private rule architecture {
	meta:
		bits = 32
		endianness = "little"
		architecture = "x86"
	condition:
		true
}

rule function_0_0 {
	meta:
		name = "FindDefaultComponentOwnerPageName"
		size = 176
		refs = "0016 FindDefaultComponentOwnerPageName 0024 @UStrClr 0035 @IntfClear 004a Supports 0053 WebContext 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 5E 04 85 DB 75 02 8B DE 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 28 E8 ?? ?? ?? ?? 8B F0 8B 03 89 45 F0 8D 4D F4 8B 55 F0 8B C6 8B 18 FF 53 50 84 C0 74 0B 8B 55 F8 8B 45 F4 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 61 1F 8D 60 23 F2 74 45 89 F7 F2 9A 73 37 2F FC }
	condition:
		$1
}

rule function_1_0 {
	meta:
		name = "ExtractStringValue"
		size = 96
		refs = "000a ExtractStringValue 000f AnsiPos 003d @UStrCopy 0048 @UStrSetLength"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 12 8B C6 85 C0 74 05 83 E8 04 8B 00 3B D8 0F 9C C0 EB 02 33 C0 84 C0 74 12 57 8D 53 01 B9 FF FF FF 7F 8B C6 E8 ?? ?? ?? ?? EB 09 8B C7 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_2_0 {
	meta:
		name = "RaiseActionDoesNotProvideResponse"
		size = 84
		refs = "0009 RaiseActionDoesNotProvideResponse 0017 sActionDoesNotProvideResponse 001c LoadResString 0026 _DV_EAdapterRequestException 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_70281_0 {
	meta:
		name = "@DispInvokeError"
		size = 84
		refs = "0009 @DispInvokeError 0017 SDispatchError 001c LoadResString 0026 _DV_EVariantDispatchError 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_80351_0 {
	meta:
		name = "OutOfResources"
		size = 84
		refs = "0009 OutOfResources 0017 SOutOfResources 001c LoadResString 0026 _Dn_EOutOfResources 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_4_0 {
	meta:
		name = "RaiseActionCantRedirectToBlankURL"
		size = 84
		refs = "0009 RaiseActionCantRedirectToBlankURL 0017 sActionCantRedirectToBlankURL 001c LoadResString 0026 _DV_EAdapterRequestException 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_96693_0 {
	meta:
		name = "RaiseAdapterModificationNotPermitted"
		size = 84
		refs = "0009 RaiseAdapterModificationNotPermitted 0017 sAdapterModificationNotPermitted 001c LoadResString 0026 _DV_EAdapterException 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_3_0 {
	meta:
		name = "RaiseCantResponseToUnknownHTTPMethod"
		size = 84
		refs = "0009 RaiseCantResponseToUnknownHTTPMethod 0017 sActionCantRespondToUnkownHTTPMethod 001c LoadResString 0026 _DV_EAdapterRequestException 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_97810_0 {
	meta:
		name = "RaiseDispatchBlankPageNameException"
		size = 84
		refs = "0009 RaiseDispatchBlankPageNameException 0017 sDispatchBlankPageName 001c LoadResString 0026 _DV_EPageDispatcherException 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_97348_0 {
	meta:
		name = "RaiseIntegerParameterExpected"
		size = 84
		refs = "0009 RaiseIntegerParameterExpected 0017 sIntegerParameterExpected 001c LoadResString 0026 _Dn_EScriptEvalError 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_97347_0 {
	meta:
		name = "RaiseObjectParameterExpected"
		size = 84
		refs = "0009 RaiseObjectParameterExpected 0017 sStringParameterExpected 001c LoadResString 0026 _Dn_EScriptEvalError 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_66469_0 {
	meta:
		name = "RaiseOverflowError"
		size = 84
		refs = "0009 RaiseOverflowError 0017 SIntOverflow 001c LoadResString 0026 _Dn_EIntOverflow 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_97811_0 {
	meta:
		name = "RaisePageAccessDenied"
		size = 84
		refs = "0009 RaisePageAccessDenied 0017 sPageAccessDenied 001c LoadResString 0026 _DV_EPageDispatcherException 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_97345_0 {
	meta:
		name = "RaiseParameterExpected"
		size = 84
		refs = "0009 RaiseParameterExpected 0017 sParameterExpected 001c LoadResString 0026 _Dn_EScriptEvalError 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_97346_0 {
	meta:
		name = "RaiseStringParameterExpected"
		size = 84
		refs = "0009 RaiseStringParameterExpected 0017 sStringParameterExpected 001c LoadResString 0026 _Dn_EScriptEvalError 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_66214_0 {
	meta:
		name = "RoundExError"
		size = 84
		refs = "0009 RoundExError 0017 SVarInvalid 001c LoadResString 0026 _Dn_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_70637_0 {
	meta:
		name = "SafeArrayCreateError"
		size = 84
		refs = "0009 SafeArrayCreateError 0017 SVarArrayCreate 001c LoadResString 0026 _DV_ESafeArrayCreateError 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_68730_0 {
	meta:
		name = "TConditionVariableMutex.Acquire"
		size = 84
		refs = "0009 TConditionVariableMutex.Acquire 0017 sCannotCallAcquireOnConditionVar 001c LoadResString 0026 _DV_ESyncObjectException 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_26335_0 {
	meta:
		name = "TCustomDataSetAdapter.RaiseNilDataSet"
		size = 84
		refs = "0009 TCustomDataSetAdapter.RaiseNilDataSet 0017 sNilAdapterDataSet 001c LoadResString 0026 _Dn_EAdapterException 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_8272_0 {
	meta:
		name = "TDBXCustomValueRow.GetDBXTableName"
		size = 84
		refs = "0009 TDBXCustomValueRow.GetDBXTableName 0017 SUnsupportedOperation 001c LoadResString 0026 _Dn_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_8271_0 {
	meta:
		name = "TDBXCustomValueRow.SetDBXTableName"
		size = 84
		refs = "0009 TDBXCustomValueRow.SetDBXTableName 0017 SUnsupportedOperation 001c LoadResString 0026 _Dn_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_8207_0 {
	meta:
		name = "TDBXTable.AcceptChanges"
		size = 84
		refs = "0009 TDBXTable.AcceptChanges 0017 SUnsupportedOperation 001c LoadResString 0026 _Dn_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_8202_0 {
	meta:
		name = "TDBXTable.Clear"
		size = 84
		refs = "0009 TDBXTable.Clear 0017 SUnsupportedOperation 001c LoadResString 0026 _Dn_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_8201_0 {
	meta:
		name = "TDBXTable.Close"
		size = 84
		refs = "0009 TDBXTable.Close 0017 SUnsupportedOperation 001c LoadResString 0026 _Dn_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_8203_0 {
	meta:
		name = "TDBXTable.DeleteRow"
		size = 84
		refs = "0009 TDBXTable.DeleteRow 0017 SUnsupportedOperation 001c LoadResString 0026 _Dn_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_8192_0 {
	meta:
		name = "TDBXTable.GetDBXTableName"
		size = 84
		refs = "0009 TDBXTable.GetDBXTableName 0017 SUnsupportedOperation 001c LoadResString 0026 _Dn_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_8199_0 {
	meta:
		name = "TDBXTable.Insert"
		size = 84
		refs = "0009 TDBXTable.Insert 0017 SUnsupportedOperation 001c LoadResString 0026 _Dn_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_8200_0 {
	meta:
		name = "TDBXTable.Post"
		size = 84
		refs = "0009 TDBXTable.Post 0017 SUnsupportedOperation 001c LoadResString 0026 _Dn_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_8194_0 {
	meta:
		name = "TDBXTable.SetColumns"
		size = 84
		refs = "0009 TDBXTable.SetColumns 0017 SUnsupportedOperation 001c LoadResString 0026 _Dn_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_8191_0 {
	meta:
		name = "TDBXTable.SetDBXTableName"
		size = 84
		refs = "0009 TDBXTable.SetDBXTableName 0017 SUnsupportedOperation 001c LoadResString 0026 _Dn_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_16682_0 {
	meta:
		name = "TDSDefaultCommandHandler.DbxMoreBlob"
		size = 84
		refs = "0009 TDSDefaultCommandHandler.DbxMoreBlob 0017 SUnsupportedOperation 001c LoadResString 0026 _Dn_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_16681_0 {
	meta:
		name = "TDSDefaultCommandHandler.DbxNext"
		size = 84
		refs = "0009 TDSDefaultCommandHandler.DbxNext 0017 SUnsupportedOperation 001c LoadResString 0026 _Dn_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_16680_0 {
	meta:
		name = "TDSDefaultCommandHandler.DbxNextResult"
		size = 84
		refs = "0009 TDSDefaultCommandHandler.DbxNextResult 0017 SUnsupportedOperation 001c LoadResString 0026 _Dn_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_16679_0 {
	meta:
		name = "TDSDefaultCommandHandler.DbxPrepare"
		size = 84
		refs = "0009 TDSDefaultCommandHandler.DbxPrepare 0017 SUnsupportedOperation 001c LoadResString 0026 _Dn_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_16743_0 {
	meta:
		name = "TDSServerCommandHandler.DbxMoreBlob"
		size = 84
		refs = "0009 TDSServerCommandHandler.DbxMoreBlob 0017 SUnsupportedOperation 001c LoadResString 0026 _Dn_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_16744_0 {
	meta:
		name = "TDSServerCommandHandler.DbxNext"
		size = 84
		refs = "0009 TDSServerCommandHandler.DbxNext 0017 SUnsupportedOperation 001c LoadResString 0026 _Dn_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_16745_0 {
	meta:
		name = "TDSServerCommandHandler.DbxNextResult"
		size = 84
		refs = "0009 TDSServerCommandHandler.DbxNextResult 0017 SUnsupportedOperation 001c LoadResString 0026 _Dn_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_16746_0 {
	meta:
		name = "TDSServerCommandHandler.DbxReaderClose"
		size = 84
		refs = "0009 TDSServerCommandHandler.DbxReaderClose 0017 SUnsupportedOperation 001c LoadResString 0026 _Dn_Exception 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_78562_0 {
	meta:
		name = "TDirect2DCanvas.DrawFocusRect"
		size = 84
		refs = "0009 TDirect2DCanvas.DrawFocusRect 0017 SInvalidCanvasOperation 001c LoadResString 0026 _Dn_EInvalidOperation 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_78565_0 {
	meta:
		name = "TDirect2DCanvas.GetClipRect"
		size = 84
		refs = "0009 TDirect2DCanvas.GetClipRect 0017 SInvalidCanvasOperation 001c LoadResString 0026 _Dn_EInvalidOperation 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_32792_0 {
	meta:
		name = "TIdCustomTransparentProxy.CloseUDP"
		size = 84
		refs = "0009 TIdCustomTransparentProxy.CloseUDP 0017 RSTransparentProxyCanNotSupportUDP 001c LoadResString 0026 _DV_EIdTransparentProxyUDPNotSupported 002b EIdException.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_33551_0 {
	meta:
		name = "TIdFTPBaseFileSystem.ErrCantRemoveDir"
		size = 84
		refs = "0009 TIdFTPBaseFileSystem.ErrCantRemoveDir 0017 RSFTPFSysErrMsg 001c LoadResString 0026 _DV_EIdFileSystemCannotRemoveDir 002b EIdException.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_33552_0 {
	meta:
		name = "TIdFTPBaseFileSystem.ErrFileNotFound"
		size = 84
		refs = "0009 TIdFTPBaseFileSystem.ErrFileNotFound 0017 RSFTPFSysErrMsg 001c LoadResString 0026 _DV_EIdFileSystemFileNotFound 002b EIdException.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_33553_0 {
	meta:
		name = "TIdFTPBaseFileSystem.ErrNotADir"
		size = 84
		refs = "0009 TIdFTPBaseFileSystem.ErrNotADir 0017 RSFTPFSysErrMsg 001c LoadResString 0026 _DV_EIdFileSystemNotADir 002b EIdException.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_33554_0 {
	meta:
		name = "TIdFTPBaseFileSystem.ErrNotAFile"
		size = 84
		refs = "0009 TIdFTPBaseFileSystem.ErrNotAFile 0017 RSFTPFSysErrMsg 001c LoadResString 0026 _DV_EIdFileSystemNotAFile 002b EIdException.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_33555_0 {
	meta:
		name = "TIdFTPBaseFileSystem.ErrPermissionDenied"
		size = 84
		refs = "0009 TIdFTPBaseFileSystem.ErrPermissionDenied 0017 RSFTPFSysErrMsg 001c LoadResString 0026 _DV_EIdFileSystemPermissionDenied 002b EIdException.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_35533_0 {
	meta:
		name = "TIdIOHandler.RaiseConnClosedGracefully"
		size = 84
		refs = "0009 TIdIOHandler.RaiseConnClosedGracefully 0017 RSConnectionClosedGracefully 001c LoadResString 0026 _Dn_EIdConnClosedGracefully 002b EIdException.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_37113_0 {
	meta:
		name = "TIdSMTPRelay.SetHost"
		size = 84
		refs = "0009 TIdSMTPRelay.SetHost 0017 RSDirSMTPCantAssignHost 001c LoadResString 0026 _DV_EIdDirectSMTPCannotAssignHost 002b EIdException.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_38442_0 {
	meta:
		name = "TIdUDPClient.RaiseUseProxyError"
		size = 84
		refs = "0009 TIdUDPClient.RaiseUseProxyError 0017 RSUDPMustUseProxyOpen 001c LoadResString 0026 _DV_EIdMustUseOpenProxy 002b EIdException.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_39464_0 {
	meta:
		name = "TInCustomTransparentProxy.CloseUDP"
		size = 84
		refs = "0009 TInCustomTransparentProxy.CloseUDP 0017 RSTransparentProxyCanNotSupportUDP 001c LoadResString 0026 _DV_EIdTransparentProxyUDPNotSupported 002b EInException.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_41141_0 {
	meta:
		name = "TInIOHandler.RaiseConnClosedGracefully"
		size = 84
		refs = "0009 TInIOHandler.RaiseConnClosedGracefully 0017 RSConnectionClosedGracefully 001c LoadResString 0026 _Dn_EIdConnClosedGracefully 002b EInException.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_87235_0 {
	meta:
		name = "TUxThemeStyle.SaveToStream"
		size = 84
		refs = "0009 TUxThemeStyle.SaveToStream 0017 SStyleFeatureNotSupported 001c LoadResString 0026 _DV_ECustomStyleException 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_59432_0 {
	meta:
		name = "TVirtualObjectMemberInstance.SetValue"
		size = 84
		refs = "0009 TVirtualObjectMemberInstance.SetValue 0017 sVirtualMemberReadOnly 001c LoadResString 0026 _Dn_EWrapperError 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_70276_0 {
	meta:
		name = "VarArrayCreateError"
		size = 84
		refs = "0009 VarArrayCreateError 0017 SVarArrayCreate 001c LoadResString 0026 _DV_EVariantArrayCreateError 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_70270_0 {
	meta:
		name = "VarCastError"
		size = 84
		refs = "0009 VarCastError 0017 SInvalidVarCast 001c LoadResString 0026 _DV_EVariantTypeCastError 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_70273_0 {
	meta:
		name = "VarInvalidNullOp"
		size = 84
		refs = "0009 VarInvalidNullOp 0017 SInvalidVarNullOp 001c LoadResString 0026 _DV_EVariantInvalidNullOpError 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_70272_0 {
	meta:
		name = "VarInvalidOp"
		size = 84
		refs = "0009 VarInvalidOp 0017 SInvalidVarOp 001c LoadResString 0026 _DV_EVariantInvalidOpError 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_5_0 {
	meta:
		name = "TestRedirectOptions"
		size = 46
		refs = "0025 RaiseCantResponseToUnknownHTTPMethod"
	strings:
		$1 = { 53 51 88 04 24 33 DB FE CA 74 07 80 EA 02 74 0B EB 12 F6 04 24 02 0F 95 C3 EB 0E F6 04 24 01 0F 95 C3 EB 05 E8 ?? ?? ?? ?? 8B C3 5A 5B C3 }
	condition:
		$1
}

rule function_6_0 {
	meta:
		name = "TAdapterRequestParamsImpl.AssignTo"
		size = 19
	strings:
		$1 = { 56 57 8B FA 8B F0 8B 56 04 8B C7 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_7_0 {
	meta:
		name = "TAdapterRequestParamsImpl.Create"
		size = 135
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TAdapterRequestParamsImpl.Create 0034 TObject.Create 003f @IntfCopy 005f @IntfClear 0065 @HandleFinally 0072 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 08 8B 55 FC E8 ?? ?? ?? ?? 8B 46 08 8B 10 FF 52 14 89 46 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8_0 {
	meta:
		name = "TAdapterModes.GetAdapterCount"
		size = 9
		altNames = "TAdapterRequestParamsImpl.GetParamCount TAllocatedActions.GetCount TGeneratedFunctions.GetItemCount TIWContainerContext.GetControlsCount TIdMIMEBoundary.Count"
	strings:
		$1 = { 8B 40 04 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_9_0 {
	meta:
		name = "TAdapterModes.GetAdapterName"
		size = 25
		refs = "0011 TStrings.GetName"
		altNames = "TAdapterRequestParamsImpl.GetParamName"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12_0 {
	meta:
		name = "TAdapterRequestParamsImpl.ValueOfParam"
		size = 25
		refs = "0011 TStrings.GetValue"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89693_0 {
	meta:
		name = "TVirtualKeys.GetItem"
		size = 25
		refs = "0011 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.GetItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10_0 {
	meta:
		name = "TAdapterRequestParamsImpl.GetParamValue"
		size = 93
		refs = "0018 TAdapterRequestParamsImpl.GetParamValue 0036 ExtractStringValue 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B 43 04 8B 18 FF 53 0C 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_60_0 {
	meta:
		name = "TAdapterModes.GetAdapterMode"
		size = 93
		refs = "0018 TAdapterModes.GetAdapterMode 0036 ExtractStringValue 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B 43 04 8B 18 FF 53 0C 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11_0 {
	meta:
		name = "TAdapterRequestParamsImpl.IndexOfParam"
		size = 9
	strings:
		$1 = { 8B 40 04 8B 08 FF 51 54 C3 }
	condition:
		$1
}

rule function_13_0 {
	meta:
		name = "AddValues"
		size = 1024
		refs = "0017 AddValues 0047 TStrings.GetName 005d @UStrCopy 006a @UStrLAsg 0091 CompareText 00ac @UStrDelete 011f ExtractStringValue 0138 @UStrClr 015d @UStrEqual 01a2 _Dn_TStringList 01a7 TStringList.Create 01b0 TList.Add 0295 TList.Get 0397 @UStrArrayClr 03aa @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 10 FF 52 14 48 85 C0 0F 8C A7 01 00 00 40 89 45 E0 33 DB 8D 4D FC 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 50 B9 05 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 17 8D 45 FC B9 05 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? E9 B6 00 00 00 8D 45 F0 50 B9 06 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 36 8D 4D D8 8B 45 08 8B 40 FC 8B D3 8B 30 FF 56 0C 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 08 8B 40 F8 8B 40 04 8B 08 FF 51 38 8D 45 FC E8 ?? ?? ?? ?? EB 2D 8D 45 D4 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 08 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 61 8B 45 08 8B 40 F8 8B 40 0C 8B 55 FC 8B 08 FF 51 54 40 75 4D 8B 45 08 8B 40 F8 8B 40 0C 8B 55 FC 8B 08 FF 51 38 8B 45 08 8B 40 F8 8B 70 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 70 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 43 FF 4D E0 0F 85 5F FE FF FF 8B 45 08 8B 40 FC 8B 10 FF 52 14 48 85 C0 0F 8C 91 01 00 00 40 89 45 E0 33 DB 8D 4D FC 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 E8 50 B9 05 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 04 B0 01 EB 20 83 7D E8 00 74 06 83 7D E4 00 75 04 33 C0 EB 10 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 6C 8D 45 FC B9 05 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 40 0C 8B 55 FC 8B 08 FF 51 54 8B F0 83 FE FF 0F 84 F0 00 00 00 8B 45 08 8B 40 F8 8B 78 14 8B D6 8B C7 E8 ?? ?? ?? ?? 8B F0 8D 4D CC 8B 45 08 8B 40 FC 8B D3 8B 38 FF 57 0C 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 55 D0 8B C6 8B 08 FF 51 38 E9 B2 00 00 00 8B 45 08 8B 40 F8 8B 40 0C 8B 55 FC 8B 08 FF 51 54 8B F0 83 FE FF 0F 84 96 00 00 00 8B 45 08 8B 40 FC 8B D3 8B 08 FF 51 18 85 C0 74 4C 8B 45 08 8B 40 F8 8B 78 10 8B D6 8B C7 E8 ?? ?? ?? ?? 8B F0 8D 4D C4 8B 45 08 8B 40 FC 8B D3 8B 38 FF 57 0C 8B 45 C4 8D 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 45 08 8B 40 FC 8B D3 8B 08 FF 51 18 8B C8 8B C6 5A 8B 30 FF 56 3C EB 39 8B 45 08 8B 40 F8 8B 78 10 8B D6 8B C7 E8 ?? ?? ?? ?? 8B F0 8D 4D BC 8B 45 08 8B 40 FC 8B D3 8B 38 FF 57 0C 8B 45 BC 8D 55 C0 E8 ?? ?? ?? ?? 8B 55 C0 8B C6 8B 08 FF 51 38 43 FF 4D E0 0F 85 75 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 5F 00 5F 00 6F 00 76 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 5F 00 6B 00 65 00 79 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5F 00 5F 00 00 00 00 00 }
	condition:
		$1
}

rule function_14_0 {
	meta:
		name = "TActionFieldValuesImpl.Create"
		size = 174
		refs = "000f @ClassCreate 0021 TObject.Create 0028 _Dn_TStringList 002d TStringList.Create 0060 _Dn_TObjectList 0065 TObjectList.Create 008b AddValues 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 89 45 F8 33 D2 8B 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 10 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 14 83 7D FC 00 74 07 55 E8 ?? ?? ?? ?? 59 8B 45 F8 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15_0 {
	meta:
		name = "TActionFieldValueImpl.GetFileCount"
		size = 7
		altNames = "TActionFieldValuesImpl.GetFieldCount TScriptProducer.GetHTMLItemCount TTestResult.FailureCount"
	strings:
		$1 = { 8B 40 10 8B 40 08 C3 }
	condition:
		$1
}

rule function_16_0 {
	meta:
		name = "TActionFieldValuesImpl.GetFieldName"
		size = 25
		altNames = "TInvokable.Invoke"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 0C 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17_0 {
	meta:
		name = "TActionFieldValuesImpl.AddValue"
		size = 81
		refs = "0024 _Dn_TStringList 0029 TStringList.Create 0032 TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C 8B 08 FF 51 54 85 C0 7D 3A 8B D6 8B 43 0C 8B 08 FF 51 38 8B 73 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 5B 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18_0 {
	meta:
		name = "TActionFieldValuesImpl.IndexOfField"
		size = 9
	strings:
		$1 = { 8B 40 0C 8B 08 FF 51 54 C3 }
	condition:
		$1
}

rule function_19_0 {
	meta:
		name = "TActionFieldValuesImpl.CreateValue"
		size = 328
		refs = "001f TActionFieldValuesImpl.CreateValue 0042 _Dn_TInterfaceList 0047 TInterfaceList.Create 0058 @IntfCopy 008d TList.Get 00ab _DV_TActionFieldValueImpl 00b0 TActionFieldValueImpl.Create 00c6 @IntfCast 00f5 @IntfClear 0112 @UStrClr 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 10 FF 52 14 3B F0 0F 8D B8 00 00 00 83 7B 1C 00 75 2F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 43 1C E8 ?? ?? ?? ?? 8B 43 0C 8B 10 FF 52 14 8B D0 8B 43 1C 8B 08 FF 51 20 8D 4D F0 8B D6 8B 43 1C 8B 38 FF 57 0C 83 7D F0 00 75 56 8B 7B 10 89 75 F4 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 50 8D 4D E8 8B D6 8B 43 0C 8B 38 FF 57 0C 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC 8B D6 8B 43 1C 8B 38 FF 57 18 8D 4D E4 8B D6 8B 43 1C 8B 18 FF 53 0C 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 00 00 56 E5 D4 C5 74 A4 D4 11 A4 FA 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_20_0 {
	meta:
		name = "TActionFieldValuesImpl.CreateValue"
		size = 44
		refs = "000a TActionFieldValuesImpl.IndexOfField 001b TActionFieldValuesImpl.CreateValue 0024 @IntfClear"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 0D 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21_0 {
	meta:
		name = "TActionFieldValuesImpl.CreateOrigValue"
		size = 44
		refs = "000a TActionFieldValuesImpl.IndexOfField 001b TActionFieldValuesImpl.CreateOrigValue 0024 @IntfClear"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 0D 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22_0 {
	meta:
		name = "TActionFieldValuesImpl.CreateOrigValue"
		size = 328
		refs = "001f TActionFieldValuesImpl.CreateOrigValue 0042 _Dn_TInterfaceList 0047 TInterfaceList.Create 0058 @IntfCopy 008d TList.Get 00ab _DV_TActionFieldValueImpl 00b0 TActionFieldValueImpl.Create 00c6 @IntfCast 00f5 @IntfClear 0112 @UStrClr 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 10 FF 52 14 3B F0 0F 8D B8 00 00 00 83 7B 18 00 75 2F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 43 18 E8 ?? ?? ?? ?? 8B 43 0C 8B 10 FF 52 14 8B D0 8B 43 18 8B 08 FF 51 20 8D 4D F0 8B D6 8B 43 18 8B 38 FF 57 0C 83 7D F0 00 75 56 8B 7B 14 89 75 F4 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 50 8D 4D E8 8B D6 8B 43 0C 8B 38 FF 57 0C 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC 8B D6 8B 43 18 8B 38 FF 57 18 8D 4D E4 8B D6 8B 43 18 8B 18 FF 53 0C 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 00 00 56 E5 D4 C5 74 A4 D4 11 A4 FA 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_23_0 {
	meta:
		name = "TActionFieldValuesImpl.GetValue"
		size = 24
		refs = "0010 TActionFieldValuesImpl.CreateValue"
		altNames = "TActionFieldValuesImpl.ValueOfField"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_100025_0 {
	meta:
		name = "D2D_MATRIX_3X2_F.&op_Multiply"
		size = 24
		refs = "0010 TD2DMatrix3x2FHelper.SetProduct"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70027_0 {
	meta:
		name = "GetStrProp"
		size = 24
		refs = "0010 GetUnicodeStrProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12693_0 {
	meta:
		name = "SubString"
		size = 24
		refs = "0010 TDBXStringBuffer.Substring"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26_0 {
	meta:
		name = "TActionFieldValuesImpl.GetOrigValue"
		size = 24
		refs = "0010 TActionFieldValuesImpl.CreateOrigValue"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24_0 {
	meta:
		name = "TActionFieldValuesImpl.OrigValueOfField"
		size = 24
		refs = "0010 TActionFieldValuesImpl.CreateOrigValue"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96909_0 {
	meta:
		name = "TBaseAdapterAction.GetInputStyle"
		size = 24
		refs = "0010 TBaseAdapterAction.GetDisplayStyle"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12785_0 {
	meta:
		name = "TBaseFilterProperties.GetName"
		size = 24
		refs = "0010 TStrings.GetName"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12786_0 {
	meta:
		name = "TBaseFilterProperties.GetValue"
		size = 24
		refs = "0010 TStrings.GetValueFromIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_115446_0 {
	meta:
		name = "TCustomXSLPageProducer.ProduceContentFromString"
		size = 24
		refs = "0010 TCustomXSLPageProducer.ContentFromString"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12716_0 {
	meta:
		name = "TDBXStringStore.GetString"
		size = 24
		refs = "0010 TStrings.GetValue"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98714_0 {
	meta:
		name = "THTMLItemsObj.Item"
		size = 24
		refs = "0010 THTMLItemsObj.GetItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43792_0 {
	meta:
		name = "TIWMenu.RenderStyle"
		size = 24
		refs = "0010 TIWCustomControl.RenderStyle"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33061_0 {
	meta:
		name = "TIdRR_SOA.GetName"
		size = 24
		refs = "0010 TIdTextModeResourceRecord.GetValue"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63160_0 {
	meta:
		name = "TIntegerBucketList.Add"
		size = 24
		refs = "0010 TCustomBucketList.Add"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63156_0 {
	meta:
		name = "TObjectBucketList.Add"
		size = 24
		refs = "0010 TCustomBucketList.Add"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82774_0 {
	meta:
		name = "TOleControl.GetVariantProp"
		size = 24
		refs = "0010 TOleControl.GetOleVariantProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67317_0 {
	meta:
		name = "TRawVirtualClass.TVTable.AllocateRawThunk"
		size = 24
		refs = "0010 AllocFirstStageIntercept"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69761_0 {
	meta:
		name = "TRect.&op_Addition"
		size = 24
		refs = "0010 TRect.Union"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69762_0 {
	meta:
		name = "TRect.&op_Multiply"
		size = 24
		refs = "0010 TRect.Intersect"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69858_0 {
	meta:
		name = "TRectF.&op_Addition"
		size = 24
		refs = "0010 TRectF.Union"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69859_0 {
	meta:
		name = "TRectF.&op_Multiply"
		size = 24
		refs = "0010 TRectF.Intersect"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98644_0 {
	meta:
		name = "TSessionObj.Values"
		size = 24
		refs = "0010 TSessionObj.GetValue"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69682_0 {
	meta:
		name = "TTimeSpan.&op_Addition"
		size = 24
		refs = "0010 TTimeSpan.Add"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69716_0 {
	meta:
		name = "TTimeSpan.&op_Subtraction"
		size = 24
		refs = "0010 TTimeSpan.Subtract"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27_0 {
	meta:
		name = "TActionFieldValuesImpl.Destroy"
		size = 76
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001a TObject.Free 0045 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28_0 {
	meta:
		name = "TBasicActionRequestImpl.Create"
		size = 328
		refs = "0019 @ClassCreate 0028 @IntfAddRef 0030 TBasicActionRequestImpl.Create 003f TAbstractAdapterRequest.Create 004a @IntfCopy 0054 _DV_TAdapterRequestParamsImpl 0059 TAdapterRequestParamsImpl.Create 0064 @IntfClear 0073 Supports 008d @UStrAsg 00b0 TAbstractAdapterRequest.GetRequest 00b8 PageNameOfRequest 00fd @UStrArrayClr 0113 @HandleFinally 0120 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 10 8B 55 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 84 C0 74 2C 8D 55 F4 8B 45 F8 8B 08 FF 51 0C 8B 55 F4 8D 46 14 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 8B 08 FF 51 10 8B 55 F0 8D 46 18 E8 ?? ?? ?? ?? 83 7E 14 00 75 1A 8B C6 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 46 14 E8 ?? ?? ?? ?? 83 7E 18 00 75 1A 8B C6 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8D 46 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 00 00 F4 78 D9 14 E9 D1 D4 11 A5 32 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_29_0 {
	meta:
		name = "TActiveScriptSite.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001a TObject.Free 0025 @ClassDestroy"
		altNames = "TBasicActionRequestImpl.Destroy TBasicImageRequestImpl.Destroy TConnectionAdmin.Destroy TMimeAttachHandlerImpl.Destroy TWebRequestFile.Destroy TWebSessionIDsImpl.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48143_0 {
	meta:
		name = "TSessionItem.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TCollectionItem.Destroy 001a TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46261_0 {
	meta:
		name = "TTempFileStream.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TFileStream.Destroy 001a DeleteFile 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30_0 {
	meta:
		name = "TBasicActionRequestImpl.GetActionName"
		size = 19
		altNames = "TBasicImageRequestImpl.GetImageName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 10 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_31_0 {
	meta:
		name = "TAdapterDispatchParams.GetFailurePage"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TBaseWebPageInfo.GetPageTitle TBasicActionRequestImpl.GetFailurePage TDBXSocketChannelInfo.GetInfo TDSProxyParameter.GetTypeUnit THeaderInfo.GetEncodingStyle TPC1Cypher.GetEncryptionKey TRttiInstMethParameter.GetName TRttiIntfMethParameter.GetName TStreamLoader.GetPassword TTransportFilterItem.GetFilterId TXMLDataSet.GetDataSetField"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59438_0 {
	meta:
		name = "TAbstractObjectMemberGroup.GetBinding"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32_0 {
	meta:
		name = "TBasicActionRequestImpl.GetHandled"
		size = 5
		altNames = "TCustomOwnedNode.GetReadOnly TDBXMySqlCustomMetaDataReader.IsDefaultCharSetUnicode TDSMethod.IsPublicMethod TIWBaseHTMLControlImplementation.GetVisible"
	strings:
		$1 = { 0F B6 40 1C C3 }
	condition:
		$1
}

rule function_33_0 {
	meta:
		name = "TActionFieldValueImpl.GetFieldName"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TActionLink.GetFailurePage TAdapterDispatchParams.GetSuccessPage TBaseWebPageInfo.GetPageDescription TBasicActionRequestImpl.GetSuccessPage TComServer.GetHelpFileName THeaderInfo.GetUse TNameContentScriptObject.GetContent TScriptError.GetFileName TStreamLoader.GetUserName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 14 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_112304_0 {
	meta:
		name = "TDomXPathFunctionCall.GetFunctionName"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 14 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48045_0 {
	meta:
		name = "TScriptManager.GetXMLDocuments"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 14 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48082_0 {
	meta:
		name = "TXMLDocument.GetRowSets"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 14 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34_0 {
	meta:
		name = "TBasicActionRequestImpl.SetHandled"
		size = 4
		altNames = "TCustomOwnedNode.SetReadOnly TIWBaseHTMLControlImplementation.SetVisible TSeriesPointer.Change3D TWebServExp.SetBindingType"
	strings:
		$1 = { 88 50 1C C3 }
	condition:
		$1
}

rule function_35_0 {
	meta:
		name = "TSingleRecordActionRequestImpl.Create"
		size = 532
		refs = "001c @ClassCreate 002d @IntfAddRef 0035 TSingleRecordActionRequestImpl.Create 0048 TBasicActionRequestImpl.Create 004f _Dn_TStringList 0054 TStringList.Create 006d TAbstractAdapterRequest.GetRequest 0072 TWebRequest.GetQueryFields 0089 TWebRequest.GetContentFields 00a0 TWebRequest.GetFiles 0128 Format 015d _DV_TActionFieldValuesImpl 0162 TActionFieldValuesImpl.Create 017d TObject.Free 0183 @HandleFinally 0196 _DV_TAdapterModes 019b TAdapterModes.Create 01bb @LStrArrayClr 01c3 @UStrClr 01cb @IntfClear 01e1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D EC 89 5D D8 89 5D D4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 88 55 F7 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 33 D2 8B 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 08 FF 51 40 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 08 FF 51 40 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 AB 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 12 8B F0 4E 85 F6 0F 8C 8F 00 00 00 46 33 DB 8D 45 EC 50 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 04 8D 55 D8 8B 08 FF 11 8B 45 D8 89 45 DC C6 45 E0 0B 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 04 8D 55 D4 8B 08 FF 51 04 8B 45 D4 89 45 E4 C6 45 E8 0B 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 04 8B C8 8B 45 F0 5A 8B 38 FF 57 3C 43 4E 0F 85 74 FF FF FF 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B 45 F8 80 7D F7 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3D 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_36_0 {
	meta:
		name = "TMultiRecordActionRequestImpl.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TBasicActionRequestImpl.Destroy 001a TObject.Free 002d @ClassDestroy"
		altNames = "TSingleRecordActionRequestImpl.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37_0 {
	meta:
		name = "TBasicActionResponseImpl.Create"
		size = 68
		refs = "000b @ClassCreate 001a TAbstractAdapterResponse.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 20 C6 47 0C 02 C6 47 0E 03 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_38_0 {
	meta:
		name = "TBaseWebPageModuleFactory.GetCacheMode"
		size = 5
		altNames = "TBasicActionResponseImpl.GetExecuteStatus TCustomWrapper.GetWrapperType TDefaultDBScreenApplication.GetCursor TIWTestFramework.IsRecording TTransportFilter.IsHandshakeStarted"
	strings:
		$1 = { 0F B6 40 0C C3 }
	condition:
		$1
}

rule function_39_0 {
	meta:
		name = "TBaseWebPageModuleFactory.GetCreateMode"
		size = 5
		altNames = "TBasicActionResponseImpl.GetHandled"
	strings:
		$1 = { 0F B6 40 0D C3 }
	condition:
		$1
}

rule function_40_0 {
	meta:
		name = "TBasicActionResponseImpl.GetRespondWith"
		size = 5
		altNames = "TIBSQLMonitorHook.GetEnabled"
	strings:
		$1 = { 0F B6 40 0E C3 }
	condition:
		$1
}

rule function_41_0 {
	meta:
		name = "TBasicActionResponseImpl.SetExecuteStatus"
		size = 133
		refs = "000e TBasicActionResponseImpl.SetExecuteStatus 001e TBasicActionResponseImpl.GetRespondWith 0034 TBasicActionResponseImpl.GetFailurePage 0041 TBasicActionResponseImpl.RespondWithFailurePage 004d TBasicActionResponseImpl.GetSuccessPage 005a TBasicActionResponseImpl.RespondWithSuccessPage 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 88 53 0C 8B C3 E8 ?? ?? ?? ?? 3C 03 75 38 0F B6 43 0C FE C8 75 19 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 20 8B C3 E8 ?? ?? ?? ?? EB 17 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42_0 {
	meta:
		name = "TBasicActionResponseImpl.SetHandled"
		size = 4
		altNames = "TTIWHTMLEdGlyphs.SetSuperscript"
	strings:
		$1 = { 88 50 0D C3 }
	condition:
		$1
}

rule function_43_0 {
	meta:
		name = "TBasicActionResponseImpl.RespondWithComponentPage"
		size = 8
	strings:
		$1 = { 89 50 1C C6 40 0E 02 C3 }
	condition:
		$1
}

rule function_44_0 {
	meta:
		name = "TBasicActionResponseImpl.RespondWithPage"
		size = 23
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 10 8B D6 E8 ?? ?? ?? ?? C6 43 0E 00 5E 5B C3 }
	condition:
		$1
}

rule function_45_0 {
	meta:
		name = "TBasicActionResponseImpl.RespondWithURL"
		size = 23
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 18 8B D6 E8 ?? ?? ?? ?? C6 43 0E 01 5E 5B C3 }
	condition:
		$1
}

rule function_46_0 {
	meta:
		name = "RespondWithPage"
		size = 188
		refs = "000b WebContext 002e TBasicActionResponseImpl.GetRedirectOptions 0034 TestRedirectOptions 0041 _Dn_TStringList 0046 TStringList.Create 0051 RespondWithPage 006a TAbstractAdapterResponse.GetResponse 0076 RedirectToPageName 008b TObject.Free 0091 @HandleFinally 00ae DispatchPageName"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F0 33 DB E8 ?? ?? ?? ?? 8B 10 FF 52 04 85 C0 74 22 E8 ?? ?? ?? ?? 8B 10 FF 52 04 0F B6 40 08 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D8 84 DB 74 59 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D0 0F B6 0D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_47_0 {
	meta:
		name = "TBasicActionResponseImpl.HandleResponse"
		size = 241
		refs = "0010 TBasicActionResponseImpl.HandleResponse 001e TBasicActionResponseImpl.GetRespondWith 0039 RaiseActionDoesNotProvideResponse 004d FindDefaultComponentOwnerPageName 0055 RespondWithPage 0066 RaiseActionCantRedirectToBlankURL 006e TAbstractAdapterResponse.GetResponse 008e SafeRedirect 00ac @LStrFromUStr 00d9 @LStrClr 00e1 @UStrClr 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 2C 01 0F 82 91 00 00 00 74 30 FE C8 74 12 FE C8 0F 85 90 00 00 00 E8 ?? ?? ?? ?? E9 86 00 00 00 55 8D 55 F8 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 59 EB 6C 8B 45 FC 83 78 18 00 75 05 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 0C 8B 40 08 8B 40 08 85 C0 7E 15 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 52 18 E8 ?? ?? ?? ?? EB 34 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 F4 8B 55 FC 8B 52 18 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 58 8B 08 FF 51 38 EB 0D 55 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 }
	condition:
		$1
}

rule function_48_0 {
	meta:
		name = "TBasicActionResponseImpl.GetRedirectOptions"
		size = 7
	strings:
		$1 = { 0F B6 50 14 8B C2 C3 }
	condition:
		$1
}

rule function_49_0 {
	meta:
		name = "TBasicActionResponseImpl.SetRedirectOptions"
		size = 13
	strings:
		$1 = { 51 88 14 24 0F B6 14 24 88 50 14 5A C3 }
	condition:
		$1
}

rule function_50_0 {
	meta:
		name = "TBasicActionResponseImpl.RespondWithFailurePage"
		size = 91
		refs = "000c TBasicActionResponseImpl.RespondWithFailurePage 001c TBasicActionResponseImpl.GetFailurePage 0026 TBasicActionResponseImpl.RespondWithPage 002d TBasicActionResponseImpl.FailureRedirect 0036 TBasicActionResponseImpl.SetRedirectOptions 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_51_0 {
	meta:
		name = "TBasicActionResponseImpl.RespondWithSuccessPage"
		size = 91
		refs = "000c TBasicActionResponseImpl.RespondWithSuccessPage 001c TBasicActionResponseImpl.GetSuccessPage 0026 TBasicActionResponseImpl.RespondWithPage 002d TBasicActionResponseImpl.SuccessRedirect 0036 TBasicActionResponseImpl.SetRedirectOptions 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_52_0 {
	meta:
		name = "TBasicActionResponseImpl.FailureRedirect"
		size = 136
		refs = "000c TBasicActionResponseImpl.FailureRedirect 0026 @IntfClear 0033 Supports 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 8B 40 10 8B 10 FF 52 18 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 10 8B D8 EB 07 0F B6 1D ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 03 7D D2 79 0B D5 D4 11 A5 34 00 C0 4F 6B B8 53 00 00 00 00 }
	condition:
		$1
}

rule function_53_0 {
	meta:
		name = "TBasicActionResponseImpl.SuccessRedirect"
		size = 136
		refs = "000c TBasicActionResponseImpl.SuccessRedirect 0026 @IntfClear 0033 Supports 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 8B 40 10 8B 10 FF 52 18 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 07 0F B6 1D ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 03 7D D2 79 0B D5 D4 11 A5 34 00 C0 4F 6B B8 53 00 00 00 00 }
	condition:
		$1
}

rule function_54_0 {
	meta:
		name = "TBasicActionResponseImpl.GetFailurePage"
		size = 19
		refs = "000c TBasicActionRequestImpl.GetFailurePage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55_0 {
	meta:
		name = "TBasicActionResponseImpl.GetSuccessPage"
		size = 19
		refs = "000c TBasicActionRequestImpl.GetSuccessPage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59362_0 {
	meta:
		name = "TObjectWrapper.GetValue"
		size = 19
		refs = "000c TValue.&op_Implicit"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56_0 {
	meta:
		name = "GetModes"
		size = 292
		refs = "0015 GetModes 0043 TStrings.GetName 0055 @UStrCopy 0062 @UStrLAsg 0089 CompareText 00ea @UStrArrayClr 00fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 14 48 85 C0 0F 8C A4 00 00 00 40 89 45 F0 33 DB 8D 45 FC 50 8D 4D EC 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC B9 05 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 34 8D 45 E8 50 8D 4D E4 8B D3 8B 45 F4 8B 30 FF 56 0C 8B 45 E4 B9 FF FF FF 7F BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 08 8B 40 FC 8B 40 04 8B 08 FF 51 38 43 FF 4D F0 0F 85 62 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 5F 00 5F 00 61 00 6D 00 2E 00 00 00 }
	condition:
		$1
}

rule function_57_0 {
	meta:
		name = "TAdapterModes.Create"
		size = 111
		refs = "000e @ClassCreate 001f TObject.Create 0026 _Dn_TStringList 002b TStringList.Create 0039 TWebRequest.GetQueryFields 003e GetModes 0047 TWebRequest.GetContentFields 0059 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 55 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 FC 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_61_0 {
	meta:
		name = "TAdapterModes.FindAdapterMode"
		size = 260
		refs = "0021 TAdapterModes.FindAdapterMode 0033 @IntfClear 0041 Supports 0075 TStrings.GetName 0080 @UStrEqual 009d ExtractStringValue 00a8 @UStrAsg 00cc @UStrArrayClr 00d4 @UStrClr 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F0 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6D 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 8B 45 F4 8B 40 04 8B 10 FF 52 14 8B F0 4E 85 F6 7C 50 46 33 DB 8D 4D E8 8B 45 F4 8B 40 04 8B D3 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 75 2C 8D 4D E0 8B 45 F4 8B 40 04 8B D3 8B 30 FF 56 0C 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? C6 45 EF 01 EB 04 43 4E 75 B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 0F B6 45 EF 5E 5B 8B E5 5D C3 00 00 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_62_0 {
	meta:
		name = "TAbstractWebPageModuleFactory.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001a TObject.Free 0025 @ClassDestroy"
		altNames = "TAdapterActionFieldValuesList.Destroy TAdapterModes.Destroy TLocateParamsList.Destroy TNotifyList.Destroy TScriptObjectFactories.Destroy TWebNotifyContainer.Destroy TWebRequestFiles.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95553_0 {
	meta:
		name = "TWebDispatch.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TPersistent.Destroy 001a TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63_0 {
	meta:
		name = "TBasicImageRequestImpl.Create"
		size = 142
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TBasicImageRequestImpl.Create 0034 TAbstractAdapterRequest.Create 003f @IntfCopy 0049 _DV_TAdapterRequestParamsImpl 004e TAdapterRequestParamsImpl.Create 0066 @IntfClear 006c @HandleFinally 0079 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 10 8B 55 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66_0 {
	meta:
		name = "TBasicImageResponseImpl.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TAbstractAdapterResponse.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16630_0 {
	meta:
		name = "DSAdmin.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDSCustomAdmin.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16711_0 {
	meta:
		name = "DSMetadata.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDSCustomAdmin.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_33294_0 {
	meta:
		name = "EIdException.Create"
		size = 53
		refs = "000a @ClassCreate 0017 Exception.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_40473_0 {
	meta:
		name = "EInException.Create"
		size = 53
		refs = "000a @ClassCreate 0017 Exception.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98566_0 {
	meta:
		name = "TAbstractActiveScriptLanguages.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73536_0 {
	meta:
		name = "TActiveForm.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TCustomActiveForm.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73526_0 {
	meta:
		name = "TActiveFormControl.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TActiveXControl.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73527_0 {
	meta:
		name = "TActiveFormControl.CreateAggregated"
		size = 53
		refs = "000a @ClassCreate 0017 TActiveXControl.CreateAggregated 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73386_0 {
	meta:
		name = "TActiveXControl.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TAutoObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73387_0 {
	meta:
		name = "TActiveXControl.CreateAggregated"
		size = 53
		refs = "000a @ClassCreate 0017 TAutoObject.CreateAggregated 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_70868_0 {
	meta:
		name = "TAutoObject.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TTypedComObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_70869_0 {
	meta:
		name = "TAutoObject.CreateAggregated"
		size = 53
		refs = "000a @ClassCreate 0017 TTypedComObject.CreateAggregated 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_70959_0 {
	meta:
		name = "TAutoObjectEvent.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TAutoObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_70961_0 {
	meta:
		name = "TAutoObjectEvent.CreateAggregated"
		size = 53
		refs = "000a @ClassCreate 0017 TAutoObject.CreateAggregated 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28064_0 {
	meta:
		name = "TAzureBlobService.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TAzureService.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28113_0 {
	meta:
		name = "TAzureTableService.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TAzureService.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28375_0 {
	meta:
		name = "TBBlock.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TBEnumerationItem<DSAzureBlob.TBBlockList>.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28369_0 {
	meta:
		name = "TBPageRange.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TBEnumerationItem<DSAzureBlob.TBPageList>.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28361_0 {
	meta:
		name = "TBSignedIdentifier.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TBEnumerationItem<DSAzureBlob.TBSignedIdentifiers>.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12776_0 {
	meta:
		name = "TBaseTransportFilterItem.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5551_0 {
	meta:
		name = "TBinaryField.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TField.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73736_0 {
	meta:
		name = "TBindCheckBoxEditorFactory.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TBindEditorFactory.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73713_0 {
	meta:
		name = "TBindComboBoxEditorFactory.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TBindEditorFactory.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73710_0 {
	meta:
		name = "TBindListBoxEditorFactory.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TBindEditorFactory.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73745_0 {
	meta:
		name = "TBindListComboBoxEditor.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TBaseBindListListBoxEditor.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73686_0 {
	meta:
		name = "TBindListListBoxEditor.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TBaseBindListListBoxEditor.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73730_0 {
	meta:
		name = "TBindListViewEditorFactory.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TBindEditorFactory.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73733_0 {
	meta:
		name = "TBindStringGridEditorFactory.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TBindEditorFactory.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1267_0 {
	meta:
		name = "TBinder.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TOleServer.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_95583_0 {
	meta:
		name = "TCGIRequest.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TWebRequest.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_74274_0 {
	meta:
		name = "TCOMAdminCatalog.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TOleServer.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_74321_0 {
	meta:
		name = "TCOMAdminCatalogCollection.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TOleServer.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_74306_0 {
	meta:
		name = "TCOMAdminCatalogObject.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TOleServer.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_91319_0 {
	meta:
		name = "TCanvas3D.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6393_0 {
	meta:
		name = "TClassRegistryObject.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81158_0 {
	meta:
		name = "TColorLookup.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1511_0 {
	meta:
		name = "TCommonBindComponent.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TContainedBindComponent.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_63093_0 {
	meta:
		name = "TComponentList.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObjectList.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_50674_0 {
	meta:
		name = "TConnectionIntercept.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TIdBaseComponent.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1475_0 {
	meta:
		name = "TContainedBindComponent.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TComponent.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_74998_0 {
	meta:
		name = "TConversion.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9607_0 {
	meta:
		name = "TConverterEvent.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1865_0 {
	meta:
		name = "TCustomBindExpression.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TBaseBindExpression.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84902_0 {
	meta:
		name = "TCustomComboBoxStrings.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TStrings.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_95478_0 {
	meta:
		name = "TCustomHTMLDragDropDesigner.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TComponent.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_95490_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TComponent.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15239_0 {
	meta:
		name = "TCustomRemoteServer.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TCustomConnection.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_87128_0 {
	meta:
		name = "TCustomStyleServices.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6242_0 {
	meta:
		name = "TDBByteBuffer.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7073_0 {
	meta:
		name = "TDBXAnsiMemoValue.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXByteArrayValue.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26568_0 {
	meta:
		name = "TDBXAnsiStringSequenceGenerator.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXDataGeneratorColumn.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7053_0 {
	meta:
		name = "TDBXAnsiStringValue.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXWritableValue.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26563_0 {
	meta:
		name = "TDBXBlobSequenceGenerator.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXDataGeneratorColumn.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26557_0 {
	meta:
		name = "TDBXBooleanSequenceGenerator.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXDataGeneratorColumn.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6403_0 {
	meta:
		name = "TDBXClientDriverLoader.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TClassRegistryObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7400_0 {
	meta:
		name = "TDBXClosedByteReader.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXByteReader.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11714_0 {
	meta:
		name = "TDBXColumnsTableCursor.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXDelegateTable.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7493_0 {
	meta:
		name = "TDBXConnectionBuilder.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10764_0 {
	meta:
		name = "TDBXConnectionHandler.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXCommandHandler.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8288_0 {
	meta:
		name = "TDBXDataExpressMetaDataProvider.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXMetaDataProvider.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11542_0 {
	meta:
		name = "TDBXDataExpressProviderContext.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26532_0 {
	meta:
		name = "TDBXDataGeneratedRow.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXRow.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26572_0 {
	meta:
		name = "TDBXDataGeneratorException.Create"
		size = 53
		refs = "000a @ClassCreate 0017 Exception.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26573_0 {
	meta:
		name = "TDBXDateSequenceGenerator.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXDataGeneratorColumn.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26580_0 {
	meta:
		name = "TDBXDecimalSequenceGenerator.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXDataGeneratorColumn.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26585_0 {
	meta:
		name = "TDBXDoubleSequenceGenerator.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXDataGeneratorColumn.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12889_0 {
	meta:
		name = "TDBXIdTCPLayer.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TFactoryObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26590_0 {
	meta:
		name = "TDBXInt16SequenceGenerator.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXDataGeneratorColumn.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26595_0 {
	meta:
		name = "TDBXInt32SequenceGenerator.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXDataGeneratorColumn.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26600_0 {
	meta:
		name = "TDBXInt64SequenceGenerator.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXDataGeneratorColumn.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26605_0 {
	meta:
		name = "TDBXInt8SequenceGenerator.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXDataGeneratorColumn.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7538_0 {
	meta:
		name = "TDBXMemoryConnectionFactory.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXConnectionFactory.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11615_0 {
	meta:
		name = "TDBXMetaDataProvider.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8876_0 {
	meta:
		name = "TDBXMethodTable.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8171_0 {
	meta:
		name = "TDBXNoOpRow.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXStreamerRow.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12871_0 {
	meta:
		name = "TDBXSocketChannel.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12695_0 {
	meta:
		name = "TDBXStringBuffer.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7182_0 {
	meta:
		name = "TDBXStringValue.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXWideStringValue.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8190_0 {
	meta:
		name = "TDBXTable.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXTableRow.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8188_0 {
	meta:
		name = "TDBXTableRow.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXWritableValueList.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26610_0 {
	meta:
		name = "TDBXTimeSequenceGenerator.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXDataGeneratorColumn.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26617_0 {
	meta:
		name = "TDBXTimestampSequenceGenerator.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXDataGeneratorColumn.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6813_0 {
	meta:
		name = "TDBXTransaction.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6654_0 {
	meta:
		name = "TDBXValueType.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7175_0 {
	meta:
		name = "TDBXWideMemoValue.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXByteArrayValue.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26628_0 {
	meta:
		name = "TDBXWideStringSequenceGenerator.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXDataGeneratorColumn.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7152_0 {
	meta:
		name = "TDBXWideStringValue.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXWritableValue.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6830_0 {
	meta:
		name = "TDBXWritableValue.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXValue.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7646_0 {
	meta:
		name = "TDBXWritableValueList.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXValueList.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26026_0 {
	meta:
		name = "TDCOMConnection.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDispatchConnection.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_22598_0 {
	meta:
		name = "TDSAdminRestClient.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDSRestClient.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16626_0 {
	meta:
		name = "TDSCustomAdmin.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXServerComponent.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15620_0 {
	meta:
		name = "TDSCustomProxyGenerator.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TComponent.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16750_0 {
	meta:
		name = "TDSCustomServerClass.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDSServerComponent.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16738_0 {
	meta:
		name = "TDSServerCommandHandler.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXCommandHandler.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16747_0 {
	meta:
		name = "TDSServerComponent.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TComponent.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16808_0 {
	meta:
		name = "TDSServerMethod.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16829_0 {
	meta:
		name = "TDSServerMethodProvider.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16881_0 {
	meta:
		name = "TDSVoidConnectionHandler.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TDBXConnectionHandler.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48996_0 {
	meta:
		name = "TDataContext.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_59477_0 {
	meta:
		name = "TDynamicObjectMemberInstance.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TPhysicalObjectMemberInstance.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_296_0 {
	meta:
		name = "TEnumDispatcherAS.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TCustomEnumDispatcher.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12780_0 {
	meta:
		name = "TFactoryObject.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_80378_0 {
	meta:
		name = "TGraphic.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_31606_0 {
	meta:
		name = "TIBValidationService.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TIBControlAndQueryService.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96544_0 {
	meta:
		name = "TISAPIFactory.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_44051_0 {
	meta:
		name = "TIWCustomControl.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TIWVCLBaseControl.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32301_0 {
	meta:
		name = "TIdBaseComponent.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TIdInitializerComponent.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_33271_0 {
	meta:
		name = "TIdEMailAddressItem.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_33730_0 {
	meta:
		name = "TIdFTPRegParseList.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_34772_0 {
	meta:
		name = "TIdHash.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_35695_0 {
	meta:
		name = "TIdIRCReplies.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36149_0 {
	meta:
		name = "TIdMessageDecoderInfo.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36156_0 {
	meta:
		name = "TIdMessageEncoderInfo.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38008_0 {
	meta:
		name = "TIdNotify.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_35039_0 {
	meta:
		name = "TIdProxyConnectionInfo.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_37978_0 {
	meta:
		name = "TIdStruct.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38005_0 {
	meta:
		name = "TIdSync.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39163_0 {
	meta:
		name = "TInBaseComponent.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TIdInitializerComponent.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_40886_0 {
	meta:
		name = "TInHash.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_42020_0 {
	meta:
		name = "TInSync.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_59390_0 {
	meta:
		name = "TIndexedObjectPropertyInstance.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TPhysicalObjectMemberInstance.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48246_0 {
	meta:
		name = "TInternetExplorer.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TOleServer.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48333_0 {
	meta:
		name = "TInternetExplorerMedium.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TOleServer.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9319_0 {
	meta:
		name = "TJSONException.Create"
		size = 53
		refs = "000a @ClassCreate 0017 Exception.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9353_0 {
	meta:
		name = "TJSONNumber.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TJSONString.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9320_0 {
	meta:
		name = "TJSONPair.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TJSONAncestor.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9340_0 {
	meta:
		name = "TJSONString.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TJSONAncestor.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28389_0 {
	meta:
		name = "TLeaseItem.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_50735_0 {
	meta:
		name = "TLogDetail.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TCustomForm.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_49461_0 {
	meta:
		name = "TLogLinkedWebNode.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TLinkedWebNode.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47657_0 {
	meta:
		name = "TMaster.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TOleServer.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98796_0 {
	meta:
		name = "TModuleObj.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TComponentsEnumerator.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47570_0 {
	meta:
		name = "TOLECtrl.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TOleServer.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_59416_0 {
	meta:
		name = "TObjectFieldInstance.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TPhysicalObjectMemberInstance.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_59409_0 {
	meta:
		name = "TObjectMethodInstance.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TPhysicalObjectMemberInstance.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_59376_0 {
	meta:
		name = "TObjectPropertyInstance.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TPhysicalObjectMemberInstance.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73592_0 {
	meta:
		name = "TOleGraphic.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TGraphic.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47716_0 {
	meta:
		name = "TOutlookApplication.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TOleServer.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_59400_0 {
	meta:
		name = "TPhysicalObjectMemberInstance.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TAbstractObjectMemberInstance.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47595_0 {
	meta:
		name = "TPowerPointApplication.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TOleServer.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47493_0 {
	meta:
		name = "TPowerPointPresentation.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TOleServer.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47452_0 {
	meta:
		name = "TPowerPointSlide.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TOleServer.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47939_0 {
	meta:
		name = "TPowerRex.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TOleServer.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73556_0 {
	meta:
		name = "TPropertyPageImpl.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TAggregatedObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9614_0 {
	meta:
		name = "TReverterEvent.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48504_0 {
	meta:
		name = "TShellNameSpace.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TOleServer.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48444_0 {
	meta:
		name = "TShellUIHelper.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TOleServer.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48422_0 {
	meta:
		name = "TShellWindows.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TOleServer.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_62340_0 {
	meta:
		name = "TStringList.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TStrings.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_92885_0 {
	meta:
		name = "TTeeExportFormat.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_49484_0 {
	meta:
		name = "TTypeTranslator.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_70861_0 {
	meta:
		name = "TTypedComObject.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TComObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_70862_0 {
	meta:
		name = "TTypedComObject.CreateAggregated"
		size = 53
		refs = "000a @ClassCreate 0017 TComObject.CreateAggregated 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_59422_0 {
	meta:
		name = "TVirtualObjectMemberInstance.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TAbstractObjectMemberInstance.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39050_0 {
	meta:
		name = "TWebBrowserSearchFindFirst.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TWebBrowserSearchFind.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47296_0 {
	meta:
		name = "TWebButton.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TWebContainedComponent.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_97349_0 {
	meta:
		name = "TWebComponentsStub.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TScriptComponent.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98812_0 {
	meta:
		name = "TWebUserItem.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_70749_0 {
	meta:
		name = "TWideStringList.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_114748_0 {
	meta:
		name = "TXMLDocument.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TComponent.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_50304_0 {
	meta:
		name = "TXSBaseDate.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_50372_0 {
	meta:
		name = "TXSDate.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TRemotable.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_50408_0 {
	meta:
		name = "TXSDuration.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TRemotable.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_85450_0 {
	meta:
		name = "TseBitmapList.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TObject.Create 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_67_0 {
	meta:
		name = "TActionFieldValueImpl.Create"
		size = 245
		refs = "0016 @ClassCreate 0025 TActionFieldValueImpl.Create 0035 @UStrAsg 003e _Dn_TObjectList 0043 TObjectList.Create 004d _Dn_TStringList 0052 TStringList.Create 0092 TList.Add 00c7 @UStrClr 00cd @HandleFinally 00dc @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 14 8B D3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 83 7D 08 00 74 57 8B 45 08 8B 10 FF 52 14 48 85 C0 7C 4A 40 89 45 F8 33 DB 8B D3 8B 45 08 8B 08 FF 51 18 85 C0 74 18 8B 7E 10 8B D3 8B 45 08 8B 08 FF 51 18 8B D0 8B C7 E8 ?? ?? ?? ?? EB 18 8D 4D F4 8B D3 8B 45 08 8B 38 FF 57 0C 8B 55 F4 8B 46 0C 8B 08 FF 51 38 43 FF 4D F8 75 BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_68_0 {
	meta:
		name = "TActionFieldValueImpl.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001a TObject.Free 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70_0 {
	meta:
		name = "TActionFieldValueImpl.GetFile"
		size = 34
		refs = "000c TList.Get 0016 _Dn_TAbstractWebRequestFile 001b @AsClass"
	strings:
		$1 = { 53 56 8B 58 10 8B F2 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72_0 {
	meta:
		name = "TActionFieldValueImpl.GetValue"
		size = 93
		refs = "0018 TActionFieldValueImpl.GetValue 0036 @VarFromUStr 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B 43 0C 8B 18 FF 53 0C 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_73_0 {
	meta:
		name = "TActionFieldValueImpl.GetValueCount"
		size = 9
		altNames = "TBindEditLinkObserver.GetUpdating TIdHeaderListPeer.GetCount TIdTextModeResourceRecord.ItemCount TWebPageInfoWrapper.GetPageIsPublished TXMLNodeList.GetCount"
	strings:
		$1 = { 8B 40 0C 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_74_0 {
	meta:
		name = "TMultiRecordActionRequestImpl.Create"
		size = 164
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TMultiRecordActionRequestImpl.Create 0037 TBasicActionRequestImpl.Create 003e TAbstractAdapterRequest.GetRequest 0047 _DV_TAdapterActionFieldValuesList 004c TAdapterActionFieldValuesList.Create 005f _DV_TAdapterModes 0064 TAdapterModes.Create 007c @IntfClear 0082 @HandleFinally 008f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 2C 8B C6 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_76_0 {
	meta:
		name = "TMultiRecordActionRequestImpl.GetFieldValues"
		size = 17
		refs = "0006 TMultiRecordActionRequestImpl.GetFieldValuesList 000b TEnumActionFieldValueRecordsImpl.GetCurrentFieldValues"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_63997_0 {
	meta:
		name = "ChDir"
		size = 17
		refs = "0006 @UStrToPWChar 000b ChDir"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66829_0 {
	meta:
		name = "GetValueStackSize"
		size = 17
		refs = "0006 TValue.GetDataSize 000b Align4"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64004_0 {
	meta:
		name = "MkDir"
		size = 17
		refs = "0006 @UStrToPWChar 000b MkDir"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64014_0 {
	meta:
		name = "RmDir"
		size = 17
		refs = "0006 @UStrToPWChar 000b RmDir"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_97317_0 {
	meta:
		name = "TCustomAdapterGotoPageAction.GetItemCount"
		size = 17
		refs = "0006 TCustomPagedAdapterAction.GetAdapter 000b TDefaultFieldsPagedAdapter.GetPageCount"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10766_0 {
	meta:
		name = "TDBXConnectionHandler.GetCommandHandle"
		size = 17
		refs = "0006 TDBXConnectionHandler.InvalidOperationError 000b @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10767_0 {
	meta:
		name = "TDBXConnectionHandler.SetCommandHandle"
		size = 17
		refs = "0006 TDBXConnectionHandler.InvalidOperationError 000b @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78492_0 {
	meta:
		name = "TDirect2DFont.GetColor"
		size = 17
		refs = "0006 TDirect2DFont.GetBrush 000b TDirect2DBrush.GetColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78482_0 {
	meta:
		name = "TDirect2DPen.GetColor"
		size = 17
		refs = "0006 TDirect2DPen.GetBrush 000b TDirect2DBrush.GetColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5116_0 {
	meta:
		name = "TFieldDef.AddChild"
		size = 17
		refs = "0006 TFieldDef.GetChildDefs 000b TFieldDefs.AddFieldDef"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30333_0 {
	meta:
		name = "TIBCustomDataSet.PSInTransaction"
		size = 17
		refs = "0006 TIBCustomDataSet.GetTransaction 000b TIBTransaction.GetInTransaction"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_44163_0 {
	meta:
		name = "TIWCustomControl.SupportsInput"
		size = 17
		refs = "0006 TIWCustomControl.HTMLControlImplementation 000b TIWBaseComponentImplementation.SupportsInput"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_44164_0 {
	meta:
		name = "TIWCustomControl.SupportsSubmit"
		size = 17
		refs = "0006 TIWCustomControl.HTMLControlImplementation 000b TIWBaseComponentImplementation.SupportsSubmit"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_44160_0 {
	meta:
		name = "TIWCustomControl.get_HTMLLeft"
		size = 17
		refs = "0006 TIWCustomControl.HTMLControlImplementation 000b TIWHTMLControlImplementation.GetHTMLLeft"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_44161_0 {
	meta:
		name = "TIWCustomControl.get_HTMLTop"
		size = 17
		refs = "0006 TIWCustomControl.HTMLControlImplementation 000b TIWHTMLControlImplementation.GetHTMLTop"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_44170_0 {
	meta:
		name = "TIWCustomControl.get_SupportsPartial"
		size = 17
		refs = "0006 TIWCustomControl.HTMLControlImplementation 000b TIWHTMLControlImplementation.get_SupportsPartial"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_44114_0 {
	meta:
		name = "TIWCustomControl.get_WebCursor"
		size = 17
		refs = "0006 TIWCustomControl.HTMLControlImplementation 000b TIWHTMLControlImplementation.GetCursor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_34993_0 {
	meta:
		name = "TIdCustomHTTP.GetResponseCode"
		size = 17
		refs = "0006 TIdCustomHTTP.GetResponse 000b TIdHTTPResponse.GetResponseCode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75162_0 {
	meta:
		name = "TListItem.GetHandle"
		size = 17
		refs = "0006 TListItem.GetListView 000b TWinControl.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66163_0 {
	meta:
		name = "TPath.IsExtendedPrefixed"
		size = 17
		refs = "0006 TPath.GetExtendedPrefix 000b TPath.PrefixExtendsPath"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66995_0 {
	meta:
		name = "TRttiType.GetIsManaged"
		size = 17
		refs = "0006 TRttiType.GetHandle 000b IsManaged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67009_0 {
	meta:
		name = "TRttiType.GetTypeData"
		size = 17
		refs = "0006 TRttiType.GetHandle 000b GetTypeData"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_50888_0 {
	meta:
		name = "TSyncController.EndUpdate"
		size = 17
		refs = "0006 TSyncController.GetGraph 000b TGraph.EndUpdate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74664_0 {
	meta:
		name = "TTreeNode.GetHandle"
		size = 17
		refs = "0006 TTreeNode.GetTreeView 000b TWinControl.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77_0 {
	meta:
		name = "MoveValues"
		size = 157
		refs = "002e TList.Get 0037 TList.Add 0079 TList.ExtractItem"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 8B DA 8B F0 8B 7D 08 8B 43 0C 8B 55 FC 8B 08 FF 51 38 8B 46 10 89 45 F8 89 7D F4 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 53 10 92 E8 ?? ?? ?? ?? 8B 46 14 89 45 F0 89 7D EC 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 53 14 92 E8 ?? ?? ?? ?? 8B D7 8B 46 0C 8B 08 FF 51 48 8B 5E 10 89 7D E8 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 56 10 33 C9 92 E8 ?? ?? ?? ?? 8B 5E 14 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 56 14 33 C9 92 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_78_0 {
	meta:
		name = "NameAndIndex"
		size = 192
		refs = "0012 NameAndIndex 0021 @UStrAsg 0033 Pos 005a @UStrCopy 0062 StrToInt 0072 @UStrDelete 0081 @HandleAnyException 0086 @DoneExcept 009b @UStrClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B D6 E8 ?? ?? ?? ?? C7 07 FF FF FF FF 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7E 4D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 56 01 8B 03 B9 FF FF FF 7F E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 07 8B C3 B9 FF FF FF 7F 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_79_0 {
	meta:
		name = "TEnumActionFieldValueRecordsImpl.Create"
		size = 465
		refs = "0016 @ClassCreate 0026 TEnumActionFieldValueRecordsImpl.Create 0035 _Dn_TObjectList 003a TObjectList.Create 004d @UStrAsg 008b _Dn_TStrings 0090 TObject.InheritsFrom 00bb _Dn_TStringList 00c0 TStringList.Create 00e7 @AsClass 0135 _DV_TActionFieldValuesImpl 013a TActionFieldValuesImpl.Create 0143 TList.Add 0158 TObject.Free 015e @HandleFinally 01a1 @UStrClr 01b7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 8B 45 FC 83 C0 04 8B D3 E8 ?? ?? ?? ?? 83 7D 08 00 0F 84 17 01 00 00 8B 45 08 8B 10 FF 52 14 85 C0 0F 8E 07 01 00 00 33 D2 8B 45 08 8B 08 FF 51 18 85 C0 0F 84 F5 00 00 00 33 D2 8B 45 08 8B 08 FF 51 18 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D6 00 00 00 8B 45 08 8B 10 FF 52 14 48 85 C0 0F 8C E3 00 00 00 40 89 45 EC C7 45 F4 00 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F4 8B 45 08 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 52 14 48 85 C0 7C 30 40 89 45 E8 33 DB 8D 4D E4 8B D3 8B C6 8B 38 FF 57 0C 8B 45 E4 50 8B D3 8B C6 8B 08 FF 51 18 8B C8 8B 45 F0 5A 8B 38 FF 57 3C 43 FF 4D E8 75 D6 8B 45 FC 8B 58 08 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 F4 FF 4D EC 0F 85 48 FF FF FF EB 1E 8B 45 FC 8B 58 08 8B 4D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80_0 {
	meta:
		name = "TEnumActionFieldValueRecordsImpl.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001a TObject.Free 0025 @ClassDestroy"
		altNames = "TLocateParams.Destroy TSchemaIterator.Destroy TScriptGlobalObjects.Destroy TWebModuleFactoryList.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81_0 {
	meta:
		name = "TEnumActionFieldValueRecordsImpl.FindPopulatedRecord"
		size = 84
		refs = "0021 TList.Get 002b _DV_TActionFieldValuesImpl 0030 @AsClass 0039 TActionFieldValuesImpl.GetFieldCount"
	strings:
		$1 = { 53 56 57 55 51 8B F8 8B 47 08 8B 70 08 4E 85 F6 7C 3A 46 33 DB 8B 6F 08 89 1C 24 8B 14 24 8B C5 E8 ?? ?? ?? ?? 8B E8 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B C5 E8 ?? ?? ?? ?? 85 C0 7E 07 89 5F 0C B0 01 EB 06 43 4E 75 C9 33 C0 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82_0 {
	meta:
		name = "TBindingManager.GetExprCount"
		size = 7
		altNames = "TCollection.GetCount TDSCacheResultCommandHandler.GetCommandCount TDSCallbackTunnel.CallbackCount TDSCommandComplexParams.GetParameterCount TEnumActionFieldValueRecordsImpl.GetRecordCount TJSONNumber.EstimatedByteSize TWebComponentList.GetCount TWebModuleFactoryList.GetItemCount TWebModuleList.GetItemCount"
	strings:
		$1 = { 8B 40 08 8B 40 08 C3 }
	condition:
		$1
}

rule function_83_0 {
	meta:
		name = "TAbstractTest.GetEnabled"
		size = 5
		altNames = "TDBXConnection.GetIsOpen TDBXDataExpressProviderContext.GetMarkerIncludedInParameterName TDSClass.IsArrayParameter TEnumActionFieldValueRecordsImpl.GetInIterator TGIFGraphicControlExtension.GetTransparentColorIndex THeaderInfo.GetRequired TParamObject.GetDataType"
	strings:
		$1 = { 0F B6 40 10 C3 }
	condition:
		$1
}

rule function_84_0 {
	meta:
		name = "TEnumActionFieldValueRecordsImpl.GetCurrentFieldValues"
		size = 49
		refs = "0016 TList.Get 0020 _DV_TActionFieldValuesImpl 0025 @AsClass"
	strings:
		$1 = { 53 56 8B 50 08 8B 4A 08 8B 70 0C 3B CE 7E 1D 8B DA 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_85_0 {
	meta:
		name = "TEnumActionFieldValueRecordsImpl.GetEOF"
		size = 13
	strings:
		$1 = { 8B 50 08 8B 52 08 3B 50 0C 0F 9E C0 C3 }
	condition:
		$1
}

rule function_86_0 {
	meta:
		name = "TEnumActionFieldValueRecordsImpl.GetFirstRecord"
		size = 22
		refs = "000b TEnumActionFieldValueRecordsImpl.GetEOF"
	strings:
		$1 = { 53 8B D8 33 C0 89 43 0C 8B C3 E8 ?? ?? ?? ?? 34 01 88 43 10 5B C3 }
	condition:
		$1
}

rule function_87_0 {
	meta:
		name = "TEnumActionFieldValueRecordsImpl.GetNextRecord"
		size = 20
		refs = "0009 TEnumActionFieldValueRecordsImpl.GetEOF"
	strings:
		$1 = { 53 8B D8 FF 43 0C 8B C3 E8 ?? ?? ?? ?? 34 01 88 43 10 5B C3 }
	condition:
		$1
}

rule function_88_0 {
	meta:
		name = "TEnumActionFieldValueRecordsImpl.EndIterator"
		size = 10
	strings:
		$1 = { C6 40 10 00 33 D2 89 50 0C C3 }
	condition:
		$1
}

rule function_89_0 {
	meta:
		name = "TEnumActionFieldValueRecordsImpl.GetRecord"
		size = 19
	strings:
		$1 = { 8B 48 08 3B 51 08 0F 9C C1 84 C9 74 03 89 50 0C 8B C1 C3 }
	condition:
		$1
}

rule function_90_0 {
	meta:
		name = "TActionFieldValuesImpl.ExpandRecordKeys"
		size = 105
		refs = "000d TActionFieldValuesImpl.ExpandRecordKeys 0043 ExtractParamNameValues 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 10 FF 52 14 85 C0 7E 24 8B 43 08 8B 10 FF 52 14 85 C0 75 18 8D 4D FC 33 D2 8B 43 04 8B 30 FF 56 0C 8B 45 FC 8B 53 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_91_0 {
	meta:
		name = "TActionFieldValuesImpl.GetRecordKeyCount"
		size = 20
		refs = "0006 TActionFieldValuesImpl.ExpandRecordKeys"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 10 FF 52 14 5B C3 }
	condition:
		$1
}

rule function_92_0 {
	meta:
		name = "TActionFieldValuesImpl.GetRecordKeyName"
		size = 25
		refs = "0011 TStrings.GetName"
		altNames = "TLocateParams.GetParamName"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6621_0 {
	meta:
		name = "TDBXProperties.GetValue"
		size = 25
		refs = "0011 TStrings.GetValue"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93_0 {
	meta:
		name = "TActionFieldValuesImpl.GetRecordKeyValue"
		size = 93
		refs = "0018 TActionFieldValuesImpl.GetRecordKeyValue 0036 ExtractStringValue 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B 43 08 8B 18 FF 53 0C 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_26463_0 {
	meta:
		name = "TLocateParams.GetParamValue"
		size = 93
		refs = "0018 TLocateParams.GetParamValue 0036 ExtractStringValue 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B 43 08 8B 18 FF 53 0C 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94_0 {
	meta:
		name = "NewStrings"
		size = 36
		refs = "0007 _Dn_TStringList 000c TStringList.Create 001b TList.Add"
	strings:
		$1 = { 55 8B EC 53 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_95_0 {
	meta:
		name = "FindAdapterStrings"
		size = 94
		refs = "0020 NewStrings 0051 _Dn_TStrings 0056 @AsClass"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 45 08 8B 40 F8 8B D6 8B 08 FF 51 54 8B D8 83 FB FF 75 27 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B C8 8B 45 08 8B 40 F8 8B D6 8B 18 FF 53 3C 8B 45 08 8B 40 F8 8B 10 FF 52 14 8B D8 4B 8B 45 08 8B 40 F8 8B D3 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_96_0 {
	meta:
		name = "FindAdapterRecordStrings"
		size = 108
		refs = "0034 NewStrings 005a _Dn_TStrings 005f @AsClass"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 85 F6 7C 57 8B C3 8B 10 FF 52 14 85 C0 7E 2B 33 D2 8B C3 8B 08 FF 51 18 85 C0 75 1E 8B C3 8B 10 FF 52 44 EB 15 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B C8 33 D2 8B C3 8B 38 FF 57 3C 8B C3 8B 10 FF 52 14 3B F0 7D E0 8B D6 8B C3 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_97_0 {
	meta:
		name = "ExtractRecordIndex"
		size = 188
		refs = "0014 ExtractRecordIndex 002d Pos 0054 @UStrCopy 005c StrToInt 006d @UStrDelete 007c @HandleAnyException 0081 @DoneExcept 0096 @UStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC FF FF FF FF 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 4E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 53 01 8B 06 B9 FF FF FF 7F E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 8B C6 B9 FF FF FF 7F 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_98_0 {
	meta:
		name = "ExtractAdapterName"
		size = 84
		refs = "000a @UStrClr 0011 ExtractAdapterName 0016 Pos 002c @UStrCopy 003a @UStrDelete"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C7 E8 ?? ?? ?? ?? 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 1E 57 8B CB 49 8B 06 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_99_0 {
	meta:
		name = "TAdapterActionFieldValuesList.Create"
		size = 1344
		refs = "001f @ClassCreate 0030 TAdapterActionFieldValuesList.Create 0040 TObject.Create 0049 _Dn_TObjectList 004e TObjectList.Create 0079 NewStrings 0085 TWebRequest.GetQueryFields 0097 TWebRequest.GetContentFields 00a9 TWebRequest.GetFiles 011e Format 017b @UStrClr 0188 TStrings.GetName 019e @UStrCopy 01ab @UStrLAsg 01d2 CompareText 01ed @UStrDelete 01fc ExtractAdapterName 0204 ExtractRecordIndex 02b0 @UStrEqual 02e8 FindAdapterStrings 02f2 FindAdapterRecordStrings 0325 ExtractStringValue 0357 @UStrCat3 03ed _DV_TEnumActionFieldValueRecordsImpl 03f2 TEnumActionFieldValueRecordsImpl.Create 03fb TList.Add 0428 _Dn_TStrings 042d @AsClass 046d TObject.Free 0473 @HandleFinally 048f @UStrArrayClr 049c @LStrArrayClr 04c7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 B9 0E 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D D0 88 55 D7 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 D8 E8 ?? ?? ?? ?? B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 89 42 04 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 55 E8 ?? ?? ?? ?? 59 89 45 CC 8B 45 D0 E8 ?? ?? ?? ?? 8B D0 8B 45 CC 8B 08 FF 51 40 8B 45 D0 E8 ?? ?? ?? ?? 8B D0 8B 45 CC 8B 08 FF 51 40 8B 45 D0 E8 ?? ?? ?? ?? 85 C0 0F 84 8F 00 00 00 8B 45 D0 E8 ?? ?? ?? ?? 8B 10 FF 12 8B F0 4E 85 F6 7C 7C 46 33 DB 8D 45 B8 50 8B 45 D0 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 04 8D 55 A4 8B 08 FF 11 8B 45 A4 89 45 A8 C6 45 AC 0B 8B 45 D0 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 04 8D 55 A0 8B 08 FF 51 04 8B 45 A0 89 45 B0 C6 45 B4 0B 8D 55 A8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 50 8B 45 D0 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 04 8B C8 8B 45 CC 5A 8B 38 FF 57 3C 43 4E 75 87 55 E8 ?? ?? ?? ?? 59 89 45 F8 8B 45 CC 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 73 02 00 00 46 33 DB C6 45 C7 00 C6 45 C6 00 C6 45 C5 00 C7 45 C8 FF FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? 8D 4D F4 8B D3 8B 45 CC E8 ?? ?? ?? ?? 8D 45 E8 50 B9 05 00 00 00 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 04 B0 01 EB 20 83 7D E8 00 74 06 83 7D E4 00 75 04 33 C0 EB 10 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 31 8D 45 F4 B9 05 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? C6 45 C7 01 8D 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 89 45 C8 E9 C0 00 00 00 8D 45 E0 50 B9 06 00 00 00 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 3B 45 DC 75 04 B0 01 EB 20 83 7D E0 00 74 06 83 7D DC 00 75 04 33 C0 EB 10 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 2E C6 45 C6 01 8D 45 F4 B9 06 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 89 45 C8 EB 3F 8D 45 9C 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 9C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1A C6 45 C5 01 8D 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 89 45 C8 0F B6 45 C7 0A 45 C6 75 0A 80 7D C5 00 0F 84 E9 00 00 00 55 8B 45 F0 E8 ?? ?? ?? ?? 59 55 8B 55 C8 E8 ?? ?? ?? ?? 59 89 45 C0 0F B6 45 C7 0A 45 C5 74 5A 8D 45 EC 50 8B 45 F4 89 45 A8 C6 45 AC 11 8D 4D 94 8B D3 8B 45 CC 8B 38 FF 57 0C 8B 45 94 8D 55 98 E8 ?? ?? ?? ?? 8B 45 98 89 45 B0 C6 45 B4 11 8D 55 A8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D C7 00 74 6A 8D 45 EC 8B 4D EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 58 8D 45 EC 50 8B 45 F0 89 45 A8 C6 45 AC 11 8D 4D 8C 8B D3 8B 45 CC 8B 38 FF 57 0C 8B 45 8C 8D 55 90 E8 ?? ?? ?? ?? 8B 45 90 89 45 B0 C6 45 B4 11 8D 55 A8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D C6 00 74 10 8D 45 EC 8B 4D EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 CC 8B 08 FF 51 18 8B C8 8B 55 EC 8B 45 C0 8B 38 FF 57 3C 43 4E 0F 85 90 FD FF FF 8B 45 F8 8B 10 FF 52 14 85 C0 75 21 8B 45 D8 8B 58 04 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 5B 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4C 46 33 DB 8B 45 D8 8B 40 04 89 45 BC 8B D3 8B 45 F8 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 4D 88 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 4D 88 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 BC E8 ?? ?? ?? ?? 43 4E 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 88 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 A0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 8B 45 D8 80 7D D7 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 D8 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3D 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 5F 00 5F 00 6F 00 76 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 5F 00 6B 00 65 00 79 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5F 00 5F 00 00 00 00 00 }
	condition:
		$1
}

rule function_101_0 {
	meta:
		name = "TAdapterActionFieldValuesList.GetCurrentFieldValuesList"
		size = 49
		refs = "0016 TList.Get 0020 _DV_TEnumActionFieldValueRecordsImpl 0025 @AsClass"
	strings:
		$1 = { 53 56 8B 50 04 8B 4A 08 8B 70 08 3B CE 7E 1D 8B DA 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_102_0 {
	meta:
		name = "TMultiRecordActionRequestImpl.GetFieldValuesList"
		size = 9
		refs = "0004 TAdapterActionFieldValuesList.GetCurrentFieldValuesList"
	strings:
		$1 = { 8B 40 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82972_0 {
	meta:
		name = "TOutlineStrings.Clear"
		size = 9
		refs = "0004 TCustomOutline.Clear"
	strings:
		$1 = { 8B 40 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82971_0 {
	meta:
		name = "TOutlineStrings.GetCount"
		size = 9
		refs = "0004 TCustomOutline.GetItemCount"
	strings:
		$1 = { 8B 40 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80984_0 {
	meta:
		name = "TStringGridStrings.SetUpdateState"
		size = 9
		refs = "0004 TStringGrid.SetUpdateState"
	strings:
		$1 = { 8B 40 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80967_0 {
	meta:
		name = "TStringSparseList.Exchange"
		size = 9
		refs = "0004 TSparseList.Exchange"
	strings:
		$1 = { 8B 40 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98721_0 {
	meta:
		name = "TStringsObj.SetCommaText"
		size = 9
		refs = "0004 TStrings.SetCommaText"
	strings:
		$1 = { 8B 40 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98723_0 {
	meta:
		name = "TStringsObj.SetValues"
		size = 9
		refs = "0004 TStrings.SetValue"
	strings:
		$1 = { 8B 40 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74779_0 {
	meta:
		name = "TTreeStrings.Clear"
		size = 9
		refs = "0004 TTreeNodes.Clear"
	strings:
		$1 = { 8B 40 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74778_0 {
	meta:
		name = "TTreeStrings.GetCount"
		size = 9
		refs = "0004 TTreeNodes.GetCount"
	strings:
		$1 = { 8B 40 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_103_0 {
	meta:
		name = "TAdapterActionFieldValuesList.LocateActionFieldValuesOfAdapter"
		size = 304
		refs = "0018 TAdapterActionFieldValuesList.LocateActionFieldValuesOfAdapter 002a @IntfClear 003f Supports 0076 TList.Get 0080 _DV_TEnumActionFieldValueRecordsImpl 0085 @AsClass 0092 @UStrLAsg 00c4 CompareText 00f7 @UStrArrayClr 0107 @UStrClr 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B F2 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EB 00 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 0F 84 96 00 00 00 8D 55 FC 8B 45 F8 8B 08 FF 51 0C 8B 45 EC 8B 40 04 8B 58 08 4B 85 DB 7C 7D 43 33 F6 8B 45 EC 8B 78 04 89 75 E4 8B 55 E4 8B C7 E8 ?? ?? ?? ?? 8B F8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 45 F4 8B 57 04 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0C C6 45 EB 01 8B 45 EC 89 70 08 EB 04 46 4B 75 86 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 0F B6 45 EB 5F 5E 5B 8B E5 5D C3 00 00 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_105_0 {
	meta:
		name = "AdaptReq"
		size = 8
		refs = "0002 _DV_41"
		altNames = "BindingGraphViewNodes DSAzureQueue Data.Bind.Editors Data.DBXDynalinkNative Data.DBXMSSQLMetaDataReader Data.DBXMessageHandlerServer Data.DBXSybaseASAMetaDataReader Data.DBXSybaseASEMetaDataReader Datasnap.DSProxyWriter Datasnap.DataBkr Datasnap.Provider IBScript IWBaseControl IWBaseRenderContext IWCompCalendar IWCompObject IWContainerBorderOptions IWControl IWDBExtCtrls IWDBGrids IWDsnTreeView IWRenderContext IdAuthenticationManager IdBuffer IdCommandHandlers IdCustomTransparentProxy IdEMailAddress IdFTPList IdGopher IdIRC IdIcmpClient IdIntercept IdLPR IdMappedFTP IdMappedTelnet IdMessageParts IdOTPCalculator IdReply IdReplyFTP IdReplyRFC IdSocksServer IdStruct IdSync IdTelnetServer IdUDPBase IdUDPServer IdVCard InBuffer InCustomTransparentProxy InIntercept InReply InReplyRFC InSync InUDPBase InUDPServer Office2000 ReqFiles SHDocVw Soap.IntfInfo Soap.SOAPHTTPTrans Soap.WSDLNode SockAppNotify SockHTTP SockRequestInterpreter System.Bindings.Expression System.WideStrings System.Win.ScktComp VCLTee.TeeChartGrid VCLTee.TeeData VCLTee.TeeEdiGrad VCLTee.TeePreviewPanel Vcl.DBCGrids Vcl.DBOleCtl Vcl.RibbonStyleActnCtrls Vcl.ScreenTips Vcl.Tabs Vcl.ToolWin Vcl.Touch.GestureMgr Vcl.ValEdit WebAuto WebContnrs Winapi.GDIPAPI XSLProd Xml.Internal.UriUtils"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_115_0 {
	meta:
		name = "ADODB2000"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_129_0 {
	meta:
		name = "ADODB2010"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_139_0 {
	meta:
		name = "ADODBXP"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_184_0 {
	meta:
		name = "ASPBehavior"
		size = 8
		refs = "0002 _DV_01"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_141_0 {
	meta:
		name = "AscrLib"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_295_0 {
	meta:
		name = "AutoAdap"
		size = 8
		refs = "0002 _DV_12"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_323_0 {
	meta:
		name = "AzureUI"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_1241_0 {
	meta:
		name = "BDE"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_325_0 {
	meta:
		name = "Bde.Bdeconst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_332_0 {
	meta:
		name = "Bde.DBBdeWeb"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_1254_0 {
	meta:
		name = "Bde.DrTable"
		size = 8
		refs = "0002 _DV_11"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_1256_0 {
	meta:
		name = "Bde.SMINTF"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_1309_0 {
	meta:
		name = "Binder2000"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_1311_0 {
	meta:
		name = "BindingGraphResStrs"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_1327_0 {
	meta:
		name = "ComApp"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_1335_0 {
	meta:
		name = "CompProd"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_1337_0 {
	meta:
		name = "CtlConsts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_1392_0 {
	meta:
		name = "DAO2000"
		size = 8
		refs = "0002 _DV_01"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_1412_0 {
	meta:
		name = "DAO2010"
		size = 8
		refs = "0002 _DV_01"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_1432_0 {
	meta:
		name = "DAOXP"
		size = 8
		refs = "0002 _DV_01"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_26481_0 {
	meta:
		name = "DBAdapt"
		size = 8
		refs = "0002 _DV_13"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_26633_0 {
	meta:
		name = "DBXCustomDataGenerator"
		size = 8
		refs = "0002 _DV_91"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_26670_0 {
	meta:
		name = "DBXDBMetaData"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_26694_0 {
	meta:
		name = "DBXTestResStrs"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_26719_0 {
	meta:
		name = "DSAzDlgACL"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_26731_0 {
	meta:
		name = "DSAzDlgBlock"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_26758_0 {
	meta:
		name = "DSAzDlgBlockBlob"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_26956_0 {
	meta:
		name = "DSAzDlgBlockProps"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_26982_0 {
	meta:
		name = "DSAzDlgCopyBlob"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_27186_0 {
	meta:
		name = "DSAzDlgCreateContainer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_27380_0 {
	meta:
		name = "DSAzDlgMetadata"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_27397_0 {
	meta:
		name = "DSAzDlgPage"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_27418_0 {
	meta:
		name = "DSAzDlgPageBlob"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_27610_0 {
	meta:
		name = "DSAzDlgPageProps"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_27635_0 {
	meta:
		name = "DSAzDlgPutBlockList"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_27836_0 {
	meta:
		name = "DSAzDlgSnapshotBlob"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_28148_0 {
	meta:
		name = "DSAzure"
		size = 8
		refs = "0002 _DV_9"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_28965_0 {
	meta:
		name = "DSAzureMessageDialog"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_29106_0 {
	meta:
		name = "DSAzureQueueMetadataDialog"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_29152_0 {
	meta:
		name = "DSAzureTable"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_29242_0 {
	meta:
		name = "DSAzureTableDialog"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_29564_0 {
	meta:
		name = "DSAzureTableRowDialog"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_29572_0 {
	meta:
		name = "DUnitAbout"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_29574_0 {
	meta:
		name = "DUnitConsts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_29580_0 {
	meta:
		name = "DUnitMainForm"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_29583_0 {
	meta:
		name = "DUnitTestRunner"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_2587_0 {
	meta:
		name = "Data.Bind.Consts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_3288_0 {
	meta:
		name = "Data.Bind.ObserverLinks"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_3510_0 {
	meta:
		name = "Data.Cloud.AmazonAPI"
		size = 8
		refs = "0002 _DV_51"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_4338_0 {
	meta:
		name = "Data.Cloud.AzureAPI"
		size = 8
		refs = "0002 _DV_01"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_4979_0 {
	meta:
		name = "Data.Cloud.CloudAPI"
		size = 8
		refs = "0002 _DV_11"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6248_0 {
	meta:
		name = "Data.DBByteBuffer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6332_0 {
	meta:
		name = "Data.DBCommon"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6334_0 {
	meta:
		name = "Data.DBCommonTypes"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6352_0 {
	meta:
		name = "Data.DBConnAdmin"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6354_0 {
	meta:
		name = "Data.DBConsts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6376_0 {
	meta:
		name = "Data.DBPlatform"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6395_0 {
	meta:
		name = "Data.DBXClassRegistry"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6453_0 {
	meta:
		name = "Data.DBXClient"
		size = 8
		refs = "0002 _DV_8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_6455_0 {
	meta:
		name = "Data.DBXClientResStrs"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8127_0 {
	meta:
		name = "Data.DBXCommonIndy"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8129_0 {
	meta:
		name = "Data.DBXCommonResStrs"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8276_0 {
	meta:
		name = "Data.DBXCommonTable"
		size = 8
		refs = "0002 _DV_81"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8585_0 {
	meta:
		name = "Data.DBXDBReaders"
		size = 8
		refs = "0002 _DV_11"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8298_0 {
	meta:
		name = "Data.DBXDataExpressMetaDataProvider"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8398_0 {
	meta:
		name = "Data.DBXDb2MetaDataReader"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8406_0 {
	meta:
		name = "Data.DBXDb2MetaDataWriter"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_8862_0 {
	meta:
		name = "Data.DBXDelegate"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9007_0 {
	meta:
		name = "Data.DBXEncryption"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9069_0 {
	meta:
		name = "Data.DBXFirebirdMetaDataReader"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9083_0 {
	meta:
		name = "Data.DBXFirebirdMetaDataWriter"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9186_0 {
	meta:
		name = "Data.DBXInformixMetaDataReader"
		size = 8
		refs = "0002 _DV_8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9198_0 {
	meta:
		name = "Data.DBXInformixMetaDataWriter"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9263_0 {
	meta:
		name = "Data.DBXInterbaseMetaDataReader"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9277_0 {
	meta:
		name = "Data.DBXInterbaseMetaDataWriter"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9440_0 {
	meta:
		name = "Data.DBXJSON"
		size = 8
		refs = "0002 _DV_81"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9450_0 {
	meta:
		name = "Data.DBXJSONCommon"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_9716_0 {
	meta:
		name = "Data.DBXJSONReflect"
		size = 8
		refs = "0002 _DV_02"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12149_0 {
	meta:
		name = "Data.DBXMSSQLMetaDataWriter"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10735_0 {
	meta:
		name = "Data.DBXMemoryRow"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10798_0 {
	meta:
		name = "Data.DBXMessageHandlerCommon"
		size = 8
		refs = "0002 _DV_12"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10843_0 {
	meta:
		name = "Data.DBXMessageHandlerJSonClient"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10869_0 {
	meta:
		name = "Data.DBXMessageHandlerJSonCommon"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_10949_0 {
	meta:
		name = "Data.DBXMessageHandlerJSonServer"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11536_0 {
	meta:
		name = "Data.DBXMetaDataCommand"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11558_0 {
	meta:
		name = "Data.DBXMetaDataCommandFactory"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11568_0 {
	meta:
		name = "Data.DBXMetaDataError"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11570_0 {
	meta:
		name = "Data.DBXMetaDataNames"
		size = 8
		refs = "0002 _DV_74"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11681_0 {
	meta:
		name = "Data.DBXMetaDataProvider"
		size = 8
		refs = "0002 _DV_43"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11929_0 {
	meta:
		name = "Data.DBXMetaDataReader"
		size = 8
		refs = "0002 _DV_32"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11933_0 {
	meta:
		name = "Data.DBXMetaDataUtil"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12063_0 {
	meta:
		name = "Data.DBXMetaDataWriter"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_11565_0 {
	meta:
		name = "Data.DBXMetadataCommon"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12304_0 {
	meta:
		name = "Data.DBXMySqlMetaDataReader"
		size = 8
		refs = "0002 _DV_51"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12322_0 {
	meta:
		name = "Data.DBXMySqlMetaDataWriter"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12551_0 {
	meta:
		name = "Data.DBXOdbcMetaDataReader"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12555_0 {
	meta:
		name = "Data.DBXOdbcMetaDataWriter"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12585_0 {
	meta:
		name = "Data.DBXOpenSSLRes"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12652_0 {
	meta:
		name = "Data.DBXOracleMetaDataReader"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12662_0 {
	meta:
		name = "Data.DBXOracleMetaDataWriter"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12790_0 {
	meta:
		name = "Data.DBXPlatform"
		size = 8
		refs = "0002 _DV_51"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12868_0 {
	meta:
		name = "Data.DBXRSAFilter"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12854_0 {
	meta:
		name = "Data.DBXReaderTableStorage"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_12920_0 {
	meta:
		name = "Data.DBXSqlScanner"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13172_0 {
	meta:
		name = "Data.DBXStream"
		size = 8
		refs = "0002 _DV_71"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13248_0 {
	meta:
		name = "Data.DBXStreamPlatform"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13183_0 {
	meta:
		name = "Data.DBXStreamer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13318_0 {
	meta:
		name = "Data.DBXSybaseASAMetaDataWriter"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13406_0 {
	meta:
		name = "Data.DBXSybaseASEMetaDataWriter"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13412_0 {
	meta:
		name = "Data.DBXTableFactory"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13802_0 {
	meta:
		name = "Data.DBXTransport"
		size = 8
		refs = "0002 _DV_31"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_13829_0 {
	meta:
		name = "Data.DBXTransportFilter"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_14177_0 {
	meta:
		name = "Data.DBXTypedTableStorage"
		size = 8
		refs = "0002 _DV_32"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_14189_0 {
	meta:
		name = "Data.DSUtil"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_14292_0 {
	meta:
		name = "Data.SqlConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_14771_0 {
	meta:
		name = "Data.Win.ADOConEd"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_14773_0 {
	meta:
		name = "Data.Win.ADOConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15542_0 {
	meta:
		name = "Datasnap.DBClient"
		size = 8
		refs = "0002 _DV_01"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15578_0 {
	meta:
		name = "Datasnap.DSAuth"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_15628_0 {
	meta:
		name = "Datasnap.DSClientMetadata"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_16075_0 {
	meta:
		name = "Datasnap.DSClientResStrs"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_16248_0 {
	meta:
		name = "Datasnap.DSClientRest"
		size = 8
		refs = "0002 _DV_02"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_16603_0 {
	meta:
		name = "Datasnap.DSCommonProxy"
		size = 8
		refs = "0002 _DV_9"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_16905_0 {
	meta:
		name = "Datasnap.DSCommonServer"
		size = 8
		refs = "0002 _DV_73"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_16989_0 {
	meta:
		name = "Datasnap.DSCommonTable"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_17014_0 {
	meta:
		name = "Datasnap.DSConnect"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_17044_0 {
	meta:
		name = "Datasnap.DSCustomConnectorProxyWriter"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_17727_0 {
	meta:
		name = "Datasnap.DSHTTPCommon"
		size = 8
		refs = "0002 _DV_12"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_18977_0 {
	meta:
		name = "Datasnap.DSHTTPServiceProxyDispatcher"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_19216_0 {
	meta:
		name = "Datasnap.DSHTTPWebBroker"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_19233_0 {
	meta:
		name = "Datasnap.DSNames"
		size = 8
		refs = "0002 _DV_01"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_19294_0 {
	meta:
		name = "Datasnap.DSProxy"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_20955_0 {
	meta:
		name = "Datasnap.DSProxyDispatcher"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_22607_0 {
	meta:
		name = "Datasnap.DSProxyRest"
		size = 8
		refs = "0002 _DV_82"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_22611_0 {
	meta:
		name = "Datasnap.DSProxyUtils"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_23177_0 {
	meta:
		name = "Datasnap.DSReflect"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_24141_0 {
	meta:
		name = "Datasnap.DSServerResStrs"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_25496_0 {
	meta:
		name = "Datasnap.DSTCPServerTransport"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_25762_0 {
	meta:
		name = "Datasnap.DSTransport"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_25766_0 {
	meta:
		name = "Datasnap.MidConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_25764_0 {
	meta:
		name = "Datasnap.Midas"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_26044_0 {
	meta:
		name = "Datasnap.Win.MConnect"
		size = 8
		refs = "0002 _DV_8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_26052_0 {
	meta:
		name = "Datasnap.Win.MidasCon"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_26073_0 {
	meta:
		name = "Datasnap.Win.MtsRdm"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_26096_0 {
	meta:
		name = "Datasnap.Win.ObjBrkr"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_26233_0 {
	meta:
		name = "Datasnap.Win.SConnect"
		size = 8
		refs = "0002 _DV_31"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_26254_0 {
	meta:
		name = "Datasnap.Win.TConnect"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_26665_0 {
	meta:
		name = "DbxDataGenerator"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_26692_0 {
	meta:
		name = "DbxTest"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_29585_0 {
	meta:
		name = "ExDispID"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_30039_0 {
	meta:
		name = "GUITestRunner"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_29900_0 {
	meta:
		name = "GUITesting"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_29589_0 {
	meta:
		name = "Graph2010"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_29667_0 {
	meta:
		name = "GraphView"
		size = 8
		refs = "0002 _DV_8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_30101_0 {
	meta:
		name = "HTTPParse"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_30150_0 {
	meta:
		name = "IBBlob"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_30166_0 {
	meta:
		name = "IBConnectionBroker"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_30539_0 {
	meta:
		name = "IBDatabase"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_30781_0 {
	meta:
		name = "IBDatabaseINI"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_30758_0 {
	meta:
		name = "IBDatabaseInfo"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_30783_0 {
	meta:
		name = "IBErrorCodes"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_30819_0 {
	meta:
		name = "IBEvents"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_30881_0 {
	meta:
		name = "IBExternals"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_30925_0 {
	meta:
		name = "IBExtract"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_30967_0 {
	meta:
		name = "IBFilterSummary"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_30975_0 {
	meta:
		name = "IBHeader"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_31018_0 {
	meta:
		name = "IBInstallHeader"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_31457_0 {
	meta:
		name = "IBQuery"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_31879_0 {
	meta:
		name = "IBSQL"
		size = 8
		refs = "0002 _DV_51"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_31667_0 {
	meta:
		name = "IBServices"
		size = 8
		refs = "0002 _DV_62"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_31979_0 {
	meta:
		name = "IBStoredProc"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32060_0 {
	meta:
		name = "IBTable"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32075_0 {
	meta:
		name = "IBUpdateSQL"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32100_0 {
	meta:
		name = "IBVisualConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32102_0 {
	meta:
		name = "IBXConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32107_0 {
	meta:
		name = "IBXMLHeader"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_39122_0 {
	meta:
		name = "IEActions"
		size = 8
		refs = "0002 _DV_89"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_39124_0 {
	meta:
		name = "IEConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_42510_0 {
	meta:
		name = "IPPeerAPI"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43135_0 {
	meta:
		name = "IPPeerResStrs"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43238_0 {
	meta:
		name = "IWAuther"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43241_0 {
	meta:
		name = "IWAutherEvent"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43246_0 {
	meta:
		name = "IWAutherINI"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43252_0 {
	meta:
		name = "IWAutherList"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43261_0 {
	meta:
		name = "IWBase"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43287_0 {
	meta:
		name = "IWBaseComponent"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43296_0 {
	meta:
		name = "IWBaseContainerLayout"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43362_0 {
	meta:
		name = "IWBaseForm"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43373_0 {
	meta:
		name = "IWBaseHTML40Component"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43392_0 {
	meta:
		name = "IWBaseHTMLComponent"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43459_0 {
	meta:
		name = "IWBaseHTMLControl"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43465_0 {
	meta:
		name = "IWBaseHTMLForm"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43469_0 {
	meta:
		name = "IWBaseHTMLInterfaces"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43488_0 {
	meta:
		name = "IWBaseInterfaces"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43495_0 {
	meta:
		name = "IWBaseLayoutComponent"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43531_0 {
	meta:
		name = "IWCallBack"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43549_0 {
	meta:
		name = "IWCompActiveX"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43557_0 {
	meta:
		name = "IWCompButton"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43657_0 {
	meta:
		name = "IWCompEdit"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43667_0 {
	meta:
		name = "IWCompFlash"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43683_0 {
	meta:
		name = "IWCompLabel"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43809_0 {
	meta:
		name = "IWCompMPEG"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43766_0 {
	meta:
		name = "IWCompMemo"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43847_0 {
	meta:
		name = "IWCompProgressBar"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43854_0 {
	meta:
		name = "IWCompQuickTime"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43869_0 {
	meta:
		name = "IWCompRadioButton"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43881_0 {
	meta:
		name = "IWCompRectangle"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43948_0 {
	meta:
		name = "IWCompText"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43958_0 {
	meta:
		name = "IWCompTimeEdit"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43897_0 {
	meta:
		name = "IWCompress"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44003_0 {
	meta:
		name = "IWContainer"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44034_0 {
	meta:
		name = "IWContainerLayout"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44036_0 {
	meta:
		name = "IWContentASPX"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44042_0 {
	meta:
		name = "IWContentBase"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44047_0 {
	meta:
		name = "IWContentPas"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44214_0 {
	meta:
		name = "IWCopyParser"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44246_0 {
	meta:
		name = "IWDBCommon"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44239_0 {
	meta:
		name = "IWDataModulePool"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44427_0 {
	meta:
		name = "IWDsnAppWizForm"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44481_0 {
	meta:
		name = "IWDsnColorDialog"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44485_0 {
	meta:
		name = "IWDsnControlAbout"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44488_0 {
	meta:
		name = "IWDsnDesignerDestroyer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44491_0 {
	meta:
		name = "IWDsnFormWebsite"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44495_0 {
	meta:
		name = "IWDsnFormWizard"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44499_0 {
	meta:
		name = "IWDsnFrameWizard"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44530_0 {
	meta:
		name = "IWDsnIDEMenu"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44579_0 {
	meta:
		name = "IWDsnScriptEvents"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44584_0 {
	meta:
		name = "IWDsnTabControl"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44678_0 {
	meta:
		name = "IWDsnTestWizard"
		size = 8
		refs = "0002 _DV_11"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44909_0 {
	meta:
		name = "IWDsnWizard"
		size = 8
		refs = "0002 _DV_92"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44917_0 {
	meta:
		name = "IWException"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_44987_0 {
	meta:
		name = "IWExtCtrls"
		size = 8
		refs = "0002 _DV_01"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45030_0 {
	meta:
		name = "IWFileReference"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45047_0 {
	meta:
		name = "IWFont"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45091_0 {
	meta:
		name = "IWForm"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45105_0 {
	meta:
		name = "IWFormDsn"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45111_0 {
	meta:
		name = "IWFormListManager"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45114_0 {
	meta:
		name = "IWGIF"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45120_0 {
	meta:
		name = "IWGlobal"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45124_0 {
	meta:
		name = "IWGridCommon"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45194_0 {
	meta:
		name = "IWGrids"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45213_0 {
	meta:
		name = "IWHTML40Container"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45222_0 {
	meta:
		name = "IWHTML40Interfaces"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45234_0 {
	meta:
		name = "IWHTMLContainer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45273_0 {
	meta:
		name = "IWHTMLControls"
		size = 8
		refs = "0002 _DV_9"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45304_0 {
	meta:
		name = "IWIDEUtils"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45358_0 {
	meta:
		name = "IWIWPProcessor"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45370_0 {
	meta:
		name = "IWIWPTemplater"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45307_0 {
	meta:
		name = "IWImageList"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45333_0 {
	meta:
		name = "IWInitService"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45386_0 {
	meta:
		name = "IWJQueryWidget"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45377_0 {
	meta:
		name = "IWJpegOptions"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45425_0 {
	meta:
		name = "IWLayoutMgrForm"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45441_0 {
	meta:
		name = "IWLayoutMgrHTMLInterface"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45499_0 {
	meta:
		name = "IWMain"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45545_0 {
	meta:
		name = "IWMarkupLanguageTag"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45835_0 {
	meta:
		name = "IWNativeXml"
		size = 8
		refs = "0002 _DV_11"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45839_0 {
	meta:
		name = "IWPermissions"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_45859_0 {
	meta:
		name = "IWProgressIndicator"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46058_0 {
	meta:
		name = "IWScriptEvents"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46188_0 {
	meta:
		name = "IWServerControllerBase"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46199_0 {
	meta:
		name = "IWService"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46207_0 {
	meta:
		name = "IWSessionList"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46254_0 {
	meta:
		name = "IWStandAloneServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46258_0 {
	meta:
		name = "IWStart"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46275_0 {
	meta:
		name = "IWStreams"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46294_0 {
	meta:
		name = "IWStrings"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46335_0 {
	meta:
		name = "IWTag"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46345_0 {
	meta:
		name = "IWTagParser"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46350_0 {
	meta:
		name = "IWTemplateProcessing"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46372_0 {
	meta:
		name = "IWTemplateProcessorHTML"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46468_0 {
	meta:
		name = "IWTypes"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46489_0 {
	meta:
		name = "IWURLResponder"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46491_0 {
	meta:
		name = "IWURLResponderBase"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46499_0 {
	meta:
		name = "IWURLResponderDirLister"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46502_0 {
	meta:
		name = "IWUserSessionBase"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46532_0 {
	meta:
		name = "IWUtils"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46626_0 {
	meta:
		name = "IWVCLBaseContainer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46670_0 {
	meta:
		name = "IWVCLBaseControl"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46672_0 {
	meta:
		name = "IWVCLClasses"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46681_0 {
	meta:
		name = "IWVCLComponent"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46537_0 {
	meta:
		name = "IWVar"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46551_0 {
	meta:
		name = "IWVarDir"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46574_0 {
	meta:
		name = "IWVarDoc"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46765_0 {
	meta:
		name = "IWWebEditor"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46772_0 {
	meta:
		name = "IWXMLTag"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32135_0 {
	meta:
		name = "IdASN1Util"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32109_0 {
	meta:
		name = "IdAllAuthentications"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32111_0 {
	meta:
		name = "IdAllFTPListParsers"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32113_0 {
	meta:
		name = "IdAllHeaderCoders"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32121_0 {
	meta:
		name = "IdAntiFreezeBase"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32137_0 {
	meta:
		name = "IdAssignedNumbers"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32150_0 {
	meta:
		name = "IdAttachment"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32159_0 {
	meta:
		name = "IdAttachmentFile"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32172_0 {
	meta:
		name = "IdAttachmentMemory"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32304_0 {
	meta:
		name = "IdBaseComponent"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32313_0 {
	meta:
		name = "IdBlockCipherIntercept"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32643_0 {
	meta:
		name = "IdCTypes"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32356_0 {
	meta:
		name = "IdChargenServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32360_0 {
	meta:
		name = "IdChargenUDPServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32366_0 {
	meta:
		name = "IdCharsets"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32381_0 {
	meta:
		name = "IdCmdTCPClient"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32414_0 {
	meta:
		name = "IdCmdTCPServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32438_0 {
	meta:
		name = "IdCoder"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32442_0 {
	meta:
		name = "IdCoder00E"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32449_0 {
	meta:
		name = "IdCoder3to4"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32470_0 {
	meta:
		name = "IdCoderHeader"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32485_0 {
	meta:
		name = "IdCoderQuotedPrintable"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32540_0 {
	meta:
		name = "IdCompressionIntercept"
		size = 8
		refs = "0002 _DV_8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32551_0 {
	meta:
		name = "IdCompressorZLib"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32557_0 {
	meta:
		name = "IdConnectThroughHttpProxy"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32572_0 {
	meta:
		name = "IdContainers"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32582_0 {
	meta:
		name = "IdContext"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32627_0 {
	meta:
		name = "IdCookie"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32641_0 {
	meta:
		name = "IdCookieManager"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32741_0 {
	meta:
		name = "IdCustomHTTPServer"
		size = 8
		refs = "0002 _DV_51"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32781_0 {
	meta:
		name = "IdCustomTCPServer"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32903_0 {
	meta:
		name = "IdDICT"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32928_0 {
	meta:
		name = "IdDICTCommon"
		size = 8
		refs = "0002 _DV_01"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32944_0 {
	meta:
		name = "IdDICTServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_33152_0 {
	meta:
		name = "IdDNSResolver"
		size = 8
		refs = "0002 _DV_02"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_33253_0 {
	meta:
		name = "IdDNSServer"
		size = 8
		refs = "0002 _DV_01"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32868_0 {
	meta:
		name = "IdDateTimeStamp"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32872_0 {
	meta:
		name = "IdDayTime"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32876_0 {
	meta:
		name = "IdDayTimeServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32880_0 {
	meta:
		name = "IdDayTimeUDP"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32884_0 {
	meta:
		name = "IdDayTimeUDPServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32948_0 {
	meta:
		name = "IdDiscardServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_32951_0 {
	meta:
		name = "IdDiscardUDPServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_33257_0 {
	meta:
		name = "IdEcho"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_33261_0 {
	meta:
		name = "IdEchoServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_33265_0 {
	meta:
		name = "IdEchoUDP"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_33269_0 {
	meta:
		name = "IdEchoUDPServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_33297_0 {
	meta:
		name = "IdException"
		size = 8
		refs = "0002 _DV_11"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_33299_0 {
	meta:
		name = "IdExceptionCore"
		size = 8
		refs = "0002 _DV_36"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_33323_0 {
	meta:
		name = "IdExplicitTLSClientServerBase"
		size = 8
		refs = "0002 _DV_21"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_33394_0 {
	meta:
		name = "IdFSP"
		size = 8
		refs = "0002 _DV_21"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_33537_0 {
	meta:
		name = "IdFTP"
		size = 8
		refs = "0002 _DV_33"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_33557_0 {
	meta:
		name = "IdFTPBaseFileSystem"
		size = 8
		refs = "0002 _DV_8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_33645_0 {
	meta:
		name = "IdFTPCommon"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_33723_0 {
	meta:
		name = "IdFTPListOutput"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_34162_0 {
	meta:
		name = "IdFTPListTypes"
		size = 8
		refs = "0002 _DV_21"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_34347_0 {
	meta:
		name = "IdFTPServerContextBase"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_33329_0 {
	meta:
		name = "IdFinger"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_33333_0 {
	meta:
		name = "IdFingerServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_34592_0 {
	meta:
		name = "IdGlobalCore"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_34758_0 {
	meta:
		name = "IdGopherConsts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_34764_0 {
	meta:
		name = "IdGopherServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_34929_0 {
	meta:
		name = "IdHMACMD5"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_34951_0 {
	meta:
		name = "IdHMACSHA1"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35024_0 {
	meta:
		name = "IdHTTP"
		size = 8
		refs = "0002 _DV_8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35076_0 {
	meta:
		name = "IdHTTPHeaderInfo"
		size = 8
		refs = "0002 _DV_8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35088_0 {
	meta:
		name = "IdHTTPProxyServer"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35090_0 {
	meta:
		name = "IdHTTPServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_34807_0 {
	meta:
		name = "IdHash"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_34814_0 {
	meta:
		name = "IdHashCRC"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_34818_0 {
	meta:
		name = "IdHashElf"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_34838_0 {
	meta:
		name = "IdHashMessageDigest"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_34855_0 {
	meta:
		name = "IdHashSHA"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_34909_0 {
	meta:
		name = "IdHeaderList"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35371_0 {
	meta:
		name = "IdIMAP4"
		size = 8
		refs = "0002 _DV_11"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35443_0 {
	meta:
		name = "IdIMAP4Server"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35558_0 {
	meta:
		name = "IdIOHandler"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35581_0 {
	meta:
		name = "IdIOHandlerSocket"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35609_0 {
	meta:
		name = "IdIOHandlerStream"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35633_0 {
	meta:
		name = "IdIPAddrMon"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35621_0 {
	meta:
		name = "IdIPAddress"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35648_0 {
	meta:
		name = "IdIPMCastBase"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35664_0 {
	meta:
		name = "IdIPMCastClient"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35679_0 {
	meta:
		name = "IdIPMCastServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35694_0 {
	meta:
		name = "IdIPWatch"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35173_0 {
	meta:
		name = "IdIdent"
		size = 8
		refs = "0002 _DV_9"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35180_0 {
	meta:
		name = "IdIdentServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35462_0 {
	meta:
		name = "IdInterceptSimLog"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35467_0 {
	meta:
		name = "IdInterceptThrottler"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35893_0 {
	meta:
		name = "IdIrcServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35916_0 {
	meta:
		name = "IdLogDebug"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35921_0 {
	meta:
		name = "IdLogEvent"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35931_0 {
	meta:
		name = "IdLogFile"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35938_0 {
	meta:
		name = "IdLogStream"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35964_0 {
	meta:
		name = "IdMailBox"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35989_0 {
	meta:
		name = "IdMappedPOP3"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36014_0 {
	meta:
		name = "IdMappedPortTCP"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36019_0 {
	meta:
		name = "IdMappedPortUDP"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36077_0 {
	meta:
		name = "IdMessage"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36115_0 {
	meta:
		name = "IdMessageBuilder"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36140_0 {
	meta:
		name = "IdMessageClient"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36166_0 {
	meta:
		name = "IdMessageCoder"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36225_0 {
	meta:
		name = "IdMessageCollection"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36291_0 {
	meta:
		name = "IdMultipartFormData"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36395_0 {
	meta:
		name = "IdNNTP"
		size = 8
		refs = "0002 _DV_01"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36455_0 {
	meta:
		name = "IdNNTPServer"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36466_0 {
	meta:
		name = "IdNTLM"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36326_0 {
	meta:
		name = "IdNetworkCalculator"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36488_0 {
	meta:
		name = "IdOSFileName"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36527_0 {
	meta:
		name = "IdPOP3"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36558_0 {
	meta:
		name = "IdPOP3Server"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36570_0 {
	meta:
		name = "IdQOTDUDP"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36575_0 {
	meta:
		name = "IdQOTDUDPServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36562_0 {
	meta:
		name = "IdQotd"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36566_0 {
	meta:
		name = "IdQotdServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36868_0 {
	meta:
		name = "IdRSH"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36872_0 {
	meta:
		name = "IdRSHServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36589_0 {
	meta:
		name = "IdRawBase"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36591_0 {
	meta:
		name = "IdRawClient"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36607_0 {
	meta:
		name = "IdRawFunctions"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36727_0 {
	meta:
		name = "IdRawHeaders"
		size = 8
		refs = "0002 _DV_32"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36736_0 {
	meta:
		name = "IdRemoteCMDClient"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36743_0 {
	meta:
		name = "IdRemoteCMDServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36801_0 {
	meta:
		name = "IdReplyIMAP4"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36816_0 {
	meta:
		name = "IdReplyPOP3"
		size = 8
		refs = "0002 _DV_8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36850_0 {
	meta:
		name = "IdReplySMTP"
		size = 8
		refs = "0002 _DV_8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36852_0 {
	meta:
		name = "IdResourceStrings"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36854_0 {
	meta:
		name = "IdResourceStringsCore"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36856_0 {
	meta:
		name = "IdResourceStringsProtocols"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36860_0 {
	meta:
		name = "IdRexec"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36864_0 {
	meta:
		name = "IdRexecServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36889_0 {
	meta:
		name = "IdSASLAnonymous"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36909_0 {
	meta:
		name = "IdSASLCollection"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36921_0 {
	meta:
		name = "IdSASLDigest"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36927_0 {
	meta:
		name = "IdSASLExternal"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36933_0 {
	meta:
		name = "IdSASLLogin"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36940_0 {
	meta:
		name = "IdSASLOTP"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36945_0 {
	meta:
		name = "IdSASLPlain"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36952_0 {
	meta:
		name = "IdSASLSKey"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36959_0 {
	meta:
		name = "IdSASLUserPass"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36964_0 {
	meta:
		name = "IdSASL_CRAMBase"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36969_0 {
	meta:
		name = "IdSASL_CRAM_MD5"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36973_0 {
	meta:
		name = "IdSASL_CRAM_SHA1"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37079_0 {
	meta:
		name = "IdSMTP"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37101_0 {
	meta:
		name = "IdSMTPBase"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37129_0 {
	meta:
		name = "IdSMTPRelay"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37189_0 {
	meta:
		name = "IdSMTPServer"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37226_0 {
	meta:
		name = "IdSNMP"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37235_0 {
	meta:
		name = "IdSNPP"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37244_0 {
	meta:
		name = "IdSNTP"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37787_0 {
	meta:
		name = "IdSSPI"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36983_0 {
	meta:
		name = "IdScheduler"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36993_0 {
	meta:
		name = "IdSchedulerOfThread"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36998_0 {
	meta:
		name = "IdSchedulerOfThreadDefault"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37007_0 {
	meta:
		name = "IdSchedulerOfThreadPool"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37035_0 {
	meta:
		name = "IdServerIOHandler"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37040_0 {
	meta:
		name = "IdServerIOHandlerSocket"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37044_0 {
	meta:
		name = "IdServerIOHandlerStack"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37019_0 {
	meta:
		name = "IdServerInterceptLogBase"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37022_0 {
	meta:
		name = "IdServerInterceptLogEvent"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37027_0 {
	meta:
		name = "IdServerInterceptLogFile"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37059_0 {
	meta:
		name = "IdSimpleServer"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37296_0 {
	meta:
		name = "IdSocketHandle"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37322_0 {
	meta:
		name = "IdSocks"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37896_0 {
	meta:
		name = "IdStackBSDBase"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37898_0 {
	meta:
		name = "IdStackConsts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37962_0 {
	meta:
		name = "IdStream"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37967_0 {
	meta:
		name = "IdStreamVCL"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_37977_0 {
	meta:
		name = "IdStrings"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38021_0 {
	meta:
		name = "IdSysLog"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38058_0 {
	meta:
		name = "IdSysLogMessage"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38063_0 {
	meta:
		name = "IdSysLogServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38067_0 {
	meta:
		name = "IdSystat"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38071_0 {
	meta:
		name = "IdSystatServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38075_0 {
	meta:
		name = "IdSystatUDP"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38080_0 {
	meta:
		name = "IdSystatUDPServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38119_0 {
	meta:
		name = "IdTCPClient"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38154_0 {
	meta:
		name = "IdTCPConnection"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38157_0 {
	meta:
		name = "IdTCPServer"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38165_0 {
	meta:
		name = "IdTCPStream"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38092_0 {
	meta:
		name = "IdTask"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38181_0 {
	meta:
		name = "IdTelnet"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38199_0 {
	meta:
		name = "IdText"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38276_0 {
	meta:
		name = "IdThreadComponent"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38337_0 {
	meta:
		name = "IdThreadSafe"
		size = 8
		refs = "0002 _DV_11"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38343_0 {
	meta:
		name = "IdTime"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38347_0 {
	meta:
		name = "IdTimeServer"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38353_0 {
	meta:
		name = "IdTimeUDP"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38357_0 {
	meta:
		name = "IdTimeUDPServer"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38361_0 {
	meta:
		name = "IdTraceRoute"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38373_0 {
	meta:
		name = "IdTrivialFTP"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38380_0 {
	meta:
		name = "IdTrivialFTPBase"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38403_0 {
	meta:
		name = "IdTrivialFTPServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38456_0 {
	meta:
		name = "IdUDPClient"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38501_0 {
	meta:
		name = "IdURI"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38480_0 {
	meta:
		name = "IdUnixTime"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38483_0 {
	meta:
		name = "IdUnixTimeServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38486_0 {
	meta:
		name = "IdUnixTimeUDP"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38489_0 {
	meta:
		name = "IdUnixTimeUDPServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38506_0 {
	meta:
		name = "IdUriUtils"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38541_0 {
	meta:
		name = "IdUserAccounts"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38543_0 {
	meta:
		name = "IdUserPassProvider"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38621_0 {
	meta:
		name = "IdWebDAV"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38629_0 {
	meta:
		name = "IdWhoIsServer"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38625_0 {
	meta:
		name = "IdWhois"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38816_0 {
	meta:
		name = "IdWship6"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38818_0 {
	meta:
		name = "IdYarn"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38864_0 {
	meta:
		name = "IdZLib"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38880_0 {
	meta:
		name = "IdZLibCompressorBase"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38882_0 {
	meta:
		name = "IdZLibConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_38957_0 {
	meta:
		name = "IdZLibHeaders"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35895_0 {
	meta:
		name = "Idispids"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_39132_0 {
	meta:
		name = "InAntiFreezeBase"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_39134_0 {
	meta:
		name = "InAssignedNumbers"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_39166_0 {
	meta:
		name = "InBaseComponent"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_39315_0 {
	meta:
		name = "InCTypes"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_39211_0 {
	meta:
		name = "InCharsets"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_39235_0 {
	meta:
		name = "InCoder"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_39242_0 {
	meta:
		name = "InCoder3to4"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_39268_0 {
	meta:
		name = "InContext"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_39313_0 {
	meta:
		name = "InCookie"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_39413_0 {
	meta:
		name = "InCustomHTTPServer"
		size = 8
		refs = "0002 _DV_51"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_39453_0 {
	meta:
		name = "InCustomTCPServer"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_39540_0 {
	meta:
		name = "InDateTimeStamp"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_40476_0 {
	meta:
		name = "InException"
		size = 8
		refs = "0002 _DV_11"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_40478_0 {
	meta:
		name = "InExceptionCore"
		size = 8
		refs = "0002 _DV_36"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_40741_0 {
	meta:
		name = "InGlobalCore"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_41016_0 {
	meta:
		name = "InHTTPHeaderInfo"
		size = 8
		refs = "0002 _DV_8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_40921_0 {
	meta:
		name = "InHash"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_40941_0 {
	meta:
		name = "InHashMessageDigest"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_40964_0 {
	meta:
		name = "InHeaderList"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_41166_0 {
	meta:
		name = "InIOHandler"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_41189_0 {
	meta:
		name = "InIOHandlerSocket"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_41213_0 {
	meta:
		name = "InIPAddress"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_41259_0 {
	meta:
		name = "InResourceStrings"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_41261_0 {
	meta:
		name = "InResourceStringsCore"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_41263_0 {
	meta:
		name = "InResourceStringsProtocols"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_41273_0 {
	meta:
		name = "InScheduler"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_41283_0 {
	meta:
		name = "InSchedulerOfThread"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_41288_0 {
	meta:
		name = "InSchedulerOfThreadDefault"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_41297_0 {
	meta:
		name = "InSchedulerOfThreadPool"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_41305_0 {
	meta:
		name = "InServerIOHandler"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_41310_0 {
	meta:
		name = "InServerIOHandlerSocket"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_41314_0 {
	meta:
		name = "InServerIOHandlerStack"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_41366_0 {
	meta:
		name = "InSocketHandle"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_41392_0 {
	meta:
		name = "InSocks"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_41936_0 {
	meta:
		name = "InStackBSDBase"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_41938_0 {
	meta:
		name = "InStackConsts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_42002_0 {
	meta:
		name = "InStream"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_42007_0 {
	meta:
		name = "InStreamVCL"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_42017_0 {
	meta:
		name = "InStrings"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_42068_0 {
	meta:
		name = "InTCPClient"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_42103_0 {
	meta:
		name = "InTCPConnection"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_42106_0 {
	meta:
		name = "InTCPServer"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_42041_0 {
	meta:
		name = "InTask"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_42195_0 {
	meta:
		name = "InThreadSafe"
		size = 8
		refs = "0002 _DV_11"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_42248_0 {
	meta:
		name = "InUDPClient"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_42281_0 {
	meta:
		name = "InURI"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_42286_0 {
	meta:
		name = "InURIUtils"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_42473_0 {
	meta:
		name = "InWship6"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_42475_0 {
	meta:
		name = "InYarn"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_40472_0 {
	meta:
		name = "IndySockTransport"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46803_0 {
	meta:
		name = "JUnitXmlTestRunner"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_47368_0 {
	meta:
		name = "MSBuildTestRunner"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_47416_0 {
	meta:
		name = "MSComctlLibXP"
		size = 8
		refs = "0002 _DV_42"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_47418_0 {
	meta:
		name = "MSDATASRCXP"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_47438_0 {
	meta:
		name = "MSForms2000"
		size = 8
		refs = "0002 _DV_01"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_47676_0 {
	meta:
		name = "MSPpt2000"
		size = 8
		refs = "0002 _DV_21"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_46926_0 {
	meta:
		name = "MidComp"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_47363_0 {
	meta:
		name = "MidProd"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_47442_0 {
	meta:
		name = "Mshtmdid"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_47810_0 {
	meta:
		name = "OWC10XP"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_47694_0 {
	meta:
		name = "OfficeXP"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_47800_0 {
	meta:
		name = "OutlookXP"
		size = 8
		refs = "0002 _DV_43"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_47823_0 {
	meta:
		name = "PagItems"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_47943_0 {
	meta:
		name = "PowerPointXP"
		size = 8
		refs = "0002 _DV_11"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_47980_0 {
	meta:
		name = "ScktCnst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_48040_0 {
	meta:
		name = "ScktMain"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_48135_0 {
	meta:
		name = "ScrptMgr"
		size = 8
		refs = "0002 _DV_22"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_48557_0 {
	meta:
		name = "SimpleDS"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_48577_0 {
	meta:
		name = "SiteConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_48626_0 {
	meta:
		name = "SiteProd"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_48640_0 {
	meta:
		name = "Soap.EncdDecd"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_48644_0 {
	meta:
		name = "Soap.HTTPSOAPToPasBind"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_48672_0 {
	meta:
		name = "Soap.HTTPUtil"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_48813_0 {
	meta:
		name = "Soap.InvConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_48816_0 {
	meta:
		name = "Soap.Invoker"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49018_0 {
	meta:
		name = "Soap.OPConvert"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49020_0 {
	meta:
		name = "Soap.OpConvertOptions"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49199_0 {
	meta:
		name = "Soap.Rio"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49255_0 {
	meta:
		name = "Soap.SOAPAttach"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49262_0 {
	meta:
		name = "Soap.SOAPAttachIntf"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49301_0 {
	meta:
		name = "Soap.SOAPConn"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49340_0 {
	meta:
		name = "Soap.SOAPDm"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49351_0 {
	meta:
		name = "Soap.SOAPDomConv"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49357_0 {
	meta:
		name = "Soap.SOAPEnv"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49378_0 {
	meta:
		name = "Soap.SOAPHTTPClient"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49383_0 {
	meta:
		name = "Soap.SOAPHTTPDisp"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49387_0 {
	meta:
		name = "Soap.SOAPHTTPPasInv"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49470_0 {
	meta:
		name = "Soap.SOAPLinked"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49483_0 {
	meta:
		name = "Soap.SOAPPasInv"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49508_0 {
	meta:
		name = "Soap.UDDIHelper"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49718_0 {
	meta:
		name = "Soap.WSDLBind"
		size = 8
		refs = "0002 _DV_92"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49730_0 {
	meta:
		name = "Soap.WSDLIntf"
		size = 8
		refs = "0002 _DV_9"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49824_0 {
	meta:
		name = "Soap.WSDLItems"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49909_0 {
	meta:
		name = "Soap.WSDLLookup"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_50253_0 {
	meta:
		name = "Soap.WSILIntf"
		size = 8
		refs = "0002 _DV_31"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49522_0 {
	meta:
		name = "Soap.WebBrokerSOAP"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49524_0 {
	meta:
		name = "Soap.WebNode"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49588_0 {
	meta:
		name = "Soap.WebServExp"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_49610_0 {
	meta:
		name = "Soap.Win.CertHelper"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_48786_0 {
	meta:
		name = "Soap.inquire_v1"
		size = 8
		refs = "0002 _DV_94"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_50469_0 {
	meta:
		name = "SockAppHlpr"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_50502_0 {
	meta:
		name = "SockAppReg"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_50504_0 {
	meta:
		name = "SockConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_50591_0 {
	meta:
		name = "SockTransport"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_50600_0 {
	meta:
		name = "SvrConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_50679_0 {
	meta:
		name = "SvrHTTPIndy"
		size = 8
		refs = "0002 _DV_01"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_50683_0 {
	meta:
		name = "SvrInfoConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_50725_0 {
	meta:
		name = "SvrLog"
		size = 8
		refs = "0002 _DV_8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_50730_0 {
	meta:
		name = "SvrLogColSettingsFrame"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_50741_0 {
	meta:
		name = "SvrLogDetailDlg"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_50759_0 {
	meta:
		name = "SvrLogDetailFrame"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_50843_0 {
	meta:
		name = "SvrMainForm"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_50865_0 {
	meta:
		name = "SvrPropDlg"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_50872_0 {
	meta:
		name = "SvrSockRequest"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_50879_0 {
	meta:
		name = "SvrStatsFrame"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_51490_0 {
	meta:
		name = "SysInit"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_51592_0 {
	meta:
		name = "System.AnsiStrings"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_51594_0 {
	meta:
		name = "System.Bindings.Consts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_51603_0 {
	meta:
		name = "System.Bindings.CustomScope"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_51882_0 {
	meta:
		name = "System.Bindings.CustomWrapper"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_51921_0 {
	meta:
		name = "System.Bindings.EvalProtocol"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_52370_0 {
	meta:
		name = "System.Bindings.EvalSys"
		size = 8
		refs = "0002 _DV_11"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_52989_0 {
	meta:
		name = "System.Bindings.Evaluator"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_53909_0 {
	meta:
		name = "System.Bindings.ExpressionDefaults"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_54435_0 {
	meta:
		name = "System.Bindings.Factories"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_54773_0 {
	meta:
		name = "System.Bindings.Graph"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_56671_0 {
	meta:
		name = "System.Bindings.Helper"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_57018_0 {
	meta:
		name = "System.Bindings.Manager"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_57147_0 {
	meta:
		name = "System.Bindings.ManagerDefaults"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_59316_0 {
	meta:
		name = "System.Bindings.NotifierContracts"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_59327_0 {
	meta:
		name = "System.Bindings.NotifierDefaults"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_59494_0 {
	meta:
		name = "System.Bindings.ObjEval"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_61591_0 {
	meta:
		name = "System.Bindings.Search"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_61951_0 {
	meta:
		name = "System.Character"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_63165_0 {
	meta:
		name = "System.Contnrs"
		size = 8
		refs = "0002 _DV_31"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_63432_0 {
	meta:
		name = "System.DateUtils"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_64955_0 {
	meta:
		name = "System.Diagnostics"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_65175_0 {
	meta:
		name = "System.Generics.Collections"
		size = 8
		refs = "0002 _DV_32"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_65714_0 {
	meta:
		name = "System.Generics.Defaults"
		size = 8
		refs = "0002 _DV_9"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_65762_0 {
	meta:
		name = "System.HelpIntfs"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_66178_0 {
	meta:
		name = "System.IOUtils"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_65836_0 {
	meta:
		name = "System.IniFiles"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_65887_0 {
	meta:
		name = "System.Internal.StrHlpr"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_65930_0 {
	meta:
		name = "System.Internal.VarHlpr"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_66211_0 {
	meta:
		name = "System.MaskUtils"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_66194_0 {
	meta:
		name = "System.Masks"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_66545_0 {
	meta:
		name = "System.ObjAuto"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_66560_0 {
	meta:
		name = "System.Odbc"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_66737_0 {
	meta:
		name = "System.RTLConsts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_66625_0 {
	meta:
		name = "System.RegularExpressions"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_66679_0 {
	meta:
		name = "System.RegularExpressionsAPI"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_66681_0 {
	meta:
		name = "System.RegularExpressionsConsts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_66735_0 {
	meta:
		name = "System.RegularExpressionsCore"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_68689_0 {
	meta:
		name = "System.StrUtils"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_68830_0 {
	meta:
		name = "System.SysConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_69723_0 {
	meta:
		name = "System.TimeSpan"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_70056_0 {
	meta:
		name = "System.TypInfo"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_69926_0 {
	meta:
		name = "System.Types"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_70096_0 {
	meta:
		name = "System.UIConsts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_70103_0 {
	meta:
		name = "System.UITypes"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_70799_0 {
	meta:
		name = "System.WideStrUtils"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_70801_0 {
	meta:
		name = "System.Win.ComConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_70998_0 {
	meta:
		name = "System.Win.ComObjWrapper"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_71165_0 {
	meta:
		name = "System.Win.Crtl"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_71179_0 {
	meta:
		name = "System.Win.Mtsobj"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_71200_0 {
	meta:
		name = "System.Win.ObjComAuto"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_71307_0 {
	meta:
		name = "System.Win.Registry"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_71458_0 {
	meta:
		name = "System.Win.StdVCL"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_71966_0 {
	meta:
		name = "System.ZLib"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_71968_0 {
	meta:
		name = "System.ZLibConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_71533_0 {
	meta:
		name = "System.Zip"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_61964_0 {
	meta:
		name = "TBinaryWriter.Create@"
		size = 8
		refs = "0002 TBinaryWriter.$ClassInitFlag"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_59752_0 {
	meta:
		name = "TBindingCallbackFactory.Create@"
		size = 8
		refs = "0002 TBindingCallbackFactory.$ClassInitFlag"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_54403_0 {
	meta:
		name = "TBindingScopeFactory.Create@"
		size = 8
		refs = "0002 TBindingScopeFactory.$ClassInitFlag"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_87016_0 {
	meta:
		name = "TCustomStyleEngine.Create@"
		size = 8
		refs = "0002 TCustomStyleEngine.$ClassInitFlag"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_68832_0 {
	meta:
		name = "TEncoding.Create@"
		size = 8
		refs = "0002 TEncoding.$ClassInitFlag"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_35128_0 {
	meta:
		name = "TIdHTTPWebBrokerBridgeRequestHandler.Create@"
		size = 8
		refs = "0002 TIdHTTPWebBrokerBridgeRequestHandler.$ClassInitFlag"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_41054_0 {
	meta:
		name = "TInHTTPWebBrokerBridgeRequestHandler.Create@"
		size = 8
		refs = "0002 TInHTTPWebBrokerBridgeRequestHandler.$ClassInitFlag"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_68831_0 {
	meta:
		name = "TLanguages.Create@"
		size = 8
		refs = "0002 TLanguages.$ClassInitFlag"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_61952_0 {
	meta:
		name = "TObserverMapping.Create@"
		size = 8
		refs = "0002 TObserverMapping.$ClassInitFlag"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_71993_0 {
	meta:
		name = "TestExtensions"
		size = 8
		refs = "0002 _DV_8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_72254_0 {
	meta:
		name = "TestModules"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_72279_0 {
	meta:
		name = "TextTestRunner"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_72281_0 {
	meta:
		name = "UrlHist"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_72325_0 {
	meta:
		name = "VBIDE2000"
		size = 8
		refs = "0002 _DV_81"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_72361_0 {
	meta:
		name = "VBIDE2010"
		size = 8
		refs = "0002 _DV_81"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_72397_0 {
	meta:
		name = "VBIDEXP"
		size = 8
		refs = "0002 _DV_81"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_90547_0 {
	meta:
		name = "VCLTee.DBChart"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_90581_0 {
	meta:
		name = "VCLTee.EditChar"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_91070_0 {
	meta:
		name = "VCLTee.Series"
		size = 8
		refs = "0002 _DV_22"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_95189_0 {
	meta:
		name = "VCLTee.TeExport"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_91805_0 {
	meta:
		name = "VCLTee.TeeAxMaxMin"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_91800_0 {
	meta:
		name = "VCLTee.TeeAxisIncr"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_91819_0 {
	meta:
		name = "VCLTee.TeeBackImage"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_91903_0 {
	meta:
		name = "VCLTee.TeeBrushDlg"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_92061_0 {
	meta:
		name = "VCLTee.TeeCustomShapeEditor"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_92179_0 {
	meta:
		name = "VCLTee.TeeDBEdit"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_92218_0 {
	meta:
		name = "VCLTee.TeeDraw3D"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_92248_0 {
	meta:
		name = "VCLTee.TeeEdi3D"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_92329_0 {
	meta:
		name = "VCLTee.TeeEdiAxis"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_92352_0 {
	meta:
		name = "VCLTee.TeeEdiFont"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_92407_0 {
	meta:
		name = "VCLTee.TeeEdiGene"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_92504_0 {
	meta:
		name = "VCLTee.TeeEdiLege"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_92520_0 {
	meta:
		name = "VCLTee.TeeEdiPage"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_92545_0 {
	meta:
		name = "VCLTee.TeeEdiPane"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_92639_0 {
	meta:
		name = "VCLTee.TeeEdiSeri"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_92759_0 {
	meta:
		name = "VCLTee.TeeEdiTitl"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_92810_0 {
	meta:
		name = "VCLTee.TeeEdiWall"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_92785_0 {
	meta:
		name = "VCLTee.TeeEditTools"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_92814_0 {
	meta:
		name = "VCLTee.TeeEmbossEditor"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_93068_0 {
	meta:
		name = "VCLTee.TeeFiltersEditor"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_93095_0 {
	meta:
		name = "VCLTee.TeeFormatting"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_93101_0 {
	meta:
		name = "VCLTee.TeeFrames"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_93128_0 {
	meta:
		name = "VCLTee.TeeFuncEdit"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_93161_0 {
	meta:
		name = "VCLTee.TeeGalleryAlternate"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_93456_0 {
	meta:
		name = "VCLTee.TeeLisB"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_93465_0 {
	meta:
		name = "VCLTee.TeeMargins"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_93481_0 {
	meta:
		name = "VCLTee.TeeMouseCursor"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_93513_0 {
	meta:
		name = "VCLTee.TeeNavigator"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_94471_0 {
	meta:
		name = "VCLTee.TeePenDlg"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_94559_0 {
	meta:
		name = "VCLTee.TeePrevi"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_94898_0 {
	meta:
		name = "VCLTee.TeeSelectList"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_94916_0 {
	meta:
		name = "VCLTee.TeeShadowEditor"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_94995_0 {
	meta:
		name = "VCLTee.TeeSourceEdit"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_95109_0 {
	meta:
		name = "VCLTee.TeeStringsEditor"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_95124_0 {
	meta:
		name = "VCLTee.TeeSymbolEditor"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_95173_0 {
	meta:
		name = "VCLTee.TeeVisualsEditor"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_72429_0 {
	meta:
		name = "Vcl.ABAccessibility"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_72436_0 {
	meta:
		name = "Vcl.ActnColorMaps"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_72558_0 {
	meta:
		name = "Vcl.ActnCtrls"
		size = 8
		refs = "0002 _DV_11"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_73294_0 {
	meta:
		name = "Vcl.ActnPopup"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_73643_0 {
	meta:
		name = "Vcl.BandActn"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_73645_0 {
	meta:
		name = "Vcl.Bind.Consts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_73829_0 {
	meta:
		name = "Vcl.ButtonGroup"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_74235_0 {
	meta:
		name = "Vcl.CheckLst"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_74339_0 {
	meta:
		name = "Vcl.CmAdmCtl"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_74368_0 {
	meta:
		name = "Vcl.ColorGrd"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_76085_0 {
	meta:
		name = "Vcl.ComStrs"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_76087_0 {
	meta:
		name = "Vcl.Consts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_77085_0 {
	meta:
		name = "Vcl.DBActns"
		size = 8
		refs = "0002 _DV_21"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_77168_0 {
	meta:
		name = "Vcl.DBClientActns"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_77894_0 {
	meta:
		name = "Vcl.DBGrids"
		size = 8
		refs = "0002 _DV_8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_78012_0 {
	meta:
		name = "Vcl.DBLookup"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_78573_0 {
	meta:
		name = "Vcl.Direct2D"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_78799_0 {
	meta:
		name = "Vcl.ExtActns"
		size = 8
		refs = "0002 _DV_92"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_79477_0 {
	meta:
		name = "Vcl.FileCtrl"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_81046_0 {
	meta:
		name = "Vcl.Grids"
		size = 8
		refs = "0002 _DV_11"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_81082_0 {
	meta:
		name = "Vcl.IdAntiFreeze"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_81084_0 {
	meta:
		name = "Vcl.Imaging.GIFConsts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_81596_0 {
	meta:
		name = "Vcl.Imaging.JConsts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_81948_0 {
	meta:
		name = "Vcl.Imaging.pnglang"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_82029_0 {
	meta:
		name = "Vcl.ImgList"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_82107_0 {
	meta:
		name = "Vcl.ListActns"
		size = 8
		refs = "0002 _DV_01"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_82458_0 {
	meta:
		name = "Vcl.MPlayer"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_82162_0 {
	meta:
		name = "Vcl.Mask"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_82530_0 {
	meta:
		name = "Vcl.OleConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_83078_0 {
	meta:
		name = "Vcl.Outline"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_83142_0 {
	meta:
		name = "Vcl.Printers"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_84015_0 {
	meta:
		name = "Vcl.RibbonActnCtrls"
		size = 8
		refs = "0002 _DV_15"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_84095_0 {
	meta:
		name = "Vcl.RibbonConsts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_84114_0 {
	meta:
		name = "Vcl.RibbonGalleryBar"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_84203_0 {
	meta:
		name = "Vcl.Samples.Calendar"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_84223_0 {
	meta:
		name = "Vcl.Samples.DirOutln"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_84246_0 {
	meta:
		name = "Vcl.Samples.Gauges"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_84295_0 {
	meta:
		name = "Vcl.Samples.Spin"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_84435_0 {
	meta:
		name = "Vcl.ShadowWnd"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_84437_0 {
	meta:
		name = "Vcl.Shell.ShellConsts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_84621_0 {
	meta:
		name = "Vcl.ShellAnimations"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_84656_0 {
	meta:
		name = "Vcl.StdActnMenus"
		size = 8
		refs = "0002 _DV_01"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_84760_0 {
	meta:
		name = "Vcl.StdActns"
		size = 8
		refs = "0002 _DV_83"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_85366_0 {
	meta:
		name = "Vcl.StdCtrls"
		size = 8
		refs = "0002 _DV_83"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_86866_0 {
	meta:
		name = "Vcl.TabNotBk"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_87015_0 {
	meta:
		name = "Vcl.ThemedActnCtrls"
		size = 8
		refs = "0002 _DV_01"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_87362_0 {
	meta:
		name = "Vcl.Themes"
		size = 8
		refs = "0002 _DV_12"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_88185_0 {
	meta:
		name = "Vcl.Touch.GestureConsts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_88292_0 {
	meta:
		name = "Vcl.Touch.GestureCtrls"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_89467_0 {
	meta:
		name = "Vcl.Touch.Keyboard"
		size = 8
		refs = "0002 _DV_9"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_89698_0 {
	meta:
		name = "Vcl.Touch.KeyboardTypes"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_90031_0 {
	meta:
		name = "Vcl.VDBConsts"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_90103_0 {
	meta:
		name = "Vcl.XPActnCtrls"
		size = 8
		refs = "0002 _DV_01"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_90105_0 {
	meta:
		name = "Vcl.XPMan"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_95549_0 {
	meta:
		name = "WBComp"
		size = 8
		refs = "0002 _DV_64"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_95551_0 {
	meta:
		name = "WbmConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_95564_0 {
	meta:
		name = "Web.AutoDisp"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_95566_0 {
	meta:
		name = "Web.BrkrConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_95625_0 {
	meta:
		name = "Web.CGIHTTP"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_95661_0 {
	meta:
		name = "Web.CopyPrsr"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_95759_0 {
	meta:
		name = "Web.DBWeb"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_95766_0 {
	meta:
		name = "Web.DBXpressWeb"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_95773_0 {
	meta:
		name = "Web.DSProd"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_96100_0 {
	meta:
		name = "Web.HTTPProd"
		size = 8
		refs = "0002 _DV_71"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_96110_0 {
	meta:
		name = "Web.WebBroker"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_96174_0 {
	meta:
		name = "Web.WebCntxt"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_96176_0 {
	meta:
		name = "Web.WebConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_96253_0 {
	meta:
		name = "Web.WebFileDispatcher"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_96493_0 {
	meta:
		name = "Web.Win.AdsConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_96529_0 {
	meta:
		name = "Web.Win.AdsTypes"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_96583_0 {
	meta:
		name = "Web.Win.IsapiHTTP"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_97653_0 {
	meta:
		name = "WebCat"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_97763_0 {
	meta:
		name = "WebComp"
		size = 8
		refs = "0002 _DV_21"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_97960_0 {
	meta:
		name = "WebDisp"
		size = 8
		refs = "0002 _DV_81"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_97995_0 {
	meta:
		name = "WebFact"
		size = 8
		refs = "0002 _DV_9"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_98295_0 {
	meta:
		name = "WebForm"
		size = 8
		refs = "0002 _DV_13"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_98398_0 {
	meta:
		name = "WebModu"
		size = 8
		refs = "0002 _DV_61"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_98611_0 {
	meta:
		name = "WebSess"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_98805_0 {
	meta:
		name = "WebSnapObjs"
		size = 8
		refs = "0002 _DV_13"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_98832_0 {
	meta:
		name = "WebUsers"
		size = 8
		refs = "0002 _DV_8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_99288_0 {
	meta:
		name = "Winapi.ADOInt"
		size = 8
		refs = "0002 _DV_7"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_98834_0 {
	meta:
		name = "Winapi.AccCtrl"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_98892_0 {
	meta:
		name = "Winapi.AclAPI"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_99274_0 {
	meta:
		name = "Winapi.ActiveX"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_99304_0 {
	meta:
		name = "Winapi.AspTlb"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_99306_0 {
	meta:
		name = "Winapi.COMAdmin"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_99836_0 {
	meta:
		name = "Winapi.ComSvcs"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_99804_0 {
	meta:
		name = "Winapi.CommCtrl"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_99834_0 {
	meta:
		name = "Winapi.CommDlg"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_99875_0 {
	meta:
		name = "Winapi.Cor"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_99877_0 {
	meta:
		name = "Winapi.CorError"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_100018_0 {
	meta:
		name = "Winapi.CorHdr"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_100020_0 {
	meta:
		name = "Winapi.Cpl"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_100079_0 {
	meta:
		name = "Winapi.D2D1"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_100270_0 {
	meta:
		name = "Winapi.D3D10"
		size = 8
		refs = "0002 _DV_22"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_100277_0 {
	meta:
		name = "Winapi.D3D10_1"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_100788_0 {
	meta:
		name = "Winapi.D3DX10"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_101101_0 {
	meta:
		name = "Winapi.D3DX8"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_101623_0 {
	meta:
		name = "Winapi.D3DX9"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_101658_0 {
	meta:
		name = "Winapi.DDEml"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_101950_0 {
	meta:
		name = "Winapi.DX7toDX8"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_101956_0 {
	meta:
		name = "Winapi.DXFile"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_101960_0 {
	meta:
		name = "Winapi.DXGI"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_101980_0 {
	meta:
		name = "Winapi.DXTypes"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_101711_0 {
	meta:
		name = "Winapi.Direct3D"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_101741_0 {
	meta:
		name = "Winapi.Direct3D8"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_101777_0 {
	meta:
		name = "Winapi.Direct3D9"
		size = 8
		refs = "0002 _DV_61"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_101797_0 {
	meta:
		name = "Winapi.DirectDraw"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_101817_0 {
	meta:
		name = "Winapi.DirectInput"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_101824_0 {
	meta:
		name = "Winapi.DirectMusic"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_101827_0 {
	meta:
		name = "Winapi.DirectPlay8"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_101863_0 {
	meta:
		name = "Winapi.DirectShow9"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_101885_0 {
	meta:
		name = "Winapi.DirectSound"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_101887_0 {
	meta:
		name = "Winapi.Dlgs"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_101944_0 {
	meta:
		name = "Winapi.Dwmapi"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_101952_0 {
	meta:
		name = "Winapi.DxDiag"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_101962_0 {
	meta:
		name = "Winapi.DxgiFormat"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_101966_0 {
	meta:
		name = "Winapi.DxgiType"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104035_0 {
	meta:
		name = "Winapi.GDIPUTIL"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104099_0 {
	meta:
		name = "Winapi.ImageHlp"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104234_0 {
	meta:
		name = "Winapi.Imm"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104236_0 {
	meta:
		name = "Winapi.IpExport"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104294_0 {
	meta:
		name = "Winapi.IpHlpApi"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104296_0 {
	meta:
		name = "Winapi.IpRtrMib"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104298_0 {
	meta:
		name = "Winapi.IpTypes"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104300_0 {
	meta:
		name = "Winapi.Isapi"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104302_0 {
	meta:
		name = "Winapi.Isapi2"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104304_0 {
	meta:
		name = "Winapi.KnownFolders"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104317_0 {
	meta:
		name = "Winapi.LZExpand"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104545_0 {
	meta:
		name = "Winapi.MMSystem"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104319_0 {
	meta:
		name = "Winapi.Manipulations"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104334_0 {
	meta:
		name = "Winapi.Mapi"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104340_0 {
	meta:
		name = "Winapi.Messages"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104547_0 {
	meta:
		name = "Winapi.MsInkAut"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104549_0 {
	meta:
		name = "Winapi.MsInkAut15"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104665_0 {
	meta:
		name = "Winapi.Mtx"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104674_0 {
	meta:
		name = "Winapi.MultiMon"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104677_0 {
	meta:
		name = "Winapi.Nb30"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104679_0 {
	meta:
		name = "Winapi.ObjectArray"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_105356_0 {
	meta:
		name = "Winapi.Ole2"
		size = 8
		refs = "0002 _DV_17"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_105474_0 {
	meta:
		name = "Winapi.OleCtl"
		size = 8
		refs = "0002 _DV_12"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_105476_0 {
	meta:
		name = "Winapi.OleDB"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_105503_0 {
	meta:
		name = "Winapi.OleDlg"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_106223_0 {
	meta:
		name = "Winapi.PenWin"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_106225_0 {
	meta:
		name = "Winapi.PropKey"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_106358_0 {
	meta:
		name = "Winapi.PropSys"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_106384_0 {
	meta:
		name = "Winapi.PsAPI"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_106386_0 {
	meta:
		name = "Winapi.Qos"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_106388_0 {
	meta:
		name = "Winapi.RegStr"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_106391_0 {
	meta:
		name = "Winapi.RichEdit"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_106393_0 {
	meta:
		name = "Winapi.RtsCom"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_106531_0 {
	meta:
		name = "Winapi.SHFolder"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_107292_0 {
	meta:
		name = "Winapi.ShLwApi"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_106526_0 {
	meta:
		name = "Winapi.ShellAPI"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_106841_0 {
	meta:
		name = "Winapi.ShlObj"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_107294_0 {
	meta:
		name = "Winapi.StructuredQuery"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_107296_0 {
	meta:
		name = "Winapi.StructuredQueryCondition"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_107319_0 {
	meta:
		name = "Winapi.TlHelp32"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_107321_0 {
	meta:
		name = "Winapi.TpcShrd"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_107394_0 {
	meta:
		name = "Winapi.UrlMon"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_110920_0 {
	meta:
		name = "Winapi.WMF9"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_110344_0 {
	meta:
		name = "Winapi.WinInet"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_110419_0 {
	meta:
		name = "Winapi.WinSock"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_110827_0 {
	meta:
		name = "Winapi.WinSpool"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_110902_0 {
	meta:
		name = "Winapi.WinSvc"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_107471_0 {
	meta:
		name = "Winapi.Wincodec"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_110356_0 {
	meta:
		name = "Winapi.Winsafer"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_110569_0 {
	meta:
		name = "Winapi.Winsock2"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_104655_0 {
	meta:
		name = "Winapi.msxml"
		size = 8
		refs = "0002 _DV_35"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_105368_0 {
	meta:
		name = "Winapi.oleacc"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_115343_0 {
	meta:
		name = "XMLBrokr"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_115366_0 {
	meta:
		name = "XMLTestRunner"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_111186_0 {
	meta:
		name = "Xml.Internal.AbnfUtils"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_112746_0 {
	meta:
		name = "Xml.Internal.CodecUtilsWin32"
		size = 8
		refs = "0002 _DV_211"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_114024_0 {
	meta:
		name = "Xml.Internal.EncodingUtils"
		size = 8
		refs = "0002 _DV_652"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_114037_0 {
	meta:
		name = "Xml.Internal.LangUtils"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_114095_0 {
	meta:
		name = "Xml.Internal.ParserUtilsWin32"
		size = 8
		refs = "0002 _DV_01"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_114146_0 {
	meta:
		name = "Xml.Internal.TreeUtils"
		size = 8
		refs = "0002 _DV_8"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_114349_0 {
	meta:
		name = "Xml.Internal.WideStringUtils"
		size = 8
		refs = "0002 _DV_6"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_114414_0 {
	meta:
		name = "Xml.Internal.XmlRulesUtils"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_114593_0 {
	meta:
		name = "Xml.XMLConst"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_114839_0 {
	meta:
		name = "Xml.XMLDoc"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_114907_0 {
	meta:
		name = "Xml.XMLIniFile"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_114909_0 {
	meta:
		name = "Xml.XMLIntf"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_115263_0 {
	meta:
		name = "Xml.XMLSchema"
		size = 8
		refs = "0002 _DV_15"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_115278_0 {
	meta:
		name = "Xml.XMLSchemaTags"
		size = 8
		refs = "0002 _DV_3"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_115430_0 {
	meta:
		name = "Xmlxform"
		size = 8
		refs = "0002 _DV_5"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_36468_0 {
	meta:
		name = "idoc"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_47440_0 {
	meta:
		name = "mshtmcid"
		size = 8
		refs = "0002 _DV_1"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_115400_0 {
	meta:
		name = "xmlutil"
		size = 8
		refs = "0002 _DV_2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_106_0 {
	meta:
		name = "CoConnection.Create"
		size = 100
		refs = "000c CoConnection.Create 001a CLASS_Connection 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 50 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_107_0 {
	meta:
		name = "CoConnection.CreateRemote"
		size = 128
		refs = "0011 CoConnection.CreateRemote 0021 @WStrFromUStr 002c CLASS_Connection 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 50 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_108_0 {
	meta:
		name = "CoCommand.Create"
		size = 100
		refs = "000c CoCommand.Create 001a CLASS_Command 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 4E 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_109_0 {
	meta:
		name = "CoCommand.CreateRemote"
		size = 128
		refs = "0011 CoCommand.CreateRemote 0021 @WStrFromUStr 002c CLASS_Command 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 4E 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_110_0 {
	meta:
		name = "CoRecordset.Create"
		size = 100
		refs = "000c CoRecordset.Create 001a CLASS_Recordset 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 55 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_111_0 {
	meta:
		name = "CoRecordset.CreateRemote"
		size = 128
		refs = "0011 CoRecordset.CreateRemote 0021 @WStrFromUStr 002c CLASS_Recordset 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 55 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_112_0 {
	meta:
		name = "CoParameter.Create"
		size = 100
		refs = "000c CoParameter.Create 001a CLASS_Parameter 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 0C 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_113_0 {
	meta:
		name = "CoParameter.CreateRemote"
		size = 128
		refs = "0011 CoParameter.CreateRemote 0021 @WStrFromUStr 002c CLASS_Parameter 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 0C 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_116_0 {
	meta:
		name = "CoConnection.Create"
		size = 100
		refs = "000c CoConnection.Create 001a CLASS_Connection 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 50 15 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_117_0 {
	meta:
		name = "CoConnection.CreateRemote"
		size = 128
		refs = "0011 CoConnection.CreateRemote 0021 @WStrFromUStr 002c CLASS_Connection 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 50 15 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_118_0 {
	meta:
		name = "CoRecord_.Create"
		size = 100
		refs = "000c CoRecord_.Create 001a CLASS_Record_ 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 62 15 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_119_0 {
	meta:
		name = "CoRecord_.CreateRemote"
		size = 128
		refs = "0011 CoRecord_.CreateRemote 0021 @WStrFromUStr 002c CLASS_Record_ 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 62 15 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_120_0 {
	meta:
		name = "CoStream.Create"
		size = 100
		refs = "000c CoStream.Create 001a CLASS_Stream 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 65 15 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_121_0 {
	meta:
		name = "CoStream.CreateRemote"
		size = 128
		refs = "0011 CoStream.CreateRemote 0021 @WStrFromUStr 002c CLASS_Stream 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 65 15 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_122_0 {
	meta:
		name = "CoCommand.Create"
		size = 100
		refs = "000c CoCommand.Create 001a CLASS_Command 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 E8 61 67 98 69 72 90 48 AA 65 AD 7C 03 69 7A 6D }
	condition:
		$1
}

rule function_123_0 {
	meta:
		name = "CoCommand.CreateRemote"
		size = 128
		refs = "0011 CoCommand.CreateRemote 0021 @WStrFromUStr 002c CLASS_Command 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 E8 61 67 98 69 72 90 48 AA 65 AD 7C 03 69 7A 6D }
	condition:
		$1
}

rule function_124_0 {
	meta:
		name = "CoRecordset.Create"
		size = 100
		refs = "000c CoRecordset.Create 001a CLASS_Recordset 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 56 15 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_125_0 {
	meta:
		name = "CoRecordset.CreateRemote"
		size = 128
		refs = "0011 CoRecordset.CreateRemote 0021 @WStrFromUStr 002c CLASS_Recordset 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 56 15 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_126_0 {
	meta:
		name = "CoParameter.Create"
		size = 100
		refs = "000c CoParameter.Create 001a CLASS_Parameter 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 0C 15 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_127_0 {
	meta:
		name = "CoParameter.CreateRemote"
		size = 128
		refs = "0011 CoParameter.CreateRemote 0021 @WStrFromUStr 002c CLASS_Parameter 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 0C 15 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_142_0 {
	meta:
		name = "TASPBehaviorEvents.DoInvoke"
		size = 47
		refs = "0026 TBehaviorElementEvents.DoInvoke"
	strings:
		$1 = { 55 8B EC 53 8B DA 8B 55 20 52 0F B7 55 1C 52 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 55 08 52 8B D3 E8 ?? ?? ?? ?? 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_143_0 {
	meta:
		name = "TASPBehavior.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TCustomPaintedBehavior.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 64 01 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_144_0 {
	meta:
		name = "TASPBehavior.DoCanvasCreated"
		size = 148
		refs = "0006 TCustomPaintedBehavior.DoCanvasCreated 0014 TASPBehavior.DoCanvasCreated 0019 TFont.SetName 002c TFont.SetSize 0041 TFont.SetStyle 0054 TFont.SetColor 0064 TBrush.SetStyle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 40 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 40 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 40 BA FF 00 00 00 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 20 00 46 00 6F 00 6E 00 74 00 73 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_145_0 {
	meta:
		name = "TASPBehavior.DoDraw"
		size = 51
	strings:
		$1 = { 55 8B EC 51 53 33 C9 89 4D FC 80 B8 60 01 00 00 00 74 17 8B 88 64 01 00 00 51 8B 4A 04 8B 12 8B 80 C8 00 00 00 8B 18 FF 53 44 8B 45 FC 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_147_0 {
	meta:
		name = "TASPBehavior.Initialize"
		size = 168
		refs = "000b TCustomPaintedBehavior.Initialize 0019 _Dn_TBitmap 001e TBitmap.Create 0032 TBitmap.SetTransparentColor 0044 TASPBehavior.Initialize 004a HInstance 0055 TBitmap.LoadFromResourceName 006d Rect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 60 01 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 64 01 00 00 BA FF 00 FF 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B 83 64 01 00 00 8B 08 FF 51 40 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 6A 00 8D 44 24 04 50 33 C9 BA 02 00 00 00 B8 04 00 00 00 E8 ?? ?? ?? ?? 8B F4 8D BB 44 01 00 00 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 41 00 53 00 50 00 42 00 45 00 48 00 41 00 56 00 49 00 4F 00 52 00 00 00 }
	condition:
		$1
}

rule function_148_0 {
	meta:
		name = "TShowTagsBehavior.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TCustomPaintedBehavior.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97778_0 {
	meta:
		name = "TAbstractNamedVariants.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TPersistent.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73537_0 {
	meta:
		name = "TActiveForm.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TCustomForm.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73529_0 {
	meta:
		name = "TActiveFormControl.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TActiveXControl.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73545_0 {
	meta:
		name = "TActiveFormFactory.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TActiveXControlFactory.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3339_0 {
	meta:
		name = "TAmazonService.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TCloudService.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28028_0 {
	meta:
		name = "TAzureConnectionString.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TComponent.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28376_0 {
	meta:
		name = "TBBlock.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TBEnumerationItem<DSAzureBlob.TBBlockList>.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28370_0 {
	meta:
		name = "TBPageRange.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TBEnumerationItem<DSAzureBlob.TBPageList>.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28362_0 {
	meta:
		name = "TBSignedIdentifier.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TBEnumerationItem<DSAzureBlob.TBSignedIdentifiers>.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1549_0 {
	meta:
		name = "TBaseBindExpression.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TCommonBindComponent.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2690_0 {
	meta:
		name = "TBaseDBGridLinkColumn.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TCollectionItem.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1268_0 {
	meta:
		name = "TBinder.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TOleServer.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74275_0 {
	meta:
		name = "TCOMAdminCatalog.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TOleServer.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74322_0 {
	meta:
		name = "TCOMAdminCatalogCollection.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TOleServer.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74307_0 {
	meta:
		name = "TCOMAdminCatalogObject.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TOleServer.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1512_0 {
	meta:
		name = "TCommonBindComponent.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TContainedBindComponent.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50677_0 {
	meta:
		name = "TConnectionIntercept.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TComponent.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1477_0 {
	meta:
		name = "TContainedBindComponent.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TComponent.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75624_0 {
	meta:
		name = "TCoolBands.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TCollection.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1576_0 {
	meta:
		name = "TCustomBindScope.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TBaseBindScopeComponent.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84903_0 {
	meta:
		name = "TCustomComboBoxStrings.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TStrings.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96670_0 {
	meta:
		name = "TCustomTcpServer.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TBaseSocket.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38845_0 {
	meta:
		name = "TCustomZlibStream.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6645_0 {
	meta:
		name = "TDBXConnectionValue.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDBXWritableValue.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13680_0 {
	meta:
		name = "TDBXConsoleTraceOutput.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDBXTraceOutput.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24329_0 {
	meta:
		name = "TDBXCropRequestFilter.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDSRequestFilter<Data.DBXCommon.TDBXValue>.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8552_0 {
	meta:
		name = "TDBXDataSetReader.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDBXTableReader.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8713_0 {
	meta:
		name = "TDBXDelegateParameterList.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDBXParameterList.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12670_0 {
	meta:
		name = "TDBXInt32Object.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10908_0 {
	meta:
		name = "TDBXJSonServerOutputConnectionHandler.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDBXJSonConnectionHandler.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7539_0 {
	meta:
		name = "TDBXMemoryConnectionFactory.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDBXConnectionFactory.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7605_0 {
	meta:
		name = "TDBXNullValue.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDBXWritableValue.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12405_0 {
	meta:
		name = "TDBXOdbcBlockMgr.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8556_0 {
	meta:
		name = "TDBXParamsReader.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDBXTableReader.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12812_0 {
	meta:
		name = "TDBXPoolCommand.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDBXCommand.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12824_0 {
	meta:
		name = "TDBXPoolReader.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDBXReader.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7599_0 {
	meta:
		name = "TDBXStateItemList.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7183_0 {
	meta:
		name = "TDBXStringValue.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDBXWideStringValue.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13668_0 {
	meta:
		name = "TDBXTraceParameter.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDBXDelegateParameter.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13564_0 {
	meta:
		name = "TDBXTraceParameterList.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDBXDelegateParameterList.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13578_0 {
	meta:
		name = "TDBXTraceWritableValue.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDBXDelegateWritableValue.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6692_0 {
	meta:
		name = "TDBXValueType.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6831_0 {
	meta:
		name = "TDBXWritableValue.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDBXValue.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81147_0 {
	meta:
		name = "TDIBReader.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17678_0 {
	meta:
		name = "TDSCacheResponseHandler.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDSJsonResponseHandler.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17655_0 {
	meta:
		name = "TDSClientCallbackChannelManager.TDSChannelCallback.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17716_0 {
	meta:
		name = "TDSClientCallbackChannelManager.TDSExecuteThread.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TThread.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17191_0 {
	meta:
		name = "TDSHTTPSServerIndy.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDSHTTPServerIndy.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25759_0 {
	meta:
		name = "TDSJSONProtocolHandlerFactory.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24272_0 {
	meta:
		name = "TDSJSONService.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDSService.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24261_0 {
	meta:
		name = "TDSRESTService.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDSService.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24402_0 {
	meta:
		name = "TDSRequestFilter<Data.DBXCommon.TDBXValue>.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16104_0 {
	meta:
		name = "TDSRestCacheCommand.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23318_0 {
	meta:
		name = "TDSServerClass.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TComponent.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23339_0 {
	meta:
		name = "TDSServerDriver.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDBXDriver.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24194_0 {
	meta:
		name = "TDSTunnelSession.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TDSSession.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96200_0 {
	meta:
		name = "TDispatchFileRequest.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_297_0 {
	meta:
		name = "TEnumDispatcherAS.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TCustomEnumDispatcher.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97416_0 {
	meta:
		name = "TEventDispatchEx.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81460_0 {
	meta:
		name = "TGIFApplicationExtension.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TGIFExtension.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103875_0 {
	meta:
		name = "TGPFontCollection.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103881_0 {
	meta:
		name = "TGPInstalledFontCollection.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TGPFontCollection.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88649_0 {
	meta:
		name = "TGestureCollection.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TCollection.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43229_0 {
	meta:
		name = "TIWCallback.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45536_0 {
	meta:
		name = "TIWMarkupLanguageTagCollection.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TList.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39888_0 {
	meta:
		name = "TIdContextPeer.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35386_0 {
	meta:
		name = "TIdIMAP4Server.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TIdCmdTCPServer.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35660_0 {
	meta:
		name = "TIdIPMCastListenerThread.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TIdThread.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36138_0 {
	meta:
		name = "TIdMessageClient.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TIdExplicitTLSClient.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36382_0 {
	meta:
		name = "TIdNNTP.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TIdMessageClient.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36729_0 {
	meta:
		name = "TIdRemoteCMDClient.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TIdTCPConnection.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37488_0 {
	meta:
		name = "TIdSSLCipher.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37900_0 {
	meta:
		name = "TIdStackWindows.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TIdStack.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_41533_0 {
	meta:
		name = "TInSSLCipher.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_41940_0 {
	meta:
		name = "TInStackWindows.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TInStack.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40460_0 {
	meta:
		name = "TIndyTCPConnectionTransport.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48247_0 {
	meta:
		name = "TInternetExplorer.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TOleServer.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48334_0 {
	meta:
		name = "TInternetExplorerMedium.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TOleServer.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36311_0 {
	meta:
		name = "TIpProperty.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TPersistent.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69466_0 {
	meta:
		name = "TLanguages.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49462_0 {
	meta:
		name = "TLogLinkedWebNode.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TLinkedWebNode.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47658_0 {
	meta:
		name = "TMaster.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TOleServer.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98797_0 {
	meta:
		name = "TModuleObj.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObjectScripter.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98678_0 {
	meta:
		name = "TModulesObj.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObjectScripter.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47838_0 {
	meta:
		name = "TOLECtrl.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TOleServer.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73363_0 {
	meta:
		name = "TOleStream.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47717_0 {
	meta:
		name = "TOutlookApplication.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TOleServer.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47596_0 {
	meta:
		name = "TPowerPointApplication.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TOleServer.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47494_0 {
	meta:
		name = "TPowerPointPresentation.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TOleServer.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47453_0 {
	meta:
		name = "TPowerPointSlide.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TOleServer.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47940_0 {
	meta:
		name = "TPowerRex.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TOleServer.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73557_0 {
	meta:
		name = "TPropertyPageImpl.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67325_0 {
	meta:
		name = "TRawVirtualClass.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50716_0 {
	meta:
		name = "TResponseTransaction.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49341_0 {
	meta:
		name = "TSOAPDOMProcessor.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TComponent.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14311_0 {
	meta:
		name = "TSQLBlobStream.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TMemoryStream.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48059_0 {
	meta:
		name = "TScriptObjectContainer.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80492_0 {
	meta:
		name = "TSharedImage.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48505_0 {
	meta:
		name = "TShellNameSpace.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TOleServer.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48445_0 {
	meta:
		name = "TShellUIHelper.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TOleServer.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48423_0 {
	meta:
		name = "TShellWindows.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TOleServer.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48546_0 {
	meta:
		name = "TSimpleDataSet.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TCustomClientDataSet.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49277_0 {
	meta:
		name = "TSoapConnection.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TCustomConnection.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48646_0 {
	meta:
		name = "TStreamLoader.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46725_0 {
	meta:
		name = "TTIWComboboxes.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TPersistent.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46684_0 {
	meta:
		name = "TTIWHTMLEdGlyphs.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TPersistent.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46732_0 {
	meta:
		name = "TTIWHTMLEdHints.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TPersistent.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78370_0 {
	meta:
		name = "TTaskDialogButtons.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TCollection.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49485_0 {
	meta:
		name = "TTypeTranslator.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97352_0 {
	meta:
		name = "TWebComponentsStub.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49207_0 {
	meta:
		name = "TWebRequestStream.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50623_0 {
	meta:
		name = "TWebServerResponse.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TWebResponse.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48079_0 {
	meta:
		name = "TXMLDocument.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114630_0 {
	meta:
		name = "TXMLNodeList.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48067_0 {
	meta:
		name = "TXMLRowSets.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TScriptObjectContainer.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115414_0 {
	meta:
		name = "TXMLTransformProvider.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TCustomProvider.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50403_0 {
	meta:
		name = "TXSCustomDateTime.Destroy"
		size = 36
		refs = "0003 @BeforeDestruction 0012 TRemotable.Destroy 001d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_149_0 {
	meta:
		name = "TShowTagsBehavior.DoCanvasCreated"
		size = 112
		refs = "0006 TCustomPaintedBehavior.DoCanvasCreated 0014 TShowTagsBehavior.DoCanvasCreated 0019 TFont.SetName 002c TFont.SetSize 0041 TFont.SetStyle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 40 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 40 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 20 00 46 00 6F 00 6E 00 74 00 73 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_150_0 {
	meta:
		name = "TShowTagsBehavior.DoDraw"
		size = 2604
		refs = "0023 TShowTagsBehavior.DoDraw 0040 TCustomPaintedBehavior.DoDraw 0055 @IntfClear 0061 TCustomElementBehavior.GetElement 0072 @CheckAutoResult 008b Supports 00b7 TFont.SetColor 00e2 TBrush.SetStyle 00ea @WStrClr 010f @UStrFromWStr 0120 TCustomCanvas.TextHeight 0162 @OleVarFromInt 01ab @IntfCast 0276 @IntfCopy 02d0 @WStrEqual 0398 @WStrCatN 03ff TCustomCanvas.TextWidth 0413 PtInRect 04ff CompareText 0808 @UStrClr 089c @WStrArrayClr 08a8 OleVariant 08b2 @FinalizeArray 093c @UStrArrayClr 0952 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 20 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E4 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 0C 50 8B 45 08 50 8B 4D E4 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 89 45 E0 83 7D E0 00 0F 85 98 07 00 00 8D 45 B4 E8 ?? ?? ?? ?? 50 8D 55 B0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 B0 50 8B 00 FF 90 74 01 00 00 E8 ?? ?? ?? ?? 8B 45 B4 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 52 07 00 00 8B 45 EC 8B 80 60 01 00 00 85 C0 74 19 8B 90 EC 00 00 00 8B 45 EC 8B 80 C8 00 00 00 8B 40 40 E8 ?? ?? ?? ?? EB 16 8B 45 EC 8B 80 C8 00 00 00 8B 40 40 BA 80 80 80 00 E8 ?? ?? ?? ?? 8B 45 EC 8B 80 C8 00 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 50 8D 55 A4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 A4 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 55 A8 8D 45 AC E8 ?? ?? ?? ?? 8B 55 AC 8B 45 EC 8B 80 C8 00 00 00 E8 ?? ?? ?? ?? 89 45 D4 8D 45 A0 50 8B 45 F8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 A0 48 85 C0 0F 8C A4 06 00 00 40 89 45 D0 C7 45 DC 00 00 00 00 8D 45 9C E8 ?? ?? ?? ?? 50 8D 45 8C 8B 55 DC B1 FC E8 ?? ?? ?? ?? FF 75 98 FF 75 94 FF 75 90 FF 75 8C 8D 85 7C FF FF FF 8B 55 DC B1 FC E8 ?? ?? ?? ?? FF 75 88 FF 75 84 FF 75 80 FF B5 7C FF FF FF 8B 45 F8 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 55 9C 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A0 50 8B 45 FC 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 8B 7D A0 8D 45 A0 50 8B 45 FC 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 75 A0 8B 45 E8 8B 40 04 99 33 C2 2B C2 8B 55 E4 03 42 0C 3B F0 0F 8F E5 05 00 00 8B 45 EC 8B 98 60 01 00 00 85 DB 0F 84 A1 00 00 00 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8B 83 E8 00 00 00 8B 08 FF 51 54 85 C0 0F 8D 90 05 00 00 EB 5B 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 90 E0 00 00 00 E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 8D 45 A0 50 8B 45 FC 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 03 7D A0 8D 45 A0 50 8B 45 FC 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 03 75 A0 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 75 FF FF FF 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 50 8D 85 58 FF FF FF 8B 55 DC B1 FC E8 ?? ?? ?? ?? FF B5 64 FF FF FF FF B5 60 FF FF FF FF B5 5C FF FF FF FF B5 58 FF FF FF 8D 85 48 FF FF FF 8B 55 DC B1 FC E8 ?? ?? ?? ?? FF B5 54 FF FF FF FF B5 50 FF FF FF FF B5 4C FF FF FF FF B5 48 FF FF FF 8B 45 F8 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 03 38 8B 45 E8 03 70 04 68 ?? ?? ?? ?? 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? FF B5 40 FF FF FF 68 ?? ?? ?? ?? 8D 85 44 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 44 FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? FF B5 38 FF FF FF 68 ?? ?? ?? ?? 8D 85 3C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 3C FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 EC 8B 80 C8 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 89 45 D8 89 7D C8 89 75 CC 8D 55 C8 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 4B 8D 45 A0 50 8B 45 FC 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 8B 5D A0 03 DF 2B 5D D8 8D 45 A0 50 8B 45 FC 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 8B 45 A0 03 C6 2B 45 D4 89 5D C0 89 45 C4 8D 55 C0 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 4E 8D 45 A0 50 8B 45 FC 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 8B 5D A0 03 DF 2B 5D D8 8D 45 A0 50 8B 45 FC 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 8B 45 A0 03 C6 2B 45 D4 83 C0 04 89 5D B8 89 45 BC 8D 55 B8 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 0F 84 15 03 00 00 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 95 30 FF FF FF 8D 85 34 FF FF FF E8 ?? ?? ?? ?? 8B 85 34 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 21 8B 45 F4 50 8B CE 83 E9 04 8B 45 EC 8B 80 C8 00 00 00 8B D7 8B 18 FF 93 90 00 00 00 E9 2D 01 00 00 8D 85 28 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 95 28 FF FF FF 8D 85 2C FF FF FF E8 ?? ?? ?? ?? 8B 85 2C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 21 8B 45 F4 50 8B CE 83 E9 04 8B 45 EC 8B 80 C8 00 00 00 8B D7 8B 18 FF 93 90 00 00 00 E9 CD 00 00 00 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 95 20 FF FF FF 8D 85 24 FF FF FF E8 ?? ?? ?? ?? 8B 85 24 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 1B 8B 45 F4 50 8B 45 EC 8B 80 C8 00 00 00 8B CE 8B D7 8B 18 FF 93 90 00 00 00 EB 73 8D 85 18 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 95 18 FF FF FF 8D 85 1C FF FF FF E8 ?? ?? ?? ?? 8B 85 1C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 1B 8B 45 F4 50 8B 45 EC 8B 80 C8 00 00 00 8B CE 8B D7 8B 18 FF 93 90 00 00 00 EB 19 8B 45 F4 50 8B 45 EC 8B 80 C8 00 00 00 8B CE 8B D7 8B 18 FF 93 90 00 00 00 8B 45 EC 8B 80 C8 00 00 00 8B 55 F0 E8 ?? ?? ?? ?? 89 45 D8 8D 85 10 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 95 10 FF FF FF 8D 85 14 FF FF FF E8 ?? ?? ?? ?? 8B 85 14 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 31 01 00 00 8D 85 08 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 95 08 FF FF FF 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 8B 85 0C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 EE 00 00 00 8D 85 00 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 95 00 FF FF FF 8D 85 04 FF FF FF E8 ?? ?? ?? ?? 8B 85 04 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 5A 8B 45 F0 50 8D 45 A0 50 8B 45 FC 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 03 75 A0 2B 75 D4 83 C6 04 56 8D 85 FC FE FF FF 50 8B 45 FC 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 8B 95 FC FE FF FF 03 D7 2B 55 D8 8B 45 EC 8B 80 C8 00 00 00 59 8B 18 FF 93 90 00 00 00 EB 55 8B 45 F0 50 8D 45 A0 50 8B 45 FC 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 03 75 A0 2B 75 D4 56 8D 85 FC FE FF FF 50 8B 45 FC 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 8B 95 FC FE FF FF 03 D7 2B 55 D8 8B 45 EC 8B 80 C8 00 00 00 59 8B 18 FF 93 90 00 00 00 FF 45 DC FF 4D D0 0F 85 67 F9 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 00 FF FF FF E8 ?? ?? ?? ?? 8D 85 04 FF FF FF E8 ?? ?? ?? ?? 8D 85 08 FF FF FF E8 ?? ?? ?? ?? 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 8D 85 10 FF FF FF E8 ?? ?? ?? ?? 8D 85 14 FF FF FF E8 ?? ?? ?? ?? 8D 85 18 FF FF FF E8 ?? ?? ?? ?? 8D 85 1C FF FF FF E8 ?? ?? ?? ?? 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 8D 85 24 FF FF FF E8 ?? ?? ?? ?? 8D 85 28 FF FF FF E8 ?? ?? ?? ?? 8D 85 2C FF FF FF E8 ?? ?? ?? ?? 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 8D 85 34 FF FF FF E8 ?? ?? ?? ?? 8D 85 38 FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 48 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 9B FE FF FF 8B 45 E0 5F 5E 5B 8B E5 5D C2 08 00 00 1F F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 08 00 00 00 42 00 4F 00 44 00 59 00 00 00 00 00 02 00 00 00 3C 00 00 00 02 00 00 00 3E 00 00 00 04 00 00 00 3C 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 42 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 41 00 42 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 48 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 42 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_151_0 {
	meta:
		name = "TShowTagsBehavior.Initialize"
		size = 44
		refs = "0006 TCustomPaintedBehavior.Initialize 0014 TShowTagsBehavior.Initialize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 42 01 00 00 08 0F B7 05 ?? ?? ?? ?? 66 0B 83 40 01 00 00 66 89 83 40 01 00 00 5B C3 10 00 00 00 }
	condition:
		$1
}

rule function_152_0 {
	meta:
		name = "TShowTagsBehaviorWrapper.Create"
		size = 260
		refs = "000e @ClassCreate 001c TCustomBehaviorWrapper.Create 002d _Dn_TStringList 0032 TStringList.Create 0043 TStringList.SetSorted 004e TShowTagsBehaviorWrapper.Create 0090 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C7 83 EC 00 00 00 80 80 80 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 E8 00 00 00 8B C6 B2 01 E8 ?? ?? ?? ?? 8B 83 E8 00 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 83 E8 00 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 83 E8 00 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 83 E8 00 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 42 00 4F 00 44 00 59 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 21 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 43 00 52 00 49 00 50 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 54 00 59 00 4C 00 45 00 00 00 }
	condition:
		$1
}

rule function_153_0 {
	meta:
		name = "TShowTagsBehaviorWrapper.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TCustomBehaviorWrapper.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 E8 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_154_0 {
	meta:
		name = "TShowTagsBehaviorWrapper.DoCreated"
		size = 54
		refs = "000b TCustomBehaviorWrapper.DoCreated 0013 _DV_TShowTagsBehavior 0018 @IsClass 0029 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 98 60 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_156_0 {
	meta:
		name = "TShowTagsBehaviorWrapper.SetIgnoreTags"
		size = 12
	strings:
		$1 = { 8B 80 E8 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_157_0 {
	meta:
		name = "TTagBehavior.Detach"
		size = 29
		refs = "000e @IntfClear 0014 TCustomPaintedBehavior.Detach"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8D 83 60 01 00 00 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_158_0 {
	meta:
		name = "InRect"
		size = 69
	strings:
		$1 = { 56 57 83 C4 E8 8B F2 8D 7C 24 08 A5 A5 A5 A5 8B F0 8D 3C 24 A5 A5 8B 04 24 3B 44 24 08 7C 1A 3B 44 24 10 7F 14 8B 44 24 04 3B 44 24 0C 7C 0A 8B 44 24 04 3B 44 24 14 7E 04 33 C0 EB 02 B0 01 83 C4 18 5F 5E C3 }
	condition:
		$1
}

rule function_159_0 {
	meta:
		name = "TTagBehavior.DoCanvasCreated"
		size = 148
		refs = "0006 TCustomPaintedBehavior.DoCanvasCreated 0014 TTagBehavior.DoCanvasCreated 0019 TFont.SetName 002e TFont.SetStyle 0041 TFont.SetSize 0054 TFont.SetColor 0064 TBrush.SetStyle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 40 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 40 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 40 BA FF 00 00 00 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 20 00 46 00 6F 00 6E 00 74 00 73 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_160_0 {
	meta:
		name = "TTagBehavior.DoDraw"
		size = 916
		refs = "0022 TTagBehavior.DoDraw 003d TCustomPaintedBehavior.DoDraw 006f @CheckAutoResult 009e @IntfCopy 00a8 @IntfClear 010c @WStrClr 0128 @WStrEqual 013e @IntfCast 019c @UStrFromWStr 01aa TCustomCanvas.TextHeight 01e5 TCustomCanvas.TextWidth 01f3 Rect 024d @WStrCatN 029e IntersectRect 02fe @UStrClr 030b @WStrArrayClr 0351 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0E 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 89 55 F0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 0C 50 8B 45 08 50 8B CB 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 0F 85 97 02 00 00 83 BE 60 01 00 00 00 0F 84 8A 02 00 00 8D 45 C0 50 8B 86 60 01 00 00 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 8B 7D C0 8D 45 C0 50 8B 86 60 01 00 00 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 89 45 E8 8D 45 FC 8B 96 60 01 00 00 E8 ?? ?? ?? ?? EB 5E 8D 45 BC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 90 E0 00 00 00 E8 ?? ?? ?? ?? 8B 55 BC 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 33 8D 45 C0 50 8B 45 FC 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 03 7D C0 8D 45 C0 50 8B 45 FC 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 01 45 E8 83 7D FC 00 74 2A 8D 45 B8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 72 FF FF FF 8D 45 F8 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 F8 50 8B 00 FF 90 54 01 00 00 E8 ?? ?? ?? ?? 8B 45 C0 F7 D8 03 F8 8D 45 C0 50 8B 45 F8 50 8B 00 FF 90 4C 01 00 00 E8 ?? ?? ?? ?? 8B 45 C0 F7 D8 01 45 E8 8D 45 B0 E8 ?? ?? ?? ?? 50 8B 86 60 01 00 00 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 55 B0 8D 45 B4 E8 ?? ?? ?? ?? 8B 55 B4 8B 86 C8 00 00 00 E8 ?? ?? ?? ?? 03 45 E8 50 8D 45 D4 50 8D 45 A8 E8 ?? ?? ?? ?? 50 8B 86 60 01 00 00 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 55 A8 8D 45 AC E8 ?? ?? ?? ?? 8B 55 AC 8B 86 C8 00 00 00 E8 ?? ?? ?? ?? 8B C8 03 CF 8B 55 E8 8B C7 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 F8 50 8B 00 FF 90 4C 01 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 04 99 33 C2 2B C2 2B 45 C0 89 45 E4 68 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 50 8B 86 60 01 00 00 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? FF 75 A0 68 ?? ?? ?? ?? 8D 45 A4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 A4 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 F8 50 8B 00 FF 90 54 01 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 04 99 33 C2 2B C2 03 43 0C 2B 45 C0 50 8D 45 90 50 8B 4B 08 8B 03 8B 55 E4 E8 ?? ?? ?? ?? 8D 4D 90 8D 55 D4 8D 45 C4 E8 ?? ?? ?? ?? 84 C0 74 3F 8D 45 88 E8 ?? ?? ?? ?? 50 8B 86 60 01 00 00 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 55 88 8D 45 8C E8 ?? ?? ?? ?? 8B 45 8C 50 8B 4D E8 2B 4D E4 8B D7 8B 86 C8 00 00 00 8B 18 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 A0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9B 8B 45 EC 5F 5E 5B 8B E5 5D C2 08 00 00 08 00 00 00 42 00 4F 00 44 00 59 00 00 00 00 00 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 02 00 00 00 3C 00 00 00 02 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_161_0 {
	meta:
		name = "TTagBehavior.SetTag"
		size = 44
		refs = "0017 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 60 01 00 00 74 1B 8D 83 60 01 00 00 8B D6 E8 ?? ?? ?? ?? 6A 00 8B 83 CC 00 00 00 50 8B 00 FF 50 10 5E 5B C3 }
	condition:
		$1
}

rule function_162_0 {
	meta:
		name = "TRulerBehavior.DoCanvasCreated"
		size = 144
		refs = "0006 TCustomPaintedBehavior.DoCanvasCreated 001a TPen.SetColor 0028 TRulerBehavior.DoCanvasCreated 002d TFont.SetName 0040 TFont.SetSize 0054 TFont.SetColor 0064 TBrush.SetStyle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 44 8B 93 6C 01 00 00 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 40 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 40 8B 93 68 01 00 00 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 20 00 46 00 6F 00 6E 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_163_0 {
	meta:
		name = "TRulerBehavior.DoDraw"
		size = 1661
		refs = "0023 TRulerBehavior.DoDraw 003f TCustomPaintedBehavior.DoDraw 0072 TCustomElementBehavior.GetElement2 0083 @CheckAutoResult 00ca TFont.SetOrientation 01d7 IntToStr 01e5 TCustomCanvas.TextWidth 037b TCustomCanvas.TextHeight 0640 IHTMLElement2 064a @FinalizeArray 0665 @UStrClr 066b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F4 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 0C 50 8B 45 08 50 8B 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 0F 85 DE 05 00 00 F6 86 61 01 00 00 02 75 0D F6 86 61 01 00 00 04 0F 84 61 03 00 00 33 FF 8D 45 E8 50 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 90 54 01 00 00 E8 ?? ?? ?? ?? 83 7D E8 00 74 31 8D 45 E8 50 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 90 54 01 00 00 E8 ?? ?? ?? ?? 8B 45 E8 B9 0A 00 00 00 99 F7 F9 BF F6 FF FF FF 2B FA 8B 86 C8 00 00 00 8B 40 40 33 D2 E8 ?? ?? ?? ?? E9 E8 02 00 00 F6 86 61 01 00 00 02 0F 84 3F 01 00 00 8D 45 E8 50 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 90 4C 01 00 00 E8 ?? ?? ?? ?? 8B 4D E8 8B 45 F8 8B 40 04 99 33 C2 2B C2 3B C8 0F 85 0A 01 00 00 33 C9 8B D7 8B 86 C8 00 00 00 8B 18 FF 53 64 8D 45 E8 50 8D 55 D8 8B C6 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 90 54 01 00 00 E8 ?? ?? ?? ?? 8B 45 E8 03 C7 B9 32 00 00 00 99 F7 F9 85 D2 0F 85 B5 00 00 00 B9 07 00 00 00 8B D7 8B 86 C8 00 00 00 8B 18 FF 53 60 80 BE 60 01 00 00 00 0F 84 A8 00 00 00 85 FF 0F 84 A0 00 00 00 8D 45 E8 50 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 00 FF 90 54 01 00 00 E8 ?? ?? ?? ?? 8B 45 E8 03 C7 B9 64 00 00 00 99 F7 F9 85 D2 75 70 8D 45 E8 50 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 8B 45 D0 50 8B 00 FF 90 54 01 00 00 E8 ?? ?? ?? ?? 8B 45 E8 03 C7 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 86 C8 00 00 00 E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 50 8B D7 83 EA 02 2B 55 EC B9 03 00 00 00 8B 86 C8 00 00 00 8B 18 FF 93 90 00 00 00 EB 12 B9 03 00 00 00 8B D7 8B 86 C8 00 00 00 8B 18 FF 53 60 F6 86 61 01 00 00 04 0F 84 8C 01 00 00 8D 45 E8 50 8D 55 CC 8B C6 E8 ?? ?? ?? ?? 8B 45 CC 50 8B 00 FF 90 4C 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 04 99 33 C2 2B C2 8B D8 2B 5D E8 8B 45 F4 03 58 0C 8D 45 C8 50 8D 55 C4 8B C6 E8 ?? ?? ?? ?? 8B 45 C4 50 8B 00 FF 90 F8 00 00 00 E8 ?? ?? ?? ?? 3B 5D C8 0F 8C 2F 01 00 00 8B 4D F4 8B 49 0C 41 8B D7 8B 86 C8 00 00 00 8B 18 FF 53 64 8D 45 E8 50 8D 55 C0 8B C6 E8 ?? ?? ?? ?? 8B 45 C0 50 8B 00 FF 90 54 01 00 00 E8 ?? ?? ?? ?? 8B 45 E8 03 C7 B9 32 00 00 00 99 F7 F9 85 D2 0F 85 D1 00 00 00 8B 4D F4 8B 49 0C 83 E9 07 8B D7 8B 86 C8 00 00 00 8B 18 FF 53 60 80 BE 60 01 00 00 00 0F 84 C4 00 00 00 85 FF 0F 84 BC 00 00 00 8D 45 E8 50 8D 55 BC 8B C6 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 00 FF 90 54 01 00 00 E8 ?? ?? ?? ?? 8B 45 E8 03 C7 B9 64 00 00 00 99 F7 F9 85 D2 0F 85 88 00 00 00 8D 45 E8 50 8D 55 B8 8B C6 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 00 FF 90 54 01 00 00 E8 ?? ?? ?? ?? 8B 45 E8 03 C7 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 86 C8 00 00 00 E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 50 8B 55 FC 8B 86 C8 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8B 49 0C 83 E9 04 2B C8 8B D7 83 EA 02 2B 55 EC 8B 86 C8 00 00 00 8B 18 FF 93 90 00 00 00 EB 16 8B 4D F4 8B 49 0C 83 E9 04 8B D7 8B 86 C8 00 00 00 8B 18 FF 53 60 83 C7 05 8B 45 F4 3B 78 08 0F 8E 0C FD FF FF F6 86 61 01 00 00 01 75 0D F6 86 61 01 00 00 08 0F 84 51 02 00 00 8B 86 C8 00 00 00 8B 40 40 BA 84 03 00 00 E8 ?? ?? ?? ?? 33 FF 8D 45 E8 50 8D 55 B4 8B C6 E8 ?? ?? ?? ?? 8B 45 B4 50 8B 00 FF 90 4C 01 00 00 E8 ?? ?? ?? ?? 83 7D E8 00 0F 84 07 02 00 00 8D 45 E8 50 8D 55 B0 8B C6 E8 ?? ?? ?? ?? 8B 45 B0 50 8B 00 FF 90 4C 01 00 00 E8 ?? ?? ?? ?? 8B 45 E8 B9 0A 00 00 00 99 F7 F9 BF F6 FF FF FF 2B FA E9 D1 01 00 00 F6 86 61 01 00 00 01 0F 84 BC 00 00 00 8B CF 33 D2 8B 86 C8 00 00 00 8B 18 FF 53 64 8D 45 E8 50 8D 55 AC 8B C6 E8 ?? ?? ?? ?? 8B 45 AC 50 8B 00 FF 90 4C 01 00 00 E8 ?? ?? ?? ?? 8B 45 E8 03 C7 B9 32 00 00 00 99 F7 F9 85 D2 75 6B 8B CF BA 07 00 00 00 8B 86 C8 00 00 00 8B 18 FF 53 60 80 BE 60 01 00 00 00 74 62 85 FF 74 5E 8B 45 F8 8B 40 04 99 33 C2 2B C2 03 C7 B9 64 00 00 00 99 F7 F9 85 D2 75 45 8B 45 F8 8B 40 04 99 33 C2 2B C2 03 C7 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B CF 83 E9 02 BA 04 00 00 00 8B 86 C8 00 00 00 8B 18 FF 93 90 00 00 00 EB 12 8B CF BA 04 00 00 00 8B 86 C8 00 00 00 8B 18 FF 53 60 F6 86 61 01 00 00 08 0F 84 F8 00 00 00 8B 55 F4 8B 52 08 83 EA 06 8B CF 8B 86 C8 00 00 00 8B 18 FF 53 64 8D 45 E8 50 8D 55 A8 8B C6 E8 ?? ?? ?? ?? 8B 45 A8 50 8B 00 FF 90 4C 01 00 00 E8 ?? ?? ?? ?? 8B 45 E8 03 C7 B9 32 00 00 00 99 F7 F9 85 D2 0F 85 85 00 00 00 8B 55 F4 8B 52 08 8B CF 8B 86 C8 00 00 00 8B 18 FF 53 60 80 BE 60 01 00 00 00 0F 84 8E 00 00 00 85 FF 0F 84 86 00 00 00 8B 45 F8 8B 40 04 99 33 C2 2B C2 03 C7 B9 64 00 00 00 99 F7 F9 85 D2 75 6D 8B 45 F8 8B 40 04 99 33 C2 2B C2 03 C7 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B 55 FC 8B 86 C8 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 52 08 2B D0 8B CF 83 E9 02 8B 86 C8 00 00 00 8B 18 FF 93 90 00 00 00 EB 29 8B 55 F4 8B 52 08 83 EA 03 8B CF 8B 86 C8 00 00 00 8B 18 FF 53 64 8B 55 F4 8B 52 08 8B CF 8B 86 C8 00 00 00 8B 18 FF 53 60 83 C7 05 8B 45 F4 3B 78 0C 0F 8E 23 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 8B 15 ?? ?? ?? ?? B9 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 8B 45 F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_164_0 {
	meta:
		name = "TRulerBehavior.Initialize"
		size = 64
		refs = "0006 TCustomPaintedBehavior.Initialize 000d TRulerBehavior.Initialize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 83 61 01 00 00 C6 83 60 01 00 00 01 C7 83 68 01 00 00 80 80 80 00 C7 83 6C 01 00 00 C0 C0 C0 00 C6 83 42 01 00 00 04 5B C3 00 03 00 00 00 }
	condition:
		$1
}

rule function_165_0 {
	meta:
		name = "TCustomGridBehavior.InvalidateGrid"
		size = 24
		altNames = "TRulerBehavior.Refresh"
	strings:
		$1 = { 83 B8 CC 00 00 00 00 74 0E 6A 00 8B 80 CC 00 00 00 50 8B 00 FF 50 10 C3 }
	condition:
		$1
}

rule function_166_0 {
	meta:
		name = "TRulerBehavior.SetIncrement"
		size = 20
		refs = "000f TRulerBehavior.Refresh"
	strings:
		$1 = { 3B 90 64 01 00 00 74 0B 89 90 64 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_167_0 {
	meta:
		name = "TRulerBehavior.SetLabelColor"
		size = 50
		refs = "0024 TFont.SetColor 002b TRulerBehavior.Refresh"
	strings:
		$1 = { 53 56 8B D8 3B 93 68 01 00 00 74 23 8B F2 89 B3 68 01 00 00 8B 83 C8 00 00 00 85 C0 74 0A 8B 40 40 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_168_0 {
	meta:
		name = "TRulerBehavior.SetRulerOptions"
		size = 39
		refs = "0020 TRulerBehavior.Refresh"
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 04 24 3A 83 61 01 00 00 74 11 0F B6 04 24 88 83 61 01 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_169_0 {
	meta:
		name = "TRulerBehavior.SetShowLabels"
		size = 20
		refs = "000f TRulerBehavior.Refresh"
	strings:
		$1 = { 3A 90 60 01 00 00 74 0B 88 90 60 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_170_0 {
	meta:
		name = "TRulerBehavior.SetTickColor"
		size = 50
		refs = "0024 TPen.SetColor 002b TRulerBehavior.Refresh"
	strings:
		$1 = { 53 56 8B D8 3B 93 6C 01 00 00 74 23 8B F2 89 B3 6C 01 00 00 8B 83 C8 00 00 00 85 C0 74 0A 8B 40 44 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_171_0 {
	meta:
		name = "TMessageBehavior.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TCustomPaintedBehavior.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 60 01 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_172_0 {
	meta:
		name = "TMessageBehavior.DoDraw"
		size = 628
		refs = "001b TMessageBehavior.DoDraw 0041 Format 0049 @UStrToPWChar 004f OutputDebugString 0063 TCustomPaintedBehavior.DoDraw 0097 TBrush.SetStyle 00aa TBrush.SetColor 00bd TFont.SetColor 00c7 TCustomElementBehavior.GetElement2 00e4 @CheckAutoResult 00f9 Rect 0104 TCanvas.GetHandle 0135 DrawText 01b5 OffsetRect 01ff @UStrClr 0207 @IntfClear 020d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D E0 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 50 8B 83 64 01 00 00 89 45 D8 C6 45 DC 11 8D 55 D8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0F B6 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 85 7A 01 00 00 8B 83 64 01 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 63 01 00 00 8B 83 C8 00 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 48 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 40 BA FF 00 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 46 0C 50 8D 45 E4 50 8D 45 D4 50 8B 45 FC 50 8B 00 FF 90 54 01 00 00 E8 ?? ?? ?? ?? 8B 4E 08 2B 4D D4 83 E9 19 33 D2 B8 19 00 00 00 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 8B BB 64 01 00 00 85 FF 74 05 83 EF 04 8B 3F 68 11 04 00 00 8D 45 E4 50 57 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8D 45 D4 50 8B 45 FC 50 8B 00 FF 90 4C 01 00 00 E8 ?? ?? ?? ?? 8B 7D D4 8D 45 D0 50 8B 45 FC 50 8B 00 FF 90 F8 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 D1 F8 79 03 83 D0 00 03 F8 03 7E 04 8B 45 F0 2B 45 E8 D1 F8 79 03 83 D0 00 2B F8 57 8D 45 CC 50 8B 45 FC 50 8B 00 FF 90 FC 00 00 00 E8 ?? ?? ?? ?? 8B 55 CC D1 FA 79 03 83 D2 00 8B 45 EC D1 F8 79 03 83 D0 00 2B D0 8D 45 E4 59 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 8B F8 8B B3 64 01 00 00 85 F6 74 05 83 EE 04 8B 36 6A 11 8D 45 E4 50 56 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 54 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 42 00 65 00 68 00 61 00 76 00 69 00 6F 00 72 00 2E 00 44 00 6F 00 44 00 72 00 61 00 77 00 20 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 3A 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_174_0 {
	meta:
		name = "TMessageBehavior.Initialize"
		size = 108
		refs = "0007 TCustomPaintedBehavior.Initialize 000e _Dn_TFont 0013 TFont.Create 0020 TMessageBehavior.Initialize 0027 TFont.SetName 0037 TFont.SetColor 0047 TMessageBehavior.FontChanged"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 60 01 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 80 80 80 00 8B 83 60 01 00 00 E8 ?? ?? ?? ?? 8B 83 60 01 00 00 89 58 0C C7 40 08 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 68 00 6F 00 6D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_175_0 {
	meta:
		name = "TMessageBehavior.SetFont"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 60 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_176_0 {
	meta:
		name = "TMessageBehavior.SetMessage"
		size = 29
		refs = "000f @UStrAsg 0016 TCustomPaintedBehavior.InvalidatePainterInfo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 64 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_177_0 {
	meta:
		name = "TFocusBehavior.DoCanvasCreated"
		size = 79
		refs = "0006 TCustomPaintedBehavior.DoCanvasCreated 0016 TBrush.SetStyle 0026 TPen.SetStyle 0039 TPen.SetWidth 0049 TPen.SetColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 44 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 44 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_178_0 {
	meta:
		name = "TEditFocusBehavior.DoDraw"
		size = 56
		refs = "0018 TCustomPaintedBehavior.DoDraw 002b TCustomCanvas.Rectangle"
		altNames = "TFocusBehavior.DoDraw"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 0F B6 45 0C 50 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 75 0D 8B D6 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_179_0 {
	meta:
		name = "TEditFocusBehavior.DoCanvasCreated"
		size = 82
		refs = "0006 TCustomPaintedBehavior.DoCanvasCreated 0016 TBrush.SetStyle 0026 TPen.SetStyle 0039 TPen.SetWidth 004c TPen.SetColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 44 BA FF 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_180_0 {
	meta:
		name = "TEditFocusBehavior.Detach"
		size = 176
		refs = "0013 TEditFocusBehavior.Detach 0023 TCustomElementBehavior.GetElement2 002b @IntfClear 003d @CheckAutoResult 005b TCustomPaintedBehavior.Detach 007c LTemp 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 90 84 01 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 FC 50 8B 00 FF 90 94 02 00 00 E8 ?? ?? ?? ?? 8B 75 F4 53 E8 ?? ?? ?? ?? 8B F8 8D 45 F4 50 8B 45 FC 50 8B 00 FF 90 94 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 03 C6 A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_181_0 {
	meta:
		name = "TEditFocusBehavior.GetPainterInfo"
		size = 58
		refs = "000d TCustomPaintedBehavior.GetPainterInfo 0013 FExpandFocusRectHeight 0025 FExpandFocusRectWidth"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 8B 45 08 53 50 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 53 1C 8B 15 ?? ?? ?? ?? 89 53 24 8B 15 ?? ?? ?? ?? 89 53 18 8B 15 ?? ?? ?? ?? 89 53 20 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_197_0 {
	meta:
		name = "TAdapterStub.FindObject"
		size = 120
		refs = "000f TAdapterStub.FindObject 001d @IntfClear 002c Supports 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B 45 FC 8B 08 FF 51 0C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A }
	condition:
		$1
}

rule function_205_0 {
	meta:
		name = "TAdapterComponentsStub.FindObject"
		size = 120
		refs = "000f TAdapterComponentsStub.FindObject 001d @IntfClear 002c Supports 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B 45 FC 8B 08 FF 51 0C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A }
	condition:
		$1
}

rule function_290_0 {
	meta:
		name = "TAdapterFieldValuesStub.FindObject"
		size = 120
		refs = "000f TAdapterFieldValuesStub.FindObject 001d @IntfClear 002c Supports 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B 45 FC 8B 08 FF 51 0C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A }
	condition:
		$1
}

rule function_262_0 {
	meta:
		name = "TAdapterValuesListStub.FindObject"
		size = 120
		refs = "000f TAdapterValuesListStub.FindObject 001d @IntfClear 002c Supports 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B 45 FC 8B 08 FF 51 0C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A }
	condition:
		$1
}

rule function_269_0 {
	meta:
		name = "TBaseAdapterStub.FindObject"
		size = 120
		refs = "000f TBaseAdapterStub.FindObject 001d @IntfClear 002c Supports 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B 45 FC 8B 08 FF 51 0C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A }
	condition:
		$1
}

rule function_97404_0 {
	meta:
		name = "TModuleObjectsStub.FindObject"
		size = 120
		refs = "000f TModuleObjectsStub.FindObject 001d @IntfClear 002c Supports 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B 45 FC 8B 08 FF 51 0C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A }
	condition:
		$1
}

rule function_97354_0 {
	meta:
		name = "TWebModuleStub.FindObject"
		size = 120
		refs = "000f TWebModuleStub.FindObject 001d @IntfClear 002c Supports 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B 45 FC 8B 08 FF 51 0C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A }
	condition:
		$1
}

rule function_198_0 {
	meta:
		name = "TAdapterStub.Get_CanModify"
		size = 116
		refs = "000c TAdapterStub.Get_CanModify 001a @IntfClear 0029 Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 10 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 C0 32 92 17 77 CC D4 11 A5 2B 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_199_0 {
	meta:
		name = "TAdapterStub.Get_CanView"
		size = 116
		refs = "000c TAdapterStub.Get_CanView 001a @IntfClear 0029 Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 C0 32 92 17 77 CC D4 11 A5 2B 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_200_0 {
	meta:
		name = "TAdapterStub.Get_Errors"
		size = 132
		refs = "000f TAdapterStub.Get_Errors 001d @IntfClear 002c Supports 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 FC 8B 10 FF 52 0C 8B D0 8B CE 8B C3 8B 18 FF 53 14 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 9F D8 A6 27 E1 58 D4 11 A4 93 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_201_0 {
	meta:
		name = "TAdapterStub.Get_HiddenFields"
		size = 156
		refs = "0016 TAdapterStub.Get_HiddenFields 0024 @IntfClear 0033 Supports 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 26 8B 45 FC 8B 10 FF 52 0C 8B F0 85 F6 74 0E 8B 4D F8 8B D6 8B C3 8B 18 FF 53 18 EB 12 8B 45 F8 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 4D C3 E9 90 54 D0 D4 11 A5 30 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_202_0 {
	meta:
		name = "TAdapterStub.Get_HiddenRecordFields"
		size = 156
		refs = "0016 TAdapterStub.Get_HiddenRecordFields 0024 @IntfClear 0033 Supports 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 26 8B 45 FC 8B 10 FF 52 10 8B F0 85 F6 74 0E 8B 4D F8 8B D6 8B C3 8B 18 FF 53 18 EB 12 8B 45 F8 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 4D C3 E9 90 54 D0 D4 11 A5 30 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_203_0 {
	meta:
		name = "TAdapterStub.Get_Mode"
		size = 124
		refs = "000f TAdapterStub.Get_Mode 001d @IntfClear 002c Supports 0043 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 7C 6A 6E 9E 4F 57 D4 11 A4 91 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_204_0 {
	meta:
		name = "TAdapterStub.Set_Mode"
		size = 112
		refs = "000f TAdapterStub.Set_Mode 001d @IntfClear 002c Supports 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 FC 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 7C 6A 6E 9E 4F 57 D4 11 A4 91 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_206_0 {
	meta:
		name = "TAdapterErrorsStub.Create"
		size = 56
		refs = "000a @ClassCreate 001a TObject.Create 0025 @AfterConstruction"
		altNames = "TAdapterHiddenFieldsStub.Create TAdapterRecordsStub.Create TScriptComponent.Create TSockWebRequestAccess.Create TWebPageInfoWrapper.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 0C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_207_0 {
	meta:
		name = "TAdapterActionArrayStub.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TAdapterActionArrayStub.Create 0036 @IntfCopy 003f TObject.Create 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_214_0 {
	meta:
		name = "TAdapterSubComponentStub.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TAdapterSubComponentStub.Create 0036 @IntfCopy 003f TObject.Create 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98459_0 {
	meta:
		name = "TCurrentWebPageInfo.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TCurrentWebPageInfo.Create 0036 @IntfCopy 003f TObject.Create 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97367_0 {
	meta:
		name = "THTMLItemsStub.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 THTMLItemsStub.Create 0036 @IntfCopy 003f TObject.Create 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114427_0 {
	meta:
		name = "TMSDOMNode.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TMSDOMNode.Create 0036 @IntfCopy 003f TObject.Create 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50585_0 {
	meta:
		name = "TSendDataBlock.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TSendDataBlock.Create 0036 @IntfCopy 003f TObject.Create 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97363_0 {
	meta:
		name = "TWebProducerStub.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TWebProducerStub.Create 0036 @IntfCopy 003f TObject.Create 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97358_0 {
	meta:
		name = "TWebResponseStub.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TWebResponseStub.Create 0036 @IntfCopy 003f TObject.Create 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98586_0 {
	meta:
		name = "TWebSessionImpl.Create"
		size = 124
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TWebSessionImpl.Create 0036 @UStrAsg 003f TObject.Create 0054 @UStrClr 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_209_0 {
	meta:
		name = "TAdapterErrorsStub.DefineLabel"
		size = 220
		refs = "001e TAdapterErrorsStub.DefineLabel 002c @IntfClear 003b Supports 006f @VarToUStr 0091 @VarClr 0099 @UStrClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 3D 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 23 8D 55 E4 8B 45 F8 8B 08 FF 51 10 8D 55 E4 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B CF 8B 45 FC 8B 18 FF 53 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 A0 D8 A6 27 E1 58 D4 11 A4 93 00 C0 4F 6B B8 53 79 CA 3A 6C 14 63 D4 11 A4 A2 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_210_0 {
	meta:
		name = "TAdapterErrorsStub.FieldErrors"
		size = 284
		refs = "0020 TAdapterErrorsStub.FieldErrors 002e @IntfClear 003d Supports 0071 @VarToUStr 00c1 @VarClr 00c9 @UStrClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 6B 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 51 8D 55 E0 8B 45 F8 8B 08 FF 51 10 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 08 FF 51 1C 84 C0 74 2C 8D 55 CC 8B 45 F8 8B 08 FF 51 10 8D 55 CC 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 8B 08 FF 51 20 8B D0 8B 4D F4 8B C3 8B 18 FF 13 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5E 5B 8B E5 5D C3 00 A0 D8 A6 27 E1 58 D4 11 A4 93 00 C0 4F 6B B8 53 79 CA 3A 6C 14 63 D4 11 A4 A2 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_212_0 {
	meta:
		name = "TAdapterHiddenFieldsStub.WriteFields"
		size = 532
		refs = "001b TAdapterHiddenFieldsStub.WriteFields 0029 @IntfClear 0037 Supports 0052 @IntfCopy 00f9 Format 0104 @UStrLAsg 012d @UStrArrayClr 0135 @UStrClr 016b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0D 8D 55 E8 8B 45 F0 8B 08 FF 51 0C EB 0A 8D 45 E8 8B D6 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 84 A2 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 0F 84 83 00 00 00 8B 45 FC 8B 10 FF 52 0C 8B D8 4B 85 DB 7C 69 43 33 F6 8D 4D F8 8B D6 8B 45 FC 8B 38 FF 57 10 8D 45 E4 50 8B 45 EC 89 45 CC C6 45 D0 11 8D 55 C8 8B 45 F8 8B 08 FF 51 0C 8B 45 C8 89 45 D4 C6 45 D8 11 8D 55 C4 8B 45 F8 8B 08 FF 51 10 8B 45 C4 89 45 DC C6 45 E0 11 8D 55 CC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 45 EC E8 ?? ?? ?? ?? 46 4B 75 9A 8B 55 EC 8B 45 F4 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B3 5F 5E 5B 8B E5 5D C3 9B 61 21 88 26 6B 32 42 A2 AA EA E0 12 AF 31 AB 05 D0 61 4A D3 46 14 42 99 46 5B C1 DD 51 1F 02 4C C3 E9 90 54 D0 D4 11 A5 30 00 C0 4F 6B B8 53 B0 04 02 00 FF FF FF FF 2E 00 00 00 25 00 73 00 3C 00 69 00 6E 00 70 00 75 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 68 00 69 00 64 00 64 00 65 00 6E 00 22 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 25 00 73 00 22 00 20 00 76 00 61 00 6C 00 75 00 65 00 3D 00 22 00 25 00 73 00 22 00 3E 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_213_0 {
	meta:
		name = "TAdapterSubComponentStub.Create"
		size = 74
		refs = "000b @ClassCreate 0022 @IntfCopy 002b TObject.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 0C 8B D6 85 D2 74 03 83 EA D0 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_215_0 {
	meta:
		name = "TAdapterSubComponentStub.GetComponent"
		size = 116
		refs = "000c TAdapterSubComponentStub.GetComponent 001a @IntfClear 0029 Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 58 18 8B E2 86 EC 59 45 8F CD 6B 4F 82 41 51 ED }
	condition:
		$1
}

rule function_254_0 {
	meta:
		name = "TActionLink.GetComponent"
		size = 116
		refs = "000c TActionLink.GetComponent 001a @IntfClear 0029 Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 58 18 8B E2 86 EC 59 45 8F CD 6B 4F 82 41 51 ED }
	condition:
		$1
}

rule function_216_0 {
	meta:
		name = "TAdapterSubComponentStub.Get_Name"
		size = 168
		refs = "0016 TAdapterSubComponentStub.Get_Name 0024 @IntfClear 0033 Supports 004c @VarFromUStr 0056 @VarClear 0060 @VarCopy 0075 @UStrClr 007d @VarClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 E4 8B 45 FC 8B 08 FF 51 0C 8B 55 E4 8B C6 E8 ?? ?? ?? ?? EB 12 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_217_0 {
	meta:
		name = "TAdapterRecordStub.Create"
		size = 78
		refs = "000e @ClassCreate 002c TObject.Create 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 89 77 0C 8B CE B2 01 8B 45 08 FF 10 89 47 10 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_218_0 {
	meta:
		name = "TAdapterFieldStub.Get_DisplayText"
		size = 128
		refs = "000f TAdapterFieldStub.Get_DisplayText 001d @IntfClear 002c Supports 0047 TAdapterFieldStub.Get_EditText 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 83 7D FC 00 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 62 88 13 18 C0 52 D4 11 A4 8D 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_219_0 {
	meta:
		name = "TAdapterFieldStub.Get_DisplayWidth"
		size = 116
		refs = "000c TAdapterFieldStub.Get_DisplayWidth 001a @IntfClear 0029 Supports 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 03 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 B6 86 3C A2 2A 67 D4 11 A4 A7 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_220_0 {
	meta:
		name = "TAdapterFieldStub.Get_MaxLength"
		size = 116
		refs = "000c TAdapterFieldStub.Get_MaxLength 001a @IntfClear 0029 Supports 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 03 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 39 76 2D 77 09 82 44 47 91 46 2B 6D 3A 5F 22 0F }
	condition:
		$1
}

rule function_221_0 {
	meta:
		name = "TAdapterFieldStub.Get_DisplayLabel"
		size = 124
		refs = "000f TAdapterFieldStub.Get_DisplayLabel 001d @IntfClear 002c Supports 0043 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B7 86 3C A2 2A 67 D4 11 A4 A7 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_245_0 {
	meta:
		name = "TAdapterActionStub.Get_DisplayLabel"
		size = 124
		refs = "000f TAdapterActionStub.Get_DisplayLabel 001d @IntfClear 002c Supports 0043 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B7 86 3C A2 2A 67 D4 11 A4 A7 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_222_0 {
	meta:
		name = "TAdapterFieldStub.Get_EditText"
		size = 86
		refs = "0013 TAdapterFieldStub.Get_EditText 0023 TAdapterFieldStub.Get_Value 002f TAdapterFieldStub.AsEditText 0044 @VarClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98771_0 {
	meta:
		name = "TAdapterFieldObj.GetEditText"
		size = 86
		refs = "0013 TAdapterFieldObj.GetEditText 0023 TAdapterFieldObj.GetValue 002f TAdapterFieldObj.AsEditText 0044 @VarClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_223_0 {
	meta:
		name = "TAdapterFieldStub.Get_InputName"
		size = 188
		refs = "0011 TAdapterFieldStub.Get_InputName 001f @IntfClear 002e Supports 006c @UStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 F8 8B 08 FF 51 0C EB 2E 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 C0 44 16 CD E8 41 06 4C 9A B8 CD 6B 05 36 7E 27 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_224_0 {
	meta:
		name = "TAdapterFieldObj.AsEditText"
		size = 50
		refs = "0009 VarIsEmpty 0014 VarIsNull 0021 @VarToUStr 002b @UStrClr"
		altNames = "TAdapterFieldStub.AsEditText"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_225_0 {
	meta:
		name = "TAdapterFieldStub.Get_ValuesList"
		size = 224
		refs = "0013 TAdapterFieldStub.Get_ValuesList 0021 @IntfClear 0030 Supports 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 4C 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 83 7D F8 00 74 3B 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 27 8B 45 F4 8B 10 FF 52 0C 85 C0 74 1B 8B 45 F4 8B 10 FF 52 0C 8B D0 8B CE 8B C3 8B 18 FF 13 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 4D E9 D7 59 A9 9B D4 11 A4 F2 00 C0 4F 6B B8 53 58 18 8B E2 86 EC 59 45 8F CD 6B 4F 82 41 51 ED }
	condition:
		$1
}

rule function_226_0 {
	meta:
		name = "TAdapterFieldStub.Get_Image"
		size = 168
		refs = "0011 TAdapterFieldStub.Get_Image 001f @IntfClear 002e Supports 004b @IntfCopy 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 2D 8B 45 FC 8B 10 FF 52 0C 8B D0 85 D2 74 03 83 EA CC 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 0E 8B CE 8B 55 F8 8B C3 8B 18 FF 53 04 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 30 D2 F5 E7 F9 7A C8 46 99 76 B9 54 BD 11 52 D8 }
	condition:
		$1
}

rule function_227_0 {
	meta:
		name = "TAdapterFieldStub.Get_DisplayStyle"
		size = 124
		refs = "000f TAdapterFieldStub.Get_DisplayStyle 001d @IntfClear 002c Supports 0045 @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0E 8B CE 33 D2 8B 45 FC 8B 18 FF 53 0C EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 D1 57 15 1C 79 CA EE 4B 86 E2 25 3B EC 89 25 E2 }
	condition:
		$1
}

rule function_246_0 {
	meta:
		name = "TAdapterActionStub.Get_DisplayStyle"
		size = 124
		refs = "000f TAdapterActionStub.Get_DisplayStyle 001d @IntfClear 002c Supports 0045 @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0E 8B CE 33 D2 8B 45 FC 8B 18 FF 53 0C EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 D1 57 15 1C 79 CA EE 4B 86 E2 25 3B EC 89 25 E2 }
	condition:
		$1
}

rule function_228_0 {
	meta:
		name = "TAdapterFieldStub.Get_InputStyle"
		size = 124
		refs = "000f TAdapterFieldStub.Get_InputStyle 001d @IntfClear 002c Supports 0045 @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0E 8B CE 33 D2 8B 45 FC 8B 18 FF 53 10 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 D1 57 15 1C 79 CA EE 4B 86 E2 25 3B EC 89 25 E2 }
	condition:
		$1
}

rule function_229_0 {
	meta:
		name = "TAdapterFieldStub.Get_CanModify"
		size = 116
		refs = "000c TAdapterFieldStub.Get_CanModify 001a @IntfClear 0029 Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 10 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 64 D5 C3 98 E4 3C 2C 41 A7 FE DA 05 A1 A3 79 53 }
	condition:
		$1
}

rule function_230_0 {
	meta:
		name = "TAdapterFieldStub.Get_CanView"
		size = 116
		refs = "000c TAdapterFieldStub.Get_CanView 001a @IntfClear 0029 Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 64 D5 C3 98 E4 3C 2C 41 A7 FE DA 05 A1 A3 79 53 }
	condition:
		$1
}

rule function_231_0 {
	meta:
		name = "TAdapterFieldStub.Get_Values"
		size = 148
		refs = "0016 TAdapterFieldStub.Get_Values 0024 @IntfClear 0033 Supports 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 1C 8B 45 FC 8B 10 FF 52 0C 8B F0 85 F6 74 0E 8B 4D F8 8B D6 8B C3 8B 18 FF 53 08 EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 12 FE BD 87 10 CA D4 11 A5 28 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_232_0 {
	meta:
		name = "TAdapterFieldStub.Get_Value"
		size = 148
		refs = "0015 TAdapterFieldStub.Get_Value 0023 @IntfClear 0032 Supports 004a @VarClear 0054 @VarCopy 0069 @VarClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 12 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 7F 6A 6E 9E 4F 57 D4 11 A4 91 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_233_0 {
	meta:
		name = "TAdapterFieldStub.IsEqual"
		size = 264
		refs = "0029 @VarAddRef 0031 TAdapterFieldStub.IsEqual 003f @IntfClear 004e Supports 006b TAdapterFieldStub.Get_Value 0081 VarIsEmpty 009a @VarCmpEQ 00b1 @HandleAnyException 00b8 @DoneExcept 00ce Variant 00d8 @FinalizeArray 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D FC 89 4D D8 89 4D DC 89 4D E0 89 4D E4 8B F2 8D 7D E8 A5 A5 A5 A5 8B D8 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0F 8D 55 E8 8B 45 FC 8B 08 FF 51 0C 8B D8 EB 57 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 8B D8 8D 45 D8 E8 ?? ?? ?? ?? 3A D8 75 0D 8D 45 E8 8D 55 D8 E8 ?? ?? ?? ?? 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 FB 42 50 49 CE 97 A1 4C 92 1F 9A 09 DD 3B 65 F2 }
	condition:
		$1
}

rule function_234_0 {
	meta:
		name = "TAdapterFieldStub.Get_ViewMode"
		size = 124
		refs = "000f TAdapterFieldStub.Get_ViewMode 001d @IntfClear 002c Supports 0045 @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0E 8B CE 33 D2 8B 45 FC 8B 18 FF 53 14 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 D1 57 15 1C 79 CA EE 4B 86 E2 25 3B EC 89 25 E2 }
	condition:
		$1
}

rule function_235_0 {
	meta:
		name = "TAdapterFieldStub.Get_Required"
		size = 116
		refs = "000c TAdapterFieldStub.Get_Required 001a @IntfClear 0029 Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 10 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 BF 32 92 17 77 CC D4 11 A5 2B 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_236_0 {
	meta:
		name = "TAdapterFieldStub.Get_Visible"
		size = 116
		refs = "000c TAdapterFieldStub.Get_Visible 001a @IntfClear 0029 Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 BF 32 92 17 77 CC D4 11 A5 2B 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_237_0 {
	meta:
		name = "FindApplicationModuleOfObject"
		size = 204
		refs = "0014 @IntfAddRef 001c FindApplicationModuleOfObject 002a @IntfClear 0039 Supports 005c @CallDynaInst 0075 WebContext 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 F8 8B 10 FF 52 0C 8B D8 EB 02 33 DB 85 DB 74 21 EB 0D 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 85 C0 75 E4 8B 5B 04 E8 ?? ?? ?? ?? 85 C0 74 10 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 3C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 58 18 8B E2 86 EC 59 45 8F CD 6B 4F 82 41 51 ED }
	condition:
		$1
}

rule function_238_0 {
	meta:
		name = "TTempAdapterDispatcher.Create"
		size = 70
		refs = "000a @ClassCreate 0017 _Dn_TAdapterDispatcher 001c TComponent.Create 0028 TObject.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_239_0 {
	meta:
		name = "TBPageList.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TObject.Destroy 0025 @ClassDestroy"
		altNames = "TBSignedIdentifiers.Destroy TCompiledBinding.Destroy TCustomScope.Destroy TDictionaryScope.Destroy TObjectMemberGroupScope.Destroy TScopeSymbols.Destroy TSimpleRWSync.Destroy TTempAdapterDispatcher.Destroy TValueRefConverter.Destroy TWinSocketStream.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6391_0 {
	meta:
		name = "TClassRegistryPackageItem.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f UnloadPackage 001a TObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77658_0 {
	meta:
		name = "TColumnTitle.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TPersistent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24255_0 {
	meta:
		name = "TDSService.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TDSRequestFilterManager.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81445_0 {
	meta:
		name = "TGIFCommentExtension.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TGIFExtension.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81435_0 {
	meta:
		name = "TGIFTextExtension.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TGIFExtension.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80412_0 {
	meta:
		name = "TPicture.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TPersistent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_240_0 {
	meta:
		name = "FindAdapterDispatcher"
		size = 188
		refs = "0016 @IntfAddRef 001e FindAdapterDispatcher 002c FindApplicationModuleOfObject 0036 @IntfClear 004b Supports 0065 _DV_TTempAdapterDispatcher 006a TTempAdapterDispatcher.Create 007a @IntfCopy 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 F8 8B 08 FF 51 14 83 3B 00 75 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 0D 2F CD 19 8F E6 6F 4A 92 AA 4C 76 59 E8 37 08 }
	condition:
		$1
}

rule function_241_0 {
	meta:
		name = "TAdapterActionStub.Get_Array_"
		size = 136
		refs = "000f TAdapterActionStub.Get_Array_ 001d @IntfClear 002c Supports 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 19 8B 45 FC 8B 10 FF 52 0C 84 C0 74 0D 8B CE 8B 53 0C 8B C3 8B 18 FF 13 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 90 5E A0 AF AA DD 7F 4B B7 A6 D3 F9 09 3D 94 27 }
	condition:
		$1
}

rule function_242_0 {
	meta:
		name = "TAdapterActionStub.Get_AsFieldValue"
		size = 144
		refs = "000f TAdapterActionStub.Get_AsFieldValue 0020 FindAdapterDispatcher 0047 @UStrAsg 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 0C E8 ?? ?? ?? ?? 83 7D FC 00 74 15 56 0F B6 0D ?? ?? ?? ?? 8B 53 0C 8B 45 FC 8B 18 FF 53 14 EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 00 00 }
	condition:
		$1
}

rule function_243_0 {
	meta:
		name = "TAdapterActionStub.Get_AsHREF"
		size = 144
		refs = "000f TAdapterActionStub.Get_AsHREF 0020 FindAdapterDispatcher 0047 @UStrAsg 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 0C E8 ?? ?? ?? ?? 83 7D FC 00 74 15 56 0F B6 0D ?? ?? ?? ?? 8B 53 0C 8B 45 FC 8B 18 FF 53 10 EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 00 00 }
	condition:
		$1
}

rule function_244_0 {
	meta:
		name = "TAdapterActionStub.Get_CanExecute"
		size = 116
		refs = "000c TAdapterActionStub.Get_CanExecute 001a @IntfClear 0029 Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 44 5C 28 55 BE A3 21 48 99 94 00 51 64 76 99 A7 }
	condition:
		$1
}

rule function_247_0 {
	meta:
		name = "TAdapterActionStub.Get_Enabled"
		size = 116
		refs = "000c TAdapterActionStub.Get_Enabled 001a @IntfClear 0029 Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 D7 97 8F 64 99 B2 4A 44 89 CA E6 0B D1 FB 9E A3 }
	condition:
		$1
}

rule function_248_0 {
	meta:
		name = "TAdapterActionStub.Get_Visible"
		size = 116
		refs = "000c TAdapterActionStub.Get_Visible 001a @IntfClear 0029 Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 C3 48 6F B8 EB BE A7 43 9B EF 1A BE 13 11 E4 19 }
	condition:
		$1
}

rule function_249_0 {
	meta:
		name = "TAdapterActionStub.LinkToPage"
		size = 144
		refs = "0016 TAdapterActionStub.LinkToPage 0029 _DV_TActionLink 0030 TActionLink.Create 0048 @IntfCast 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 52 8B 45 FC 50 8B 4B 0C A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B F0 8D 45 F8 8B D6 85 D2 74 03 83 EA F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 4D 08 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 04 00 00 00 58 18 8B E2 86 EC 59 45 8F CD 6B 4F 82 41 51 ED }
	condition:
		$1
}

rule function_250_0 {
	meta:
		name = "TActionLink.GetAdapterItemRequestParams"
		size = 156
		refs = "0018 @IntfAddRef 0020 TActionLink.GetAdapterItemRequestParams 003b @IntfClear 004a Supports 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 1C 8B 10 FF 52 44 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0D 8B D6 8B 4D FC 8B 45 F8 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 F5 78 D9 14 E9 D1 D4 11 A5 32 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_251_0 {
	meta:
		name = "TActionLink.Create"
		size = 148
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TActionLink.Create 0034 TObject.Create 003f @UStrAsg 004a @IntfCopy 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 10 8B 55 0C E8 ?? ?? ?? ?? 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 8D 46 14 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_253_0 {
	meta:
		name = "TActionLink.GetSuccessPage"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TAdapterDispatchParams.GetRequestIdentifier TAdapterItemRequestParams.GetFailurePage TDBXBaseMetaDataReader.GetVersion TDBXHTTPLayer.Info TDSMethod.GetDSMethodName TDefaultDBScreenApplication.GetTitle TIncludeFile.GetFileName TNameContentScriptObject.GetName TQualifiedName.GetNamespace TRecipientItem.GetDisplayName TScriptError.GetSourceLine TStreamLoader.GetProxy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3274_0 {
	meta:
		name = "TBindObserver.GetOnObserverToggle"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51870_0 {
	meta:
		name = "TCustomWrapper.GetGetterCallback"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47952_0 {
	meta:
		name = "TWebRequestFile.GetContentType"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111780_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.GetClue"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_255_0 {
	meta:
		name = "TAdapterErrorStub.Create"
		size = 67
		refs = "000b @ClassCreate 001b @IntfCopy 0024 TObject.Create 002f @AfterConstruction"
		altNames = "TAdapterHiddenFieldStub.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97386_0 {
	meta:
		name = "TSampleWebPageInfo.Create"
		size = 67
		refs = "000b @ClassCreate 001b @UStrAsg 0024 TObject.Create 002f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_256_0 {
	meta:
		name = "TAdapterErrorStub.Get_Field"
		size = 128
		refs = "000f TAdapterErrorStub.Get_Field 0026 @IntfClear 0033 Supports 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 10 FF 52 14 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 52 64 C1 CA AD 9B D4 11 A4 F2 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_257_0 {
	meta:
		name = "TAdapterErrorStub.Get_ID"
		size = 9
		altNames = "TBindEditLinkObserver.EndUpdate"
	strings:
		$1 = { 8B 40 0C 8B 10 FF 52 10 C3 }
	condition:
		$1
}

rule function_258_0 {
	meta:
		name = "TAdapterErrorStub.Get_Message"
		size = 19
		altNames = "TAdapterHiddenFieldStub.Get_Name TWebPageInfoWrapper.GetPageDescription TWebPageStub.Get_Name"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C 8B 08 FF 51 0C 5E 5B C3 }
	condition:
		$1
}

rule function_261_0 {
	meta:
		name = "TAdapterHiddenFieldStub.Get_Value"
		size = 19
		altNames = "TWebPageInfoWrapper.GetPageTitle TWebPageStub.Get_HREF"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_263_0 {
	meta:
		name = "TAdapterValuesListStub.Get_Image"
		size = 176
		refs = "0011 TAdapterValuesListStub.Get_Image 001f @IntfClear 002e Supports 004b @IntfCopy 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 36 8B 45 FC 8B 10 FF 52 18 8B D0 85 D2 74 03 83 EA CC 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 0E 8B CE 8B 55 F8 8B C3 8B 18 FF 53 14 EB 10 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 51 64 C1 CA AD 9B D4 11 A4 F2 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_264_0 {
	meta:
		name = "TAdapterFieldValuesStub.Get_Records"
		size = 21
		altNames = "TAdapterValuesListStub.Get_Records"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 0C 8B C3 8B 18 FF 53 10 5E 5B C3 }
	condition:
		$1
}

rule function_265_0 {
	meta:
		name = "TAdapterValuesListStub.Get_Value"
		size = 148
		refs = "0015 TAdapterValuesListStub.Get_Value 0023 @IntfClear 0032 Supports 004a @VarClear 0054 @VarCopy 0069 @VarClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 12 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 51 64 C1 CA AD 9B D4 11 A4 F2 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_266_0 {
	meta:
		name = "TAdapterValuesListStub.Get_ValueName"
		size = 124
		refs = "000f TAdapterValuesListStub.Get_ValueName 001d @IntfClear 002c Supports 0043 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 10 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 51 64 C1 CA AD 9B D4 11 A4 F2 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_267_0 {
	meta:
		name = "TAdapterValuesListStub.ImageOfValue"
		size = 204
		refs = "0022 @VarAddRef 002a TAdapterValuesListStub.ImageOfValue 0038 @IntfClear 0047 Supports 0067 @IntfCopy 0097 @VarClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 5D F8 8B F2 8D 7D E8 A5 A5 A5 A5 8B F1 8B D8 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 30 8D 55 E8 8B 45 FC 8B 08 FF 51 1C 8B D0 85 D2 74 03 83 EA CC 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 0E 8B CE 8B 55 F8 8B C3 8B 18 FF 53 14 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 51 64 C1 CA AD 9B D4 11 A4 F2 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_268_0 {
	meta:
		name = "TAdapterValuesListStub.NameOfValue"
		size = 160
		refs = "001f @VarAddRef 0027 TAdapterValuesListStub.NameOfValue 0035 @IntfClear 0044 Supports 005e @UStrClr 0073 @VarClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 8B F2 8D 7D E8 A5 A5 A5 A5 8B F1 8B D8 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0F 8B CE 8D 55 E8 8B 45 FC 8B 18 FF 53 14 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 51 64 C1 CA AD 9B D4 11 A4 F2 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_270_0 {
	meta:
		name = "TBaseAdapterStub.Get_Actions"
		size = 164
		refs = "0012 TBaseAdapterStub.Get_Actions 0026 @IntfClear 0035 Supports 0058 @IntfCopy 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 1C 00 75 3A 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 1F 8B 45 FC 8B 10 FF 52 0C 8B D0 8D 4D F8 8B C3 8B 38 FF 57 0C 8B 55 F8 8D 43 1C E8 ?? ?? ?? ?? 8B C6 8B 53 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 00 CE 1E 2D 0C BA 7B FE 43 A4 66 2D 8B C7 0C C8 5D }
	condition:
		$1
}

rule function_271_0 {
	meta:
		name = "TBaseAdapterStub.Get_ClassName_"
		size = 21
		refs = "000e TObject.ClassName"
		altNames = "TWebModuleStub.Get_ClassName_"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C 8B 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_272_0 {
	meta:
		name = "TBaseAdapterStub.Get_Fields"
		size = 164
		refs = "0012 TBaseAdapterStub.Get_Fields 0026 @IntfClear 0035 Supports 0058 @IntfCopy 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 18 00 75 3A 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 1F 8B 45 FC 8B 10 FF 52 0C 8B D0 8D 4D F8 8B C3 8B 38 FF 57 0C 8B 55 F8 8D 43 18 E8 ?? ?? ?? ?? 8B C6 8B 53 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 00 2F 5B B4 30 B7 B5 AE 4B A6 FC EC 47 E5 B0 C9 41 }
	condition:
		$1
}

rule function_273_0 {
	meta:
		name = "TBaseAdapterStub.Get_Name_"
		size = 124
		refs = "000f TBaseAdapterStub.Get_Name_ 001d @IntfClear 002c Supports 0043 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_274_0 {
	meta:
		name = "TBaseRecordsAdapterStub.Get_Records"
		size = 38
		refs = "001e @IntfClear"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 0C 85 FF 74 0D 8B CE 8B D7 8B C3 8B 18 FF 53 10 EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_275_0 {
	meta:
		name = "TAdapterImageStub.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TAdapterImageStub.Create 0034 TObject.Create 003f @IntfCopy 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26342_0 {
	meta:
		name = "TAdapterRecordKeysWrapper.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TAdapterRecordKeysWrapper.Create 0034 TObject.Create 003f @IntfCopy 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25485_0 {
	meta:
		name = "TDSTCPChannel.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TDSTCPChannel.Create 0034 TObject.Create 003f @IntfCopy 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114423_0 {
	meta:
		name = "TMSDOMImplementation.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TMSDOMImplementation.Create 0034 TObject.Create 003f @IntfCopy 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114462_0 {
	meta:
		name = "TMSDOMNamedNodeMap.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TMSDOMNamedNodeMap.Create 0034 TObject.Create 003f @IntfCopy 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114459_0 {
	meta:
		name = "TMSDOMNodeList.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TMSDOMNodeList.Create 0034 TObject.Create 003f @IntfCopy 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_276_0 {
	meta:
		name = "TAdapterImageStub.Get_AsHREF"
		size = 296
		refs = "0013 TAdapterImageStub.Get_AsHREF 0021 @IntfClear 0030 Supports 004d @UStrAsg 0081 FindAdapterDispatcher 00c5 @UStrClr 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 1B 8D 55 F4 8B 45 F8 8B 08 FF 51 0C 84 C0 74 0C 8B C6 8B 55 F4 E8 ?? ?? ?? ?? EB 59 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 17 8B 45 F0 8B 10 FF 52 0C 85 C0 74 03 83 E8 CC 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 15 56 0F B6 0D ?? ?? ?? ?? 8B 53 0C 8B 45 FC 8B 18 FF 53 10 EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 A2 73 E8 10 DD A6 E9 4A 8A B5 45 97 14 2E 46 31 58 18 8B E2 86 EC 59 45 8F CD 6B 4F 82 41 51 ED 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 00 00 }
	condition:
		$1
}

rule function_277_0 {
	meta:
		name = "TWebApplicationStub.Create"
		size = 198
		refs = "0013 @ClassCreate 0022 @IntfAddRef 002a TWebApplicationStub.Create 003b @IntfCopy 0045 TWebApplicationStub.ApplicationInfo 0068 TWebComponentsStub.Create 008b IWebApplicationInfo 0095 @FinalizeArray 009d @IntfClear 00a3 @HandleFinally 00b0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 30 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 74 1F 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 10 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? EB 0B 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_278_0 {
	meta:
		name = "TWebApplicationStub.ApplicationInfo"
		size = 192
		refs = "0012 TWebApplicationStub.ApplicationInfo 0023 WebContext 0045 @IntfClear 005a Supports 0074 @IntfCopy 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 34 00 75 56 E8 ?? ?? ?? ?? 85 C0 74 4D 8B 43 30 8B 10 FF 52 0C 50 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 3C 8B F8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 16 8D 55 F8 8B 45 FC 8B 08 FF 51 18 8B 55 F8 8D 43 34 E8 ?? ?? ?? ?? 8B C6 8B 53 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 00 0D 2F CD 19 8F E6 6F 4A 92 AA 4C 76 59 E8 37 08 }
	condition:
		$1
}

rule function_279_0 {
	meta:
		name = "TWebApplicationStub.Get_Title"
		size = 118
		refs = "0011 TWebApplicationStub.Get_Title 0021 TWebApplicationStub.ApplicationInfo 0044 @UStrClr 005a IWebApplicationInfo 0064 @FinalizeArray 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 51 0C EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_280_0 {
	meta:
		name = "TWebApplicationStub.Get_Designing"
		size = 47
		refs = "000d _Dn_TComponent 0012 @IsClass"
	strings:
		$1 = { 53 8B D8 8B 43 30 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 43 30 8B 10 FF 52 0C F6 40 1C 10 0F 95 C0 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_281_0 {
	meta:
		name = "TWebApplicationStub.Get_ModulePath"
		size = 79
		refs = "000f TWebApplicationStub.Get_ModulePath 001f TWebApplicationStub.Get_ModuleFileName 0029 ExtractFilePath 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14236_0 {
	meta:
		name = "IntegerToBcd"
		size = 79
		refs = "000f IntegerToBcd 001f IntToStr 0029 StrToBcd 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14201_0 {
	meta:
		name = "TBcd.&op_Implicit"
		size = 79
		refs = "000f TBcd.&op_Implicit 001f IntToStr 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31740_0 {
	meta:
		name = "TIBXSQLVAR.GetAsTrimString"
		size = 79
		refs = "000f TIBXSQLVAR.GetAsTrimString 001f TIBXSQLVAR.GetAsString 0029 TrimRight 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32142_0 {
	meta:
		name = "TIdAttachment.GetContentDisposition"
		size = 79
		refs = "000f TIdAttachment.GetContentDisposition 001f TIdMessagePart.GetContentDisposition 0029 ExtractHeaderItem 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32143_0 {
	meta:
		name = "TIdAttachment.GetContentType"
		size = 79
		refs = "000f TIdAttachment.GetContentType 001f TIdMessagePart.GetContentType 0029 ExtractHeaderItem 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38193_0 {
	meta:
		name = "TIdText.GetContentDisposition"
		size = 79
		refs = "000f TIdText.GetContentDisposition 001f TIdMessagePart.GetContentDisposition 0029 ExtractHeaderItem 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38194_0 {
	meta:
		name = "TIdText.GetContentType"
		size = 79
		refs = "000f TIdText.GetContentType 001f TIdMessagePart.GetContentType 0029 ExtractHeaderItem 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_282_0 {
	meta:
		name = "TWebApplicationStub.Get_ModuleFileName"
		size = 39
		refs = "0005 GetModuleFileNameProc 0020 @UStrClr"
	strings:
		$1 = { 53 56 8B DA A1 ?? ?? ?? ?? 83 38 00 74 0F 8B 35 ?? ?? ?? ?? 8B 36 8B C3 FF D6 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_283_0 {
	meta:
		name = "TWebApplicationStub.QualifyFileName"
		size = 79
		refs = "000f TWebApplicationStub.QualifyFileName 001f @UStrFromPWChar 0029 QualifyFileName 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_284_0 {
	meta:
		name = "TWebEndUserStub.Create"
		size = 198
		refs = "0013 @ClassCreate 0022 @IntfAddRef 002a TWebEndUserStub.Create 003b @IntfCopy 0045 TWebEndUserStub.EndUser 0068 TWebComponentsStub.Create 008b IWebEndUser 0095 @FinalizeArray 009d @IntfClear 00a3 @HandleFinally 00b0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 30 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 74 1F 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 28 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? EB 0B 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_285_0 {
	meta:
		name = "TWebEndUserStub.EndUser"
		size = 192
		refs = "0012 TWebEndUserStub.EndUser 0023 WebContext 0045 @IntfClear 005a Supports 0074 @IntfCopy 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 34 00 75 56 E8 ?? ?? ?? ?? 85 C0 74 4D 8B 43 30 8B 10 FF 52 0C 50 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 3C 8B F8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 16 8D 55 F8 8B 45 FC 8B 08 FF 51 1C 8B 55 F8 8D 43 34 E8 ?? ?? ?? ?? 8B C6 8B 53 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 00 0D 2F CD 19 8F E6 6F 4A 92 AA 4C 76 59 E8 37 08 }
	condition:
		$1
}

rule function_286_0 {
	meta:
		name = "TWebEndUserStub.Get_LoginFormAction"
		size = 136
		refs = "0014 TWebEndUserStub.Get_LoginFormAction 0022 @IntfClear 002c TWebEndUserStub.EndUser 006c IWebEndUser 0076 @FinalizeArray 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 24 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 24 8B F0 85 F6 74 0C 8B 4D FC 8B D6 8B C3 8B 18 FF 53 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_287_0 {
	meta:
		name = "TWebEndUserStub.Get_LogoutAction"
		size = 136
		refs = "0014 TWebEndUserStub.Get_LogoutAction 0022 @IntfClear 002c TWebEndUserStub.EndUser 006c IWebEndUser 0076 @FinalizeArray 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 24 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 20 8B F0 85 F6 74 0C 8B 4D FC 8B D6 8B C3 8B 18 FF 53 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_288_0 {
	meta:
		name = "TWebEndUserStub.Get_DisplayName"
		size = 118
		refs = "0011 TWebEndUserStub.Get_DisplayName 0021 TWebEndUserStub.EndUser 0044 @UStrClr 005a IWebEndUser 0064 @FinalizeArray 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 51 18 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_289_0 {
	meta:
		name = "TWebEndUserStub.Get_LoggedIn"
		size = 111
		refs = "000e TWebEndUserStub.Get_LoggedIn 001e TWebEndUserStub.EndUser 0052 IWebEndUser 005c @FinalizeArray 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 1C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_98462_0 {
	meta:
		name = "TCurrentWebPageInfo.GetPageIsPublished"
		size = 111
		refs = "000e TCurrentWebPageInfo.GetPageIsPublished 001e TCurrentWebPageInfo.WebPageInfo 0052 IWebPageInfo 005c @FinalizeArray 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 1C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_292_0 {
	meta:
		name = "TAdapterFieldValuesStub.Get_Value"
		size = 208
		refs = "0015 TAdapterFieldValuesStub.Get_Value 0023 @IntfClear 0032 Supports 006c @VarClear 0076 @VarCopy 008b @VarClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 2E 8B 45 F8 8B 10 FF 52 0C 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 12 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 13 FE BD 87 10 CA D4 11 A5 28 00 C0 4F 6B B8 53 07 D6 C0 5D 9C 1C 67 4E B3 BA 35 CE 2A 58 72 A0 }
	condition:
		$1
}

rule function_293_0 {
	meta:
		name = "TAdapterFieldValuesStub.HasValue"
		size = 216
		refs = "0020 @VarAddRef 0028 TAdapterFieldValuesStub.HasValue 0036 @IntfClear 0045 Supports 0091 @VarClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D FC 89 4D F8 8B F2 8D 7D E8 A5 A5 A5 A5 8B D8 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 31 8B 45 F8 8B 10 FF 52 0C 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0F 8D 55 E8 8B 45 FC 8B 08 FF 51 10 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5F 5E 5B 8B E5 5D C3 00 00 13 FE BD 87 10 CA D4 11 A5 28 00 C0 4F 6B B8 53 07 D6 C0 5D 9C 1C 67 4E B3 BA 35 CE 2A 58 72 A0 }
	condition:
		$1
}

rule function_298_0 {
	meta:
		name = "TEnumDispatcherAS.Invoke"
		size = 152
		refs = "002b _DV_TScriptEnumerator 0030 TScriptEnumerator.Create 0041 TEnumDispatcherAS.Invoke 0046 @IntfCast 0050 @VarFromIntf 007c TCustomEnumDispatcher.Invoke"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 20 8B 45 0C 8B 5D 08 83 F8 FC 75 4B 85 F6 74 40 8B FE 66 C7 07 00 00 83 7B 18 00 75 25 8B 4B 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 18 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 18 E8 ?? ?? ?? ?? 33 C0 EB 28 B8 01 00 00 00 EB 21 8B 55 28 52 8B 55 24 52 56 8B 55 1C 52 0F B7 55 18 52 8B 55 14 52 8B 55 10 52 50 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 24 00 00 04 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_299_0 {
	meta:
		name = "TActiveScriptSite.GetDocVersionString"
		size = 23
		altNames = "TCustomMSHTMLParser.GetContainer TOleControl.GetExtendedControl TOleLinkStub.GetBoundSource TOleLinkStub.GetSourceMoniker TScriptEnumerator.Clone TStreamAdapter.Clone"
	strings:
		$1 = { 55 8B EC 8B 45 0C 85 C0 74 04 33 D2 89 10 B8 01 40 00 80 5D C2 08 00 }
	condition:
		$1
}

rule function_300_0 {
	meta:
		name = "TScriptEnumerator.Create"
		size = 81
		refs = "000b @ClassCreate 001a TObject.Create 002e @IntfCopy 003d @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8D 47 10 8B D6 85 D2 74 03 83 EA E4 E8 ?? ?? ?? ?? C6 47 15 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_301_0 {
	meta:
		name = "TScriptEnumerator.Destroy"
		size = 33
		refs = "0003 @BeforeDestruction 000f @IntfClear 001a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 10 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_302_0 {
	meta:
		name = "TScriptEnumerator.GetIDsOfNames"
		size = 39
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 1C 52 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 0C 50 8B 00 FF 50 0C 5D C2 18 00 }
	condition:
		$1
}

rule function_303_0 {
	meta:
		name = "TScriptEnumerator.GetTypeInfo"
		size = 31
		refs = "0017 TObjectDispatch.GetTypeInfo"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 0C 50 E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_304_0 {
	meta:
		name = "TScriptEnumerator.GetTypeInfoCount"
		size = 23
		refs = "000f TObjectDispatch.GetTypeInfoCount"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 52 8B 40 0C 50 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_305_0 {
	meta:
		name = "TScriptEnumerator.Invoke"
		size = 52
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 28 52 8B 55 24 52 8B 55 20 52 8B 55 1C 52 0F B7 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 0C 50 8B 00 FF 50 10 5D C2 24 00 }
	condition:
		$1
}

rule function_306_0 {
	meta:
		name = "TScriptEnumerator.Next"
		size = 189
		refs = "0011 TScriptEnumerator.Next 0061 TEnumeratorObj.item 006c @OleVarFromVar 00a8 @VarClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 15 00 74 20 C6 43 1C 00 C6 43 15 00 33 C0 89 43 18 C6 43 1C 01 8B 43 0C 8B 10 FF 52 28 34 01 88 43 14 EB 0D 8B 43 0C 8B 10 FF 52 2C 34 01 88 43 14 80 7B 14 00 75 34 83 7D 0C 01 75 27 8D 55 F0 8B 43 0C E8 ?? ?? ?? ?? 8D 55 F0 8B 45 10 E8 ?? ?? ?? ?? 8B 45 14 85 C0 74 11 8B 45 14 8B 55 0C 89 10 EB 07 BB 01 40 00 80 EB 0F 80 7B 14 00 74 07 BB 01 00 00 00 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_307_0 {
	meta:
		name = "TScriptEnumerator.Reset"
		size = 16
	strings:
		$1 = { 55 8B EC 8B 45 08 C6 40 15 01 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_308_0 {
	meta:
		name = "TScriptEnumerator.Skip"
		size = 75
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 0C 8B 5D 08 80 7B 14 00 74 07 B8 01 00 00 00 EB 2B 33 F6 EB 0E 8B 43 0C 8B 10 FF 52 2C 34 01 88 43 14 46 80 7B 14 00 75 04 3B FE 77 E8 80 7B 14 00 75 04 33 C0 EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_309_0 {
	meta:
		name = "Finalization"
		size = 18
		refs = "0002 _DV_1 0009 DispatcherClass"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 09 A1 ?? ?? ?? ?? 33 D2 89 10 C3 }
	condition:
		$1
}

rule function_71473_0 {
	meta:
		name = "Finalization"
		size = 18
		refs = "0002 _DV_2 0009 CreateVCLComObjectProc"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 09 A1 ?? ?? ?? ?? 33 D2 89 10 C3 }
	condition:
		$1
}

rule function_78042_0 {
	meta:
		name = "Finalization"
		size = 18
		refs = "0002 _DV_2 0009 PasswordDialog"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 09 A1 ?? ?? ?? ?? 33 D2 89 10 C3 }
	condition:
		$1
}

rule function_310_0 {
	meta:
		name = "AutoAdapAS"
		size = 23
		refs = "0002 _DV_1 000a DispatcherClass 0010 _DV_TEnumDispatcherAS"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0D A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 C3 }
	condition:
		$1
}

rule function_26501_0 {
	meta:
		name = "DBAdaptImg"
		size = 23
		refs = "0002 _DV_3 000a DataSetAdapterImageFieldClass 0010 _DV_TDataSetAdapterImageField"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0D A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 C3 }
	condition:
		$1
}

rule function_73969_0 {
	meta:
		name = "Vcl.CaptionedDockTree"
		size = 23
		refs = "0002 _DV_3 000a DefaultDockTreeClass 0010 _DV_TCaptionedDockTree"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0D A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 C3 }
	condition:
		$1
}

rule function_78690_0 {
	meta:
		name = "Vcl.DockTabSet"
		size = 23
		refs = "0002 _DV_6 000a DefaultDockTreeClass 0010 _DV_TCaptionedTabDockTree"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0D A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 C3 }
	condition:
		$1
}

rule function_311_0 {
	meta:
		name = "ConfirmDeleteItem"
		size = 144
		refs = "000c ConfirmDeleteItem 001e SDeleteConfirmPlural 0023 LoadResString 002d SDeleteConfirm 003d @UStrLAsg 0059 MessageDlgPosHelp 0079 @UStrArrayClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 84 C0 74 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? B0 03 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D F8 92 91 E8 ?? ?? ?? ?? 83 F8 06 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 03 00 00 00 }
	condition:
		$1
}

rule function_312_0 {
	meta:
		name = "GetAzureImage"
		size = 95
		refs = "000c @UStrAddRef 0014 GetAzureImage 0021 _Dn_TBitmap 0026 TBitmap.Create 0031 HInstance 0038 TBitmap.LoadFromResourceName 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 4D FC 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_313_0 {
	meta:
		name = "GetFirstMatchingChildNode"
		size = 269
		refs = "001c @IntfAddRef 0024 @UStrAddRef 002c GetFirstMatchingChildNode 0039 @IntfClear 0054 EmptyStr 005b @UStrEqual 009b @IntfCopy 00d9 @UStrClr 00f2 IXMLNode 00fc @FinalizeArray 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B D9 89 55 F4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 7D 8B 45 FC 8B 10 FF 52 24 84 C0 74 71 8B 45 F4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 5F 8D 55 F0 8B 45 FC 8B 08 FF 51 14 8B 45 F0 8D 55 F8 8B 08 FF 51 34 83 7D F8 00 74 43 8D 55 EC 8B 45 F8 8B 08 FF 51 34 8B 45 EC 8B 55 F4 E8 ?? ?? ?? ?? 75 0C 8B C3 8B 55 F8 E8 ?? ?? ?? ?? EB 1F 8D 55 E8 8B 45 F8 8B 08 FF 91 90 00 00 00 8B 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 75 BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_314_0 {
	meta:
		name = "SelectBottomCell"
		size = 91
		refs = "000e TValueListEditor.GetRowCount 0018 TValueListEditor.GetColCount 0023 TValueListEditor.GetStrings 004a TCustomGrid.SetRow 0053 TCustomGrid.SetCol"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 85 FF 74 4C 8B C7 E8 ?? ?? ?? ?? 48 7E 42 8B C7 E8 ?? ?? ?? ?? 85 C0 7E 37 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 7E 27 84 DB 74 04 33 F6 EB 05 BE 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 48 8B D0 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_315_0 {
	meta:
		name = "SelectTopCell"
		size = 89
		refs = "000d TValueListEditor.GetRowCount 0017 TValueListEditor.GetColCount 0022 TValueListEditor.GetStrings 0037 TCustomGrid.SetRow 0044 TCustomGrid.SetCol"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 F6 74 4C 8B C6 E8 ?? ?? ?? ?? 48 7E 42 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 37 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 7E 27 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 0C BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_316_0 {
	meta:
		name = "ShowErrorMessage$131$ActRec.$0$Body"
		size = 100
		refs = "000c ShowErrorMessage$131$ActRec.$0$Body 001d @UStrLAsg 0039 MessageDlgPosHelp 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 0C E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_317_0 {
	meta:
		name = "ShowErrorMessage"
		size = 114
		refs = "000d ShowErrorMessage 001a _DV_ShowErrorMessage$131$ActRec 001f TObject.Create 0032 @IntfCopy 003c @UStrAsg 004c TThread.Synchronize 0061 @IntfClear 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 8B D3 85 D2 74 03 83 EA F0 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_319_0 {
	meta:
		name = "ShowInformationMessage"
		size = 114
		refs = "000d ShowInformationMessage 001a _DV_ShowInformationMessage$133$ActRec 001f TObject.Create 0032 @IntfCopy 003c @UStrAsg 004c TThread.Synchronize 0061 @IntfClear 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 8B D3 85 D2 74 03 83 EA F0 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_318_0 {
	meta:
		name = "ShowInformationMessage$133$ActRec.$0$Body"
		size = 100
		refs = "000c ShowInformationMessage$133$ActRec.$0$Body 001d @UStrLAsg 0039 MessageDlgPosHelp 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 0C E8 ?? ?? ?? ?? B0 02 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_320_0 {
	meta:
		name = "TAzureTreeNode.Destroy"
		size = 63
		refs = "0003 @BeforeDestruction 0019 TObject.Free 0022 TTreeNode.SetData 002d TTreeNode.Destroy 0038 @ClassDestroy"
		altNames = "TBTreeNode.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 0C 00 74 15 8B 46 0C D1 E8 03 C0 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_321_0 {
	meta:
		name = "TAzureManagement.Notification"
		size = 45
		refs = "0010 TCustomTreeView.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B BE B0 03 00 00 75 08 33 C0 89 86 B0 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_326_0 {
	meta:
		name = "TQueryTableProducer.Content"
		size = 454
		refs = "001c TQueryTableProducer.Content 002a @UStrClr 003d TDataSet.Close 0048 TQuery.GetParamsCount 005d TCustomContentProducer.GetDispatcher 0092 TWebRequest.GetContentFields 00c5 TWebRequest.GetQueryFields 00ef TStrings.GetName 0103 TParams.ParamByName 0116 TStrings.GetValue 0120 TParam.SetText 0133 TDataSet.Open 013a TDSTableProducer.DoCreateContent 0160 HtmlTable 017e @UStrCatN 0198 @UStrArrayClr 01a1 IWebDispatcherAccess 01ab @FinalizeArray 01b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 83 A0 00 00 00 85 C0 0F 84 46 01 00 00 E8 ?? ?? ?? ?? 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 66 85 C0 0F 84 D7 00 00 00 33 F6 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 83 7D EC 00 74 64 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 0C 80 78 08 03 75 1B 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 8B 10 FF 52 0C E8 ?? ?? ?? ?? 8B F0 EB 31 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 52 0C 80 78 08 01 75 19 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 8B 10 FF 52 0C E8 ?? ?? ?? ?? 8B F0 85 F6 74 5D 8B C6 8B 10 FF 52 14 48 85 C0 7C 51 40 89 45 F0 C7 45 F4 00 00 00 00 8D 4D FC 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 83 A0 00 00 00 8B 80 58 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B F8 85 FF 74 17 8D 4D D8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 D8 8B C7 E8 ?? ?? ?? ?? FF 45 F4 FF 4D F0 75 BA 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 40 8D 55 D4 8B 43 64 8B 08 FF 51 1C FF 75 D4 8D 45 D0 50 8B 4B 6C 8B D3 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? FF 75 D0 8D 55 CC 8B 43 68 8B 08 FF 51 1C FF 75 CC 8B 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_327_0 {
	meta:
		name = "TArrowSeries.GetStartXValues"
		size = 7
		altNames = "TDataSetTableProducer.GetDataSet TGanttSeries.GetStartValues TQueryTableProducer.GetDataSet TSQLQueryTableProducer.GetDataSet"
	strings:
		$1 = { 8B 80 A0 00 00 00 C3 }
	condition:
		$1
}

rule function_328_0 {
	meta:
		name = "TDataSetTableProducer.Notification"
		size = 45
		refs = "0010 TDSTableProducer.Notification"
		altNames = "TQueryTableProducer.Notification TSQLQueryTableProducer.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 A0 00 00 00 75 08 33 C0 89 87 A0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_329_0 {
	meta:
		name = "TQueryTableProducer.SetDataSet"
		size = 31
		refs = "000a _Dn_TQuery 000f @AsClass 0018 TQueryTableProducer.SetQuery"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95763_0 {
	meta:
		name = "TSQLQueryTableProducer.SetDataSet"
		size = 31
		refs = "000a _Dn_TSQLQuery 000f @AsClass 0018 TSQLQueryTableProducer.SetQuery"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_330_0 {
	meta:
		name = "TDataSetTableProducer.SetDataSet"
		size = 48
		refs = "0017 TComponent.FreeNotification 0029 TDataSource.SetDataSet"
		altNames = "TQueryTableProducer.SetQuery TSQLQueryTableProducer.SetQuery"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 A0 00 00 00 74 1F 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 89 83 A0 00 00 00 8B D0 8B 43 58 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_338_0 {
	meta:
		name = "RegisterBDEInitProc"
		size = 43
		refs = "0005 BDEInitProcs 000f _Dn_TList 0014 TObject.Create 0025 TList.Add"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45117_0 {
	meta:
		name = "RegisterIWFormType"
		size = 43
		refs = "0005 GIWFormTypes 000f _Dn_TList 0014 TObject.Create 0025 TList.Add"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92901_0 {
	meta:
		name = "RegisterTeeExportFormat"
		size = 43
		refs = "0005 TeeExportFormats 000f _DV_TTeeExportFormats 0014 TObject.Create 0025 TList.Add"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_339_0 {
	meta:
		name = "CheckIndexOpen"
		size = 17
		refs = "000c DbiError"
	strings:
		$1 = { 66 85 C0 74 0B 66 3D 2C 27 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_340_0 {
	meta:
		name = "GetPChar"
		size = 24
		refs = "000c GetPChar"
	strings:
		$1 = { 53 8B D8 85 DB 74 04 8B C3 5B C3 B8 ?? ?? ?? ?? 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_341_0 {
	meta:
		name = "Split"
		size = 11
	strings:
		$1 = { 55 8B EC 8B 55 08 89 42 FC 5D C3 }
	condition:
		$1
}

rule function_342_0 {
	meta:
		name = "NextItem"
		size = 352
		refs = "0013 @UStrClr 0033 NextItem 003b CharInSet 00fd @UStrFromPWCharLen"
	strings:
		$1 = { 55 8B EC 81 C4 D8 F7 FF FF 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 58 FC 8D B5 FA F7 FF FF EB 0D 66 83 3B 00 0F 84 E8 00 00 00 83 C3 02 BA ?? ?? ?? ?? 0F B7 03 E8 ?? ?? ?? ?? 84 C0 75 E2 66 C7 45 FA 2E 00 66 83 3B 22 75 5F 66 C7 45 FA 22 00 83 C3 02 EB 54 0F B7 3B 66 81 FF 00 D8 72 12 66 81 FF FF DF 77 0B 66 89 3E 83 C3 02 83 C6 02 EB 2C 66 83 FF 5C 75 26 83 C3 02 66 81 3B 00 D8 72 13 66 81 3B FF DF 77 0C 0F B7 03 66 89 06 83 C3 02 83 C6 02 66 83 3B 00 75 03 83 EB 02 0F B7 03 66 89 06 83 C3 02 83 C6 02 56 BE ?? ?? ?? ?? 8D BD D8 F7 FF FF B9 08 00 00 00 F3 A5 5E 0F B7 45 FA 0F B6 C0 0F AB 85 D8 F7 FF FF 8D 95 D8 F7 FF FF 0F B7 03 E8 ?? ?? ?? ?? 84 C0 0F 84 74 FF FF FF 8D 85 FA F7 FF FF 8B CE 2B C8 D1 F9 79 03 83 D1 00 8B D0 8B 45 FC E8 ?? ?? ?? ?? 66 83 7D FA 22 75 09 66 83 3B 00 74 03 83 C3 02 8B 45 08 89 58 FC 5F 5E 5B 8B E5 5D C3 00 00 01 00 00 00 01 40 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_343_0 {
	meta:
		name = "PopValue"
		size = 52
		refs = "001a GetPChar 0027 PopValue"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 F8 00 7C 1A 8B 45 08 8B 40 F8 8B 55 08 8B 44 82 E4 E8 ?? ?? ?? ?? 8B 55 08 FF 4A F8 5D C3 B8 ?? ?? ?? ?? 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6278_0 {
	meta:
		name = "PopValue"
		size = 52
		refs = "001a GetPWChar 0027 PopValue"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 F8 00 7C 1A 8B 45 08 8B 40 F8 8B 55 08 8B 44 82 E4 E8 ?? ?? ?? ?? 8B 55 08 FF 4A F8 5D C3 B8 ?? ?? ?? ?? 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_344_0 {
	meta:
		name = "GetFieldSource"
		size = 318
		refs = "001f string 0024 @InitializeArray 002c GetFieldSource 0047 @UStrFromArray 0051 TDataSet.FindField 0074 Split 0088 NextItem 0098 @UStrLAsg 00b7 PopValue 00c5 StrCopy 0116 @UStrArrayClr 0129 @FinalizeArray 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D DC 89 4D E0 8B FA 8B F0 B9 05 00 00 00 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 E0 8D 97 27 01 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 A1 00 00 00 83 BE 98 00 00 00 00 0F 84 94 00 00 00 55 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 59 C7 45 F8 FF FF FF FF FF 45 F8 55 8D 45 DC E8 ?? ?? ?? ?? 59 8B 55 DC 8B 45 F8 8D 44 85 E4 E8 ?? ?? ?? ?? 8B 45 F8 83 7C 85 E4 00 74 06 83 7D F8 04 75 D4 83 7D F8 04 74 4E FF 4D F8 55 E8 ?? ?? ?? ?? 59 8B D0 8D 87 47 01 00 00 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B D0 8D 47 22 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B D0 8D 47 02 E8 ?? ?? ?? ?? 80 BF 47 01 00 00 00 74 06 80 7F 22 00 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_345_0 {
	meta:
		name = "ApplicationHandleException"
		size = 29
		refs = "0003 ApplicationHandleException"
		altNames = "TCustomClientDataSet.InternalHandleException TTeeDataSet.InternalHandleException"
	strings:
		$1 = { 53 8B 15 ?? ?? ?? ?? 66 83 7A 02 00 74 0D 8B 1D ?? ?? ?? ?? 8B D0 8B 43 04 FF 13 5B C3 }
	condition:
		$1
}

rule function_346_0 {
	meta:
		name = "GetParamDataSize"
		size = 227
		refs = "0010 GetParamDataSize 001d TParam.GetDataType 002f TParam.GetAsAnsiString 00b1 TParam.GetDataSize 00c8 @LStrClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 2C 01 74 04 2C 16 75 26 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 3D FF 00 00 00 0F 9F C0 EB 02 33 C0 84 C0 74 04 B0 01 EB 19 8B C3 E8 ?? ?? ?? ?? 04 F1 2C 07 72 0A 04 F8 2C 02 72 04 33 C0 EB 02 B0 01 84 C0 74 07 BB 10 00 00 00 EB 3A 8B C3 E8 ?? ?? ?? ?? 2C 18 74 06 04 F2 2C 02 73 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B D8 EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_347_0 {
	meta:
		name = "VarToAnsiStr"
		size = 110
		refs = "000f VarToAnsiStr 0020 VarIsType 002d @VarToLStr 0039 VarToStr 0048 @LStrFromUStr 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 66 BA 00 01 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C6 8B D3 E8 ?? ?? ?? ?? EB 19 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_348_0 {
	meta:
		name = "MakeNativeStr"
		size = 41
		refs = "0016 @UStrSetLength 0021 Move"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 8B F8 8D 53 01 D1 FA 79 03 83 D2 00 8B C6 E8 ?? ?? ?? ?? 8B 16 8B C7 8B CB E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_349_0 {
	meta:
		name = "GetParamData"
		size = 521
		refs = "0021 GetParamData 002e TParam.GetDataType 0050 TParam.GetAsVariant 005b VarToAnsiStr 00b3 @LStrToPChar 00c7 AnsiToNativeBuf 00e0 MakeNativeStr 00eb @UStrAsg 0159 Move 0164 TParam.GetData 0183 TParam.GetAsBytes 018b @DynArrayLength 01d8 @UStrArrayClr 01e0 @VarClr 01e9 TArray<System.Byte> 01ee @DynArrayClear 01f6 @LStrClr 01fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 2C 01 74 14 2C 0F 74 10 04 F9 2C 02 72 0A 04 F3 2C 02 0F 83 20 01 00 00 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 45 E4 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 3D FF 00 00 00 7E 04 B0 01 EB 0C 8B C3 E8 ?? ?? ?? ?? 3C 10 0F 94 C0 84 C0 74 04 B0 01 EB 0C 8B C3 E8 ?? ?? ?? ?? 3C 27 0F 94 C0 84 C0 74 6E 8B FE 83 7D F4 00 74 29 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 56 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F4 59 E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 4D E0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 43 10 E8 ?? ?? ?? ?? 8B 43 10 89 07 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 89 47 04 E9 BA 00 00 00 83 7D F4 00 74 27 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 43 53 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B CE 8B 45 F4 E8 ?? ?? ?? ?? E9 8D 00 00 00 8B C3 E8 ?? ?? ?? ?? 2C 18 74 06 04 F2 2C 02 73 19 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D6 8B 4D FC 91 E8 ?? ?? ?? ?? EB 63 8B D6 8B C3 E8 ?? ?? ?? ?? EB 58 8B C3 E8 ?? ?? ?? ?? 04 F1 2C 07 72 06 04 F8 2C 02 73 3C 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 4D DC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 DC 8D 43 10 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 46 04 8B 43 10 89 06 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_350_0 {
	meta:
		name = "GetStatementLocale"
		size = 67
		refs = "0020 DbiGetProp 0029 @PCharLen 0038 OsLdLoadBySymbName"
	strings:
		$1 = { 83 C4 D8 C6 44 24 06 00 33 D2 89 14 24 8D 54 24 04 52 6A 20 8D 54 24 0E 52 68 04 00 06 00 50 E8 ?? ?? ?? ?? 8D 44 24 06 E8 ?? ?? ?? ?? 85 C0 76 0B 54 8D 44 24 0A 50 E8 ?? ?? ?? ?? 8B 04 24 83 C4 28 C3 }
	condition:
		$1
}

rule function_351_0 {
	meta:
		name = "FreeStatementLocale"
		size = 20
		refs = "000a OsLdUnloadObj"
	strings:
		$1 = { 53 8B D8 83 3B 00 74 06 53 E8 ?? ?? ?? ?? 33 C0 89 03 5B C3 }
	condition:
		$1
}

rule function_352_0 {
	meta:
		name = "SetQueryParams"
		size = 746
		refs = "0024 SetQueryParams 0042 TFieldDescList 0047 @DynArraySetLength 0066 TParams.GetItem 006b GetParamDataSize 0084 TArray<System.Byte> 00b1 GetStatementLocale 00f9 TParam.GetDataType 0103 FldTypeMap 012a FldSubTypeMap 0143 SNoParameterValue 0148 LoadResString 0164 DatabaseErrorFmt 0192 GetParamData 01a6 TParam.GetIsNull 01e2 TParam.GetAsAnsiString 0202 TParam.GetDataSize 0271 @DynArrayHigh 027c DbiQSetParams 0281 Check 0296 FreeStatementLocale 029c @HandleFinally 02b3 @LStrClr 02bb @UStrClr 02c9 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D C8 89 5D D4 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 EC 8B 46 08 8B 40 08 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 66 BB 02 00 8B 46 08 8B 78 08 4F 85 FF 7C 19 47 33 F6 8B D6 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 03 D8 46 4F 75 EA 0F B7 F3 56 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 89 45 E8 8B 45 E8 89 45 E4 03 75 E8 83 EE 02 89 75 E0 8B 45 E0 66 C7 00 FF FF 8B 45 F0 E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 40 08 8B 78 08 4F 85 FF 0F 8C 8D 01 00 00 47 33 F6 8B C6 C1 E0 05 2B C6 8B 55 FC 8D 1C 42 8B D6 8B 45 EC E8 ?? ?? ?? ?? 89 45 D8 8B 45 D8 E8 ?? ?? ?? ?? 83 E0 7F 0F B6 80 ?? ?? ?? ?? 66 89 43 22 0F B7 43 22 66 83 E8 01 74 06 66 83 E8 02 75 19 8B 45 D8 E8 ?? ?? ?? ?? 83 E0 7F 0F B7 04 45 ?? ?? ?? ?? 66 89 43 24 EB 34 66 83 7B 22 00 75 2D 8B 45 F4 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 50 8B 45 D8 8B 40 34 89 45 CC C6 45 D0 11 8D 55 CC 33 C9 58 E8 ?? ?? ?? ?? 8B C6 40 66 89 03 8B D6 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 43 2C 8B D6 8B 45 EC E8 ?? ?? ?? ?? 8B 4D DC 8B 55 E4 E8 ?? ?? ?? ?? 0F B7 45 E4 66 2B 45 E8 66 89 43 2A 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 74 11 0F B7 45 E0 66 2B 45 E8 66 89 43 2E E9 97 00 00 00 0F B7 43 22 66 83 F8 01 75 44 8B 45 D8 E8 ?? ?? ?? ?? 2C 18 74 06 04 F2 2C 02 73 23 8D 55 C8 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 C8 89 45 C4 8B 45 C4 85 C0 74 05 83 E8 04 8B 00 66 89 43 26 EB 58 8B 45 D8 E8 ?? ?? ?? ?? 48 66 89 43 26 EB 49 66 83 F8 09 75 0E 8B 45 D8 E8 ?? ?? ?? ?? 66 89 43 26 EB 35 66 83 F8 0F 75 12 8B 45 D8 E8 ?? ?? ?? ?? 66 83 E8 02 66 89 43 26 EB 1D 66 83 F8 03 75 17 8B 45 D8 E8 ?? ?? ?? ?? 83 E0 7F 0F B7 04 45 ?? ?? ?? ?? 66 89 43 24 0F B7 43 2C 01 45 E4 46 4F 0F 85 76 FE FF FF 8B 45 F8 50 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 40 50 8B 45 F0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_353_0 {
	meta:
		name = "FreeTimer"
		size = 93
		refs = "0006 TimerID 0012 GetTickCount 0018 StartTime 001e SQLDelay 002f KillTimer 0044 DBScreen"
	strings:
		$1 = { 53 8B D8 66 83 3D ?? ?? ?? ?? 00 74 4E 84 DB 75 13 E8 ?? ?? ?? ?? 2B 05 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 76 37 0F B7 05 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 66 C7 05 ?? ?? ?? ?? 00 00 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 74 0E A1 ?? ?? ?? ?? 8B 00 33 D2 8B 08 FF 51 10 5B C3 }
	condition:
		$1
}

rule function_354_0 {
	meta:
		name = "TimerCallBack"
		size = 14
		refs = "0006 FreeTimer"
	strings:
		$1 = { 55 8B EC 33 C0 E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_355_0 {
	meta:
		name = "BdeCallBack"
		size = 33
		refs = "0014 TBDECallback.Invoke"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 85 DB 74 0F 8B 55 08 8B 4D 10 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_356_0 {
	meta:
		name = "DLLDetachCallBack"
		size = 28
		refs = "0004 Session 000d Sessions 0012 TSessionList.CloseAll"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? C6 40 59 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_357_0 {
	meta:
		name = "TBDECallback.Create"
		size = 157
		refs = "000d @ClassCreate 0047 DbiGetCallBack 005a BdeCallBack 0071 DbiRegisterCallBack 0076 Check 0087 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 45 20 89 4B 08 89 43 04 8B 55 1C 89 53 0C 8B 55 0C 89 53 28 8B 55 10 89 53 2C 8D 53 1C 52 8D 53 14 52 8D 53 18 52 8D 53 10 52 8B 53 0C 52 50 E8 ?? ?? ?? ?? 83 7B 1C 00 0F 95 C0 34 01 0A 45 08 74 25 68 ?? ?? ?? ?? 8B 45 18 50 0F B7 45 14 50 53 8B 43 0C 50 8B 43 04 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 20 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C2 1C 00 }
	condition:
		$1
}

rule function_358_0 {
	meta:
		name = "TBDECallback.Destroy"
		size = 170
		refs = "000a @BeforeDestruction 002a TBDECallback.Destroy 0060 DbiRegisterCallBack 006f @HandleAnyException 0074 @DoneExcept 009f @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 80 78 20 00 74 78 8B 45 FC 83 78 1C 00 74 54 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 1C 50 8B 45 FC 8B 40 14 50 8B 45 FC 0F B7 40 18 50 8B 45 FC 8B 40 10 50 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 27 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B 6A 00 6A 00 6A 00 6A 00 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_359_0 {
	meta:
		name = "TBDECallback.Invoke"
		size = 45
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 3B 73 0C 75 0A 8B D7 8B 43 2C FF 53 28 EB 02 33 C0 83 7B 1C 00 74 09 57 8B 43 10 50 56 FF 53 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_360_0 {
	meta:
		name = "StrToOem"
		size = 57
		refs = "000c @LStrAsg 0028 @LStrToPChar 0031 CharToOemA"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 03 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 03 E8 ?? ?? ?? ?? 8B F0 56 56 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_361_0 {
	meta:
		name = "AnsiToNative"
		size = 99
		refs = "002b SysLocale 003a ByteType 0054 AnsiToNativeBuf"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 89 45 FC 8B 55 08 89 7D F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B D8 3B D3 7D 1B 8B DA A1 ?? ?? ?? ?? 80 78 0C 00 74 0E 8B D3 8B C7 E8 ?? ?? ?? ?? 3C 01 75 01 4B C6 04 1E 00 85 DB 7E 0D 53 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_362_0 {
	meta:
		name = "NativeToAnsi"
		size = 56
		refs = "000e @PCharLen 001d @LStrFromPCharLen 002f NativeToAnsiBuf"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 89 04 24 8B C6 E8 ?? ?? ?? ?? 8B D8 6A 00 8B C7 8B CB 33 D2 E8 ?? ?? ?? ?? 85 DB 7E 0E 53 8B 0F 8B D6 8B 44 24 04 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_363_0 {
	meta:
		name = "AnsiToNative"
		size = 100
		refs = "0012 AnsiToNative 002b @LStrFromUStr 004e @LStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 45 FC 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_364_0 {
	meta:
		name = "NativeToAnsi"
		size = 100
		refs = "0012 NativeToAnsi 0027 @LStrFromUStr 003d @UStrFromLStr 0052 @LStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 13 B9 00 00 00 00 E8 ?? ?? ?? ?? 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_365_0 {
	meta:
		name = "AnsiToNativeBuf"
		size = 137
		refs = "001c CSAnsiToNative 0024 TMonitor.CheckMonitorSupport 002c TMonitor.GetMonitor 0034 TMonitor.Enter 003c AnsiToNativeBuf 0052 DbiAnsiToNative 0069 TMonitor.Exit 006f @HandleFinally 007c CharToOemBuffA"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 85 DB 7E 69 85 F6 74 5A A1 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 53 57 8B 45 FC 50 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 53 8B 45 FC 50 57 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_366_0 {
	meta:
		name = "NativeToAnsiBuf"
		size = 137
		refs = "001c CSNativeToAnsi 0024 TMonitor.CheckMonitorSupport 002c TMonitor.GetMonitor 0034 TMonitor.Enter 003c NativeToAnsiBuf 0052 DbiNativeToAnsi 0069 TMonitor.Exit 006f @HandleFinally 007c OemToCharBuffA"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 85 DB 7E 69 85 F6 74 5A A1 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 53 57 8B 45 FC 50 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 53 8B 45 FC 50 57 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_367_0 {
	meta:
		name = "NativeCompareStr"
		size = 48
		refs = "0013 @LStrToPChar 0025 NativeCompareStrBuf"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_369_0 {
	meta:
		name = "NativeCompareText"
		size = 48
		refs = "0013 @LStrToPChar 0025 NativeCompareTextBuf"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_368_0 {
	meta:
		name = "NativeCompareStrBuf"
		size = 60
		refs = "001d OsLdStrnCmp 002d OsLdStrCmp"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 85 DB 7E 11 53 8B 45 FC 50 57 56 E8 ?? ?? ?? ?? 0F B7 C0 EB 0E 8B 45 FC 50 57 56 E8 ?? ?? ?? ?? 0F B7 C0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_370_0 {
	meta:
		name = "NativeCompareTextBuf"
		size = 60
		refs = "001d OsLdStrnCmpi 002d OsLdStrCmpi"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 85 DB 7E 11 53 8B 45 FC 50 57 56 E8 ?? ?? ?? ?? 0F BF C0 EB 0E 8B 45 FC 50 57 56 E8 ?? ?? ?? ?? 0F BF C0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_371_0 {
	meta:
		name = "IsDirectory"
		size = 55
		refs = "0027 @UStrLen"
	strings:
		$1 = { 53 56 57 8B F0 B3 01 85 F6 74 26 BF 01 00 00 00 EB 12 0F B7 44 7E FE 66 83 E8 3A 74 14 66 83 E8 22 74 0E 47 8B C6 E8 ?? ?? ?? ?? 3B F8 7E E3 33 DB 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_372_0 {
	meta:
		name = "IsStandardType"
		size = 84
		refs = "0004 IsStandardType 000b StrIComp"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 24 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 5B C3 B0 01 5B C3 00 50 41 52 41 44 4F 58 00 44 42 41 53 45 00 00 00 46 4F 58 50 52 4F 00 00 }
	condition:
		$1
}

rule function_373_0 {
	meta:
		name = "GetIntProp"
		size = 48
		refs = "001a DbiGetProp"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 33 C0 89 44 24 04 54 6A 04 8D 44 24 0C 50 56 53 E8 ?? ?? ?? ?? 66 85 C0 75 06 8B 44 24 04 EB 02 33 C0 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_374_0 {
	meta:
		name = "SetBoolProp"
		size = 34
		refs = "0014 DbiSetProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 99 33 C2 2B C2 50 56 53 E8 ?? ?? ?? ?? 66 85 C0 0F 94 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_375_0 {
	meta:
		name = "StringListToParams"
		size = 416
		refs = "0023 StringListToParams 005f Pos 0099 @UStrCopy 00d3 Format 00e3 @LStrFromUStr 00fa StrToOem 0105 @LStrAsg 0126 @LStrSetLength 013b @LStrClr 0148 @UStrArrayClr 0150 @UStrClr 015e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 33 C9 89 4D C8 89 4D EC 89 4D D0 89 4D CC 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C B1 00 00 00 46 C7 45 F0 00 00 00 00 8D 4D FC 8B 55 F0 8B 45 F8 8B 18 FF 53 0C 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7C 7E 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 3B C3 7E 6E 8D 45 EC 50 8B 45 F4 8B 00 89 45 D4 C6 45 D8 0B 8D 45 D0 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D0 89 45 DC C6 45 E0 11 8D 45 CC 50 8D 53 01 B9 FF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 CC 89 45 E4 C6 45 E8 11 8D 55 D4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 45 F0 4E 0F 85 57 FF FF FF 8D 55 C8 8B 45 F4 8B 00 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 00 89 45 C4 8B 45 C4 85 C0 74 05 83 E8 04 8B 00 8B D0 4A 8B 45 F4 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 73 00 25 00 73 00 3A 00 22 00 25 00 73 00 22 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_376_0 {
	meta:
		name = "DbiError"
		size = 24
		refs = "0008 _DV_EDBEngineError 000d EDBEngineError.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96494_0 {
	meta:
		name = "AdsError"
		size = 24
		refs = "0008 _DV_EAdsException 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66219_0 {
	meta:
		name = "ArgError"
		size = 24
		refs = "0008 _DV_EInvalidArgument 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14190_0 {
	meta:
		name = "BcdError"
		size = 24
		refs = "0008 _DV_EBcdException 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68849_0 {
	meta:
		name = "ConvertError"
		size = 24
		refs = "0008 _DV_EConvertError 000d Exception.CreateRes 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81104_0 {
	meta:
		name = "Error"
		size = 24
		refs = "0008 _DV_GIFException 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80347_0 {
	meta:
		name = "InvalidGraphic"
		size = 24
		refs = "0008 _DV_EInvalidGraphic 000d Exception.CreateRes 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80673_0 {
	meta:
		name = "InvalidOp"
		size = 24
		refs = "0008 _DV_EInvalidGridOperation 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81600_0 {
	meta:
		name = "InvalidOperation"
		size = 24
		refs = "0008 _Dn_EInvalidGraphicOperation 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80346_0 {
	meta:
		name = "InvalidOperation"
		size = 24
		refs = "0008 _DV_EInvalidGraphicOperation 000d Exception.CreateRes 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82459_0 {
	meta:
		name = "OleError"
		size = 24
		refs = "0008 _DV_EOleSysError 000d EOleSysError.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14192_0 {
	meta:
		name = "OverflowError"
		size = 24
		refs = "0008 _DV_EBcdOverflowException 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_63168_0 {
	meta:
		name = "RaiseConversionError"
		size = 24
		refs = "0008 _DV_EConversionError 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83089_0 {
	meta:
		name = "RaiseError"
		size = 24
		refs = "0008 _DV_EPrinter 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77631_0 {
	meta:
		name = "RaiseGridError"
		size = 24
		refs = "0008 _Dn_EInvalidGridOperation 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_115432_0 {
	meta:
		name = "RaiseXSLPageProducerError"
		size = 24
		refs = "0008 _DV_EXSLPageProducerError 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_62421_0 {
	meta:
		name = "ReadError"
		size = 24
		refs = "0008 _DV_EReadError 000d Exception.CreateRes 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_50255_0 {
	meta:
		name = "SoapDateTimeError"
		size = 24
		refs = "0008 _DV_EXSDateTimeException 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_50257_0 {
	meta:
		name = "SoapDecimalError"
		size = 24
		refs = "0008 _DV_EXSDecimalException 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_50259_0 {
	meta:
		name = "SoapHexBinaryError"
		size = 24
		refs = "0008 _DV_EXSHexBinaryException 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74404_0 {
	meta:
		name = "TabControlError"
		size = 24
		refs = "0008 _Dn_EListError 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95664_0 {
	meta:
		name = "TableError"
		size = 24
		refs = "0008 _Dn_Exception 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_115403_0 {
	meta:
		name = "TransformError"
		size = 24
		refs = "0008 _DV_TranslateException 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74660_0 {
	meta:
		name = "TreeViewError"
		size = 24
		refs = "0008 _DV_ETreeViewError 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_114604_0 {
	meta:
		name = "XMLDocError"
		size = 24
		refs = "0008 _Dn_EXMLDocError 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_377_0 {
	meta:
		name = "Check"
		size = 11
		refs = "0006 DbiError"
	strings:
		$1 = { 66 85 C0 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_378_0 {
	meta:
		name = "TDBError.Create"
		size = 140
		refs = "000e @ClassCreate 001c @UStrAddRef 0024 TDBError.Create 0034 TList.Add 004d @UStrAsg 0062 @UStrClr 0068 @HandleFinally 0075 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 46 18 E8 ?? ?? ?? ?? 0F B7 45 10 66 89 47 04 8B 45 0C 89 47 08 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_379_0 {
	meta:
		name = "TDBError.GetCategory"
		size = 9
	strings:
		$1 = { 0F B7 40 04 66 C1 E8 08 C3 }
	condition:
		$1
}

rule function_380_0 {
	meta:
		name = "TDBError.GetSubCode"
		size = 7
	strings:
		$1 = { 0F B6 40 04 24 FF C3 }
	condition:
		$1
}

rule function_381_0 {
	meta:
		name = "AddMessage"
		size = 42
	strings:
		$1 = { 55 8B EC 53 8B D8 85 DB 74 1D 8B 45 08 8B 40 FC 8B D3 8B 08 FF 51 54 40 75 0D 8B 45 08 8B 40 FC 8B D3 8B 08 FF 51 38 5B 5D C3 }
	condition:
		$1
}

rule function_382_0 {
	meta:
		name = "GetErrorString"
		size = 109
		refs = "0018 GetErrorString 0028 DbiGetErrorString 0037 @UStrFromArray 0044 Trim 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 7C FF FF FF 53 33 C9 89 8D 7C FF FF FF 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 80 52 50 E8 ?? ?? ?? ?? 8B C3 8D 55 80 B9 80 00 00 00 E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B 03 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_383_0 {
	meta:
		name = "EDBEngineError.Create"
		size = 779
		refs = "0049 @ClassCreate 0059 EDBEngineError.Create 0066 FreeTimer 006d _Dn_TList 0072 TObject.Create 007d DefaultSession 0082 TSession.GetActive 009f SInitError 00a4 LoadResString 00c7 Format 00d8 @UStrAsg 00ec _DV_TDBError 00f1 TDBError.Create 0106 GetErrorString 0123 _Dn_TStringList 0128 TStringList.Create 014b EDBEngineError.GetError 0153 AddMessage 016a DbiGetErrorEntry 018b @UStrFromArray 01d9 Trim 023e @UStrCopy 0252 SBDEError 02a0 TObject.Free 02a6 @HandleFinally 02c5 @UStrArrayClr 02dd @UStrClr 02f3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 44 FF FF FF 53 56 57 33 DB 89 9D 48 FF FF FF 89 9D 44 FF FF FF 89 9D 4C FF FF FF 89 9D 50 FF FF FF 89 9D 54 FF FF FF 89 9D 58 FF FF FF 89 9D 68 FF FF FF 89 9D 64 FF FF FF 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 F3 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B0 01 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 42 18 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 70 66 81 FE 01 2F 74 69 8D 85 68 FF FF FF 50 8D 95 64 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 0F B7 D6 89 95 5C FF FF FF C6 85 60 FF FF FF 00 8D 95 5C FF FF FF 33 C9 E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8B 45 F4 83 C0 04 E8 ?? ?? ?? ?? 56 6A 00 8B 45 F4 8B 40 04 50 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B2 01 00 00 56 6A 00 8D 95 58 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 50 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 FE C4 2E 74 14 55 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 0C E8 ?? ?? ?? ?? 59 BF 01 00 00 00 8D 85 6C FF FF FF 50 8D 45 EC 50 57 E8 ?? ?? ?? ?? 8B D8 66 85 DB 74 7A 66 81 FB 06 2A 74 73 8D 45 F8 8D 95 6C FF FF FF B9 80 00 00 00 E8 ?? ?? ?? ?? 53 8B 45 EC 50 8B 45 F8 50 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D EC 00 75 21 66 81 FE C4 2E 74 1A 55 8D 95 54 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 54 FF FF FF E8 ?? ?? ?? ?? 59 55 8D 95 50 FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 85 50 FF FF FF E8 ?? ?? ?? ?? 59 47 E9 6E FF FF FF 8D 95 4C FF FF FF 8B 45 FC 8B 08 FF 51 1C 8B 95 4C FF FF FF 8B 45 F4 83 C0 04 E8 ?? ?? ?? ?? 8B 45 F4 83 78 04 00 74 2D 8B 45 F4 8B 58 04 85 DB 74 05 83 EB 04 8B 1B 8B 45 F4 83 C0 04 50 8B CB 83 E9 02 8B 45 F4 8B 40 04 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 4B 8D 85 48 FF FF FF 50 8D 95 44 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 44 FF FF FF 0F B7 D6 89 95 5C FF FF FF C6 85 60 FF FF FF 00 8D 95 5C FF FF FF 33 C9 E8 ?? ?? ?? ?? 8B 95 48 FF FF FF 8B 45 F4 83 C0 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 44 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 85 64 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_384_0 {
	meta:
		name = "EDBEngineError.Destroy"
		size = 83
		refs = "0004 @BeforeDestruction 0022 TList.Get 0027 TObject.Free 0040 Exception.Destroy 004b @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 18 85 C0 74 26 8B 78 08 4F 83 FF 00 7C 15 8B 46 18 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4F 83 FF FF 75 EB 8B 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_385_0 {
	meta:
		name = "EDBEngineError.GetError"
		size = 19
		refs = "000c TList.Get"
		altNames = "TUpdateTree.GetDetail"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_386_0 {
	meta:
		name = "EDBEngineError.GetErrorCount"
		size = 7
		altNames = "TDBXConnectionBuilder.GetConnectionProperties TUpdateTree.GetDetailCount"
	strings:
		$1 = { 8B 40 18 8B 40 08 C3 }
	condition:
		$1
}

rule function_387_0 {
	meta:
		name = "TSessionList.Create"
		size = 100
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TThreadList 0023 TThreadList.Create 002d _Dn_TBits 003c _Dn_TObject 0046 FCSect 0051 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_388_0 {
	meta:
		name = "TSessionList.Destroy"
		size = 69
		refs = "0003 @BeforeDestruction 000e TSessionList.CloseAll 0013 FCSect 0018 TObject.Free 0033 TObject.Destroy 003e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_389_0 {
	meta:
		name = "TSessionList.AddSession"
		size = 91
		refs = "0011 TThreadList.LockList 0019 TSessionList.AddSession 0030 TList.Add 004b TMonitor.Exit 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 78 08 00 75 04 C6 43 55 01 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_390_0 {
	meta:
		name = "TSessionList.CloseAll"
		size = 105
		refs = "0010 TThreadList.LockList 001a TSessionList.CloseAll 0032 TList.Get 0037 TObject.Free 0058 TMonitor.Exit 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5E 08 4B 83 FB 00 7C 14 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 75 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_391_0 {
	meta:
		name = "TSessionList.GetCount"
		size = 82
		refs = "0010 TThreadList.LockList 0018 TSessionList.GetCount 003f TMonitor.Exit 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 08 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_392_0 {
	meta:
		name = "TSessionList.GetCurrentSession"
		size = 156
		refs = "0013 TThreadList.LockList 001d TSessionList.GetCurrentSession 002c DbiGetCurrSession 0031 Check 0045 TList.Get 004a TSession.GetHandle 0060 @TryFinallyExit 0086 TMonitor.Exit 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 77 08 4E 85 F6 7C 2D 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 F4 75 13 8B D3 8B C7 E8 ?? ?? ?? ?? 89 45 F8 E8 ?? ?? ?? ?? EB 2C 43 4E 75 D6 33 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_393_0 {
	meta:
		name = "TSessionList.GetSession"
		size = 96
		refs = "0014 TThreadList.LockList 001e TSessionList.GetSession 002d TList.Get 004b TMonitor.Exit 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_394_0 {
	meta:
		name = "TSessionList.GetSessionByName"
		size = 132
		refs = "0015 TSessionList.GetSessionByName 0025 Session 0030 TSessionList.FindSession 0040 SInvalidSessionName 0045 LoadResString 005b DatabaseErrorFmt 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 08 8B 35 ?? ?? ?? ?? EB 0B 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 75 25 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 5D F4 C6 45 F8 11 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_395_0 {
	meta:
		name = "TSessionList.FindSession"
		size = 160
		refs = "0016 Session 0026 TThreadList.LockList 0030 TSessionList.FindSession 004a TList.Get 005b AnsiCompareText 0064 @TryFinallyExit 008a TMonitor.Exit 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 89 45 FC 83 7D F8 00 75 0A A1 ?? ?? ?? ?? 89 45 F4 EB 77 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 4B 85 DB 7C 2C 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 40 5C 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? EB 2C 46 4B 75 D7 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_396_0 {
	meta:
		name = "TSessionList.GetSessionNames"
		size = 185
		refs = "0013 TStrings.BeginUpdate 001b TSessionList.GetSessionNames 0034 TThreadList.LockList 005d TList.Get 0089 TMonitor.Exit 008f @HandleFinally 00a6 TStrings.EndUpdate"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 44 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 58 08 4B 85 DB 7C 1E 43 33 F6 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B F8 8B 57 5C 8B 45 F8 8B 08 FF 51 38 46 4B 75 E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_397_0 {
	meta:
		name = "TSessionList.OpenSession"
		size = 56
		refs = "0007 TSessionList.FindSession 0016 _DV_TSession 001b TSession.Create 0026 TSession.SetSessionName 002f TSession.SetActive"
	strings:
		$1 = { 53 56 8B F2 8B D6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 19 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_398_0 {
	meta:
		name = "TSessionList.SetCurrentSession"
		size = 19
		refs = "0008 DbiSetCurrSession 000d Check"
	strings:
		$1 = { 53 8B DA 8B 43 38 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_399_0 {
	meta:
		name = "TSession.Create"
		size = 130
		refs = "000b @ClassCreate 001c TSession.ValidateAutoSession 0027 TComponent.Create 002e _Dn_TList 0033 TObject.Create 0054 Sessions 0059 TSessionList.AddSession 006e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 8B D6 8B C7 E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 40 C6 47 54 01 C6 47 56 01 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 47 74 33 C0 89 47 38 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_400_0 {
	meta:
		name = "TSession.Destroy"
		size = 78
		refs = "0003 @BeforeDestruction 0010 TSession.SetActive 0015 Sessions 0021 TThreadList.RemoveItem 002c TComponent.Destroy 0034 TObject.Free 0047 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 04 8B D6 33 C9 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_401_0 {
	meta:
		name = "TSession.AddAlias"
		size = 44
		refs = "0013 TSession.GetConfigMode 0021 TSession.InternalAddAlias"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 50 6A 01 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_402_0 {
	meta:
		name = "TSession.AddDriver"
		size = 296
		refs = "001e TSession.AddDriver 002e StringListToParams 0036 TSession.LockSession 004c TSession.GetConfigMode 006f TSession.CheckConfigMode 0079 @LStrToPChar 008a @LStrFromUStr 0095 StrToOem 00a5 DbiAddDriver 00aa Check 00c3 TSession.SetConfigMode 00c9 @HandleFinally 00e0 TSession.UnlockSession 00f5 TSession.DBNotification 010f @LStrArrayClr 0117 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D EC 89 5D E8 89 5D FC 8B D9 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 88 45 F3 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 6A FF 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 E8 8B 55 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 F3 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 4D F4 B2 06 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_403_0 {
	meta:
		name = "TSession.AddDatabase"
		size = 32
		refs = "000e TList.Add 0019 TSession.DBNotification"
	strings:
		$1 = { 53 51 89 14 24 8B D8 8B 14 24 8B 43 3C E8 ?? ?? ?? ?? 8B CC B2 02 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_404_0 {
	meta:
		name = "TSession.AddStandardAlias"
		size = 392
		refs = "001b TSession.AddStandardAlias 0028 _Dn_TStringList 002d TStringList.Create 0067 Format 00bb TSession.AddAlias 00d0 TObject.Free 00d6 @HandleFinally 00ed @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 89 7D F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 38 8D 45 E4 50 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8B 45 08 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 08 FF 51 38 8B 45 FC 50 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 41 00 54 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3D 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 20 00 44 00 52 00 49 00 56 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 54 00 41 00 4E 00 44 00 41 00 52 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_405_0 {
	meta:
		name = "TSession.AddPassword"
		size = 110
		refs = "0013 TSession.LockSession 001b TSession.AddPassword 003d AnsiToNative 0043 DbiAddPassword 0048 Check 005d TSession.UnlockSession 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 23 68 FF 00 00 00 8D 8D FC FE FF FF 8B 45 FC 8B 40 44 8B D3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_406_0 {
	meta:
		name = "TSession.CallBDEInitProcs"
		size = 58
		refs = "0008 BDEInitProcs 0027 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B F8 83 3D ?? ?? ?? ?? 00 74 26 A1 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 19 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B C7 FF D5 46 4B 75 EA 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_407_0 {
	meta:
		name = "TSession.CheckInactive"
		size = 89
		refs = "000c TSession.CheckInactive 0019 TSession.GetActive 0025 SSessionActive 002a LoadResString 0034 DatabaseError 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_408_0 {
	meta:
		name = "TSession.CheckConfigMode"
		size = 52
		refs = "000a TSession.CheckConfigMode 0024 TSession.SetConfigMode"
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 05 ?? ?? ?? ?? 3A 04 24 75 0A 0F B6 05 ?? ?? ?? ?? 88 04 24 0F B6 14 24 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 00 07 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_409_0 {
	meta:
		name = "TSession.Close"
		size = 8
		refs = "0003 TSession.SetActive"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69408_0 {
	meta:
		name = "InitializePackage"
		size = 8
		refs = "0003 InitializePackage"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69411_0 {
	meta:
		name = "LoadPackage"
		size = 8
		refs = "0003 LoadPackage"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71422_0 {
	meta:
		name = "TAbstractSocket.Close"
		size = 8
		refs = "0003 TAbstractSocket.SetActive"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79891_0 {
	meta:
		name = "TApplication.NormalizeTopMosts"
		size = 8
		refs = "0003 TApplication.DoNormalizeTopMosts"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94135_0 {
	meta:
		name = "TChartAxes.Hide"
		size = 8
		refs = "0003 TChartAxes.SetVisible"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93538_0 {
	meta:
		name = "TChartAxis.Hide"
		size = 8
		refs = "0003 TChartAxis.SetVisible"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91178_0 {
	meta:
		name = "TChartPen.Hide"
		size = 8
		refs = "0003 TChartPen.SetVisible"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94919_0 {
	meta:
		name = "TChartShape.DrawLegendShape"
		size = 8
		refs = "0003 TChartShape.DrawShape"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90202_0 {
	meta:
		name = "TChartTitle.Clear"
		size = 8
		refs = "0003 TChartTitle.SetCaption"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90207_0 {
	meta:
		name = "TChartWalls.Hide"
		size = 8
		refs = "0003 TChartWalls.SetVisible"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63112_0 {
	meta:
		name = "TClassList.First"
		size = 8
		refs = "0003 TList.Get"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62198_0 {
	meta:
		name = "TCollectionItem.SetDisplayName"
		size = 8
		refs = "0003 TCollectionItem.Changed"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63098_0 {
	meta:
		name = "TComponentList.First"
		size = 8
		refs = "0003 TList.Get"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76353_0 {
	meta:
		name = "TControl.Hide"
		size = 8
		refs = "0003 TControl.SetVisible"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15049_0 {
	meta:
		name = "TCustomADODataSet.InternalDelete"
		size = 8
		refs = "0003 DoRecordsetDelete"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1586_0 {
	meta:
		name = "TCustomBindScope.UpdateDataChanging"
		size = 8
		refs = "0003 TCustomBindScope.SetActive"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79749_0 {
	meta:
		name = "TCustomForm.Hide"
		size = 8
		refs = "0003 TCustomForm.SetVisible"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82132_0 {
	meta:
		name = "TCustomMaskEdit.Clear"
		size = 8
		refs = "0003 TCustomMaskEdit.SetText"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94108_0 {
	meta:
		name = "TCustomSeriesList.First"
		size = 8
		refs = "0003 TCustomSeriesList.Get"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94680_0 {
	meta:
		name = "TCustomTeePanel.PrintPortrait"
		size = 8
		refs = "0003 TCustomTeePanel.PrintOrientation"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95457_0 {
	meta:
		name = "TCustomWebBrowserChangeManager.Undo"
		size = 8
		refs = "0003 TCustomWebBrowserChangeManager.ExecChange"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65937_0 {
	meta:
		name = "TDirectory.CheckGetDirectoryRootParameters"
		size = 8
		refs = "0003 TDirectory.InternalCheckDirPathParam"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65944_0 {
	meta:
		name = "TDirectory.CheckGetParentParameters"
		size = 8
		refs = "0003 TDirectory.InternalCheckDirPathParam"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65961_0 {
	meta:
		name = "TDirectory.Delete"
		size = 8
		refs = "0003 TDirectory.Delete"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66035_0 {
	meta:
		name = "TFile.CheckAppendTextParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66037_0 {
	meta:
		name = "TFile.CheckCreateParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66038_0 {
	meta:
		name = "TFile.CheckCreateTextParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66040_0 {
	meta:
		name = "TFile.CheckDeleteParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66050_0 {
	meta:
		name = "TFile.CheckOpenParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66065_0 {
	meta:
		name = "TFile.CheckWriteAllBytesParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66070_0 {
	meta:
		name = "TFile.Create"
		size = 8
		refs = "0003 TFile.Create"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93021_0 {
	meta:
		name = "TFiltersEditor.ChangedProperties"
		size = 8
		refs = "0003 TFiltersEditor.Preview"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95687_0 {
	meta:
		name = "THTMLTableColumn.TitleChanged"
		size = 8
		refs = "0003 TCollectionItem.Changed"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31425_0 {
	meta:
		name = "TIBQuery.UnPrepare"
		size = 8
		refs = "0003 TIBQuery.SetPrepared"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31955_0 {
	meta:
		name = "TIBStoredProc.UnPrepare"
		size = 8
		refs = "0003 TIBStoredProc.SetPrepared"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43645_0 {
	meta:
		name = "TIWEdit.Clear"
		size = 8
		refs = "0003 TControl.SetText"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35626_0 {
	meta:
		name = "TIdIPAddrMon.ForceCheck"
		size = 8
		refs = "0003 TIdIPAddrMon.CheckAdapters"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62107_0 {
	meta:
		name = "TList.First"
		size = 8
		refs = "0003 TList.Get"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28550_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.First"
		size = 8
		refs = "0003 TList<DSAzureBlob.TBBlob>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28772_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.First"
		size = 8
		refs = "0003 TList<DSAzureBlob.TBBlock>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28426_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.First"
		size = 8
		refs = "0003 TList<DSAzureBlob.TBContainer>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28715_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.First"
		size = 8
		refs = "0003 TList<DSAzureBlob.TBPageRange>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28658_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.First"
		size = 8
		refs = "0003 TList<DSAzureBlob.TBSignedIdentifier>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28605_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.First"
		size = 8
		refs = "0003 TList<DSAzureBlob.TLeaseItem>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29073_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.First"
		size = 8
		refs = "0003 TList<DSAzureQueue.TMessageNodeData>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29491_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.First"
		size = 8
		refs = "0003 TList<DSAzureTableDialog.TAzureTableColumn>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29346_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.First"
		size = 8
		refs = "0003 TList<DSAzureTableDialog.TAzureTableRow>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3053_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.First"
		size = 8
		refs = "0003 TList<Data.Bind.Components.TBasicBindComponent>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2284_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.First"
		size = 8
		refs = "0003 TList<Data.Bind.Components.TBindEditorFactoryClass>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2057_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.First"
		size = 8
		refs = "0003 TList<Data.Bind.Components.TContainedBindComponent>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2758_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.First"
		size = 8
		refs = "0003 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3100_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.First"
		size = 8
		refs = "0003 TList<Data.Bind.DBScope.TBaseDataLink>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4680_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.First"
		size = 8
		refs = "0003 TList<Data.Cloud.AzureAPI.TAzureBlob>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4578_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.First"
		size = 8
		refs = "0003 TList<Data.Cloud.AzureAPI.TAzureContainer>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4629_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.First"
		size = 8
		refs = "0003 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4425_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.First"
		size = 8
		refs = "0003 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4056_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.First"
		size = 8
		refs = "0003 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4374_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.First"
		size = 8
		refs = "0003 TList<Data.Cloud.CloudAPI.TCloudTableRow>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16400_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.First"
		size = 8
		refs = "0003 TList<Data.DBXCommon.TDBXParameter>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7898_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.First"
		size = 8
		refs = "0003 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25134_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.First"
		size = 8
		refs = "0003 TList<Data.DBXCommon.TResultCommandHandler>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10375_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.First"
		size = 8
		refs = "0003 TList<Data.DBXJSON.TJSONAncestor>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10328_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.First"
		size = 8
		refs = "0003 TList<Data.DBXJSONReflect.TConverterEvent>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23933_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.First"
		size = 8
		refs = "0003 TList<Data.DBXJSONReflect.TReverterEvent>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11107_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.First"
		size = 8
		refs = "0003 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16282_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.First"
		size = 8
		refs = "0003 TList<Datasnap.DSClientRest.TDSRestClientCallback>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17402_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.First"
		size = 8
		refs = "0003 TList<Datasnap.DSHTTP.TDSHTTPClass>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18396_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.First"
		size = 8
		refs = "0003 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18088_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.First"
		size = 8
		refs = "0003 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17766_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.First"
		size = 8
		refs = "0003 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23735_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.First"
		size = 8
		refs = "0003 TList<Datasnap.DSServer.TDSCallbackTunnel>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24509_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.First"
		size = 8
		refs = "0003 TList<Datasnap.DSService.TDBXRequestFilter>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11389_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.First"
		size = 8
		refs = "0003 TList<Datasnap.DSService.TDSSession>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29700_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.First"
		size = 8
		refs = "0003 TList<GraphView.TGraphEdge>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29810_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.First"
		size = 8
		refs = "0003 TList<GraphView.TGraphNode>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29755_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.First"
		size = 8
		refs = "0003 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30572_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.First"
		size = 8
		refs = "0003 TList<IBDatabase.TIBBase>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30674_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.First"
		size = 8
		refs = "0003 TList<IBDatabase.TIBDatabase>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30623_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.First"
		size = 8
		refs = "0003 TList<IBDatabase.TIBTransaction>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42992_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.First"
		size = 8
		refs = "0003 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40338_0 {
	meta:
		name = "TList<IdContext.TIdContext>.First"
		size = 8
		refs = "0003 TList<IdContext.TIdContext>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54633_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.First"
		size = 8
		refs = "0003 TList<System.Bindings.CustomScope.TScopeClass>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52593_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.First"
		size = 8
		refs = "0003 TList<System.Bindings.EvalSys.TOverload>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2006_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.First"
		size = 8
		refs = "0003 TList<System.Bindings.Expression.TBindingExpression>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56118_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.First"
		size = 8
		refs = "0003 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55830_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.First"
		size = 8
		refs = "0003 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56261_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.First"
		size = 8
		refs = "0003 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57051_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.First"
		size = 8
		refs = "0003 TList<System.Bindings.Manager.TBindingManager>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58612_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.First"
		size = 8
		refs = "0003 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58465_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.First"
		size = 8
		refs = "0003 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58224_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.First"
		size = 8
		refs = "0003 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60757_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.First"
		size = 8
		refs = "0003 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64890_0 {
	meta:
		name = "TList<System.Boolean>.First"
		size = 8
		refs = "0003 TList<System.Boolean>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86473_0 {
	meta:
		name = "TList<System.Classes.TComponent>.First"
		size = 8
		refs = "0003 TList<System.Classes.TComponent>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15904_0 {
	meta:
		name = "TList<System.Classes.TStream>.First"
		size = 8
		refs = "0003 TList<System.Classes.TStream>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24029_0 {
	meta:
		name = "TList<System.Classes.TStrings>.First"
		size = 8
		refs = "0003 TList<System.Classes.TStrings>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63635_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.First"
		size = 8
		refs = "0003 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24564_0 {
	meta:
		name = "TList<System.Integer>.First"
		size = 8
		refs = "0003 TList<System.Integer>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22944_0 {
	meta:
		name = "TList<System.Masks.TMask>.First"
		size = 8
		refs = "0003 TList<System.Masks.TMask>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51194_0 {
	meta:
		name = "TList<System.Pointer>.First"
		size = 8
		refs = "0003 TList<System.Pointer>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68008_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.First"
		size = 8
		refs = "0003 TList<System.Rtti.TRttiField>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68060_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.First"
		size = 8
		refs = "0003 TList<System.Rtti.TRttiManagedField>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67955_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.First"
		size = 8
		refs = "0003 TList<System.Rtti.TRttiMethod>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68218_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.First"
		size = 8
		refs = "0003 TList<System.Rtti.TRttiObject>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67903_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.First"
		size = 8
		refs = "0003 TList<System.Rtti.TRttiProperty>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67568_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.First"
		size = 8
		refs = "0003 TList<System.Rtti.TVirtualInterface.TImplInfo>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67513_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.First"
		size = 8
		refs = "0003 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54586_0 {
	meta:
		name = "TList<System.TClass>.First"
		size = 8
		refs = "0003 TList<System.TClass>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67846_0 {
	meta:
		name = "TList<System.TCustomAttribute>.First"
		size = 8
		refs = "0003 TList<System.TCustomAttribute>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54178_0 {
	meta:
		name = "TList<System.TObject>.First"
		size = 8
		refs = "0003 TList<System.TObject>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68336_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.First"
		size = 8
		refs = "0003 TList<System.TypInfo.PTypeInfo>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63588_0 {
	meta:
		name = "TList<System.Word>.First"
		size = 8
		refs = "0003 TList<System.Word>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88864_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.First"
		size = 8
		refs = "0003 TList<Vcl.Controls.TControl>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89269_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.First"
		size = 8
		refs = "0003 TList<Vcl.Controls.TCustomGestureCollectionItem>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88746_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.First"
		size = 8
		refs = "0003 TList<Vcl.Controls.TCustomGestureManager>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78606_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.First"
		size = 8
		refs = "0003 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86669_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.First"
		size = 8
		refs = "0003 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87640_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.First"
		size = 8
		refs = "0003 TList<Vcl.Themes.TCustomStyleEngineClass>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87691_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.First"
		size = 8
		refs = "0003 TList<Vcl.Themes.TCustomStyleServices>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87891_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.First"
		size = 8
		refs = "0003 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86520_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.First"
		size = 8
		refs = "0003 TList<Vcl.Themes.TStyleHook>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86303_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.First"
		size = 8
		refs = "0003 TList<Vcl.Themes.TStyleHookClass>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89017_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.First"
		size = 8
		refs = "0003 TList<Vcl.Touch.GestureMgr.TGestureCollection>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89500_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.First"
		size = 8
		refs = "0003 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89884_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.First"
		size = 8
		refs = "0003 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89782_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.First"
		size = 8
		refs = "0003 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.GetItem"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50742_0 {
	meta:
		name = "TLogDetailFrame.Clear"
		size = 8
		refs = "0003 TLogDetailFrame.SetText"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64273_0 {
	meta:
		name = "TMonitor.TSpinLock.Exit"
		size = 8
		refs = "0003 InterlockedExchange"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63081_0 {
	meta:
		name = "TObjectList.First"
		size = 8
		refs = "0003 TList.Get"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82952_0 {
	meta:
		name = "TOutlineNode.Collapse"
		size = 8
		refs = "0003 TOutlineNode.SetExpandedState"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78728_0 {
	meta:
		name = "TPreviousTab.ExecuteTarget"
		size = 8
		refs = "0003 TTabAction.SelectNextTab"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62471_0 {
	meta:
		name = "TReader.ReadListEnd"
		size = 8
		refs = "0003 TReader.CheckValue"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14427_0 {
	meta:
		name = "TSQLConnection.BeginTransaction"
		size = 8
		refs = "0003 TSQLConnection.BeginTransaction"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79851_0 {
	meta:
		name = "TScreen.Realign"
		size = 8
		refs = "0003 TScreen.AlignForm"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94418_0 {
	meta:
		name = "TSeriesGroup.Show"
		size = 8
		refs = "0003 TSeriesGroup.SetActive"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68800_0 {
	meta:
		name = "TSpinLock.TryEnter"
		size = 8
		refs = "0003 TSpinLock.TryEnter"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94763_0 {
	meta:
		name = "TTeeCustomShapeBrushPen.Hide"
		size = 8
		refs = "0003 TTeeCustomShapeBrushPen.SetVisible"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62700_0 {
	meta:
		name = "TThread.Start"
		size = 8
		refs = "0003 TThread.InternalStart"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83980_0 {
	meta:
		name = "TTimerSpeedButton.CMMouseleave"
		size = 8
		refs = "0003 TTimerSpeedButton.SetMouseInControl"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74688_0 {
	meta:
		name = "TTreeNode.GetCut"
		size = 8
		refs = "0003 TTreeNode.GetState"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50826_0 {
	meta:
		name = "TWebAppDbgMainForm.HideActionExecute"
		size = 8
		refs = "0003 TCustomForm.SetVisible"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50806_0 {
	meta:
		name = "TWebAppDbgMainForm.StopActionExecute"
		size = 8
		refs = "0003 TWebAppDbgMainForm.SetServerActive"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76759_0 {
	meta:
		name = "TWinControl.DoPaddingChange"
		size = 8
		refs = "0003 TWinControl.AlignControl"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76521_0 {
	meta:
		name = "TWinControl.Realign"
		size = 8
		refs = "0003 TWinControl.AlignControl"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62539_0 {
	meta:
		name = "TWriter.WriteListEnd"
		size = 8
		refs = "0003 TWriter.WriteValue"
	strings:
		$1 = { 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_410_0 {
	meta:
		name = "TSession.CloseDatabase"
		size = 50
		refs = "001e TCustomConnection.Close 002d TObject.Free"
	strings:
		$1 = { 83 7A 7C 00 74 03 FF 4A 7C 83 7A 7C 00 75 22 80 7A 71 00 75 1C 80 7A 72 00 75 09 8B C2 E8 ?? ?? ?? ?? EB 0D F6 42 1C 08 75 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_411_0 {
	meta:
		name = "TSession.CloseDatabaseHandle"
		size = 98
		refs = "0024 TList.Get 0044 AnsiCompareText 0058 DbiCloseDatabase"
	strings:
		$1 = { 53 56 57 55 51 8B FA 89 04 24 8B 04 24 8B 40 3C 8B 70 08 4E 85 F6 7C 38 46 33 ED 8B 04 24 8B 40 3C 8B D5 E8 ?? ?? ?? ?? 8B D8 3B FB 74 1E 83 BB 80 00 00 00 00 74 15 8B 97 98 00 00 00 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 10 45 4E 75 CB 8D 87 80 00 00 00 50 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_412_0 {
	meta:
		name = "TSession.DBLoginCallback"
		size = 544
		refs = "0019 TSession.DBLoginCallback 005d @UStrFromArray 0068 TSession.OpenDatabase 0093 TSession.CloseDatabase 00a6 _Dn_TStringList 00ab TStringList.Create 00da TSession.GetAliasParams 00ea TStrings.GetValue 00ff TObject.Free 0105 @HandleFinally 010f @UStrClr 0114 LoginDialogExProc 015c AnsiToNative 018a TSession.FindDatabase 01b5 @HandleAnyException 01c1 @DoneExcept 01db @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 04 00 00 00 89 55 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 83 78 4C 00 0F 85 2B 01 00 00 8B 45 F4 80 78 5A 00 75 52 8D 45 E4 8B 55 E8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 80 78 79 00 75 1B 8B 80 80 00 00 00 8B 55 E8 89 42 4C 8B 45 E8 C7 40 48 FF FF FF FF E9 1D 01 00 00 8B D0 8B 45 F4 E8 ?? ?? ?? ?? C7 45 F0 02 00 00 00 E9 07 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 8B 55 E8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 0F 84 89 00 00 00 6A 01 8D 45 DC 8B 55 E8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC 8B 1D ?? ?? ?? ?? 8B 1B 8D 4D F8 8D 55 FC FF D3 84 C0 74 20 6A 1F 8B 45 E8 8D 48 28 8B 45 F4 8B 40 44 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 50 48 EB 40 C7 45 F0 02 00 00 00 EB 37 8D 45 D8 8B 55 E8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 74 18 8B 55 E8 8B 52 4C 3B 90 80 00 00 00 75 0A 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? C7 45 F0 02 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 53 00 45 00 52 00 20 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_413_0 {
	meta:
		name = "TIdCustomTCPServer.DoDisconnect"
		size = 27
		altNames = "TInCustomTCPServer.DoDisconnect TSession.DBNotification"
	strings:
		$1 = { 53 66 83 B8 DA 00 00 00 00 74 0E 8B D8 8B 83 DC 00 00 00 FF 93 D8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_414_0 {
	meta:
		name = "TSession.DeleteAlias"
		size = 29
		refs = "000b TSession.GetConfigMode 0016 TSession.InternalDeleteAlias"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_415_0 {
	meta:
		name = "TSession.DeleteDriver"
		size = 181
		refs = "0018 TSession.DeleteDriver 002b TSession.DBNotification 0033 TSession.LockSession 0053 @LStrFromUStr 005e StrToOem 0066 @LStrToPChar 006e DbiDeleteDriver 0083 TSession.UnlockSession 0089 @HandleFinally 00a5 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F4 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 B2 07 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 F0 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_416_0 {
	meta:
		name = "TSession.DeleteConfigPath"
		size = 152
		refs = "0018 TSession.DeleteConfigPath 0035 Format 0045 @LStrFromUStr 004d @LStrToPChar 0057 DbiCfgPosition 0064 DbiCfgDropRecord 0069 Check 007e @LStrClr 0086 @UStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 89 5D FC 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 53 6A 00 E8 ?? ?? ?? ?? 66 85 C0 75 0D 53 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_417_0 {
	meta:
		name = "TSession.DropConnections"
		size = 52
		refs = "0016 TList.Get 0027 TObject.Free"
	strings:
		$1 = { 53 56 8B F0 8B 46 3C 8B 58 08 4B 83 FB 00 7C 21 8B 46 3C 8B D3 E8 ?? ?? ?? ?? 80 78 72 00 74 0B 83 78 7C 00 75 05 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DF 5E 5B C3 }
	condition:
		$1
}

rule function_418_0 {
	meta:
		name = "TSession.FindDatabase"
		size = 83
		refs = "001e TList.Get 003d AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B 45 3C 8B 70 08 4E 85 F6 7C 34 46 33 FF 8B 45 3C 8B D7 E8 ?? ?? ?? ?? 8B D8 83 BB 98 00 00 00 00 75 06 80 7B 72 00 74 12 8B 83 98 00 00 00 8B 14 24 E8 ?? ?? ?? ?? 85 C0 74 06 47 4E 75 CF 33 DB 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_419_0 {
	meta:
		name = "TSession.DoFindDatabase"
		size = 107
		refs = "002b TList.Get 004a AnsiCompareText 005c TSession.FindDatabase"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B F8 83 7C 24 04 00 74 3F 8B 47 3C 8B 70 08 4E 85 F6 7C 34 46 33 ED 8B 47 3C 8B D5 E8 ?? ?? ?? ?? 8B D8 8B 43 04 3B 44 24 04 75 18 80 7B 79 00 74 12 8B 83 98 00 00 00 8B 14 24 E8 ?? ?? ?? ?? 85 C0 74 10 45 4E 75 CF 8B 14 24 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_420_0 {
	meta:
		name = "TSession.FindDatabaseHandle"
		size = 89
		refs = "001e TList.Get 0037 AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B 45 3C 8B 70 08 4E 85 F6 7C 3C 46 33 FF 8B 45 3C 8B D7 E8 ?? ?? ?? ?? 8B D8 83 BB 80 00 00 00 00 74 20 8B 14 24 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 0E 80 7B 79 00 74 08 8B 83 80 00 00 00 EB 06 47 4E 75 C7 33 C0 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_421_0 {
	meta:
		name = "TCanvas.HandleAllocated"
		size = 8
		altNames = "TControl.HasParent TCustomScreenTipsManager.HasLinkedActionLists TDSConnectionMetaDataProvider.HasProvider TDSRestMetaDataProvider.HasProvider TDSServerMetaDataProvider.HasProvider TSession.GetActive"
	strings:
		$1 = { 83 78 38 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_422_0 {
	meta:
		name = "TSession.GetAliasDriverName"
		size = 311
		refs = "002a TSession.GetAliasDriverName 0038 TSession.LockSession 005f @LStrFromUStr 0070 StrToOem 007b @LStrToPChar 0081 DbiGetDatabaseDesc 0093 SInvalidAliasName 0098 LoadResString 00ba DatabaseErrorFmt 00cf TSession.UnlockSession 00d5 @HandleFinally 00ee OemToCharA 00fe @UStrFromArray 0116 @UStrClr 0126 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 7C FE FF FF 53 33 DB 89 9D 84 FE FF FF 89 9D 8C FE FF FF 89 9D 88 FE FF FF 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 93 FE FF FF 50 8D 85 88 FE FF FF 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 88 FE FF FF 8D 95 8C FE FF FF E8 ?? ?? ?? ?? 8B 85 8C FE FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 74 34 6A 00 8D 95 84 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 84 FE FF FF 50 89 9D 7C FE FF FF C6 85 80 FE FF FF 11 8D 95 7C FE FF FF 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F7 00 74 04 C6 45 F7 00 8D 45 D8 50 8D 45 D8 50 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 D8 B9 20 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 84 FE FF FF E8 ?? ?? ?? ?? 8D 85 88 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_423_0 {
	meta:
		name = "TSession.GetAliasNames"
		size = 323
		refs = "001b TSession.GetAliasNames 0029 TStrings.BeginUpdate 0047 TSession.LockSession 005e DbiOpenDatabaseList 0063 Check 0078 TSession.UnlockSession 007e @HandleFinally 00a3 OemToCharA 00b9 @UStrFromArray 00db DbiGetNextRecord 00f6 DbiCloseCursor 0113 TStrings.EndUpdate 0133 @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 88 FE FF FF 33 C9 89 8D 88 FE FF FF 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 44 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 37 8D 85 8F FE FF FF 50 8D 85 8F FE FF FF 50 E8 ?? ?? ?? ?? 8D 85 88 FE FF FF 8D 95 8F FE FF FF B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 95 88 FE FF FF 8B 45 F8 8B 08 FF 51 38 6A 00 8D 85 8F FE FF FF 50 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 66 85 C0 74 B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 88 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B E5 5D C3 }
	condition:
		$1
}

rule function_424_0 {
	meta:
		name = "TSession.GetAliasParams"
		size = 564
		refs = "002a TSession.GetAliasParams 0038 TStrings.BeginUpdate 0060 @LStrFromUStr 0073 StrPLCopy 0080 CharToOemA 0088 TSession.LockSession 00a6 DbiGetDatabaseDesc 00ab Check 00c0 TSession.UnlockSession 00c6 @HandleFinally 00df StrIComp 00fa @UStrFromArray 010d TSession.GetConfigParams 011c TStrings.SetValue 015d TStrings.EndUpdate 0182 @UStrArrayClr 018d @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 64 FE FF FF 53 33 DB 89 9D 64 FE FF FF 89 9D 68 FE FF FF 89 9D 6C FE FF FF 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 44 8D 85 6C FE FF FF 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 6C FE FF FF 8D 45 D8 B9 1F 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 50 8D 45 D8 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 73 FE FF FF 50 8D 45 D8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D D7 00 74 04 C6 45 D7 00 BA ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 85 C0 75 3B 8B 45 F8 50 8D 85 68 FE FF FF 8D 55 D8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 8D 68 FE FF FF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 2A 8B 45 F8 50 8D 85 64 FE FF FF 8D 55 D8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 8D 64 FE FF FF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 64 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 6C FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 00 53 54 41 4E 44 41 52 44 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 5C 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 53 00 5C 00 25 00 73 00 5C 00 44 00 42 00 20 00 49 00 4E 00 46 00 4F 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 5C 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 53 00 5C 00 25 00 73 00 5C 00 44 00 42 00 20 00 4F 00 50 00 45 00 4E 00 00 00 }
	condition:
		$1
}

rule function_425_0 {
	meta:
		name = "TSession.GetConfigParams"
		size = 448
		refs = "002a TSession.GetConfigParams 0038 TSession.LockSession 006d Format 0083 @LStrFromUStr 008e @LStrToPChar 009a DbiOpenCfgInfoList 009f Check 00b4 TSession.UnlockSession 00ba @HandleFinally 00df OemToCharA 0143 DbiGetNextRecord 015e DbiCloseCursor 017e @UStrClr 0194 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 B0 FE FF FF 53 56 33 DB 89 9D C0 FE FF FF 89 9D D0 FE FF FF 89 9D CC FE FF FF 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 85 CC FE FF FF 50 89 B5 C4 FE FF FF C6 85 C8 FE FF FF 11 8D 95 C4 FE FF FF 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 95 CC FE FF FF 8D 85 D0 FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 D0 FE FF FF E8 ?? ?? ?? ?? 50 6A 00 6A 01 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 63 8D 85 76 FF FF FF 50 8D 85 76 FF FF FF 50 E8 ?? ?? ?? ?? 8D 85 C0 FE FF FF 50 8D 85 D4 FE FF FF 89 85 B0 FE FF FF C6 85 B4 FE FF FF 06 8D 85 76 FF FF FF 89 85 B8 FE FF FF C6 85 BC FE FF FF 06 8D 95 B0 FE FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 C0 FE FF FF 8B 45 08 8B 08 FF 51 38 6A 00 8D 85 D4 FE FF FF 50 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 66 85 C0 74 84 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 C0 FE FF FF E8 ?? ?? ?? ?? 8D 85 CC FE FF FF E8 ?? ?? ?? ?? 8D 85 D0 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3D 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_426_0 {
	meta:
		name = "TAppletApplication.GetModules"
		size = 19
		refs = "000c TList.Get"
		altNames = "TCustomConnection.GetDataSet TSession.GetDatabase"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 3C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17177_0 {
	meta:
		name = "TDSCustomHTTPServiceFileDispatcher.GetRootDirectory"
		size = 19
		refs = "000c TWebFileDispatcherProperties.GetRootDirectory"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 3C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_427_0 {
	meta:
		name = "TAppletApplication.GetModuleCount"
		size = 7
		altNames = "TCustomConnection.GetDataSetCount TIBTransaction.GetDatabaseCount TSession.GetDatabaseCount TTeeCustomShape.GetShadowColor"
	strings:
		$1 = { 8B 40 3C 8B 40 08 C3 }
	condition:
		$1
}

rule function_428_0 {
	meta:
		name = "TSession.GetDatabaseNames"
		size = 177
		refs = "0012 _Dn_TStringList 0017 TStringList.Create 0022 TSession.GetDatabaseNames 0032 TStringList.SetSorted 003d TSession.GetAliasNames 005b TList.Get 0068 IsDirectory 009e TObject.Free 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 8B 70 08 4E 85 F6 7C 33 46 33 FF 8B 45 FC 8B 40 3C 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 0E 8B 93 98 00 00 00 8B 45 F4 8B 08 FF 51 38 47 4E 75 D0 8B 55 F4 8B 45 F8 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_429_0 {
	meta:
		name = "TSession.GetDriverNames"
		size = 356
		refs = "0015 TSession.GetDriverNames 0023 TStrings.BeginUpdate 004e TSession.LockSession 0065 DbiOpenDriverList 006a Check 007f TSession.UnlockSession 0085 @HandleFinally 009f IsStandardType 00b0 OemToCharA 00c0 @UStrFromArray 00dc DbiGetNextRecord 00f7 DbiCloseCursor 0114 TStrings.EndUpdate 0131 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 33 C9 89 4D D0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 44 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 34 8D 45 D4 E8 ?? ?? ?? ?? 84 C0 75 28 8D 45 D4 50 8D 45 D4 50 E8 ?? ?? ?? ?? 8D 45 D0 8D 55 D4 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F8 8B 08 FF 51 38 6A 00 8D 45 D4 50 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 66 85 C0 74 B6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 54 00 41 00 4E 00 44 00 41 00 52 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_430_0 {
	meta:
		name = "TSession.GetDriverParams"
		size = 696
		refs = "0027 TSession.GetDriverParams 0035 TStrings.BeginUpdate 0057 CompareText 007e Format 0110 @LStrFromUStr 011b StrToOem 0126 @UStrFromLStr 0135 TSession.GetConfigParams 014a TStrings.EndUpdate 0150 @HandleFinally 016c @LStrArrayClr 0179 @UStrArrayClr 0181 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 DB 89 5D D4 89 5D D0 89 5D CC 89 5D D8 89 5D EC 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 85 9E 00 00 00 8D 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 38 8D 45 EC 50 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8B 08 FF 51 38 8D 45 D8 50 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC 8B 08 FF 51 38 EB 38 8B 45 FC 50 8D 45 CC 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 4D D4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 54 00 41 00 4E 00 44 00 41 00 52 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 41 00 54 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 25 00 73 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 20 00 44 00 52 00 49 00 56 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 41 00 52 00 41 00 44 00 4F 00 58 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3D 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 45 00 4E 00 41 00 42 00 4C 00 45 00 20 00 42 00 43 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 41 00 4C 00 53 00 45 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 5C 00 44 00 52 00 49 00 56 00 45 00 52 00 53 00 5C 00 25 00 73 00 5C 00 44 00 42 00 20 00 4F 00 50 00 45 00 4E 00 00 00 }
	condition:
		$1
}

rule function_431_0 {
	meta:
		name = "TSession.GetHandle"
		size = 39
		refs = "000d DbiSetCurrSession 0012 Check 001d TSession.SetActive"
	strings:
		$1 = { 53 56 8B D8 8B 73 38 85 F6 74 0D 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 09 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 38 5E 5B C3 }
	condition:
		$1
}

rule function_432_0 {
	meta:
		name = "TSession.GetNetFileDir"
		size = 245
		refs = "001b TSession.GetNetFileDir 0029 TSession.GetActive 003e TSession.LockSession 006d DbiGetProp 0072 Check 0087 TSession.UnlockSession 008d @HandleFinally 009f NativeToAnsi 00af @UStrAsg 00bf AnsiUpperCaseFileName 00e5 @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 33 C9 89 8D EC FE FF FF 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 74 8B 45 FC F6 40 1C 04 75 6B 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F6 50 68 05 01 00 00 8D 85 F1 FE FF FF 50 68 02 00 02 00 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 4D F8 8D 95 F1 FE FF FF 33 C0 E8 ?? ?? ?? ?? EB 0E 8B 45 F8 8B 55 FC 8B 52 64 E8 ?? ?? ?? ?? 8D 95 EC FE FF FF 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 95 EC FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B E5 5D C3 }
	condition:
		$1
}

rule function_433_0 {
	meta:
		name = "TSession.GetPrivateDir"
		size = 224
		refs = "001b TSession.GetPrivateDir 0029 TSession.GetActive 003e TSession.LockSession 0058 DbiGetSesInfo 005d Check 0072 TSession.UnlockSession 0078 @HandleFinally 008a NativeToAnsi 009a @UStrAsg 00aa AnsiUpperCaseFileName 00d0 @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 C0 FD FF FF 33 C9 89 8D C0 FD FF FF 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 5F 8B 45 FC F6 40 1C 04 75 56 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 C6 FD FF FF 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 4D F8 8D 95 F3 FE FF FF 33 C0 E8 ?? ?? ?? ?? EB 0E 8B 45 F8 8B 55 FC 8B 52 68 E8 ?? ?? ?? ?? 8D 95 C0 FD FF FF 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 95 C0 FD FF FF 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 C0 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B E5 5D C3 }
	condition:
		$1
}

rule function_434_0 {
	meta:
		name = "TSession.GetPassword"
		size = 172
		refs = "0012 TSession.GetPassword 003e PasswordDialog 0059 @IntfCast 0084 @IntfClear 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB CA 00 00 00 00 74 17 C6 45 FF 00 8D 4D FF 8B D3 8B 83 CC 00 00 00 FF 93 C8 00 00 00 EB 36 A1 ?? ?? ?? ?? 83 38 00 74 28 8D 45 F8 8B D3 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 1D ?? ?? ?? ?? 8B 1B FF D3 88 45 FF EB 04 C6 45 FF 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5B 59 59 5D C3 00 00 00 FB 48 24 CC 72 B6 A2 4B 93 F7 77 CB ED A8 15 FE }
	condition:
		$1
}

rule function_435_0 {
	meta:
		name = "TSession.GetTableNames"
		size = 452
		refs = "0026 TSession.GetTableNames 0034 TStrings.BeginUpdate 0055 TSession.OpenDatabase 0087 AnsiToNative 00a7 DbiOpenTableList 00ac Check 00d9 StrCat 00fb NativeToAnsi 0109 @UStrFromLStr 012b DbiGetNextRecord 0146 DbiCloseCursor 014c @HandleFinally 0166 TSession.CloseDatabase 0183 TStrings.EndUpdate 01a3 @UStrClr 01ab @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 A4 FC FF FF 53 56 57 33 DB 89 9D A4 FC FF FF 89 5D FC 8B F9 89 55 F4 89 45 F8 8B 5D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 10 FF 52 44 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 85 FF 74 1D 68 04 01 00 00 8D 8D E7 FE FF FF 8B 45 F0 8B 80 84 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B F0 8D 45 EC 50 56 80 7D 0C 01 F5 1B C0 50 6A 00 8B 45 F0 8B 80 80 00 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 5B 84 DB 74 24 80 BD B3 FE FF FF 00 74 1B BA ?? ?? ?? ?? 8D 85 A9 FC FF FF E8 ?? ?? ?? ?? 8D 95 B3 FE FF FF E8 ?? ?? ?? ?? 8D 4D FC 8D 95 A9 FC FF FF 8B 45 F0 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 8D 85 A4 FC FF FF 8B 55 FC E8 ?? ?? ?? ?? 8B 95 A4 FC FF FF 8B 45 08 8B 08 FF 51 38 6A 00 8D 85 A9 FC FF FF 50 6A 00 8B 45 EC 50 E8 ?? ?? ?? ?? 66 85 C0 74 8C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A4 FC FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 2E 00 00 00 }
	condition:
		$1
}

rule function_436_0 {
	meta:
		name = "TSession.GetFieldNames"
		size = 380
		refs = "001e TSession.GetFieldNames 002c TStrings.BeginUpdate 004c TSession.OpenDatabase 0077 @LStrFromUStr 007f @LStrToPChar 008f DbiOpenFieldList 0094 Check 00b8 NativeToAnsi 00c3 @UStrFromLStr 00df DbiGetNextRecord 00fa DbiCloseCursor 0100 @HandleFinally 011a TSession.CloseDatabase 0137 TStrings.EndUpdate 0154 @UStrClr 015c @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 33 DB 89 5D A8 89 5D AC 89 5D FC 8B F1 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 10 FF 52 44 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 6A 00 68 ?? ?? ?? ?? 8D 45 AC 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 AC E8 ?? ?? ?? ?? 50 8B 45 F4 8B 80 80 00 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2A 8D 4D FC 8D 55 B4 8B 45 F4 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 A8 8B 45 08 8B 08 FF 51 38 6A 00 8D 45 B2 50 6A 00 8B 45 F0 50 E8 ?? ?? ?? ?? 66 85 C0 74 C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C2 04 00 00 00 00 00 }
	condition:
		$1
}

rule function_437_0 {
	meta:
		name = "TSession.GetStoredProcNames"
		size = 337
		refs = "001b TSession.GetStoredProcNames 0029 TStrings.BeginUpdate 0049 TSession.OpenDatabase 0073 DbiOpenSPList 0078 Check 009c NativeToAnsi 00a7 @UStrFromLStr 00c3 DbiGetNextRecord 00de DbiCloseCursor 00e4 @HandleFinally 00fe TSession.CloseDatabase 011b TStrings.EndUpdate 0138 @UStrClr 0140 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 33 DB 89 5D 9C 89 5D FC 89 4D F4 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 44 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 50 6A 00 6A FF 6A 00 8B 45 F0 8B 80 80 00 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2A 8D 4D FC 8D 55 A3 8B 45 F0 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 8D 45 9C 8B 55 FC E8 ?? ?? ?? ?? 8B 55 9C 8B 45 F4 8B 08 FF 51 38 6A 00 8D 45 A3 50 6A 00 8B 45 EC 50 E8 ?? ?? ?? ?? 66 85 C0 74 C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_438_0 {
	meta:
		name = "TSession.InitializeBDE"
		size = 404
		refs = "001e TSession.InitializeBDE 0029 GetCurrentThreadId 002f MainThreadID 0038 DBScreen 0080 @FillChar 008b SIDAPILangID 0090 LoadResString 00a6 @LStrFromUStr 00b9 StrPLCopy 00c5 DbiInit 00d5 Check 00de DbiGetCurrSession 00f0 DbiGetObjFromName 00fa GDAL 0109 DbiSetProp 010e IsLibrary 0118 DLLDetachCallBack 0127 DbiRegisterCallBack 015e @HandleFinally 0178 @UStrClr 0183 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 A4 FD FF FF 53 33 D2 89 95 A8 FD FF FF 89 95 A4 FD FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 02 75 10 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 0C 84 C0 74 04 33 C0 EB 02 B0 01 88 45 FB 80 7D FB 00 74 0E A1 ?? ?? ?? ?? 8B 00 B2 01 8B 08 FF 51 10 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 85 AF FD FF FF 33 C9 BA 4C 02 00 00 E8 ?? ?? ?? ?? 8D 95 A4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 A4 FD FF FF 8D 85 A8 FD FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 A8 FD FF FF 8D 45 BB B9 1F 00 00 00 E8 ?? ?? ?? ?? 8D 85 AF FD FF FF 50 E8 ?? ?? ?? ?? 66 85 C0 74 0B 66 3D 07 2A 74 05 E8 ?? ?? ?? ?? 8D 43 38 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 6A 00 6A 07 E8 ?? ?? ?? ?? 66 85 C0 75 14 E8 ?? ?? ?? ?? 50 68 02 00 07 FF 8B 45 FC 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 14 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 1D 6A 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 1E A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 0C 3C 01 75 0E A1 ?? ?? ?? ?? 8B 00 33 D2 8B 08 FF 51 10 C3 E9 ?? ?? ?? ?? EB D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A4 FD FF FF E8 ?? ?? ?? ?? 8D 85 A8 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_439_0 {
	meta:
		name = "TSession.InternalAddAlias"
		size = 516
		refs = "0024 TSession.InternalAddAlias 0034 StringListToParams 0043 TStrings.GetValue 0055 CompareText 0066 @UStrLAsg 007a TSession.LockSession 0090 TSession.GetConfigMode 00ad TSession.CheckConfigMode 00b7 @LStrToPChar 00c8 @LStrFromUStr 00d3 StrToOem 0107 DbiAddAlias 010c Check 012b TSession.SetConfigMode 0131 @HandleFinally 0148 TSession.UnlockSession 015d TSession.DBNotification 0177 @LStrArrayClr 017f @UStrClr 0187 @LStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F1 89 55 F0 89 45 F4 8B 5D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 75 29 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 88 45 EF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 55 0C 8B 45 F4 E8 ?? ?? ?? ?? 6A FF 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 E4 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 50 8D 45 DC 8B 55 F0 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D 08 00 74 0C 0F B6 55 EF 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 4D F0 B2 04 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 20 00 44 00 52 00 49 00 56 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 54 00 41 00 4E 00 44 00 41 00 52 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 41 00 52 00 41 00 44 00 4F 00 58 00 00 00 }
	condition:
		$1
}

rule function_440_0 {
	meta:
		name = "TSession.InternalDeleteAlias"
		size = 324
		refs = "001f TSession.InternalDeleteAlias 0032 TSession.DBNotification 003a TSession.LockSession 0050 TSession.GetConfigMode 006d TSession.CheckConfigMode 007d @LStrFromUStr 0088 StrToOem 0093 @UStrFromLStr 00a3 TSession.DeleteConfigPath 00c2 TSession.SetConfigMode 00c8 @HandleFinally 00df TSession.UnlockSession 0101 @LStrArrayClr 0109 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D F0 89 5D EC 89 5D E8 88 4D F7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 B2 05 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 88 45 F6 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 55 F7 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D 08 00 74 0C 0F B6 55 F6 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 5C 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 53 00 5C 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_441_0 {
	meta:
		name = "TSession.IsAlias"
		size = 296
		refs = "001e TSession.IsAlias 002c TSession.LockSession 0051 @LStrFromUStr 005c StrToOem 0075 Format 008d @LStrToPChar 0095 DbiCfgPosition 00b8 TSession.UnlockSession 00be @HandleFinally 00da @LStrArrayClr 00e2 @UStrClr 00ea @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 C9 89 4D F4 89 4D F0 89 4D E4 89 4D E0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 5C 8D 45 F0 50 8D 45 E0 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 0B 8D 55 E8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 66 85 C0 74 04 33 C0 EB 02 B0 01 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 0F B6 45 FB 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 5C 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 53 00 5C 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_442_0 {
	meta:
		name = "TSession.Loaded"
		size = 118
		refs = "000e TComponent.Loaded 0016 TSession.Loaded 002d TSession.SetSessionNames 0040 TSession.SetActive 004f @HandleAnyException 0060 ApplicationHandleException 0067 @RaiseAgain 006c @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 57 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 53 00 74 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC F6 40 1C 10 74 0A 8B 45 FC E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_443_0 {
	meta:
		name = "TSession.LockSession"
		size = 55
		refs = "000c FCSect 0011 TMonitor.CheckMonitorSupport 0018 TMonitor.GetMonitor 0020 TMonitor.Enter 002a TSession.MakeCurrent"
	strings:
		$1 = { 53 56 8B D8 83 7B 70 00 75 27 8B 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? FF 43 70 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 FF 43 70 5E 5B C3 }
	condition:
		$1
}

rule function_444_0 {
	meta:
		name = "TSession.UnlockSession"
		size = 20
		refs = "000a FCSect 000f TMonitor.Exit"
	strings:
		$1 = { FF 48 70 83 78 70 00 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_445_0 {
	meta:
		name = "TSession.MakeCurrent"
		size = 37
		refs = "000d DbiSetCurrSession 0012 Check 001e TSession.SetActive"
	strings:
		$1 = { 53 56 8B D8 8B 73 38 85 F6 74 0E 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_446_0 {
	meta:
		name = "TSession.ModifyAlias"
		size = 476
		refs = "001e @UStrAddRef 0026 TSession.ModifyAlias 0034 TSession.LockSession 004a TSession.GetConfigMode 006d TSession.CheckConfigMode 007b TSession.GetAliasDriverName 008b @LStrFromUStr 0096 StrToOem 00a1 @UStrFromLStr 00b2 TSession.ModifyConfigParams 00bf CompareText 00ed TSession.SetConfigMode 00f3 @HandleFinally 010a TSession.UnlockSession 012c @LStrArrayClr 0139 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B D9 89 55 FC 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 88 45 EF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 E4 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F4 E8 ?? ?? ?? ?? 53 8B 4D F4 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 11 53 8B 4D F4 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 EF 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 5C 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 53 00 5C 00 25 00 73 00 5C 00 44 00 42 00 20 00 49 00 4E 00 46 00 4F 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 54 00 41 00 4E 00 44 00 41 00 52 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 5C 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 53 00 5C 00 25 00 73 00 5C 00 44 00 42 00 20 00 4F 00 50 00 45 00 4E 00 00 00 }
	condition:
		$1
}

rule function_447_0 {
	meta:
		name = "TSession.ModifyDriver"
		size = 516
		refs = "001e @UStrAddRef 0026 TSession.ModifyDriver 0034 TSession.LockSession 004a TSession.GetConfigMode 006d TSession.CheckConfigMode 007d @LStrFromUStr 0088 StrToOem 0093 @UStrFromLStr 00a4 TSession.ModifyConfigParams 00bc @LStrToPChar 00c1 IsStandardType 0102 TSession.SetConfigMode 0108 @HandleFinally 011f TSession.UnlockSession 0141 @LStrArrayClr 014e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B D9 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 88 45 F3 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F8 E8 ?? ?? ?? ?? 53 8B 4D F8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 E4 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 53 8B 4D F8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 11 53 8B 4D F8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 F3 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 5C 00 44 00 52 00 49 00 56 00 45 00 52 00 53 00 5C 00 25 00 73 00 5C 00 49 00 4E 00 49 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 5C 00 44 00 52 00 49 00 56 00 45 00 52 00 53 00 5C 00 25 00 73 00 5C 00 54 00 41 00 42 00 4C 00 45 00 20 00 43 00 52 00 45 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 5C 00 44 00 52 00 49 00 56 00 45 00 52 00 53 00 5C 00 25 00 73 00 5C 00 44 00 42 00 20 00 4F 00 50 00 45 00 4E 00 00 00 }
	condition:
		$1
}

rule function_448_0 {
	meta:
		name = "TSession.ModifyConfigParams"
		size = 270
		refs = "001d TSession.ModifyConfigParams 002a _Dn_TStringList 002f TStringList.Create 0052 TSession.GetConfigParams 0077 TStrings.GetName 00c3 TSession.SetConfigParams 00d8 TObject.Free 00de @HandleFinally 00fa @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D E0 89 5D E4 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F0 8B 45 EC 8B 10 FF 52 14 48 85 C0 7C 47 40 89 45 E8 33 DB 8D 4D E4 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 08 8B 08 FF 51 58 8B F0 85 F6 7C 1D 8D 4D E0 8B D6 8B 45 08 8B 30 FF 56 0C 8B 4D E0 8B D3 8B 45 EC 8B 30 FF 56 20 FF 45 F0 43 FF 4D E8 75 BF 83 7D F0 00 7E 12 8B 45 EC 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_449_0 {
	meta:
		name = "TSession.Notification"
		size = 90
		refs = "0010 TComponent.Notification 0022 _DV_TDBDataSet 0027 @IsClass 0039 @UStrAsg 0043 _DV_TDatabase"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 7F 57 00 74 3C 84 DB 75 38 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8D 86 4C 02 00 00 8B 57 5C E8 ?? ?? ?? ?? EB 17 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 89 BE 88 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_450_0 {
	meta:
		name = "TSession.Open"
		size = 8
		refs = "0003 TSession.SetActive"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79472_0 {
	meta:
		name = "DirectoryExists"
		size = 8
		refs = "0003 DirectoryExists"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34499_0 {
	meta:
		name = "IndyDirectoryExists"
		size = 8
		refs = "0003 DirectoryExists"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71421_0 {
	meta:
		name = "TAbstractSocket.Open"
		size = 8
		refs = "0003 TAbstractSocket.SetActive"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79892_0 {
	meta:
		name = "TApplication.NormalizeAllTopMosts"
		size = 8
		refs = "0003 TApplication.DoNormalizeTopMosts"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28177_0 {
	meta:
		name = "TAzureBlobManagement.ActivateAction"
		size = 8
		refs = "0003 TAzureBlobManagement.SetActive"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28970_0 {
	meta:
		name = "TAzureQueueManagement.ActivateAction"
		size = 8
		refs = "0003 TAzureQueueManagement.SetActive"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29110_0 {
	meta:
		name = "TAzureTableManagement.ActivateAction"
		size = 8
		refs = "0003 TAzureTableManagement.SetActive"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91179_0 {
	meta:
		name = "TChartPen.Show"
		size = 8
		refs = "0003 TChartPen.SetVisible"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90208_0 {
	meta:
		name = "TChartWalls.Show"
		size = 8
		refs = "0003 TChartWalls.SetVisible"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73181_0 {
	meta:
		name = "TCustomAddRemoveItem.SetEnabled"
		size = 8
		refs = "0003 TControl.SetEnabled"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26311_0 {
	meta:
		name = "TCustomDataSetAdapter.RestoreDefaultAdapterMode"
		size = 8
		refs = "0003 TCustomDataSetAdapter.SetInDefaultMode"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83520_0 {
	meta:
		name = "TCustomRibbonGroup.SetAutoSizing"
		size = 8
		refs = "0003 TCustomActionBar.SetAutoSizing"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94681_0 {
	meta:
		name = "TCustomTeePanel.PrintLandscape"
		size = 8
		refs = "0003 TCustomTeePanel.PrintOrientation"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95455_0 {
	meta:
		name = "TCustomWebBrowserChangeManager.Redo"
		size = 8
		refs = "0003 TCustomWebBrowserChangeManager.ExecChange"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65933_0 {
	meta:
		name = "TDirectory.CheckGetAttributesParameters"
		size = 8
		refs = "0003 TDirectory.InternalCheckDirPathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65934_0 {
	meta:
		name = "TDirectory.CheckGetCreationTimeParameters"
		size = 8
		refs = "0003 TDirectory.InternalCheckDirPathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65935_0 {
	meta:
		name = "TDirectory.CheckGetCreationTimeUtcParameters"
		size = 8
		refs = "0003 TDirectory.InternalCheckDirPathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65940_0 {
	meta:
		name = "TDirectory.CheckGetLastAccessTimeParameters"
		size = 8
		refs = "0003 TDirectory.InternalCheckDirPathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65941_0 {
	meta:
		name = "TDirectory.CheckGetLastAccessTimeUtcParameters"
		size = 8
		refs = "0003 TDirectory.InternalCheckDirPathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65942_0 {
	meta:
		name = "TDirectory.CheckGetLastWriteTimeParameters"
		size = 8
		refs = "0003 TDirectory.InternalCheckDirPathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65943_0 {
	meta:
		name = "TDirectory.CheckGetLastWriteTimeUtcParameters"
		size = 8
		refs = "0003 TDirectory.InternalCheckDirPathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65948_0 {
	meta:
		name = "TDirectory.CheckSetAttributesParameters"
		size = 8
		refs = "0003 TDirectory.InternalCheckDirPathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65949_0 {
	meta:
		name = "TDirectory.CheckSetCreationTimeParameters"
		size = 8
		refs = "0003 TDirectory.InternalCheckDirPathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65950_0 {
	meta:
		name = "TDirectory.CheckSetCreationTimeUtcParameters"
		size = 8
		refs = "0003 TDirectory.InternalCheckDirPathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65951_0 {
	meta:
		name = "TDirectory.CheckSetCurrentDirectoryParameters"
		size = 8
		refs = "0003 TDirectory.InternalCheckDirPathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65952_0 {
	meta:
		name = "TDirectory.CheckSetLastAccessTimeParameters"
		size = 8
		refs = "0003 TDirectory.InternalCheckDirPathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65953_0 {
	meta:
		name = "TDirectory.CheckSetLastAccessTimeUtcParameters"
		size = 8
		refs = "0003 TDirectory.InternalCheckDirPathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65954_0 {
	meta:
		name = "TDirectory.CheckSetLastWriteTimeParameters"
		size = 8
		refs = "0003 TDirectory.InternalCheckDirPathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65955_0 {
	meta:
		name = "TDirectory.CheckSetLastWriteTimeUtcParameters"
		size = 8
		refs = "0003 TDirectory.InternalCheckDirPathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66039_0 {
	meta:
		name = "TFile.CheckDecryptParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66041_0 {
	meta:
		name = "TFile.CheckEncryptParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66042_0 {
	meta:
		name = "TFile.CheckGetAttributesParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66043_0 {
	meta:
		name = "TFile.CheckGetCreationTimeParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66044_0 {
	meta:
		name = "TFile.CheckGetCreationTimeUtcParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66045_0 {
	meta:
		name = "TFile.CheckGetLastAccessTimeParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66046_0 {
	meta:
		name = "TFile.CheckGetLastAccessTimeUtcParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66047_0 {
	meta:
		name = "TFile.CheckGetLastWriteTimeParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66048_0 {
	meta:
		name = "TFile.CheckGetLastWriteTimeUtcParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66051_0 {
	meta:
		name = "TFile.CheckOpenReadParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66052_0 {
	meta:
		name = "TFile.CheckOpenTextParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66053_0 {
	meta:
		name = "TFile.CheckOpenWriteParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66054_0 {
	meta:
		name = "TFile.CheckReadAllBytesParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66058_0 {
	meta:
		name = "TFile.CheckSetAttributesParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66059_0 {
	meta:
		name = "TFile.CheckSetCreationTimeParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66060_0 {
	meta:
		name = "TFile.CheckSetCreationTimeUtcParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66061_0 {
	meta:
		name = "TFile.CheckSetLastAccessTimeParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66062_0 {
	meta:
		name = "TFile.CheckSetLastAccessTimeUtcParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66063_0 {
	meta:
		name = "TFile.CheckSetLastWriteTimeParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66064_0 {
	meta:
		name = "TFile.CheckSetLastWriteTimeUtcParameters"
		size = 8
		refs = "0003 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93033_0 {
	meta:
		name = "TFiltersEditor.ImageResize"
		size = 8
		refs = "0003 TFiltersEditor.Preview"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31424_0 {
	meta:
		name = "TIBQuery.Prepare"
		size = 8
		refs = "0003 TIBQuery.SetPrepared"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31789_0 {
	meta:
		name = "TIBSQL.Close"
		size = 8
		refs = "0003 TIBSQL.InternalClose"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31799_0 {
	meta:
		name = "TIBSQL.FreeHandle"
		size = 8
		refs = "0003 TIBSQL.InternalFreeHandle"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31954_0 {
	meta:
		name = "TIBStoredProc.Prepare"
		size = 8
		refs = "0003 TIBStoredProc.SetPrepared"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31736_0 {
	meta:
		name = "TIBXSQLVAR.Clear"
		size = 8
		refs = "0003 TIBXSQLVAR.SetIsNull"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44083_0 {
	meta:
		name = "TIWCustomControl.RepaintControl"
		size = 8
		refs = "0003 TIWCustomControl.set_DoRefreshControl"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73066_0 {
	meta:
		name = "TInternalMDIAction.UpdateTarget"
		size = 8
		refs = "0003 TCustomAction.SetEnabled"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82951_0 {
	meta:
		name = "TOutlineNode.Expand"
		size = 8
		refs = "0003 TOutlineNode.SetExpandedState"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66175_0 {
	meta:
		name = "TPath.IsPathRooted"
		size = 8
		refs = "0003 TPath.DoIsPathRooted"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_882_0 {
	meta:
		name = "TQuery.CreateHandle"
		size = 8
		refs = "0003 TQuery.CreateCursor"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62470_0 {
	meta:
		name = "TReader.ReadListBegin"
		size = 8
		refs = "0003 TReader.CheckValue"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78759_0 {
	meta:
		name = "TSendMail.UpdateTarget"
		size = 8
		refs = "0003 TCustomAction.SetEnabled"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94417_0 {
	meta:
		name = "TSeriesGroup.Hide"
		size = 8
		refs = "0003 TSeriesGroup.SetActive"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9915_0 {
	meta:
		name = "TStack<Data.DBXJSON.TJSONAncestor>.Pop"
		size = 8
		refs = "0003 TStack<Data.DBXJSON.TJSONAncestor>.DoPop"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_829_0 {
	meta:
		name = "TStoredProc.CreateHandle"
		size = 8
		refs = "0003 TStoredProc.CreateCursor"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94762_0 {
	meta:
		name = "TTeeCustomShapeBrushPen.Show"
		size = 8
		refs = "0003 TTeeCustomShapeBrushPen.SetVisible"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83979_0 {
	meta:
		name = "TTimerSpeedButton.CMMouseenter"
		size = 8
		refs = "0003 TTimerSpeedButton.SetMouseInControl"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74690_0 {
	meta:
		name = "TTreeNode.GetDropTarget"
		size = 8
		refs = "0003 TTreeNode.GetState"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50808_0 {
	meta:
		name = "TWebAppDbgMainForm.StartActionExecute"
		size = 8
		refs = "0003 TWebAppDbgMainForm.SetServerActive"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62538_0 {
	meta:
		name = "TWriter.WriteListBegin"
		size = 8
		refs = "0003 TWriter.WriteValue"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70510_0 {
	meta:
		name = "VarIsArray"
		size = 8
		refs = "0003 VarIsArray"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_451_0 {
	meta:
		name = "TSession.DoOpenDatabase"
		size = 225
		refs = "0019 TSession.LockSession 0021 TSession.DoOpenDatabase 0046 TSession.DoFindDatabase 0059 _DV_TDatabase 005e TDatabase.Create 006b TDatabase.SetDatabaseName 007a TDatabase.SetKeepConnection 008f TCustomConnection.Open 00a4 @HandleAnyException 00ac TObject.Free 00b1 @RaiseAgain 00b6 @DoneExcept 00cb TSession.UnlockSession 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8B DA 89 45 FC 33 C0 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 38 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 50 54 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 C6 40 72 01 8B 45 F4 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 FF 40 7C 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_452_0 {
	meta:
		name = "TSession.OpenDatabase"
		size = 8
		refs = "0003 TSession.DoOpenDatabase"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64159_0 {
	meta:
		name = "@Write0Bool"
		size = 8
		refs = "0003 @WriteBool"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64164_0 {
	meta:
		name = "@Write0CString"
		size = 8
		refs = "0003 @WriteCString"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64161_0 {
	meta:
		name = "@Write0Long"
		size = 8
		refs = "0003 @WriteLong"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64162_0 {
	meta:
		name = "@Write0String"
		size = 8
		refs = "0003 @WriteString"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64168_0 {
	meta:
		name = "@Write0UString"
		size = 8
		refs = "0003 @WriteUString"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64176_0 {
	meta:
		name = "@Write0Variant"
		size = 8
		refs = "0003 @WriteVariant"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94459_0 {
	meta:
		name = "AddFormTo"
		size = 8
		refs = "0003 AddFormTo"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65845_0 {
	meta:
		name = "AnsiSetLength"
		size = 8
		refs = "0003 @LStrSetLength"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95047_0 {
	meta:
		name = "ConvertTeeFileToBinary"
		size = 8
		refs = "0003 ConvertTeeFile"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90577_0 {
	meta:
		name = "EditChart"
		size = 8
		refs = "0003 EditChartPage"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91686_0 {
	meta:
		name = "SmoothStretch"
		size = 8
		refs = "0003 SmoothStretch"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5582_0 {
	meta:
		name = "TBCDField.GetValue"
		size = 8
		refs = "0003 TField.GetData"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80562_0 {
	meta:
		name = "TBitmap.SaveToStream"
		size = 8
		refs = "0003 TBitmap.WriteStream"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63110_0 {
	meta:
		name = "TClassList.Extract"
		size = 8
		refs = "0003 TList.ExtractItem"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63118_0 {
	meta:
		name = "TClassList.Remove"
		size = 8
		refs = "0003 TList.RemoveItem"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63096_0 {
	meta:
		name = "TComponentList.Extract"
		size = 8
		refs = "0003 TList.ExtractItem"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63106_0 {
	meta:
		name = "TComponentList.Remove"
		size = 8
		refs = "0003 TList.RemoveItem"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95649_0 {
	meta:
		name = "TCopyParser.SkipToken"
		size = 8
		refs = "0003 TCopyParser.SkipToNextToken"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15405_0 {
	meta:
		name = "TCustomClientDataSet.SetIndexName"
		size = 8
		refs = "0003 TCustomClientDataSet.SetIndex"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90518_0 {
	meta:
		name = "TCustomDBChart.DataSourceCheckDataSet"
		size = 8
		refs = "0003 TCustomDBChart.CheckDataSet"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83058_0 {
	meta:
		name = "TCustomOutline.LoadFromFile"
		size = 8
		refs = "0003 TCustomOutline.LoadFromFile"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83065_0 {
	meta:
		name = "TCustomOutline.LoadFromStream"
		size = 8
		refs = "0003 TCustomOutline.LoadFromStream"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83068_0 {
	meta:
		name = "TCustomOutline.SaveToFile"
		size = 8
		refs = "0003 TCustomOutline.SaveToFile"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83070_0 {
	meta:
		name = "TCustomOutline.SaveToStream"
		size = 8
		refs = "0003 TCustomOutline.SaveToStream"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74860_0 {
	meta:
		name = "TCustomTreeView.LoadFromStream"
		size = 8
		refs = "0003 TCustomTreeView.LoadFromStream"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74864_0 {
	meta:
		name = "TCustomTreeView.SaveToStream"
		size = 8
		refs = "0003 TCustomTreeView.SaveToStream"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12905_0 {
	meta:
		name = "TDBXSqlScanner.Init"
		size = 8
		refs = "0003 TDBXSqlScanner.Init"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24363_0 {
	meta:
		name = "TDSSessionManager.TerminateAllSessions"
		size = 8
		refs = "0003 TDSSessionManager.TerminateAllSessions"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_520_0 {
	meta:
		name = "TDatabase.SetDriverName"
		size = 8
		refs = "0003 TDatabase.SetDatabaseType"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5511_0 {
	meta:
		name = "TDateTimeField.GetValue"
		size = 8
		refs = "0003 TField.GetData"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5610_0 {
	meta:
		name = "TFMTBCDField.GetValue"
		size = 8
		refs = "0003 TField.GetData"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30176_0 {
	meta:
		name = "TIBStringField.SetAsString"
		size = 8
		refs = "0003 TField.SetData"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32003_0 {
	meta:
		name = "TIBTable.SetIndexName"
		size = 8
		refs = "0003 TIBTable.SetIndex"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43157_0 {
	meta:
		name = "TIWApplication.TerminateAndRedirect"
		size = 8
		refs = "0003 TIWApplication.TerminateAndRedirect"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35736_0 {
	meta:
		name = "TIdIRC.CommandBOUNCE"
		size = 8
		refs = "0003 TIdIRC.DoBounce"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32568_0 {
	meta:
		name = "TIdObjectList.Remove"
		size = 8
		refs = "0003 TList.RemoveItem"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80715_0 {
	meta:
		name = "TInplaceEdit.UpdateLoc"
		size = 8
		refs = "0003 TInplaceEdit.InternalMove"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62151_0 {
	meta:
		name = "TInterfaceList.IndexOf"
		size = 8
		refs = "0003 TInterfaceList.IndexOfItem"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62157_0 {
	meta:
		name = "TInterfaceList.Remove"
		size = 8
		refs = "0003 TInterfaceList.RemoveItem"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48830_0 {
	meta:
		name = "TInvokableClassRegistry.RegisterInvokableClass"
		size = 8
		refs = "0003 TInvokableClassRegistry.RegisterInvokableClass"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62126_0 {
	meta:
		name = "TList.Extract"
		size = 8
		refs = "0003 TList.ExtractItem"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62117_0 {
	meta:
		name = "TList.Remove"
		size = 8
		refs = "0003 TList.RemoveItem"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63078_0 {
	meta:
		name = "TObjectList.Extract"
		size = 8
		refs = "0003 TList.ExtractItem"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63088_0 {
	meta:
		name = "TObjectList.Remove"
		size = 8
		refs = "0003 TList.RemoveItem"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14436_0 {
	meta:
		name = "TSQLConnection.RollbackFreeAndNil"
		size = 8
		refs = "0003 TSQLConnection.EndFreeAndNilTransaction"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5528_0 {
	meta:
		name = "TSQLTimeStampField.GetValue"
		size = 8
		refs = "0003 TField.GetData"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5529_0 {
	meta:
		name = "TSQLTimeStampField.SetAsSQLTimeStamp"
		size = 8
		refs = "0003 TField.SetData"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5542_0 {
	meta:
		name = "TSQLTimeStampOffsetField.GetValue"
		size = 8
		refs = "0003 TField.GetData"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5544_0 {
	meta:
		name = "TSQLTimeStampOffsetField.SetAsSQLTimeStampOffset"
		size = 8
		refs = "0003 TField.SetData"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62356_0 {
	meta:
		name = "TStream.WriteComponent"
		size = 8
		refs = "0003 TStream.WriteDescendent"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81005_0 {
	meta:
		name = "TStringGrid.GetRows"
		size = 8
		refs = "0003 TStringGrid.EnsureColRow"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_743_0 {
	meta:
		name = "TTable.SetIndexName"
		size = 8
		refs = "0003 TTable.SetIndex"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_788_0 {
	meta:
		name = "TTable.UnlockTable"
		size = 8
		refs = "0003 TTable.SetTableLock"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92896_0 {
	meta:
		name = "TTeeExportFormat.SaveToFile"
		size = 8
		refs = "0003 TTeeExportFormat.SaveToFile"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62135_0 {
	meta:
		name = "TThreadList.Remove"
		size = 8
		refs = "0003 TThreadList.RemoveItem"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62573_0 {
	meta:
		name = "TWriter.WriteRootComponent"
		size = 8
		refs = "0003 TWriter.WriteDescendent"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_109929_0 {
	meta:
		name = "ZeroMemory"
		size = 8
		refs = "0003 @FillChar"
	strings:
		$1 = { 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_453_0 {
	meta:
		name = "TSession.SessionNameStored"
		size = 7
	strings:
		$1 = { 0F B6 40 57 34 01 C3 }
	condition:
		$1
}

rule function_454_0 {
	meta:
		name = "TSession.LoadSMClient"
		size = 612
		refs = "001a TSession.LoadSMClient 004a DbiGetCallBack 0077 OpenFileMapping 008e CloseHandle 009c DefaultSession 00af @IntfClear 00be Class_SMClient 00c4 CoCreateInstance 00e0 @IntfCopy 00f5 DBApplication 010a SUntitled 010f LoadResString 0145 Format 0150 @UStrLAsg 0155 TSession.SMClientSignal 0161 @UStrToPWChar 0184 @GetMem 019f TSession.SqlTraceCallback 01ab _DV_TBDECallback 01b0 TBDECallback.Create 01bd TList.Add 01e9 @HandleAnyException 01f5 @DoneExcept 020a @UStrClr 0218 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D F0 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 83 78 48 00 75 21 8D 45 F4 50 6A 00 6A 00 6A 00 6A 1B 6A 00 E8 ?? ?? ?? ?? 66 85 C0 74 09 8B 45 F8 80 78 52 00 74 0D 33 C0 5A 59 59 64 89 10 E9 90 01 00 00 84 DB 75 25 68 ?? ?? ?? ?? 6A 00 6A 04 E8 ?? ?? ?? ?? 85 C0 75 0D 33 C0 5A 59 59 64 89 10 E9 6D 01 00 00 50 E8 ?? ?? ?? ?? 8B 45 F8 83 78 48 00 75 49 E8 ?? ?? ?? ?? 83 78 48 00 75 22 E8 ?? ?? ?? ?? 83 C0 48 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 01 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 80 78 55 00 75 13 E8 ?? ?? ?? ?? 8B 50 48 8B 45 F8 83 C0 48 E8 ?? ?? ?? ?? 8B 45 F8 83 78 48 00 0F 84 ED 00 00 00 8D 55 FC A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 0C 83 7D FC 00 75 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 80 78 55 00 75 38 8D 45 F0 50 8B 45 FC 89 45 E0 C6 45 E4 11 8B 45 F8 8B 40 5C 89 45 E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 8B 40 38 50 8B 45 F8 8B 40 48 50 8B 00 FF 50 0C 66 85 C0 74 45 B8 06 80 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 89 58 4C 6A 00 6A 1B 53 68 06 80 00 00 8B 45 F8 50 68 ?? ?? ?? ?? 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 40 E8 ?? ?? ?? ?? EB 0B 8B 45 F8 83 C0 48 E8 ?? ?? ?? ?? 8B 45 F8 83 78 48 00 0F 94 C0 8B 55 F8 88 42 52 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? 8B 45 F8 C6 40 52 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 53 00 4D 00 42 00 75 00 66 00 66 00 65 00 72 00 00 00 00 00 E1 79 98 CB 95 43 D0 11 9F FC 00 A0 24 8E 4B 9A B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2E 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_455_0 {
	meta:
		name = "TSession.RegisterCallbacks"
		size = 225
		refs = "000d GetCurrentThreadId 0013 MainThreadID 0031 TSession.ServerCallback 003c _DV_TBDECallback 0041 TBDECallback.Create 004b TList.Add 005b TSession.DBLoginCallback 008d TList.Get 0092 TObject.Free 00ae TSession.RegisterCallbacks 00bc @FreeMem 00c4 @IntfClear 00d3 @HandleAnyException 00d8 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 84 D2 74 6F E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 02 0F 85 BD 00 00 00 80 7B 56 00 74 2A 6A 00 6A 15 8D 43 6C 50 6A 04 53 68 ?? ?? ?? ?? 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 40 E8 ?? ?? ?? ?? 6A 00 6A 1C 8D 43 78 50 6A 50 53 68 ?? ?? ?? ?? 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 40 E8 ?? ?? ?? ?? EB 61 8B 43 40 8B 70 08 4E 83 FE 00 7C 15 8B 43 40 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4E 83 FE FF 75 EB 8B 43 40 8B 10 FF 52 08 83 7B 48 00 74 32 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 4C E8 ?? ?? ?? ?? 8D 43 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_456_0 {
	meta:
		name = "TSession.RemoveDatabase"
		size = 34
		refs = "0010 TList.RemoveItem 001b TSession.DBNotification"
	strings:
		$1 = { 53 51 89 14 24 8B D8 8B 43 3C 8B 14 24 33 C9 E8 ?? ?? ?? ?? 8B CC B2 03 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_457_0 {
	meta:
		name = "TSession.RemoveAllPasswords"
		size = 68
		refs = "000b TSession.LockSession 0013 TSession.RemoveAllPasswords 0020 DbiDropPassword 0035 TSession.UnlockSession 003b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_458_0 {
	meta:
		name = "TSession.RemovePassword"
		size = 105
		refs = "0013 TSession.LockSession 001b TSession.RemovePassword 003d AnsiToNative 0043 DbiDropPassword 0058 TSession.UnlockSession 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 1E 68 FF 00 00 00 8D 8D FC FE FF FF 8B 45 FC 8B 40 44 8B D3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_459_0 {
	meta:
		name = "TSession.SaveConfigFile"
		size = 108
		refs = "000d TSession.GetConfigMode 0018 TSession.SaveConfigFile 002d TSession.SetConfigMode 0038 DbiCfgSave 003d Check 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A FF 6A 00 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 FB 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 59 59 5D C3 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_460_0 {
	meta:
		name = "TSession.ServerCallback"
		size = 118
		refs = "0007 GetCurrentThreadId 000d MainThreadID 001e TimerID 0026 TimerCallBack 002b SQLDelay 0035 SetTimer 0040 DBScreen 0068 GetTickCount 006d StartTime"
	strings:
		$1 = { 53 56 8B D8 33 F6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 02 75 5C 83 7B 6C 01 75 56 66 83 3D ?? ?? ?? ?? 00 75 1A 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 74 1E A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 0C 3C 02 74 0E A1 ?? ?? ?? ?? 8B 00 B2 02 8B 08 FF 51 10 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_461_0 {
	meta:
		name = "TSession.SetActive"
		size = 41
		refs = "0015 TSession.GetActive 0022 TSession.StartSession"
	strings:
		$1 = { 53 56 8B DA 8B F0 F6 46 1C 02 74 06 88 5E 53 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 3A D8 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_462_0 {
	meta:
		name = "TSession.SetAutoSessionName"
		size = 308
		refs = "002b TSession.CheckInactive 003b TSession.ValidateAutoSession 004b FCSect 0050 TMonitor.CheckMonitorSupport 0057 TMonitor.GetMonitor 005f TMonitor.Enter 0067 TSession.SetAutoSessionName 0072 Sessions 007a TBits.OpenBit 0093 TBits.SetBit 00aa TMonitor.Exit 00b0 @HandleFinally 00ba TSession.UpdateAutoSessionName"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 88 55 FB 89 45 FC 8B 45 FC 0F B6 40 57 3A 45 FB 0F 84 12 01 00 00 80 7D FB 00 0F 84 99 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 50 04 B1 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 60 FF FF FF FF 8B 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 60 8B D3 A1 ?? ?? ?? ?? 8B 40 08 B1 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC E8 ?? ?? ?? ?? EB 65 8B 45 FC 83 78 60 FF 7E 5C 8B 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 60 A1 ?? ?? ?? ?? 8B 40 08 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 0F B6 55 FB 88 50 57 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_463_0 {
	meta:
		name = "TSession.GetConfigMode"
		size = 87
		refs = "000d TSession.LockSession 0015 TSession.GetConfigMode 002b GetIntProp 0043 TSession.UnlockSession 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 38 BA 0C 00 02 00 E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_464_0 {
	meta:
		name = "TSession.SetConfigMode"
		size = 94
		refs = "0010 TSession.LockSession 0018 TSession.SetConfigMode 0034 DbiSetProp 0039 Check 004e TSession.UnlockSession 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 FB 50 68 0C 00 02 00 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_465_0 {
	meta:
		name = "TSession.SetConfigParams"
		size = 222
		refs = "0018 TSession.SetConfigParams 0028 _DV_TParamList 002d TParamList.Create 006b Format 007b @LStrFromUStr 0083 @LStrToPChar 008b DbiCfgModifyRecord 0090 Check 00a5 TObject.Free 00ab @HandleFinally 00c2 @UStrClr 00ca @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F8 89 5D F4 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 40 08 50 8B 45 FC 0F B7 40 04 50 8D 45 F4 50 89 75 EC C6 45 F0 11 8D 55 EC 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_466_0 {
	meta:
		name = "TSession.SetName"
		size = 25
		refs = "0006 TComponent.SetName 0013 TSession.UpdateAutoSessionName"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 57 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_467_0 {
	meta:
		name = "TSession.SetNetFileDir"
		size = 142
		refs = "0013 TSession.GetActive 001f TSession.LockSession 0027 TSession.SetNetFileDir 0042 AnsiToNative 0050 TSession.GetHandle 0056 DbiSetProp 005b Check 0070 TSession.UnlockSession 0076 @HandleFinally 0086 @UStrAsg"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 61 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 04 01 00 00 8D 8D F3 FE FF FF 8B 55 F8 33 C0 E8 ?? ?? ?? ?? 50 68 02 00 02 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 83 C0 64 8B 55 F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_468_0 {
	meta:
		name = "TSession.SetPrivateDir"
		size = 128
		refs = "0013 TSession.GetActive 001f TSession.LockSession 0027 TSession.SetPrivateDir 0042 AnsiToNative 0048 DbiSetPrivateDir 004d Check 0062 TSession.UnlockSession 0068 @HandleFinally 0078 @UStrAsg"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 53 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 04 01 00 00 8D 8D F3 FE FF FF 8B 55 F8 33 C0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 83 C0 68 8B 55 F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_469_0 {
	meta:
		name = "TSession.SetSessionName"
		size = 186
		refs = "0018 TSession.SetSessionName 0032 SAutoSessionActive 0037 LoadResString 0041 DatabaseError 0048 TSession.CheckInactive 0053 Sessions 0058 TSessionList.FindSession 0069 SDuplicateSessionName 0084 DatabaseErrorFmt 008e @UStrAsg 00a8 @UStrArrayClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 57 00 74 1D 80 7B 58 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 F6 74 38 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 28 3B D8 74 24 53 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 75 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8D 43 5C 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_470_0 {
	meta:
		name = "TSession.SetSessionNames"
		size = 143
		refs = "0010 TComponent.GetComponentCount 0024 TComponent.GetComponent 002e _DV_TDBDataSet 0033 @IsClass 0045 AnsiCompareText 0053 TDBDataSet.SetSessionName 005d _DV_TDatabase 0082 TDatabase.SetSessionName"
	strings:
		$1 = { 53 56 57 55 8B F0 8B 5E 04 85 DB 74 7D 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 6F 47 33 ED 8B D5 8B 46 04 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B 83 4C 02 00 00 8B 56 5C E8 ?? ?? ?? ?? 85 C0 74 0C 8B 56 5C 8B C3 E8 ?? ?? ?? ?? EB 2D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8B 83 94 00 00 00 8B 56 5C E8 ?? ?? ?? ?? 85 C0 74 0A 8B 56 5C 8B C3 E8 ?? ?? ?? ?? 45 4F 75 94 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_471_0 {
	meta:
		name = "TSession.SetTraceFlags"
		size = 58
		refs = "0023 TList.Get 002c TDatabase.SetTraceFlags"
	strings:
		$1 = { 53 56 51 66 89 14 24 8B F0 0F B7 04 24 66 89 46 50 8B 46 3C 8B 58 08 4B 83 FB 00 7C 19 8B D3 8B 46 3C E8 ?? ?? ?? ?? 0F B7 56 50 E8 ?? ?? ?? ?? 4B 83 FB FF 75 E7 5A 5E 5B C3 }
	condition:
		$1
}

rule function_472_0 {
	meta:
		name = "TSession.SMClientSignal"
		size = 8
		refs = "0003 TSession.SetTraceFlags"
	strings:
		$1 = { 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45478_0 {
	meta:
		name = "TFormIWMain.OnDebugLogBytes"
		size = 8
		refs = "0003 TFormIWMain.LogBytes"
	strings:
		$1 = { 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_473_0 {
	meta:
		name = "TSession.SqlTraceCallback"
		size = 96
		refs = "000e TSession.SqlTraceCallback 001e @PCharLen 003b @HandleAnyException 004a TSession.SetTraceFlags 004f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 5A 06 8B C3 E8 ?? ?? ?? ?? 50 53 8B 45 FC 8B 40 48 50 8B 00 FF 50 10 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 59 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_474_0 {
	meta:
		name = "TSession.StartSession"
		size = 588
		refs = "0017 TSession.StartSession 0023 FCSect 0028 TMonitor.CheckMonitorSupport 002f TMonitor.GetMonitor 0037 TMonitor.Enter 007d SSessionNameMissing 0082 LoadResString 008d DatabaseError 0092 DefaultSession 00a3 TSession.SetActive 00b4 TSession.InitializeBDE 00c6 DbiStartSession 00cb Check 00e3 TSession.RegisterCallbacks 00fa TSession.SetNetFileDir 0111 TSession.SetPrivateDir 0120 TSession.SetConfigMode 0128 TSession.CallBDEInitProcs 013a @HandleAnyException 0149 @RaiseAgain 014e @DoneExcept 015f DbiSetCurrSession 017b TList.Get 0186 TObject.Free 018d TCustomConnection.Close 01b4 IsLibrary 01c0 DLLDetachCallBack 01cd DbiRegisterCallBack 01d2 DbiDLLExit 01d7 DbiExit 01e5 DbiCloseSession 0217 TMonitor.Exit 021d @HandleFinally 0234 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 84 DB 0F 84 06 01 00 00 8B 45 FC 66 83 B8 D2 00 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 D4 00 00 00 FF 93 D0 00 00 00 8B 45 FC 83 78 5C 00 75 18 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 FC 74 0C E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 45 FC 80 78 55 00 74 0A 8B 45 FC E8 ?? ?? ?? ?? EB 15 6A 00 8B 45 FC 83 C0 38 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 78 64 00 74 0E 8B 45 FC 8B 50 64 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 78 68 00 74 0E 8B 45 FC 8B 50 68 8B 45 FC E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 CB 00 00 00 E9 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AD 00 00 00 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 8B 58 08 4B 83 FB 00 7C 25 8B 45 FC 8B 40 3C 8B D3 E8 ?? ?? ?? ?? 80 78 72 00 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 55 00 74 33 8B 45 FC 80 78 59 00 75 49 A1 ?? ?? ?? ?? 80 38 00 74 19 6A 00 68 ?? ?? ?? ?? 6A 00 6A 00 6A 1D 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1F 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 38 50 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 07 00 00 00 }
	condition:
		$1
}

rule function_475_0 {
	meta:
		name = "TSession.UpdateAutoSessionName"
		size = 204
		refs = "0012 TSession.UpdateAutoSessionName 005e Format 0069 TSession.SetSessionName 0083 @HandleFinally 008d TSession.SetSessionNames 00a2 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 58 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B 45 FC 8B 40 08 89 45 E8 C6 45 EC 11 8B 45 FC 8B 40 60 40 89 45 F0 C6 45 F4 00 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 58 00 C3 E9 ?? ?? ?? ?? EB F1 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 5F 00 25 00 64 00 00 00 }
	condition:
		$1
}

rule function_476_0 {
	meta:
		name = "TSession.ValidateAutoSession"
		size = 225
		refs = "001e TSession.ValidateAutoSession 0036 TComponent.GetComponentCount 004a TComponent.GetComponent 0059 _DV_TSession 005e @IsClass 0070 SAutoSessionExclusive 0075 LoadResString 0080 DatabaseError 0092 SAutoSessionExists 00b0 DatabaseErrorFmt 00ce @UStrArrayClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D EC 89 5D F0 88 4D F7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 0F 84 86 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 77 46 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 3B 5D FC 74 5F 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4E 80 7D F7 00 74 1A 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? EB 2E 80 7B 57 00 74 28 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 43 08 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 47 4E 75 8C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_477_0 {
	meta:
		name = "TParamList.Create"
		size = 600
		refs = "0022 @ClassCreate 0033 TParamList.Create 006b Pos 00b4 TFieldDescList 00b9 @DynArraySetLength 00c8 AllocMem 0111 @LStrFromUStr 0159 @LStrCopy 0169 StrPLCopy 01ae @LStrToPChar 01b8 StrCopy 01c5 CharToOemA 01f0 @LStrArrayClr 01f8 @UStrClr 0200 @LStrClr 020e @HandleFinally 021e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 89 5D DC 89 5D FC 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D EC 88 55 F3 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4C 46 C7 45 E8 00 00 00 00 8D 4D FC 8B 55 E8 8B 45 EC 8B 18 FF 53 0C 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 74 1D 8B 45 F4 FF 40 04 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 66 2B C7 40 8B 55 F4 66 01 42 10 FF 45 E8 4E 75 BC 8B 45 F4 8B 58 04 85 DB 0F 8E 34 01 00 00 53 8B 45 F4 83 C0 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 0F B7 40 10 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 89 58 0C 33 C0 89 45 E4 89 5D E0 8B 45 EC 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C EB 00 00 00 46 C7 45 E8 00 00 00 00 8D 4D DC 8B 55 E8 8B 45 EC 8B 18 FF 53 0C 8B 55 DC 8D 45 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 A4 00 00 00 8B 45 E4 8B D0 C1 E0 05 2B C2 8B 55 F4 8B 52 08 8D 1C 42 FF 45 E4 0F B7 45 E4 66 89 03 8D 45 D8 50 8B CF 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D8 8D 43 02 B9 1F 00 00 00 E8 ?? ?? ?? ?? 66 C7 43 22 01 00 8B 45 F4 0F B7 55 E0 66 2B 50 0C 66 89 53 2A 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 66 2B C7 40 66 89 43 2C 8D 45 D4 50 8D 57 01 B9 FF 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B D0 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 E0 50 E8 ?? ?? ?? ?? 0F B7 43 2C 01 45 E0 FF 45 E8 4E 0F 85 1D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_478_0 {
	meta:
		name = "TParamList.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 DisposeMem 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B7 56 10 8D 46 0C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_479_0 {
	meta:
		name = "TDatabase.Create"
		size = 190
		refs = "000b @ClassCreate 001c TCustomConnection.Create 002d _DV_TSession 0032 @IsClass 0043 DefaultSession 0059 TDatabase.SetSessionName 0066 TSession.AddDatabase 006d _Dn_TStringList 0072 TStringList.Create 0084 TDatabase.ParamsChanging 00aa @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 83 BF 88 00 00 00 00 75 24 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 89 B7 88 00 00 00 EB 0B E8 ?? ?? ?? ?? 89 87 88 00 00 00 8B 87 88 00 00 00 8B 50 5C 8B C7 E8 ?? ?? ?? ?? 8B 87 88 00 00 00 8B D7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B7 8C 00 00 00 89 7E 4C C7 46 48 ?? ?? ?? ?? C6 47 44 01 C6 47 71 01 8B 87 88 00 00 00 8B 40 44 89 87 84 00 00 00 C6 47 70 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_480_0 {
	meta:
		name = "TDatabase.Destroy"
		size = 89
		refs = "0003 @BeforeDestruction 000e TComponent.Destroying 0015 TCustomConnection.Close 0026 TSession.RemoveDatabase 0031 TCustomConnection.Destroy 003c TObject.Free 0052 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 88 00 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 8C 00 00 00 E8 ?? ?? ?? ?? 8B 86 90 00 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_481_0 {
	meta:
		name = "TDatabase.ApplyUpdates"
		size = 273
		refs = "001e TDatabase.ApplyUpdates 002c TDatabase.StartTransaction 005e SUpdateWrongDB 0063 LoadResString 008c Format 0096 DatabaseError 009d TBDEDataSet.ApplyUpdates 00ab TDatabase.Commit 00ba @HandleAnyException 00c2 TDatabase.Rollback 00c7 @RaiseAgain 00cc @DoneExcept 00de TBDEDataSet.CommitUpdates 00fe @UStrArrayClr 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D F0 89 5D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 75 F4 85 F6 7C 62 46 8B 5D F8 8B 3B 8B 87 44 02 00 00 3B 45 FC 74 44 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 47 08 89 45 DC C6 45 E0 11 8B 45 FC 8B 40 08 89 45 E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 83 C3 04 4E 75 A2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 75 F4 85 F6 7C 11 46 8B 5D F8 8B 03 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_482_0 {
	meta:
		name = "TDatabase.ClearStatements"
		size = 91
		refs = "0023 TList.Get 002c DbiQFree 003f TStmtInfo 0044 @Dispose"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 90 00 00 00 85 C0 74 48 8B 78 08 4F 85 FF 7C 35 47 33 F6 8B D6 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 83 C0 04 50 E8 ?? ?? ?? ?? 8B D6 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 CE 8B 83 90 00 00 00 8B 10 FF 52 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_483_0 {
	meta:
		name = "GetHashCode"
		size = 103
		refs = "0013 @PWCharLen"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 33 DB BE 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 83 F8 10 7D 1A 48 83 F8 00 7C 3D 0F B7 14 77 6B CB 25 03 D1 8B DA 46 48 83 F8 FF 75 EE EB 29 8B D0 85 D2 79 03 83 C2 07 C1 FA 03 89 55 FC 48 85 C0 7C 15 0F B7 14 77 6B CB 27 03 D1 8B DA 2B 45 FC 03 75 FC 85 C0 7D EB 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_484_0 {
	meta:
		name = "GetStmtInfo"
		size = 336
		refs = "0017 GetStmtInfo 0033 _Dn_TList 0038 TObject.Create 0050 GetHashCode 0083 TList.Get 0097 @UStrLAsg 00a1 @UStrFromPWChar 00c8 CompareText 00e8 TStmtInfo 00f2 @New 0109 TList.Add 0118 @FillChar 013a @UStrArrayClr 0140 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 83 B8 90 00 00 00 00 75 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 82 90 00 00 00 33 C0 89 45 F4 8B C7 E8 ?? ?? ?? ?? 89 45 F0 8B 45 08 8B 40 FC 8B 80 90 00 00 00 8B 70 08 4E 85 F6 7C 75 46 C7 45 EC 00 00 00 00 8B 45 08 8B 40 FC 8B 80 90 00 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B D8 8B 03 3B 45 F0 75 4A 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 05 89 5D F4 EB 06 FF 45 EC 4E 75 93 83 7D F4 00 75 3E 8B 15 ?? ?? ?? ?? B8 0C 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 8B 45 08 8B 40 FC 8B 80 90 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F0 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_485_0 {
	meta:
		name = "GetStatementHandle"
		size = 358
		refs = "0011 GetStatementHandle 0036 @UStrToPWChar 003b GetStmtInfo 0066 DbiQAlloc 006b Check 0084 DbiSetProp 00a4 SetBoolProp 00d9 @LStrFromUStr 00e1 @LStrToPChar 00eb DbiQPrepare 010e TSession.GetPassword 0119 DbiError 0136 @UStrAsg 0151 @LStrClr 0157 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 33 C0 89 45 FC 8B 45 08 80 78 0C 00 74 1D 8B 45 08 50 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B F0 8B 46 04 89 45 FC 83 7D FC 00 0F 85 EE 00 00 00 8D 45 FC 50 6A 02 8B 45 08 8B 40 FC 8B 80 80 00 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 83 78 08 00 74 15 6A 02 68 21 00 06 00 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 78 76 00 75 21 33 C9 BA 26 00 06 00 8B 45 FC E8 ?? ?? ?? ?? 83 C9 FF BA 42 00 06 00 8B 45 FC E8 ?? ?? ?? ?? EB 10 83 C9 FF BA 10 00 06 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 8B 55 08 8B 52 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 8B C3 66 83 E8 01 72 2F 66 2D 01 29 74 02 EB 1E 8B 45 08 8B 40 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 B4 8B C3 E8 ?? ?? ?? ?? EB AB 8B C3 E8 ?? ?? ?? ?? EB A2 85 F6 74 14 8D 46 08 8B 55 08 8B 52 F8 E8 ?? ?? ?? ?? 8B 45 FC 89 46 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_486_0 {
	meta:
		name = "TDatabase.Execute"
		size = 285
		refs = "0018 TDatabase.Execute 0026 TCustomConnection.Open 0042 GetStatementHandle 0061 SetQueryParams 006e DbiQExec 0073 Check 008f DbiQFree 0095 @HandleFinally 00ab @LStrFromUStr 00b3 @LStrToPChar 00c5 DbiQExecDirect 00e8 DbiGetProp 0107 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D E8 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 85 DB 74 0C 8B 43 08 83 78 08 00 0F 9F C0 EB 02 33 C0 84 C0 74 5B 55 E8 ?? ?? ?? ?? 59 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 F0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D 0C 00 75 09 8D 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 8B 45 08 50 8D 45 E8 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 50 6A 02 8B 45 FC 8B 80 80 00 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 08 00 75 22 8D 45 EE 50 6A 04 8D 45 F4 50 68 14 00 06 00 8B 45 F0 50 E8 ?? ?? ?? ?? 66 85 C0 74 05 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_487_0 {
	meta:
		name = "TDatabase.CheckActive"
		size = 87
		refs = "000c TDatabase.CheckActive 0023 SDatabaseClosed 0028 LoadResString 0032 DatabaseError 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 80 00 00 00 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_488_0 {
	meta:
		name = "TDatabase.CheckInactive"
		size = 102
		refs = "000c TDatabase.CheckInactive 0028 TCustomConnection.Close 0032 SDatabaseOpen 0037 LoadResString 0041 DatabaseError 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 80 00 00 00 00 74 26 F6 43 1C 10 74 09 8B C3 E8 ?? ?? ?? ?? EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_489_0 {
	meta:
		name = "TDatabase.CheckDatabaseName"
		size = 93
		refs = "000c TDatabase.CheckDatabaseName 0029 SDatabaseNameMissing 002e LoadResString 0038 DatabaseError 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 98 00 00 00 00 75 1D 80 7B 72 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_490_0 {
	meta:
		name = "TDatabase.CheckSessionName"
		size = 231
		refs = "001a Sessions 001f TSessionList.GetSessionByName 0036 TSessionList.FindSession 0060 TSession.RemoveDatabase 0073 TComponent.FreeNotification 0084 TSession.AddDatabase 008c TDatabase.CheckSessionName 00a3 TDatabase.ValidateName 00b2 @HandleAnyException 00bf @UStrClr 00c4 @RaiseAgain 00c9 @DoneExcept 00dd TSession.SetActive"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 84 DB 74 17 8B 45 FC 8B 90 94 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 15 8B 45 FC 8B 90 94 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 89 00 00 00 8B 45 FC 3B B0 88 00 00 00 74 7E 8B 45 FC 8B 80 88 00 00 00 85 C0 74 08 8B 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 89 82 88 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 98 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 05 98 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 10 8B 45 FC 8B 80 88 00 00 00 B2 01 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_491_0 {
	meta:
		name = "TDatabase.DoDisconnect"
		size = 220
		refs = "0018 TDatabase.ClearStatements 002a TSession.DBNotification 0032 TDatabase.CloseDataSets 0049 OsLdUnloadObj 0055 DefaultSession 007b TSession.CloseDatabaseHandle 00c4 TDatabase.DoDisconnect 00c9 TSession.InternalDeleteAlias"
	strings:
		$1 = { 51 89 04 24 8B 04 24 83 B8 80 00 00 00 00 0F 84 C0 00 00 00 8B 04 24 E8 ?? ?? ?? ?? 8B CC 8B 04 24 8B 80 88 00 00 00 B2 01 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 8B 04 24 80 78 74 00 74 0E 8B 04 24 05 84 00 00 00 50 E8 ?? ?? ?? ?? 8B 04 24 C6 40 74 00 E8 ?? ?? ?? ?? 8B 40 44 8B 14 24 89 82 84 00 00 00 8B 04 24 80 78 77 00 75 13 8B 04 24 8B 80 88 00 00 00 8B 14 24 E8 ?? ?? ?? ?? EB 07 8B 04 24 C6 40 77 00 8B 04 24 C6 40 76 00 8B 04 24 33 D2 89 90 80 00 00 00 8B 04 24 33 D2 89 50 7C 8B 04 24 80 78 73 00 74 29 6A 01 8B 44 24 04 8B 90 98 00 00 00 8B 44 24 04 8B 80 88 00 00 00 0F B6 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 C6 40 73 00 5A C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_492_0 {
	meta:
		name = "TDatabase.CloseDataSets"
		size = 43
		refs = "0012 TDatabase.GetDataSet"
	strings:
		$1 = { 53 8B D8 EB 19 8B C3 8B 10 FF 52 50 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 D4 02 00 00 8B C3 8B 10 FF 52 50 85 C0 75 DC 5B C3 }
	condition:
		$1
}

rule function_493_0 {
	meta:
		name = "TDatabase.Commit"
		size = 21
		refs = "0006 TDatabase.CheckActive 000f TDatabase.EndTransaction"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90752_0 {
	meta:
		name = "TCustomBarSeries.SetParentChart"
		size = 21
		refs = "0006 TChartSeries.SetParentChart 000f TCustomBarSeries.SetOtherBars"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77578_0 {
	meta:
		name = "TCustomDBLookupComboBox.CMFontChanged"
		size = 21
		refs = "0006 TWinControl.CMFontChanged 000f TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95302_0 {
	meta:
		name = "TCustomGridBehavior.Refresh"
		size = 21
		refs = "0006 TCustomBGColorBehavior.Refresh 000f TCustomGridBehavior.InvalidateGrid"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84895_0 {
	meta:
		name = "TCustomMemo.Loaded"
		size = 21
		refs = "0006 TControl.Loaded 000f TCustomEdit.SetModified"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83887_0 {
	meta:
		name = "TCustomRibbonComboBox.CMMouseleave"
		size = 21
		refs = "0006 TControl.CMMouseLeave 000f TCustomRibbonComboBox.SetMouseInControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83371_0 {
	meta:
		name = "TCustomRibbonPage.Resize"
		size = 21
		refs = "0006 TControl.Resize 000f TCustomRibbonPage.SetGroupOffset"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75024_0 {
	meta:
		name = "TCustomRichEdit.Clear"
		size = 21
		refs = "0006 TCustomEdit.Clear 000f TCustomEdit.SetModified"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_43903_0 {
	meta:
		name = "TIWTabControl.InitDesignTime"
		size = 21
		refs = "0006 TIWCustomRegion.InitDesignTime 000f TIWCustomRegion.set_Clip"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_43925_0 {
	meta:
		name = "TIWTabPage.InitDesignTime"
		size = 21
		refs = "0006 TIWCustomRegion.InitDesignTime 000f TIWCustomRegion.set_Clip"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83383_0 {
	meta:
		name = "TOffice2007Button.CMMouseleave"
		size = 21
		refs = "0006 TControl.CMMouseLeave 000f TOffice2007Button.SetMouseInControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82672_0 {
	meta:
		name = "TOleContainer.WMKillFocus"
		size = 21
		refs = "0006 TWinControl.WMKillFocus 000f TOleContainer.SetFocused"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83853_0 {
	meta:
		name = "TRibbonComboControl.CMMouseleave"
		size = 21
		refs = "0006 TCustomButtonControl.CMMouseLeave 000f TRibbonComboControl.SetMouseInControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83170_0 {
	meta:
		name = "TRibbonGroupCollapsedControl.CMMouseleave"
		size = 21
		refs = "0006 TControl.CMMouseLeave 000f TRibbonGroupCollapsedControl.SetMouseInControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83587_0 {
	meta:
		name = "TRibbonGroupScrollButton.CMMouseleave"
		size = 21
		refs = "0006 TControl.CMMouseLeave 000f TRibbonGroupScrollButton.SetMouseInControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83909_0 {
	meta:
		name = "TRibbonQATScrollButton.CMMouseLeave"
		size = 21
		refs = "0006 TCustomUtilityButton.CMMouseLeave 000f TRibbonQATScrollButton.SetCursorInBtn"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83812_0 {
	meta:
		name = "TRibbonSmallSplitButton.CMMouseLeave"
		size = 21
		refs = "0006 TCustomButtonControl.CMMouseLeave 000f TRibbonSmallSplitButton.SetCursorInSplit"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_111682_0 {
	meta:
		name = "TXmlSourceCode.Pack"
		size = 21
		refs = "0006 TList.Pack 000f TXmlSourceCode.CalculatePieceOffset"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_111684_0 {
	meta:
		name = "TXmlSourceCode.Sort"
		size = 21
		refs = "0006 TList.Sort 000f TXmlSourceCode.CalculatePieceOffset"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_494_0 {
	meta:
		name = "TDatabase.EndTransaction"
		size = 29
		refs = "0011 DbiEndTran 0016 Check"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 8B 83 80 00 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_495_0 {
	meta:
		name = "TDatabase.GetAliasName"
		size = 38
		refs = "0015 @UStrAsg 001f @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 75 00 74 10 8B C6 8B 93 9C 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_496_0 {
	meta:
		name = "TDatabase.GetConnected"
		size = 11
		altNames = "TXMLDocument.GetModified"
	strings:
		$1 = { 83 B8 80 00 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_497_0 {
	meta:
		name = "TDatabase.GetDataSet"
		size = 29
		refs = "000b TCustomConnection.GetDataSet 0011 _DV_TDBDataSet 0016 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74167_0 {
	meta:
		name = "TButtonCategories.GetItem"
		size = 29
		refs = "000b TCollection.GetItem 0011 _DV_TButtonCategory 0016 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74143_0 {
	meta:
		name = "TButtonCollection.GetItem"
		size = 29
		refs = "000b TCollection.GetItem 0011 _DV_TButtonItem 0016 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111396_0 {
	meta:
		name = "TDomNode.RemoveChild"
		size = 29
		refs = "000b TCustomOwnedNode.Remove 0011 _DV_TDomNode 0016 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48105_0 {
	meta:
		name = "TFunctions.GetObject"
		size = 29
		refs = "000b TScriptObjectContainer.GetAsObject 0011 _DV_TFunction 0016 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48111_0 {
	meta:
		name = "THTMLBlocks.GetObject"
		size = 29
		refs = "000b TScriptObjectContainer.GetAsObject 0011 _DV_THTMLBlock 0016 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32612_0 {
	meta:
		name = "TIdCookies.GetCookie"
		size = 29
		refs = "000b TCollection.GetItem 0011 _DV_TIdCookie 0016 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39298_0 {
	meta:
		name = "TInCookies.GetCookie"
		size = 29
		refs = "000b TCollection.GetItem 0011 _DV_TInCookie 0016 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48100_0 {
	meta:
		name = "TIncludeFiles.GetObject"
		size = 29
		refs = "000b TScriptObjectContainer.GetAsObject 0011 _DV_TIncludeFile 0016 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84086_0 {
	meta:
		name = "TOptionItems.GetItem"
		size = 29
		refs = "000b TCollection.GetItem 0011 _DV_TOptionItem 0016 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84087_0 {
	meta:
		name = "TOptionItems.Insert"
		size = 29
		refs = "000b TCollection.Insert 0011 _DV_TOptionItem 0016 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83451_0 {
	meta:
		name = "TRibbonTabs.GetItem"
		size = 29
		refs = "000b TCollection.GetItem 0011 _DV_TRibbonTabItem 0016 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48117_0 {
	meta:
		name = "TScriptBlocks.GetObject"
		size = 29
		refs = "000b TScriptObjectContainer.GetAsObject 0011 _DV_TScriptBlock 0016 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48123_0 {
	meta:
		name = "TVars.GetObject"
		size = 29
		refs = "000b TScriptObjectContainer.GetAsObject 0011 _DV_TVar 0016 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48064_0 {
	meta:
		name = "TXMLDocuments.GetObject"
		size = 29
		refs = "000b TScriptObjectContainer.GetAsObject 0011 _DV_TXMLDocument 0016 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48071_0 {
	meta:
		name = "TXMLRowSets.GetObject"
		size = 29
		refs = "000b TScriptObjectContainer.GetAsObject 0011 _DV_TXMLRowSet 0016 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_498_0 {
	meta:
		name = "TDatabase.GetDirectory"
		size = 172
		refs = "001c TDatabase.GetDirectory 003b DbiGetDirectory 0040 Check 0053 OemToCharA 006b @LStrFromArray 0078 @UStrFromLStr 0081 @UStrClr 0099 @LStrClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 57 33 C9 89 8D F4 FE FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B BB 80 00 00 00 85 FF 74 4E 8D 85 FB FE FF FF 50 6A 00 57 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 FB FE FF FF 50 8D 85 FB FE FF FF 50 E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF 8D 95 FB FE FF FF B9 05 01 00 00 6A 00 E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_499_0 {
	meta:
		name = "TDatabase.GetFieldNames"
		size = 30
		refs = "0018 TSession.GetFieldNames"
	strings:
		$1 = { 56 8B B0 88 00 00 00 85 F6 74 11 51 8B CE 8B 80 98 00 00 00 91 87 CA E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_500_0 {
	meta:
		name = "TDatabase.GetTableNames"
		size = 33
		refs = "001b TSession.GetTableNames"
	strings:
		$1 = { 56 8B B0 88 00 00 00 85 F6 74 14 6A 00 51 52 8B D6 8B 80 98 00 00 00 33 C9 92 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_501_0 {
	meta:
		name = "TDatabase.GetDriverName"
		size = 38
		refs = "000f @UStrClr 001f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 75 00 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 9C 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_502_0 {
	meta:
		name = "TDatabase.SetDatabaseFlags"
		size = 124
		refs = "001b DbiGetProp 0020 Check 0025 TDatabase.SetDatabaseFlags 002e StrIComp"
	strings:
		$1 = { 53 83 C4 D8 8B D8 54 6A 20 8D 44 24 10 50 68 02 00 04 00 8B 83 80 00 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 44 24 08 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 88 43 76 54 6A 04 8D 44 24 0C 50 68 01 00 03 FF 8B 83 80 00 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 75 07 83 7C 24 04 00 75 04 33 C0 EB 02 B0 01 88 43 78 83 C4 28 5B C3 00 00 00 53 54 41 4E 44 41 52 44 00 00 00 00 }
	condition:
		$1
}

rule function_503_0 {
	meta:
		name = "TDatabase.GetTraceFlags"
		size = 60
		refs = "0021 GetIntProp 002c TDatabase.GetTraceFlags"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 10 FF 52 48 84 C0 74 1A 80 7B 76 00 74 14 BA 07 00 04 04 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 8B F0 EB 07 0F B7 35 ?? ?? ?? ?? 8B C6 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_504_0 {
	meta:
		name = "TDatabase.GetObjectContext"
		size = 31
		refs = "0005 GetObjectContextProc 0019 @IntfClear"
	strings:
		$1 = { 53 8B DA 83 3D ?? ?? ?? ?? 00 74 0A 8B C3 FF 15 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_505_0 {
	meta:
		name = "TDatabase.GetInTransaction"
		size = 49
		refs = "0016 DbiGetTranInfo"
	strings:
		$1 = { 53 56 83 C4 F4 8B D8 8B B3 80 00 00 00 85 F6 74 14 54 6A 00 56 E8 ?? ?? ?? ?? 66 85 C0 75 06 83 3C 24 01 74 04 33 C0 EB 02 B0 01 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_506_0 {
	meta:
		name = "TDatabase.Loaded"
		size = 27
		refs = "0006 TCustomConnection.Loaded 0015 TDatabase.CheckSessionName"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 45 00 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_507_0 {
	meta:
		name = "TDatabase.Notification"
		size = 66
		refs = "0010 TComponent.Notification 0022 DefaultSession 0031 TCustomConnection.Close 003a TDatabase.SetSessionName"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 25 3B B7 88 00 00 00 75 1D E8 ?? ?? ?? ?? 3B 87 88 00 00 00 74 10 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_508_0 {
	meta:
		name = "TDatabase.LoadLocale"
		size = 70
		refs = "001b DbiGetLdNameFromDb 002b OsLdLoadBySymbName"
	strings:
		$1 = { 53 83 C4 DC 8B D8 80 7B 76 00 74 35 8D 44 24 04 50 6A 00 8B 83 80 00 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 75 1D 54 8D 44 24 08 50 E8 ?? ?? ?? ?? 66 85 C0 75 0D 8B 04 24 89 83 84 00 00 00 C6 43 74 01 83 C4 24 5B C3 }
	condition:
		$1
}

rule function_509_0 {
	meta:
		name = "TDatabase.Login"
		size = 292
		refs = "0015 TDatabase.Login 0046 TStrings.GetValue 004b LoginDialogExProc 0076 SLoginError 007b LoadResString 0097 DatabaseErrorFmt 00a6 TStrings.SetValue 00cf @UStrArrayClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB A2 00 00 00 00 74 12 8B CE 8B D3 8B 83 A4 00 00 00 FF 93 A0 00 00 00 EB 7E 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 74 47 6A 00 8B 3D ?? ?? ?? ?? 8B 3F 8D 4D F8 8D 55 FC 8B 83 98 00 00 00 FF D7 84 C0 75 2B 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 83 98 00 00 00 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 53 00 45 00 52 00 20 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 41 00 53 00 53 00 57 00 4F 00 52 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_510_0 {
	meta:
		name = "NeedsDBAlias"
		size = 356
		refs = "0010 NeedsDBAlias 004b @UStrEqual 00b2 TStrings.GetName 00bf CompareText 00ef TStrings.GetValue 0100 TStrings.SetValue 0122 @UStrArrayClr 012a @UStrClr 0130 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 80 78 FF 00 74 32 8B 45 08 8B 40 F8 83 B8 9C 00 00 00 00 74 1F 8B 45 08 8B 40 F8 8B 80 98 00 00 00 8B 55 08 8B 52 F8 8B 92 9C 00 00 00 E8 ?? ?? ?? ?? 75 04 33 C0 EB 02 B0 01 88 45 FB 8B 45 08 8B 40 F8 8B 80 8C 00 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 96 00 00 00 46 33 DB 8D 4D F4 8B 45 08 8B 40 F8 8B 80 8C 00 00 00 8B D3 8B 38 FF 57 0C 8B 55 F4 8B 45 08 8B 40 F4 8B 08 FF 51 54 40 7F 64 8D 4D FC 8B 45 08 8B 40 F8 8B 80 8C 00 00 00 8B D3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 3D 8B 45 08 8B 40 F4 8B 55 FC 8B 08 FF 51 58 40 7E 2C C6 45 FB 01 8D 4D F0 8B 45 08 8B 40 F8 8B 80 8C 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 4D F0 8B 45 08 8B 40 F4 8B 55 FC E8 ?? ?? ?? ?? 43 4E 0F 85 6D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 41 00 53 00 53 00 57 00 4F 00 52 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_511_0 {
	meta:
		name = "TDatabase.CheckDatabaseAlias"
		size = 940
		refs = "004b TDatabase.CheckDatabaseAlias 0058 @UStrClr 0066 _Dn_TStringList 006b TStringList.Create 0099 @UStrLAsg 00de @LStrFromUStr 00ef StrToOem 00fa @LStrToPChar 0100 DbiGetDatabaseDesc 010a @TryFinallyExit 0126 OemToCharA 0136 @UStrFromArray 014a TSession.GetAliasParams 0160 TSession.GetDriverParams 01c8 TStrings.GetValue 01fd TStrings.SetValue 0234 TDatabase.Login 0254 @UStrAsg 0295 TObject.Free 029b @HandleFinally 02c9 NeedsDBAlias 02f6 TSession.InternalAddAlias 0337 @UStrArrayClr 0347 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 60 FE FF FF 53 33 C9 89 8D 60 FE FF FF 89 8D 64 FE FF FF 89 8D 68 FE FF FF 89 8D 6C FE FF FF 89 8D 70 FE FF FF 89 8D 74 FE FF FF 89 8D 7C FE FF FF 89 8D 78 FE FF FF 89 4D F0 89 4D EC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 C6 40 73 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 B8 9C 00 00 00 00 74 1D 8D 45 F0 8B 55 F8 8B 92 9C 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 0F B6 40 75 88 45 FF EB 15 8D 45 F0 8B 55 F8 8B 92 98 00 00 00 E8 ?? ?? ?? ?? C6 45 FF 01 80 7D FF 00 0F 84 88 00 00 00 8D 85 83 FE FF FF 50 8D 85 78 FE FF FF 8B 55 F0 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 78 FE FF FF 8D 95 7C FE FF FF E8 ?? ?? ?? ?? 8B 85 7C FE FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 74 0A E8 ?? ?? ?? ?? E9 0B 02 00 00 80 7D E7 00 74 04 C6 45 E7 00 8D 45 C8 50 8D 45 C8 50 E8 ?? ?? ?? ?? 8D 45 EC 8D 55 C8 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 88 00 00 00 8B 4D F4 8B 55 F0 E8 ?? ?? ?? ?? EB 25 8B 45 F8 8B 80 88 00 00 00 8B 4D F4 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 F8 8B 92 9C 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 58 40 0F 84 3E 01 00 00 8B 45 F8 80 78 44 00 0F 84 0B 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 74 FE FF FF 8B 45 F8 8B 80 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BD 74 FE FF FF 00 75 2C 8D 8D 70 FE FF FF BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 8D 70 FE FF FF 8B 45 F8 8B 80 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 8D 6C FE FF FF 8B 45 F8 8B 80 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 6C FE FF FF BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8D 8D 68 FE FF FF BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 95 68 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8D 8D 64 FE FF FF BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 8D 64 FE FF FF 8B 45 F8 8B 80 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 8D 60 FE FF FF 8B 45 F8 8B 80 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 60 FE FF FF 8B C3 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 74 2F 8B 45 F4 50 0F B6 05 ?? ?? ?? ?? 50 6A 00 8B 45 F8 8B 90 98 00 00 00 8B 45 F8 8B 80 88 00 00 00 8B 4D EC E8 ?? ?? ?? ?? 8B 45 F8 C6 40 73 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 60 FE FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 53 00 45 00 52 00 20 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 41 00 53 00 53 00 57 00 4F 00 52 00 44 00 00 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_512_0 {
	meta:
		name = "TDatabase.OpenFromExistingDB"
		size = 45
		refs = "0010 TSession.FindDatabaseHandle 0019 TDatabase.SetHandle"
	strings:
		$1 = { 53 8B D8 8B 93 98 00 00 00 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? C6 43 77 00 83 BB 80 00 00 00 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_513_0 {
	meta:
		name = "TDatabase.DoConnect"
		size = 884
		refs = "0024 TDatabase.DoConnect 0042 TDatabase.CheckDatabaseName 004c TDatabase.CheckSessionName 005d TDatabase.OpenFromExistingDB 0073 TSession.LockSession 008f TSession.GetConfigMode 00ab TDatabase.CheckDatabaseAlias 00d3 IsDirectory 00df @LStrClr 00f7 @LStrFromUStr 0102 StrToOem 010d TDatabase.GetObjectContext 0136 StrCopy 0196 @LStrToPChar 01a5 ShareModes 01b4 OpenModes 01ca DbiOpenDatabase 01cf Check 01e6 TDatabase.SetDirectory 01fc SetBoolProp 0230 TDatabase.SetDatabaseFlags 0238 TDatabase.LoadLocale 0259 TSession.LoadSMClient 026e TDatabase.SetTraceFlags 0281 TSession.DBNotification 0290 @HandleAnyException 02b9 TSession.InternalDeleteAlias 02be @RaiseAgain 02c3 @DoneExcept 02e2 TSession.SetConfigMode 02e8 @HandleFinally 0305 TSession.UnlockSession 0327 @LStrArrayClr 032f @IntfClear 033f @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 D2 89 55 A0 89 55 9C 89 55 A4 89 55 A8 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 B8 80 00 00 00 00 0F 85 D3 02 00 00 8B 45 F4 E8 ?? ?? ?? ?? B2 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 80 78 79 00 74 10 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 85 A8 02 00 00 8B 45 F4 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 88 45 F3 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 B8 9C 00 00 00 00 75 1C 8B 45 F4 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 0A 8D 45 FC E8 ?? ?? ?? ?? EB 21 8D 45 A8 8B 55 F4 8B 92 98 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 A8 8D 55 FC E8 ?? ?? ?? ?? 8D 55 A4 8B 45 F4 E8 ?? ?? ?? ?? 8B 5D A4 33 F6 85 DB 74 46 C7 45 EC 01 00 00 00 66 C7 45 DA 04 00 66 C7 45 D8 00 00 BA ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 7D AE 8B 45 F4 0F B6 40 70 2C 01 72 08 74 0A FE C8 74 0C EB 17 33 F6 EB 13 66 BE 00 01 EB 0D 66 BE 00 02 EB 07 33 C0 89 45 EC 33 FF 8B 45 F4 05 80 00 00 00 50 53 57 0F B7 45 EC 50 8D 45 9C 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 9C 8D 55 A0 E8 ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? 50 8B 45 F4 0F B6 40 7A 8B 04 85 ?? ?? ?? ?? 50 8B 45 F4 0F B6 40 7B 8B 04 85 ?? ?? ?? ?? 0F B7 D6 0B C2 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 75 11 8B 45 F4 8B 90 98 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 80 00 00 00 83 C9 FF BA 05 00 04 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 80 00 00 00 83 C9 FF BA 04 00 04 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 80 00 00 00 83 C9 FF BA 11 00 04 04 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 80 78 76 00 74 18 8B 45 F4 F6 40 1C 10 0F 95 C2 8B 45 F4 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 88 00 00 00 0F B7 50 50 8B 45 F4 E8 ?? ?? ?? ?? 8D 4D F4 8B 45 F4 8B 80 88 00 00 00 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 38 E9 ?? ?? ?? ?? 8B 45 F4 80 78 73 00 74 20 6A 00 8B 45 F4 8B 90 98 00 00 00 8B 45 F4 8B 80 88 00 00 00 0F B6 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 80 88 00 00 00 0F B6 55 F3 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 80 88 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5F 5E 5B 8B E5 5D C3 00 00 4D 54 53 20 43 4F 4E 54 45 58 54 20 4F 42 4A 45 43 54 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_515_0 {
	meta:
		name = "TDatabase.Rollback"
		size = 24
		refs = "0006 TDatabase.CheckActive 0012 TDatabase.EndTransaction"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_516_0 {
	meta:
		name = "TDatabase.SetAliasName"
		size = 8
		refs = "0003 TDatabase.SetDatabaseType"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95046_0 {
	meta:
		name = "ConvertTeeFileToText"
		size = 8
		refs = "0003 ConvertTeeFile"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80557_0 {
	meta:
		name = "TBitmap.WriteData"
		size = 8
		refs = "0003 TBitmap.WriteStream"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94219_0 {
	meta:
		name = "TCustomAxisPanel.ActiveSeriesLegend"
		size = 8
		refs = "0003 TCustomAxisPanel.SeriesLegend"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15446_0 {
	meta:
		name = "TCustomClientDataSet.ReadData"
		size = 8
		refs = "0003 TCustomClientDataSet.ReadDataPacket"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11613_0 {
	meta:
		name = "TDBXMetaDataIndex.AddColumn"
		size = 8
		refs = "0003 TDBXMetaDataIndex.AddColumn"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35204_0 {
	meta:
		name = "TIdIMAP4.IsImapPartNumberValid"
		size = 8
		refs = "0003 TIdIMAP4.IsItDigitsAndOptionallyPeriod"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80717_0 {
	meta:
		name = "TInplaceEdit.Move"
		size = 8
		refs = "0003 TInplaceEdit.InternalMove"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5415_0 {
	meta:
		name = "TLargeintField.GetValue"
		size = 8
		refs = "0003 TField.GetData"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26849_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Delete"
		size = 8
		refs = "0003 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27073_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Delete"
		size = 8
		refs = "0003 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27277_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Delete"
		size = 8
		refs = "0003 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27509_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Delete"
		size = 8
		refs = "0003 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27726_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Delete"
		size = 8
		refs = "0003 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27927_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Delete"
		size = 8
		refs = "0003 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28545_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.Delete"
		size = 8
		refs = "0003 TList<DSAzureBlob.TBBlob>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28767_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.Delete"
		size = 8
		refs = "0003 TList<DSAzureBlob.TBBlock>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28421_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.Delete"
		size = 8
		refs = "0003 TList<DSAzureBlob.TBContainer>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28710_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.Delete"
		size = 8
		refs = "0003 TList<DSAzureBlob.TBPageRange>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28653_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.Delete"
		size = 8
		refs = "0003 TList<DSAzureBlob.TBSignedIdentifier>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28600_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.Delete"
		size = 8
		refs = "0003 TList<DSAzureBlob.TLeaseItem>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28824_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.Delete"
		size = 8
		refs = "0003 TList<DSAzureBlob.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29068_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.Delete"
		size = 8
		refs = "0003 TList<DSAzureQueue.TMessageNodeData>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29486_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.Delete"
		size = 8
		refs = "0003 TList<DSAzureTableDialog.TAzureTableColumn>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29341_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.Delete"
		size = 8
		refs = "0003 TList<DSAzureTableDialog.TAzureTableRow>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29388_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Delete"
		size = 8
		refs = "0003 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3048_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.Delete"
		size = 8
		refs = "0003 TList<Data.Bind.Components.TBasicBindComponent>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2279_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.Delete"
		size = 8
		refs = "0003 TList<Data.Bind.Components.TBindEditorFactoryClass>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2052_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.Delete"
		size = 8
		refs = "0003 TList<Data.Bind.Components.TContainedBindComponent>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2398_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Delete"
		size = 8
		refs = "0003 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2753_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Delete"
		size = 8
		refs = "0003 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3095_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.Delete"
		size = 8
		refs = "0003 TList<Data.Bind.DBScope.TBaseDataLink>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2997_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Delete"
		size = 8
		refs = "0003 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3592_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Delete"
		size = 8
		refs = "0003 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3847_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Delete"
		size = 8
		refs = "0003 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3949_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Delete"
		size = 8
		refs = "0003 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3898_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Delete"
		size = 8
		refs = "0003 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4000_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Delete"
		size = 8
		refs = "0003 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3796_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Delete"
		size = 8
		refs = "0003 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3541_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Delete"
		size = 8
		refs = "0003 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4675_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.Delete"
		size = 8
		refs = "0003 TList<Data.Cloud.AzureAPI.TAzureBlob>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4726_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Delete"
		size = 8
		refs = "0003 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4522_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Delete"
		size = 8
		refs = "0003 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4573_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.Delete"
		size = 8
		refs = "0003 TList<Data.Cloud.AzureAPI.TAzureContainer>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4624_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Delete"
		size = 8
		refs = "0003 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4471_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.Delete"
		size = 8
		refs = "0003 TList<Data.Cloud.CloudAPI.TCloudQueue>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4420_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Delete"
		size = 8
		refs = "0003 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4777_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Delete"
		size = 8
		refs = "0003 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3643_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.Delete"
		size = 8
		refs = "0003 TList<Data.Cloud.CloudAPI.TCloudTableRow>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16395_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.Delete"
		size = 8
		refs = "0003 TList<Data.DBXCommon.TDBXParameter>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7893_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Delete"
		size = 8
		refs = "0003 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8613_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.Delete"
		size = 8
		refs = "0003 TList<Data.DBXCommon.TDBXWritableValueArray>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8038_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.Delete"
		size = 8
		refs = "0003 TList<Data.DBXCommon.TEventPointer>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7940_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Delete"
		size = 8
		refs = "0003 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25129_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.Delete"
		size = 8
		refs = "0003 TList<Data.DBXCommon.TResultCommandHandler>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10370_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.Delete"
		size = 8
		refs = "0003 TList<Data.DBXJSON.TJSONAncestor>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23832_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.Delete"
		size = 8
		refs = "0003 TList<Data.DBXJSONReflect.TConverterEvent>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10129_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Delete"
		size = 8
		refs = "0003 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10225_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Delete"
		size = 8
		refs = "0003 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10514_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Delete"
		size = 8
		refs = "0003 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10418_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Delete"
		size = 8
		refs = "0003 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23928_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.Delete"
		size = 8
		refs = "0003 TList<Data.DBXJSONReflect.TReverterEvent>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11102_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Delete"
		size = 8
		refs = "0003 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11051_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Delete"
		size = 8
		refs = "0003 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11286_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Delete"
		size = 8
		refs = "0003 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15946_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15801_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16277_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSClientRest.TDSRestClientCallback>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16451_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20390_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17397_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSHTTP.TDSHTTPClass>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17299_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18391_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18083_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17761_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18136_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18438_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18534_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18293_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18767_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19068_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19427_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19722_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20010_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20292_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20818_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20722_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21046_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21280_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21567_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21834_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22126_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22419_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22986_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22841_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23730_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSServer.TDSCallbackTunnel>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23679_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23781_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23879_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23975_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18187_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSService.TDBXRequestFilter>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25691_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSService.TDSSession>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24874_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSService.TDSSessionEvent>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25078_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24972_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25319_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25223_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25176_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSService.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25593_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Delete"
		size = 8
		refs = "0003 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29695_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.Delete"
		size = 8
		refs = "0003 TList<GraphView.TGraphEdge>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29805_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.Delete"
		size = 8
		refs = "0003 TList<GraphView.TGraphNode>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29750_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Delete"
		size = 8
		refs = "0003 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30567_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.Delete"
		size = 8
		refs = "0003 TList<IBDatabase.TIBBase>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30669_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.Delete"
		size = 8
		refs = "0003 TList<IBDatabase.TIBDatabase>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30618_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.Delete"
		size = 8
		refs = "0003 TList<IBDatabase.TIBTransaction>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31360_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.Delete"
		size = 8
		refs = "0003 TList<IBIntf.IGDSLibrary>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31262_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Delete"
		size = 8
		refs = "0003 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40380_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.Delete"
		size = 8
		refs = "0003 TList<IPPeerAPI.IIPContext>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42987_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Delete"
		size = 8
		refs = "0003 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42744_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Delete"
		size = 8
		refs = "0003 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42889_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Delete"
		size = 8
		refs = "0003 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43034_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.Delete"
		size = 8
		refs = "0003 TList<IPPeerAPI.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40333_0 {
	meta:
		name = "TList<IdContext.TIdContext>.Delete"
		size = 8
		refs = "0003 TList<IdContext.TIdContext>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40282_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Delete"
		size = 8
		refs = "0003 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40186_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.Delete"
		size = 8
		refs = "0003 TList<IndyPeerImpl.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50051_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Delete"
		size = 8
		refs = "0003 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51236_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Delete"
		size = 8
		refs = "0003 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51091_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.Delete"
		size = 8
		refs = "0003 TList<SyncController.TPair<System.IInterface,System.Pointer>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51334_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.Delete"
		size = 8
		refs = "0003 TList<SyncController.TPair<System.TObject,System.string>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30847_0 {
	meta:
		name = "TList<System.AnsiString>.Delete"
		size = 8
		refs = "0003 TList<System.AnsiString>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51707_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54628_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.CustomScope.TScopeClass>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51287_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.EvalProtocol.ILocation>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53173_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.EvalProtocol.IScope>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53026_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.EvalProtocol.ISubscription>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52122_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52843_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52588_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.EvalSys.TOverload>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52745_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52647_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52796_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53220_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57712_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Expression.TBindingExpression>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53603_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53748_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54122_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54267_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56113_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55825_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56256_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56307_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56064_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55872_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55484_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55919_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55727_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56207_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56405_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55582_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56160_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56838_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57046_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Manager.TBindingManager>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58607_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58460_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58219_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58558_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58507_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58266_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57831_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58411_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58121_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58315_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57976_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59139_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Methods.TMethodDescription>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59041_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59186_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59694_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59915_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60284_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60109_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Outputs.TConvertPair>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60850_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Outputs.TConverterDescription>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60752_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61005_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61258_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60799_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60950_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61103_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60701_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60901_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61162_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61695_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Delete"
		size = 8
		refs = "0003 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64885_0 {
	meta:
		name = "TList<System.Boolean>.Delete"
		size = 8
		refs = "0003 TList<System.Boolean>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2496_0 {
	meta:
		name = "TList<System.Classes.IObserver>.Delete"
		size = 8
		refs = "0003 TList<System.Classes.IObserver>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88489_0 {
	meta:
		name = "TList<System.Classes.TComponent>.Delete"
		size = 8
		refs = "0003 TList<System.Classes.TComponent>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3151_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.Delete"
		size = 8
		refs = "0003 TList<System.Classes.TNotifyEvent>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15899_0 {
	meta:
		name = "TList<System.Classes.TStream>.Delete"
		size = 8
		refs = "0003 TList<System.Classes.TStream>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24024_0 {
	meta:
		name = "TList<System.Classes.TStrings>.Delete"
		size = 8
		refs = "0003 TList<System.Classes.TStrings>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63630_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Delete"
		size = 8
		refs = "0003 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63532_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Delete"
		size = 8
		refs = "0003 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64787_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Delete"
		size = 8
		refs = "0003 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54530_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Delete"
		size = 8
		refs = "0003 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61746_0 {
	meta:
		name = "TList<System.IInterface>.Delete"
		size = 8
		refs = "0003 TList<System.IInterface>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61356_0 {
	meta:
		name = "TList<System.Int64>.Delete"
		size = 8
		refs = "0003 TList<System.Int64>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24559_0 {
	meta:
		name = "TList<System.Integer>.Delete"
		size = 8
		refs = "0003 TList<System.Integer>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22939_0 {
	meta:
		name = "TList<System.Masks.TMask>.Delete"
		size = 8
		refs = "0003 TList<System.Masks.TMask>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61793_0 {
	meta:
		name = "TList<System.Pointer>.Delete"
		size = 8
		refs = "0003 TList<System.Pointer>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67386_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.Delete"
		size = 8
		refs = "0003 TList<System.Rtti.TMethodImplementation.TParamLoc>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68115_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Delete"
		size = 8
		refs = "0003 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68282_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Delete"
		size = 8
		refs = "0003 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68425_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Delete"
		size = 8
		refs = "0003 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68003_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.Delete"
		size = 8
		refs = "0003 TList<System.Rtti.TRttiField>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68055_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.Delete"
		size = 8
		refs = "0003 TList<System.Rtti.TRttiManagedField>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67950_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.Delete"
		size = 8
		refs = "0003 TList<System.Rtti.TRttiMethod>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68213_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.Delete"
		size = 8
		refs = "0003 TList<System.Rtti.TRttiObject>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67898_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.Delete"
		size = 8
		refs = "0003 TList<System.Rtti.TRttiProperty>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67563_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.Delete"
		size = 8
		refs = "0003 TList<System.Rtti.TVirtualInterface.TImplInfo>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67508_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Delete"
		size = 8
		refs = "0003 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60406_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.Delete"
		size = 8
		refs = "0003 TList<System.SysUtils.TProc<System.Rtti.TValue>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86617_0 {
	meta:
		name = "TList<System.TClass>.Delete"
		size = 8
		refs = "0003 TList<System.TClass>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67841_0 {
	meta:
		name = "TList<System.TCustomAttribute>.Delete"
		size = 8
		refs = "0003 TList<System.TCustomAttribute>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42795_0 {
	meta:
		name = "TList<System.TGUID>.Delete"
		size = 8
		refs = "0003 TList<System.TGUID>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55778_0 {
	meta:
		name = "TList<System.TObject>.Delete"
		size = 8
		refs = "0003 TList<System.TObject>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68331_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.Delete"
		size = 8
		refs = "0003 TList<System.TypInfo.PTypeInfo>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87737_0 {
	meta:
		name = "TList<System.Types.TPoint>.Delete"
		size = 8
		refs = "0003 TList<System.Types.TPoint>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50102_0 {
	meta:
		name = "TList<System.Variant>.Delete"
		size = 8
		refs = "0003 TList<System.Variant>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63583_0 {
	meta:
		name = "TList<System.Word>.Delete"
		size = 8
		refs = "0003 TList<System.Word>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71778_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Delete"
		size = 8
		refs = "0003 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71680_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Delete"
		size = 8
		refs = "0003 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71731_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.Delete"
		size = 8
		refs = "0003 TList<System.Zip.TZipCompression>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71633_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.Delete"
		size = 8
		refs = "0003 TList<System.Zip.TZipHeader>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21095_0 {
	meta:
		name = "TList<System.string>.Delete"
		size = 8
		refs = "0003 TList<System.string>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88859_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Controls.TControl>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89264_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Controls.TCustomGestureCollectionItem>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88741_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Controls.TCustomGestureManager>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78601_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86664_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86417_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86566_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87635_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Themes.TCustomStyleEngineClass>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87686_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Themes.TCustomStyleServices>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87886_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87788_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87933_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86515_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Themes.TStyleHook>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87390_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Themes.TStyleHookClass>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88031_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Themes.TStyleManager.TSourceInfo>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87584_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88536_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88438_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89012_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Touch.GestureMgr.TGestureCollection>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88961_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89315_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Touch.Gestures.TGesturePoint>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89495_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89546_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89597_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Touch.KeyboardTypes.TKeyData>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89828_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89726_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89879_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89777_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Delete"
		size = 8
		refs = "0003 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96344_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Delete"
		size = 8
		refs = "0003 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14435_0 {
	meta:
		name = "TSQLConnection.CommitFreeAndNil"
		size = 8
		refs = "0003 TSQLConnection.EndFreeAndNilTransaction"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81003_0 {
	meta:
		name = "TStringGrid.GetCols"
		size = 8
		refs = "0003 TStringGrid.EnsureColRow"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_786_0 {
	meta:
		name = "TTable.LockTable"
		size = 8
		refs = "0003 TTable.SetTableLock"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90009_0 {
	meta:
		name = "TValueListStrings.GetItemProp"
		size = 8
		refs = "0003 TValueListStrings.FindItemProp"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5747_0 {
	meta:
		name = "TVariantField.SetVarValue"
		size = 8
		refs = "0003 TField.SetData"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50171_0 {
	meta:
		name = "TWSDLView.SetDesignState"
		size = 8
		refs = "0003 TComponent.SetDesigning"
	strings:
		$1 = { B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_517_0 {
	meta:
		name = "TDatabase.SetDatabaseName"
		size = 75
		refs = "0015 @UStrAsg 0025 @UStrEqual 002e TDatabase.CheckInactive 0037 TDatabase.ValidateName"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 02 74 10 8D 83 98 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 98 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 1D 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 83 98 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_518_0 {
	meta:
		name = "TDatabase.SetDatabaseType"
		size = 36
		refs = "000c TDatabase.CheckInactive 0019 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B C7 E8 ?? ?? ?? ?? 8D 87 9C 00 00 00 8B D6 E8 ?? ?? ?? ?? 88 5F 75 5F 5E 5B C3 }
	condition:
		$1
}

rule function_519_0 {
	meta:
		name = "TDatabase.SetDirectory"
		size = 125
		refs = "0012 TDatabase.SetDirectory 0031 @LStrFromUStr 003c StrToOem 0044 @LStrToPChar 004b DbiSetDirectory 0050 Check 006a @LStrArrayClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 80 00 00 00 85 F6 74 2E 8D 45 F8 8B D7 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_521_0 {
	meta:
		name = "TDatabase.SetHandle"
		size = 222
		refs = "0015 TDatabase.SetHandle 002f TCustomConnection.Close 0043 DbiGetObjFromObj 0048 Check 0050 TDatabase.CheckDatabaseName 005a TDatabase.CheckSessionName 0068 TSession.GetHandle 0075 SDatabaseHandleSet 007a LoadResString 0085 DatabaseError 0096 TDatabase.SetDatabaseFlags 009e TDatabase.LoadLocale 00b1 TSession.DBNotification 00cd @UStrClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 48 84 C0 74 08 8B 45 FC E8 ?? ?? ?? ?? 85 DB 0F 84 81 00 00 00 8D 45 F8 50 6A 02 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 3B 45 F8 74 18 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 89 98 80 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D FC 8B 45 FC 8B 80 88 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC C6 40 77 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_522_0 {
	meta:
		name = "TDatabase.SetKeepConnection"
		size = 24
		refs = "0013 TCustomConnection.Close"
	strings:
		$1 = { 3A 50 71 74 12 88 50 71 84 D2 75 0B 83 78 7C 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_523_0 {
	meta:
		name = "TDatabase.SetParams"
		size = 29
		refs = "0009 TDatabase.CheckInactive"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D7 8B 86 8C 00 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_524_0 {
	meta:
		name = "TDatabase.SetSessionName"
		size = 91
		refs = "0015 @UStrAsg 001f TDatabase.CheckInactive 002c @UStrEqual 0054 TDatabase.CheckSessionName"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 02 74 10 8D 83 94 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 83 94 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 26 8D 83 94 00 00 00 8B D6 E8 ?? ?? ?? ?? F6 43 1C 08 74 0A 33 C0 89 83 88 00 00 00 EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_525_0 {
	meta:
		name = "TDatabase.SetTraceFlags"
		size = 50
		refs = "002b DbiSetProp"
	strings:
		$1 = { 53 51 66 89 14 24 8B D8 8B C3 8B 10 FF 52 48 84 C0 74 1C 80 7B 76 00 74 16 0F B7 04 24 50 68 07 00 04 04 8B 83 80 00 00 00 50 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_526_0 {
	meta:
		name = "TDatabase.SetExclusive"
		size = 19
		refs = "0009 TDatabase.CheckInactive"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 88 5E 7A 5E 5B C3 }
	condition:
		$1
}

rule function_527_0 {
	meta:
		name = "TDatabase.SetReadOnly"
		size = 19
		refs = "0009 TDatabase.CheckInactive"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 88 5E 7B 5E 5B C3 }
	condition:
		$1
}

rule function_528_0 {
	meta:
		name = "TDatabase.StartTransaction"
		size = 130
		refs = "0012 TDatabase.StartTransaction 001f TDatabase.CheckActive 0033 SLocalTransDirty 0038 LoadResString 0042 DatabaseError 0057 DbiBeginTran 005c Check 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 7B 76 00 75 1D 80 7B 70 00 74 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D3 E8 ?? ?? ?? ?? 8D 45 FC 50 0F B6 43 70 50 8B 83 80 00 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_529_0 {
	meta:
		name = "TDatabase.ValidateName"
		size = 172
		refs = "0016 TDatabase.ValidateName 0036 TSession.FindDatabase 0062 SDuplicateDatabaseName 0067 LoadResString 007d DatabaseErrorFmt 0084 TObject.Free 0099 @UStrClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 64 83 BB 88 00 00 00 00 74 5B 8B D7 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 74 48 3B DE 74 44 80 7E 79 00 74 06 80 7B 79 00 75 38 80 7E 72 00 74 06 83 7E 7C 00 74 25 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 7D F4 C6 45 F8 11 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_530_0 {
	meta:
		name = "TDatabase.FlushSchemaCache"
		size = 117
		refs = "000f TDatabase.FlushSchemaCache 0035 @LStrFromUStr 003d @LStrToPChar 004a DbiSchemaCacheFlush 004f Check 0064 @LStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 48 84 C0 74 2F 80 7B 76 00 74 29 8D 45 FC 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 83 80 00 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_531_0 {
	meta:
		name = "TBDEDataSet.Create"
		size = 86
		refs = "000a @ClassCreate 0017 TDataSet.Create 001c DefaultSession 0026 TBDEDataSet.SetLocale 0032 _DV_TNestedTable 0043 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 44 8B C6 E8 ?? ?? ?? ?? C6 86 CD 01 00 00 01 A1 ?? ?? ?? ?? 89 86 98 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_532_0 {
	meta:
		name = "TBDEDataSet.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0012 TDataSet.Destroy 0021 @FreeMem 0032 TBDEDataSet.SetUpdateObject 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 20 02 00 00 85 C0 74 0D E8 ?? ?? ?? ?? 33 C0 89 86 20 02 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_533_0 {
	meta:
		name = "TBDEDataSet.OpenCursor"
		size = 180
		refs = "0015 TBDEDataSet.OpenCursor 0044 FreeTimer 004c SHandleError 0051 LoadResString 005b _DV_ENoResultSet 0060 Exception.Create 0065 @RaiseExcept 0075 DbiGetLdObj 0084 TBDEDataSet.SetLocale 008d TDataSet.OpenCursor 00a2 @UStrClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE 80 01 00 00 00 75 10 8B C6 8B 10 FF 92 C0 02 00 00 89 86 80 01 00 00 83 BE 80 01 00 00 00 75 28 B0 01 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 8B 86 80 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 75 0A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_534_0 {
	meta:
		name = "TBDEDataSet.CloseCursor"
		size = 62
		refs = "0006 TDataSet.CloseCursor 000b DefaultSession 0015 TBDEDataSet.SetLocale"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 44 8B C3 E8 ?? ?? ?? ?? 83 BB 80 01 00 00 00 74 12 8B C3 8B 10 FF 92 C4 02 00 00 33 C0 89 83 80 01 00 00 33 C0 89 83 24 02 00 00 5B C3 }
	condition:
		$1
}

rule function_536_0 {
	meta:
		name = "TBDEDataSet.DestroyHandle"
		size = 31
		refs = "000d DbiRelRecordLock 0019 DbiCloseCursor"
	strings:
		$1 = { 53 8B D8 6A 00 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 8D 83 80 01 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_537_0 {
	meta:
		name = "TBDEDataSet.GetHandle"
		size = 7
	strings:
		$1 = { 8B 80 80 01 00 00 C3 }
	condition:
		$1
}

rule function_538_0 {
	meta:
		name = "TBDEDataSet.InternalInitFieldDefs"
		size = 556
		refs = "0017 TBDEDataSet.InternalInitFieldDefs 0030 DbiGetCursorProps 0058 SetBoolProp 0086 _Dn_TBits 008b TObject.Create 00ac GetIntProp 00bb TBits.SetSize 00f2 DbiGetVchkDesc 0117 TBits.SetBit 012c TFieldDescList 0131 @DynArraySetLength 0144 DbiGetFieldDescs 015c TCollection.Clear 017a TBDEDataSet.AddFieldDesc 01bb TFieldDefs.GetFieldDef 01d7 TFieldDef.SetAttributes 01f2 TObject.Free 01f8 @HandleFinally 0215 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 81 C4 7C F9 FF FF 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 7E F9 FF FF 50 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 0F B7 BD A5 FA FF FF 33 C0 89 45 EC 8B 43 40 80 78 3C 00 74 3A 8B 83 80 01 00 00 83 C9 FF BA 04 00 05 04 E8 ?? ?? ?? ?? 84 C0 74 23 8D 85 7E F9 FF FF 50 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 0F B7 85 A5 FA FF FF 8B D0 2B D7 89 55 EC 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 83 80 01 00 00 BA 0F 00 05 00 E8 ?? ?? ?? ?? 85 C0 7E 0D 8D 50 01 8B 45 F0 E8 ?? ?? ?? ?? EB 0B 8D 57 01 8B 45 F0 E8 ?? ?? ?? ?? 0F B7 B5 AF FA FF FF 85 F6 7E 4A C7 45 F8 01 00 00 00 8D 85 29 FB FF FF 50 0F B7 45 F8 50 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 66 83 BD 2B FB FF FF 00 74 1B 66 83 BD 31 FB FF FF 00 75 11 0F B7 95 29 FB FF FF B1 01 8B 45 F0 E8 ?? ?? ?? ?? FF 45 F8 4E 75 BD 57 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 50 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 8B 83 A0 00 00 00 89 45 F4 8B 45 F4 48 89 45 F8 8B 43 40 E8 ?? ?? ?? ?? 3B 7D F8 7E 1E 8D 45 F4 50 8B 45 F0 50 8B 43 40 50 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 3B 7D F8 7F E2 8B 43 40 80 78 3C 00 74 55 8B 83 80 01 00 00 33 C9 BA 04 00 05 04 E8 ?? ?? ?? ?? 83 7D EC 00 7E 3D 8B C7 2B 45 EC 8B F7 4E 2B F0 7C 31 46 89 45 F8 8B 43 40 8B 55 F8 E8 ?? ?? ?? ?? 0F B6 40 26 0A 05 ?? ?? ?? ?? 50 8B 43 40 8B 55 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? FF 45 F8 4E 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 01 00 00 00 }
	condition:
		$1
}

rule function_539_0 {
	meta:
		name = "TBDEDataSet.GetObjectTypeNames"
		size = 277
		refs = "000f TFields.GetCount 0026 TFields.GetField 002c _Dn_TObjectField 0031 @IsClass 0074 DbiGetProp 0095 @UStrFromArray 00eb TBDEDataSet.GetObjectTypeNames"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B EA 89 04 24 8B C5 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C EF 00 00 00 47 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C8 00 00 00 8B D6 8B C5 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 A8 00 00 00 66 89 44 24 06 8D 44 24 04 50 6A 22 8D 44 24 0E 50 68 11 00 05 00 8B 44 24 10 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 75 1C 66 83 7C 24 04 00 76 14 8D 83 F8 00 00 00 8D 54 24 08 B9 20 00 00 00 E8 ?? ?? ?? ?? 0F B6 43 48 04 E6 2C 02 73 62 80 7B 48 1B 75 48 8B 04 24 80 B8 B2 00 00 00 00 74 3C 8B C3 8B 10 FF 92 34 01 00 00 33 D2 E8 ?? ?? ?? ?? 80 78 48 1A 75 25 8B C3 8B 10 FF 92 34 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B 10 FF 92 34 01 00 00 8B D0 8B 04 24 E8 ?? ?? ?? ?? EB 14 8B C3 8B 10 FF 92 34 01 00 00 8B D0 8B 04 24 E8 ?? ?? ?? ?? 46 4F 0F 85 14 FF FF FF 83 C4 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_540_0 {
	meta:
		name = "TBDEDataSet.InternalOpen"
		size = 425
		refs = "001b DbiBeginDelayedUpdates 0020 Check 002d DbiGetCursorProps 006f TBDEDataSet.HasConstraints 0097 TBDEDataSet.ConstraintCallBack 00a6 DbiBeginConstraintLayer 00c5 TFieldDefs.Update 00cc TBDEDataSet.GetIndexInfo 00fe TBDEDataSet.GetObjectTypeNames 0107 TBDEDataSet.InitBufferPointers 0119 TBDEDataSet.AllocCachedUpdateBuffers 0120 TBDEDataSet.UpdateCallbackRequired 0129 TBDEDataSet.SetupCallBack 0130 TBDEDataSet.AllocKeyBuffers 013c DbiSetToBegin 0165 TBDEDataSet.CreateExprFilter 017a TBDEDataSet.RecordFilter 0186 TBDEDataSet.CreateFuncFilter 019c TBDEDataSet.ActivateFilters"
	strings:
		$1 = { 53 56 81 C4 54 FE FF FF 8B F0 80 BE CA 01 00 00 00 74 11 8D 86 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 54 8B 86 80 01 00 00 50 E8 ?? ?? ?? ?? 0F B7 84 24 2B 01 00 00 66 89 86 00 02 00 00 0F B7 84 24 35 01 00 00 89 46 6C 83 BC 24 39 01 00 00 00 75 0B 66 83 BC 24 89 01 00 00 00 74 04 33 C0 EB 02 B0 01 88 86 CC 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C6 8B 10 FF 92 5C 01 00 00 84 C0 75 04 33 DB EB 02 B3 01 88 9E 0A 02 00 00 84 DB 74 1A 56 B8 ?? ?? ?? ?? 50 8D 86 80 01 00 00 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 84 24 43 01 00 00 88 86 F4 01 00 00 8B 46 40 C6 40 20 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 BE AE 00 00 00 00 74 0A 8B C6 8B 10 FF 92 D8 00 00 00 B2 01 8B C6 8B 08 FF 91 B4 00 00 00 80 BE B1 00 00 00 00 74 0A 8B 56 38 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 80 BE CA 01 00 00 00 74 19 B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 80 01 00 00 50 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 D0 02 00 00 83 BE 80 00 00 00 00 74 1C 6A 00 0F B6 8E A4 00 00 00 8B 96 80 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 86 9C 01 00 00 66 83 BE 72 01 00 00 00 74 17 BA ?? ?? ?? ?? B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 86 A0 01 00 00 80 BE B0 00 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? 81 C4 AC 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_541_0 {
	meta:
		name = "TBDEDataSet.InternalClose"
		size = 166
		refs = "0016 TBDEDataSet.FreeKeyBuffers 0028 TBDEDataSet.SetupCallBack 0031 TBDEDataSet.AllocCachedUpdateBuffers 0046 DbiEndConstraintLayer 005b DbiEndDelayedUpdates"
	strings:
		$1 = { 53 8B D8 33 C0 89 83 A0 01 00 00 33 C0 89 83 9C 01 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB CA 01 00 00 00 74 3C 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BB 0A 02 00 00 00 74 0C 8D 83 80 01 00 00 50 E8 ?? ?? ?? ?? 83 BB 80 01 00 00 00 74 0C 8D 83 80 01 00 00 50 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 B4 00 00 00 80 BB AE 00 00 00 00 74 0A 8B C3 8B 10 FF 92 EC 00 00 00 33 C0 89 83 F8 01 00 00 66 C7 83 CE 01 00 00 00 00 C6 83 C8 01 00 00 00 C6 83 C9 01 00 00 00 C6 83 CC 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_543_0 {
	meta:
		name = "TBDEDataSet.IsCursorOpen"
		size = 11
		altNames = "TTeeDataSet.IsCursorOpen"
	strings:
		$1 = { 83 B8 80 01 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_545_0 {
	meta:
		name = "TBDEDataSet.SetLocale"
		size = 7
	strings:
		$1 = { 89 90 98 01 00 00 C3 }
	condition:
		$1
}

rule function_546_0 {
	meta:
		name = "TBDEDataSet.InitBufferPointers"
		size = 125
		refs = "0016 DbiGetCursorProps 001b Check"
	strings:
		$1 = { 53 81 C4 54 FE FF FF 8B D8 84 D2 74 2C 54 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 84 24 35 01 00 00 89 43 6C 0F B7 84 24 2B 01 00 00 66 89 83 00 02 00 00 0F B7 83 00 02 00 00 66 03 43 70 66 89 83 06 02 00 00 0F B7 53 7C 03 D2 03 D2 66 03 D0 66 89 93 04 02 00 00 8B C2 66 83 C0 06 66 89 83 02 02 00 00 66 03 43 6C 66 89 83 08 02 00 00 81 C4 AC 01 00 00 5B C3 }
	condition:
		$1
}

rule function_547_0 {
	meta:
		name = "TBDEDataSet.AllocRecordBuffer"
		size = 13
		refs = "0008 AllocMem"
	strings:
		$1 = { 0F B7 80 08 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_548_0 {
	meta:
		name = "TBDEDataSet.FreeRecordBuffer"
		size = 19
		refs = "0006 TBDEDataSet.ClearBlobCache 000d @FreeMem"
	strings:
		$1 = { 53 8B DA 8B 13 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_549_0 {
	meta:
		name = "TBDEDataSet.InternalInitRecord"
		size = 14
		refs = "0009 DbiInitRecord"
	strings:
		$1 = { 52 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_550_0 {
	meta:
		name = "TBDEDataSet.ClearBlobCache"
		size = 70
		refs = "0031 TArray<System.Byte> 0036 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 80 BE CD 01 00 00 00 74 30 8B 5E 7C 4B 85 DB 7C 28 43 33 FF 6A 00 0F B7 86 06 02 00 00 03 C5 8D 04 B8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 47 4B 75 DB 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_551_0 {
	meta:
		name = "TBDEDataSet.ClearCalcFields"
		size = 35
		refs = "001c @FillChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 F8 01 00 00 0F B7 C0 8D 04 06 33 C9 8B 53 70 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_552_0 {
	meta:
		name = "TBDEDataSet.InitRecord"
		size = 50
		refs = "000b TDataSet.InitRecord 0014 TBDEDataSet.ClearBlobCache"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B7 83 04 02 00 00 03 C6 C6 40 04 02 C6 40 05 03 C7 00 FF FF FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_553_0 {
	meta:
		name = "TBDEDataSet.GetRecord"
		size = 270
		refs = "002f DbiGetRecord 0047 DbiGetNextRecord 005f DbiGetPriorRecord 00c1 TBDEDataSet.ClearBlobCache 00e3 DbiGetBookMark 00e8 Check"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B F2 8B D8 0F B6 45 FF 2C 01 72 08 74 1E FE C8 74 32 EB 48 8D 83 88 01 00 00 50 56 6A 00 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? EB 32 8D 83 88 01 00 00 50 56 6A 00 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? EB 1A 8D 83 88 01 00 00 50 56 6A 00 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? EB 02 33 C0 8B D0 66 83 EA 01 72 0E 66 81 EA 00 22 74 7A 66 FF CA 74 79 EB 7B 0F B7 83 04 02 00 00 03 C6 0F B6 93 90 01 00 00 88 50 04 C6 40 05 00 0F B6 93 F4 01 00 00 80 EA 01 72 0C 75 14 8B 93 88 01 00 00 89 10 EB 10 8B 93 8C 01 00 00 89 10 EB 06 C7 00 FF FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 58 01 00 00 0F B7 83 02 02 00 00 03 F0 56 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 15 B3 01 EB 11 B3 02 EB 0D B3 03 80 7D 08 00 74 05 E8 ?? ?? ?? ?? 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_554_0 {
	meta:
		name = "TBDEDataSet.GetCurrentRecord"
		size = 91
		refs = "0033 TDataSet.UpdateCursorPos 0048 DbiGetRecord"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B D8 8B F3 8B 7E 5C 3B 7E 58 7D 17 8B 46 64 8B 14 B8 8B C3 8B 08 FF 91 F4 01 00 00 84 C0 0F 94 C0 EB 02 33 C0 84 C0 74 24 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 44 24 04 50 6A 00 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 C0 EB 02 33 C0 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_555_0 {
	meta:
		name = "TBDEDataSet.GetOldRecord"
		size = 163
		refs = "000d TDataSet.UpdateCursorPos 0023 SetBoolProp 002f TBDEDataSet.GetOldRecord 0055 DbiGetRecord 005a Check 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 80 01 00 00 83 C9 FF BA 04 00 05 05 E8 ?? ?? ?? ?? 84 C0 74 6C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 FC 8B 80 D0 01 00 00 8B 40 0C 50 6A 00 8B 45 FC 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 D0 01 00 00 8B 40 0C 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 80 01 00 00 33 C9 BA 04 00 05 05 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 33 C0 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_556_0 {
	meta:
		name = "TBDEDataSet.FetchAll"
		size = 70
		refs = "000f TDataSet.CheckBrowseMode 001b DbiSetToEnd 0020 Check 0032 DbiGetPriorRecord"
	strings:
		$1 = { 53 8B D8 80 BB A9 00 00 00 00 75 38 8B C3 E8 ?? ?? ?? ?? 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 C7 40 60 FF FF FF FF 5B C3 }
	condition:
		$1
}

rule function_557_0 {
	meta:
		name = "TBDEDataSet.FlushBuffers"
		size = 29
		refs = "0006 TDataSet.CheckBrowseMode 0012 DbiSaveChanges 0017 Check"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_558_0 {
	meta:
		name = "TBDEDataSet.GetRecordCount"
		size = 63
		refs = "0017 DbiGetExactRecordCount 0029 DbiGetRecordCount"
	strings:
		$1 = { 53 51 8B D8 8B C3 8B 10 FF 92 BC 00 00 00 54 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 74 19 54 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 74 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_559_0 {
	meta:
		name = "TBDEDataSet.GetRecNo"
		size = 51
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 BC 00 00 00 80 BB A5 00 00 00 05 75 05 8B 43 68 EB 0B 8B C3 8B 50 5C 8B 40 64 8B 04 90 0F B7 93 04 02 00 00 03 C2 8B 00 5B C3 }
	condition:
		$1
}

rule function_560_0 {
	meta:
		name = "TBDEDataSet.SetRecNo"
		size = 100
		refs = "0009 TDataSet.CheckBrowseMode 0037 DbiSetToSeqNo 0043 TBDEDataSet.SetRecNo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB F4 01 00 00 01 75 45 8B C3 8B 10 FF 92 8C 01 00 00 3B F0 74 37 8B C3 8B 10 FF 92 34 01 00 00 56 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 75 1B 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 B4 02 00 00 8B C3 8B 10 FF 92 10 01 00 00 5E 5B C3 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_561_0 {
	meta:
		name = "TBDEDataSet.GetRecordSize"
		size = 8
	strings:
		$1 = { 0F B7 80 00 02 00 00 C3 }
	condition:
		$1
}

rule function_562_0 {
	meta:
		name = "TBDEDataSet.GetActiveRecBuf"
		size = 256
		refs = "0019 TBDEDataSet.GetActiveRecBuf 00eb TBDEDataSet.GetOldRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 0F B6 83 A5 00 00 00 83 F8 0A 0F 87 DD 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B7 83 00 02 00 00 F7 AB 10 02 00 00 03 83 20 02 00 00 89 06 E9 94 00 00 00 8B C3 8B 50 5C 3B 50 58 7C 09 33 C0 89 06 E9 81 00 00 00 8B 40 64 8B 04 90 89 06 EB 77 8B C3 8B 50 5C 8B 40 64 8B 04 90 89 06 EB 68 8B 83 F0 01 00 00 83 C0 06 89 06 EB 5B 8B 43 68 89 06 EB 54 8B 83 A4 01 00 00 89 06 EB 4A 80 BB CB 01 00 00 00 74 0D 8B 83 D0 01 00 00 8B 40 08 89 06 EB 34 8B C3 8B 50 5C 8B 40 64 8B 04 90 89 06 EB 25 80 BB CB 01 00 00 00 74 0D 8B 83 D0 01 00 00 8B 40 0C 89 06 EB 0F 8B C3 E8 ?? ?? ?? ?? 89 06 EB 04 33 C0 89 06 83 3E 00 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_563_0 {
	meta:
		name = "TBDEDataSet.AddFieldDesc"
		size = 932
		refs = "002c @DynArrayAddRef 0034 TBDEDataSet.AddFieldDesc 006f NativeToAnsi 007f @LStrLAsg 00ae Format 00be @LStrFromUStr 00c9 @UStrFromLStr 00d3 TDefCollection.IndexOf 00eb DataTypeMap 0113 TBits.GetBit 01e2 BlobTypeMap 01ec TFieldDefs.AddFieldDef 020a TNamedItem.SetDisplayName 0215 TFieldDef.SetDataType 0220 TFieldDef.SetSize 022a TFieldDef.SetPrecision 023e TFieldDef.SetAttributes 02c1 TFieldDef.GetChildDefs 02f6 StrCopy 0300 StrCat 033d @UStrArrayClr 0345 @UStrClr 0352 @LStrArrayClr 035b TFieldDescList 0360 @DynArrayClear 0366 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 56 57 33 DB 89 5D 80 89 5D 84 89 5D 98 89 5D F8 89 5D F4 8B F9 89 55 FC 89 45 F0 8B 5D 08 8B 75 10 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 8B D0 C1 E0 05 2B C2 8B 55 FC 56 57 8D 34 42 8D 7D 9E B9 0F 00 00 00 F3 A5 66 A5 5F 5E FF 07 8D 4D F8 8D 55 A0 8B 45 F0 8B 80 98 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 E0 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? EB 3D FF 45 E0 8D 45 98 50 8B 45 F8 89 45 88 C6 45 8C 0B 8B 45 E0 89 45 90 C6 45 94 00 8D 55 88 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 98 8D 45 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8D 45 84 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 84 8B C3 E8 ?? ?? ?? ?? 85 C0 7D AA 0F B7 45 C0 66 83 F8 19 73 0F 0F B7 C0 0F B6 80 ?? ?? ?? ?? 88 45 EF EB 04 C6 45 EF 00 66 C7 45 EC 00 00 33 C0 89 45 E4 8B 45 0C 8B 40 04 3B 06 7E 0F 8B 16 8B 45 0C E8 ?? ?? ?? ?? 88 45 EB EB 04 C6 45 EB 00 0F B7 45 C0 83 F8 16 0F 87 BC 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 00 06 00 02 03 04 05 01 00 00 02 00 00 01 00 00 00 00 01 01 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B7 45 C4 66 85 C0 75 06 C6 45 EF 00 EB 6C 66 89 45 EC EB 66 66 83 7D CA 02 74 5F C6 45 EF 00 EB 59 66 83 7D C2 1D 75 52 C6 45 EF 0E C6 45 EB 00 EB 48 66 83 7D C2 15 75 41 C6 45 EF 07 EB 3B 0F BF 45 C6 99 33 C2 2B C2 66 89 45 EC 0F BF 45 C4 89 45 E4 EB 25 0F B7 45 C4 66 89 45 EC 0F B7 45 C2 66 83 F8 16 72 13 66 83 F8 24 77 0D 0F B7 C0 0F B6 80 ?? ?? ?? ?? 88 45 EF 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 06 89 43 1C FF 06 8D 45 80 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 80 8B C3 E8 ?? ?? ?? ?? 0F B6 55 EF 8B C3 E8 ?? ?? ?? ?? 0F B7 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 80 7D EB 00 74 0E 0F B6 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D D2 01 75 11 0F B6 15 ?? ?? ?? ?? 0A 53 26 8B C3 E8 ?? ?? ?? ?? 66 83 7D C2 1F 75 11 0F B6 15 ?? ?? ?? ?? 0A 53 26 8B C3 E8 ?? ?? ?? ?? 66 83 7D D6 01 1B C0 40 88 43 24 0F B6 45 EF 2C 1A 74 09 FE C8 74 55 E9 9A 00 00 00 66 83 7D C2 23 75 11 0F B6 15 ?? ?? ?? ?? 0A 53 26 8B C3 E8 ?? ?? ?? ?? 0F BF 45 C4 48 85 C0 7C 79 40 89 45 DC C7 45 E0 00 00 00 00 56 8B 45 0C 50 8B C3 E8 ?? ?? ?? ?? 50 8B CF 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? FF 45 E0 FF 4D DC 75 DE EB 4A 8B 06 89 45 E0 8B 07 8B D0 C1 E0 05 2B C2 8B 55 FC 8D 44 42 02 8D 55 A0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 0C 50 8B C3 E8 ?? ?? ?? ?? 50 8B CF 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 0F BF 45 C6 01 06 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 80 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 5F 00 25 00 64 00 00 00 04 00 00 00 02 00 00 00 20 00 00 00 10 00 00 00 5B 30 5D 00 }
	condition:
		$1
}

rule function_564_0 {
	meta:
		name = "TBDEDataSet.GetBlobFieldData"
		size = 372
		refs = "0052 TBDEDataSet.GetActiveRecBuf 0074 DbiOpenBlob 008b TBDEDataSet.GetBlobFieldData 00a9 DbiGetBlobSize 00bf @TryFinallyExit 00cb @DynArrayLength 00ee TArray<System.Byte> 00f3 @DynArraySetLength 011b DbiGetBlob 0150 DbiFreeBlob 015f Check 0165 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B D9 89 55 F8 89 45 FC 33 C0 89 45 F4 8B 45 FC 8B 80 84 00 00 00 85 C0 0F 94 45 ED 85 C0 7E 23 8B 45 FC 8B 80 10 02 00 00 8B 55 FC 0F B7 92 00 02 00 00 F7 EA 8B 55 FC 03 82 20 02 00 00 89 45 F0 EB 13 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 0D 01 00 00 6A 01 0F B7 75 F8 56 8B 45 F0 50 8B 45 FC 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? 66 89 45 EE 66 83 7D EE 00 0F 85 E4 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 56 8B 45 F0 50 8B 45 FC 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? 66 89 45 EE 66 83 7D EE 00 75 06 83 7D F4 00 75 0A E8 ?? ?? ?? ?? E9 A3 00 00 00 8B 03 E8 ?? ?? ?? ?? 3B 45 F4 7F 26 8B 45 F4 85 C0 79 03 83 C0 03 C1 F8 02 03 45 F4 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F4 50 8B 03 50 8B 45 F4 50 6A 00 0F B7 45 F8 50 8B 45 F0 50 8B 45 FC 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? 66 89 45 EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 66 83 7D EE 00 74 05 33 C0 89 45 F4 0F B7 45 F8 50 8B 45 F0 50 8B 45 FC 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? 80 7D ED 00 74 09 0F B7 45 EE E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 8B 45 F4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_565_0 {
	meta:
		name = "TBDEDataSet.GetFieldData"
		size = 131
		refs = "0034 DbiGetField 0052 TBDEDataSet.GetActiveRecBuf 006f Check"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 83 BB 84 00 00 00 00 7E 36 54 57 0F B7 83 00 02 00 00 F7 AB 10 02 00 00 03 83 20 02 00 00 50 56 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 75 06 83 3C 24 00 74 04 33 C0 EB 36 B0 01 EB 32 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 54 57 8B 44 24 0C 50 56 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 83 F8 01 1B C0 F7 D8 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_566_0 {
	meta:
		name = "TBDEDataSet.GetFieldData"
		size = 173
		refs = "0055 TBDEDataSet.GetActiveRecBuf 00a1 Move"
	strings:
		$1 = { 53 56 57 55 51 8B E9 8B FA 8B F0 8B C7 8B 10 FF 92 A8 00 00 00 85 C0 7E 1C 8B C7 8B 10 FF 92 A8 00 00 00 8B D0 8B CD 8B C6 8B 18 FF 93 90 02 00 00 8B D8 EB 70 80 BE A5 00 00 00 0A 75 12 8B C6 8B 50 58 8B 40 64 8B 04 90 89 04 24 B3 01 EB 0B 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 46 0F B6 86 A5 00 00 00 48 2C 03 72 08 2C 01 74 04 2C 05 75 32 0F B7 86 00 02 00 00 03 47 54 01 04 24 8B 04 24 0F B6 18 84 DB 74 1B 85 ED 74 17 8B C7 8B 10 FF 92 9C 00 00 00 8B C8 8B D5 8B 04 24 40 E8 ?? ?? ?? ?? 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_567_0 {
	meta:
		name = "TBDEDataSet.SetFieldData"
		size = 559
		refs = "0021 TBDEDataSet.SetFieldData 0040 SNotEditing 0045 LoadResString 004f DatabaseError 0076 TField.GetIsIndexField 0086 TField.GetDisplayName 009c SNotIndexField 00ac DatabaseErrorFmt 00b6 TBDEDataSet.GetActiveRecBuf 011f SFieldReadOnly 0138 TField.Validate 0182 DbiVerifyField 0187 Check 01a3 DbiPutField 01df Move 0214 @UStrArrayClr 021c @UStrClr 0222 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 83 A5 00 00 00 04 FE 2C 06 72 1B 2C 03 74 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B D3 E8 ?? ?? ?? ?? 80 BB A5 00 00 00 04 75 54 8B C6 8B 10 FF 92 A8 00 00 00 85 C0 7C 14 83 BB F8 01 00 00 00 7E 3D 8B C6 E8 ?? ?? ?? ?? 84 C0 75 32 6A 00 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 45 EC 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 33 C9 5A E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 A8 00 00 00 85 C0 0F 8E E2 00 00 00 80 BB A5 00 00 00 05 75 17 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8B D3 E8 ?? ?? ?? ?? 80 7E 49 00 74 41 0F B6 83 A5 00 00 00 2C 04 74 36 2C 02 74 32 6A 00 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 DC 89 45 EC C6 45 F0 11 8D 45 EC 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 33 C9 5A E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 4A 03 0F 84 9D 00 00 00 80 BB 0A 02 00 00 00 74 3C 8B C6 8B 10 FF 92 AC 00 00 00 84 C0 74 2E 0F B6 83 A5 00 00 00 04 FE 2C 02 73 21 8D 45 F8 50 57 8B C6 8B 10 FF 92 A8 00 00 00 50 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 57 8B 45 FC 50 8B C6 8B 10 FF 92 A8 00 00 00 50 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 35 0F B7 83 00 02 00 00 03 46 54 01 45 FC 83 FF 01 1B C0 40 8B 55 FC 88 02 84 C0 74 19 8B C6 8B 10 FF 92 9C 00 00 00 8B C8 8B 45 FC 8D 50 01 8B C7 E8 ?? ?? ?? ?? 0F B6 83 A5 00 00 00 04 FB 2C 03 72 0E 8B CE 33 D2 8B C3 8B 18 FF 93 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_568_0 {
	meta:
		name = "TBDEDataSet.GetBlobData"
		size = 48
		refs = "0020 TArray<System.Byte> 0025 @DynArrayAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 0F B7 93 06 02 00 00 03 FA 8B 56 54 8B 14 97 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_569_0 {
	meta:
		name = "TBDEDataSet.SetBlobData"
		size = 118
		refs = "0010 @DynArrayAddRef 0018 TBDEDataSet.SetBlobData 0043 TArray<System.Byte> 0048 @DynArrayAsg 0063 @DynArrayClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 50 5C 8B 40 64 3B 34 90 75 1D 8B 47 54 0F B7 93 06 02 00 00 03 F2 8D 04 86 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_570_0 {
	meta:
		name = "TBDEDataSet.CreateBlobStream"
		size = 37
		refs = "000b _Dn_TBlobField 0010 @AsClass 0019 _DV_TBlobStream 001e TBlobStream.Create"
	strings:
		$1 = { 53 56 8B D9 8B F2 53 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15037_0 {
	meta:
		name = "TCustomADODataSet.CreateBlobStream"
		size = 37
		refs = "000b _Dn_TBlobField 0010 @AsClass 0019 _DV_TADOBlobStream 001e TADOBlobStream.Create"
	strings:
		$1 = { 53 56 8B D9 8B F2 53 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14491_0 {
	meta:
		name = "TCustomSQLDataSet.CreateBlobStream"
		size = 37
		refs = "000b _Dn_TBlobField 0010 @AsClass 0019 _DV_TSQLBlobStream 001e TSQLBlobStream.Create"
	strings:
		$1 = { 53 56 8B D9 8B F2 53 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_571_0 {
	meta:
		name = "TBDEDataSet.CloseBlob"
		size = 46
		refs = "0026 DbiFreeBlob"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C7 8B 10 FF 92 A8 00 00 00 50 8B F3 8B 46 5C 8B 56 64 8B 04 82 50 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_572_0 {
	meta:
		name = "TBDEDataSet.GetStateFieldValue"
		size = 41
		refs = "000f TBDEDataSet.CheckCachedUpdateMode 001e TDataSet.GetStateFieldValue"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 45 08 50 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_573_0 {
	meta:
		name = "TBDEDataSet.SetStateFieldValue"
		size = 41
		refs = "000f TBDEDataSet.CheckCachedUpdateMode 001e TDataSet.SetStateFieldValue"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 45 08 50 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_574_0 {
	meta:
		name = "TBDEDataSet.Translate"
		size = 87
		refs = "0011 @PCharLen 002c AnsiToNativeBuf 0041 NativeToAnsiBuf"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 89 45 FC 8B C3 E8 ?? ?? ?? ?? 8B F8 80 7D 08 00 74 15 57 8B 45 FC 8B 80 98 01 00 00 8B CE 8B D3 E8 ?? ?? ?? ?? EB 13 57 8B 45 FC 8B 80 98 01 00 00 8B CE 8B D3 E8 ?? ?? ?? ?? 3B F3 74 04 C6 04 3E 00 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_575_0 {
	meta:
		name = "TBDEDataSet.GetFieldFullName"
		size = 125
		refs = "004c DbiGetProp 0051 Check 0062 NativeToAnsi 006f TDataSet.GetFieldFullName"
	strings:
		$1 = { 53 56 57 81 C4 F4 FB FF FF 8B F9 8B F2 8B D8 8B C6 8B 10 FF 92 A8 00 00 00 85 C0 7E 4B 8B C6 8B 10 FF 92 A8 00 00 00 66 89 44 24 02 8D 44 24 08 89 44 24 04 54 68 01 04 00 00 8D 44 24 0A 50 68 10 00 05 00 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF 8D 54 24 08 8B 83 98 01 00 00 E8 ?? ?? ?? ?? EB 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 81 C4 0C 04 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_576_0 {
	meta:
		name = "TBDEDataSet.InternalFirst"
		size = 22
		refs = "000b DbiSetToBegin 0010 Check"
	strings:
		$1 = { 53 8B D8 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_577_0 {
	meta:
		name = "TBDEDataSet.InternalLast"
		size = 22
		refs = "000b DbiSetToEnd 0010 Check"
	strings:
		$1 = { 53 8B D8 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_578_0 {
	meta:
		name = "TBDEDataSet.InternalEdit"
		size = 56
		refs = "001c DbiGetRecord 0021 Check 0031 TBDEDataSet.ClearBlobCache"
	strings:
		$1 = { 53 56 8B D8 6A 00 8B F3 8B 46 5C 8B 56 64 8B 04 82 50 6A 01 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 5C 8B 56 64 8B 14 82 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_579_0 {
	meta:
		name = "TBDEDataSet.InternalInsert"
		size = 33
		refs = "0012 SetBoolProp"
	strings:
		$1 = { 53 8B D8 83 C9 FF BA 14 00 05 00 8B 83 80 01 00 00 E8 ?? ?? ?? ?? 8B C3 C7 40 60 FF FF FF FF 5B C3 }
	condition:
		$1
}

rule function_580_0 {
	meta:
		name = "TBDEDataSet.InternalPost"
		size = 88
		refs = "0007 TDataSet.InternalPost 002a DbiModifyRecord 002f Check 004c DbiInsertRecord"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB A5 00 00 00 02 75 22 6A FF 8B F3 8B 46 5C 8B 56 64 8B 04 82 50 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B F3 8B 46 5C 8B 56 64 8B 04 82 50 6A 00 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_581_0 {
	meta:
		name = "TBDEDataSet.InternalDelete"
		size = 44
		refs = "000b DbiDeleteRecord 0019 ErrCat 0026 Check"
	strings:
		$1 = { 53 6A 00 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? 8B D8 66 85 DB 74 14 8B C3 E8 ?? ?? ?? ?? 66 83 F8 22 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_582_0 {
	meta:
		name = "TBDEDataSet.IsSequenced"
		size = 24
	strings:
		$1 = { 80 B8 F4 01 00 00 01 75 09 80 B8 B0 00 00 00 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_583_0 {
	meta:
		name = "TBDEDataSet.GetCanModify"
		size = 31
		refs = "000f TBDEDataSet.ForceUpdateCallback"
	strings:
		$1 = { 53 8B D8 80 BB CC 01 00 00 00 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_584_0 {
	meta:
		name = "TBDEDataSet.InternalRefresh"
		size = 72
		refs = "0028 DbiForceRecordReread 002d Check 003c DbiForceReread"
	strings:
		$1 = { 53 56 8B D8 8B 83 8C 00 00 00 85 C0 74 26 80 78 48 1C 75 20 8B F3 8B 46 5C 8B 56 64 8B 04 82 50 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_585_0 {
	meta:
		name = "TBDEDataSet.Post"
		size = 30
		refs = "0006 TDataSet.Post 0018 TBDEDataSet.PostKeyBuffer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB A5 00 00 00 04 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_586_0 {
	meta:
		name = "TBDEDataSet.Cancel"
		size = 30
		refs = "0006 TDataSet.Cancel 0018 TBDEDataSet.PostKeyBuffer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB A5 00 00 00 04 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15370_0 {
	meta:
		name = "TCustomClientDataSet.Cancel"
		size = 30
		refs = "0006 TDataSet.Cancel 0018 TCustomClientDataSet.PostKeyBuffer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB A5 00 00 00 04 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_587_0 {
	meta:
		name = "TBDEDataSet.InternalCancel"
		size = 24
		refs = "0013 DbiRelRecordLock"
	strings:
		$1 = { 80 B8 A5 00 00 00 02 75 0E 6A 00 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_588_0 {
	meta:
		name = "TBDEDataSet.InternalAddRecord"
		size = 54
		refs = "0013 DbiAppendRecord 0018 Check 002a DbiInsertRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 84 C9 74 15 56 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 56 6A 00 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_589_0 {
	meta:
		name = "TBDEDataSet.InternalGotoBookmark"
		size = 27
		refs = "000f DbiSetToBookMark 0014 Check"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_590_0 {
	meta:
		name = "TBDEDataSet.InternalSetToRecord"
		size = 18
	strings:
		$1 = { 0F B7 88 02 02 00 00 03 D1 8B 08 FF 91 08 02 00 00 C3 }
	condition:
		$1
}

rule function_591_0 {
	meta:
		name = "TBDEDataSet.GetBookmarkFlag"
		size = 14
	strings:
		$1 = { 0F B7 80 04 02 00 00 03 D0 0F B6 42 05 C3 }
	condition:
		$1
}

rule function_592_0 {
	meta:
		name = "TBDEDataSet.SetBookmarkFlag"
		size = 13
	strings:
		$1 = { 0F B7 80 04 02 00 00 03 D0 88 4A 05 C3 }
	condition:
		$1
}

rule function_593_0 {
	meta:
		name = "TBDEDataSet.GetBookmarkData"
		size = 23
		refs = "0011 Move"
	strings:
		$1 = { 53 0F B7 98 02 02 00 00 03 D3 8B 40 6C 92 87 CA E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_594_0 {
	meta:
		name = "TBDEDataSet.SetBookmarkData"
		size = 21
		refs = "000f Move"
	strings:
		$1 = { 53 0F B7 98 02 02 00 00 03 D3 8B 40 6C 91 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_595_0 {
	meta:
		name = "TBDEDataSet.CompareBookmarks"
		size = 172
		refs = "0013 @DynArrayAddRef 0023 TBDEDataSet.CompareBookmarks 0044 RetCodes 006d DbiCompareBookMarks 008e TArray<System.Byte> 0098 @FinalizeArray 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 0F 94 C0 83 E0 7F 83 7D FC 00 0F 94 C2 83 E2 7F 8D 14 55 ?? ?? ?? ?? 0F BE 04 02 89 45 F4 83 7D F4 02 75 27 8B 83 80 01 00 00 85 C0 74 12 8D 55 F4 52 8B 55 F8 52 8B 55 FC 52 50 E8 ?? ?? ?? ?? 83 7D F4 02 75 05 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_596_0 {
	meta:
		name = "TBDEDataSet.BookmarkValid"
		size = 148
		refs = "000f @DynArrayAddRef 0017 TBDEDataSet.BookmarkValid 0044 DbiSetToBookMark 005b DbiGetRecord 007c TArray<System.Byte> 0081 @DynArrayClear 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE 80 01 00 00 00 0F 95 C3 84 DB 74 3B 8B C6 C7 40 60 FF FF FF FF 8B 45 FC 50 8B 86 80 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 75 17 6A 00 6A 00 6A 00 8B 86 80 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_597_0 {
	meta:
		name = "CanBlockRead"
		size = 108
		refs = "0035 TFields.GetCount 004f TFields.GetField"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC 83 78 54 01 7F 0F 8B 45 08 8B 40 FC 83 B8 8C 00 00 00 00 74 04 33 DB EB 02 B3 01 84 DB 74 3A 8B 45 08 8B 40 FC 8B 40 38 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 25 47 33 F6 8B 45 08 8B 40 FC 8B 40 38 8B D6 E8 ?? ?? ?? ?? 0F B6 40 48 04 E4 2C 02 73 04 33 DB EB 04 46 4F 75 DE 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_598_0 {
	meta:
		name = "FreeBuffer"
		size = 40
		refs = "0014 @FreeMem"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 80 20 02 00 00 85 C0 74 13 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 33 D2 89 90 20 02 00 00 5D C3 }
	condition:
		$1
}

rule function_599_0 {
	meta:
		name = "TBDEDataSet.SetBlockReadSize"
		size = 259
		refs = "0034 CanBlockRead 0043 FreeBuffer 004c TDataSet.UpdateCursorPos 0062 DbiSetProp 0085 AllocMem 00dc TDataSet.SetBlockReadSize"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B 45 FC 3B 98 84 00 00 00 0F 84 E4 00 00 00 85 DB 0F 8E CB 00 00 00 8B 45 FC 80 B8 A9 00 00 00 00 0F 85 CC 00 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 BD 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 6A 00 68 14 00 05 00 8B 45 FC 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? 81 FB FF FF FF 7F 75 07 BE 00 00 01 00 EB 0D 8B 45 FC 0F B7 B0 00 02 00 00 0F AF F3 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 89 82 20 02 00 00 8B 45 FC 0F B7 80 00 02 00 00 50 8B C6 5A 8B CA 99 F7 F9 8B C8 8B 45 FC 89 88 0C 02 00 00 8B 45 FC 89 88 10 02 00 00 8B 45 FC 8B 80 0C 02 00 00 8B 55 FC 89 82 14 02 00 00 8B 45 FC 33 D2 89 90 18 02 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 B0 01 00 00 EB 11 8B D3 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_600_0 {
	meta:
		name = "TBDEDataSet.BlockReadNext"
		size = 181
		refs = "0020 TDataSet.Last 003c DbiReadBlock 0051 Check"
	strings:
		$1 = { 53 56 8B D8 8B 83 14 02 00 00 8B D0 4A 3B 93 10 02 00 00 7F 6D 3B 83 0C 02 00 00 7D 09 8B C3 E8 ?? ?? ?? ?? EB 62 8B 83 20 02 00 00 50 8D 83 14 02 00 00 50 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 8B F0 66 85 F6 74 0E 66 81 FE 02 22 74 07 8B C6 E8 ?? ?? ?? ?? 83 BB 14 02 00 00 00 75 0E 66 81 FE 02 22 75 07 8B C3 E8 ?? ?? ?? ?? 8B 83 14 02 00 00 01 83 18 02 00 00 33 C0 89 83 10 02 00 00 EB 06 FF 83 10 02 00 00 83 7B 70 00 7E 15 8B C3 8B 50 58 8B 40 64 8B 14 90 8B C3 8B 08 FF 91 58 01 00 00 83 C9 FF B2 03 8B C3 8B 18 FF 93 E4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_601_0 {
	meta:
		name = "TBDEDataSet.GetIndexInfo"
		size = 135
		refs = "0016 DbiGetIndexDesc"
	strings:
		$1 = { 53 56 57 81 C4 80 FC FF FF 8B D8 54 6A 00 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 75 5E 66 83 BC 24 51 01 00 00 01 1B C0 40 88 83 C8 01 00 00 66 83 BC 24 37 03 00 00 01 1B C0 40 88 83 C9 01 00 00 80 BB C8 01 00 00 00 75 22 0F B7 84 24 55 01 00 00 89 83 F8 01 00 00 8D B4 24 5D 01 00 00 8D BB A8 01 00 00 B9 08 00 00 00 F3 A5 0F B7 84 24 57 01 00 00 66 89 83 CE 01 00 00 81 C4 80 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_602_0 {
	meta:
		name = "TBDEDataSet.SwitchToIndex"
		size = 366
		refs = "0019 TBDEDataSet.SwitchToIndex 0027 TBDEDataSet.ResetCursorRange 002f TDataSet.UpdateCursorPos 0042 @LStrFromUStr 004a @LStrToPChar 0073 DbiSwitchToIndex 00a9 Check 00eb TBDEDataSet.InitBufferPointers 011a @HandleAnyException 0124 TDataSet.SetState 0134 @RaiseAgain 0139 @DoneExcept 0141 TBDEDataSet.GetIndexInfo 015b @LStrArrayClr 0161 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A FF 6A 00 8D 45 F8 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F4 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B F8 57 8B 45 FC 05 80 01 00 00 50 E8 ?? ?? ?? ?? 66 3D 05 22 75 2B 6A 00 6A 00 8D 45 F0 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 57 8B 45 FC 05 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 C7 80 CE 01 00 00 00 00 8B 45 FC C6 80 C8 01 00 00 00 8B 45 FC C6 80 C9 01 00 00 00 8B 45 FC 33 D2 89 90 F8 01 00 00 33 D2 8B 45 FC 8B 08 FF 91 C0 01 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 54 42 8B 45 FC 8B 08 FF 91 C0 01 00 00 33 C0 5A 59 59 64 89 10 EB 24 E9 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 D4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_603_0 {
	meta:
		name = "TBDEDataSet.GetIndexField"
		size = 194
		refs = "0019 TBDEDataSet.GetIndexField 0033 SFieldIndexError 0038 LoadResString 0042 DatabaseError 0058 TFields.FieldByNumber 006a TFieldDefs.GetFieldDef 0080 SIndexFieldMissing 0090 DatabaseErrorFmt 00a5 @UStrClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 08 3B B3 F8 01 00 00 7C 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 0F B7 84 73 A8 01 00 00 8B F0 8B C3 8B D6 8B 40 38 E8 ?? ?? ?? ?? 8B F8 85 FF 75 32 53 8B D6 4A 8B 43 40 E8 ?? ?? ?? ?? 8B 40 0C 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_604_0 {
	meta:
		name = "TBDEDataSet.SetIndexField"
		size = 29
		refs = "000e TBDEDataSet.GetIndexField"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72717_0 {
	meta:
		name = "TActionListCollection.SetListItem"
		size = 29
		refs = "000e TActionListCollection.GetListItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2684_0 {
	meta:
		name = "TBaseDBGridLinkColumns.SetColumn"
		size = 29
		refs = "000e TCollection.GetItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94137_0 {
	meta:
		name = "TChartCustomAxes.Put"
		size = 29
		refs = "000e TChartCustomAxes.Get"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95862_0 {
	meta:
		name = "TCookieCollection.SetCookie"
		size = 29
		refs = "000e TCookieCollection.GetCookie"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15134_0 {
	meta:
		name = "TCustomADODataSet.SetIndexField"
		size = 29
		refs = "000e TCustomADODataSet.GetIndexField"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15406_0 {
	meta:
		name = "TCustomClientDataSet.SetIndexField"
		size = 29
		refs = "000e TCustomClientDataSet.GetIndexField"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77744_0 {
	meta:
		name = "TDBGridColumns.SetColumn"
		size = 29
		refs = "000e TDBGridColumns.GetColumn"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5169_0 {
	meta:
		name = "TFields.SetField"
		size = 29
		refs = "000e TFields.GetField"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95695_0 {
	meta:
		name = "THTMLTableColumns.SetColumn"
		size = 29
		refs = "000e THTMLTableColumns.GetColumn"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32032_0 {
	meta:
		name = "TIBTable.SetIndexField"
		size = 29
		refs = "000e TIBTable.GetIndexField"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46052_0 {
	meta:
		name = "TIWScriptEvents.SetItem"
		size = 29
		refs = "000e TIWScriptEvents.GetItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37120_0 {
	meta:
		name = "TIdSMTPRelayStatusList.SetItems"
		size = 29
		refs = "000e TIdSMTPRelayStatusList.GetItems"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75204_0 {
	meta:
		name = "TListItems.SetItem"
		size = 29
		refs = "000e TListItems.GetItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14617_0 {
	meta:
		name = "TSQLTable.SetIndexField"
		size = 29
		refs = "000e TSQLTable.GetIndexField"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95909_0 {
	meta:
		name = "TWebActionItems.SetActionItem"
		size = 29
		refs = "000e TWebActionItems.GetActionItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98819_0 {
	meta:
		name = "TWebUserItems.SetUserItem"
		size = 29
		refs = "000e TWebUserItems.GetUserItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_605_0 {
	meta:
		name = "TBDEDataSet.GetIndexFieldCount"
		size = 7
		altNames = "TRibbonCustomControl.GetContainedControl TRibbonGalleryControl.GetContainedControl"
	strings:
		$1 = { 8B 80 F8 01 00 00 C3 }
	condition:
		$1
}

rule function_606_0 {
	meta:
		name = "TBDEDataSet.AllocKeyBuffers"
		size = 109
		refs = "000e TBDEDataSet.AllocKeyBuffers 0028 AllocMem 0032 TBDEDataSet.InitKeyBuffer 0051 @HandleAnyException 0059 TBDEDataSet.FreeKeyBuffers 005e @RaiseAgain 0063 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 FC 0F B7 80 00 02 00 00 83 C0 06 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 84 9A D8 01 00 00 43 83 FB 06 75 D4 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_607_0 {
	meta:
		name = "TBDEDataSet.FreeKeyBuffers"
		size = 37
		refs = "0018 DisposeMem"
	strings:
		$1 = { 53 56 8B F0 33 DB 0F B7 96 00 02 00 00 83 C2 06 8D 84 9E D8 01 00 00 E8 ?? ?? ?? ?? 43 83 FB 06 75 E4 5E 5B C3 }
	condition:
		$1
}

rule function_608_0 {
	meta:
		name = "TBDEDataSet.InitKeyBuffer"
		size = 48
		refs = "0015 @FillChar 0027 DbiInitRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 0F B7 93 00 02 00 00 83 C2 06 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 83 C0 06 50 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_609_0 {
	meta:
		name = "TBDEDataSet.CheckSetKeyMode"
		size = 87
		refs = "000c TBDEDataSet.CheckSetKeyMode 0023 SNotEditing 0028 LoadResString 0032 DatabaseError 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB A5 00 00 00 04 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15416_0 {
	meta:
		name = "TCustomClientDataSet.CheckSetKeyMode"
		size = 87
		refs = "000c TCustomClientDataSet.CheckSetKeyMode 0023 SNotEditing 0028 LoadResString 0032 DatabaseError 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB A5 00 00 00 04 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_610_0 {
	meta:
		name = "TBDEDataSet.SetCursorRange"
		size = 520
		refs = "0030 CompareMem 0075 AllocMem 0080 TBDEDataSet.SetCursorRange 00b5 DbiExtractKey 0172 DbiSetRange 0177 Check 019b Move 01f1 @FreeMem 01f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC C6 45 FB 00 8B 45 FC 8B 80 DC 01 00 00 8B 55 FC 8B 92 E4 01 00 00 8B 4D FC 0F B7 89 00 02 00 00 83 C1 06 E8 ?? ?? ?? ?? 84 C0 74 26 8B 45 FC 8B 80 E0 01 00 00 8B 55 FC 8B 92 E8 01 00 00 8B 4D FC 0F B7 89 00 02 00 00 83 C1 06 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 0F 85 95 01 00 00 8B 45 FC 0F B7 80 CE 01 00 00 03 C0 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 01 C6 45 EE 01 8B 45 FC 8B 98 DC 01 00 00 80 3B 00 74 22 8B FB 83 C7 06 8B 45 F0 50 57 8B 45 FC 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 45 EF EB 02 33 FF 8B 45 FC 8B B0 E0 01 00 00 80 3E 00 74 32 8B C6 83 C0 06 89 45 F4 8B 45 FC 0F B7 80 CE 01 00 00 03 45 F0 50 8B 45 F4 50 8B 45 FC 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 45 EE EB 05 33 C0 89 45 F4 0F B6 45 EF 22 45 EE 88 45 ED 80 7D ED 00 74 1D 85 FF 74 03 8B 7D F0 83 7D F4 00 74 10 8B 45 FC 0F B7 80 CE 01 00 00 03 45 F0 89 45 F4 0F B6 46 01 34 01 F6 D8 1B C0 50 8B 45 F4 50 6A 00 0F B7 46 02 50 0F B6 43 01 34 01 F6 D8 1B C0 50 57 6A 00 0F B7 43 02 50 80 7D ED 01 F5 1B C0 50 8B 45 FC 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B7 88 00 02 00 00 83 C1 06 8B 45 FC 8B 90 E4 01 00 00 8B 45 FC 8B 80 DC 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 88 00 02 00 00 83 C1 06 8B 45 FC 8B 90 E8 01 00 00 8B 45 FC 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 C8 02 00 00 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B7 80 CE 01 00 00 8B D0 03 D2 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_611_0 {
	meta:
		name = "TBDEDataSet.ResetCursorRange"
		size = 84
		refs = "0023 DbiResetRange 0028 Check 0035 TBDEDataSet.InitKeyBuffer"
	strings:
		$1 = { 53 8B D8 33 C0 8B 93 E4 01 00 00 80 3A 00 75 0B 8B 93 E8 01 00 00 80 3A 00 74 37 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 93 E4 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 E8 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 C8 02 00 00 B0 01 5B C3 }
	condition:
		$1
}

rule function_612_0 {
	meta:
		name = "TBDEDataSet.SetLinkRanges"
		size = 204
		refs = "0014 TDataSet.SetTempState 001f TBDEDataSet.SetLinkRanges 0036 TBDEDataSet.InitKeyBuffer 0058 TList.Get 0063 TBDEDataSet.GetIndexField 0095 TDataSet.RestoreState 009b @HandleFinally 00c1 Move"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 89 45 FC B2 04 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 DC 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 F0 01 00 00 C6 03 01 8B 77 08 4E 85 F6 7C 21 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 43 4E 75 E2 8B 47 08 8B 55 FC 8B 92 F0 01 00 00 89 42 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 FB 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 8B 45 FC 0F B7 88 00 02 00 00 83 C1 06 8B 45 FC 8B 90 E0 01 00 00 8B 45 FC 8B 80 DC 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_613_0 {
	meta:
		name = "TBDEDataSet.GetKeyBuffer"
		size = 8
	strings:
		$1 = { 8B 84 90 D8 01 00 00 C3 }
	condition:
		$1
}

rule function_614_0 {
	meta:
		name = "TBDEDataSet.SetKeyBuffer"
		size = 111
		refs = "000c TDataSet.CheckBrowseMode 002e Move 003f TBDEDataSet.InitKeyBuffer 0048 TDataSet.SetState"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 84 BE D8 01 00 00 89 86 F0 01 00 00 0F B7 8E 00 02 00 00 83 C1 06 8B 96 EC 01 00 00 E8 ?? ?? ?? ?? 84 DB 74 0D 8B 96 F0 01 00 00 8B C6 E8 ?? ?? ?? ?? B2 04 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 96 F0 01 00 00 0F B6 12 88 90 AA 00 00 00 33 C9 B2 02 8B C6 8B 18 FF 93 E4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_615_0 {
	meta:
		name = "TBDEDataSet.PostKeyBuffer"
		size = 96
		refs = "0041 Move 004a TDataSet.SetState"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 33 C9 B2 07 8B C6 8B 38 FF 97 E4 00 00 00 84 DB 74 11 8B 86 F0 01 00 00 0F B6 96 AA 00 00 00 88 10 EB 1B 0F B7 8E 00 02 00 00 83 C1 06 8B 96 F0 01 00 00 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 02 8B C6 8B 18 FF 93 E4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_616_0 {
	meta:
		name = "TBDEDataSet.GetKeyExclusive"
		size = 22
		refs = "0006 TBDEDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 0F B6 40 01 5B C3 }
	condition:
		$1
}

rule function_617_0 {
	meta:
		name = "TBDEDataSet.SetKeyExclusive"
		size = 25
		refs = "0009 TBDEDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 F0 01 00 00 88 58 01 5E 5B C3 }
	condition:
		$1
}

rule function_618_0 {
	meta:
		name = "TBDEDataSet.GetKeyFieldCount"
		size = 21
		refs = "0006 TBDEDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 8B 40 02 5B C3 }
	condition:
		$1
}

rule function_619_0 {
	meta:
		name = "TBDEDataSet.SetKeyFieldCount"
		size = 25
		refs = "0009 TBDEDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 89 70 02 5E 5B C3 }
	condition:
		$1
}

rule function_620_0 {
	meta:
		name = "TBDEDataSet.SetKeyFields"
		size = 306
		refs = "001d TBDEDataSet.SetKeyFields 0037 SCompositeIndexError 003c LoadResString 0047 DatabaseError 005b SNoFieldIndexes 0075 TDataSet.SetTempState 0098 TBDEDataSet.InitKeyBuffer 00b8 TBDEDataSet.GetIndexField 00bf TField.AssignValue 00fb TDataSet.RestoreState 0101 @HandleFinally 011d @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 C8 01 00 00 00 74 18 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 F8 01 00 00 00 75 18 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 55 FC E8 ?? ?? ?? ?? B2 04 8B 45 FC E8 ?? ?? ?? ?? 88 45 F7 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 94 98 D8 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 F0 01 00 00 8B 75 08 85 F6 7C 1E 46 33 FF 8B 5D F8 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 47 83 C3 08 4E 75 E8 8B 55 08 42 8B 45 FC 8B 80 F0 01 00 00 89 50 02 8B 55 FC 0F B6 92 AA 00 00 00 88 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 F7 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_621_0 {
	meta:
		name = "TBDEDataSet.GetIsIndexField"
		size = 116
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B D8 80 BB A5 00 00 00 04 75 18 83 BB F8 01 00 00 00 75 0F 80 BB C8 01 00 00 00 74 06 C6 04 24 01 EB 40 C6 04 24 00 8B C5 8B 10 FF 92 A8 00 00 00 85 C0 7E 2E 8B B3 F8 01 00 00 4E 85 F6 7C 23 46 33 FF 8B C5 8B 10 FF 92 A8 00 00 00 0F B7 94 7B A8 01 00 00 3B C2 75 06 C6 04 24 01 EB 04 47 4E 75 E0 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_622_0 {
	meta:
		name = "TBDEDataSet.MapsToIndex"
		size = 154
		refs = "0023 TList.Get"
	strings:
		$1 = { 53 56 57 55 51 88 0C 24 8B FA 8B E8 C6 44 24 01 00 33 C0 8B 77 08 4E 85 F6 7C 28 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 0F B6 40 48 2C 01 74 0A 04 EA 2C 02 72 04 33 C0 EB 02 B0 01 84 C0 75 04 43 4E 75 DB 0F B6 95 C9 01 00 00 3A 14 24 0F 95 C2 84 C2 75 3B 8B 47 08 3B 85 F8 01 00 00 7F 30 8B F0 4E 85 F6 7C 24 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 92 A8 00 00 00 0F B7 94 5D A8 01 00 00 3B C2 75 09 43 4E 75 DF C6 44 24 01 01 0F B6 44 24 01 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_623_0 {
	meta:
		name = "TBDEDataSet.ActivateFilters"
		size = 192
		refs = "0017 DbiActivateFilter 002f DbiDropFilter 0045 TBDEDataSet.CreateExprFilter 005f Check 0093 TBDEDataSet.RecordFilter 009f TBDEDataSet.CreateFuncFilter"
	strings:
		$1 = { 53 56 8B D8 8B B3 9C 01 00 00 85 F6 74 55 56 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 74 43 8B 83 9C 01 00 00 50 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 6A 00 0F B6 8B A4 00 00 00 8B 93 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 89 B3 9C 01 00 00 56 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B3 A0 01 00 00 85 F6 74 50 56 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 74 3E 8B 83 A0 01 00 00 50 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 89 B3 A0 01 00 00 56 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_624_0 {
	meta:
		name = "TBDEDataSet.DeactivateFilters"
		size = 63
		refs = "0017 DbiDeactivateFilter 001c Check"
	strings:
		$1 = { 53 56 8B D8 8B B3 A0 01 00 00 85 F6 74 12 56 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B3 9C 01 00 00 85 F6 74 12 56 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_625_0 {
	meta:
		name = "TBDEDataSet.CreateExprFilter"
		size = 216
		refs = "0018 TBDEDataSet.CreateExprFilter 0028 @WStrFromUStr 0042 FldTypeMap 004d _Dn_TExprParser 0052 TExprParser.Create 0085 DbiAddFilter 008a Check 009f TObject.Free 00a5 @HandleFinally 00bc @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 88 4D FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8B 45 F0 50 0F B6 45 FF 50 0F B6 05 ?? ?? ?? ?? 50 6A 00 6A 00 68 ?? ?? ?? ?? 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 6A 00 8B 45 F4 8B 40 5C 50 6A 00 0F B7 45 08 50 6A 00 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_626_0 {
	meta:
		name = "TBDEDataSet.CreateFuncFilter"
		size = 43
		refs = "001a DbiAddFilter 001f Check"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 54 56 6A 00 6A 00 57 53 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_627_0 {
	meta:
		name = "TBDEDataSet.CreateLookupFilter"
		size = 432
		refs = "0023 TBDEDataSet.CreateLookupFilter 0051 FldTypeMap 005d _Dn_TFilterExpr 0062 TFilterExpr.Create 008c TList.Get 0098 TFilterExpr.NewCompareNode 00b9 @VarArrayGet 00e9 @VarClear 00fe TFilterExpr.NewNode 0123 TFilterExpr.GetFilterData 013f DbiAddFilter 0144 Check 0159 TObject.Free 015f @HandleFinally 0177 TExprData 017c @DynArrayClear 0184 @VarClr"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E4 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 0C 01 74 09 0F B6 05 ?? ?? ?? ?? EB 07 0F B6 05 ?? ?? ?? ?? 50 0F B6 05 ?? ?? ?? ?? 50 6A 00 6A 00 68 ?? ?? ?? ?? 6A 00 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 8B 40 08 83 F8 01 75 21 8B 45 E4 50 33 D2 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 B1 03 8B 45 DC E8 ?? ?? ?? ?? 8B F0 89 75 D8 EB 66 8B F8 4F 85 FF 7C 5F 47 33 DB 53 6A 01 8B 45 E4 50 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 C8 50 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 B1 03 8B 45 DC E8 ?? ?? ?? ?? 8B F0 85 DB 75 05 89 75 D8 EB 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 D8 50 56 B1 0A B2 02 8B 45 DC E8 ?? ?? ?? ?? 89 45 D8 43 4F 75 A4 F6 45 0C 02 74 04 C6 46 05 01 8D 45 E0 50 6A 00 8D 4D C4 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 8B 45 C4 50 6A 00 0F B7 45 08 50 6A 00 8B 45 EC 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 8B 45 E0 5F 5E 5B 8B E5 5D C2 08 00 03 00 00 00 02 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_628_0 {
	meta:
		name = "TBDEDataSet.SetFilterHandle"
		size = 119
		refs = "002d DbiSetToBegin 0041 DbiDropFilter 0057 DbiActivateFilter"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 BB B0 00 00 00 00 74 4B 8B C3 C7 40 60 FF FF FF FF 8B C3 8B 10 FF 92 C8 02 00 00 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 83 3E 00 74 0F 8B 06 50 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 89 3E 83 3E 00 74 27 8B 06 50 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? EB 16 83 3E 00 74 0F 8B 06 50 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 89 3E 5F 5E 5B C3 }
	condition:
		$1
}

rule function_629_0 {
	meta:
		name = "TBDEDataSet.SetFilterData"
		size = 145
		refs = "000d TDataSet.GetActive 0018 TDataSet.CheckBrowseMode 0025 @UStrEqual 0047 TBDEDataSet.CreateExprFilter 005a TBDEDataSet.SetFilterHandle 0063 TDataSet.SetFilterText 006e TDataSet.SetFilterOptions 0089 TDataSet.First"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 49 8B C3 E8 ?? ?? ?? ?? 8B 83 80 00 00 00 8B D6 E8 ?? ?? ?? ?? 75 0C 0F B6 04 24 3A 83 A4 00 00 00 74 27 85 F6 74 12 6A 00 0F B6 4C 24 04 8B D6 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 8D 93 9C 01 00 00 8B C8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 14 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 80 BB B0 00 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_630_0 {
	meta:
		name = "TBDEDataSet.SetFilterText"
		size = 13
		refs = "0008 TBDEDataSet.SetFilterData"
	strings:
		$1 = { 0F B6 88 A4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15461_0 {
	meta:
		name = "TCustomClientDataSet.SetFilterText"
		size = 13
		refs = "0008 TCustomClientDataSet.SetFilterData"
	strings:
		$1 = { 0F B6 88 A4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_631_0 {
	meta:
		name = "TBDEDataSet.SetFiltered"
		size = 105
		refs = "0009 TDataSet.GetActive 0014 TDataSet.CheckBrowseMode 0032 DbiSetToBegin 003d TBDEDataSet.ActivateFilters 0046 TBDEDataSet.DeactivateFilters 004f TDataSet.SetFiltered 0056 TDataSet.First"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 4C 8B C6 E8 ?? ?? ?? ?? 3A 9E B0 00 00 00 74 33 8B C6 8B 10 FF 92 C8 02 00 00 8B 86 80 01 00 00 50 E8 ?? ?? ?? ?? 84 DB 74 09 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_632_0 {
	meta:
		name = "TBDEDataSet.SetFilterOptions"
		size = 21
		refs = "000f TBDEDataSet.SetFilterData"
	strings:
		$1 = { 51 88 14 24 0F B6 0C 24 8B 90 80 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_15462_0 {
	meta:
		name = "TCustomClientDataSet.SetFilterOptions"
		size = 21
		refs = "000f TCustomClientDataSet.SetFilterData"
	strings:
		$1 = { 51 88 14 24 0F B6 0C 24 8B 90 80 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_633_0 {
	meta:
		name = "TBDEDataSet.SetOnFilterRecord"
		size = 139
		refs = "0009 TDataSet.GetActive 0014 TDataSet.CheckBrowseMode 0037 TBDEDataSet.RecordFilter 0043 TBDEDataSet.CreateFuncFilter 0056 TBDEDataSet.SetFilterHandle 0063 TDataSet.SetOnFilterRecord 0073 TDataSet.First"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 68 8B C3 E8 ?? ?? ?? ?? 66 83 BB 72 01 00 00 00 0F 95 C2 0F B7 45 0A 66 85 C0 0F 95 C1 3A D1 74 29 66 85 C0 74 13 BA ?? ?? ?? ?? B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 8D 93 A0 01 00 00 8B C8 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 80 BB B0 00 00 00 00 74 16 8B C3 E8 ?? ?? ?? ?? EB 0D FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_634_0 {
	meta:
		name = "TBDEDataSet.FindRecord"
		size = 316
		refs = "0013 TDataSet.CheckBrowseMode 0030 TDataSet.UpdateCursorPos 004e TBDEDataSet.ActivateFilters 0056 TBDEDataSet.FindRecord 0075 DbiSetToBegin 007a Check 008f DbiGetNextRecord 00a8 DbiSetToEnd 00c2 DbiGetPriorRecord 00e7 TBDEDataSet.DeactivateFilters 00ed @HandleFinally 011a TDataSet.GetFound"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 88 4D FB 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 34 01 00 00 8B 45 FC C6 80 AD 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 60 FF FF FF FF 8B 45 FC 80 B8 B0 00 00 00 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D FB 00 74 33 84 DB 74 14 8B 45 FC 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 45 FC 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? 66 89 45 F8 EB 31 84 DB 74 14 8B 45 FC 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 45 FC 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? 66 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 B8 B0 00 00 00 00 75 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 66 83 7D F8 00 75 1C 0F B6 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 B4 02 00 00 8B 45 FC C6 80 AD 00 00 00 01 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8B 45 FC 8B 10 FF 92 10 01 00 00 8B C3 5B 59 59 5D C3 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_635_0 {
	meta:
		name = "TBDEDataSet.RecordFilter"
		size = 123
		refs = "000d TDataSet.SetTempState 0024 TBDEDataSet.RecordFilter 0052 @HandleAnyException 005a ApplicationHandleException 005f @DoneExcept 006b TDataSet.RestoreState"
	strings:
		$1 = { 55 8B EC 51 53 56 57 B2 06 8B 45 08 E8 ?? ?? ?? ?? 88 45 FE 8B 45 08 8B 55 0C 89 90 A4 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 8D 4D FF 8B 5D 08 8B 55 08 8B 83 74 01 00 00 FF 93 70 01 00 00 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 55 FE 8B 45 08 E8 ?? ?? ?? ?? 0F B6 45 FF 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_636_0 {
	meta:
		name = "TBDEDataSet.LocateRecord"
		size = 775
		refs = "0023 TBDEDataSet.LocateRecord 0031 TDataSet.CheckBrowseMode 004e _Dn_TList 0053 TObject.Create 0071 TDataSet.GetFieldList 009d TBDEDataSet.MapsToIndex 00d7 TDataSet.SetTempState 00f8 DbiInitRecord 010f VarIsArray 011d TList.Get 0130 @VarArrayGet 01a2 TList.Last 01e5 DbiGetRecordForKey 0200 TDataSet.RestoreState 0206 @HandleFinally 023a DbiSetToCursor 024f DbiSetToBegin 0254 Check 0269 TBDEDataSet.CreateLookupFilter 027b DbiActivateFilter 028f DbiGetNextRecord 02a3 DbiDropFilter 02b8 TObject.Free 02dd @UStrClr 02e6 Variant 02f0 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 60 FF FF FF FF 8B 45 FC 8B 50 58 8B 40 64 8B 1C 90 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CE 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? F6 45 0C 01 0F 95 C0 88 45 E9 8B 45 FC 80 B8 CA 01 00 00 00 74 07 33 C0 89 45 EC EB 35 0F B6 4D E9 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 FC 8B 80 80 01 00 00 89 45 EC EB 14 0F B6 4D E9 8B D6 8B 45 FC 8B 30 FF 96 CC 02 00 00 89 45 EC 83 7D EC 00 0F 84 73 01 00 00 B2 06 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 98 A4 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 53 8B 45 EC 50 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 08 89 45 F4 83 7D F4 01 75 52 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 2F 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 8B F0 6A 00 6A 01 8B 45 F8 50 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 D8 8B C6 8B 08 FF 91 00 01 00 00 EB 50 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 91 00 01 00 00 EB 39 8B 75 F4 4E 85 F6 7C 31 46 33 FF 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 50 57 6A 01 8B 45 F8 50 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 C8 58 8B 08 FF 91 00 01 00 00 47 4E 75 D2 33 F6 F6 45 0C 02 74 38 8B 45 F0 E8 ?? ?? ?? ?? 80 78 48 01 75 2A FF 4D F4 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 C4 8B 08 FF 91 80 00 00 00 8B 45 C4 89 45 C0 8B 45 C0 85 C0 74 05 83 E8 04 8B 00 8B F0 53 53 56 0F B7 45 F4 50 6A 00 8B 45 EC 50 E8 ?? ?? ?? ?? 66 89 45 EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 66 83 7D EA 00 0F 94 C0 22 45 08 0F 84 8A 00 00 00 8B 45 FC 8B 80 80 01 00 00 3B 45 EC 74 7C 8B 45 EC 50 8B 45 FC 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? 66 89 45 EA EB 63 8B 45 FC 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 0C 50 6A 02 8B 4D F8 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B F0 56 8B 45 FC 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? 6A 00 53 6A 00 8B 45 FC 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? 66 89 45 EA 56 8B 45 FC 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 66 83 7D EA 00 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_637_0 {
	meta:
		name = "TBDEDataSet.Lookup"
		size = 156
		refs = "0014 Null 001b TBDEDataSet.Lookup 002a TBDEDataSet.LocateRecord 0038 TDataSet.SetTempState 006a TDataSet.GetFieldValue 0081 TDataSet.RestoreState 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B DA 89 45 FC 8B 75 08 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 8B CF 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 5B B2 05 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7D FC 8B 47 58 8B 57 64 8B 14 82 8B 45 FC 8B 08 FF 91 B8 00 00 00 8B CE 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 59 5D C2 08 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15469_0 {
	meta:
		name = "TCustomClientDataSet.Lookup"
		size = 156
		refs = "0014 Null 001b TCustomClientDataSet.Lookup 002a TCustomClientDataSet.LocateRecord 0038 TDataSet.SetTempState 006a TDataSet.GetFieldValue 0081 TDataSet.RestoreState 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B DA 89 45 FC 8B 75 08 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 8B CF 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 5B B2 05 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7D FC 8B 47 58 8B 57 64 8B 14 82 8B 45 FC 8B 08 FF 91 B8 00 00 00 8B CE 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 59 5D C2 08 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_638_0 {
	meta:
		name = "TBDEDataSet.Locate"
		size = 88
		refs = "0024 TBDEDataSet.LocateRecord 0031 TBDEDataSet.Locate"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B C6 8B 10 FF 92 34 01 00 00 0F B6 45 08 50 6A 01 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 1B 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 8B C6 8B 10 FF 92 10 01 00 00 8B C3 5F 5E 5B 5D C2 04 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_15470_0 {
	meta:
		name = "TCustomClientDataSet.Locate"
		size = 88
		refs = "0024 TCustomClientDataSet.LocateRecord 0031 TCustomClientDataSet.Locate"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B C6 8B 10 FF 92 34 01 00 00 0F B6 45 08 50 6A 01 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 1B 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 8B C6 8B 10 FF 92 10 01 00 00 8B C3 5F 5E 5B 5D C2 04 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_14580_0 {
	meta:
		name = "TCustomSQLDataSet.Locate"
		size = 88
		refs = "0024 TCustomSQLDataSet.LocateRecord 0031 TCustomSQLDataSet.Locate"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B C6 8B 10 FF 92 34 01 00 00 0F B6 45 08 50 6A 01 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 1B 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 8B C6 8B 10 FF 92 10 01 00 00 8B C3 5F 5E 5B 5D C2 04 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_641_0 {
	meta:
		name = "TBDEDataSet.HasConstraints"
		size = 78
		refs = "001d TFields.GetCount 0031 TFields.GetField"
	strings:
		$1 = { 53 56 57 55 8B F8 B3 01 8B 87 88 00 00 00 8B 40 08 83 78 08 00 7F 30 8B C7 8B 40 38 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 1D 45 33 F6 8B 47 38 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 92 AC 00 00 00 84 C0 75 06 46 4D 75 E6 33 DB 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_642_0 {
	meta:
		name = "TBDEDataSet.ConstraintsDisabled"
		size = 11
	strings:
		$1 = { 83 B8 FC 01 00 00 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_643_0 {
	meta:
		name = "TBDEDataSet.DisableConstraints"
		size = 38
		refs = "001a SetBoolProp"
	strings:
		$1 = { 53 8B D8 83 BB FC 01 00 00 00 75 12 33 C9 BA 9B 00 05 04 8B 83 80 01 00 00 E8 ?? ?? ?? ?? FF 83 FC 01 00 00 5B C3 }
	condition:
		$1
}

rule function_644_0 {
	meta:
		name = "TBDEDataSet.EnableConstraints"
		size = 44
		refs = "0027 SetBoolProp"
	strings:
		$1 = { 83 B8 FC 01 00 00 00 74 22 FF 88 FC 01 00 00 83 B8 FC 01 00 00 00 75 13 83 C9 FF BA 9B 00 05 04 8B 80 80 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_645_0 {
	meta:
		name = "GetFieldConstraint"
		size = 356
		refs = "0010 GetFieldConstraint 0031 @UStrFromArray 003f TDataSet.FindField 0078 @LStrFromUStr 0080 @LStrToPChar 0092 StrCopy 0148 @LStrArrayClr 0150 @UStrClr 0156 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 8B 55 08 8B 52 10 81 C2 27 01 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 08 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 E5 00 00 00 80 7E 4D 00 75 16 83 BE 8C 00 00 00 00 75 0D 83 BE 88 00 00 00 00 0F 84 C9 00 00 00 8D 45 F8 8B 96 8C 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 67 01 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 96 88 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 68 21 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 96 90 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 E9 41 00 00 E8 ?? ?? ?? ?? 8D 45 EC 8B 96 90 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 69 41 00 00 E8 ?? ?? ?? ?? 80 7E 4D 01 F5 1B C0 8B 55 08 8B 52 10 89 82 69 42 00 00 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_646_0 {
	meta:
		name = "GetTableConstraint"
		size = 260
		refs = "000e GetTableConstraint 002f TCheckConstraints.GetItem 0041 @LStrFromUStr 0049 @LStrToPChar 005b StrCopy 00f3 @LStrArrayClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 50 10 0F B7 12 4A 8B 45 08 8B 40 08 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 53 0C B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 67 01 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 10 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 68 21 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 53 14 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 E9 41 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 53 14 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 69 41 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_647_0 {
	meta:
		name = "GetDefaultExpression"
		size = 171
		refs = "000d GetDefaultExpression 002e @UStrFromArray 003c TDataSet.FindField 005e @LStrFromUStr 0066 @LStrToPChar 0078 StrCopy 008f @LStrClr 0097 @UStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 8B 55 08 8B 52 10 81 C2 27 01 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 08 E8 ?? ?? ?? ?? 8B F0 85 F6 74 38 83 BE 94 00 00 00 00 74 2F 8D 45 F8 8B 96 94 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 10 05 67 01 00 00 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_648_0 {
	meta:
		name = "TBDEDataSet.ConstraintCallBack"
		size = 204
		refs = "0011 TBDEDataSet.ConstraintCallBack 004c GetFieldSource 005e GetFieldConstraint 0071 GetDefaultExpression 00a1 GetTableConstraint 00b7 @HandleAnyException 00bc @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 C7 45 FE 04 2A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 83 C0 FD 83 F8 04 0F 87 82 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 10 8B 45 08 E8 ?? ?? ?? ?? 84 C0 74 58 66 C7 45 FE 00 00 EB 50 55 E8 ?? ?? ?? ?? 59 84 C0 74 45 66 C7 45 FE 00 00 EB 3D 55 E8 ?? ?? ?? ?? 59 84 C0 74 32 66 C7 45 FE 00 00 EB 2A 8B 45 08 8B 80 88 00 00 00 8B 40 08 8B 40 08 8B 55 10 66 89 02 66 C7 45 FE 00 00 EB 0D 55 E8 ?? ?? ?? ?? 59 66 C7 45 FE 00 00 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 FE 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_649_0 {
	meta:
		name = "TBDEDataSet.AllocCachedUpdateBuffers"
		size = 131
		refs = "000e AllocMem 005e @FreeMem 007c DisposeMem"
	strings:
		$1 = { 53 56 8B D8 84 D2 74 48 B8 10 00 00 00 E8 ?? ?? ?? ?? 89 83 D0 01 00 00 0F B7 83 08 02 00 00 E8 ?? ?? ?? ?? 8B 93 D0 01 00 00 89 42 08 0F B7 83 08 02 00 00 E8 ?? ?? ?? ?? 8B B3 D0 01 00 00 89 46 0C 0F B7 83 00 02 00 00 66 89 46 06 5E 5B C3 8B 83 D0 01 00 00 85 C0 74 26 8B 40 08 E8 ?? ?? ?? ?? 8B 83 D0 01 00 00 8B 40 0C E8 ?? ?? ?? ?? 8D 83 D0 01 00 00 BA 10 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_650_0 {
	meta:
		name = "TBDEDataSet.CheckCachedUpdateMode"
		size = 87
		refs = "000c TBDEDataSet.CheckCachedUpdateMode 0023 SNoCachedUpdates 0028 LoadResString 0032 DatabaseError 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB CA 01 00 00 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_651_0 {
	meta:
		name = "TBDEDataSet.UpdateCallbackRequired"
		size = 44
	strings:
		$1 = { 80 B8 CA 01 00 00 00 74 1D 66 83 B8 32 02 00 00 00 75 16 66 83 B8 3A 02 00 00 00 75 0C 83 B8 28 02 00 00 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_652_0 {
	meta:
		name = "TBDEDataSet.ForceUpdateCallback"
		size = 34
	strings:
		$1 = { 80 B8 CA 01 00 00 00 74 13 66 83 B8 3A 02 00 00 00 75 0C 83 B8 28 02 00 00 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_653_0 {
	meta:
		name = "ReAllocBuffers"
		size = 166
		refs = "001b TBDEDataSet.FreeKeyBuffers 0033 ReAllocBuffers 0046 TBDEDataSet.InitBufferPointers 0069 TBDEDataSet.AllocKeyBuffers 0078 @HandleAnyException 0085 TDataSet.SetState 0098 @RaiseAgain 009d @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC 8B 10 FF 92 44 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 33 D2 8B 08 FF 91 C0 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 50 54 42 8B 45 08 8B 40 FC 8B 08 FF 91 C0 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2A E9 ?? ?? ?? ?? 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 10 FF 92 D4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_654_0 {
	meta:
		name = "TBDEDataSet.SetCachedUpdates"
		size = 268
		refs = "0040 TDataSet.CheckBrowseMode 0048 TDataSet.UpdateCursorPos 0062 DbiEndConstraintLayer 007c DbiEndDelayedUpdates 0081 Check 0091 DbiBeginDelayedUpdates 00ab TBDEDataSet.ConstraintCallBack 00bc DbiBeginConstraintLayer 00d0 ReAllocBuffers 00db TBDEDataSet.AllocCachedUpdateBuffers 00e3 TBDEDataSet.UpdateCallbackRequired 00ed TBDEDataSet.SetupCallBack 00f4 TBDEDataSet.SetCachedUpdates"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 80 B8 A5 00 00 00 00 74 09 8B 45 FC F6 40 1C 10 74 0E 8B 45 FC 88 98 CA 01 00 00 E9 D6 00 00 00 8B 45 FC 3A 98 CA 01 00 00 0F 84 C7 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 0A 02 00 00 00 74 0E 8B 45 FC 05 80 01 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 CA 01 00 00 00 74 15 8B 45 FC 05 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B 45 FC 05 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 0A 02 00 00 00 74 1F 8B 45 FC 50 B8 ?? ?? ?? ?? 50 8B 45 FC 05 80 01 00 00 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 88 98 CA 01 00 00 55 E8 ?? ?? ?? ?? 59 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 B4 02 00 00 5B 59 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_655_0 {
	meta:
		name = "TBDEDataSet.SetupCallBack"
		size = 95
		refs = "002a TBDEDataSet.CachedUpdateCallBack 0035 _DV_TBDECallback 003a TBDECallback.Create 0051 TObject.Free"
	strings:
		$1 = { 53 8B D8 84 D2 74 3F F6 43 1C 10 75 50 83 BB D4 01 00 00 00 75 47 8B 83 80 01 00 00 50 6A 19 8B 83 D0 01 00 00 50 6A 10 53 68 ?? ?? ?? ?? 6A 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D4 01 00 00 EB 17 8B 83 D4 01 00 00 85 C0 74 0D E8 ?? ?? ?? ?? 33 C0 89 83 D4 01 00 00 5B C3 }
	condition:
		$1
}

rule function_656_0 {
	meta:
		name = "TBDEDataSet.ProcessUpdates"
		size = 36
		refs = "0009 TBDEDataSet.CheckCachedUpdateMode 0010 TDataSet.UpdateCursorPos 001d DbiApplyDelayedUpdates"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_657_0 {
	meta:
		name = "TBDEDataSet.ApplyUpdates"
		size = 59
		refs = "001e TBDEDataSet.ProcessUpdates 002e Abort 0035 DbiError"
	strings:
		$1 = { 53 8B D8 80 BB A5 00 00 00 01 74 0A 8B C3 8B 10 FF 92 B0 02 00 00 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 66 85 C0 74 12 66 3D 06 33 75 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_658_0 {
	meta:
		name = "TBDEDataSet.CommitUpdates"
		size = 40
		refs = "0008 TBDEDataSet.ProcessUpdates 000d Check 0014 TBDEDataSet.CommitUpdates"
	strings:
		$1 = { 56 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 5E C3 00 00 00 00 }
	condition:
		$1
}

rule function_659_0 {
	meta:
		name = "TBDEDataSet.CancelUpdates"
		size = 60
		refs = "0015 TBDEDataSet.ProcessUpdates 001c TDataSet.GetActive 0027 TBDEDataSet.CancelUpdates"
	strings:
		$1 = { 56 8B F0 8B C6 8B 10 FF 92 68 02 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 11 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 5E C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_660_0 {
	meta:
		name = "TBDEDataSet.RevertRecord"
		size = 80
		refs = "0022 TBDEDataSet.ProcessUpdates 0032 Check 0039 TBDEDataSet.RevertRecord"
	strings:
		$1 = { 56 8B F0 0F B6 86 A5 00 00 00 04 FE 2C 03 73 0A 8B C6 8B 10 FF 92 68 02 00 00 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 66 85 C0 74 0B 66 3D 01 30 74 05 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 5E C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_661_0 {
	meta:
		name = "TBDEDataSet.UpdateStatus"
		size = 51
	strings:
		$1 = { 80 B8 CA 01 00 00 00 74 27 80 B8 A5 00 00 00 05 75 05 8B 50 68 EB 0B 8B D0 8B 4A 5C 8B 52 64 8B 14 8A 0F B7 80 04 02 00 00 03 D0 0F B6 42 04 C3 33 C0 C3 }
	condition:
		$1
}

rule function_662_0 {
	meta:
		name = "TBDEDataSet.CachedUpdateCallBack"
		size = 333
		refs = "002e TBDEDataSet.CachedUpdateCallBack 0081 DbiError 0093 @HandleOnException 009b _Dn_Exception 00a9 _DV_EDBEngineError 00ae @IsClass 00bb EDBEngineError.GetError 00d3 _Dn_EDatabaseError 0110 ApplicationHandleException 0119 @DoneExcept 0124 CBRetCode"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC C6 80 CB 01 00 00 01 C6 45 FB 00 8B 45 FC 8B 90 D0 01 00 00 8B 42 02 48 88 45 FA 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 66 83 B8 3A 02 00 00 00 74 1C 8D 45 FB 50 0F B6 4D FA 8B 5D FC 8B 55 FC 8B 83 3C 02 00 00 FF 93 38 02 00 00 EB 24 8B 45 FC 8B 80 28 02 00 00 85 C0 74 0F 0F B6 55 FA 8B 08 FF 51 48 C6 45 FB 04 EB 08 0F B7 02 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 8B 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B7 40 04 8B 55 FC 8B 92 D0 01 00 00 66 89 02 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2C 8B 45 FC 66 83 B8 32 02 00 00 00 74 1F 0F B6 45 FA 50 8D 45 FB 50 8B 75 FC 8B CB 8B 55 FC 8B 86 34 02 00 00 FF 96 30 02 00 00 EB 0C 8B 45 FC E8 ?? ?? ?? ?? C6 45 FB 01 E8 ?? ?? ?? ?? 0F B6 45 FB 8B 04 85 ?? ?? ?? ?? 80 7D FB 01 75 0E 8B 55 FC 8B 92 D0 01 00 00 66 C7 02 06 33 8B 55 FC C6 82 CB 01 00 00 00 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_663_0 {
	meta:
		name = "TBDEDataSet.GetUpdateRecordSet"
		size = 60
		refs = "0007 TDataSet.GetActive 0012 TBDEDataSet.CheckCachedUpdateMode 0022 GetIntProp 002d TBDEDataSet.GetUpdateRecordSet"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C6 E8 ?? ?? ?? ?? BA 03 00 05 05 8B 86 80 01 00 00 E8 ?? ?? ?? ?? 8B D8 EB 07 0F B6 1D ?? ?? ?? ?? 8B C3 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_664_0 {
	meta:
		name = "TBDEDataSet.SetUpdateRecordSet"
		size = 80
		refs = "000a TBDEDataSet.CheckCachedUpdateMode 0011 TDataSet.CheckBrowseMode 0018 TDataSet.UpdateCursorPos 002e DbiSetProp 0033 Check 003a TBDEDataSet.SetUpdateRecordSet"
	strings:
		$1 = { 56 51 88 14 24 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 04 24 50 68 03 00 05 05 8B 86 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 5A 5E C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_665_0 {
	meta:
		name = "TBDEDataSet.SetUpdateObject"
		size = 156
		refs = "005d _DV_TBDEDataSet 0062 @IsClass 0087 TBDEDataSet.SetUpdateObject"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 3B B3 28 02 00 00 0F 84 85 00 00 00 8B BB 28 02 00 00 85 FF 74 18 8B C7 8B 10 FF 52 40 3B D8 75 0D 33 D2 8B 83 28 02 00 00 8B 08 FF 51 44 8B C6 89 83 28 02 00 00 85 C0 74 57 8B 83 28 02 00 00 8B 10 FF 52 40 85 C0 74 3B 8B 83 28 02 00 00 8B 10 FF 52 40 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B 83 28 02 00 00 8B 10 FF 52 40 3B D8 74 12 8B 83 28 02 00 00 8B 10 FF 52 40 33 D2 E8 ?? ?? ?? ?? 8B D3 8B 83 28 02 00 00 8B 08 FF 51 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_666_0 {
	meta:
		name = "TBDEDataSet.SetOnUpdateError"
		size = 56
		refs = "0009 TDataSet.GetActive 0014 TBDEDataSet.UpdateCallbackRequired 001d TBDEDataSet.SetupCallBack"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 83 30 02 00 00 8B 45 0C 89 83 34 02 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_667_0 {
	meta:
		name = "TBDEDataSet.GetUpdatesPending"
		size = 26
		refs = "000f GetIntProp"
	strings:
		$1 = { 53 8B D8 BA 05 00 05 05 8B 83 80 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_668_0 {
	meta:
		name = "CheckIfParentScrolled"
		size = 160
		refs = "0063 TDataSet.First 007c TDataSet.UpdateCursorPos 0089 CheckIfParentScrolled"
	strings:
		$1 = { 55 8B EC 53 56 57 33 DB 8B 45 08 8B 40 FC 8B 80 24 02 00 00 8B D0 8B 4A 5C 3B 4A 58 7D 27 8B 50 6C 4A 85 D2 7C 1F 42 33 C9 8B 70 5C 8B 78 64 8B 34 B7 0F B7 B8 02 02 00 00 03 F9 0F B6 34 3E 03 DE 41 4A 75 E4 8B 45 08 8B 40 FC 8B 80 1C 02 00 00 85 C0 74 07 8B 55 08 3B C3 74 19 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 89 98 1C 02 00 00 EB 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 0F B6 15 ?? ?? ?? ?? 8B 08 FF 91 B4 02 00 00 5F 5E 5B 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_669_0 {
	meta:
		name = "TBDEDataSet.DataEvent"
		size = 42
		refs = "0014 CheckIfParentScrolled 0021 TDataSet.DataEvent"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 80 FB 0B 75 07 55 E8 ?? ?? ?? ?? 59 8B D3 8B CE 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_670_0 {
	meta:
		name = "TBDEDataSet.PSGetUpdateException"
		size = 87
		refs = "000d _DV_EDBEngineError 0012 @IsClass 002a EDBEngineError.GetError 003d _Dn_EUpdateError 0042 EUpdateError.Create 004f TDataSet.PSGetUpdateException"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2E 85 FF 74 05 8B 77 18 EB 02 33 F6 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 00 0F B7 40 04 50 56 53 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_672_0 {
	meta:
		name = "TBDEDataSet.PSReset"
		size = 28
		refs = "0006 TDataSet.PSReset 0016 DbiForceReread"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 80 01 00 00 85 C0 74 06 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_673_0 {
	meta:
		name = "TBDEDataSet.PSUpdateRecord"
		size = 61
	strings:
		$1 = { 53 51 33 DB 66 83 B8 3A 02 00 00 00 74 2A C6 04 24 00 66 83 B8 3A 02 00 00 00 74 1C 54 8B D8 8B C1 8B CA 8B D0 8B 83 3C 02 00 00 FF 93 38 02 00 00 80 3C 24 04 0F 94 C3 8B C3 5A 5B C3 }
	condition:
		$1
}

rule function_674_0 {
	meta:
		name = "TNestedTable.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TBDEDataSet.Create 0020 TDataSet.SetObjectView 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84144_0 {
	meta:
		name = "TAlphaBitmap.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TBitmap.Create 0020 TBitmap.SetAlphaFormat 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_93523_0 {
	meta:
		name = "TChartAxisTitle.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TTeeCustomShape.Create 0020 TTeeCustomShape.InitTransparent 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5352_0 {
	meta:
		name = "TNumericField.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TField.Create 0020 TField.SetAlignment 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78703_0 {
	meta:
		name = "TRichEditAction.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TAction.Create 0020 TCustomAction.SetAutoCheck 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38997_0 {
	meta:
		name = "TWebBrowserDesignMode.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0020 TCustomAction.SetAutoCheck 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39058_0 {
	meta:
		name = "TWebBrowserSeamlessJoin.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TWebBrowserUndoAction.Create 0020 TCustomAction.SetAutoCheck 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_675_0 {
	meta:
		name = "TNestedTable.CreateHandle"
		size = 294
		refs = "0014 TNestedTable.CreateHandle 002b SNoDataSetField 0030 LoadResString 003a DatabaseError 0049 _DV_TBDEDataSet 004e @AsClass 005f TDataSet.OpenParentDataSet 0096 DbiOpenNestedTable 009b Check 00bc DbiOpenRef 00d6 TFieldDefs.SetHiddenFields 0110 @UStrClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 8C 00 00 00 00 75 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 83 8C 00 00 00 8B 40 3C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 24 02 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 24 02 00 00 8B B8 80 01 00 00 8B B3 8C 00 00 00 80 7E 48 1D 75 26 8D 45 FC 50 6A 00 80 7E 49 01 F5 1B C0 50 8B C6 8B 10 FF 92 A8 00 00 00 50 57 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 8D 45 FC 50 6A 00 80 7E 49 01 F5 1B C0 50 8B C6 8B 10 FF 92 A8 00 00 00 50 57 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 24 02 00 00 8B 40 40 0F B6 50 3C 8B 43 40 E8 ?? ?? ?? ?? 8B 83 8C 00 00 00 80 B8 10 01 00 00 00 74 0C C7 83 A0 00 00 00 01 00 00 00 EB 0A C7 83 A0 00 00 00 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_676_0 {
	meta:
		name = "TNestedTable.DoAfterPost"
		size = 314
		refs = "001e TNestedTable.DoAfterPost 005b DbiGetProp 0060 Check 00b5 VarArrayCreate 00bd VarArrayLock 00dc Move 00f1 VarArrayUnlock 00f7 @HandleFinally 0115 TDataSet.DoAfterPost 012a @VarClr"
	strings:
		$1 = { 55 8B EC 81 C4 E0 FE FF FF 33 D2 89 55 F0 89 55 F4 89 55 F8 89 55 FC 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 80 8C 00 00 00 80 78 48 1C 0F 85 D6 00 00 00 8D 45 EA 50 68 00 01 00 00 8D 85 EA FE FF FF 50 68 07 00 05 04 8B 45 EC 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 80 8C 00 00 00 8B 10 FF 92 9C 00 00 00 0F B7 55 EA 3B C2 0F 8C 90 00 00 00 8D 45 F0 50 33 C0 89 85 E0 FE FF FF 8B 45 EC 8B 80 8C 00 00 00 8B 10 FF 92 9C 00 00 00 48 89 85 E4 FE FF FF 8D 85 E0 FE FF FF 66 B9 11 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B7 4D EA 8B D0 8D 85 EA FE FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 F0 8B 45 EC 8B 80 8C 00 00 00 8B 08 FF 91 00 01 00 00 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_677_0 {
	meta:
		name = "TNestedTable.DoBeforeInsert"
		size = 53
		refs = "0006 TDataSet.DoBeforeInsert"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 8C 00 00 00 80 78 48 1D 75 1D 8B 83 24 02 00 00 80 B8 A5 00 00 00 03 75 0E 8B 83 24 02 00 00 8B 10 FF 92 B0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_678_0 {
	meta:
		name = "TNestedTable.InternalPost"
		size = 234
		refs = "0012 TNestedTable.InternalPost 001f TBDEDataSet.InternalPost 0051 TField.GetDisplayName 0067 SNoReferenceTableName 006c LoadResString 0077 DatabaseErrorFmt 0090 @LStrFromUStr 0098 @LStrToPChar 00aa DbiSetProp 00af Check 00cb @LStrClr 00d8 @UStrArrayClr 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B B3 8C 00 00 00 80 7E 48 1C 0F 85 80 00 00 00 80 BB A5 00 00 00 03 75 77 83 BE 18 01 00 00 00 75 36 6A 00 8D 55 F4 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 5A E8 ?? ?? ?? ?? 8D 45 EC 8B 93 8C 00 00 00 8B 92 18 01 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 50 68 06 00 05 04 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_679_0 {
	meta:
		name = "TDBDataSet.Create"
		size = 120
		refs = "000f @ClassCreate 0021 TBDEDataSet.Create 0029 _DV_TDatabase 002e @IsClass 0041 TDBDataSet.SetDatabaseName 004e TDBDataSet.SetSessionName 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8B FE 8B 97 98 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 94 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 40 02 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_680_0 {
	meta:
		name = "TDBDataSet.SetHandle"
		size = 97
		refs = "0010 TDataSet.Close 0025 TDBDataSet.SetHandle 0033 TDataSet.Open 0042 @HandleAnyException 0052 @RaiseAgain 0057 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 98 80 01 00 00 85 DB 74 3A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 80 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_681_0 {
	meta:
		name = "TDBDataSet.OpenCursor"
		size = 67
		refs = "001a TBDEDataSet.OpenCursor 0028 TDBDataSet.SetUpdateMode 003b TDBDataSet.SetupAutoRefresh"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 B1 01 33 D2 8B C6 8B 38 FF 97 D8 02 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B6 96 43 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 44 02 00 00 80 78 76 00 74 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_682_0 {
	meta:
		name = "TDBDataSet.CloseCursor"
		size = 26
		refs = "0006 TBDEDataSet.CloseCursor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C3 8B 18 FF 93 D8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_683_0 {
	meta:
		name = "TDBDataSet.CheckDBSessionName"
		size = 95
		refs = "001d Sessions 0022 TSessionList.FindSession 0037 TSession.DoFindDatabase 0040 DefaultSession 0058 TDatabase.CheckSessionName"
	strings:
		$1 = { 53 56 8B D8 83 BB 4C 02 00 00 00 74 4F 83 BB 48 02 00 00 00 74 46 8B 93 4C 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 30 8B CB 8B 93 48 02 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 1D E8 ?? ?? ?? ?? 8B CB 8B 93 48 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 B2 01 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_684_0 {
	meta:
		name = "TDBDataSet.CheckOpen"
		size = 67
		refs = "001e TDBDataSet.GetDBSession 0023 TSession.GetPassword 002e DbiError"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 66 83 E8 01 72 08 66 2D 01 29 74 07 EB 21 B0 01 5E 5B C3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_685_0 {
	meta:
		name = "TCustomBindPosition.RequiresControlHandler"
		size = 17
		altNames = "TCustomClientDataSet.ConstraintsStored TDBDataSet.ConstraintsStored TIBCustomDataSet.ConstraintsStored"
	strings:
		$1 = { 8B 80 88 00 00 00 8B 40 08 83 78 08 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_687_0 {
	meta:
		name = "TDBDataSet.GetDBHandle"
		size = 20
	strings:
		$1 = { 8B 90 44 02 00 00 85 D2 74 07 8B 82 80 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_688_0 {
	meta:
		name = "TDBDataSet.GetDBLocale"
		size = 20
	strings:
		$1 = { 8B 90 44 02 00 00 85 D2 74 07 8B 82 84 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_689_0 {
	meta:
		name = "TDBDataSet.GetDBSession"
		size = 44
		refs = "0019 Sessions 001e TSessionList.FindSession 0027 DefaultSession"
	strings:
		$1 = { 8B 90 44 02 00 00 85 D2 74 08 8B 82 88 00 00 00 EB 10 8B 90 4C 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_690_0 {
	meta:
		name = "TDBDataSet.OpenDatabase"
		size = 35
		refs = "000a Sessions 000f TSessionList.GetSessionByName 001d TSession.DoOpenDatabase"
	strings:
		$1 = { 53 8B D8 8B 93 4C 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4B 04 8B 93 48 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_691_0 {
	meta:
		name = "TDBDataSet.CloseDatabase"
		size = 16
		refs = "000b TSession.CloseDatabase"
	strings:
		$1 = { 85 D2 74 0B 8B 82 88 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_692_0 {
	meta:
		name = "TDBDataSet.SetDatabaseName"
		size = 164
		refs = "000f TDBDataSet.SetDatabaseName 0028 @UStrAsg 0037 @UStrEqual 0054 SDatabaseOpen 0059 LoadResString 0063 DatabaseError 0093 @UStrClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 1C 02 74 0F 8D 83 48 02 00 00 8B D6 E8 ?? ?? ?? ?? EB 54 8B 83 48 02 00 00 8B D6 E8 ?? ?? ?? ?? 74 45 8B C3 8B 10 FF 92 C4 00 00 00 83 BB 44 02 00 00 00 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 83 48 02 00 00 8B D6 E8 ?? ?? ?? ?? 33 C9 B2 08 8B C3 8B 18 FF 93 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_693_0 {
	meta:
		name = "TDBDataSet.SetDBFlag"
		size = 264
		refs = "002f TDBDataSet.SetDBFlag 003f TDBDataSet.CheckDBSessionName 0046 TDBDataSet.OpenDatabase 006e TBDEDataSet.SetLocale 008d TSession.LoadSMClient 00c8 TDBDataSet.GetDBLocale 00f0 TSession.CloseDatabase"
	strings:
		$1 = { 53 56 57 55 51 88 0C 24 8B FA 8B F0 8B C7 83 F8 0F 77 08 66 0F A3 86 41 02 00 00 0F 92 C3 80 3C 24 00 74 7E 84 DB 0F 85 D0 00 00 00 0F B7 05 ?? ?? ?? ?? 66 3B 86 41 02 00 00 75 55 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B E8 89 AE 44 02 00 00 6A 00 6A 00 8B D6 8B C5 8B 08 FF 51 54 8B 86 44 02 00 00 8B 90 84 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 44 02 00 00 80 78 72 00 74 13 F6 46 1C 10 74 0D 8B 80 88 00 00 00 B2 01 E8 ?? ?? ?? ?? 8B C7 83 F8 0F 77 64 66 0F AB 86 41 02 00 00 EB 5A 84 DB 74 56 8B C7 83 F8 0F 77 08 66 0F B3 86 41 02 00 00 0F B7 05 ?? ?? ?? ?? 66 3B 86 41 02 00 00 75 37 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 86 44 02 00 00 8B 08 FF 51 5C 8B 86 44 02 00 00 8B 90 88 00 00 00 92 E8 ?? ?? ?? ?? 33 C0 89 86 44 02 00 00 8B C3 5A 5D 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_694_0 {
	meta:
		name = "TDBDataSet.SetSessionName"
		size = 46
		refs = "0019 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 C4 00 00 00 8D 83 4C 02 00 00 8B D6 E8 ?? ?? ?? ?? 33 C9 B2 08 8B C3 8B 18 FF 93 E4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_695_0 {
	meta:
		name = "TDBDataSet.SetUpdateMode"
		size = 76
		refs = "003a DbiSetProp 003f Check"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 BE 80 01 00 00 00 74 34 8B 86 44 02 00 00 80 78 76 00 74 28 8B C6 8B 10 FF 92 5C 01 00 00 84 C0 74 1A 0F B6 C3 50 68 00 00 05 04 8B 86 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 9E 43 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_696_0 {
	meta:
		name = "TDBDataSet.SetAutoRefresh"
		size = 25
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 92 C4 00 00 00 88 9E 40 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_697_0 {
	meta:
		name = "TDBDataSet.SetupAutoRefresh"
		size = 132
		refs = "001f DbiSetProp 0024 Check 002c TFields.GetCount 0040 TFields.GetField 0064 PropFlags"
	strings:
		$1 = { 53 56 57 55 51 8B E8 80 BD 40 02 00 00 00 74 18 6A 01 68 17 00 05 00 8B 85 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 38 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 47 47 33 DB 8B 45 38 8B D3 E8 ?? ?? ?? ?? 8B F0 80 7E 38 00 74 2E 8B C3 40 66 89 04 24 66 C7 44 24 02 FF FF 8B C4 50 0F B6 46 38 8B 04 85 ?? ?? ?? ?? 50 8B 85 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 BC 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_698_0 {
	meta:
		name = "TDBDataSet.PSGetAttributes"
		size = 120
		refs = "000c TDataSet.PSGetAttributes 001b TPacketAttribute 0025 @New 0030 TList.Add 003b TDBDataSet.PSGetAttributes 0040 @UStrAsg 0053 @OleVarFromInt"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 83 BB 98 01 00 00 00 74 42 8B 15 ?? ?? ?? ?? B8 20 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C6 8B F0 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 08 8B 93 98 01 00 00 8B 52 62 B1 FC E8 ?? ?? ?? ?? C6 46 18 00 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 43 00 49 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_699_0 {
	meta:
		name = "TDBDataSet.PSIsSQLBased"
		size = 111
		refs = "0023 TDBDataSet.PSIsSQLBased 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC B1 01 BA 0A 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 88 45 FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 44 02 00 00 0F B6 40 76 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 4D FA BA 0A 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 C3 E9 ?? ?? ?? ?? EB E4 0F B6 45 FB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_700_0 {
	meta:
		name = "TDBDataSet.PSGetQuoteChar"
		size = 208
		refs = "0026 TDBDataSet.PSGetQuoteChar 0033 @UStrClr 006c DbiGetProp 007e @UStrFromWChar 008c @UStrAsg 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 89 45 FC B1 01 BA 0A 00 00 00 8B 45 FC 8B 30 FF 96 D8 02 00 00 88 45 F7 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 94 00 00 00 84 C0 74 3E 66 C7 45 FA 00 00 8D 45 F8 50 6A 02 8D 45 FA 50 68 0A 00 04 04 8B 45 FC 8B 80 44 02 00 00 8B 80 80 00 00 00 50 E8 ?? ?? ?? ?? 66 83 7D FA 00 74 19 8B C3 0F B7 55 FA E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 4D F7 BA 0A 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 C3 E9 ?? ?? ?? ?? EB E4 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_701_0 {
	meta:
		name = "TDBDataSet.PSInTransaction"
		size = 86
		refs = "000d Sessions 0012 TSessionList.GetSessionByName 0034 TSession.DoFindDatabase 0041 TDatabase.GetInTransaction"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B 96 4C 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 37 8B 96 4C 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4E 04 8B 96 48 02 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_702_0 {
	meta:
		name = "TDBDataSet.PSStartTransaction"
		size = 133
		refs = "0020 TDBDataSet.PSStartTransaction 0050 TDatabase.StartTransaction 005f @HandleAnyException 0076 @RaiseAgain 007b @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC B1 01 BA 0A 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 94 00 00 00 84 C0 75 0D 8B 45 FC 8B 80 44 02 00 00 C6 40 70 00 8B 45 FC 8B 80 44 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 33 C9 BA 0A 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_703_0 {
	meta:
		name = "TDBDataSet.PSEndTransaction"
		size = 105
		refs = "000e TDBDataSet.PSEndTransaction 0022 TDatabase.ClearStatements 002c EndType 003a TDatabase.EndTransaction 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 44 02 00 00 E8 ?? ?? ?? ?? 0F B6 C3 8B 14 85 ?? ?? ?? ?? 8B 45 FC 8B 80 44 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 0A 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 5B 59 5D C3 }
	condition:
		$1
}

rule function_704_0 {
	meta:
		name = "TDBDataSet.PSExecuteStatement"
		size = 196
		refs = "002d TDBDataSet.PSExecuteStatement 0050 TDatabase.Execute 005c _DV_TDBDataSet 0061 TDBDataSet.Create 006f TDBDataSet.SetHandle 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F8 8B F2 89 45 FC 8B 5D 08 B1 01 BA 0A 00 00 00 8B 45 FC 8B 38 FF 97 D8 02 00 00 88 45 F3 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 3A 6A 01 8D 45 EC 50 8B 45 FC 8B 80 44 02 00 00 8B 4D F8 8B D6 E8 ?? ?? ?? ?? 89 45 F4 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 33 8B C6 8B 55 EC E8 ?? ?? ?? ?? EB 1A 6A 01 6A 00 8B 45 FC 8B 80 44 02 00 00 8B 4D F8 8B D6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 4D F3 BA 0A 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 C3 E9 ?? ?? ?? ?? EB E4 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_705_0 {
	meta:
		name = "TDBDataSet.PSUpdateRecord"
		size = 137
		refs = "0014 TBDEDataSet.PSUpdateRecord 002f _DV_TUpdateSQL 0034 @IsClass 0059 @UStrAsg"
	strings:
		$1 = { 53 56 57 51 8B F9 88 14 24 8B F0 0F B6 14 24 8B CF 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 64 83 BE 28 02 00 00 00 74 5B 8B 86 28 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 46 8B D7 8B 86 28 02 00 00 8B 08 FF 51 44 8B 86 28 02 00 00 83 C0 3C 8B 96 48 02 00 00 E8 ?? ?? ?? ?? 8B 86 28 02 00 00 83 C0 40 8B 96 4C 02 00 00 E8 ?? ?? ?? ?? 0F B6 14 24 8B 86 28 02 00 00 8B 08 FF 51 48 B3 01 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_706_0 {
	meta:
		name = "TBatchMove.Create"
		size = 80
		refs = "000a @ClassCreate 0017 TComponent.Create 002a _Dn_TStringList 002f TStringList.Create 003d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 41 01 C6 46 42 01 C6 46 43 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 58 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_707_0 {
	meta:
		name = "TBatchMove.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TComponent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 58 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47079_0 {
	meta:
		name = "TXMLButton.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TWebContainedComponent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 58 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_708_0 {
	meta:
		name = "TBatchMove.ConvertName"
		size = 34
		refs = "0016 AnsiToNative"
	strings:
		$1 = { 53 56 8B F1 8B DA 85 DB 74 13 68 04 01 00 00 8B CE 8B D3 33 C0 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_709_0 {
	meta:
		name = "GetMappingNames"
		size = 188
		refs = "000a GetMappingNames 0034 Pos 0051 @UStrCopy 0078 @UStrLAsg 009b @UStrClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC 8B 40 58 8B 18 FF 53 0C 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 30 8B 45 08 83 C0 F4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 83 C0 F0 50 8D 53 01 B9 FF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 1C 8B 45 08 83 C0 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 83 C0 F0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_710_0 {
	meta:
		name = "TBatchMove.Execute"
		size = 1103
		refs = "0024 TBatchMove.Execute 0050 SInvalidBatchMove 0055 LoadResString 0063 DatabaseError 006e TDataSet.GetActive 008e TFieldMap 0093 @DynArrayClear 00ac TDataSet.DisableControls 00c2 TDataSet.Open 00cd TDataSet.CheckBrowseMode 00d8 TDataSet.UpdateCursorPos 00f3 TDataSet.Close 0116 TDataSet.SetFieldDefs 0126 TCollection.Clear 0146 GetMappingNames 0158 TFieldDefs.Find 0161 TFieldDef.GetSize 017f TFieldDefs.Add 01a1 TTable.CreateTable 01f7 @DynArraySetLength 0231 TFieldDef.GetFieldNo 028b DbiSetToBegin 0290 Check 02d5 TDBDataSet.GetDBHandle 02db DbiSetProp 0331 TBatchMove.ConvertName 037a TBDEDataSet.GetHandle 0391 DbiBatchMove 03b4 TDataSet.First 03ba @HandleFinally 03f6 TDataSet.EnableControls 0421 @UStrClr 043c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 D4 FC FF FF 53 56 57 33 D2 89 95 D4 FC FF FF 89 55 EC 89 55 F4 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 38 85 C0 74 11 8B 55 FC 83 7A 3C 00 74 08 8B 55 FC 3B 42 3C 75 1E 8D 95 D4 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D4 FC FF FF 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 88 45 EB 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 88 45 EA 66 C7 45 E8 00 00 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B 45 FC 0F B6 58 40 80 FB 04 0F 85 BB 00 00 00 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 58 8B 10 FF 52 14 85 C0 75 16 8B 45 FC 8B 40 3C 8B 50 40 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? EB 6D 8B 45 FC 8B 40 38 8B 40 40 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 58 8B 10 FF 52 14 8B F8 4F 85 FF 7C 4D 47 C7 45 F8 00 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 3C 8B 40 40 8B 55 F0 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 50 F6 46 26 04 0F 95 C0 50 0F B6 4E 25 8B 45 FC 8B 40 38 8B 40 40 8B 55 F4 E8 ?? ?? ?? ?? FF 45 F8 4F 75 BB 8B 45 FC 8B 40 38 8B 80 54 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 33 DB 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 58 8B 10 FF 52 14 85 C0 0F 84 8B 00 00 00 8B 45 FC 8B 40 38 8B 40 40 8B 40 08 8B 40 08 66 89 45 E8 0F B7 45 E8 50 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 40 58 8B 10 FF 52 14 8B F8 4F 85 FF 7C 4B 47 C7 45 F8 00 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 3C 8B 40 40 8B 55 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 40 38 8B 40 40 8B 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 66 89 74 42 FE FF 45 F8 4F 75 BD 8B 45 FC 83 78 44 00 7E 19 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 55 FC 89 42 48 EB 21 8B 45 FC 8B 40 3C 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C7 40 48 FF FF FF 7F 8B 45 FC 8B 40 3C C7 40 60 FF FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 68 00 7E 22 8B 45 FC 8B 40 68 50 68 06 00 04 04 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 43 01 F5 1B C0 50 8B 45 FC 83 C0 48 50 8B 45 FC 80 78 41 01 F5 1B C0 50 8B 45 FC 80 78 42 01 F5 1B C0 50 8B 45 FC 83 C0 54 50 8B 45 FC 83 C0 4C 50 8B 45 FC 83 C0 50 50 8D 8D D9 FC FF FF 8B 45 FC 8B 50 64 8B 45 FC E8 ?? ?? ?? ?? 50 8D 8D DE FD FF FF 8B 45 FC 8B 50 60 8B 45 FC E8 ?? ?? ?? ?? 50 8D 8D E3 FE FF FF 8B 45 FC 8B 50 5C 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 8B 45 EC 50 0F B7 45 E8 50 0F B6 C3 50 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 50 6A 00 8B 45 FC 8B 40 3C 8B 80 80 01 00 00 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D EA 00 74 0B 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D EA 00 75 0B 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 80 7D EB 00 75 0B 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D4 FC FF FF E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_711_0 {
	meta:
		name = "TBatchMove.Notification"
		size = 53
		refs = "0010 TComponent.Notification 002d TBatchMove.SetSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 18 3B 77 38 75 05 33 C0 89 47 38 3B 77 3C 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_712_0 {
	meta:
		name = "TBatchMove.SetMappings"
		size = 19
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 58 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_713_0 {
	meta:
		name = "TBatchMove.SetSource"
		size = 14
		refs = "0009 TComponent.FreeNotification"
		altNames = "TDdeServerItem.SetServerConv"
	strings:
		$1 = { 89 50 3C 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_714_0 {
	meta:
		name = "TIWCallBacks.Create"
		size = 60
		refs = "000b @ClassCreate 001a TStringList.Create 0028 @AfterConstruction"
		altNames = "TIndexFiles.Create TTabList.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 58 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80488_0 {
	meta:
		name = "TBitmapCanvas.Create"
		size = 60
		refs = "000b @ClassCreate 001a TCanvas.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 58 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83106_0 {
	meta:
		name = "TPrinterCanvas.Create"
		size = 60
		refs = "000b @ClassCreate 001a TCanvas.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 58 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_715_0 {
	meta:
		name = "TIndexFiles.Add"
		size = 53
		refs = "000d TDataSet.GetActive 001a TTable.OpenIndexFile 002d TStringList.Add"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 5E 58 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 83 54 02 00 00 C6 40 20 00 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_716_0 {
	meta:
		name = "TIndexFiles.Clear"
		size = 143
		refs = "0014 TIndexFiles.Clear 0028 TDataSet.GetActive 005a TTable.CloseIndexFile 0067 TStringList.Clear 007c @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 58 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 34 8B C3 8B 10 FF 52 14 8B F0 4E 85 F6 7C 26 46 C7 45 FC 00 00 00 00 8D 4D F4 8B 55 FC 8B C3 8B 38 FF 57 0C 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? FF 45 FC 4E 75 E2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_717_0 {
	meta:
		name = "TIndexFiles.Insert"
		size = 51
		refs = "000b TStringList.Insert 0015 TDataSet.GetActive 0022 TTable.OpenIndexFile"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B CE 8B C3 E8 ?? ?? ?? ?? 8B 5B 58 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 54 02 00 00 C6 40 20 00 5E 5B C3 }
	condition:
		$1
}

rule function_718_0 {
	meta:
		name = "TIndexFiles.Delete"
		size = 126
		refs = "0017 TIndexFiles.Delete 0027 TDataSet.GetActive 0042 TTable.CloseIndexFile 0056 TStringList.Delete 006b @UStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 58 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 8D 4D F8 8B 55 FC 8B C3 8B 38 FF 57 0C 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 86 54 02 00 00 C6 40 20 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_719_0 {
	meta:
		name = "TTable.Create"
		size = 158
		refs = "000e @ClassCreate 001c TDBDataSet.Create 0025 _Dn_TIndexDefs 002a TIndexDefs.Create 0039 _Dn_TMasterDataLink 003e TMasterDataLink.Create 0050 TTable.MasterChanged 005a TTable.MasterDisabled 0063 _DV_TIndexFiles 0068 TIndexFiles.Create 0089 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 54 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 58 02 00 00 89 5E 2C C7 46 28 ?? ?? ?? ?? 89 5E 34 C7 46 30 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 6C 02 00 00 C6 83 5C 02 00 00 01 C6 83 82 03 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_720_0 {
	meta:
		name = "TTable.Destroy"
		size = 69
		refs = "0003 @BeforeDestruction 0012 TBDEDataSet.Destroy 001d TObject.Free 003e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 6C 02 00 00 E8 ?? ?? ?? ?? 8B 86 58 02 00 00 E8 ?? ?? ?? ?? 8B 86 54 02 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_721_0 {
	meta:
		name = "TTable.GetHandle"
		size = 472
		refs = "0032 TTable.GetHandle 004d TBDEDataSet.ForceUpdateCallback 0061 OpenModes 0090 ShareModes 00aa @LStrFromUStr 00b5 @LStrToPChar 00dc TTable.GetTableTypeName 00e4 TTable.NativeTableName 00ec TDBDataSet.GetDBHandle 00f2 DbiOpenTable 010e TDBDataSet.CheckOpen 011d TTable.IsXBaseTable 017d CharToOemA 018f DbiOpenIndex 0194 CheckIndexOpen 01b2 @UStrClr 01c2 @LStrArrayClr 01c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 D4 FE FF FF 53 56 57 33 DB 89 9D D8 FE FF FF 89 9D D4 FE FF FF 89 9D E0 FE FF FF 89 9D DC FE FF FF 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 80 BB 5E 02 00 00 00 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 83 E0 7F 8B 3C 85 ?? ?? ?? ?? 80 BB 5C 02 00 00 00 74 08 66 C7 45 F2 00 00 EB 06 66 C7 45 F2 FF FF 8D 45 F4 50 6A 00 6A 00 6A 02 0F B6 83 5D 02 00 00 8B 04 85 ?? ?? ?? ?? 50 57 0F B7 45 F2 50 8D 85 E0 FE FF FF 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 E0 FE FF FF E8 ?? ?? ?? ?? 50 8D 85 DC FE FF FF 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 DC FE FF FF E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 66 81 FE 0B 2A 75 0A BF 01 00 00 00 E9 73 FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 62 FF FF FF 8B C3 E8 ?? ?? ?? ?? 84 C0 74 79 8B 83 6C 02 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 67 46 C7 45 EC 00 00 00 00 8D 85 E7 FE FF FF 50 8D 8D D4 FE FF FF 8B 55 EC 8B 83 6C 02 00 00 8B 38 FF 57 0C 8B 95 D4 FE FF FF 8D 85 D8 FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 D8 FE FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8D 85 E7 FE FF FF 50 8B 45 F4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 EC 4E 75 A1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D4 FE FF FF E8 ?? ?? ?? ?? 8D 85 D8 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_722_0 {
	meta:
		name = "TTable.CreateHandle"
		size = 362
		refs = "0013 TTable.CreateHandle 002a SNoTableName 002f LoadResString 0039 DatabaseError 006b TTable.GetIndexParams 0078 TTable.GetHandle 00a4 DbiGetLdObj 00b3 TBDEDataSet.SetLocale 00df TTable.IsProductionIndex 00f7 @LStrFromUStr 00ff @LStrToPChar 0122 DbiSwitchToIndex 0127 Check 0141 @LStrArrayClr 0149 @UStrClr 0156 @UStrArrayClr 015c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 64 02 00 00 00 75 17 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B D3 E8 ?? ?? ?? ?? 8B 83 54 02 00 00 C6 40 20 00 8B 83 44 02 00 00 80 78 76 00 74 31 8D 45 FC 50 8D 45 F8 50 0F B6 8B 60 02 00 00 8B 93 68 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 45 F4 E9 A7 00 00 00 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 89 83 80 01 00 00 8D 45 F0 50 8B 45 F4 50 E8 ?? ?? ?? ?? 66 85 C0 75 0A 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 45 F8 50 0F B6 8B 60 02 00 00 8B 93 68 02 00 00 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 52 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 44 6A 00 6A 00 8D 45 E8 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 50 8D 45 E4 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 50 8D 45 F4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_723_0 {
	meta:
		name = "TTable.GetLanguageDriverName"
		size = 492
		refs = "0025 TTable.GetLanguageDriverName 0070 TDBDataSet.GetDBSession 0084 TSession.GetAliasDriverName 009a @LStrFromUStr 00a5 @LStrToPChar 00e8 FmtStr 00f5 TDBDataSet.GetDBLocale 0103 AnsiToNative 0116 TTable.NativeTableName 0123 DbiFormFullName 012b TTable.GetTableTypeName 0141 DbiGetLdName 017c @HandleFinally 0191 @UStrFromArray 01a9 @UStrClr 01b4 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 B4 FE FF FF 53 33 C9 89 8D C8 FE FF FF 89 8D C4 FE FF FF 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 85 EE FE FF FF 00 B1 01 BA 09 00 00 00 8B 45 F8 8B 18 FF 93 D8 02 00 00 88 45 F3 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 98 44 02 00 00 80 7B 76 00 0F 84 9D 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 8D C4 FE FF FF 8B 55 F8 8B 92 48 02 00 00 E8 ?? ?? ?? ?? 8B 95 C4 FE FF FF 8D 85 C8 FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 C8 FE FF FF E8 ?? ?? ?? ?? 8B D8 6A 01 8B 45 F8 8B 80 48 02 00 00 89 85 B4 FE FF FF C6 85 B8 FE FF FF 11 8B 45 F8 8B 80 64 02 00 00 89 85 BC FE FF FF C6 85 C0 FE FF FF 11 8D 8D B4 FE FF FF 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 04 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 8D EE FE FF FF 8B 55 FC E8 ?? ?? ?? ?? EB 28 8D 85 EE FE FF FF 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 83 80 00 00 00 50 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8D 85 CE FE FF FF 50 8D 85 EE FE FF FF 50 53 E8 ?? ?? ?? ?? 66 85 C0 74 0F 8D 85 CE FE FF FF 50 6A 00 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 4D F3 BA 09 00 00 00 8B 45 F8 8B 18 FF 93 D8 02 00 00 C3 E9 ?? ?? ?? ?? EB E4 8B 45 F4 8D 95 CE FE FF FF B9 20 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 C4 FE FF FF E8 ?? ?? ?? ?? 8D 85 C8 FE FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3A 00 25 00 73 00 3A 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_724_0 {
	meta:
		name = "TTable.SetTempLocale"
		size = 214
		refs = "0011 TTable.SetTempLocale 0034 TTable.GetLanguageDriverName 004e @LStrFromUStr 0056 @LStrToPChar 005c OsLdLoadBySymbName 0076 TBDEDataSet.SetLocale 0081 OsLdUnloadObj 0093 DbiGetLdObj 00ba @LStrClr 00c2 @UStrClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 D2 74 09 83 BB 80 01 00 00 00 75 5F 8B B3 98 01 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 6B 8D 45 F8 50 8D 45 F4 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 75 44 8B 45 F8 3B 83 98 01 00 00 74 0C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 2D 8D 45 F8 50 E8 ?? ?? ?? ?? EB 22 8D 45 F8 50 8B 83 80 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 75 0A 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 75 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_725_0 {
	meta:
		name = "TTable.RestoreLocale"
		size = 44
		refs = "001c OsLdUnloadObj 0025 TBDEDataSet.SetLocale"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 98 01 00 00 3B F0 74 19 85 C0 74 15 8D 83 98 01 00 00 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_726_0 {
	meta:
		name = "TTable.PrepareCursor"
		size = 136
		refs = "000e TTable.PrepareCursor 001b TTable.IsXBaseTable 003b TTable.GetIndexParams 0045 TTable.IsProductionIndex 0056 TBDEDataSet.SwitchToIndex 005d TTable.CheckMasterRange 0077 @UStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 37 8D 45 FC 50 8D 45 F8 50 0F B6 8B 60 02 00 00 8B 93 68 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0D 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_727_0 {
	meta:
		name = "TTable.DefChanged"
		size = 8
	strings:
		$1 = { C6 80 50 02 00 00 01 C3 }
	condition:
		$1
}

rule function_728_0 {
	meta:
		name = "TTable.InitFieldDefs"
		size = 907
		refs = "001c TTable.InitFieldDefs 0075 SNoTableName 007a LoadResString 0088 DatabaseError 0092 TTable.SetTempLocale 00b1 TTable.GetTableTypeName 00ba TTable.NativeTableName 00c3 TDBDataSet.GetDBHandle 00c9 DbiOpenFieldList 00d3 TDBDataSet.CheckOpen 00f2 DbiGetRecordCount 00f7 Check 0109 TFieldDescList 010e @DynArraySetLength 013f DbiGetNextRecord 0151 _Dn_TBits 0156 TObject.Create 018d TBits.SetSize 01bf DbiOpenVchkList 021e TBits.SetBit 024d DbiCloseCursor 0253 @HandleFinally 0279 TCollection.Clear 02aa TBDEDataSet.AddFieldDesc 02e7 TObject.Free 0325 TTable.RestoreLocale 036c @UStrClr 037a @DynArrayClear"
	strings:
		$1 = { 55 8B EC 81 C4 14 FB FF FF 53 33 D2 89 95 14 FB FF FF 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 B8 80 01 00 00 00 74 10 8B 45 F8 8B 10 FF 92 38 02 00 00 E9 16 03 00 00 B1 01 BA 04 00 00 00 8B 45 F8 8B 18 FF 93 D8 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 83 B8 64 02 00 00 00 75 1E 8D 95 14 FB FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 14 FB FF FF 8B 55 F8 E8 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 E8 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 CC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 EC 50 8B 45 E8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 5D EC 4B 85 DB 7C 31 43 C7 45 F4 00 00 00 00 6A 00 8B 45 F4 8B D0 C1 E0 05 2B C2 8B 55 FC 8D 04 42 50 6A 00 8B 45 E8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F4 4B 75 D7 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B D0 C1 E0 05 2B C2 8B 55 FC 0F B7 44 42 C2 0F B7 D0 3B 55 EC 7E 0E 0F B7 D0 42 8B 45 E0 E8 ?? ?? ?? ?? EB 0C 8B 55 EC 42 8B 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 0F 85 8D 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 46 66 83 BD 1B FB FF FF 00 74 3C 66 83 BD 21 FB FF FF 00 75 32 0F B7 85 19 FB FF FF 8B 55 E0 8B 5A 04 8B D3 4A 3B C2 7E 0D 8B D3 83 C2 64 8B 45 E0 E8 ?? ?? ?? ?? 0F B7 95 19 FB FF FF B1 01 8B 45 E0 E8 ?? ?? ?? ?? 6A 00 8D 85 19 FB FF FF 50 6A 00 8B 45 E4 50 E8 ?? ?? ?? ?? 66 85 C0 74 A1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 F8 8B 40 40 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 40 E8 ?? ?? ?? ?? 33 C0 89 45 F4 C7 45 F0 01 00 00 00 8B 45 F4 3B 45 EC 7D 25 8D 45 F0 50 8B 45 E0 50 8B 45 F8 8B 40 40 50 8D 4D F4 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 3B 45 EC 7C DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 40 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 04 00 00 00 8B 45 F8 8B 18 FF 93 D8 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 14 FB FF FF E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_729_0 {
	meta:
		name = "TTable.DestroyHandle"
		size = 22
		refs = "0010 TBDEDataSet.DestroyHandle"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 C8 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_730_0 {
	meta:
		name = "ConcatField"
		size = 156
		refs = "0015 ConcatField 0029 @UStrAsg 0051 Format 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3B 00 75 0B 8B C3 8B D6 E8 ?? ?? ?? ?? EB 30 8D 45 FC 50 8B 03 89 45 EC C6 45 F0 11 89 75 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3B 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_731_0 {
	meta:
		name = "TTable.DecodeIndexDesc"
		size = 468
		refs = "0022 TTable.DecodeIndexDesc 003b @UStrClr 0053 NativeToAnsi 0070 ExtractFileName 007a @UStrAsg 013a TFieldDefList.GetFieldDef 0145 @UStrLAsg 0150 ConcatField 0184 @UStrEqual 01b1 @UStrArrayClr 01bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 5D FC 8B D9 8B F2 89 45 F8 8B 7D 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE 07 01 00 00 00 75 0C 89 75 F0 8B C3 E8 ?? ?? ?? ?? EB 16 8B C6 8D 96 07 01 00 00 89 55 F0 8B CB 8B D0 33 C0 E8 ?? ?? ?? ?? 8B CF 8B 45 F8 8B 80 98 01 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8D 55 EC 8B 07 E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 8D 55 E8 8B 03 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 45 F7 66 83 BE 47 01 00 00 00 74 04 80 4D F7 01 66 83 BE 49 01 00 00 00 74 04 80 4D F7 02 66 83 BE 4B 01 00 00 00 74 04 80 4D F7 04 66 83 BE 37 03 00 00 00 74 04 80 4D F7 08 66 83 BE 4D 01 00 00 00 75 04 80 4D F7 20 66 83 BE 51 01 00 00 00 74 20 8B 4D 10 8D 96 7D 01 00 00 8B 45 F8 8B 80 98 01 00 00 E8 ?? ?? ?? ?? 80 4D F7 10 E9 86 00 00 00 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 0F B7 BE 55 01 00 00 4F 85 FF 7C 47 47 8D 9E 5D 01 00 00 0F B7 13 4A 8B 45 F8 8B 40 44 E8 ?? ?? ?? ?? 8B 50 0C 8D 45 FC E8 ?? ?? ?? ?? 8B 45 10 8B 55 FC E8 ?? ?? ?? ?? 66 83 BB E0 01 00 00 00 74 0B 8B 45 0C 8B 55 FC E8 ?? ?? ?? ?? 83 C3 02 4F 75 C0 66 83 BE 4B 01 00 00 00 74 19 8B 45 0C 8B 00 8B 55 10 8B 12 E8 ?? ?? ?? ?? 75 08 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 0F B6 55 F7 88 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_732_0 {
	meta:
		name = "IndexFieldOfs"
		size = 185
		refs = "0014 IndexFieldOfs 002b TFieldDefs.Find 0030 TFieldDef.GetFieldNo 006f SIndexFieldMissing 0074 LoadResString 008d DatabaseErrorFmt 00a5 @UStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 40 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 50 F8 0F B7 92 55 01 00 00 4A 85 D2 7C 1C 42 33 DB 8B 45 08 8B 40 F8 05 5D 01 00 00 0F B7 08 3B F1 74 37 43 83 C0 02 4A 75 F2 8B 45 08 8B 40 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_733_0 {
	meta:
		name = "TTable.EncodeIndexDesc"
		size = 577
		refs = "0027 TTable.EncodeIndexDesc 003c @FillChar 00b2 TTable.IsXBaseTable 00df AnsiToNative 015f ExtractFieldName 016d TFieldDefs.Find 0172 TFieldDef.GetFieldNo 01b7 @UStrLen 01f8 IndexFieldOfs 022c @UStrArrayClr 0232 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 4D F4 89 55 F8 89 45 FC 8B 7D 08 8B 5D 0C 8B 75 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 33 C9 BA 7D 03 00 00 E8 ?? ?? ?? ?? F6 C3 01 0F 95 C0 F6 D8 1B C0 8B 55 F8 66 89 82 47 01 00 00 F6 C3 02 0F 95 C0 F6 D8 1B C0 8B 55 F8 66 89 82 49 01 00 00 F6 C3 04 74 04 85 FF 74 04 33 C0 EB 02 B0 01 F6 D8 1B C0 8B 55 F8 66 89 82 4B 01 00 00 F6 C3 20 0F 95 C0 34 01 F6 D8 1B C0 8B 55 F8 66 89 82 4D 01 00 00 F6 C3 08 0F 95 C0 83 E0 7F 8B 55 F8 66 89 82 37 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 46 8B 45 F8 66 83 B8 4D 01 00 00 00 74 1E 6A 1F 8B 4D F8 81 C1 07 01 00 00 8B 45 FC 8B 80 98 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? EB 34 68 04 01 00 00 8B 4D F8 8B 45 FC 8B 80 98 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? EB 19 68 04 01 00 00 8B 4D F8 8B 45 FC 8B 80 98 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? F6 C3 10 74 2F 8B 45 F8 66 C7 80 51 01 00 00 FF FF 68 DC 00 00 00 8B 4D F8 81 C1 7D 01 00 00 8B 45 FC 8B 80 98 01 00 00 8B D6 E8 ?? ?? ?? ?? E9 C9 00 00 00 C7 45 F0 01 00 00 00 EB 5E 8D 4D EC 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 0F B7 92 55 01 00 00 8B 4D F8 66 89 84 51 5D 01 00 00 8B 45 F8 0F B7 80 55 01 00 00 8B 55 F8 8B 4D F8 0F B7 89 4B 01 00 00 66 89 8C 42 3D 03 00 00 8B 45 F8 66 FF 80 55 01 00 00 8B C6 E8 ?? ?? ?? ?? 3B 45 F0 7C 0D 8B 45 F8 66 83 B8 55 01 00 00 10 72 89 85 FF 74 45 8B 45 F8 66 C7 80 4B 01 00 00 FF FF C7 45 F0 01 00 00 00 EB 24 55 8D 4D E8 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 59 8B 55 F8 66 C7 84 42 3D 03 00 00 FF FF 8B C7 E8 ?? ?? ?? ?? 3B 45 F0 7D D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_734_0 {
	meta:
		name = "TTable.AddIndex"
		size = 353
		refs = "001d TFieldDefs.Update 0025 TDataSet.GetActive 003f TTable.EncodeIndexDesc 0047 TDataSet.CheckBrowseMode 0066 TBDEDataSet.GetHandle 006f TDBDataSet.GetDBHandle 0075 DbiAddIndex 007a Check 0089 TTable.SetTempLocale 0094 TTable.AddIndex 00c8 TTable.RestoreLocale 00ce @HandleFinally 0101 TTable.GetTableTypeName 010a TTable.NativeTableName"
	strings:
		$1 = { 55 8B EC 81 C4 78 FC FF FF 53 56 57 8B F1 8B FA 89 45 FC 8B 5D 0C 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 56 56 53 8B 45 08 50 8D 95 7B FC FF FF 8B CF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 60 FF FF FF FF 6A 00 8D 85 7B FC FF FF 50 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C8 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 53 8B 45 08 50 8D 95 7B FC FF FF 8B CF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED B1 01 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 85 7B FC FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC 8B 80 54 02 00 00 C6 40 20 00 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_735_0 {
	meta:
		name = "TTable.DeleteIndex"
		size = 408
		refs = "0016 TTable.DeleteIndex 0024 TDataSet.GetActive 003c TTable.GetIndexParams 0044 TDataSet.CheckBrowseMode 0056 @LStrFromUStr 005e @LStrToPChar 0084 TBDEDataSet.GetHandle 008d TDBDataSet.GetDBHandle 0093 DbiDeleteIndex 0098 Check 010d TTable.GetTableTypeName 0116 TTable.NativeTableName 0151 @HandleFinally 017a @LStrArrayClr 0187 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 75 8D 45 FC 50 8D 45 F8 50 33 C9 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 6A 00 8D 45 F0 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 EC 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B6 00 00 00 8D 45 FC 50 8D 45 F8 50 33 C9 8B D3 8B 45 F4 E8 ?? ?? ?? ?? B1 01 BA 03 00 00 00 8B 45 F4 8B 18 FF 93 D8 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 E8 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 50 8D 45 E4 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F4 E8 ?? ?? ?? ?? 50 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 F4 8B 18 FF 93 D8 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 8B 45 F4 8B 80 54 02 00 00 C6 40 20 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_736_0 {
	meta:
		name = "TTable.GetIndexFieldNames"
		size = 41
		refs = "0018 @UStrAsg 0022 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 60 02 00 00 00 74 10 8B C6 8B 93 68 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_737_0 {
	meta:
		name = "TTable.GetIndexName"
		size = 41
		refs = "0012 @UStrClr 0022 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 60 02 00 00 00 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 68 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_738_0 {
	meta:
		name = "TTable.GetIndexNames"
		size = 33
		refs = "000d TIndexDefs.Update 001a TDefCollection.GetItemNames"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_739_0 {
	meta:
		name = "TTable.GetIndexParams"
		size = 652
		refs = "002e TTable.GetIndexParams 0058 TIndexDefs.Update 0062 @UStrLAsg 006c TTable.SetTempLocale 00ba @UniqueStringU 00d5 @UStrCat3 00e7 TIndexDefs.FindIndexForFields 00fa TTable.IsXBaseTable 0110 ExtractFileExt 0121 UpperCase 0131 @UStrEqual 0150 AnsiToNative 0163 TDefCollection.IndexOf 0173 TIndexDefs.GetIndexDef 018f SIndexDoesNotExist 0194 LoadResString 01b6 DatabaseErrorFmt 01fb TTable.RestoreLocale 0201 @HandleFinally 0216 @UStrFromArray 0246 @UStrArrayClr 024e @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 40 FF FF FF 53 56 57 33 DB 89 9D 48 FF FF FF 89 9D 50 FF FF FF 89 9D 4C FF FF FF 89 5D FC 8B D9 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 85 74 FF FF FF 00 C6 85 54 FF FF FF 00 85 F6 0F 84 B9 01 00 00 8B 45 F8 8B 80 54 02 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B D6 E8 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 84 DB 74 71 8B 45 F8 8B 80 44 02 00 00 80 78 78 00 74 47 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F8 85 FF 7E 23 BB 01 00 00 00 8B 45 FC 66 83 7C 58 FE 3B 75 0F 8D 45 FC E8 ?? ?? ?? ?? 66 C7 44 58 FE 40 00 43 4F 75 E2 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B 8B 45 F8 8B 80 54 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 50 0C 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 C8 00 00 00 8D 95 4C FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 8D 95 50 FF FF FF E8 ?? ?? ?? ?? 8B 85 50 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 93 00 00 00 6A 1F 8D 8D 54 FF FF FF 8B 45 F8 8B 80 98 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B B8 54 02 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 16 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 50 14 8D 45 FC E8 ?? ?? ?? ?? EB 36 8B 45 F8 50 8D 95 48 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 50 89 B5 40 FF FF FF C6 85 44 FF FF FF 11 8D 95 40 FF FF FF 33 C9 58 E8 ?? ?? ?? ?? 6A 7F 8D 8D 74 FF FF FF 8B 55 FC 33 C0 E8 ?? ?? ?? ?? EB 19 6A 7F 8D 8D 74 FF FF FF 8B 45 F8 8B 80 98 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 0C 8D 95 74 FF FF FF B9 80 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8D 95 54 FF FF FF B9 20 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 48 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 4E 00 44 00 58 00 00 00 00 00 }
	condition:
		$1
}

rule function_740_0 {
	meta:
		name = "TTable.SetIndexDefs"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 54 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_741_0 {
	meta:
		name = "TTable.SetIndex"
		size = 216
		refs = "0014 TTable.SetIndex 0021 TDataSet.GetActive 002c TDataSet.CheckBrowseMode 0039 @UStrEqual 0061 TTable.GetIndexParams 006e TBDEDataSet.SwitchToIndex 0075 TTable.CheckMasterRange 0082 @UStrAsg 00be @UStrArrayClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 E8 ?? ?? ?? ?? 8B 86 68 02 00 00 8B D7 E8 ?? ?? ?? ?? 75 08 3A 9E 60 02 00 00 74 61 8B C6 E8 ?? ?? ?? ?? 84 C0 74 27 8D 45 FC 50 8D 45 F8 50 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 86 68 02 00 00 8B D7 E8 ?? ?? ?? ?? 88 9E 60 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 11 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_742_0 {
	meta:
		name = "TTable.SetIndexFieldNames"
		size = 23
		refs = "0010 TTable.SetIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 0F 95 C1 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32002_0 {
	meta:
		name = "TIBTable.SetIndexFieldNames"
		size = 23
		refs = "0010 TIBTable.SetIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 0F 95 C1 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_744_0 {
	meta:
		name = "TTable.SetIndexFiles"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 6C 02 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_745_0 {
	meta:
		name = "TTable.OpenIndexFile"
		size = 55
		refs = "001a AnsiToNative 0022 TBDEDataSet.GetHandle 0028 DbiOpenIndex 002d CheckIndexOpen"
	strings:
		$1 = { 53 56 83 C4 E0 8B F2 8B D8 6A 00 6A 1F 8D 4C 24 08 8B D6 8B 83 98 01 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_746_0 {
	meta:
		name = "TTable.CloseIndexFile"
		size = 205
		refs = "001e TTable.CloseIndexFile 0040 TTable.GetIndexParams 004b AnsiUpperCaseFileName 0062 @UStrEqual 006d TTable.SetIndexName 0081 AnsiToNative 0089 TBDEDataSet.GetHandle 008f DbiCloseIndex 0094 Check 00ae @UStrArrayClr 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 C9 89 4D D4 89 4D D0 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 45 F8 50 0F B6 8B 60 02 00 00 8B 93 68 02 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 50 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 8B 55 D0 58 E8 ?? ?? ?? ?? 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 1F 8D 4D D8 8B D6 8B 83 98 01 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_747_0 {
	meta:
		name = "UpdateFromCursor"
		size = 514
		refs = "0015 UpdateFromCursor 0035 TBDEDataSet.GetHandle 0048 TTable.GetHandle 0058 DbiGetLdObj 006b TBDEDataSet.SetLocale 0099 DbiGetCursorProps 00bb TIndexDescList 00c0 @DynArraySetLength 00d0 DbiGetIndexDescs 011b TTable.DecodeIndexDesc 012c TIndexDefs.AddIndexDef 013b TNamedItem.SetDisplayName 0148 TIndexDef.SetFields 0155 TIndexDef.SetDescFields 0163 TIndexDef.SetOptions 0179 TIndexDef.SetSource 01ad DbiCloseCursor 01d2 @HandleFinally 01ef @DynArrayClear"
	strings:
		$1 = { 55 8B EC 81 C4 44 FE FF FF 53 56 57 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 E8 8B 80 98 01 00 00 89 45 F4 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 85 C0 75 34 8B 45 08 8B 40 E8 33 C9 33 D2 E8 ?? ?? ?? ?? 89 45 F8 8D 45 F0 50 8B 45 F8 50 E8 ?? ?? ?? ?? 66 85 C0 75 1E 8B 45 08 8B 40 E8 8B 55 F0 E8 ?? ?? ?? ?? EB 0E 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 45 FE FF FF 50 8B 45 F8 50 E8 ?? ?? ?? ?? 0F B7 9D 74 FF FF FF 66 85 DB 0F 86 D8 00 00 00 0F B7 C3 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 50 8B 45 F8 50 E8 ?? ?? ?? ?? 0F B7 B5 74 FF FF FF 4E 85 F6 0F 8C A1 00 00 00 46 33 FF 8B 45 08 83 C0 F8 50 8B 45 08 83 C0 F4 50 8B 45 08 83 C0 F0 50 8B 45 08 83 C0 EF 50 69 C7 7D 03 00 00 8B 55 FC 03 D0 8B 45 08 8D 48 FC 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E8 8B 80 54 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 50 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 50 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 50 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 08 0F B6 50 EF 8B C3 E8 ?? ?? ?? ?? 8B 45 08 83 78 FC 00 74 0D 8B 45 08 8B 50 FC 8B C3 E8 ?? ?? ?? ?? 47 4E 0F 85 62 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 19 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 3B 45 F8 74 09 8D 45 F8 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E8 8B 80 98 01 00 00 3B 45 F4 74 0E 8B 45 08 8B 40 E8 8B 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_748_0 {
	meta:
		name = "UpdateFromIndexList"
		size = 269
		refs = "0018 TTable.GetTableTypeName 0020 TTable.NativeTableName 0028 TDBDataSet.GetDBHandle 002e DbiOpenIndexList 0037 TDBDataSet.CheckOpen 0043 UpdateFromIndexList 0084 TTable.DecodeIndexDesc 0091 TIndexDefs.AddIndexDef 00a0 TNamedItem.SetDisplayName 00ad TIndexDef.SetFields 00ba TIndexDef.SetDescFields 00c8 TIndexDef.SetOptions 00dc DbiGetNextRecord 00fb DbiCloseCursor 0101 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 7C FC FF FF 53 56 8B 75 08 83 C6 E8 8D 45 FC 50 8B 06 E8 ?? ?? ?? ?? 50 8B 06 E8 ?? ?? ?? ?? 50 8B 06 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 06 E8 ?? ?? ?? ?? 84 C0 74 D2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 7D 66 83 BD CC FD FF FF 00 74 73 8B 45 08 83 C0 F8 50 8B 45 08 83 C0 F4 50 8B 45 08 83 C0 F0 50 8B 45 08 83 C0 EF 50 8B 45 08 8D 48 FC 8D 95 7F FC FF FF 8B 06 E8 ?? ?? ?? ?? 8B 06 8B 80 54 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 50 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 50 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 50 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 08 0F B6 50 EF 8B C3 E8 ?? ?? ?? ?? 6A 00 8D 85 7F FC FF FF 50 6A 00 8B 45 FC 50 E8 ?? ?? ?? ?? 66 85 C0 0F 84 66 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_749_0 {
	meta:
		name = "TTable.UpdateIndexDefs"
		size = 210
		refs = "0013 TTable.UpdateIndexDefs 0044 TFieldDefs.Update 0052 TCollection.Clear 0076 UpdateFromCursor 007f UpdateFromIndexList 00a5 @HandleFinally 00c1 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 BA 05 00 00 00 8B 45 E8 8B 18 FF 93 D8 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 40 40 E8 ?? ?? ?? ?? 8B 45 E8 8B 80 54 02 00 00 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 92 40 02 00 00 84 C0 75 0F 8B 45 E8 8B 80 44 02 00 00 80 78 76 00 75 09 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 05 00 00 00 8B 45 E8 8B 18 FF 93 D8 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_750_0 {
	meta:
		name = "TTable.IsProductionIndex"
		size = 240
		refs = "0017 TTable.IsProductionIndex 0026 TTable.IsXBaseTable 0038 ExtractFileExt 0043 AnsiUpperCase 0050 @UStrEqual 005d TTable.NativeTableName 0067 @UStrFromPChar 0074 ChangeFileExt 007f AnsiUpperCaseFileName 00c0 @UStrArrayClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B C7 E8 ?? ?? ?? ?? 84 C0 74 7C 85 F6 74 78 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 33 DB EB 50 8B C7 E8 ?? ?? ?? ?? 8B D0 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8D 4D F0 33 D2 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 4D E4 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 58 E8 ?? ?? ?? ?? 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 4E 00 44 00 58 00 00 00 00 00 }
	condition:
		$1
}

rule function_751_0 {
	meta:
		name = "TTable.GetExists"
		size = 288
		refs = "0013 TTable.GetExists 0021 TDataSet.GetActive 007d TTable.NativeTableName 0086 TDBDataSet.GetDBHandle 008c DbiOpenFieldList 00a2 DbiCloseCursor 00b5 DbiError 00c2 TTable.GetFileName 00cc FileExists 00f4 @HandleFinally 010b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 0F 85 C8 00 00 00 8B 45 FC 83 B8 64 02 00 00 00 0F 84 B8 00 00 00 B1 01 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 44 02 00 00 80 78 76 00 74 4A 8D 45 F4 50 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 45 FB 80 7D FB 00 74 0B 8D 45 F4 50 E8 ?? ?? ?? ?? EB 2B 66 3D 28 27 74 25 66 3D 08 22 74 1F E8 ?? ?? ?? ?? EB 18 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 B2 01 E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_752_0 {
	meta:
		name = "TTable.FindKey"
		size = 39
		refs = "000c TDataSet.CheckBrowseMode 0018 TBDEDataSet.SetKeyFields 001f TTable.GotoKey"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 57 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15427_0 {
	meta:
		name = "TCustomClientDataSet.FindKey"
		size = 39
		refs = "000c TDataSet.CheckBrowseMode 0018 TCustomClientDataSet.SetKeyFields 001f TCustomClientDataSet.GotoKey"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 57 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15428_0 {
	meta:
		name = "TCustomClientDataSet.FindNearest"
		size = 39
		refs = "000c TDataSet.CheckBrowseMode 0018 TCustomClientDataSet.SetKeyFields 001f TCustomClientDataSet.GotoNearest"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 57 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_753_0 {
	meta:
		name = "TTable.FindNearest"
		size = 39
		refs = "000c TDataSet.CheckBrowseMode 0018 TBDEDataSet.SetKeyFields 001f TTable.GotoNearest"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 57 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_754_0 {
	meta:
		name = "TTable.GotoKey"
		size = 256
		refs = "0010 TDataSet.CheckBrowseMode 002f TBDEDataSet.GetKeyBuffer 0040 AllocMem 004b TTable.GotoKey 0063 TBDEDataSet.GetHandle 0069 DbiExtractKey 0095 DbiGetRecordForKey 00e4 @FreeMem 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 34 01 00 00 8B 45 FC C7 40 60 FF FF FF FF 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 FC 0F B7 80 CE 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B FE 83 C7 06 8B 45 F4 50 57 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 C3 84 DB 74 03 8B 7D F4 6A 00 57 6A 00 0F B7 46 02 50 80 FB 01 F5 1B C0 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 45 FB 80 7D FB 00 74 12 0F B6 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 B4 02 00 00 80 7D FB 00 74 0B 8B 45 FC 8B 10 FF 92 10 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B7 90 CE 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 00 03 00 00 00 }
	condition:
		$1
}

rule function_755_0 {
	meta:
		name = "TTable.GotoNearest"
		size = 240
		refs = "0010 TDataSet.CheckBrowseMode 0024 TBDEDataSet.GetKeyBuffer 004b AllocMem 0056 TTable.GotoNearest 006e TBDEDataSet.GetHandle 0074 DbiExtractKey 00a2 DbiSetToKey 00a7 Check 00d8 @FreeMem 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 60 FF FF FF FF 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F8 80 7F 01 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 02 00 00 00 8B 45 FC 0F B7 80 CE 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F7 83 C6 06 8B 45 F4 50 56 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 C3 84 DB 74 03 8B 75 F4 56 6A 00 0F B7 47 02 50 80 FB 01 F5 1B C0 50 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 B4 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B7 90 CE 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 8B E5 5D C3 00 02 00 00 00 }
	condition:
		$1
}

rule function_756_0 {
	meta:
		name = "TTable.SetKey"
		size = 10
		refs = "0005 TBDEDataSet.SetKeyBuffer"
	strings:
		$1 = { B1 01 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15431_0 {
	meta:
		name = "TCustomClientDataSet.SetKey"
		size = 10
		refs = "0005 TCustomClientDataSet.SetKeyBuffer"
	strings:
		$1 = { B1 01 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24364_0 {
	meta:
		name = "TDSSessionManager.TerminateAllSessions"
		size = 10
		refs = "0005 TDSSessionManager.TerminateAllSessions"
	strings:
		$1 = { B1 01 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_757_0 {
	meta:
		name = "TTable.EditKey"
		size = 10
		refs = "0005 TBDEDataSet.SetKeyBuffer"
	strings:
		$1 = { 33 C9 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15432_0 {
	meta:
		name = "TCustomClientDataSet.EditKey"
		size = 10
		refs = "0005 TCustomClientDataSet.SetKeyBuffer"
	strings:
		$1 = { 33 C9 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11485_0 {
	meta:
		name = "TDBXDatabaseConnectionHandler.DbxDisconnect"
		size = 10
		refs = "0005 TDBXDatabaseConnectionHandler.EndTransaction"
	strings:
		$1 = { 33 C9 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30494_0 {
	meta:
		name = "TIBTransaction.Rollback"
		size = 10
		refs = "0005 TIBTransaction.EndTransaction"
	strings:
		$1 = { 33 C9 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_758_0 {
	meta:
		name = "TTable.ApplyRange"
		size = 37
		refs = "0006 TDataSet.CheckBrowseMode 000d TBDEDataSet.SetCursorRange 0018 TDataSet.First"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? C6 83 82 03 00 00 01 5B C3 }
	condition:
		$1
}

rule function_759_0 {
	meta:
		name = "TTable.CancelRange"
		size = 60
		refs = "0006 TDataSet.CheckBrowseMode 000d TDataSet.UpdateCursorPos 0014 TBDEDataSet.ResetCursorRange 001f TTable.CancelRange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 B4 02 00 00 C6 83 82 03 00 00 00 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_760_0 {
	meta:
		name = "TTable.SetRange"
		size = 67
		refs = "000f TDataSet.CheckBrowseMode 001e TBDEDataSet.SetKeyFields 0038 TTable.ApplyRange"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 57 8B CE BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D 0C BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15435_0 {
	meta:
		name = "TCustomClientDataSet.SetRange"
		size = 67
		refs = "000f TDataSet.CheckBrowseMode 001e TCustomClientDataSet.SetKeyFields 0038 TCustomClientDataSet.ApplyRange"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 57 8B CE BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D 0C BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_761_0 {
	meta:
		name = "TTable.SetRangeEnd"
		size = 13
		refs = "0008 TBDEDataSet.SetKeyBuffer"
	strings:
		$1 = { B1 01 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15436_0 {
	meta:
		name = "TCustomClientDataSet.SetRangeEnd"
		size = 13
		refs = "0008 TCustomClientDataSet.SetKeyBuffer"
	strings:
		$1 = { B1 01 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_762_0 {
	meta:
		name = "TTable.SetRangeStart"
		size = 13
		refs = "0008 TBDEDataSet.SetKeyBuffer"
	strings:
		$1 = { B1 01 BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15437_0 {
	meta:
		name = "TCustomClientDataSet.SetRangeStart"
		size = 13
		refs = "0008 TCustomClientDataSet.SetKeyBuffer"
	strings:
		$1 = { B1 01 BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_763_0 {
	meta:
		name = "TTable.EditRangeEnd"
		size = 13
		refs = "0008 TBDEDataSet.SetKeyBuffer"
	strings:
		$1 = { 33 C9 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15438_0 {
	meta:
		name = "TCustomClientDataSet.EditRangeEnd"
		size = 13
		refs = "0008 TCustomClientDataSet.SetKeyBuffer"
	strings:
		$1 = { 33 C9 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_764_0 {
	meta:
		name = "TTable.EditRangeStart"
		size = 13
		refs = "0008 TBDEDataSet.SetKeyBuffer"
	strings:
		$1 = { 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15439_0 {
	meta:
		name = "TCustomClientDataSet.EditRangeStart"
		size = 13
		refs = "0008 TCustomClientDataSet.SetKeyBuffer"
	strings:
		$1 = { 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_765_0 {
	meta:
		name = "TTable.UpdateRange"
		size = 15
		refs = "000a TBDEDataSet.SetLinkRanges"
	strings:
		$1 = { 8B 90 58 02 00 00 8B 52 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_766_0 {
	meta:
		name = "TTable.GetLookupCursor"
		size = 440
		refs = "001e TTable.GetLookupCursor 0031 @UStrEqual 0089 @UStrLAsg 00a2 TIndexDefs.GetIndexForFields 00fb TBDEDataSet.GetHandle 0101 DbiCloneCursor 0106 Check 011c TTable.GetIndexParams 0130 @LStrFromUStr 0138 @LStrToPChar 015e DbiSwitchToIndex 0170 @UStrAsg 0196 @LStrArrayClr 01a3 @UStrArrayClr 01a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 96 74 02 00 00 E8 ?? ?? ?? ?? 75 0C 3A 9E 7C 02 00 00 0F 84 37 01 00 00 8B C6 8B 10 FF 92 C8 02 00 00 C6 45 F3 00 C6 45 F2 00 8B 86 E4 01 00 00 80 38 00 0F 85 16 01 00 00 8B 86 E8 01 00 00 80 38 00 0F 85 07 01 00 00 8B 86 44 02 00 00 80 78 78 00 74 18 84 DB 75 50 8D 45 FC 8B D7 E8 ?? ?? ?? ?? C6 45 F2 01 C6 45 F3 01 EB 3C 8B CB 8B D7 8B 86 54 02 00 00 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 74 24 8B 45 EC F6 40 24 08 0F 95 C0 3A D8 75 16 8D 45 FC 8B 55 EC 8B 52 0C E8 ?? ?? ?? ?? C6 45 F2 00 C6 45 F3 01 80 7D F3 00 0F 84 8A 00 00 00 8B C7 85 C0 74 05 83 E8 04 8B 00 83 F8 7F 7D 7A 8D 86 70 02 00 00 50 6A 00 6A FF 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8D 45 F4 50 0F B6 4D F2 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 E8 8B 55 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 50 8D 45 E4 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 50 8D 86 70 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 86 74 02 00 00 8B D7 E8 ?? ?? ?? ?? 88 9E 7C 02 00 00 8B 9E 70 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_767_0 {
	meta:
		name = "TTable.DestroyLookupCursor"
		size = 45
		refs = "0014 DbiCloseCursor 0027 @UStrClr"
	strings:
		$1 = { 53 8B D8 83 BB 70 02 00 00 00 74 1F 8D 83 70 02 00 00 50 E8 ?? ?? ?? ?? 33 C0 89 83 70 02 00 00 8D 83 74 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_768_0 {
	meta:
		name = "TTable.GotoCurrent"
		size = 212
		refs = "000f TTable.GotoCurrent 001c TDataSet.CheckBrowseMode 0034 AnsiCompareText 0055 STableMismatch 005a LoadResString 0064 DatabaseError 006b TDataSet.UpdateCursorPos 0072 TBDEDataSet.GetHandle 0080 DbiSetToCursor 0085 Check 00bf @UStrClr 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 96 48 02 00 00 8B 83 48 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 15 8B 96 64 02 00 00 8B 83 64 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 34 01 00 00 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 B4 02 00 00 8B C3 8B 10 FF 92 10 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 03 00 00 00 }
	condition:
		$1
}

rule function_769_0 {
	meta:
		name = "TTable.GetDetailLinkFields"
		size = 386
		refs = "0021 TTable.GetDetailLinkFields 0066 TTable.GetMasterFields 0095 TDataSet.GetFieldList 00a9 TTable.GetIndexName 00c7 TIndexDefs.Find 00d5 TTable.GetIndexFieldNames 00f5 TIndexDefs.GetIndexForFields 011d TIndexDefs.GetIndexDef 0148 TIndexDef.GetFields 016f @UStrArrayClr 0175 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 10 FF 52 08 8B 45 FC 8B 10 FF 52 08 8B C3 8B 10 FF 92 60 01 00 00 85 C0 0F 84 0D 01 00 00 8B C3 8B 10 FF 92 60 01 00 00 83 78 38 00 0F 84 F9 00 00 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 E5 00 00 00 33 F6 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B C3 8B 10 FF 92 60 01 00 00 8B 40 38 8B D7 59 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 E4 01 00 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 83 7D EC 00 74 1C 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 8B F0 EB 6F 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 83 7D E4 00 74 1E 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 33 C9 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 8B F0 EB 41 8B 83 54 02 00 00 8B 40 08 8B 40 08 48 85 C0 7C 30 40 89 45 F8 33 FF 8B D7 8B 83 54 02 00 00 E8 ?? ?? ?? ?? F6 40 24 01 74 11 8B D7 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 8B F0 EB 06 47 FF 4D F8 75 D6 85 F6 74 17 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 4D DC 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_770_0 {
	meta:
		name = "TTable.CheckMasterRange"
		size = 43
		refs = "001e TBDEDataSet.SetLinkRanges 0025 TBDEDataSet.SetCursorRange"
	strings:
		$1 = { 53 8B D8 8B 83 58 02 00 00 80 78 15 00 74 1A 8B 50 24 83 7A 08 00 7E 11 8B 50 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_771_0 {
	meta:
		name = "TTable.MasterChanged"
		size = 26
		refs = "0006 TDataSet.CheckBrowseMode 000d TTable.UpdateRange 0014 TTable.ApplyRange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83037_0 {
	meta:
		name = "TCustomOutline.CMFontChanged"
		size = 26
		refs = "0006 TCustomGrid.CMFontChanged 000d TCustomOutline.SetRowHeight 0014 TCustomOutline.SetHorzScrollBar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79391_0 {
	meta:
		name = "TDriveComboBox.CMFontChanged"
		size = 26
		refs = "0006 TWinControl.CMFontChanged 000d TDriveComboBox.ResetItemHeight 0014 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81347_0 {
	meta:
		name = "TGIFFrame.Dormant"
		size = 26
		refs = "0006 TGIFFrame.FreeBitmap 000d TGIFFrame.FreeMask 0014 TGIFFrame.FreePalette"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29610_0 {
	meta:
		name = "TGraphView.Paint"
		size = 26
		refs = "0006 TCustomControl.Paint 000d TGraphView.PaintNodes 0014 TGraphView.PaintEdges"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_32019_0 {
	meta:
		name = "TIBTable.MasterChanged"
		size = 26
		refs = "0006 TDataSet.CheckBrowseMode 000d TIBTable.SetParams 0014 TIBCustomDataSet.ReQuery"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_773_0 {
	meta:
		name = "TTable.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 58 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_774_0 {
	meta:
		name = "TTable.SetDataSource"
		size = 108
		refs = "000f TTable.SetDataSource 001e TDataSet.IsLinkedTo 002a SCircularDataLink 002f LoadResString 0039 DatabaseError 0046 TDataLink.SetDataSource 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B D6 8B 83 58 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_775_0 {
	meta:
		name = "TTable.GetMasterFields"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 58 02 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_776_0 {
	meta:
		name = "TTable.SetMasterFields"
		size = 12
		refs = "0007 TMasterDataLink.SetFieldNames"
	strings:
		$1 = { 8B 80 58 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_880_0 {
	meta:
		name = "TQuery.ParamByName"
		size = 12
		refs = "0007 TParams.ParamByName"
	strings:
		$1 = { 8B 80 58 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_868_0 {
	meta:
		name = "TQuery.SetParamsList"
		size = 12
		refs = "0007 TParams.AssignValues"
	strings:
		$1 = { 8B 80 58 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_777_0 {
	meta:
		name = "TTable.DoOnNewRecord"
		size = 82
		refs = "0034 TList.Get 003f TBDEDataSet.SetIndexField 004a TDataSet.DoOnNewRecord"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 58 02 00 00 80 78 15 00 74 36 8B 50 24 83 7A 08 00 7E 2D 8B 40 24 8B 78 08 4F 85 FF 7C 22 47 33 F6 8B 83 58 02 00 00 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 46 4F 75 E1 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_778_0 {
	meta:
		name = "TTable.BatchMove"
		size = 124
		refs = "0014 _DV_TBatchMove 0019 TBatchMove.Create 0024 TTable.BatchMove 003a TBatchMove.SetSource 0048 TBatchMove.Execute 0066 TObject.Free 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 8B F2 8B F8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 78 38 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 88 58 40 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 48 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_779_0 {
	meta:
		name = "InitTableSettings"
		size = 340
		refs = "000c InitTableSettings 0026 @FillChar 0057 AnsiToNative 0065 TTable.GetTableTypeName 0078 StrCopy 00a2 IntToStr 00b2 @LStrFromUStr 00ba @LStrToPChar 00f6 @PCharLen 0130 @UStrClr 0138 @LStrClr 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 05 56 FD FF FF 33 C9 BA AA 02 00 00 E8 ?? ?? ?? ?? 68 04 01 00 00 8B 45 08 8D 88 56 FD FF FF 8B 45 08 8B 80 A8 FC FF FF 8B 90 64 02 00 00 8B 45 08 8B 80 A8 FC FF FF 8B 80 98 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 80 A8 FC FF FF E8 ?? ?? ?? ?? 85 C0 74 0F 8B 55 08 81 C2 5B FE FF FF 92 E8 ?? ?? ?? ?? 8B 45 08 8B 80 A8 FC FF FF 8B 98 78 02 00 00 85 DB 0F 8E 8C 00 00 00 8B 45 08 66 C7 40 F6 01 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 08 05 36 FD FF FF E8 ?? ?? ?? ?? 8B 45 08 05 36 FD FF FF 8B 55 08 89 42 FC BA ?? ?? ?? ?? 8B 45 08 05 FA FC FF FF E8 ?? ?? ?? ?? 8B 45 08 05 36 FD FF FF E8 ?? ?? ?? ?? 40 8B 55 08 66 89 82 24 FD FF FF 8B 45 08 66 C7 80 22 FD FF FF 00 00 8B 45 08 05 F8 FC FF FF 8B 55 08 89 42 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 00 00 00 4C 45 56 45 4C 00 00 00 }
	condition:
		$1
}

rule function_780_0 {
	meta:
		name = "InitFieldDescriptors"
		size = 445
		refs = "000c InitFieldDescriptors 0020 TDataSet.InitFieldDefsFromFields 004d TFieldDescList 0052 @DynArraySetLength 0084 TFieldDefs.GetFieldDef 0092 TFieldDef.GetSize 00b5 TTable.EncodeFieldDesc 0131 TDBDataSet.GetDBHandle 0137 DbiGetLdNameFromDb 0177 TTable.GetDriverTypeName 018b DbiTranslateRecordStructure 0190 Check 01ab @DynArrayClear 01b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 80 A8 FC FF FF E8 ?? ?? ?? ?? 8B 45 08 8B 80 A8 FC FF FF 8B 40 40 8B 40 08 8B 40 08 8B D8 8B 45 08 66 89 58 C4 0F B7 C3 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 80 A8 FC FF FF 8B 40 40 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 58 47 33 F6 8B 45 08 8B 80 A8 FC FF FF 8B 40 40 8B D6 E8 ?? ?? ?? ?? 8B D8 0F B6 43 25 50 8B C3 E8 ?? ?? ?? ?? 50 8B 43 18 50 8B C6 C1 E0 05 2B C6 8B 55 FC 8D 14 42 8B 45 08 8B 80 A8 FC FF FF 8B 4B 0C E8 ?? ?? ?? ?? F6 43 26 04 74 07 8B 45 08 66 FF 40 E2 46 4F 75 AB 8B 45 08 0F B7 40 C4 50 8B 45 08 05 F4 FC FF FF B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 80 F4 FC FF FF 8B 55 08 89 42 CA 8B 45 08 33 D2 89 90 A4 FC FF FF 8B 45 08 8B 80 A8 FC FF FF 8B 80 44 02 00 00 80 78 76 00 74 35 8B 45 08 05 D4 FC FF FF 50 6A 00 8B 45 08 8B 80 A8 FC FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 75 11 8B 45 08 05 D4 FC FF FF 8B 55 08 89 82 A4 FC FF FF 6A 00 8B 45 08 8B 40 CA 50 8B 45 08 8B 80 A4 FC FF FF 50 8B 45 08 8D 90 B4 FC FF FF 8B 45 08 8B 80 A8 FC FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 45 08 0F B7 40 C4 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_781_0 {
	meta:
		name = "InitIndexDescriptors"
		size = 191
		refs = "0036 TIndexDescList 003b @DynArraySetLength 0082 TIndexDefs.GetIndexDef 00b3 TTable.EncodeIndexDesc"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 80 A8 FC FF FF 8B 80 54 02 00 00 8B 40 08 8B 40 08 8B D8 8B 45 08 66 89 58 CE 0F B7 C3 50 8B 45 08 05 B0 FC FF FF B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 80 B0 FC FF FF 8B 55 08 89 42 D4 8B 45 08 8B 80 A8 FC FF FF 8B 80 54 02 00 00 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 4E 46 33 DB 8B 45 08 8B 80 A8 FC FF FF 8B 80 54 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 50 18 52 0F B6 50 24 52 8B 50 1C 52 69 D3 7D 03 00 00 8B 4D 08 8B 89 B0 FC FF FF 8D 14 11 8B 4D 08 8B 89 A8 FC FF FF 8B 40 0C 91 E8 ?? ?? ?? ?? 43 4E 75 B5 5E 5B 5D C3 }
	condition:
		$1
}

rule function_782_0 {
	meta:
		name = "InitValChecks"
		size = 176
		refs = "0029 TValCheckList 002e @DynArraySetLength 0062 TFieldDefs.GetFieldDef"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 0F B7 58 E2 66 85 DB 0F 86 95 00 00 00 0F B7 C3 50 8B 45 08 05 AC FC FF FF B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 FF 8B 45 08 8B 80 A8 FC FF FF 8B 40 40 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 4C 46 33 DB 8B 45 08 8B 80 A8 FC FF FF 8B 40 40 8B D3 E8 ?? ?? ?? ?? F6 40 26 04 0F 95 C0 84 C0 74 27 69 C7 C3 04 00 00 8B 55 08 8B 92 AC FC FF FF 8B CB 41 66 89 0C 02 8B 55 08 8B 92 AC FC FF FF 66 C7 44 02 02 FF FF 47 43 4E 75 B7 8B 45 08 8B 80 AC FC FF FF 8B 55 08 89 42 E8 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_783_0 {
	meta:
		name = "TTable.CreateTable"
		size = 348
		refs = "0028 TTable.CreateTable 0065 InitTableSettings 0073 TTable.SetTempLocale 008d InitFieldDescriptors 0094 InitIndexDescriptors 009b InitValChecks 00b0 TDBDataSet.GetDBHandle 00b6 DbiCreateTable 00bb Check 00d9 TTable.RestoreLocale 00df @HandleFinally 0124 TValCheckList 0129 @DynArrayClear 0135 TIndexDescList 0146 TFieldDescList"
	strings:
		$1 = { 55 8B EC 81 C4 A0 FC FF FF 53 33 D2 89 95 B0 FC FF FF 89 95 F4 FC FF FF 89 95 AC FC FF FF 89 85 A8 FC FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 85 A8 FC FF FF 8B 10 FF 92 C4 00 00 00 B1 01 BA 03 00 00 00 8B 85 A8 FC FF FF 8B 18 FF 93 D8 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 33 D2 8B 85 A8 FC FF FF E8 ?? ?? ?? ?? 89 85 A0 FC FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 8D 85 56 FD FF FF 50 6A FF 8B 85 A8 FC FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 95 A0 FC FF FF 8B 85 A8 FC FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 85 A8 FC FF FF 8B 18 FF 93 D8 02 00 00 C3 E9 ?? ?? ?? ?? EB E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 AC FC FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 B0 FC FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 F4 FC FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_784_0 {
	meta:
		name = "TTable.DeleteTable"
		size = 131
		refs = "0029 TTable.DeleteTable 0037 TTable.GetTableTypeName 0040 TTable.NativeTableName 0049 TDBDataSet.GetDBHandle 004f DbiDeleteTable 0054 Check 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 10 FF 92 C4 00 00 00 B1 01 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 5B 59 5D C3 }
	condition:
		$1
}

rule function_785_0 {
	meta:
		name = "TTable.EmptyTable"
		size = 202
		refs = "000c TDataSet.GetActive 0018 TDataSet.CheckBrowseMode 0024 TBDEDataSet.GetHandle 002d TDBDataSet.GetDBHandle 0033 DbiEmptyTable 0038 Check 006e TTable.EmptyTable 007c TTable.GetTableTypeName 0085 TTable.NativeTableName 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 44 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 C8 00 00 00 33 C9 B2 02 8B 45 FC 8B 18 FF 93 E4 00 00 00 EB 6E B1 01 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 5B 59 5D C3 }
	condition:
		$1
}

rule function_787_0 {
	meta:
		name = "TTable.SetTableLock"
		size = 90
		refs = "002f TBDEDataSet.GetHandle 0035 DbiAcqTableLock 003a Check 004c DbiRelTableLock"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B DA 8B F8 8B C7 8B 10 FF 92 BC 00 00 00 84 DB 75 07 BE 02 00 00 00 EB 05 BE 01 00 00 00 80 3C 24 00 74 15 56 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 56 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_789_0 {
	meta:
		name = "TTable.RenameTable"
		size = 179
		refs = "0031 TTable.RenameTable 0044 TDBDataSet.GetDBLocale 0052 AnsiToNative 005b TTable.GetTableTypeName 0064 TTable.NativeTableName 006d TDBDataSet.GetDBHandle 0073 DbiRenameTable 0078 Check 009d @HandleFinally 00aa TTable.SetTableName"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 C4 00 00 00 B1 01 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 04 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 8D F3 FE FF FF 8B 55 F8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_790_0 {
	meta:
		name = "TTable.EncodeFieldDesc"
		size = 170
		refs = "001d AnsiToNative 0027 FldTypeMap 0033 FldSubTypeMap 0046 TTable.EncodeFieldDesc"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B 5D 10 6A 1F 8D 4E 02 8B 80 98 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 0F B6 C3 0F B6 90 ?? ?? ?? ?? 66 89 56 22 0F B7 04 45 ?? ?? ?? ?? 66 89 46 24 0F B6 C3 83 F8 17 77 60 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 00 00 00 00 00 00 02 00 00 00 01 01 00 01 01 01 01 01 01 01 00 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B7 45 0C 66 89 46 26 EB 24 83 7D 08 00 7E 10 83 7D 08 20 7F 0A 0F B7 45 08 66 89 46 26 EB 06 66 C7 46 26 20 00 0F B7 45 0C 66 89 46 28 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_791_0 {
	meta:
		name = "TTable.DataEvent"
		size = 32
		refs = "001a TBDEDataSet.DataEvent"
	strings:
		$1 = { 53 80 FA 08 75 13 83 B8 54 02 00 00 00 74 0A 8B 98 54 02 00 00 C6 43 20 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_792_0 {
	meta:
		name = "TTable.GetCanModify"
		size = 31
		refs = "0006 TBDEDataSet.GetCanModify"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 80 BB 5E 02 00 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_793_0 {
	meta:
		name = "TTable.GetDriverTypeName"
		size = 96
		refs = "0016 TDBDataSet.GetDBHandle 001c DbiGetProp 0021 Check 0026 TTable.GetDriverTypeName 002d StrIComp 0038 TTable.GetTableTypeName 0047 StrCopy"
	strings:
		$1 = { 53 56 57 51 8B DA 8B F8 8B F3 54 6A 20 53 68 02 00 04 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 18 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 5A 5F 5E 5B C3 53 54 41 4E 44 41 52 44 00 00 00 00 }
	condition:
		$1
}

rule function_794_0 {
	meta:
		name = "TTable.GetTableTypeName"
		size = 38
		refs = "0016 TTable.GetTableType 0020 TableTypeDriverNames"
	strings:
		$1 = { 53 8B D8 8B 83 44 02 00 00 80 78 76 00 74 04 33 C0 5B C3 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8B 04 85 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_795_0 {
	meta:
		name = "TTable.GetTableLevel"
		size = 41
		refs = "0006 TBDEDataSet.GetHandle 001b GetIntProp"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 13 8B C3 E8 ?? ?? ?? ?? BA 03 00 05 00 E8 ?? ?? ?? ?? 5B C3 8B 83 78 02 00 00 5B C3 }
	condition:
		$1
}

rule function_796_0 {
	meta:
		name = "TTable.FieldDefsStored"
		size = 26
	strings:
		$1 = { 80 B8 50 02 00 00 00 74 0E 8B 40 40 8B 40 08 83 78 08 00 0F 9F C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_797_0 {
	meta:
		name = "TTable.IndexDefsStored"
		size = 29
	strings:
		$1 = { 80 B8 50 02 00 00 00 74 11 8B 80 54 02 00 00 8B 40 08 83 78 08 00 0F 9F C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_798_0 {
	meta:
		name = "TTable.IsXBaseTable"
		size = 136
		refs = "000c TTable.IsXBaseTable 002d ExtractFileExt 003a CompareText 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 83 5F 02 00 00 04 FE 2C 02 72 23 8D 55 FC 8B 83 64 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 44 00 42 00 46 00 00 00 00 00 }
	condition:
		$1
}

rule function_799_0 {
	meta:
		name = "TTable.GetFileName"
		size = 316
		refs = "0019 TTable.GetFileName 0052 TDatabase.GetDirectory 0071 IsPathDelimiter 0081 @UStrCat 0092 ExtractFileExt 00ac Exts 00ba ChangeFileExt 00fd @HandleFinally 0119 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 4D F0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 BA 09 00 00 00 8B 45 FC 8B 30 FF 96 D8 02 00 00 88 45 FB 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B 45 FC 8B 80 44 02 00 00 E8 ?? ?? ?? ?? 83 3B 00 74 2A 8B 03 89 45 F4 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 8B 03 8B D6 E8 ?? ?? ?? ?? 84 C0 75 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC 8B 80 64 02 00 00 E8 ?? ?? ?? ?? 83 7D F0 00 75 2E 8D 4D EC 8B 45 FC 0F B6 80 5F 02 00 00 8B 14 85 ?? ?? ?? ?? 8B 45 FC 8B 80 64 02 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? EB 10 8B C3 8B 55 FC 8B 92 64 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 4D FB BA 09 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_800_0 {
	meta:
		name = "TTable.GetTableType"
		size = 488
		refs = "0013 TTable.GetTableType 0076 ExtractFileExt 0083 CompareText 00a9 TTable.GetFileName 00b9 ChangeFileExt 00c3 FileExists 0136 @HandleFinally 0152 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 B1 01 BA 09 00 00 00 8B 45 F4 8B 18 FF 93 D8 02 00 00 88 45 F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 80 44 02 00 00 80 78 76 00 0F 85 B8 00 00 00 8B 45 F4 0F B6 80 5F 02 00 00 84 C0 0F 85 A3 00 00 00 8D 55 F8 8B 45 F4 8B 80 64 02 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 06 C6 45 F3 01 EB 7E BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 53 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC B2 01 E8 ?? ?? ?? ?? 84 C0 75 1E 8D 4D E8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 B2 01 E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 F3 03 EB 20 C6 45 F3 02 EB 1A BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 09 C6 45 F3 04 EB 03 88 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F2 00 75 12 33 C9 BA 09 00 00 00 8B 45 F4 8B 18 FF 93 D8 02 00 00 C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F3 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 44 00 42 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 44 00 42 00 46 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 46 00 50 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 43 00 44 00 58 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 54 00 58 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_801_0 {
	meta:
		name = "TTable.NativeTableName"
		size = 49
		refs = "0014 TDBDataSet.GetDBLocale 0025 AnsiToNative"
	strings:
		$1 = { 53 8B D8 80 BB 7D 02 00 00 00 75 1D 68 04 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 8B 7D 02 00 00 8B 93 64 02 00 00 E8 ?? ?? ?? ?? 8D 83 7D 02 00 00 5B C3 }
	condition:
		$1
}

rule function_802_0 {
	meta:
		name = "TTable.SetExclusive"
		size = 25
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 92 C4 00 00 00 88 9E 5D 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_803_0 {
	meta:
		name = "TTable.SetReadOnly"
		size = 25
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 92 C4 00 00 00 88 9E 5E 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_804_0 {
	meta:
		name = "TTable.SetTableName"
		size = 101
		refs = "0015 @UStrAsg 0025 @UStrEqual"
	strings:
		$1 = { 53 56 8B DA 8B F0 F6 46 1C 02 74 10 8D 86 64 02 00 00 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 8B 86 64 02 00 00 8B D3 E8 ?? ?? ?? ?? 74 37 8B C6 8B 10 FF 92 C4 00 00 00 8B 86 6C 02 00 00 8B 10 FF 52 44 8D 86 64 02 00 00 8B D3 E8 ?? ?? ?? ?? C6 86 7D 02 00 00 00 33 C9 B2 08 8B C6 8B 18 FF 93 E4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_805_0 {
	meta:
		name = "TTable.SetTableType"
		size = 25
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 92 C4 00 00 00 88 9E 5F 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_806_0 {
	meta:
		name = "TTable.PSGetCommandText"
		size = 22
		refs = "000f @UStrAsg"
		altNames = "TTable.PSGetTableName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 64 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_808_0 {
	meta:
		name = "GetIdx"
		size = 254
		refs = "0015 GetIdx 0057 TIndexDefs.GetIndexDef 009a TIndexDef.GetFields 00aa TDataSet.GetFieldList 00c1 @HandleAnyException 00c8 @DoneExcept 00e9 @UStrClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 88 45 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 08 8B 40 FC 8B 80 54 02 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C 9C 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 8B 45 08 8B 40 FC 8B 80 54 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 0F B6 55 FF 80 FA 07 77 0A 83 E2 7F 0F B6 40 24 0F A3 D0 73 5C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 54 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 20 33 C0 5A 59 59 64 89 10 E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? FF 45 F8 FF 4D F4 0F 85 6F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_809_0 {
	meta:
		name = "TTable.PSGetDefaultOrder"
		size = 312
		refs = "0015 TTable.PSGetDefaultOrder 002b TIndexDefs.Update 0044 TTable.GetIndexName 0066 TIndexDefs.Find 0075 TTable.GetIndexFieldNames 0097 TIndexDefs.FindIndexForFields 00a7 TIndexDef.GetFields 00b4 TDataSet.GetFieldList 00c3 @HandleAnyException 00ca @DoneExcept 00d6 GetIdx 00f5 _Dn_TIndexDef 00fa TCollectionItem.Create 0123 @UStrArrayClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 FC 8B 80 54 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 74 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 54 02 00 00 E8 ?? ?? ?? ?? 8B D8 EB 2F 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 83 7D F0 00 74 1E 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8B 80 54 02 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 17 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 4D E8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 85 DB 75 0B 55 33 C0 E8 ?? ?? ?? ?? 59 8B D8 85 DB 75 0B 55 B0 01 E8 ?? ?? ?? ?? 59 8B D8 85 DB 74 1B 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 51 08 EB 02 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_810_0 {
	meta:
		name = "TTable.PSGetIndexDefs"
		size = 21
		refs = "000f TDataSet.GetIndexDefs"
	strings:
		$1 = { 51 88 14 24 0F B6 0C 24 8B 90 54 02 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_812_0 {
	meta:
		name = "AssignFields"
		size = 218
		refs = "001a AssignFields 003b TParams.GetItem 0052 TParam.GetAsVariant 006d TDataSet.FieldByName 009a TBDEDataSet.GetIndexField 00bd Variant 00c7 @FinalizeArray 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B 7D 08 83 C7 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 78 46 33 DB 8B 07 8B D3 E8 ?? ?? ?? ?? 83 78 34 00 74 37 8B 07 8B D3 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 07 8B D3 E8 ?? ?? ?? ?? 8B 50 34 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 5A 8B 08 FF 91 00 01 00 00 EB 2B 8B 07 8B D3 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 5A 8B 08 FF 91 00 01 00 00 43 4E 75 8B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_813_0 {
	meta:
		name = "TTable.PSSetParams"
		size = 107
		refs = "001c TDataSet.Open 0024 TTable.SetRangeStart 002a AssignFields 0033 TTable.SetRangeEnd 0042 TTable.ApplyRange 004c TDataSet.GetActive 0058 TTable.CancelRange"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 89 45 F8 8B 45 FC 8B 40 08 83 78 08 00 7E 30 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? EB 14 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 9C 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_814_0 {
	meta:
		name = "TTable.PSSetCommandText"
		size = 22
		refs = "000f TTable.SetTableName"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31975_0 {
	meta:
		name = "TIBStoredProc.PSSetCommandText"
		size = 22
		refs = "000f TIBStoredProc.SetProcName"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32052_0 {
	meta:
		name = "TIBTable.PSSetCommandText"
		size = 22
		refs = "000f TIBTable.SetTableName"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_857_0 {
	meta:
		name = "TStoredProc.PSSetCommandText"
		size = 22
		refs = "000f TStoredProc.SetProcName"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_815_0 {
	meta:
		name = "TTable.PSGetKeyFields"
		size = 282
		refs = "0016 TTable.PSGetKeyFields 0025 TDataSet.PSGetKeyFields 0035 TTable.GetExists 004a TIndexDefs.Update 0078 TIndexDefs.GetIndexDef 0093 TIndexDef.GetFields 009d TFields.GetCount 00bc ExtractFieldName 00c6 TDataSet.FindField 00d6 @UStrLen 00f2 @UStrClr 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C6 E8 ?? ?? ?? ?? 83 3F 00 0F 85 C4 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 B5 00 00 00 33 DB 8B 86 54 02 00 00 E8 ?? ?? ?? ?? 8B 86 54 02 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C 88 00 00 00 40 89 45 F4 C7 45 FC 00 00 00 00 8B 55 FC 8B 86 54 02 00 00 E8 ?? ?? ?? ?? F6 40 24 02 74 61 8B 55 FC 8B 86 54 02 00 00 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B C6 8B 40 38 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 75 35 C7 45 F8 01 00 00 00 EB 20 8D 4D F0 8D 55 F8 8B 07 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 74 0C 8B 07 E8 ?? ?? ?? ?? 3B 45 F8 7D D4 84 DB 75 08 FF 45 FC FF 4D F4 75 83 84 DB 75 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_816_0 {
	meta:
		name = "THTTPDataLink.Create"
		size = 60
		refs = "000b @ClassCreate 001a TDataLink.Create 0028 @AfterConstruction"
		altNames = "TIBDataLink.Create TQueryDataLink.Create TSQLDataLink.Create TScopeDataLink.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76801_0 {
	meta:
		name = "TDockZone.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73583_0 {
	meta:
		name = "TFontAdapter.Create"
		size = 60
		refs = "000b @ClassCreate 001a TCustomAdapter.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82920_0 {
	meta:
		name = "TOutlineNode.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73588_0 {
	meta:
		name = "TPictureAdapter.Create"
		size = 60
		refs = "000b @ClassCreate 001a TCustomAdapter.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_817_0 {
	meta:
		name = "TQueryDataLink.ActiveChanged"
		size = 25
		refs = "0007 TDataSet.GetActive 0013 TQuery.RefreshParams"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 1C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30186_0 {
	meta:
		name = "TIBDataLink.ActiveChanged"
		size = 25
		refs = "0007 TDataSet.GetActive 0013 TIBCustomDataSet.RefreshParams"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 1C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30189_0 {
	meta:
		name = "TIBDataLink.CheckBrowseMode"
		size = 25
		refs = "0007 TDataSet.GetActive 0013 TDataSet.CheckBrowseMode"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 1C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5832_0 {
	meta:
		name = "TMasterDataLink.CheckBrowseMode"
		size = 25
		refs = "0007 TDataSet.GetActive 0013 TDataSet.CheckBrowseMode"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 1C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_820_0 {
	meta:
		name = "TQueryDataLink.CheckBrowseMode"
		size = 25
		refs = "0007 TDataSet.GetActive 0013 TDataSet.CheckBrowseMode"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 1C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14456_0 {
	meta:
		name = "TSQLDataLink.ActiveChanged"
		size = 25
		refs = "0007 TDataSet.GetActive 0013 TCustomSQLDataSet.RefreshParams"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 1C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14459_0 {
	meta:
		name = "TSQLDataLink.CheckBrowseMode"
		size = 25
		refs = "0007 TDataSet.GetActive 0013 TDataSet.CheckBrowseMode"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 1C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_818_0 {
	meta:
		name = "TAdapterDispatchParams.GetParams"
		size = 4
		altNames = "TButtonCollection.GetOwner TCoolBands.GetOwner TDBXAnsiStringValue.GetStreamReader TDBXDriverHelp.GetMetaDataReader TDBXFilterSocketChannel.GetFlag TDBXWideStringValue.GetStreamReader TDirect2DFont.GetHeight THelpManager.GetHandle TIBDataLink.GetDetailDataSet TIdIOHandlerSocketPeer.GetObject TMasterDataLink.GetDetailDataSet TQueryDataLink.GetDetailDataSet TRttiIntfMethod.GetTailHandle TSQLDataLink.GetDetailDataSet TSeriesMarks.GetBackColor TStreamLoader.GetTimeout TXMLNodeList.GetUpdateCount"
	strings:
		$1 = { 8B 40 1C C3 }
	condition:
		$1
}

rule function_819_0 {
	meta:
		name = "TQueryDataLink.RecordChanged"
		size = 33
		refs = "000e TDataSet.GetActive 001a TQuery.RefreshParams"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 14 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30188_0 {
	meta:
		name = "TIBDataLink.RecordChanged"
		size = 33
		refs = "000e TDataSet.GetActive 001a TIBCustomDataSet.RefreshParams"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 14 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14458_0 {
	meta:
		name = "TSQLDataLink.RecordChanged"
		size = 33
		refs = "000e TDataSet.GetActive 001a TCustomSQLDataSet.RefreshParams"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 14 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_821_0 {
	meta:
		name = "TStoredProc.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TDBDataSet.Create 0020 _Dn_TParams 0025 TParams.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 54 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_822_0 {
	meta:
		name = "TStoredProc.Destroy"
		size = 64
		refs = "0003 @BeforeDestruction 000e TComponent.Destroying 0023 TObject.Free 002e TBDEDataSet.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 D4 02 00 00 8B 86 54 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_823_0 {
	meta:
		name = "WriteData"
		size = 71
		refs = "0024 TParams.IsEqual"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 20 85 DB 74 1C 8B 93 54 02 00 00 8B 45 08 8B 40 F8 8B 80 54 02 00 00 E8 ?? ?? ?? ?? 34 01 5B 5D C3 8B 45 08 8B 40 F8 8B 80 54 02 00 00 8B 40 08 8B 40 08 85 C0 0F 9F C0 5B 5D C3 }
	condition:
		$1
}

rule function_824_0 {
	meta:
		name = "TStoredProc.DefineProperties"
		size = 104
		refs = "0014 TComponent.DefineProperties 001d TStoredProc.ReadParamData 0026 TStoredProc.WriteParamData 002c WriteData 0034 TStoredProc.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 61 00 72 00 61 00 6D 00 44 00 61 00 74 00 61 00 00 00 }
	condition:
		$1
}

rule function_31431_0 {
	meta:
		name = "TIBQuery.DefineProperties"
		size = 104
		refs = "0014 TComponent.DefineProperties 001d TIBQuery.ReadParamData 0026 TIBQuery.WriteParamData 002c WriteData 0034 TIBQuery.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 61 00 72 00 61 00 6D 00 44 00 61 00 74 00 61 00 00 00 }
	condition:
		$1
}

rule function_31968_0 {
	meta:
		name = "TIBStoredProc.DefineProperties"
		size = 104
		refs = "0014 TComponent.DefineProperties 001d TIBStoredProc.ReadParamData 0026 TIBStoredProc.WriteParamData 002c WriteData 0034 TIBStoredProc.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 61 00 72 00 61 00 6D 00 44 00 61 00 74 00 61 00 00 00 }
	condition:
		$1
}

rule function_825_0 {
	meta:
		name = "TStoredProc.WriteParamData"
		size = 13
		refs = "0008 TWriter.WriteCollection"
	strings:
		$1 = { 8B 80 54 02 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_826_0 {
	meta:
		name = "TStoredProc.ReadParamData"
		size = 29
		refs = "0009 TReader.ReadValue 0016 TReader.ReadCollection"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 93 54 02 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_827_0 {
	meta:
		name = "TStoredProc.Disconnect"
		size = 19
		refs = "0006 TDataSet.Close 000d TStoredProc.UnPrepare"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_46321_0 {
	meta:
		name = "FileMove"
		size = 19
		refs = "0006 FileCopy 000d FileDelete"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90718_0 {
	meta:
		name = "TAreaSeries.GalleryChanged3D"
		size = 19
		refs = "0006 TCustomChartSeries.GalleryChanged3D 000d TAreaSeries.SetGalleryFormat"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90736_0 {
	meta:
		name = "TAreaSeries.PrepareForGallery"
		size = 19
		refs = "0006 TChartSeries.PrepareForGallery 000d TAreaSeries.SetGalleryFormat"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93210_0 {
	meta:
		name = "TChartGalleryPanel.Resize"
		size = 19
		refs = "0006 TControl.Resize 000d TChartGalleryPanel.ResizeCharts"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74199_0 {
	meta:
		name = "TCheckListBox.CMFontChanged"
		size = 19
		refs = "0006 TWinControl.CMFontChanged 000d TCheckListBox.ResetItemHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74196_0 {
	meta:
		name = "TCheckListBox.CreateWnd"
		size = 19
		refs = "0006 TCustomListBox.CreateWnd 000d TCheckListBox.ResetItemHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70145_0 {
	meta:
		name = "TComplexData.DoArcCot"
		size = 19
		refs = "0006 TComplexData.DoInverse 000d TComplexData.DoArcTan"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70153_0 {
	meta:
		name = "TComplexData.DoSecH"
		size = 19
		refs = "0006 TComplexData.DoCosH 000d TComplexData.DoInverse"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75700_0 {
	meta:
		name = "TCoolBar.CMSysFontChanged"
		size = 19
		refs = "0006 TWinControl.CMSysFontChanged 000d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75653_0 {
	meta:
		name = "TCoolBar.Loaded"
		size = 19
		refs = "0006 TControl.Loaded 000d TCoolBar.UpdateBands"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73205_0 {
	meta:
		name = "TCustomActionMainMenuBar.CloseMenu"
		size = 19
		refs = "0006 TCustomActionMenuBar.ClearSubMenus 000d TCustomActionMenuBar.CloseMenu"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85065_0 {
	meta:
		name = "TCustomCheckBox.Click"
		size = 19
		refs = "0006 TControl.Changed 000d TControl.Click"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77891_0 {
	meta:
		name = "TCustomDBGrid.TopLeftChanged"
		size = 19
		refs = "0006 TCustomDBGrid.InvalidateTitles 000d TCustomGrid.TopLeftChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77880_0 {
	meta:
		name = "TCustomDBGrid.WMIMEStartComp"
		size = 19
		refs = "0006 TWinControl.WMIMEStartComp 000d TCustomGrid.ShowEditor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_26306_0 {
	meta:
		name = "TCustomDataSetAdapter.AddDefaultFields"
		size = 19
		refs = "0006 AddDefaultDataSetFields 000d TCustomDataSetAdapter.CreateDataLink"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80900_0 {
	meta:
		name = "TCustomGrid.CMCtl3DChanged"
		size = 19
		refs = "0006 TWinControl.CMCtl3DChanged 000d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80905_0 {
	meta:
		name = "TCustomGrid.ColWidthsChanged"
		size = 19
		refs = "0006 TCustomGrid.UpdateScrollRange 000d TCustomGrid.UpdateEdit"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80906_0 {
	meta:
		name = "TCustomGrid.RowHeightsChanged"
		size = 19
		refs = "0006 TCustomGrid.UpdateScrollRange 000d TCustomGrid.UpdateEdit"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80896_0 {
	meta:
		name = "TCustomGrid.WMCancelMode"
		size = 19
		refs = "0006 TControl.WMCancelMode 000d TCustomGrid.CancelMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79329_0 {
	meta:
		name = "TCustomLinkLabel.CMFontChanged"
		size = 19
		refs = "0006 TWinControl.CMFontChanged 000d TCustomLinkLabel.AdjustBounds"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79328_0 {
	meta:
		name = "TCustomLinkLabel.CreateWnd"
		size = 19
		refs = "0006 TWinControl.CreateWnd 000d TCustomLinkLabel.AdjustBounds"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85151_0 {
	meta:
		name = "TCustomListBox.WMSize"
		size = 19
		refs = "0006 TWinControl.WMSize 000d TCustomListBox.SetColumnWidth"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79039_0 {
	meta:
		name = "TCustomRadioGroup.CMFontChanged"
		size = 19
		refs = "0006 TWinControl.CMFontChanged 000d TCustomRadioGroup.ArrangeButtons"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79031_0 {
	meta:
		name = "TCustomRadioGroup.CreateWnd"
		size = 19
		refs = "0006 TWinControl.CreateWnd 000d TCustomRadioGroup.UpdateButtons"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79029_0 {
	meta:
		name = "TCustomRadioGroup.Loaded"
		size = 19
		refs = "0006 TControl.Loaded 000d TCustomRadioGroup.ArrangeButtons"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79040_0 {
	meta:
		name = "TCustomRadioGroup.WMSize"
		size = 19
		refs = "0006 TCustomGroupBox.WMSize 000d TCustomRadioGroup.ArrangeButtons"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83400_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.CreateControls"
		size = 19
		refs = "0006 TCustomActionToolBar.CreateControls 000d TCustomRibbonQuickAccessToolbar.DoUpdateQATWidth"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84321_0 {
	meta:
		name = "TCustomScreenTipsManager.Loaded"
		size = 19
		refs = "0006 TComponent.Loaded 000d TCustomScreenTipsManager.ValidateAllocatedActions"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84554_0 {
	meta:
		name = "TCustomShellComboBox.DestroyWnd"
		size = 19
		refs = "0006 TCustomShellComboBox.ClearItems 000d TCustomComboBoxEx.DestroyWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84576_0 {
	meta:
		name = "TCustomShellComboBox.Loaded"
		size = 19
		refs = "0006 TCustomCombo.Loaded 000d TCustomShellComboBox.CreateRoot"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84585_0 {
	meta:
		name = "TCustomShellListView.DestroyWnd"
		size = 19
		refs = "0006 TCustomShellListView.ClearItems 000d TCustomListView.DestroyWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84514_0 {
	meta:
		name = "TCustomShellTreeView.DestroyWnd"
		size = 19
		refs = "0006 TCustomShellTreeView.ClearItems 000d TCustomTreeView.DestroyWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84545_0 {
	meta:
		name = "TCustomShellTreeView.Loaded"
		size = 19
		refs = "0006 TCustomTreeView.Loaded 000d TCustomShellTreeView.CreateRoot"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85195_0 {
	meta:
		name = "TCustomStaticText.CMFontChanged"
		size = 19
		refs = "0006 TWinControl.CMFontChanged 000d TCustomStaticText.AdjustBounds"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85197_0 {
	meta:
		name = "TCustomStaticText.Loaded"
		size = 19
		refs = "0006 TControl.Loaded 000d TCustomStaticText.AdjustBounds"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74573_0 {
	meta:
		name = "TCustomStatusBar.CMColorChanged"
		size = 19
		refs = "0006 TWinControl.CMColorChanged 000d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74576_0 {
	meta:
		name = "TCustomStatusBar.CMSysColorChange"
		size = 19
		refs = "0006 TWinControl.CMSysColorChange 000d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74577_0 {
	meta:
		name = "TCustomStatusBar.CMSysFontChanged"
		size = 19
		refs = "0006 TWinControl.CMSysFontChanged 000d TCustomStatusBar.SyncToSystemFont"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76934_0 {
	meta:
		name = "TCustomTransparentControl.Invalidate"
		size = 19
		refs = "0006 TCustomTransparentControl.InvalidateControlsUnderneath 000d TWinControl.Invalidate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74877_0 {
	meta:
		name = "TCustomTreeView.DoEnter"
		size = 19
		refs = "0006 TCustomTreeView.InvalidateSelectionsRects 000d TWinControl.DoEnter"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74878_0 {
	meta:
		name = "TCustomTreeView.DoExit"
		size = 19
		refs = "0006 TWinControl.DoExit 000d TCustomTreeView.InvalidateSelectionsRects"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95452_0 {
	meta:
		name = "TCustomWebBrowserChangeManager.Loaded"
		size = 19
		refs = "0006 TComponent.Loaded 000d TCustomWebBrowserChangeManager.CreateChangeLog"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90559_0 {
	meta:
		name = "TDBChartEditor.CBSourcesChange"
		size = 19
		refs = "0006 TBaseSourceEditor.CBSourcesChange 000d TDBChartEditor.SetFields"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77277_0 {
	meta:
		name = "TDBComboBox.CreateWnd"
		size = 19
		refs = "0006 TCustomComboBox.CreateWnd 000d TDBComboBox.SetEditReadOnly"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77938_0 {
	meta:
		name = "TDBLookupCombo.CMFontChanged"
		size = 19
		refs = "0006 TCustomEdit.CMFontChanged 000d TDBLookupCombo.GetMinHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77525_0 {
	meta:
		name = "TDBLookupListBox.CreateWnd"
		size = 19
		refs = "0006 TWinControl.CreateWnd 000d TDBLookupListBox.UpdateScrollBar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7576_0 {
	meta:
		name = "TDBXStreamValue.SetNull"
		size = 19
		refs = "0006 TDBXWritableValue.SetNull 000d TDBXStreamValue.FreeLastReadStream"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17579_0 {
	meta:
		name = "TDSHTTPServerTransport.Loaded"
		size = 19
		refs = "0006 TComponent.Loaded 000d TDSHTTPServerTransport.RequiresServer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79414_0 {
	meta:
		name = "TDirectoryListBox.CMFontChanged"
		size = 19
		refs = "0006 TWinControl.CMFontChanged 000d TDirectoryListBox.ResetItemHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79409_0 {
	meta:
		name = "TDirectoryListBox.DblClick"
		size = 19
		refs = "0006 TControl.DblClick 000d TDirectoryListBox.OpenCurrent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_52953_0 {
	meta:
		name = "TEvaluator.TParser.Eat"
		size = 19
		refs = "0006 TEvaluator.TParser.Expect 000d TEvaluator.TParser.NextToken"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79442_0 {
	meta:
		name = "TFileListBox.CMFontChanged"
		size = 19
		refs = "0006 TWinControl.CMFontChanged 000d TFileListBox.ResetItemHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79450_0 {
	meta:
		name = "TFilterComboBox.CreateWnd"
		size = 19
		refs = "0006 TCustomComboBox.CreateWnd 000d TFilterComboBox.BuildList"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81528_0 {
	meta:
		name = "TGIFRenderer.HaltAnimation"
		size = 19
		refs = "0006 TCustomGIFRenderer.HaltAnimation 000d TGIFRenderer.StopAnimationTimer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30420_0 {
	meta:
		name = "TIBDatabase.DBParamsChanging"
		size = 19
		refs = "0006 TIBDatabase.EnsureInactive 000d TIBDatabase.CheckInactive"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31422_0 {
	meta:
		name = "TIBQuery.Disconnect"
		size = 19
		refs = "0006 TDataSet.Close 000d TIBQuery.UnPrepare"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31632_0 {
	meta:
		name = "TIBSecurityService.Loaded"
		size = 19
		refs = "0006 TIBCustomService.Loaded 000d TIBSecurityService.ClearParams"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31946_0 {
	meta:
		name = "TIBStoredProc.Disconnect"
		size = 19
		refs = "0006 TDataSet.Close 000d TIBStoredProc.UnPrepare"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30506_0 {
	meta:
		name = "TIBTransaction.TRParamsChanging"
		size = 19
		refs = "0006 TIBTransaction.EnsureNotInTransaction 000d TIBTransaction.CheckNotInTransaction"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_43962_0 {
	meta:
		name = "TIWContainer.Loaded"
		size = 19
		refs = "0006 TIWBaseContainer.Loaded 000d TIWContainer.FixUpTabList"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45860_0 {
	meta:
		name = "TIWCustomRegion.Loaded"
		size = 19
		refs = "0006 TIWContainer.Loaded 000d TIWCustomRegion.DoCreate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45293_0 {
	meta:
		name = "TIWHTTPServerModule.ForcePortRefresh"
		size = 19
		refs = "0006 TIWHTTPServerModule.SetHTTPPort 000d TIWHTTPServerModule.SetHTTPSPort"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_32532_0 {
	meta:
		name = "TIdCompressionIntercept.Disconnect"
		size = 19
		refs = "0006 TIdConnectionIntercept.Disconnect 000d TIdCompressionIntercept.DeinitCompressors"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_35591_0 {
	meta:
		name = "TIdConnectThread.DoTerminate"
		size = 19
		refs = "0006 TThread.Terminate 000d TThread.DoTerminate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_36036_0 {
	meta:
		name = "TIdMessage.Clear"
		size = 19
		refs = "0006 TIdMessage.ClearHeader 000d TIdMessage.ClearBody"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_35040_0 {
	meta:
		name = "TIdProxyConnectionInfo.AfterConstruction"
		size = 19
		refs = "0006 TObject.AfterConstruction 000d TIdProxyConnectionInfo.Clear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82416_0 {
	meta:
		name = "TMediaPlayer.Updated"
		size = 19
		refs = "0006 TComponent.Updated 000d TMediaPlayer.Adjust"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64224_0 {
	meta:
		name = "TObject.FreeInstance"
		size = 19
		refs = "0006 TObject.CleanupInstance 000d @FreeMem"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74488_0 {
	meta:
		name = "TPageControl.Loaded"
		size = 19
		refs = "0006 TCustomTabControl.Loaded 000d TPageControl.UpdateTabHighlights"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90705_0 {
	meta:
		name = "TPointSeries.Assign"
		size = 19
		refs = "0006 TCustomSeries.Assign 000d TPointSeries.SetFixed"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83140_0 {
	meta:
		name = "TPrinter.Refresh"
		size = 19
		refs = "0006 TPrinter.FreeFonts 000d TPrinter.FreePrinters"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_860_0 {
	meta:
		name = "TQuery.Disconnect"
		size = 19
		refs = "0006 TDataSet.Close 000d TQuery.UnPrepare"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84023_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.CreateWnd"
		size = 19
		refs = "0006 TWinControl.CreateWnd 000d TRibbonApplicationPopupMenu.CreateWindowRegion"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83961_0 {
	meta:
		name = "TRibbonSpinEdit.CreateWnd"
		size = 19
		refs = "0006 TCustomEdit.CreateWnd 000d TRibbonSpinEdit.SetEditRect"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84397_0 {
	meta:
		name = "TScreenTipsWindow.CMMouseLeave"
		size = 19
		refs = "0006 TControl.CMMouseLeave 000d TScreenTipsWindow.HideHint"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84396_0 {
	meta:
		name = "TScreenTipsWindow.CMMouseenter"
		size = 19
		refs = "0006 TControl.CMMouseEnter 000d TScreenTipsWindow.HideHint"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84276_0 {
	meta:
		name = "TSpinEdit.CreateWnd"
		size = 19
		refs = "0006 TCustomEdit.CreateWnd 000d TSpinEdit.SetEditRect"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94304_0 {
	meta:
		name = "TTeeSeriesSource.Loaded"
		size = 19
		refs = "0006 TComponent.Loaded 000d TTeeSeriesSource.Refresh"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75545_0 {
	meta:
		name = "TToolBar.CMColorChanged"
		size = 19
		refs = "0006 TWinControl.CMColorChanged 000d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75548_0 {
	meta:
		name = "TToolBar.CMSysFontChanged"
		size = 19
		refs = "0006 TWinControl.CMSysFontChanged 000d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90003_0 {
	meta:
		name = "TValueListStrings.Clear"
		size = 19
		refs = "0006 TStringList.Clear 000d TValueListStrings.FreeItemProps"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_115059_0 {
	meta:
		name = "TXMLTypedSchemaItem.SetRefItem"
		size = 19
		refs = "0006 TXMLSchemaItem.SetRefItem 000d TXMLTypedSchemaItem.RemoveTypeInfo"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_828_0 {
	meta:
		name = "TStoredProc.CreateCursor"
		size = 41
		refs = "0014 TStoredProc.SetPrepared 001d TStoredProc.GetCursor"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 BE 50 02 00 00 00 74 15 B2 01 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_830_0 {
	meta:
		name = "TStoredProc.GetCursor"
		size = 59
		refs = "0017 TStoredProc.BindParams 0024 DbiQExec 0029 Check 0030 TStoredProc.GetResults"
	strings:
		$1 = { 53 56 51 8B D8 33 C0 89 04 24 84 D2 74 04 8B F4 EB 02 33 F6 8B C3 E8 ?? ?? ?? ?? 56 8B 83 84 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_831_0 {
	meta:
		name = "TStoredProc.ExecProc"
		size = 104
		refs = "0029 TStoredProc.ExecProc 0039 TStoredProc.CreateCursor 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 10 FF 92 C4 00 00 00 B1 01 BA 07 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 07 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 5B 59 5D C3 }
	condition:
		$1
}

rule function_832_0 {
	meta:
		name = "TStoredProc.SetProcName"
		size = 87
		refs = "001f @UStrEqual 002e @UStrAsg 0035 TStoredProc.FreeStatement 0040 TCollection.Clear"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 02 75 3B 8B C3 8B 10 FF 92 C4 00 00 00 8B C6 8B 93 50 02 00 00 E8 ?? ?? ?? ?? 74 2F 8D 83 50 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8D 83 50 02 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_833_0 {
	meta:
		name = "TStoredProc.SetOverLoad"
		size = 69
		refs = "0029 TStoredProc.FreeStatement 0034 TCollection.Clear"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 02 75 2F 8B C3 8B 10 FF 92 C4 00 00 00 66 3B B3 64 02 00 00 74 23 66 89 B3 64 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 66 89 B3 64 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_834_0 {
	meta:
		name = "TStoredProc.GetParamsCount"
		size = 13
	strings:
		$1 = { 8B 80 54 02 00 00 8B 40 08 8B 40 08 C3 }
	condition:
		$1
}

rule function_835_0 {
	meta:
		name = "TStoredProc.CreateParamDesc"
		size = 414
		refs = "001d TStoredProc.CreateParamDesc 002c TDBDataSet.GetDBLocale 003a AnsiToNative 0053 TDBDataSet.GetDBHandle 0059 DbiOpenSPParamList 0087 NativeToAnsi 009e SResultName 00a3 LoadResString 00b6 @LStrFromUStr 00c8 DataTypeMap 0100 BlobTypeMap 010b TCollection.Add 0118 TParam.SetParamType 0121 TParam.SetDataType 012c @UStrFromLStr 013d DbiGetNextRecord 014d TStoredProc.SetServerParams 0163 DbiCloseCursor 0169 @HandleFinally 0183 @UStrClr 018b @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 7C FF FF FF 53 56 57 33 D2 89 95 7C FF FF FF 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 40 8B C7 E8 ?? ?? ?? ?? 8D 4D 83 8B 97 50 02 00 00 E8 ?? ?? ?? ?? 8D 45 F8 50 0F B7 87 64 02 00 00 50 6A 00 8D 45 83 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 0F 85 09 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 B7 00 00 00 8B C7 E8 ?? ?? ?? ?? 8D 4D FC 8D 55 C6 E8 ?? ?? ?? ?? 80 7D E6 04 75 29 83 7D FC 00 75 23 8D 95 7C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 66 83 7D EA 19 73 0D 0F B7 45 EA 0F B6 98 ?? ?? ?? ?? EB 02 33 DB 0F B7 45 EA 66 83 E8 03 74 11 66 83 E8 04 75 24 66 83 7D EC 15 75 1D B3 07 EB 19 66 83 7D EC 16 72 12 66 83 7D EC 24 77 0B 0F B7 45 EC 0F B6 98 ?? ?? ?? ?? 8B 87 54 02 00 00 E8 ?? ?? ?? ?? 8B F0 0F B6 55 E6 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 46 34 8B 55 FC E8 ?? ?? ?? ?? 6A 00 8D 45 C4 50 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 66 85 C0 0F 84 2F FF FF FF 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_836_0 {
	meta:
		name = "TStoredProc.SetServerParams"
		size = 246
		refs = "001a TStoredProc.SetServerParams 003e TServerDescList 0043 @DynArraySetLength 006a TParams.GetItem 0092 @LStrFromUStr 00a8 @LStrToString 00b8 @PStrNCpy 00bf TParam.GetDataType 00e3 @LStrClr 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 57 33 D2 89 95 F4 FE FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 54 02 00 00 8B 40 08 8B 40 08 50 8D 83 5C 02 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 83 54 02 00 00 8B 40 08 8B 40 08 48 85 C0 7C 74 40 89 45 FC 33 F6 8B D6 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B C6 C1 E0 05 03 C6 8B 93 5C 02 00 00 8D 04 42 89 45 F8 8D 85 F4 FE FF FF 8B 57 34 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 8D 85 F8 FE FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8B 45 F8 B1 40 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 88 42 41 46 FF 4D FC 75 92 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_837_0 {
	meta:
		name = "TStoredProc.CheckServerParams"
		size = 262
		refs = "0014 TStoredProc.CheckServerParams 002a TStoredProc.SetServerParams 0041 @DynArrayHigh 007d TParams.GetItem 009c @UStrFromString 00a7 @UStrEqual 00b0 TParam.GetDataType 00f1 @UStrClr 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 E8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 5C 02 00 00 00 75 0E 8B C3 E8 ?? ?? ?? ?? 33 DB E9 AB 00 00 00 33 C0 89 45 FC 8B 83 5C 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8C 91 00 00 00 40 89 45 F0 C7 45 F8 00 00 00 00 8B 45 FC 8B 93 54 02 00 00 8B 52 08 8B 52 08 4A 2B D0 7C 66 42 89 55 EC 89 45 F4 8B 55 F4 8B 83 54 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 45 F8 8B D0 C1 E0 05 03 C2 8B 93 5C 02 00 00 8D 3C 42 8D 45 E8 8B D7 E8 ?? ?? ?? ?? 8B 55 E8 8B 46 34 E8 ?? ?? ?? ?? 75 1D 8B C6 E8 ?? ?? ?? ?? 3A 47 41 74 04 33 DB EB 23 8B 45 F4 3B 45 FC 75 0D FF 45 FC EB 08 FF 45 F4 FF 4D EC 75 A1 FF 45 F8 FF 4D F0 0F 85 7A FF FF FF B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_838_0 {
	meta:
		name = "TStoredProc.DescriptionsAvailable"
		size = 174
		refs = "0020 TStoredProc.DescriptionsAvailable 0030 TDBDataSet.GetDBLocale 0041 AnsiToNative 005e TDBDataSet.GetDBHandle 0064 DbiOpenSPParamList 007a DbiCloseCursor 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 89 45 FC B1 01 BA 08 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 40 8B 45 FC E8 ?? ?? ?? ?? 8D 4D B3 8B 55 FC 8B 92 50 02 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 FC 0F B7 80 64 02 00 00 50 6A 00 8D 45 B3 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 85 C0 0F 94 45 FB 80 7D FB 00 74 09 8D 45 F4 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 08 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 0F B6 45 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_839_0 {
	meta:
		name = "TStoredProc.PrepareProc"
		size = 835
		refs = "002f TStoredProc.PrepareProc 0053 TSPParamDescList 0058 @DynArraySetLength 008b TParams.GetItem 0094 TParam.GetDataType 00b7 GetParamDataSize 00dd TArray<System.Byte> 013c SNoParameterValue 0141 LoadResString 015a DatabaseErrorFmt 0161 TParam.GetParamType 016e SNoParameterType 01a8 AnsiToNative 01d0 FldTypeMap 01e6 FldSubTypeMap 0212 TParam.GetAsVariant 021a @VarToInteger 02e8 @DynArrayHigh 02f5 TDBDataSet.GetDBHandle 02fb DbiQPrepareProc 0300 Check 0316 Variant 0320 @FinalizeArray 0328 @UStrClr 0336 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 56 57 33 D2 89 55 80 89 55 84 89 55 88 89 55 8C 89 55 90 89 55 94 89 55 98 89 55 9C 89 55 A0 89 55 AC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 54 02 00 00 8B 40 08 8B 40 08 50 8D 86 58 02 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 66 C7 45 FA 00 00 8B 86 54 02 00 00 8B 40 08 8B 40 08 48 85 C0 7C 55 40 89 45 F4 C7 45 FC 00 00 00 00 8B 55 FC 8B 86 54 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 2C 01 74 04 2C 16 75 08 66 81 45 FA 01 01 EB 1B 8B 55 FC 8B 86 54 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 C0 02 66 01 45 FA FF 45 FC FF 4D F4 75 B6 0F B7 45 FA 50 8D 86 60 02 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 66 C7 45 F8 00 00 8B 86 54 02 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C B7 01 00 00 40 89 45 F4 C7 45 FC 00 00 00 00 8B 55 FC 8B 86 54 02 00 00 E8 ?? ?? ?? ?? 8B F8 6B 45 FC 0D 8B 96 58 02 00 00 8D 1C 82 8B C7 E8 ?? ?? ?? ?? 84 C0 75 27 56 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC 50 8B 47 34 89 45 A4 C6 45 A8 11 8D 55 A4 33 C9 58 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 75 27 56 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 50 8B 47 34 89 45 A4 C6 45 A8 11 8D 55 A4 33 C9 58 E8 ?? ?? ?? ?? 80 BE 68 02 00 00 00 75 15 6A 1F 8D 4B 02 8B 57 34 8B 86 98 01 00 00 E8 ?? ?? ?? ?? EB 08 0F B7 45 FC 40 66 89 03 8B C7 E8 ?? ?? ?? ?? 83 E0 7F 89 43 22 8B C7 E8 ?? ?? ?? ?? 83 E0 7F 0F B6 80 ?? ?? ?? ?? 66 89 43 26 8B C7 E8 ?? ?? ?? ?? 83 E0 7F 0F B7 04 45 ?? ?? ?? ?? 66 89 43 28 0F B7 43 26 66 83 F8 01 75 0E 66 C7 43 30 FF 00 66 C7 43 2A FF 00 EB 5E 66 83 F8 14 75 41 8D 55 90 8B C7 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 66 89 43 2A 8D 55 80 8B C7 E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 66 89 43 2C 6A 1F 8D 4B 02 8B 57 34 8B 86 98 01 00 00 E8 ?? ?? ?? ?? EB 17 8B 55 FC 8B 86 54 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 43 30 0F B7 45 F8 66 89 43 2E 0F B7 43 30 66 01 45 F8 0F B7 45 FC 40 03 C0 0F B7 55 FA 66 2B D0 66 89 53 32 8B C7 E8 ?? ?? ?? ?? 2C 01 74 04 2C 02 75 1A 0F B7 45 FA 8B 55 FC 42 03 D2 2B C2 8B 96 60 02 00 00 8D 04 02 66 C7 00 FF FF FF 45 FC FF 4D F4 0F 85 54 FE FF FF 6A 40 8D 4D B3 8B 96 50 02 00 00 8B 86 98 01 00 00 E8 ?? ?? ?? ?? 8D 86 84 01 00 00 50 6A 00 8B 86 58 02 00 00 50 8B 86 58 02 00 00 E8 ?? ?? ?? ?? 40 50 8D 45 B3 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 80 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_840_0 {
	meta:
		name = "TStoredProc.GetResults"
		size = 386
		refs = "0020 TStoredProc.GetResults 0047 @DynArrayHigh 0074 TParams.GetItem 007d TParam.GetParamType 008e TParam.GetDataType 009e @PCharLen 00b0 NativeToAnsiBuf 00d5 Null 00df TParam.SetAsVariant 00f1 STruncationError 00f6 LoadResString 010f DatabaseErrorFmt 011b TParam.SetData 0145 GetParamDataSize 0167 @UStrClr 016f @VarClr 0175 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 E0 89 55 E4 89 55 E8 89 55 EC 89 55 F0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE 60 02 00 00 00 0F 84 1F 01 00 00 8B 86 60 02 00 00 89 45 FC 8B 86 60 02 00 00 E8 ?? ?? ?? ?? 40 66 89 45 FA 8B 86 54 02 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C F1 00 00 00 40 89 45 F4 33 FF 8B D7 8B 86 54 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 04 FE 2C 03 0F 83 94 00 00 00 8B C3 E8 ?? ?? ?? ?? 2C 01 74 04 2C 16 75 1A 8B 45 FC E8 ?? ?? ?? ?? 50 8B 4D FC 8B 55 FC 8B 86 98 01 00 00 E8 ?? ?? ?? ?? 0F B7 45 FA 8D 57 01 03 D2 2B C2 8B 96 60 02 00 00 8D 04 02 0F B7 10 66 83 FA FF 75 14 8D 45 E4 E8 ?? ?? ?? ?? 8D 55 E4 8B C3 E8 ?? ?? ?? ?? EB 3A 66 83 FA FE 75 2A 6A 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 43 34 89 45 D8 C6 45 DC 11 8D 55 D8 33 C9 58 E8 ?? ?? ?? ?? EB 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 2C 01 74 04 2C 16 75 09 81 45 FC FF 00 00 00 EB 15 8B D7 8B 86 54 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 01 45 FC 47 FF 4D F4 0F 85 15 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_841_0 {
	meta:
		name = "TStoredProc.BindParams"
		size = 466
		refs = "001b TStoredProc.CheckServerParams 0028 TStoredProc.SetPrepared 003c @DynArrayHigh 0055 GetStatementLocale 0060 TStoredProc.BindParams 008e TParams.GetItem 0097 TParam.GetParamType 00b7 GetParamData 00d5 TParam.GetIsNull 00f2 TParam.GetDataType 012d GetParamDataSize 0145 TParam.GetDataSize 01a5 DbiQSetProcParams 01aa Check 01bf FreeStatementLocale 01c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B D8 83 BB 60 02 00 00 00 0F 84 B3 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 12 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B 83 60 02 00 00 E8 ?? ?? ?? ?? 40 66 89 45 FA 8B 83 60 02 00 00 89 45 FC 8B 83 84 01 00 00 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 54 02 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C 03 01 00 00 40 89 45 EC 33 FF 8B 83 54 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 2C 01 74 04 2C 02 75 4C 8B 83 54 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B 4D F0 8B 55 FC E8 ?? ?? ?? ?? 0F B7 45 FA 8D 57 01 03 D2 2B C2 8B 93 60 02 00 00 8D 04 02 89 45 F4 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 F4 66 C7 00 FF FF EB 08 8B 45 F4 66 C7 00 00 00 8B C6 E8 ?? ?? ?? ?? 2C 01 74 04 2C 16 75 65 81 45 FC FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 3C 01 75 68 6B C7 0D 8B 93 58 02 00 00 8D 04 82 89 45 E8 8B 83 54 02 00 00 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 66 89 42 30 8B 45 E8 66 83 78 26 01 75 11 8B C6 E8 ?? ?? ?? ?? 48 8B 55 E8 66 89 42 2A EB 25 8B C6 E8 ?? ?? ?? ?? 8B 55 E8 66 89 42 2A EB 15 8B 83 54 02 00 00 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 01 45 FC 47 FF 4D EC 0F 85 03 FF FF FF 8B 83 60 02 00 00 50 8B 83 58 02 00 00 50 8B 83 58 02 00 00 E8 ?? ?? ?? ?? 40 50 8B 83 84 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_842_0 {
	meta:
		name = "TStoredProc.SetPrepared"
		size = 243
		refs = "0017 TStoredProc.SetPrepared 0025 TBDEDataSet.GetHandle 0031 SDataSetOpen 0036 LoadResString 0041 DatabaseError 0078 TStoredProc.CreateParamDesc 0082 TStoredProc.SetServerParams 0096 TStoredProc.PrepareProc 00af @HandleAnyException 00b7 TStoredProc.FreeStatement 00bc @RaiseAgain 00c1 @DoneExcept 00e0 @UStrClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 18 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 3A 98 66 02 00 00 74 7F 84 DB 74 73 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 54 02 00 00 8B 40 08 83 78 08 00 75 0A 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 67 02 00 00 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 66 02 00 00 01 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_843_0 {
	meta:
		name = "TStoredProc.Prepare"
		size = 33
		refs = "001a TStoredProc.SetPrepared"
	strings:
		$1 = { 53 56 8B D8 B1 01 BA 06 00 00 00 8B C3 8B 30 FF 96 D8 02 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_844_0 {
	meta:
		name = "TStoredProc.UnPrepare"
		size = 31
		refs = "0008 TStoredProc.SetPrepared"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 06 00 00 00 8B C3 8B 18 FF 93 D8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_845_0 {
	meta:
		name = "TStoredProc.FreeStatement"
		size = 84
		refs = "0014 DbiQFree 0020 TSPParamDescList 0025 @DynArrayClear 0031 TServerDescList 0042 TArray<System.Byte>"
	strings:
		$1 = { 53 8B D8 83 BB 84 01 00 00 00 74 0C 8D 83 84 01 00 00 50 E8 ?? ?? ?? ?? 8D 83 58 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 5C 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 60 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 66 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_846_0 {
	meta:
		name = "TStoredProc.SetPrepare"
		size = 16
		refs = "0005 TStoredProc.Prepare 000b TStoredProc.UnPrepare"
	strings:
		$1 = { 84 D2 74 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31423_0 {
	meta:
		name = "TIBQuery.SetPrepare"
		size = 16
		refs = "0005 TIBQuery.Prepare 000b TIBQuery.UnPrepare"
	strings:
		$1 = { 84 D2 74 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31957_0 {
	meta:
		name = "TIBStoredProc.SetPrepare"
		size = 16
		refs = "0005 TIBStoredProc.Prepare 000b TIBStoredProc.UnPrepare"
	strings:
		$1 = { 84 D2 74 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_861_0 {
	meta:
		name = "TQuery.SetPrepare"
		size = 16
		refs = "0005 TQuery.Prepare 000b TQuery.UnPrepare"
	strings:
		$1 = { 84 D2 74 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_847_0 {
	meta:
		name = "TStoredProc.SetDBFlag"
		size = 124
		refs = "001e @SetExpand 0032 TStoredProc.SetDBFlag 0039 @SetEq 0044 TStoredProc.SetPrepared 004f TDBDataSet.SetDBFlag"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B D9 8B F2 8B F8 84 DB 75 38 8D 87 41 02 00 00 8B D4 B9 00 02 00 00 E8 ?? ?? ?? ?? 8B C6 3D FF 00 00 00 77 04 0F B3 04 24 8B C4 BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_848_0 {
	meta:
		name = "TStoredProc.CopyParams"
		size = 156
		refs = "0035 TStoredProc.CopyParams 004d TStoredProc.Prepare 0072 TStoredProc.UnPrepare 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F2 89 45 FC 8B 45 FC 80 B8 66 02 00 00 00 75 15 8B 45 FC 8B 80 54 02 00 00 8B 40 08 83 78 08 00 0F 94 C0 EB 02 33 C0 84 C0 74 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 67 02 00 00 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 54 02 00 00 8B C6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 67 02 00 00 00 C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC 8B 90 54 02 00 00 8B C6 8B 08 FF 51 08 5E 59 5D C3 }
	condition:
		$1
}

rule function_849_0 {
	meta:
		name = "TStoredProc.SetParamsList"
		size = 75
		refs = "001e TStoredProc.SetPrepared"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 C4 00 00 00 80 BB 66 02 00 00 00 74 22 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 54 02 00 00 8B 08 FF 51 08 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B 83 54 02 00 00 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_850_0 {
	meta:
		name = "TStoredProc.ParamByName"
		size = 12
		refs = "0007 TParams.ParamByName"
	strings:
		$1 = { 8B 80 54 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_851_0 {
	meta:
		name = "TStoredProc.PSGetParams"
		size = 7
	strings:
		$1 = { 8B 80 54 02 00 00 C3 }
	condition:
		$1
}

rule function_852_0 {
	meta:
		name = "TStoredProc.PSSetParams"
		size = 32
		refs = "001a TDataSet.Close"
	strings:
		$1 = { 56 8B F0 8B 42 08 83 78 08 00 7E 0B 8B 86 54 02 00 00 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_853_0 {
	meta:
		name = "TStoredProc.PSGetCommandText"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 50 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_855_0 {
	meta:
		name = "TStoredProc.PSGetTableName"
		size = 18
		refs = "000b TDataSet.PSGetTableName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51531_0 {
	meta:
		name = "AnsiLowerCaseFileName"
		size = 18
		refs = "000b AnsiLowerCase"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46290_0 {
	meta:
		name = "AnsiToUtf8"
		size = 18
		refs = "000b AnsiToUtf8"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64660_0 {
	meta:
		name = "AnsiToUtf8"
		size = 18
		refs = "000b UTF8Encode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51532_0 {
	meta:
		name = "AnsiUpperCaseFileName"
		size = 18
		refs = "000b AnsiUpperCase"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80214_0 {
	meta:
		name = "ColorToString"
		size = 18
		refs = "000b ColorToString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61908_0 {
	meta:
		name = "ConvertFromUtf32"
		size = 18
		refs = "000b TCharacter.ConvertFromUtf32"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76150_0 {
	meta:
		name = "CursorToString"
		size = 18
		refs = "000b CursorToString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69370_0 {
	meta:
		name = "ExcludeTrailingBackslash"
		size = 18
		refs = "000b ExcludeTrailingPathDelimiter"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36473_0 {
	meta:
		name = "FileNameMSDOSToUnix"
		size = 18
		refs = "000b LowerCase"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36480_0 {
	meta:
		name = "FileNameMUSICSPToUnix"
		size = 18
		refs = "000b LowerCase"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36482_0 {
	meta:
		name = "FileNameMVSToUnix"
		size = 18
		refs = "000b LowerCase"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36478_0 {
	meta:
		name = "FileNameVMCMSToUnix"
		size = 18
		refs = "000b LowerCase"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36476_0 {
	meta:
		name = "FileNameWin32ToUnix"
		size = 18
		refs = "000b LowerCase"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89094_0 {
	meta:
		name = "GetSysErrorMessage"
		size = 18
		refs = "000b SysErrorMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61915_0 {
	meta:
		name = "GetUnicodeCategory"
		size = 18
		refs = "000b TCharacter.GetUnicodeCategory"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69368_0 {
	meta:
		name = "IncludeTrailingBackslash"
		size = 18
		refs = "000b IncludeTrailingPathDelimiter"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34491_0 {
	meta:
		name = "IndyExcludeTrailingPathDelimiter"
		size = 18
		refs = "000b ExcludeTrailingPathDelimiter"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34490_0 {
	meta:
		name = "IndyIncludeTrailingPathDelimiter"
		size = 18
		refs = "000b IncludeTrailingPathDelimiter"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34568_0 {
	meta:
		name = "IndyLowerCase"
		size = 18
		refs = "000b AnsiLowerCase"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34569_0 {
	meta:
		name = "IndyUpperCase"
		size = 18
		refs = "000b AnsiUpperCase"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64341_0 {
	meta:
		name = "LoadResStringU"
		size = 18
		refs = "000b LoadResString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68966_0 {
	meta:
		name = "LoadStr"
		size = 18
		refs = "000b FindStringResource"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70790_0 {
	meta:
		name = "LoadWideStr"
		size = 18
		refs = "000b FindWideStringResource"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6249_0 {
	meta:
		name = "MetaDataFromUnicode"
		size = 18
		refs = "000b UTF8Encode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72768_0 {
	meta:
		name = "TActionBars.GetActionBar"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72779_0 {
	meta:
		name = "TActionClients.GetActionClient"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72719_0 {
	meta:
		name = "TActionClientsCollection.GetActionClient"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72716_0 {
	meta:
		name = "TActionListCollection.GetListItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98279_0 {
	meta:
		name = "TAdapterDataDisplay.GetAdapterModeOfAdapter"
		size = 18
		refs = "000b GetAdapterModeOfAdapterInParent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96839_0 {
	meta:
		name = "TAdapterNamedField.GetDefaultDisplayLabel"
		size = 18
		refs = "000b TAdapterNamedField.GetVariableName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15519_0 {
	meta:
		name = "TAggregates.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94411_0 {
	meta:
		name = "TAxisItems.Get"
		size = 18
		refs = "000b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96889_0 {
	meta:
		name = "TBaseAdapterAction.GetDefaultDisplayLabel"
		size = 18
		refs = "000b TBaseAdapterAction.GetActionName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96881_0 {
	meta:
		name = "TBaseAdapterAction.GetVariableName"
		size = 18
		refs = "000b TBaseAdapterAction.ImplGetVariableName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96882_0 {
	meta:
		name = "TBaseAdapterAction.ImplGetVariableName"
		size = 18
		refs = "000b TBaseAdapterAction.GetActionName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2673_0 {
	meta:
		name = "TBaseDBGridLinkColumns.GetColumn"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1638_0 {
	meta:
		name = "TBindArtifacts.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78916_0 {
	meta:
		name = "TCellCollection.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94136_0 {
	meta:
		name = "TChartCustomAxes.Get"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5858_0 {
	meta:
		name = "TCheckConstraints.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63113_0 {
	meta:
		name = "TClassList.GetItems"
		size = 18
		refs = "000b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1845_0 {
	meta:
		name = "TColumnFormatExpressions.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1851_0 {
	meta:
		name = "TColumnLinkExpressions.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75807_0 {
	meta:
		name = "TComboExItems.GetComboItem"
		size = 18
		refs = "000b TListControlItems.GetListItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78937_0 {
	meta:
		name = "TControlCollection.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95861_0 {
	meta:
		name = "TCookieCollection.GetCookie"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75628_0 {
	meta:
		name = "TCoolBands.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98280_0 {
	meta:
		name = "TCustomAdapterActionButton.GetAdapterModeOfAdapter"
		size = 18
		refs = "000b GetAdapterModeOfAdapterInParent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1905_0 {
	meta:
		name = "TCustomBindListLink.GetSourceMemberName"
		size = 18
		refs = "000b TCommonBindComponent.GetSourceMemberName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76983_0 {
	meta:
		name = "TCustomGestureCollection.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84793_0 {
	meta:
		name = "TCustomLabel.GetLabelText"
		size = 18
		refs = "000b TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82116_0 {
	meta:
		name = "TCustomMaskEdit.GetEditText"
		size = 18
		refs = "000b TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115458_0 {
	meta:
		name = "TCustomXSLPageProducer.GetProducerTemplateFileName"
		size = 18
		refs = "000b TXMLDocument.GetFileName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77735_0 {
	meta:
		name = "TDBGridColumns.GetColumn"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77922_0 {
	meta:
		name = "TDBLookupCombo.GetDisplayValue"
		size = 18
		refs = "000b TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8663_0 {
	meta:
		name = "TDBXDelegateConnection.GetErrorEvent"
		size = 18
		refs = "000b TDBXConnection.GetErrorEvent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13501_0 {
	meta:
		name = "TDBXTraceCommand.GetCommandType"
		size = 18
		refs = "000b TDBXDelegateCommand.GetCommandType"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13502_0 {
	meta:
		name = "TDBXTraceCommand.GetErrorEvent"
		size = 18
		refs = "000b TDBXDelegateCommand.GetErrorEvent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13499_0 {
	meta:
		name = "TDBXTraceCommand.GetText"
		size = 18
		refs = "000b TDBXDelegateCommand.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13472_0 {
	meta:
		name = "TDBXTraceConnection.GetErrorEvent"
		size = 18
		refs = "000b TDBXDelegateConnection.GetErrorEvent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13478_0 {
	meta:
		name = "TDBXTraceConnection.GetTraceInfoEvent"
		size = 18
		refs = "000b TDBXDelegateConnection.GetTraceInfoEvent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15556_0 {
	meta:
		name = "TDSRoleItems.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78022_0 {
	meta:
		name = "TDataBindings.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86766_0 {
	meta:
		name = "TDependencies.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2962_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11017_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11012_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TValueEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TValueEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40159_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40154_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TValueEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TValueEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51044_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55457_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51058_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TValueEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TValueEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52538_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52557_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52552_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TValueEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TValueEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55198_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57799_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55060_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57483_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60063_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60082_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60077_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TValueEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TValueEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86267_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88360_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88355_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TValueEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TValueEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57250_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.IInterface,System.Pointer>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61668_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.IInterface,System.Pointer>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24646_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2248_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Integer,System.Classes.IObserver>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2243_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.TValueEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Integer,System.Classes.IObserver>.TValueEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9781_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Integer,System.Integer>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67477_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Pointer,System.Rtti.TRttiObject>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54503_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87481_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42559_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.TGUID,System.TClass>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42578_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.TGUID,System.TClass>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54992_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55333_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57617_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57411_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53504_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.TObject,System.string>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53499_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.TValueEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.TObject,System.string>.TValueEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67739_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.TypInfo.PTypeInfo,System.string>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67734_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.TValueEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.TypInfo.PTypeInfo,System.string>.TValueEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63500_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71602_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71597_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TValueEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TValueEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29291_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29310_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7843_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,Data.DBXCommon.TEventPointer>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7862_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,Data.DBXCommon.TEventPointer>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7857_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.TValueEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,Data.DBXCommon.TEventPointer>.TValueEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17905_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9853_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23495_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23514_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21234_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22099_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21802_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TValueEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TValueEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17253_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17272_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17833_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17852_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24453_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24472_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18659_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,Datasnap.DSService.TDSSession>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24843_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,Datasnap.DSService.TDSSession>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31216_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,IBIntf.IGDSLibrary>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31235_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,IBIntf.IGDSLibrary>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31230_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.TValueEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,IBIntf.IGDSLibrary>.TValueEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53552_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53571_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58925_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58944_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58939_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TValueEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TValueEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59987_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60006_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64741_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Boolean>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64760_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Boolean>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15683_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Classes.TStream>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15702_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Classes.TStream>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23567_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Classes.TStrings>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23586_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Classes.TStrings>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42630_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42649_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60178_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60197_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60192_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TValueEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TValueEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60572_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.IInterface>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51680_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.IInterface>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59006_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.TValueEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.IInterface>.TValueEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57531_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Int64>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57550_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Int64>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55251_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Integer>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57340_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Integer>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22723_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Masks.TMask>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22742_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Masks.TMask>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10008_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.TObject>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24776_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.TObject>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67787_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.TypInfo.PTypeInfo>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67802_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.TypInfo.PTypeInfo>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49958_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Variant>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49977_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Variant>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49972_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.TValueEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.Variant>.TValueEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19026_0 {
	meta:
		name = "TDictionary<System.string,System.string>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.string>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42712_0 {
	meta:
		name = "TDictionary<System.string,System.string>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.string>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24704_0 {
	meta:
		name = "TDictionary<System.string,System.string>.TValueEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,System.string>.TValueEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87534_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TKeyEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87553_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87548_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TValueEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TValueEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88832_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TPairEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TPairEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1563_0 {
	meta:
		name = "TExpressions.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1570_0 {
	meta:
		name = "TExpressionsDir.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78294_0 {
	meta:
		name = "TFavoriteLinkItems.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5223_0 {
	meta:
		name = "TField.GetDisplayLabel"
		size = 18
		refs = "000b TField.GetDisplayName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5127_0 {
	meta:
		name = "TFieldDefs.GetFieldDef"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78286_0 {
	meta:
		name = "TFileTypeItems.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91704_0 {
	meta:
		name = "TFilterItems.Get"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48106_0 {
	meta:
		name = "TFunction.GetBody"
		size = 18
		refs = "000b TNameContentScriptObject.GetContent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48107_0 {
	meta:
		name = "TFunction.GetFunctionName"
		size = 18
		refs = "000b TNameContentScriptObject.GetName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48103_0 {
	meta:
		name = "TFunctions.FindFunctionName"
		size = 18
		refs = "000b TScriptObjectContainer.FindNameObject"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81330_0 {
	meta:
		name = "TGIFExtensionList.GetExtension"
		size = 18
		refs = "000b TGIFList.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81482_0 {
	meta:
		name = "TGIFImageList.GetFrame"
		size = 18
		refs = "000b TGIFList.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88662_0 {
	meta:
		name = "TGestureStreamList.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73823_0 {
	meta:
		name = "TGrpButtonItems.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68870_0 {
	meta:
		name = "TGuidHelper.Create"
		size = 18
		refs = "000b StringToGUID"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68877_0 {
	meta:
		name = "TGuidHelper.ToString"
		size = 18
		refs = "000b GUIDToString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48113_0 {
	meta:
		name = "THTMLBlock.GetBlockName"
		size = 18
		refs = "000b TNameContentScriptObject.GetName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48112_0 {
	meta:
		name = "THTMLBlock.GetHTML"
		size = 18
		refs = "000b TNameContentScriptObject.GetContent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48109_0 {
	meta:
		name = "THTMLBlocks.FindBlockName"
		size = 18
		refs = "000b TScriptObjectContainer.FindNameObject"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95691_0 {
	meta:
		name = "THTMLTableColumns.GetColumn"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74610_0 {
	meta:
		name = "THeaderSections.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31451_0 {
	meta:
		name = "TIBQuery.PSGetTableName"
		size = 18
		refs = "000b TIBCustomDataSet.PSGetTableName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45929_0 {
	meta:
		name = "TIWCustomRegion.get_ComponentName"
		size = 18
		refs = "000b TIWCustomRegion.get_HTMLName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45535_0 {
	meta:
		name = "TIWMarkupLanguageTagCollection.GetHTMLElement"
		size = 18
		refs = "000b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46048_0 {
	meta:
		name = "TIWScriptEvents.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46667_0 {
	meta:
		name = "TIWVCLBaseControl.getText"
		size = 18
		refs = "000b TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32208_0 {
	meta:
		name = "TIdAuthenticationCollection.GetAuthItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32500_0 {
	meta:
		name = "TIdCommandHandlers.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32590_0 {
	meta:
		name = "TIdCookieList.GetCookie"
		size = 18
		refs = "000b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32914_0 {
	meta:
		name = "TIdDBList.GetItems"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33232_0 {
	meta:
		name = "TIdDNSMap.GetItem"
		size = 18
		refs = "000b TIdObjectList.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32906_0 {
	meta:
		name = "TIdDefinitions.GetItems"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33285_0 {
	meta:
		name = "TIdEMailAddressList.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35052_0 {
	meta:
		name = "TIdEntityRanges.GetRange"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33389_0 {
	meta:
		name = "TIdFSPListItems.GetItems"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33650_0 {
	meta:
		name = "TIdFTPListItems.GetItems"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33680_0 {
	meta:
		name = "TIdFTPListOutput.GetItems"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36271_0 {
	meta:
		name = "TIdFormDataFields.GetFormDataField"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34745_0 {
	meta:
		name = "TIdGopherMenu.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35188_0 {
	meta:
		name = "TIdImapMessageParts.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32924_0 {
	meta:
		name = "TIdMatchList.GetItems"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36088_0 {
	meta:
		name = "TIdMessageBuilderAttachments.GetAttachment"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36250_0 {
	meta:
		name = "TIdMessageParts.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32563_0 {
	meta:
		name = "TIdObjectList.GetItem"
		size = 18
		refs = "000b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_41240_0 {
	meta:
		name = "TIdReplies.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36897_0 {
	meta:
		name = "TIdSASLEntries.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36899_0 {
	meta:
		name = "TIdSASLEntries.Insert"
		size = 18
		refs = "000b TCollection.Insert"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37119_0 {
	meta:
		name = "TIdSMTPRelayStatusList.GetItems"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37363_0 {
	meta:
		name = "TIdSSLRegistry.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37293_0 {
	meta:
		name = "TIdSocketHandles.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32919_0 {
	meta:
		name = "TIdStrategyList.GetItems"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33002_0 {
	meta:
		name = "TIdTextModeRRs.GetItem"
		size = 18
		refs = "000b TIdObjectList.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38527_0 {
	meta:
		name = "TIdUserAccounts.GetAccount"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38575_0 {
	meta:
		name = "TIdVCardAddresses.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38569_0 {
	meta:
		name = "TIdVCardEMailAddresses.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38594_0 {
	meta:
		name = "TIdVCardMailingLabels.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38579_0 {
	meta:
		name = "TIdVCardTelephones.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39276_0 {
	meta:
		name = "TInCookieList.GetCookie"
		size = 18
		refs = "000b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_41408_0 {
	meta:
		name = "TInSSLRegistry.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_41363_0 {
	meta:
		name = "TInSocketHandles.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5793_0 {
	meta:
		name = "TIndexDefs.GetIndexDef"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63161_0 {
	meta:
		name = "TIntegerBucketList.GetData"
		size = 18
		refs = "000b TCustomBucketList.GetData"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63162_0 {
	meta:
		name = "TIntegerBucketList.Remove"
		size = 18
		refs = "000b TCustomBucketList.Remove"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26869_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27093_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27297_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27529_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27746_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27947_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28844_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<DSAzureBlob.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29408_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2418_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3017_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3612_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3867_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Data.Cloud.AmazonAPI.TAmazonGrant>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3969_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3918_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4020_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3816_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3561_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4746_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4542_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4491_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Data.Cloud.CloudAPI.TCloudQueue>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8633_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Data.DBXCommon.TDBXWritableValueArray>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8058_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Data.DBXCommon.TEventPointer>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7960_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10149_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10245_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10534_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10438_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11071_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11306_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15966_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15821_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16471_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19545_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSCommonProxy.IDSProxyWriter>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17319_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18156_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18458_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18554_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18313_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18787_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19088_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19447_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19742_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20030_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20312_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20838_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20742_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21066_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21300_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21587_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21854_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22146_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22439_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23006_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22861_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23699_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23801_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23899_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23995_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24894_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSService.TDSSessionEvent>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25098_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24992_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25339_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25243_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSService.TPair<System.string,System.TObject>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25196_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSService.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25613_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31380_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<IBIntf.IGDSLibrary>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31282_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40400_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<IPPeerAPI.IIPContext>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42764_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42909_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43054_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<IPPeerAPI.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40302_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40206_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<IndyPeerImpl.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50071_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51256_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51111_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<SyncController.TPair<System.IInterface,System.Pointer>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51354_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<SyncController.TPair<System.TObject,System.string>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30867_0 {
	meta:
		name = "TList<System.AnsiString>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.AnsiString>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51727_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56378_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.EvalProtocol.ILocation>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53193_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.EvalProtocol.IScope>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60524_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.EvalProtocol.ISubscription>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52142_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52863_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52765_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52667_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52816_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53240_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53623_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53768_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54142_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54287_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56327_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56084_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55892_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55504_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55939_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55747_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56227_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56425_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55602_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56180_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56858_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58578_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58527_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58286_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57851_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58431_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58141_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58335_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57996_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59159_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Methods.TMethodDescription>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59061_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59206_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59714_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59935_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60304_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60129_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Outputs.TConvertPair>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60870_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Outputs.TConverterDescription>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61025_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61278_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60819_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60970_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61123_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60721_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60921_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61182_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61715_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2516_0 {
	meta:
		name = "TList<System.Classes.IObserver>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Classes.IObserver>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3121_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Classes.TNotifyEvent>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63552_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64807_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.DebugUtils.TPair<System.string,System.Boolean>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54550_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61231_0 {
	meta:
		name = "TList<System.IInterface>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.IInterface>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67406_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Rtti.TMethodImplementation.TParamLoc>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68135_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68302_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68445_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60426_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.SysUtils.TProc<System.Rtti.TValue>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42815_0 {
	meta:
		name = "TList<System.TGUID>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.TGUID>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89233_0 {
	meta:
		name = "TList<System.Types.TPoint>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Types.TPoint>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50122_0 {
	meta:
		name = "TList<System.Variant>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Variant>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71798_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71700_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71653_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.Zip.TZipHeader>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27578_0 {
	meta:
		name = "TList<System.string>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<System.string>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86437_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86586_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87808_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87953_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88051_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Vcl.Themes.TStyleManager.TSourceInfo>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87604_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88556_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88458_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88981_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89335_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Vcl.Touch.Gestures.TGesturePoint>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89566_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89848_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89746_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96364_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75125_0 {
	meta:
		name = "TListColumns.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82071_0 {
	meta:
		name = "TListControlItems.GetListItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75910_0 {
	meta:
		name = "TListGroups.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90506_0 {
	meta:
		name = "TListOfDataSources.Get"
		size = 18
		refs = "000b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66584_0 {
	meta:
		name = "TMatch.GetValue"
		size = 18
		refs = "000b TGroup.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73062_0 {
	meta:
		name = "TMenuList.GetMenu"
		size = 18
		refs = "000b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63157_0 {
	meta:
		name = "TObjectBucketList.GetData"
		size = 18
		refs = "000b TCustomBucketList.GetData"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63158_0 {
	meta:
		name = "TObjectBucketList.Remove"
		size = 18
		refs = "000b TCustomBucketList.Remove"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63082_0 {
	meta:
		name = "TObjectList.GetItem"
		size = 18
		refs = "000b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63137_0 {
	meta:
		name = "TObjectQueue.Push"
		size = 18
		refs = "000b TOrderedList.Push"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63133_0 {
	meta:
		name = "TObjectStack.Push"
		size = 18
		refs = "000b TOrderedList.Push"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82740_0 {
	meta:
		name = "TOleControl.GetByteProp"
		size = 18
		refs = "000b TOleControl.GetIntegerProp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82770_0 {
	meta:
		name = "TOleControl.GetShortIntProp"
		size = 18
		refs = "000b TOleControl.GetIntegerProp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82776_0 {
	meta:
		name = "TOleControl.GetWordProp"
		size = 18
		refs = "000b TOleControl.GetIntegerProp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81787_0 {
	meta:
		name = "TPNGList.GetItem"
		size = 18
		refs = "000b TPNGPointerList.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14903_0 {
	meta:
		name = "TParameters.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50596_0 {
	meta:
		name = "TPropApplyList.GetProp"
		size = 18
		refs = "000b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33105_0 {
	meta:
		name = "TQueryResult.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78795_0 {
	meta:
		name = "TRecipientCollection.GetRecipients"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14440_0 {
	meta:
		name = "TSQLConnection.GetDataSet"
		size = 18
		refs = "000b TCustomConnection.GetDataSet"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84355_0 {
	meta:
		name = "TScreenTipsCollection.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84357_0 {
	meta:
		name = "TScreenTipsCollection.Insert"
		size = 18
		refs = "000b TCollection.Insert"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48119_0 {
	meta:
		name = "TScriptBlock.GetBlockName"
		size = 18
		refs = "000b TNameContentScriptObject.GetName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48118_0 {
	meta:
		name = "TScriptBlock.GetScript"
		size = 18
		refs = "000b TNameContentScriptObject.GetContent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48115_0 {
	meta:
		name = "TScriptBlocks.FindBlockName"
		size = 18
		refs = "000b TScriptObjectContainer.FindNameObject"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98492_0 {
	meta:
		name = "TScriptFile.GetLongName"
		size = 18
		refs = "000b TScriptFile.GetApplicationName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98494_0 {
	meta:
		name = "TScriptFile.GetShortName"
		size = 18
		refs = "000b TScriptFile.GetApplicationName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85531_0 {
	meta:
		name = "TSeStyleObject.GetObject"
		size = 18
		refs = "000b TComponent.GetComponent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94428_0 {
	meta:
		name = "TSeriesGroups.Get"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26078_0 {
	meta:
		name = "TServerCollection.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53071_0 {
	meta:
		name = "TStack<System.Bindings.EvalProtocol.IScope>.TEnumerator.DoGetCurrent"
		size = 18
		refs = "000b TStack<System.Bindings.EvalProtocol.IScope>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74542_0 {
	meta:
		name = "TStatusPanels.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78375_0 {
	meta:
		name = "TTaskDialogButtons.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92900_0 {
	meta:
		name = "TTeeExportFormats.Get"
		size = 18
		refs = "000b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91698_0 {
	meta:
		name = "TTeeFilter.Description"
		size = 18
		refs = "000b TObject.ClassName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94592_0 {
	meta:
		name = "TTeePanelsList.Get"
		size = 18
		refs = "000b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69687_0 {
	meta:
		name = "TTimeSpan.&op_Explicit"
		size = 18
		refs = "000b TTimeSpan.ToString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69706_0 {
	meta:
		name = "TTimeSpan.&op_Implicit"
		size = 18
		refs = "000b TTimeSpan.ToString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69712_0 {
	meta:
		name = "TTimeSpan.&op_UnaryNegation"
		size = 18
		refs = "000b TTimeSpan.Negate"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66861_0 {
	meta:
		name = "TValue.AsVariant"
		size = 18
		refs = "000b TValue.AsType<System.Variant>"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48124_0 {
	meta:
		name = "TVar.GetScript"
		size = 18
		refs = "000b TNameContentScriptObject.GetContent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48125_0 {
	meta:
		name = "TVar.GetVarName"
		size = 18
		refs = "000b TNameContentScriptObject.GetName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48121_0 {
	meta:
		name = "TVars.FindVarName"
		size = 18
		refs = "000b TScriptObjectContainer.FindNameObject"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95904_0 {
	meta:
		name = "TWebActionItems.GetActionItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96499_0 {
	meta:
		name = "TWebDirList.GetWebDirStruct"
		size = 18
		refs = "000b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96232_0 {
	meta:
		name = "TWebDirectories.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96218_0 {
	meta:
		name = "TWebFileExtensions.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98818_0 {
	meta:
		name = "TWebUserItems.GetUserItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75140_0 {
	meta:
		name = "TWorkAreas.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75143_0 {
	meta:
		name = "TWorkAreas.Insert"
		size = 18
		refs = "000b TCollection.Insert"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115327_0 {
	meta:
		name = "TXMLBroker.SubmitFormVarName"
		size = 18
		refs = "000b TXMLBroker.HTMLSubmitFormName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111954_0 {
	meta:
		name = "TXmlHandlers.GetItem"
		size = 18
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45760_0 {
	meta:
		name = "TXmlNodeList.GetItems"
		size = 18
		refs = "000b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94700_0 {
	meta:
		name = "TZoomSnapshots.Get"
		size = 18
		refs = "000b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94597_0 {
	meta:
		name = "TeeStr"
		size = 18
		refs = "000b IntToStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61947_0 {
	meta:
		name = "ToLower"
		size = 18
		refs = "000b TCharacter.ToLower"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61949_0 {
	meta:
		name = "ToUpper"
		size = 18
		refs = "000b TCharacter.ToUpper"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64261_0 {
	meta:
		name = "UTF8ShortStringToString"
		size = 18
		refs = "000b UTF8ToString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64656_0 {
	meta:
		name = "UTF8ToString"
		size = 18
		refs = "000b UTF8ToUnicodeString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64652_0 {
	meta:
		name = "UTF8ToWideString"
		size = 18
		refs = "000b UTF8Decode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46291_0 {
	meta:
		name = "Utf8ToAnsi"
		size = 18
		refs = "000b Utf8ToAnsi"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64661_0 {
	meta:
		name = "Utf8ToAnsi"
		size = 18
		refs = "000b UTF8ToUnicodeString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_858_0 {
	meta:
		name = "TQuery.Create"
		size = 156
		refs = "000e @ClassCreate 001c TDBDataSet.Create 0023 _Dn_TStringList 0028 TStringList.Create 003a TQuery.QueryChanged 0043 _Dn_TParams 0048 TParams.Create 0057 _DV_TQueryDataLink 005c TQueryDataLink.Create 0087 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 50 02 00 00 89 5E 44 C7 46 40 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 58 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 60 02 00 00 C6 83 6D 02 00 00 00 C6 83 75 02 00 00 01 C7 83 68 02 00 00 FF FF FF FF 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_859_0 {
	meta:
		name = "TQuery.Destroy"
		size = 97
		refs = "0003 @BeforeDestruction 000e TComponent.Destroying 0023 TObject.Free 0044 StrDispose 004f TBDEDataSet.Destroy 005a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 D4 02 00 00 8B 86 50 02 00 00 E8 ?? ?? ?? ?? 8B 86 58 02 00 00 E8 ?? ?? ?? ?? 8B 86 60 02 00 00 E8 ?? ?? ?? ?? 8B 86 70 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_862_0 {
	meta:
		name = "TQuery.Prepare"
		size = 33
		refs = "001a TQuery.SetPrepared"
	strings:
		$1 = { 53 56 8B D8 B1 01 BA 01 00 00 00 8B C3 8B 30 FF 96 D8 02 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_863_0 {
	meta:
		name = "TQuery.UnPrepare"
		size = 31
		refs = "0008 TQuery.SetPrepared"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 01 00 00 00 8B C3 8B 18 FF 93 D8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_864_0 {
	meta:
		name = "TQuery.SetDataSource"
		size = 108
		refs = "000f TQuery.SetDataSource 001e TDataSet.IsLinkedTo 002a SCircularDataLink 002f LoadResString 0039 DatabaseError 0046 TDataLink.SetDataSource 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B D6 8B 83 60 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_865_0 {
	meta:
		name = "TQuery.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 60 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_866_0 {
	meta:
		name = "TQuery.SetQuery"
		size = 200
		refs = "0013 TQuery.SetQuery 0041 @UStrEqual 005c TStrings.BeginUpdate 0095 TStrings.EndUpdate 009b @HandleFinally 00b7 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 56 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 80 50 02 00 00 8B 08 FF 51 1C 8B 45 F8 50 8D 55 F4 8B C6 8B 08 FF 51 1C 8B 55 F4 58 E8 ?? ?? ?? ?? 74 5A 8B 45 FC 8B 10 FF 92 D4 02 00 00 8B 45 FC 8B 80 50 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 50 02 00 00 8B D6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 50 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_867_0 {
	meta:
		name = "TQuery.QueryChanged"
		size = 408
		refs = "0014 TQuery.QueryChanged 0040 StrDispose 006e _Dn_TParams 0073 TParams.Create 00a6 TParams.ParseSQL 00b6 @UStrAsg 00c7 TParams.AssignValues 00d5 TCollection.Clear 00fb TObject.Free 0101 @HandleFinally 0187 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 1C 02 0F 85 0E 01 00 00 8B 45 FC 8B 10 FF 92 D4 02 00 00 8B 45 FC 8B 80 70 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 70 02 00 00 8B 45 FC 80 B8 75 02 00 00 00 75 0D 8B 45 FC F6 40 1C 10 0F 84 9F 00 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8D 55 F0 8B 45 FC 8B 80 50 02 00 00 8B 08 FF 51 1C 8B 55 F0 B1 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 05 5C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 58 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 58 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 58 02 00 00 8B 55 F8 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 EC 8B 45 FC 8B 80 50 02 00 00 8B 08 FF 51 1C 8B 55 EC 8B 45 FC 05 5C 02 00 00 E8 ?? ?? ?? ?? 33 C9 B2 08 8B 45 FC 8B 18 FF 93 E4 00 00 00 EB 38 8D 45 E8 50 8D 55 E4 8B 45 FC 8B 80 50 02 00 00 8B 08 FF 51 1C 8B 55 E4 8B 45 FC 8B 80 58 02 00 00 33 C9 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 05 5C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_869_0 {
	meta:
		name = "TQuery.GetParamsCount"
		size = 13
	strings:
		$1 = { 8B 80 58 02 00 00 8B 40 08 8B 40 08 C3 }
	condition:
		$1
}

rule function_870_0 {
	meta:
		name = "WriteData"
		size = 71
		refs = "0024 TParams.IsEqual"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 20 85 DB 74 1C 8B 93 58 02 00 00 8B 45 08 8B 40 F8 8B 80 58 02 00 00 E8 ?? ?? ?? ?? 34 01 5B 5D C3 8B 45 08 8B 40 F8 8B 80 58 02 00 00 8B 40 08 8B 40 08 85 C0 0F 9F C0 5B 5D C3 }
	condition:
		$1
}

rule function_871_0 {
	meta:
		name = "TQuery.DefineProperties"
		size = 172
		refs = "0014 TComponent.DefineProperties 001d TQuery.ReadBinaryData 0026 TQuery.WriteBinaryData 0038 TQuery.DefineProperties 0049 TQuery.ReadParamData 0052 TQuery.WriteParamData 0058 WriteData"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 83 B8 70 02 00 00 00 0F 95 C1 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 08 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 61 00 72 00 61 00 6D 00 44 00 61 00 74 00 61 00 00 00 }
	condition:
		$1
}

rule function_872_0 {
	meta:
		name = "TQuery.ReadParamData"
		size = 29
		refs = "0009 TReader.ReadValue 0016 TReader.ReadCollection"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 93 58 02 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_873_0 {
	meta:
		name = "TQuery.WriteParamData"
		size = 13
		refs = "0008 TWriter.WriteCollection"
	strings:
		$1 = { 8B 80 58 02 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_874_0 {
	meta:
		name = "TQuery.ReadBinaryData"
		size = 47
		refs = "000e AnsiStrAlloc 0027 TStream.ReadBuffer"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 10 FF 12 E8 ?? ?? ?? ?? 8B F8 89 BB 70 02 00 00 8B C6 8B 10 FF 12 8B C8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_875_0 {
	meta:
		name = "TQuery.WriteBinaryData"
		size = 35
		refs = "0010 StrBufSize 001b TStream.WriteBuffer"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 70 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_876_0 {
	meta:
		name = "TQuery.SetPrepared"
		size = 266
		refs = "0013 TQuery.SetPrepared 0020 TBDEDataSet.GetHandle 002c SDataSetOpen 0031 LoadResString 003b DatabaseError 0081 @LStrFromUStr 0089 @LStrToPChar 0092 TQuery.PrepareSQL 009c SEmptySQLStatement 00bd TQuery.GetRowsAffected 00e8 @UStrClr 00f0 @LStrClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 C0 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 3A 9E 54 02 00 00 0F 84 8C 00 00 00 84 DB 74 62 C7 86 68 02 00 00 FF FF FF FF C6 86 77 02 00 00 01 8B 86 5C 02 00 00 85 C0 74 05 83 E8 04 8B 00 48 7E 26 8D 45 F8 8B 96 5C 02 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 39 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B D6 E8 ?? ?? ?? ?? EB 20 80 BE 77 02 00 00 00 74 0D 8B C6 E8 ?? ?? ?? ?? 89 86 68 02 00 00 8B C6 8B 10 FF 92 DC 02 00 00 88 9E 54 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_877_0 {
	meta:
		name = "TQuery.FreeStatement"
		size = 37
		refs = "0014 DbiQFree 001f Check"
	strings:
		$1 = { 53 8B D8 83 BB 84 01 00 00 00 74 17 8D 83 84 01 00 00 50 E8 ?? ?? ?? ?? F6 43 1C 08 75 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_878_0 {
	meta:
		name = "TQuery.SetParamsFromCursor"
		size = 118
		refs = "0027 TFieldDefs.Update 0048 TParams.GetItem 005b TDataSet.FieldByName 0064 TParam.AssignField"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B 83 60 02 00 00 8B 40 04 85 C0 74 5C 8B 40 38 89 04 24 83 3C 24 00 74 50 8B 04 24 8B 40 40 E8 ?? ?? ?? ?? 8B 83 58 02 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 34 47 33 ED 8B D5 8B 83 58 02 00 00 E8 ?? ?? ?? ?? 8B F0 80 7E 39 00 75 18 8B 56 34 8B 04 24 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? C6 46 39 00 45 4F 75 CF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_879_0 {
	meta:
		name = "TQuery.RefreshParams"
		size = 122
		refs = "000c TDataSet.DisableControls 0014 TQuery.RefreshParams 0038 TDataSet.GetActive 004d TDataSet.Close 0055 TDataSet.Open 006a TDataSet.EnableControls 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 60 02 00 00 8B 40 04 85 C0 74 2B 8B 58 38 85 DB 74 24 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 80 BB A5 00 00 00 04 74 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_881_0 {
	meta:
		name = "TQuery.CreateCursor"
		size = 235
		refs = "0016 TQuery.CreateCursor 0055 TQuery.SetPrepared 0072 @HandleFinally 008b TQuery.SetParamsFromCursor 0097 TQuery.GetQueryCursor 00a3 SEmptySQLStatement 00a8 LoadResString 00b3 DatabaseError 00d8 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 50 02 00 00 8B 10 FF 52 14 85 C0 7E 6D 0F B6 45 FB 34 01 8B 55 FC 88 82 76 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 76 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 80 60 02 00 00 83 78 04 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 0F B6 55 FB 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 1A 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 33 DB 85 DB 0F 94 C0 8B 55 FC 88 82 77 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_883_0 {
	meta:
		name = "TQuery.ExecSQL"
		size = 104
		refs = "0029 TQuery.ExecSQL 0039 TQuery.CreateCursor 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 10 FF 92 C4 00 00 00 B1 01 BA 02 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 02 00 00 00 8B 45 FC 8B 18 FF 93 D8 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 5B 59 5D C3 }
	condition:
		$1
}

rule function_884_0 {
	meta:
		name = "TQuery.GetQueryCursor"
		size = 75
		refs = "002e SetQueryParams 003b DbiQExec 0040 Check"
	strings:
		$1 = { 53 56 51 8B D8 33 C0 89 04 24 84 D2 74 04 8B F4 EB 02 33 F6 8B 83 58 02 00 00 8B 50 08 83 7A 08 00 7E 0F 8B C8 8B 93 84 01 00 00 8B C3 E8 ?? ?? ?? ?? 56 8B 83 84 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_885_0 {
	meta:
		name = "TQuery.SetDBFlag"
		size = 196
		refs = "0013 TQuery.SetDBFlag 0029 TDBDataSet.SetDBFlag 0061 @SetExpand 007f @SetEq 008a TQuery.SetPrepared"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B D9 8B FA 8B F0 84 DB 74 41 0F B7 05 ?? ?? ?? ?? 66 3B 86 41 02 00 00 0F 94 04 24 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? F6 46 1C 02 0F 95 C2 80 F2 01 22 14 24 74 5D 8B 96 44 02 00 00 0F B6 52 76 80 F2 01 88 96 64 02 00 00 EB 48 8D 86 41 02 00 00 8D 54 24 04 B9 00 02 00 00 E8 ?? ?? ?? ?? 8B C7 3D FF 00 00 00 77 05 0F B3 44 24 04 8D 44 24 04 BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 83 C4 24 5F 5E 5B C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_886_0 {
	meta:
		name = "TQuery.PrepareSQL"
		size = 50
		refs = "002c SetBoolProp"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 91 E0 02 00 00 80 BE 64 02 00 00 00 75 1A 80 BE 6C 02 00 00 01 F5 1B C9 BA 10 00 06 00 8B 86 84 01 00 00 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_887_0 {
	meta:
		name = "TQuery.GetStatementHandle"
		size = 321
		refs = "001b TDBDataSet.GetDBHandle 0021 DbiQAlloc 0026 Check 002e TQuery.GetStatementHandle 0054 TBDEDataSet.ForceUpdateCallback 0068 DataType 007d DbiSetProp 00a3 SetBoolProp 00f7 DbiQPrepare 0101 TDBDataSet.CheckOpen 0114 @HandleAnyException 0122 DbiQFree 0132 @RaiseAgain 0137 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC 05 84 01 00 00 50 6A 02 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 76 02 00 00 00 75 42 8B 45 FC 80 B8 6D 02 00 00 00 74 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 83 E0 7F 8B 04 85 ?? ?? ?? ?? 50 68 21 00 06 00 8B 45 FC 8B 80 84 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 64 02 00 00 00 74 59 8B 45 FC 8B 80 84 01 00 00 33 C9 BA 26 00 06 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 6D 02 00 00 00 74 22 8B 45 FC 80 B8 74 02 00 00 00 74 16 8B 45 FC 8B 80 84 01 00 00 83 C9 FF BA 31 00 06 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 84 01 00 00 83 C9 FF BA 42 00 06 00 E8 ?? ?? ?? ?? 53 8B 45 FC 8B 80 84 01 00 00 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 E2 33 C0 5A 59 59 64 89 10 EB 28 E9 ?? ?? ?? ?? 8B 45 FC 05 84 01 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 84 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_888_0 {
	meta:
		name = "TQuery.GetRowsAffected"
		size = 74
		refs = "0028 DbiGetProp"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 BB 54 02 00 00 00 74 2B 8D 44 24 04 50 6A 04 8D 44 24 08 50 68 14 00 06 00 8B 83 84 01 00 00 50 E8 ?? ?? ?? ?? 66 85 C0 74 12 C7 04 24 FF FF FF FF EB 09 8B 83 68 02 00 00 89 04 24 8B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_889_0 {
	meta:
		name = "AddFieldToList"
		size = 33
		refs = "0006 TDataSet.FindField 0015 TList.Add"
	strings:
		$1 = { 53 56 8B F1 92 E8 ?? ?? ?? ?? 8B D8 85 DB 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 85 DB 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_890_0 {
	meta:
		name = "TQuery.GetDetailLinkFields"
		size = 155
		refs = "0064 TParams.GetItem 006f AddFieldToList"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B D8 8B C5 8B 10 FF 52 08 8B 04 24 8B 10 FF 52 08 8B C3 8B 10 FF 92 60 01 00 00 85 C0 74 6C 8B C3 8B 10 FF 92 60 01 00 00 83 78 38 00 74 5C 8B 83 58 02 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 4B 47 33 F6 8B C3 8B 10 FF 92 60 01 00 00 8B 40 38 50 8B D6 8B 83 58 02 00 00 E8 ?? ?? ?? ?? 8B 40 34 8B CD 5A E8 ?? ?? ?? ?? 84 C0 74 1A 8B D6 8B 83 58 02 00 00 E8 ?? ?? ?? ?? 8B 40 34 8B 0C 24 8B D3 E8 ?? ?? ?? ?? 46 4F 75 B8 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_891_0 {
	meta:
		name = "TQuery.PSGetCommandText"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 50 02 00 00 8B 08 FF 51 1C 5E 5B C3 }
	condition:
		$1
}

rule function_893_0 {
	meta:
		name = "TQuery.PSGetDefaultOrder"
		size = 120
		refs = "000f TQuery.PSGetDefaultOrder 001c TDataSet.PSGetDefaultOrder 003b @WStrFromUStr 0045 GetIndexForOrderBy 005c @UStrClr 0064 @WStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 25 8D 55 F8 8B 83 50 02 00 00 8B 08 FF 51 1C 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_894_0 {
	meta:
		name = "TQuery.PSGetParams"
		size = 7
	strings:
		$1 = { 8B 80 58 02 00 00 C3 }
	condition:
		$1
}

rule function_895_0 {
	meta:
		name = "TQuery.PSSetParams"
		size = 32
		refs = "001a TDataSet.Close"
	strings:
		$1 = { 56 8B F0 8B 42 08 83 78 08 00 74 0B 8B 86 58 02 00 00 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_896_0 {
	meta:
		name = "TQuery.PSGetTableName"
		size = 123
		refs = "0013 TQuery.PSGetTableName 0032 @WStrFromUStr 003d GetTableNameFromSQL 0047 @UStrFromWStr 005c @UStrClr 0069 @WStrArrayClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 83 50 02 00 00 8B 08 FF 51 1C 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_898_0 {
	meta:
		name = "TQuery.PSSetCommandText"
		size = 26
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 0D 8B D6 8B 83 50 02 00 00 8B 08 FF 51 2C 5E 5B C3 }
	condition:
		$1
}

rule function_899_0 {
	meta:
		name = "TUpdateSQL.Create"
		size = 107
		refs = "000f @ClassCreate 001d TComponent.Create 0026 _Dn_TStringList 002b TStringList.Create 0042 TUpdateSQL.SQLChanged 0055 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 DB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FB 83 E7 7F 89 44 BE 50 8B 44 BE 50 89 70 44 C7 40 40 ?? ?? ?? ?? 43 80 FB 03 75 D7 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_900_0 {
	meta:
		name = "TUpdateSQL.Destroy"
		size = 105
		refs = "0004 @BeforeDestruction 0018 _DV_TBDEDataSet 001d @IsClass 0032 TBDEDataSet.SetUpdateObject 0040 TObject.Free 0054 TComponent.Destroy 0061 @ClassDestroy"
	strings:
		$1 = { 53 56 51 E8 ?? ?? ?? ?? 88 14 24 8B F0 8B 5E 38 85 DB 74 22 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 3B B3 28 02 00 00 75 09 8B C3 33 D2 E8 ?? ?? ?? ?? 33 DB 0F B6 C3 8B 44 86 50 E8 ?? ?? ?? ?? 43 80 FB 03 75 EE 0F B6 14 24 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_901_0 {
	meta:
		name = "TUpdateSQL.ExecSQL"
		size = 107
		refs = "000a TUpdateSQL.ExecSQL 0015 TUpdateSQL.GetQuery 001e TQuery.Prepare 0025 TQuery.ExecSQL 002c TQuery.GetRowsAffected 0037 SUpdateFailed 003c LoadResString 0046 DatabaseError 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 48 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_902_0 {
	meta:
		name = "TUpdateSQL.GetQuery"
		size = 148
		refs = "0019 _DV_TQuery 001e TQuery.Create 0043 _DV_TDBDataSet 0048 @IsClass 005b TDBDataSet.SetSessionName 006d TDBDataSet.SetDatabaseName"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 8B FB 83 E7 7F 83 7C BE 44 00 75 77 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 BE 44 8B 54 BE 50 0F B6 C3 8B 44 86 44 8B 80 50 02 00 00 8B 08 FF 51 08 8B 6E 38 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8B 95 4C 02 00 00 8B 44 BE 44 E8 ?? ?? ?? ?? 8B 46 38 8B 90 48 02 00 00 8B 44 BE 44 E8 ?? ?? ?? ?? EB 18 8B 44 BE 44 8B 56 40 E8 ?? ?? ?? ?? 8B 44 BE 44 8B 56 3C E8 ?? ?? ?? ?? 8B 44 BE 44 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_903_0 {
	meta:
		name = "TUpdateSQL.GetSQL"
		size = 8
		altNames = "TUpdateSQL.GetSQLIndex"
	strings:
		$1 = { 83 E2 7F 8B 44 90 50 C3 }
	condition:
		$1
}

rule function_905_0 {
	meta:
		name = "TContainedBindComponent.GetBindingsList"
		size = 4
		altNames = "TControl.GetParentComponent TCustomContentProducer.GetAppDispatcher TDBXByteArrayValue.GetStreamReader TDSServerComponent.GetServer TDataSetResolver.GetProvider TDirect2DCanvas.GetPen TDomError.GetRelatedDtdObject TIBExtract.GetDatabase TIWBaseHTMLComponent.BaseHTMLComponentImplementation TIWHTMLControlImplementation.GetZIndex TIdSASL.GetSecurityLevel TPhysicalObjectMemberGroup.GetMetaClass TRibbonGroupCollapsedControl.GetParentControl TSQLResolver.GetProvider TScriptProducer.GetErrors TUpdateSQL.GetDataSet TXmlSignal.GetRelatedNode"
	strings:
		$1 = { 8B 40 38 C3 }
	condition:
		$1
}

rule function_906_0 {
	meta:
		name = "TBaseRequestHandler.SetAppDispatcher"
		size = 4
		altNames = "TIWHTMLControlImplementation.SetZIndex TIdDecoder.DecodeBegin TSeriesPointer.ChangeVertSize TUpdateSQL.SetDataSet TXmlDtdModelBuilder.SetDtdModel"
	strings:
		$1 = { 89 50 38 C3 }
	condition:
		$1
}

rule function_907_0 {
	meta:
		name = "TUpdateSQL.SetSQL"
		size = 29
	strings:
		$1 = { 56 57 51 8B F9 88 14 24 8B F0 0F B6 04 24 8B 44 86 50 8B D7 8B 08 FF 51 08 5A 5F 5E C3 }
	condition:
		$1
}

rule function_909_0 {
	meta:
		name = "TUpdateSQL.SQLChanged"
		size = 79
		refs = "0029 TCollection.Clear"
	strings:
		$1 = { 56 57 51 8B F0 C6 04 24 00 0F B6 3C 24 3B 54 BE 50 75 2F 83 7C BE 44 00 74 31 0F B6 04 24 8B 44 86 44 8B 80 58 02 00 00 E8 ?? ?? ?? ?? 8B 54 BE 50 8B 44 BE 44 8B 80 50 02 00 00 8B 08 FF 51 08 EB 09 FE 04 24 80 3C 24 03 75 BE 5A 5F 5E C3 }
	condition:
		$1
}

rule function_910_0 {
	meta:
		name = "TUpdateSQL.Apply"
		size = 11
		refs = "0006 TUpdateSQL.Apply"
	strings:
		$1 = { 8B CA 8B 50 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_911_0 {
	meta:
		name = "TUpdateSQL.Apply"
		size = 29
	strings:
		$1 = { 53 56 57 8B D9 8B F0 8B CB 8B C6 8B 38 FF 57 54 8B D3 8B C6 8B 08 FF 51 50 5F 5E 5B C3 }
	condition:
		$1
}

rule function_912_0 {
	meta:
		name = "TUpdateSQL.SetParams"
		size = 13
	strings:
		$1 = { 53 8B CA 8B 50 38 8B 18 FF 53 54 5B C3 }
	condition:
		$1
}

rule function_913_0 {
	meta:
		name = "TUpdateSQL.SetParams"
		size = 380
		refs = "0021 TUpdateSQL.SetParams 003a TUpdateSQL.GetQuery 0071 TParams.GetItem 007e @UStrLAsg 0094 @UStrCopy 00a1 CompareText 00bc @UStrDelete 00c7 TDataSet.FindField 00db TField.GetOldValue 00e7 TParam.AssignFieldValue 00f3 TField.GetNewValue 00fb VarIsClear 0136 @VarClr 013e @UStrClr 0154 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 89 55 E4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D E4 00 0F 84 F0 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 8B 80 58 02 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C CC 00 00 00 40 89 45 D8 C7 45 E0 00 00 00 00 8B 45 DC 8B 80 58 02 00 00 8B 55 E0 E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B 56 34 E8 ?? ?? ?? ?? 8D 45 D4 50 B9 04 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 12 8D 45 FC B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 8B F8 85 FF 74 48 84 DB 74 18 8D 55 C4 8B C7 E8 ?? ?? ?? ?? 8D 4D C4 8B D7 8B C6 E8 ?? ?? ?? ?? EB 2C 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 0A 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8D 4D E8 8B D7 8B C6 E8 ?? ?? ?? ?? FF 45 E0 FF 4D D8 0F 85 3F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4F 00 4C 00 44 00 5F 00 00 00 00 00 }
	condition:
		$1
}

rule function_914_0 {
	meta:
		name = "TBlobStream.Create"
		size = 595
		refs = "001e @ClassCreate 002e TBlobStream.Create 0045 _DV_TBDEDataSet 004a @AsClass 0066 TBDEDataSet.GetActiveRecBuf 0089 TField.GetDisplayName 009f SNoFieldAccess 00a4 LoadResString 00af DatabaseErrorFmt 00b7 TBlobField.GetModified 010a TBDEDataSet.GetBlobData 0134 TBDEDataSet.SetBlobData 0162 SFieldReadOnly 018a SNotEditing 019a DatabaseError 01db DbiOpenBlob 01e0 Check 01f0 TBlobStream.Truncate 020a @UStrArrayClr 0213 TArray<System.Byte> 0218 @DynArrayClear 022b @HandleFinally 023a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 88 5E 10 8B F9 89 7E 04 8B 47 3C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B 46 04 8B 10 FF 92 A8 00 00 00 89 46 14 8D 56 0C 8B 46 08 E8 ?? ?? ?? ?? 84 C0 0F 84 82 01 00 00 8B 46 08 80 B8 A5 00 00 00 06 75 35 8B 46 08 50 8D 55 F0 8B 46 04 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 84 C0 0F 85 21 01 00 00 84 DB 75 61 8B 46 08 80 B8 CD 01 00 00 00 74 14 8B 56 08 8B 4A 5C 8B 42 64 8B 04 88 3B 46 0C 0F 94 C0 EB 02 33 C0 84 C0 74 2F 8B 46 04 8B 10 FF 92 B0 00 00 00 84 C0 75 1C 8D 45 E8 50 8B 4E 0C 8B 56 04 8B 46 08 E8 ?? ?? ?? ?? 83 7D E8 00 75 04 33 C0 EB 06 B0 01 EB 02 33 C0 88 46 24 BF 01 00 00 00 EB 78 6A 00 8B 4E 0C 8B 56 04 8B 46 08 E8 ?? ?? ?? ?? 8B 46 04 80 78 49 00 74 35 8B 46 08 50 8D 55 E4 8B 46 04 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 33 C9 5A E8 ?? ?? ?? ?? 8B 46 08 0F B6 80 A5 00 00 00 04 FE 2C 02 72 18 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 56 08 E8 ?? ?? ?? ?? 33 FF 80 7E 24 00 75 3E 8B 46 08 80 B8 A5 00 00 00 01 75 14 8B 56 08 8B 52 5C 8B 48 64 8B 14 91 8B 08 FF 91 7C 02 00 00 57 0F B7 46 14 50 8B 46 0C 50 8B 46 08 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 18 01 80 FB 01 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_915_0 {
	meta:
		name = "TBlobStream.Destroy"
		size = 202
		refs = "000a @BeforeDestruction 002f TBlobField.SetModified 003a TBlobField.GetModified 0068 DbiFreeBlob 0079 TBlobStream.Destroy 00a4 @HandleAnyException 00ac ApplicationHandleException 00b1 @DoneExcept 00bf @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 80 78 18 00 74 4F 8B 45 FC 80 78 19 00 74 0D 8B 45 FC 8B 40 04 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 84 C0 75 2A 8B 45 FC 80 78 24 00 75 21 8B 45 FC 0F B7 40 14 50 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 40 08 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 80 78 19 00 74 40 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 48 04 8B 45 FC 8B 40 08 33 D2 8B 18 FF 93 E4 00 00 00 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_916_0 {
	meta:
		name = "TBlobStream.Read"
		size = 569
		refs = "0018 TBlobStream.Read 008d TBDEDataSet.GetBlobData 00a0 Move 00d0 DbiGetBlob 0113 NativeToAnsiBuf 0150 TBlobField.GetModified 0181 TArray<System.Byte> 0186 @DynArraySetLength 01c8 TBDEDataSet.SetBlobData 01fc DbiFreeBlob 0209 DbiError 0224 @DynArrayClear 022a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 80 7B 18 00 0F 84 DC 01 00 00 80 7B 24 00 74 78 8B C3 8B 10 FF 12 52 50 8B 43 1C 99 29 04 24 19 54 24 04 58 5A 52 50 8B C6 99 3B 54 24 04 75 09 3B 04 24 5A 58 76 14 EB 04 5A 58 7E 0E 8B C3 8B 10 FF 12 2B 43 1C 89 45 F8 EB 03 89 75 F8 83 7D F8 00 0F 8E 8E 01 00 00 8D 45 F4 50 8B 4B 0C 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 8B 45 F4 8B 53 1C 03 C2 8B 55 FC 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 01 43 1C E9 5E 01 00 00 8D 45 F8 50 8B 45 FC 50 56 8B 43 1C 50 0F B7 43 14 50 8B 43 0C 50 8B 43 08 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? 8B D0 66 83 EA 01 72 17 66 81 EA 06 22 74 10 66 81 EA 07 05 0F 84 1F 01 00 00 E9 15 01 00 00 8B 43 04 80 B8 F6 00 00 00 00 74 18 8B 45 F8 50 8B 4D FC 8B 55 FC 8B 43 08 8B 80 98 01 00 00 E8 ?? ?? ?? ?? 8B 43 08 80 B8 CD 01 00 00 00 74 14 8B 53 08 8B 4A 5C 8B 42 64 8B 04 88 3B 43 0C 0F 94 C0 EB 02 33 C0 84 C0 74 09 80 7B 10 00 0F 94 C0 EB 02 33 C0 84 C0 74 0C 8B 43 04 E8 ?? ?? ?? ?? 34 01 EB 02 33 C0 84 C0 0F 84 9E 00 00 00 8B 43 1C 3B 43 28 0F 85 92 00 00 00 8B F0 03 75 F8 89 73 28 56 8D 43 20 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 20 8B 53 1C 8D 14 10 8B 45 FC 8B 4D F8 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 12 52 50 8B 43 28 99 3B 54 24 04 75 03 3B 04 24 5A 58 75 46 8B 43 20 50 8B 4B 0C 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 6A 00 8D 43 20 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C6 43 24 01 0F B7 43 14 50 8B 43 0C 50 8B 43 08 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? 8B 45 F8 01 43 1C EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_917_0 {
	meta:
		name = "TBlobStream.Write"
		size = 288
		refs = "0036 @GetMem 0041 TBlobStream.Write 0061 AnsiToNativeBuf 0091 DbiPutBlob 0096 Check 00ae @FreeMem 00b4 @HandleFinally 0114 TBDEDataSet.SetBlobData"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 8B F2 89 45 FC 33 DB 8B 45 FC 80 78 18 00 0F 84 F9 00 00 00 8B 45 FC 8B 40 04 80 B8 F6 00 00 00 00 0F 84 88 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8B D6 8B 45 FC 8B 40 08 8B 80 98 01 00 00 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8B 45 FC 8B 40 1C 50 8B 45 FC 0F B7 40 14 50 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 40 08 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 56 8B 45 F8 50 8B 45 FC 8B 40 1C 50 8B 45 FC 0F B7 40 14 50 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 40 08 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 01 50 1C 8B 5D F8 8B 45 FC C6 40 19 01 6A 00 8B 45 FC 8B 48 0C 8B 45 FC 8B 50 04 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_918_0 {
	meta:
		name = "TBlobStream.Seek"
		size = 49
		refs = "0022 TBlobStream.GetBlobSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 E9 01 72 09 74 0C 66 FF C9 74 0C EB 16 89 73 1C EB 11 01 73 1C EB 0C 8B C3 E8 ?? ?? ?? ?? 03 F0 89 73 1C 8B 43 1C 5E 5B C3 }
	condition:
		$1
}

rule function_919_0 {
	meta:
		name = "TBlobStream.Truncate"
		size = 64
		refs = "0021 DbiTruncateBlob 0026 Check 003a TBDEDataSet.SetBlobData"
	strings:
		$1 = { 53 8B D8 80 7B 18 00 74 35 8B 43 1C 50 0F B7 43 14 50 8B 43 0C 50 8B 43 08 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 19 01 6A 00 8B 4B 0C 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_920_0 {
	meta:
		name = "TBlobStream.GetBlobSize"
		size = 152
		refs = "0012 TBlobStream.GetBlobSize 003b TBDEDataSet.GetBlobData 0043 @DynArrayLength 0064 DbiGetBlobSize 0069 Check 007f TArray<System.Byte> 0084 @DynArrayClear 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 80 7B 18 00 74 46 80 7B 24 00 74 1F 8D 45 F8 50 8B 4B 0C 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC EB 21 8D 45 FC 50 0F B7 43 14 50 8B 43 0C 50 8B 43 08 8B 80 80 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_921_0 {
	meta:
		name = "InitDBTables"
		size = 16
		refs = "0002 SaveInitProc"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37557_0 {
	meta:
		name = "InitializeRandom"
		size = 16
		refs = "0002 RAND_screen"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94853_0 {
	meta:
		name = "TeeTranslateControl"
		size = 16
		refs = "0002 TeeTranslateHook"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97663_0 {
	meta:
		name = "UnRegisterWebComponents"
		size = 16
		refs = "0002 UnRegisterWebComponentsProc"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46505_0 {
	meta:
		name = "Warning"
		size = 16
		refs = "0002 GWarningProc"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_922_0 {
	meta:
		name = "Finalization"
		size = 131
		refs = "0007 Finalization 0013 _DV_12 001a CSAnsiToNative 001f TObject.Free 0024 CSNativeToAnsi 002e Sessions 003f BDEInitProcs 0053 FreeTimer 0058 Exts 0063 string 0068 @FinalizeArray 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 53 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_923_0 {
	meta:
		name = "Bde.DBTables"
		size = 156
		refs = "0002 _DV_12 000a IsLibrary 0014 InitProc 001b SaveInitProc 0026 InitDBTables 002d _DV_TSessionList 0032 TSessionList.Create 0037 Sessions 0040 _DV_TSession 0045 TSession.Create 004a Session 004f Bde.DBTables 0059 TSession.SetSessionName 0060 _Dn_TObject 0065 TObject.Create 006a CSNativeToAnsi 007b CSAnsiToNative"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 76 A1 ?? ?? ?? ?? 80 38 00 75 17 A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_924_0 {
	meta:
		name = "DIDFT_GETINSTANCE"
		size = 7
		altNames = "ErrCat GET_DIDEVICE_SUBTYPE HiByte PROPSETHDR_OSVER_MINOR mci_HMS_Minute mci_MSF_Second mci_TMSF_Minute"
	strings:
		$1 = { 0F B7 C0 C1 E8 08 C3 }
	condition:
		$1
}

rule function_925_0 {
	meta:
		name = "ErrCode"
		size = 5
	strings:
		$1 = { 66 25 FF 00 C3 }
	condition:
		$1
}

rule function_926_0 {
	meta:
		name = "DbiInit"
		size = 21
		refs = "000d DbiInitFn"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 68 F4 01 00 00 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_927_0 {
	meta:
		name = "_DF_."
		size = 6184
		refs = "000b _DF_. 0010 _DV_. 0028 __LOADFUNC"
	strings:
		$1 = { 57 56 52 0F B7 C0 8B D0 03 C0 BE ?? ?? ?? ?? BF ?? ?? ?? ?? 89 57 04 66 8B 14 06 0F B7 D2 89 57 08 8B C7 5A 5E 5F 50 E8 ?? ?? ?? ?? A9 00 00 FF FF 74 01 50 C3 EB C9 66 B8 00 00 EB F8 66 B8 01 00 EB F2 66 B8 02 00 EB EC 66 B8 03 00 EB E6 66 B8 04 00 EB E0 66 B8 05 00 EB DA 66 B8 06 00 EB D4 66 B8 07 00 EB CE 66 B8 08 00 EB C8 66 B8 09 00 EB C2 66 B8 0A 00 EB BC 66 B8 0B 00 EB B6 66 B8 0C 00 EB B0 66 B8 0D 00 EB AA 66 B8 0E 00 EB A4 66 B8 0F 00 EB 9E 66 B8 10 00 EB 98 66 B8 11 00 EB 92 66 B8 12 00 EB 8C 66 B8 13 00 EB 86 E9 4C FF FF FF 66 B8 14 00 EB F5 66 B8 15 00 EB EF 66 B8 16 00 EB E9 66 B8 17 00 EB E3 66 B8 18 00 EB DD 66 B8 19 00 EB D7 66 B8 1A 00 EB D1 66 B8 1B 00 EB CB 66 B8 1C 00 EB C5 66 B8 1D 00 EB BF 66 B8 1E 00 EB B9 66 B8 1F 00 EB B3 66 B8 20 00 EB AD 66 B8 21 00 EB A7 66 B8 22 00 EB A1 66 B8 23 00 EB 9B 66 B8 24 00 EB 95 66 B8 25 00 EB 8F 66 B8 26 00 EB 89 66 B8 27 00 EB 83 E9 CF FE FF FF 66 B8 28 00 EB F5 66 B8 29 00 EB EF 66 B8 2A 00 EB E9 66 B8 2B 00 EB E3 66 B8 2C 00 EB DD 66 B8 2D 00 EB D7 66 B8 2E 00 EB D1 66 B8 2F 00 EB CB 66 B8 30 00 EB C5 66 B8 31 00 EB BF 66 B8 32 00 EB B9 66 B8 33 00 EB B3 66 B8 34 00 EB AD 66 B8 35 00 EB A7 66 B8 36 00 EB A1 66 B8 37 00 EB 9B 66 B8 38 00 EB 95 66 B8 39 00 EB 8F 66 B8 3A 00 EB 89 66 B8 3B 00 EB 83 E9 52 FE FF FF 66 B8 3C 00 EB F5 66 B8 3D 00 EB EF 66 B8 3E 00 EB E9 66 B8 3F 00 EB E3 66 B8 40 00 EB DD 66 B8 41 00 EB D7 66 B8 42 00 EB D1 66 B8 43 00 EB CB 66 B8 44 00 EB C5 66 B8 45 00 EB BF 66 B8 46 00 EB B9 66 B8 47 00 EB B3 66 B8 48 00 EB AD 66 B8 49 00 EB A7 66 B8 4A 00 EB A1 66 B8 4B 00 EB 9B 66 B8 4C 00 EB 95 66 B8 4D 00 EB 8F 66 B8 4E 00 EB 89 66 B8 4F 00 EB 83 E9 D5 FD FF FF 66 B8 50 00 EB F5 66 B8 51 00 EB EF 66 B8 52 00 EB E9 66 B8 53 00 EB E3 66 B8 54 00 EB DD 66 B8 55 00 EB D7 66 B8 56 00 EB D1 66 B8 57 00 EB CB 66 B8 58 00 EB C5 66 B8 59 00 EB BF 66 B8 5A 00 EB B9 66 B8 5B 00 EB B3 66 B8 5C 00 EB AD 66 B8 5D 00 EB A7 66 B8 5E 00 EB A1 66 B8 5F 00 EB 9B 66 B8 60 00 EB 95 66 B8 61 00 EB 8F 66 B8 62 00 EB 89 66 B8 63 00 EB 83 E9 58 FD FF FF 66 B8 64 00 EB F5 66 B8 65 00 EB EF 66 B8 66 00 EB E9 66 B8 67 00 EB E3 66 B8 68 00 EB DD 66 B8 69 00 EB D7 66 B8 6A 00 EB D1 66 B8 6B 00 EB CB 66 B8 6C 00 EB C5 66 B8 6D 00 EB BF 66 B8 6E 00 EB B9 66 B8 6F 00 EB B3 66 B8 70 00 EB AD 66 B8 71 00 EB A7 66 B8 72 00 EB A1 66 B8 73 00 EB 9B 66 B8 74 00 EB 95 66 B8 75 00 EB 8F 66 B8 76 00 EB 89 66 B8 77 00 EB 83 E9 DB FC FF FF 66 B8 78 00 EB F5 66 B8 79 00 EB EF 66 B8 7A 00 EB E9 66 B8 7B 00 EB E3 66 B8 7C 00 EB DD 66 B8 7D 00 EB D7 66 B8 7E 00 EB D1 66 B8 7F 00 EB CB 66 B8 80 00 EB C5 66 B8 81 00 EB BF 66 B8 82 00 EB B9 66 B8 83 00 EB B3 66 B8 84 00 EB AD 66 B8 85 00 EB A7 66 B8 86 00 EB A1 66 B8 87 00 EB 9B 66 B8 88 00 EB 95 66 B8 89 00 EB 8F 66 B8 8A 00 EB 89 66 B8 8B 00 EB 83 E9 5E FC FF FF 66 B8 8C 00 EB F5 66 B8 8D 00 EB EF 66 B8 8E 00 EB E9 66 B8 8F 00 EB E3 66 B8 90 00 EB DD 66 B8 91 00 EB D7 66 B8 92 00 EB D1 66 B8 93 00 EB CB 66 B8 94 00 EB C5 66 B8 95 00 EB BF 66 B8 96 00 EB B9 66 B8 97 00 EB B3 66 B8 98 00 EB AD 66 B8 99 00 EB A7 66 B8 9A 00 EB A1 66 B8 9B 00 EB 9B 66 B8 9C 00 EB 95 66 B8 9D 00 EB 8F 66 B8 9E 00 EB 89 66 B8 9F 00 EB 83 E9 E1 FB FF FF 66 B8 A0 00 EB F5 66 B8 A1 00 EB EF 66 B8 A2 00 EB E9 66 B8 A3 00 EB E3 66 B8 A4 00 EB DD 66 B8 A5 00 EB D7 66 B8 A6 00 EB D1 66 B8 A7 00 EB CB 66 B8 A8 00 EB C5 66 B8 A9 00 EB BF 66 B8 AA 00 EB B9 66 B8 AB 00 EB B3 66 B8 AC 00 EB AD 66 B8 AD 00 EB A7 66 B8 AE 00 EB A1 66 B8 AF 00 EB 9B 66 B8 B0 00 EB 95 66 B8 B1 00 EB 8F 66 B8 B2 00 EB 89 66 B8 B3 00 EB 83 E9 64 FB FF FF 66 B8 B4 00 EB F5 66 B8 B5 00 EB EF 66 B8 B6 00 EB E9 66 B8 B7 00 EB E3 66 B8 B8 00 EB DD 66 B8 B9 00 EB D7 66 B8 BA 00 EB D1 66 B8 BB 00 EB CB 66 B8 BC 00 EB C5 66 B8 BD 00 EB BF 66 B8 BE 00 EB B9 66 B8 BF 00 EB B3 66 B8 C0 00 EB AD 66 B8 C1 00 EB A7 66 B8 C2 00 EB A1 66 B8 C3 00 EB 9B 66 B8 C4 00 EB 95 66 B8 C5 00 EB 8F 66 B8 C6 00 EB 89 66 B8 C7 00 EB 83 E9 E7 FA FF FF 66 B8 C8 00 EB F5 66 B8 C9 00 EB EF 66 B8 CA 00 EB E9 66 B8 CB 00 EB E3 66 B8 CC 00 EB DD 66 B8 CD 00 EB D7 66 B8 CE 00 EB D1 66 B8 CF 00 EB CB 66 B8 D0 00 EB C5 66 B8 D1 00 EB BF 66 B8 D2 00 EB B9 66 B8 D3 00 EB B3 66 B8 D4 00 EB AD 66 B8 D5 00 EB A7 66 B8 D6 00 EB A1 66 B8 D7 00 EB 9B 66 B8 D8 00 EB 95 66 B8 D9 00 EB 8F 66 B8 DA 00 EB 89 66 B8 DB 00 EB 83 E9 6A FA FF FF 66 B8 DC 00 EB F5 66 B8 DD 00 EB EF 66 B8 DE 00 EB E9 66 B8 DF 00 EB E3 66 B8 E0 00 EB DD 66 B8 E1 00 EB D7 66 B8 E2 00 EB D1 66 B8 E3 00 EB CB 66 B8 E4 00 EB C5 66 B8 E5 00 EB BF 66 B8 E6 00 EB B9 66 B8 E7 00 EB B3 66 B8 E8 00 EB AD 66 B8 E9 00 EB A7 66 B8 EA 00 EB A1 66 B8 EB 00 EB 9B 66 B8 EC 00 EB 95 66 B8 ED 00 EB 8F 66 B8 EE 00 EB 89 66 B8 EF 00 EB 83 E9 ED F9 FF FF 66 B8 F0 00 EB F5 66 B8 F1 00 EB EF 66 B8 F2 00 EB E9 66 B8 F3 00 EB E3 66 B8 F4 00 EB DD 66 B8 F5 00 EB D7 66 B8 F6 00 EB D1 66 B8 F7 00 EB CB 66 B8 F8 00 EB C5 66 B8 F9 00 EB BF 66 B8 FA 00 EB B9 66 B8 FB 00 EB B3 66 B8 FC 00 EB AD 66 B8 FD 00 EB A7 66 B8 FE 00 EB A1 66 B8 FF 00 EB 9B 66 B8 00 01 EB 95 66 B8 01 01 EB 8F 66 B8 02 01 EB 89 66 B8 03 01 EB 83 E9 70 F9 FF FF 66 B8 04 01 EB F5 66 B8 05 01 EB EF 66 B8 06 01 EB E9 66 B8 07 01 EB E3 66 B8 08 01 EB DD 66 B8 09 01 EB D7 66 B8 0A 01 EB D1 66 B8 0B 01 EB CB 66 B8 0C 01 EB C5 66 B8 0D 01 EB BF 66 B8 0E 01 EB B9 66 B8 0F 01 EB B3 66 B8 10 01 EB AD 66 B8 11 01 EB A7 66 B8 12 01 EB A1 66 B8 13 01 EB 9B 66 B8 14 01 EB 95 66 B8 15 01 EB 8F 66 B8 16 01 EB 89 66 B8 17 01 EB 83 E9 F3 F8 FF FF 66 B8 18 01 EB F5 66 B8 19 01 EB EF 66 B8 1A 01 EB E9 66 B8 1B 01 EB E3 66 B8 1C 01 EB DD 66 B8 1D 01 EB D7 66 B8 1E 01 EB D1 66 B8 1F 01 EB CB 66 B8 20 01 EB C5 66 B8 21 01 EB BF 66 B8 22 01 EB B9 66 B8 23 01 EB B3 66 B8 24 01 EB AD 66 B8 25 01 EB A7 66 B8 26 01 EB A1 66 B8 27 01 EB 9B 66 B8 28 01 EB 95 66 B8 29 01 EB 8F 66 B8 2A 01 EB 89 66 B8 2B 01 EB 83 E9 76 F8 FF FF 66 B8 2C 01 EB F5 66 B8 2D 01 EB EF 66 B8 2E 01 EB E9 66 B8 2F 01 EB E3 66 B8 30 01 EB DD 66 B8 31 01 EB D7 66 B8 32 01 EB D1 66 B8 33 01 EB CB 66 B8 34 01 EB C5 66 B8 35 01 EB BF 66 B8 36 01 EB B9 66 B8 37 01 EB B3 66 B8 38 01 EB AD 66 B8 39 01 EB A7 66 B8 3A 01 EB A1 66 B8 3B 01 EB 9B 66 B8 3C 01 EB 95 66 B8 3D 01 EB 8F 66 B8 3E 01 EB 89 66 B8 3F 01 EB 83 E9 F9 F7 FF FF 66 B8 40 01 EB F5 66 B8 41 01 EB EF 66 B8 42 01 EB E9 66 B8 43 01 EB E3 66 B8 44 01 EB DD 66 B8 45 01 EB D7 66 B8 46 01 EB D1 66 B8 47 01 EB CB 66 B8 48 01 EB C5 66 B8 49 01 EB BF 66 B8 4A 01 EB B9 66 B8 4B 01 EB B3 66 B8 4C 01 EB AD 66 B8 4D 01 EB A7 66 B8 4E 01 EB A1 66 B8 4F 01 EB 9B 66 B8 50 01 EB 95 66 B8 51 01 EB 8F 66 B8 52 01 EB 89 66 B8 53 01 EB 83 E9 7C F7 FF FF 66 B8 54 01 EB F5 66 B8 55 01 EB EF 66 B8 56 01 EB E9 66 B8 57 01 EB E3 66 B8 58 01 EB DD 66 B8 59 01 EB D7 66 B8 5A 01 EB D1 66 B8 5B 01 EB CB 66 B8 5C 01 EB C5 66 B8 5D 01 EB BF 66 B8 5E 01 EB B9 66 B8 5F 01 EB B3 66 B8 60 01 EB AD 66 B8 61 01 EB A7 66 B8 62 01 EB A1 66 B8 63 01 EB 9B 66 B8 64 01 EB 95 66 B8 65 01 EB 8F 66 B8 66 01 EB 89 66 B8 67 01 EB 83 E9 FF F6 FF FF 66 B8 68 01 EB F5 66 B8 69 01 EB EF 66 B8 6A 01 EB E9 66 B8 6B 01 EB E3 66 B8 6C 01 EB DD 66 B8 6D 01 EB D7 66 B8 6E 01 EB D1 66 B8 6F 01 EB CB 66 B8 70 01 EB C5 66 B8 71 01 EB BF 66 B8 72 01 EB B9 66 B8 73 01 EB B3 66 B8 74 01 EB AD 66 B8 75 01 EB A7 66 B8 76 01 EB A1 66 B8 77 01 EB 9B 66 B8 78 01 EB 95 66 B8 79 01 EB 8F 66 B8 7A 01 EB 89 66 B8 7B 01 EB 83 E9 82 F6 FF FF 66 B8 7C 01 EB F5 66 B8 7D 01 EB EF 66 B8 7E 01 EB E9 66 B8 7F 01 EB E3 66 B8 80 01 EB DD 66 B8 81 01 EB D7 66 B8 82 01 EB D1 66 B8 83 01 EB CB 66 B8 84 01 EB C5 66 B8 85 01 EB BF 66 B8 86 01 EB B9 66 B8 87 01 EB B3 66 B8 88 01 EB AD 66 B8 89 01 EB A7 66 B8 8A 01 EB A1 66 B8 8B 01 EB 9B 66 B8 8C 01 EB 95 66 B8 8D 01 EB 8F 66 B8 8E 01 EB 89 66 B8 8F 01 EB 83 E9 05 F6 FF FF 66 B8 90 01 EB F5 66 B8 91 01 EB EF 66 B8 92 01 EB E9 66 B8 93 01 EB E3 66 B8 94 01 EB DD 66 B8 95 01 EB D7 66 B8 96 01 EB D1 66 B8 97 01 EB CB 66 B8 98 01 EB C5 66 B8 99 01 EB BF 66 B8 9A 01 EB B9 66 B8 9B 01 EB B3 66 B8 9C 01 EB AD 66 B8 9D 01 EB A7 66 B8 9E 01 EB A1 66 B8 9F 01 EB 9B 66 B8 A0 01 EB 95 66 B8 A1 01 EB 8F 66 B8 A2 01 EB 89 66 B8 A3 01 EB 83 E9 88 F5 FF FF 66 B8 A4 01 EB F5 66 B8 A5 01 EB EF 66 B8 A6 01 EB E9 66 B8 A7 01 EB E3 66 B8 A8 01 EB DD 66 B8 A9 01 EB D7 66 B8 AA 01 EB D1 66 B8 AB 01 EB CB 66 B8 AC 01 EB C5 66 B8 AD 01 EB BF 66 B8 AE 01 EB B9 66 B8 AF 01 EB B3 66 B8 B0 01 EB AD 66 B8 B1 01 EB A7 66 B8 B2 01 EB A1 66 B8 B3 01 EB 9B 66 B8 B4 01 EB 95 66 B8 B5 01 EB 8F 66 B8 B6 01 EB 89 66 B8 B7 01 EB 83 E9 0B F5 FF FF 66 B8 B8 01 EB F5 66 B8 B9 01 EB EF 66 B8 BA 01 EB E9 66 B8 BB 01 EB E3 66 B8 BC 01 EB DD 66 B8 BD 01 EB D7 66 B8 BE 01 EB D1 66 B8 BF 01 EB CB 66 B8 C0 01 EB C5 66 B8 C1 01 EB BF 66 B8 C2 01 EB B9 66 B8 C3 01 EB B3 66 B8 C4 01 EB AD 66 B8 C5 01 EB A7 66 B8 C6 01 EB A1 66 B8 C7 01 EB 9B 66 B8 C8 01 EB 95 66 B8 C9 01 EB 8F 66 B8 CA 01 EB 89 66 B8 CB 01 EB 83 E9 8E F4 FF FF 66 B8 CC 01 EB F5 66 B8 CD 01 EB EF 66 B8 CE 01 EB E9 66 B8 CF 01 EB E3 66 B8 D0 01 EB DD 66 B8 D1 01 EB D7 66 B8 D2 01 EB D1 66 B8 D3 01 EB CB 66 B8 D4 01 EB C5 66 B8 D5 01 EB BF 66 B8 D6 01 EB B9 66 B8 D7 01 EB B3 66 B8 D8 01 EB AD 66 B8 D9 01 EB A7 66 B8 DA 01 EB A1 66 B8 DB 01 EB 9B 66 B8 DC 01 EB 95 66 B8 DD 01 EB 8F 66 B8 DE 01 EB 89 66 B8 DF 01 EB 83 E9 11 F4 FF FF 66 B8 E0 01 EB F5 66 B8 E1 01 EB EF 66 B8 E2 01 EB E9 66 B8 E3 01 EB E3 66 B8 E4 01 EB DD 66 B8 E5 01 EB D7 66 B8 E6 01 EB D1 66 B8 E7 01 EB CB 66 B8 E8 01 EB C5 66 B8 E9 01 EB BF 66 B8 EA 01 EB B9 66 B8 EB 01 EB B3 66 B8 EC 01 EB AD 66 B8 ED 01 EB A7 66 B8 EE 01 EB A1 66 B8 EF 01 EB 9B 66 B8 F0 01 EB 95 66 B8 F1 01 EB 8F 66 B8 F2 01 EB 89 66 B8 F3 01 EB 83 E9 94 F3 FF FF 66 B8 F4 01 EB F5 66 B8 F5 01 EB EF 66 B8 F6 01 EB E9 66 B8 F7 01 EB E3 66 B8 F8 01 EB DD 66 B8 F9 01 EB D7 66 B8 FA 01 EB D1 66 B8 FB 01 EB CB 66 B8 FC 01 EB C5 66 B8 FD 01 EB BF 66 B8 FE 01 EB B9 66 B8 FF 01 EB B3 66 B8 00 02 EB AD 66 B8 01 02 EB A7 66 B8 02 02 EB A1 66 B8 03 02 EB 9B 66 B8 04 02 EB 95 66 B8 05 02 EB 8F 66 B8 06 02 EB 89 66 B8 07 02 EB 83 E9 17 F3 FF FF 66 B8 08 02 EB F5 66 B8 09 02 EB EF 66 B8 0A 02 EB E9 66 B8 0B 02 EB E3 66 B8 0C 02 EB DD 66 B8 0D 02 EB D7 66 B8 0E 02 EB D1 66 B8 0F 02 EB CB 66 B8 10 02 EB C5 66 B8 11 02 EB BF 66 B8 12 02 EB B9 66 B8 13 02 EB B3 66 B8 14 02 EB AD 66 B8 15 02 EB A7 66 B8 16 02 EB A1 66 B8 17 02 EB 9B 66 B8 18 02 EB 95 66 B8 19 02 EB 8F 66 B8 1A 02 EB 89 66 B8 1B 02 EB 83 E9 9A F2 FF FF 66 B8 1C 02 EB F5 66 B8 1D 02 EB EF 66 B8 1E 02 EB E9 66 B8 1F 02 EB E3 66 B8 20 02 EB DD 66 B8 21 02 EB D7 66 B8 22 02 EB D1 66 B8 23 02 EB CB 66 B8 24 02 EB C5 66 B8 25 02 EB BF 66 B8 26 02 EB B9 66 B8 27 02 EB B3 66 B8 28 02 EB AD 66 B8 29 02 EB A7 66 B8 2A 02 EB A1 66 B8 2B 02 EB 9B 66 B8 2C 02 EB 95 66 B8 2D 02 EB 8F 66 B8 2E 02 EB 89 66 B8 2F 02 EB 83 E9 1D F2 FF FF 66 B8 30 02 EB F5 66 B8 31 02 EB EF 66 B8 32 02 EB E9 66 B8 33 02 EB E3 66 B8 34 02 EB DD 66 B8 35 02 EB D7 66 B8 36 02 EB D1 66 B8 37 02 EB CB 66 B8 38 02 EB C5 66 B8 39 02 EB BF 66 B8 3A 02 EB B9 66 B8 3B 02 EB B3 66 B8 3C 02 EB AD 66 B8 3D 02 EB A7 66 B8 3E 02 EB A1 66 B8 3F 02 EB 9B 66 B8 40 02 EB 95 66 B8 41 02 EB 8F 66 B8 42 02 EB 89 66 B8 43 02 EB 83 E9 A0 F1 FF FF 66 B8 44 02 EB F5 66 B8 45 02 EB EF 66 B8 46 02 EB E9 66 B8 47 02 EB E3 66 B8 48 02 EB DD 66 B8 49 02 EB D7 66 B8 4A 02 EB D1 66 B8 4B 02 EB CB 66 B8 4C 02 EB C5 66 B8 4D 02 EB BF 66 B8 4E 02 EB B9 66 B8 4F 02 EB B3 66 B8 50 02 EB AD 66 B8 51 02 EB A7 66 B8 52 02 EB A1 66 B8 53 02 EB 9B 66 B8 54 02 EB 95 66 B8 55 02 EB 8F 66 B8 56 02 EB 89 66 B8 57 02 EB 83 E9 23 F1 FF FF 66 B8 58 02 EB F5 66 B8 59 02 EB EF 66 B8 5A 02 EB E9 66 B8 5B 02 EB E3 66 B8 5C 02 EB DD 66 B8 5D 02 EB D7 66 B8 5E 02 EB D1 66 B8 5F 02 EB CB 66 B8 60 02 EB C5 66 B8 61 02 EB BF 66 B8 62 02 EB B9 66 B8 63 02 EB B3 66 B8 64 02 EB AD 66 B8 65 02 EB A7 66 B8 66 02 EB A1 66 B8 67 02 EB 9B 66 B8 68 02 EB 95 66 B8 69 02 EB 8F 66 B8 6A 02 EB 89 66 B8 6B 02 EB 83 E9 A6 F0 FF FF 66 B8 6C 02 EB F5 66 B8 6D 02 EB EF 66 B8 6E 02 EB E9 66 B8 6F 02 EB E3 66 B8 70 02 EB DD 66 B8 71 02 EB D7 66 B8 72 02 EB D1 66 B8 73 02 EB CB 66 B8 74 02 EB C5 66 B8 75 02 EB BF 66 B8 76 02 EB B9 66 B8 77 02 EB B3 66 B8 78 02 EB AD 66 B8 79 02 EB A7 66 B8 7A 02 EB A1 66 B8 7B 02 EB 9B 66 B8 7C 02 EB 95 66 B8 7D 02 EB 8F 66 B8 7E 02 EB 89 66 B8 7F 02 EB 83 E9 29 F0 FF FF 66 B8 80 02 EB F5 66 B8 81 02 EB EF 66 B8 82 02 EB E9 66 B8 83 02 EB E3 66 B8 84 02 EB DD 66 B8 85 02 EB D7 66 B8 86 02 EB }
	condition:
		$1
}

rule function_1235_0 {
	meta:
		name = "_DF_."
		size = 1233
		refs = "00a7 IsDBCSLeadByte 00d0 GetCurrentDirectoryA 00e4 FatalAppExitA 014b GlobalAlloc 0151 GlobalLock 016d FindFirstFileA 0178 FindClose 01a0 _DV_. 01aa RegOpenKeyExA 01cd RegQueryValueExA 01dd RegCloseKey 01f9 InitializeCriticalSection 0222 DeleteCriticalSection 023b InterlockedIncrement 0249 CreateMutexA 0263 InterlockedDecrement 026d ReleaseMutex 027b CloseHandle 0285 EnterCriticalSection 02a3 LeaveCriticalSection 02c1 SetErrorMode 030c LoadLibraryA 0347 SearchPathA 036e GetLastError 039e __APIINFOTABLE 03a8 __APIINFOTABLEEND 0468 GetModuleHandleA"
	strings:
		$1 = { 55 8B EC 53 8B 55 08 8B 45 0C 80 38 00 74 0A 8A 08 40 8A 1A 42 3A CB 74 F1 80 38 00 75 0C 80 3A 00 75 07 B8 01 00 00 00 EB 02 33 C0 5B 5D C2 08 00 55 8B EC 53 56 57 8B 75 08 8B 55 0C 8B 4D 10 66 85 F6 74 2E 33 C0 EB 0F 0F B7 D8 8D 3C 19 0F B7 D8 8A 1C 1A 88 1F 40 0F B7 D8 80 3C 1A 00 74 0B 0F B7 D8 0F B7 FE 4F 3B DF 7C DD 0F B7 C0 C6 04 01 00 5F 5E 5B 5D C2 0C 00 55 8B EC 53 56 57 8B 7D 08 8B 75 0C 83 C8 FF 33 DB 3B FB 7E 2E 8A 14 1E 84 D2 75 05 83 C8 FF EB 22 48 75 07 B8 02 00 00 00 EB 13 52 E8 ?? ?? ?? ?? 85 C0 74 07 B8 01 00 00 00 EB 02 33 C0 43 3B FB 7F D2 5F 5E 5B 5D C2 08 00 55 8B EC 53 8B 5D 0C 53 FF 75 08 E8 ?? ?? ?? ?? 8B C3 5B 5D C2 08 00 55 8B EC FF 75 08 6A 00 E8 ?? ?? ?? ?? 5D C2 04 00 55 8B EC 53 56 8B 75 10 8B DE 8B 45 0C 33 D2 EB 08 8A 08 40 43 88 4B FF 42 80 38 00 75 F3 3B F3 74 1A 80 7B FF 5C 75 10 56 0F BF C2 48 50 E8 5B FF FF FF 83 F8 02 75 04 C6 03 5C 43 8B 45 08 EB 07 8A 10 40 43 88 53 FF 80 38 00 75 F4 C6 03 00 5E 5B 5D C2 0C 00 55 8B EC FF 75 08 6A 40 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D C2 04 00 55 8B EC 81 C4 C0 FE FF FF 8D 85 C0 FE FF FF 50 FF 75 08 E8 ?? ?? ?? ?? 83 F8 FF 74 0D 50 E8 ?? ?? ?? ?? B8 01 00 00 00 EB 02 33 C0 8B E5 5D C2 04 00 55 8B EC 83 C4 F8 53 33 DB 8D 45 FC 50 68 19 00 02 00 6A 00 68 ?? ?? ?? ?? 68 02 00 00 80 E8 ?? ?? ?? ?? 85 C0 75 31 0F B7 55 08 89 55 F8 8D 4D F8 51 FF 75 0C 6A 00 6A 00 68 ?? ?? ?? ?? FF 75 FC E8 ?? ?? ?? ?? 85 C0 74 04 66 BB 04 2A FF 75 FC E8 ?? ?? ?? ?? EB 04 66 BB 04 2A 8B C3 5B 59 59 5D C2 08 00 55 8B EC 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 5D C3 55 8B EC 83 3D ?? ?? ?? ?? 00 74 11 33 C0 A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 55 8B EC 53 83 3D ?? ?? ?? ?? 00 75 4A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 01 6A 00 E8 ?? ?? ?? ?? 8B D8 83 3D ?? ?? ?? ?? 00 75 05 E8 93 FF FF FF 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 08 53 E8 ?? ?? ?? ?? EB 0C 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 01 00 00 00 5B 5D C3 55 8B EC 83 3D ?? ?? ?? ?? 00 74 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 55 8B EC 81 C4 F0 FC FF FF 53 56 57 8B 5D 08 8B 75 0C 68 00 80 00 00 E8 ?? ?? ?? ?? 8B F8 85 DB 74 04 8B C3 EB 17 8D 95 F8 FE FF FF 52 68 04 01 00 00 E8 E4 FD FF FF 8D 85 F8 FE FF FF 8D 95 F0 FC FF FF 52 50 56 E8 F8 FD FF FF 8D 8D F0 FC FF FF 51 E8 59 FE FF FF 85 C0 74 12 8D 85 F0 FC FF FF 50 E8 ?? ?? ?? ?? 8B D8 85 DB 75 5C 8D 85 F4 FD FF FF 50 68 04 01 00 00 E8 64 FE FF FF 66 85 C0 75 35 8D 55 FC 52 8D 8D F0 FC FF FF 51 68 04 01 00 00 6A 00 56 8D 85 F4 FD FF FF 50 E8 ?? ?? ?? ?? 85 C0 74 12 8D 95 F0 FC FF FF 52 E8 ?? ?? ?? ?? 8B D8 85 DB 75 11 56 E8 ?? ?? ?? ?? 8B D8 85 DB 75 05 E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 55 8B EC 8B 45 08 5D C2 04 00 55 8B EC 5D C2 04 00 55 8B EC 53 56 57 8B 75 08 BF ?? ?? ?? ?? E8 81 FE FF FF B8 ?? ?? ?? ?? 2B C7 B9 30 00 00 00 33 D2 F7 F1 33 DB 3B C3 76 11 8B D3 03 D2 8D 14 52 3B 34 D7 74 05 43 3B C3 77 EF 3B C3 76 64 33 F6 EB 20 8B C3 C1 E0 04 8D 04 40 03 C7 50 56 8B D3 03 D2 8D 14 52 8B 4C D7 2A FF 34 B1 E8 C6 00 00 00 46 8B C3 03 C0 8D 04 40 0F B7 54 C7 04 3B F2 72 D0 8B CB C1 E1 04 8D 0C 49 03 CF 51 E8 6D FF FF FF 8B D3 03 D2 8D 14 52 33 C9 89 0C D0 8B D3 03 D2 8D 14 52 66 C7 44 D0 2E 00 00 50 E8 57 FF FF FF E8 CE FD FF FF 5F 5E 5B 5D C2 04 00 55 8B EC 51 53 56 57 8B 7D 08 33 C0 89 45 FC 57 E8 2C FF FF FF 8B D8 85 DB 75 06 66 B8 01 25 EB 50 8D 57 06 52 E8 ?? ?? ?? ?? 8B F0 85 F6 75 24 83 C7 06 57 6A 00 E8 2C FE FF FF 8B F0 85 F6 75 0C 53 E8 04 FF FF FF 66 B8 0A 21 EB 24 C7 45 FC 01 00 00 00 89 33 66 8B 55 FC 66 09 53 2E 53 E8 E7 FE FF FF 56 68 ?? ?? ?? ?? E8 15 02 00 00 33 C0 5F 5E 5B 59 5D C2 04 00 55 8B EC 8B 45 10 8B 50 26 8B 4D 0C 8B 45 08 89 04 8A 5D C2 0C 00 }
	condition:
		$1
}

rule function_1236_0 {
	meta:
		name = "__LOADFUNC"
		size = 661
		refs = "0040 GetProcAddress 007e __APIINFOTABLE 0090 __APIINFOTABLEEND 00ce FreeLibrary 01c3 _DV_. 0264 GetLastError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 08 8B 1E 8B 7E 04 E8 44 FD FF FF 85 C0 75 07 B8 06 2A 00 00 EB 42 83 3B 00 75 12 53 E8 48 FF FF FF 66 85 C0 74 07 0F B7 D0 8B C2 EB 2B 66 8B 46 08 0F B7 D0 52 FF 33 E8 ?? ?? ?? ?? 8B F0 85 F6 75 07 B8 4F 27 00 00 EB 0F 53 57 56 E8 91 FF FF FF E8 62 FD FF FF 8B C6 5F 5E 5B 5D C2 04 00 55 8B EC E8 B0 FC FF FF B8 01 00 00 00 5D C3 55 8B EC 51 53 56 57 BF ?? ?? ?? ?? E8 D0 FC FF FF 85 C0 0F 84 B5 00 00 00 B8 ?? ?? ?? ?? 2B C7 B9 30 00 00 00 33 D2 F7 F1 89 45 FC 33 DB 3B 5D FC 73 63 8B C3 03 C0 8D 04 40 8B 34 C7 85 F6 74 1B 56 E8 6E 01 00 00 8B C3 03 C0 8D 04 40 66 83 7C C7 2E 00 74 06 56 E8 ?? ?? ?? ?? 33 F6 EB 20 8B C3 C1 E0 04 8D 04 40 03 C7 50 56 8B D3 03 D2 8D 14 52 8B 4C D7 2A FF 34 B1 E8 F5 FE FF FF 46 8B C3 03 C0 8D 04 40 0F B7 54 C7 04 3B F2 72 D0 43 3B 5D FC 72 9D 57 E8 A0 FD FF FF 33 DB 3B 5D FC 73 20 8B D3 03 D2 8D 14 52 33 C9 89 0C D0 8B D3 03 D2 8D 14 52 66 C7 44 D0 2E 00 00 43 3B 5D FC 72 E0 50 E8 7D FD FF FF E8 F4 FB FF FF 5F 5E 5B 59 5D C3 55 8B EC 53 56 57 8B 75 0C 56 FF 75 08 E8 D3 F9 FF FF 85 C0 74 0A B8 01 00 00 00 E9 84 00 00 00 B8 ?? ?? ?? ?? 2D ?? ?? ?? ?? B9 30 00 00 00 33 D2 F7 F1 8B F8 33 DB 3B FB 76 67 8B C3 C1 E0 04 8D 04 40 05 ?? ?? ?? ?? 50 56 E8 96 F9 FF FF 85 C0 75 4A 8B D3 03 D2 8D 14 52 83 3C D5 ?? ?? ?? ?? 00 74 04 33 C0 EB 3C 68 ?? ?? ?? ?? E8 F6 FC FF FF 8B D8 85 DB 75 0A 68 ?? ?? ?? ?? E8 3E FA FF FF 8D 43 06 50 FF 75 08 6A 20 E8 86 F9 FF FF 53 E8 DC FC FF FF B8 01 00 00 00 EB 07 43 3B FB 77 99 33 C0 5F 5E 5B 5D C2 08 00 55 8B EC 83 C4 F4 68 ?? ?? ?? ?? FF 75 0C E8 ?? ?? ?? ?? 66 C7 45 F4 01 00 C7 45 F6 ?? ?? ?? ?? 8B 55 08 89 55 FA 85 C0 74 06 8D 4D F4 51 FF D0 8B E5 5D C2 08 00 55 8B EC 53 8B 5D 08 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 74 04 FF D0 EB 16 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 74 07 68 ?? ?? ?? ?? FF D0 5B 5D C2 04 00 55 8B EC E8 ?? ?? ?? ?? 83 C0 FE 83 E8 02 72 11 83 E8 0A 74 12 83 E8 70 74 07 83 E8 23 74 02 EB 0C 66 B8 08 21 EB 0A 66 B8 01 25 EB 04 66 B8 09 21 5D C2 04 00 }
	condition:
		$1
}

rule function_1237_0 {
	meta:
		name = "DbiInitFn"
		size = 251
		refs = "0017 _DV_. 0075 GetProcAddress 00d8 FreeLibrary"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 FC 33 D2 89 55 F8 33 FF 83 3D ?? ?? ?? ?? 00 75 40 68 ?? ?? ?? ?? 6A 00 E8 19 FB FF FF 8B D8 85 DB 75 0F 53 E8 95 FF FF FF 8B F0 33 DB E9 8D 00 00 00 C7 45 F8 01 00 00 00 E8 87 FD FF FF 85 C0 75 06 66 BE 01 25 EB 77 C7 45 FC 01 00 00 00 EB 06 8B 1D ?? ?? ?? ?? E8 59 FA FF FF BF 01 00 00 00 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 75 06 66 BE 06 2A EB 49 FF 75 0C 66 8B 55 08 52 FF D0 8B F0 66 85 F6 75 38 66 83 3D ?? ?? ?? ?? 00 75 12 68 ?? ?? ?? ?? E8 75 FB FF FF 89 18 50 E8 77 FB FF FF 68 ?? ?? ?? ?? E8 63 FB FF FF 66 FF 00 50 E8 64 FB FF FF E8 63 FA FF FF 33 C0 EB 26 85 DB 74 0C 83 7D F8 00 74 06 53 E8 ?? ?? ?? ?? 83 7D FC 00 74 05 E8 FA FC FF FF 85 FF 74 05 E8 3B FA FF FF 8B C6 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1238_0 {
	meta:
		name = "DbiExit"
		size = 128
		refs = "0006 _DV_. 0011 GetProcAddress 0062 FreeLibrary"
	strings:
		$1 = { 55 8B EC 53 56 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 06 66 B8 4F 27 EB 5B FF D3 66 85 C0 75 54 66 83 3D ?? ?? ?? ?? 00 76 48 68 ?? ?? ?? ?? E8 E6 FA FF FF 8B D8 85 DB 74 03 66 FF 0B 66 83 3D ?? ?? ?? ?? 00 75 25 68 ?? ?? ?? ?? E8 C9 FA FF FF 8B F0 FF 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 74 04 33 C0 89 06 56 E8 B8 FA FF FF 53 E8 B2 FA FF FF 33 C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1239_0 {
	meta:
		name = "DbiDLLExit"
		size = 100
		refs = "0008 __APIINFOTABLEEND 000d __APIINFOTABLE 0033 INFO_IDAPI32 005e DbiGetSysVersion"
	strings:
		$1 = { 55 8B EC 53 56 33 F6 B8 ?? ?? ?? ?? 2D ?? ?? ?? ?? B9 30 00 00 00 33 D2 F7 F1 85 C0 74 07 E8 43 FC FF FF EB 2D E8 1D F9 FF FF 85 C0 75 04 8B C6 EB 22 BB ?? ?? ?? ?? 8B 03 85 C0 74 10 50 E8 D8 FD FF FF 33 D2 89 13 66 C7 43 2E 00 00 E8 D6 F8 FF FF 8B C6 5E 5B 5D C3 55 8B EC 6A 00 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_1242_0 {
	meta:
		name = "TDRList.CreateHandle"
		size = 17
		refs = "0003 DbiOpenRepositoryList 0008 Check"
	strings:
		$1 = { 51 54 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_1243_0 {
	meta:
		name = "TDRObjectDescList.CreateHandle"
		size = 28
		refs = "000d DbiDROpenObjectTypeList 0012 Check"
	strings:
		$1 = { 53 51 8B D8 54 8B 83 40 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_1244_0 {
	meta:
		name = "TDRRelationshipDescList.CreateHandle"
		size = 114
		refs = "0012 TDRRelationshipDescList.CreateHandle 002f @LStrFromUStr 0037 @LStrToPChar 0044 DbiDROpenRelTypeList 0049 Check 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 45 F8 8B 93 48 02 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 83 40 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1245_0 {
	meta:
		name = "TDRAttrDescList.CreateHandle"
		size = 114
		refs = "0012 TDRAttrDescList.CreateHandle 002f @LStrFromUStr 0037 @LStrToPChar 0044 DbiDROpenAttrTypeList 0049 Check 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 45 F8 8B 93 48 02 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 83 40 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1246_0 {
	meta:
		name = "TDRObjectList.CreateHandle"
		size = 135
		refs = "0012 TDRObjectList.CreateHandle 0044 @LStrFromUStr 004c @LStrToPChar 0059 DbiDROpenObjSet 005e Check 0073 @LStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 83 50 02 00 00 50 8B 83 58 02 00 00 50 8D 83 5C 02 00 00 50 8D 45 F8 8B 93 48 02 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 83 40 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1247_0 {
	meta:
		name = "TDRObjectList.NavigateFrom"
		size = 41
		refs = "0022 @UStrAsg"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B 02 89 83 5C 02 00 00 66 8B 42 04 66 89 83 60 02 00 00 8D 83 58 02 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1248_0 {
	meta:
		name = "TDRRelationshipList.CreateHandle"
		size = 165
		refs = "0014 TDRRelationshipList.CreateHandle 0060 @LStrFromUStr 0068 @LStrToPChar 0075 DbiDROpenRelSet 007a Check 008f @LStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 58 02 00 00 00 75 04 33 F6 EB 06 8D B3 58 02 00 00 83 BB 5E 02 00 00 00 75 04 33 FF EB 06 8D BB 5E 02 00 00 8D 45 FC 50 8B 83 50 02 00 00 50 57 56 8D 45 F8 8B 93 48 02 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 83 40 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1249_0 {
	meta:
		name = "TDRRelationshipList.NavigateFromTo"
		size = 43
	strings:
		$1 = { 53 8B D9 8B 0A 89 88 58 02 00 00 66 8B 4A 04 66 89 88 5C 02 00 00 8B 13 89 90 5E 02 00 00 66 8B 53 04 66 89 90 62 02 00 00 5B C3 }
	condition:
		$1
}

rule function_1250_0 {
	meta:
		name = "TQueryDescription.CreateHandle"
		size = 70
		refs = "001d TQuery.Prepare 0037 DbiQGetBaseDescs 003c Check"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 8B 83 40 02 00 00 85 C0 74 2D 83 B8 84 01 00 00 00 75 0C E8 ?? ?? ?? ?? C6 83 44 02 00 00 01 54 8B 83 40 02 00 00 8B 80 84 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_1251_0 {
	meta:
		name = "TQueryDescription.DestroyHandle"
		size = 32
		refs = "0006 TBDEDataSet.DestroyHandle 001a TQuery.UnPrepare"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 44 02 00 00 00 74 0B 8B 83 40 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1252_0 {
	meta:
		name = "TQueryDescription.OpenCursor"
		size = 35
		refs = "0006 TBDEDataSet.OpenCursor 001d TBDEDataSet.SetLocale"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 40 02 00 00 85 C0 74 0D 8B 90 98 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1257_0 {
	meta:
		name = "GetObjectContext"
		size = 136
		refs = "0015 GetObjectContext 0040 @HandleAnyException 0045 @DoneExcept 0056 @IntfCopy 0060 @IntfClear 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 0D 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1259_0 {
	meta:
		name = "bdemts"
		size = 31
		refs = "0002 _DV_1 000a GetObjectContextProc 001a GetObjectContext"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 A1 ?? ?? ?? ?? 83 38 00 75 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19231_0 {
	meta:
		name = "Datasnap.DSLoginDlg"
		size = 31
		refs = "0002 _DV_1 000a DSRestLoginDialogProc 001a LoginDialog"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 A1 ?? ?? ?? ?? 83 38 00 75 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1260_0 {
	meta:
		name = "CoBinder.Create"
		size = 100
		refs = "000c CoBinder.Create 001a CLASS_Binder 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 D0 75 23 D0 9A 6A 1B 10 B5 A0 00 AA 00 4A 2F 7E }
	condition:
		$1
}

rule function_1261_0 {
	meta:
		name = "CoBinder.CreateRemote"
		size = 128
		refs = "0011 CoBinder.CreateRemote 0021 @WStrFromUStr 002c CLASS_Binder 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 D0 75 23 D0 9A 6A 1B 10 B5 A0 00 AA 00 4A 2F 7E }
	condition:
		$1
}

rule function_1262_0 {
	meta:
		name = "TBinder.InitServerData"
		size = 9
		refs = "0001 CServerData"
		altNames = "TCOMAdminCatalog.InitServerData TCOMAdminCatalogCollection.InitServerData TCOMAdminCatalogObject.InitServerData TInternetExplorer.InitServerData TInternetExplorerMedium.InitServerData TMaster.InitServerData TOLECtrl.InitServerData TOutlookApplication.InitServerData TPowerPointApplication.InitServerData TPowerPointPresentation.InitServerData TPowerPointSlide.InitServerData TPowerRex.InitServerData TShellNameSpace.InitServerData TShellUIHelper.InitServerData TShellWindows.InitServerData"
	strings:
		$1 = { BA ?? ?? ?? ?? 89 50 38 C3 }
	condition:
		$1
}

rule function_1263_0 {
	meta:
		name = "TBinder.Connect"
		size = 104
		refs = "000c TBinder.Connect 0032 @IntfCast 0047 @IntfClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 58 00 75 1A 8D 55 FC 8B C3 8B 08 FF 51 44 8D 43 58 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 D0 75 23 D0 9A 6A 1B 10 B5 A0 00 AA 00 4A 2F 7E }
	condition:
		$1
}

rule function_1264_0 {
	meta:
		name = "TBinder.ConnectTo"
		size = 83
		refs = "000e @IntfAddRef 0016 TBinder.ConnectTo 002e @IntfCopy 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 8D 43 58 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_74271_0 {
	meta:
		name = "TCOMAdminCatalog.ConnectTo"
		size = 83
		refs = "000e @IntfAddRef 0016 TCOMAdminCatalog.ConnectTo 002e @IntfCopy 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 8D 43 58 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_74318_0 {
	meta:
		name = "TCOMAdminCatalogCollection.ConnectTo"
		size = 83
		refs = "000e @IntfAddRef 0016 TCOMAdminCatalogCollection.ConnectTo 002e @IntfCopy 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 8D 43 58 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_74303_0 {
	meta:
		name = "TCOMAdminCatalogObject.ConnectTo"
		size = 83
		refs = "000e @IntfAddRef 0016 TCOMAdminCatalogObject.ConnectTo 002e @IntfCopy 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 8D 43 58 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47936_0 {
	meta:
		name = "TPowerRex.ConnectTo"
		size = 83
		refs = "000e @IntfAddRef 0016 TPowerRex.ConnectTo 002e @IntfCopy 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 8D 43 58 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48441_0 {
	meta:
		name = "TShellUIHelper.ConnectTo"
		size = 83
		refs = "000e @IntfAddRef 0016 TShellUIHelper.ConnectTo 002e @IntfCopy 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 8D 43 58 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1265_0 {
	meta:
		name = "TBinder.Disconnect"
		size = 19
		refs = "000d @IntfClear"
		altNames = "TCOMAdminCatalog.Disconnect TCOMAdminCatalogCollection.Disconnect TCOMAdminCatalogObject.Disconnect TPowerRex.Disconnect TShellUIHelper.Disconnect"
	strings:
		$1 = { 53 8B D8 83 7B 58 00 74 08 8D 43 58 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1266_0 {
	meta:
		name = "TBinder.GetDefaultInterface"
		size = 32
		refs = "0019 @IntfCopy"
		altNames = "TCOMAdminCatalog.GetDefaultInterface TCOMAdminCatalogCollection.GetDefaultInterface TCOMAdminCatalogObject.GetDefaultInterface TMaster.GetDefaultInterface TPowerPointPresentation.GetDefaultInterface TPowerPointSlide.GetDefaultInterface TPowerRex.GetDefaultInterface TShellUIHelper.GetDefaultInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 58 00 75 07 8B C3 8B 10 FF 52 4C 8B C6 8B 53 58 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1269_0 {
	meta:
		name = "TBinder.Get_Name"
		size = 91
		refs = "000f TBinder.Get_Name 001c @WStrClr 0027 TBinder.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47660_0 {
	meta:
		name = "TMaster.Get_Application"
		size = 91
		refs = "000f TMaster.Get_Application 001c @IntfClear 0027 TMaster.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47719_0 {
	meta:
		name = "TOutlookApplication.Get_Application"
		size = 91
		refs = "000f TOutlookApplication.Get_Application 001c @IntfClear 0027 TOutlookApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14933_0 {
	meta:
		name = "TParameter.GetProperties"
		size = 91
		refs = "000f TParameter.GetProperties 001c @IntfClear 0027 TParameter.GetParameter 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47598_0 {
	meta:
		name = "TPowerPointApplication.Get_Presentations"
		size = 91
		refs = "000f TPowerPointApplication.Get_Presentations 001c @IntfClear 0027 TPowerPointApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47496_0 {
	meta:
		name = "TPowerPointPresentation.Get_Application"
		size = 91
		refs = "000f TPowerPointPresentation.Get_Application 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47455_0 {
	meta:
		name = "TPowerPointSlide.Get_Application"
		size = 91
		refs = "000f TPowerPointSlide.Get_Application 001c @IntfClear 0027 TPowerPointSlide.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1270_0 {
	meta:
		name = "TBinder.Get_Path"
		size = 91
		refs = "000f TBinder.Get_Path 001c @WStrClr 0027 TBinder.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47661_0 {
	meta:
		name = "TMaster.Get_Parent"
		size = 91
		refs = "000f TMaster.Get_Parent 001c @IntfClear 0027 TMaster.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14923_0 {
	meta:
		name = "TParameter.GetName"
		size = 91
		refs = "000f TParameter.GetName 001c @WStrClr 0027 TParameter.GetParameter 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47599_0 {
	meta:
		name = "TPowerPointApplication.Get_Windows"
		size = 91
		refs = "000f TPowerPointApplication.Get_Windows 001c @IntfClear 0027 TPowerPointApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47497_0 {
	meta:
		name = "TPowerPointPresentation.Get_Parent"
		size = 91
		refs = "000f TPowerPointPresentation.Get_Parent 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47456_0 {
	meta:
		name = "TPowerPointSlide.Get_Parent"
		size = 91
		refs = "000f TPowerPointSlide.Get_Parent 001c @IntfClear 0027 TPowerPointSlide.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1271_0 {
	meta:
		name = "TBinder.Get_ActiveSection"
		size = 91
		refs = "000f TBinder.Get_ActiveSection 001c @IntfClear 0027 TBinder.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74310_0 {
	meta:
		name = "TCOMAdminCatalogObject.Get_Key"
		size = 91
		refs = "000f TCOMAdminCatalogObject.Get_Key 001c @VarClr 0027 TCOMAdminCatalogObject.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47662_0 {
	meta:
		name = "TMaster.Get_Shapes"
		size = 91
		refs = "000f TMaster.Get_Shapes 001c @IntfClear 0027 TMaster.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47721_0 {
	meta:
		name = "TOutlookApplication.Get_Session"
		size = 91
		refs = "000f TOutlookApplication.Get_Session 001c @IntfClear 0027 TOutlookApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47600_0 {
	meta:
		name = "TPowerPointApplication.Get_Dialogs"
		size = 91
		refs = "000f TPowerPointApplication.Get_Dialogs 001c @IntfClear 0027 TPowerPointApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47498_0 {
	meta:
		name = "TPowerPointPresentation.Get_SlideMaster"
		size = 91
		refs = "000f TPowerPointPresentation.Get_SlideMaster 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47457_0 {
	meta:
		name = "TPowerPointSlide.Get_Shapes"
		size = 91
		refs = "000f TPowerPointSlide.Get_Shapes 001c @IntfClear 0027 TPowerPointSlide.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48428_0 {
	meta:
		name = "TShellWindows._NewEnum"
		size = 91
		refs = "000f TShellWindows._NewEnum 001c @IntfClear 0027 TShellWindows.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1272_0 {
	meta:
		name = "TBinder.Get_Sections"
		size = 91
		refs = "000f TBinder.Get_Sections 001c @IntfClear 0027 TBinder.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74311_0 {
	meta:
		name = "TCOMAdminCatalogObject.Get_Name"
		size = 91
		refs = "000f TCOMAdminCatalogObject.Get_Name 001c @VarClr 0027 TCOMAdminCatalogObject.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47663_0 {
	meta:
		name = "TMaster.Get_HeadersFooters"
		size = 91
		refs = "000f TMaster.Get_HeadersFooters 001c @IntfClear 0027 TMaster.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47722_0 {
	meta:
		name = "TOutlookApplication.Get_Parent"
		size = 91
		refs = "000f TOutlookApplication.Get_Parent 001c @IntfClear 0027 TOutlookApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14936_0 {
	meta:
		name = "TParameter.GetValue"
		size = 91
		refs = "000f TParameter.GetValue 001c @VarClr 0027 TParameter.GetParameter 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47601_0 {
	meta:
		name = "TPowerPointApplication.Get_ActiveWindow"
		size = 91
		refs = "000f TPowerPointApplication.Get_ActiveWindow 001c @IntfClear 0027 TPowerPointApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47499_0 {
	meta:
		name = "TPowerPointPresentation.Get_TitleMaster"
		size = 91
		refs = "000f TPowerPointPresentation.Get_TitleMaster 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47458_0 {
	meta:
		name = "TPowerPointSlide.Get_HeadersFooters"
		size = 91
		refs = "000f TPowerPointSlide.Get_HeadersFooters 001c @IntfClear 0027 TPowerPointSlide.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1273_0 {
	meta:
		name = "TBinder.Get_SelectedSectionNames"
		size = 91
		refs = "000f TBinder.Get_SelectedSectionNames 001c @VarClr 0027 TBinder.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74325_0 {
	meta:
		name = "TCOMAdminCatalogCollection.Get_Name"
		size = 91
		refs = "000f TCOMAdminCatalogCollection.Get_Name 001c @VarClr 0027 TCOMAdminCatalogCollection.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48249_0 {
	meta:
		name = "TInternetExplorer.Get_Application"
		size = 91
		refs = "000f TInternetExplorer.Get_Application 001c @IntfClear 0027 TInternetExplorer.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48336_0 {
	meta:
		name = "TInternetExplorerMedium.Get_Application"
		size = 91
		refs = "000f TInternetExplorerMedium.Get_Application 001c @IntfClear 0027 TInternetExplorerMedium.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47736_0 {
	meta:
		name = "TOutlookApplication.ActiveInspector"
		size = 91
		refs = "000f TOutlookApplication.ActiveInspector 001c @IntfClear 0027 TOutlookApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47606_0 {
	meta:
		name = "TPowerPointApplication.Get_Name"
		size = 91
		refs = "000f TPowerPointApplication.Get_Name 001c @WStrClr 0027 TPowerPointApplication.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47502_0 {
	meta:
		name = "TPowerPointPresentation.Get_NotesMaster"
		size = 91
		refs = "000f TPowerPointPresentation.Get_NotesMaster 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47463_0 {
	meta:
		name = "TPowerPointSlide.Get_Name"
		size = 91
		refs = "000f TPowerPointSlide.Get_Name 001c @WStrClr 0027 TPowerPointSlide.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48205_0 {
	meta:
		name = "TWebBrowser.Get_Application"
		size = 91
		refs = "000f TWebBrowser.Get_Application 001c @IntfClear 0027 TWebBrowser.GetControlInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1274_0 {
	meta:
		name = "TBinder.Set_SelectedSectionNames"
		size = 127
		refs = "001d @VarAddRef 0025 TBinder.Set_SelectedSectionNames 0041 TBinder.GetDefaultInterface 004f @CheckAutoResult 0064 @IntfClear 006c @VarClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1275_0 {
	meta:
		name = "TBinder.Get_Visible"
		size = 96
		refs = "0012 TBinder.Get_Visible 0026 TBinder.GetDefaultInterface 0034 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74327_0 {
	meta:
		name = "TCOMAdminCatalogCollection.Get_RemoveEnabled"
		size = 96
		refs = "0012 TCOMAdminCatalogCollection.Get_RemoveEnabled 0026 TCOMAdminCatalogCollection.GetDefaultInterface 0034 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48534_0 {
	meta:
		name = "TShellNameSpace.CreateSubscriptionForSelection"
		size = 96
		refs = "0012 TShellNameSpace.CreateSubscriptionForSelection 0026 TShellNameSpace.GetDefaultInterface 0034 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1276_0 {
	meta:
		name = "TBinder.Set_Visible"
		size = 84
		refs = "000f TBinder.Set_Visible 0020 TBinder.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48465_0 {
	meta:
		name = "TShellUIHelper.AutoCompleteAttach"
		size = 84
		refs = "000f TShellUIHelper.AutoCompleteAttach 0020 TShellUIHelper.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1277_0 {
	meta:
		name = "TBinder.Get_LeftPane"
		size = 96
		refs = "0012 TBinder.Get_LeftPane 0026 TBinder.GetDefaultInterface 0034 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48253_0 {
	meta:
		name = "TInternetExplorer.Get_TopLevelContainer"
		size = 96
		refs = "0012 TInternetExplorer.Get_TopLevelContainer 0026 TInternetExplorer.GetDefaultInterface 0034 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48340_0 {
	meta:
		name = "TInternetExplorerMedium.Get_TopLevelContainer"
		size = 96
		refs = "0012 TInternetExplorerMedium.Get_TopLevelContainer 0026 TInternetExplorerMedium.GetDefaultInterface 0034 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1278_0 {
	meta:
		name = "TBinder.Set_LeftPane"
		size = 84
		refs = "000f TBinder.Set_LeftPane 0020 TBinder.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48467_0 {
	meta:
		name = "TShellUIHelper.AddSearchProvider"
		size = 84
		refs = "000f TShellUIHelper.AddSearchProvider 0020 TShellUIHelper.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1279_0 {
	meta:
		name = "TBinder.Get_BuiltinDocumentProperties"
		size = 91
		refs = "000f TBinder.Get_BuiltinDocumentProperties 001c @IntfClear 0027 TBinder.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47673_0 {
	meta:
		name = "TMaster.Get_Scripts"
		size = 91
		refs = "000f TMaster.Get_Scripts 001c @IntfClear 0027 TMaster.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47726_0 {
	meta:
		name = "TOutlookApplication.Get_COMAddIns"
		size = 91
		refs = "000f TOutlookApplication.Get_COMAddIns 001c @IntfClear 0027 TOutlookApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47612_0 {
	meta:
		name = "TPowerPointApplication.Get_Build"
		size = 91
		refs = "000f TPowerPointApplication.Get_Build 001c @WStrClr 0027 TPowerPointApplication.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47508_0 {
	meta:
		name = "TPowerPointPresentation.Get_SlideShowSettings"
		size = 91
		refs = "000f TPowerPointPresentation.Get_SlideShowSettings 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1280_0 {
	meta:
		name = "TBinder.Get_CustomDocumentProperties"
		size = 91
		refs = "000f TBinder.Get_CustomDocumentProperties 001c @IntfClear 0027 TBinder.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47727_0 {
	meta:
		name = "TOutlookApplication.Get_Explorers"
		size = 91
		refs = "000f TOutlookApplication.Get_Explorers 001c @IntfClear 0027 TOutlookApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47613_0 {
	meta:
		name = "TPowerPointApplication.Get_Version"
		size = 91
		refs = "000f TPowerPointApplication.Get_Version 001c @WStrClr 0027 TPowerPointApplication.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47509_0 {
	meta:
		name = "TPowerPointPresentation.Get_Fonts"
		size = 91
		refs = "000f TPowerPointPresentation.Get_Fonts 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48510_0 {
	meta:
		name = "TShellNameSpace.Get_SelectedItem"
		size = 91
		refs = "000f TShellNameSpace.Get_SelectedItem 001c @IntfClear 0027 TShellNameSpace.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1281_0 {
	meta:
		name = "TBinder.Get_PageSetup"
		size = 91
		refs = "000f TBinder.Get_PageSetup 001c @IntfClear 0027 TBinder.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47728_0 {
	meta:
		name = "TOutlookApplication.Get_Inspectors"
		size = 91
		refs = "000f TOutlookApplication.Get_Inspectors 001c @IntfClear 0027 TOutlookApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47614_0 {
	meta:
		name = "TPowerPointApplication.Get_OperatingSystem"
		size = 91
		refs = "000f TPowerPointApplication.Get_OperatingSystem 001c @WStrClr 0027 TPowerPointApplication.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47510_0 {
	meta:
		name = "TPowerPointPresentation.Get_Windows"
		size = 91
		refs = "000f TPowerPointPresentation.Get_Windows 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1282_0 {
	meta:
		name = "TBinder.Get_DisplayStatusBar"
		size = 96
		refs = "0012 TBinder.Get_DisplayStatusBar 0026 TBinder.GetDefaultInterface 0034 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48471_0 {
	meta:
		name = "TShellUIHelper.SqmEnabled"
		size = 96
		refs = "0012 TShellUIHelper.SqmEnabled 0026 TShellUIHelper.GetDefaultInterface 0034 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1283_0 {
	meta:
		name = "TBinder.Set_DisplayStatusBar"
		size = 84
		refs = "000f TBinder.Set_DisplayStatusBar 0020 TBinder.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 64 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74292_0 {
	meta:
		name = "TCOMAdminCatalog.BackupREGDB"
		size = 84
		refs = "000f TCOMAdminCatalog.BackupREGDB 0020 TCOMAdminCatalog.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 64 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1284_0 {
	meta:
		name = "TBinder.Get_DisplayAlerts"
		size = 96
		refs = "0012 TBinder.Get_DisplayAlerts 0026 TBinder.GetDefaultInterface 0034 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1285_0 {
	meta:
		name = "TBinder.Set_DisplayAlerts"
		size = 84
		refs = "000f TBinder.Set_DisplayAlerts 0020 TBinder.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48515_0 {
	meta:
		name = "TShellNameSpace.Set_Depth"
		size = 84
		refs = "000f TShellNameSpace.Set_Depth 0020 TShellNameSpace.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1286_0 {
	meta:
		name = "TBinder.Get_DisplayLeftPaneAndButton"
		size = 96
		refs = "0012 TBinder.Get_DisplayLeftPaneAndButton 0026 TBinder.GetDefaultInterface 0034 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1287_0 {
	meta:
		name = "TBinder.Set_DisplayLeftPaneAndButton"
		size = 84
		refs = "000f TBinder.Set_DisplayLeftPaneAndButton 0020 TBinder.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 74 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48517_0 {
	meta:
		name = "TShellNameSpace.Set_Mode"
		size = 84
		refs = "000f TShellNameSpace.Set_Mode 0020 TShellNameSpace.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 74 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48476_0 {
	meta:
		name = "TShellUIHelper.CustomizeClearType"
		size = 84
		refs = "000f TShellUIHelper.CustomizeClearType 0020 TShellUIHelper.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 74 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1288_0 {
	meta:
		name = "TBinder.Get_DefaultFilePath"
		size = 91
		refs = "000f TBinder.Get_DefaultFilePath 001c @WStrClr 0027 TBinder.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 78 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48264_0 {
	meta:
		name = "TInternetExplorer.Get_LocationURL"
		size = 91
		refs = "000f TInternetExplorer.Get_LocationURL 001c @WStrClr 0027 TInternetExplorer.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 78 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48351_0 {
	meta:
		name = "TInternetExplorerMedium.Get_LocationURL"
		size = 91
		refs = "000f TInternetExplorerMedium.Get_LocationURL 001c @WStrClr 0027 TInternetExplorerMedium.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 78 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47517_0 {
	meta:
		name = "TPowerPointPresentation.Get_FullName"
		size = 91
		refs = "000f TPowerPointPresentation.Get_FullName 001c @WStrClr 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 78 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1289_0 {
	meta:
		name = "TBinder.Set_DefaultFilePath"
		size = 84
		refs = "000f TBinder.Set_DefaultFilePath 0020 TBinder.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48519_0 {
	meta:
		name = "TShellNameSpace.Set_Flags"
		size = 84
		refs = "000f TShellNameSpace.Set_Flags 0020 TShellNameSpace.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1290_0 {
	meta:
		name = "TBinder.Get_SinglePrintJob"
		size = 99
		refs = "0012 TBinder.Get_SinglePrintJob 0026 TBinder.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1291_0 {
	meta:
		name = "TBinder.Set_SinglePrintJob"
		size = 87
		refs = "000f TBinder.Set_SinglePrintJob 0020 TBinder.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 84 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47750_0 {
	meta:
		name = "TOutlookApplication.GetNewNickNames"
		size = 87
		refs = "000f TOutlookApplication.GetNewNickNames 0020 TOutlookApplication.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 84 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48480_0 {
	meta:
		name = "TShellUIHelper.RunOnceRequiredSettingsComplete"
		size = 87
		refs = "000f TShellUIHelper.RunOnceRequiredSettingsComplete 0020 TShellUIHelper.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 84 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1292_0 {
	meta:
		name = "TBinder.Open"
		size = 118
		refs = "0014 TBinder.Open 0022 EmptyParam 0039 TBinder.GetDefaultInterface 0047 @CheckAutoResult 005c @IntfClear 0064 @VarClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1293_0 {
	meta:
		name = "TBinder.Open"
		size = 130
		refs = "001f @VarAddRef 0027 TBinder.Open 0044 TBinder.GetDefaultInterface 0052 @CheckAutoResult 0067 @IntfClear 006f @VarClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B F1 8D 7D F0 A5 A5 A5 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1294_0 {
	meta:
		name = "TBinder.Save"
		size = 79
		refs = "000c TBinder.Save 001c TBinder.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_74332_0 {
	meta:
		name = "TCOMAdminCatalogCollection.Populate"
		size = 79
		refs = "000c TCOMAdminCatalogCollection.Populate 001c TCOMAdminCatalogCollection.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48306_0 {
	meta:
		name = "TInternetExplorer.Refresh"
		size = 79
		refs = "000c TInternetExplorer.Refresh 001c TInternetExplorer.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48393_0 {
	meta:
		name = "TInternetExplorerMedium.Refresh"
		size = 79
		refs = "000c TInternetExplorerMedium.Refresh 001c TInternetExplorerMedium.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48530_0 {
	meta:
		name = "TShellNameSpace.Import"
		size = 79
		refs = "000c TShellNameSpace.Import 001c TShellNameSpace.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48219_0 {
	meta:
		name = "TWebBrowser.Refresh"
		size = 79
		refs = "000c TWebBrowser.Refresh 001c TWebBrowser.GetControlInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1295_0 {
	meta:
		name = "TBinder.SaveAs"
		size = 140
		refs = "001f @VarAddRef 0027 TBinder.SaveAs 0048 TBinder.GetDefaultInterface 0056 @CheckAutoResult 006f @IntfClear 0077 @VarClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 8B F2 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 50 56 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 0F B7 5D EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1296_0 {
	meta:
		name = "TBinder.PrintOut"
		size = 186
		refs = "001a TBinder.PrintOut 0028 EmptyParam 007c TBinder.GetDefaultInterface 008a @CheckAutoResult 009f @IntfClear 00a7 @VarClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1297_0 {
	meta:
		name = "TBinder.PrintOut"
		size = 223
		refs = "002a @VarAddRef 0032 TBinder.PrintOut 0040 EmptyParam 0094 TBinder.GetDefaultInterface 00a2 @CheckAutoResult 00b7 @IntfClear 00c0 OleVariant 00ca @FinalizeArray 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B 75 08 8D 7D F0 A5 A5 A5 A5 8B F9 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 E8 ?? ?? ?? ?? FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 57 56 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1298_0 {
	meta:
		name = "TBinder.PrintOut"
		size = 245
		refs = "0038 @VarAddRef 0048 TBinder.PrintOut 0056 EmptyParam 00aa TBinder.GetDefaultInterface 00b8 @CheckAutoResult 00cd @IntfClear 00d6 OleVariant 00e0 @FinalizeArray 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D D0 89 5D D4 89 5D D8 89 5D DC 8B 75 08 8D 7D E0 A5 A5 A5 A5 8B 75 0C 8D 7D F0 A5 A5 A5 A5 8B F9 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D0 E8 ?? ?? ?? ?? FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 57 56 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_1299_0 {
	meta:
		name = "TBinder.PrintOut"
		size = 263
		refs = "0042 @VarAddRef 005a TBinder.PrintOut 0068 EmptyParam 00bc TBinder.GetDefaultInterface 00ca @CheckAutoResult 00df @IntfClear 00e8 OleVariant 00f2 @FinalizeArray 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D BC 89 5D C0 89 5D C4 89 5D C8 89 5D CC 8B 75 08 8D 7D D0 A5 A5 A5 A5 8B 75 0C 8D 7D E0 A5 A5 A5 A5 8B 75 10 8D 7D F0 A5 A5 A5 A5 8B F9 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C0 E8 ?? ?? ?? ?? FF 75 CC FF 75 C8 FF 75 C4 FF 75 C0 FF 75 CC FF 75 C8 FF 75 C4 FF 75 C0 FF 75 CC FF 75 C8 FF 75 C4 FF 75 C0 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 57 56 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_1300_0 {
	meta:
		name = "TBinder.PrintOut"
		size = 281
		refs = "004c @VarAddRef 006c TBinder.PrintOut 007a EmptyParam 00ce TBinder.GetDefaultInterface 00dc @CheckAutoResult 00f1 @IntfClear 00fa OleVariant 0104 @FinalizeArray 010a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 DB 89 5D AC 89 5D B0 89 5D B4 89 5D B8 89 5D BC 8B 75 08 8D 7D C0 A5 A5 A5 A5 8B 75 0C 8D 7D D0 A5 A5 A5 A5 8B 75 10 8D 7D E0 A5 A5 A5 A5 8B 75 14 8D 7D F0 A5 A5 A5 A5 8B F9 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 B0 E8 ?? ?? ?? ?? FF 75 BC FF 75 B8 FF 75 B4 FF 75 B0 FF 75 BC FF 75 B8 FF 75 B4 FF 75 B0 FF 75 CC FF 75 C8 FF 75 C4 FF 75 C0 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 57 56 8D 55 AC 8B C3 E8 ?? ?? ?? ?? 8B 45 AC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_1301_0 {
	meta:
		name = "TBinder.PrintOut"
		size = 299
		refs = "0056 @VarAddRef 007e TBinder.PrintOut 008c EmptyParam 00e0 TBinder.GetDefaultInterface 00ee @CheckAutoResult 0103 @IntfClear 010c OleVariant 0116 @FinalizeArray 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 DB 89 5D 9C 89 5D A0 89 5D A4 89 5D A8 89 5D AC 8B 75 08 8D 7D B0 A5 A5 A5 A5 8B 75 0C 8D 7D C0 A5 A5 A5 A5 8B 75 10 8D 7D D0 A5 A5 A5 A5 8B 75 14 8D 7D E0 A5 A5 A5 A5 8B 75 18 8D 7D F0 A5 A5 A5 A5 8B F9 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 A0 E8 ?? ?? ?? ?? FF 75 AC FF 75 A8 FF 75 A4 FF 75 A0 FF 75 BC FF 75 B8 FF 75 B4 FF 75 B0 FF 75 CC FF 75 C8 FF 75 C4 FF 75 C0 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 57 56 8D 55 9C 8B C3 E8 ?? ?? ?? ?? 8B 45 9C 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_1302_0 {
	meta:
		name = "TBinder.PrintOut"
		size = 297
		refs = "0054 @VarAddRef 0084 TBinder.PrintOut 00de TBinder.GetDefaultInterface 00ec @CheckAutoResult 0101 @IntfClear 010a OleVariant 0114 @FinalizeArray 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 DB 89 5D 9C 8B 75 08 8D 7D A0 A5 A5 A5 A5 8B 75 0C 8D 7D B0 A5 A5 A5 A5 8B 75 10 8D 7D C0 A5 A5 A5 A5 8B 75 14 8D 7D D0 A5 A5 A5 A5 8B 75 18 8D 7D E0 A5 A5 A5 A5 8B 75 1C 8D 7D F0 A5 A5 A5 A5 8B F9 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 AC FF 75 A8 FF 75 A4 FF 75 A0 FF 75 BC FF 75 B8 FF 75 B4 FF 75 B0 FF 75 CC FF 75 C8 FF 75 C4 FF 75 C0 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 57 56 8D 55 9C 8B C3 E8 ?? ?? ?? ?? 8B 45 9C 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_1303_0 {
	meta:
		name = "TBinder.Close"
		size = 128
		refs = "0011 TBinder.Close 001f EmptyParam 0041 TBinder.GetDefaultInterface 0052 @CheckAutoResult 0067 @IntfClear 006f @VarClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1304_0 {
	meta:
		name = "TBinder.Close"
		size = 166
		refs = "0022 @VarAddRef 002a TBinder.Close 0038 EmptyParam 005a TBinder.GetDefaultInterface 006b @CheckAutoResult 0080 @IntfClear 0089 OleVariant 0093 @FinalizeArray 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 E8 ?? ?? ?? ?? FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1305_0 {
	meta:
		name = "TBinder.Close"
		size = 170
		refs = "0026 @VarAddRef 0036 TBinder.Close 005e TBinder.GetDefaultInterface 006f @CheckAutoResult 0084 @IntfClear 008d OleVariant 0097 @FinalizeArray 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 8B F1 8D 7D E0 A5 A5 A5 A5 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1306_0 {
	meta:
		name = "TBinder.ViewOpenMode"
		size = 82
		refs = "000c TBinder.ViewOpenMode 001c TBinder.GetDefaultInterface 002d @CheckAutoResult 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1307_0 {
	meta:
		name = "TBinder.ExitOpenMode"
		size = 82
		refs = "000c TBinder.ExitOpenMode 001c TBinder.GetDefaultInterface 002d @CheckAutoResult 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1312_0 {
	meta:
		name = "TGraphNodeExpr.Create"
		size = 134
		refs = "000e @ClassCreate 0020 TGraphEntity.Create 0064 TGraph.EndUpdate 0071 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 FF 40 18 BA 00 80 00 00 8B C3 8B 08 FF 51 1C BA FF FF FF 00 8B C3 8B 08 FF 51 24 BA 32 00 00 00 8B C3 8B 08 FF 51 48 BA 32 00 00 00 8B C3 8B 08 FF 51 44 C6 43 2E 01 C6 43 2D 01 8B C6 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1313_0 {
	meta:
		name = "TGraphNodeExpr.GetValueString"
		size = 115
		refs = "0015 TGraphNodeExpr.GetValueString 0022 @UStrClr 005c TValue 0061 @FinalizeRecord 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 83 7B 30 00 74 1E 83 7B 38 00 74 18 8D 55 E8 8B 43 38 8B 08 FF 51 0C 8D 55 E8 8B CE 8B 43 30 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1314_0 {
	meta:
		name = "TGraphNodeExpr.SetExpression"
		size = 14
	strings:
		$1 = { 3B 50 38 74 08 89 50 38 8B 10 FF 52 2C C3 }
	condition:
		$1
}

rule function_1315_0 {
	meta:
		name = "TGraphNodeProp.Create"
		size = 212
		refs = "0014 @ClassCreate 0021 TGraphNodeProp.Create 0030 TGraphEntity.Create 0038 TRttiContext.Create 0044 TRttiContext 0049 @CopyRecord 008f TGraph.EndUpdate 00aa @FinalizeRecord 00b0 @HandleFinally 00bf @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 F8 8D 43 38 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 FF 40 18 BA 00 00 FF 00 8B C3 8B 08 FF 51 1C BA FF FF FF 00 8B C3 8B 08 FF 51 24 BA 1E 00 00 00 8B C3 8B 08 FF 51 48 BA 1E 00 00 00 8B C3 8B 08 FF 51 44 C6 43 2E 01 C6 43 2D 01 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1316_0 {
	meta:
		name = "TGraphNodeValue.GetContent"
		size = 36
		refs = "001d TGraphNode.GetContent"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 34 00 74 0C 8B D6 8B C3 8B 08 FF 51 54 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1317_0 {
	meta:
		name = "TAbstractWebPageInfo.GetViewAccess"
		size = 12
		refs = "0006 @UStrClr"
		altNames = "TAdapterSubComponent.ImplGetWebComponentNodeName TBaseEndUserAdapter.GetDisplayNameValue TBasePageProducer.GetTemplateFileName TBaseValuesListAdapter.ImplGetListName TCGIResponse.GetLogMessage TCanvas3D.Description TCanvas3D.EditorClass TCustomADODataSet.PSGetQuoteChar TCustomChartElement.GetEditorClass TCustomContentProducer.Content TCustomRibbonSkin.GetLoadTypeValue TDBXBaseMetaDataReader.GetSqlForColumnConstraints TDBXBaseMetaDataWriter.GetSqlAutoIncrementInserts TDBXBaseMetaDataWriter.GetSqlAutoIncrementKeyword TDBXBaseMetaDataWriter.GetSqlKeyGeneratedIndexName TDBXBaseMetaDataWriter.GetSqlRenameTable TDBXDb2MetaDataReader.GetSqlProcedureQuoteChar TDBXFirebirdMetaDataWriter.GetSqlKeyGeneratedIndexName TDBXInterbaseMetaDataWriter.GetSqlKeyGeneratedIndexName TDBXJSonClientInputConnectionHandler.GetProductName TDBXJSonClientOutputConnectionHandler.GetProductName TDBXJSonServerOutputConnectionHandler.GetProductName TDBXMetaDataCommandFactory.GetProductName TDBXSybaseASEMetaDataReader.GetSqlIdentifierQuoteChar TDBXSybaseASEMetaDataReader.GetSqlIdentifierQuotePrefix TDBXSybaseASEMetaDataReader.GetSqlIdentifierQuoteSuffix TDBXSybaseASEMetaDataReader.GetSqlProcedureQuoteChar TDBXWideStringValue.GetWideString TDSClass.GetClassLoadError TDSCustomFreePascaliOSProxyWriter.GetParameterDirectionPrefix TDSCustomFreePascaliOSProxyWriter.GetParameterTypePrefix TDSCustomObjectiveCiOSProxyWriter.GetParameterDirectionPrefix TDSCustomObjectiveCiOSProxyWriter.GetParameterTypePrefix TDSVoidConnectionHandler.GetProductName TDataSet.PSGetCommandText TDataSet.PSGetQuoteChar TDataSet.PSGetTableName TEncoding.GetEncodingName TEncodingInfoAdobeStandardEncoding.PreferredMIMEName TEncodingInfoAmiga1251.PreferredMIMEName TEncodingInfoBOCU1.PreferredMIMEName TEncodingInfoBRF.PreferredMIMEName TEncodingInfoBig5.PreferredMIMEName TEncodingInfoBig5HKSCS.PreferredMIMEName TEncodingInfoCESU8.PreferredMIMEName TEncodingInfoDECMCS.PreferredMIMEName TEncodingInfoDKUS.PreferredMIMEName TEncodingInfoEBCDICATDEA.PreferredMIMEName TEncodingInfoEBCDICCAFR.PreferredMIMEName TEncodingInfoEBCDICDKNO.PreferredMIMEName TEncodingInfoEBCDICDKNOA.PreferredMIMEName TEncodingInfoEBCDICES.PreferredMIMEName TEncodingInfoEBCDICESA.PreferredMIMEName TEncodingInfoEBCDICESS.PreferredMIMEName TEncodingInfoEBCDICFISE.PreferredMIMEName TEncodingInfoEBCDICFISEA.PreferredMIMEName TEncodingInfoEBCDICFR.PreferredMIMEName TEncodingInfoEBCDICIT.PreferredMIMEName TEncodingInfoEBCDICPT.PreferredMIMEName TEncodingInfoEBCDICUK.PreferredMIMEName TEncodingInfoEBCDICUS.PreferredMIMEName TEncodingInfoEUCFixWidJapanese.PreferredMIMEName TEncodingInfoGB18030.PreferredMIMEName TEncodingInfoGB2312.PreferredMIMEName TEncodingInfoGBK.PreferredMIMEName TEncodingInfoHPDesktop.PreferredMIMEName TEncodingInfoHPLegal.PreferredMIMEName TEncodingInfoHPMath8.PreferredMIMEName TEncodingInfoHPPSMath.PreferredMIMEName TEncodingInfoHPPiFont.PreferredMIMEName TEncodingInfoHPRoman8.PreferredMIMEName TEncodingInfoHZGB2312.PreferredMIMEName TEncodingInfoHalfWidthKatakana.PreferredMIMEName TEncodingInfoIBM00858.PreferredMIMEName TEncodingInfoIBM00924.PreferredMIMEName TEncodingInfoIBM01140.PreferredMIMEName TEncodingInfoIBM01141.PreferredMIMEName TEncodingInfoIBM01142.PreferredMIMEName TEncodingInfoIBM01143.PreferredMIMEName TEncodingInfoIBM01144.PreferredMIMEName TEncodingInfoIBM01145.PreferredMIMEName TEncodingInfoIBM01146.PreferredMIMEName TEncodingInfoIBM01147.PreferredMIMEName TEncodingInfoIBM01148.PreferredMIMEName TEncodingInfoIBM01149.PreferredMIMEName TEncodingInfoIBM037.PreferredMIMEName TEncodingInfoIBM038.PreferredMIMEName TEncodingInfoIBM1026.PreferredMIMEName TEncodingInfoIBM1047.PreferredMIMEName TEncodingInfoIBM273.PreferredMIMEName TEncodingInfoIBM274.PreferredMIMEName TEncodingInfoIBM275.PreferredMIMEName TEncodingInfoIBM277.PreferredMIMEName TEncodingInfoIBM278.PreferredMIMEName TEncodingInfoIBM280.PreferredMIMEName TEncodingInfoIBM281.PreferredMIMEName TEncodingInfoIBM284.PreferredMIMEName TEncodingInfoIBM285.PreferredMIMEName TEncodingInfoIBM290.PreferredMIMEName TEncodingInfoIBM297.PreferredMIMEName TEncodingInfoIBM420.PreferredMIMEName TEncodingInfoIBM423.PreferredMIMEName TEncodingInfoIBM424.PreferredMIMEName TEncodingInfoIBM500.PreferredMIMEName TEncodingInfoIBM851.PreferredMIMEName TEncodingInfoIBM855.PreferredMIMEName TEncodingInfoIBM857.PreferredMIMEName TEncodingInfoIBM860.PreferredMIMEName TEncodingInfoIBM861.PreferredMIMEName TEncodingInfoIBM863.PreferredMIMEName TEncodingInfoIBM864.PreferredMIMEName TEncodingInfoIBM865.PreferredMIMEName TEncodingInfoIBM866.PreferredMIMEName TEncodingInfoIBM868.PreferredMIMEName TEncodingInfoIBM869.PreferredMIMEName TEncodingInfoIBM870.PreferredMIMEName TEncodingInfoIBM871.PreferredMIMEName TEncodingInfoIBM880.PreferredMIMEName TEncodingInfoIBM891.PreferredMIMEName TEncodingInfoIBM903.PreferredMIMEName TEncodingInfoIBM904.PreferredMIMEName TEncodingInfoIBM905.PreferredMIMEName TEncodingInfoIBM918.PreferredMIMEName TEncodingInfoIBMEBCDICATDE.PreferredMIMEName TEncodingInfoIBMSymbols.PreferredMIMEName TEncodingInfoIBMThai.PreferredMIMEName TEncodingInfoISO102T617bit.PreferredMIMEName TEncodingInfoISO10367Box.PreferredMIMEName TEncodingInfoISO103T618bit.PreferredMIMEName TEncodingInfoISO10646J1.PreferredMIMEName TEncodingInfoISO10646UTF1.PreferredMIMEName TEncodingInfoISO10Swedish.PreferredMIMEName TEncodingInfoISO111ECMACyrillic.PreferredMIMEName TEncodingInfoISO115481.PreferredMIMEName TEncodingInfoISO11SwedishForNames.PreferredMIMEName TEncodingInfoISO121Canadian1.PreferredMIMEName TEncodingInfoISO122Canadian2.PreferredMIMEName TEncodingInfoISO123CSAZ24341985gr.PreferredMIMEName TEncodingInfoISO128T101G2.PreferredMIMEName TEncodingInfoISO139CSN369103.PreferredMIMEName TEncodingInfoISO13JISC6220jp.PreferredMIMEName TEncodingInfoISO141JUSIB1002.PreferredMIMEName TEncodingInfoISO143IECP271.PreferredMIMEName TEncodingInfoISO146Serbian.PreferredMIMEName TEncodingInfoISO147Macedonian.PreferredMIMEName TEncodingInfoISO14JISC6220ro.PreferredMIMEName TEncodingInfoISO150GreekCCITT.PreferredMIMEName TEncodingInfoISO151Cuba.PreferredMIMEName TEncodingInfoISO153GOST1976874.PreferredMIMEName TEncodingInfoISO158Lap.PreferredMIMEName TEncodingInfoISO159JISX02121990.PreferredMIMEName TEncodingInfoISO15Italian.PreferredMIMEName TEncodingInfoISO16Portuguese.PreferredMIMEName TEncodingInfoISO17Spanish.PreferredMIMEName TEncodingInfoISO18Greek7Old.PreferredMIMEName TEncodingInfoISO19LatinGreek.PreferredMIMEName TEncodingInfoISO2022CN.PreferredMIMEName TEncodingInfoISO2022CNEXT.PreferredMIMEName TEncodingInfoISO2033.PreferredMIMEName TEncodingInfoISO21German.PreferredMIMEName TEncodingInfoISO25French.PreferredMIMEName TEncodingInfoISO27LatinGreek1.PreferredMIMEName TEncodingInfoISO2Int1RefVersion.PreferredMIMEName TEncodingInfoISO42JISC62261978.PreferredMIMEName TEncodingInfoISO47BSViewdata.PreferredMIMEName TEncodingInfoISO49INIS.PreferredMIMEName TEncodingInfoISO4UnitedKingdom.PreferredMIMEName TEncodingInfoISO50INIS8.PreferredMIMEName TEncodingInfoISO51INISCyrillic.PreferredMIMEName TEncodingInfoISO5427Cyrillic.PreferredMIMEName TEncodingInfoISO5427Cyrillic1981.PreferredMIMEName TEncodingInfoISO5428Greek.PreferredMIMEName TEncodingInfoISO57GB1988.PreferredMIMEName TEncodingInfoISO58GB231280.PreferredMIMEName TEncodingInfoISO60DanishNorwegian.PreferredMIMEName TEncodingInfoISO61Norwegian2.PreferredMIMEName TEncodingInfoISO646Danish.PreferredMIMEName TEncodingInfoISO646basic1983.PreferredMIMEName TEncodingInfoISO6937Add.PreferredMIMEName TEncodingInfoISO69French.PreferredMIMEName TEncodingInfoISO70VideotexSupp1.PreferredMIMEName TEncodingInfoISO84Portuguese2.PreferredMIMEName TEncodingInfoISO85Spanish2.PreferredMIMEName TEncodingInfoISO86Hungarian.PreferredMIMEName TEncodingInfoISO87JISX0208.PreferredMIMEName TEncodingInfoISO885913.PreferredMIMEName TEncodingInfoISO88598E.PreferredMIMEName TEncodingInfoISO88598I.PreferredMIMEName TEncodingInfoISO8859Supp.PreferredMIMEName"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99302_0 {
	meta:
		name = "TASPMTSObject.GetObjectContext"
		size = 12
		refs = "0006 GetObjectContext"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96067_0 {
	meta:
		name = "TBasePageProducer.GetTagID"
		size = 12
		refs = "0006 GetTagID"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70978_0 {
	meta:
		name = "TCOMServer.GetServerFileName"
		size = 12
		refs = "0006 GetModuleFileName"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70980_0 {
	meta:
		name = "TCOMServer.GetServerName"
		size = 12
		refs = "0006 GetModuleName"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70982_0 {
	meta:
		name = "TCOMServer.GetTypeLib"
		size = 12
		refs = "0006 @IntfClear"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_71023_0 {
	meta:
		name = "TComServer.GetServerFileName"
		size = 12
		refs = "0006 GetModuleFileName"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15241_0 {
	meta:
		name = "TCustomRemoteServer.GetServer"
		size = 12
		refs = "0006 @IntfClear"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7056_0 {
	meta:
		name = "TDBXAnsiStringValue.GetAnsiString"
		size = 12
		refs = "0006 @LStrClr"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15625_0 {
	meta:
		name = "TDSCustomMetaDataProvider.GetProvider"
		size = 12
		refs = "0006 @IntfClear"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_111359_0 {
	meta:
		name = "TDomNode.GetExpandedName"
		size = 12
		refs = "0006 @WStrClr"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_111368_0 {
	meta:
		name = "TDomNode.GetLocalName"
		size = 12
		refs = "0006 @WStrClr"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_111369_0 {
	meta:
		name = "TDomNode.GetNamespaceURI"
		size = 12
		refs = "0006 @WStrClr"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_111373_0 {
	meta:
		name = "TDomNode.GetNodeName"
		size = 12
		refs = "0006 @WStrClr"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_111379_0 {
	meta:
		name = "TDomNode.GetPrefix"
		size = 12
		refs = "0006 @WStrClr"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_46151_0 {
	meta:
		name = "TIWServerControllerBase.GetAppPath"
		size = 12
		refs = "0006 GetEnvAppPath"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39826_0 {
	meta:
		name = "TIdAuthenticationPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39804_0 {
	meta:
		name = "TIdBasicAuthenticationPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39748_0 {
	meta:
		name = "TIdBufferPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39891_0 {
	meta:
		name = "TIdContextPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39628_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39577_0 {
	meta:
		name = "TIdHTTPPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39912_0 {
	meta:
		name = "TIdHTTPRequestInfoPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39620_0 {
	meta:
		name = "TIdHTTPRequestPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39933_0 {
	meta:
		name = "TIdHTTPResponseInfoPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39599_0 {
	meta:
		name = "TIdHTTPResponsePeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39855_0 {
	meta:
		name = "TIdHTTPServerPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_40014_0 {
	meta:
		name = "TIdHTTPSessionPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39609_0 {
	meta:
		name = "TIdHeaderListPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39689_0 {
	meta:
		name = "TIdIOHandlerPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39699_0 {
	meta:
		name = "TIdIOHandlerPeerIP.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39954_0 {
	meta:
		name = "TIdIOHandlerSocketPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39657_0 {
	meta:
		name = "TIdProxyConnectionInfoPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39673_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSLPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39812_0 {
	meta:
		name = "TIdSSLOptionsPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39972_0 {
	meta:
		name = "TIdSchedulerOfThreadPoolPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39979_0 {
	meta:
		name = "TIdSchedulerPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39885_0 {
	meta:
		name = "TIdServerIOHandlerPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39841_0 {
	meta:
		name = "TIdServerIOHandlerSSLOpenSSLPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39958_0 {
	meta:
		name = "TIdSocketHandlePeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39966_0 {
	meta:
		name = "TIdSocketHandlesPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39949_0 {
	meta:
		name = "TIdStackPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39716_0 {
	meta:
		name = "TIdTCPClientPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39737_0 {
	meta:
		name = "TIdTCPClientPeerIP.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39899_0 {
	meta:
		name = "TIdTCPConnectionPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39992_0 {
	meta:
		name = "TIdTCPServerPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39833_0 {
	meta:
		name = "TIdURIPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39766_0 {
	meta:
		name = "TIdX509NamePeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39755_0 {
	meta:
		name = "TIdX509Peer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39770_0 {
	meta:
		name = "TIdX509SigInfoPeer.GetIPImplementationID"
		size = 12
		refs = "0006 IPImpId"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_98372_0 {
	meta:
		name = "TSitePageModuleHelper.GetPageProducer"
		size = 12
		refs = "0006 @IntfClear"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_26194_0 {
	meta:
		name = "TStreamedConnection.CreateTransport"
		size = 12
		refs = "0006 @IntfClear"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92880_0 {
	meta:
		name = "TTeeExportFormBase.GetTempFolder"
		size = 12
		refs = "0006 TPath.GetTempPath"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95996_0 {
	meta:
		name = "TWebBrokerDispatchFileRequest.GetApplicationPath"
		size = 12
		refs = "0006 WebApplicationDirectory"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6220_0 {
	meta:
		name = "TWideDataSet.PSGetCommandTextW"
		size = 12
		refs = "0006 @WStrClr"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6224_0 {
	meta:
		name = "TWideDataSet.PSGetQuoteCharW"
		size = 12
		refs = "0006 @WStrClr"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6226_0 {
	meta:
		name = "TWideDataSet.PSGetTableNameW"
		size = 12
		refs = "0006 @WStrClr"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_114937_0 {
	meta:
		name = "TXMLSchemaItem.GlobalCollection"
		size = 12
		refs = "0006 @IntfClear"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1318_0 {
	meta:
		name = "TGraphNodeProp.GetValueString"
		size = 118
		refs = "0015 TGraphNodeProp.GetValueString 0022 @UStrClr 003c TRttiProperty.GetValue 005f TValue 0064 @FinalizeRecord 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 83 7B 30 00 74 21 83 7B 3C 00 74 1B 8D 4D E8 8B 53 40 8B 43 3C E8 ?? ?? ?? ?? 8D 55 E8 8B CE 8B 43 30 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1319_0 {
	meta:
		name = "TGraphNodeProp.SetObj"
		size = 27
		refs = "000e TGraphNodeProp.UpdateData"
	strings:
		$1 = { 53 8B D8 3B 53 40 74 11 89 53 40 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 2C 5B C3 }
	condition:
		$1
}

rule function_1320_0 {
	meta:
		name = "TGraphNodeProp.SetPropertyName"
		size = 45
		refs = "000c @UStrEqual 0018 @UStrAsg 001f TGraphNodeProp.UpdateData"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 44 8B D6 E8 ?? ?? ?? ?? 74 18 8D 43 44 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 2C 5E 5B C3 }
	condition:
		$1
}

rule function_1321_0 {
	meta:
		name = "TGraphNodeValue.SetValueAsContent"
		size = 27
	strings:
		$1 = { 53 8B D8 3A 53 34 74 11 88 53 34 8B C3 8B 10 FF 52 50 8B C3 8B 10 FF 52 2C 5B C3 }
	condition:
		$1
}

rule function_1322_0 {
	meta:
		name = "TGraphNodeProp.UpdateData"
		size = 45
		refs = "001b TRttiContext.GetType"
	strings:
		$1 = { 53 56 8B D8 33 C0 89 43 3C 8B 73 40 85 F6 74 1A 8B 06 83 C0 B8 8B 10 8D 43 38 E8 ?? ?? ?? ?? 8B 53 44 8B 08 FF 51 30 89 43 3C 5E 5B C3 }
	condition:
		$1
}

rule function_1325_0 {
	meta:
		name = "TWebAppAutoObjectFactory.Create"
		size = 62
		refs = "000d @ClassCreate 001d TWebAppSockObjectFactory.Create 0028 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_1328_0 {
	meta:
		name = "TComponentsPageProducer.DoTagEvent"
		size = 164
		refs = "0012 TComponentsPageProducer.DoTagEvent 0028 CompareText 0044 @UStrAsg 0059 TBasePageProducer.DoTagEvent 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 75 2A BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 C0 75 1A 8D 4D FC 8B 55 0C 8B C6 8B 18 FF 53 68 8B 55 FC 8B 45 08 E8 ?? ?? ?? ?? EB 13 8B 45 0C 50 8B 45 08 50 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 4F 00 4D 00 50 00 4F 00 4E 00 45 00 4E 00 54 00 00 00 }
	condition:
		$1
}

rule function_1329_0 {
	meta:
		name = "TComponentsPageProducer.FindComponentName"
		size = 48
		refs = "0009 TComponentsPageProducer.FindComponentName 0010 TStrings.GetValue"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_1330_0 {
	meta:
		name = "TComponentsPageProducer.FindComponent"
		size = 100
		refs = "000f TComponentsPageProducer.FindComponent 0021 TComponentsPageProducer.FindComponentName 0036 TComponent.FindComponent 0051 @UStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 13 8B 43 04 85 C0 74 0C 8B 55 FC E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1331_0 {
	meta:
		name = "TComponentsPageProducer.GetComponentContent"
		size = 204
		refs = "0016 TComponentsPageProducer.GetComponentContent 0031 @IntfClear 003f Supports 008a TObject.Free 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 89 4D F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 08 FF 51 64 8B D8 85 DB 74 69 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4F 8D 55 F3 8B C6 8B 08 FF 51 6C 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 33 C9 8B 55 F4 8B 45 FC 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F3 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 D1 1C 3E 1B 59 DF D2 11 AA 45 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_1332_0 {
	meta:
		name = "TComponentsPageProducer.GetContentOptions"
		size = 28
		refs = "0006 TComponentsPageProducer.GetContentOptions 000d _Dn_TWebContentOptions 0012 TWebContentOptions.Create"
	strings:
		$1 = { C6 02 01 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_1333_0 {
	meta:
		name = "TComponentsPageProducer.HandleTag"
		size = 34
		refs = "0017 TBasePageProducer.ImplHandleTag"
		altNames = "TCustomPageProducer.HandleTag"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_68667_0 {
	meta:
		name = "MidBStr"
		size = 34
		refs = "0017 @LStrCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_68663_0 {
	meta:
		name = "MidStr"
		size = 34
		refs = "0017 @LStrCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_68664_0 {
	meta:
		name = "MidStr"
		size = 34
		refs = "0017 @WStrCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_51540_0 {
	meta:
		name = "ReplaceStr"
		size = 34
		refs = "0017 AnsiReplaceStr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_51542_0 {
	meta:
		name = "ReplaceText"
		size = 34
		refs = "0017 AnsiReplaceText"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_80919_0 {
	meta:
		name = "TCustomDrawGrid.CellRect"
		size = 34
		refs = "0017 TCustomGrid.CellRect"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_32321_0 {
	meta:
		name = "TIdBuffer.Extract"
		size = 34
		refs = "0017 TIdBuffer.ExtractToString"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_39174_0 {
	meta:
		name = "TInBuffer.Extract"
		size = 34
		refs = "0017 TInBuffer.ExtractToString"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_1338_0 {
	meta:
		name = "TAppletApplication.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TList 0023 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1339_0 {
	meta:
		name = "TAppletApplication.CreateForm"
		size = 139
		refs = "0015 TAppletApplication.CreateForm 0021 _Dn_TDataModule 0028 TObject.InheritsFrom 0049 sInvalidClassReference 0050 _DV_EAppletException 0055 Exception.CreateRes 005a @RaiseExcept 0069 @HandleAnyException 007b TAppletApplication.HandleException 0080 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 8B DA 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8B C3 FF 50 F4 8B 55 F8 89 02 8B 4D FC 83 CA FF 8B 18 FF 53 38 EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 F8 33 D2 89 10 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1340_0 {
	meta:
		name = "TAppletApplication.Destroy"
		size = 83
		refs = "0004 @BeforeDestruction 0013 TList.Get 0018 TObject.Free 0034 TComponent.Destroy 0039 ApplicationHandleException 004b @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 EB 0E 8B C6 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 77 3C 83 7E 08 00 7F E9 8B 47 3C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 89 50 04 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1341_0 {
	meta:
		name = "TAppletApplication.DoCount"
		size = 22
	strings:
		$1 = { 53 66 83 78 4A 00 74 0C 8B CA 8B D8 8B D0 8B 43 4C FF 53 48 5B C3 }
	condition:
		$1
}

rule function_1342_0 {
	meta:
		name = "TAppletApplication.DoExit"
		size = 20
		altNames = "TCommonDialog.DoClose TCustomMSHTMLParser.DoBeforeUpdate TIdThreadComponent.DoAfterRun"
	strings:
		$1 = { 53 66 83 78 52 00 74 0A 8B D8 8B D0 8B 43 54 FF 53 50 5B C3 }
	condition:
		$1
}

rule function_1343_0 {
	meta:
		name = "TAppletApplication.DoHandleException"
		size = 63
		refs = "000d _Dn_EAbort 0012 @IsClass 002e ExceptAddr 0037 ShowException"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 66 83 7B 6A 00 74 0C 8B CE 8B D7 8B 43 6C FF 53 68 EB 0E E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1344_0 {
	meta:
		name = "TAppletApplication.DoInit"
		size = 22
	strings:
		$1 = { 53 66 83 78 42 00 74 0C 8B CA 8B D8 8B D0 8B 43 44 FF 53 40 5B C3 }
	condition:
		$1
}

rule function_1345_0 {
	meta:
		name = "TAppletApplication.DoSetup"
		size = 20
		altNames = "TBaseSocket.DoDestroyHandle TCommonDialog.DoShow TIdThreadComponent.DoBeforeExecute"
	strings:
		$1 = { 53 66 83 78 5A 00 74 0A 8B D8 8B D0 8B 43 5C FF 53 58 5B C3 }
	condition:
		$1
}

rule function_1349_0 {
	meta:
		name = "TAppletApplication.HandleException"
		size = 69
		refs = "0007 ExceptObject 000d _Dn_Exception 0012 @IsClass 002a @CallDynaInst 0032 ExceptAddr 003e ShowException"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? 5E 5B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1350_0 {
	meta:
		name = "TAppletApplication.Run"
		size = 29
		refs = "0002 ApplicationHandleException 0018 TAppletApplication.HandleException"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 66 83 7A 02 00 75 0F 8B 15 ?? ?? ?? ?? 89 42 04 C7 02 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1351_0 {
	meta:
		name = "InitApplication"
		size = 20
		refs = "0005 _DV_TAppletApplication 000a TAppletApplication.Create 000f Application"
	strings:
		$1 = { 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86824_0 {
	meta:
		name = "InitApplication"
		size = 20
		refs = "0005 _DV_TServiceApplication 000a TServiceApplication.Create 000f Application"
	strings:
		$1 = { 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1352_0 {
	meta:
		name = "DoneApplication"
		size = 18
		refs = "0001 Application 0006 TObject.Free"
	strings:
		$1 = { A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1353_0 {
	meta:
		name = "CPlApplet"
		size = 429
		refs = "0012 CPlApplet 0037 Application 003c TAppletApplication.GetModules 00a6 @CallDynaInst 00bc TAppletApplication.GetModuleCount 00e0 @UStrFromPWChar 0164 @HandleAnyException 0174 TAppletApplication.HandleException 0180 @DoneExcept 0195 @UStrClr 019b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC C6 45 FB 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 A1 ?? ?? ?? ?? 8B 55 08 89 50 38 8B 45 0C 83 F8 06 7F 21 0F 84 D0 00 00 00 48 74 3B 48 74 55 48 0F 84 93 00 00 00 83 E8 02 0F 84 AA 00 00 00 E9 E3 00 00 00 83 E8 07 0F 84 BC 00 00 00 48 0F 84 85 00 00 00 48 74 50 2D BF 00 00 00 0F 84 B7 00 00 00 E9 C0 00 00 00 8D 55 FB A1 ?? ?? ?? ?? 66 BE EF FF E8 ?? ?? ?? ?? 0F B6 45 FB 89 45 FC E9 A3 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 55 FC A1 ?? ?? ?? ?? 66 BE EE FF E8 ?? ?? ?? ?? E9 80 00 00 00 8D 45 F4 8B 55 14 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 66 BE EB FF E8 ?? ?? ?? ?? C7 45 FC 01 00 00 00 EB 5E 8B 55 14 8B C3 66 BE ED FF E8 ?? ?? ?? ?? EB 4E 8B 55 14 8B C3 66 BE EC FF E8 ?? ?? ?? ?? EB 3E 8B 55 14 8B C3 66 BE EE FF E8 ?? ?? ?? ?? EB 2E 8B 55 14 8B C3 66 BE EF FF E8 ?? ?? ?? ?? EB 1E A1 ?? ?? ?? ?? 66 BE ED FF E8 ?? ?? ?? ?? EB 0E A1 ?? ?? ?? ?? 66 BE EC FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 FC 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_1354_0 {
	meta:
		name = "TAppletModule.Create"
		size = 92
		refs = "000b @ClassCreate 0018 _Dn_TIcon 001d TIcon.Create 002e TDataModule.Create 0033 Application 003d TList.Add 0048 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 98 00 00 00 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 3C 8B D7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1355_0 {
	meta:
		name = "TAppletModule.Destroy"
		size = 75
		refs = "0004 @BeforeDestruction 0013 TObject.Free 0018 Application 0024 TList.IndexOf 002d TList.Delete 0038 TDataModule.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 87 98 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 70 3C 8B C6 8B D7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1356_0 {
	meta:
		name = "TAppletModule.GetCaption"
		size = 44
		refs = "0018 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 9C 00 00 00 00 74 10 8B C6 8B 93 9C 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1357_0 {
	meta:
		name = "TAppletModule.DoActivate"
		size = 22
		altNames = "TComComponent.DoDestroy TCustomWebBrowserCommandUpdater.DoAfterCommand TDomImplementation.DoNodeInserted TIWStandAloneServer.DoUpdateTotalBytes TIdThread.DoException TInThread.DoException"
	strings:
		$1 = { 53 66 83 78 62 00 74 0C 8B D8 8B CA 8B D0 8B 43 64 FF 53 60 5B C3 }
	condition:
		$1
}

rule function_1358_0 {
	meta:
		name = "TAppletModule.DoInquire"
		size = 69
	strings:
		$1 = { 53 8B 88 8C 00 00 00 89 0A 8B 88 90 00 00 00 89 4A 04 8B 88 94 00 00 00 89 4A 08 8B 88 88 00 00 00 89 4A 0C 66 83 78 72 00 74 18 8D 4A 04 51 8D 4A 08 51 8D 4A 0C 51 8B CA 8B D8 8B D0 8B 43 74 FF 53 70 5B C3 }
	condition:
		$1
}

rule function_1359_0 {
	meta:
		name = "TAppletModule.DoNewInquire"
		size = 308
		refs = "0012 TAppletModule.DoNewInquire 003b TIcon.GetHandle 004c HInstance 0052 LoadIcon 008e @UStrToPWChar 009d StrLCopy 00a9 LoadStr 0121 @UStrArrayClr 0127 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 06 D4 01 00 00 8B 83 88 00 00 00 89 46 0C 83 BB 8C 00 00 00 00 75 10 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 89 46 10 EB 15 8B 83 8C 00 00 00 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 10 66 83 7B 7A 00 74 1D 8D 46 10 50 8D 83 9C 00 00 00 50 8D 83 A0 00 00 00 50 8D 4E 0C 8B D3 8B 43 7C FF 53 78 8B BB 90 00 00 00 85 FF 75 1C 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 8B D0 8D 46 14 B9 3F 00 00 00 E8 ?? ?? ?? ?? EB 21 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 46 14 B9 3F 00 00 00 E8 ?? ?? ?? ?? 8B BB 94 00 00 00 85 FF 75 1C 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 8B D0 8D 46 54 B9 7F 00 00 00 E8 ?? ?? ?? ?? EB 21 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 46 54 B9 7F 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1360_0 {
	meta:
		name = "TAppletModule.DoStartWParms"
		size = 92
		refs = "000e @UStrAddRef 0016 TAppletModule.DoStartWParms 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 82 00 00 00 00 74 11 8B 4D FC 8B D3 8B 83 84 00 00 00 FF 93 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1361_0 {
	meta:
		name = "TAppletModule.DoStop"
		size = 22
		altNames = "TDomImplementation.DoNodeRemoving"
	strings:
		$1 = { 53 66 83 78 6A 00 74 0C 8B D8 8B CA 8B D0 8B 43 6C FF 53 68 5B C3 }
	condition:
		$1
}

rule function_1362_0 {
	meta:
		name = "TAppletModule.SetAppletIcon"
		size = 33
		refs = "001a TAppletModule.SetResidIcon"
	strings:
		$1 = { 53 56 8B D8 8B B3 98 00 00 00 3B D6 74 10 8B C6 8B 08 FF 51 08 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1363_0 {
	meta:
		name = "TAppletModule.SetCaption"
		size = 65
		refs = "000f @UStrEqual 0023 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 9C 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 29 85 F6 75 10 8D 83 9C 00 00 00 8B 53 08 E8 ?? ?? ?? ?? EB 0D 8D 83 9C 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 C0 89 83 90 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_1364_0 {
	meta:
		name = "TAppletModule.SetData"
		size = 15
	strings:
		$1 = { 3B 90 88 00 00 00 74 06 89 90 88 00 00 00 C3 }
	condition:
		$1
}

rule function_1365_0 {
	meta:
		name = "TAppletModule.SetHelp"
		size = 45
		refs = "000f @UStrEqual 001e @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 A0 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 15 8D 83 A0 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 C0 89 83 94 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_1366_0 {
	meta:
		name = "TAppletModule.SetResidIcon"
		size = 15
	strings:
		$1 = { 3B 90 8C 00 00 00 74 06 89 90 8C 00 00 00 C3 }
	condition:
		$1
}

rule function_1367_0 {
	meta:
		name = "TAppletModule.SetResidInfo"
		size = 30
		refs = "0018 @UStrClr"
	strings:
		$1 = { 53 8B D8 3B 93 94 00 00 00 74 11 89 93 94 00 00 00 8D 83 A0 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1368_0 {
	meta:
		name = "TAppletModule.SetResidName"
		size = 30
		refs = "0018 @UStrClr"
	strings:
		$1 = { 53 8B D8 3B 93 90 00 00 00 74 11 89 93 90 00 00 00 8D 83 9C 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1369_0 {
	meta:
		name = "TAppletApplication.SetModuleCount"
		size = 9
	strings:
		$1 = { 3B 50 60 74 03 89 50 60 C3 }
	condition:
		$1
}

rule function_1370_0 {
	meta:
		name = "TAppletApplication.SetModules"
		size = 39
		refs = "000f TList.Get 001f TList.Put"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 3C E8 ?? ?? ?? ?? 3B F8 74 0C 8B CF 8B D6 8B 43 3C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1371_0 {
	meta:
		name = "Finalization"
		size = 14
		refs = "0002 _DV_4 0009 DoneApplication"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69314_0 {
	meta:
		name = "Exception.Destroy@"
		size = 14
		refs = "0002 Exception.$ClassInitFlag 0009 DoneExceptions"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3256_0 {
	meta:
		name = "Finalization"
		size = 14
		refs = "0002 _DV_1 0009 UnregisterMethods"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26232_0 {
	meta:
		name = "Finalization"
		size = 14
		refs = "0002 _DV_31 0009 FreeWinSock2"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30075_0 {
	meta:
		name = "Finalization"
		size = 14
		refs = "0002 _DV_2 0009 CoUninitialize"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38815_0 {
	meta:
		name = "Finalization"
		size = 14
		refs = "0002 _DV_1 0009 CloseLibrary"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51489_0 {
	meta:
		name = "Finalization"
		size = 14
		refs = "0002 _DV_1 0009 ShutdownDelayHelp2"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68607_0 {
	meta:
		name = "Finalization"
		size = 14
		refs = "0002 _DV_1 0009 HeapRelease"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73649_0 {
	meta:
		name = "Finalization"
		size = 14
		refs = "0002 _DV_1 0009 UnregisterOutputConversions"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73940_0 {
	meta:
		name = "Finalization"
		size = 14
		refs = "0002 _DV_5 0009 DestroyLocals"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82699_0 {
	meta:
		name = "Finalization"
		size = 14
		refs = "0002 _DV_3 0009 OleUninitialize"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96684_0 {
	meta:
		name = "Finalization"
		size = 14
		refs = "0002 _DV_21 0009 Cleanup"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97650_0 {
	meta:
		name = "Finalization"
		size = 14
		refs = "0002 _DV_31 0009 OleUninitialize"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1372_0 {
	meta:
		name = "CtlPanel"
		size = 15
		refs = "0002 _DV_4 000a InitApplication"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3257_0 {
	meta:
		name = "Data.Bind.EngExt"
		size = 15
		refs = "0002 _DV_1 000a RegisterMethods"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69313_0 {
	meta:
		name = "Exception.Create@"
		size = 15
		refs = "0002 Exception.$ClassInitFlag 000a InitExceptions"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34923_0 {
	meta:
		name = "IdHMAC"
		size = 15
		refs = "0002 _DV_3 000a Randomize"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58876_0 {
	meta:
		name = "System.Bindings.Methods"
		size = 15
		refs = "0002 _DV_7 000a RegisterBasicMethods"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59887_0 {
	meta:
		name = "System.Bindings.Outputs"
		size = 15
		refs = "0002 _DV_8 000a RegisterBasicOutputConverters"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66521_0 {
	meta:
		name = "System.Math"
		size = 15
		refs = "0002 _DV_2 000a InitSSEType"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68828_0 {
	meta:
		name = "System.SyncObjs"
		size = 15
		refs = "0002 _DV_71 000a InitConditionVariableProcs"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70644_0 {
	meta:
		name = "System.VarUtils"
		size = 15
		refs = "0002 _DV_5 000a InitializeVarUtils"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72249_0 {
	meta:
		name = "TestFrameworkExtension"
		size = 15
		refs = "0002 _DV_5 000a BuildPropertiesFromCommandLine"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93219_0 {
	meta:
		name = "VCLTee.TeeGalleryPanel"
		size = 15
		refs = "0002 _DV_4 000a RegisterTeeStandardSeries"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73650_0 {
	meta:
		name = "Vcl.Bind.DBEngExt"
		size = 15
		refs = "0002 _DV_1 000a RegisterOutputConversions"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95582_0 {
	meta:
		name = "Web.CGIApp"
		size = 15
		refs = "0002 _DV_3 000a InitApplication"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96548_0 {
	meta:
		name = "Web.Win.ISAPIApp"
		size = 15
		refs = "0002 _DV_3 000a InitApplication"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96685_0 {
	meta:
		name = "Web.Win.Sockets"
		size = 15
		refs = "0002 _DV_21 000a Startup"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_101987_0 {
	meta:
		name = "Winapi.FlatSB"
		size = 15
		refs = "0002 _DV_1 000a InitFlatSB"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106517_0 {
	meta:
		name = "_NOTIFYICONDATAA.Create@"
		size = 15
		refs = "0002 _NOTIFYICONDATAA.$ClassInitFlag 000a InitVersionInfo"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106519_0 {
	meta:
		name = "_NOTIFYICONDATAW.Create@"
		size = 15
		refs = "0002 _NOTIFYICONDATAW.$ClassInitFlag 000a InitVersionInfo"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1373_0 {
	meta:
		name = "CoTableDef.Create"
		size = 100
		refs = "000c CoTableDef.Create 001a CLASS_TableDef 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 49 00 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_1374_0 {
	meta:
		name = "CoTableDef.CreateRemote"
		size = 128
		refs = "0011 CoTableDef.CreateRemote 0021 @WStrFromUStr 002c CLASS_TableDef 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 49 00 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_1375_0 {
	meta:
		name = "CoField.Create"
		size = 100
		refs = "000c CoField.Create 001a CLASS_Field 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 51 00 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_1376_0 {
	meta:
		name = "CoField.CreateRemote"
		size = 128
		refs = "0011 CoField.CreateRemote 0021 @WStrFromUStr 002c CLASS_Field 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 51 00 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_1377_0 {
	meta:
		name = "CoIndex.Create"
		size = 100
		refs = "000c CoIndex.Create 001a CLASS_Index 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 59 00 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_1378_0 {
	meta:
		name = "CoIndex.CreateRemote"
		size = 128
		refs = "0011 CoIndex.CreateRemote 0021 @WStrFromUStr 002c CLASS_Index 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 59 00 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_1379_0 {
	meta:
		name = "CoQueryDef.Create"
		size = 100
		refs = "000c CoQueryDef.Create 001a CLASS_QueryDef 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 79 00 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_1380_0 {
	meta:
		name = "CoQueryDef.CreateRemote"
		size = 128
		refs = "0011 CoQueryDef.CreateRemote 0021 @WStrFromUStr 002c CLASS_QueryDef 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 79 00 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_1381_0 {
	meta:
		name = "CoRelation.Create"
		size = 100
		refs = "000c CoRelation.Create 001a CLASS_Relation 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 89 00 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_1382_0 {
	meta:
		name = "CoRelation.CreateRemote"
		size = 128
		refs = "0011 CoRelation.CreateRemote 0021 @WStrFromUStr 002c CLASS_Relation 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 89 00 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_1383_0 {
	meta:
		name = "CoUser.Create"
		size = 100
		refs = "000c CoUser.Create 001a CLASS_User 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 69 00 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_1384_0 {
	meta:
		name = "CoUser.CreateRemote"
		size = 128
		refs = "0011 CoUser.CreateRemote 0021 @WStrFromUStr 002c CLASS_User 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 69 00 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_1385_0 {
	meta:
		name = "CoGroup.Create"
		size = 100
		refs = "000c CoGroup.Create 001a CLASS_Group 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 61 00 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_1386_0 {
	meta:
		name = "CoGroup.CreateRemote"
		size = 128
		refs = "0011 CoGroup.CreateRemote 0021 @WStrFromUStr 002c CLASS_Group 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 61 00 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_1387_0 {
	meta:
		name = "CoDBEngine.Create"
		size = 100
		refs = "000c CoDBEngine.Create 001a CLASS_DBEngine 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 21 00 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_1389_0 {
	meta:
		name = "CoPrivDBEngine.Create"
		size = 100
		refs = "000c CoPrivDBEngine.Create 001a CLASS_PrivDBEngine 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 21 00 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_1388_0 {
	meta:
		name = "CoDBEngine.CreateRemote"
		size = 128
		refs = "0011 CoDBEngine.CreateRemote 0021 @WStrFromUStr 002c CLASS_DBEngine 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 21 00 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_1390_0 {
	meta:
		name = "CoPrivDBEngine.CreateRemote"
		size = 128
		refs = "0011 CoPrivDBEngine.CreateRemote 0021 @WStrFromUStr 002c CLASS_PrivDBEngine 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 21 00 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_1463_0 {
	meta:
		name = "SafeClassName"
		size = 60
		refs = "000d SafeClassName 0012 @UStrAsg 001e TObject.ClassName"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 DB 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B 03 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6E 00 69 00 6C 00 00 00 }
	condition:
		$1
}

rule function_1464_0 {
	meta:
		name = "GetBindEditor"
		size = 227
		refs = "0019 FEditorFactories 001e TList<Data.Bind.Components.TBindEditorFactoryClass>.GetEnumerator 0029 GetBindEditor 0039 TList<Data.Bind.Components.TBindEditorFactoryClass>.TEnumerator.GetCurrent 007b @TryFinallyExit 0097 TObject.Free 009d @HandleFinally 00a7 TList<Data.Bind.Components.TBindEditorFactoryClass>.TEnumerator.MoveNext 00d8 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F2 8D 7D E0 A5 A5 A5 A5 89 4D F8 89 45 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 6E 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 B2 01 8B C3 FF 10 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8D 55 E0 8B 45 F4 8B 18 FF 53 04 84 C0 74 1E 8B 45 F8 50 8B 4D FC 8D 55 E0 8B 45 F4 8B 18 FF 53 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 56 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 86 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1465_0 {
	meta:
		name = "RegisterBindComponents"
		size = 40
		refs = "0002 RegisterBindCompProc 0012 SInvalidBindCompRegistration 0019 _DV_TBindCompException 001e Exception.CreateRes 0023 @RaiseExcept"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 07 FF 15 ?? ?? ?? ?? C3 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72562_0 {
	meta:
		name = "CreateAction"
		size = 40
		refs = "0002 CreateActionProc 0012 SInvalidActionCreation 0019 _Dn_Exception 001e Exception.CreateRes 0023 @RaiseExcept"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 07 FF 15 ?? ?? ?? ?? C3 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1468_0 {
	meta:
		name = "CreateBindComponent"
		size = 40
		refs = "0002 CreateBindCompProc 0012 SInvalidBindCompCreation 0019 _DV_TBindCompException 001e Exception.CreateRes 0023 @RaiseExcept"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 07 FF 15 ?? ?? ?? ?? C3 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62066_0 {
	meta:
		name = "RegisterNoIcon"
		size = 40
		refs = "0002 RegisterNoIconProc 0012 SRegisterError 0019 _DV_EComponentError 001e Exception.CreateRes 0023 @RaiseExcept"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 07 FF 15 ?? ?? ?? ?? C3 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97662_0 {
	meta:
		name = "RegisterWebComponents"
		size = 40
		refs = "0002 RegisterWebComponentsProc 0012 sInvalidWebComponentsRegistration 0019 _Dn_Exception 001e Exception.CreateRes 0023 @RaiseExcept"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 07 FF 15 ?? ?? ?? ?? C3 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72560_0 {
	meta:
		name = "UnRegisterActions"
		size = 40
		refs = "0002 UnRegisterActionsProc 0012 SInvalidActionUnregistration 0019 _Dn_Exception 001e Exception.CreateRes 0023 @RaiseExcept"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 07 FF 15 ?? ?? ?? ?? C3 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1466_0 {
	meta:
		name = "UnRegisterBindComponents"
		size = 40
		refs = "0002 UnRegisterBindCompProc 0012 SInvalidBindCompUnregistration 0019 _DV_TBindCompException 001e Exception.CreateRes 0023 @RaiseExcept"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 07 FF 15 ?? ?? ?? ?? C3 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1467_0 {
	meta:
		name = "EnumRegisteredBindComponents"
		size = 53
		refs = "0005 EnumRegisteredBindCompsProc 001c SInvalidBindCompEnumeration 0023 _DV_TBindCompException 0028 Exception.CreateRes 002d @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 74 0E FF 75 0C FF 75 08 FF 15 ?? ?? ?? ?? EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_72561_0 {
	meta:
		name = "EnumRegisteredActions"
		size = 53
		refs = "0005 EnumRegisteredActionsProc 001c SInvalidActionEnumeration 0023 _Dn_Exception 0028 Exception.CreateRes 002d @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 74 0E FF 75 0C FF 75 08 FF 15 ?? ?? ?? ?? EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_1470_0 {
	meta:
		name = "EnumRegisteredBindCompFactories"
		size = 53
		refs = "0005 EnumRegisteredBindCompFactoriesProc 001c SInvalidBindCompFactoryEnumeration 0023 _DV_TBindCompException 0028 Exception.CreateRes 002d @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 74 0E FF 75 0C FF 75 08 FF 15 ?? ?? ?? ?? EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_97664_0 {
	meta:
		name = "EnumRegisteredWebComponents"
		size = 53
		refs = "0005 EnumRegisteredWebComponentsProc 001c sInvalidWebComponentsEnumeration 0023 _Dn_Exception 0028 Exception.CreateRes 002d @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 74 0E FF 75 0C FF 75 08 FF 15 ?? ?? ?? ?? EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_1469_0 {
	meta:
		name = "RegisterBindCompFactory"
		size = 104
		refs = "000b @IntfAddRef 0013 RegisterBindCompFactory 001f RegisterBindCompFactoryProc 0033 SInvalidBindCompFactory 003a _DV_TBindCompException 003f Exception.CreateRes 0044 @RaiseExcept 0059 @IntfClear 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 0B 8B 45 FC FF 15 ?? ?? ?? ?? EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_1471_0 {
	meta:
		name = "RegisterBindCompDesigner"
		size = 110
		refs = "000e @IntfAddRef 0016 RegisterBindCompDesigner 0022 RegisterBindCompDesignerProc 0038 SInvalidBindCompDesigner 003f _DV_TBindCompException 0044 Exception.CreateRes 0049 @RaiseExcept 005e @IntfClear 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 0D 8B 55 FC 8B C3 FF 15 ?? ?? ?? ?? EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1472_0 {
	meta:
		name = "GetBindCompDesigner"
		size = 54
		refs = "0008 GetBindCompDesignerProc 001e SInvalidBindCompDesigner 0025 _DV_TBindCompException 002a Exception.CreateRes 002f @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 3D ?? ?? ?? ?? 00 74 0D 8B D6 8B C3 FF 15 ?? ?? ?? ?? 5E 5B C3 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1473_0 {
	meta:
		name = "RegisterBoundComponents"
		size = 50
		refs = "0006 RegisterBoundComponentsProc 001b SInvalidBindCompComponents 0022 _DV_TBindCompException 0027 Exception.CreateRes 002c @RaiseExcept"
	strings:
		$1 = { 51 88 0C 24 83 3D ?? ?? ?? ?? 00 74 0C 0F B6 0C 24 FF 15 ?? ?? ?? ?? 5A C3 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_1474_0 {
	meta:
		name = "GetBoundComponentOptions"
		size = 53
		refs = "0006 GetBoundComponentOptionsProc 001b SInvalidBindCompComponents 0022 _DV_TBindCompException 0027 Exception.CreateRes 002c @RaiseExcept"
	strings:
		$1 = { 53 56 8B F0 83 3D ?? ?? ?? ?? 00 74 0C 8B C6 FF 15 ?? ?? ?? ?? 8B D8 EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_1476_0 {
	meta:
		name = "TContainedBindComponent.Designing"
		size = 8
		altNames = "TCustomRibbon.IsDesigning TIWBaseContainer.GetDesignMode TIWDataModule.GetDesignMode TIWVCLComponent.GetDesignMode TIdInitializerComponent.GetIsDesignTime"
	strings:
		$1 = { F6 40 1C 10 0F 95 C0 C3 }
	condition:
		$1
}

rule function_1478_0 {
	meta:
		name = "TAdapterNamedField.GetDefaultFieldName"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TBaseAdapterAction.GetDefaultActionName TBaseWebPageInfo.GetPageFile TComponent.GetNamePath TContainedBindComponent.DisplayName TCustomAdapter.ImplGetVariableName TCustomAdapterForm.GetHTMLFormName TCustomAdapterForm.GetHTMLFormVarName TDBXCommand.GetText TDBXNamedCallback.GetName TDBXTracePascalFormatter.CloseComment TDBXValueType.GetDisplayName TScriptCodeItem.GetScript TWebDataDisplay.ImplGetHTMLControlName TWebForm.GetHTMLFormName TWebForm.GetHTMLFormVarName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47954_0 {
	meta:
		name = "TWebRequestFile.GetFileName"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97946_0 {
	meta:
		name = "TWebSession.GetWebSession"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1480_0 {
	meta:
		name = "TContainedBindComponent.GetIndex"
		size = 38
		refs = "001b TList<Data.Bind.Components.TContainedBindComponent>.IndexOf"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 40 85 C0 74 13 8B C3 8B 10 FF 52 40 8B 40 38 8B D3 E8 ?? ?? ?? ?? 5B C3 83 C8 FF 5B C3 }
	condition:
		$1
}

rule function_1481_0 {
	meta:
		name = "TContainedBindComponent.GetParentComponent"
		size = 32
		refs = "001a TComponent.GetParentComponent"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 40 85 C0 74 09 8B C3 8B 10 FF 52 40 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1482_0 {
	meta:
		name = "TContainedBindComponent.HasParent"
		size = 27
		refs = "0015 TComponent.HasParent"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 40 85 C0 74 04 B0 01 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1483_0 {
	meta:
		name = "TContainedBindComponent.Loading"
		size = 8
		altNames = "TIWBaseContainer.GetLoading TIWVCLBaseControl.GetLoading TIdInitializerComponent.GetIsLoading"
	strings:
		$1 = { F6 40 1C 01 0F 95 C0 C3 }
	condition:
		$1
}

rule function_1484_0 {
	meta:
		name = "TContainedBindComponent.ReadState"
		size = 49
		refs = "000c TComponent.ReadState 0017 _DV_TCustomBindingsList 001c @IsClass 0029 TContainedBindComponent.SetBindingsList"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 7E 2C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72568_0 {
	meta:
		name = "TContainedAction.ReadState"
		size = 49
		refs = "000c TComponent.ReadState 0017 _DV_TCustomActionList 001c @IsClass 0029 TContainedAction.SetActionList"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 7E 2C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74472_0 {
	meta:
		name = "TTabSheet.ReadState"
		size = 49
		refs = "000c TWinControl.ReadState 0017 _DV_TPageControl 001c @IsClass 0029 TTabSheet.SetPageControl"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 7E 2C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1485_0 {
	meta:
		name = "TContainedBindComponent.CheckControlComponent"
		size = 140
		refs = "0015 TContainedBindComponent.CheckControlComponent 0048 sNoControl 004d LoadResString 0057 _DV_TBindCompException 005c Exception.CreateFmt 0061 @RaiseExcept 007b @UStrArrayClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F4 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 44 85 C0 75 3B 8D 55 F4 8B C3 8B 08 FF 51 4C 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1486_0 {
	meta:
		name = "TContainedBindComponent.SetCategory"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TDSCustomCertFiles.SetKeyFile TDdeClientConv.SetTopic TSQLMonitor.SetFileName TSitePageModuleHelper.SetDefaultPageFileName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 3C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1487_0 {
	meta:
		name = "TContainedBindComponent.SetBindingsList"
		size = 58
		refs = "0026 TCustomBindingsList.RemoveBindComp 0033 TCustomBindingsList.AddBindComp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 40 3B F0 74 26 8B C3 8B 10 FF 52 40 85 C0 74 0E 8B C3 8B 10 FF 52 40 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1488_0 {
	meta:
		name = "TContainedBindComponent.SetIndex"
		size = 72
		refs = "000a TContainedBindComponent.GetIndex 0031 TList<Data.Bind.Components.TContainedBindComponent>.Extract 0040 TList<Data.Bind.Components.TContainedBindComponent>.Insert"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 32 8B 53 38 8B 7A 38 8B 57 08 85 F6 7D 02 33 F6 3B D6 7F 03 8B F2 4E 3B C6 74 18 8B C7 8B D3 E8 ?? ?? ?? ?? 8B 43 38 8B 40 38 8B CB 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1489_0 {
	meta:
		name = "TContainedBindComponent.SetParentComponent"
		size = 46
		refs = "0015 _DV_TCustomBindingsList 001a @IsClass 0027 TContainedBindComponent.SetBindingsList"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 54 84 C0 75 1A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1490_0 {
	meta:
		name = "TActionListEnumerator.Create"
		size = 67
		refs = "000b @ClassCreate 001a TObject.Create 002f @AfterConstruction"
		altNames = "TBindingsListEnumerator.Create TCollectionEnumerator.Create TComponentEnumerator.Create TFavoriteLinkItemsEnumerator.Create TFieldsEnumerator.Create TInterfaceListEnumerator.Create TJSONArrayEnumerator.Create TJSONPairEnumerator.Create TKeyTipListEnumerator.Create TListEnumerator.Create TListItemsEnumerator.Create TMenuItemEnumerator.Create TStringsEnumerator.Create TTaskDialogButtonsEnumerator.Create TToolBarEnumerator.Create TTreeNodesEnumerator.Create TWideStringsEnumerator.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 04 FF FF FF FF 89 77 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1491_0 {
	meta:
		name = "TBindingsListEnumerator.GetCurrent"
		size = 12
		refs = "0007 TCustomBindingsList.GetBindComp"
	strings:
		$1 = { 8B 50 04 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72576_0 {
	meta:
		name = "TActionListEnumerator.GetCurrent"
		size = 12
		refs = "0007 TCustomActionList.GetAction"
	strings:
		$1 = { 8B 50 04 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62201_0 {
	meta:
		name = "TCollectionEnumerator.GetCurrent"
		size = 12
		refs = "0007 TCollection.GetItem"
	strings:
		$1 = { 8B 50 04 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62707_0 {
	meta:
		name = "TComponentEnumerator.GetCurrent"
		size = 12
		refs = "0007 TComponent.GetComponent"
	strings:
		$1 = { 8B 50 04 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1700_0 {
	meta:
		name = "TExpressionDirEnumerator.GetCurrent"
		size = 12
		refs = "0007 TCollection.GetItem"
	strings:
		$1 = { 8B 50 04 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1699_0 {
	meta:
		name = "TExpressionsEnumerator.GetCurrent"
		size = 12
		refs = "0007 TCollection.GetItem"
	strings:
		$1 = { 8B 50 04 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78289_0 {
	meta:
		name = "TFavoriteLinkItemsEnumerator.GetCurrent"
		size = 12
		refs = "0007 TFavoriteLinkItems.GetItem"
	strings:
		$1 = { 8B 50 04 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5158_0 {
	meta:
		name = "TFieldsEnumerator.GetCurrent"
		size = 12
		refs = "0007 TFields.GetField"
	strings:
		$1 = { 8B 50 04 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9437_0 {
	meta:
		name = "TJSONArrayEnumerator.GetCurrent"
		size = 12
		refs = "0007 TJSONArray.Get"
	strings:
		$1 = { 8B 50 04 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83780_0 {
	meta:
		name = "TKeyTipListEnumerator.GetCurrent"
		size = 12
		refs = "0007 TKeyTipList.GetItem"
	strings:
		$1 = { 8B 50 04 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62097_0 {
	meta:
		name = "TListEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList.Get"
	strings:
		$1 = { 8B 50 04 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75191_0 {
	meta:
		name = "TListItemsEnumerator.GetCurrent"
		size = 12
		refs = "0007 TListItems.GetItem"
	strings:
		$1 = { 8B 50 04 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82197_0 {
	meta:
		name = "TMenuItemEnumerator.GetCurrent"
		size = 12
		refs = "0007 TMenuItem.GetItem"
	strings:
		$1 = { 8B 50 04 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78368_0 {
	meta:
		name = "TTaskDialogButtonsEnumerator.GetCurrent"
		size = 12
		refs = "0007 TTaskDialogButtons.GetItem"
	strings:
		$1 = { 8B 50 04 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75460_0 {
	meta:
		name = "TToolBarEnumerator.GetCurrent"
		size = 12
		refs = "0007 TToolBar.GetButton"
	strings:
		$1 = { 8B 50 04 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74732_0 {
	meta:
		name = "TTreeNodesEnumerator.GetCurrent"
		size = 12
		refs = "0007 TTreeNodes.GetNodeFromIndex"
	strings:
		$1 = { 8B 50 04 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1492_0 {
	meta:
		name = "TBindingsListEnumerator.MoveNext"
		size = 27
		refs = "0007 TCustomBindingsList.GetBindCompCount"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 48 3B 43 04 0F 9F C0 84 C0 74 03 FF 43 04 5B C3 }
	condition:
		$1
}

rule function_72577_0 {
	meta:
		name = "TActionListEnumerator.MoveNext"
		size = 27
		refs = "0007 TCustomActionList.GetActionCount"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 48 3B 43 04 0F 9F C0 84 C0 74 03 FF 43 04 5B C3 }
	condition:
		$1
}

rule function_62202_0 {
	meta:
		name = "TCollectionEnumerator.MoveNext"
		size = 27
		refs = "0007 TCollection.GetCount"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 48 3B 43 04 0F 9F C0 84 C0 74 03 FF 43 04 5B C3 }
	condition:
		$1
}

rule function_62708_0 {
	meta:
		name = "TComponentEnumerator.MoveNext"
		size = 27
		refs = "0007 TComponent.GetComponentCount"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 48 3B 43 04 0F 9F C0 84 C0 74 03 FF 43 04 5B C3 }
	condition:
		$1
}

rule function_5159_0 {
	meta:
		name = "TFieldsEnumerator.MoveNext"
		size = 27
		refs = "0007 TFields.GetCount"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 48 3B 43 04 0F 9F C0 84 C0 74 03 FF 43 04 5B C3 }
	condition:
		$1
}

rule function_62140_0 {
	meta:
		name = "TInterfaceListEnumerator.MoveNext"
		size = 27
		refs = "0007 TInterfaceList.GetCount"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 48 3B 43 04 0F 9F C0 84 C0 74 03 FF 43 04 5B C3 }
	condition:
		$1
}

rule function_9438_0 {
	meta:
		name = "TJSONArrayEnumerator.MoveNext"
		size = 27
		refs = "0007 TJSONArray.Size"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 48 3B 43 04 0F 9F C0 84 C0 74 03 FF 43 04 5B C3 }
	condition:
		$1
}

rule function_9435_0 {
	meta:
		name = "TJSONPairEnumerator.MoveNext"
		size = 27
		refs = "0007 TDBXArrayList.GetCount"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 48 3B 43 04 0F 9F C0 84 C0 74 03 FF 43 04 5B C3 }
	condition:
		$1
}

rule function_83781_0 {
	meta:
		name = "TKeyTipListEnumerator.MoveNext"
		size = 27
		refs = "0007 TKeyTipList.GetCount"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 48 3B 43 04 0F 9F C0 84 C0 74 03 FF 43 04 5B C3 }
	condition:
		$1
}

rule function_75192_0 {
	meta:
		name = "TListItemsEnumerator.MoveNext"
		size = 27
		refs = "0007 TListItems.GetCount"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 48 3B 43 04 0F 9F C0 84 C0 74 03 FF 43 04 5B C3 }
	condition:
		$1
}

rule function_82198_0 {
	meta:
		name = "TMenuItemEnumerator.MoveNext"
		size = 27
		refs = "0007 TMenuItem.GetCount"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 48 3B 43 04 0F 9F C0 84 C0 74 03 FF 43 04 5B C3 }
	condition:
		$1
}

rule function_75461_0 {
	meta:
		name = "TToolBarEnumerator.MoveNext"
		size = 27
		refs = "0007 TToolBar.GetButtonCount"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 48 3B 43 04 0F 9F C0 84 C0 74 03 FF 43 04 5B C3 }
	condition:
		$1
}

rule function_74733_0 {
	meta:
		name = "TTreeNodesEnumerator.MoveNext"
		size = 27
		refs = "0007 TTreeNodes.GetCount"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 48 3B 43 04 0F 9F C0 84 C0 74 03 FF 43 04 5B C3 }
	condition:
		$1
}

rule function_1493_0 {
	meta:
		name = "TCustomBindingsList.Create"
		size = 113
		refs = "000a @ClassCreate 0017 TComponent.Create 0020 _DV_TObjectList<Data.Bind.Components.TContainedBindComponent> 0025 TObjectList<Data.Bind.Components.TContainedBindComponent>.Create 0031 _DV_TMethods 0036 TBindArtifacts.Create 0042 _DV_TOutputConverters 005e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 C6 46 40 01 33 C0 89 46 44 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1494_0 {
	meta:
		name = "TCustomBindingsList.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000f TObject.Free 002a TComponent.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 38 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 8B 46 48 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1495_0 {
	meta:
		name = "TCustomBindingsList.GetBindComp"
		size = 9
		refs = "0004 TList<Data.Bind.Components.TContainedBindComponent>.GetItem"
	strings:
		$1 = { 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96012_0 {
	meta:
		name = "TCustomWebFileDispatcher.SetWebDirectories"
		size = 9
		refs = "0004 TWebFileDispatcherProperties.SetWebDirectories"
	strings:
		$1 = { 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96011_0 {
	meta:
		name = "TCustomWebFileDispatcher.SetWebFileExtensions"
		size = 9
		refs = "0004 TWebFileDispatcherProperties.SetWebFileExtension"
	strings:
		$1 = { 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98825_0 {
	meta:
		name = "TCustomWebUserList.GetItem"
		size = 9
		refs = "0004 TWebUserItems.GetUserItem"
	strings:
		$1 = { 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6031_0 {
	meta:
		name = "TDataSet.FieldByNumber"
		size = 9
		refs = "0004 TFields.FieldByNumber"
	strings:
		$1 = { 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6021_0 {
	meta:
		name = "TDataSet.GetFieldCount"
		size = 9
		refs = "0004 TFields.GetCount"
	strings:
		$1 = { 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43284_0 {
	meta:
		name = "TIWBaseComponent.AddFreeNotifier"
		size = 9
		refs = "0004 TIWBaseComponentImplementation.AddFreeNotifier"
	strings:
		$1 = { 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43285_0 {
	meta:
		name = "TIWBaseComponent.RemoveFreeNotifier"
		size = 9
		refs = "0004 TIWBaseComponentImplementation.RemoveFreeNotifier"
	strings:
		$1 = { 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43281_0 {
	meta:
		name = "TIWBaseComponent.SupportsInput"
		size = 9
		refs = "0004 TIWBaseComponentImplementation.SupportsInput"
	strings:
		$1 = { 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43282_0 {
	meta:
		name = "TIWBaseComponent.SupportsSubmit"
		size = 9
		refs = "0004 TIWBaseComponentImplementation.SupportsSubmit"
	strings:
		$1 = { 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43280_0 {
	meta:
		name = "TIWBaseComponent.set_ExtraTagParams"
		size = 9
		refs = "0004 TIWBaseComponentImplementation.set_ExtraTagParams"
	strings:
		$1 = { 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98377_0 {
	meta:
		name = "TSitePageModuleHelper.GetDefaultAction"
		size = 9
		refs = "0004 TAdapterActionName.GetAction"
	strings:
		$1 = { 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97735_0 {
	meta:
		name = "TWebContainedComponent.IsDefaultField"
		size = 9
		refs = "0004 TWebContainedComponentHelper.IsDefaultField"
	strings:
		$1 = { 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97739_0 {
	meta:
		name = "TWebContainedComponent.SetWebParent"
		size = 9
		refs = "0004 TWebContainedComponentHelper.SetWebParent"
	strings:
		$1 = { 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97747_0 {
	meta:
		name = "TWebContainedContainerComponent.SetChildOrder"
		size = 9
		refs = "0004 TWebContainerComponentHelper.SetChildOrder"
	strings:
		$1 = { 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97716_0 {
	meta:
		name = "TWebContainerComponent.SetChildOrder"
		size = 9
		refs = "0004 TWebContainerComponentHelper.SetChildOrder"
	strings:
		$1 = { 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_115314_0 {
	meta:
		name = "TXMLBroker.DispatchMask"
		size = 9
		refs = "0004 TWebDispatch.GetMask"
	strings:
		$1 = { 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_115425_0 {
	meta:
		name = "TXMLTransformClient.SetProviderName"
		size = 9
		refs = "0004 TCustomClientDataSet.SetProviderName"
	strings:
		$1 = { 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1496_0 {
	meta:
		name = "TCustomActionList.GetActionCount"
		size = 7
		altNames = "TCustomBindingsList.GetBindCompCount TIWBaseComponent.get_ExtraTagParams TMultiCaster.GetCount TWebContainedContainerComponent.GetWebComponents TWebContainerComponent.GetWebComponents"
	strings:
		$1 = { 8B 40 38 8B 40 08 C3 }
	condition:
		$1
}

rule function_1497_0 {
	meta:
		name = "TCustomBindingsList.GetEnumerator"
		size = 15
		refs = "0005 _DV_TBindingsListEnumerator 000a TBindingsListEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45289_0 {
	meta:
		name = "CreateHTTPServer"
		size = 15
		refs = "0005 _DV_TIWHTTPServerModule 000a TIWHTTPServerModule.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50467_0 {
	meta:
		name = "InitSockAppFactory"
		size = 15
		refs = "0005 _Dn_TWebAppSockObjectFactory 000a TWebAppSockObjectFactory.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82501_0 {
	meta:
		name = "TAutoObject.CreateAutoDispatch"
		size = 15
		refs = "0005 _DV_TAutoDispatch 000a TAutoDispatch.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62214_0 {
	meta:
		name = "TCollection.GetEnumerator"
		size = 15
		refs = "0005 _DV_TCollectionEnumerator 000a TCollectionEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77682_0 {
	meta:
		name = "TColumn.CreateTitle"
		size = 15
		refs = "0005 _DV_TColumnTitle 000a TColumnTitle.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62732_0 {
	meta:
		name = "TComponent.GetEnumerator"
		size = 15
		refs = "0005 _DV_TComponentEnumerator 000a TComponentEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72584_0 {
	meta:
		name = "TCustomActionList.GetEnumerator"
		size = 15
		refs = "0005 _DV_TActionListEnumerator 000a TActionListEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96725_0 {
	meta:
		name = "TCustomAdapter.CreateErrorsList"
		size = 15
		refs = "0005 _DV_TAdapterErrorsList 000a TAdapterErrorsList.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77788_0 {
	meta:
		name = "TCustomDBGrid.CreateDataLink"
		size = 15
		refs = "0005 _DV_TGridDataLink 000a TGridDataLink.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77789_0 {
	meta:
		name = "TCustomDBGrid.CreateEditor"
		size = 15
		refs = "0005 _DV_TDBGridInplaceEdit 000a TDBGridInplaceEdit.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80835_0 {
	meta:
		name = "TCustomGrid.CreateEditor"
		size = 15
		refs = "0005 _DV_TInplaceEdit 000a TInplaceEdit.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74658_0 {
	meta:
		name = "TCustomHeaderControl.CreateSections"
		size = 15
		refs = "0005 _DV_THeaderSections 000a THeaderSections.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75279_0 {
	meta:
		name = "TCustomListView.CreateListItems"
		size = 15
		refs = "0005 _DV_TListItems 000a TListItems.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74583_0 {
	meta:
		name = "TCustomStatusBar.CreatePanels"
		size = 15
		refs = "0005 _DV_TStatusPanels 000a TStatusPanels.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74852_0 {
	meta:
		name = "TCustomTreeView.CreateNodes"
		size = 15
		refs = "0005 _DV_TTreeNodes 000a TTreeNodes.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7521_0 {
	meta:
		name = "TDBXDriverHelp.CreateTDBXParameter"
		size = 15
		refs = "0005 _DV_TDBXParameter 000a TDBXParameter.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7522_0 {
	meta:
		name = "TDBXDriverHelp.CreateTDBXProperties"
		size = 15
		refs = "0005 _DV_TDBXProperties 000a TDBXProperties.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7523_0 {
	meta:
		name = "TDBXDriverHelp.CreateTDBXValueType"
		size = 15
		refs = "0005 _DV_TDBXValueType 000a TDBXValueType.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12721_0 {
	meta:
		name = "TDBXObjectStore.Keys"
		size = 15
		refs = "0005 _Dn_TStringsEnumerator 000a TStringsEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16135_0 {
	meta:
		name = "TDSCustomRestConnection.CreateCommand"
		size = 15
		refs = "0005 _DV_TDSRestCommand 000a TDSRestCommand.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2932_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TPairEnumerator 000a TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10987_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TPairEnumerator 000a TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40129_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TPairEnumerator 000a TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51033_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TPairEnumerator 000a TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52527_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TPairEnumerator 000a TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55172_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TPairEnumerator 000a TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57773_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TPairEnumerator 000a TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60633_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TPairEnumerator 000a TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54820_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.TPairEnumerator 000a TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60052_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TPairEnumerator 000a TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86237_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TPairEnumerator 000a TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88330_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TPairEnumerator 000a TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50961_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.IInterface,System.Pointer>.TPairEnumerator 000a TDictionary<System.IInterface,System.Pointer>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24620_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TPairEnumerator 000a TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2218_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.Integer,System.Classes.IObserver>.TPairEnumerator 000a TDictionary<System.Integer,System.Classes.IObserver>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9755_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.Integer,System.Integer>.TPairEnumerator 000a TDictionary<System.Integer,System.Integer>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67447_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.Pointer,System.Rtti.TRttiObject>.TPairEnumerator 000a TDictionary<System.Pointer,System.Rtti.TRttiObject>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54473_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TPairEnumerator 000a TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86359_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TPairEnumerator 000a TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42548_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.TGUID,System.TClass>.TPairEnumerator 000a TDictionary<System.TGUID,System.TClass>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54962_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TPairEnumerator 000a TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55307_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TPairEnumerator 000a TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57591_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TPairEnumerator 000a TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57381_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TPairEnumerator 000a TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53947_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.TObject,System.string>.TPairEnumerator 000a TDictionary<System.TObject,System.string>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67709_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.TypInfo.PTypeInfo,System.string>.TPairEnumerator 000a TDictionary<System.TypInfo.PTypeInfo,System.string>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63470_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TPairEnumerator 000a TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71572_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TPairEnumerator 000a TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29280_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TPairEnumerator 000a TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7832_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,Data.DBXCommon.TEventPointer>.TPairEnumerator 000a TDictionary<System.string,Data.DBXCommon.TEventPointer>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23412_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TPairEnumerator 000a TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17970_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TPairEnumerator 000a TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21223_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TPairEnumerator 000a TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17242_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TPairEnumerator 000a TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17822_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TPairEnumerator 000a TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24442_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TPairEnumerator 000a TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11210_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,Datasnap.DSService.TDSSession>.TPairEnumerator 000a TDictionary<System.string,Datasnap.DSService.TDSSession>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31205_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,IBIntf.IGDSLibrary>.TPairEnumerator 000a TDictionary<System.string,IBIntf.IGDSLibrary>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53545_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TPairEnumerator 000a TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58914_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TPairEnumerator 000a TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59976_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TPairEnumerator 000a TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64730_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,System.Boolean>.TPairEnumerator 000a TDictionary<System.string,System.Boolean>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15672_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,System.Classes.TStream>.TPairEnumerator 000a TDictionary<System.string,System.Classes.TStream>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23560_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,System.Classes.TStrings>.TPairEnumerator 000a TDictionary<System.string,System.Classes.TStrings>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42619_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TPairEnumerator 000a TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60171_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TPairEnumerator 000a TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58985_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,System.IInterface>.TPairEnumerator 000a TDictionary<System.string,System.IInterface>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57524_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,System.Int64>.TPairEnumerator 000a TDictionary<System.string,System.Int64>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57310_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,System.Integer>.TPairEnumerator 000a TDictionary<System.string,System.Integer>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22712_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,System.Masks.TMask>.TPairEnumerator 000a TDictionary<System.string,System.Masks.TMask>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10001_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,System.TObject>.TPairEnumerator 000a TDictionary<System.string,System.TObject>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67780_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,System.TypInfo.PTypeInfo>.TPairEnumerator 000a TDictionary<System.string,System.TypInfo.PTypeInfo>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49947_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,System.Variant>.TPairEnumerator 000a TDictionary<System.string,System.Variant>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27673_0 {
	meta:
		name = "TDictionary<System.string,System.string>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,System.string>.TPairEnumerator 000a TDictionary<System.string,System.string>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87523_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TPairEnumerator 000a TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88802_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TPairEnumerator 000a TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TPairEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1562_0 {
	meta:
		name = "TExpressions.GetEnumerator"
		size = 15
		refs = "0005 _DV_TExpressionsEnumerator 000a TCollectionEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1569_0 {
	meta:
		name = "TExpressionsDir.GetEnumerator"
		size = 15
		refs = "0005 _DV_TExpressionDirEnumerator 000a TCollectionEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78293_0 {
	meta:
		name = "TFavoriteLinkItems.GetEnumerator"
		size = 15
		refs = "0005 _DV_TFavoriteLinkItemsEnumerator 000a TFavoriteLinkItemsEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5174_0 {
	meta:
		name = "TFields.GetEnumerator"
		size = 15
		refs = "0005 _DV_TFieldsEnumerator 000a TFieldsEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66574_0 {
	meta:
		name = "TGroupCollection.GetEnumerator"
		size = 15
		refs = "0005 _DV_TGroupCollectionEnumerator 000a TGroupCollectionEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43456_0 {
	meta:
		name = "TIWBaseHTMLControl.InitializeImplementation"
		size = 15
		refs = "0005 _DV_TIWBaseHTMLControlImplementation 000a TIWBaseHTMLControlImplementation.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44173_0 {
	meta:
		name = "TIWCustomControl.InitializeImplementation"
		size = 15
		refs = "0005 _DV_TIWHTMLControlImplementation 000a TIWHTMLControlImplementation.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35017_0 {
	meta:
		name = "TIdCustomHTTP.CreateProtocol"
		size = 15
		refs = "0005 _DV_TIdHTTPProtocol 000a TIdHTTPProtocol.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62150_0 {
	meta:
		name = "TInterfaceList.GetEnumerator"
		size = 15
		refs = "0005 _DV_TInterfaceListEnumerator 000a TInterfaceListEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9432_0 {
	meta:
		name = "TJSONArray.GetEnumerator"
		size = 15
		refs = "0005 _DV_TJSONArrayEnumerator 000a TJSONArrayEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62109_0 {
	meta:
		name = "TList.GetEnumerator"
		size = 15
		refs = "0005 _DV_TListEnumerator 000a TListEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26867_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.TEnumerator 000a TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27091_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.TEnumerator 000a TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27295_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.TEnumerator 000a TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27527_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.TEnumerator 000a TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27744_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.TEnumerator 000a TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27945_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.TEnumerator 000a TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28563_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<DSAzureBlob.TBBlob>.TEnumerator 000a TList<DSAzureBlob.TBBlob>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28785_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<DSAzureBlob.TBBlock>.TEnumerator 000a TList<DSAzureBlob.TBBlock>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28439_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<DSAzureBlob.TBContainer>.TEnumerator 000a TList<DSAzureBlob.TBContainer>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28728_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<DSAzureBlob.TBPageRange>.TEnumerator 000a TList<DSAzureBlob.TBPageRange>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28671_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<DSAzureBlob.TBSignedIdentifier>.TEnumerator 000a TList<DSAzureBlob.TBSignedIdentifier>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28618_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<DSAzureBlob.TLeaseItem>.TEnumerator 000a TList<DSAzureBlob.TLeaseItem>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28842_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<DSAzureBlob.TPair<System.string,System.string>>.TEnumerator 000a TList<DSAzureBlob.TPair<System.string,System.string>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29086_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<DSAzureQueue.TMessageNodeData>.TEnumerator 000a TList<DSAzureQueue.TMessageNodeData>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29504_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<DSAzureTableDialog.TAzureTableColumn>.TEnumerator 000a TList<DSAzureTableDialog.TAzureTableColumn>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29359_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<DSAzureTableDialog.TAzureTableRow>.TEnumerator 000a TList<DSAzureTableDialog.TAzureTableRow>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29406_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.TEnumerator 000a TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2121_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Bind.Components.TBasicBindComponent>.TEnumerator 000a TList<Data.Bind.Components.TBasicBindComponent>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2297_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Bind.Components.TBindEditorFactoryClass>.TEnumerator 000a TList<Data.Bind.Components.TBindEditorFactoryClass>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2070_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Bind.Components.TContainedBindComponent>.TEnumerator 000a TList<Data.Bind.Components.TContainedBindComponent>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2416_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.TEnumerator 000a TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2771_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.TEnumerator 000a TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3113_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Bind.DBScope.TBaseDataLink>.TEnumerator 000a TList<Data.Bind.DBScope.TBaseDataLink>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3015_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.TEnumerator 000a TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3610_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.TEnumerator 000a TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3865_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Cloud.AmazonAPI.TAmazonGrant>.TEnumerator 000a TList<Data.Cloud.AmazonAPI.TAmazonGrant>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3967_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.TEnumerator 000a TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3916_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.TEnumerator 000a TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4018_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.TEnumerator 000a TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3814_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.TEnumerator 000a TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3559_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.TEnumerator 000a TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4693_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Cloud.AzureAPI.TAzureBlob>.TEnumerator 000a TList<Data.Cloud.AzureAPI.TAzureBlob>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4744_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.TEnumerator 000a TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4540_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.TEnumerator 000a TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4591_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Cloud.AzureAPI.TAzureContainer>.TEnumerator 000a TList<Data.Cloud.AzureAPI.TAzureContainer>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4642_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Cloud.AzureAPI.TSignedIdentifier>.TEnumerator 000a TList<Data.Cloud.AzureAPI.TSignedIdentifier>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3763_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Cloud.CloudAPI.TCloudQueue>.TEnumerator 000a TList<Data.Cloud.CloudAPI.TCloudQueue>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3712_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.TEnumerator 000a TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5025_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Cloud.CloudAPI.TCloudTableColumn>.TEnumerator 000a TList<Data.Cloud.CloudAPI.TCloudTableColumn>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3661_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.Cloud.CloudAPI.TCloudTableRow>.TEnumerator 000a TList<Data.Cloud.CloudAPI.TCloudTableRow>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16413_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.DBXCommon.TDBXParameter>.TEnumerator 000a TList<Data.DBXCommon.TDBXParameter>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7911_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.TEnumerator 000a TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8631_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.DBXCommon.TDBXWritableValueArray>.TEnumerator 000a TList<Data.DBXCommon.TDBXWritableValueArray>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8056_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.DBXCommon.TEventPointer>.TEnumerator 000a TList<Data.DBXCommon.TEventPointer>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7958_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.TEnumerator 000a TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25147_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.DBXCommon.TResultCommandHandler>.TEnumerator 000a TList<Data.DBXCommon.TResultCommandHandler>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10388_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.DBXJSON.TJSONAncestor>.TEnumerator 000a TList<Data.DBXJSON.TJSONAncestor>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23850_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.DBXJSONReflect.TConverterEvent>.TEnumerator 000a TList<Data.DBXJSONReflect.TConverterEvent>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10147_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.TEnumerator 000a TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10243_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.TEnumerator 000a TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10532_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.TEnumerator 000a TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10436_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.TEnumerator 000a TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18601_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.DBXJSONReflect.TReverterEvent>.TEnumerator 000a TList<Data.DBXJSONReflect.TReverterEvent>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11120_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.TEnumerator 000a TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11069_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.TEnumerator 000a TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11304_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.TEnumerator 000a TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15964_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator 000a TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15819_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.TEnumerator 000a TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16295_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSClientRest.TDSRestClientCallback>.TEnumerator 000a TList<Datasnap.DSClientRest.TDSRestClientCallback>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16469_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.TEnumerator 000a TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21950_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSCommonProxy.IDSProxyWriter>.TEnumerator 000a TList<Datasnap.DSCommonProxy.IDSProxyWriter>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17415_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSHTTP.TDSHTTPClass>.TEnumerator 000a TList<Datasnap.DSHTTP.TDSHTTPClass>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17317_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.TEnumerator 000a TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18409_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.TEnumerator 000a TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18101_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.TEnumerator 000a TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17779_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.TEnumerator 000a TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18154_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.TEnumerator 000a TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18456_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.TEnumerator 000a TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18552_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.TEnumerator 000a TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18311_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.TEnumerator 000a TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18785_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.TEnumerator 000a TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19086_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.TEnumerator 000a TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19445_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator 000a TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19740_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator 000a TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20028_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator 000a TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20310_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator 000a TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20836_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator 000a TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20740_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.TEnumerator 000a TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21064_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.TEnumerator 000a TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21298_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator 000a TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21585_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator 000a TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21852_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator 000a TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22144_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator 000a TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22437_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator 000a TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23004_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator 000a TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22859_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.TEnumerator 000a TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23748_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSServer.TDSCallbackTunnel>.TEnumerator 000a TList<Datasnap.DSServer.TDSCallbackTunnel>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23697_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.TEnumerator 000a TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23799_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.TEnumerator 000a TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23897_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.TEnumerator 000a TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23993_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.TEnumerator 000a TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24522_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSService.TDBXRequestFilter>.TEnumerator 000a TList<Datasnap.DSService.TDBXRequestFilter>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18834_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSService.TDSSession>.TEnumerator 000a TList<Datasnap.DSService.TDSSession>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24892_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSService.TDSSessionEvent>.TEnumerator 000a TList<Datasnap.DSService.TDSSessionEvent>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25096_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.TEnumerator 000a TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24990_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.TEnumerator 000a TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25337_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.TEnumerator 000a TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25241_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSService.TPair<System.string,System.TObject>>.TEnumerator 000a TList<Datasnap.DSService.TPair<System.string,System.TObject>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25194_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSService.TPair<System.string,System.string>>.TEnumerator 000a TList<Datasnap.DSService.TPair<System.string,System.string>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25611_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.TEnumerator 000a TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29713_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<GraphView.TGraphEdge>.TEnumerator 000a TList<GraphView.TGraphEdge>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29823_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<GraphView.TGraphNode>.TEnumerator 000a TList<GraphView.TGraphNode>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29768_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<GraphView.TObjectList<GraphView.TGraphEdge>>.TEnumerator 000a TList<GraphView.TObjectList<GraphView.TGraphEdge>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30585_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<IBDatabase.TIBBase>.TEnumerator 000a TList<IBDatabase.TIBBase>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30687_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<IBDatabase.TIBDatabase>.TEnumerator 000a TList<IBDatabase.TIBDatabase>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30636_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<IBDatabase.TIBTransaction>.TEnumerator 000a TList<IBDatabase.TIBTransaction>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31378_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<IBIntf.IGDSLibrary>.TEnumerator 000a TList<IBIntf.IGDSLibrary>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31280_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.TEnumerator 000a TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40398_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<IPPeerAPI.IIPContext>.TEnumerator 000a TList<IPPeerAPI.IIPContext>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43005_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.TEnumerator 000a TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42762_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.TEnumerator 000a TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42907_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.TEnumerator 000a TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43052_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<IPPeerAPI.TPair<System.string,System.string>>.TEnumerator 000a TList<IPPeerAPI.TPair<System.string,System.string>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40351_0 {
	meta:
		name = "TList<IdContext.TIdContext>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<IdContext.TIdContext>.TEnumerator 000a TList<IdContext.TIdContext>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40300_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.TEnumerator 000a TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40204_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<IndyPeerImpl.TPair<System.string,System.string>>.TEnumerator 000a TList<IndyPeerImpl.TPair<System.string,System.string>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50069_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.TEnumerator 000a TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51254_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.TEnumerator 000a TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51109_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<SyncController.TPair<System.IInterface,System.Pointer>>.TEnumerator 000a TList<SyncController.TPair<System.IInterface,System.Pointer>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51352_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<SyncController.TPair<System.TObject,System.string>>.TEnumerator 000a TList<SyncController.TPair<System.TObject,System.string>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30865_0 {
	meta:
		name = "TList<System.AnsiString>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.AnsiString>.TEnumerator 000a TList<System.AnsiString>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51725_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.TEnumerator 000a TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54646_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.CustomScope.TScopeClass>.TEnumerator 000a TList<System.Bindings.CustomScope.TScopeClass>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56376_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.EvalProtocol.ILocation>.TEnumerator 000a TList<System.Bindings.EvalProtocol.ILocation>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53191_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.EvalProtocol.IScope>.TEnumerator 000a TList<System.Bindings.EvalProtocol.IScope>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54093_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.EvalProtocol.ISubscription>.TEnumerator 000a TList<System.Bindings.EvalProtocol.ISubscription>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52140_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.TEnumerator 000a TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52861_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TEnumerator 000a TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52606_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.EvalSys.TOverload>.TEnumerator 000a TList<System.Bindings.EvalSys.TOverload>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52763_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.TEnumerator 000a TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52665_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.TEnumerator 000a TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52814_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.TEnumerator 000a TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53238_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.TEnumerator 000a TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53815_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Expression.TBindingExpression>.TEnumerator 000a TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53621_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.TEnumerator 000a TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53766_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.TEnumerator 000a TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54140_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.TEnumerator 000a TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54285_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.TEnumerator 000a TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56131_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TEnumerator 000a TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55843_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TEnumerator 000a TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56274_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TEnumerator 000a TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56325_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.TEnumerator 000a TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56082_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.TEnumerator 000a TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55890_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.TEnumerator 000a TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55502_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.TEnumerator 000a TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55937_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.TEnumerator 000a TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55745_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.TEnumerator 000a TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56225_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.TEnumerator 000a TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56423_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.TEnumerator 000a TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55600_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.TEnumerator 000a TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56178_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.TEnumerator 000a TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56856_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.TEnumerator 000a TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57064_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Manager.TBindingManager>.TEnumerator 000a TList<System.Bindings.Manager.TBindingManager>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58625_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TEnumerator 000a TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58478_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TEnumerator 000a TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58237_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TEnumerator 000a TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58576_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.TEnumerator 000a TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58525_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.TEnumerator 000a TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58284_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.TEnumerator 000a TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57849_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.TEnumerator 000a TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58429_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.TEnumerator 000a TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58139_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.TEnumerator 000a TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58333_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.TEnumerator 000a TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57994_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.TEnumerator 000a TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59157_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Methods.TMethodDescription>.TEnumerator 000a TList<System.Bindings.Methods.TMethodDescription>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59059_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.TEnumerator 000a TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59204_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.TEnumerator 000a TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59712_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.TEnumerator 000a TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59933_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.TEnumerator 000a TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60302_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.TEnumerator 000a TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60127_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Outputs.TConvertPair>.TEnumerator 000a TList<System.Bindings.Outputs.TConvertPair>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60868_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Outputs.TConverterDescription>.TEnumerator 000a TList<System.Bindings.Outputs.TConverterDescription>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60770_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TEnumerator 000a TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61023_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.TEnumerator 000a TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61276_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.TEnumerator 000a TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60817_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.TEnumerator 000a TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60968_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TEnumerator 000a TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61121_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.TEnumerator 000a TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60719_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.TEnumerator 000a TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60919_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.TEnumerator 000a TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61180_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.TEnumerator 000a TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61713_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.TEnumerator 000a TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64903_0 {
	meta:
		name = "TList<System.Boolean>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Boolean>.TEnumerator 000a TList<System.Boolean>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2514_0 {
	meta:
		name = "TList<System.Classes.IObserver>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Classes.IObserver>.TEnumerator 000a TList<System.Classes.IObserver>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88507_0 {
	meta:
		name = "TList<System.Classes.TComponent>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Classes.TComponent>.TEnumerator 000a TList<System.Classes.TComponent>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2172_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Classes.TNotifyEvent>.TEnumerator 000a TList<System.Classes.TNotifyEvent>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15917_0 {
	meta:
		name = "TList<System.Classes.TStream>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Classes.TStream>.TEnumerator 000a TList<System.Classes.TStream>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24042_0 {
	meta:
		name = "TList<System.Classes.TStrings>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Classes.TStrings>.TEnumerator 000a TList<System.Classes.TStrings>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63648_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.TEnumerator 000a TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63550_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.TEnumerator 000a TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64805_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.DebugUtils.TPair<System.string,System.Boolean>>.TEnumerator 000a TList<System.DebugUtils.TPair<System.string,System.Boolean>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54548_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.TEnumerator 000a TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51160_0 {
	meta:
		name = "TList<System.IInterface>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.IInterface>.TEnumerator 000a TList<System.IInterface>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61374_0 {
	meta:
		name = "TList<System.Int64>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Int64>.TEnumerator 000a TList<System.Int64>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20555_0 {
	meta:
		name = "TList<System.Integer>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Integer>.TEnumerator 000a TList<System.Integer>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22957_0 {
	meta:
		name = "TList<System.Masks.TMask>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Masks.TMask>.TEnumerator 000a TList<System.Masks.TMask>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57947_0 {
	meta:
		name = "TList<System.Pointer>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Pointer>.TEnumerator 000a TList<System.Pointer>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67404_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Rtti.TMethodImplementation.TParamLoc>.TEnumerator 000a TList<System.Rtti.TMethodImplementation.TParamLoc>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68133_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.TEnumerator 000a TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68300_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.TEnumerator 000a TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68443_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.TEnumerator 000a TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68021_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Rtti.TRttiField>.TEnumerator 000a TList<System.Rtti.TRttiField>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68073_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Rtti.TRttiManagedField>.TEnumerator 000a TList<System.Rtti.TRttiManagedField>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67968_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Rtti.TRttiMethod>.TEnumerator 000a TList<System.Rtti.TRttiMethod>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68231_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Rtti.TRttiObject>.TEnumerator 000a TList<System.Rtti.TRttiObject>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67916_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Rtti.TRttiProperty>.TEnumerator 000a TList<System.Rtti.TRttiProperty>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67581_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Rtti.TVirtualInterface.TImplInfo>.TEnumerator 000a TList<System.Rtti.TVirtualInterface.TImplInfo>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67526_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.TEnumerator 000a TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60424_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.SysUtils.TProc<System.Rtti.TValue>>.TEnumerator 000a TList<System.SysUtils.TProc<System.Rtti.TValue>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87857_0 {
	meta:
		name = "TList<System.TClass>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.TClass>.TEnumerator 000a TList<System.TClass>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67859_0 {
	meta:
		name = "TList<System.TCustomAttribute>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.TCustomAttribute>.TEnumerator 000a TList<System.TCustomAttribute>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42813_0 {
	meta:
		name = "TList<System.TGUID>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.TGUID>.TEnumerator 000a TList<System.TGUID>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54191_0 {
	meta:
		name = "TList<System.TObject>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.TObject>.TEnumerator 000a TList<System.TObject>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68349_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.TypInfo.PTypeInfo>.TEnumerator 000a TList<System.TypInfo.PTypeInfo>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88409_0 {
	meta:
		name = "TList<System.Types.TPoint>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Types.TPoint>.TEnumerator 000a TList<System.Types.TPoint>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50120_0 {
	meta:
		name = "TList<System.Variant>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Variant>.TEnumerator 000a TList<System.Variant>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63601_0 {
	meta:
		name = "TList<System.Word>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Word>.TEnumerator 000a TList<System.Word>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71796_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TEnumerator 000a TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71698_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.TEnumerator 000a TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71749_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Zip.TZipCompression>.TEnumerator 000a TList<System.Zip.TZipCompression>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71651_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.Zip.TZipHeader>.TEnumerator 000a TList<System.Zip.TZipHeader>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16518_0 {
	meta:
		name = "TList<System.string>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<System.string>.TEnumerator 000a TList<System.string>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88877_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Controls.TControl>.TEnumerator 000a TList<Vcl.Controls.TControl>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89282_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Controls.TCustomGestureCollectionItem>.TEnumerator 000a TList<Vcl.Controls.TCustomGestureCollectionItem>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88759_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Controls.TCustomGestureManager>.TEnumerator 000a TList<Vcl.Controls.TCustomGestureManager>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78619_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Direct2D.TDirect2DGraphicsObject>.TEnumerator 000a TList<Vcl.Direct2D.TDirect2DGraphicsObject>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86682_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.TEnumerator 000a TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86435_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.TEnumerator 000a TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86584_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.TEnumerator 000a TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87653_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Themes.TCustomStyleEngineClass>.TEnumerator 000a TList<Vcl.Themes.TCustomStyleEngineClass>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87704_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Themes.TCustomStyleServices>.TEnumerator 000a TList<Vcl.Themes.TCustomStyleServices>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87904_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.TEnumerator 000a TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87806_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.TEnumerator 000a TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87951_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.TEnumerator 000a TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86533_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Themes.TStyleHook>.TEnumerator 000a TList<Vcl.Themes.TStyleHook>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87408_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Themes.TStyleHookClass>.TEnumerator 000a TList<Vcl.Themes.TStyleHookClass>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88049_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Themes.TStyleManager.TSourceInfo>.TEnumerator 000a TList<Vcl.Themes.TStyleManager.TSourceInfo>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87602_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.TEnumerator 000a TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88554_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TEnumerator 000a TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88456_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.TEnumerator 000a TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89030_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Touch.GestureMgr.TGestureCollection>.TEnumerator 000a TList<Vcl.Touch.GestureMgr.TGestureCollection>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88979_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.TEnumerator 000a TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89333_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Touch.Gestures.TGesturePoint>.TEnumerator 000a TList<Vcl.Touch.Gestures.TGesturePoint>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89513_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.TEnumerator 000a TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89564_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.TEnumerator 000a TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89615_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Touch.KeyboardTypes.TKeyData>.TEnumerator 000a TList<Vcl.Touch.KeyboardTypes.TKeyData>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89846_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.TEnumerator 000a TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89744_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.TEnumerator 000a TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89897_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.TEnumerator 000a TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89795_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.TEnumerator 000a TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96362_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.TEnumerator 000a TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75199_0 {
	meta:
		name = "TListItems.GetEnumerator"
		size = 15
		refs = "0005 _DV_TListItemsEnumerator 000a TListItemsEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26450_0 {
	meta:
		name = "TLocateParamsList.Add"
		size = 15
		refs = "0005 _DV_TLocateParams 000a TLocateParams.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82298_0 {
	meta:
		name = "TMenu.CreateMenuItem"
		size = 15
		refs = "0005 _DV_TMenuItem 000a TMenuItem.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82218_0 {
	meta:
		name = "TMenuItem.GetEnumerator"
		size = 15
		refs = "0005 _DV_TMenuItemEnumerator 000a TMenuItemEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96666_0 {
	meta:
		name = "TServerSocketThread.CreateThread"
		size = 15
		refs = "0005 _DV_TClientSocketThread 000a TClientSocketThread.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9920_0 {
	meta:
		name = "TStack<Data.DBXJSON.TJSONAncestor>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TStack<Data.DBXJSON.TJSONAncestor>.TEnumerator 000a TStack<Data.DBXJSON.TJSONAncestor>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53069_0 {
	meta:
		name = "TStack<System.Bindings.EvalProtocol.IScope>.GetEnumerator"
		size = 15
		refs = "0005 _DV_TStack<System.Bindings.EvalProtocol.IScope>.TEnumerator 000a TStack<System.Bindings.EvalProtocol.IScope>.TEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62262_0 {
	meta:
		name = "TStrings.GetEnumerator"
		size = 15
		refs = "0005 _DV_TStringsEnumerator 000a TStringsEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78374_0 {
	meta:
		name = "TTaskDialogButtons.GetEnumerator"
		size = 15
		refs = "0005 _DV_TTaskDialogButtonsEnumerator 000a TTaskDialogButtonsEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62666_0 {
	meta:
		name = "TThread.CreateAnonymousThread"
		size = 15
		refs = "0005 _DV_TAnonymousThread 000a TAnonymousThread.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75487_0 {
	meta:
		name = "TToolBar.GetEnumerator"
		size = 15
		refs = "0005 _DV_TToolBarEnumerator 000a TToolBarEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74757_0 {
	meta:
		name = "TTreeNodes.GetEnumerator"
		size = 15
		refs = "0005 _DV_TTreeNodesEnumerator 000a TTreeNodesEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70676_0 {
	meta:
		name = "TWideStrings.GetEnumerator"
		size = 15
		refs = "0005 _DV_TWideStringsEnumerator 000a TWideStringsEnumerator.Create"
	strings:
		$1 = { 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1498_0 {
	meta:
		name = "TBindingExpressionDefault.GetCompiled"
		size = 5
		altNames = "TCustomBindingsList.GetUseAppManager TIWBaseHTMLComponent.NeedsFormTag"
	strings:
		$1 = { 0F B6 40 40 C3 }
	condition:
		$1
}

rule function_1499_0 {
	meta:
		name = "TCustomBindingsList.GetChildren"
		size = 114
		refs = "000c TList<Data.Bind.Components.TContainedBindComponent>.GetEnumerator 0017 TCustomBindingsList.GetChildren 0027 TList<Data.Bind.Components.TContainedBindComponent>.TEnumerator.GetCurrent 003e TList<Data.Bind.Components.TContainedBindComponent>.TEnumerator.MoveNext 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B 40 38 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8B 45 FC E8 ?? ?? ?? ?? 8B D8 3B 73 04 75 08 8B D3 8B 45 0C FF 55 08 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_1500_0 {
	meta:
		name = "TCustomBindingsList.Notification"
		size = 71
		refs = "0010 TComponent.Notification 001d _DV_TContainedBindComponent 0022 @IsClass 0032 TList<Data.Bind.Components.TContainedBindComponent>.Contains 003f TCustomBindingsList.RemoveBindComp"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 2A 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B DF 8B D3 8B 46 38 E8 ?? ?? ?? ?? 84 C0 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1501_0 {
	meta:
		name = "TCustomBindingsList.Notify"
		size = 92
		refs = "0012 TCustomBindingsList.Notify 0026 _Dn_TBindings 002b TBindings.CreateNotifier 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 4B 44 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B 45 FC 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1502_0 {
	meta:
		name = "TCustomBindingsList.GetOutputConverter"
		size = 121
		refs = "000f TCustomBindingsList.GetOutputConverter 0025 TCustomBindingsList.GetOutputConverterNames 002d _Dn_TValueRefConverterFactory 0032 TValueRefConverterFactory.GetConverter 0043 @IntfCopy 0063 TArray<System.string> 0068 @DynArrayClear 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 4C 00 75 28 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 43 4C E8 ?? ?? ?? ?? 8B C6 8B 53 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1503_0 {
	meta:
		name = "TCustomBindingsList.GetOutputConverterNames"
		size = 422
		refs = "0018 TConverterDescription 001d @InitializeRecord 0025 TCustomBindingsList.GetOutputConverterNames 0032 _DV_TList<System.string> 0037 TList<System.string>.Create 0072 TBindArtifacts.GetItem 008d TList<System.string>.Contains 00a6 TList<System.string>.Add 00c9 _Dn_TValueRefConverterFactory 00ce TValueRefConverterFactory.GetConverterDescriptions 00f0 @CopyRecord 0128 @DynArrayLength 0135 TArray<System.Bindings.Outputs.TConverterDescription> 013a @DynArrayClear 015a TObject.Free 0168 @HandleFinally 0185 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D FC 89 55 DC 8B F8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 48 8B 40 08 8B 58 08 4B 85 DB 7C 5C 43 33 F6 8B 47 48 8B D6 E8 ?? ?? ?? ?? 80 78 10 00 75 30 8B 47 48 8B D6 E8 ?? ?? ?? ?? 8B 50 0C 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 75 2C 8B 47 48 8B D6 E8 ?? ?? ?? ?? 8B 50 0C 8B 45 D8 E8 ?? ?? ?? ?? EB 15 8B 47 48 8B D6 E8 ?? ?? ?? ?? 8B 50 0C 8B 45 D4 E8 ?? ?? ?? ?? 46 4B 75 A7 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 4E 8D 45 E0 8B D3 03 D2 03 D2 03 D2 2B D3 8B 4D FC 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D F0 00 74 29 8B 55 E4 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 75 1A 8B 55 E4 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 55 E4 8B 45 D8 E8 ?? ?? ?? ?? 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C A6 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 D8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1504_0 {
	meta:
		name = "TCustomBindingsList.GetMethodsScope"
		size = 533
		refs = "001e TMethodDescription 0023 @InitializeRecord 002b TCustomBindingsList.GetMethodsScope 0045 _DV_TList<System.string> 004a TList<System.string>.Create 008b TBindArtifacts.GetItem 00a9 TList<System.string>.Contains 00c5 TList<System.string>.Add 00eb _Dn_TBindingMethodsFactory 00f0 TBindingMethodsFactory.GetRegisteredMethods 0112 @CopyRecord 014a @DynArrayLength 0157 TArray<System.Bindings.Methods.TMethodDescription> 015c @DynArrayClear 0175 @DynArrayHigh 0183 TBindingMethodsFactory.GetMethodScope 0191 @IntfCopy 01a6 TObject.Free 01b4 @HandleFinally 01da TArray<System.string> 01e7 @IntfClear 01f5 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 33 C9 89 4D CC 89 4D C8 89 4D FC 89 55 D8 89 45 DC 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 83 78 50 00 0F 85 78 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 8B 40 3C 8B 40 08 8B 58 08 4B 85 DB 7C 68 43 33 F6 8B 45 DC 8B 40 3C 8B D6 E8 ?? ?? ?? ?? 80 78 10 00 75 36 8B 45 DC 8B 40 3C 8B D6 E8 ?? ?? ?? ?? 8B 50 0C 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 75 32 8B 45 DC 8B 40 3C 8B D6 E8 ?? ?? ?? ?? 8B 50 0C 8B 45 D4 E8 ?? ?? ?? ?? EB 18 8B 45 DC 8B 40 3C 8B D6 E8 ?? ?? ?? ?? 8B 50 0C 8B 45 D0 E8 ?? ?? ?? ?? 46 4B 75 9B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 4E 8D 45 E0 8B D3 03 D2 03 D2 03 D2 2B D3 8B 4D FC 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D F0 00 74 29 8B 55 E4 8B 45 D0 E8 ?? ?? ?? ?? 84 C0 75 1A 8B 55 E4 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 55 E4 8B 45 D4 E8 ?? ?? ?? ?? 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C A6 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC 50 8D 55 C8 8B 45 D4 8B 08 FF 51 04 8B 5D C8 8B C3 E8 ?? ?? ?? ?? 50 8B D3 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 DC 83 C0 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 D8 8B 55 DC 8B 52 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1505_0 {
	meta:
		name = "TCustomBindingsList.SetBindComp"
		size = 30
		refs = "000f TList<Data.Bind.Components.TContainedBindComponent>.GetItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72585_0 {
	meta:
		name = "TCustomActionList.SetAction"
		size = 30
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1506_0 {
	meta:
		name = "TCustomBindingsList.SetOutputConverters"
		size = 13
		altNames = "TCustomHTMLDocumentFragment.SetHTML TIdMailBox.SetMessageList TIdMessage.SetCCList TXMLBroker.SetParams"
	strings:
		$1 = { 56 8B F0 8B 46 48 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_1507_0 {
	meta:
		name = "TCustomBindingsList.SetUseAppManager"
		size = 51
		refs = "000f TObject.Free 0025 _Dn_TBindingManagerFactory 002a TBindingManagerFactory.CreateManager"
	strings:
		$1 = { 53 8B D8 84 D2 74 17 8B 43 44 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 89 43 44 C6 43 40 01 5B C3 C6 43 40 00 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 44 5B C3 }
	condition:
		$1
}

rule function_1508_0 {
	meta:
		name = "TCustomBindingsList.SetMethods"
		size = 13
		altNames = "TIdMessage.SetBccList"
	strings:
		$1 = { 56 8B F0 8B 46 3C 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_1509_0 {
	meta:
		name = "TCustomBindingsList.AddBindComp"
		size = 31
		refs = "000c TList<Data.Bind.Components.TContainedBindComponent>.Add 0018 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 38 E8 ?? ?? ?? ?? 89 5E 38 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1510_0 {
	meta:
		name = "TCustomBindingsList.RemoveBindComp"
		size = 47
		refs = "000c TList<Data.Bind.Components.TContainedBindComponent>.Contains 001a TList<Data.Bind.Components.TContainedBindComponent>.Extract 0023 TComponent.RemoveFreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 38 E8 ?? ?? ?? ?? 84 C0 74 18 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 38 5E 5B C3 }
	condition:
		$1
}

rule function_1513_0 {
	meta:
		name = "TCommonBindComponent.DoOnActivated"
		size = 20
		altNames = "TIWStandAloneServer.DoCreateSession TIdThreadComponent.DoException"
	strings:
		$1 = { 53 66 83 78 72 00 74 0A 8B D8 8B D0 8B 43 74 FF 53 70 5B C3 }
	condition:
		$1
}

rule function_1514_0 {
	meta:
		name = "TCommonBindComponent.DoOnActivating"
		size = 20
		altNames = "TIWStandAloneServer.DoDestroySession TIdThread.DoStopped TIdThreadComponent.DoCleanup TInThread.DoStopped"
	strings:
		$1 = { 53 66 83 78 6A 00 74 0A 8B D8 8B D0 8B 43 6C FF 53 68 5B C3 }
	condition:
		$1
}

rule function_1515_0 {
	meta:
		name = "TCommonBindComponent.DoOnAssigningValue"
		size = 116
		refs = "001a TBindingAssignValueRec 001f @AddRefRecord 0027 TCommonBindComponent.DoOnAssigningValue 005f @FinalizeRecord 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 8D 7D F4 A5 A5 A5 8B F1 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 4A 00 74 10 56 8B 45 08 50 8D 4D F4 8B D3 8B 43 4C FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1518_0 {
	meta:
		name = "TCommonBindComponent.DoOnAssignedValue"
		size = 110
		refs = "001a TBindingAssignValueRec 001f @AddRefRecord 0027 TCommonBindComponent.DoOnAssignedValue 005b @FinalizeRecord 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 8D 7D F4 A5 A5 A5 8B F1 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 52 00 74 0C 56 8D 4D F4 8B D3 8B 43 54 FF 53 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1519_0 {
	meta:
		name = "TComComponent.DoCreated"
		size = 22
		altNames = "TCommonBindComponent.DoOnEvalError TDomImplementation.DoNodeClearing TIWStandAloneServer.DoLog"
	strings:
		$1 = { 53 66 83 78 5A 00 74 0C 8B D8 8B CA 8B D0 8B 43 5C FF 53 58 5B C3 }
	condition:
		$1
}

rule function_1520_0 {
	meta:
		name = "TCommonBindComponent.SetControlComponent"
		size = 119
		refs = "001f TComponent.RemoveFreeNotification 0027 TCommonBindComponent.SetControlComponent 0056 @HandleFinally 0064 TComponent.FreeNotification"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 40 60 3B 45 F8 74 5C 85 C0 74 08 8B 55 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 92 84 00 00 00 64 8F 05 00 00 00 00 83 C4 08 68 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 89 42 60 C3 E9 ?? ?? ?? ?? EB EF 85 C0 74 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 88 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_1521_0 {
	meta:
		name = "TAdapterDefaultActions.GetDefaultWebComponents"
		size = 4
		altNames = "TAdapterDefaultFields.GetDefaultWebComponents TCommonBindComponent.GetControlComponent TCustomWebDispatcher.GetRequest"
	strings:
		$1 = { 8B 40 60 C3 }
	condition:
		$1
}

rule function_1522_0 {
	meta:
		name = "TCommonBindComponent.Notification"
		size = 117
		refs = "0018 TComponent.Notification 0025 TCommonBindComponent.Notification 0064 TCommonBindComponent.SetSourceComponent 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D9 89 55 F8 89 45 FC 8B CB 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 80 FB 01 75 4F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 3B 45 F8 75 0A 33 D2 8B 45 FC 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 40 3B 45 F8 75 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1523_0 {
	meta:
		name = "TCommonBindComponent.SetSourceComponent"
		size = 111
		refs = "001a TComponent.RemoveFreeNotification 0022 TCommonBindComponent.SetSourceComponent 004e @HandleFinally 005c TComponent.FreeNotification"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 40 40 85 C0 74 08 8B 55 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 7C 64 8F 05 00 00 00 00 83 C4 08 68 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 89 42 40 C3 E9 ?? ?? ?? ?? EB EF 85 C0 74 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 80 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_1524_0 {
	meta:
		name = "TCommonBindComponent.SetSourceMemberName"
		size = 103
		refs = "0016 @UStrEqual 0020 TCommonBindComponent.SetSourceMemberName 004c @UStrAsg 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 52 64 E8 ?? ?? ?? ?? 74 47 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 8C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 C0 64 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC 8B 10 FF 92 90 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_1532_0 {
	meta:
		name = "TCommonBindComponent.ExecuteAssignToControlExpression"
		size = 328
		refs = "0023 @IntfAddRef 002b TCommonBindComponent.ExecuteAssignToControlExpression 003f TCommonBindComponent.GetControlScopes 004a @DynArrayHigh 0059 TCommonBindComponent.GetOutputConverter 007a TBindingEventRec.Create 0090 TCommonBindComponent.GetSourceScopes 00a2 _Dn_TBindings 00a8 TBindings.CreateUnmanagedBinding 00e4 TObject.Free 00ea @HandleFinally 0101 @IntfClear 010a TArray<System.Bindings.EvalProtocol.IScope> 010f @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D F0 89 5D EC 89 5D D0 89 4D F8 89 55 FC 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 7D F0 57 8B C7 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 53 8B 03 8B 40 60 50 53 8B 03 8B 40 58 50 53 8B 03 8B 40 5C 50 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D4 50 0F B6 05 ?? ?? ?? ?? 50 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 75 D0 8B C6 E8 ?? ?? ?? ?? 50 8B D6 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 CC 8B 45 F4 8B 08 FF 51 20 8B 55 CC 8B 45 0C 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_1533_0 {
	meta:
		name = "TCommonBindComponent.ExecuteAssignToSourceExpression"
		size = 328
		refs = "0023 @IntfAddRef 002b TCommonBindComponent.ExecuteAssignToSourceExpression 003f TCommonBindComponent.GetSourceScopes 004a @DynArrayHigh 0059 TCommonBindComponent.GetOutputConverter 007a TBindingEventRec.Create 0090 TCommonBindComponent.GetControlScopes 00a2 _Dn_TBindings 00a8 TBindings.CreateUnmanagedBinding 00e4 TObject.Free 00ea @HandleFinally 0101 @IntfClear 010a TArray<System.Bindings.EvalProtocol.IScope> 010f @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D F0 89 5D EC 89 5D D0 89 4D F8 89 55 FC 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 7D F0 57 8B C7 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 53 8B 03 8B 40 60 50 53 8B 03 8B 40 58 50 53 8B 03 8B 40 5C 50 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D4 50 0F B6 05 ?? ?? ?? ?? 50 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 75 D0 8B C6 E8 ?? ?? ?? ?? 50 8B D6 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 CC 8B 45 F4 8B 08 FF 51 20 8B 55 CC 8B 45 0C 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_1534_0 {
	meta:
		name = "TCommonBindComponent.EvaluateControlExpression"
		size = 261
		refs = "001c @IntfAddRef 002c TCommonBindComponent.EvaluateControlExpression 0050 TBindingEventRec.Create 0061 TCommonBindComponent.GetComponentScopes 006b @DynArrayHigh 0073 _Dn_TBindings 0079 TBindings.CreateExpression 00b5 TObject.Free 00bb @HandleFinally 00d3 TArray<System.Bindings.EvalProtocol.IScope> 00d8 @DynArrayClear 00e0 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D F8 8B F9 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 53 8B 03 8B 40 60 50 53 8B 03 8B 40 58 50 53 8B 03 8B 40 5C 50 8D 45 DC E8 ?? ?? ?? ?? 8D 45 DC 50 8D 4D D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 75 D8 8B C6 E8 ?? ?? ?? ?? 50 8B D6 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 F4 8B 08 FF 51 20 8B 55 F8 8B 45 08 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1535_0 {
	meta:
		name = "TCommonBindComponent.EvaluateControlExpression"
		size = 239
		refs = "001b @IntfAddRef 0023 TCommonBindComponent.EvaluateControlExpression 0033 TCommonBindComponent.GetControlScopes 0051 TBindingEventRec.Create 005d @DynArrayHigh 0067 _Dn_TBindings 006c TBindings.CreateExpression 00a8 TObject.Free 00ae @HandleFinally 00c5 @IntfClear 00ce TArray<System.Bindings.EvalProtocol.IScope> 00d3 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 DB 89 5D F8 89 5D F4 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 56 53 8B 03 8B 40 60 50 53 8B 03 8B 40 58 50 53 8B 03 8B 40 5C 50 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 D8 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 F0 8B 08 FF 51 20 8B 55 F4 8B 45 FC 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1536_0 {
	meta:
		name = "TBasePageProducer.GetScriptEngine"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TCommonBindComponent.GetSourceMemberName TQueryButton.GetInputType"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49711_0 {
	meta:
		name = "TDefinition.GetBindings"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111489_0 {
	meta:
		name = "TDomDocumentTypeDecl.GetPublicId"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115244_0 {
	meta:
		name = "TXMLSchemaDef.GetDocElementDef"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1537_0 {
	meta:
		name = "TCommonBindComponent.GetSourceScopes"
		size = 23
		refs = "0010 TCommonBindComponent.GetComponentScopes"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 4B 64 8B 53 40 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1538_0 {
	meta:
		name = "TCommonBindComponent.GetControlScopes"
		size = 22
		refs = "000f TCommonBindComponent.GetComponentScopes"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 33 C9 8B 53 60 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1539_0 {
	meta:
		name = "TCommonBindComponent.EvaluateSourceExpression"
		size = 280
		refs = "001b @IntfAddRef 0023 TCommonBindComponent.EvaluateSourceExpression 0046 TCommonBindComponent.GetComponentScopes 0052 TCommonBindComponent.GetSourceScopes 007a TBindingEventRec.Create 0086 @DynArrayHigh 0090 _Dn_TBindings 0095 TBindings.CreateExpression 00d1 TObject.Free 00d7 @HandleFinally 00ee @IntfClear 00f7 TArray<System.Bindings.EvalProtocol.IScope> 00fc @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 DB 89 5D D8 89 5D F8 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 08 48 2C 02 72 04 2C 08 75 12 8D 45 F8 50 8B 53 40 33 C9 8B C3 E8 ?? ?? ?? ?? EB 0A 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 56 53 8B 03 8B 40 60 50 53 8B 03 8B 40 58 50 53 8B 03 8B 40 5C 50 8D 45 DC E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8B 45 F4 8B 08 FF 51 20 8B 55 D8 8B 45 FC 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1540_0 {
	meta:
		name = "TCommonBindComponent.EvaluateSourceExpression"
		size = 261
		refs = "001c @IntfAddRef 002c TCommonBindComponent.EvaluateSourceExpression 0050 TBindingEventRec.Create 0061 TCommonBindComponent.GetComponentScopes 006b @DynArrayHigh 0073 _Dn_TBindings 0079 TBindings.CreateExpression 00b5 TObject.Free 00bb @HandleFinally 00d2 @IntfClear 00db TArray<System.Bindings.EvalProtocol.IScope> 00e0 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 8B F9 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 53 8B 03 8B 40 60 50 53 8B 03 8B 40 58 50 53 8B 03 8B 40 5C 50 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E0 50 8D 4D DC 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 75 DC 8B C6 E8 ?? ?? ?? ?? 50 8B D6 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8B 45 F8 8B 08 FF 51 20 8B 55 D8 8B 45 08 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1780_0 {
	meta:
		name = "TCustomBindGridLink.EvaluateSourceExpression"
		size = 261
		refs = "001c @IntfAddRef 002c TCustomBindGridLink.EvaluateSourceExpression 0050 TBindingEventRec.Create 0061 TCommonBindComponent.GetComponentScopes 006b @DynArrayHigh 0073 _Dn_TBindings 0079 TBindings.CreateExpression 00b5 TObject.Free 00bb @HandleFinally 00d2 @IntfClear 00db TArray<System.Bindings.EvalProtocol.IScope> 00e0 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 8B F9 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 53 8B 03 8B 40 60 50 53 8B 03 8B 40 58 50 53 8B 03 8B 40 5C 50 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E0 50 8D 4D DC 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 75 DC 8B C6 E8 ?? ?? ?? ?? 50 8B D6 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8B 45 F8 8B 08 FF 51 20 8B 55 D8 8B 45 08 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1728_0 {
	meta:
		name = "TCustomBindGridList.EvaluateSourceExpression"
		size = 261
		refs = "001c @IntfAddRef 002c TCustomBindGridList.EvaluateSourceExpression 0050 TBindingEventRec.Create 0061 TCommonBindComponent.GetComponentScopes 006b @DynArrayHigh 0073 _Dn_TBindings 0079 TBindings.CreateExpression 00b5 TObject.Free 00bb @HandleFinally 00d2 @IntfClear 00db TArray<System.Bindings.EvalProtocol.IScope> 00e0 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 8B F9 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 53 8B 03 8B 40 60 50 53 8B 03 8B 40 58 50 53 8B 03 8B 40 5C 50 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E0 50 8D 4D DC 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 75 DC 8B C6 E8 ?? ?? ?? ?? 50 8B D6 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8B 45 F8 8B 08 FF 51 20 8B 55 D8 8B 45 08 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1542_0 {
	meta:
		name = "TCommonBindComponent.GetComponentScope"
		size = 188
		refs = "0017 TCommonBindComponent.GetComponentScope 0028 @IntfClear 0040 Supports 0071 WrapObject 007b @IntfCopy 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D F4 8B DA 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 51 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 83 7D F4 00 74 10 8D 4D FC 8B 55 F4 8B 45 F8 8B 18 FF 53 10 EB 17 8D 55 FC 8B 45 F8 8B 08 FF 51 0C EB 0A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 04 00 CB 33 C6 84 4B 6A 7A 40 A8 E4 D1 75 92 3D 8E 61 }
	condition:
		$1
}

rule function_1543_0 {
	meta:
		name = "TCommonBindComponent.GetComponentScopes"
		size = 93
		refs = "0012 TCommonBindComponent.GetComponentScopes 0027 TCommonBindComponent.GetComponentScope 0049 @IntfClear 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_1544_0 {
	meta:
		name = "TCommonBindComponent.GetComponentScopes"
		size = 289
		refs = "001a @IntfAddRef 0022 TCommonBindComponent.GetComponentScopes 0037 TArray<System.Bindings.EvalProtocol.IScope> 003c @DynArrayClear 0051 @DynArraySetLength 005f @IntfCopy 0069 TCommonBindComponent.GetMethodsScope 0087 @DynArrayAsg 00ea IScope 00f4 @FinalizeArray 010f @IntfClear 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 5B 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 83 C0 04 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4B 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1545_0 {
	meta:
		name = "TCommonBindComponent.GetOutputConverter"
		size = 336
		refs = "0019 TConverterDescription 001e @InitializeRecord 0026 TCommonBindComponent.GetOutputConverter 0045 TCustomBindingsList.GetOutputConverter 0051 _DV_TList<System.string> 0056 TList<System.string>.Create 006f _Dn_TValueRefConverterFactory 0074 TValueRefConverterFactory.GetConverterDescriptions 0096 @CopyRecord 00a7 TList<System.string>.Add 00b0 @DynArrayLength 00bd TArray<System.Bindings.Outputs.TConverterDescription> 00c2 @DynArrayClear 00da TValueRefConverterFactory.GetConverter 00ea @IntfCopy 00ff TObject.Free 0105 @HandleFinally 011d TArray<System.string> 0130 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D D8 89 4D FC 8B F2 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 40 85 C0 74 13 8B C3 8B 10 FF 52 40 8B D6 E8 ?? ?? ?? ?? E9 BD 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 30 8D 45 E0 8B D3 03 D2 03 D2 03 D2 2B D3 8B 4D FC 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D F0 00 74 0B 8B 55 E4 8B 45 DC E8 ?? ?? ?? ?? 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C C4 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D8 8B 45 DC 8B 08 FF 51 04 8B 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1546_0 {
	meta:
		name = "TCommonBindComponent.GetMethodsScope"
		size = 49
		refs = "001b TCustomBindingsList.GetMethodsScope 0025 _Dn_TBindingMethodsFactory 002a TBindingMethodsFactory.GetMethodScope"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 40 85 C0 74 11 8B C3 8B 10 FF 52 40 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1547_0 {
	meta:
		name = "TCommonBindComponent.FreeExpressionObjects"
		size = 151
		refs = "000e TCommonBindComponent.FreeExpressionObjects 001c TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 0037 TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 0040 TObject.Free 0048 TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 006f @HandleFinally 0086 TList<System.Bindings.Expression.TBindingExpression>.Clear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 11 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1548_0 {
	meta:
		name = "TBaseBindExpression.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TActivatedContainedBindComponent.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 82 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1550_0 {
	meta:
		name = "TBaseBindExpression.Loaded"
		size = 64
		refs = "000c TBaseBindExpression.Loaded 0019 TComponent.Loaded 0032 @HandleAnyException 0037 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A4 00 00 00 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1551_0 {
	meta:
		name = "TBaseBindExpression.SetActive"
		size = 335
		refs = "0054 TBaseBindExpression.SetActive 010b @HandleAnyException 0122 @RaiseAgain 0127 @DoneExcept 013f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 55 FB 89 45 FC 8B 45 FC 8B 10 FF 52 50 84 C0 0F 85 29 01 00 00 8B 45 FC 0F B6 80 81 00 00 00 3A 45 FB 0F 84 16 01 00 00 8B 45 FC 8B 10 FF 52 54 84 C0 74 12 8B 45 FC 0F B6 55 FB 88 90 80 00 00 00 E9 F8 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7D FB 00 75 35 8B 45 FC 8B 10 FF 52 44 85 C0 74 29 8B 45 FC 8B 10 FF 52 44 F6 40 1C 08 75 1B 8B 45 FC 8B 40 40 85 C0 74 11 F6 40 1C 08 75 0B 8B 45 FC 8B 10 FF 92 D4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 0A 8B 45 FC 8B 10 FF 52 64 EB 08 8B 45 FC 8B 10 FF 52 6C 8B 55 FC 0F B6 45 FB 88 82 81 00 00 00 84 C0 74 5E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 74 8B 45 FC 8B 10 FF 52 78 8B 45 FC 8B 10 FF 92 D0 00 00 00 8B 45 FC 8B 10 FF 52 68 33 C0 5A 59 59 64 89 10 EB 33 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 74 8B 45 FC C6 80 81 00 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8B 45 FC 8B 10 FF 52 74 8B 45 FC 8B 10 FF 52 70 C3 E9 ?? ?? ?? ?? E9 5E FF FF FF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1552_0 {
	meta:
		name = "TBaseBindExpression.SetManaged"
		size = 35
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E 82 00 00 00 74 12 33 D2 8B C6 8B 08 FF 91 B8 00 00 00 88 9E 82 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_1553_0 {
	meta:
		name = "TBaseBindExpression.SetNotifyOutputs"
		size = 35
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E 83 00 00 00 74 12 33 D2 8B C6 8B 08 FF 91 B8 00 00 00 88 9E 83 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_1556_0 {
	meta:
		name = "TBaseBindExpression.GetActive"
		size = 8
	strings:
		$1 = { 0F B6 80 81 00 00 00 C3 }
	condition:
		$1
}

rule function_1557_0 {
	meta:
		name = "TExpressionItem.AssignTo"
		size = 63
		refs = "000b _DV_TExpressionItem 0010 @IsClass 0021 @UStrAsg 0037 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B FE 8D 47 0C 8B 53 0C E8 ?? ?? ?? ?? 8D 47 10 8B 53 10 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1559_0 {
	meta:
		name = "GetOwner"
		size = 4
		altNames = "GetThreadHandle M_ASN1_STRING_type TAbstractWebPageInfo.GetFactory TAbstractWebPageModuleFactory.GetWebPageInfo TActionBarItem.GetActionBars TActionClient.GetOwningCollection TActionClientItem.GetActionClients TActionListItem.Owner TBaseWebModuleFactory.GetComponentClass TBinaryReader.GetBaseStream TBinaryWriter.GetBaseStream TButtonCategory.GetCategories TCollectionItem.GetOwner TColumnFormatExpressionItem.GetColumnExpressions TColumnLinkExpressionItem.GetColumnExpressions TComponent.GetOwner TCustomAxisPanel.GetDesignOwner TDBXBaseMetaDataReader.GetContext TDBXBaseMetaDataWriter.GetContext TDBXCommandHandler.GetCommandHandle TDBXDataGeneratorColumn.GetMetaDataColumn TDBXInt32Object.IntValue TDBXLocalChannel.GetChannelInfo TDBXMetaDataProvider.GetWriter TDBXSocketChannel.GetChannelInfo TDefaultWebModuleFactory.GetComponentClass TExpressionItem.GetExpressions TGPGraphics.GetNativeGraphics TGrpButtonItem.GetCollection TIWCompContext.GetHTMLTag TIdEntityHeaderInfo.GetOwner TJSONConverter.GetSerializedData TListViewItemEditorObject.GetOwner TMethodImplementation.GetCodeAddress TParameter.GetParameters TProcParam.GetHandle TProcSig.GetHandle TRawVirtualClass.TVTable.GetVTable TRttiIndexedProperty.GetHandle TRttiInstanceFieldClassic.GetHandle TRttiInstanceFieldEx.GetHandle TRttiInstanceMethodClassic.GetHandle TRttiInstanceMethodEx.GetHandle TRttiInstancePropertyClassic.GetHandle TRttiInstancePropertyEx.GetHandle TRttiIntfMethod.GetHandle TRttiPackage.GetHandle TRttiRecordField.GetHandle TRttiType.GetHandle TSQLVAR_V1.GetSQLVAR TSQLVAR_V2.GetSQLVAR TScriptError.GetLine TScriptObjectFactories.GetObjectList TStringGridItemEditorObject.GetOwner TUtilsWideStringList.GetCapacity TWebComponentList.GetOwner TWebContext.GetWebModules"
	strings:
		$1 = { 8B 40 04 C3 }
	condition:
		$1
}

rule function_1560_0 {
	meta:
		name = "TExpressionItemDir.AssignTo"
		size = 54
		refs = "000a _DV_TExpressionItemDir 000f @IsClass 001c TExpressionItem.AssignTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 43 14 88 46 14 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1561_0 {
	meta:
		name = "TExpressions.AddExpression"
		size = 23
		refs = "0006 TCollection.Add 000c _DV_TExpressionItem 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72720_0 {
	meta:
		name = "TActionClientsCollection.GetActionManager"
		size = 23
		refs = "0006 TCollection.Owner 000c _DV_TActionManager 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74164_0 {
	meta:
		name = "TButtonCategories.Add"
		size = 23
		refs = "0006 TCollection.Add 000c _DV_TButtonCategory 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74141_0 {
	meta:
		name = "TButtonCollection.Add"
		size = 23
		refs = "0006 TCollection.Add 000c _DV_TButtonItem 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1842_0 {
	meta:
		name = "TColumnFormatExpressions.AddExpression"
		size = 23
		refs = "0006 TCollection.Add 000c _DV_TColumnFormatExpressionItem 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1848_0 {
	meta:
		name = "TColumnLinkExpressions.AddExpression"
		size = 23
		refs = "0006 TCollection.Add 000c _DV_TColumnLinkExpressionItem 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73265_0 {
	meta:
		name = "TCustomMenuButton.GetMenu"
		size = 23
		refs = "0006 TCustomActionControl.GetActionBar 000c _DV_TCustomActionMenuBar 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73143_0 {
	meta:
		name = "TCustomMenuExpandBtn.GetMenu"
		size = 23
		refs = "0006 TCustomActionControl.GetActionBar 000c _DV_TCustomActionMenuBar 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_111360_0 {
	meta:
		name = "TDomNode.GetFirstChild"
		size = 23
		refs = "0006 TCustomOwnedNode.GetFirstChild 000c _DV_TDomNode 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_111364_0 {
	meta:
		name = "TDomNode.GetLastChild"
		size = 23
		refs = "0006 TCustomOwnedNode.GetLastChild 000c _DV_TDomNode 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_111370_0 {
	meta:
		name = "TDomNode.GetNextSibling"
		size = 23
		refs = "0006 TCustomOwnedNode.GetNextSibling 000c _DV_TDomNode 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_111378_0 {
	meta:
		name = "TDomNode.GetParentNode"
		size = 23
		refs = "0006 TCustomOwnedNode.GetParent 000c _DV_TDomNode 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_111380_0 {
	meta:
		name = "TDomNode.GetPreviousSibling"
		size = 23
		refs = "0006 TCustomOwnedNode.GetPreviousSibling 000c _DV_TDomNode 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1568_0 {
	meta:
		name = "TExpressionsDir.AddExpression"
		size = 23
		refs = "0006 TCollection.Add 000c _DV_TExpressionItemDir 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_38530_0 {
	meta:
		name = "TIdUserAccounts.Add"
		size = 23
		refs = "0006 TCollection.Add 000c _DV_TIdUserAccount 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84084_0 {
	meta:
		name = "TOptionItems.Add"
		size = 23
		refs = "0006 TCollection.Add 000c _DV_TOptionItem 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84085_0 {
	meta:
		name = "TOptionItems.GetApplicationMenu"
		size = 23
		refs = "0006 TCollection.Owner 000c _DV_TRibbonApplicationMenuBar 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14886_0 {
	meta:
		name = "TParameters.AddParameter"
		size = 23
		refs = "0006 TCollection.Add 000c _DV_TParameter 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83446_0 {
	meta:
		name = "TRibbonTabs.Add"
		size = 23
		refs = "0006 TCollection.Add 000c _DV_TRibbonTabItem 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83453_0 {
	meta:
		name = "TRibbonTabs.GetRibbon"
		size = 23
		refs = "0006 TCollection.Owner 000c _DV_TCustomRibbon 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1564_0 {
	meta:
		name = "TExpressions.GetAttr"
		size = 66
		refs = "0012 sNameAttr 0017 LoadResString 0020 sControlAttr 002e sSourceAttr 003c @UStrClr"
		altNames = "TExpressionsDir.GetAttr"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78914_0 {
	meta:
		name = "TCellCollection.GetAttr"
		size = 66
		refs = "0012 sCellMember 0017 LoadResString 0020 sCellSizeType 002e sCellValue 003c @UStrClr"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_98815_0 {
	meta:
		name = "TWebUserItems.GetAttr"
		size = 66
		refs = "0012 sWebUserName 0017 LoadResString 0020 sWebUserPassword 002e sWebUserAccessRights 003c @UStrClr"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1565_0 {
	meta:
		name = "TCellCollection.GetAttrCount"
		size = 6
		altNames = "TEncodingInfoAscii.MIBenum TEncodingInfoDECMCS.AliasCount TEncodingInfoEUCPPkdFmtJapanese.AliasCount TEncodingInfoHalfWidthKatakana.AliasCount TEncodingInfoIBM1026.AliasCount TEncodingInfoIBM273.AliasCount TEncodingInfoIBM864.AliasCount TEncodingInfoIBM891.AliasCount TEncodingInfoIBM903.AliasCount TEncodingInfoISO102T617bit.AliasCount TEncodingInfoISO10367Box.AliasCount TEncodingInfoISO111ECMACyrillic.AliasCount TEncodingInfoISO123CSAZ24341985gr.AliasCount TEncodingInfoISO128T101G2.AliasCount TEncodingInfoISO139CSN369103.AliasCount TEncodingInfoISO143IECP271.AliasCount TEncodingInfoISO18Greek7Old.AliasCount TEncodingInfoISO19LatinGreek.AliasCount TEncodingInfoISO27LatinGreek1.AliasCount TEncodingInfoISO42JISC62261978.AliasCount TEncodingInfoISO47BSViewdata.AliasCount TEncodingInfoISO49INIS.AliasCount TEncodingInfoISO50INIS8.AliasCount TEncodingInfoISO51INISCyrillic.AliasCount TEncodingInfoISO5427Cyrillic.AliasCount TEncodingInfoISO5427Cyrillic1981.AliasCount TEncodingInfoISO5428Greek.AliasCount TEncodingInfoISO646basic1983.AliasCount TEncodingInfoISO6937Add.AliasCount TEncodingInfoISO70VideotexSupp1.AliasCount TEncodingInfoISO88596E.AliasCount TEncodingInfoISO88596I.AliasCount TEncodingInfoISO88598E.AliasCount TEncodingInfoISO88598I.AliasCount TEncodingInfoISO88Greek7.AliasCount TEncodingInfoIsoTextComm.AliasCount TEncodingInfoKSC5636.AliasCount TEncodingInfoMacintosh.AliasCount TEncodingInfoNATSDANO.AliasCount TEncodingInfoNATSDANOADD.AliasCount TEncodingInfoNATSSEFI.AliasCount TEncodingInfoNATSSEFIADD.AliasCount TEncodingInfoPC775Baltic.AliasCount TEncodingInfoShiftJIS.AliasCount TEncodingInfoUnicodeLatin1.AliasCount TEncodingInfoWindows1250.AliasCount TEncodingInfoWindows1251.AliasCount TEncodingInfoWindows1252.AliasCount TExpressions.GetAttrCount TExpressionsDir.GetAttrCount TIdNTLMAuthentication.GetSteps TIdSSPINTLMAuthentication.GetSteps TRibbonGroupCollapsedControl.GetTopPosition TWebUserItems.GetAttrCount get_crc_table zlibVersion"
	strings:
		$1 = { B8 03 00 00 00 C3 }
	condition:
		$1
}

rule function_1566_0 {
	meta:
		name = "TExpressions.GetItemAttr"
		size = 92
		refs = "001e IntToStr 0029 TExpressions.GetItem 0033 @UStrAsg 0051 @UStrClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B D8 8B 75 08 83 EA 01 72 07 74 10 4A 74 22 EB 35 8B D6 8B C7 E8 ?? ?? ?? ?? EB 31 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 50 0C 8B C6 E8 ?? ?? ?? ?? EB 1C 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 50 10 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_1573_0 {
	meta:
		name = "TExpressionsDir.GetItemAttr"
		size = 92
		refs = "001e IntToStr 0029 TExpressionsDir.GetItem 0033 @UStrAsg 0051 @UStrClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B D8 8B 75 08 83 EA 01 72 07 74 10 4A 74 22 EB 35 8B D6 8B C7 E8 ?? ?? ?? ?? EB 31 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 50 0C 8B C6 E8 ?? ?? ?? ?? EB 1C 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 50 10 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_1575_0 {
	meta:
		name = "TCustomBindScope.Create"
		size = 57
		refs = "000a @ClassCreate 001b TBaseBindScopeComponent.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 46 49 01 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1577_0 {
	meta:
		name = "TBlobField.GetBlobType"
		size = 5
		altNames = "TCustomBindScope.GetActive TIWBaseHTML40Component.get_DoRefreshControl TIWHTMLControlImplementation.GetCursor"
	strings:
		$1 = { 0F B6 40 48 C3 }
	condition:
		$1
}

rule function_1581_0 {
	meta:
		name = "TCustomBindScope.GetEnumerator"
		size = 103
		refs = "0017 _DV_TEnumerableWrapper 001c TEnumerableWrapper.Create 002c @IntfCopy 005c @IntfClear"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B 75 08 8B 7B 44 85 FF 74 20 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8B C6 E8 ?? ?? ?? ?? EB 2E 8B 7B 4C 85 FF 74 20 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_1582_0 {
	meta:
		name = "TCustomBindScope.GetValue"
		size = 25
	strings:
		$1 = { 8B 50 44 85 D2 74 03 8B C2 C3 8B 50 4C 85 D2 74 04 8B C2 EB 03 8B 40 04 C3 }
	condition:
		$1
}

rule function_1583_0 {
	meta:
		name = "TCustomBindScope.Loaded"
		size = 90
		refs = "000c TCustomBindScope.Loaded 0019 TComponent.Loaded 002c TCustomBindScope.SetActive 004c @HandleAnyException 0051 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 7B 4A 00 74 0F C6 43 4A 00 B2 01 8B C3 E8 ?? ?? ?? ?? EB 0F 80 7B 49 00 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1584_0 {
	meta:
		name = "TCustomBindScope.SetActive"
		size = 29
		refs = "0018 TBaseBindScopeComponent.ActivateExpressions"
	strings:
		$1 = { 3A 50 48 74 17 F6 40 1C 01 74 05 88 50 4A EB 0C 8B CA 88 48 48 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1585_0 {
	meta:
		name = "TCustomBindScope.Notification"
		size = 39
		refs = "0010 TBaseBindScopeComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0A 3B 7E 44 75 05 33 C0 89 46 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1587_0 {
	meta:
		name = "TCustomBindScope.UpdateDataChanged"
		size = 31
		refs = "000c TCustomBindScope.CanActivate 0019 TCustomBindScope.SetActive"
	strings:
		$1 = { 53 8B D8 80 7B 49 00 74 14 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1588_0 {
	meta:
		name = "TCustomBindScope.SetComponent"
		size = 50
		refs = "000e TCustomBindScope.UpdateDataChanging 0024 TCustomBindScope.SetDataObject 002b TCustomBindScope.UpdateDataChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 44 74 24 8B C3 E8 ?? ?? ?? ?? 89 73 44 85 F6 74 0F 83 7B 4C 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1589_0 {
	meta:
		name = "TCustomBindScope.CanActivate"
		size = 18
	strings:
		$1 = { 83 78 4C 00 75 09 83 78 44 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_1590_0 {
	meta:
		name = "TCustomBindScope.SetDataObject"
		size = 50
		refs = "000e TCustomBindScope.UpdateDataChanging 0024 TCustomBindScope.SetComponent 002b TCustomBindScope.UpdateDataChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 44 74 24 8B C3 E8 ?? ?? ?? ?? 89 73 4C 85 F6 74 0F 83 7B 44 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1591_0 {
	meta:
		name = "TCustomBindScope.SetAutoActivate"
		size = 36
		refs = "001e TCustomBindScope.SetActive"
	strings:
		$1 = { 56 8B F0 3A 56 49 74 1A 8B C2 88 46 49 F6 46 1C 01 75 0F F6 46 1C 10 74 09 8B D0 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_1592_0 {
	meta:
		name = "TBaseBindScopeComponent.ActivateExpressions"
		size = 328
		refs = "0011 TBaseBindScopeComponent.ActivateExpressions 001f TList<Data.Bind.Components.TBasicBindComponent>.GetEnumerator 003a TList<Data.Bind.Components.TBasicBindComponent>.TEnumerator.GetCurrent 0044 @IntfClear 0052 Supports 00b4 TList<Data.Bind.Components.TBasicBindComponent>.TEnumerator.MoveNext 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 38 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 7A 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B 45 FC 8B 08 FF 51 50 EB 4A 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B 45 F8 8B 08 FF 51 24 EB 24 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 F4 8B 08 FF 51 0C 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 85 76 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 1B 2D 95 4E 23 0D C4 41 8D F0 D2 4C 4C 32 5D 5C 2B B3 9E 6E 82 49 4D 4D 95 10 A0 AD FB 1B DC C8 26 6F 85 79 66 5E 24 4A B4 DE A7 DB BE 63 56 AD }
	condition:
		$1
}

rule function_1593_0 {
	meta:
		name = "TBaseBindScopeComponent.AddExpression"
		size = 28
		refs = "000b TComponent.FreeNotification 0015 TList<Data.Bind.Components.TBasicBindComponent>.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 43 38 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1594_0 {
	meta:
		name = "TBaseBindScopeComponent.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _DV_TList<Data.Bind.Components.TBasicBindComponent> 0023 TList<Data.Bind.Components.TBasicBindComponent>.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78100_0 {
	meta:
		name = "TDdeClientItem.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TStringList 0023 TStringList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_30366_0 {
	meta:
		name = "TIBDataSetUpdateObject.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TStringList 0023 TStringList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96525_0 {
	meta:
		name = "TWebDirStruct.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TStringList 0023 TStringList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1595_0 {
	meta:
		name = "TBaseBindScopeComponent.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TComponent.Destroy 002d @ClassDestroy"
		altNames = "TCustomActionBarColorMap.Destroy TIdAuthenticationManager.Destroy TIdScheduler.Destroy TIdServerInterceptLogBase.Destroy TIdSysLogMessage.Destroy TInScheduler.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9145_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixForeignKeyColumnsCursor.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXCustomMetaDataTable.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12212_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySqlColumnsTableCursor.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXColumnsTableCursor.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12547_0 {
	meta:
		name = "TDBXOdbcColumnsTableCursor.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXColumnsTableCursor.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12619_0 {
	meta:
		name = "TDBXOracleCustomMetaDataReader.TDBXOracleColumnsCursor.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXCustomMetaDataTable.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12623_0 {
	meta:
		name = "TDBXOracleCustomMetaDataReader.TDBXOracleIndexColumnsCursor.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXCustomMetaDataTable.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11517_0 {
	meta:
		name = "TDatabaseCursor.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXCustomMetaDataTable.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1596_0 {
	meta:
		name = "TBaseBindScopeComponent.GetMemberScope"
		size = 37
		refs = "0014 WrapObject 001e @IntfClear"
	strings:
		$1 = { 53 56 8B F1 8B 08 FF 51 40 8B D8 85 DB 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1597_0 {
	meta:
		name = "TBaseBindScopeComponent.GetScope"
		size = 37
		refs = "0012 @IntfClear 001e WrapObject"
	strings:
		$1 = { 53 56 8B F2 8B 10 FF 52 44 8B D8 85 DB 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1600_0 {
	meta:
		name = "TBaseBindScopeComponent.Notification"
		size = 80
		refs = "0011 TComponent.Notification 001e _DV_TBasicBindComponent 0023 @IsClass 0039 TList<Data.Bind.Components.TBasicBindComponent>.Contains 0047 TList<Data.Bind.Components.TBasicBindComponent>.Remove"
	strings:
		$1 = { 53 56 57 55 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 31 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8B 5E 38 85 DB 74 19 8B EF 8B D5 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D5 8B 46 38 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1601_0 {
	meta:
		name = "TBaseBindScopeComponent.RemoveExpression"
		size = 50
		refs = "0013 TList<Data.Bind.Components.TBasicBindComponent>.Contains 0020 TComponent.RemoveFreeNotification 002a TList<Data.Bind.Components.TBasicBindComponent>.Remove"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 38 85 FF 74 20 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 74 13 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 43 38 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1602_0 {
	meta:
		name = "TCustomBindLink.GetCanModify"
		size = 116
		refs = "000c TCustomBindLink.GetCanModify 001a @IntfClear 0029 Supports 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B 45 FC 8B 08 FF 51 20 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1890_0 {
	meta:
		name = "TCustomBindListLink.GetCanModify"
		size = 116
		refs = "000c TCustomBindListLink.GetCanModify 001a @IntfClear 0029 Supports 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B 45 FC 8B 08 FF 51 20 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1603_0 {
	meta:
		name = "TCustomBindLink.ClearModified"
		size = 108
		refs = "000c TCustomBindLink.ClearModified 001a @IntfClear 0029 Supports 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1754_0 {
	meta:
		name = "TCustomBindGridLink.ClearModified"
		size = 108
		refs = "000c TCustomBindGridLink.ClearModified 001a @IntfClear 0029 Supports 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1913_0 {
	meta:
		name = "TCustomBindListLink.ClearModified"
		size = 108
		refs = "000c TCustomBindListLink.ClearModified 001a @IntfClear 0029 Supports 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1604_0 {
	meta:
		name = "TCustomBindLink.UpdateRecord"
		size = 108
		refs = "000c TCustomBindLink.UpdateRecord 001a @IntfClear 0029 Supports 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1804_0 {
	meta:
		name = "TCustomBindGridLink.UpdateRecord"
		size = 108
		refs = "000c TCustomBindGridLink.UpdateRecord 001a @IntfClear 0029 Supports 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1926_0 {
	meta:
		name = "TCustomBindListLink.UpdateRecord"
		size = 108
		refs = "000c TCustomBindListLink.UpdateRecord 001a @IntfClear 0029 Supports 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1605_0 {
	meta:
		name = "TCustomBindLink.BeginUpdate"
		size = 7
	strings:
		$1 = { FF 80 80 00 00 00 C3 }
	condition:
		$1
}

rule function_1607_0 {
	meta:
		name = "TCustomBindLink.CheckEditingLink$141$ActRec.$0$Body"
		size = 40
		refs = "000c _Dn_TBindEditLinkObserver 0011 TBindEditLinkObserver.Create 0021 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 4B 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1772_0 {
	meta:
		name = "TCustomBindGridLink.CheckEditingLink$306$ActRec.$0$Body"
		size = 40
		refs = "000c _Dn_TBindEditGridLinkObserver 0011 TBindEditGridLinkObserver.Create 0021 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 4B 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1773_0 {
	meta:
		name = "TCustomBindGridLink.CheckEditingLink$306$ActRec.$1$Body"
		size = 40
		refs = "000c _Dn_TBindPositionLinkObserver 0011 TBindPositionLinkObserver.Create 0021 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 4B 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1915_0 {
	meta:
		name = "TCustomBindListLink.CheckEditingLink$449$ActRec.$0$Body"
		size = 40
		refs = "000c _Dn_TBindEditGridLinkObserver 0011 TBindEditGridLinkObserver.Create 0021 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 4B 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1916_0 {
	meta:
		name = "TCustomBindListLink.CheckEditingLink$449$ActRec.$1$Body"
		size = 40
		refs = "000c _Dn_TBindPositionLinkObserver 0011 TBindPositionLinkObserver.Create 0021 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 4B 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1608_0 {
	meta:
		name = "TCustomBindLink.CheckEditingLink"
		size = 143
		refs = "000e TCustomBindLink.CheckEditingLink 001b _DV_TCustomBindLink.CheckEditingLink$141$ActRec 0020 TObject.Create 0033 @IntfCopy 004c TControlObserver.SetComponent 0068 TControlObserver.EnsureObserving 007d @IntfClear 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 0C 8B C6 8B 10 FF 52 44 8B D0 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 F0 8B 43 0C 8B 80 84 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1609_0 {
	meta:
		name = "TCustomBindLink.ClearEditingLink"
		size = 14
		refs = "0009 TControlObserver.SetComponent"
	strings:
		$1 = { 33 D2 8B 80 84 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1610_0 {
	meta:
		name = "TCustomBindLink.Create"
		size = 211
		refs = "000a @ClassCreate 0017 TActivatedContainedBindComponent.Create 001e _DV_TControlObserver 0023 TControlObserver.Create 0036 _DV_TExpressionItem 0040 _DV_TExpressions 0045 TOwnedCollection.Create 0086 _DV_TList<System.Bindings.Expression.TBindingExpression> 008b TList<System.Bindings.Expression.TBindingExpression>.Create 00c0 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 84 00 00 00 33 C0 89 86 80 00 00 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 90 00 00 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 8C 00 00 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 88 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 9C 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A0 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1611_0 {
	meta:
		name = "TCustomBindLink.Destroy"
		size = 130
		refs = "0003 @BeforeDestruction 001c TObject.Free 0070 TCommonBindComponent.Destroy 007b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 92 D8 00 00 00 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 74 8B 86 90 00 00 00 E8 ?? ?? ?? ?? 8B 86 8C 00 00 00 E8 ?? ?? ?? ?? 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 8B 86 9C 00 00 00 E8 ?? ?? ?? ?? 8B 86 A4 00 00 00 E8 ?? ?? ?? ?? 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1612_0 {
	meta:
		name = "TCustomBindLink.Loaded"
		size = 78
		refs = "000c TCustomBindLink.Loaded 0019 TComponent.Loaded 0040 @HandleAnyException 0045 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 C8 00 00 00 84 C0 74 0A 8B C3 8B 10 FF 92 A4 00 00 00 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1790_0 {
	meta:
		name = "TCustomBindGridLink.Loaded"
		size = 78
		refs = "000c TCustomBindGridLink.Loaded 0019 TComponent.Loaded 0040 @HandleAnyException 0045 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 C8 00 00 00 84 C0 74 0A 8B C3 8B 10 FF 92 A4 00 00 00 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1613_0 {
	meta:
		name = "TCustomBindLink.SetModified"
		size = 108
		refs = "000c TCustomBindLink.SetModified 001a @IntfClear 0029 Supports 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1791_0 {
	meta:
		name = "TCustomBindGridLink.SetModified"
		size = 108
		refs = "000c TCustomBindGridLink.SetModified 001a @IntfClear 0029 Supports 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1919_0 {
	meta:
		name = "TCustomBindListLink.SetModified"
		size = 108
		refs = "000c TCustomBindListLink.SetModified 001a @IntfClear 0029 Supports 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1614_0 {
	meta:
		name = "TCustomBindLink.GetIsModified"
		size = 116
		refs = "000c TCustomBindLink.GetIsModified 001a @IntfClear 0029 Supports 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B 45 FC 8B 08 FF 51 1C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1792_0 {
	meta:
		name = "TCustomBindGridLink.GetIsModified"
		size = 116
		refs = "000c TCustomBindGridLink.GetIsModified 001a @IntfClear 0029 Supports 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B 45 FC 8B 08 FF 51 1C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1904_0 {
	meta:
		name = "TCustomBindListLink.GetIsModified"
		size = 116
		refs = "000c TCustomBindListLink.GetIsModified 001a @IntfClear 0029 Supports 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B 45 FC 8B 08 FF 51 1C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1615_0 {
	meta:
		name = "TCustomBindLink.GetUpdating"
		size = 11
	strings:
		$1 = { 83 B8 80 00 00 00 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_1616_0 {
	meta:
		name = "TCustomBindLink.RequiresControlHandler"
		size = 17
	strings:
		$1 = { 8B 80 90 00 00 00 8B 40 08 83 78 08 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_1617_0 {
	meta:
		name = "TCustomBindLink.SetActive"
		size = 558
		refs = "001e TCustomBindLink.SetActive 006d TCustomBindLink.ClearModified 00b1 TControlObserver.TrySetActive 00da SafeClassName 00f2 sNoControlObserverSupport 00f7 LoadResString 0101 _DV_TBindCompException 0106 Exception.CreateFmt 010b @RaiseExcept 0143 TCustomBindLink.EvaluateClear 01a1 TCustomBindLink.EvaluateFormat 01b8 @HandleAnyException 01cf @RaiseAgain 01d4 @DoneExcept 01fc @HandleFinally 021b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D E4 89 4D E0 89 4D DC 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 0F B6 80 95 00 00 00 3A 45 FB 0F 84 CA 01 00 00 8B 45 FC 8B 10 FF 52 54 84 C0 74 22 8B 45 FC 8B 10 FF 52 50 84 C0 0F 85 AE 01 00 00 8B 45 FC 0F B6 55 FB 88 90 94 00 00 00 E9 9C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 50 84 C0 0F 85 8E 00 00 00 80 7D FB 00 0F 84 84 00 00 00 8B 45 FC 8B 10 FF 92 D0 00 00 00 84 C0 74 75 8B 45 FC 8B 10 FF 92 D4 00 00 00 8B 45 FC 8B 80 84 00 00 00 B2 01 E8 ?? ?? ?? ?? 84 C0 75 56 8D 55 E4 8B 45 FC 8B 08 FF 51 4C 8B 45 E4 89 45 E8 C6 45 EC 11 8B 45 FC 8B 10 FF 52 44 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F0 C6 45 F4 11 8D 45 E8 50 6A 01 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7D FB 00 75 24 8B 45 FC 8B 10 FF 52 44 85 C0 74 18 8B 45 FC 8B 10 FF 52 44 F6 40 1C 08 75 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 0A 8B 45 FC 8B 10 FF 52 64 EB 08 8B 45 FC 8B 10 FF 52 6C 8B 55 FC 0F B6 45 FB 88 82 95 00 00 00 84 C0 74 5D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 74 8B 45 FC 8B 10 FF 52 78 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 68 33 C0 5A 59 59 64 89 10 EB 43 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 74 8B 45 FC C6 80 95 00 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 20 8B 45 FC 8B 80 84 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 74 8B 45 FC 8B 10 FF 52 70 C3 E9 ?? ?? ?? ?? E9 4F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1618_0 {
	meta:
		name = "TCustomBindLink.FreeExpressionObject"
		size = 12
		refs = "0007 TObject.Free"
	strings:
		$1 = { 8B 02 33 C9 89 0A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1619_0 {
	meta:
		name = "TCustomBindLink.FreeExpressionsObjects"
		size = 76
		refs = "000c TCommonBindComponent.FreeExpressionObjects 0026 TCustomBindLink.FreeExpressionObject 0046 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 93 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 93 98 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 98 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1620_0 {
	meta:
		name = "TCustomBindLink.GetActive"
		size = 8
	strings:
		$1 = { 0F B6 80 95 00 00 00 C3 }
	condition:
		$1
}

rule function_1622_0 {
	meta:
		name = "TCustomBindLink.IsRequired"
		size = 140
		refs = "000f TCustomBindLink.IsRequired 001f @IntfClear 002e Supports 003c TCommonBindComponent.GetSourceMemberName 005e @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 28 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 00 00 16 4E A9 F2 81 21 43 49 8B DC 3D 0C A7 FD E3 36 }
	condition:
		$1
}

rule function_1784_0 {
	meta:
		name = "TCustomBindGridLink.IsRequired"
		size = 140
		refs = "000f TCustomBindGridLink.IsRequired 001f @IntfClear 002e Supports 003c TCommonBindComponent.GetSourceMemberName 005e @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 28 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 00 00 16 4E A9 F2 81 21 43 49 8B DC 3D 0C A7 FD E3 36 }
	condition:
		$1
}

rule function_1907_0 {
	meta:
		name = "TCustomBindListLink.IsRequired"
		size = 140
		refs = "000f TCustomBindListLink.IsRequired 001f @IntfClear 002e Supports 003c TCommonBindComponent.GetSourceMemberName 005e @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 28 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 00 00 16 4E A9 F2 81 21 43 49 8B DC 3D 0C A7 FD E3 36 }
	condition:
		$1
}

rule function_1623_0 {
	meta:
		name = "TCustomBindLink.SetIsReadOnly"
		size = 116
		refs = "000f TCustomBindLink.SetIsReadOnly 001d @IntfClear 002c Supports 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 84 C0 74 0C 8B CB 8B D6 8B 45 FC 8B 18 FF 53 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1785_0 {
	meta:
		name = "TCustomBindGridLink.SetIsReadOnly"
		size = 116
		refs = "000f TCustomBindGridLink.SetIsReadOnly 001d @IntfClear 002c Supports 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 84 C0 74 0C 8B CB 8B D6 8B 45 FC 8B 18 FF 53 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1908_0 {
	meta:
		name = "TCustomBindListLink.SetIsReadOnly"
		size = 116
		refs = "000f TCustomBindListLink.SetIsReadOnly 001d @IntfClear 002c Supports 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 84 C0 74 0C 8B CB 8B D6 8B 45 FC 8B 18 FF 53 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1624_0 {
	meta:
		name = "TCustomBindLink.IsValidChar"
		size = 144
		refs = "0012 TCustomBindLink.IsValidChar 0022 @IntfClear 0031 Supports 003f TCommonBindComponent.GetSourceMemberName 0063 @UStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 84 C0 74 19 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B CF 8B 45 FC 8B 18 FF 53 24 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 59 59 5D C3 16 4E A9 F2 81 21 43 49 8B DC 3D 0C A7 FD E3 36 }
	condition:
		$1
}

rule function_1625_0 {
	meta:
		name = "TCustomBindLink.UpdateExpressions"
		size = 1056
		refs = "0030 TCustomBindLink.UpdateExpressions 0044 TExpressions.GetEnumerator 0062 TExpressionsEnumerator.GetCurrent 0073 TCommonBindComponent.GetControlScopes 0082 @DynArrayHigh 0092 TCommonBindComponent.GetOutputConverter 00bc TBindingEventRec.Create 00d3 TCommonBindComponent.GetSourceScopes 00e5 _Dn_TBindings 00eb TBindings.CreateUnmanagedBinding 00fd TList<System.Bindings.Expression.TBindingExpression>.Add 0105 TCollectionEnumerator.MoveNext 0130 @HandleFinally 037c TBindings.CreateExpression 039b TArray<System.Bindings.EvalProtocol.IScope> 03a5 @FinalizeArray 03ad @IntfClear 03f1 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 D2 89 55 AC 89 55 B8 89 55 B4 89 55 B0 89 55 C4 89 55 C0 89 55 BC 89 55 E8 89 55 E4 89 55 C8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 A3 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 43 10 50 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 43 0C 50 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 0F B6 05 ?? ?? ?? ?? 50 8D 55 C8 8B 45 FC E8 ?? ?? ?? ?? 8B 7D C8 8B C7 E8 ?? ?? ?? ?? 50 8B D7 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 A0 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 4D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 80 8C 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 A3 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 43 10 50 8D 55 C4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C4 89 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 43 0C 50 8D 55 C0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C0 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 0F B6 05 ?? ?? ?? ?? 50 8D 55 BC 8B 45 FC E8 ?? ?? ?? ?? 8B 7D BC 8B C7 E8 ?? ?? ?? ?? 50 8B D7 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 A4 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 4D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 A3 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 43 0C 50 8D 55 B8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B8 89 45 EC 50 8B 45 EC E8 ?? ?? ?? ?? 50 8B 43 10 50 8D 55 B4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B4 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 0F B6 05 ?? ?? ?? ?? 50 8D 55 B0 8B 45 FC E8 ?? ?? ?? ?? 8B 7D B0 8B C7 E8 ?? ?? ?? ?? 50 8B D7 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 9C 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 4D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 8D 55 AC 8B 45 FC E8 ?? ?? ?? ?? 8B 5D AC 8B C3 E8 ?? ?? ?? ?? 50 8B D3 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 55 FC 89 82 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 99 5F 5E 5B 8B E5 5D C3 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 65 00 6C 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_1626_0 {
	meta:
		name = "TChartSeries.SetMarks"
		size = 16
		altNames = "TCustomBindExprItems.SetFormatExpressions TCustomBindGridLink.SetPosSourceExpressions TCustomBindLink.SetFormatExpressions TCustomBindList.SetFormatControlExpressions TCustomBindPosition.SetPosSourceExpressions TDataSet.SetConstraints TScreen.SetMenuFont"
	strings:
		$1 = { 56 8B F0 8B 86 88 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_1627_0 {
	meta:
		name = "TCustomBindLink.SetParseExpressions"
		size = 16
		altNames = "TScreen.SetCaptionFont"
	strings:
		$1 = { 56 8B F0 8B 86 90 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_1628_0 {
	meta:
		name = "TCustomBindGridLink.UpdateControlChanging"
		size = 22
		refs = "0006 TActivatedContainedBindComponent.UpdateControlChanging"
		altNames = "TCustomBindLink.UpdateControlChanging"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 D8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_1629_0 {
	meta:
		name = "TCustomBindLink.SetClearExpressions"
		size = 7
		altNames = "TSeStyleObject.SetMarginLeft"
	strings:
		$1 = { 89 90 8C 00 00 00 C3 }
	condition:
		$1
}

rule function_1630_0 {
	meta:
		name = "TCustomBindLink.Reset"
		size = 108
		refs = "000c TCustomBindLink.Reset 001a @IntfClear 0029 Supports 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1795_0 {
	meta:
		name = "TCustomBindGridLink.Reset"
		size = 108
		refs = "000c TCustomBindGridLink.Reset 001a @IntfClear 0029 Supports 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1911_0 {
	meta:
		name = "TCustomBindListLink.Reset"
		size = 108
		refs = "000c TCustomBindListLink.Reset 001a @IntfClear 0029 Supports 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1631_0 {
	meta:
		name = "TCustomBindLink.EvaluateParse"
		size = 185
		refs = "0012 TCustomBindLink.EvaluateParse 0031 TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 004c TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 006a TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 0091 @HandleFinally 00a8 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 74 6D 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 0A 8D 55 F8 8B C3 8B 08 FF 51 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1632_0 {
	meta:
		name = "TCustomBindLink.EvaluateControl"
		size = 51
		refs = "000a @IntfClear"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B BB 98 00 00 00 85 FF 74 17 8B C7 8B 10 FF 12 84 C0 74 0D 8B D6 8B 83 98 00 00 00 8B 08 FF 51 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1633_0 {
	meta:
		name = "TCustomBindLink.Edit"
		size = 116
		refs = "000c TCustomBindLink.Edit 001a @IntfClear 0029 Supports 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B 45 FC 8B 08 FF 51 10 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1814_0 {
	meta:
		name = "TCustomBindGridLink.Edit"
		size = 116
		refs = "000c TCustomBindGridLink.Edit 001a @IntfClear 0029 Supports 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B 45 FC 8B 08 FF 51 10 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1893_0 {
	meta:
		name = "TCustomBindListLink.Edit"
		size = 116
		refs = "000c TCustomBindListLink.Edit 001a @IntfClear 0029 Supports 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B 45 FC 8B 08 FF 51 10 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1634_0 {
	meta:
		name = "TCustomBindLink.EndUpdate"
		size = 24
	strings:
		$1 = { FF 88 80 00 00 00 83 B8 80 00 00 00 00 7D 08 33 D2 89 90 80 00 00 00 C3 }
	condition:
		$1
}

rule function_1635_0 {
	meta:
		name = "TCustomBindLink.GetIsEditing"
		size = 116
		refs = "000c TCustomBindLink.GetIsEditing 001a @IntfClear 0029 Supports 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B 45 FC 8B 08 FF 51 14 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1636_0 {
	meta:
		name = "TCustomBindLink.EvaluateClear"
		size = 185
		refs = "0012 TCustomBindLink.EvaluateClear 0031 TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 004c TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 006a TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 0091 @HandleFinally 00a8 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 74 6D 8B 83 A4 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 0A 8D 55 F8 8B C3 8B 08 FF 51 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1637_0 {
	meta:
		name = "TCustomBindLink.EvaluateFormat"
		size = 185
		refs = "0012 TCustomBindLink.EvaluateFormat 0031 TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 004c TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 006a TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 0091 @HandleFinally 00a8 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 74 6D 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 0A 8D 55 F8 8B C3 8B 08 FF 51 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1639_0 {
	meta:
		name = "TBindArtifacts.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TBindArtifactItem 001d TOwnedCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78927_0 {
	meta:
		name = "TColumnCollection.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TColumnItem 001d TOwnedCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78934_0 {
	meta:
		name = "TControlCollection.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TControlItem 001d TOwnedCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32207_0 {
	meta:
		name = "TIdAuthenticationCollection.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TIdAuthenticationItem 001d TOwnedCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_33281_0 {
	meta:
		name = "TIdEMailAddressList.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TIdEMailAddressItem 001d TOwnedCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36783_0 {
	meta:
		name = "TIdRepliesFTP.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TIdReplyFTP 001d TIdRepliesRFC.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36799_0 {
	meta:
		name = "TIdRepliesIMAP4.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TIdReplyIMAP4 001d TIdReplies.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36813_0 {
	meta:
		name = "TIdRepliesPOP3.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TIdReplyPOP3 001d TIdReplies.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36825_0 {
	meta:
		name = "TIdRepliesRFC.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TIdReplyRFC 001d TIdReplies.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_41253_0 {
	meta:
		name = "TIdRepliesRFC.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TInReplyRFC 001d TIdReplies.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36846_0 {
	meta:
		name = "TIdRepliesSMTP.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TIdReplySMTP 001d TIdRepliesRFC.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36895_0 {
	meta:
		name = "TIdSASLEntries.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TIdSASLListEntry 001d TOwnedCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_37292_0 {
	meta:
		name = "TIdSocketHandles.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TIdSocketHandle 001d TOwnedCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38526_0 {
	meta:
		name = "TIdUserAccounts.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TIdUserAccount 001d TOwnedCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38574_0 {
	meta:
		name = "TIdVCardAddresses.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TIdCardAddressItem 001d TOwnedCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38568_0 {
	meta:
		name = "TIdVCardEMailAddresses.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TIdVCardEMailItem 001d TOwnedCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38593_0 {
	meta:
		name = "TIdVCardMailingLabels.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TIdVCardMailingLabelItem 001d TOwnedCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38578_0 {
	meta:
		name = "TIdVCardTelephones.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TIdCardPhoneNumber 001d TOwnedCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_41362_0 {
	meta:
		name = "TInSocketHandles.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TInSocketHandle 001d TOwnedCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78794_0 {
	meta:
		name = "TRecipientCollection.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TRecipientItem 001d TOwnedCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78923_0 {
	meta:
		name = "TRowCollection.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TRowItem 001d TOwnedCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26076_0 {
	meta:
		name = "TServerCollection.Create"
		size = 59
		refs = "000a @ClassCreate 0013 _DV_TServerItem 001d TOwnedCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1640_0 {
	meta:
		name = "TBindArtifacts.GetAttr"
		size = 49
		refs = "000f sIDAttr 0014 LoadResString 001d sStateAttr 002b @UStrClr"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95698_0 {
	meta:
		name = "THTMLTableColumns.GetAttr"
		size = 49
		refs = "000f sFieldNameColumn 0014 LoadResString 001d sFieldTypeColumn 002b @UStrClr"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14899_0 {
	meta:
		name = "TParameters.GetAttr"
		size = 49
		refs = "000f sNameAttr 0014 LoadResString 001d sValueAttr 002b @UStrClr"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96235_0 {
	meta:
		name = "TWebDirectories.GetAttr"
		size = 49
		refs = "000f sWebFileDirectoryItemAction 0014 LoadResString 001d sWebFileDirectoryItemMask 002b @UStrClr"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96221_0 {
	meta:
		name = "TWebFileExtensions.GetAttr"
		size = 49
		refs = "000f sWebFileExtensionItemExtensions 0014 LoadResString 001d sWebFileExtensionItemMimeType 002b @UStrClr"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1641_0 {
	meta:
		name = "TBindArtifacts.GetAttrCount"
		size = 6
		altNames = "TBooleanField.GetDataSize TEncodingInfoAdobeStandardEncoding.AliasCount TEncodingInfoBOCU1.AliasCount TEncodingInfoBRF.AliasCount TEncodingInfoBig5.AliasCount TEncodingInfoCESU8.AliasCount TEncodingInfoDKUS.AliasCount TEncodingInfoEBCDICATDEA.AliasCount TEncodingInfoEBCDICCAFR.AliasCount TEncodingInfoEBCDICDKNO.AliasCount TEncodingInfoEBCDICDKNOA.AliasCount TEncodingInfoEBCDICES.AliasCount TEncodingInfoEBCDICESA.AliasCount TEncodingInfoEBCDICESS.AliasCount TEncodingInfoEBCDICFISE.AliasCount TEncodingInfoEBCDICFISEA.AliasCount TEncodingInfoEBCDICFR.AliasCount TEncodingInfoEBCDICIT.AliasCount TEncodingInfoEBCDICPT.AliasCount TEncodingInfoEBCDICUK.AliasCount TEncodingInfoEBCDICUS.AliasCount TEncodingInfoEUCFixWidJapanese.AliasCount TEncodingInfoEUCKR.AliasCount TEncodingInfoGB2312.AliasCount TEncodingInfoHPDesktop.AliasCount TEncodingInfoHPLegal.AliasCount TEncodingInfoHPMath8.AliasCount TEncodingInfoHPPSMath.AliasCount TEncodingInfoHPPiFont.AliasCount TEncodingInfoIBM1047.AliasCount TEncodingInfoIBMEBCDICATDE.AliasCount TEncodingInfoIBMSymbols.AliasCount TEncodingInfoIBMThai.AliasCount TEncodingInfoISO10646UTF1.AliasCount TEncodingInfoISO2022JP.AliasCount TEncodingInfoISO2022JP2.AliasCount TEncodingInfoISO2022KR.AliasCount TEncodingInfoISO90.AliasCount TEncodingInfoInvariant.AliasCount TEncodingInfoJISEncoding.AliasCount TEncodingInfoKOI8R.AliasCount TEncodingInfoMicrosoftPublishing.AliasCount TEncodingInfoMnem.AliasCount TEncodingInfoMnemonic.AliasCount TEncodingInfoPC8DanishNorwegian.AliasCount TEncodingInfoPC8Turkish.AliasCount TEncodingInfoTSCII.AliasCount TEncodingInfoUCS2.AliasCount TEncodingInfoUCS4.AliasCount TEncodingInfoUSDK.AliasCount TEncodingInfoUnicode11.AliasCount TEncodingInfoUnicode11UTF7.AliasCount TEncodingInfoUnicodeASCII.AliasCount TEncodingInfoUnicodeIBM1261.AliasCount TEncodingInfoUnicodeIBM1264.AliasCount TEncodingInfoUnicodeIBM1265.AliasCount TEncodingInfoUnicodeIBM1268.AliasCount TEncodingInfoUnicodeIBM1276.AliasCount TEncodingInfoUnknown8Bit.AliasCount TEncodingInfoVIQR.AliasCount TEncodingInfoVISCII.AliasCount TEncodingInfoVenturaInternational.AliasCount TEncodingInfoVenturaMath.AliasCount TEncodingInfoVenturaUS.AliasCount TEncodingInfoWindows30Latin1.AliasCount TEncodingInfoWindows31J.AliasCount TEncodingInfoWindows31Latin1.AliasCount TEncodingInfoWindows31Latin2.AliasCount TEncodingInfoWindows31Latin5.AliasCount TEnumerableWrapper.GetRecordCount THTMLTableColumns.GetAttrCount TParameters.GetAttrCount TSmallintField.GetDataSize TWebDirectories.GetAttrCount TWebFileExtensions.GetAttrCount TWordField.GetDataSize"
	strings:
		$1 = { B8 02 00 00 00 C3 }
	condition:
		$1
}

rule function_1642_0 {
	meta:
		name = "TBindArtifacts.GetItemAttr"
		size = 87
		refs = "001d TBindArtifacts.GetItem 0027 @UStrAsg 003e TBindArtifactState 0043 GetEnumName 004c @UStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B D8 8B 75 08 83 EA 01 72 04 74 18 EB 32 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 50 0C 8B C6 E8 ?? ?? ?? ?? EB 23 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B6 50 10 8B CE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_1644_0 {
	meta:
		name = "TBindArtifactItem.AssignTo"
		size = 59
		refs = "000b _DV_TBindArtifactItem 0010 @IsClass 0021 @UStrAsg 0033 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B FE 8D 47 0C 8B 53 0C E8 ?? ?? ?? ?? 0F B6 43 10 88 47 10 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1645_0 {
	meta:
		name = "TBindCompDesignExpression.Create"
		size = 309
		refs = "0010 @IntfAddRef 0040 TBindCompDesignExpression.Create 004f @UStrAsg 0090 @IntfCopy 00f0 TBindCompDesignExpression.TSaveDesignExpression 00fa @FinalizeArray 0103 TBindCompDesignExpression.TExecuteDesignExpression 0116 TBindCompDesignExpression.TExecuteDesignExpression2 0126 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 2C E8 ?? ?? ?? ?? 8B 45 28 E8 ?? ?? ?? ?? 8B 45 24 E8 ?? ?? ?? ?? 8B 45 20 E8 ?? ?? ?? ?? 8B 45 1C E8 ?? ?? ?? ?? 8B 45 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B D6 E8 ?? ?? ?? ?? 8D 43 30 8B 55 10 E8 ?? ?? ?? ?? 8D 43 04 8B D7 E8 ?? ?? ?? ?? 8D 43 08 8B 55 38 E8 ?? ?? ?? ?? 8D 43 0C 8B 55 34 E8 ?? ?? ?? ?? 8D 43 10 8B 55 30 E8 ?? ?? ?? ?? 8D 43 1C 8B 55 28 E8 ?? ?? ?? ?? 8D 43 20 8B 55 2C E8 ?? ?? ?? ?? 8D 43 14 8B 55 24 E8 ?? ?? ?? ?? 8D 43 18 8B 55 20 E8 ?? ?? ?? ?? 8D 43 24 8B 55 1C E8 ?? ?? ?? ?? 8D 43 28 8B 55 18 E8 ?? ?? ?? ?? 8B 45 14 89 43 2C 8B 45 0C 89 43 34 0F B6 45 08 88 43 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 18 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 20 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 28 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BF 8B C3 5F 5E 5B 5D C2 34 00 }
	condition:
		$1
}

rule function_1646_0 {
	meta:
		name = "TCustomBindList.ClearList"
		size = 131
		refs = "000c TCustomBindList.ClearList 001c TCustomBindList.GetBindListEditor 0041 TCustomBindList.EvaluateClearControl 005c @HandleFinally 0073 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 3C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 10 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1776_0 {
	meta:
		name = "TCustomBindGridLink.ClearGrid"
		size = 131
		refs = "000c TCustomBindGridLink.ClearGrid 001c TCustomBindGridLink.GetBindListEditor 0041 TCustomBindGridLink.EvaluateClearControl 005c @HandleFinally 0073 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 3C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 10 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1724_0 {
	meta:
		name = "TCustomBindGridList.ClearGrid"
		size = 131
		refs = "000c TCustomBindGridList.ClearGrid 001c TCustomBindGridList.GetBindListEditor 0041 TCustomBindGridList.EvaluateClearControl 005c @HandleFinally 0073 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 3C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 10 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1647_0 {
	meta:
		name = "TCustomBindList.GetActive"
		size = 8
		altNames = "TCustomBindListLink.GetActive"
	strings:
		$1 = { 0F B6 80 99 00 00 00 C3 }
	condition:
		$1
}

rule function_1648_0 {
	meta:
		name = "TCustomBindList.GetBindListEditor"
		size = 188
		refs = "001b TCustomBindList.GetBindListEditor 0028 TContainedBindComponent.CheckControlComponent 002f @IntfClear 0038 TCustomBindList.TryGetBindListEditor 005f SafeClassName 0077 sNoEditor 007c LoadResString 0086 _DV_TBindCompException 008b Exception.CreateFmt 0090 @RaiseExcept 00aa @UStrArrayClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D EC 89 4D E8 89 4D E4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 75 54 8D 55 EC 8B C3 8B 08 FF 51 4C 8B 45 EC 89 45 F0 C6 45 F4 11 8B C3 8B 10 FF 52 44 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1649_0 {
	meta:
		name = "TCustomBindList.TryGetBindListEditor"
		size = 180
		refs = "0020 TCustomBindList.TryGetBindListEditor 002e @IntfClear 005a GetBindEditor 0073 Supports 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 85 C0 74 3A 8B C3 8B 10 FF 52 44 F6 40 1C 08 75 2D 8B C3 8B 10 FF 52 44 8D 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 8B 45 FC 83 38 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 5F 12 D3 C0 E8 F9 AE 4E 98 CB AC 16 D0 E7 B0 75 }
	condition:
		$1
}

rule function_1650_0 {
	meta:
		name = "TCustomBindList.TryGetScopeRecordEnumerator"
		size = 196
		refs = "001e TCustomBindList.TryGetScopeRecordEnumerator 002c @IntfClear 003b Supports 004d TCommonBindComponent.GetSourceMemberName 0069 @IntfCopy 0091 @UStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 89 55 F8 8B D8 8B 45 F8 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 2C 8D 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 8B 80 00 00 00 8B 45 FC 8B 18 FF 53 0C 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 83 38 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5B 8B E5 5D C3 3D 77 A6 34 1B A7 70 48 9C 60 40 9A 79 82 06 FA }
	condition:
		$1
}

rule function_1651_0 {
	meta:
		name = "TCustomBindList.GetScopeRecordEnumerator"
		size = 248
		refs = "001a TCustomBindList.GetScopeRecordEnumerator 0028 @IntfClear 0037 Supports 0046 TCommonBindComponent.GetSourceMemberName 0078 SafeClassName 0090 sNoEnumerator 0095 LoadResString 009f _DV_TBindCompException 00a4 Exception.CreateFmt 00a9 @RaiseExcept 00c3 @UStrArrayClr 00cb @UStrClr 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 1E 56 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 8B 80 00 00 00 8B 45 FC 8B 18 FF 53 0C EB 50 8D 55 E4 8B C3 8B 08 FF 51 4C 8B 45 E4 89 45 E8 C6 45 EC 11 8D 55 E0 8B 43 40 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F0 C6 45 F4 11 8D 45 E8 50 6A 01 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 00 00 00 3D 77 A6 34 1B A7 70 48 9C 60 40 9A 79 82 06 FA }
	condition:
		$1
}

rule function_1652_0 {
	meta:
		name = "TCustomBindList.EvaluateFormatControl"
		size = 169
		refs = "0010 TCustomBindList.EvaluateFormatControl 0021 TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 003c TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 005a TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 0081 @HandleFinally 0098 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 0A 8D 55 F8 8B C3 8B 08 FF 51 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1653_0 {
	meta:
		name = "TCustomBindList.InsertItem"
		size = 368
		refs = "001b TCustomBindList.InsertItem 002b TCustomBindList.GetBindListEditor 0059 TExpressions.GetEnumerator 0074 TExpressionsEnumerator.GetCurrent 0084 TCommonBindComponent.GetSourceMemberName 0091 TCommonBindComponent.GetComponentScope 00a1 TCustomBindList.EvaluateExpressionItem 00a9 TCollectionEnumerator.MoveNext 00d0 @HandleFinally 00f3 TObject.ClassName 010b sNoInsertItem 0110 LoadResString 011a _DV_TBindCompException 011f Exception.CreateFmt 0124 @RaiseExcept 013e @UStrArrayClr 0146 @UStrClr 014e @IntfClear"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 88 55 F7 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 EF 00 00 00 8D 4D F8 0F B6 55 F7 8B 45 FC 8B 30 FF 56 18 83 7D F8 00 0F 84 84 00 00 00 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 35 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 8D 45 EC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 4D E8 8B 53 40 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8D 55 D4 8B C3 8B 08 FF 51 4C 8B 45 D4 89 45 D8 C6 45 DC 11 8D 55 D0 8B 43 40 8B 00 E8 ?? ?? ?? ?? 8B 45 D0 89 45 E0 C6 45 E4 11 8D 45 D8 50 6A 01 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1655_0 {
	meta:
		name = "TCustomBindList.AddItem"
		size = 368
		refs = "001b TCustomBindList.AddItem 002b TCustomBindList.GetBindListEditor 0059 TExpressions.GetEnumerator 0074 TExpressionsEnumerator.GetCurrent 0084 TCommonBindComponent.GetSourceMemberName 0091 TCommonBindComponent.GetComponentScope 00a1 TCustomBindList.EvaluateExpressionItem 00a9 TCollectionEnumerator.MoveNext 00d0 @HandleFinally 00f3 TObject.ClassName 010b sNoEnumerator 0110 LoadResString 011a _DV_TBindCompException 011f Exception.CreateFmt 0124 @RaiseExcept 013e @UStrArrayClr 0146 @UStrClr 014e @IntfClear"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 88 55 F7 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 EF 00 00 00 8D 4D F8 0F B6 55 F7 8B 45 FC 8B 30 FF 56 14 83 7D F8 00 0F 84 84 00 00 00 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 35 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 8D 45 EC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 4D E8 8B 53 40 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8D 55 D4 8B C3 8B 08 FF 51 4C 8B 45 D4 89 45 D8 C6 45 DC 11 8D 55 D0 8B 43 40 8B 00 E8 ?? ?? ?? ?? 8B 45 D0 89 45 E0 C6 45 E4 11 8D 45 D8 50 6A 01 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1656_0 {
	meta:
		name = "TCustomBindList.EvaluateClearControl"
		size = 169
		refs = "0010 TCustomBindList.EvaluateClearControl 0021 TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 003c TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 005a TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 0081 @HandleFinally 0098 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 94 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 0A 8D 55 F8 8B C3 8B 08 FF 51 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1749_0 {
	meta:
		name = "TCustomBindGridLink.EvaluatePosSource"
		size = 169
		refs = "0010 TCustomBindGridLink.EvaluatePosSource 0021 TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 003c TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 005a TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 0081 @HandleFinally 0098 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 94 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 0A 8D 55 F8 8B C3 8B 08 FF 51 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1691_0 {
	meta:
		name = "TCustomBindPosition.EvaluatePosControl"
		size = 169
		refs = "0010 TCustomBindPosition.EvaluatePosControl 0021 TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 003c TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 005a TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 0081 @HandleFinally 0098 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 94 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 0A 8D 55 F8 8B C3 8B 08 FF 51 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1657_0 {
	meta:
		name = "TCustomBindList.FillList$191$ActRec.$0$Body"
		size = 129
		refs = "001a TExpressions.GetEnumerator 0025 TCustomBindList.FillList$191$ActRec.$0$Body 0035 TExpressionsEnumerator.GetCurrent 0045 TCustomBindList.EvaluateExpressionItem 004d TCollectionEnumerator.MoveNext 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B F0 8B 46 0C 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 57 8B 46 0C 8B 4D FC 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1658_0 {
	meta:
		name = "TCustomBindList.FillList"
		size = 178
		refs = "0011 TCustomBindList.FillList 001e _DV_TCustomBindList.FillList$191$ActRec 0023 TObject.Create 0036 @IntfCopy 0040 TCustomBindList.EvaluateFormatControl 004b TCustomBindList.GetBindListEditor 0059 @IntfClear 0063 TCustomBindList.TryGetScopeRecordEnumerator 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 89 43 0C E8 ?? ?? ?? ?? 8D 55 FC 8B 43 0C E8 ?? ?? ?? ?? 83 7D FC 00 74 2A 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 14 8B CB 85 C9 74 03 83 E9 F0 8B 55 F8 8B 45 FC 8B 18 FF 53 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1659_0 {
	meta:
		name = "TCustomBindList.EvaluateExpressionItem"
		size = 108
		refs = "0011 @IntfAddRef 0021 TCustomBindList.EvaluateExpressionItem 003c TCustomBindList.EvaluateExpressions 0051 @IntfClear 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 46 10 50 8B 4E 0C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_1660_0 {
	meta:
		name = "TCustomBindList.EvaluateExpressions"
		size = 340
		refs = "0023 @IntfAddRef 0033 TCustomBindList.EvaluateExpressions 004a TCommonBindComponent.GetComponentScopes 0055 @DynArrayHigh 0064 TCommonBindComponent.GetOutputConverter 0085 TBindingEventRec.Create 00b0 _Dn_TBindings 00b6 TBindings.CreateUnmanagedBinding 00e7 TObject.Free 00ed @HandleFinally 0104 @IntfClear 010d TArray<System.Bindings.EvalProtocol.IScope> 0112 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D F0 89 5D EC 89 5D D0 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 4D F0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 7D F0 57 8B C7 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 53 8B 03 8B 40 60 50 53 8B 03 8B 40 58 50 53 8B 03 8B 40 5C 50 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D4 50 0F B6 05 ?? ?? ?? ?? 50 8D 4D D0 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 8B 75 D0 8B C6 E8 ?? ?? ?? ?? 50 8B D6 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 CC 8B 45 F4 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BC 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_1661_0 {
	meta:
		name = "TCustomBindList.Create"
		size = 184
		refs = "000a @ClassCreate 0017 TActivatedContainedBindComponent.Create 001c _DV_TExpressionItem 0026 _DV_TExpressions 002b TOwnedCollection.Create 006c _DV_TList<System.Bindings.Expression.TBindingExpression> 0071 TList<System.Bindings.Expression.TBindingExpression>.Create 00a5 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 84 00 00 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 88 00 00 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 8C 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 90 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 94 00 00 00 C7 86 80 00 00 00 FF FF FF FF C6 86 9A 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1662_0 {
	meta:
		name = "TCustomBindList.Destroy"
		size = 98
		refs = "0003 @BeforeDestruction 0019 TObject.Free 0050 TCommonBindComponent.Destroy 005b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 74 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 8B 86 8C 00 00 00 E8 ?? ?? ?? ?? 8B 86 90 00 00 00 E8 ?? ?? ?? ?? 8B 86 94 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1663_0 {
	meta:
		name = "TCustomBindList.CanInsert"
		size = 87
		refs = "000c TCustomBindList.CanInsert 001c TCustomBindList.GetBindListEditor 0045 @IntfClear 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 0C 8B 45 FC 8B 10 FF 52 1C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_1664_0 {
	meta:
		name = "TCustomBindList.CanUpdate"
		size = 106
		refs = "000e TCustomBindList.CanUpdate 001e TCustomBindList.GetBindListEditor 004f @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 14 8D 55 F8 8B 45 FC 8B 08 FF 51 20 83 7D F8 00 0F 95 C3 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1665_0 {
	meta:
		name = "TCustomBindList.EvaluateControlExpression"
		size = 205
		refs = "001f @IntfAddRef 0027 TCustomBindList.EvaluateControlExpression 003c TCustomBindList.GetBindListEditor 0084 TCommonBindComponent.EvaluateControlExpression 00a9 @IntfClear 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F8 89 5D F4 89 4D FC 89 55 F0 8B F0 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 FB 03 75 54 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 8B 08 FF 51 20 83 7D F4 00 75 26 8B 45 F8 8B 10 FF 52 24 84 C0 74 0D 8D 55 F4 8B 45 F8 8B 08 FF 51 20 EB 0D 8D 4D F4 33 D2 8B 45 F8 8B 18 FF 53 14 8B 45 FC 50 8B 4D F0 8B 55 F4 8B C6 E8 ?? ?? ?? ?? EB 0E 53 8B 4D FC 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1666_0 {
	meta:
		name = "TCustomBindList.ExecuteAssignToControlExpression"
		size = 429
		refs = "001f @IntfAddRef 0027 TCustomBindList.ExecuteAssignToControlExpression 0041 TCustomBindList.GetBindListEditor 004b TCustomBindList.GetScopeRecordEnumerator 00cd TCustomBindList.EvaluateExpressions 00e8 @HandleFinally 012f TCommonBindComponent.GetSourceMemberName 013c TCommonBindComponent.GetComponentScope 0165 @UStrClr 016e IScope 0178 @FinalizeArray 0180 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F0 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 03 0F 85 B3 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 FB 00 00 00 8B 45 FC 8B 10 FF 52 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 18 84 C0 74 56 8D 55 F4 8B 45 FC 8B 08 FF 51 20 83 7D F4 00 75 26 8B 45 FC 8B 10 FF 52 24 84 C0 74 0D 8D 55 F4 8B 45 FC 8B 08 FF 51 20 EB 0D 8D 4D F4 33 D2 8B 45 FC 8B 38 FF 57 14 8D 55 EC 8B 45 F8 8B 08 FF 51 10 8B 45 EC 50 8B 45 F0 50 8B CE 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 10 C3 E9 ?? ?? ?? ?? EB F0 8D 55 F4 8B 45 FC 8B 08 FF 51 20 83 7D F4 00 75 26 8B 45 FC 8B 10 FF 52 24 84 C0 74 0D 8D 55 F4 8B 45 FC 8B 08 FF 51 20 EB 0D 8D 4D F4 33 D2 8B 45 FC 8B 38 FF 57 14 8D 45 E8 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 4D E4 8B 53 40 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 F0 50 8B CE 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_1667_0 {
	meta:
		name = "TCustomBindList.ExecuteAssignToSourceExpression"
		size = 58
		refs = "0007 @IntfAddRef 000f TCustomBindList.ExecuteAssignToSourceExpression 002a @IntfClear 0030 @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5D C2 08 00 }
	condition:
		$1
}

rule function_1668_0 {
	meta:
		name = "TCustomBindList.UpdateItem"
		size = 360
		refs = "0017 TCustomBindList.UpdateItem 0027 TCustomBindList.GetBindListEditor 0051 TExpressions.GetEnumerator 006c TExpressionsEnumerator.GetCurrent 007c TCommonBindComponent.GetSourceMemberName 0089 TCommonBindComponent.GetComponentScope 0099 TCustomBindList.EvaluateExpressionItem 00a1 TCollectionEnumerator.MoveNext 00c8 @HandleFinally 00eb TObject.ClassName 0103 sNoEnumerator 0108 LoadResString 0112 _DV_TBindCompException 0117 Exception.CreateFmt 011c @RaiseExcept 0136 @UStrArrayClr 013e @UStrClr 0146 @IntfClear"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 EB 00 00 00 8D 55 F8 8B 45 FC 8B 08 FF 51 20 83 7D F8 00 0F 84 84 00 00 00 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 35 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 8D 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 4D EC 8B 53 40 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8D 55 D8 8B C3 8B 08 FF 51 4C 8B 45 D8 89 45 DC C6 45 E0 11 8D 55 D4 8B 43 40 8B 00 E8 ?? ?? ?? ?? 8B 45 D4 89 45 E4 C6 45 E8 11 8D 45 DC 50 6A 01 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1669_0 {
	meta:
		name = "TCustomBindList.EvaluateSourceExpression"
		size = 222
		refs = "001c @IntfAddRef 0024 TCustomBindList.EvaluateSourceExpression 0039 TCustomBindList.GetScopeRecordEnumerator 0060 @IntfClear 007b TCommonBindComponent.EvaluateSourceExpression 00af IScope 00b9 @FinalizeArray 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 FB 03 75 5D 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 74 3E 8B 45 F8 8B 10 FF 52 18 84 C0 74 0D 8D 55 F4 8B 45 F8 8B 08 FF 51 10 EB 08 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F0 8B 45 F8 8B 08 FF 51 10 8B 55 F0 8B CF 8B C6 E8 ?? ?? ?? ?? EB 1C 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? EB 0D 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1670_0 {
	meta:
		name = "TCustomBindList.FreeExpressionsObjects"
		size = 50
		refs = "0012 TObject.Free 001f TCommonBindComponent.FreeExpressionObjects"
	strings:
		$1 = { 53 8B D8 8D 83 9C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 93 94 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 90 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1671_0 {
	meta:
		name = "TCustomBindList.Loaded"
		size = 94
		refs = "000c TCustomBindList.Loaded 0019 TComponent.Loaded 0050 @HandleAnyException 0055 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB 98 00 00 00 00 74 15 C6 83 98 00 00 00 00 B2 01 8B C3 8B 08 FF 91 B8 00 00 00 EB 0A 8B C3 8B 10 FF 92 A4 00 00 00 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1672_0 {
	meta:
		name = "TCustomBindList.ResetList"
		size = 35
		refs = "001d TCustomBindList.FillList"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 74 10 80 BB 9A 00 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1673_0 {
	meta:
		name = "TCustomBindList.SetActive"
		size = 326
		refs = "006e TCustomBindList.SetActive 0098 TCustomBindList.FillList 00bd @HandleAnyException 00d4 @RaiseAgain 00d9 @DoneExcept 0117 TCustomBindList.ClearList 0132 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC 3A 98 99 00 00 00 0F 84 25 01 00 00 8B 45 FC 8B 10 FF 52 54 84 C0 74 1E 8B 45 FC 8B 10 FF 52 50 84 C0 0F 85 09 01 00 00 8B 45 FC 88 98 98 00 00 00 E9 FB 00 00 00 84 DB 74 0A 8B 45 FC 8B 10 FF 52 64 EB 08 8B 45 FC 8B 10 FF 52 6C 8B 55 FC 8B C3 88 82 99 00 00 00 84 C0 74 75 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 74 8B 45 FC 8B 10 FF 52 78 8B 45 FC 80 B8 9A 00 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 D0 00 00 00 8B 45 FC 8B 10 FF 52 68 33 C0 5A 59 59 64 89 10 E9 84 00 00 00 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 74 8B 45 FC C6 80 99 00 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 61 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 9A 00 00 00 00 74 22 8B 45 FC 8B 10 FF 52 44 85 C0 74 16 8B 45 FC 8B 10 FF 52 44 F6 40 1C 08 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 74 C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 10 FF 52 70 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1674_0 {
	meta:
		name = "TCustomBindList.SetAutoFill"
		size = 15
	strings:
		$1 = { 3A 90 9A 00 00 00 74 06 88 90 9A 00 00 00 C3 }
	condition:
		$1
}

rule function_1675_0 {
	meta:
		name = "TCustomBindGridList.SetClearControlExpressions"
		size = 16
		altNames = "TCustomBindList.SetFormatExpressions TCustomBindPosition.SetPosControlExpressions TScreen.SetIconFont"
	strings:
		$1 = { 56 8B F0 8B 86 84 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_1677_0 {
	meta:
		name = "TCustomBindGridLink.SetPosControlExpressions"
		size = 16
		altNames = "TCustomBindList.SetClearControlExpressions TScreen.SetMessageFont"
	strings:
		$1 = { 56 8B F0 8B 86 8C 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_1678_0 {
	meta:
		name = "TCustomBindList.UpdateExpressions"
		size = 856
		refs = "0027 TCustomBindList.UpdateExpressions 0058 TExpressions.GetEnumerator 0076 TExpressionsEnumerator.GetCurrent 0094 TCommonBindComponent.GetComponentScopes 00a3 @DynArrayHigh 00b3 TCommonBindComponent.GetOutputConverter 00dd TBindingEventRec.Create 010f _Dn_TBindings 0115 TBindings.CreateUnmanagedBinding 0127 TList<System.Bindings.Expression.TBindingExpression>.Add 012f TCollectionEnumerator.MoveNext 015a @HandleFinally 02cd TBindings.CreateExpression 02ec TArray<System.Bindings.EvalProtocol.IScope> 02f6 @FinalizeArray 02fe @IntfClear 0327 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 D2 89 55 BC 89 55 C8 89 55 C4 89 55 C0 89 55 EC 89 55 E8 89 55 CC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 85 C0 0F 84 99 02 00 00 8B 45 FC 83 78 40 00 0F 84 8C 02 00 00 8B 45 FC 8B 80 8C 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 B9 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 43 10 50 8D 45 EC 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 89 45 F4 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 43 0C 50 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D0 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 CC 50 8B 45 FC 8B 50 40 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 7D CC 8B C7 E8 ?? ?? ?? ?? 50 8B D7 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 94 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 37 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 B9 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 43 10 50 8D 45 C8 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C8 89 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 43 0C 50 8D 55 C4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C4 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D0 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 C0 50 8B 45 FC 8B 50 40 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 7D C0 8B C7 E8 ?? ?? ?? ?? 50 8B D7 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 90 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 37 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 45 BC 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 5D BC 8B C3 E8 ?? ?? ?? ?? 50 8B D3 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 55 FC 89 82 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B4 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 65 00 6C 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_1679_0 {
	meta:
		name = "TCustomBindPosition.CheckEditingLink"
		size = 166
		refs = "000d TCustomBindPosition.CheckEditingLink 004d _Dn_TBindPositionLinkObserver 0052 TBindPositionLinkObserver.Create 0063 @IntfCopy 0095 @IntfClear 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 44 85 C0 74 62 83 BB 80 00 00 00 00 75 59 8B C3 8B 10 FF 52 44 8B 10 FF 52 20 8B F0 BA 03 00 00 00 8B C6 8B 08 FF 11 84 C0 74 3C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E0 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC BA 03 00 00 00 8B C6 8B 30 FF 56 04 8D 83 80 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1680_0 {
	meta:
		name = "TCustomBindPosition.ClearEditingLink"
		size = 116
		refs = "000c TCustomBindPosition.ClearEditingLink 0064 @IntfClear 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 85 C0 74 2C 8B 45 FC 83 B8 80 00 00 00 00 74 20 8B 45 FC 8B 10 FF 52 44 8B 10 FF 52 20 8B 55 FC 8B 8A 80 00 00 00 BA 03 00 00 00 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 80 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 5D C3 }
	condition:
		$1
}

rule function_1681_0 {
	meta:
		name = "TCustomBindPosition.Create"
		size = 185
		refs = "000a @ClassCreate 0017 TActivatedContainedBindComponent.Create 001c _DV_TExpressionItem 0026 _DV_TExpressions 002b TOwnedCollection.Create 006c _DV_TList<System.Bindings.Expression.TBindingExpression> 0071 TList<System.Bindings.Expression.TBindingExpression>.Create 00a6 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 88 00 00 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 84 00 00 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 8C 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 94 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 98 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 9C 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1682_0 {
	meta:
		name = "TCustomBindPosition.Destroy"
		size = 119
		refs = "0003 @BeforeDestruction 0023 TObject.Free 0065 TCommonBindComponent.Destroy 0070 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 92 D4 00 00 00 8B C6 8B 10 FF 52 74 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 8B 86 8C 00 00 00 E8 ?? ?? ?? ?? 8B 86 94 00 00 00 E8 ?? ?? ?? ?? 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 8B 86 9C 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1683_0 {
	meta:
		name = "TCustomBindPosition.FreeExpressionsObjects"
		size = 63
		refs = "000c TCommonBindComponent.FreeExpressionObjects 0039 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 93 94 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 98 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 A0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1684_0 {
	meta:
		name = "TCustomBindPosition.GetActive"
		size = 8
		altNames = "TIWBaseContainer.get_ShowHint TIWVCLBaseControl.get_ShowHint"
	strings:
		$1 = { 0F B6 80 91 00 00 00 C3 }
	condition:
		$1
}

rule function_1685_0 {
	meta:
		name = "TCustomBindPosition.Loaded"
		size = 94
		refs = "000c TCustomBindPosition.Loaded 0019 TComponent.Loaded 0050 @HandleAnyException 0055 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB 90 00 00 00 00 74 15 C6 83 90 00 00 00 00 B2 01 8B C3 8B 08 FF 91 B8 00 00 00 EB 0A 8B C3 8B 10 FF 92 A4 00 00 00 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1688_0 {
	meta:
		name = "TCustomBindPosition.SetActive"
		size = 494
		refs = "001d TCustomBindPosition.SetActive 00bb SafeClassName 00d3 sNoControlObserverSupport 00d8 LoadResString 00e2 _DV_TBindCompException 00e7 Exception.CreateFmt 00ec @RaiseExcept 0137 TCustomBindPosition.EvaluatePosControl 014e @HandleAnyException 0165 @RaiseAgain 016a @DoneExcept 019c TCustomBindPosition.EvaluatePosClear 01b7 @HandleFinally 01db @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E8 89 4D E4 89 4D E0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 3A 98 91 00 00 00 0F 84 8F 01 00 00 8B 45 FC 8B 10 FF 52 54 84 C0 74 1E 8B 45 FC 8B 10 FF 52 50 84 C0 0F 85 73 01 00 00 8B 45 FC 88 98 90 00 00 00 E9 65 01 00 00 8B 45 FC 8B 10 FF 52 50 84 C0 0F 85 80 00 00 00 84 DB 74 7C 8B 45 FC 8B 10 FF 92 D8 00 00 00 84 C0 74 6D 8B 45 FC 8B 10 FF 92 D0 00 00 00 8B 45 FC 83 B8 80 00 00 00 00 75 56 8D 55 E8 8B 45 FC 8B 08 FF 51 4C 8B 45 E8 89 45 EC C6 45 F0 11 8B 45 FC 8B 10 FF 52 44 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F4 C6 45 F8 11 8D 45 EC 50 6A 01 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 0A 8B 45 FC 8B 10 FF 52 64 EB 08 8B 45 FC 8B 10 FF 52 6C 8B 55 FC 8B C3 88 82 91 00 00 00 84 C0 74 5B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 74 8B 45 FC 8B 10 FF 52 78 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 68 33 C0 5A 59 59 64 89 10 EB 78 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 74 8B 45 FC C6 80 91 00 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 55 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 85 C0 74 16 8B 45 FC 8B 10 FF 52 44 F6 40 1C 08 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 74 C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 10 FF 52 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1690_0 {
	meta:
		name = "TCustomBindPosition.EvaluatePosClear"
		size = 169
		refs = "0010 TCustomBindPosition.EvaluatePosClear 0021 TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 003c TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 005a TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 0081 @HandleFinally 0098 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 0A 8D 55 F8 8B C3 8B 08 FF 51 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1748_0 {
	meta:
		name = "TCustomBindGridLink.EvaluateClearControl"
		size = 169
		refs = "0010 TCustomBindGridLink.EvaluateClearControl 0021 TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 003c TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 005a TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 0081 @HandleFinally 0098 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 0A 8D 55 F8 8B C3 8B 08 FF 51 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1692_0 {
	meta:
		name = "TCustomBindPosition.EvaluatePosSource"
		size = 169
		refs = "0010 TCustomBindPosition.EvaluatePosSource 0021 TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 003c TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 005a TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 0081 @HandleFinally 0098 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 0A 8D 55 F8 8B C3 8B 08 FF 51 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1750_0 {
	meta:
		name = "TCustomBindGridLink.EvaluateFormatControl"
		size = 169
		refs = "0010 TCustomBindGridLink.EvaluateFormatControl 0021 TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 003c TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 005a TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 0081 @HandleFinally 0098 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 0A 8D 55 F8 8B C3 8B 08 FF 51 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1694_0 {
	meta:
		name = "TCustomBindListLink.UpdateControlChanging"
		size = 22
		refs = "0006 TActivatedContainedBindComponent.UpdateControlChanging"
		altNames = "TCustomBindPosition.UpdateControlChanging"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 D4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_1696_0 {
	meta:
		name = "TCustomBindPosition.SetPosClearExpressions"
		size = 12
		refs = "0007 TObject.Free"
	strings:
		$1 = { 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30425_0 {
	meta:
		name = "TIBDatabase.GetSQLObject"
		size = 12
		refs = "0007 TList<IBDatabase.TIBBase>.GetItem"
	strings:
		$1 = { 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14363_0 {
	meta:
		name = "TSQLConnection.GetCommandTypes"
		size = 12
		refs = "0007 TDBXConnection.GetCommandTypes"
	strings:
		$1 = { 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1698_0 {
	meta:
		name = "TCustomBindPosition.UpdateExpressions"
		size = 1224
		refs = "0019 TCustomBindPosition.UpdateExpressions 004a TExpressions.GetEnumerator 0068 TExpressionsEnumerator.GetCurrent 0086 TCommonBindComponent.GetComponentScopes 0095 @DynArrayHigh 00a5 TCommonBindComponent.GetOutputConverter 00cf TBindingEventRec.Create 00ea TCommonBindComponent.GetSourceMemberName 010d _Dn_TBindings 0113 TBindings.CreateUnmanagedBinding 0125 TList<System.Bindings.Expression.TBindingExpression>.Add 012d TCollectionEnumerator.MoveNext 0158 @HandleFinally 03f5 TBindings.CreateExpression 0414 TArray<System.Bindings.EvalProtocol.IScope> 041e @FinalizeArray 0426 @IntfClear 042e @UStrClr 043c @DynArrayClear"
	strings:
		$1 = { 55 8B EC B9 0C 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 85 C0 0F 84 CF 03 00 00 8B 45 FC 83 78 40 00 0F 84 C2 03 00 00 8B 45 FC 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 C5 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 43 10 50 8D 45 E8 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 43 0C 50 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 C8 50 8D 55 C4 8B 45 FC E8 ?? ?? ?? ?? 8B 4D C4 8B 45 FC 8B 50 40 8B 45 FC E8 ?? ?? ?? ?? 8B 7D C8 8B C7 E8 ?? ?? ?? ?? 50 8B D7 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 94 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 2B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 80 8C 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 C5 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 43 10 50 8D 45 C0 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C0 89 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 43 0C 50 8D 55 BC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 BC 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 B8 50 8D 55 B4 8B 45 FC E8 ?? ?? ?? ?? 8B 4D B4 8B 45 FC 8B 50 40 8B 45 FC E8 ?? ?? ?? ?? 8B 7D B8 8B C7 E8 ?? ?? ?? ?? 50 8B D7 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 9C 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 2B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 C5 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 43 0C 50 8D 45 B0 50 8D 55 AC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D AC 8B 45 FC 8B 50 40 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B0 89 45 EC 50 8B 45 EC E8 ?? ?? ?? ?? 50 8B 43 10 50 8D 55 A8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A8 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 A4 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 7D A4 8B C7 E8 ?? ?? ?? ?? 50 8B D7 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 98 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 2B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 8D 45 A0 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 5D A0 8B C3 E8 ?? ?? ?? ?? 50 8B D3 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 55 FC 89 82 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 6C FF FF FF 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 65 00 6C 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_1701_0 {
	meta:
		name = "RegisterBindEditorFactory"
		size = 67
		refs = "0025 FEditorFactories 002a TList<Data.Bind.Components.TBindEditorFactoryClass>.Add"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B CA 85 C9 78 07 8B 1C 88 49 53 79 F9 8B C4 89 55 FC 8B F8 33 DB EB 10 8B 34 9F 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 FC 3B D8 7E E9 8B 7D F0 8B 75 F4 8B 5D F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_2600_0 {
	meta:
		name = "RegisterBindDBColumnFactory"
		size = 67
		refs = "0025 FBindDBColumnFactories 002a TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Add"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B CA 85 C9 78 07 8B 1C 88 49 53 79 F9 8B C4 89 55 FC 8B F8 33 DB EB 10 8B 34 9F 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 FC 3B D8 7E E9 8B 7D F0 8B 75 F4 8B 5D F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_2601_0 {
	meta:
		name = "UnregisterBindDBColumnFactory"
		size = 67
		refs = "0025 FBindDBColumnFactories 002a TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Remove"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B CA 85 C9 78 07 8B 1C 88 49 53 79 F9 8B C4 89 55 FC 8B F8 33 DB EB 10 8B 34 9F 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 FC 3B D8 7E E9 8B 7D F0 8B 75 F4 8B 5D F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_1702_0 {
	meta:
		name = "UnregisterBindEditorFactory"
		size = 67
		refs = "0025 FEditorFactories 002a TList<Data.Bind.Components.TBindEditorFactoryClass>.Remove"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B CA 85 C9 78 07 8B 1C 88 49 53 79 F9 8B C4 89 55 FC 8B F8 33 DB EB 10 8B 34 9F 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 FC 3B D8 7E E9 8B 7D F0 8B 75 F4 8B 5D F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_1703_0 {
	meta:
		name = "TBindDBColumnFactory.Create"
		size = 32
		refs = "0008 @ClassCreate 0011 @AfterConstruction"
		altNames = "TBindEditorFactory.Create TConverter<T>.Create TDBXTCPLayer.Create TGPHatchBrush.Create TGPLinearGradientBrush.Create TGPPathGradientBrush.Create TGPSolidBrush.Create TGPTextureBrush.Create TLookupList.Create TObject.Create TPrivateHeap.Create"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_1704_0 {
	meta:
		name = "TBindEventListT.InternalAdd"
		size = 21
		refs = "000d TList<System.Classes.TNotifyEvent>.Add"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 04 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_1707_0 {
	meta:
		name = "TBindEventListT.InternalRemove"
		size = 21
		refs = "000d TList<System.Classes.TNotifyEvent>.Remove"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 04 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_7791_0 {
	meta:
		name = "TEventsCollection.SetEvent"
		size = 21
		refs = "000d TDictionary<System.string,Data.DBXCommon.TEventPointer>.AddOrSetValue"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 04 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_46269_0 {
	meta:
		name = "TIWRenderStream.SetSize"
		size = 21
		refs = "000d TStream.SetSize64"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 04 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_62874_0 {
	meta:
		name = "TStringWriter.Write"
		size = 21
		refs = "000d TStringBuilder.Append"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 04 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_1705_0 {
	meta:
		name = "TBindEventListT.Create"
		size = 59
		refs = "000a @ClassCreate 0015 _DV_TList<System.Classes.TNotifyEvent> 001a TList<System.Classes.TNotifyEvent>.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_49719_0 {
	meta:
		name = "TDOMStrings.Create"
		size = 59
		refs = "000a @ClassCreate 0015 _Dn_TList 001a TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_63032_0 {
	meta:
		name = "TObserverMapping.Create"
		size = 59
		refs = "000a @ClassCreate 0015 _DV_TStringList 001a TStringList.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1706_0 {
	meta:
		name = "TAllocatedActions.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TObject.Destroy 0025 @ClassDestroy"
		altNames = "TAssociateItemList.Destroy TAxisItem.Destroy TBindEventListT.Destroy TCategoryItem.Destroy TClassFinder.Destroy TCountdownEvent.Destroy TCustomRibbonSkin.Destroy TDSRequestFilterManager.Destroy TDtdNamedObjectMap.Destroy TDtdObjectList.Destroy TEventsCollection.Destroy TFadeManager.Destroy TFileDialogWrapper.Destroy TGlyphCache.Destroy THeaderList.Destroy TInvokableClass.Destroy TLightweightEvent.Destroy TLightweightSemaphore.Destroy TObserverMapping.Destroy TOrderedList.Destroy TPerlRegExList.Destroy TRibbonStyleActionBars.Destroy TScriptEnginesList.Destroy TScriptErrors.Destroy TStyleHook.Destroy TTeeBlend.Destroy TValueConverter.Destroy TVirtualInterface.TImplInfo.Destroy TVirtualKeys.Destroy TVirtualMethodInterceptor.TInterceptInfo.Destroy TWebPathInfo.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81314_0 {
	meta:
		name = "THashTable.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f @FreeMem 001a TObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114335_0 {
	meta:
		name = "TUtilsWideStringStream.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f @FreeMem 001a TObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1708_0 {
	meta:
		name = "TBindCompDesignExpressionCollection.Create"
		size = 46
		refs = "0011 @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 89 7B 04 8B 45 0C 89 43 08 0F B6 45 08 88 43 0C 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_1709_0 {
	meta:
		name = "TCustomBindGridList.Create"
		size = 184
		refs = "000a @ClassCreate 0017 TActivatedContainedBindComponent.Create 001c _DV_TColumnFormatExpressionItem 0026 _DV_TColumnFormatExpressions 002b TOwnedCollection.Create 0036 _DV_TExpressionItem 0040 _DV_TExpressions 006c _DV_TList<System.Bindings.Expression.TBindingExpression> 0071 TList<System.Bindings.Expression.TBindingExpression>.Create 00a5 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 9C 00 00 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 00 00 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 84 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 88 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 8C 00 00 00 C6 86 A1 00 00 00 01 C7 86 98 00 00 00 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1710_0 {
	meta:
		name = "TCustomBindGridList.Destroy"
		size = 98
		refs = "0003 @BeforeDestruction 0019 TObject.Free 0050 TCommonBindComponent.Destroy 005b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 74 8B 86 9C 00 00 00 E8 ?? ?? ?? ?? 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 8B 86 8C 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1711_0 {
	meta:
		name = "TCustomBindGridList.GetActive"
		size = 8
	strings:
		$1 = { 0F B6 80 94 00 00 00 C3 }
	condition:
		$1
}

rule function_1712_0 {
	meta:
		name = "TCustomBindGridList.GetBindListEditor"
		size = 190
		refs = "001b TCustomBindGridList.GetBindListEditor 0028 TContainedBindComponent.CheckControlComponent 002f @IntfClear 0038 TCustomBindGridList.TryGetBindListEditor 0061 TObject.ClassName 0079 sNoEditor 007e LoadResString 0088 _DV_TBindCompException 008d Exception.CreateFmt 0092 @RaiseExcept 00ac @UStrArrayClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D EC 89 4D E8 89 4D E4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 75 56 8D 55 EC 8B C3 8B 08 FF 51 4C 8B 45 EC 89 45 F0 C6 45 F4 11 8B C3 8B 10 FF 52 44 8B 00 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1757_0 {
	meta:
		name = "TCustomBindGridLink.GetBindListEditor"
		size = 190
		refs = "001b TCustomBindGridLink.GetBindListEditor 0028 TContainedBindComponent.CheckControlComponent 002f @IntfClear 0038 TCustomBindGridLink.TryGetBindListEditor 0061 TObject.ClassName 0079 sNoEditor 007e LoadResString 0088 _DV_TBindCompException 008d Exception.CreateFmt 0092 @RaiseExcept 00ac @UStrArrayClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D EC 89 4D E8 89 4D E4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 75 56 8D 55 EC 8B C3 8B 08 FF 51 4C 8B 45 EC 89 45 F0 C6 45 F4 11 8B C3 8B 10 FF 52 44 8B 00 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1713_0 {
	meta:
		name = "TCustomBindGridList.TryGetBindListEditor"
		size = 196
		refs = "001e TCustomBindGridList.TryGetBindListEditor 002c @IntfClear 004b GetBindEditor 0064 Supports 0078 @IntfCast 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 55 F8 8B D8 8B 45 F8 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 85 C0 74 41 8B C3 8B 10 FF 52 44 8D 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 F8 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 83 38 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 00 00 00 5F 12 D3 C0 E8 F9 AE 4E 98 CB AC 16 D0 E7 B0 75 }
	condition:
		$1
}

rule function_1758_0 {
	meta:
		name = "TCustomBindGridLink.TryGetBindListEditor"
		size = 196
		refs = "001e TCustomBindGridLink.TryGetBindListEditor 002c @IntfClear 004b GetBindEditor 0064 Supports 0078 @IntfCast 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 55 F8 8B D8 8B 45 F8 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 85 C0 74 41 8B C3 8B 10 FF 52 44 8D 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 F8 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 83 38 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 00 00 00 5F 12 D3 C0 E8 F9 AE 4E 98 CB AC 16 D0 E7 B0 75 }
	condition:
		$1
}

rule function_1714_0 {
	meta:
		name = "TCustomBindGridList.GetScopeRecordEnumerator"
		size = 128
		refs = "000f TCustomBindGridList.GetScopeRecordEnumerator 001d @IntfClear 002c Supports 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 13 56 8B 8B 98 00 00 00 33 D2 8B 45 FC 8B 18 FF 53 0C EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 3D 77 A6 34 1B A7 70 48 9C 60 40 9A 79 82 06 FA }
	condition:
		$1
}

rule function_1715_0 {
	meta:
		name = "HaveFormatCellExpressions"
		size = 89
		refs = "0039 TColumnFormatExpressions.GetItem"
	strings:
		$1 = { 55 8B EC 53 56 57 33 DB 8B 45 08 8B 40 FC 8B 40 0C 8B 80 9C 00 00 00 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 2E 47 33 F6 8B 45 08 8B 40 FC 8B 40 0C 8B 80 9C 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 40 18 8B 40 08 8B 40 08 85 C0 7E 04 B3 01 EB 04 46 4F 75 D5 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1716_0 {
	meta:
		name = "TCustomBindGridList.FillGrid$249$ActRec.$1$Body$251$ActRec.$1$0$Body"
		size = 29
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B 43 0C 8B 40 10 8B 56 20 8B 18 FF 53 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1717_0 {
	meta:
		name = "TCustomBindGridList.FillGrid$249$ActRec.$1$Body"
		size = 131
		refs = "0010 TCustomBindGridList.FillGrid$249$ActRec.$1$Body 001d _DV_TCustomBindGridList.FillGrid$249$ActRec.$1$Body$251$ActRec 0022 TObject.Create 0035 @IntfCopy 005c TCustomBindGridList.FillRecord 0071 @IntfClear 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 0C 8D 43 10 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 EC 8B D7 8B 46 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1763_0 {
	meta:
		name = "TCustomBindGridLink.FillGrid$295$ActRec.$1$Body"
		size = 131
		refs = "0010 TCustomBindGridLink.FillGrid$295$ActRec.$1$Body 001d _DV_TCustomBindGridLink.FillGrid$295$ActRec.$1$Body$297$ActRec 0022 TObject.Create 0035 @IntfCopy 005c TCustomBindGridLink.FillRecord 0071 @IntfClear 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 0C 8D 43 10 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 EC 8B D7 8B 46 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1802_0 {
	meta:
		name = "TCustomBindGridLink.UpdateList$335$ActRec.$0$Body"
		size = 131
		refs = "0010 TCustomBindGridLink.UpdateList$335$ActRec.$0$Body 001d _DV_TCustomBindGridLink.UpdateList$335$ActRec.$0$Body$336$ActRec 0022 TObject.Create 0035 @IntfCopy 005c TCustomBindGridLink.FillRecord 0071 @IntfClear 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 0C 8D 43 10 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 EC 8B D7 8B 46 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1718_0 {
	meta:
		name = "TCustomBindGridList.FillGrid"
		size = 239
		refs = "0011 TCustomBindGridList.FillGrid 001e _DV_TCustomBindGridList.FillGrid$249$ActRec 0023 TObject.Create 0038 @IntfCopy 004a TCustomBindGridList.GetBindListEditor 005b TCustomBindGridList.EvaluateFormatControl 0066 TCustomBindGridList.FormatColumns 006c HaveFormatCellExpressions 007f TCustomBindGridList.GetScopeRecordEnumerator 00cd @IntfClear 00e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 45 F4 8B 55 FC 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 FC 8B F3 89 70 0C 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 74 68 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 74 3F 8D 55 F0 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 83 78 10 00 74 22 8B 4D FC 85 C9 74 03 83 E9 EC 8B 45 FC 8B 50 10 8B 45 F8 8B 18 FF 53 38 EB 08 8B 45 F8 8B 10 FF 52 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1719_0 {
	meta:
		name = "TCustomBindGridList.FormatColumns"
		size = 335
		refs = "0018 TCustomBindGridList.FormatColumns 0052 TColumnFormatExpressions.GetItem 006c TCommonBindComponent.GetComponentScope 0087 TExpressions.GetEnumerator 00a8 TCollection.GetItem 00e2 TCustomBindGridList.EvaluateExpressions 00ea TCollectionEnumerator.MoveNext 0111 @HandleFinally 0134 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 E0 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 9C 00 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C E9 00 00 00 40 89 45 F0 C7 45 F4 00 00 00 00 8B 45 F8 8B 80 9C 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 50 8B 45 F8 8B 10 FF 52 44 8B D0 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 8B 43 1C 8B 50 08 83 7A 08 00 7F 02 33 C0 85 C0 0F 84 91 00 00 00 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 48 8B 7D EC 8B 57 04 8B 47 08 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 89 45 E8 8B 75 E8 8B 46 0C 50 8D 45 E0 50 8B 4B 20 8B 45 F8 8B 50 40 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 46 10 50 8B 4D FC 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 AC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 FF 45 F4 FF 4D F0 0F 85 22 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1720_0 {
	meta:
		name = "TCustomBindGridList.FillRecord"
		size = 337
		refs = "001a @IntfAddRef 002a TCustomBindGridList.FillRecord 006e TColumnFormatExpressions.GetItem 008b TExpressions.GetEnumerator 00ac TCollection.GetItem 00dd TCustomBindGridList.EvaluateExpressionItem 00e5 TCollectionEnumerator.MoveNext 010c @HandleFinally 012f @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 DB 89 5D D8 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 E0 00 00 00 8B 45 F4 8B 80 9C 00 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C C8 00 00 00 40 89 45 E8 C7 45 EC 00 00 00 00 8B 45 F4 8B 80 9C 00 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B D8 8B 43 18 8B 50 08 83 7A 08 00 7F 02 33 C0 85 C0 0F 84 88 00 00 00 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 3F 8B 75 E4 8B 56 04 8B 46 08 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 89 45 E0 8B 45 E0 89 45 F0 8B 45 FC 50 8D 4D D8 8B D3 8B 45 F8 8B 30 FF 56 0C 8B 45 D8 50 8B 4D F0 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 FF 45 EC FF 4D E8 0F 85 43 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1721_0 {
	meta:
		name = "TCustomBindGridList.EvaluateExpressionItem"
		size = 113
		refs = "0010 @IntfAddRef 0020 TCustomBindGridList.EvaluateExpressionItem 003e TCustomBindGridList.EvaluateExpressions 0054 IScope 005e @FinalizeArray 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 0C 50 8B 45 08 50 8B 46 10 50 8B 4D 0C 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_1767_0 {
	meta:
		name = "TCustomBindGridLink.EvaluateExpressionItem"
		size = 113
		refs = "0010 @IntfAddRef 0020 TCustomBindGridLink.EvaluateExpressionItem 003e TCustomBindGridLink.EvaluateExpressions 0054 IScope 005e @FinalizeArray 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 0C 50 8B 45 08 50 8B 46 10 50 8B 4D 0C 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_1722_0 {
	meta:
		name = "TCustomBindGridList.EvaluateExpressions"
		size = 336
		refs = "0020 @IntfAddRef 0030 TCustomBindGridList.EvaluateExpressions 0047 TCommonBindComponent.GetComponentScopes 0052 @DynArrayHigh 0061 TCommonBindComponent.GetOutputConverter 0082 TBindingEventRec.Create 00ad _Dn_TBindings 00b3 TBindings.CreateUnmanagedBinding 00e4 TObject.Free 00ea @HandleFinally 0101 @IntfClear 010a TArray<System.Bindings.EvalProtocol.IScope> 010f @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D F4 89 5D F0 89 5D D4 89 4D FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 7D F4 57 8B C7 E8 ?? ?? ?? ?? 50 8B 45 10 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 53 8B 03 8B 40 60 50 53 8B 03 8B 40 58 50 53 8B 03 8B 40 5C 50 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 D8 50 0F B6 05 ?? ?? ?? ?? 50 8D 4D D4 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 8B 75 D4 8B C6 E8 ?? ?? ?? ?? 50 8B D6 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D0 8B 45 F8 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BC 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_1768_0 {
	meta:
		name = "TCustomBindGridLink.EvaluateExpressions"
		size = 336
		refs = "0020 @IntfAddRef 0030 TCustomBindGridLink.EvaluateExpressions 0047 TCommonBindComponent.GetComponentScopes 0052 @DynArrayHigh 0061 TCommonBindComponent.GetOutputConverter 0082 TBindingEventRec.Create 00ad _Dn_TBindings 00b3 TBindings.CreateUnmanagedBinding 00e4 TObject.Free 00ea @HandleFinally 0101 @IntfClear 010a TArray<System.Bindings.EvalProtocol.IScope> 010f @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D F4 89 5D F0 89 5D D4 89 4D FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 7D F4 57 8B C7 E8 ?? ?? ?? ?? 50 8B 45 10 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 53 8B 03 8B 40 60 50 53 8B 03 8B 40 58 50 53 8B 03 8B 40 5C 50 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 D8 50 0F B6 05 ?? ?? ?? ?? 50 8D 4D D4 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 8B 75 D4 8B C6 E8 ?? ?? ?? ?? 50 8B D6 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D0 8B 45 F8 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BC 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_1725_0 {
	meta:
		name = "TCustomBindGridList.EvaluateControlExpression"
		size = 203
		refs = "0017 @IntfAddRef 001f TCustomBindGridList.EvaluateControlExpression 0038 TCommonBindComponent.EvaluateControlExpression 0044 TCustomBindGridList.GetBindListEditor 00a7 @IntfClear 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D F4 8B F0 8B 5D 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 FB 07 75 10 53 8B 4D 0C 8B 55 F4 8B C6 E8 ?? ?? ?? ?? EB 58 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC 8B 08 FF 51 20 83 7D F8 00 75 26 8B 45 FC 8B 10 FF 52 24 84 C0 74 0D 8D 55 F8 8B 45 FC 8B 08 FF 51 20 EB 0D 8D 4D F8 33 D2 8B 45 FC 8B 18 FF 53 14 83 7D F8 00 74 11 8B 45 0C 50 8B 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_1777_0 {
	meta:
		name = "TCustomBindGridLink.EvaluateControlExpression"
		size = 203
		refs = "0017 @IntfAddRef 001f TCustomBindGridLink.EvaluateControlExpression 0038 TCommonBindComponent.EvaluateControlExpression 0044 TCustomBindGridLink.GetBindListEditor 00a7 @IntfClear 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D F4 8B F0 8B 5D 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 FB 07 75 10 53 8B 4D 0C 8B 55 F4 8B C6 E8 ?? ?? ?? ?? EB 58 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC 8B 08 FF 51 20 83 7D F8 00 75 26 8B 45 FC 8B 10 FF 52 24 84 C0 74 0D 8D 55 F8 8B 45 FC 8B 08 FF 51 20 EB 0D 8D 4D F8 33 D2 8B 45 FC 8B 18 FF 53 14 83 7D F8 00 74 11 8B 45 0C 50 8B 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_1726_0 {
	meta:
		name = "TCustomBindGridList.ExecuteAssignToControlExpression"
		size = 387
		refs = "001d @IntfAddRef 0025 TCustomBindGridList.ExecuteAssignToControlExpression 0047 TCommonBindComponent.GetComponentScope 0070 TCustomBindGridList.EvaluateExpressions 007f TCustomBindGridList.GetBindListEditor 009f TCustomBindGridList.GetScopeRecordEnumerator 012c @HandleFinally 0143 @IntfClear 014c IScope 0156 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D EC 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 07 75 44 8D 45 F4 50 8B C3 8B 10 FF 52 44 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 4E 20 8B 53 40 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 8B 45 10 50 8B 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? E9 B9 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 6C 8B 45 F8 8B 10 FF 52 18 84 C0 74 60 8D 55 F0 8B 45 FC 8B 08 FF 51 20 83 7D F0 00 75 26 8B 45 FC 8B 10 FF 52 24 84 C0 74 0D 8D 55 F0 8B 45 FC 8B 08 FF 51 20 EB 0D 8D 4D F0 33 D2 8B 45 FC 8B 38 FF 57 14 83 7D F4 00 74 23 8B 45 EC 50 8D 55 E8 8B 45 F8 8B 08 FF 51 10 8B 45 E8 50 8B 45 10 50 8B 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 10 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_1727_0 {
	meta:
		name = "TCustomBindGridList.EvaluateSourceExpression"
		size = 158
		refs = "0016 @IntfAddRef 001e TCustomBindGridList.EvaluateSourceExpression 0034 TCustomBindGridList.GetScopeRecordEnumerator 007a @IntfClear 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D F8 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 07 74 3B 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 2B 8B 45 FC 8B 10 FF 52 18 84 C0 74 1F 8B 45 0C 50 8D 4D F4 8B 56 20 8B 45 FC 8B 30 FF 56 14 8B 55 F4 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_1729_0 {
	meta:
		name = "TCustomBindGridList.ExecuteAssignToSourceExpression"
		size = 336
		refs = "0022 @IntfAddRef 002a TCustomBindGridList.ExecuteAssignToSourceExpression 0040 TCustomBindGridList.GetSourceScopes 004f @DynArrayHigh 005e TCommonBindComponent.GetOutputConverter 007f TBindingEventRec.Create 0097 TCustomBindGridList.GetControlScopes 00a9 _Dn_TBindings 00af TBindings.CreateUnmanagedBinding 00eb TObject.Free 00f1 @HandleFinally 0108 @IntfClear 0111 TArray<System.Bindings.EvalProtocol.IScope> 0116 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D F0 89 5D EC 89 5D D0 89 4D FC 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 10 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 53 8B 03 8B 40 60 50 53 8B 03 8B 40 58 50 53 8B 03 8B 40 5C 50 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D4 50 0F B6 05 ?? ?? ?? ?? 50 8D 4D D0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 7D D0 8B C7 E8 ?? ?? ?? ?? 50 8B D7 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 CC 8B 45 F8 8B 08 FF 51 20 8B 55 CC 8B 45 0C 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_1781_0 {
	meta:
		name = "TCustomBindGridLink.ExecuteAssignItemToSourceExpression"
		size = 336
		refs = "0022 @IntfAddRef 002a TCustomBindGridLink.ExecuteAssignItemToSourceExpression 0040 TCustomBindGridLink.GetSourceScopes 004f @DynArrayHigh 005e TCommonBindComponent.GetOutputConverter 007f TBindingEventRec.Create 0097 TCustomBindGridLink.GetControlScopes 00a9 _Dn_TBindings 00af TBindings.CreateUnmanagedBinding 00eb TObject.Free 00f1 @HandleFinally 0108 @IntfClear 0111 TArray<System.Bindings.EvalProtocol.IScope> 0116 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D F0 89 5D EC 89 5D D0 89 4D FC 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 10 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 53 8B 03 8B 40 60 50 53 8B 03 8B 40 58 50 53 8B 03 8B 40 5C 50 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D4 50 0F B6 05 ?? ?? ?? ?? 50 8D 4D D0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 7D D0 8B C7 E8 ?? ?? ?? ?? 50 8B D7 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 CC 8B 45 F8 8B 08 FF 51 20 8B 55 CC 8B 45 0C 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_1730_0 {
	meta:
		name = "TCustomBindGridList.GetSourceScopes"
		size = 27
		refs = "0013 TCommonBindComponent.GetComponentScopes"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B 4E 20 8B 53 40 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1731_0 {
	meta:
		name = "TCustomBindGridLink.GetControlScopes"
		size = 28
		refs = "0015 TCommonBindComponent.GetComponentScopes"
		altNames = "TCustomBindGridList.GetControlScopes"
	strings:
		$1 = { 53 56 8B F1 8B D8 56 8B C3 8B 10 FF 52 44 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1732_0 {
	meta:
		name = "TCustomBindGridList.Loaded"
		size = 108
		refs = "000c TCustomBindGridList.Loaded 0019 TComponent.Loaded 005e @HandleAnyException 0063 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB A0 00 00 00 00 74 15 C6 83 A0 00 00 00 00 B2 01 8B C3 8B 08 FF 91 B8 00 00 00 EB 18 8B C3 8B 10 FF 92 C8 00 00 00 84 C0 74 0A 8B C3 8B 10 FF 92 A4 00 00 00 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1733_0 {
	meta:
		name = "TCustomBindGridList.ResetGrid"
		size = 35
		refs = "001d TCustomBindGridList.FillGrid"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 74 10 80 BB A1 00 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1734_0 {
	meta:
		name = "TCustomBindGridList.FreeExpressionsObjects"
		size = 50
		refs = "000c TCommonBindComponent.FreeExpressionObjects 002c TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 93 8C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 90 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1735_0 {
	meta:
		name = "TCustomBindGridList.SetActive"
		size = 315
		refs = "006e TCustomBindGridList.SetActive 0098 TCustomBindGridList.FillGrid 00b2 @HandleAnyException 00c9 @RaiseAgain 00ce @DoneExcept 010c TCustomBindGridList.ClearGrid 0127 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC 3A 98 94 00 00 00 0F 84 1A 01 00 00 8B 45 FC 8B 10 FF 52 54 84 C0 74 1E 8B 45 FC 8B 10 FF 52 50 84 C0 0F 85 FE 00 00 00 8B 45 FC 88 98 A0 00 00 00 E9 F0 00 00 00 84 DB 74 0A 8B 45 FC 8B 10 FF 52 64 EB 08 8B 45 FC 8B 10 FF 52 6C 8B 55 FC 8B C3 88 82 94 00 00 00 84 C0 74 6A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 74 8B 45 FC 8B 10 FF 52 78 8B 45 FC 80 B8 A1 00 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 68 33 C0 5A 59 59 64 89 10 E9 84 00 00 00 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 74 8B 45 FC C6 80 94 00 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 61 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 A1 00 00 00 00 74 22 8B 45 FC 8B 10 FF 52 44 85 C0 74 16 8B 45 FC 8B 10 FF 52 44 F6 40 1C 08 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 74 C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 10 FF 52 70 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1736_0 {
	meta:
		name = "TCustomBindGridList.UpdateExpressions"
		size = 892
		refs = "0027 TCustomBindGridList.UpdateExpressions 0058 TExpressions.GetEnumerator 007c TCollection.GetItem 00a4 TCommonBindComponent.GetComponentScopes 00b3 @DynArrayHigh 00c3 TCommonBindComponent.GetOutputConverter 00ed TBindingEventRec.Create 0121 _Dn_TBindings 0127 TBindings.CreateUnmanagedBinding 0139 TList<System.Bindings.Expression.TBindingExpression>.Add 0141 TCollectionEnumerator.MoveNext 016c @HandleFinally 02f1 TBindings.CreateExpression 0310 TArray<System.Bindings.EvalProtocol.IScope> 031a @FinalizeArray 0322 @IntfClear 034b @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 33 D2 89 55 A4 89 55 B0 89 55 AC 89 55 A8 89 55 D4 89 55 D0 89 55 B4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 85 C0 0F 84 BD 02 00 00 8B 45 FC 83 78 40 00 0F 84 B0 02 00 00 8B 45 FC 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 CB 00 00 00 8B 7D F8 8B 57 04 8B 47 08 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 89 45 E4 8B 5D E4 8B 43 10 50 8D 45 D4 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 89 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 43 0C 50 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D0 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 B8 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 B4 50 8B 45 FC 8B 50 40 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B4 89 45 F4 E8 ?? ?? ?? ?? 50 8B 55 F4 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 8C 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 25 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 CB 00 00 00 8B 7D F8 8B 57 04 8B 47 08 E8 ?? ?? ?? ?? 89 45 D8 8B 45 D8 89 45 DC 8B 5D DC 8B 43 10 50 8D 45 B0 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B0 89 45 E8 50 8B 45 E8 E8 ?? ?? ?? ?? 50 8B 43 0C 50 8D 55 AC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 AC 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 B8 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 A8 50 8B 45 FC 8B 50 40 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A8 89 45 EC E8 ?? ?? ?? ?? 50 8B 55 EC A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 88 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 25 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 B8 50 8D 45 A4 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 5D A4 8B C3 E8 ?? ?? ?? ?? 50 8B D3 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 55 FC 89 82 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B4 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 65 00 6C 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_1737_0 {
	meta:
		name = "TCustomBindGridList.SetAutoFill"
		size = 15
	strings:
		$1 = { 3A 90 A1 00 00 00 74 06 88 90 A1 00 00 00 C3 }
	condition:
		$1
}

rule function_1739_0 {
	meta:
		name = "TCustomBindGridList.SetColumnExpressions"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 9C 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_1740_0 {
	meta:
		name = "TCustomBindGridList.SetFormatControlExpressions"
		size = 16
		altNames = "TScreen.SetHintFont"
	strings:
		$1 = { 56 8B F0 8B 86 80 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_1742_0 {
	meta:
		name = "TCustomBindGridLink.Create"
		size = 308
		refs = "000a @ClassCreate 0017 TActivatedContainedBindComponent.Create 001e _DV_TControlObserver 0023 TControlObserver.Create 0036 _DV_TColumnLinkExpressionItem 0040 _DV_TColumnLinkExpressions 0045 TOwnedCollection.Create 0050 _DV_TExpressionItem 005a _DV_TExpressions 00ba _DV_TList<System.Bindings.Expression.TBindingExpression> 00bf TList<System.Bindings.Expression.TBindingExpression>.Create 0121 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 00 00 00 33 C0 89 86 84 00 00 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B4 00 00 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 88 00 00 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 8C 00 00 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A4 00 00 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 90 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 94 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 98 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 9C 00 00 00 C7 86 BC 00 00 00 FF FF FF FF C6 86 CA 00 00 00 01 C7 86 B0 00 00 00 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1743_0 {
	meta:
		name = "TCustomBindGridLink.Destroy"
		size = 186
		refs = "0003 @BeforeDestruction 0028 TObject.Free 00a8 TCommonBindComponent.Destroy 00b3 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 8B 08 FF 91 B8 00 00 00 8B C6 8B 10 FF 92 D8 00 00 00 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 74 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 8B 86 8C 00 00 00 E8 ?? ?? ?? ?? 8B 86 A4 00 00 00 E8 ?? ?? ?? ?? 8B 86 A8 00 00 00 E8 ?? ?? ?? ?? 8B 86 90 00 00 00 E8 ?? ?? ?? ?? 8B 86 94 00 00 00 E8 ?? ?? ?? ?? 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 8B 86 9C 00 00 00 E8 ?? ?? ?? ?? 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1744_0 {
	meta:
		name = "TCustomBindGridLink.FindColumnExpressionItem"
		size = 250
		refs = "001e @UStrAddRef 0026 TCustomBindGridLink.FindColumnExpressionItem 005c TColumnLinkExpressions.GetItem 0071 TCollectionItem.GetIndex 0086 @UStrLAsg 00b8 CompareText 00e4 @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D F8 89 5D F4 89 4D FC 89 55 EC 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E8 8B 45 F0 8B 80 B4 00 00 00 8B 40 08 8B 70 08 4E 85 F6 0F 8C 81 00 00 00 46 33 FF 8B 45 F0 8B 80 B4 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 83 7D FC 00 75 17 83 7D EC FF 74 5C 8B C3 E8 ?? ?? ?? ?? 3B 45 EC 75 50 89 5D E8 EB 4F 8D 45 F8 8B 53 10 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 05 89 5D E8 EB 04 47 4E 75 82 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1745_0 {
	meta:
		name = "TCustomBindGridLink.EvaluateParse"
		size = 508
		refs = "0021 TCustomBindGridLink.EvaluateParse 0045 TCustomBindGridLink.UpdateColumnCurrent 005f TCustomBindGridLink.FindColumnExpressionItem 0077 TExpressions.GetEnumerator 009b TCollection.GetItem 00b9 TCustomBindGridLink.GetSourceScopes 00c8 @DynArrayHigh 00d8 TCommonBindComponent.GetOutputConverter 0102 TBindingEventRec.Create 011c TCustomBindGridLink.GetControlScopes 012e _Dn_TBindings 0134 TBindings.CreateUnmanagedBinding 0165 TObject.Free 016b @HandleFinally 0175 TCollectionEnumerator.MoveNext 01b7 @IntfClear 01c0 TArray<System.Bindings.EvalProtocol.IScope> 01c5 @DynArrayClear 01e3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 C9 89 4D B8 89 4D DC 89 4D D8 89 4D BC 89 4D E0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 BC 00 00 00 84 C0 0F 84 68 01 00 00 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 88 B8 00 00 00 8B 45 FC 8B 90 BC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 84 36 01 00 00 8B 45 F8 8B 40 20 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 E0 00 00 00 8B 75 F0 8B 56 04 8B 46 08 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 89 45 E8 8B 5D E8 8B 43 0C 50 8D 4D DC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC 89 45 EC 50 8B 45 EC E8 ?? ?? ?? ?? 50 8B 43 10 50 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C0 50 0F B6 05 ?? ?? ?? ?? 50 8D 4D BC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 7D BC 8B C7 E8 ?? ?? ?? ?? 50 8B D7 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 B8 8B 45 F4 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 85 10 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_1747_0 {
	meta:
		name = "TCustomBindGridLink.EvaluatePosControl"
		size = 178
		refs = "0010 TCustomBindGridLink.EvaluatePosControl 002a TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 0045 TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 0063 TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 008a @HandleFinally 00a1 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 B8 AC 00 00 00 00 75 6D 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 0A 8D 55 F8 8B C3 8B 08 FF 51 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1751_0 {
	meta:
		name = "TCustomBindGridList.EvaluateFormatControl"
		size = 169
		refs = "0010 TCustomBindGridList.EvaluateFormatControl 0021 TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 003c TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 005a TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 0081 @HandleFinally 0098 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 0A 8D 55 F8 8B C3 8B 08 FF 51 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1752_0 {
	meta:
		name = "TCustomBindGridList.EvaluateClearControl"
		size = 169
		refs = "0010 TCustomBindGridList.EvaluateClearControl 0021 TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 003c TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 005a TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 0081 @HandleFinally 0098 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 8C 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 0A 8D 55 F8 8B C3 8B 08 FF 51 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1753_0 {
	meta:
		name = "TCustomBindGridLink.GetCanModify"
		size = 220
		refs = "0011 TCustomBindGridLink.GetCanModify 0023 TCustomBindGridLink.UpdateColumnCurrent 0031 @IntfClear 0040 Supports 009d @UStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 75 2D 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B 45 F4 8B 08 FF 51 20 8B D8 EB 2E 33 DB EB 2A 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 84 C0 74 0F 33 C9 8B 55 F8 8B 45 FC 8B 18 FF 53 24 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5E 5B 8B E5 5D C3 00 00 00 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D 16 4E A9 F2 81 21 43 49 8B DC 3D 0C A7 FD E3 36 }
	condition:
		$1
}

rule function_1755_0 {
	meta:
		name = "TCustomBindGridLink.GetActive"
		size = 8
	strings:
		$1 = { 0F B6 80 C9 00 00 00 C3 }
	condition:
		$1
}

rule function_1759_0 {
	meta:
		name = "TCustomBindGridLink.GetScopeRecordEnumerator"
		size = 128
		refs = "000f TCustomBindGridLink.GetScopeRecordEnumerator 001d @IntfClear 002c Supports 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 13 56 8B 8B B0 00 00 00 33 D2 8B 45 FC 8B 18 FF 53 0C EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 3D 77 A6 34 1B A7 70 48 9C 60 40 9A 79 82 06 FA }
	condition:
		$1
}

rule function_1760_0 {
	meta:
		name = "TCustomBindGridLink.GetScopeCurrentRecord"
		size = 140
		refs = "0018 TCustomBindGridLink.GetScopeCurrentRecord 0026 @IntfClear 0035 Supports 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 12 8B CE 8B 45 F8 8B 50 24 8B 45 FC 8B 18 FF 53 0C EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 B4 44 DA 5A 81 4E 1B 40 97 84 3B 51 D2 9A 51 49 }
	condition:
		$1
}

rule function_1761_0 {
	meta:
		name = "HaveFormatCellExpressions"
		size = 89
		refs = "0039 TColumnLinkExpressions.GetItem"
	strings:
		$1 = { 55 8B EC 53 56 57 33 DB 8B 45 08 8B 40 FC 8B 40 0C 8B 80 B4 00 00 00 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 2E 47 33 F6 8B 45 08 8B 40 FC 8B 40 0C 8B 80 B4 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 40 18 8B 40 08 8B 40 08 85 C0 7E 04 B3 01 EB 04 46 4F 75 D5 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_1762_0 {
	meta:
		name = "TCustomBindGridLink.FillGrid$295$ActRec.$1$Body$297$ActRec.$1$0$Body"
		size = 29
		altNames = "TCustomBindGridLink.UpdateList$335$ActRec.$0$Body$336$ActRec.$0$0$Body"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B 43 0C 8B 40 10 8B 56 24 8B 18 FF 53 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1764_0 {
	meta:
		name = "TCustomBindGridLink.FillGrid"
		size = 294
		refs = "0010 TCustomBindGridLink.FillGrid 001d _DV_TCustomBindGridLink.FillGrid$295$ActRec 0022 TObject.Create 0037 @IntfCopy 0061 TCustomBindGridLink.GetBindListEditor 0072 TCustomBindGridLink.EvaluateFormatControl 007d TCustomBindGridLink.FormatColumns 0083 HaveFormatCellExpressions 0096 TCustomBindGridLink.GetScopeRecordEnumerator 00ee @HandleFinally 0105 @IntfClear"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 45 F4 8B 55 FC 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 89 42 0C FF 80 AC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 83 7D F8 00 74 68 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 74 3F 8D 55 F0 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 83 78 10 00 74 22 8B 4D FC 85 C9 74 03 83 E9 EC 8B 45 FC 8B 50 10 8B 45 F8 8B 18 FF 53 38 EB 08 8B 45 F8 8B 10 FF 52 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C FF 88 AC 00 00 00 C3 E9 ?? ?? ?? ?? EB EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1765_0 {
	meta:
		name = "TCustomBindGridLink.FormatColumns"
		size = 335
		refs = "0018 TCustomBindGridLink.FormatColumns 0052 TColumnLinkExpressions.GetItem 006c TCommonBindComponent.GetComponentScope 0087 TExpressions.GetEnumerator 00a8 TCollection.GetItem 00e2 TCustomBindGridLink.EvaluateExpressions 00ea TCollectionEnumerator.MoveNext 0111 @HandleFinally 0134 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 E0 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 B4 00 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C E9 00 00 00 40 89 45 F0 C7 45 F4 00 00 00 00 8B 45 F8 8B 80 B4 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 50 8B 45 F8 8B 10 FF 52 44 8B D0 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 8B 43 1C 8B 50 08 83 7A 08 00 7F 02 33 C0 85 C0 0F 84 91 00 00 00 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 48 8B 7D EC 8B 57 04 8B 47 08 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 89 45 E8 8B 75 E8 8B 46 0C 50 8D 45 E0 50 8B 4B 24 8B 45 F8 8B 50 40 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 46 10 50 8B 4D FC 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 AC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 FF 45 F4 FF 4D F0 0F 85 22 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1766_0 {
	meta:
		name = "TCustomBindGridLink.FillRecord"
		size = 337
		refs = "001a @IntfAddRef 002a TCustomBindGridLink.FillRecord 006e TColumnLinkExpressions.GetItem 008b TExpressions.GetEnumerator 00ac TCollection.GetItem 00dd TCustomBindGridLink.EvaluateExpressionItem 00e5 TCollectionEnumerator.MoveNext 010c @HandleFinally 012f @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 DB 89 5D D8 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 E0 00 00 00 8B 45 F4 8B 80 B4 00 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C C8 00 00 00 40 89 45 E8 C7 45 EC 00 00 00 00 8B 45 F4 8B 80 B4 00 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B D8 8B 43 18 8B 50 08 83 7A 08 00 7F 02 33 C0 85 C0 0F 84 88 00 00 00 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 3F 8B 75 E4 8B 56 04 8B 46 08 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 89 45 E0 8B 45 E0 89 45 F0 8B 45 FC 50 8D 4D D8 8B D3 8B 45 F8 8B 30 FF 56 0C 8B 45 D8 50 8B 4D F0 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 FF 45 EC FF 4D E8 0F 85 43 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1769_0 {
	meta:
		name = "TCustomBindGridLink.EvaluateFormat$303$ActRec.$0$Body"
		size = 26
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B 56 24 8B 43 0C 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1770_0 {
	meta:
		name = "TCustomBindGridLink.EvaluateFormat"
		size = 288
		refs = "0011 TCustomBindGridLink.EvaluateFormat 001e _DV_TCustomBindGridLink.EvaluateFormat$303$ActRec 0023 TObject.Create 0036 @IntfCopy 005f TCustomBindGridLink.GetBindListEditor 006d @IntfClear 007c Supports 00bc TCustomBindGridLink.FillRecord 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F4 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 0F 84 91 00 00 00 83 BB AC 00 00 00 00 0F 85 84 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 74 8D 46 0C E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 83 7E 0C 00 74 57 8B 45 FC 8B 10 FF 52 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 08 FF 51 20 83 7D F8 00 74 13 8B CE 85 C9 74 03 83 E9 F0 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 10 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 B4 44 DA 5A 81 4E 1B 40 97 84 3B 51 D2 9A 51 49 }
	condition:
		$1
}

rule function_1771_0 {
	meta:
		name = "TCustomBindGridLink.BeginUpdate"
		size = 7
	strings:
		$1 = { FF 80 84 00 00 00 C3 }
	condition:
		$1
}

rule function_1774_0 {
	meta:
		name = "TCustomBindGridLink.CheckEditingLink"
		size = 171
		refs = "000e TCustomBindGridLink.CheckEditingLink 001b _DV_TCustomBindGridLink.CheckEditingLink$306$ActRec 0020 TObject.Create 0033 @IntfCopy 004c TControlObserver.SetComponent 0068 TControlObserver.EnsureObserving 0099 @IntfClear 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 0C 8B C6 8B 10 FF 52 44 8B D0 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 EC 8B 43 0C 8B 80 80 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 F0 8B 43 0C 8B 80 80 00 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1775_0 {
	meta:
		name = "TCustomBindGridLink.ClearEditingLink"
		size = 14
		refs = "0009 TControlObserver.SetComponent"
	strings:
		$1 = { 33 D2 8B 80 80 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1778_0 {
	meta:
		name = "TCustomBindGridLink.ExecuteAssignToControlExpression"
		size = 345
		refs = "001d @IntfAddRef 0025 TCustomBindGridLink.ExecuteAssignToControlExpression 0047 TCommonBindComponent.GetComponentScope 0070 TCustomBindGridLink.EvaluateExpressions 007f TCustomBindGridLink.GetBindListEditor 009f TCustomBindGridLink.GetScopeRecordEnumerator 0102 @HandleFinally 0119 @IntfClear 0122 IScope 012c @FinalizeArray"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D EC 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 07 75 44 8D 45 F4 50 8B C3 8B 10 FF 52 44 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 4E 24 8B 53 40 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 8B 45 10 50 8B 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? E9 8F 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 42 8B 45 F8 8B 10 FF 52 18 84 C0 74 36 8D 4D F4 33 D2 8B 45 FC 8B 38 FF 57 14 83 7D F4 00 74 23 8B 45 EC 50 8D 55 E8 8B 45 F8 8B 08 FF 51 10 8B 45 E8 50 8B 45 10 50 8B 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 10 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_1779_0 {
	meta:
		name = "TCustomBindGridLink.EvaluateSourceExpression"
		size = 205
		refs = "0018 @IntfAddRef 0020 TCustomBindGridLink.EvaluateSourceExpression 0036 TCustomBindGridLink.GetScopeRecordEnumerator 0075 TCustomBindGridLink.GetScopeCurrentRecord 00a1 @IntfClear 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F4 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 03 75 3D 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 50 8B 45 FC 8B 10 FF 52 18 84 C0 74 44 8B 45 0C 50 8D 4D F0 8B 56 24 8B 45 FC 8B 30 FF 56 14 8B 55 F0 8B 4D F4 8B C3 E8 ?? ?? ?? ?? EB 23 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 11 8B 45 0C 50 8B 4D F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_1782_0 {
	meta:
		name = "TCustomBindGridLink.GetSourceScopes"
		size = 27
		refs = "0013 TCommonBindComponent.GetComponentScopes"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B 4E 24 8B 53 40 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1783_0 {
	meta:
		name = "TCustomBindGridLink.GetUpdating"
		size = 11
	strings:
		$1 = { 83 B8 84 00 00 00 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_1786_0 {
	meta:
		name = "TCustomBindGridLink.IsValidChar"
		size = 192
		refs = "0014 TCustomBindGridLink.IsValidChar 0026 TCustomBindGridLink.UpdateColumnCurrent 0034 sLinkFieldNotFound 0039 LoadResString 0043 _DV_TBindCompException 0048 Exception.Create 004d @RaiseExcept 0055 @IntfClear 0064 Supports 0091 @UStrArrayClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 84 C0 74 0F 8B CF 8B 55 F8 8B 45 FC 8B 18 FF 53 24 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 00 16 4E A9 F2 81 21 43 49 8B DC 3D 0C A7 FD E3 36 }
	condition:
		$1
}

rule function_1909_0 {
	meta:
		name = "TCustomBindListLink.IsValidChar"
		size = 192
		refs = "0014 TCustomBindListLink.IsValidChar 0026 TCommonBindComponent.GetSourceMemberName 0034 sLinkFieldNotFound 0039 LoadResString 0043 _DV_TBindCompException 0048 Exception.Create 004d @RaiseExcept 0055 @IntfClear 0064 Supports 0091 @UStrArrayClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 84 C0 74 0F 8B CF 8B 55 F8 8B 45 FC 8B 18 FF 53 24 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 00 16 4E A9 F2 81 21 43 49 8B DC 3D 0C A7 FD E3 36 }
	condition:
		$1
}

rule function_1788_0 {
	meta:
		name = "TCustomBindGridLink.GetEditColumnIndex"
		size = 7
		altNames = "TIdCustomIcmpClient.GetPacketSize"
	strings:
		$1 = { 8B 80 BC 00 00 00 C3 }
	condition:
		$1
}

rule function_1789_0 {
	meta:
		name = "TCustomAdapterPageProducer.GetTemplateFileName"
		size = 22
		refs = "000f @UStrAsg"
		altNames = "TCustomBindGridLink.GetEditColumnName TDownLoadURL.GetFileName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 B8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1793_0 {
	meta:
		name = "TCustomBindGridLink.PosChanged"
		size = 83
		refs = "0020 TCustomBindGridLink.PosChanged 002e TCustomBindGridLink.EvaluatePosSource 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 B8 84 00 00 00 00 7F 3D 8B 45 FC FF 80 AC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FF 88 AC 00 00 00 C3 E9 ?? ?? ?? ?? EB EF 59 5D C3 }
	condition:
		$1
}

rule function_1794_0 {
	meta:
		name = "TCustomBindGridLink.RequiresControlHandler"
		size = 83
		refs = "0035 TColumnLinkExpressions.GetItem"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 88 00 00 00 8B 40 08 83 78 08 00 7E 04 B0 01 EB 37 8B 87 B4 00 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 24 43 33 F6 8B 87 B4 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 40 20 8B 40 08 83 78 08 00 7E 04 B0 01 EB 06 46 4B 75 DF 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1796_0 {
	meta:
		name = "TCustomBindGridLink.FreeExpressionsObjects"
		size = 76
		refs = "000c TCommonBindComponent.FreeExpressionObjects 0046 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 93 90 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 94 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 98 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 A0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1797_0 {
	meta:
		name = "TCustomBindGridLink.ResetColumns"
		size = 166
		refs = "0021 TCustomBindGridLink.ResetColumns 0062 TCustomBindGridLink.FillGrid 007e @HandleFinally 0088 TCustomBindGridLink.EvaluatePosControl 0097 @HandleAnyException 009c @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 10 FF 92 BC 00 00 00 84 C0 0F 84 83 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 74 8B 45 FC 8B 10 FF 52 78 8B 45 FC FF 80 AC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 CA 00 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FF 88 AC 00 00 00 C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1798_0 {
	meta:
		name = "TCustomBindGridLink.ResetGrid"
		size = 265
		refs = "0013 TCustomBindGridLink.ResetGrid 0040 TCustomBindGridLink.BeginUpdate 0056 TCustomBindGridLink.FillGrid 006b TCustomBindGridLink.EndUpdate 0071 @HandleFinally 0081 TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 009c TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 00ba TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 00f8 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 BC 00 00 00 84 C0 0F 84 B7 00 00 00 8B 45 FC 80 B8 CA 00 00 00 00 74 3B 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 0A 8D 55 F4 8B C3 8B 08 FF 51 20 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1799_0 {
	meta:
		name = "TCustomBindGridLink.SetActive"
		size = 565
		refs = "001d TCustomBindGridLink.SetActive 0064 TCustomBindGridLink.ClearModified 00bc TControlObserver.TrySetActive 00e5 SafeClassName 00fd sNoControlObserverSupport 0102 LoadResString 010c _DV_TBindCompException 0111 Exception.CreateFmt 0116 @RaiseExcept 0157 TCustomBindGridLink.FillGrid 015f TCustomBindGridLink.EvaluatePosControl 0179 @HandleAnyException 0190 @RaiseAgain 0195 @DoneExcept 01d3 TCustomBindGridLink.ClearGrid 01fe @HandleFinally 0222 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E8 89 4D E4 89 4D E0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 3A 98 C9 00 00 00 0F 84 D6 01 00 00 8B 45 FC 8B 10 FF 52 54 84 C0 74 1E 8B 45 FC 8B 10 FF 52 50 84 C0 0F 85 BA 01 00 00 8B 45 FC 88 98 C8 00 00 00 E9 AC 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 DB 74 0A 8B 45 FC 8B 10 FF 52 64 EB 08 8B 45 FC 8B 10 FF 52 6C 8B 45 FC 8B 10 FF 52 50 84 C0 0F 85 8C 00 00 00 84 DB 0F 84 84 00 00 00 8B 45 FC 8B 10 FF 92 D0 00 00 00 84 C0 74 75 8B 45 FC 8B 10 FF 92 D4 00 00 00 8B 45 FC 8B 80 80 00 00 00 B2 01 E8 ?? ?? ?? ?? 84 C0 75 56 8D 55 E8 8B 45 FC 8B 08 FF 51 4C 8B 45 E8 89 45 EC C6 45 F0 11 8B 45 FC 8B 10 FF 52 44 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F4 C6 45 F8 11 8D 45 EC 50 6A 01 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 88 82 C9 00 00 00 84 C0 74 72 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 74 8B 45 FC 8B 10 FF 52 78 8B 45 FC 80 B8 CA 00 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 68 33 C0 5A 59 59 64 89 10 E9 94 00 00 00 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 74 8B 45 FC C6 80 C9 00 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 71 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 CA 00 00 00 00 74 22 8B 45 FC 8B 10 FF 52 44 85 C0 74 16 8B 45 FC 8B 10 FF 52 44 F6 40 1C 08 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 80 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 74 C3 E9 ?? ?? ?? ?? EB E0 8B 45 FC 8B 10 FF 52 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1800_0 {
	meta:
		name = "TCustomBindGridLink.UpdateExpressions"
		size = 1560
		refs = "001a TCustomBindGridLink.UpdateExpressions 004b TExpressions.GetEnumerator 006f TCollection.GetItem 0097 TCommonBindComponent.GetComponentScopes 00a6 @DynArrayHigh 00b6 TCommonBindComponent.GetOutputConverter 00e0 TBindingEventRec.Create 0114 _Dn_TBindings 011a TBindings.CreateUnmanagedBinding 012c TList<System.Bindings.Expression.TBindingExpression>.Add 0134 TCollectionEnumerator.MoveNext 015f @HandleFinally 054a TBindings.CreateExpression 056c TArray<System.Bindings.EvalProtocol.IScope> 0576 @FinalizeArray 0581 @IntfClear 05e3 @DynArrayClear"
	strings:
		$1 = { 55 8B EC B9 12 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 85 C0 0F 84 23 05 00 00 8B 45 FC 83 78 40 00 0F 84 16 05 00 00 8B 45 FC 8B 80 8C 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 CB 00 00 00 8B 7D F8 8B 57 04 8B 47 08 E8 ?? ?? ?? ?? 89 45 D0 8B 45 D0 89 45 D4 8B 5D D4 8B 43 10 50 8D 45 B4 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B4 89 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 43 0C 50 8D 55 B0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B0 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 98 E8 ?? ?? ?? ?? 8D 45 98 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 94 50 8B 45 FC 8B 50 40 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 94 89 45 F4 E8 ?? ?? ?? ?? 50 8B 55 F4 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 90 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 25 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 80 A4 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 CB 00 00 00 8B 7D F8 8B 57 04 8B 47 08 E8 ?? ?? ?? ?? 89 45 C8 8B 45 C8 89 45 CC 8B 5D CC 8B 43 10 50 8D 45 90 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 90 89 45 E8 50 8B 45 E8 E8 ?? ?? ?? ?? 50 8B 43 0C 50 8D 55 8C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 8C 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 98 E8 ?? ?? ?? ?? 8D 45 98 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 88 50 8B 45 FC 8B 50 40 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 88 89 45 EC E8 ?? ?? ?? ?? 50 8B 55 EC A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 98 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 25 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 80 A8 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 D1 00 00 00 8B 7D F8 8B 57 04 8B 47 08 E8 ?? ?? ?? ?? 89 45 C0 8B 45 C0 89 45 C4 8B 5D C4 8B 43 10 50 8D 45 84 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 84 89 45 E0 50 8B 45 E0 E8 ?? ?? ?? ?? 50 8B 43 0C 50 8D 55 80 8B 45 FC E8 ?? ?? ?? ?? 8B 45 80 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 98 E8 ?? ?? ?? ?? 8D 45 98 50 0F B6 05 ?? ?? ?? ?? 50 8D 85 7C FF FF FF 50 8B 45 FC 8B 50 40 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 89 45 E4 E8 ?? ?? ?? ?? 50 8B 55 E4 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 9C 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 1F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 DD 00 00 00 8B 7D F8 8B 57 04 8B 47 08 E8 ?? ?? ?? ?? 89 45 B8 8B 45 B8 89 45 BC 8B 5D BC 8B 43 0C 50 8D 85 78 FF FF FF 50 8B 45 FC 8B 50 40 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 D8 50 8B 45 D8 E8 ?? ?? ?? ?? 50 8B 43 10 50 8D 95 74 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 98 E8 ?? ?? ?? ?? 8D 45 98 50 0F B6 05 ?? ?? ?? ?? 50 8D 85 70 FF FF FF 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 89 45 DC E8 ?? ?? ?? ?? 50 8B 55 DC A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 94 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 13 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 98 E8 ?? ?? ?? ?? 8D 45 98 50 8D 85 6C FF FF FF 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 9D 6C FF FF FF 8B C3 E8 ?? ?? ?? ?? 50 8B D3 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 55 FC 89 82 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 6C FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 84 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 72 FF FF FF 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 65 00 6C 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_1803_0 {
	meta:
		name = "TCustomBindGridLink.UpdateList"
		size = 219
		refs = "0012 TCustomBindGridLink.UpdateList 001f _DV_TCustomBindGridLink.UpdateList$335$ActRec 0024 TObject.Create 0037 @IntfCopy 0046 TCustomBindGridLink.GetBindListEditor 0057 TCustomBindGridLink.GetScopeRecordEnumerator 00a3 TCustomBindGridLink.EvaluateFormat 00b8 @IntfClear 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B FE 89 7B 0C 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 57 8D 55 F4 8B 43 0C E8 ?? ?? ?? ?? 8B 55 F4 8D 43 10 E8 ?? ?? ?? ?? 8B 53 10 8B 45 FC 8B 08 FF 51 30 84 C0 74 1C 83 7B 10 00 74 2C 8B CB 85 C9 74 03 83 E9 EC 8B 53 10 8B 45 FC 8B 18 FF 53 34 EB 16 8B 45 FC 8B 10 FF 52 28 85 C0 7E 0A 33 D2 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1805_0 {
	meta:
		name = "TCustomBindGridLink.UpdateColumnCurrent"
		size = 329
		refs = "001a TCustomBindGridLink.UpdateColumnCurrent 0028 @UStrClr 0036 TControlObserver.GetEditGridLink 0077 TCollection.GetEnumerator 0098 TCollection.GetItem 00a5 TCollectionItem.GetIndex 00c5 @UStrAsg 00cf TCollectionEnumerator.MoveNext 00f6 @HandleFinally 0100 sLinkUnexpectedGridCurrentType 0105 LoadResString 010f _DV_TBindCompException 0114 Exception.Create 0119 @RaiseExcept 0136 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 D9 00 00 00 8D 55 E8 8B 45 FC 8B 08 FF 51 54 8B 45 E8 89 83 C0 00 00 00 8B 45 EC 89 83 C4 00 00 00 0F B6 83 C4 00 00 00 2C 01 0F 83 8C 00 00 00 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 3D 8B 7D F4 8B 57 04 8B 47 08 E8 ?? ?? ?? ?? 89 45 F0 8B 75 F0 8B C6 E8 ?? ?? ?? ?? 89 83 BC 00 00 00 8B C6 E8 ?? ?? ?? ?? 3B 83 C0 00 00 00 75 0D 8B 45 F8 8B 56 24 E8 ?? ?? ?? ?? EB 0C 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1806_0 {
	meta:
		name = "TCustomBindGridLink.SetAutoFill"
		size = 15
	strings:
		$1 = { 3A 90 CA 00 00 00 74 06 88 90 CA 00 00 00 C3 }
	condition:
		$1
}

rule function_1808_0 {
	meta:
		name = "TCustomBindGridLink.SetClearControlExpressions"
		size = 16
		altNames = "TSeStyleObject.SetFont"
	strings:
		$1 = { 56 8B F0 8B 86 A8 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_1809_0 {
	meta:
		name = "TCustomBindGridLink.SetColumnExpressions"
		size = 16
		altNames = "TCustomBindListLink.SetPosControlExpressions TSeActiveObject.SetDisabledFont TSeTextObject.SetFontPressed"
	strings:
		$1 = { 56 8B F0 8B 86 B4 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_1810_0 {
	meta:
		name = "TCustomBindGridLink.SetEditColumn"
		size = 7
	strings:
		$1 = { 89 88 BC 00 00 00 C3 }
	condition:
		$1
}

rule function_1811_0 {
	meta:
		name = "TCustomBindGridLink.SetFormatControlExpressions"
		size = 16
		altNames = "TCustomScreenTipsManager.SetFont"
	strings:
		$1 = { 56 8B F0 8B 86 A4 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_1815_0 {
	meta:
		name = "TCustomBindGridLink.EndUpdate"
		size = 24
	strings:
		$1 = { FF 88 84 00 00 00 83 B8 84 00 00 00 00 7D 08 33 D2 89 90 84 00 00 00 C3 }
	condition:
		$1
}

rule function_1816_0 {
	meta:
		name = "TCustomBindGridLink.GetIsEditing"
		size = 116
		refs = "000c TCustomBindGridLink.GetIsEditing 001a @IntfClear 0029 Supports 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B 45 FC 8B 08 FF 51 14 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1903_0 {
	meta:
		name = "TCustomBindListLink.GetIsEditing"
		size = 116
		refs = "000c TCustomBindListLink.GetIsEditing 001a @IntfClear 0029 Supports 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B 45 FC 8B 08 FF 51 14 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 3F 78 C2 86 2F 08 78 4D 98 A3 CC 35 40 D7 2A 0D }
	condition:
		$1
}

rule function_1817_0 {
	meta:
		name = "TCustomBindGridLink.EvaluateClear"
		size = 138
		refs = "000c TCustomBindGridLink.EvaluateClear 002a TCustomBindGridLink.GetBindListEditor 0063 @HandleFinally 007a @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 74 45 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 10 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1897_0 {
	meta:
		name = "TCustomBindListLink.EvaluateClear"
		size = 138
		refs = "000c TCustomBindListLink.EvaluateClear 002a TCustomBindList.GetBindListEditor 0063 @HandleFinally 007a @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 74 45 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 10 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_1818_0 {
	meta:
		name = "TColumnFormatExpressionItem.AssignTo"
		size = 168
		refs = "0010 TColumnFormatExpressionItem.AssignTo 001e _DV_TColumnLinkExpressionItem 0023 @IsClass 0031 TColumnFormatExpressionItem.GetName 003d TColumnLinkExpressionItem.SetName 0047 TColumnLinkExpressionItem.SetSourceMemberName 0051 TColumnLinkExpressionItem.SetFormatCellExpressions 005b TColumnLinkExpressionItem.SetFormatColumnExpressions 0066 @UStrAsg 006d TColumnFormatExpressionItem.GetColumnIndex 0076 TColumnLinkExpressionItem.SetColumnIndex 0081 TPersistent.AssignTo 0096 @UStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 51 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B FE 8B C7 E8 ?? ?? ?? ?? 8B 53 20 8B C7 E8 ?? ?? ?? ?? 8B 53 18 8B C7 E8 ?? ?? ?? ?? 8B 53 1C 8B C7 E8 ?? ?? ?? ?? 8D 47 10 8B 53 10 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1819_0 {
	meta:
		name = "TColumnFormatExpressionItem.Create"
		size = 106
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 0023 _DV_TExpressionItem 002d _DV_TExpressions 0032 TOwnedCollection.Create 0057 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 14 FF FF FF FF A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 1C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1820_0 {
	meta:
		name = "TColumnFormatExpressionItem.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TCollectionItem.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 18 E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1822_0 {
	meta:
		name = "TColumnFormatExpressionItem.GetColumnIndex"
		size = 17
		refs = "0009 TCollectionItem.GetIndex"
		altNames = "TColumnLinkExpressionItem.GetColumnIndex"
	strings:
		$1 = { 8B 50 14 83 FA FF 75 06 E8 ?? ?? ?? ?? C3 8B C2 C3 }
	condition:
		$1
}

rule function_1823_0 {
	meta:
		name = "TColumnFormatExpressionItem.GetDisplayName"
		size = 33
		refs = "000b TColumnFormatExpressionItem.GetName 001a @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 3E 00 75 0A 8B C6 8B 53 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1824_0 {
	meta:
		name = "TAdapterDispatchParams.GetObjectIdentifier"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TAdapterItemRequestParams.GetSuccessPage TBaseWebPageInfo.GetPageName TCOMServer.GetHelpFileName TCloudSHA1Authentication.GetAuthorizationType TCloudSHA256Authentication.GetAuthorizationType TColumnFormatExpressionItem.GetName TColumnLinkExpressionItem.GetName TDBXDataExpressProviderContext.GetSqlParameterMarker TDSProxyStreamWriter.Name TDSRestCachedItem.GetItemPath TGraphEntity.GetCaption TNamedItem.GetDisplayName TQualifiedName.GetName TSampleWebPageInfo.GetPageDescription TSampleWebPageInfo.GetPageHREF TSampleWebPageInfo.GetPageName TSampleWebPageInfo.GetPageTitle TScriptError.GetDescription TTaskDialogBaseButtonItem.GetButtonText TTestCaseExtension.GetMethodName TWebSessionImpl.GetID TXMLSchemaTranslatorFactory.GetTranslatorDescription TXSDateTime.NativeToXS TXSDecimal.NativeToXS TXSHexBinary.NativeToXS TXSString.NativeToXS"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49814_0 {
	meta:
		name = "THeaderInfo.GetPart"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114451_0 {
	meta:
		name = "TMSDOMNode.GetXMLDOMNode"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98829_0 {
	meta:
		name = "TWebUserItem.GetUserID"
		size = 19
		refs = "000c @VarFromUStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1825_0 {
	meta:
		name = "TColumnFormatExpressionItem.SetColumnIndex"
		size = 33
		refs = "0009 TCollectionItem.GetIndex"
		altNames = "TColumnLinkExpressionItem.SetColumnIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 75 0A C7 43 14 FF FF FF FF 5E 5B C3 89 73 14 5E 5B C3 }
	condition:
		$1
}

rule function_1826_0 {
	meta:
		name = "TColumnFormatExpressionItem.SetFormatCellExpressions"
		size = 13
		altNames = "TColumnLinkExpressionItem.SetFormatCellExpressions"
	strings:
		$1 = { 56 8B F0 8B 46 18 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_1827_0 {
	meta:
		name = "TColumnFormatExpressionItem.SetFormatColumnExpressions"
		size = 13
		altNames = "TColumnLinkExpressionItem.SetFormatColumnExpressions"
	strings:
		$1 = { 56 8B F0 8B 46 1C 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_1828_0 {
	meta:
		name = "TAdapterItemRequestParams.SetSuccessPage"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TCOMServer.SetHelpFileName TColumnFormatExpressionItem.SetName TColumnLinkExpressionItem.SetName TIdFTPClientIdentifier.SetPlatformDescription TQualifiedName.SetName TSOAPAttachment.InternalSetCacheFile TScriptError.SetDescription TXSDecimal.XSToNative TXSString.XSToNative TXSTime.XSToNative"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49820_0 {
	meta:
		name = "THeaderInfo.SetPart"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65750_0 {
	meta:
		name = "THelpManager.AssignHelpSelector"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1829_0 {
	meta:
		name = "TColumnLinkExpressionItem.AssignTo"
		size = 178
		refs = "0010 TColumnLinkExpressionItem.AssignTo 001e _DV_TColumnLinkExpressionItem 0023 @IsClass 0031 TColumnLinkExpressionItem.GetName 003d TColumnLinkExpressionItem.SetName 0047 TColumnLinkExpressionItem.SetSourceMemberName 0051 TColumnLinkExpressionItem.SetParseExpressions 005b TColumnLinkExpressionItem.SetFormatCellExpressions 0065 TColumnLinkExpressionItem.SetFormatColumnExpressions 0070 @UStrAsg 0077 TColumnLinkExpressionItem.GetColumnIndex 0080 TColumnLinkExpressionItem.SetColumnIndex 008b TPersistent.AssignTo 00a0 @UStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5B 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B FE 8B C7 E8 ?? ?? ?? ?? 8B 53 24 8B C7 E8 ?? ?? ?? ?? 8B 53 20 8B C7 E8 ?? ?? ?? ?? 8B 53 18 8B C7 E8 ?? ?? ?? ?? 8B 53 1C 8B C7 E8 ?? ?? ?? ?? 8D 47 10 8B 53 10 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1830_0 {
	meta:
		name = "TColumnLinkExpressionItem.Create"
		size = 129
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 0023 _DV_TExpressionItem 002d _DV_TExpressions 0032 TOwnedCollection.Create 006e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 14 FF FF FF FF A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 1C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1831_0 {
	meta:
		name = "TColumnLinkExpressionItem.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000f TObject.Free 002a TCollectionItem.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 20 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1834_0 {
	meta:
		name = "TColumnLinkExpressionItem.GetDisplayName"
		size = 33
		refs = "000b TColumnLinkExpressionItem.GetName 001a @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 3E 00 75 0A 8B C6 8B 53 24 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1840_0 {
	meta:
		name = "TColumnLinkExpressionItem.SetParseExpressions"
		size = 13
		altNames = "TIdMessageBuilderHtml.SetHtmlFiles"
	strings:
		$1 = { 56 8B F0 8B 46 20 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_1841_0 {
	meta:
		name = "TColumnLinkExpressionItem.SetSourceMemberName"
		size = 36
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 24 8B D6 E8 ?? ?? ?? ?? 83 7B 10 00 75 0B 8D 43 10 8B 53 24 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1843_0 {
	meta:
		name = "TColumnFormatExpressions.GetAttr"
		size = 31
		refs = "000b sNameAttr 0010 LoadResString 0019 @UStrClr"
		altNames = "TColumnLinkExpressions.GetAttr"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1844_0 {
	meta:
		name = "TAbstractTest.CountTestCases"
		size = 6
		altNames = "TAdapterUpdateField.GetValueCount TBaseAdapterAction.GetItemCount TByteField.GetDataSize TColumnFormatExpressions.GetAttrCount TColumnLinkExpressions.GetAttrCount TCustomTeeNavigator.PageCount TDBXJSonStreamReader.NextVersion TDBXTable.GetTableCount TEncodingInfoBig5HKSCS.AliasCount TEncodingInfoGB18030.AliasCount TEncodingInfoHZGB2312.AliasCount TEncodingInfoISO10646J1.AliasCount TEncodingInfoISO2022CN.AliasCount TEncodingInfoISO2022CNEXT.AliasCount TEncodingInfoKOI7switched.AliasCount TEncodingInfoKOI8U.AliasCount TEncodingInfoOSD_EBCDIC_DF03_IRV.AliasCount TEncodingInfoOSD_EBCDIC_DF04_1.AliasCount TEncodingInfoOSD_EBCDIC_DF04_15.AliasCount TEncodingInfoSCSU.AliasCount TEncodingInfoTIS620.AliasCount TEncodingInfoUTF16.AliasCount TEncodingInfoUTF16BE.AliasCount TEncodingInfoUTF16LE.AliasCount TEncodingInfoUTF32.AliasCount TEncodingInfoUTF32BE.AliasCount TEncodingInfoUTF32LE.AliasCount TEncodingInfoUTF7.AliasCount TEncodingInfoUTF8.AliasCount TEncodingInfoWindows1253.AliasCount TEncodingInfoWindows1254.AliasCount TEncodingInfoWindows1255.AliasCount TEncodingInfoWindows1256.AliasCount TEncodingInfoWindows1257.AliasCount TEncodingInfoWindows1258.AliasCount TIdBasicAuthentication.GetSteps TIdDigestAuthentication.GetSteps TIdProc.RSA_PKCS1_PADDING TShortintField.GetDataSize TTeeShadow.Factor"
	strings:
		$1 = { B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_1846_0 {
	meta:
		name = "TColumnFormatExpressions.GetItemAttr"
		size = 64
		refs = "0017 TColumnFormatExpressions.GetItem 001e TColumnFormatExpressionItem.GetName 002c IntToStr 0035 @UStrClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F0 8B 5D 08 83 EA 01 73 20 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 83 3B 00 75 12 8B D3 8B C7 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_1852_0 {
	meta:
		name = "TColumnLinkExpressions.GetItemAttr"
		size = 64
		refs = "0017 TColumnLinkExpressions.GetItem 001e TColumnLinkExpressionItem.GetName 002c IntToStr 0035 @UStrClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F0 8B 5D 08 83 EA 01 73 20 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 83 3B 00 75 12 8B D3 8B C7 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_1857_0 {
	meta:
		name = "TBindEventList.Add"
		size = 18
		refs = "000a TBindEventListT.InternalAdd"
		altNames = "TBindEventList1<T>.Add"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_79506_0 {
	meta:
		name = "AllocateHWnd"
		size = 18
		refs = "000a AllocateHWnd"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_63288_0 {
	meta:
		name = "DayOfTheMonth"
		size = 18
		refs = "000a DayOf"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_14235_0 {
	meta:
		name = "DoubleToBcd"
		size = 18
		refs = "000a DoubleToBcd"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_80216_0 {
	meta:
		name = "GetColorValues"
		size = 18
		refs = "000a GetColorValues"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_76152_0 {
	meta:
		name = "GetCursorValues"
		size = 18
		refs = "000a GetCursorValues"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_63298_0 {
	meta:
		name = "HourOfTheDay"
		size = 18
		refs = "000a HourOf"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_79504_0 {
	meta:
		name = "MakeObjectInstance"
		size = 18
		refs = "000a MakeObjectInstance"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_63307_0 {
	meta:
		name = "MilliSecondOfTheSecond"
		size = 18
		refs = "000a MilliSecondOf"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_63302_0 {
	meta:
		name = "MinuteOfTheHour"
		size = 18
		refs = "000a MinuteOf"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_63278_0 {
	meta:
		name = "MonthOfTheYear"
		size = 18
		refs = "000a MonthOf"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_63305_0 {
	meta:
		name = "SecondOfTheMinute"
		size = 18
		refs = "000a SecondOf"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_90139_0 {
	meta:
		name = "TArrowSeries.CreateSubGallery"
		size = 18
		refs = "000a TPointSeries.CreateSubGallery"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_1858_0 {
	meta:
		name = "TBindEventList.Remove"
		size = 18
		refs = "000a TBindEventListT.InternalRemove"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_2967_0 {
	meta:
		name = "TBindEventList1<System.Integer>.Remove"
		size = 18
		refs = "000a TBindEventListT.InternalRemove"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_6416_0 {
	meta:
		name = "TDBXClientConnection.SetTraceInfoEvent"
		size = 18
		refs = "000a TDBXConnection.SetTraceInfoEvent"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_38218_0 {
	meta:
		name = "TIdThread.Synchronize"
		size = 18
		refs = "000a TThread.Synchronize"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_42125_0 {
	meta:
		name = "TInThread.Synchronize"
		size = 18
		refs = "000a TThread.Synchronize"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_71244_0 {
	meta:
		name = "TRegistry.WriteDate"
		size = 18
		refs = "000a TRegistry.WriteDateTime"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_71246_0 {
	meta:
		name = "TRegistry.WriteTime"
		size = 18
		refs = "000a TRegistry.WriteDateTime"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_14424_0 {
	meta:
		name = "TSQLConnection.RegisterClient"
		size = 18
		refs = "000a TCustomConnection.RegisterClient"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_62686_0 {
	meta:
		name = "TThread.StaticQueue"
		size = 18
		refs = "000a TThread.Queue"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_62693_0 {
	meta:
		name = "TThread.StaticSynchronize"
		size = 18
		refs = "000a TThread.Synchronize"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_63254_0 {
	meta:
		name = "WeekOf"
		size = 18
		refs = "000a WeekOfTheYear"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_1859_0 {
	meta:
		name = "TBindEventList.Send"
		size = 109
		refs = "000d TList<System.Classes.TNotifyEvent>.GetEnumerator 0018 TBindEventList.Send 002b TList<System.Classes.TNotifyEvent>.TEnumerator.GetCurrent 003b TList<System.Classes.TNotifyEvent>.TEnumerator.MoveNext 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B DA 8B 40 04 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B D3 8B 45 FC FF 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1860_0 {
	meta:
		name = "TBindComponentScope.DoLookup$394$ActRec.$0$Body"
		size = 89
		refs = "000d @DynArrayAddRef 0015 TBindComponentScope.DoLookup$394$ActRec.$0$Body 0024 TComponent.FindComponent 002c TValue.&op_Implicit 0042 TArray<System.Rtti.TValue> 0047 @DynArrayClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_2883_0 {
	meta:
		name = "TBindDataSetScope.DoLookup$89$ActRec.$0$Body"
		size = 89
		refs = "000d @DynArrayAddRef 0015 TBindDataSetScope.DoLookup$89$ActRec.$0$Body 0024 TDataSet.FieldByName 002c TValue.&op_Implicit 0042 TArray<System.Rtti.TValue> 0047 @DynArrayClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_1862_0 {
	meta:
		name = "TBindScopeComponentScope.DoLookup$396$ActRec.$0$Body"
		size = 89
		refs = "000d @DynArrayAddRef 0015 TBindScopeComponentScope.DoLookup$396$ActRec.$0$Body 0024 TComponent.FindComponent 002c TValue.&op_Implicit 0042 TArray<System.Rtti.TValue> 0047 @DynArrayClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_1861_0 {
	meta:
		name = "TBindComponentScope.DoLookup"
		size = 215
		refs = "0019 TBindComponentScope.DoLookup 0026 _DV_TBindComponentScope.DoLookup$394$ActRec 002b TObject.Create 003e @IntfCopy 0045 @IntfClear 004c TCustomScope.GetMappedObject 0052 _Dn_TComponent 0057 @IsClass 0070 TComponent.FindComponent 007b TCustomScope.GetMetaClass 009a _Dn_TCustomWrapper 009f TCustomWrapper.Create 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 54 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 74 3B 8B C3 E8 ?? ?? ?? ?? 50 8B 45 F8 50 6A 00 85 F6 74 03 83 EE F4 56 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA C0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1863_0 {
	meta:
		name = "TBindScopeComponentScope.DoLookup"
		size = 248
		refs = "0019 TBindScopeComponentScope.DoLookup 0026 _DV_TBindScopeComponentScope.DoLookup$396$ActRec 002b TObject.Create 003e @IntfCopy 0045 @IntfClear 004c TCustomScope.GetMappedObject 0052 _DV_TBaseBindScopeComponent 0057 @IsClass 007c TComponent.FindComponent 00aa _Dn_TCustomWrapper 00af TCustomWrapper.Create 00d0 TBindComponentScope.DoLookup 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 45 FC 8B D7 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 64 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 83 78 04 00 74 51 8B 45 F4 8B 40 04 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 74 3F 8B 45 F4 8B 40 04 8B 00 89 45 F0 8B 45 F0 50 8B 45 F8 50 6A 00 85 FF 74 03 83 EF F4 57 8B 45 F4 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA C0 8B C6 E8 ?? ?? ?? ?? 83 3E 00 75 0C 8B CE 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1864_0 {
	meta:
		name = "TCustomBindExpression.CanActivate"
		size = 40
		refs = "0006 TActivatedContainedBindComponent.CanActivate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 83 BB 94 00 00 00 00 74 09 83 BB 88 00 00 00 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_1866_0 {
	meta:
		name = "TCustomBindExpression.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0028 TBaseBindExpression.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 8C 00 00 00 E8 ?? ?? ?? ?? 8B 86 90 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1867_0 {
	meta:
		name = "TCustomBindExpression.UpdateExpressions"
		size = 856
		refs = "001a TCustomBindExpression.UpdateExpressions 002a TCommonBindComponent.GetControlScopes 0034 TCommonBindComponent.GetSourceScopes 003e TCommonBindComponent.GetOutputConverter 00b9 @DynArrayHigh 00e2 TBindingEventRec.Create 00fa _Dn_TBindings 00ff TBindings.CreateManagedBinding 02a5 TBindings.CreateUnmanagedBinding 0327 @IntfClear 0330 TArray<System.Bindings.EvalProtocol.IScope> 033a @FinalizeArray 0340 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 D2 89 55 FC 89 55 F8 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 50 84 C0 0F 85 E4 01 00 00 80 BF 82 00 00 00 00 0F 84 D7 01 00 00 80 BF 83 00 00 00 00 74 09 0F B6 1D ?? ?? ?? ?? EB 07 0F B6 1D ?? ?? ?? ?? 8B C7 8B 10 FF 52 40 85 C0 75 04 33 F6 EB 0A 8B C7 8B 10 FF 52 40 8B 70 44 0F B6 87 98 00 00 00 2C 01 72 0F 74 71 FE C8 0F 84 CD 00 00 00 E9 6C 02 00 00 8B 87 88 00 00 00 50 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 87 94 00 00 00 50 8B 45 F4 50 57 8B 07 8B 40 60 50 57 8B 07 8B 40 58 50 57 8B 07 8B 40 5C 50 8D 45 DC E8 ?? ?? ?? ?? 8D 45 DC 50 56 53 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 8C 00 00 00 E9 08 02 00 00 8B 87 94 00 00 00 50 8B 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 87 88 00 00 00 50 8B 45 F4 50 57 8B 07 8B 40 60 50 57 8B 07 8B 40 58 50 57 8B 07 8B 40 5C 50 8D 45 DC E8 ?? ?? ?? ?? 8D 45 DC 50 56 53 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 8C 00 00 00 E9 A4 01 00 00 8B 87 88 00 00 00 50 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 87 94 00 00 00 50 8B 45 F4 50 57 8B 07 8B 40 60 50 57 8B 07 8B 40 58 50 57 8B 07 8B 40 5C 50 8D 45 DC E8 ?? ?? ?? ?? 8D 45 DC 50 56 53 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 8C 00 00 00 8B 87 94 00 00 00 50 8B 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 87 88 00 00 00 50 8B 45 F4 50 57 8B 07 8B 40 60 50 57 8B 07 8B 40 58 50 57 8B 07 8B 40 5C 50 8D 45 DC E8 ?? ?? ?? ?? 8D 45 DC 50 56 53 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 90 00 00 00 E9 E1 00 00 00 0F B6 87 98 00 00 00 2C 01 72 0A 74 6F FE C8 0F 85 CC 00 00 00 8B 87 88 00 00 00 50 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 87 94 00 00 00 50 8B 45 F4 50 57 8B 07 8B 40 60 50 57 8B 07 8B 40 58 50 57 8B 07 8B 40 5C 50 8D 45 DC E8 ?? ?? ?? ?? 8D 45 DC 50 0F B6 05 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 8C 00 00 00 EB 65 8B 87 94 00 00 00 50 8B 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 87 88 00 00 00 50 8B 45 F4 50 57 8B 07 8B 40 60 50 57 8B 07 8B 40 58 50 57 8B 07 8B 40 5C 50 8D 45 DC E8 ?? ?? ?? ?? 8D 45 DC 50 0F B6 05 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 8C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 00 00 00 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_1868_0 {
	meta:
		name = "TCustomBindExpression.SetSourceExpression"
		size = 49
		refs = "000f @UStrEqual 002a @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 88 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 19 33 D2 8B C3 8B 08 FF 91 B8 00 00 00 8D 83 88 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1869_0 {
	meta:
		name = "TCustomBindExpression.SetControlExpression"
		size = 49
		refs = "000f @UStrEqual 002a @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 94 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 19 33 D2 8B C3 8B 08 FF 91 B8 00 00 00 8D 83 94 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1871_0 {
	meta:
		name = "TCustomBindExpression.EvaluateWithoutNotify"
		size = 468
		refs = "001e TCustomBindExpression.EvaluateWithoutNotify 003b TCommonBindComponent.GetControlScopes 0045 TCommonBindComponent.GetSourceScopes 004f TCommonBindComponent.GetOutputConverter 008a @DynArrayHigh 00b3 TBindingEventRec.Create 00d1 _Dn_TBindings 00d6 TBindings.CreateUnmanagedBinding 015d TObject.Free 0163 @HandleFinally 0197 IValue 01a1 @FinalizeArray 01a9 @IntfClear 01b2 TArray<System.Bindings.EvalProtocol.IScope>"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 D2 89 55 D0 89 55 D4 89 55 FC 89 55 F8 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 82 00 00 00 00 0F 84 34 01 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 83 98 00 00 00 2C 01 72 0A 74 6C FE C8 0F 85 C6 00 00 00 8B 83 88 00 00 00 50 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 83 94 00 00 00 50 8B 45 F4 50 53 8B 03 8B 40 60 50 53 8B 03 8B 40 58 50 53 8B 03 8B 40 5C 50 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 D8 50 0F B6 05 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 EB 62 8B 83 94 00 00 00 50 8B 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 83 88 00 00 00 50 8B 45 F4 50 53 8B 03 8B 40 60 50 53 8B 03 8B 40 58 50 53 8B 03 8B 40 5C 50 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 D8 50 0F B6 05 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 55 D4 8B 45 F0 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 83 8C 00 00 00 8B 10 FF 12 84 C0 74 0E 8D 55 D0 8B 83 8C 00 00 00 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 5B 8B E5 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_1872_0 {
	meta:
		name = "TCustomBindExpression.Evaluate"
		size = 100
		refs = "001a TCustomBindExpression.Evaluate 0038 TCustomBindExpression.EvaluateWithoutNotify 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 10 FF 92 BC 00 00 00 84 C0 75 43 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 74 8B 45 FC 8B 10 FF 52 78 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 74 C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_1873_0 {
	meta:
		name = "TCustomBindExpression.FreeExpressionsObjects"
		size = 43
		refs = "0012 TObject.Free"
	strings:
		$1 = { 53 8B D8 8D 83 8C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 83 90 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1874_0 {
	meta:
		name = "TCustomBindExpression.Recompile"
		size = 69
	strings:
		$1 = { 53 56 8B D8 8B B3 8C 00 00 00 85 F6 74 15 8B C6 8B 10 FF 12 84 C0 74 0B 8B 83 8C 00 00 00 8B 10 FF 52 18 8B B3 90 00 00 00 85 F6 74 15 8B C6 8B 10 FF 12 84 C0 74 0B 8B 83 90 00 00 00 8B 10 FF 52 18 5E 5B C3 }
	condition:
		$1
}

rule function_1875_0 {
	meta:
		name = "TCustomBindExprItems.Create"
		size = 159
		refs = "000a @ClassCreate 0017 TBaseBindExpression.Create 001c _DV_TExpressionItemDir 0026 _DV_TExpressionsDir 002b TOwnedCollection.Create 0052 _DV_TList<System.Bindings.Expression.TBindingExpression> 0057 TList<System.Bindings.Expression.TBindingExpression>.Create 008c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 88 00 00 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 98 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 8C 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 90 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 94 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1876_0 {
	meta:
		name = "TCustomBindExprItems.Destroy"
		size = 91
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0049 TBaseBindExpression.Destroy 0054 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 8B 86 8C 00 00 00 E8 ?? ?? ?? ?? 8B 86 90 00 00 00 E8 ?? ?? ?? ?? 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 8B 86 94 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1877_0 {
	meta:
		name = "TCustomBindExprItems.UpdateExpressions"
		size = 1824
		refs = "001a TCustomBindExprItems.UpdateExpressions 0050 TExpressionsDir.GetEnumerator 0074 TCollection.GetItem 0111 TCommonBindComponent.GetComponentScopes 0120 @DynArrayHigh 0130 TCommonBindComponent.GetOutputConverter 015a TBindingEventRec.Create 018f _Dn_TBindings 0195 TBindings.CreateManagedBinding 01a9 TList<System.Bindings.Expression.TBindingExpression>.Add 03e4 TBindings.CreateUnmanagedBinding 0400 TCollectionEnumerator.MoveNext 042b @HandleFinally 0649 TArray<System.Bindings.EvalProtocol.IScope> 064e @DynArrayClear 0659 @IntfClear 066f @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 15 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 85 C0 0F 84 00 06 00 00 8B 45 FC 83 78 40 00 0F 84 F3 05 00 00 33 C0 89 45 F8 8B 45 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 92 03 00 00 8B 75 EC 8B 56 04 8B 46 08 E8 ?? ?? ?? ?? 89 45 B8 8B 7D B8 8B DF 8B 45 FC 8B 10 FF 52 50 84 C0 0F 85 A7 02 00 00 8B 45 FC 80 B8 82 00 00 00 00 0F 84 97 02 00 00 8B 45 FC 80 B8 83 00 00 00 00 74 0C 0F B6 05 ?? ?? ?? ?? 88 45 F3 EB 0A 0F B6 05 ?? ?? ?? ?? 88 45 F3 8B 45 FC 8B 10 FF 52 40 85 C0 75 07 33 C0 89 45 F4 EB 0E 8B 45 FC 8B 10 FF 52 40 8B 40 44 89 45 F4 0F B6 43 14 2C 01 72 0E 0F 84 C1 00 00 00 FE C8 0F 85 6D 01 00 00 8B 43 10 50 8D 45 B0 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B0 89 45 E4 50 8B 45 E4 E8 ?? ?? ?? ?? 50 8B 43 0C 50 8D 55 AC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 AC 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 94 E8 ?? ?? ?? ?? 8D 45 94 50 8B 45 F4 50 0F B6 45 F3 50 8D 45 90 50 8B 45 FC 8B 50 40 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 90 89 45 E8 E8 ?? ?? ?? ?? 50 8B 55 E8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 80 8C 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? E9 B4 00 00 00 8B 43 0C 50 8D 45 8C 50 8B 45 FC 8B 50 40 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 8C 89 45 DC 50 8B 45 DC E8 ?? ?? ?? ?? 50 8B 43 10 50 8D 55 88 8B 45 FC E8 ?? ?? ?? ?? 8B 45 88 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 94 E8 ?? ?? ?? ?? 8D 45 94 50 8B 45 F4 50 0F B6 45 F3 50 8D 45 84 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 84 89 45 E0 E8 ?? ?? ?? ?? 50 8B 55 E0 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 80 90 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 0F B6 43 14 2C 02 0F 85 8A 01 00 00 8B 43 0C 50 8D 45 80 50 8B 45 FC 8B 50 40 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 80 89 45 D4 50 8B 45 D4 E8 ?? ?? ?? ?? 50 8B 43 10 50 8D 95 7C FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 94 E8 ?? ?? ?? ?? 8D 45 94 50 8B 45 F4 50 0F B6 45 F3 50 8D 85 78 FF FF FF 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 D8 E8 ?? ?? ?? ?? 50 8B 55 D8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 80 90 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? E9 C5 00 00 00 8B 43 10 50 8D 85 74 FF FF FF 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 89 45 CC 50 8B 45 CC E8 ?? ?? ?? ?? 50 8B 43 0C 50 8D 95 70 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 94 E8 ?? ?? ?? ?? 8D 45 94 50 0F B6 05 ?? ?? ?? ?? 50 8D 85 6C FF FF FF 50 8B 45 FC 8B 50 40 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 89 45 D0 E8 ?? ?? ?? ?? 50 8B 55 D0 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 80 8C 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 0F 85 5E FC FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 AA 01 00 00 8B 75 EC 8B 56 04 8B 46 08 E8 ?? ?? ?? ?? 89 45 B4 8B 7D B4 8B DF 0F B6 43 14 2C 01 72 0E 0F 84 C1 00 00 00 FE C8 0F 85 6D 01 00 00 8B 43 10 50 8D 85 68 FF FF FF 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 89 45 C4 50 8B 45 C4 E8 ?? ?? ?? ?? 50 8B 43 0C 50 8D 95 64 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 94 E8 ?? ?? ?? ?? 8D 45 94 50 0F B6 05 ?? ?? ?? ?? 50 8D 85 60 FF FF FF 50 8B 45 FC 8B 50 40 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 89 45 C8 E8 ?? ?? ?? ?? 50 8B 55 C8 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 89 45 F8 E9 B4 00 00 00 8B 43 0C 50 8D 85 5C FF FF FF 50 8B 45 FC 8B 50 40 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 89 45 BC 50 8B 45 BC E8 ?? ?? ?? ?? 50 8B 43 10 50 8D 95 58 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 94 E8 ?? ?? ?? ?? 8D 45 94 50 0F B6 05 ?? ?? ?? ?? 50 8D 85 54 FF FF FF 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 89 45 C0 E8 ?? ?? ?? ?? 50 8B 55 C0 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 80 94 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 0F 85 46 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 54 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 8D 85 5C FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 8D 85 68 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 32 FF FF FF 5F 5E 5B 8B E5 5D C3 00 00 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_1878_0 {
	meta:
		name = "TCustomBindExprItems.SetClearExpressions"
		size = 16
		altNames = "TIdCustomTCPServer.SetBindings TInCustomTCPServer.SetBindings"
	strings:
		$1 = { 56 8B F0 8B 86 98 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_1880_0 {
	meta:
		name = "TCustomBindExprItems.EvaluateWithoutNotify"
		size = 608
		refs = "0021 TCustomBindExprItems.EvaluateWithoutNotify 0045 TExpressionsDir.GetEnumerator 0069 TCollection.GetItem 009d TCommonBindComponent.GetComponentScopes 00ac @DynArrayHigh 00bc TCommonBindComponent.GetOutputConverter 00e6 TBindingEventRec.Create 011a _Dn_TBindings 0120 TBindings.CreateUnmanagedBinding 0151 TObject.Free 0157 @HandleFinally 0161 TCollectionEnumerator.MoveNext 01a0 TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 01bb TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 01dc TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 021b IValue 0225 @FinalizeArray 022e TArray<System.Bindings.EvalProtocol.IScope> 0233 @DynArrayClear 023b @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 D2 89 55 B8 89 55 BC 89 55 E0 89 55 DC 89 55 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 82 00 00 00 00 0F 84 57 01 00 00 8B 45 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 FE 00 00 00 8B 75 F4 8B 56 04 8B 46 08 E8 ?? ?? ?? ?? 89 45 E4 8B 7D E4 8B DF 0F B6 43 14 2C 01 72 08 FE C8 0F 85 D8 00 00 00 8B 43 10 50 8D 45 E0 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 89 45 EC 50 8B 45 EC E8 ?? ?? ?? ?? 50 8B 43 0C 50 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C4 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 C0 50 8B 45 FC 8B 50 40 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C0 89 45 F0 E8 ?? ?? ?? ?? 50 8B 55 F0 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 BC 8B 45 F8 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 85 F2 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 80 8C 00 00 00 85 C0 74 6A E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8B 45 E8 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 10 FF 12 84 C0 74 0B 8D 55 B8 8B 45 F8 8B 08 FF 51 20 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C1 5F 5E 5B 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_1881_0 {
	meta:
		name = "TCustomBindExprItems.EvaluateFormat"
		size = 107
		refs = "002a TCustomBindExprItems.EvaluateFormat 0038 TCustomBindExprItems.EvaluateWithoutNotify 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 10 FF 92 BC 00 00 00 84 C0 75 10 8B 45 FC 8B 10 FF 52 74 8B 45 FC 8B 10 FF 52 78 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 BC 00 00 00 84 C0 75 08 8B 45 FC 8B 10 FF 52 74 C3 E9 ?? ?? ?? ?? EB E1 59 5D C3 }
	condition:
		$1
}

rule function_1882_0 {
	meta:
		name = "TCustomBindExprItems.EvaluateClear"
		size = 268
		refs = "0013 TCustomBindExprItems.EvaluateClear 0058 TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 0073 TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 0091 TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 00b8 @HandleFinally 00fb @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 BC 00 00 00 84 C0 75 10 8B 45 FC 8B 10 FF 52 74 8B 45 FC 8B 10 FF 52 78 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 94 00 00 00 85 C0 74 67 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 0A 8D 55 F4 8B C3 8B 08 FF 51 20 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 BC 00 00 00 84 C0 75 08 8B 45 FC 8B 10 FF 52 74 C3 E9 ?? ?? ?? ?? EB E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1883_0 {
	meta:
		name = "TCustomBindExprItems.FreeExpressionsObjects"
		size = 44
		refs = "000c TCommonBindComponent.FreeExpressionObjects"
	strings:
		$1 = { 53 8B D8 8B 93 8C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 90 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 94 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1884_0 {
	meta:
		name = "TCustomBindExprItems.Recompile"
		size = 354
		refs = "0018 TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 0023 TCustomBindExprItems.Recompile 0033 TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 004e TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 45 FC 8B 45 FC 8B 80 8C 00 00 00 85 C0 74 64 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 07 8B C3 8B 10 FF 52 18 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 80 90 00 00 00 85 C0 74 64 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 07 8B C3 8B 10 FF 52 18 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 80 94 00 00 00 85 C0 74 64 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 07 8B C3 8B 10 FF 52 18 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1885_0 {
	meta:
		name = "TCustomBindListLink.Create"
		size = 228
		refs = "000a @ClassCreate 0017 TCustomBindList.Create 001e _DV_TControlObserver 0023 TControlObserver.Create 0036 _DV_TExpressionItem 0040 _DV_TExpressions 0045 TOwnedCollection.Create 0086 _DV_TList<System.Bindings.Expression.TBindingExpression> 008b TList<System.Bindings.Expression.TBindingExpression>.Create 00d1 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 C4 00 00 00 33 C0 89 86 C8 00 00 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 AC 00 00 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B0 00 00 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 BC 00 00 00 C6 86 9A 00 00 00 01 C7 86 CC 00 00 00 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1886_0 {
	meta:
		name = "TCustomBindListLink.Destroy"
		size = 135
		refs = "0003 @BeforeDestruction 0028 TObject.Free 0054 TCustomBindList.Destroy 0080 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 8B 08 FF 91 B8 00 00 00 8B C6 8B 10 FF 92 D4 00 00 00 8B 86 C4 00 00 00 E8 ?? ?? ?? ?? 8B 86 B0 00 00 00 E8 ?? ?? ?? ?? 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? 8B 86 AC 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? 8B 86 BC 00 00 00 E8 ?? ?? ?? ?? 8B 86 A8 00 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1888_0 {
	meta:
		name = "TCustomBindListLink.EvaluatePosSource"
		size = 169
		refs = "0010 TCustomBindListLink.EvaluatePosSource 0021 TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 003c TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 005a TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 0081 @HandleFinally 0098 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 0A 8D 55 F8 8B C3 8B 08 FF 51 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1889_0 {
	meta:
		name = "TCustomBindListLink.ExecuteAssignToSourceExpression"
		size = 90
		refs = "0010 @IntfAddRef 0018 TCustomBindListLink.ExecuteAssignToSourceExpression 0032 TCustomBindList.ExecuteAssignToSourceExpression 0047 @IntfClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 0F B6 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_1894_0 {
	meta:
		name = "TCustomBindListLink.BeginUpdate"
		size = 7
	strings:
		$1 = { FF 80 C8 00 00 00 C3 }
	condition:
		$1
}

rule function_1895_0 {
	meta:
		name = "TCustomBindListLink.EndUpdate"
		size = 24
	strings:
		$1 = { FF 88 C8 00 00 00 83 B8 C8 00 00 00 00 7D 08 33 D2 89 90 C8 00 00 00 C3 }
	condition:
		$1
}

rule function_1896_0 {
	meta:
		name = "TCustomBindListLink.ClearEditingLink"
		size = 14
		refs = "0009 TControlObserver.SetComponent"
	strings:
		$1 = { 33 D2 8B 80 C4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1898_0 {
	meta:
		name = "TCustomBindListLink.EvaluateFormat"
		size = 296
		refs = "0012 TCustomBindListLink.EvaluateFormat 0041 TCustomBindList.GetBindListEditor 0053 @IntfClear 0062 Supports 0099 TCommonBindComponent.GetSourceMemberName 00b4 TCustomBindListLink.FillRecord 00cf @HandleFinally 00e6 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 0F 84 A7 00 00 00 83 BB D0 00 00 00 00 0F 85 9A 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 86 00 00 00 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 83 7D F4 00 74 69 8B 45 FC 8B 10 FF 52 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 08 FF 51 20 83 7D F8 00 74 25 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F0 8B 45 F4 8B 30 FF 56 0C 8B 55 F0 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 10 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5E 5B 8B E5 5D C3 B4 44 DA 5A 81 4E 1B 40 97 84 3B 51 D2 9A 51 49 }
	condition:
		$1
}

rule function_1899_0 {
	meta:
		name = "TCustomBindListLink.FillRecord"
		size = 146
		refs = "001c TExpressions.GetEnumerator 0027 TCustomBindListLink.FillRecord 003d TCollection.GetItem 0056 TCustomBindList.EvaluateExpressionItem 005e TCollectionEnumerator.MoveNext 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 27 8B 5D F0 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 89 45 EC 8B 7D EC 8B F7 8B 45 F8 50 8B 4D F4 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1900_0 {
	meta:
		name = "TCustomBindListLink.EvaluateParse"
		size = 185
		refs = "0012 TCustomBindListLink.EvaluateParse 0031 TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 004c TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 006a TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 0091 @HandleFinally 00a8 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 74 6D 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 0A 8D 55 F8 8B C3 8B 08 FF 51 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1901_0 {
	meta:
		name = "TCustomBindListLink.EvaluatePosControl"
		size = 178
		refs = "0010 TCustomBindListLink.EvaluatePosControl 002a TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 0045 TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 0063 TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 008a @HandleFinally 00a1 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 B8 D0 00 00 00 00 75 6D 8B 80 B8 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 84 C0 74 0A 8D 55 F8 8B C3 8B 08 FF 51 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1902_0 {
	meta:
		name = "TCustomBindListLink.FreeExpressionsObjects"
		size = 70
		refs = "0006 TCustomBindList.FreeExpressionsObjects 0013 TCommonBindComponent.FreeExpressionObjects 0040 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 93 B8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 BC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 A8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 C0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1906_0 {
	meta:
		name = "TCustomBindListLink.GetUpdating"
		size = 11
	strings:
		$1 = { 83 B8 C8 00 00 00 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_1910_0 {
	meta:
		name = "TCustomBindListLink.PosChanged"
		size = 71
		refs = "0014 TCustomBindListLink.PosChanged 0022 TCustomBindListLink.EvaluatePosSource 003e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC FF 80 D0 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FF 88 D0 00 00 00 C3 E9 ?? ?? ?? ?? EB EF 59 5D C3 }
	condition:
		$1
}

rule function_1912_0 {
	meta:
		name = "TCustomBindListLink.ResetList"
		size = 45
		refs = "001d TCustomBindList.FillList"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 74 1A 80 BB 9A 00 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 D0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_1914_0 {
	meta:
		name = "TCustomBindListLink.RequiresControlHandler"
		size = 39
	strings:
		$1 = { 8B 90 B0 00 00 00 8B 52 08 83 7A 08 00 7E 03 B0 01 C3 8B 80 AC 00 00 00 8B 40 08 83 78 08 00 7E 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_1917_0 {
	meta:
		name = "TCustomBindListLink.CheckEditingLink"
		size = 186
		refs = "000e TCustomBindListLink.CheckEditingLink 001b _DV_TCustomBindListLink.CheckEditingLink$449$ActRec 0020 TObject.Create 0033 @IntfCopy 004c TControlObserver.SetComponent 0077 TControlObserver.EnsureObserving 00a8 @IntfClear 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 0C 8B C6 8B 10 FF 52 44 8B D0 8B 86 C4 00 00 00 E8 ?? ?? ?? ?? 8B 43 0C 8B 90 AC 00 00 00 8B 52 08 83 7A 08 00 7E 19 8B CB 85 C9 74 03 83 E9 EC 8B 80 C4 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 F0 8B 43 0C 8B 80 C4 00 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1918_0 {
	meta:
		name = "TCustomBindListLink.SetActive"
		size = 558
		refs = "001d TCustomBindListLink.SetActive 0064 TCustomBindListLink.ClearModified 0096 TCustomBindListLink.RequiresControlHandler 00a2 TCustomBindListLink.CheckEditingLink 00b2 TControlObserver.TrySetActive 00db SafeClassName 00f3 sNoControlObserverSupport 00f8 LoadResString 0102 _DV_TBindCompException 0107 Exception.CreateFmt 010c @RaiseExcept 014d TCustomBindList.FillList 0172 @HandleAnyException 0189 @RaiseAgain 018e @DoneExcept 01cc TCustomBindList.ClearList 01f7 @HandleFinally 021b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E8 89 4D E4 89 4D E0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 3A 98 99 00 00 00 0F 84 CF 01 00 00 8B 45 FC 8B 10 FF 52 54 84 C0 74 1E 8B 45 FC 8B 10 FF 52 50 84 C0 0F 85 B3 01 00 00 8B 45 FC 88 98 98 00 00 00 E9 A5 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 DB 74 0A 8B 45 FC 8B 10 FF 52 64 EB 08 8B 45 FC 8B 10 FF 52 6C 8B 45 FC 8B 10 FF 52 50 84 C0 0F 85 82 00 00 00 84 DB 74 7E 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 72 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 00 00 00 B2 01 E8 ?? ?? ?? ?? 84 C0 75 56 8D 55 E8 8B 45 FC 8B 08 FF 51 4C 8B 45 E8 89 45 EC C6 45 F0 11 8B 45 FC 8B 10 FF 52 44 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F4 C6 45 F8 11 8D 45 EC 50 6A 01 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 88 82 99 00 00 00 84 C0 74 75 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 74 8B 45 FC 8B 10 FF 52 78 8B 45 FC 80 B8 9A 00 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 D0 00 00 00 8B 45 FC 8B 10 FF 52 68 33 C0 5A 59 59 64 89 10 E9 94 00 00 00 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 74 8B 45 FC C6 80 99 00 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 71 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 9A 00 00 00 00 74 22 8B 45 FC 8B 10 FF 52 44 85 C0 74 16 8B 45 FC 8B 10 FF 52 44 F6 40 1C 08 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 74 C3 E9 ?? ?? ?? ?? EB E0 8B 45 FC 8B 10 FF 52 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1920_0 {
	meta:
		name = "TCustomBindListLink.SetParseExpressions"
		size = 16
		altNames = "TIdMessage.SetReplyTo TSeTextObject.SetFontHot"
	strings:
		$1 = { 56 8B F0 8B 86 AC 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_1922_0 {
	meta:
		name = "TCustomBindListLink.SetPosSourceExpressions"
		size = 16
		altNames = "TIdUDPServer.SetBindings TSeActiveObject.SetActiveFont TSeActiveStyleObject.SetActiveFont TSeColorButtonObject.SetHotFont TSeTextObject.SetFontFocused"
	strings:
		$1 = { 56 8B F0 8B 86 B0 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_1923_0 {
	meta:
		name = "TCustomBindListLink.UpdateExpressions"
		size = 1224
		refs = "001a TCustomBindListLink.UpdateExpressions 0028 TCustomBindList.UpdateExpressions 0053 TExpressions.GetEnumerator 0077 TCollection.GetItem 009f TCommonBindComponent.GetComponentScopes 00ae @DynArrayHigh 00be TCommonBindComponent.GetOutputConverter 00e8 TBindingEventRec.Create 011c _Dn_TBindings 0122 TBindings.CreateUnmanagedBinding 0134 TList<System.Bindings.Expression.TBindingExpression>.Add 013c TCollectionEnumerator.MoveNext 0167 @HandleFinally 02de TCommonBindComponent.GetSourceMemberName 041c TBindings.CreateExpression 043b TArray<System.Bindings.EvalProtocol.IScope> 0445 @FinalizeArray 044d @IntfClear 0455 @UStrClr 0499 @DynArrayClear"
	strings:
		$1 = { 55 8B EC B9 0F 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 44 85 C0 0F 84 ED 03 00 00 8B 45 FC 83 78 40 00 0F 84 E0 03 00 00 8B 45 FC 8B 80 B4 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 CB 00 00 00 8B 7D F8 8B 57 04 8B 47 08 E8 ?? ?? ?? ?? 89 45 D8 8B 45 D8 89 45 DC 8B 5D DC 8B 43 10 50 8D 45 C4 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C4 89 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 43 0C 50 8D 55 C0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C0 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 A8 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 A4 50 8B 45 FC 8B 50 40 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A4 89 45 F4 E8 ?? ?? ?? ?? 50 8B 55 F4 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 B8 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 25 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 80 B0 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 CB 00 00 00 8B 7D F8 8B 57 04 8B 47 08 E8 ?? ?? ?? ?? 89 45 D0 8B 45 D0 89 45 D4 8B 5D D4 8B 43 0C 50 8D 45 A0 50 8B 45 FC 8B 50 40 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A0 89 45 E8 50 8B 45 E8 E8 ?? ?? ?? ?? 50 8B 43 10 50 8D 55 9C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 9C 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 A8 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 98 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 98 89 45 EC E8 ?? ?? ?? ?? 50 8B 55 EC A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 BC 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 25 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 80 AC 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 D7 00 00 00 8B 7D F8 8B 57 04 8B 47 08 E8 ?? ?? ?? ?? 89 45 C8 8B 45 C8 89 45 CC 8B 5D CC 8B 43 0C 50 8D 45 94 50 8D 55 90 8B 45 FC E8 ?? ?? ?? ?? 8B 4D 90 8B 45 FC 8B 50 40 8B 45 FC E8 ?? ?? ?? ?? 8B 45 94 89 45 E0 50 8B 45 E0 E8 ?? ?? ?? ?? 50 8B 43 10 50 8D 55 8C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 8C 50 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 A8 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 88 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 88 89 45 E4 E8 ?? ?? ?? ?? 50 8B 55 E4 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 A8 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 19 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 8B 40 60 50 8B 45 FC 50 8B 00 8B 40 58 50 8B 45 FC 50 8B 00 8B 40 5C 50 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 A8 50 8D 45 84 50 8B 45 FC 8B 10 FF 52 44 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 5D 84 8B C3 E8 ?? ?? ?? ?? 50 8B D3 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 55 FC 89 82 C0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 84 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 94 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 91 5F 5E 5B 8B E5 5D C3 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 65 00 6C 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_1924_0 {
	meta:
		name = "TCustomBindListLink.UpdateList$458$ActRec.$0$Body"
		size = 9
		refs = "0004 TCustomBindListLink.FillRecord"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37382_0 {
	meta:
		name = "IndySSL_CTX_load_verify_locations"
		size = 9
		refs = "0004 IndyX509_STORE_load_locations"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48133_0 {
	meta:
		name = "TAddScriptElements.AddScriptComponents"
		size = 9
		refs = "0004 TScriptManager.AddScriptComponents"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53429_0 {
	meta:
		name = "TBindExprDict.Add"
		size = 9
		refs = "0004 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Add"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53432_0 {
	meta:
		name = "TBindExprDict.GetValues"
		size = 9
		refs = "0004 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.GetValues"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90214_0 {
	meta:
		name = "TChartWalls.SetVisible"
		size = 9
		refs = "0004 TCustomAxisPanel.SetView3DWalls"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6349_0 {
	meta:
		name = "TConnectionAdmin.ModifyConnection"
		size = 9
		refs = "0004 WriteSectionValues"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85061_0 {
	meta:
		name = "TCustomCheckBox.ObserverAdded$3495$ActRec.$0$Body"
		size = 9
		refs = "0004 TCustomCheckBox.ObserverToggle"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84854_0 {
	meta:
		name = "TCustomEdit.ObserverAdded$3288$ActRec.$0$Body"
		size = 9
		refs = "0004 TCustomEdit.ObserverToggle"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80771_0 {
	meta:
		name = "TCustomGrid.ObserverAdded$6145$ActRec.$0$Body"
		size = 9
		refs = "0004 TCustomGrid.ObserverToggle"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_114135_0 {
	meta:
		name = "TCustomOwnedNode.IndexOf"
		size = 9
		refs = "0004 TList.IndexOf"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23358_0 {
	meta:
		name = "TDSCallbackTunnel.SetState$402$ActRec.$0$Body"
		size = 9
		refs = "0004 TDSCallbackTunnel.TerminateTimedOutTunnel"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15611_0 {
	meta:
		name = "TDSCustomProxyGenerator.Write$419$ActRec.$0$Body"
		size = 9
		refs = "0004 TDSCustomProxyGenerator.WriteToStreams"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16218_0 {
	meta:
		name = "TDSRestCallbackLoop.Start$320$ActRec.$0$Body"
		size = 9
		refs = "0004 TDSRestCallbackLoop.OnThreadTerminateDirect"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46985_0 {
	meta:
		name = "TDataSetWrapper.FetchParams"
		size = 9
		refs = "0004 TCustomClientDataSet.FetchParams"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78121_0 {
	meta:
		name = "TDdeCliItem.DataChange"
		size = 9
		refs = "0004 TDdeClientItem.OnAdvise"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76819_0 {
	meta:
		name = "TDockZone.NextVisible"
		size = 9
		refs = "0004 NextVisibleZone"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43211_0 {
	meta:
		name = "TIWSessions.GetList"
		size = 9
		refs = "0004 TIWSessionList.GetObjectList"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39801_0 {
	meta:
		name = "TIdBasicAuthenticationPeer.Create$245$ActRec.$0$Body"
		size = 9
		refs = "0004 TIdClassIP.SetDestroyed"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39564_0 {
	meta:
		name = "TIdHTTPPeer.Create$8$ActRec.$0$Body"
		size = 9
		refs = "0004 TIdClassIP.SetDestroyed"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39848_0 {
	meta:
		name = "TIdHTTPServerPeer.Create$292$ActRec.$0$Body"
		size = 9
		refs = "0004 TIdClassIP.SetDestroyed"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39604_0 {
	meta:
		name = "TIdHeaderListPeer.AddValue"
		size = 9
		refs = "0004 TIdHeaderList.AddValue"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39613_0 {
	meta:
		name = "TIdHeaderListPeer.IndexOfName"
		size = 9
		refs = "0004 TIdHeaderList.IndexOfName"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39691_0 {
	meta:
		name = "TIdIOHandlerPeer.ReadByte"
		size = 9
		refs = "0004 TIdIOHandler.ReadByte"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39701_0 {
	meta:
		name = "TIdIOHandlerPeerIP.ReadByte"
		size = 9
		refs = "0004 TIdIOHandler.ReadByte"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39665_0 {
	meta:
		name = "TIdProxyConnectionInfoPeer.SetProxyPort"
		size = 9
		refs = "0004 TIdProxyConnectionInfo.SetProxyPort"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39669_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSLPeer.Create$113$ActRec.$0$Body"
		size = 9
		refs = "0004 TIdSSLIOHandlerSocketOpenSSLPeer.SetDestroyed"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39969_0 {
	meta:
		name = "TIdSchedulerOfThreadPoolPeer.Create$413$ActRec.$0$Body"
		size = 9
		refs = "0004 TIdClassIP.SetDestroyed"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39837_0 {
	meta:
		name = "TIdServerIOHandlerSSLOpenSSLPeer.Create$281$ActRec.$0$Body"
		size = 9
		refs = "0004 TIdClassIP.SetDestroyed"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39705_0 {
	meta:
		name = "TIdTCPClientPeer.Create$149$ActRec.$0$Body"
		size = 9
		refs = "0004 TIdClassIP.SetDestroyed"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39726_0 {
	meta:
		name = "TIdTCPClientPeerIP.Create$170$ActRec.$0$Body"
		size = 9
		refs = "0004 TIdClassIP.SetDestroyed"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39897_0 {
	meta:
		name = "TIdTCPConnectionPeer.Disconnect"
		size = 9
		refs = "0004 TIdTCPConnection.Disconnect"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39985_0 {
	meta:
		name = "TIdTCPServerPeer.Create$429$ActRec.$0$Body"
		size = 9
		refs = "0004 TIdClassIP.SetDestroyed"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39752_0 {
	meta:
		name = "TIdX509Peer.Create$196$ActRec.$0$Body"
		size = 9
		refs = "0004 TIdClassIP.SetDestroyed"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32284_0 {
	meta:
		name = "TIndySSPINTLMClient.UpdateAndBuildType3Message"
		size = 9
		refs = "0004 TCustomSSPIConnectionContext.UpdateAndGenerateReply"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62162_0 {
	meta:
		name = "TInterfaceList.Lock"
		size = 9
		refs = "0004 TThreadList.LockList"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26330_0 {
	meta:
		name = "TLocateParamsWrapper.Count"
		size = 9
		refs = "0004 TLocateParams.GetCount"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49244_0 {
	meta:
		name = "TMimeAttachHandlerImpl.CreateMimeStream"
		size = 9
		refs = "0004 TMimeAttachmentHandler.CreateMimeStream"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49245_0 {
	meta:
		name = "TMimeAttachHandlerImpl.FinalizeStream"
		size = 9
		refs = "0004 TMimeAttachmentHandler.FinalizeStream"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62012_0 {
	meta:
		name = "TRegGroup.AddClass"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50482_0 {
	meta:
		name = "TRunningWebAppListener.SetPort"
		size = 9
		refs = "0004 TIdUDPServer.SetDefaultPort"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51912_0 {
	meta:
		name = "TScopeSymbols.Clear"
		size = 9
		refs = "0004 TList<System.string>.Clear"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51913_0 {
	meta:
		name = "TScopeSymbols.Contains"
		size = 9
		refs = "0004 TList<System.string>.Contains"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51918_0 {
	meta:
		name = "TScopeSymbols.Remove"
		size = 9
		refs = "0004 TList<System.string>.Remove"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51919_0 {
	meta:
		name = "TScopeSymbols.SetSymbols"
		size = 9
		refs = "0004 TList<System.string>.SetItem"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69438_0 {
	meta:
		name = "TSimpleRWSync.EndRead"
		size = 9
		refs = "0004 TMonitor.Exit"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69436_0 {
	meta:
		name = "TSimpleRWSync.EndWrite"
		size = 9
		refs = "0004 TMonitor.Exit"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50451_0 {
	meta:
		name = "TSockWebRequestAccess.ReadClient"
		size = 9
		refs = "0004 TWebRequestDataBlockInterpreter.CallReadClient"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50452_0 {
	meta:
		name = "TSockWebRequestAccess.ReadString"
		size = 9
		refs = "0004 TWebRequestDataBlockInterpreter.CallReadString"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50454_0 {
	meta:
		name = "TSockWebRequestAccess.UsingStub"
		size = 9
		refs = "0004 TWebRequestDataBlockInterpreter.CallUsingStub"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50455_0 {
	meta:
		name = "TSockWebRequestAccess.WriteClient"
		size = 9
		refs = "0004 TWebRequestDataBlockInterpreter.CallWriteClient"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59821_0 {
	meta:
		name = "TValueRefConverter.ClearConverters"
		size = 9
		refs = "0004 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Clear"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49903_0 {
	meta:
		name = "TWSDLLookup.ClearWSDLLookup"
		size = 9
		refs = "0004 TDictionary<System.string,System.Variant>.Clear"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49904_0 {
	meta:
		name = "TWSDLLookup.Contains"
		size = 9
		refs = "0004 TDictionary<System.string,System.Variant>.ContainsKey"
	strings:
		$1 = { 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1925_0 {
	meta:
		name = "TCustomBindListLink.UpdateList"
		size = 217
		refs = "0012 TCustomBindListLink.UpdateList 001f _DV_TCustomBindListLink.UpdateList$458$ActRec 0024 TObject.Create 0037 @IntfCopy 004f TCustomBindList.GetBindListEditor 0060 TCustomBindList.GetScopeRecordEnumerator 00a1 TCustomBindListLink.EvaluateFormat 00b6 @IntfClear 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 0C 83 BE D0 00 00 00 00 75 5C 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 4C 8D 55 F8 8B 43 0C E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 30 84 C0 74 1C 83 7D F8 00 74 2C 8B CB 85 C9 74 03 83 E9 F0 8B 55 F8 8B 45 FC 8B 18 FF 53 34 EB 16 8B 45 FC 8B 10 FF 52 28 85 C0 7E 0A 33 D2 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1928_0 {
	meta:
		name = "TActivatedContainedBindComponent.BindActivate"
		size = 106
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 92 BC 00 00 00 3A D8 74 53 84 DB 74 43 8B C6 8B 10 FF 92 C0 00 00 00 84 C0 74 41 8B C6 8B 10 FF 92 C8 00 00 00 84 C0 74 33 8B C6 8B 10 FF 52 50 84 C0 74 0E 8B C6 8B 10 FF 92 AC 00 00 00 84 C0 74 1A B2 01 8B C6 8B 08 FF 91 B8 00 00 00 EB 0C 33 D2 8B C6 8B 08 FF 91 B8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_1929_0 {
	meta:
		name = "TActivatedContainedBindComponent.LoadActivate"
		size = 77
		refs = "0037 TActivatedContainedBindComponent.ActivateFromSource"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 CC 00 00 00 8B C3 8B 10 FF 92 C0 00 00 00 84 C0 74 30 8B C3 8B 10 FF 52 50 84 C0 74 0E 8B C3 8B 10 FF 92 AC 00 00 00 84 C0 74 17 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C B2 01 8B C3 8B 08 FF 91 B8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_1930_0 {
	meta:
		name = "TActivatedContainedBindComponent.ActivateFromSource"
		size = 124
		refs = "000d TActivatedContainedBindComponent.ActivateFromSource 001b @IntfClear 002a Supports 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 8B D8 84 DB 74 14 8B 45 FC 8B 10 FF 52 0C 8B D0 8B C6 8B 08 FF 91 B8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 F7 7E 38 56 9C 0E 49 40 AD 67 37 D0 CA 60 F0 D9 }
	condition:
		$1
}

rule function_1931_0 {
	meta:
		name = "TActivatedContainedBindComponent.CanActivate"
		size = 28
	strings:
		$1 = { 53 8B D8 83 7B 40 00 74 0B 8B C3 8B 10 FF 52 44 85 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_1932_0 {
	meta:
		name = "TActivatedContainedBindComponent.CanDesignActivate"
		size = 68
		refs = "000a _DV_TCustomBindGridLink 000f @IsClass 001d _DV_TCustomBindListLink 0030 _DV_TCustomBindList"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 02 B3 01 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 02 B3 01 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 02 B3 01 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_1933_0 {
	meta:
		name = "TActivatedContainedBindComponent.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TCommonBindComponent.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 78 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1934_0 {
	meta:
		name = "TActivatedContainedBindComponent.GetAutoActivate"
		size = 5
		altNames = "TIWApplication.GetBrowser"
	strings:
		$1 = { 0F B6 40 78 C3 }
	condition:
		$1
}

rule function_1935_0 {
	meta:
		name = "TActivatedContainedBindComponent.RemoveScopeExpressions"
		size = 108
		refs = "000c TActivatedContainedBindComponent.RemoveScopeExpressions 001a @IntfClear 0029 Supports 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 66 B0 75 EE 8B 3C 02 41 98 64 38 34 47 BF A6 F2 }
	condition:
		$1
}

rule function_1936_0 {
	meta:
		name = "TActivatedContainedBindComponent.SetAutoActivate"
		size = 37
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 78 74 17 8B C6 8B 10 FF 92 B0 00 00 00 88 5E 78 8B C6 8B 10 FF 92 B4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_1937_0 {
	meta:
		name = "TActivatedContainedBindComponent.DesignAutoActivateOnPropertyChange"
		size = 204
		refs = "000c TActivatedContainedBindComponent.DesignAutoActivateOnPropertyChange 001a @IntfClear 0029 Supports 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 83 7D FC 00 74 0C 8B 45 FC 8B 10 FF 52 0C 84 C0 74 5A 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 75 4C 8B C3 8B 10 FF 52 54 84 C0 75 41 8B C3 8B 10 FF 52 50 84 C0 74 36 8B C3 8B 10 FF 92 AC 00 00 00 84 C0 74 28 8B C3 8B 10 FF 92 C0 00 00 00 84 C0 74 1A 8B C3 8B 10 FF 92 C8 00 00 00 84 C0 74 0C B2 01 8B C3 8B 08 FF 91 B8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 F7 7E 38 56 9C 0E 49 40 AD 67 37 D0 CA 60 F0 D9 }
	condition:
		$1
}

rule function_1938_0 {
	meta:
		name = "TActivatedContainedBindComponent.UpdateSourceChanged"
		size = 53
		refs = "0006 TCommonBindComponent.UpdateSourceChanged 0013 TActivatedContainedBindComponent.AddScopeExpressions 002f TActivatedContainedBindComponent.DesignAutoActivateOnPropertyChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 40 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 54 84 C0 75 0A 8B C3 8B 10 FF 92 CC 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1939_0 {
	meta:
		name = "TActivatedContainedBindComponent.UpdateSourceChanging"
		size = 51
		refs = "0006 TCommonBindComponent.UpdateSourceChanging 0013 TActivatedContainedBindComponent.RemoveScopeExpressions"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 40 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 74 0C 33 D2 8B C3 8B 08 FF 91 B8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_1940_0 {
	meta:
		name = "TActivatedContainedBindComponent.UpdateControlChanged"
		size = 40
		refs = "0006 TCommonBindComponent.UpdateControlChanged 0022 TActivatedContainedBindComponent.DesignAutoActivateOnPropertyChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 54 84 C0 75 0A 8B C3 8B 10 FF 92 CC 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1942_0 {
	meta:
		name = "TActivatedContainedBindComponent.UpdateSourceMemberChanged"
		size = 40
		refs = "0006 TCommonBindComponent.UpdateSourceMemberChanged 0022 TActivatedContainedBindComponent.DesignAutoActivateOnPropertyChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 54 84 C0 75 0A 8B C3 8B 10 FF 92 CC 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1941_0 {
	meta:
		name = "TActivatedContainedBindComponent.UpdateControlChanging"
		size = 38
		refs = "0006 TCommonBindComponent.UpdateControlChanging"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 74 0C 33 D2 8B C3 8B 08 FF 91 B8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_1943_0 {
	meta:
		name = "TActivatedContainedBindComponent.UpdateSourceMemberChanging"
		size = 38
		refs = "0006 TCommonBindComponent.UpdateSourceMemberChanging"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 74 0C 33 D2 8B C3 8B 08 FF 91 B8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_1945_0 {
	meta:
		name = "TActivatedContainedBindComponent.UpdateEnableChanged"
		size = 63
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 54 84 C0 75 2F 8B C3 8B 10 FF 52 50 84 C0 74 24 8B C3 8B 10 FF 92 AC 00 00 00 84 C0 74 16 8B C3 8B 10 FF 92 C0 00 00 00 8B D0 8B C3 8B 08 FF 91 B8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_1946_0 {
	meta:
		name = "TActivatedContainedBindComponent.AddScopeExpressions"
		size = 108
		refs = "000c TActivatedContainedBindComponent.AddScopeExpressions 001a @IntfClear 0029 Supports 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 66 B0 75 EE 8B 3C 02 41 98 64 38 34 47 BF A6 F2 }
	condition:
		$1
}

rule function_1948_0 {
	meta:
		name = "TMethods.Update"
		size = 42
		refs = "0006 TCollection.Owner 000c _DV_TCustomBindingsList 0011 @IsClass 0024 @IntfClear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 83 C0 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1949_0 {
	meta:
		name = "TOutputConverters.Update"
		size = 42
		refs = "0006 TCollection.Owner 000c _DV_TCustomBindingsList 0011 @IsClass 0024 @IntfClear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 83 C0 4C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_1950_0 {
	meta:
		name = "TEnumerableWrapper.Create"
		size = 75
		refs = "000e @ClassCreate 0026 TRttiContext.GetType 0036 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B C1 89 43 0C 8B 00 89 C6 8D 43 10 8B D6 E8 ?? ?? ?? ?? 89 43 14 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1951_0 {
	meta:
		name = "TEnumerableWrapper.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TObject.Destroy 0025 @ClassDestroy"
		altNames = "TOverloadGroup.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78489_0 {
	meta:
		name = "TDirect2DFont.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TDirect2DGraphicsObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_112302_0 {
	meta:
		name = "TDomXPathFunctionCall.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TCustomOwnedObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1952_0 {
	meta:
		name = "TEnumerableWrapper.First"
		size = 17
		refs = "000c TObject.Free"
	strings:
		$1 = { 83 C0 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1953_0 {
	meta:
		name = "TEnumerableWrapper.GetEnumerator"
		size = 224
		refs = "0014 TValue 0019 @InitializeRecord 0021 TEnumerableWrapper.GetEnumerator 0048 @DynArrayHigh 005a TRttiMethod.Invoke 0062 TValue.IsObject 006e TValue.AsObject 0096 @FinalizeRecord 009f TArray<System.Rtti.TValue> 00a4 @DynArrayClear 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 D2 89 55 FC 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 18 00 75 4B BA ?? ?? ?? ?? 8B 43 14 8B 08 FF 51 24 8B F0 85 F6 74 33 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 E0 50 8B 4D FC 8B 53 0C 8B C6 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 74 12 8D 45 E0 E8 ?? ?? ?? ?? 89 43 18 EB 05 33 C0 89 43 18 8B 5B 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 45 00 6E 00 75 00 6D 00 65 00 72 00 61 00 74 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_1954_0 {
	meta:
		name = "TEnumerableWrapper.GetCurrent"
		size = 37
		refs = "0005 TEnumerableWrapper.GetEnumerator 0012 @IntfClear 001e WrapObject"
	strings:
		$1 = { 53 56 8B F2 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1955_0 {
	meta:
		name = "TEnumerableWrapper.GetMemberCurrent"
		size = 18
		refs = "000b TEnumerableWrapper.GetCurrent"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96826_0 {
	meta:
		name = "TAdapterUpdateField.GetValues"
		size = 18
		refs = "000b TAdapterNamedField.GetValue"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26089_0 {
	meta:
		name = "TSimpleObjectBroker.GetComputerForGUID"
		size = 18
		refs = "000b TSimpleObjectBroker.GetNextComputer"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26090_0 {
	meta:
		name = "TSimpleObjectBroker.GetComputerForProgID"
		size = 18
		refs = "000b TSimpleObjectBroker.GetNextComputer"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64659_0 {
	meta:
		name = "UTF8ToString"
		size = 18
		refs = "000b UTF8ToUnicodeString"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1957_0 {
	meta:
		name = "TEnumerableWrapper.MoveNext"
		size = 240
		refs = "0014 TValue 0019 @InitializeRecord 0021 TEnumerableWrapper.MoveNext 002e TEnumerableWrapper.GetEnumerator 0045 TRttiContext.GetType 0061 @DynArrayHigh 0072 TRttiMethod.Invoke 007a TValue.IsType<System.Boolean> 0086 TValue.AsBoolean 00ab @FinalizeRecord 00b4 TArray<System.Rtti.TValue> 00b9 @DynArrayClear 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 D2 89 55 FC 8B F0 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 33 DB EB 58 8B 13 89 D0 8D 56 10 92 E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B F0 85 F6 74 35 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 E0 50 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 74 0C 8D 45 E0 E8 ?? ?? ?? ?? 8B D8 EB 06 33 DB EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 6F 00 76 00 65 00 4E 00 65 00 78 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_1958_0 {
	meta:
		name = "TControlObserver.EnsureObserving"
		size = 102
		refs = "0012 @IntfAddRef 001a TControlObserver.EnsureObserving 0029 TControlObserver.IsObserving 003b TControlObserver.AddObserver 0052 @IntfClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 0E 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1959_0 {
	meta:
		name = "TControlObserver.GetEditGridLink"
		size = 116
		refs = "000f TControlObserver.GetEditGridLink 0024 TControlObserver.GetObserver 002f @IntfClear 003c Supports 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 48 B6 11 A9 E5 E1 EC 4E 9F EE D8 E6 2F FA 0E 71 }
	condition:
		$1
}

rule function_1960_0 {
	meta:
		name = "TControlObserver.GetEditLink"
		size = 116
		refs = "000f TControlObserver.GetEditLink 0024 TControlObserver.GetObserver 002f @IntfClear 003c Supports 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 05 27 8C E8 5A 7C 66 4E 9B 81 44 7D 05 D5 E6 40 }
	condition:
		$1
}

rule function_1961_0 {
	meta:
		name = "TControlObserver.GetPositionLinkObserver"
		size = 116
		refs = "000f TControlObserver.GetPositionLinkObserver 0024 TControlObserver.GetObserver 002f @IntfClear 003c Supports 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 0C CF 45 FA DB E8 9E 4F B5 3F E0 72 C9 46 59 F6 }
	condition:
		$1
}

rule function_1962_0 {
	meta:
		name = "TControlObserver.GetObserver"
		size = 43
		refs = "000c @IntfClear 0018 TDictionary<System.Integer,System.Classes.IObserver>.TryGetValue"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 43 08 E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1963_0 {
	meta:
		name = "TControlObserver.IsObserving"
		size = 9
		refs = "0004 TDictionary<System.Integer,System.Classes.IObserver>.ContainsKey"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53412_0 {
	meta:
		name = "TBindingExpression.Clear"
		size = 9
		refs = "0004 TDictionary<System.TObject,System.string>.Clear"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57006_0 {
	meta:
		name = "TBindingManager.Clear"
		size = 9
		refs = "0004 TList<System.Bindings.Expression.TBindingExpression>.Clear"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57008_0 {
	meta:
		name = "TBindingManager.Delete"
		size = 9
		refs = "0004 TList<System.Bindings.Expression.TBindingExpression>.Delete"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57016_0 {
	meta:
		name = "TBindingManager.Extract"
		size = 9
		refs = "0004 TList<System.Bindings.Expression.TBindingExpression>.Extract"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57011_0 {
	meta:
		name = "TBindingManager.GetExpressions"
		size = 9
		refs = "0004 TList<System.Bindings.Expression.TBindingExpression>.GetItem"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57014_0 {
	meta:
		name = "TBindingManager.IndexOf"
		size = 9
		refs = "0004 TList<System.Bindings.Expression.TBindingExpression>.IndexOf"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57015_0 {
	meta:
		name = "TBindingManager.Remove"
		size = 9
		refs = "0004 TList<System.Bindings.Expression.TBindingExpression>.Remove"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10938_0 {
	meta:
		name = "TDBXJSonServerProtocolHandler.HandleNonBlockingProtocol"
		size = 9
		refs = "0004 TDBXJSonServerInputConnectionHandler.HandleNonBlockingProtocol"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10934_0 {
	meta:
		name = "TDBXJSonServerProtocolHandler.HandleProtocol"
		size = 9
		refs = "0004 TDBXJSonServerInputConnectionHandler.HandleProtocol"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6623_0 {
	meta:
		name = "TDBXProperties.SetValue"
		size = 9
		refs = "0004 TStrings.SetValue"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10944_0 {
	meta:
		name = "TDBXServerCallback.IsConnectionLost"
		size = 9
		refs = "0004 TDBXJSonConnectionHandler.IsConnectionLost"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76821_0 {
	meta:
		name = "TDockZone.FirstVisibleChild"
		size = 9
		refs = "0004 NextVisibleZone"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81257_0 {
	meta:
		name = "TGIFColorMap.GetBitsPerPixel"
		size = 9
		refs = "0004 Colors2bpp"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9418_0 {
	meta:
		name = "TJSONArray.AddDescendant"
		size = 9
		refs = "0004 TDBXArrayList.Add"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9383_0 {
	meta:
		name = "TJSONObject.AddDescendant"
		size = 9
		refs = "0004 TDBXArrayList.Add"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9374_0 {
	meta:
		name = "TJSONObject.Size"
		size = 9
		refs = "0004 TDBXArrayList.GetCount"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98514_0 {
	meta:
		name = "TLineNumberMap.GetCount"
		size = 9
		refs = "0004 @DynArrayLength"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75187_0 {
	meta:
		name = "TListItem.GetSubItemImage"
		size = 9
		refs = "0004 TSubItems.GetImageIndex"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30050_0 {
	meta:
		name = "TObjectList.Unlock"
		size = 9
		refs = "0004 TMonitor.Exit"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71304_0 {
	meta:
		name = "TRegistryIniFile.DeleteKey"
		size = 9
		refs = "0004 TRegIniFile.DeleteKey"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71303_0 {
	meta:
		name = "TRegistryIniFile.EraseSection"
		size = 9
		refs = "0004 TRegIniFile.EraseSection"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71297_0 {
	meta:
		name = "TRegistryIniFile.ReadSection"
		size = 9
		refs = "0004 TRegIniFile.ReadSection"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71302_0 {
	meta:
		name = "TRegistryIniFile.ReadSectionValues"
		size = 9
		refs = "0004 TRegIniFile.ReadSectionValues"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71298_0 {
	meta:
		name = "TRegistryIniFile.ReadSections"
		size = 9
		refs = "0004 TRegIniFile.ReadSections"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9908_0 {
	meta:
		name = "TStack<Data.DBXJSON.TJSONAncestor>.GetCapacity"
		size = 9
		refs = "0004 @DynArrayLength"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53057_0 {
	meta:
		name = "TStack<System.Bindings.EvalProtocol.IScope>.GetCapacity"
		size = 9
		refs = "0004 @DynArrayLength"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91409_0 {
	meta:
		name = "TTeeCanvas3D.ClipRectangle"
		size = 9
		refs = "0004 ClipCanvas"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91396_0 {
	meta:
		name = "TTeeCanvas3D.GetHandle"
		size = 9
		refs = "0004 TCanvas.GetHandle"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91425_0 {
	meta:
		name = "TTeeCanvas3D.UnClipRectangle"
		size = 9
		refs = "0004 UnClipCanvas"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62137_0 {
	meta:
		name = "TThreadList.UnlockList"
		size = 9
		refs = "0004 TMonitor.Exit"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97676_0 {
	meta:
		name = "TWebComponentList.IndexOf"
		size = 9
		refs = "0004 TList.IndexOf"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50324_0 {
	meta:
		name = "TXSBaseCustomDateTime.GetHourOffset"
		size = 9
		refs = "0004 TXSBaseTime.GetHourOffset"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50323_0 {
	meta:
		name = "TXSBaseCustomDateTime.GetMillisecond"
		size = 9
		refs = "0004 TXSBaseTime.GetMillisecond"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50325_0 {
	meta:
		name = "TXSBaseCustomDateTime.GetMinuteOffset"
		size = 9
		refs = "0004 TXSBaseTime.GetMinuteOffset"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50329_0 {
	meta:
		name = "TXSBaseCustomDateTime.SetHour"
		size = 9
		refs = "0004 TXSBaseTime.SetHour"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50333_0 {
	meta:
		name = "TXSBaseCustomDateTime.SetHourOffset"
		size = 9
		refs = "0004 TXSBaseTime.SetHourOffset"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50332_0 {
	meta:
		name = "TXSBaseCustomDateTime.SetMillisecond"
		size = 9
		refs = "0004 TXSBaseTime.SetMillisecond"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50330_0 {
	meta:
		name = "TXSBaseCustomDateTime.SetMinute"
		size = 9
		refs = "0004 TXSBaseTime.SetMinute"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50334_0 {
	meta:
		name = "TXSBaseCustomDateTime.SetMinuteOffset"
		size = 9
		refs = "0004 TXSBaseTime.SetMinuteOffset"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50331_0 {
	meta:
		name = "TXSBaseCustomDateTime.SetSecond"
		size = 9
		refs = "0004 TXSBaseTime.SetSecond"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45655_0 {
	meta:
		name = "TXmlNode.GetValueAsBool"
		size = 9
		refs = "0004 sdStringToBool"
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46833_0 {
	meta:
		name = "_DF_."
		size = 9
		refs = "0004 _DF_."
	strings:
		$1 = { 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1964_0 {
	meta:
		name = "TControlObserver.AddObserver"
		size = 171
		refs = "0019 @IntfAddRef 0021 TControlObserver.AddObserver 0078 TDictionary<System.Integer,System.Classes.IObserver>.Add 008d @IntfClear 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F8 89 4D FC 89 55 F4 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8B 73 04 85 F6 74 46 8B C6 8B 10 FF 52 20 8B F0 8B 55 F4 8B C6 8B 08 FF 11 84 C0 74 30 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 83 7D F8 00 74 1F 8B 4D F8 8B 55 F4 8B C6 8B 30 FF 56 04 C6 45 F3 01 8B 4D F8 8B 55 F4 8B 43 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1965_0 {
	meta:
		name = "TControlObserver.RemoveObserver"
		size = 180
		refs = "0016 TControlObserver.RemoveObserver 0024 @IntfClear 0034 TDictionary<System.Integer,System.Classes.IObserver>.TryGetValue 0086 TDictionary<System.Integer,System.Classes.IObserver>.Remove 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8B 45 F8 8B 40 08 8B 55 F4 E8 ?? ?? ?? ?? 84 C0 74 56 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D FC 00 74 1F 8B 45 F8 83 78 04 00 74 16 8B 45 F8 8B 40 04 8B 10 FF 52 20 8B 4D FC 8B 55 F4 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 08 8B 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1966_0 {
	meta:
		name = "TControlObserver.SetComponent"
		size = 24
		refs = "000e TControlObserver.Clear"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 04 74 0A 8B C3 E8 ?? ?? ?? ?? 89 73 04 5E 5B C3 }
	condition:
		$1
}

rule function_1967_0 {
	meta:
		name = "TControlObserver.TrySetActive"
		size = 196
		refs = "0011 TPair<System.Integer,System.Classes.IObserver> 0016 @InitializeRecord 001e TControlObserver.TrySetActive 0030 TDictionary<System.Integer,System.Classes.IObserver>.GetEnumerator 004e TDictionary<System.Integer,System.Classes.IObserver>.TPairEnumerator.GetCurrent 006a TDictionary<System.Integer,System.Classes.IObserver>.TPairEnumerator.MoveNext 0091 @HandleFinally 00ae @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 46 08 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1F 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 83 7D FC 00 74 0E 8B D3 8B 45 FC 8B 08 FF 51 14 C6 45 F7 01 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 F7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1969_0 {
	meta:
		name = "TControlObserver.RemoveObservers"
		size = 183
		refs = "0014 TControlObserver.RemoveObservers 0033 TDictionary<System.Integer,System.Classes.IObserver>.GetKeys 004f TControlObserver.RemoveObserver 0058 @DynArrayLength 0065 TArray<System.Integer> 006a @DynArrayClear 0082 TDictionary<System.Integer,System.Classes.IObserver>.Clear 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 51 04 33 DB EB 11 8B 45 FC 8B 34 98 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C E3 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1970_0 {
	meta:
		name = "TControlObserver.Create"
		size = 61
		refs = "000a @ClassCreate 0017 _DV_TDictionary<System.Integer,System.Classes.IObserver> 001c TDictionary<System.Integer,System.Classes.IObserver>.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_1971_0 {
	meta:
		name = "TControlObserver.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 000e TControlObserver.Clear 0016 TObject.Free 0021 TObject.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1972_0 {
	meta:
		name = "Finalization"
		size = 51
		refs = "0002 _DV_94 000a _DV_TBindComponentScope 000f _Dn_TBindingScopeFactory 0014 TBindingScopeFactory.UnregisterScope 001a _DV_TBindScopeComponentScope 0029 FEditorFactories 002e TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 2A 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1973_0 {
	meta:
		name = "Data.Bind.Components"
		size = 71
		refs = "0002 _DV_94 000c _DV_TList<Data.Bind.Components.TBindEditorFactoryClass> 0011 TList<Data.Bind.Components.TBindEditorFactoryClass>.Create 0016 FEditorFactories 001c _DV_TBindComponentScope 0022 _Dn_TComponent 0027 _Dn_TBindingScopeFactory 002c TBindingScopeFactory.RegisterScope 0032 _DV_TBindScopeComponentScope 0038 _DV_TBaseBindScopeComponent"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 3D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1974_0 {
	meta:
		name = "TEnumerable<System.Bindings.Expression.TBindingExpression>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Bindings.Expression.TBindingExpression> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.Expression.TBindingExpression>.GetEnumerator 0036 TEnumerable<System.Bindings.Expression.TBindingExpression>.ToArrayImpl 0058 TEnumerator<System.Bindings.Expression.TBindingExpression>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28518_0 {
	meta:
		name = "TEnumerable<DSAzureBlob.TBBlob>.ToArrayImpl"
		size = 139
		refs = "001a TArray<DSAzureBlob.TBBlob> 001f @DynArraySetLength 002b TEnumerable<DSAzureBlob.TBBlob>.GetEnumerator 0036 TEnumerable<DSAzureBlob.TBBlob>.ToArrayImpl 0058 TEnumerator<DSAzureBlob.TBBlob>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28740_0 {
	meta:
		name = "TEnumerable<DSAzureBlob.TBBlock>.ToArrayImpl"
		size = 139
		refs = "001a TArray<DSAzureBlob.TBBlock> 001f @DynArraySetLength 002b TEnumerable<DSAzureBlob.TBBlock>.GetEnumerator 0036 TEnumerable<DSAzureBlob.TBBlock>.ToArrayImpl 0058 TEnumerator<DSAzureBlob.TBBlock>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28394_0 {
	meta:
		name = "TEnumerable<DSAzureBlob.TBContainer>.ToArrayImpl"
		size = 139
		refs = "001a TArray<DSAzureBlob.TBContainer> 001f @DynArraySetLength 002b TEnumerable<DSAzureBlob.TBContainer>.GetEnumerator 0036 TEnumerable<DSAzureBlob.TBContainer>.ToArrayImpl 0058 TEnumerator<DSAzureBlob.TBContainer>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28683_0 {
	meta:
		name = "TEnumerable<DSAzureBlob.TBPageRange>.ToArrayImpl"
		size = 139
		refs = "001a TArray<DSAzureBlob.TBPageRange> 001f @DynArraySetLength 002b TEnumerable<DSAzureBlob.TBPageRange>.GetEnumerator 0036 TEnumerable<DSAzureBlob.TBPageRange>.ToArrayImpl 0058 TEnumerator<DSAzureBlob.TBPageRange>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28626_0 {
	meta:
		name = "TEnumerable<DSAzureBlob.TBSignedIdentifier>.ToArrayImpl"
		size = 139
		refs = "001a TArray<DSAzureBlob.TBSignedIdentifier> 001f @DynArraySetLength 002b TEnumerable<DSAzureBlob.TBSignedIdentifier>.GetEnumerator 0036 TEnumerable<DSAzureBlob.TBSignedIdentifier>.ToArrayImpl 0058 TEnumerator<DSAzureBlob.TBSignedIdentifier>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28573_0 {
	meta:
		name = "TEnumerable<DSAzureBlob.TLeaseItem>.ToArrayImpl"
		size = 139
		refs = "001a TArray<DSAzureBlob.TLeaseItem> 001f @DynArraySetLength 002b TEnumerable<DSAzureBlob.TLeaseItem>.GetEnumerator 0036 TEnumerable<DSAzureBlob.TLeaseItem>.ToArrayImpl 0058 TEnumerator<DSAzureBlob.TLeaseItem>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29041_0 {
	meta:
		name = "TEnumerable<DSAzureQueue.TMessageNodeData>.ToArrayImpl"
		size = 139
		refs = "001a TArray<DSAzureQueue.TMessageNodeData> 001f @DynArraySetLength 002b TEnumerable<DSAzureQueue.TMessageNodeData>.GetEnumerator 0036 TEnumerable<DSAzureQueue.TMessageNodeData>.ToArrayImpl 0058 TEnumerator<DSAzureQueue.TMessageNodeData>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29295_0 {
	meta:
		name = "TEnumerable<DSAzureTableDialog.TAzureTableColumn>.ToArrayImpl"
		size = 139
		refs = "001a TArray<DSAzureTableDialog.TAzureTableColumn> 001f @DynArraySetLength 002b TEnumerable<DSAzureTableDialog.TAzureTableColumn>.GetEnumerator 0036 TEnumerable<DSAzureTableDialog.TAzureTableColumn>.ToArrayImpl 0058 TEnumerator<DSAzureTableDialog.TAzureTableColumn>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29314_0 {
	meta:
		name = "TEnumerable<DSAzureTableDialog.TAzureTableRow>.ToArrayImpl"
		size = 139
		refs = "001a TArray<DSAzureTableDialog.TAzureTableRow> 001f @DynArraySetLength 002b TEnumerable<DSAzureTableDialog.TAzureTableRow>.GetEnumerator 0036 TEnumerable<DSAzureTableDialog.TAzureTableRow>.ToArrayImpl 0058 TEnumerator<DSAzureTableDialog.TAzureTableRow>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2076_0 {
	meta:
		name = "TEnumerable<Data.Bind.Components.TBasicBindComponent>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Data.Bind.Components.TBasicBindComponent> 001f @DynArraySetLength 002b TEnumerable<Data.Bind.Components.TBasicBindComponent>.GetEnumerator 0036 TEnumerable<Data.Bind.Components.TBasicBindComponent>.ToArrayImpl 0058 TEnumerator<Data.Bind.Components.TBasicBindComponent>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2252_0 {
	meta:
		name = "TEnumerable<Data.Bind.Components.TBindEditorFactoryClass>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Data.Bind.Components.TBindEditorFactoryClass> 001f @DynArraySetLength 002b TEnumerable<Data.Bind.Components.TBindEditorFactoryClass>.GetEnumerator 0036 TEnumerable<Data.Bind.Components.TBindEditorFactoryClass>.ToArrayImpl 0058 TEnumerator<Data.Bind.Components.TBindEditorFactoryClass>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2025_0 {
	meta:
		name = "TEnumerable<Data.Bind.Components.TContainedBindComponent>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Data.Bind.Components.TContainedBindComponent> 001f @DynArraySetLength 002b TEnumerable<Data.Bind.Components.TContainedBindComponent>.GetEnumerator 0036 TEnumerable<Data.Bind.Components.TContainedBindComponent>.ToArrayImpl 0058 TEnumerator<Data.Bind.Components.TContainedBindComponent>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2726_0 {
	meta:
		name = "TEnumerable<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Data.Bind.DBLinks.TBindDBColumnFactoryClass> 001f @DynArraySetLength 002b TEnumerable<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.GetEnumerator 0036 TEnumerable<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.ToArrayImpl 0058 TEnumerator<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2947_0 {
	meta:
		name = "TEnumerable<Data.Bind.DBScope.TBaseDataLink>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Data.Bind.DBScope.TBaseDataLink> 001f @DynArraySetLength 002b TEnumerable<Data.Bind.DBScope.TBaseDataLink>.GetEnumerator 0036 TEnumerable<Data.Bind.DBScope.TBaseDataLink>.ToArrayImpl 0058 TEnumerator<Data.Bind.DBScope.TBaseDataLink>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4648_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AzureAPI.TAzureBlob>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Data.Cloud.AzureAPI.TAzureBlob> 001f @DynArraySetLength 002b TEnumerable<Data.Cloud.AzureAPI.TAzureBlob>.GetEnumerator 0036 TEnumerable<Data.Cloud.AzureAPI.TAzureBlob>.ToArrayImpl 0058 TEnumerator<Data.Cloud.AzureAPI.TAzureBlob>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4546_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AzureAPI.TAzureContainer>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Data.Cloud.AzureAPI.TAzureContainer> 001f @DynArraySetLength 002b TEnumerable<Data.Cloud.AzureAPI.TAzureContainer>.GetEnumerator 0036 TEnumerable<Data.Cloud.AzureAPI.TAzureContainer>.ToArrayImpl 0058 TEnumerator<Data.Cloud.AzureAPI.TAzureContainer>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4597_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AzureAPI.TSignedIdentifier>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Data.Cloud.AzureAPI.TSignedIdentifier> 001f @DynArraySetLength 002b TEnumerable<Data.Cloud.AzureAPI.TSignedIdentifier>.GetEnumerator 0036 TEnumerable<Data.Cloud.AzureAPI.TSignedIdentifier>.ToArrayImpl 0058 TEnumerator<Data.Cloud.AzureAPI.TSignedIdentifier>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3667_0 {
	meta:
		name = "TEnumerable<Data.Cloud.CloudAPI.TCloudQueueMessage>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Data.Cloud.CloudAPI.TCloudQueueMessage> 001f @DynArraySetLength 002b TEnumerable<Data.Cloud.CloudAPI.TCloudQueueMessage>.GetEnumerator 0036 TEnumerable<Data.Cloud.CloudAPI.TCloudQueueMessage>.ToArrayImpl 0058 TEnumerator<Data.Cloud.CloudAPI.TCloudQueueMessage>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4024_0 {
	meta:
		name = "TEnumerable<Data.Cloud.CloudAPI.TCloudTableColumn>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Data.Cloud.CloudAPI.TCloudTableColumn> 001f @DynArraySetLength 002b TEnumerable<Data.Cloud.CloudAPI.TCloudTableColumn>.GetEnumerator 0036 TEnumerable<Data.Cloud.CloudAPI.TCloudTableColumn>.ToArrayImpl 0058 TEnumerator<Data.Cloud.CloudAPI.TCloudTableColumn>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3616_0 {
	meta:
		name = "TEnumerable<Data.Cloud.CloudAPI.TCloudTableRow>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Data.Cloud.CloudAPI.TCloudTableRow> 001f @DynArraySetLength 002b TEnumerable<Data.Cloud.CloudAPI.TCloudTableRow>.GetEnumerator 0036 TEnumerable<Data.Cloud.CloudAPI.TCloudTableRow>.ToArrayImpl 0058 TEnumerator<Data.Cloud.CloudAPI.TCloudTableRow>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18005_0 {
	meta:
		name = "TEnumerable<Data.DBXCommon.TDBXParameter>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Data.DBXCommon.TDBXParameter> 001f @DynArraySetLength 002b TEnumerable<Data.DBXCommon.TDBXParameter>.GetEnumerator 0036 TEnumerable<Data.DBXCommon.TDBXParameter>.ToArrayImpl 0058 TEnumerator<Data.DBXCommon.TDBXParameter>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7866_0 {
	meta:
		name = "TEnumerable<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec> 001f @DynArraySetLength 002b TEnumerable<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.GetEnumerator 0036 TEnumerable<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.ToArrayImpl 0058 TEnumerator<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24631_0 {
	meta:
		name = "TEnumerable<Data.DBXCommon.TResultCommandHandler>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Data.DBXCommon.TResultCommandHandler> 001f @DynArraySetLength 002b TEnumerable<Data.DBXCommon.TResultCommandHandler>.GetEnumerator 0036 TEnumerable<Data.DBXCommon.TResultCommandHandler>.ToArrayImpl 0058 TEnumerator<Data.DBXCommon.TResultCommandHandler>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9901_0 {
	meta:
		name = "TEnumerable<Data.DBXJSON.TJSONAncestor>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Data.DBXJSON.TJSONAncestor> 001f @DynArraySetLength 002b TEnumerable<Data.DBXJSON.TJSONAncestor>.GetEnumerator 0036 TEnumerable<Data.DBXJSON.TJSONAncestor>.ToArrayImpl 0058 TEnumerator<Data.DBXJSON.TJSONAncestor>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9838_0 {
	meta:
		name = "TEnumerable<Data.DBXJSONReflect.TConverterEvent>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Data.DBXJSONReflect.TConverterEvent> 001f @DynArraySetLength 002b TEnumerable<Data.DBXJSONReflect.TConverterEvent>.GetEnumerator 0036 TEnumerable<Data.DBXJSONReflect.TConverterEvent>.ToArrayImpl 0058 TEnumerator<Data.DBXJSONReflect.TConverterEvent>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17981_0 {
	meta:
		name = "TEnumerable<Data.DBXJSONReflect.TReverterEvent>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Data.DBXJSONReflect.TReverterEvent> 001f @DynArraySetLength 002b TEnumerable<Data.DBXJSONReflect.TReverterEvent>.GetEnumerator 0036 TEnumerable<Data.DBXJSONReflect.TReverterEvent>.ToArrayImpl 0058 TEnumerator<Data.DBXJSONReflect.TReverterEvent>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10988_0 {
	meta:
		name = "TEnumerable<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler> 001f @DynArraySetLength 002b TEnumerable<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.GetEnumerator 0036 TEnumerable<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.ToArrayImpl 0058 TEnumerator<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16250_0 {
	meta:
		name = "TEnumerable<Datasnap.DSClientRest.TDSRestClientCallback>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Datasnap.DSClientRest.TDSRestClientCallback> 001f @DynArraySetLength 002b TEnumerable<Datasnap.DSClientRest.TDSRestClientCallback>.GetEnumerator 0036 TEnumerable<Datasnap.DSClientRest.TDSRestClientCallback>.ToArrayImpl 0058 TEnumerator<Datasnap.DSClientRest.TDSRestClientCallback>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17257_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTP.TDSHTTPClass>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Datasnap.DSHTTP.TDSHTTPClass> 001f @DynArraySetLength 002b TEnumerable<Datasnap.DSHTTP.TDSHTTPClass>.GetEnumerator 0036 TEnumerable<Datasnap.DSHTTP.TDSHTTPClass>.ToArrayImpl 0058 TEnumerator<Datasnap.DSHTTP.TDSHTTPClass>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17837_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTPCommon.TDSCallbackItem>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Datasnap.DSHTTPCommon.TDSCallbackItem> 001f @DynArraySetLength 002b TEnumerable<Datasnap.DSHTTPCommon.TDSCallbackItem>.GetEnumerator 0036 TEnumerable<Datasnap.DSHTTPCommon.TDSCallbackItem>.ToArrayImpl 0058 TEnumerator<Datasnap.DSHTTPCommon.TDSCallbackItem>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18056_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Datasnap.DSHTTPCommon.TDSCommandComplexParams> 001f @DynArraySetLength 002b TEnumerable<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.GetEnumerator 0036 TEnumerable<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.ToArrayImpl 0058 TEnumerator<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17734_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTPCommon.TDSExecutionResponse>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Datasnap.DSHTTPCommon.TDSExecutionResponse> 001f @DynArraySetLength 002b TEnumerable<Datasnap.DSHTTPCommon.TDSExecutionResponse>.GetEnumerator 0036 TEnumerable<Datasnap.DSHTTPCommon.TDSExecutionResponse>.ToArrayImpl 0058 TEnumerator<Datasnap.DSHTTPCommon.TDSExecutionResponse>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23703_0 {
	meta:
		name = "TEnumerable<Datasnap.DSServer.TDSCallbackTunnel>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Datasnap.DSServer.TDSCallbackTunnel> 001f @DynArraySetLength 002b TEnumerable<Datasnap.DSServer.TDSCallbackTunnel>.GetEnumerator 0036 TEnumerable<Datasnap.DSServer.TDSCallbackTunnel>.ToArrayImpl 0058 TEnumerator<Datasnap.DSServer.TDSCallbackTunnel>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18160_0 {
	meta:
		name = "TEnumerable<Datasnap.DSService.TDBXRequestFilter>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Datasnap.DSService.TDBXRequestFilter> 001f @DynArraySetLength 002b TEnumerable<Datasnap.DSService.TDBXRequestFilter>.GetEnumerator 0036 TEnumerable<Datasnap.DSService.TDBXRequestFilter>.ToArrayImpl 0058 TEnumerator<Datasnap.DSService.TDBXRequestFilter>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18663_0 {
	meta:
		name = "TEnumerable<Datasnap.DSService.TDSSession>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Datasnap.DSService.TDSSession> 001f @DynArraySetLength 002b TEnumerable<Datasnap.DSService.TDSSession>.GetEnumerator 0036 TEnumerable<Datasnap.DSService.TDSSession>.ToArrayImpl 0058 TEnumerator<Datasnap.DSService.TDSSession>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29668_0 {
	meta:
		name = "TEnumerable<GraphView.TGraphEdge>.ToArrayImpl"
		size = 139
		refs = "001a TArray<GraphView.TGraphEdge> 001f @DynArraySetLength 002b TEnumerable<GraphView.TGraphEdge>.GetEnumerator 0036 TEnumerable<GraphView.TGraphEdge>.ToArrayImpl 0058 TEnumerator<GraphView.TGraphEdge>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29778_0 {
	meta:
		name = "TEnumerable<GraphView.TGraphNode>.ToArrayImpl"
		size = 139
		refs = "001a TArray<GraphView.TGraphNode> 001f @DynArraySetLength 002b TEnumerable<GraphView.TGraphNode>.GetEnumerator 0036 TEnumerable<GraphView.TGraphNode>.ToArrayImpl 0058 TEnumerator<GraphView.TGraphNode>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29723_0 {
	meta:
		name = "TEnumerable<GraphView.TObjectList<GraphView.TGraphEdge>>.ToArrayImpl"
		size = 139
		refs = "001a TArray<GraphView.TObjectList<GraphView.TGraphEdge>> 001f @DynArraySetLength 002b TEnumerable<GraphView.TObjectList<GraphView.TGraphEdge>>.GetEnumerator 0036 TEnumerable<GraphView.TObjectList<GraphView.TGraphEdge>>.ToArrayImpl 0058 TEnumerator<GraphView.TObjectList<GraphView.TGraphEdge>>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30540_0 {
	meta:
		name = "TEnumerable<IBDatabase.TIBBase>.ToArrayImpl"
		size = 139
		refs = "001a TArray<IBDatabase.TIBBase> 001f @DynArraySetLength 002b TEnumerable<IBDatabase.TIBBase>.GetEnumerator 0036 TEnumerable<IBDatabase.TIBBase>.ToArrayImpl 0058 TEnumerator<IBDatabase.TIBBase>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30642_0 {
	meta:
		name = "TEnumerable<IBDatabase.TIBDatabase>.ToArrayImpl"
		size = 139
		refs = "001a TArray<IBDatabase.TIBDatabase> 001f @DynArraySetLength 002b TEnumerable<IBDatabase.TIBDatabase>.GetEnumerator 0036 TEnumerable<IBDatabase.TIBDatabase>.ToArrayImpl 0058 TEnumerator<IBDatabase.TIBDatabase>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30591_0 {
	meta:
		name = "TEnumerable<IBDatabase.TIBTransaction>.ToArrayImpl"
		size = 139
		refs = "001a TArray<IBDatabase.TIBTransaction> 001f @DynArraySetLength 002b TEnumerable<IBDatabase.TIBTransaction>.GetEnumerator 0036 TEnumerable<IBDatabase.TIBTransaction>.ToArrayImpl 0058 TEnumerator<IBDatabase.TIBTransaction>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42634_0 {
	meta:
		name = "TEnumerable<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.ToArrayImpl"
		size = 139
		refs = "001a TArray<IPPeerAPI.TDictionary<System.TGUID,System.TClass>> 001f @DynArraySetLength 002b TEnumerable<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.GetEnumerator 0036 TEnumerable<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.ToArrayImpl 0058 TEnumerator<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40130_0 {
	meta:
		name = "TEnumerable<IdContext.TIdContext>.ToArrayImpl"
		size = 139
		refs = "001a TArray<IdContext.TIdContext> 001f @DynArraySetLength 002b TEnumerable<IdContext.TIdContext>.GetEnumerator 0036 TEnumerable<IdContext.TIdContext>.ToArrayImpl 0058 TEnumerator<IdContext.TIdContext>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_54488_0 {
	meta:
		name = "TEnumerable<System.Bindings.CustomScope.TScopeClass>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Bindings.CustomScope.TScopeClass> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.CustomScope.TScopeClass>.GetEnumerator 0036 TEnumerable<System.Bindings.CustomScope.TScopeClass>.ToArrayImpl 0058 TEnumerator<System.Bindings.CustomScope.TScopeClass>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52561_0 {
	meta:
		name = "TEnumerable<System.Bindings.EvalSys.TOverload>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Bindings.EvalSys.TOverload> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.EvalSys.TOverload>.GetEnumerator 0036 TEnumerable<System.Bindings.EvalSys.TOverload>.ToArrayImpl 0058 TEnumerator<System.Bindings.EvalSys.TOverload>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_55183_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetEnumerator 0036 TEnumerable<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.ToArrayImpl 0058 TEnumerator<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_54977_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Bindings.Graph.TDictionary<System.string,System.Int64>> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetEnumerator 0036 TEnumerable<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.ToArrayImpl 0058 TEnumerator<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_55318_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Bindings.Graph.TDictionary<System.string,System.Integer>> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetEnumerator 0036 TEnumerable<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.ToArrayImpl 0058 TEnumerator<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_57019_0 {
	meta:
		name = "TEnumerable<System.Bindings.Manager.TBindingManager>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Bindings.Manager.TBindingManager> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.Manager.TBindingManager>.GetEnumerator 0036 TEnumerable<System.Bindings.Manager.TBindingManager>.ToArrayImpl 0058 TEnumerator<System.Bindings.Manager.TBindingManager>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_57784_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetEnumerator 0036 TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.ToArrayImpl 0058 TEnumerator<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_57602_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetEnumerator 0036 TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.ToArrayImpl 0058 TEnumerator<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_57396_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetEnumerator 0036 TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.ToArrayImpl 0058 TEnumerator<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59991_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetEnumerator 0036 TEnumerable<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.ToArrayImpl 0058 TEnumerator<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_86238_0 {
	meta:
		name = "TEnumerable<System.Classes.TComponent>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Classes.TComponent> 001f @DynArraySetLength 002b TEnumerable<System.Classes.TComponent>.GetEnumerator 0036 TEnumerable<System.Classes.TComponent>.ToArrayImpl 0058 TEnumerator<System.Classes.TComponent>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15687_0 {
	meta:
		name = "TEnumerable<System.Classes.TStream>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Classes.TStream> 001f @DynArraySetLength 002b TEnumerable<System.Classes.TStream>.GetEnumerator 0036 TEnumerable<System.Classes.TStream>.ToArrayImpl 0058 TEnumerator<System.Classes.TStream>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23571_0 {
	meta:
		name = "TEnumerable<System.Classes.TStrings>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Classes.TStrings> 001f @DynArraySetLength 002b TEnumerable<System.Classes.TStrings>.GetEnumerator 0036 TEnumerable<System.Classes.TStrings>.ToArrayImpl 0058 TEnumerator<System.Classes.TStrings>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_63485_0 {
	meta:
		name = "TEnumerable<System.DateUtils.TLocalTimeZone.TYearlyChanges>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.DateUtils.TLocalTimeZone.TYearlyChanges> 001f @DynArraySetLength 002b TEnumerable<System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetEnumerator 0036 TEnumerable<System.DateUtils.TLocalTimeZone.TYearlyChanges>.ToArrayImpl 0058 TEnumerator<System.DateUtils.TLocalTimeZone.TYearlyChanges>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_57325_0 {
	meta:
		name = "TEnumerable<System.Integer>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Integer> 001f @DynArraySetLength 002b TEnumerable<System.Integer>.GetEnumerator 0036 TEnumerable<System.Integer>.ToArrayImpl 0058 TEnumerator<System.Integer>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22727_0 {
	meta:
		name = "TEnumerable<System.Masks.TMask>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Masks.TMask> 001f @DynArraySetLength 002b TEnumerable<System.Masks.TMask>.GetEnumerator 0036 TEnumerable<System.Masks.TMask>.ToArrayImpl 0058 TEnumerator<System.Masks.TMask>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67448_0 {
	meta:
		name = "TEnumerable<System.Pointer>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Pointer> 001f @DynArraySetLength 002b TEnumerable<System.Pointer>.GetEnumerator 0036 TEnumerable<System.Pointer>.ToArrayImpl 0058 TEnumerator<System.Pointer>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67976_0 {
	meta:
		name = "TEnumerable<System.Rtti.TRttiField>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Rtti.TRttiField> 001f @DynArraySetLength 002b TEnumerable<System.Rtti.TRttiField>.GetEnumerator 0036 TEnumerable<System.Rtti.TRttiField>.ToArrayImpl 0058 TEnumerator<System.Rtti.TRttiField>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68028_0 {
	meta:
		name = "TEnumerable<System.Rtti.TRttiManagedField>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Rtti.TRttiManagedField> 001f @DynArraySetLength 002b TEnumerable<System.Rtti.TRttiManagedField>.GetEnumerator 0036 TEnumerable<System.Rtti.TRttiManagedField>.ToArrayImpl 0058 TEnumerator<System.Rtti.TRttiManagedField>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67923_0 {
	meta:
		name = "TEnumerable<System.Rtti.TRttiMethod>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Rtti.TRttiMethod> 001f @DynArraySetLength 002b TEnumerable<System.Rtti.TRttiMethod>.GetEnumerator 0036 TEnumerable<System.Rtti.TRttiMethod>.ToArrayImpl 0058 TEnumerator<System.Rtti.TRttiMethod>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67462_0 {
	meta:
		name = "TEnumerable<System.Rtti.TRttiObject>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Rtti.TRttiObject> 001f @DynArraySetLength 002b TEnumerable<System.Rtti.TRttiObject>.GetEnumerator 0036 TEnumerable<System.Rtti.TRttiObject>.ToArrayImpl 0058 TEnumerator<System.Rtti.TRttiObject>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67871_0 {
	meta:
		name = "TEnumerable<System.Rtti.TRttiProperty>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Rtti.TRttiProperty> 001f @DynArraySetLength 002b TEnumerable<System.Rtti.TRttiProperty>.GetEnumerator 0036 TEnumerable<System.Rtti.TRttiProperty>.ToArrayImpl 0058 TEnumerator<System.Rtti.TRttiProperty>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67536_0 {
	meta:
		name = "TEnumerable<System.Rtti.TVirtualInterface.TImplInfo>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Rtti.TVirtualInterface.TImplInfo> 001f @DynArraySetLength 002b TEnumerable<System.Rtti.TVirtualInterface.TImplInfo>.GetEnumerator 0036 TEnumerable<System.Rtti.TVirtualInterface.TImplInfo>.ToArrayImpl 0058 TEnumerator<System.Rtti.TVirtualInterface.TImplInfo>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67481_0 {
	meta:
		name = "TEnumerable<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo> 001f @DynArraySetLength 002b TEnumerable<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.GetEnumerator 0036 TEnumerable<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.ToArrayImpl 0058 TEnumerator<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_54474_0 {
	meta:
		name = "TEnumerable<System.TClass>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.TClass> 001f @DynArraySetLength 002b TEnumerable<System.TClass>.GetEnumerator 0036 TEnumerable<System.TClass>.ToArrayImpl 0058 TEnumerator<System.TClass>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67814_0 {
	meta:
		name = "TEnumerable<System.TCustomAttribute>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.TCustomAttribute> 001f @DynArraySetLength 002b TEnumerable<System.TCustomAttribute>.GetEnumerator 0036 TEnumerable<System.TCustomAttribute>.ToArrayImpl 0058 TEnumerator<System.TCustomAttribute>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23178_0 {
	meta:
		name = "TEnumerable<System.TObject>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.TObject> 001f @DynArraySetLength 002b TEnumerable<System.TObject>.GetEnumerator 0036 TEnumerable<System.TObject>.ToArrayImpl 0058 TEnumerator<System.TObject>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67710_0 {
	meta:
		name = "TEnumerable<System.TypInfo.PTypeInfo>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.TypInfo.PTypeInfo> 001f @DynArraySetLength 002b TEnumerable<System.TypInfo.PTypeInfo>.GetEnumerator 0036 TEnumerable<System.TypInfo.PTypeInfo>.ToArrayImpl 0058 TEnumerator<System.TypInfo.PTypeInfo>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88803_0 {
	meta:
		name = "TEnumerable<Vcl.Controls.TControl>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Vcl.Controls.TControl> 001f @DynArraySetLength 002b TEnumerable<Vcl.Controls.TControl>.GetEnumerator 0036 TEnumerable<Vcl.Controls.TControl>.ToArrayImpl 0058 TEnumerator<Vcl.Controls.TControl>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89237_0 {
	meta:
		name = "TEnumerable<Vcl.Controls.TCustomGestureCollectionItem>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Vcl.Controls.TCustomGestureCollectionItem> 001f @DynArraySetLength 002b TEnumerable<Vcl.Controls.TCustomGestureCollectionItem>.GetEnumerator 0036 TEnumerable<Vcl.Controls.TCustomGestureCollectionItem>.ToArrayImpl 0058 TEnumerator<Vcl.Controls.TCustomGestureCollectionItem>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88714_0 {
	meta:
		name = "TEnumerable<Vcl.Controls.TCustomGestureManager>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Vcl.Controls.TCustomGestureManager> 001f @DynArraySetLength 002b TEnumerable<Vcl.Controls.TCustomGestureManager>.GetEnumerator 0036 TEnumerable<Vcl.Controls.TCustomGestureManager>.ToArrayImpl 0058 TEnumerator<Vcl.Controls.TCustomGestureManager>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_78574_0 {
	meta:
		name = "TEnumerable<Vcl.Direct2D.TDirect2DGraphicsObject>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Vcl.Direct2D.TDirect2DGraphicsObject> 001f @DynArraySetLength 002b TEnumerable<Vcl.Direct2D.TDirect2DGraphicsObject>.GetEnumerator 0036 TEnumerable<Vcl.Direct2D.TDirect2DGraphicsObject>.ToArrayImpl 0058 TEnumerator<Vcl.Direct2D.TDirect2DGraphicsObject>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_86374_0 {
	meta:
		name = "TEnumerable<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>> 001f @DynArraySetLength 002b TEnumerable<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.GetEnumerator 0036 TEnumerable<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.ToArrayImpl 0058 TEnumerator<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_87608_0 {
	meta:
		name = "TEnumerable<Vcl.Themes.TCustomStyleEngineClass>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Vcl.Themes.TCustomStyleEngineClass> 001f @DynArraySetLength 002b TEnumerable<Vcl.Themes.TCustomStyleEngineClass>.GetEnumerator 0036 TEnumerable<Vcl.Themes.TCustomStyleEngineClass>.ToArrayImpl 0058 TEnumerator<Vcl.Themes.TCustomStyleEngineClass>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_87659_0 {
	meta:
		name = "TEnumerable<Vcl.Themes.TCustomStyleServices>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Vcl.Themes.TCustomStyleServices> 001f @DynArraySetLength 002b TEnumerable<Vcl.Themes.TCustomStyleServices>.GetEnumerator 0036 TEnumerable<Vcl.Themes.TCustomStyleServices>.ToArrayImpl 0058 TEnumerator<Vcl.Themes.TCustomStyleServices>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_87466_0 {
	meta:
		name = "TEnumerable<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>> 001f @DynArraySetLength 002b TEnumerable<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.GetEnumerator 0036 TEnumerable<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.ToArrayImpl 0058 TEnumerator<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_86252_0 {
	meta:
		name = "TEnumerable<Vcl.Themes.TStyleHook>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Vcl.Themes.TStyleHook> 001f @DynArraySetLength 002b TEnumerable<Vcl.Themes.TStyleHook>.GetEnumerator 0036 TEnumerable<Vcl.Themes.TStyleHook>.ToArrayImpl 0058 TEnumerator<Vcl.Themes.TStyleHook>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_87363_0 {
	meta:
		name = "TEnumerable<Vcl.Themes.TStyleHookClass>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Vcl.Themes.TStyleHookClass> 001f @DynArraySetLength 002b TEnumerable<Vcl.Themes.TStyleHookClass>.GetEnumerator 0036 TEnumerable<Vcl.Themes.TStyleHookClass>.ToArrayImpl 0058 TEnumerator<Vcl.Themes.TStyleHookClass>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88817_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.GestureMgr.TGestureCollection>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Vcl.Touch.GestureMgr.TGestureCollection> 001f @DynArraySetLength 002b TEnumerable<Vcl.Touch.GestureMgr.TGestureCollection>.GetEnumerator 0036 TEnumerable<Vcl.Touch.GestureMgr.TGestureCollection>.ToArrayImpl 0058 TEnumerator<Vcl.Touch.GestureMgr.TGestureCollection>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89468_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.Keyboard.TCustomKeyboardButton>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Vcl.Touch.Keyboard.TCustomKeyboardButton> 001f @DynArraySetLength 002b TEnumerable<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetEnumerator 0036 TEnumerable<Vcl.Touch.Keyboard.TCustomKeyboardButton>.ToArrayImpl 0058 TEnumerator<Vcl.Touch.Keyboard.TCustomKeyboardButton>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89852_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout> 001f @DynArraySetLength 002b TEnumerable<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.GetEnumerator 0036 TEnumerable<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.ToArrayImpl 0058 TEnumerator<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89750_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.KeyboardTypes.TVirtualKeys>.ToArrayImpl"
		size = 139
		refs = "001a TArray<Vcl.Touch.KeyboardTypes.TVirtualKeys> 001f @DynArraySetLength 002b TEnumerable<Vcl.Touch.KeyboardTypes.TVirtualKeys>.GetEnumerator 0036 TEnumerable<Vcl.Touch.KeyboardTypes.TVirtualKeys>.ToArrayImpl 0058 TEnumerator<Vcl.Touch.KeyboardTypes.TVirtualKeys>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 89 34 98 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_1975_0 {
	meta:
		name = "TBaseAdapterErrorsList.ClearErrors"
		size = 5
		altNames = "TCriticalSection.Enter TDBXJSonStreamWriter.Open TDBXRow.GetObjectTypeName TDBXRow.SetAnsiMemo TDBXRow.SetAnsiString TDBXRow.SetBCD TDBXRow.SetBoolean TDBXRow.SetCallbackValue TDBXRow.SetDBXConnection TDBXRow.SetDBXReader TDBXRow.SetDate TDBXRow.SetInt16 TDBXRow.SetInt32 TDBXRow.SetInt8 TDBXRow.SetJSONValue TDBXRow.SetNull TDBXRow.SetStream TDBXRow.SetString TDBXRow.SetTime TDBXRow.SetTimestamp TDBXRow.SetTimestampOffset TDBXRow.SetUInt16 TDBXRow.SetUInt8 TDBXRow.SetValueType TDBXRow.SetWideMemo TDBXRow.SetWideString TDBXValue.CopyRowValue TDBXWritableValue.SetRowValue TEnumerable<T>.GetEnumerator TIdTask.DoAfterRun TInTask.DoAfterRun"
	strings:
		$1 = { 8B 10 FF 12 C3 }
	condition:
		$1
}

rule function_1976_0 {
	meta:
		name = "TEnumerable<System.Bindings.Expression.TBindingExpression>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Bindings.Expression.TBindingExpression> 0014 TList<System.Bindings.Expression.TBindingExpression>.Create 001f TEnumerable<System.Bindings.Expression.TBindingExpression>.ToArray 002c TEnumerable<System.Bindings.Expression.TBindingExpression>.GetEnumerator 0052 TList<System.Bindings.Expression.TBindingExpression>.Add 005a TEnumerator<System.Bindings.Expression.TBindingExpression>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28520_0 {
	meta:
		name = "TEnumerable<DSAzureBlob.TBBlob>.ToArray"
		size = 180
		refs = "000f _DV_TList<DSAzureBlob.TBBlob> 0014 TList<DSAzureBlob.TBBlob>.Create 001f TEnumerable<DSAzureBlob.TBBlob>.ToArray 002c TEnumerable<DSAzureBlob.TBBlob>.GetEnumerator 0052 TList<DSAzureBlob.TBBlob>.Add 005a TEnumerator<DSAzureBlob.TBBlob>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28742_0 {
	meta:
		name = "TEnumerable<DSAzureBlob.TBBlock>.ToArray"
		size = 180
		refs = "000f _DV_TList<DSAzureBlob.TBBlock> 0014 TList<DSAzureBlob.TBBlock>.Create 001f TEnumerable<DSAzureBlob.TBBlock>.ToArray 002c TEnumerable<DSAzureBlob.TBBlock>.GetEnumerator 0052 TList<DSAzureBlob.TBBlock>.Add 005a TEnumerator<DSAzureBlob.TBBlock>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28396_0 {
	meta:
		name = "TEnumerable<DSAzureBlob.TBContainer>.ToArray"
		size = 180
		refs = "000f _DV_TList<DSAzureBlob.TBContainer> 0014 TList<DSAzureBlob.TBContainer>.Create 001f TEnumerable<DSAzureBlob.TBContainer>.ToArray 002c TEnumerable<DSAzureBlob.TBContainer>.GetEnumerator 0052 TList<DSAzureBlob.TBContainer>.Add 005a TEnumerator<DSAzureBlob.TBContainer>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28685_0 {
	meta:
		name = "TEnumerable<DSAzureBlob.TBPageRange>.ToArray"
		size = 180
		refs = "000f _DV_TList<DSAzureBlob.TBPageRange> 0014 TList<DSAzureBlob.TBPageRange>.Create 001f TEnumerable<DSAzureBlob.TBPageRange>.ToArray 002c TEnumerable<DSAzureBlob.TBPageRange>.GetEnumerator 0052 TList<DSAzureBlob.TBPageRange>.Add 005a TEnumerator<DSAzureBlob.TBPageRange>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28628_0 {
	meta:
		name = "TEnumerable<DSAzureBlob.TBSignedIdentifier>.ToArray"
		size = 180
		refs = "000f _DV_TList<DSAzureBlob.TBSignedIdentifier> 0014 TList<DSAzureBlob.TBSignedIdentifier>.Create 001f TEnumerable<DSAzureBlob.TBSignedIdentifier>.ToArray 002c TEnumerable<DSAzureBlob.TBSignedIdentifier>.GetEnumerator 0052 TList<DSAzureBlob.TBSignedIdentifier>.Add 005a TEnumerator<DSAzureBlob.TBSignedIdentifier>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28575_0 {
	meta:
		name = "TEnumerable<DSAzureBlob.TLeaseItem>.ToArray"
		size = 180
		refs = "000f _DV_TList<DSAzureBlob.TLeaseItem> 0014 TList<DSAzureBlob.TLeaseItem>.Create 001f TEnumerable<DSAzureBlob.TLeaseItem>.ToArray 002c TEnumerable<DSAzureBlob.TLeaseItem>.GetEnumerator 0052 TList<DSAzureBlob.TLeaseItem>.Add 005a TEnumerator<DSAzureBlob.TLeaseItem>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29043_0 {
	meta:
		name = "TEnumerable<DSAzureQueue.TMessageNodeData>.ToArray"
		size = 180
		refs = "000f _DV_TList<DSAzureQueue.TMessageNodeData> 0014 TList<DSAzureQueue.TMessageNodeData>.Create 001f TEnumerable<DSAzureQueue.TMessageNodeData>.ToArray 002c TEnumerable<DSAzureQueue.TMessageNodeData>.GetEnumerator 0052 TList<DSAzureQueue.TMessageNodeData>.Add 005a TEnumerator<DSAzureQueue.TMessageNodeData>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29297_0 {
	meta:
		name = "TEnumerable<DSAzureTableDialog.TAzureTableColumn>.ToArray"
		size = 180
		refs = "000f _DV_TList<DSAzureTableDialog.TAzureTableColumn> 0014 TList<DSAzureTableDialog.TAzureTableColumn>.Create 001f TEnumerable<DSAzureTableDialog.TAzureTableColumn>.ToArray 002c TEnumerable<DSAzureTableDialog.TAzureTableColumn>.GetEnumerator 0052 TList<DSAzureTableDialog.TAzureTableColumn>.Add 005a TEnumerator<DSAzureTableDialog.TAzureTableColumn>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29316_0 {
	meta:
		name = "TEnumerable<DSAzureTableDialog.TAzureTableRow>.ToArray"
		size = 180
		refs = "000f _DV_TList<DSAzureTableDialog.TAzureTableRow> 0014 TList<DSAzureTableDialog.TAzureTableRow>.Create 001f TEnumerable<DSAzureTableDialog.TAzureTableRow>.ToArray 002c TEnumerable<DSAzureTableDialog.TAzureTableRow>.GetEnumerator 0052 TList<DSAzureTableDialog.TAzureTableRow>.Add 005a TEnumerator<DSAzureTableDialog.TAzureTableRow>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2078_0 {
	meta:
		name = "TEnumerable<Data.Bind.Components.TBasicBindComponent>.ToArray"
		size = 180
		refs = "000f _DV_TList<Data.Bind.Components.TBasicBindComponent> 0014 TList<Data.Bind.Components.TBasicBindComponent>.Create 001f TEnumerable<Data.Bind.Components.TBasicBindComponent>.ToArray 002c TEnumerable<Data.Bind.Components.TBasicBindComponent>.GetEnumerator 0052 TList<Data.Bind.Components.TBasicBindComponent>.Add 005a TEnumerator<Data.Bind.Components.TBasicBindComponent>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2254_0 {
	meta:
		name = "TEnumerable<Data.Bind.Components.TBindEditorFactoryClass>.ToArray"
		size = 180
		refs = "000f _DV_TList<Data.Bind.Components.TBindEditorFactoryClass> 0014 TList<Data.Bind.Components.TBindEditorFactoryClass>.Create 001f TEnumerable<Data.Bind.Components.TBindEditorFactoryClass>.ToArray 002c TEnumerable<Data.Bind.Components.TBindEditorFactoryClass>.GetEnumerator 0052 TList<Data.Bind.Components.TBindEditorFactoryClass>.Add 005a TEnumerator<Data.Bind.Components.TBindEditorFactoryClass>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2027_0 {
	meta:
		name = "TEnumerable<Data.Bind.Components.TContainedBindComponent>.ToArray"
		size = 180
		refs = "000f _DV_TList<Data.Bind.Components.TContainedBindComponent> 0014 TList<Data.Bind.Components.TContainedBindComponent>.Create 001f TEnumerable<Data.Bind.Components.TContainedBindComponent>.ToArray 002c TEnumerable<Data.Bind.Components.TContainedBindComponent>.GetEnumerator 0052 TList<Data.Bind.Components.TContainedBindComponent>.Add 005a TEnumerator<Data.Bind.Components.TContainedBindComponent>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2728_0 {
	meta:
		name = "TEnumerable<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.ToArray"
		size = 180
		refs = "000f _DV_TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass> 0014 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Create 001f TEnumerable<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.ToArray 002c TEnumerable<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.GetEnumerator 0052 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Add 005a TEnumerator<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2949_0 {
	meta:
		name = "TEnumerable<Data.Bind.DBScope.TBaseDataLink>.ToArray"
		size = 180
		refs = "000f _DV_TList<Data.Bind.DBScope.TBaseDataLink> 0014 TList<Data.Bind.DBScope.TBaseDataLink>.Create 001f TEnumerable<Data.Bind.DBScope.TBaseDataLink>.ToArray 002c TEnumerable<Data.Bind.DBScope.TBaseDataLink>.GetEnumerator 0052 TList<Data.Bind.DBScope.TBaseDataLink>.Add 005a TEnumerator<Data.Bind.DBScope.TBaseDataLink>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4650_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AzureAPI.TAzureBlob>.ToArray"
		size = 180
		refs = "000f _DV_TList<Data.Cloud.AzureAPI.TAzureBlob> 0014 TList<Data.Cloud.AzureAPI.TAzureBlob>.Create 001f TEnumerable<Data.Cloud.AzureAPI.TAzureBlob>.ToArray 002c TEnumerable<Data.Cloud.AzureAPI.TAzureBlob>.GetEnumerator 0052 TList<Data.Cloud.AzureAPI.TAzureBlob>.Add 005a TEnumerator<Data.Cloud.AzureAPI.TAzureBlob>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4548_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AzureAPI.TAzureContainer>.ToArray"
		size = 180
		refs = "000f _DV_TList<Data.Cloud.AzureAPI.TAzureContainer> 0014 TList<Data.Cloud.AzureAPI.TAzureContainer>.Create 001f TEnumerable<Data.Cloud.AzureAPI.TAzureContainer>.ToArray 002c TEnumerable<Data.Cloud.AzureAPI.TAzureContainer>.GetEnumerator 0052 TList<Data.Cloud.AzureAPI.TAzureContainer>.Add 005a TEnumerator<Data.Cloud.AzureAPI.TAzureContainer>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4599_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AzureAPI.TSignedIdentifier>.ToArray"
		size = 180
		refs = "000f _DV_TList<Data.Cloud.AzureAPI.TSignedIdentifier> 0014 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Create 001f TEnumerable<Data.Cloud.AzureAPI.TSignedIdentifier>.ToArray 002c TEnumerable<Data.Cloud.AzureAPI.TSignedIdentifier>.GetEnumerator 0052 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Add 005a TEnumerator<Data.Cloud.AzureAPI.TSignedIdentifier>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4395_0 {
	meta:
		name = "TEnumerable<Data.Cloud.CloudAPI.TCloudQueueMessage>.ToArray"
		size = 180
		refs = "000f _DV_TList<Data.Cloud.CloudAPI.TCloudQueueMessage> 0014 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Create 001f TEnumerable<Data.Cloud.CloudAPI.TCloudQueueMessage>.ToArray 002c TEnumerable<Data.Cloud.CloudAPI.TCloudQueueMessage>.GetEnumerator 0052 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Add 005a TEnumerator<Data.Cloud.CloudAPI.TCloudQueueMessage>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4752_0 {
	meta:
		name = "TEnumerable<Data.Cloud.CloudAPI.TCloudTableColumn>.ToArray"
		size = 180
		refs = "000f _DV_TList<Data.Cloud.CloudAPI.TCloudTableColumn> 0014 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Create 001f TEnumerable<Data.Cloud.CloudAPI.TCloudTableColumn>.ToArray 002c TEnumerable<Data.Cloud.CloudAPI.TCloudTableColumn>.GetEnumerator 0052 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Add 005a TEnumerator<Data.Cloud.CloudAPI.TCloudTableColumn>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4344_0 {
	meta:
		name = "TEnumerable<Data.Cloud.CloudAPI.TCloudTableRow>.ToArray"
		size = 180
		refs = "000f _DV_TList<Data.Cloud.CloudAPI.TCloudTableRow> 0014 TList<Data.Cloud.CloudAPI.TCloudTableRow>.Create 001f TEnumerable<Data.Cloud.CloudAPI.TCloudTableRow>.ToArray 002c TEnumerable<Data.Cloud.CloudAPI.TCloudTableRow>.GetEnumerator 0052 TList<Data.Cloud.CloudAPI.TCloudTableRow>.Add 005a TEnumerator<Data.Cloud.CloudAPI.TCloudTableRow>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16370_0 {
	meta:
		name = "TEnumerable<Data.DBXCommon.TDBXParameter>.ToArray"
		size = 180
		refs = "000f _DV_TList<Data.DBXCommon.TDBXParameter> 0014 TList<Data.DBXCommon.TDBXParameter>.Create 001f TEnumerable<Data.DBXCommon.TDBXParameter>.ToArray 002c TEnumerable<Data.DBXCommon.TDBXParameter>.GetEnumerator 0052 TList<Data.DBXCommon.TDBXParameter>.Add 005a TEnumerator<Data.DBXCommon.TDBXParameter>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7868_0 {
	meta:
		name = "TEnumerable<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.ToArray"
		size = 180
		refs = "000f _DV_TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec> 0014 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Create 001f TEnumerable<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.ToArray 002c TEnumerable<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.GetEnumerator 0052 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Add 005a TEnumerator<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24633_0 {
	meta:
		name = "TEnumerable<Data.DBXCommon.TResultCommandHandler>.ToArray"
		size = 180
		refs = "000f _DV_TList<Data.DBXCommon.TResultCommandHandler> 0014 TList<Data.DBXCommon.TResultCommandHandler>.Create 001f TEnumerable<Data.DBXCommon.TResultCommandHandler>.ToArray 002c TEnumerable<Data.DBXCommon.TResultCommandHandler>.GetEnumerator 0052 TList<Data.DBXCommon.TResultCommandHandler>.Add 005a TEnumerator<Data.DBXCommon.TResultCommandHandler>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9903_0 {
	meta:
		name = "TEnumerable<Data.DBXJSON.TJSONAncestor>.ToArray"
		size = 180
		refs = "000f _DV_TList<Data.DBXJSON.TJSONAncestor> 0014 TList<Data.DBXJSON.TJSONAncestor>.Create 001f TEnumerable<Data.DBXJSON.TJSONAncestor>.ToArray 002c TEnumerable<Data.DBXJSON.TJSONAncestor>.GetEnumerator 0052 TList<Data.DBXJSON.TJSONAncestor>.Add 005a TEnumerator<Data.DBXJSON.TJSONAncestor>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23429_0 {
	meta:
		name = "TEnumerable<Data.DBXJSONReflect.TConverterEvent>.ToArray"
		size = 180
		refs = "000f _DV_TList<Data.DBXJSONReflect.TConverterEvent> 0014 TList<Data.DBXJSONReflect.TConverterEvent>.Create 001f TEnumerable<Data.DBXJSONReflect.TConverterEvent>.ToArray 002c TEnumerable<Data.DBXJSONReflect.TConverterEvent>.GetEnumerator 0052 TList<Data.DBXJSONReflect.TConverterEvent>.Add 005a TEnumerator<Data.DBXJSONReflect.TConverterEvent>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17983_0 {
	meta:
		name = "TEnumerable<Data.DBXJSONReflect.TReverterEvent>.ToArray"
		size = 180
		refs = "000f _DV_TList<Data.DBXJSONReflect.TReverterEvent> 0014 TList<Data.DBXJSONReflect.TReverterEvent>.Create 001f TEnumerable<Data.DBXJSONReflect.TReverterEvent>.ToArray 002c TEnumerable<Data.DBXJSONReflect.TReverterEvent>.GetEnumerator 0052 TList<Data.DBXJSONReflect.TReverterEvent>.Add 005a TEnumerator<Data.DBXJSONReflect.TReverterEvent>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10990_0 {
	meta:
		name = "TEnumerable<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.ToArray"
		size = 180
		refs = "000f _DV_TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler> 0014 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Create 001f TEnumerable<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.ToArray 002c TEnumerable<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.GetEnumerator 0052 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Add 005a TEnumerator<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16252_0 {
	meta:
		name = "TEnumerable<Datasnap.DSClientRest.TDSRestClientCallback>.ToArray"
		size = 180
		refs = "000f _DV_TList<Datasnap.DSClientRest.TDSRestClientCallback> 0014 TList<Datasnap.DSClientRest.TDSRestClientCallback>.Create 001f TEnumerable<Datasnap.DSClientRest.TDSRestClientCallback>.ToArray 002c TEnumerable<Datasnap.DSClientRest.TDSRestClientCallback>.GetEnumerator 0052 TList<Datasnap.DSClientRest.TDSRestClientCallback>.Add 005a TEnumerator<Datasnap.DSClientRest.TDSRestClientCallback>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17259_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTP.TDSHTTPClass>.ToArray"
		size = 180
		refs = "000f _DV_TList<Datasnap.DSHTTP.TDSHTTPClass> 0014 TList<Datasnap.DSHTTP.TDSHTTPClass>.Create 001f TEnumerable<Datasnap.DSHTTP.TDSHTTPClass>.ToArray 002c TEnumerable<Datasnap.DSHTTP.TDSHTTPClass>.GetEnumerator 0052 TList<Datasnap.DSHTTP.TDSHTTPClass>.Add 005a TEnumerator<Datasnap.DSHTTP.TDSHTTPClass>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17839_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTPCommon.TDSCallbackItem>.ToArray"
		size = 180
		refs = "000f _DV_TList<Datasnap.DSHTTPCommon.TDSCallbackItem> 0014 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Create 001f TEnumerable<Datasnap.DSHTTPCommon.TDSCallbackItem>.ToArray 002c TEnumerable<Datasnap.DSHTTPCommon.TDSCallbackItem>.GetEnumerator 0052 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Add 005a TEnumerator<Datasnap.DSHTTPCommon.TDSCallbackItem>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18058_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.ToArray"
		size = 180
		refs = "000f _DV_TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams> 0014 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Create 001f TEnumerable<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.ToArray 002c TEnumerable<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.GetEnumerator 0052 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Add 005a TEnumerator<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17736_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTPCommon.TDSExecutionResponse>.ToArray"
		size = 180
		refs = "000f _DV_TList<Datasnap.DSHTTPCommon.TDSExecutionResponse> 0014 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Create 001f TEnumerable<Datasnap.DSHTTPCommon.TDSExecutionResponse>.ToArray 002c TEnumerable<Datasnap.DSHTTPCommon.TDSExecutionResponse>.GetEnumerator 0052 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Add 005a TEnumerator<Datasnap.DSHTTPCommon.TDSExecutionResponse>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23705_0 {
	meta:
		name = "TEnumerable<Datasnap.DSServer.TDSCallbackTunnel>.ToArray"
		size = 180
		refs = "000f _DV_TList<Datasnap.DSServer.TDSCallbackTunnel> 0014 TList<Datasnap.DSServer.TDSCallbackTunnel>.Create 001f TEnumerable<Datasnap.DSServer.TDSCallbackTunnel>.ToArray 002c TEnumerable<Datasnap.DSServer.TDSCallbackTunnel>.GetEnumerator 0052 TList<Datasnap.DSServer.TDSCallbackTunnel>.Add 005a TEnumerator<Datasnap.DSServer.TDSCallbackTunnel>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24459_0 {
	meta:
		name = "TEnumerable<Datasnap.DSService.TDBXRequestFilter>.ToArray"
		size = 180
		refs = "000f _DV_TList<Datasnap.DSService.TDBXRequestFilter> 0014 TList<Datasnap.DSService.TDBXRequestFilter>.Create 001f TEnumerable<Datasnap.DSService.TDBXRequestFilter>.ToArray 002c TEnumerable<Datasnap.DSService.TDBXRequestFilter>.GetEnumerator 0052 TList<Datasnap.DSService.TDBXRequestFilter>.Add 005a TEnumerator<Datasnap.DSService.TDBXRequestFilter>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11227_0 {
	meta:
		name = "TEnumerable<Datasnap.DSService.TDSSession>.ToArray"
		size = 180
		refs = "000f _DV_TList<Datasnap.DSService.TDSSession> 0014 TList<Datasnap.DSService.TDSSession>.Create 001f TEnumerable<Datasnap.DSService.TDSSession>.ToArray 002c TEnumerable<Datasnap.DSService.TDSSession>.GetEnumerator 0052 TList<Datasnap.DSService.TDSSession>.Add 005a TEnumerator<Datasnap.DSService.TDSSession>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29670_0 {
	meta:
		name = "TEnumerable<GraphView.TGraphEdge>.ToArray"
		size = 180
		refs = "000f _DV_TList<GraphView.TGraphEdge> 0014 TList<GraphView.TGraphEdge>.Create 001f TEnumerable<GraphView.TGraphEdge>.ToArray 002c TEnumerable<GraphView.TGraphEdge>.GetEnumerator 0052 TList<GraphView.TGraphEdge>.Add 005a TEnumerator<GraphView.TGraphEdge>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29780_0 {
	meta:
		name = "TEnumerable<GraphView.TGraphNode>.ToArray"
		size = 180
		refs = "000f _DV_TList<GraphView.TGraphNode> 0014 TList<GraphView.TGraphNode>.Create 001f TEnumerable<GraphView.TGraphNode>.ToArray 002c TEnumerable<GraphView.TGraphNode>.GetEnumerator 0052 TList<GraphView.TGraphNode>.Add 005a TEnumerator<GraphView.TGraphNode>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29725_0 {
	meta:
		name = "TEnumerable<GraphView.TObjectList<GraphView.TGraphEdge>>.ToArray"
		size = 180
		refs = "000f _DV_TList<GraphView.TObjectList<GraphView.TGraphEdge>> 0014 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Create 001f TEnumerable<GraphView.TObjectList<GraphView.TGraphEdge>>.ToArray 002c TEnumerable<GraphView.TObjectList<GraphView.TGraphEdge>>.GetEnumerator 0052 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Add 005a TEnumerator<GraphView.TObjectList<GraphView.TGraphEdge>>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30542_0 {
	meta:
		name = "TEnumerable<IBDatabase.TIBBase>.ToArray"
		size = 180
		refs = "000f _DV_TList<IBDatabase.TIBBase> 0014 TList<IBDatabase.TIBBase>.Create 001f TEnumerable<IBDatabase.TIBBase>.ToArray 002c TEnumerable<IBDatabase.TIBBase>.GetEnumerator 0052 TList<IBDatabase.TIBBase>.Add 005a TEnumerator<IBDatabase.TIBBase>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30644_0 {
	meta:
		name = "TEnumerable<IBDatabase.TIBDatabase>.ToArray"
		size = 180
		refs = "000f _DV_TList<IBDatabase.TIBDatabase> 0014 TList<IBDatabase.TIBDatabase>.Create 001f TEnumerable<IBDatabase.TIBDatabase>.ToArray 002c TEnumerable<IBDatabase.TIBDatabase>.GetEnumerator 0052 TList<IBDatabase.TIBDatabase>.Add 005a TEnumerator<IBDatabase.TIBDatabase>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30593_0 {
	meta:
		name = "TEnumerable<IBDatabase.TIBTransaction>.ToArray"
		size = 180
		refs = "000f _DV_TList<IBDatabase.TIBTransaction> 0014 TList<IBDatabase.TIBTransaction>.Create 001f TEnumerable<IBDatabase.TIBTransaction>.ToArray 002c TEnumerable<IBDatabase.TIBTransaction>.GetEnumerator 0052 TList<IBDatabase.TIBTransaction>.Add 005a TEnumerator<IBDatabase.TIBTransaction>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42636_0 {
	meta:
		name = "TEnumerable<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.ToArray"
		size = 180
		refs = "000f _DV_TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>> 0014 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Create 001f TEnumerable<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.ToArray 002c TEnumerable<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.GetEnumerator 0052 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Add 005a TEnumerator<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40132_0 {
	meta:
		name = "TEnumerable<IdContext.TIdContext>.ToArray"
		size = 180
		refs = "000f _DV_TList<IdContext.TIdContext> 0014 TList<IdContext.TIdContext>.Create 001f TEnumerable<IdContext.TIdContext>.ToArray 002c TEnumerable<IdContext.TIdContext>.GetEnumerator 0052 TList<IdContext.TIdContext>.Add 005a TEnumerator<IdContext.TIdContext>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54490_0 {
	meta:
		name = "TEnumerable<System.Bindings.CustomScope.TScopeClass>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Bindings.CustomScope.TScopeClass> 0014 TList<System.Bindings.CustomScope.TScopeClass>.Create 001f TEnumerable<System.Bindings.CustomScope.TScopeClass>.ToArray 002c TEnumerable<System.Bindings.CustomScope.TScopeClass>.GetEnumerator 0052 TList<System.Bindings.CustomScope.TScopeClass>.Add 005a TEnumerator<System.Bindings.CustomScope.TScopeClass>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52563_0 {
	meta:
		name = "TEnumerable<System.Bindings.EvalSys.TOverload>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Bindings.EvalSys.TOverload> 0014 TList<System.Bindings.EvalSys.TOverload>.Create 001f TEnumerable<System.Bindings.EvalSys.TOverload>.ToArray 002c TEnumerable<System.Bindings.EvalSys.TOverload>.GetEnumerator 0052 TList<System.Bindings.EvalSys.TOverload>.Add 005a TEnumerator<System.Bindings.EvalSys.TOverload>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55185_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>> 0014 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Create 001f TEnumerable<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.ToArray 002c TEnumerable<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetEnumerator 0052 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Add 005a TEnumerator<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54979_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>> 0014 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Create 001f TEnumerable<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.ToArray 002c TEnumerable<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetEnumerator 0052 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Add 005a TEnumerator<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55320_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>> 0014 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Create 001f TEnumerable<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.ToArray 002c TEnumerable<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetEnumerator 0052 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Add 005a TEnumerator<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57021_0 {
	meta:
		name = "TEnumerable<System.Bindings.Manager.TBindingManager>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Bindings.Manager.TBindingManager> 0014 TList<System.Bindings.Manager.TBindingManager>.Create 001f TEnumerable<System.Bindings.Manager.TBindingManager>.ToArray 002c TEnumerable<System.Bindings.Manager.TBindingManager>.GetEnumerator 0052 TList<System.Bindings.Manager.TBindingManager>.Add 005a TEnumerator<System.Bindings.Manager.TBindingManager>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57786_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>> 0014 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Create 001f TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.ToArray 002c TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetEnumerator 0052 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Add 005a TEnumerator<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57604_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>> 0014 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Create 001f TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.ToArray 002c TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetEnumerator 0052 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Add 005a TEnumerator<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57398_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>> 0014 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Create 001f TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.ToArray 002c TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetEnumerator 0052 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Add 005a TEnumerator<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59993_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 0014 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create 001f TEnumerable<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.ToArray 002c TEnumerable<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetEnumerator 0052 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Add 005a TEnumerator<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64747_0 {
	meta:
		name = "TEnumerable<System.Boolean>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Boolean> 0014 TList<System.Boolean>.Create 001f TEnumerable<System.Boolean>.ToArray 002c TEnumerable<System.Boolean>.GetEnumerator 0052 TList<System.Boolean>.Add 005a TEnumerator<System.Boolean>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86240_0 {
	meta:
		name = "TEnumerable<System.Classes.TComponent>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Classes.TComponent> 0014 TList<System.Classes.TComponent>.Create 001f TEnumerable<System.Classes.TComponent>.ToArray 002c TEnumerable<System.Classes.TComponent>.GetEnumerator 0052 TList<System.Classes.TComponent>.Add 005a TEnumerator<System.Classes.TComponent>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15689_0 {
	meta:
		name = "TEnumerable<System.Classes.TStream>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Classes.TStream> 0014 TList<System.Classes.TStream>.Create 001f TEnumerable<System.Classes.TStream>.ToArray 002c TEnumerable<System.Classes.TStream>.GetEnumerator 0052 TList<System.Classes.TStream>.Add 005a TEnumerator<System.Classes.TStream>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23573_0 {
	meta:
		name = "TEnumerable<System.Classes.TStrings>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Classes.TStrings> 0014 TList<System.Classes.TStrings>.Create 001f TEnumerable<System.Classes.TStrings>.ToArray 002c TEnumerable<System.Classes.TStrings>.GetEnumerator 0052 TList<System.Classes.TStrings>.Add 005a TEnumerator<System.Classes.TStrings>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63487_0 {
	meta:
		name = "TEnumerable<System.DateUtils.TLocalTimeZone.TYearlyChanges>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.DateUtils.TLocalTimeZone.TYearlyChanges> 0014 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create 001f TEnumerable<System.DateUtils.TLocalTimeZone.TYearlyChanges>.ToArray 002c TEnumerable<System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetEnumerator 0052 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Add 005a TEnumerator<System.DateUtils.TLocalTimeZone.TYearlyChanges>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24534_0 {
	meta:
		name = "TEnumerable<System.Integer>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Integer> 0014 TList<System.Integer>.Create 001f TEnumerable<System.Integer>.ToArray 002c TEnumerable<System.Integer>.GetEnumerator 0052 TList<System.Integer>.Add 005a TEnumerator<System.Integer>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22729_0 {
	meta:
		name = "TEnumerable<System.Masks.TMask>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Masks.TMask> 0014 TList<System.Masks.TMask>.Create 001f TEnumerable<System.Masks.TMask>.ToArray 002c TEnumerable<System.Masks.TMask>.GetEnumerator 0052 TList<System.Masks.TMask>.Add 005a TEnumerator<System.Masks.TMask>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55119_0 {
	meta:
		name = "TEnumerable<System.Pointer>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Pointer> 0014 TList<System.Pointer>.Create 001f TEnumerable<System.Pointer>.ToArray 002c TEnumerable<System.Pointer>.GetEnumerator 0052 TList<System.Pointer>.Add 005a TEnumerator<System.Pointer>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67978_0 {
	meta:
		name = "TEnumerable<System.Rtti.TRttiField>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Rtti.TRttiField> 0014 TList<System.Rtti.TRttiField>.Create 001f TEnumerable<System.Rtti.TRttiField>.ToArray 002c TEnumerable<System.Rtti.TRttiField>.GetEnumerator 0052 TList<System.Rtti.TRttiField>.Add 005a TEnumerator<System.Rtti.TRttiField>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68030_0 {
	meta:
		name = "TEnumerable<System.Rtti.TRttiManagedField>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Rtti.TRttiManagedField> 0014 TList<System.Rtti.TRttiManagedField>.Create 001f TEnumerable<System.Rtti.TRttiManagedField>.ToArray 002c TEnumerable<System.Rtti.TRttiManagedField>.GetEnumerator 0052 TList<System.Rtti.TRttiManagedField>.Add 005a TEnumerator<System.Rtti.TRttiManagedField>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67925_0 {
	meta:
		name = "TEnumerable<System.Rtti.TRttiMethod>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Rtti.TRttiMethod> 0014 TList<System.Rtti.TRttiMethod>.Create 001f TEnumerable<System.Rtti.TRttiMethod>.ToArray 002c TEnumerable<System.Rtti.TRttiMethod>.GetEnumerator 0052 TList<System.Rtti.TRttiMethod>.Add 005a TEnumerator<System.Rtti.TRttiMethod>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67464_0 {
	meta:
		name = "TEnumerable<System.Rtti.TRttiObject>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Rtti.TRttiObject> 0014 TList<System.Rtti.TRttiObject>.Create 001f TEnumerable<System.Rtti.TRttiObject>.ToArray 002c TEnumerable<System.Rtti.TRttiObject>.GetEnumerator 0052 TList<System.Rtti.TRttiObject>.Add 005a TEnumerator<System.Rtti.TRttiObject>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67873_0 {
	meta:
		name = "TEnumerable<System.Rtti.TRttiProperty>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Rtti.TRttiProperty> 0014 TList<System.Rtti.TRttiProperty>.Create 001f TEnumerable<System.Rtti.TRttiProperty>.ToArray 002c TEnumerable<System.Rtti.TRttiProperty>.GetEnumerator 0052 TList<System.Rtti.TRttiProperty>.Add 005a TEnumerator<System.Rtti.TRttiProperty>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67538_0 {
	meta:
		name = "TEnumerable<System.Rtti.TVirtualInterface.TImplInfo>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Rtti.TVirtualInterface.TImplInfo> 0014 TList<System.Rtti.TVirtualInterface.TImplInfo>.Create 001f TEnumerable<System.Rtti.TVirtualInterface.TImplInfo>.ToArray 002c TEnumerable<System.Rtti.TVirtualInterface.TImplInfo>.GetEnumerator 0052 TList<System.Rtti.TVirtualInterface.TImplInfo>.Add 005a TEnumerator<System.Rtti.TVirtualInterface.TImplInfo>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67483_0 {
	meta:
		name = "TEnumerable<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo> 0014 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Create 001f TEnumerable<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.ToArray 002c TEnumerable<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.GetEnumerator 0052 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Add 005a TEnumerator<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54476_0 {
	meta:
		name = "TEnumerable<System.TClass>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.TClass> 0014 TList<System.TClass>.Create 001f TEnumerable<System.TClass>.ToArray 002c TEnumerable<System.TClass>.GetEnumerator 0052 TList<System.TClass>.Add 005a TEnumerator<System.TClass>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67816_0 {
	meta:
		name = "TEnumerable<System.TCustomAttribute>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.TCustomAttribute> 0014 TList<System.TCustomAttribute>.Create 001f TEnumerable<System.TCustomAttribute>.ToArray 002c TEnumerable<System.TCustomAttribute>.GetEnumerator 0052 TList<System.TCustomAttribute>.Add 005a TEnumerator<System.TCustomAttribute>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23180_0 {
	meta:
		name = "TEnumerable<System.TObject>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.TObject> 0014 TList<System.TObject>.Create 001f TEnumerable<System.TObject>.ToArray 002c TEnumerable<System.TObject>.GetEnumerator 0052 TList<System.TObject>.Add 005a TEnumerator<System.TObject>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67712_0 {
	meta:
		name = "TEnumerable<System.TypInfo.PTypeInfo>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.TypInfo.PTypeInfo> 0014 TList<System.TypInfo.PTypeInfo>.Create 001f TEnumerable<System.TypInfo.PTypeInfo>.ToArray 002c TEnumerable<System.TypInfo.PTypeInfo>.GetEnumerator 0052 TList<System.TypInfo.PTypeInfo>.Add 005a TEnumerator<System.TypInfo.PTypeInfo>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63473_0 {
	meta:
		name = "TEnumerable<System.Word>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Word> 0014 TList<System.Word>.Create 001f TEnumerable<System.Word>.ToArray 002c TEnumerable<System.Word>.GetEnumerator 0052 TList<System.Word>.Add 005a TEnumerator<System.Word>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71575_0 {
	meta:
		name = "TEnumerable<System.Zip.TZipCompression>.ToArray"
		size = 180
		refs = "000f _DV_TList<System.Zip.TZipCompression> 0014 TList<System.Zip.TZipCompression>.Create 001f TEnumerable<System.Zip.TZipCompression>.ToArray 002c TEnumerable<System.Zip.TZipCompression>.GetEnumerator 0052 TList<System.Zip.TZipCompression>.Add 005a TEnumerator<System.Zip.TZipCompression>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88805_0 {
	meta:
		name = "TEnumerable<Vcl.Controls.TControl>.ToArray"
		size = 180
		refs = "000f _DV_TList<Vcl.Controls.TControl> 0014 TList<Vcl.Controls.TControl>.Create 001f TEnumerable<Vcl.Controls.TControl>.ToArray 002c TEnumerable<Vcl.Controls.TControl>.GetEnumerator 0052 TList<Vcl.Controls.TControl>.Add 005a TEnumerator<Vcl.Controls.TControl>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88885_0 {
	meta:
		name = "TEnumerable<Vcl.Controls.TCustomGestureCollectionItem>.ToArray"
		size = 180
		refs = "000f _DV_TList<Vcl.Controls.TCustomGestureCollectionItem> 0014 TList<Vcl.Controls.TCustomGestureCollectionItem>.Create 001f TEnumerable<Vcl.Controls.TCustomGestureCollectionItem>.ToArray 002c TEnumerable<Vcl.Controls.TCustomGestureCollectionItem>.GetEnumerator 0052 TList<Vcl.Controls.TCustomGestureCollectionItem>.Add 005a TEnumerator<Vcl.Controls.TCustomGestureCollectionItem>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88716_0 {
	meta:
		name = "TEnumerable<Vcl.Controls.TCustomGestureManager>.ToArray"
		size = 180
		refs = "000f _DV_TList<Vcl.Controls.TCustomGestureManager> 0014 TList<Vcl.Controls.TCustomGestureManager>.Create 001f TEnumerable<Vcl.Controls.TCustomGestureManager>.ToArray 002c TEnumerable<Vcl.Controls.TCustomGestureManager>.GetEnumerator 0052 TList<Vcl.Controls.TCustomGestureManager>.Add 005a TEnumerator<Vcl.Controls.TCustomGestureManager>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78576_0 {
	meta:
		name = "TEnumerable<Vcl.Direct2D.TDirect2DGraphicsObject>.ToArray"
		size = 180
		refs = "000f _DV_TList<Vcl.Direct2D.TDirect2DGraphicsObject> 0014 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Create 001f TEnumerable<Vcl.Direct2D.TDirect2DGraphicsObject>.ToArray 002c TEnumerable<Vcl.Direct2D.TDirect2DGraphicsObject>.GetEnumerator 0052 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Add 005a TEnumerator<Vcl.Direct2D.TDirect2DGraphicsObject>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86376_0 {
	meta:
		name = "TEnumerable<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.ToArray"
		size = 180
		refs = "000f _DV_TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>> 0014 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Create 001f TEnumerable<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.ToArray 002c TEnumerable<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.GetEnumerator 0052 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Add 005a TEnumerator<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87610_0 {
	meta:
		name = "TEnumerable<Vcl.Themes.TCustomStyleEngineClass>.ToArray"
		size = 180
		refs = "000f _DV_TList<Vcl.Themes.TCustomStyleEngineClass> 0014 TList<Vcl.Themes.TCustomStyleEngineClass>.Create 001f TEnumerable<Vcl.Themes.TCustomStyleEngineClass>.ToArray 002c TEnumerable<Vcl.Themes.TCustomStyleEngineClass>.GetEnumerator 0052 TList<Vcl.Themes.TCustomStyleEngineClass>.Add 005a TEnumerator<Vcl.Themes.TCustomStyleEngineClass>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87661_0 {
	meta:
		name = "TEnumerable<Vcl.Themes.TCustomStyleServices>.ToArray"
		size = 180
		refs = "000f _DV_TList<Vcl.Themes.TCustomStyleServices> 0014 TList<Vcl.Themes.TCustomStyleServices>.Create 001f TEnumerable<Vcl.Themes.TCustomStyleServices>.ToArray 002c TEnumerable<Vcl.Themes.TCustomStyleServices>.GetEnumerator 0052 TList<Vcl.Themes.TCustomStyleServices>.Add 005a TEnumerator<Vcl.Themes.TCustomStyleServices>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87468_0 {
	meta:
		name = "TEnumerable<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.ToArray"
		size = 180
		refs = "000f _DV_TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>> 0014 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Create 001f TEnumerable<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.ToArray 002c TEnumerable<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.GetEnumerator 0052 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Add 005a TEnumerator<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86254_0 {
	meta:
		name = "TEnumerable<Vcl.Themes.TStyleHook>.ToArray"
		size = 180
		refs = "000f _DV_TList<Vcl.Themes.TStyleHook> 0014 TList<Vcl.Themes.TStyleHook>.Create 001f TEnumerable<Vcl.Themes.TStyleHook>.ToArray 002c TEnumerable<Vcl.Themes.TStyleHook>.GetEnumerator 0052 TList<Vcl.Themes.TStyleHook>.Add 005a TEnumerator<Vcl.Themes.TStyleHook>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87365_0 {
	meta:
		name = "TEnumerable<Vcl.Themes.TStyleHookClass>.ToArray"
		size = 180
		refs = "000f _DV_TList<Vcl.Themes.TStyleHookClass> 0014 TList<Vcl.Themes.TStyleHookClass>.Create 001f TEnumerable<Vcl.Themes.TStyleHookClass>.ToArray 002c TEnumerable<Vcl.Themes.TStyleHookClass>.GetEnumerator 0052 TList<Vcl.Themes.TStyleHookClass>.Add 005a TEnumerator<Vcl.Themes.TStyleHookClass>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88819_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.GestureMgr.TGestureCollection>.ToArray"
		size = 180
		refs = "000f _DV_TList<Vcl.Touch.GestureMgr.TGestureCollection> 0014 TList<Vcl.Touch.GestureMgr.TGestureCollection>.Create 001f TEnumerable<Vcl.Touch.GestureMgr.TGestureCollection>.ToArray 002c TEnumerable<Vcl.Touch.GestureMgr.TGestureCollection>.GetEnumerator 0052 TList<Vcl.Touch.GestureMgr.TGestureCollection>.Add 005a TEnumerator<Vcl.Touch.GestureMgr.TGestureCollection>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89470_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.Keyboard.TCustomKeyboardButton>.ToArray"
		size = 180
		refs = "000f _DV_TList<Vcl.Touch.Keyboard.TCustomKeyboardButton> 0014 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Create 001f TEnumerable<Vcl.Touch.Keyboard.TCustomKeyboardButton>.ToArray 002c TEnumerable<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetEnumerator 0052 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Add 005a TEnumerator<Vcl.Touch.Keyboard.TCustomKeyboardButton>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89854_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.ToArray"
		size = 180
		refs = "000f _DV_TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout> 0014 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Create 001f TEnumerable<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.ToArray 002c TEnumerable<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.GetEnumerator 0052 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Add 005a TEnumerator<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89752_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.KeyboardTypes.TVirtualKeys>.ToArray"
		size = 180
		refs = "000f _DV_TList<Vcl.Touch.KeyboardTypes.TVirtualKeys> 0014 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Create 001f TEnumerable<Vcl.Touch.KeyboardTypes.TVirtualKeys>.ToArray 002c TEnumerable<Vcl.Touch.KeyboardTypes.TVirtualKeys>.GetEnumerator 0052 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Add 005a TEnumerator<Vcl.Touch.KeyboardTypes.TVirtualKeys>.MoveNext 0081 @HandleFinally 00a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_1977_0 {
	meta:
		name = "TBaseAdapterErrorsList.GetErrorCount"
		size = 6
		altNames = "TCriticalSection.Leave TEnumerator<T>.MoveNext TObjectQueue.Pop TObjectStack.Pop TOrderedList.Pop"
	strings:
		$1 = { 8B 10 FF 52 04 C3 }
	condition:
		$1
}

rule function_1978_0 {
	meta:
		name = "TBookmarkList.GetCount"
		size = 9
		refs = "0004 @DynArrayLength"
		altNames = "TDBXValueList.GetColumnCount TDBXValueTypeList.GetCount TDOMVendorList.Count TIdBuffer.GetCapacity TInBuffer.GetCapacity TKeyCaptions.GetCount TLanguages.GetCount TList<T>.GetCapacity TStringBuilder.GetCapacity"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57013_0 {
	meta:
		name = "TBindingManager.GetManagers"
		size = 9
		refs = "0004 TList<System.Bindings.Manager.TBindingManager>.GetItem"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84102_0 {
	meta:
		name = "TCategoryItem.AddItems"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98243_0 {
	meta:
		name = "TControlRequirements.DefineFunction"
		size = 9
		refs = "0004 TGeneratedFunctions.Add"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98245_0 {
	meta:
		name = "TControlRequirements.IsFunctionDefined"
		size = 9
		refs = "0004 TGeneratedFunctions.Exists"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12714_0 {
	meta:
		name = "TDBXArrayList.Add"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12710_0 {
	meta:
		name = "TDBXArrayList.SetValue"
		size = 9
		refs = "0004 TList.Put"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11592_0 {
	meta:
		name = "TDBXMetaDataForeignKey.SetCatalogName"
		size = 9
		refs = "0004 TDBXForeignKeysTableStorage.SetCatalogName"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11598_0 {
	meta:
		name = "TDBXMetaDataForeignKey.SetForeignKeyName"
		size = 9
		refs = "0004 TDBXForeignKeysTableStorage.SetForeignKeyName"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11594_0 {
	meta:
		name = "TDBXMetaDataForeignKey.SetSchemaName"
		size = 9
		refs = "0004 TDBXForeignKeysTableStorage.SetSchemaName"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11596_0 {
	meta:
		name = "TDBXMetaDataForeignKey.SetTableName"
		size = 9
		refs = "0004 TDBXForeignKeysTableStorage.SetTableName"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11611_0 {
	meta:
		name = "TDBXMetaDataIndex.IsUnique"
		size = 9
		refs = "0004 TDBXIndexesTableStorage.IsUnique"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11604_0 {
	meta:
		name = "TDBXMetaDataIndex.SetCatalogName"
		size = 9
		refs = "0004 TDBXIndexesTableStorage.SetCatalogName"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11610_0 {
	meta:
		name = "TDBXMetaDataIndex.SetIndexName"
		size = 9
		refs = "0004 TDBXIndexesTableStorage.SetIndexName"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11606_0 {
	meta:
		name = "TDBXMetaDataIndex.SetSchemaName"
		size = 9
		refs = "0004 TDBXIndexesTableStorage.SetSchemaName"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11608_0 {
	meta:
		name = "TDBXMetaDataIndex.SetTableName"
		size = 9
		refs = "0004 TDBXIndexesTableStorage.SetTableName"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11612_0 {
	meta:
		name = "TDBXMetaDataIndex.SetUnique"
		size = 9
		refs = "0004 TDBXIndexesTableStorage.SetUnique"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11658_0 {
	meta:
		name = "TDBXMetaDataTable.SetCatalogName"
		size = 9
		refs = "0004 TDBXTablesTableStorage.SetCatalogName"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11660_0 {
	meta:
		name = "TDBXMetaDataTable.SetSchemaName"
		size = 9
		refs = "0004 TDBXTablesTableStorage.SetSchemaName"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11662_0 {
	meta:
		name = "TDBXMetaDataTable.SetTableName"
		size = 9
		refs = "0004 TDBXTablesTableStorage.SetTableName"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6994_0 {
	meta:
		name = "TDBXParameterList.InsertParameter"
		size = 9
		refs = "0004 TDBXValueTypeList.Insert"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6818_0 {
	meta:
		name = "TDBXParameterList.SetCount"
		size = 9
		refs = "0004 TDBXValueTypeList.SetCount"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81148_0 {
	meta:
		name = "TDIBReader.GetScanline"
		size = 9
		refs = "0004 TBitmap.GetScanline"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19188_0 {
	meta:
		name = "TDSHTTPResponseWebBroker.SetContentText"
		size = 9
		refs = "0004 TWebResponse.SetUnicodeContent"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_111304_0 {
	meta:
		name = "TDomNodeList.IndexOf"
		size = 9
		refs = "0004 TList.IndexOf"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112267_0 {
	meta:
		name = "TDomXPathSyntaxNodeStack.Push"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_111565_0 {
	meta:
		name = "TDtdObjectList.Delete"
		size = 9
		refs = "0004 TList.Delete"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_111566_0 {
	meta:
		name = "TDtdObjectList.IndexOf"
		size = 9
		refs = "0004 TList.IndexOf"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83998_0 {
	meta:
		name = "TFadeManager.RemoveControl"
		size = 9
		refs = "0004 TFadeControls.Remove"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5171_0 {
	meta:
		name = "TFields.IndexOf"
		size = 9
		refs = "0004 TList.IndexOf"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48587_0 {
	meta:
		name = "TFormRequirements.DefineFunction"
		size = 9
		refs = "0004 TGeneratedFunctions.Add"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48586_0 {
	meta:
		name = "TFormRequirements.IsFunctionDefined"
		size = 9
		refs = "0004 TGeneratedFunctions.Exists"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81135_0 {
	meta:
		name = "TGIFList.Exchange"
		size = 9
		refs = "0004 TList.Exchange"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81137_0 {
	meta:
		name = "TGIFList.IndexOf"
		size = 9
		refs = "0004 TList.IndexOf"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81138_0 {
	meta:
		name = "TGIFList.Insert"
		size = 9
		refs = "0004 TList.Insert"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81140_0 {
	meta:
		name = "TGIFList.Move"
		size = 9
		refs = "0004 TList.Move"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81130_0 {
	meta:
		name = "TGIFList.SetItem"
		size = 9
		refs = "0004 TList.Put"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48922_0 {
	meta:
		name = "THeaderList.Add"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48927_0 {
	meta:
		name = "THeaderList.IndexOf"
		size = 9
		refs = "0004 TList.IndexOf"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43267_0 {
	meta:
		name = "TIWBaseComponentImplementation.SupportsSubmit"
		size = 9
		refs = "0004 isSubmitControl"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33173_0 {
	meta:
		name = "TIdDNTreeNode.IndexByNode"
		size = 9
		refs = "0004 TIdObjectList.IndexOf"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33179_0 {
	meta:
		name = "TIdDNTreeNode.SetNode"
		size = 9
		refs = "0004 TIdObjectList.SetItem"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33161_0 {
	meta:
		name = "TIdMWayTreeNode.RemoveChild"
		size = 9
		refs = "0004 TList.Delete"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41519_0 {
	meta:
		name = "TIdX509SigInfo.GetSigType"
		size = 9
		refs = "0004 X509_get_signature_type"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75200_0 {
	meta:
		name = "TListItems.GetHandle"
		size = 9
		refs = "0004 TWinControl.GetHandle"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96059_0 {
	meta:
		name = "TLocalWebModuleContext.FindNamedVariable"
		size = 9
		refs = "0004 FindNamedModuleVariable"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96063_0 {
	meta:
		name = "TLocalWebModuleContext.GetVariable"
		size = 9
		refs = "0004 GetModuleVariable"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96065_0 {
	meta:
		name = "TLocalWebModuleContext.GetVariableCount"
		size = 9
		refs = "0004 GetModuleVariableCount"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48566_0 {
	meta:
		name = "TNotifyList.AddNotify"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66721_0 {
	meta:
		name = "TPerlRegExList.Delete"
		size = 9
		refs = "0004 TList.Delete"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66725_0 {
	meta:
		name = "TPerlRegExList.IndexOf"
		size = 9
		refs = "0004 TList.IndexOf"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50867_0 {
	meta:
		name = "TRequestConnection.Disconnect"
		size = 9
		refs = "0004 TIdTCPConnection.Disconnect"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98524_0 {
	meta:
		name = "TScriptEnginesList.AddEngine"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98475_0 {
	meta:
		name = "TScriptErrors.Add"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94337_0 {
	meta:
		name = "TSeriesPointer.GetGradient"
		size = 9
		refs = "0004 TChartBrush.GetGradient"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94374_0 {
	meta:
		name = "TSeriesPointer.SetColor"
		size = 9
		refs = "0004 TBrush.SetColor"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94368_0 {
	meta:
		name = "TSeriesPointer.SetGradient"
		size = 9
		refs = "0004 TChartBrush.SetGradient"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63130_0 {
	meta:
		name = "TStack.PushItem"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62877_0 {
	meta:
		name = "TStringWriter.Write"
		size = 9
		refs = "0004 TStringBuilder.Append"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62885_0 {
	meta:
		name = "TStringWriter.WriteLine"
		size = 9
		refs = "0004 TStringBuilder.AppendLine"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94796_0 {
	meta:
		name = "TTeeCustomShape.GetGradient"
		size = 9
		refs = "0004 TChartBrush.GetGradient"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94797_0 {
	meta:
		name = "TTeeCustomShape.SetGradient"
		size = 9
		refs = "0004 TChartBrush.SetGradient"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74786_0 {
	meta:
		name = "TTreeNodes.AlphaSort"
		size = 9
		refs = "0004 TCustomTreeView.AlphaSort"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74737_0 {
	meta:
		name = "TTreeNodes.GetHandle"
		size = 9
		refs = "0004 TWinControl.GetHandle"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9932_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.IsObjectMarked"
		size = 9
		refs = "0004 TDictionary<System.Integer,System.Integer>.ContainsKey"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_114263_0 {
	meta:
		name = "TUtilsNameValueList.SetSorted"
		size = 9
		refs = "0004 TUtilsWideStringList.SetSorted"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67341_0 {
	meta:
		name = "TVirtualInterface.TImplInfo.GetCodeAddress"
		size = 9
		refs = "0004 TMethodImplementation.GetCodeAddress"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89689_0 {
	meta:
		name = "TVirtualKeys.Add"
		size = 9
		refs = "0004 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Add"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89694_0 {
	meta:
		name = "TVirtualKeys.SetItem"
		size = 9
		refs = "0004 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.SetItem"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95557_0 {
	meta:
		name = "TWebDispatch.GetMask"
		size = 9
		refs = "0004 TWebPathInfo.GetMask"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95554_0 {
	meta:
		name = "TWebDispatch.SetPathInfo"
		size = 9
		refs = "0004 TWebPathInfo.SetPathInfo"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96482_0 {
	meta:
		name = "TWebModuleList.GetFactory"
		size = 9
		refs = "0004 TWebModuleFactoryList.GetItem"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96483_0 {
	meta:
		name = "TWebModuleList.GetFactoryCount"
		size = 9
		refs = "0004 TWebModuleFactoryList.GetItemCount"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98387_0 {
	meta:
		name = "TWebNotifyContainer.Add"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47945_0 {
	meta:
		name = "TWebRequestFiles.Add"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50328_0 {
	meta:
		name = "TXSBaseCustomDateTime.GetYear"
		size = 9
		refs = "0004 TXSBaseDate.GetYear"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50336_0 {
	meta:
		name = "TXSBaseCustomDateTime.SetDay"
		size = 9
		refs = "0004 TXSBaseDate.SetDay"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50335_0 {
	meta:
		name = "TXSBaseCustomDateTime.SetMonth"
		size = 9
		refs = "0004 TXSBaseDate.SetMonth"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50337_0 {
	meta:
		name = "TXSBaseCustomDateTime.SetYear"
		size = 9
		refs = "0004 TXSBaseDate.SetYear"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1979_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Expression.TBindingExpression>.SetCount 001f :TList<System.Bindings.Expression.TBindingExpression>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_26827_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.SetCapacity"
		size = 46
		refs = "0010 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.SetCount 001f :TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_27051_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.SetCapacity"
		size = 46
		refs = "0010 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.SetCount 001f :TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_27255_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.SetCapacity"
		size = 46
		refs = "0010 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.SetCount 001f :TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_27487_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.SetCapacity"
		size = 46
		refs = "0010 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.SetCount 001f :TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_27704_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.SetCapacity"
		size = 46
		refs = "0010 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.SetCount 001f :TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_27905_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.SetCapacity"
		size = 46
		refs = "0010 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.SetCount 001f :TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_28523_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.SetCapacity"
		size = 46
		refs = "0010 TList<DSAzureBlob.TBBlob>.SetCount 001f :TList<DSAzureBlob.TBBlob>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_28745_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.SetCapacity"
		size = 46
		refs = "0010 TList<DSAzureBlob.TBBlock>.SetCount 001f :TList<DSAzureBlob.TBBlock>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_28399_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.SetCapacity"
		size = 46
		refs = "0010 TList<DSAzureBlob.TBContainer>.SetCount 001f :TList<DSAzureBlob.TBContainer>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_28688_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.SetCapacity"
		size = 46
		refs = "0010 TList<DSAzureBlob.TBPageRange>.SetCount 001f :TList<DSAzureBlob.TBPageRange>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_28631_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.SetCapacity"
		size = 46
		refs = "0010 TList<DSAzureBlob.TBSignedIdentifier>.SetCount 001f :TList<DSAzureBlob.TBSignedIdentifier>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_28578_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.SetCapacity"
		size = 46
		refs = "0010 TList<DSAzureBlob.TLeaseItem>.SetCount 001f :TList<DSAzureBlob.TLeaseItem>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_28802_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.SetCapacity"
		size = 46
		refs = "0010 TList<DSAzureBlob.TPair<System.string,System.string>>.SetCount 001f :TList<DSAzureBlob.TPair<System.string,System.string>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_29046_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.SetCapacity"
		size = 46
		refs = "0010 TList<DSAzureQueue.TMessageNodeData>.SetCount 001f :TList<DSAzureQueue.TMessageNodeData>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_29464_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.SetCapacity"
		size = 46
		refs = "0010 TList<DSAzureTableDialog.TAzureTableColumn>.SetCount 001f :TList<DSAzureTableDialog.TAzureTableColumn>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_29319_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.SetCapacity"
		size = 46
		refs = "0010 TList<DSAzureTableDialog.TAzureTableRow>.SetCount 001f :TList<DSAzureTableDialog.TAzureTableRow>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_29366_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.SetCapacity"
		size = 46
		refs = "0010 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.SetCount 001f :TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_2081_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Bind.Components.TBasicBindComponent>.SetCount 001f :TList<Data.Bind.Components.TBasicBindComponent>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_2257_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Bind.Components.TBindEditorFactoryClass>.SetCount 001f :TList<Data.Bind.Components.TBindEditorFactoryClass>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_2030_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Bind.Components.TContainedBindComponent>.SetCount 001f :TList<Data.Bind.Components.TContainedBindComponent>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_2376_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.SetCount 001f :TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_2731_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.SetCount 001f :TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_3073_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Bind.DBScope.TBaseDataLink>.SetCount 001f :TList<Data.Bind.DBScope.TBaseDataLink>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_2975_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.SetCount 001f :TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_3570_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.SetCount 001f :TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_3825_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.SetCount 001f :TList<Data.Cloud.AmazonAPI.TAmazonGrant>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_3927_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.SetCount 001f :TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_3876_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.SetCount 001f :TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_3978_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.SetCount 001f :TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_3774_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.SetCount 001f :TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_3519_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.SetCount 001f :TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_4653_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Cloud.AzureAPI.TAzureBlob>.SetCount 001f :TList<Data.Cloud.AzureAPI.TAzureBlob>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_4704_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.SetCount 001f :TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_4500_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.SetCount 001f :TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_4551_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Cloud.AzureAPI.TAzureContainer>.SetCount 001f :TList<Data.Cloud.AzureAPI.TAzureContainer>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_4602_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.SetCount 001f :TList<Data.Cloud.AzureAPI.TSignedIdentifier>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_4449_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Cloud.CloudAPI.TCloudQueue>.SetCount 001f :TList<Data.Cloud.CloudAPI.TCloudQueue>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_3672_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.SetCount 001f :TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_4985_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.SetCount 001f :TList<Data.Cloud.CloudAPI.TCloudTableColumn>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_3621_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.Cloud.CloudAPI.TCloudTableRow>.SetCount 001f :TList<Data.Cloud.CloudAPI.TCloudTableRow>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_16373_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.DBXCommon.TDBXParameter>.SetCount 001f :TList<Data.DBXCommon.TDBXParameter>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_7871_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.SetCount 001f :TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_8591_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.DBXCommon.TDBXWritableValueArray>.SetCount 001f :TList<Data.DBXCommon.TDBXWritableValueArray>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_8016_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.DBXCommon.TEventPointer>.SetCount 001f :TList<Data.DBXCommon.TEventPointer>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_7918_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.SetCount 001f :TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_25107_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.DBXCommon.TResultCommandHandler>.SetCount 001f :TList<Data.DBXCommon.TResultCommandHandler>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_10348_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.DBXJSON.TJSONAncestor>.SetCount 001f :TList<Data.DBXJSON.TJSONAncestor>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_10301_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.DBXJSONReflect.TConverterEvent>.SetCount 001f :TList<Data.DBXJSONReflect.TConverterEvent>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_10107_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.SetCount 001f :TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_10203_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCount 001f :TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_10492_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCount 001f :TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_10396_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.SetCount 001f :TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_18561_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.DBXJSONReflect.TReverterEvent>.SetCount 001f :TList<Data.DBXJSONReflect.TReverterEvent>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_11080_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.SetCount 001f :TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_11029_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.SetCount 001f :TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_11264_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity"
		size = 46
		refs = "0010 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCount 001f :TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_15924_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 001f :TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_15779_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.SetCount 001f :TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_16255_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSClientRest.TDSRestClientCallback>.SetCount 001f :TList<Datasnap.DSClientRest.TDSRestClientCallback>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_16429_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.SetCount 001f :TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_21910_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.SetCount 001f :TList<Datasnap.DSCommonProxy.IDSProxyWriter>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_17375_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSHTTP.TDSHTTPClass>.SetCount 001f :TList<Datasnap.DSHTTP.TDSHTTPClass>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_17277_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.SetCount 001f :TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_18369_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.SetCount 001f :TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_18061_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.SetCount 001f :TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_17739_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.SetCount 001f :TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_18114_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.SetCount 001f :TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_18416_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCount 001f :TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_18512_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCount 001f :TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_18271_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.SetCount 001f :TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_18745_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCount 001f :TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_19046_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.SetCount 001f :TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_19405_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 001f :TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_19700_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 001f :TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_19988_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 001f :TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_20270_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 001f :TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_20796_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 001f :TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_20700_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.SetCount 001f :TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_21024_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.SetCount 001f :TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_21258_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 001f :TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_21545_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 001f :TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_21812_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 001f :TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_22104_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 001f :TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_22397_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 001f :TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_22964_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 001f :TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_22819_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.SetCount 001f :TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_23708_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSServer.TDSCallbackTunnel>.SetCount 001f :TList<Datasnap.DSServer.TDSCallbackTunnel>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_23657_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.SetCount 001f :TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_23759_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCount 001f :TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_23857_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCount 001f :TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_23953_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.SetCount 001f :TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_24482_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSService.TDBXRequestFilter>.SetCount 001f :TList<Datasnap.DSService.TDBXRequestFilter>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_11362_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSService.TDSSession>.SetCount 001f :TList<Datasnap.DSService.TDSSession>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_24852_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSService.TDSSessionEvent>.SetCount 001f :TList<Datasnap.DSService.TDSSessionEvent>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_25056_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.SetCount 001f :TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_24950_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.SetCount 001f :TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_25297_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCount 001f :TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_25201_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.SetCount 001f :TList<Datasnap.DSService.TPair<System.string,System.TObject>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_25154_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSService.TPair<System.string,System.string>>.SetCount 001f :TList<Datasnap.DSService.TPair<System.string,System.string>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_25571_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity"
		size = 46
		refs = "0010 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCount 001f :TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_29673_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.SetCapacity"
		size = 46
		refs = "0010 TList<GraphView.TGraphEdge>.SetCount 001f :TList<GraphView.TGraphEdge>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_29783_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.SetCapacity"
		size = 46
		refs = "0010 TList<GraphView.TGraphNode>.SetCount 001f :TList<GraphView.TGraphNode>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_29728_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.SetCapacity"
		size = 46
		refs = "0010 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.SetCount 001f :TList<GraphView.TObjectList<GraphView.TGraphEdge>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_30545_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.SetCapacity"
		size = 46
		refs = "0010 TList<IBDatabase.TIBBase>.SetCount 001f :TList<IBDatabase.TIBBase>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_30647_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.SetCapacity"
		size = 46
		refs = "0010 TList<IBDatabase.TIBDatabase>.SetCount 001f :TList<IBDatabase.TIBDatabase>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_30596_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.SetCapacity"
		size = 46
		refs = "0010 TList<IBDatabase.TIBTransaction>.SetCount 001f :TList<IBDatabase.TIBTransaction>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_31338_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.SetCapacity"
		size = 46
		refs = "0010 TList<IBIntf.IGDSLibrary>.SetCount 001f :TList<IBIntf.IGDSLibrary>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_31240_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.SetCapacity"
		size = 46
		refs = "0010 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.SetCount 001f :TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_40358_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.SetCapacity"
		size = 46
		refs = "0010 TList<IPPeerAPI.IIPContext>.SetCount 001f :TList<IPPeerAPI.IIPContext>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_42965_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.SetCapacity"
		size = 46
		refs = "0010 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.SetCount 001f :TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_42722_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.SetCapacity"
		size = 46
		refs = "0010 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.SetCount 001f :TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_42867_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.SetCapacity"
		size = 46
		refs = "0010 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.SetCount 001f :TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_43012_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.SetCapacity"
		size = 46
		refs = "0010 TList<IPPeerAPI.TPair<System.string,System.string>>.SetCount 001f :TList<IPPeerAPI.TPair<System.string,System.string>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_40311_0 {
	meta:
		name = "TList<IdContext.TIdContext>.SetCapacity"
		size = 46
		refs = "0010 TList<IdContext.TIdContext>.SetCount 001f :TList<IdContext.TIdContext>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_40260_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.SetCapacity"
		size = 46
		refs = "0010 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.SetCount 001f :TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_40164_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.SetCapacity"
		size = 46
		refs = "0010 TList<IndyPeerImpl.TPair<System.string,System.string>>.SetCount 001f :TList<IndyPeerImpl.TPair<System.string,System.string>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_50029_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.SetCapacity"
		size = 46
		refs = "0010 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.SetCount 001f :TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_51214_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.SetCapacity"
		size = 46
		refs = "0010 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.SetCount 001f :TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_51069_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.SetCapacity"
		size = 46
		refs = "0010 TList<SyncController.TPair<System.IInterface,System.Pointer>>.SetCount 001f :TList<SyncController.TPair<System.IInterface,System.Pointer>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_51312_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.SetCapacity"
		size = 46
		refs = "0010 TList<SyncController.TPair<System.TObject,System.string>>.SetCount 001f :TList<SyncController.TPair<System.TObject,System.string>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_30825_0 {
	meta:
		name = "TList<System.AnsiString>.SetCapacity"
		size = 46
		refs = "0010 TList<System.AnsiString>.SetCount 001f :TList<System.AnsiString>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_51685_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.SetCount 001f :TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_54606_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.CustomScope.TScopeClass>.SetCount 001f :TList<System.Bindings.CustomScope.TScopeClass>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_56336_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.EvalProtocol.ILocation>.SetCount 001f :TList<System.Bindings.EvalProtocol.ILocation>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_53151_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.EvalProtocol.IScope>.SetCount 001f :TList<System.Bindings.EvalProtocol.IScope>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_51927_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.EvalProtocol.ISubscription>.SetCount 001f :TList<System.Bindings.EvalProtocol.ISubscription>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_52100_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.SetCount 001f :TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_52821_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.SetCount 001f :TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_52566_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.EvalSys.TOverload>.SetCount 001f :TList<System.Bindings.EvalSys.TOverload>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_52723_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.SetCount 001f :TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_52625_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.SetCount 001f :TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_52774_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.SetCount 001f :TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_53198_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.SetCount 001f :TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_53581_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.SetCount 001f :TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_53726_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.SetCount 001f :TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_54100_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.SetCount 001f :TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_54245_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.SetCount 001f :TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_56091_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.SetCount 001f :TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_55803_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.SetCount 001f :TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_56234_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.SetCount 001f :TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_56285_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetCount 001f :TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_56042_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.SetCount 001f :TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_55850_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCount 001f :TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_55462_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.SetCount 001f :TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_55897_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.SetCount 001f :TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_55705_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.SetCount 001f :TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_56185_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.SetCount 001f :TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_56383_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.SetCount 001f :TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_55560_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.SetCount 001f :TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_56138_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.SetCount 001f :TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_56816_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.SetCount 001f :TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_57024_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Manager.TBindingManager>.SetCount 001f :TList<System.Bindings.Manager.TBindingManager>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_58585_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.SetCount 001f :TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_58438_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.SetCount 001f :TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_58197_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.SetCount 001f :TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_58536_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.SetCount 001f :TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_58485_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCount 001f :TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_58244_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.SetCount 001f :TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_57809_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.SetCount 001f :TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_58389_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.SetCount 001f :TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_58099_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.SetCount 001f :TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_58293_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.SetCount 001f :TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_57954_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.SetCount 001f :TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_59117_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Methods.TMethodDescription>.SetCount 001f :TList<System.Bindings.Methods.TMethodDescription>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_59019_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.SetCount 001f :TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_59164_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.SetCount 001f :TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_59672_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.SetCount 001f :TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_59893_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.SetCount 001f :TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_60262_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.SetCount 001f :TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_60087_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Outputs.TConvertPair>.SetCount 001f :TList<System.Bindings.Outputs.TConvertPair>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_60828_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Outputs.TConverterDescription>.SetCount 001f :TList<System.Bindings.Outputs.TConverterDescription>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_60730_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.SetCount 001f :TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_60983_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetCount 001f :TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_61236_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCount 001f :TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_60777_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.SetCount 001f :TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_60928_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.SetCount 001f :TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_61081_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.SetCount 001f :TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_60679_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.SetCount 001f :TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_60879_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.SetCount 001f :TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_61140_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.SetCount 001f :TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_61673_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.SetCount 001f :TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_64863_0 {
	meta:
		name = "TList<System.Boolean>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Boolean>.SetCount 001f :TList<System.Boolean>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_2474_0 {
	meta:
		name = "TList<System.Classes.IObserver>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Classes.IObserver>.SetCount 001f :TList<System.Classes.IObserver>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_86446_0 {
	meta:
		name = "TList<System.Classes.TComponent>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Classes.TComponent>.SetCount 001f :TList<System.Classes.TComponent>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_2132_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Classes.TNotifyEvent>.SetCount 001f :TList<System.Classes.TNotifyEvent>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_15877_0 {
	meta:
		name = "TList<System.Classes.TStream>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Classes.TStream>.SetCount 001f :TList<System.Classes.TStream>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_24002_0 {
	meta:
		name = "TList<System.Classes.TStrings>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Classes.TStrings>.SetCount 001f :TList<System.Classes.TStrings>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_63608_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.SetCapacity"
		size = 46
		refs = "0010 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.SetCount 001f :TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_63510_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.SetCount 001f :TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_64765_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.SetCount 001f :TList<System.DebugUtils.TPair<System.string,System.Boolean>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_54508_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.SetCount 001f :TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_52377_0 {
	meta:
		name = "TList<System.IInterface>.SetCapacity"
		size = 46
		refs = "0010 TList<System.IInterface>.SetCount 001f :TList<System.IInterface>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_58342_0 {
	meta:
		name = "TList<System.Int64>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Int64>.SetCount 001f :TList<System.Int64>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_24537_0 {
	meta:
		name = "TList<System.Integer>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Integer>.SetCount 001f :TList<System.Integer>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_22917_0 {
	meta:
		name = "TList<System.Masks.TMask>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Masks.TMask>.SetCount 001f :TList<System.Masks.TMask>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_61771_0 {
	meta:
		name = "TList<System.Pointer>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Pointer>.SetCount 001f :TList<System.Pointer>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_67364_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Rtti.TMethodImplementation.TParamLoc>.SetCount 001f :TList<System.Rtti.TMethodImplementation.TParamLoc>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_68093_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.SetCount 001f :TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_68260_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.SetCount 001f :TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_68403_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.SetCount 001f :TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_67981_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Rtti.TRttiField>.SetCount 001f :TList<System.Rtti.TRttiField>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_68033_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Rtti.TRttiManagedField>.SetCount 001f :TList<System.Rtti.TRttiManagedField>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_67928_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Rtti.TRttiMethod>.SetCount 001f :TList<System.Rtti.TRttiMethod>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_68191_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Rtti.TRttiObject>.SetCount 001f :TList<System.Rtti.TRttiObject>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_67876_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Rtti.TRttiProperty>.SetCount 001f :TList<System.Rtti.TRttiProperty>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_67541_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Rtti.TVirtualInterface.TImplInfo>.SetCount 001f :TList<System.Rtti.TVirtualInterface.TImplInfo>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_67486_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.SetCount 001f :TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_60384_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.SysUtils.TProc<System.Rtti.TValue>>.SetCount 001f :TList<System.SysUtils.TProc<System.Rtti.TValue>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_42820_0 {
	meta:
		name = "TList<System.TClass>.SetCapacity"
		size = 46
		refs = "0010 TList<System.TClass>.SetCount 001f :TList<System.TClass>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_67819_0 {
	meta:
		name = "TList<System.TCustomAttribute>.SetCapacity"
		size = 46
		refs = "0010 TList<System.TCustomAttribute>.SetCount 001f :TList<System.TCustomAttribute>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_42773_0 {
	meta:
		name = "TList<System.TGUID>.SetCapacity"
		size = 46
		refs = "0010 TList<System.TGUID>.SetCount 001f :TList<System.TGUID>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_23183_0 {
	meta:
		name = "TList<System.TObject>.SetCapacity"
		size = 46
		refs = "0010 TList<System.TObject>.SetCount 001f :TList<System.TObject>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_68309_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.SetCapacity"
		size = 46
		refs = "0010 TList<System.TypInfo.PTypeInfo>.SetCount 001f :TList<System.TypInfo.PTypeInfo>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_87715_0 {
	meta:
		name = "TList<System.Types.TPoint>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Types.TPoint>.SetCount 001f :TList<System.Types.TPoint>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_50080_0 {
	meta:
		name = "TList<System.Variant>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Variant>.SetCount 001f :TList<System.Variant>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_63561_0 {
	meta:
		name = "TList<System.Word>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Word>.SetCount 001f :TList<System.Word>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_71756_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.SetCount 001f :TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_71658_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.SetCount 001f :TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_71709_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Zip.TZipCompression>.SetCount 001f :TList<System.Zip.TZipCompression>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_71611_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.SetCapacity"
		size = 46
		refs = "0010 TList<System.Zip.TZipHeader>.SetCount 001f :TList<System.Zip.TZipHeader>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_22870_0 {
	meta:
		name = "TList<System.string>.SetCapacity"
		size = 46
		refs = "0010 TList<System.string>.SetCount 001f :TList<System.string>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_88837_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Controls.TControl>.SetCount 001f :TList<Vcl.Controls.TControl>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_89242_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Controls.TCustomGestureCollectionItem>.SetCount 001f :TList<Vcl.Controls.TCustomGestureCollectionItem>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_88719_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Controls.TCustomGestureManager>.SetCount 001f :TList<Vcl.Controls.TCustomGestureManager>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_78579_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.SetCount 001f :TList<Vcl.Direct2D.TDirect2DGraphicsObject>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_86642_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.SetCount 001f :TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_86395_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.SetCount 001f :TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_86544_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.SetCount 001f :TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_87613_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Themes.TCustomStyleEngineClass>.SetCount 001f :TList<Vcl.Themes.TCustomStyleEngineClass>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_87664_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Themes.TCustomStyleServices>.SetCount 001f :TList<Vcl.Themes.TCustomStyleServices>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_87864_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.SetCount 001f :TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_87766_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.SetCount 001f :TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_87911_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.SetCount 001f :TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_86493_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Themes.TStyleHook>.SetCount 001f :TList<Vcl.Themes.TStyleHook>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_87368_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Themes.TStyleHookClass>.SetCount 001f :TList<Vcl.Themes.TStyleHookClass>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_88009_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Themes.TStyleManager.TSourceInfo>.SetCount 001f :TList<Vcl.Themes.TStyleManager.TSourceInfo>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_87562_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.SetCount 001f :TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_88514_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.SetCount 001f :TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_88416_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.SetCount 001f :TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_88990_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Touch.GestureMgr.TGestureCollection>.SetCount 001f :TList<Vcl.Touch.GestureMgr.TGestureCollection>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_88939_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.SetCount 001f :TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_89293_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Touch.Gestures.TGesturePoint>.SetCount 001f :TList<Vcl.Touch.Gestures.TGesturePoint>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_89473_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.SetCount 001f :TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_89524_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.SetCount 001f :TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_89575_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Touch.KeyboardTypes.TKeyData>.SetCount 001f :TList<Vcl.Touch.KeyboardTypes.TKeyData>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_89806_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.SetCount 001f :TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_89704_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.SetCount 001f :TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_89857_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.SetCount 001f :TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_89755_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.SetCapacity"
		size = 46
		refs = "0010 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.SetCount 001f :TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_96322_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.SetCapacity"
		size = 46
		refs = "0010 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.SetCount 001f :TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_1980_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Expression.TBindingExpression>.GetCapacity 0031 TList<System.Bindings.Expression.TBindingExpression>.SetCapacity 0045 TList<System.Bindings.Expression.TBindingExpression>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_26828_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.GetCapacity 0031 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.SetCapacity 0045 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_27052_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.GetCapacity 0031 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.SetCapacity 0045 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_27256_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.GetCapacity 0031 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.SetCapacity 0045 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_27488_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.GetCapacity 0031 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.SetCapacity 0045 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_27705_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.GetCapacity 0031 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.SetCapacity 0045 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_27906_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.GetCapacity 0031 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.SetCapacity 0045 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_28524_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<DSAzureBlob.TBBlob>.GetCapacity 0031 TList<DSAzureBlob.TBBlob>.SetCapacity 0045 TList<DSAzureBlob.TBBlob>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_28746_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<DSAzureBlob.TBBlock>.GetCapacity 0031 TList<DSAzureBlob.TBBlock>.SetCapacity 0045 TList<DSAzureBlob.TBBlock>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_28400_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<DSAzureBlob.TBContainer>.GetCapacity 0031 TList<DSAzureBlob.TBContainer>.SetCapacity 0045 TList<DSAzureBlob.TBContainer>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_28689_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<DSAzureBlob.TBPageRange>.GetCapacity 0031 TList<DSAzureBlob.TBPageRange>.SetCapacity 0045 TList<DSAzureBlob.TBPageRange>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_28632_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<DSAzureBlob.TBSignedIdentifier>.GetCapacity 0031 TList<DSAzureBlob.TBSignedIdentifier>.SetCapacity 0045 TList<DSAzureBlob.TBSignedIdentifier>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_28579_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<DSAzureBlob.TLeaseItem>.GetCapacity 0031 TList<DSAzureBlob.TLeaseItem>.SetCapacity 0045 TList<DSAzureBlob.TLeaseItem>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_28803_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<DSAzureBlob.TPair<System.string,System.string>>.GetCapacity 0031 TList<DSAzureBlob.TPair<System.string,System.string>>.SetCapacity 0045 TList<DSAzureBlob.TPair<System.string,System.string>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_29047_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<DSAzureQueue.TMessageNodeData>.GetCapacity 0031 TList<DSAzureQueue.TMessageNodeData>.SetCapacity 0045 TList<DSAzureQueue.TMessageNodeData>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_29465_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<DSAzureTableDialog.TAzureTableColumn>.GetCapacity 0031 TList<DSAzureTableDialog.TAzureTableColumn>.SetCapacity 0045 TList<DSAzureTableDialog.TAzureTableColumn>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_29320_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<DSAzureTableDialog.TAzureTableRow>.GetCapacity 0031 TList<DSAzureTableDialog.TAzureTableRow>.SetCapacity 0045 TList<DSAzureTableDialog.TAzureTableRow>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_29367_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.GetCapacity 0031 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.SetCapacity 0045 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_2082_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Bind.Components.TBasicBindComponent>.GetCapacity 0031 TList<Data.Bind.Components.TBasicBindComponent>.SetCapacity 0045 TList<Data.Bind.Components.TBasicBindComponent>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_2258_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Bind.Components.TBindEditorFactoryClass>.GetCapacity 0031 TList<Data.Bind.Components.TBindEditorFactoryClass>.SetCapacity 0045 TList<Data.Bind.Components.TBindEditorFactoryClass>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_2031_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Bind.Components.TContainedBindComponent>.GetCapacity 0031 TList<Data.Bind.Components.TContainedBindComponent>.SetCapacity 0045 TList<Data.Bind.Components.TContainedBindComponent>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_2377_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.GetCapacity 0031 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.SetCapacity 0045 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_2732_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.GetCapacity 0031 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.SetCapacity 0045 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_3074_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Bind.DBScope.TBaseDataLink>.GetCapacity 0031 TList<Data.Bind.DBScope.TBaseDataLink>.SetCapacity 0045 TList<Data.Bind.DBScope.TBaseDataLink>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_2976_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.GetCapacity 0031 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.SetCapacity 0045 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_3571_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.GetCapacity 0031 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.SetCapacity 0045 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_3826_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.GetCapacity 0031 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.SetCapacity 0045 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_3928_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.GetCapacity 0031 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.SetCapacity 0045 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_3877_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.GetCapacity 0031 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.SetCapacity 0045 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_3979_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.GetCapacity 0031 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.SetCapacity 0045 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_3775_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.GetCapacity 0031 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.SetCapacity 0045 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_3520_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.GetCapacity 0031 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.SetCapacity 0045 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_4654_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Cloud.AzureAPI.TAzureBlob>.GetCapacity 0031 TList<Data.Cloud.AzureAPI.TAzureBlob>.SetCapacity 0045 TList<Data.Cloud.AzureAPI.TAzureBlob>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_4705_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.GetCapacity 0031 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.SetCapacity 0045 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_4501_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.GetCapacity 0031 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.SetCapacity 0045 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_4552_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Cloud.AzureAPI.TAzureContainer>.GetCapacity 0031 TList<Data.Cloud.AzureAPI.TAzureContainer>.SetCapacity 0045 TList<Data.Cloud.AzureAPI.TAzureContainer>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_4603_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.GetCapacity 0031 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.SetCapacity 0045 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_4450_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Cloud.CloudAPI.TCloudQueue>.GetCapacity 0031 TList<Data.Cloud.CloudAPI.TCloudQueue>.SetCapacity 0045 TList<Data.Cloud.CloudAPI.TCloudQueue>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_3673_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.GetCapacity 0031 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.SetCapacity 0045 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_4986_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.GetCapacity 0031 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.SetCapacity 0045 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_3622_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.Cloud.CloudAPI.TCloudTableRow>.GetCapacity 0031 TList<Data.Cloud.CloudAPI.TCloudTableRow>.SetCapacity 0045 TList<Data.Cloud.CloudAPI.TCloudTableRow>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_16374_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.DBXCommon.TDBXParameter>.GetCapacity 0031 TList<Data.DBXCommon.TDBXParameter>.SetCapacity 0045 TList<Data.DBXCommon.TDBXParameter>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_7872_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.GetCapacity 0031 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.SetCapacity 0045 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_8592_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.DBXCommon.TDBXWritableValueArray>.GetCapacity 0031 TList<Data.DBXCommon.TDBXWritableValueArray>.SetCapacity 0045 TList<Data.DBXCommon.TDBXWritableValueArray>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_8017_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.DBXCommon.TEventPointer>.GetCapacity 0031 TList<Data.DBXCommon.TEventPointer>.SetCapacity 0045 TList<Data.DBXCommon.TEventPointer>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_7919_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.GetCapacity 0031 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.SetCapacity 0045 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_25108_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.DBXCommon.TResultCommandHandler>.GetCapacity 0031 TList<Data.DBXCommon.TResultCommandHandler>.SetCapacity 0045 TList<Data.DBXCommon.TResultCommandHandler>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_10349_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.DBXJSON.TJSONAncestor>.GetCapacity 0031 TList<Data.DBXJSON.TJSONAncestor>.SetCapacity 0045 TList<Data.DBXJSON.TJSONAncestor>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_10302_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.DBXJSONReflect.TConverterEvent>.GetCapacity 0031 TList<Data.DBXJSONReflect.TConverterEvent>.SetCapacity 0045 TList<Data.DBXJSONReflect.TConverterEvent>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_10108_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.GetCapacity 0031 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.SetCapacity 0045 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_10204_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetCapacity 0031 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCapacity 0045 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_10493_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetCapacity 0031 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCapacity 0045 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_10397_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.GetCapacity 0031 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.SetCapacity 0045 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_18562_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.DBXJSONReflect.TReverterEvent>.GetCapacity 0031 TList<Data.DBXJSONReflect.TReverterEvent>.SetCapacity 0045 TList<Data.DBXJSONReflect.TReverterEvent>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_11081_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.GetCapacity 0031 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.SetCapacity 0045 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_11030_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.GetCapacity 0031 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.SetCapacity 0045 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_11265_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.GetCapacity 0031 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity 0045 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_15925_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetCapacity 0031 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 0045 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_15780_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.GetCapacity 0031 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.SetCapacity 0045 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_16256_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSClientRest.TDSRestClientCallback>.GetCapacity 0031 TList<Datasnap.DSClientRest.TDSRestClientCallback>.SetCapacity 0045 TList<Datasnap.DSClientRest.TDSRestClientCallback>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_16430_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.GetCapacity 0031 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.SetCapacity 0045 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_21911_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.GetCapacity 0031 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.SetCapacity 0045 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_17376_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSHTTP.TDSHTTPClass>.GetCapacity 0031 TList<Datasnap.DSHTTP.TDSHTTPClass>.SetCapacity 0045 TList<Datasnap.DSHTTP.TDSHTTPClass>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_17278_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.GetCapacity 0031 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.SetCapacity 0045 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_18370_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.GetCapacity 0031 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.SetCapacity 0045 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_18062_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.GetCapacity 0031 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.SetCapacity 0045 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_17740_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.GetCapacity 0031 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.SetCapacity 0045 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_18115_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.GetCapacity 0031 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.SetCapacity 0045 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_18417_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetCapacity 0031 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCapacity 0045 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_18513_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetCapacity 0031 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCapacity 0045 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_18272_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.GetCapacity 0031 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.SetCapacity 0045 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_18746_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.GetCapacity 0031 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity 0045 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_19047_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.GetCapacity 0031 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.SetCapacity 0045 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_19406_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetCapacity 0031 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 0045 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_19701_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetCapacity 0031 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 0045 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_19989_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetCapacity 0031 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 0045 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_20271_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetCapacity 0031 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 0045 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_20797_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetCapacity 0031 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 0045 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_20701_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.GetCapacity 0031 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.SetCapacity 0045 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_21025_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.GetCapacity 0031 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.SetCapacity 0045 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_21259_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetCapacity 0031 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 0045 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_21546_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetCapacity 0031 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 0045 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_21813_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetCapacity 0031 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 0045 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_22105_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetCapacity 0031 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 0045 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_22398_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetCapacity 0031 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 0045 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_22965_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetCapacity 0031 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 0045 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_22820_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.GetCapacity 0031 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.SetCapacity 0045 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_23709_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSServer.TDSCallbackTunnel>.GetCapacity 0031 TList<Datasnap.DSServer.TDSCallbackTunnel>.SetCapacity 0045 TList<Datasnap.DSServer.TDSCallbackTunnel>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_23658_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.GetCapacity 0031 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.SetCapacity 0045 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_23760_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetCapacity 0031 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCapacity 0045 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_23858_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetCapacity 0031 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCapacity 0045 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_23954_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.GetCapacity 0031 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.SetCapacity 0045 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_24483_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSService.TDBXRequestFilter>.GetCapacity 0031 TList<Datasnap.DSService.TDBXRequestFilter>.SetCapacity 0045 TList<Datasnap.DSService.TDBXRequestFilter>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_11363_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSService.TDSSession>.GetCapacity 0031 TList<Datasnap.DSService.TDSSession>.SetCapacity 0045 TList<Datasnap.DSService.TDSSession>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_24853_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSService.TDSSessionEvent>.GetCapacity 0031 TList<Datasnap.DSService.TDSSessionEvent>.SetCapacity 0045 TList<Datasnap.DSService.TDSSessionEvent>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_25057_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.GetCapacity 0031 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.SetCapacity 0045 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_24951_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.GetCapacity 0031 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.SetCapacity 0045 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_25298_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.GetCapacity 0031 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity 0045 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_25202_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.GetCapacity 0031 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.SetCapacity 0045 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_25155_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSService.TPair<System.string,System.string>>.GetCapacity 0031 TList<Datasnap.DSService.TPair<System.string,System.string>>.SetCapacity 0045 TList<Datasnap.DSService.TPair<System.string,System.string>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_25572_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.GetCapacity 0031 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity 0045 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_29674_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<GraphView.TGraphEdge>.GetCapacity 0031 TList<GraphView.TGraphEdge>.SetCapacity 0045 TList<GraphView.TGraphEdge>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_29784_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<GraphView.TGraphNode>.GetCapacity 0031 TList<GraphView.TGraphNode>.SetCapacity 0045 TList<GraphView.TGraphNode>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_29729_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.GetCapacity 0031 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.SetCapacity 0045 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_30546_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<IBDatabase.TIBBase>.GetCapacity 0031 TList<IBDatabase.TIBBase>.SetCapacity 0045 TList<IBDatabase.TIBBase>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_30648_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<IBDatabase.TIBDatabase>.GetCapacity 0031 TList<IBDatabase.TIBDatabase>.SetCapacity 0045 TList<IBDatabase.TIBDatabase>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_30597_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<IBDatabase.TIBTransaction>.GetCapacity 0031 TList<IBDatabase.TIBTransaction>.SetCapacity 0045 TList<IBDatabase.TIBTransaction>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_31339_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<IBIntf.IGDSLibrary>.GetCapacity 0031 TList<IBIntf.IGDSLibrary>.SetCapacity 0045 TList<IBIntf.IGDSLibrary>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_31241_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.GetCapacity 0031 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.SetCapacity 0045 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_40359_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<IPPeerAPI.IIPContext>.GetCapacity 0031 TList<IPPeerAPI.IIPContext>.SetCapacity 0045 TList<IPPeerAPI.IIPContext>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_42966_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.GetCapacity 0031 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.SetCapacity 0045 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_42723_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.GetCapacity 0031 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.SetCapacity 0045 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_42868_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.GetCapacity 0031 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.SetCapacity 0045 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_43013_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<IPPeerAPI.TPair<System.string,System.string>>.GetCapacity 0031 TList<IPPeerAPI.TPair<System.string,System.string>>.SetCapacity 0045 TList<IPPeerAPI.TPair<System.string,System.string>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_40312_0 {
	meta:
		name = "TList<IdContext.TIdContext>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<IdContext.TIdContext>.GetCapacity 0031 TList<IdContext.TIdContext>.SetCapacity 0045 TList<IdContext.TIdContext>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_40261_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.GetCapacity 0031 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.SetCapacity 0045 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_40165_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<IndyPeerImpl.TPair<System.string,System.string>>.GetCapacity 0031 TList<IndyPeerImpl.TPair<System.string,System.string>>.SetCapacity 0045 TList<IndyPeerImpl.TPair<System.string,System.string>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_50030_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.GetCapacity 0031 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.SetCapacity 0045 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_51215_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.GetCapacity 0031 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.SetCapacity 0045 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_51070_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<SyncController.TPair<System.IInterface,System.Pointer>>.GetCapacity 0031 TList<SyncController.TPair<System.IInterface,System.Pointer>>.SetCapacity 0045 TList<SyncController.TPair<System.IInterface,System.Pointer>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_51313_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<SyncController.TPair<System.TObject,System.string>>.GetCapacity 0031 TList<SyncController.TPair<System.TObject,System.string>>.SetCapacity 0045 TList<SyncController.TPair<System.TObject,System.string>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_30826_0 {
	meta:
		name = "TList<System.AnsiString>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.AnsiString>.GetCapacity 0031 TList<System.AnsiString>.SetCapacity 0045 TList<System.AnsiString>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_51686_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.GetCapacity 0031 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.SetCapacity 0045 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_54607_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.CustomScope.TScopeClass>.GetCapacity 0031 TList<System.Bindings.CustomScope.TScopeClass>.SetCapacity 0045 TList<System.Bindings.CustomScope.TScopeClass>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_56337_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.EvalProtocol.ILocation>.GetCapacity 0031 TList<System.Bindings.EvalProtocol.ILocation>.SetCapacity 0045 TList<System.Bindings.EvalProtocol.ILocation>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_53152_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.EvalProtocol.IScope>.GetCapacity 0031 TList<System.Bindings.EvalProtocol.IScope>.SetCapacity 0045 TList<System.Bindings.EvalProtocol.IScope>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_51928_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.EvalProtocol.ISubscription>.GetCapacity 0031 TList<System.Bindings.EvalProtocol.ISubscription>.SetCapacity 0045 TList<System.Bindings.EvalProtocol.ISubscription>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_52101_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.GetCapacity 0031 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.SetCapacity 0045 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_52822_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetCapacity 0031 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.SetCapacity 0045 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_52567_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.EvalSys.TOverload>.GetCapacity 0031 TList<System.Bindings.EvalSys.TOverload>.SetCapacity 0045 TList<System.Bindings.EvalSys.TOverload>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_52724_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.GetCapacity 0031 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.SetCapacity 0045 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_52626_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.GetCapacity 0031 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.SetCapacity 0045 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_52775_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.GetCapacity 0031 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.SetCapacity 0045 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_53199_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.GetCapacity 0031 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.SetCapacity 0045 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_53582_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.GetCapacity 0031 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.SetCapacity 0045 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_53727_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.GetCapacity 0031 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.SetCapacity 0045 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_54101_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.GetCapacity 0031 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.SetCapacity 0045 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_54246_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.GetCapacity 0031 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.SetCapacity 0045 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_56092_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetCapacity 0031 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.SetCapacity 0045 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_55804_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetCapacity 0031 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.SetCapacity 0045 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_56235_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetCapacity 0031 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.SetCapacity 0045 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_56286_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetCapacity 0031 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetCapacity 0045 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_56043_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.GetCapacity 0031 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.SetCapacity 0045 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_55851_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetCapacity 0031 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCapacity 0045 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_55463_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetCapacity 0031 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.SetCapacity 0045 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_55898_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.GetCapacity 0031 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.SetCapacity 0045 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_55706_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.GetCapacity 0031 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.SetCapacity 0045 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_56186_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.GetCapacity 0031 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.SetCapacity 0045 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_56384_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.GetCapacity 0031 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.SetCapacity 0045 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_55561_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.GetCapacity 0031 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.SetCapacity 0045 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_56139_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.GetCapacity 0031 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.SetCapacity 0045 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_56817_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.GetCapacity 0031 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.SetCapacity 0045 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_57025_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Manager.TBindingManager>.GetCapacity 0031 TList<System.Bindings.Manager.TBindingManager>.SetCapacity 0045 TList<System.Bindings.Manager.TBindingManager>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_58586_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetCapacity 0031 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.SetCapacity 0045 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_58439_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetCapacity 0031 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.SetCapacity 0045 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_58198_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetCapacity 0031 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.SetCapacity 0045 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_58537_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.GetCapacity 0031 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.SetCapacity 0045 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_58486_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetCapacity 0031 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCapacity 0045 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_58245_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetCapacity 0031 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.SetCapacity 0045 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_57810_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.GetCapacity 0031 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.SetCapacity 0045 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_58390_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.GetCapacity 0031 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.SetCapacity 0045 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_58100_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.GetCapacity 0031 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.SetCapacity 0045 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_58294_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.GetCapacity 0031 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.SetCapacity 0045 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_57955_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.GetCapacity 0031 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.SetCapacity 0045 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_59118_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Methods.TMethodDescription>.GetCapacity 0031 TList<System.Bindings.Methods.TMethodDescription>.SetCapacity 0045 TList<System.Bindings.Methods.TMethodDescription>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_59020_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.GetCapacity 0031 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.SetCapacity 0045 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_59165_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.GetCapacity 0031 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.SetCapacity 0045 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_59673_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.GetCapacity 0031 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.SetCapacity 0045 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_59894_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.GetCapacity 0031 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.SetCapacity 0045 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_60263_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.GetCapacity 0031 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.SetCapacity 0045 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_60088_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Outputs.TConvertPair>.GetCapacity 0031 TList<System.Bindings.Outputs.TConvertPair>.SetCapacity 0045 TList<System.Bindings.Outputs.TConvertPair>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_60829_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Outputs.TConverterDescription>.GetCapacity 0031 TList<System.Bindings.Outputs.TConverterDescription>.SetCapacity 0045 TList<System.Bindings.Outputs.TConverterDescription>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_60731_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetCapacity 0031 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.SetCapacity 0045 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_60984_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetCapacity 0031 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetCapacity 0045 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_61237_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetCapacity 0031 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCapacity 0045 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_60778_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.GetCapacity 0031 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.SetCapacity 0045 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_60929_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetCapacity 0031 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.SetCapacity 0045 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_61082_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.GetCapacity 0031 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.SetCapacity 0045 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_60680_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.GetCapacity 0031 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.SetCapacity 0045 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_60880_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.GetCapacity 0031 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.SetCapacity 0045 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_61141_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.GetCapacity 0031 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.SetCapacity 0045 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_61674_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.GetCapacity 0031 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.SetCapacity 0045 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_64864_0 {
	meta:
		name = "TList<System.Boolean>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Boolean>.GetCapacity 0031 TList<System.Boolean>.SetCapacity 0045 TList<System.Boolean>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_2475_0 {
	meta:
		name = "TList<System.Classes.IObserver>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Classes.IObserver>.GetCapacity 0031 TList<System.Classes.IObserver>.SetCapacity 0045 TList<System.Classes.IObserver>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_86447_0 {
	meta:
		name = "TList<System.Classes.TComponent>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Classes.TComponent>.GetCapacity 0031 TList<System.Classes.TComponent>.SetCapacity 0045 TList<System.Classes.TComponent>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_2133_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Classes.TNotifyEvent>.GetCapacity 0031 TList<System.Classes.TNotifyEvent>.SetCapacity 0045 TList<System.Classes.TNotifyEvent>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_15878_0 {
	meta:
		name = "TList<System.Classes.TStream>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Classes.TStream>.GetCapacity 0031 TList<System.Classes.TStream>.SetCapacity 0045 TList<System.Classes.TStream>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_24003_0 {
	meta:
		name = "TList<System.Classes.TStrings>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Classes.TStrings>.GetCapacity 0031 TList<System.Classes.TStrings>.SetCapacity 0045 TList<System.Classes.TStrings>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_63609_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetCapacity 0031 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.SetCapacity 0045 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_63511_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.GetCapacity 0031 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.SetCapacity 0045 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_64766_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.GetCapacity 0031 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.SetCapacity 0045 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_54509_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.GetCapacity 0031 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.SetCapacity 0045 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_52378_0 {
	meta:
		name = "TList<System.IInterface>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.IInterface>.GetCapacity 0031 TList<System.IInterface>.SetCapacity 0045 TList<System.IInterface>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_58343_0 {
	meta:
		name = "TList<System.Int64>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Int64>.GetCapacity 0031 TList<System.Int64>.SetCapacity 0045 TList<System.Int64>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_24538_0 {
	meta:
		name = "TList<System.Integer>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Integer>.GetCapacity 0031 TList<System.Integer>.SetCapacity 0045 TList<System.Integer>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_22918_0 {
	meta:
		name = "TList<System.Masks.TMask>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Masks.TMask>.GetCapacity 0031 TList<System.Masks.TMask>.SetCapacity 0045 TList<System.Masks.TMask>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_61772_0 {
	meta:
		name = "TList<System.Pointer>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Pointer>.GetCapacity 0031 TList<System.Pointer>.SetCapacity 0045 TList<System.Pointer>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_67365_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Rtti.TMethodImplementation.TParamLoc>.GetCapacity 0031 TList<System.Rtti.TMethodImplementation.TParamLoc>.SetCapacity 0045 TList<System.Rtti.TMethodImplementation.TParamLoc>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_68094_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.GetCapacity 0031 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.SetCapacity 0045 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_68261_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.GetCapacity 0031 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.SetCapacity 0045 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_68404_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.GetCapacity 0031 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.SetCapacity 0045 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_67982_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Rtti.TRttiField>.GetCapacity 0031 TList<System.Rtti.TRttiField>.SetCapacity 0045 TList<System.Rtti.TRttiField>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_68034_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Rtti.TRttiManagedField>.GetCapacity 0031 TList<System.Rtti.TRttiManagedField>.SetCapacity 0045 TList<System.Rtti.TRttiManagedField>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_67929_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Rtti.TRttiMethod>.GetCapacity 0031 TList<System.Rtti.TRttiMethod>.SetCapacity 0045 TList<System.Rtti.TRttiMethod>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_68192_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Rtti.TRttiObject>.GetCapacity 0031 TList<System.Rtti.TRttiObject>.SetCapacity 0045 TList<System.Rtti.TRttiObject>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_67877_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Rtti.TRttiProperty>.GetCapacity 0031 TList<System.Rtti.TRttiProperty>.SetCapacity 0045 TList<System.Rtti.TRttiProperty>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_67542_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Rtti.TVirtualInterface.TImplInfo>.GetCapacity 0031 TList<System.Rtti.TVirtualInterface.TImplInfo>.SetCapacity 0045 TList<System.Rtti.TVirtualInterface.TImplInfo>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_67487_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.GetCapacity 0031 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.SetCapacity 0045 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_60385_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.SysUtils.TProc<System.Rtti.TValue>>.GetCapacity 0031 TList<System.SysUtils.TProc<System.Rtti.TValue>>.SetCapacity 0045 TList<System.SysUtils.TProc<System.Rtti.TValue>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_42821_0 {
	meta:
		name = "TList<System.TClass>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.TClass>.GetCapacity 0031 TList<System.TClass>.SetCapacity 0045 TList<System.TClass>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_67820_0 {
	meta:
		name = "TList<System.TCustomAttribute>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.TCustomAttribute>.GetCapacity 0031 TList<System.TCustomAttribute>.SetCapacity 0045 TList<System.TCustomAttribute>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_42774_0 {
	meta:
		name = "TList<System.TGUID>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.TGUID>.GetCapacity 0031 TList<System.TGUID>.SetCapacity 0045 TList<System.TGUID>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_23184_0 {
	meta:
		name = "TList<System.TObject>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.TObject>.GetCapacity 0031 TList<System.TObject>.SetCapacity 0045 TList<System.TObject>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_68310_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.TypInfo.PTypeInfo>.GetCapacity 0031 TList<System.TypInfo.PTypeInfo>.SetCapacity 0045 TList<System.TypInfo.PTypeInfo>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_87716_0 {
	meta:
		name = "TList<System.Types.TPoint>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Types.TPoint>.GetCapacity 0031 TList<System.Types.TPoint>.SetCapacity 0045 TList<System.Types.TPoint>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_50081_0 {
	meta:
		name = "TList<System.Variant>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Variant>.GetCapacity 0031 TList<System.Variant>.SetCapacity 0045 TList<System.Variant>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_63562_0 {
	meta:
		name = "TList<System.Word>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Word>.GetCapacity 0031 TList<System.Word>.SetCapacity 0045 TList<System.Word>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_71757_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetCapacity 0031 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.SetCapacity 0045 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_71659_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.GetCapacity 0031 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.SetCapacity 0045 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_71710_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Zip.TZipCompression>.GetCapacity 0031 TList<System.Zip.TZipCompression>.SetCapacity 0045 TList<System.Zip.TZipCompression>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_71612_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.Zip.TZipHeader>.GetCapacity 0031 TList<System.Zip.TZipHeader>.SetCapacity 0045 TList<System.Zip.TZipHeader>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_22871_0 {
	meta:
		name = "TList<System.string>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<System.string>.GetCapacity 0031 TList<System.string>.SetCapacity 0045 TList<System.string>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_88838_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Controls.TControl>.GetCapacity 0031 TList<Vcl.Controls.TControl>.SetCapacity 0045 TList<Vcl.Controls.TControl>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_89243_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Controls.TCustomGestureCollectionItem>.GetCapacity 0031 TList<Vcl.Controls.TCustomGestureCollectionItem>.SetCapacity 0045 TList<Vcl.Controls.TCustomGestureCollectionItem>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_88720_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Controls.TCustomGestureManager>.GetCapacity 0031 TList<Vcl.Controls.TCustomGestureManager>.SetCapacity 0045 TList<Vcl.Controls.TCustomGestureManager>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_78580_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.GetCapacity 0031 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.SetCapacity 0045 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_86643_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.GetCapacity 0031 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.SetCapacity 0045 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_86396_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.GetCapacity 0031 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.SetCapacity 0045 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_86545_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetCapacity 0031 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.SetCapacity 0045 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_87614_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Themes.TCustomStyleEngineClass>.GetCapacity 0031 TList<Vcl.Themes.TCustomStyleEngineClass>.SetCapacity 0045 TList<Vcl.Themes.TCustomStyleEngineClass>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_87665_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Themes.TCustomStyleServices>.GetCapacity 0031 TList<Vcl.Themes.TCustomStyleServices>.SetCapacity 0045 TList<Vcl.Themes.TCustomStyleServices>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_87865_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.GetCapacity 0031 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.SetCapacity 0045 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_87767_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetCapacity 0031 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.SetCapacity 0045 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_87912_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.GetCapacity 0031 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.SetCapacity 0045 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_86494_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Themes.TStyleHook>.GetCapacity 0031 TList<Vcl.Themes.TStyleHook>.SetCapacity 0045 TList<Vcl.Themes.TStyleHook>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_87369_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Themes.TStyleHookClass>.GetCapacity 0031 TList<Vcl.Themes.TStyleHookClass>.SetCapacity 0045 TList<Vcl.Themes.TStyleHookClass>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_88010_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Themes.TStyleManager.TSourceInfo>.GetCapacity 0031 TList<Vcl.Themes.TStyleManager.TSourceInfo>.SetCapacity 0045 TList<Vcl.Themes.TStyleManager.TSourceInfo>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_87563_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.GetCapacity 0031 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.SetCapacity 0045 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_88515_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetCapacity 0031 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.SetCapacity 0045 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_88417_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.GetCapacity 0031 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.SetCapacity 0045 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_88991_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Touch.GestureMgr.TGestureCollection>.GetCapacity 0031 TList<Vcl.Touch.GestureMgr.TGestureCollection>.SetCapacity 0045 TList<Vcl.Touch.GestureMgr.TGestureCollection>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_88940_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.GetCapacity 0031 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.SetCapacity 0045 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_89294_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Touch.Gestures.TGesturePoint>.GetCapacity 0031 TList<Vcl.Touch.Gestures.TGesturePoint>.SetCapacity 0045 TList<Vcl.Touch.Gestures.TGesturePoint>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_89474_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetCapacity 0031 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.SetCapacity 0045 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_89525_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.GetCapacity 0031 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.SetCapacity 0045 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_89576_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Touch.KeyboardTypes.TKeyData>.GetCapacity 0031 TList<Vcl.Touch.KeyboardTypes.TKeyData>.SetCapacity 0045 TList<Vcl.Touch.KeyboardTypes.TKeyData>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_89807_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.GetCapacity 0031 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.SetCapacity 0045 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_89705_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.GetCapacity 0031 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.SetCapacity 0045 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_89858_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.GetCapacity 0031 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.SetCapacity 0045 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_89756_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.GetCapacity 0031 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.SetCapacity 0045 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_96323_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.SetCount"
		size = 79
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept 0024 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.GetCapacity 0031 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.SetCapacity 0045 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.DeleteRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 0D 8B C8 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_1981_0 {
	meta:
		name = "TList<T>.GetItem"
		size = 39
		refs = "000b SArgumentOutOfRange 0012 _Dn_EArgumentOutOfRangeException 0017 Exception.CreateRes 001c @RaiseExcept"
	strings:
		$1 = { 85 D2 7C 05 3B 50 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 04 8B 04 90 C3 }
	condition:
		$1
}

rule function_1982_0 {
	meta:
		name = "TList<T>.SetItem"
		size = 77
		refs = "0012 SArgumentOutOfRange 0019 _Dn_EArgumentOutOfRangeException 001e Exception.CreateRes 0023 @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B F1 8B D8 85 D2 7C 05 3B 53 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 3C 90 8B 43 04 89 34 90 B1 01 8B D7 8B C3 8B 38 FF 57 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1983_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Expression.TBindingExpression>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26831_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27055_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27259_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27491_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27708_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27909_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28527_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<DSAzureBlob.TBBlob>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28749_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<DSAzureBlob.TBBlock>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28403_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<DSAzureBlob.TBContainer>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28692_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<DSAzureBlob.TBPageRange>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28635_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<DSAzureBlob.TBSignedIdentifier>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28582_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<DSAzureBlob.TLeaseItem>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28806_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<DSAzureBlob.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29050_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<DSAzureQueue.TMessageNodeData>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29468_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<DSAzureTableDialog.TAzureTableColumn>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29323_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<DSAzureTableDialog.TAzureTableRow>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29370_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2085_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Bind.Components.TBasicBindComponent>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2261_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Bind.Components.TBindEditorFactoryClass>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2034_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Bind.Components.TContainedBindComponent>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2380_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2735_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3077_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Bind.DBScope.TBaseDataLink>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2979_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3574_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3829_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Cloud.AmazonAPI.TAmazonGrant>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3931_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3880_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3982_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3778_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3523_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4657_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Cloud.AzureAPI.TAzureBlob>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4708_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4504_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4555_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Cloud.AzureAPI.TAzureContainer>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4606_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Cloud.AzureAPI.TSignedIdentifier>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4453_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Cloud.CloudAPI.TCloudQueue>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3676_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4989_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Cloud.CloudAPI.TCloudTableColumn>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3625_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.Cloud.CloudAPI.TCloudTableRow>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16377_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.DBXCommon.TDBXParameter>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7875_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8595_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.DBXCommon.TDBXWritableValueArray>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8020_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.DBXCommon.TEventPointer>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7922_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25111_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.DBXCommon.TResultCommandHandler>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10352_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.DBXJSON.TJSONAncestor>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10305_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.DBXJSONReflect.TConverterEvent>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10111_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10207_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10496_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10400_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18565_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.DBXJSONReflect.TReverterEvent>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11084_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11033_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11268_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15928_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15783_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16259_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSClientRest.TDSRestClientCallback>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16433_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21914_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSCommonProxy.IDSProxyWriter>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17379_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSHTTP.TDSHTTPClass>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17281_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18373_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18065_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17743_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18118_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18420_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18516_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18275_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18749_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19050_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19409_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19704_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19992_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20274_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20800_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20704_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21028_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21262_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21549_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21816_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22108_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22401_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22968_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22823_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23712_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSServer.TDSCallbackTunnel>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23661_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23763_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23861_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23957_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24486_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSService.TDBXRequestFilter>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11366_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSService.TDSSession>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24856_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSService.TDSSessionEvent>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25060_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24954_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25301_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25205_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSService.TPair<System.string,System.TObject>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25158_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSService.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25575_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29677_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<GraphView.TGraphEdge>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29787_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<GraphView.TGraphNode>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29732_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<GraphView.TObjectList<GraphView.TGraphEdge>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30549_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<IBDatabase.TIBBase>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30651_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<IBDatabase.TIBDatabase>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30600_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<IBDatabase.TIBTransaction>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31342_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<IBIntf.IGDSLibrary>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31244_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40362_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<IPPeerAPI.IIPContext>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42969_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42726_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42871_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43016_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<IPPeerAPI.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40315_0 {
	meta:
		name = "TList<IdContext.TIdContext>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<IdContext.TIdContext>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40264_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40168_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<IndyPeerImpl.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50033_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51218_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51073_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<SyncController.TPair<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51316_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<SyncController.TPair<System.TObject,System.string>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30829_0 {
	meta:
		name = "TList<System.AnsiString>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.AnsiString>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51689_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54610_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.CustomScope.TScopeClass>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56340_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.EvalProtocol.ILocation>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53155_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.EvalProtocol.IScope>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51931_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.EvalProtocol.ISubscription>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52104_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52825_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52570_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.EvalSys.TOverload>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52727_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52629_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52778_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53202_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53585_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53730_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54104_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54249_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56095_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55807_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56238_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56289_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56046_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55854_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55466_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55901_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55709_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56189_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56387_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55564_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56142_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56820_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57028_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Manager.TBindingManager>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58589_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58442_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58201_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58540_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58489_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58248_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57813_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58393_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58103_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58297_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57958_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59121_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Methods.TMethodDescription>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59023_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59168_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59676_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59897_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60266_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60091_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Outputs.TConvertPair>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60832_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Outputs.TConverterDescription>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60734_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60987_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61240_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60781_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60932_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61085_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60683_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60883_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61144_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61677_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64867_0 {
	meta:
		name = "TList<System.Boolean>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Boolean>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2478_0 {
	meta:
		name = "TList<System.Classes.IObserver>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Classes.IObserver>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86450_0 {
	meta:
		name = "TList<System.Classes.TComponent>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Classes.TComponent>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2136_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Classes.TNotifyEvent>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15881_0 {
	meta:
		name = "TList<System.Classes.TStream>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Classes.TStream>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24006_0 {
	meta:
		name = "TList<System.Classes.TStrings>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Classes.TStrings>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63612_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63514_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64769_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.DebugUtils.TPair<System.string,System.Boolean>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54512_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52381_0 {
	meta:
		name = "TList<System.IInterface>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.IInterface>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58346_0 {
	meta:
		name = "TList<System.Int64>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Int64>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24541_0 {
	meta:
		name = "TList<System.Integer>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Integer>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22921_0 {
	meta:
		name = "TList<System.Masks.TMask>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Masks.TMask>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61775_0 {
	meta:
		name = "TList<System.Pointer>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Pointer>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67368_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Rtti.TMethodImplementation.TParamLoc>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68097_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68264_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68407_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67985_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Rtti.TRttiField>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68037_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Rtti.TRttiManagedField>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67932_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Rtti.TRttiMethod>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68195_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Rtti.TRttiObject>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67880_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Rtti.TRttiProperty>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67545_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Rtti.TVirtualInterface.TImplInfo>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67490_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60388_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.SysUtils.TProc<System.Rtti.TValue>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42824_0 {
	meta:
		name = "TList<System.TClass>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.TClass>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67823_0 {
	meta:
		name = "TList<System.TCustomAttribute>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.TCustomAttribute>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42777_0 {
	meta:
		name = "TList<System.TGUID>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.TGUID>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23187_0 {
	meta:
		name = "TList<System.TObject>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.TObject>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68313_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.TypInfo.PTypeInfo>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87719_0 {
	meta:
		name = "TList<System.Types.TPoint>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Types.TPoint>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50084_0 {
	meta:
		name = "TList<System.Variant>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Variant>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63565_0 {
	meta:
		name = "TList<System.Word>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Word>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71760_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71662_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71713_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Zip.TZipCompression>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71615_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.Zip.TZipHeader>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22874_0 {
	meta:
		name = "TList<System.string>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<System.string>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88841_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Controls.TControl>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89246_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Controls.TCustomGestureCollectionItem>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88723_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Controls.TCustomGestureManager>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78583_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Direct2D.TDirect2DGraphicsObject>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86646_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86399_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86548_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87617_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Themes.TCustomStyleEngineClass>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87668_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Themes.TCustomStyleServices>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87868_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87770_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87915_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86497_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Themes.TStyleHook>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87372_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Themes.TStyleHookClass>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88013_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Themes.TStyleManager.TSourceInfo>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87566_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88518_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88420_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88994_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Touch.GestureMgr.TGestureCollection>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88943_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89297_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Touch.Gestures.TGesturePoint>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89477_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89528_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89579_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Touch.KeyboardTypes.TKeyData>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89810_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89708_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89861_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89759_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96326_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Grow"
		size = 53
		refs = "000b @DynArrayLength 0020 OutOfMemoryError 002d TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 03 DB 85 DB 7D 05 E8 ?? ?? ?? ?? 3B FB 7F F1 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1984_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Expression.TBindingExpression>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26832_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27056_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27260_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27492_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27709_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27910_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28528_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<DSAzureBlob.TBBlob>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28750_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<DSAzureBlob.TBBlock>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28404_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<DSAzureBlob.TBContainer>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28693_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<DSAzureBlob.TBPageRange>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28636_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<DSAzureBlob.TBSignedIdentifier>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28583_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<DSAzureBlob.TLeaseItem>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28807_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<DSAzureBlob.TPair<System.string,System.string>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29051_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<DSAzureQueue.TMessageNodeData>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29469_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<DSAzureTableDialog.TAzureTableColumn>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29324_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<DSAzureTableDialog.TAzureTableRow>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29371_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2086_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Bind.Components.TBasicBindComponent>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2262_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Bind.Components.TBindEditorFactoryClass>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2035_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Bind.Components.TContainedBindComponent>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2381_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2736_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3078_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Bind.DBScope.TBaseDataLink>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2980_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3575_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3830_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3932_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3881_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3983_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3779_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3524_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4658_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Cloud.AzureAPI.TAzureBlob>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4709_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4505_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4556_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Cloud.AzureAPI.TAzureContainer>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4607_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4454_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Cloud.CloudAPI.TCloudQueue>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3677_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4990_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3626_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.Cloud.CloudAPI.TCloudTableRow>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16378_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.DBXCommon.TDBXParameter>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7876_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8596_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.DBXCommon.TDBXWritableValueArray>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8021_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.DBXCommon.TEventPointer>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7923_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25112_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.DBXCommon.TResultCommandHandler>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10353_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.DBXJSON.TJSONAncestor>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10306_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.DBXJSONReflect.TConverterEvent>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10112_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10208_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10497_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10401_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18566_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.DBXJSONReflect.TReverterEvent>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11085_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11034_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11269_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15929_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15784_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16260_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSClientRest.TDSRestClientCallback>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16434_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21915_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17380_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSHTTP.TDSHTTPClass>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17282_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18374_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18066_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17744_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18119_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18421_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18517_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18276_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18750_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19051_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19410_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19705_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19993_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20275_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20801_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20705_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21029_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21263_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21550_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21817_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22109_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22402_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22969_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22824_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23713_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSServer.TDSCallbackTunnel>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23662_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23764_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23862_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23958_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24487_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSService.TDBXRequestFilter>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11367_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSService.TDSSession>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24857_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSService.TDSSessionEvent>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25061_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24955_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25302_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25206_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25159_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSService.TPair<System.string,System.string>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25576_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29678_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<GraphView.TGraphEdge>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29788_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<GraphView.TGraphNode>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29733_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30550_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<IBDatabase.TIBBase>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30652_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<IBDatabase.TIBDatabase>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30601_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<IBDatabase.TIBTransaction>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31343_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<IBIntf.IGDSLibrary>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31245_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40363_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<IPPeerAPI.IIPContext>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42970_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42727_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42872_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43017_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<IPPeerAPI.TPair<System.string,System.string>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40316_0 {
	meta:
		name = "TList<IdContext.TIdContext>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<IdContext.TIdContext>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40265_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40169_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<IndyPeerImpl.TPair<System.string,System.string>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50034_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51219_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51074_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<SyncController.TPair<System.IInterface,System.Pointer>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51317_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<SyncController.TPair<System.TObject,System.string>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30830_0 {
	meta:
		name = "TList<System.AnsiString>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.AnsiString>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51690_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54611_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.CustomScope.TScopeClass>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56341_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.EvalProtocol.ILocation>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53156_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.EvalProtocol.IScope>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51932_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.EvalProtocol.ISubscription>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52105_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52826_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52571_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.EvalSys.TOverload>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52728_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52630_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52779_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53203_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53586_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53731_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54105_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54250_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56096_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55808_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56239_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56290_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56047_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55855_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55467_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55902_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55710_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56190_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56388_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55565_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56143_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56821_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57029_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Manager.TBindingManager>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58590_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58443_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58202_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58541_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58490_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58249_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57814_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58394_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58104_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58298_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57959_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59122_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Methods.TMethodDescription>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59024_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59169_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59677_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59898_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60267_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60092_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Outputs.TConvertPair>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60833_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Outputs.TConverterDescription>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60735_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60988_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61241_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60782_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60933_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61086_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60684_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60884_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61145_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61678_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64868_0 {
	meta:
		name = "TList<System.Boolean>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Boolean>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2479_0 {
	meta:
		name = "TList<System.Classes.IObserver>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Classes.IObserver>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86451_0 {
	meta:
		name = "TList<System.Classes.TComponent>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Classes.TComponent>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2137_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Classes.TNotifyEvent>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15882_0 {
	meta:
		name = "TList<System.Classes.TStream>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Classes.TStream>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24007_0 {
	meta:
		name = "TList<System.Classes.TStrings>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Classes.TStrings>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63613_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63515_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64770_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54513_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52382_0 {
	meta:
		name = "TList<System.IInterface>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.IInterface>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58347_0 {
	meta:
		name = "TList<System.Int64>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Int64>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24542_0 {
	meta:
		name = "TList<System.Integer>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Integer>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22922_0 {
	meta:
		name = "TList<System.Masks.TMask>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Masks.TMask>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61776_0 {
	meta:
		name = "TList<System.Pointer>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Pointer>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67369_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Rtti.TMethodImplementation.TParamLoc>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68098_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68265_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68408_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67986_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Rtti.TRttiField>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68038_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Rtti.TRttiManagedField>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67933_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Rtti.TRttiMethod>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68196_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Rtti.TRttiObject>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67881_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Rtti.TRttiProperty>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67546_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Rtti.TVirtualInterface.TImplInfo>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67491_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60389_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.SysUtils.TProc<System.Rtti.TValue>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42825_0 {
	meta:
		name = "TList<System.TClass>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.TClass>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67824_0 {
	meta:
		name = "TList<System.TCustomAttribute>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.TCustomAttribute>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42778_0 {
	meta:
		name = "TList<System.TGUID>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.TGUID>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23188_0 {
	meta:
		name = "TList<System.TObject>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.TObject>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68314_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.TypInfo.PTypeInfo>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87720_0 {
	meta:
		name = "TList<System.Types.TPoint>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Types.TPoint>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50085_0 {
	meta:
		name = "TList<System.Variant>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Variant>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63566_0 {
	meta:
		name = "TList<System.Word>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Word>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71761_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71663_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71714_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Zip.TZipCompression>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71616_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.Zip.TZipHeader>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22875_0 {
	meta:
		name = "TList<System.string>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<System.string>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88842_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Controls.TControl>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89247_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Controls.TCustomGestureCollectionItem>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88724_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Controls.TCustomGestureManager>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78584_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86647_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86400_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86549_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87618_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Themes.TCustomStyleEngineClass>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87669_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Themes.TCustomStyleServices>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87869_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87771_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87916_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86498_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Themes.TStyleHook>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87373_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Themes.TStyleHookClass>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88014_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Themes.TStyleManager.TSourceInfo>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87567_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88519_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88421_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88995_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Touch.GestureMgr.TGestureCollection>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88944_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89298_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Touch.Gestures.TGesturePoint>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89478_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89529_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89580_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Touch.KeyboardTypes.TKeyData>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89811_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89709_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89862_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89760_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96327_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.GrowCheck"
		size = 42
		refs = "000a @DynArrayLength 0017 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Grow 0023 OutOfMemoryError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 85 F6 7D 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1985_0 {
	meta:
		name = "TList<T>.DoDelete"
		size = 128
		refs = "0013 SArgumentOutOfRange 001a _Dn_EArgumentOutOfRangeException 001f Exception.CreateRes 0024 @RaiseExcept 0057 Move 006c @FillChar"
	strings:
		$1 = { 53 56 57 55 8B D9 8B F8 85 D2 7C 05 3B 57 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 04 8B 34 90 8B 47 04 33 C9 89 0C 90 FF 4F 08 8B 47 08 3B D0 74 30 2B C2 8B C8 03 C9 03 C9 8B 47 04 8D 44 90 04 8B 6F 04 8D 54 95 00 E8 ?? ?? ?? ?? 8B 47 04 8B 57 08 8D 04 90 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B CB 8B D6 8B C7 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1987_0 {
	meta:
		name = "TCustomServerLog.DoOnLog"
		size = 23
		altNames = "TList<T>.Notify TStack<T>.Notify"
	strings:
		$1 = { 53 66 83 78 12 00 74 0D 51 8B D8 8B CA 8B D0 8B 43 14 FF 53 10 5B C3 }
	condition:
		$1
}

rule function_1988_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Expression.TBindingExpression>.Create 0029 _DV_TComparer<System.Bindings.Expression.TBindingExpression> 002e TComparer<System.Bindings.Expression.TBindingExpression>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26836_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Create 0029 _DV_TComparer<DSAzDlgBlockBlob.TPair<System.string,System.string>> 002e TComparer<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_27060_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Create 0029 _DV_TComparer<DSAzDlgCopyBlob.TPair<System.string,System.string>> 002e TComparer<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_27264_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Create 0029 _DV_TComparer<DSAzDlgCreateContainer.TPair<System.string,System.string>> 002e TComparer<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_27496_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Create 0029 _DV_TComparer<DSAzDlgPageBlob.TPair<System.string,System.string>> 002e TComparer<DSAzDlgPageBlob.TPair<System.string,System.string>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_27713_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Create 0029 _DV_TComparer<DSAzDlgPutBlockList.TPair<System.string,System.string>> 002e TComparer<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_27914_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Create 0029 _DV_TComparer<DSAzDlgSnapshotBlob.TPair<System.string,System.string>> 002e TComparer<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28532_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<DSAzureBlob.TBBlob>.Create 0029 _DV_TComparer<DSAzureBlob.TBBlob> 002e TComparer<DSAzureBlob.TBBlob>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28754_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<DSAzureBlob.TBBlock>.Create 0029 _DV_TComparer<DSAzureBlob.TBBlock> 002e TComparer<DSAzureBlob.TBBlock>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28408_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<DSAzureBlob.TBContainer>.Create 0029 _DV_TComparer<DSAzureBlob.TBContainer> 002e TComparer<DSAzureBlob.TBContainer>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28697_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<DSAzureBlob.TBPageRange>.Create 0029 _DV_TComparer<DSAzureBlob.TBPageRange> 002e TComparer<DSAzureBlob.TBPageRange>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28640_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<DSAzureBlob.TBSignedIdentifier>.Create 0029 _DV_TComparer<DSAzureBlob.TBSignedIdentifier> 002e TComparer<DSAzureBlob.TBSignedIdentifier>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28587_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<DSAzureBlob.TLeaseItem>.Create 0029 _DV_TComparer<DSAzureBlob.TLeaseItem> 002e TComparer<DSAzureBlob.TLeaseItem>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28811_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<DSAzureBlob.TPair<System.string,System.string>>.Create 0029 _DV_TComparer<DSAzureBlob.TPair<System.string,System.string>> 002e TComparer<DSAzureBlob.TPair<System.string,System.string>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29055_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<DSAzureQueue.TMessageNodeData>.Create 0029 _DV_TComparer<DSAzureQueue.TMessageNodeData> 002e TComparer<DSAzureQueue.TMessageNodeData>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29473_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<DSAzureTableDialog.TAzureTableColumn>.Create 0029 _DV_TComparer<DSAzureTableDialog.TAzureTableColumn> 002e TComparer<DSAzureTableDialog.TAzureTableColumn>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29328_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<DSAzureTableDialog.TAzureTableRow>.Create 0029 _DV_TComparer<DSAzureTableDialog.TAzureTableRow> 002e TComparer<DSAzureTableDialog.TAzureTableRow>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29375_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Create 0029 _DV_TComparer<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>> 002e TComparer<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2090_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Bind.Components.TBasicBindComponent>.Create 0029 _DV_TComparer<Data.Bind.Components.TBasicBindComponent> 002e TComparer<Data.Bind.Components.TBasicBindComponent>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2266_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Bind.Components.TBindEditorFactoryClass>.Create 0029 _DV_TComparer<Data.Bind.Components.TBindEditorFactoryClass> 002e TComparer<Data.Bind.Components.TBindEditorFactoryClass>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2039_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Bind.Components.TContainedBindComponent>.Create 0029 _DV_TComparer<Data.Bind.Components.TContainedBindComponent> 002e TComparer<Data.Bind.Components.TContainedBindComponent>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2385_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Create 0029 _DV_TComparer<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>> 002e TComparer<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2740_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Create 0029 _DV_TComparer<Data.Bind.DBLinks.TBindDBColumnFactoryClass> 002e TComparer<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3082_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Bind.DBScope.TBaseDataLink>.Create 0029 _DV_TComparer<Data.Bind.DBScope.TBaseDataLink> 002e TComparer<Data.Bind.DBScope.TBaseDataLink>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2984_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Create 0029 _DV_TComparer<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>> 002e TComparer<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3579_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Create 0029 _DV_TComparer<Data.Cloud.AmazonAPI.TAmazonBatchRow> 002e TComparer<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3834_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Create 0029 _DV_TComparer<Data.Cloud.AmazonAPI.TAmazonGrant> 002e TComparer<Data.Cloud.AmazonAPI.TAmazonGrant>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3936_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Create 0029 _DV_TComparer<Data.Cloud.AmazonAPI.TAmazonMultipartPart> 002e TComparer<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3885_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Create 0029 _DV_TComparer<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem> 002e TComparer<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3987_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Create 0029 _DV_TComparer<Data.Cloud.AmazonAPI.TAmazonNotificationEvent> 002e TComparer<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3783_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Create 0029 _DV_TComparer<Data.Cloud.AmazonAPI.TAmazonObjectResult> 002e TComparer<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3528_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Create 0029 _DV_TComparer<Data.Cloud.AmazonAPI.TAmazonRowConditional> 002e TComparer<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4662_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Cloud.AzureAPI.TAzureBlob>.Create 0029 _DV_TComparer<Data.Cloud.AzureAPI.TAzureBlob> 002e TComparer<Data.Cloud.AzureAPI.TAzureBlob>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4713_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Create 0029 _DV_TComparer<Data.Cloud.AzureAPI.TAzureBlobPageRange> 002e TComparer<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4509_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Create 0029 _DV_TComparer<Data.Cloud.AzureAPI.TAzureBlockListItem> 002e TComparer<Data.Cloud.AzureAPI.TAzureBlockListItem>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4560_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Cloud.AzureAPI.TAzureContainer>.Create 0029 _DV_TComparer<Data.Cloud.AzureAPI.TAzureContainer> 002e TComparer<Data.Cloud.AzureAPI.TAzureContainer>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4611_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Create 0029 _DV_TComparer<Data.Cloud.AzureAPI.TSignedIdentifier> 002e TComparer<Data.Cloud.AzureAPI.TSignedIdentifier>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3732_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Cloud.CloudAPI.TCloudQueue>.Create 0029 _DV_TComparer<Data.Cloud.CloudAPI.TCloudQueue> 002e TComparer<Data.Cloud.CloudAPI.TCloudQueue>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3681_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Create 0029 _DV_TComparer<Data.Cloud.CloudAPI.TCloudQueueMessage> 002e TComparer<Data.Cloud.CloudAPI.TCloudQueueMessage>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4038_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Create 0029 _DV_TComparer<Data.Cloud.CloudAPI.TCloudTableColumn> 002e TComparer<Data.Cloud.CloudAPI.TCloudTableColumn>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3630_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.Cloud.CloudAPI.TCloudTableRow>.Create 0029 _DV_TComparer<Data.Cloud.CloudAPI.TCloudTableRow> 002e TComparer<Data.Cloud.CloudAPI.TCloudTableRow>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16382_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.DBXCommon.TDBXParameter>.Create 0029 _DV_TComparer<Data.DBXCommon.TDBXParameter> 002e TComparer<Data.DBXCommon.TDBXParameter>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7880_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Create 0029 _DV_TComparer<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec> 002e TComparer<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8600_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.DBXCommon.TDBXWritableValueArray>.Create 0029 _DV_TComparer<Data.DBXCommon.TDBXWritableValueArray> 002e TComparer<Data.DBXCommon.TDBXWritableValueArray>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8025_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.DBXCommon.TEventPointer>.Create 0029 _DV_TComparer<Data.DBXCommon.TEventPointer> 002e TComparer<Data.DBXCommon.TEventPointer>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7927_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Create 0029 _DV_TComparer<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>> 002e TComparer<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25116_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.DBXCommon.TResultCommandHandler>.Create 0029 _DV_TComparer<Data.DBXCommon.TResultCommandHandler> 002e TComparer<Data.DBXCommon.TResultCommandHandler>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10357_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.DBXJSON.TJSONAncestor>.Create 0029 _DV_TComparer<Data.DBXJSON.TJSONAncestor> 002e TComparer<Data.DBXJSON.TJSONAncestor>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18474_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.DBXJSONReflect.TConverterEvent>.Create 0029 _DV_TComparer<Data.DBXJSONReflect.TConverterEvent> 002e TComparer<Data.DBXJSONReflect.TConverterEvent>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10116_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Create 0029 _DV_TComparer<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>> 002e TComparer<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10212_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create 0029 _DV_TComparer<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 002e TComparer<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10501_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create 0029 _DV_TComparer<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 002e TComparer<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10405_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Create 0029 _DV_TComparer<Data.DBXJSONReflect.TPair<System.string,System.TObject>> 002e TComparer<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18570_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.DBXJSONReflect.TReverterEvent>.Create 0029 _DV_TComparer<Data.DBXJSONReflect.TReverterEvent> 002e TComparer<Data.DBXJSONReflect.TReverterEvent>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11089_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Create 0029 _DV_TComparer<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler> 002e TComparer<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11038_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Create 0029 _DV_TComparer<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>> 002e TComparer<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11273_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Create 0029 _DV_TComparer<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>> 002e TComparer<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15933_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0029 _DV_TComparer<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 002e TComparer<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15788_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Create 0029 _DV_TComparer<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>> 002e TComparer<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16264_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSClientRest.TDSRestClientCallback>.Create 0029 _DV_TComparer<Datasnap.DSClientRest.TDSRestClientCallback> 002e TComparer<Datasnap.DSClientRest.TDSRestClientCallback>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16438_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Create 0029 _DV_TComparer<Datasnap.DSClientRest.TPair<System.string,System.string>> 002e TComparer<Datasnap.DSClientRest.TPair<System.string,System.string>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23022_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Create 0029 _DV_TComparer<Datasnap.DSCommonProxy.IDSProxyWriter> 002e TComparer<Datasnap.DSCommonProxy.IDSProxyWriter>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17384_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSHTTP.TDSHTTPClass>.Create 0029 _DV_TComparer<Datasnap.DSHTTP.TDSHTTPClass> 002e TComparer<Datasnap.DSHTTP.TDSHTTPClass>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17286_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Create 0029 _DV_TComparer<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>> 002e TComparer<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18378_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Create 0029 _DV_TComparer<Datasnap.DSHTTPCommon.TDSCallbackItem> 002e TComparer<Datasnap.DSHTTPCommon.TDSCallbackItem>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18070_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Create 0029 _DV_TComparer<Datasnap.DSHTTPCommon.TDSCommandComplexParams> 002e TComparer<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17748_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Create 0029 _DV_TComparer<Datasnap.DSHTTPCommon.TDSExecutionResponse> 002e TComparer<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18123_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Create 0029 _DV_TComparer<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo> 002e TComparer<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18425_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create 0029 _DV_TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 002e TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18521_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create 0029 _DV_TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 002e TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18280_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Create 0029 _DV_TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>> 002e TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18754_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Create 0029 _DV_TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>> 002e TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19055_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Create 0029 _DV_TComparer<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>> 002e TComparer<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19414_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0029 _DV_TComparer<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 002e TComparer<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19709_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0029 _DV_TComparer<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 002e TComparer<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19997_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0029 _DV_TComparer<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 002e TComparer<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_20279_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0029 _DV_TComparer<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 002e TComparer<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_20805_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0029 _DV_TComparer<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 002e TComparer<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_20709_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Create 0029 _DV_TComparer<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>> 002e TComparer<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_21033_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Create 0029 _DV_TComparer<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>> 002e TComparer<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_21267_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0029 _DV_TComparer<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 002e TComparer<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_21554_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0029 _DV_TComparer<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 002e TComparer<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_21821_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0029 _DV_TComparer<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 002e TComparer<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22113_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0029 _DV_TComparer<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 002e TComparer<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22406_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0029 _DV_TComparer<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 002e TComparer<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22973_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0029 _DV_TComparer<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 002e TComparer<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22828_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Create 0029 _DV_TComparer<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>> 002e TComparer<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23717_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSServer.TDSCallbackTunnel>.Create 0029 _DV_TComparer<Datasnap.DSServer.TDSCallbackTunnel> 002e TComparer<Datasnap.DSServer.TDSCallbackTunnel>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23666_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Create 0029 _DV_TComparer<Datasnap.DSServer.TDSCallbackTunnelEvent> 002e TComparer<Datasnap.DSServer.TDSCallbackTunnelEvent>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23768_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create 0029 _DV_TComparer<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 002e TComparer<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23866_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create 0029 _DV_TComparer<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 002e TComparer<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23962_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Create 0029 _DV_TComparer<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>> 002e TComparer<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24491_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSService.TDBXRequestFilter>.Create 0029 _DV_TComparer<Datasnap.DSService.TDBXRequestFilter> 002e TComparer<Datasnap.DSService.TDBXRequestFilter>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18803_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSService.TDSSession>.Create 0029 _DV_TComparer<Datasnap.DSService.TDSSession> 002e TComparer<Datasnap.DSService.TDSSession>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11136_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSService.TDSSessionEvent>.Create 0029 _DV_TComparer<Datasnap.DSService.TDSSessionEvent> 002e TComparer<Datasnap.DSService.TDSSessionEvent>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25065_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Create 0029 _DV_TComparer<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>> 002e TComparer<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24959_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Create 0029 _DV_TComparer<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>> 002e TComparer<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25306_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Create 0029 _DV_TComparer<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>> 002e TComparer<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25210_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Create 0029 _DV_TComparer<Datasnap.DSService.TPair<System.string,System.TObject>> 002e TComparer<Datasnap.DSService.TPair<System.string,System.TObject>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25163_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSService.TPair<System.string,System.string>>.Create 0029 _DV_TComparer<Datasnap.DSService.TPair<System.string,System.string>> 002e TComparer<Datasnap.DSService.TPair<System.string,System.string>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25580_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Create 0029 _DV_TComparer<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>> 002e TComparer<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29682_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<GraphView.TGraphEdge>.Create 0029 _DV_TComparer<GraphView.TGraphEdge> 002e TComparer<GraphView.TGraphEdge>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29792_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<GraphView.TGraphNode>.Create 0029 _DV_TComparer<GraphView.TGraphNode> 002e TComparer<GraphView.TGraphNode>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29737_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Create 0029 _DV_TComparer<GraphView.TObjectList<GraphView.TGraphEdge>> 002e TComparer<GraphView.TObjectList<GraphView.TGraphEdge>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30554_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<IBDatabase.TIBBase>.Create 0029 _DV_TComparer<IBDatabase.TIBBase> 002e TComparer<IBDatabase.TIBBase>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30656_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<IBDatabase.TIBDatabase>.Create 0029 _DV_TComparer<IBDatabase.TIBDatabase> 002e TComparer<IBDatabase.TIBDatabase>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30605_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<IBDatabase.TIBTransaction>.Create 0029 _DV_TComparer<IBDatabase.TIBTransaction> 002e TComparer<IBDatabase.TIBTransaction>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31347_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<IBIntf.IGDSLibrary>.Create 0029 _DV_TComparer<IBIntf.IGDSLibrary> 002e TComparer<IBIntf.IGDSLibrary>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31249_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Create 0029 _DV_TComparer<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>> 002e TComparer<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40367_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<IPPeerAPI.IIPContext>.Create 0029 _DV_TComparer<IPPeerAPI.IIPContext> 002e TComparer<IPPeerAPI.IIPContext>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42974_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Create 0029 _DV_TComparer<IPPeerAPI.TDictionary<System.TGUID,System.TClass>> 002e TComparer<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42731_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Create 0029 _DV_TComparer<IPPeerAPI.TPair<System.TGUID,System.TClass>> 002e TComparer<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42876_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Create 0029 _DV_TComparer<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>> 002e TComparer<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_43021_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<IPPeerAPI.TPair<System.string,System.string>>.Create 0029 _DV_TComparer<IPPeerAPI.TPair<System.string,System.string>> 002e TComparer<IPPeerAPI.TPair<System.string,System.string>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40320_0 {
	meta:
		name = "TList<IdContext.TIdContext>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<IdContext.TIdContext>.Create 0029 _DV_TComparer<IdContext.TIdContext> 002e TComparer<IdContext.TIdContext>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40269_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Create 0029 _DV_TComparer<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>> 002e TComparer<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40173_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<IndyPeerImpl.TPair<System.string,System.string>>.Create 0029 _DV_TComparer<IndyPeerImpl.TPair<System.string,System.string>> 002e TComparer<IndyPeerImpl.TPair<System.string,System.string>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50038_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Create 0029 _DV_TComparer<Soap.WSDLLookup.TPair<System.string,System.Variant>> 002e TComparer<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_51223_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Create 0029 _DV_TComparer<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>> 002e TComparer<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_51078_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<SyncController.TPair<System.IInterface,System.Pointer>>.Create 0029 _DV_TComparer<SyncController.TPair<System.IInterface,System.Pointer>> 002e TComparer<SyncController.TPair<System.IInterface,System.Pointer>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_51321_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<SyncController.TPair<System.TObject,System.string>>.Create 0029 _DV_TComparer<SyncController.TPair<System.TObject,System.string>> 002e TComparer<SyncController.TPair<System.TObject,System.string>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30834_0 {
	meta:
		name = "TList<System.AnsiString>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.AnsiString>.Create 0029 _DV_TComparer<System.AnsiString> 002e TComparer<System.AnsiString>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_51694_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Create 0029 _DV_TComparer<System.Bindings.CustomScope.TPair<System.string,System.IInterface>> 002e TComparer<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_54615_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.CustomScope.TScopeClass>.Create 0029 _DV_TComparer<System.Bindings.CustomScope.TScopeClass> 002e TComparer<System.Bindings.CustomScope.TScopeClass>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_51274_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.EvalProtocol.ILocation>.Create 0029 _DV_TComparer<System.Bindings.EvalProtocol.ILocation> 002e TComparer<System.Bindings.EvalProtocol.ILocation>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_53160_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.EvalProtocol.IScope>.Create 0029 _DV_TComparer<System.Bindings.EvalProtocol.IScope> 002e TComparer<System.Bindings.EvalProtocol.IScope>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_54062_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.EvalProtocol.ISubscription>.Create 0029 _DV_TComparer<System.Bindings.EvalProtocol.ISubscription> 002e TComparer<System.Bindings.EvalProtocol.ISubscription>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52109_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Create 0029 _DV_TComparer<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>> 002e TComparer<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52830_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create 0029 _DV_TComparer<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 002e TComparer<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52575_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.EvalSys.TOverload>.Create 0029 _DV_TComparer<System.Bindings.EvalSys.TOverload> 002e TComparer<System.Bindings.EvalSys.TOverload>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52732_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Create 0029 _DV_TComparer<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>> 002e TComparer<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52634_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Create 0029 _DV_TComparer<System.Bindings.EvalSys.TPair<System.string,System.IInterface>> 002e TComparer<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52783_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Create 0029 _DV_TComparer<System.Bindings.EvalSys.TValueConverter.TConvPair> 002e TComparer<System.Bindings.EvalSys.TValueConverter.TConvPair>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_53207_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Create 0029 _DV_TComparer<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>> 002e TComparer<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_53590_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Create 0029 _DV_TComparer<System.Bindings.Expression.TPair<System.TObject,System.string>> 002e TComparer<System.Bindings.Expression.TPair<System.TObject,System.string>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_53735_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Create 0029 _DV_TComparer<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>> 002e TComparer<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_54109_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Create 0029 _DV_TComparer<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>> 002e TComparer<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_54254_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Create 0029 _DV_TComparer<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>> 002e TComparer<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56100_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Create 0029 _DV_TComparer<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>> 002e TComparer<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_55812_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Create 0029 _DV_TComparer<System.Bindings.Graph.TDictionary<System.string,System.Int64>> 002e TComparer<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56243_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Create 0029 _DV_TComparer<System.Bindings.Graph.TDictionary<System.string,System.Integer>> 002e TComparer<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56294_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Create 0029 _DV_TComparer<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>> 002e TComparer<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56051_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Create 0029 _DV_TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>> 002e TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_55859_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create 0029 _DV_TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>> 002e TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_55471_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Create 0029 _DV_TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>> 002e TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_55906_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Create 0029 _DV_TComparer<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>> 002e TComparer<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_55714_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Create 0029 _DV_TComparer<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>> 002e TComparer<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56194_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Create 0029 _DV_TComparer<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>> 002e TComparer<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56392_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Create 0029 _DV_TComparer<System.Bindings.Graph.TPair<System.TObject,System.string>> 002e TComparer<System.Bindings.Graph.TPair<System.TObject,System.string>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_55569_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Create 0029 _DV_TComparer<System.Bindings.Graph.TPair<System.string,System.Int64>> 002e TComparer<System.Bindings.Graph.TPair<System.string,System.Int64>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56147_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Create 0029 _DV_TComparer<System.Bindings.Graph.TPair<System.string,System.Integer>> 002e TComparer<System.Bindings.Graph.TPair<System.string,System.Integer>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56825_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Create 0029 _DV_TComparer<System.Bindings.Helper.TPair<System.string,System.IInterface>> 002e TComparer<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_57033_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Manager.TBindingManager>.Create 0029 _DV_TComparer<System.Bindings.Manager.TBindingManager> 002e TComparer<System.Bindings.Manager.TBindingManager>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58594_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Create 0029 _DV_TComparer<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>> 002e TComparer<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58447_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Create 0029 _DV_TComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>> 002e TComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58206_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Create 0029 _DV_TComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>> 002e TComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58545_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Create 0029 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>> 002e TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58494_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create 0029 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>> 002e TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58253_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Create 0029 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>> 002e TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_57818_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Create 0029 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>> 002e TComparer<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58398_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Create 0029 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>> 002e TComparer<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58108_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Create 0029 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>> 002e TComparer<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58302_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Create 0029 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>> 002e TComparer<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_57963_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Create 0029 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>> 002e TComparer<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59126_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Methods.TMethodDescription>.Create 0029 _DV_TComparer<System.Bindings.Methods.TMethodDescription> 002e TComparer<System.Bindings.Methods.TMethodDescription>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59028_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Create 0029 _DV_TComparer<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>> 002e TComparer<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59173_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Create 0029 _DV_TComparer<System.Bindings.Methods.TPair<System.string,System.IInterface>> 002e TComparer<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59681_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Create 0029 _DV_TComparer<System.Bindings.ObjEval.TPair<System.string,System.IInterface>> 002e TComparer<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59902_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Create 0029 _DV_TComparer<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback> 002e TComparer<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60271_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Create 0029 _DV_TComparer<System.Bindings.Outputs.TBindingOutput.TLocationRec> 002e TComparer<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60096_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Outputs.TConvertPair>.Create 0029 _DV_TComparer<System.Bindings.Outputs.TConvertPair> 002e TComparer<System.Bindings.Outputs.TConvertPair>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60837_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Outputs.TConverterDescription>.Create 0029 _DV_TComparer<System.Bindings.Outputs.TConverterDescription> 002e TComparer<System.Bindings.Outputs.TConverterDescription>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60739_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create 0029 _DV_TComparer<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 002e TComparer<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60992_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Create 0029 _DV_TComparer<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>> 002e TComparer<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_61245_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create 0029 _DV_TComparer<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>> 002e TComparer<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60786_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Create 0029 _DV_TComparer<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>> 002e TComparer<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60937_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create 0029 _DV_TComparer<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 002e TComparer<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_61090_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Create 0029 _DV_TComparer<System.Bindings.Outputs.TPair<System.TObject,System.string>> 002e TComparer<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60688_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Create 0029 _DV_TComparer<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>> 002e TComparer<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60888_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Create 0029 _DV_TComparer<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>> 002e TComparer<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_61149_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Create 0029 _DV_TComparer<System.Bindings.Outputs.TPair<System.string,System.IInterface>> 002e TComparer<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_61682_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Create 0029 _DV_TComparer<System.Bindings.Search.TPair<System.IInterface,System.Pointer>> 002e TComparer<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64872_0 {
	meta:
		name = "TList<System.Boolean>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Boolean>.Create 0029 _DV_TComparer<System.Boolean> 002e TComparer<System.Boolean>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2483_0 {
	meta:
		name = "TList<System.Classes.IObserver>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Classes.IObserver>.Create 0029 _DV_TComparer<System.Classes.IObserver> 002e TComparer<System.Classes.IObserver>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88476_0 {
	meta:
		name = "TList<System.Classes.TComponent>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Classes.TComponent>.Create 0029 _DV_TComparer<System.Classes.TComponent> 002e TComparer<System.Classes.TComponent>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3138_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Classes.TNotifyEvent>.Create 0029 _DV_TComparer<System.Classes.TNotifyEvent> 002e TComparer<System.Classes.TNotifyEvent>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15886_0 {
	meta:
		name = "TList<System.Classes.TStream>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Classes.TStream>.Create 0029 _DV_TComparer<System.Classes.TStream> 002e TComparer<System.Classes.TStream>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24011_0 {
	meta:
		name = "TList<System.Classes.TStrings>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Classes.TStrings>.Create 0029 _DV_TComparer<System.Classes.TStrings> 002e TComparer<System.Classes.TStrings>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63617_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create 0029 _DV_TComparer<System.DateUtils.TLocalTimeZone.TYearlyChanges> 002e TComparer<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63519_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Create 0029 _DV_TComparer<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>> 002e TComparer<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64774_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Create 0029 _DV_TComparer<System.DebugUtils.TPair<System.string,System.Boolean>> 002e TComparer<System.DebugUtils.TPair<System.string,System.Boolean>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_54517_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Create 0029 _DV_TComparer<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>> 002e TComparer<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_57869_0 {
	meta:
		name = "TList<System.IInterface>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.IInterface>.Create 0029 _DV_TComparer<System.IInterface> 002e TComparer<System.IInterface>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58351_0 {
	meta:
		name = "TList<System.Int64>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Int64>.Create 0029 _DV_TComparer<System.Int64> 002e TComparer<System.Int64>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24546_0 {
	meta:
		name = "TList<System.Integer>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Integer>.Create 0029 _DV_TComparer<System.Integer> 002e TComparer<System.Integer>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22926_0 {
	meta:
		name = "TList<System.Masks.TMask>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Masks.TMask>.Create 0029 _DV_TComparer<System.Masks.TMask> 002e TComparer<System.Masks.TMask>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_57916_0 {
	meta:
		name = "TList<System.Pointer>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Pointer>.Create 0029 _DV_TComparer<System.Pointer> 002e TComparer<System.Pointer>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67373_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Rtti.TMethodImplementation.TParamLoc>.Create 0029 _DV_TComparer<System.Rtti.TMethodImplementation.TParamLoc> 002e TComparer<System.Rtti.TMethodImplementation.TParamLoc>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68102_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Create 0029 _DV_TComparer<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>> 002e TComparer<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68269_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Create 0029 _DV_TComparer<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>> 002e TComparer<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68412_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Create 0029 _DV_TComparer<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>> 002e TComparer<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67990_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Rtti.TRttiField>.Create 0029 _DV_TComparer<System.Rtti.TRttiField> 002e TComparer<System.Rtti.TRttiField>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68042_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Rtti.TRttiManagedField>.Create 0029 _DV_TComparer<System.Rtti.TRttiManagedField> 002e TComparer<System.Rtti.TRttiManagedField>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67937_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Rtti.TRttiMethod>.Create 0029 _DV_TComparer<System.Rtti.TRttiMethod> 002e TComparer<System.Rtti.TRttiMethod>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68200_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Rtti.TRttiObject>.Create 0029 _DV_TComparer<System.Rtti.TRttiObject> 002e TComparer<System.Rtti.TRttiObject>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67885_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Rtti.TRttiProperty>.Create 0029 _DV_TComparer<System.Rtti.TRttiProperty> 002e TComparer<System.Rtti.TRttiProperty>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67550_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Rtti.TVirtualInterface.TImplInfo>.Create 0029 _DV_TComparer<System.Rtti.TVirtualInterface.TImplInfo> 002e TComparer<System.Rtti.TVirtualInterface.TImplInfo>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67495_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Create 0029 _DV_TComparer<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo> 002e TComparer<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60393_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.SysUtils.TProc<System.Rtti.TValue>>.Create 0029 _DV_TComparer<System.SysUtils.TProc<System.Rtti.TValue>> 002e TComparer<System.SysUtils.TProc<System.Rtti.TValue>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42829_0 {
	meta:
		name = "TList<System.TClass>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.TClass>.Create 0029 _DV_TComparer<System.TClass> 002e TComparer<System.TClass>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67828_0 {
	meta:
		name = "TList<System.TCustomAttribute>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.TCustomAttribute>.Create 0029 _DV_TComparer<System.TCustomAttribute> 002e TComparer<System.TCustomAttribute>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42782_0 {
	meta:
		name = "TList<System.TGUID>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.TGUID>.Create 0029 _DV_TComparer<System.TGUID> 002e TComparer<System.TGUID>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23192_0 {
	meta:
		name = "TList<System.TObject>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.TObject>.Create 0029 _DV_TComparer<System.TObject> 002e TComparer<System.TObject>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68318_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.TypInfo.PTypeInfo>.Create 0029 _DV_TComparer<System.TypInfo.PTypeInfo> 002e TComparer<System.TypInfo.PTypeInfo>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89200_0 {
	meta:
		name = "TList<System.Types.TPoint>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Types.TPoint>.Create 0029 _DV_TComparer<System.Types.TPoint> 002e TComparer<System.Types.TPoint>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50089_0 {
	meta:
		name = "TList<System.Variant>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Variant>.Create 0029 _DV_TComparer<System.Variant> 002e TComparer<System.Variant>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63570_0 {
	meta:
		name = "TList<System.Word>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Word>.Create 0029 _DV_TComparer<System.Word> 002e TComparer<System.Word>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71765_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create 0029 _DV_TComparer<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 002e TComparer<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71667_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Create 0029 _DV_TComparer<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>> 002e TComparer<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71718_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Zip.TZipCompression>.Create 0029 _DV_TComparer<System.Zip.TZipCompression> 002e TComparer<System.Zip.TZipCompression>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71620_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.Zip.TZipHeader>.Create 0029 _DV_TComparer<System.Zip.TZipHeader> 002e TComparer<System.Zip.TZipHeader>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_53688_0 {
	meta:
		name = "TList<System.string>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<System.string>.Create 0029 _DV_TComparer<System.string> 002e TComparer<System.string>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88846_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Controls.TControl>.Create 0029 _DV_TComparer<Vcl.Controls.TControl> 002e TComparer<Vcl.Controls.TControl>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89251_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Controls.TCustomGestureCollectionItem>.Create 0029 _DV_TComparer<Vcl.Controls.TCustomGestureCollectionItem> 002e TComparer<Vcl.Controls.TCustomGestureCollectionItem>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88728_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Controls.TCustomGestureManager>.Create 0029 _DV_TComparer<Vcl.Controls.TCustomGestureManager> 002e TComparer<Vcl.Controls.TCustomGestureManager>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78588_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Create 0029 _DV_TComparer<Vcl.Direct2D.TDirect2DGraphicsObject> 002e TComparer<Vcl.Direct2D.TDirect2DGraphicsObject>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_86651_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Create 0029 _DV_TComparer<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>> 002e TComparer<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_86404_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Create 0029 _DV_TComparer<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>> 002e TComparer<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_86553_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Create 0029 _DV_TComparer<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>> 002e TComparer<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87622_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Themes.TCustomStyleEngineClass>.Create 0029 _DV_TComparer<Vcl.Themes.TCustomStyleEngineClass> 002e TComparer<Vcl.Themes.TCustomStyleEngineClass>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87673_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Themes.TCustomStyleServices>.Create 0029 _DV_TComparer<Vcl.Themes.TCustomStyleServices> 002e TComparer<Vcl.Themes.TCustomStyleServices>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87873_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Create 0029 _DV_TComparer<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>> 002e TComparer<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87775_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Create 0029 _DV_TComparer<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>> 002e TComparer<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87920_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Create 0029 _DV_TComparer<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>> 002e TComparer<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_86502_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Themes.TStyleHook>.Create 0029 _DV_TComparer<Vcl.Themes.TStyleHook> 002e TComparer<Vcl.Themes.TStyleHook>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_86285_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Themes.TStyleHookClass>.Create 0029 _DV_TComparer<Vcl.Themes.TStyleHookClass> 002e TComparer<Vcl.Themes.TStyleHookClass>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88018_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Themes.TStyleManager.TSourceInfo>.Create 0029 _DV_TComparer<Vcl.Themes.TStyleManager.TSourceInfo> 002e TComparer<Vcl.Themes.TStyleManager.TSourceInfo>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87571_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Create 0029 _DV_TComparer<Vcl.Themes.TStyleManager.TStyleClassDescriptor> 002e TComparer<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88523_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Create 0029 _DV_TComparer<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 002e TComparer<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88425_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Create 0029 _DV_TComparer<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>> 002e TComparer<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88999_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Touch.GestureMgr.TGestureCollection>.Create 0029 _DV_TComparer<Vcl.Touch.GestureMgr.TGestureCollection> 002e TComparer<Vcl.Touch.GestureMgr.TGestureCollection>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88948_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Create 0029 _DV_TComparer<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>> 002e TComparer<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89302_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Touch.Gestures.TGesturePoint>.Create 0029 _DV_TComparer<Vcl.Touch.Gestures.TGesturePoint> 002e TComparer<Vcl.Touch.Gestures.TGesturePoint>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89482_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Create 0029 _DV_TComparer<Vcl.Touch.Keyboard.TCustomKeyboardButton> 002e TComparer<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89533_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Create 0029 _DV_TComparer<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState> 002e TComparer<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89584_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Touch.KeyboardTypes.TKeyData>.Create 0029 _DV_TComparer<Vcl.Touch.KeyboardTypes.TKeyData> 002e TComparer<Vcl.Touch.KeyboardTypes.TKeyData>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89815_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Create 0029 _DV_TComparer<Vcl.Touch.KeyboardTypes.TKeyboardLanguage> 002e TComparer<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89713_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Create 0029 _DV_TComparer<Vcl.Touch.KeyboardTypes.TVirtualKey> 002e TComparer<Vcl.Touch.KeyboardTypes.TVirtualKey>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89866_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Create 0029 _DV_TComparer<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout> 002e TComparer<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89764_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Create 0029 _DV_TComparer<Vcl.Touch.KeyboardTypes.TVirtualKeys> 002e TComparer<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96331_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Create"
		size = 119
		refs = "000f @ClassCreate 001b TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Create 0029 _DV_TComparer<Web.WebFileDispatcher.TPair<System.string,System.string>> 002e TComparer<Web.WebFileDispatcher.TPair<System.string,System.string>>.Default 004f @IntfClear 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72161_0 {
	meta:
		name = "TTestSuite.Create"
		size = 119
		refs = "000f @ClassCreate 001b TTestSuite.Create 0029 _Dn_TObject 002e TObject.ClassName 004f @UStrClr 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1989_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Expression.TBindingExpression>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Expression.TBindingExpression> 004a TComparer<System.Bindings.Expression.TBindingExpression>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26837_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<DSAzDlgBlockBlob.TPair<System.string,System.string>> 004a TComparer<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_27061_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<DSAzDlgCopyBlob.TPair<System.string,System.string>> 004a TComparer<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_27265_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<DSAzDlgCreateContainer.TPair<System.string,System.string>> 004a TComparer<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_27497_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<DSAzDlgPageBlob.TPair<System.string,System.string>> 004a TComparer<DSAzDlgPageBlob.TPair<System.string,System.string>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_27714_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<DSAzDlgPutBlockList.TPair<System.string,System.string>> 004a TComparer<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_27915_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<DSAzDlgSnapshotBlob.TPair<System.string,System.string>> 004a TComparer<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28533_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<DSAzureBlob.TBBlob>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<DSAzureBlob.TBBlob> 004a TComparer<DSAzureBlob.TBBlob>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28755_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<DSAzureBlob.TBBlock>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<DSAzureBlob.TBBlock> 004a TComparer<DSAzureBlob.TBBlock>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28409_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<DSAzureBlob.TBContainer>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<DSAzureBlob.TBContainer> 004a TComparer<DSAzureBlob.TBContainer>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28698_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<DSAzureBlob.TBPageRange>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<DSAzureBlob.TBPageRange> 004a TComparer<DSAzureBlob.TBPageRange>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28641_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<DSAzureBlob.TBSignedIdentifier>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<DSAzureBlob.TBSignedIdentifier> 004a TComparer<DSAzureBlob.TBSignedIdentifier>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28588_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<DSAzureBlob.TLeaseItem>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<DSAzureBlob.TLeaseItem> 004a TComparer<DSAzureBlob.TLeaseItem>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28812_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<DSAzureBlob.TPair<System.string,System.string>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<DSAzureBlob.TPair<System.string,System.string>> 004a TComparer<DSAzureBlob.TPair<System.string,System.string>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29056_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<DSAzureQueue.TMessageNodeData>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<DSAzureQueue.TMessageNodeData> 004a TComparer<DSAzureQueue.TMessageNodeData>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29474_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<DSAzureTableDialog.TAzureTableColumn>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<DSAzureTableDialog.TAzureTableColumn> 004a TComparer<DSAzureTableDialog.TAzureTableColumn>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29329_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<DSAzureTableDialog.TAzureTableRow>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<DSAzureTableDialog.TAzureTableRow> 004a TComparer<DSAzureTableDialog.TAzureTableRow>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29376_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>> 004a TComparer<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2091_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Bind.Components.TBasicBindComponent>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Bind.Components.TBasicBindComponent> 004a TComparer<Data.Bind.Components.TBasicBindComponent>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2267_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Bind.Components.TBindEditorFactoryClass>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Bind.Components.TBindEditorFactoryClass> 004a TComparer<Data.Bind.Components.TBindEditorFactoryClass>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2040_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Bind.Components.TContainedBindComponent>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Bind.Components.TContainedBindComponent> 004a TComparer<Data.Bind.Components.TContainedBindComponent>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2386_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>> 004a TComparer<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2741_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Bind.DBLinks.TBindDBColumnFactoryClass> 004a TComparer<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3083_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Bind.DBScope.TBaseDataLink>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Bind.DBScope.TBaseDataLink> 004a TComparer<Data.Bind.DBScope.TBaseDataLink>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2985_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>> 004a TComparer<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3580_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Cloud.AmazonAPI.TAmazonBatchRow> 004a TComparer<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3835_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Cloud.AmazonAPI.TAmazonGrant> 004a TComparer<Data.Cloud.AmazonAPI.TAmazonGrant>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3937_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Cloud.AmazonAPI.TAmazonMultipartPart> 004a TComparer<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3886_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem> 004a TComparer<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3988_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Cloud.AmazonAPI.TAmazonNotificationEvent> 004a TComparer<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3784_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Cloud.AmazonAPI.TAmazonObjectResult> 004a TComparer<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3529_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Cloud.AmazonAPI.TAmazonRowConditional> 004a TComparer<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4663_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AzureAPI.TAzureBlob>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Cloud.AzureAPI.TAzureBlob> 004a TComparer<Data.Cloud.AzureAPI.TAzureBlob>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4714_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Cloud.AzureAPI.TAzureBlobPageRange> 004a TComparer<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4510_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Cloud.AzureAPI.TAzureBlockListItem> 004a TComparer<Data.Cloud.AzureAPI.TAzureBlockListItem>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4561_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AzureAPI.TAzureContainer>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Cloud.AzureAPI.TAzureContainer> 004a TComparer<Data.Cloud.AzureAPI.TAzureContainer>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4612_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Cloud.AzureAPI.TSignedIdentifier> 004a TComparer<Data.Cloud.AzureAPI.TSignedIdentifier>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4459_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.CloudAPI.TCloudQueue>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Cloud.CloudAPI.TCloudQueue> 004a TComparer<Data.Cloud.CloudAPI.TCloudQueue>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3682_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Cloud.CloudAPI.TCloudQueueMessage> 004a TComparer<Data.Cloud.CloudAPI.TCloudQueueMessage>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4995_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Cloud.CloudAPI.TCloudTableColumn> 004a TComparer<Data.Cloud.CloudAPI.TCloudTableColumn>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3631_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.CloudAPI.TCloudTableRow>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.Cloud.CloudAPI.TCloudTableRow> 004a TComparer<Data.Cloud.CloudAPI.TCloudTableRow>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16383_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.DBXCommon.TDBXParameter>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.DBXCommon.TDBXParameter> 004a TComparer<Data.DBXCommon.TDBXParameter>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7881_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec> 004a TComparer<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8601_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.DBXCommon.TDBXWritableValueArray>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.DBXCommon.TDBXWritableValueArray> 004a TComparer<Data.DBXCommon.TDBXWritableValueArray>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8026_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.DBXCommon.TEventPointer>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.DBXCommon.TEventPointer> 004a TComparer<Data.DBXCommon.TEventPointer>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7928_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>> 004a TComparer<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25117_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.DBXCommon.TResultCommandHandler>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.DBXCommon.TResultCommandHandler> 004a TComparer<Data.DBXCommon.TResultCommandHandler>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10358_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.DBXJSON.TJSONAncestor>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.DBXJSON.TJSONAncestor> 004a TComparer<Data.DBXJSON.TJSONAncestor>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10311_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.DBXJSONReflect.TConverterEvent>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.DBXJSONReflect.TConverterEvent> 004a TComparer<Data.DBXJSONReflect.TConverterEvent>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10117_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>> 004a TComparer<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10213_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 004a TComparer<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10502_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 004a TComparer<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10406_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.DBXJSONReflect.TPair<System.string,System.TObject>> 004a TComparer<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18571_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.DBXJSONReflect.TReverterEvent>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.DBXJSONReflect.TReverterEvent> 004a TComparer<Data.DBXJSONReflect.TReverterEvent>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11090_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler> 004a TComparer<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11039_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>> 004a TComparer<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11274_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>> 004a TComparer<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15934_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 004a TComparer<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15789_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>> 004a TComparer<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16265_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSClientRest.TDSRestClientCallback>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSClientRest.TDSRestClientCallback> 004a TComparer<Datasnap.DSClientRest.TDSRestClientCallback>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16439_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSClientRest.TPair<System.string,System.string>> 004a TComparer<Datasnap.DSClientRest.TPair<System.string,System.string>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_21920_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSCommonProxy.IDSProxyWriter> 004a TComparer<Datasnap.DSCommonProxy.IDSProxyWriter>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17385_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTP.TDSHTTPClass>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSHTTP.TDSHTTPClass> 004a TComparer<Datasnap.DSHTTP.TDSHTTPClass>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17287_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>> 004a TComparer<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18379_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSHTTPCommon.TDSCallbackItem> 004a TComparer<Datasnap.DSHTTPCommon.TDSCallbackItem>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18071_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSHTTPCommon.TDSCommandComplexParams> 004a TComparer<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17749_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSHTTPCommon.TDSExecutionResponse> 004a TComparer<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18124_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo> 004a TComparer<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18426_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 004a TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18522_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 004a TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18281_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>> 004a TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18755_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>> 004a TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19056_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>> 004a TComparer<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19415_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 004a TComparer<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19710_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 004a TComparer<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19998_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 004a TComparer<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_20280_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 004a TComparer<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_20806_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 004a TComparer<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_20710_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>> 004a TComparer<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_21034_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>> 004a TComparer<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_21268_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 004a TComparer<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_21555_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 004a TComparer<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_21822_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 004a TComparer<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22114_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 004a TComparer<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22407_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 004a TComparer<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22974_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 004a TComparer<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22829_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>> 004a TComparer<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23718_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSServer.TDSCallbackTunnel>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSServer.TDSCallbackTunnel> 004a TComparer<Datasnap.DSServer.TDSCallbackTunnel>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23667_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSServer.TDSCallbackTunnelEvent> 004a TComparer<Datasnap.DSServer.TDSCallbackTunnelEvent>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23769_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 004a TComparer<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23867_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 004a TComparer<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23963_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>> 004a TComparer<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24492_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSService.TDBXRequestFilter>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSService.TDBXRequestFilter> 004a TComparer<Datasnap.DSService.TDBXRequestFilter>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11372_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSService.TDSSession>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSService.TDSSession> 004a TComparer<Datasnap.DSService.TDSSession>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24862_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSService.TDSSessionEvent>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSService.TDSSessionEvent> 004a TComparer<Datasnap.DSService.TDSSessionEvent>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25066_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>> 004a TComparer<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24960_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>> 004a TComparer<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25307_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>> 004a TComparer<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25211_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSService.TPair<System.string,System.TObject>> 004a TComparer<Datasnap.DSService.TPair<System.string,System.TObject>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25164_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSService.TPair<System.string,System.string>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSService.TPair<System.string,System.string>> 004a TComparer<Datasnap.DSService.TPair<System.string,System.string>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25581_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>> 004a TComparer<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29683_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<GraphView.TGraphEdge>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<GraphView.TGraphEdge> 004a TComparer<GraphView.TGraphEdge>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29793_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<GraphView.TGraphNode>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<GraphView.TGraphNode> 004a TComparer<GraphView.TGraphNode>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29738_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<GraphView.TObjectList<GraphView.TGraphEdge>> 004a TComparer<GraphView.TObjectList<GraphView.TGraphEdge>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30555_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<IBDatabase.TIBBase>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<IBDatabase.TIBBase> 004a TComparer<IBDatabase.TIBBase>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30657_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<IBDatabase.TIBDatabase>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<IBDatabase.TIBDatabase> 004a TComparer<IBDatabase.TIBDatabase>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30606_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<IBDatabase.TIBTransaction>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<IBDatabase.TIBTransaction> 004a TComparer<IBDatabase.TIBTransaction>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31348_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<IBIntf.IGDSLibrary>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<IBIntf.IGDSLibrary> 004a TComparer<IBIntf.IGDSLibrary>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31250_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>> 004a TComparer<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40368_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<IPPeerAPI.IIPContext>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<IPPeerAPI.IIPContext> 004a TComparer<IPPeerAPI.IIPContext>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42975_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<IPPeerAPI.TDictionary<System.TGUID,System.TClass>> 004a TComparer<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42732_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<IPPeerAPI.TPair<System.TGUID,System.TClass>> 004a TComparer<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42877_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>> 004a TComparer<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_43022_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<IPPeerAPI.TPair<System.string,System.string>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<IPPeerAPI.TPair<System.string,System.string>> 004a TComparer<IPPeerAPI.TPair<System.string,System.string>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40321_0 {
	meta:
		name = "TList<IdContext.TIdContext>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<IdContext.TIdContext>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<IdContext.TIdContext> 004a TComparer<IdContext.TIdContext>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40270_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>> 004a TComparer<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40174_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<IndyPeerImpl.TPair<System.string,System.string>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<IndyPeerImpl.TPair<System.string,System.string>> 004a TComparer<IndyPeerImpl.TPair<System.string,System.string>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50039_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Soap.WSDLLookup.TPair<System.string,System.Variant>> 004a TComparer<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_51224_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>> 004a TComparer<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_51079_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<SyncController.TPair<System.IInterface,System.Pointer>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<SyncController.TPair<System.IInterface,System.Pointer>> 004a TComparer<SyncController.TPair<System.IInterface,System.Pointer>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_51322_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<SyncController.TPair<System.TObject,System.string>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<SyncController.TPair<System.TObject,System.string>> 004a TComparer<SyncController.TPair<System.TObject,System.string>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30835_0 {
	meta:
		name = "TList<System.AnsiString>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.AnsiString>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.AnsiString> 004a TComparer<System.AnsiString>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_51695_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.CustomScope.TPair<System.string,System.IInterface>> 004a TComparer<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_54616_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.CustomScope.TScopeClass>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.CustomScope.TScopeClass> 004a TComparer<System.Bindings.CustomScope.TScopeClass>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56346_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.EvalProtocol.ILocation>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.EvalProtocol.ILocation> 004a TComparer<System.Bindings.EvalProtocol.ILocation>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_53161_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.EvalProtocol.IScope>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.EvalProtocol.IScope> 004a TComparer<System.Bindings.EvalProtocol.IScope>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_51937_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.EvalProtocol.ISubscription>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.EvalProtocol.ISubscription> 004a TComparer<System.Bindings.EvalProtocol.ISubscription>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52110_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>> 004a TComparer<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52831_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 004a TComparer<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52576_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.EvalSys.TOverload>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.EvalSys.TOverload> 004a TComparer<System.Bindings.EvalSys.TOverload>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52733_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>> 004a TComparer<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52635_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.EvalSys.TPair<System.string,System.IInterface>> 004a TComparer<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52784_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.EvalSys.TValueConverter.TConvPair> 004a TComparer<System.Bindings.EvalSys.TValueConverter.TConvPair>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_53208_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>> 004a TComparer<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_53591_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Expression.TPair<System.TObject,System.string>> 004a TComparer<System.Bindings.Expression.TPair<System.TObject,System.string>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_53736_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>> 004a TComparer<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_54110_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>> 004a TComparer<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_54255_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>> 004a TComparer<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56101_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>> 004a TComparer<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_55813_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Graph.TDictionary<System.string,System.Int64>> 004a TComparer<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56244_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Graph.TDictionary<System.string,System.Integer>> 004a TComparer<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56295_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>> 004a TComparer<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56052_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>> 004a TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_55860_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>> 004a TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_55472_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>> 004a TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_55907_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>> 004a TComparer<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_55715_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>> 004a TComparer<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56195_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>> 004a TComparer<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56393_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Graph.TPair<System.TObject,System.string>> 004a TComparer<System.Bindings.Graph.TPair<System.TObject,System.string>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_55570_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Graph.TPair<System.string,System.Int64>> 004a TComparer<System.Bindings.Graph.TPair<System.string,System.Int64>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56148_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Graph.TPair<System.string,System.Integer>> 004a TComparer<System.Bindings.Graph.TPair<System.string,System.Integer>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56826_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Helper.TPair<System.string,System.IInterface>> 004a TComparer<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_57034_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Manager.TBindingManager>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Manager.TBindingManager> 004a TComparer<System.Bindings.Manager.TBindingManager>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58595_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>> 004a TComparer<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58448_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>> 004a TComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58207_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>> 004a TComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58546_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>> 004a TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58495_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>> 004a TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58254_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>> 004a TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_57819_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>> 004a TComparer<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58399_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>> 004a TComparer<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58109_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>> 004a TComparer<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58303_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>> 004a TComparer<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_57964_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>> 004a TComparer<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59127_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Methods.TMethodDescription>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Methods.TMethodDescription> 004a TComparer<System.Bindings.Methods.TMethodDescription>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59029_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>> 004a TComparer<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59174_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Methods.TPair<System.string,System.IInterface>> 004a TComparer<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59682_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.ObjEval.TPair<System.string,System.IInterface>> 004a TComparer<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59903_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback> 004a TComparer<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60272_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Outputs.TBindingOutput.TLocationRec> 004a TComparer<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60097_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TConvertPair>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Outputs.TConvertPair> 004a TComparer<System.Bindings.Outputs.TConvertPair>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60838_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TConverterDescription>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Outputs.TConverterDescription> 004a TComparer<System.Bindings.Outputs.TConverterDescription>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60740_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 004a TComparer<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60993_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>> 004a TComparer<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_61246_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>> 004a TComparer<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60787_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>> 004a TComparer<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60938_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 004a TComparer<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_61091_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Outputs.TPair<System.TObject,System.string>> 004a TComparer<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60689_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>> 004a TComparer<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60889_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>> 004a TComparer<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_61150_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Outputs.TPair<System.string,System.IInterface>> 004a TComparer<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_61683_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Bindings.Search.TPair<System.IInterface,System.Pointer>> 004a TComparer<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64873_0 {
	meta:
		name = "TList<System.Boolean>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Boolean>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Boolean> 004a TComparer<System.Boolean>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2484_0 {
	meta:
		name = "TList<System.Classes.IObserver>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Classes.IObserver>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Classes.IObserver> 004a TComparer<System.Classes.IObserver>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_86456_0 {
	meta:
		name = "TList<System.Classes.TComponent>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Classes.TComponent>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Classes.TComponent> 004a TComparer<System.Classes.TComponent>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2142_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Classes.TNotifyEvent>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Classes.TNotifyEvent> 004a TComparer<System.Classes.TNotifyEvent>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15887_0 {
	meta:
		name = "TList<System.Classes.TStream>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Classes.TStream>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Classes.TStream> 004a TComparer<System.Classes.TStream>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24012_0 {
	meta:
		name = "TList<System.Classes.TStrings>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Classes.TStrings>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Classes.TStrings> 004a TComparer<System.Classes.TStrings>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63618_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.DateUtils.TLocalTimeZone.TYearlyChanges> 004a TComparer<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63520_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>> 004a TComparer<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64775_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.DebugUtils.TPair<System.string,System.Boolean>> 004a TComparer<System.DebugUtils.TPair<System.string,System.Boolean>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_54518_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>> 004a TComparer<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52387_0 {
	meta:
		name = "TList<System.IInterface>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.IInterface>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.IInterface> 004a TComparer<System.IInterface>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58352_0 {
	meta:
		name = "TList<System.Int64>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Int64>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Int64> 004a TComparer<System.Int64>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24547_0 {
	meta:
		name = "TList<System.Integer>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Integer>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Integer> 004a TComparer<System.Integer>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22927_0 {
	meta:
		name = "TList<System.Masks.TMask>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Masks.TMask>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Masks.TMask> 004a TComparer<System.Masks.TMask>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_61781_0 {
	meta:
		name = "TList<System.Pointer>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Pointer>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Pointer> 004a TComparer<System.Pointer>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67374_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TMethodImplementation.TParamLoc>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Rtti.TMethodImplementation.TParamLoc> 004a TComparer<System.Rtti.TMethodImplementation.TParamLoc>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68103_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>> 004a TComparer<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68270_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>> 004a TComparer<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68413_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>> 004a TComparer<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67991_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TRttiField>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Rtti.TRttiField> 004a TComparer<System.Rtti.TRttiField>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68043_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TRttiManagedField>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Rtti.TRttiManagedField> 004a TComparer<System.Rtti.TRttiManagedField>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67938_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TRttiMethod>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Rtti.TRttiMethod> 004a TComparer<System.Rtti.TRttiMethod>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68201_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TRttiObject>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Rtti.TRttiObject> 004a TComparer<System.Rtti.TRttiObject>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67886_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TRttiProperty>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Rtti.TRttiProperty> 004a TComparer<System.Rtti.TRttiProperty>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67551_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TVirtualInterface.TImplInfo>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Rtti.TVirtualInterface.TImplInfo> 004a TComparer<System.Rtti.TVirtualInterface.TImplInfo>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67496_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo> 004a TComparer<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60394_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.SysUtils.TProc<System.Rtti.TValue>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.SysUtils.TProc<System.Rtti.TValue>> 004a TComparer<System.SysUtils.TProc<System.Rtti.TValue>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42830_0 {
	meta:
		name = "TList<System.TClass>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.TClass>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.TClass> 004a TComparer<System.TClass>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67829_0 {
	meta:
		name = "TList<System.TCustomAttribute>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.TCustomAttribute>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.TCustomAttribute> 004a TComparer<System.TCustomAttribute>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42783_0 {
	meta:
		name = "TList<System.TGUID>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.TGUID>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.TGUID> 004a TComparer<System.TGUID>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23193_0 {
	meta:
		name = "TList<System.TObject>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.TObject>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.TObject> 004a TComparer<System.TObject>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68319_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.TypInfo.PTypeInfo>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.TypInfo.PTypeInfo> 004a TComparer<System.TypInfo.PTypeInfo>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87725_0 {
	meta:
		name = "TList<System.Types.TPoint>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Types.TPoint>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Types.TPoint> 004a TComparer<System.Types.TPoint>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50090_0 {
	meta:
		name = "TList<System.Variant>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Variant>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Variant> 004a TComparer<System.Variant>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63571_0 {
	meta:
		name = "TList<System.Word>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Word>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Word> 004a TComparer<System.Word>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71766_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 004a TComparer<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71668_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>> 004a TComparer<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71719_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Zip.TZipCompression>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Zip.TZipCompression> 004a TComparer<System.Zip.TZipCompression>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71621_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.Zip.TZipHeader>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.Zip.TZipHeader> 004a TComparer<System.Zip.TZipHeader>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22880_0 {
	meta:
		name = "TList<System.string>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<System.string>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<System.string> 004a TComparer<System.string>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88847_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Controls.TControl>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Controls.TControl> 004a TComparer<Vcl.Controls.TControl>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89252_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Controls.TCustomGestureCollectionItem>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Controls.TCustomGestureCollectionItem> 004a TComparer<Vcl.Controls.TCustomGestureCollectionItem>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88729_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Controls.TCustomGestureManager>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Controls.TCustomGestureManager> 004a TComparer<Vcl.Controls.TCustomGestureManager>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78589_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Direct2D.TDirect2DGraphicsObject> 004a TComparer<Vcl.Direct2D.TDirect2DGraphicsObject>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_86652_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>> 004a TComparer<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_86405_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>> 004a TComparer<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_86554_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>> 004a TComparer<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87623_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Themes.TCustomStyleEngineClass>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Themes.TCustomStyleEngineClass> 004a TComparer<Vcl.Themes.TCustomStyleEngineClass>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87674_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Themes.TCustomStyleServices>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Themes.TCustomStyleServices> 004a TComparer<Vcl.Themes.TCustomStyleServices>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87874_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>> 004a TComparer<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87776_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>> 004a TComparer<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87921_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>> 004a TComparer<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_86503_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Themes.TStyleHook>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Themes.TStyleHook> 004a TComparer<Vcl.Themes.TStyleHook>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87378_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Themes.TStyleHookClass>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Themes.TStyleHookClass> 004a TComparer<Vcl.Themes.TStyleHookClass>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88019_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Themes.TStyleManager.TSourceInfo>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Themes.TStyleManager.TSourceInfo> 004a TComparer<Vcl.Themes.TStyleManager.TSourceInfo>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87572_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Themes.TStyleManager.TStyleClassDescriptor> 004a TComparer<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88524_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 004a TComparer<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88426_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>> 004a TComparer<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89000_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.GestureMgr.TGestureCollection>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Touch.GestureMgr.TGestureCollection> 004a TComparer<Vcl.Touch.GestureMgr.TGestureCollection>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88949_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>> 004a TComparer<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89303_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.Gestures.TGesturePoint>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Touch.Gestures.TGesturePoint> 004a TComparer<Vcl.Touch.Gestures.TGesturePoint>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89483_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Touch.Keyboard.TCustomKeyboardButton> 004a TComparer<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89534_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState> 004a TComparer<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89585_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.KeyboardTypes.TKeyData>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Touch.KeyboardTypes.TKeyData> 004a TComparer<Vcl.Touch.KeyboardTypes.TKeyData>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89816_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Touch.KeyboardTypes.TKeyboardLanguage> 004a TComparer<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89714_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Touch.KeyboardTypes.TVirtualKey> 004a TComparer<Vcl.Touch.KeyboardTypes.TVirtualKey>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89867_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout> 004a TComparer<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89765_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Vcl.Touch.KeyboardTypes.TVirtualKeys> 004a TComparer<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96332_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Create 002d TObject.Create 0037 @IntfCopy 0045 _DV_TComparer<Web.WebFileDispatcher.TPair<System.string,System.string>> 004a TComparer<Web.WebFileDispatcher.TPair<System.string,System.string>>.Default 006a @IntfClear 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 83 7F 0C 00 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1990_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Expression.TBindingExpression>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Expression.TBindingExpression> 003a TComparer<System.Bindings.Expression.TBindingExpression>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Expression.TBindingExpression>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26838_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Create 002d TObject.Create 0035 _DV_TComparer<DSAzDlgBlockBlob.TPair<System.string,System.string>> 003a TComparer<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Default 0045 @IntfCopy 0050 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_27062_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Create 002d TObject.Create 0035 _DV_TComparer<DSAzDlgCopyBlob.TPair<System.string,System.string>> 003a TComparer<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Default 0045 @IntfCopy 0050 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_27266_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Create 002d TObject.Create 0035 _DV_TComparer<DSAzDlgCreateContainer.TPair<System.string,System.string>> 003a TComparer<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Default 0045 @IntfCopy 0050 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_27498_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Create 002d TObject.Create 0035 _DV_TComparer<DSAzDlgPageBlob.TPair<System.string,System.string>> 003a TComparer<DSAzDlgPageBlob.TPair<System.string,System.string>>.Default 0045 @IntfCopy 0050 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_27715_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Create 002d TObject.Create 0035 _DV_TComparer<DSAzDlgPutBlockList.TPair<System.string,System.string>> 003a TComparer<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Default 0045 @IntfCopy 0050 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_27916_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Create 002d TObject.Create 0035 _DV_TComparer<DSAzDlgSnapshotBlob.TPair<System.string,System.string>> 003a TComparer<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Default 0045 @IntfCopy 0050 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28534_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<DSAzureBlob.TBBlob>.Create 002d TObject.Create 0035 _DV_TComparer<DSAzureBlob.TBBlob> 003a TComparer<DSAzureBlob.TBBlob>.Default 0045 @IntfCopy 0050 TList<DSAzureBlob.TBBlob>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28756_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<DSAzureBlob.TBBlock>.Create 002d TObject.Create 0035 _DV_TComparer<DSAzureBlob.TBBlock> 003a TComparer<DSAzureBlob.TBBlock>.Default 0045 @IntfCopy 0050 TList<DSAzureBlob.TBBlock>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28410_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<DSAzureBlob.TBContainer>.Create 002d TObject.Create 0035 _DV_TComparer<DSAzureBlob.TBContainer> 003a TComparer<DSAzureBlob.TBContainer>.Default 0045 @IntfCopy 0050 TList<DSAzureBlob.TBContainer>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28699_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<DSAzureBlob.TBPageRange>.Create 002d TObject.Create 0035 _DV_TComparer<DSAzureBlob.TBPageRange> 003a TComparer<DSAzureBlob.TBPageRange>.Default 0045 @IntfCopy 0050 TList<DSAzureBlob.TBPageRange>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28642_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<DSAzureBlob.TBSignedIdentifier>.Create 002d TObject.Create 0035 _DV_TComparer<DSAzureBlob.TBSignedIdentifier> 003a TComparer<DSAzureBlob.TBSignedIdentifier>.Default 0045 @IntfCopy 0050 TList<DSAzureBlob.TBSignedIdentifier>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28589_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<DSAzureBlob.TLeaseItem>.Create 002d TObject.Create 0035 _DV_TComparer<DSAzureBlob.TLeaseItem> 003a TComparer<DSAzureBlob.TLeaseItem>.Default 0045 @IntfCopy 0050 TList<DSAzureBlob.TLeaseItem>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28813_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<DSAzureBlob.TPair<System.string,System.string>>.Create 002d TObject.Create 0035 _DV_TComparer<DSAzureBlob.TPair<System.string,System.string>> 003a TComparer<DSAzureBlob.TPair<System.string,System.string>>.Default 0045 @IntfCopy 0050 TList<DSAzureBlob.TPair<System.string,System.string>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29057_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<DSAzureQueue.TMessageNodeData>.Create 002d TObject.Create 0035 _DV_TComparer<DSAzureQueue.TMessageNodeData> 003a TComparer<DSAzureQueue.TMessageNodeData>.Default 0045 @IntfCopy 0050 TList<DSAzureQueue.TMessageNodeData>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29475_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<DSAzureTableDialog.TAzureTableColumn>.Create 002d TObject.Create 0035 _DV_TComparer<DSAzureTableDialog.TAzureTableColumn> 003a TComparer<DSAzureTableDialog.TAzureTableColumn>.Default 0045 @IntfCopy 0050 TList<DSAzureTableDialog.TAzureTableColumn>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29330_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<DSAzureTableDialog.TAzureTableRow>.Create 002d TObject.Create 0035 _DV_TComparer<DSAzureTableDialog.TAzureTableRow> 003a TComparer<DSAzureTableDialog.TAzureTableRow>.Default 0045 @IntfCopy 0050 TList<DSAzureTableDialog.TAzureTableRow>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29377_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Create 002d TObject.Create 0035 _DV_TComparer<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>> 003a TComparer<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Default 0045 @IntfCopy 0050 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2092_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Bind.Components.TBasicBindComponent>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Bind.Components.TBasicBindComponent> 003a TComparer<Data.Bind.Components.TBasicBindComponent>.Default 0045 @IntfCopy 0050 TList<Data.Bind.Components.TBasicBindComponent>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2268_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Bind.Components.TBindEditorFactoryClass>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Bind.Components.TBindEditorFactoryClass> 003a TComparer<Data.Bind.Components.TBindEditorFactoryClass>.Default 0045 @IntfCopy 0050 TList<Data.Bind.Components.TBindEditorFactoryClass>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2041_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Bind.Components.TContainedBindComponent>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Bind.Components.TContainedBindComponent> 003a TComparer<Data.Bind.Components.TContainedBindComponent>.Default 0045 @IntfCopy 0050 TList<Data.Bind.Components.TContainedBindComponent>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2387_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>> 003a TComparer<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Default 0045 @IntfCopy 0050 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2742_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Bind.DBLinks.TBindDBColumnFactoryClass> 003a TComparer<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Default 0045 @IntfCopy 0050 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3084_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Bind.DBScope.TBaseDataLink>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Bind.DBScope.TBaseDataLink> 003a TComparer<Data.Bind.DBScope.TBaseDataLink>.Default 0045 @IntfCopy 0050 TList<Data.Bind.DBScope.TBaseDataLink>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2986_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>> 003a TComparer<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Default 0045 @IntfCopy 0050 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3581_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Cloud.AmazonAPI.TAmazonBatchRow> 003a TComparer<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Default 0045 @IntfCopy 0050 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3836_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Cloud.AmazonAPI.TAmazonGrant> 003a TComparer<Data.Cloud.AmazonAPI.TAmazonGrant>.Default 0045 @IntfCopy 0050 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3938_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Cloud.AmazonAPI.TAmazonMultipartPart> 003a TComparer<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Default 0045 @IntfCopy 0050 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3887_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem> 003a TComparer<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Default 0045 @IntfCopy 0050 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3989_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Cloud.AmazonAPI.TAmazonNotificationEvent> 003a TComparer<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Default 0045 @IntfCopy 0050 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3785_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Cloud.AmazonAPI.TAmazonObjectResult> 003a TComparer<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Default 0045 @IntfCopy 0050 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3530_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Cloud.AmazonAPI.TAmazonRowConditional> 003a TComparer<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Default 0045 @IntfCopy 0050 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4664_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AzureAPI.TAzureBlob>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Cloud.AzureAPI.TAzureBlob> 003a TComparer<Data.Cloud.AzureAPI.TAzureBlob>.Default 0045 @IntfCopy 0050 TList<Data.Cloud.AzureAPI.TAzureBlob>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4715_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Cloud.AzureAPI.TAzureBlobPageRange> 003a TComparer<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Default 0045 @IntfCopy 0050 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4511_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Cloud.AzureAPI.TAzureBlockListItem> 003a TComparer<Data.Cloud.AzureAPI.TAzureBlockListItem>.Default 0045 @IntfCopy 0050 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4562_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AzureAPI.TAzureContainer>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Cloud.AzureAPI.TAzureContainer> 003a TComparer<Data.Cloud.AzureAPI.TAzureContainer>.Default 0045 @IntfCopy 0050 TList<Data.Cloud.AzureAPI.TAzureContainer>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4613_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Cloud.AzureAPI.TSignedIdentifier> 003a TComparer<Data.Cloud.AzureAPI.TSignedIdentifier>.Default 0045 @IntfCopy 0050 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4460_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.CloudAPI.TCloudQueue>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Cloud.CloudAPI.TCloudQueue> 003a TComparer<Data.Cloud.CloudAPI.TCloudQueue>.Default 0045 @IntfCopy 0050 TList<Data.Cloud.CloudAPI.TCloudQueue>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3683_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Cloud.CloudAPI.TCloudQueueMessage> 003a TComparer<Data.Cloud.CloudAPI.TCloudQueueMessage>.Default 0045 @IntfCopy 0050 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4996_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Cloud.CloudAPI.TCloudTableColumn> 003a TComparer<Data.Cloud.CloudAPI.TCloudTableColumn>.Default 0045 @IntfCopy 0050 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3632_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.Cloud.CloudAPI.TCloudTableRow>.Create 002d TObject.Create 0035 _DV_TComparer<Data.Cloud.CloudAPI.TCloudTableRow> 003a TComparer<Data.Cloud.CloudAPI.TCloudTableRow>.Default 0045 @IntfCopy 0050 TList<Data.Cloud.CloudAPI.TCloudTableRow>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16384_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.DBXCommon.TDBXParameter>.Create 002d TObject.Create 0035 _DV_TComparer<Data.DBXCommon.TDBXParameter> 003a TComparer<Data.DBXCommon.TDBXParameter>.Default 0045 @IntfCopy 0050 TList<Data.DBXCommon.TDBXParameter>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7882_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Create 002d TObject.Create 0035 _DV_TComparer<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec> 003a TComparer<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Default 0045 @IntfCopy 0050 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8602_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.DBXCommon.TDBXWritableValueArray>.Create 002d TObject.Create 0035 _DV_TComparer<Data.DBXCommon.TDBXWritableValueArray> 003a TComparer<Data.DBXCommon.TDBXWritableValueArray>.Default 0045 @IntfCopy 0050 TList<Data.DBXCommon.TDBXWritableValueArray>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8027_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.DBXCommon.TEventPointer>.Create 002d TObject.Create 0035 _DV_TComparer<Data.DBXCommon.TEventPointer> 003a TComparer<Data.DBXCommon.TEventPointer>.Default 0045 @IntfCopy 0050 TList<Data.DBXCommon.TEventPointer>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7929_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Create 002d TObject.Create 0035 _DV_TComparer<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>> 003a TComparer<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Default 0045 @IntfCopy 0050 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25118_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.DBXCommon.TResultCommandHandler>.Create 002d TObject.Create 0035 _DV_TComparer<Data.DBXCommon.TResultCommandHandler> 003a TComparer<Data.DBXCommon.TResultCommandHandler>.Default 0045 @IntfCopy 0050 TList<Data.DBXCommon.TResultCommandHandler>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10359_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.DBXJSON.TJSONAncestor>.Create 002d TObject.Create 0035 _DV_TComparer<Data.DBXJSON.TJSONAncestor> 003a TComparer<Data.DBXJSON.TJSONAncestor>.Default 0045 @IntfCopy 0050 TList<Data.DBXJSON.TJSONAncestor>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10312_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.DBXJSONReflect.TConverterEvent>.Create 002d TObject.Create 0035 _DV_TComparer<Data.DBXJSONReflect.TConverterEvent> 003a TComparer<Data.DBXJSONReflect.TConverterEvent>.Default 0045 @IntfCopy 0050 TList<Data.DBXJSONReflect.TConverterEvent>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10118_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Create 002d TObject.Create 0035 _DV_TComparer<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>> 003a TComparer<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Default 0045 @IntfCopy 0050 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10214_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create 002d TObject.Create 0035 _DV_TComparer<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 003a TComparer<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Default 0045 @IntfCopy 0050 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10503_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create 002d TObject.Create 0035 _DV_TComparer<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 003a TComparer<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Default 0045 @IntfCopy 0050 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10407_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Create 002d TObject.Create 0035 _DV_TComparer<Data.DBXJSONReflect.TPair<System.string,System.TObject>> 003a TComparer<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Default 0045 @IntfCopy 0050 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18572_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.DBXJSONReflect.TReverterEvent>.Create 002d TObject.Create 0035 _DV_TComparer<Data.DBXJSONReflect.TReverterEvent> 003a TComparer<Data.DBXJSONReflect.TReverterEvent>.Default 0045 @IntfCopy 0050 TList<Data.DBXJSONReflect.TReverterEvent>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11091_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Create 002d TObject.Create 0035 _DV_TComparer<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler> 003a TComparer<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Default 0045 @IntfCopy 0050 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11040_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Create 002d TObject.Create 0035 _DV_TComparer<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>> 003a TComparer<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Default 0045 @IntfCopy 0050 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11275_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Create 002d TObject.Create 0035 _DV_TComparer<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>> 003a TComparer<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Default 0045 @IntfCopy 0050 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15935_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003a TComparer<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15790_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>> 003a TComparer<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16266_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSClientRest.TDSRestClientCallback>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSClientRest.TDSRestClientCallback> 003a TComparer<Datasnap.DSClientRest.TDSRestClientCallback>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSClientRest.TDSRestClientCallback>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16440_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSClientRest.TPair<System.string,System.string>> 003a TComparer<Datasnap.DSClientRest.TPair<System.string,System.string>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_21921_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSCommonProxy.IDSProxyWriter> 003a TComparer<Datasnap.DSCommonProxy.IDSProxyWriter>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17386_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTP.TDSHTTPClass>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSHTTP.TDSHTTPClass> 003a TComparer<Datasnap.DSHTTP.TDSHTTPClass>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSHTTP.TDSHTTPClass>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17288_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>> 003a TComparer<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18380_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSHTTPCommon.TDSCallbackItem> 003a TComparer<Datasnap.DSHTTPCommon.TDSCallbackItem>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18072_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSHTTPCommon.TDSCommandComplexParams> 003a TComparer<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17750_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSHTTPCommon.TDSExecutionResponse> 003a TComparer<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18125_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo> 003a TComparer<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18427_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 003a TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18523_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 003a TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18282_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>> 003a TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18756_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>> 003a TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19057_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>> 003a TComparer<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19416_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003a TComparer<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19711_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003a TComparer<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19999_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003a TComparer<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_20281_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003a TComparer<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_20807_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003a TComparer<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_20711_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>> 003a TComparer<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_21035_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>> 003a TComparer<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_21269_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003a TComparer<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_21556_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003a TComparer<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_21823_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003a TComparer<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22115_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003a TComparer<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22408_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003a TComparer<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22975_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003a TComparer<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22830_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>> 003a TComparer<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23719_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSServer.TDSCallbackTunnel>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSServer.TDSCallbackTunnel> 003a TComparer<Datasnap.DSServer.TDSCallbackTunnel>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSServer.TDSCallbackTunnel>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23668_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSServer.TDSCallbackTunnelEvent> 003a TComparer<Datasnap.DSServer.TDSCallbackTunnelEvent>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23770_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 003a TComparer<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23868_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 003a TComparer<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23964_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>> 003a TComparer<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24493_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSService.TDBXRequestFilter>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSService.TDBXRequestFilter> 003a TComparer<Datasnap.DSService.TDBXRequestFilter>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSService.TDBXRequestFilter>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11373_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSService.TDSSession>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSService.TDSSession> 003a TComparer<Datasnap.DSService.TDSSession>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSService.TDSSession>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24863_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSService.TDSSessionEvent>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSService.TDSSessionEvent> 003a TComparer<Datasnap.DSService.TDSSessionEvent>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSService.TDSSessionEvent>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25067_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>> 003a TComparer<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24961_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>> 003a TComparer<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25308_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>> 003a TComparer<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25212_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSService.TPair<System.string,System.TObject>> 003a TComparer<Datasnap.DSService.TPair<System.string,System.TObject>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25165_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSService.TPair<System.string,System.string>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSService.TPair<System.string,System.string>> 003a TComparer<Datasnap.DSService.TPair<System.string,System.string>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSService.TPair<System.string,System.string>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25582_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Create 002d TObject.Create 0035 _DV_TComparer<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>> 003a TComparer<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Default 0045 @IntfCopy 0050 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29684_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<GraphView.TGraphEdge>.Create 002d TObject.Create 0035 _DV_TComparer<GraphView.TGraphEdge> 003a TComparer<GraphView.TGraphEdge>.Default 0045 @IntfCopy 0050 TList<GraphView.TGraphEdge>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29794_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<GraphView.TGraphNode>.Create 002d TObject.Create 0035 _DV_TComparer<GraphView.TGraphNode> 003a TComparer<GraphView.TGraphNode>.Default 0045 @IntfCopy 0050 TList<GraphView.TGraphNode>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29739_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Create 002d TObject.Create 0035 _DV_TComparer<GraphView.TObjectList<GraphView.TGraphEdge>> 003a TComparer<GraphView.TObjectList<GraphView.TGraphEdge>>.Default 0045 @IntfCopy 0050 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30556_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<IBDatabase.TIBBase>.Create 002d TObject.Create 0035 _DV_TComparer<IBDatabase.TIBBase> 003a TComparer<IBDatabase.TIBBase>.Default 0045 @IntfCopy 0050 TList<IBDatabase.TIBBase>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30658_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<IBDatabase.TIBDatabase>.Create 002d TObject.Create 0035 _DV_TComparer<IBDatabase.TIBDatabase> 003a TComparer<IBDatabase.TIBDatabase>.Default 0045 @IntfCopy 0050 TList<IBDatabase.TIBDatabase>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30607_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<IBDatabase.TIBTransaction>.Create 002d TObject.Create 0035 _DV_TComparer<IBDatabase.TIBTransaction> 003a TComparer<IBDatabase.TIBTransaction>.Default 0045 @IntfCopy 0050 TList<IBDatabase.TIBTransaction>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31349_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<IBIntf.IGDSLibrary>.Create 002d TObject.Create 0035 _DV_TComparer<IBIntf.IGDSLibrary> 003a TComparer<IBIntf.IGDSLibrary>.Default 0045 @IntfCopy 0050 TList<IBIntf.IGDSLibrary>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31251_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Create 002d TObject.Create 0035 _DV_TComparer<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>> 003a TComparer<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Default 0045 @IntfCopy 0050 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40369_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<IPPeerAPI.IIPContext>.Create 002d TObject.Create 0035 _DV_TComparer<IPPeerAPI.IIPContext> 003a TComparer<IPPeerAPI.IIPContext>.Default 0045 @IntfCopy 0050 TList<IPPeerAPI.IIPContext>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42976_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Create 002d TObject.Create 0035 _DV_TComparer<IPPeerAPI.TDictionary<System.TGUID,System.TClass>> 003a TComparer<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Default 0045 @IntfCopy 0050 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42733_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Create 002d TObject.Create 0035 _DV_TComparer<IPPeerAPI.TPair<System.TGUID,System.TClass>> 003a TComparer<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Default 0045 @IntfCopy 0050 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42878_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Create 002d TObject.Create 0035 _DV_TComparer<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>> 003a TComparer<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Default 0045 @IntfCopy 0050 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_43023_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<IPPeerAPI.TPair<System.string,System.string>>.Create 002d TObject.Create 0035 _DV_TComparer<IPPeerAPI.TPair<System.string,System.string>> 003a TComparer<IPPeerAPI.TPair<System.string,System.string>>.Default 0045 @IntfCopy 0050 TList<IPPeerAPI.TPair<System.string,System.string>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40322_0 {
	meta:
		name = "TList<IdContext.TIdContext>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<IdContext.TIdContext>.Create 002d TObject.Create 0035 _DV_TComparer<IdContext.TIdContext> 003a TComparer<IdContext.TIdContext>.Default 0045 @IntfCopy 0050 TList<IdContext.TIdContext>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40271_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Create 002d TObject.Create 0035 _DV_TComparer<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>> 003a TComparer<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Default 0045 @IntfCopy 0050 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40175_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<IndyPeerImpl.TPair<System.string,System.string>>.Create 002d TObject.Create 0035 _DV_TComparer<IndyPeerImpl.TPair<System.string,System.string>> 003a TComparer<IndyPeerImpl.TPair<System.string,System.string>>.Default 0045 @IntfCopy 0050 TList<IndyPeerImpl.TPair<System.string,System.string>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50040_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Create 002d TObject.Create 0035 _DV_TComparer<Soap.WSDLLookup.TPair<System.string,System.Variant>> 003a TComparer<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Default 0045 @IntfCopy 0050 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_51225_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Create 002d TObject.Create 0035 _DV_TComparer<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>> 003a TComparer<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Default 0045 @IntfCopy 0050 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_51080_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<SyncController.TPair<System.IInterface,System.Pointer>>.Create 002d TObject.Create 0035 _DV_TComparer<SyncController.TPair<System.IInterface,System.Pointer>> 003a TComparer<SyncController.TPair<System.IInterface,System.Pointer>>.Default 0045 @IntfCopy 0050 TList<SyncController.TPair<System.IInterface,System.Pointer>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_51323_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<SyncController.TPair<System.TObject,System.string>>.Create 002d TObject.Create 0035 _DV_TComparer<SyncController.TPair<System.TObject,System.string>> 003a TComparer<SyncController.TPair<System.TObject,System.string>>.Default 0045 @IntfCopy 0050 TList<SyncController.TPair<System.TObject,System.string>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30836_0 {
	meta:
		name = "TList<System.AnsiString>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.AnsiString>.Create 002d TObject.Create 0035 _DV_TComparer<System.AnsiString> 003a TComparer<System.AnsiString>.Default 0045 @IntfCopy 0050 TList<System.AnsiString>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_51696_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.CustomScope.TPair<System.string,System.IInterface>> 003a TComparer<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_54617_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.CustomScope.TScopeClass>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.CustomScope.TScopeClass> 003a TComparer<System.Bindings.CustomScope.TScopeClass>.Default 0045 @IntfCopy 0050 TList<System.Bindings.CustomScope.TScopeClass>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56347_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.EvalProtocol.ILocation>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.EvalProtocol.ILocation> 003a TComparer<System.Bindings.EvalProtocol.ILocation>.Default 0045 @IntfCopy 0050 TList<System.Bindings.EvalProtocol.ILocation>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_53162_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.EvalProtocol.IScope>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.EvalProtocol.IScope> 003a TComparer<System.Bindings.EvalProtocol.IScope>.Default 0045 @IntfCopy 0050 TList<System.Bindings.EvalProtocol.IScope>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_51938_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.EvalProtocol.ISubscription>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.EvalProtocol.ISubscription> 003a TComparer<System.Bindings.EvalProtocol.ISubscription>.Default 0045 @IntfCopy 0050 TList<System.Bindings.EvalProtocol.ISubscription>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52111_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>> 003a TComparer<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52832_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 003a TComparer<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52577_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.EvalSys.TOverload>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.EvalSys.TOverload> 003a TComparer<System.Bindings.EvalSys.TOverload>.Default 0045 @IntfCopy 0050 TList<System.Bindings.EvalSys.TOverload>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52734_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>> 003a TComparer<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52636_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.EvalSys.TPair<System.string,System.IInterface>> 003a TComparer<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52785_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.EvalSys.TValueConverter.TConvPair> 003a TComparer<System.Bindings.EvalSys.TValueConverter.TConvPair>.Default 0045 @IntfCopy 0050 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_53209_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>> 003a TComparer<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_53592_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Expression.TPair<System.TObject,System.string>> 003a TComparer<System.Bindings.Expression.TPair<System.TObject,System.string>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_53737_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>> 003a TComparer<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_54111_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>> 003a TComparer<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_54256_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>> 003a TComparer<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56102_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>> 003a TComparer<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_55814_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Graph.TDictionary<System.string,System.Int64>> 003a TComparer<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56245_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Graph.TDictionary<System.string,System.Integer>> 003a TComparer<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56296_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>> 003a TComparer<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56053_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>> 003a TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_55861_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>> 003a TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_55473_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>> 003a TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_55908_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>> 003a TComparer<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_55716_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>> 003a TComparer<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56196_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>> 003a TComparer<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56394_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Graph.TPair<System.TObject,System.string>> 003a TComparer<System.Bindings.Graph.TPair<System.TObject,System.string>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_55571_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Graph.TPair<System.string,System.Int64>> 003a TComparer<System.Bindings.Graph.TPair<System.string,System.Int64>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56149_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Graph.TPair<System.string,System.Integer>> 003a TComparer<System.Bindings.Graph.TPair<System.string,System.Integer>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56827_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Helper.TPair<System.string,System.IInterface>> 003a TComparer<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_57035_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Manager.TBindingManager>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Manager.TBindingManager> 003a TComparer<System.Bindings.Manager.TBindingManager>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Manager.TBindingManager>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58596_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>> 003a TComparer<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58449_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>> 003a TComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58208_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>> 003a TComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58547_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>> 003a TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58496_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>> 003a TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58255_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>> 003a TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_57820_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>> 003a TComparer<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58400_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>> 003a TComparer<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58110_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>> 003a TComparer<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58304_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>> 003a TComparer<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_57965_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>> 003a TComparer<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59128_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Methods.TMethodDescription>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Methods.TMethodDescription> 003a TComparer<System.Bindings.Methods.TMethodDescription>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Methods.TMethodDescription>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59030_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>> 003a TComparer<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59175_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Methods.TPair<System.string,System.IInterface>> 003a TComparer<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59683_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.ObjEval.TPair<System.string,System.IInterface>> 003a TComparer<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59904_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback> 003a TComparer<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60273_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Outputs.TBindingOutput.TLocationRec> 003a TComparer<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60098_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TConvertPair>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Outputs.TConvertPair> 003a TComparer<System.Bindings.Outputs.TConvertPair>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Outputs.TConvertPair>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60839_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TConverterDescription>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Outputs.TConverterDescription> 003a TComparer<System.Bindings.Outputs.TConverterDescription>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Outputs.TConverterDescription>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60741_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 003a TComparer<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60994_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>> 003a TComparer<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_61247_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>> 003a TComparer<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60788_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>> 003a TComparer<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60939_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 003a TComparer<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_61092_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Outputs.TPair<System.TObject,System.string>> 003a TComparer<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60690_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>> 003a TComparer<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60890_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>> 003a TComparer<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_61151_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Outputs.TPair<System.string,System.IInterface>> 003a TComparer<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_61684_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Bindings.Search.TPair<System.IInterface,System.Pointer>> 003a TComparer<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Default 0045 @IntfCopy 0050 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64874_0 {
	meta:
		name = "TList<System.Boolean>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Boolean>.Create 002d TObject.Create 0035 _DV_TComparer<System.Boolean> 003a TComparer<System.Boolean>.Default 0045 @IntfCopy 0050 TList<System.Boolean>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2485_0 {
	meta:
		name = "TList<System.Classes.IObserver>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Classes.IObserver>.Create 002d TObject.Create 0035 _DV_TComparer<System.Classes.IObserver> 003a TComparer<System.Classes.IObserver>.Default 0045 @IntfCopy 0050 TList<System.Classes.IObserver>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_86457_0 {
	meta:
		name = "TList<System.Classes.TComponent>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Classes.TComponent>.Create 002d TObject.Create 0035 _DV_TComparer<System.Classes.TComponent> 003a TComparer<System.Classes.TComponent>.Default 0045 @IntfCopy 0050 TList<System.Classes.TComponent>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2143_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Classes.TNotifyEvent>.Create 002d TObject.Create 0035 _DV_TComparer<System.Classes.TNotifyEvent> 003a TComparer<System.Classes.TNotifyEvent>.Default 0045 @IntfCopy 0050 TList<System.Classes.TNotifyEvent>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15888_0 {
	meta:
		name = "TList<System.Classes.TStream>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Classes.TStream>.Create 002d TObject.Create 0035 _DV_TComparer<System.Classes.TStream> 003a TComparer<System.Classes.TStream>.Default 0045 @IntfCopy 0050 TList<System.Classes.TStream>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24013_0 {
	meta:
		name = "TList<System.Classes.TStrings>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Classes.TStrings>.Create 002d TObject.Create 0035 _DV_TComparer<System.Classes.TStrings> 003a TComparer<System.Classes.TStrings>.Default 0045 @IntfCopy 0050 TList<System.Classes.TStrings>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63619_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create 002d TObject.Create 0035 _DV_TComparer<System.DateUtils.TLocalTimeZone.TYearlyChanges> 003a TComparer<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Default 0045 @IntfCopy 0050 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63521_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Create 002d TObject.Create 0035 _DV_TComparer<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>> 003a TComparer<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Default 0045 @IntfCopy 0050 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64776_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Create 002d TObject.Create 0035 _DV_TComparer<System.DebugUtils.TPair<System.string,System.Boolean>> 003a TComparer<System.DebugUtils.TPair<System.string,System.Boolean>>.Default 0045 @IntfCopy 0050 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_54519_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>> 003a TComparer<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Default 0045 @IntfCopy 0050 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52388_0 {
	meta:
		name = "TList<System.IInterface>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.IInterface>.Create 002d TObject.Create 0035 _DV_TComparer<System.IInterface> 003a TComparer<System.IInterface>.Default 0045 @IntfCopy 0050 TList<System.IInterface>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58353_0 {
	meta:
		name = "TList<System.Int64>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Int64>.Create 002d TObject.Create 0035 _DV_TComparer<System.Int64> 003a TComparer<System.Int64>.Default 0045 @IntfCopy 0050 TList<System.Int64>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24548_0 {
	meta:
		name = "TList<System.Integer>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Integer>.Create 002d TObject.Create 0035 _DV_TComparer<System.Integer> 003a TComparer<System.Integer>.Default 0045 @IntfCopy 0050 TList<System.Integer>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22928_0 {
	meta:
		name = "TList<System.Masks.TMask>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Masks.TMask>.Create 002d TObject.Create 0035 _DV_TComparer<System.Masks.TMask> 003a TComparer<System.Masks.TMask>.Default 0045 @IntfCopy 0050 TList<System.Masks.TMask>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_61782_0 {
	meta:
		name = "TList<System.Pointer>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Pointer>.Create 002d TObject.Create 0035 _DV_TComparer<System.Pointer> 003a TComparer<System.Pointer>.Default 0045 @IntfCopy 0050 TList<System.Pointer>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67375_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TMethodImplementation.TParamLoc>.Create 002d TObject.Create 0035 _DV_TComparer<System.Rtti.TMethodImplementation.TParamLoc> 003a TComparer<System.Rtti.TMethodImplementation.TParamLoc>.Default 0045 @IntfCopy 0050 TList<System.Rtti.TMethodImplementation.TParamLoc>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68104_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>> 003a TComparer<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Default 0045 @IntfCopy 0050 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68271_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>> 003a TComparer<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Default 0045 @IntfCopy 0050 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68414_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>> 003a TComparer<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Default 0045 @IntfCopy 0050 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67992_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TRttiField>.Create 002d TObject.Create 0035 _DV_TComparer<System.Rtti.TRttiField> 003a TComparer<System.Rtti.TRttiField>.Default 0045 @IntfCopy 0050 TList<System.Rtti.TRttiField>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68044_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TRttiManagedField>.Create 002d TObject.Create 0035 _DV_TComparer<System.Rtti.TRttiManagedField> 003a TComparer<System.Rtti.TRttiManagedField>.Default 0045 @IntfCopy 0050 TList<System.Rtti.TRttiManagedField>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67939_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TRttiMethod>.Create 002d TObject.Create 0035 _DV_TComparer<System.Rtti.TRttiMethod> 003a TComparer<System.Rtti.TRttiMethod>.Default 0045 @IntfCopy 0050 TList<System.Rtti.TRttiMethod>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68202_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TRttiObject>.Create 002d TObject.Create 0035 _DV_TComparer<System.Rtti.TRttiObject> 003a TComparer<System.Rtti.TRttiObject>.Default 0045 @IntfCopy 0050 TList<System.Rtti.TRttiObject>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67887_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TRttiProperty>.Create 002d TObject.Create 0035 _DV_TComparer<System.Rtti.TRttiProperty> 003a TComparer<System.Rtti.TRttiProperty>.Default 0045 @IntfCopy 0050 TList<System.Rtti.TRttiProperty>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67552_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TVirtualInterface.TImplInfo>.Create 002d TObject.Create 0035 _DV_TComparer<System.Rtti.TVirtualInterface.TImplInfo> 003a TComparer<System.Rtti.TVirtualInterface.TImplInfo>.Default 0045 @IntfCopy 0050 TList<System.Rtti.TVirtualInterface.TImplInfo>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67497_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Create 002d TObject.Create 0035 _DV_TComparer<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo> 003a TComparer<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Default 0045 @IntfCopy 0050 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60395_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.SysUtils.TProc<System.Rtti.TValue>>.Create 002d TObject.Create 0035 _DV_TComparer<System.SysUtils.TProc<System.Rtti.TValue>> 003a TComparer<System.SysUtils.TProc<System.Rtti.TValue>>.Default 0045 @IntfCopy 0050 TList<System.SysUtils.TProc<System.Rtti.TValue>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42831_0 {
	meta:
		name = "TList<System.TClass>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.TClass>.Create 002d TObject.Create 0035 _DV_TComparer<System.TClass> 003a TComparer<System.TClass>.Default 0045 @IntfCopy 0050 TList<System.TClass>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67830_0 {
	meta:
		name = "TList<System.TCustomAttribute>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.TCustomAttribute>.Create 002d TObject.Create 0035 _DV_TComparer<System.TCustomAttribute> 003a TComparer<System.TCustomAttribute>.Default 0045 @IntfCopy 0050 TList<System.TCustomAttribute>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42784_0 {
	meta:
		name = "TList<System.TGUID>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.TGUID>.Create 002d TObject.Create 0035 _DV_TComparer<System.TGUID> 003a TComparer<System.TGUID>.Default 0045 @IntfCopy 0050 TList<System.TGUID>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23194_0 {
	meta:
		name = "TList<System.TObject>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.TObject>.Create 002d TObject.Create 0035 _DV_TComparer<System.TObject> 003a TComparer<System.TObject>.Default 0045 @IntfCopy 0050 TList<System.TObject>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68320_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.TypInfo.PTypeInfo>.Create 002d TObject.Create 0035 _DV_TComparer<System.TypInfo.PTypeInfo> 003a TComparer<System.TypInfo.PTypeInfo>.Default 0045 @IntfCopy 0050 TList<System.TypInfo.PTypeInfo>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87726_0 {
	meta:
		name = "TList<System.Types.TPoint>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Types.TPoint>.Create 002d TObject.Create 0035 _DV_TComparer<System.Types.TPoint> 003a TComparer<System.Types.TPoint>.Default 0045 @IntfCopy 0050 TList<System.Types.TPoint>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50091_0 {
	meta:
		name = "TList<System.Variant>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Variant>.Create 002d TObject.Create 0035 _DV_TComparer<System.Variant> 003a TComparer<System.Variant>.Default 0045 @IntfCopy 0050 TList<System.Variant>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63572_0 {
	meta:
		name = "TList<System.Word>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Word>.Create 002d TObject.Create 0035 _DV_TComparer<System.Word> 003a TComparer<System.Word>.Default 0045 @IntfCopy 0050 TList<System.Word>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71767_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 003a TComparer<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Default 0045 @IntfCopy 0050 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71669_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Create 002d TObject.Create 0035 _DV_TComparer<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>> 003a TComparer<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Default 0045 @IntfCopy 0050 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71720_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Zip.TZipCompression>.Create 002d TObject.Create 0035 _DV_TComparer<System.Zip.TZipCompression> 003a TComparer<System.Zip.TZipCompression>.Default 0045 @IntfCopy 0050 TList<System.Zip.TZipCompression>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71622_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.Zip.TZipHeader>.Create 002d TObject.Create 0035 _DV_TComparer<System.Zip.TZipHeader> 003a TComparer<System.Zip.TZipHeader>.Default 0045 @IntfCopy 0050 TList<System.Zip.TZipHeader>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22881_0 {
	meta:
		name = "TList<System.string>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<System.string>.Create 002d TObject.Create 0035 _DV_TComparer<System.string> 003a TComparer<System.string>.Default 0045 @IntfCopy 0050 TList<System.string>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88848_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Controls.TControl>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Controls.TControl> 003a TComparer<Vcl.Controls.TControl>.Default 0045 @IntfCopy 0050 TList<Vcl.Controls.TControl>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89253_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Controls.TCustomGestureCollectionItem>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Controls.TCustomGestureCollectionItem> 003a TComparer<Vcl.Controls.TCustomGestureCollectionItem>.Default 0045 @IntfCopy 0050 TList<Vcl.Controls.TCustomGestureCollectionItem>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88730_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Controls.TCustomGestureManager>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Controls.TCustomGestureManager> 003a TComparer<Vcl.Controls.TCustomGestureManager>.Default 0045 @IntfCopy 0050 TList<Vcl.Controls.TCustomGestureManager>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78590_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Direct2D.TDirect2DGraphicsObject> 003a TComparer<Vcl.Direct2D.TDirect2DGraphicsObject>.Default 0045 @IntfCopy 0050 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_86653_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>> 003a TComparer<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Default 0045 @IntfCopy 0050 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_86406_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>> 003a TComparer<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Default 0045 @IntfCopy 0050 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_86555_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>> 003a TComparer<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Default 0045 @IntfCopy 0050 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87624_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Themes.TCustomStyleEngineClass>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Themes.TCustomStyleEngineClass> 003a TComparer<Vcl.Themes.TCustomStyleEngineClass>.Default 0045 @IntfCopy 0050 TList<Vcl.Themes.TCustomStyleEngineClass>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87675_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Themes.TCustomStyleServices>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Themes.TCustomStyleServices> 003a TComparer<Vcl.Themes.TCustomStyleServices>.Default 0045 @IntfCopy 0050 TList<Vcl.Themes.TCustomStyleServices>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87875_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>> 003a TComparer<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Default 0045 @IntfCopy 0050 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87777_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>> 003a TComparer<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Default 0045 @IntfCopy 0050 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87922_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>> 003a TComparer<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Default 0045 @IntfCopy 0050 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_86504_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Themes.TStyleHook>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Themes.TStyleHook> 003a TComparer<Vcl.Themes.TStyleHook>.Default 0045 @IntfCopy 0050 TList<Vcl.Themes.TStyleHook>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87379_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Themes.TStyleHookClass>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Themes.TStyleHookClass> 003a TComparer<Vcl.Themes.TStyleHookClass>.Default 0045 @IntfCopy 0050 TList<Vcl.Themes.TStyleHookClass>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88020_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Themes.TStyleManager.TSourceInfo>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Themes.TStyleManager.TSourceInfo> 003a TComparer<Vcl.Themes.TStyleManager.TSourceInfo>.Default 0045 @IntfCopy 0050 TList<Vcl.Themes.TStyleManager.TSourceInfo>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87573_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Themes.TStyleManager.TStyleClassDescriptor> 003a TComparer<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Default 0045 @IntfCopy 0050 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88525_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 003a TComparer<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Default 0045 @IntfCopy 0050 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88427_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>> 003a TComparer<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Default 0045 @IntfCopy 0050 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89001_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.GestureMgr.TGestureCollection>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Touch.GestureMgr.TGestureCollection> 003a TComparer<Vcl.Touch.GestureMgr.TGestureCollection>.Default 0045 @IntfCopy 0050 TList<Vcl.Touch.GestureMgr.TGestureCollection>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88950_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>> 003a TComparer<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Default 0045 @IntfCopy 0050 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89304_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.Gestures.TGesturePoint>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Touch.Gestures.TGesturePoint> 003a TComparer<Vcl.Touch.Gestures.TGesturePoint>.Default 0045 @IntfCopy 0050 TList<Vcl.Touch.Gestures.TGesturePoint>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89484_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Touch.Keyboard.TCustomKeyboardButton> 003a TComparer<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Default 0045 @IntfCopy 0050 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89535_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState> 003a TComparer<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Default 0045 @IntfCopy 0050 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89586_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.KeyboardTypes.TKeyData>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Touch.KeyboardTypes.TKeyData> 003a TComparer<Vcl.Touch.KeyboardTypes.TKeyData>.Default 0045 @IntfCopy 0050 TList<Vcl.Touch.KeyboardTypes.TKeyData>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89817_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Touch.KeyboardTypes.TKeyboardLanguage> 003a TComparer<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Default 0045 @IntfCopy 0050 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89715_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Touch.KeyboardTypes.TVirtualKey> 003a TComparer<Vcl.Touch.KeyboardTypes.TVirtualKey>.Default 0045 @IntfCopy 0050 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89868_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout> 003a TComparer<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Default 0045 @IntfCopy 0050 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89766_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Create 002d TObject.Create 0035 _DV_TComparer<Vcl.Touch.KeyboardTypes.TVirtualKeys> 003a TComparer<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Default 0045 @IntfCopy 0050 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96333_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Create"
		size = 142
		refs = "0010 @ClassCreate 001e TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Create 002d TObject.Create 0035 _DV_TComparer<Web.WebFileDispatcher.TPair<System.string,System.string>> 003a TComparer<Web.WebFileDispatcher.TPair<System.string,System.string>>.Default 0045 @IntfCopy 0050 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.InsertRange 0065 @IntfClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1991_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Expression.TBindingExpression>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62164_0 {
	meta:
		name = "TBits.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TBits.SetSize 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98305_0 {
	meta:
		name = "TCustomWebAppDataModule.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TCustomWebAppDataModule.SetAppServices 001b TCustomWebDataModule.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98311_0 {
	meta:
		name = "TCustomWebAppPageModule.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TCustomWebAppPageModule.SetAppServices 001b TCustomWebPageModule.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46180_0 {
	meta:
		name = "TIWCompression.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TIWCompression.SetEnabled 001b TPersistent.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26839_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27063_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27267_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27499_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27716_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27917_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28535_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<DSAzureBlob.TBBlob>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28757_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<DSAzureBlob.TBBlock>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28411_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<DSAzureBlob.TBContainer>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28700_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<DSAzureBlob.TBPageRange>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28643_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<DSAzureBlob.TBSignedIdentifier>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28590_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<DSAzureBlob.TLeaseItem>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28814_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<DSAzureBlob.TPair<System.string,System.string>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29058_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<DSAzureQueue.TMessageNodeData>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29476_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<DSAzureTableDialog.TAzureTableColumn>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29331_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<DSAzureTableDialog.TAzureTableRow>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29378_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2093_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Bind.Components.TBasicBindComponent>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2269_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Bind.Components.TBindEditorFactoryClass>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2042_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Bind.Components.TContainedBindComponent>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2388_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2743_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3085_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Bind.DBScope.TBaseDataLink>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2987_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3582_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3837_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3939_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3888_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3990_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3786_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3531_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4665_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Cloud.AzureAPI.TAzureBlob>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4716_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4512_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4563_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Cloud.AzureAPI.TAzureContainer>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4614_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4461_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Cloud.CloudAPI.TCloudQueue>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4410_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4041_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4359_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.Cloud.CloudAPI.TCloudTableRow>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16385_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.DBXCommon.TDBXParameter>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7883_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8603_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.DBXCommon.TDBXWritableValueArray>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8028_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.DBXCommon.TEventPointer>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7930_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25119_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.DBXCommon.TResultCommandHandler>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10360_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.DBXJSON.TJSONAncestor>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10313_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.DBXJSONReflect.TConverterEvent>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10119_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10215_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10504_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10408_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10553_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.DBXJSONReflect.TReverterEvent>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11092_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11041_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11276_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15936_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15791_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16267_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSClientRest.TDSRestClientCallback>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16441_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21655_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17387_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSHTTP.TDSHTTPClass>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17289_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18381_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18073_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17751_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18126_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18428_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18524_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18283_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18757_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19058_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19417_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19712_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20000_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20282_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20808_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20712_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21036_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21270_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21557_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21824_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22116_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22409_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22976_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22831_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23720_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSServer.TDSCallbackTunnel>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23669_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23771_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23869_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23965_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18177_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSService.TDBXRequestFilter>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25681_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSService.TDSSession>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24864_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSService.TDSSessionEvent>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25068_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24962_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25309_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25213_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25166_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSService.TPair<System.string,System.string>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25583_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29685_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<GraphView.TGraphEdge>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29795_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<GraphView.TGraphNode>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29740_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30557_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<IBDatabase.TIBBase>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30659_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<IBDatabase.TIBDatabase>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30608_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<IBDatabase.TIBTransaction>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31350_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<IBIntf.IGDSLibrary>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31252_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40370_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<IPPeerAPI.IIPContext>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42977_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42734_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42879_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43024_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<IPPeerAPI.TPair<System.string,System.string>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40323_0 {
	meta:
		name = "TList<IdContext.TIdContext>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<IdContext.TIdContext>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40272_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40176_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<IndyPeerImpl.TPair<System.string,System.string>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50041_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51226_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51081_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<SyncController.TPair<System.IInterface,System.Pointer>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51324_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<SyncController.TPair<System.TObject,System.string>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30837_0 {
	meta:
		name = "TList<System.AnsiString>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.AnsiString>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51697_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54618_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.CustomScope.TScopeClass>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56348_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.EvalProtocol.ILocation>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53163_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.EvalProtocol.IScope>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51939_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.EvalProtocol.ISubscription>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52112_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52833_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52578_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.EvalSys.TOverload>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52735_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52637_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52786_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53210_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53593_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53738_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54112_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54257_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56103_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55815_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56246_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56297_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56054_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55862_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55474_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55909_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55717_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56197_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56395_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55572_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56150_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56828_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57036_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Manager.TBindingManager>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58597_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58450_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58209_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58548_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58497_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58256_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57821_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58401_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58111_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58305_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57966_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59129_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Methods.TMethodDescription>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59031_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59176_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59684_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59905_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60274_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60099_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Outputs.TConvertPair>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60840_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Outputs.TConverterDescription>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60742_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60995_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61248_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60789_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60940_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61093_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60691_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60891_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61152_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61685_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64875_0 {
	meta:
		name = "TList<System.Boolean>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Boolean>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2486_0 {
	meta:
		name = "TList<System.Classes.IObserver>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Classes.IObserver>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86458_0 {
	meta:
		name = "TList<System.Classes.TComponent>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Classes.TComponent>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3141_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Classes.TNotifyEvent>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15889_0 {
	meta:
		name = "TList<System.Classes.TStream>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Classes.TStream>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24014_0 {
	meta:
		name = "TList<System.Classes.TStrings>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Classes.TStrings>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63620_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63522_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64777_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54520_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56926_0 {
	meta:
		name = "TList<System.IInterface>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.IInterface>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61346_0 {
	meta:
		name = "TList<System.Int64>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Int64>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18232_0 {
	meta:
		name = "TList<System.Integer>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Integer>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22929_0 {
	meta:
		name = "TList<System.Masks.TMask>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Masks.TMask>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61783_0 {
	meta:
		name = "TList<System.Pointer>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Pointer>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67376_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Rtti.TMethodImplementation.TParamLoc>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68105_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68272_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68415_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67993_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Rtti.TRttiField>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68045_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Rtti.TRttiManagedField>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67940_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Rtti.TRttiMethod>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68203_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Rtti.TRttiObject>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67888_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Rtti.TRttiProperty>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67553_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Rtti.TVirtualInterface.TImplInfo>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67498_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60396_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.SysUtils.TProc<System.Rtti.TValue>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87829_0 {
	meta:
		name = "TList<System.TClass>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.TClass>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67831_0 {
	meta:
		name = "TList<System.TCustomAttribute>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.TCustomAttribute>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42785_0 {
	meta:
		name = "TList<System.TGUID>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.TGUID>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10457_0 {
	meta:
		name = "TList<System.TObject>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.TObject>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68321_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.TypInfo.PTypeInfo>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89203_0 {
	meta:
		name = "TList<System.Types.TPoint>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Types.TPoint>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50092_0 {
	meta:
		name = "TList<System.Variant>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Variant>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63573_0 {
	meta:
		name = "TList<System.Word>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Word>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71768_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71670_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71721_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Zip.TZipCompression>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71623_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.Zip.TZipHeader>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21085_0 {
	meta:
		name = "TList<System.string>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<System.string>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88849_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Controls.TControl>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89254_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Controls.TCustomGestureCollectionItem>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88731_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Controls.TCustomGestureManager>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78591_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86654_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86407_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86556_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87625_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Themes.TCustomStyleEngineClass>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87676_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Themes.TCustomStyleServices>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87876_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87778_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87923_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86505_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Themes.TStyleHook>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87380_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Themes.TStyleHookClass>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88021_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Themes.TStyleManager.TSourceInfo>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87574_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88526_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88428_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89002_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Touch.GestureMgr.TGestureCollection>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88951_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89305_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Touch.Gestures.TGesturePoint>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89485_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89536_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89587_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Touch.KeyboardTypes.TKeyData>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89818_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89716_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89869_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89767_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96334_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.SetCapacity 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93761_0 {
	meta:
		name = "TMarksItem.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TMarksItem.SetText 001b TTeeCustomShape.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76885_0 {
	meta:
		name = "TMouse.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TMouse.SetCapture 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83769_0 {
	meta:
		name = "TRibbonApplicationMenuButton.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TRibbonApplicationMenuButton.HideKeyTip 001b TCustomMenuButton.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83636_0 {
	meta:
		name = "TRibbonBaseButtonControl.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TRibbonBaseButtonControl.HideKeyTip 001b TCustomActionControl.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26041_0 {
	meta:
		name = "TSharedConnection.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TSharedConnection.SetParentConnection 001b TCustomConnection.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70653_0 {
	meta:
		name = "TWideStrings.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TWideStrings.SetStringsAdapter 001b TPersistent.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_1992_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.Add"
		size = 51
		refs = "000e TList<System.Bindings.Expression.TBindingExpression>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_28536_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.Add"
		size = 51
		refs = "000e TList<DSAzureBlob.TBBlob>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_28758_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.Add"
		size = 51
		refs = "000e TList<DSAzureBlob.TBBlock>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_28412_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.Add"
		size = 51
		refs = "000e TList<DSAzureBlob.TBContainer>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_28701_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.Add"
		size = 51
		refs = "000e TList<DSAzureBlob.TBPageRange>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_28644_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.Add"
		size = 51
		refs = "000e TList<DSAzureBlob.TBSignedIdentifier>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_28591_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.Add"
		size = 51
		refs = "000e TList<DSAzureBlob.TLeaseItem>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_29059_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.Add"
		size = 51
		refs = "000e TList<DSAzureQueue.TMessageNodeData>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_29477_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.Add"
		size = 51
		refs = "000e TList<DSAzureTableDialog.TAzureTableColumn>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_29332_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.Add"
		size = 51
		refs = "000e TList<DSAzureTableDialog.TAzureTableRow>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2094_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.Add"
		size = 51
		refs = "000e TList<Data.Bind.Components.TBasicBindComponent>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2270_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.Add"
		size = 51
		refs = "000e TList<Data.Bind.Components.TBindEditorFactoryClass>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2043_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.Add"
		size = 51
		refs = "000e TList<Data.Bind.Components.TContainedBindComponent>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2744_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Add"
		size = 51
		refs = "000e TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_3086_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.Add"
		size = 51
		refs = "000e TList<Data.Bind.DBScope.TBaseDataLink>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4666_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.Add"
		size = 51
		refs = "000e TList<Data.Cloud.AzureAPI.TAzureBlob>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4564_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.Add"
		size = 51
		refs = "000e TList<Data.Cloud.AzureAPI.TAzureContainer>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4615_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Add"
		size = 51
		refs = "000e TList<Data.Cloud.AzureAPI.TSignedIdentifier>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4411_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Add"
		size = 51
		refs = "000e TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4998_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Add"
		size = 51
		refs = "000e TList<Data.Cloud.CloudAPI.TCloudTableColumn>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_3634_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.Add"
		size = 51
		refs = "000e TList<Data.Cloud.CloudAPI.TCloudTableRow>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_18023_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.Add"
		size = 51
		refs = "000e TList<Data.DBXCommon.TDBXParameter>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7884_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Add"
		size = 51
		refs = "000e TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_25120_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.Add"
		size = 51
		refs = "000e TList<Data.DBXCommon.TResultCommandHandler>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_10361_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.Add"
		size = 51
		refs = "000e TList<Data.DBXJSON.TJSONAncestor>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_23823_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.Add"
		size = 51
		refs = "000e TList<Data.DBXJSONReflect.TConverterEvent>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_23919_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.Add"
		size = 51
		refs = "000e TList<Data.DBXJSONReflect.TReverterEvent>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_11093_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Add"
		size = 51
		refs = "000e TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_16268_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.Add"
		size = 51
		refs = "000e TList<Datasnap.DSClientRest.TDSRestClientCallback>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_17388_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.Add"
		size = 51
		refs = "000e TList<Datasnap.DSHTTP.TDSHTTPClass>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_18382_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Add"
		size = 51
		refs = "000e TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_18074_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Add"
		size = 51
		refs = "000e TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_17752_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Add"
		size = 51
		refs = "000e TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_23721_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.Add"
		size = 51
		refs = "000e TList<Datasnap.DSServer.TDSCallbackTunnel>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_18178_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.Add"
		size = 51
		refs = "000e TList<Datasnap.DSService.TDBXRequestFilter>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_18807_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.Add"
		size = 51
		refs = "000e TList<Datasnap.DSService.TDSSession>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_29686_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.Add"
		size = 51
		refs = "000e TList<GraphView.TGraphEdge>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_29796_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.Add"
		size = 51
		refs = "000e TList<GraphView.TGraphNode>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_29741_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Add"
		size = 51
		refs = "000e TList<GraphView.TObjectList<GraphView.TGraphEdge>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_30558_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.Add"
		size = 51
		refs = "000e TList<IBDatabase.TIBBase>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_30660_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.Add"
		size = 51
		refs = "000e TList<IBDatabase.TIBDatabase>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_30609_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.Add"
		size = 51
		refs = "000e TList<IBDatabase.TIBTransaction>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_42978_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Add"
		size = 51
		refs = "000e TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_40324_0 {
	meta:
		name = "TList<IdContext.TIdContext>.Add"
		size = 51
		refs = "000e TList<IdContext.TIdContext>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_54619_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.Add"
		size = 51
		refs = "000e TList<System.Bindings.CustomScope.TScopeClass>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_52579_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.Add"
		size = 51
		refs = "000e TList<System.Bindings.EvalSys.TOverload>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_56104_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Add"
		size = 51
		refs = "000e TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_55816_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Add"
		size = 51
		refs = "000e TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_56247_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Add"
		size = 51
		refs = "000e TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_57037_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.Add"
		size = 51
		refs = "000e TList<System.Bindings.Manager.TBindingManager>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_58598_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Add"
		size = 51
		refs = "000e TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_58451_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Add"
		size = 51
		refs = "000e TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_58210_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Add"
		size = 51
		refs = "000e TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_60743_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Add"
		size = 51
		refs = "000e TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_86459_0 {
	meta:
		name = "TList<System.Classes.TComponent>.Add"
		size = 51
		refs = "000e TList<System.Classes.TComponent>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_15890_0 {
	meta:
		name = "TList<System.Classes.TStream>.Add"
		size = 51
		refs = "000e TList<System.Classes.TStream>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_24015_0 {
	meta:
		name = "TList<System.Classes.TStrings>.Add"
		size = 51
		refs = "000e TList<System.Classes.TStrings>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_63621_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Add"
		size = 51
		refs = "000e TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_58065_0 {
	meta:
		name = "TList<System.Integer>.Add"
		size = 51
		refs = "000e TList<System.Integer>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_22930_0 {
	meta:
		name = "TList<System.Masks.TMask>.Add"
		size = 51
		refs = "000e TList<System.Masks.TMask>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_68157_0 {
	meta:
		name = "TList<System.Pointer>.Add"
		size = 51
		refs = "000e TList<System.Pointer>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_67994_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.Add"
		size = 51
		refs = "000e TList<System.Rtti.TRttiField>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_68046_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.Add"
		size = 51
		refs = "000e TList<System.Rtti.TRttiManagedField>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_67941_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.Add"
		size = 51
		refs = "000e TList<System.Rtti.TRttiMethod>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_68204_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.Add"
		size = 51
		refs = "000e TList<System.Rtti.TRttiObject>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_67889_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.Add"
		size = 51
		refs = "000e TList<System.Rtti.TRttiProperty>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_67554_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.Add"
		size = 51
		refs = "000e TList<System.Rtti.TVirtualInterface.TImplInfo>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_67499_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Add"
		size = 51
		refs = "000e TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_54572_0 {
	meta:
		name = "TList<System.TClass>.Add"
		size = 51
		refs = "000e TList<System.TClass>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_67832_0 {
	meta:
		name = "TList<System.TCustomAttribute>.Add"
		size = 51
		refs = "000e TList<System.TCustomAttribute>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_23196_0 {
	meta:
		name = "TList<System.TObject>.Add"
		size = 51
		refs = "000e TList<System.TObject>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_68322_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.Add"
		size = 51
		refs = "000e TList<System.TypInfo.PTypeInfo>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_88850_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.Add"
		size = 51
		refs = "000e TList<Vcl.Controls.TControl>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_88901_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.Add"
		size = 51
		refs = "000e TList<Vcl.Controls.TCustomGestureCollectionItem>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_88732_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.Add"
		size = 51
		refs = "000e TList<Vcl.Controls.TCustomGestureManager>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_78592_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Add"
		size = 51
		refs = "000e TList<Vcl.Direct2D.TDirect2DGraphicsObject>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_86655_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Add"
		size = 51
		refs = "000e TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_87626_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.Add"
		size = 51
		refs = "000e TList<Vcl.Themes.TCustomStyleEngineClass>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_87677_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.Add"
		size = 51
		refs = "000e TList<Vcl.Themes.TCustomStyleServices>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_87877_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Add"
		size = 51
		refs = "000e TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_86506_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.Add"
		size = 51
		refs = "000e TList<Vcl.Themes.TStyleHook>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_87381_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.Add"
		size = 51
		refs = "000e TList<Vcl.Themes.TStyleHookClass>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_89003_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.Add"
		size = 51
		refs = "000e TList<Vcl.Touch.GestureMgr.TGestureCollection>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_89486_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Add"
		size = 51
		refs = "000e TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_89870_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Add"
		size = 51
		refs = "000e TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_89768_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Add"
		size = 51
		refs = "000e TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 89 34 82 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_1993_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Expression.TBindingExpression>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_26841_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.AddRange"
		size = 19
		refs = "000d TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_27065_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.AddRange"
		size = 19
		refs = "000d TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_27269_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.AddRange"
		size = 19
		refs = "000d TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_27501_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.AddRange"
		size = 19
		refs = "000d TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_27718_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.AddRange"
		size = 19
		refs = "000d TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_27919_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.AddRange"
		size = 19
		refs = "000d TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_28537_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.AddRange"
		size = 19
		refs = "000d TList<DSAzureBlob.TBBlob>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_28759_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.AddRange"
		size = 19
		refs = "000d TList<DSAzureBlob.TBBlock>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_28413_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.AddRange"
		size = 19
		refs = "000d TList<DSAzureBlob.TBContainer>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_28702_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.AddRange"
		size = 19
		refs = "000d TList<DSAzureBlob.TBPageRange>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_28645_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.AddRange"
		size = 19
		refs = "000d TList<DSAzureBlob.TBSignedIdentifier>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_28592_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.AddRange"
		size = 19
		refs = "000d TList<DSAzureBlob.TLeaseItem>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_28816_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.AddRange"
		size = 19
		refs = "000d TList<DSAzureBlob.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_29060_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.AddRange"
		size = 19
		refs = "000d TList<DSAzureQueue.TMessageNodeData>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_29478_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.AddRange"
		size = 19
		refs = "000d TList<DSAzureTableDialog.TAzureTableColumn>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_29333_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.AddRange"
		size = 19
		refs = "000d TList<DSAzureTableDialog.TAzureTableRow>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_29380_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.AddRange"
		size = 19
		refs = "000d TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_2095_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.AddRange"
		size = 19
		refs = "000d TList<Data.Bind.Components.TBasicBindComponent>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_2271_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.AddRange"
		size = 19
		refs = "000d TList<Data.Bind.Components.TBindEditorFactoryClass>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_2044_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.AddRange"
		size = 19
		refs = "000d TList<Data.Bind.Components.TContainedBindComponent>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_2390_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.AddRange"
		size = 19
		refs = "000d TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_2745_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.AddRange"
		size = 19
		refs = "000d TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_3087_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.AddRange"
		size = 19
		refs = "000d TList<Data.Bind.DBScope.TBaseDataLink>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_2989_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.AddRange"
		size = 19
		refs = "000d TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_3584_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.AddRange"
		size = 19
		refs = "000d TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_3839_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.AddRange"
		size = 19
		refs = "000d TList<Data.Cloud.AmazonAPI.TAmazonGrant>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_3941_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.AddRange"
		size = 19
		refs = "000d TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_3890_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.AddRange"
		size = 19
		refs = "000d TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_3992_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.AddRange"
		size = 19
		refs = "000d TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_3788_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.AddRange"
		size = 19
		refs = "000d TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_3533_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.AddRange"
		size = 19
		refs = "000d TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_4667_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.AddRange"
		size = 19
		refs = "000d TList<Data.Cloud.AzureAPI.TAzureBlob>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_4718_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.AddRange"
		size = 19
		refs = "000d TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_4514_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.AddRange"
		size = 19
		refs = "000d TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_4565_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.AddRange"
		size = 19
		refs = "000d TList<Data.Cloud.AzureAPI.TAzureContainer>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_4616_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.AddRange"
		size = 19
		refs = "000d TList<Data.Cloud.AzureAPI.TSignedIdentifier>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_4463_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.AddRange"
		size = 19
		refs = "000d TList<Data.Cloud.CloudAPI.TCloudQueue>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_3686_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.AddRange"
		size = 19
		refs = "000d TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_4999_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.AddRange"
		size = 19
		refs = "000d TList<Data.Cloud.CloudAPI.TCloudTableColumn>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_3635_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.AddRange"
		size = 19
		refs = "000d TList<Data.Cloud.CloudAPI.TCloudTableRow>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_16387_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.AddRange"
		size = 19
		refs = "000d TList<Data.DBXCommon.TDBXParameter>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_7885_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.AddRange"
		size = 19
		refs = "000d TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_8605_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.AddRange"
		size = 19
		refs = "000d TList<Data.DBXCommon.TDBXWritableValueArray>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_8030_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.AddRange"
		size = 19
		refs = "000d TList<Data.DBXCommon.TEventPointer>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_7932_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.AddRange"
		size = 19
		refs = "000d TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_25121_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.AddRange"
		size = 19
		refs = "000d TList<Data.DBXCommon.TResultCommandHandler>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_10362_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.AddRange"
		size = 19
		refs = "000d TList<Data.DBXJSON.TJSONAncestor>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_10315_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.AddRange"
		size = 19
		refs = "000d TList<Data.DBXJSONReflect.TConverterEvent>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_10121_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.AddRange"
		size = 19
		refs = "000d TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_10217_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.AddRange"
		size = 19
		refs = "000d TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_10506_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.AddRange"
		size = 19
		refs = "000d TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_10410_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.AddRange"
		size = 19
		refs = "000d TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_18575_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.AddRange"
		size = 19
		refs = "000d TList<Data.DBXJSONReflect.TReverterEvent>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_11094_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.AddRange"
		size = 19
		refs = "000d TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_11043_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.AddRange"
		size = 19
		refs = "000d TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_11278_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.AddRange"
		size = 19
		refs = "000d TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_15938_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_15793_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_16269_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSClientRest.TDSRestClientCallback>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_16443_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_21924_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSCommonProxy.IDSProxyWriter>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_17389_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSHTTP.TDSHTTPClass>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_17291_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_18383_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_18075_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_17753_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_18128_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_18430_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_18526_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_18285_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_18759_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_19060_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_19419_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_19714_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_20002_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_20284_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_20810_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_20714_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_21038_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_21272_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_21559_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_21826_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_22118_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_22411_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_22978_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_22833_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_23722_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSServer.TDSCallbackTunnel>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_23671_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_23773_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_23871_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_23967_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_24496_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSService.TDBXRequestFilter>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_11376_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSService.TDSSession>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_24866_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSService.TDSSessionEvent>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_25070_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_24964_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_25311_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_25215_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSService.TPair<System.string,System.TObject>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_25168_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSService.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_25585_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.AddRange"
		size = 19
		refs = "000d TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_29687_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.AddRange"
		size = 19
		refs = "000d TList<GraphView.TGraphEdge>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_29797_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.AddRange"
		size = 19
		refs = "000d TList<GraphView.TGraphNode>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_29742_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.AddRange"
		size = 19
		refs = "000d TList<GraphView.TObjectList<GraphView.TGraphEdge>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_30559_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.AddRange"
		size = 19
		refs = "000d TList<IBDatabase.TIBBase>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_30661_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.AddRange"
		size = 19
		refs = "000d TList<IBDatabase.TIBDatabase>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_30610_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.AddRange"
		size = 19
		refs = "000d TList<IBDatabase.TIBTransaction>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_31352_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.AddRange"
		size = 19
		refs = "000d TList<IBIntf.IGDSLibrary>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_31254_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.AddRange"
		size = 19
		refs = "000d TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_40372_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.AddRange"
		size = 19
		refs = "000d TList<IPPeerAPI.IIPContext>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_42979_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.AddRange"
		size = 19
		refs = "000d TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_42736_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.AddRange"
		size = 19
		refs = "000d TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_42881_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.AddRange"
		size = 19
		refs = "000d TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_43026_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.AddRange"
		size = 19
		refs = "000d TList<IPPeerAPI.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_40325_0 {
	meta:
		name = "TList<IdContext.TIdContext>.AddRange"
		size = 19
		refs = "000d TList<IdContext.TIdContext>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_40274_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.AddRange"
		size = 19
		refs = "000d TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_40178_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.AddRange"
		size = 19
		refs = "000d TList<IndyPeerImpl.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_50043_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.AddRange"
		size = 19
		refs = "000d TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_51228_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.AddRange"
		size = 19
		refs = "000d TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_51083_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.AddRange"
		size = 19
		refs = "000d TList<SyncController.TPair<System.IInterface,System.Pointer>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_51326_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.AddRange"
		size = 19
		refs = "000d TList<SyncController.TPair<System.TObject,System.string>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_30839_0 {
	meta:
		name = "TList<System.AnsiString>.AddRange"
		size = 19
		refs = "000d TList<System.AnsiString>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_51699_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_54620_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.CustomScope.TScopeClass>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_56350_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.EvalProtocol.ILocation>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_53165_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.EvalProtocol.IScope>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_51941_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.EvalProtocol.ISubscription>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_52114_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_52835_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_52580_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.EvalSys.TOverload>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_52737_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_52639_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_52788_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_53212_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_53595_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_53740_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_54114_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_54259_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_56105_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_55817_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_56248_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_56299_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_56056_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_55864_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_55476_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_55911_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_55719_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_56199_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_56397_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_55574_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_56152_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_56830_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_57038_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Manager.TBindingManager>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_58599_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_58452_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_58211_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_58550_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_58499_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_58258_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_57823_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_58403_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_58113_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_58307_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_57968_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_59131_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Methods.TMethodDescription>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_59033_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_59178_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_59686_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_59907_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_60276_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_60101_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Outputs.TConvertPair>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_60842_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Outputs.TConverterDescription>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_60744_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_60997_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_61250_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_60791_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_60942_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_61095_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_60693_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_60893_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_61154_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_61687_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.AddRange"
		size = 19
		refs = "000d TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_64877_0 {
	meta:
		name = "TList<System.Boolean>.AddRange"
		size = 19
		refs = "000d TList<System.Boolean>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_2488_0 {
	meta:
		name = "TList<System.Classes.IObserver>.AddRange"
		size = 19
		refs = "000d TList<System.Classes.IObserver>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_86460_0 {
	meta:
		name = "TList<System.Classes.TComponent>.AddRange"
		size = 19
		refs = "000d TList<System.Classes.TComponent>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_2146_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.AddRange"
		size = 19
		refs = "000d TList<System.Classes.TNotifyEvent>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_15891_0 {
	meta:
		name = "TList<System.Classes.TStream>.AddRange"
		size = 19
		refs = "000d TList<System.Classes.TStream>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_24016_0 {
	meta:
		name = "TList<System.Classes.TStrings>.AddRange"
		size = 19
		refs = "000d TList<System.Classes.TStrings>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_63622_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.AddRange"
		size = 19
		refs = "000d TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_63524_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.AddRange"
		size = 19
		refs = "000d TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_64779_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.AddRange"
		size = 19
		refs = "000d TList<System.DebugUtils.TPair<System.string,System.Boolean>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_54522_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.AddRange"
		size = 19
		refs = "000d TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_52391_0 {
	meta:
		name = "TList<System.IInterface>.AddRange"
		size = 19
		refs = "000d TList<System.IInterface>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_58356_0 {
	meta:
		name = "TList<System.Int64>.AddRange"
		size = 19
		refs = "000d TList<System.Int64>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_24551_0 {
	meta:
		name = "TList<System.Integer>.AddRange"
		size = 19
		refs = "000d TList<System.Integer>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_22931_0 {
	meta:
		name = "TList<System.Masks.TMask>.AddRange"
		size = 19
		refs = "000d TList<System.Masks.TMask>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_61785_0 {
	meta:
		name = "TList<System.Pointer>.AddRange"
		size = 19
		refs = "000d TList<System.Pointer>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_67378_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.AddRange"
		size = 19
		refs = "000d TList<System.Rtti.TMethodImplementation.TParamLoc>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_68107_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.AddRange"
		size = 19
		refs = "000d TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_68274_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.AddRange"
		size = 19
		refs = "000d TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_68417_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.AddRange"
		size = 19
		refs = "000d TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_67995_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.AddRange"
		size = 19
		refs = "000d TList<System.Rtti.TRttiField>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_68047_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.AddRange"
		size = 19
		refs = "000d TList<System.Rtti.TRttiManagedField>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_67942_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.AddRange"
		size = 19
		refs = "000d TList<System.Rtti.TRttiMethod>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_68205_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.AddRange"
		size = 19
		refs = "000d TList<System.Rtti.TRttiObject>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_67890_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.AddRange"
		size = 19
		refs = "000d TList<System.Rtti.TRttiProperty>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_67555_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.AddRange"
		size = 19
		refs = "000d TList<System.Rtti.TVirtualInterface.TImplInfo>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_67500_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.AddRange"
		size = 19
		refs = "000d TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_60398_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.AddRange"
		size = 19
		refs = "000d TList<System.SysUtils.TProc<System.Rtti.TValue>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_42834_0 {
	meta:
		name = "TList<System.TClass>.AddRange"
		size = 19
		refs = "000d TList<System.TClass>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_67833_0 {
	meta:
		name = "TList<System.TCustomAttribute>.AddRange"
		size = 19
		refs = "000d TList<System.TCustomAttribute>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_42787_0 {
	meta:
		name = "TList<System.TGUID>.AddRange"
		size = 19
		refs = "000d TList<System.TGUID>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_23197_0 {
	meta:
		name = "TList<System.TObject>.AddRange"
		size = 19
		refs = "000d TList<System.TObject>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_68323_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.AddRange"
		size = 19
		refs = "000d TList<System.TypInfo.PTypeInfo>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_87729_0 {
	meta:
		name = "TList<System.Types.TPoint>.AddRange"
		size = 19
		refs = "000d TList<System.Types.TPoint>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_50094_0 {
	meta:
		name = "TList<System.Variant>.AddRange"
		size = 19
		refs = "000d TList<System.Variant>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_63575_0 {
	meta:
		name = "TList<System.Word>.AddRange"
		size = 19
		refs = "000d TList<System.Word>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_71770_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.AddRange"
		size = 19
		refs = "000d TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_71672_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.AddRange"
		size = 19
		refs = "000d TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_71723_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.AddRange"
		size = 19
		refs = "000d TList<System.Zip.TZipCompression>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_71625_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.AddRange"
		size = 19
		refs = "000d TList<System.Zip.TZipHeader>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_22884_0 {
	meta:
		name = "TList<System.string>.AddRange"
		size = 19
		refs = "000d TList<System.string>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_88851_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Controls.TControl>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_89256_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Controls.TCustomGestureCollectionItem>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_88733_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Controls.TCustomGestureManager>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_78593_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Direct2D.TDirect2DGraphicsObject>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_86656_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_86409_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_86558_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_87627_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Themes.TCustomStyleEngineClass>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_87678_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Themes.TCustomStyleServices>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_87878_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_87780_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_87925_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_86507_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Themes.TStyleHook>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_87382_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Themes.TStyleHookClass>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_88023_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Themes.TStyleManager.TSourceInfo>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_87576_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_88528_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_88430_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_89004_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Touch.GestureMgr.TGestureCollection>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_88953_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_89307_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Touch.Gestures.TGesturePoint>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_89487_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_89538_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_89589_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Touch.KeyboardTypes.TKeyData>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_89820_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_89718_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_89871_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_89769_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.AddRange"
		size = 19
		refs = "000d TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_96336_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.AddRange"
		size = 19
		refs = "000d TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 51 89 14 24 51 8B 4C 24 04 8B 50 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_1994_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Expression.TBindingExpression>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26842_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.AddRange"
		size = 11
		refs = "0006 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27067_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.AddRange"
		size = 11
		refs = "0006 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27271_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.AddRange"
		size = 11
		refs = "0006 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27503_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.AddRange"
		size = 11
		refs = "0006 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27720_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.AddRange"
		size = 11
		refs = "0006 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27921_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.AddRange"
		size = 11
		refs = "0006 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28539_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.AddRange"
		size = 11
		refs = "0006 TList<DSAzureBlob.TBBlob>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28760_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.AddRange"
		size = 11
		refs = "0006 TList<DSAzureBlob.TBBlock>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28415_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.AddRange"
		size = 11
		refs = "0006 TList<DSAzureBlob.TBContainer>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28704_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.AddRange"
		size = 11
		refs = "0006 TList<DSAzureBlob.TBPageRange>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28646_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.AddRange"
		size = 11
		refs = "0006 TList<DSAzureBlob.TBSignedIdentifier>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28593_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.AddRange"
		size = 11
		refs = "0006 TList<DSAzureBlob.TLeaseItem>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28817_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.AddRange"
		size = 11
		refs = "0006 TList<DSAzureBlob.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29061_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.AddRange"
		size = 11
		refs = "0006 TList<DSAzureQueue.TMessageNodeData>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29480_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.AddRange"
		size = 11
		refs = "0006 TList<DSAzureTableDialog.TAzureTableColumn>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29334_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.AddRange"
		size = 11
		refs = "0006 TList<DSAzureTableDialog.TAzureTableRow>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29381_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.AddRange"
		size = 11
		refs = "0006 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3042_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.AddRange"
		size = 11
		refs = "0006 TList<Data.Bind.Components.TBasicBindComponent>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2273_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.AddRange"
		size = 11
		refs = "0006 TList<Data.Bind.Components.TBindEditorFactoryClass>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2046_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.AddRange"
		size = 11
		refs = "0006 TList<Data.Bind.Components.TContainedBindComponent>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2391_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.AddRange"
		size = 11
		refs = "0006 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2746_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.AddRange"
		size = 11
		refs = "0006 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3088_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.AddRange"
		size = 11
		refs = "0006 TList<Data.Bind.DBScope.TBaseDataLink>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2990_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.AddRange"
		size = 11
		refs = "0006 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3585_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.AddRange"
		size = 11
		refs = "0006 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3841_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.AddRange"
		size = 11
		refs = "0006 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3942_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.AddRange"
		size = 11
		refs = "0006 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3891_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.AddRange"
		size = 11
		refs = "0006 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3993_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.AddRange"
		size = 11
		refs = "0006 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3790_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.AddRange"
		size = 11
		refs = "0006 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3534_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.AddRange"
		size = 11
		refs = "0006 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4668_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.AddRange"
		size = 11
		refs = "0006 TList<Data.Cloud.AzureAPI.TAzureBlob>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4719_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.AddRange"
		size = 11
		refs = "0006 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4515_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.AddRange"
		size = 11
		refs = "0006 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4567_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.AddRange"
		size = 11
		refs = "0006 TList<Data.Cloud.AzureAPI.TAzureContainer>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4617_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.AddRange"
		size = 11
		refs = "0006 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4465_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.AddRange"
		size = 11
		refs = "0006 TList<Data.Cloud.CloudAPI.TCloudQueue>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3687_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.AddRange"
		size = 11
		refs = "0006 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5001_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.AddRange"
		size = 11
		refs = "0006 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3637_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.AddRange"
		size = 11
		refs = "0006 TList<Data.Cloud.CloudAPI.TCloudTableRow>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16388_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.AddRange"
		size = 11
		refs = "0006 TList<Data.DBXCommon.TDBXParameter>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7887_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.AddRange"
		size = 11
		refs = "0006 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8607_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.AddRange"
		size = 11
		refs = "0006 TList<Data.DBXCommon.TDBXWritableValueArray>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8032_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.AddRange"
		size = 11
		refs = "0006 TList<Data.DBXCommon.TEventPointer>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7933_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.AddRange"
		size = 11
		refs = "0006 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25122_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.AddRange"
		size = 11
		refs = "0006 TList<Data.DBXCommon.TResultCommandHandler>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10364_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.AddRange"
		size = 11
		refs = "0006 TList<Data.DBXJSON.TJSONAncestor>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18480_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.AddRange"
		size = 11
		refs = "0006 TList<Data.DBXJSONReflect.TConverterEvent>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10123_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.AddRange"
		size = 11
		refs = "0006 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10218_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.AddRange"
		size = 11
		refs = "0006 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10507_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.AddRange"
		size = 11
		refs = "0006 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10411_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.AddRange"
		size = 11
		refs = "0006 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10556_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.AddRange"
		size = 11
		refs = "0006 TList<Data.DBXJSONReflect.TReverterEvent>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11095_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.AddRange"
		size = 11
		refs = "0006 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11044_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.AddRange"
		size = 11
		refs = "0006 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11280_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.AddRange"
		size = 11
		refs = "0006 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15940_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15794_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16271_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSClientRest.TDSRestClientCallback>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16445_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19519_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17391_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSHTTP.TDSHTTPClass>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17293_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18384_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18077_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17755_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18130_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18432_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18527_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18287_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18760_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19062_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19421_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19716_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20004_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20285_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20811_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20716_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21039_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21273_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21561_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21828_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22120_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22413_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22980_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22834_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23723_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSServer.TDSCallbackTunnel>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23672_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23774_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23873_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23969_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18181_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSService.TDBXRequestFilter>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18809_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSService.TDSSession>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24868_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSService.TDSSessionEvent>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25072_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24966_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25313_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25216_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25170_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSService.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25587_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.AddRange"
		size = 11
		refs = "0006 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29689_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.AddRange"
		size = 11
		refs = "0006 TList<GraphView.TGraphEdge>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29799_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.AddRange"
		size = 11
		refs = "0006 TList<GraphView.TGraphNode>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29744_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.AddRange"
		size = 11
		refs = "0006 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30561_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.AddRange"
		size = 11
		refs = "0006 TList<IBDatabase.TIBBase>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30662_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.AddRange"
		size = 11
		refs = "0006 TList<IBDatabase.TIBDatabase>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30611_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.AddRange"
		size = 11
		refs = "0006 TList<IBDatabase.TIBTransaction>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31354_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.AddRange"
		size = 11
		refs = "0006 TList<IBIntf.IGDSLibrary>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31256_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.AddRange"
		size = 11
		refs = "0006 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40373_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.AddRange"
		size = 11
		refs = "0006 TList<IPPeerAPI.IIPContext>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42980_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.AddRange"
		size = 11
		refs = "0006 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42738_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.AddRange"
		size = 11
		refs = "0006 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42883_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.AddRange"
		size = 11
		refs = "0006 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43028_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.AddRange"
		size = 11
		refs = "0006 TList<IPPeerAPI.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40326_0 {
	meta:
		name = "TList<IdContext.TIdContext>.AddRange"
		size = 11
		refs = "0006 TList<IdContext.TIdContext>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40276_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.AddRange"
		size = 11
		refs = "0006 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40180_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.AddRange"
		size = 11
		refs = "0006 TList<IndyPeerImpl.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50045_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.AddRange"
		size = 11
		refs = "0006 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51229_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.AddRange"
		size = 11
		refs = "0006 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51085_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.AddRange"
		size = 11
		refs = "0006 TList<SyncController.TPair<System.IInterface,System.Pointer>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51327_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.AddRange"
		size = 11
		refs = "0006 TList<SyncController.TPair<System.TObject,System.string>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30840_0 {
	meta:
		name = "TList<System.AnsiString>.AddRange"
		size = 11
		refs = "0006 TList<System.AnsiString>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51701_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54622_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.CustomScope.TScopeClass>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51280_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.EvalProtocol.ILocation>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53166_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.EvalProtocol.IScope>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54068_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.EvalProtocol.ISubscription>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52116_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52836_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52581_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.EvalSys.TOverload>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52738_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52640_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52789_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53214_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53596_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53742_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54115_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54261_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56107_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55819_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56250_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56301_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56057_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55865_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55478_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55913_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55720_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56200_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56399_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55575_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56154_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56831_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57039_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Manager.TBindingManager>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58600_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58453_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58212_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58551_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58500_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58260_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57825_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58404_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58115_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58309_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57969_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59132_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Methods.TMethodDescription>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59034_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59180_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59688_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59909_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60277_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60102_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Outputs.TConvertPair>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60843_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Outputs.TConverterDescription>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60746_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60999_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61252_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60792_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60944_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61096_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60695_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60895_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61155_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61688_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.AddRange"
		size = 11
		refs = "0006 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64878_0 {
	meta:
		name = "TList<System.Boolean>.AddRange"
		size = 11
		refs = "0006 TList<System.Boolean>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2490_0 {
	meta:
		name = "TList<System.Classes.IObserver>.AddRange"
		size = 11
		refs = "0006 TList<System.Classes.IObserver>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88483_0 {
	meta:
		name = "TList<System.Classes.TComponent>.AddRange"
		size = 11
		refs = "0006 TList<System.Classes.TComponent>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3144_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.AddRange"
		size = 11
		refs = "0006 TList<System.Classes.TNotifyEvent>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15892_0 {
	meta:
		name = "TList<System.Classes.TStream>.AddRange"
		size = 11
		refs = "0006 TList<System.Classes.TStream>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24018_0 {
	meta:
		name = "TList<System.Classes.TStrings>.AddRange"
		size = 11
		refs = "0006 TList<System.Classes.TStrings>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63623_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.AddRange"
		size = 11
		refs = "0006 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63526_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.AddRange"
		size = 11
		refs = "0006 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64780_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.AddRange"
		size = 11
		refs = "0006 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54523_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.AddRange"
		size = 11
		refs = "0006 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54309_0 {
	meta:
		name = "TList<System.IInterface>.AddRange"
		size = 11
		refs = "0006 TList<System.IInterface>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58357_0 {
	meta:
		name = "TList<System.Int64>.AddRange"
		size = 11
		refs = "0006 TList<System.Int64>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58067_0 {
	meta:
		name = "TList<System.Integer>.AddRange"
		size = 11
		refs = "0006 TList<System.Integer>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22932_0 {
	meta:
		name = "TList<System.Masks.TMask>.AddRange"
		size = 11
		refs = "0006 TList<System.Masks.TMask>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61787_0 {
	meta:
		name = "TList<System.Pointer>.AddRange"
		size = 11
		refs = "0006 TList<System.Pointer>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67379_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.AddRange"
		size = 11
		refs = "0006 TList<System.Rtti.TMethodImplementation.TParamLoc>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68108_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.AddRange"
		size = 11
		refs = "0006 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68275_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.AddRange"
		size = 11
		refs = "0006 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68419_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.AddRange"
		size = 11
		refs = "0006 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67997_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.AddRange"
		size = 11
		refs = "0006 TList<System.Rtti.TRttiField>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68049_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.AddRange"
		size = 11
		refs = "0006 TList<System.Rtti.TRttiManagedField>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67944_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.AddRange"
		size = 11
		refs = "0006 TList<System.Rtti.TRttiMethod>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68207_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.AddRange"
		size = 11
		refs = "0006 TList<System.Rtti.TRttiObject>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67892_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.AddRange"
		size = 11
		refs = "0006 TList<System.Rtti.TRttiProperty>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67557_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.AddRange"
		size = 11
		refs = "0006 TList<System.Rtti.TVirtualInterface.TImplInfo>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67502_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.AddRange"
		size = 11
		refs = "0006 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60399_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.AddRange"
		size = 11
		refs = "0006 TList<System.SysUtils.TProc<System.Rtti.TValue>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42836_0 {
	meta:
		name = "TList<System.TClass>.AddRange"
		size = 11
		refs = "0006 TList<System.TClass>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67835_0 {
	meta:
		name = "TList<System.TCustomAttribute>.AddRange"
		size = 11
		refs = "0006 TList<System.TCustomAttribute>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42789_0 {
	meta:
		name = "TList<System.TGUID>.AddRange"
		size = 11
		refs = "0006 TList<System.TGUID>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25266_0 {
	meta:
		name = "TList<System.TObject>.AddRange"
		size = 11
		refs = "0006 TList<System.TObject>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68324_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.AddRange"
		size = 11
		refs = "0006 TList<System.TypInfo.PTypeInfo>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89206_0 {
	meta:
		name = "TList<System.Types.TPoint>.AddRange"
		size = 11
		refs = "0006 TList<System.Types.TPoint>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50096_0 {
	meta:
		name = "TList<System.Variant>.AddRange"
		size = 11
		refs = "0006 TList<System.Variant>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63577_0 {
	meta:
		name = "TList<System.Word>.AddRange"
		size = 11
		refs = "0006 TList<System.Word>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71771_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.AddRange"
		size = 11
		refs = "0006 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71673_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.AddRange"
		size = 11
		refs = "0006 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71724_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.AddRange"
		size = 11
		refs = "0006 TList<System.Zip.TZipCompression>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71626_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.AddRange"
		size = 11
		refs = "0006 TList<System.Zip.TZipHeader>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21612_0 {
	meta:
		name = "TList<System.string>.AddRange"
		size = 11
		refs = "0006 TList<System.string>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88853_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Controls.TControl>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89258_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Controls.TCustomGestureCollectionItem>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88734_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Controls.TCustomGestureManager>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78594_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86657_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86411_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86559_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87628_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Themes.TCustomStyleEngineClass>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87679_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Themes.TCustomStyleServices>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87879_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87782_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87926_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86508_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Themes.TStyleHook>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86292_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Themes.TStyleHookClass>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88025_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Themes.TStyleManager.TSourceInfo>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87578_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88529_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88431_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89005_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Touch.GestureMgr.TGestureCollection>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88955_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89308_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Touch.Gestures.TGesturePoint>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89489_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89539_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89591_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Touch.KeyboardTypes.TKeyData>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89821_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89719_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89872_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89770_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.AddRange"
		size = 11
		refs = "0006 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96337_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.AddRange"
		size = 11
		refs = "0006 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.InsertRange"
	strings:
		$1 = { 8B CA 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_1996_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Expression.TBindingExpression>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28540_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<DSAzureBlob.TBBlob>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28762_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<DSAzureBlob.TBBlock>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28416_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<DSAzureBlob.TBContainer>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28705_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<DSAzureBlob.TBPageRange>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28648_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<DSAzureBlob.TBSignedIdentifier>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28595_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<DSAzureBlob.TLeaseItem>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29063_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<DSAzureQueue.TMessageNodeData>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29481_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<DSAzureTableDialog.TAzureTableColumn>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29336_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<DSAzureTableDialog.TAzureTableRow>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2098_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.Bind.Components.TBasicBindComponent>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2274_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.Bind.Components.TBindEditorFactoryClass>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2047_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.Bind.Components.TContainedBindComponent>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2748_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3090_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.Bind.DBScope.TBaseDataLink>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4670_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.Cloud.AzureAPI.TAzureBlob>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4568_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.Cloud.AzureAPI.TAzureContainer>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4619_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4415_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5002_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3638_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.Cloud.CloudAPI.TCloudTableRow>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18027_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.DBXCommon.TDBXParameter>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7888_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25124_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.DBXCommon.TResultCommandHandler>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10365_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.DBXJSON.TJSONAncestor>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23827_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.DBXJSONReflect.TConverterEvent>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23923_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.DBXJSONReflect.TReverterEvent>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11097_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16272_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSClientRest.TDSRestClientCallback>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17392_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSHTTP.TDSHTTPClass>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18386_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18078_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17756_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23725_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSServer.TDSCallbackTunnel>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18182_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSService.TDBXRequestFilter>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18811_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSService.TDSSession>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29690_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<GraphView.TGraphEdge>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29800_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<GraphView.TGraphNode>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29745_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30562_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<IBDatabase.TIBBase>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30664_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<IBDatabase.TIBDatabase>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30613_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<IBDatabase.TIBTransaction>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42982_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40328_0 {
	meta:
		name = "TList<IdContext.TIdContext>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<IdContext.TIdContext>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54623_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.CustomScope.TScopeClass>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52583_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.EvalSys.TOverload>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56108_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55820_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56251_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57041_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Manager.TBindingManager>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58602_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58455_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58214_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60747_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86463_0 {
	meta:
		name = "TList<System.Classes.TComponent>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Classes.TComponent>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15894_0 {
	meta:
		name = "TList<System.Classes.TStream>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Classes.TStream>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24019_0 {
	meta:
		name = "TList<System.Classes.TStrings>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Classes.TStrings>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63625_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58069_0 {
	meta:
		name = "TList<System.Integer>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Integer>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22934_0 {
	meta:
		name = "TList<System.Masks.TMask>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Masks.TMask>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68161_0 {
	meta:
		name = "TList<System.Pointer>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Pointer>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67998_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Rtti.TRttiField>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68050_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Rtti.TRttiManagedField>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67945_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Rtti.TRttiMethod>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68208_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Rtti.TRttiObject>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67893_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Rtti.TRttiProperty>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67558_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Rtti.TVirtualInterface.TImplInfo>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67503_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54576_0 {
	meta:
		name = "TList<System.TClass>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.TClass>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67836_0 {
	meta:
		name = "TList<System.TCustomAttribute>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.TCustomAttribute>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23200_0 {
	meta:
		name = "TList<System.TObject>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.TObject>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68326_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.TypInfo.PTypeInfo>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88854_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Controls.TControl>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88905_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Controls.TCustomGestureCollectionItem>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88736_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Controls.TCustomGestureManager>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78596_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86659_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87630_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Themes.TCustomStyleEngineClass>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87681_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Themes.TCustomStyleServices>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87881_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86510_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Themes.TStyleHook>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87385_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Themes.TStyleHookClass>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89007_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Touch.GestureMgr.TGestureCollection>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89490_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89874_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89772_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Insert"
		size = 127
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.GrowCheck 0051 Move 0063 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_1997_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Bindings.Expression.TBindingExpression>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_28541_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<DSAzureBlob.TBBlob>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_28763_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<DSAzureBlob.TBBlock>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_28417_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<DSAzureBlob.TBContainer>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_28706_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<DSAzureBlob.TBPageRange>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_28649_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<DSAzureBlob.TBSignedIdentifier>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_28596_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<DSAzureBlob.TLeaseItem>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_29064_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<DSAzureQueue.TMessageNodeData>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_29482_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<DSAzureTableDialog.TAzureTableColumn>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_29337_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<DSAzureTableDialog.TAzureTableRow>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_2099_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Data.Bind.Components.TBasicBindComponent>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_2275_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Data.Bind.Components.TBindEditorFactoryClass>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_2048_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Data.Bind.Components.TContainedBindComponent>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_2749_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3091_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Data.Bind.DBScope.TBaseDataLink>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4671_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Data.Cloud.AzureAPI.TAzureBlob>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4569_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Data.Cloud.AzureAPI.TAzureContainer>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4620_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4416_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5003_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3639_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Data.Cloud.CloudAPI.TCloudTableRow>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18028_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Data.DBXCommon.TDBXParameter>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7889_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_25125_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Data.DBXCommon.TResultCommandHandler>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10366_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Data.DBXJSON.TJSONAncestor>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_23828_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Data.DBXJSONReflect.TConverterEvent>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_23924_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Data.DBXJSONReflect.TReverterEvent>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11098_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16273_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Datasnap.DSClientRest.TDSRestClientCallback>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17393_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Datasnap.DSHTTP.TDSHTTPClass>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18387_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18079_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17757_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_23726_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Datasnap.DSServer.TDSCallbackTunnel>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18183_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Datasnap.DSService.TDBXRequestFilter>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18812_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Datasnap.DSService.TDSSession>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_29691_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<GraphView.TGraphEdge>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_29801_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<GraphView.TGraphNode>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_29746_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_30563_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<IBDatabase.TIBBase>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_30665_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<IBDatabase.TIBDatabase>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_30614_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<IBDatabase.TIBTransaction>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_42983_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_40329_0 {
	meta:
		name = "TList<IdContext.TIdContext>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<IdContext.TIdContext>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_54624_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Bindings.CustomScope.TScopeClass>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_52584_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Bindings.EvalSys.TOverload>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_56109_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_55821_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_56252_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_57042_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Bindings.Manager.TBindingManager>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_58603_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_58456_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_58215_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_60748_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_86464_0 {
	meta:
		name = "TList<System.Classes.TComponent>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Classes.TComponent>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15895_0 {
	meta:
		name = "TList<System.Classes.TStream>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Classes.TStream>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_24020_0 {
	meta:
		name = "TList<System.Classes.TStrings>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Classes.TStrings>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_63626_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_58070_0 {
	meta:
		name = "TList<System.Integer>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Integer>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_22935_0 {
	meta:
		name = "TList<System.Masks.TMask>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Masks.TMask>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_68162_0 {
	meta:
		name = "TList<System.Pointer>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Pointer>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_67999_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Rtti.TRttiField>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_68051_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Rtti.TRttiManagedField>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_67946_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Rtti.TRttiMethod>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_68209_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Rtti.TRttiObject>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_67894_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Rtti.TRttiProperty>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_67559_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Rtti.TVirtualInterface.TImplInfo>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_67504_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_54577_0 {
	meta:
		name = "TList<System.TClass>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.TClass>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_67837_0 {
	meta:
		name = "TList<System.TCustomAttribute>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.TCustomAttribute>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_23201_0 {
	meta:
		name = "TList<System.TObject>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.TObject>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_68327_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.TypInfo.PTypeInfo>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_88855_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Vcl.Controls.TControl>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_88906_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Vcl.Controls.TCustomGestureCollectionItem>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_88737_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Vcl.Controls.TCustomGestureManager>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_78597_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_86660_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_87631_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Vcl.Themes.TCustomStyleEngineClass>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_87682_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Vcl.Themes.TCustomStyleServices>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_87882_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_86511_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Vcl.Themes.TStyleHook>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_87386_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Vcl.Themes.TStyleHookClass>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89008_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Vcl.Touch.GestureMgr.TGestureCollection>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89491_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89875_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89773_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.InsertRange"
		size = 234
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.GrowCheck 0077 Move 008d @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3D 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 91 52 8B 55 FC 8B 52 04 8D 14 9A 2B C3 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D7 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 22 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 8F 8B 08 89 0F 42 83 C0 04 FF 4D F4 75 E7 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_1998_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.InsertRange"
		size = 117
		refs = "0012 TList<System.Bindings.Expression.TBindingExpression>.InsertRange 0039 TList<System.Bindings.Expression.TBindingExpression>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28542_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.InsertRange"
		size = 117
		refs = "0012 TList<DSAzureBlob.TBBlob>.InsertRange 0039 TList<DSAzureBlob.TBBlob>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28764_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.InsertRange"
		size = 117
		refs = "0012 TList<DSAzureBlob.TBBlock>.InsertRange 0039 TList<DSAzureBlob.TBBlock>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28418_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.InsertRange"
		size = 117
		refs = "0012 TList<DSAzureBlob.TBContainer>.InsertRange 0039 TList<DSAzureBlob.TBContainer>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28707_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.InsertRange"
		size = 117
		refs = "0012 TList<DSAzureBlob.TBPageRange>.InsertRange 0039 TList<DSAzureBlob.TBPageRange>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28650_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.InsertRange"
		size = 117
		refs = "0012 TList<DSAzureBlob.TBSignedIdentifier>.InsertRange 0039 TList<DSAzureBlob.TBSignedIdentifier>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28597_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.InsertRange"
		size = 117
		refs = "0012 TList<DSAzureBlob.TLeaseItem>.InsertRange 0039 TList<DSAzureBlob.TLeaseItem>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29065_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.InsertRange"
		size = 117
		refs = "0012 TList<DSAzureQueue.TMessageNodeData>.InsertRange 0039 TList<DSAzureQueue.TMessageNodeData>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29483_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.InsertRange"
		size = 117
		refs = "0012 TList<DSAzureTableDialog.TAzureTableColumn>.InsertRange 0039 TList<DSAzureTableDialog.TAzureTableColumn>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29338_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.InsertRange"
		size = 117
		refs = "0012 TList<DSAzureTableDialog.TAzureTableRow>.InsertRange 0039 TList<DSAzureTableDialog.TAzureTableRow>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2100_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.InsertRange"
		size = 117
		refs = "0012 TList<Data.Bind.Components.TBasicBindComponent>.InsertRange 0039 TList<Data.Bind.Components.TBasicBindComponent>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2276_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.InsertRange"
		size = 117
		refs = "0012 TList<Data.Bind.Components.TBindEditorFactoryClass>.InsertRange 0039 TList<Data.Bind.Components.TBindEditorFactoryClass>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2049_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.InsertRange"
		size = 117
		refs = "0012 TList<Data.Bind.Components.TContainedBindComponent>.InsertRange 0039 TList<Data.Bind.Components.TContainedBindComponent>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2750_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.InsertRange"
		size = 117
		refs = "0012 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.InsertRange 0039 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3092_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.InsertRange"
		size = 117
		refs = "0012 TList<Data.Bind.DBScope.TBaseDataLink>.InsertRange 0039 TList<Data.Bind.DBScope.TBaseDataLink>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4672_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.InsertRange"
		size = 117
		refs = "0012 TList<Data.Cloud.AzureAPI.TAzureBlob>.InsertRange 0039 TList<Data.Cloud.AzureAPI.TAzureBlob>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4570_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.InsertRange"
		size = 117
		refs = "0012 TList<Data.Cloud.AzureAPI.TAzureContainer>.InsertRange 0039 TList<Data.Cloud.AzureAPI.TAzureContainer>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4621_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.InsertRange"
		size = 117
		refs = "0012 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.InsertRange 0039 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4417_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.InsertRange"
		size = 117
		refs = "0012 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.InsertRange 0039 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5004_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.InsertRange"
		size = 117
		refs = "0012 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.InsertRange 0039 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3640_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.InsertRange"
		size = 117
		refs = "0012 TList<Data.Cloud.CloudAPI.TCloudTableRow>.InsertRange 0039 TList<Data.Cloud.CloudAPI.TCloudTableRow>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18029_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.InsertRange"
		size = 117
		refs = "0012 TList<Data.DBXCommon.TDBXParameter>.InsertRange 0039 TList<Data.DBXCommon.TDBXParameter>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7890_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.InsertRange"
		size = 117
		refs = "0012 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.InsertRange 0039 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25126_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.InsertRange"
		size = 117
		refs = "0012 TList<Data.DBXCommon.TResultCommandHandler>.InsertRange 0039 TList<Data.DBXCommon.TResultCommandHandler>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10367_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.InsertRange"
		size = 117
		refs = "0012 TList<Data.DBXJSON.TJSONAncestor>.InsertRange 0039 TList<Data.DBXJSON.TJSONAncestor>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23829_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.InsertRange"
		size = 117
		refs = "0012 TList<Data.DBXJSONReflect.TConverterEvent>.InsertRange 0039 TList<Data.DBXJSONReflect.TConverterEvent>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23925_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.InsertRange"
		size = 117
		refs = "0012 TList<Data.DBXJSONReflect.TReverterEvent>.InsertRange 0039 TList<Data.DBXJSONReflect.TReverterEvent>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11099_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.InsertRange"
		size = 117
		refs = "0012 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.InsertRange 0039 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16274_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.InsertRange"
		size = 117
		refs = "0012 TList<Datasnap.DSClientRest.TDSRestClientCallback>.InsertRange 0039 TList<Datasnap.DSClientRest.TDSRestClientCallback>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17394_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.InsertRange"
		size = 117
		refs = "0012 TList<Datasnap.DSHTTP.TDSHTTPClass>.InsertRange 0039 TList<Datasnap.DSHTTP.TDSHTTPClass>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18388_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.InsertRange"
		size = 117
		refs = "0012 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.InsertRange 0039 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18080_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.InsertRange"
		size = 117
		refs = "0012 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.InsertRange 0039 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17758_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.InsertRange"
		size = 117
		refs = "0012 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.InsertRange 0039 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23727_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.InsertRange"
		size = 117
		refs = "0012 TList<Datasnap.DSServer.TDSCallbackTunnel>.InsertRange 0039 TList<Datasnap.DSServer.TDSCallbackTunnel>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18184_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.InsertRange"
		size = 117
		refs = "0012 TList<Datasnap.DSService.TDBXRequestFilter>.InsertRange 0039 TList<Datasnap.DSService.TDBXRequestFilter>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18813_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.InsertRange"
		size = 117
		refs = "0012 TList<Datasnap.DSService.TDSSession>.InsertRange 0039 TList<Datasnap.DSService.TDSSession>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29692_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.InsertRange"
		size = 117
		refs = "0012 TList<GraphView.TGraphEdge>.InsertRange 0039 TList<GraphView.TGraphEdge>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29802_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.InsertRange"
		size = 117
		refs = "0012 TList<GraphView.TGraphNode>.InsertRange 0039 TList<GraphView.TGraphNode>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29747_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.InsertRange"
		size = 117
		refs = "0012 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.InsertRange 0039 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30564_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.InsertRange"
		size = 117
		refs = "0012 TList<IBDatabase.TIBBase>.InsertRange 0039 TList<IBDatabase.TIBBase>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30666_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.InsertRange"
		size = 117
		refs = "0012 TList<IBDatabase.TIBDatabase>.InsertRange 0039 TList<IBDatabase.TIBDatabase>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30615_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.InsertRange"
		size = 117
		refs = "0012 TList<IBDatabase.TIBTransaction>.InsertRange 0039 TList<IBDatabase.TIBTransaction>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42984_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.InsertRange"
		size = 117
		refs = "0012 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.InsertRange 0039 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40330_0 {
	meta:
		name = "TList<IdContext.TIdContext>.InsertRange"
		size = 117
		refs = "0012 TList<IdContext.TIdContext>.InsertRange 0039 TList<IdContext.TIdContext>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_54625_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.InsertRange"
		size = 117
		refs = "0012 TList<System.Bindings.CustomScope.TScopeClass>.InsertRange 0039 TList<System.Bindings.CustomScope.TScopeClass>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52585_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.InsertRange"
		size = 117
		refs = "0012 TList<System.Bindings.EvalSys.TOverload>.InsertRange 0039 TList<System.Bindings.EvalSys.TOverload>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56110_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.InsertRange"
		size = 117
		refs = "0012 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.InsertRange 0039 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_55822_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.InsertRange"
		size = 117
		refs = "0012 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.InsertRange 0039 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56253_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.InsertRange"
		size = 117
		refs = "0012 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.InsertRange 0039 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_57043_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.InsertRange"
		size = 117
		refs = "0012 TList<System.Bindings.Manager.TBindingManager>.InsertRange 0039 TList<System.Bindings.Manager.TBindingManager>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58604_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.InsertRange"
		size = 117
		refs = "0012 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.InsertRange 0039 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58457_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.InsertRange"
		size = 117
		refs = "0012 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.InsertRange 0039 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58216_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.InsertRange"
		size = 117
		refs = "0012 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.InsertRange 0039 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60749_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.InsertRange"
		size = 117
		refs = "0012 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.InsertRange 0039 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_86465_0 {
	meta:
		name = "TList<System.Classes.TComponent>.InsertRange"
		size = 117
		refs = "0012 TList<System.Classes.TComponent>.InsertRange 0039 TList<System.Classes.TComponent>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15896_0 {
	meta:
		name = "TList<System.Classes.TStream>.InsertRange"
		size = 117
		refs = "0012 TList<System.Classes.TStream>.InsertRange 0039 TList<System.Classes.TStream>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24021_0 {
	meta:
		name = "TList<System.Classes.TStrings>.InsertRange"
		size = 117
		refs = "0012 TList<System.Classes.TStrings>.InsertRange 0039 TList<System.Classes.TStrings>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63627_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.InsertRange"
		size = 117
		refs = "0012 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.InsertRange 0039 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58071_0 {
	meta:
		name = "TList<System.Integer>.InsertRange"
		size = 117
		refs = "0012 TList<System.Integer>.InsertRange 0039 TList<System.Integer>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22936_0 {
	meta:
		name = "TList<System.Masks.TMask>.InsertRange"
		size = 117
		refs = "0012 TList<System.Masks.TMask>.InsertRange 0039 TList<System.Masks.TMask>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56014_0 {
	meta:
		name = "TList<System.Pointer>.InsertRange"
		size = 117
		refs = "0012 TList<System.Pointer>.InsertRange 0039 TList<System.Pointer>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68000_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.InsertRange"
		size = 117
		refs = "0012 TList<System.Rtti.TRttiField>.InsertRange 0039 TList<System.Rtti.TRttiField>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68052_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.InsertRange"
		size = 117
		refs = "0012 TList<System.Rtti.TRttiManagedField>.InsertRange 0039 TList<System.Rtti.TRttiManagedField>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67947_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.InsertRange"
		size = 117
		refs = "0012 TList<System.Rtti.TRttiMethod>.InsertRange 0039 TList<System.Rtti.TRttiMethod>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68210_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.InsertRange"
		size = 117
		refs = "0012 TList<System.Rtti.TRttiObject>.InsertRange 0039 TList<System.Rtti.TRttiObject>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67895_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.InsertRange"
		size = 117
		refs = "0012 TList<System.Rtti.TRttiProperty>.InsertRange 0039 TList<System.Rtti.TRttiProperty>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67560_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.InsertRange"
		size = 117
		refs = "0012 TList<System.Rtti.TVirtualInterface.TImplInfo>.InsertRange 0039 TList<System.Rtti.TVirtualInterface.TImplInfo>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67505_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.InsertRange"
		size = 117
		refs = "0012 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.InsertRange 0039 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_54578_0 {
	meta:
		name = "TList<System.TClass>.InsertRange"
		size = 117
		refs = "0012 TList<System.TClass>.InsertRange 0039 TList<System.TClass>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67838_0 {
	meta:
		name = "TList<System.TCustomAttribute>.InsertRange"
		size = 117
		refs = "0012 TList<System.TCustomAttribute>.InsertRange 0039 TList<System.TCustomAttribute>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23202_0 {
	meta:
		name = "TList<System.TObject>.InsertRange"
		size = 117
		refs = "0012 TList<System.TObject>.InsertRange 0039 TList<System.TObject>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68328_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.InsertRange"
		size = 117
		refs = "0012 TList<System.TypInfo.PTypeInfo>.InsertRange 0039 TList<System.TypInfo.PTypeInfo>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63580_0 {
	meta:
		name = "TList<System.Word>.InsertRange"
		size = 117
		refs = "0012 TList<System.Word>.InsertRange 0039 TList<System.Word>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88856_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.InsertRange"
		size = 117
		refs = "0012 TList<Vcl.Controls.TControl>.InsertRange 0039 TList<Vcl.Controls.TControl>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89261_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.InsertRange"
		size = 117
		refs = "0012 TList<Vcl.Controls.TCustomGestureCollectionItem>.InsertRange 0039 TList<Vcl.Controls.TCustomGestureCollectionItem>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88738_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.InsertRange"
		size = 117
		refs = "0012 TList<Vcl.Controls.TCustomGestureManager>.InsertRange 0039 TList<Vcl.Controls.TCustomGestureManager>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78598_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.InsertRange"
		size = 117
		refs = "0012 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.InsertRange 0039 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_86661_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.InsertRange"
		size = 117
		refs = "0012 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.InsertRange 0039 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87632_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.InsertRange"
		size = 117
		refs = "0012 TList<Vcl.Themes.TCustomStyleEngineClass>.InsertRange 0039 TList<Vcl.Themes.TCustomStyleEngineClass>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87683_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.InsertRange"
		size = 117
		refs = "0012 TList<Vcl.Themes.TCustomStyleServices>.InsertRange 0039 TList<Vcl.Themes.TCustomStyleServices>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87883_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.InsertRange"
		size = 117
		refs = "0012 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.InsertRange 0039 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_86512_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.InsertRange"
		size = 117
		refs = "0012 TList<Vcl.Themes.TStyleHook>.InsertRange 0039 TList<Vcl.Themes.TStyleHook>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_87387_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.InsertRange"
		size = 117
		refs = "0012 TList<Vcl.Themes.TStyleHookClass>.InsertRange 0039 TList<Vcl.Themes.TStyleHookClass>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89009_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.InsertRange"
		size = 117
		refs = "0012 TList<Vcl.Touch.GestureMgr.TGestureCollection>.InsertRange 0039 TList<Vcl.Touch.GestureMgr.TGestureCollection>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89492_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.InsertRange"
		size = 117
		refs = "0012 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.InsertRange 0039 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89876_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.InsertRange"
		size = 117
		refs = "0012 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.InsertRange 0039 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89774_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.InsertRange"
		size = 117
		refs = "0012 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.InsertRange 0039 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_1999_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Bindings.Expression.TBindingExpression>.GetEnumerator 001f TList<System.Bindings.Expression.TBindingExpression>.InsertRange 003b TList<System.Bindings.Expression.TBindingExpression>.Insert 0044 TEnumerator<System.Bindings.Expression.TBindingExpression>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28543_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<DSAzureBlob.TBBlob>.GetEnumerator 001f TList<DSAzureBlob.TBBlob>.InsertRange 003b TList<DSAzureBlob.TBBlob>.Insert 0044 TEnumerator<DSAzureBlob.TBBlob>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28765_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<DSAzureBlob.TBBlock>.GetEnumerator 001f TList<DSAzureBlob.TBBlock>.InsertRange 003b TList<DSAzureBlob.TBBlock>.Insert 0044 TEnumerator<DSAzureBlob.TBBlock>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28419_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<DSAzureBlob.TBContainer>.GetEnumerator 001f TList<DSAzureBlob.TBContainer>.InsertRange 003b TList<DSAzureBlob.TBContainer>.Insert 0044 TEnumerator<DSAzureBlob.TBContainer>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28708_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<DSAzureBlob.TBPageRange>.GetEnumerator 001f TList<DSAzureBlob.TBPageRange>.InsertRange 003b TList<DSAzureBlob.TBPageRange>.Insert 0044 TEnumerator<DSAzureBlob.TBPageRange>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28651_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<DSAzureBlob.TBSignedIdentifier>.GetEnumerator 001f TList<DSAzureBlob.TBSignedIdentifier>.InsertRange 003b TList<DSAzureBlob.TBSignedIdentifier>.Insert 0044 TEnumerator<DSAzureBlob.TBSignedIdentifier>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28598_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<DSAzureBlob.TLeaseItem>.GetEnumerator 001f TList<DSAzureBlob.TLeaseItem>.InsertRange 003b TList<DSAzureBlob.TLeaseItem>.Insert 0044 TEnumerator<DSAzureBlob.TLeaseItem>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29066_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<DSAzureQueue.TMessageNodeData>.GetEnumerator 001f TList<DSAzureQueue.TMessageNodeData>.InsertRange 003b TList<DSAzureQueue.TMessageNodeData>.Insert 0044 TEnumerator<DSAzureQueue.TMessageNodeData>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29484_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<DSAzureTableDialog.TAzureTableColumn>.GetEnumerator 001f TList<DSAzureTableDialog.TAzureTableColumn>.InsertRange 003b TList<DSAzureTableDialog.TAzureTableColumn>.Insert 0044 TEnumerator<DSAzureTableDialog.TAzureTableColumn>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29339_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<DSAzureTableDialog.TAzureTableRow>.GetEnumerator 001f TList<DSAzureTableDialog.TAzureTableRow>.InsertRange 003b TList<DSAzureTableDialog.TAzureTableRow>.Insert 0044 TEnumerator<DSAzureTableDialog.TAzureTableRow>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2101_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Data.Bind.Components.TBasicBindComponent>.GetEnumerator 001f TList<Data.Bind.Components.TBasicBindComponent>.InsertRange 003b TList<Data.Bind.Components.TBasicBindComponent>.Insert 0044 TEnumerator<Data.Bind.Components.TBasicBindComponent>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2277_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Data.Bind.Components.TBindEditorFactoryClass>.GetEnumerator 001f TList<Data.Bind.Components.TBindEditorFactoryClass>.InsertRange 003b TList<Data.Bind.Components.TBindEditorFactoryClass>.Insert 0044 TEnumerator<Data.Bind.Components.TBindEditorFactoryClass>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2050_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Data.Bind.Components.TContainedBindComponent>.GetEnumerator 001f TList<Data.Bind.Components.TContainedBindComponent>.InsertRange 003b TList<Data.Bind.Components.TContainedBindComponent>.Insert 0044 TEnumerator<Data.Bind.Components.TContainedBindComponent>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2751_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.GetEnumerator 001f TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.InsertRange 003b TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Insert 0044 TEnumerator<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3093_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Data.Bind.DBScope.TBaseDataLink>.GetEnumerator 001f TList<Data.Bind.DBScope.TBaseDataLink>.InsertRange 003b TList<Data.Bind.DBScope.TBaseDataLink>.Insert 0044 TEnumerator<Data.Bind.DBScope.TBaseDataLink>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4673_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Data.Cloud.AzureAPI.TAzureBlob>.GetEnumerator 001f TList<Data.Cloud.AzureAPI.TAzureBlob>.InsertRange 003b TList<Data.Cloud.AzureAPI.TAzureBlob>.Insert 0044 TEnumerator<Data.Cloud.AzureAPI.TAzureBlob>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4571_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Data.Cloud.AzureAPI.TAzureContainer>.GetEnumerator 001f TList<Data.Cloud.AzureAPI.TAzureContainer>.InsertRange 003b TList<Data.Cloud.AzureAPI.TAzureContainer>.Insert 0044 TEnumerator<Data.Cloud.AzureAPI.TAzureContainer>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4622_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Data.Cloud.AzureAPI.TSignedIdentifier>.GetEnumerator 001f TList<Data.Cloud.AzureAPI.TSignedIdentifier>.InsertRange 003b TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Insert 0044 TEnumerator<Data.Cloud.AzureAPI.TSignedIdentifier>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4418_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Data.Cloud.CloudAPI.TCloudQueueMessage>.GetEnumerator 001f TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.InsertRange 003b TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Insert 0044 TEnumerator<Data.Cloud.CloudAPI.TCloudQueueMessage>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5005_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Data.Cloud.CloudAPI.TCloudTableColumn>.GetEnumerator 001f TList<Data.Cloud.CloudAPI.TCloudTableColumn>.InsertRange 003b TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Insert 0044 TEnumerator<Data.Cloud.CloudAPI.TCloudTableColumn>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3641_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Data.Cloud.CloudAPI.TCloudTableRow>.GetEnumerator 001f TList<Data.Cloud.CloudAPI.TCloudTableRow>.InsertRange 003b TList<Data.Cloud.CloudAPI.TCloudTableRow>.Insert 0044 TEnumerator<Data.Cloud.CloudAPI.TCloudTableRow>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18030_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Data.DBXCommon.TDBXParameter>.GetEnumerator 001f TList<Data.DBXCommon.TDBXParameter>.InsertRange 003b TList<Data.DBXCommon.TDBXParameter>.Insert 0044 TEnumerator<Data.DBXCommon.TDBXParameter>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7891_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.GetEnumerator 001f TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.InsertRange 003b TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Insert 0044 TEnumerator<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25127_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Data.DBXCommon.TResultCommandHandler>.GetEnumerator 001f TList<Data.DBXCommon.TResultCommandHandler>.InsertRange 003b TList<Data.DBXCommon.TResultCommandHandler>.Insert 0044 TEnumerator<Data.DBXCommon.TResultCommandHandler>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10368_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Data.DBXJSON.TJSONAncestor>.GetEnumerator 001f TList<Data.DBXJSON.TJSONAncestor>.InsertRange 003b TList<Data.DBXJSON.TJSONAncestor>.Insert 0044 TEnumerator<Data.DBXJSON.TJSONAncestor>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23830_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Data.DBXJSONReflect.TConverterEvent>.GetEnumerator 001f TList<Data.DBXJSONReflect.TConverterEvent>.InsertRange 003b TList<Data.DBXJSONReflect.TConverterEvent>.Insert 0044 TEnumerator<Data.DBXJSONReflect.TConverterEvent>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23926_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Data.DBXJSONReflect.TReverterEvent>.GetEnumerator 001f TList<Data.DBXJSONReflect.TReverterEvent>.InsertRange 003b TList<Data.DBXJSONReflect.TReverterEvent>.Insert 0044 TEnumerator<Data.DBXJSONReflect.TReverterEvent>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11100_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.GetEnumerator 001f TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.InsertRange 003b TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Insert 0044 TEnumerator<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16275_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Datasnap.DSClientRest.TDSRestClientCallback>.GetEnumerator 001f TList<Datasnap.DSClientRest.TDSRestClientCallback>.InsertRange 003b TList<Datasnap.DSClientRest.TDSRestClientCallback>.Insert 0044 TEnumerator<Datasnap.DSClientRest.TDSRestClientCallback>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17395_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Datasnap.DSHTTP.TDSHTTPClass>.GetEnumerator 001f TList<Datasnap.DSHTTP.TDSHTTPClass>.InsertRange 003b TList<Datasnap.DSHTTP.TDSHTTPClass>.Insert 0044 TEnumerator<Datasnap.DSHTTP.TDSHTTPClass>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18389_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Datasnap.DSHTTPCommon.TDSCallbackItem>.GetEnumerator 001f TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.InsertRange 003b TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Insert 0044 TEnumerator<Datasnap.DSHTTPCommon.TDSCallbackItem>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18081_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.GetEnumerator 001f TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.InsertRange 003b TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Insert 0044 TEnumerator<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17759_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Datasnap.DSHTTPCommon.TDSExecutionResponse>.GetEnumerator 001f TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.InsertRange 003b TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Insert 0044 TEnumerator<Datasnap.DSHTTPCommon.TDSExecutionResponse>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23728_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Datasnap.DSServer.TDSCallbackTunnel>.GetEnumerator 001f TList<Datasnap.DSServer.TDSCallbackTunnel>.InsertRange 003b TList<Datasnap.DSServer.TDSCallbackTunnel>.Insert 0044 TEnumerator<Datasnap.DSServer.TDSCallbackTunnel>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18185_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Datasnap.DSService.TDBXRequestFilter>.GetEnumerator 001f TList<Datasnap.DSService.TDBXRequestFilter>.InsertRange 003b TList<Datasnap.DSService.TDBXRequestFilter>.Insert 0044 TEnumerator<Datasnap.DSService.TDBXRequestFilter>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18814_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Datasnap.DSService.TDSSession>.GetEnumerator 001f TList<Datasnap.DSService.TDSSession>.InsertRange 003b TList<Datasnap.DSService.TDSSession>.Insert 0044 TEnumerator<Datasnap.DSService.TDSSession>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29693_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<GraphView.TGraphEdge>.GetEnumerator 001f TList<GraphView.TGraphEdge>.InsertRange 003b TList<GraphView.TGraphEdge>.Insert 0044 TEnumerator<GraphView.TGraphEdge>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29803_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<GraphView.TGraphNode>.GetEnumerator 001f TList<GraphView.TGraphNode>.InsertRange 003b TList<GraphView.TGraphNode>.Insert 0044 TEnumerator<GraphView.TGraphNode>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29748_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<GraphView.TObjectList<GraphView.TGraphEdge>>.GetEnumerator 001f TList<GraphView.TObjectList<GraphView.TGraphEdge>>.InsertRange 003b TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Insert 0044 TEnumerator<GraphView.TObjectList<GraphView.TGraphEdge>>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30565_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<IBDatabase.TIBBase>.GetEnumerator 001f TList<IBDatabase.TIBBase>.InsertRange 003b TList<IBDatabase.TIBBase>.Insert 0044 TEnumerator<IBDatabase.TIBBase>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30667_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<IBDatabase.TIBDatabase>.GetEnumerator 001f TList<IBDatabase.TIBDatabase>.InsertRange 003b TList<IBDatabase.TIBDatabase>.Insert 0044 TEnumerator<IBDatabase.TIBDatabase>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30616_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<IBDatabase.TIBTransaction>.GetEnumerator 001f TList<IBDatabase.TIBTransaction>.InsertRange 003b TList<IBDatabase.TIBTransaction>.Insert 0044 TEnumerator<IBDatabase.TIBTransaction>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42985_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.GetEnumerator 001f TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.InsertRange 003b TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Insert 0044 TEnumerator<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40331_0 {
	meta:
		name = "TList<IdContext.TIdContext>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<IdContext.TIdContext>.GetEnumerator 001f TList<IdContext.TIdContext>.InsertRange 003b TList<IdContext.TIdContext>.Insert 0044 TEnumerator<IdContext.TIdContext>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_54626_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Bindings.CustomScope.TScopeClass>.GetEnumerator 001f TList<System.Bindings.CustomScope.TScopeClass>.InsertRange 003b TList<System.Bindings.CustomScope.TScopeClass>.Insert 0044 TEnumerator<System.Bindings.CustomScope.TScopeClass>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52586_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Bindings.EvalSys.TOverload>.GetEnumerator 001f TList<System.Bindings.EvalSys.TOverload>.InsertRange 003b TList<System.Bindings.EvalSys.TOverload>.Insert 0044 TEnumerator<System.Bindings.EvalSys.TOverload>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56111_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetEnumerator 001f TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.InsertRange 003b TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Insert 0044 TEnumerator<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_55823_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetEnumerator 001f TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.InsertRange 003b TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Insert 0044 TEnumerator<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56254_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetEnumerator 001f TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.InsertRange 003b TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Insert 0044 TEnumerator<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_57044_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Bindings.Manager.TBindingManager>.GetEnumerator 001f TList<System.Bindings.Manager.TBindingManager>.InsertRange 003b TList<System.Bindings.Manager.TBindingManager>.Insert 0044 TEnumerator<System.Bindings.Manager.TBindingManager>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_58605_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetEnumerator 001f TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.InsertRange 003b TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Insert 0044 TEnumerator<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_58458_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetEnumerator 001f TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.InsertRange 003b TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Insert 0044 TEnumerator<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_58217_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetEnumerator 001f TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.InsertRange 003b TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Insert 0044 TEnumerator<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_60750_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetEnumerator 001f TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.InsertRange 003b TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Insert 0044 TEnumerator<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_86466_0 {
	meta:
		name = "TList<System.Classes.TComponent>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Classes.TComponent>.GetEnumerator 001f TList<System.Classes.TComponent>.InsertRange 003b TList<System.Classes.TComponent>.Insert 0044 TEnumerator<System.Classes.TComponent>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15897_0 {
	meta:
		name = "TList<System.Classes.TStream>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Classes.TStream>.GetEnumerator 001f TList<System.Classes.TStream>.InsertRange 003b TList<System.Classes.TStream>.Insert 0044 TEnumerator<System.Classes.TStream>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24022_0 {
	meta:
		name = "TList<System.Classes.TStrings>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Classes.TStrings>.GetEnumerator 001f TList<System.Classes.TStrings>.InsertRange 003b TList<System.Classes.TStrings>.Insert 0044 TEnumerator<System.Classes.TStrings>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_63628_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetEnumerator 001f TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.InsertRange 003b TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Insert 0044 TEnumerator<System.DateUtils.TLocalTimeZone.TYearlyChanges>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_58072_0 {
	meta:
		name = "TList<System.Integer>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Integer>.GetEnumerator 001f TList<System.Integer>.InsertRange 003b TList<System.Integer>.Insert 0044 TEnumerator<System.Integer>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22937_0 {
	meta:
		name = "TList<System.Masks.TMask>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Masks.TMask>.GetEnumerator 001f TList<System.Masks.TMask>.InsertRange 003b TList<System.Masks.TMask>.Insert 0044 TEnumerator<System.Masks.TMask>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56015_0 {
	meta:
		name = "TList<System.Pointer>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Pointer>.GetEnumerator 001f TList<System.Pointer>.InsertRange 003b TList<System.Pointer>.Insert 0044 TEnumerator<System.Pointer>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68001_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Rtti.TRttiField>.GetEnumerator 001f TList<System.Rtti.TRttiField>.InsertRange 003b TList<System.Rtti.TRttiField>.Insert 0044 TEnumerator<System.Rtti.TRttiField>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68053_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Rtti.TRttiManagedField>.GetEnumerator 001f TList<System.Rtti.TRttiManagedField>.InsertRange 003b TList<System.Rtti.TRttiManagedField>.Insert 0044 TEnumerator<System.Rtti.TRttiManagedField>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67948_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Rtti.TRttiMethod>.GetEnumerator 001f TList<System.Rtti.TRttiMethod>.InsertRange 003b TList<System.Rtti.TRttiMethod>.Insert 0044 TEnumerator<System.Rtti.TRttiMethod>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68211_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Rtti.TRttiObject>.GetEnumerator 001f TList<System.Rtti.TRttiObject>.InsertRange 003b TList<System.Rtti.TRttiObject>.Insert 0044 TEnumerator<System.Rtti.TRttiObject>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67896_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Rtti.TRttiProperty>.GetEnumerator 001f TList<System.Rtti.TRttiProperty>.InsertRange 003b TList<System.Rtti.TRttiProperty>.Insert 0044 TEnumerator<System.Rtti.TRttiProperty>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67561_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Rtti.TVirtualInterface.TImplInfo>.GetEnumerator 001f TList<System.Rtti.TVirtualInterface.TImplInfo>.InsertRange 003b TList<System.Rtti.TVirtualInterface.TImplInfo>.Insert 0044 TEnumerator<System.Rtti.TVirtualInterface.TImplInfo>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67506_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.GetEnumerator 001f TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.InsertRange 003b TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Insert 0044 TEnumerator<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_54579_0 {
	meta:
		name = "TList<System.TClass>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.TClass>.GetEnumerator 001f TList<System.TClass>.InsertRange 003b TList<System.TClass>.Insert 0044 TEnumerator<System.TClass>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67839_0 {
	meta:
		name = "TList<System.TCustomAttribute>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.TCustomAttribute>.GetEnumerator 001f TList<System.TCustomAttribute>.InsertRange 003b TList<System.TCustomAttribute>.Insert 0044 TEnumerator<System.TCustomAttribute>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23203_0 {
	meta:
		name = "TList<System.TObject>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.TObject>.GetEnumerator 001f TList<System.TObject>.InsertRange 003b TList<System.TObject>.Insert 0044 TEnumerator<System.TObject>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68329_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.TypInfo.PTypeInfo>.GetEnumerator 001f TList<System.TypInfo.PTypeInfo>.InsertRange 003b TList<System.TypInfo.PTypeInfo>.Insert 0044 TEnumerator<System.TypInfo.PTypeInfo>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_63581_0 {
	meta:
		name = "TList<System.Word>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Word>.GetEnumerator 001f TList<System.Word>.InsertRange 003b TList<System.Word>.Insert 0044 TEnumerator<System.Word>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88857_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Vcl.Controls.TControl>.GetEnumerator 001f TList<Vcl.Controls.TControl>.InsertRange 003b TList<Vcl.Controls.TControl>.Insert 0044 TEnumerator<Vcl.Controls.TControl>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89262_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Vcl.Controls.TCustomGestureCollectionItem>.GetEnumerator 001f TList<Vcl.Controls.TCustomGestureCollectionItem>.InsertRange 003b TList<Vcl.Controls.TCustomGestureCollectionItem>.Insert 0044 TEnumerator<Vcl.Controls.TCustomGestureCollectionItem>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88739_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Vcl.Controls.TCustomGestureManager>.GetEnumerator 001f TList<Vcl.Controls.TCustomGestureManager>.InsertRange 003b TList<Vcl.Controls.TCustomGestureManager>.Insert 0044 TEnumerator<Vcl.Controls.TCustomGestureManager>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_78599_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Vcl.Direct2D.TDirect2DGraphicsObject>.GetEnumerator 001f TList<Vcl.Direct2D.TDirect2DGraphicsObject>.InsertRange 003b TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Insert 0044 TEnumerator<Vcl.Direct2D.TDirect2DGraphicsObject>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_86662_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.GetEnumerator 001f TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.InsertRange 003b TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Insert 0044 TEnumerator<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_87633_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Vcl.Themes.TCustomStyleEngineClass>.GetEnumerator 001f TList<Vcl.Themes.TCustomStyleEngineClass>.InsertRange 003b TList<Vcl.Themes.TCustomStyleEngineClass>.Insert 0044 TEnumerator<Vcl.Themes.TCustomStyleEngineClass>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_87684_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Vcl.Themes.TCustomStyleServices>.GetEnumerator 001f TList<Vcl.Themes.TCustomStyleServices>.InsertRange 003b TList<Vcl.Themes.TCustomStyleServices>.Insert 0044 TEnumerator<Vcl.Themes.TCustomStyleServices>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_87884_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.GetEnumerator 001f TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.InsertRange 003b TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Insert 0044 TEnumerator<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_86513_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Vcl.Themes.TStyleHook>.GetEnumerator 001f TList<Vcl.Themes.TStyleHook>.InsertRange 003b TList<Vcl.Themes.TStyleHook>.Insert 0044 TEnumerator<Vcl.Themes.TStyleHook>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_87388_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Vcl.Themes.TStyleHookClass>.GetEnumerator 001f TList<Vcl.Themes.TStyleHookClass>.InsertRange 003b TList<Vcl.Themes.TStyleHookClass>.Insert 0044 TEnumerator<Vcl.Themes.TStyleHookClass>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89010_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Vcl.Touch.GestureMgr.TGestureCollection>.GetEnumerator 001f TList<Vcl.Touch.GestureMgr.TGestureCollection>.InsertRange 003b TList<Vcl.Touch.GestureMgr.TGestureCollection>.Insert 0044 TEnumerator<Vcl.Touch.GestureMgr.TGestureCollection>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89493_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetEnumerator 001f TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.InsertRange 003b TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Insert 0044 TEnumerator<Vcl.Touch.Keyboard.TCustomKeyboardButton>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89877_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.GetEnumerator 001f TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.InsertRange 003b TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Insert 0044 TEnumerator<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89775_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<Vcl.Touch.KeyboardTypes.TVirtualKeys>.GetEnumerator 001f TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.InsertRange 003b TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Insert 0044 TEnumerator<Vcl.Touch.KeyboardTypes.TVirtualKeys>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B F0 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2000_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Expression.TBindingExpression>.IndexOf 0016 TList<System.Bindings.Expression.TBindingExpression>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_62118_0 {
	meta:
		name = "TList.RemoveItem"
		size = 31
		refs = "0007 TList.IndexOfItem 0016 TList.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26848_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Remove"
		size = 31
		refs = "0007 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.IndexOf 0016 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_27072_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Remove"
		size = 31
		refs = "0007 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.IndexOf 0016 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_27276_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Remove"
		size = 31
		refs = "0007 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.IndexOf 0016 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_27508_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Remove"
		size = 31
		refs = "0007 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.IndexOf 0016 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_27725_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Remove"
		size = 31
		refs = "0007 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.IndexOf 0016 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_27926_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Remove"
		size = 31
		refs = "0007 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.IndexOf 0016 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28544_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.Remove"
		size = 31
		refs = "0007 TList<DSAzureBlob.TBBlob>.IndexOf 0016 TList<DSAzureBlob.TBBlob>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28766_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.Remove"
		size = 31
		refs = "0007 TList<DSAzureBlob.TBBlock>.IndexOf 0016 TList<DSAzureBlob.TBBlock>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28420_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.Remove"
		size = 31
		refs = "0007 TList<DSAzureBlob.TBContainer>.IndexOf 0016 TList<DSAzureBlob.TBContainer>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28709_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.Remove"
		size = 31
		refs = "0007 TList<DSAzureBlob.TBPageRange>.IndexOf 0016 TList<DSAzureBlob.TBPageRange>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28652_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.Remove"
		size = 31
		refs = "0007 TList<DSAzureBlob.TBSignedIdentifier>.IndexOf 0016 TList<DSAzureBlob.TBSignedIdentifier>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28599_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.Remove"
		size = 31
		refs = "0007 TList<DSAzureBlob.TLeaseItem>.IndexOf 0016 TList<DSAzureBlob.TLeaseItem>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28823_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.Remove"
		size = 31
		refs = "0007 TList<DSAzureBlob.TPair<System.string,System.string>>.IndexOf 0016 TList<DSAzureBlob.TPair<System.string,System.string>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_29067_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.Remove"
		size = 31
		refs = "0007 TList<DSAzureQueue.TMessageNodeData>.IndexOf 0016 TList<DSAzureQueue.TMessageNodeData>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_29485_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.Remove"
		size = 31
		refs = "0007 TList<DSAzureTableDialog.TAzureTableColumn>.IndexOf 0016 TList<DSAzureTableDialog.TAzureTableColumn>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_29340_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.Remove"
		size = 31
		refs = "0007 TList<DSAzureTableDialog.TAzureTableRow>.IndexOf 0016 TList<DSAzureTableDialog.TAzureTableRow>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_29387_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Remove"
		size = 31
		refs = "0007 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.IndexOf 0016 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2102_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.Remove"
		size = 31
		refs = "0007 TList<Data.Bind.Components.TBasicBindComponent>.IndexOf 0016 TList<Data.Bind.Components.TBasicBindComponent>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2278_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.Remove"
		size = 31
		refs = "0007 TList<Data.Bind.Components.TBindEditorFactoryClass>.IndexOf 0016 TList<Data.Bind.Components.TBindEditorFactoryClass>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2051_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.Remove"
		size = 31
		refs = "0007 TList<Data.Bind.Components.TContainedBindComponent>.IndexOf 0016 TList<Data.Bind.Components.TContainedBindComponent>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2397_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Remove"
		size = 31
		refs = "0007 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.IndexOf 0016 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2752_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Remove"
		size = 31
		refs = "0007 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.IndexOf 0016 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3094_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.Remove"
		size = 31
		refs = "0007 TList<Data.Bind.DBScope.TBaseDataLink>.IndexOf 0016 TList<Data.Bind.DBScope.TBaseDataLink>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2996_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Remove"
		size = 31
		refs = "0007 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.IndexOf 0016 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3591_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Remove"
		size = 31
		refs = "0007 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.IndexOf 0016 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3846_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Remove"
		size = 31
		refs = "0007 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.IndexOf 0016 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3948_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Remove"
		size = 31
		refs = "0007 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.IndexOf 0016 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3897_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Remove"
		size = 31
		refs = "0007 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.IndexOf 0016 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3999_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Remove"
		size = 31
		refs = "0007 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.IndexOf 0016 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3795_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Remove"
		size = 31
		refs = "0007 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.IndexOf 0016 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3540_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Remove"
		size = 31
		refs = "0007 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.IndexOf 0016 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4674_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.Remove"
		size = 31
		refs = "0007 TList<Data.Cloud.AzureAPI.TAzureBlob>.IndexOf 0016 TList<Data.Cloud.AzureAPI.TAzureBlob>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4725_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Remove"
		size = 31
		refs = "0007 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.IndexOf 0016 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4521_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Remove"
		size = 31
		refs = "0007 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.IndexOf 0016 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4572_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.Remove"
		size = 31
		refs = "0007 TList<Data.Cloud.AzureAPI.TAzureContainer>.IndexOf 0016 TList<Data.Cloud.AzureAPI.TAzureContainer>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4623_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Remove"
		size = 31
		refs = "0007 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.IndexOf 0016 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4470_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.Remove"
		size = 31
		refs = "0007 TList<Data.Cloud.CloudAPI.TCloudQueue>.IndexOf 0016 TList<Data.Cloud.CloudAPI.TCloudQueue>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4419_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Remove"
		size = 31
		refs = "0007 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.IndexOf 0016 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4050_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Remove"
		size = 31
		refs = "0007 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.IndexOf 0016 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3642_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.Remove"
		size = 31
		refs = "0007 TList<Data.Cloud.CloudAPI.TCloudTableRow>.IndexOf 0016 TList<Data.Cloud.CloudAPI.TCloudTableRow>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_18031_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.Remove"
		size = 31
		refs = "0007 TList<Data.DBXCommon.TDBXParameter>.IndexOf 0016 TList<Data.DBXCommon.TDBXParameter>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7892_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Remove"
		size = 31
		refs = "0007 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.IndexOf 0016 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8612_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.Remove"
		size = 31
		refs = "0007 TList<Data.DBXCommon.TDBXWritableValueArray>.IndexOf 0016 TList<Data.DBXCommon.TDBXWritableValueArray>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7939_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Remove"
		size = 31
		refs = "0007 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.IndexOf 0016 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_25128_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.Remove"
		size = 31
		refs = "0007 TList<Data.DBXCommon.TResultCommandHandler>.IndexOf 0016 TList<Data.DBXCommon.TResultCommandHandler>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10369_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.Remove"
		size = 31
		refs = "0007 TList<Data.DBXJSON.TJSONAncestor>.IndexOf 0016 TList<Data.DBXJSON.TJSONAncestor>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_23831_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.Remove"
		size = 31
		refs = "0007 TList<Data.DBXJSONReflect.TConverterEvent>.IndexOf 0016 TList<Data.DBXJSONReflect.TConverterEvent>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10128_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Remove"
		size = 31
		refs = "0007 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.IndexOf 0016 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10224_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Remove"
		size = 31
		refs = "0007 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.IndexOf 0016 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10513_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Remove"
		size = 31
		refs = "0007 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.IndexOf 0016 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10417_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Remove"
		size = 31
		refs = "0007 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.IndexOf 0016 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10562_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.Remove"
		size = 31
		refs = "0007 TList<Data.DBXJSONReflect.TReverterEvent>.IndexOf 0016 TList<Data.DBXJSONReflect.TReverterEvent>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11101_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Remove"
		size = 31
		refs = "0007 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.IndexOf 0016 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11050_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Remove"
		size = 31
		refs = "0007 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.IndexOf 0016 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11285_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Remove"
		size = 31
		refs = "0007 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.IndexOf 0016 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15945_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0016 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15800_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.IndexOf 0016 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16276_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSClientRest.TDSRestClientCallback>.IndexOf 0016 TList<Datasnap.DSClientRest.TDSRestClientCallback>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16450_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.IndexOf 0016 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_20389_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.IndexOf 0016 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17396_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSHTTP.TDSHTTPClass>.IndexOf 0016 TList<Datasnap.DSHTTP.TDSHTTPClass>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17298_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.IndexOf 0016 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_18390_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.IndexOf 0016 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_18082_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.IndexOf 0016 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17760_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.IndexOf 0016 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_18135_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.IndexOf 0016 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_18437_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.IndexOf 0016 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_18533_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.IndexOf 0016 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_18292_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.IndexOf 0016 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_18766_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.IndexOf 0016 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_19067_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.IndexOf 0016 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_19426_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0016 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_19721_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0016 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_20009_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0016 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_20291_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0016 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_20817_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0016 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_20721_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.IndexOf 0016 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_21045_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.IndexOf 0016 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_21279_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0016 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_21566_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0016 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_21833_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0016 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_22125_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0016 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_22418_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0016 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_22985_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0016 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_22840_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.IndexOf 0016 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_23729_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSServer.TDSCallbackTunnel>.IndexOf 0016 TList<Datasnap.DSServer.TDSCallbackTunnel>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_23678_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.IndexOf 0016 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_23780_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.IndexOf 0016 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_23878_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.IndexOf 0016 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_23974_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.IndexOf 0016 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_24503_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSService.TDBXRequestFilter>.IndexOf 0016 TList<Datasnap.DSService.TDBXRequestFilter>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_25690_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSService.TDSSession>.IndexOf 0016 TList<Datasnap.DSService.TDSSession>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11148_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSService.TDSSessionEvent>.IndexOf 0016 TList<Datasnap.DSService.TDSSessionEvent>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_25077_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.IndexOf 0016 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_24971_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.IndexOf 0016 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_25318_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.IndexOf 0016 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_25222_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.IndexOf 0016 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_25175_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSService.TPair<System.string,System.string>>.IndexOf 0016 TList<Datasnap.DSService.TPair<System.string,System.string>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_25592_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Remove"
		size = 31
		refs = "0007 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.IndexOf 0016 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_29694_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.Remove"
		size = 31
		refs = "0007 TList<GraphView.TGraphEdge>.IndexOf 0016 TList<GraphView.TGraphEdge>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_29804_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.Remove"
		size = 31
		refs = "0007 TList<GraphView.TGraphNode>.IndexOf 0016 TList<GraphView.TGraphNode>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_29749_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Remove"
		size = 31
		refs = "0007 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.IndexOf 0016 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_30566_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.Remove"
		size = 31
		refs = "0007 TList<IBDatabase.TIBBase>.IndexOf 0016 TList<IBDatabase.TIBBase>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_30668_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.Remove"
		size = 31
		refs = "0007 TList<IBDatabase.TIBDatabase>.IndexOf 0016 TList<IBDatabase.TIBDatabase>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_30617_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.Remove"
		size = 31
		refs = "0007 TList<IBDatabase.TIBTransaction>.IndexOf 0016 TList<IBDatabase.TIBTransaction>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_31359_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.Remove"
		size = 31
		refs = "0007 TList<IBIntf.IGDSLibrary>.IndexOf 0016 TList<IBIntf.IGDSLibrary>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_31261_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Remove"
		size = 31
		refs = "0007 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.IndexOf 0016 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_40379_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.Remove"
		size = 31
		refs = "0007 TList<IPPeerAPI.IIPContext>.IndexOf 0016 TList<IPPeerAPI.IIPContext>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_42986_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Remove"
		size = 31
		refs = "0007 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.IndexOf 0016 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_42743_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Remove"
		size = 31
		refs = "0007 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.IndexOf 0016 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_42888_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Remove"
		size = 31
		refs = "0007 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.IndexOf 0016 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_43033_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.Remove"
		size = 31
		refs = "0007 TList<IPPeerAPI.TPair<System.string,System.string>>.IndexOf 0016 TList<IPPeerAPI.TPair<System.string,System.string>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_40332_0 {
	meta:
		name = "TList<IdContext.TIdContext>.Remove"
		size = 31
		refs = "0007 TList<IdContext.TIdContext>.IndexOf 0016 TList<IdContext.TIdContext>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_40281_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Remove"
		size = 31
		refs = "0007 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.IndexOf 0016 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_40185_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.Remove"
		size = 31
		refs = "0007 TList<IndyPeerImpl.TPair<System.string,System.string>>.IndexOf 0016 TList<IndyPeerImpl.TPair<System.string,System.string>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_50050_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Remove"
		size = 31
		refs = "0007 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.IndexOf 0016 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_51235_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Remove"
		size = 31
		refs = "0007 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.IndexOf 0016 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_51090_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.Remove"
		size = 31
		refs = "0007 TList<SyncController.TPair<System.IInterface,System.Pointer>>.IndexOf 0016 TList<SyncController.TPair<System.IInterface,System.Pointer>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_51333_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.Remove"
		size = 31
		refs = "0007 TList<SyncController.TPair<System.TObject,System.string>>.IndexOf 0016 TList<SyncController.TPair<System.TObject,System.string>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_30846_0 {
	meta:
		name = "TList<System.AnsiString>.Remove"
		size = 31
		refs = "0007 TList<System.AnsiString>.IndexOf 0016 TList<System.AnsiString>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_51706_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.IndexOf 0016 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_54627_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.CustomScope.TScopeClass>.IndexOf 0016 TList<System.Bindings.CustomScope.TScopeClass>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_56357_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.EvalProtocol.ILocation>.IndexOf 0016 TList<System.Bindings.EvalProtocol.ILocation>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_53172_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.EvalProtocol.IScope>.IndexOf 0016 TList<System.Bindings.EvalProtocol.IScope>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_54074_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.EvalProtocol.ISubscription>.IndexOf 0016 TList<System.Bindings.EvalProtocol.ISubscription>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_52121_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.IndexOf 0016 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_52842_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.IndexOf 0016 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_52587_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.EvalSys.TOverload>.IndexOf 0016 TList<System.Bindings.EvalSys.TOverload>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_52744_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.IndexOf 0016 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_52646_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.IndexOf 0016 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_52795_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.IndexOf 0016 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_53219_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.IndexOf 0016 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_53602_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.IndexOf 0016 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_53747_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.IndexOf 0016 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_54121_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.IndexOf 0016 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_54266_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.IndexOf 0016 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_56112_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.IndexOf 0016 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_55824_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.IndexOf 0016 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_56255_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.IndexOf 0016 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_56306_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.IndexOf 0016 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_56063_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.IndexOf 0016 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_55871_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.IndexOf 0016 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_55483_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.IndexOf 0016 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_55918_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.IndexOf 0016 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_55726_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.IndexOf 0016 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_56206_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.IndexOf 0016 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_56404_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.IndexOf 0016 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_55581_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.IndexOf 0016 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_56159_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.IndexOf 0016 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_56837_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.IndexOf 0016 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_57045_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Manager.TBindingManager>.IndexOf 0016 TList<System.Bindings.Manager.TBindingManager>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_58606_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.IndexOf 0016 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_58459_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.IndexOf 0016 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_58218_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.IndexOf 0016 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_58557_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.IndexOf 0016 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_58506_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.IndexOf 0016 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_58265_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.IndexOf 0016 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_57830_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.IndexOf 0016 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_58410_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.IndexOf 0016 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_58120_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.IndexOf 0016 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_58314_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.IndexOf 0016 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_57975_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.IndexOf 0016 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_59138_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Methods.TMethodDescription>.IndexOf 0016 TList<System.Bindings.Methods.TMethodDescription>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_59040_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.IndexOf 0016 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_59185_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.IndexOf 0016 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_59693_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.IndexOf 0016 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_59914_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.IndexOf 0016 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_60283_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.IndexOf 0016 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_60108_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Outputs.TConvertPair>.IndexOf 0016 TList<System.Bindings.Outputs.TConvertPair>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_60849_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Outputs.TConverterDescription>.IndexOf 0016 TList<System.Bindings.Outputs.TConverterDescription>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_60751_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.IndexOf 0016 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_61004_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.IndexOf 0016 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_61257_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.IndexOf 0016 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_60798_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.IndexOf 0016 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_60949_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.IndexOf 0016 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_61102_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.IndexOf 0016 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_60700_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.IndexOf 0016 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_60900_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.IndexOf 0016 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_61161_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.IndexOf 0016 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_61694_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Remove"
		size = 31
		refs = "0007 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.IndexOf 0016 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_64884_0 {
	meta:
		name = "TList<System.Boolean>.Remove"
		size = 31
		refs = "0007 TList<System.Boolean>.IndexOf 0016 TList<System.Boolean>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2495_0 {
	meta:
		name = "TList<System.Classes.IObserver>.Remove"
		size = 31
		refs = "0007 TList<System.Classes.IObserver>.IndexOf 0016 TList<System.Classes.IObserver>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_88488_0 {
	meta:
		name = "TList<System.Classes.TComponent>.Remove"
		size = 31
		refs = "0007 TList<System.Classes.TComponent>.IndexOf 0016 TList<System.Classes.TComponent>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15898_0 {
	meta:
		name = "TList<System.Classes.TStream>.Remove"
		size = 31
		refs = "0007 TList<System.Classes.TStream>.IndexOf 0016 TList<System.Classes.TStream>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_24023_0 {
	meta:
		name = "TList<System.Classes.TStrings>.Remove"
		size = 31
		refs = "0007 TList<System.Classes.TStrings>.IndexOf 0016 TList<System.Classes.TStrings>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_63629_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Remove"
		size = 31
		refs = "0007 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.IndexOf 0016 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_63531_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Remove"
		size = 31
		refs = "0007 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.IndexOf 0016 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_64786_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Remove"
		size = 31
		refs = "0007 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.IndexOf 0016 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_54529_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Remove"
		size = 31
		refs = "0007 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.IndexOf 0016 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_52398_0 {
	meta:
		name = "TList<System.IInterface>.Remove"
		size = 31
		refs = "0007 TList<System.IInterface>.IndexOf 0016 TList<System.IInterface>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_24558_0 {
	meta:
		name = "TList<System.Integer>.Remove"
		size = 31
		refs = "0007 TList<System.Integer>.IndexOf 0016 TList<System.Integer>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_22938_0 {
	meta:
		name = "TList<System.Masks.TMask>.Remove"
		size = 31
		refs = "0007 TList<System.Masks.TMask>.IndexOf 0016 TList<System.Masks.TMask>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_61792_0 {
	meta:
		name = "TList<System.Pointer>.Remove"
		size = 31
		refs = "0007 TList<System.Pointer>.IndexOf 0016 TList<System.Pointer>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_67385_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.Remove"
		size = 31
		refs = "0007 TList<System.Rtti.TMethodImplementation.TParamLoc>.IndexOf 0016 TList<System.Rtti.TMethodImplementation.TParamLoc>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_68114_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Remove"
		size = 31
		refs = "0007 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.IndexOf 0016 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_68281_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Remove"
		size = 31
		refs = "0007 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.IndexOf 0016 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_68424_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Remove"
		size = 31
		refs = "0007 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.IndexOf 0016 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_68002_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.Remove"
		size = 31
		refs = "0007 TList<System.Rtti.TRttiField>.IndexOf 0016 TList<System.Rtti.TRttiField>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_68054_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.Remove"
		size = 31
		refs = "0007 TList<System.Rtti.TRttiManagedField>.IndexOf 0016 TList<System.Rtti.TRttiManagedField>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_67949_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.Remove"
		size = 31
		refs = "0007 TList<System.Rtti.TRttiMethod>.IndexOf 0016 TList<System.Rtti.TRttiMethod>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_68212_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.Remove"
		size = 31
		refs = "0007 TList<System.Rtti.TRttiObject>.IndexOf 0016 TList<System.Rtti.TRttiObject>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_67897_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.Remove"
		size = 31
		refs = "0007 TList<System.Rtti.TRttiProperty>.IndexOf 0016 TList<System.Rtti.TRttiProperty>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_67562_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.Remove"
		size = 31
		refs = "0007 TList<System.Rtti.TVirtualInterface.TImplInfo>.IndexOf 0016 TList<System.Rtti.TVirtualInterface.TImplInfo>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_67507_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Remove"
		size = 31
		refs = "0007 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.IndexOf 0016 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_60405_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.Remove"
		size = 31
		refs = "0007 TList<System.SysUtils.TProc<System.Rtti.TValue>>.IndexOf 0016 TList<System.SysUtils.TProc<System.Rtti.TValue>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_86616_0 {
	meta:
		name = "TList<System.TClass>.Remove"
		size = 31
		refs = "0007 TList<System.TClass>.IndexOf 0016 TList<System.TClass>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_67840_0 {
	meta:
		name = "TList<System.TCustomAttribute>.Remove"
		size = 31
		refs = "0007 TList<System.TCustomAttribute>.IndexOf 0016 TList<System.TCustomAttribute>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_42794_0 {
	meta:
		name = "TList<System.TGUID>.Remove"
		size = 31
		refs = "0007 TList<System.TGUID>.IndexOf 0016 TList<System.TGUID>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10466_0 {
	meta:
		name = "TList<System.TObject>.Remove"
		size = 31
		refs = "0007 TList<System.TObject>.IndexOf 0016 TList<System.TObject>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_68330_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.Remove"
		size = 31
		refs = "0007 TList<System.TypInfo.PTypeInfo>.IndexOf 0016 TList<System.TypInfo.PTypeInfo>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_88390_0 {
	meta:
		name = "TList<System.Types.TPoint>.Remove"
		size = 31
		refs = "0007 TList<System.Types.TPoint>.IndexOf 0016 TList<System.Types.TPoint>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_50101_0 {
	meta:
		name = "TList<System.Variant>.Remove"
		size = 31
		refs = "0007 TList<System.Variant>.IndexOf 0016 TList<System.Variant>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_63582_0 {
	meta:
		name = "TList<System.Word>.Remove"
		size = 31
		refs = "0007 TList<System.Word>.IndexOf 0016 TList<System.Word>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_71777_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Remove"
		size = 31
		refs = "0007 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.IndexOf 0016 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_71679_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Remove"
		size = 31
		refs = "0007 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.IndexOf 0016 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_71730_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.Remove"
		size = 31
		refs = "0007 TList<System.Zip.TZipCompression>.IndexOf 0016 TList<System.Zip.TZipCompression>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_71632_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.Remove"
		size = 31
		refs = "0007 TList<System.Zip.TZipHeader>.IndexOf 0016 TList<System.Zip.TZipHeader>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2333_0 {
	meta:
		name = "TList<System.string>.Remove"
		size = 31
		refs = "0007 TList<System.string>.IndexOf 0016 TList<System.string>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_88858_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Controls.TControl>.IndexOf 0016 TList<Vcl.Controls.TControl>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_89263_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Controls.TCustomGestureCollectionItem>.IndexOf 0016 TList<Vcl.Controls.TCustomGestureCollectionItem>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_88740_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Controls.TCustomGestureManager>.IndexOf 0016 TList<Vcl.Controls.TCustomGestureManager>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78600_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.IndexOf 0016 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_86663_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.IndexOf 0016 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_86416_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.IndexOf 0016 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_86565_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.IndexOf 0016 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_87634_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Themes.TCustomStyleEngineClass>.IndexOf 0016 TList<Vcl.Themes.TCustomStyleEngineClass>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_87685_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Themes.TCustomStyleServices>.IndexOf 0016 TList<Vcl.Themes.TCustomStyleServices>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_87885_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.IndexOf 0016 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_87787_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.IndexOf 0016 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_87932_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.IndexOf 0016 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_86514_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Themes.TStyleHook>.IndexOf 0016 TList<Vcl.Themes.TStyleHook>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_86297_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Themes.TStyleHookClass>.IndexOf 0016 TList<Vcl.Themes.TStyleHookClass>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_88030_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Themes.TStyleManager.TSourceInfo>.IndexOf 0016 TList<Vcl.Themes.TStyleManager.TSourceInfo>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_87583_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.IndexOf 0016 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_88535_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.IndexOf 0016 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_88437_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.IndexOf 0016 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_89011_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Touch.GestureMgr.TGestureCollection>.IndexOf 0016 TList<Vcl.Touch.GestureMgr.TGestureCollection>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_88960_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.IndexOf 0016 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_89314_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Touch.Gestures.TGesturePoint>.IndexOf 0016 TList<Vcl.Touch.Gestures.TGesturePoint>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_89494_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.IndexOf 0016 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_89545_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.IndexOf 0016 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_89827_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.IndexOf 0016 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_89725_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.IndexOf 0016 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_89878_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.IndexOf 0016 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_89776_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Remove"
		size = 31
		refs = "0007 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.IndexOf 0016 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96343_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Remove"
		size = 31
		refs = "0007 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.IndexOf 0016 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2002_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Bindings.Expression.TBindingExpression>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Expression.TBindingExpression>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28546_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.DeleteRange"
		size = 305
		refs = "0018 TList<DSAzureBlob.TBBlob>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<DSAzureBlob.TBBlob>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28768_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.DeleteRange"
		size = 305
		refs = "0018 TList<DSAzureBlob.TBBlock>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<DSAzureBlob.TBBlock>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28422_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.DeleteRange"
		size = 305
		refs = "0018 TList<DSAzureBlob.TBContainer>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<DSAzureBlob.TBContainer>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28711_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.DeleteRange"
		size = 305
		refs = "0018 TList<DSAzureBlob.TBPageRange>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<DSAzureBlob.TBPageRange>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28654_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.DeleteRange"
		size = 305
		refs = "0018 TList<DSAzureBlob.TBSignedIdentifier>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<DSAzureBlob.TBSignedIdentifier>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28601_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.DeleteRange"
		size = 305
		refs = "0018 TList<DSAzureBlob.TLeaseItem>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<DSAzureBlob.TLeaseItem>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29069_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.DeleteRange"
		size = 305
		refs = "0018 TList<DSAzureQueue.TMessageNodeData>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<DSAzureQueue.TMessageNodeData>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29487_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.DeleteRange"
		size = 305
		refs = "0018 TList<DSAzureTableDialog.TAzureTableColumn>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<DSAzureTableDialog.TAzureTableColumn>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29342_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.DeleteRange"
		size = 305
		refs = "0018 TList<DSAzureTableDialog.TAzureTableRow>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<DSAzureTableDialog.TAzureTableRow>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2104_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.DeleteRange"
		size = 305
		refs = "0018 TList<Data.Bind.Components.TBasicBindComponent>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Bind.Components.TBasicBindComponent>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2280_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.DeleteRange"
		size = 305
		refs = "0018 TList<Data.Bind.Components.TBindEditorFactoryClass>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Bind.Components.TBindEditorFactoryClass>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2053_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.DeleteRange"
		size = 305
		refs = "0018 TList<Data.Bind.Components.TContainedBindComponent>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Bind.Components.TContainedBindComponent>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2754_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.DeleteRange"
		size = 305
		refs = "0018 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3096_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.DeleteRange"
		size = 305
		refs = "0018 TList<Data.Bind.DBScope.TBaseDataLink>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Bind.DBScope.TBaseDataLink>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4676_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.DeleteRange"
		size = 305
		refs = "0018 TList<Data.Cloud.AzureAPI.TAzureBlob>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Cloud.AzureAPI.TAzureBlob>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4574_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.DeleteRange"
		size = 305
		refs = "0018 TList<Data.Cloud.AzureAPI.TAzureContainer>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Cloud.AzureAPI.TAzureContainer>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4625_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.DeleteRange"
		size = 305
		refs = "0018 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Cloud.AzureAPI.TSignedIdentifier>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4421_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.DeleteRange"
		size = 305
		refs = "0018 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4052_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.DeleteRange"
		size = 305
		refs = "0018 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Cloud.CloudAPI.TCloudTableColumn>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3644_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.DeleteRange"
		size = 305
		refs = "0018 TList<Data.Cloud.CloudAPI.TCloudTableRow>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Cloud.CloudAPI.TCloudTableRow>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18033_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.DeleteRange"
		size = 305
		refs = "0018 TList<Data.DBXCommon.TDBXParameter>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.DBXCommon.TDBXParameter>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7894_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.DeleteRange"
		size = 305
		refs = "0018 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8614_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.DeleteRange"
		size = 305
		refs = "0018 TList<Data.DBXCommon.TDBXWritableValueArray>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.DBXCommon.TDBXWritableValueArray>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25130_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.DeleteRange"
		size = 305
		refs = "0018 TList<Data.DBXCommon.TResultCommandHandler>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.DBXCommon.TResultCommandHandler>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10371_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.DeleteRange"
		size = 305
		refs = "0018 TList<Data.DBXJSON.TJSONAncestor>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.DBXJSON.TJSONAncestor>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10324_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.DeleteRange"
		size = 305
		refs = "0018 TList<Data.DBXJSONReflect.TConverterEvent>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.DBXJSONReflect.TConverterEvent>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10564_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.DeleteRange"
		size = 305
		refs = "0018 TList<Data.DBXJSONReflect.TReverterEvent>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.DBXJSONReflect.TReverterEvent>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11103_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.DeleteRange"
		size = 305
		refs = "0018 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16278_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.DeleteRange"
		size = 305
		refs = "0018 TList<Datasnap.DSClientRest.TDSRestClientCallback>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSClientRest.TDSRestClientCallback>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_21666_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.DeleteRange"
		size = 305
		refs = "0018 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSCommonProxy.IDSProxyWriter>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17398_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.DeleteRange"
		size = 305
		refs = "0018 TList<Datasnap.DSHTTP.TDSHTTPClass>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSHTTP.TDSHTTPClass>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18392_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.DeleteRange"
		size = 305
		refs = "0018 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18084_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.DeleteRange"
		size = 305
		refs = "0018 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17762_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.DeleteRange"
		size = 305
		refs = "0018 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23731_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.DeleteRange"
		size = 305
		refs = "0018 TList<Datasnap.DSServer.TDSCallbackTunnel>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSServer.TDSCallbackTunnel>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23680_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.DeleteRange"
		size = 305
		refs = "0018 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24505_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.DeleteRange"
		size = 305
		refs = "0018 TList<Datasnap.DSService.TDBXRequestFilter>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSService.TDBXRequestFilter>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24926_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.DeleteRange"
		size = 305
		refs = "0018 TList<Datasnap.DSService.TDSSession>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSService.TDSSession>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24875_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.DeleteRange"
		size = 305
		refs = "0018 TList<Datasnap.DSService.TDSSessionEvent>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSService.TDSSessionEvent>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29696_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.DeleteRange"
		size = 305
		refs = "0018 TList<GraphView.TGraphEdge>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<GraphView.TGraphEdge>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29806_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.DeleteRange"
		size = 305
		refs = "0018 TList<GraphView.TGraphNode>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<GraphView.TGraphNode>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29751_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.DeleteRange"
		size = 305
		refs = "0018 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<GraphView.TObjectList<GraphView.TGraphEdge>>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30568_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.DeleteRange"
		size = 305
		refs = "0018 TList<IBDatabase.TIBBase>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<IBDatabase.TIBBase>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30670_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.DeleteRange"
		size = 305
		refs = "0018 TList<IBDatabase.TIBDatabase>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<IBDatabase.TIBDatabase>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30619_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.DeleteRange"
		size = 305
		refs = "0018 TList<IBDatabase.TIBTransaction>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<IBDatabase.TIBTransaction>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31361_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.DeleteRange"
		size = 305
		refs = "0018 TList<IBIntf.IGDSLibrary>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<IBIntf.IGDSLibrary>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40381_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.DeleteRange"
		size = 305
		refs = "0018 TList<IPPeerAPI.IIPContext>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<IPPeerAPI.IIPContext>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42988_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.DeleteRange"
		size = 305
		refs = "0018 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40334_0 {
	meta:
		name = "TList<IdContext.TIdContext>.DeleteRange"
		size = 305
		refs = "0018 TList<IdContext.TIdContext>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<IdContext.TIdContext>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30848_0 {
	meta:
		name = "TList<System.AnsiString>.DeleteRange"
		size = 305
		refs = "0018 TList<System.AnsiString>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.AnsiString>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_54629_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Bindings.CustomScope.TScopeClass>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.CustomScope.TScopeClass>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56359_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Bindings.EvalProtocol.ILocation>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.EvalProtocol.ILocation>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53174_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Bindings.EvalProtocol.IScope>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.EvalProtocol.IScope>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53027_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Bindings.EvalProtocol.ISubscription>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.EvalProtocol.ISubscription>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52844_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52589_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Bindings.EvalSys.TOverload>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.EvalSys.TOverload>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56114_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_55826_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56257_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_57047_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Bindings.Manager.TBindingManager>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Manager.TBindingManager>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_58608_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_58461_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_58220_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59916_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_60753_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2497_0 {
	meta:
		name = "TList<System.Classes.IObserver>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Classes.IObserver>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Classes.IObserver>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88490_0 {
	meta:
		name = "TList<System.Classes.TComponent>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Classes.TComponent>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Classes.TComponent>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15900_0 {
	meta:
		name = "TList<System.Classes.TStream>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Classes.TStream>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Classes.TStream>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24025_0 {
	meta:
		name = "TList<System.Classes.TStrings>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Classes.TStrings>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Classes.TStrings>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_63631_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.DeleteRange"
		size = 305
		refs = "0018 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56937_0 {
	meta:
		name = "TList<System.IInterface>.DeleteRange"
		size = 305
		refs = "0018 TList<System.IInterface>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.IInterface>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_58075_0 {
	meta:
		name = "TList<System.Integer>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Integer>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Integer>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22940_0 {
	meta:
		name = "TList<System.Masks.TMask>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Masks.TMask>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Masks.TMask>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_57930_0 {
	meta:
		name = "TList<System.Pointer>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Pointer>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Pointer>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68004_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Rtti.TRttiField>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Rtti.TRttiField>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68056_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Rtti.TRttiManagedField>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Rtti.TRttiManagedField>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67951_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Rtti.TRttiMethod>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Rtti.TRttiMethod>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68214_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Rtti.TRttiObject>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Rtti.TRttiObject>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67899_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Rtti.TRttiProperty>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Rtti.TRttiProperty>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67564_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Rtti.TVirtualInterface.TImplInfo>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Rtti.TVirtualInterface.TImplInfo>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67509_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.DeleteRange"
		size = 305
		refs = "0018 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_60407_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.DeleteRange"
		size = 305
		refs = "0018 TList<System.SysUtils.TProc<System.Rtti.TValue>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.SysUtils.TProc<System.Rtti.TValue>>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_87840_0 {
	meta:
		name = "TList<System.TClass>.DeleteRange"
		size = 305
		refs = "0018 TList<System.TClass>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.TClass>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67842_0 {
	meta:
		name = "TList<System.TCustomAttribute>.DeleteRange"
		size = 305
		refs = "0018 TList<System.TCustomAttribute>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.TCustomAttribute>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25273_0 {
	meta:
		name = "TList<System.TObject>.DeleteRange"
		size = 305
		refs = "0018 TList<System.TObject>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.TObject>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68332_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.DeleteRange"
		size = 305
		refs = "0018 TList<System.TypInfo.PTypeInfo>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.TypInfo.PTypeInfo>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_60454_0 {
	meta:
		name = "TList<System.string>.DeleteRange"
		size = 305
		refs = "0018 TList<System.string>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.string>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88860_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.DeleteRange"
		size = 305
		refs = "0018 TList<Vcl.Controls.TControl>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Controls.TControl>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89265_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.DeleteRange"
		size = 305
		refs = "0018 TList<Vcl.Controls.TCustomGestureCollectionItem>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Controls.TCustomGestureCollectionItem>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88742_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.DeleteRange"
		size = 305
		refs = "0018 TList<Vcl.Controls.TCustomGestureManager>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Controls.TCustomGestureManager>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_78602_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.DeleteRange"
		size = 305
		refs = "0018 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Direct2D.TDirect2DGraphicsObject>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_86665_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.DeleteRange"
		size = 305
		refs = "0018 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_87636_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.DeleteRange"
		size = 305
		refs = "0018 TList<Vcl.Themes.TCustomStyleEngineClass>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Themes.TCustomStyleEngineClass>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_87687_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.DeleteRange"
		size = 305
		refs = "0018 TList<Vcl.Themes.TCustomStyleServices>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Themes.TCustomStyleServices>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_87887_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.DeleteRange"
		size = 305
		refs = "0018 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_86516_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.DeleteRange"
		size = 305
		refs = "0018 TList<Vcl.Themes.TStyleHook>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Themes.TStyleHook>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_87391_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.DeleteRange"
		size = 305
		refs = "0018 TList<Vcl.Themes.TStyleHookClass>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Themes.TStyleHookClass>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88537_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.DeleteRange"
		size = 305
		refs = "0018 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89013_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.DeleteRange"
		size = 305
		refs = "0018 TList<Vcl.Touch.GestureMgr.TGestureCollection>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Touch.GestureMgr.TGestureCollection>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89496_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.DeleteRange"
		size = 305
		refs = "0018 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89598_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.DeleteRange"
		size = 305
		refs = "0018 TList<Vcl.Touch.KeyboardTypes.TKeyData>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Touch.KeyboardTypes.TKeyData>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89880_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.DeleteRange"
		size = 305
		refs = "0018 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89778_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.DeleteRange"
		size = 305
		refs = "0018 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.:3 0068 @DynArraySetLength 007f Move 00c3 @FillChar 00e3 @DynArrayLength 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 AF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 B8 8B CE 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 38 8B 53 04 8D 14 BA 52 8D 14 3E 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 13 8B 43 04 8D 04 B8 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8B 14 B0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2003_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.Extract"
		size = 41
		refs = "0007 TList<System.Bindings.Expression.TBindingExpression>.IndexOf 0020 TList<System.Bindings.Expression.TBindingExpression>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28547_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.Extract"
		size = 41
		refs = "0007 TList<DSAzureBlob.TBBlob>.IndexOf 0020 TList<DSAzureBlob.TBBlob>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28769_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.Extract"
		size = 41
		refs = "0007 TList<DSAzureBlob.TBBlock>.IndexOf 0020 TList<DSAzureBlob.TBBlock>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28423_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.Extract"
		size = 41
		refs = "0007 TList<DSAzureBlob.TBContainer>.IndexOf 0020 TList<DSAzureBlob.TBContainer>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28712_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.Extract"
		size = 41
		refs = "0007 TList<DSAzureBlob.TBPageRange>.IndexOf 0020 TList<DSAzureBlob.TBPageRange>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28655_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.Extract"
		size = 41
		refs = "0007 TList<DSAzureBlob.TBSignedIdentifier>.IndexOf 0020 TList<DSAzureBlob.TBSignedIdentifier>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28602_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.Extract"
		size = 41
		refs = "0007 TList<DSAzureBlob.TLeaseItem>.IndexOf 0020 TList<DSAzureBlob.TLeaseItem>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_29070_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.Extract"
		size = 41
		refs = "0007 TList<DSAzureQueue.TMessageNodeData>.IndexOf 0020 TList<DSAzureQueue.TMessageNodeData>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_29488_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.Extract"
		size = 41
		refs = "0007 TList<DSAzureTableDialog.TAzureTableColumn>.IndexOf 0020 TList<DSAzureTableDialog.TAzureTableColumn>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_29343_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.Extract"
		size = 41
		refs = "0007 TList<DSAzureTableDialog.TAzureTableRow>.IndexOf 0020 TList<DSAzureTableDialog.TAzureTableRow>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2105_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.Extract"
		size = 41
		refs = "0007 TList<Data.Bind.Components.TBasicBindComponent>.IndexOf 0020 TList<Data.Bind.Components.TBasicBindComponent>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2281_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.Extract"
		size = 41
		refs = "0007 TList<Data.Bind.Components.TBindEditorFactoryClass>.IndexOf 0020 TList<Data.Bind.Components.TBindEditorFactoryClass>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2054_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.Extract"
		size = 41
		refs = "0007 TList<Data.Bind.Components.TContainedBindComponent>.IndexOf 0020 TList<Data.Bind.Components.TContainedBindComponent>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2755_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Extract"
		size = 41
		refs = "0007 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.IndexOf 0020 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3097_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.Extract"
		size = 41
		refs = "0007 TList<Data.Bind.DBScope.TBaseDataLink>.IndexOf 0020 TList<Data.Bind.DBScope.TBaseDataLink>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4677_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.Extract"
		size = 41
		refs = "0007 TList<Data.Cloud.AzureAPI.TAzureBlob>.IndexOf 0020 TList<Data.Cloud.AzureAPI.TAzureBlob>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4575_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.Extract"
		size = 41
		refs = "0007 TList<Data.Cloud.AzureAPI.TAzureContainer>.IndexOf 0020 TList<Data.Cloud.AzureAPI.TAzureContainer>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4626_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Extract"
		size = 41
		refs = "0007 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.IndexOf 0020 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4422_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Extract"
		size = 41
		refs = "0007 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.IndexOf 0020 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5009_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Extract"
		size = 41
		refs = "0007 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.IndexOf 0020 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3645_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.Extract"
		size = 41
		refs = "0007 TList<Data.Cloud.CloudAPI.TCloudTableRow>.IndexOf 0020 TList<Data.Cloud.CloudAPI.TCloudTableRow>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_18034_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.Extract"
		size = 41
		refs = "0007 TList<Data.DBXCommon.TDBXParameter>.IndexOf 0020 TList<Data.DBXCommon.TDBXParameter>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7895_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Extract"
		size = 41
		refs = "0007 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.IndexOf 0020 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_25131_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.Extract"
		size = 41
		refs = "0007 TList<Data.DBXCommon.TResultCommandHandler>.IndexOf 0020 TList<Data.DBXCommon.TResultCommandHandler>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10372_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.Extract"
		size = 41
		refs = "0007 TList<Data.DBXJSON.TJSONAncestor>.IndexOf 0020 TList<Data.DBXJSON.TJSONAncestor>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_23834_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.Extract"
		size = 41
		refs = "0007 TList<Data.DBXJSONReflect.TConverterEvent>.IndexOf 0020 TList<Data.DBXJSONReflect.TConverterEvent>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_23930_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.Extract"
		size = 41
		refs = "0007 TList<Data.DBXJSONReflect.TReverterEvent>.IndexOf 0020 TList<Data.DBXJSONReflect.TReverterEvent>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11104_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Extract"
		size = 41
		refs = "0007 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.IndexOf 0020 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16279_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.Extract"
		size = 41
		refs = "0007 TList<Datasnap.DSClientRest.TDSRestClientCallback>.IndexOf 0020 TList<Datasnap.DSClientRest.TDSRestClientCallback>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17399_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.Extract"
		size = 41
		refs = "0007 TList<Datasnap.DSHTTP.TDSHTTPClass>.IndexOf 0020 TList<Datasnap.DSHTTP.TDSHTTPClass>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_18393_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Extract"
		size = 41
		refs = "0007 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.IndexOf 0020 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_18085_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Extract"
		size = 41
		refs = "0007 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.IndexOf 0020 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17763_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Extract"
		size = 41
		refs = "0007 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.IndexOf 0020 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_23732_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.Extract"
		size = 41
		refs = "0007 TList<Datasnap.DSServer.TDSCallbackTunnel>.IndexOf 0020 TList<Datasnap.DSServer.TDSCallbackTunnel>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_18189_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.Extract"
		size = 41
		refs = "0007 TList<Datasnap.DSService.TDBXRequestFilter>.IndexOf 0020 TList<Datasnap.DSService.TDBXRequestFilter>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_18818_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.Extract"
		size = 41
		refs = "0007 TList<Datasnap.DSService.TDSSession>.IndexOf 0020 TList<Datasnap.DSService.TDSSession>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_29697_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.Extract"
		size = 41
		refs = "0007 TList<GraphView.TGraphEdge>.IndexOf 0020 TList<GraphView.TGraphEdge>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_29807_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.Extract"
		size = 41
		refs = "0007 TList<GraphView.TGraphNode>.IndexOf 0020 TList<GraphView.TGraphNode>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_29752_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Extract"
		size = 41
		refs = "0007 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.IndexOf 0020 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_30569_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.Extract"
		size = 41
		refs = "0007 TList<IBDatabase.TIBBase>.IndexOf 0020 TList<IBDatabase.TIBBase>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_30671_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.Extract"
		size = 41
		refs = "0007 TList<IBDatabase.TIBDatabase>.IndexOf 0020 TList<IBDatabase.TIBDatabase>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_30620_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.Extract"
		size = 41
		refs = "0007 TList<IBDatabase.TIBTransaction>.IndexOf 0020 TList<IBDatabase.TIBTransaction>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_42989_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Extract"
		size = 41
		refs = "0007 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.IndexOf 0020 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_40335_0 {
	meta:
		name = "TList<IdContext.TIdContext>.Extract"
		size = 41
		refs = "0007 TList<IdContext.TIdContext>.IndexOf 0020 TList<IdContext.TIdContext>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_54630_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.Extract"
		size = 41
		refs = "0007 TList<System.Bindings.CustomScope.TScopeClass>.IndexOf 0020 TList<System.Bindings.CustomScope.TScopeClass>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_52590_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.Extract"
		size = 41
		refs = "0007 TList<System.Bindings.EvalSys.TOverload>.IndexOf 0020 TList<System.Bindings.EvalSys.TOverload>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_56115_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Extract"
		size = 41
		refs = "0007 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.IndexOf 0020 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_55827_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Extract"
		size = 41
		refs = "0007 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.IndexOf 0020 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_56258_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Extract"
		size = 41
		refs = "0007 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.IndexOf 0020 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_57048_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.Extract"
		size = 41
		refs = "0007 TList<System.Bindings.Manager.TBindingManager>.IndexOf 0020 TList<System.Bindings.Manager.TBindingManager>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_58609_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Extract"
		size = 41
		refs = "0007 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.IndexOf 0020 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_58462_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Extract"
		size = 41
		refs = "0007 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.IndexOf 0020 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_58221_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Extract"
		size = 41
		refs = "0007 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.IndexOf 0020 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_60754_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Extract"
		size = 41
		refs = "0007 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.IndexOf 0020 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_86470_0 {
	meta:
		name = "TList<System.Classes.TComponent>.Extract"
		size = 41
		refs = "0007 TList<System.Classes.TComponent>.IndexOf 0020 TList<System.Classes.TComponent>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15901_0 {
	meta:
		name = "TList<System.Classes.TStream>.Extract"
		size = 41
		refs = "0007 TList<System.Classes.TStream>.IndexOf 0020 TList<System.Classes.TStream>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_24026_0 {
	meta:
		name = "TList<System.Classes.TStrings>.Extract"
		size = 41
		refs = "0007 TList<System.Classes.TStrings>.IndexOf 0020 TList<System.Classes.TStrings>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_63632_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Extract"
		size = 41
		refs = "0007 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.IndexOf 0020 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_58076_0 {
	meta:
		name = "TList<System.Integer>.Extract"
		size = 41
		refs = "0007 TList<System.Integer>.IndexOf 0020 TList<System.Integer>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_22941_0 {
	meta:
		name = "TList<System.Masks.TMask>.Extract"
		size = 41
		refs = "0007 TList<System.Masks.TMask>.IndexOf 0020 TList<System.Masks.TMask>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_68168_0 {
	meta:
		name = "TList<System.Pointer>.Extract"
		size = 41
		refs = "0007 TList<System.Pointer>.IndexOf 0020 TList<System.Pointer>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_68005_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.Extract"
		size = 41
		refs = "0007 TList<System.Rtti.TRttiField>.IndexOf 0020 TList<System.Rtti.TRttiField>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_68057_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.Extract"
		size = 41
		refs = "0007 TList<System.Rtti.TRttiManagedField>.IndexOf 0020 TList<System.Rtti.TRttiManagedField>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_67952_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.Extract"
		size = 41
		refs = "0007 TList<System.Rtti.TRttiMethod>.IndexOf 0020 TList<System.Rtti.TRttiMethod>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_68215_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.Extract"
		size = 41
		refs = "0007 TList<System.Rtti.TRttiObject>.IndexOf 0020 TList<System.Rtti.TRttiObject>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_67900_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.Extract"
		size = 41
		refs = "0007 TList<System.Rtti.TRttiProperty>.IndexOf 0020 TList<System.Rtti.TRttiProperty>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_67565_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.Extract"
		size = 41
		refs = "0007 TList<System.Rtti.TVirtualInterface.TImplInfo>.IndexOf 0020 TList<System.Rtti.TVirtualInterface.TImplInfo>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_67510_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Extract"
		size = 41
		refs = "0007 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.IndexOf 0020 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_54583_0 {
	meta:
		name = "TList<System.TClass>.Extract"
		size = 41
		refs = "0007 TList<System.TClass>.IndexOf 0020 TList<System.TClass>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_67843_0 {
	meta:
		name = "TList<System.TCustomAttribute>.Extract"
		size = 41
		refs = "0007 TList<System.TCustomAttribute>.IndexOf 0020 TList<System.TCustomAttribute>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_23207_0 {
	meta:
		name = "TList<System.TObject>.Extract"
		size = 41
		refs = "0007 TList<System.TObject>.IndexOf 0020 TList<System.TObject>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_68333_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.Extract"
		size = 41
		refs = "0007 TList<System.TypInfo.PTypeInfo>.IndexOf 0020 TList<System.TypInfo.PTypeInfo>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_88861_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.Extract"
		size = 41
		refs = "0007 TList<Vcl.Controls.TControl>.IndexOf 0020 TList<Vcl.Controls.TControl>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_88912_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.Extract"
		size = 41
		refs = "0007 TList<Vcl.Controls.TCustomGestureCollectionItem>.IndexOf 0020 TList<Vcl.Controls.TCustomGestureCollectionItem>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_88743_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.Extract"
		size = 41
		refs = "0007 TList<Vcl.Controls.TCustomGestureManager>.IndexOf 0020 TList<Vcl.Controls.TCustomGestureManager>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78603_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Extract"
		size = 41
		refs = "0007 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.IndexOf 0020 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_86666_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Extract"
		size = 41
		refs = "0007 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.IndexOf 0020 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_87637_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.Extract"
		size = 41
		refs = "0007 TList<Vcl.Themes.TCustomStyleEngineClass>.IndexOf 0020 TList<Vcl.Themes.TCustomStyleEngineClass>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_87688_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.Extract"
		size = 41
		refs = "0007 TList<Vcl.Themes.TCustomStyleServices>.IndexOf 0020 TList<Vcl.Themes.TCustomStyleServices>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_87888_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Extract"
		size = 41
		refs = "0007 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.IndexOf 0020 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_86517_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.Extract"
		size = 41
		refs = "0007 TList<Vcl.Themes.TStyleHook>.IndexOf 0020 TList<Vcl.Themes.TStyleHook>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_87392_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.Extract"
		size = 41
		refs = "0007 TList<Vcl.Themes.TStyleHookClass>.IndexOf 0020 TList<Vcl.Themes.TStyleHookClass>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_89014_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.Extract"
		size = 41
		refs = "0007 TList<Vcl.Touch.GestureMgr.TGestureCollection>.IndexOf 0020 TList<Vcl.Touch.GestureMgr.TGestureCollection>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_89497_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Extract"
		size = 41
		refs = "0007 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.IndexOf 0020 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_89881_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Extract"
		size = 41
		refs = "0007 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.IndexOf 0020 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_89779_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Extract"
		size = 41
		refs = "0007 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.IndexOf 0020 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 11 8B 53 04 8B 34 82 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2004_0 {
	meta:
		name = "TList<T>.Exchange"
		size = 31
	strings:
		$1 = { 53 56 57 8B 58 04 8B 1C 93 8B 70 04 8B 34 8E 8B 78 04 89 34 97 8B 40 04 89 1C 88 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2005_0 {
	meta:
		name = "TList<T>.Move"
		size = 153
		refs = "001b SArgumentOutOfRange 0022 _Dn_EArgumentOutOfRangeException 0027 Exception.CreateRes 002c @RaiseExcept 005c Move 008a @FillChar"
	strings:
		$1 = { 53 56 57 55 8B F1 8B D8 3B F2 0F 84 84 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 3C 90 8B 43 04 33 C9 89 0C 90 3B F2 7E 20 8B 43 04 8D 44 90 04 8B 4B 04 8D 0C 91 8B EE 2B EA 8B D5 03 D2 03 D2 87 CA E8 ?? ?? ?? ?? EB 1A 2B D6 8B CA 03 C9 03 C9 8B 43 04 8D 04 B0 8B 53 04 8D 54 B2 04 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2007_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.Last"
		size = 10
		refs = "0005 TList<System.Bindings.Expression.TBindingExpression>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94109_0 {
	meta:
		name = "TCustomSeriesList.Last"
		size = 10
		refs = "0005 TCustomSeriesList.Get"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28551_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.Last"
		size = 10
		refs = "0005 TList<DSAzureBlob.TBBlob>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28773_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.Last"
		size = 10
		refs = "0005 TList<DSAzureBlob.TBBlock>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28427_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.Last"
		size = 10
		refs = "0005 TList<DSAzureBlob.TBContainer>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28716_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.Last"
		size = 10
		refs = "0005 TList<DSAzureBlob.TBPageRange>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28659_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.Last"
		size = 10
		refs = "0005 TList<DSAzureBlob.TBSignedIdentifier>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28606_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.Last"
		size = 10
		refs = "0005 TList<DSAzureBlob.TLeaseItem>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29074_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.Last"
		size = 10
		refs = "0005 TList<DSAzureQueue.TMessageNodeData>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29492_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.Last"
		size = 10
		refs = "0005 TList<DSAzureTableDialog.TAzureTableColumn>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29347_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.Last"
		size = 10
		refs = "0005 TList<DSAzureTableDialog.TAzureTableRow>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2109_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.Last"
		size = 10
		refs = "0005 TList<Data.Bind.Components.TBasicBindComponent>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2285_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.Last"
		size = 10
		refs = "0005 TList<Data.Bind.Components.TBindEditorFactoryClass>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2058_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.Last"
		size = 10
		refs = "0005 TList<Data.Bind.Components.TContainedBindComponent>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2759_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Last"
		size = 10
		refs = "0005 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3101_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.Last"
		size = 10
		refs = "0005 TList<Data.Bind.DBScope.TBaseDataLink>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4681_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.Last"
		size = 10
		refs = "0005 TList<Data.Cloud.AzureAPI.TAzureBlob>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4579_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.Last"
		size = 10
		refs = "0005 TList<Data.Cloud.AzureAPI.TAzureContainer>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4630_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Last"
		size = 10
		refs = "0005 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4426_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Last"
		size = 10
		refs = "0005 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4783_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Last"
		size = 10
		refs = "0005 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3649_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.Last"
		size = 10
		refs = "0005 TList<Data.Cloud.CloudAPI.TCloudTableRow>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16401_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.Last"
		size = 10
		refs = "0005 TList<Data.DBXCommon.TDBXParameter>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7899_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Last"
		size = 10
		refs = "0005 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25135_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.Last"
		size = 10
		refs = "0005 TList<Data.DBXCommon.TResultCommandHandler>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10376_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.Last"
		size = 10
		refs = "0005 TList<Data.DBXJSON.TJSONAncestor>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10329_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.Last"
		size = 10
		refs = "0005 TList<Data.DBXJSONReflect.TConverterEvent>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18589_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.Last"
		size = 10
		refs = "0005 TList<Data.DBXJSONReflect.TReverterEvent>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11108_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Last"
		size = 10
		refs = "0005 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16283_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.Last"
		size = 10
		refs = "0005 TList<Datasnap.DSClientRest.TDSRestClientCallback>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17403_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.Last"
		size = 10
		refs = "0005 TList<Datasnap.DSHTTP.TDSHTTPClass>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18397_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Last"
		size = 10
		refs = "0005 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18089_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Last"
		size = 10
		refs = "0005 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17767_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Last"
		size = 10
		refs = "0005 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23736_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.Last"
		size = 10
		refs = "0005 TList<Datasnap.DSServer.TDSCallbackTunnel>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18193_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.Last"
		size = 10
		refs = "0005 TList<Datasnap.DSService.TDBXRequestFilter>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11390_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.Last"
		size = 10
		refs = "0005 TList<Datasnap.DSService.TDSSession>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29701_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.Last"
		size = 10
		refs = "0005 TList<GraphView.TGraphEdge>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29811_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.Last"
		size = 10
		refs = "0005 TList<GraphView.TGraphNode>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29756_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Last"
		size = 10
		refs = "0005 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30573_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.Last"
		size = 10
		refs = "0005 TList<IBDatabase.TIBBase>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30675_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.Last"
		size = 10
		refs = "0005 TList<IBDatabase.TIBDatabase>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30624_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.Last"
		size = 10
		refs = "0005 TList<IBDatabase.TIBTransaction>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42993_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Last"
		size = 10
		refs = "0005 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40339_0 {
	meta:
		name = "TList<IdContext.TIdContext>.Last"
		size = 10
		refs = "0005 TList<IdContext.TIdContext>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54634_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.Last"
		size = 10
		refs = "0005 TList<System.Bindings.CustomScope.TScopeClass>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52594_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.Last"
		size = 10
		refs = "0005 TList<System.Bindings.EvalSys.TOverload>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56119_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Last"
		size = 10
		refs = "0005 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55831_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Last"
		size = 10
		refs = "0005 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56262_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Last"
		size = 10
		refs = "0005 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57052_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.Last"
		size = 10
		refs = "0005 TList<System.Bindings.Manager.TBindingManager>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58613_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Last"
		size = 10
		refs = "0005 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58466_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Last"
		size = 10
		refs = "0005 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58225_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Last"
		size = 10
		refs = "0005 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60758_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Last"
		size = 10
		refs = "0005 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64891_0 {
	meta:
		name = "TList<System.Boolean>.Last"
		size = 10
		refs = "0005 TList<System.Boolean>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86474_0 {
	meta:
		name = "TList<System.Classes.TComponent>.Last"
		size = 10
		refs = "0005 TList<System.Classes.TComponent>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15905_0 {
	meta:
		name = "TList<System.Classes.TStream>.Last"
		size = 10
		refs = "0005 TList<System.Classes.TStream>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24030_0 {
	meta:
		name = "TList<System.Classes.TStrings>.Last"
		size = 10
		refs = "0005 TList<System.Classes.TStrings>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63636_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Last"
		size = 10
		refs = "0005 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58080_0 {
	meta:
		name = "TList<System.Integer>.Last"
		size = 10
		refs = "0005 TList<System.Integer>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22945_0 {
	meta:
		name = "TList<System.Masks.TMask>.Last"
		size = 10
		refs = "0005 TList<System.Masks.TMask>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56023_0 {
	meta:
		name = "TList<System.Pointer>.Last"
		size = 10
		refs = "0005 TList<System.Pointer>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68009_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.Last"
		size = 10
		refs = "0005 TList<System.Rtti.TRttiField>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68061_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.Last"
		size = 10
		refs = "0005 TList<System.Rtti.TRttiManagedField>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67956_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.Last"
		size = 10
		refs = "0005 TList<System.Rtti.TRttiMethod>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68219_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.Last"
		size = 10
		refs = "0005 TList<System.Rtti.TRttiObject>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67904_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.Last"
		size = 10
		refs = "0005 TList<System.Rtti.TRttiProperty>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67569_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.Last"
		size = 10
		refs = "0005 TList<System.Rtti.TVirtualInterface.TImplInfo>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67514_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Last"
		size = 10
		refs = "0005 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54587_0 {
	meta:
		name = "TList<System.TClass>.Last"
		size = 10
		refs = "0005 TList<System.TClass>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67847_0 {
	meta:
		name = "TList<System.TCustomAttribute>.Last"
		size = 10
		refs = "0005 TList<System.TCustomAttribute>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10473_0 {
	meta:
		name = "TList<System.TObject>.Last"
		size = 10
		refs = "0005 TList<System.TObject>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68337_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.Last"
		size = 10
		refs = "0005 TList<System.TypInfo.PTypeInfo>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63589_0 {
	meta:
		name = "TList<System.Word>.Last"
		size = 10
		refs = "0005 TList<System.Word>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88865_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.Last"
		size = 10
		refs = "0005 TList<Vcl.Controls.TControl>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88916_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.Last"
		size = 10
		refs = "0005 TList<Vcl.Controls.TCustomGestureCollectionItem>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88747_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.Last"
		size = 10
		refs = "0005 TList<Vcl.Controls.TCustomGestureManager>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78607_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Last"
		size = 10
		refs = "0005 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86670_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Last"
		size = 10
		refs = "0005 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87641_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.Last"
		size = 10
		refs = "0005 TList<Vcl.Themes.TCustomStyleEngineClass>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87692_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.Last"
		size = 10
		refs = "0005 TList<Vcl.Themes.TCustomStyleServices>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87892_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Last"
		size = 10
		refs = "0005 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86521_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.Last"
		size = 10
		refs = "0005 TList<Vcl.Themes.TStyleHook>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87396_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.Last"
		size = 10
		refs = "0005 TList<Vcl.Themes.TStyleHookClass>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89018_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.Last"
		size = 10
		refs = "0005 TList<Vcl.Touch.GestureMgr.TGestureCollection>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89501_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Last"
		size = 10
		refs = "0005 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89885_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Last"
		size = 10
		refs = "0005 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89783_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Last"
		size = 10
		refs = "0005 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.GetItem"
	strings:
		$1 = { 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2008_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Expression.TBindingExpression>.SetCount 0011 TList<System.Bindings.Expression.TBindingExpression>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_32866_0 {
	meta:
		name = "TIdDateTimeStamp.ZeroTime"
		size = 23
		refs = "0008 TIdDateTimeStamp.SetSecond 0011 TIdDateTimeStamp.SetMillisecond"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39538_0 {
	meta:
		name = "TInDateTimeStamp.ZeroTime"
		size = 23
		refs = "0008 TInDateTimeStamp.SetSecond 0011 TInDateTimeStamp.SetMillisecond"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_62101_0 {
	meta:
		name = "TList.Clear"
		size = 23
		refs = "0008 TList.SetCount 0011 TList.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_26856_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Clear"
		size = 23
		refs = "0008 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.SetCount 0011 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_27080_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Clear"
		size = 23
		refs = "0008 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.SetCount 0011 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_27284_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Clear"
		size = 23
		refs = "0008 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.SetCount 0011 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_27516_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Clear"
		size = 23
		refs = "0008 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.SetCount 0011 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_27733_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Clear"
		size = 23
		refs = "0008 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.SetCount 0011 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_27934_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Clear"
		size = 23
		refs = "0008 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.SetCount 0011 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_28552_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.Clear"
		size = 23
		refs = "0008 TList<DSAzureBlob.TBBlob>.SetCount 0011 TList<DSAzureBlob.TBBlob>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_28774_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.Clear"
		size = 23
		refs = "0008 TList<DSAzureBlob.TBBlock>.SetCount 0011 TList<DSAzureBlob.TBBlock>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_28428_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.Clear"
		size = 23
		refs = "0008 TList<DSAzureBlob.TBContainer>.SetCount 0011 TList<DSAzureBlob.TBContainer>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_28717_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.Clear"
		size = 23
		refs = "0008 TList<DSAzureBlob.TBPageRange>.SetCount 0011 TList<DSAzureBlob.TBPageRange>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_28660_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.Clear"
		size = 23
		refs = "0008 TList<DSAzureBlob.TBSignedIdentifier>.SetCount 0011 TList<DSAzureBlob.TBSignedIdentifier>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_28607_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.Clear"
		size = 23
		refs = "0008 TList<DSAzureBlob.TLeaseItem>.SetCount 0011 TList<DSAzureBlob.TLeaseItem>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_28831_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.Clear"
		size = 23
		refs = "0008 TList<DSAzureBlob.TPair<System.string,System.string>>.SetCount 0011 TList<DSAzureBlob.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29075_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.Clear"
		size = 23
		refs = "0008 TList<DSAzureQueue.TMessageNodeData>.SetCount 0011 TList<DSAzureQueue.TMessageNodeData>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29493_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.Clear"
		size = 23
		refs = "0008 TList<DSAzureTableDialog.TAzureTableColumn>.SetCount 0011 TList<DSAzureTableDialog.TAzureTableColumn>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29348_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.Clear"
		size = 23
		refs = "0008 TList<DSAzureTableDialog.TAzureTableRow>.SetCount 0011 TList<DSAzureTableDialog.TAzureTableRow>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29395_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Clear"
		size = 23
		refs = "0008 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.SetCount 0011 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2110_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.Clear"
		size = 23
		refs = "0008 TList<Data.Bind.Components.TBasicBindComponent>.SetCount 0011 TList<Data.Bind.Components.TBasicBindComponent>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2286_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.Clear"
		size = 23
		refs = "0008 TList<Data.Bind.Components.TBindEditorFactoryClass>.SetCount 0011 TList<Data.Bind.Components.TBindEditorFactoryClass>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2059_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.Clear"
		size = 23
		refs = "0008 TList<Data.Bind.Components.TContainedBindComponent>.SetCount 0011 TList<Data.Bind.Components.TContainedBindComponent>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2405_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Clear"
		size = 23
		refs = "0008 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.SetCount 0011 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2760_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Clear"
		size = 23
		refs = "0008 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.SetCount 0011 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3102_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.Clear"
		size = 23
		refs = "0008 TList<Data.Bind.DBScope.TBaseDataLink>.SetCount 0011 TList<Data.Bind.DBScope.TBaseDataLink>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3004_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Clear"
		size = 23
		refs = "0008 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.SetCount 0011 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3599_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Clear"
		size = 23
		refs = "0008 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.SetCount 0011 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3854_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Clear"
		size = 23
		refs = "0008 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.SetCount 0011 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3956_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Clear"
		size = 23
		refs = "0008 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.SetCount 0011 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3905_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Clear"
		size = 23
		refs = "0008 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.SetCount 0011 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4007_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Clear"
		size = 23
		refs = "0008 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.SetCount 0011 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3803_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Clear"
		size = 23
		refs = "0008 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.SetCount 0011 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3548_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Clear"
		size = 23
		refs = "0008 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.SetCount 0011 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4682_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.Clear"
		size = 23
		refs = "0008 TList<Data.Cloud.AzureAPI.TAzureBlob>.SetCount 0011 TList<Data.Cloud.AzureAPI.TAzureBlob>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4733_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Clear"
		size = 23
		refs = "0008 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.SetCount 0011 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4529_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Clear"
		size = 23
		refs = "0008 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.SetCount 0011 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4580_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.Clear"
		size = 23
		refs = "0008 TList<Data.Cloud.AzureAPI.TAzureContainer>.SetCount 0011 TList<Data.Cloud.AzureAPI.TAzureContainer>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4631_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Clear"
		size = 23
		refs = "0008 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.SetCount 0011 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4478_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.Clear"
		size = 23
		refs = "0008 TList<Data.Cloud.CloudAPI.TCloudQueue>.SetCount 0011 TList<Data.Cloud.CloudAPI.TCloudQueue>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4427_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Clear"
		size = 23
		refs = "0008 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.SetCount 0011 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4784_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Clear"
		size = 23
		refs = "0008 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.SetCount 0011 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4376_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.Clear"
		size = 23
		refs = "0008 TList<Data.Cloud.CloudAPI.TCloudTableRow>.SetCount 0011 TList<Data.Cloud.CloudAPI.TCloudTableRow>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16402_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.Clear"
		size = 23
		refs = "0008 TList<Data.DBXCommon.TDBXParameter>.SetCount 0011 TList<Data.DBXCommon.TDBXParameter>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7900_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Clear"
		size = 23
		refs = "0008 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.SetCount 0011 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8620_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.Clear"
		size = 23
		refs = "0008 TList<Data.DBXCommon.TDBXWritableValueArray>.SetCount 0011 TList<Data.DBXCommon.TDBXWritableValueArray>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8045_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.Clear"
		size = 23
		refs = "0008 TList<Data.DBXCommon.TEventPointer>.SetCount 0011 TList<Data.DBXCommon.TEventPointer>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7947_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Clear"
		size = 23
		refs = "0008 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.SetCount 0011 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_25136_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.Clear"
		size = 23
		refs = "0008 TList<Data.DBXCommon.TResultCommandHandler>.SetCount 0011 TList<Data.DBXCommon.TResultCommandHandler>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10377_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.Clear"
		size = 23
		refs = "0008 TList<Data.DBXJSON.TJSONAncestor>.SetCount 0011 TList<Data.DBXJSON.TJSONAncestor>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18494_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.Clear"
		size = 23
		refs = "0008 TList<Data.DBXJSONReflect.TConverterEvent>.SetCount 0011 TList<Data.DBXJSONReflect.TConverterEvent>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10136_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Clear"
		size = 23
		refs = "0008 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.SetCount 0011 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10232_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Clear"
		size = 23
		refs = "0008 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCount 0011 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10521_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Clear"
		size = 23
		refs = "0008 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCount 0011 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10425_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Clear"
		size = 23
		refs = "0008 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.SetCount 0011 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_23935_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.Clear"
		size = 23
		refs = "0008 TList<Data.DBXJSONReflect.TReverterEvent>.SetCount 0011 TList<Data.DBXJSONReflect.TReverterEvent>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11109_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Clear"
		size = 23
		refs = "0008 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.SetCount 0011 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11058_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Clear"
		size = 23
		refs = "0008 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.SetCount 0011 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11293_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Clear"
		size = 23
		refs = "0008 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCount 0011 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15953_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 0011 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15808_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.SetCount 0011 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16284_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSClientRest.TDSRestClientCallback>.SetCount 0011 TList<Datasnap.DSClientRest.TDSRestClientCallback>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16458_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.SetCount 0011 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_22231_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.SetCount 0011 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17404_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSHTTP.TDSHTTPClass>.SetCount 0011 TList<Datasnap.DSHTTP.TDSHTTPClass>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17306_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.SetCount 0011 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18398_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.SetCount 0011 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18090_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.SetCount 0011 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17768_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.SetCount 0011 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18143_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.SetCount 0011 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18445_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCount 0011 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18541_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCount 0011 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18300_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.SetCount 0011 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18774_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCount 0011 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19075_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.SetCount 0011 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19434_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 0011 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19729_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 0011 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_20017_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 0011 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_20299_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 0011 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_20825_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 0011 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_20729_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.SetCount 0011 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_21053_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.SetCount 0011 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_21287_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 0011 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_21574_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 0011 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_21841_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 0011 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_22133_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 0011 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_22426_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 0011 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_22993_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCount 0011 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_22848_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.SetCount 0011 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_23737_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSServer.TDSCallbackTunnel>.SetCount 0011 TList<Datasnap.DSServer.TDSCallbackTunnel>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_23686_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.SetCount 0011 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_23788_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCount 0011 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_23886_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCount 0011 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_23982_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.SetCount 0011 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18194_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSService.TDBXRequestFilter>.SetCount 0011 TList<Datasnap.DSService.TDBXRequestFilter>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18823_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSService.TDSSession>.SetCount 0011 TList<Datasnap.DSService.TDSSession>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11156_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSService.TDSSessionEvent>.SetCount 0011 TList<Datasnap.DSService.TDSSessionEvent>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_25085_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.SetCount 0011 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_24979_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.SetCount 0011 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_25326_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCount 0011 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_25230_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.SetCount 0011 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_25183_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSService.TPair<System.string,System.string>>.SetCount 0011 TList<Datasnap.DSService.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_25600_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Clear"
		size = 23
		refs = "0008 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCount 0011 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29702_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.Clear"
		size = 23
		refs = "0008 TList<GraphView.TGraphEdge>.SetCount 0011 TList<GraphView.TGraphEdge>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29812_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.Clear"
		size = 23
		refs = "0008 TList<GraphView.TGraphNode>.SetCount 0011 TList<GraphView.TGraphNode>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29757_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Clear"
		size = 23
		refs = "0008 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.SetCount 0011 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30574_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.Clear"
		size = 23
		refs = "0008 TList<IBDatabase.TIBBase>.SetCount 0011 TList<IBDatabase.TIBBase>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30676_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.Clear"
		size = 23
		refs = "0008 TList<IBDatabase.TIBDatabase>.SetCount 0011 TList<IBDatabase.TIBDatabase>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30625_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.Clear"
		size = 23
		refs = "0008 TList<IBDatabase.TIBTransaction>.SetCount 0011 TList<IBDatabase.TIBTransaction>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31367_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.Clear"
		size = 23
		refs = "0008 TList<IBIntf.IGDSLibrary>.SetCount 0011 TList<IBIntf.IGDSLibrary>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31269_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Clear"
		size = 23
		refs = "0008 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.SetCount 0011 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_40387_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.Clear"
		size = 23
		refs = "0008 TList<IPPeerAPI.IIPContext>.SetCount 0011 TList<IPPeerAPI.IIPContext>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_42994_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Clear"
		size = 23
		refs = "0008 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.SetCount 0011 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_42751_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Clear"
		size = 23
		refs = "0008 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.SetCount 0011 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_42896_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Clear"
		size = 23
		refs = "0008 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.SetCount 0011 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_43041_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.Clear"
		size = 23
		refs = "0008 TList<IPPeerAPI.TPair<System.string,System.string>>.SetCount 0011 TList<IPPeerAPI.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_40340_0 {
	meta:
		name = "TList<IdContext.TIdContext>.Clear"
		size = 23
		refs = "0008 TList<IdContext.TIdContext>.SetCount 0011 TList<IdContext.TIdContext>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_40289_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Clear"
		size = 23
		refs = "0008 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.SetCount 0011 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_40193_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.Clear"
		size = 23
		refs = "0008 TList<IndyPeerImpl.TPair<System.string,System.string>>.SetCount 0011 TList<IndyPeerImpl.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_50058_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Clear"
		size = 23
		refs = "0008 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.SetCount 0011 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_51243_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Clear"
		size = 23
		refs = "0008 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.SetCount 0011 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_51098_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.Clear"
		size = 23
		refs = "0008 TList<SyncController.TPair<System.IInterface,System.Pointer>>.SetCount 0011 TList<SyncController.TPair<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_51341_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.Clear"
		size = 23
		refs = "0008 TList<SyncController.TPair<System.TObject,System.string>>.SetCount 0011 TList<SyncController.TPair<System.TObject,System.string>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30854_0 {
	meta:
		name = "TList<System.AnsiString>.Clear"
		size = 23
		refs = "0008 TList<System.AnsiString>.SetCount 0011 TList<System.AnsiString>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_51714_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.SetCount 0011 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_54635_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.CustomScope.TScopeClass>.SetCount 0011 TList<System.Bindings.CustomScope.TScopeClass>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_51294_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.EvalProtocol.ILocation>.SetCount 0011 TList<System.Bindings.EvalProtocol.ILocation>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_53180_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.EvalProtocol.IScope>.SetCount 0011 TList<System.Bindings.EvalProtocol.IScope>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_53033_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.EvalProtocol.ISubscription>.SetCount 0011 TList<System.Bindings.EvalProtocol.ISubscription>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_52129_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.SetCount 0011 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_52850_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.SetCount 0011 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_52595_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.EvalSys.TOverload>.SetCount 0011 TList<System.Bindings.EvalSys.TOverload>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_52752_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.SetCount 0011 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_52654_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.SetCount 0011 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_52803_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.SetCount 0011 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_53227_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.SetCount 0011 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_53610_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.SetCount 0011 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_53755_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.SetCount 0011 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_54129_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.SetCount 0011 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_54274_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.SetCount 0011 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56120_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.SetCount 0011 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_55832_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.SetCount 0011 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56263_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.SetCount 0011 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56314_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetCount 0011 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56071_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.SetCount 0011 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_55879_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCount 0011 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_55491_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.SetCount 0011 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_55926_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.SetCount 0011 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_55734_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.SetCount 0011 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56214_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.SetCount 0011 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56412_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.SetCount 0011 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_55589_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.SetCount 0011 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56167_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.SetCount 0011 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56845_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.SetCount 0011 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_57053_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Manager.TBindingManager>.SetCount 0011 TList<System.Bindings.Manager.TBindingManager>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58614_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.SetCount 0011 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58467_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.SetCount 0011 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58226_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.SetCount 0011 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58565_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.SetCount 0011 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58514_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCount 0011 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58273_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.SetCount 0011 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_57838_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.SetCount 0011 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58418_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.SetCount 0011 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58128_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.SetCount 0011 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58322_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.SetCount 0011 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_57983_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.SetCount 0011 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_59146_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Methods.TMethodDescription>.SetCount 0011 TList<System.Bindings.Methods.TMethodDescription>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_59048_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.SetCount 0011 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_59193_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.SetCount 0011 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_59701_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.SetCount 0011 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_59922_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.SetCount 0011 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_60291_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.SetCount 0011 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_60116_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Outputs.TConvertPair>.SetCount 0011 TList<System.Bindings.Outputs.TConvertPair>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_60857_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Outputs.TConverterDescription>.SetCount 0011 TList<System.Bindings.Outputs.TConverterDescription>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_60759_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.SetCount 0011 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61012_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetCount 0011 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61265_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCount 0011 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_60806_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.SetCount 0011 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_60957_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.SetCount 0011 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61110_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.SetCount 0011 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_60708_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.SetCount 0011 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_60908_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.SetCount 0011 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61169_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.SetCount 0011 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61702_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Clear"
		size = 23
		refs = "0008 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.SetCount 0011 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64892_0 {
	meta:
		name = "TList<System.Boolean>.Clear"
		size = 23
		refs = "0008 TList<System.Boolean>.SetCount 0011 TList<System.Boolean>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2503_0 {
	meta:
		name = "TList<System.Classes.IObserver>.Clear"
		size = 23
		refs = "0008 TList<System.Classes.IObserver>.SetCount 0011 TList<System.Classes.IObserver>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_86475_0 {
	meta:
		name = "TList<System.Classes.TComponent>.Clear"
		size = 23
		refs = "0008 TList<System.Classes.TComponent>.SetCount 0011 TList<System.Classes.TComponent>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3158_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.Clear"
		size = 23
		refs = "0008 TList<System.Classes.TNotifyEvent>.SetCount 0011 TList<System.Classes.TNotifyEvent>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15906_0 {
	meta:
		name = "TList<System.Classes.TStream>.Clear"
		size = 23
		refs = "0008 TList<System.Classes.TStream>.SetCount 0011 TList<System.Classes.TStream>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_24031_0 {
	meta:
		name = "TList<System.Classes.TStrings>.Clear"
		size = 23
		refs = "0008 TList<System.Classes.TStrings>.SetCount 0011 TList<System.Classes.TStrings>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_63637_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Clear"
		size = 23
		refs = "0008 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.SetCount 0011 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_63539_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Clear"
		size = 23
		refs = "0008 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.SetCount 0011 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64794_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Clear"
		size = 23
		refs = "0008 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.SetCount 0011 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_54537_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Clear"
		size = 23
		refs = "0008 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.SetCount 0011 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61753_0 {
	meta:
		name = "TList<System.IInterface>.Clear"
		size = 23
		refs = "0008 TList<System.IInterface>.SetCount 0011 TList<System.IInterface>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61363_0 {
	meta:
		name = "TList<System.Int64>.Clear"
		size = 23
		refs = "0008 TList<System.Int64>.SetCount 0011 TList<System.Int64>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58081_0 {
	meta:
		name = "TList<System.Integer>.Clear"
		size = 23
		refs = "0008 TList<System.Integer>.SetCount 0011 TList<System.Integer>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_22946_0 {
	meta:
		name = "TList<System.Masks.TMask>.Clear"
		size = 23
		refs = "0008 TList<System.Masks.TMask>.SetCount 0011 TList<System.Masks.TMask>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_57936_0 {
	meta:
		name = "TList<System.Pointer>.Clear"
		size = 23
		refs = "0008 TList<System.Pointer>.SetCount 0011 TList<System.Pointer>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67393_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.Clear"
		size = 23
		refs = "0008 TList<System.Rtti.TMethodImplementation.TParamLoc>.SetCount 0011 TList<System.Rtti.TMethodImplementation.TParamLoc>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68122_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Clear"
		size = 23
		refs = "0008 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.SetCount 0011 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68289_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Clear"
		size = 23
		refs = "0008 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.SetCount 0011 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68432_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Clear"
		size = 23
		refs = "0008 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.SetCount 0011 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68010_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.Clear"
		size = 23
		refs = "0008 TList<System.Rtti.TRttiField>.SetCount 0011 TList<System.Rtti.TRttiField>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68062_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.Clear"
		size = 23
		refs = "0008 TList<System.Rtti.TRttiManagedField>.SetCount 0011 TList<System.Rtti.TRttiManagedField>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67957_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.Clear"
		size = 23
		refs = "0008 TList<System.Rtti.TRttiMethod>.SetCount 0011 TList<System.Rtti.TRttiMethod>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68220_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.Clear"
		size = 23
		refs = "0008 TList<System.Rtti.TRttiObject>.SetCount 0011 TList<System.Rtti.TRttiObject>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67905_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.Clear"
		size = 23
		refs = "0008 TList<System.Rtti.TRttiProperty>.SetCount 0011 TList<System.Rtti.TRttiProperty>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67570_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.Clear"
		size = 23
		refs = "0008 TList<System.Rtti.TVirtualInterface.TImplInfo>.SetCount 0011 TList<System.Rtti.TVirtualInterface.TImplInfo>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67515_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Clear"
		size = 23
		refs = "0008 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.SetCount 0011 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_60413_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.Clear"
		size = 23
		refs = "0008 TList<System.SysUtils.TProc<System.Rtti.TValue>>.SetCount 0011 TList<System.SysUtils.TProc<System.Rtti.TValue>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_54588_0 {
	meta:
		name = "TList<System.TClass>.Clear"
		size = 23
		refs = "0008 TList<System.TClass>.SetCount 0011 TList<System.TClass>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67848_0 {
	meta:
		name = "TList<System.TCustomAttribute>.Clear"
		size = 23
		refs = "0008 TList<System.TCustomAttribute>.SetCount 0011 TList<System.TCustomAttribute>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_42802_0 {
	meta:
		name = "TList<System.TGUID>.Clear"
		size = 23
		refs = "0008 TList<System.TGUID>.SetCount 0011 TList<System.TGUID>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10474_0 {
	meta:
		name = "TList<System.TObject>.Clear"
		size = 23
		refs = "0008 TList<System.TObject>.SetCount 0011 TList<System.TObject>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68338_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.Clear"
		size = 23
		refs = "0008 TList<System.TypInfo.PTypeInfo>.SetCount 0011 TList<System.TypInfo.PTypeInfo>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_87744_0 {
	meta:
		name = "TList<System.Types.TPoint>.Clear"
		size = 23
		refs = "0008 TList<System.Types.TPoint>.SetCount 0011 TList<System.Types.TPoint>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_50109_0 {
	meta:
		name = "TList<System.Variant>.Clear"
		size = 23
		refs = "0008 TList<System.Variant>.SetCount 0011 TList<System.Variant>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_63590_0 {
	meta:
		name = "TList<System.Word>.Clear"
		size = 23
		refs = "0008 TList<System.Word>.SetCount 0011 TList<System.Word>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_71785_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Clear"
		size = 23
		refs = "0008 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.SetCount 0011 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_71687_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Clear"
		size = 23
		refs = "0008 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.SetCount 0011 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_71738_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.Clear"
		size = 23
		refs = "0008 TList<System.Zip.TZipCompression>.SetCount 0011 TList<System.Zip.TZipCompression>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_71640_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.Clear"
		size = 23
		refs = "0008 TList<System.Zip.TZipHeader>.SetCount 0011 TList<System.Zip.TZipHeader>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_22477_0 {
	meta:
		name = "TList<System.string>.Clear"
		size = 23
		refs = "0008 TList<System.string>.SetCount 0011 TList<System.string>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88866_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Controls.TControl>.SetCount 0011 TList<Vcl.Controls.TControl>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89271_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Controls.TCustomGestureCollectionItem>.SetCount 0011 TList<Vcl.Controls.TCustomGestureCollectionItem>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88748_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Controls.TCustomGestureManager>.SetCount 0011 TList<Vcl.Controls.TCustomGestureManager>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78608_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.SetCount 0011 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_86671_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.SetCount 0011 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_86424_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.SetCount 0011 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_86573_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.SetCount 0011 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_87642_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Themes.TCustomStyleEngineClass>.SetCount 0011 TList<Vcl.Themes.TCustomStyleEngineClass>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_87693_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Themes.TCustomStyleServices>.SetCount 0011 TList<Vcl.Themes.TCustomStyleServices>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_87893_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.SetCount 0011 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_87795_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.SetCount 0011 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_87940_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.SetCount 0011 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_86522_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Themes.TStyleHook>.SetCount 0011 TList<Vcl.Themes.TStyleHook>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_87397_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Themes.TStyleHookClass>.SetCount 0011 TList<Vcl.Themes.TStyleHookClass>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88038_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Themes.TStyleManager.TSourceInfo>.SetCount 0011 TList<Vcl.Themes.TStyleManager.TSourceInfo>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_87591_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.SetCount 0011 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88543_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.SetCount 0011 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88445_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.SetCount 0011 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89019_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Touch.GestureMgr.TGestureCollection>.SetCount 0011 TList<Vcl.Touch.GestureMgr.TGestureCollection>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88968_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.SetCount 0011 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89322_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Touch.Gestures.TGesturePoint>.SetCount 0011 TList<Vcl.Touch.Gestures.TGesturePoint>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89502_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.SetCount 0011 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89553_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.SetCount 0011 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89604_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Touch.KeyboardTypes.TKeyData>.SetCount 0011 TList<Vcl.Touch.KeyboardTypes.TKeyData>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89835_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.SetCount 0011 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89733_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.SetCount 0011 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89886_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.SetCount 0011 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89784_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Clear"
		size = 23
		refs = "0008 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.SetCount 0011 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96351_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Clear"
		size = 23
		refs = "0008 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.SetCount 0011 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2009_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Expression.TBindingExpression>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_14214_0 {
	meta:
		name = "TBcd.&op_GreaterThanOrEqual"
		size = 23
		refs = "000b BcdCompare"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_26857_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Contains"
		size = 23
		refs = "000b TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_27081_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Contains"
		size = 23
		refs = "000b TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_27285_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Contains"
		size = 23
		refs = "000b TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_27517_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Contains"
		size = 23
		refs = "000b TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_27734_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Contains"
		size = 23
		refs = "000b TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_27935_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Contains"
		size = 23
		refs = "000b TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_28553_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.Contains"
		size = 23
		refs = "000b TList<DSAzureBlob.TBBlob>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_28775_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.Contains"
		size = 23
		refs = "000b TList<DSAzureBlob.TBBlock>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_28429_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.Contains"
		size = 23
		refs = "000b TList<DSAzureBlob.TBContainer>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_28718_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.Contains"
		size = 23
		refs = "000b TList<DSAzureBlob.TBPageRange>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_28661_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.Contains"
		size = 23
		refs = "000b TList<DSAzureBlob.TBSignedIdentifier>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_28608_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.Contains"
		size = 23
		refs = "000b TList<DSAzureBlob.TLeaseItem>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_28832_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.Contains"
		size = 23
		refs = "000b TList<DSAzureBlob.TPair<System.string,System.string>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_29076_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.Contains"
		size = 23
		refs = "000b TList<DSAzureQueue.TMessageNodeData>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_29494_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.Contains"
		size = 23
		refs = "000b TList<DSAzureTableDialog.TAzureTableColumn>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_29349_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.Contains"
		size = 23
		refs = "000b TList<DSAzureTableDialog.TAzureTableRow>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_29396_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Contains"
		size = 23
		refs = "000b TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_2111_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.Contains"
		size = 23
		refs = "000b TList<Data.Bind.Components.TBasicBindComponent>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_2287_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.Contains"
		size = 23
		refs = "000b TList<Data.Bind.Components.TBindEditorFactoryClass>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_2060_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.Contains"
		size = 23
		refs = "000b TList<Data.Bind.Components.TContainedBindComponent>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_2406_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Contains"
		size = 23
		refs = "000b TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_2761_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Contains"
		size = 23
		refs = "000b TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_3103_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.Contains"
		size = 23
		refs = "000b TList<Data.Bind.DBScope.TBaseDataLink>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_3005_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Contains"
		size = 23
		refs = "000b TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_3600_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Contains"
		size = 23
		refs = "000b TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_3855_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Contains"
		size = 23
		refs = "000b TList<Data.Cloud.AmazonAPI.TAmazonGrant>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_3957_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Contains"
		size = 23
		refs = "000b TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_3906_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Contains"
		size = 23
		refs = "000b TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_4008_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Contains"
		size = 23
		refs = "000b TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_3804_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Contains"
		size = 23
		refs = "000b TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_3549_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Contains"
		size = 23
		refs = "000b TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_4683_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.Contains"
		size = 23
		refs = "000b TList<Data.Cloud.AzureAPI.TAzureBlob>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_4734_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Contains"
		size = 23
		refs = "000b TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_4530_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Contains"
		size = 23
		refs = "000b TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_4581_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.Contains"
		size = 23
		refs = "000b TList<Data.Cloud.AzureAPI.TAzureContainer>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_4632_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Contains"
		size = 23
		refs = "000b TList<Data.Cloud.AzureAPI.TSignedIdentifier>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_4479_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.Contains"
		size = 23
		refs = "000b TList<Data.Cloud.CloudAPI.TCloudQueue>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_4428_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Contains"
		size = 23
		refs = "000b TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_4785_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Contains"
		size = 23
		refs = "000b TList<Data.Cloud.CloudAPI.TCloudTableColumn>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_3651_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.Contains"
		size = 23
		refs = "000b TList<Data.Cloud.CloudAPI.TCloudTableRow>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_18040_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.Contains"
		size = 23
		refs = "000b TList<Data.DBXCommon.TDBXParameter>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_7901_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Contains"
		size = 23
		refs = "000b TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_8621_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.Contains"
		size = 23
		refs = "000b TList<Data.DBXCommon.TDBXWritableValueArray>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_7948_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Contains"
		size = 23
		refs = "000b TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_25137_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.Contains"
		size = 23
		refs = "000b TList<Data.DBXCommon.TResultCommandHandler>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_10378_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.Contains"
		size = 23
		refs = "000b TList<Data.DBXJSON.TJSONAncestor>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_10331_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.Contains"
		size = 23
		refs = "000b TList<Data.DBXJSONReflect.TConverterEvent>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_10137_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Contains"
		size = 23
		refs = "000b TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_10233_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Contains"
		size = 23
		refs = "000b TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_10522_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Contains"
		size = 23
		refs = "000b TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_10426_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Contains"
		size = 23
		refs = "000b TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_23936_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.Contains"
		size = 23
		refs = "000b TList<Data.DBXJSONReflect.TReverterEvent>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_11110_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Contains"
		size = 23
		refs = "000b TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_11059_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Contains"
		size = 23
		refs = "000b TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_11294_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Contains"
		size = 23
		refs = "000b TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_15954_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_15809_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_16285_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSClientRest.TDSRestClientCallback>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_16459_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_20875_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSCommonProxy.IDSProxyWriter>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_17405_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSHTTP.TDSHTTPClass>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_17307_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_18399_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_18091_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_17769_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_18144_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_18446_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_18542_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_18301_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_18775_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_19076_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_19435_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_19730_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_20018_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_20300_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_20826_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_20730_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_21054_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_21288_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_21575_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_21842_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_22134_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_22427_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_22994_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_22849_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_23738_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSServer.TDSCallbackTunnel>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_23687_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_23789_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_23887_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_23983_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_24512_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSService.TDBXRequestFilter>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_25699_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSService.TDSSession>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_11157_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSService.TDSSessionEvent>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_25086_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_24980_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_25327_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_25231_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSService.TPair<System.string,System.TObject>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_25184_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSService.TPair<System.string,System.string>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_25601_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Contains"
		size = 23
		refs = "000b TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_29703_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.Contains"
		size = 23
		refs = "000b TList<GraphView.TGraphEdge>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_29813_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.Contains"
		size = 23
		refs = "000b TList<GraphView.TGraphNode>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_29758_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Contains"
		size = 23
		refs = "000b TList<GraphView.TObjectList<GraphView.TGraphEdge>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_30575_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.Contains"
		size = 23
		refs = "000b TList<IBDatabase.TIBBase>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_30677_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.Contains"
		size = 23
		refs = "000b TList<IBDatabase.TIBDatabase>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_30626_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.Contains"
		size = 23
		refs = "000b TList<IBDatabase.TIBTransaction>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_31368_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.Contains"
		size = 23
		refs = "000b TList<IBIntf.IGDSLibrary>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_31270_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Contains"
		size = 23
		refs = "000b TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_40388_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.Contains"
		size = 23
		refs = "000b TList<IPPeerAPI.IIPContext>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_42995_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Contains"
		size = 23
		refs = "000b TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_42752_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Contains"
		size = 23
		refs = "000b TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_42897_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Contains"
		size = 23
		refs = "000b TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_43042_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.Contains"
		size = 23
		refs = "000b TList<IPPeerAPI.TPair<System.string,System.string>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_40341_0 {
	meta:
		name = "TList<IdContext.TIdContext>.Contains"
		size = 23
		refs = "000b TList<IdContext.TIdContext>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_40290_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Contains"
		size = 23
		refs = "000b TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_40194_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.Contains"
		size = 23
		refs = "000b TList<IndyPeerImpl.TPair<System.string,System.string>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_50059_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Contains"
		size = 23
		refs = "000b TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_51244_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Contains"
		size = 23
		refs = "000b TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_51099_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.Contains"
		size = 23
		refs = "000b TList<SyncController.TPair<System.IInterface,System.Pointer>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_51342_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.Contains"
		size = 23
		refs = "000b TList<SyncController.TPair<System.TObject,System.string>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_30855_0 {
	meta:
		name = "TList<System.AnsiString>.Contains"
		size = 23
		refs = "000b TList<System.AnsiString>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_51715_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_54636_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.CustomScope.TScopeClass>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_56366_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.EvalProtocol.ILocation>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_53181_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.EvalProtocol.IScope>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_60512_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.EvalProtocol.ISubscription>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_52130_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_52851_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_52596_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.EvalSys.TOverload>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_52753_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_52655_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_52804_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_53228_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_53611_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_53756_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_54130_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_54275_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_56121_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_55833_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_56264_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_56315_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_56072_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_55880_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_55492_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_55927_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_55735_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_56215_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_56413_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_55590_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_56168_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_56846_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_57054_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Manager.TBindingManager>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_58615_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_58468_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_58227_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_58566_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_58515_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_58274_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_57839_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_58419_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_58129_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_58323_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_57984_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_59147_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Methods.TMethodDescription>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_59049_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_59194_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_59702_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_59923_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_60292_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_60117_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Outputs.TConvertPair>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_60858_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Outputs.TConverterDescription>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_60760_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_61013_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_61266_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_60807_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_60958_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_61111_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_60709_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_60909_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_61170_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_61703_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Contains"
		size = 23
		refs = "000b TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_2504_0 {
	meta:
		name = "TList<System.Classes.IObserver>.Contains"
		size = 23
		refs = "000b TList<System.Classes.IObserver>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_86476_0 {
	meta:
		name = "TList<System.Classes.TComponent>.Contains"
		size = 23
		refs = "000b TList<System.Classes.TComponent>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_15907_0 {
	meta:
		name = "TList<System.Classes.TStream>.Contains"
		size = 23
		refs = "000b TList<System.Classes.TStream>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_24032_0 {
	meta:
		name = "TList<System.Classes.TStrings>.Contains"
		size = 23
		refs = "000b TList<System.Classes.TStrings>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_63638_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Contains"
		size = 23
		refs = "000b TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_63540_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Contains"
		size = 23
		refs = "000b TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_64795_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Contains"
		size = 23
		refs = "000b TList<System.DebugUtils.TPair<System.string,System.Boolean>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_54538_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Contains"
		size = 23
		refs = "000b TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_61219_0 {
	meta:
		name = "TList<System.IInterface>.Contains"
		size = 23
		refs = "000b TList<System.IInterface>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_24567_0 {
	meta:
		name = "TList<System.Integer>.Contains"
		size = 23
		refs = "000b TList<System.Integer>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_22947_0 {
	meta:
		name = "TList<System.Masks.TMask>.Contains"
		size = 23
		refs = "000b TList<System.Masks.TMask>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_57937_0 {
	meta:
		name = "TList<System.Pointer>.Contains"
		size = 23
		refs = "000b TList<System.Pointer>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_67394_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.Contains"
		size = 23
		refs = "000b TList<System.Rtti.TMethodImplementation.TParamLoc>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_68123_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Contains"
		size = 23
		refs = "000b TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_68290_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Contains"
		size = 23
		refs = "000b TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_68433_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Contains"
		size = 23
		refs = "000b TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_68011_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.Contains"
		size = 23
		refs = "000b TList<System.Rtti.TRttiField>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_68063_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.Contains"
		size = 23
		refs = "000b TList<System.Rtti.TRttiManagedField>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_67958_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.Contains"
		size = 23
		refs = "000b TList<System.Rtti.TRttiMethod>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_68221_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.Contains"
		size = 23
		refs = "000b TList<System.Rtti.TRttiObject>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_67906_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.Contains"
		size = 23
		refs = "000b TList<System.Rtti.TRttiProperty>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_67571_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.Contains"
		size = 23
		refs = "000b TList<System.Rtti.TVirtualInterface.TImplInfo>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_67516_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Contains"
		size = 23
		refs = "000b TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_60414_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.Contains"
		size = 23
		refs = "000b TList<System.SysUtils.TProc<System.Rtti.TValue>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_86625_0 {
	meta:
		name = "TList<System.TClass>.Contains"
		size = 23
		refs = "000b TList<System.TClass>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_67849_0 {
	meta:
		name = "TList<System.TCustomAttribute>.Contains"
		size = 23
		refs = "000b TList<System.TCustomAttribute>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_42803_0 {
	meta:
		name = "TList<System.TGUID>.Contains"
		size = 23
		refs = "000b TList<System.TGUID>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_25280_0 {
	meta:
		name = "TList<System.TObject>.Contains"
		size = 23
		refs = "000b TList<System.TObject>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_68339_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.Contains"
		size = 23
		refs = "000b TList<System.TypInfo.PTypeInfo>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_87745_0 {
	meta:
		name = "TList<System.Types.TPoint>.Contains"
		size = 23
		refs = "000b TList<System.Types.TPoint>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_50110_0 {
	meta:
		name = "TList<System.Variant>.Contains"
		size = 23
		refs = "000b TList<System.Variant>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_63591_0 {
	meta:
		name = "TList<System.Word>.Contains"
		size = 23
		refs = "000b TList<System.Word>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_71786_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Contains"
		size = 23
		refs = "000b TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_71688_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Contains"
		size = 23
		refs = "000b TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_71641_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.Contains"
		size = 23
		refs = "000b TList<System.Zip.TZipHeader>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_87992_0 {
	meta:
		name = "TList<System.string>.Contains"
		size = 23
		refs = "000b TList<System.string>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_88867_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.Contains"
		size = 23
		refs = "000b TList<Vcl.Controls.TControl>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_88918_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.Contains"
		size = 23
		refs = "000b TList<Vcl.Controls.TCustomGestureCollectionItem>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_88749_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.Contains"
		size = 23
		refs = "000b TList<Vcl.Controls.TCustomGestureManager>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_78609_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Contains"
		size = 23
		refs = "000b TList<Vcl.Direct2D.TDirect2DGraphicsObject>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_86672_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Contains"
		size = 23
		refs = "000b TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_86425_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Contains"
		size = 23
		refs = "000b TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_86574_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Contains"
		size = 23
		refs = "000b TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_87643_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.Contains"
		size = 23
		refs = "000b TList<Vcl.Themes.TCustomStyleEngineClass>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_87694_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.Contains"
		size = 23
		refs = "000b TList<Vcl.Themes.TCustomStyleServices>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_87894_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Contains"
		size = 23
		refs = "000b TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_87796_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Contains"
		size = 23
		refs = "000b TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_87941_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Contains"
		size = 23
		refs = "000b TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_86523_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.Contains"
		size = 23
		refs = "000b TList<Vcl.Themes.TStyleHook>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_86306_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.Contains"
		size = 23
		refs = "000b TList<Vcl.Themes.TStyleHookClass>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_88039_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.Contains"
		size = 23
		refs = "000b TList<Vcl.Themes.TStyleManager.TSourceInfo>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_87592_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Contains"
		size = 23
		refs = "000b TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_88544_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Contains"
		size = 23
		refs = "000b TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_88446_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Contains"
		size = 23
		refs = "000b TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_89020_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.Contains"
		size = 23
		refs = "000b TList<Vcl.Touch.GestureMgr.TGestureCollection>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_88969_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Contains"
		size = 23
		refs = "000b TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_89323_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.Contains"
		size = 23
		refs = "000b TList<Vcl.Touch.Gestures.TGesturePoint>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_89503_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Contains"
		size = 23
		refs = "000b TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_89554_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Contains"
		size = 23
		refs = "000b TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_89836_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Contains"
		size = 23
		refs = "000b TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_89734_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Contains"
		size = 23
		refs = "000b TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_89887_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Contains"
		size = 23
		refs = "000b TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_89785_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Contains"
		size = 23
		refs = "000b TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_96352_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Contains"
		size = 23
		refs = "000b TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_62023_0 {
	meta:
		name = "TRegGroup.Registered"
		size = 23
		refs = "000b TRegGroup.IndexOfClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_2010_0 {
	meta:
		name = "TList<T>.IndexOf"
		size = 59
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F0 8B 7E 08 4F 85 FF 7C 20 47 33 DB 8B 46 04 8B 14 98 8B 0C 24 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 07 43 4F 75 E3 83 C8 FF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2011_0 {
	meta:
		name = "TList<T>.LastIndexOf"
		size = 55
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B 5E 08 4B 83 FB 00 7C 1E 8B 46 04 8B 14 98 8B CF 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 09 4B 83 FB FF 75 E2 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2012_0 {
	meta:
		name = "TList<T>.Reverse"
		size = 47
	strings:
		$1 = { 53 56 57 33 D2 8B 48 08 49 3B CA 7E 1E 8B 58 04 8B 1C 93 8B 70 04 8B 34 8E 8B 78 04 89 34 97 8B 70 04 89 1C 8E 42 49 3B CA 7F E2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2013_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Expression.TBindingExpression>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26861_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzDlgBlockBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27085_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzDlgCopyBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27289_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzDlgCreateContainer.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27521_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzDlgPageBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27738_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzDlgPutBlockList.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27939_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28557_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureBlob.TBBlob>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28779_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureBlob.TBBlock>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28433_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureBlob.TBContainer>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28722_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureBlob.TBPageRange>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28665_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureBlob.TBSignedIdentifier>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28612_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureBlob.TLeaseItem>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28836_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29080_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureQueue.TMessageNodeData>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29498_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureTableDialog.TAzureTableColumn>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29353_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureTableDialog.TAzureTableRow>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29400_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2115_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Bind.Components.TBasicBindComponent>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2291_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Bind.Components.TBindEditorFactoryClass>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2064_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Bind.Components.TContainedBindComponent>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2410_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2765_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Bind.DBLinks.TBindDBColumnFactoryClass>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3107_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Bind.DBScope.TBaseDataLink>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3009_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3604_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AmazonAPI.TAmazonBatchRow>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3859_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AmazonAPI.TAmazonGrant>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3961_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AmazonAPI.TAmazonMultipartPart>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3910_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4012_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3808_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AmazonAPI.TAmazonObjectResult>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3553_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AmazonAPI.TAmazonRowConditional>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4687_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AzureAPI.TAzureBlob>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4738_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AzureAPI.TAzureBlobPageRange>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4534_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AzureAPI.TAzureBlockListItem>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4585_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AzureAPI.TAzureContainer>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4636_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AzureAPI.TSignedIdentifier>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4483_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.CloudAPI.TCloudQueue>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3706_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.CloudAPI.TCloudQueueMessage>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5019_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.CloudAPI.TCloudTableColumn>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3655_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.CloudAPI.TCloudTableRow>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16407_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXCommon.TDBXParameter>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7905_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8625_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXCommon.TDBXWritableValueArray>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8050_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXCommon.TEventPointer>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7952_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25141_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXCommon.TResultCommandHandler>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10382_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXJSON.TJSONAncestor>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10335_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXJSONReflect.TConverterEvent>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10141_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10237_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10526_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10430_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXJSONReflect.TPair<System.string,System.TObject>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18595_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXJSONReflect.TReverterEvent>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11114_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11063_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11298_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15958_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15813_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16289_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSClientRest.TDSRestClientCallback>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16463_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSClientRest.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21944_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSCommonProxy.IDSProxyWriter>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17409_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTP.TDSHTTPClass>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17311_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18403_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTPCommon.TDSCallbackItem>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18095_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTPCommon.TDSCommandComplexParams>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17773_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTPCommon.TDSExecutionResponse>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18148_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18450_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18546_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18305_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18779_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19080_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19439_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19734_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20022_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20304_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20830_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20734_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21058_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21292_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21579_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21846_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22138_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22431_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22998_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22853_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23742_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSServer.TDSCallbackTunnel>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23691_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSServer.TDSCallbackTunnelEvent>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23793_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23891_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23987_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24516_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSService.TDBXRequestFilter>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11396_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSService.TDSSession>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24886_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSService.TDSSessionEvent>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25090_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24984_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25331_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25235_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSService.TPair<System.string,System.TObject>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25188_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSService.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25605_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29707_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<GraphView.TGraphEdge>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29817_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<GraphView.TGraphNode>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29762_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<GraphView.TObjectList<GraphView.TGraphEdge>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30579_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IBDatabase.TIBBase>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30681_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IBDatabase.TIBDatabase>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30630_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IBDatabase.TIBTransaction>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31372_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IBIntf.IGDSLibrary>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31274_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40392_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IPPeerAPI.IIPContext>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42999_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42756_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IPPeerAPI.TPair<System.TGUID,System.TClass>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42901_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43046_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IPPeerAPI.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40345_0 {
	meta:
		name = "TList<IdContext.TIdContext>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IdContext.TIdContext>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40294_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40198_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IndyPeerImpl.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50063_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Soap.WSDLLookup.TPair<System.string,System.Variant>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51248_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51103_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<SyncController.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51346_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<SyncController.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30859_0 {
	meta:
		name = "TList<System.AnsiString>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.AnsiString>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51719_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54640_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.CustomScope.TScopeClass>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56370_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.EvalProtocol.ILocation>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53185_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.EvalProtocol.IScope>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51961_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.EvalProtocol.ISubscription>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52134_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52855_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52600_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.EvalSys.TOverload>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52757_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52659_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52808_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.EvalSys.TValueConverter.TConvPair>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53232_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53615_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Expression.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53760_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54134_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54279_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56125_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55837_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TDictionary<System.string,System.Int64>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56268_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TDictionary<System.string,System.Integer>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56319_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56076_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55884_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55496_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55931_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55739_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56219_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56417_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55594_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TPair<System.string,System.Int64>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56172_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TPair<System.string,System.Integer>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56850_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Helper.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57058_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Manager.TBindingManager>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58619_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58472_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58231_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58570_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58519_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58278_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57843_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58423_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58133_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58327_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57988_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59151_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Methods.TMethodDescription>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59053_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59198_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Methods.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59706_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59927_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60296_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TBindingOutput.TLocationRec>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60121_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TConvertPair>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60862_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TConverterDescription>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60764_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61017_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61270_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60811_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60962_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61115_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60713_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60913_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61174_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61707_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64897_0 {
	meta:
		name = "TList<System.Boolean>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Boolean>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2508_0 {
	meta:
		name = "TList<System.Classes.IObserver>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Classes.IObserver>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86480_0 {
	meta:
		name = "TList<System.Classes.TComponent>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Classes.TComponent>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2166_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Classes.TNotifyEvent>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15911_0 {
	meta:
		name = "TList<System.Classes.TStream>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Classes.TStream>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24036_0 {
	meta:
		name = "TList<System.Classes.TStrings>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Classes.TStrings>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63642_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.DateUtils.TLocalTimeZone.TYearlyChanges>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63544_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64799_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.DebugUtils.TPair<System.string,System.Boolean>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54542_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52411_0 {
	meta:
		name = "TList<System.IInterface>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.IInterface>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58376_0 {
	meta:
		name = "TList<System.Int64>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Int64>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24571_0 {
	meta:
		name = "TList<System.Integer>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Integer>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22951_0 {
	meta:
		name = "TList<System.Masks.TMask>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Masks.TMask>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61805_0 {
	meta:
		name = "TList<System.Pointer>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Pointer>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67398_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TMethodImplementation.TParamLoc>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68127_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68294_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68437_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68015_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TRttiField>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68067_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TRttiManagedField>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67962_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TRttiMethod>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68225_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TRttiObject>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67910_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TRttiProperty>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67575_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TVirtualInterface.TImplInfo>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67520_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60418_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.SysUtils.TProc<System.Rtti.TValue>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42854_0 {
	meta:
		name = "TList<System.TClass>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.TClass>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67853_0 {
	meta:
		name = "TList<System.TCustomAttribute>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.TCustomAttribute>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42807_0 {
	meta:
		name = "TList<System.TGUID>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.TGUID>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23217_0 {
	meta:
		name = "TList<System.TObject>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.TObject>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68343_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.TypInfo.PTypeInfo>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87749_0 {
	meta:
		name = "TList<System.Types.TPoint>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Types.TPoint>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50114_0 {
	meta:
		name = "TList<System.Variant>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Variant>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63595_0 {
	meta:
		name = "TList<System.Word>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Word>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71790_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71692_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71743_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Zip.TZipCompression>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71645_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Zip.TZipHeader>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22904_0 {
	meta:
		name = "TList<System.string>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.string>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88871_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Controls.TControl>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89276_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Controls.TCustomGestureCollectionItem>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88753_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Controls.TCustomGestureManager>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78613_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Direct2D.TDirect2DGraphicsObject>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86676_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86429_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86578_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87647_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Themes.TCustomStyleEngineClass>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87698_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Themes.TCustomStyleServices>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87898_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87800_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87945_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86527_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Themes.TStyleHook>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87402_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Themes.TStyleHookClass>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88043_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Themes.TStyleManager.TSourceInfo>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87596_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Themes.TStyleManager.TStyleClassDescriptor>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88548_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88450_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89024_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.GestureMgr.TGestureCollection>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88973_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89327_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.Gestures.TGesturePoint>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89507_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.Keyboard.TCustomKeyboardButton>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89558_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89609_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.KeyboardTypes.TKeyData>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89840_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89738_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.KeyboardTypes.TVirtualKey>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89891_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89789_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.KeyboardTypes.TVirtualKeys>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96356_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Sort"
		size = 41
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Web.WebFileDispatcher.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2014_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Expression.TBindingExpression>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26862_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzDlgBlockBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27086_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzDlgCopyBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27290_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzDlgCreateContainer.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27522_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzDlgPageBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27739_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzDlgPutBlockList.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27940_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28558_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureBlob.TBBlob>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28780_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureBlob.TBBlock>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28434_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureBlob.TBContainer>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28723_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureBlob.TBPageRange>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28666_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureBlob.TBSignedIdentifier>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28613_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureBlob.TLeaseItem>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28837_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29081_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureQueue.TMessageNodeData>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29499_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureTableDialog.TAzureTableColumn>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29354_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureTableDialog.TAzureTableRow>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29401_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2116_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Bind.Components.TBasicBindComponent>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2292_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Bind.Components.TBindEditorFactoryClass>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2065_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Bind.Components.TContainedBindComponent>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2411_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2766_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Bind.DBLinks.TBindDBColumnFactoryClass>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3108_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Bind.DBScope.TBaseDataLink>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3010_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3605_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AmazonAPI.TAmazonBatchRow>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3860_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AmazonAPI.TAmazonGrant>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3962_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AmazonAPI.TAmazonMultipartPart>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3911_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4013_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3809_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AmazonAPI.TAmazonObjectResult>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3554_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AmazonAPI.TAmazonRowConditional>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4688_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AzureAPI.TAzureBlob>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4739_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AzureAPI.TAzureBlobPageRange>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4535_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AzureAPI.TAzureBlockListItem>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4586_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AzureAPI.TAzureContainer>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4637_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.AzureAPI.TSignedIdentifier>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4484_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.CloudAPI.TCloudQueue>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3707_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.CloudAPI.TCloudQueueMessage>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5020_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.CloudAPI.TCloudTableColumn>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3656_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.Cloud.CloudAPI.TCloudTableRow>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16408_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXCommon.TDBXParameter>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7906_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8626_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXCommon.TDBXWritableValueArray>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8051_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXCommon.TEventPointer>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7953_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25142_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXCommon.TResultCommandHandler>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10383_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXJSON.TJSONAncestor>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10336_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXJSONReflect.TConverterEvent>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10142_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10238_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10527_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10431_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXJSONReflect.TPair<System.string,System.TObject>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18596_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXJSONReflect.TReverterEvent>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11115_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11064_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11299_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15959_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15814_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16290_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSClientRest.TDSRestClientCallback>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16464_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSClientRest.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21945_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSCommonProxy.IDSProxyWriter>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17410_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTP.TDSHTTPClass>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17312_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18404_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTPCommon.TDSCallbackItem>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18096_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTPCommon.TDSCommandComplexParams>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17774_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTPCommon.TDSExecutionResponse>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18149_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18451_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18547_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18306_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18780_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19081_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19440_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19735_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20023_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20305_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20831_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20735_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21059_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21293_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21580_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21847_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22139_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22432_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22999_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22854_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23743_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSServer.TDSCallbackTunnel>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23692_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSServer.TDSCallbackTunnelEvent>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23794_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23892_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23988_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24517_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSService.TDBXRequestFilter>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11397_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSService.TDSSession>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24887_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSService.TDSSessionEvent>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25091_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24985_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25332_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25236_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSService.TPair<System.string,System.TObject>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25189_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSService.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25606_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29708_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<GraphView.TGraphEdge>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29818_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<GraphView.TGraphNode>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29763_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<GraphView.TObjectList<GraphView.TGraphEdge>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30580_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IBDatabase.TIBBase>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30682_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IBDatabase.TIBDatabase>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30631_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IBDatabase.TIBTransaction>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31373_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IBIntf.IGDSLibrary>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31275_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40393_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IPPeerAPI.IIPContext>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43000_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42757_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IPPeerAPI.TPair<System.TGUID,System.TClass>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42902_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43047_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IPPeerAPI.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40346_0 {
	meta:
		name = "TList<IdContext.TIdContext>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IdContext.TIdContext>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40295_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40199_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<IndyPeerImpl.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50064_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Soap.WSDLLookup.TPair<System.string,System.Variant>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51249_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51104_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<SyncController.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51347_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<SyncController.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30860_0 {
	meta:
		name = "TList<System.AnsiString>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.AnsiString>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51720_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54641_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.CustomScope.TScopeClass>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56371_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.EvalProtocol.ILocation>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53186_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.EvalProtocol.IScope>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51962_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.EvalProtocol.ISubscription>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52135_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52856_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52601_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.EvalSys.TOverload>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52758_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52660_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52809_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.EvalSys.TValueConverter.TConvPair>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53233_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53616_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Expression.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53761_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54135_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54280_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56126_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55838_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TDictionary<System.string,System.Int64>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56269_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TDictionary<System.string,System.Integer>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56320_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56077_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55885_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55497_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55932_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55740_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56220_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56418_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55595_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TPair<System.string,System.Int64>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56173_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Graph.TPair<System.string,System.Integer>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56851_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Helper.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57059_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Manager.TBindingManager>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58620_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58473_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58232_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58571_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58520_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58279_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57844_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58424_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58134_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58328_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57989_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59152_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Methods.TMethodDescription>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59054_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59199_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Methods.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59707_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59928_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60297_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TBindingOutput.TLocationRec>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60122_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TConvertPair>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60863_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TConverterDescription>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60765_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61018_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61271_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60812_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60963_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61116_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60714_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60914_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61175_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Outputs.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61708_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64898_0 {
	meta:
		name = "TList<System.Boolean>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Boolean>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2509_0 {
	meta:
		name = "TList<System.Classes.IObserver>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Classes.IObserver>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86481_0 {
	meta:
		name = "TList<System.Classes.TComponent>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Classes.TComponent>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2167_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Classes.TNotifyEvent>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15912_0 {
	meta:
		name = "TList<System.Classes.TStream>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Classes.TStream>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24037_0 {
	meta:
		name = "TList<System.Classes.TStrings>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Classes.TStrings>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63643_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.DateUtils.TLocalTimeZone.TYearlyChanges>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63545_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64800_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.DebugUtils.TPair<System.string,System.Boolean>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54543_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52412_0 {
	meta:
		name = "TList<System.IInterface>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.IInterface>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58377_0 {
	meta:
		name = "TList<System.Int64>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Int64>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24572_0 {
	meta:
		name = "TList<System.Integer>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Integer>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22952_0 {
	meta:
		name = "TList<System.Masks.TMask>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Masks.TMask>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61806_0 {
	meta:
		name = "TList<System.Pointer>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Pointer>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67399_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TMethodImplementation.TParamLoc>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68128_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68295_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68438_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68016_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TRttiField>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68068_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TRttiManagedField>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67963_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TRttiMethod>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68226_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TRttiObject>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67911_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TRttiProperty>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67576_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TVirtualInterface.TImplInfo>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67521_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60419_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.SysUtils.TProc<System.Rtti.TValue>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42855_0 {
	meta:
		name = "TList<System.TClass>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.TClass>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67854_0 {
	meta:
		name = "TList<System.TCustomAttribute>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.TCustomAttribute>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42808_0 {
	meta:
		name = "TList<System.TGUID>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.TGUID>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23218_0 {
	meta:
		name = "TList<System.TObject>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.TObject>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68344_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.TypInfo.PTypeInfo>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87750_0 {
	meta:
		name = "TList<System.Types.TPoint>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Types.TPoint>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50115_0 {
	meta:
		name = "TList<System.Variant>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Variant>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63596_0 {
	meta:
		name = "TList<System.Word>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Word>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71791_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71693_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71744_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Zip.TZipCompression>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71646_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.Zip.TZipHeader>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22905_0 {
	meta:
		name = "TList<System.string>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<System.string>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88872_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Controls.TControl>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89277_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Controls.TCustomGestureCollectionItem>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88754_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Controls.TCustomGestureManager>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78614_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Direct2D.TDirect2DGraphicsObject>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86677_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86430_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86579_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87648_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Themes.TCustomStyleEngineClass>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87699_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Themes.TCustomStyleServices>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87899_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87801_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87946_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86528_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Themes.TStyleHook>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87403_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Themes.TStyleHookClass>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88044_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Themes.TStyleManager.TSourceInfo>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87597_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Themes.TStyleManager.TStyleClassDescriptor>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88549_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88451_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89025_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.GestureMgr.TGestureCollection>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88974_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89328_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.Gestures.TGesturePoint>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89508_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.Keyboard.TCustomKeyboardButton>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89559_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89610_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.KeyboardTypes.TKeyData>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89841_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89739_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.KeyboardTypes.TVirtualKey>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89892_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89790_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Vcl.Touch.KeyboardTypes.TVirtualKeys>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96357_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Sort"
		size = 42
		refs = "0014 @DynArrayHigh 001d _Dn_TArray 0022 TArray.Sort<Web.WebFileDispatcher.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2015_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Expression.TBindingExpression>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26863_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<DSAzDlgBlockBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27087_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<DSAzDlgCopyBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27291_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<DSAzDlgCreateContainer.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27523_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<DSAzDlgPageBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27740_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<DSAzDlgPutBlockList.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27941_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28559_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<DSAzureBlob.TBBlob>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28781_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<DSAzureBlob.TBBlock>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28435_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<DSAzureBlob.TBContainer>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28724_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<DSAzureBlob.TBPageRange>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28667_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<DSAzureBlob.TBSignedIdentifier>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28614_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<DSAzureBlob.TLeaseItem>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28838_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<DSAzureBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29082_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<DSAzureQueue.TMessageNodeData>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29500_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<DSAzureTableDialog.TAzureTableColumn>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29355_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<DSAzureTableDialog.TAzureTableRow>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29402_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2117_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Bind.Components.TBasicBindComponent>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2293_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Bind.Components.TBindEditorFactoryClass>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2066_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Bind.Components.TContainedBindComponent>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2412_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2767_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Bind.DBLinks.TBindDBColumnFactoryClass>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3109_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Bind.DBScope.TBaseDataLink>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3011_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3606_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Cloud.AmazonAPI.TAmazonBatchRow>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3861_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Cloud.AmazonAPI.TAmazonGrant>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3963_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Cloud.AmazonAPI.TAmazonMultipartPart>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3912_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4014_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3810_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Cloud.AmazonAPI.TAmazonObjectResult>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3555_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Cloud.AmazonAPI.TAmazonRowConditional>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4689_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Cloud.AzureAPI.TAzureBlob>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4740_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Cloud.AzureAPI.TAzureBlobPageRange>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4536_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Cloud.AzureAPI.TAzureBlockListItem>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4587_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Cloud.AzureAPI.TAzureContainer>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4638_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Cloud.AzureAPI.TSignedIdentifier>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3759_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Cloud.CloudAPI.TCloudQueue>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3708_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Cloud.CloudAPI.TCloudQueueMessage>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5021_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Cloud.CloudAPI.TCloudTableColumn>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3657_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.Cloud.CloudAPI.TCloudTableRow>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16409_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.DBXCommon.TDBXParameter>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7907_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8627_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.DBXCommon.TDBXWritableValueArray>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7954_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25143_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.DBXCommon.TResultCommandHandler>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10384_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.DBXJSON.TJSONAncestor>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18501_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.DBXJSONReflect.TConverterEvent>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10143_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10239_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10528_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10432_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.DBXJSONReflect.TPair<System.string,System.TObject>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23942_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.DBXJSONReflect.TReverterEvent>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11116_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11065_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11300_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15960_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15815_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16291_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSClientRest.TDSRestClientCallback>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16465_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSClientRest.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19834_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSCommonProxy.IDSProxyWriter>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17411_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSHTTP.TDSHTTPClass>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17313_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18405_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSHTTPCommon.TDSCallbackItem>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18097_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSHTTPCommon.TDSCommandComplexParams>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17775_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSHTTPCommon.TDSExecutionResponse>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18150_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18452_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18548_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18307_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18781_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19082_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19441_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19736_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20024_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20306_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20832_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20736_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21060_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21294_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21581_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21848_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22140_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22433_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23000_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22855_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23744_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSServer.TDSCallbackTunnel>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23693_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSServer.TDSCallbackTunnelEvent>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23795_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23893_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23989_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24518_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSService.TDBXRequestFilter>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11398_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSService.TDSSession>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24888_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSService.TDSSessionEvent>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25092_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24986_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25333_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25237_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSService.TPair<System.string,System.TObject>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25190_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSService.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25607_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29709_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<GraphView.TGraphEdge>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29819_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<GraphView.TGraphNode>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29764_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<GraphView.TObjectList<GraphView.TGraphEdge>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30581_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<IBDatabase.TIBBase>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30683_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<IBDatabase.TIBDatabase>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30632_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<IBDatabase.TIBTransaction>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31374_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<IBIntf.IGDSLibrary>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31276_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40394_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<IPPeerAPI.IIPContext>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43001_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42758_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<IPPeerAPI.TPair<System.TGUID,System.TClass>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42903_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43048_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<IPPeerAPI.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40347_0 {
	meta:
		name = "TList<IdContext.TIdContext>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<IdContext.TIdContext>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40296_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40200_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<IndyPeerImpl.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50065_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Soap.WSDLLookup.TPair<System.string,System.Variant>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51250_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51105_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<SyncController.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51348_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<SyncController.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30861_0 {
	meta:
		name = "TList<System.AnsiString>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.AnsiString>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51721_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54642_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.CustomScope.TScopeClass>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56372_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.EvalProtocol.ILocation>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53187_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.EvalProtocol.IScope>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60518_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.EvalProtocol.ISubscription>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52136_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52857_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52602_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.EvalSys.TOverload>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52759_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52661_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52810_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.EvalSys.TValueConverter.TConvPair>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53234_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53617_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Expression.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53762_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54136_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54281_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56127_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55839_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Graph.TDictionary<System.string,System.Int64>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56270_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Graph.TDictionary<System.string,System.Integer>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56321_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56078_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55886_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55498_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55933_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55741_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56221_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56419_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Graph.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55596_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Graph.TPair<System.string,System.Int64>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56174_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Graph.TPair<System.string,System.Integer>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56852_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Helper.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57060_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Manager.TBindingManager>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58621_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58474_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58233_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58572_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58521_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58280_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57845_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58425_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58135_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58329_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57990_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59153_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Methods.TMethodDescription>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59055_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59200_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Methods.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59708_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59929_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60298_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Outputs.TBindingOutput.TLocationRec>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60123_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Outputs.TConvertPair>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60864_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Outputs.TConverterDescription>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60766_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61019_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61272_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60813_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60964_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61117_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Outputs.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60715_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60915_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61176_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Outputs.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61709_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2510_0 {
	meta:
		name = "TList<System.Classes.IObserver>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Classes.IObserver>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86482_0 {
	meta:
		name = "TList<System.Classes.TComponent>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Classes.TComponent>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15913_0 {
	meta:
		name = "TList<System.Classes.TStream>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Classes.TStream>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24038_0 {
	meta:
		name = "TList<System.Classes.TStrings>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Classes.TStrings>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63644_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.DateUtils.TLocalTimeZone.TYearlyChanges>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63546_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64801_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.DebugUtils.TPair<System.string,System.Boolean>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54544_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61225_0 {
	meta:
		name = "TList<System.IInterface>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.IInterface>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24573_0 {
	meta:
		name = "TList<System.Integer>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Integer>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22953_0 {
	meta:
		name = "TList<System.Masks.TMask>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Masks.TMask>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57943_0 {
	meta:
		name = "TList<System.Pointer>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Pointer>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67400_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Rtti.TMethodImplementation.TParamLoc>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68129_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68296_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68439_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68017_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Rtti.TRttiField>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68069_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Rtti.TRttiManagedField>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67964_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Rtti.TRttiMethod>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68227_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Rtti.TRttiObject>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67912_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Rtti.TRttiProperty>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67577_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Rtti.TVirtualInterface.TImplInfo>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67522_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60420_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.SysUtils.TProc<System.Rtti.TValue>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86631_0 {
	meta:
		name = "TList<System.TClass>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.TClass>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67855_0 {
	meta:
		name = "TList<System.TCustomAttribute>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.TCustomAttribute>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42809_0 {
	meta:
		name = "TList<System.TGUID>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.TGUID>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25286_0 {
	meta:
		name = "TList<System.TObject>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.TObject>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68345_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.TypInfo.PTypeInfo>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87751_0 {
	meta:
		name = "TList<System.Types.TPoint>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Types.TPoint>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50116_0 {
	meta:
		name = "TList<System.Variant>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Variant>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63597_0 {
	meta:
		name = "TList<System.Word>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Word>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71792_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71694_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71647_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Zip.TZipHeader>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87998_0 {
	meta:
		name = "TList<System.string>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.string>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88873_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Controls.TControl>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89278_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Controls.TCustomGestureCollectionItem>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88755_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Controls.TCustomGestureManager>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78615_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Direct2D.TDirect2DGraphicsObject>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86678_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86431_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86580_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87649_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Themes.TCustomStyleEngineClass>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87700_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Themes.TCustomStyleServices>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87900_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87802_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87947_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86529_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Themes.TStyleHook>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87404_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Themes.TStyleHookClass>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88045_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Themes.TStyleManager.TSourceInfo>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87598_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Themes.TStyleManager.TStyleClassDescriptor>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88550_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88452_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89026_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Touch.GestureMgr.TGestureCollection>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88975_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89329_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Touch.Gestures.TGesturePoint>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89509_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Touch.Keyboard.TCustomKeyboardButton>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89560_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89842_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89740_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Touch.KeyboardTypes.TVirtualKey>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89893_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89791_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Vcl.Touch.KeyboardTypes.TVirtualKeys>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96358_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<Web.WebFileDispatcher.TPair<System.string,System.string>>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 56 8B 44 24 04 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2016_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Expression.TBindingExpression>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_26864_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<DSAzDlgBlockBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_27088_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<DSAzDlgCopyBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_27292_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<DSAzDlgCreateContainer.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_27524_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<DSAzDlgPageBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_27741_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<DSAzDlgPutBlockList.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_27942_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_28560_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<DSAzureBlob.TBBlob>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_28782_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<DSAzureBlob.TBBlock>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_28436_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<DSAzureBlob.TBContainer>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_28725_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<DSAzureBlob.TBPageRange>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_28668_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<DSAzureBlob.TBSignedIdentifier>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_28615_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<DSAzureBlob.TLeaseItem>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_28839_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<DSAzureBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_29083_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<DSAzureQueue.TMessageNodeData>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_29501_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<DSAzureTableDialog.TAzureTableColumn>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_29356_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<DSAzureTableDialog.TAzureTableRow>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_29403_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2118_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Bind.Components.TBasicBindComponent>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2294_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Bind.Components.TBindEditorFactoryClass>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2067_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Bind.Components.TContainedBindComponent>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2413_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2768_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Bind.DBLinks.TBindDBColumnFactoryClass>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3110_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Bind.DBScope.TBaseDataLink>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3012_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3607_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Cloud.AmazonAPI.TAmazonBatchRow>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3862_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Cloud.AmazonAPI.TAmazonGrant>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3964_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Cloud.AmazonAPI.TAmazonMultipartPart>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3913_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4015_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3811_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Cloud.AmazonAPI.TAmazonObjectResult>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3556_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Cloud.AmazonAPI.TAmazonRowConditional>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4690_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Cloud.AzureAPI.TAzureBlob>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4741_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Cloud.AzureAPI.TAzureBlobPageRange>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4537_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Cloud.AzureAPI.TAzureBlockListItem>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4588_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Cloud.AzureAPI.TAzureContainer>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4639_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Cloud.AzureAPI.TSignedIdentifier>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3760_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Cloud.CloudAPI.TCloudQueue>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3709_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Cloud.CloudAPI.TCloudQueueMessage>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5022_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Cloud.CloudAPI.TCloudTableColumn>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3658_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.Cloud.CloudAPI.TCloudTableRow>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16410_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.DBXCommon.TDBXParameter>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7908_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8628_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.DBXCommon.TDBXWritableValueArray>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7955_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_25144_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.DBXCommon.TResultCommandHandler>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10385_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.DBXJSON.TJSONAncestor>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_18502_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.DBXJSONReflect.TConverterEvent>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10144_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10240_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10529_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10433_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.DBXJSONReflect.TPair<System.string,System.TObject>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_23943_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.DBXJSONReflect.TReverterEvent>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11117_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11066_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11301_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15961_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15816_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16292_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSClientRest.TDSRestClientCallback>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16466_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSClientRest.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_19835_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSCommonProxy.IDSProxyWriter>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_17412_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSHTTP.TDSHTTPClass>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_17314_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_18406_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSHTTPCommon.TDSCallbackItem>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_18098_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSHTTPCommon.TDSCommandComplexParams>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_17776_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSHTTPCommon.TDSExecutionResponse>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_18151_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_18453_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_18549_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_18308_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_18782_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_19083_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_19442_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_19737_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_20025_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_20307_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_20833_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_20737_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_21061_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_21295_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_21582_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_21849_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_22141_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_22434_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_23001_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_22856_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_23745_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSServer.TDSCallbackTunnel>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_23694_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSServer.TDSCallbackTunnelEvent>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_23796_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_23894_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_23990_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_24519_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSService.TDBXRequestFilter>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11399_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSService.TDSSession>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_24889_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSService.TDSSessionEvent>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_25093_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_24987_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_25334_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_25238_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSService.TPair<System.string,System.TObject>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_25191_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSService.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_25608_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_29710_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<GraphView.TGraphEdge>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_29820_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<GraphView.TGraphNode>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_29765_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<GraphView.TObjectList<GraphView.TGraphEdge>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_30582_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<IBDatabase.TIBBase>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_30684_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<IBDatabase.TIBDatabase>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_30633_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<IBDatabase.TIBTransaction>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_31375_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<IBIntf.IGDSLibrary>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_31277_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_40395_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<IPPeerAPI.IIPContext>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_43002_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_42759_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<IPPeerAPI.TPair<System.TGUID,System.TClass>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_42904_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_43049_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<IPPeerAPI.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_40348_0 {
	meta:
		name = "TList<IdContext.TIdContext>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<IdContext.TIdContext>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_40297_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_40201_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<IndyPeerImpl.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_50066_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Soap.WSDLLookup.TPair<System.string,System.Variant>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_51251_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_51106_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<SyncController.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_51349_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<SyncController.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_30862_0 {
	meta:
		name = "TList<System.AnsiString>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.AnsiString>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_51722_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_54643_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.CustomScope.TScopeClass>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_56373_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.EvalProtocol.ILocation>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_53188_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.EvalProtocol.IScope>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_60519_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.EvalProtocol.ISubscription>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_52137_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_52858_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_52603_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.EvalSys.TOverload>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_52760_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_52662_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_52811_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.EvalSys.TValueConverter.TConvPair>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_53235_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_53618_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Expression.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_53763_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_54137_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_54282_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_56128_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_55840_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Graph.TDictionary<System.string,System.Int64>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_56271_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Graph.TDictionary<System.string,System.Integer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_56322_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_56079_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_55887_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_55499_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_55934_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_55742_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_56222_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_56420_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Graph.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_55597_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Graph.TPair<System.string,System.Int64>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_56175_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Graph.TPair<System.string,System.Integer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_56853_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Helper.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_57061_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Manager.TBindingManager>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_58622_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_58475_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_58234_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_58573_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_58522_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_58281_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_57846_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_58426_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_58136_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_58330_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_57991_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_59154_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Methods.TMethodDescription>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_59056_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_59201_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Methods.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_59709_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_59930_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_60299_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Outputs.TBindingOutput.TLocationRec>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_60124_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Outputs.TConvertPair>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_60865_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Outputs.TConverterDescription>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_60767_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_61020_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_61273_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_60814_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_60965_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_61118_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Outputs.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_60716_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_60916_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_61177_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Outputs.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_61710_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2511_0 {
	meta:
		name = "TList<System.Classes.IObserver>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Classes.IObserver>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_86483_0 {
	meta:
		name = "TList<System.Classes.TComponent>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Classes.TComponent>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15914_0 {
	meta:
		name = "TList<System.Classes.TStream>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Classes.TStream>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_24039_0 {
	meta:
		name = "TList<System.Classes.TStrings>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Classes.TStrings>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_63645_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.DateUtils.TLocalTimeZone.TYearlyChanges>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_63547_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_64802_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.DebugUtils.TPair<System.string,System.Boolean>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_54545_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_61226_0 {
	meta:
		name = "TList<System.IInterface>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.IInterface>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_24574_0 {
	meta:
		name = "TList<System.Integer>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Integer>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_22954_0 {
	meta:
		name = "TList<System.Masks.TMask>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Masks.TMask>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_57944_0 {
	meta:
		name = "TList<System.Pointer>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Pointer>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_67401_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Rtti.TMethodImplementation.TParamLoc>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_68130_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_68297_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_68440_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_68018_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Rtti.TRttiField>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_68070_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Rtti.TRttiManagedField>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_67965_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Rtti.TRttiMethod>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_68228_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Rtti.TRttiObject>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_67913_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Rtti.TRttiProperty>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_67578_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Rtti.TVirtualInterface.TImplInfo>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_67523_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_60421_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.SysUtils.TProc<System.Rtti.TValue>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_86632_0 {
	meta:
		name = "TList<System.TClass>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.TClass>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_67856_0 {
	meta:
		name = "TList<System.TCustomAttribute>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.TCustomAttribute>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_42810_0 {
	meta:
		name = "TList<System.TGUID>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.TGUID>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_25287_0 {
	meta:
		name = "TList<System.TObject>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.TObject>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_68346_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.TypInfo.PTypeInfo>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_87752_0 {
	meta:
		name = "TList<System.Types.TPoint>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Types.TPoint>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_50117_0 {
	meta:
		name = "TList<System.Variant>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Variant>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_63598_0 {
	meta:
		name = "TList<System.Word>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Word>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_71793_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_71695_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_71648_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Zip.TZipHeader>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_87999_0 {
	meta:
		name = "TList<System.string>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.string>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_88874_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Controls.TControl>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_89279_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Controls.TCustomGestureCollectionItem>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_88756_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Controls.TCustomGestureManager>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_78616_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Direct2D.TDirect2DGraphicsObject>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_86679_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_86432_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_86581_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_87650_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Themes.TCustomStyleEngineClass>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_87701_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Themes.TCustomStyleServices>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_87901_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_87803_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_87948_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_86530_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Themes.TStyleHook>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_87405_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Themes.TStyleHookClass>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_88046_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Themes.TStyleManager.TSourceInfo>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_87599_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Themes.TStyleManager.TStyleClassDescriptor>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_88551_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_88453_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_89027_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Touch.GestureMgr.TGestureCollection>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_88976_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_89330_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Touch.Gestures.TGesturePoint>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_89510_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Touch.Keyboard.TCustomKeyboardButton>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_89561_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_89843_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_89741_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Touch.KeyboardTypes.TVirtualKey>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_89894_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_89792_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Vcl.Touch.KeyboardTypes.TVirtualKeys>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_96359_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<Web.WebFileDispatcher.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 56 8B 45 FC 50 8B 45 08 50 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2017_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Expression.TBindingExpression>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68824_0 {
	meta:
		name = "TCountdownEvent.Reset"
		size = 9
		refs = "0004 TCountdownEvent.Reset"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26865_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.TrimExcess"
		size = 9
		refs = "0004 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27089_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.TrimExcess"
		size = 9
		refs = "0004 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27293_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.TrimExcess"
		size = 9
		refs = "0004 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27525_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.TrimExcess"
		size = 9
		refs = "0004 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27742_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.TrimExcess"
		size = 9
		refs = "0004 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27943_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.TrimExcess"
		size = 9
		refs = "0004 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28561_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.TrimExcess"
		size = 9
		refs = "0004 TList<DSAzureBlob.TBBlob>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28783_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.TrimExcess"
		size = 9
		refs = "0004 TList<DSAzureBlob.TBBlock>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28437_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.TrimExcess"
		size = 9
		refs = "0004 TList<DSAzureBlob.TBContainer>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28726_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.TrimExcess"
		size = 9
		refs = "0004 TList<DSAzureBlob.TBPageRange>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28669_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.TrimExcess"
		size = 9
		refs = "0004 TList<DSAzureBlob.TBSignedIdentifier>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28616_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.TrimExcess"
		size = 9
		refs = "0004 TList<DSAzureBlob.TLeaseItem>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28840_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.TrimExcess"
		size = 9
		refs = "0004 TList<DSAzureBlob.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29084_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.TrimExcess"
		size = 9
		refs = "0004 TList<DSAzureQueue.TMessageNodeData>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29502_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.TrimExcess"
		size = 9
		refs = "0004 TList<DSAzureTableDialog.TAzureTableColumn>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29357_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.TrimExcess"
		size = 9
		refs = "0004 TList<DSAzureTableDialog.TAzureTableRow>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29404_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.TrimExcess"
		size = 9
		refs = "0004 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2119_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Bind.Components.TBasicBindComponent>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2295_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Bind.Components.TBindEditorFactoryClass>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2068_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Bind.Components.TContainedBindComponent>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2414_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2769_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3111_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Bind.DBScope.TBaseDataLink>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3013_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3608_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3863_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3965_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3914_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4016_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3812_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3557_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4691_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Cloud.AzureAPI.TAzureBlob>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4742_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4538_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4589_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Cloud.AzureAPI.TAzureContainer>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4640_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3761_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Cloud.CloudAPI.TCloudQueue>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3710_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5023_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3659_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.Cloud.CloudAPI.TCloudTableRow>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16411_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.DBXCommon.TDBXParameter>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7909_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8629_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.DBXCommon.TDBXWritableValueArray>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8054_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.DBXCommon.TEventPointer>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7956_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25145_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.DBXCommon.TResultCommandHandler>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10386_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.DBXJSON.TJSONAncestor>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23848_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.DBXJSONReflect.TConverterEvent>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10145_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10241_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10530_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10434_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18599_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.DBXJSONReflect.TReverterEvent>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11118_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11067_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11302_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.TrimExcess"
		size = 9
		refs = "0004 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15962_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15817_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16293_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSClientRest.TDSRestClientCallback>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16467_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20124_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17413_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSHTTP.TDSHTTPClass>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17315_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18407_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18099_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17777_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18152_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18454_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18550_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18309_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18783_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19084_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19443_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19738_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20026_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20308_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20834_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20738_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21062_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21296_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21583_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21850_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22142_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22435_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23002_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22857_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23746_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSServer.TDSCallbackTunnel>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23695_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23797_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23895_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23991_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24520_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSService.TDBXRequestFilter>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18832_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSService.TDSSession>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11165_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSService.TDSSessionEvent>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25094_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24988_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25335_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25239_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25192_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSService.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25609_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.TrimExcess"
		size = 9
		refs = "0004 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29711_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.TrimExcess"
		size = 9
		refs = "0004 TList<GraphView.TGraphEdge>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29821_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.TrimExcess"
		size = 9
		refs = "0004 TList<GraphView.TGraphNode>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29766_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.TrimExcess"
		size = 9
		refs = "0004 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30583_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.TrimExcess"
		size = 9
		refs = "0004 TList<IBDatabase.TIBBase>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30685_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.TrimExcess"
		size = 9
		refs = "0004 TList<IBDatabase.TIBDatabase>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30634_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.TrimExcess"
		size = 9
		refs = "0004 TList<IBDatabase.TIBTransaction>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31376_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.TrimExcess"
		size = 9
		refs = "0004 TList<IBIntf.IGDSLibrary>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31278_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.TrimExcess"
		size = 9
		refs = "0004 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40396_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.TrimExcess"
		size = 9
		refs = "0004 TList<IPPeerAPI.IIPContext>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43003_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.TrimExcess"
		size = 9
		refs = "0004 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42760_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.TrimExcess"
		size = 9
		refs = "0004 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42905_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.TrimExcess"
		size = 9
		refs = "0004 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43050_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.TrimExcess"
		size = 9
		refs = "0004 TList<IPPeerAPI.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40349_0 {
	meta:
		name = "TList<IdContext.TIdContext>.TrimExcess"
		size = 9
		refs = "0004 TList<IdContext.TIdContext>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40298_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.TrimExcess"
		size = 9
		refs = "0004 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40202_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.TrimExcess"
		size = 9
		refs = "0004 TList<IndyPeerImpl.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50067_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.TrimExcess"
		size = 9
		refs = "0004 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51252_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.TrimExcess"
		size = 9
		refs = "0004 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51107_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.TrimExcess"
		size = 9
		refs = "0004 TList<SyncController.TPair<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51350_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.TrimExcess"
		size = 9
		refs = "0004 TList<SyncController.TPair<System.TObject,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30863_0 {
	meta:
		name = "TList<System.AnsiString>.TrimExcess"
		size = 9
		refs = "0004 TList<System.AnsiString>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51723_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54644_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.CustomScope.TScopeClass>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51303_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.EvalProtocol.ILocation>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53189_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.EvalProtocol.IScope>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53042_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.EvalProtocol.ISubscription>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52138_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52859_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52604_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.EvalSys.TOverload>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52761_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52663_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52812_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53236_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53619_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53764_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54138_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54283_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56129_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55841_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56272_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56323_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56080_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55888_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55500_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55935_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55743_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56223_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56421_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55598_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56176_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56854_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57062_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Manager.TBindingManager>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58623_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58476_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58235_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58574_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58523_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58282_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57847_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58427_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58137_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58331_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57992_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59155_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Methods.TMethodDescription>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59057_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59202_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59710_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59931_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60300_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60125_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Outputs.TConvertPair>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60866_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Outputs.TConverterDescription>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60768_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61021_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61274_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60815_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60966_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61119_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60717_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60917_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61178_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61711_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64901_0 {
	meta:
		name = "TList<System.Boolean>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Boolean>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2512_0 {
	meta:
		name = "TList<System.Classes.IObserver>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Classes.IObserver>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88505_0 {
	meta:
		name = "TList<System.Classes.TComponent>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Classes.TComponent>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3167_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Classes.TNotifyEvent>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15915_0 {
	meta:
		name = "TList<System.Classes.TStream>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Classes.TStream>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24040_0 {
	meta:
		name = "TList<System.Classes.TStrings>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Classes.TStrings>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63646_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.TrimExcess"
		size = 9
		refs = "0004 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63548_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64803_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54546_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61227_0 {
	meta:
		name = "TList<System.IInterface>.TrimExcess"
		size = 9
		refs = "0004 TList<System.IInterface>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55696_0 {
	meta:
		name = "TList<System.Int64>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Int64>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58090_0 {
	meta:
		name = "TList<System.Integer>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Integer>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22955_0 {
	meta:
		name = "TList<System.Masks.TMask>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Masks.TMask>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61809_0 {
	meta:
		name = "TList<System.Pointer>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Pointer>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67402_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Rtti.TMethodImplementation.TParamLoc>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68131_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68298_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68441_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68019_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Rtti.TRttiField>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68071_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Rtti.TRttiManagedField>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67966_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Rtti.TRttiMethod>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68229_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Rtti.TRttiObject>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67914_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Rtti.TRttiProperty>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67579_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Rtti.TVirtualInterface.TImplInfo>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67524_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60422_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.SysUtils.TProc<System.Rtti.TValue>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42858_0 {
	meta:
		name = "TList<System.TClass>.TrimExcess"
		size = 9
		refs = "0004 TList<System.TClass>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67857_0 {
	meta:
		name = "TList<System.TCustomAttribute>.TrimExcess"
		size = 9
		refs = "0004 TList<System.TCustomAttribute>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42811_0 {
	meta:
		name = "TList<System.TGUID>.TrimExcess"
		size = 9
		refs = "0004 TList<System.TGUID>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10483_0 {
	meta:
		name = "TList<System.TObject>.TrimExcess"
		size = 9
		refs = "0004 TList<System.TObject>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68347_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.TrimExcess"
		size = 9
		refs = "0004 TList<System.TypInfo.PTypeInfo>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87753_0 {
	meta:
		name = "TList<System.Types.TPoint>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Types.TPoint>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50118_0 {
	meta:
		name = "TList<System.Variant>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Variant>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63599_0 {
	meta:
		name = "TList<System.Word>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Word>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71794_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71696_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71747_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Zip.TZipCompression>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71649_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.TrimExcess"
		size = 9
		refs = "0004 TList<System.Zip.TZipHeader>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27138_0 {
	meta:
		name = "TList<System.string>.TrimExcess"
		size = 9
		refs = "0004 TList<System.string>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88875_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Controls.TControl>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89280_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Controls.TCustomGestureCollectionItem>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88757_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Controls.TCustomGestureManager>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78617_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86680_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86433_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86582_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87651_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Themes.TCustomStyleEngineClass>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87702_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Themes.TCustomStyleServices>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87902_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87804_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87949_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86531_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Themes.TStyleHook>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87406_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Themes.TStyleHookClass>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88047_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Themes.TStyleManager.TSourceInfo>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87600_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88552_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88454_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89028_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Touch.GestureMgr.TGestureCollection>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88977_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89331_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Touch.Gestures.TGesturePoint>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89511_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89562_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89613_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Touch.KeyboardTypes.TKeyData>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89844_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89742_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89895_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89793_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.TrimExcess"
		size = 9
		refs = "0004 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96360_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.TrimExcess"
		size = 9
		refs = "0004 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2018_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.ToArray"
		size = 73
		refs = "0018 TArray<System.Bindings.Expression.TBindingExpression> 001d @DynArraySetLength 0034 TList<System.Bindings.Expression.TBindingExpression>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28562_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.ToArray"
		size = 73
		refs = "0018 TArray<DSAzureBlob.TBBlob> 001d @DynArraySetLength 0034 TList<DSAzureBlob.TBBlob>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28784_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.ToArray"
		size = 73
		refs = "0018 TArray<DSAzureBlob.TBBlock> 001d @DynArraySetLength 0034 TList<DSAzureBlob.TBBlock>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28438_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.ToArray"
		size = 73
		refs = "0018 TArray<DSAzureBlob.TBContainer> 001d @DynArraySetLength 0034 TList<DSAzureBlob.TBContainer>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28727_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.ToArray"
		size = 73
		refs = "0018 TArray<DSAzureBlob.TBPageRange> 001d @DynArraySetLength 0034 TList<DSAzureBlob.TBPageRange>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28670_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.ToArray"
		size = 73
		refs = "0018 TArray<DSAzureBlob.TBSignedIdentifier> 001d @DynArraySetLength 0034 TList<DSAzureBlob.TBSignedIdentifier>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28617_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.ToArray"
		size = 73
		refs = "0018 TArray<DSAzureBlob.TLeaseItem> 001d @DynArraySetLength 0034 TList<DSAzureBlob.TLeaseItem>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29085_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.ToArray"
		size = 73
		refs = "0018 TArray<DSAzureQueue.TMessageNodeData> 001d @DynArraySetLength 0034 TList<DSAzureQueue.TMessageNodeData>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29503_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.ToArray"
		size = 73
		refs = "0018 TArray<DSAzureTableDialog.TAzureTableColumn> 001d @DynArraySetLength 0034 TList<DSAzureTableDialog.TAzureTableColumn>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29358_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.ToArray"
		size = 73
		refs = "0018 TArray<DSAzureTableDialog.TAzureTableRow> 001d @DynArraySetLength 0034 TList<DSAzureTableDialog.TAzureTableRow>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2120_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.ToArray"
		size = 73
		refs = "0018 TArray<Data.Bind.Components.TBasicBindComponent> 001d @DynArraySetLength 0034 TList<Data.Bind.Components.TBasicBindComponent>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2296_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.ToArray"
		size = 73
		refs = "0018 TArray<Data.Bind.Components.TBindEditorFactoryClass> 001d @DynArraySetLength 0034 TList<Data.Bind.Components.TBindEditorFactoryClass>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2069_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.ToArray"
		size = 73
		refs = "0018 TArray<Data.Bind.Components.TContainedBindComponent> 001d @DynArraySetLength 0034 TList<Data.Bind.Components.TContainedBindComponent>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2770_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.ToArray"
		size = 73
		refs = "0018 TArray<Data.Bind.DBLinks.TBindDBColumnFactoryClass> 001d @DynArraySetLength 0034 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3112_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.ToArray"
		size = 73
		refs = "0018 TArray<Data.Bind.DBScope.TBaseDataLink> 001d @DynArraySetLength 0034 TList<Data.Bind.DBScope.TBaseDataLink>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4692_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.ToArray"
		size = 73
		refs = "0018 TArray<Data.Cloud.AzureAPI.TAzureBlob> 001d @DynArraySetLength 0034 TList<Data.Cloud.AzureAPI.TAzureBlob>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4590_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.ToArray"
		size = 73
		refs = "0018 TArray<Data.Cloud.AzureAPI.TAzureContainer> 001d @DynArraySetLength 0034 TList<Data.Cloud.AzureAPI.TAzureContainer>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4641_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.ToArray"
		size = 73
		refs = "0018 TArray<Data.Cloud.AzureAPI.TSignedIdentifier> 001d @DynArraySetLength 0034 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4437_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.ToArray"
		size = 73
		refs = "0018 TArray<Data.Cloud.CloudAPI.TCloudQueueMessage> 001d @DynArraySetLength 0034 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5024_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.ToArray"
		size = 73
		refs = "0018 TArray<Data.Cloud.CloudAPI.TCloudTableColumn> 001d @DynArraySetLength 0034 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3660_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.ToArray"
		size = 73
		refs = "0018 TArray<Data.Cloud.CloudAPI.TCloudTableRow> 001d @DynArraySetLength 0034 TList<Data.Cloud.CloudAPI.TCloudTableRow>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18049_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.ToArray"
		size = 73
		refs = "0018 TArray<Data.DBXCommon.TDBXParameter> 001d @DynArraySetLength 0034 TList<Data.DBXCommon.TDBXParameter>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7910_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.ToArray"
		size = 73
		refs = "0018 TArray<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec> 001d @DynArraySetLength 0034 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25146_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.ToArray"
		size = 73
		refs = "0018 TArray<Data.DBXCommon.TResultCommandHandler> 001d @DynArraySetLength 0034 TList<Data.DBXCommon.TResultCommandHandler>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10387_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.ToArray"
		size = 73
		refs = "0018 TArray<Data.DBXJSON.TJSONAncestor> 001d @DynArraySetLength 0034 TList<Data.DBXJSON.TJSONAncestor>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23849_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.ToArray"
		size = 73
		refs = "0018 TArray<Data.DBXJSONReflect.TConverterEvent> 001d @DynArraySetLength 0034 TList<Data.DBXJSONReflect.TConverterEvent>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23945_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.ToArray"
		size = 73
		refs = "0018 TArray<Data.DBXJSONReflect.TReverterEvent> 001d @DynArraySetLength 0034 TList<Data.DBXJSONReflect.TReverterEvent>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11119_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.ToArray"
		size = 73
		refs = "0018 TArray<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler> 001d @DynArraySetLength 0034 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16294_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.ToArray"
		size = 73
		refs = "0018 TArray<Datasnap.DSClientRest.TDSRestClientCallback> 001d @DynArraySetLength 0034 TList<Datasnap.DSClientRest.TDSRestClientCallback>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17414_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.ToArray"
		size = 73
		refs = "0018 TArray<Datasnap.DSHTTP.TDSHTTPClass> 001d @DynArraySetLength 0034 TList<Datasnap.DSHTTP.TDSHTTPClass>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18408_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.ToArray"
		size = 73
		refs = "0018 TArray<Datasnap.DSHTTPCommon.TDSCallbackItem> 001d @DynArraySetLength 0034 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18100_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.ToArray"
		size = 73
		refs = "0018 TArray<Datasnap.DSHTTPCommon.TDSCommandComplexParams> 001d @DynArraySetLength 0034 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17778_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.ToArray"
		size = 73
		refs = "0018 TArray<Datasnap.DSHTTPCommon.TDSExecutionResponse> 001d @DynArraySetLength 0034 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23747_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.ToArray"
		size = 73
		refs = "0018 TArray<Datasnap.DSServer.TDSCallbackTunnel> 001d @DynArraySetLength 0034 TList<Datasnap.DSServer.TDSCallbackTunnel>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18204_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.ToArray"
		size = 73
		refs = "0018 TArray<Datasnap.DSService.TDBXRequestFilter> 001d @DynArraySetLength 0034 TList<Datasnap.DSService.TDBXRequestFilter>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18833_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.ToArray"
		size = 73
		refs = "0018 TArray<Datasnap.DSService.TDSSession> 001d @DynArraySetLength 0034 TList<Datasnap.DSService.TDSSession>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29712_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.ToArray"
		size = 73
		refs = "0018 TArray<GraphView.TGraphEdge> 001d @DynArraySetLength 0034 TList<GraphView.TGraphEdge>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29822_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.ToArray"
		size = 73
		refs = "0018 TArray<GraphView.TGraphNode> 001d @DynArraySetLength 0034 TList<GraphView.TGraphNode>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29767_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.ToArray"
		size = 73
		refs = "0018 TArray<GraphView.TObjectList<GraphView.TGraphEdge>> 001d @DynArraySetLength 0034 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30584_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.ToArray"
		size = 73
		refs = "0018 TArray<IBDatabase.TIBBase> 001d @DynArraySetLength 0034 TList<IBDatabase.TIBBase>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30686_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.ToArray"
		size = 73
		refs = "0018 TArray<IBDatabase.TIBDatabase> 001d @DynArraySetLength 0034 TList<IBDatabase.TIBDatabase>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30635_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.ToArray"
		size = 73
		refs = "0018 TArray<IBDatabase.TIBTransaction> 001d @DynArraySetLength 0034 TList<IBDatabase.TIBTransaction>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43004_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.ToArray"
		size = 73
		refs = "0018 TArray<IPPeerAPI.TDictionary<System.TGUID,System.TClass>> 001d @DynArraySetLength 0034 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40350_0 {
	meta:
		name = "TList<IdContext.TIdContext>.ToArray"
		size = 73
		refs = "0018 TArray<IdContext.TIdContext> 001d @DynArraySetLength 0034 TList<IdContext.TIdContext>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54645_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.ToArray"
		size = 73
		refs = "0018 TArray<System.Bindings.CustomScope.TScopeClass> 001d @DynArraySetLength 0034 TList<System.Bindings.CustomScope.TScopeClass>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52605_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.ToArray"
		size = 73
		refs = "0018 TArray<System.Bindings.EvalSys.TOverload> 001d @DynArraySetLength 0034 TList<System.Bindings.EvalSys.TOverload>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56130_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.ToArray"
		size = 73
		refs = "0018 TArray<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>> 001d @DynArraySetLength 0034 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55842_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.ToArray"
		size = 73
		refs = "0018 TArray<System.Bindings.Graph.TDictionary<System.string,System.Int64>> 001d @DynArraySetLength 0034 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56273_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.ToArray"
		size = 73
		refs = "0018 TArray<System.Bindings.Graph.TDictionary<System.string,System.Integer>> 001d @DynArraySetLength 0034 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57063_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.ToArray"
		size = 73
		refs = "0018 TArray<System.Bindings.Manager.TBindingManager> 001d @DynArraySetLength 0034 TList<System.Bindings.Manager.TBindingManager>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58624_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.ToArray"
		size = 73
		refs = "0018 TArray<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>> 001d @DynArraySetLength 0034 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58477_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.ToArray"
		size = 73
		refs = "0018 TArray<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>> 001d @DynArraySetLength 0034 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58236_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.ToArray"
		size = 73
		refs = "0018 TArray<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>> 001d @DynArraySetLength 0034 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60769_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.ToArray"
		size = 73
		refs = "0018 TArray<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 001d @DynArraySetLength 0034 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86485_0 {
	meta:
		name = "TList<System.Classes.TComponent>.ToArray"
		size = 73
		refs = "0018 TArray<System.Classes.TComponent> 001d @DynArraySetLength 0034 TList<System.Classes.TComponent>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15916_0 {
	meta:
		name = "TList<System.Classes.TStream>.ToArray"
		size = 73
		refs = "0018 TArray<System.Classes.TStream> 001d @DynArraySetLength 0034 TList<System.Classes.TStream>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24041_0 {
	meta:
		name = "TList<System.Classes.TStrings>.ToArray"
		size = 73
		refs = "0018 TArray<System.Classes.TStrings> 001d @DynArraySetLength 0034 TList<System.Classes.TStrings>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63647_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.ToArray"
		size = 73
		refs = "0018 TArray<System.DateUtils.TLocalTimeZone.TYearlyChanges> 001d @DynArraySetLength 0034 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58091_0 {
	meta:
		name = "TList<System.Integer>.ToArray"
		size = 73
		refs = "0018 TArray<System.Integer> 001d @DynArraySetLength 0034 TList<System.Integer>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22956_0 {
	meta:
		name = "TList<System.Masks.TMask>.ToArray"
		size = 73
		refs = "0018 TArray<System.Masks.TMask> 001d @DynArraySetLength 0034 TList<System.Masks.TMask>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68183_0 {
	meta:
		name = "TList<System.Pointer>.ToArray"
		size = 73
		refs = "0018 TArray<System.Pointer> 001d @DynArraySetLength 0034 TList<System.Pointer>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68020_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.ToArray"
		size = 73
		refs = "0018 TArray<System.Rtti.TRttiField> 001d @DynArraySetLength 0034 TList<System.Rtti.TRttiField>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68072_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.ToArray"
		size = 73
		refs = "0018 TArray<System.Rtti.TRttiManagedField> 001d @DynArraySetLength 0034 TList<System.Rtti.TRttiManagedField>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67967_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.ToArray"
		size = 73
		refs = "0018 TArray<System.Rtti.TRttiMethod> 001d @DynArraySetLength 0034 TList<System.Rtti.TRttiMethod>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68230_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.ToArray"
		size = 73
		refs = "0018 TArray<System.Rtti.TRttiObject> 001d @DynArraySetLength 0034 TList<System.Rtti.TRttiObject>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67915_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.ToArray"
		size = 73
		refs = "0018 TArray<System.Rtti.TRttiProperty> 001d @DynArraySetLength 0034 TList<System.Rtti.TRttiProperty>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67580_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.ToArray"
		size = 73
		refs = "0018 TArray<System.Rtti.TVirtualInterface.TImplInfo> 001d @DynArraySetLength 0034 TList<System.Rtti.TVirtualInterface.TImplInfo>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67525_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.ToArray"
		size = 73
		refs = "0018 TArray<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo> 001d @DynArraySetLength 0034 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54598_0 {
	meta:
		name = "TList<System.TClass>.ToArray"
		size = 73
		refs = "0018 TArray<System.TClass> 001d @DynArraySetLength 0034 TList<System.TClass>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67858_0 {
	meta:
		name = "TList<System.TCustomAttribute>.ToArray"
		size = 73
		refs = "0018 TArray<System.TCustomAttribute> 001d @DynArraySetLength 0034 TList<System.TCustomAttribute>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23222_0 {
	meta:
		name = "TList<System.TObject>.ToArray"
		size = 73
		refs = "0018 TArray<System.TObject> 001d @DynArraySetLength 0034 TList<System.TObject>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68348_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.ToArray"
		size = 73
		refs = "0018 TArray<System.TypInfo.PTypeInfo> 001d @DynArraySetLength 0034 TList<System.TypInfo.PTypeInfo>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88876_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.ToArray"
		size = 73
		refs = "0018 TArray<Vcl.Controls.TControl> 001d @DynArraySetLength 0034 TList<Vcl.Controls.TControl>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89281_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.ToArray"
		size = 73
		refs = "0018 TArray<Vcl.Controls.TCustomGestureCollectionItem> 001d @DynArraySetLength 0034 TList<Vcl.Controls.TCustomGestureCollectionItem>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88758_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.ToArray"
		size = 73
		refs = "0018 TArray<Vcl.Controls.TCustomGestureManager> 001d @DynArraySetLength 0034 TList<Vcl.Controls.TCustomGestureManager>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78618_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.ToArray"
		size = 73
		refs = "0018 TArray<Vcl.Direct2D.TDirect2DGraphicsObject> 001d @DynArraySetLength 0034 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86681_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.ToArray"
		size = 73
		refs = "0018 TArray<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>> 001d @DynArraySetLength 0034 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87652_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.ToArray"
		size = 73
		refs = "0018 TArray<Vcl.Themes.TCustomStyleEngineClass> 001d @DynArraySetLength 0034 TList<Vcl.Themes.TCustomStyleEngineClass>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87703_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.ToArray"
		size = 73
		refs = "0018 TArray<Vcl.Themes.TCustomStyleServices> 001d @DynArraySetLength 0034 TList<Vcl.Themes.TCustomStyleServices>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87903_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.ToArray"
		size = 73
		refs = "0018 TArray<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>> 001d @DynArraySetLength 0034 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86532_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.ToArray"
		size = 73
		refs = "0018 TArray<Vcl.Themes.TStyleHook> 001d @DynArraySetLength 0034 TList<Vcl.Themes.TStyleHook>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86315_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.ToArray"
		size = 73
		refs = "0018 TArray<Vcl.Themes.TStyleHookClass> 001d @DynArraySetLength 0034 TList<Vcl.Themes.TStyleHookClass>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89029_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.ToArray"
		size = 73
		refs = "0018 TArray<Vcl.Touch.GestureMgr.TGestureCollection> 001d @DynArraySetLength 0034 TList<Vcl.Touch.GestureMgr.TGestureCollection>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89512_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.ToArray"
		size = 73
		refs = "0018 TArray<Vcl.Touch.Keyboard.TCustomKeyboardButton> 001d @DynArraySetLength 0034 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89614_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.ToArray"
		size = 73
		refs = "0018 TArray<Vcl.Touch.KeyboardTypes.TKeyData> 001d @DynArraySetLength 0034 TList<Vcl.Touch.KeyboardTypes.TKeyData>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89896_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.ToArray"
		size = 73
		refs = "0018 TArray<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout> 001d @DynArraySetLength 0034 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89794_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.ToArray"
		size = 73
		refs = "0018 TArray<Vcl.Touch.KeyboardTypes.TVirtualKeys> 001d @DynArraySetLength 0034 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2020_0 {
	meta:
		name = "TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Bindings.Expression.TBindingExpression>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28564_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlob>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<DSAzureBlob.TBBlob>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28786_0 {
	meta:
		name = "TList<DSAzureBlob.TBBlock>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<DSAzureBlob.TBBlock>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28440_0 {
	meta:
		name = "TList<DSAzureBlob.TBContainer>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<DSAzureBlob.TBContainer>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28729_0 {
	meta:
		name = "TList<DSAzureBlob.TBPageRange>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<DSAzureBlob.TBPageRange>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28672_0 {
	meta:
		name = "TList<DSAzureBlob.TBSignedIdentifier>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<DSAzureBlob.TBSignedIdentifier>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28619_0 {
	meta:
		name = "TList<DSAzureBlob.TLeaseItem>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<DSAzureBlob.TLeaseItem>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29087_0 {
	meta:
		name = "TList<DSAzureQueue.TMessageNodeData>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<DSAzureQueue.TMessageNodeData>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29505_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableColumn>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<DSAzureTableDialog.TAzureTableColumn>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29360_0 {
	meta:
		name = "TList<DSAzureTableDialog.TAzureTableRow>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<DSAzureTableDialog.TAzureTableRow>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2122_0 {
	meta:
		name = "TList<Data.Bind.Components.TBasicBindComponent>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Data.Bind.Components.TBasicBindComponent>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2298_0 {
	meta:
		name = "TList<Data.Bind.Components.TBindEditorFactoryClass>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Data.Bind.Components.TBindEditorFactoryClass>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2071_0 {
	meta:
		name = "TList<Data.Bind.Components.TContainedBindComponent>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Data.Bind.Components.TContainedBindComponent>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2772_0 {
	meta:
		name = "TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3114_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TBaseDataLink>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Data.Bind.DBScope.TBaseDataLink>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4694_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlob>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Data.Cloud.AzureAPI.TAzureBlob>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4592_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureContainer>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Data.Cloud.AzureAPI.TAzureContainer>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4643_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TSignedIdentifier>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3713_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5026_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableColumn>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4388_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudTableRow>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Data.Cloud.CloudAPI.TCloudTableRow>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16414_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXParameter>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Data.DBXCommon.TDBXParameter>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7912_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25148_0 {
	meta:
		name = "TList<Data.DBXCommon.TResultCommandHandler>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Data.DBXCommon.TResultCommandHandler>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10389_0 {
	meta:
		name = "TList<Data.DBXJSON.TJSONAncestor>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Data.DBXJSON.TJSONAncestor>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10342_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TConverterEvent>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Data.DBXJSONReflect.TConverterEvent>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10582_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TReverterEvent>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Data.DBXJSONReflect.TReverterEvent>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11121_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16296_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TDSRestClientCallback>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Datasnap.DSClientRest.TDSRestClientCallback>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17416_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TDSHTTPClass>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Datasnap.DSHTTP.TDSHTTPClass>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18410_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Datasnap.DSHTTPCommon.TDSCallbackItem>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18102_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17780_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23749_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnel>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Datasnap.DSServer.TDSCallbackTunnel>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18206_0 {
	meta:
		name = "TList<Datasnap.DSService.TDBXRequestFilter>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Datasnap.DSService.TDBXRequestFilter>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18835_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSession>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Datasnap.DSService.TDSSession>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29714_0 {
	meta:
		name = "TList<GraphView.TGraphEdge>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<GraphView.TGraphEdge>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29824_0 {
	meta:
		name = "TList<GraphView.TGraphNode>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<GraphView.TGraphNode>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29769_0 {
	meta:
		name = "TList<GraphView.TObjectList<GraphView.TGraphEdge>>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30586_0 {
	meta:
		name = "TList<IBDatabase.TIBBase>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<IBDatabase.TIBBase>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30688_0 {
	meta:
		name = "TList<IBDatabase.TIBDatabase>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<IBDatabase.TIBDatabase>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30637_0 {
	meta:
		name = "TList<IBDatabase.TIBTransaction>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<IBDatabase.TIBTransaction>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43006_0 {
	meta:
		name = "TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40352_0 {
	meta:
		name = "TList<IdContext.TIdContext>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<IdContext.TIdContext>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54647_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TScopeClass>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Bindings.CustomScope.TScopeClass>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52607_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TOverload>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Bindings.EvalSys.TOverload>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56132_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55844_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56275_0 {
	meta:
		name = "TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57065_0 {
	meta:
		name = "TList<System.Bindings.Manager.TBindingManager>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Bindings.Manager.TBindingManager>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58626_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58479_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58238_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60771_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64904_0 {
	meta:
		name = "TList<System.Boolean>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Boolean>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86487_0 {
	meta:
		name = "TList<System.Classes.TComponent>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Classes.TComponent>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15918_0 {
	meta:
		name = "TList<System.Classes.TStream>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Classes.TStream>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24043_0 {
	meta:
		name = "TList<System.Classes.TStrings>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Classes.TStrings>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63649_0 {
	meta:
		name = "TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24578_0 {
	meta:
		name = "TList<System.Integer>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Integer>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22958_0 {
	meta:
		name = "TList<System.Masks.TMask>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Masks.TMask>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56036_0 {
	meta:
		name = "TList<System.Pointer>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Pointer>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68022_0 {
	meta:
		name = "TList<System.Rtti.TRttiField>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Rtti.TRttiField>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68074_0 {
	meta:
		name = "TList<System.Rtti.TRttiManagedField>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Rtti.TRttiManagedField>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67969_0 {
	meta:
		name = "TList<System.Rtti.TRttiMethod>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Rtti.TRttiMethod>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68232_0 {
	meta:
		name = "TList<System.Rtti.TRttiObject>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Rtti.TRttiObject>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67917_0 {
	meta:
		name = "TList<System.Rtti.TRttiProperty>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Rtti.TRttiProperty>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67582_0 {
	meta:
		name = "TList<System.Rtti.TVirtualInterface.TImplInfo>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Rtti.TVirtualInterface.TImplInfo>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67527_0 {
	meta:
		name = "TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54600_0 {
	meta:
		name = "TList<System.TClass>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.TClass>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67860_0 {
	meta:
		name = "TList<System.TCustomAttribute>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.TCustomAttribute>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23224_0 {
	meta:
		name = "TList<System.TObject>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.TObject>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68350_0 {
	meta:
		name = "TList<System.TypInfo.PTypeInfo>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.TypInfo.PTypeInfo>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63602_0 {
	meta:
		name = "TList<System.Word>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<System.Word>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88878_0 {
	meta:
		name = "TList<Vcl.Controls.TControl>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Vcl.Controls.TControl>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89283_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureCollectionItem>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Vcl.Controls.TCustomGestureCollectionItem>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88760_0 {
	meta:
		name = "TList<Vcl.Controls.TCustomGestureManager>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Vcl.Controls.TCustomGestureManager>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78620_0 {
	meta:
		name = "TList<Vcl.Direct2D.TDirect2DGraphicsObject>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86683_0 {
	meta:
		name = "TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87654_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleEngineClass>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Vcl.Themes.TCustomStyleEngineClass>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87705_0 {
	meta:
		name = "TList<Vcl.Themes.TCustomStyleServices>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Vcl.Themes.TCustomStyleServices>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87905_0 {
	meta:
		name = "TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86534_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHook>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Vcl.Themes.TStyleHook>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87409_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleHookClass>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Vcl.Themes.TStyleHookClass>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89031_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TGestureCollection>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Vcl.Touch.GestureMgr.TGestureCollection>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89514_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89898_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89796_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.TEnumerator.GetCurrent"
		size = 12
		refs = "0007 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.GetItem"
	strings:
		$1 = { 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2023_0 {
	meta:
		name = "TDBXRow.Create"
		size = 67
		refs = "000b @ClassCreate 001a TObject.Create 002f @AfterConstruction"
		altNames = "TList<T>.TEnumerator.Create TStack<T>.TEnumerator.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 C7 47 08 FF FF FF FF 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2024_0 {
	meta:
		name = "TList<T>.TEnumerator.MoveNext"
		size = 30
	strings:
		$1 = { 8B 50 04 8B 52 08 3B 50 08 7F 03 33 C0 C3 FF 40 08 8B 50 04 8B 52 08 3B 50 08 0F 9F C0 C3 }
	condition:
		$1
}

rule function_2127_0 {
	meta:
		name = "TEnumerable<System.Classes.TNotifyEvent>.ToArrayImpl"
		size = 150
		refs = "001a TArray<System.Classes.TNotifyEvent> 001f @DynArraySetLength 002b TEnumerable<System.Classes.TNotifyEvent>.GetEnumerator 0036 TEnumerable<System.Classes.TNotifyEvent>.ToArrayImpl 0063 TEnumerator<System.Classes.TNotifyEvent>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F0 8B 45 EC 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F0 89 14 D8 8B 55 F4 89 54 D8 04 43 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7847_0 {
	meta:
		name = "TEnumerable<Data.DBXCommon.TEventPointer>.ToArrayImpl"
		size = 150
		refs = "001a TArray<Data.DBXCommon.TEventPointer> 001f @DynArraySetLength 002b TEnumerable<Data.DBXCommon.TEventPointer>.GetEnumerator 0036 TEnumerable<Data.DBXCommon.TEventPointer>.ToArrayImpl 0063 TEnumerator<Data.DBXCommon.TEventPointer>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F0 8B 45 EC 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F0 89 14 D8 8B 55 F4 89 54 D8 04 43 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2129_0 {
	meta:
		name = "TEnumerable<System.Classes.TNotifyEvent>.ToArray"
		size = 185
		refs = "000f _DV_TList<System.Classes.TNotifyEvent> 0014 TList<System.Classes.TNotifyEvent>.Create 001f TEnumerable<System.Classes.TNotifyEvent>.ToArray 002c TEnumerable<System.Classes.TNotifyEvent>.GetEnumerator 0057 TList<System.Classes.TNotifyEvent>.Add 005f TEnumerator<System.Classes.TNotifyEvent>.MoveNext 0086 @HandleFinally 00a8 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F0 8B 45 EC 8B 08 FF 11 FF 75 F4 FF 75 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7849_0 {
	meta:
		name = "TEnumerable<Data.DBXCommon.TEventPointer>.ToArray"
		size = 185
		refs = "000f _DV_TList<Data.DBXCommon.TEventPointer> 0014 TList<Data.DBXCommon.TEventPointer>.Create 001f TEnumerable<Data.DBXCommon.TEventPointer>.ToArray 002c TEnumerable<Data.DBXCommon.TEventPointer>.GetEnumerator 0057 TList<Data.DBXCommon.TEventPointer>.Add 005f TEnumerator<Data.DBXCommon.TEventPointer>.MoveNext 0086 @HandleFinally 00a8 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F0 8B 45 EC 8B 08 FF 11 FF 75 F4 FF 75 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2134_0 {
	meta:
		name = "TList<T>.GetItem"
		size = 52
		refs = "000e SArgumentOutOfRange 0015 _Dn_EArgumentOutOfRangeException 001a Exception.CreateRes 001f @RaiseExcept"
	strings:
		$1 = { 53 8B D9 85 D2 7C 05 3B 50 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 04 8B 0C D0 89 0B 8B 4C D0 04 89 4B 04 5B C3 }
	condition:
		$1
}

rule function_2135_0 {
	meta:
		name = "TList<T>.SetItem"
		size = 110
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 85 D2 7C 05 3B 53 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 0C D0 89 4D F8 8B 4C D0 04 89 4D FC 8B 43 04 8B 4D 08 89 0C D0 8B 4D 0C 89 4C D0 04 FF 75 FC FF 75 F8 B2 01 8B C3 8B 08 FF 51 08 FF 75 0C FF 75 08 33 D2 8B C3 8B 08 FF 51 08 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_2138_0 {
	meta:
		name = "TList<T>.DoDelete"
		size = 153
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0069 Move 007e @FillChar"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D9 8B F0 85 D2 7C 05 3B 56 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 04 8B 0C D0 89 0C 24 8B 4C D0 04 89 4C 24 04 8B 46 04 33 C9 89 0C D0 89 4C D0 04 FF 4E 08 8B 46 08 3B D0 74 31 2B C2 8B C8 03 C9 03 C9 03 C9 8B 46 04 8D 44 D0 08 8B 7E 04 8D 14 D7 E8 ?? ?? ?? ?? 8B 46 04 8B 56 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8B D3 8B C6 8B 08 FF 51 08 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2140_0 {
	meta:
		name = "TList<T>.Notify"
		size = 34
	strings:
		$1 = { 55 8B EC 53 66 83 78 12 00 74 12 FF 75 0C FF 75 08 8B CA 8B D8 8B D0 8B 43 14 FF 53 10 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_2145_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.Add"
		size = 67
		refs = "000e TList<System.Classes.TNotifyEvent>.GrowCheck"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 45 FC 8B 53 04 8B 4D 08 89 0C C2 8B 4D 0C 89 4C C2 04 FF 43 08 FF 75 0C FF 75 08 33 D2 8B C3 8B 08 FF 51 08 8B 45 FC 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8029_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.Add"
		size = 67
		refs = "000e TList<Data.DBXCommon.TEventPointer>.GrowCheck"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 45 FC 8B 53 04 8B 4D 08 89 0C C2 8B 4D 0C 89 4C C2 04 FF 43 08 FF 75 0C FF 75 08 33 D2 8B C3 8B 08 FF 51 08 8B 45 FC 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_55671_0 {
	meta:
		name = "TList<System.Int64>.Add"
		size = 67
		refs = "000e TList<System.Int64>.GrowCheck"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 45 FC 8B 53 04 8B 4D 08 89 0C C2 8B 4D 0C 89 4C C2 04 FF 43 08 FF 75 0C FF 75 08 33 D2 8B C3 8B 08 FF 51 08 8B 45 FC 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_2149_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.Insert"
		size = 145
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Classes.TNotifyEvent>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 14 F0 8B 55 0C 89 54 F0 04 FF 43 08 FF 75 0C FF 75 08 33 D2 8B C3 8B 08 FF 51 08 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8033_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.Insert"
		size = 145
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.DBXCommon.TEventPointer>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 14 F0 8B 55 0C 89 54 F0 04 FF 43 08 FF 75 0C FF 75 08 33 D2 8B C3 8B 08 FF 51 08 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_55675_0 {
	meta:
		name = "TList<System.Int64>.Insert"
		size = 145
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Int64>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 14 F0 8B 55 0C 89 54 F0 04 FF 43 08 FF 75 0C FF 75 08 33 D2 8B C3 8B 08 FF 51 08 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_2150_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.InsertRange"
		size = 240
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<System.Classes.TNotifyEvent>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1E 40 89 45 F4 8B 5D F8 FF 73 04 FF 33 33 D2 8B 45 FC 8B 08 FF 51 08 83 C3 08 FF 4D F4 75 E9 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8034_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.InsertRange"
		size = 240
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<Data.DBXCommon.TEventPointer>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1E 40 89 45 F4 8B 5D F8 FF 73 04 FF 33 33 D2 8B 45 FC 8B 08 FF 51 08 83 C3 08 FF 4D F4 75 E9 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_2151_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.InsertRange"
		size = 129
		refs = "0018 TList<System.Classes.TNotifyEvent>.InsertRange 0044 TList<System.Classes.TNotifyEvent>.Insert 0059 @IntfClear 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 1B 8D 55 F0 8B 45 FC 8B 08 FF 51 18 FF 75 F4 FF 75 F0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 D9 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8035_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.InsertRange"
		size = 129
		refs = "0018 TList<Data.DBXCommon.TEventPointer>.InsertRange 0044 TList<Data.DBXCommon.TEventPointer>.Insert 0059 @IntfClear 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 1B 8D 55 F0 8B 45 FC 8B 08 FF 51 18 FF 75 F4 FF 75 F0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 D9 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2152_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.InsertRange"
		size = 119
		refs = "000f TEnumerable<System.Classes.TNotifyEvent>.GetEnumerator 001a TList<System.Classes.TNotifyEvent>.InsertRange 003b TList<System.Classes.TNotifyEvent>.Insert 0044 TEnumerator<System.Classes.TNotifyEvent>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1A 8D 55 F8 8B 45 F4 8B 08 FF 11 FF 75 FC FF 75 F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8036_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.InsertRange"
		size = 119
		refs = "000f TEnumerable<Data.DBXCommon.TEventPointer>.GetEnumerator 001a TList<Data.DBXCommon.TEventPointer>.InsertRange 003b TList<Data.DBXCommon.TEventPointer>.Insert 0044 TEnumerator<Data.DBXCommon.TEventPointer>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1A 8D 55 F8 8B 45 F4 8B 08 FF 11 FF 75 FC FF 75 F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2153_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.Remove"
		size = 43
		refs = "0010 TList<System.Classes.TNotifyEvent>.IndexOf 001f TList<System.Classes.TNotifyEvent>.Delete"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8037_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.Remove"
		size = 43
		refs = "0010 TList<Data.DBXCommon.TEventPointer>.IndexOf 001f TList<Data.DBXCommon.TEventPointer>.Delete"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_55679_0 {
	meta:
		name = "TList<System.Int64>.Remove"
		size = 43
		refs = "0010 TList<System.Int64>.IndexOf 001f TList<System.Int64>.Delete"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_2155_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.DeleteRange"
		size = 317
		refs = "0018 TList<System.Classes.TNotifyEvent>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Classes.TNotifyEvent>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 012a @DynArrayClear 0130 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 BB 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1F 40 89 45 F8 33 F6 8B 45 FC FF 74 F0 04 FF 34 F0 B2 01 8B C3 8B 08 FF 51 08 46 FF 4D F8 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8039_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.DeleteRange"
		size = 317
		refs = "0018 TList<Data.DBXCommon.TEventPointer>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.DBXCommon.TEventPointer>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 012a @DynArrayClear 0130 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 BB 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1F 40 89 45 F8 33 F6 8B 45 FC FF 74 F0 04 FF 34 F0 B2 01 8B C3 8B 08 FF 51 08 46 FF 4D F8 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_55681_0 {
	meta:
		name = "TList<System.Int64>.DeleteRange"
		size = 317
		refs = "0018 TList<System.Int64>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Int64>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 012a @DynArrayClear 0130 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 BB 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1F 40 89 45 F8 33 F6 8B 45 FC FF 74 F0 04 FF 34 F0 B2 01 8B C3 8B 08 FF 51 08 46 FF 4D F8 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2156_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.Extract"
		size = 67
		refs = "0012 TList<System.Classes.TNotifyEvent>.IndexOf 0039 TList<System.Classes.TNotifyEvent>.DoDelete"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 09 33 C0 89 06 89 46 04 EB 1A 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8040_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.Extract"
		size = 67
		refs = "0012 TList<Data.DBXCommon.TEventPointer>.IndexOf 0039 TList<Data.DBXCommon.TEventPointer>.DoDelete"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 09 33 C0 89 06 89 46 04 EB 1A 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_2157_0 {
	meta:
		name = "TList<T>.Exchange"
		size = 68
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D9 8B 48 04 8B 34 D1 89 34 24 8B 74 D1 04 89 74 24 04 8B 48 04 8B 70 04 8B 3C D9 89 3C D6 8B 7C D9 04 89 7C D6 04 8B 40 04 8B 14 24 89 14 D8 8B 54 24 04 89 54 D8 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2158_0 {
	meta:
		name = "TList<T>.Move"
		size = 186
		refs = "001d SArgumentOutOfRange 0024 _Dn_EArgumentOutOfRangeException 0029 Exception.CreateRes 002e @RaiseExcept 006f Move 009f @FillChar"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F1 8B D8 3B F2 0F 84 A2 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 0C D0 89 0C 24 8B 4C D0 04 89 4C 24 04 8B 43 04 33 C9 89 0C D0 89 4C D0 04 3B F2 7E 22 8B 43 04 8D 44 D0 08 8B 4B 04 8D 0C D1 8B FE 2B FA 8B D7 03 D2 03 D2 03 D2 87 CA E8 ?? ?? ?? ?? EB 1C 2B D6 8B CA 03 C9 03 C9 03 C9 8B 43 04 8D 04 F0 8B 53 04 8D 54 F2 08 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 14 24 89 14 F0 8B 54 24 04 89 54 F0 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2159_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.First"
		size = 20
		refs = "000d TList<System.Classes.TNotifyEvent>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64148_0 {
	meta:
		name = "@Str0Long"
		size = 20
		refs = "000d @StrLong"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48564_0 {
	meta:
		name = "FullyQualifiedFieldName"
		size = 20
		refs = "000d FullyQualifiedName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74151_0 {
	meta:
		name = "TButtonCategory.GetBounds"
		size = 20
		refs = "000d TButtonCategory.GetButtonRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95647_0 {
	meta:
		name = "TCopyParser.SkipToEOF"
		size = 20
		refs = "000d TCopyParser.CopySkipToEOF"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95646_0 {
	meta:
		name = "TCopyParser.SkipToEOL"
		size = 20
		refs = "000d TCopyParser.CopySkipToEOL"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44200_0 {
	meta:
		name = "TIWCopyParser.SkipToEOF"
		size = 20
		refs = "000d TIWCopyParser.CopySkipToEOF"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44199_0 {
	meta:
		name = "TIWCopyParser.SkipToEOL"
		size = 20
		refs = "000d TIWCopyParser.CopySkipToEOL"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62146_0 {
	meta:
		name = "TInterfaceList.First"
		size = 20
		refs = "000d TInterfaceList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26854_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.First"
		size = 20
		refs = "000d TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27078_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.First"
		size = 20
		refs = "000d TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27282_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.First"
		size = 20
		refs = "000d TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27514_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.First"
		size = 20
		refs = "000d TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27731_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.First"
		size = 20
		refs = "000d TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27932_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.First"
		size = 20
		refs = "000d TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28829_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.First"
		size = 20
		refs = "000d TList<DSAzureBlob.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29393_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.First"
		size = 20
		refs = "000d TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2403_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.First"
		size = 20
		refs = "000d TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3002_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.First"
		size = 20
		refs = "000d TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3597_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.First"
		size = 20
		refs = "000d TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3852_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.First"
		size = 20
		refs = "000d TList<Data.Cloud.AmazonAPI.TAmazonGrant>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3954_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.First"
		size = 20
		refs = "000d TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3903_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.First"
		size = 20
		refs = "000d TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4005_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.First"
		size = 20
		refs = "000d TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3801_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.First"
		size = 20
		refs = "000d TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3546_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.First"
		size = 20
		refs = "000d TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4731_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.First"
		size = 20
		refs = "000d TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4527_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.First"
		size = 20
		refs = "000d TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4476_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.First"
		size = 20
		refs = "000d TList<Data.Cloud.CloudAPI.TCloudQueue>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8618_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.First"
		size = 20
		refs = "000d TList<Data.DBXCommon.TDBXWritableValueArray>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8043_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.First"
		size = 20
		refs = "000d TList<Data.DBXCommon.TEventPointer>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7945_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.First"
		size = 20
		refs = "000d TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10134_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.First"
		size = 20
		refs = "000d TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10230_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.First"
		size = 20
		refs = "000d TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10519_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.First"
		size = 20
		refs = "000d TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10423_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.First"
		size = 20
		refs = "000d TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11056_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.First"
		size = 20
		refs = "000d TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11291_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.First"
		size = 20
		refs = "000d TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15951_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15806_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16456_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21670_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.First"
		size = 20
		refs = "000d TList<Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17304_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18141_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.First"
		size = 20
		refs = "000d TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18443_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18539_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18298_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18772_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19073_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19432_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19727_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20015_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20297_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20823_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20727_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21051_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21285_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21572_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21839_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22131_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22424_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22991_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22846_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23684_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.First"
		size = 20
		refs = "000d TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23786_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23884_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23980_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11154_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.First"
		size = 20
		refs = "000d TList<Datasnap.DSService.TDSSessionEvent>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25083_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24977_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25324_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25228_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSService.TPair<System.string,System.TObject>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25181_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSService.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25598_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.First"
		size = 20
		refs = "000d TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31365_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.First"
		size = 20
		refs = "000d TList<IBIntf.IGDSLibrary>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31267_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.First"
		size = 20
		refs = "000d TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40385_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.First"
		size = 20
		refs = "000d TList<IPPeerAPI.IIPContext>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42749_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.First"
		size = 20
		refs = "000d TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42894_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.First"
		size = 20
		refs = "000d TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43039_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.First"
		size = 20
		refs = "000d TList<IPPeerAPI.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40287_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.First"
		size = 20
		refs = "000d TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40191_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.First"
		size = 20
		refs = "000d TList<IndyPeerImpl.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50056_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.First"
		size = 20
		refs = "000d TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51241_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.First"
		size = 20
		refs = "000d TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51096_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.First"
		size = 20
		refs = "000d TList<SyncController.TPair<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51339_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.First"
		size = 20
		refs = "000d TList<SyncController.TPair<System.TObject,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30852_0 {
	meta:
		name = "TList<System.AnsiString>.First"
		size = 20
		refs = "000d TList<System.AnsiString>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51712_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.First"
		size = 20
		refs = "000d TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56363_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.First"
		size = 20
		refs = "000d TList<System.Bindings.EvalProtocol.ILocation>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53178_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.First"
		size = 20
		refs = "000d TList<System.Bindings.EvalProtocol.IScope>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51954_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.First"
		size = 20
		refs = "000d TList<System.Bindings.EvalProtocol.ISubscription>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52127_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.First"
		size = 20
		refs = "000d TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52848_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.First"
		size = 20
		refs = "000d TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52750_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.First"
		size = 20
		refs = "000d TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52652_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.First"
		size = 20
		refs = "000d TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52801_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.First"
		size = 20
		refs = "000d TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53225_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53608_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53753_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54127_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.First"
		size = 20
		refs = "000d TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54272_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.First"
		size = 20
		refs = "000d TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56312_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56069_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55877_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55489_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55924_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55732_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56212_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56410_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55587_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56165_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56843_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58563_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.First"
		size = 20
		refs = "000d TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58512_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.First"
		size = 20
		refs = "000d TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58271_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.First"
		size = 20
		refs = "000d TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57836_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.First"
		size = 20
		refs = "000d TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58416_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.First"
		size = 20
		refs = "000d TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58126_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.First"
		size = 20
		refs = "000d TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58320_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.First"
		size = 20
		refs = "000d TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57981_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.First"
		size = 20
		refs = "000d TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59144_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.First"
		size = 20
		refs = "000d TList<System.Bindings.Methods.TMethodDescription>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59046_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59191_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59699_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.First"
		size = 20
		refs = "000d TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59920_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.First"
		size = 20
		refs = "000d TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60289_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.First"
		size = 20
		refs = "000d TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60114_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.First"
		size = 20
		refs = "000d TList<System.Bindings.Outputs.TConvertPair>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60855_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.First"
		size = 20
		refs = "000d TList<System.Bindings.Outputs.TConverterDescription>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61010_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61263_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60804_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60955_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61108_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60706_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60906_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61167_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61700_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.First"
		size = 20
		refs = "000d TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2501_0 {
	meta:
		name = "TList<System.Classes.IObserver>.First"
		size = 20
		refs = "000d TList<System.Classes.IObserver>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63537_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.First"
		size = 20
		refs = "000d TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64792_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.First"
		size = 20
		refs = "000d TList<System.DebugUtils.TPair<System.string,System.Boolean>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54535_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.First"
		size = 20
		refs = "000d TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59240_0 {
	meta:
		name = "TList<System.IInterface>.First"
		size = 20
		refs = "000d TList<System.IInterface>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67391_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.First"
		size = 20
		refs = "000d TList<System.Rtti.TMethodImplementation.TParamLoc>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68120_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.First"
		size = 20
		refs = "000d TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68287_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.First"
		size = 20
		refs = "000d TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68430_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.First"
		size = 20
		refs = "000d TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60411_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.First"
		size = 20
		refs = "000d TList<System.SysUtils.TProc<System.Rtti.TValue>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42800_0 {
	meta:
		name = "TList<System.TGUID>.First"
		size = 20
		refs = "000d TList<System.TGUID>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87742_0 {
	meta:
		name = "TList<System.Types.TPoint>.First"
		size = 20
		refs = "000d TList<System.Types.TPoint>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50107_0 {
	meta:
		name = "TList<System.Variant>.First"
		size = 20
		refs = "000d TList<System.Variant>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71783_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.First"
		size = 20
		refs = "000d TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71685_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.First"
		size = 20
		refs = "000d TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71638_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.First"
		size = 20
		refs = "000d TList<System.Zip.TZipHeader>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2339_0 {
	meta:
		name = "TList<System.string>.First"
		size = 20
		refs = "000d TList<System.string>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86422_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.First"
		size = 20
		refs = "000d TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86571_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.First"
		size = 20
		refs = "000d TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87793_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.First"
		size = 20
		refs = "000d TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87938_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.First"
		size = 20
		refs = "000d TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88036_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.First"
		size = 20
		refs = "000d TList<Vcl.Themes.TStyleManager.TSourceInfo>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87589_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.First"
		size = 20
		refs = "000d TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88541_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.First"
		size = 20
		refs = "000d TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88443_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.First"
		size = 20
		refs = "000d TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88966_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.First"
		size = 20
		refs = "000d TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89320_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.First"
		size = 20
		refs = "000d TList<Vcl.Touch.Gestures.TGesturePoint>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89551_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.First"
		size = 20
		refs = "000d TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89833_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.First"
		size = 20
		refs = "000d TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89731_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.First"
		size = 20
		refs = "000d TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96349_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.First"
		size = 20
		refs = "000d TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68944_0 {
	meta:
		name = "UIntToStr"
		size = 20
		refs = "000d _IntToStr32"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2160_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.Last"
		size = 22
		refs = "000f TList<System.Classes.TNotifyEvent>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26855_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Last"
		size = 22
		refs = "000f TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27079_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Last"
		size = 22
		refs = "000f TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27283_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Last"
		size = 22
		refs = "000f TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27515_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Last"
		size = 22
		refs = "000f TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27732_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Last"
		size = 22
		refs = "000f TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27933_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Last"
		size = 22
		refs = "000f TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28830_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.Last"
		size = 22
		refs = "000f TList<DSAzureBlob.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29394_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Last"
		size = 22
		refs = "000f TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2404_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Last"
		size = 22
		refs = "000f TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3003_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Last"
		size = 22
		refs = "000f TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3598_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Last"
		size = 22
		refs = "000f TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3853_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Last"
		size = 22
		refs = "000f TList<Data.Cloud.AmazonAPI.TAmazonGrant>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3955_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Last"
		size = 22
		refs = "000f TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3904_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Last"
		size = 22
		refs = "000f TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4006_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Last"
		size = 22
		refs = "000f TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3802_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Last"
		size = 22
		refs = "000f TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3547_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Last"
		size = 22
		refs = "000f TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4732_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Last"
		size = 22
		refs = "000f TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4528_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Last"
		size = 22
		refs = "000f TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4477_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.Last"
		size = 22
		refs = "000f TList<Data.Cloud.CloudAPI.TCloudQueue>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8619_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.Last"
		size = 22
		refs = "000f TList<Data.DBXCommon.TDBXWritableValueArray>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8044_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.Last"
		size = 22
		refs = "000f TList<Data.DBXCommon.TEventPointer>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7946_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Last"
		size = 22
		refs = "000f TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10135_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Last"
		size = 22
		refs = "000f TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10231_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Last"
		size = 22
		refs = "000f TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10520_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Last"
		size = 22
		refs = "000f TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10424_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Last"
		size = 22
		refs = "000f TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11057_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Last"
		size = 22
		refs = "000f TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11292_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Last"
		size = 22
		refs = "000f TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15952_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15807_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16457_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21384_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17305_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18142_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18444_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18540_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18299_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18773_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19074_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19433_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19728_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20016_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20298_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20824_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20728_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21052_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21286_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21573_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21840_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22132_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22425_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22992_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22847_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23685_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23787_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23885_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23981_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11155_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSService.TDSSessionEvent>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25084_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24978_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25325_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25229_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSService.TPair<System.string,System.TObject>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25182_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSService.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25599_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Last"
		size = 22
		refs = "000f TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31366_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.Last"
		size = 22
		refs = "000f TList<IBIntf.IGDSLibrary>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31268_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Last"
		size = 22
		refs = "000f TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40386_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.Last"
		size = 22
		refs = "000f TList<IPPeerAPI.IIPContext>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42750_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Last"
		size = 22
		refs = "000f TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42895_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Last"
		size = 22
		refs = "000f TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43040_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.Last"
		size = 22
		refs = "000f TList<IPPeerAPI.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40288_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Last"
		size = 22
		refs = "000f TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40192_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.Last"
		size = 22
		refs = "000f TList<IndyPeerImpl.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50057_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Last"
		size = 22
		refs = "000f TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51242_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Last"
		size = 22
		refs = "000f TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51097_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.Last"
		size = 22
		refs = "000f TList<SyncController.TPair<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51340_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.Last"
		size = 22
		refs = "000f TList<SyncController.TPair<System.TObject,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30853_0 {
	meta:
		name = "TList<System.AnsiString>.Last"
		size = 22
		refs = "000f TList<System.AnsiString>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51713_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56364_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.Last"
		size = 22
		refs = "000f TList<System.Bindings.EvalProtocol.ILocation>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53179_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.Last"
		size = 22
		refs = "000f TList<System.Bindings.EvalProtocol.IScope>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60510_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.Last"
		size = 22
		refs = "000f TList<System.Bindings.EvalProtocol.ISubscription>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52128_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52849_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52751_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52653_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52802_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Last"
		size = 22
		refs = "000f TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53226_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53609_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53754_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54128_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54273_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56313_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56070_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55878_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55490_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55925_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55733_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56213_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56411_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55588_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56166_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56844_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58564_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58513_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58272_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57837_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58417_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58127_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58321_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57982_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59145_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Methods.TMethodDescription>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59047_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59192_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59700_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59921_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60290_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60115_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TConvertPair>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60856_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TConverterDescription>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61011_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61264_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60805_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60956_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61109_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60707_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60907_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61168_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61701_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Last"
		size = 22
		refs = "000f TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2502_0 {
	meta:
		name = "TList<System.Classes.IObserver>.Last"
		size = 22
		refs = "000f TList<System.Classes.IObserver>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63538_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Last"
		size = 22
		refs = "000f TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64793_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Last"
		size = 22
		refs = "000f TList<System.DebugUtils.TPair<System.string,System.Boolean>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54536_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Last"
		size = 22
		refs = "000f TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53277_0 {
	meta:
		name = "TList<System.IInterface>.Last"
		size = 22
		refs = "000f TList<System.IInterface>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67392_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.Last"
		size = 22
		refs = "000f TList<System.Rtti.TMethodImplementation.TParamLoc>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68121_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Last"
		size = 22
		refs = "000f TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68288_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Last"
		size = 22
		refs = "000f TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68431_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Last"
		size = 22
		refs = "000f TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60412_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.Last"
		size = 22
		refs = "000f TList<System.SysUtils.TProc<System.Rtti.TValue>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42801_0 {
	meta:
		name = "TList<System.TGUID>.Last"
		size = 22
		refs = "000f TList<System.TGUID>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87743_0 {
	meta:
		name = "TList<System.Types.TPoint>.Last"
		size = 22
		refs = "000f TList<System.Types.TPoint>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50108_0 {
	meta:
		name = "TList<System.Variant>.Last"
		size = 22
		refs = "000f TList<System.Variant>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71784_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Last"
		size = 22
		refs = "000f TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71686_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Last"
		size = 22
		refs = "000f TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71639_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.Last"
		size = 22
		refs = "000f TList<System.Zip.TZipHeader>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87990_0 {
	meta:
		name = "TList<System.string>.Last"
		size = 22
		refs = "000f TList<System.string>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86423_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Last"
		size = 22
		refs = "000f TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86572_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Last"
		size = 22
		refs = "000f TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87794_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Last"
		size = 22
		refs = "000f TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87939_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Last"
		size = 22
		refs = "000f TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88037_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.Last"
		size = 22
		refs = "000f TList<Vcl.Themes.TStyleManager.TSourceInfo>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87590_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Last"
		size = 22
		refs = "000f TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88542_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Last"
		size = 22
		refs = "000f TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88444_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Last"
		size = 22
		refs = "000f TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88967_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Last"
		size = 22
		refs = "000f TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89321_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.Last"
		size = 22
		refs = "000f TList<Vcl.Touch.Gestures.TGesturePoint>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89552_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Last"
		size = 22
		refs = "000f TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89834_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Last"
		size = 22
		refs = "000f TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89732_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Last"
		size = 22
		refs = "000f TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96350_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Last"
		size = 22
		refs = "000f TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2162_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.Contains"
		size = 29
		refs = "000f TList<System.Classes.TNotifyEvent>.IndexOf"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8046_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.Contains"
		size = 29
		refs = "000f TList<Data.DBXCommon.TEventPointer>.IndexOf"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_55688_0 {
	meta:
		name = "TList<System.Int64>.Contains"
		size = 29
		refs = "000f TList<System.Int64>.IndexOf"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_2163_0 {
	meta:
		name = "TList<T>.IndexOf"
		size = 70
	strings:
		$1 = { 55 8B EC 51 53 56 8B F0 8B 46 08 48 85 C0 7C 2C 40 89 45 FC 33 DB 8B 46 04 FF 74 D8 04 FF 34 D8 FF 75 0C FF 75 08 8B 46 0C 8B 10 FF 52 0C 85 C0 75 04 8B C3 EB 09 43 FF 4D FC 75 DA 83 C8 FF 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_2164_0 {
	meta:
		name = "TList<T>.LastIndexOf"
		size = 63
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 5E 08 4B 83 FB 00 7C 26 8B 46 04 FF 74 D8 04 FF 34 D8 FF 75 0C FF 75 08 8B 46 0C 8B 10 FF 52 0C 85 C0 75 04 8B C3 EB 09 4B 83 FB FF 75 DA 83 C8 FF 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_2165_0 {
	meta:
		name = "TList<T>.Reverse"
		size = 82
	strings:
		$1 = { 53 56 57 83 C4 F8 33 D2 8B 58 08 4B 3B DA 7E 3C 8B 48 04 8B 34 D1 89 34 24 8B 74 D1 04 89 74 24 04 8B 48 04 8B 70 04 8B 3C D9 89 3C D6 8B 7C D9 04 89 7C D6 04 8B 48 04 8B 34 24 89 34 D9 8B 74 24 04 89 74 D9 04 42 4B 3B DA 7F C4 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2168_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.BinarySearch"
		size = 62
		refs = "0025 @DynArrayHigh 002e _Dn_TArray 0033 TArray.BinarySearch<System.Classes.TNotifyEvent>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 FF 75 0C FF 75 08 8B 45 FC 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8052_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.BinarySearch"
		size = 62
		refs = "0025 @DynArrayHigh 002e _Dn_TArray 0033 TArray.BinarySearch<Data.DBXCommon.TEventPointer>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 FF 75 0C FF 75 08 8B 45 FC 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_55694_0 {
	meta:
		name = "TList<System.Int64>.BinarySearch"
		size = 62
		refs = "0025 @DynArrayHigh 002e _Dn_TArray 0033 TArray.BinarySearch<System.Int64>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 FF 75 0C FF 75 08 8B 45 FC 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_2169_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.BinarySearch"
		size = 63
		refs = "0025 @DynArrayHigh 002e _Dn_TArray 0033 TArray.BinarySearch<System.Classes.TNotifyEvent>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 FF 75 0C FF 75 08 8B 45 FC 50 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8053_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.BinarySearch"
		size = 63
		refs = "0025 @DynArrayHigh 002e _Dn_TArray 0033 TArray.BinarySearch<Data.DBXCommon.TEventPointer>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 FF 75 0C FF 75 08 8B 45 FC 50 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_55695_0 {
	meta:
		name = "TList<System.Int64>.BinarySearch"
		size = 63
		refs = "0025 @DynArrayHigh 002e _Dn_TArray 0033 TArray.BinarySearch<System.Int64>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 FF 75 0C FF 75 08 8B 45 FC 50 56 6A 00 8B 43 08 50 8B 7B 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_2171_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.ToArray"
		size = 93
		refs = "001a TArray<System.Classes.TNotifyEvent> 001f @DynArraySetLength 003a TList<System.Classes.TNotifyEvent>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3014_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.ToArray"
		size = 93
		refs = "001a TArray<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>> 001f @DynArraySetLength 003a TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8055_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.ToArray"
		size = 93
		refs = "001a TArray<Data.DBXCommon.TEventPointer> 001f @DynArraySetLength 003a TList<Data.DBXCommon.TEventPointer>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10146_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.ToArray"
		size = 93
		refs = "001a TArray<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>> 001f @DynArraySetLength 003a TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25095_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.ToArray"
		size = 93
		refs = "001a TArray<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>> 001f @DynArraySetLength 003a TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52813_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.ToArray"
		size = 93
		refs = "001a TArray<System.Bindings.EvalSys.TValueConverter.TConvPair> 001f @DynArraySetLength 003a TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56081_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.ToArray"
		size = 93
		refs = "001a TArray<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>> 001f @DynArraySetLength 003a TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55501_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.ToArray"
		size = 93
		refs = "001a TArray<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>> 001f @DynArraySetLength 003a TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55744_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.ToArray"
		size = 93
		refs = "001a TArray<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>> 001f @DynArraySetLength 003a TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56224_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.ToArray"
		size = 93
		refs = "001a TArray<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>> 001f @DynArraySetLength 003a TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58575_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.ToArray"
		size = 93
		refs = "001a TArray<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>> 001f @DynArraySetLength 003a TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58283_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.ToArray"
		size = 93
		refs = "001a TArray<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>> 001f @DynArraySetLength 003a TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58428_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.ToArray"
		size = 93
		refs = "001a TArray<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>> 001f @DynArraySetLength 003a TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58138_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.ToArray"
		size = 93
		refs = "001a TArray<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>> 001f @DynArraySetLength 003a TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60126_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.ToArray"
		size = 93
		refs = "001a TArray<System.Bindings.Outputs.TConvertPair> 001f @DynArraySetLength 003a TList<System.Bindings.Outputs.TConvertPair>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63549_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.ToArray"
		size = 93
		refs = "001a TArray<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>> 001f @DynArraySetLength 003a TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54547_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.ToArray"
		size = 93
		refs = "001a TArray<System.Bindings.Factories.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>> 001f @DynArraySetLength 003a TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68132_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.ToArray"
		size = 93
		refs = "001a TArray<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>> 001f @DynArraySetLength 003a TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87754_0 {
	meta:
		name = "TList<System.Types.TPoint>.ToArray"
		size = 93
		refs = "001a TArray<System.Types.TPoint> 001f @DynArraySetLength 003a TList<System.Types.TPoint>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86434_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.ToArray"
		size = 93
		refs = "001a TArray<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>> 001f @DynArraySetLength 003a TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86583_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.ToArray"
		size = 93
		refs = "001a TArray<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>> 001f @DynArraySetLength 003a TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87805_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.ToArray"
		size = 93
		refs = "001a TArray<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>> 001f @DynArraySetLength 003a TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88048_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.ToArray"
		size = 93
		refs = "001a TArray<Vcl.Themes.TStyleManager.TSourceInfo> 001f @DynArraySetLength 003a TList<Vcl.Themes.TStyleManager.TSourceInfo>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88978_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.ToArray"
		size = 93
		refs = "001a TArray<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>> 001f @DynArraySetLength 003a TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89563_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.ToArray"
		size = 93
		refs = "001a TArray<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState> 001f @DynArraySetLength 003a TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 28 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 00 8B 54 24 04 89 14 D8 8B 54 24 08 89 54 D8 04 43 4F 75 DB 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2173_0 {
	meta:
		name = "TList<System.Classes.TNotifyEvent>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Classes.TNotifyEvent>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32350_0 {
	meta:
		name = "TIdBuffer.GetAsString"
		size = 22
		refs = "000f BytesToString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39203_0 {
	meta:
		name = "TInBuffer.GetAsString"
		size = 22
		refs = "000f BytesToString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26868_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27092_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27296_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27528_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27745_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27946_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28843_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<DSAzureBlob.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29407_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2417_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3016_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3611_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3866_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Data.Cloud.AmazonAPI.TAmazonGrant>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3968_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3917_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4019_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3815_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3560_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4745_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4541_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4490_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Data.Cloud.CloudAPI.TCloudQueue>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8632_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Data.DBXCommon.TDBXWritableValueArray>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8057_0 {
	meta:
		name = "TList<Data.DBXCommon.TEventPointer>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Data.DBXCommon.TEventPointer>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7959_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10148_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10244_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10533_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10437_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11070_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11305_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15965_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15820_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16470_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19839_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17318_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18155_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18457_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18553_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18312_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18786_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19087_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19446_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19741_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20029_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20311_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20837_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20741_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21065_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21299_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21586_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21853_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22145_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22438_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23005_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22860_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23698_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23800_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23898_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23994_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11168_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSService.TDSSessionEvent>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25097_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24991_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25338_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25242_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSService.TPair<System.string,System.TObject>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25195_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSService.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25612_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31379_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<IBIntf.IGDSLibrary>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31281_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40399_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<IPPeerAPI.IIPContext>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42763_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42908_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43053_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<IPPeerAPI.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40301_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40205_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<IndyPeerImpl.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50070_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51255_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51110_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<SyncController.TPair<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51353_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<SyncController.TPair<System.TObject,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30866_0 {
	meta:
		name = "TList<System.AnsiString>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.AnsiString>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51726_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56377_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.EvalProtocol.ILocation>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53192_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.EvalProtocol.IScope>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51968_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.EvalProtocol.ISubscription>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52141_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52862_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52764_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52666_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52815_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53239_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53622_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53767_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54141_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54286_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56326_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56083_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55891_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55503_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55938_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55746_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56226_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56424_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55601_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56179_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56857_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58577_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58526_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58285_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57850_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58430_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58140_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58334_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57995_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59158_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Methods.TMethodDescription>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59060_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59205_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59713_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59934_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60303_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60128_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TConvertPair>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60869_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TConverterDescription>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61024_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61277_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60818_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60969_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61122_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60720_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60920_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61181_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61714_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2515_0 {
	meta:
		name = "TList<System.Classes.IObserver>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Classes.IObserver>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63551_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64806_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.DebugUtils.TPair<System.string,System.Boolean>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54549_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52418_0 {
	meta:
		name = "TList<System.IInterface>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.IInterface>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67405_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Rtti.TMethodImplementation.TParamLoc>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68134_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68301_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68444_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60425_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.SysUtils.TProc<System.Rtti.TValue>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42814_0 {
	meta:
		name = "TList<System.TGUID>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.TGUID>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89232_0 {
	meta:
		name = "TList<System.Types.TPoint>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Types.TPoint>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50121_0 {
	meta:
		name = "TList<System.Variant>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Variant>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71797_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71699_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71652_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.Zip.TZipHeader>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19136_0 {
	meta:
		name = "TList<System.string>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<System.string>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86436_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86585_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87807_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87952_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88050_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Vcl.Themes.TStyleManager.TSourceInfo>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87603_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88555_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88457_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88980_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89334_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Vcl.Touch.Gestures.TGesturePoint>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89565_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89847_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89745_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96363_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.TEnumerator.GetCurrent"
		size = 22
		refs = "000f TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2181_0 {
	meta:
		name = "TPair<T>.Create"
		size = 23
		refs = "000e @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B D8 89 13 8D 43 04 8B D6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_53433_0 {
	meta:
		name = "TBindingAssociation.Create"
		size = 23
		refs = "000e @UStrAsg"
	strings:
		$1 = { 53 56 8B F1 8B D8 89 13 8D 43 04 8B D6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_50995_0 {
	meta:
		name = "TPair<System.TObject,System.string>.Create"
		size = 23
		refs = "000e @UStrAsg"
	strings:
		$1 = { 53 56 8B F1 8B D8 89 13 8D 43 04 8B D6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_67672_0 {
	meta:
		name = "TPair<System.TypInfo.PTypeInfo,System.string>.Create"
		size = 23
		refs = "000e @UStrAsg"
	strings:
		$1 = { 53 56 8B F1 8B D8 89 13 8D 43 04 8B D6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_2182_0 {
	meta:
		name = "TEnumerable<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.Integer,System.Classes.IObserver> 0019 @InitializeRecord 0021 TEnumerable<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.ToArrayImpl 0036 TArray<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>> 003b @DynArraySetLength 0047 TEnumerable<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26760_0 {
	meta:
		name = "TEnumerable<DSAzDlgBlockBlob.TPair<System.string,System.string>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TEnumerable<DSAzDlgBlockBlob.TPair<System.string,System.string>>.ToArrayImpl 0036 TArray<DSAzDlgBlockBlob.TPair<System.string,System.string>> 003b @DynArraySetLength 0047 TEnumerable<DSAzDlgBlockBlob.TPair<System.string,System.string>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<DSAzDlgBlockBlob.TPair<System.string,System.string>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26984_0 {
	meta:
		name = "TEnumerable<DSAzDlgCopyBlob.TPair<System.string,System.string>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TEnumerable<DSAzDlgCopyBlob.TPair<System.string,System.string>>.ToArrayImpl 0036 TArray<DSAzDlgCopyBlob.TPair<System.string,System.string>> 003b @DynArraySetLength 0047 TEnumerable<DSAzDlgCopyBlob.TPair<System.string,System.string>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<DSAzDlgCopyBlob.TPair<System.string,System.string>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27188_0 {
	meta:
		name = "TEnumerable<DSAzDlgCreateContainer.TPair<System.string,System.string>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TEnumerable<DSAzDlgCreateContainer.TPair<System.string,System.string>>.ToArrayImpl 0036 TArray<DSAzDlgCreateContainer.TPair<System.string,System.string>> 003b @DynArraySetLength 0047 TEnumerable<DSAzDlgCreateContainer.TPair<System.string,System.string>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<DSAzDlgCreateContainer.TPair<System.string,System.string>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27420_0 {
	meta:
		name = "TEnumerable<DSAzDlgPageBlob.TPair<System.string,System.string>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TEnumerable<DSAzDlgPageBlob.TPair<System.string,System.string>>.ToArrayImpl 0036 TArray<DSAzDlgPageBlob.TPair<System.string,System.string>> 003b @DynArraySetLength 0047 TEnumerable<DSAzDlgPageBlob.TPair<System.string,System.string>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<DSAzDlgPageBlob.TPair<System.string,System.string>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27637_0 {
	meta:
		name = "TEnumerable<DSAzDlgPutBlockList.TPair<System.string,System.string>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TEnumerable<DSAzDlgPutBlockList.TPair<System.string,System.string>>.ToArrayImpl 0036 TArray<DSAzDlgPutBlockList.TPair<System.string,System.string>> 003b @DynArraySetLength 0047 TEnumerable<DSAzDlgPutBlockList.TPair<System.string,System.string>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<DSAzDlgPutBlockList.TPair<System.string,System.string>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27838_0 {
	meta:
		name = "TEnumerable<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TEnumerable<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.ToArrayImpl 0036 TArray<DSAzDlgSnapshotBlob.TPair<System.string,System.string>> 003b @DynArraySetLength 0047 TEnumerable<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28452_0 {
	meta:
		name = "TEnumerable<DSAzureBlob.TPair<System.string,System.string>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TEnumerable<DSAzureBlob.TPair<System.string,System.string>>.ToArrayImpl 0036 TArray<DSAzureBlob.TPair<System.string,System.string>> 003b @DynArraySetLength 0047 TEnumerable<DSAzureBlob.TPair<System.string,System.string>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<DSAzureBlob.TPair<System.string,System.string>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29244_0 {
	meta:
		name = "TEnumerable<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,DSAzureTableDialog.TAzureTableColumn> 0019 @InitializeRecord 0021 TEnumerable<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.ToArrayImpl 0036 TArray<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>> 003b @DynArraySetLength 0047 TEnumerable<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3973_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.ToArrayImpl"
		size = 217
		refs = "0014 TAmazonNotificationEvent 0019 @InitializeRecord 0021 TEnumerable<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.ToArrayImpl 0036 TArray<Data.Cloud.AmazonAPI.TAmazonNotificationEvent> 003b @DynArraySetLength 0047 TEnumerable<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3718_0 {
	meta:
		name = "TEnumerable<Data.Cloud.CloudAPI.TCloudQueue>.ToArrayImpl"
		size = 217
		refs = "0014 TCloudQueue 0019 @InitializeRecord 0021 TEnumerable<Data.Cloud.CloudAPI.TCloudQueue>.ToArrayImpl 0036 TArray<Data.Cloud.CloudAPI.TCloudQueue> 003b @DynArraySetLength 0047 TEnumerable<Data.Cloud.CloudAPI.TCloudQueue>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Data.Cloud.CloudAPI.TCloudQueue>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9787_0 {
	meta:
		name = "TEnumerable<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0019 @InitializeRecord 0021 TEnumerable<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.ToArrayImpl 0036 TArray<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 003b @DynArraySetLength 0047 TEnumerable<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10032_0 {
	meta:
		name = "TEnumerable<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0019 @InitializeRecord 0021 TEnumerable<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.ToArrayImpl 0036 TArray<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 003b @DynArraySetLength 0047 TEnumerable<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9965_0 {
	meta:
		name = "TEnumerable<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.TObject> 0019 @InitializeRecord 0021 TEnumerable<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.ToArrayImpl 0036 TArray<Data.DBXJSONReflect.TPair<System.string,System.TObject>> 003b @DynArraySetLength 0047 TEnumerable<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10951_0 {
	meta:
		name = "TEnumerable<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent> 0019 @InitializeRecord 0021 TEnumerable<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.ToArrayImpl 0036 TArray<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>> 003b @DynArraySetLength 0047 TEnumerable<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11174_0 {
	meta:
		name = "TEnumerable<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TEnumerable<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArrayImpl 0036 TArray<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>> 003b @DynArraySetLength 0047 TEnumerable<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15712_0 {
	meta:
		name = "TEnumerable<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl 0036 TArray<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15636_0 {
	meta:
		name = "TEnumerable<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.Classes.TStream> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.ToArrayImpl 0036 TArray<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16302_0 {
	meta:
		name = "TEnumerable<Datasnap.DSClientRest.TPair<System.string,System.string>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSClientRest.TPair<System.string,System.string>>.ToArrayImpl 0036 TArray<Datasnap.DSClientRest.TPair<System.string,System.string>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSClientRest.TPair<System.string,System.string>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSClientRest.TPair<System.string,System.string>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17206_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.ToArrayImpl 0036 TArray<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17862_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.ToArrayImpl 0036 TArray<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17934_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.ToArrayImpl 0036 TArray<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17786_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.ToArrayImpl 0036 TArray<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18616_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArrayImpl 0036 TArray<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18979_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.ToArrayImpl 0036 TArray<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19334_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl 0036 TArray<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19629_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl 0036 TArray<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19917_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl 0036 TArray<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20199_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl 0036 TArray<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20629_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl 0036 TArray<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20562_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.ToArrayImpl 0036 TArray<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20957_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.ToArrayImpl 0036 TArray<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21187_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl 0036 TArray<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21474_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl 0036 TArray<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21741_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl 0036 TArray<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22033_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl 0036 TArray<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22326_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl 0036 TArray<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22752_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl 0036 TArray<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22676_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.Masks.TMask> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.ToArrayImpl 0036 TArray<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23376_0 {
	meta:
		name = "TEnumerable<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.ToArrayImpl 0036 TArray<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23452_0 {
	meta:
		name = "TEnumerable<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.ToArrayImpl 0036 TArray<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23524_0 {
	meta:
		name = "TEnumerable<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.Classes.TStrings> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.ToArrayImpl 0036 TArray<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24406_0 {
	meta:
		name = "TEnumerable<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Datasnap.DSService.TDBXRequestFilter> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.ToArrayImpl 0036 TArray<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24781_0 {
	meta:
		name = "TEnumerable<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArrayImpl 0036 TArray<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24714_0 {
	meta:
		name = "TEnumerable<Datasnap.DSService.TPair<System.string,System.TObject>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.TObject> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSService.TPair<System.string,System.TObject>>.ToArrayImpl 0036 TArray<Datasnap.DSService.TPair<System.string,System.TObject>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSService.TPair<System.string,System.TObject>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSService.TPair<System.string,System.TObject>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24651_0 {
	meta:
		name = "TEnumerable<Datasnap.DSService.TPair<System.string,System.string>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSService.TPair<System.string,System.string>>.ToArrayImpl 0036 TArray<Datasnap.DSService.TPair<System.string,System.string>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSService.TPair<System.string,System.string>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSService.TPair<System.string,System.string>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25500_0 {
	meta:
		name = "TEnumerable<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArrayImpl 0036 TArray<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31169_0 {
	meta:
		name = "TEnumerable<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,IBIntf.IGDSLibrary> 0019 @InitializeRecord 0021 TEnumerable<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.ToArrayImpl 0036 TArray<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>> 003b @DynArraySetLength 0047 TEnumerable<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42583_0 {
	meta:
		name = "TEnumerable<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>> 0019 @InitializeRecord 0021 TEnumerable<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.ToArrayImpl 0036 TArray<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>> 003b @DynArraySetLength 0047 TEnumerable<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42654_0 {
	meta:
		name = "TEnumerable<IPPeerAPI.TPair<System.string,System.string>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TEnumerable<IPPeerAPI.TPair<System.string,System.string>>.ToArrayImpl 0036 TArray<IPPeerAPI.TPair<System.string,System.string>> 003b @DynArraySetLength 0047 TEnumerable<IPPeerAPI.TPair<System.string,System.string>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<IPPeerAPI.TPair<System.string,System.string>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40093_0 {
	meta:
		name = "TEnumerable<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<IdContext.TIdContext,IPPeerAPI.IIPContext> 0019 @InitializeRecord 0021 TEnumerable<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.ToArrayImpl 0036 TArray<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>> 003b @DynArraySetLength 0047 TEnumerable<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40026_0 {
	meta:
		name = "TEnumerable<IndyPeerImpl.TPair<System.string,System.string>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TEnumerable<IndyPeerImpl.TPair<System.string,System.string>>.ToArrayImpl 0036 TArray<IndyPeerImpl.TPair<System.string,System.string>> 003b @DynArraySetLength 0047 TEnumerable<IndyPeerImpl.TPair<System.string,System.string>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<IndyPeerImpl.TPair<System.string,System.string>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50925_0 {
	meta:
		name = "TEnumerable<SyncController.TPair<System.IInterface,System.Pointer>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TEnumerable<SyncController.TPair<System.IInterface,System.Pointer>>.ToArrayImpl 0036 TArray<SyncController.TPair<System.IInterface,System.Pointer>> 003b @DynArraySetLength 0047 TEnumerable<SyncController.TPair<System.IInterface,System.Pointer>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<SyncController.TPair<System.IInterface,System.Pointer>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51048_0 {
	meta:
		name = "TEnumerable<SyncController.TPair<System.TObject,System.string>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TEnumerable<SyncController.TPair<System.TObject,System.string>>.ToArrayImpl 0036 TArray<SyncController.TPair<System.TObject,System.string>> 003b @DynArraySetLength 0047 TEnumerable<SyncController.TPair<System.TObject,System.string>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<SyncController.TPair<System.TObject,System.string>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51614_0 {
	meta:
		name = "TEnumerable<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.ToArrayImpl 0036 TArray<System.Bindings.CustomScope.TPair<System.string,System.IInterface>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51974_0 {
	meta:
		name = "TEnumerable<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.ToArrayImpl 0036 TArray<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52424_0 {
	meta:
		name = "TEnumerable<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.ToArrayImpl 0036 TArray<System.Bindings.EvalSys.TPair<System.string,System.IInterface>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53076_0 {
	meta:
		name = "TEnumerable<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.ToArrayImpl 0036 TArray<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53438_0 {
	meta:
		name = "TEnumerable<System.Bindings.Expression.TPair<System.TObject,System.string>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Expression.TPair<System.TObject,System.string>>.ToArrayImpl 0036 TArray<System.Bindings.Expression.TPair<System.TObject,System.string>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Expression.TPair<System.TObject,System.string>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Bindings.Expression.TPair<System.TObject,System.string>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53509_0 {
	meta:
		name = "TEnumerable<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.Bindings.Expression.TBindingExpression> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.ToArrayImpl 0036 TArray<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53911_0 {
	meta:
		name = "TEnumerable<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.ToArrayImpl 0036 TArray<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53982_0 {
	meta:
		name = "TEnumerable<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.ToArrayImpl 0036 TArray<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55066_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.ToArrayImpl 0036 TArray<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55442_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.string>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.string>>.ToArrayImpl 0036 TArray<System.Bindings.Graph.TPair<System.TObject,System.string>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.string>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Bindings.Graph.TPair<System.TObject,System.string>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55208_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TPair<System.string,System.Integer>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.Integer> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Graph.TPair<System.string,System.Integer>>.ToArrayImpl 0036 TArray<System.Bindings.Graph.TPair<System.string,System.Integer>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Graph.TPair<System.string,System.Integer>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Bindings.Graph.TPair<System.string,System.Integer>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56741_0 {
	meta:
		name = "TEnumerable<System.Bindings.Helper.TPair<System.string,System.IInterface>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Helper.TPair<System.string,System.IInterface>>.ToArrayImpl 0036 TArray<System.Bindings.Helper.TPair<System.string,System.IInterface>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Helper.TPair<System.string,System.IInterface>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Bindings.Helper.TPair<System.string,System.IInterface>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57203_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.ToArrayImpl 0036 TArray<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57274_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.Integer> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.ToArrayImpl 0036 TArray<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58949_0 {
	meta:
		name = "TEnumerable<System.Bindings.Methods.TPair<System.string,System.IInterface>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Methods.TPair<System.string,System.IInterface>>.ToArrayImpl 0036 TArray<System.Bindings.Methods.TPair<System.string,System.IInterface>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Methods.TPair<System.string,System.IInterface>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Bindings.Methods.TPair<System.string,System.IInterface>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59553_0 {
	meta:
		name = "TEnumerable<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.ToArrayImpl 0036 TArray<System.Bindings.ObjEval.TPair<System.string,System.IInterface>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60360_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TPair<System.TObject,System.string>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Outputs.TPair<System.TObject,System.string>>.ToArrayImpl 0036 TArray<System.Bindings.Outputs.TPair<System.TObject,System.string>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Outputs.TPair<System.TObject,System.string>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Bindings.Outputs.TPair<System.TObject,System.string>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59940_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.ToArrayImpl 0036 TArray<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60529_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.ToArrayImpl 0036 TArray<System.Bindings.Outputs.TPair<System.string,System.IInterface>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61602_0 {
	meta:
		name = "TEnumerable<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.ToArrayImpl 0036 TArray<System.Bindings.Search.TPair<System.IInterface,System.Pointer>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64694_0 {
	meta:
		name = "TEnumerable<System.DebugUtils.TPair<System.string,System.Boolean>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.Boolean> 0019 @InitializeRecord 0021 TEnumerable<System.DebugUtils.TPair<System.string,System.Boolean>>.ToArrayImpl 0036 TArray<System.DebugUtils.TPair<System.string,System.Boolean>> 003b @DynArraySetLength 0047 TEnumerable<System.DebugUtils.TPair<System.string,System.Boolean>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.DebugUtils.TPair<System.string,System.Boolean>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67673_0 {
	meta:
		name = "TEnumerable<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.TypInfo.PTypeInfo,System.string> 0019 @InitializeRecord 0021 TEnumerable<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.ToArrayImpl 0036 TArray<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>> 003b @DynArraySetLength 0047 TEnumerable<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67744_0 {
	meta:
		name = "TEnumerable<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.TypInfo.PTypeInfo> 0019 @InitializeRecord 0021 TEnumerable<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.ToArrayImpl 0036 TArray<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>> 003b @DynArraySetLength 0047 TEnumerable<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71587_0 {
	meta:
		name = "TEnumerable<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 0019 @InitializeRecord 0021 TEnumerable<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.ToArrayImpl 0036 TArray<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 003b @DynArraySetLength 0047 TEnumerable<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88294_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0019 @InitializeRecord 0021 TEnumerable<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.ToArrayImpl 0036 TArray<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>> 003b @DynArraySetLength 0047 TEnumerable<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89801_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.ToArrayImpl"
		size = 217
		refs = "0014 TKeyboardLanguage 0019 @InitializeRecord 0021 TEnumerable<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.ToArrayImpl 0036 TArray<Vcl.Touch.KeyboardTypes.TKeyboardLanguage> 003b @DynArraySetLength 0047 TEnumerable<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96255_0 {
	meta:
		name = "TEnumerable<Web.WebFileDispatcher.TPair<System.string,System.string>>.ToArrayImpl"
		size = 217
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TEnumerable<Web.WebFileDispatcher.TPair<System.string,System.string>>.ToArrayImpl 0036 TArray<Web.WebFileDispatcher.TPair<System.string,System.string>> 003b @DynArraySetLength 0047 TEnumerable<Web.WebFileDispatcher.TPair<System.string,System.string>>.GetEnumerator 007a @CopyRecord 0083 TEnumerator<Web.WebFileDispatcher.TPair<System.string,System.string>>.MoveNext 00aa @HandleFinally 00c7 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 F8 8B 45 F0 8B 08 FF 11 8B 45 F4 8B 00 8D 04 D8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2184_0 {
	meta:
		name = "TEnumerable<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.ToArray"
		size = 245
		refs = "0011 TPair<System.Integer,System.Classes.IObserver> 0016 @InitializeRecord 001e TEnumerable<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.ToArray 002b _DV_TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>> 0030 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Create 0048 TEnumerable<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.GetEnumerator 0070 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Add 0078 TEnumerator<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26762_0 {
	meta:
		name = "TEnumerable<DSAzDlgBlockBlob.TPair<System.string,System.string>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.string> 0016 @InitializeRecord 001e TEnumerable<DSAzDlgBlockBlob.TPair<System.string,System.string>>.ToArray 002b _DV_TList<DSAzDlgBlockBlob.TPair<System.string,System.string>> 0030 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Create 0048 TEnumerable<DSAzDlgBlockBlob.TPair<System.string,System.string>>.GetEnumerator 0070 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Add 0078 TEnumerator<DSAzDlgBlockBlob.TPair<System.string,System.string>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26986_0 {
	meta:
		name = "TEnumerable<DSAzDlgCopyBlob.TPair<System.string,System.string>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.string> 0016 @InitializeRecord 001e TEnumerable<DSAzDlgCopyBlob.TPair<System.string,System.string>>.ToArray 002b _DV_TList<DSAzDlgCopyBlob.TPair<System.string,System.string>> 0030 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Create 0048 TEnumerable<DSAzDlgCopyBlob.TPair<System.string,System.string>>.GetEnumerator 0070 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Add 0078 TEnumerator<DSAzDlgCopyBlob.TPair<System.string,System.string>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27190_0 {
	meta:
		name = "TEnumerable<DSAzDlgCreateContainer.TPair<System.string,System.string>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.string> 0016 @InitializeRecord 001e TEnumerable<DSAzDlgCreateContainer.TPair<System.string,System.string>>.ToArray 002b _DV_TList<DSAzDlgCreateContainer.TPair<System.string,System.string>> 0030 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Create 0048 TEnumerable<DSAzDlgCreateContainer.TPair<System.string,System.string>>.GetEnumerator 0070 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Add 0078 TEnumerator<DSAzDlgCreateContainer.TPair<System.string,System.string>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27422_0 {
	meta:
		name = "TEnumerable<DSAzDlgPageBlob.TPair<System.string,System.string>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.string> 0016 @InitializeRecord 001e TEnumerable<DSAzDlgPageBlob.TPair<System.string,System.string>>.ToArray 002b _DV_TList<DSAzDlgPageBlob.TPair<System.string,System.string>> 0030 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Create 0048 TEnumerable<DSAzDlgPageBlob.TPair<System.string,System.string>>.GetEnumerator 0070 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Add 0078 TEnumerator<DSAzDlgPageBlob.TPair<System.string,System.string>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27639_0 {
	meta:
		name = "TEnumerable<DSAzDlgPutBlockList.TPair<System.string,System.string>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.string> 0016 @InitializeRecord 001e TEnumerable<DSAzDlgPutBlockList.TPair<System.string,System.string>>.ToArray 002b _DV_TList<DSAzDlgPutBlockList.TPair<System.string,System.string>> 0030 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Create 0048 TEnumerable<DSAzDlgPutBlockList.TPair<System.string,System.string>>.GetEnumerator 0070 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Add 0078 TEnumerator<DSAzDlgPutBlockList.TPair<System.string,System.string>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27840_0 {
	meta:
		name = "TEnumerable<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.string> 0016 @InitializeRecord 001e TEnumerable<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.ToArray 002b _DV_TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>> 0030 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Create 0048 TEnumerable<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.GetEnumerator 0070 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Add 0078 TEnumerator<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28454_0 {
	meta:
		name = "TEnumerable<DSAzureBlob.TPair<System.string,System.string>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.string> 0016 @InitializeRecord 001e TEnumerable<DSAzureBlob.TPair<System.string,System.string>>.ToArray 002b _DV_TList<DSAzureBlob.TPair<System.string,System.string>> 0030 TList<DSAzureBlob.TPair<System.string,System.string>>.Create 0048 TEnumerable<DSAzureBlob.TPair<System.string,System.string>>.GetEnumerator 0070 TList<DSAzureBlob.TPair<System.string,System.string>>.Add 0078 TEnumerator<DSAzureBlob.TPair<System.string,System.string>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29246_0 {
	meta:
		name = "TEnumerable<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,DSAzureTableDialog.TAzureTableColumn> 0016 @InitializeRecord 001e TEnumerable<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.ToArray 002b _DV_TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>> 0030 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Create 0048 TEnumerable<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.GetEnumerator 0070 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Add 0078 TEnumerator<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3975_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.ToArray"
		size = 245
		refs = "0011 TAmazonNotificationEvent 0016 @InitializeRecord 001e TEnumerable<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.ToArray 002b _DV_TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent> 0030 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Create 0048 TEnumerable<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.GetEnumerator 0070 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Add 0078 TEnumerator<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3720_0 {
	meta:
		name = "TEnumerable<Data.Cloud.CloudAPI.TCloudQueue>.ToArray"
		size = 245
		refs = "0011 TCloudQueue 0016 @InitializeRecord 001e TEnumerable<Data.Cloud.CloudAPI.TCloudQueue>.ToArray 002b _DV_TList<Data.Cloud.CloudAPI.TCloudQueue> 0030 TList<Data.Cloud.CloudAPI.TCloudQueue>.Create 0048 TEnumerable<Data.Cloud.CloudAPI.TCloudQueue>.GetEnumerator 0070 TList<Data.Cloud.CloudAPI.TCloudQueue>.Add 0078 TEnumerator<Data.Cloud.CloudAPI.TCloudQueue>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9789_0 {
	meta:
		name = "TEnumerable<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0016 @InitializeRecord 001e TEnumerable<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.ToArray 002b _DV_TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 0030 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create 0048 TEnumerable<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetEnumerator 0070 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Add 0078 TEnumerator<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10034_0 {
	meta:
		name = "TEnumerable<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0016 @InitializeRecord 001e TEnumerable<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.ToArray 002b _DV_TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 0030 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create 0048 TEnumerable<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetEnumerator 0070 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Add 0078 TEnumerator<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9967_0 {
	meta:
		name = "TEnumerable<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.TObject> 0016 @InitializeRecord 001e TEnumerable<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.ToArray 002b _DV_TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>> 0030 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Create 0048 TEnumerable<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.GetEnumerator 0070 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Add 0078 TEnumerator<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10953_0 {
	meta:
		name = "TEnumerable<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.ToArray"
		size = 245
		refs = "0011 TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent> 0016 @InitializeRecord 001e TEnumerable<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.ToArray 002b _DV_TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>> 0030 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Create 0048 TEnumerable<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.GetEnumerator 0070 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Add 0078 TEnumerator<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11176_0 {
	meta:
		name = "TEnumerable<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Datasnap.DSService.TDSSession> 0016 @InitializeRecord 001e TEnumerable<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArray 002b _DV_TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>> 0030 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Create 0048 TEnumerable<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator 0070 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Add 0078 TEnumerator<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15714_0 {
	meta:
		name = "TEnumerable<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002b _DV_TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0030 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0048 TEnumerable<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0070 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add 0078 TEnumerator<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15638_0 {
	meta:
		name = "TEnumerable<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.Classes.TStream> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.ToArray 002b _DV_TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>> 0030 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Create 0048 TEnumerable<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.GetEnumerator 0070 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Add 0078 TEnumerator<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16304_0 {
	meta:
		name = "TEnumerable<Datasnap.DSClientRest.TPair<System.string,System.string>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.string> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSClientRest.TPair<System.string,System.string>>.ToArray 002b _DV_TList<Datasnap.DSClientRest.TPair<System.string,System.string>> 0030 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Create 0048 TEnumerable<Datasnap.DSClientRest.TPair<System.string,System.string>>.GetEnumerator 0070 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Add 0078 TEnumerator<Datasnap.DSClientRest.TPair<System.string,System.string>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17208_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.ToArray 002b _DV_TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>> 0030 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Create 0048 TEnumerable<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.GetEnumerator 0070 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Add 0078 TEnumerator<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17864_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.ToArray 002b _DV_TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 0030 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create 0048 TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetEnumerator 0070 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Add 0078 TEnumerator<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17936_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.ToArray 002b _DV_TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 0030 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create 0048 TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetEnumerator 0070 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Add 0078 TEnumerator<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17788_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.ToArray 002b _DV_TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>> 0030 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Create 0048 TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.GetEnumerator 0070 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Add 0078 TEnumerator<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18618_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Datasnap.DSService.TDSSession> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArray 002b _DV_TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>> 0030 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Create 0048 TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator 0070 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Add 0078 TEnumerator<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18981_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.string> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.ToArray 002b _DV_TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>> 0030 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Create 0048 TEnumerable<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.GetEnumerator 0070 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Add 0078 TEnumerator<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19336_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002b _DV_TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0030 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0048 TEnumerable<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0070 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add 0078 TEnumerator<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19631_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002b _DV_TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0030 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0048 TEnumerable<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0070 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add 0078 TEnumerator<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19919_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002b _DV_TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0030 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0048 TEnumerable<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0070 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add 0078 TEnumerator<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20201_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002b _DV_TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0030 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0048 TEnumerable<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0070 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add 0078 TEnumerator<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20631_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002b _DV_TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0030 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0048 TEnumerable<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0070 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add 0078 TEnumerator<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20564_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.string> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.ToArray 002b _DV_TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>> 0030 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Create 0048 TEnumerable<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.GetEnumerator 0070 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Add 0078 TEnumerator<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20959_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.string> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.ToArray 002b _DV_TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>> 0030 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Create 0048 TEnumerable<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.GetEnumerator 0070 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Add 0078 TEnumerator<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21189_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002b _DV_TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0030 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0048 TEnumerable<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0070 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add 0078 TEnumerator<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21476_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002b _DV_TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0030 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0048 TEnumerable<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0070 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add 0078 TEnumerator<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21743_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002b _DV_TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0030 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0048 TEnumerable<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0070 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add 0078 TEnumerator<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22035_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002b _DV_TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0030 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0048 TEnumerable<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0070 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add 0078 TEnumerator<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22328_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002b _DV_TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0030 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0048 TEnumerable<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0070 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add 0078 TEnumerator<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22754_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002b _DV_TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0030 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0048 TEnumerable<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0070 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add 0078 TEnumerator<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22678_0 {
	meta:
		name = "TEnumerable<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.Masks.TMask> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.ToArray 002b _DV_TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>> 0030 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Create 0048 TEnumerable<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.GetEnumerator 0070 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Add 0078 TEnumerator<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23378_0 {
	meta:
		name = "TEnumerable<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.ToArray 002b _DV_TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 0030 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create 0048 TEnumerable<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetEnumerator 0070 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Add 0078 TEnumerator<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23454_0 {
	meta:
		name = "TEnumerable<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.ToArray 002b _DV_TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 0030 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create 0048 TEnumerable<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetEnumerator 0070 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Add 0078 TEnumerator<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23526_0 {
	meta:
		name = "TEnumerable<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.Classes.TStrings> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.ToArray 002b _DV_TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>> 0030 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Create 0048 TEnumerable<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.GetEnumerator 0070 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Add 0078 TEnumerator<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24408_0 {
	meta:
		name = "TEnumerable<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Datasnap.DSService.TDBXRequestFilter> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.ToArray 002b _DV_TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>> 0030 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Create 0048 TEnumerable<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.GetEnumerator 0070 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Add 0078 TEnumerator<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24783_0 {
	meta:
		name = "TEnumerable<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Datasnap.DSService.TDSSession> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArray 002b _DV_TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>> 0030 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Create 0048 TEnumerable<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator 0070 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Add 0078 TEnumerator<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24716_0 {
	meta:
		name = "TEnumerable<Datasnap.DSService.TPair<System.string,System.TObject>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.TObject> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSService.TPair<System.string,System.TObject>>.ToArray 002b _DV_TList<Datasnap.DSService.TPair<System.string,System.TObject>> 0030 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Create 0048 TEnumerable<Datasnap.DSService.TPair<System.string,System.TObject>>.GetEnumerator 0070 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Add 0078 TEnumerator<Datasnap.DSService.TPair<System.string,System.TObject>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24653_0 {
	meta:
		name = "TEnumerable<Datasnap.DSService.TPair<System.string,System.string>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.string> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSService.TPair<System.string,System.string>>.ToArray 002b _DV_TList<Datasnap.DSService.TPair<System.string,System.string>> 0030 TList<Datasnap.DSService.TPair<System.string,System.string>>.Create 0048 TEnumerable<Datasnap.DSService.TPair<System.string,System.string>>.GetEnumerator 0070 TList<Datasnap.DSService.TPair<System.string,System.string>>.Add 0078 TEnumerator<Datasnap.DSService.TPair<System.string,System.string>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25502_0 {
	meta:
		name = "TEnumerable<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Datasnap.DSService.TDSSession> 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArray 002b _DV_TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>> 0030 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Create 0048 TEnumerable<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator 0070 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Add 0078 TEnumerator<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31171_0 {
	meta:
		name = "TEnumerable<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,IBIntf.IGDSLibrary> 0016 @InitializeRecord 001e TEnumerable<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.ToArray 002b _DV_TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>> 0030 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Create 0048 TEnumerable<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.GetEnumerator 0070 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Add 0078 TEnumerator<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42585_0 {
	meta:
		name = "TEnumerable<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>> 0016 @InitializeRecord 001e TEnumerable<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.ToArray 002b _DV_TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>> 0030 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Create 0048 TEnumerable<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.GetEnumerator 0070 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Add 0078 TEnumerator<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42656_0 {
	meta:
		name = "TEnumerable<IPPeerAPI.TPair<System.string,System.string>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.string> 0016 @InitializeRecord 001e TEnumerable<IPPeerAPI.TPair<System.string,System.string>>.ToArray 002b _DV_TList<IPPeerAPI.TPair<System.string,System.string>> 0030 TList<IPPeerAPI.TPair<System.string,System.string>>.Create 0048 TEnumerable<IPPeerAPI.TPair<System.string,System.string>>.GetEnumerator 0070 TList<IPPeerAPI.TPair<System.string,System.string>>.Add 0078 TEnumerator<IPPeerAPI.TPair<System.string,System.string>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40095_0 {
	meta:
		name = "TEnumerable<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.ToArray"
		size = 245
		refs = "0011 TPair<IdContext.TIdContext,IPPeerAPI.IIPContext> 0016 @InitializeRecord 001e TEnumerable<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.ToArray 002b _DV_TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>> 0030 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Create 0048 TEnumerable<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.GetEnumerator 0070 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Add 0078 TEnumerator<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40028_0 {
	meta:
		name = "TEnumerable<IndyPeerImpl.TPair<System.string,System.string>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.string> 0016 @InitializeRecord 001e TEnumerable<IndyPeerImpl.TPair<System.string,System.string>>.ToArray 002b _DV_TList<IndyPeerImpl.TPair<System.string,System.string>> 0030 TList<IndyPeerImpl.TPair<System.string,System.string>>.Create 0048 TEnumerable<IndyPeerImpl.TPair<System.string,System.string>>.GetEnumerator 0070 TList<IndyPeerImpl.TPair<System.string,System.string>>.Add 0078 TEnumerator<IndyPeerImpl.TPair<System.string,System.string>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50927_0 {
	meta:
		name = "TEnumerable<SyncController.TPair<System.IInterface,System.Pointer>>.ToArray"
		size = 245
		refs = "0011 TPair<System.IInterface,System.Pointer> 0016 @InitializeRecord 001e TEnumerable<SyncController.TPair<System.IInterface,System.Pointer>>.ToArray 002b _DV_TList<SyncController.TPair<System.IInterface,System.Pointer>> 0030 TList<SyncController.TPair<System.IInterface,System.Pointer>>.Create 0048 TEnumerable<SyncController.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0070 TList<SyncController.TPair<System.IInterface,System.Pointer>>.Add 0078 TEnumerator<SyncController.TPair<System.IInterface,System.Pointer>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51050_0 {
	meta:
		name = "TEnumerable<SyncController.TPair<System.TObject,System.string>>.ToArray"
		size = 245
		refs = "0011 TPair<System.TObject,System.string> 0016 @InitializeRecord 001e TEnumerable<SyncController.TPair<System.TObject,System.string>>.ToArray 002b _DV_TList<SyncController.TPair<System.TObject,System.string>> 0030 TList<SyncController.TPair<System.TObject,System.string>>.Create 0048 TEnumerable<SyncController.TPair<System.TObject,System.string>>.GetEnumerator 0070 TList<SyncController.TPair<System.TObject,System.string>>.Add 0078 TEnumerator<SyncController.TPair<System.TObject,System.string>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51616_0 {
	meta:
		name = "TEnumerable<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.IInterface> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.ToArray 002b _DV_TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>> 0030 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Create 0048 TEnumerable<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.GetEnumerator 0070 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Add 0078 TEnumerator<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51976_0 {
	meta:
		name = "TEnumerable<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.ToArray"
		size = 245
		refs = "0011 TPair<System.IInterface,System.Pointer> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.ToArray 002b _DV_TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>> 0030 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Create 0048 TEnumerable<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0070 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Add 0078 TEnumerator<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52426_0 {
	meta:
		name = "TEnumerable<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.IInterface> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.ToArray 002b _DV_TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>> 0030 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Create 0048 TEnumerable<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.GetEnumerator 0070 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Add 0078 TEnumerator<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53078_0 {
	meta:
		name = "TEnumerable<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.ToArray"
		size = 245
		refs = "0011 TPair<System.IInterface,System.Pointer> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.ToArray 002b _DV_TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>> 0030 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Create 0048 TEnumerable<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0070 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Add 0078 TEnumerator<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53440_0 {
	meta:
		name = "TEnumerable<System.Bindings.Expression.TPair<System.TObject,System.string>>.ToArray"
		size = 245
		refs = "0011 TPair<System.TObject,System.string> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Expression.TPair<System.TObject,System.string>>.ToArray 002b _DV_TList<System.Bindings.Expression.TPair<System.TObject,System.string>> 0030 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Create 0048 TEnumerable<System.Bindings.Expression.TPair<System.TObject,System.string>>.GetEnumerator 0070 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Add 0078 TEnumerator<System.Bindings.Expression.TPair<System.TObject,System.string>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53511_0 {
	meta:
		name = "TEnumerable<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.Bindings.Expression.TBindingExpression> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.ToArray 002b _DV_TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>> 0030 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Create 0048 TEnumerable<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.GetEnumerator 0070 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Add 0078 TEnumerator<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53913_0 {
	meta:
		name = "TEnumerable<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.ToArray"
		size = 245
		refs = "0011 TPair<System.TObject,System.string> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.ToArray 002b _DV_TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>> 0030 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Create 0048 TEnumerable<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.GetEnumerator 0070 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Add 0078 TEnumerator<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53984_0 {
	meta:
		name = "TEnumerable<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.IInterface> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.ToArray 002b _DV_TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>> 0030 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Create 0048 TEnumerable<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.GetEnumerator 0070 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Add 0078 TEnumerator<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55068_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.ToArray"
		size = 245
		refs = "0011 TPair<System.IInterface,System.Pointer> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.ToArray 002b _DV_TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>> 0030 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Create 0048 TEnumerable<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0070 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Add 0078 TEnumerator<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55444_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.string>>.ToArray"
		size = 245
		refs = "0011 TPair<System.TObject,System.string> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.string>>.ToArray 002b _DV_TList<System.Bindings.Graph.TPair<System.TObject,System.string>> 0030 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Create 0048 TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.string>>.GetEnumerator 0070 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Add 0078 TEnumerator<System.Bindings.Graph.TPair<System.TObject,System.string>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55210_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TPair<System.string,System.Integer>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.Integer> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Graph.TPair<System.string,System.Integer>>.ToArray 002b _DV_TList<System.Bindings.Graph.TPair<System.string,System.Integer>> 0030 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Create 0048 TEnumerable<System.Bindings.Graph.TPair<System.string,System.Integer>>.GetEnumerator 0070 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Add 0078 TEnumerator<System.Bindings.Graph.TPair<System.string,System.Integer>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56743_0 {
	meta:
		name = "TEnumerable<System.Bindings.Helper.TPair<System.string,System.IInterface>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.IInterface> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Helper.TPair<System.string,System.IInterface>>.ToArray 002b _DV_TList<System.Bindings.Helper.TPair<System.string,System.IInterface>> 0030 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Create 0048 TEnumerable<System.Bindings.Helper.TPair<System.string,System.IInterface>>.GetEnumerator 0070 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Add 0078 TEnumerator<System.Bindings.Helper.TPair<System.string,System.IInterface>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57205_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.ToArray"
		size = 245
		refs = "0011 TPair<System.IInterface,System.Pointer> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.ToArray 002b _DV_TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>> 0030 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Create 0048 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0070 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Add 0078 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57276_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.Integer> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.ToArray 002b _DV_TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>> 0030 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Create 0048 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.GetEnumerator 0070 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Add 0078 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58951_0 {
	meta:
		name = "TEnumerable<System.Bindings.Methods.TPair<System.string,System.IInterface>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.IInterface> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Methods.TPair<System.string,System.IInterface>>.ToArray 002b _DV_TList<System.Bindings.Methods.TPair<System.string,System.IInterface>> 0030 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Create 0048 TEnumerable<System.Bindings.Methods.TPair<System.string,System.IInterface>>.GetEnumerator 0070 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Add 0078 TEnumerator<System.Bindings.Methods.TPair<System.string,System.IInterface>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59555_0 {
	meta:
		name = "TEnumerable<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.IInterface> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.ToArray 002b _DV_TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>> 0030 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Create 0048 TEnumerable<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.GetEnumerator 0070 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Add 0078 TEnumerator<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60362_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TPair<System.TObject,System.string>>.ToArray"
		size = 245
		refs = "0011 TPair<System.TObject,System.string> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Outputs.TPair<System.TObject,System.string>>.ToArray 002b _DV_TList<System.Bindings.Outputs.TPair<System.TObject,System.string>> 0030 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Create 0048 TEnumerable<System.Bindings.Outputs.TPair<System.TObject,System.string>>.GetEnumerator 0070 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Add 0078 TEnumerator<System.Bindings.Outputs.TPair<System.TObject,System.string>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59942_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.ToArray 002b _DV_TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>> 0030 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Create 0048 TEnumerable<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.GetEnumerator 0070 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Add 0078 TEnumerator<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60531_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.IInterface> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.ToArray 002b _DV_TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>> 0030 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Create 0048 TEnumerable<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.GetEnumerator 0070 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Add 0078 TEnumerator<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61604_0 {
	meta:
		name = "TEnumerable<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.ToArray"
		size = 245
		refs = "0011 TPair<System.IInterface,System.Pointer> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.ToArray 002b _DV_TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>> 0030 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Create 0048 TEnumerable<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0070 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Add 0078 TEnumerator<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64696_0 {
	meta:
		name = "TEnumerable<System.DebugUtils.TPair<System.string,System.Boolean>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.Boolean> 0016 @InitializeRecord 001e TEnumerable<System.DebugUtils.TPair<System.string,System.Boolean>>.ToArray 002b _DV_TList<System.DebugUtils.TPair<System.string,System.Boolean>> 0030 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Create 0048 TEnumerable<System.DebugUtils.TPair<System.string,System.Boolean>>.GetEnumerator 0070 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Add 0078 TEnumerator<System.DebugUtils.TPair<System.string,System.Boolean>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67675_0 {
	meta:
		name = "TEnumerable<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.ToArray"
		size = 245
		refs = "0011 TPair<System.TypInfo.PTypeInfo,System.string> 0016 @InitializeRecord 001e TEnumerable<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.ToArray 002b _DV_TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>> 0030 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Create 0048 TEnumerable<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.GetEnumerator 0070 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Add 0078 TEnumerator<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67746_0 {
	meta:
		name = "TEnumerable<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.TypInfo.PTypeInfo> 0016 @InitializeRecord 001e TEnumerable<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.ToArray 002b _DV_TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>> 0030 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Create 0048 TEnumerable<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.GetEnumerator 0070 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Add 0078 TEnumerator<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71589_0 {
	meta:
		name = "TEnumerable<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.ToArray"
		size = 245
		refs = "0011 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 0016 @InitializeRecord 001e TEnumerable<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.ToArray 002b _DV_TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 0030 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create 0048 TEnumerable<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetEnumerator 0070 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Add 0078 TEnumerator<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88296_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.ToArray"
		size = 245
		refs = "0011 TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0016 @InitializeRecord 001e TEnumerable<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.ToArray 002b _DV_TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>> 0030 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Create 0048 TEnumerable<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.GetEnumerator 0070 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Add 0078 TEnumerator<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89803_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.ToArray"
		size = 245
		refs = "0011 TKeyboardLanguage 0016 @InitializeRecord 001e TEnumerable<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.ToArray 002b _DV_TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage> 0030 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Create 0048 TEnumerable<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.GetEnumerator 0070 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Add 0078 TEnumerator<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96257_0 {
	meta:
		name = "TEnumerable<Web.WebFileDispatcher.TPair<System.string,System.string>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.string> 0016 @InitializeRecord 001e TEnumerable<Web.WebFileDispatcher.TPair<System.string,System.string>>.ToArray 002b _DV_TList<Web.WebFileDispatcher.TPair<System.string,System.string>> 0030 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Create 0048 TEnumerable<Web.WebFileDispatcher.TPair<System.string,System.string>>.GetEnumerator 0070 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Add 0078 TEnumerator<Web.WebFileDispatcher.TPair<System.string,System.string>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 EC 8B 08 FF 11 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F4 8B 45 F0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2186_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.Integer,System.Classes.IObserver>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2900_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10955_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40097_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60313_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52495_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55140_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57741_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60601_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57425_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60020_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86205_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88298_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55070_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.IInterface,System.Pointer>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24588_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9723_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.Integer,System.Integer>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67415_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.Pointer,System.Rtti.TRttiObject>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54441_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87419_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42516_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.TGUID,System.TClass>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54930_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55275_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57559_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57349_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53915_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.TObject,System.string>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67677_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.TypInfo.PTypeInfo,System.string>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63438_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71540_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29248_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7800_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,Data.DBXCommon.TEventPointer>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9791_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10036_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20203_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17210_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17790_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24410_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18620_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,Datasnap.DSService.TDSSession>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31173_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,IBIntf.IGDSLibrary>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53513_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58882_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59944_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64698_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,System.Boolean>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15640_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,System.Classes.TStream>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23528_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,System.Classes.TStrings>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42587_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60139_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56745_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,System.IInterface>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57492_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,System.Int64>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55212_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,System.Integer>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22680_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,System.Masks.TMask>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24718_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,System.TObject>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67748_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,System.TypInfo.PTypeInfo>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49915_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,System.Variant>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26764_0 {
	meta:
		name = "TDictionary<System.string,System.string>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,System.string>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87491_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88770_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.SetCapacity"
		size = 63
		refs = "0007 SArgumentOutOfRange 000e _Dn_EArgumentOutOfRangeException 0013 Exception.CreateRes 0018 @RaiseExcept 0023 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Rehash"
	strings:
		$1 = { 3B 50 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 75 08 33 D2 E8 ?? ?? ?? ?? C3 B9 04 00 00 00 3B D1 7E 06 03 C9 3B D1 7F FA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2187_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.Integer,System.Classes.IObserver>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.Integer,System.Classes.IObserver>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.Integer,System.Classes.IObserver>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2901_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Rehash"
		size = 284
		refs = "0015 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10956_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Rehash"
		size = 284
		refs = "0015 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40098_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Rehash"
		size = 284
		refs = "0015 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55141_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57742_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57426_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86206_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88299_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57208_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.IInterface,System.Pointer>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.IInterface,System.Pointer>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.IInterface,System.Pointer>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24589_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9724_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.Integer,System.Integer>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.Integer,System.Integer>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.Integer,System.Integer>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67416_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.Pointer,System.Rtti.TRttiObject>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.Pointer,System.Rtti.TRttiObject>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.Pointer,System.Rtti.TRttiObject>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54442_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87420_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54931_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55276_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57560_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57350_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53443_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.TObject,System.string>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.TObject,System.string>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.TObject,System.string>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67678_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.TypInfo.PTypeInfo,System.string>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.TypInfo.PTypeInfo,System.string>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.TypInfo.PTypeInfo,System.string>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29249_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23381_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10037_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15717_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17211_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17791_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24411_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25505_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,Datasnap.DSService.TDSSession>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,Datasnap.DSService.TDSSession>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,Datasnap.DSService.TDSSession>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31174_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,IBIntf.IGDSLibrary>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,IBIntf.IGDSLibrary>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,IBIntf.IGDSLibrary>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53514_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59945_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15641_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,System.Classes.TStream>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,System.Classes.TStream>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,System.Classes.TStream>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23529_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,System.Classes.TStrings>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,System.Classes.TStrings>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,System.Classes.TStrings>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42588_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53987_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,System.IInterface>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,System.IInterface>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,System.IInterface>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55213_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,System.Integer>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,System.Integer>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,System.Integer>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22681_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,System.Masks.TMask>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,System.Masks.TMask>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,System.Masks.TMask>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24719_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,System.TObject>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,System.TObject>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,System.TObject>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67749_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,System.TypInfo.PTypeInfo>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,System.TypInfo.PTypeInfo>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,System.TypInfo.PTypeInfo>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96260_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,System.string>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,System.string>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,System.string>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88771_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Rehash"
		size = 284
		refs = "0015 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8B 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2188_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.Integer,System.Classes.IObserver>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2902_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10957_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_40099_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_60315_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_52497_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_55142_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_57743_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_60603_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_57427_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_60022_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_86207_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88300_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_55072_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.IInterface,System.Pointer>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_24590_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9725_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.Integer,System.Integer>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67417_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.Pointer,System.Rtti.TRttiObject>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_54443_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_87421_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_42518_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.TGUID,System.TClass>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_54932_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_55277_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_57561_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_57351_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_53917_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.TObject,System.string>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67679_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.TypInfo.PTypeInfo,System.string>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_63440_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_71542_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29250_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7802_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,Data.DBXCommon.TEventPointer>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9793_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10038_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_20205_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17212_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17792_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_24412_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18622_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,Datasnap.DSService.TDSSession>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31175_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,IBIntf.IGDSLibrary>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_53515_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58884_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_59946_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64700_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,System.Boolean>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15642_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,System.Classes.TStream>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_23530_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,System.Classes.TStrings>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_42589_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_60141_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56747_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,System.IInterface>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_57494_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,System.Int64>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_55214_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,System.Integer>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_22682_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,System.Masks.TMask>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_24720_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,System.TObject>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67750_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,System.TypInfo.PTypeInfo>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_49917_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,System.Variant>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_26766_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,System.string>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_87493_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88772_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Grow"
		size = 33
		refs = "0007 @DynArrayLength 001b TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Rehash"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 C0 85 C0 75 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2189_0 {
	meta:
		name = "TDictionary<T>.GetBucketIndex"
		size = 123
		refs = "0013 @DynArrayLength"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 4C 24 04 89 14 24 8B F0 8B 46 04 E8 ?? ?? ?? ?? 85 C0 75 07 BB 00 00 00 80 EB 51 8B 46 04 E8 ?? ?? ?? ?? 48 23 44 24 04 8B D8 8D 04 5B 8B 56 04 8B 3C 82 83 FF FF 75 04 F7 D3 EB 30 3B 7C 24 04 75 19 8D 04 5B 8B 56 04 8B 54 82 04 8B 0C 24 8B 46 0C 8B 38 FF 57 0C 84 C0 75 11 43 8B 46 04 E8 ?? ?? ?? ?? 3B D8 7C C2 33 DB EB BE 8B C3 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2190_0 {
	meta:
		name = "TDictionary<T>.Hash"
		size = 30
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C 8B 08 FF 51 10 25 FF FF FF 7F 40 25 FF FF FF 7F 5E 5B C3 }
	condition:
		$1
}

rule function_2191_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.GetItem"
		size = 79
		refs = "000e TDictionary<System.Integer,System.Classes.IObserver>.Hash 0019 TDictionary<System.Integer,System.Classes.IObserver>.GetBucketIndex 0025 SGenericItemNotFound 002c _Dn_EListError 0031 Exception.CreateRes 0036 @RaiseExcept 0047 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8B 54 91 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10960_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.GetItem"
		size = 79
		refs = "000e TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Hash 0019 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.GetBucketIndex 0025 SGenericItemNotFound 002c _Dn_EListError 0031 Exception.CreateRes 0036 @RaiseExcept 0047 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8B 54 91 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40102_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.GetItem"
		size = 79
		refs = "000e TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Hash 0019 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.GetBucketIndex 0025 SGenericItemNotFound 002c _Dn_EListError 0031 Exception.CreateRes 0036 @RaiseExcept 0047 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8B 54 91 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88303_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetItem"
		size = 79
		refs = "000e TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Hash 0019 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetBucketIndex 0025 SGenericItemNotFound 002c _Dn_EListError 0031 Exception.CreateRes 0036 @RaiseExcept 0047 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8B 54 91 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53447_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.GetItem"
		size = 79
		refs = "000e TDictionary<System.TObject,System.string>.Hash 0019 TDictionary<System.TObject,System.string>.GetBucketIndex 0025 SGenericItemNotFound 002c _Dn_EListError 0031 Exception.CreateRes 0036 @RaiseExcept 0047 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8B 54 91 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67682_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.GetItem"
		size = 79
		refs = "000e TDictionary<System.TypInfo.PTypeInfo,System.string>.Hash 0019 TDictionary<System.TypInfo.PTypeInfo,System.string>.GetBucketIndex 0025 SGenericItemNotFound 002c _Dn_EListError 0031 Exception.CreateRes 0036 @RaiseExcept 0047 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8B 54 91 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22042_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem"
		size = 79
		refs = "000e TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Hash 0019 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetBucketIndex 0025 SGenericItemNotFound 002c _Dn_EListError 0031 Exception.CreateRes 0036 @RaiseExcept 0047 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8B 54 91 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31178_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.GetItem"
		size = 79
		refs = "000e TDictionary<System.string,IBIntf.IGDSLibrary>.Hash 0019 TDictionary<System.string,IBIntf.IGDSLibrary>.GetBucketIndex 0025 SGenericItemNotFound 002c _Dn_EListError 0031 Exception.CreateRes 0036 @RaiseExcept 0047 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8B 54 91 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56750_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.GetItem"
		size = 79
		refs = "000e TDictionary<System.string,System.IInterface>.Hash 0019 TDictionary<System.string,System.IInterface>.GetBucketIndex 0025 SGenericItemNotFound 002c _Dn_EListError 0031 Exception.CreateRes 0036 @RaiseExcept 0047 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8B 54 91 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96264_0 {
	meta:
		name = "TDictionary<System.string,System.string>.GetItem"
		size = 79
		refs = "000e TDictionary<System.string,System.string>.Hash 0019 TDictionary<System.string,System.string>.GetBucketIndex 0025 SGenericItemNotFound 002c _Dn_EListError 0031 Exception.CreateRes 0036 @RaiseExcept 0047 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8B 54 91 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2192_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.SetItem"
		size = 177
		refs = "0019 TDictionary<System.Integer,System.Classes.IObserver>.SetItem 0028 TDictionary<System.Integer,System.Classes.IObserver>.Hash 0033 TDictionary<System.Integer,System.Classes.IObserver>.GetBucketIndex 003f SGenericItemNotFound 0046 _Dn_EListError 004b Exception.CreateRes 0050 @RaiseExcept 0062 @IntfCopy 009e @IntfClear 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8D 3C 76 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10961_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.SetItem"
		size = 177
		refs = "0019 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.SetItem 0028 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Hash 0033 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.GetBucketIndex 003f SGenericItemNotFound 0046 _Dn_EListError 004b Exception.CreateRes 0050 @RaiseExcept 0062 @IntfCopy 009e @IntfClear 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8D 3C 76 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40103_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.SetItem"
		size = 177
		refs = "0019 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.SetItem 0028 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Hash 0033 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.GetBucketIndex 003f SGenericItemNotFound 0046 _Dn_EListError 004b Exception.CreateRes 0050 @RaiseExcept 0062 @IntfCopy 009e @IntfClear 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8D 3C 76 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88304_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.SetItem"
		size = 177
		refs = "0019 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.SetItem 0028 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Hash 0033 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetBucketIndex 003f SGenericItemNotFound 0046 _Dn_EListError 004b Exception.CreateRes 0050 @RaiseExcept 0062 @IntfCopy 009e @IntfClear 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8D 3C 76 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53448_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.SetItem"
		size = 177
		refs = "0019 TDictionary<System.TObject,System.string>.SetItem 0028 TDictionary<System.TObject,System.string>.Hash 0033 TDictionary<System.TObject,System.string>.GetBucketIndex 003f SGenericItemNotFound 0046 _Dn_EListError 004b Exception.CreateRes 0050 @RaiseExcept 0062 @UStrLAsg 0071 @UStrAsg 009e @UStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8D 3C 76 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67683_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.SetItem"
		size = 177
		refs = "0019 TDictionary<System.TypInfo.PTypeInfo,System.string>.SetItem 0028 TDictionary<System.TypInfo.PTypeInfo,System.string>.Hash 0033 TDictionary<System.TypInfo.PTypeInfo,System.string>.GetBucketIndex 003f SGenericItemNotFound 0046 _Dn_EListError 004b Exception.CreateRes 0050 @RaiseExcept 0062 @UStrLAsg 0071 @UStrAsg 009e @UStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8D 3C 76 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22043_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.SetItem"
		size = 177
		refs = "0019 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.SetItem 0028 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Hash 0033 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetBucketIndex 003f SGenericItemNotFound 0046 _Dn_EListError 004b Exception.CreateRes 0050 @RaiseExcept 0062 @IntfCopy 009e @IntfClear 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8D 3C 76 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31179_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.SetItem"
		size = 177
		refs = "0019 TDictionary<System.string,IBIntf.IGDSLibrary>.SetItem 0028 TDictionary<System.string,IBIntf.IGDSLibrary>.Hash 0033 TDictionary<System.string,IBIntf.IGDSLibrary>.GetBucketIndex 003f SGenericItemNotFound 0046 _Dn_EListError 004b Exception.CreateRes 0050 @RaiseExcept 0062 @IntfCopy 009e @IntfClear 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8D 3C 76 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56751_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.SetItem"
		size = 177
		refs = "0019 TDictionary<System.string,System.IInterface>.SetItem 0028 TDictionary<System.string,System.IInterface>.Hash 0033 TDictionary<System.string,System.IInterface>.GetBucketIndex 003f SGenericItemNotFound 0046 _Dn_EListError 004b Exception.CreateRes 0050 @RaiseExcept 0062 @IntfCopy 009e @IntfClear 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8D 3C 76 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96265_0 {
	meta:
		name = "TDictionary<System.string,System.string>.SetItem"
		size = 177
		refs = "0019 TDictionary<System.string,System.string>.SetItem 0028 TDictionary<System.string,System.string>.Hash 0033 TDictionary<System.string,System.string>.GetBucketIndex 003f SGenericItemNotFound 0046 _Dn_EListError 004b Exception.CreateRes 0050 @RaiseExcept 0062 @UStrLAsg 0071 @UStrAsg 009e @UStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8D 3C 76 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2193_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.RehashAdd"
		size = 80
		refs = "001a TDictionary<System.Integer,System.Classes.IObserver>.GetBucketIndex 0043 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8B 55 F8 89 54 B8 04 8B 43 04 8D 44 B8 08 8B 55 08 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10962_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.RehashAdd"
		size = 80
		refs = "001a TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.GetBucketIndex 0043 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8B 55 F8 89 54 B8 04 8B 43 04 8D 44 B8 08 8B 55 08 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_40104_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.RehashAdd"
		size = 80
		refs = "001a TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.GetBucketIndex 0043 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8B 55 F8 89 54 B8 04 8B 43 04 8D 44 B8 08 8B 55 08 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_88305_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.RehashAdd"
		size = 80
		refs = "001a TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetBucketIndex 0043 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8B 55 F8 89 54 B8 04 8B 43 04 8D 44 B8 08 8B 55 08 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_53449_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.RehashAdd"
		size = 80
		refs = "001a TDictionary<System.TObject,System.string>.GetBucketIndex 0043 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8B 55 F8 89 54 B8 04 8B 43 04 8D 44 B8 08 8B 55 08 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_67684_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.RehashAdd"
		size = 80
		refs = "001a TDictionary<System.TypInfo.PTypeInfo,System.string>.GetBucketIndex 0043 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8B 55 F8 89 54 B8 04 8B 43 04 8D 44 B8 08 8B 55 08 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2194_0 {
	meta:
		name = "TDictionary<T>.DoAdd"
		size = 78
		refs = "0028 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B D8 8D 3C 76 8B 43 04 89 14 B8 8B 43 04 8B 55 0C 89 54 B8 04 8B 43 04 8D 44 B8 08 8B 55 08 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B 55 0C 8B C3 8B 30 FF 56 08 33 C9 8B 55 08 8B C3 8B 18 FF 53 0C 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_53450_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.DoAdd"
		size = 78
		refs = "0028 @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B D8 8D 3C 76 8B 43 04 89 14 B8 8B 43 04 8B 55 0C 89 54 B8 04 8B 43 04 8D 44 B8 08 8B 55 08 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B 55 0C 8B C3 8B 30 FF 56 08 33 C9 8B 55 08 8B C3 8B 18 FF 53 0C 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_67685_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.DoAdd"
		size = 78
		refs = "0028 @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B D8 8D 3C 76 8B 43 04 89 14 B8 8B 43 04 8B 55 0C 89 54 B8 04 8B 43 04 8D 44 B8 08 8B 55 08 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B 55 0C 8B C3 8B 30 FF 56 08 33 C9 8B 55 08 8B C3 8B 18 FF 53 0C 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_2195_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.DoSetValue"
		size = 128
		refs = "0019 TDictionary<System.Integer,System.Classes.IObserver>.DoSetValue 0031 @IntfCopy 006d @IntfClear 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8D 3C 76 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10964_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.DoSetValue"
		size = 128
		refs = "0019 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.DoSetValue 0031 @IntfCopy 006d @IntfClear 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8D 3C 76 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40106_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.DoSetValue"
		size = 128
		refs = "0019 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.DoSetValue 0031 @IntfCopy 006d @IntfClear 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8D 3C 76 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88307_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.DoSetValue"
		size = 128
		refs = "0019 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.DoSetValue 0031 @IntfCopy 006d @IntfClear 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8D 3C 76 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53451_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.DoSetValue"
		size = 128
		refs = "0019 TDictionary<System.TObject,System.string>.DoSetValue 0031 @UStrLAsg 0040 @UStrAsg 006d @UStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8D 3C 76 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67686_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.DoSetValue"
		size = 128
		refs = "0019 TDictionary<System.TypInfo.PTypeInfo,System.string>.DoSetValue 0031 @UStrLAsg 0040 @UStrAsg 006d @UStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8D 3C 76 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22046_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.DoSetValue"
		size = 128
		refs = "0019 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.DoSetValue 0031 @IntfCopy 006d @IntfClear 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8D 3C 76 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31182_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.DoSetValue"
		size = 128
		refs = "0019 TDictionary<System.string,IBIntf.IGDSLibrary>.DoSetValue 0031 @IntfCopy 006d @IntfClear 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8D 3C 76 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56754_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.DoSetValue"
		size = 128
		refs = "0019 TDictionary<System.string,System.IInterface>.DoSetValue 0031 @IntfCopy 006d @IntfClear 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8D 3C 76 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96268_0 {
	meta:
		name = "TDictionary<System.string,System.string>.DoSetValue"
		size = 128
		refs = "0019 TDictionary<System.string,System.string>.DoSetValue 0031 @UStrLAsg 0040 @UStrAsg 006d @UStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8D 3C 76 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2196_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.DoRemove"
		size = 259
		refs = "0014 TDictionary<System.Integer,System.Classes.IObserver>.GetBucketIndex 0022 @IntfClear 0043 @IntfCopy 004e @DynArrayLength 0081 InCircularRange 009d TDictionary<System.Integer,System.Classes.IObserver>.TItem 00a2 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0D 8B 45 08 E8 ?? ?? ?? ?? E9 CF 00 00 00 8D 3C 76 8B 43 04 C7 04 B8 FF FF FF FF 8B 45 08 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F8 83 7D F8 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F8 89 45 F4 8B CE 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 33 D2 89 54 B0 04 8B 43 04 8D 44 B0 08 E8 ?? ?? ?? ?? FF 4B 08 0F B6 4D 0C 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 0C 8B 55 08 8B 12 8B C3 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_10965_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.DoRemove"
		size = 259
		refs = "0014 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.GetBucketIndex 0022 @IntfClear 0043 @IntfCopy 004e @DynArrayLength 0081 InCircularRange 009d TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TItem 00a2 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0D 8B 45 08 E8 ?? ?? ?? ?? E9 CF 00 00 00 8D 3C 76 8B 43 04 C7 04 B8 FF FF FF FF 8B 45 08 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F8 83 7D F8 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F8 89 45 F4 8B CE 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 33 D2 89 54 B0 04 8B 43 04 8D 44 B0 08 E8 ?? ?? ?? ?? FF 4B 08 0F B6 4D 0C 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 0C 8B 55 08 8B 12 8B C3 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_40107_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.DoRemove"
		size = 259
		refs = "0014 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.GetBucketIndex 0022 @IntfClear 0043 @IntfCopy 004e @DynArrayLength 0081 InCircularRange 009d TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TItem 00a2 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0D 8B 45 08 E8 ?? ?? ?? ?? E9 CF 00 00 00 8D 3C 76 8B 43 04 C7 04 B8 FF FF FF FF 8B 45 08 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F8 83 7D F8 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F8 89 45 F4 8B CE 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 33 D2 89 54 B0 04 8B 43 04 8D 44 B0 08 E8 ?? ?? ?? ?? FF 4B 08 0F B6 4D 0C 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 0C 8B 55 08 8B 12 8B C3 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_88308_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.DoRemove"
		size = 259
		refs = "0014 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetBucketIndex 0022 @IntfClear 0043 @IntfCopy 004e @DynArrayLength 0081 InCircularRange 009d TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TItem 00a2 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0D 8B 45 08 E8 ?? ?? ?? ?? E9 CF 00 00 00 8D 3C 76 8B 43 04 C7 04 B8 FF FF FF FF 8B 45 08 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F8 83 7D F8 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F8 89 45 F4 8B CE 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 33 D2 89 54 B0 04 8B 43 04 8D 44 B0 08 E8 ?? ?? ?? ?? FF 4B 08 0F B6 4D 0C 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 0C 8B 55 08 8B 12 8B C3 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_53452_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.DoRemove"
		size = 259
		refs = "0014 TDictionary<System.TObject,System.string>.GetBucketIndex 0022 @UStrClr 0043 @UStrAsg 004e @DynArrayLength 0081 InCircularRange 009d TDictionary<System.TObject,System.string>.TItem 00a2 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0D 8B 45 08 E8 ?? ?? ?? ?? E9 CF 00 00 00 8D 3C 76 8B 43 04 C7 04 B8 FF FF FF FF 8B 45 08 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F8 83 7D F8 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F8 89 45 F4 8B CE 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 33 D2 89 54 B0 04 8B 43 04 8D 44 B0 08 E8 ?? ?? ?? ?? FF 4B 08 0F B6 4D 0C 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 0C 8B 55 08 8B 12 8B C3 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_67687_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.DoRemove"
		size = 259
		refs = "0014 TDictionary<System.TypInfo.PTypeInfo,System.string>.GetBucketIndex 0022 @UStrClr 0043 @UStrAsg 004e @DynArrayLength 0081 InCircularRange 009d TDictionary<System.TypInfo.PTypeInfo,System.string>.TItem 00a2 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0D 8B 45 08 E8 ?? ?? ?? ?? E9 CF 00 00 00 8D 3C 76 8B 43 04 C7 04 B8 FF FF FF FF 8B 45 08 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F8 83 7D F8 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F8 89 45 F4 8B CE 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 33 D2 89 54 B0 04 8B 43 04 8D 44 B0 08 E8 ?? ?? ?? ?? FF 4B 08 0F B6 4D 0C 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 0C 8B 55 08 8B 12 8B C3 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_2198_0 {
	meta:
		name = "TDictionary<T>.KeyNotify"
		size = 23
	strings:
		$1 = { 53 66 83 78 1A 00 74 0D 51 8B D8 8B CA 8B D0 8B 43 1C FF 53 18 5B C3 }
	condition:
		$1
}

rule function_2199_0 {
	meta:
		name = "TDictionary<T>.ValueNotify"
		size = 23
	strings:
		$1 = { 53 66 83 78 22 00 74 0D 51 8B D8 8B CA 8B D0 8B 43 24 FF 53 20 5B C3 }
	condition:
		$1
}

rule function_2200_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.Integer,System.Classes.IObserver>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2914_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10969_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_40111_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_55409_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_52509_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_55154_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_57755_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_60615_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_57439_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_60034_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_86219_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_88312_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_51992_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.IInterface,System.Pointer>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_24602_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9737_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.Integer,System.Integer>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_67429_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.Pointer,System.Rtti.TRttiObject>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_54455_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_87433_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_42530_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.TGUID,System.TClass>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_54944_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_55289_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_57573_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_57363_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_53929_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.TObject,System.string>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_67691_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.TypInfo.PTypeInfo,System.string>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_63452_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_71554_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_29262_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7814_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,Data.DBXCommon.TEventPointer>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_23394_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17952_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15730_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17224_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17804_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_24424_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_25518_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,Datasnap.DSService.TDSSession>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_31187_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,IBIntf.IGDSLibrary>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_53527_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_58896_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_59958_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_64712_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,System.Boolean>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15654_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,System.Classes.TStream>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_23542_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,System.Classes.TStrings>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_42601_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_60153_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_52442_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,System.IInterface>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_57506_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,System.Int64>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_57292_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,System.Integer>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_22694_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,System.Masks.TMask>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_24732_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,System.TObject>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_67762_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,System.TypInfo.PTypeInfo>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_49929_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,System.Variant>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_27002_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,System.string>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_87505_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_88784_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_46337_0 {
	meta:
		name = "TIWTagParser.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TIWTagParser.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_65806_0 {
	meta:
		name = "TMemIniFile.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TMemIniFile.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2201_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.Integer,System.Classes.IObserver>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8177_0 {
	meta:
		name = "TDBXTableReader.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDBXTableReader.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2915_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10970_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_40112_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_60328_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_52510_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_55155_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_57756_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_57646_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_57440_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_60035_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_86220_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_88313_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_51993_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.IInterface,System.Pointer>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_24603_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9738_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.Integer,System.Integer>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_67430_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.Pointer,System.Rtti.TRttiObject>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_54456_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_87434_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_42531_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.TGUID,System.TClass>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_54945_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_55290_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_57574_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_57364_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_53457_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.TObject,System.string>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_67692_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.TypInfo.PTypeInfo,System.string>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_63453_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_71555_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_29263_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7815_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,Data.DBXCommon.TEventPointer>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9806_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_10051_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_20218_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17225_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17805_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_24425_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_18635_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,Datasnap.DSService.TDSSession>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_31188_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,IBIntf.IGDSLibrary>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_53528_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_58897_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_59959_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_64713_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,System.Boolean>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15655_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,System.Classes.TStream>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_23543_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,System.Classes.TStrings>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_42602_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_60154_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_54001_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,System.IInterface>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_57507_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,System.Int64>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_57293_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,System.Integer>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_22695_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,System.Masks.TMask>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_24733_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,System.TObject>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_67763_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,System.TypInfo.PTypeInfo>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_49930_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,System.Variant>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96274_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,System.string>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_87506_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_88785_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2202_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.Integer,System.Classes.IObserver>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.Integer>.Default 0075 TDictionary<System.Integer,System.Classes.IObserver>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2916_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<Data.Bind.Components.TBasicBindComponent>.Default 0075 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10971_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Default 0075 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_40113_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<IdContext.TIdContext>.Default 0075 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_60329_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.Bindings.EvalProtocol.ILocation>.Default 0075 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_52511_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.Bindings.EvalSys.TValueConverter.TConvPair>.Default 0075 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_55156_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.Bindings.Expression.TBindingExpression>.Default 0075 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_57757_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.Bindings.Expression.TBindingExpression>.Default 0075 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_60617_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.Bindings.Expression.TBindingExpression>.Default 0075 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_57441_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.Bindings.Expression.TBindingExpression>.Default 0075 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_60036_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.Bindings.Outputs.TConvertPair>.Default 0075 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_86221_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.Classes.TComponent>.Default 0075 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_88314_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.Classes.TComponent>.Default 0075 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_55086_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.IInterface,System.Pointer>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.IInterface>.Default 0075 TDictionary<System.IInterface,System.Pointer>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_24604_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.Integer>.Default 0075 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9739_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.Integer,System.Integer>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.Integer>.Default 0075 TDictionary<System.Integer,System.Integer>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_67431_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.Pointer,System.Rtti.TRttiObject>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.Pointer>.Default 0075 TDictionary<System.Pointer,System.Rtti.TRttiObject>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_54457_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.TClass>.Default 0075 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_87435_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.TClass>.Default 0075 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_42532_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.TGUID,System.TClass>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.TGUID>.Default 0075 TDictionary<System.TGUID,System.TClass>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_54946_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.TObject>.Default 0075 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_55291_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.TObject>.Default 0075 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_57575_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.TObject>.Default 0075 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_57365_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.TObject>.Default 0075 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_53931_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.TObject,System.string>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.TObject>.Default 0075 TDictionary<System.TObject,System.string>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_67693_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.TypInfo.PTypeInfo,System.string>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.TypInfo.PTypeInfo>.Default 0075 TDictionary<System.TypInfo.PTypeInfo,System.string>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_63454_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.Word>.Default 0075 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_71556_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.Zip.TZipCompression>.Default 0075 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_29264_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7816_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,Data.DBXCommon.TEventPointer>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,Data.DBXCommon.TEventPointer>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9807_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10052_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_20219_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_17226_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_17806_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_24426_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_18636_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,Datasnap.DSService.TDSSession>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,Datasnap.DSService.TDSSession>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_31189_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,IBIntf.IGDSLibrary>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,IBIntf.IGDSLibrary>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_53529_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_58898_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_59960_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_64714_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,System.Boolean>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,System.Boolean>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15656_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,System.Classes.TStream>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,System.Classes.TStream>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_23544_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,System.Classes.TStrings>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,System.Classes.TStrings>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_42603_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_60155_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_56761_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,System.IInterface>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,System.IInterface>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_57508_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,System.Int64>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,System.Int64>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_55228_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,System.Integer>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,System.Integer>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_22696_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,System.Masks.TMask>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,System.Masks.TMask>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_24734_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,System.TObject>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,System.TObject>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_67764_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,System.TypInfo.PTypeInfo>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,System.TypInfo.PTypeInfo>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_49931_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,System.Variant>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,System.Variant>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_26780_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,System.string>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,System.string>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_87507_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<System.string>.Default 0075 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_88786_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Create"
		size = 181
		refs = "0010 @ClassCreate 001e TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Create 002d TObject.Create 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0053 @IntfCopy 0061 TEqualityComparer<Vcl.Controls.TControl>.Default 0075 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.SetCapacity 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 83 7F 0C 00 75 13 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2203_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.Integer,System.Classes.IObserver> 0025 @InitializeRecord 002d TDictionary<System.Integer,System.Classes.IObserver>.Create 0048 TEnumerable<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.GetEnumerator 0073 TDictionary<System.Integer,System.Classes.IObserver>.AddOrSetValue 007b TEnumerator<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10972_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent> 0025 @InitializeRecord 002d TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Create 0048 TEnumerable<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.GetEnumerator 0073 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.AddOrSetValue 007b TEnumerator<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40114_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<IdContext.TIdContext,IPPeerAPI.IIPContext> 0025 @InitializeRecord 002d TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Create 0048 TEnumerable<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.GetEnumerator 0073 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.AddOrSetValue 007b TEnumerator<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88315_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0025 @InitializeRecord 002d TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Create 0048 TEnumerable<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.GetEnumerator 0073 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.AddOrSetValue 007b TEnumerator<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55087_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.IInterface,System.Pointer> 0025 @InitializeRecord 002d TDictionary<System.IInterface,System.Pointer>.Create 0048 TEnumerable<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0073 TDictionary<System.IInterface,System.Pointer>.AddOrSetValue 007b TEnumerator<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57224_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.IInterface,System.Pointer> 0025 @InitializeRecord 002d TDictionary<System.IInterface,System.Pointer>.Create 0048 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0073 TDictionary<System.IInterface,System.Pointer>.AddOrSetValue 007b TEnumerator<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50946_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.IInterface,System.Pointer> 0025 @InitializeRecord 002d TDictionary<System.IInterface,System.Pointer>.Create 0048 TEnumerable<SyncController.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0073 TDictionary<System.IInterface,System.Pointer>.AddOrSetValue 007b TEnumerator<SyncController.TPair<System.IInterface,System.Pointer>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51995_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.IInterface,System.Pointer> 0025 @InitializeRecord 002d TDictionary<System.IInterface,System.Pointer>.Create 0048 TEnumerable<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0073 TDictionary<System.IInterface,System.Pointer>.AddOrSetValue 007b TEnumerator<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53097_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.IInterface,System.Pointer> 0025 @InitializeRecord 002d TDictionary<System.IInterface,System.Pointer>.Create 0048 TEnumerable<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0073 TDictionary<System.IInterface,System.Pointer>.AddOrSetValue 007b TEnumerator<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61623_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.IInterface,System.Pointer> 0025 @InitializeRecord 002d TDictionary<System.IInterface,System.Pointer>.Create 0048 TEnumerable<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0073 TDictionary<System.IInterface,System.Pointer>.AddOrSetValue 007b TEnumerator<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53932_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.TObject,System.string> 0025 @InitializeRecord 002d TDictionary<System.TObject,System.string>.Create 0048 TEnumerable<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.GetEnumerator 0073 TDictionary<System.TObject,System.string>.AddOrSetValue 007b TEnumerator<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53459_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.TObject,System.string> 0025 @InitializeRecord 002d TDictionary<System.TObject,System.string>.Create 0048 TEnumerable<System.Bindings.Expression.TPair<System.TObject,System.string>>.GetEnumerator 0073 TDictionary<System.TObject,System.string>.AddOrSetValue 007b TEnumerator<System.Bindings.Expression.TPair<System.TObject,System.string>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67694_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.TypInfo.PTypeInfo,System.string> 0025 @InitializeRecord 002d TDictionary<System.TypInfo.PTypeInfo,System.string>.Create 0048 TEnumerable<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.GetEnumerator 0073 TDictionary<System.TypInfo.PTypeInfo,System.string>.AddOrSetValue 007b TEnumerator<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29265_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,DSAzureTableDialog.TAzureTableColumn> 0025 @InitializeRecord 002d TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Create 0048 TEnumerable<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.GetEnumerator 0073 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.AddOrSetValue 007b TEnumerator<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17883_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0025 @InitializeRecord 002d TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create 0048 TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetEnumerator 0073 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.AddOrSetValue 007b TEnumerator<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9808_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0025 @InitializeRecord 002d TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create 0048 TEnumerable<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetEnumerator 0073 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.AddOrSetValue 007b TEnumerator<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23397_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0025 @InitializeRecord 002d TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create 0048 TEnumerable<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetEnumerator 0073 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.AddOrSetValue 007b TEnumerator<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17955_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0025 @InitializeRecord 002d TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create 0048 TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetEnumerator 0073 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.AddOrSetValue 007b TEnumerator<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10053_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0025 @InitializeRecord 002d TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create 0048 TEnumerable<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetEnumerator 0073 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.AddOrSetValue 007b TEnumerator<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23473_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0025 @InitializeRecord 002d TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create 0048 TEnumerable<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetEnumerator 0073 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.AddOrSetValue 007b TEnumerator<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15733_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 0048 TEnumerable<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0073 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007b TEnumerator<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22773_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 0048 TEnumerable<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0073 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007b TEnumerator<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22347_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 0048 TEnumerable<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0073 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007b TEnumerator<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22054_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 0048 TEnumerable<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0073 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007b TEnumerator<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21762_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 0048 TEnumerable<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0073 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007b TEnumerator<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21495_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 0048 TEnumerable<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0073 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007b TEnumerator<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21208_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 0048 TEnumerable<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0073 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007b TEnumerator<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20650_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 0048 TEnumerable<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0073 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007b TEnumerator<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20220_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 0048 TEnumerable<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0073 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007b TEnumerator<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19938_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 0048 TEnumerable<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0073 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007b TEnumerator<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19650_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 0048 TEnumerable<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0073 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007b TEnumerator<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19355_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 0048 TEnumerable<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0073 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007b TEnumerator<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17227_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Create 0048 TEnumerable<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.GetEnumerator 0073 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.AddOrSetValue 007b TEnumerator<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17807_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Create 0048 TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.GetEnumerator 0073 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.AddOrSetValue 007b TEnumerator<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24427_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSService.TDBXRequestFilter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Create 0048 TEnumerable<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.GetEnumerator 0073 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.AddOrSetValue 007b TEnumerator<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11195_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSService.TDSSession> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSService.TDSSession>.Create 0048 TEnumerable<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator 0073 TDictionary<System.string,Datasnap.DSService.TDSSession>.AddOrSetValue 007b TEnumerator<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18637_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSService.TDSSession> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSService.TDSSession>.Create 0048 TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator 0073 TDictionary<System.string,Datasnap.DSService.TDSSession>.AddOrSetValue 007b TEnumerator<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25521_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSService.TDSSession> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSService.TDSSession>.Create 0048 TEnumerable<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator 0073 TDictionary<System.string,Datasnap.DSService.TDSSession>.AddOrSetValue 007b TEnumerator<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24802_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSService.TDSSession> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSService.TDSSession>.Create 0048 TEnumerable<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator 0073 TDictionary<System.string,Datasnap.DSService.TDSSession>.AddOrSetValue 007b TEnumerator<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31190_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,IBIntf.IGDSLibrary> 0025 @InitializeRecord 002d TDictionary<System.string,IBIntf.IGDSLibrary>.Create 0048 TEnumerable<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.GetEnumerator 0073 TDictionary<System.string,IBIntf.IGDSLibrary>.AddOrSetValue 007b TEnumerator<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53530_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Bindings.Expression.TBindingExpression> 0025 @InitializeRecord 002d TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Create 0048 TEnumerable<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.GetEnumerator 0073 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.AddOrSetValue 007b TEnumerator<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59961_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 0025 @InitializeRecord 002d TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create 0048 TEnumerable<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.GetEnumerator 0073 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.AddOrSetValue 007b TEnumerator<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15657_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Classes.TStream> 0025 @InitializeRecord 002d TDictionary<System.string,System.Classes.TStream>.Create 0048 TEnumerable<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.GetEnumerator 0073 TDictionary<System.string,System.Classes.TStream>.AddOrSetValue 007b TEnumerator<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23545_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Classes.TStrings> 0025 @InitializeRecord 002d TDictionary<System.string,System.Classes.TStrings>.Create 0048 TEnumerable<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.GetEnumerator 0073 TDictionary<System.string,System.Classes.TStrings>.AddOrSetValue 007b TEnumerator<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42604_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>> 0025 @InitializeRecord 002d TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Create 0048 TEnumerable<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.GetEnumerator 0073 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.AddOrSetValue 007b TEnumerator<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52445_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.IInterface> 0025 @InitializeRecord 002d TDictionary<System.string,System.IInterface>.Create 0048 TEnumerable<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.GetEnumerator 0073 TDictionary<System.string,System.IInterface>.AddOrSetValue 007b TEnumerator<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51635_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.IInterface> 0025 @InitializeRecord 002d TDictionary<System.string,System.IInterface>.Create 0048 TEnumerable<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.GetEnumerator 0073 TDictionary<System.string,System.IInterface>.AddOrSetValue 007b TEnumerator<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54003_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.IInterface> 0025 @InitializeRecord 002d TDictionary<System.string,System.IInterface>.Create 0048 TEnumerable<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.GetEnumerator 0073 TDictionary<System.string,System.IInterface>.AddOrSetValue 007b TEnumerator<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56762_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.IInterface> 0025 @InitializeRecord 002d TDictionary<System.string,System.IInterface>.Create 0048 TEnumerable<System.Bindings.Helper.TPair<System.string,System.IInterface>>.GetEnumerator 0073 TDictionary<System.string,System.IInterface>.AddOrSetValue 007b TEnumerator<System.Bindings.Helper.TPair<System.string,System.IInterface>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58970_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.IInterface> 0025 @InitializeRecord 002d TDictionary<System.string,System.IInterface>.Create 0048 TEnumerable<System.Bindings.Methods.TPair<System.string,System.IInterface>>.GetEnumerator 0073 TDictionary<System.string,System.IInterface>.AddOrSetValue 007b TEnumerator<System.Bindings.Methods.TPair<System.string,System.IInterface>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59574_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.IInterface> 0025 @InitializeRecord 002d TDictionary<System.string,System.IInterface>.Create 0048 TEnumerable<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.GetEnumerator 0073 TDictionary<System.string,System.IInterface>.AddOrSetValue 007b TEnumerator<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60550_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.IInterface> 0025 @InitializeRecord 002d TDictionary<System.string,System.IInterface>.Create 0048 TEnumerable<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.GetEnumerator 0073 TDictionary<System.string,System.IInterface>.AddOrSetValue 007b TEnumerator<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55229_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Integer> 0025 @InitializeRecord 002d TDictionary<System.string,System.Integer>.Create 0048 TEnumerable<System.Bindings.Graph.TPair<System.string,System.Integer>>.GetEnumerator 0073 TDictionary<System.string,System.Integer>.AddOrSetValue 007b TEnumerator<System.Bindings.Graph.TPair<System.string,System.Integer>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57295_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Integer> 0025 @InitializeRecord 002d TDictionary<System.string,System.Integer>.Create 0048 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.GetEnumerator 0073 TDictionary<System.string,System.Integer>.AddOrSetValue 007b TEnumerator<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22697_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Masks.TMask> 0025 @InitializeRecord 002d TDictionary<System.string,System.Masks.TMask>.Create 0048 TEnumerable<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.GetEnumerator 0073 TDictionary<System.string,System.Masks.TMask>.AddOrSetValue 007b TEnumerator<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24735_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.TObject> 0025 @InitializeRecord 002d TDictionary<System.string,System.TObject>.Create 0048 TEnumerable<Datasnap.DSService.TPair<System.string,System.TObject>>.GetEnumerator 0073 TDictionary<System.string,System.TObject>.AddOrSetValue 007b TEnumerator<Datasnap.DSService.TPair<System.string,System.TObject>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9986_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.TObject> 0025 @InitializeRecord 002d TDictionary<System.string,System.TObject>.Create 0048 TEnumerable<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.GetEnumerator 0073 TDictionary<System.string,System.TObject>.AddOrSetValue 007b TEnumerator<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67765_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.TypInfo.PTypeInfo> 0025 @InitializeRecord 002d TDictionary<System.string,System.TypInfo.PTypeInfo>.Create 0048 TEnumerable<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.GetEnumerator 0073 TDictionary<System.string,System.TypInfo.PTypeInfo>.AddOrSetValue 007b TEnumerator<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96276_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 0048 TEnumerable<Web.WebFileDispatcher.TPair<System.string,System.string>>.GetEnumerator 0073 TDictionary<System.string,System.string>.AddOrSetValue 007b TEnumerator<Web.WebFileDispatcher.TPair<System.string,System.string>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42675_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 0048 TEnumerable<IPPeerAPI.TPair<System.string,System.string>>.GetEnumerator 0073 TDictionary<System.string,System.string>.AddOrSetValue 007b TEnumerator<IPPeerAPI.TPair<System.string,System.string>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40047_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 0048 TEnumerable<IndyPeerImpl.TPair<System.string,System.string>>.GetEnumerator 0073 TDictionary<System.string,System.string>.AddOrSetValue 007b TEnumerator<IndyPeerImpl.TPair<System.string,System.string>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28473_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 0048 TEnumerable<DSAzureBlob.TPair<System.string,System.string>>.GetEnumerator 0073 TDictionary<System.string,System.string>.AddOrSetValue 007b TEnumerator<DSAzureBlob.TPair<System.string,System.string>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27859_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 0048 TEnumerable<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.GetEnumerator 0073 TDictionary<System.string,System.string>.AddOrSetValue 007b TEnumerator<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27658_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 0048 TEnumerable<DSAzDlgPutBlockList.TPair<System.string,System.string>>.GetEnumerator 0073 TDictionary<System.string,System.string>.AddOrSetValue 007b TEnumerator<DSAzDlgPutBlockList.TPair<System.string,System.string>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27441_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 0048 TEnumerable<DSAzDlgPageBlob.TPair<System.string,System.string>>.GetEnumerator 0073 TDictionary<System.string,System.string>.AddOrSetValue 007b TEnumerator<DSAzDlgPageBlob.TPair<System.string,System.string>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27209_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 0048 TEnumerable<DSAzDlgCreateContainer.TPair<System.string,System.string>>.GetEnumerator 0073 TDictionary<System.string,System.string>.AddOrSetValue 007b TEnumerator<DSAzDlgCreateContainer.TPair<System.string,System.string>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27005_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 0048 TEnumerable<DSAzDlgCopyBlob.TPair<System.string,System.string>>.GetEnumerator 0073 TDictionary<System.string,System.string>.AddOrSetValue 007b TEnumerator<DSAzDlgCopyBlob.TPair<System.string,System.string>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26781_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 0048 TEnumerable<DSAzDlgBlockBlob.TPair<System.string,System.string>>.GetEnumerator 0073 TDictionary<System.string,System.string>.AddOrSetValue 007b TEnumerator<DSAzDlgBlockBlob.TPair<System.string,System.string>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24672_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 0048 TEnumerable<Datasnap.DSService.TPair<System.string,System.string>>.GetEnumerator 0073 TDictionary<System.string,System.string>.AddOrSetValue 007b TEnumerator<Datasnap.DSService.TPair<System.string,System.string>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20978_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 0048 TEnumerable<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.GetEnumerator 0073 TDictionary<System.string,System.string>.AddOrSetValue 007b TEnumerator<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20583_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 0048 TEnumerable<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.GetEnumerator 0073 TDictionary<System.string,System.string>.AddOrSetValue 007b TEnumerator<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19000_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 0048 TEnumerable<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.GetEnumerator 0073 TDictionary<System.string,System.string>.AddOrSetValue 007b TEnumerator<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16323_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 0048 TEnumerable<Datasnap.DSClientRest.TPair<System.string,System.string>>.GetEnumerator 0073 TDictionary<System.string,System.string>.AddOrSetValue 007b TEnumerator<Datasnap.DSClientRest.TPair<System.string,System.string>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2204_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.Integer,System.Classes.IObserver> 0025 @InitializeRecord 002d TDictionary<System.Integer,System.Classes.IObserver>.Create 004a TEnumerable<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.GetEnumerator 0075 TDictionary<System.Integer,System.Classes.IObserver>.AddOrSetValue 007d TEnumerator<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10973_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent> 0025 @InitializeRecord 002d TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Create 004a TEnumerable<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.GetEnumerator 0075 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.AddOrSetValue 007d TEnumerator<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_40115_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<IdContext.TIdContext,IPPeerAPI.IIPContext> 0025 @InitializeRecord 002d TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Create 004a TEnumerable<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.GetEnumerator 0075 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.AddOrSetValue 007d TEnumerator<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_88316_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0025 @InitializeRecord 002d TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Create 004a TEnumerable<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.GetEnumerator 0075 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.AddOrSetValue 007d TEnumerator<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_55088_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.IInterface,System.Pointer> 0025 @InitializeRecord 002d TDictionary<System.IInterface,System.Pointer>.Create 004a TEnumerable<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0075 TDictionary<System.IInterface,System.Pointer>.AddOrSetValue 007d TEnumerator<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_57225_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.IInterface,System.Pointer> 0025 @InitializeRecord 002d TDictionary<System.IInterface,System.Pointer>.Create 004a TEnumerable<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0075 TDictionary<System.IInterface,System.Pointer>.AddOrSetValue 007d TEnumerator<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_50947_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.IInterface,System.Pointer> 0025 @InitializeRecord 002d TDictionary<System.IInterface,System.Pointer>.Create 004a TEnumerable<SyncController.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0075 TDictionary<System.IInterface,System.Pointer>.AddOrSetValue 007d TEnumerator<SyncController.TPair<System.IInterface,System.Pointer>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_51996_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.IInterface,System.Pointer> 0025 @InitializeRecord 002d TDictionary<System.IInterface,System.Pointer>.Create 004a TEnumerable<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0075 TDictionary<System.IInterface,System.Pointer>.AddOrSetValue 007d TEnumerator<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_53098_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.IInterface,System.Pointer> 0025 @InitializeRecord 002d TDictionary<System.IInterface,System.Pointer>.Create 004a TEnumerable<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0075 TDictionary<System.IInterface,System.Pointer>.AddOrSetValue 007d TEnumerator<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_61624_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.IInterface,System.Pointer> 0025 @InitializeRecord 002d TDictionary<System.IInterface,System.Pointer>.Create 004a TEnumerable<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0075 TDictionary<System.IInterface,System.Pointer>.AddOrSetValue 007d TEnumerator<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_53933_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.TObject,System.string> 0025 @InitializeRecord 002d TDictionary<System.TObject,System.string>.Create 004a TEnumerable<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.GetEnumerator 0075 TDictionary<System.TObject,System.string>.AddOrSetValue 007d TEnumerator<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_53460_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.TObject,System.string> 0025 @InitializeRecord 002d TDictionary<System.TObject,System.string>.Create 004a TEnumerable<System.Bindings.Expression.TPair<System.TObject,System.string>>.GetEnumerator 0075 TDictionary<System.TObject,System.string>.AddOrSetValue 007d TEnumerator<System.Bindings.Expression.TPair<System.TObject,System.string>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_67695_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.TypInfo.PTypeInfo,System.string> 0025 @InitializeRecord 002d TDictionary<System.TypInfo.PTypeInfo,System.string>.Create 004a TEnumerable<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.GetEnumerator 0075 TDictionary<System.TypInfo.PTypeInfo,System.string>.AddOrSetValue 007d TEnumerator<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_29266_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,DSAzureTableDialog.TAzureTableColumn> 0025 @InitializeRecord 002d TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Create 004a TEnumerable<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.GetEnumerator 0075 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.AddOrSetValue 007d TEnumerator<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17884_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0025 @InitializeRecord 002d TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create 004a TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetEnumerator 0075 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.AddOrSetValue 007d TEnumerator<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9809_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0025 @InitializeRecord 002d TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create 004a TEnumerable<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetEnumerator 0075 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.AddOrSetValue 007d TEnumerator<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_23398_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0025 @InitializeRecord 002d TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create 004a TEnumerable<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetEnumerator 0075 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.AddOrSetValue 007d TEnumerator<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17956_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0025 @InitializeRecord 002d TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create 004a TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetEnumerator 0075 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.AddOrSetValue 007d TEnumerator<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10054_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0025 @InitializeRecord 002d TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create 004a TEnumerable<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetEnumerator 0075 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.AddOrSetValue 007d TEnumerator<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_23474_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0025 @InitializeRecord 002d TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create 004a TEnumerable<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetEnumerator 0075 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.AddOrSetValue 007d TEnumerator<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15734_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 004a TEnumerable<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0075 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007d TEnumerator<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_22774_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 004a TEnumerable<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0075 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007d TEnumerator<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_22348_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 004a TEnumerable<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0075 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007d TEnumerator<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_22055_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 004a TEnumerable<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0075 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007d TEnumerator<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_21763_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 004a TEnumerable<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0075 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007d TEnumerator<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_21496_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 004a TEnumerable<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0075 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007d TEnumerator<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_21209_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 004a TEnumerable<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0075 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007d TEnumerator<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_20651_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 004a TEnumerable<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0075 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007d TEnumerator<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_20221_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 004a TEnumerable<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0075 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007d TEnumerator<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_19939_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 004a TEnumerable<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0075 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007d TEnumerator<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_19651_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 004a TEnumerable<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0075 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007d TEnumerator<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_19356_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 004a TEnumerable<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0075 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue 007d TEnumerator<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17228_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Create 004a TEnumerable<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.GetEnumerator 0075 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.AddOrSetValue 007d TEnumerator<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17808_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Create 004a TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.GetEnumerator 0075 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.AddOrSetValue 007d TEnumerator<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_24428_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSService.TDBXRequestFilter> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Create 004a TEnumerable<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.GetEnumerator 0075 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.AddOrSetValue 007d TEnumerator<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11196_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSService.TDSSession> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSService.TDSSession>.Create 004a TEnumerable<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator 0075 TDictionary<System.string,Datasnap.DSService.TDSSession>.AddOrSetValue 007d TEnumerator<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18638_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSService.TDSSession> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSService.TDSSession>.Create 004a TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator 0075 TDictionary<System.string,Datasnap.DSService.TDSSession>.AddOrSetValue 007d TEnumerator<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_25522_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSService.TDSSession> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSService.TDSSession>.Create 004a TEnumerable<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator 0075 TDictionary<System.string,Datasnap.DSService.TDSSession>.AddOrSetValue 007d TEnumerator<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_24803_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Datasnap.DSService.TDSSession> 0025 @InitializeRecord 002d TDictionary<System.string,Datasnap.DSService.TDSSession>.Create 004a TEnumerable<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator 0075 TDictionary<System.string,Datasnap.DSService.TDSSession>.AddOrSetValue 007d TEnumerator<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_31191_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,IBIntf.IGDSLibrary> 0025 @InitializeRecord 002d TDictionary<System.string,IBIntf.IGDSLibrary>.Create 004a TEnumerable<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.GetEnumerator 0075 TDictionary<System.string,IBIntf.IGDSLibrary>.AddOrSetValue 007d TEnumerator<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_53531_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Bindings.Expression.TBindingExpression> 0025 @InitializeRecord 002d TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Create 004a TEnumerable<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.GetEnumerator 0075 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.AddOrSetValue 007d TEnumerator<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_59962_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 0025 @InitializeRecord 002d TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create 004a TEnumerable<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.GetEnumerator 0075 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.AddOrSetValue 007d TEnumerator<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15658_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Classes.TStream> 0025 @InitializeRecord 002d TDictionary<System.string,System.Classes.TStream>.Create 004a TEnumerable<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.GetEnumerator 0075 TDictionary<System.string,System.Classes.TStream>.AddOrSetValue 007d TEnumerator<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_23546_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Classes.TStrings> 0025 @InitializeRecord 002d TDictionary<System.string,System.Classes.TStrings>.Create 004a TEnumerable<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.GetEnumerator 0075 TDictionary<System.string,System.Classes.TStrings>.AddOrSetValue 007d TEnumerator<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_42605_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>> 0025 @InitializeRecord 002d TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Create 004a TEnumerable<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.GetEnumerator 0075 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.AddOrSetValue 007d TEnumerator<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_52446_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.IInterface> 0025 @InitializeRecord 002d TDictionary<System.string,System.IInterface>.Create 004a TEnumerable<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.GetEnumerator 0075 TDictionary<System.string,System.IInterface>.AddOrSetValue 007d TEnumerator<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_51636_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.IInterface> 0025 @InitializeRecord 002d TDictionary<System.string,System.IInterface>.Create 004a TEnumerable<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.GetEnumerator 0075 TDictionary<System.string,System.IInterface>.AddOrSetValue 007d TEnumerator<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_54004_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.IInterface> 0025 @InitializeRecord 002d TDictionary<System.string,System.IInterface>.Create 004a TEnumerable<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.GetEnumerator 0075 TDictionary<System.string,System.IInterface>.AddOrSetValue 007d TEnumerator<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_56763_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.IInterface> 0025 @InitializeRecord 002d TDictionary<System.string,System.IInterface>.Create 004a TEnumerable<System.Bindings.Helper.TPair<System.string,System.IInterface>>.GetEnumerator 0075 TDictionary<System.string,System.IInterface>.AddOrSetValue 007d TEnumerator<System.Bindings.Helper.TPair<System.string,System.IInterface>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_58971_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.IInterface> 0025 @InitializeRecord 002d TDictionary<System.string,System.IInterface>.Create 004a TEnumerable<System.Bindings.Methods.TPair<System.string,System.IInterface>>.GetEnumerator 0075 TDictionary<System.string,System.IInterface>.AddOrSetValue 007d TEnumerator<System.Bindings.Methods.TPair<System.string,System.IInterface>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_59575_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.IInterface> 0025 @InitializeRecord 002d TDictionary<System.string,System.IInterface>.Create 004a TEnumerable<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.GetEnumerator 0075 TDictionary<System.string,System.IInterface>.AddOrSetValue 007d TEnumerator<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_60551_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.IInterface> 0025 @InitializeRecord 002d TDictionary<System.string,System.IInterface>.Create 004a TEnumerable<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.GetEnumerator 0075 TDictionary<System.string,System.IInterface>.AddOrSetValue 007d TEnumerator<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_55230_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Integer> 0025 @InitializeRecord 002d TDictionary<System.string,System.Integer>.Create 004a TEnumerable<System.Bindings.Graph.TPair<System.string,System.Integer>>.GetEnumerator 0075 TDictionary<System.string,System.Integer>.AddOrSetValue 007d TEnumerator<System.Bindings.Graph.TPair<System.string,System.Integer>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_57296_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Integer> 0025 @InitializeRecord 002d TDictionary<System.string,System.Integer>.Create 004a TEnumerable<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.GetEnumerator 0075 TDictionary<System.string,System.Integer>.AddOrSetValue 007d TEnumerator<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_22698_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Masks.TMask> 0025 @InitializeRecord 002d TDictionary<System.string,System.Masks.TMask>.Create 004a TEnumerable<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.GetEnumerator 0075 TDictionary<System.string,System.Masks.TMask>.AddOrSetValue 007d TEnumerator<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_24736_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.TObject> 0025 @InitializeRecord 002d TDictionary<System.string,System.TObject>.Create 004a TEnumerable<Datasnap.DSService.TPair<System.string,System.TObject>>.GetEnumerator 0075 TDictionary<System.string,System.TObject>.AddOrSetValue 007d TEnumerator<Datasnap.DSService.TPair<System.string,System.TObject>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9987_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.TObject> 0025 @InitializeRecord 002d TDictionary<System.string,System.TObject>.Create 004a TEnumerable<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.GetEnumerator 0075 TDictionary<System.string,System.TObject>.AddOrSetValue 007d TEnumerator<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_67766_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.TypInfo.PTypeInfo> 0025 @InitializeRecord 002d TDictionary<System.string,System.TypInfo.PTypeInfo>.Create 004a TEnumerable<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.GetEnumerator 0075 TDictionary<System.string,System.TypInfo.PTypeInfo>.AddOrSetValue 007d TEnumerator<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_96277_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 004a TEnumerable<Web.WebFileDispatcher.TPair<System.string,System.string>>.GetEnumerator 0075 TDictionary<System.string,System.string>.AddOrSetValue 007d TEnumerator<Web.WebFileDispatcher.TPair<System.string,System.string>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_42676_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 004a TEnumerable<IPPeerAPI.TPair<System.string,System.string>>.GetEnumerator 0075 TDictionary<System.string,System.string>.AddOrSetValue 007d TEnumerator<IPPeerAPI.TPair<System.string,System.string>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_40048_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 004a TEnumerable<IndyPeerImpl.TPair<System.string,System.string>>.GetEnumerator 0075 TDictionary<System.string,System.string>.AddOrSetValue 007d TEnumerator<IndyPeerImpl.TPair<System.string,System.string>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_28474_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 004a TEnumerable<DSAzureBlob.TPair<System.string,System.string>>.GetEnumerator 0075 TDictionary<System.string,System.string>.AddOrSetValue 007d TEnumerator<DSAzureBlob.TPair<System.string,System.string>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_27860_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 004a TEnumerable<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.GetEnumerator 0075 TDictionary<System.string,System.string>.AddOrSetValue 007d TEnumerator<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_27659_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 004a TEnumerable<DSAzDlgPutBlockList.TPair<System.string,System.string>>.GetEnumerator 0075 TDictionary<System.string,System.string>.AddOrSetValue 007d TEnumerator<DSAzDlgPutBlockList.TPair<System.string,System.string>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_27442_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 004a TEnumerable<DSAzDlgPageBlob.TPair<System.string,System.string>>.GetEnumerator 0075 TDictionary<System.string,System.string>.AddOrSetValue 007d TEnumerator<DSAzDlgPageBlob.TPair<System.string,System.string>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_27210_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 004a TEnumerable<DSAzDlgCreateContainer.TPair<System.string,System.string>>.GetEnumerator 0075 TDictionary<System.string,System.string>.AddOrSetValue 007d TEnumerator<DSAzDlgCreateContainer.TPair<System.string,System.string>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_27006_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 004a TEnumerable<DSAzDlgCopyBlob.TPair<System.string,System.string>>.GetEnumerator 0075 TDictionary<System.string,System.string>.AddOrSetValue 007d TEnumerator<DSAzDlgCopyBlob.TPair<System.string,System.string>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_26782_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 004a TEnumerable<DSAzDlgBlockBlob.TPair<System.string,System.string>>.GetEnumerator 0075 TDictionary<System.string,System.string>.AddOrSetValue 007d TEnumerator<DSAzDlgBlockBlob.TPair<System.string,System.string>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_24673_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 004a TEnumerable<Datasnap.DSService.TPair<System.string,System.string>>.GetEnumerator 0075 TDictionary<System.string,System.string>.AddOrSetValue 007d TEnumerator<Datasnap.DSService.TPair<System.string,System.string>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_20979_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 004a TEnumerable<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.GetEnumerator 0075 TDictionary<System.string,System.string>.AddOrSetValue 007d TEnumerator<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_20584_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 004a TEnumerable<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.GetEnumerator 0075 TDictionary<System.string,System.string>.AddOrSetValue 007d TEnumerator<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_19001_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 004a TEnumerable<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.GetEnumerator 0075 TDictionary<System.string,System.string>.AddOrSetValue 007d TEnumerator<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16324_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.string> 0025 @InitializeRecord 002d TDictionary<System.string,System.string>.Create 004a TEnumerable<Datasnap.DSClientRest.TPair<System.string,System.string>>.GetEnumerator 0075 TDictionary<System.string,System.string>.AddOrSetValue 007d TEnumerator<Datasnap.DSClientRest.TPair<System.string,System.string>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F8 8B 45 EC 8B 08 FF 11 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_2205_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.Integer,System.Classes.IObserver>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80507_0 {
	meta:
		name = "TBitmap.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TBitmap.FreeContext 0016 TSharedImage.Release 001e TObject.Free 0029 TPersistent.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2919_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10974_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40116_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60332_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52514_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55159_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57760_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55025_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54807_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60039_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86224_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88317_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61625_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.IInterface,System.Pointer>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24607_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9742_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.Integer,System.Integer>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67434_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.Pointer,System.Rtti.TRttiObject>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54460_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87438_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42535_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.TGUID,System.TClass>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54949_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55294_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57578_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57368_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53934_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.TObject,System.string>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67696_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.TypInfo.PTypeInfo,System.string>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63457_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71559_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29267_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7819_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,Data.DBXCommon.TEventPointer>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9810_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10055_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21210_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17229_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17809_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24429_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18639_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,Datasnap.DSService.TDSSession>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31192_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,IBIntf.IGDSLibrary>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53532_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58901_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59963_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64717_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,System.Boolean>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15659_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,System.Classes.TStream>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23547_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,System.Classes.TStrings>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42606_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60158_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51637_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,System.IInterface>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57511_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,System.Int64>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57297_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,System.Integer>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22699_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,System.Masks.TMask>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24737_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,System.TObject>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67767_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,System.TypInfo.PTypeInfo>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49934_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,System.Variant>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26783_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,System.string>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87510_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88789_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Clear 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2206_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.Add"
		size = 99
		refs = "0016 TDictionary<System.Integer,System.Classes.IObserver>.Grow 001f TDictionary<System.Integer,System.Classes.IObserver>.Hash 002c TDictionary<System.Integer,System.Classes.IObserver>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.Integer,System.Classes.IObserver>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2920_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Add"
		size = 99
		refs = "0016 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Grow 001f TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Hash 002c TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10975_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Add"
		size = 99
		refs = "0016 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Grow 001f TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Hash 002c TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40117_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Add"
		size = 99
		refs = "0016 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Grow 001f TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Hash 002c TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51021_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Add"
		size = 99
		refs = "0016 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Grow 001f TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Hash 002c TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55160_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Add"
		size = 99
		refs = "0016 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Grow 001f TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Hash 002c TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57761_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Add"
		size = 99
		refs = "0016 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Grow 001f TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Hash 002c TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54808_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Add"
		size = 99
		refs = "0016 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Grow 001f TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Hash 002c TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86225_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Add"
		size = 99
		refs = "0016 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Grow 001f TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Hash 002c TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88318_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Add"
		size = 99
		refs = "0016 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Grow 001f TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Hash 002c TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57227_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.Add"
		size = 99
		refs = "0016 TDictionary<System.IInterface,System.Pointer>.Grow 001f TDictionary<System.IInterface,System.Pointer>.Hash 002c TDictionary<System.IInterface,System.Pointer>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.IInterface,System.Pointer>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24608_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Add"
		size = 99
		refs = "0016 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Grow 001f TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Hash 002c TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9743_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.Add"
		size = 99
		refs = "0016 TDictionary<System.Integer,System.Integer>.Grow 001f TDictionary<System.Integer,System.Integer>.Hash 002c TDictionary<System.Integer,System.Integer>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.Integer,System.Integer>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67435_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.Add"
		size = 99
		refs = "0016 TDictionary<System.Pointer,System.Rtti.TRttiObject>.Grow 001f TDictionary<System.Pointer,System.Rtti.TRttiObject>.Hash 002c TDictionary<System.Pointer,System.Rtti.TRttiObject>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.Pointer,System.Rtti.TRttiObject>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54461_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Add"
		size = 99
		refs = "0016 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Grow 001f TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Hash 002c TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87439_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Add"
		size = 99
		refs = "0016 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Grow 001f TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Hash 002c TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54950_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Add"
		size = 99
		refs = "0016 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Grow 001f TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Hash 002c TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55295_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Add"
		size = 99
		refs = "0016 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Grow 001f TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Hash 002c TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57579_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Add"
		size = 99
		refs = "0016 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Grow 001f TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Hash 002c TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57369_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Add"
		size = 99
		refs = "0016 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Grow 001f TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Hash 002c TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53462_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.Add"
		size = 99
		refs = "0016 TDictionary<System.TObject,System.string>.Grow 001f TDictionary<System.TObject,System.string>.Hash 002c TDictionary<System.TObject,System.string>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.TObject,System.string>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67697_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.Add"
		size = 99
		refs = "0016 TDictionary<System.TypInfo.PTypeInfo,System.string>.Grow 001f TDictionary<System.TypInfo.PTypeInfo,System.string>.Hash 002c TDictionary<System.TypInfo.PTypeInfo,System.string>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.TypInfo.PTypeInfo,System.string>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63458_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Add"
		size = 99
		refs = "0016 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Grow 001f TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Hash 002c TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29268_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Grow 001f TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Hash 002c TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23400_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Grow 001f TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Hash 002c TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23476_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Grow 001f TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Hash 002c TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20653_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Grow 001f TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Hash 002c TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17230_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Grow 001f TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Hash 002c TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17810_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Grow 001f TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Hash 002c TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24430_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Grow 001f TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Hash 002c TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11198_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,Datasnap.DSService.TDSSession>.Grow 001f TDictionary<System.string,Datasnap.DSService.TDSSession>.Hash 002c TDictionary<System.string,Datasnap.DSService.TDSSession>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,Datasnap.DSService.TDSSession>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31193_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,IBIntf.IGDSLibrary>.Grow 001f TDictionary<System.string,IBIntf.IGDSLibrary>.Hash 002c TDictionary<System.string,IBIntf.IGDSLibrary>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,IBIntf.IGDSLibrary>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53533_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Grow 001f TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Hash 002c TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58902_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Grow 001f TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Hash 002c TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59964_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Grow 001f TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Hash 002c TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15660_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,System.Classes.TStream>.Grow 001f TDictionary<System.string,System.Classes.TStream>.Hash 002c TDictionary<System.string,System.Classes.TStream>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,System.Classes.TStream>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23548_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,System.Classes.TStrings>.Grow 001f TDictionary<System.string,System.Classes.TStrings>.Hash 002c TDictionary<System.string,System.Classes.TStrings>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,System.Classes.TStrings>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42607_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Grow 001f TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Hash 002c TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60159_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Grow 001f TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Hash 002c TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60553_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,System.IInterface>.Grow 001f TDictionary<System.string,System.IInterface>.Hash 002c TDictionary<System.string,System.IInterface>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,System.IInterface>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55232_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,System.Integer>.Grow 001f TDictionary<System.string,System.Integer>.Hash 002c TDictionary<System.string,System.Integer>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,System.Integer>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22700_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,System.Masks.TMask>.Grow 001f TDictionary<System.string,System.Masks.TMask>.Hash 002c TDictionary<System.string,System.Masks.TMask>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,System.Masks.TMask>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9989_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,System.TObject>.Grow 001f TDictionary<System.string,System.TObject>.Hash 002c TDictionary<System.string,System.TObject>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,System.TObject>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67768_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,System.TypInfo.PTypeInfo>.Grow 001f TDictionary<System.string,System.TypInfo.PTypeInfo>.Hash 002c TDictionary<System.string,System.TypInfo.PTypeInfo>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,System.TypInfo.PTypeInfo>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49935_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,System.Variant>.Grow 001f TDictionary<System.string,System.Variant>.Hash 002c TDictionary<System.string,System.Variant>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,System.Variant>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96279_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,System.string>.Grow 001f TDictionary<System.string,System.string>.Hash 002c TDictionary<System.string,System.string>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,System.string>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87511_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Add"
		size = 99
		refs = "0016 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Grow 001f TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Hash 002c TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88790_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Add"
		size = 99
		refs = "0016 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Grow 001f TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Hash 002c TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2207_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.Remove"
		size = 85
		refs = "000f TDictionary<System.Integer,System.Classes.IObserver>.Remove 0024 TDictionary<System.Integer,System.Classes.IObserver>.Hash 002f TDictionary<System.Integer,System.Classes.IObserver>.DoRemove 0044 @IntfClear 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10976_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Remove"
		size = 85
		refs = "000f TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Remove 0024 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Hash 002f TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.DoRemove 0044 @IntfClear 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40118_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Remove"
		size = 85
		refs = "000f TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Remove 0024 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Hash 002f TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.DoRemove 0044 @IntfClear 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52516_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Remove"
		size = 85
		refs = "000f TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Remove 0024 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Hash 002f TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.DoRemove 0044 @IntfClear 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88319_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Remove"
		size = 85
		refs = "000f TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Remove 0024 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Hash 002f TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.DoRemove 0044 @IntfClear 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_53463_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.Remove"
		size = 85
		refs = "000f TDictionary<System.TObject,System.string>.Remove 0024 TDictionary<System.TObject,System.string>.Hash 002f TDictionary<System.TObject,System.string>.DoRemove 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67698_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.Remove"
		size = 85
		refs = "000f TDictionary<System.TypInfo.PTypeInfo,System.string>.Remove 0024 TDictionary<System.TypInfo.PTypeInfo,System.string>.Hash 002f TDictionary<System.TypInfo.PTypeInfo,System.string>.DoRemove 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22058_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Remove"
		size = 85
		refs = "000f TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Remove 0024 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Hash 002f TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.DoRemove 0044 @IntfClear 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31194_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.Remove"
		size = 85
		refs = "000f TDictionary<System.string,IBIntf.IGDSLibrary>.Remove 0024 TDictionary<System.string,IBIntf.IGDSLibrary>.Hash 002f TDictionary<System.string,IBIntf.IGDSLibrary>.DoRemove 0044 @IntfClear 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60554_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Remove"
		size = 85
		refs = "000f TDictionary<System.string,System.IInterface>.Remove 0024 TDictionary<System.string,System.IInterface>.Hash 002f TDictionary<System.string,System.IInterface>.DoRemove 0044 @IntfClear 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96280_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Remove"
		size = 85
		refs = "000f TDictionary<System.string,System.string>.Remove 0024 TDictionary<System.string,System.string>.Hash 002f TDictionary<System.string,System.string>.DoRemove 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2208_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.ExtractPair"
		size = 141
		refs = "0019 TDictionary<System.Integer,System.Classes.IObserver>.ExtractPair 0028 TDictionary<System.Integer,System.Classes.IObserver>.Hash 0035 TDictionary<System.Integer,System.Classes.IObserver>.GetBucketIndex 0045 TPair<System.Integer,System.Classes.IObserver>.Create 0058 TDictionary<System.Integer,System.Classes.IObserver>.DoRemove 007a @IntfClear 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0E 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 F8 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10977_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.ExtractPair"
		size = 141
		refs = "0019 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.ExtractPair 0028 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Hash 0035 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.GetBucketIndex 0045 TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Create 0058 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.DoRemove 007a @IntfClear 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0E 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 F8 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40119_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.ExtractPair"
		size = 141
		refs = "0019 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.ExtractPair 0028 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Hash 0035 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.GetBucketIndex 0045 TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>.Create 0058 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.DoRemove 007a @IntfClear 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0E 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 F8 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88320_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.ExtractPair"
		size = 141
		refs = "0019 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.ExtractPair 0028 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Hash 0035 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetBucketIndex 0045 TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Create 0058 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.DoRemove 007a @IntfClear 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0E 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 F8 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53464_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.ExtractPair"
		size = 141
		refs = "0019 TDictionary<System.TObject,System.string>.ExtractPair 0028 TDictionary<System.TObject,System.string>.Hash 0035 TDictionary<System.TObject,System.string>.GetBucketIndex 0045 TPair<System.TObject,System.string>.Create 0058 TDictionary<System.TObject,System.string>.DoRemove 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0E 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 F8 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67699_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.ExtractPair"
		size = 141
		refs = "0019 TDictionary<System.TypInfo.PTypeInfo,System.string>.ExtractPair 0028 TDictionary<System.TypInfo.PTypeInfo,System.string>.Hash 0035 TDictionary<System.TypInfo.PTypeInfo,System.string>.GetBucketIndex 0045 TPair<System.TypInfo.PTypeInfo,System.string>.Create 0058 TDictionary<System.TypInfo.PTypeInfo,System.string>.DoRemove 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0E 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 F8 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_21767_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.ExtractPair"
		size = 141
		refs = "0019 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.ExtractPair 0028 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Hash 0035 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetBucketIndex 0045 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 0058 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.DoRemove 007a @IntfClear 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0E 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 F8 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31195_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.ExtractPair"
		size = 141
		refs = "0019 TDictionary<System.string,IBIntf.IGDSLibrary>.ExtractPair 0028 TDictionary<System.string,IBIntf.IGDSLibrary>.Hash 0035 TDictionary<System.string,IBIntf.IGDSLibrary>.GetBucketIndex 0045 TPair<System.string,IBIntf.IGDSLibrary>.Create 0058 TDictionary<System.string,IBIntf.IGDSLibrary>.DoRemove 007a @IntfClear 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0E 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 F8 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_60555_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.ExtractPair"
		size = 141
		refs = "0019 TDictionary<System.string,System.IInterface>.ExtractPair 0028 TDictionary<System.string,System.IInterface>.Hash 0035 TDictionary<System.string,System.IInterface>.GetBucketIndex 0045 TPair<System.string,System.IInterface>.Create 0058 TDictionary<System.string,System.IInterface>.DoRemove 007a @IntfClear 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0E 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 F8 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27010_0 {
	meta:
		name = "TDictionary<System.string,System.string>.ExtractPair"
		size = 141
		refs = "0019 TDictionary<System.string,System.string>.ExtractPair 0028 TDictionary<System.string,System.string>.Hash 0035 TDictionary<System.string,System.string>.GetBucketIndex 0045 TPair<System.string,System.string>.Create 0058 TDictionary<System.string,System.string>.DoRemove 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0E 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 F8 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2209_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.Clear"
		size = 207
		refs = "0014 TDictionary<System.Integer,System.Classes.IObserver>.Clear 0026 TDictionary<System.Integer,System.Classes.IObserver>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.Integer,System.Classes.IObserver>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2923_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Clear"
		size = 207
		refs = "0014 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Clear 0026 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10978_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Clear"
		size = 207
		refs = "0014 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Clear 0026 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40120_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Clear"
		size = 207
		refs = "0014 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Clear 0026 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_55163_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Clear"
		size = 207
		refs = "0014 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Clear 0026 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_57764_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Clear"
		size = 207
		refs = "0014 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Clear 0026 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_57448_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Clear"
		size = 207
		refs = "0014 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Clear 0026 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_86228_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Clear"
		size = 207
		refs = "0014 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Clear 0026 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88321_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Clear"
		size = 207
		refs = "0014 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Clear 0026 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_57230_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.Clear"
		size = 207
		refs = "0014 TDictionary<System.IInterface,System.Pointer>.Clear 0026 TDictionary<System.IInterface,System.Pointer>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.IInterface,System.Pointer>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24611_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Clear"
		size = 207
		refs = "0014 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Clear 0026 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9746_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.Clear"
		size = 207
		refs = "0014 TDictionary<System.Integer,System.Integer>.Clear 0026 TDictionary<System.Integer,System.Integer>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.Integer,System.Integer>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67438_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.Clear"
		size = 207
		refs = "0014 TDictionary<System.Pointer,System.Rtti.TRttiObject>.Clear 0026 TDictionary<System.Pointer,System.Rtti.TRttiObject>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.Pointer,System.Rtti.TRttiObject>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_54464_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Clear"
		size = 207
		refs = "0014 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Clear 0026 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_87442_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Clear"
		size = 207
		refs = "0014 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Clear 0026 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_54953_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Clear"
		size = 207
		refs = "0014 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Clear 0026 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_55298_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Clear"
		size = 207
		refs = "0014 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Clear 0026 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_57582_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Clear"
		size = 207
		refs = "0014 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Clear 0026 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_57372_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Clear"
		size = 207
		refs = "0014 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Clear 0026 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53465_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.Clear"
		size = 207
		refs = "0014 TDictionary<System.TObject,System.string>.Clear 0026 TDictionary<System.TObject,System.string>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.TObject,System.string>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67700_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.Clear"
		size = 207
		refs = "0014 TDictionary<System.TypInfo.PTypeInfo,System.string>.Clear 0026 TDictionary<System.TypInfo.PTypeInfo,System.string>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.TypInfo.PTypeInfo,System.string>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29271_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Clear 0026 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23403_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Clear 0026 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10059_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Clear 0026 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15739_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Clear 0026 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17233_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Clear 0026 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17813_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Clear 0026 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24433_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Clear 0026 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25527_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,Datasnap.DSService.TDSSession>.Clear 0026 TDictionary<System.string,Datasnap.DSService.TDSSession>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,Datasnap.DSService.TDSSession>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31196_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,IBIntf.IGDSLibrary>.Clear 0026 TDictionary<System.string,IBIntf.IGDSLibrary>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,IBIntf.IGDSLibrary>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53536_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Clear 0026 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59967_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Clear 0026 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15663_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,System.Classes.TStream>.Clear 0026 TDictionary<System.string,System.Classes.TStream>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,System.Classes.TStream>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23551_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,System.Classes.TStrings>.Clear 0026 TDictionary<System.string,System.Classes.TStrings>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,System.Classes.TStrings>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42610_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Clear 0026 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_54009_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,System.IInterface>.Clear 0026 TDictionary<System.string,System.IInterface>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,System.IInterface>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_55235_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,System.Integer>.Clear 0026 TDictionary<System.string,System.Integer>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,System.Integer>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22703_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,System.Masks.TMask>.Clear 0026 TDictionary<System.string,System.Masks.TMask>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,System.Masks.TMask>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24741_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,System.TObject>.Clear 0026 TDictionary<System.string,System.TObject>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,System.TObject>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67771_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,System.TypInfo.PTypeInfo>.Clear 0026 TDictionary<System.string,System.TypInfo.PTypeInfo>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,System.TypInfo.PTypeInfo>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96282_0 {
	meta:
		name = "TDictionary<System.string,System.string>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,System.string>.Clear 0026 TDictionary<System.string,System.string>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,System.string>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88793_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Clear"
		size = 207
		refs = "0014 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Clear 0026 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 26 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2210_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.Integer,System.Classes.IObserver>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2924_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10979_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40121_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60337_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52519_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55164_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57765_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60625_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57449_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60044_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86229_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88322_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55094_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.IInterface,System.Pointer>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24612_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9747_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.Integer,System.Integer>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67439_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.Pointer,System.Rtti.TRttiObject>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54465_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87443_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42540_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.TGUID,System.TClass>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54954_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55299_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57583_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57373_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53939_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.TObject,System.string>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67701_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.TypInfo.PTypeInfo,System.string>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63462_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71564_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29272_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7824_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,Data.DBXCommon.TEventPointer>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9815_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10060_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20227_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17234_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17814_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24434_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18644_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,Datasnap.DSService.TDSSession>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31197_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,IBIntf.IGDSLibrary>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53537_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58906_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59968_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64722_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,System.Boolean>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15664_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,System.Classes.TStream>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23552_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,System.Classes.TStrings>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42611_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60163_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56769_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,System.IInterface>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57516_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,System.Int64>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55236_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,System.Integer>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22704_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,System.Masks.TMask>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24742_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,System.TObject>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67772_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,System.TypInfo.PTypeInfo>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49939_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,System.Variant>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26788_0 {
	meta:
		name = "TDictionary<System.string,System.string>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,System.string>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87515_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88794_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TrimExcess"
		size = 10
		refs = "0005 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.SetCapacity"
	strings:
		$1 = { 8B 50 08 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2211_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.TryGetValue"
		size = 91
		refs = "001a TDictionary<System.Integer,System.Classes.IObserver>.Hash 0025 TDictionary<System.Integer,System.Classes.IObserver>.GetBucketIndex 0044 @IntfCopy 004d @IntfClear"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 9D 45 FF 80 7D FF 00 74 13 8B C7 8D 14 76 8B 4B 04 8B 54 91 08 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10980_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TryGetValue"
		size = 91
		refs = "001a TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Hash 0025 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.GetBucketIndex 0044 @IntfCopy 004d @IntfClear"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 9D 45 FF 80 7D FF 00 74 13 8B C7 8D 14 76 8B 4B 04 8B 54 91 08 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40122_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TryGetValue"
		size = 91
		refs = "001a TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Hash 0025 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.GetBucketIndex 0044 @IntfCopy 004d @IntfClear"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 9D 45 FF 80 7D FF 00 74 13 8B C7 8D 14 76 8B 4B 04 8B 54 91 08 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88323_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TryGetValue"
		size = 91
		refs = "001a TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Hash 0025 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetBucketIndex 0044 @IntfCopy 004d @IntfClear"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 9D 45 FF 80 7D FF 00 74 13 8B C7 8D 14 76 8B 4B 04 8B 54 91 08 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_53467_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.TryGetValue"
		size = 91
		refs = "001a TDictionary<System.TObject,System.string>.Hash 0025 TDictionary<System.TObject,System.string>.GetBucketIndex 0044 @UStrAsg 004d @UStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 9D 45 FF 80 7D FF 00 74 13 8B C7 8D 14 76 8B 4B 04 8B 54 91 08 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67702_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.TryGetValue"
		size = 91
		refs = "001a TDictionary<System.TypInfo.PTypeInfo,System.string>.Hash 0025 TDictionary<System.TypInfo.PTypeInfo,System.string>.GetBucketIndex 0044 @UStrAsg 004d @UStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 9D 45 FF 80 7D FF 00 74 13 8B C7 8D 14 76 8B 4B 04 8B 54 91 08 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22062_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TryGetValue"
		size = 91
		refs = "001a TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Hash 0025 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetBucketIndex 0044 @IntfCopy 004d @IntfClear"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 9D 45 FF 80 7D FF 00 74 13 8B C7 8D 14 76 8B 4B 04 8B 54 91 08 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31198_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.TryGetValue"
		size = 91
		refs = "001a TDictionary<System.string,IBIntf.IGDSLibrary>.Hash 0025 TDictionary<System.string,IBIntf.IGDSLibrary>.GetBucketIndex 0044 @IntfCopy 004d @IntfClear"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 9D 45 FF 80 7D FF 00 74 13 8B C7 8D 14 76 8B 4B 04 8B 54 91 08 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56770_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.TryGetValue"
		size = 91
		refs = "001a TDictionary<System.string,System.IInterface>.Hash 0025 TDictionary<System.string,System.IInterface>.GetBucketIndex 0044 @IntfCopy 004d @IntfClear"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 9D 45 FF 80 7D FF 00 74 13 8B C7 8D 14 76 8B 4B 04 8B 54 91 08 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96284_0 {
	meta:
		name = "TDictionary<System.string,System.string>.TryGetValue"
		size = 91
		refs = "001a TDictionary<System.string,System.string>.Hash 0025 TDictionary<System.string,System.string>.GetBucketIndex 0044 @UStrAsg 004d @UStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 9D 45 FF 80 7D FF 00 74 13 8B C7 8D 14 76 8B 4B 04 8B 54 91 08 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2212_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.Integer,System.Classes.IObserver>.Grow 001f TDictionary<System.Integer,System.Classes.IObserver>.Hash 002c TDictionary<System.Integer,System.Classes.IObserver>.GetBucketIndex 003c TDictionary<System.Integer,System.Classes.IObserver>.DoSetValue 0051 TDictionary<System.Integer,System.Classes.IObserver>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2926_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Grow 001f TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Hash 002c TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.GetBucketIndex 003c TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.DoSetValue 0051 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10981_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Grow 001f TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Hash 002c TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.GetBucketIndex 003c TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.DoSetValue 0051 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40123_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Grow 001f TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Hash 002c TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.GetBucketIndex 003c TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.DoSetValue 0051 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51027_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Grow 001f TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Hash 002c TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.GetBucketIndex 003c TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.DoSetValue 0051 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55166_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Grow 001f TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Hash 002c TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetBucketIndex 003c TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.DoSetValue 0051 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57767_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Grow 001f TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Hash 002c TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetBucketIndex 003c TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.DoSetValue 0051 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54814_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Grow 001f TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Hash 002c TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.GetBucketIndex 003c TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.DoSetValue 0051 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86231_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Grow 001f TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Hash 002c TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.GetBucketIndex 003c TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.DoSetValue 0051 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88324_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Grow 001f TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Hash 002c TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetBucketIndex 003c TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.DoSetValue 0051 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57233_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.IInterface,System.Pointer>.Grow 001f TDictionary<System.IInterface,System.Pointer>.Hash 002c TDictionary<System.IInterface,System.Pointer>.GetBucketIndex 003c TDictionary<System.IInterface,System.Pointer>.DoSetValue 0051 TDictionary<System.IInterface,System.Pointer>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24614_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Grow 001f TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Hash 002c TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.GetBucketIndex 003c TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.DoSetValue 0051 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9749_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.Integer,System.Integer>.Grow 001f TDictionary<System.Integer,System.Integer>.Hash 002c TDictionary<System.Integer,System.Integer>.GetBucketIndex 003c TDictionary<System.Integer,System.Integer>.DoSetValue 0051 TDictionary<System.Integer,System.Integer>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67441_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.Pointer,System.Rtti.TRttiObject>.Grow 001f TDictionary<System.Pointer,System.Rtti.TRttiObject>.Hash 002c TDictionary<System.Pointer,System.Rtti.TRttiObject>.GetBucketIndex 003c TDictionary<System.Pointer,System.Rtti.TRttiObject>.DoSetValue 0051 TDictionary<System.Pointer,System.Rtti.TRttiObject>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54467_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Grow 001f TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Hash 002c TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.GetBucketIndex 003c TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.DoSetValue 0051 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87445_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Grow 001f TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Hash 002c TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.GetBucketIndex 003c TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.DoSetValue 0051 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54956_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Grow 001f TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Hash 002c TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetBucketIndex 003c TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.DoSetValue 0051 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55301_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Grow 001f TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Hash 002c TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetBucketIndex 003c TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.DoSetValue 0051 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57585_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Grow 001f TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Hash 002c TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetBucketIndex 003c TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.DoSetValue 0051 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57375_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Grow 001f TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Hash 002c TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetBucketIndex 003c TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.DoSetValue 0051 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53468_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.TObject,System.string>.Grow 001f TDictionary<System.TObject,System.string>.Hash 002c TDictionary<System.TObject,System.string>.GetBucketIndex 003c TDictionary<System.TObject,System.string>.DoSetValue 0051 TDictionary<System.TObject,System.string>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67703_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.TypInfo.PTypeInfo,System.string>.Grow 001f TDictionary<System.TypInfo.PTypeInfo,System.string>.Hash 002c TDictionary<System.TypInfo.PTypeInfo,System.string>.GetBucketIndex 003c TDictionary<System.TypInfo.PTypeInfo,System.string>.DoSetValue 0051 TDictionary<System.TypInfo.PTypeInfo,System.string>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63464_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Grow 001f TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Hash 002c TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetBucketIndex 003c TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.DoSetValue 0051 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29274_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Grow 001f TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Hash 002c TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.GetBucketIndex 003c TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.DoSetValue 0051 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23406_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Grow 001f TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Hash 002c TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.GetBucketIndex 003c TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.DoSetValue 0051 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23482_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Grow 001f TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Hash 002c TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.GetBucketIndex 003c TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.DoSetValue 0051 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20659_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Grow 001f TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Hash 002c TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetBucketIndex 003c TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.DoSetValue 0051 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17236_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Grow 001f TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Hash 002c TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.GetBucketIndex 003c TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.DoSetValue 0051 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17816_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Grow 001f TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Hash 002c TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.GetBucketIndex 003c TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.DoSetValue 0051 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24436_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Grow 001f TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Hash 002c TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.GetBucketIndex 003c TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.DoSetValue 0051 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11204_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,Datasnap.DSService.TDSSession>.Grow 001f TDictionary<System.string,Datasnap.DSService.TDSSession>.Hash 002c TDictionary<System.string,Datasnap.DSService.TDSSession>.GetBucketIndex 003c TDictionary<System.string,Datasnap.DSService.TDSSession>.DoSetValue 0051 TDictionary<System.string,Datasnap.DSService.TDSSession>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31199_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,IBIntf.IGDSLibrary>.Grow 001f TDictionary<System.string,IBIntf.IGDSLibrary>.Hash 002c TDictionary<System.string,IBIntf.IGDSLibrary>.GetBucketIndex 003c TDictionary<System.string,IBIntf.IGDSLibrary>.DoSetValue 0051 TDictionary<System.string,IBIntf.IGDSLibrary>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53539_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Grow 001f TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Hash 002c TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.GetBucketIndex 003c TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.DoSetValue 0051 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58908_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Grow 001f TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Hash 002c TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.GetBucketIndex 003c TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.DoSetValue 0051 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59970_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Grow 001f TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Hash 002c TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetBucketIndex 003c TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.DoSetValue 0051 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15666_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,System.Classes.TStream>.Grow 001f TDictionary<System.string,System.Classes.TStream>.Hash 002c TDictionary<System.string,System.Classes.TStream>.GetBucketIndex 003c TDictionary<System.string,System.Classes.TStream>.DoSetValue 0051 TDictionary<System.string,System.Classes.TStream>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23554_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,System.Classes.TStrings>.Grow 001f TDictionary<System.string,System.Classes.TStrings>.Hash 002c TDictionary<System.string,System.Classes.TStrings>.GetBucketIndex 003c TDictionary<System.string,System.Classes.TStrings>.DoSetValue 0051 TDictionary<System.string,System.Classes.TStrings>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42613_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Grow 001f TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Hash 002c TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.GetBucketIndex 003c TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.DoSetValue 0051 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60165_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Grow 001f TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Hash 002c TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetBucketIndex 003c TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.DoSetValue 0051 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60559_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,System.IInterface>.Grow 001f TDictionary<System.string,System.IInterface>.Hash 002c TDictionary<System.string,System.IInterface>.GetBucketIndex 003c TDictionary<System.string,System.IInterface>.DoSetValue 0051 TDictionary<System.string,System.IInterface>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55238_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,System.Integer>.Grow 001f TDictionary<System.string,System.Integer>.Hash 002c TDictionary<System.string,System.Integer>.GetBucketIndex 003c TDictionary<System.string,System.Integer>.DoSetValue 0051 TDictionary<System.string,System.Integer>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22706_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,System.Masks.TMask>.Grow 001f TDictionary<System.string,System.Masks.TMask>.Hash 002c TDictionary<System.string,System.Masks.TMask>.GetBucketIndex 003c TDictionary<System.string,System.Masks.TMask>.DoSetValue 0051 TDictionary<System.string,System.Masks.TMask>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9995_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,System.TObject>.Grow 001f TDictionary<System.string,System.TObject>.Hash 002c TDictionary<System.string,System.TObject>.GetBucketIndex 003c TDictionary<System.string,System.TObject>.DoSetValue 0051 TDictionary<System.string,System.TObject>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67774_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,System.TypInfo.PTypeInfo>.Grow 001f TDictionary<System.string,System.TypInfo.PTypeInfo>.Hash 002c TDictionary<System.string,System.TypInfo.PTypeInfo>.GetBucketIndex 003c TDictionary<System.string,System.TypInfo.PTypeInfo>.DoSetValue 0051 TDictionary<System.string,System.TypInfo.PTypeInfo>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49941_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,System.Variant>.Grow 001f TDictionary<System.string,System.Variant>.Hash 002c TDictionary<System.string,System.Variant>.GetBucketIndex 003c TDictionary<System.string,System.Variant>.DoSetValue 0051 TDictionary<System.string,System.Variant>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96285_0 {
	meta:
		name = "TDictionary<System.string,System.string>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,System.string>.Grow 001f TDictionary<System.string,System.string>.Hash 002c TDictionary<System.string,System.string>.GetBucketIndex 003c TDictionary<System.string,System.string>.DoSetValue 0051 TDictionary<System.string,System.string>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87517_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Grow 001f TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Hash 002c TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.GetBucketIndex 003c TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.DoSetValue 0051 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88796_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Grow 001f TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Hash 002c TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetBucketIndex 003c TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.DoSetValue 0051 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2213_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.Integer,System.Classes.IObserver>.Hash 0016 TDictionary<System.Integer,System.Classes.IObserver>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_2927_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.ContainsKey"
		size = 34
		refs = "000b TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Hash 0016 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_10982_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.ContainsKey"
		size = 34
		refs = "000b TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Hash 0016 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_40124_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.ContainsKey"
		size = 34
		refs = "000b TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Hash 0016 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_60340_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Hash 0016 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_52522_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Hash 0016 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_55167_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Hash 0016 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_57768_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Hash 0016 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_60628_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Hash 0016 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_54815_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Hash 0016 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_60047_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Hash 0016 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_86232_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Hash 0016 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_88325_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Hash 0016 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_52005_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.IInterface,System.Pointer>.Hash 0016 TDictionary<System.IInterface,System.Pointer>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_24615_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Hash 0016 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_9750_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.Integer,System.Integer>.Hash 0016 TDictionary<System.Integer,System.Integer>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_67442_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.Pointer,System.Rtti.TRttiObject>.Hash 0016 TDictionary<System.Pointer,System.Rtti.TRttiObject>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_54468_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Hash 0016 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_87446_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Hash 0016 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_42543_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.TGUID,System.TClass>.Hash 0016 TDictionary<System.TGUID,System.TClass>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_54957_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Hash 0016 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_55302_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Hash 0016 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_57586_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Hash 0016 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_57376_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Hash 0016 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_53942_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.TObject,System.string>.Hash 0016 TDictionary<System.TObject,System.string>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_67704_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.TypInfo.PTypeInfo,System.string>.Hash 0016 TDictionary<System.TypInfo.PTypeInfo,System.string>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_63465_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Hash 0016 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_29275_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Hash 0016 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_7827_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,Data.DBXCommon.TEventPointer>.Hash 0016 TDictionary<System.string,Data.DBXCommon.TEventPointer>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_17893_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Hash 0016 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_17965_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Hash 0016 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_22783_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Hash 0016 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_17237_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Hash 0016 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_17817_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Hash 0016 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_24437_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Hash 0016 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_11205_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,Datasnap.DSService.TDSSession>.Hash 0016 TDictionary<System.string,Datasnap.DSService.TDSSession>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_31200_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,IBIntf.IGDSLibrary>.Hash 0016 TDictionary<System.string,IBIntf.IGDSLibrary>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_53540_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Hash 0016 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_58909_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Hash 0016 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_59971_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Hash 0016 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_64725_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,System.Boolean>.Hash 0016 TDictionary<System.string,System.Boolean>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_15667_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,System.Classes.TStream>.Hash 0016 TDictionary<System.string,System.Classes.TStream>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_23555_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,System.Classes.TStrings>.Hash 0016 TDictionary<System.string,System.Classes.TStrings>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_42614_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Hash 0016 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_60166_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Hash 0016 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_56772_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,System.IInterface>.Hash 0016 TDictionary<System.string,System.IInterface>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_54886_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,System.Int64>.Hash 0016 TDictionary<System.string,System.Int64>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_57305_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,System.Integer>.Hash 0016 TDictionary<System.string,System.Integer>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_22707_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,System.Masks.TMask>.Hash 0016 TDictionary<System.string,System.Masks.TMask>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_9996_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,System.TObject>.Hash 0016 TDictionary<System.string,System.TObject>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_67775_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,System.TypInfo.PTypeInfo>.Hash 0016 TDictionary<System.string,System.TypInfo.PTypeInfo>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_49942_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,System.Variant>.Hash 0016 TDictionary<System.string,System.Variant>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_96286_0 {
	meta:
		name = "TDictionary<System.string,System.string>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,System.string>.Hash 0016 TDictionary<System.string,System.string>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_87518_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Hash 0016 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_88797_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.ContainsKey"
		size = 34
		refs = "000b TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Hash 0016 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_2214_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.Integer,System.Classes.IObserver>.ContainsValue 0025 TEqualityComparer<System.Classes.IObserver>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2928_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.ContainsValue 0025 TEqualityComparer<Data.Bind.DBScope.TBaseDataLink>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10983_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.ContainsValue 0025 TEqualityComparer<Datasnap.DSService.TDSSessionEvent>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40125_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.ContainsValue 0025 TEqualityComparer<IPPeerAPI.IIPContext>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55168_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.ContainsValue 0025 TEqualityComparer<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57769_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.ContainsValue 0025 TEqualityComparer<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57453_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.ContainsValue 0025 TEqualityComparer<System.Integer>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86233_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.ContainsValue 0025 TEqualityComparer<Vcl.Themes.TStyleHook>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88326_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.ContainsValue 0025 TEqualityComparer<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53108_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.IInterface,System.Pointer>.ContainsValue 0025 TEqualityComparer<System.Pointer>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24616_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.ContainsValue 0025 TEqualityComparer<Data.DBXCommon.TResultCommandHandler>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9751_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.Integer,System.Integer>.ContainsValue 0025 TEqualityComparer<System.Integer>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67443_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.Pointer,System.Rtti.TRttiObject>.ContainsValue 0025 TEqualityComparer<System.Rtti.TRttiObject>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54469_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.ContainsValue 0025 TEqualityComparer<System.Bindings.CustomScope.TScopeClass>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87447_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.ContainsValue 0025 TEqualityComparer<System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86355_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.ContainsValue 0025 TEqualityComparer<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54958_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.ContainsValue 0025 TEqualityComparer<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55303_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.ContainsValue 0025 TEqualityComparer<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57587_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.ContainsValue 0025 TEqualityComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57377_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.ContainsValue 0025 TEqualityComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53943_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.TObject,System.string>.ContainsValue 0025 TEqualityComparer<System.string>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67705_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.TypInfo.PTypeInfo,System.string>.ContainsValue 0025 TEqualityComparer<System.string>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63466_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.ContainsValue 0025 TEqualityComparer<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29276_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.ContainsValue 0025 TEqualityComparer<DSAzureTableDialog.TAzureTableColumn>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23408_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.ContainsValue 0025 TEqualityComparer<Data.DBXJSONReflect.TConverterEvent>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10064_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.ContainsValue 0025 TEqualityComparer<Data.DBXJSONReflect.TReverterEvent>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19949_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.ContainsValue 0025 TEqualityComparer<Datasnap.DSCommonProxy.IDSProxyWriter>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17238_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.ContainsValue 0025 TEqualityComparer<Datasnap.DSHTTP.TDSHTTPClass>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17818_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.ContainsValue 0025 TEqualityComparer<Datasnap.DSHTTPCommon.TDSCallbackItem>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24438_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.ContainsValue 0025 TEqualityComparer<Datasnap.DSService.TDBXRequestFilter>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25532_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,Datasnap.DSService.TDSSession>.ContainsValue 0025 TEqualityComparer<Datasnap.DSService.TDSSession>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31201_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,IBIntf.IGDSLibrary>.ContainsValue 0025 TEqualityComparer<IBIntf.IGDSLibrary>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53541_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.ContainsValue 0025 TEqualityComparer<System.Bindings.Expression.TBindingExpression>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59972_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.ContainsValue 0025 TEqualityComparer<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15668_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,System.Classes.TStream>.ContainsValue 0025 TEqualityComparer<System.Classes.TStream>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23556_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,System.Classes.TStrings>.ContainsValue 0025 TEqualityComparer<System.Classes.TStrings>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42615_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.ContainsValue 0025 TEqualityComparer<System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54014_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,System.IInterface>.ContainsValue 0025 TEqualityComparer<System.IInterface>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55240_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,System.Integer>.ContainsValue 0025 TEqualityComparer<System.Integer>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22708_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,System.Masks.TMask>.ContainsValue 0025 TEqualityComparer<System.Masks.TMask>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9997_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,System.TObject>.ContainsValue 0025 TEqualityComparer<System.TObject>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67776_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,System.TypInfo.PTypeInfo>.ContainsValue 0025 TEqualityComparer<System.TypInfo.PTypeInfo>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96287_0 {
	meta:
		name = "TDictionary<System.string,System.string>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,System.string>.ContainsValue 0025 TEqualityComparer<System.string>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88798_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.ContainsValue 0025 TEqualityComparer<Vcl.Touch.GestureMgr.TGestureCollection>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1D 8D 04 5B 8B 56 04 8B 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2215_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.ToArray"
		size = 21
		refs = "000e TEnumerable<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2929_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.ToArray"
		size = 21
		refs = "000e TEnumerable<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10984_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.ToArray"
		size = 21
		refs = "000e TEnumerable<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40126_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.ToArray"
		size = 21
		refs = "000e TEnumerable<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60342_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51030_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.ToArray"
		size = 21
		refs = "000e TEnumerable<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55424_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52524_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55169_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57770_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60630_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57660_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55035_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57454_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54817_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60049_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86234_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.ToArray"
		size = 21
		refs = "000e TEnumerable<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88327_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.ToArray"
		size = 21
		refs = "000e TEnumerable<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55099_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50958_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.ToArray"
		size = 21
		refs = "000e TEnumerable<SyncController.TPair<System.IInterface,System.Pointer>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61635_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53109_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52007_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57236_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24617_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9752_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.ToArray"
		size = 21
		refs = "000e TEnumerable<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67444_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54470_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Factories.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87448_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.ToArray"
		size = 21
		refs = "000e TEnumerable<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86356_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.ToArray"
		size = 21
		refs = "000e TEnumerable<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42545_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.ToArray"
		size = 21
		refs = "000e TEnumerable<IPPeerAPI.TPair<System.TGUID,System.TClass>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54959_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55304_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57588_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57378_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53944_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53471_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Expression.TPair<System.TObject,System.string>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67706_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63467_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71569_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29277_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.ToArray"
		size = 21
		refs = "000e TEnumerable<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7829_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.ToArray"
		size = 21
		refs = "000e TEnumerable<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9820_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.ToArray"
		size = 21
		refs = "000e TEnumerable<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17895_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23409_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10065_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.ToArray"
		size = 21
		refs = "000e TEnumerable<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23485_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17967_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20232_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19950_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20662_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21220_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21507_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19662_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21774_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19367_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22066_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22359_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22785_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15745_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17239_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17819_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24439_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18649_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11207_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.ToArray"
		size = 21
		refs = "000e TEnumerable<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25533_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24814_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31202_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.ToArray"
		size = 21
		refs = "000e TEnumerable<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53542_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58911_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59973_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64727_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.DebugUtils.TPair<System.string,System.Boolean>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15669_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23557_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42616_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.ToArray"
		size = 21
		refs = "000e TEnumerable<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60168_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56774_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Helper.TPair<System.string,System.IInterface>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60562_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51647_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58982_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Methods.TPair<System.string,System.IInterface>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59586_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52457_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54015_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57521_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54888_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Graph.TPair<System.string,System.Int64>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55241_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.Graph.TPair<System.string,System.Integer>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57307_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22709_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24747_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSService.TPair<System.string,System.TObject>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9998_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.ToArray"
		size = 21
		refs = "000e TEnumerable<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67777_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49944_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.ToArray"
		size = 21
		refs = "000e TEnumerable<Soap.WSDLLookup.TPair<System.string,System.Variant>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26793_0 {
	meta:
		name = "TDictionary<System.string,System.string>.ToArray"
		size = 21
		refs = "000e TEnumerable<DSAzDlgBlockBlob.TPair<System.string,System.string>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96288_0 {
	meta:
		name = "TDictionary<System.string,System.string>.ToArray"
		size = 21
		refs = "000e TEnumerable<Web.WebFileDispatcher.TPair<System.string,System.string>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16335_0 {
	meta:
		name = "TDictionary<System.string,System.string>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSClientRest.TPair<System.string,System.string>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19012_0 {
	meta:
		name = "TDictionary<System.string,System.string>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20595_0 {
	meta:
		name = "TDictionary<System.string,System.string>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20990_0 {
	meta:
		name = "TDictionary<System.string,System.string>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24684_0 {
	meta:
		name = "TDictionary<System.string,System.string>.ToArray"
		size = 21
		refs = "000e TEnumerable<Datasnap.DSService.TPair<System.string,System.string>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42687_0 {
	meta:
		name = "TDictionary<System.string,System.string>.ToArray"
		size = 21
		refs = "000e TEnumerable<IPPeerAPI.TPair<System.string,System.string>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27017_0 {
	meta:
		name = "TDictionary<System.string,System.string>.ToArray"
		size = 21
		refs = "000e TEnumerable<DSAzDlgCopyBlob.TPair<System.string,System.string>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27221_0 {
	meta:
		name = "TDictionary<System.string,System.string>.ToArray"
		size = 21
		refs = "000e TEnumerable<DSAzDlgCreateContainer.TPair<System.string,System.string>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27453_0 {
	meta:
		name = "TDictionary<System.string,System.string>.ToArray"
		size = 21
		refs = "000e TEnumerable<DSAzDlgPageBlob.TPair<System.string,System.string>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27670_0 {
	meta:
		name = "TDictionary<System.string,System.string>.ToArray"
		size = 21
		refs = "000e TEnumerable<DSAzDlgPutBlockList.TPair<System.string,System.string>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27871_0 {
	meta:
		name = "TDictionary<System.string,System.string>.ToArray"
		size = 21
		refs = "000e TEnumerable<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28485_0 {
	meta:
		name = "TDictionary<System.string,System.string>.ToArray"
		size = 21
		refs = "000e TEnumerable<DSAzureBlob.TPair<System.string,System.string>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40059_0 {
	meta:
		name = "TDictionary<System.string,System.string>.ToArray"
		size = 21
		refs = "000e TEnumerable<IndyPeerImpl.TPair<System.string,System.string>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87520_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.ToArray"
		size = 21
		refs = "000e TEnumerable<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88799_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.ToArray"
		size = 21
		refs = "000e TEnumerable<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2216_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.Integer,System.Classes.IObserver>.TKeyCollection 0013 TDictionary<System.Integer,System.Classes.IObserver>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_2930_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TKeyCollection 0013 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_10985_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TKeyCollection 0013 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_40127_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TKeyCollection 0013 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_60343_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TKeyCollection 0013 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_52525_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TKeyCollection 0013 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_55170_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TKeyCollection 0013 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_57771_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TKeyCollection 0013 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_60631_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TKeyCollection 0013 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_57455_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.TKeyCollection 0013 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_60050_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TKeyCollection 0013 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_86235_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TKeyCollection 0013 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_88328_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TKeyCollection 0013 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_55100_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.IInterface,System.Pointer>.TKeyCollection 0013 TDictionary<System.IInterface,System.Pointer>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_24618_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TKeyCollection 0013 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_9753_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.Integer,System.Integer>.TKeyCollection 0013 TDictionary<System.Integer,System.Integer>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_67445_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.Pointer,System.Rtti.TRttiObject>.TKeyCollection 0013 TDictionary<System.Pointer,System.Rtti.TRttiObject>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_54471_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TKeyCollection 0013 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_87449_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TKeyCollection 0013 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_42546_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.TGUID,System.TClass>.TKeyCollection 0013 TDictionary<System.TGUID,System.TClass>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_54960_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TKeyCollection 0013 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_55305_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TKeyCollection 0013 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_57589_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TKeyCollection 0013 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_57379_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TKeyCollection 0013 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_53945_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.TObject,System.string>.TKeyCollection 0013 TDictionary<System.TObject,System.string>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_67707_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.TypInfo.PTypeInfo,System.string>.TKeyCollection 0013 TDictionary<System.TypInfo.PTypeInfo,System.string>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_63468_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TKeyCollection 0013 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_71570_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TKeyCollection 0013 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_29278_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyCollection 0013 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_7830_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,Data.DBXCommon.TEventPointer>.TKeyCollection 0013 TDictionary<System.string,Data.DBXCommon.TEventPointer>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_9821_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TKeyCollection 0013 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_10066_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TKeyCollection 0013 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_20233_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TKeyCollection 0013 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_17240_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TKeyCollection 0013 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_17820_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TKeyCollection 0013 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_24440_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TKeyCollection 0013 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_18650_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,Datasnap.DSService.TDSSession>.TKeyCollection 0013 TDictionary<System.string,Datasnap.DSService.TDSSession>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_31203_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,IBIntf.IGDSLibrary>.TKeyCollection 0013 TDictionary<System.string,IBIntf.IGDSLibrary>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_53543_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TKeyCollection 0013 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_58912_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TKeyCollection 0013 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_59974_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TKeyCollection 0013 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_64728_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Boolean>.TKeyCollection 0013 TDictionary<System.string,System.Boolean>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_15670_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Classes.TStream>.TKeyCollection 0013 TDictionary<System.string,System.Classes.TStream>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_23558_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Classes.TStrings>.TKeyCollection 0013 TDictionary<System.string,System.Classes.TStrings>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_42617_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TKeyCollection 0013 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_60169_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TKeyCollection 0013 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_56775_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.IInterface>.TKeyCollection 0013 TDictionary<System.string,System.IInterface>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_57522_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Int64>.TKeyCollection 0013 TDictionary<System.string,System.Int64>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_55242_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Integer>.TKeyCollection 0013 TDictionary<System.string,System.Integer>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_22710_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Masks.TMask>.TKeyCollection 0013 TDictionary<System.string,System.Masks.TMask>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_24748_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.TObject>.TKeyCollection 0013 TDictionary<System.string,System.TObject>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_67778_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.TypInfo.PTypeInfo>.TKeyCollection 0013 TDictionary<System.string,System.TypInfo.PTypeInfo>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_49945_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Variant>.TKeyCollection 0013 TDictionary<System.string,System.Variant>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_26794_0 {
	meta:
		name = "TDictionary<System.string,System.string>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.string>.TKeyCollection 0013 TDictionary<System.string,System.string>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_87521_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TKeyCollection 0013 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_88800_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetKeys"
		size = 31
		refs = "000e _DV_TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TKeyCollection 0013 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TKeyCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_2217_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.Integer,System.Classes.IObserver>.TValueCollection 0013 TDictionary<System.Integer,System.Classes.IObserver>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_2931_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TValueCollection 0013 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_10986_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TValueCollection 0013 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_40128_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TValueCollection 0013 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_60344_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TValueCollection 0013 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_52526_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TValueCollection 0013 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_55171_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TValueCollection 0013 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_57772_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TValueCollection 0013 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_60632_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TValueCollection 0013 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_57456_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.TValueCollection 0013 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_60051_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TValueCollection 0013 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_86236_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TValueCollection 0013 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_88329_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TValueCollection 0013 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_55101_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.IInterface,System.Pointer>.TValueCollection 0013 TDictionary<System.IInterface,System.Pointer>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_24619_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TValueCollection 0013 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_9754_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.Integer,System.Integer>.TValueCollection 0013 TDictionary<System.Integer,System.Integer>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_67446_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.Pointer,System.Rtti.TRttiObject>.TValueCollection 0013 TDictionary<System.Pointer,System.Rtti.TRttiObject>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_54472_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TValueCollection 0013 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_87450_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TValueCollection 0013 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_42547_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.TGUID,System.TClass>.TValueCollection 0013 TDictionary<System.TGUID,System.TClass>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_54961_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TValueCollection 0013 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_55306_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TValueCollection 0013 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_57590_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TValueCollection 0013 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_57380_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TValueCollection 0013 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_53946_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.TObject,System.string>.TValueCollection 0013 TDictionary<System.TObject,System.string>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_67708_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.TypInfo.PTypeInfo,System.string>.TValueCollection 0013 TDictionary<System.TypInfo.PTypeInfo,System.string>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_63469_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TValueCollection 0013 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_71571_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TValueCollection 0013 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_29279_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TValueCollection 0013 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_7831_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,Data.DBXCommon.TEventPointer>.TValueCollection 0013 TDictionary<System.string,Data.DBXCommon.TEventPointer>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_9822_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TValueCollection 0013 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_10067_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TValueCollection 0013 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_20234_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TValueCollection 0013 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_17241_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TValueCollection 0013 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_17821_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TValueCollection 0013 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_24441_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TValueCollection 0013 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_18651_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,Datasnap.DSService.TDSSession>.TValueCollection 0013 TDictionary<System.string,Datasnap.DSService.TDSSession>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_31204_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,IBIntf.IGDSLibrary>.TValueCollection 0013 TDictionary<System.string,IBIntf.IGDSLibrary>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_53544_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TValueCollection 0013 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_58913_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TValueCollection 0013 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_59975_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TValueCollection 0013 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_64729_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Boolean>.TValueCollection 0013 TDictionary<System.string,System.Boolean>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_15671_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Classes.TStream>.TValueCollection 0013 TDictionary<System.string,System.Classes.TStream>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_23559_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Classes.TStrings>.TValueCollection 0013 TDictionary<System.string,System.Classes.TStrings>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_42618_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TValueCollection 0013 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_60170_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TValueCollection 0013 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_56776_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.IInterface>.TValueCollection 0013 TDictionary<System.string,System.IInterface>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_57523_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Int64>.TValueCollection 0013 TDictionary<System.string,System.Int64>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_55243_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Integer>.TValueCollection 0013 TDictionary<System.string,System.Integer>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_22711_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Masks.TMask>.TValueCollection 0013 TDictionary<System.string,System.Masks.TMask>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_24749_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.TObject>.TValueCollection 0013 TDictionary<System.string,System.TObject>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_67779_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.TypInfo.PTypeInfo>.TValueCollection 0013 TDictionary<System.string,System.TypInfo.PTypeInfo>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_49946_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.Variant>.TValueCollection 0013 TDictionary<System.string,System.Variant>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_26795_0 {
	meta:
		name = "TDictionary<System.string,System.string>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,System.string>.TValueCollection 0013 TDictionary<System.string,System.string>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_87522_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TValueCollection 0013 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_88801_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetValues"
		size = 31
		refs = "000e _DV_TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TValueCollection 0013 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TValueCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_2223_0 {
	meta:
		name = "TBindingManager.GetManagerCount"
		size = 7
		altNames = "TCustomTabData.GetItemCount TDBXArrayList.GetCount TDOMStrings.Count TDSHTTPResponseWebBroker.GetContentStream TDictionary<T>.TKeyCollection.GetCount TDictionary<T>.TValueCollection.GetCount TDomNodeList.GetLength TDomXPathSyntaxNodeStack.GetLength TDtdNamedObjectMap.GetLength TDtdObjectList.GetLength TGIFList.GetCount TGraph.GetNodeCount THTTPFiles.GetCount THeaderList.GetCount TKeyTipList.GetCount TLocateParamsList.GetCount TNotifyList.GetCount TOrderedList.Count TPerlRegExList.GetCount TSQLVAR_V1.GetSqlData TScriptEnginesList.GetCount TScriptErrors.GetErrorCount TScriptObjectFactories.GetCount TVirtualKeys.Count TWebNotifyContainer.GetCount TWebRequestFiles.GetCount"
	strings:
		$1 = { 8B 40 04 8B 40 08 C3 }
	condition:
		$1
}

rule function_2225_0 {
	meta:
		name = "TCaptionAttributes.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
		altNames = "TChartTheme.Create TCommandProperties.Create TConnectionData.Create TDBXByteReader.Create TDBXChannelInfo.Create TDBXInt32Object.Create TDBXPropertiesItem.Create TDSAdapterClass.Create TDSJSONProtocolHandlerFactory.Create TDefaultWebModuleFactory.Create TDictionary<T>.TKeyCollection.Create TDictionary<T>.TValueCollection.Create TDomNodeList.Create TGIFItem.Create TGraphEntity.Create THTMLTagAttributes.Create THandleStream.Create TIWBasePageContext.Create TIWHTML40ContainerImplementation.Create TIWPaintHandler.Create TIdSSLCipher.Create TIdSSLSocket.Create TIdX509Info.Create TIdX509Name.Create TInSSLCipher.Create TInSSLSocket.Create TItemProp.Create TLayoutWebContent.Create TListItems.Create TLocalWebModuleContext.Create TParaAttributes.Create TSSPIPackage.Create TSizeConstraints.Create TTreeNodes.Create TWebDisplay.Create TXMLData.Create TsdSurplusReader.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2226_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Integer,System.Classes.IObserver>.TKeyEnumerator 000b TDictionary<System.Integer,System.Classes.IObserver>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2940_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TKeyEnumerator 000b TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2954_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TValueEnumerator 000b TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10995_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TKeyEnumerator 000b TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11009_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TValueEnumerator 000b TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40137_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TKeyEnumerator 000b TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40151_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TValueEnumerator 000b TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51041_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TKeyEnumerator 000b TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60367_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TValueEnumerator 000b TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52535_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TKeyEnumerator 000b TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52549_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TValueEnumerator 000b TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55176_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TKeyEnumerator 000b TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55190_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TValueEnumerator 000b TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57777_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TKeyEnumerator 000b TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57791_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TValueEnumerator 000b TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57667_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TKeyEnumerator 000b TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55052_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TValueEnumerator 000b TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57465_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.TKeyEnumerator 000b TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54842_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.TValueEnumerator 000b TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60060_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TKeyEnumerator 000b TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60074_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TValueEnumerator 000b TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86245_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TKeyEnumerator 000b TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86259_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TValueEnumerator 000b TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88338_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TKeyEnumerator 000b TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88352_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TValueEnumerator 000b TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52018_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.IInterface,System.Pointer>.TKeyEnumerator 000b TDictionary<System.IInterface,System.Pointer>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55124_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.IInterface,System.Pointer>.TValueEnumerator 000b TDictionary<System.IInterface,System.Pointer>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24624_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TKeyEnumerator 000b TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24638_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TValueEnumerator 000b TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2240_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Integer,System.Classes.IObserver>.TValueEnumerator 000b TDictionary<System.Integer,System.Classes.IObserver>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9763_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Integer,System.Integer>.TKeyEnumerator 000b TDictionary<System.Integer,System.Integer>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9773_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Integer,System.Integer>.TValueEnumerator 000b TDictionary<System.Integer,System.Integer>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67455_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Pointer,System.Rtti.TRttiObject>.TKeyEnumerator 000b TDictionary<System.Pointer,System.Rtti.TRttiObject>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67469_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Pointer,System.Rtti.TRttiObject>.TValueEnumerator 000b TDictionary<System.Pointer,System.Rtti.TRttiObject>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54481_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TKeyEnumerator 000b TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54495_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TValueEnumerator 000b TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86367_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TKeyEnumerator 000b TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86381_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TValueEnumerator 000b TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42556_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.TGUID,System.TClass>.TKeyEnumerator 000b TDictionary<System.TGUID,System.TClass>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42570_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.TGUID,System.TClass>.TValueEnumerator 000b TDictionary<System.TGUID,System.TClass>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54970_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TKeyEnumerator 000b TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54984_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TValueEnumerator 000b TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55311_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TKeyEnumerator 000b TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_55325_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TValueEnumerator 000b TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57595_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TKeyEnumerator 000b TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57609_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TValueEnumerator 000b TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57389_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TKeyEnumerator 000b TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57403_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TValueEnumerator 000b TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53482_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.TObject,System.string>.TKeyEnumerator 000b TDictionary<System.TObject,System.string>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53496_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.TObject,System.string>.TValueEnumerator 000b TDictionary<System.TObject,System.string>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67717_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.TypInfo.PTypeInfo,System.string>.TKeyEnumerator 000b TDictionary<System.TypInfo.PTypeInfo,System.string>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67731_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.TypInfo.PTypeInfo,System.string>.TValueEnumerator 000b TDictionary<System.TypInfo.PTypeInfo,System.string>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63478_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TKeyEnumerator 000b TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63492_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TValueEnumerator 000b TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71580_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TKeyEnumerator 000b TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71594_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TValueEnumerator 000b TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29288_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyEnumerator 000b TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29302_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TValueEnumerator 000b TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7840_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,Data.DBXCommon.TEventPointer>.TKeyEnumerator 000b TDictionary<System.string,Data.DBXCommon.TEventPointer>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7854_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,Data.DBXCommon.TEventPointer>.TValueEnumerator 000b TDictionary<System.string,Data.DBXCommon.TEventPointer>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9831_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TKeyEnumerator 000b TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17916_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TValueEnumerator 000b TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17974_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TKeyEnumerator 000b TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17988_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TValueEnumerator 000b TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20243_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TKeyEnumerator 000b TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20257_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TValueEnumerator 000b TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17250_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TKeyEnumerator 000b TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17264_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TValueEnumerator 000b TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17830_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TKeyEnumerator 000b TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17844_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TValueEnumerator 000b TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24450_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TKeyEnumerator 000b TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24464_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TValueEnumerator 000b TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24821_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,Datasnap.DSService.TDSSession>.TKeyEnumerator 000b TDictionary<System.string,Datasnap.DSService.TDSSession>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_18670_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,Datasnap.DSService.TDSSession>.TValueEnumerator 000b TDictionary<System.string,Datasnap.DSService.TDSSession>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31213_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,IBIntf.IGDSLibrary>.TKeyEnumerator 000b TDictionary<System.string,IBIntf.IGDSLibrary>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31227_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,IBIntf.IGDSLibrary>.TValueEnumerator 000b TDictionary<System.string,IBIntf.IGDSLibrary>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53549_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TKeyEnumerator 000b TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53563_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TValueEnumerator 000b TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58922_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TKeyEnumerator 000b TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58936_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TValueEnumerator 000b TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59984_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TKeyEnumerator 000b TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59998_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TValueEnumerator 000b TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64738_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Boolean>.TKeyEnumerator 000b TDictionary<System.string,System.Boolean>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64752_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Boolean>.TValueEnumerator 000b TDictionary<System.string,System.Boolean>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15680_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Classes.TStream>.TKeyEnumerator 000b TDictionary<System.string,System.Classes.TStream>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15694_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Classes.TStream>.TValueEnumerator 000b TDictionary<System.string,System.Classes.TStream>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23564_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Classes.TStrings>.TKeyEnumerator 000b TDictionary<System.string,System.Classes.TStrings>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23578_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Classes.TStrings>.TValueEnumerator 000b TDictionary<System.string,System.Classes.TStrings>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42627_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TKeyEnumerator 000b TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42641_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TValueEnumerator 000b TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60175_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TKeyEnumerator 000b TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_60189_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TValueEnumerator 000b TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56785_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.IInterface>.TKeyEnumerator 000b TDictionary<System.string,System.IInterface>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_56799_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.IInterface>.TValueEnumerator 000b TDictionary<System.string,System.IInterface>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54899_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Int64>.TKeyEnumerator 000b TDictionary<System.string,System.Int64>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57542_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Int64>.TValueEnumerator 000b TDictionary<System.string,System.Int64>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57318_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Integer>.TKeyEnumerator 000b TDictionary<System.string,System.Integer>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_57332_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Integer>.TValueEnumerator 000b TDictionary<System.string,System.Integer>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22720_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Masks.TMask>.TKeyEnumerator 000b TDictionary<System.string,System.Masks.TMask>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22734_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Masks.TMask>.TValueEnumerator 000b TDictionary<System.string,System.Masks.TMask>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10005_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.TObject>.TKeyEnumerator 000b TDictionary<System.string,System.TObject>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10019_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.TObject>.TValueEnumerator 000b TDictionary<System.string,System.TObject>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67784_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.TypInfo.PTypeInfo>.TKeyEnumerator 000b TDictionary<System.string,System.TypInfo.PTypeInfo>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67794_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.TypInfo.PTypeInfo>.TValueEnumerator 000b TDictionary<System.string,System.TypInfo.PTypeInfo>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49955_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Variant>.TKeyEnumerator 000b TDictionary<System.string,System.Variant>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49969_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.Variant>.TValueEnumerator 000b TDictionary<System.string,System.Variant>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19023_0 {
	meta:
		name = "TDictionary<System.string,System.string>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.string>.TKeyEnumerator 000b TDictionary<System.string,System.string>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96309_0 {
	meta:
		name = "TDictionary<System.string,System.string>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,System.string>.TValueEnumerator 000b TDictionary<System.string,System.string>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87531_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TKeyEnumerator 000b TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87545_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TValueEnumerator 000b TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88810_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TKeyCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TKeyEnumerator 000b TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TKeyEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88824_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TValueCollection.GetEnumerator"
		size = 16
		refs = "0006 _DV_TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TValueEnumerator 000b TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TValueEnumerator.Create"
	strings:
		$1 = { 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2227_0 {
	meta:
		name = "TDictionary<T>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Integer>.ToArrayImpl"
		altNames = "TDictionary<T>.TValueCollection.ToArray"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2941_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<Data.Bind.Components.TBasicBindComponent>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2955_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<Data.Bind.DBScope.TBaseDataLink>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10996_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11010_0 {
	meta:
		name = "TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<Datasnap.DSService.TDSSessionEvent>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40138_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<IdContext.TIdContext>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40152_0 {
	meta:
		name = "TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<IPPeerAPI.IIPContext>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51042_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.EvalProtocol.ILocation>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51056_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<SyncController.TPair<System.TObject,System.string>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55450_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.string>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60368_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.Outputs.TPair<System.TObject,System.string>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52536_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.EvalSys.TValueConverter.TConvPair>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52550_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55177_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.Expression.TBindingExpression>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55191_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57778_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.Expression.TBindingExpression>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57792_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60642_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.Expression.TBindingExpression>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55053_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Int64>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57466_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.Expression.TBindingExpression>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60061_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.Outputs.TConvertPair>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60075_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.Outputs.TConverterDescription>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86246_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Classes.TComponent>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86260_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<Vcl.Themes.TStyleHook>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88339_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Classes.TComponent>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88353_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52019_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.IInterface>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55125_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Pointer>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24639_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<Data.DBXCommon.TResultCommandHandler>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2241_0 {
	meta:
		name = "TDictionary<System.Integer,System.Classes.IObserver>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Classes.IObserver>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67456_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Pointer>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67470_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Rtti.TRttiObject>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54482_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.TClass>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54496_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.CustomScope.TScopeClass>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87460_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.TClass>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87474_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86382_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42557_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.TGUID>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42571_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.TClass>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54971_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.TObject>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54985_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55312_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.TObject>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55326_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57596_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.TObject>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57610_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57390_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.TObject>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57404_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53483_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.TObject>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53970_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67718_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.TypInfo.PTypeInfo>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67732_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63479_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Word>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63493_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.DateUtils.TLocalTimeZone.TYearlyChanges>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71581_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Zip.TZipCompression>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71595_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29289_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29303_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<DSAzureTableDialog.TAzureTableColumn>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7841_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7855_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<Data.DBXCommon.TEventPointer>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23421_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23435_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<Data.DBXJSONReflect.TConverterEvent>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23493_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23507_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<Data.DBXJSONReflect.TReverterEvent>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15753_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22385_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<Datasnap.DSCommonProxy.IDSProxyWriter>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17251_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17265_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<Datasnap.DSHTTP.TDSHTTPClass>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17831_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17845_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<Datasnap.DSHTTPCommon.TDSCallbackItem>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24451_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24465_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<Datasnap.DSService.TDBXRequestFilter>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11219_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11233_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<Datasnap.DSService.TDSSession>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31214_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31228_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<IBIntf.IGDSLibrary>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53550_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53564_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.Expression.TBindingExpression>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58923_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58937_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.Methods.TMethodDescription>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59985_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59999_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64739_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64753_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Boolean>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15681_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15695_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Classes.TStream>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23565_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23579_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Classes.TStrings>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42628_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42642_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60176_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60190_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58990_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52479_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.IInterface>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57529_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57543_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Int64>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55249_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22721_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22735_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Masks.TMask>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10006_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24769_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.TObject>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67785_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67795_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.TypInfo.PTypeInfo>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49956_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49970_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.Variant>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20607_0 {
	meta:
		name = "TDictionary<System.string,System.string>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96310_0 {
	meta:
		name = "TDictionary<System.string,System.string>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87532_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<System.string>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87546_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<Vcl.Themes.TStyleManager.TSourceInfo>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88811_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TKeyCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<Vcl.Controls.TControl>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88825_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TValueCollection.ToArray"
		size = 24
		refs = "0011 TEnumerable<Vcl.Touch.GestureMgr.TGestureCollection>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 04 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2228_0 {
	meta:
		name = "TDictionary<T>.TKeyEnumerator.GetCurrent"
		size = 17
	strings:
		$1 = { 8B 50 08 8D 14 52 8B 40 04 8B 40 04 8B 44 90 04 C3 }
	condition:
		$1
}

rule function_2231_0 {
	meta:
		name = "TDictionary<T>.TKeyEnumerator.Create"
		size = 67
		refs = "000b @ClassCreate 001a TObject.Create 002f @AfterConstruction"
		altNames = "TDictionary<T>.TPairEnumerator.Create TDictionary<T>.TValueEnumerator.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 08 FF FF FF FF 89 77 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2232_0 {
	meta:
		name = "TDictionary<T>.TKeyEnumerator.MoveNext"
		size = 55
		refs = "0026 @DynArrayLength"
		altNames = "TDictionary<T>.TPairEnumerator.MoveNext TDictionary<T>.TValueEnumerator.MoveNext"
	strings:
		$1 = { 53 56 8B F0 EB 19 FF 46 08 8B 46 08 8D 04 40 8B 56 04 8B 52 04 83 3C 82 FF 74 04 B3 01 EB 13 8B 46 04 8B 40 04 E8 ?? ?? ?? ?? 48 3B 46 08 7F D6 33 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_2233_0 {
	meta:
		name = "TEnumerable<System.Classes.IObserver>.ToArrayImpl"
		size = 196
		refs = "0018 TEnumerable<System.Classes.IObserver>.ToArrayImpl 002d TArray<System.Classes.IObserver> 0032 @DynArraySetLength 003e TEnumerable<System.Classes.IObserver>.GetEnumerator 006b @IntfCopy 0074 TEnumerator<System.Classes.IObserver>.MoveNext 009b @HandleFinally 00b2 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 FC 8B 45 F4 8B 08 FF 11 8B 45 F8 8B 00 8D 04 98 8B 55 FC E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22799_0 {
	meta:
		name = "TEnumerable<Datasnap.DSCommonProxy.IDSProxyWriter>.ToArrayImpl"
		size = 196
		refs = "0018 TEnumerable<Datasnap.DSCommonProxy.IDSProxyWriter>.ToArrayImpl 002d TArray<Datasnap.DSCommonProxy.IDSProxyWriter> 0032 @DynArraySetLength 003e TEnumerable<Datasnap.DSCommonProxy.IDSProxyWriter>.GetEnumerator 006b @IntfCopy 0074 TEnumerator<Datasnap.DSCommonProxy.IDSProxyWriter>.MoveNext 009b @HandleFinally 00b2 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 FC 8B 45 F4 8B 08 FF 11 8B 45 F8 8B 00 8D 04 98 8B 55 FC E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23652_0 {
	meta:
		name = "TEnumerable<Datasnap.DSServer.TDSCallbackTunnelEvent>.ToArrayImpl"
		size = 196
		refs = "0018 TEnumerable<Datasnap.DSServer.TDSCallbackTunnelEvent>.ToArrayImpl 002d TArray<Datasnap.DSServer.TDSCallbackTunnelEvent> 0032 @DynArraySetLength 003e TEnumerable<Datasnap.DSServer.TDSCallbackTunnelEvent>.GetEnumerator 006b @IntfCopy 0074 TEnumerator<Datasnap.DSServer.TDSCallbackTunnelEvent>.MoveNext 009b @HandleFinally 00b2 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 FC 8B 45 F4 8B 08 FF 11 8B 45 F8 8B 00 8D 04 98 8B 55 FC E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24847_0 {
	meta:
		name = "TEnumerable<Datasnap.DSService.TDSSessionEvent>.ToArrayImpl"
		size = 196
		refs = "0018 TEnumerable<Datasnap.DSService.TDSSessionEvent>.ToArrayImpl 002d TArray<Datasnap.DSService.TDSSessionEvent> 0032 @DynArraySetLength 003e TEnumerable<Datasnap.DSService.TDSSessionEvent>.GetEnumerator 006b @IntfCopy 0074 TEnumerator<Datasnap.DSService.TDSSessionEvent>.MoveNext 009b @HandleFinally 00b2 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 FC 8B 45 F4 8B 08 FF 11 8B 45 F8 8B 00 8D 04 98 8B 55 FC E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31220_0 {
	meta:
		name = "TEnumerable<IBIntf.IGDSLibrary>.ToArrayImpl"
		size = 196
		refs = "0018 TEnumerable<IBIntf.IGDSLibrary>.ToArrayImpl 002d TArray<IBIntf.IGDSLibrary> 0032 @DynArraySetLength 003e TEnumerable<IBIntf.IGDSLibrary>.GetEnumerator 006b @IntfCopy 0074 TEnumerator<IBIntf.IGDSLibrary>.MoveNext 009b @HandleFinally 00b2 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 FC 8B 45 F4 8B 08 FF 11 8B 45 F8 8B 00 8D 04 98 8B 55 FC E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40144_0 {
	meta:
		name = "TEnumerable<IPPeerAPI.IIPContext>.ToArrayImpl"
		size = 196
		refs = "0018 TEnumerable<IPPeerAPI.IIPContext>.ToArrayImpl 002d TArray<IPPeerAPI.IIPContext> 0032 @DynArraySetLength 003e TEnumerable<IPPeerAPI.IIPContext>.GetEnumerator 006b @IntfCopy 0074 TEnumerator<IPPeerAPI.IIPContext>.MoveNext 009b @HandleFinally 00b2 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 FC 8B 45 F4 8B 08 FF 11 8B 45 F8 8B 00 8D 04 98 8B 55 FC E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30820_0 {
	meta:
		name = "TEnumerable<System.AnsiString>.ToArrayImpl"
		size = 196
		refs = "0018 TEnumerable<System.AnsiString>.ToArrayImpl 002d TArray<System.AnsiString> 0032 @DynArraySetLength 003e TEnumerable<System.AnsiString>.GetEnumerator 006b @LStrAsg 0074 TEnumerator<System.AnsiString>.MoveNext 009b @HandleFinally 00b2 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 FC 8B 45 F4 8B 08 FF 11 8B 45 F8 8B 00 8D 04 98 8B 55 FC E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60346_0 {
	meta:
		name = "TEnumerable<System.Bindings.EvalProtocol.ILocation>.ToArrayImpl"
		size = 196
		refs = "0018 TEnumerable<System.Bindings.EvalProtocol.ILocation>.ToArrayImpl 002d TArray<System.Bindings.EvalProtocol.ILocation> 0032 @DynArraySetLength 003e TEnumerable<System.Bindings.EvalProtocol.ILocation>.GetEnumerator 006b @IntfCopy 0074 TEnumerator<System.Bindings.EvalProtocol.ILocation>.MoveNext 009b @HandleFinally 00b2 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 FC 8B 45 F4 8B 08 FF 11 8B 45 F8 8B 00 8D 04 98 8B 55 FC E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53050_0 {
	meta:
		name = "TEnumerable<System.Bindings.EvalProtocol.IScope>.ToArrayImpl"
		size = 196
		refs = "0018 TEnumerable<System.Bindings.EvalProtocol.IScope>.ToArrayImpl 002d TArray<System.Bindings.EvalProtocol.IScope> 0032 @DynArraySetLength 003e TEnumerable<System.Bindings.EvalProtocol.IScope>.GetEnumerator 006b @IntfCopy 0074 TEnumerator<System.Bindings.EvalProtocol.IScope>.MoveNext 009b @HandleFinally 00b2 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 FC 8B 45 F4 8B 08 FF 11 8B 45 F8 8B 00 8D 04 98 8B 55 FC E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52999_0 {
	meta:
		name = "TEnumerable<System.Bindings.EvalProtocol.ISubscription>.ToArrayImpl"
		size = 196
		refs = "0018 TEnumerable<System.Bindings.EvalProtocol.ISubscription>.ToArrayImpl 002d TArray<System.Bindings.EvalProtocol.ISubscription> 0032 @DynArraySetLength 003e TEnumerable<System.Bindings.EvalProtocol.ISubscription>.GetEnumerator 006b @IntfCopy 0074 TEnumerator<System.Bindings.EvalProtocol.ISubscription>.MoveNext 009b @HandleFinally 00b2 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 FC 8B 45 F4 8B 08 FF 11 8B 45 F8 8B 00 8D 04 98 8B 55 FC E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52542_0 {
	meta:
		name = "TEnumerable<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.ToArrayImpl"
		size = 196
		refs = "0018 TEnumerable<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.ToArrayImpl 002d TArray<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 0032 @DynArraySetLength 003e TEnumerable<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetEnumerator 006b @IntfCopy 0074 TEnumerator<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.MoveNext 009b @HandleFinally 00b2 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 FC 8B 45 F4 8B 08 FF 11 8B 45 F8 8B 00 8D 04 98 8B 55 FC E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59888_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.ToArrayImpl"
		size = 196
		refs = "0018 TEnumerable<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.ToArrayImpl 002d TArray<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback> 0032 @DynArraySetLength 003e TEnumerable<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.GetEnumerator 006b @IntfCopy 0074 TEnumerator<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.MoveNext 009b @HandleFinally 00b2 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 FC 8B 45 F4 8B 08 FF 11 8B 45 F8 8B 00 8D 04 98 8B 55 FC E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60379_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TProc<System.Rtti.TValue>>.ToArrayImpl"
		size = 196
		refs = "0018 TEnumerable<System.Bindings.Outputs.TProc<System.Rtti.TValue>>.ToArrayImpl 002d TArray<System.Bindings.Outputs.TProc<System.Rtti.TValue>> 0032 @DynArraySetLength 003e TEnumerable<System.Bindings.Outputs.TProc<System.Rtti.TValue>>.GetEnumerator 006b @IntfCopy 0074 TEnumerator<System.Bindings.Outputs.TProc<System.Rtti.TValue>>.MoveNext 009b @HandleFinally 00b2 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 FC 8B 45 F4 8B 08 FF 11 8B 45 F8 8B 00 8D 04 98 8B 55 FC E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52011_0 {
	meta:
		name = "TEnumerable<System.IInterface>.ToArrayImpl"
		size = 196
		refs = "0018 TEnumerable<System.IInterface>.ToArrayImpl 002d TArray<System.IInterface> 0032 @DynArraySetLength 003e TEnumerable<System.IInterface>.GetEnumerator 006b @IntfCopy 0074 TEnumerator<System.IInterface>.MoveNext 009b @HandleFinally 00b2 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 FC 8B 45 F4 8B 08 FF 11 8B 45 F8 8B 00 8D 04 98 8B 55 FC E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2307_0 {
	meta:
		name = "TEnumerable<System.string>.ToArrayImpl"
		size = 196
		refs = "0018 TEnumerable<System.string>.ToArrayImpl 002d TArray<System.string> 0032 @DynArraySetLength 003e TEnumerable<System.string>.GetEnumerator 006b @UStrAsg 0074 TEnumerator<System.string>.MoveNext 009b @HandleFinally 00b2 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 FC 8B 45 F4 8B 08 FF 11 8B 45 F8 8B 00 8D 04 98 8B 55 FC E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88345_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.ToArrayImpl"
		size = 196
		refs = "0018 TEnumerable<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.ToArrayImpl 002d TArray<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0032 @DynArraySetLength 003e TEnumerable<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetEnumerator 006b @IntfCopy 0074 TEnumerator<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.MoveNext 009b @HandleFinally 00b2 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 FC 8B 45 F4 8B 08 FF 11 8B 45 F8 8B 00 8D 04 98 8B 55 FC E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2235_0 {
	meta:
		name = "TEnumerable<System.Classes.IObserver>.ToArray"
		size = 230
		refs = "0015 TEnumerable<System.Classes.IObserver>.ToArray 0022 _DV_TList<System.Classes.IObserver> 0027 TList<System.Classes.IObserver>.Create 003f TEnumerable<System.Classes.IObserver>.GetEnumerator 0067 TList<System.Classes.IObserver>.Add 006f TEnumerator<System.Classes.IObserver>.MoveNext 0096 @HandleFinally 00b8 TObject.Free 00d5 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 FC 8B 45 F0 8B 08 FF 11 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F8 8B 45 F4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22801_0 {
	meta:
		name = "TEnumerable<Datasnap.DSCommonProxy.IDSProxyWriter>.ToArray"
		size = 230
		refs = "0015 TEnumerable<Datasnap.DSCommonProxy.IDSProxyWriter>.ToArray 0022 _DV_TList<Datasnap.DSCommonProxy.IDSProxyWriter> 0027 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Create 003f TEnumerable<Datasnap.DSCommonProxy.IDSProxyWriter>.GetEnumerator 0067 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Add 006f TEnumerator<Datasnap.DSCommonProxy.IDSProxyWriter>.MoveNext 0096 @HandleFinally 00b8 TObject.Free 00d5 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 FC 8B 45 F0 8B 08 FF 11 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F8 8B 45 F4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23654_0 {
	meta:
		name = "TEnumerable<Datasnap.DSServer.TDSCallbackTunnelEvent>.ToArray"
		size = 230
		refs = "0015 TEnumerable<Datasnap.DSServer.TDSCallbackTunnelEvent>.ToArray 0022 _DV_TList<Datasnap.DSServer.TDSCallbackTunnelEvent> 0027 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Create 003f TEnumerable<Datasnap.DSServer.TDSCallbackTunnelEvent>.GetEnumerator 0067 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Add 006f TEnumerator<Datasnap.DSServer.TDSCallbackTunnelEvent>.MoveNext 0096 @HandleFinally 00b8 TObject.Free 00d5 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 FC 8B 45 F0 8B 08 FF 11 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F8 8B 45 F4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24849_0 {
	meta:
		name = "TEnumerable<Datasnap.DSService.TDSSessionEvent>.ToArray"
		size = 230
		refs = "0015 TEnumerable<Datasnap.DSService.TDSSessionEvent>.ToArray 0022 _DV_TList<Datasnap.DSService.TDSSessionEvent> 0027 TList<Datasnap.DSService.TDSSessionEvent>.Create 003f TEnumerable<Datasnap.DSService.TDSSessionEvent>.GetEnumerator 0067 TList<Datasnap.DSService.TDSSessionEvent>.Add 006f TEnumerator<Datasnap.DSService.TDSSessionEvent>.MoveNext 0096 @HandleFinally 00b8 TObject.Free 00d5 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 FC 8B 45 F0 8B 08 FF 11 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F8 8B 45 F4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31222_0 {
	meta:
		name = "TEnumerable<IBIntf.IGDSLibrary>.ToArray"
		size = 230
		refs = "0015 TEnumerable<IBIntf.IGDSLibrary>.ToArray 0022 _DV_TList<IBIntf.IGDSLibrary> 0027 TList<IBIntf.IGDSLibrary>.Create 003f TEnumerable<IBIntf.IGDSLibrary>.GetEnumerator 0067 TList<IBIntf.IGDSLibrary>.Add 006f TEnumerator<IBIntf.IGDSLibrary>.MoveNext 0096 @HandleFinally 00b8 TObject.Free 00d5 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 FC 8B 45 F0 8B 08 FF 11 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F8 8B 45 F4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40146_0 {
	meta:
		name = "TEnumerable<IPPeerAPI.IIPContext>.ToArray"
		size = 230
		refs = "0015 TEnumerable<IPPeerAPI.IIPContext>.ToArray 0022 _DV_TList<IPPeerAPI.IIPContext> 0027 TList<IPPeerAPI.IIPContext>.Create 003f TEnumerable<IPPeerAPI.IIPContext>.GetEnumerator 0067 TList<IPPeerAPI.IIPContext>.Add 006f TEnumerator<IPPeerAPI.IIPContext>.MoveNext 0096 @HandleFinally 00b8 TObject.Free 00d5 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 FC 8B 45 F0 8B 08 FF 11 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F8 8B 45 F4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30822_0 {
	meta:
		name = "TEnumerable<System.AnsiString>.ToArray"
		size = 230
		refs = "0015 TEnumerable<System.AnsiString>.ToArray 0022 _DV_TList<System.AnsiString> 0027 TList<System.AnsiString>.Create 003f TEnumerable<System.AnsiString>.GetEnumerator 0067 TList<System.AnsiString>.Add 006f TEnumerator<System.AnsiString>.MoveNext 0096 @HandleFinally 00b8 TObject.Free 00d5 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 FC 8B 45 F0 8B 08 FF 11 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F8 8B 45 F4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60348_0 {
	meta:
		name = "TEnumerable<System.Bindings.EvalProtocol.ILocation>.ToArray"
		size = 230
		refs = "0015 TEnumerable<System.Bindings.EvalProtocol.ILocation>.ToArray 0022 _DV_TList<System.Bindings.EvalProtocol.ILocation> 0027 TList<System.Bindings.EvalProtocol.ILocation>.Create 003f TEnumerable<System.Bindings.EvalProtocol.ILocation>.GetEnumerator 0067 TList<System.Bindings.EvalProtocol.ILocation>.Add 006f TEnumerator<System.Bindings.EvalProtocol.ILocation>.MoveNext 0096 @HandleFinally 00b8 TObject.Free 00d5 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 FC 8B 45 F0 8B 08 FF 11 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F8 8B 45 F4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53052_0 {
	meta:
		name = "TEnumerable<System.Bindings.EvalProtocol.IScope>.ToArray"
		size = 230
		refs = "0015 TEnumerable<System.Bindings.EvalProtocol.IScope>.ToArray 0022 _DV_TList<System.Bindings.EvalProtocol.IScope> 0027 TList<System.Bindings.EvalProtocol.IScope>.Create 003f TEnumerable<System.Bindings.EvalProtocol.IScope>.GetEnumerator 0067 TList<System.Bindings.EvalProtocol.IScope>.Add 006f TEnumerator<System.Bindings.EvalProtocol.IScope>.MoveNext 0096 @HandleFinally 00b8 TObject.Free 00d5 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 FC 8B 45 F0 8B 08 FF 11 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F8 8B 45 F4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53001_0 {
	meta:
		name = "TEnumerable<System.Bindings.EvalProtocol.ISubscription>.ToArray"
		size = 230
		refs = "0015 TEnumerable<System.Bindings.EvalProtocol.ISubscription>.ToArray 0022 _DV_TList<System.Bindings.EvalProtocol.ISubscription> 0027 TList<System.Bindings.EvalProtocol.ISubscription>.Create 003f TEnumerable<System.Bindings.EvalProtocol.ISubscription>.GetEnumerator 0067 TList<System.Bindings.EvalProtocol.ISubscription>.Add 006f TEnumerator<System.Bindings.EvalProtocol.ISubscription>.MoveNext 0096 @HandleFinally 00b8 TObject.Free 00d5 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 FC 8B 45 F0 8B 08 FF 11 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F8 8B 45 F4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52544_0 {
	meta:
		name = "TEnumerable<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.ToArray"
		size = 230
		refs = "0015 TEnumerable<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.ToArray 0022 _DV_TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 0027 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create 003f TEnumerable<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetEnumerator 0067 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Add 006f TEnumerator<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.MoveNext 0096 @HandleFinally 00b8 TObject.Free 00d5 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 FC 8B 45 F0 8B 08 FF 11 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F8 8B 45 F4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59890_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.ToArray"
		size = 230
		refs = "0015 TEnumerable<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.ToArray 0022 _DV_TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback> 0027 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Create 003f TEnumerable<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.GetEnumerator 0067 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Add 006f TEnumerator<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.MoveNext 0096 @HandleFinally 00b8 TObject.Free 00d5 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 FC 8B 45 F0 8B 08 FF 11 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F8 8B 45 F4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60381_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TProc<System.Rtti.TValue>>.ToArray"
		size = 230
		refs = "0015 TEnumerable<System.Bindings.Outputs.TProc<System.Rtti.TValue>>.ToArray 0022 _DV_TList<System.SysUtils.TProc<System.Rtti.TValue>> 0027 TList<System.SysUtils.TProc<System.Rtti.TValue>>.Create 003f TEnumerable<System.Bindings.Outputs.TProc<System.Rtti.TValue>>.GetEnumerator 0067 TList<System.SysUtils.TProc<System.Rtti.TValue>>.Add 006f TEnumerator<System.Bindings.Outputs.TProc<System.Rtti.TValue>>.MoveNext 0096 @HandleFinally 00b8 TObject.Free 00d5 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 FC 8B 45 F0 8B 08 FF 11 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F8 8B 45 F4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52013_0 {
	meta:
		name = "TEnumerable<System.IInterface>.ToArray"
		size = 230
		refs = "0015 TEnumerable<System.IInterface>.ToArray 0022 _DV_TList<System.IInterface> 0027 TList<System.IInterface>.Create 003f TEnumerable<System.IInterface>.GetEnumerator 0067 TList<System.IInterface>.Add 006f TEnumerator<System.IInterface>.MoveNext 0096 @HandleFinally 00b8 TObject.Free 00d5 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 FC 8B 45 F0 8B 08 FF 11 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F8 8B 45 F4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2309_0 {
	meta:
		name = "TEnumerable<System.string>.ToArray"
		size = 230
		refs = "0015 TEnumerable<System.string>.ToArray 0022 _DV_TList<System.string> 0027 TList<System.string>.Create 003f TEnumerable<System.string>.GetEnumerator 0067 TList<System.string>.Add 006f TEnumerator<System.string>.MoveNext 0096 @HandleFinally 00b8 TObject.Free 00d5 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 FC 8B 45 F0 8B 08 FF 11 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F8 8B 45 F4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88347_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.ToArray"
		size = 230
		refs = "0015 TEnumerable<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.ToArray 0022 _DV_TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0027 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Create 003f TEnumerable<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetEnumerator 0067 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Add 006f TEnumerator<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.MoveNext 0096 @HandleFinally 00b8 TObject.Free 00d5 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 FC 8B 45 F0 8B 08 FF 11 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F8 8B 45 F4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2242_0 {
	meta:
		name = "TDictionary<T>.TValueEnumerator.GetCurrent"
		size = 32
		refs = "0019 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8D 14 52 8B 4B 04 8B 49 04 8B 54 91 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53971_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.TValueEnumerator.GetCurrent"
		size = 32
		refs = "0019 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8D 14 52 8B 4B 04 8B 49 04 8B 54 91 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67733_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.TValueEnumerator.GetCurrent"
		size = 32
		refs = "0019 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8D 14 52 8B 4B 04 8B 49 04 8B 54 91 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27693_0 {
	meta:
		name = "TDictionary<System.string,System.string>.TValueEnumerator.GetCurrent"
		size = 32
		refs = "0019 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8D 14 52 8B 4B 04 8B 49 04 8B 54 91 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2247_0 {
	meta:
		name = "TDictionary<T>.TPairEnumerator.GetCurrent"
		size = 51
		refs = "002c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 8D 04 40 8B 53 04 8B 52 04 8B 44 82 04 89 06 8D 46 04 8B 53 08 8D 14 52 8B 4B 04 8B 49 04 8B 54 91 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53503_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.TPairEnumerator.GetCurrent"
		size = 51
		refs = "002c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 8D 04 40 8B 53 04 8B 52 04 8B 44 82 04 89 06 8D 46 04 8B 53 08 8D 14 52 8B 4B 04 8B 49 04 8B 54 91 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67738_0 {
	meta:
		name = "TDictionary<System.TypInfo.PTypeInfo,System.string>.TPairEnumerator.GetCurrent"
		size = 51
		refs = "002c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 8D 04 40 8B 53 04 8B 52 04 8B 44 82 04 89 06 8D 46 04 8B 53 08 8D 14 52 8B 4B 04 8B 49 04 8B 54 91 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2303_0 {
	meta:
		name = "TObjectList<Data.Bind.Components.TContainedBindComponent>.Notify"
		size = 42
		refs = "0010 TList<Data.Bind.Components.TContainedBindComponent>.Notify 0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 18 00 74 0C 80 FB 01 75 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28569_0 {
	meta:
		name = "TObjectList<DSAzureBlob.TBBlob>.Notify"
		size = 42
		refs = "0010 TList<DSAzureBlob.TBBlob>.Notify 0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 18 00 74 0C 80 FB 01 75 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28791_0 {
	meta:
		name = "TObjectList<DSAzureBlob.TBBlock>.Notify"
		size = 42
		refs = "0010 TList<DSAzureBlob.TBBlock>.Notify 0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 18 00 74 0C 80 FB 01 75 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28445_0 {
	meta:
		name = "TObjectList<DSAzureBlob.TBContainer>.Notify"
		size = 42
		refs = "0010 TList<DSAzureBlob.TBContainer>.Notify 0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 18 00 74 0C 80 FB 01 75 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28734_0 {
	meta:
		name = "TObjectList<DSAzureBlob.TBPageRange>.Notify"
		size = 42
		refs = "0010 TList<DSAzureBlob.TBPageRange>.Notify 0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 18 00 74 0C 80 FB 01 75 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28677_0 {
	meta:
		name = "TObjectList<DSAzureBlob.TBSignedIdentifier>.Notify"
		size = 42
		refs = "0010 TList<DSAzureBlob.TBSignedIdentifier>.Notify 0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 18 00 74 0C 80 FB 01 75 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16419_0 {
	meta:
		name = "TObjectList<Datasnap.DSClientRest.TDSRestClientCallback>.Notify"
		size = 42
		refs = "0010 TList<Datasnap.DSClientRest.TDSRestClientCallback>.Notify 0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 18 00 74 0C 80 FB 01 75 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23754_0 {
	meta:
		name = "TObjectList<Datasnap.DSServer.TDSCallbackTunnel>.Notify"
		size = 42
		refs = "0010 TList<Datasnap.DSServer.TDSCallbackTunnel>.Notify 0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 18 00 74 0C 80 FB 01 75 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18211_0 {
	meta:
		name = "TObjectList<Datasnap.DSService.TDBXRequestFilter>.Notify"
		size = 42
		refs = "0010 TList<Datasnap.DSService.TDBXRequestFilter>.Notify 0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 18 00 74 0C 80 FB 01 75 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29719_0 {
	meta:
		name = "TObjectList<GraphView.TGraphEdge>.Notify"
		size = 42
		refs = "0010 TList<GraphView.TGraphEdge>.Notify 0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 18 00 74 0C 80 FB 01 75 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29829_0 {
	meta:
		name = "TObjectList<GraphView.TGraphNode>.Notify"
		size = 42
		refs = "0010 TList<GraphView.TGraphNode>.Notify 0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 18 00 74 0C 80 FB 01 75 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52612_0 {
	meta:
		name = "TObjectList<System.Bindings.EvalSys.TOverload>.Notify"
		size = 42
		refs = "0010 TList<System.Bindings.EvalSys.TOverload>.Notify 0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 18 00 74 0C 80 FB 01 75 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56736_0 {
	meta:
		name = "TObjectList<System.Bindings.Expression.TBindingExpression>.Notify"
		size = 42
		refs = "0010 TList<System.Bindings.Expression.TBindingExpression>.Notify 0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 18 00 74 0C 80 FB 01 75 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29774_0 {
	meta:
		name = "TObjectList<System.Generics.Collections.TObjectList<GraphView.TGraphEdge>>.Notify"
		size = 42
		refs = "0010 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Notify 0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 18 00 74 0C 80 FB 01 75 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67587_0 {
	meta:
		name = "TObjectList<System.Rtti.TVirtualInterface.TImplInfo>.Notify"
		size = 42
		refs = "0010 TList<System.Rtti.TVirtualInterface.TImplInfo>.Notify 0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 18 00 74 0C 80 FB 01 75 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67532_0 {
	meta:
		name = "TObjectList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Notify"
		size = 42
		refs = "0010 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Notify 0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 18 00 74 0C 80 FB 01 75 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23229_0 {
	meta:
		name = "TObjectList<System.TObject>.Notify"
		size = 42
		refs = "0010 TList<System.TObject>.Notify 0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7E 18 00 74 0C 80 FB 01 75 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2304_0 {
	meta:
		name = "TObjectList<Data.Bind.Components.TContainedBindComponent>.Create"
		size = 67
		refs = "000e @ClassCreate 001e TList<Data.Bind.Components.TContainedBindComponent>.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 18 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28570_0 {
	meta:
		name = "TObjectList<DSAzureBlob.TBBlob>.Create"
		size = 67
		refs = "000e @ClassCreate 001e TList<DSAzureBlob.TBBlob>.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 18 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28792_0 {
	meta:
		name = "TObjectList<DSAzureBlob.TBBlock>.Create"
		size = 67
		refs = "000e @ClassCreate 001e TList<DSAzureBlob.TBBlock>.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 18 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28446_0 {
	meta:
		name = "TObjectList<DSAzureBlob.TBContainer>.Create"
		size = 67
		refs = "000e @ClassCreate 001e TList<DSAzureBlob.TBContainer>.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 18 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28735_0 {
	meta:
		name = "TObjectList<DSAzureBlob.TBPageRange>.Create"
		size = 67
		refs = "000e @ClassCreate 001e TList<DSAzureBlob.TBPageRange>.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 18 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28678_0 {
	meta:
		name = "TObjectList<DSAzureBlob.TBSignedIdentifier>.Create"
		size = 67
		refs = "000e @ClassCreate 001e TList<DSAzureBlob.TBSignedIdentifier>.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 18 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16420_0 {
	meta:
		name = "TObjectList<Datasnap.DSClientRest.TDSRestClientCallback>.Create"
		size = 67
		refs = "000e @ClassCreate 001e TList<Datasnap.DSClientRest.TDSRestClientCallback>.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 18 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23755_0 {
	meta:
		name = "TObjectList<Datasnap.DSServer.TDSCallbackTunnel>.Create"
		size = 67
		refs = "000e @ClassCreate 001e TList<Datasnap.DSServer.TDSCallbackTunnel>.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 18 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18212_0 {
	meta:
		name = "TObjectList<Datasnap.DSService.TDBXRequestFilter>.Create"
		size = 67
		refs = "000e @ClassCreate 001e TList<Datasnap.DSService.TDBXRequestFilter>.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 18 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29720_0 {
	meta:
		name = "TObjectList<GraphView.TGraphEdge>.Create"
		size = 67
		refs = "000e @ClassCreate 001e TList<GraphView.TGraphEdge>.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 18 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29830_0 {
	meta:
		name = "TObjectList<GraphView.TGraphNode>.Create"
		size = 67
		refs = "000e @ClassCreate 001e TList<GraphView.TGraphNode>.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 18 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52613_0 {
	meta:
		name = "TObjectList<System.Bindings.EvalSys.TOverload>.Create"
		size = 67
		refs = "000e @ClassCreate 001e TList<System.Bindings.EvalSys.TOverload>.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 18 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_56737_0 {
	meta:
		name = "TObjectList<System.Bindings.Expression.TBindingExpression>.Create"
		size = 67
		refs = "000e @ClassCreate 001e TList<System.Bindings.Expression.TBindingExpression>.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 18 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29775_0 {
	meta:
		name = "TObjectList<System.Generics.Collections.TObjectList<GraphView.TGraphEdge>>.Create"
		size = 67
		refs = "000e @ClassCreate 001e TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 18 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67588_0 {
	meta:
		name = "TObjectList<System.Rtti.TVirtualInterface.TImplInfo>.Create"
		size = 67
		refs = "000e @ClassCreate 001e TList<System.Rtti.TVirtualInterface.TImplInfo>.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 18 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67533_0 {
	meta:
		name = "TObjectList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Create"
		size = 67
		refs = "000e @ClassCreate 001e TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 18 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23230_0 {
	meta:
		name = "TObjectList<System.TObject>.Create"
		size = 67
		refs = "000e @ClassCreate 001e TList<System.TObject>.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 18 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2305_0 {
	meta:
		name = "TObjectList<Data.Bind.Components.TContainedBindComponent>.Create"
		size = 66
		refs = "000d @ClassCreate 001a TList<Data.Bind.Components.TContainedBindComponent>.Create 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 08 88 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_28572_0 {
	meta:
		name = "TObjectList<DSAzureBlob.TBBlob>.Create"
		size = 66
		refs = "000d @ClassCreate 001a TList<DSAzureBlob.TBBlob>.Create 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 08 88 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_28794_0 {
	meta:
		name = "TObjectList<DSAzureBlob.TBBlock>.Create"
		size = 66
		refs = "000d @ClassCreate 001a TList<DSAzureBlob.TBBlock>.Create 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 08 88 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_28448_0 {
	meta:
		name = "TObjectList<DSAzureBlob.TBContainer>.Create"
		size = 66
		refs = "000d @ClassCreate 001a TList<DSAzureBlob.TBContainer>.Create 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 08 88 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_28737_0 {
	meta:
		name = "TObjectList<DSAzureBlob.TBPageRange>.Create"
		size = 66
		refs = "000d @ClassCreate 001a TList<DSAzureBlob.TBPageRange>.Create 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 08 88 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_28680_0 {
	meta:
		name = "TObjectList<DSAzureBlob.TBSignedIdentifier>.Create"
		size = 66
		refs = "000d @ClassCreate 001a TList<DSAzureBlob.TBSignedIdentifier>.Create 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 08 88 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_16422_0 {
	meta:
		name = "TObjectList<Datasnap.DSClientRest.TDSRestClientCallback>.Create"
		size = 66
		refs = "000d @ClassCreate 001a TList<Datasnap.DSClientRest.TDSRestClientCallback>.Create 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 08 88 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_23757_0 {
	meta:
		name = "TObjectList<Datasnap.DSServer.TDSCallbackTunnel>.Create"
		size = 66
		refs = "000d @ClassCreate 001a TList<Datasnap.DSServer.TDSCallbackTunnel>.Create 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 08 88 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_24530_0 {
	meta:
		name = "TObjectList<Datasnap.DSService.TDBXRequestFilter>.Create"
		size = 66
		refs = "000d @ClassCreate 001a TList<Datasnap.DSService.TDBXRequestFilter>.Create 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 08 88 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_29721_0 {
	meta:
		name = "TObjectList<GraphView.TGraphEdge>.Create"
		size = 66
		refs = "000d @ClassCreate 001a TList<GraphView.TGraphEdge>.Create 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 08 88 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_29831_0 {
	meta:
		name = "TObjectList<GraphView.TGraphNode>.Create"
		size = 66
		refs = "000d @ClassCreate 001a TList<GraphView.TGraphNode>.Create 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 08 88 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_52614_0 {
	meta:
		name = "TObjectList<System.Bindings.EvalSys.TOverload>.Create"
		size = 66
		refs = "000d @ClassCreate 001a TList<System.Bindings.EvalSys.TOverload>.Create 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 08 88 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_56738_0 {
	meta:
		name = "TObjectList<System.Bindings.Expression.TBindingExpression>.Create"
		size = 66
		refs = "000d @ClassCreate 001a TList<System.Bindings.Expression.TBindingExpression>.Create 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 08 88 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_29776_0 {
	meta:
		name = "TObjectList<System.Generics.Collections.TObjectList<GraphView.TGraphEdge>>.Create"
		size = 66
		refs = "000d @ClassCreate 001a TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Create 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 08 88 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_67589_0 {
	meta:
		name = "TObjectList<System.Rtti.TVirtualInterface.TImplInfo>.Create"
		size = 66
		refs = "000d @ClassCreate 001a TList<System.Rtti.TVirtualInterface.TImplInfo>.Create 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 08 88 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_67534_0 {
	meta:
		name = "TObjectList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Create"
		size = 66
		refs = "000d @ClassCreate 001a TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Create 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 08 88 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_23231_0 {
	meta:
		name = "TObjectList<System.TObject>.Create"
		size = 66
		refs = "000d @ClassCreate 001a TList<System.TObject>.Create 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 08 88 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2314_0 {
	meta:
		name = "TList<System.string>.GetItem"
		size = 58
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0032 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15975_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem"
		size = 58
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0032 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23659_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.GetItem"
		size = 58
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0032 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11129_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.GetItem"
		size = 58
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0032 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31340_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.GetItem"
		size = 58
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0032 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40360_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.GetItem"
		size = 58
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0032 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30827_0 {
	meta:
		name = "TList<System.AnsiString>.GetItem"
		size = 58
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0032 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61036_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.GetItem"
		size = 58
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0032 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53153_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.GetItem"
		size = 58
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0032 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51929_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.GetItem"
		size = 58
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0032 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52823_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetItem"
		size = 58
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0032 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59895_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.GetItem"
		size = 58
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0032 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2476_0 {
	meta:
		name = "TList<System.Classes.IObserver>.GetItem"
		size = 58
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0032 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52379_0 {
	meta:
		name = "TList<System.IInterface>.GetItem"
		size = 58
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0032 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60386_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.GetItem"
		size = 58
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0032 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88516_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetItem"
		size = 58
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0032 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2315_0 {
	meta:
		name = "TList<System.string>.SetItem"
		size = 153
		refs = "0018 TList<System.string>.SetItem 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @UStrLAsg 005a @UStrAsg 0087 @UStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 08 33 C9 8B 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15976_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.SetItem"
		size = 153
		refs = "0018 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.SetItem 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0087 @IntfClear 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 08 33 C9 8B 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23660_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.SetItem"
		size = 153
		refs = "0018 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.SetItem 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0087 @IntfClear 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 08 33 C9 8B 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11130_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.SetItem"
		size = 153
		refs = "0018 TList<Datasnap.DSService.TDSSessionEvent>.SetItem 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0087 @IntfClear 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 08 33 C9 8B 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31341_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.SetItem"
		size = 153
		refs = "0018 TList<IBIntf.IGDSLibrary>.SetItem 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0087 @IntfClear 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 08 33 C9 8B 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40361_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.SetItem"
		size = 153
		refs = "0018 TList<IPPeerAPI.IIPContext>.SetItem 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0087 @IntfClear 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 08 33 C9 8B 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30828_0 {
	meta:
		name = "TList<System.AnsiString>.SetItem"
		size = 153
		refs = "0018 TList<System.AnsiString>.SetItem 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @LStrLAsg 005a @LStrAsg 0087 @LStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 08 33 C9 8B 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_61037_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.SetItem"
		size = 153
		refs = "0018 TList<System.Bindings.EvalProtocol.ILocation>.SetItem 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0087 @IntfClear 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 08 33 C9 8B 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53154_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.SetItem"
		size = 153
		refs = "0018 TList<System.Bindings.EvalProtocol.IScope>.SetItem 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0087 @IntfClear 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 08 33 C9 8B 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51930_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.SetItem"
		size = 153
		refs = "0018 TList<System.Bindings.EvalProtocol.ISubscription>.SetItem 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0087 @IntfClear 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 08 33 C9 8B 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52824_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.SetItem"
		size = 153
		refs = "0018 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.SetItem 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0087 @IntfClear 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 08 33 C9 8B 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59896_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.SetItem"
		size = 153
		refs = "0018 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.SetItem 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0087 @IntfClear 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 08 33 C9 8B 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2477_0 {
	meta:
		name = "TList<System.Classes.IObserver>.SetItem"
		size = 153
		refs = "0018 TList<System.Classes.IObserver>.SetItem 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0087 @IntfClear 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 08 33 C9 8B 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52380_0 {
	meta:
		name = "TList<System.IInterface>.SetItem"
		size = 153
		refs = "0018 TList<System.IInterface>.SetItem 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0087 @IntfClear 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 08 33 C9 8B 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_60387_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.SetItem"
		size = 153
		refs = "0018 TList<System.SysUtils.TProc<System.Rtti.TValue>>.SetItem 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0087 @IntfClear 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 08 33 C9 8B 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88517_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.SetItem"
		size = 153
		refs = "0018 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.SetItem 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0087 @IntfClear 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 08 33 C9 8B 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2318_0 {
	meta:
		name = "TList<System.string>.DoDelete"
		size = 197
		refs = "0018 TList<System.string>.DoDelete 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @UStrLAsg 0057 @UStrClr 007b Move 0090 @FillChar 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? FF 4B 08 8B 43 08 3B F0 74 2F 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 14 B0 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 90 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D FB 8B 55 FC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15979_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.DoDelete"
		size = 197
		refs = "0018 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.DoDelete 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0057 @IntfClear 007b Move 0090 @FillChar 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? FF 4B 08 8B 43 08 3B F0 74 2F 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 14 B0 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 90 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D FB 8B 55 FC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23663_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.DoDelete"
		size = 197
		refs = "0018 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.DoDelete 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0057 @IntfClear 007b Move 0090 @FillChar 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? FF 4B 08 8B 43 08 3B F0 74 2F 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 14 B0 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 90 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D FB 8B 55 FC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11133_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.DoDelete"
		size = 197
		refs = "0018 TList<Datasnap.DSService.TDSSessionEvent>.DoDelete 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0057 @IntfClear 007b Move 0090 @FillChar 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? FF 4B 08 8B 43 08 3B F0 74 2F 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 14 B0 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 90 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D FB 8B 55 FC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31344_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.DoDelete"
		size = 197
		refs = "0018 TList<IBIntf.IGDSLibrary>.DoDelete 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0057 @IntfClear 007b Move 0090 @FillChar 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? FF 4B 08 8B 43 08 3B F0 74 2F 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 14 B0 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 90 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D FB 8B 55 FC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40364_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.DoDelete"
		size = 197
		refs = "0018 TList<IPPeerAPI.IIPContext>.DoDelete 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0057 @IntfClear 007b Move 0090 @FillChar 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? FF 4B 08 8B 43 08 3B F0 74 2F 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 14 B0 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 90 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D FB 8B 55 FC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30831_0 {
	meta:
		name = "TList<System.AnsiString>.DoDelete"
		size = 197
		refs = "0018 TList<System.AnsiString>.DoDelete 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @LStrLAsg 0057 @LStrClr 007b Move 0090 @FillChar 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? FF 4B 08 8B 43 08 3B F0 74 2F 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 14 B0 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 90 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D FB 8B 55 FC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56342_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.DoDelete"
		size = 197
		refs = "0018 TList<System.Bindings.EvalProtocol.ILocation>.DoDelete 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0057 @IntfClear 007b Move 0090 @FillChar 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? FF 4B 08 8B 43 08 3B F0 74 2F 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 14 B0 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 90 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D FB 8B 55 FC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53157_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.DoDelete"
		size = 197
		refs = "0018 TList<System.Bindings.EvalProtocol.IScope>.DoDelete 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0057 @IntfClear 007b Move 0090 @FillChar 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? FF 4B 08 8B 43 08 3B F0 74 2F 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 14 B0 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 90 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D FB 8B 55 FC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51933_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.DoDelete"
		size = 197
		refs = "0018 TList<System.Bindings.EvalProtocol.ISubscription>.DoDelete 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0057 @IntfClear 007b Move 0090 @FillChar 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? FF 4B 08 8B 43 08 3B F0 74 2F 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 14 B0 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 90 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D FB 8B 55 FC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52827_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.DoDelete"
		size = 197
		refs = "0018 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.DoDelete 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0057 @IntfClear 007b Move 0090 @FillChar 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? FF 4B 08 8B 43 08 3B F0 74 2F 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 14 B0 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 90 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D FB 8B 55 FC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59899_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.DoDelete"
		size = 197
		refs = "0018 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.DoDelete 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0057 @IntfClear 007b Move 0090 @FillChar 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? FF 4B 08 8B 43 08 3B F0 74 2F 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 14 B0 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 90 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D FB 8B 55 FC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2480_0 {
	meta:
		name = "TList<System.Classes.IObserver>.DoDelete"
		size = 197
		refs = "0018 TList<System.Classes.IObserver>.DoDelete 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0057 @IntfClear 007b Move 0090 @FillChar 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? FF 4B 08 8B 43 08 3B F0 74 2F 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 14 B0 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 90 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D FB 8B 55 FC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59219_0 {
	meta:
		name = "TList<System.IInterface>.DoDelete"
		size = 197
		refs = "0018 TList<System.IInterface>.DoDelete 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0057 @IntfClear 007b Move 0090 @FillChar 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? FF 4B 08 8B 43 08 3B F0 74 2F 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 14 B0 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 90 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D FB 8B 55 FC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88520_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.DoDelete"
		size = 197
		refs = "0018 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.DoDelete 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004c @IntfCopy 0057 @IntfClear 007b Move 0090 @FillChar 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? FF 4B 08 8B 43 08 3B F0 74 2F 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 14 B0 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 90 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D FB 8B 55 FC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2325_0 {
	meta:
		name = "TList<System.string>.Add"
		size = 60
		refs = "000f TList<System.string>.GrowCheck 0022 @UStrAsg"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 B8 8B D6 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15986_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Add"
		size = 60
		refs = "000f TList<Datasnap.DSCommonProxy.IDSProxyWriter>.GrowCheck 0022 @IntfCopy"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 B8 8B D6 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23670_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Add"
		size = 60
		refs = "000f TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.GrowCheck 0022 @IntfCopy"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 B8 8B D6 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11140_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.Add"
		size = 60
		refs = "000f TList<Datasnap.DSService.TDSSessionEvent>.GrowCheck 0022 @IntfCopy"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 B8 8B D6 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31351_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.Add"
		size = 60
		refs = "000f TList<IBIntf.IGDSLibrary>.GrowCheck 0022 @IntfCopy"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 B8 8B D6 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40371_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.Add"
		size = 60
		refs = "000f TList<IPPeerAPI.IIPContext>.GrowCheck 0022 @IntfCopy"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 B8 8B D6 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30838_0 {
	meta:
		name = "TList<System.AnsiString>.Add"
		size = 60
		refs = "000f TList<System.AnsiString>.GrowCheck 0022 @LStrAsg"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 B8 8B D6 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61047_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.Add"
		size = 60
		refs = "000f TList<System.Bindings.EvalProtocol.ILocation>.GrowCheck 0022 @IntfCopy"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 B8 8B D6 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53164_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.Add"
		size = 60
		refs = "000f TList<System.Bindings.EvalProtocol.IScope>.GrowCheck 0022 @IntfCopy"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 B8 8B D6 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51940_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.Add"
		size = 60
		refs = "000f TList<System.Bindings.EvalProtocol.ISubscription>.GrowCheck 0022 @IntfCopy"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 B8 8B D6 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52834_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Add"
		size = 60
		refs = "000f TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GrowCheck 0022 @IntfCopy"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 B8 8B D6 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59906_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Add"
		size = 60
		refs = "000f TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.GrowCheck 0022 @IntfCopy"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 B8 8B D6 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2487_0 {
	meta:
		name = "TList<System.Classes.IObserver>.Add"
		size = 60
		refs = "000f TList<System.Classes.IObserver>.GrowCheck 0022 @IntfCopy"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 B8 8B D6 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52390_0 {
	meta:
		name = "TList<System.IInterface>.Add"
		size = 60
		refs = "000f TList<System.IInterface>.GrowCheck 0022 @IntfCopy"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 B8 8B D6 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60397_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.Add"
		size = 60
		refs = "000f TList<System.SysUtils.TProc<System.Rtti.TValue>>.GrowCheck 0022 @IntfCopy"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 B8 8B D6 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88527_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Add"
		size = 60
		refs = "000f TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GrowCheck 0022 @IntfCopy"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 B8 8B D6 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2329_0 {
	meta:
		name = "TList<System.string>.Insert"
		size = 134
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.string>.GrowCheck 0051 Move 0063 @FillChar 0070 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B D7 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15990_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Insert"
		size = 134
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.GrowCheck 0051 Move 0063 @FillChar 0070 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B D7 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23674_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Insert"
		size = 134
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.GrowCheck 0051 Move 0063 @FillChar 0070 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B D7 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11144_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.Insert"
		size = 134
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSService.TDSSessionEvent>.GrowCheck 0051 Move 0063 @FillChar 0070 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B D7 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31355_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.Insert"
		size = 134
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<IBIntf.IGDSLibrary>.GrowCheck 0051 Move 0063 @FillChar 0070 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B D7 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40375_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.Insert"
		size = 134
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<IPPeerAPI.IIPContext>.GrowCheck 0051 Move 0063 @FillChar 0070 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B D7 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30842_0 {
	meta:
		name = "TList<System.AnsiString>.Insert"
		size = 134
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.AnsiString>.GrowCheck 0051 Move 0063 @FillChar 0070 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B D7 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61051_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.Insert"
		size = 134
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.EvalProtocol.ILocation>.GrowCheck 0051 Move 0063 @FillChar 0070 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B D7 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53168_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.Insert"
		size = 134
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.EvalProtocol.IScope>.GrowCheck 0051 Move 0063 @FillChar 0070 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B D7 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51944_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.Insert"
		size = 134
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.EvalProtocol.ISubscription>.GrowCheck 0051 Move 0063 @FillChar 0070 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B D7 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52838_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Insert"
		size = 134
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GrowCheck 0051 Move 0063 @FillChar 0070 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B D7 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59910_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Insert"
		size = 134
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.GrowCheck 0051 Move 0063 @FillChar 0070 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B D7 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2491_0 {
	meta:
		name = "TList<System.Classes.IObserver>.Insert"
		size = 134
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Classes.IObserver>.GrowCheck 0051 Move 0063 @FillChar 0070 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B D7 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52394_0 {
	meta:
		name = "TList<System.IInterface>.Insert"
		size = 134
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.IInterface>.GrowCheck 0051 Move 0063 @FillChar 0070 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B D7 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60401_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.Insert"
		size = 134
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.SysUtils.TProc<System.Rtti.TValue>>.GrowCheck 0051 Move 0063 @FillChar 0070 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B D7 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88531_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Insert"
		size = 134
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GrowCheck 0051 Move 0063 @FillChar 0070 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B D7 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2330_0 {
	meta:
		name = "TList<System.string>.InsertRange"
		size = 221
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.string>.GrowCheck 006b Move 0081 @FillChar 00a1 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 37 8B D3 03 55 FC 8B 4E 04 8D 14 91 8B 4E 04 8B 7D FC 8D 0C B9 2B 45 FC 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 90 8B D3 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 24 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 82 8B 13 E8 ?? ?? ?? ?? 47 83 C3 04 FF 4D F4 75 E5 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B C6 8B 38 FF 57 08 83 C3 04 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15991_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.InsertRange"
		size = 221
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.GrowCheck 006b Move 0081 @FillChar 00a1 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 37 8B D3 03 55 FC 8B 4E 04 8D 14 91 8B 4E 04 8B 7D FC 8D 0C B9 2B 45 FC 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 90 8B D3 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 24 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 82 8B 13 E8 ?? ?? ?? ?? 47 83 C3 04 FF 4D F4 75 E5 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B C6 8B 38 FF 57 08 83 C3 04 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_23675_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.InsertRange"
		size = 221
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.GrowCheck 006b Move 0081 @FillChar 00a1 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 37 8B D3 03 55 FC 8B 4E 04 8D 14 91 8B 4E 04 8B 7D FC 8D 0C B9 2B 45 FC 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 90 8B D3 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 24 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 82 8B 13 E8 ?? ?? ?? ?? 47 83 C3 04 FF 4D F4 75 E5 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B C6 8B 38 FF 57 08 83 C3 04 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11145_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.InsertRange"
		size = 221
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSService.TDSSessionEvent>.GrowCheck 006b Move 0081 @FillChar 00a1 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 37 8B D3 03 55 FC 8B 4E 04 8D 14 91 8B 4E 04 8B 7D FC 8D 0C B9 2B 45 FC 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 90 8B D3 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 24 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 82 8B 13 E8 ?? ?? ?? ?? 47 83 C3 04 FF 4D F4 75 E5 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B C6 8B 38 FF 57 08 83 C3 04 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_31356_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.InsertRange"
		size = 221
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<IBIntf.IGDSLibrary>.GrowCheck 006b Move 0081 @FillChar 00a1 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 37 8B D3 03 55 FC 8B 4E 04 8D 14 91 8B 4E 04 8B 7D FC 8D 0C B9 2B 45 FC 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 90 8B D3 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 24 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 82 8B 13 E8 ?? ?? ?? ?? 47 83 C3 04 FF 4D F4 75 E5 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B C6 8B 38 FF 57 08 83 C3 04 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_40376_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.InsertRange"
		size = 221
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<IPPeerAPI.IIPContext>.GrowCheck 006b Move 0081 @FillChar 00a1 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 37 8B D3 03 55 FC 8B 4E 04 8D 14 91 8B 4E 04 8B 7D FC 8D 0C B9 2B 45 FC 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 90 8B D3 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 24 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 82 8B 13 E8 ?? ?? ?? ?? 47 83 C3 04 FF 4D F4 75 E5 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B C6 8B 38 FF 57 08 83 C3 04 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_30843_0 {
	meta:
		name = "TList<System.AnsiString>.InsertRange"
		size = 221
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.AnsiString>.GrowCheck 006b Move 0081 @FillChar 00a1 @LStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 37 8B D3 03 55 FC 8B 4E 04 8D 14 91 8B 4E 04 8B 7D FC 8D 0C B9 2B 45 FC 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 90 8B D3 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 24 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 82 8B 13 E8 ?? ?? ?? ?? 47 83 C3 04 FF 4D F4 75 E5 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B C6 8B 38 FF 57 08 83 C3 04 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_61052_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.InsertRange"
		size = 221
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.EvalProtocol.ILocation>.GrowCheck 006b Move 0081 @FillChar 00a1 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 37 8B D3 03 55 FC 8B 4E 04 8D 14 91 8B 4E 04 8B 7D FC 8D 0C B9 2B 45 FC 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 90 8B D3 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 24 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 82 8B 13 E8 ?? ?? ?? ?? 47 83 C3 04 FF 4D F4 75 E5 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B C6 8B 38 FF 57 08 83 C3 04 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_53169_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.InsertRange"
		size = 221
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.EvalProtocol.IScope>.GrowCheck 006b Move 0081 @FillChar 00a1 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 37 8B D3 03 55 FC 8B 4E 04 8D 14 91 8B 4E 04 8B 7D FC 8D 0C B9 2B 45 FC 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 90 8B D3 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 24 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 82 8B 13 E8 ?? ?? ?? ?? 47 83 C3 04 FF 4D F4 75 E5 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B C6 8B 38 FF 57 08 83 C3 04 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_51945_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.InsertRange"
		size = 221
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.EvalProtocol.ISubscription>.GrowCheck 006b Move 0081 @FillChar 00a1 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 37 8B D3 03 55 FC 8B 4E 04 8D 14 91 8B 4E 04 8B 7D FC 8D 0C B9 2B 45 FC 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 90 8B D3 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 24 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 82 8B 13 E8 ?? ?? ?? ?? 47 83 C3 04 FF 4D F4 75 E5 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B C6 8B 38 FF 57 08 83 C3 04 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_52839_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.InsertRange"
		size = 221
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GrowCheck 006b Move 0081 @FillChar 00a1 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 37 8B D3 03 55 FC 8B 4E 04 8D 14 91 8B 4E 04 8B 7D FC 8D 0C B9 2B 45 FC 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 90 8B D3 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 24 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 82 8B 13 E8 ?? ?? ?? ?? 47 83 C3 04 FF 4D F4 75 E5 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B C6 8B 38 FF 57 08 83 C3 04 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_59911_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.InsertRange"
		size = 221
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.GrowCheck 006b Move 0081 @FillChar 00a1 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 37 8B D3 03 55 FC 8B 4E 04 8D 14 91 8B 4E 04 8B 7D FC 8D 0C B9 2B 45 FC 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 90 8B D3 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 24 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 82 8B 13 E8 ?? ?? ?? ?? 47 83 C3 04 FF 4D F4 75 E5 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B C6 8B 38 FF 57 08 83 C3 04 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_2492_0 {
	meta:
		name = "TList<System.Classes.IObserver>.InsertRange"
		size = 221
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Classes.IObserver>.GrowCheck 006b Move 0081 @FillChar 00a1 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 37 8B D3 03 55 FC 8B 4E 04 8D 14 91 8B 4E 04 8B 7D FC 8D 0C B9 2B 45 FC 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 90 8B D3 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 24 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 82 8B 13 E8 ?? ?? ?? ?? 47 83 C3 04 FF 4D F4 75 E5 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B C6 8B 38 FF 57 08 83 C3 04 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_52395_0 {
	meta:
		name = "TList<System.IInterface>.InsertRange"
		size = 221
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.IInterface>.GrowCheck 006b Move 0081 @FillChar 00a1 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 37 8B D3 03 55 FC 8B 4E 04 8D 14 91 8B 4E 04 8B 7D FC 8D 0C B9 2B 45 FC 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 90 8B D3 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 24 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 82 8B 13 E8 ?? ?? ?? ?? 47 83 C3 04 FF 4D F4 75 E5 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B C6 8B 38 FF 57 08 83 C3 04 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_60402_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.InsertRange"
		size = 221
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.SysUtils.TProc<System.Rtti.TValue>>.GrowCheck 006b Move 0081 @FillChar 00a1 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 37 8B D3 03 55 FC 8B 4E 04 8D 14 91 8B 4E 04 8B 7D FC 8D 0C B9 2B 45 FC 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 90 8B D3 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 24 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 82 8B 13 E8 ?? ?? ?? ?? 47 83 C3 04 FF 4D F4 75 E5 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B C6 8B 38 FF 57 08 83 C3 04 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_88532_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.InsertRange"
		size = 221
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GrowCheck 006b Move 0081 @FillChar 00a1 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 37 8B D3 03 55 FC 8B 4E 04 8D 14 91 8B 4E 04 8B 7D FC 8D 0C B9 2B 45 FC 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 90 8B D3 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 24 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 82 8B 13 E8 ?? ?? ?? ?? 47 83 C3 04 FF 4D F4 75 E5 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B C6 8B 38 FF 57 08 83 C3 04 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_2331_0 {
	meta:
		name = "TList<System.string>.InsertRange"
		size = 130
		refs = "0014 TList<System.string>.InsertRange 003d TList<System.string>.Insert 0052 @IntfClear 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 8B 08 FF 51 10 EB 18 8D 55 FC 8B 45 F8 8B 08 FF 51 18 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 8B 10 FF 52 10 84 C0 75 DC 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15992_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.InsertRange"
		size = 130
		refs = "0014 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.InsertRange 003d TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Insert 0052 @IntfClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 8B 08 FF 51 10 EB 18 8D 55 FC 8B 45 F8 8B 08 FF 51 18 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 8B 10 FF 52 10 84 C0 75 DC 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23676_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.InsertRange"
		size = 130
		refs = "0014 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.InsertRange 003d TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Insert 0052 @IntfClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 8B 08 FF 51 10 EB 18 8D 55 FC 8B 45 F8 8B 08 FF 51 18 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 8B 10 FF 52 10 84 C0 75 DC 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11146_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.InsertRange"
		size = 130
		refs = "0014 TList<Datasnap.DSService.TDSSessionEvent>.InsertRange 003d TList<Datasnap.DSService.TDSSessionEvent>.Insert 0052 @IntfClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 8B 08 FF 51 10 EB 18 8D 55 FC 8B 45 F8 8B 08 FF 51 18 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 8B 10 FF 52 10 84 C0 75 DC 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31357_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.InsertRange"
		size = 130
		refs = "0014 TList<IBIntf.IGDSLibrary>.InsertRange 003d TList<IBIntf.IGDSLibrary>.Insert 0052 @IntfClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 8B 08 FF 51 10 EB 18 8D 55 FC 8B 45 F8 8B 08 FF 51 18 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 8B 10 FF 52 10 84 C0 75 DC 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40377_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.InsertRange"
		size = 130
		refs = "0014 TList<IPPeerAPI.IIPContext>.InsertRange 003d TList<IPPeerAPI.IIPContext>.Insert 0052 @IntfClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 8B 08 FF 51 10 EB 18 8D 55 FC 8B 45 F8 8B 08 FF 51 18 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 8B 10 FF 52 10 84 C0 75 DC 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30844_0 {
	meta:
		name = "TList<System.AnsiString>.InsertRange"
		size = 130
		refs = "0014 TList<System.AnsiString>.InsertRange 003d TList<System.AnsiString>.Insert 0052 @IntfClear 006f @LStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 8B 08 FF 51 10 EB 18 8D 55 FC 8B 45 F8 8B 08 FF 51 18 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 8B 10 FF 52 10 84 C0 75 DC 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56355_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.InsertRange"
		size = 130
		refs = "0014 TList<System.Bindings.EvalProtocol.ILocation>.InsertRange 003d TList<System.Bindings.EvalProtocol.ILocation>.Insert 0052 @IntfClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 8B 08 FF 51 10 EB 18 8D 55 FC 8B 45 F8 8B 08 FF 51 18 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 8B 10 FF 52 10 84 C0 75 DC 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53170_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.InsertRange"
		size = 130
		refs = "0014 TList<System.Bindings.EvalProtocol.IScope>.InsertRange 003d TList<System.Bindings.EvalProtocol.IScope>.Insert 0052 @IntfClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 8B 08 FF 51 10 EB 18 8D 55 FC 8B 45 F8 8B 08 FF 51 18 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 8B 10 FF 52 10 84 C0 75 DC 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51946_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.InsertRange"
		size = 130
		refs = "0014 TList<System.Bindings.EvalProtocol.ISubscription>.InsertRange 003d TList<System.Bindings.EvalProtocol.ISubscription>.Insert 0052 @IntfClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 8B 08 FF 51 10 EB 18 8D 55 FC 8B 45 F8 8B 08 FF 51 18 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 8B 10 FF 52 10 84 C0 75 DC 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52840_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.InsertRange"
		size = 130
		refs = "0014 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.InsertRange 003d TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Insert 0052 @IntfClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 8B 08 FF 51 10 EB 18 8D 55 FC 8B 45 F8 8B 08 FF 51 18 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 8B 10 FF 52 10 84 C0 75 DC 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59912_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.InsertRange"
		size = 130
		refs = "0014 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.InsertRange 003d TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Insert 0052 @IntfClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 8B 08 FF 51 10 EB 18 8D 55 FC 8B 45 F8 8B 08 FF 51 18 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 8B 10 FF 52 10 84 C0 75 DC 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2493_0 {
	meta:
		name = "TList<System.Classes.IObserver>.InsertRange"
		size = 130
		refs = "0014 TList<System.Classes.IObserver>.InsertRange 003d TList<System.Classes.IObserver>.Insert 0052 @IntfClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 8B 08 FF 51 10 EB 18 8D 55 FC 8B 45 F8 8B 08 FF 51 18 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 8B 10 FF 52 10 84 C0 75 DC 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59232_0 {
	meta:
		name = "TList<System.IInterface>.InsertRange"
		size = 130
		refs = "0014 TList<System.IInterface>.InsertRange 003d TList<System.IInterface>.Insert 0052 @IntfClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 8B 08 FF 51 10 EB 18 8D 55 FC 8B 45 F8 8B 08 FF 51 18 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 8B 10 FF 52 10 84 C0 75 DC 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88533_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.InsertRange"
		size = 130
		refs = "0014 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.InsertRange 003d TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Insert 0052 @IntfClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 8B 08 FF 51 10 EB 18 8D 55 FC 8B 45 F8 8B 08 FF 51 18 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 8B 10 FF 52 10 84 C0 75 DC 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2332_0 {
	meta:
		name = "TList<System.string>.InsertRange"
		size = 164
		refs = "0015 TList<System.string>.InsertRange 0022 TEnumerable<System.string>.GetEnumerator 004b TList<System.string>.Insert 0054 TEnumerator<System.string>.MoveNext 007b @HandleFinally 0092 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 FC 8B 45 F8 8B 08 FF 11 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15993_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.InsertRange"
		size = 164
		refs = "0015 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.InsertRange 0022 TEnumerable<Datasnap.DSCommonProxy.IDSProxyWriter>.GetEnumerator 004b TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Insert 0054 TEnumerator<Datasnap.DSCommonProxy.IDSProxyWriter>.MoveNext 007b @HandleFinally 0092 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 FC 8B 45 F8 8B 08 FF 11 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23677_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.InsertRange"
		size = 164
		refs = "0015 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.InsertRange 0022 TEnumerable<Datasnap.DSServer.TDSCallbackTunnelEvent>.GetEnumerator 004b TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Insert 0054 TEnumerator<Datasnap.DSServer.TDSCallbackTunnelEvent>.MoveNext 007b @HandleFinally 0092 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 FC 8B 45 F8 8B 08 FF 11 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11147_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.InsertRange"
		size = 164
		refs = "0015 TList<Datasnap.DSService.TDSSessionEvent>.InsertRange 0022 TEnumerable<Datasnap.DSService.TDSSessionEvent>.GetEnumerator 004b TList<Datasnap.DSService.TDSSessionEvent>.Insert 0054 TEnumerator<Datasnap.DSService.TDSSessionEvent>.MoveNext 007b @HandleFinally 0092 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 FC 8B 45 F8 8B 08 FF 11 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31358_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.InsertRange"
		size = 164
		refs = "0015 TList<IBIntf.IGDSLibrary>.InsertRange 0022 TEnumerable<IBIntf.IGDSLibrary>.GetEnumerator 004b TList<IBIntf.IGDSLibrary>.Insert 0054 TEnumerator<IBIntf.IGDSLibrary>.MoveNext 007b @HandleFinally 0092 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 FC 8B 45 F8 8B 08 FF 11 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40378_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.InsertRange"
		size = 164
		refs = "0015 TList<IPPeerAPI.IIPContext>.InsertRange 0022 TEnumerable<IPPeerAPI.IIPContext>.GetEnumerator 004b TList<IPPeerAPI.IIPContext>.Insert 0054 TEnumerator<IPPeerAPI.IIPContext>.MoveNext 007b @HandleFinally 0092 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 FC 8B 45 F8 8B 08 FF 11 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30845_0 {
	meta:
		name = "TList<System.AnsiString>.InsertRange"
		size = 164
		refs = "0015 TList<System.AnsiString>.InsertRange 0022 TEnumerable<System.AnsiString>.GetEnumerator 004b TList<System.AnsiString>.Insert 0054 TEnumerator<System.AnsiString>.MoveNext 007b @HandleFinally 0092 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 FC 8B 45 F8 8B 08 FF 11 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56356_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.InsertRange"
		size = 164
		refs = "0015 TList<System.Bindings.EvalProtocol.ILocation>.InsertRange 0022 TEnumerable<System.Bindings.EvalProtocol.ILocation>.GetEnumerator 004b TList<System.Bindings.EvalProtocol.ILocation>.Insert 0054 TEnumerator<System.Bindings.EvalProtocol.ILocation>.MoveNext 007b @HandleFinally 0092 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 FC 8B 45 F8 8B 08 FF 11 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53171_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.InsertRange"
		size = 164
		refs = "0015 TList<System.Bindings.EvalProtocol.IScope>.InsertRange 0022 TEnumerable<System.Bindings.EvalProtocol.IScope>.GetEnumerator 004b TList<System.Bindings.EvalProtocol.IScope>.Insert 0054 TEnumerator<System.Bindings.EvalProtocol.IScope>.MoveNext 007b @HandleFinally 0092 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 FC 8B 45 F8 8B 08 FF 11 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51947_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.InsertRange"
		size = 164
		refs = "0015 TList<System.Bindings.EvalProtocol.ISubscription>.InsertRange 0022 TEnumerable<System.Bindings.EvalProtocol.ISubscription>.GetEnumerator 004b TList<System.Bindings.EvalProtocol.ISubscription>.Insert 0054 TEnumerator<System.Bindings.EvalProtocol.ISubscription>.MoveNext 007b @HandleFinally 0092 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 FC 8B 45 F8 8B 08 FF 11 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52841_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.InsertRange"
		size = 164
		refs = "0015 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.InsertRange 0022 TEnumerable<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetEnumerator 004b TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Insert 0054 TEnumerator<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.MoveNext 007b @HandleFinally 0092 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 FC 8B 45 F8 8B 08 FF 11 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59913_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.InsertRange"
		size = 164
		refs = "0015 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.InsertRange 0022 TEnumerable<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.GetEnumerator 004b TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Insert 0054 TEnumerator<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.MoveNext 007b @HandleFinally 0092 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 FC 8B 45 F8 8B 08 FF 11 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2494_0 {
	meta:
		name = "TList<System.Classes.IObserver>.InsertRange"
		size = 164
		refs = "0015 TList<System.Classes.IObserver>.InsertRange 0022 TEnumerable<System.Classes.IObserver>.GetEnumerator 004b TList<System.Classes.IObserver>.Insert 0054 TEnumerator<System.Classes.IObserver>.MoveNext 007b @HandleFinally 0092 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 FC 8B 45 F8 8B 08 FF 11 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59233_0 {
	meta:
		name = "TList<System.IInterface>.InsertRange"
		size = 164
		refs = "0015 TList<System.IInterface>.InsertRange 0022 TEnumerable<System.IInterface>.GetEnumerator 004b TList<System.IInterface>.Insert 0054 TEnumerator<System.IInterface>.MoveNext 007b @HandleFinally 0092 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 FC 8B 45 F8 8B 08 FF 11 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88534_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.InsertRange"
		size = 164
		refs = "0015 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.InsertRange 0022 TEnumerable<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetEnumerator 004b TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Insert 0054 TEnumerator<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.MoveNext 007b @HandleFinally 0092 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 FC 8B 45 F8 8B 08 FF 11 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2336_0 {
	meta:
		name = "TList<System.string>.Extract"
		size = 57
		refs = "000a TList<System.string>.IndexOf 0017 @UStrClr 0026 @UStrAsg 0031 TList<System.string>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 09 8B C7 E8 ?? ?? ?? ?? EB 18 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15997_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Extract"
		size = 57
		refs = "000a TList<Datasnap.DSCommonProxy.IDSProxyWriter>.IndexOf 0017 @IntfClear 0026 @IntfCopy 0031 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 09 8B C7 E8 ?? ?? ?? ?? EB 18 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23681_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Extract"
		size = 57
		refs = "000a TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.IndexOf 0017 @IntfClear 0026 @IntfCopy 0031 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 09 8B C7 E8 ?? ?? ?? ?? EB 18 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11151_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.Extract"
		size = 57
		refs = "000a TList<Datasnap.DSService.TDSSessionEvent>.IndexOf 0017 @IntfClear 0026 @IntfCopy 0031 TList<Datasnap.DSService.TDSSessionEvent>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 09 8B C7 E8 ?? ?? ?? ?? EB 18 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31362_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.Extract"
		size = 57
		refs = "000a TList<IBIntf.IGDSLibrary>.IndexOf 0017 @IntfClear 0026 @IntfCopy 0031 TList<IBIntf.IGDSLibrary>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 09 8B C7 E8 ?? ?? ?? ?? EB 18 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40382_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.Extract"
		size = 57
		refs = "000a TList<IPPeerAPI.IIPContext>.IndexOf 0017 @IntfClear 0026 @IntfCopy 0031 TList<IPPeerAPI.IIPContext>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 09 8B C7 E8 ?? ?? ?? ?? EB 18 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30849_0 {
	meta:
		name = "TList<System.AnsiString>.Extract"
		size = 57
		refs = "000a TList<System.AnsiString>.IndexOf 0017 @LStrClr 0026 @LStrAsg 0031 TList<System.AnsiString>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 09 8B C7 E8 ?? ?? ?? ?? EB 18 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61058_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.Extract"
		size = 57
		refs = "000a TList<System.Bindings.EvalProtocol.ILocation>.IndexOf 0017 @IntfClear 0026 @IntfCopy 0031 TList<System.Bindings.EvalProtocol.ILocation>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 09 8B C7 E8 ?? ?? ?? ?? EB 18 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53175_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.Extract"
		size = 57
		refs = "000a TList<System.Bindings.EvalProtocol.IScope>.IndexOf 0017 @IntfClear 0026 @IntfCopy 0031 TList<System.Bindings.EvalProtocol.IScope>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 09 8B C7 E8 ?? ?? ?? ?? EB 18 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51951_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.Extract"
		size = 57
		refs = "000a TList<System.Bindings.EvalProtocol.ISubscription>.IndexOf 0017 @IntfClear 0026 @IntfCopy 0031 TList<System.Bindings.EvalProtocol.ISubscription>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 09 8B C7 E8 ?? ?? ?? ?? EB 18 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52845_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Extract"
		size = 57
		refs = "000a TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.IndexOf 0017 @IntfClear 0026 @IntfCopy 0031 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 09 8B C7 E8 ?? ?? ?? ?? EB 18 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59917_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Extract"
		size = 57
		refs = "000a TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.IndexOf 0017 @IntfClear 0026 @IntfCopy 0031 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 09 8B C7 E8 ?? ?? ?? ?? EB 18 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2498_0 {
	meta:
		name = "TList<System.Classes.IObserver>.Extract"
		size = 57
		refs = "000a TList<System.Classes.IObserver>.IndexOf 0017 @IntfClear 0026 @IntfCopy 0031 TList<System.Classes.IObserver>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 09 8B C7 E8 ?? ?? ?? ?? EB 18 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52401_0 {
	meta:
		name = "TList<System.IInterface>.Extract"
		size = 57
		refs = "000a TList<System.IInterface>.IndexOf 0017 @IntfClear 0026 @IntfCopy 0031 TList<System.IInterface>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 09 8B C7 E8 ?? ?? ?? ?? EB 18 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60408_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.Extract"
		size = 57
		refs = "000a TList<System.SysUtils.TProc<System.Rtti.TValue>>.IndexOf 0017 @IntfClear 0026 @IntfCopy 0031 TList<System.SysUtils.TProc<System.Rtti.TValue>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 09 8B C7 E8 ?? ?? ?? ?? EB 18 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88538_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Extract"
		size = 57
		refs = "000a TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.IndexOf 0017 @IntfClear 0026 @IntfCopy 0031 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 09 8B C7 E8 ?? ?? ?? ?? EB 18 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2337_0 {
	meta:
		name = "TList<System.string>.Exchange"
		size = 108
		refs = "0012 TList<System.string>.Exchange 0026 @UStrLAsg 0037 @UStrAsg 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15998_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Exchange"
		size = 108
		refs = "0012 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Exchange 0026 @IntfCopy 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23682_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Exchange"
		size = 108
		refs = "0012 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Exchange 0026 @IntfCopy 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11152_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.Exchange"
		size = 108
		refs = "0012 TList<Datasnap.DSService.TDSSessionEvent>.Exchange 0026 @IntfCopy 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31363_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.Exchange"
		size = 108
		refs = "0012 TList<IBIntf.IGDSLibrary>.Exchange 0026 @IntfCopy 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40383_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.Exchange"
		size = 108
		refs = "0012 TList<IPPeerAPI.IIPContext>.Exchange 0026 @IntfCopy 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30850_0 {
	meta:
		name = "TList<System.AnsiString>.Exchange"
		size = 108
		refs = "0012 TList<System.AnsiString>.Exchange 0026 @LStrLAsg 0037 @LStrAsg 005a @LStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_61059_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.Exchange"
		size = 108
		refs = "0012 TList<System.Bindings.EvalProtocol.ILocation>.Exchange 0026 @IntfCopy 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_53176_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.Exchange"
		size = 108
		refs = "0012 TList<System.Bindings.EvalProtocol.IScope>.Exchange 0026 @IntfCopy 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_51952_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.Exchange"
		size = 108
		refs = "0012 TList<System.Bindings.EvalProtocol.ISubscription>.Exchange 0026 @IntfCopy 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52846_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Exchange"
		size = 108
		refs = "0012 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Exchange 0026 @IntfCopy 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59918_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Exchange"
		size = 108
		refs = "0012 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Exchange 0026 @IntfCopy 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2499_0 {
	meta:
		name = "TList<System.Classes.IObserver>.Exchange"
		size = 108
		refs = "0012 TList<System.Classes.IObserver>.Exchange 0026 @IntfCopy 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52402_0 {
	meta:
		name = "TList<System.IInterface>.Exchange"
		size = 108
		refs = "0012 TList<System.IInterface>.Exchange 0026 @IntfCopy 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60409_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.Exchange"
		size = 108
		refs = "0012 TList<System.SysUtils.TProc<System.Rtti.TValue>>.Exchange 0026 @IntfCopy 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88539_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Exchange"
		size = 108
		refs = "0012 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Exchange 0026 @IntfCopy 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2338_0 {
	meta:
		name = "TList<System.string>.Move"
		size = 218
		refs = "0012 TList<System.string>.Move 002f SArgumentOutOfRange 0036 _Dn_EArgumentOutOfRangeException 003b Exception.CreateRes 0040 @RaiseExcept 004e @UStrLAsg 0059 @UStrClr 0077 Move 00a5 @FillChar 00b3 @UStrAsg 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 93 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 E8 ?? ?? ?? ?? 3B F7 7E 1C 8B 43 04 8D 14 B8 8B 43 04 8D 44 B8 04 8B CE 2B CF 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1A 2B FE 8B CF 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15999_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Move"
		size = 218
		refs = "0012 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Move 002f SArgumentOutOfRange 0036 _Dn_EArgumentOutOfRangeException 003b Exception.CreateRes 0040 @RaiseExcept 004e @IntfCopy 0059 @IntfClear 0077 Move 00a5 @FillChar 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 93 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 E8 ?? ?? ?? ?? 3B F7 7E 1C 8B 43 04 8D 14 B8 8B 43 04 8D 44 B8 04 8B CE 2B CF 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1A 2B FE 8B CF 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23683_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Move"
		size = 218
		refs = "0012 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Move 002f SArgumentOutOfRange 0036 _Dn_EArgumentOutOfRangeException 003b Exception.CreateRes 0040 @RaiseExcept 004e @IntfCopy 0059 @IntfClear 0077 Move 00a5 @FillChar 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 93 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 E8 ?? ?? ?? ?? 3B F7 7E 1C 8B 43 04 8D 14 B8 8B 43 04 8D 44 B8 04 8B CE 2B CF 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1A 2B FE 8B CF 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11153_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.Move"
		size = 218
		refs = "0012 TList<Datasnap.DSService.TDSSessionEvent>.Move 002f SArgumentOutOfRange 0036 _Dn_EArgumentOutOfRangeException 003b Exception.CreateRes 0040 @RaiseExcept 004e @IntfCopy 0059 @IntfClear 0077 Move 00a5 @FillChar 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 93 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 E8 ?? ?? ?? ?? 3B F7 7E 1C 8B 43 04 8D 14 B8 8B 43 04 8D 44 B8 04 8B CE 2B CF 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1A 2B FE 8B CF 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31364_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.Move"
		size = 218
		refs = "0012 TList<IBIntf.IGDSLibrary>.Move 002f SArgumentOutOfRange 0036 _Dn_EArgumentOutOfRangeException 003b Exception.CreateRes 0040 @RaiseExcept 004e @IntfCopy 0059 @IntfClear 0077 Move 00a5 @FillChar 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 93 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 E8 ?? ?? ?? ?? 3B F7 7E 1C 8B 43 04 8D 14 B8 8B 43 04 8D 44 B8 04 8B CE 2B CF 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1A 2B FE 8B CF 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40384_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.Move"
		size = 218
		refs = "0012 TList<IPPeerAPI.IIPContext>.Move 002f SArgumentOutOfRange 0036 _Dn_EArgumentOutOfRangeException 003b Exception.CreateRes 0040 @RaiseExcept 004e @IntfCopy 0059 @IntfClear 0077 Move 00a5 @FillChar 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 93 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 E8 ?? ?? ?? ?? 3B F7 7E 1C 8B 43 04 8D 14 B8 8B 43 04 8D 44 B8 04 8B CE 2B CF 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1A 2B FE 8B CF 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30851_0 {
	meta:
		name = "TList<System.AnsiString>.Move"
		size = 218
		refs = "0012 TList<System.AnsiString>.Move 002f SArgumentOutOfRange 0036 _Dn_EArgumentOutOfRangeException 003b Exception.CreateRes 0040 @RaiseExcept 004e @LStrLAsg 0059 @LStrClr 0077 Move 00a5 @FillChar 00b3 @LStrAsg 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 93 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 E8 ?? ?? ?? ?? 3B F7 7E 1C 8B 43 04 8D 14 B8 8B 43 04 8D 44 B8 04 8B CE 2B CF 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1A 2B FE 8B CF 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_61060_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.Move"
		size = 218
		refs = "0012 TList<System.Bindings.EvalProtocol.ILocation>.Move 002f SArgumentOutOfRange 0036 _Dn_EArgumentOutOfRangeException 003b Exception.CreateRes 0040 @RaiseExcept 004e @IntfCopy 0059 @IntfClear 0077 Move 00a5 @FillChar 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 93 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 E8 ?? ?? ?? ?? 3B F7 7E 1C 8B 43 04 8D 14 B8 8B 43 04 8D 44 B8 04 8B CE 2B CF 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1A 2B FE 8B CF 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_53177_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.Move"
		size = 218
		refs = "0012 TList<System.Bindings.EvalProtocol.IScope>.Move 002f SArgumentOutOfRange 0036 _Dn_EArgumentOutOfRangeException 003b Exception.CreateRes 0040 @RaiseExcept 004e @IntfCopy 0059 @IntfClear 0077 Move 00a5 @FillChar 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 93 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 E8 ?? ?? ?? ?? 3B F7 7E 1C 8B 43 04 8D 14 B8 8B 43 04 8D 44 B8 04 8B CE 2B CF 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1A 2B FE 8B CF 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_51953_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.Move"
		size = 218
		refs = "0012 TList<System.Bindings.EvalProtocol.ISubscription>.Move 002f SArgumentOutOfRange 0036 _Dn_EArgumentOutOfRangeException 003b Exception.CreateRes 0040 @RaiseExcept 004e @IntfCopy 0059 @IntfClear 0077 Move 00a5 @FillChar 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 93 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 E8 ?? ?? ?? ?? 3B F7 7E 1C 8B 43 04 8D 14 B8 8B 43 04 8D 44 B8 04 8B CE 2B CF 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1A 2B FE 8B CF 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52847_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Move"
		size = 218
		refs = "0012 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Move 002f SArgumentOutOfRange 0036 _Dn_EArgumentOutOfRangeException 003b Exception.CreateRes 0040 @RaiseExcept 004e @IntfCopy 0059 @IntfClear 0077 Move 00a5 @FillChar 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 93 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 E8 ?? ?? ?? ?? 3B F7 7E 1C 8B 43 04 8D 14 B8 8B 43 04 8D 44 B8 04 8B CE 2B CF 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1A 2B FE 8B CF 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59919_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Move"
		size = 218
		refs = "0012 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Move 002f SArgumentOutOfRange 0036 _Dn_EArgumentOutOfRangeException 003b Exception.CreateRes 0040 @RaiseExcept 004e @IntfCopy 0059 @IntfClear 0077 Move 00a5 @FillChar 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 93 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 E8 ?? ?? ?? ?? 3B F7 7E 1C 8B 43 04 8D 14 B8 8B 43 04 8D 44 B8 04 8B CE 2B CF 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1A 2B FE 8B CF 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2500_0 {
	meta:
		name = "TList<System.Classes.IObserver>.Move"
		size = 218
		refs = "0012 TList<System.Classes.IObserver>.Move 002f SArgumentOutOfRange 0036 _Dn_EArgumentOutOfRangeException 003b Exception.CreateRes 0040 @RaiseExcept 004e @IntfCopy 0059 @IntfClear 0077 Move 00a5 @FillChar 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 93 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 E8 ?? ?? ?? ?? 3B F7 7E 1C 8B 43 04 8D 14 B8 8B 43 04 8D 44 B8 04 8B CE 2B CF 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1A 2B FE 8B CF 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52403_0 {
	meta:
		name = "TList<System.IInterface>.Move"
		size = 218
		refs = "0012 TList<System.IInterface>.Move 002f SArgumentOutOfRange 0036 _Dn_EArgumentOutOfRangeException 003b Exception.CreateRes 0040 @RaiseExcept 004e @IntfCopy 0059 @IntfClear 0077 Move 00a5 @FillChar 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 93 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 E8 ?? ?? ?? ?? 3B F7 7E 1C 8B 43 04 8D 14 B8 8B 43 04 8D 44 B8 04 8B CE 2B CF 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1A 2B FE 8B CF 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60410_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.Move"
		size = 218
		refs = "0012 TList<System.SysUtils.TProc<System.Rtti.TValue>>.Move 002f SArgumentOutOfRange 0036 _Dn_EArgumentOutOfRangeException 003b Exception.CreateRes 0040 @RaiseExcept 004e @IntfCopy 0059 @IntfClear 0077 Move 00a5 @FillChar 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 93 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 E8 ?? ?? ?? ?? 3B F7 7E 1C 8B 43 04 8D 14 B8 8B 43 04 8D 44 B8 04 8B CE 2B CF 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1A 2B FE 8B CF 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88540_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Move"
		size = 218
		refs = "0012 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Move 002f SArgumentOutOfRange 0036 _Dn_EArgumentOutOfRangeException 003b Exception.CreateRes 0040 @RaiseExcept 004e @IntfCopy 0059 @IntfClear 0077 Move 00a5 @FillChar 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 93 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 E8 ?? ?? ?? ?? 3B F7 7E 1C 8B 43 04 8D 14 B8 8B 43 04 8D 44 B8 04 8B CE 2B CF 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1A 2B FE 8B CF 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2345_0 {
	meta:
		name = "TList<System.string>.Reverse"
		size = 120
		refs = "000e TList<System.string>.Reverse 002c @UStrLAsg 003d @UStrAsg 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 33 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 46 4F 3B FE 7F CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16006_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Reverse"
		size = 120
		refs = "000e TList<Datasnap.DSCommonProxy.IDSProxyWriter>.Reverse 002c @IntfCopy 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 33 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 46 4F 3B FE 7F CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23690_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Reverse"
		size = 120
		refs = "000e TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Reverse 002c @IntfCopy 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 33 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 46 4F 3B FE 7F CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11160_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.Reverse"
		size = 120
		refs = "000e TList<Datasnap.DSService.TDSSessionEvent>.Reverse 002c @IntfCopy 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 33 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 46 4F 3B FE 7F CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31371_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.Reverse"
		size = 120
		refs = "000e TList<IBIntf.IGDSLibrary>.Reverse 002c @IntfCopy 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 33 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 46 4F 3B FE 7F CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40391_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.Reverse"
		size = 120
		refs = "000e TList<IPPeerAPI.IIPContext>.Reverse 002c @IntfCopy 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 33 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 46 4F 3B FE 7F CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30858_0 {
	meta:
		name = "TList<System.AnsiString>.Reverse"
		size = 120
		refs = "000e TList<System.AnsiString>.Reverse 002c @LStrLAsg 003d @LStrAsg 0066 @LStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 33 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 46 4F 3B FE 7F CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_61067_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.Reverse"
		size = 120
		refs = "000e TList<System.Bindings.EvalProtocol.ILocation>.Reverse 002c @IntfCopy 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 33 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 46 4F 3B FE 7F CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_53184_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.Reverse"
		size = 120
		refs = "000e TList<System.Bindings.EvalProtocol.IScope>.Reverse 002c @IntfCopy 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 33 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 46 4F 3B FE 7F CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_51960_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.Reverse"
		size = 120
		refs = "000e TList<System.Bindings.EvalProtocol.ISubscription>.Reverse 002c @IntfCopy 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 33 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 46 4F 3B FE 7F CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52854_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Reverse"
		size = 120
		refs = "000e TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Reverse 002c @IntfCopy 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 33 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 46 4F 3B FE 7F CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59926_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Reverse"
		size = 120
		refs = "000e TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Reverse 002c @IntfCopy 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 33 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 46 4F 3B FE 7F CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2507_0 {
	meta:
		name = "TList<System.Classes.IObserver>.Reverse"
		size = 120
		refs = "000e TList<System.Classes.IObserver>.Reverse 002c @IntfCopy 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 33 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 46 4F 3B FE 7F CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52410_0 {
	meta:
		name = "TList<System.IInterface>.Reverse"
		size = 120
		refs = "000e TList<System.IInterface>.Reverse 002c @IntfCopy 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 33 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 46 4F 3B FE 7F CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60417_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.Reverse"
		size = 120
		refs = "000e TList<System.SysUtils.TProc<System.Rtti.TValue>>.Reverse 002c @IntfCopy 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 33 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 46 4F 3B FE 7F CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88547_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Reverse"
		size = 120
		refs = "000e TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Reverse 002c @IntfCopy 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 33 8D 45 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC E8 ?? ?? ?? ?? 46 4F 3B FE 7F CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2351_0 {
	meta:
		name = "TList<System.string>.ToArray"
		size = 138
		refs = "0017 TList<System.string>.ToArray 002f TArray<System.string> 0034 @DynArraySetLength 004e TList<System.string>.GetItem 005e @UStrAsg 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 23 47 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 00 8D 04 98 E8 ?? ?? ?? ?? 43 4F 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16012_0 {
	meta:
		name = "TList<Datasnap.DSCommonProxy.IDSProxyWriter>.ToArray"
		size = 138
		refs = "0017 TList<Datasnap.DSCommonProxy.IDSProxyWriter>.ToArray 002f TArray<Datasnap.DSCommonProxy.IDSProxyWriter> 0034 @DynArraySetLength 004e TList<Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem 005e @IntfCopy 0077 @IntfClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 23 47 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 00 8D 04 98 E8 ?? ?? ?? ?? 43 4F 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23696_0 {
	meta:
		name = "TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.ToArray"
		size = 138
		refs = "0017 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.ToArray 002f TArray<Datasnap.DSServer.TDSCallbackTunnelEvent> 0034 @DynArraySetLength 004e TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.GetItem 005e @IntfCopy 0077 @IntfClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 23 47 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 00 8D 04 98 E8 ?? ?? ?? ?? 43 4F 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11166_0 {
	meta:
		name = "TList<Datasnap.DSService.TDSSessionEvent>.ToArray"
		size = 138
		refs = "0017 TList<Datasnap.DSService.TDSSessionEvent>.ToArray 002f TArray<Datasnap.DSService.TDSSessionEvent> 0034 @DynArraySetLength 004e TList<Datasnap.DSService.TDSSessionEvent>.GetItem 005e @IntfCopy 0077 @IntfClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 23 47 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 00 8D 04 98 E8 ?? ?? ?? ?? 43 4F 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31377_0 {
	meta:
		name = "TList<IBIntf.IGDSLibrary>.ToArray"
		size = 138
		refs = "0017 TList<IBIntf.IGDSLibrary>.ToArray 002f TArray<IBIntf.IGDSLibrary> 0034 @DynArraySetLength 004e TList<IBIntf.IGDSLibrary>.GetItem 005e @IntfCopy 0077 @IntfClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 23 47 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 00 8D 04 98 E8 ?? ?? ?? ?? 43 4F 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40397_0 {
	meta:
		name = "TList<IPPeerAPI.IIPContext>.ToArray"
		size = 138
		refs = "0017 TList<IPPeerAPI.IIPContext>.ToArray 002f TArray<IPPeerAPI.IIPContext> 0034 @DynArraySetLength 004e TList<IPPeerAPI.IIPContext>.GetItem 005e @IntfCopy 0077 @IntfClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 23 47 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 00 8D 04 98 E8 ?? ?? ?? ?? 43 4F 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30864_0 {
	meta:
		name = "TList<System.AnsiString>.ToArray"
		size = 138
		refs = "0017 TList<System.AnsiString>.ToArray 002f TArray<System.AnsiString> 0034 @DynArraySetLength 004e TList<System.AnsiString>.GetItem 005e @LStrAsg 0077 @LStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 23 47 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 00 8D 04 98 E8 ?? ?? ?? ?? 43 4F 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_61073_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ILocation>.ToArray"
		size = 138
		refs = "0017 TList<System.Bindings.EvalProtocol.ILocation>.ToArray 002f TArray<System.Bindings.EvalProtocol.ILocation> 0034 @DynArraySetLength 004e TList<System.Bindings.EvalProtocol.ILocation>.GetItem 005e @IntfCopy 0077 @IntfClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 23 47 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 00 8D 04 98 E8 ?? ?? ?? ?? 43 4F 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53190_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.IScope>.ToArray"
		size = 138
		refs = "0017 TList<System.Bindings.EvalProtocol.IScope>.ToArray 002f TArray<System.Bindings.EvalProtocol.IScope> 0034 @DynArraySetLength 004e TList<System.Bindings.EvalProtocol.IScope>.GetItem 005e @IntfCopy 0077 @IntfClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 23 47 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 00 8D 04 98 E8 ?? ?? ?? ?? 43 4F 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51966_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.ISubscription>.ToArray"
		size = 138
		refs = "0017 TList<System.Bindings.EvalProtocol.ISubscription>.ToArray 002f TArray<System.Bindings.EvalProtocol.ISubscription> 0034 @DynArraySetLength 004e TList<System.Bindings.EvalProtocol.ISubscription>.GetItem 005e @IntfCopy 0077 @IntfClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 23 47 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 00 8D 04 98 E8 ?? ?? ?? ?? 43 4F 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52860_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.ToArray"
		size = 138
		refs = "0017 TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.ToArray 002f TArray<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 0034 @DynArraySetLength 004e TList<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetItem 005e @IntfCopy 0077 @IntfClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 23 47 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 00 8D 04 98 E8 ?? ?? ?? ?? 43 4F 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59932_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.ToArray"
		size = 138
		refs = "0017 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.ToArray 002f TArray<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback> 0034 @DynArraySetLength 004e TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.GetItem 005e @IntfCopy 0077 @IntfClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 23 47 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 00 8D 04 98 E8 ?? ?? ?? ?? 43 4F 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2513_0 {
	meta:
		name = "TList<System.Classes.IObserver>.ToArray"
		size = 138
		refs = "0017 TList<System.Classes.IObserver>.ToArray 002f TArray<System.Classes.IObserver> 0034 @DynArraySetLength 004e TList<System.Classes.IObserver>.GetItem 005e @IntfCopy 0077 @IntfClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 23 47 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 00 8D 04 98 E8 ?? ?? ?? ?? 43 4F 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52416_0 {
	meta:
		name = "TList<System.IInterface>.ToArray"
		size = 138
		refs = "0017 TList<System.IInterface>.ToArray 002f TArray<System.IInterface> 0034 @DynArraySetLength 004e TList<System.IInterface>.GetItem 005e @IntfCopy 0077 @IntfClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 23 47 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 00 8D 04 98 E8 ?? ?? ?? ?? 43 4F 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_60423_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.ToArray"
		size = 138
		refs = "0017 TList<System.SysUtils.TProc<System.Rtti.TValue>>.ToArray 002f TArray<System.Bindings.Outputs.TProc<System.Rtti.TValue>> 0034 @DynArraySetLength 004e TList<System.SysUtils.TProc<System.Rtti.TValue>>.GetItem 005e @IntfCopy 0077 @IntfClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 23 47 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 00 8D 04 98 E8 ?? ?? ?? ?? 43 4F 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88553_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.ToArray"
		size = 138
		refs = "0017 TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.ToArray 002f TArray<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0034 @DynArraySetLength 004e TList<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetItem 005e @IntfCopy 0077 @IntfClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 23 47 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 00 8D 04 98 E8 ?? ?? ?? ?? 43 4F 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2358_0 {
	meta:
		name = "TValue.IsType<System.Boolean>"
		size = 20
		refs = "0009 Boolean 000e TValue.IsType"
	strings:
		$1 = { 51 89 04 24 8B 04 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_67647_0 {
	meta:
		name = "TValue.IsType<System.TClass>"
		size = 20
		refs = "0009 TClass 000e TValue.IsType"
	strings:
		$1 = { 51 89 04 24 8B 04 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_2359_0 {
	meta:
		name = "TComparer<System.Bindings.Expression.TBindingExpression>.Default"
		size = 32
		refs = "000a TBindingExpression 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_28897_0 {
	meta:
		name = "TComparer<DSAzureBlob.TBBlob>.Default"
		size = 32
		refs = "000a TBBlob 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_28913_0 {
	meta:
		name = "TComparer<DSAzureBlob.TBBlock>.Default"
		size = 32
		refs = "000a TBBlock 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_28797_0 {
	meta:
		name = "TComparer<DSAzureBlob.TBContainer>.Default"
		size = 32
		refs = "000a TBContainer 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_28909_0 {
	meta:
		name = "TComparer<DSAzureBlob.TBPageRange>.Default"
		size = 32
		refs = "000a TBPageRange 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_28905_0 {
	meta:
		name = "TComparer<DSAzureBlob.TBSignedIdentifier>.Default"
		size = 32
		refs = "000a TBSignedIdentifier 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_28901_0 {
	meta:
		name = "TComparer<DSAzureBlob.TLeaseItem>.Default"
		size = 32
		refs = "000a TLeaseItem 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29092_0 {
	meta:
		name = "TComparer<DSAzureQueue.TMessageNodeData>.Default"
		size = 32
		refs = "000a TMessageNodeData 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29528_0 {
	meta:
		name = "TComparer<DSAzureTableDialog.TAzureTableColumn>.Default"
		size = 32
		refs = "000a TAzureTableColumn 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29510_0 {
	meta:
		name = "TComparer<DSAzureTableDialog.TAzureTableRow>.Default"
		size = 32
		refs = "000a TAzureTableRow 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2367_0 {
	meta:
		name = "TComparer<Data.Bind.Components.TBasicBindComponent>.Default"
		size = 32
		refs = "000a TBasicBindComponent 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2520_0 {
	meta:
		name = "TComparer<Data.Bind.Components.TBindEditorFactoryClass>.Default"
		size = 32
		refs = "000a TBindEditorFactoryClass 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2363_0 {
	meta:
		name = "TComparer<Data.Bind.Components.TContainedBindComponent>.Default"
		size = 32
		refs = "000a TContainedBindComponent 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2777_0 {
	meta:
		name = "TComparer<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Default"
		size = 32
		refs = "000a TBindDBColumnFactoryClass 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3184_0 {
	meta:
		name = "TComparer<Data.Bind.DBScope.TBaseDataLink>.Default"
		size = 32
		refs = "000a TBaseDataLink 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4825_0 {
	meta:
		name = "TComparer<Data.Cloud.AzureAPI.TAzureBlob>.Default"
		size = 32
		refs = "000a TAzureBlob 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4817_0 {
	meta:
		name = "TComparer<Data.Cloud.AzureAPI.TAzureContainer>.Default"
		size = 32
		refs = "000a TAzureContainer 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4821_0 {
	meta:
		name = "TComparer<Data.Cloud.AzureAPI.TSignedIdentifier>.Default"
		size = 32
		refs = "000a TSignedIdentifier 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4805_0 {
	meta:
		name = "TComparer<Data.Cloud.CloudAPI.TCloudQueueMessage>.Default"
		size = 32
		refs = "000a TCloudQueueMessage 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4115_0 {
	meta:
		name = "TComparer<Data.Cloud.CloudAPI.TCloudTableColumn>.Default"
		size = 32
		refs = "000a TCloudTableColumn 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4083_0 {
	meta:
		name = "TComparer<Data.Cloud.CloudAPI.TCloudTableRow>.Default"
		size = 32
		refs = "000a TCloudTableRow 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18607_0 {
	meta:
		name = "TComparer<Data.DBXCommon.TDBXParameter>.Default"
		size = 32
		refs = "000a TDBXParameter 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8062_0 {
	meta:
		name = "TComparer<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Default"
		size = 32
		refs = "000a TDBXScheduler.TDBXSchedulerRec 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8637_0 {
	meta:
		name = "TComparer<Data.DBXCommon.TDBXWritableValueArray>.Default"
		size = 32
		refs = "000a TDBXWritableValueArray 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_25383_0 {
	meta:
		name = "TComparer<Data.DBXCommon.TResultCommandHandler>.Default"
		size = 32
		refs = "000a TResultCommandHandler 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10617_0 {
	meta:
		name = "TComparer<Data.DBXJSON.TJSONAncestor>.Default"
		size = 32
		refs = "000a TJSONAncestor 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10613_0 {
	meta:
		name = "TComparer<Data.DBXJSONReflect.TConverterEvent>.Default"
		size = 32
		refs = "000a TConverterEvent 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10639_0 {
	meta:
		name = "TComparer<Data.DBXJSONReflect.TReverterEvent>.Default"
		size = 32
		refs = "000a TReverterEvent 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11255_0 {
	meta:
		name = "TComparer<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Default"
		size = 32
		refs = "000a TDBXJSonServerProtocolHandler 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16424_0 {
	meta:
		name = "TComparer<Datasnap.DSClientRest.TDSRestClientCallback>.Default"
		size = 32
		refs = "000a TDSRestClientCallback 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_21703_0 {
	meta:
		name = "TComparer<Datasnap.DSCommonProxy.IDSProxyWriter>.Default"
		size = 32
		refs = "000a IDSProxyWriter 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17435_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTP.TDSHTTPClass>.Default"
		size = 32
		refs = "000a TDSHTTPClass 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18712_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTPCommon.TDSCallbackItem>.Default"
		size = 32
		refs = "000a TDSCallbackItem 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18611_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Default"
		size = 32
		refs = "000a TDSCommandComplexParams 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18266_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Default"
		size = 32
		refs = "000a TDSExecutionResponse 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_24056_0 {
	meta:
		name = "TComparer<Datasnap.DSServer.TDSCallbackTunnel>.Default"
		size = 32
		refs = "000a TDSCallbackTunnel 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_24052_0 {
	meta:
		name = "TComparer<Datasnap.DSServer.TDSCallbackTunnelEvent>.Default"
		size = 32
		refs = "000a TDSCallbackTunnelEvent 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_25047_0 {
	meta:
		name = "TComparer<Datasnap.DSService.TDBXRequestFilter>.Default"
		size = 32
		refs = "000a TDBXRequestFilter 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_25349_0 {
	meta:
		name = "TComparer<Datasnap.DSService.TDSSession>.Default"
		size = 32
		refs = "000a TDSSession 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_25345_0 {
	meta:
		name = "TComparer<Datasnap.DSService.TDSSessionEvent>.Default"
		size = 32
		refs = "000a TDSSessionEvent 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29833_0 {
	meta:
		name = "TComparer<GraphView.TGraphEdge>.Default"
		size = 32
		refs = "000a TGraphEdge 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29841_0 {
	meta:
		name = "TComparer<GraphView.TGraphNode>.Default"
		size = 32
		refs = "000a TGraphNode 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29837_0 {
	meta:
		name = "TComparer<GraphView.TObjectList<GraphView.TGraphEdge>>.Default"
		size = 32
		refs = "000a TObjectList<GraphView.TGraphEdge> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30693_0 {
	meta:
		name = "TComparer<IBDatabase.TIBBase>.Default"
		size = 32
		refs = "000a TIBBase 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30701_0 {
	meta:
		name = "TComparer<IBDatabase.TIBDatabase>.Default"
		size = 32
		refs = "000a TIBDatabase 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30697_0 {
	meta:
		name = "TComparer<IBDatabase.TIBTransaction>.Default"
		size = 32
		refs = "000a TIBTransaction 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31398_0 {
	meta:
		name = "TComparer<IBIntf.IGDSLibrary>.Default"
		size = 32
		refs = "000a IGDSLibrary 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_40429_0 {
	meta:
		name = "TComparer<IPPeerAPI.IIPContext>.Default"
		size = 32
		refs = "000a IIPContext 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_43090_0 {
	meta:
		name = "TComparer<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Default"
		size = 32
		refs = "000a TDictionary<System.TGUID,System.TClass> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_40425_0 {
	meta:
		name = "TComparer<IdContext.TIdContext>.Default"
		size = 32
		refs = "000a TIdContext 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30871_0 {
	meta:
		name = "TComparer<System.AnsiString>.Default"
		size = 32
		refs = "000a AnsiString 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_54666_0 {
	meta:
		name = "TComparer<System.Bindings.CustomScope.TScopeClass>.Default"
		size = 32
		refs = "000a TScopeClass 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_51387_0 {
	meta:
		name = "TComparer<System.Bindings.EvalProtocol.ILocation>.Default"
		size = 32
		refs = "000a ILocation 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_53345_0 {
	meta:
		name = "TComparer<System.Bindings.EvalProtocol.IScope>.Default"
		size = 32
		refs = "000a IScope 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_54340_0 {
	meta:
		name = "TComparer<System.Bindings.EvalProtocol.ISubscription>.Default"
		size = 32
		refs = "000a ISubscription 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_52906_0 {
	meta:
		name = "TComparer<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Default"
		size = 32
		refs = "000a TFunc<System.Rtti.TValue,System.Rtti.TValue> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_52867_0 {
	meta:
		name = "TComparer<System.Bindings.EvalSys.TOverload>.Default"
		size = 32
		refs = "000a TOverload 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56508_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Default"
		size = 32
		refs = "000a TDictionary<System.IInterface,System.Pointer> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56475_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Default"
		size = 32
		refs = "000a TDictionary<System.string,System.Int64> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56523_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Default"
		size = 32
		refs = "000a TDictionary<System.string,System.Integer> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_57125_0 {
	meta:
		name = "TComparer<System.Bindings.Manager.TBindingManager>.Default"
		size = 32
		refs = "000a TBindingManager 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58728_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Default"
		size = 32
		refs = "000a TDictionary<System.IInterface,System.Pointer> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58710_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Default"
		size = 32
		refs = "000a TDictionary<System.string,System.Int64> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58681_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Default"
		size = 32
		refs = "000a TDictionary<System.string,System.Integer> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_60674_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Default"
		size = 32
		refs = "000a TBindingCallbackFactory.TBindingCallback 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61393_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Default"
		size = 32
		refs = "000a TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2554_0 {
	meta:
		name = "TComparer<System.Classes.IObserver>.Default"
		size = 32
		refs = "000a IObserver 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88574_0 {
	meta:
		name = "TComparer<System.Classes.TComponent>.Default"
		size = 32
		refs = "000a TComponent 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16033_0 {
	meta:
		name = "TComparer<System.Classes.TStream>.Default"
		size = 32
		refs = "000a TStream 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_24092_0 {
	meta:
		name = "TComparer<System.Classes.TStrings>.Default"
		size = 32
		refs = "000a TStrings 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_63668_0 {
	meta:
		name = "TComparer<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Default"
		size = 32
		refs = "000a TLocalTimeZone.TYearlyChanges 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56977_0 {
	meta:
		name = "TComparer<System.IInterface>.Default"
		size = 32
		refs = "000a IInterface 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2550_0 {
	meta:
		name = "TComparer<System.Integer>.Default"
		size = 32
		refs = "000a Integer 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_23073_0 {
	meta:
		name = "TComparer<System.Masks.TMask>.Default"
		size = 32
		refs = "000a TMask 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68488_0 {
	meta:
		name = "TComparer<System.Pointer>.Default"
		size = 32
		refs = "000a Pointer 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68466_0 {
	meta:
		name = "TComparer<System.Rtti.TRttiField>.Default"
		size = 32
		refs = "000a TRttiField 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68470_0 {
	meta:
		name = "TComparer<System.Rtti.TRttiManagedField>.Default"
		size = 32
		refs = "000a TRttiManagedField 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68462_0 {
	meta:
		name = "TComparer<System.Rtti.TRttiMethod>.Default"
		size = 32
		refs = "000a TRttiMethod 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68492_0 {
	meta:
		name = "TComparer<System.Rtti.TRttiObject>.Default"
		size = 32
		refs = "000a TRttiObject 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67809_0 {
	meta:
		name = "TComparer<System.Rtti.TRttiPackage>.Default"
		size = 32
		refs = "000a TRttiPackage 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68458_0 {
	meta:
		name = "TComparer<System.Rtti.TRttiProperty>.Default"
		size = 32
		refs = "000a TRttiProperty 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68241_0 {
	meta:
		name = "TComparer<System.Rtti.TVirtualInterface.TImplInfo>.Default"
		size = 32
		refs = "000a TVirtualInterface.TImplInfo 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68237_0 {
	meta:
		name = "TComparer<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Default"
		size = 32
		refs = "000a TVirtualMethodInterceptor.TInterceptInfo 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61127_0 {
	meta:
		name = "TComparer<System.SysUtils.TProc<System.Rtti.TValue>>.Default"
		size = 32
		refs = "000a TProc<System.Rtti.TValue> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_54662_0 {
	meta:
		name = "TComparer<System.TClass>.Default"
		size = 32
		refs = "000a TClass 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68453_0 {
	meta:
		name = "TComparer<System.TCustomAttribute>.Default"
		size = 32
		refs = "000a TCustomAttribute 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_53831_0 {
	meta:
		name = "TComparer<System.TObject>.Default"
		size = 32
		refs = "000a TObject 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68520_0 {
	meta:
		name = "TComparer<System.TypInfo.PTypeInfo>.Default"
		size = 32
		refs = "000a PTypeInfo 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96424_0 {
	meta:
		name = "TComparer<System.string>.Default"
		size = 32
		refs = "000a string 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89036_0 {
	meta:
		name = "TComparer<Vcl.Controls.TControl>.Default"
		size = 32
		refs = "000a TControl 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89343_0 {
	meta:
		name = "TComparer<Vcl.Controls.TCustomGestureCollectionItem>.Default"
		size = 32
		refs = "000a TCustomGestureCollectionItem 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88934_0 {
	meta:
		name = "TComparer<Vcl.Controls.TCustomGestureManager>.Default"
		size = 32
		refs = "000a TCustomGestureManager 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78625_0 {
	meta:
		name = "TComparer<Vcl.Direct2D.TDirect2DGraphicsObject>.Default"
		size = 32
		refs = "000a TDirect2DGraphicsObject 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_86723_0 {
	meta:
		name = "TComparer<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Default"
		size = 32
		refs = "000a TList<Vcl.Themes.TStyleHookClass> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88059_0 {
	meta:
		name = "TComparer<Vcl.Themes.TCustomStyleEngineClass>.Default"
		size = 32
		refs = "000a TCustomStyleEngineClass 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88063_0 {
	meta:
		name = "TComparer<Vcl.Themes.TCustomStyleServices>.Default"
		size = 32
		refs = "000a TCustomStyleServices 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88088_0 {
	meta:
		name = "TComparer<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Default"
		size = 32
		refs = "000a TList<Vcl.Themes.TStyleHookClass> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_86702_0 {
	meta:
		name = "TComparer<Vcl.Themes.TStyleHook>.Default"
		size = 32
		refs = "000a TStyleHook 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_87761_0 {
	meta:
		name = "TComparer<Vcl.Themes.TStyleHookClass>.Default"
		size = 32
		refs = "000a TStyleHookClass 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88578_0 {
	meta:
		name = "TComparer<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Default"
		size = 32
		refs = "000a TGestureProviderChangeEvent 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89057_0 {
	meta:
		name = "TComparer<Vcl.Touch.GestureMgr.TGestureCollection>.Default"
		size = 32
		refs = "000a TGestureCollection 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89621_0 {
	meta:
		name = "TComparer<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Default"
		size = 32
		refs = "000a TCustomKeyboardButton 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89629_0 {
	meta:
		name = "TComparer<Vcl.Touch.KeyboardTypes.TKeyData>.Default"
		size = 32
		refs = "000a TKeyData 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89915_0 {
	meta:
		name = "TComparer<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Default"
		size = 32
		refs = "000a TVirtualKeyLayout 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89907_0 {
	meta:
		name = "TComparer<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Default"
		size = 32
		refs = "000a TVirtualKeys 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 04 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2360_0 {
	meta:
		name = "TComparer<System.Bindings.Expression.TBindingExpression>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Expression.TBindingExpression> 0010 TDelegatedComparer<System.Bindings.Expression.TBindingExpression>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26923_0 {
	meta:
		name = "TComparer<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<DSAzDlgBlockBlob.TPair<System.string,System.string>> 0010 TDelegatedComparer<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27147_0 {
	meta:
		name = "TComparer<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<DSAzDlgCopyBlob.TPair<System.string,System.string>> 0010 TDelegatedComparer<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27351_0 {
	meta:
		name = "TComparer<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<DSAzDlgCreateContainer.TPair<System.string,System.string>> 0010 TDelegatedComparer<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27583_0 {
	meta:
		name = "TComparer<DSAzDlgPageBlob.TPair<System.string,System.string>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<DSAzDlgPageBlob.TPair<System.string,System.string>> 0010 TDelegatedComparer<DSAzDlgPageBlob.TPair<System.string,System.string>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27800_0 {
	meta:
		name = "TComparer<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<DSAzDlgPutBlockList.TPair<System.string,System.string>> 0010 TDelegatedComparer<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28001_0 {
	meta:
		name = "TComparer<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<DSAzDlgSnapshotBlob.TPair<System.string,System.string>> 0010 TDelegatedComparer<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28898_0 {
	meta:
		name = "TComparer<DSAzureBlob.TBBlob>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<DSAzureBlob.TBBlob> 0010 TDelegatedComparer<DSAzureBlob.TBBlob>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28914_0 {
	meta:
		name = "TComparer<DSAzureBlob.TBBlock>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<DSAzureBlob.TBBlock> 0010 TDelegatedComparer<DSAzureBlob.TBBlock>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28798_0 {
	meta:
		name = "TComparer<DSAzureBlob.TBContainer>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<DSAzureBlob.TBContainer> 0010 TDelegatedComparer<DSAzureBlob.TBContainer>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28910_0 {
	meta:
		name = "TComparer<DSAzureBlob.TBPageRange>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<DSAzureBlob.TBPageRange> 0010 TDelegatedComparer<DSAzureBlob.TBPageRange>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28906_0 {
	meta:
		name = "TComparer<DSAzureBlob.TBSignedIdentifier>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<DSAzureBlob.TBSignedIdentifier> 0010 TDelegatedComparer<DSAzureBlob.TBSignedIdentifier>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28902_0 {
	meta:
		name = "TComparer<DSAzureBlob.TLeaseItem>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<DSAzureBlob.TLeaseItem> 0010 TDelegatedComparer<DSAzureBlob.TLeaseItem>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28921_0 {
	meta:
		name = "TComparer<DSAzureBlob.TPair<System.string,System.string>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<DSAzureBlob.TPair<System.string,System.string>> 0010 TDelegatedComparer<DSAzureBlob.TPair<System.string,System.string>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29093_0 {
	meta:
		name = "TComparer<DSAzureQueue.TMessageNodeData>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<DSAzureQueue.TMessageNodeData> 0010 TDelegatedComparer<DSAzureQueue.TMessageNodeData>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29529_0 {
	meta:
		name = "TComparer<DSAzureTableDialog.TAzureTableColumn>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<DSAzureTableDialog.TAzureTableColumn> 0010 TDelegatedComparer<DSAzureTableDialog.TAzureTableColumn>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29511_0 {
	meta:
		name = "TComparer<DSAzureTableDialog.TAzureTableRow>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<DSAzureTableDialog.TAzureTableRow> 0010 TDelegatedComparer<DSAzureTableDialog.TAzureTableRow>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29515_0 {
	meta:
		name = "TComparer<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>> 0010 TDelegatedComparer<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2368_0 {
	meta:
		name = "TComparer<Data.Bind.Components.TBasicBindComponent>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Bind.Components.TBasicBindComponent> 0010 TDelegatedComparer<Data.Bind.Components.TBasicBindComponent>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2521_0 {
	meta:
		name = "TComparer<Data.Bind.Components.TBindEditorFactoryClass>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Bind.Components.TBindEditorFactoryClass> 0010 TDelegatedComparer<Data.Bind.Components.TBindEditorFactoryClass>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2364_0 {
	meta:
		name = "TComparer<Data.Bind.Components.TContainedBindComponent>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Bind.Components.TContainedBindComponent> 0010 TDelegatedComparer<Data.Bind.Components.TContainedBindComponent>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2541_0 {
	meta:
		name = "TComparer<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>> 0010 TDelegatedComparer<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2778_0 {
	meta:
		name = "TComparer<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Bind.DBLinks.TBindDBColumnFactoryClass> 0010 TDelegatedComparer<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3185_0 {
	meta:
		name = "TComparer<Data.Bind.DBScope.TBaseDataLink>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Bind.DBScope.TBaseDataLink> 0010 TDelegatedComparer<Data.Bind.DBScope.TBaseDataLink>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3171_0 {
	meta:
		name = "TComparer<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>> 0010 TDelegatedComparer<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4080_0 {
	meta:
		name = "TComparer<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Cloud.AmazonAPI.TAmazonBatchRow> 0010 TDelegatedComparer<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4100_0 {
	meta:
		name = "TComparer<Data.Cloud.AmazonAPI.TAmazonGrant>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Cloud.AmazonAPI.TAmazonGrant> 0010 TDelegatedComparer<Data.Cloud.AmazonAPI.TAmazonGrant>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4108_0 {
	meta:
		name = "TComparer<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Cloud.AmazonAPI.TAmazonMultipartPart> 0010 TDelegatedComparer<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4104_0 {
	meta:
		name = "TComparer<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem> 0010 TDelegatedComparer<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4112_0 {
	meta:
		name = "TComparer<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Cloud.AmazonAPI.TAmazonNotificationEvent> 0010 TDelegatedComparer<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4096_0 {
	meta:
		name = "TComparer<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Cloud.AmazonAPI.TAmazonObjectResult> 0010 TDelegatedComparer<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4076_0 {
	meta:
		name = "TComparer<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Cloud.AmazonAPI.TAmazonRowConditional> 0010 TDelegatedComparer<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4826_0 {
	meta:
		name = "TComparer<Data.Cloud.AzureAPI.TAzureBlob>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Cloud.AzureAPI.TAzureBlob> 0010 TDelegatedComparer<Data.Cloud.AzureAPI.TAzureBlob>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4830_0 {
	meta:
		name = "TComparer<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Cloud.AzureAPI.TAzureBlobPageRange> 0010 TDelegatedComparer<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4814_0 {
	meta:
		name = "TComparer<Data.Cloud.AzureAPI.TAzureBlockListItem>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Cloud.AzureAPI.TAzureBlockListItem> 0010 TDelegatedComparer<Data.Cloud.AzureAPI.TAzureBlockListItem>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4818_0 {
	meta:
		name = "TComparer<Data.Cloud.AzureAPI.TAzureContainer>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Cloud.AzureAPI.TAzureContainer> 0010 TDelegatedComparer<Data.Cloud.AzureAPI.TAzureContainer>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4822_0 {
	meta:
		name = "TComparer<Data.Cloud.AzureAPI.TSignedIdentifier>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Cloud.AzureAPI.TSignedIdentifier> 0010 TDelegatedComparer<Data.Cloud.AzureAPI.TSignedIdentifier>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4092_0 {
	meta:
		name = "TComparer<Data.Cloud.CloudAPI.TCloudQueue>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Cloud.CloudAPI.TCloudQueue> 0010 TDelegatedComparer<Data.Cloud.CloudAPI.TCloudQueue>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4088_0 {
	meta:
		name = "TComparer<Data.Cloud.CloudAPI.TCloudQueueMessage>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Cloud.CloudAPI.TCloudQueueMessage> 0010 TDelegatedComparer<Data.Cloud.CloudAPI.TCloudQueueMessage>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4116_0 {
	meta:
		name = "TComparer<Data.Cloud.CloudAPI.TCloudTableColumn>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Cloud.CloudAPI.TCloudTableColumn> 0010 TDelegatedComparer<Data.Cloud.CloudAPI.TCloudTableColumn>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4084_0 {
	meta:
		name = "TComparer<Data.Cloud.CloudAPI.TCloudTableRow>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.Cloud.CloudAPI.TCloudTableRow> 0010 TDelegatedComparer<Data.Cloud.CloudAPI.TCloudTableRow>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16525_0 {
	meta:
		name = "TComparer<Data.DBXCommon.TDBXParameter>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.DBXCommon.TDBXParameter> 0010 TDelegatedComparer<Data.DBXCommon.TDBXParameter>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8063_0 {
	meta:
		name = "TComparer<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec> 0010 TDelegatedComparer<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8638_0 {
	meta:
		name = "TComparer<Data.DBXCommon.TDBXWritableValueArray>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.DBXCommon.TDBXWritableValueArray> 0010 TDelegatedComparer<Data.DBXCommon.TDBXWritableValueArray>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8081_0 {
	meta:
		name = "TComparer<Data.DBXCommon.TEventPointer>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.DBXCommon.TEventPointer> 0010 TDelegatedComparer<Data.DBXCommon.TEventPointer>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8067_0 {
	meta:
		name = "TComparer<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>> 0010 TDelegatedComparer<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25384_0 {
	meta:
		name = "TComparer<Data.DBXCommon.TResultCommandHandler>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.DBXCommon.TResultCommandHandler> 0010 TDelegatedComparer<Data.DBXCommon.TResultCommandHandler>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10618_0 {
	meta:
		name = "TComparer<Data.DBXJSON.TJSONAncestor>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.DBXJSON.TJSONAncestor> 0010 TDelegatedComparer<Data.DBXJSON.TJSONAncestor>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18724_0 {
	meta:
		name = "TComparer<Data.DBXJSONReflect.TConverterEvent>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.DBXJSONReflect.TConverterEvent> 0010 TDelegatedComparer<Data.DBXJSONReflect.TConverterEvent>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10589_0 {
	meta:
		name = "TComparer<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>> 0010 TDelegatedComparer<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10600_0 {
	meta:
		name = "TComparer<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 0010 TDelegatedComparer<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10633_0 {
	meta:
		name = "TComparer<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 0010 TDelegatedComparer<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10622_0 {
	meta:
		name = "TComparer<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.DBXJSONReflect.TPair<System.string,System.TObject>> 0010 TDelegatedComparer<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18735_0 {
	meta:
		name = "TComparer<Data.DBXJSONReflect.TReverterEvent>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.DBXJSONReflect.TReverterEvent> 0010 TDelegatedComparer<Data.DBXJSONReflect.TReverterEvent>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11256_0 {
	meta:
		name = "TComparer<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler> 0010 TDelegatedComparer<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11246_0 {
	meta:
		name = "TComparer<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>> 0010 TDelegatedComparer<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11418_0 {
	meta:
		name = "TComparer<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>> 0010 TDelegatedComparer<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16038_0 {
	meta:
		name = "TComparer<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0010 TDelegatedComparer<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16020_0 {
	meta:
		name = "TComparer<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>> 0010 TDelegatedComparer<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16425_0 {
	meta:
		name = "TComparer<Datasnap.DSClientRest.TDSRestClientCallback>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSClientRest.TDSRestClientCallback> 0010 TDelegatedComparer<Datasnap.DSClientRest.TDSRestClientCallback>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16532_0 {
	meta:
		name = "TComparer<Datasnap.DSClientRest.TPair<System.string,System.string>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSClientRest.TPair<System.string,System.string>> 0010 TDelegatedComparer<Datasnap.DSClientRest.TPair<System.string,System.string>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23085_0 {
	meta:
		name = "TComparer<Datasnap.DSCommonProxy.IDSProxyWriter>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSCommonProxy.IDSProxyWriter> 0010 TDelegatedComparer<Datasnap.DSCommonProxy.IDSProxyWriter>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17436_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTP.TDSHTTPClass>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSHTTP.TDSHTTPClass> 0010 TDelegatedComparer<Datasnap.DSHTTP.TDSHTTPClass>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17422_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>> 0010 TDelegatedComparer<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18713_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTPCommon.TDSCallbackItem>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSHTTPCommon.TDSCallbackItem> 0010 TDelegatedComparer<Datasnap.DSHTTPCommon.TDSCallbackItem>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18612_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSHTTPCommon.TDSCommandComplexParams> 0010 TDelegatedComparer<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18267_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSHTTPCommon.TDSExecutionResponse> 0010 TDelegatedComparer<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18684_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo> 0010 TDelegatedComparer<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18717_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 0010 TDelegatedComparer<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18728_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 0010 TDelegatedComparer<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18699_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>> 0010 TDelegatedComparer<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18871_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>> 0010 TDelegatedComparer<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19142_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>> 0010 TDelegatedComparer<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19550_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0010 TDelegatedComparer<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19845_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0010 TDelegatedComparer<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20133_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0010 TDelegatedComparer<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20415_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0010 TDelegatedComparer<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20906_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0010 TDelegatedComparer<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20895_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>> 0010 TDelegatedComparer<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21120_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>> 0010 TDelegatedComparer<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21403_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0010 TDelegatedComparer<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21690_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0010 TDelegatedComparer<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21957_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0010 TDelegatedComparer<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22249_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0010 TDelegatedComparer<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22542_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0010 TDelegatedComparer<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23078_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0010 TDelegatedComparer<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23060_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>> 0010 TDelegatedComparer<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24057_0 {
	meta:
		name = "TComparer<Datasnap.DSServer.TDSCallbackTunnel>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSServer.TDSCallbackTunnel> 0010 TDelegatedComparer<Datasnap.DSServer.TDSCallbackTunnel>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24053_0 {
	meta:
		name = "TComparer<Datasnap.DSServer.TDSCallbackTunnelEvent>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSServer.TDSCallbackTunnelEvent> 0010 TDelegatedComparer<Datasnap.DSServer.TDSCallbackTunnelEvent>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24061_0 {
	meta:
		name = "TComparer<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 0010 TDelegatedComparer<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24075_0 {
	meta:
		name = "TComparer<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 0010 TDelegatedComparer<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24086_0 {
	meta:
		name = "TComparer<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>> 0010 TDelegatedComparer<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25048_0 {
	meta:
		name = "TComparer<Datasnap.DSService.TDBXRequestFilter>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSService.TDBXRequestFilter> 0010 TDelegatedComparer<Datasnap.DSService.TDBXRequestFilter>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18878_0 {
	meta:
		name = "TComparer<Datasnap.DSService.TDSSession>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSService.TDSSession> 0010 TDelegatedComparer<Datasnap.DSService.TDSSession>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11260_0 {
	meta:
		name = "TComparer<Datasnap.DSService.TDSSessionEvent>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSService.TDSSessionEvent> 0010 TDelegatedComparer<Datasnap.DSService.TDSSessionEvent>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25374_0 {
	meta:
		name = "TComparer<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>> 0010 TDelegatedComparer<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25354_0 {
	meta:
		name = "TComparer<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>> 0010 TDelegatedComparer<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25403_0 {
	meta:
		name = "TComparer<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>> 0010 TDelegatedComparer<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25392_0 {
	meta:
		name = "TComparer<Datasnap.DSService.TPair<System.string,System.TObject>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSService.TPair<System.string,System.TObject>> 0010 TDelegatedComparer<Datasnap.DSService.TPair<System.string,System.TObject>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25388_0 {
	meta:
		name = "TComparer<Datasnap.DSService.TPair<System.string,System.string>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSService.TPair<System.string,System.string>> 0010 TDelegatedComparer<Datasnap.DSService.TPair<System.string,System.string>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25716_0 {
	meta:
		name = "TComparer<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>> 0010 TDelegatedComparer<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29834_0 {
	meta:
		name = "TComparer<GraphView.TGraphEdge>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<GraphView.TGraphEdge> 0010 TDelegatedComparer<GraphView.TGraphEdge>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29842_0 {
	meta:
		name = "TComparer<GraphView.TGraphNode>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<GraphView.TGraphNode> 0010 TDelegatedComparer<GraphView.TGraphNode>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29838_0 {
	meta:
		name = "TComparer<GraphView.TObjectList<GraphView.TGraphEdge>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<GraphView.TObjectList<GraphView.TGraphEdge>> 0010 TDelegatedComparer<GraphView.TObjectList<GraphView.TGraphEdge>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30694_0 {
	meta:
		name = "TComparer<IBDatabase.TIBBase>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<IBDatabase.TIBBase> 0010 TDelegatedComparer<IBDatabase.TIBBase>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30702_0 {
	meta:
		name = "TComparer<IBDatabase.TIBDatabase>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<IBDatabase.TIBDatabase> 0010 TDelegatedComparer<IBDatabase.TIBDatabase>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30698_0 {
	meta:
		name = "TComparer<IBDatabase.TIBTransaction>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<IBDatabase.TIBTransaction> 0010 TDelegatedComparer<IBDatabase.TIBTransaction>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31399_0 {
	meta:
		name = "TComparer<IBIntf.IGDSLibrary>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<IBIntf.IGDSLibrary> 0010 TDelegatedComparer<IBIntf.IGDSLibrary>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31385_0 {
	meta:
		name = "TComparer<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>> 0010 TDelegatedComparer<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40430_0 {
	meta:
		name = "TComparer<IPPeerAPI.IIPContext>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<IPPeerAPI.IIPContext> 0010 TDelegatedComparer<IPPeerAPI.IIPContext>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43091_0 {
	meta:
		name = "TComparer<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<IPPeerAPI.TDictionary<System.TGUID,System.TClass>> 0010 TDelegatedComparer<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43059_0 {
	meta:
		name = "TComparer<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<IPPeerAPI.TPair<System.TGUID,System.TClass>> 0010 TDelegatedComparer<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43077_0 {
	meta:
		name = "TComparer<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>> 0010 TDelegatedComparer<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43095_0 {
	meta:
		name = "TComparer<IPPeerAPI.TPair<System.string,System.string>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<IPPeerAPI.TPair<System.string,System.string>> 0010 TDelegatedComparer<IPPeerAPI.TPair<System.string,System.string>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40426_0 {
	meta:
		name = "TComparer<IdContext.TIdContext>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<IdContext.TIdContext> 0010 TDelegatedComparer<IdContext.TIdContext>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40416_0 {
	meta:
		name = "TComparer<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>> 0010 TDelegatedComparer<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40405_0 {
	meta:
		name = "TComparer<IndyPeerImpl.TPair<System.string,System.string>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<IndyPeerImpl.TPair<System.string,System.string>> 0010 TDelegatedComparer<IndyPeerImpl.TPair<System.string,System.string>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50131_0 {
	meta:
		name = "TComparer<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Soap.WSDLLookup.TPair<System.string,System.Variant>> 0010 TDelegatedComparer<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51378_0 {
	meta:
		name = "TComparer<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>> 0010 TDelegatedComparer<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51360_0 {
	meta:
		name = "TComparer<SyncController.TPair<System.IInterface,System.Pointer>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<SyncController.TPair<System.IInterface,System.Pointer>> 0010 TDelegatedComparer<SyncController.TPair<System.IInterface,System.Pointer>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51392_0 {
	meta:
		name = "TComparer<SyncController.TPair<System.TObject,System.string>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<SyncController.TPair<System.TObject,System.string>> 0010 TDelegatedComparer<SyncController.TPair<System.TObject,System.string>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30872_0 {
	meta:
		name = "TComparer<System.AnsiString>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.AnsiString> 0010 TDelegatedComparer<System.AnsiString>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51830_0 {
	meta:
		name = "TComparer<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.CustomScope.TPair<System.string,System.IInterface>> 0010 TDelegatedComparer<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54667_0 {
	meta:
		name = "TComparer<System.Bindings.CustomScope.TScopeClass>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.CustomScope.TScopeClass> 0010 TDelegatedComparer<System.Bindings.CustomScope.TScopeClass>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51388_0 {
	meta:
		name = "TComparer<System.Bindings.EvalProtocol.ILocation>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.EvalProtocol.ILocation> 0010 TDelegatedComparer<System.Bindings.EvalProtocol.ILocation>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53346_0 {
	meta:
		name = "TComparer<System.Bindings.EvalProtocol.IScope>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.EvalProtocol.IScope> 0010 TDelegatedComparer<System.Bindings.EvalProtocol.IScope>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54341_0 {
	meta:
		name = "TComparer<System.Bindings.EvalProtocol.ISubscription>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.EvalProtocol.ISubscription> 0010 TDelegatedComparer<System.Bindings.EvalProtocol.ISubscription>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52252_0 {
	meta:
		name = "TComparer<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>> 0010 TDelegatedComparer<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52907_0 {
	meta:
		name = "TComparer<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 0010 TDelegatedComparer<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52868_0 {
	meta:
		name = "TComparer<System.Bindings.EvalSys.TOverload>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.EvalSys.TOverload> 0010 TDelegatedComparer<System.Bindings.EvalSys.TOverload>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52893_0 {
	meta:
		name = "TComparer<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>> 0010 TDelegatedComparer<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52879_0 {
	meta:
		name = "TComparer<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.EvalSys.TPair<System.string,System.IInterface>> 0010 TDelegatedComparer<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52903_0 {
	meta:
		name = "TComparer<System.Bindings.EvalSys.TValueConverter.TConvPair>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.EvalSys.TValueConverter.TConvPair> 0010 TDelegatedComparer<System.Bindings.EvalSys.TValueConverter.TConvPair>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53350_0 {
	meta:
		name = "TComparer<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>> 0010 TDelegatedComparer<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53822_0 {
	meta:
		name = "TComparer<System.Bindings.Expression.TPair<System.TObject,System.string>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Expression.TPair<System.TObject,System.string>> 0010 TDelegatedComparer<System.Bindings.Expression.TPair<System.TObject,System.string>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53840_0 {
	meta:
		name = "TComparer<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>> 0010 TDelegatedComparer<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54345_0 {
	meta:
		name = "TComparer<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>> 0010 TDelegatedComparer<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54363_0 {
	meta:
		name = "TComparer<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>> 0010 TDelegatedComparer<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56509_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>> 0010 TDelegatedComparer<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56476_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Graph.TDictionary<System.string,System.Int64>> 0010 TDelegatedComparer<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56524_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Graph.TDictionary<System.string,System.Integer>> 0010 TDelegatedComparer<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56531_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>> 0010 TDelegatedComparer<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56502_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>> 0010 TDelegatedComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56480_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>> 0010 TDelegatedComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56430_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>> 0010 TDelegatedComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56484_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>> 0010 TDelegatedComparer<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56462_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>> 0010 TDelegatedComparer<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56517_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>> 0010 TDelegatedComparer<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56545_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TPair<System.TObject,System.string>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Graph.TPair<System.TObject,System.string>> 0010 TDelegatedComparer<System.Bindings.Graph.TPair<System.TObject,System.string>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56444_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TPair<System.string,System.Int64>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Graph.TPair<System.string,System.Int64>> 0010 TDelegatedComparer<System.Bindings.Graph.TPair<System.string,System.Int64>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56513_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TPair<System.string,System.Integer>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Graph.TPair<System.string,System.Integer>> 0010 TDelegatedComparer<System.Bindings.Graph.TPair<System.string,System.Integer>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56964_0 {
	meta:
		name = "TComparer<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Helper.TPair<System.string,System.IInterface>> 0010 TDelegatedComparer<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57126_0 {
	meta:
		name = "TComparer<System.Bindings.Manager.TBindingManager>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Manager.TBindingManager> 0010 TDelegatedComparer<System.Bindings.Manager.TBindingManager>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58729_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>> 0010 TDelegatedComparer<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58711_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>> 0010 TDelegatedComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58682_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>> 0010 TDelegatedComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58722_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>> 0010 TDelegatedComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58715_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>> 0010 TDelegatedComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58686_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>> 0010 TDelegatedComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58632_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>> 0010 TDelegatedComparer<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58704_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>> 0010 TDelegatedComparer<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58668_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>> 0010 TDelegatedComparer<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58693_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>> 0010 TDelegatedComparer<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58650_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>> 0010 TDelegatedComparer<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59275_0 {
	meta:
		name = "TComparer<System.Bindings.Methods.TMethodDescription>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Methods.TMethodDescription> 0010 TDelegatedComparer<System.Bindings.Methods.TMethodDescription>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59261_0 {
	meta:
		name = "TComparer<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>> 0010 TDelegatedComparer<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59279_0 {
	meta:
		name = "TComparer<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Methods.TPair<System.string,System.IInterface>> 0010 TDelegatedComparer<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59730_0 {
	meta:
		name = "TComparer<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.ObjEval.TPair<System.string,System.IInterface>> 0010 TDelegatedComparer<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60675_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback> 0010 TDelegatedComparer<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60979_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Outputs.TBindingOutput.TLocationRec> 0010 TDelegatedComparer<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60875_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TConvertPair>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Outputs.TConvertPair> 0010 TDelegatedComparer<System.Bindings.Outputs.TConvertPair>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61408_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TConverterDescription>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Outputs.TConverterDescription> 0010 TDelegatedComparer<System.Bindings.Outputs.TConverterDescription>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61394_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 0010 TDelegatedComparer<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61432_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>> 0010 TDelegatedComparer<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61470_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>> 0010 TDelegatedComparer<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61398_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>> 0010 TDelegatedComparer<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61422_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 0010 TDelegatedComparer<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61446_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Outputs.TPair<System.TObject,System.string>> 0010 TDelegatedComparer<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61384_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>> 0010 TDelegatedComparer<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61415_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>> 0010 TDelegatedComparer<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61459_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Outputs.TPair<System.string,System.IInterface>> 0010 TDelegatedComparer<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61818_0 {
	meta:
		name = "TComparer<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Bindings.Search.TPair<System.IInterface,System.Pointer>> 0010 TDelegatedComparer<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64924_0 {
	meta:
		name = "TComparer<System.Boolean>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Boolean> 0010 TDelegatedComparer<System.Boolean>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2555_0 {
	meta:
		name = "TComparer<System.Classes.IObserver>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Classes.IObserver> 0010 TDelegatedComparer<System.Classes.IObserver>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88575_0 {
	meta:
		name = "TComparer<System.Classes.TComponent>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Classes.TComponent> 0010 TDelegatedComparer<System.Classes.TComponent>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3189_0 {
	meta:
		name = "TComparer<System.Classes.TNotifyEvent>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Classes.TNotifyEvent> 0010 TDelegatedComparer<System.Classes.TNotifyEvent>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16034_0 {
	meta:
		name = "TComparer<System.Classes.TStream>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Classes.TStream> 0010 TDelegatedComparer<System.Classes.TStream>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24093_0 {
	meta:
		name = "TComparer<System.Classes.TStrings>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Classes.TStrings> 0010 TDelegatedComparer<System.Classes.TStrings>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63669_0 {
	meta:
		name = "TComparer<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.DateUtils.TLocalTimeZone.TYearlyChanges> 0010 TDelegatedComparer<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63655_0 {
	meta:
		name = "TComparer<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>> 0010 TDelegatedComparer<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64910_0 {
	meta:
		name = "TComparer<System.DebugUtils.TPair<System.string,System.Boolean>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.DebugUtils.TPair<System.string,System.Boolean>> 0010 TDelegatedComparer<System.DebugUtils.TPair<System.string,System.Boolean>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54653_0 {
	meta:
		name = "TComparer<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>> 0010 TDelegatedComparer<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58642_0 {
	meta:
		name = "TComparer<System.IInterface>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.IInterface> 0010 TDelegatedComparer<System.IInterface>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58700_0 {
	meta:
		name = "TComparer<System.Int64>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Int64> 0010 TDelegatedComparer<System.Int64>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25052_0 {
	meta:
		name = "TComparer<System.Integer>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Integer> 0010 TDelegatedComparer<System.Integer>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23074_0 {
	meta:
		name = "TComparer<System.Masks.TMask>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Masks.TMask> 0010 TDelegatedComparer<System.Masks.TMask>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61832_0 {
	meta:
		name = "TComparer<System.Pointer>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Pointer> 0010 TDelegatedComparer<System.Pointer>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68089_0 {
	meta:
		name = "TComparer<System.Rtti.TMethodImplementation.TParamLoc>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Rtti.TMethodImplementation.TParamLoc> 0010 TDelegatedComparer<System.Rtti.TMethodImplementation.TParamLoc>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68479_0 {
	meta:
		name = "TComparer<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>> 0010 TDelegatedComparer<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68514_0 {
	meta:
		name = "TComparer<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>> 0010 TDelegatedComparer<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68529_0 {
	meta:
		name = "TComparer<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>> 0010 TDelegatedComparer<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68467_0 {
	meta:
		name = "TComparer<System.Rtti.TRttiField>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Rtti.TRttiField> 0010 TDelegatedComparer<System.Rtti.TRttiField>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68471_0 {
	meta:
		name = "TComparer<System.Rtti.TRttiManagedField>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Rtti.TRttiManagedField> 0010 TDelegatedComparer<System.Rtti.TRttiManagedField>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68463_0 {
	meta:
		name = "TComparer<System.Rtti.TRttiMethod>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Rtti.TRttiMethod> 0010 TDelegatedComparer<System.Rtti.TRttiMethod>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68493_0 {
	meta:
		name = "TComparer<System.Rtti.TRttiObject>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Rtti.TRttiObject> 0010 TDelegatedComparer<System.Rtti.TRttiObject>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67810_0 {
	meta:
		name = "TComparer<System.Rtti.TRttiPackage>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Rtti.TRttiPackage> 0010 TDelegatedComparer<System.Rtti.TRttiPackage>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68459_0 {
	meta:
		name = "TComparer<System.Rtti.TRttiProperty>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Rtti.TRttiProperty> 0010 TDelegatedComparer<System.Rtti.TRttiProperty>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68242_0 {
	meta:
		name = "TComparer<System.Rtti.TVirtualInterface.TImplInfo>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Rtti.TVirtualInterface.TImplInfo> 0010 TDelegatedComparer<System.Rtti.TVirtualInterface.TImplInfo>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68238_0 {
	meta:
		name = "TComparer<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo> 0010 TDelegatedComparer<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61128_0 {
	meta:
		name = "TComparer<System.SysUtils.TProc<System.Rtti.TValue>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.SysUtils.TProc<System.Rtti.TValue>> 0010 TDelegatedComparer<System.SysUtils.TProc<System.Rtti.TValue>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88085_0 {
	meta:
		name = "TComparer<System.TClass>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.TClass> 0010 TDelegatedComparer<System.TClass>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68454_0 {
	meta:
		name = "TComparer<System.TCustomAttribute>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.TCustomAttribute> 0010 TDelegatedComparer<System.TCustomAttribute>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43069_0 {
	meta:
		name = "TComparer<System.TGUID>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.TGUID> 0010 TDelegatedComparer<System.TGUID>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23243_0 {
	meta:
		name = "TComparer<System.TObject>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.TObject> 0010 TDelegatedComparer<System.TObject>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68521_0 {
	meta:
		name = "TComparer<System.TypInfo.PTypeInfo>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.TypInfo.PTypeInfo> 0010 TDelegatedComparer<System.TypInfo.PTypeInfo>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89340_0 {
	meta:
		name = "TComparer<System.Types.TPoint>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Types.TPoint> 0010 TDelegatedComparer<System.Types.TPoint>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50141_0 {
	meta:
		name = "TComparer<System.Variant>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Variant> 0010 TDelegatedComparer<System.Variant>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63665_0 {
	meta:
		name = "TComparer<System.Word>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Word> 0010 TDelegatedComparer<System.Word>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71821_0 {
	meta:
		name = "TComparer<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 0010 TDelegatedComparer<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71807_0 {
	meta:
		name = "TComparer<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>> 0010 TDelegatedComparer<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71817_0 {
	meta:
		name = "TComparer<System.Zip.TZipCompression>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Zip.TZipCompression> 0010 TDelegatedComparer<System.Zip.TZipCompression>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71803_0 {
	meta:
		name = "TComparer<System.Zip.TZipHeader>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.Zip.TZipHeader> 0010 TDelegatedComparer<System.Zip.TZipHeader>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64920_0 {
	meta:
		name = "TComparer<System.string>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<System.string> 0010 TDelegatedComparer<System.string>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89037_0 {
	meta:
		name = "TComparer<Vcl.Controls.TControl>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Controls.TControl> 0010 TDelegatedComparer<Vcl.Controls.TControl>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89344_0 {
	meta:
		name = "TComparer<Vcl.Controls.TCustomGestureCollectionItem>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Controls.TCustomGestureCollectionItem> 0010 TDelegatedComparer<Vcl.Controls.TCustomGestureCollectionItem>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88935_0 {
	meta:
		name = "TComparer<Vcl.Controls.TCustomGestureManager>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Controls.TCustomGestureManager> 0010 TDelegatedComparer<Vcl.Controls.TCustomGestureManager>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78626_0 {
	meta:
		name = "TComparer<Vcl.Direct2D.TDirect2DGraphicsObject>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Direct2D.TDirect2DGraphicsObject> 0010 TDelegatedComparer<Vcl.Direct2D.TDirect2DGraphicsObject>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86724_0 {
	meta:
		name = "TComparer<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>> 0010 TDelegatedComparer<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86689_0 {
	meta:
		name = "TComparer<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>> 0010 TDelegatedComparer<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86710_0 {
	meta:
		name = "TComparer<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>> 0010 TDelegatedComparer<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88060_0 {
	meta:
		name = "TComparer<Vcl.Themes.TCustomStyleEngineClass>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Themes.TCustomStyleEngineClass> 0010 TDelegatedComparer<Vcl.Themes.TCustomStyleEngineClass>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88064_0 {
	meta:
		name = "TComparer<Vcl.Themes.TCustomStyleServices>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Themes.TCustomStyleServices> 0010 TDelegatedComparer<Vcl.Themes.TCustomStyleServices>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88089_0 {
	meta:
		name = "TComparer<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>> 0010 TDelegatedComparer<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88075_0 {
	meta:
		name = "TComparer<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>> 0010 TDelegatedComparer<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88093_0 {
	meta:
		name = "TComparer<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>> 0010 TDelegatedComparer<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86703_0 {
	meta:
		name = "TComparer<Vcl.Themes.TStyleHook>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Themes.TStyleHook> 0010 TDelegatedComparer<Vcl.Themes.TStyleHook>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86540_0 {
	meta:
		name = "TComparer<Vcl.Themes.TStyleHookClass>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Themes.TStyleHookClass> 0010 TDelegatedComparer<Vcl.Themes.TStyleHookClass>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88107_0 {
	meta:
		name = "TComparer<Vcl.Themes.TStyleManager.TSourceInfo>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Themes.TStyleManager.TSourceInfo> 0010 TDelegatedComparer<Vcl.Themes.TStyleManager.TSourceInfo>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88056_0 {
	meta:
		name = "TComparer<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Themes.TStyleManager.TStyleClassDescriptor> 0010 TDelegatedComparer<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88579_0 {
	meta:
		name = "TComparer<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0010 TDelegatedComparer<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88565_0 {
	meta:
		name = "TComparer<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>> 0010 TDelegatedComparer<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89058_0 {
	meta:
		name = "TComparer<Vcl.Touch.GestureMgr.TGestureCollection>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Touch.GestureMgr.TGestureCollection> 0010 TDelegatedComparer<Vcl.Touch.GestureMgr.TGestureCollection>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89048_0 {
	meta:
		name = "TComparer<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>> 0010 TDelegatedComparer<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89348_0 {
	meta:
		name = "TComparer<Vcl.Touch.Gestures.TGesturePoint>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Touch.Gestures.TGesturePoint> 0010 TDelegatedComparer<Vcl.Touch.Gestures.TGesturePoint>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89622_0 {
	meta:
		name = "TComparer<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Touch.Keyboard.TCustomKeyboardButton> 0010 TDelegatedComparer<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89626_0 {
	meta:
		name = "TComparer<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState> 0010 TDelegatedComparer<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89630_0 {
	meta:
		name = "TComparer<Vcl.Touch.KeyboardTypes.TKeyData>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Touch.KeyboardTypes.TKeyData> 0010 TDelegatedComparer<Vcl.Touch.KeyboardTypes.TKeyData>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89912_0 {
	meta:
		name = "TComparer<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Touch.KeyboardTypes.TKeyboardLanguage> 0010 TDelegatedComparer<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89904_0 {
	meta:
		name = "TComparer<Vcl.Touch.KeyboardTypes.TVirtualKey>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Touch.KeyboardTypes.TVirtualKey> 0010 TDelegatedComparer<Vcl.Touch.KeyboardTypes.TVirtualKey>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89916_0 {
	meta:
		name = "TComparer<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout> 0010 TDelegatedComparer<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89908_0 {
	meta:
		name = "TComparer<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Vcl.Touch.KeyboardTypes.TVirtualKeys> 0010 TDelegatedComparer<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96418_0 {
	meta:
		name = "TComparer<Web.WebFileDispatcher.TPair<System.string,System.string>>.Construct"
		size = 39
		refs = "000b _DV_TDelegatedComparer<Web.WebFileDispatcher.TPair<System.string,System.string>> 0010 TDelegatedComparer<Web.WebFileDispatcher.TPair<System.string,System.string>>.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2361_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Expression.TBindingExpression>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Expression.TBindingExpression>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_26924_0 {
	meta:
		name = "TArray.Sort<DSAzDlgBlockBlob.TPair<System.string,System.string>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<DSAzDlgBlockBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_27148_0 {
	meta:
		name = "TArray.Sort<DSAzDlgCopyBlob.TPair<System.string,System.string>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<DSAzDlgCopyBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_27352_0 {
	meta:
		name = "TArray.Sort<DSAzDlgCreateContainer.TPair<System.string,System.string>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<DSAzDlgCreateContainer.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_27584_0 {
	meta:
		name = "TArray.Sort<DSAzDlgPageBlob.TPair<System.string,System.string>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<DSAzDlgPageBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_27801_0 {
	meta:
		name = "TArray.Sort<DSAzDlgPutBlockList.TPair<System.string,System.string>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<DSAzDlgPutBlockList.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_28002_0 {
	meta:
		name = "TArray.Sort<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_28899_0 {
	meta:
		name = "TArray.Sort<DSAzureBlob.TBBlob>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<DSAzureBlob.TBBlob>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_28915_0 {
	meta:
		name = "TArray.Sort<DSAzureBlob.TBBlock>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<DSAzureBlob.TBBlock>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_28799_0 {
	meta:
		name = "TArray.Sort<DSAzureBlob.TBContainer>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<DSAzureBlob.TBContainer>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_28911_0 {
	meta:
		name = "TArray.Sort<DSAzureBlob.TBPageRange>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<DSAzureBlob.TBPageRange>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_28907_0 {
	meta:
		name = "TArray.Sort<DSAzureBlob.TBSignedIdentifier>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<DSAzureBlob.TBSignedIdentifier>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_28903_0 {
	meta:
		name = "TArray.Sort<DSAzureBlob.TLeaseItem>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<DSAzureBlob.TLeaseItem>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_28922_0 {
	meta:
		name = "TArray.Sort<DSAzureBlob.TPair<System.string,System.string>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<DSAzureBlob.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_29094_0 {
	meta:
		name = "TArray.Sort<DSAzureQueue.TMessageNodeData>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<DSAzureQueue.TMessageNodeData>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_29530_0 {
	meta:
		name = "TArray.Sort<DSAzureTableDialog.TAzureTableColumn>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<DSAzureTableDialog.TAzureTableColumn>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_29512_0 {
	meta:
		name = "TArray.Sort<DSAzureTableDialog.TAzureTableRow>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<DSAzureTableDialog.TAzureTableRow>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_29516_0 {
	meta:
		name = "TArray.Sort<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_2369_0 {
	meta:
		name = "TArray.Sort<Data.Bind.Components.TBasicBindComponent>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Bind.Components.TBasicBindComponent>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_2522_0 {
	meta:
		name = "TArray.Sort<Data.Bind.Components.TBindEditorFactoryClass>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Bind.Components.TBindEditorFactoryClass>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_2365_0 {
	meta:
		name = "TArray.Sort<Data.Bind.Components.TContainedBindComponent>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Bind.Components.TContainedBindComponent>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_2542_0 {
	meta:
		name = "TArray.Sort<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_2779_0 {
	meta:
		name = "TArray.Sort<Data.Bind.DBLinks.TBindDBColumnFactoryClass>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Bind.DBLinks.TBindDBColumnFactoryClass>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_3186_0 {
	meta:
		name = "TArray.Sort<Data.Bind.DBScope.TBaseDataLink>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Bind.DBScope.TBaseDataLink>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_3172_0 {
	meta:
		name = "TArray.Sort<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4081_0 {
	meta:
		name = "TArray.Sort<Data.Cloud.AmazonAPI.TAmazonBatchRow>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Cloud.AmazonAPI.TAmazonBatchRow>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4101_0 {
	meta:
		name = "TArray.Sort<Data.Cloud.AmazonAPI.TAmazonGrant>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Cloud.AmazonAPI.TAmazonGrant>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4109_0 {
	meta:
		name = "TArray.Sort<Data.Cloud.AmazonAPI.TAmazonMultipartPart>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Cloud.AmazonAPI.TAmazonMultipartPart>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4105_0 {
	meta:
		name = "TArray.Sort<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4113_0 {
	meta:
		name = "TArray.Sort<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4097_0 {
	meta:
		name = "TArray.Sort<Data.Cloud.AmazonAPI.TAmazonObjectResult>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Cloud.AmazonAPI.TAmazonObjectResult>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4077_0 {
	meta:
		name = "TArray.Sort<Data.Cloud.AmazonAPI.TAmazonRowConditional>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Cloud.AmazonAPI.TAmazonRowConditional>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4827_0 {
	meta:
		name = "TArray.Sort<Data.Cloud.AzureAPI.TAzureBlob>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Cloud.AzureAPI.TAzureBlob>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4831_0 {
	meta:
		name = "TArray.Sort<Data.Cloud.AzureAPI.TAzureBlobPageRange>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Cloud.AzureAPI.TAzureBlobPageRange>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4815_0 {
	meta:
		name = "TArray.Sort<Data.Cloud.AzureAPI.TAzureBlockListItem>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Cloud.AzureAPI.TAzureBlockListItem>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4819_0 {
	meta:
		name = "TArray.Sort<Data.Cloud.AzureAPI.TAzureContainer>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Cloud.AzureAPI.TAzureContainer>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4823_0 {
	meta:
		name = "TArray.Sort<Data.Cloud.AzureAPI.TSignedIdentifier>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Cloud.AzureAPI.TSignedIdentifier>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4093_0 {
	meta:
		name = "TArray.Sort<Data.Cloud.CloudAPI.TCloudQueue>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Cloud.CloudAPI.TCloudQueue>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4089_0 {
	meta:
		name = "TArray.Sort<Data.Cloud.CloudAPI.TCloudQueueMessage>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Cloud.CloudAPI.TCloudQueueMessage>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4117_0 {
	meta:
		name = "TArray.Sort<Data.Cloud.CloudAPI.TCloudTableColumn>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Cloud.CloudAPI.TCloudTableColumn>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4085_0 {
	meta:
		name = "TArray.Sort<Data.Cloud.CloudAPI.TCloudTableRow>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.Cloud.CloudAPI.TCloudTableRow>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_16526_0 {
	meta:
		name = "TArray.Sort<Data.DBXCommon.TDBXParameter>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.DBXCommon.TDBXParameter>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_8064_0 {
	meta:
		name = "TArray.Sort<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_8639_0 {
	meta:
		name = "TArray.Sort<Data.DBXCommon.TDBXWritableValueArray>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.DBXCommon.TDBXWritableValueArray>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_8082_0 {
	meta:
		name = "TArray.Sort<Data.DBXCommon.TEventPointer>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.DBXCommon.TEventPointer>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_8068_0 {
	meta:
		name = "TArray.Sort<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_25385_0 {
	meta:
		name = "TArray.Sort<Data.DBXCommon.TResultCommandHandler>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.DBXCommon.TResultCommandHandler>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_10619_0 {
	meta:
		name = "TArray.Sort<Data.DBXJSON.TJSONAncestor>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.DBXJSON.TJSONAncestor>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_18725_0 {
	meta:
		name = "TArray.Sort<Data.DBXJSONReflect.TConverterEvent>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.DBXJSONReflect.TConverterEvent>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_10590_0 {
	meta:
		name = "TArray.Sort<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_10601_0 {
	meta:
		name = "TArray.Sort<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_10634_0 {
	meta:
		name = "TArray.Sort<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_10623_0 {
	meta:
		name = "TArray.Sort<Data.DBXJSONReflect.TPair<System.string,System.TObject>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.DBXJSONReflect.TPair<System.string,System.TObject>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_18736_0 {
	meta:
		name = "TArray.Sort<Data.DBXJSONReflect.TReverterEvent>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.DBXJSONReflect.TReverterEvent>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_11257_0 {
	meta:
		name = "TArray.Sort<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_11247_0 {
	meta:
		name = "TArray.Sort<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_11419_0 {
	meta:
		name = "TArray.Sort<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_16039_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_16021_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_16426_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSClientRest.TDSRestClientCallback>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSClientRest.TDSRestClientCallback>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_16533_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSClientRest.TPair<System.string,System.string>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSClientRest.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_23086_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSCommonProxy.IDSProxyWriter>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSCommonProxy.IDSProxyWriter>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_17437_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSHTTP.TDSHTTPClass>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSHTTP.TDSHTTPClass>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_17423_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_18714_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSHTTPCommon.TDSCallbackItem>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSHTTPCommon.TDSCallbackItem>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_18613_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSHTTPCommon.TDSCommandComplexParams>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSHTTPCommon.TDSCommandComplexParams>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_18268_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSHTTPCommon.TDSExecutionResponse>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSHTTPCommon.TDSExecutionResponse>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_18685_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_18718_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_18729_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_18700_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_18872_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_19143_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_19551_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_19846_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_20134_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_20416_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_20907_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_20896_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_21121_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_21404_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_21691_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_21958_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_22250_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_22543_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_23079_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_23061_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_24058_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSServer.TDSCallbackTunnel>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSServer.TDSCallbackTunnel>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_24054_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSServer.TDSCallbackTunnelEvent>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSServer.TDSCallbackTunnelEvent>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_24062_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_24076_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_24087_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_25049_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSService.TDBXRequestFilter>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSService.TDBXRequestFilter>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_18879_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSService.TDSSession>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSService.TDSSession>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_11261_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSService.TDSSessionEvent>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSService.TDSSessionEvent>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_25375_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_25355_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_25404_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_25393_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSService.TPair<System.string,System.TObject>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSService.TPair<System.string,System.TObject>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_25389_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSService.TPair<System.string,System.string>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSService.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_25717_0 {
	meta:
		name = "TArray.Sort<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_29835_0 {
	meta:
		name = "TArray.Sort<GraphView.TGraphEdge>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<GraphView.TGraphEdge>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_29843_0 {
	meta:
		name = "TArray.Sort<GraphView.TGraphNode>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<GraphView.TGraphNode>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_29839_0 {
	meta:
		name = "TArray.Sort<GraphView.TObjectList<GraphView.TGraphEdge>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<GraphView.TObjectList<GraphView.TGraphEdge>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_30695_0 {
	meta:
		name = "TArray.Sort<IBDatabase.TIBBase>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<IBDatabase.TIBBase>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_30703_0 {
	meta:
		name = "TArray.Sort<IBDatabase.TIBDatabase>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<IBDatabase.TIBDatabase>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_30699_0 {
	meta:
		name = "TArray.Sort<IBDatabase.TIBTransaction>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<IBDatabase.TIBTransaction>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_31400_0 {
	meta:
		name = "TArray.Sort<IBIntf.IGDSLibrary>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<IBIntf.IGDSLibrary>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_31386_0 {
	meta:
		name = "TArray.Sort<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_40431_0 {
	meta:
		name = "TArray.Sort<IPPeerAPI.IIPContext>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<IPPeerAPI.IIPContext>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_43092_0 {
	meta:
		name = "TArray.Sort<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_43060_0 {
	meta:
		name = "TArray.Sort<IPPeerAPI.TPair<System.TGUID,System.TClass>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<IPPeerAPI.TPair<System.TGUID,System.TClass>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_43078_0 {
	meta:
		name = "TArray.Sort<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_43096_0 {
	meta:
		name = "TArray.Sort<IPPeerAPI.TPair<System.string,System.string>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<IPPeerAPI.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_40427_0 {
	meta:
		name = "TArray.Sort<IdContext.TIdContext>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<IdContext.TIdContext>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_40417_0 {
	meta:
		name = "TArray.Sort<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_40406_0 {
	meta:
		name = "TArray.Sort<IndyPeerImpl.TPair<System.string,System.string>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<IndyPeerImpl.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_50132_0 {
	meta:
		name = "TArray.Sort<Soap.WSDLLookup.TPair<System.string,System.Variant>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Soap.WSDLLookup.TPair<System.string,System.Variant>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_51379_0 {
	meta:
		name = "TArray.Sort<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_51361_0 {
	meta:
		name = "TArray.Sort<SyncController.TPair<System.IInterface,System.Pointer>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<SyncController.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_51393_0 {
	meta:
		name = "TArray.Sort<SyncController.TPair<System.TObject,System.string>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<SyncController.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_30873_0 {
	meta:
		name = "TArray.Sort<System.AnsiString>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.AnsiString>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_51831_0 {
	meta:
		name = "TArray.Sort<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_54668_0 {
	meta:
		name = "TArray.Sort<System.Bindings.CustomScope.TScopeClass>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.CustomScope.TScopeClass>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_51389_0 {
	meta:
		name = "TArray.Sort<System.Bindings.EvalProtocol.ILocation>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.EvalProtocol.ILocation>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_53347_0 {
	meta:
		name = "TArray.Sort<System.Bindings.EvalProtocol.IScope>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.EvalProtocol.IScope>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_54342_0 {
	meta:
		name = "TArray.Sort<System.Bindings.EvalProtocol.ISubscription>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.EvalProtocol.ISubscription>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_52253_0 {
	meta:
		name = "TArray.Sort<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_52908_0 {
	meta:
		name = "TArray.Sort<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_52869_0 {
	meta:
		name = "TArray.Sort<System.Bindings.EvalSys.TOverload>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.EvalSys.TOverload>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_52894_0 {
	meta:
		name = "TArray.Sort<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_52880_0 {
	meta:
		name = "TArray.Sort<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_52904_0 {
	meta:
		name = "TArray.Sort<System.Bindings.EvalSys.TValueConverter.TConvPair>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.EvalSys.TValueConverter.TConvPair>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_53351_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_53823_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Expression.TPair<System.TObject,System.string>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Expression.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_53841_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_54346_0 {
	meta:
		name = "TArray.Sort<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_54364_0 {
	meta:
		name = "TArray.Sort<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_56510_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_56477_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Graph.TDictionary<System.string,System.Int64>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Graph.TDictionary<System.string,System.Int64>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_56525_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Graph.TDictionary<System.string,System.Integer>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Graph.TDictionary<System.string,System.Integer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_56532_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_56503_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_56481_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_56431_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_56485_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_56463_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_56518_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_56546_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Graph.TPair<System.TObject,System.string>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Graph.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_56445_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Graph.TPair<System.string,System.Int64>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Graph.TPair<System.string,System.Int64>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_56514_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Graph.TPair<System.string,System.Integer>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Graph.TPair<System.string,System.Integer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_56965_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Helper.TPair<System.string,System.IInterface>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Helper.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_57127_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Manager.TBindingManager>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Manager.TBindingManager>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_58730_0 {
	meta:
		name = "TArray.Sort<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_58712_0 {
	meta:
		name = "TArray.Sort<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_58683_0 {
	meta:
		name = "TArray.Sort<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_58723_0 {
	meta:
		name = "TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_58716_0 {
	meta:
		name = "TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_58687_0 {
	meta:
		name = "TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_58633_0 {
	meta:
		name = "TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_58705_0 {
	meta:
		name = "TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_58669_0 {
	meta:
		name = "TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_58694_0 {
	meta:
		name = "TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_58651_0 {
	meta:
		name = "TArray.Sort<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_59276_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Methods.TMethodDescription>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Methods.TMethodDescription>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_59262_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_59280_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Methods.TPair<System.string,System.IInterface>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Methods.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_59731_0 {
	meta:
		name = "TArray.Sort<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_60676_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_60980_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Outputs.TBindingOutput.TLocationRec>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Outputs.TBindingOutput.TLocationRec>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_60876_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Outputs.TConvertPair>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Outputs.TConvertPair>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_61409_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Outputs.TConverterDescription>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Outputs.TConverterDescription>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_61395_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_61433_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_61471_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_61399_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_61423_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_61447_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Outputs.TPair<System.TObject,System.string>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Outputs.TPair<System.TObject,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_61385_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_61416_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_61460_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Outputs.TPair<System.string,System.IInterface>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Outputs.TPair<System.string,System.IInterface>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_61819_0 {
	meta:
		name = "TArray.Sort<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_64925_0 {
	meta:
		name = "TArray.Sort<System.Boolean>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Boolean>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_2556_0 {
	meta:
		name = "TArray.Sort<System.Classes.IObserver>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Classes.IObserver>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_88576_0 {
	meta:
		name = "TArray.Sort<System.Classes.TComponent>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Classes.TComponent>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_3190_0 {
	meta:
		name = "TArray.Sort<System.Classes.TNotifyEvent>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Classes.TNotifyEvent>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_16035_0 {
	meta:
		name = "TArray.Sort<System.Classes.TStream>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Classes.TStream>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_24094_0 {
	meta:
		name = "TArray.Sort<System.Classes.TStrings>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Classes.TStrings>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_63670_0 {
	meta:
		name = "TArray.Sort<System.DateUtils.TLocalTimeZone.TYearlyChanges>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.DateUtils.TLocalTimeZone.TYearlyChanges>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_63656_0 {
	meta:
		name = "TArray.Sort<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_64911_0 {
	meta:
		name = "TArray.Sort<System.DebugUtils.TPair<System.string,System.Boolean>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.DebugUtils.TPair<System.string,System.Boolean>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_54654_0 {
	meta:
		name = "TArray.Sort<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_58643_0 {
	meta:
		name = "TArray.Sort<System.IInterface>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.IInterface>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_58701_0 {
	meta:
		name = "TArray.Sort<System.Int64>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Int64>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_25053_0 {
	meta:
		name = "TArray.Sort<System.Integer>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Integer>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_23075_0 {
	meta:
		name = "TArray.Sort<System.Masks.TMask>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Masks.TMask>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_61833_0 {
	meta:
		name = "TArray.Sort<System.Pointer>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Pointer>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_68090_0 {
	meta:
		name = "TArray.Sort<System.Rtti.TMethodImplementation.TParamLoc>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Rtti.TMethodImplementation.TParamLoc>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_68480_0 {
	meta:
		name = "TArray.Sort<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_68515_0 {
	meta:
		name = "TArray.Sort<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_68530_0 {
	meta:
		name = "TArray.Sort<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_68468_0 {
	meta:
		name = "TArray.Sort<System.Rtti.TRttiField>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Rtti.TRttiField>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_68472_0 {
	meta:
		name = "TArray.Sort<System.Rtti.TRttiManagedField>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Rtti.TRttiManagedField>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_68464_0 {
	meta:
		name = "TArray.Sort<System.Rtti.TRttiMethod>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Rtti.TRttiMethod>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_68494_0 {
	meta:
		name = "TArray.Sort<System.Rtti.TRttiObject>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Rtti.TRttiObject>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_67807_0 {
	meta:
		name = "TArray.Sort<System.Rtti.TRttiPackage>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Rtti.TRttiPackage>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_68460_0 {
	meta:
		name = "TArray.Sort<System.Rtti.TRttiProperty>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Rtti.TRttiProperty>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_68243_0 {
	meta:
		name = "TArray.Sort<System.Rtti.TVirtualInterface.TImplInfo>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Rtti.TVirtualInterface.TImplInfo>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_68239_0 {
	meta:
		name = "TArray.Sort<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_61129_0 {
	meta:
		name = "TArray.Sort<System.SysUtils.TProc<System.Rtti.TValue>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.SysUtils.TProc<System.Rtti.TValue>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_88086_0 {
	meta:
		name = "TArray.Sort<System.TClass>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.TClass>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_68455_0 {
	meta:
		name = "TArray.Sort<System.TCustomAttribute>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.TCustomAttribute>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_43070_0 {
	meta:
		name = "TArray.Sort<System.TGUID>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.TGUID>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_23244_0 {
	meta:
		name = "TArray.Sort<System.TObject>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.TObject>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_68522_0 {
	meta:
		name = "TArray.Sort<System.TypInfo.PTypeInfo>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.TypInfo.PTypeInfo>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_89341_0 {
	meta:
		name = "TArray.Sort<System.Types.TPoint>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Types.TPoint>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_50142_0 {
	meta:
		name = "TArray.Sort<System.Variant>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Variant>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_63666_0 {
	meta:
		name = "TArray.Sort<System.Word>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Word>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_71822_0 {
	meta:
		name = "TArray.Sort<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_71808_0 {
	meta:
		name = "TArray.Sort<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_71818_0 {
	meta:
		name = "TArray.Sort<System.Zip.TZipCompression>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Zip.TZipCompression>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_71804_0 {
	meta:
		name = "TArray.Sort<System.Zip.TZipHeader>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.Zip.TZipHeader>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_64921_0 {
	meta:
		name = "TArray.Sort<System.string>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<System.string>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_89038_0 {
	meta:
		name = "TArray.Sort<Vcl.Controls.TControl>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Controls.TControl>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_89345_0 {
	meta:
		name = "TArray.Sort<Vcl.Controls.TCustomGestureCollectionItem>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Controls.TCustomGestureCollectionItem>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_88936_0 {
	meta:
		name = "TArray.Sort<Vcl.Controls.TCustomGestureManager>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Controls.TCustomGestureManager>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_78627_0 {
	meta:
		name = "TArray.Sort<Vcl.Direct2D.TDirect2DGraphicsObject>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Direct2D.TDirect2DGraphicsObject>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_86725_0 {
	meta:
		name = "TArray.Sort<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_86690_0 {
	meta:
		name = "TArray.Sort<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_86711_0 {
	meta:
		name = "TArray.Sort<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_88061_0 {
	meta:
		name = "TArray.Sort<Vcl.Themes.TCustomStyleEngineClass>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Themes.TCustomStyleEngineClass>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_88065_0 {
	meta:
		name = "TArray.Sort<Vcl.Themes.TCustomStyleServices>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Themes.TCustomStyleServices>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_88090_0 {
	meta:
		name = "TArray.Sort<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_88076_0 {
	meta:
		name = "TArray.Sort<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_88094_0 {
	meta:
		name = "TArray.Sort<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_86704_0 {
	meta:
		name = "TArray.Sort<Vcl.Themes.TStyleHook>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Themes.TStyleHook>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_86541_0 {
	meta:
		name = "TArray.Sort<Vcl.Themes.TStyleHookClass>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Themes.TStyleHookClass>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_88108_0 {
	meta:
		name = "TArray.Sort<Vcl.Themes.TStyleManager.TSourceInfo>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Themes.TStyleManager.TSourceInfo>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_88057_0 {
	meta:
		name = "TArray.Sort<Vcl.Themes.TStyleManager.TStyleClassDescriptor>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Themes.TStyleManager.TStyleClassDescriptor>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_88580_0 {
	meta:
		name = "TArray.Sort<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_88566_0 {
	meta:
		name = "TArray.Sort<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_89059_0 {
	meta:
		name = "TArray.Sort<Vcl.Touch.GestureMgr.TGestureCollection>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Touch.GestureMgr.TGestureCollection>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_89049_0 {
	meta:
		name = "TArray.Sort<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_89349_0 {
	meta:
		name = "TArray.Sort<Vcl.Touch.Gestures.TGesturePoint>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Touch.Gestures.TGesturePoint>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_89623_0 {
	meta:
		name = "TArray.Sort<Vcl.Touch.Keyboard.TCustomKeyboardButton>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Touch.Keyboard.TCustomKeyboardButton>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_89627_0 {
	meta:
		name = "TArray.Sort<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_89631_0 {
	meta:
		name = "TArray.Sort<Vcl.Touch.KeyboardTypes.TKeyData>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Touch.KeyboardTypes.TKeyData>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_89913_0 {
	meta:
		name = "TArray.Sort<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_89905_0 {
	meta:
		name = "TArray.Sort<Vcl.Touch.KeyboardTypes.TVirtualKey>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Touch.KeyboardTypes.TVirtualKey>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_89917_0 {
	meta:
		name = "TArray.Sort<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_89909_0 {
	meta:
		name = "TArray.Sort<Vcl.Touch.KeyboardTypes.TVirtualKeys>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Vcl.Touch.KeyboardTypes.TVirtualKeys>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_96419_0 {
	meta:
		name = "TArray.Sort<Web.WebFileDispatcher.TPair<System.string,System.string>>"
		size = 98
		refs = "0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0057 TArray.QuickSort<Web.WebFileDispatcher.TPair<System.string,System.string>>"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 08 8B 55 0C 85 D2 7C 1B 3B D1 7E 04 85 F6 7F 13 8D 1C 16 4B 3B D9 7F 0B 85 F6 7C 07 8D 1C 16 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7E 11 8B 5D 10 53 52 03 F2 4E 56 8B 55 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_2362_0 {
	meta:
		name = "TArray.BinarySearch<T>"
		size = 181
		refs = "0033 SArgumentOutOfRange 003a _Dn_EArgumentOutOfRangeException 003f Exception.CreateRes 0044 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B 75 08 8B 45 0C 85 C0 7C 1B 3B C1 7E 04 85 F6 7F 13 8D 14 06 4A 3B D1 7F 0B 85 F6 7C 07 8D 14 06 85 D2 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 75 0B 8B 55 14 89 02 C6 45 FB 00 EB 51 C6 45 FB 00 8B D8 03 F0 4E 89 75 F4 3B 5D F4 7F 3B 8B 75 F4 2B F3 D1 EE 03 F3 8B 45 FC 8B 14 B0 8B 4D 18 8B 45 10 8B 38 FF 57 0C 89 45 F0 83 7D F0 00 7D 05 8D 5E 01 EB 0E 4E 89 75 F4 83 7D F0 00 75 04 C6 45 FB 01 3B 5D F4 7E C5 8B 45 14 89 18 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_2371_0 {
	meta:
		name = "TComparer<System.Classes.TNotifyEvent>.Default"
		size = 32
		refs = "000a TNotifyEvent 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_26922_0 {
	meta:
		name = "TComparer<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_27146_0 {
	meta:
		name = "TComparer<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_27350_0 {
	meta:
		name = "TComparer<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_27582_0 {
	meta:
		name = "TComparer<DSAzDlgPageBlob.TPair<System.string,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_27799_0 {
	meta:
		name = "TComparer<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_28000_0 {
	meta:
		name = "TComparer<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_28920_0 {
	meta:
		name = "TComparer<DSAzureBlob.TPair<System.string,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29514_0 {
	meta:
		name = "TComparer<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Default"
		size = 32
		refs = "000a TPair<System.string,DSAzureTableDialog.TAzureTableColumn> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2540_0 {
	meta:
		name = "TComparer<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Default"
		size = 32
		refs = "000a TPair<System.Integer,System.Classes.IObserver> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3170_0 {
	meta:
		name = "TComparer<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Default"
		size = 32
		refs = "000a TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4111_0 {
	meta:
		name = "TComparer<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Default"
		size = 32
		refs = "000a TAmazonNotificationEvent 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4809_0 {
	meta:
		name = "TComparer<Data.Cloud.CloudAPI.TCloudQueue>.Default"
		size = 32
		refs = "000a TCloudQueue 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8080_0 {
	meta:
		name = "TComparer<Data.DBXCommon.TEventPointer>.Default"
		size = 32
		refs = "000a TEventPointer 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10588_0 {
	meta:
		name = "TComparer<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Default"
		size = 32
		refs = "000a TPair<System.Integer,System.Integer> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10599_0 {
	meta:
		name = "TComparer<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Default"
		size = 32
		refs = "000a TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10632_0 {
	meta:
		name = "TComparer<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Default"
		size = 32
		refs = "000a TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10621_0 {
	meta:
		name = "TComparer<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.TObject> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11245_0 {
	meta:
		name = "TComparer<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Default"
		size = 32
		refs = "000a TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11417_0 {
	meta:
		name = "TComparer<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Default"
		size = 32
		refs = "000a TPair<System.string,Datasnap.DSService.TDSSession> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16037_0 {
	meta:
		name = "TComparer<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default"
		size = 32
		refs = "000a TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16019_0 {
	meta:
		name = "TComparer<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.Classes.TStream> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16531_0 {
	meta:
		name = "TComparer<Datasnap.DSClientRest.TPair<System.string,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17421_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Default"
		size = 32
		refs = "000a TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18716_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Default"
		size = 32
		refs = "000a TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18727_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Default"
		size = 32
		refs = "000a TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18698_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Default"
		size = 32
		refs = "000a TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18870_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Default"
		size = 32
		refs = "000a TPair<System.string,Datasnap.DSService.TDSSession> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19141_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19549_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default"
		size = 32
		refs = "000a TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19844_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default"
		size = 32
		refs = "000a TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_20132_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default"
		size = 32
		refs = "000a TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_20414_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default"
		size = 32
		refs = "000a TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_20905_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default"
		size = 32
		refs = "000a TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_20894_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_21119_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_21402_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default"
		size = 32
		refs = "000a TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_21689_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default"
		size = 32
		refs = "000a TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_21956_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default"
		size = 32
		refs = "000a TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_22248_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default"
		size = 32
		refs = "000a TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_22541_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default"
		size = 32
		refs = "000a TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_23077_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Default"
		size = 32
		refs = "000a TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_23059_0 {
	meta:
		name = "TComparer<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.Masks.TMask> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_24060_0 {
	meta:
		name = "TComparer<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Default"
		size = 32
		refs = "000a TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_24074_0 {
	meta:
		name = "TComparer<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Default"
		size = 32
		refs = "000a TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_24085_0 {
	meta:
		name = "TComparer<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.Classes.TStrings> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_25373_0 {
	meta:
		name = "TComparer<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Default"
		size = 32
		refs = "000a TPair<System.Integer,Data.DBXCommon.TResultCommandHandler> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_25353_0 {
	meta:
		name = "TComparer<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Default"
		size = 32
		refs = "000a TPair<System.string,Datasnap.DSService.TDBXRequestFilter> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_25402_0 {
	meta:
		name = "TComparer<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Default"
		size = 32
		refs = "000a TPair<System.string,Datasnap.DSService.TDSSession> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_25391_0 {
	meta:
		name = "TComparer<Datasnap.DSService.TPair<System.string,System.TObject>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.TObject> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_25387_0 {
	meta:
		name = "TComparer<Datasnap.DSService.TPair<System.string,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_25715_0 {
	meta:
		name = "TComparer<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Default"
		size = 32
		refs = "000a TPair<System.string,Datasnap.DSService.TDSSession> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31384_0 {
	meta:
		name = "TComparer<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Default"
		size = 32
		refs = "000a TPair<System.string,IBIntf.IGDSLibrary> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_43076_0 {
	meta:
		name = "TComparer<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_43094_0 {
	meta:
		name = "TComparer<IPPeerAPI.TPair<System.string,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_40415_0 {
	meta:
		name = "TComparer<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Default"
		size = 32
		refs = "000a TPair<IdContext.TIdContext,IPPeerAPI.IIPContext> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_40404_0 {
	meta:
		name = "TComparer<IndyPeerImpl.TPair<System.string,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_51359_0 {
	meta:
		name = "TComparer<SyncController.TPair<System.IInterface,System.Pointer>>.Default"
		size = 32
		refs = "000a TPair<System.IInterface,System.Pointer> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_51391_0 {
	meta:
		name = "TComparer<SyncController.TPair<System.TObject,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.TObject,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_51829_0 {
	meta:
		name = "TComparer<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.IInterface> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_52251_0 {
	meta:
		name = "TComparer<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Default"
		size = 32
		refs = "000a TPair<System.IInterface,System.Pointer> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_52878_0 {
	meta:
		name = "TComparer<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.IInterface> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_52902_0 {
	meta:
		name = "TComparer<System.Bindings.EvalSys.TValueConverter.TConvPair>.Default"
		size = 32
		refs = "000a TValueConverter.TConvPair 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_53349_0 {
	meta:
		name = "TComparer<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Default"
		size = 32
		refs = "000a TPair<System.IInterface,System.Pointer> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_53821_0 {
	meta:
		name = "TComparer<System.Bindings.Expression.TPair<System.TObject,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.TObject,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_53839_0 {
	meta:
		name = "TComparer<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.Bindings.Expression.TBindingExpression> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_54344_0 {
	meta:
		name = "TComparer<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.TObject,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_54362_0 {
	meta:
		name = "TComparer<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.IInterface> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56501_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Default"
		size = 32
		refs = "000a TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56429_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Default"
		size = 32
		refs = "000a TPair<System.Bindings.Expression.TBindingExpression,System.Integer> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56483_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Default"
		size = 32
		refs = "000a TPair<System.IInterface,System.Pointer> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56461_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Default"
		size = 32
		refs = "000a TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56516_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Default"
		size = 32
		refs = "000a TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56544_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TPair<System.TObject,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.TObject,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56512_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TPair<System.string,System.Integer>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.Integer> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56963_0 {
	meta:
		name = "TComparer<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.IInterface> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58721_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Default"
		size = 32
		refs = "000a TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58685_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Default"
		size = 32
		refs = "000a TPair<System.Bindings.Expression.TBindingExpression,System.Integer> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58631_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Default"
		size = 32
		refs = "000a TPair<System.IInterface,System.Pointer> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58703_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Default"
		size = 32
		refs = "000a TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58667_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Default"
		size = 32
		refs = "000a TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58649_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.Integer> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_59278_0 {
	meta:
		name = "TComparer<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.IInterface> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_59729_0 {
	meta:
		name = "TComparer<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.IInterface> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_60874_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TConvertPair>.Default"
		size = 32
		refs = "000a TConvertPair 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61445_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.TObject,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61383_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61458_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.IInterface> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61817_0 {
	meta:
		name = "TComparer<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Default"
		size = 32
		refs = "000a TPair<System.IInterface,System.Pointer> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_63654_0 {
	meta:
		name = "TComparer<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Default"
		size = 32
		refs = "000a TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64909_0 {
	meta:
		name = "TComparer<System.DebugUtils.TPair<System.string,System.Boolean>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.Boolean> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_54652_0 {
	meta:
		name = "TComparer<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Default"
		size = 32
		refs = "000a TPair<System.TClass,System.Bindings.CustomScope.TScopeClass> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58699_0 {
	meta:
		name = "TComparer<System.Int64>.Default"
		size = 32
		refs = "000a Int64 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68478_0 {
	meta:
		name = "TComparer<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Default"
		size = 32
		refs = "000a TPair<System.Pointer,System.Rtti.TRttiObject> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68513_0 {
	meta:
		name = "TComparer<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.TypInfo.PTypeInfo,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68528_0 {
	meta:
		name = "TComparer<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.TypInfo.PTypeInfo> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88067_0 {
	meta:
		name = "TComparer<System.Types.TPoint>.Default"
		size = 32
		refs = "000a TPoint 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_71820_0 {
	meta:
		name = "TComparer<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Default"
		size = 32
		refs = "000a TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_86688_0 {
	meta:
		name = "TComparer<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Default"
		size = 32
		refs = "000a TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_86709_0 {
	meta:
		name = "TComparer<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Default"
		size = 32
		refs = "000a TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88074_0 {
	meta:
		name = "TComparer<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Default"
		size = 32
		refs = "000a TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88106_0 {
	meta:
		name = "TComparer<Vcl.Themes.TStyleManager.TSourceInfo>.Default"
		size = 32
		refs = "000a TStyleManager.TSourceInfo 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88564_0 {
	meta:
		name = "TComparer<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Default"
		size = 32
		refs = "000a TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89047_0 {
	meta:
		name = "TComparer<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Default"
		size = 32
		refs = "000a TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89625_0 {
	meta:
		name = "TComparer<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Default"
		size = 32
		refs = "000a TCustomTouchKeyboard.TChangeState 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89911_0 {
	meta:
		name = "TComparer<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Default"
		size = 32
		refs = "000a TKeyboardLanguage 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96417_0 {
	meta:
		name = "TComparer<Web.WebFileDispatcher.TPair<System.string,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 08 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2374_0 {
	meta:
		name = "TArray.BinarySearch<T>"
		size = 186
		refs = "0032 SArgumentOutOfRange 0039 _Dn_EArgumentOutOfRangeException 003e Exception.CreateRes 0043 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 55 FC 8B 75 08 8B 45 0C 85 C0 7C 1B 3B C1 7E 04 85 F6 7F 13 8D 14 06 4A 3B D1 7F 0B 85 F6 7C 07 8D 14 06 85 D2 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 75 0B 8B 55 14 89 02 C6 45 FB 00 EB 58 C6 45 FB 00 8B D8 03 F0 4E 89 75 F4 3B 5D F4 7F 42 8B 75 F4 2B F3 D1 EE 03 F3 8B 45 FC FF 74 F0 04 FF 34 F0 FF 75 1C FF 75 18 8B 45 10 8B 10 FF 52 0C 89 45 F0 83 7D F0 00 7D 05 8D 5E 01 EB 0E 4E 89 75 F4 83 7D F0 00 75 04 C6 45 FB 01 3B 5D F4 7E BE 8B 45 14 89 18 0F B6 45 FB 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_2378_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.Integer,System.Classes.IObserver> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26829_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.string> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27053_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.string> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27257_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.string> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27489_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.string> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27706_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.string> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27907_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.string> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28804_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.string> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29368_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,DSAzureTableDialog.TAzureTableColumn> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3980_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TAmazonNotificationEvent 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3725_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TCloudQueue 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10205_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10494_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10398_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.TObject> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11031_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11266_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Datasnap.DSService.TDSSession> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15926_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15781_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.Classes.TStream> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16431_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.string> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17279_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18418_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18514_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18273_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18747_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Datasnap.DSService.TDSSession> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19048_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.string> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19407_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19702_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19990_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20272_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20798_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20702_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.string> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21026_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.string> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21260_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21547_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21814_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22106_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22399_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22966_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22821_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.Masks.TMask> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23761_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23859_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23955_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.Classes.TStrings> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24952_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Datasnap.DSService.TDBXRequestFilter> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25299_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Datasnap.DSService.TDSSession> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25203_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.TObject> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25156_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.string> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25573_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,Datasnap.DSService.TDSSession> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31242_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,IBIntf.IGDSLibrary> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42869_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43014_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.string> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40262_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<IdContext.TIdContext,IPPeerAPI.IIPContext> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40166_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.string> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51071_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.IInterface,System.Pointer> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51314_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.TObject,System.string> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51687_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.IInterface> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52102_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.IInterface,System.Pointer> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52627_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.IInterface> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53200_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.IInterface,System.Pointer> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53583_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.TObject,System.string> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53728_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.Bindings.Expression.TBindingExpression> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54102_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.TObject,System.string> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54247_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.IInterface> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55899_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.IInterface,System.Pointer> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56385_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.TObject,System.string> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56140_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.Integer> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56818_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.IInterface> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57811_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.IInterface,System.Pointer> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57956_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.Integer> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59166_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.IInterface> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59674_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.IInterface> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61083_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.TObject,System.string> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60681_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61142_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.IInterface> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61675_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.IInterface,System.Pointer> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64767_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.Boolean> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68262_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.TypInfo.PTypeInfo,System.string> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68405_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.TypInfo.PTypeInfo> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71758_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88418_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89808_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TKeyboardLanguage 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96324_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TPair<System.string,System.string> 0038 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2379_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.SetItem"
		size = 180
		refs = "0014 TPair<System.Integer,System.Classes.IObserver> 0019 @InitializeRecord 0021 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26830_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27054_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27258_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27490_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27707_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27908_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28805_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzureBlob.TPair<System.string,System.string>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29369_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,DSAzureTableDialog.TAzureTableColumn> 0019 @InitializeRecord 0021 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3981_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.SetItem"
		size = 180
		refs = "0014 TAmazonNotificationEvent 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3726_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.SetItem"
		size = 180
		refs = "0014 TCloudQueue 0019 @InitializeRecord 0021 TList<Data.Cloud.CloudAPI.TCloudQueue>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10206_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0019 @InitializeRecord 0021 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10495_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0019 @InitializeRecord 0021 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10399_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.TObject> 0019 @InitializeRecord 0021 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11032_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.SetItem"
		size = 180
		refs = "0014 TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent> 0019 @InitializeRecord 0021 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11267_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15927_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15782_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.Classes.TStream> 0019 @InitializeRecord 0021 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16432_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17280_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18419_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18515_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18274_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18748_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19049_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19408_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19703_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19991_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20273_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20799_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20703_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21027_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21261_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21548_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21815_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22107_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22400_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22967_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22822_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.Masks.TMask> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23762_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0019 @InitializeRecord 0021 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23860_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0019 @InitializeRecord 0021 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23956_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.Classes.TStrings> 0019 @InitializeRecord 0021 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24953_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Datasnap.DSService.TDBXRequestFilter> 0019 @InitializeRecord 0021 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25300_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25204_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.TObject> 0019 @InitializeRecord 0021 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25157_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSService.TPair<System.string,System.string>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25574_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31243_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,IBIntf.IGDSLibrary> 0019 @InitializeRecord 0021 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42870_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>> 0019 @InitializeRecord 0021 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43015_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<IPPeerAPI.TPair<System.string,System.string>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40263_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.SetItem"
		size = 180
		refs = "0014 TPair<IdContext.TIdContext,IPPeerAPI.IIPContext> 0019 @InitializeRecord 0021 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40167_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<IndyPeerImpl.TPair<System.string,System.string>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51072_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.SetItem"
		size = 180
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<SyncController.TPair<System.IInterface,System.Pointer>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51315_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.SetItem"
		size = 180
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<SyncController.TPair<System.TObject,System.string>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51688_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52103_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.SetItem"
		size = 180
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52628_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53201_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.SetItem"
		size = 180
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53584_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.SetItem"
		size = 180
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53729_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.Bindings.Expression.TBindingExpression> 0019 @InitializeRecord 0021 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54103_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.SetItem"
		size = 180
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54248_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55900_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.SetItem"
		size = 180
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56386_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.SetItem"
		size = 180
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56141_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.Integer> 0019 @InitializeRecord 0021 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56819_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57812_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.SetItem"
		size = 180
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57957_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.Integer> 0019 @InitializeRecord 0021 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59167_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59675_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61084_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.SetItem"
		size = 180
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60682_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61143_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61676_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.SetItem"
		size = 180
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64768_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.Boolean> 0019 @InitializeRecord 0021 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68263_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.SetItem"
		size = 180
		refs = "0014 TPair<System.TypInfo.PTypeInfo,System.string> 0019 @InitializeRecord 0021 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68406_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.TypInfo.PTypeInfo> 0019 @InitializeRecord 0021 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71759_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.SetItem"
		size = 180
		refs = "0014 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 0019 @InitializeRecord 0021 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88419_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.SetItem"
		size = 180
		refs = "0014 TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0019 @InitializeRecord 0021 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89809_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.SetItem"
		size = 180
		refs = "0014 TKeyboardLanguage 0019 @InitializeRecord 0021 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96325_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.SetItem"
		size = 180
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.SetItem 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 08 8B 55 F4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2382_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.Integer,System.Classes.IObserver> 0019 @InitializeRecord 0021 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26833_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27057_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27261_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27493_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27710_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27911_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28808_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzureBlob.TPair<System.string,System.string>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29372_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,DSAzureTableDialog.TAzureTableColumn> 0019 @InitializeRecord 0021 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3984_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.DoDelete"
		size = 233
		refs = "0014 TAmazonNotificationEvent 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3729_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.DoDelete"
		size = 233
		refs = "0014 TCloudQueue 0019 @InitializeRecord 0021 TList<Data.Cloud.CloudAPI.TCloudQueue>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10209_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0019 @InitializeRecord 0021 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10498_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0019 @InitializeRecord 0021 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10402_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.TObject> 0019 @InitializeRecord 0021 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11035_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.DoDelete"
		size = 233
		refs = "0014 TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent> 0019 @InitializeRecord 0021 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11270_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15930_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15785_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.Classes.TStream> 0019 @InitializeRecord 0021 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16435_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17283_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18422_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18518_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18277_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18751_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19052_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19411_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19706_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19994_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20276_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20802_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20706_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21030_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21264_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21551_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21818_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22110_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22403_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22970_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22825_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.Masks.TMask> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23765_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0019 @InitializeRecord 0021 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23863_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0019 @InitializeRecord 0021 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23959_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.Classes.TStrings> 0019 @InitializeRecord 0021 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24956_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Datasnap.DSService.TDBXRequestFilter> 0019 @InitializeRecord 0021 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25303_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25207_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.TObject> 0019 @InitializeRecord 0021 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25160_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSService.TPair<System.string,System.string>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25577_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31246_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,IBIntf.IGDSLibrary> 0019 @InitializeRecord 0021 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42873_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>> 0019 @InitializeRecord 0021 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43018_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<IPPeerAPI.TPair<System.string,System.string>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40266_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.DoDelete"
		size = 233
		refs = "0014 TPair<IdContext.TIdContext,IPPeerAPI.IIPContext> 0019 @InitializeRecord 0021 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40170_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<IndyPeerImpl.TPair<System.string,System.string>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51075_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<SyncController.TPair<System.IInterface,System.Pointer>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51318_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<SyncController.TPair<System.TObject,System.string>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51691_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52106_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52631_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53204_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53587_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53732_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.Bindings.Expression.TBindingExpression> 0019 @InitializeRecord 0021 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54106_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54251_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55903_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56389_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56144_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.Integer> 0019 @InitializeRecord 0021 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56822_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57815_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57960_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.Integer> 0019 @InitializeRecord 0021 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59170_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59678_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61087_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60685_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61146_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61679_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64771_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.Boolean> 0019 @InitializeRecord 0021 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68266_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.TypInfo.PTypeInfo,System.string> 0019 @InitializeRecord 0021 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68409_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.TypInfo.PTypeInfo> 0019 @InitializeRecord 0021 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71762_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 0019 @InitializeRecord 0021 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88422_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0019 @InitializeRecord 0021 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89812_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.DoDelete"
		size = 233
		refs = "0014 TKeyboardLanguage 0019 @InitializeRecord 0021 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96328_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.DoDelete"
		size = 233
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.DoDelete 0036 SArgumentOutOfRange 003d _Dn_EArgumentOutOfRangeException 0042 Exception.CreateRes 0047 @RaiseExcept 005b @CopyRecord 006c @FinalizeRecord 0099 Move 00ae @FillChar 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D F7 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4B 08 8B 43 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 14 F0 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F7 8D 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2384_0 {
	meta:
		name = "TList<T>.Notify"
		size = 23
	strings:
		$1 = { 56 8B F0 66 83 7E 12 00 74 0B 51 8B CA 8B D6 8B 46 14 FF 56 10 5E C3 }
	condition:
		$1
}

rule function_2389_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Add"
		size = 66
		refs = "000f TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.GrowCheck 0023 TPair<System.Integer,System.Classes.IObserver> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26840_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Add"
		size = 66
		refs = "000f TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.GrowCheck 0023 TPair<System.string,System.string> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27064_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Add"
		size = 66
		refs = "000f TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.GrowCheck 0023 TPair<System.string,System.string> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27268_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Add"
		size = 66
		refs = "000f TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.GrowCheck 0023 TPair<System.string,System.string> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27500_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Add"
		size = 66
		refs = "000f TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.GrowCheck 0023 TPair<System.string,System.string> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27717_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Add"
		size = 66
		refs = "000f TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.GrowCheck 0023 TPair<System.string,System.string> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27918_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Add"
		size = 66
		refs = "000f TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.GrowCheck 0023 TPair<System.string,System.string> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28815_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.Add"
		size = 66
		refs = "000f TList<DSAzureBlob.TPair<System.string,System.string>>.GrowCheck 0023 TPair<System.string,System.string> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29379_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Add"
		size = 66
		refs = "000f TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.GrowCheck 0023 TPair<System.string,DSAzureTableDialog.TAzureTableColumn> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3991_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Add"
		size = 66
		refs = "000f TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.GrowCheck 0023 TAmazonNotificationEvent 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3736_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.Add"
		size = 66
		refs = "000f TList<Data.Cloud.CloudAPI.TCloudQueue>.GrowCheck 0023 TCloudQueue 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10216_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Add"
		size = 66
		refs = "000f TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GrowCheck 0023 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10505_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Add"
		size = 66
		refs = "000f TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GrowCheck 0023 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10409_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Add"
		size = 66
		refs = "000f TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.GrowCheck 0023 TPair<System.string,System.TObject> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11042_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Add"
		size = 66
		refs = "000f TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.GrowCheck 0023 TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11277_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Add"
		size = 66
		refs = "000f TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.GrowCheck 0023 TPair<System.string,Datasnap.DSService.TDSSession> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15937_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0023 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15792_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.GrowCheck 0023 TPair<System.string,System.Classes.TStream> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16442_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.GrowCheck 0023 TPair<System.string,System.string> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17290_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.GrowCheck 0023 TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18429_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GrowCheck 0023 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18525_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GrowCheck 0023 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18284_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.GrowCheck 0023 TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18758_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.GrowCheck 0023 TPair<System.string,Datasnap.DSService.TDSSession> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19059_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.GrowCheck 0023 TPair<System.string,System.string> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19418_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0023 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19713_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0023 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20001_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0023 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20283_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0023 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20809_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0023 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20713_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.GrowCheck 0023 TPair<System.string,System.string> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21037_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.GrowCheck 0023 TPair<System.string,System.string> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21271_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0023 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21558_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0023 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21825_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0023 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22117_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0023 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22410_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0023 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22977_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0023 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22832_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.GrowCheck 0023 TPair<System.string,System.Masks.TMask> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23772_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GrowCheck 0023 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23870_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GrowCheck 0023 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23966_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.GrowCheck 0023 TPair<System.string,System.Classes.TStrings> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24963_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.GrowCheck 0023 TPair<System.string,Datasnap.DSService.TDBXRequestFilter> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25310_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.GrowCheck 0023 TPair<System.string,Datasnap.DSService.TDSSession> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25214_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSService.TPair<System.string,System.TObject>>.GrowCheck 0023 TPair<System.string,System.TObject> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25167_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSService.TPair<System.string,System.string>>.GrowCheck 0023 TPair<System.string,System.string> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25584_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Add"
		size = 66
		refs = "000f TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.GrowCheck 0023 TPair<System.string,Datasnap.DSService.TDSSession> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31253_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Add"
		size = 66
		refs = "000f TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.GrowCheck 0023 TPair<System.string,IBIntf.IGDSLibrary> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42880_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Add"
		size = 66
		refs = "000f TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.GrowCheck 0023 TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43025_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.Add"
		size = 66
		refs = "000f TList<IPPeerAPI.TPair<System.string,System.string>>.GrowCheck 0023 TPair<System.string,System.string> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40273_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Add"
		size = 66
		refs = "000f TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.GrowCheck 0023 TPair<IdContext.TIdContext,IPPeerAPI.IIPContext> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40177_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.Add"
		size = 66
		refs = "000f TList<IndyPeerImpl.TPair<System.string,System.string>>.GrowCheck 0023 TPair<System.string,System.string> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51082_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.Add"
		size = 66
		refs = "000f TList<SyncController.TPair<System.IInterface,System.Pointer>>.GrowCheck 0023 TPair<System.IInterface,System.Pointer> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51325_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.Add"
		size = 66
		refs = "000f TList<SyncController.TPair<System.TObject,System.string>>.GrowCheck 0023 TPair<System.TObject,System.string> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51698_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Add"
		size = 66
		refs = "000f TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.GrowCheck 0023 TPair<System.string,System.IInterface> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52113_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Add"
		size = 66
		refs = "000f TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.GrowCheck 0023 TPair<System.IInterface,System.Pointer> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52638_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Add"
		size = 66
		refs = "000f TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.GrowCheck 0023 TPair<System.string,System.IInterface> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53211_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Add"
		size = 66
		refs = "000f TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.GrowCheck 0023 TPair<System.IInterface,System.Pointer> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53594_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Add"
		size = 66
		refs = "000f TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.GrowCheck 0023 TPair<System.TObject,System.string> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53739_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Add"
		size = 66
		refs = "000f TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.GrowCheck 0023 TPair<System.string,System.Bindings.Expression.TBindingExpression> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54113_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Add"
		size = 66
		refs = "000f TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.GrowCheck 0023 TPair<System.TObject,System.string> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54258_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Add"
		size = 66
		refs = "000f TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.GrowCheck 0023 TPair<System.string,System.IInterface> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55910_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Add"
		size = 66
		refs = "000f TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.GrowCheck 0023 TPair<System.IInterface,System.Pointer> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56396_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Add"
		size = 66
		refs = "000f TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.GrowCheck 0023 TPair<System.TObject,System.string> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56151_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Add"
		size = 66
		refs = "000f TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.GrowCheck 0023 TPair<System.string,System.Integer> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56829_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Add"
		size = 66
		refs = "000f TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.GrowCheck 0023 TPair<System.string,System.IInterface> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57822_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Add"
		size = 66
		refs = "000f TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.GrowCheck 0023 TPair<System.IInterface,System.Pointer> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57967_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Add"
		size = 66
		refs = "000f TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.GrowCheck 0023 TPair<System.string,System.Integer> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59177_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Add"
		size = 66
		refs = "000f TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.GrowCheck 0023 TPair<System.string,System.IInterface> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59685_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Add"
		size = 66
		refs = "000f TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.GrowCheck 0023 TPair<System.string,System.IInterface> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61094_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Add"
		size = 66
		refs = "000f TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.GrowCheck 0023 TPair<System.TObject,System.string> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60692_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Add"
		size = 66
		refs = "000f TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.GrowCheck 0023 TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61153_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Add"
		size = 66
		refs = "000f TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.GrowCheck 0023 TPair<System.string,System.IInterface> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61686_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Add"
		size = 66
		refs = "000f TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.GrowCheck 0023 TPair<System.IInterface,System.Pointer> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64778_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Add"
		size = 66
		refs = "000f TList<System.DebugUtils.TPair<System.string,System.Boolean>>.GrowCheck 0023 TPair<System.string,System.Boolean> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68273_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Add"
		size = 66
		refs = "000f TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.GrowCheck 0023 TPair<System.TypInfo.PTypeInfo,System.string> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68416_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Add"
		size = 66
		refs = "000f TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.GrowCheck 0023 TPair<System.string,System.TypInfo.PTypeInfo> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71769_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Add"
		size = 66
		refs = "000f TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GrowCheck 0023 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88429_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Add"
		size = 66
		refs = "000f TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.GrowCheck 0023 TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89819_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Add"
		size = 66
		refs = "000f TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.GrowCheck 0023 TKeyboardLanguage 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96335_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Add"
		size = 66
		refs = "000f TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.GrowCheck 0023 TPair<System.string,System.string> 0028 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2393_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.Integer,System.Classes.IObserver> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26844_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.string> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27068_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.string> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27272_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.string> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27504_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.string> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27721_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.string> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27922_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.string> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28819_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<DSAzureBlob.TPair<System.string,System.string>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.string> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29383_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,DSAzureTableDialog.TAzureTableColumn> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3995_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.GrowCheck 0053 Move 0065 @FillChar 0073 TAmazonNotificationEvent 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3740_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.Cloud.CloudAPI.TCloudQueue>.GrowCheck 0053 Move 0065 @FillChar 0073 TCloudQueue 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10220_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10509_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10413_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.TObject> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11046_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11281_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Datasnap.DSService.TDSSession> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15941_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15796_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.Classes.TStream> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16446_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.string> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17294_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18433_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18529_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18288_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18762_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Datasnap.DSService.TDSSession> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19063_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.string> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19422_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19717_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20005_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20287_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20813_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20717_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.string> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21041_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.string> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21275_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21562_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21829_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22121_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22414_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22981_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22836_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.Masks.TMask> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23776_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23874_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23970_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.Classes.TStrings> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24967_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Datasnap.DSService.TDBXRequestFilter> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25314_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Datasnap.DSService.TDSSession> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25218_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.TObject> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25171_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSService.TPair<System.string,System.string>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.string> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25588_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,Datasnap.DSService.TDSSession> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31257_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,IBIntf.IGDSLibrary> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42884_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43029_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<IPPeerAPI.TPair<System.string,System.string>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.string> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40277_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<IdContext.TIdContext,IPPeerAPI.IIPContext> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40181_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<IndyPeerImpl.TPair<System.string,System.string>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.string> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51086_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<SyncController.TPair<System.IInterface,System.Pointer>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.IInterface,System.Pointer> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51329_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<SyncController.TPair<System.TObject,System.string>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.TObject,System.string> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51702_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.IInterface> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52117_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.IInterface,System.Pointer> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52642_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.IInterface> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53215_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.IInterface,System.Pointer> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53598_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.TObject,System.string> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53743_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.Bindings.Expression.TBindingExpression> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54117_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.TObject,System.string> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54262_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.IInterface> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55914_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.IInterface,System.Pointer> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56400_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.TObject,System.string> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56155_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.Integer> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56833_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.IInterface> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57826_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.IInterface,System.Pointer> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57971_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.Integer> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59181_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.IInterface> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59689_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.IInterface> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61098_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.TObject,System.string> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60696_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61157_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.IInterface> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61690_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.IInterface,System.Pointer> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64782_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.Boolean> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68277_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.TypInfo.PTypeInfo,System.string> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68420_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.TypInfo.PTypeInfo> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71773_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88433_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89823_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.GrowCheck 0053 Move 0065 @FillChar 0073 TKeyboardLanguage 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96339_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Insert"
		size = 142
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.GrowCheck 0053 Move 0065 @FillChar 0073 TPair<System.string,System.string> 0078 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2394_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.Integer,System.Classes.IObserver> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_26845_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.string> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_27069_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.string> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_27273_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.string> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_27505_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.string> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_27722_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.string> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_27923_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.string> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_28820_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<DSAzureBlob.TPair<System.string,System.string>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.string> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_29384_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,DSAzureTableDialog.TAzureTableColumn> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3996_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.GrowCheck 006d Move 0085 @FillChar 00a6 TAmazonNotificationEvent 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3741_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Data.Cloud.CloudAPI.TCloudQueue>.GrowCheck 006d Move 0085 @FillChar 00a6 TCloudQueue 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10221_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10510_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10414_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.TObject> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11047_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11282_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Datasnap.DSService.TDSSession> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15942_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15797_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.Classes.TStream> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16447_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.string> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17295_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18434_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18530_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18289_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18763_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Datasnap.DSService.TDSSession> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_19064_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.string> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_19423_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_19718_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_20006_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_20288_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_20814_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_20718_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.string> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_21042_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.string> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_21276_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_21563_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_21830_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_22122_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_22415_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_22982_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_22837_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.Masks.TMask> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_23777_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_23875_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_23971_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.Classes.TStrings> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_24968_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Datasnap.DSService.TDBXRequestFilter> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_25315_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Datasnap.DSService.TDSSession> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_25219_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.TObject> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_25172_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSService.TPair<System.string,System.string>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.string> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_25589_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,Datasnap.DSService.TDSSession> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_31258_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,IBIntf.IGDSLibrary> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_42885_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_43030_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<IPPeerAPI.TPair<System.string,System.string>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.string> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_40278_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<IdContext.TIdContext,IPPeerAPI.IIPContext> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_40182_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<IndyPeerImpl.TPair<System.string,System.string>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.string> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_51087_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<SyncController.TPair<System.IInterface,System.Pointer>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.IInterface,System.Pointer> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_51330_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<SyncController.TPair<System.TObject,System.string>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.TObject,System.string> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_51703_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.IInterface> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_52118_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.IInterface,System.Pointer> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_52643_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.IInterface> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_53216_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.IInterface,System.Pointer> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_53599_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.TObject,System.string> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_53744_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.Bindings.Expression.TBindingExpression> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_54118_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.TObject,System.string> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_54263_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.IInterface> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_55915_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.IInterface,System.Pointer> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_56401_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.TObject,System.string> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_56156_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.Integer> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_56834_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.IInterface> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_57827_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.IInterface,System.Pointer> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_57972_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.Integer> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_59182_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.IInterface> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_59690_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.IInterface> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_61099_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.TObject,System.string> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_60697_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_61158_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.IInterface> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_61691_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.IInterface,System.Pointer> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_64783_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.Boolean> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_68278_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.TypInfo.PTypeInfo,System.string> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_68421_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.TypInfo.PTypeInfo> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71774_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_88434_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89824_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.GrowCheck 006d Move 0085 @FillChar 00a6 TKeyboardLanguage 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_96340_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.InsertRange"
		size = 231
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.GrowCheck 006d Move 0085 @FillChar 00a6 TPair<System.string,System.string> 00ab @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 8B 4E 04 8D 14 D1 8B 4E 04 8B 7D FC 8D 0C F9 2B 45 FC 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 D0 8B D3 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 08 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 08 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_2395_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.Integer,System.Classes.IObserver> 001e @InitializeRecord 0026 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.InsertRange 004f TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26846_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.string> 001e @InitializeRecord 0026 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.InsertRange 004f TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27070_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.string> 001e @InitializeRecord 0026 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.InsertRange 004f TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27274_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.string> 001e @InitializeRecord 0026 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.InsertRange 004f TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27506_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.string> 001e @InitializeRecord 0026 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.InsertRange 004f TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27723_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.string> 001e @InitializeRecord 0026 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.InsertRange 004f TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27924_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.string> 001e @InitializeRecord 0026 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.InsertRange 004f TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28821_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.string> 001e @InitializeRecord 0026 TList<DSAzureBlob.TPair<System.string,System.string>>.InsertRange 004f TList<DSAzureBlob.TPair<System.string,System.string>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29385_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,DSAzureTableDialog.TAzureTableColumn> 001e @InitializeRecord 0026 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.InsertRange 004f TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3997_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.InsertRange"
		size = 154
		refs = "0019 TAmazonNotificationEvent 001e @InitializeRecord 0026 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.InsertRange 004f TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3742_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.InsertRange"
		size = 154
		refs = "0019 TCloudQueue 001e @InitializeRecord 0026 TList<Data.Cloud.CloudAPI.TCloudQueue>.InsertRange 004f TList<Data.Cloud.CloudAPI.TCloudQueue>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10222_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 001e @InitializeRecord 0026 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange 004f TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10511_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 001e @InitializeRecord 0026 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange 004f TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10415_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.TObject> 001e @InitializeRecord 0026 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.InsertRange 004f TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11048_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.InsertRange"
		size = 154
		refs = "0019 TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent> 001e @InitializeRecord 0026 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.InsertRange 004f TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11283_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Datasnap.DSService.TDSSession> 001e @InitializeRecord 0026 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange 004f TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15943_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001e @InitializeRecord 0026 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 004f TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15798_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.Classes.TStream> 001e @InitializeRecord 0026 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.InsertRange 004f TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16448_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.string> 001e @InitializeRecord 0026 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.InsertRange 004f TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17296_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass> 001e @InitializeRecord 0026 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.InsertRange 004f TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18435_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 001e @InitializeRecord 0026 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange 004f TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18531_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 001e @InitializeRecord 0026 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange 004f TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18290_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem> 001e @InitializeRecord 0026 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.InsertRange 004f TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18764_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Datasnap.DSService.TDSSession> 001e @InitializeRecord 0026 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange 004f TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19065_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.string> 001e @InitializeRecord 0026 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.InsertRange 004f TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19424_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001e @InitializeRecord 0026 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 004f TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19719_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001e @InitializeRecord 0026 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 004f TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20007_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001e @InitializeRecord 0026 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 004f TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20289_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001e @InitializeRecord 0026 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 004f TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20815_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001e @InitializeRecord 0026 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 004f TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20719_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.string> 001e @InitializeRecord 0026 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.InsertRange 004f TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21043_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.string> 001e @InitializeRecord 0026 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.InsertRange 004f TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21277_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001e @InitializeRecord 0026 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 004f TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21564_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001e @InitializeRecord 0026 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 004f TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21831_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001e @InitializeRecord 0026 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 004f TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22123_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001e @InitializeRecord 0026 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 004f TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22416_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001e @InitializeRecord 0026 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 004f TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22983_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001e @InitializeRecord 0026 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 004f TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22838_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.Masks.TMask> 001e @InitializeRecord 0026 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.InsertRange 004f TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23778_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 001e @InitializeRecord 0026 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange 004f TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23876_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 001e @InitializeRecord 0026 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange 004f TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23972_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.Classes.TStrings> 001e @InitializeRecord 0026 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.InsertRange 004f TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24969_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Datasnap.DSService.TDBXRequestFilter> 001e @InitializeRecord 0026 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.InsertRange 004f TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25316_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Datasnap.DSService.TDSSession> 001e @InitializeRecord 0026 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange 004f TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25220_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.TObject> 001e @InitializeRecord 0026 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.InsertRange 004f TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25173_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.string> 001e @InitializeRecord 0026 TList<Datasnap.DSService.TPair<System.string,System.string>>.InsertRange 004f TList<Datasnap.DSService.TPair<System.string,System.string>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25590_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Datasnap.DSService.TDSSession> 001e @InitializeRecord 0026 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange 004f TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31259_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,IBIntf.IGDSLibrary> 001e @InitializeRecord 0026 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.InsertRange 004f TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42886_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>> 001e @InitializeRecord 0026 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.InsertRange 004f TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43031_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.string> 001e @InitializeRecord 0026 TList<IPPeerAPI.TPair<System.string,System.string>>.InsertRange 004f TList<IPPeerAPI.TPair<System.string,System.string>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40279_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.InsertRange"
		size = 154
		refs = "0019 TPair<IdContext.TIdContext,IPPeerAPI.IIPContext> 001e @InitializeRecord 0026 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.InsertRange 004f TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40183_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.string> 001e @InitializeRecord 0026 TList<IndyPeerImpl.TPair<System.string,System.string>>.InsertRange 004f TList<IndyPeerImpl.TPair<System.string,System.string>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51088_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.IInterface,System.Pointer> 001e @InitializeRecord 0026 TList<SyncController.TPair<System.IInterface,System.Pointer>>.InsertRange 004f TList<SyncController.TPair<System.IInterface,System.Pointer>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51331_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.TObject,System.string> 001e @InitializeRecord 0026 TList<SyncController.TPair<System.TObject,System.string>>.InsertRange 004f TList<SyncController.TPair<System.TObject,System.string>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51704_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.IInterface> 001e @InitializeRecord 0026 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.InsertRange 004f TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52119_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.IInterface,System.Pointer> 001e @InitializeRecord 0026 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.InsertRange 004f TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52644_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.IInterface> 001e @InitializeRecord 0026 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.InsertRange 004f TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53217_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.IInterface,System.Pointer> 001e @InitializeRecord 0026 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.InsertRange 004f TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53600_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.TObject,System.string> 001e @InitializeRecord 0026 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.InsertRange 004f TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53745_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.Bindings.Expression.TBindingExpression> 001e @InitializeRecord 0026 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.InsertRange 004f TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54119_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.TObject,System.string> 001e @InitializeRecord 0026 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.InsertRange 004f TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54264_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.IInterface> 001e @InitializeRecord 0026 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.InsertRange 004f TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55916_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.IInterface,System.Pointer> 001e @InitializeRecord 0026 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.InsertRange 004f TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56402_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.TObject,System.string> 001e @InitializeRecord 0026 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.InsertRange 004f TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56157_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.Integer> 001e @InitializeRecord 0026 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.InsertRange 004f TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56835_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.IInterface> 001e @InitializeRecord 0026 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.InsertRange 004f TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57828_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.IInterface,System.Pointer> 001e @InitializeRecord 0026 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.InsertRange 004f TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57973_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.Integer> 001e @InitializeRecord 0026 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.InsertRange 004f TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59183_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.IInterface> 001e @InitializeRecord 0026 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.InsertRange 004f TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59691_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.IInterface> 001e @InitializeRecord 0026 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.InsertRange 004f TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61100_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.TObject,System.string> 001e @InitializeRecord 0026 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.InsertRange 004f TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60698_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 001e @InitializeRecord 0026 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.InsertRange 004f TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61159_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.IInterface> 001e @InitializeRecord 0026 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.InsertRange 004f TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61692_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.IInterface,System.Pointer> 001e @InitializeRecord 0026 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.InsertRange 004f TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64784_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.Boolean> 001e @InitializeRecord 0026 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.InsertRange 004f TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68279_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.TypInfo.PTypeInfo,System.string> 001e @InitializeRecord 0026 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.InsertRange 004f TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68422_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.TypInfo.PTypeInfo> 001e @InitializeRecord 0026 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.InsertRange 004f TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71775_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 001e @InitializeRecord 0026 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.InsertRange 004f TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88435_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 001e @InitializeRecord 0026 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.InsertRange 004f TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89825_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.InsertRange"
		size = 154
		refs = "0019 TKeyboardLanguage 001e @InitializeRecord 0026 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.InsertRange 004f TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96341_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.string> 001e @InitializeRecord 0026 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.InsertRange 004f TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2396_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.Integer,System.Classes.IObserver> 0019 @InitializeRecord 0021 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.InsertRange 002e TEnumerable<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.GetEnumerator 0057 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Insert 0060 TEnumerator<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26847_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.InsertRange 002e TEnumerable<DSAzDlgBlockBlob.TPair<System.string,System.string>>.GetEnumerator 0057 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Insert 0060 TEnumerator<DSAzDlgBlockBlob.TPair<System.string,System.string>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27071_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.InsertRange 002e TEnumerable<DSAzDlgCopyBlob.TPair<System.string,System.string>>.GetEnumerator 0057 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Insert 0060 TEnumerator<DSAzDlgCopyBlob.TPair<System.string,System.string>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27275_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.InsertRange 002e TEnumerable<DSAzDlgCreateContainer.TPair<System.string,System.string>>.GetEnumerator 0057 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Insert 0060 TEnumerator<DSAzDlgCreateContainer.TPair<System.string,System.string>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27507_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.InsertRange 002e TEnumerable<DSAzDlgPageBlob.TPair<System.string,System.string>>.GetEnumerator 0057 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Insert 0060 TEnumerator<DSAzDlgPageBlob.TPair<System.string,System.string>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27724_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.InsertRange 002e TEnumerable<DSAzDlgPutBlockList.TPair<System.string,System.string>>.GetEnumerator 0057 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Insert 0060 TEnumerator<DSAzDlgPutBlockList.TPair<System.string,System.string>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27925_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.InsertRange 002e TEnumerable<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.GetEnumerator 0057 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Insert 0060 TEnumerator<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28822_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzureBlob.TPair<System.string,System.string>>.InsertRange 002e TEnumerable<DSAzureBlob.TPair<System.string,System.string>>.GetEnumerator 0057 TList<DSAzureBlob.TPair<System.string,System.string>>.Insert 0060 TEnumerator<DSAzureBlob.TPair<System.string,System.string>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29386_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,DSAzureTableDialog.TAzureTableColumn> 0019 @InitializeRecord 0021 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.InsertRange 002e TEnumerable<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.GetEnumerator 0057 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Insert 0060 TEnumerator<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3998_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.InsertRange"
		size = 183
		refs = "0014 TAmazonNotificationEvent 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.InsertRange 002e TEnumerable<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.GetEnumerator 0057 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Insert 0060 TEnumerator<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3743_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.InsertRange"
		size = 183
		refs = "0014 TCloudQueue 0019 @InitializeRecord 0021 TList<Data.Cloud.CloudAPI.TCloudQueue>.InsertRange 002e TEnumerable<Data.Cloud.CloudAPI.TCloudQueue>.GetEnumerator 0057 TList<Data.Cloud.CloudAPI.TCloudQueue>.Insert 0060 TEnumerator<Data.Cloud.CloudAPI.TCloudQueue>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10223_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0019 @InitializeRecord 0021 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange 002e TEnumerable<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetEnumerator 0057 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Insert 0060 TEnumerator<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10512_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0019 @InitializeRecord 0021 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange 002e TEnumerable<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetEnumerator 0057 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Insert 0060 TEnumerator<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10416_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.TObject> 0019 @InitializeRecord 0021 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.InsertRange 002e TEnumerable<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.GetEnumerator 0057 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Insert 0060 TEnumerator<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11049_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.InsertRange"
		size = 183
		refs = "0014 TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent> 0019 @InitializeRecord 0021 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.InsertRange 002e TEnumerable<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.GetEnumerator 0057 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Insert 0060 TEnumerator<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11284_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange 002e TEnumerable<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator 0057 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Insert 0060 TEnumerator<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15944_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 002e TEnumerable<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0057 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0060 TEnumerator<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15799_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.Classes.TStream> 0019 @InitializeRecord 0021 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.InsertRange 002e TEnumerable<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.GetEnumerator 0057 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Insert 0060 TEnumerator<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16449_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.InsertRange 002e TEnumerable<Datasnap.DSClientRest.TPair<System.string,System.string>>.GetEnumerator 0057 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Insert 0060 TEnumerator<Datasnap.DSClientRest.TPair<System.string,System.string>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17297_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.InsertRange 002e TEnumerable<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.GetEnumerator 0057 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Insert 0060 TEnumerator<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18436_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange 002e TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetEnumerator 0057 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Insert 0060 TEnumerator<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18532_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange 002e TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetEnumerator 0057 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Insert 0060 TEnumerator<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18291_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.InsertRange 002e TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.GetEnumerator 0057 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Insert 0060 TEnumerator<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18765_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange 002e TEnumerable<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator 0057 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Insert 0060 TEnumerator<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19066_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.InsertRange 002e TEnumerable<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.GetEnumerator 0057 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Insert 0060 TEnumerator<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19425_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 002e TEnumerable<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0057 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0060 TEnumerator<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19720_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 002e TEnumerable<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0057 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0060 TEnumerator<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20008_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 002e TEnumerable<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0057 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0060 TEnumerator<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20290_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 002e TEnumerable<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0057 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0060 TEnumerator<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20816_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 002e TEnumerable<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0057 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0060 TEnumerator<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20720_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.InsertRange 002e TEnumerable<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.GetEnumerator 0057 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Insert 0060 TEnumerator<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21044_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.InsertRange 002e TEnumerable<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.GetEnumerator 0057 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Insert 0060 TEnumerator<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21278_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 002e TEnumerable<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0057 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0060 TEnumerator<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21565_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 002e TEnumerable<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0057 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0060 TEnumerator<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21832_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 002e TEnumerable<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0057 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0060 TEnumerator<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22124_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 002e TEnumerable<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0057 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0060 TEnumerator<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22417_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 002e TEnumerable<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0057 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0060 TEnumerator<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22984_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.InsertRange 002e TEnumerable<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetEnumerator 0057 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Insert 0060 TEnumerator<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22839_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.Masks.TMask> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.InsertRange 002e TEnumerable<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.GetEnumerator 0057 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Insert 0060 TEnumerator<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23779_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0019 @InitializeRecord 0021 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.InsertRange 002e TEnumerable<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetEnumerator 0057 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Insert 0060 TEnumerator<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23877_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0019 @InitializeRecord 0021 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.InsertRange 002e TEnumerable<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetEnumerator 0057 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Insert 0060 TEnumerator<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23973_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.Classes.TStrings> 0019 @InitializeRecord 0021 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.InsertRange 002e TEnumerable<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.GetEnumerator 0057 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Insert 0060 TEnumerator<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24970_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Datasnap.DSService.TDBXRequestFilter> 0019 @InitializeRecord 0021 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.InsertRange 002e TEnumerable<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.GetEnumerator 0057 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Insert 0060 TEnumerator<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25317_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange 002e TEnumerable<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator 0057 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Insert 0060 TEnumerator<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25221_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.TObject> 0019 @InitializeRecord 0021 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.InsertRange 002e TEnumerable<Datasnap.DSService.TPair<System.string,System.TObject>>.GetEnumerator 0057 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Insert 0060 TEnumerator<Datasnap.DSService.TPair<System.string,System.TObject>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25174_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSService.TPair<System.string,System.string>>.InsertRange 002e TEnumerable<Datasnap.DSService.TPair<System.string,System.string>>.GetEnumerator 0057 TList<Datasnap.DSService.TPair<System.string,System.string>>.Insert 0060 TEnumerator<Datasnap.DSService.TPair<System.string,System.string>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25591_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.InsertRange 002e TEnumerable<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.GetEnumerator 0057 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Insert 0060 TEnumerator<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31260_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,IBIntf.IGDSLibrary> 0019 @InitializeRecord 0021 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.InsertRange 002e TEnumerable<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.GetEnumerator 0057 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Insert 0060 TEnumerator<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42887_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>> 0019 @InitializeRecord 0021 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.InsertRange 002e TEnumerable<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.GetEnumerator 0057 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Insert 0060 TEnumerator<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43032_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<IPPeerAPI.TPair<System.string,System.string>>.InsertRange 002e TEnumerable<IPPeerAPI.TPair<System.string,System.string>>.GetEnumerator 0057 TList<IPPeerAPI.TPair<System.string,System.string>>.Insert 0060 TEnumerator<IPPeerAPI.TPair<System.string,System.string>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40280_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.InsertRange"
		size = 183
		refs = "0014 TPair<IdContext.TIdContext,IPPeerAPI.IIPContext> 0019 @InitializeRecord 0021 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.InsertRange 002e TEnumerable<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.GetEnumerator 0057 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Insert 0060 TEnumerator<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40184_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<IndyPeerImpl.TPair<System.string,System.string>>.InsertRange 002e TEnumerable<IndyPeerImpl.TPair<System.string,System.string>>.GetEnumerator 0057 TList<IndyPeerImpl.TPair<System.string,System.string>>.Insert 0060 TEnumerator<IndyPeerImpl.TPair<System.string,System.string>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51089_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<SyncController.TPair<System.IInterface,System.Pointer>>.InsertRange 002e TEnumerable<SyncController.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0057 TList<SyncController.TPair<System.IInterface,System.Pointer>>.Insert 0060 TEnumerator<SyncController.TPair<System.IInterface,System.Pointer>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51332_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<SyncController.TPair<System.TObject,System.string>>.InsertRange 002e TEnumerable<SyncController.TPair<System.TObject,System.string>>.GetEnumerator 0057 TList<SyncController.TPair<System.TObject,System.string>>.Insert 0060 TEnumerator<SyncController.TPair<System.TObject,System.string>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51705_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.InsertRange 002e TEnumerable<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.GetEnumerator 0057 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Insert 0060 TEnumerator<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52120_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.InsertRange 002e TEnumerable<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0057 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Insert 0060 TEnumerator<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52645_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.InsertRange 002e TEnumerable<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.GetEnumerator 0057 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Insert 0060 TEnumerator<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53218_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.InsertRange 002e TEnumerable<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0057 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Insert 0060 TEnumerator<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53601_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.InsertRange 002e TEnumerable<System.Bindings.Expression.TPair<System.TObject,System.string>>.GetEnumerator 0057 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Insert 0060 TEnumerator<System.Bindings.Expression.TPair<System.TObject,System.string>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53746_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.Bindings.Expression.TBindingExpression> 0019 @InitializeRecord 0021 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.InsertRange 002e TEnumerable<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.GetEnumerator 0057 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Insert 0060 TEnumerator<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54120_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.InsertRange 002e TEnumerable<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.GetEnumerator 0057 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Insert 0060 TEnumerator<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54265_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.InsertRange 002e TEnumerable<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.GetEnumerator 0057 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Insert 0060 TEnumerator<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55917_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.InsertRange 002e TEnumerable<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0057 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Insert 0060 TEnumerator<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56403_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.InsertRange 002e TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.string>>.GetEnumerator 0057 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Insert 0060 TEnumerator<System.Bindings.Graph.TPair<System.TObject,System.string>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56158_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.Integer> 0019 @InitializeRecord 0021 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.InsertRange 002e TEnumerable<System.Bindings.Graph.TPair<System.string,System.Integer>>.GetEnumerator 0057 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Insert 0060 TEnumerator<System.Bindings.Graph.TPair<System.string,System.Integer>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56836_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.InsertRange 002e TEnumerable<System.Bindings.Helper.TPair<System.string,System.IInterface>>.GetEnumerator 0057 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Insert 0060 TEnumerator<System.Bindings.Helper.TPair<System.string,System.IInterface>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57829_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.InsertRange 002e TEnumerable<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0057 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Insert 0060 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57974_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.Integer> 0019 @InitializeRecord 0021 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.InsertRange 002e TEnumerable<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.GetEnumerator 0057 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Insert 0060 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59184_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.InsertRange 002e TEnumerable<System.Bindings.Methods.TPair<System.string,System.IInterface>>.GetEnumerator 0057 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Insert 0060 TEnumerator<System.Bindings.Methods.TPair<System.string,System.IInterface>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59692_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.InsertRange 002e TEnumerable<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.GetEnumerator 0057 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Insert 0060 TEnumerator<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61101_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.InsertRange 002e TEnumerable<System.Bindings.Outputs.TPair<System.TObject,System.string>>.GetEnumerator 0057 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Insert 0060 TEnumerator<System.Bindings.Outputs.TPair<System.TObject,System.string>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60699_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.InsertRange 002e TEnumerable<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.GetEnumerator 0057 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Insert 0060 TEnumerator<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61160_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.InsertRange 002e TEnumerable<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.GetEnumerator 0057 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Insert 0060 TEnumerator<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61693_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.InsertRange 002e TEnumerable<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.GetEnumerator 0057 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Insert 0060 TEnumerator<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64785_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.Boolean> 0019 @InitializeRecord 0021 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.InsertRange 002e TEnumerable<System.DebugUtils.TPair<System.string,System.Boolean>>.GetEnumerator 0057 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Insert 0060 TEnumerator<System.DebugUtils.TPair<System.string,System.Boolean>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68280_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.TypInfo.PTypeInfo,System.string> 0019 @InitializeRecord 0021 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.InsertRange 002e TEnumerable<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.GetEnumerator 0057 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Insert 0060 TEnumerator<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68423_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.TypInfo.PTypeInfo> 0019 @InitializeRecord 0021 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.InsertRange 002e TEnumerable<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.GetEnumerator 0057 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Insert 0060 TEnumerator<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71776_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 0019 @InitializeRecord 0021 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.InsertRange 002e TEnumerable<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetEnumerator 0057 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Insert 0060 TEnumerator<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88436_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0019 @InitializeRecord 0021 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.InsertRange 002e TEnumerable<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.GetEnumerator 0057 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Insert 0060 TEnumerator<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89826_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.InsertRange"
		size = 183
		refs = "0014 TKeyboardLanguage 0019 @InitializeRecord 0021 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.InsertRange 002e TEnumerable<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.GetEnumerator 0057 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Insert 0060 TEnumerator<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96342_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.InsertRange 002e TEnumerable<Web.WebFileDispatcher.TPair<System.string,System.string>>.GetEnumerator 0057 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Insert 0060 TEnumerator<Web.WebFileDispatcher.TPair<System.string,System.string>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2399_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.DeleteRange"
		size = 313
		refs = "0018 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_26850_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.DeleteRange"
		size = 313
		refs = "0018 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27074_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.DeleteRange"
		size = 313
		refs = "0018 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27278_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.DeleteRange"
		size = 313
		refs = "0018 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27510_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.DeleteRange"
		size = 313
		refs = "0018 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27727_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.DeleteRange"
		size = 313
		refs = "0018 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27928_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.DeleteRange"
		size = 313
		refs = "0018 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28825_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.DeleteRange"
		size = 313
		refs = "0018 TList<DSAzureBlob.TPair<System.string,System.string>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<DSAzureBlob.TPair<System.string,System.string>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29389_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.DeleteRange"
		size = 313
		refs = "0018 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2998_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.DeleteRange"
		size = 313
		refs = "0018 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4001_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.DeleteRange"
		size = 313
		refs = "0018 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3746_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.DeleteRange"
		size = 313
		refs = "0018 TList<Data.Cloud.CloudAPI.TCloudQueue>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Cloud.CloudAPI.TCloudQueue>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10130_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.DeleteRange"
		size = 313
		refs = "0018 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10226_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.DeleteRange"
		size = 313
		refs = "0018 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10515_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.DeleteRange"
		size = 313
		refs = "0018 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10419_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.DeleteRange"
		size = 313
		refs = "0018 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11052_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.DeleteRange"
		size = 313
		refs = "0018 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11287_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.DeleteRange"
		size = 313
		refs = "0018 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15947_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15802_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16452_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17300_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18439_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18535_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18294_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18768_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19069_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19428_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19723_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_20011_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_20293_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_20819_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_20723_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_21047_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_21281_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_21568_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_21835_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22127_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22420_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22987_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22842_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23782_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23880_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23976_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25079_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24973_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25320_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25224_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSService.TPair<System.string,System.TObject>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25177_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSService.TPair<System.string,System.string>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSService.TPair<System.string,System.string>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25594_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.DeleteRange"
		size = 313
		refs = "0018 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31263_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.DeleteRange"
		size = 313
		refs = "0018 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42890_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.DeleteRange"
		size = 313
		refs = "0018 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_43035_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.DeleteRange"
		size = 313
		refs = "0018 TList<IPPeerAPI.TPair<System.string,System.string>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<IPPeerAPI.TPair<System.string,System.string>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40283_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.DeleteRange"
		size = 313
		refs = "0018 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40187_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.DeleteRange"
		size = 313
		refs = "0018 TList<IndyPeerImpl.TPair<System.string,System.string>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<IndyPeerImpl.TPair<System.string,System.string>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51092_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.DeleteRange"
		size = 313
		refs = "0018 TList<SyncController.TPair<System.IInterface,System.Pointer>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<SyncController.TPair<System.IInterface,System.Pointer>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51335_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.DeleteRange"
		size = 313
		refs = "0018 TList<SyncController.TPair<System.TObject,System.string>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<SyncController.TPair<System.TObject,System.string>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51708_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52123_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52648_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52797_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53221_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53604_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53749_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_54123_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_54268_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56065_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_55485_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_55920_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_55728_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56208_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56406_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56161_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56839_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_58559_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_58267_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_57832_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_58412_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_58122_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_57977_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59187_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59695_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_60110_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.Outputs.TConvertPair>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Outputs.TConvertPair>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_61104_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_60702_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_61163_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_61696_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_63533_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_64788_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.DebugUtils.TPair<System.string,System.Boolean>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_54531_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68116_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68283_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68426_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_87738_0 {
	meta:
		name = "TList<System.Types.TPoint>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Types.TPoint>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Types.TPoint>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71779_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.DeleteRange"
		size = 313
		refs = "0018 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_86418_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.DeleteRange"
		size = 313
		refs = "0018 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_86567_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.DeleteRange"
		size = 313
		refs = "0018 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_87789_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.DeleteRange"
		size = 313
		refs = "0018 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88032_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.DeleteRange"
		size = 313
		refs = "0018 TList<Vcl.Themes.TStyleManager.TSourceInfo>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Themes.TStyleManager.TSourceInfo>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88439_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.DeleteRange"
		size = 313
		refs = "0018 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88962_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.DeleteRange"
		size = 313
		refs = "0018 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89547_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.DeleteRange"
		size = 313
		refs = "0018 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89829_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.DeleteRange"
		size = 313
		refs = "0018 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96345_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.DeleteRange"
		size = 313
		refs = "0018 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.:3 0068 @DynArraySetLength 0081 Move 00c9 @FillChar 00eb @DynArrayLength 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 B7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F8 8B CE 03 C9 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3C 8B 53 04 8D 14 FA 52 8D 14 3E 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? EB 15 8B 43 04 8D 04 F8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 45 F8 33 F6 8B 45 FC 8D 14 F0 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2400_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Extract"
		size = 76
		refs = "000a TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.IndexOf 0018 TPair<System.Integer,System.Classes.IObserver> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26851_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Extract"
		size = 76
		refs = "000a TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.IndexOf 0018 TPair<System.string,System.string> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27075_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Extract"
		size = 76
		refs = "000a TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.IndexOf 0018 TPair<System.string,System.string> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27279_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Extract"
		size = 76
		refs = "000a TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.IndexOf 0018 TPair<System.string,System.string> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27511_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Extract"
		size = 76
		refs = "000a TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.IndexOf 0018 TPair<System.string,System.string> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27728_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Extract"
		size = 76
		refs = "000a TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.IndexOf 0018 TPair<System.string,System.string> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_27929_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Extract"
		size = 76
		refs = "000a TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.IndexOf 0018 TPair<System.string,System.string> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28826_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.Extract"
		size = 76
		refs = "000a TList<DSAzureBlob.TPair<System.string,System.string>>.IndexOf 0018 TPair<System.string,System.string> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<DSAzureBlob.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29390_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Extract"
		size = 76
		refs = "000a TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.IndexOf 0018 TPair<System.string,DSAzureTableDialog.TAzureTableColumn> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4002_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Extract"
		size = 76
		refs = "000a TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.IndexOf 0018 TAmazonNotificationEvent 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3747_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.Extract"
		size = 76
		refs = "000a TList<Data.Cloud.CloudAPI.TCloudQueue>.IndexOf 0018 TCloudQueue 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Data.Cloud.CloudAPI.TCloudQueue>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10227_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Extract"
		size = 76
		refs = "000a TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.IndexOf 0018 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10516_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Extract"
		size = 76
		refs = "000a TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.IndexOf 0018 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10420_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Extract"
		size = 76
		refs = "000a TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.IndexOf 0018 TPair<System.string,System.TObject> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11053_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Extract"
		size = 76
		refs = "000a TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.IndexOf 0018 TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11288_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Extract"
		size = 76
		refs = "000a TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.IndexOf 0018 TPair<System.string,Datasnap.DSService.TDSSession> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15948_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0018 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15803_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.IndexOf 0018 TPair<System.string,System.Classes.TStream> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16453_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.IndexOf 0018 TPair<System.string,System.string> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17301_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.IndexOf 0018 TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18440_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.IndexOf 0018 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18536_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.IndexOf 0018 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18295_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.IndexOf 0018 TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18769_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.IndexOf 0018 TPair<System.string,Datasnap.DSService.TDSSession> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19070_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.IndexOf 0018 TPair<System.string,System.string> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19429_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0018 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19724_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0018 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20012_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0018 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20294_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0018 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20820_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0018 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20724_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.IndexOf 0018 TPair<System.string,System.string> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21048_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.IndexOf 0018 TPair<System.string,System.string> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21282_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0018 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21569_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0018 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21836_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0018 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22128_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0018 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22421_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0018 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22988_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.IndexOf 0018 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22843_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.IndexOf 0018 TPair<System.string,System.Masks.TMask> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23783_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.IndexOf 0018 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23881_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.IndexOf 0018 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23977_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.IndexOf 0018 TPair<System.string,System.Classes.TStrings> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24974_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.IndexOf 0018 TPair<System.string,Datasnap.DSService.TDBXRequestFilter> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25321_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.IndexOf 0018 TPair<System.string,Datasnap.DSService.TDSSession> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25225_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSService.TPair<System.string,System.TObject>>.IndexOf 0018 TPair<System.string,System.TObject> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25178_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSService.TPair<System.string,System.string>>.IndexOf 0018 TPair<System.string,System.string> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSService.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25595_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Extract"
		size = 76
		refs = "000a TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.IndexOf 0018 TPair<System.string,Datasnap.DSService.TDSSession> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31264_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Extract"
		size = 76
		refs = "000a TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.IndexOf 0018 TPair<System.string,IBIntf.IGDSLibrary> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42891_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Extract"
		size = 76
		refs = "000a TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.IndexOf 0018 TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43036_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.Extract"
		size = 76
		refs = "000a TList<IPPeerAPI.TPair<System.string,System.string>>.IndexOf 0018 TPair<System.string,System.string> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<IPPeerAPI.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40284_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Extract"
		size = 76
		refs = "000a TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.IndexOf 0018 TPair<IdContext.TIdContext,IPPeerAPI.IIPContext> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40188_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.Extract"
		size = 76
		refs = "000a TList<IndyPeerImpl.TPair<System.string,System.string>>.IndexOf 0018 TPair<System.string,System.string> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<IndyPeerImpl.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51093_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.Extract"
		size = 76
		refs = "000a TList<SyncController.TPair<System.IInterface,System.Pointer>>.IndexOf 0018 TPair<System.IInterface,System.Pointer> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<SyncController.TPair<System.IInterface,System.Pointer>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51336_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.Extract"
		size = 76
		refs = "000a TList<SyncController.TPair<System.TObject,System.string>>.IndexOf 0018 TPair<System.TObject,System.string> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<SyncController.TPair<System.TObject,System.string>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51709_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Extract"
		size = 76
		refs = "000a TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.IndexOf 0018 TPair<System.string,System.IInterface> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52124_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Extract"
		size = 76
		refs = "000a TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.IndexOf 0018 TPair<System.IInterface,System.Pointer> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52649_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Extract"
		size = 76
		refs = "000a TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.IndexOf 0018 TPair<System.string,System.IInterface> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53222_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Extract"
		size = 76
		refs = "000a TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.IndexOf 0018 TPair<System.IInterface,System.Pointer> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53605_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Extract"
		size = 76
		refs = "000a TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.IndexOf 0018 TPair<System.TObject,System.string> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53750_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Extract"
		size = 76
		refs = "000a TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.IndexOf 0018 TPair<System.string,System.Bindings.Expression.TBindingExpression> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54124_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Extract"
		size = 76
		refs = "000a TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.IndexOf 0018 TPair<System.TObject,System.string> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54269_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Extract"
		size = 76
		refs = "000a TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.IndexOf 0018 TPair<System.string,System.IInterface> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55921_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Extract"
		size = 76
		refs = "000a TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.IndexOf 0018 TPair<System.IInterface,System.Pointer> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56407_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Extract"
		size = 76
		refs = "000a TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.IndexOf 0018 TPair<System.TObject,System.string> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56162_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Extract"
		size = 76
		refs = "000a TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.IndexOf 0018 TPair<System.string,System.Integer> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56840_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Extract"
		size = 76
		refs = "000a TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.IndexOf 0018 TPair<System.string,System.IInterface> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57833_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Extract"
		size = 76
		refs = "000a TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.IndexOf 0018 TPair<System.IInterface,System.Pointer> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57978_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Extract"
		size = 76
		refs = "000a TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.IndexOf 0018 TPair<System.string,System.Integer> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59188_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Extract"
		size = 76
		refs = "000a TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.IndexOf 0018 TPair<System.string,System.IInterface> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59696_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Extract"
		size = 76
		refs = "000a TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.IndexOf 0018 TPair<System.string,System.IInterface> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61105_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Extract"
		size = 76
		refs = "000a TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.IndexOf 0018 TPair<System.TObject,System.string> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60703_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Extract"
		size = 76
		refs = "000a TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.IndexOf 0018 TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61164_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Extract"
		size = 76
		refs = "000a TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.IndexOf 0018 TPair<System.string,System.IInterface> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61697_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Extract"
		size = 76
		refs = "000a TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.IndexOf 0018 TPair<System.IInterface,System.Pointer> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64789_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Extract"
		size = 76
		refs = "000a TList<System.DebugUtils.TPair<System.string,System.Boolean>>.IndexOf 0018 TPair<System.string,System.Boolean> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68284_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Extract"
		size = 76
		refs = "000a TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.IndexOf 0018 TPair<System.TypInfo.PTypeInfo,System.string> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68427_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Extract"
		size = 76
		refs = "000a TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.IndexOf 0018 TPair<System.string,System.TypInfo.PTypeInfo> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71780_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Extract"
		size = 76
		refs = "000a TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.IndexOf 0018 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88440_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Extract"
		size = 76
		refs = "000a TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.IndexOf 0018 TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89830_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Extract"
		size = 76
		refs = "000a TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.IndexOf 0018 TKeyboardLanguage 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96346_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Extract"
		size = 76
		refs = "000a TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.IndexOf 0018 TPair<System.string,System.string> 001d @FinalizeRecord 0039 @CopyRecord 0044 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 EB 1E 8B C7 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2401_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Exchange"
		size = 148
		refs = "0014 TPair<System.Integer,System.Classes.IObserver> 0019 @InitializeRecord 0021 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_26852_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27076_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27280_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27512_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27729_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27930_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28827_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzureBlob.TPair<System.string,System.string>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29391_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,DSAzureTableDialog.TAzureTableColumn> 0019 @InitializeRecord 0021 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4003_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Exchange"
		size = 148
		refs = "0014 TAmazonNotificationEvent 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3748_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.Exchange"
		size = 148
		refs = "0014 TCloudQueue 0019 @InitializeRecord 0021 TList<Data.Cloud.CloudAPI.TCloudQueue>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10228_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0019 @InitializeRecord 0021 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10517_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0019 @InitializeRecord 0021 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10421_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.TObject> 0019 @InitializeRecord 0021 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11054_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Exchange"
		size = 148
		refs = "0014 TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent> 0019 @InitializeRecord 0021 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11289_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15949_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15804_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.Classes.TStream> 0019 @InitializeRecord 0021 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16454_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17302_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18441_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18537_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18296_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18770_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19071_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19430_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19725_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_20013_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_20295_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_20821_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_20725_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_21049_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_21283_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_21570_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_21837_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22129_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22422_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22989_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22844_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.Masks.TMask> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23784_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0019 @InitializeRecord 0021 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23882_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0019 @InitializeRecord 0021 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23978_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.Classes.TStrings> 0019 @InitializeRecord 0021 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24975_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Datasnap.DSService.TDBXRequestFilter> 0019 @InitializeRecord 0021 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25322_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25226_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.TObject> 0019 @InitializeRecord 0021 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25179_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSService.TPair<System.string,System.string>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25596_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31265_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,IBIntf.IGDSLibrary> 0019 @InitializeRecord 0021 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42892_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>> 0019 @InitializeRecord 0021 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_43037_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<IPPeerAPI.TPair<System.string,System.string>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40285_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Exchange"
		size = 148
		refs = "0014 TPair<IdContext.TIdContext,IPPeerAPI.IIPContext> 0019 @InitializeRecord 0021 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40189_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<IndyPeerImpl.TPair<System.string,System.string>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51094_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.Exchange"
		size = 148
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<SyncController.TPair<System.IInterface,System.Pointer>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51337_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.Exchange"
		size = 148
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<SyncController.TPair<System.TObject,System.string>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51710_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52125_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Exchange"
		size = 148
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52650_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53223_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Exchange"
		size = 148
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53606_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Exchange"
		size = 148
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53751_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.Bindings.Expression.TBindingExpression> 0019 @InitializeRecord 0021 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_54125_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Exchange"
		size = 148
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_54270_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_55922_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Exchange"
		size = 148
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56408_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Exchange"
		size = 148
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56163_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.Integer> 0019 @InitializeRecord 0021 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56841_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_57834_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Exchange"
		size = 148
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_57979_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.Integer> 0019 @InitializeRecord 0021 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59189_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59697_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_61106_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Exchange"
		size = 148
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_60704_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_61165_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_61698_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Exchange"
		size = 148
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_64790_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.Boolean> 0019 @InitializeRecord 0021 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68285_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Exchange"
		size = 148
		refs = "0014 TPair<System.TypInfo.PTypeInfo,System.string> 0019 @InitializeRecord 0021 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68428_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.TypInfo.PTypeInfo> 0019 @InitializeRecord 0021 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71781_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Exchange"
		size = 148
		refs = "0014 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 0019 @InitializeRecord 0021 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88441_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Exchange"
		size = 148
		refs = "0014 TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0019 @InitializeRecord 0021 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89831_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Exchange"
		size = 148
		refs = "0014 TKeyboardLanguage 0019 @InitializeRecord 0021 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96347_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Exchange"
		size = 148
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Exchange 003b @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2402_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Move"
		size = 269
		refs = "0014 TPair<System.Integer,System.Classes.IObserver> 0019 @InitializeRecord 0021 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_26853_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27077_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27281_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27513_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27730_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27931_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28828_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<DSAzureBlob.TPair<System.string,System.string>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29392_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Move"
		size = 269
		refs = "0014 TPair<System.string,DSAzureTableDialog.TAzureTableColumn> 0019 @InitializeRecord 0021 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4004_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Move"
		size = 269
		refs = "0014 TAmazonNotificationEvent 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3749_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.Move"
		size = 269
		refs = "0014 TCloudQueue 0019 @InitializeRecord 0021 TList<Data.Cloud.CloudAPI.TCloudQueue>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10229_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0019 @InitializeRecord 0021 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10518_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0019 @InitializeRecord 0021 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10422_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.TObject> 0019 @InitializeRecord 0021 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11055_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Move"
		size = 269
		refs = "0014 TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent> 0019 @InitializeRecord 0021 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11290_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15950_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15805_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.Classes.TStream> 0019 @InitializeRecord 0021 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16455_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17303_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18442_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18538_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18297_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18771_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19072_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19431_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19726_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_20014_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_20296_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_20822_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_20726_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_21050_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_21284_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_21571_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_21838_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22130_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22423_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22990_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22845_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.Masks.TMask> 0019 @InitializeRecord 0021 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23785_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0019 @InitializeRecord 0021 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23883_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0019 @InitializeRecord 0021 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23979_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.Classes.TStrings> 0019 @InitializeRecord 0021 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24976_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Datasnap.DSService.TDBXRequestFilter> 0019 @InitializeRecord 0021 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25323_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25227_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.TObject> 0019 @InitializeRecord 0021 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25180_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Datasnap.DSService.TPair<System.string,System.string>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25597_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Move"
		size = 269
		refs = "0014 TPair<System.string,Datasnap.DSService.TDSSession> 0019 @InitializeRecord 0021 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31266_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Move"
		size = 269
		refs = "0014 TPair<System.string,IBIntf.IGDSLibrary> 0019 @InitializeRecord 0021 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42893_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>> 0019 @InitializeRecord 0021 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_43038_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<IPPeerAPI.TPair<System.string,System.string>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40286_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Move"
		size = 269
		refs = "0014 TPair<IdContext.TIdContext,IPPeerAPI.IIPContext> 0019 @InitializeRecord 0021 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40190_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<IndyPeerImpl.TPair<System.string,System.string>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51095_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.Move"
		size = 269
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<SyncController.TPair<System.IInterface,System.Pointer>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51338_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.Move"
		size = 269
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<SyncController.TPair<System.TObject,System.string>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51711_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52126_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Move"
		size = 269
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52651_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53224_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Move"
		size = 269
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53607_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Move"
		size = 269
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53752_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.Bindings.Expression.TBindingExpression> 0019 @InitializeRecord 0021 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_54126_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Move"
		size = 269
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_54271_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_55923_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Move"
		size = 269
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56409_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Move"
		size = 269
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56164_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.Integer> 0019 @InitializeRecord 0021 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56842_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_57835_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Move"
		size = 269
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_57980_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.Integer> 0019 @InitializeRecord 0021 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59190_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59698_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_61107_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Move"
		size = 269
		refs = "0014 TPair<System.TObject,System.string> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_60705_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_61166_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.IInterface> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_61699_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Move"
		size = 269
		refs = "0014 TPair<System.IInterface,System.Pointer> 0019 @InitializeRecord 0021 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_64791_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.Boolean> 0019 @InitializeRecord 0021 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68286_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Move"
		size = 269
		refs = "0014 TPair<System.TypInfo.PTypeInfo,System.string> 0019 @InitializeRecord 0021 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68429_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.TypInfo.PTypeInfo> 0019 @InitializeRecord 0021 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71782_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Move"
		size = 269
		refs = "0014 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 0019 @InitializeRecord 0021 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88442_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Move"
		size = 269
		refs = "0014 TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0019 @InitializeRecord 0021 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89832_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Move"
		size = 269
		refs = "0014 TKeyboardLanguage 0019 @InitializeRecord 0021 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96348_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Move"
		size = 269
		refs = "0014 TPair<System.string,System.string> 0019 @InitializeRecord 0021 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 009b Move 00cb @FillChar 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B0 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2407_0 {
	meta:
		name = "TList<T>.IndexOf"
		size = 59
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F0 8B 7E 08 4F 85 FF 7C 20 47 33 DB 8B 0C 24 8B 46 04 8D 14 D8 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 07 43 4F 75 E3 83 C8 FF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2408_0 {
	meta:
		name = "TList<T>.LastIndexOf"
		size = 55
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B 5E 08 4B 83 FB 00 7C 1E 8B CF 8B 46 04 8D 14 D8 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 09 4B 83 FB FF 75 E2 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2409_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Reverse"
		size = 160
		refs = "0010 TPair<System.Integer,System.Classes.IObserver> 0015 @InitializeRecord 001d TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_26860_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.string> 0015 @InitializeRecord 001d TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27084_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.string> 0015 @InitializeRecord 001d TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27288_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.string> 0015 @InitializeRecord 001d TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27520_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.string> 0015 @InitializeRecord 001d TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27737_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.string> 0015 @InitializeRecord 001d TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27938_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.string> 0015 @InitializeRecord 001d TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28835_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.string> 0015 @InitializeRecord 001d TList<DSAzureBlob.TPair<System.string,System.string>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29399_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,DSAzureTableDialog.TAzureTableColumn> 0015 @InitializeRecord 001d TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4011_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Reverse"
		size = 160
		refs = "0010 TAmazonNotificationEvent 0015 @InitializeRecord 001d TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3756_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.Reverse"
		size = 160
		refs = "0010 TCloudQueue 0015 @InitializeRecord 001d TList<Data.Cloud.CloudAPI.TCloudQueue>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10236_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0015 @InitializeRecord 001d TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10525_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0015 @InitializeRecord 001d TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10429_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.TObject> 0015 @InitializeRecord 001d TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11062_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Reverse"
		size = 160
		refs = "0010 TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent> 0015 @InitializeRecord 001d TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11297_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Datasnap.DSService.TDSSession> 0015 @InitializeRecord 001d TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15957_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0015 @InitializeRecord 001d TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15812_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.Classes.TStream> 0015 @InitializeRecord 001d TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16462_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.string> 0015 @InitializeRecord 001d TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17310_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass> 0015 @InitializeRecord 001d TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18449_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0015 @InitializeRecord 001d TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18545_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0015 @InitializeRecord 001d TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18304_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem> 0015 @InitializeRecord 001d TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18778_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Datasnap.DSService.TDSSession> 0015 @InitializeRecord 001d TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19079_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.string> 0015 @InitializeRecord 001d TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19438_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0015 @InitializeRecord 001d TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19733_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0015 @InitializeRecord 001d TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_20021_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0015 @InitializeRecord 001d TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_20303_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0015 @InitializeRecord 001d TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_20829_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0015 @InitializeRecord 001d TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_20733_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.string> 0015 @InitializeRecord 001d TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_21057_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.string> 0015 @InitializeRecord 001d TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_21291_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0015 @InitializeRecord 001d TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_21578_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0015 @InitializeRecord 001d TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_21845_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0015 @InitializeRecord 001d TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22137_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0015 @InitializeRecord 001d TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22430_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0015 @InitializeRecord 001d TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22997_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0015 @InitializeRecord 001d TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22852_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.Masks.TMask> 0015 @InitializeRecord 001d TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23792_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0015 @InitializeRecord 001d TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23890_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0015 @InitializeRecord 001d TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23986_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.Classes.TStrings> 0015 @InitializeRecord 001d TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24983_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Datasnap.DSService.TDBXRequestFilter> 0015 @InitializeRecord 001d TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25330_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Datasnap.DSService.TDSSession> 0015 @InitializeRecord 001d TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25234_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.TObject> 0015 @InitializeRecord 001d TList<Datasnap.DSService.TPair<System.string,System.TObject>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25187_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.string> 0015 @InitializeRecord 001d TList<Datasnap.DSService.TPair<System.string,System.string>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25604_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,Datasnap.DSService.TDSSession> 0015 @InitializeRecord 001d TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31273_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,IBIntf.IGDSLibrary> 0015 @InitializeRecord 001d TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42900_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>> 0015 @InitializeRecord 001d TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_43045_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.string> 0015 @InitializeRecord 001d TList<IPPeerAPI.TPair<System.string,System.string>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40293_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Reverse"
		size = 160
		refs = "0010 TPair<IdContext.TIdContext,IPPeerAPI.IIPContext> 0015 @InitializeRecord 001d TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40197_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.string> 0015 @InitializeRecord 001d TList<IndyPeerImpl.TPair<System.string,System.string>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51102_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.Reverse"
		size = 160
		refs = "0010 TPair<System.IInterface,System.Pointer> 0015 @InitializeRecord 001d TList<SyncController.TPair<System.IInterface,System.Pointer>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51345_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.Reverse"
		size = 160
		refs = "0010 TPair<System.TObject,System.string> 0015 @InitializeRecord 001d TList<SyncController.TPair<System.TObject,System.string>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51718_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.IInterface> 0015 @InitializeRecord 001d TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52133_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Reverse"
		size = 160
		refs = "0010 TPair<System.IInterface,System.Pointer> 0015 @InitializeRecord 001d TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52658_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.IInterface> 0015 @InitializeRecord 001d TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53231_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Reverse"
		size = 160
		refs = "0010 TPair<System.IInterface,System.Pointer> 0015 @InitializeRecord 001d TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53614_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Reverse"
		size = 160
		refs = "0010 TPair<System.TObject,System.string> 0015 @InitializeRecord 001d TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53759_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.Bindings.Expression.TBindingExpression> 0015 @InitializeRecord 001d TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_54133_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Reverse"
		size = 160
		refs = "0010 TPair<System.TObject,System.string> 0015 @InitializeRecord 001d TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_54278_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.IInterface> 0015 @InitializeRecord 001d TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_55930_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Reverse"
		size = 160
		refs = "0010 TPair<System.IInterface,System.Pointer> 0015 @InitializeRecord 001d TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56416_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Reverse"
		size = 160
		refs = "0010 TPair<System.TObject,System.string> 0015 @InitializeRecord 001d TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56171_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.Integer> 0015 @InitializeRecord 001d TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56849_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.IInterface> 0015 @InitializeRecord 001d TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_57842_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Reverse"
		size = 160
		refs = "0010 TPair<System.IInterface,System.Pointer> 0015 @InitializeRecord 001d TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_57987_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.Integer> 0015 @InitializeRecord 001d TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59197_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.IInterface> 0015 @InitializeRecord 001d TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59705_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.IInterface> 0015 @InitializeRecord 001d TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_61114_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Reverse"
		size = 160
		refs = "0010 TPair<System.TObject,System.string> 0015 @InitializeRecord 001d TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_60712_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 0015 @InitializeRecord 001d TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_61173_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.IInterface> 0015 @InitializeRecord 001d TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_61706_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Reverse"
		size = 160
		refs = "0010 TPair<System.IInterface,System.Pointer> 0015 @InitializeRecord 001d TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_64798_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.Boolean> 0015 @InitializeRecord 001d TList<System.DebugUtils.TPair<System.string,System.Boolean>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68293_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Reverse"
		size = 160
		refs = "0010 TPair<System.TypInfo.PTypeInfo,System.string> 0015 @InitializeRecord 001d TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68436_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.TypInfo.PTypeInfo> 0015 @InitializeRecord 001d TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71789_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Reverse"
		size = 160
		refs = "0010 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 0015 @InitializeRecord 001d TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88449_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Reverse"
		size = 160
		refs = "0010 TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0015 @InitializeRecord 001d TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89839_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Reverse"
		size = 160
		refs = "0010 TKeyboardLanguage 0015 @InitializeRecord 001d TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96355_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Reverse"
		size = 160
		refs = "0010 TPair<System.string,System.string> 0015 @InitializeRecord 001d TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.Reverse 0041 @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 F8 8B 53 04 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2415_0 {
	meta:
		name = "TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.ToArray"
		size = 148
		refs = "0015 TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.ToArray 002d TArray<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>> 0032 @DynArraySetLength 004c TList<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>.GetItem 005d TPair<System.Integer,System.Classes.IObserver> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26866_0 {
	meta:
		name = "TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.ToArray"
		size = 148
		refs = "0015 TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.ToArray 002d TArray<DSAzDlgBlockBlob.TPair<System.string,System.string>> 0032 @DynArraySetLength 004c TList<DSAzDlgBlockBlob.TPair<System.string,System.string>>.GetItem 005d TPair<System.string,System.string> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27090_0 {
	meta:
		name = "TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.ToArray"
		size = 148
		refs = "0015 TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.ToArray 002d TArray<DSAzDlgCopyBlob.TPair<System.string,System.string>> 0032 @DynArraySetLength 004c TList<DSAzDlgCopyBlob.TPair<System.string,System.string>>.GetItem 005d TPair<System.string,System.string> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27294_0 {
	meta:
		name = "TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.ToArray"
		size = 148
		refs = "0015 TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.ToArray 002d TArray<DSAzDlgCreateContainer.TPair<System.string,System.string>> 0032 @DynArraySetLength 004c TList<DSAzDlgCreateContainer.TPair<System.string,System.string>>.GetItem 005d TPair<System.string,System.string> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27526_0 {
	meta:
		name = "TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.ToArray"
		size = 148
		refs = "0015 TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.ToArray 002d TArray<DSAzDlgPageBlob.TPair<System.string,System.string>> 0032 @DynArraySetLength 004c TList<DSAzDlgPageBlob.TPair<System.string,System.string>>.GetItem 005d TPair<System.string,System.string> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27743_0 {
	meta:
		name = "TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.ToArray"
		size = 148
		refs = "0015 TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.ToArray 002d TArray<DSAzDlgPutBlockList.TPair<System.string,System.string>> 0032 @DynArraySetLength 004c TList<DSAzDlgPutBlockList.TPair<System.string,System.string>>.GetItem 005d TPair<System.string,System.string> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27944_0 {
	meta:
		name = "TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.ToArray"
		size = 148
		refs = "0015 TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.ToArray 002d TArray<DSAzDlgSnapshotBlob.TPair<System.string,System.string>> 0032 @DynArraySetLength 004c TList<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>.GetItem 005d TPair<System.string,System.string> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28841_0 {
	meta:
		name = "TList<DSAzureBlob.TPair<System.string,System.string>>.ToArray"
		size = 148
		refs = "0015 TList<DSAzureBlob.TPair<System.string,System.string>>.ToArray 002d TArray<DSAzureBlob.TPair<System.string,System.string>> 0032 @DynArraySetLength 004c TList<DSAzureBlob.TPair<System.string,System.string>>.GetItem 005d TPair<System.string,System.string> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29405_0 {
	meta:
		name = "TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.ToArray"
		size = 148
		refs = "0015 TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.ToArray 002d TArray<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>> 0032 @DynArraySetLength 004c TList<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>.GetItem 005d TPair<System.string,DSAzureTableDialog.TAzureTableColumn> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4017_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.ToArray"
		size = 148
		refs = "0015 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.ToArray 002d TArray<Data.Cloud.AmazonAPI.TAmazonNotificationEvent> 0032 @DynArraySetLength 004c TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.GetItem 005d TAmazonNotificationEvent 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3762_0 {
	meta:
		name = "TList<Data.Cloud.CloudAPI.TCloudQueue>.ToArray"
		size = 148
		refs = "0015 TList<Data.Cloud.CloudAPI.TCloudQueue>.ToArray 002d TArray<Data.Cloud.CloudAPI.TCloudQueue> 0032 @DynArraySetLength 004c TList<Data.Cloud.CloudAPI.TCloudQueue>.GetItem 005d TCloudQueue 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10242_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.ToArray"
		size = 148
		refs = "0015 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.ToArray 002d TArray<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 0032 @DynArraySetLength 004c TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetItem 005d TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10531_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.ToArray"
		size = 148
		refs = "0015 TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.ToArray 002d TArray<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 0032 @DynArraySetLength 004c TList<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetItem 005d TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10435_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.ToArray"
		size = 148
		refs = "0015 TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.ToArray 002d TArray<Data.DBXJSONReflect.TPair<System.string,System.TObject>> 0032 @DynArraySetLength 004c TList<Data.DBXJSONReflect.TPair<System.string,System.TObject>>.GetItem 005d TPair<System.string,System.TObject> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11068_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.ToArray"
		size = 148
		refs = "0015 TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.ToArray 002d TArray<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>> 0032 @DynArraySetLength 004c TList<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>.GetItem 005d TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11303_0 {
	meta:
		name = "TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArray"
		size = 148
		refs = "0015 TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArray 002d TArray<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>> 0032 @DynArraySetLength 004c TList<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>.GetItem 005d TPair<System.string,Datasnap.DSService.TDSSession> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15963_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002d TArray<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0032 @DynArraySetLength 004c TList<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem 005d TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15818_0 {
	meta:
		name = "TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.ToArray 002d TArray<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>> 0032 @DynArraySetLength 004c TList<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>.GetItem 005d TPair<System.string,System.Classes.TStream> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16468_0 {
	meta:
		name = "TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.ToArray 002d TArray<Datasnap.DSClientRest.TPair<System.string,System.string>> 0032 @DynArraySetLength 004c TList<Datasnap.DSClientRest.TPair<System.string,System.string>>.GetItem 005d TPair<System.string,System.string> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17316_0 {
	meta:
		name = "TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.ToArray 002d TArray<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>> 0032 @DynArraySetLength 004c TList<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>.GetItem 005d TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18455_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.ToArray 002d TArray<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 0032 @DynArraySetLength 004c TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetItem 005d TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18551_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.ToArray 002d TArray<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 0032 @DynArraySetLength 004c TList<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetItem 005d TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18310_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.ToArray 002d TArray<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>> 0032 @DynArraySetLength 004c TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>.GetItem 005d TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18784_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArray 002d TArray<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>> 0032 @DynArraySetLength 004c TList<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>.GetItem 005d TPair<System.string,Datasnap.DSService.TDSSession> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19085_0 {
	meta:
		name = "TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.ToArray 002d TArray<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>> 0032 @DynArraySetLength 004c TList<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>.GetItem 005d TPair<System.string,System.string> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19444_0 {
	meta:
		name = "TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002d TArray<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0032 @DynArraySetLength 004c TList<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem 005d TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19739_0 {
	meta:
		name = "TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002d TArray<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0032 @DynArraySetLength 004c TList<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem 005d TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20027_0 {
	meta:
		name = "TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002d TArray<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0032 @DynArraySetLength 004c TList<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem 005d TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20309_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002d TArray<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0032 @DynArraySetLength 004c TList<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem 005d TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20835_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002d TArray<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0032 @DynArraySetLength 004c TList<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem 005d TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20739_0 {
	meta:
		name = "TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.ToArray 002d TArray<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>> 0032 @DynArraySetLength 004c TList<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>.GetItem 005d TPair<System.string,System.string> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21063_0 {
	meta:
		name = "TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.ToArray 002d TArray<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>> 0032 @DynArraySetLength 004c TList<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>.GetItem 005d TPair<System.string,System.string> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21297_0 {
	meta:
		name = "TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002d TArray<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0032 @DynArraySetLength 004c TList<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem 005d TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21584_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002d TArray<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0032 @DynArraySetLength 004c TList<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem 005d TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21851_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002d TArray<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0032 @DynArraySetLength 004c TList<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem 005d TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22143_0 {
	meta:
		name = "TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002d TArray<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0032 @DynArraySetLength 004c TList<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem 005d TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22436_0 {
	meta:
		name = "TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002d TArray<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0032 @DynArraySetLength 004c TList<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem 005d TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23003_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.ToArray 002d TArray<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0032 @DynArraySetLength 004c TList<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>.GetItem 005d TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22858_0 {
	meta:
		name = "TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.ToArray 002d TArray<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>> 0032 @DynArraySetLength 004c TList<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>.GetItem 005d TPair<System.string,System.Masks.TMask> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23798_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.ToArray 002d TArray<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 0032 @DynArraySetLength 004c TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>.GetItem 005d TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23896_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.ToArray 002d TArray<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 0032 @DynArraySetLength 004c TList<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>.GetItem 005d TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23992_0 {
	meta:
		name = "TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.ToArray 002d TArray<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>> 0032 @DynArraySetLength 004c TList<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>.GetItem 005d TPair<System.string,System.Classes.TStrings> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24989_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.ToArray 002d TArray<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>> 0032 @DynArraySetLength 004c TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>.GetItem 005d TPair<System.string,Datasnap.DSService.TDBXRequestFilter> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25336_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArray 002d TArray<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>> 0032 @DynArraySetLength 004c TList<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>.GetItem 005d TPair<System.string,Datasnap.DSService.TDSSession> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25240_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.TObject>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSService.TPair<System.string,System.TObject>>.ToArray 002d TArray<Datasnap.DSService.TPair<System.string,System.TObject>> 0032 @DynArraySetLength 004c TList<Datasnap.DSService.TPair<System.string,System.TObject>>.GetItem 005d TPair<System.string,System.TObject> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25193_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.string,System.string>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSService.TPair<System.string,System.string>>.ToArray 002d TArray<Datasnap.DSService.TPair<System.string,System.string>> 0032 @DynArraySetLength 004c TList<Datasnap.DSService.TPair<System.string,System.string>>.GetItem 005d TPair<System.string,System.string> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25610_0 {
	meta:
		name = "TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArray"
		size = 148
		refs = "0015 TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.ToArray 002d TArray<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>> 0032 @DynArraySetLength 004c TList<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>.GetItem 005d TPair<System.string,Datasnap.DSService.TDSSession> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31279_0 {
	meta:
		name = "TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.ToArray"
		size = 148
		refs = "0015 TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.ToArray 002d TArray<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>> 0032 @DynArraySetLength 004c TList<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>.GetItem 005d TPair<System.string,IBIntf.IGDSLibrary> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42906_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.ToArray"
		size = 148
		refs = "0015 TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.ToArray 002d TArray<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>> 0032 @DynArraySetLength 004c TList<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>.GetItem 005d TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43051_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.string,System.string>>.ToArray"
		size = 148
		refs = "0015 TList<IPPeerAPI.TPair<System.string,System.string>>.ToArray 002d TArray<IPPeerAPI.TPair<System.string,System.string>> 0032 @DynArraySetLength 004c TList<IPPeerAPI.TPair<System.string,System.string>>.GetItem 005d TPair<System.string,System.string> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40299_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.ToArray"
		size = 148
		refs = "0015 TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.ToArray 002d TArray<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>> 0032 @DynArraySetLength 004c TList<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>.GetItem 005d TPair<IdContext.TIdContext,IPPeerAPI.IIPContext> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40203_0 {
	meta:
		name = "TList<IndyPeerImpl.TPair<System.string,System.string>>.ToArray"
		size = 148
		refs = "0015 TList<IndyPeerImpl.TPair<System.string,System.string>>.ToArray 002d TArray<IndyPeerImpl.TPair<System.string,System.string>> 0032 @DynArraySetLength 004c TList<IndyPeerImpl.TPair<System.string,System.string>>.GetItem 005d TPair<System.string,System.string> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51108_0 {
	meta:
		name = "TList<SyncController.TPair<System.IInterface,System.Pointer>>.ToArray"
		size = 148
		refs = "0015 TList<SyncController.TPair<System.IInterface,System.Pointer>>.ToArray 002d TArray<SyncController.TPair<System.IInterface,System.Pointer>> 0032 @DynArraySetLength 004c TList<SyncController.TPair<System.IInterface,System.Pointer>>.GetItem 005d TPair<System.IInterface,System.Pointer> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51351_0 {
	meta:
		name = "TList<SyncController.TPair<System.TObject,System.string>>.ToArray"
		size = 148
		refs = "0015 TList<SyncController.TPair<System.TObject,System.string>>.ToArray 002d TArray<SyncController.TPair<System.TObject,System.string>> 0032 @DynArraySetLength 004c TList<SyncController.TPair<System.TObject,System.string>>.GetItem 005d TPair<System.TObject,System.string> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51724_0 {
	meta:
		name = "TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.ToArray"
		size = 148
		refs = "0015 TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.ToArray 002d TArray<System.Bindings.CustomScope.TPair<System.string,System.IInterface>> 0032 @DynArraySetLength 004c TList<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>.GetItem 005d TPair<System.string,System.IInterface> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52139_0 {
	meta:
		name = "TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.ToArray"
		size = 148
		refs = "0015 TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.ToArray 002d TArray<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>> 0032 @DynArraySetLength 004c TList<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>.GetItem 005d TPair<System.IInterface,System.Pointer> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52664_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.ToArray"
		size = 148
		refs = "0015 TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.ToArray 002d TArray<System.Bindings.EvalSys.TPair<System.string,System.IInterface>> 0032 @DynArraySetLength 004c TList<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>.GetItem 005d TPair<System.string,System.IInterface> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53237_0 {
	meta:
		name = "TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.ToArray"
		size = 148
		refs = "0015 TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.ToArray 002d TArray<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>> 0032 @DynArraySetLength 004c TList<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>.GetItem 005d TPair<System.IInterface,System.Pointer> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53620_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.ToArray"
		size = 148
		refs = "0015 TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.ToArray 002d TArray<System.Bindings.Expression.TPair<System.TObject,System.string>> 0032 @DynArraySetLength 004c TList<System.Bindings.Expression.TPair<System.TObject,System.string>>.GetItem 005d TPair<System.TObject,System.string> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53765_0 {
	meta:
		name = "TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.ToArray"
		size = 148
		refs = "0015 TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.ToArray 002d TArray<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>> 0032 @DynArraySetLength 004c TList<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>.GetItem 005d TPair<System.string,System.Bindings.Expression.TBindingExpression> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54139_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.ToArray"
		size = 148
		refs = "0015 TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.ToArray 002d TArray<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>> 0032 @DynArraySetLength 004c TList<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>.GetItem 005d TPair<System.TObject,System.string> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54284_0 {
	meta:
		name = "TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.ToArray"
		size = 148
		refs = "0015 TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.ToArray 002d TArray<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>> 0032 @DynArraySetLength 004c TList<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>.GetItem 005d TPair<System.string,System.IInterface> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55936_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.ToArray"
		size = 148
		refs = "0015 TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.ToArray 002d TArray<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>> 0032 @DynArraySetLength 004c TList<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>.GetItem 005d TPair<System.IInterface,System.Pointer> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56422_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.ToArray"
		size = 148
		refs = "0015 TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.ToArray 002d TArray<System.Bindings.Graph.TPair<System.TObject,System.string>> 0032 @DynArraySetLength 004c TList<System.Bindings.Graph.TPair<System.TObject,System.string>>.GetItem 005d TPair<System.TObject,System.string> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56177_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.ToArray"
		size = 148
		refs = "0015 TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.ToArray 002d TArray<System.Bindings.Graph.TPair<System.string,System.Integer>> 0032 @DynArraySetLength 004c TList<System.Bindings.Graph.TPair<System.string,System.Integer>>.GetItem 005d TPair<System.string,System.Integer> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56855_0 {
	meta:
		name = "TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.ToArray"
		size = 148
		refs = "0015 TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.ToArray 002d TArray<System.Bindings.Helper.TPair<System.string,System.IInterface>> 0032 @DynArraySetLength 004c TList<System.Bindings.Helper.TPair<System.string,System.IInterface>>.GetItem 005d TPair<System.string,System.IInterface> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57848_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.ToArray"
		size = 148
		refs = "0015 TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.ToArray 002d TArray<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>> 0032 @DynArraySetLength 004c TList<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>.GetItem 005d TPair<System.IInterface,System.Pointer> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57993_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.ToArray"
		size = 148
		refs = "0015 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.ToArray 002d TArray<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>> 0032 @DynArraySetLength 004c TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>.GetItem 005d TPair<System.string,System.Integer> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59203_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.ToArray"
		size = 148
		refs = "0015 TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.ToArray 002d TArray<System.Bindings.Methods.TPair<System.string,System.IInterface>> 0032 @DynArraySetLength 004c TList<System.Bindings.Methods.TPair<System.string,System.IInterface>>.GetItem 005d TPair<System.string,System.IInterface> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59711_0 {
	meta:
		name = "TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.ToArray"
		size = 148
		refs = "0015 TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.ToArray 002d TArray<System.Bindings.ObjEval.TPair<System.string,System.IInterface>> 0032 @DynArraySetLength 004c TList<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>.GetItem 005d TPair<System.string,System.IInterface> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61120_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.ToArray"
		size = 148
		refs = "0015 TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.ToArray 002d TArray<System.Bindings.Outputs.TPair<System.TObject,System.string>> 0032 @DynArraySetLength 004c TList<System.Bindings.Outputs.TPair<System.TObject,System.string>>.GetItem 005d TPair<System.TObject,System.string> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60718_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.ToArray"
		size = 148
		refs = "0015 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.ToArray 002d TArray<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>> 0032 @DynArraySetLength 004c TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>.GetItem 005d TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61179_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.ToArray"
		size = 148
		refs = "0015 TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.ToArray 002d TArray<System.Bindings.Outputs.TPair<System.string,System.IInterface>> 0032 @DynArraySetLength 004c TList<System.Bindings.Outputs.TPair<System.string,System.IInterface>>.GetItem 005d TPair<System.string,System.IInterface> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61712_0 {
	meta:
		name = "TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.ToArray"
		size = 148
		refs = "0015 TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.ToArray 002d TArray<System.Bindings.Search.TPair<System.IInterface,System.Pointer>> 0032 @DynArraySetLength 004c TList<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>.GetItem 005d TPair<System.IInterface,System.Pointer> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64804_0 {
	meta:
		name = "TList<System.DebugUtils.TPair<System.string,System.Boolean>>.ToArray"
		size = 148
		refs = "0015 TList<System.DebugUtils.TPair<System.string,System.Boolean>>.ToArray 002d TArray<System.DebugUtils.TPair<System.string,System.Boolean>> 0032 @DynArraySetLength 004c TList<System.DebugUtils.TPair<System.string,System.Boolean>>.GetItem 005d TPair<System.string,System.Boolean> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68299_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.ToArray"
		size = 148
		refs = "0015 TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.ToArray 002d TArray<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>> 0032 @DynArraySetLength 004c TList<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>.GetItem 005d TPair<System.TypInfo.PTypeInfo,System.string> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68442_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.ToArray"
		size = 148
		refs = "0015 TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.ToArray 002d TArray<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>> 0032 @DynArraySetLength 004c TList<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>.GetItem 005d TPair<System.string,System.TypInfo.PTypeInfo> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71795_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.ToArray"
		size = 148
		refs = "0015 TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.ToArray 002d TArray<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 0032 @DynArraySetLength 004c TList<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetItem 005d TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88455_0 {
	meta:
		name = "TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.ToArray"
		size = 148
		refs = "0015 TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.ToArray 002d TArray<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>> 0032 @DynArraySetLength 004c TList<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>.GetItem 005d TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89845_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.ToArray"
		size = 148
		refs = "0015 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.ToArray 002d TArray<Vcl.Touch.KeyboardTypes.TKeyboardLanguage> 0032 @DynArraySetLength 004c TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.GetItem 005d TKeyboardLanguage 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96361_0 {
	meta:
		name = "TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.ToArray"
		size = 148
		refs = "0015 TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.ToArray 002d TArray<Web.WebFileDispatcher.TPair<System.string,System.string>> 0032 @DynArraySetLength 004c TList<Web.WebFileDispatcher.TPair<System.string,System.string>>.GetItem 005d TPair<System.string,System.string> 0062 @CopyRecord 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 00 8D 04 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2422_0 {
	meta:
		name = "TEqualityComparer<System.Integer>.Default"
		size = 32
		refs = "000a Integer 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29414_0 {
	meta:
		name = "TEqualityComparer<DSAzureTableDialog.TAzureTableColumn>.Default"
		size = 32
		refs = "000a TAzureTableColumn 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3021_0 {
	meta:
		name = "TEqualityComparer<Data.Bind.Components.TBasicBindComponent>.Default"
		size = 32
		refs = "000a TBasicBindComponent 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3023_0 {
	meta:
		name = "TEqualityComparer<Data.Bind.DBScope.TBaseDataLink>.Default"
		size = 32
		refs = "000a TBaseDataLink 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_25104_0 {
	meta:
		name = "TEqualityComparer<Data.DBXCommon.TResultCommandHandler>.Default"
		size = 32
		refs = "000a TResultCommandHandler 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_23807_0 {
	meta:
		name = "TEqualityComparer<Data.DBXJSONReflect.TConverterEvent>.Default"
		size = 32
		refs = "000a TConverterEvent 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10538_0 {
	meta:
		name = "TEqualityComparer<Data.DBXJSONReflect.TReverterEvent>.Default"
		size = 32
		refs = "000a TReverterEvent 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11075_0 {
	meta:
		name = "TEqualityComparer<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Default"
		size = 32
		refs = "000a TDBXJSonServerProtocolHandler 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_20842_0 {
	meta:
		name = "TEqualityComparer<Datasnap.DSCommonProxy.IDSProxyWriter>.Default"
		size = 32
		refs = "000a IDSProxyWriter 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17325_0 {
	meta:
		name = "TEqualityComparer<Datasnap.DSHTTP.TDSHTTPClass>.Default"
		size = 32
		refs = "000a TDSHTTPClass 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18319_0 {
	meta:
		name = "TEqualityComparer<Datasnap.DSHTTPCommon.TDSCallbackItem>.Default"
		size = 32
		refs = "000a TDSCallbackItem 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_24998_0 {
	meta:
		name = "TEqualityComparer<Datasnap.DSService.TDBXRequestFilter>.Default"
		size = 32
		refs = "000a TDBXRequestFilter 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18791_0 {
	meta:
		name = "TEqualityComparer<Datasnap.DSService.TDSSession>.Default"
		size = 32
		refs = "000a TDSSession 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11077_0 {
	meta:
		name = "TEqualityComparer<Datasnap.DSService.TDSSessionEvent>.Default"
		size = 32
		refs = "000a TDSSessionEvent 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31288_0 {
	meta:
		name = "TEqualityComparer<IBIntf.IGDSLibrary>.Default"
		size = 32
		refs = "000a IGDSLibrary 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_40308_0 {
	meta:
		name = "TEqualityComparer<IPPeerAPI.IIPContext>.Default"
		size = 32
		refs = "000a IIPContext 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_40306_0 {
	meta:
		name = "TEqualityComparer<IdContext.TIdContext>.Default"
		size = 32
		refs = "000a TIdContext 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_54556_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.CustomScope.TScopeClass>.Default"
		size = 32
		refs = "000a TScopeClass 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61029_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.EvalProtocol.ILocation>.Default"
		size = 32
		refs = "000a ILocation 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_52771_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Default"
		size = 32
		refs = "000a TFunc<System.Rtti.TValue,System.Rtti.TValue> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_53772_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.Expression.TBindingExpression>.Default"
		size = 32
		refs = "000a TBindingExpression 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56088_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Default"
		size = 32
		refs = "000a TDictionary<System.IInterface,System.Pointer> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_55753_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Default"
		size = 32
		refs = "000a TDictionary<System.string,System.Int64> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56231_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Default"
		size = 32
		refs = "000a TDictionary<System.string,System.Integer> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58582_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Default"
		size = 32
		refs = "000a TDictionary<System.IInterface,System.Pointer> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58435_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Default"
		size = 32
		refs = "000a TDictionary<System.string,System.Int64> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58147_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Default"
		size = 32
		refs = "000a TDictionary<System.string,System.Integer> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_60727_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Default"
		size = 32
		refs = "000a TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2424_0 {
	meta:
		name = "TEqualityComparer<System.Classes.IObserver>.Default"
		size = 32
		refs = "000a IObserver 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88462_0 {
	meta:
		name = "TEqualityComparer<System.Classes.TComponent>.Default"
		size = 32
		refs = "000a TComponent 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15827_0 {
	meta:
		name = "TEqualityComparer<System.Classes.TStream>.Default"
		size = 32
		refs = "000a TStream 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_23999_0 {
	meta:
		name = "TEqualityComparer<System.Classes.TStrings>.Default"
		size = 32
		refs = "000a TStrings 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_63558_0 {
	meta:
		name = "TEqualityComparer<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Default"
		size = 32
		refs = "000a TLocalTimeZone.TYearlyChanges 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_42915_0 {
	meta:
		name = "TEqualityComparer<System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Default"
		size = 32
		refs = "000a TDictionary<System.TGUID,System.TClass> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_87814_0 {
	meta:
		name = "TEqualityComparer<System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Default"
		size = 32
		refs = "000a TList<Vcl.Themes.TStyleHookClass> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_52146_0 {
	meta:
		name = "TEqualityComparer<System.IInterface>.Default"
		size = 32
		refs = "000a IInterface 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_22867_0 {
	meta:
		name = "TEqualityComparer<System.Masks.TMask>.Default"
		size = 32
		refs = "000a TMask 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_55945_0 {
	meta:
		name = "TEqualityComparer<System.Pointer>.Default"
		size = 32
		refs = "000a Pointer 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68141_0 {
	meta:
		name = "TEqualityComparer<System.Rtti.TRttiObject>.Default"
		size = 32
		refs = "000a TRttiObject 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_54554_0 {
	meta:
		name = "TEqualityComparer<System.TClass>.Default"
		size = 32
		refs = "000a TClass 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_55751_0 {
	meta:
		name = "TEqualityComparer<System.TObject>.Default"
		size = 32
		refs = "000a TObject 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68306_0 {
	meta:
		name = "TEqualityComparer<System.TypInfo.PTypeInfo>.Default"
		size = 32
		refs = "000a PTypeInfo 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56862_0 {
	meta:
		name = "TEqualityComparer<System.string>.Default"
		size = 32
		refs = "000a string 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88985_0 {
	meta:
		name = "TEqualityComparer<Vcl.Controls.TControl>.Default"
		size = 32
		refs = "000a TControl 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_86592_0 {
	meta:
		name = "TEqualityComparer<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Default"
		size = 32
		refs = "000a TList<Vcl.Themes.TStyleHookClass> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_86443_0 {
	meta:
		name = "TEqualityComparer<Vcl.Themes.TStyleHook>.Default"
		size = 32
		refs = "000a TStyleHook 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88464_0 {
	meta:
		name = "TEqualityComparer<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Default"
		size = 32
		refs = "000a TGestureProviderChangeEvent 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88987_0 {
	meta:
		name = "TEqualityComparer<Vcl.Touch.GestureMgr.TGestureCollection>.Default"
		size = 32
		refs = "000a TGestureCollection 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 04 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2423_0 {
	meta:
		name = "TEqualityComparer<System.Integer>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Integer> 0014 TDelegatedEqualityComparer<System.Integer>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_29415_0 {
	meta:
		name = "TEqualityComparer<DSAzureTableDialog.TAzureTableColumn>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<DSAzureTableDialog.TAzureTableColumn> 0014 TDelegatedEqualityComparer<DSAzureTableDialog.TAzureTableColumn>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3022_0 {
	meta:
		name = "TEqualityComparer<Data.Bind.Components.TBasicBindComponent>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<Data.Bind.Components.TBasicBindComponent> 0014 TDelegatedEqualityComparer<Data.Bind.Components.TBasicBindComponent>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3024_0 {
	meta:
		name = "TEqualityComparer<Data.Bind.DBScope.TBaseDataLink>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<Data.Bind.DBScope.TBaseDataLink> 0014 TDelegatedEqualityComparer<Data.Bind.DBScope.TBaseDataLink>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_7967_0 {
	meta:
		name = "TEqualityComparer<Data.DBXCommon.TEventPointer>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<Data.DBXCommon.TEventPointer> 0014 TDelegatedEqualityComparer<Data.DBXCommon.TEventPointer>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_25105_0 {
	meta:
		name = "TEqualityComparer<Data.DBXCommon.TResultCommandHandler>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<Data.DBXCommon.TResultCommandHandler> 0014 TDelegatedEqualityComparer<Data.DBXCommon.TResultCommandHandler>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_18463_0 {
	meta:
		name = "TEqualityComparer<Data.DBXJSONReflect.TConverterEvent>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<Data.DBXJSONReflect.TConverterEvent> 0014 TDelegatedEqualityComparer<Data.DBXJSONReflect.TConverterEvent>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_18559_0 {
	meta:
		name = "TEqualityComparer<Data.DBXJSONReflect.TReverterEvent>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<Data.DBXJSONReflect.TReverterEvent> 0014 TDelegatedEqualityComparer<Data.DBXJSONReflect.TReverterEvent>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11076_0 {
	meta:
		name = "TEqualityComparer<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler> 0014 TDelegatedEqualityComparer<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_22446_0 {
	meta:
		name = "TEqualityComparer<Datasnap.DSCommonProxy.IDSProxyWriter>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<Datasnap.DSCommonProxy.IDSProxyWriter> 0014 TDelegatedEqualityComparer<Datasnap.DSCommonProxy.IDSProxyWriter>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17326_0 {
	meta:
		name = "TEqualityComparer<Datasnap.DSHTTP.TDSHTTPClass>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<Datasnap.DSHTTP.TDSHTTPClass> 0014 TDelegatedEqualityComparer<Datasnap.DSHTTP.TDSHTTPClass>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_18320_0 {
	meta:
		name = "TEqualityComparer<Datasnap.DSHTTPCommon.TDSCallbackItem>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<Datasnap.DSHTTPCommon.TDSCallbackItem> 0014 TDelegatedEqualityComparer<Datasnap.DSHTTPCommon.TDSCallbackItem>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_24999_0 {
	meta:
		name = "TEqualityComparer<Datasnap.DSService.TDBXRequestFilter>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<Datasnap.DSService.TDBXRequestFilter> 0014 TDelegatedEqualityComparer<Datasnap.DSService.TDBXRequestFilter>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_25344_0 {
	meta:
		name = "TEqualityComparer<Datasnap.DSService.TDSSession>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<Datasnap.DSService.TDSSession> 0014 TDelegatedEqualityComparer<Datasnap.DSService.TDSSession>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11078_0 {
	meta:
		name = "TEqualityComparer<Datasnap.DSService.TDSSessionEvent>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<Datasnap.DSService.TDSSessionEvent> 0014 TDelegatedEqualityComparer<Datasnap.DSService.TDSSessionEvent>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_31289_0 {
	meta:
		name = "TEqualityComparer<IBIntf.IGDSLibrary>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<IBIntf.IGDSLibrary> 0014 TDelegatedEqualityComparer<IBIntf.IGDSLibrary>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_40309_0 {
	meta:
		name = "TEqualityComparer<IPPeerAPI.IIPContext>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<IPPeerAPI.IIPContext> 0014 TDelegatedEqualityComparer<IPPeerAPI.IIPContext>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_40307_0 {
	meta:
		name = "TEqualityComparer<IdContext.TIdContext>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<IdContext.TIdContext> 0014 TDelegatedEqualityComparer<IdContext.TIdContext>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_51263_0 {
	meta:
		name = "TEqualityComparer<SyncController.TPair<System.TObject,System.string>>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<SyncController.TPair<System.TObject,System.string>> 0014 TDelegatedEqualityComparer<SyncController.TPair<System.TObject,System.string>>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_54557_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.CustomScope.TScopeClass>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Bindings.CustomScope.TScopeClass> 0014 TDelegatedEqualityComparer<System.Bindings.CustomScope.TScopeClass>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_56332_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.EvalProtocol.ILocation>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Bindings.EvalProtocol.ILocation> 0014 TDelegatedEqualityComparer<System.Bindings.EvalProtocol.ILocation>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_52772_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 0014 TDelegatedEqualityComparer<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_52770_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.EvalSys.TValueConverter.TConvPair>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Bindings.EvalSys.TValueConverter.TConvPair> 0014 TDelegatedEqualityComparer<System.Bindings.EvalSys.TValueConverter.TConvPair>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_53773_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.Expression.TBindingExpression>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Bindings.Expression.TBindingExpression> 0014 TDelegatedEqualityComparer<System.Bindings.Expression.TBindingExpression>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_56089_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>> 0014 TDelegatedEqualityComparer<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_55754_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Bindings.Graph.TDictionary<System.string,System.Int64>> 0014 TDelegatedEqualityComparer<System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_56232_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Bindings.Graph.TDictionary<System.string,System.Integer>> 0014 TDelegatedEqualityComparer<System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_56334_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.Graph.TPair<System.TObject,System.string>>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Bindings.Graph.TPair<System.TObject,System.string>> 0014 TDelegatedEqualityComparer<System.Bindings.Graph.TPair<System.TObject,System.string>>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_58583_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>> 0014 TDelegatedEqualityComparer<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_58436_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>> 0014 TDelegatedEqualityComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_58148_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>> 0014 TDelegatedEqualityComparer<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_59068_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.Methods.TMethodDescription>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Bindings.Methods.TMethodDescription> 0014 TDelegatedEqualityComparer<System.Bindings.Methods.TMethodDescription>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_60824_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.Outputs.TConvertPair>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Bindings.Outputs.TConvertPair> 0014 TDelegatedEqualityComparer<System.Bindings.Outputs.TConvertPair>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_60826_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.Outputs.TConverterDescription>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Bindings.Outputs.TConverterDescription> 0014 TDelegatedEqualityComparer<System.Bindings.Outputs.TConverterDescription>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_60728_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 0014 TDelegatedEqualityComparer<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_64814_0 {
	meta:
		name = "TEqualityComparer<System.Boolean>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Boolean> 0014 TDelegatedEqualityComparer<System.Boolean>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2425_0 {
	meta:
		name = "TEqualityComparer<System.Classes.IObserver>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Classes.IObserver> 0014 TDelegatedEqualityComparer<System.Classes.IObserver>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_86442_0 {
	meta:
		name = "TEqualityComparer<System.Classes.TComponent>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Classes.TComponent> 0014 TDelegatedEqualityComparer<System.Classes.TComponent>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_15828_0 {
	meta:
		name = "TEqualityComparer<System.Classes.TStream>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Classes.TStream> 0014 TDelegatedEqualityComparer<System.Classes.TStream>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_24000_0 {
	meta:
		name = "TEqualityComparer<System.Classes.TStrings>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Classes.TStrings> 0014 TDelegatedEqualityComparer<System.Classes.TStrings>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_63559_0 {
	meta:
		name = "TEqualityComparer<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.DateUtils.TLocalTimeZone.TYearlyChanges> 0014 TDelegatedEqualityComparer<System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_42916_0 {
	meta:
		name = "TEqualityComparer<System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Generics.Collections.TDictionary<System.TGUID,System.TClass>> 0014 TDelegatedEqualityComparer<System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_87815_0 {
	meta:
		name = "TEqualityComparer<System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>> 0014 TDelegatedEqualityComparer<System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_60926_0 {
	meta:
		name = "TEqualityComparer<System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 0014 TDelegatedEqualityComparer<System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_61032_0 {
	meta:
		name = "TEqualityComparer<System.Generics.Collections.TPair<System.TObject,System.string>>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Generics.Collections.TPair<System.TObject,System.string>> 0014 TDelegatedEqualityComparer<System.Generics.Collections.TPair<System.TObject,System.string>>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_51116_0 {
	meta:
		name = "TEqualityComparer<System.IInterface>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.IInterface> 0014 TDelegatedEqualityComparer<System.IInterface>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_55609_0 {
	meta:
		name = "TEqualityComparer<System.Int64>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Int64> 0014 TDelegatedEqualityComparer<System.Int64>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_22868_0 {
	meta:
		name = "TEqualityComparer<System.Masks.TMask>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Masks.TMask> 0014 TDelegatedEqualityComparer<System.Masks.TMask>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_57858_0 {
	meta:
		name = "TEqualityComparer<System.Pointer>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Pointer> 0014 TDelegatedEqualityComparer<System.Pointer>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_68142_0 {
	meta:
		name = "TEqualityComparer<System.Rtti.TRttiObject>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Rtti.TRttiObject> 0014 TDelegatedEqualityComparer<System.Rtti.TRttiObject>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_54555_0 {
	meta:
		name = "TEqualityComparer<System.TClass>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.TClass> 0014 TDelegatedEqualityComparer<System.TClass>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_42769_0 {
	meta:
		name = "TEqualityComparer<System.TGUID>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.TGUID> 0014 TDelegatedEqualityComparer<System.TGUID>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10443_0 {
	meta:
		name = "TEqualityComparer<System.TObject>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.TObject> 0014 TDelegatedEqualityComparer<System.TObject>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_68307_0 {
	meta:
		name = "TEqualityComparer<System.TypInfo.PTypeInfo>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.TypInfo.PTypeInfo> 0014 TDelegatedEqualityComparer<System.TypInfo.PTypeInfo>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_50078_0 {
	meta:
		name = "TEqualityComparer<System.Variant>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Variant> 0014 TDelegatedEqualityComparer<System.Variant>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_63557_0 {
	meta:
		name = "TEqualityComparer<System.Word>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Word> 0014 TDelegatedEqualityComparer<System.Word>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_71707_0 {
	meta:
		name = "TEqualityComparer<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 0014 TDelegatedEqualityComparer<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_71705_0 {
	meta:
		name = "TEqualityComparer<System.Zip.TZipCompression>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.Zip.TZipCompression> 0014 TDelegatedEqualityComparer<System.Zip.TZipCompression>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_59066_0 {
	meta:
		name = "TEqualityComparer<System.string>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<System.string> 0014 TDelegatedEqualityComparer<System.string>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_88986_0 {
	meta:
		name = "TEqualityComparer<Vcl.Controls.TControl>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<Vcl.Controls.TControl> 0014 TDelegatedEqualityComparer<Vcl.Controls.TControl>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_86593_0 {
	meta:
		name = "TEqualityComparer<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>> 0014 TDelegatedEqualityComparer<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_86444_0 {
	meta:
		name = "TEqualityComparer<Vcl.Themes.TStyleHook>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<Vcl.Themes.TStyleHook> 0014 TDelegatedEqualityComparer<Vcl.Themes.TStyleHook>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_87960_0 {
	meta:
		name = "TEqualityComparer<Vcl.Themes.TStyleManager.TSourceInfo>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<Vcl.Themes.TStyleManager.TSourceInfo> 0014 TDelegatedEqualityComparer<Vcl.Themes.TStyleManager.TSourceInfo>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_88465_0 {
	meta:
		name = "TEqualityComparer<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0014 TDelegatedEqualityComparer<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_88988_0 {
	meta:
		name = "TEqualityComparer<Vcl.Touch.GestureMgr.TGestureCollection>.Construct"
		size = 47
		refs = "000f _DV_TDelegatedEqualityComparer<Vcl.Touch.GestureMgr.TGestureCollection> 0014 TDelegatedEqualityComparer<Vcl.Touch.GestureMgr.TGestureCollection>.Create 0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2528_0 {
	meta:
		name = "TDelegatedComparer<T>.Create"
		size = 58
		refs = "000b @ClassCreate 001b @IntfCopy 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 10 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16599_0 {
	meta:
		name = "TDSProxyMetaDataLoader.Create"
		size = 58
		refs = "000b @ClassCreate 001b @UStrAsg 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 10 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2529_0 {
	meta:
		name = "TDelegatedComparer<T>.Compare"
		size = 11
		altNames = "TDelegatedEqualityComparer<T>.Equals"
	strings:
		$1 = { 53 8B 40 10 8B 18 FF 53 0C 5B C3 }
	condition:
		$1
}

rule function_2530_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Expression.TBindingExpression>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Bindings.Expression.TBindingExpression>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_28933_0 {
	meta:
		name = "TArray.QuickSort<DSAzureBlob.TBBlob>"
		size = 205
		refs = "00b4 TArray.QuickSort<DSAzureBlob.TBBlob>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_28945_0 {
	meta:
		name = "TArray.QuickSort<DSAzureBlob.TBBlock>"
		size = 205
		refs = "00b4 TArray.QuickSort<DSAzureBlob.TBBlock>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_28919_0 {
	meta:
		name = "TArray.QuickSort<DSAzureBlob.TBContainer>"
		size = 205
		refs = "00b4 TArray.QuickSort<DSAzureBlob.TBContainer>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_28942_0 {
	meta:
		name = "TArray.QuickSort<DSAzureBlob.TBPageRange>"
		size = 205
		refs = "00b4 TArray.QuickSort<DSAzureBlob.TBPageRange>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_28939_0 {
	meta:
		name = "TArray.QuickSort<DSAzureBlob.TBSignedIdentifier>"
		size = 205
		refs = "00b4 TArray.QuickSort<DSAzureBlob.TBSignedIdentifier>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_28936_0 {
	meta:
		name = "TArray.QuickSort<DSAzureBlob.TLeaseItem>"
		size = 205
		refs = "00b4 TArray.QuickSort<DSAzureBlob.TLeaseItem>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_29098_0 {
	meta:
		name = "TArray.QuickSort<DSAzureQueue.TMessageNodeData>"
		size = 205
		refs = "00b4 TArray.QuickSort<DSAzureQueue.TMessageNodeData>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_29543_0 {
	meta:
		name = "TArray.QuickSort<DSAzureTableDialog.TAzureTableColumn>"
		size = 205
		refs = "00b4 TArray.QuickSort<DSAzureTableDialog.TAzureTableColumn>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_29534_0 {
	meta:
		name = "TArray.QuickSort<DSAzureTableDialog.TAzureTableRow>"
		size = 205
		refs = "00b4 TArray.QuickSort<DSAzureTableDialog.TAzureTableRow>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_2536_0 {
	meta:
		name = "TArray.QuickSort<Data.Bind.Components.TBasicBindComponent>"
		size = 205
		refs = "00b4 TArray.QuickSort<Data.Bind.Components.TBasicBindComponent>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_2560_0 {
	meta:
		name = "TArray.QuickSort<Data.Bind.Components.TBindEditorFactoryClass>"
		size = 205
		refs = "00b4 TArray.QuickSort<Data.Bind.Components.TBindEditorFactoryClass>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_2533_0 {
	meta:
		name = "TArray.QuickSort<Data.Bind.Components.TContainedBindComponent>"
		size = 205
		refs = "00b4 TArray.QuickSort<Data.Bind.Components.TContainedBindComponent>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_2783_0 {
	meta:
		name = "TArray.QuickSort<Data.Bind.DBLinks.TBindDBColumnFactoryClass>"
		size = 205
		refs = "00b4 TArray.QuickSort<Data.Bind.DBLinks.TBindDBColumnFactoryClass>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_3200_0 {
	meta:
		name = "TArray.QuickSort<Data.Bind.DBScope.TBaseDataLink>"
		size = 205
		refs = "00b4 TArray.QuickSort<Data.Bind.DBScope.TBaseDataLink>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_4857_0 {
	meta:
		name = "TArray.QuickSort<Data.Cloud.AzureAPI.TAzureBlob>"
		size = 205
		refs = "00b4 TArray.QuickSort<Data.Cloud.AzureAPI.TAzureBlob>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_4851_0 {
	meta:
		name = "TArray.QuickSort<Data.Cloud.AzureAPI.TAzureContainer>"
		size = 205
		refs = "00b4 TArray.QuickSort<Data.Cloud.AzureAPI.TAzureContainer>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_4854_0 {
	meta:
		name = "TArray.QuickSort<Data.Cloud.AzureAPI.TSignedIdentifier>"
		size = 205
		refs = "00b4 TArray.QuickSort<Data.Cloud.AzureAPI.TSignedIdentifier>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_4842_0 {
	meta:
		name = "TArray.QuickSort<Data.Cloud.CloudAPI.TCloudQueueMessage>"
		size = 205
		refs = "00b4 TArray.QuickSort<Data.Cloud.CloudAPI.TCloudQueueMessage>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_5037_0 {
	meta:
		name = "TArray.QuickSort<Data.Cloud.CloudAPI.TCloudTableColumn>"
		size = 205
		refs = "00b4 TArray.QuickSort<Data.Cloud.CloudAPI.TCloudTableColumn>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_4127_0 {
	meta:
		name = "TArray.QuickSort<Data.Cloud.CloudAPI.TCloudTableRow>"
		size = 205
		refs = "00b4 TArray.QuickSort<Data.Cloud.CloudAPI.TCloudTableRow>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_18740_0 {
	meta:
		name = "TArray.QuickSort<Data.DBXCommon.TDBXParameter>"
		size = 205
		refs = "00b4 TArray.QuickSort<Data.DBXCommon.TDBXParameter>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_8086_0 {
	meta:
		name = "TArray.QuickSort<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>"
		size = 205
		refs = "00b4 TArray.QuickSort<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_25426_0 {
	meta:
		name = "TArray.QuickSort<Data.DBXCommon.TResultCommandHandler>"
		size = 205
		refs = "00b4 TArray.QuickSort<Data.DBXCommon.TResultCommandHandler>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_10661_0 {
	meta:
		name = "TArray.QuickSort<Data.DBXJSON.TJSONAncestor>"
		size = 205
		refs = "00b4 TArray.QuickSort<Data.DBXJSON.TJSONAncestor>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_24110_0 {
	meta:
		name = "TArray.QuickSort<Data.DBXJSONReflect.TConverterEvent>"
		size = 205
		refs = "00b4 TArray.QuickSort<Data.DBXJSONReflect.TConverterEvent>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_24116_0 {
	meta:
		name = "TArray.QuickSort<Data.DBXJSONReflect.TReverterEvent>"
		size = 205
		refs = "00b4 TArray.QuickSort<Data.DBXJSONReflect.TReverterEvent>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_11413_0 {
	meta:
		name = "TArray.QuickSort<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>"
		size = 205
		refs = "00b4 TArray.QuickSort<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_16530_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSClientRest.TDSRestClientCallback>"
		size = 205
		refs = "00b4 TArray.QuickSort<Datasnap.DSClientRest.TDSRestClientCallback>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_17447_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSHTTP.TDSHTTPClass>"
		size = 205
		refs = "00b4 TArray.QuickSort<Datasnap.DSHTTP.TDSHTTPClass>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_18857_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSHTTPCommon.TDSCallbackItem>"
		size = 205
		refs = "00b4 TArray.QuickSort<Datasnap.DSHTTPCommon.TDSCallbackItem>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_18743_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSHTTPCommon.TDSCommandComplexParams>"
		size = 205
		refs = "00b4 TArray.QuickSort<Datasnap.DSHTTPCommon.TDSCommandComplexParams>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_18697_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSHTTPCommon.TDSExecutionResponse>"
		size = 205
		refs = "00b4 TArray.QuickSort<Datasnap.DSHTTPCommon.TDSExecutionResponse>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_24104_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSServer.TDSCallbackTunnel>"
		size = 205
		refs = "00b4 TArray.QuickSort<Datasnap.DSServer.TDSCallbackTunnel>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_18845_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSService.TDBXRequestFilter>"
		size = 205
		refs = "00b4 TArray.QuickSort<Datasnap.DSService.TDBXRequestFilter>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_18886_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSService.TDSSession>"
		size = 205
		refs = "00b4 TArray.QuickSort<Datasnap.DSService.TDSSession>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_29847_0 {
	meta:
		name = "TArray.QuickSort<GraphView.TGraphEdge>"
		size = 205
		refs = "00b4 TArray.QuickSort<GraphView.TGraphEdge>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_29853_0 {
	meta:
		name = "TArray.QuickSort<GraphView.TGraphNode>"
		size = 205
		refs = "00b4 TArray.QuickSort<GraphView.TGraphNode>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_29850_0 {
	meta:
		name = "TArray.QuickSort<GraphView.TObjectList<GraphView.TGraphEdge>>"
		size = 205
		refs = "00b4 TArray.QuickSort<GraphView.TObjectList<GraphView.TGraphEdge>>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_30707_0 {
	meta:
		name = "TArray.QuickSort<IBDatabase.TIBBase>"
		size = 205
		refs = "00b4 TArray.QuickSort<IBDatabase.TIBBase>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_30713_0 {
	meta:
		name = "TArray.QuickSort<IBDatabase.TIBDatabase>"
		size = 205
		refs = "00b4 TArray.QuickSort<IBDatabase.TIBDatabase>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_30710_0 {
	meta:
		name = "TArray.QuickSort<IBDatabase.TIBTransaction>"
		size = 205
		refs = "00b4 TArray.QuickSort<IBDatabase.TIBTransaction>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_43115_0 {
	meta:
		name = "TArray.QuickSort<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>"
		size = 205
		refs = "00b4 TArray.QuickSort<IPPeerAPI.TDictionary<System.TGUID,System.TClass>>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_40444_0 {
	meta:
		name = "TArray.QuickSort<IdContext.TIdContext>"
		size = 205
		refs = "00b4 TArray.QuickSort<IdContext.TIdContext>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_54678_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.CustomScope.TScopeClass>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Bindings.CustomScope.TScopeClass>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_52912_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.EvalSys.TOverload>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Bindings.EvalSys.TOverload>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_56589_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_56571_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Graph.TDictionary<System.string,System.Int64>>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Bindings.Graph.TDictionary<System.string,System.Int64>>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_56598_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Graph.TDictionary<System.string,System.Integer>>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Bindings.Graph.TDictionary<System.string,System.Integer>>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_57135_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Manager.TBindingManager>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Bindings.Manager.TBindingManager>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_58782_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_58773_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_58758_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_61492_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_86732_0 {
	meta:
		name = "TArray.QuickSort<System.Classes.TComponent>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Classes.TComponent>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_16056_0 {
	meta:
		name = "TArray.QuickSort<System.Classes.TStream>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Classes.TStream>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_24122_0 {
	meta:
		name = "TArray.QuickSort<System.Classes.TStrings>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Classes.TStrings>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_63680_0 {
	meta:
		name = "TArray.QuickSort<System.DateUtils.TLocalTimeZone.TYearlyChanges>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.DateUtils.TLocalTimeZone.TYearlyChanges>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_58749_0 {
	meta:
		name = "TArray.QuickSort<System.Integer>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Integer>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_23096_0 {
	meta:
		name = "TArray.QuickSort<System.Masks.TMask>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Masks.TMask>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_68553_0 {
	meta:
		name = "TArray.QuickSort<System.Pointer>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Pointer>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_68544_0 {
	meta:
		name = "TArray.QuickSort<System.Rtti.TRttiField>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Rtti.TRttiField>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_68547_0 {
	meta:
		name = "TArray.QuickSort<System.Rtti.TRttiManagedField>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Rtti.TRttiManagedField>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_68541_0 {
	meta:
		name = "TArray.QuickSort<System.Rtti.TRttiMethod>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Rtti.TRttiMethod>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_68556_0 {
	meta:
		name = "TArray.QuickSort<System.Rtti.TRttiObject>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Rtti.TRttiObject>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_68449_0 {
	meta:
		name = "TArray.QuickSort<System.Rtti.TRttiPackage>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Rtti.TRttiPackage>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_68538_0 {
	meta:
		name = "TArray.QuickSort<System.Rtti.TRttiProperty>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Rtti.TRttiProperty>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_68501_0 {
	meta:
		name = "TArray.QuickSort<System.Rtti.TVirtualInterface.TImplInfo>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Rtti.TVirtualInterface.TImplInfo>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_68498_0 {
	meta:
		name = "TArray.QuickSort<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_54675_0 {
	meta:
		name = "TArray.QuickSort<System.TClass>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.TClass>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_68535_0 {
	meta:
		name = "TArray.QuickSort<System.TCustomAttribute>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.TCustomAttribute>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_25435_0 {
	meta:
		name = "TArray.QuickSort<System.TObject>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.TObject>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_68562_0 {
	meta:
		name = "TArray.QuickSort<System.TypInfo.PTypeInfo>"
		size = 205
		refs = "00b4 TArray.QuickSort<System.TypInfo.PTypeInfo>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_89063_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Controls.TControl>"
		size = 205
		refs = "00b4 TArray.QuickSort<Vcl.Controls.TControl>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_89066_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Controls.TCustomGestureCollectionItem>"
		size = 205
		refs = "00b4 TArray.QuickSort<Vcl.Controls.TCustomGestureCollectionItem>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_89046_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Controls.TCustomGestureManager>"
		size = 205
		refs = "00b4 TArray.QuickSort<Vcl.Controls.TCustomGestureManager>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_78631_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Direct2D.TDirect2DGraphicsObject>"
		size = 205
		refs = "00b4 TArray.QuickSort<Vcl.Direct2D.TDirect2DGraphicsObject>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_86744_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>"
		size = 205
		refs = "00b4 TArray.QuickSort<Vcl.Styles.TList<Vcl.Themes.TStyleHookClass>>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_88115_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Themes.TCustomStyleEngineClass>"
		size = 205
		refs = "00b4 TArray.QuickSort<Vcl.Themes.TCustomStyleEngineClass>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_88118_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Themes.TCustomStyleServices>"
		size = 205
		refs = "00b4 TArray.QuickSort<Vcl.Themes.TCustomStyleServices>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_88130_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>"
		size = 205
		refs = "00b4 TArray.QuickSort<Vcl.Themes.TList<Vcl.Themes.TStyleHookClass>>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_86735_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Themes.TStyleHook>"
		size = 205
		refs = "00b4 TArray.QuickSort<Vcl.Themes.TStyleHook>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_88073_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Themes.TStyleHookClass>"
		size = 205
		refs = "00b4 TArray.QuickSort<Vcl.Themes.TStyleHookClass>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_89072_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Touch.GestureMgr.TGestureCollection>"
		size = 205
		refs = "00b4 TArray.QuickSort<Vcl.Touch.GestureMgr.TGestureCollection>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_89635_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Touch.Keyboard.TCustomKeyboardButton>"
		size = 205
		refs = "00b4 TArray.QuickSort<Vcl.Touch.Keyboard.TCustomKeyboardButton>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_89930_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>"
		size = 205
		refs = "00b4 TArray.QuickSort<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_89924_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Touch.KeyboardTypes.TVirtualKeys>"
		size = 205
		refs = "00b4 TArray.QuickSort<Vcl.Touch.KeyboardTypes.TVirtualKeys>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 A6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 98 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 F8 8B 04 98 8B 55 F8 8B 14 B2 8B 4D F8 89 14 99 8B 55 F8 89 04 B2 43 4E 3B F3 7D AD 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 68 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_2538_0 {
	meta:
		name = "TDelegatedComparer<T>.Compare"
		size = 27
		altNames = "TDelegatedEqualityComparer<T>.Equals"
	strings:
		$1 = { 55 8B EC FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B 40 10 8B 10 FF 52 0C 5D C2 10 00 }
	condition:
		$1
}

rule function_2539_0 {
	meta:
		name = "TArray.QuickSort<System.Classes.TNotifyEvent>"
		size = 252
		refs = "00e4 TArray.QuickSort<System.Classes.TNotifyEvent>"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 D7 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E C9 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D E8 8B 4C C2 04 89 4D EC EB 01 43 8B 45 F8 FF 74 D8 04 FF 34 D8 FF 75 EC FF 75 E8 8B 45 10 8B 10 FF 52 0C 85 C0 7C E3 EB 01 4E 8B 45 F8 FF 74 F0 04 FF 34 F0 FF 75 EC FF 75 E8 8B 45 10 8B 10 FF 52 0C 85 C0 7F E3 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E0 8B 54 D8 04 89 55 E4 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E0 89 14 F0 8B 55 E4 89 54 F0 04 43 4E 3B F3 7D 83 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 37 FF FF FF 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_8095_0 {
	meta:
		name = "TArray.QuickSort<Data.DBXCommon.TEventPointer>"
		size = 252
		refs = "00e4 TArray.QuickSort<Data.DBXCommon.TEventPointer>"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 D7 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E C9 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D E8 8B 4C C2 04 89 4D EC EB 01 43 8B 45 F8 FF 74 D8 04 FF 34 D8 FF 75 EC FF 75 E8 8B 45 10 8B 10 FF 52 0C 85 C0 7C E3 EB 01 4E 8B 45 F8 FF 74 F0 04 FF 34 F0 FF 75 EC FF 75 E8 8B 45 10 8B 10 FF 52 0C 85 C0 7F E3 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E0 8B 54 D8 04 89 55 E4 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E0 89 14 F0 8B 55 E4 89 54 F0 04 43 4E 3B F3 7D 83 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 37 FF FF FF 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_56562_0 {
	meta:
		name = "TArray.QuickSort<System.Int64>"
		size = 252
		refs = "00e4 TArray.QuickSort<System.Int64>"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 D7 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E C9 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D E8 8B 4C C2 04 89 4D EC EB 01 43 8B 45 F8 FF 74 D8 04 FF 34 D8 FF 75 EC FF 75 E8 8B 45 10 8B 10 FF 52 0C 85 C0 7C E3 EB 01 4E 8B 45 F8 FF 74 F0 04 FF 34 F0 FF 75 EC FF 75 E8 8B 45 10 8B 10 FF 52 0C 85 C0 7F E3 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E0 8B 54 D8 04 89 55 E4 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E0 89 14 F0 8B 55 E4 89 54 F0 04 43 4E 3B F3 7D 83 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 37 FF FF FF 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_2543_0 {
	meta:
		name = "TArray.BinarySearch<T>"
		size = 181
		refs = "0033 SArgumentOutOfRange 003a _Dn_EArgumentOutOfRangeException 003f Exception.CreateRes 0044 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B 75 08 8B 45 0C 85 C0 7C 1B 3B C1 7E 04 85 F6 7F 13 8D 14 06 4A 3B D1 7F 0B 85 F6 7C 07 8D 14 06 85 D2 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 75 0B 8B 55 14 89 02 C6 45 FB 00 EB 51 C6 45 FB 00 8B D8 03 F0 4E 89 75 F4 3B 5D F4 7F 3B 8B 75 F4 2B F3 D1 EE 03 F3 8B 4D 18 8B 45 FC 8D 14 F0 8B 45 10 8B 38 FF 57 0C 89 45 F0 83 7D F0 00 7D 05 8D 5E 01 EB 0E 4E 89 75 F4 83 7D F0 00 75 04 C6 45 FB 01 3B 5D F4 7E C5 8B 45 14 89 18 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_2544_0 {
	meta:
		name = "TDelegatedEqualityComparer<T>.Create"
		size = 75
		refs = "000e @ClassCreate 001e @IntfCopy 0034 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 10 8B D6 E8 ?? ?? ?? ?? 8D 47 14 8B 55 08 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2546_0 {
	meta:
		name = "TDBXDelegateParameterList.SetCount"
		size = 9
		altNames = "TDelegatedEqualityComparer<T>.GetHashCode"
	strings:
		$1 = { 8B 40 14 8B 08 FF 51 0C C3 }
	condition:
		$1
}

rule function_2563_0 {
	meta:
		name = "TArray.QuickSort<System.string>"
		size = 287
		refs = "001e TArray.QuickSort<System.string> 005d @UStrLAsg 00b4 @UStrAsg 010a @UStrArrayClr 0110 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 40 85 C0 0F 84 C0 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E B2 00 00 00 8B 5D 0C 8B 75 08 8D 45 FC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D F0 8B 14 91 E8 ?? ?? ?? ?? EB 01 43 8B 45 F0 8B 14 98 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F0 8B 14 B0 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 33 3B F3 74 2D 8D 45 F8 8B 55 F0 8B 14 9A E8 ?? ?? ?? ?? 8B 45 F0 8D 04 98 8B 55 F0 8B 14 B2 E8 ?? ?? ?? ?? 8B 45 F0 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? 43 4E 3B F3 7D 98 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 4E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_30877_0 {
	meta:
		name = "TArray.QuickSort<System.AnsiString>"
		size = 287
		refs = "001e TArray.QuickSort<System.AnsiString> 005d @LStrLAsg 00b4 @LStrAsg 010a @LStrArrayClr 0110 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 40 85 C0 0F 84 C0 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E B2 00 00 00 8B 5D 0C 8B 75 08 8D 45 FC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D F0 8B 14 91 E8 ?? ?? ?? ?? EB 01 43 8B 45 F0 8B 14 98 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F0 8B 14 B0 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 33 3B F3 74 2D 8D 45 F8 8B 55 F0 8B 14 9A E8 ?? ?? ?? ?? 8B 45 F0 8D 04 98 8B 55 F0 8B 14 B2 E8 ?? ?? ?? ?? 8B 45 F0 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? 43 4E 3B F3 7D 98 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 4E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_2565_0 {
	meta:
		name = "TDelegatedComparer<T>.Compare"
		size = 15
		altNames = "TDelegatedEqualityComparer<T>.Equals"
	strings:
		$1 = { 53 56 8B F0 8B 46 10 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_2566_0 {
	meta:
		name = "TArray.QuickSort<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>>"
		size = 337
		refs = "0017 TPair<System.Integer,System.Classes.IObserver> 001c @InitializeRecord 0032 TArray.QuickSort<Data.Bind.Components.TPair<System.Integer,System.Classes.IObserver>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_26935_0 {
	meta:
		name = "TArray.QuickSort<DSAzDlgBlockBlob.TPair<System.string,System.string>>"
		size = 337
		refs = "0017 TPair<System.string,System.string> 001c @InitializeRecord 0032 TArray.QuickSort<DSAzDlgBlockBlob.TPair<System.string,System.string>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_27159_0 {
	meta:
		name = "TArray.QuickSort<DSAzDlgCopyBlob.TPair<System.string,System.string>>"
		size = 337
		refs = "0017 TPair<System.string,System.string> 001c @InitializeRecord 0032 TArray.QuickSort<DSAzDlgCopyBlob.TPair<System.string,System.string>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_27363_0 {
	meta:
		name = "TArray.QuickSort<DSAzDlgCreateContainer.TPair<System.string,System.string>>"
		size = 337
		refs = "0017 TPair<System.string,System.string> 001c @InitializeRecord 0032 TArray.QuickSort<DSAzDlgCreateContainer.TPair<System.string,System.string>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_27595_0 {
	meta:
		name = "TArray.QuickSort<DSAzDlgPageBlob.TPair<System.string,System.string>>"
		size = 337
		refs = "0017 TPair<System.string,System.string> 001c @InitializeRecord 0032 TArray.QuickSort<DSAzDlgPageBlob.TPair<System.string,System.string>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_27812_0 {
	meta:
		name = "TArray.QuickSort<DSAzDlgPutBlockList.TPair<System.string,System.string>>"
		size = 337
		refs = "0017 TPair<System.string,System.string> 001c @InitializeRecord 0032 TArray.QuickSort<DSAzDlgPutBlockList.TPair<System.string,System.string>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_28013_0 {
	meta:
		name = "TArray.QuickSort<DSAzDlgSnapshotBlob.TPair<System.string,System.string>>"
		size = 337
		refs = "0017 TPair<System.string,System.string> 001c @InitializeRecord 0032 TArray.QuickSort<DSAzDlgSnapshotBlob.TPair<System.string,System.string>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_28948_0 {
	meta:
		name = "TArray.QuickSort<DSAzureBlob.TPair<System.string,System.string>>"
		size = 337
		refs = "0017 TPair<System.string,System.string> 001c @InitializeRecord 0032 TArray.QuickSort<DSAzureBlob.TPair<System.string,System.string>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_29537_0 {
	meta:
		name = "TArray.QuickSort<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>>"
		size = 337
		refs = "0017 TPair<System.string,DSAzureTableDialog.TAzureTableColumn> 001c @InitializeRecord 0032 TArray.QuickSort<DSAzureTableDialog.TPair<System.string,DSAzureTableDialog.TAzureTableColumn>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_4148_0 {
	meta:
		name = "TArray.QuickSort<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>"
		size = 337
		refs = "0017 TAmazonNotificationEvent 001c @InitializeRecord 0032 TArray.QuickSort<Data.Cloud.AmazonAPI.TAmazonNotificationEvent> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_4133_0 {
	meta:
		name = "TArray.QuickSort<Data.Cloud.CloudAPI.TCloudQueue>"
		size = 337
		refs = "0017 TCloudQueue 001c @InitializeRecord 0032 TArray.QuickSort<Data.Cloud.CloudAPI.TCloudQueue> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_10652_0 {
	meta:
		name = "TArray.QuickSort<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>"
		size = 337
		refs = "0017 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 001c @InitializeRecord 0032 TArray.QuickSort<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_10670_0 {
	meta:
		name = "TArray.QuickSort<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>"
		size = 337
		refs = "0017 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 001c @InitializeRecord 0032 TArray.QuickSort<Data.DBXJSONReflect.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_10664_0 {
	meta:
		name = "TArray.QuickSort<Data.DBXJSONReflect.TPair<System.string,System.TObject>>"
		size = 337
		refs = "0017 TPair<System.string,System.TObject> 001c @InitializeRecord 0032 TArray.QuickSort<Data.DBXJSONReflect.TPair<System.string,System.TObject>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_11410_0 {
	meta:
		name = "TArray.QuickSort<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>>"
		size = 337
		refs = "0017 TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent> 001c @InitializeRecord 0032 TArray.QuickSort<Data.DBXMessageHandlerJSonServer.TPair<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_11437_0 {
	meta:
		name = "TArray.QuickSort<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>>"
		size = 337
		refs = "0017 TPair<System.string,Datasnap.DSService.TDSSession> 001c @InitializeRecord 0032 TArray.QuickSort<Data.DBXMessageHandlerJSonServer.TPair<System.string,Datasnap.DSService.TDSSession>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_16059_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 337
		refs = "0017 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSClientMetadata.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_16050_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>>"
		size = 337
		refs = "0017 TPair<System.string,System.Classes.TStream> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSClientMetadata.TPair<System.string,System.Classes.TStream>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_16547_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSClientRest.TPair<System.string,System.string>>"
		size = 337
		refs = "0017 TPair<System.string,System.string> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSClientRest.TPair<System.string,System.string>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_17441_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>>"
		size = 337
		refs = "0017 TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSHTTP.TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_18860_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>"
		size = 337
		refs = "0017 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_18866_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>"
		size = 337
		refs = "0017 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSHTTPCommon.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_18851_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>>"
		size = 337
		refs = "0017 TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_18883_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>>"
		size = 337
		refs = "0017 TPair<System.string,Datasnap.DSService.TDSSession> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSHTTPCommon.TPair<System.string,Datasnap.DSService.TDSSession>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_19154_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>>"
		size = 337
		refs = "0017 TPair<System.string,System.string> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSHTTPServiceProxyDispatcher.TPair<System.string,System.string>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_19569_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 337
		refs = "0017 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSProxyCpp.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_19864_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 337
		refs = "0017 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSProxyCppRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_20152_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 337
		refs = "0017 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSProxyCsharpSilverlight.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_20434_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 337
		refs = "0017 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSProxyDelphi.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_20924_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 337
		refs = "0017 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSProxyDelphiRest.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_20918_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>>"
		size = 337
		refs = "0017 TPair<System.string,System.string> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSProxyDelphiRest.TPair<System.string,System.string>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_21132_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>>"
		size = 337
		refs = "0017 TPair<System.string,System.string> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSProxyDispatcher.TPair<System.string,System.string>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_21422_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 337
		refs = "0017 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSProxyFreePascal_iOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_21709_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 337
		refs = "0017 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSProxyJavaAndroid.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_21976_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 337
		refs = "0017 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSProxyJavaBlackBerry.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_22268_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 337
		refs = "0017 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSProxyJavaScript.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_22561_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 337
		refs = "0017 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSProxyObjectiveCiOS.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_23099_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>>"
		size = 337
		refs = "0017 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSProxyWriter.TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_23090_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>>"
		size = 337
		refs = "0017 TPair<System.string,System.Masks.TMask> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSProxyWriter.TPair<System.string,System.Masks.TMask>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_24107_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>>"
		size = 337
		refs = "0017 TPair<System.string,Data.DBXJSONReflect.TConverterEvent> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TConverterEvent>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_24113_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>>"
		size = 337
		refs = "0017 TPair<System.string,Data.DBXJSONReflect.TReverterEvent> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSServer.TPair<System.string,Data.DBXJSONReflect.TReverterEvent>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_24119_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>>"
		size = 337
		refs = "0017 TPair<System.string,System.Classes.TStrings> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSServer.TPair<System.string,System.Classes.TStrings>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_25417_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>>"
		size = 337
		refs = "0017 TPair<System.string,Datasnap.DSService.TDBXRequestFilter> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDBXRequestFilter>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_25438_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>>"
		size = 337
		refs = "0017 TPair<System.string,Datasnap.DSService.TDSSession> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSService.TPair<System.string,Datasnap.DSService.TDSSession>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_25432_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSService.TPair<System.string,System.TObject>>"
		size = 337
		refs = "0017 TPair<System.string,System.TObject> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSService.TPair<System.string,System.TObject>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_25429_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSService.TPair<System.string,System.string>>"
		size = 337
		refs = "0017 TPair<System.string,System.string> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSService.TPair<System.string,System.string>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_25735_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>>"
		size = 337
		refs = "0017 TPair<System.string,Datasnap.DSService.TDSSession> 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSTCPServerTransport.TPair<System.string,Datasnap.DSService.TDSSession>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_31404_0 {
	meta:
		name = "TArray.QuickSort<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>>"
		size = 337
		refs = "0017 TPair<System.string,IBIntf.IGDSLibrary> 001c @InitializeRecord 0032 TArray.QuickSort<IBIntf.TPair<System.string,IBIntf.IGDSLibrary>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_43109_0 {
	meta:
		name = "TArray.QuickSort<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>>"
		size = 337
		refs = "0017 TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>> 001c @InitializeRecord 0032 TArray.QuickSort<IPPeerAPI.TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_43118_0 {
	meta:
		name = "TArray.QuickSort<IPPeerAPI.TPair<System.string,System.string>>"
		size = 337
		refs = "0017 TPair<System.string,System.string> 001c @InitializeRecord 0032 TArray.QuickSort<IPPeerAPI.TPair<System.string,System.string>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_40441_0 {
	meta:
		name = "TArray.QuickSort<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>>"
		size = 337
		refs = "0017 TPair<IdContext.TIdContext,IPPeerAPI.IIPContext> 001c @InitializeRecord 0032 TArray.QuickSort<IndyPeerImpl.TPair<IdContext.TIdContext,IPPeerAPI.IIPContext>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_40435_0 {
	meta:
		name = "TArray.QuickSort<IndyPeerImpl.TPair<System.string,System.string>>"
		size = 337
		refs = "0017 TPair<System.string,System.string> 001c @InitializeRecord 0032 TArray.QuickSort<IndyPeerImpl.TPair<System.string,System.string>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_51397_0 {
	meta:
		name = "TArray.QuickSort<SyncController.TPair<System.IInterface,System.Pointer>>"
		size = 337
		refs = "0017 TPair<System.IInterface,System.Pointer> 001c @InitializeRecord 0032 TArray.QuickSort<SyncController.TPair<System.IInterface,System.Pointer>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_51412_0 {
	meta:
		name = "TArray.QuickSort<SyncController.TPair<System.TObject,System.string>>"
		size = 337
		refs = "0017 TPair<System.TObject,System.string> 001c @InitializeRecord 0032 TArray.QuickSort<SyncController.TPair<System.TObject,System.string>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_51849_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.CustomScope.TPair<System.string,System.IInterface>>"
		size = 337
		refs = "0017 TPair<System.string,System.IInterface> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.CustomScope.TPair<System.string,System.IInterface>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_52274_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>>"
		size = 337
		refs = "0017 TPair<System.IInterface,System.Pointer> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.EvalProtocol.TPair<System.IInterface,System.Pointer>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_52915_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.EvalSys.TPair<System.string,System.IInterface>>"
		size = 337
		refs = "0017 TPair<System.string,System.IInterface> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.EvalSys.TPair<System.string,System.IInterface>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_53372_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>>"
		size = 337
		refs = "0017 TPair<System.IInterface,System.Pointer> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Evaluator.TPair<System.IInterface,System.Pointer>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_53852_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Expression.TPair<System.TObject,System.string>>"
		size = 337
		refs = "0017 TPair<System.TObject,System.string> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Expression.TPair<System.TObject,System.string>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_53861_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>>"
		size = 337
		refs = "0017 TPair<System.string,System.Bindings.Expression.TBindingExpression> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Expression.TPair<System.string,System.Bindings.Expression.TBindingExpression>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_54378_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>>"
		size = 337
		refs = "0017 TPair<System.TObject,System.string> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.ExpressionDefaults.TPair<System.TObject,System.string>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_54387_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>>"
		size = 337
		refs = "0017 TPair<System.string,System.IInterface> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.ExpressionDefaults.TPair<System.string,System.IInterface>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_56577_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>>"
		size = 337
		refs = "0017 TPair<System.IInterface,System.Pointer> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Graph.TPair<System.IInterface,System.Pointer>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_56607_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Graph.TPair<System.TObject,System.string>>"
		size = 337
		refs = "0017 TPair<System.TObject,System.string> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Graph.TPair<System.TObject,System.string>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_56592_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Graph.TPair<System.string,System.Integer>>"
		size = 337
		refs = "0017 TPair<System.string,System.Integer> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Graph.TPair<System.string,System.Integer>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_56983_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Helper.TPair<System.string,System.IInterface>>"
		size = 337
		refs = "0017 TPair<System.string,System.IInterface> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Helper.TPair<System.string,System.IInterface>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_58734_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>>"
		size = 337
		refs = "0017 TPair<System.IInterface,System.Pointer> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.IInterface,System.Pointer>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_58743_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>>"
		size = 337
		refs = "0017 TPair<System.string,System.Integer> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.string,System.Integer>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_59300_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Methods.TPair<System.string,System.IInterface>>"
		size = 337
		refs = "0017 TPair<System.string,System.IInterface> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Methods.TPair<System.string,System.IInterface>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_59744_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.ObjEval.TPair<System.string,System.IInterface>>"
		size = 337
		refs = "0017 TPair<System.string,System.IInterface> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.ObjEval.TPair<System.string,System.IInterface>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_61513_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Outputs.TPair<System.TObject,System.string>>"
		size = 337
		refs = "0017 TPair<System.TObject,System.string> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Outputs.TPair<System.TObject,System.string>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_61489_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>>"
		size = 337
		refs = "0017 TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_61516_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Outputs.TPair<System.string,System.IInterface>>"
		size = 337
		refs = "0017 TPair<System.string,System.IInterface> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Outputs.TPair<System.string,System.IInterface>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_61837_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Search.TPair<System.IInterface,System.Pointer>>"
		size = 337
		refs = "0017 TPair<System.IInterface,System.Pointer> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Search.TPair<System.IInterface,System.Pointer>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_64929_0 {
	meta:
		name = "TArray.QuickSort<System.DebugUtils.TPair<System.string,System.Boolean>>"
		size = 337
		refs = "0017 TPair<System.string,System.Boolean> 001c @InitializeRecord 0032 TArray.QuickSort<System.DebugUtils.TPair<System.string,System.Boolean>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_68559_0 {
	meta:
		name = "TArray.QuickSort<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>>"
		size = 337
		refs = "0017 TPair<System.TypInfo.PTypeInfo,System.string> 001c @InitializeRecord 0032 TArray.QuickSort<System.Rtti.TPair<System.TypInfo.PTypeInfo,System.string>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_68568_0 {
	meta:
		name = "TArray.QuickSort<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>>"
		size = 337
		refs = "0017 TPair<System.string,System.TypInfo.PTypeInfo> 001c @InitializeRecord 0032 TArray.QuickSort<System.Rtti.TPair<System.string,System.TypInfo.PTypeInfo>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_71835_0 {
	meta:
		name = "TArray.QuickSort<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>"
		size = 337
		refs = "0017 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 001c @InitializeRecord 0032 TArray.QuickSort<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_88587_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>>"
		size = 337
		refs = "0017 TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 001c @InitializeRecord 0032 TArray.QuickSort<Vcl.Touch.GestureCtrls.TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_89927_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>"
		size = 337
		refs = "0017 TKeyboardLanguage 001c @InitializeRecord 0032 TArray.QuickSort<Vcl.Touch.KeyboardTypes.TKeyboardLanguage> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_96430_0 {
	meta:
		name = "TArray.QuickSort<Web.WebFileDispatcher.TPair<System.string,System.string>>"
		size = 337
		refs = "0017 TPair<System.string,System.string> 001c @InitializeRecord 0032 TArray.QuickSort<Web.WebFileDispatcher.TPair<System.string,System.string>> 0077 @CopyRecord 013c @FinalizeArray 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 89 55 E8 89 45 EC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 F8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D E8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 E8 8D 14 D8 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 E8 8D 14 F0 8D 4D F8 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F0 8B 55 E8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 D8 8B 55 E8 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 04 F0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E8 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_2572_0 {
	meta:
		name = "TArray.QuickSort<System.Classes.IObserver>"
		size = 293
		refs = "001e TArray.QuickSort<System.Classes.IObserver> 005d @IntfCopy 0106 IObserver 0110 @FinalizeArray 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 40 85 C0 0F 84 C0 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E B2 00 00 00 8B 5D 0C 8B 75 08 8D 45 FC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D F0 8B 14 91 E8 ?? ?? ?? ?? EB 01 43 8B 45 F0 8B 14 98 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F0 8B 14 B0 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 33 3B F3 74 2D 8D 45 F8 8B 55 F0 8B 14 9A E8 ?? ?? ?? ?? 8B 45 F0 8D 04 98 8B 55 F0 8B 14 B2 E8 ?? ?? ?? ?? 8B 45 F0 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? 43 4E 3B F3 7D 98 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 4E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_16062_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSCommonProxy.IDSProxyWriter>"
		size = 293
		refs = "001e TArray.QuickSort<Datasnap.DSCommonProxy.IDSProxyWriter> 005d @IntfCopy 0106 IDSProxyWriter 0110 @FinalizeArray 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 40 85 C0 0F 84 C0 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E B2 00 00 00 8B 5D 0C 8B 75 08 8D 45 FC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D F0 8B 14 91 E8 ?? ?? ?? ?? EB 01 43 8B 45 F0 8B 14 98 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F0 8B 14 B0 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 33 3B F3 74 2D 8D 45 F8 8B 55 F0 8B 14 9A E8 ?? ?? ?? ?? 8B 45 F0 8D 04 98 8B 55 F0 8B 14 B2 E8 ?? ?? ?? ?? 8B 45 F0 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? 43 4E 3B F3 7D 98 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 4E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_24101_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSServer.TDSCallbackTunnelEvent>"
		size = 293
		refs = "001e TArray.QuickSort<Datasnap.DSServer.TDSCallbackTunnelEvent> 005d @IntfCopy 0106 TDSCallbackTunnelEvent 0110 @FinalizeArray 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 40 85 C0 0F 84 C0 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E B2 00 00 00 8B 5D 0C 8B 75 08 8D 45 FC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D F0 8B 14 91 E8 ?? ?? ?? ?? EB 01 43 8B 45 F0 8B 14 98 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F0 8B 14 B0 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 33 3B F3 74 2D 8D 45 F8 8B 55 F0 8B 14 9A E8 ?? ?? ?? ?? 8B 45 F0 8D 04 98 8B 55 F0 8B 14 B2 E8 ?? ?? ?? ?? 8B 45 F0 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? 43 4E 3B F3 7D 98 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 4E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_25411_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSService.TDSSessionEvent>"
		size = 293
		refs = "001e TArray.QuickSort<Datasnap.DSService.TDSSessionEvent> 005d @IntfCopy 0106 TDSSessionEvent 0110 @FinalizeArray 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 40 85 C0 0F 84 C0 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E B2 00 00 00 8B 5D 0C 8B 75 08 8D 45 FC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D F0 8B 14 91 E8 ?? ?? ?? ?? EB 01 43 8B 45 F0 8B 14 98 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F0 8B 14 B0 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 33 3B F3 74 2D 8D 45 F8 8B 55 F0 8B 14 9A E8 ?? ?? ?? ?? 8B 45 F0 8D 04 98 8B 55 F0 8B 14 B2 E8 ?? ?? ?? ?? 8B 45 F0 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? 43 4E 3B F3 7D 98 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 4E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_31410_0 {
	meta:
		name = "TArray.QuickSort<IBIntf.IGDSLibrary>"
		size = 293
		refs = "001e TArray.QuickSort<IBIntf.IGDSLibrary> 005d @IntfCopy 0106 IGDSLibrary 0110 @FinalizeArray 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 40 85 C0 0F 84 C0 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E B2 00 00 00 8B 5D 0C 8B 75 08 8D 45 FC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D F0 8B 14 91 E8 ?? ?? ?? ?? EB 01 43 8B 45 F0 8B 14 98 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F0 8B 14 B0 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 33 3B F3 74 2D 8D 45 F8 8B 55 F0 8B 14 9A E8 ?? ?? ?? ?? 8B 45 F0 8D 04 98 8B 55 F0 8B 14 B2 E8 ?? ?? ?? ?? 8B 45 F0 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? 43 4E 3B F3 7D 98 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 4E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_40447_0 {
	meta:
		name = "TArray.QuickSort<IPPeerAPI.IIPContext>"
		size = 293
		refs = "001e TArray.QuickSort<IPPeerAPI.IIPContext> 005d @IntfCopy 0106 IIPContext 0110 @FinalizeArray 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 40 85 C0 0F 84 C0 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E B2 00 00 00 8B 5D 0C 8B 75 08 8D 45 FC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D F0 8B 14 91 E8 ?? ?? ?? ?? EB 01 43 8B 45 F0 8B 14 98 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F0 8B 14 B0 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 33 3B F3 74 2D 8D 45 F8 8B 55 F0 8B 14 9A E8 ?? ?? ?? ?? 8B 45 F0 8D 04 98 8B 55 F0 8B 14 B2 E8 ?? ?? ?? ?? 8B 45 F0 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? 43 4E 3B F3 7D 98 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 4E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_51409_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.EvalProtocol.ILocation>"
		size = 293
		refs = "001e TArray.QuickSort<System.Bindings.EvalProtocol.ILocation> 005d @IntfCopy 0106 ILocation 0110 @FinalizeArray 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 40 85 C0 0F 84 C0 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E B2 00 00 00 8B 5D 0C 8B 75 08 8D 45 FC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D F0 8B 14 91 E8 ?? ?? ?? ?? EB 01 43 8B 45 F0 8B 14 98 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F0 8B 14 B0 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 33 3B F3 74 2D 8D 45 F8 8B 55 F0 8B 14 9A E8 ?? ?? ?? ?? 8B 45 F0 8D 04 98 8B 55 F0 8B 14 B2 E8 ?? ?? ?? ?? 8B 45 F0 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? 43 4E 3B F3 7D 98 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 4E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_53369_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.EvalProtocol.IScope>"
		size = 293
		refs = "001e TArray.QuickSort<System.Bindings.EvalProtocol.IScope> 005d @IntfCopy 0106 IScope 0110 @FinalizeArray 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 40 85 C0 0F 84 C0 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E B2 00 00 00 8B 5D 0C 8B 75 08 8D 45 FC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D F0 8B 14 91 E8 ?? ?? ?? ?? EB 01 43 8B 45 F0 8B 14 98 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F0 8B 14 B0 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 33 3B F3 74 2D 8D 45 F8 8B 55 F0 8B 14 9A E8 ?? ?? ?? ?? 8B 45 F0 8D 04 98 8B 55 F0 8B 14 B2 E8 ?? ?? ?? ?? 8B 45 F0 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? 43 4E 3B F3 7D 98 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 4E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_52250_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.EvalProtocol.ISubscription>"
		size = 293
		refs = "001e TArray.QuickSort<System.Bindings.EvalProtocol.ISubscription> 005d @IntfCopy 0106 ISubscription 0110 @FinalizeArray 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 40 85 C0 0F 84 C0 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E B2 00 00 00 8B 5D 0C 8B 75 08 8D 45 FC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D F0 8B 14 91 E8 ?? ?? ?? ?? EB 01 43 8B 45 F0 8B 14 98 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F0 8B 14 B0 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 33 3B F3 74 2D 8D 45 F8 8B 55 F0 8B 14 9A E8 ?? ?? ?? ?? 8B 45 F0 8D 04 98 8B 55 F0 8B 14 B2 E8 ?? ?? ?? ?? 8B 45 F0 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? 43 4E 3B F3 7D 98 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 4E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_52927_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>"
		size = 293
		refs = "001e TArray.QuickSort<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 005d @IntfCopy 0106 TFunc<System.Rtti.TValue,System.Rtti.TValue> 0110 @FinalizeArray 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 40 85 C0 0F 84 C0 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E B2 00 00 00 8B 5D 0C 8B 75 08 8D 45 FC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D F0 8B 14 91 E8 ?? ?? ?? ?? EB 01 43 8B 45 F0 8B 14 98 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F0 8B 14 B0 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 33 3B F3 74 2D 8D 45 F8 8B 55 F0 8B 14 9A E8 ?? ?? ?? ?? 8B 45 F0 8D 04 98 8B 55 F0 8B 14 B2 E8 ?? ?? ?? ?? 8B 45 F0 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? 43 4E 3B F3 7D 98 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 4E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_61382_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>"
		size = 293
		refs = "001e TArray.QuickSort<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback> 005d @IntfCopy 0106 TBindingCallbackFactory.TBindingCallback 0110 @FinalizeArray 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 40 85 C0 0F 84 C0 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E B2 00 00 00 8B 5D 0C 8B 75 08 8D 45 FC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D F0 8B 14 91 E8 ?? ?? ?? ?? EB 01 43 8B 45 F0 8B 14 98 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F0 8B 14 B0 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 33 3B F3 74 2D 8D 45 F8 8B 55 F0 8B 14 9A E8 ?? ?? ?? ?? 8B 45 F0 8D 04 98 8B 55 F0 8B 14 B2 E8 ?? ?? ?? ?? 8B 45 F0 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? 43 4E 3B F3 7D 98 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 4E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_61840_0 {
	meta:
		name = "TArray.QuickSort<System.IInterface>"
		size = 293
		refs = "001e TArray.QuickSort<System.IInterface> 005d @IntfCopy 0106 IInterface 0110 @FinalizeArray 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 40 85 C0 0F 84 C0 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E B2 00 00 00 8B 5D 0C 8B 75 08 8D 45 FC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D F0 8B 14 91 E8 ?? ?? ?? ?? EB 01 43 8B 45 F0 8B 14 98 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F0 8B 14 B0 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 33 3B F3 74 2D 8D 45 F8 8B 55 F0 8B 14 9A E8 ?? ?? ?? ?? 8B 45 F0 8D 04 98 8B 55 F0 8B 14 B2 E8 ?? ?? ?? ?? 8B 45 F0 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? 43 4E 3B F3 7D 98 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 4E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_61451_0 {
	meta:
		name = "TArray.QuickSort<System.SysUtils.TProc<System.Rtti.TValue>>"
		size = 293
		refs = "001e TArray.QuickSort<System.SysUtils.TProc<System.Rtti.TValue>> 005d @IntfCopy 0106 TProc<System.Rtti.TValue> 0110 @FinalizeArray 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 40 85 C0 0F 84 C0 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E B2 00 00 00 8B 5D 0C 8B 75 08 8D 45 FC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D F0 8B 14 91 E8 ?? ?? ?? ?? EB 01 43 8B 45 F0 8B 14 98 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F0 8B 14 B0 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 33 3B F3 74 2D 8D 45 F8 8B 55 F0 8B 14 9A E8 ?? ?? ?? ?? 8B 45 F0 8D 04 98 8B 55 F0 8B 14 B2 E8 ?? ?? ?? ?? 8B 45 F0 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? 43 4E 3B F3 7D 98 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 4E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_88593_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>"
		size = 293
		refs = "001e TArray.QuickSort<Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 005d @IntfCopy 0106 TGestureProviderChangeEvent 0110 @FinalizeArray 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 40 85 C0 0F 84 C0 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E B2 00 00 00 8B 5D 0C 8B 75 08 8D 45 FC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D F0 8B 14 91 E8 ?? ?? ?? ?? EB 01 43 8B 45 F0 8B 14 98 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F0 8B 14 B0 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 33 3B F3 74 2D 8D 45 F8 8B 55 F0 8B 14 9A E8 ?? ?? ?? ?? 8B 45 F0 8D 04 98 8B 55 F0 8B 14 B2 E8 ?? ?? ?? ?? 8B 45 F0 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? 43 4E 3B F3 7D 98 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 4E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_2602_0 {
	meta:
		name = "GetBindDBColumnFactory"
		size = 171
		refs = "0019 FBindDBColumnFactories 0032 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.GetItem 0041 GetBindDBColumnFactory 0070 @TryFinallyExit 0087 TObject.Free 008d @HandleFinally 00a0 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F0 8D 7D E0 A5 A5 A5 A5 89 4D F8 89 55 FC A1 ?? ?? ?? ?? 8B 40 08 48 83 F8 00 7C 76 89 45 F0 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 FF 10 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8D 55 E0 8B 45 F4 8B 18 FF 53 04 84 C0 74 19 8B 45 F8 50 8B 4D FC 8D 55 E0 8B 45 F4 8B 18 FF 53 08 E8 ?? ?? ?? ?? EB 2E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 4D F0 83 7D F0 FF 75 8D 8B 45 F8 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2603_0 {
	meta:
		name = "TInternalBindLink.CanActivate"
		size = 12
	strings:
		$1 = { 8B 80 B0 00 00 00 8B 10 FF 52 64 C3 }
	condition:
		$1
}

rule function_2605_0 {
	meta:
		name = "TInternalBindLink.GetBindingsList"
		size = 12
	strings:
		$1 = { 8B 80 B0 00 00 00 8B 10 FF 52 40 C3 }
	condition:
		$1
}

rule function_2606_0 {
	meta:
		name = "TInternalBindLink.Loading"
		size = 14
	strings:
		$1 = { 8B 80 B0 00 00 00 F6 40 1C 01 0F 95 C0 C3 }
	condition:
		$1
}

rule function_2607_0 {
	meta:
		name = "TInternalBindLink.RequiresControlHandler"
		size = 12
	strings:
		$1 = { 8B 80 B0 00 00 00 8B 10 FF 52 68 C3 }
	condition:
		$1
}

rule function_2608_0 {
	meta:
		name = "TInternalBindLink.Create"
		size = 65
		refs = "000b @ClassCreate 001c TCustomBindLink.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 89 B7 B0 00 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2609_0 {
	meta:
		name = "TInternalBindLink.Designing"
		size = 14
	strings:
		$1 = { 8B 80 B0 00 00 00 F6 40 1C 10 0F 95 C0 C3 }
	condition:
		$1
}

rule function_2610_0 {
	meta:
		name = "TInternalBindLink.DisplayName"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 B0 00 00 00 8B 52 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2611_0 {
	meta:
		name = "TInternalBindLink.DoOnActivating"
		size = 34
		refs = "001c TCommonBindComponent.DoOnActivating"
	strings:
		$1 = { 53 8B D8 8B 83 B0 00 00 00 8B 10 FF 52 60 8B 83 B0 00 00 00 8B 10 FF 52 58 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2612_0 {
	meta:
		name = "TInternalBindLink.DoOnDeactivated"
		size = 23
		refs = "0011 TCommonBindComponent.DoOnDeactivated"
	strings:
		$1 = { 53 8B D8 8B 83 B0 00 00 00 8B 10 FF 52 60 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2614_0 {
	meta:
		name = "TInternalBindGridLink.CanActivate"
		size = 12
	strings:
		$1 = { 8B 80 E0 00 00 00 8B 10 FF 52 64 C3 }
	condition:
		$1
}

rule function_2616_0 {
	meta:
		name = "TInternalBindGridLink.GetBindingsList"
		size = 12
	strings:
		$1 = { 8B 80 E0 00 00 00 8B 10 FF 52 40 C3 }
	condition:
		$1
}

rule function_2617_0 {
	meta:
		name = "TIdMappedPortTCP.GetOnExecute"
		size = 18
		altNames = "TInternalBindGridLink.GetListRefreshing"
	strings:
		$1 = { 8B 88 E8 00 00 00 89 0A 8B 88 EC 00 00 00 89 4A 04 C3 }
	condition:
		$1
}

rule function_2618_0 {
	meta:
		name = "TInternalBindGridLink.BindLayoutChanged"
		size = 124
		refs = "000c TInternalBindGridLink.BindLayoutChanged 001a @IntfClear 002c Supports 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 83 E0 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 FC 8B 10 FF 52 1C A8 01 75 08 8B 45 FC 8B 10 FF 52 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 9A C3 4C E1 60 D6 01 48 9F FB 7C A7 F2 B6 A9 9F }
	condition:
		$1
}

rule function_2619_0 {
	meta:
		name = "TInternalBindGridLink.Loading"
		size = 14
	strings:
		$1 = { 8B 80 E0 00 00 00 F6 40 1C 01 0F 95 C0 C3 }
	condition:
		$1
}

rule function_2620_0 {
	meta:
		name = "TInternalBindGridLink.RefreshList"
		size = 36
		refs = "001e TCustomBindGridLink.ResetGrid"
	strings:
		$1 = { 53 8B D8 66 83 BB EA 00 00 00 00 74 0E 8B D3 8B 83 EC 00 00 00 FF 93 E8 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2621_0 {
	meta:
		name = "TInternalBindGridLink.RefreshNeeded"
		size = 276
		refs = "0011 TInternalBindGridLink.RefreshNeeded 0038 GetBindEditor 0044 @IntfClear 0051 Supports 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 8B 10 FF 52 44 85 C0 74 2F 8B C6 8B 10 FF 52 44 8D 4D F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 39 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 84 C0 74 16 8D 45 F4 50 8B 8E B0 00 00 00 33 D2 8B 45 F8 8B 30 FF 56 0C EB 08 8D 45 F4 E8 ?? ?? ?? ?? 83 7D FC 00 74 13 83 7D F4 00 74 0D 8B 55 F4 8B 45 FC 8B 08 FF 51 30 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 5E 5B 8B E5 5D C3 5F 12 D3 C0 E8 F9 AE 4E 98 CB AC 16 D0 E7 B0 75 3D 77 A6 34 1B A7 70 48 9C 60 40 9A 79 82 06 FA }
	condition:
		$1
}

rule function_2622_0 {
	meta:
		name = "TIdMappedPortTCP.SetOnExecute"
		size = 25
		altNames = "TInternalBindGridLink.SetListRefreshing"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 E8 00 00 00 8B 55 0C 89 90 EC 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_2623_0 {
	meta:
		name = "TInternalBindGridLink.Create"
		size = 65
		refs = "000b @ClassCreate 001c TCustomBindGridLink.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 89 B7 E0 00 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2624_0 {
	meta:
		name = "TInternalBindGridLink.Designing"
		size = 14
	strings:
		$1 = { 8B 80 E0 00 00 00 F6 40 1C 10 0F 95 C0 C3 }
	condition:
		$1
}

rule function_2625_0 {
	meta:
		name = "TInternalBindGridLink.DisplayName"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 E0 00 00 00 8B 52 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2626_0 {
	meta:
		name = "TInternalBindGridLink.DoOnActivating"
		size = 34
		refs = "001c TCommonBindComponent.DoOnActivating"
	strings:
		$1 = { 53 8B D8 8B 83 E0 00 00 00 8B 10 FF 52 60 8B 83 E0 00 00 00 8B 10 FF 52 58 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2627_0 {
	meta:
		name = "TInternalBindGridLink.DoOnDeactivated"
		size = 23
		refs = "0011 TCommonBindComponent.DoOnDeactivated"
	strings:
		$1 = { 53 8B D8 8B 83 E0 00 00 00 8B 10 FF 52 60 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2628_0 {
	meta:
		name = "TInternalBindGridLink.ApplyComponents"
		size = 23
		refs = "0011 TActivatedContainedBindComponent.ApplyComponents"
	strings:
		$1 = { 53 8B D8 8B 83 E0 00 00 00 8B 10 FF 52 5C 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2629_0 {
	meta:
		name = "TBaseBindDBFieldLink.CanActivate"
		size = 103
		refs = "000c TBaseBindDBFieldLink.CanActivate 0024 TBaseBindDBControlLink.GetSourceControl 0032 TBaseBindDBControlLink.GetSourceMember 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 44 85 C0 74 1B 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_2630_0 {
	meta:
		name = "TBaseBindDBFieldLink.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TContainedBindComponent.Create 0020 _DV_TInternalBindLink 0025 TInternalBindLink.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2647_0 {
	meta:
		name = "TBaseBindDBGridLink.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TContainedBindComponent.Create 0020 _DV_TInternalBindGridLink 0025 TInternalBindGridLink.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2631_0 {
	meta:
		name = "TBaseBindDBFieldLink.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TContainedBindComponent.Destroy 0025 @ClassDestroy"
		altNames = "TBaseBindDBGridLink.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 40 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31917_0 {
	meta:
		name = "TWriterThread.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TThread.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 40 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2632_0 {
	meta:
		name = "TBaseBindDBFieldLink.ClearGeneratedExpressions"
		size = 47
		refs = "000d TCollection.Clear"
	strings:
		$1 = { 53 8B D8 8B 43 40 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 8B 43 40 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 8B 43 40 8B 80 8C 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2633_0 {
	meta:
		name = "TBaseBindDBFieldLink.GetActive"
		size = 12
		altNames = "TBaseBindDBGridLink.GetActive"
	strings:
		$1 = { 8B 40 40 8B 10 FF 92 BC 00 00 00 C3 }
	condition:
		$1
}

rule function_2634_0 {
	meta:
		name = "TBaseAdapterAction.ImplGetIteratorIndex"
		size = 4
		altNames = "TBaseBindDBFieldLink.GetDelegate TBaseBindDBGridLink.GetDelegate TCommonDialog.GetHandle TCustomAdapter.GetAdapterActions TCustomAdapterErrorList.GetAdapter TCustomChartElement.GetParentComponent TDirect2DCanvas.GetBrush TDomError.GetRelatedNode TDomXPathNamespace.GetOwnerElement TMultiModuleWebAppServices.Access_Response"
	strings:
		$1 = { 8B 40 40 C3 }
	condition:
		$1
}

rule function_2635_0 {
	meta:
		name = "TBaseBindDBFieldLink.GetAutoActivate"
		size = 12
		altNames = "TBaseBindDBGridLink.GetAutoActivate"
	strings:
		$1 = { 8B 40 40 8B 10 FF 92 C0 00 00 00 C3 }
	condition:
		$1
}

rule function_2636_0 {
	meta:
		name = "TBaseBindDBFieldLink.Loaded"
		size = 20
		refs = "0006 TComponent.Loaded"
		altNames = "TBaseBindDBGridLink.Loaded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 40 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_2638_0 {
	meta:
		name = "TBaseBindDBFieldLink.SetActive"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 46 40 8B 08 FF 91 B8 00 00 00 5E C3 }
	condition:
		$1
}

rule function_2639_0 {
	meta:
		name = "TBaseBindDBFieldLink.SetAutoActivate"
		size = 12
		altNames = "TBaseBindDBGridLink.SetAutoActivate"
	strings:
		$1 = { 8B 40 40 8B 08 FF 91 C4 00 00 00 C3 }
	condition:
		$1
}

rule function_2640_0 {
	meta:
		name = "TBaseBindDBGridLink.AcquireLayoutLock"
		size = 32
		refs = "0018 TBaseBindDBGridLink.BeginLayout"
	strings:
		$1 = { 53 80 78 44 00 75 06 80 78 45 00 74 04 33 DB EB 02 B3 01 84 DB 74 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_2641_0 {
	meta:
		name = "TBaseBindDBGridLink.BeginLayout"
		size = 33
		refs = "0006 TBaseBindDBGridLink.BeginUpdate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 45 00 75 0C 8B C3 8B 10 FF 52 70 8B 10 FF 52 20 FE 43 45 5B C3 }
	condition:
		$1
}

rule function_2642_0 {
	meta:
		name = "TBaseBindDBGridLink.BeginUpdate"
		size = 4
	strings:
		$1 = { FE 40 44 C3 }
	condition:
		$1
}

rule function_2643_0 {
	meta:
		name = "TBaseBindDBGridLink.EndLayout"
		size = 139
		refs = "0016 TBaseBindDBGridLink.EndLayout 0036 TBaseBindDBGridLink.InternalLayout 005f @HandleFinally 007c TBaseBindDBGridLink.EndUpdate"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 0F B6 40 45 84 C0 76 76 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 3C 01 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 78 45 01 75 0D 8B 45 FC 8B 10 FF 52 70 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FE 48 45 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 59 5D C3 }
	condition:
		$1
}

rule function_2644_0 {
	meta:
		name = "TBaseBindDBGridLink.EndUpdate"
		size = 10
	strings:
		$1 = { 80 78 44 00 76 03 FE 48 44 C3 }
	condition:
		$1
}

rule function_2645_0 {
	meta:
		name = "TBaseBindDBGridLink.CancelLayout"
		size = 39
		refs = "0021 TBaseBindDBGridLink.EndUpdate"
	strings:
		$1 = { 53 8B D8 0F B6 43 45 84 C0 76 1A 3C 01 75 0C 8B C3 8B 10 FF 52 70 8B 10 FF 52 24 FE 4B 45 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2646_0 {
	meta:
		name = "TBaseBindDBGridLink.CanActivate"
		size = 33
		refs = "0011 TBaseBindDBControlLink.GetSourceControl"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 44 85 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_2648_0 {
	meta:
		name = "TBaseBindDBGridLink.CreateColumns"
		size = 22
		refs = "0002 _DV_TBaseDBGridLinkColumn 000c _DV_TBaseDBGridLinkColumns 0011 TBaseDBGridLinkColumns.Create"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 52 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77787_0 {
	meta:
		name = "TCustomDBGrid.CreateColumns"
		size = 22
		refs = "0002 _DV_TColumn 000c _DV_TDBGridColumns 0011 TDBGridColumns.Create"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 52 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2650_0 {
	meta:
		name = "TBaseBindDBGridLink.ClearColumns"
		size = 69
		refs = "000b @IntfAddRef 0013 TBaseBindDBGridLink.ClearColumns 0036 @IntfClear 003c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_2651_0 {
	meta:
		name = "TBaseBindDBGridLink.ClearGeneratedExpressions"
		size = 75
		refs = "000d TCollection.Clear"
	strings:
		$1 = { 53 8B D8 8B 43 40 8B 80 B4 00 00 00 E8 ?? ?? ?? ?? 8B 43 40 8B 80 A4 00 00 00 E8 ?? ?? ?? ?? 8B 43 40 8B 80 A8 00 00 00 E8 ?? ?? ?? ?? 8B 43 40 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 8B 43 40 8B 80 8C 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2653_0 {
	meta:
		name = "TBaseBindDBGridLink.GetBindDBColumnFactory"
		size = 55
		refs = "002c GetBindDBColumnFactory"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B F1 8B D8 8B C3 8B 10 FF 52 44 85 C0 74 12 8B C3 8B 10 FF 52 44 8B D0 8B CE 8B C4 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2654_0 {
	meta:
		name = "TBaseBindDBGridLink.GetBindDBColumnManager"
		size = 116
		refs = "000f TBaseBindDBGridLink.GetBindDBColumnManager 002f @IntfClear 003c Supports 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 74 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 78 C1 31 F6 F7 78 64 41 A5 32 6F 33 57 60 A2 6A }
	condition:
		$1
}

rule function_2655_0 {
	meta:
		name = "TBaseBindDBGridLink.GetBufferCount"
		size = 10
	strings:
		$1 = { 8B 40 40 8B 80 B0 00 00 00 C3 }
	condition:
		$1
}

rule function_2656_0 {
	meta:
		name = "TBaseBindDBGridLink.GetComponentState"
		size = 7
	strings:
		$1 = { 0F B7 50 1C 8B C2 C3 }
	condition:
		$1
}

rule function_2657_0 {
	meta:
		name = "TBaseBindDBGridLink.GetDataSet"
		size = 48
		refs = "0009 TBaseBindDBControlLink.GetSourceControl"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1A 8B C3 E8 ?? ?? ?? ?? 83 78 48 00 74 0D 8B C3 E8 ?? ?? ?? ?? 8B 40 48 8B 70 38 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_2658_0 {
	meta:
		name = "TBaseBindDBGridLink.GetDefaultFields"
		size = 36
		refs = "0009 TBaseBindDBGridLink.GetDataSet"
	strings:
		$1 = { 53 56 8B F0 B3 01 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C6 E8 ?? ?? ?? ?? 0F B6 98 AE 00 00 00 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_2664_0 {
	meta:
		name = "TBaseBindDBGridLink.InternalLayout"
		size = 52
		refs = "000a TBaseBindDBGridLink.InternalLayout 0025 TCustomBindGridLink.ResetColumns"
	strings:
		$1 = { 53 8B D8 0F B7 43 1C 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 0F 8B C3 8B 10 FF 52 5C 8B 43 40 E8 ?? ?? ?? ?? 5B C3 00 09 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_2665_0 {
	meta:
		name = "TBaseBindDBGridLink.LayoutChanged"
		size = 23
		refs = "0006 TBaseBindDBGridLink.AcquireLayoutLock 0011 TBaseBindDBGridLink.EndLayout"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79298_0 {
	meta:
		name = "TCustomCategoryPanelGroup.ImageListChange"
		size = 23
		refs = "0006 TWinControl.HandleAllocated 0011 TCustomCategoryPanelGroup.UpdatePanelHeaders"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77839_0 {
	meta:
		name = "TCustomDBGrid.LayoutChanged"
		size = 23
		refs = "0006 TCustomDBGrid.AcquireLayoutLock 0011 TCustomDBGrid.EndLayout"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77956_0 {
	meta:
		name = "TDBLookupCombo.DoSelectAll"
		size = 23
		refs = "0006 TDBLookupCombo.Editable 0011 TCustomEdit.SelectAll"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95735_0 {
	meta:
		name = "TDSTableProducer.LayoutChanged"
		size = 23
		refs = "0006 TDSTableProducer.AcquireLayoutLock 0011 TDSTableProducer.EndLayout"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2667_0 {
	meta:
		name = "TBaseBindDBGridLink.Notification"
		size = 228
		refs = "0018 TComponent.Notification 0029 _Dn_TField 002e @IsClass 003e TBaseBindDBGridLink.GetDataSet 005f TBaseBindDBGridLink.BeginLayout 0067 TBaseBindDBGridLink.Notification 009a TBaseDBGridLinkColumns.GetColumn 00a3 TBaseDBGridLinkColumn.GetField 00d1 TBaseBindDBGridLink.EndLayout 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 8B FA 89 45 FC 8B CB 8B D7 8B 45 FC E8 ?? ?? ?? ?? 80 FB 01 0F 85 B8 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A3 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 06 F6 40 1C 08 74 04 33 C0 EB 02 B0 01 88 45 FB 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 70 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 34 46 C7 45 F4 00 00 00 00 8B 45 FC 8B 10 FF 52 70 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F8 75 09 33 D2 8B C3 8B 08 FF 51 20 FF 45 F4 4E 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2668_0 {
	meta:
		name = "TBaseBindDBGridLink.SetActive"
		size = 12
	strings:
		$1 = { 8B 40 40 8B 08 FF 91 B8 00 00 00 C3 }
	condition:
		$1
}

rule function_2670_0 {
	meta:
		name = "TBaseBindDBGridLink.SetBufferCount"
		size = 10
	strings:
		$1 = { 8B 40 40 89 90 B0 00 00 00 C3 }
	condition:
		$1
}

rule function_2671_0 {
	meta:
		name = "TBaseDBGridLinkColumns.Create"
		size = 69
		refs = "000e @ClassCreate 0020 TCollection.Create 002e @AfterConstruction"
		altNames = "TCookieCollection.Create TDBGridColumns.Create THTMLTableColumns.Create TItemCollection.Create TWebActionItems.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 08 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_36824_0 {
	meta:
		name = "EIdReplyRFCError.CreateError"
		size = 69
		refs = "000e @ClassCreate 0020 EIdException.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 08 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_41252_0 {
	meta:
		name = "EInReplyRFCError.CreateError"
		size = 69
		refs = "000e @ClassCreate 0020 EInException.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 08 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2672_0 {
	meta:
		name = "TActionBars.Add"
		size = 12
		refs = "0006 TCollection.Add"
		altNames = "TActionClients.Add TBaseDBGridLinkColumns.Add TCheckConstraints.Add TColumnCollection.Add TControlCollection.Add TCookieCollection.Add TCoolBands.Add TDBGridColumns.Add TDataBindings.Add TFavoriteLinkItems.Add TFieldDefs.AddFieldDef TFileTypeItems.Add TGestureStreamList.Add TGrpButtonItems.Add THTMLTableColumns.Add TIdAuthenticationCollection.Add TIdCommandHandlers.Add TIdCookies.Add TIdDBList.Add TIdDefinitions.Add TIdEMailAddressList.Add TIdEntityRanges.Add TIdFSPListItems.Add TIdFTPListItems.Add TIdFTPListOutput.Add TIdFormDataFields.Add TIdGopherMenu.Add TIdImapMessageParts.Add TIdMatchList.Add TIdMessageCollection.Add TIdReplies.Add TIdSASLEntries.Add TIdSMTPRelayStatusList.Add TIdSSLRegistry.Add TIdStrategyList.Add TIdVCardAddresses.Add TIdVCardEMailAddresses.Add TIdVCardMailingLabels.Add TIdVCardTelephones.Add TInCookies.Add TInSSLRegistry.Add TIndexDefs.AddIndexDef TRowCollection.Add TScreenTipsCollection.Add TStatusPanels.Add TTaskDialogButtons.Add TWebActionItems.Add TWebDirectories.Add TWebFileExtensions.Add TWorkAreas.Add TXmlHandlers.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_65851_0 {
	meta:
		name = "AnsiFree"
		size = 12
		refs = "0006 @LStrClr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82886_0 {
	meta:
		name = "EmptyParam"
		size = 12
		refs = "0006 EmptyParam"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69092_0 {
	meta:
		name = "FormatClearStr"
		size = 12
		refs = "0006 @LStrClr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81119_0 {
	meta:
		name = "GetPixelFormat"
		size = 12
		refs = "0006 TBitmap.GetPixelFormat"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_49200_0 {
	meta:
		name = "GetTempDir"
		size = 12
		refs = "0006 TPath.GetTempPath"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61914_0 {
	meta:
		name = "GetUnicodeCategory"
		size = 12
		refs = "0006 TCharacter.GetUnicodeCategory"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_40008_0 {
	meta:
		name = "IPImpId"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66506_0 {
	meta:
		name = "SetRoundMode"
		size = 12
		refs = "0006 SetFPURoundMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72715_0 {
	meta:
		name = "TActionListCollection.GetActionManager"
		size = 12
		refs = "0006 TCollection.Owner"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74136_0 {
	meta:
		name = "TButtonItem.GetNotifyTarget"
		size = 12
		refs = "0006 TButtonItem.GetCategoryButtons"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_63117_0 {
	meta:
		name = "TClassList.Last"
		size = 12
		refs = "0006 TList.Last"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75805_0 {
	meta:
		name = "TComboExItems.Add"
		size = 12
		refs = "0006 TListControlItems.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_63104_0 {
	meta:
		name = "TComponentList.Last"
		size = 12
		refs = "0006 TList.Last"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13010_0 {
	meta:
		name = "TDBXJSonStreamReader.ReadShort"
		size = 12
		refs = "0006 TDBXJSonStreamReader.ReadInt"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19236_0 {
	meta:
		name = "TDSPlatform.DefaultPackageName"
		size = 12
		refs = "0006 @WStrClr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_71583_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TKeyEnumerator.DoGetCurrent"
		size = 12
		refs = "0006 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TKeyEnumerator.GetCurrent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73816_0 {
	meta:
		name = "TGrpButtonItem.GetNotifyTarget"
		size = 12
		refs = "0006 TGrpButtonItem.GetButtonGroup"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_71751_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.TEnumerator.DoGetCurrent"
		size = 12
		refs = "0006 TList<System.Zip.TZipCompression>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73059_0 {
	meta:
		name = "TMenuStack.Peek"
		size = 12
		refs = "0006 TOrderedList.PeekItem"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_63086_0 {
	meta:
		name = "TObjectList.Last"
		size = 12
		refs = "0006 TList.Last"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66156_0 {
	meta:
		name = "TPath.GetHomePath"
		size = 12
		refs = "0006 GetHomePath"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66970_0 {
	meta:
		name = "TRttiContext.Free"
		size = 12
		refs = "0006 @IntfClear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67226_0 {
	meta:
		name = "TRttiInstanceFieldClassic.GetParent"
		size = 12
		refs = "0006 TRttiMember.GetParent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_65880_0 {
	meta:
		name = "UnicodeFree"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_65853_0 {
	meta:
		name = "WideFree"
		size = 12
		refs = "0006 @WStrClr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2674_0 {
	meta:
		name = "TAggregates.GetOwner"
		size = 4
		altNames = "TBaseDBGridLinkColumns.GetOwner TButtonCategories.GetOwner TCGIResponse.GetStatusCode TCheckConstraints.GetOwner TCustomOwnedNode.GetPreviousSibling TCustomWrapper.GetMetaClass TDBGridColumns.GetOwner TDBXCallbackValue.GetCallbackValue TDBXConnectionValue.GetDBXConnection TDBXReader.GetByteReader TDSMethod.GetReturnType TDSRoleItems.GetOwner TDataBindings.GetOwner TDependencies.GetOwner TDirect2DBrush.GetBitmap TDirect2DFont.GetBrush TDirect2DPen.GetBrush TGestureCollection.GetGestureManager TGrpButtonItems.GetOwner THTMLTableColumns.GetOwner THeaderSections.GetOwner TISAPIResponse.GetStatusCode TListColumns.GetOwner TListColumns.Owner TListGroups.GetOwner TListGroups.Owner TOwnedCollection.GetOwner TParams.GetOwner TScreenTipsCollection.GetOwner TScriptProducer.GetWebModuleContext TSockWebResponse.GetStatusCode TStatusPanels.GetOwner TWebActionItems.GetOwner TWebDirectories.GetOwner TWebFileExtensions.GetOwner TWebUserItems.GetOwner TXMLDocument.GetComponent TXMLDocument.GetXMLBroker TXmlHandlers.GetOwner"
	strings:
		$1 = { 8B 40 18 C3 }
	condition:
		$1
}

rule function_2675_0 {
	meta:
		name = "TBaseDBGridLinkColumns.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TBaseDBGridLinkColumns.LoadFromFile 002e TBaseDBGridLinkColumns.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5646_0 {
	meta:
		name = "TBlobField.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TBlobField.LoadFromFile 002e TBlobField.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_95432_0 {
	meta:
		name = "TCustomMSHTMLParser.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TCustomMSHTMLParser.LoadFromFile 002e TCustomMSHTMLParser.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_74858_0 {
	meta:
		name = "TCustomTreeView.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TCustomTreeView.LoadFromFile 002e TCustomTreeView.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_77737_0 {
	meta:
		name = "TDBGridColumns.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TDBGridColumns.LoadFromFile 002e TDBGridColumns.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_95159_0 {
	meta:
		name = "TImportChart.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TImportChart.LoadFromFile 002e TImportChart.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_82641_0 {
	meta:
		name = "TOleContainer.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TOleContainer.LoadFromFile 002e TOleContainer.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2676_0 {
	meta:
		name = "TBaseDBGridLinkColumns.LoadFromStream"
		size = 216
		refs = "0015 TBaseDBGridLinkColumns.LoadFromStream 0024 _DV_TColumnsWrapper 0029 TComponent.Create 0051 @IntfCast 0069 TStream.ReadComponent 008e TObject.Free 009c @HandleFinally 00b3 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 18 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 20 8B 55 FC 89 42 38 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 38 8B C3 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 9A C3 4C E1 60 D6 01 48 9F FB 7C A7 F2 B6 A9 9F }
	condition:
		$1
}

rule function_2677_0 {
	meta:
		name = "TBaseDBGridLinkColumns.RestoreDefaults"
		size = 101
		refs = "0015 TBaseDBGridLinkColumns.RestoreDefaults 0036 TBaseDBGridLinkColumns.GetColumn 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 28 46 4B 75 ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2678_0 {
	meta:
		name = "TBaseDBGridLinkColumns.GetDataSet"
		size = 108
		refs = "000c TBaseDBGridLinkColumns.GetDataSet 0029 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 18 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 10 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 9A C3 4C E1 60 D6 01 48 9F FB 7C A7 F2 B6 A9 9F }
	condition:
		$1
}

rule function_2679_0 {
	meta:
		name = "TBaseDBGridLinkColumns.GetGridIntf"
		size = 48
		refs = "0009 @IntfClear 0010 TBaseDBGridLinkColumns.GetGridIntf 0018 Supports"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 00 9A C3 4C E1 60 D6 01 48 9F FB 7C A7 F2 B6 A9 9F }
	condition:
		$1
}

rule function_2680_0 {
	meta:
		name = "AddFields"
		size = 191
		refs = "0017 AddFields 0027 TFields.GetCount 003a TFields.GetField 0042 TField.GetFullName 0051 TBaseDBGridLinkColumns.Add 0057 TBaseDBGridLinkColumn.SetFieldName 007d _Dn_TObjectField 0082 @AsClass 00ac @UStrClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 45 FC 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 69 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B6 40 48 04 E6 2C 02 73 29 8B 45 08 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 34 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 59 43 4F 75 9A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77740_0 {
	meta:
		name = "AddFields"
		size = 191
		refs = "0017 AddFields 0027 TFields.GetCount 003a TFields.GetField 0042 TField.GetFullName 0051 TDBGridColumns.Add 0057 TColumn.SetFieldName 007d _Dn_TObjectField 0082 @AsClass 00ac @UStrClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 45 FC 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 69 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B6 40 48 04 E6 2C 02 73 29 8B 45 08 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 34 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 59 43 4F 75 9A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2681_0 {
	meta:
		name = "TBaseDBGridLinkColumns.RebuildColumns"
		size = 93
		refs = "000b TBaseDBGridLinkColumns.GetDataSet 0017 TBaseDBGridLinkColumns.RebuildColumns 0025 TCollection.Clear 0038 AddFields 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 3F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 55 8B 45 FC E8 ?? ?? ?? ?? 8B 40 38 33 D2 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_2682_0 {
	meta:
		name = "TBaseDBGridLinkColumns.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TBaseDBGridLinkColumns.SaveToFile 0031 TBaseDBGridLinkColumns.SaveToStream 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 00 FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5651_0 {
	meta:
		name = "TBlobField.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TBlobField.SaveToFile 0031 TBlobField.SaveToStream 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 00 FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_95439_0 {
	meta:
		name = "TCustomMSHTMLParser.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TCustomMSHTMLParser.SaveToFile 0031 TCustomMSHTMLParser.SaveToStream 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 00 FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_74862_0 {
	meta:
		name = "TCustomTreeView.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TCustomTreeView.SaveToFile 0031 TCustomTreeView.SaveToStream 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 00 FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_77742_0 {
	meta:
		name = "TDBGridColumns.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TDBGridColumns.SaveToFile 0031 TDBGridColumns.SaveToStream 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 00 FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_82656_0 {
	meta:
		name = "TOleContainer.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TOleContainer.SaveToFile 0031 TOleContainer.SaveToStream 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 00 FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2683_0 {
	meta:
		name = "TBaseDBGridLinkColumns.SaveToStream"
		size = 91
		refs = "000f _DV_TColumnsWrapper 0014 TComponent.Create 001f TBaseDBGridLinkColumns.SaveToStream 0035 TStream.WriteComponent 004a TObject.Free 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 58 38 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77743_0 {
	meta:
		name = "TDBGridColumns.SaveToStream"
		size = 91
		refs = "000f _DV_TColumnsWrapper 0014 TComponent.Create 001f TDBGridColumns.SaveToStream 0035 TStream.WriteComponent 004a TObject.Free 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 58 38 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2685_0 {
	meta:
		name = "TBaseDBGridLinkColumns.SetState"
		size = 40
		refs = "0009 TBaseDBGridLinkColumns.GetState 0018 TCollection.Clear 0021 TBaseDBGridLinkColumns.RebuildColumns"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 14 84 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77745_0 {
	meta:
		name = "TDBGridColumns.SetState"
		size = 40
		refs = "0009 TDBGridColumns.GetState 0018 TCollection.Clear 0021 TDBGridColumns.RebuildColumns"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 14 84 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95696_0 {
	meta:
		name = "THTMLTableColumns.SetState"
		size = 40
		refs = "0009 THTMLTableColumns.GetState 0018 TCollection.Clear 0021 THTMLTableColumns.RebuildColumns"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 14 84 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2686_0 {
	meta:
		name = "TBaseDBGridLinkColumns.Update"
		size = 106
		refs = "000f TBaseDBGridLinkColumns.Update 001f TBaseDBGridLinkColumns.GetGridIntf 0059 @IntfClear 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 43 18 85 C0 74 1E F6 40 1C 01 75 18 85 F6 75 0A 8B 45 FC 8B 10 FF 52 38 EB 0A 8B D6 8B 45 FC 8B 08 FF 51 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2687_0 {
	meta:
		name = "TBaseDBGridLinkColumns.Updating"
		size = 8
	strings:
		$1 = { 83 78 0C 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_2688_0 {
	meta:
		name = "TBaseDBGridLinkColumns.GetState"
		size = 31
		refs = "0011 TBaseDBGridLinkColumns.GetColumn"
	strings:
		$1 = { 53 8B D8 8B 43 08 83 78 08 00 7E 0F 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B6 40 14 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2689_0 {
	meta:
		name = "TBaseDBGridLinkColumn.Create"
		size = 221
		refs = "0014 @ClassCreate 0024 TBaseDBGridLinkColumn.Create 0036 _DV_TBaseDBGridLinkColumns 003b @IsClass 0049 TBaseDBGridLinkColumns.GetGridIntf 0071 TCollectionItem.Create 009a @HandleFinally 00b1 @IntfClear 00c7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F7 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 1B 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 08 8B 45 FC 8B 10 FF 52 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 08 8B 45 FC 8B 10 FF 52 34 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 80 7D F7 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2691_0 {
	meta:
		name = "TBaseDBGridLinkColumn.Initialize"
		size = 5
		altNames = "TDSSession.Close TDSSession.Terminate TScrollingStyleHook.WMClose"
	strings:
		$1 = { C6 40 14 01 C3 }
	condition:
		$1
}

rule function_2692_0 {
	meta:
		name = "TBaseDBGridLinkColumn.Assign"
		size = 129
		refs = "000f _DV_TBaseDBGridLinkColumn 0014 @IsClass 0031 TBaseDBGridLinkColumn.Assign 004a TBaseDBGridLinkColumn.SetFieldName 006c @HandleFinally 0078 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 56 8B 45 FC 8B 70 04 85 F6 74 07 8B C6 8B 10 FF 52 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 28 8B 53 10 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB E9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2693_0 {
	meta:
		name = "TBaseDBGridLinkColumn.DefaultAlignment"
		size = 27
		refs = "0006 TBaseDBGridLinkColumn.GetField"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 09 8B 43 0C 0F B6 40 4B 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_77683_0 {
	meta:
		name = "TColumn.DefaultAlignment"
		size = 27
		refs = "0006 TColumn.GetField"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 09 8B 43 0C 0F B6 40 4B 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2694_0 {
	meta:
		name = "TBaseDBGridLinkColumn.GetField"
		size = 179
		refs = "000d TBaseDBGridLinkColumn.GetField 001d TBaseDBGridLinkColumn.GetGridIntf 0068 TDataSet.GetActive 007f TDataSet.FindField 00a0 @IntfClear 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7B 0C 00 75 13 8B 43 10 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C0 EB 02 33 C0 84 C0 74 09 83 7D FC 00 0F 95 C0 EB 02 33 C0 84 C0 74 3D 8B 45 FC 8B 10 FF 52 10 85 C0 74 31 8B 45 FC 8B 10 FF 52 10 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 09 80 BE AE 00 00 00 00 75 13 8B 53 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 20 8B 5B 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2695_0 {
	meta:
		name = "TBaseDBGridLinkColumn.GetGrid"
		size = 39
		refs = "000f _DV_TBaseDBGridLinkColumns 0014 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 85 F6 74 17 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 46 18 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_77696_0 {
	meta:
		name = "TColumn.GetGrid"
		size = 39
		refs = "000f _DV_TDBGridColumns 0014 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 85 F6 74 17 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 46 18 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_95676_0 {
	meta:
		name = "THTMLTableColumn.GeTDSTableProducer"
		size = 39
		refs = "000f _DV_THTMLTableColumns 0014 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 85 F6 74 17 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 46 18 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_95675_0 {
	meta:
		name = "THTMLTableColumn.GetTableProducer"
		size = 39
		refs = "000f _DV_THTMLTableColumns 0014 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 85 F6 74 17 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 46 18 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_2696_0 {
	meta:
		name = "TBaseDBGridLinkColumn.GetGridIntf"
		size = 53
		refs = "0012 _DV_TBaseDBGridLinkColumns 0017 @IsClass 0024 TBaseDBGridLinkColumns.GetGridIntf 002d @IntfClear"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 04 85 F6 74 1C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2697_0 {
	meta:
		name = "TBaseDBGridLinkColumn.GetDisplayName"
		size = 33
		refs = "000c @UStrAsg 001a TCollectionItem.GetDisplayName"
		altNames = "TColumn.GetDisplayName TListColumn.GetDisplayName TServerItem.GetDisplayName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 E8 ?? ?? ?? ?? 83 3E 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2698_0 {
	meta:
		name = "TBaseDBGridLinkColumn.GetParentColumn"
		size = 102
		refs = "000f TBaseDBGridLinkColumn.GetField 002b TCollectionItem.GetIndex 003d TCollection.GetItem"
	strings:
		$1 = { 53 56 57 55 51 8B F0 33 C0 89 04 24 8B C6 E8 ?? ?? ?? ?? 8B E8 85 ED 74 44 83 BD A0 00 00 00 00 74 3B 83 7E 04 00 74 35 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 26 8B D3 8B 46 04 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 3B 85 A0 00 00 00 75 05 89 3C 24 EB 06 4B 83 FB FF 75 DA 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77700_0 {
	meta:
		name = "TColumn.GetParentColumn"
		size = 102
		refs = "000f TColumn.GetField 002b TCollectionItem.GetIndex 003d TCollection.GetItem"
	strings:
		$1 = { 53 56 57 55 51 8B F0 33 C0 89 04 24 8B C6 E8 ?? ?? ?? ?? 8B E8 85 ED 74 44 83 BD A0 00 00 00 00 74 3B 83 7E 04 00 74 35 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 26 8B D3 8B 46 04 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 3B 85 A0 00 00 00 75 05 89 3C 24 EB 06 4B 83 FB FF 75 DA 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2700_0 {
	meta:
		name = "TBaseDBGridLinkColumn.SetField"
		size = 204
		refs = "000f TBaseDBGridLinkColumn.SetField 002b TBaseDBGridLinkColumn.GetGrid 0040 TComponent.RemoveFreeNotification 006f TComponent.FreeNotification 0079 TField.GetFullName 0084 @UStrAsg 0096 @UStrClr 00a6 TCollectionItem.Changed 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 0C 0F 84 88 00 00 00 83 7B 0C 00 74 1C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 0C E8 ?? ?? ?? ?? 85 F6 74 08 F6 46 1C 08 74 02 33 F6 89 73 0C 85 F6 74 31 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 10 E8 ?? ?? ?? ?? 80 7B 14 00 75 13 85 F6 75 08 8D 43 10 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 28 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2701_0 {
	meta:
		name = "TBaseDBGridLinkColumn.SetFieldName"
		size = 172
		refs = "0016 TBaseDBGridLinkColumn.SetFieldName 0028 TBaseDBGridLinkColumn.GetGridIntf 0066 TDataSet.FindField 0073 @UStrAsg 0085 TCollectionItem.Changed 009a @IntfClear 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 3A 8B 45 FC 8B 10 FF 52 10 85 C0 74 2E 8B 45 FC 8B 10 FF 52 1C A8 01 75 22 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 45 FC 8B 10 FF 52 10 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 8D 43 10 8B 55 F8 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 20 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2702_0 {
	meta:
		name = "TBaseDBGridLinkColumn.SetIndex"
		size = 317
		refs = "0017 TBaseDBGridLinkColumn.SetIndex 0024 TCollectionItem.GetIndex 0030 TBaseDBGridLinkColumn.GetGridIntf 004d _DV_TBaseDBGridLinkColumns 0052 @IsClass 005d TBaseDBGridLinkColumns.Updating 0089 TCollection.GetCount 0097 TCollection.GetItem 009c TBaseDBGridLinkColumn.GetParentColumn 00cb TCollectionItem.SetIndex 0113 @HandleFinally 012a @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 80 7B 14 00 0F 84 DB 00 00 00 C6 45 F7 00 8B 73 04 85 F6 74 28 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 45 FC 8B 10 FF 52 30 C6 45 F7 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 77 01 EB 01 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7D 13 8B 43 04 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B D8 74 E0 4E 3B 7D F8 7E 27 3B FE 7D 17 8B 43 04 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 51 14 47 3B FE 7C E9 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 25 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 3B FE 7D 17 8B 43 04 8B D7 E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 51 14 4E 3B FE 7C E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F7 00 74 08 8B 45 FC 8B 10 FF 52 34 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2704_0 {
	meta:
		name = "TDBGridLinkColumnExpressionPair.Create"
		size = 34
		refs = "000e @UStrAsg"
		altNames = "TPair<T>.Create"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 8D 43 04 8B D7 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71534_0 {
	meta:
		name = "TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>.Create"
		size = 34
		refs = "000e @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 8D 43 04 8B D7 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2705_0 {
	meta:
		name = "TDBGridLinkColumnDescription.Create"
		size = 190
		refs = "0010 @DynArrayAddRef 0028 TDBGridLinkColumnDescription.Create 003a @UStrAsg 0062 TArray<Data.Bind.DBLinks.TDBGridLinkColumnExpressionPair> 0067 @DynArrayAsg 00a9 @FinalizeArray 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 33 8D 43 04 8B D7 E8 ?? ?? ?? ?? 8B 45 1C 89 43 08 8D 43 10 8B 55 18 E8 ?? ?? ?? ?? 8D 43 0C 8B 55 14 E8 ?? ?? ?? ?? 8D 43 18 8B 55 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 14 8B 55 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 1C 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_2706_0 {
	meta:
		name = "SameExpressions"
		size = 187
		refs = "0013 @DynArrayAddRef 0023 SameExpressions 0031 @DynArrayLength 0067 @UStrEqual 009c TArray<Data.Bind.DBLinks.TDBGridLinkColumnExpressionPair> 00a6 @FinalizeArray 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 0F 94 C3 84 DB 74 42 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 33 46 33 FF 8B 45 FC 8B 04 F8 8B 55 F8 8B 14 FA E8 ?? ?? ?? ?? 75 15 8B 45 FC 8B 44 F8 04 8B 55 F8 8B 54 FA 04 E8 ?? ?? ?? ?? 74 04 33 DB EB 04 47 4E 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2707_0 {
	meta:
		name = "TDBGridLinkColumnDescription.IsEqual"
		size = 108
		refs = "000d @UStrEqual 003c SameExpressions"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B 56 04 E8 ?? ?? ?? ?? 75 4F 8B 43 08 3B 46 08 75 47 8B 43 0C 8B 56 0C E8 ?? ?? ?? ?? 75 3A 8B 43 10 8B 56 10 E8 ?? ?? ?? ?? 75 2D 8B 56 14 8B 43 14 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 56 18 8B 43 18 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 56 1C 8B 43 1C E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_2708_0 {
	meta:
		name = "TBaseBindDBControlLink.GetControlComponent"
		size = 17
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 6C 8B 10 FF 52 44 5B C3 }
	condition:
		$1
}

rule function_2709_0 {
	meta:
		name = "TBaseBindDBControlLink.GetOnActivated"
		size = 27
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 6C 8B 50 70 89 16 8B 50 74 89 56 04 5E 5B C3 }
	condition:
		$1
}

rule function_2710_0 {
	meta:
		name = "TBaseBindDBControlLink.GetOnActivating"
		size = 27
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 6C 8B 50 68 89 16 8B 50 6C 89 56 04 5E 5B C3 }
	condition:
		$1
}

rule function_2711_0 {
	meta:
		name = "TBaseBindDBControlLink.GetOnAssigningValue"
		size = 27
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 6C 8B 50 48 89 16 8B 50 4C 89 56 04 5E 5B C3 }
	condition:
		$1
}

rule function_2712_0 {
	meta:
		name = "TBaseBindDBControlLink.GetOnEvalError"
		size = 27
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 6C 8B 50 58 89 16 8B 50 5C 89 56 04 5E 5B C3 }
	condition:
		$1
}

rule function_2713_0 {
	meta:
		name = "TBaseBindDBControlLink.GetOnAssignedValue"
		size = 27
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 6C 8B 50 50 89 16 8B 50 54 89 56 04 5E 5B C3 }
	condition:
		$1
}

rule function_2714_0 {
	meta:
		name = "TBaseBindDBControlLink.GetSourceControl"
		size = 43
		refs = "001c _Dn_TCustomBindScopeDB 0021 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 6C 83 78 40 00 74 17 8B C3 8B 10 FF 52 6C 8B 40 40 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2715_0 {
	meta:
		name = "TBaseBindDBControlLink.GetSourceMember"
		size = 23
		refs = "0010 TCommonBindComponent.GetSourceMemberName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 6C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2722_0 {
	meta:
		name = "TBaseBindDBControlLink.SetSourceControl"
		size = 23
		refs = "0010 TCommonBindComponent.SetSourceComponent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 6C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2723_0 {
	meta:
		name = "TBaseBindDBControlLink.SetSourceMember"
		size = 23
		refs = "0010 TCommonBindComponent.SetSourceMemberName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 6C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2716_0 {
	meta:
		name = "TBaseBindDBControlLink.SetControlComponent"
		size = 23
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 6C 8B D6 8B 08 FF 51 48 5E 5B C3 }
	condition:
		$1
}

rule function_2717_0 {
	meta:
		name = "TBaseBindDBControlLink.SetOnActivated"
		size = 30
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 6C 8B 55 08 89 50 70 8B 55 0C 89 50 74 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_2718_0 {
	meta:
		name = "TBaseBindDBControlLink.SetOnActivating"
		size = 30
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 6C 8B 55 08 89 50 68 8B 55 0C 89 50 6C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_2719_0 {
	meta:
		name = "TBaseBindDBControlLink.SetOnAssigningValue"
		size = 30
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 6C 8B 55 08 89 50 48 8B 55 0C 89 50 4C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_2720_0 {
	meta:
		name = "TBaseBindDBControlLink.SetOnEvalError"
		size = 30
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 6C 8B 55 08 89 50 58 8B 55 0C 89 50 5C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_2721_0 {
	meta:
		name = "TBaseBindDBControlLink.SetOnAssignedValue"
		size = 30
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 6C 8B 55 08 89 50 50 8B 55 0C 89 50 54 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_2724_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_7 0009 FBindDBColumnFactories 000e TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34111_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPWinQVNet 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33938_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPPCTCPNet 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33944_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPSterCommExpOS390 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33978_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPStratusVOS 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8286_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_2 0009 _DV_TTransportCompressionFilter 000e TTransportFilterFactory.UnregisterFilter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33992_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPTandemGuardian 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33999_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPTOPS20 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34007_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPTSXPlus 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34016_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPUnisysClearPath 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34057_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPVMS 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34091_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPVxWorks 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34098_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPWfFTP 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34105_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPWindowsNT 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33986_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPSuperTCP 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34119_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPXecomMicroRTOS 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34859_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_2 0009 _DV_TIdHeaderCoder2022JP 000e UnregisterHeaderCoder"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34875_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_2 0009 _DV_TIdHeaderCoderIndy 000e UnregisterHeaderCoder"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34880_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_2 0009 _DV_TIdHeaderCoderPlain 000e UnregisterHeaderCoder"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34885_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_2 0009 _DV_TIdHeaderCoderUTF 000e UnregisterHeaderCoder"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49174_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_2 0009 ConverterRegistry 000e TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74266_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 FClipboard 000e TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83141_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 FPrinter 000e TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84014_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_15 0009 FFadeManager 000e TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91878_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TBMPExportFormat 000e UnRegisterTeeExportFormat"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92739_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_2 0009 TeeOnShowEditor 000e TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92828_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TEMFExportFormat 000e UnRegisterTeeExportFormat"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12664_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_2 0009 _DV_TDBXOracleMetaDataCommandFactory 000e TDBXMetaDataCommandFactory.UnRegisterMetaDataCommandFactory"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8408_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_2 0009 _DV_TDBXDb2MetaDataCommandFactory 000e TDBXMetaDataCommandFactory.UnRegisterMetaDataCommandFactory"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9085_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_2 0009 _DV_TDBXFirebirdMetaDataCommandFactory 000e TDBXMetaDataCommandFactory.UnRegisterMetaDataCommandFactory"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9200_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_2 0009 _DV_TDBXInformixMetaDataCommandFactory 000e TDBXMetaDataCommandFactory.UnRegisterMetaDataCommandFactory"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9279_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_2 0009 _DV_TDBXInterbaseMetaDataCommandFactory 000e TDBXMetaDataCommandFactory.UnRegisterMetaDataCommandFactory"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12069_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_2 0009 _DV_TDBXMetaDataWriterFactory 000e TDBXMetaDataWriterFactory.FreeWriterRegistry"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12151_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_2 0009 _DV_TDBXMsSqlMetaDataCommandFactory 000e TDBXMetaDataCommandFactory.UnRegisterMetaDataCommandFactory"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12324_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_2 0009 _DV_TDBXMySqlMetaDataCommandFactory 000e TDBXMetaDataCommandFactory.UnRegisterMetaDataCommandFactory"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12559_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_2 0009 _DV_TDBXOdbcMetaDataCommandFactory 000e TDBXMetaDataCommandFactory.UnRegisterMetaDataCommandFactory"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33932_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPPCNFSD 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13320_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_2 0009 _DV_TDBXSybaseASAMetaDataCommandFactory 000e TDBXMetaDataCommandFactory.UnRegisterMetaDataCommandFactory"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13408_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_2 0009 _DV_TDBXSybaseASEMetaDataCommandFactory 000e TDBXMetaDataCommandFactory.UnRegisterMetaDataCommandFactory"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33771_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_2 0009 _DV_TIdFTPLPGOS7 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33783_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPChameleonNewt 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33925_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPOS2 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33909_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPNovellNetware 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33901_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPNCSAforMACOS 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33895_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPNCSAforDOS 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33858_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPMusic 000e RegisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33840_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPMicrowareOS9 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33834_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPKA9Q 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33806_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPHellSoft 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33800_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPEPLF 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33794_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPDistinctTCPIP 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33788_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPCiscoIOS 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33777_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_3 0009 _DV_TIdFTPLPGOS8 000e UnregisterFTPListParser"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62996_0 {
	meta:
		name = "TBinaryWriter.Destroy@"
		size = 19
		refs = "0002 TBinaryWriter.$ClassInitFlag 0009 TBinaryWriter.FNull 000e TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59801_0 {
	meta:
		name = "TBindingCallbackFactory.Destroy@"
		size = 19
		refs = "0002 TBindingCallbackFactory.$ClassInitFlag 0009 TBindingCallbackFactory.FCallbacks 000e TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54417_0 {
	meta:
		name = "TBindingManagerFactory.Destroy@"
		size = 19
		refs = "0002 TBindingManagerFactory.$ClassInitFlag 0009 TBindingManagerFactory.FAppManager 000e TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58837_0 {
	meta:
		name = "TBindingMethodsFactory.Destroy@"
		size = 19
		refs = "0002 TBindingMethodsFactory.$ClassInitFlag 0009 TBindingMethodsFactory.FRegisteredMethods 000e TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69560_0 {
	meta:
		name = "TEncoding.Destroy@"
		size = 19
		refs = "0002 TEncoding.$ClassInitFlag 0009 _DV_TEncoding 000e TEncoding.FreeEncodings"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89458_0 {
	meta:
		name = "TKeyboardLayouts.Destroy@"
		size = 19
		refs = "0002 TKeyboardLayouts.$ClassInitFlag 0009 TKeyboardLayouts.FKeyboardLayouts 000e TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63418_0 {
	meta:
		name = "TTimeZone.Destroy@"
		size = 19
		refs = "0002 TTimeZone.$ClassInitFlag 0009 TTimeZone.FLocal 000e TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71509_0 {
	meta:
		name = "TZipFile.Destroy@"
		size = 19
		refs = "0002 TZipFile.$ClassInitFlag 0009 TZipFile.FCompressionHandler 000e TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2725_0 {
	meta:
		name = "Data.Bind.DBLinks"
		size = 27
		refs = "0002 _DV_7 000c _DV_TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass> 0011 TList<Data.Bind.DBLinks.TBindDBColumnFactoryClass>.Create 0016 FBindDBColumnFactories"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12070_0 {
	meta:
		name = "Data.DBXMetaDataWriterFactory"
		size = 27
		refs = "0002 _DV_2 000c _Dn_TStringList 0011 TStringList.Create 0016 TDBXMetaDataWriterFactory.FProviderRegistry"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19227_0 {
	meta:
		name = "Datasnap.DSIntf"
		size = 27
		refs = "0002 _DV_1 000c _Dn_TObject 0011 TObject.Create 0016 Loading"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45416_0 {
	meta:
		name = "IWKlooch"
		size = 27
		refs = "0002 _DV_3 000c _DV_TIWLicense 0011 TIWLicense.Create 0016 GLicense"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46478_0 {
	meta:
		name = "IWURLMap"
		size = 27
		refs = "0002 _DV_2 000c _DV_TIWURLMap 0011 TIWURLMap.Create 0016 gURLMappingList"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34871_0 {
	meta:
		name = "IdHeaderCoderBase"
		size = 27
		refs = "0002 _DV_3 000c _DV_TIdHeaderCoderList 0011 TObject.Create 0016 GHeaderCoderList"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36883_0 {
	meta:
		name = "IdSASL"
		size = 27
		refs = "0002 _DV_2 000c _Dn_TThreadList 0011 TThreadList.Create 0016 GlobalSASLList"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37366_0 {
	meta:
		name = "IdSSL"
		size = 27
		refs = "0002 _DV_5 000c _DV_TIdSSLRegistry 0011 TIdSSLRegistry.Create 0016 GSSLRegistry"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41411_0 {
	meta:
		name = "InSSL"
		size = 27
		refs = "0002 _DV_5 000c _DV_TInSSLRegistry 0011 TInSSLRegistry.Create 0016 GSSLRegistry"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47310_0 {
	meta:
		name = "MidItems"
		size = 27
		refs = "0002 _DV_47 000c _Dn_TList 0011 TObject.Create 0016 XMLDataSetList"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49175_0 {
	meta:
		name = "Soap.OPToSOAPDomCustom"
		size = 27
		refs = "0002 _DV_2 000c _DV_TOPToSoapDomCustomRegistry 0011 TObject.Create 0016 ConverterRegistry"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70247_0 {
	meta:
		name = "System.VarCmplx"
		size = 27
		refs = "0002 _DV_1 000c _DV_TComplexVariantType 0011 TCustomVariantType.Create 0016 ComplexVariantType"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70267_0 {
	meta:
		name = "System.VarConv"
		size = 27
		refs = "0002 _DV_1 000c _DV_TConvertVariantType 0011 TCustomVariantType.Create 0016 ConvertVariantType"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63019_0 {
	meta:
		name = "TLoginCredentialService.Create@"
		size = 27
		refs = "0002 TLoginCredentialService.$ClassInitFlag 000c _DV_TStringList 0011 TStringList.Create 0016 TLoginCredentialService.FLoginHandlers"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63417_0 {
	meta:
		name = "TTimeZone.Create@"
		size = 27
		refs = "0002 TTimeZone.$ClassInitFlag 000c _DV_TLocalTimeZone 0011 TLocalTimeZone.Create 0016 TTimeZone.FLocal"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98569_0 {
	meta:
		name = "WebScriptAS"
		size = 27
		refs = "0002 _DV_01 000c _DV_TActiveScriptEngine 0011 TActiveScriptEngine.Create 0016 ActiveScriptEngine"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_107456_0 {
	meta:
		name = "Winapi.UxTheme"
		size = 27
		refs = "0002 _DV_1 000c _Dn_TCriticalSection 0011 TCriticalSection.Create 0016 Lock"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2794_0 {
	meta:
		name = "TBindLinkDataLink.Create"
		size = 252
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TBindLinkDataLink.Create 0034 TDataLink.Create 003f @IntfCopy 0047 @UStrClr 004f @IntfClear 005e Supports 00a7 @HandleFinally 00b4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 1C 8B 55 FC E8 ?? ?? ?? ?? 8D 46 34 E8 ?? ?? ?? ?? 8D 46 24 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 8D 46 28 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 8D 46 20 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 00 00 2B B3 9E 6E 82 49 4D 4D 95 10 A0 AD FB 1B DC C8 E9 D9 EE 01 BD F0 52 47 A6 BA F7 9E F4 6A BE 55 FE B4 13 69 C1 45 44 48 9C 9F A2 F5 93 09 C9 FC }
	condition:
		$1
}

rule function_2795_0 {
	meta:
		name = "TBindLinkDataLink.Create"
		size = 252
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TBindLinkDataLink.Create 0034 TDataLink.Create 003f @IntfCopy 0047 @UStrClr 004f @IntfClear 005e Supports 00a7 @HandleFinally 00b4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 24 8B 55 FC E8 ?? ?? ?? ?? 8D 46 34 E8 ?? ?? ?? ?? 8D 46 1C E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 8D 46 28 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 8D 46 20 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 00 00 1B 2D 95 4E 23 0D C4 41 8D F0 D2 4C 4C 32 5D 5C E9 D9 EE 01 BD F0 52 47 A6 BA F7 9E F4 6A BE 55 FE B4 13 69 C1 45 44 48 9C 9F A2 F5 93 09 C9 FC }
	condition:
		$1
}

rule function_2796_0 {
	meta:
		name = "TBindLinkDataLink.ClearModified"
		size = 5
	strings:
		$1 = { C6 40 38 00 C3 }
	condition:
		$1
}

rule function_2797_0 {
	meta:
		name = "TBindLinkDataLink.Create"
		size = 252
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TBindLinkDataLink.Create 0034 TDataLink.Create 003f @IntfCopy 0047 @UStrClr 004f @IntfClear 005e Supports 00a7 @HandleFinally 00b4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 28 8B 55 FC E8 ?? ?? ?? ?? 8D 46 34 E8 ?? ?? ?? ?? 8D 46 1C E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8D 46 24 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8D 46 20 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 00 00 1B 2D 95 4E 23 0D C4 41 8D F0 D2 4C 4C 32 5D 5C 2B B3 9E 6E 82 49 4D 4D 95 10 A0 AD FB 1B DC C8 FE B4 13 69 C1 45 44 48 9C 9F A2 F5 93 09 C9 FC }
	condition:
		$1
}

rule function_2798_0 {
	meta:
		name = "TBindLinkDataLink.SetField"
		size = 29
	strings:
		$1 = { 53 8B D8 3B 53 30 74 13 89 53 30 8B C3 8B 10 FF 52 20 33 D2 8B C3 8B 08 FF 51 44 5B C3 }
	condition:
		$1
}

rule function_2799_0 {
	meta:
		name = "TBindLinkDataLink.SetFieldName"
		size = 83
		refs = "000e @UStrAddRef 0016 TBindLinkDataLink.SetFieldName 0027 @UStrAsg 002e TBindLinkDataLink.UpdateField 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 34 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2800_0 {
	meta:
		name = "TBindLinkDataLink.ActiveChanged"
		size = 91
		refs = "000e TBindLinkDataLink.ActiveChanged 001c TBindLinkDataLink.UpdateField 002b @HandleOnException 0033 _Dn_Exception 004c @RaiseAgain 0051 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 06 F6 40 1C 08 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2801_0 {
	meta:
		name = "TBindLinkDataLink.LayoutChanged"
		size = 26
		refs = "0014 TBindLinkDataLink.UpdateField"
	strings:
		$1 = { 53 8B D8 83 7B 20 00 74 08 8B 43 20 8B 10 FF 52 0C 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2802_0 {
	meta:
		name = "TBindLinkDataLink.DataEvent"
		size = 75
		refs = "0010 TDataLink.DataEvent 0021 TBindLinkDataLink.UpdateField"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 75 16 8B C7 84 C0 74 09 8B C6 E8 ?? ?? ?? ?? EB 20 33 C0 89 46 30 EB 19 80 FB 0E 75 14 8B C7 84 C0 74 09 8B C6 E8 ?? ?? ?? ?? EB 05 33 C0 89 46 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2803_0 {
	meta:
		name = "TBindLinkDataLink.DataSetChanged"
		size = 232
		refs = "000d TBindLinkDataLink.DataSetChanged 0029 @IntfClear 0038 Supports 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 28 00 74 67 80 7E 15 00 74 61 33 DB 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 FC 8B 10 FF 52 10 84 C0 74 0A 8B 45 FC 8B 10 FF 52 0C B3 01 84 DB 75 50 83 7E 24 00 74 1A 8B 46 04 8B 40 38 8B 10 FF 92 8C 01 00 00 85 C0 7E 08 8B 46 24 8B 10 FF 52 1C 8B 46 28 8B 10 FF 52 10 EB 26 83 7E 24 00 74 20 80 7E 15 00 74 1A 8B 46 04 8B 40 38 8B 10 FF 92 8C 01 00 00 85 C0 7E 08 8B 46 24 8B 10 FF 52 1C 33 D2 8B C6 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 89 1A D4 89 65 AA 77 41 A3 D3 37 3E 14 30 EF 35 }
	condition:
		$1
}

rule function_2804_0 {
	meta:
		name = "TBindLinkDataLink.DataSetScrolled"
		size = 104
	strings:
		$1 = { 53 56 8B D8 8B F3 0F B6 43 15 84 C0 74 57 83 7B 1C 00 74 2D 83 7B 24 00 74 1C 8B 46 04 8B 40 38 8B 10 FF 92 8C 01 00 00 85 C0 7E 39 8B 43 24 8B 10 FF 52 1C EB 2F 33 D2 8B C3 8B 08 FF 51 44 EB 24 83 7B 24 00 74 1E 84 C0 74 1A 8B 46 04 8B 40 38 8B 10 FF 92 8C 01 00 00 85 C0 7E 08 8B 43 24 8B 10 FF 52 1C 5E 5B C3 }
	condition:
		$1
}

rule function_2805_0 {
	meta:
		name = "TBindLinkDataLink.UpdateField"
		size = 139
		refs = "000c TBindLinkDataLink.UpdateField 001c TBindLinkDataLink.GetFieldName 0052 TDataSet.FieldByName 005b TBindLinkDataLink.SetField 007b @UStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 11 83 7B 30 00 75 0B 33 D2 8B C3 8B 08 FF 51 44 EB 33 80 7B 15 00 74 24 83 7D FC 00 74 1E 33 C0 89 43 30 8B 43 04 8B 40 38 8B 55 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_2806_0 {
	meta:
		name = "TBindLinkDataLink.GetFieldName"
		size = 58
		refs = "0033 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 1C 00 74 0C 8B D6 8B 43 1C 8B 08 FF 51 58 EB 10 83 7B 24 00 74 0A 8B D6 8B 43 24 8B 08 FF 51 18 83 3E 00 75 0A 8B C6 8B 53 34 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2807_0 {
	meta:
		name = "TAbstractTest.GetFailsOnMemoryRecovery"
		size = 5
		altNames = "TBindLinkDataLink.IsModified TMouseGestureEngine.GetActive TUxThemeStyle.GetAvailable"
	strings:
		$1 = { 0F B6 40 38 C3 }
	condition:
		$1
}

rule function_2808_0 {
	meta:
		name = "TBindLinkDataLink.Edit"
		size = 27
		refs = "0006 TBindLinkDataLink.GetCanModify 0011 TBaseDataLink.Edit"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 0F B6 43 2C 5B C3 }
	condition:
		$1
}

rule function_2809_0 {
	meta:
		name = "TBindLinkDataLink.GetCanModify"
		size = 47
		refs = "000c TBindLinkDataLink.GetField"
	strings:
		$1 = { 53 8B D8 80 7B 14 00 75 1E 8B C3 E8 ?? ?? ?? ?? 85 C0 74 17 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 94 00 00 00 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_2810_0 {
	meta:
		name = "TBindLinkDataLink.GetField"
		size = 4
		altNames = "TDBXValueType.GetFlags TDSServerHelp.GetServerConnectionHandler TIdSSLIOHandlerSocketOpenSSLPeer.GetObject TStringList.GetCount"
	strings:
		$1 = { 8B 40 30 C3 }
	condition:
		$1
}

rule function_2811_0 {
	meta:
		name = "TBindLinkDataLink.Modified"
		size = 5
	strings:
		$1 = { C6 40 38 01 C3 }
	condition:
		$1
}

rule function_2812_0 {
	meta:
		name = "TBindLinkDataLink.EditingChanged"
		size = 35
		refs = "000c TBindLinkDataLink.GetCanModify 001d TBindLinkDataLink.SetEditing"
	strings:
		$1 = { 53 8B D8 80 7B 17 00 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77185_0 {
	meta:
		name = "TFieldDataLink.EditingChanged"
		size = 35
		refs = "000c TFieldDataLink.GetCanModify 001d TFieldDataLink.SetEditing"
	strings:
		$1 = { 53 8B D8 80 7B 17 00 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2813_0 {
	meta:
		name = "TBindLinkDataLink.UpdateData"
		size = 120
		refs = "002e TBindLinkDataLink.UpdateData 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 78 1C 00 74 65 8B 45 FC 8B 40 1C 8B 10 FF 52 14 84 C0 75 56 8B 45 FC 8B 40 1C 8B 10 FF 52 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 38 00 74 14 8B 45 FC 8B 40 1C 33 D2 8B 08 FF 51 40 8B 45 FC C6 40 38 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B 10 FF 52 10 C3 E9 ?? ?? ?? ?? EB ED 59 5D C3 }
	condition:
		$1
}

rule function_2814_0 {
	meta:
		name = "TBindLinkDataLink.RecordChanged"
		size = 52
		refs = "0013 TBindLinkDataLink.DoDataChange"
	strings:
		$1 = { 53 8B D8 85 D2 74 05 3B 53 30 75 11 8B CA 8B C3 8B D3 E8 ?? ?? ?? ?? C6 43 38 00 5B C3 83 7B 30 00 75 0F 33 C9 8B D3 8B C3 E8 ?? ?? ?? ?? C6 43 38 00 5B C3 }
	condition:
		$1
}

rule function_2815_0 {
	meta:
		name = "TBindLinkDataLink.Reset"
		size = 8
		altNames = "TDataLink.DataSetChanged TFieldDataLink.Reset"
	strings:
		$1 = { 33 D2 8B 08 FF 51 44 C3 }
	condition:
		$1
}

rule function_2816_0 {
	meta:
		name = "TBindLinkDataLink.DoDataChange"
		size = 277
		refs = "0015 TBindLinkDataLink.DoDataChange 002a @UStrLAsg 006d TBindLinkDataLink.GetField 0078 TBindLinkDataLink.GetCanModify 00ed @HandleFinally 0104 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D FC 8B D9 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 0B 8D 45 FC 8B 53 40 E8 ?? ?? ?? ?? 8B 5D F8 8B 45 F8 83 78 1C 00 0F 84 B5 00 00 00 8B 45 F8 8B 40 1C 8B 10 FF 52 14 84 C0 0F 85 A2 00 00 00 8B 45 F8 8B 40 1C 8B 10 FF 52 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 2B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 F8 8B 40 1C 8B 55 FC 8B 08 FF 51 44 EB 43 8B 45 F8 8B 40 1C 8B 55 FC 8B 08 FF 51 44 EB 33 8B 45 F8 80 78 15 00 74 1C 8B 45 F8 8B 10 FF 52 38 85 C0 7E 10 8B 45 F8 8B 40 1C 8B 55 FC 8B 08 FF 51 44 EB 0E 8B 45 F8 8B 40 1C 8B 55 FC 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 1C 8B 10 FF 52 10 C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_2817_0 {
	meta:
		name = "TBindLinkDataLink.SetEditing"
		size = 13
	strings:
		$1 = { 3A 50 2C 74 07 88 50 2C C6 40 38 00 C3 }
	condition:
		$1
}

rule function_2818_0 {
	meta:
		name = "TCustomBindScopeDB.AddActiveChanged"
		size = 21
		refs = "000d TBindEventList.Add"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 50 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_2819_0 {
	meta:
		name = "TCustomBindScopeDB.AddDataSetChanged"
		size = 21
		refs = "000d TBindEventList.Add"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 54 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_2820_0 {
	meta:
		name = "TCustomBindScopeDB.AddDataSetScrolled"
		size = 21
		refs = "000d TBindEventList1<System.Integer>.Add"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 5C E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_2821_0 {
	meta:
		name = "TCustomBindScopeDB.AddEditingChanged"
		size = 21
		refs = "000d TBindEventList.Add"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 58 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_2822_0 {
	meta:
		name = "TCustomBindScopeDB.AddExpression"
		size = 260
		refs = "0012 TCustomBindScopeDB.AddExpression 0021 TBaseBindScopeComponent.AddExpression 0029 @IntfClear 0037 Supports 0045 _DV_TBindLinkDataLink 004a TBindLinkDataLink.Create 0058 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.AddOrSetValue 0068 TDataLink.SetDataSource 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2F 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B 43 4C E8 ?? ?? ?? ?? 8B 43 48 85 C0 74 52 8B D0 8B C7 E8 ?? ?? ?? ?? EB 47 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2D 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B 43 4C E8 ?? ?? ?? ?? 8B 43 48 85 C0 74 09 8B D0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 00 00 1B 2D 95 4E 23 0D C4 41 8D F0 D2 4C 4C 32 5D 5C 2B B3 9E 6E 82 49 4D 4D 95 10 A0 AD FB 1B DC C8 }
	condition:
		$1
}

rule function_2823_0 {
	meta:
		name = "TCustomBindScopeDB.Create"
		size = 216
		refs = "000d @ClassCreate 001b TBaseBindScopeComponent.Create 0024 _DV_TScopeDataLink 0029 TScopeDataLink.Create 0036 TCustomBindScopeDB.OnActiveChanged 0040 TCustomBindScopeDB.OnDataSetChanged 004a TCustomBindScopeDB.OnDataSetScrolled 005e TCustomBindScopeDB.OnEditingChanged 0067 TCustomBindScopeDB.Create 006e _DV_TObjectDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink> 0073 TObjectDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Create 007d _Dn_TBindEventList 0082 TBindEventListT.Create 00aa _DV_TBindEventList1<System.Integer> 00bf @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 44 89 58 34 C7 40 30 ?? ?? ?? ?? 89 58 24 C7 40 20 ?? ?? ?? ?? 89 58 3C C7 40 38 ?? ?? ?? ?? 89 58 34 C7 40 30 ?? ?? ?? ?? 89 58 2C C7 40 28 ?? ?? ?? ?? 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 4C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 54 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 5C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 00 02 00 00 00 }
	condition:
		$1
}

rule function_2824_0 {
	meta:
		name = "TCustomBindScopeDB.Delete"
		size = 27
		refs = "0006 TCustomBindScopeDB.CheckDataSet 0015 TDataSet.Delete"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 43 48 8B 40 38 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2826_0 {
	meta:
		name = "TCustomBindScopeDB.Edit"
		size = 27
		refs = "0006 TCustomBindScopeDB.CheckDataSet 0015 TDataSet.Edit"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 43 48 8B 40 38 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2833_0 {
	meta:
		name = "TCustomBindScopeDB.First"
		size = 27
		refs = "0006 TCustomBindScopeDB.CheckDataSet 0015 TDataSet.First"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 43 48 8B 40 38 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2854_0 {
	meta:
		name = "TCustomBindScopeDB.Insert"
		size = 27
		refs = "0006 TCustomBindScopeDB.CheckDataSet 0015 TDataSet.Insert"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 43 48 8B 40 38 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2857_0 {
	meta:
		name = "TCustomBindScopeDB.Last"
		size = 27
		refs = "0006 TCustomBindScopeDB.CheckDataSet 0015 TDataSet.Last"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 43 48 8B 40 38 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2858_0 {
	meta:
		name = "TCustomBindScopeDB.Next"
		size = 27
		refs = "0006 TCustomBindScopeDB.CheckDataSet 0015 TDataSet.Next"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 43 48 8B 40 38 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2862_0 {
	meta:
		name = "TCustomBindScopeDB.Prior"
		size = 27
		refs = "0006 TCustomBindScopeDB.CheckDataSet 0015 TDataSet.Prior"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 43 48 8B 40 38 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2861_0 {
	meta:
		name = "TCustomBindScopeDB.Refresh"
		size = 27
		refs = "0006 TCustomBindScopeDB.CheckDataSet 0015 TDataSet.Refresh"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 43 48 8B 40 38 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2825_0 {
	meta:
		name = "TCustomBindScopeDB.Destroy"
		size = 132
		refs = "0003 @BeforeDestruction 0012 TBaseBindScopeComponent.Destroy 0022 TObject.Free 007d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8D 46 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 4C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 54 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 5C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2827_0 {
	meta:
		name = "TCustomBindScopeDB.OnEditingChanged"
		size = 11
		refs = "0006 TBindEventList.Send"
	strings:
		$1 = { 8B D0 8B 40 58 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2828_0 {
	meta:
		name = "TCustomBindScopeDB.OnActiveChanged"
		size = 11
		refs = "0006 TBindEventList.Send"
	strings:
		$1 = { 8B D0 8B 40 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2829_0 {
	meta:
		name = "TCustomBindScopeDB.OnDataSetChanged"
		size = 11
		refs = "0006 TBindEventList.Send"
	strings:
		$1 = { 8B D0 8B 40 54 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2830_0 {
	meta:
		name = "TCustomBindScopeDB.OnDataSetScrolled"
		size = 11
		refs = "0006 TBindEventList1<System.Integer>.Send"
	strings:
		$1 = { 8B D0 8B 40 5C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2831_0 {
	meta:
		name = "TCustomBindScopeDB.Edit"
		size = 47
		refs = "0016 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TryGetValue"
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 8B 73 4C 85 F6 74 19 8B CC 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 04 24 8B 10 FF 52 54 EB 02 33 C0 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2832_0 {
	meta:
		name = "TCustomBindScopeDB.CheckDataSet"
		size = 19
	strings:
		$1 = { 8B 50 48 85 D2 74 06 83 7A 38 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_2834_0 {
	meta:
		name = "TCustomBindScopeDB.UpdateRecord"
		size = 43
		refs = "0016 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TryGetValue 0022 TDataLink.UpdateRecord"
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 8B 73 4C 85 F6 74 17 8B CC 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 8B 04 24 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2835_0 {
	meta:
		name = "TCustomBindScopeDB.Reset"
		size = 61
		refs = "0016 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TryGetValue 0023 _DV_TBindLinkDataLink 0028 @IsClass 0034 TBindLinkDataLink.Reset"
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 8B 73 4C 85 F6 74 29 8B CC 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 04 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 04 24 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2837_0 {
	meta:
		name = "TCustomBindScopeDB.ClearModified"
		size = 61
		refs = "0016 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TryGetValue 0023 _DV_TBindLinkDataLink 0028 @IsClass 0034 TBindLinkDataLink.ClearModified"
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 8B 73 4C 85 F6 74 29 8B CC 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 04 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 04 24 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2836_0 {
	meta:
		name = "TCustomBindScopeDB.SetModified"
		size = 61
		refs = "0016 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TryGetValue 0023 _DV_TBindLinkDataLink 0028 @IsClass 0034 TBindLinkDataLink.Modified"
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 8B 73 4C 85 F6 74 29 8B CC 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 04 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 04 24 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2838_0 {
	meta:
		name = "TCustomBindScopeDB.SetReadOnly"
		size = 67
		refs = "0019 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TryGetValue 0026 _DV_TBindLinkDataLink 002b @IsClass 0039 TDataLink.SetReadOnly"
	strings:
		$1 = { 53 56 57 55 51 8B D9 8B FA 8B E8 8B 75 4C 85 F6 74 2B 8B CC 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1C 8B 04 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 04 24 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2839_0 {
	meta:
		name = "TCustomBindScopeDB.GetIsModified"
		size = 69
		refs = "0019 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TryGetValue 0026 _DV_TBindLinkDataLink 002b @IsClass 0037 TBindLinkDataLink.IsModified"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 33 DB 8B 77 4C 85 F6 74 2B 8B CC 8B D5 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1C 8B 04 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 04 24 E8 ?? ?? ?? ?? 8B D8 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2842_0 {
	meta:
		name = "TCustomBindScopeDB.GetCanModify"
		size = 69
		refs = "0019 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TryGetValue 0026 _DV_TBindLinkDataLink 002b @IsClass 0037 TBindLinkDataLink.GetCanModify"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 33 DB 8B 77 4C 85 F6 74 2B 8B CC 8B D5 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1C 8B 04 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 04 24 E8 ?? ?? ?? ?? 8B D8 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2840_0 {
	meta:
		name = "TCustomBindScopeDB.GetIsEditing"
		size = 58
		refs = "0012 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TryGetValue 001f _DV_TBindLinkDataLink 0024 @IsClass"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 33 DB 8B CC 8B D7 8B 46 4C E8 ?? ?? ?? ?? 84 C0 74 19 8B 04 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B 04 24 0F B6 58 2C 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2841_0 {
	meta:
		name = "TCustomBindScopeDB.Cancel"
		size = 30
		refs = "0006 TCustomBindScopeDB.CheckDataSet"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 43 48 8B 40 38 8B 10 FF 92 68 02 00 00 5B C3 }
	condition:
		$1
}

rule function_2843_0 {
	meta:
		name = "TCustomBindScopeDB.GetActive"
		size = 57
		refs = "0017 TDataSet.GetActive"
	strings:
		$1 = { 53 8B D8 8B 43 48 85 C0 74 26 83 78 38 00 74 20 8B 43 48 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 09 8B 43 44 80 78 15 00 75 04 33 C0 EB 0B B0 01 5B C3 8B 43 44 0F B6 40 15 5B C3 }
	condition:
		$1
}

rule function_2844_0 {
	meta:
		name = "TCustomBindScopeDB.GetBOF"
		size = 33
		refs = "0006 TCustomBindScopeDB.CheckDataSet"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 43 48 8B 40 38 0F B6 80 A8 00 00 00 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_2845_0 {
	meta:
		name = "TCustomBindScopeDB.GetCanModify"
		size = 33
	strings:
		$1 = { 56 33 D2 8B 48 48 85 C9 74 13 8B 71 38 85 F6 74 0C 8B C6 8B 10 FF 92 5C 01 00 00 8B D0 8B C2 5E C3 }
	condition:
		$1
}

rule function_2846_0 {
	meta:
		name = "TCustomBindScopeDB.GetCurrentRecord"
		size = 39
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 74 0D 8B CF 8B D6 8B C3 8B 18 FF 53 4C EB 09 8B D7 8B C3 8B 08 FF 51 48 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2847_0 {
	meta:
		name = "TCustomBindScopeDB.GetEditing"
		size = 8
	strings:
		$1 = { 8B 40 44 0F B6 40 17 C3 }
	condition:
		$1
}

rule function_2848_0 {
	meta:
		name = "TCustomBindScopeDB.GetEnumerator"
		size = 52
		refs = "0013 _DV_TBindScopeDBEnumerator 0018 TBindScopeDBEnumerator.Create 0029 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 56 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E0 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_2849_0 {
	meta:
		name = "TCustomBindScopeDB.GetEOF"
		size = 33
		refs = "0006 TCustomBindScopeDB.CheckDataSet"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 43 48 8B 40 38 0F B6 80 A9 00 00 00 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_2850_0 {
	meta:
		name = "TCustomBindScopeDB.GetSelected"
		size = 50
		refs = "0006 TCustomBindScopeDB.CheckDataSet"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 8B 43 48 8B 40 38 80 B8 A9 00 00 00 00 74 0D 80 B8 A8 00 00 00 00 74 04 33 C0 EB 06 B0 01 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_2851_0 {
	meta:
		name = "TCustomBindScopeDB.GetMember"
		size = 51
		refs = "0015 TDataSet.GetActive 0026 TDataSet.FieldByName"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 33 F6 8B 7B 48 85 FF 74 1B 8B 47 38 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 43 48 8B 40 38 8B D5 E8 ?? ?? ?? ?? 8B F0 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2852_0 {
	meta:
		name = "TCustomBindScopeDB.GetMemberNames"
		size = 43
	strings:
		$1 = { 56 57 8B FA 8B 70 48 85 F6 74 16 83 7E 38 00 74 10 8B 46 38 8B D7 8B 08 FF 91 98 02 00 00 5F 5E C3 8B C7 8B 10 FF 52 44 5F 5E C3 }
	condition:
		$1
}

rule function_2853_0 {
	meta:
		name = "TCustomBindScopeDB.GetValue"
		size = 14
	strings:
		$1 = { 8B 50 48 85 D2 74 04 8B 42 38 C3 33 C0 C3 }
	condition:
		$1
}

rule function_2855_0 {
	meta:
		name = "TCustomBindScopeDB.IsRequired"
		size = 47
		refs = "000c TCustomBindScopeDB.CheckDataSet 001d TDataSet.FieldByName"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 15 8B 46 48 8B 40 38 8B D7 E8 ?? ?? ?? ?? 85 C0 74 04 0F B6 58 4D 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2856_0 {
	meta:
		name = "TCustomBindScopeDB.IsValidChar"
		size = 82
		refs = "000f TCustomBindScopeDB.CheckDataSet 0020 TDataSet.FieldByName"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 34 8B 46 48 8B 40 38 8B D5 E8 ?? ?? ?? ?? 8B F0 85 F6 74 21 66 85 FF 75 0E 8B C6 8B 10 FF 92 94 00 00 00 8B D8 EB 0E 8B D7 8B C6 8B 08 FF 91 2C 01 00 00 8B D8 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2859_0 {
	meta:
		name = "TCustomBindScopeDB.Notification"
		size = 86
		refs = "0010 TBaseBindScopeComponent.Notification 0023 TCustomBindScopeDB.SetDataSource 002b _Dn_TBasicBindComponent 0030 @IsClass 0040 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.ContainsKey 004e TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Remove"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 39 3B 77 48 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B DE 8B D3 8B 47 4C E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 47 4C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2860_0 {
	meta:
		name = "TCustomBindScopeDB.Post"
		size = 30
		refs = "0006 TCustomBindScopeDB.CheckDataSet"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 43 48 8B 40 38 8B 10 FF 92 B0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_2863_0 {
	meta:
		name = "TCustomBindScopeDB.RemoveActiveChanged"
		size = 27
		refs = "0013 TBindEventList.Remove"
	strings:
		$1 = { 55 8B EC 8B 50 50 85 D2 74 0D FF 75 0C FF 75 08 8B C2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_2864_0 {
	meta:
		name = "TCustomBindScopeDB.RemoveDataSetChanged"
		size = 27
		refs = "0013 TBindEventList.Remove"
	strings:
		$1 = { 55 8B EC 8B 50 54 85 D2 74 0D FF 75 0C FF 75 08 8B C2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_2865_0 {
	meta:
		name = "TCustomBindScopeDB.RemoveDataSetScrolled"
		size = 27
		refs = "0013 TBindEventList1<System.Integer>.Remove"
	strings:
		$1 = { 55 8B EC 8B 50 5C 85 D2 74 0D FF 75 0C FF 75 08 8B C2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_2866_0 {
	meta:
		name = "TCustomBindScopeDB.RemoveEditingChanged"
		size = 27
		refs = "0013 TBindEventList.Remove"
	strings:
		$1 = { 55 8B EC 8B 50 58 85 D2 74 0D FF 75 0C FF 75 08 8B C2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_2867_0 {
	meta:
		name = "TCustomBindScopeDB.RemoveExpression"
		size = 32
		refs = "000b TBaseBindScopeComponent.RemoveExpression 0019 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Remove"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 4C 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2868_0 {
	meta:
		name = "TCustomBindScopeDB.SetDataSource"
		size = 163
		refs = "001c TComponent.RemoveFreeNotification 002c TComponent.FreeNotification 0036 TDataLink.SetDataSource 003e TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.GetValues 0043 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TValueCollection.GetEnumerator 004e TCustomBindScopeDB.SetDataSource 005e TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TValueEnumerator.GetCurrent 0071 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TValueEnumerator.MoveNext 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B 43 48 3B F0 0F 84 89 00 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 43 48 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B 43 44 8B D6 E8 ?? ?? ?? ?? 8B 43 4C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2869_0 {
	meta:
		name = "TCustomBindScopeDB.SetField"
		size = 67
		refs = "0019 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TryGetValue 0026 _DV_TBindLinkDataLink 002b @IsClass 0039 TBindLinkDataLink.SetFieldName"
	strings:
		$1 = { 53 56 57 55 51 8B E9 8B FA 8B D8 8B 73 4C 85 F6 74 2B 8B CC 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1C 8B 04 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B D5 8B 04 24 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2870_0 {
	meta:
		name = "TScopeDataLink.ActiveChanged"
		size = 39
		refs = "0006 TDataLink.ActiveChanged 0021 TBaseBindScopeComponent.ActivateExpressions"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 7B 32 00 74 08 8B D3 8B 43 34 FF 53 30 0F B6 53 15 8B 43 1C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_2872_0 {
	meta:
		name = "TScopeDataLink.DataSetChanged"
		size = 27
		refs = "0006 TDataLink.DataSetChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 7B 22 00 74 08 8B D3 8B 43 24 FF 53 20 5B C3 }
	condition:
		$1
}

rule function_2873_0 {
	meta:
		name = "TCustomSessionsService.DoStartSession"
		size = 22
		altNames = "TIdContext.HandleException TInContext.HandleException TNativeXml.DoNodeLoaded TScopeDataLink.DataSetScrolled"
	strings:
		$1 = { 53 66 83 78 3A 00 74 0C 8B D8 8B CA 8B D0 8B 43 3C FF 53 38 5B C3 }
	condition:
		$1
}

rule function_2874_0 {
	meta:
		name = "TScopeDataLink.EditingChanged"
		size = 27
		refs = "0006 TDataLink.EditingChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 7B 2A 00 74 08 8B D3 8B 43 2C FF 53 28 5B C3 }
	condition:
		$1
}

rule function_2876_0 {
	meta:
		name = "TBindScopeDBEnumerator.Create"
		size = 128
		refs = "000f @ClassCreate 0025 @UStrAsg 0068 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 7D 08 89 4B 0C 8D 43 14 8B 55 0C E8 ?? ?? ?? ?? 8B 43 0C 8B 40 44 8B 10 FF 52 28 8B F0 89 73 10 89 73 18 85 FF 7E 0F 8B 43 0C 8B 40 44 8B D7 8B 08 FF 51 4C EB 10 8B 43 0C 8B 40 44 BA C8 00 00 00 8B 08 FF 51 4C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_2877_0 {
	meta:
		name = "TBindScopeDBEnumerator.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 56 10 8B 46 0C 8B 40 44 8B 08 FF 51 48 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2878_0 {
	meta:
		name = "TBindScopeDBEnumerator.First"
		size = 124
		refs = "0019 TDataLink.GetDataSet 0059 TDataSet.First"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 8B 40 44 8B 10 FF 52 28 89 43 10 8B 43 0C 8B 40 44 E8 ?? ?? ?? ?? 85 C0 74 4A 8B 43 0C 8B 40 44 8B 10 FF 52 28 8B 53 0C 8B 72 44 3B 46 0C 7D 0B 8B C6 33 D2 8B 08 FF 51 48 EB 29 8B C6 8B 10 FF 52 2C 84 C0 75 1E 8B 43 0C 8B 40 44 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C 8B 40 44 8B 10 FF 52 28 89 43 10 8B 43 0C 8B 40 44 8B 10 FF 52 28 89 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_2879_0 {
	meta:
		name = "TBindScopeDBEnumerator.GetCurrent"
		size = 41
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 14 00 74 10 8B CE 8B 53 14 8B 43 0C 8B 18 FF 53 4C 5E 5B C3 8B D6 8B 43 0C 8B 08 FF 51 48 5E 5B C3 }
	condition:
		$1
}

rule function_2880_0 {
	meta:
		name = "TBindScopeDBEnumerator.GetMemberCurrent"
		size = 40
		refs = "0020 TBindScopeDBEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 74 0E 8B CF 8B D6 8B 43 0C 8B 18 FF 53 4C EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2881_0 {
	meta:
		name = "TBindScopeDBEnumerator.GetRecordCount"
		size = 12
	strings:
		$1 = { 8B 40 0C 8B 40 44 8B 10 FF 52 38 C3 }
	condition:
		$1
}

rule function_2882_0 {
	meta:
		name = "TBindScopeDBEnumerator.MoveNext"
		size = 44
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 40 44 8B 10 FF 52 38 3B 43 18 7E 15 8B 43 0C 8B 40 44 8B 53 18 8B 08 FF 51 48 FF 43 18 B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_2884_0 {
	meta:
		name = "TBindDataSetScope.DoLookup"
		size = 207
		refs = "0019 TBindDataSetScope.DoLookup 0026 _DV_TBindDataSetScope.DoLookup$89$ActRec 002b TObject.Create 003e @IntfCopy 0045 @IntfClear 004c TCustomScope.GetMappedObject 0052 _Dn_TDataSet 0057 @IsClass 006e TDataSet.FindField 0092 _Dn_TCustomWrapper 0097 TCustomWrapper.Create 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4C 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 35 8B 03 89 45 F4 8B 45 F4 50 8B 45 F8 50 6A 00 85 F6 74 03 83 EE F4 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA C0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2885_0 {
	meta:
		name = "MakeValidRecNo$91$ActRec.$0$Body$92$ActRec.$0$0$Body"
		size = 337
		refs = "001a TValue 001f @InitializeRecord 0043 MakeValidRecNo$91$ActRec.$0$Body$92$ActRec.$0$0$Body 0051 @DynArrayLength 005e sArgCount 0063 LoadResString 006d _Dn_EEvaluatorError 0072 Exception.Create 0077 @RaiseExcept 008e _Dn_TDataSet 0093 TValue.IsInstanceOf 00a5 @IntfCopy 00b8 TValue.AsObject 00cd TValue.AsInteger 010e TValue.&op_Implicit 0123 @UStrClr 0136 @FinalizeArray 013e @IntfClear 0144 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 C9 89 4D AC 89 4D FC 8B FA 8B F0 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 10 E8 ?? ?? ?? ?? 83 F8 02 74 21 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D AC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 CB FF 8D 55 E0 8B 46 0C 8B 08 FF 51 10 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6E 8D 45 FC 8B 56 10 8B 52 04 E8 ?? ?? ?? ?? 8D 55 C8 8B 46 0C 8B 08 FF 51 10 8D 45 C8 E8 ?? ?? ?? ?? 8B F0 8D 55 B0 8B 45 FC 8B 08 FF 51 10 8D 45 B0 E8 ?? ?? ?? ?? 8B D8 8B C6 8B 10 FF 92 88 01 00 00 3B D8 7E 0C 8B C6 8B 10 FF 92 88 01 00 00 8B D8 85 DB 7F 18 8B C6 8B 10 FF 92 88 01 00 00 85 C0 7E 07 BB 01 00 00 00 EB 03 83 CB FF 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2886_0 {
	meta:
		name = "MakeValidRecNo$91$ActRec.$0$Body$92$ActRec.$0$1$Body"
		size = 351
		refs = "0021 TValue 0026 @AddRefRecord 0034 @InitializeRecord 004a MakeValidRecNo$91$ActRec.$0$Body$92$ActRec.$0$1$Body 0058 @DynArrayLength 0063 sArgCount 0068 LoadResString 0072 _Dn_EEvaluatorError 0077 Exception.Create 007c @RaiseExcept 0090 _Dn_TDataSet 0095 TValue.IsInstanceOf 00b0 TValue.AsObject 00ba TValue.AsInteger 0139 @UStrClr 014c @FinalizeArray 0152 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 C9 89 4D B4 8B F2 8D 7D E8 B9 06 00 00 00 F3 A5 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 E8 ?? ?? ?? ?? 48 74 21 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D0 8B 43 0C 8B 08 FF 51 10 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 87 00 00 00 8D 55 B8 8B 43 0C 8B 08 FF 51 10 8D 45 B8 E8 ?? ?? ?? ?? 8B F0 8D 45 E8 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 15 8B 7E 5C 8B C6 8B 10 FF 92 8C 01 00 00 40 75 05 47 3B DF 74 4F 8B C6 8B 10 FF 92 88 01 00 00 3B D8 7E 0C 8B C6 8B 10 FF 92 88 01 00 00 8B D8 85 DB 7F 13 8B C6 8B 10 FF 92 88 01 00 00 85 C0 7E 05 BB 01 00 00 00 85 DB 7E 1A 8B C6 8B 10 FF 92 8C 01 00 00 3B D8 74 0C 8B D3 8B C6 8B 08 FF 91 DC 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2887_0 {
	meta:
		name = "MakeValidRecNo$91$ActRec.$0$Body"
		size = 253
		refs = "0017 @DynArrayAddRef 001f MakeValidRecNo$91$ActRec.$0$Body 002c _DV_MakeValidRecNo$91$ActRec.$0$Body$92$ActRec 0031 TObject.Create 0044 @IntfCopy 0064 TArray<System.Bindings.EvalProtocol.IValue> 0069 @DynArrayAsg 0071 @DynArrayLength 007c sArgCount 0081 LoadResString 008b _Dn_EEvaluatorError 0090 Exception.Create 0095 @RaiseExcept 00ba Integer 00bf MakeLocation 00d4 @UStrClr 00dc @IntfClear 00ea @DynArrayClear 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 14 8D 43 18 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8D 43 10 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 48 7D 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 0C 8B 53 10 8B 12 E8 ?? ?? ?? ?? 57 8B CB 85 C9 74 03 83 E9 E4 8B D3 85 D2 74 03 83 EA E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2888_0 {
	meta:
		name = "MakeValidRecNo"
		size = 104
		refs = "000d MakeValidRecNo 001a _DV_MakeValidRecNo$91$ActRec 001f TObject.Create 0032 @IntfCopy 0042 MakeInvokable 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B D6 8B C3 85 C0 74 03 83 E8 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2890_0 {
	meta:
		name = "MakeActiveRecord"
		size = 104
		refs = "000d MakeActiveRecord 001a _DV_MakeActiveRecord$95$ActRec 001f TObject.Create 0032 @IntfCopy 0042 MakeInvokable 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B D6 8B C3 85 C0 74 03 83 E8 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3247_0 {
	meta:
		name = "MakeCheckedState"
		size = 104
		refs = "000d MakeCheckedState 001a _DV_MakeCheckedState$5$ActRec 001f TObject.Create 0032 @IntfCopy 0042 MakeInvokable 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B D6 8B C3 85 C0 74 03 83 E8 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58862_0 {
	meta:
		name = "MakeMethodFormat"
		size = 104
		refs = "000d MakeMethodFormat 001a _DV_MakeMethodFormat$25$ActRec 001f TObject.Create 0032 @IntfCopy 0042 MakeInvokable 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B D6 8B C3 85 C0 74 03 83 E8 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58858_0 {
	meta:
		name = "MakeMethodFormatDateTime"
		size = 104
		refs = "000d MakeMethodFormatDateTime 001a _DV_MakeMethodFormatDateTime$21$ActRec 001f TObject.Create 0032 @IntfCopy 0042 MakeInvokable 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B D6 8B C3 85 C0 74 03 83 E8 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58852_0 {
	meta:
		name = "MakeMethodLowerCase"
		size = 104
		refs = "000d MakeMethodLowerCase 001a _DV_MakeMethodLowerCase$15$ActRec 001f TObject.Create 0032 @IntfCopy 0042 MakeInvokable 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B D6 8B C3 85 C0 74 03 83 E8 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58873_0 {
	meta:
		name = "MakeMethodMax"
		size = 104
		refs = "000d MakeMethodMax 001a _DV_MakeMethodMax$36$ActRec 001f TObject.Create 0032 @IntfCopy 0042 MakeInvokable 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B D6 8B C3 85 C0 74 03 83 E8 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58871_0 {
	meta:
		name = "MakeMethodMin"
		size = 104
		refs = "000d MakeMethodMin 001a _DV_MakeMethodMin$34$ActRec 001f TObject.Create 0032 @IntfCopy 0042 MakeInvokable 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B D6 8B C3 85 C0 74 03 83 E8 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58856_0 {
	meta:
		name = "MakeMethodRound"
		size = 104
		refs = "000d MakeMethodRound 001a _DV_MakeMethodRound$19$ActRec 001f TObject.Create 0032 @IntfCopy 0042 MakeInvokable 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B D6 8B C3 85 C0 74 03 83 E8 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58860_0 {
	meta:
		name = "MakeMethodStrToDateTime"
		size = 104
		refs = "000d MakeMethodStrToDateTime 001a _DV_MakeMethodStrToDateTime$23$ActRec 001f TObject.Create 0032 @IntfCopy 0042 MakeInvokable 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B D6 8B C3 85 C0 74 03 83 E8 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58864_0 {
	meta:
		name = "MakeMethodToNotifyEvent"
		size = 104
		refs = "000d MakeMethodToNotifyEvent 001a _DV_MakeMethodToNotifyEvent$27$ActRec 001f TObject.Create 0032 @IntfCopy 0042 MakeInvokable 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B D6 8B C3 85 C0 74 03 83 E8 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58869_0 {
	meta:
		name = "MakeMethodToStr"
		size = 104
		refs = "000d MakeMethodToStr 001a _DV_MakeMethodToStr$32$ActRec 001f TObject.Create 0032 @IntfCopy 0042 MakeInvokable 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B D6 8B C3 85 C0 74 03 83 E8 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58867_0 {
	meta:
		name = "MakeMethodToVariant"
		size = 104
		refs = "000d MakeMethodToVariant 001a _DV_MakeMethodToVariant$29$ActRec 001f TObject.Create 0032 @IntfCopy 0042 MakeInvokable 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B D6 8B C3 85 C0 74 03 83 E8 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58854_0 {
	meta:
		name = "MakeMethodUpperCase"
		size = 104
		refs = "000d MakeMethodUpperCase 001a _DV_MakeMethodUpperCase$17$ActRec 001f TObject.Create 0032 @IntfCopy 0042 MakeInvokable 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B D6 8B C3 85 C0 74 03 83 E8 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3253_0 {
	meta:
		name = "MakeSelectedItem"
		size = 104
		refs = "000d MakeSelectedItem 001a _DV_MakeSelectedItem$13$ActRec 001f TObject.Create 0032 @IntfCopy 0042 MakeInvokable 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B D6 8B C3 85 C0 74 03 83 E8 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3251_0 {
	meta:
		name = "MakeSelectedText"
		size = 104
		refs = "000d MakeSelectedText 001a _DV_MakeSelectedText$9$ActRec 001f TObject.Create 0032 @IntfCopy 0042 MakeInvokable 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B D6 8B C3 85 C0 74 03 83 E8 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_2889_0 {
	meta:
		name = "MakeActiveRecord$95$ActRec.$0$Body"
		size = 415
		refs = "001f @DynArrayAddRef 0028 TValue 002d @InitializeRecord 0043 MakeActiveRecord$95$ActRec.$0$Body 0051 @DynArrayLength 0060 sArgCount 0065 LoadResString 0091 Format 009b _Dn_EEvaluatorError 00a0 Exception.Create 00a5 @RaiseExcept 00b2 @IntfCopy 00c6 _Dn_TDataSet 00cb TValue.IsInstanceOf 00e2 TValue.AsObject 00ef TValue.&op_Implicit 00f9 _Dn_TValueWrapper 00fe TValueWrapper.Create 0118 TValue.GetEmpty 0157 @FinalizeArray 0164 @UStrArrayClr 017f @IntfClear 0188 TArray<System.Bindings.EvalProtocol.IValue> 018d @DynArrayClear 0193 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0F 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 48 74 51 8D 45 C4 50 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 50 C7 45 B0 01 00 00 00 C6 45 B4 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 B8 C6 45 BC 00 8D 55 B0 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC 8B 12 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F8 8B 08 FF 51 10 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 41 8D 55 C8 8B 45 F8 8B 08 FF 51 10 8D 45 C8 E8 ?? ?? ?? ?? 8B F0 8D 55 98 8B 46 5C E8 ?? ?? ?? ?? 8D 4D 98 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? EB 27 8D 45 80 E8 ?? ?? ?? ?? 8D 4D 80 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 80 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2891_0 {
	meta:
		name = "RegisterMethods"
		size = 360
		refs = "0013 RegisterMethods 0031 MakeValidRecNo 0041 TMethodDescription.Create 0049 _Dn_TBindingMethodsFactory 004e TBindingMethodsFactory.RegisterMethod 0066 MakeActiveRecord 0098 @IntfClear 00a1 TMethodDescription 00a6 @FinalizeRecord 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 01 6A 00 6A 00 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 B9 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 01 6A 00 6A 00 8D 45 C0 E8 ?? ?? ?? ?? 8B 55 C0 B9 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 8B E5 5D C3 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 42 00 55 00 74 00 69 00 6C 00 73 00 5F 00 56 00 61 00 6C 00 69 00 64 00 52 00 65 00 63 00 4E 00 6F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 44 00 61 00 74 00 61 00 2E 00 42 00 69 00 6E 00 64 00 2E 00 44 00 42 00 53 00 63 00 6F 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 42 00 55 00 74 00 69 00 6C 00 73 00 5F 00 41 00 63 00 74 00 69 00 76 00 65 00 52 00 65 00 63 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_2892_0 {
	meta:
		name = "UnregisterMethods"
		size = 140
		refs = "0001 UnregisterMethods 0006 _Dn_TBindingMethodsFactory 000b TBindingMethodsFactory.UnRegisterMethod"
	strings:
		$1 = { BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 42 00 55 00 74 00 69 00 6C 00 73 00 5F 00 56 00 61 00 6C 00 69 00 64 00 52 00 65 00 63 00 4E 00 6F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 42 00 55 00 74 00 69 00 6C 00 73 00 5F 00 41 00 63 00 74 00 69 00 76 00 65 00 52 00 65 00 63 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_2893_0 {
	meta:
		name = "Finalization"
		size = 30
		refs = "0002 _DV_6 000a _DV_TBindDataSetScope 000f _Dn_TBindingScopeFactory 0014 TBindingScopeFactory.UnregisterScope 0019 UnregisterMethods"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 15 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2894_0 {
	meta:
		name = "Data.Bind.DBScope"
		size = 37
		refs = "0002 _DV_6 000b _DV_TBindDataSetScope 0011 _Dn_TDataSet 0016 _Dn_TBindingScopeFactory 001b TBindingScopeFactory.RegisterScope 0020 RegisterMethods"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1B 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_2895_0 {
	meta:
		name = "TDSTCPConnectEventObject.Create"
		size = 6
		altNames = "TPair<T>.Create TPoint.Create TPoint.SetLocation TSize.Create TValueConverter.TConvPair.Create"
	strings:
		$1 = { 89 10 89 48 04 C3 }
	condition:
		$1
}

rule function_2896_0 {
	meta:
		name = "TEnumerable<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.ToArrayImpl"
		size = 150
		refs = "001a TArray<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>> 001f @DynArraySetLength 002b TEnumerable<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.GetEnumerator 0036 TEnumerable<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.ToArrayImpl 0063 TEnumerator<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9719_0 {
	meta:
		name = "TEnumerable<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.ToArrayImpl"
		size = 150
		refs = "001a TArray<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>> 001f @DynArraySetLength 002b TEnumerable<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.GetEnumerator 0036 TEnumerable<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.ToArrayImpl 0063 TEnumerator<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24584_0 {
	meta:
		name = "TEnumerable<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.ToArrayImpl"
		size = 150
		refs = "001a TArray<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>> 001f @DynArraySetLength 002b TEnumerable<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.GetEnumerator 0036 TEnumerable<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.ToArrayImpl 0063 TEnumerator<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52528_0 {
	meta:
		name = "TEnumerable<System.Bindings.EvalSys.TValueConverter.TConvPair>.ToArrayImpl"
		size = 150
		refs = "001a TArray<System.Bindings.EvalSys.TValueConverter.TConvPair> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.EvalSys.TValueConverter.TConvPair>.GetEnumerator 0036 TEnumerable<System.Bindings.EvalSys.TValueConverter.TConvPair>.ToArrayImpl 0063 TEnumerator<System.Bindings.EvalSys.TValueConverter.TConvPair>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54437_0 {
	meta:
		name = "TEnumerable<System.Bindings.Factories.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.ToArrayImpl"
		size = 150
		refs = "001a TArray<System.Bindings.Factories.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.Factories.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.GetEnumerator 0036 TEnumerable<System.Bindings.Factories.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.ToArrayImpl 0063 TEnumerator<System.Bindings.Factories.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55136_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.ToArrayImpl"
		size = 150
		refs = "001a TArray<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.GetEnumerator 0036 TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.ToArrayImpl 0063 TEnumerator<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54784_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.ToArrayImpl"
		size = 150
		refs = "001a TArray<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetEnumerator 0036 TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.ToArrayImpl 0063 TEnumerator<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54926_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.ToArrayImpl"
		size = 150
		refs = "001a TArray<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.GetEnumerator 0036 TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.ToArrayImpl 0063 TEnumerator<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55271_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.ToArrayImpl"
		size = 150
		refs = "001a TArray<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.GetEnumerator 0036 TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.ToArrayImpl 0063 TEnumerator<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57737_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.ToArrayImpl"
		size = 150
		refs = "001a TArray<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.GetEnumerator 0036 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.ToArrayImpl 0063 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57421_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.ToArrayImpl"
		size = 150
		refs = "001a TArray<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetEnumerator 0036 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.ToArrayImpl 0063 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57555_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.ToArrayImpl"
		size = 150
		refs = "001a TArray<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.GetEnumerator 0036 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.ToArrayImpl 0063 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57345_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.ToArrayImpl"
		size = 150
		refs = "001a TArray<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.GetEnumerator 0036 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.ToArrayImpl 0063 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60053_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TConvertPair>.ToArrayImpl"
		size = 150
		refs = "001a TArray<System.Bindings.Outputs.TConvertPair> 001f @DynArraySetLength 002b TEnumerable<System.Bindings.Outputs.TConvertPair>.GetEnumerator 0036 TEnumerable<System.Bindings.Outputs.TConvertPair>.ToArrayImpl 0063 TEnumerator<System.Bindings.Outputs.TConvertPair>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63434_0 {
	meta:
		name = "TEnumerable<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.ToArrayImpl"
		size = 150
		refs = "001a TArray<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>> 001f @DynArraySetLength 002b TEnumerable<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.GetEnumerator 0036 TEnumerable<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.ToArrayImpl 0063 TEnumerator<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67411_0 {
	meta:
		name = "TEnumerable<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.ToArrayImpl"
		size = 150
		refs = "001a TArray<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>> 001f @DynArraySetLength 002b TEnumerable<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.GetEnumerator 0036 TEnumerable<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.ToArrayImpl 0063 TEnumerator<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87710_0 {
	meta:
		name = "TEnumerable<System.Types.TPoint>.ToArrayImpl"
		size = 150
		refs = "001a TArray<System.Types.TPoint> 001f @DynArraySetLength 002b TEnumerable<System.Types.TPoint>.GetEnumerator 0036 TEnumerable<System.Types.TPoint>.ToArrayImpl 0063 TEnumerator<System.Types.TPoint>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86201_0 {
	meta:
		name = "TEnumerable<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.ToArrayImpl"
		size = 150
		refs = "001a TArray<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>> 001f @DynArraySetLength 002b TEnumerable<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.GetEnumerator 0036 TEnumerable<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.ToArrayImpl 0063 TEnumerator<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86323_0 {
	meta:
		name = "TEnumerable<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.ToArrayImpl"
		size = 150
		refs = "001a TArray<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>> 001f @DynArraySetLength 002b TEnumerable<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetEnumerator 0036 TEnumerable<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.ToArrayImpl 0063 TEnumerator<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87415_0 {
	meta:
		name = "TEnumerable<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.ToArrayImpl"
		size = 150
		refs = "001a TArray<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>> 001f @DynArraySetLength 002b TEnumerable<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetEnumerator 0036 TEnumerable<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.ToArrayImpl 0063 TEnumerator<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87538_0 {
	meta:
		name = "TEnumerable<Vcl.Themes.TStyleManager.TSourceInfo>.ToArrayImpl"
		size = 150
		refs = "001a TArray<Vcl.Themes.TStyleManager.TSourceInfo> 001f @DynArraySetLength 002b TEnumerable<Vcl.Themes.TStyleManager.TSourceInfo>.GetEnumerator 0036 TEnumerable<Vcl.Themes.TStyleManager.TSourceInfo>.ToArrayImpl 0063 TEnumerator<Vcl.Themes.TStyleManager.TSourceInfo>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88766_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.ToArrayImpl"
		size = 150
		refs = "001a TArray<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>> 001f @DynArraySetLength 002b TEnumerable<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.GetEnumerator 0036 TEnumerable<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.ToArrayImpl 0063 TEnumerator<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89519_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.ToArrayImpl"
		size = 150
		refs = "001a TArray<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState> 001f @DynArraySetLength 002b TEnumerable<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.GetEnumerator 0036 TEnumerable<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.ToArrayImpl 0063 TEnumerator<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.MoveNext 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 8B 08 FF 11 8B 45 FC 8B 00 8B 55 F4 89 14 D8 8B 55 F8 89 54 D8 04 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2898_0 {
	meta:
		name = "TEnumerable<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.ToArray"
		size = 182
		refs = "000f _DV_TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>> 0014 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Create 001f TEnumerable<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.ToArray 002c TEnumerable<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.GetEnumerator 0054 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Add 005c TEnumerator<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9721_0 {
	meta:
		name = "TEnumerable<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.ToArray"
		size = 182
		refs = "000f _DV_TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>> 0014 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Create 001f TEnumerable<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.ToArray 002c TEnumerable<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.GetEnumerator 0054 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Add 005c TEnumerator<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24586_0 {
	meta:
		name = "TEnumerable<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.ToArray"
		size = 182
		refs = "000f _DV_TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>> 0014 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Create 001f TEnumerable<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.ToArray 002c TEnumerable<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.GetEnumerator 0054 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Add 005c TEnumerator<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52530_0 {
	meta:
		name = "TEnumerable<System.Bindings.EvalSys.TValueConverter.TConvPair>.ToArray"
		size = 182
		refs = "000f _DV_TList<System.Bindings.EvalSys.TValueConverter.TConvPair> 0014 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Create 001f TEnumerable<System.Bindings.EvalSys.TValueConverter.TConvPair>.ToArray 002c TEnumerable<System.Bindings.EvalSys.TValueConverter.TConvPair>.GetEnumerator 0054 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Add 005c TEnumerator<System.Bindings.EvalSys.TValueConverter.TConvPair>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54439_0 {
	meta:
		name = "TEnumerable<System.Bindings.Factories.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.ToArray"
		size = 182
		refs = "000f _DV_TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>> 0014 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Create 001f TEnumerable<System.Bindings.Factories.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.ToArray 002c TEnumerable<System.Bindings.Factories.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.GetEnumerator 0054 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Add 005c TEnumerator<System.Bindings.Factories.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55138_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.ToArray"
		size = 182
		refs = "000f _DV_TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>> 0014 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Create 001f TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.ToArray 002c TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.GetEnumerator 0054 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Add 005c TEnumerator<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54786_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.ToArray"
		size = 182
		refs = "000f _DV_TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>> 0014 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Create 001f TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.ToArray 002c TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetEnumerator 0054 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Add 005c TEnumerator<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54928_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.ToArray"
		size = 182
		refs = "000f _DV_TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>> 0014 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Create 001f TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.ToArray 002c TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.GetEnumerator 0054 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Add 005c TEnumerator<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55273_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.ToArray"
		size = 182
		refs = "000f _DV_TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>> 0014 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Create 001f TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.ToArray 002c TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.GetEnumerator 0054 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Add 005c TEnumerator<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57739_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.ToArray"
		size = 182
		refs = "000f _DV_TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>> 0014 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Create 001f TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.ToArray 002c TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.GetEnumerator 0054 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Add 005c TEnumerator<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57423_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.ToArray"
		size = 182
		refs = "000f _DV_TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>> 0014 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Create 001f TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.ToArray 002c TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetEnumerator 0054 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Add 005c TEnumerator<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57557_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.ToArray"
		size = 182
		refs = "000f _DV_TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>> 0014 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Create 001f TEnumerable<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.ToArray 002c TEnumerable<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.GetEnumerator 0054 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Add 005c TEnumerator<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57347_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.ToArray"
		size = 182
		refs = "000f _DV_TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>> 0014 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Create 001f TEnumerable<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.ToArray 002c TEnumerable<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.GetEnumerator 0054 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Add 005c TEnumerator<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60055_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TConvertPair>.ToArray"
		size = 182
		refs = "000f _DV_TList<System.Bindings.Outputs.TConvertPair> 0014 TList<System.Bindings.Outputs.TConvertPair>.Create 001f TEnumerable<System.Bindings.Outputs.TConvertPair>.ToArray 002c TEnumerable<System.Bindings.Outputs.TConvertPair>.GetEnumerator 0054 TList<System.Bindings.Outputs.TConvertPair>.Add 005c TEnumerator<System.Bindings.Outputs.TConvertPair>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63436_0 {
	meta:
		name = "TEnumerable<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.ToArray"
		size = 182
		refs = "000f _DV_TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>> 0014 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Create 001f TEnumerable<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.ToArray 002c TEnumerable<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.GetEnumerator 0054 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Add 005c TEnumerator<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67413_0 {
	meta:
		name = "TEnumerable<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.ToArray"
		size = 182
		refs = "000f _DV_TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>> 0014 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Create 001f TEnumerable<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.ToArray 002c TEnumerable<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.GetEnumerator 0054 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Add 005c TEnumerator<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87712_0 {
	meta:
		name = "TEnumerable<System.Types.TPoint>.ToArray"
		size = 182
		refs = "000f _DV_TList<System.Types.TPoint> 0014 TList<System.Types.TPoint>.Create 001f TEnumerable<System.Types.TPoint>.ToArray 002c TEnumerable<System.Types.TPoint>.GetEnumerator 0054 TList<System.Types.TPoint>.Add 005c TEnumerator<System.Types.TPoint>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86203_0 {
	meta:
		name = "TEnumerable<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.ToArray"
		size = 182
		refs = "000f _DV_TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>> 0014 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Create 001f TEnumerable<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.ToArray 002c TEnumerable<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.GetEnumerator 0054 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Add 005c TEnumerator<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86325_0 {
	meta:
		name = "TEnumerable<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.ToArray"
		size = 182
		refs = "000f _DV_TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>> 0014 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Create 001f TEnumerable<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.ToArray 002c TEnumerable<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetEnumerator 0054 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Add 005c TEnumerator<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87417_0 {
	meta:
		name = "TEnumerable<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.ToArray"
		size = 182
		refs = "000f _DV_TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>> 0014 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Create 001f TEnumerable<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.ToArray 002c TEnumerable<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetEnumerator 0054 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Add 005c TEnumerator<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87540_0 {
	meta:
		name = "TEnumerable<Vcl.Themes.TStyleManager.TSourceInfo>.ToArray"
		size = 182
		refs = "000f _DV_TList<Vcl.Themes.TStyleManager.TSourceInfo> 0014 TList<Vcl.Themes.TStyleManager.TSourceInfo>.Create 001f TEnumerable<Vcl.Themes.TStyleManager.TSourceInfo>.ToArray 002c TEnumerable<Vcl.Themes.TStyleManager.TSourceInfo>.GetEnumerator 0054 TList<Vcl.Themes.TStyleManager.TSourceInfo>.Add 005c TEnumerator<Vcl.Themes.TStyleManager.TSourceInfo>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88768_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.ToArray"
		size = 182
		refs = "000f _DV_TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>> 0014 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Create 001f TEnumerable<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.ToArray 002c TEnumerable<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.GetEnumerator 0054 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Add 005c TEnumerator<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89521_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.ToArray"
		size = 182
		refs = "000f _DV_TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState> 0014 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Create 001f TEnumerable<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.ToArray 002c TEnumerable<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.GetEnumerator 0054 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Add 005c TEnumerator<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2905_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.GetItem"
		size = 66
		refs = "000b TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Hash 0016 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_55145_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetItem"
		size = 66
		refs = "000b TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Hash 0016 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_57746_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetItem"
		size = 66
		refs = "000b TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Hash 0016 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_54793_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.GetItem"
		size = 66
		refs = "000b TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Hash 0016 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_86210_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.GetItem"
		size = 66
		refs = "000b TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Hash 0016 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_57212_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.GetItem"
		size = 66
		refs = "000b TDictionary<System.IInterface,System.Pointer>.Hash 0016 TDictionary<System.IInterface,System.Pointer>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_24593_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.GetItem"
		size = 66
		refs = "000b TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Hash 0016 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_9728_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.GetItem"
		size = 66
		refs = "000b TDictionary<System.Integer,System.Integer>.Hash 0016 TDictionary<System.Integer,System.Integer>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_67420_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.GetItem"
		size = 66
		refs = "000b TDictionary<System.Pointer,System.Rtti.TRttiObject>.Hash 0016 TDictionary<System.Pointer,System.Rtti.TRttiObject>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_54446_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.GetItem"
		size = 66
		refs = "000b TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Hash 0016 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_86332_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.GetItem"
		size = 66
		refs = "000b TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Hash 0016 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_54935_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetItem"
		size = 66
		refs = "000b TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Hash 0016 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_55280_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetItem"
		size = 66
		refs = "000b TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Hash 0016 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_57564_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetItem"
		size = 66
		refs = "000b TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Hash 0016 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_57354_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetItem"
		size = 66
		refs = "000b TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Hash 0016 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_63443_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetItem"
		size = 66
		refs = "000b TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Hash 0016 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_29253_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.GetItem"
		size = 66
		refs = "000b TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Hash 0016 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_9796_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.GetItem"
		size = 66
		refs = "000b TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Hash 0016 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_10041_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.GetItem"
		size = 66
		refs = "000b TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Hash 0016 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_17215_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.GetItem"
		size = 66
		refs = "000b TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Hash 0016 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_17795_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.GetItem"
		size = 66
		refs = "000b TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Hash 0016 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_24415_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.GetItem"
		size = 66
		refs = "000b TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Hash 0016 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_25509_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.GetItem"
		size = 66
		refs = "000b TDictionary<System.string,Datasnap.DSService.TDSSession>.Hash 0016 TDictionary<System.string,Datasnap.DSService.TDSSession>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_53518_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.GetItem"
		size = 66
		refs = "000b TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Hash 0016 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_59949_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetItem"
		size = 66
		refs = "000b TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Hash 0016 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_15645_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.GetItem"
		size = 66
		refs = "000b TDictionary<System.string,System.Classes.TStream>.Hash 0016 TDictionary<System.string,System.Classes.TStream>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_23533_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.GetItem"
		size = 66
		refs = "000b TDictionary<System.string,System.Classes.TStrings>.Hash 0016 TDictionary<System.string,System.Classes.TStrings>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_42592_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.GetItem"
		size = 66
		refs = "000b TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Hash 0016 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_57283_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.GetItem"
		size = 66
		refs = "000b TDictionary<System.string,System.Integer>.Hash 0016 TDictionary<System.string,System.Integer>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_22685_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.GetItem"
		size = 66
		refs = "000b TDictionary<System.string,System.Masks.TMask>.Hash 0016 TDictionary<System.string,System.Masks.TMask>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_24723_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.GetItem"
		size = 66
		refs = "000b TDictionary<System.string,System.TObject>.Hash 0016 TDictionary<System.string,System.TObject>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_67753_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.GetItem"
		size = 66
		refs = "000b TDictionary<System.string,System.TypInfo.PTypeInfo>.Hash 0016 TDictionary<System.string,System.TypInfo.PTypeInfo>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_88775_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetItem"
		size = 66
		refs = "000b TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Hash 0016 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_2906_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.SetItem"
		size = 104
		refs = "000f TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Hash 001a TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_55146_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.SetItem"
		size = 104
		refs = "000f TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Hash 001a TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_57747_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.SetItem"
		size = 104
		refs = "000f TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Hash 001a TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_54794_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.SetItem"
		size = 104
		refs = "000f TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Hash 001a TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_86211_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.SetItem"
		size = 104
		refs = "000f TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Hash 001a TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_57213_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.SetItem"
		size = 104
		refs = "000f TDictionary<System.IInterface,System.Pointer>.Hash 001a TDictionary<System.IInterface,System.Pointer>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_24594_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.SetItem"
		size = 104
		refs = "000f TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Hash 001a TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9729_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.SetItem"
		size = 104
		refs = "000f TDictionary<System.Integer,System.Integer>.Hash 001a TDictionary<System.Integer,System.Integer>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_67421_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.SetItem"
		size = 104
		refs = "000f TDictionary<System.Pointer,System.Rtti.TRttiObject>.Hash 001a TDictionary<System.Pointer,System.Rtti.TRttiObject>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_54447_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.SetItem"
		size = 104
		refs = "000f TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Hash 001a TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_86333_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.SetItem"
		size = 104
		refs = "000f TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Hash 001a TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_54936_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.SetItem"
		size = 104
		refs = "000f TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Hash 001a TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_55281_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.SetItem"
		size = 104
		refs = "000f TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Hash 001a TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_57565_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.SetItem"
		size = 104
		refs = "000f TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Hash 001a TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_57355_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.SetItem"
		size = 104
		refs = "000f TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Hash 001a TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_63444_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.SetItem"
		size = 104
		refs = "000f TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Hash 001a TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_29254_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.SetItem"
		size = 104
		refs = "000f TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Hash 001a TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9797_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.SetItem"
		size = 104
		refs = "000f TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Hash 001a TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_10042_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.SetItem"
		size = 104
		refs = "000f TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Hash 001a TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_17216_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.SetItem"
		size = 104
		refs = "000f TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Hash 001a TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_17796_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.SetItem"
		size = 104
		refs = "000f TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Hash 001a TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_24416_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.SetItem"
		size = 104
		refs = "000f TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Hash 001a TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_25510_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.SetItem"
		size = 104
		refs = "000f TDictionary<System.string,Datasnap.DSService.TDSSession>.Hash 001a TDictionary<System.string,Datasnap.DSService.TDSSession>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_53519_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.SetItem"
		size = 104
		refs = "000f TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Hash 001a TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_59950_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.SetItem"
		size = 104
		refs = "000f TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Hash 001a TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_15646_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.SetItem"
		size = 104
		refs = "000f TDictionary<System.string,System.Classes.TStream>.Hash 001a TDictionary<System.string,System.Classes.TStream>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_23534_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.SetItem"
		size = 104
		refs = "000f TDictionary<System.string,System.Classes.TStrings>.Hash 001a TDictionary<System.string,System.Classes.TStrings>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_42593_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.SetItem"
		size = 104
		refs = "000f TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Hash 001a TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_57284_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.SetItem"
		size = 104
		refs = "000f TDictionary<System.string,System.Integer>.Hash 001a TDictionary<System.string,System.Integer>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_22686_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.SetItem"
		size = 104
		refs = "000f TDictionary<System.string,System.Masks.TMask>.Hash 001a TDictionary<System.string,System.Masks.TMask>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_24724_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.SetItem"
		size = 104
		refs = "000f TDictionary<System.string,System.TObject>.Hash 001a TDictionary<System.string,System.TObject>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_67754_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.SetItem"
		size = 104
		refs = "000f TDictionary<System.string,System.TypInfo.PTypeInfo>.Hash 001a TDictionary<System.string,System.TypInfo.PTypeInfo>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_88776_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.SetItem"
		size = 104
		refs = "000f TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Hash 001a TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 91 08 8B 43 04 8B 0C 24 89 4C 90 08 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2907_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.RehashAdd"
		size = 71
		refs = "0019 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.GetBucketIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? F7 D0 8D 14 40 8B 4B 04 8B 75 FC 89 34 91 8B 4B 04 8B 75 F8 89 74 91 04 8B 43 04 8B 4D 08 89 4C 90 08 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_55147_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.RehashAdd"
		size = 71
		refs = "0019 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetBucketIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? F7 D0 8D 14 40 8B 4B 04 8B 75 FC 89 34 91 8B 4B 04 8B 75 F8 89 74 91 04 8B 43 04 8B 4D 08 89 4C 90 08 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_57748_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.RehashAdd"
		size = 71
		refs = "0019 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetBucketIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? F7 D0 8D 14 40 8B 4B 04 8B 75 FC 89 34 91 8B 4B 04 8B 75 F8 89 74 91 04 8B 43 04 8B 4D 08 89 4C 90 08 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_54795_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.RehashAdd"
		size = 71
		refs = "0019 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.GetBucketIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? F7 D0 8D 14 40 8B 4B 04 8B 75 FC 89 34 91 8B 4B 04 8B 75 F8 89 74 91 04 8B 43 04 8B 4D 08 89 4C 90 08 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_86212_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.RehashAdd"
		size = 71
		refs = "0019 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.GetBucketIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? F7 D0 8D 14 40 8B 4B 04 8B 75 FC 89 34 91 8B 4B 04 8B 75 F8 89 74 91 04 8B 43 04 8B 4D 08 89 4C 90 08 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_24595_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.RehashAdd"
		size = 71
		refs = "0019 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.GetBucketIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? F7 D0 8D 14 40 8B 4B 04 8B 75 FC 89 34 91 8B 4B 04 8B 75 F8 89 74 91 04 8B 43 04 8B 4D 08 89 4C 90 08 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9730_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.RehashAdd"
		size = 71
		refs = "0019 TDictionary<System.Integer,System.Integer>.GetBucketIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? F7 D0 8D 14 40 8B 4B 04 8B 75 FC 89 34 91 8B 4B 04 8B 75 F8 89 74 91 04 8B 43 04 8B 4D 08 89 4C 90 08 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_67422_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.RehashAdd"
		size = 71
		refs = "0019 TDictionary<System.Pointer,System.Rtti.TRttiObject>.GetBucketIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? F7 D0 8D 14 40 8B 4B 04 8B 75 FC 89 34 91 8B 4B 04 8B 75 F8 89 74 91 04 8B 43 04 8B 4D 08 89 4C 90 08 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_54448_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.RehashAdd"
		size = 71
		refs = "0019 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.GetBucketIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? F7 D0 8D 14 40 8B 4B 04 8B 75 FC 89 34 91 8B 4B 04 8B 75 F8 89 74 91 04 8B 43 04 8B 4D 08 89 4C 90 08 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_86334_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.RehashAdd"
		size = 71
		refs = "0019 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.GetBucketIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? F7 D0 8D 14 40 8B 4B 04 8B 75 FC 89 34 91 8B 4B 04 8B 75 F8 89 74 91 04 8B 43 04 8B 4D 08 89 4C 90 08 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_54937_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.RehashAdd"
		size = 71
		refs = "0019 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetBucketIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? F7 D0 8D 14 40 8B 4B 04 8B 75 FC 89 34 91 8B 4B 04 8B 75 F8 89 74 91 04 8B 43 04 8B 4D 08 89 4C 90 08 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_55282_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.RehashAdd"
		size = 71
		refs = "0019 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetBucketIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? F7 D0 8D 14 40 8B 4B 04 8B 75 FC 89 34 91 8B 4B 04 8B 75 F8 89 74 91 04 8B 43 04 8B 4D 08 89 4C 90 08 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_57566_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.RehashAdd"
		size = 71
		refs = "0019 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetBucketIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? F7 D0 8D 14 40 8B 4B 04 8B 75 FC 89 34 91 8B 4B 04 8B 75 F8 89 74 91 04 8B 43 04 8B 4D 08 89 4C 90 08 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_57356_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.RehashAdd"
		size = 71
		refs = "0019 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetBucketIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? F7 D0 8D 14 40 8B 4B 04 8B 75 FC 89 34 91 8B 4B 04 8B 75 F8 89 74 91 04 8B 43 04 8B 4D 08 89 4C 90 08 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_88777_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.RehashAdd"
		size = 71
		refs = "0019 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetBucketIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? F7 D0 8D 14 40 8B 4B 04 8B 75 FC 89 34 91 8B 4B 04 8B 75 F8 89 74 91 04 8B 43 04 8B 4D 08 89 4C 90 08 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2908_0 {
	meta:
		name = "TDictionary<T>.DoAdd"
		size = 78
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B D8 8B 75 0C 8D 04 49 8B 53 04 8B 7D FC 89 3C 82 8B 53 04 89 74 82 04 8B 53 04 8B 4D 08 89 4C 82 08 FF 43 08 33 C9 8B D6 8B C3 8B 30 FF 56 08 33 C9 8B 55 08 8B C3 8B 18 FF 53 0C 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_2909_0 {
	meta:
		name = "TDictionary<T>.DoSetValue"
		size = 50
	strings:
		$1 = { 53 56 57 8B F1 8B D8 8D 04 52 8B 4B 04 8B 7C 81 08 8B 53 04 89 74 82 08 B1 01 8B D7 8B C3 8B 38 FF 57 0C 33 C9 8B D6 8B C3 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2910_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.DoRemove"
		size = 254
		refs = "0014 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 CA 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 52 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 0C 76 8B 7B 04 8D 14 82 8B 04 8F 89 02 8B 44 8F 04 89 42 04 8B 44 8F 08 89 42 08 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 8D 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 33 C9 89 4C 82 04 8B 53 04 33 C9 89 4C 82 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_55150_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.DoRemove"
		size = 254
		refs = "0014 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 CA 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 52 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 0C 76 8B 7B 04 8D 14 82 8B 04 8F 89 02 8B 44 8F 04 89 42 04 8B 44 8F 08 89 42 08 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 8D 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 33 C9 89 4C 82 04 8B 53 04 33 C9 89 4C 82 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_57751_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.DoRemove"
		size = 254
		refs = "0014 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 CA 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 52 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 0C 76 8B 7B 04 8D 14 82 8B 04 8F 89 02 8B 44 8F 04 89 42 04 8B 44 8F 08 89 42 08 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 8D 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 33 C9 89 4C 82 04 8B 53 04 33 C9 89 4C 82 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_54798_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.DoRemove"
		size = 254
		refs = "0014 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 CA 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 52 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 0C 76 8B 7B 04 8D 14 82 8B 04 8F 89 02 8B 44 8F 04 89 42 04 8B 44 8F 08 89 42 08 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 8D 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 33 C9 89 4C 82 04 8B 53 04 33 C9 89 4C 82 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_86215_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.DoRemove"
		size = 254
		refs = "0014 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 CA 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 52 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 0C 76 8B 7B 04 8D 14 82 8B 04 8F 89 02 8B 44 8F 04 89 42 04 8B 44 8F 08 89 42 08 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 8D 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 33 C9 89 4C 82 04 8B 53 04 33 C9 89 4C 82 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_24598_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.DoRemove"
		size = 254
		refs = "0014 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 CA 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 52 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 0C 76 8B 7B 04 8D 14 82 8B 04 8F 89 02 8B 44 8F 04 89 42 04 8B 44 8F 08 89 42 08 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 8D 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 33 C9 89 4C 82 04 8B 53 04 33 C9 89 4C 82 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9733_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.DoRemove"
		size = 254
		refs = "0014 TDictionary<System.Integer,System.Integer>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 CA 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 52 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 0C 76 8B 7B 04 8D 14 82 8B 04 8F 89 02 8B 44 8F 04 89 42 04 8B 44 8F 08 89 42 08 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 8D 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 33 C9 89 4C 82 04 8B 53 04 33 C9 89 4C 82 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_67425_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.DoRemove"
		size = 254
		refs = "0014 TDictionary<System.Pointer,System.Rtti.TRttiObject>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 CA 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 52 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 0C 76 8B 7B 04 8D 14 82 8B 04 8F 89 02 8B 44 8F 04 89 42 04 8B 44 8F 08 89 42 08 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 8D 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 33 C9 89 4C 82 04 8B 53 04 33 C9 89 4C 82 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_54451_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.DoRemove"
		size = 254
		refs = "0014 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 CA 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 52 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 0C 76 8B 7B 04 8D 14 82 8B 04 8F 89 02 8B 44 8F 04 89 42 04 8B 44 8F 08 89 42 08 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 8D 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 33 C9 89 4C 82 04 8B 53 04 33 C9 89 4C 82 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_86337_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.DoRemove"
		size = 254
		refs = "0014 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 CA 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 52 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 0C 76 8B 7B 04 8D 14 82 8B 04 8F 89 02 8B 44 8F 04 89 42 04 8B 44 8F 08 89 42 08 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 8D 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 33 C9 89 4C 82 04 8B 53 04 33 C9 89 4C 82 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_54940_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.DoRemove"
		size = 254
		refs = "0014 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 CA 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 52 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 0C 76 8B 7B 04 8D 14 82 8B 04 8F 89 02 8B 44 8F 04 89 42 04 8B 44 8F 08 89 42 08 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 8D 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 33 C9 89 4C 82 04 8B 53 04 33 C9 89 4C 82 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_55285_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.DoRemove"
		size = 254
		refs = "0014 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 CA 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 52 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 0C 76 8B 7B 04 8D 14 82 8B 04 8F 89 02 8B 44 8F 04 89 42 04 8B 44 8F 08 89 42 08 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 8D 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 33 C9 89 4C 82 04 8B 53 04 33 C9 89 4C 82 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_57569_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.DoRemove"
		size = 254
		refs = "0014 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 CA 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 52 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 0C 76 8B 7B 04 8D 14 82 8B 04 8F 89 02 8B 44 8F 04 89 42 04 8B 44 8F 08 89 42 08 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 8D 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 33 C9 89 4C 82 04 8B 53 04 33 C9 89 4C 82 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_57359_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.DoRemove"
		size = 254
		refs = "0014 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 CA 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 52 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 0C 76 8B 7B 04 8D 14 82 8B 04 8F 89 02 8B 44 8F 04 89 42 04 8B 44 8F 08 89 42 08 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 8D 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 33 C9 89 4C 82 04 8B 53 04 33 C9 89 4C 82 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_88780_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.DoRemove"
		size = 254
		refs = "0014 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 CA 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 52 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 0C 76 8B 7B 04 8D 14 82 8B 04 8F 89 02 8B 44 8F 04 89 42 04 8B 44 8F 08 89 42 08 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 8D 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 33 C9 89 4C 82 04 8B 53 04 33 C9 89 4C 82 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_2917_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Create"
		size = 175
		refs = "0010 @ClassCreate 0029 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Create 0030 TEnumerable<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.GetEnumerator 0059 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.AddOrSetValue 0061 TEnumerator<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.MoveNext 0088 @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55157_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Create"
		size = 175
		refs = "0010 @ClassCreate 0029 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Create 0030 TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.GetEnumerator 0059 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.AddOrSetValue 0061 TEnumerator<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.MoveNext 0088 @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57758_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Create"
		size = 175
		refs = "0010 @ClassCreate 0029 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Create 0030 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.GetEnumerator 0059 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.AddOrSetValue 0061 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.MoveNext 0088 @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54805_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Create"
		size = 175
		refs = "0010 @ClassCreate 0029 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Create 0030 TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetEnumerator 0059 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.AddOrSetValue 0061 TEnumerator<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.MoveNext 0088 @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57442_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Create"
		size = 175
		refs = "0010 @ClassCreate 0029 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Create 0030 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetEnumerator 0059 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.AddOrSetValue 0061 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.MoveNext 0088 @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86222_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Create"
		size = 175
		refs = "0010 @ClassCreate 0029 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Create 0030 TEnumerable<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.GetEnumerator 0059 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.AddOrSetValue 0061 TEnumerator<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.MoveNext 0088 @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24605_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Create"
		size = 175
		refs = "0010 @ClassCreate 0029 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Create 0030 TEnumerable<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.GetEnumerator 0059 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.AddOrSetValue 0061 TEnumerator<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.MoveNext 0088 @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9740_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.Create"
		size = 175
		refs = "0010 @ClassCreate 0029 TDictionary<System.Integer,System.Integer>.Create 0030 TEnumerable<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.GetEnumerator 0059 TDictionary<System.Integer,System.Integer>.AddOrSetValue 0061 TEnumerator<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.MoveNext 0088 @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67432_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.Create"
		size = 175
		refs = "0010 @ClassCreate 0029 TDictionary<System.Pointer,System.Rtti.TRttiObject>.Create 0030 TEnumerable<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.GetEnumerator 0059 TDictionary<System.Pointer,System.Rtti.TRttiObject>.AddOrSetValue 0061 TEnumerator<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.MoveNext 0088 @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54458_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Create"
		size = 175
		refs = "0010 @ClassCreate 0029 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Create 0030 TEnumerable<System.Bindings.Factories.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.GetEnumerator 0059 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.AddOrSetValue 0061 TEnumerator<System.Bindings.Factories.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.MoveNext 0088 @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86344_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Create"
		size = 175
		refs = "0010 @ClassCreate 0029 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Create 0030 TEnumerable<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetEnumerator 0059 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.AddOrSetValue 0061 TEnumerator<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.MoveNext 0088 @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87436_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Create"
		size = 175
		refs = "0010 @ClassCreate 0029 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Create 0030 TEnumerable<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetEnumerator 0059 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.AddOrSetValue 0061 TEnumerator<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.MoveNext 0088 @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54947_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Create"
		size = 175
		refs = "0010 @ClassCreate 0029 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Create 0030 TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.GetEnumerator 0059 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.AddOrSetValue 0061 TEnumerator<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.MoveNext 0088 @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55292_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Create"
		size = 175
		refs = "0010 @ClassCreate 0029 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Create 0030 TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.GetEnumerator 0059 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.AddOrSetValue 0061 TEnumerator<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.MoveNext 0088 @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57576_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Create"
		size = 175
		refs = "0010 @ClassCreate 0029 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Create 0030 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.GetEnumerator 0059 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.AddOrSetValue 0061 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.MoveNext 0088 @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57366_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Create"
		size = 175
		refs = "0010 @ClassCreate 0029 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Create 0030 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.GetEnumerator 0059 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.AddOrSetValue 0061 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.MoveNext 0088 @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88787_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Create"
		size = 175
		refs = "0010 @ClassCreate 0029 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Create 0030 TEnumerable<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.GetEnumerator 0059 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.AddOrSetValue 0061 TEnumerator<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.MoveNext 0088 @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2918_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Create"
		size = 179
		refs = "0010 @ClassCreate 002b TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Create 0032 TEnumerable<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.GetEnumerator 005b TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.AddOrSetValue 0063 TEnumerator<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.MoveNext 008a @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_55158_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Create"
		size = 179
		refs = "0010 @ClassCreate 002b TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Create 0032 TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.GetEnumerator 005b TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.AddOrSetValue 0063 TEnumerator<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.MoveNext 008a @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_57759_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Create"
		size = 179
		refs = "0010 @ClassCreate 002b TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Create 0032 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.GetEnumerator 005b TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.AddOrSetValue 0063 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.MoveNext 008a @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_54806_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Create"
		size = 179
		refs = "0010 @ClassCreate 002b TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Create 0032 TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetEnumerator 005b TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.AddOrSetValue 0063 TEnumerator<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.MoveNext 008a @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_57443_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Create"
		size = 179
		refs = "0010 @ClassCreate 002b TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Create 0032 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetEnumerator 005b TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.AddOrSetValue 0063 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.MoveNext 008a @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_86223_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Create"
		size = 179
		refs = "0010 @ClassCreate 002b TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Create 0032 TEnumerable<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.GetEnumerator 005b TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.AddOrSetValue 0063 TEnumerator<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.MoveNext 008a @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_24606_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Create"
		size = 179
		refs = "0010 @ClassCreate 002b TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Create 0032 TEnumerable<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.GetEnumerator 005b TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.AddOrSetValue 0063 TEnumerator<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.MoveNext 008a @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9741_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.Create"
		size = 179
		refs = "0010 @ClassCreate 002b TDictionary<System.Integer,System.Integer>.Create 0032 TEnumerable<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.GetEnumerator 005b TDictionary<System.Integer,System.Integer>.AddOrSetValue 0063 TEnumerator<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.MoveNext 008a @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_67433_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.Create"
		size = 179
		refs = "0010 @ClassCreate 002b TDictionary<System.Pointer,System.Rtti.TRttiObject>.Create 0032 TEnumerable<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.GetEnumerator 005b TDictionary<System.Pointer,System.Rtti.TRttiObject>.AddOrSetValue 0063 TEnumerator<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.MoveNext 008a @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_54459_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Create"
		size = 179
		refs = "0010 @ClassCreate 002b TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Create 0032 TEnumerable<System.Bindings.Factories.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.GetEnumerator 005b TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.AddOrSetValue 0063 TEnumerator<System.Bindings.Factories.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.MoveNext 008a @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_86345_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Create"
		size = 179
		refs = "0010 @ClassCreate 002b TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Create 0032 TEnumerable<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetEnumerator 005b TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.AddOrSetValue 0063 TEnumerator<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.MoveNext 008a @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_87437_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Create"
		size = 179
		refs = "0010 @ClassCreate 002b TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Create 0032 TEnumerable<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetEnumerator 005b TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.AddOrSetValue 0063 TEnumerator<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.MoveNext 008a @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_54948_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Create"
		size = 179
		refs = "0010 @ClassCreate 002b TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Create 0032 TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.GetEnumerator 005b TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.AddOrSetValue 0063 TEnumerator<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.MoveNext 008a @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_55293_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Create"
		size = 179
		refs = "0010 @ClassCreate 002b TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Create 0032 TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.GetEnumerator 005b TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.AddOrSetValue 0063 TEnumerator<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.MoveNext 008a @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_57577_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Create"
		size = 179
		refs = "0010 @ClassCreate 002b TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Create 0032 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.GetEnumerator 005b TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.AddOrSetValue 0063 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.MoveNext 008a @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_57367_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Create"
		size = 179
		refs = "0010 @ClassCreate 002b TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Create 0032 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.GetEnumerator 005b TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.AddOrSetValue 0063 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.MoveNext 008a @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_88788_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Create"
		size = 179
		refs = "0010 @ClassCreate 002b TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Create 0032 TEnumerable<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.GetEnumerator 005b TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.AddOrSetValue 0063 TEnumerator<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.MoveNext 008a @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_2921_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Remove"
		size = 31
		refs = "000d TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Hash 0018 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55161_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Remove"
		size = 31
		refs = "000d TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Hash 0018 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57762_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Remove"
		size = 31
		refs = "000d TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Hash 0018 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55027_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Remove"
		size = 31
		refs = "000d TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Hash 0018 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54809_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Remove"
		size = 31
		refs = "000d TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Hash 0018 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86226_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Remove"
		size = 31
		refs = "000d TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Hash 0018 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53101_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.Remove"
		size = 31
		refs = "000d TDictionary<System.IInterface,System.Pointer>.Hash 0018 TDictionary<System.IInterface,System.Pointer>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24609_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Remove"
		size = 31
		refs = "000d TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Hash 0018 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9744_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.Remove"
		size = 31
		refs = "000d TDictionary<System.Integer,System.Integer>.Hash 0018 TDictionary<System.Integer,System.Integer>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67436_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.Remove"
		size = 31
		refs = "000d TDictionary<System.Pointer,System.Rtti.TRttiObject>.Hash 0018 TDictionary<System.Pointer,System.Rtti.TRttiObject>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54462_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Remove"
		size = 31
		refs = "000d TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Hash 0018 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86348_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Remove"
		size = 31
		refs = "000d TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Hash 0018 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42537_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.Remove"
		size = 31
		refs = "000d TDictionary<System.TGUID,System.TClass>.Hash 0018 TDictionary<System.TGUID,System.TClass>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54951_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Remove"
		size = 31
		refs = "000d TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Hash 0018 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55296_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Remove"
		size = 31
		refs = "000d TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Hash 0018 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57580_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Remove"
		size = 31
		refs = "000d TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Hash 0018 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57370_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Remove"
		size = 31
		refs = "000d TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Hash 0018 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63459_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Remove"
		size = 31
		refs = "000d TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Hash 0018 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29269_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Remove"
		size = 31
		refs = "000d TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Hash 0018 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9812_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Remove"
		size = 31
		refs = "000d TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Hash 0018 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17959_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Remove"
		size = 31
		refs = "000d TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Hash 0018 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17231_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Remove"
		size = 31
		refs = "000d TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Hash 0018 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17811_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Remove"
		size = 31
		refs = "000d TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Hash 0018 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24431_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Remove"
		size = 31
		refs = "000d TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Hash 0018 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11199_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.Remove"
		size = 31
		refs = "000d TDictionary<System.string,Datasnap.DSService.TDSSession>.Hash 0018 TDictionary<System.string,Datasnap.DSService.TDSSession>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53534_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Remove"
		size = 31
		refs = "000d TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Hash 0018 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59965_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Remove"
		size = 31
		refs = "000d TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Hash 0018 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64719_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.Remove"
		size = 31
		refs = "000d TDictionary<System.string,System.Boolean>.Hash 0018 TDictionary<System.string,System.Boolean>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15661_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.Remove"
		size = 31
		refs = "000d TDictionary<System.string,System.Classes.TStream>.Hash 0018 TDictionary<System.string,System.Classes.TStream>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23549_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.Remove"
		size = 31
		refs = "000d TDictionary<System.string,System.Classes.TStrings>.Hash 0018 TDictionary<System.string,System.Classes.TStrings>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42608_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Remove"
		size = 31
		refs = "000d TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Hash 0018 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57513_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.Remove"
		size = 31
		refs = "000d TDictionary<System.string,System.Int64>.Hash 0018 TDictionary<System.string,System.Int64>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57299_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.Remove"
		size = 31
		refs = "000d TDictionary<System.string,System.Integer>.Hash 0018 TDictionary<System.string,System.Integer>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22701_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.Remove"
		size = 31
		refs = "000d TDictionary<System.string,System.Masks.TMask>.Hash 0018 TDictionary<System.string,System.Masks.TMask>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24739_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.Remove"
		size = 31
		refs = "000d TDictionary<System.string,System.TObject>.Hash 0018 TDictionary<System.string,System.TObject>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67769_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.Remove"
		size = 31
		refs = "000d TDictionary<System.string,System.TypInfo.PTypeInfo>.Hash 0018 TDictionary<System.string,System.TypInfo.PTypeInfo>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88791_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Remove"
		size = 31
		refs = "000d TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Hash 0018 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.DoRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_2922_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.ExtractPair"
		size = 78
		refs = "000f TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Hash 001c TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.GetBucketIndex 002b TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Create 003a TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55162_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Hash 001c TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetBucketIndex 002b TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>.Create 003a TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57763_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Hash 001c TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetBucketIndex 002b TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Create 003a TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54810_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Hash 001c TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.GetBucketIndex 002b TPair<System.Bindings.Expression.TBindingExpression,System.Integer>.Create 003a TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86227_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Hash 001c TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.GetBucketIndex 002b TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Create 003a TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50951_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.IInterface,System.Pointer>.Hash 001c TDictionary<System.IInterface,System.Pointer>.GetBucketIndex 002b TPair<System.IInterface,System.Pointer>.Create 003a TDictionary<System.IInterface,System.Pointer>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24610_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Hash 001c TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.GetBucketIndex 002b TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>.Create 003a TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9745_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.Integer,System.Integer>.Hash 001c TDictionary<System.Integer,System.Integer>.GetBucketIndex 002b TPair<System.Integer,System.Integer>.Create 003a TDictionary<System.Integer,System.Integer>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67437_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.Pointer,System.Rtti.TRttiObject>.Hash 001c TDictionary<System.Pointer,System.Rtti.TRttiObject>.GetBucketIndex 002b TPair<System.Pointer,System.Rtti.TRttiObject>.Create 003a TDictionary<System.Pointer,System.Rtti.TRttiObject>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54463_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Hash 001c TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.GetBucketIndex 002b TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>.Create 003a TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86349_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Hash 001c TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.GetBucketIndex 002b TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Create 003a TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54952_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Hash 001c TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetBucketIndex 002b TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>.Create 003a TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55297_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Hash 001c TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetBucketIndex 002b TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>.Create 003a TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57581_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Hash 001c TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetBucketIndex 002b TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Create 003a TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63460_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Hash 001c TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetBucketIndex 002b TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create 003a TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29270_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Hash 001c TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.GetBucketIndex 002b TPair<System.string,DSAzureTableDialog.TAzureTableColumn>.Create 003a TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9813_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Hash 001c TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.GetBucketIndex 002b TPair<System.string,Data.DBXJSONReflect.TConverterEvent>.Create 003a TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10058_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Hash 001c TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.GetBucketIndex 002b TPair<System.string,Data.DBXJSONReflect.TReverterEvent>.Create 003a TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17232_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Hash 001c TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.GetBucketIndex 002b TPair<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Create 003a TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24432_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Hash 001c TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.GetBucketIndex 002b TPair<System.string,Datasnap.DSService.TDBXRequestFilter>.Create 003a TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25526_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.string,Datasnap.DSService.TDSSession>.Hash 001c TDictionary<System.string,Datasnap.DSService.TDSSession>.GetBucketIndex 002b TPair<System.string,Datasnap.DSService.TDSSession>.Create 003a TDictionary<System.string,Datasnap.DSService.TDSSession>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59966_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Hash 001c TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetBucketIndex 002b TPair<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create 003a TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15662_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.string,System.Classes.TStream>.Hash 001c TDictionary<System.string,System.Classes.TStream>.GetBucketIndex 002b TPair<System.string,System.Classes.TStream>.Create 003a TDictionary<System.string,System.Classes.TStream>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42609_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Hash 001c TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.GetBucketIndex 002b TPair<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Create 003a TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57300_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.string,System.Integer>.Hash 001c TDictionary<System.string,System.Integer>.GetBucketIndex 002b TPair<System.string,System.Integer>.Create 003a TDictionary<System.string,System.Integer>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22702_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.string,System.Masks.TMask>.Hash 001c TDictionary<System.string,System.Masks.TMask>.GetBucketIndex 002b TPair<System.string,System.Masks.TMask>.Create 003a TDictionary<System.string,System.Masks.TMask>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24740_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.string,System.TObject>.Hash 001c TDictionary<System.string,System.TObject>.GetBucketIndex 002b TPair<System.string,System.TObject>.Create 003a TDictionary<System.string,System.TObject>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67770_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.string,System.TypInfo.PTypeInfo>.Hash 001c TDictionary<System.string,System.TypInfo.PTypeInfo>.GetBucketIndex 002b TPair<System.string,System.TypInfo.PTypeInfo>.Create 003a TDictionary<System.string,System.TypInfo.PTypeInfo>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88792_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.ExtractPair"
		size = 78
		refs = "000f TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Hash 001c TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetBucketIndex 002b TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Create 003a TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2925_0 {
	meta:
		name = "TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.TryGetValue"
		size = 62
		refs = "000e TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Hash 0019 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55165_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Hash 0019 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57766_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Hash 0019 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54813_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Hash 0019 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86230_0 {
	meta:
		name = "TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Hash 0019 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57232_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.IInterface,System.Pointer>.Hash 0019 TDictionary<System.IInterface,System.Pointer>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24613_0 {
	meta:
		name = "TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Hash 0019 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9748_0 {
	meta:
		name = "TDictionary<System.Integer,System.Integer>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.Integer,System.Integer>.Hash 0019 TDictionary<System.Integer,System.Integer>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67440_0 {
	meta:
		name = "TDictionary<System.Pointer,System.Rtti.TRttiObject>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.Pointer,System.Rtti.TRttiObject>.Hash 0019 TDictionary<System.Pointer,System.Rtti.TRttiObject>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54466_0 {
	meta:
		name = "TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Hash 0019 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86352_0 {
	meta:
		name = "TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Hash 0019 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54955_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Hash 0019 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55300_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Hash 0019 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57584_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Hash 0019 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57374_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Hash 0019 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63463_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Hash 0019 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29273_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Hash 0019 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9816_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Hash 0019 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10061_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Hash 0019 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17235_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Hash 0019 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17815_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Hash 0019 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24435_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Hash 0019 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25529_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.string,Datasnap.DSService.TDSSession>.Hash 0019 TDictionary<System.string,Datasnap.DSService.TDSSession>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53538_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Hash 0019 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59969_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Hash 0019 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15665_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.string,System.Classes.TStream>.Hash 0019 TDictionary<System.string,System.Classes.TStream>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23553_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.string,System.Classes.TStrings>.Hash 0019 TDictionary<System.string,System.Classes.TStrings>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42612_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Hash 0019 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57303_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.string,System.Integer>.Hash 0019 TDictionary<System.string,System.Integer>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_22705_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.string,System.Masks.TMask>.Hash 0019 TDictionary<System.string,System.Masks.TMask>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24743_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.string,System.TObject>.Hash 0019 TDictionary<System.string,System.TObject>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67773_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.string,System.TypInfo.PTypeInfo>.Hash 0019 TDictionary<System.string,System.TypInfo.PTypeInfo>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88795_0 {
	meta:
		name = "TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TryGetValue"
		size = 62
		refs = "000e TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Hash 0019 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 81 08 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2956_0 {
	meta:
		name = "TDictionary<T>.TValueEnumerator.GetCurrent"
		size = 17
	strings:
		$1 = { 8B 50 08 8D 14 52 8B 40 04 8B 40 04 8B 44 90 08 C3 }
	condition:
		$1
}

rule function_2961_0 {
	meta:
		name = "TDictionary<T>.TPairEnumerator.GetCurrent"
		size = 40
	strings:
		$1 = { 53 8B 48 08 8D 0C 49 8B 58 04 8B 5B 04 8B 4C 8B 04 89 0A 8B 48 08 8D 0C 49 8B 40 04 8B 40 04 8B 44 88 08 89 42 04 5B C3 }
	condition:
		$1
}

rule function_2968_0 {
	meta:
		name = "TBindEventList1<System.Integer>.Send"
		size = 121
		refs = "0016 TList<System.Classes.TNotifyEvent>.GetEnumerator 0021 TBindEventList1<System.Integer>.Send 0034 TList<System.Classes.TNotifyEvent>.TEnumerator.GetCurrent 0046 TList<System.Classes.TNotifyEvent>.TEnumerator.MoveNext 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B F1 8B DA 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B CE 8B D3 8B 45 F4 FF 55 F0 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2969_0 {
	meta:
		name = "TObjectDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.KeyNotify"
		size = 46
		refs = "0012 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.KeyNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 01 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_11021_0 {
	meta:
		name = "TObjectDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.KeyNotify"
		size = 46
		refs = "0012 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.KeyNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 01 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_57803_0 {
	meta:
		name = "TObjectDictionary<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>.KeyNotify"
		size = 46
		refs = "0012 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.KeyNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 01 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_55202_0 {
	meta:
		name = "TObjectDictionary<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>.KeyNotify"
		size = 46
		refs = "0012 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.KeyNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 01 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_68083_0 {
	meta:
		name = "TObjectDictionary<System.Pointer,System.Rtti.TRttiObject>.KeyNotify"
		size = 46
		refs = "0012 TDictionary<System.Pointer,System.Rtti.TRttiObject>.KeyNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 01 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_57621_0 {
	meta:
		name = "TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>.KeyNotify"
		size = 46
		refs = "0012 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.KeyNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 01 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_54996_0 {
	meta:
		name = "TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>.KeyNotify"
		size = 46
		refs = "0012 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.KeyNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 01 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_57415_0 {
	meta:
		name = "TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>.KeyNotify"
		size = 46
		refs = "0012 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.KeyNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 01 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_55337_0 {
	meta:
		name = "TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>.KeyNotify"
		size = 46
		refs = "0012 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.KeyNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 01 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9857_0 {
	meta:
		name = "TObjectDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.KeyNotify"
		size = 46
		refs = "0012 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.KeyNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 01 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_10098_0 {
	meta:
		name = "TObjectDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.KeyNotify"
		size = 46
		refs = "0012 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.KeyNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 01 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_17856_0 {
	meta:
		name = "TObjectDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.KeyNotify"
		size = 46
		refs = "0012 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.KeyNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 01 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_24476_0 {
	meta:
		name = "TObjectDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.KeyNotify"
		size = 46
		refs = "0012 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.KeyNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 01 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_53575_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Bindings.Expression.TBindingExpression>.KeyNotify"
		size = 46
		refs = "0012 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.KeyNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 01 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_15706_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Classes.TStream>.KeyNotify"
		size = 46
		refs = "0012 TDictionary<System.string,System.Classes.TStream>.KeyNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 01 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_23590_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Classes.TStrings>.KeyNotify"
		size = 46
		refs = "0012 TDictionary<System.string,System.Classes.TStrings>.KeyNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 01 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_42716_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.KeyNotify"
		size = 46
		refs = "0012 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.KeyNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 01 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_60010_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.KeyNotify"
		size = 46
		refs = "0012 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.KeyNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 01 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_22746_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Masks.TMask>.KeyNotify"
		size = 46
		refs = "0012 TDictionary<System.string,System.Masks.TMask>.KeyNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 01 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2970_0 {
	meta:
		name = "TObjectDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.ValueNotify"
		size = 46
		refs = "0012 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.ValueNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 02 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_11022_0 {
	meta:
		name = "TObjectDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.ValueNotify"
		size = 46
		refs = "0012 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.ValueNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 02 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_57804_0 {
	meta:
		name = "TObjectDictionary<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>.ValueNotify"
		size = 46
		refs = "0012 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.ValueNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 02 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_55203_0 {
	meta:
		name = "TObjectDictionary<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>.ValueNotify"
		size = 46
		refs = "0012 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.ValueNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 02 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_68084_0 {
	meta:
		name = "TObjectDictionary<System.Pointer,System.Rtti.TRttiObject>.ValueNotify"
		size = 46
		refs = "0012 TDictionary<System.Pointer,System.Rtti.TRttiObject>.ValueNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 02 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_57622_0 {
	meta:
		name = "TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>.ValueNotify"
		size = 46
		refs = "0012 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.ValueNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 02 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_54997_0 {
	meta:
		name = "TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>.ValueNotify"
		size = 46
		refs = "0012 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.ValueNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 02 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_57416_0 {
	meta:
		name = "TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>.ValueNotify"
		size = 46
		refs = "0012 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.ValueNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 02 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_55338_0 {
	meta:
		name = "TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>.ValueNotify"
		size = 46
		refs = "0012 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.ValueNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 02 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_63505_0 {
	meta:
		name = "TObjectDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.ValueNotify"
		size = 46
		refs = "0012 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.ValueNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 02 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9858_0 {
	meta:
		name = "TObjectDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.ValueNotify"
		size = 46
		refs = "0012 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.ValueNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 02 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_10099_0 {
	meta:
		name = "TObjectDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.ValueNotify"
		size = 46
		refs = "0012 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.ValueNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 02 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_17857_0 {
	meta:
		name = "TObjectDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.ValueNotify"
		size = 46
		refs = "0012 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.ValueNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 02 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_24477_0 {
	meta:
		name = "TObjectDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.ValueNotify"
		size = 46
		refs = "0012 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.ValueNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 02 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_53576_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Bindings.Expression.TBindingExpression>.ValueNotify"
		size = 46
		refs = "0012 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.ValueNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 02 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_15707_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Classes.TStream>.ValueNotify"
		size = 46
		refs = "0012 TDictionary<System.string,System.Classes.TStream>.ValueNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 02 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_23591_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Classes.TStrings>.ValueNotify"
		size = 46
		refs = "0012 TDictionary<System.string,System.Classes.TStrings>.ValueNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 02 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_42717_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.ValueNotify"
		size = 46
		refs = "0012 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.ValueNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 02 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_60011_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.ValueNotify"
		size = 46
		refs = "0012 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.ValueNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 02 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_22747_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Masks.TMask>.ValueNotify"
		size = 46
		refs = "0012 TDictionary<System.string,System.Masks.TMask>.ValueNotify 0026 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 89 14 24 8B F0 8B CB 8B 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 02 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2971_0 {
	meta:
		name = "TObjectDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 6A 00 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11023_0 {
	meta:
		name = "TObjectDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 6A 00 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_57805_0 {
	meta:
		name = "TObjectDictionary<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 6A 00 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_68085_0 {
	meta:
		name = "TObjectDictionary<System.Pointer,System.Rtti.TRttiObject>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.Pointer,System.Rtti.TRttiObject>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 6A 00 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_57623_0 {
	meta:
		name = "TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 6A 00 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_57417_0 {
	meta:
		name = "TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 6A 00 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_63506_0 {
	meta:
		name = "TObjectDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 6A 00 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9859_0 {
	meta:
		name = "TObjectDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 6A 00 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10100_0 {
	meta:
		name = "TObjectDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 6A 00 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_17858_0 {
	meta:
		name = "TObjectDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 6A 00 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_24478_0 {
	meta:
		name = "TObjectDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 6A 00 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_53577_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 6A 00 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15708_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Classes.TStream>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.string,System.Classes.TStream>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 6A 00 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_23592_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Classes.TStrings>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.string,System.Classes.TStrings>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 6A 00 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_42718_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 6A 00 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_60012_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 6A 00 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_22748_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Masks.TMask>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.string,System.Masks.TMask>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 6A 00 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2972_0 {
	meta:
		name = "TObjectDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 6A 00 8B 45 08 50 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11024_0 {
	meta:
		name = "TObjectDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 6A 00 8B 45 08 50 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_57806_0 {
	meta:
		name = "TObjectDictionary<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 6A 00 8B 45 08 50 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_68086_0 {
	meta:
		name = "TObjectDictionary<System.Pointer,System.Rtti.TRttiObject>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.Pointer,System.Rtti.TRttiObject>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 6A 00 8B 45 08 50 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_57624_0 {
	meta:
		name = "TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 6A 00 8B 45 08 50 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_57418_0 {
	meta:
		name = "TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 6A 00 8B 45 08 50 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_63507_0 {
	meta:
		name = "TObjectDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 6A 00 8B 45 08 50 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9860_0 {
	meta:
		name = "TObjectDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 6A 00 8B 45 08 50 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10101_0 {
	meta:
		name = "TObjectDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 6A 00 8B 45 08 50 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_17859_0 {
	meta:
		name = "TObjectDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 6A 00 8B 45 08 50 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_24479_0 {
	meta:
		name = "TObjectDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 6A 00 8B 45 08 50 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_53578_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 6A 00 8B 45 08 50 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15709_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Classes.TStream>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.string,System.Classes.TStream>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 6A 00 8B 45 08 50 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_23593_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Classes.TStrings>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.string,System.Classes.TStrings>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 6A 00 8B 45 08 50 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_42719_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 6A 00 8B 45 08 50 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_60013_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 6A 00 8B 45 08 50 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_22749_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Masks.TMask>.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TObjectDictionary<System.string,System.Masks.TMask>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 6A 00 8B 45 08 50 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_2973_0 {
	meta:
		name = "TObjectDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Create"
		size = 164
		refs = "000e @ClassCreate 0025 TDictionary<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>.Create 0030 TBasicBindComponent 003f SInvalidCast 0046 _Dn_EInvalidCast 004b Exception.CreateRes 0050 @RaiseExcept 005b TBaseDataLink 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? F6 45 FF 01 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 02 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 88 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_11025_0 {
	meta:
		name = "TObjectDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Create"
		size = 164
		refs = "000e @ClassCreate 0025 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Create 0030 TDBXJSonServerProtocolHandler 003f SInvalidCast 0046 _Dn_EInvalidCast 004b Exception.CreateRes 0050 @RaiseExcept 005b TDSSessionEvent 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? F6 45 FF 01 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 02 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 88 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_57807_0 {
	meta:
		name = "TObjectDictionary<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>.Create"
		size = 164
		refs = "000e @ClassCreate 0025 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.Create 0030 TBindingExpression 003f SInvalidCast 0046 _Dn_EInvalidCast 004b Exception.CreateRes 0050 @RaiseExcept 005b TDictionary<System.IInterface,System.Pointer> 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? F6 45 FF 01 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 02 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 88 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_55206_0 {
	meta:
		name = "TObjectDictionary<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>.Create"
		size = 164
		refs = "000e @ClassCreate 0025 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Create 0030 TBindingExpression 003f SInvalidCast 0046 _Dn_EInvalidCast 004b Exception.CreateRes 0050 @RaiseExcept 005b TDictionary<System.IInterface,System.Pointer> 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? F6 45 FF 01 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 02 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 88 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_68087_0 {
	meta:
		name = "TObjectDictionary<System.Pointer,System.Rtti.TRttiObject>.Create"
		size = 164
		refs = "000e @ClassCreate 0025 TDictionary<System.Pointer,System.Rtti.TRttiObject>.Create 0030 Pointer 003f SInvalidCast 0046 _Dn_EInvalidCast 004b Exception.CreateRes 0050 @RaiseExcept 005b TRttiObject 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? F6 45 FF 01 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 02 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 88 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_57625_0 {
	meta:
		name = "TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>.Create"
		size = 164
		refs = "000e @ClassCreate 0025 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>.Create 0030 TObject 003f SInvalidCast 0046 _Dn_EInvalidCast 004b Exception.CreateRes 0050 @RaiseExcept 005b TDictionary<System.string,System.Int64> 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? F6 45 FF 01 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 02 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 88 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_55000_0 {
	meta:
		name = "TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>.Create"
		size = 164
		refs = "000e @ClassCreate 0025 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Create 0030 TObject 003f SInvalidCast 0046 _Dn_EInvalidCast 004b Exception.CreateRes 0050 @RaiseExcept 005b TDictionary<System.string,System.Int64> 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? F6 45 FF 01 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 02 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 88 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_57419_0 {
	meta:
		name = "TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>.Create"
		size = 164
		refs = "000e @ClassCreate 0025 TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Create 0030 TObject 003f SInvalidCast 0046 _Dn_EInvalidCast 004b Exception.CreateRes 0050 @RaiseExcept 005b TDictionary<System.string,System.Integer> 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? F6 45 FF 01 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 02 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 88 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_55341_0 {
	meta:
		name = "TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>.Create"
		size = 164
		refs = "000e @ClassCreate 0025 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Create 0030 TObject 003f SInvalidCast 0046 _Dn_EInvalidCast 004b Exception.CreateRes 0050 @RaiseExcept 005b TDictionary<System.string,System.Integer> 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? F6 45 FF 01 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 02 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 88 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63508_0 {
	meta:
		name = "TObjectDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create"
		size = 164
		refs = "000e @ClassCreate 0025 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create 0030 Word 003f SInvalidCast 0046 _Dn_EInvalidCast 004b Exception.CreateRes 0050 @RaiseExcept 005b TLocalTimeZone.TYearlyChanges 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? F6 45 FF 01 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 02 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 88 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_9861_0 {
	meta:
		name = "TObjectDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create"
		size = 164
		refs = "000e @ClassCreate 0025 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create 0030 string 003f SInvalidCast 0046 _Dn_EInvalidCast 004b Exception.CreateRes 0050 @RaiseExcept 005b TConverterEvent 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? F6 45 FF 01 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 02 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 88 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_10102_0 {
	meta:
		name = "TObjectDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create"
		size = 164
		refs = "000e @ClassCreate 0025 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create 0030 string 003f SInvalidCast 0046 _Dn_EInvalidCast 004b Exception.CreateRes 0050 @RaiseExcept 005b TReverterEvent 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? F6 45 FF 01 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 02 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 88 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_17860_0 {
	meta:
		name = "TObjectDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Create"
		size = 164
		refs = "000e @ClassCreate 0025 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Create 0030 string 003f SInvalidCast 0046 _Dn_EInvalidCast 004b Exception.CreateRes 0050 @RaiseExcept 005b TDSCallbackItem 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? F6 45 FF 01 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 02 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 88 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_24480_0 {
	meta:
		name = "TObjectDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Create"
		size = 164
		refs = "000e @ClassCreate 0025 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Create 0030 string 003f SInvalidCast 0046 _Dn_EInvalidCast 004b Exception.CreateRes 0050 @RaiseExcept 005b TDBXRequestFilter 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? F6 45 FF 01 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 02 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 88 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_53579_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Create"
		size = 164
		refs = "000e @ClassCreate 0025 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Create 0030 string 003f SInvalidCast 0046 _Dn_EInvalidCast 004b Exception.CreateRes 0050 @RaiseExcept 005b TBindingExpression 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? F6 45 FF 01 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 02 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 88 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_15710_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Classes.TStream>.Create"
		size = 164
		refs = "000e @ClassCreate 0025 TDictionary<System.string,System.Classes.TStream>.Create 0030 string 003f SInvalidCast 0046 _Dn_EInvalidCast 004b Exception.CreateRes 0050 @RaiseExcept 005b TStream 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? F6 45 FF 01 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 02 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 88 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_23594_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Classes.TStrings>.Create"
		size = 164
		refs = "000e @ClassCreate 0025 TDictionary<System.string,System.Classes.TStrings>.Create 0030 string 003f SInvalidCast 0046 _Dn_EInvalidCast 004b Exception.CreateRes 0050 @RaiseExcept 005b TStrings 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? F6 45 FF 01 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 02 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 88 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_42720_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Create"
		size = 164
		refs = "000e @ClassCreate 0025 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Create 0030 string 003f SInvalidCast 0046 _Dn_EInvalidCast 004b Exception.CreateRes 0050 @RaiseExcept 005b TDictionary<System.TGUID,System.TClass> 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? F6 45 FF 01 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 02 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 88 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_60014_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create"
		size = 164
		refs = "000e @ClassCreate 0025 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create 0030 string 003f SInvalidCast 0046 _Dn_EInvalidCast 004b Exception.CreateRes 0050 @RaiseExcept 005b TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback> 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? F6 45 FF 01 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 02 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 88 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_22750_0 {
	meta:
		name = "TObjectDictionary<System.string,System.Masks.TMask>.Create"
		size = 164
		refs = "000e @ClassCreate 0025 TDictionary<System.string,System.Masks.TMask>.Create 0030 string 003f SInvalidCast 0046 _Dn_EInvalidCast 004b Exception.CreateRes 0050 @RaiseExcept 005b TMask 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 08 50 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? F6 45 FF 01 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 02 74 25 A1 ?? ?? ?? ?? 85 C0 74 05 80 38 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 88 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_2978_0 {
	meta:
		name = "TList<T>.SetItem"
		size = 102
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F1 8B D8 85 D2 7C 05 3B 53 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 0C D0 89 0C 24 8B 4C D0 04 89 4C 24 04 8B 43 04 8B 0E 89 0C D0 8B 4E 04 89 4C D0 04 B1 01 8B D4 8B C3 8B 38 FF 57 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2981_0 {
	meta:
		name = "TList<T>.DoDelete"
		size = 149
		refs = "0017 SArgumentOutOfRange 001e _Dn_EArgumentOutOfRangeException 0023 Exception.CreateRes 0028 @RaiseExcept 006b Move 0080 @FillChar"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D9 8B F2 8B F8 85 F6 7C 05 3B 77 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 04 8B 14 F0 89 14 24 8B 54 F0 04 89 54 24 04 8B 57 04 33 C0 89 04 F2 89 44 F2 04 FF 4F 08 8B 47 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 47 04 8D 14 F0 8B 47 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 47 04 8B 57 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B CB 8B D4 8B C7 8B 18 FF 53 08 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2988_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Add"
		size = 60
		refs = "000e TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_10120_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Add"
		size = 60
		refs = "000e TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_25069_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Add"
		size = 60
		refs = "000e TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_52787_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Add"
		size = 60
		refs = "000e TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_56055_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Add"
		size = 60
		refs = "000e TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_55475_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Add"
		size = 60
		refs = "000e TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_55718_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Add"
		size = 60
		refs = "000e TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_56198_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Add"
		size = 60
		refs = "000e TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_58549_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Add"
		size = 60
		refs = "000e TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_58257_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Add"
		size = 60
		refs = "000e TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_58402_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Add"
		size = 60
		refs = "000e TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_58112_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Add"
		size = 60
		refs = "000e TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_60100_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.Add"
		size = 60
		refs = "000e TList<System.Bindings.Outputs.TConvertPair>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_63523_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Add"
		size = 60
		refs = "000e TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_54521_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Add"
		size = 60
		refs = "000e TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_68106_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Add"
		size = 60
		refs = "000e TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_87728_0 {
	meta:
		name = "TList<System.Types.TPoint>.Add"
		size = 60
		refs = "000e TList<System.Types.TPoint>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_86408_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Add"
		size = 60
		refs = "000e TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_86557_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Add"
		size = 60
		refs = "000e TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_87779_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Add"
		size = 60
		refs = "000e TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_88022_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.Add"
		size = 60
		refs = "000e TList<Vcl.Themes.TStyleManager.TSourceInfo>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_88952_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Add"
		size = 60
		refs = "000e TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_89537_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Add"
		size = 60
		refs = "000e TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 8B 0E 89 0C C2 8B 4E 04 89 4C C2 04 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_2992_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10124_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25073_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52791_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56059_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55479_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55722_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56202_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58553_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58261_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58406_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58116_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60104_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Bindings.Outputs.TConvertPair>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63527_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54525_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68110_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87732_0 {
	meta:
		name = "TList<System.Types.TPoint>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Types.TPoint>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86412_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86561_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87783_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88026_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Themes.TStyleManager.TSourceInfo>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88956_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89541_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Insert"
		size = 138
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.GrowCheck 0053 Move 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2E 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 17 89 14 F0 8B 57 04 89 54 F0 04 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_2993_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10125_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_25074_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_52792_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_56060_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_55480_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_55723_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_56203_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_58554_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_58262_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_58407_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_58117_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_60105_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<System.Bindings.Outputs.TConvertPair>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_63528_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_54526_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_68111_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_87733_0 {
	meta:
		name = "TList<System.Types.TPoint>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<System.Types.TPoint>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_86413_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_86562_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_87784_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_88027_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<Vcl.Themes.TStyleManager.TSourceInfo>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_88957_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89542_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.InsertRange"
		size = 237
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.GrowCheck 0072 Move 008a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 3C 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 D1 8B 4D FC 8B 49 04 8D 0C D9 2B C3 03 C0 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D6 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 27 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C CE 8B 78 04 89 7C CE 04 42 83 C0 08 FF 4D F4 75 E2 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 08 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_2994_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.InsertRange"
		size = 126
		refs = "0018 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.InsertRange 0041 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10126_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.InsertRange"
		size = 126
		refs = "0018 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.InsertRange 0041 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25075_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.InsertRange"
		size = 126
		refs = "0018 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.InsertRange 0041 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52793_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.InsertRange"
		size = 126
		refs = "0018 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.InsertRange 0041 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56061_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.InsertRange"
		size = 126
		refs = "0018 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.InsertRange 0041 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55481_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.InsertRange"
		size = 126
		refs = "0018 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.InsertRange 0041 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55724_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.InsertRange"
		size = 126
		refs = "0018 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.InsertRange 0041 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56204_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.InsertRange"
		size = 126
		refs = "0018 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.InsertRange 0041 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58555_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.InsertRange"
		size = 126
		refs = "0018 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.InsertRange 0041 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58263_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.InsertRange"
		size = 126
		refs = "0018 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.InsertRange 0041 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58408_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.InsertRange"
		size = 126
		refs = "0018 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.InsertRange 0041 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58118_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.InsertRange"
		size = 126
		refs = "0018 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.InsertRange 0041 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60106_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.InsertRange"
		size = 126
		refs = "0018 TList<System.Bindings.Outputs.TConvertPair>.InsertRange 0041 TList<System.Bindings.Outputs.TConvertPair>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63529_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.InsertRange"
		size = 126
		refs = "0018 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.InsertRange 0041 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68112_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.InsertRange"
		size = 126
		refs = "0018 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.InsertRange 0041 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87734_0 {
	meta:
		name = "TList<System.Types.TPoint>.InsertRange"
		size = 126
		refs = "0018 TList<System.Types.TPoint>.InsertRange 0041 TList<System.Types.TPoint>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86414_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.InsertRange"
		size = 126
		refs = "0018 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.InsertRange 0041 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86563_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.InsertRange"
		size = 126
		refs = "0018 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.InsertRange 0041 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87785_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.InsertRange"
		size = 126
		refs = "0018 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.InsertRange 0041 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88028_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.InsertRange"
		size = 126
		refs = "0018 TList<Vcl.Themes.TStyleManager.TSourceInfo>.InsertRange 0041 TList<Vcl.Themes.TStyleManager.TSourceInfo>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88958_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.InsertRange"
		size = 126
		refs = "0018 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.InsertRange 0041 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89543_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.InsertRange"
		size = 126
		refs = "0018 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.InsertRange 0041 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2995_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.InsertRange"
		size = 116
		refs = "000f TEnumerable<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.GetEnumerator 001a TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.InsertRange 0038 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Insert 0041 TEnumerator<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10127_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.InsertRange"
		size = 116
		refs = "000f TEnumerable<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.GetEnumerator 001a TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.InsertRange 0038 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Insert 0041 TEnumerator<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25076_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.InsertRange"
		size = 116
		refs = "000f TEnumerable<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.GetEnumerator 001a TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.InsertRange 0038 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Insert 0041 TEnumerator<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52794_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.InsertRange"
		size = 116
		refs = "000f TEnumerable<System.Bindings.EvalSys.TValueConverter.TConvPair>.GetEnumerator 001a TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.InsertRange 0038 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Insert 0041 TEnumerator<System.Bindings.EvalSys.TValueConverter.TConvPair>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56062_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.InsertRange"
		size = 116
		refs = "000f TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.GetEnumerator 001a TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.InsertRange 0038 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Insert 0041 TEnumerator<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55482_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.InsertRange"
		size = 116
		refs = "000f TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetEnumerator 001a TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.InsertRange 0038 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Insert 0041 TEnumerator<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55725_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.InsertRange"
		size = 116
		refs = "000f TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.GetEnumerator 001a TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.InsertRange 0038 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Insert 0041 TEnumerator<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56205_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.InsertRange"
		size = 116
		refs = "000f TEnumerable<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.GetEnumerator 001a TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.InsertRange 0038 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Insert 0041 TEnumerator<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58556_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.InsertRange"
		size = 116
		refs = "000f TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.GetEnumerator 001a TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.InsertRange 0038 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Insert 0041 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58264_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.InsertRange"
		size = 116
		refs = "000f TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.GetEnumerator 001a TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.InsertRange 0038 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Insert 0041 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58409_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.InsertRange"
		size = 116
		refs = "000f TEnumerable<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.GetEnumerator 001a TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.InsertRange 0038 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Insert 0041 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58119_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.InsertRange"
		size = 116
		refs = "000f TEnumerable<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.GetEnumerator 001a TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.InsertRange 0038 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Insert 0041 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60107_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.InsertRange"
		size = 116
		refs = "000f TEnumerable<System.Bindings.Outputs.TConvertPair>.GetEnumerator 001a TList<System.Bindings.Outputs.TConvertPair>.InsertRange 0038 TList<System.Bindings.Outputs.TConvertPair>.Insert 0041 TEnumerator<System.Bindings.Outputs.TConvertPair>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63530_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.InsertRange"
		size = 116
		refs = "000f TEnumerable<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.GetEnumerator 001a TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.InsertRange 0038 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Insert 0041 TEnumerator<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68113_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.InsertRange"
		size = 116
		refs = "000f TEnumerable<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.GetEnumerator 001a TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.InsertRange 0038 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Insert 0041 TEnumerator<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87735_0 {
	meta:
		name = "TList<System.Types.TPoint>.InsertRange"
		size = 116
		refs = "000f TEnumerable<System.Types.TPoint>.GetEnumerator 001a TList<System.Types.TPoint>.InsertRange 0038 TList<System.Types.TPoint>.Insert 0041 TEnumerator<System.Types.TPoint>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86415_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.InsertRange"
		size = 116
		refs = "000f TEnumerable<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.GetEnumerator 001a TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.InsertRange 0038 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Insert 0041 TEnumerator<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86564_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.InsertRange"
		size = 116
		refs = "000f TEnumerable<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetEnumerator 001a TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.InsertRange 0038 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Insert 0041 TEnumerator<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87786_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.InsertRange"
		size = 116
		refs = "000f TEnumerable<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.GetEnumerator 001a TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.InsertRange 0038 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Insert 0041 TEnumerator<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88029_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.InsertRange"
		size = 116
		refs = "000f TEnumerable<Vcl.Themes.TStyleManager.TSourceInfo>.GetEnumerator 001a TList<Vcl.Themes.TStyleManager.TSourceInfo>.InsertRange 0038 TList<Vcl.Themes.TStyleManager.TSourceInfo>.Insert 0041 TEnumerator<Vcl.Themes.TStyleManager.TSourceInfo>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88959_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.InsertRange"
		size = 116
		refs = "000f TEnumerable<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.GetEnumerator 001a TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.InsertRange 0038 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Insert 0041 TEnumerator<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89544_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.InsertRange"
		size = 116
		refs = "000f TEnumerable<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.GetEnumerator 001a TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.InsertRange 0038 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Insert 0041 TEnumerator<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F8 8B 45 F4 8B 08 FF 11 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_2999_0 {
	meta:
		name = "TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.Extract"
		size = 56
		refs = "0009 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.IndexOf 0031 TList<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10131_0 {
	meta:
		name = "TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.Extract"
		size = 56
		refs = "0009 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.IndexOf 0031 TList<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25080_0 {
	meta:
		name = "TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.Extract"
		size = 56
		refs = "0009 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.IndexOf 0031 TList<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52798_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.Extract"
		size = 56
		refs = "0009 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.IndexOf 0031 TList<System.Bindings.EvalSys.TValueConverter.TConvPair>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56066_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.Extract"
		size = 56
		refs = "0009 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.IndexOf 0031 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55486_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Extract"
		size = 56
		refs = "0009 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.IndexOf 0031 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_55729_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.Extract"
		size = 56
		refs = "0009 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.IndexOf 0031 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_56209_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.Extract"
		size = 56
		refs = "0009 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.IndexOf 0031 TList<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58560_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.Extract"
		size = 56
		refs = "0009 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.IndexOf 0031 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58268_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.Extract"
		size = 56
		refs = "0009 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.IndexOf 0031 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58413_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.Extract"
		size = 56
		refs = "0009 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.IndexOf 0031 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58123_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.Extract"
		size = 56
		refs = "0009 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.IndexOf 0031 TList<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60111_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConvertPair>.Extract"
		size = 56
		refs = "0009 TList<System.Bindings.Outputs.TConvertPair>.IndexOf 0031 TList<System.Bindings.Outputs.TConvertPair>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63534_0 {
	meta:
		name = "TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.Extract"
		size = 56
		refs = "0009 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.IndexOf 0031 TList<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54532_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Extract"
		size = 56
		refs = "0009 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.IndexOf 0031 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68117_0 {
	meta:
		name = "TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.Extract"
		size = 56
		refs = "0009 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.IndexOf 0031 TList<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87739_0 {
	meta:
		name = "TList<System.Types.TPoint>.Extract"
		size = 56
		refs = "0009 TList<System.Types.TPoint>.IndexOf 0031 TList<System.Types.TPoint>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86419_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.Extract"
		size = 56
		refs = "0009 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.IndexOf 0031 TList<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86568_0 {
	meta:
		name = "TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Extract"
		size = 56
		refs = "0009 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.IndexOf 0031 TList<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87790_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.Extract"
		size = 56
		refs = "0009 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.IndexOf 0031 TList<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88033_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TSourceInfo>.Extract"
		size = 56
		refs = "0009 TList<Vcl.Themes.TStyleManager.TSourceInfo>.IndexOf 0031 TList<Vcl.Themes.TStyleManager.TSourceInfo>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88963_0 {
	meta:
		name = "TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.Extract"
		size = 56
		refs = "0009 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.IndexOf 0031 TList<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89548_0 {
	meta:
		name = "TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Extract"
		size = 56
		refs = "0009 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.IndexOf 0031 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.DoDelete"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 33 C0 89 06 89 46 04 5E 5B C3 8B 53 04 8B 0C C2 89 0E 8B 4C C2 04 89 4E 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3001_0 {
	meta:
		name = "TList<T>.Move"
		size = 184
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 006d Move 009d @FillChar"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F1 8B FA 8B D8 3B F7 0F 84 9E 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 14 F8 89 14 24 8B 54 F8 04 89 54 24 04 8B 53 04 33 C0 89 04 FA 89 44 FA 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 14 24 89 14 F0 8B 54 24 04 89 54 F0 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3194_0 {
	meta:
		name = "TArray.QuickSort<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>"
		size = 240
		refs = "00d7 TArray.QuickSort<Data.Bind.DBScope.TPair<Data.Bind.Components.TBasicBindComponent,Data.Bind.DBScope.TBaseDataLink>>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_10646_0 {
	meta:
		name = "TArray.QuickSort<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>"
		size = 240
		refs = "00d7 TArray.QuickSort<Data.DBXJSONReflect.TPair<System.Integer,System.Integer>>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_25423_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>"
		size = 240
		refs = "00d7 TArray.QuickSort<Datasnap.DSService.TPair<System.Integer,Data.DBXCommon.TResultCommandHandler>>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_52924_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.EvalSys.TValueConverter.TConvPair>"
		size = 240
		refs = "00d7 TArray.QuickSort<System.Bindings.EvalSys.TValueConverter.TConvPair>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_56586_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>"
		size = 240
		refs = "00d7 TArray.QuickSort<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>>>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_56550_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>"
		size = 240
		refs = "00d7 TArray.QuickSort<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_56565_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>"
		size = 240
		refs = "00d7 TArray.QuickSort<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_56595_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>"
		size = 240
		refs = "00d7 TArray.QuickSort<System.Bindings.Graph.TPair<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_58779_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>"
		size = 240
		refs = "00d7 TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_58761_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>"
		size = 240
		refs = "00d7 TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Integer>>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_58770_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>"
		size = 240
		refs = "00d7 TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Int64>>>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_58752_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>"
		size = 240
		refs = "00d7 TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_61413_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Outputs.TConvertPair>"
		size = 240
		refs = "00d7 TArray.QuickSort<System.Bindings.Outputs.TConvertPair>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_63674_0 {
	meta:
		name = "TArray.QuickSort<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>"
		size = 240
		refs = "00d7 TArray.QuickSort<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_68550_0 {
	meta:
		name = "TArray.QuickSort<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>"
		size = 240
		refs = "00d7 TArray.QuickSort<System.Rtti.TPair<System.Pointer,System.Rtti.TRttiObject>>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_88121_0 {
	meta:
		name = "TArray.QuickSort<System.Types.TPoint>"
		size = 240
		refs = "00d7 TArray.QuickSort<System.Types.TPoint>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_86729_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>"
		size = 240
		refs = "00d7 TArray.QuickSort<Vcl.Styles.TPair<System.Classes.TComponent,Vcl.Themes.TStyleHook>>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_86738_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>"
		size = 240
		refs = "00d7 TArray.QuickSort<Vcl.Styles.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_88124_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>"
		size = 240
		refs = "00d7 TArray.QuickSort<Vcl.Themes.TPair<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_88139_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Themes.TStyleManager.TSourceInfo>"
		size = 240
		refs = "00d7 TArray.QuickSort<Vcl.Themes.TStyleManager.TSourceInfo>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_89069_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>"
		size = 240
		refs = "00d7 TArray.QuickSort<Vcl.Touch.GestureMgr.TPair<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_89638_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>"
		size = 240
		refs = "00d7 TArray.QuickSort<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 C9 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E BB 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 3A 3B F3 74 34 8B 45 F8 8B 14 D8 89 55 E4 8B 54 D8 04 89 55 E8 8B 45 F8 8B 55 F8 8B 0C F2 89 0C D8 8B 4C F2 04 89 4C D8 04 8B 45 F8 8B 55 E4 89 14 F0 8B 55 E8 89 54 F0 04 43 4E 3B F3 7D 91 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 45 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_3233_0 {
	meta:
		name = "TBindListEditor.FillList"
		size = 293
		refs = "001c @IntfAddRef 002c TBindListEditor.FillList 0043 @IntfCopy 00cf @HandleFinally 00e7 IScope 00f1 @FinalizeArray 00f9 @IntfClear 010a IScopeRecordEnumerator"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D3 85 D2 74 03 83 EA F4 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 0C 8B 45 F0 8B 10 FF 52 3C 83 7D F8 00 74 3A EB 2C 8D 4D EC 33 D2 8B 45 F0 8B 18 FF 53 14 83 7D EC 00 74 19 8D 55 E8 8B 45 F8 8B 08 FF 51 10 8B 55 E8 8B 4D EC 8B 45 F4 8B 18 FF 53 0C 8B 45 F8 8B 10 FF 52 18 84 C0 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 10 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3235_0 {
	meta:
		name = "TBindListEditor.UpdateList"
		size = 335
		refs = "001c @IntfAddRef 002c TBindListEditor.UpdateList 0043 @IntfCopy 0104 @HandleFinally 011c IScope 0126 @FinalizeArray 012e @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B D3 85 D2 74 03 83 EA F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 86 00 00 00 EB 36 8B 45 FC 8B 10 FF 52 18 84 C0 74 36 8D 55 F0 8B 45 F4 8B 08 FF 51 20 83 7D F0 00 74 19 8D 55 EC 8B 45 FC 8B 08 FF 51 10 8B 55 EC 8B 4D F0 8B 45 F8 8B 18 FF 53 0C 8B 45 F4 8B 10 FF 52 24 84 C0 75 BE 8B 45 F4 8B 10 FF 52 2C EB 2C 8D 4D F0 33 D2 8B 45 F4 8B 18 FF 53 14 83 7D F0 00 74 19 8D 55 E8 8B 45 FC 8B 08 FF 51 10 8B 55 E8 8B 4D F0 8B 45 F8 8B 18 FF 53 0C 8B 45 FC 8B 10 FF 52 18 84 C0 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 10 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3236_0 {
	meta:
		name = "TBindListEditor.UpdateNeeded"
		size = 184
		refs = "0013 @IntfAddRef 001b TBindListEditor.UpdateNeeded 0032 @IntfCopy 0040 @IntfClear 004f Supports 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 85 D2 74 03 83 EA F4 E8 ?? ?? ?? ?? 83 7D FC 00 74 35 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 F8 8B 10 FF 52 28 8B D8 8B 45 F4 8B 10 FF 52 0C 3B D8 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5B 8B E5 5D C3 00 34 E5 FA 46 58 6F 50 48 AF 66 14 DF 7B 8A EC 0C }
	condition:
		$1
}

rule function_3239_0 {
	meta:
		name = "GetCheckedState"
		size = 192
		refs = "0011 GetCheckedState 001e @UStrClr 002d GetBindEditor 0039 @IntfClear 0046 Supports 0069 BoolToStr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 35 8B 45 FC 8B 10 FF 52 0C 2C 01 72 15 74 06 FE C8 74 1C EB 21 8B CB B2 01 B0 01 E8 ?? ?? ?? ?? EB 14 8B CB B2 01 33 C0 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 0C B3 7E 90 04 3C 0C 40 88 FD 3E 9F D5 EA E7 61 }
	condition:
		$1
}

rule function_3240_0 {
	meta:
		name = "GetSelectedText"
		size = 148
		refs = "0011 GetSelectedText 001e @UStrClr 002d GetBindEditor 0039 @IntfClear 0046 Supports 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 5F 12 D3 C0 E8 F9 AE 4E 98 CB AC 16 D0 E7 B0 75 }
	condition:
		$1
}

rule function_3241_0 {
	meta:
		name = "GetSelectedItem"
		size = 144
		refs = "000f GetSelectedItem 0026 GetBindEditor 0032 @IntfClear 003f Supports 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 FC 8B 10 FF 52 40 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 00 00 5F 12 D3 C0 E8 F9 AE 4E 98 CB AC 16 D0 E7 B0 75 }
	condition:
		$1
}

rule function_3242_0 {
	meta:
		name = "SetCheckedState"
		size = 216
		refs = "0013 SetCheckedState 002c GetBindEditor 0038 @IntfClear 0045 Supports 0053 TryStrToBool 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 7A 8D 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 4E 8D 55 FB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1E 80 7D FB 00 74 0C B2 01 8B 45 FC 8B 08 FF 51 10 EB 2E 33 D2 8B 45 FC 8B 08 FF 51 10 EB 22 8B 45 FC 8B 10 FF 52 14 84 C0 74 0C B2 02 8B 45 FC 8B 08 FF 51 10 EB 0A 33 D2 8B 45 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 0C B3 7E 90 04 3C 0C 40 88 FD 3E 9F D5 EA E7 61 }
	condition:
		$1
}

rule function_3243_0 {
	meta:
		name = "SetSelectedText"
		size = 144
		refs = "0011 SetSelectedText 002a GetBindEditor 0036 @IntfClear 0043 Supports 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 36 8D 4D F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 FC 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 5F 12 D3 C0 E8 F9 AE 4E 98 CB AC 16 D0 E7 B0 75 }
	condition:
		$1
}

rule function_3244_0 {
	meta:
		name = "MakeCheckedState$5$ActRec.$0$Body$6$ActRec.$0$0$Body"
		size = 182
		refs = "0016 TValue 001b @InitializeRecord 0031 MakeCheckedState$5$ActRec.$0$Body$6$ActRec.$0$0$Body 004a TValue.GetIsEmpty 0055 TValue.GetEmpty 006a TValue.AsObject 0072 GetCheckedState 007c TValue.&op_Implicit 0091 @UStrClr 00a4 @FinalizeArray 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 C9 89 4D CC 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 43 0C 8B 08 FF 51 10 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 09 8B C6 E8 ?? ?? ?? ?? EB 25 8D 55 D0 8B 43 0C 8B 08 FF 51 10 8D 45 D0 E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8B 45 CC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3248_0 {
	meta:
		name = "MakeSelectedText$9$ActRec.$0$Body$10$ActRec.$0$0$Body"
		size = 182
		refs = "0016 TValue 001b @InitializeRecord 0031 MakeSelectedText$9$ActRec.$0$Body$10$ActRec.$0$0$Body 004a TValue.GetIsEmpty 0055 TValue.GetEmpty 006a TValue.AsObject 0072 GetSelectedText 007c TValue.&op_Implicit 0091 @UStrClr 00a4 @FinalizeArray 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 C9 89 4D CC 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 43 0C 8B 08 FF 51 10 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 09 8B C6 E8 ?? ?? ?? ?? EB 25 8D 55 D0 8B 43 0C 8B 08 FF 51 10 8D 45 D0 E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8B 45 CC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3245_0 {
	meta:
		name = "MakeCheckedState$5$ActRec.$0$Body$6$ActRec.$0$1$Body"
		size = 165
		refs = "0021 TValue 0026 @AddRefRecord 0034 @InitializeRecord 003c MakeCheckedState$5$ActRec.$0$Body$6$ActRec.$0$1$Body 0055 TValue.AsObject 0061 TValue.AsString 006a SetCheckedState 007f @UStrClr 0092 @FinalizeArray 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D CC 8B F2 8D 7D E8 B9 06 00 00 00 F3 A5 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D0 8B 43 0C 8B 08 FF 51 10 8D 45 D0 E8 ?? ?? ?? ?? 50 8D 55 CC 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 CC 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3249_0 {
	meta:
		name = "MakeSelectedText$9$ActRec.$0$Body$10$ActRec.$0$1$Body"
		size = 165
		refs = "0021 TValue 0026 @AddRefRecord 0034 @InitializeRecord 003c MakeSelectedText$9$ActRec.$0$Body$10$ActRec.$0$1$Body 0055 TValue.AsObject 0061 TValue.AsString 006a SetSelectedText 007f @UStrClr 0092 @FinalizeArray 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D CC 8B F2 8D 7D E8 B9 06 00 00 00 F3 A5 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D0 8B 43 0C 8B 08 FF 51 10 8D 45 D0 E8 ?? ?? ?? ?? 50 8D 55 CC 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 CC 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3246_0 {
	meta:
		name = "MakeCheckedState$5$ActRec.$0$Body"
		size = 236
		refs = "0017 @DynArrayAddRef 001f MakeCheckedState$5$ActRec.$0$Body 002c _DV_MakeCheckedState$5$ActRec.$0$Body$6$ActRec 0031 TObject.Create 0044 @IntfCopy 0060 @DynArrayLength 006b sArgCount 0070 LoadResString 007a _Dn_EEvaluatorError 007f Exception.Create 0084 @RaiseExcept 00a9 string 00ae MakeLocation 00c3 @UStrClr 00cb @IntfClear 00d4 TArray<System.Bindings.EvalProtocol.IValue> 00d9 @DynArrayClear 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 10 8D 43 14 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 48 74 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 0C 8B 55 FC 8B 12 E8 ?? ?? ?? ?? 57 8B CB 85 C9 74 03 83 E9 E8 8B D3 85 D2 74 03 83 EA E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3250_0 {
	meta:
		name = "MakeSelectedText$9$ActRec.$0$Body"
		size = 236
		refs = "0017 @DynArrayAddRef 001f MakeSelectedText$9$ActRec.$0$Body 002c _DV_MakeSelectedText$9$ActRec.$0$Body$10$ActRec 0031 TObject.Create 0044 @IntfCopy 0060 @DynArrayLength 006b sArgCount 0070 LoadResString 007a _Dn_EEvaluatorError 007f Exception.Create 0084 @RaiseExcept 00a9 string 00ae MakeLocation 00c3 @UStrClr 00cb @IntfClear 00d4 TArray<System.Bindings.EvalProtocol.IValue> 00d9 @DynArrayClear 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 10 8D 43 14 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 48 74 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 0C 8B 55 FC 8B 12 E8 ?? ?? ?? ?? 57 8B CB 85 C9 74 03 83 E9 E8 8B D3 85 D2 74 03 83 EA E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3252_0 {
	meta:
		name = "MakeSelectedItem$13$ActRec.$0$Body"
		size = 355
		refs = "001d @DynArrayAddRef 0026 TValue 002b @InitializeRecord 0041 MakeSelectedItem$13$ActRec.$0$Body 004f @DynArrayLength 005a sArgCount 005f LoadResString 0069 _Dn_EEvaluatorError 006e Exception.Create 0073 @RaiseExcept 0080 @IntfCopy 0093 TValue.GetIsEmpty 00a1 TValue.&op_Implicit 00ab _Dn_TValueWrapper 00b0 TValueWrapper.Create 00d5 TValue.AsObject 00da GetSelectedItem 0121 @FinalizeArray 0129 @UStrClr 0144 @IntfClear 014d TArray<System.Bindings.EvalProtocol.IValue> 0152 @DynArrayClear 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0D 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 48 74 21 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC 8B 12 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F8 8B 08 FF 51 10 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 74 2B 8D 55 AC 33 C0 E8 ?? ?? ?? ?? 8D 4D AC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? EB 3F 8D 55 C8 8B 45 F8 8B 08 FF 51 10 8D 45 C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 94 E8 ?? ?? ?? ?? 8D 4D 94 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3254_0 {
	meta:
		name = "RegisterMethods"
		size = 568
		refs = "0013 RegisterMethods 0021 sCheckedState 0026 LoadResString 0039 sCheckedStateDesc 004c MakeCheckedState 005c TMethodDescription.Create 0064 _Dn_TBindingMethodsFactory 0069 TBindingMethodsFactory.RegisterMethod 0071 sSelectedText 0089 sSelectedTextDesc 009c MakeSelectedText 00c1 sSelectedItem 00d9 sSelectedItemDesc 00ec MakeSelectedItem 011e @IntfClear 012b @UStrArrayClr 0134 TMethodDescription 0139 @FinalizeRecord 0185 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0F 00 00 00 6A 00 6A 00 49 75 F9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 68 ?? ?? ?? ?? 6A 01 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 6A 00 8D 45 D8 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 50 68 ?? ?? ?? ?? 6A 01 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 50 6A 00 8D 45 B0 E8 ?? ?? ?? ?? 8B 55 B0 8D 45 BC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 90 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 90 50 68 ?? ?? ?? ?? 6A 01 8D 55 8C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 8C 50 6A 00 8D 45 88 E8 ?? ?? ?? ?? 8B 55 88 8D 45 94 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 94 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 94 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8F 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 44 00 61 00 74 00 61 00 2E 00 42 00 69 00 6E 00 64 00 2E 00 45 00 6E 00 67 00 45 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 68 00 65 00 63 00 6B 00 65 00 64 00 53 00 74 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 65 00 64 00 54 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 65 00 64 00 49 00 74 00 65 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_3255_0 {
	meta:
		name = "UnregisterMethods"
		size = 168
		refs = "0001 UnregisterMethods 0006 _Dn_TBindingMethodsFactory 000b TBindingMethodsFactory.UnRegisterMethod"
	strings:
		$1 = { BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 65 00 64 00 54 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 65 00 64 00 49 00 74 00 65 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 68 00 65 00 63 00 6B 00 65 00 64 00 53 00 74 00 61 00 74 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_3258_0 {
	meta:
		name = "TBindEditLinkObserver.Create"
		size = 196
		refs = "0012 @ClassCreate 0020 TBindEditLinkObserver.Create 002e @IntfClear 003c Supports 0048 sBindLinkIncompatible 004d LoadResString 0057 _Dn_EObserverException 005c Exception.Create 0061 @RaiseExcept 006d TBindObserver.Create 0082 @UStrClr 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 59 5D C3 1B 2D 95 4E 23 0D C4 41 8D F0 D2 4C 4C 32 5D 5C }
	condition:
		$1
}

rule function_3282_0 {
	meta:
		name = "TBindEditGridLinkObserver.Create"
		size = 196
		refs = "0012 @ClassCreate 0020 TBindEditGridLinkObserver.Create 002e @IntfClear 003c Supports 0048 sBindLinkIncompatible 004d LoadResString 0057 _Dn_EObserverException 005c Exception.Create 0061 @RaiseExcept 006d TBindObserver.Create 0082 @UStrClr 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 59 5D C3 1B 2D 95 4E 23 0D C4 41 8D F0 D2 4C 4C 32 5D 5C }
	condition:
		$1
}

rule function_3259_0 {
	meta:
		name = "TBindEditLinkObserver.Edit"
		size = 130
		refs = "0042 TBindEditLinkObserver.Edit 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 0C 8B 10 FF 52 14 84 C0 74 06 C6 45 FB 00 EB 5C 8B 45 FC 8B 40 0C 8B 10 FF 52 24 84 C0 75 06 C6 45 FB 00 EB 47 8B 45 FC 8B 40 0C 8B 10 FF 52 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C 8B 10 FF 52 30 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 10 FF 52 10 C3 E9 ?? ?? ?? ?? EB ED 0F B6 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_3260_0 {
	meta:
		name = "TBindEditLinkObserver.GetIsEditing"
		size = 9
	strings:
		$1 = { 8B 40 0C 8B 10 FF 52 34 C3 }
	condition:
		$1
}

rule function_3261_0 {
	meta:
		name = "TBindEditLinkObserver.GetIsReadOnly"
		size = 15
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 10 FF 52 24 34 01 5B C3 }
	condition:
		$1
}

rule function_3262_0 {
	meta:
		name = "TBindEditLinkObserver.IsModified"
		size = 9
	strings:
		$1 = { 8B 40 0C 8B 10 FF 52 28 C3 }
	condition:
		$1
}

rule function_3263_0 {
	meta:
		name = "TBindEditLinkObserver.IsRequired"
		size = 9
		altNames = "TPhysicalObjectMemberInstance.GetMember TWebPageStub.Get_Published"
	strings:
		$1 = { 8B 40 0C 8B 10 FF 52 1C C3 }
	condition:
		$1
}

rule function_3264_0 {
	meta:
		name = "TBindEditLinkObserver.IsValidChar"
		size = 9
		altNames = "TWebBrokerDispatchFileRequest.SetContentStream"
	strings:
		$1 = { 8B 40 0C 8B 08 FF 51 20 C3 }
	condition:
		$1
}

rule function_3265_0 {
	meta:
		name = "TBindEditLinkObserver.Modified"
		size = 25
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 10 FF 52 14 84 C0 75 08 8B 43 0C 8B 10 FF 52 2C 5B C3 }
	condition:
		$1
}

rule function_3266_0 {
	meta:
		name = "TBindEditLinkObserver.Reset"
		size = 9
	strings:
		$1 = { 8B 40 0C 8B 10 FF 52 38 C3 }
	condition:
		$1
}

rule function_3267_0 {
	meta:
		name = "TBindEditLinkObserver.SetIsReadOnly"
		size = 9
		altNames = "TComponent.GetObservers$902$ActRec.$0$Body"
	strings:
		$1 = { 8B 40 0C 8B 08 FF 51 18 C3 }
	condition:
		$1
}

rule function_3268_0 {
	meta:
		name = "TBindEditLinkObserver.Update"
		size = 107
		refs = "000b TBindEditLinkObserver.IsModified 0031 TBindEditLinkObserver.Update 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 55 8B 45 FC 8B 40 0C 8B 10 FF 52 14 84 C0 75 46 8B 45 FC 8B 40 0C 8B 10 FF 52 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C 33 D2 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 10 FF 52 10 C3 E9 ?? ?? ?? ?? EB ED 59 5D C3 }
	condition:
		$1
}

rule function_3269_0 {
	meta:
		name = "TAbstractObjectMemberInstance.GetMetaClass"
		size = 9
		altNames = "TAdapterRecordKeysWrapper.Count TBindEditLinkObserver.BeginUpdate"
	strings:
		$1 = { 8B 40 0C 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_3272_0 {
	meta:
		name = "TBindObserver.Create"
		size = 123
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TBindObserver.Create 0036 @IntfCopy 003e @IntfClear 0059 @HandleFinally 0066 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 8D 46 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3273_0 {
	meta:
		name = "TBindObserver.GetActive"
		size = 18
	strings:
		$1 = { 83 78 0C 00 74 09 8B 40 0C 8B 10 FF 52 4C C3 B0 01 C3 }
	condition:
		$1
}

rule function_3275_0 {
	meta:
		name = "TBindObserver.Removed"
		size = 29
	strings:
		$1 = { 53 8B D8 83 7B 0C 00 74 12 33 D2 8B 43 0C 8B 08 FF 51 50 8B 43 0C 8B 10 FF 52 5C 5B C3 }
	condition:
		$1
}

rule function_3276_0 {
	meta:
		name = "TBindObserver.SetActive"
		size = 28
	strings:
		$1 = { 53 83 78 10 00 74 13 8B C8 85 C9 74 03 83 E9 EC 8B 40 10 87 CA 8B 18 FF 53 0C 5B C3 }
	condition:
		$1
}

rule function_3277_0 {
	meta:
		name = "TBindObserver.SetOnObserverToggle"
		size = 76
		refs = "000e @IntfAddRef 0016 TBindObserver.SetOnObserverToggle 0027 @IntfCopy 003c @IntfClear 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 10 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_3278_0 {
	meta:
		name = "TBindPositionLinkObserver.Create"
		size = 300
		refs = "0016 @ClassCreate 0024 TBindPositionLinkObserver.Create 0032 @IntfClear 0040 Supports 004c sBindLinkIncompatible 0051 LoadResString 005b _Dn_EObserverException 0060 Exception.Create 0065 @RaiseExcept 0087 sBindPositionIncompatible 00ac TBindObserver.Create 00b7 @IntfCopy 00d1 @UStrArrayClr 00e7 @HandleFinally 00f4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 1C 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C3 00 1B 2D 95 4E 23 0D C4 41 8D F0 D2 4C 4C 32 5D 5C 2B B3 9E 6E 82 49 4D 4D 95 10 A0 AD FB 1B DC C8 }
	condition:
		$1
}

rule function_3280_0 {
	meta:
		name = "TBindPositionLinkObserver.Create"
		size = 208
		refs = "0012 @ClassCreate 0020 TBindPositionLinkObserver.Create 002e @IntfClear 003c Supports 0048 sBindPositionIncompatible 004d LoadResString 0057 _Dn_EObserverException 005c Exception.Create 0061 @RaiseExcept 006c TBindObserver.Create 0077 @IntfCopy 008c @UStrClr 009a @HandleFinally 00a7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 1C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 59 5D C3 00 00 2B B3 9E 6E 82 49 4D 4D 95 10 A0 AD FB 1B DC C8 }
	condition:
		$1
}

rule function_3281_0 {
	meta:
		name = "TBindPositionLinkObserver.PosChanged"
		size = 9
	strings:
		$1 = { 8B 40 1C 8B 10 FF 52 10 C3 }
	condition:
		$1
}

rule function_3284_0 {
	meta:
		name = "TBindEditGridLinkObserver.GetCurrent"
		size = 38
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 20 00 74 0D 8B D6 8B 43 20 8B 08 FF 51 0C 5E 5B C3 C6 46 04 00 C7 06 FF FF FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_3285_0 {
	meta:
		name = "TBindEditGridLinkObserver.GetOnObserverCurrent"
		size = 19
		refs = "000c @IntfCopy"
		altNames = "TScriptManager.GetIncludeFiles TWebContext.GetAdapterRequest TXMLNode.GetDOMNode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11725_0 {
	meta:
		name = "TDBXCustomMetaDataTable.GetDBXTableName"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9027_0 {
	meta:
		name = "TDBXFirebirdCustomMetaDataReader.GetSqlIdentifierQuoteChar"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9025_0 {
	meta:
		name = "TDBXFirebirdCustomMetaDataReader.GetSqlIdentifierQuotePrefix"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9026_0 {
	meta:
		name = "TDBXFirebirdCustomMetaDataReader.GetSqlIdentifierQuoteSuffix"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9111_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.GetSqlIdentifierQuoteChar"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9109_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.GetSqlIdentifierQuotePrefix"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9110_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.GetSqlIdentifierQuoteSuffix"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9221_0 {
	meta:
		name = "TDBXInterbaseCustomMetaDataReader.GetSqlIdentifierQuoteChar"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9219_0 {
	meta:
		name = "TDBXInterbaseCustomMetaDataReader.GetSqlIdentifierQuotePrefix"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9220_0 {
	meta:
		name = "TDBXInterbaseCustomMetaDataReader.GetSqlIdentifierQuoteSuffix"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8572_0 {
	meta:
		name = "TDBXMemoryTable.GetDBXTableName"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_112237_0 {
	meta:
		name = "TDomXPathStringResult.AsWideString"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49812_0 {
	meta:
		name = "THeaderInfo.GetName"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65759_0 {
	meta:
		name = "THelpManager.GetHelpFile"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3286_0 {
	meta:
		name = "TBindEditGridLinkObserver.SetOnObserverCurrent"
		size = 76
		refs = "000e @IntfAddRef 0016 TBindEditGridLinkObserver.SetOnObserverCurrent 0027 @IntfCopy 003c @IntfClear 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 20 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_96153_0 {
	meta:
		name = "TWebContext.SetAdapterRequest"
		size = 76
		refs = "000e @IntfAddRef 0016 TWebContext.SetAdapterRequest 0027 @IntfCopy 003c @IntfClear 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 20 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_3322_0 {
	meta:
		name = "AddS3MetadataHeaders"
		size = 216
		refs = "0015 AddS3MetadataHeaders 0042 TStrings.GetName 004f AnsiStartsText 0063 @UStrCat3 006f TStrings.GetValueFromIndex 007d TStrings.SetValue 0096 @UStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 62 83 7D F8 00 74 5C 8B C6 8B 10 FF 52 14 8B F8 4F 85 FF 7C 4E 47 33 DB 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 10 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 43 4F 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 78 00 2D 00 61 00 6D 00 7A 00 2D 00 6D 00 65 00 74 00 61 00 2D 00 00 00 }
	condition:
		$1
}

rule function_3323_0 {
	meta:
		name = "GetACLTypeString"
		size = 408
		refs = "000e GetACLTypeString 0036 @UStrAsg"
	strings:
		$1 = { 53 8B DA 83 E0 7F 83 F8 06 77 75 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 70 00 72 00 69 00 76 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 2D 00 72 00 65 00 61 00 64 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 2D 00 72 00 65 00 61 00 64 00 2D 00 77 00 72 00 69 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 61 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 65 00 64 00 2D 00 72 00 65 00 61 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 62 00 75 00 63 00 6B 00 65 00 74 00 2D 00 6F 00 77 00 6E 00 65 00 72 00 2D 00 72 00 65 00 61 00 64 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 62 00 75 00 63 00 6B 00 65 00 74 00 2D 00 6F 00 77 00 6E 00 65 00 72 00 2D 00 66 00 75 00 6C 00 6C 00 2D 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 }
	condition:
		$1
}

rule function_3324_0 {
	meta:
		name = "CaseSensitiveNameCompare"
		size = 120
		refs = "0014 CaseSensitiveNameCompare 002a TStrings.GetName 0043 CompareStr 0063 @UStrArrayClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 29 8D 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3325_0 {
	meta:
		name = "TAmazonAuthentication.BuildAuthorizationString"
		size = 118
		refs = "0018 TAmazonAuthentication.BuildAuthorizationString 0030 TCloudAuthentication.BuildAuthorizationString 0049 EncodeBytes64 005f TArray<System.Byte> 0064 @DynArrayClear 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 10 00 74 0E 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? EB 17 8D 4D F8 8B D6 8B C3 8B 18 FF 53 10 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3326_0 {
	meta:
		name = "TAmazonAuthentication.Create"
		size = 92
		refs = "000d @ClassCreate 0016 TAmazonAuthentication.Create 001f TCloudSHA256Authentication.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 68 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 08 88 46 10 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 57 00 53 00 00 00 }
	condition:
		$1
}

rule function_3327_0 {
	meta:
		name = "TAmazonSHA1Authentication.Create"
		size = 80
		refs = "000a @ClassCreate 0013 TAmazonSHA1Authentication.Create 001c TCloudSHA1Authentication.Create 0027 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 68 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 57 00 53 00 00 00 }
	condition:
		$1
}

rule function_81477_0 {
	meta:
		name = "TGIFAppExtNSLoop.Create"
		size = 58
		refs = "000a @ClassCreate 0013 NSLoopIdent 001c TGIFApplicationExtension.Create 0027 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 68 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_34387_0 {
	meta:
		name = "TIdFileCreateStream.Create"
		size = 58
		refs = "000a @ClassCreate 001c TFileStream.Create 0027 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 68 00 FF 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_71267_0 {
	meta:
		name = "TRegIniFile.Create"
		size = 58
		refs = "000a @ClassCreate 001c TRegIniFile.Create 0027 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 68 3F 00 0F 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_71280_0 {
	meta:
		name = "TRegistryIniFile.Create"
		size = 58
		refs = "000a @ClassCreate 001c TRegistryIniFile.Create 0027 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 68 3F 00 0F 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3328_0 {
	meta:
		name = "TAmazonConnectionInfo.GetServiceURL"
		size = 88
		refs = "002c TAmazonConnectionInfo.GetServiceURL 0031 Format"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F9 8B F2 8B D8 57 8B 43 38 89 44 24 04 C6 44 24 08 11 89 74 24 0C C6 44 24 10 11 8D 54 24 04 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 3A 00 2F 00 2F 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_3329_0 {
	meta:
		name = "TAmazonConnectionInfo.Create"
		size = 248
		refs = "000a @ClassCreate 0017 TCloudConnectionInfo.Create 0027 TAmazonConnectionInfo.Create 002c @UStrAsg 0051 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 4C 01 C6 46 50 01 8D 46 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 60 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 10 00 00 00 73 00 33 00 2E 00 61 00 6D 00 61 00 7A 00 6F 00 6E 00 61 00 77 00 73 00 2E 00 63 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 73 00 64 00 62 00 2E 00 61 00 6D 00 61 00 7A 00 6F 00 6E 00 61 00 77 00 73 00 2E 00 63 00 6F 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 71 00 75 00 65 00 75 00 65 00 2E 00 61 00 6D 00 61 00 7A 00 6F 00 6E 00 61 00 77 00 73 00 2E 00 63 00 6F 00 6D 00 00 00 }
	condition:
		$1
}

rule function_3330_0 {
	meta:
		name = "TAmazonConnectionInfo.GetQueueEndpoint"
		size = 92
		refs = "000f TAmazonConnectionInfo.GetQueueEndpoint 0014 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 4C 00 74 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 64 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 13 00 00 00 71 00 75 00 65 00 75 00 65 00 2E 00 61 00 6D 00 61 00 7A 00 6F 00 6E 00 61 00 77 00 73 00 2E 00 63 00 6F 00 6D 00 00 00 }
	condition:
		$1
}

rule function_3331_0 {
	meta:
		name = "TAmazonConnectionInfo.GetTableEndpoint"
		size = 88
		refs = "000f TAmazonConnectionInfo.GetTableEndpoint 0014 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 4C 00 74 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 60 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 11 00 00 00 73 00 64 00 62 00 2E 00 61 00 6D 00 61 00 7A 00 6F 00 6E 00 61 00 77 00 73 00 2E 00 63 00 6F 00 6D 00 00 00 }
	condition:
		$1
}

rule function_3332_0 {
	meta:
		name = "TAmazonConnectionInfo.GetStorageEndpoint"
		size = 88
		refs = "000f TAmazonConnectionInfo.GetStorageEndpoint 0014 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 4C 00 74 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 5C E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 10 00 00 00 73 00 33 00 2E 00 61 00 6D 00 61 00 7A 00 6F 00 6E 00 61 00 77 00 73 00 2E 00 63 00 6F 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_3333_0 {
	meta:
		name = "TAmazonConnectionInfo.GetQueueURL"
		size = 81
		refs = "000f TAmazonConnectionInfo.GetQueueURL 001f TAmazonConnectionInfo.GetQueueEndpoint 002b TAmazonConnectionInfo.GetServiceURL 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3334_0 {
	meta:
		name = "TAmazonConnectionInfo.GetTableURL"
		size = 81
		refs = "000f TAmazonConnectionInfo.GetTableURL 001f TAmazonConnectionInfo.GetTableEndpoint 002b TAmazonConnectionInfo.GetServiceURL 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96637_0 {
	meta:
		name = "TIpSocket.LocalHostAddr"
		size = 81
		refs = "000f TIpSocket.LocalHostAddr 001f TIpSocket.LocalHostName 002b TIpSocket.LookupHostAddr 0040 @LStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45661_0 {
	meta:
		name = "TXmlNode.GetValueAsUnicodeString"
		size = 81
		refs = "000f TXmlNode.GetValueAsUnicodeString 001f TXmlNode.GetValueAsString 002b TXmlNode.ToUnicodeString 0040 @LStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3335_0 {
	meta:
		name = "TAmazonConnectionInfo.StorageURL"
		size = 216
		refs = "001e TAmazonConnectionInfo.StorageURL 002c EmptyStr 0033 @UStrEqual 003f TAmazonConnectionInfo.GetStorageEndpoint 004b TAmazonConnectionInfo.GetServiceURL 007e Format 009f @UStrClr 00ac @UStrArrayClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D F8 89 5D E4 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 18 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 E8 ?? ?? ?? ?? EB 3D 8D 45 F8 50 89 75 E8 C6 45 EC 11 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B CF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2E 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_3336_0 {
	meta:
		name = "TAmazonRowConditional.Create"
		size = 127
		refs = "0014 TAmazonRowConditional 0019 @InitializeRecord 0021 TAmazonRowConditional.Create 0031 @UStrLAsg 004f @CopyRecord 006a @FinalizeRecord 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 8B F2 8B F8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 88 5D FC 8B 45 08 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3337_0 {
	meta:
		name = "TAmazonService.Create"
		size = 87
		refs = "000b @ClassCreate 0026 TCloudService.Create 0043 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B D6 8B C7 8B 08 FF 51 7C 50 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 12 00 C6 47 13 01 C6 47 14 01 66 C7 47 0C 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3338_0 {
	meta:
		name = "TAmazonService.CurrentTime"
		size = 332
		refs = "0018 TAmazonService.CurrentTime 0024 TTimeZone.FLocal 002b Now 0040 TTimeZone.GetUtcOffsetInSeconds 007d @_llmul 0084 IncMilliSecond 00aa TFormatSettings.Create 00bc FormatDateTime 00d5 TFormatSettings 00da @FinalizeRecord 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 1E 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8B 1B E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 FF 75 FC FF 75 F8 8B D0 8B C3 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 8B 45 F8 89 45 E0 8B 45 FC 89 45 E4 8B 45 E8 8B 55 EC F7 D8 83 D2 00 F7 DA 89 45 D8 89 55 DC FF 75 E4 FF 75 E0 6A 00 68 E8 03 00 00 8B 45 D8 8B 55 DC E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 5D D0 9B 8B 45 D0 89 45 F0 8B 45 D4 89 45 F4 FF 75 F4 FF 75 F0 8D 95 0C FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 0C FF FF FF 8B CE B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 0C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 6E 00 2D 00 55 00 53 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 79 00 79 00 79 00 79 00 2D 00 6D 00 6D 00 2D 00 64 00 64 00 22 00 54 00 22 00 68 00 68 00 3A 00 6E 00 6E 00 3A 00 73 00 73 00 2E 00 7A 00 7A 00 7A 00 22 00 5A 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_3340_0 {
	meta:
		name = "TAmazonService.GetCanonicalizedHeaderPrefix"
		size = 20
		refs = "0007 EmptyStr 000e @UStrAsg"
		altNames = "TWebRequest.GetRemoteIP"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91859_0 {
	meta:
		name = "TBMPExportFormat.Description"
		size = 20
		refs = "0007 TeeMsg_AsBMP 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91860_0 {
	meta:
		name = "TBMPExportFormat.FileFilter"
		size = 20
		refs = "0007 TeeMsg_BMPFilter 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93007_0 {
	meta:
		name = "TBevelFilter.Description"
		size = 20
		refs = "0007 TeeMsg_Bevel 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91737_0 {
	meta:
		name = "TBlurFilter.Description"
		size = 20
		refs = "0007 TeeMsg_Blur 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92956_0 {
	meta:
		name = "TBrightnessFilter.Description"
		size = 20
		refs = "0007 TeeMsg_Brightness 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90496_0 {
	meta:
		name = "TChartTheme.Description"
		size = 20
		refs = "0007 TeeMsg_ThemeDefault 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92966_0 {
	meta:
		name = "TColorFilter.Description"
		size = 20
		refs = "0007 TeeMsg_Color 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92978_0 {
	meta:
		name = "TContrastFilter.Description"
		size = 20
		refs = "0007 TeeMsg_Contrast 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92933_0 {
	meta:
		name = "TCropFilter.Description"
		size = 20
		refs = "0007 TeeMsg_Crop 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92136_0 {
	meta:
		name = "TDBCrossTabSource.Description"
		size = 20
		refs = "0007 TeeMsg_CrossTab 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92210_0 {
	meta:
		name = "TDBSummarySource.Description"
		size = 20
		refs = "0007 TeeMsg_Summary 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90560_0 {
	meta:
		name = "TDataSetSeriesSource.Description"
		size = 20
		refs = "0007 TeeMsg_DataSet 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92815_0 {
	meta:
		name = "TEMFExportFormat.Description"
		size = 20
		refs = "0007 TeeMsg_AsEMF 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92816_0 {
	meta:
		name = "TEMFExportFormat.FileFilter"
		size = 20
		refs = "0007 TeeMsg_EMFFilter 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92976_0 {
	meta:
		name = "TEmbossFilter.Description"
		size = 20
		refs = "0007 TeeMsg_Emboss 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92947_0 {
	meta:
		name = "TFlipFilter.Description"
		size = 20
		refs = "0007 TeeMsg_Flip 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92974_0 {
	meta:
		name = "TGammaCorrectionFilter.Description"
		size = 20
		refs = "0007 TeeMsg_GammaCorrection 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92940_0 {
	meta:
		name = "TGrayScaleFilter.Description"
		size = 20
		refs = "0007 TeeMsg_GrayScale 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92969_0 {
	meta:
		name = "THueLumSatFilter.Description"
		size = 20
		refs = "0007 TeeMsg_HueLumSat 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92935_0 {
	meta:
		name = "TInvertFilter.Description"
		size = 20
		refs = "0007 TeeMsg_Invert 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92999_0 {
	meta:
		name = "TMirrorFilter.Description"
		size = 20
		refs = "0007 TeeMsg_Mirror 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92945_0 {
	meta:
		name = "TMosaicFilter.Description"
		size = 20
		refs = "0007 TeeMsg_Mosaic 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92930_0 {
	meta:
		name = "TResizeFilter.Description"
		size = 20
		refs = "0007 TeeMsg_Resize 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92949_0 {
	meta:
		name = "TReverseFilter.Description"
		size = 20
		refs = "0007 TeeMsg_Reverse 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92993_0 {
	meta:
		name = "TRotateFilter.Description"
		size = 20
		refs = "0007 TeeMsg_Rotate 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92971_0 {
	meta:
		name = "TSharpenFilter.Description"
		size = 20
		refs = "0007 TeeMsg_Sharpen 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92190_0 {
	meta:
		name = "TSingleRecordSeriesSource.Description"
		size = 20
		refs = "0007 TeeMsg_SingleRecord 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92980_0 {
	meta:
		name = "TSoftenFilter.Description"
		size = 20
		refs = "0007 TeeMsg_AntiAlias 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93003_0 {
	meta:
		name = "TTileFilter.Description"
		size = 20
		refs = "0007 TeeMsg_Tile 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93012_0 {
	meta:
		name = "TZoomFilter.Description"
		size = 20
		refs = "0007 TeeMsg_Zoom 000e @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_3341_0 {
	meta:
		name = "M_ASN1_STRING_data"
		size = 4
		altNames = "TAmazonService.GetConnectionInfo TAzureService.GetConnectionInfo TBaseWebPageModuleFactory.GetComponentClass TComboBoxItemEditorObject.GetOwner TCustomOwnedObject.GetOwner TDBXBaseMetaDataWriter.GetMetaDataReader TDBXCallbackDelegate.GetDelegate TDBXCommunicationLayer.GetConnectTimeout TDBXRow.GetGeneration TDBXServerCallback.GetConnectionHandler TDbxChannel.GetDBXProperties TFormStyleHook.GetForm TGIFImageList.GetImage TGPFont.GetLastStatus TGPFontCollection.GetLastStatus TIWBaseComponentImplementation.get_ExtraTagParams TJSONByteReader.GetOffset TJSONPair.GetJsonString TListBoxItemEditorObject.GetOwner TScriptError.GetCharPos TStringBuilder.GetLength TTeeExportFormat.FileFilterIndex TTestFailure.ThrownExceptionClass TTransportFilter.GetFilterCollection TUtilsWideStringList.GetCount TWebContainerComponentHelper.GetComponentList TWebContext.GetWebRequest TWebDisplay.GetDisplayComponent TXMLData.GetXMLBroker TseBitmapLink.GetLeft"
	strings:
		$1 = { 8B 40 08 C3 }
	condition:
		$1
}

rule function_3342_0 {
	meta:
		name = "TAmazonService.GetRequiredHeaderNames"
		size = 6
	strings:
		$1 = { C6 02 00 33 C0 C3 }
	condition:
		$1
}

rule function_3343_0 {
	meta:
		name = "TAmazonService.SortHeaders"
		size = 19
		refs = "0005 CaseSensitiveNameCompare"
	strings:
		$1 = { 85 D2 74 0E B8 ?? ?? ?? ?? 92 8B 08 FF 91 A4 00 00 00 C3 }
	condition:
		$1
}

rule function_4908_0 {
	meta:
		name = "TCloudService.SortHeaders"
		size = 19
		refs = "0005 LexicographicalNameCompare"
	strings:
		$1 = { 85 D2 74 0E B8 ?? ?? ?? ?? 92 8B 08 FF 91 A4 00 00 00 C3 }
	condition:
		$1
}

rule function_4909_0 {
	meta:
		name = "TCloudService.SortQueryParameters"
		size = 19
		refs = "0005 LexicographicalNameCompare"
	strings:
		$1 = { 85 D2 74 0E B8 ?? ?? ?? ?? 92 8B 08 FF 91 A4 00 00 00 C3 }
	condition:
		$1
}

rule function_3344_0 {
	meta:
		name = "TAmazonService.URLEncodeValue"
		size = 144
		refs = "0086 URLEncode"
	strings:
		$1 = { 53 56 83 C4 E0 8B F1 8B DA 56 66 C7 44 24 04 3D 00 66 C7 44 24 06 3A 00 66 C7 44 24 08 2F 00 66 C7 44 24 0A 2B 00 66 C7 44 24 0C 28 00 66 C7 44 24 0E 29 00 66 C7 44 24 10 2F 00 66 C7 44 24 12 21 00 66 C7 44 24 14 22 00 66 C7 44 24 16 24 00 66 C7 44 24 18 40 00 66 C7 44 24 1A 26 00 66 C7 44 24 1C 2C 00 66 C7 44 24 1E 27 00 66 C7 44 24 20 3F 00 66 C7 44 24 22 3B 00 8D 54 24 04 B9 0F 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_3345_0 {
	meta:
		name = "TAmazonQueuePermission.Create"
		size = 130
		refs = "0013 @UStrAddRef 001c TAmazonQueuePermission 0021 @InitializeRecord 0029 TAmazonQueuePermission.Create 003a @UStrLAsg 004d @CopyRecord 0068 @FinalizeRecord 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 88 5D F8 8B C6 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3346_0 {
	meta:
		name = "TAmazonQueuePermission.GetAction"
		size = 376
		refs = "000f TAmazonQueuePermission.GetAction 0033 @UStrAsg"
	strings:
		$1 = { 53 8B DA 0F B6 40 04 83 F8 05 77 71 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 6E 00 64 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 65 00 63 00 65 00 69 00 76 00 65 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 65 00 6C 00 65 00 74 00 65 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 43 00 68 00 61 00 6E 00 67 00 65 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 56 00 69 00 73 00 69 00 62 00 69 00 6C 00 69 00 74 00 79 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 47 00 65 00 74 00 51 00 75 00 65 00 75 00 65 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_3347_0 {
	meta:
		name = "TAmazonBatchRow.Create"
		size = 120
		refs = "0014 TAmazonBatchRow 0019 @InitializeRecord 0021 TAmazonBatchRow.Create 0031 @UStrLAsg 0048 @CopyRecord 0063 @FinalizeRecord 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 8B F2 8B F8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 89 75 F8 88 5D FC 8B 45 08 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3348_0 {
	meta:
		name = "TAmazonQueueService.GetQueueAttributeName"
		size = 652
		refs = "0012 TAmazonQueueService.GetQueueAttributeName 0042 @UStrAsg"
	strings:
		$1 = { 53 8B D9 0F B6 C2 83 F8 08 0F 87 A7 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 41 00 70 00 70 00 72 00 6F 00 78 00 69 00 6D 00 61 00 74 00 65 00 4E 00 75 00 6D 00 62 00 65 00 72 00 4F 00 66 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 41 00 70 00 70 00 72 00 6F 00 78 00 69 00 6D 00 61 00 74 00 65 00 4E 00 75 00 6D 00 62 00 65 00 72 00 4F 00 66 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 4E 00 6F 00 74 00 56 00 69 00 73 00 69 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 56 00 69 00 73 00 69 00 62 00 69 00 6C 00 69 00 74 00 79 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 64 00 54 00 69 00 6D 00 65 00 73 00 74 00 61 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4C 00 61 00 73 00 74 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 54 00 69 00 6D 00 65 00 73 00 74 00 61 00 6D 00 70 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 6F 00 6C 00 69 00 63 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 4D 00 61 00 78 00 69 00 6D 00 75 00 6D 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 53 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 52 00 65 00 74 00 65 00 6E 00 74 00 69 00 6F 00 6E 00 50 00 65 00 72 00 69 00 6F 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_3349_0 {
	meta:
		name = "TAmazonQueueService.ListQueuesXML"
		size = 256
		refs = "0019 TAmazonQueueService.ListQueuesXML 002b TAmazonBasicService.BuildQueryParameters 005b @UStrClr 0065 TAmazonService.GetConnectionInfo 006d TAmazonConnectionInfo.GetQueueURL 007a TAmazonBasicService.IssueRequest 009d TObject.Free 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 F4 85 FF 74 0A 8B D7 8B 45 F4 8B 08 FF 51 40 33 C0 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 50 8B 45 08 E8 ?? ?? ?? ?? 50 6A 00 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 4D F4 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0D 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 69 00 73 00 74 00 51 00 75 00 65 00 75 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_3350_0 {
	meta:
		name = "TAmazonQueueService.ListQueues"
		size = 536
		refs = "0021 TAmazonQueueService.ListQueues 0036 TAmazonQueueService.ListQueuesXML 003f EmptyStr 0046 @UStrEqual 0056 _DV_TList<Data.Cloud.CloudAPI.TCloudQueue> 005b TList<Data.Cloud.CloudAPI.TCloudQueue>.Create 0066 _Dn_TXMLDocument 006b TXMLDocument.Create 007f @IntfCopy 011a TCloudQueue.Create 0124 TList<Data.Cloud.CloudAPI.TCloudQueue>.Add 0158 @IntfClear 0160 @UStrClr 0169 TCloudQueue 016e @FinalizeRecord 0197 IXMLNode 01a1 @FinalizeArray 01b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 07 33 DB E9 F4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 91 A0 00 00 00 8D 55 E8 8B 45 F8 8B 08 FF 51 18 8B 45 E8 8D 55 EC 8B 08 FF 51 14 8B 45 EC 8D 4D F4 BA ?? ?? ?? ?? 8B 30 FF 56 38 83 7D F4 00 0F 84 86 00 00 00 8B 45 F4 8B 10 FF 52 24 84 C0 74 7A 8D 55 E4 8B 45 F4 8B 08 FF 51 14 8B 45 E4 8D 4D F0 BA ?? ?? ?? ?? 8B 30 FF 56 38 83 7D F0 00 74 59 8D 55 E0 8B 45 F0 8B 08 FF 51 34 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 20 8D 55 D4 8B 45 F0 8B 08 FF 51 50 8B 45 D4 8D 55 D8 E8 ?? ?? ?? ?? 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 F0 8B 08 FF 91 90 00 00 00 8B 55 D0 8D 45 F0 E8 ?? ?? ?? ?? 83 7D F0 00 75 A7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 97 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4C 00 69 00 73 00 74 00 51 00 75 00 65 00 75 00 65 00 73 00 52 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 51 00 75 00 65 00 75 00 65 00 55 00 72 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_3351_0 {
	meta:
		name = "TAmazonQueueService.CreateQueue"
		size = 93
		refs = "0012 TAmazonQueueService.CreateQueue 0025 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8B 45 08 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3352_0 {
	meta:
		name = "TAmazonQueueService.CreateQueue"
		size = 812
		refs = "0030 TAmazonQueueService.CreateQueue 0042 TAmazonBasicService.BuildQueryParameters 0054 TStrings.SetValue 0063 IntToStr 0092 @UStrClr 009c TAmazonService.GetConnectionInfo 00a4 TAmazonConnectionInfo.GetQueueURL 00b1 TAmazonBasicService.IssueRequest 00c2 TCloudHTTP.GetResponseCode 00df TObject.Free 00f2 EmptyStr 00f9 @UStrEqual 0108 _Dn_TXMLDocument 010d TXMLDocument.Create 0121 @IntfCopy 01aa @UStrAsg 01dd @HandleFinally 01fc @IntfClear 0219 @UStrArrayClr 0222 IXMLNode 022c @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D EC 8B FA 8B D8 8B 75 0C 8B 45 EC 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E0 8B CF BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 83 FE FF 7E 1A 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 4D DC BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 50 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 8B C3 E8 ?? ?? ?? ?? 8D 55 D8 E8 ?? ?? ?? ?? 8B 55 D8 8B 4D E0 8B C3 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 74 0F 8B 45 E4 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EB 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 80 7D EB 00 0F 84 C1 00 00 00 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 AB 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 91 A0 00 00 00 8D 55 D0 8B 45 F8 8B 08 FF 51 18 8B 45 D0 8D 55 D4 8B 08 FF 51 14 8B 45 D4 8D 4D F4 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F4 00 74 4F 8B 45 F4 8B 10 FF 52 24 84 C0 74 43 8D 55 CC 8B 45 F4 8B 08 FF 51 14 8B 45 CC 8D 4D F0 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F0 00 74 22 8B 45 F0 8B 10 FF 52 28 84 C0 74 16 8D 55 C8 8B 45 F0 8B 08 FF 51 50 8B 55 C8 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A8 0F B6 45 EB 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 51 00 75 00 65 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 51 00 75 00 65 00 75 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 56 00 69 00 73 00 69 00 62 00 69 00 6C 00 69 00 74 00 79 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 51 00 75 00 65 00 75 00 65 00 52 00 65 00 73 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 51 00 75 00 65 00 75 00 65 00 55 00 72 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_3353_0 {
	meta:
		name = "TAmazonQueueService.DeleteMessage"
		size = 264
		refs = "0010 TAmazonQueueService.DeleteMessage 0017 TAmazonBasicService.BuildQueryParameters 0029 TStrings.SetValue 004e TAmazonBasicService.IssueRequest 005f TCloudHTTP.GetResponseCode 008f TObject.Free 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B CF BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 50 6A 00 8B 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 0F 8B 45 F8 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0D 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 0F B6 45 FF 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 65 00 6C 00 65 00 74 00 65 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 63 00 65 00 69 00 70 00 74 00 48 00 61 00 6E 00 64 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_3354_0 {
	meta:
		name = "TAmazonQueueService.DeleteQueue"
		size = 200
		refs = "0010 TAmazonQueueService.DeleteQueue 0017 TAmazonBasicService.BuildQueryParameters 003c TAmazonBasicService.IssueRequest 004d TCloudHTTP.GetResponseCode 007d TObject.Free 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 57 6A 00 8B 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 0F 8B 45 F8 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0D 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 65 00 6C 00 65 00 74 00 65 00 51 00 75 00 65 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_3355_0 {
	meta:
		name = "TAmazonQueueService.GetQueuePropertiesXML"
		size = 532
		refs = "0035 TAmazonQueueService.GetQueuePropertiesXML 0047 TAmazonBasicService.BuildQueryParameters 0068 TStrings.SetValue 007d TAmazonQueueService.GetQueueAttributeName 00da Format 010c @UStrClr 011c TAmazonBasicService.IssueRequest 013f TObject.Free 0152 @HandleFinally 016e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D E8 89 5D E4 89 5D EC 8B 5D 10 85 DB 78 0A C1 EB 02 8B 34 99 4B 56 79 F9 8B CC 8B D9 89 55 FC 8B F0 8B 7D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 F4 8B C7 8B D0 42 83 EA 00 85 D2 7F 17 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E9 80 00 00 00 4A 75 1F 0F B6 13 8D 4D EC 8B C6 E8 ?? ?? ?? ?? 8B 4D EC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 5E C7 45 F0 01 00 00 00 85 C0 7C 53 40 89 C7 0F B6 13 8D 4D E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 45 E4 50 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8B 45 F0 89 45 DC C6 45 E0 00 8D 55 D4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F4 59 E8 ?? ?? ?? ?? FF 45 F0 43 4F 75 B0 33 C0 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 0C 50 8B 45 08 E8 ?? ?? ?? ?? 50 6A 00 8B 4D F4 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0D 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 7D C8 8B 75 CC 8B 5D D0 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 47 00 65 00 74 00 51 00 75 00 65 00 75 00 65 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2E 00 25 00 64 00 00 00 }
	condition:
		$1
}

rule function_3356_0 {
	meta:
		name = "TAmazonQueueService.GetServiceHost"
		size = 23
		refs = "0009 TAmazonService.GetConnectionInfo 0010 TAmazonConnectionInfo.GetQueueEndpoint"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80654_0 {
	meta:
		name = "ColorToWebColorName"
		size = 23
		refs = "0009 ColorToRGB 0010 RGBToWebColorName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59462_0 {
	meta:
		name = "TAbstractObjectMemberInstance.GetEnumerator"
		size = 23
		refs = "0009 TAbstractObjectMemberInstance.GetCache 0010 TObjectWrapper.GetEnumerator"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3381_0 {
	meta:
		name = "TAmazonTableService.GetServiceHost"
		size = 23
		refs = "0009 TAmazonService.GetConnectionInfo 0010 TAmazonConnectionInfo.GetTableEndpoint"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96795_0 {
	meta:
		name = "TCustomAdapter.FindAction"
		size = 23
		refs = "0009 TCustomAdapter.GetVisibleActions 0010 FindAdapterAction"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96796_0 {
	meta:
		name = "TCustomAdapter.FindField"
		size = 23
		refs = "0009 TCustomAdapter.GetVisibleFields 0010 FindAdapterField"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95296_0 {
	meta:
		name = "TCustomGridBehavior.SetGridSizeX"
		size = 23
		refs = "0009 TCustomGridBehavior.GetInfo 0010 TGridInfo.SetGridSizeX"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95297_0 {
	meta:
		name = "TCustomGridBehavior.SetGridSizeY"
		size = 23
		refs = "0009 TCustomGridBehavior.GetInfo 0010 TGridInfo.SetGridSizeY"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84706_0 {
	meta:
		name = "TFileAction.GetFileName"
		size = 23
		refs = "0009 TFileAction.GetDialog 0010 TOpenDialog.GetFileName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84707_0 {
	meta:
		name = "TFileAction.SetFileName"
		size = 23
		refs = "0009 TFileAction.GetDialog 0010 TOpenDialog.SetFileName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43380_0 {
	meta:
		name = "TIWBaseHTMLComponent.DoHTMLTag"
		size = 23
		refs = "0009 TIWBaseHTMLComponent.BaseHTMLComponentImplementation 0010 TIWBaseHTMLComponentImplementation.DoHTMLTag"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44080_0 {
	meta:
		name = "TIWCustomControl.set_ScriptEvents"
		size = 23
		refs = "0009 TIWCustomControl.HTMLControlImplementation 0010 TIWHTMLControlImplementation.SetScriptEvents"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82925_0 {
	meta:
		name = "TOutlineNode.GetNode"
		size = 23
		refs = "0009 TOutlineNode.GetList 0010 TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67267_0 {
	meta:
		name = "TRealPackage.GetName"
		size = 23
		refs = "0009 TRttiPackage.GetHandle 0010 GetModuleName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93776_0 {
	meta:
		name = "TSeriesMarks.SetArrowLength"
		size = 23
		refs = "0009 TSeriesMarks.GetCallout 0010 TMarksCallout.SetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93800_0 {
	meta:
		name = "TSeriesMarks.SetArrowPen"
		size = 23
		refs = "0009 TSeriesMarks.GetCallout 0010 TCallout.SetArrow"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97157_0 {
	meta:
		name = "TValuesListValueField.ImplGetValue"
		size = 23
		refs = "0009 TBaseValuesListField.GetAdapter 0010 TBaseValuesListAdapter.GetListValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3357_0 {
	meta:
		name = "TAmazonQueueService.GetServiceVersion"
		size = 56
		refs = "0006 TAmazonQueueService.GetServiceVersion 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 32 00 2D 00 30 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_3358_0 {
	meta:
		name = "TAmazonQueueService.GetQueuePropertiesXML"
		size = 46
		refs = "0022 TAmazonQueueService.GetQueuePropertiesXML"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B F2 8B F8 6A 00 8B 45 0C 50 8B 45 08 50 88 5D FC 8D 4D FC 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_3359_0 {
	meta:
		name = "TAmazonQueueService.GetQueueProperties"
		size = 28
		refs = "0012 TAmazonQueueService.GetQueueProperties"
	strings:
		$1 = { 55 8B EC 51 53 6A 00 8B 5D 08 53 88 4D FC 8D 4D FC E8 ?? ?? ?? ?? 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3360_0 {
	meta:
		name = "TAmazonQueueService.GetQueueProperties"
		size = 740
		refs = "0033 TAmazonQueueService.GetQueueProperties 0055 TAmazonQueueService.GetQueuePropertiesXML 005e EmptyStr 0065 @UStrEqual 0074 _Dn_TXMLDocument 0079 TXMLDocument.Create 008d @IntfCopy 00de _Dn_TStringList 00e3 TStringList.Create 0110 GetFirstMatchingChildNode 01a6 TStrings.SetValue 01d2 @HandleFinally 01f3 @IntfClear 01fb @UStrClr 0204 IXMLNodeList 020e @FinalizeArray 0217 IXMLNode 0236 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B 5D 0C 85 DB 78 0A C1 EB 02 8B 34 99 4B 56 79 F9 8B CC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E0 8B 45 0C 50 8B 45 08 50 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 73 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F4 8B 08 FF 91 A0 00 00 00 8D 55 F0 8B 45 F4 8B 08 FF 51 18 8B 45 F0 8B 10 FF 52 24 84 C0 0F 84 28 01 00 00 8D 55 DC 8B 45 F0 8B 08 FF 51 14 8B 45 DC 8D 4D EC BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D EC 00 74 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 83 7D EC 00 0F 84 EE 00 00 00 8B 45 EC 8B 10 FF 52 24 84 C0 0F 84 DE 00 00 00 8D 4D E8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 83 7D E8 00 0F 84 C4 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8B 45 E8 8B 08 FF 51 14 8B 45 D8 8D 4D E4 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D E4 00 74 5D 8B 45 E4 8B 10 FF 52 28 84 C0 74 51 8D 55 F8 8B 45 E4 8B 08 FF 51 50 8D 55 D4 8B 45 E8 8B 08 FF 51 14 8B 45 D4 8D 4D E4 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D E4 00 74 25 8B 45 E4 8B 10 FF 52 28 84 C0 74 19 8D 55 D0 8B 45 E4 8B 08 FF 51 50 8B 4D D0 8B 55 F8 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 CC 8B 45 E8 8B 08 FF 91 90 00 00 00 8B 55 CC 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 83 7D E8 00 0F 85 3C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AD 8B 45 E0 8B 7D C0 8B 75 C4 8B 5D C8 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 18 00 00 00 47 00 65 00 74 00 51 00 75 00 65 00 75 00 65 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 73 00 52 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 61 00 6C 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_3361_0 {
	meta:
		name = "TAmazonQueueService.SetQueueProperty"
		size = 364
		refs = "0014 TAmazonQueueService.SetQueueProperty 001b TAmazonBasicService.BuildQueryParameters 0026 EmptyStr 002d @UStrEqual 0042 TStrings.SetValue 0077 TAmazonBasicService.IssueRequest 0088 TCloudHTTP.GetResponseCode 00b8 TObject.Free 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8B FA 8B D8 C6 45 FF 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 9A 00 00 00 8B CE BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D 0C BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 50 6A 00 8B 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 0F 8B 45 F8 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0D 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 0F B6 45 FF 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 53 00 65 00 74 00 51 00 75 00 65 00 75 00 65 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 2E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 2E 00 56 00 61 00 6C 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_3362_0 {
	meta:
		name = "TAmazonQueueService.AddQueuePermissions"
		size = 696
		refs = "003c TAmazonQueuePermission 0041 @AddRefArray 004f @InitializeRecord 0057 TAmazonQueueService.AddQueuePermissions 006a TAmazonBasicService.BuildQueryParameters 007c TStrings.SetValue 00b0 @CopyRecord 00d9 Format 011f TAmazonQueuePermission.GetAction 015d TAmazonBasicService.IssueRequest 016e TCloudHTTP.GetResponseCode 019e TObject.Free 01b1 @HandleFinally 01cd @UStrArrayClr 01d5 @UStrClr 01e3 @FinalizeRecord 01f5 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D CC 89 5D C8 89 5D E0 8B 5D 10 8B 75 0C 03 F6 46 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 10 8B D9 89 55 F0 89 45 F4 8B 4D 0C 41 8B 45 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E4 8B CB BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 0C 8B D0 42 83 EA 00 85 D2 0F 8E A9 00 00 00 BE 01 00 00 00 8B F8 85 FF 0F 8C 9A 00 00 00 47 8B 5D 10 8D 45 F8 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 50 B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 89 75 D8 C6 45 DC 00 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 4D F8 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 CC 50 B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 89 75 D8 C6 45 DC 00 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8D 55 C8 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D C8 8B 45 E4 5A E8 ?? ?? ?? ?? 46 83 C3 08 4F 0F 85 6A FF FF FF 33 C0 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 50 6A 00 8B 4D E4 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 74 0F 8B 45 E8 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 10 8B 4D 0C 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C3 0F B6 45 EF 8B 7D BC 8B 75 C0 8B 5D C4 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 64 00 64 00 50 00 65 00 72 00 6D 00 69 00 73 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 61 00 62 00 65 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 41 00 57 00 53 00 41 00 63 00 63 00 6F 00 75 00 6E 00 74 00 49 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2E 00 25 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 41 00 63 00 74 00 69 00 6F 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_3363_0 {
	meta:
		name = "TAmazonQueueService.RemoveQueuePermissions"
		size = 256
		refs = "0010 TAmazonQueueService.RemoveQueuePermissions 0017 TAmazonBasicService.BuildQueryParameters 0029 TStrings.SetValue 004e TAmazonBasicService.IssueRequest 005f TCloudHTTP.GetResponseCode 008f TObject.Free 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B CF BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 50 6A 00 8B 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 0F 8B 45 F8 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0D 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 0F B6 45 FF 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 52 00 65 00 6D 00 6F 00 76 00 65 00 50 00 65 00 72 00 6D 00 69 00 73 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 61 00 62 00 65 00 6C 00 00 00 }
	condition:
		$1
}

rule function_3364_0 {
	meta:
		name = "TAmazonQueueService.AddMessage"
		size = 93
		refs = "0012 TAmazonQueueService.AddMessage 0020 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3365_0 {
	meta:
		name = "TAmazonQueueService.AddMessage"
		size = 684
		refs = "002b TAmazonQueueService.AddMessage 003d TAmazonBasicService.BuildQueryParameters 004f TStrings.SetValue 006e @UStrClr 007d TAmazonBasicService.IssueRequest 008e TCloudHTTP.GetResponseCode 00b1 EmptyStr 00b8 @UStrEqual 00c7 _Dn_TXMLDocument 00cc TXMLDocument.Create 00e0 @IntfCopy 017b @UStrAsg 019b TObject.Free 01ae @HandleFinally 01ce IXMLNodeList 01d8 @FinalizeArray 01e1 IXMLNode 01f3 @IntfClear"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E0 8B CF BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 50 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 8B 4D E0 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 74 0F 8B 45 E4 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EB 80 7D EB 00 0F 84 D3 00 00 00 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 BD 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 91 A0 00 00 00 8D 55 F4 8B 45 F8 8B 08 FF 51 18 83 7D F4 00 74 7C 8B 45 F4 8B 10 FF 52 24 84 C0 74 70 8D 55 DC 8B 45 F4 8B 08 FF 51 14 8B 45 DC 8D 4D F0 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F0 00 74 4F 8B 45 F0 8B 10 FF 52 24 84 C0 74 43 8D 55 D8 8B 45 F0 8B 08 FF 51 14 8B 45 D8 8D 4D EC BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D EC 00 74 22 8B 45 EC 8B 10 FF 52 28 84 C0 74 16 8D 55 D4 8B 45 EC 8B 08 FF 51 50 8B 55 D4 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BA 0F B6 45 EB 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 6E 00 64 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 42 00 6F 00 64 00 79 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 53 00 65 00 6E 00 64 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 52 00 65 00 73 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 49 00 64 00 00 00 }
	condition:
		$1
}

rule function_3366_0 {
	meta:
		name = "TAmazonQueueService.GetMessagesXML"
		size = 488
		refs = "001f TAmazonQueueService.GetMessagesXML 0031 TAmazonBasicService.BuildQueryParameters 0046 TStrings.SetValue 0054 IntToStr 00a2 @UStrClr 00b2 TAmazonBasicService.IssueRequest 00d5 TObject.Free 00e8 @HandleFinally 0104 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 8B F1 89 55 FC 8B D8 8B 7D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 85 F6 7E 1A 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 FF FF 7E 1A 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 8B 4D EC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 0C 50 8B 45 08 E8 ?? ?? ?? ?? 50 6A 00 8B 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0D 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 65 00 63 00 65 00 69 00 76 00 65 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 4D 00 61 00 78 00 4E 00 75 00 6D 00 62 00 65 00 72 00 4F 00 66 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 56 00 69 00 73 00 69 00 62 00 69 00 6C 00 69 00 74 00 79 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 }
	condition:
		$1
}

rule function_3367_0 {
	meta:
		name = "TAmazonQueueService.GetMaxMessageReturnCount"
		size = 6
		altNames = "TEncodingInfoIsoLatinGreek.MIBenum TExtendedField.GetDataSize TField.GetDefaultWidth THorizAreaSeries.NumSampleValues"
	strings:
		$1 = { B8 0A 00 00 00 C3 }
	condition:
		$1
}

rule function_3368_0 {
	meta:
		name = "TAmazonQueueService.IsUniqueMessageId"
		size = 160
		refs = "0011 EmptyStr 0018 @UStrEqual 002f TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.GetEnumerator 003a TAmazonQueueService.IsUniqueMessageId 004a TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.TEnumerator.GetCurrent 005f @TryFinallyExit 0069 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.TEnumerator.MoveNext 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 33 DB 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 7A 85 FF 74 76 83 7F 08 00 75 04 B3 01 EB 6C 8B C7 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1F 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 47 08 8B D6 E8 ?? ?? ?? ?? 75 09 33 DB E8 ?? ?? ?? ?? EB 33 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 B3 01 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3369_0 {
	meta:
		name = "TAmazonQueueService.GetMessages"
		size = 1136
		refs = "0020 TAmazonQueueService.GetMessages 0043 TAmazonQueueService.GetMessagesXML 004c EmptyStr 0053 @UStrEqual 0062 _Dn_TXMLDocument 0067 TXMLDocument.Create 007b @IntfCopy 00cc _DV_TList<Data.Cloud.CloudAPI.TCloudQueueMessage> 00d1 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Create 00fe GetFirstMatchingChildNode 0161 TAmazonQueueService.IsUniqueMessageId 01ab _Dn_TCloudQueueMessage 01b0 TCloudQueueMessage.Create 0209 @UStrAsg 0254 TStrings.SetValue 0271 PopulateKeyValuePairs 02a8 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Add 02ae @HandleFinally 02cf @IntfClear 02d7 @UStrClr 0300 IXMLNodeList 030a @FinalizeArray 0313 IXMLNode 0332 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F1 8B DA 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 DC 8B 45 0C 50 8B 45 08 50 8D 45 FC 50 8B CE 8B D3 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 61 02 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F4 8B 08 FF 91 A0 00 00 00 8D 55 F0 8B 45 F4 8B 08 FF 51 18 8B 45 F0 8B 10 FF 52 24 84 C0 0F 84 16 02 00 00 8D 55 D4 8B 45 F0 8B 08 FF 51 14 8B 45 D4 8D 4D EC BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D EC 00 74 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 83 7D EC 00 0F 84 DC 01 00 00 8B 45 EC 8B 10 FF 52 24 84 C0 0F 84 CC 01 00 00 8D 4D E8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 83 7D E8 00 0F 84 B2 01 00 00 33 C0 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D0 8B 45 E8 8B 08 FF 51 14 8B 45 D0 8D 4D E4 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D E4 00 74 77 8B 45 E4 8B 10 FF 52 28 84 C0 74 6B 8D 55 F8 8B 45 E4 8B 08 FF 51 50 8B 4D DC 8B 55 F8 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 74 4E 8D 55 CC 8B 45 E8 8B 08 FF 51 14 8B 45 CC 8D 4D E4 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D E4 00 74 2D 8B 45 E4 8B 10 FF 52 28 84 C0 74 21 8D 55 C8 8B 45 E4 8B 08 FF 51 50 8B 45 C8 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 00 0F 84 B4 00 00 00 83 7D 0C 00 7E 46 8D 55 C4 8B 45 E8 8B 08 FF 51 14 8B 45 C4 8D 4D E4 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D E4 00 74 25 8B 45 E4 8B 10 FF 52 28 84 C0 74 19 8D 55 C0 8B 45 E4 8B 08 FF 51 50 8B 55 C0 8B 45 D8 83 C0 10 E8 ?? ?? ?? ?? 8D 55 BC 8B 45 E8 8B 08 FF 51 14 8B 45 BC 8D 4D E4 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D E4 00 74 2A 8B 45 E4 8B 10 FF 52 28 84 C0 74 1E 8D 55 B8 8B 45 E4 8B 08 FF 51 50 8B 4D B8 8B 45 D8 8B 40 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 D8 8B 50 04 B9 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 B4 8B 45 E8 8B 08 FF 91 90 00 00 00 8B 55 B4 8D 45 E8 E8 ?? ?? ?? ?? 83 7D D8 00 74 0B 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 83 7D E8 00 0F 85 4E FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8D 8B 45 DC 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 52 00 65 00 63 00 65 00 69 00 76 00 65 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 52 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 49 00 64 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 6F 00 64 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 63 00 65 00 69 00 70 00 74 00 48 00 61 00 6E 00 64 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 44 00 35 00 4F 00 66 00 42 00 6F 00 64 00 79 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_3370_0 {
	meta:
		name = "TAmazonQueueService.PeekMessages"
		size = 20
		refs = "000b TAmazonQueueService.GetMessages"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81996_0 {
	meta:
		name = "TCustomImageList.InsertMasked"
		size = 20
		refs = "000b TCustomImageList.InsertImage"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3371_0 {
	meta:
		name = "TAmazonQueueService.ChangeMessageVisibility"
		size = 404
		refs = "0018 TAmazonQueueService.ChangeMessageVisibility 002a TAmazonBasicService.BuildQueryParameters 003c TStrings.SetValue 0047 IntToStr 007c TAmazonBasicService.IssueRequest 008d TCloudHTTP.GetResponseCode 00bd TObject.Free 00d0 @HandleFinally 00e7 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B CF BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 0C E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 50 6A 00 8B 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 0F 8B 45 F8 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0D 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 17 00 00 00 43 00 68 00 61 00 6E 00 67 00 65 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 56 00 69 00 73 00 69 00 62 00 69 00 6C 00 69 00 74 00 79 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 63 00 65 00 69 00 70 00 74 00 48 00 61 00 6E 00 64 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 56 00 69 00 73 00 69 00 62 00 69 00 6C 00 69 00 74 00 79 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 }
	condition:
		$1
}

rule function_3372_0 {
	meta:
		name = "TAmazonObjectResult.Create"
		size = 115
		refs = "0011 TAmazonObjectResult 0016 @InitializeRecord 001e TAmazonObjectResult.Create 002e @UStrLAsg 003e @CopyRecord 0061 @FinalizeRecord 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 8B F2 8B D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 DC 8B D3 E8 ?? ?? ?? ?? 8B C6 8D 55 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 F8 01 C6 45 F9 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3373_0 {
	meta:
		name = "TAmazonBasicService.BuildQueryParameters"
		size = 500
		refs = "0014 @UStrAddRef 001c TAmazonBasicService.BuildQueryParameters 0029 _Dn_TStringList 002e TStringList.Create 003f TStrings.SetValue 00ca @UStrArrayClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B 46 08 8B 08 FF 51 40 8B 4D F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B C6 8B 08 FF 91 80 00 00 00 8B 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 8B 08 FF 51 78 8B 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 41 00 57 00 53 00 41 00 63 00 63 00 65 00 73 00 73 00 4B 00 65 00 79 00 49 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 48 00 6D 00 61 00 63 00 53 00 48 00 41 00 32 00 35 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 69 00 67 00 6E 00 61 00 74 00 75 00 72 00 65 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 32 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 69 00 67 00 6E 00 61 00 74 00 75 00 72 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 69 00 6D 00 65 00 73 00 74 00 61 00 6D 00 70 00 00 00 }
	condition:
		$1
}

rule function_3374_0 {
	meta:
		name = "TAmazonBasicService.BuildStringToSignPrefix"
		size = 180
		refs = "001b TAmazonBasicService.BuildStringToSignPrefix 002c TCloudService.BuildStringToSignPrefix 0062 Format 006c @UStrAsg 0081 @UStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 5D E8 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 06 89 45 EC C6 45 F0 11 8D 55 E8 8B C3 8B 08 FF 91 84 00 00 00 8B 45 E8 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 25 00 73 00 0A 00 00 00 }
	condition:
		$1
}

rule function_3375_0 {
	meta:
		name = "TAmazonBasicService.CreateAuthInstance"
		size = 17
		refs = "0005 _DV_TAmazonAuthentication 000c TAmazonAuthentication.Create"
	strings:
		$1 = { 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71187_0 {
	meta:
		name = "TObjectDispatch.GetObjectDispatch"
		size = 17
		refs = "0005 _DV_TObjectDispatch 000c TObjectDispatch.Create"
	strings:
		$1 = { 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3376_0 {
	meta:
		name = "TAmazonBasicService.IssueRequest"
		size = 235
		refs = "0018 @UStrAddRef 002b TAmazonBasicService.IssueRequest 0050 EmptyStr 0060 @UStrClr 00b6 TAmazonBasicService.ParseResponseError 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 89 55 FC 89 45 F8 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F3 85 DB 0F 94 C0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 84 C0 74 29 57 A1 ?? ?? ?? ?? 8B 00 50 8B 45 10 50 56 8B 45 0C E8 ?? ?? ?? ?? 50 33 C9 8B 55 FC 8B 45 F8 8B 18 FF 53 68 89 45 F4 EB 26 57 A1 ?? ?? ?? ?? 8B 00 50 8B 45 10 50 8B 45 0C E8 ?? ?? ?? ?? 50 33 C9 8B 55 FC 8B 45 F8 8B 18 FF 53 50 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 4D 0C 8B 09 8B 55 10 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_3377_0 {
	meta:
		name = "TAmazonBasicService.IssueRequest"
		size = 117
		refs = "0018 @UStrAddRef 0020 TAmazonBasicService.IssueRequest 0032 @UStrClr 005f @UStrArrayClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 08 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_3378_0 {
	meta:
		name = "TAmazonBasicService.ParseResponseError"
		size = 1252
		refs = "001e TAmazonBasicService.ParseResponseError 0036 EmptyStr 003d @UStrEqual 004c _Dn_TXMLDocument 0051 TXMLDocument.Create 0065 @IntfCopy 0091 Format 009b AnsiPos 01f9 @UStrAsg 0257 TStrings.SetValue 02ed @UStrClr 02f5 @IntfClear 02fe IXMLNode 0308 @FinalizeArray 0339 IXMLNodeList 038e @UStrArrayClr 03af @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 10 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F1 89 55 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D E4 00 0F 84 A7 02 00 00 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 92 02 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC 8B 08 FF 91 A0 00 00 00 8D 45 E0 50 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8D 55 D8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 9F C3 84 DB 75 14 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E A1 01 00 00 84 DB 74 4E 8D 55 D0 8B 45 FC 8B 08 FF 51 18 8B 45 D0 8D 55 D4 8B 08 FF 51 14 8B 45 D4 8D 4D F4 BA ?? ?? ?? ?? 8B 18 FF 53 38 8D 55 C8 8B 45 F4 8B 08 FF 51 14 8B 45 C8 8D 4D CC BA ?? ?? ?? ?? 8B 18 FF 53 38 8B 55 CC 8D 45 F4 E8 ?? ?? ?? ?? EB 26 8D 55 C0 8B 45 FC 8B 08 FF 51 18 8B 45 C0 8D 55 C4 8B 08 FF 51 14 8B 45 C4 8D 4D F4 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F4 00 0F 84 BF 00 00 00 8B 45 F4 8B 10 FF 52 24 84 C0 0F 84 AF 00 00 00 8D 55 BC 8B 45 F4 8B 08 FF 51 14 8B 45 BC 8D 4D F0 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F0 00 74 0B 8D 55 E8 8B 45 F0 8B 08 FF 51 50 8B 45 E8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 71 8D 55 B8 8B 45 F4 8B 08 FF 51 14 8B 45 B8 8D 4D F8 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F8 00 74 0B 8D 55 EC 8B 45 F8 8B 08 FF 51 50 8D 45 B4 50 8B 45 E4 8B 40 08 89 45 9C C6 45 A0 11 8B 45 E8 89 45 A4 C6 45 A8 11 8B 45 EC 89 45 AC C6 45 B0 11 8D 55 9C B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B 45 E4 83 C0 08 E8 ?? ?? ?? ?? 8D 55 94 8B 45 FC 8B 08 FF 51 18 8B 45 94 8D 55 98 8B 08 FF 51 14 8B 45 98 8D 4D F8 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F8 00 0F 84 AC 00 00 00 8B 45 F8 8B 10 FF 52 28 84 C0 0F 84 9C 00 00 00 8D 55 90 8B 45 F8 8B 08 FF 51 50 8B 4D 90 8B 45 E4 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7C 8D 55 88 8B 45 FC 8B 08 FF 51 18 8B 45 88 8D 55 8C 8B 08 FF 51 14 8B 45 8C 8D 4D F8 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F8 00 74 50 8D 55 80 8B 45 F8 8B 08 FF 51 14 8B 45 80 8D 4D 84 BA ?? ?? ?? ?? 8B 18 FF 53 38 8B 55 84 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 24 8D 95 7C FF FF FF 8B 45 F8 8B 08 FF 51 50 8B 8D 7C FF FF FF 8B 45 E4 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 84 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 2E FF FF FF 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 45 00 72 00 72 00 6F 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 25 00 73 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 3C 00 45 00 72 00 72 00 6F 00 72 00 52 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 45 00 72 00 72 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 6F 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 25 00 73 00 20 00 2D 00 20 00 25 00 73 00 20 00 28 00 25 00 73 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 49 00 64 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 52 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_3379_0 {
	meta:
		name = "TAmazonBasicService.PrepareRequestSignature"
		size = 460
		refs = "001e TAmazonBasicService.PrepareRequestSignature 004b TStrings.SetValue 0058 @UStrEqual 0083 @UStrAsg 0090 TCloudHTTP.GetRequest 00af EmptyStr 00cc @UStrCopy 00d6 _Dn_TStringStream 00db TStringStream.Create 00f5 @UStrClr 00fd @IntfClear 0112 @UStrArrayClr 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B D8 8B 75 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 04 00 0F 84 B2 00 00 00 8D 4D FC 8B 55 14 8B 43 04 8B 38 FF 57 14 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 08 8B 45 08 83 38 00 74 23 6A 00 6A 01 8D 45 F0 50 8B 55 10 8B 12 8B CE 8B C3 8B 18 FF 53 14 8B 55 F0 8B 45 10 E8 ?? ?? ?? ?? EB 5B 8D 55 EC 8B 45 0C E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? 8B 08 FF 51 18 8D 45 F8 50 6A 00 6A 01 8D 45 E8 50 8B 15 ?? ?? ?? ?? 8B 12 8B CE 8B C3 8B 18 FF 53 14 8B 45 E8 B9 FF FF FF 7F BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C2 14 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 69 00 67 00 6E 00 61 00 74 00 75 00 72 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 2D 00 77 00 77 00 77 00 2D 00 66 00 6F 00 72 00 6D 00 2D 00 75 00 72 00 6C 00 65 00 6E 00 63 00 6F 00 64 00 65 00 64 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 75 00 74 00 66 00 2D 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_3380_0 {
	meta:
		name = "TAmazonBasicService.SortQueryParameters"
		size = 28
		refs = "000c CaseSensitiveNameCompare"
	strings:
		$1 = { 56 8B F2 85 F6 74 13 84 C9 75 0F BA ?? ?? ?? ?? 8B C6 8B 08 FF 91 A4 00 00 00 5E C3 }
	condition:
		$1
}

rule function_3382_0 {
	meta:
		name = "TAmazonTableService.GetServiceVersion"
		size = 56
		refs = "0006 TAmazonTableService.GetServiceVersion 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 34 00 2D 00 31 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_3383_0 {
	meta:
		name = "TAmazonTableService.GetTableMetadataXML"
		size = 300
		refs = "0018 TAmazonTableService.GetTableMetadataXML 002a TAmazonBasicService.BuildQueryParameters 003c TStrings.SetValue 0058 @UStrClr 0062 TAmazonService.GetConnectionInfo 006a TAmazonConnectionInfo.GetTableURL 0077 TAmazonBasicService.IssueRequest 009a TObject.Free 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B CF BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 56 8B 45 08 E8 ?? ?? ?? ?? 50 6A 00 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0D 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_3384_0 {
	meta:
		name = "TAmazonTableService.InsertRow"
		size = 1452
		refs = "0026 TAmazonRowConditional 002b @InitializeRecord 0033 TAmazonTableService.InsertRow 0046 TAmazonBasicService.BuildQueryParameters 0058 TStrings.SetValue 0083 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.GetEnumerator 00a1 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.TEnumerator.GetCurrent 00bd Format 0104 @UStrLAsg 011c AnsiCompareText 01b3 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.TEnumerator.MoveNext 01de @HandleFinally 01f4 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.GetEnumerator 0215 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.TEnumerator.GetCurrent 024f BoolToStr 02ac TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.TEnumerator.MoveNext 02fa TAmazonService.GetConnectionInfo 0302 TAmazonConnectionInfo.GetTableURL 0310 TAmazonBasicService.IssueRequest 0321 TCloudHTTP.GetResponseCode 0351 TObject.Free 0380 @UStrArrayClr 0388 @UStrClr 0396 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 8B FA 89 45 E0 8B 5D 14 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 89 45 D4 8B CF BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B CE BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 85 DB 0F 84 71 01 00 00 83 7B 04 00 0F 84 67 01 00 00 33 F6 8B 43 04 E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 12 01 00 00 8B 45 D0 E8 ?? ?? ?? ?? 8B F8 8D 45 C4 50 89 75 BC C6 45 C0 00 8D 55 BC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B 4F 04 8B 45 D4 E8 ?? ?? ?? ?? 8D 45 B8 50 89 75 BC C6 45 C0 00 8D 55 BC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B 4F 08 8B 45 D4 E8 ?? ?? ?? ?? 80 7D 0C 00 74 32 8D 45 FC 8B 57 0C E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 45 CB 0F B6 5D CB 80 F3 01 EB 02 33 DB 84 DB 74 06 C6 45 C8 01 EB 43 80 7D 0C 00 75 32 8D 45 F4 8B 57 0C E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 45 CA 0F B6 45 CA 88 45 C9 EB 04 C6 45 C9 00 0F B6 45 C9 88 45 C8 80 7D C8 00 74 2A 8D 45 B4 50 89 75 BC C6 45 C0 00 8D 55 BC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 B9 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 46 8B 45 D0 E8 ?? ?? ?? ?? 84 C0 0F 85 DE FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D0 00 74 0A B2 01 8B 45 D0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 83 7D 10 00 0F 84 EF 00 00 00 33 F6 8B 45 10 E8 ?? ?? ?? ?? 89 45 CC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 9A 00 00 00 8D 55 E4 8B 45 CC E8 ?? ?? ?? ?? 8D 45 B0 50 89 75 BC C6 45 C0 00 8D 55 BC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8B 4D E4 8B 45 D4 E8 ?? ?? ?? ?? 80 7D EC 00 75 38 8D 4D AC 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 AC 50 8D 45 A8 50 89 75 BC C6 45 C0 00 8D 55 BC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 8B 45 D4 59 E8 ?? ?? ?? ?? EB 28 8D 45 A4 50 89 75 BC C6 45 C0 00 8D 55 BC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8B 4D E8 8B 45 D4 E8 ?? ?? ?? ?? 46 8B 45 CC E8 ?? ?? ?? ?? 84 C0 0F 85 56 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D CC 00 74 0A B2 01 8B 45 CC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 89 45 D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 50 6A 00 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 A0 E8 ?? ?? ?? ?? 8B 55 A0 8B 4D D4 8B 45 E0 E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 00 74 0F 8B 45 D8 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D8 00 74 0D 8B 45 D8 33 D2 89 55 D8 E8 ?? ?? ?? ?? 8B 45 D4 33 D2 89 55 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 0F B6 45 DF 5F 5E 5B 8B E5 5D C2 10 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 75 00 74 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 74 00 65 00 6D 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 2E 00 25 00 64 00 2E 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 2E 00 25 00 64 00 2E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6E 00 6F 00 72 00 65 00 70 00 6C 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 70 00 6C 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 2E 00 25 00 64 00 2E 00 52 00 65 00 70 00 6C 00 61 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 45 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 2E 00 25 00 64 00 2E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 45 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 2E 00 25 00 64 00 2E 00 45 00 78 00 69 00 73 00 74 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 45 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 2E 00 25 00 64 00 2E 00 56 00 61 00 6C 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_3385_0 {
	meta:
		name = "TAmazonTableService.InsertRows"
		size = 1344
		refs = "0032 TAmazonBatchRow 0037 @InitializeRecord 003f TAmazonTableService.InsertRows 0052 TAmazonBasicService.BuildQueryParameters 0064 TStrings.SetValue 0078 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.GetEnumerator 0099 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.TEnumerator.GetCurrent 00b8 Format 00ee TList<Data.Cloud.CloudAPI.TCloudTableColumn>.GetEnumerator 010c TList<Data.Cloud.CloudAPI.TCloudTableColumn>.TEnumerator.GetCurrent 0189 @UStrLAsg 01a1 AnsiCompareText 0245 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.TEnumerator.MoveNext 0270 @HandleFinally 027d TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.TEnumerator.MoveNext 02cb TAmazonService.GetConnectionInfo 02d3 TAmazonConnectionInfo.GetTableURL 02e1 TAmazonBasicService.IssueRequest 02f2 TCloudHTTP.GetResponseCode 0322 TObject.Free 0351 @UStrArrayClr 0359 @UStrClr 036f @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 33 DB 89 5D 94 89 5D 98 89 5D 9C 89 5D B0 89 5D BC 89 5D FC 89 5D F8 89 5D F4 89 5D F0 8B D9 8B F2 89 45 E0 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 89 45 D4 8B CE BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 85 DB 0F 84 3E 02 00 00 33 C0 89 45 CC 8B C3 E8 ?? ?? ?? ?? 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 E7 01 00 00 8D 55 E4 8B 45 C8 E8 ?? ?? ?? ?? 33 F6 8D 45 BC 50 8B 45 CC 89 45 B4 C6 45 B8 00 8D 55 B4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 4D E4 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 E8 89 45 D0 83 7D D0 00 0F 84 9C 01 00 00 8B 45 D0 83 78 04 00 0F 84 8F 01 00 00 8B 45 D0 8B 40 04 E8 ?? ?? ?? ?? 89 45 C4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 39 01 00 00 8B 45 C4 E8 ?? ?? ?? ?? 8B F8 8D 45 B0 50 8B 45 CC 89 45 A0 C6 45 A4 00 89 75 A8 C6 45 AC 00 8D 55 A0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8B 4F 04 8B 45 D4 E8 ?? ?? ?? ?? 8D 45 9C 50 8B 45 CC 89 45 A0 C6 45 A4 00 89 75 A8 C6 45 AC 00 8D 55 A0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B 4F 08 8B 45 D4 E8 ?? ?? ?? ?? 80 7D EC 00 74 32 8D 45 FC 8B 57 0C E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 45 C3 0F B6 5D C3 80 F3 01 EB 02 33 DB 84 DB 74 06 C6 45 C0 01 EB 43 80 7D EC 00 75 32 8D 45 F4 8B 57 0C E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 45 C2 0F B6 45 C2 88 45 C1 EB 04 C6 45 C1 00 0F B6 45 C1 88 45 C0 80 7D C0 00 74 37 8D 45 98 50 8B 45 CC 89 45 A0 C6 45 A4 00 89 75 A8 C6 45 AC 00 8D 55 A0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 98 B9 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 46 8B 45 C4 E8 ?? ?? ?? ?? 84 C0 0F 85 B7 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D C4 00 74 0A B2 01 8B 45 C4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 FF 45 CC 8B 45 C8 E8 ?? ?? ?? ?? 84 C0 0F 85 09 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D C8 00 74 0A B2 01 8B 45 C8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 89 45 D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 50 6A 00 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 94 E8 ?? ?? ?? ?? 8B 55 94 8B 4D D4 8B 45 E0 E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 00 74 0F 8B 45 D8 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D8 00 74 0D 8B 45 D8 33 D2 89 55 D8 E8 ?? ?? ?? ?? 8B 45 D4 33 D2 89 55 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 0F B6 45 DF 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 42 00 61 00 74 00 63 00 68 00 50 00 75 00 74 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 74 00 65 00 6D 00 2E 00 25 00 64 00 2E 00 49 00 74 00 65 00 6D 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 49 00 74 00 65 00 6D 00 2E 00 25 00 64 00 2E 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 2E 00 25 00 64 00 2E 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 49 00 74 00 65 00 6D 00 2E 00 25 00 64 00 2E 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 2E 00 25 00 64 00 2E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6E 00 6F 00 72 00 65 00 70 00 6C 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 70 00 6C 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 49 00 74 00 65 00 6D 00 2E 00 25 00 64 00 2E 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 2E 00 25 00 64 00 2E 00 52 00 65 00 70 00 6C 00 61 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_3386_0 {
	meta:
		name = "TAmazonTableService.GetTableMetadata"
		size = 572
		refs = "0020 TAmazonTableService.GetTableMetadata 0035 TAmazonTableService.GetTableMetadataXML 0043 EmptyStr 004a @UStrEqual 0059 _Dn_TXMLDocument 005e TXMLDocument.Create 0072 @IntfCopy 009d @HandleAnyException 00a8 @DoneExcept 00b9 _Dn_TStringList 00be TStringList.Create 015d TStrings.SetValue 0189 @HandleFinally 01a6 @IntfClear 01b3 @UStrArrayClr 01d4 IXMLNode 01de @FinalizeArray 01ee @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 EC 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 41 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 EC 89 45 EC E8 ?? ?? ?? ?? E9 E4 00 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8D 55 E4 8B 45 F8 8B 08 FF 51 18 8B 45 E4 8D 55 E8 8B 08 FF 51 14 8B 45 E8 8D 4D F4 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F4 00 0F 84 A0 00 00 00 8B 45 F4 8B 10 FF 52 24 84 C0 0F 84 90 00 00 00 8D 55 E0 8B 45 F4 8B 08 FF 51 14 8B 45 E0 8D 55 F0 8B 08 FF 51 34 83 7D F0 00 74 74 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 10 FF 52 28 84 C0 74 26 8D 55 DC 8B 45 F0 8B 08 FF 51 50 8B 45 DC 50 8D 55 D8 8B 45 F0 8B 08 FF 51 34 8B 55 D8 8B 45 EC 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 D4 8B 45 F0 8B 08 FF 91 90 00 00 00 8B 55 D4 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 83 7D F0 00 75 8C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A8 8B 45 EC 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 52 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_3387_0 {
	meta:
		name = "TAmazonTableService.CreateTable"
		size = 316
		refs = "0018 TAmazonTableService.CreateTable 002a TAmazonBasicService.BuildQueryParameters 003c TStrings.SetValue 0059 TAmazonService.GetConnectionInfo 0061 TAmazonConnectionInfo.GetTableURL 006e TAmazonBasicService.IssueRequest 007f TCloudHTTP.GetResponseCode 00af TObject.Free 00c2 @HandleFinally 00d9 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B CF BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 56 6A 00 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 4D F4 8B C3 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 0F 8B 45 F8 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0D 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_3388_0 {
	meta:
		name = "TAmazonTableService.DeleteTable"
		size = 316
		refs = "0018 TAmazonTableService.DeleteTable 002a TAmazonBasicService.BuildQueryParameters 003c TStrings.SetValue 0059 TAmazonService.GetConnectionInfo 0061 TAmazonConnectionInfo.GetTableURL 006e TAmazonBasicService.IssueRequest 007f TCloudHTTP.GetResponseCode 00af TObject.Free 00c2 @HandleFinally 00d9 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B CF BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 56 6A 00 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 4D F4 8B C3 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 0F 8B 45 F8 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0D 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 65 00 6C 00 65 00 74 00 65 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_3389_0 {
	meta:
		name = "TAmazonTableService.QueryTablesXML"
		size = 396
		refs = "001b TAmazonTableService.QueryTablesXML 002d TAmazonBasicService.BuildQueryParameters 003e IntToStr 004e TStrings.SetValue 0056 EmptyStr 005d @UStrEqual 008d @UStrClr 0097 TAmazonService.GetConnectionInfo 009f TAmazonConnectionInfo.GetTableURL 00ac TAmazonBasicService.IssueRequest 00cf TObject.Free 00e2 @HandleFinally 00fe @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F8 85 FF 7E 1A 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B CE BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 0C 50 8B 45 08 E8 ?? ?? ?? ?? 50 6A 00 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0D 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 69 00 73 00 74 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 4D 00 61 00 78 00 4E 00 75 00 6D 00 62 00 65 00 72 00 4F 00 66 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4E 00 65 00 78 00 74 00 54 00 6F 00 6B 00 65 00 6E 00 00 00 }
	condition:
		$1
}

rule function_3390_0 {
	meta:
		name = "TAmazonTableService.QueryTables"
		size = 776
		refs = "0021 TAmazonTableService.QueryTables 003a TAmazonTableService.QueryTablesXML 0048 EmptyStr 004f @UStrEqual 005e _Dn_TXMLDocument 0063 TXMLDocument.Create 0077 @IntfCopy 00a2 @HandleAnyException 00ad @DoneExcept 00be _Dn_TStringList 00c3 TStringList.Create 014c @UStrLAsg 0157 AnsiCompareText 01d7 TStrings.SetValue 0203 @HandleFinally 0224 @IntfClear 0231 @UStrArrayClr 025f IXMLNode 0269 @FinalizeArray 0279 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 DC 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 BA 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 DC 89 45 DC E8 ?? ?? ?? ?? E9 5D 01 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 8D 55 D0 8B 45 F8 8B 08 FF 51 18 8B 45 D0 8D 55 D4 8B 08 FF 51 14 8B 45 D4 8D 4D F4 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F4 00 0F 84 19 01 00 00 8B 45 F4 8B 10 FF 52 24 84 C0 0F 84 09 01 00 00 8D 55 CC 8B 45 F4 8B 08 FF 51 14 8B 45 CC 8D 55 F0 8B 08 FF 51 34 83 7D F0 00 0F 84 E9 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 F0 8B 08 FF 51 34 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 24 8B 45 F0 8B 10 FF 52 28 84 C0 74 6B 8D 55 C8 8B 45 F0 8B 08 FF 51 50 8B 55 C8 8B 45 DC 8B 08 FF 51 38 EB 53 83 7D 08 00 74 4D 8D 55 E4 8B 45 F0 8B 08 FF 51 34 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 45 DB 80 7D DB 00 74 1E 8D 55 C4 8B 45 F0 8B 08 FF 51 50 8B 4D C4 8B 45 08 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 C0 8B 45 F0 8B 08 FF 91 90 00 00 00 8B 55 C0 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 83 7D F0 00 0F 85 17 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9B 8B 45 DC 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 4C 00 69 00 73 00 74 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 73 00 52 00 65 00 73 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4E 00 65 00 78 00 74 00 54 00 6F 00 6B 00 65 00 6E 00 00 00 }
	condition:
		$1
}

rule function_3391_0 {
	meta:
		name = "TAmazonTableService.SelectRowsXML"
		size = 836
		refs = "0025 TAmazonTableService.SelectRowsXML 0037 TAmazonBasicService.BuildQueryParameters 0041 TAmazonService.GetConnectionInfo 0059 TStrings.SetValue 0071 EmptyStr 0078 @UStrEqual 00a5 @UStrClr 00b7 TAmazonConnectionInfo.GetTableURL 00c4 TAmazonBasicService.IssueRequest 00fd _Dn_TXMLDocument 0102 TXMLDocument.Create 0116 @IntfCopy 0143 @HandleAnyException 0150 @UStrAsg 0155 @DoneExcept 015a @TryFinallyExit 01ac GetFirstMatchingChildNode 01f9 TObject.Free 020c @HandleFinally 022b @IntfClear 0244 IXMLNode 024e @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 F0 8B D8 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E8 8B C3 E8 ?? ?? ?? ?? 80 78 50 00 74 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B CF BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 56 8B 45 08 E8 ?? ?? ?? ?? 50 6A 00 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 4D E8 8B C3 E8 ?? ?? ?? ?? 89 45 EC 85 F6 0F 84 0A 01 00 00 81 7E 04 C8 00 00 00 0F 85 FD 00 00 00 8B 45 08 8B 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 E5 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 08 8B 12 8B 45 FC 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 8B 45 08 8B 55 08 8B 12 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AF 00 00 00 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC 8B 08 FF 51 18 8B 45 DC 8D 55 E0 8B 08 FF 51 14 8B 45 E0 8D 4D F8 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F8 00 74 49 8B 45 F8 8B 10 FF 52 24 84 C0 74 3D 8D 4D F4 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 7D F4 00 74 27 8B 45 F4 8B 10 FF 52 28 84 C0 74 1B 8D 55 D8 8B 45 F4 8B 08 FF 51 50 8B 4D D8 8B 46 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 73 00 69 00 73 00 74 00 65 00 6E 00 74 00 52 00 65 00 61 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4E 00 65 00 78 00 74 00 54 00 6F 00 6B 00 65 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 52 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_3392_0 {
	meta:
		name = "TAmazonTableService.GetRowsXML"
		size = 356
		refs = "001e TAmazonTableService.GetRowsXML 0037 @UStrLAsg 0064 Format 00aa TAmazonTableService.SelectRowsXML 00c4 @UStrArrayClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 14 00 74 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7E 1A 8D 45 F4 50 89 75 EC C6 45 F0 00 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 8B 45 F8 89 45 D4 C6 45 D8 11 89 7D DC C6 45 E0 11 8B 45 F4 89 45 E4 C6 45 E8 11 8D 55 D4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B 4D 10 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 74 00 65 00 6D 00 4E 00 61 00 6D 00 65 00 28 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 6C 00 69 00 6D 00 69 00 74 00 20 00 25 00 64 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 25 00 73 00 20 00 66 00 72 00 6F 00 6D 00 20 00 25 00 73 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_3393_0 {
	meta:
		name = "TAmazonTableService.GetRowIDs"
		size = 708
		refs = "0021 TAmazonTableService.GetRowIDs 0045 TAmazonTableService.GetRowsXML 004e EmptyStr 0055 @UStrEqual 0064 _Dn_TXMLDocument 0069 TXMLDocument.Create 007d @IntfCopy 00a8 @HandleAnyException 00b3 @DoneExcept 0104 _Dn_TStringList 0109 TStringList.Create 0152 @UStrLAsg 015d AnsiCompareText 01d5 @HandleFinally 01f6 @IntfClear 01fe @UStrClr 0207 IXMLNodeList 0211 @FinalizeArray 022e @UStrArrayClr 0237 IXMLNode"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E0 6A 01 8B 45 0C 50 8B 45 08 50 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 86 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 E0 89 45 E0 E8 ?? ?? ?? ?? E9 29 01 00 00 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F8 8B 08 FF 51 18 8B 45 D8 8D 55 DC 8B 08 FF 51 14 8B 45 DC 8D 4D F4 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F4 00 0F 84 F4 00 00 00 8B 45 F4 8B 10 FF 52 24 84 C0 0F 84 E4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8D 55 D4 8B 45 F4 8B 08 FF 51 14 8B 45 D4 8D 55 F0 8B 08 FF 51 34 83 7D F0 00 0F 84 B5 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 F0 8B 08 FF 51 34 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 43 8D 55 D0 8B 45 F0 8B 08 FF 51 14 8B 45 D0 8D 4D EC BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D EC 00 74 22 8B 45 EC 8B 10 FF 52 28 84 C0 74 16 8D 55 CC 8B 45 EC 8B 08 FF 51 50 8B 55 CC 8B 45 E0 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 C8 8B 45 F0 8B 08 FF 91 90 00 00 00 8B 55 C8 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 83 7D F0 00 0F 85 4B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 95 8B 45 E0 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 52 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 74 00 65 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_3394_0 {
	meta:
		name = "TAmazonTableService.GetRows"
		size = 1200
		refs = "0021 TAmazonTableService.GetRows 0045 TAmazonTableService.GetRowsXML 004e EmptyStr 0055 @UStrEqual 0064 _Dn_TXMLDocument 0069 TXMLDocument.Create 007d @IntfCopy 00a8 @HandleAnyException 00b3 @DoneExcept 0104 _DV_TList<Data.Cloud.CloudAPI.TCloudTableRow> 0109 TList<Data.Cloud.CloudAPI.TCloudTableRow>.Create 0152 @UStrLAsg 015d AnsiCompareText 01ab _Dn_TCloudTableRow 01b0 TCloudTableRow.Create 01be TList<Data.Cloud.CloudAPI.TCloudTableRow>.Add 01dd TCloudTableRow.SetColumn 0301 @HandleFinally 035b IXMLNode 0365 @FinalizeArray 0372 @UStrArrayClr 037b IXMLNodeList 038d @UStrClr 03a8 @IntfClear"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 D0 6A 00 8B 45 0C 50 8B 45 08 50 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 EA 02 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 D0 89 45 D0 E8 ?? ?? ?? ?? E9 8D 02 00 00 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 F8 8B 08 FF 51 18 8B 45 C0 8D 55 C4 8B 08 FF 51 14 8B 45 C4 8D 4D F4 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F4 00 0F 84 58 02 00 00 8B 45 F4 8B 10 FF 52 24 84 C0 0F 84 48 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 8D 55 BC 8B 45 F4 8B 08 FF 51 14 8B 45 BC 8D 55 F0 8B 08 FF 51 34 83 7D F0 00 0F 84 19 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B 45 F0 8B 08 FF 51 34 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 45 CB 80 7D CB 00 0F 84 A0 01 00 00 8D 55 B8 8B 45 F0 8B 08 FF 51 14 8B 45 B8 8D 4D EC BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D EC 00 0F 84 7B 01 00 00 8B 45 EC 8B 10 FF 52 28 84 C0 0F 84 6B 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 8B 55 CC 8B 45 D0 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 55 B4 8B 45 EC 8B 08 FF 51 50 8B 4D B4 BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8D 55 B0 8B 45 F0 8B 08 FF 51 14 8B 45 B0 8D 55 EC 8B 08 FF 51 34 83 7D EC 00 0F 84 10 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8B 45 EC 8B 08 FF 51 34 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 0F 84 9A 00 00 00 8B 45 EC 8B 10 FF 52 24 84 C0 0F 84 8A 00 00 00 8D 55 AC 8B 45 EC 8B 08 FF 51 14 8B 45 AC 8D 4D E8 BA ?? ?? ?? ?? 8B 18 FF 53 38 8D 55 A8 8B 45 EC 8B 08 FF 51 14 8B 45 A8 8D 4D E4 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D E8 00 74 4E 83 7D E4 00 74 48 8B 45 E8 8B 10 FF 52 28 84 C0 74 3C 8B 45 E4 8B 10 FF 52 28 84 C0 74 30 A1 ?? ?? ?? ?? 8B 00 50 6A 00 8D 55 A4 8B 45 E4 8B 08 FF 51 50 8B 45 A4 50 8D 55 A0 8B 45 E8 8B 08 FF 51 50 8B 55 A0 8B 45 CC 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 9C 8B 45 EC 8B 08 FF 91 90 00 00 00 8B 55 9C 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 83 7D EC 00 0F 85 F0 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 98 8B 45 F0 8B 08 FF 91 90 00 00 00 8B 55 98 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 83 7D F0 00 0F 85 E7 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 67 FF FF FF 8B 45 D0 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 52 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 74 00 65 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 74 00 65 00 6D 00 4E 00 61 00 6D 00 65 00 28 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 61 00 6C 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_3395_0 {
	meta:
		name = "TAmazonTableService.DeleteColumns"
		size = 1292
		refs = "0025 TAmazonRowConditional 002a @InitializeRecord 0032 TAmazonTableService.DeleteColumns 0045 TAmazonBasicService.BuildQueryParameters 0057 TStrings.SetValue 0094 EmptyStr 009b @UStrLAsg 00bf TStrings.GetDelimiter 00c9 @UStrFromWChar 00d4 AnsiPos 00e5 TStrings.GetName 00f2 TStrings.GetValueFromIndex 0122 AnsiCompareText 0145 Format 0163 @UStrEqual 01ae TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.GetEnumerator 01cf TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.TEnumerator.GetCurrent 0209 BoolToStr 0266 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.TEnumerator.MoveNext 0291 @HandleFinally 02b4 TAmazonService.GetConnectionInfo 02bc TAmazonConnectionInfo.GetTableURL 02ca TAmazonBasicService.IssueRequest 02db TCloudHTTP.GetResponseCode 030b TObject.Free 033a @UStrArrayClr 0355 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 8B FA 89 45 DC 8B 75 10 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 89 45 D0 8B CF BA ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 8B CB BA ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 85 F6 0F 84 2C 01 00 00 33 DB 8B C6 8B 10 FF 52 14 48 85 C0 0F 8C 1A 01 00 00 40 89 45 C8 C7 45 CC 00 00 00 00 8D 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 4D FC 8B 55 CC 8B C6 8B 38 FF 57 0C 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 45 C0 E8 ?? ?? ?? ?? 8B 45 C0 8B 55 FC E8 ?? ?? ?? ?? 85 C0 7E 1C 8D 4D F8 8B 55 CC 8B C6 E8 ?? ?? ?? ?? 8D 4D F4 8B 55 CC 8B C6 E8 ?? ?? ?? ?? EB 0B 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 62 8D 45 BC 50 89 5D B4 C6 45 B8 00 8D 55 B4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 4D F8 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 F4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 28 8D 45 B0 50 89 5D B4 C6 45 B8 00 8D 55 B4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8B 4D F4 8B 45 D0 E8 ?? ?? ?? ?? 43 FF 45 CC FF 4D C8 0F 85 F1 FE FF FF 83 7D 0C 00 0F 84 EF 00 00 00 33 DB 8B 45 0C E8 ?? ?? ?? ?? 89 45 C4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 9A 00 00 00 8D 55 E0 8B 45 C4 E8 ?? ?? ?? ?? 8D 45 AC 50 89 5D B4 C6 45 B8 00 8D 55 B4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 8B 4D E0 8B 45 D0 E8 ?? ?? ?? ?? 80 7D E8 00 75 38 8D 4D A8 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 A8 50 8D 45 A4 50 89 5D B4 C6 45 B8 00 8D 55 B4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8B 45 D0 59 E8 ?? ?? ?? ?? EB 28 8D 45 A0 50 89 5D B4 C6 45 B8 00 8D 55 B4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 8B 4D E4 8B 45 D0 E8 ?? ?? ?? ?? 43 8B 45 C4 E8 ?? ?? ?? ?? 84 C0 0F 85 56 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D C4 00 74 0A B2 01 8B 45 C4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 89 45 D4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 50 6A 00 8B 45 DC E8 ?? ?? ?? ?? 8D 55 9C E8 ?? ?? ?? ?? 8B 55 9C 8B 4D D0 8B 45 DC E8 ?? ?? ?? ?? 89 45 D4 83 7D D4 00 74 0F 8B 45 D4 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D4 00 74 0D 8B 45 D4 33 D2 89 55 D4 E8 ?? ?? ?? ?? 8B 45 D0 33 D2 89 55 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C3 0F B6 45 DB 5F 5E 5B 8B E5 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 44 00 65 00 6C 00 65 00 74 00 65 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 74 00 65 00 6D 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 74 00 65 00 6D 00 4E 00 61 00 6D 00 65 00 28 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 2E 00 25 00 64 00 2E 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 2E 00 25 00 64 00 2E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 45 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 2E 00 25 00 64 00 2E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 45 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 2E 00 25 00 64 00 2E 00 45 00 78 00 69 00 73 00 74 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 45 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 2E 00 25 00 64 00 2E 00 56 00 61 00 6C 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_3396_0 {
	meta:
		name = "TAmazonTableService.DeleteColumns"
		size = 24
		refs = "000f TAmazonTableService.DeleteColumns"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 53 6A 00 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3397_0 {
	meta:
		name = "TAmazonTableService.DeleteRow"
		size = 24
		refs = "000f TAmazonTableService.DeleteColumns"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 0C 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3398_0 {
	meta:
		name = "TAmazonTableService.DeleteRow"
		size = 22
		refs = "000d TAmazonTableService.DeleteColumns"
	strings:
		$1 = { 55 8B EC 53 6A 00 6A 00 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3399_0 {
	meta:
		name = "TAmazonTableService.BatchDeleteColumns"
		size = 1028
		refs = "002e TAmazonTableService.BatchDeleteColumns 0041 TAmazonBasicService.BuildQueryParameters 0053 TStrings.SetValue 0067 TList<Data.Cloud.CloudAPI.TCloudTableRow>.GetEnumerator 0085 TList<Data.Cloud.CloudAPI.TCloudTableRow>.TEnumerator.GetCurrent 00ae TList<Data.Cloud.CloudAPI.TCloudTableColumn>.GetItem 00b9 @UStrLAsg 00f1 AnsiCompareText 011a Format 016e EmptyStr 0175 @UStrEqual 01c5 TList<Data.Cloud.CloudAPI.TCloudTableRow>.TEnumerator.MoveNext 01f0 @HandleFinally 0213 TAmazonService.GetConnectionInfo 021b TAmazonConnectionInfo.GetTableURL 0229 TAmazonBasicService.IssueRequest 023a TCloudHTTP.GetResponseCode 026a TObject.Free 0299 @UStrArrayClr 02a1 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 33 DB 89 5D A4 89 5D A8 89 5D BC 89 5D C8 89 5D FC 89 5D F8 89 5D F4 89 5D F0 8B D9 8B F2 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 89 45 E0 8B CE BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 85 DB 0F 84 97 01 00 00 33 C0 89 45 DC 8B C3 E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 40 01 00 00 8B 45 D0 E8 ?? ?? ?? ?? 8B F0 33 C0 89 45 D8 8B 46 04 8B 40 08 89 45 D4 8B 7D D4 4F 85 FF 0F 8C 19 01 00 00 47 33 DB 8B 46 04 8B D3 E8 ?? ?? ?? ?? 8B 50 04 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 8B D3 E8 ?? ?? ?? ?? 8B 50 08 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 45 CF 80 7D CF 00 74 30 8D 45 C8 50 8B 45 DC 89 45 C0 C6 45 C4 00 8D 55 C0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B 4D F8 8B 45 E0 E8 ?? ?? ?? ?? E9 82 00 00 00 8D 45 BC 50 8B 45 DC 89 45 AC C6 45 B0 00 8B 45 D8 89 45 B4 C6 45 B8 00 8D 55 AC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 4D FC 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 38 8D 45 A8 50 8B 45 DC 89 45 AC C6 45 B0 00 8B 45 D8 89 45 B4 C6 45 B8 00 8D 55 AC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 8B 4D F8 8B 45 E0 E8 ?? ?? ?? ?? FF 45 D8 43 4F 0F 85 EA FE FF FF FF 45 DC 8B 45 D0 E8 ?? ?? ?? ?? 84 C0 0F 85 B0 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D0 00 74 0A B2 01 8B 45 D0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 50 6A 00 8B 45 EC E8 ?? ?? ?? ?? 8D 55 A4 E8 ?? ?? ?? ?? 8B 55 A4 8B 4D E0 8B 45 EC E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 74 0F 8B 45 E4 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 0F B6 45 EB 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 42 00 61 00 74 00 63 00 68 00 44 00 65 00 6C 00 65 00 74 00 65 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 74 00 65 00 6D 00 4E 00 61 00 6D 00 65 00 28 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 74 00 65 00 6D 00 2E 00 25 00 64 00 2E 00 49 00 74 00 65 00 6D 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 49 00 74 00 65 00 6D 00 2E 00 25 00 64 00 2E 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 2E 00 25 00 64 00 2E 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 49 00 74 00 65 00 6D 00 2E 00 25 00 64 00 2E 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 2E 00 25 00 64 00 2E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_3400_0 {
	meta:
		name = "TAmazonBucketResult.Create"
		size = 88
		refs = "000b @ClassCreate 001b @UStrAsg 0022 _DV_TList<Data.Cloud.AmazonAPI.TAmazonObjectResult> 0027 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Create 0031 _Dn_TStringList 0036 TStringList.Create 0044 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3401_0 {
	meta:
		name = "TAmazonBucketResult.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TObject.Destroy 003d @ClassDestroy"
		altNames = "TAzureContainer.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32214_0 {
	meta:
		name = "TIdAuthenticationItem.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TCollectionItem.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3402_0 {
	meta:
		name = "TAmazonGrant.Create"
		size = 4
	strings:
		$1 = { 88 42 10 C3 }
	condition:
		$1
}

rule function_3403_0 {
	meta:
		name = "TAmazonGrant.Create"
		size = 19
		refs = "0009 TAmazonGrant.GetPermission"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 88 46 10 5E 5B C3 }
	condition:
		$1
}

rule function_3404_0 {
	meta:
		name = "TAmazonGrant.GetPermission"
		size = 468
		refs = "0016 TAmazonGrant.GetPermission 0026 @UStrLAsg 003e AnsiCompareText 0129 @UStrArrayClr 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 07 33 DB E9 C1 00 00 00 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 07 B3 01 E9 8F 00 00 00 8D 45 EC 8B D3 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 33 DB EB 60 8D 45 E4 8B D3 E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 33 DB EB 31 8D 45 DC 8B D3 E8 ?? ?? ?? ?? 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 33 DB EB 02 B3 05 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 46 00 55 00 4C 00 4C 00 5F 00 43 00 4F 00 4E 00 54 00 52 00 4F 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 52 00 49 00 54 00 45 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 57 00 52 00 49 00 54 00 45 00 5F 00 41 00 43 00 50 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 45 00 41 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 45 00 41 00 44 00 5F 00 41 00 43 00 50 00 00 00 00 00 }
	condition:
		$1
}

rule function_3405_0 {
	meta:
		name = "TAmazonGrant.GranteeType"
		size = 74
		refs = "000a EmptyStr 0011 @UStrEqual"
	strings:
		$1 = { 53 56 8B F0 B3 03 8B 06 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 04 B3 02 EB 2A 8B 46 0C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 04 B3 01 EB 14 8B 46 04 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 02 33 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_3406_0 {
	meta:
		name = "TAmazonGrant.GranteeTypeString"
		size = 168
		refs = "0004 TAmazonGrant.GranteeType 0015 TAmazonGrant.GranteeTypeString 001a @UStrAsg"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 2C 01 72 14 74 20 FE C8 75 28 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 47 00 72 00 6F 00 75 00 70 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 61 00 6E 00 6F 00 6E 00 69 00 63 00 61 00 6C 00 55 00 73 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 75 00 73 00 74 00 6F 00 6D 00 65 00 72 00 42 00 79 00 45 00 6D 00 61 00 69 00 6C 00 00 00 }
	condition:
		$1
}

rule function_3407_0 {
	meta:
		name = "TAmazonGrant.PermissionString"
		size = 264
		refs = "000f TAmazonGrant.PermissionString 002f @UStrAsg"
	strings:
		$1 = { 53 8B DA 0F B6 40 10 83 F8 04 77 5F FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 46 00 55 00 4C 00 4C 00 5F 00 43 00 4F 00 4E 00 54 00 52 00 4F 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 52 00 49 00 54 00 45 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 57 00 52 00 49 00 54 00 45 00 5F 00 41 00 43 00 50 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 45 00 41 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 45 00 41 00 44 00 5F 00 41 00 43 00 50 00 00 00 00 00 }
	condition:
		$1
}

rule function_3408_0 {
	meta:
		name = "TAmazonGrant.IsAllAuthenticatedUsers"
		size = 236
		refs = "000e TAmazonGrant.IsAllAuthenticatedUsers 001e @UStrLAsg 0036 AnsiCompareText 0057 @UStrArrayClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 13 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 39 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 61 00 63 00 73 00 2E 00 61 00 6D 00 61 00 7A 00 6F 00 6E 00 61 00 77 00 73 00 2E 00 63 00 6F 00 6D 00 2F 00 67 00 72 00 6F 00 75 00 70 00 73 00 2F 00 67 00 6C 00 6F 00 62 00 61 00 6C 00 2F 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 65 00 64 00 55 00 73 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_3409_0 {
	meta:
		name = "TAmazonGrant.IsAllUsers"
		size = 216
		refs = "000e TAmazonGrant.IsAllUsers 001e @UStrLAsg 0036 AnsiCompareText 0057 @UStrArrayClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 13 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 2F 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 61 00 63 00 73 00 2E 00 61 00 6D 00 61 00 7A 00 6F 00 6E 00 61 00 77 00 73 00 2E 00 63 00 6F 00 6D 00 2F 00 67 00 72 00 6F 00 75 00 70 00 73 00 2F 00 67 00 6C 00 6F 00 62 00 61 00 6C 00 2F 00 41 00 6C 00 6C 00 55 00 73 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_3410_0 {
	meta:
		name = "TAmazonGrant.IsLogDelivery"
		size = 216
		refs = "000e TAmazonGrant.IsLogDelivery 001e @UStrLAsg 0036 AnsiCompareText 0057 @UStrArrayClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 13 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 61 00 63 00 73 00 2E 00 61 00 6D 00 61 00 7A 00 6F 00 6E 00 61 00 77 00 73 00 2E 00 63 00 6F 00 6D 00 2F 00 67 00 72 00 6F 00 75 00 70 00 73 00 2F 00 73 00 33 00 2F 00 4C 00 6F 00 67 00 44 00 65 00 6C 00 69 00 76 00 65 00 72 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_3411_0 {
	meta:
		name = "TAmazonBucketLoggingInfo.Create"
		size = 94
		refs = "000e @ClassCreate 001e @UStrAsg 0030 _DV_TList<Data.Cloud.AmazonAPI.TAmazonGrant> 0035 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Create 0047 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8D 47 08 8B 55 08 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 C6 47 0C 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3412_0 {
	meta:
		name = "TAmazonBucketLoggingInfo.Create"
		size = 36
		refs = "0008 @ClassCreate 0015 @AfterConstruction"
		altNames = "TLayoutAttributes.Create"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? C6 40 0C 00 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_3413_0 {
	meta:
		name = "TAmazonBucketLoggingInfo.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
		altNames = "TIWTestFramework.Destroy TIdHMAC.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38586_0 {
	meta:
		name = "TIdVCardBusinessInfo.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TPersistent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38597_0 {
	meta:
		name = "TIdVCardEmbeddedObject.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TPersistent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38590_0 {
	meta:
		name = "TIdVCardMailingLabelItem.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TCollectionItem.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3414_0 {
	meta:
		name = "TAmazonBucketLoggingInfo.GetDisableXML"
		size = 256
		refs = "0006 TAmazonBucketLoggingInfo.GetDisableXML 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 6F 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 3F 00 3E 00 3C 00 42 00 75 00 63 00 6B 00 65 00 74 00 4C 00 6F 00 67 00 67 00 69 00 6E 00 67 00 53 00 74 00 61 00 74 00 75 00 73 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 64 00 6F 00 63 00 2E 00 73 00 33 00 2E 00 61 00 6D 00 61 00 7A 00 6F 00 6E 00 61 00 77 00 73 00 2E 00 63 00 6F 00 6D 00 2F 00 32 00 30 00 30 00 36 00 2D 00 30 00 33 00 2D 00 30 00 31 00 22 00 3E 00 3C 00 2F 00 42 00 75 00 63 00 6B 00 65 00 74 00 4C 00 6F 00 67 00 67 00 69 00 6E 00 67 00 53 00 74 00 61 00 74 00 75 00 73 00 3E 00 00 00 }
	condition:
		$1
}

rule function_3415_0 {
	meta:
		name = "TAmazonBucketLoggingInfo.AsXML"
		size = 1984
		refs = "001c TAmazonGrant 0021 @InitializeRecord 0029 TAmazonBucketLoggingInfo.AsXML 0036 _Dn_TStringBuilder 003b TStringBuilder.Create 004b TStringBuilder.Append 00b4 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.GetEnumerator 00d5 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.TEnumerator.GetCurrent 00de EmptyStr 00e5 @UStrEqual 00f4 @UStrLAsg 010e @UStrCatN 01ec TAmazonGrant.PermissionString 020c TList<Data.Cloud.AmazonAPI.TAmazonGrant>.TEnumerator.MoveNext 0237 @HandleFinally 0278 TObject.Free 028d @UStrClr 029b @FinalizeRecord 02a8 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 33 C9 89 4D D4 89 4D FC 89 4D F8 89 55 E0 8B D8 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 80 7B 0C 00 0F 84 FE 01 00 00 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 53 04 8B 45 DC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 53 08 8B 45 DC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 43 10 83 78 08 00 0F 8E A7 01 00 00 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 3A 01 00 00 8D 55 E4 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 F0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 2C 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 91 00 00 00 8B 45 E4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 29 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 56 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 1D FF 75 F8 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 DC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 DC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8D 55 D4 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 DC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 0F 85 B6 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D8 00 74 0A B2 01 8B 45 D8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 55 E0 8B 45 DC 8B 08 FF 51 DC 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 59 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 3F 00 3E 00 3C 00 42 00 75 00 63 00 6B 00 65 00 74 00 4C 00 6F 00 67 00 67 00 69 00 6E 00 67 00 53 00 74 00 61 00 74 00 75 00 73 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 64 00 6F 00 63 00 2E 00 73 00 33 00 2E 00 61 00 6D 00 61 00 7A 00 6F 00 6E 00 61 00 77 00 73 00 2E 00 63 00 6F 00 6D 00 2F 00 32 00 30 00 30 00 36 00 2D 00 30 00 33 00 2D 00 30 00 31 00 22 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 3C 00 4C 00 6F 00 67 00 67 00 69 00 6E 00 67 00 45 00 6E 00 61 00 62 00 6C 00 65 00 64 00 3E 00 3C 00 54 00 61 00 72 00 67 00 65 00 74 00 42 00 75 00 63 00 6B 00 65 00 74 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 3C 00 2F 00 54 00 61 00 72 00 67 00 65 00 74 00 42 00 75 00 63 00 6B 00 65 00 74 00 3E 00 3C 00 54 00 61 00 72 00 67 00 65 00 74 00 50 00 72 00 65 00 66 00 69 00 78 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 2F 00 54 00 61 00 72 00 67 00 65 00 74 00 50 00 72 00 65 00 66 00 69 00 78 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 3C 00 54 00 61 00 72 00 67 00 65 00 74 00 47 00 72 00 61 00 6E 00 74 00 73 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 41 00 6D 00 61 00 7A 00 6F 00 6E 00 43 00 75 00 73 00 74 00 6F 00 6D 00 65 00 72 00 42 00 79 00 45 00 6D 00 61 00 69 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 3C 00 45 00 6D 00 61 00 69 00 6C 00 41 00 64 00 64 00 72 00 65 00 73 00 73 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 2F 00 45 00 6D 00 61 00 69 00 6C 00 41 00 64 00 64 00 72 00 65 00 73 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 47 00 72 00 6F 00 75 00 70 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 55 00 52 00 49 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3C 00 2F 00 55 00 52 00 49 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 61 00 6E 00 6F 00 6E 00 69 00 63 00 61 00 6C 00 55 00 73 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 49 00 44 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 49 00 44 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 3C 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 4E 00 61 00 6D 00 65 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 3C 00 2F 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 4E 00 61 00 6D 00 65 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 50 00 00 00 3C 00 47 00 72 00 61 00 6E 00 74 00 3E 00 3C 00 47 00 72 00 61 00 6E 00 74 00 65 00 65 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 78 00 73 00 69 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 31 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 2D 00 69 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 22 00 20 00 78 00 73 00 69 00 3A 00 74 00 79 00 70 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 3C 00 2F 00 47 00 72 00 61 00 6E 00 74 00 65 00 65 00 3E 00 3C 00 50 00 65 00 72 00 6D 00 69 00 73 00 73 00 69 00 6F 00 6E 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 3C 00 2F 00 50 00 65 00 72 00 6D 00 69 00 73 00 73 00 69 00 6F 00 6E 00 3E 00 3C 00 2F 00 47 00 72 00 61 00 6E 00 74 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 2F 00 54 00 61 00 72 00 67 00 65 00 74 00 47 00 72 00 61 00 6E 00 74 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 3C 00 2F 00 4C 00 6F 00 67 00 67 00 69 00 6E 00 67 00 45 00 6E 00 61 00 62 00 6C 00 65 00 64 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 3C 00 2F 00 42 00 75 00 63 00 6B 00 65 00 74 00 4C 00 6F 00 67 00 67 00 69 00 6E 00 67 00 53 00 74 00 61 00 74 00 75 00 73 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_3416_0 {
	meta:
		name = "TAmazonNotificationEvent.Create"
		size = 32
		refs = "000e @UStrAsg"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B C3 8B D6 E8 ?? ?? ?? ?? 8D 43 04 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3417_0 {
	meta:
		name = "TAmazonMultipartUploadItem.Create"
		size = 20
		refs = "000b @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_3418_0 {
	meta:
		name = "TAmazonMultipartUploadsResult.Create"
		size = 73
		refs = "000b @ClassCreate 001b @UStrAsg 0022 _DV_TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem> 0027 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Create 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 20 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3419_0 {
	meta:
		name = "TAmazonMultipartUploadsResult.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
		altNames = "TDBXContext.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36789_0 {
	meta:
		name = "TIdReplyIMAP4.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TIdReply.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33104_0 {
	meta:
		name = "TQueryResult.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TCollection.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3420_0 {
	meta:
		name = "TAmazonAccessControlPolicy.Create"
		size = 107
		refs = "000f @ClassCreate 0023 @UStrAsg 003e _DV_TList<Data.Cloud.AmazonAPI.TAmazonGrant> 0043 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Create 0053 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 8D 43 04 8B D7 E8 ?? ?? ?? ?? 8D 43 08 8B 55 0C E8 ?? ?? ?? ?? 85 F6 74 05 89 73 0C EB 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_3421_0 {
	meta:
		name = "TAmazonAccessControlPolicy.AsXML"
		size = 1432
		refs = "0019 TAmazonGrant 001e @InitializeRecord 0026 TAmazonAccessControlPolicy.AsXML 0033 _Dn_TStringBuilder 0038 TStringBuilder.Create 0056 TStringBuilder.Append 008e TList<Data.Cloud.AmazonAPI.TAmazonGrant>.GetEnumerator 00af TList<Data.Cloud.AmazonAPI.TAmazonGrant>.TEnumerator.GetCurrent 00b7 TAmazonGrant.GranteeType 00da TAmazonGrant.GranteeTypeString 017d TAmazonGrant.PermissionString 01a6 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.TEnumerator.MoveNext 01d1 @HandleFinally 0205 TObject.Free 0227 @UStrArrayClr 0235 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 C9 89 4D D8 89 4D DC 89 55 E8 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 53 04 8B 45 E4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 53 08 8B 45 E4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 FA 00 00 00 8D 55 EC 8B 45 E0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B D8 80 FB 03 0F 84 DC 00 00 00 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8D 55 DC 8D 45 EC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 E4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 EB 01 72 08 74 3C FE CB 74 59 EB 76 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 E4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 40 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1F BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 EC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D8 8D 45 EC E8 ?? ?? ?? ?? 8B 45 D8 50 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 85 F6 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E0 00 74 0A B2 01 8B 45 E0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 E8 8B 45 E4 8B 08 FF 51 DC 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 3C 00 41 00 63 00 63 00 65 00 73 00 73 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 50 00 6F 00 6C 00 69 00 63 00 79 00 3E 00 3C 00 4F 00 77 00 6E 00 65 00 72 00 3E 00 3C 00 49 00 44 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 3C 00 2F 00 49 00 44 00 3E 00 3C 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 4E 00 61 00 6D 00 65 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 3C 00 2F 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 4E 00 61 00 6D 00 65 00 3E 00 3C 00 2F 00 4F 00 77 00 6E 00 65 00 72 00 3E 00 3C 00 41 00 63 00 63 00 65 00 73 00 73 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 4C 00 69 00 73 00 74 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 50 00 00 00 3C 00 47 00 72 00 61 00 6E 00 74 00 3E 00 3C 00 47 00 72 00 61 00 6E 00 74 00 65 00 65 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 78 00 73 00 69 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 31 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 2D 00 69 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 22 00 20 00 78 00 73 00 69 00 3A 00 74 00 79 00 70 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 49 00 44 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 3C 00 2F 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 4E 00 61 00 6D 00 65 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 3C 00 45 00 6D 00 61 00 69 00 6C 00 41 00 64 00 64 00 72 00 65 00 73 00 73 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 2F 00 45 00 6D 00 61 00 69 00 6C 00 41 00 64 00 64 00 72 00 65 00 73 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 55 00 52 00 49 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3C 00 2F 00 55 00 52 00 49 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 3C 00 2F 00 47 00 72 00 61 00 6E 00 74 00 65 00 65 00 3E 00 3C 00 50 00 65 00 72 00 6D 00 69 00 73 00 73 00 69 00 6F 00 6E 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 3C 00 2F 00 50 00 65 00 72 00 6D 00 69 00 73 00 73 00 69 00 6F 00 6E 00 3E 00 3C 00 2F 00 47 00 72 00 61 00 6E 00 74 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 2A 00 00 00 3C 00 2F 00 41 00 63 00 63 00 65 00 73 00 73 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 4C 00 69 00 73 00 74 00 3E 00 3C 00 2F 00 41 00 63 00 63 00 65 00 73 00 73 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 50 00 6F 00 6C 00 69 00 63 00 79 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_3422_0 {
	meta:
		name = "TAmazonAccessControlPolicy.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
		altNames = "TDataSetWrapper.Destroy TIPPeerFactory.Destroy TIWCallBackResponse.Destroy TIWTag.Destroy TIWTagParser.Destroy TIdTextModeResourceRecord.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38523_0 {
	meta:
		name = "TIdUserAccount.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TCollectionItem.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3423_0 {
	meta:
		name = "TAmazonActionConditional.Create"
		size = 93
		refs = "000e TAmazonActionConditional 0013 @InitializeRecord 001b TAmazonActionConditional.Create 0031 @CopyRecord 004c @FinalizeRecord 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3424_0 {
	meta:
		name = "TAmazonActionConditional.PopulateHeaders"
		size = 784
		refs = "001a EmptyStr 0021 @UStrEqual 002a TAmazonActionConditional.PopulateHeaders 0031 TStrings.SetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 0F 84 15 01 00 00 84 C9 0F 84 8B 00 00 00 8B 03 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0E 8B 0B BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 04 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 04 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 08 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 08 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 0C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 96 00 00 00 8B 4B 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 82 00 00 00 8B 03 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0E 8B 0B BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 04 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 04 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 08 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 08 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 0C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 66 00 2D 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 53 00 69 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 66 00 2D 00 55 00 6E 00 6D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 53 00 69 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 66 00 2D 00 4D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 66 00 2D 00 4E 00 6F 00 6E 00 65 00 2D 00 4D 00 61 00 74 00 63 00 68 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 78 00 2D 00 61 00 6D 00 7A 00 2D 00 63 00 6F 00 70 00 79 00 2D 00 73 00 6F 00 75 00 72 00 63 00 65 00 2D 00 69 00 66 00 2D 00 6D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 73 00 69 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 78 00 2D 00 61 00 6D 00 7A 00 2D 00 63 00 6F 00 70 00 79 00 2D 00 73 00 6F 00 75 00 72 00 63 00 65 00 2D 00 69 00 66 00 2D 00 75 00 6E 00 6D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 73 00 69 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 78 00 2D 00 61 00 6D 00 7A 00 2D 00 63 00 6F 00 70 00 79 00 2D 00 73 00 6F 00 75 00 72 00 63 00 65 00 2D 00 69 00 66 00 2D 00 6D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 78 00 2D 00 61 00 6D 00 7A 00 2D 00 63 00 6F 00 70 00 79 00 2D 00 73 00 6F 00 75 00 72 00 63 00 65 00 2D 00 69 00 66 00 2D 00 6E 00 6F 00 6E 00 65 00 2D 00 6D 00 61 00 74 00 63 00 68 00 00 00 }
	condition:
		$1
}

rule function_3425_0 {
	meta:
		name = "TAmazonGetObjectOptionals.Create"
		size = 29
	strings:
		$1 = { C7 40 28 00 00 00 00 C7 40 2C 00 00 00 00 C7 40 30 00 00 00 00 C7 40 34 00 00 00 00 C3 }
	condition:
		$1
}

rule function_3426_0 {
	meta:
		name = "TAmazonGetObjectOptionals.PopulateHeaders"
		size = 780
		refs = "0015 TAmazonGetObjectOptionals.PopulateHeaders 002f TAmazonActionConditional.PopulateHeaders 0037 EmptyStr 003e @UStrEqual 004e TStrings.SetValue 0131 Format 0155 @UStrClr 015b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 1D 01 00 00 8D 43 18 33 C9 8B D6 E8 ?? ?? ?? ?? 8B 03 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0E 8B 0B BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 04 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 04 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 08 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 08 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 0C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 10 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 10 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 14 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 14 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 30 8B 53 34 3B 53 2C 75 07 3B 43 28 76 3D EB 02 7E 39 8D 45 FC 50 8D 43 28 89 45 EC C6 45 F0 10 8D 43 30 89 45 F4 C6 45 F8 10 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 15 00 00 00 72 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 74 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 72 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 72 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 2D 00 65 00 78 00 70 00 69 00 72 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 72 00 65 00 70 00 6F 00 6E 00 73 00 65 00 2D 00 63 00 61 00 63 00 68 00 65 00 2D 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 72 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 64 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 72 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 62 00 79 00 74 00 65 00 73 00 3D 00 25 00 64 00 2D 00 25 00 64 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 61 00 6E 00 67 00 65 00 00 00 }
	condition:
		$1
}

rule function_3427_0 {
	meta:
		name = "TAmazonCopyObjectOptionals.Create"
		size = 71
		refs = "000a @ClassCreate 0015 _Dn_TStringList 001a TStringList.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 C6 46 0C 00 C6 46 0D 00 C6 46 04 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3428_0 {
	meta:
		name = "TAmazonCopyObjectOptionals.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
		altNames = "TDBXCallbackDelegate.Destroy TDBXDataExpressProviderContext.Destroy TDSClass.Destroy TIWBaseControlImplementation.Destroy TIdIGMPHdr.Destroy TIdTask.Destroy TIdicmp6_hdr.Destroy TInTask.Destroy TJSONConverter.Destroy TJSONString.Destroy TRemotableTypeRegistry.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23327_0 {
	meta:
		name = "TDSProviderDataModuleAdapter.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TPersistent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45854_0 {
	meta:
		name = "TIWProgressTextSettings.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TPersistent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3429_0 {
	meta:
		name = "TAmazonCopyObjectOptionals.PopulateHeaders"
		size = 492
		refs = "0010 TAmazonCopyObjectOptionals.PopulateHeaders 002a TAmazonActionConditional.PopulateHeaders 0041 TStrings.SetValue 005e AddS3MetadataHeaders 0070 GetACLTypeString 00be @UStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 8B 00 00 00 8D 47 10 B1 01 8B D6 E8 ?? ?? ?? ?? 80 7F 04 00 74 13 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 1B B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 57 08 8B C6 E8 ?? ?? ?? ?? 0F B6 5F 0C 84 DB 74 19 8B C3 8D 55 FC E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 7F 0D 00 74 13 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 11 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 4F 00 50 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 78 00 2D 00 61 00 6D 00 7A 00 2D 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 2D 00 64 00 69 00 72 00 65 00 63 00 74 00 69 00 76 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 45 00 50 00 4C 00 41 00 43 00 45 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 61 00 6D 00 7A 00 2D 00 61 00 63 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 45 00 44 00 55 00 43 00 45 00 44 00 5F 00 52 00 45 00 44 00 55 00 4E 00 44 00 41 00 4E 00 43 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 78 00 2D 00 61 00 6D 00 7A 00 2D 00 73 00 74 00 6F 00 72 00 61 00 67 00 65 00 2D 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 54 00 41 00 4E 00 44 00 41 00 52 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_3430_0 {
	meta:
		name = "TAmazonMultipartPart.Create"
		size = 98
		refs = "0011 @UStrAddRef 0019 TAmazonMultipartPart.Create 002c @UStrAsg 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 33 8D 43 04 8B 55 FC E8 ?? ?? ?? ?? C7 43 10 00 00 00 00 C7 43 14 00 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_3431_0 {
	meta:
		name = "TAmazonMultipartPart.AsXML"
		size = 184
		refs = "002b TAmazonMultipartPart.AsXML 0030 Format"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 56 8B 03 89 44 24 04 C6 44 24 08 00 8B 43 04 89 44 24 0C C6 44 24 10 11 8D 54 24 04 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 37 00 00 00 3C 00 50 00 61 00 72 00 74 00 3E 00 3C 00 50 00 61 00 72 00 74 00 4E 00 75 00 6D 00 62 00 65 00 72 00 3E 00 25 00 64 00 3C 00 2F 00 50 00 61 00 72 00 74 00 4E 00 75 00 6D 00 62 00 65 00 72 00 3E 00 3C 00 45 00 54 00 61 00 67 00 3E 00 25 00 73 00 3C 00 2F 00 45 00 54 00 61 00 67 00 3E 00 3C 00 2F 00 50 00 61 00 72 00 74 00 3E 00 00 00 }
	condition:
		$1
}

rule function_3432_0 {
	meta:
		name = "TAmazonListPartsResult.Create"
		size = 101
		refs = "000e @ClassCreate 001e @UStrAsg 003b _DV_TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart> 0040 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Create 004e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8D 47 08 8B 55 0C E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 34 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3433_0 {
	meta:
		name = "TAmazonListPartsResult.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 34 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11716_0 {
	meta:
		name = "TDBXColumnsTableCursor.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXDelegateTable.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 34 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3434_0 {
	meta:
		name = "TAmazonStorageService.Create"
		size = 67
		refs = "000a @ClassCreate 0017 TAmazonService.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 12 01 C6 46 14 00 66 C7 46 0C 3F 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_3435_0 {
	meta:
		name = "TAmazonStorageService.CreateAuthInstance"
		size = 15
		refs = "0003 _DV_TAmazonSHA1Authentication 000a TAmazonSHA1Authentication.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47318_0 {
	meta:
		name = "TBaseInetXPageProducer.CreateScriptManager"
		size = 15
		refs = "0003 _Dn_TScriptManager 000a TScriptManager.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54416_0 {
	meta:
		name = "TBindingManagerFactory.CreateManagerInstance"
		size = 15
		refs = "0003 _Dn_TBindingManagerDefault 000a TBindingManagerDefault.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97831_0 {
	meta:
		name = "TCustomAdapterDispatcher.GetDispatchParams"
		size = 15
		refs = "0003 _DV_TAdapterDispatchParams 000a TAdapterDispatchParams.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12558_0 {
	meta:
		name = "TDBXOdbcMetaDataCommandFactory.CreateMetaDataReader"
		size = 15
		refs = "0003 _Dn_TDBXOdbcMetaDataReader 000a TDBXOdbcMetaDataReader.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23337_0 {
	meta:
		name = "TDSServerDriver.CreateConnection"
		size = 15
		refs = "0003 _Dn_TDSServerConnection 000a TDSServerConnection.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_103635_0 {
	meta:
		name = "TGPBitmap.FromHICON"
		size = 15
		refs = "0003 _DV_TGPBitmap 000a TGPBitmap.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_103640_0 {
	meta:
		name = "TGPGraphics.FromHDC"
		size = 15
		refs = "0003 _DV_TGPGraphics 000a TGPGraphics.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_103643_0 {
	meta:
		name = "TGPGraphics.FromImage"
		size = 15
		refs = "0003 _DV_TGPGraphics 000a TGPGraphics.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96545_0 {
	meta:
		name = "TISAPIFactory.NewRequest"
		size = 15
		refs = "0003 _Dn_TISAPIRequest 000a TISAPIRequest.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96546_0 {
	meta:
		name = "TISAPIFactory.NewResponse"
		size = 15
		refs = "0003 _Dn_TISAPIResponse 000a TISAPIResponse.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33726_0 {
	meta:
		name = "TIdFTPLPAS400.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdAS400FTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33781_0 {
	meta:
		name = "TIdFTPLPChameleonNewt.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdChameleonNewtFTPListItem 000a TIdDOSBaseFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33787_0 {
	meta:
		name = "TIdFTPLPCiscoIOS.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdCiscoIOSFTPListItem 000a TIdMinimalFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33792_0 {
	meta:
		name = "TIdFTPLPDistinctTCPIP.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdDistinctTCPIPFTPListItem 000a TIdDOSBaseFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33798_0 {
	meta:
		name = "TIdFTPLPEPLF.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdAEPLFFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33775_0 {
	meta:
		name = "TIdFTPLPGOS8.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdFTPLPGOS8ListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33805_0 {
	meta:
		name = "TIdFTPLPHellSoft.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdHellSoftFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33815_0 {
	meta:
		name = "TIdFTPLPIEFTPGatewayLSFileName.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdIEFTPGatewayLsFileNameListItem 000a TIdMinimalFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33822_0 {
	meta:
		name = "TIdFTPLPIEFTPGatewayLSLibrary.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdIEFTPGatewayLSLibraryListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33811_0 {
	meta:
		name = "TIdFTPLPIEFTPGatewayLSLong.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdIEFTPGatewayLsLongListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33819_0 {
	meta:
		name = "TIdFTPLPIEFTPGatewayLSShort.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdIEFTPGatewayLsShortListItem 000a TIdMinimalFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33832_0 {
	meta:
		name = "TIdFTPLPKA9Q.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdKA9QFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33754_0 {
	meta:
		name = "TIdFTPLPMList.MakeNewItem"
		size = 15
		refs = "0003 _Dn_TIdMLSTFTPListItem 000a TIdMLSTFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33844_0 {
	meta:
		name = "TIdFTPLPMPiXBase.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdMPiXFTPListItem 000a TIdMPiXFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33862_0 {
	meta:
		name = "TIdFTPLPMVS.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdMVSFTPListItem 000a TIdMVSFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33873_0 {
	meta:
		name = "TIdFTPLPMVSJESInterface1.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdMVSJESFTPListItem 000a TIdMVSJESFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33879_0 {
	meta:
		name = "TIdFTPLPMVSJESInterface2.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdMVSJESIntF2FTPListItem 000a TIdMVSJESIntF2FTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33838_0 {
	meta:
		name = "TIdFTPLPMicrowareOS9.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdMicrowareOS9FTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33856_0 {
	meta:
		name = "TIdFTPLPMusic.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdMusicFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33893_0 {
	meta:
		name = "TIdFTPLPNCSAforDOS.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdNCSAforDOSFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33899_0 {
	meta:
		name = "TIdFTPLPNCSAforMACOS.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdNCSAforMACOSFTPListItem 000a TIdMinimalFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33913_0 {
	meta:
		name = "TIdFTPLPNetwarePSUDos.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdNovellPSU_DOSFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33917_0 {
	meta:
		name = "TIdFTPLPNetwarePSUNFS.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdNovellPSU_NFSFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33906_0 {
	meta:
		name = "TIdFTPLPNovellNetware.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdNovellNetwareFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33923_0 {
	meta:
		name = "TIdFTPLPOS2.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdOS2FTPListItem 000a TIdDOSBaseFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33930_0 {
	meta:
		name = "TIdFTPLPPCNFSD.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdPCNFSDFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33936_0 {
	meta:
		name = "TIdFTPLPPCTCPNet.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdPCTCPFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33949_0 {
	meta:
		name = "TIdFTPLPSterCommEntUx.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdSterCommEntUxFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33954_0 {
	meta:
		name = "TIdFTPLPSterCommEntUxNS.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdSterCommEntUxNSFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33960_0 {
	meta:
		name = "TIdFTPLPSterCommEntUxRoot.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdSterCommEntUxRootFTPListItem 000a TIdMinimalFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33942_0 {
	meta:
		name = "TIdFTPLPSterCommExpOS390.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdSterCommExpOS390FTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33972_0 {
	meta:
		name = "TIdFTPLPStratusVOS.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdStratusVOSFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33984_0 {
	meta:
		name = "TIdFTPLPSuperTCP.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdSuperTCPFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33996_0 {
	meta:
		name = "TIdFTPLPTOPS20.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdTOPS20FTPListItem 000a TIdCreationDateFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34005_0 {
	meta:
		name = "TIdFTPLPTSXPlus.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdTSXPlusFTPListItem 000a TIdMinimalFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33990_0 {
	meta:
		name = "TIdFTPLPTandemGuardian.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdTandemGuardianFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34013_0 {
	meta:
		name = "TIdFTPLPUnisysClearPath.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdUnisysClearPathFTPListItem 000a TIdCreationDateFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34029_0 {
	meta:
		name = "TIdFTPLPUnitree.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdUnitreeFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34023_0 {
	meta:
		name = "TIdFTPLPUnix.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdUnixFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34040_0 {
	meta:
		name = "TIdFTPLPVMBFS.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdVMBFSFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34036_0 {
	meta:
		name = "TIdFTPLPVMCMS.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdVMCMSFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34054_0 {
	meta:
		name = "TIdFTPLPVMS.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdVMSFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34077_0 {
	meta:
		name = "TIdFTPLPVSELibrary.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdVSELibraryFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34069_0 {
	meta:
		name = "TIdFTPLPVSEPowerQueue.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdVSEPowerQueueFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34061_0 {
	meta:
		name = "TIdFTPLPVSERootDir.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdVSERootDirFTPListItem 000a TIdMinimalFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34081_0 {
	meta:
		name = "TIdFTPLPVSESubLibrary.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdVSESubLibraryFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34073_0 {
	meta:
		name = "TIdFTPLPVSEVSAMCatalog.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdVSEVSAMCatalogFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34065_0 {
	meta:
		name = "TIdFTPLPVSEVTOC.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdVSEVTOCFTPListItem 000a TIdVSEVTOCFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34089_0 {
	meta:
		name = "TIdFTPLPVxWorks.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdVxWorksFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34096_0 {
	meta:
		name = "TIdFTPLPWfFTP.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdWfFTPFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34109_0 {
	meta:
		name = "TIdFTPLPWinQVNet.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdWinQVNetFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34102_0 {
	meta:
		name = "TIdFTPLPWindowsNT.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdWindowsNTFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34116_0 {
	meta:
		name = "TIdFTPLPXecomMicroRTOS.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdXecomMicroRTOSTPListItem 000a TIdXecomMicroRTOSTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34044_0 {
	meta:
		name = "TIdFTPLVirtualReader.MakeNewItem"
		size = 15
		refs = "0003 _DV_TIdVMVirtualReaderFTPListItem 000a TIdVMVirtualReaderFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33762_0 {
	meta:
		name = "TIdFTPLineOwnedList.MakeNewItem"
		size = 15
		refs = "0003 _Dn_TIdOwnerFTPListItem 000a TIdFTPListItem.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35482_0 {
	meta:
		name = "TIdIOHandler.MakeDefaultIOHandler"
		size = 15
		refs = "0003 GIOHandlerClassDefault 000a TIdBaseComponent.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41090_0 {
	meta:
		name = "TInIOHandler.MakeDefaultIOHandler"
		size = 15
		refs = "0003 GIOHandlerClassDefault 000a TInBaseComponent.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50538_0 {
	meta:
		name = "TSockWebRequestHandler.NewResponse"
		size = 15
		refs = "0003 _DV_TSockWebResponse 000a TSockWebResponse.Create"
	strings:
		$1 = { 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_3436_0 {
	meta:
		name = "TAmazonStorageService.GetCanonicalizedHeaderPrefix"
		size = 48
		refs = "0006 TAmazonStorageService.GetCanonicalizedHeaderPrefix 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 78 00 2D 00 61 00 6D 00 7A 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_3437_0 {
	meta:
		name = "TAmazonStorageService.GetNotificationXML"
		size = 752
		refs = "0011 TAmazonNotificationEvent 0016 @InitializeRecord 001e TAmazonStorageService.GetNotificationXML 003b @UStrAsg 0047 _Dn_TStringBuilder 004c TStringBuilder.Create 006a TStringBuilder.Append 0071 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.GetEnumerator 008f TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.TEnumerator.GetCurrent 00d4 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.TEnumerator.MoveNext 00fb @HandleFinally 012f TObject.Free 0152 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 4D F4 8B DA 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 06 83 7B 08 00 75 12 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F7 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 48 8D 55 F8 8B 45 EC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 AC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 F0 8B 08 FF 51 DC 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 3C 00 4E 00 6F 00 74 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 43 00 6F 00 6E 00 66 00 69 00 67 00 75 00 72 00 61 00 74 00 69 00 6F 00 6E 00 20 00 2F 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 3C 00 4E 00 6F 00 74 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 43 00 6F 00 6E 00 66 00 69 00 67 00 75 00 72 00 61 00 74 00 69 00 6F 00 6E 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 3C 00 54 00 6F 00 70 00 69 00 63 00 43 00 6F 00 6E 00 66 00 69 00 67 00 75 00 72 00 61 00 74 00 69 00 6F 00 6E 00 3E 00 3C 00 54 00 6F 00 70 00 69 00 63 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 2F 00 54 00 6F 00 70 00 69 00 63 00 3E 00 3C 00 45 00 76 00 65 00 6E 00 74 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 3C 00 2F 00 45 00 76 00 65 00 6E 00 74 00 3E 00 3C 00 2F 00 54 00 6F 00 70 00 69 00 63 00 43 00 6F 00 6E 00 66 00 69 00 67 00 75 00 72 00 61 00 74 00 69 00 6F 00 6E 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 3C 00 2F 00 4E 00 6F 00 74 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 43 00 6F 00 6E 00 66 00 69 00 67 00 75 00 72 00 61 00 74 00 69 00 6F 00 6E 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_3438_0 {
	meta:
		name = "TAmazonStorageService.GetRegionFromString"
		size = 324
		refs = "0014 @UStrAddRef 001c TAmazonStorageService.GetRegionFromString 002d @UStrLAsg 0045 AnsiCompareText 00ce @UStrArrayClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B3 01 EB 62 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B3 02 EB 32 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B3 03 EB 02 B3 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 45 00 55 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 75 00 73 00 2D 00 77 00 65 00 73 00 74 00 2D 00 31 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 61 00 70 00 2D 00 73 00 6F 00 75 00 74 00 68 00 65 00 61 00 73 00 74 00 2D 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_3439_0 {
	meta:
		name = "TAmazonStorageService.GetRegionString"
		size = 176
		refs = "0018 TAmazonStorageService.GetRegionString 001d @UStrAsg 0043 EmptyStr"
	strings:
		$1 = { 53 8B DA FE C8 74 0E FE C8 74 18 FE C8 74 22 FE C8 74 2C EB 39 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 02 00 00 00 45 00 55 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 75 00 73 00 2D 00 77 00 65 00 73 00 74 00 2D 00 31 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 61 00 70 00 2D 00 73 00 6F 00 75 00 74 00 68 00 65 00 61 00 73 00 74 00 2D 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_3440_0 {
	meta:
		name = "TAmazonStorageService.GetRequiredHeaderNames"
		size = 176
		refs = "0010 _Dn_TStringList 0015 TStringList.Create 001f TAmazonStorageService.GetRequiredHeaderNames"
	strings:
		$1 = { 53 56 8B F0 C6 02 00 83 7E 18 00 75 37 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 5E 18 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 46 18 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 46 18 8B 08 FF 51 38 8B 46 18 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6D 00 64 00 35 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 64 00 61 00 74 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_4212_0 {
	meta:
		name = "TAzureTableService.GetRequiredHeaderNames"
		size = 176
		refs = "0010 _Dn_TStringList 0015 TStringList.Create 001f TAzureTableService.GetRequiredHeaderNames"
	strings:
		$1 = { 53 56 8B F0 C6 02 00 83 7E 18 00 75 37 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 5E 18 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 46 18 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 46 18 8B 08 FF 51 38 8B 46 18 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6D 00 64 00 35 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 64 00 61 00 74 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_3441_0 {
	meta:
		name = "TAmazonStorageService.InitHeaders"
		size = 136
		refs = "000d TAmazonStorageService.InitHeaders 001a _Dn_TStringList 001f TStringList.Create 003a TStrings.SetValue 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B C3 8B 08 FF 51 78 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 61 00 6D 00 7A 00 2D 00 64 00 61 00 74 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_3442_0 {
	meta:
		name = "TAmazonStorageService.PopulateGrants"
		size = 928
		refs = "001f @IntfAddRef 0028 TAmazonGrant 002d @InitializeRecord 0035 TAmazonStorageService.PopulateGrants 0064 EmptyStr 006b @UStrLAsg 0118 TAmazonGrant.Create 0138 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Add 024e @IntfCopy 026d @IntfClear 0276 IXMLNodeList 0280 @FinalizeArray 0288 @UStrClr 02b9 @FinalizeRecord 02c6 @UStrArrayClr 02cf IXMLNode 02df @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 CC 8B 45 FC 8B 08 FF 51 14 8B 45 CC 8D 55 F8 8B 08 FF 51 34 83 7D F8 00 0F 84 FD 01 00 00 8D 45 E4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 F8 8B 08 FF 51 14 8B 45 C8 8D 4D F4 BA ?? ?? ?? ?? 8B 30 FF 56 38 8D 55 C4 8B 45 F8 8B 08 FF 51 14 8B 45 C4 8D 4D F0 BA ?? ?? ?? ?? 8B 30 FF 56 38 83 7D F0 00 0F 84 8A 01 00 00 8B 45 F0 8B 10 FF 52 28 84 C0 0F 84 7A 01 00 00 8D 55 EC 8B 45 F0 8B 08 FF 51 50 83 7D F4 00 0F 84 65 01 00 00 8B 45 F4 8B 10 FF 52 24 84 C0 0F 84 55 01 00 00 8D 55 C0 8B 45 F4 8B 08 FF 51 14 8B 45 C0 8D 4D F0 BA ?? ?? ?? ?? 8B 30 FF 56 38 83 7D F0 00 74 3C 8B 45 F0 8B 10 FF 52 28 84 C0 74 30 8D 55 D0 8B 45 EC E8 ?? ?? ?? ?? 8D 55 BC 8B 45 F0 8B 08 FF 51 50 8B 55 BC 8D 45 D0 E8 ?? ?? ?? ?? 8D 55 D0 8B C3 E8 ?? ?? ?? ?? E9 F8 00 00 00 8D 55 B8 8B 45 F4 8B 08 FF 51 14 8B 45 B8 8D 4D F0 BA ?? ?? ?? ?? 8B 30 FF 56 38 83 7D F0 00 74 3C 8B 45 F0 8B 10 FF 52 28 84 C0 74 30 8D 55 D0 8B 45 EC E8 ?? ?? ?? ?? 8D 55 B4 8B 45 F0 8B 08 FF 51 50 8B 55 B4 8D 45 DC E8 ?? ?? ?? ?? 8D 55 D0 8B C3 E8 ?? ?? ?? ?? E9 9B 00 00 00 8D 55 B0 8B 45 F4 8B 08 FF 51 14 8B 45 B0 8D 4D F0 BA ?? ?? ?? ?? 8B 30 FF 56 38 83 7D F0 00 74 7A 8B 45 F0 8B 10 FF 52 28 84 C0 74 6E 8D 55 E8 8B 45 F0 8B 08 FF 51 50 8D 55 AC 8B 45 F4 8B 08 FF 51 14 8B 45 AC 8D 4D F0 BA ?? ?? ?? ?? 8B 30 FF 56 38 83 7D F0 00 74 17 8B 45 F0 8B 10 FF 52 28 84 C0 74 0B 8D 55 E4 8B 45 F0 8B 08 FF 51 50 8D 55 D0 8B 45 EC E8 ?? ?? ?? ?? 8D 45 D4 8B 55 E8 E8 ?? ?? ?? ?? 8D 45 D8 8B 55 E4 E8 ?? ?? ?? ?? 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8D 55 A8 8B 45 F8 8B 08 FF 91 90 00 00 00 8B 55 A8 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 0F 85 03 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 84 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 47 00 72 00 61 00 6E 00 74 00 65 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 65 00 72 00 6D 00 69 00 73 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 55 00 52 00 49 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 45 00 6D 00 61 00 69 00 6C 00 41 00 64 00 64 00 72 00 65 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_3443_0 {
	meta:
		name = "TAmazonStorageService.PopulateResultItem"
		size = 1464
		refs = "0020 @IntfAddRef 0029 TAmazonObjectResult 002e @InitializeRecord 0036 TAmazonStorageService.PopulateResultItem 008e @UStrLAsg 00a6 AnsiCompareText 00c5 @UStrAsg 02b5 StrToInt 02cd @HandleAnyException 02d2 @DoneExcept 03cd @IntfCopy 03e2 EmptyStr 03e9 @UStrEqual 0404 @IntfClear 040f @UStrClr 043d @UStrArrayClr 045b IXMLNode 0465 @FinalizeArray 046b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 12 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D A4 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 83 7D FC 00 0F 84 A4 03 00 00 8B 45 FC 8B 10 FF 52 24 84 C0 0F 84 94 03 00 00 8D 55 98 8B 45 FC 8B 08 FF 51 14 8B 45 98 8D 55 F8 8B 08 FF 51 34 83 7D F8 00 0F 84 5F 03 00 00 8D 55 F0 8B 45 F8 8B 08 FF 51 34 8D 45 EC 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 1B 8D 55 94 8B 45 F8 8B 08 FF 51 50 8B 55 94 8B 45 A4 E8 ?? ?? ?? ?? E9 E4 02 00 00 8D 45 E4 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 45 A3 80 7D A3 00 74 1E 8D 55 90 8B 45 F8 8B 08 FF 51 50 8B 55 90 8B 45 A4 83 C0 04 E8 ?? ?? ?? ?? E9 97 02 00 00 8D 45 DC 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 85 C0 0F 94 45 A2 80 7D A2 00 74 1E 8D 55 8C 8B 45 F8 8B 08 FF 51 50 8B 55 8C 8B 45 A4 83 C0 08 E8 ?? ?? ?? ?? E9 4A 02 00 00 8D 45 D4 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B 45 D4 E8 ?? ?? ?? ?? 85 C0 0F 94 45 A1 80 7D A1 00 74 1E 8D 55 88 8B 45 F8 8B 08 FF 51 50 8B 55 88 8B 45 A4 83 C0 20 E8 ?? ?? ?? ?? E9 FD 01 00 00 8D 45 CC 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B 45 CC E8 ?? ?? ?? ?? 85 C0 0F 94 45 A0 80 7D A0 00 74 1E 8D 55 84 8B 45 F8 8B 08 FF 51 50 8B 55 84 8B 45 A4 83 C0 18 E8 ?? ?? ?? ?? E9 B0 01 00 00 8D 45 C4 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8B 45 C4 E8 ?? ?? ?? ?? 85 C0 0F 94 45 9F 80 7D 9F 00 74 38 8D 55 BC 8B 45 F8 8B 08 FF 51 50 8D 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B 45 BC E8 ?? ?? ?? ?? 85 C0 0F 94 45 9E 8B 45 A4 0F B6 55 9E 88 50 1C E9 49 01 00 00 8D 45 B4 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8B 45 B4 E8 ?? ?? ?? ?? 85 C0 0F 94 45 9D 80 7D 9D 00 74 43 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 80 8B 45 F8 8B 08 FF 51 50 8B 45 80 E8 ?? ?? ?? ?? 8B 55 A4 89 42 0C 33 C0 5A 59 59 64 89 10 E9 E6 00 00 00 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D7 00 00 00 8D 45 AC 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 A8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 8B 45 AC E8 ?? ?? ?? ?? 85 C0 0F 94 45 9C 80 7D 9C 00 0F 84 A4 00 00 00 8D 95 7C FF FF FF 8B 45 F8 8B 08 FF 51 14 8B 85 7C FF FF FF 8D 4D F4 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F4 00 74 2B 8B 45 F4 8B 10 FF 52 28 84 C0 74 1F 8D 95 78 FF FF FF 8B 45 F4 8B 08 FF 51 50 8B 95 78 FF FF FF 8B 45 A4 83 C0 10 E8 ?? ?? ?? ?? 8D 95 74 FF FF FF 8B 45 F8 8B 08 FF 51 14 8B 85 74 FF FF FF 8D 4D F4 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F4 00 74 2B 8B 45 F4 8B 10 FF 52 28 84 C0 74 1F 8D 95 70 FF FF FF 8B 45 F4 8B 08 FF 51 50 8B 95 70 FF FF FF 8B 45 A4 83 C0 14 E8 ?? ?? ?? ?? 8D 95 6C FF FF FF 8B 45 F8 8B 08 FF 91 90 00 00 00 8B 95 6C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 0F 85 A1 FC FF FF 8B 45 A4 8B 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 A8 BA 13 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8C 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4B 00 65 00 79 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4C 00 61 00 73 00 74 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 54 00 61 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 74 00 6F 00 72 00 61 00 67 00 65 00 43 00 6C 00 61 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 49 00 64 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 73 00 4C 00 61 00 74 00 65 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4F 00 77 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_3444_0 {
	meta:
		name = "TAmazonStorageService.ParseResponseError"
		size = 604
		refs = "001e TAmazonStorageService.ParseResponseError 0034 EmptyStr 003b @UStrEqual 004d AnsiPos 005e _Dn_TXMLDocument 0063 TXMLDocument.Create 0077 @IntfCopy 00a1 @HandleAnyException 00a6 @DoneExcept 0173 Format 017e @UStrAsg 0193 @UStrClr 019c IXMLNodeList 01a6 @FinalizeArray 01b3 @UStrArrayClr 01bc IXMLNode 01ce @IntfClear 01d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 52 01 00 00 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 3D 01 00 00 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 29 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D3 00 00 00 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 08 FF 51 18 83 7D F4 00 0F 84 B9 00 00 00 8B 45 F4 8B 10 FF 52 24 84 C0 0F 84 A9 00 00 00 8D 55 E4 8B 45 F4 8B 08 FF 51 14 8B 45 E4 8D 4D F0 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F0 00 74 0B 8D 55 E8 8B 45 F0 8B 08 FF 51 50 8B 45 E8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 6B 8D 55 E0 8B 45 F4 8B 08 FF 51 14 8B 45 E0 8D 4D F8 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F8 00 74 0B 8D 55 EC 8B 45 F8 8B 08 FF 51 50 8D 45 DC 50 8B 46 08 89 45 C4 C6 45 C8 11 8B 45 E8 89 45 CC C6 45 D0 11 8B 45 EC 89 45 D4 C6 45 D8 11 8D 55 C4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8D 46 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3C 00 45 00 72 00 72 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 6F 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 25 00 73 00 20 00 2D 00 20 00 25 00 73 00 20 00 28 00 25 00 73 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_3445_0 {
	meta:
		name = "TAmazonStorageService.CurrentTime"
		size = 336
		refs = "0018 TAmazonStorageService.CurrentTime 0024 TTimeZone.FLocal 002b Now 0040 TTimeZone.GetUtcOffsetInSeconds 007d @_llmul 0084 IncMilliSecond 00aa TFormatSettings.Create 00bc FormatDateTime 00d5 TFormatSettings 00da @FinalizeRecord 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 1E 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8B 1B E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 FF 75 FC FF 75 F8 8B D0 8B C3 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 8B 45 F8 89 45 E0 8B 45 FC 89 45 E4 8B 45 E8 8B 55 EC F7 D8 83 D2 00 F7 DA 89 45 D8 89 55 DC FF 75 E4 FF 75 E0 6A 00 68 E8 03 00 00 8B 45 D8 8B 55 DC E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 5D D0 9B 8B 45 D0 89 45 F0 8B 45 D4 89 45 F4 FF 75 F4 FF 75 F0 8D 95 0C FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 0C FF FF FF 8B CE B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 0C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 6E 00 2D 00 55 00 53 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 64 00 64 00 64 00 2C 00 20 00 64 00 64 00 20 00 6D 00 6D 00 6D 00 20 00 79 00 79 00 79 00 79 00 20 00 68 00 68 00 3A 00 6E 00 6E 00 3A 00 73 00 73 00 20 00 22 00 47 00 4D 00 54 00 22 00 00 00 }
	condition:
		$1
}

rule function_4208_0 {
	meta:
		name = "TAzureService.XMsDate"
		size = 336
		refs = "0018 TAzureService.XMsDate 0024 TTimeZone.FLocal 002b Now 0040 TTimeZone.GetUtcOffsetInSeconds 007d @_llmul 0084 IncMilliSecond 00aa TFormatSettings.Create 00bc FormatDateTime 00d5 TFormatSettings 00da @FinalizeRecord 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 1E 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8B 1B E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 FF 75 FC FF 75 F8 8B D0 8B C3 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 8B 45 F8 89 45 E0 8B 45 FC 89 45 E4 8B 45 E8 8B 55 EC F7 D8 83 D2 00 F7 DA 89 45 D8 89 55 DC FF 75 E4 FF 75 E0 6A 00 68 E8 03 00 00 8B 45 D8 8B 55 DC E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 5D D0 9B 8B 45 D0 89 45 F0 8B 45 D4 89 45 F4 FF 75 F4 FF 75 F0 8D 95 0C FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 0C FF FF FF 8B CE B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 0C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 6E 00 2D 00 55 00 53 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 64 00 64 00 64 00 2C 00 20 00 64 00 64 00 20 00 6D 00 6D 00 6D 00 20 00 79 00 79 00 79 00 79 00 20 00 68 00 68 00 3A 00 6E 00 6E 00 3A 00 73 00 73 00 20 00 22 00 47 00 4D 00 54 00 22 00 00 00 }
	condition:
		$1
}

rule function_3446_0 {
	meta:
		name = "TAmazonStorageService.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TAmazonService.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4202_0 {
	meta:
		name = "TAzureService.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TCloudService.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11479_0 {
	meta:
		name = "TDBXDatabaseConnectionHandler.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXCommandHandler.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8217_0 {
	meta:
		name = "TDBXDelegateTable.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXValueList.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12095_0 {
	meta:
		name = "TDBXMsSqlCustomMetaDataReader.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXBaseMetaDataReader.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12175_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXBaseMetaDataReader.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8259_0 {
	meta:
		name = "TDBXRowTable.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXValueList.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12903_0 {
	meta:
		name = "TDBXSqlScanner.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16616_0 {
	meta:
		name = "TDSClassInfo.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12788_0 {
	meta:
		name = "TDSInvocationMetadata.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78479_0 {
	meta:
		name = "TDirect2DPen.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDirect2DGraphicsObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31748_0 {
	meta:
		name = "TIBXSQLVAR.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45768_0 {
	meta:
		name = "TNativeXml.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TPersistent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89118_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_3447_0 {
	meta:
		name = "TAmazonStorageService.CreateBucket"
		size = 1088
		refs = "0021 TAmazonStorageService.CreateBucket 0038 GetACLTypeString 0044 TAmazonStorageService.GetRegionString 004b TAmazonService.GetConnectionInfo 0055 TAmazonConnectionInfo.StorageURL 005c TAmazonStorageService.InitHeaders 0068 EmptyStr 006f @UStrEqual 0081 TStrings.SetValue 00b2 @UStrCatN 00b9 _Dn_TStringStream 00be TStringStream.Create 00cc TStringStream.WriteString 00e3 IntToStr 0146 @UStrClr 0164 TAmazonStorageService.ParseResponseError 0172 TCloudHTTP.GetResponseCode 01a2 TObject.Free 01c2 @HandleFinally 01e6 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 88 4D E7 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E0 0F B6 45 E7 8D 55 FC E8 ?? ?? ?? ?? 0F B6 45 0C 8D 55 F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D F4 8B D7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 DC 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 10 8B 4D FC BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 44 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8B 55 E8 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 12 8B F0 EB 02 33 F6 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 8B 4D D4 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F0 50 8B 45 08 50 8B 45 E0 50 8D 45 EC E8 ?? ?? ?? ?? 50 8B 4D DC 8B 55 F4 8B C3 8B 30 FF 56 5C 89 45 D8 8B 4D EC 8B 55 08 8B C3 E8 ?? ?? ?? ?? 83 7D D8 00 74 0F 8B 45 D8 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D8 00 74 0D 8B 45 D8 33 D2 89 55 D8 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 E6 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 61 00 6D 00 7A 00 2D 00 61 00 63 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 5F 00 00 00 3C 00 43 00 72 00 65 00 61 00 74 00 65 00 42 00 75 00 63 00 6B 00 65 00 74 00 43 00 6F 00 6E 00 66 00 69 00 67 00 75 00 72 00 61 00 74 00 69 00 6F 00 6E 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 33 00 2E 00 61 00 6D 00 61 00 7A 00 6F 00 6E 00 61 00 77 00 73 00 2E 00 63 00 6F 00 6D 00 2F 00 64 00 6F 00 63 00 2F 00 32 00 30 00 30 00 36 00 2D 00 30 00 33 00 2D 00 30 00 31 00 2F 00 22 00 3E 00 3C 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 43 00 6F 00 6E 00 73 00 74 00 72 00 61 00 69 00 6E 00 74 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 3C 00 2F 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 43 00 6F 00 6E 00 73 00 74 00 72 00 61 00 69 00 6E 00 74 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 3C 00 2F 00 43 00 72 00 65 00 61 00 74 00 65 00 42 00 75 00 63 00 6B 00 65 00 74 00 43 00 6F 00 6E 00 66 00 69 00 67 00 75 00 72 00 61 00 74 00 69 00 6F 00 6E 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 2D 00 77 00 77 00 77 00 2D 00 66 00 6F 00 72 00 6D 00 2D 00 75 00 72 00 6C 00 65 00 6E 00 63 00 6F 00 64 00 65 00 64 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 75 00 74 00 66 00 2D 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_3448_0 {
	meta:
		name = "TAmazonStorageService.ListBucketsXML"
		size = 424
		refs = "001c TAmazonStorageService.ListBucketsXML 0029 TAmazonService.GetConnectionInfo 0033 TAmazonConnectionInfo.StorageURL 003a TAmazonStorageService.InitHeaders 004a @UStrLAsg 005c TStrings.SetValue 007e @UStrClr 009d TAmazonStorageService.ParseResponseError 00bd TObject.Free 00d0 @HandleFinally 00ec @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F0 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 56 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 4D F0 8B 55 FC 8B C3 8B 38 FF 57 50 89 45 EC 8B 4D F4 8B 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 2D 00 77 00 77 00 77 00 2D 00 66 00 6F 00 72 00 6D 00 2D 00 75 00 72 00 6C 00 65 00 6E 00 63 00 6F 00 64 00 65 00 64 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 75 00 74 00 66 00 2D 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_3449_0 {
	meta:
		name = "TAmazonStorageService.ListBuckets"
		size = 768
		refs = "001a TAmazonStorageService.ListBuckets 0031 TAmazonStorageService.ListBucketsXML 003a EmptyStr 0041 @UStrEqual 0050 _Dn_TXMLDocument 0055 TXMLDocument.Create 0069 @IntfCopy 0094 @HandleAnyException 009f @DoneExcept 00e0 _Dn_TStringList 00e5 TStringList.Create 0137 @UStrLAsg 0142 AnsiCompareText 01d9 TStrings.SetValue 0211 @IntfClear 0219 @UStrClr 0222 IXMLNodeList 022c @FinalizeArray 0249 @UStrArrayClr 0252 IXMLNode 0277 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 DC 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 B5 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F4 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 DC 89 45 DC E8 ?? ?? ?? ?? E9 58 01 00 00 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 F4 8B 08 FF 51 18 8B 45 D4 8D 55 D8 8B 08 FF 51 14 8B 45 D8 8D 4D F0 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F0 00 0F 84 23 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 8B 45 F0 8B 10 FF 52 24 84 C0 75 0B 8B 45 DC 89 45 DC E9 FD 00 00 00 8D 55 D0 8B 45 F0 8B 08 FF 51 14 8B 45 D0 8D 55 EC 8B 08 FF 51 34 83 7D EC 00 0F 84 DD 00 00 00 8D 55 E4 8B 45 EC 8B 08 FF 51 34 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 0F 84 8A 00 00 00 8B 45 EC 8B 10 FF 52 24 84 C0 74 7E 8D 55 CC 8B 45 EC 8B 08 FF 51 14 8B 45 CC 8D 4D E8 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D E8 00 74 5D 8B 45 E8 8B 10 FF 52 28 84 C0 74 51 8D 55 F8 8B 45 E8 8B 08 FF 51 50 8D 55 C8 8B 45 EC 8B 08 FF 51 14 8B 45 C8 8D 4D E8 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D E8 00 74 25 8B 45 E8 8B 10 FF 52 28 84 C0 74 19 8D 55 C4 8B 45 E8 8B 08 FF 51 50 8B 4D C4 8B 55 F8 8B 45 DC E8 ?? ?? ?? ?? 8D 55 C0 8B 45 EC 8B 08 FF 91 90 00 00 00 8B 55 C0 8D 45 EC E8 ?? ?? ?? ?? 83 7D EC 00 0F 85 23 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 90 8B 45 DC 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 75 00 63 00 6B 00 65 00 74 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 75 00 63 00 6B 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 72 00 65 00 61 00 74 00 69 00 6F 00 6E 00 44 00 61 00 74 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_3450_0 {
	meta:
		name = "TAmazonStorageService.DeleteBucket"
		size = 472
		refs = "001e TAmazonStorageService.DeleteBucket 002b TAmazonService.GetConnectionInfo 0035 TAmazonConnectionInfo.StorageURL 003c TAmazonStorageService.InitHeaders 0057 @UStrCatN 0069 TStrings.SetValue 008e @UStrClr 00ac TAmazonStorageService.ParseResponseError 00ba TCloudHTTP.GetResponseCode 00ea TObject.Free 00fd @HandleFinally 0119 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D FC 89 5D F8 89 5D F4 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E8 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 F0 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 4D E8 8B 55 FC 8B C3 8B 30 FF 56 70 89 45 E4 8B 4D F4 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 83 7D E4 00 74 0F 8B 45 E4 E8 ?? ?? ?? ?? 3D CC 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 EF 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 2D 00 77 00 77 00 77 00 2D 00 66 00 6F 00 72 00 6D 00 2D 00 75 00 72 00 6C 00 65 00 6E 00 63 00 6F 00 64 00 65 00 64 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 75 00 74 00 66 00 2D 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_3451_0 {
	meta:
		name = "TAmazonStorageService.DeleteBucketPolicy"
		size = 388
		refs = "0021 TAmazonStorageService.DeleteBucketPolicy 002e TAmazonService.GetConnectionInfo 0038 TAmazonConnectionInfo.StorageURL 0048 @UStrCat3 004f TAmazonStorageService.InitHeaders 006a @UStrCatN 008f @UStrClr 00ad TAmazonStorageService.ParseResponseError 00bb TCloudHTTP.GetResponseCode 00eb TObject.Free 00fe @HandleFinally 0122 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D E0 89 5D FC 89 5D F8 89 5D F4 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D E0 8B D6 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E8 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 F0 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 4D E8 8B 55 FC 8B C3 8B 30 FF 56 70 89 45 E4 8B 4D F4 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 83 7D E4 00 74 0F 8B 45 E4 E8 ?? ?? ?? ?? 3D CC 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 EF 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 3F 00 70 00 6F 00 6C 00 69 00 63 00 79 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 2F 00 3F 00 70 00 6F 00 6C 00 69 00 63 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_3452_0 {
	meta:
		name = "TAmazonStorageService.GetBucketXML"
		size = 40
		refs = "001d TAmazonStorageService.GetBucketXMLInternal"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 6A 00 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3453_0 {
	meta:
		name = "TAmazonStorageService.GetBucketXMLInternal"
		size = 696
		refs = "001f TAmazonStorageService.GetBucketXMLInternal 0031 TAmazonService.GetConnectionInfo 003c TAmazonConnectionInfo.StorageURL 0049 _Dn_TStringList 004e TStringList.Create 0063 TStrings.SetValue 00b7 @UStrLAsg 00be TAmazonStorageService.InitHeaders 00db @UStrCatN 00ee @UStrCat 0125 @UStrClr 0145 TAmazonStorageService.ParseResponseError 0165 TObject.Free 0185 @HandleFinally 01a9 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D FC 89 5D F8 8B F9 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 8B C6 E8 ?? ?? ?? ?? 8D 4D FC 8B 55 F4 E8 ?? ?? ?? ?? 80 7D 10 00 74 21 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 85 FF 74 2A 8B C7 8B 10 FF 52 14 85 C0 7E 1F 83 7D EC 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B D7 8B 45 EC 8B 08 FF 51 40 83 7D EC 00 74 20 6A 00 6A 01 8D 45 E4 50 8B 4D EC 8B 55 FC 8B C6 8B 18 FF 53 14 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 F0 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 80 7D 10 00 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 0C 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D F0 8B 55 FC 8B C6 8B 18 FF 53 50 89 45 E8 8B 4D 08 8B 09 8B 55 0C 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3F 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 2D 00 77 00 77 00 77 00 2D 00 66 00 6F 00 72 00 6D 00 2D 00 75 00 72 00 6C 00 65 00 6E 00 63 00 6F 00 64 00 65 00 64 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 75 00 74 00 66 00 2D 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_3454_0 {
	meta:
		name = "TAmazonStorageService.GetBucket"
		size = 109
		refs = "001c TAmazonStorageService.GetBucket 0033 TAmazonStorageService.GetBucketXML 003f TAmazonStorageService.GetBucketInternal 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 FC 50 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3467_0 {
	meta:
		name = "TAmazonStorageService.GetBucketObjectVersions"
		size = 109
		refs = "001c TAmazonStorageService.GetBucketObjectVersions 0033 TAmazonStorageService.GetBucketObjectVersionsXML 003f TAmazonStorageService.GetBucketInternal 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 FC 50 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_3455_0 {
	meta:
		name = "TAmazonStorageService.GetBucketInternal"
		size = 2592
		refs = "002c TAmazonObjectResult 0031 @InitializeRecord 0039 TAmazonStorageService.GetBucketInternal 004f EmptyStr 0056 @UStrEqual 0065 _Dn_TXMLDocument 006a TXMLDocument.Create 007e @IntfCopy 00a8 @HandleAnyException 00b5 @DoneExcept 00e2 @UStrLAsg 00ed AnsiCompareText 0199 _DV_TAmazonBucketResult 019e TAmazonBucketResult.Create 0223 @UStrAsg 0402 StrToInt 0530 @FinalizeRecord 0540 TAmazonStorageService.PopulateResultItem 055c TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Add 06b7 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Last 06d9 TStrings.SetValue 0726 IXMLNode 0730 @FinalizeArray 073b @UStrClr 0746 @IntfClear 0756 @UStrArrayClr 07b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 1E 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 8D 50 FF FF FF 8B DA 89 85 54 FF FF FF 8D 85 58 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 85 4C FF FF FF 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 B1 06 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 33 C0 89 85 4C FF FF FF E8 ?? ?? ?? ?? E9 53 06 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC 8B 08 FF 51 18 8D 55 E8 8B 45 F8 8B 08 FF 51 34 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 88 85 4B FF FF FF 80 BD 4B FF FF FF 00 74 04 B0 01 EB 28 8D 55 E0 8B 45 F8 8B 08 FF 51 34 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 0D 33 C0 89 85 4C FF FF FF E9 CF 05 00 00 8D 95 38 FF FF FF 8B 45 F8 8B 08 FF 51 14 8B 85 38 FF FF FF 8D 4D F4 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F4 00 74 0C 8B 45 F4 8B 10 FF 52 28 84 C0 75 0D 33 C0 89 85 4C FF FF FF E9 8F 05 00 00 8D 95 34 FF FF FF 8B 45 F4 8B 08 FF 51 50 8B 8D 34 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 4C FF FF FF 8D 95 30 FF FF FF 8B 45 F8 8B 08 FF 51 14 8B 85 30 FF FF FF 8D 55 F4 8B 08 FF 51 34 83 7D F4 00 0F 84 B1 04 00 00 8D 55 EC 8B 45 F4 8B 08 FF 51 34 8D 45 D8 8B 55 EC E8 ?? ?? ?? ?? 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 27 8D 95 2C FF FF FF 8B 45 F4 8B 08 FF 51 50 8B 95 2C FF FF FF 8B 85 4C FF FF FF 83 C0 1C E8 ?? ?? ?? ?? E9 2A 04 00 00 8D 45 D0 8B 55 EC E8 ?? ?? ?? ?? 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 45 D0 E8 ?? ?? ?? ?? 85 C0 0F 94 85 4A FF FF FF 80 BD 4A FF FF FF 00 74 27 8D 95 28 FF FF FF 8B 45 F4 8B 08 FF 51 50 8B 95 28 FF FF FF 8B 85 4C FF FF FF 83 C0 20 E8 ?? ?? ?? ?? E9 CE 03 00 00 8D 45 C8 8B 55 EC E8 ?? ?? ?? ?? 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B 45 C8 E8 ?? ?? ?? ?? 85 C0 0F 94 85 49 FF FF FF 80 BD 49 FF FF FF 00 74 09 C6 85 47 FF FF FF 01 EB 39 8D 45 C0 8B 55 EC E8 ?? ?? ?? ?? 8D 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 45 C0 E8 ?? ?? ?? ?? 85 C0 0F 94 85 48 FF FF FF 0F B6 85 48 FF FF FF 88 85 47 FF FF FF 80 BD 47 FF FF FF 00 74 27 8D 95 24 FF FF FF 8B 45 F4 8B 08 FF 51 50 8B 95 24 FF FF FF 8B 85 4C FF FF FF 83 C0 14 E8 ?? ?? ?? ?? E9 27 03 00 00 80 BD 4B FF FF FF 00 74 3B 8D 45 B8 8B 55 EC E8 ?? ?? ?? ?? 8D 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B 45 B8 E8 ?? ?? ?? ?? 85 C0 0F 94 85 46 FF FF FF 0F B6 85 46 FF FF FF 88 85 45 FF FF FF EB 07 C6 85 45 FF FF FF 00 80 BD 45 FF FF FF 00 74 27 8D 95 20 FF FF FF 8B 45 F4 8B 08 FF 51 50 8B 95 20 FF FF FF 8B 85 4C FF FF FF 83 C0 18 E8 ?? ?? ?? ?? E9 AC 02 00 00 8D 45 B0 8B 55 EC E8 ?? ?? ?? ?? 8D 45 AC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 8B 45 B0 E8 ?? ?? ?? ?? 85 C0 0F 94 85 44 FF FF FF 80 BD 44 FF FF FF 00 74 4C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 1C FF FF FF 8B 45 F4 8B 08 FF 51 50 8B 85 1C FF FF FF E8 ?? ?? ?? ?? 8B 95 4C FF FF FF 89 42 24 33 C0 5A 59 59 64 89 10 E9 3A 02 00 00 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2B 02 00 00 8D 45 A8 8B 55 EC E8 ?? ?? ?? ?? 8D 45 A4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8B 45 A8 E8 ?? ?? ?? ?? 85 C0 0F 94 85 43 FF FF FF 80 BD 43 FF FF FF 00 74 43 8D 55 A0 8B 45 F4 8B 08 FF 51 50 8D 45 9C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B 45 A0 E8 ?? ?? ?? ?? 85 C0 0F 94 85 42 FF FF FF 0F B6 85 42 FF FF FF 34 01 8B 95 4C FF FF FF 88 42 08 E9 B3 01 00 00 8D 45 98 8B 55 EC E8 ?? ?? ?? ?? 8D 45 94 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 8B 45 98 E8 ?? ?? ?? ?? 85 C0 0F 94 85 41 FF FF FF 80 BD 41 FF FF FF 00 74 09 C6 85 3F FF FF FF 01 EB 39 8D 45 90 8B 55 EC E8 ?? ?? ?? ?? 8D 45 8C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 8C 8B 45 90 E8 ?? ?? ?? ?? 85 C0 0F 94 85 40 FF FF FF 0F B6 85 40 FF FF FF 88 85 3F FF FF FF 80 BD 3F FF FF FF 00 74 42 8D 85 58 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 85 54 FF FF FF E8 ?? ?? ?? ?? 84 C0 0F 84 0A 01 00 00 8D 95 58 FF FF FF 8B 85 4C FF FF FF 8B 40 0C E8 ?? ?? ?? ?? E9 F1 00 00 00 8D 45 88 8B 55 EC E8 ?? ?? ?? ?? 8D 45 84 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 84 8B 45 88 E8 ?? ?? ?? ?? 85 C0 0F 94 85 3E FF FF FF 80 BD 3E FF FF FF 00 0F 84 B8 00 00 00 8D 95 18 FF FF FF 8B 45 F4 8B 08 FF 51 14 8B 85 18 FF FF FF 8D 55 F0 8B 08 FF 51 34 83 7D F0 00 0F 84 92 00 00 00 8D 55 80 8B 45 F0 8B 08 FF 51 34 8D 85 7C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B 45 80 E8 ?? ?? ?? ?? 85 C0 0F 94 85 3D FF FF FF 80 BD 3D FF FF FF 00 74 2E 8B 45 F0 8B 10 FF 52 28 84 C0 74 22 8D 95 14 FF FF FF 8B 45 F0 8B 08 FF 51 50 8B 95 14 FF FF FF 8B 85 4C FF FF FF 8B 40 10 8B 08 FF 51 38 8D 95 10 FF FF FF 8B 45 F0 8B 08 FF 91 90 00 00 00 8B 95 10 FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? 83 7D F0 00 0F 85 6E FF FF FF 8D 95 0C FF FF FF 8B 45 F4 8B 08 FF 91 90 00 00 00 8B 95 0C FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 0F 85 4F FB FF FF 8B 85 4C FF FF FF 80 78 08 00 0F 84 82 00 00 00 83 BD 50 FF FF FF 00 74 79 8B 85 4C FF FF FF 8B 40 0C 83 78 08 01 7E 6A 8D 95 58 FF FF FF 8B 85 4C FF FF FF 8B 40 0C E8 ?? ?? ?? ?? 80 BD 4B FF FF FF 00 74 34 8B 85 50 FF FF FF 8B 40 0C 8B 8D 58 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 8B 40 0C 8B 8D 70 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 19 8B 85 50 FF FF FF 8B 40 0C 8B 8D 58 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 0C FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 14 FF FF FF E8 ?? ?? ?? ?? 8D 85 18 FF FF FF E8 ?? ?? ?? ?? 8D 85 1C FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 8D 85 34 FF FF FF E8 ?? ?? ?? ?? 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8D 85 58 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 1D 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 5C FF FF FF 8B 85 4C FF FF FF 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 12 00 00 00 4C 00 69 00 73 00 74 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 73 00 52 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4C 00 69 00 73 00 74 00 42 00 75 00 63 00 6B 00 65 00 74 00 52 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 72 00 65 00 66 00 69 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 65 00 6C 00 69 00 6D 00 69 00 74 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4D 00 61 00 72 00 6B 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4B 00 65 00 79 00 4D 00 61 00 72 00 6B 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 49 00 64 00 4D 00 61 00 72 00 6B 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 61 00 78 00 4B 00 65 00 79 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 73 00 54 00 72 00 75 00 6E 00 63 00 61 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6D 00 6D 00 6F 00 6E 00 50 00 72 00 65 00 66 00 69 00 78 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6B 00 65 00 79 00 2D 00 6D 00 61 00 72 00 6B 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 2D 00 69 00 64 00 2D 00 6D 00 61 00 72 00 6B 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6D 00 61 00 72 00 6B 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_3456_0 {
	meta:
		name = "TAmazonStorageService.GetBucketACLXML"
		size = 344
		refs = "001e TAmazonStorageService.GetBucketACLXML 002b TAmazonService.GetConnectionInfo 0035 TAmazonConnectionInfo.StorageURL 0045 @UStrCat3 004c TAmazonStorageService.InitHeaders 0067 @UStrCatN 008c @UStrClr 00ac TAmazonStorageService.ParseResponseError 00cc TObject.Free 00df @HandleFinally 0103 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D E8 8B D6 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F0 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 F4 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D F0 8B 55 FC 8B C3 8B 30 FF 56 50 89 45 EC 8B 4D 08 8B 09 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3F 00 61 00 63 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2F 00 3F 00 61 00 63 00 6C 00 00 00 }
	condition:
		$1
}

rule function_3457_0 {
	meta:
		name = "TAmazonStorageService.GetBucketACL"
		size = 480
		refs = "0021 TAmazonStorageService.GetBucketACL 0039 TAmazonStorageService.GetBucketACLXML 0042 EmptyStr 0049 @UStrEqual 0058 _Dn_TXMLDocument 005d TXMLDocument.Create 0071 @IntfCopy 009c @HandleAnyException 00a3 @DoneExcept 00cd @UStrLAsg 00d8 AnsiCompareText 00ec _DV_TList<Data.Cloud.AmazonAPI.TAmazonGrant> 00f1 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Create 0120 TAmazonStorageService.PopulateGrants 0135 @IntfClear 0142 @UStrArrayClr 014b IXMLNode 0155 @FinalizeArray 0165 @UStrClr 016b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D E4 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 50 8B 4D E4 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 D1 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 EB 13 E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? EB 7B E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 8B 08 FF 51 18 8D 55 EC 8B 45 F4 8B 08 FF 51 34 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 04 33 DB EB 3B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 E0 8B 45 F4 8B 08 FF 51 14 8B 45 E0 8D 4D F0 BA ?? ?? ?? ?? 8B 38 FF 57 38 83 7D F0 00 74 0C 8B CB 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 41 00 63 00 63 00 65 00 73 00 73 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 50 00 6F 00 6C 00 69 00 63 00 79 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 41 00 63 00 63 00 65 00 73 00 73 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 4C 00 69 00 73 00 74 00 00 00 }
	condition:
		$1
}

rule function_3458_0 {
	meta:
		name = "TAmazonStorageService.GetBucketPolicyJSON"
		size = 356
		refs = "001e TAmazonStorageService.GetBucketPolicyJSON 002b TAmazonService.GetConnectionInfo 0035 TAmazonConnectionInfo.StorageURL 0045 @UStrCat3 004c TAmazonStorageService.InitHeaders 0067 @UStrCatN 008c @UStrClr 00ac TAmazonStorageService.ParseResponseError 00cc TObject.Free 00df @HandleFinally 0103 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D E8 8B D6 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F0 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 F4 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D F0 8B 55 FC 8B C3 8B 30 FF 56 50 89 45 EC 8B 4D 08 8B 09 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3F 00 70 00 6F 00 6C 00 69 00 63 00 79 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 2F 00 3F 00 70 00 6F 00 6C 00 69 00 63 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_3459_0 {
	meta:
		name = "TAmazonStorageService.GetBucketPolicy"
		size = 172
		refs = "0019 TAmazonStorageService.GetBucketPolicy 0031 TAmazonStorageService.GetBucketPolicyJSON 003e AnsiStartsStr 0058 TJSONObject.ParseJSONValue 0069 @HandleAnyException 0070 @DoneExcept 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 50 8B 4D F8 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 }
	condition:
		$1
}

rule function_3460_0 {
	meta:
		name = "TAmazonStorageService.GetBucketLocationXML"
		size = 364
		refs = "001e TAmazonStorageService.GetBucketLocationXML 002b TAmazonService.GetConnectionInfo 0035 TAmazonConnectionInfo.StorageURL 0045 @UStrCat3 004c TAmazonStorageService.InitHeaders 0067 @UStrCatN 008c @UStrClr 00ac TAmazonStorageService.ParseResponseError 00cc TObject.Free 00df @HandleFinally 0103 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D E8 8B D6 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F0 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 F4 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D F0 8B 55 FC 8B C3 8B 30 FF 56 50 89 45 EC 8B 4D 08 8B 09 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3F 00 6C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 2F 00 3F 00 6C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_3461_0 {
	meta:
		name = "TAmazonStorageService.GetBucketLocation"
		size = 396
		refs = "001e TAmazonStorageService.GetBucketLocation 0037 TAmazonStorageService.GetBucketLocationXML 0040 EmptyStr 0047 @UStrEqual 0056 _Dn_TXMLDocument 005b TXMLDocument.Create 006f @IntfCopy 009a @HandleAnyException 009f @DoneExcept 00c9 @UStrLAsg 00d4 AnsiCompareText 00fc TAmazonStorageService.GetRegionFromString 011a @UStrClr 0127 @UStrArrayClr 012f @IntfClear 0145 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EB 00 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 B8 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 64 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 8B 08 FF 51 18 8D 55 F0 8B 45 F4 8B 08 FF 51 34 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 28 8B 45 F4 8B 10 FF 52 28 84 C0 74 18 8D 55 E4 8B 45 F4 8B 08 FF 51 50 8B 45 E4 E8 ?? ?? ?? ?? 88 45 EB EB 04 C6 45 EB 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 0F B6 45 EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 43 00 6F 00 6E 00 73 00 74 00 72 00 61 00 69 00 6E 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_3462_0 {
	meta:
		name = "TAmazonStorageService.GetBucketLoggingXML"
		size = 360
		refs = "001e TAmazonStorageService.GetBucketLoggingXML 002b TAmazonService.GetConnectionInfo 0035 TAmazonConnectionInfo.StorageURL 0045 @UStrCat3 004c TAmazonStorageService.InitHeaders 0067 @UStrCatN 008c @UStrClr 00ac TAmazonStorageService.ParseResponseError 00cc TObject.Free 00df @HandleFinally 0103 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D E8 8B D6 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F0 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 F4 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D F0 8B 55 FC 8B C3 8B 30 FF 56 50 89 45 EC 8B 4D 08 8B 09 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3F 00 6C 00 6F 00 67 00 67 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 3F 00 6C 00 6F 00 67 00 67 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_3463_0 {
	meta:
		name = "TAmazonStorageService.GetBucketLogging"
		size = 900
		refs = "0021 TAmazonStorageService.GetBucketLogging 003b TAmazonStorageService.GetBucketLoggingXML 0044 EmptyStr 004b @UStrEqual 005a _Dn_TXMLDocument 005f TXMLDocument.Create 0073 @IntfCopy 009e @HandleAnyException 00a3 @DoneExcept 00d0 @UStrLAsg 00db AnsiCompareText 01c1 _DV_TAmazonBucketLoggingInfo 01c6 TAmazonBucketLoggingInfo.Create 0206 TAmazonStorageService.PopulateGrants 022e @HandleFinally 0245 @IntfClear 024d @UStrClr 0256 IXMLNodeList 0260 @FinalizeArray 026d @UStrArrayClr 0276 IXMLNode"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 DC 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 DF 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F4 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 88 01 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F4 8B 08 FF 51 18 8D 55 E4 8B 45 F0 8B 08 FF 51 34 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 48 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 10 FF 52 24 84 C0 0F 84 00 01 00 00 8D 55 D8 8B 45 F0 8B 08 FF 51 14 8B 45 D8 8D 4D EC BA ?? ?? ?? ?? 8B 30 FF 56 38 83 7D EC 00 0F 84 DB 00 00 00 8B 45 EC 8B 10 FF 52 24 84 C0 0F 84 CB 00 00 00 8D 55 D4 8B 45 EC 8B 08 FF 51 14 8B 45 D4 8D 4D E8 BA ?? ?? ?? ?? 8B 30 FF 56 38 83 7D E8 00 0F 84 A6 00 00 00 8B 45 E8 8B 10 FF 52 28 84 C0 0F 84 96 00 00 00 8D 55 F8 8B 45 E8 8B 08 FF 51 50 8D 55 D0 8B 45 EC 8B 08 FF 51 14 8B 45 D0 8D 4D E8 BA ?? ?? ?? ?? 8B 30 FF 56 38 83 7D E8 00 74 6A 8B 45 E8 8B 10 FF 52 28 84 C0 74 5E 8D 55 CC 8B 45 E8 8B 08 FF 51 50 8B 45 CC 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 8D 55 C8 8B 45 EC 8B 08 FF 51 14 8B 45 C8 8D 4D E8 BA ?? ?? ?? ?? 8B 30 FF 56 38 83 7D E8 00 74 1C 8B 45 E8 8B 10 FF 52 24 84 C0 74 10 8B 45 DC 8B 48 10 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC C3 E9 ?? ?? ?? ?? EB E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A0 8B 45 DC 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 13 00 00 00 42 00 75 00 63 00 6B 00 65 00 74 00 4C 00 6F 00 67 00 67 00 69 00 6E 00 67 00 53 00 74 00 61 00 74 00 75 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4C 00 6F 00 67 00 67 00 69 00 6E 00 67 00 45 00 6E 00 61 00 62 00 6C 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 54 00 61 00 72 00 67 00 65 00 74 00 42 00 75 00 63 00 6B 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 54 00 61 00 72 00 67 00 65 00 74 00 50 00 72 00 65 00 66 00 69 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 54 00 61 00 72 00 67 00 65 00 74 00 47 00 72 00 61 00 6E 00 74 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_3464_0 {
	meta:
		name = "TAmazonStorageService.GetBucketNotificationXML"
		size = 380
		refs = "001e TAmazonStorageService.GetBucketNotificationXML 002b TAmazonService.GetConnectionInfo 0035 TAmazonConnectionInfo.StorageURL 0045 @UStrCat3 004c TAmazonStorageService.InitHeaders 0067 @UStrCatN 008c @UStrClr 00ac TAmazonStorageService.ParseResponseError 00cc TObject.Free 00df @HandleFinally 0103 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D E8 8B D6 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F0 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 F4 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D F0 8B 55 FC 8B C3 8B 30 FF 56 50 89 45 EC 8B 4D 08 8B 09 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 3F 00 6E 00 6F 00 74 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 2F 00 3F 00 6E 00 6F 00 74 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_3465_0 {
	meta:
		name = "TAmazonStorageService.GetBucketNotification"
		size = 832
		refs = "0021 TAmazonStorageService.GetBucketNotification 003b TAmazonStorageService.GetBucketNotificationXML 0044 EmptyStr 004b @UStrEqual 005a _Dn_TXMLDocument 005f TXMLDocument.Create 0073 @IntfCopy 009e @HandleAnyException 00a3 @DoneExcept 00d0 @UStrLAsg 00db AnsiCompareText 00ef _DV_TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent> 00f4 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Create 01e5 TAmazonNotificationEvent.Create 01f0 TList<Data.Cloud.AmazonAPI.TAmazonNotificationEvent>.Add 0228 @IntfClear 0230 @UStrClr 0239 TAmazonNotificationEvent 023e @FinalizeRecord 0247 IXMLNodeList 0251 @FinalizeArray 025e @UStrArrayClr 0267 IXMLNode 028c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 D4 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 C2 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F4 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6B 01 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F4 8B 08 FF 51 18 8D 55 E4 8B 45 F0 8B 08 FF 51 34 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 2B 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 8B 45 F0 8B 10 FF 52 24 84 C0 0F 84 0C 01 00 00 8D 55 D0 8B 45 F0 8B 08 FF 51 14 8B 45 D0 8D 55 EC 8B 08 FF 51 34 83 7D EC 00 0F 84 EC 00 00 00 8D 55 DC 8B 45 EC 8B 08 FF 51 34 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 0F 84 99 00 00 00 8B 45 EC 8B 10 FF 52 24 84 C0 0F 84 89 00 00 00 8D 55 CC 8B 45 EC 8B 08 FF 51 14 8B 45 CC 8D 4D E8 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D E8 00 74 68 8B 45 E8 8B 10 FF 52 28 84 C0 74 5C 8D 55 F8 8B 45 E8 8B 08 FF 51 50 8D 55 C8 8B 45 EC 8B 08 FF 51 14 8B 45 C8 8D 4D E8 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D E8 00 74 30 8B 45 E8 8B 10 FF 52 28 84 C0 74 24 8D 55 BC 8B 45 E8 8B 08 FF 51 50 8B 55 BC 8D 4D C0 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 D4 E8 ?? ?? ?? ?? 8D 55 B8 8B 45 EC 8B 08 FF 91 90 00 00 00 8B 55 B8 8D 45 EC E8 ?? ?? ?? ?? 83 7D EC 00 0F 85 14 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 92 8B 45 D4 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 19 00 00 00 4E 00 6F 00 74 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 43 00 6F 00 6E 00 66 00 69 00 67 00 75 00 72 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 54 00 6F 00 70 00 69 00 63 00 43 00 6F 00 6E 00 66 00 69 00 67 00 75 00 72 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 6F 00 70 00 69 00 63 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 45 00 76 00 65 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_3466_0 {
	meta:
		name = "TAmazonStorageService.GetBucketObjectVersionsXML"
		size = 40
		refs = "001d TAmazonStorageService.GetBucketXMLInternal"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 6A 01 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3468_0 {
	meta:
		name = "TAmazonStorageService.GetRequestPaymentXML"
		size = 388
		refs = "001e TAmazonStorageService.GetRequestPaymentXML 002b TAmazonService.GetConnectionInfo 0035 TAmazonConnectionInfo.StorageURL 0045 @UStrCat3 004c TAmazonStorageService.InitHeaders 0067 @UStrCatN 008c @UStrClr 00ac TAmazonStorageService.ParseResponseError 00cc TObject.Free 00df @HandleFinally 0103 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D E8 8B D6 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F0 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 F4 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D F0 8B 55 FC 8B C3 8B 30 FF 56 50 89 45 EC 8B 4D 08 8B 09 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3F 00 72 00 65 00 71 00 75 00 65 00 73 00 74 00 50 00 61 00 79 00 6D 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 2F 00 3F 00 72 00 65 00 71 00 75 00 65 00 73 00 74 00 50 00 61 00 79 00 6D 00 65 00 6E 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_3469_0 {
	meta:
		name = "TAmazonStorageService.GetRequestPayment"
		size = 556
		refs = "0021 TAmazonStorageService.GetRequestPayment 003a TAmazonStorageService.GetRequestPaymentXML 0043 EmptyStr 004a @UStrEqual 0059 _Dn_TXMLDocument 005e TXMLDocument.Create 0072 @IntfCopy 009d @HandleAnyException 00a2 @DoneExcept 00cf @UStrLAsg 00da AnsiCompareText 0167 @IntfClear 0174 @UStrArrayClr 017d IXMLNode 0187 @FinalizeArray 0197 @UStrClr 019d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 DF 02 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 02 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AB 00 00 00 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 8B 08 FF 51 18 8D 55 EC 8B 45 F4 8B 08 FF 51 34 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 6F 8B 45 F4 8B 10 FF 52 24 84 C0 74 63 8D 55 D8 8B 45 F4 8B 08 FF 51 14 8B 45 D8 8D 4D F0 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F0 00 74 42 8B 45 F0 8B 10 FF 52 28 84 C0 74 36 8D 55 E4 8B 45 F0 8B 08 FF 51 50 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 06 C6 45 DF 00 EB 04 C6 45 DF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 0F B6 45 DF 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 50 00 61 00 79 00 6D 00 65 00 6E 00 74 00 43 00 6F 00 6E 00 66 00 69 00 67 00 75 00 72 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 61 00 79 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_3470_0 {
	meta:
		name = "TAmazonStorageService.GetBucketVersioningXML"
		size = 372
		refs = "001e TAmazonStorageService.GetBucketVersioningXML 002b TAmazonService.GetConnectionInfo 0035 TAmazonConnectionInfo.StorageURL 0045 @UStrCat3 004c TAmazonStorageService.InitHeaders 0067 @UStrCatN 008c @UStrClr 00ac TAmazonStorageService.ParseResponseError 00cc TObject.Free 00df @HandleFinally 0103 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D E8 8B D6 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F0 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 F4 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D F0 8B 55 FC 8B C3 8B 30 FF 56 50 89 45 EC 8B 4D 08 8B 09 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 3F 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 2F 00 3F 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_3471_0 {
	meta:
		name = "TAmazonStorageService.GetBucketVersioning"
		size = 536
		refs = "0021 TAmazonStorageService.GetBucketVersioning 003a TAmazonStorageService.GetBucketVersioningXML 0043 EmptyStr 004a @UStrEqual 0059 _Dn_TXMLDocument 005e TXMLDocument.Create 0072 @IntfCopy 009d @HandleAnyException 00a2 @DoneExcept 00cf @UStrLAsg 00da AnsiCompareText 015c @IntfClear 0169 @UStrArrayClr 0172 IXMLNode 017c @FinalizeArray 018c @UStrClr 0192 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 DF 00 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 F7 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A0 00 00 00 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 8B 08 FF 51 18 8D 55 EC 8B 45 F4 8B 08 FF 51 34 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 64 8B 45 F4 8B 10 FF 52 24 84 C0 74 58 8D 55 D8 8B 45 F4 8B 08 FF 51 14 8B 45 D8 8D 4D F0 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F0 00 74 37 8B 45 F0 8B 10 FF 52 28 84 C0 74 2B 8D 55 E4 8B 45 F0 8B 08 FF 51 50 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 88 45 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 0F B6 45 DF 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 17 00 00 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 69 00 6E 00 67 00 43 00 6F 00 6E 00 66 00 69 00 67 00 75 00 72 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 74 00 61 00 74 00 75 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 6E 00 61 00 62 00 6C 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_3472_0 {
	meta:
		name = "TAmazonStorageService.GetBucketMFADelete"
		size = 540
		refs = "0021 TAmazonStorageService.GetBucketMFADelete 003a TAmazonStorageService.GetBucketVersioningXML 0043 EmptyStr 004a @UStrEqual 0059 _Dn_TXMLDocument 005e TXMLDocument.Create 0072 @IntfCopy 009d @HandleAnyException 00a2 @DoneExcept 00cf @UStrLAsg 00da AnsiCompareText 015c @IntfClear 0169 @UStrArrayClr 0172 IXMLNode 017c @FinalizeArray 018c @UStrClr 0192 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 DF 00 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 F7 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A0 00 00 00 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 8B 08 FF 51 18 8D 55 EC 8B 45 F4 8B 08 FF 51 34 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 64 8B 45 F4 8B 10 FF 52 24 84 C0 74 58 8D 55 D8 8B 45 F4 8B 08 FF 51 14 8B 45 D8 8D 4D F0 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F0 00 74 37 8B 45 F0 8B 10 FF 52 28 84 C0 74 2B 8D 55 E4 8B 45 F0 8B 08 FF 51 50 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 88 45 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 0F B6 45 DF 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 17 00 00 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 69 00 6E 00 67 00 43 00 6F 00 6E 00 66 00 69 00 67 00 75 00 72 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 66 00 61 00 44 00 65 00 6C 00 65 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 6E 00 61 00 62 00 6C 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_3473_0 {
	meta:
		name = "TAmazonStorageService.ListMultipartUploadsXML"
		size = 464
		refs = "001f TAmazonStorageService.ListMultipartUploadsXML 002c TAmazonService.GetConnectionInfo 0037 TAmazonConnectionInfo.StorageURL 003e _Dn_TStringList 0043 TStringList.Create 0058 TStrings.SetValue 0091 @UStrLAsg 0098 TAmazonStorageService.InitHeaders 00b5 @UStrCatN 00da @UStrClr 00fa TAmazonStorageService.ParseResponseError 011a TObject.Free 013a @HandleFinally 015e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D FC 89 5D F8 8B F9 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 4D FC 8B 55 F4 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 85 FF 74 15 8B C7 8B 10 FF 52 14 85 C0 7E 0A 8B D7 8B 45 EC 8B 08 FF 51 40 6A 00 6A 01 8D 45 E4 50 8B 4D EC 8B 55 FC 8B C6 8B 18 FF 53 14 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 F0 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 0C 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D F0 8B 55 FC 8B C6 8B 18 FF 53 50 89 45 E8 8B 4D 08 8B 09 8B 55 0C 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 75 00 70 00 6C 00 6F 00 61 00 64 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 3F 00 75 00 70 00 6C 00 6F 00 61 00 64 00 73 00 00 00 }
	condition:
		$1
}

rule function_3474_0 {
	meta:
		name = "TAmazonStorageService.ListMultipartUploads"
		size = 2828
		refs = "0024 TAmazonMultipartUploadItem 0029 @InitializeRecord 0031 TAmazonStorageService.ListMultipartUploads 0052 TAmazonStorageService.ListMultipartUploadsXML 005b EmptyStr 0062 @UStrEqual 0071 _Dn_TXMLDocument 0076 TXMLDocument.Create 008a @IntfCopy 00b5 @HandleAnyException 00ba @DoneExcept 00e7 @UStrLAsg 00f2 AnsiCompareText 0165 _DV_TAmazonMultipartUploadsResult 016a TAmazonMultipartUploadsResult.Create 01e4 @UStrAsg 0359 StrToInt 0497 TAmazonMultipartUploadItem.Create 0650 GetChildText 075c TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Add 079e IXMLNode 07a8 @FinalizeArray 07b8 @UStrArrayClr 07c3 @IntfClear 07ce @UStrClr 081b @FinalizeRecord 0854 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 21 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B F2 8B D8 8D 85 54 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 85 50 FF FF FF 8B 45 08 50 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 1D 07 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C6 06 00 00 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 8B 08 FF 51 18 8D 55 E8 8B 45 F4 8B 08 FF 51 34 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 86 06 00 00 8B 45 F4 8B 10 FF 52 24 84 C0 0F 84 76 06 00 00 8D 95 3C FF FF FF 8B 45 F4 8B 08 FF 51 14 8B 85 3C FF FF FF 8D 4D F0 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F0 00 0F 84 4B 06 00 00 8B 45 F0 8B 10 FF 52 28 84 C0 0F 84 3B 06 00 00 8D 95 38 FF FF FF 8B 45 F0 8B 08 FF 51 50 8B 8D 38 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 50 FF FF FF 8D 95 34 FF FF FF 8B 45 F4 8B 08 FF 51 14 8B 85 34 FF FF FF 8D 55 F0 8B 08 FF 51 34 83 7D F0 00 0F 84 EF 05 00 00 8D 55 E0 8B 45 F0 8B 08 FF 51 34 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 27 8D 95 30 FF FF FF 8B 45 F0 8B 08 FF 51 50 8B 95 30 FF FF FF 8B 85 50 FF FF FF 83 C0 08 E8 ?? ?? ?? ?? E9 73 05 00 00 8D 55 D8 8B 45 F0 8B 08 FF 51 34 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 94 85 4F FF FF FF 80 BD 4F FF FF FF 00 74 27 8D 95 2C FF FF FF 8B 45 F0 8B 08 FF 51 50 8B 95 2C FF FF FF 8B 85 50 FF FF FF 83 C0 0C E8 ?? ?? ?? ?? E9 17 05 00 00 8D 55 D0 8B 45 F0 8B 08 FF 51 34 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 45 D0 E8 ?? ?? ?? ?? 85 C0 0F 94 85 4E FF FF FF 80 BD 4E FF FF FF 00 74 27 8D 95 28 FF FF FF 8B 45 F0 8B 08 FF 51 50 8B 95 28 FF FF FF 8B 85 50 FF FF FF 83 C0 10 E8 ?? ?? ?? ?? E9 BB 04 00 00 8D 55 C8 8B 45 F0 8B 08 FF 51 34 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B 45 C8 E8 ?? ?? ?? ?? 85 C0 0F 94 85 4D FF FF FF 80 BD 4D FF FF FF 00 74 27 8D 95 24 FF FF FF 8B 45 F0 8B 08 FF 51 50 8B 95 24 FF FF FF 8B 85 50 FF FF FF 83 C0 14 E8 ?? ?? ?? ?? E9 5F 04 00 00 8D 55 C0 8B 45 F0 8B 08 FF 51 34 8D 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 45 C0 E8 ?? ?? ?? ?? 85 C0 0F 94 85 4C FF FF FF 80 BD 4C FF FF FF 00 74 4C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 20 FF FF FF 8B 45 F0 8B 08 FF 51 50 8B 85 20 FF FF FF E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 89 42 18 33 C0 5A 59 59 64 89 10 E9 ED 03 00 00 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DE 03 00 00 8D 55 B8 8B 45 F0 8B 08 FF 51 34 8D 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B 45 B8 E8 ?? ?? ?? ?? 85 C0 0F 94 85 4B FF FF FF 80 BD 4B FF FF FF 00 74 41 8D 55 B0 8B 45 F0 8B 08 FF 51 50 8D 45 AC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 8B 45 B0 E8 ?? ?? ?? ?? 85 C0 0F 94 85 4A FF FF FF 8B 85 50 FF FF FF 0F B6 95 4A FF FF FF 88 50 1C E9 68 03 00 00 8D 55 A8 8B 45 F0 8B 08 FF 51 34 8D 45 A4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8B 45 A8 E8 ?? ?? ?? ?? 85 C0 0F 94 85 49 FF FF FF 80 BD 49 FF FF FF 00 0F 84 2F 03 00 00 8B 45 F0 8B 10 FF 52 24 84 C0 0F 84 1F 03 00 00 8D 95 1C FF FF FF 8B 45 F0 8B 08 FF 51 14 8B 85 1C FF FF FF 8D 4D EC BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D EC 00 0F 84 F4 02 00 00 8B 45 EC 8B 10 FF 52 28 84 C0 0F 84 E4 02 00 00 8D 95 18 FF FF FF 8B 45 EC 8B 08 FF 51 50 8B 95 18 FF FF FF 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 8D 95 14 FF FF FF 8B 45 F0 8B 08 FF 51 14 8B 85 14 FF FF FF 8D 55 EC 8B 08 FF 51 34 83 7D EC 00 0F 84 8B 02 00 00 8D 55 A0 8B 45 EC 8B 08 FF 51 34 8D 45 9C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B 45 A0 E8 ?? ?? ?? ?? 85 C0 0F 94 85 48 FF FF FF 80 BD 48 FF FF FF 00 74 24 8D 95 10 FF FF FF 8B 45 EC 8B 08 FF 51 50 8B 95 10 FF FF FF 8D 85 58 FF FF FF E8 ?? ?? ?? ?? E9 09 02 00 00 8D 55 98 8B 45 EC 8B 08 FF 51 34 8D 45 94 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 8B 45 98 E8 ?? ?? ?? ?? 85 C0 0F 94 85 47 FF FF FF 80 BD 47 FF FF FF 00 74 3E 8D 55 90 8B 45 EC 8B 08 FF 51 50 8D 45 8C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 8C 8B 45 90 E8 ?? ?? ?? ?? 85 C0 0F 94 85 46 FF FF FF 0F B6 85 46 FF FF FF 88 85 6C FF FF FF E9 96 01 00 00 8D 55 88 8B 45 EC 8B 08 FF 51 34 8D 45 84 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 84 8B 45 88 E8 ?? ?? ?? ?? 85 C0 0F 94 85 45 FF FF FF 80 BD 45 FF FF FF 00 74 24 8D 95 0C FF FF FF 8B 45 EC 8B 08 FF 51 50 8B 95 0C FF FF FF 8D 85 70 FF FF FF E8 ?? ?? ?? ?? E9 3D 01 00 00 8D 55 80 8B 45 EC 8B 08 FF 51 34 8D 85 7C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B 45 80 E8 ?? ?? ?? ?? 85 C0 0F 94 85 44 FF FF FF 80 BD 44 FF FF FF 00 74 10 8B 45 EC 8B 10 FF 52 24 88 85 43 FF FF FF EB 07 C6 85 43 FF FF FF 00 80 BD 43 FF FF FF 00 74 4D 8D 8D 08 FF FF FF 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 08 FF FF FF 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 8D 8D 04 FF FF FF 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 04 FF FF FF 8D 85 60 FF FF FF E8 ?? ?? ?? ?? E9 95 00 00 00 8D 95 78 FF FF FF 8B 45 EC 8B 08 FF 51 34 8D 85 74 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8B 85 78 FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 85 42 FF FF FF 80 BD 42 FF FF FF 00 74 54 8B 45 EC 8B 10 FF 52 24 84 C0 74 48 8D 8D 00 FF FF FF 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 00 FF FF FF 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 8D 8D FC FE FF FF 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 FC FE FF FF 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8B 45 EC 8B 08 FF 91 90 00 00 00 8B 95 F8 FE FF FF 8D 45 EC E8 ?? ?? ?? ?? 83 7D EC 00 0F 85 75 FD FF FF 8D 95 54 FF FF FF 8B 85 50 FF FF FF 8B 40 20 E8 ?? ?? ?? ?? 8D 95 F4 FE FF FF 8B 45 F0 8B 08 FF 91 90 00 00 00 8B 95 F4 FE FF FF 8D 45 F0 E8 ?? ?? ?? ?? 83 7D F0 00 0F 85 11 FA FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 FC FE FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 85 14 FF FF FF E8 ?? ?? ?? ?? 8D 85 18 FF FF FF E8 ?? ?? ?? ?? 8D 85 1C FF FF FF E8 ?? ?? ?? ?? 8D 85 20 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 85 34 FF FF FF E8 ?? ?? ?? ?? 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 8D 85 54 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 74 FF FF FF BA 1E 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 39 FF FF FF 8B 85 50 FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 4C 00 69 00 73 00 74 00 4D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 55 00 70 00 6C 00 6F 00 61 00 64 00 73 00 52 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 75 00 63 00 6B 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4B 00 65 00 79 00 4D 00 61 00 72 00 6B 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 55 00 70 00 6C 00 6F 00 61 00 64 00 49 00 64 00 4D 00 61 00 72 00 6B 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4E 00 65 00 78 00 74 00 4B 00 65 00 79 00 4D 00 61 00 72 00 6B 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 4E 00 65 00 78 00 74 00 55 00 70 00 6C 00 6F 00 61 00 64 00 49 00 64 00 4D 00 61 00 72 00 6B 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 61 00 78 00 55 00 70 00 6C 00 6F 00 61 00 64 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 73 00 54 00 72 00 75 00 6E 00 63 00 61 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 70 00 6C 00 6F 00 61 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4B 00 65 00 79 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 70 00 6C 00 6F 00 61 00 64 00 49 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 74 00 6F 00 72 00 61 00 67 00 65 00 43 00 6C 00 61 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 52 00 45 00 44 00 55 00 43 00 45 00 44 00 5F 00 52 00 45 00 44 00 55 00 44 00 41 00 4E 00 43 00 59 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 69 00 74 00 69 00 61 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 69 00 74 00 69 00 61 00 74 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4F 00 77 00 6E 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_3475_0 {
	meta:
		name = "TAmazonStorageService.SetBucketACL"
		size = 716
		refs = "0021 TAmazonStorageService.SetBucketACL 002f EmptyStr 0036 @UStrEqual 004c TAmazonService.GetConnectionInfo 0056 TAmazonConnectionInfo.StorageURL 0066 @UStrCat3 0070 TAmazonAccessControlPolicy.AsXML 0077 _Dn_TStringStream 007c TStringStream.Create 008a TStringStream.WriteString 009a TAmazonStorageService.InitHeaders 00a7 IntToStr 00b7 TStrings.SetValue 00e1 @UStrCatN 010a @UStrClr 0128 TAmazonStorageService.ParseResponseError 0136 TCloudHTTP.GetResponseCode 0166 TObject.Free 0186 @HandleFinally 01a2 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 04 85 FF 75 09 C6 45 EF 00 E9 43 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 4D DC 8B D6 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 12 8B F8 8B C3 E8 ?? ?? ?? ?? 89 45 E8 8D 55 D8 8B C7 E8 ?? ?? ?? ?? 8B 4D D8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F4 50 8B 45 08 50 8B 45 E0 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 4D E8 8B 55 F8 8B C3 8B 30 FF 56 5C 89 45 E4 8B 4D F0 8B 55 08 8B C3 E8 ?? ?? ?? ?? 83 7D E4 00 74 0F 8B 45 E4 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 EF 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3F 00 61 00 63 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 2D 00 77 00 77 00 77 00 2D 00 66 00 6F 00 72 00 6D 00 2D 00 75 00 72 00 6C 00 65 00 6E 00 63 00 6F 00 64 00 65 00 64 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 75 00 74 00 66 00 2D 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2F 00 3F 00 61 00 63 00 6C 00 00 00 }
	condition:
		$1
}

rule function_3476_0 {
	meta:
		name = "TAmazonStorageService.SetBucketPolicy"
		size = 728
		refs = "0021 TAmazonStorageService.SetBucketPolicy 002f EmptyStr 0036 @UStrEqual 004c TAmazonService.GetConnectionInfo 0056 TAmazonConnectionInfo.StorageURL 0066 @UStrCat3 0077 _Dn_TStringStream 007c TStringStream.Create 008a TStringStream.WriteString 009a TAmazonStorageService.InitHeaders 00a7 IntToStr 00b7 TStrings.SetValue 00e1 @UStrCatN 010a @UStrClr 0128 TAmazonStorageService.ParseResponseError 0136 TCloudHTTP.GetResponseCode 0166 TObject.Free 0186 @HandleFinally 01a2 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 04 85 FF 75 09 C6 45 EF 00 E9 43 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 4D DC 8B D6 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B C7 8B 08 FF 51 DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 12 8B F8 8B C3 E8 ?? ?? ?? ?? 89 45 E8 8D 55 D8 8B C7 E8 ?? ?? ?? ?? 8B 4D D8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F4 50 8B 45 08 50 8B 45 E0 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 4D E8 8B 55 F8 8B C3 8B 30 FF 56 5C 89 45 E4 8B 4D F0 8B 55 08 8B C3 E8 ?? ?? ?? ?? 83 7D E4 00 74 0F 8B 45 E4 E8 ?? ?? ?? ?? 3D CC 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 EF 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3F 00 70 00 6F 00 6C 00 69 00 63 00 79 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 2D 00 77 00 77 00 77 00 2D 00 66 00 6F 00 72 00 6D 00 2D 00 75 00 72 00 6C 00 65 00 6E 00 63 00 6F 00 64 00 65 00 64 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 75 00 74 00 66 00 2D 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 2F 00 3F 00 70 00 6F 00 6C 00 69 00 63 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_3477_0 {
	meta:
		name = "TAmazonStorageService.SetBucketLogging"
		size = 748
		refs = "0021 TAmazonStorageService.SetBucketLogging 002f EmptyStr 0036 @UStrEqual 0048 TAmazonService.GetConnectionInfo 0052 TAmazonConnectionInfo.StorageURL 0062 @UStrCat3 006e _DV_TAmazonBucketLoggingInfo 0073 TAmazonBucketLoggingInfo.GetDisableXML 007f TAmazonBucketLoggingInfo.AsXML 0086 _Dn_TStringStream 008b TStringStream.Create 0099 TStringStream.WriteString 00a9 TAmazonStorageService.InitHeaders 00b6 IntToStr 00c6 TStrings.SetValue 00f0 @UStrCatN 0119 @UStrClr 0137 TAmazonStorageService.ParseResponseError 0145 TCloudHTTP.GetResponseCode 0175 TObject.Free 0195 @HandleFinally 01b1 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 EF 00 E9 56 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 4D DC 8B D6 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 75 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8D 55 FC 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 12 8B F8 8B C3 E8 ?? ?? ?? ?? 89 45 E8 8D 55 D8 8B C7 E8 ?? ?? ?? ?? 8B 4D D8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F4 50 8B 45 08 50 8B 45 E0 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 4D E8 8B 55 F8 8B C3 8B 30 FF 56 5C 89 45 E4 8B 4D F0 8B 55 08 8B C3 E8 ?? ?? ?? ?? 83 7D E4 00 74 0F 8B 45 E4 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 EF 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3F 00 6C 00 6F 00 67 00 67 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 2D 00 77 00 77 00 77 00 2D 00 66 00 6F 00 72 00 6D 00 2D 00 75 00 72 00 6C 00 65 00 6E 00 63 00 6F 00 64 00 65 00 64 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 75 00 74 00 66 00 2D 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 3F 00 6C 00 6F 00 67 00 67 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_3478_0 {
	meta:
		name = "TAmazonStorageService.SetBucketNotification"
		size = 752
		refs = "0021 TAmazonStorageService.SetBucketNotification 002f EmptyStr 0036 @UStrEqual 0048 TAmazonService.GetConnectionInfo 0052 TAmazonConnectionInfo.StorageURL 0062 @UStrCat3 006e TAmazonStorageService.GetNotificationXML 0075 _Dn_TStringStream 007a TStringStream.Create 0088 TStringStream.WriteString 0098 TAmazonStorageService.InitHeaders 00a5 IntToStr 00b5 TStrings.SetValue 00df @UStrCatN 0108 @UStrClr 0126 TAmazonStorageService.ParseResponseError 0134 TCloudHTTP.GetResponseCode 0164 TObject.Free 0184 @HandleFinally 01a0 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 EF 00 E9 45 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 4D DC 8B D6 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 12 8B F8 8B C3 E8 ?? ?? ?? ?? 89 45 E8 8D 55 D8 8B C7 E8 ?? ?? ?? ?? 8B 4D D8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F4 50 8B 45 08 50 8B 45 E0 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 4D E8 8B 55 F8 8B C3 8B 30 FF 56 5C 89 45 E4 8B 4D F0 8B 55 08 8B C3 E8 ?? ?? ?? ?? 83 7D E4 00 74 0F 8B 45 E4 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 EF 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 3F 00 6E 00 6F 00 74 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 2D 00 77 00 77 00 77 00 2D 00 66 00 6F 00 72 00 6D 00 2D 00 75 00 72 00 6C 00 65 00 6E 00 63 00 6F 00 64 00 65 00 64 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 75 00 74 00 66 00 2D 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 2F 00 3F 00 6E 00 6F 00 74 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_3479_0 {
	meta:
		name = "TAmazonStorageService.SetBucketRequestPayment"
		size = 1204
		refs = "0021 TAmazonStorageService.SetBucketRequestPayment 002f EmptyStr 0036 @UStrEqual 0054 TAmazonService.GetConnectionInfo 005e TAmazonConnectionInfo.StorageURL 006e @UStrCat3 0075 _Dn_TStringBuilder 007a TStringBuilder.Create 008a TStringBuilder.Append 00d1 TObject.Free 00d8 _Dn_TStringStream 00dd TStringStream.Create 00eb TStringStream.WriteString 00fb TAmazonStorageService.InitHeaders 0108 IntToStr 0118 TStrings.SetValue 0142 @UStrCatN 016b @UStrClr 0189 TAmazonStorageService.ParseResponseError 0197 TCloudHTTP.GetResponseCode 01e7 @HandleFinally 0203 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 88 4D EF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0C 80 7D EF 00 74 0F 80 7D EF 01 74 09 C6 45 EE 00 E9 9C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 4D D8 8B D6 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 80 7D EF 00 75 0F BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? EB 0D BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 E8 8B 08 FF 51 DC 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 8B 55 FC 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC 8B 10 FF 12 8B F8 8B C3 E8 ?? ?? ?? ?? 89 45 E4 8D 55 D4 8B C7 E8 ?? ?? ?? ?? 8B 4D D4 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F4 50 8B 45 08 50 8B 45 DC 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 4D E4 8B 55 F8 8B C3 8B 30 FF 56 5C 89 45 E0 8B 4D F0 8B 55 08 8B C3 E8 ?? ?? ?? ?? 83 7D E0 00 74 0F 8B 45 E0 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E0 00 74 0D 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 EE 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3F 00 72 00 65 00 71 00 75 00 65 00 73 00 74 00 50 00 61 00 79 00 6D 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 54 00 00 00 3C 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 50 00 61 00 79 00 6D 00 65 00 6E 00 74 00 43 00 6F 00 6E 00 66 00 69 00 67 00 75 00 72 00 61 00 74 00 69 00 6F 00 6E 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 33 00 2E 00 61 00 6D 00 61 00 7A 00 6F 00 6E 00 61 00 77 00 73 00 2E 00 63 00 6F 00 6D 00 2F 00 64 00 6F 00 63 00 2F 00 32 00 30 00 30 00 36 00 2D 00 30 00 33 00 2D 00 30 00 31 00 2F 00 22 00 3E 00 3C 00 50 00 61 00 79 00 65 00 72 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 42 00 75 00 63 00 6B 00 65 00 74 00 4F 00 77 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 3C 00 2F 00 50 00 61 00 79 00 65 00 72 00 3E 00 3C 00 2F 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 50 00 61 00 79 00 6D 00 65 00 6E 00 74 00 43 00 6F 00 6E 00 66 00 69 00 67 00 75 00 72 00 61 00 74 00 69 00 6F 00 6E 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 2D 00 77 00 77 00 77 00 2D 00 66 00 6F 00 72 00 6D 00 2D 00 75 00 72 00 6C 00 65 00 6E 00 63 00 6F 00 64 00 65 00 64 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 75 00 74 00 66 00 2D 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 2F 00 3F 00 72 00 65 00 71 00 75 00 65 00 73 00 74 00 50 00 61 00 79 00 6D 00 65 00 6E 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_3480_0 {
	meta:
		name = "TAmazonStorageService.SetBucketVersioning"
		size = 1592
		refs = "0031 TAmazonStorageService.SetBucketVersioning 003f EmptyStr 0046 @UStrEqual 0058 TAmazonService.GetConnectionInfo 0095 @UStrLAsg 00ad AnsiCompareText 00df TAmazonConnectionInfo.StorageURL 00ef @UStrCat3 00f6 _Dn_TStringBuilder 00fb TStringBuilder.Create 010b TStringBuilder.Append 0181 TObject.Free 0188 _Dn_TStringStream 018d TStringStream.Create 019b TStringStream.WriteString 01ab TAmazonStorageService.InitHeaders 01b8 IntToStr 01c8 TStrings.SetValue 0218 Format 0240 @UStrCatN 0269 @UStrClr 0287 TAmazonStorageService.ParseResponseError 0295 TCloudHTTP.GetResponseCode 02e5 @HandleFinally 0301 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 DB 89 5D C4 89 5D C8 89 5D CC 89 5D FC 89 5D F8 89 5D F4 89 5D F0 89 5D EC 89 5D E8 88 4D E7 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 E6 00 E9 96 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 54 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 4A 8B C3 E8 ?? ?? ?? ?? 8B 40 58 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 31 8B C3 E8 ?? ?? ?? ?? 8B 50 38 8D 45 EC E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 EB 02 33 C0 88 45 D3 80 7D 0C 00 74 0F 80 7D D3 00 75 09 C6 45 E6 00 E9 19 02 00 00 8B C3 E8 ?? ?? ?? ?? 8D 4D CC 8B D6 E8 ?? ?? ?? ?? 8B 55 CC 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 80 7D E7 00 74 0F BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? EB 0D BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 80 7D 0C 00 74 0F BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? EB 0D BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 E0 8B 08 FF 51 DC 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 8B 55 FC 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 8B 10 FF 12 8B F8 8B C3 E8 ?? ?? ?? ?? 89 45 DC 8D 55 C8 8B C7 E8 ?? ?? ?? ?? 8B 4D C8 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 80 7D D3 00 74 48 8D 45 C4 50 8B C3 E8 ?? ?? ?? ?? 8B 40 54 89 45 B4 C6 45 B8 11 8B C3 E8 ?? ?? ?? ?? 8B 40 58 89 45 BC C6 45 C0 11 8D 55 B4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F4 50 8B 45 08 50 8B 45 D4 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 4D DC 8B 55 F8 8B C3 8B 30 FF 56 5C 89 45 D8 8B 4D F0 8B 55 08 8B C3 E8 ?? ?? ?? ?? 83 7D D8 00 74 0F 8B 45 D8 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D8 00 74 0D 8B 45 D8 33 D2 89 55 D8 E8 ?? ?? ?? ?? 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? 8B 45 D4 33 D2 89 55 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 E6 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 68 00 74 00 74 00 70 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 3F 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 51 00 00 00 3C 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 69 00 6E 00 67 00 43 00 6F 00 6E 00 66 00 69 00 67 00 75 00 72 00 61 00 74 00 69 00 6F 00 6E 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 33 00 2E 00 61 00 6D 00 61 00 7A 00 6F 00 6E 00 61 00 77 00 73 00 2E 00 63 00 6F 00 6D 00 2F 00 64 00 6F 00 63 00 2F 00 32 00 30 00 30 00 36 00 2D 00 30 00 33 00 2D 00 30 00 31 00 2F 00 22 00 3E 00 3C 00 53 00 74 00 61 00 74 00 75 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 6E 00 61 00 62 00 6C 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 75 00 73 00 70 00 65 00 6E 00 64 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 3C 00 2F 00 53 00 74 00 61 00 74 00 75 00 73 00 3E 00 3C 00 4D 00 66 00 61 00 44 00 65 00 6C 00 65 00 74 00 65 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 3C 00 2F 00 4D 00 66 00 61 00 44 00 65 00 6C 00 65 00 74 00 65 00 3E 00 3C 00 2F 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 69 00 6E 00 67 00 43 00 6F 00 6E 00 66 00 69 00 67 00 75 00 72 00 61 00 74 00 69 00 6F 00 6E 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 2D 00 77 00 77 00 77 00 2D 00 66 00 6F 00 72 00 6D 00 2D 00 75 00 72 00 6C 00 65 00 6E 00 63 00 6F 00 64 00 65 00 64 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 75 00 74 00 66 00 2D 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 61 00 6D 00 7A 00 2D 00 6D 00 66 00 61 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 2F 00 3F 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_3481_0 {
	meta:
		name = "TAmazonStorageService.DeleteObjectInternal"
		size = 764
		refs = "0032 TAmazonStorageService.DeleteObjectInternal 0044 TAmazonService.GetConnectionInfo 004f TAmazonConnectionInfo.StorageURL 0067 @UStrCatN 006f EmptyStr 0076 @UStrEqual 007f _Dn_TStringList 0084 TStringList.Create 0096 TStrings.SetValue 00b6 @UStrLAsg 0123 AnsiCompareText 0136 TAmazonStorageService.InitHeaders 0177 Format 01cb @UStrClr 01e9 TAmazonStorageService.ParseResponseError 01f7 TCloudHTTP.GetResponseCode 0227 TObject.Free 023a @HandleFinally 0256 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 DB 89 5D C4 89 5D C8 89 5D CC 89 5D FC 89 5D F8 89 5D F4 89 5D F0 89 5D EC 89 4D E4 89 55 E8 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 D8 8B C3 E8 ?? ?? ?? ?? 8D 4D CC 8B 55 E8 E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? FF 75 E4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 3E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 8B CE BA ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 C8 50 8B 4D D8 8B 55 FC 8B C3 8B 38 FF 57 14 8B 55 C8 8D 45 FC E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 63 8B C3 E8 ?? ?? ?? ?? 8B 40 54 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 4A 8B C3 E8 ?? ?? ?? ?? 8B 40 58 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 31 8B C3 E8 ?? ?? ?? ?? 8B 50 38 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 EB 02 33 C0 88 45 D3 8B C3 E8 ?? ?? ?? ?? 89 45 DC 80 7D D3 00 74 48 8D 45 C4 50 8B C3 E8 ?? ?? ?? ?? 8B 40 54 89 45 B4 C6 45 B8 11 8B C3 E8 ?? ?? ?? ?? 8B 40 58 89 45 BC C6 45 C0 11 8D 55 B4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? FF 75 E4 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 D4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 D8 50 8B 45 F8 50 8B 45 08 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 4D DC 8B 55 FC 8B C3 8B 30 FF 56 70 89 45 D4 8B 4D F4 8B 55 08 8B C3 E8 ?? ?? ?? ?? 83 7D D4 00 74 0F 8B 45 D4 E8 ?? ?? ?? ?? 3D CC 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D4 00 74 0D 8B 45 D4 33 D2 89 55 D4 E8 ?? ?? ?? ?? 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 E3 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 49 00 64 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 68 00 74 00 74 00 70 00 73 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 61 00 6D 00 7A 00 2D 00 6D 00 66 00 61 00 00 00 }
	condition:
		$1
}

rule function_3482_0 {
	meta:
		name = "TAmazonStorageService.DeleteObject"
		size = 27
		refs = "0006 EmptyStr 0012 TAmazonStorageService.DeleteObjectInternal"
	strings:
		$1 = { 55 8B EC 53 8B 1D ?? ?? ?? ?? 8B 1B 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_3483_0 {
	meta:
		name = "TAmazonStorageService.DeleteObjectVersion"
		size = 22
		refs = "000d TAmazonStorageService.DeleteObjectInternal"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_3484_0 {
	meta:
		name = "TAmazonStorageService.GetObject"
		size = 137
		refs = "0023 TAmazonGetObjectOptionals 0028 @AddRefRecord 0030 TAmazonStorageService.GetObject 003b EmptyStr 0055 TAmazonStorageService.GetObjectInternal 0072 @FinalizeRecord 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 8B 75 10 8D 7D C8 51 B9 0E 00 00 00 F3 A5 59 8B F9 8B F2 8B D8 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 50 8D 45 C8 50 8B 45 08 50 8B 45 0C 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_3485_0 {
	meta:
		name = "TAmazonStorageService.GetObject"
		size = 122
		refs = "0021 TAmazonStorageService.GetObject 002f TAmazonGetObjectOptionals.Create 005e TAmazonGetObjectOptionals 0063 @FinalizeRecord 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_3486_0 {
	meta:
		name = "TAmazonStorageService.GetObjectVersion"
		size = 133
		refs = "0023 TAmazonGetObjectOptionals 0028 @AddRefRecord 0030 TAmazonStorageService.GetObjectVersion 0051 TAmazonStorageService.GetObjectInternal 006e @FinalizeRecord 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 8B 75 10 8D 7D C8 51 B9 0E 00 00 00 F3 A5 59 8B F9 8B F2 8B D8 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 8D 45 C8 50 8B 45 08 50 8B 45 0C 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_3487_0 {
	meta:
		name = "TAmazonStorageService.GetObjectVersion"
		size = 126
		refs = "0021 TAmazonStorageService.GetObjectVersion 0033 TAmazonGetObjectOptionals.Create 0062 TAmazonGetObjectOptionals 0067 @FinalizeRecord 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_3488_0 {
	meta:
		name = "TAmazonStorageService.GetObjectInternal"
		size = 628
		refs = "0038 TAmazonGetObjectOptionals 003d @AddRefRecord 0045 TAmazonStorageService.GetObjectInternal 0053 EmptyStr 005a @UStrEqual 006c TAmazonService.GetConnectionInfo 0076 TAmazonConnectionInfo.StorageURL 008e @UStrCatN 0095 TAmazonStorageService.InitHeaders 00a3 TAmazonGetObjectOptionals.PopulateHeaders 00ca Format 010d @UStrLAsg 017e TCloudHTTP.GetResponseCode 01ae TObject.Free 01c1 @HandleFinally 01dd @UStrArrayClr 01e5 @UStrClr 01f3 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 33 DB 89 5D 94 89 5D 98 89 5D AC 89 5D FC 89 5D F8 8B 75 10 8D 7D C0 51 B9 0E 00 00 00 F3 A5 59 89 4D BC 8B F2 8B D8 8B 7D 14 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 BB 00 E9 5E 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 4D AC 8B D6 E8 ?? ?? ?? ?? FF 75 AC 68 ?? ?? ?? ?? FF 75 BC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 B4 8D 45 C0 8B 55 B4 E8 ?? ?? ?? ?? 8D 45 F8 50 89 75 9C C6 45 A0 11 8B 45 BC 89 45 A4 C6 45 A8 11 8D 55 9C B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 64 8D 45 98 50 8B 45 FC 89 45 9C C6 45 A0 11 89 7D A4 C6 45 A8 11 8D 55 9C B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 98 8D 45 FC E8 ?? ?? ?? ?? 8D 45 94 50 8B 45 F8 89 45 9C C6 45 A0 11 89 7D A4 C6 45 A8 11 8D 55 9C B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 B0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 0C 50 8B 45 08 50 8B 4D B4 8B 55 FC 8B C3 8B 18 FF 53 4C 89 45 B0 83 7D B0 00 74 0F 8B 45 B0 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D B0 00 74 0D 8B 45 B0 33 D2 89 55 B0 E8 ?? ?? ?? ?? 8B 45 B4 33 D2 89 55 B4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 0F B6 45 BB 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 25 00 73 00 3F 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 49 00 64 00 3D 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_3489_0 {
	meta:
		name = "TAmazonStorageService.GetObjectACLXML"
		size = 424
		refs = "001e TAmazonStorageService.GetObjectACLXML 002c EmptyStr 0033 @UStrEqual 0055 TAmazonService.GetConnectionInfo 005f TAmazonConnectionInfo.StorageURL 007a @UStrCatN 0081 TAmazonStorageService.InitHeaders 00a8 Format 00cd @UStrClr 00ed TAmazonStorageService.ParseResponseError 010d TObject.Free 0120 @HandleFinally 0144 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D EC 89 5D FC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 E9 00 00 00 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 D4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 4D EC 8B D6 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8D 45 F8 50 89 75 DC C6 45 E0 11 89 7D E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 0C 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D F4 8B 55 FC 8B C3 8B 30 FF 56 50 89 45 F0 8B 4D 08 8B 09 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0D 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3F 00 61 00 63 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 3F 00 61 00 63 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_3490_0 {
	meta:
		name = "TAmazonStorageService.GetObjectACL"
		size = 484
		refs = "0021 TAmazonStorageService.GetObjectACL 003d TAmazonStorageService.GetObjectACLXML 0046 EmptyStr 004d @UStrEqual 005c _Dn_TXMLDocument 0061 TXMLDocument.Create 0075 @IntfCopy 00a0 @HandleAnyException 00a7 @DoneExcept 00d1 @UStrLAsg 00dc AnsiCompareText 00f0 _DV_TList<Data.Cloud.AmazonAPI.TAmazonGrant> 00f5 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Create 0124 TAmazonStorageService.PopulateGrants 0139 @IntfClear 0146 @UStrArrayClr 014f IXMLNode 0159 @FinalizeArray 0169 @UStrClr 016f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D E4 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 08 50 8D 45 FC 50 8B 4D E4 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 D1 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 EB 13 E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? EB 7B E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 8B 08 FF 51 18 8D 55 EC 8B 45 F4 8B 08 FF 51 34 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 04 33 DB EB 3B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 E0 8B 45 F4 8B 08 FF 51 14 8B 45 E0 8D 4D F0 BA ?? ?? ?? ?? 8B 38 FF 57 38 83 7D F0 00 74 0C 8B CB 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 13 00 00 00 41 00 63 00 63 00 65 00 73 00 73 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 50 00 6F 00 6C 00 69 00 63 00 79 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 41 00 63 00 63 00 65 00 73 00 73 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 4C 00 69 00 73 00 74 00 00 00 }
	condition:
		$1
}

rule function_3491_0 {
	meta:
		name = "TAmazonStorageService.GetObjectTorrent"
		size = 436
		refs = "001e TAmazonStorageService.GetObjectTorrent 002c EmptyStr 0033 @UStrEqual 0045 TAmazonService.GetConnectionInfo 004f TAmazonConnectionInfo.StorageURL 006a @UStrCatN 0071 TAmazonStorageService.InitHeaders 0098 Format 00d7 TCloudHTTP.GetResponseCode 0107 TObject.Free 011a @HandleFinally 0131 @UStrClr 013e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D E8 89 5D FC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 F7 00 E9 DE 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 4D E8 8B D6 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F0 8D 45 F8 50 89 75 D8 C6 45 DC 11 89 7D E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 08 50 8B 45 0C 50 8B 4D F0 8B 55 FC 8B C3 8B 18 FF 53 4C 89 45 EC 83 7D EC 00 74 0F 8B 45 EC E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3F 00 74 00 6F 00 72 00 72 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 3F 00 74 00 6F 00 72 00 72 00 65 00 6E 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_3492_0 {
	meta:
		name = "TAmazonStorageService.GetObjectMetadata"
		size = 181
		refs = "0031 TAmazonGetObjectOptionals 0036 @AddRefRecord 003e TAmazonStorageService.GetObjectMetadata 004c TAmazonGetObjectOptionals.Create 0067 TAmazonStorageService.GetObjectProperties 0074 TObject.Free 008f @FinalizeRecord 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0E 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B 75 0C 8D 7D C8 51 B9 0E 00 00 00 F3 A5 59 8B F9 8B F2 8B D8 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 88 E8 ?? ?? ?? ?? 8D 45 88 50 8D 45 C0 50 8D 45 C4 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 C0 33 D2 89 55 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 88 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B 45 C4 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_3493_0 {
	meta:
		name = "TAmazonStorageService.GetObjectMetadata"
		size = 118
		refs = "0021 TAmazonStorageService.GetObjectMetadata 002f TAmazonGetObjectOptionals.Create 005a TAmazonGetObjectOptionals 005f @FinalizeRecord 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3494_0 {
	meta:
		name = "TAmazonStorageService.GetObjectProperties"
		size = 756
		refs = "0037 TAmazonGetObjectOptionals 003c @AddRefRecord 0044 TAmazonStorageService.GetObjectProperties 0064 EmptyStr 006b @UStrEqual 008e TAmazonService.GetConnectionInfo 0098 TAmazonConnectionInfo.StorageURL 00ae @UStrCatN 00b5 TAmazonStorageService.InitHeaders 00c3 TAmazonGetObjectOptionals.PopulateHeaders 00e7 Format 00fc _Dn_TCloudResponseInfo 0101 TObject.Create 0143 TCloudHTTP.GetResponseCode 0159 _Dn_TStringList 015e TStringList.Create 019d TStrings.GetName 01aa AnsiStartsText 01c4 @UStrCopy 01d4 TStrings.GetValueFromIndex 01e4 TStrings.SetValue 022a TObject.Free 024b @HandleFinally 0267 @UStrArrayClr 026f @UStrClr 027d @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 56 57 33 DB 89 5D 8C 89 5D 90 89 5D A4 89 5D FC 89 5D F8 89 5D F4 8B 75 14 8D 7D B8 51 B9 0E 00 00 00 F3 A5 59 8B F9 8B F2 8B D8 8D 45 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 B7 00 8B 45 10 33 D2 89 10 8B 45 0C 33 D2 89 10 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 11 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 B7 00 E9 C6 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 4D A4 8B D6 E8 ?? ?? ?? ?? FF 75 A4 68 ?? ?? ?? ?? 57 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 B0 8D 45 B8 8B 55 B0 E8 ?? ?? ?? ?? 8D 45 F8 50 89 75 94 C6 45 98 11 89 7D 9C C6 45 A0 11 8D 55 94 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 08 00 0F 94 45 AB 80 7D AB 00 74 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 08 33 C0 89 45 AC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 08 50 8B 4D B0 8B 55 FC 8B C3 8B 18 FF 53 48 89 45 AC 83 7D AC 00 0F 84 CF 00 00 00 8B 45 AC E8 ?? ?? ?? ?? 3D C8 00 00 00 0F 85 BC 00 00 00 C6 45 B7 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 10 89 02 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 0C 89 02 8B 45 08 8B 40 0C 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 80 00 00 00 46 33 DB 8D 4D F4 8B 45 08 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 38 8D 45 F4 50 B9 FF FF FF 7F BA 0C 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 4D 90 8B 45 08 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 4D 90 8B 45 0C 8B 00 8B 55 F4 E8 ?? ?? ?? ?? EB 20 8D 4D 8C 8B 45 08 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 4D 8C 8B 45 10 8B 00 8B 55 F4 E8 ?? ?? ?? ?? 43 4E 75 83 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D AC 00 74 0D 8B 45 AC 33 D2 89 55 AC E8 ?? ?? ?? ?? 8B 45 B0 33 D2 89 55 B0 E8 ?? ?? ?? ?? 80 7D AB 00 74 08 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 0F B6 45 B7 5F 5E 5B 8B E5 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 78 00 2D 00 61 00 6D 00 7A 00 2D 00 6D 00 65 00 74 00 61 00 2D 00 00 00 }
	condition:
		$1
}

rule function_3495_0 {
	meta:
		name = "TAmazonStorageService.GetObjectProperties"
		size = 126
		refs = "0021 TAmazonStorageService.GetObjectProperties 002f TAmazonGetObjectOptionals.Create 0062 TAmazonGetObjectOptionals 0067 @FinalizeRecord 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_3496_0 {
	meta:
		name = "TAmazonStorageService.UploadObject"
		size = 816
		refs = "002b @DynArrayAddRef 0033 TAmazonStorageService.UploadObject 0041 EmptyStr 0048 @UStrEqual 006c TAmazonService.GetConnectionInfo 0076 TAmazonConnectionInfo.StorageURL 008e @UStrCatN 0095 TAmazonStorageService.InitHeaders 00b0 TStrings.SetValue 00be GetACLTypeString 00ea AddS3MetadataHeaders 0111 Format 011b _Dn_TBytesStream 0120 TBytesStream.Create 0134 IntToStr 016d @UStrClr 018b TAmazonStorageService.ParseResponseError 0199 TCloudHTTP.GetResponseCode 01d6 TObject.Free 01f6 @HandleFinally 021a @UStrArrayClr 0230 TArray<System.Byte> 0235 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D C4 89 5D D8 89 5D DC 89 5D FC 89 5D F8 89 5D F4 89 4D F0 8B FA 8B F0 8B 5D 0C 8B 45 1C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 12 8B 45 F0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 EF 00 E9 93 01 00 00 8B C6 E8 ?? ?? ?? ?? 8D 4D DC 8B D7 E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? FF 75 F0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 E8 80 7D 18 00 74 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 DB 74 1A 8B C3 8D 55 D8 E8 ?? ?? ?? ?? 8B 4D D8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 83 7D 10 00 74 0B 8B 55 10 8B 45 E8 8B 08 FF 51 40 8B 55 14 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 50 89 7D C8 C6 45 CC 11 8B 45 F0 89 45 D0 C6 45 D4 11 8D 55 C8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 8B 10 FF 12 52 50 8D 45 C4 E8 ?? ?? ?? ?? 8B 4D C4 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 08 50 8B 45 E0 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 4D E8 8B 55 FC 8B C6 8B 18 FF 53 5C 89 45 E4 8B 4D F4 8B 55 08 8B C6 E8 ?? ?? ?? ?? 83 7D E4 00 74 1C 8B 45 E4 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 11 8B 45 E4 E8 ?? ?? ?? ?? 83 F8 64 74 04 33 C0 EB 02 B0 01 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 0F B6 45 EF 5F 5E 5B 8B E5 5D C2 18 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 45 00 44 00 55 00 43 00 45 00 44 00 5F 00 52 00 45 00 44 00 55 00 4E 00 44 00 41 00 4E 00 43 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 78 00 2D 00 61 00 6D 00 7A 00 2D 00 73 00 74 00 6F 00 72 00 61 00 67 00 65 00 2D 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 61 00 6D 00 7A 00 2D 00 61 00 63 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_3497_0 {
	meta:
		name = "TAmazonStorageService.SetObjectACL"
		size = 744
		refs = "002b TAmazonStorageService.SetObjectACL 0039 EmptyStr 0040 @UStrEqual 0056 TAmazonService.GetConnectionInfo 0060 TAmazonConnectionInfo.StorageURL 007d @UStrCatN 0087 TAmazonAccessControlPolicy.AsXML 008e _Dn_TStringStream 0093 TStringStream.Create 00a1 TStringStream.WriteString 00b2 TAmazonStorageService.InitHeaders 00d1 IntToStr 00e1 TStrings.SetValue 013c @UStrClr 015a TAmazonStorageService.ParseResponseError 0168 TCloudHTTP.GetResponseCode 0198 TObject.Free 01b8 @HandleFinally 01d4 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D FC 89 5D F8 89 5D F4 89 5D F0 89 4D EC 8B FA 8B F0 8B 5D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 04 85 DB 75 09 C6 45 EB 00 E9 6B 01 00 00 8B C6 E8 ?? ?? ?? ?? 8D 4D D4 8B D7 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 8B 55 FC 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 8B 10 FF 12 89 45 DC 8B C6 E8 ?? ?? ?? ?? 89 45 E4 83 7D 0C 00 74 0B 8B 55 0C 8B 45 E4 8B 08 FF 51 40 8D 55 D0 8B 45 DC E8 ?? ?? ?? ?? 8B 4D D0 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F4 50 8B 45 08 50 8B 45 D8 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 4D E4 8B 55 F8 8B C6 8B 18 FF 53 5C 89 45 E0 8B 4D F0 8B 55 08 8B C6 E8 ?? ?? ?? ?? 83 7D E0 00 74 0F 8B 45 E0 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E0 00 74 0D 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 D8 33 D2 89 55 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 EB 5F 5E 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3F 00 61 00 63 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 2D 00 77 00 77 00 77 00 2D 00 66 00 6F 00 72 00 6D 00 2D 00 75 00 72 00 6C 00 65 00 6E 00 63 00 6F 00 64 00 65 00 64 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 75 00 74 00 66 00 2D 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_3498_0 {
	meta:
		name = "TAmazonStorageService.SetObjectACL"
		size = 584
		refs = "0020 TAmazonStorageService.SetObjectACL 002e EmptyStr 0035 @UStrEqual 004d TAmazonService.GetConnectionInfo 0057 TAmazonConnectionInfo.StorageURL 0072 @UStrCatN 0079 TAmazonStorageService.InitHeaders 008e GetACLTypeString 009e TStrings.SetValue 00d5 _Dn_TStringStream 00da TStringStream.Create 0106 @UStrClr 0124 TAmazonStorageService.ParseResponseError 0132 TCloudHTTP.GetResponseCode 0162 TObject.Free 0182 @HandleFinally 019e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 06 80 7D 0C 00 75 09 C6 45 F3 00 E9 3E 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 4D E0 8B D6 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 80 7D 0C 00 74 1C 0F B6 45 0C 8D 55 DC E8 ?? ?? ?? ?? 8B 4D DC BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 08 50 8B 45 E4 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 4D EC 8B 55 FC 8B C3 8B 30 FF 56 5C 89 45 E8 8B 4D F4 8B 55 08 8B C3 E8 ?? ?? ?? ?? 83 7D E8 00 74 0F 8B 45 E8 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3F 00 61 00 63 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 61 00 6D 00 7A 00 2D 00 61 00 63 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_3499_0 {
	meta:
		name = "TAmazonStorageService.CopyObject"
		size = 39
		refs = "000e EmptyStr 001e TAmazonStorageService.CopyObjectVersion"
	strings:
		$1 = { 55 8B EC 53 8B 5D 14 53 8B 5D 10 53 8B 1D ?? ?? ?? ?? 8B 1B 53 8B 5D 0C 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_3500_0 {
	meta:
		name = "TAmazonStorageService.SetObjectMetadata"
		size = 139
		refs = "0013 TAmazonStorageService.SetObjectMetadata 0020 _DV_TAmazonCopyObjectOptionals 0025 TAmazonCopyObjectOptionals.Create 0056 TAmazonStorageService.CopyObject 0073 TObject.Free 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 57 89 4D FC 8B FA 8B F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 C6 40 04 00 8B 45 F4 8B 40 08 8B 55 0C 8B 08 FF 51 40 57 8B 45 FC 50 8B 45 F4 50 8B 45 08 50 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FB 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_3501_0 {
	meta:
		name = "TAmazonStorageService.CopyObjectVersion"
		size = 852
		refs = "0031 TAmazonStorageService.CopyObjectVersion 0040 EmptyStr 0047 @UStrEqual 0091 AnsiLowerCase 00a3 TAmazonService.GetConnectionInfo 00ae TAmazonConnectionInfo.StorageURL 00c4 @UStrCatN 00eb Format 00f2 TAmazonStorageService.InitHeaders 0107 TStrings.SetValue 0118 TAmazonCopyObjectOptionals.PopulateHeaders 01cb @UStrClr 01e9 TAmazonStorageService.ParseResponseError 01f7 TCloudHTTP.GetResponseCode 0227 TObject.Free 023a @HandleFinally 026e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 33 DB 89 5D A8 89 5D C4 89 5D D8 89 5D FC 89 5D F8 89 5D F4 89 5D F0 89 5D EC 8B F1 89 55 E8 8B D8 8B 7D 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 34 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 23 8B 45 18 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 11 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 E7 00 E9 B6 01 00 00 8D 55 F0 8B 45 18 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D D8 8B 55 EC E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 56 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 EC 89 45 C8 C6 45 CC 11 89 75 D0 C6 45 D4 11 8D 55 C8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 83 7D 0C 00 74 0B 8B 55 E0 8B 45 0C E8 ?? ?? ?? ?? 8B 45 10 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 43 8D 45 C4 50 8B 45 F0 89 45 AC C6 45 B0 11 89 7D B4 C6 45 B8 11 8B 45 10 89 45 BC C6 45 C0 11 8D 55 AC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? EB 37 8D 45 A8 50 8B 45 F0 89 45 C8 C6 45 CC 11 89 7D D0 C6 45 D4 11 8D 55 C8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A8 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 08 50 6A 00 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 4D E0 8B 55 FC 8B C3 8B 30 FF 56 5C 89 45 DC 8B 4D F4 8B 55 08 8B C3 E8 ?? ?? ?? ?? 83 7D DC 00 74 0F 8B 45 DC E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0D 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 0F B6 45 E7 5F 5E 5B 8B E5 5D C2 14 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 3F 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 49 00 64 00 3D 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 78 00 2D 00 61 00 6D 00 7A 00 2D 00 63 00 6F 00 70 00 79 00 2D 00 73 00 6F 00 75 00 72 00 63 00 65 00 00 00 }
	condition:
		$1
}

rule function_3502_0 {
	meta:
		name = "TAmazonStorageService.InitiateMultipartUploadXML"
		size = 636
		refs = "0021 TAmazonStorageService.InitiateMultipartUploadXML 002f EmptyStr 0036 @UStrEqual 0059 @UStrAsg 0065 TAmazonService.GetConnectionInfo 006f TAmazonConnectionInfo.StorageURL 008a @UStrCatN 00ae Format 00b5 TAmazonStorageService.InitHeaders 00d4 AddS3MetadataHeaders 00e6 TStrings.SetValue 00f8 GetACLTypeString 012f @UStrClr 014f TAmazonStorageService.ParseResponseError 016f TObject.Free 0182 @HandleFinally 01ae @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D EC 89 5D FC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 11 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 15 8B 45 08 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? E9 26 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 4D EC 8B D6 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 50 89 75 DC C6 45 E0 11 89 7D E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 83 7D 14 00 74 0B 8B 55 14 8B 45 F4 8B 08 FF 51 40 8B 55 18 8B 45 F4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 80 7D 10 00 74 1C 0F B6 45 10 8D 55 D8 E8 ?? ?? ?? ?? 8B 4D D8 BA ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 33 C0 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 0C 50 6A 00 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D F4 8B 55 FC 8B C3 8B 30 FF 56 68 89 45 F0 8B 4D 08 8B 09 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0D 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 14 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3F 00 75 00 70 00 6C 00 6F 00 61 00 64 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 3F 00 75 00 70 00 6C 00 6F 00 61 00 64 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 61 00 6D 00 7A 00 2D 00 61 00 63 00 6C 00 00 00 }
	condition:
		$1
}

rule function_3503_0 {
	meta:
		name = "TAmazonStorageService.InitiateMultipartUpload"
		size = 524
		refs = "001e TAmazonStorageService.InitiateMultipartUpload 0044 TAmazonStorageService.InitiateMultipartUploadXML 004d EmptyStr 0054 @UStrEqual 0063 _Dn_TXMLDocument 0068 TXMLDocument.Create 007c @IntfCopy 00a7 @HandleAnyException 00b7 @UStrAsg 00bc @DoneExcept 00e9 @UStrLAsg 00f4 AnsiCompareText 015c @IntfClear 0169 @UStrArrayClr 0172 IXMLNode 017c @FinalizeArray 018c @UStrClr 0192 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 50 8B 45 14 50 0F B6 45 10 50 8B 45 0C 50 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 ED 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 EB 24 E9 ?? ?? ?? ?? 8B 45 08 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 86 00 00 00 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 8B 08 FF 51 18 8D 55 EC 8B 45 F4 8B 08 FF 51 34 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 12 8B 45 08 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? EB 38 8D 55 E4 8B 45 F4 8B 08 FF 51 14 8B 45 E4 8D 4D F0 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F0 00 74 17 8B 45 F0 8B 10 FF 52 28 84 C0 74 0B 8B 55 08 8B 45 F0 8B 08 FF 51 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5F 5E 5B 8B E5 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 49 00 6E 00 69 00 74 00 69 00 61 00 74 00 65 00 4D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 55 00 70 00 6C 00 6F 00 61 00 64 00 52 00 65 00 73 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 70 00 6C 00 6F 00 61 00 64 00 49 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_3504_0 {
	meta:
		name = "TAmazonStorageService.AbortMultipartUpload"
		size = 500
		refs = "0021 TAmazonStorageService.AbortMultipartUpload 002f EmptyStr 0036 @UStrEqual 0059 TAmazonService.GetConnectionInfo 0063 TAmazonConnectionInfo.StorageURL 0081 @UStrCatN 00af Format 00b6 TAmazonStorageService.InitHeaders 00de @UStrClr 00fc TAmazonStorageService.ParseResponseError 010a TCloudHTTP.GetResponseCode 013a TObject.Free 014d @HandleFinally 0171 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D E4 89 5D FC 89 5D F8 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 11 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 F3 00 E9 FD 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 4D E4 8B D6 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? FF 75 0C 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 50 89 75 CC C6 45 D0 11 89 7D D4 C6 45 D8 11 8B 45 0C 89 45 DC C6 45 E0 11 8D 55 CC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 08 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 4D EC 8B 55 FC 8B C3 8B 30 FF 56 70 89 45 E8 8B 4D F4 8B 55 08 8B C3 E8 ?? ?? ?? ?? 83 7D E8 00 74 0F 8B 45 E8 E8 ?? ?? ?? ?? 3D CC 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 3F 00 75 00 70 00 6C 00 6F 00 61 00 64 00 49 00 64 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 3F 00 75 00 70 00 6C 00 6F 00 61 00 64 00 49 00 64 00 3D 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_3505_0 {
	meta:
		name = "TAmazonStorageService.UploadPart"
		size = 1320
		refs = "0030 @DynArrayAddRef 0039 TAmazonMultipartPart 003e @InitializeRecord 0046 TAmazonStorageService.UploadPart 0054 EmptyStr 005b @UStrEqual 0096 TAmazonService.GetConnectionInfo 00a0 TAmazonConnectionInfo.StorageURL 00d3 Format 00e3 @UStrCatN 00ea TAmazonStorageService.InitHeaders 0150 @UStrLAsg 015a _Dn_TBytesStream 015f TBytesStream.Create 017d IntToStr 018d TStrings.SetValue 01d6 _Dn_TCloudResponseInfo 01db TObject.Create 0207 @UStrClr 0225 TAmazonStorageService.ParseResponseError 0233 TCloudHTTP.GetResponseCode 0264 TStrings.GetValue 0272 @UStrAsg 02c2 TObject.Free 02f0 @HandleFinally 030c @UStrArrayClr 0337 TArray<System.Byte> 033c @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 DB 89 5D 98 89 5D 9C 89 5D A0 89 5D BC 89 5D D4 89 5D D0 89 5D FC 89 5D F8 89 5D F4 8B F9 8B F2 8B D8 8B 45 14 E8 ?? ?? ?? ?? 8B 45 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 29 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 18 8B 45 1C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 06 83 7D 14 00 75 09 C6 45 F3 00 E9 63 02 00 00 8B C3 E8 ?? ?? ?? ?? 8D 4D D4 8B D6 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 57 8D 45 D0 50 8B 45 18 89 45 C0 C6 45 C4 00 8B 45 1C 89 45 C8 C6 45 CC 11 8D 55 C0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 D0 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 8D 45 F8 50 89 75 C0 C6 45 C4 11 89 7D C8 C6 45 CC 11 8D 55 C0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 BC 50 8B 45 F8 89 45 A4 C6 45 A8 11 8B 45 18 89 45 AC C6 45 B0 00 8B 45 1C 89 45 B4 C6 45 B8 11 8D 55 A4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 8B 10 FF 12 89 45 D8 89 55 DC FF 75 DC FF 75 D8 8D 45 A0 E8 ?? ?? ?? ?? 8B 4D A0 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 0C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 10 8B 4D 0C BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 83 7D 08 00 0F 94 45 E3 80 7D E3 00 74 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 08 33 C0 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 08 50 8B 45 E4 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 4D EC 8B 55 FC 8B C3 8B 30 FF 56 5C 89 45 E8 8B 4D F4 8B 55 08 8B C3 E8 ?? ?? ?? ?? 83 7D E8 00 74 0F 8B 45 E8 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 F3 80 7D F3 00 74 59 8B 45 10 8B 55 18 89 10 8D 4D 9C 8B 45 08 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B 45 10 83 C0 04 E8 ?? ?? ?? ?? 8B 45 10 8B 55 D8 89 50 10 8B 55 DC 89 50 14 8D 4D 98 8B 45 08 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 98 8B 45 10 83 C0 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 80 7D E3 00 74 08 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 18 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 3F 00 70 00 61 00 72 00 74 00 4E 00 75 00 6D 00 62 00 65 00 72 00 3D 00 25 00 64 00 26 00 75 00 70 00 6C 00 6F 00 61 00 64 00 49 00 64 00 3D 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 25 00 73 00 3F 00 70 00 61 00 72 00 74 00 4E 00 75 00 6D 00 62 00 65 00 72 00 3D 00 25 00 64 00 26 00 75 00 70 00 6C 00 6F 00 61 00 64 00 49 00 64 00 3D 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 2D 00 77 00 77 00 77 00 2D 00 66 00 6F 00 72 00 6D 00 2D 00 75 00 72 00 6C 00 65 00 6E 00 63 00 6F 00 64 00 65 00 64 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 75 00 74 00 66 00 2D 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4D 00 44 00 35 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 54 00 61 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_3506_0 {
	meta:
		name = "TAmazonStorageService.CompleteMultipartUpload"
		size = 968
		refs = "0033 TAmazonMultipartPart 0038 @InitializeRecord 0040 TAmazonStorageService.CompleteMultipartUpload 004f EmptyStr 0056 @UStrEqual 0091 TAmazonService.GetConnectionInfo 009c TAmazonConnectionInfo.StorageURL 00ca @UStrCatN 00d1 _Dn_TStringBuilder 00d6 TStringBuilder.Create 00e6 TStringBuilder.Append 00ed TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.GetEnumerator 010b TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.TEnumerator.GetCurrent 0116 TAmazonMultipartPart.AsXML 0129 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.TEnumerator.MoveNext 0150 @HandleFinally 0177 TObject.Free 017e _Dn_TStringStream 0183 TStringStream.Create 0191 TStringStream.WriteString 01a6 TAmazonStorageService.InitHeaders 01b7 IntToStr 01c7 TStrings.SetValue 0215 @UStrClr 0235 TAmazonStorageService.ParseResponseError 0243 TCloudHTTP.GetResponseCode 02af @UStrArrayClr 02bd @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 33 DB 89 5D 9C 89 5D A0 89 5D A8 89 5D A4 89 5D FC 89 5D F8 89 5D F4 89 5D F0 89 4D CC 89 55 D0 89 45 D4 8B 5D 0C 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 28 8B 45 CC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 16 8B 45 10 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 04 85 DB 75 09 C6 45 CB 00 E9 0C 02 00 00 8B 45 D4 E8 ?? ?? ?? ?? 8D 4D A8 8B 55 D0 E8 ?? ?? ?? ?? FF 75 A8 68 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? 8D 4D A4 8B 55 10 8B 45 D4 8B 30 FF 56 74 FF 75 A4 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B0 BA ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 AC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 D8 8B 45 AC E8 ?? ?? ?? ?? 8D 55 A0 8D 45 D8 E8 ?? ?? ?? ?? 8B 55 A0 8B 45 B0 E8 ?? ?? ?? ?? 8B 45 AC E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D AC 00 74 0A B2 01 8B 45 AC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 BA ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 B0 8B 08 FF 51 DC 8B 45 B0 33 D2 89 55 B0 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B4 8B 55 FC 8B 45 B4 E8 ?? ?? ?? ?? 8B 45 B4 8B 10 FF 12 89 45 B8 89 55 BC 8B 45 D4 E8 ?? ?? ?? ?? 89 45 C4 FF 75 BC FF 75 B8 8D 45 9C E8 ?? ?? ?? ?? 8B 4D 9C BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? FF 75 10 8D 45 F4 BA 06 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 C0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F4 50 8B 45 08 50 8B 45 B4 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 4D C4 8B 55 F8 8B 45 D4 8B 18 FF 53 68 89 45 C0 8B 4D F0 8B 55 08 8B 45 D4 E8 ?? ?? ?? ?? 83 7D C0 00 74 0F 8B 45 C0 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D C0 00 74 0D 8B 45 C0 33 D2 89 55 C0 E8 ?? ?? ?? ?? 8B 45 C4 33 D2 89 55 C4 E8 ?? ?? ?? ?? 8B 45 B4 33 D2 89 55 B4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 0F B6 45 CB 5E 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 3F 00 75 00 70 00 6C 00 6F 00 61 00 64 00 49 00 64 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 3C 00 43 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 4D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 55 00 70 00 6C 00 6F 00 61 00 64 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 3C 00 2F 00 43 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 4D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 55 00 70 00 6C 00 6F 00 61 00 64 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_3507_0 {
	meta:
		name = "TAmazonStorageService.ListMultipartUploadPartsXML"
		size = 672
		refs = "0027 TAmazonStorageService.ListMultipartUploadPartsXML 0035 EmptyStr 003c @UStrEqual 0071 @UStrAsg 0086 @UStrCat3 009f IntToStr 00af @UStrCatN 00df TAmazonService.GetConnectionInfo 00e9 TAmazonConnectionInfo.StorageURL 0130 Format 0137 TAmazonStorageService.InitHeaders 015f @UStrClr 017f TAmazonStorageService.ParseResponseError 019f TObject.Free 01b2 @HandleFinally 01ce @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D FC 89 5D F8 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 23 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 12 8B 45 18 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 15 8B 45 08 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? E9 3E 01 00 00 8D 45 F4 8B 4D 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 14 00 7E 23 FF 75 F4 68 ?? ?? ?? ?? 8D 55 E8 8B 45 14 E8 ?? ?? ?? ?? FF 75 E8 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7D 10 00 7E 23 FF 75 F4 68 ?? ?? ?? ?? 8D 55 E4 8B 45 10 E8 ?? ?? ?? ?? FF 75 E4 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D E0 8B D6 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 57 FF 75 F4 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 50 89 75 C8 C6 45 CC 11 89 7D D0 C6 45 D4 11 8B 45 F4 89 45 D8 C6 45 DC 11 8D 55 C8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 0C 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D F0 8B 55 FC 8B C3 8B 30 FF 56 50 89 45 EC 8B 4D 08 8B 09 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 14 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 3F 00 75 00 70 00 6C 00 6F 00 61 00 64 00 49 00 64 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 26 00 6D 00 61 00 78 00 2D 00 70 00 61 00 72 00 74 00 73 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 26 00 70 00 61 00 72 00 74 00 2D 00 6E 00 75 00 6D 00 62 00 65 00 72 00 2D 00 6D 00 61 00 72 00 6B 00 65 00 72 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_3508_0 {
	meta:
		name = "TAmazonStorageService.ListMultipartUploadParts"
		size = 2256
		refs = "0025 TAmazonMultipartPart 002a @InitializeRecord 0032 TAmazonStorageService.ListMultipartUploadParts 005f TAmazonStorageService.ListMultipartUploadPartsXML 0068 EmptyStr 006f @UStrEqual 007e _Dn_TXMLDocument 0083 TXMLDocument.Create 0097 @IntfCopy 00c2 @HandleAnyException 00cf @DoneExcept 00fc @UStrLAsg 0107 AnsiCompareText 012b _DV_TAmazonListPartsResult 0130 TAmazonListPartsResult.Create 019b GetChildText 01af @UStrAsg 0335 StrToInt 0559 TAmazonMultipartPart.Create 0598 StrToInt64 05b2 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Add 0607 @IntfClear 0617 @UStrArrayClr 0633 @FinalizeRecord 0649 IXMLNode 0653 @FinalizeArray 066e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 18 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 8D 85 78 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 85 74 FF FF FF 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 7A 05 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F4 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 33 C0 89 85 74 FF FF FF E8 ?? ?? ?? ?? E9 1B 05 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F4 8B 08 FF 51 18 8D 55 E8 8B 45 F0 8B 08 FF 51 34 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 0D 33 C0 89 85 74 FF FF FF E9 D2 04 00 00 57 8B 45 14 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 74 FF FF FF 8D 95 64 FF FF FF 8B 45 F0 8B 08 FF 51 14 8B 85 64 FF FF FF 8D 55 EC 8B 08 FF 51 34 83 7D EC 00 0F 84 93 04 00 00 8D 55 E0 8B 45 EC 8B 08 FF 51 34 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 53 8D 8D 60 FF FF FF 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8B 85 74 FF FF FF 83 C0 10 E8 ?? ?? ?? ?? 8D 8D 5C FF FF FF 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 5C FF FF FF 8B 85 74 FF FF FF 83 C0 14 E8 ?? ?? ?? ?? E9 EB 03 00 00 8D 55 D8 8B 45 EC 8B 08 FF 51 34 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 94 85 73 FF FF FF 80 BD 73 FF FF FF 00 74 53 8D 8D 58 FF FF FF 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 58 FF FF FF 8B 85 74 FF FF FF 83 C0 18 E8 ?? ?? ?? ?? 8D 8D 54 FF FF FF 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 54 FF FF FF 8B 85 74 FF FF FF 83 C0 1C E8 ?? ?? ?? ?? E9 63 03 00 00 8D 55 D0 8B 45 EC 8B 08 FF 51 34 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 45 D0 E8 ?? ?? ?? ?? 85 C0 0F 94 85 72 FF FF FF 80 BD 72 FF FF FF 00 74 41 8D 55 C8 8B 45 EC 8B 08 FF 51 50 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B 45 C8 E8 ?? ?? ?? ?? 85 C0 0F 94 85 71 FF FF FF 8B 85 74 FF FF FF 0F B6 95 71 FF FF FF 88 50 20 E9 ED 02 00 00 8D 55 C0 8B 45 EC 8B 08 FF 51 34 8D 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 45 C0 E8 ?? ?? ?? ?? 85 C0 0F 94 85 70 FF FF FF 80 BD 70 FF FF FF 00 74 4C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 50 FF FF FF 8B 45 EC 8B 08 FF 51 50 8B 85 50 FF FF FF E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 89 42 24 33 C0 5A 59 59 64 89 10 E9 7B 02 00 00 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6C 02 00 00 8D 55 B8 8B 45 EC 8B 08 FF 51 34 8D 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B 45 B8 E8 ?? ?? ?? ?? 85 C0 0F 94 85 6F FF FF FF 80 BD 6F FF FF FF 00 74 4C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 4C FF FF FF 8B 45 EC 8B 08 FF 51 50 8B 85 4C FF FF FF E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 89 42 28 33 C0 5A 59 59 64 89 10 E9 FA 01 00 00 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EB 01 00 00 8D 55 B0 8B 45 EC 8B 08 FF 51 34 8D 45 AC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 8B 45 B0 E8 ?? ?? ?? ?? 85 C0 0F 94 85 6E FF FF FF 80 BD 6E FF FF FF 00 74 4C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 48 FF FF FF 8B 45 EC 8B 08 FF 51 50 8B 85 48 FF FF FF E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 89 42 2C 33 C0 5A 59 59 64 89 10 E9 79 01 00 00 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6A 01 00 00 8D 55 A8 8B 45 EC 8B 08 FF 51 34 8D 45 A4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8B 45 A8 E8 ?? ?? ?? ?? 85 C0 0F 94 85 6D FF FF FF 80 BD 6D FF FF FF 00 74 41 8D 55 A0 8B 45 EC 8B 08 FF 51 50 8D 45 9C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B 45 A0 E8 ?? ?? ?? ?? 85 C0 0F 94 85 6C FF FF FF 8B 85 74 FF FF FF 0F B6 95 6C FF FF FF 88 50 30 E9 F4 00 00 00 8D 55 98 8B 45 EC 8B 08 FF 51 34 8D 45 94 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 8B 45 98 E8 ?? ?? ?? ?? 85 C0 0F 94 85 6B FF FF FF 80 BD 6B FF FF FF 00 0F 84 BB 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 44 FF FF FF 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 44 FF FF FF E8 ?? ?? ?? ?? 8B F0 8D 4D F8 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8B D6 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 8D 40 FF FF FF 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 40 FF FF FF 8D 45 80 E8 ?? ?? ?? ?? 8D 8D 3C FF FF FF 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 3C FF FF FF E8 ?? ?? ?? ?? 89 45 88 89 55 8C 8D 95 78 FF FF FF 8B 85 74 FF FF FF 8B 40 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 38 FF FF FF 8B 45 EC 8B 08 FF 91 90 00 00 00 8B 95 38 FF FF FF 8D 45 EC E8 ?? ?? ?? ?? 83 7D EC 00 0F 85 6D FB FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 94 BA 16 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8C 8B 85 74 FF FF FF 5F 5E 5B 8B E5 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 4C 00 69 00 73 00 74 00 50 00 61 00 72 00 74 00 73 00 52 00 65 00 73 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 69 00 74 00 69 00 61 00 74 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4F 00 77 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 74 00 6F 00 72 00 61 00 67 00 65 00 43 00 6C 00 61 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 52 00 45 00 44 00 55 00 43 00 45 00 44 00 5F 00 52 00 45 00 44 00 55 00 44 00 41 00 4E 00 43 00 59 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 61 00 72 00 74 00 4E 00 75 00 6D 00 62 00 65 00 72 00 4D 00 61 00 72 00 6B 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 65 00 78 00 74 00 50 00 61 00 72 00 74 00 4E 00 75 00 6D 00 62 00 65 00 72 00 4D 00 61 00 72 00 6B 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 61 00 78 00 50 00 61 00 72 00 74 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 73 00 54 00 72 00 75 00 6E 00 63 00 61 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 61 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 61 00 72 00 74 00 4E 00 75 00 6D 00 62 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 54 00 61 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4C 00 61 00 73 00 74 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_3514_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AmazonAPI.TAmazonRowConditional>.ToArrayImpl"
		size = 220
		refs = "0014 TAmazonRowConditional 0019 @InitializeRecord 0021 TEnumerable<Data.Cloud.AmazonAPI.TAmazonRowConditional>.ToArrayImpl 0036 TArray<Data.Cloud.AmazonAPI.TAmazonRowConditional> 003b @DynArraySetLength 0047 TEnumerable<Data.Cloud.AmazonAPI.TAmazonRowConditional>.GetEnumerator 007d @CopyRecord 0086 TEnumerator<Data.Cloud.AmazonAPI.TAmazonRowConditional>.MoveNext 00ad @HandleFinally 00ca @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 4D F0 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 24 8D 55 F4 8B 45 EC 8B 08 FF 11 8D 04 5B 8B 55 F0 8B 12 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3565_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AmazonAPI.TAmazonBatchRow>.ToArrayImpl"
		size = 220
		refs = "0014 TAmazonBatchRow 0019 @InitializeRecord 0021 TEnumerable<Data.Cloud.AmazonAPI.TAmazonBatchRow>.ToArrayImpl 0036 TArray<Data.Cloud.AmazonAPI.TAmazonBatchRow> 003b @DynArraySetLength 0047 TEnumerable<Data.Cloud.AmazonAPI.TAmazonBatchRow>.GetEnumerator 007d @CopyRecord 0086 TEnumerator<Data.Cloud.AmazonAPI.TAmazonBatchRow>.MoveNext 00ad @HandleFinally 00ca @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 4D F0 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 24 8D 55 F4 8B 45 EC 8B 08 FF 11 8D 04 5B 8B 55 F0 8B 12 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4495_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AzureAPI.TAzureBlockListItem>.ToArrayImpl"
		size = 220
		refs = "0014 TAzureBlockListItem 0019 @InitializeRecord 0021 TEnumerable<Data.Cloud.AzureAPI.TAzureBlockListItem>.ToArrayImpl 0036 TArray<Data.Cloud.AzureAPI.TAzureBlockListItem> 003b @DynArraySetLength 0047 TEnumerable<Data.Cloud.AzureAPI.TAzureBlockListItem>.GetEnumerator 007d @CopyRecord 0086 TEnumerator<Data.Cloud.AzureAPI.TAzureBlockListItem>.MoveNext 00ad @HandleFinally 00ca @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 4D F0 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 24 8D 55 F4 8B 45 EC 8B 08 FF 11 8D 04 5B 8B 55 F0 8B 12 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50997_0 {
	meta:
		name = "TEnumerable<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.ToArrayImpl"
		size = 220
		refs = "0014 TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>> 0019 @InitializeRecord 0021 TEnumerable<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.ToArrayImpl 0036 TArray<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>> 003b @DynArraySetLength 0047 TEnumerable<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.GetEnumerator 007d @CopyRecord 0086 TEnumerator<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.MoveNext 00ad @HandleFinally 00ca @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 4D F0 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 24 8D 55 F4 8B 45 EC 8B 08 FF 11 8D 04 5B 8B 55 F0 8B 12 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52491_0 {
	meta:
		name = "TEnumerable<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.ToArrayImpl"
		size = 220
		refs = "0014 TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.ToArrayImpl 0036 TArray<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.GetEnumerator 007d @CopyRecord 0086 TEnumerator<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.MoveNext 00ad @HandleFinally 00ca @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 4D F0 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 24 8D 55 F4 8B 45 EC 8B 08 FF 11 8D 04 5B 8B 55 F0 8B 12 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55391_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.ToArrayImpl"
		size = 220
		refs = "0014 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.ToArrayImpl 0036 TArray<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetEnumerator 007d @CopyRecord 0086 TEnumerator<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.MoveNext 00ad @HandleFinally 00ca @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 4D F0 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 24 8D 55 F4 8B 45 EC 8B 08 FF 11 8D 04 5B 8B 55 F0 8B 12 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60309_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.ToArrayImpl"
		size = 220
		refs = "0014 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.ToArrayImpl 0036 TArray<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetEnumerator 007d @CopyRecord 0086 TEnumerator<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.MoveNext 00ad @HandleFinally 00ca @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 4D F0 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 24 8D 55 F4 8B 45 EC 8B 08 FF 11 8D 04 5B 8B 55 F0 8B 12 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71536_0 {
	meta:
		name = "TEnumerable<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.ToArrayImpl"
		size = 220
		refs = "0014 TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 0019 @InitializeRecord 0021 TEnumerable<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.ToArrayImpl 0036 TArray<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>> 003b @DynArraySetLength 0047 TEnumerable<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.GetEnumerator 007d @CopyRecord 0086 TEnumerator<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.MoveNext 00ad @HandleFinally 00ca @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 4D F0 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 24 8D 55 F4 8B 45 EC 8B 08 FF 11 8D 04 5B 8B 55 F0 8B 12 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87487_0 {
	meta:
		name = "TEnumerable<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.ToArrayImpl"
		size = 220
		refs = "0014 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 0019 @InitializeRecord 0021 TEnumerable<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.ToArrayImpl 0036 TArray<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>> 003b @DynArraySetLength 0047 TEnumerable<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.GetEnumerator 007d @CopyRecord 0086 TEnumerator<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.MoveNext 00ad @HandleFinally 00ca @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 4D F0 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 24 8D 55 F4 8B 45 EC 8B 08 FF 11 8D 04 5B 8B 55 F0 8B 12 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3516_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AmazonAPI.TAmazonRowConditional>.ToArray"
		size = 245
		refs = "0011 TAmazonRowConditional 0016 @InitializeRecord 001e TEnumerable<Data.Cloud.AmazonAPI.TAmazonRowConditional>.ToArray 002b _DV_TList<Data.Cloud.AmazonAPI.TAmazonRowConditional> 0030 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Create 0048 TEnumerable<Data.Cloud.AmazonAPI.TAmazonRowConditional>.GetEnumerator 0070 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Add 0078 TEnumerator<Data.Cloud.AmazonAPI.TAmazonRowConditional>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 55 F0 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F4 8B 45 E8 8B 08 FF 11 8D 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F0 8B 45 EC 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3567_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AmazonAPI.TAmazonBatchRow>.ToArray"
		size = 245
		refs = "0011 TAmazonBatchRow 0016 @InitializeRecord 001e TEnumerable<Data.Cloud.AmazonAPI.TAmazonBatchRow>.ToArray 002b _DV_TList<Data.Cloud.AmazonAPI.TAmazonBatchRow> 0030 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Create 0048 TEnumerable<Data.Cloud.AmazonAPI.TAmazonBatchRow>.GetEnumerator 0070 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Add 0078 TEnumerator<Data.Cloud.AmazonAPI.TAmazonBatchRow>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 55 F0 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F4 8B 45 E8 8B 08 FF 11 8D 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F0 8B 45 EC 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4497_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AzureAPI.TAzureBlockListItem>.ToArray"
		size = 245
		refs = "0011 TAzureBlockListItem 0016 @InitializeRecord 001e TEnumerable<Data.Cloud.AzureAPI.TAzureBlockListItem>.ToArray 002b _DV_TList<Data.Cloud.AzureAPI.TAzureBlockListItem> 0030 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Create 0048 TEnumerable<Data.Cloud.AzureAPI.TAzureBlockListItem>.GetEnumerator 0070 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Add 0078 TEnumerator<Data.Cloud.AzureAPI.TAzureBlockListItem>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 55 F0 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F4 8B 45 E8 8B 08 FF 11 8D 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F0 8B 45 EC 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50999_0 {
	meta:
		name = "TEnumerable<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.ToArray"
		size = 245
		refs = "0011 TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>> 0016 @InitializeRecord 001e TEnumerable<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.ToArray 002b _DV_TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>> 0030 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Create 0048 TEnumerable<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.GetEnumerator 0070 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Add 0078 TEnumerator<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 55 F0 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F4 8B 45 E8 8B 08 FF 11 8D 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F0 8B 45 EC 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52493_0 {
	meta:
		name = "TEnumerable<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.ToArray"
		size = 245
		refs = "0011 TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.ToArray 002b _DV_TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>> 0030 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Create 0048 TEnumerable<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.GetEnumerator 0070 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Add 0078 TEnumerator<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 55 F0 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F4 8B 45 E8 8B 08 FF 11 8D 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F0 8B 45 EC 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55393_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.ToArray"
		size = 245
		refs = "0011 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.ToArray 002b _DV_TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>> 0030 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Create 0048 TEnumerable<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetEnumerator 0070 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Add 0078 TEnumerator<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 55 F0 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F4 8B 45 E8 8B 08 FF 11 8D 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F0 8B 45 EC 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60311_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.ToArray"
		size = 245
		refs = "0011 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.ToArray 002b _DV_TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>> 0030 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Create 0048 TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetEnumerator 0070 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Add 0078 TEnumerator<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 55 F0 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F4 8B 45 E8 8B 08 FF 11 8D 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F0 8B 45 EC 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71538_0 {
	meta:
		name = "TEnumerable<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.ToArray"
		size = 245
		refs = "0011 TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 0016 @InitializeRecord 001e TEnumerable<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.ToArray 002b _DV_TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>> 0030 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Create 0048 TEnumerable<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.GetEnumerator 0070 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Add 0078 TEnumerator<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 55 F0 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F4 8B 45 E8 8B 08 FF 11 8D 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F0 8B 45 EC 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87489_0 {
	meta:
		name = "TEnumerable<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 0016 @InitializeRecord 001e TEnumerable<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.ToArray 002b _DV_TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>> 0030 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Create 0048 TEnumerable<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.GetEnumerator 0070 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Add 0078 TEnumerator<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 55 F0 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F4 8B 45 E8 8B 08 FF 11 8D 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F0 8B 45 EC 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3521_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.GetItem"
		size = 67
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0036 TAmazonRowConditional 003b @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3572_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.GetItem"
		size = 67
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0036 TAmazonBatchRow 003b @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4502_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.GetItem"
		size = 67
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0036 TAzureBlockListItem 003b @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51216_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.GetItem"
		size = 67
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0036 TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>> 003b @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52725_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.GetItem"
		size = 67
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0036 TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 003b @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56287_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetItem"
		size = 67
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0036 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 003b @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60985_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetItem"
		size = 67
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0036 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 003b @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71660_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.GetItem"
		size = 67
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0036 TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 003b @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87913_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.GetItem"
		size = 67
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0036 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 003b @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3522_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.SetItem"
		size = 185
		refs = "0015 TAmazonRowConditional 001a @InitializeRecord 0022 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 00a6 @FinalizeRecord 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F0 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 3C 76 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F4 8B C3 8B 30 FF 56 08 8B 55 F0 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3573_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.SetItem"
		size = 185
		refs = "0015 TAmazonBatchRow 001a @InitializeRecord 0022 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 00a6 @FinalizeRecord 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F0 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 3C 76 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F4 8B C3 8B 30 FF 56 08 8B 55 F0 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4503_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.SetItem"
		size = 185
		refs = "0015 TAzureBlockListItem 001a @InitializeRecord 0022 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 00a6 @FinalizeRecord 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F0 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 3C 76 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F4 8B C3 8B 30 FF 56 08 8B 55 F0 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51217_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.SetItem"
		size = 185
		refs = "0015 TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>> 001a @InitializeRecord 0022 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 00a6 @FinalizeRecord 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F0 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 3C 76 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F4 8B C3 8B 30 FF 56 08 8B 55 F0 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52726_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.SetItem"
		size = 185
		refs = "0015 TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 001a @InitializeRecord 0022 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 00a6 @FinalizeRecord 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F0 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 3C 76 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F4 8B C3 8B 30 FF 56 08 8B 55 F0 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56288_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetItem"
		size = 185
		refs = "0015 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 001a @InitializeRecord 0022 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 00a6 @FinalizeRecord 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F0 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 3C 76 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F4 8B C3 8B 30 FF 56 08 8B 55 F0 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60986_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetItem"
		size = 185
		refs = "0015 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 001a @InitializeRecord 0022 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 00a6 @FinalizeRecord 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F0 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 3C 76 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F4 8B C3 8B 30 FF 56 08 8B 55 F0 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71661_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.SetItem"
		size = 185
		refs = "0015 TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 001a @InitializeRecord 0022 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 00a6 @FinalizeRecord 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F0 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 3C 76 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F4 8B C3 8B 30 FF 56 08 8B 55 F0 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87914_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.SetItem"
		size = 185
		refs = "0015 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 001a @InitializeRecord 0022 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 00a6 @FinalizeRecord 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F0 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 3C 76 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F4 8B C3 8B 30 FF 56 08 8B 55 F0 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3525_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.DoDelete"
		size = 250
		refs = "0015 TAmazonRowConditional 001a @InitializeRecord 0022 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 0070 @FinalizeRecord 00a6 Move 00be @FillChar 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 88 4D F3 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 3C 76 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA FF 4B 08 8B 43 08 3B F0 74 39 8B 53 04 8D 14 BA 52 8B 53 04 8D 54 BA 0C 2B C6 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 8D 04 40 8B 53 04 8D 04 82 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F3 8D 55 F4 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3576_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.DoDelete"
		size = 250
		refs = "0015 TAmazonBatchRow 001a @InitializeRecord 0022 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 0070 @FinalizeRecord 00a6 Move 00be @FillChar 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 88 4D F3 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 3C 76 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA FF 4B 08 8B 43 08 3B F0 74 39 8B 53 04 8D 14 BA 52 8B 53 04 8D 54 BA 0C 2B C6 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 8D 04 40 8B 53 04 8D 04 82 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F3 8D 55 F4 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4506_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.DoDelete"
		size = 250
		refs = "0015 TAzureBlockListItem 001a @InitializeRecord 0022 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 0070 @FinalizeRecord 00a6 Move 00be @FillChar 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 88 4D F3 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 3C 76 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA FF 4B 08 8B 43 08 3B F0 74 39 8B 53 04 8D 14 BA 52 8B 53 04 8D 54 BA 0C 2B C6 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 8D 04 40 8B 53 04 8D 04 82 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F3 8D 55 F4 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51220_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.DoDelete"
		size = 250
		refs = "0015 TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>> 001a @InitializeRecord 0022 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 0070 @FinalizeRecord 00a6 Move 00be @FillChar 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 88 4D F3 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 3C 76 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA FF 4B 08 8B 43 08 3B F0 74 39 8B 53 04 8D 14 BA 52 8B 53 04 8D 54 BA 0C 2B C6 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 8D 04 40 8B 53 04 8D 04 82 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F3 8D 55 F4 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52729_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.DoDelete"
		size = 250
		refs = "0015 TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 001a @InitializeRecord 0022 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 0070 @FinalizeRecord 00a6 Move 00be @FillChar 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 88 4D F3 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 3C 76 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA FF 4B 08 8B 43 08 3B F0 74 39 8B 53 04 8D 14 BA 52 8B 53 04 8D 54 BA 0C 2B C6 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 8D 04 40 8B 53 04 8D 04 82 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F3 8D 55 F4 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56291_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.DoDelete"
		size = 250
		refs = "0015 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 001a @InitializeRecord 0022 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 0070 @FinalizeRecord 00a6 Move 00be @FillChar 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 88 4D F3 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 3C 76 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA FF 4B 08 8B 43 08 3B F0 74 39 8B 53 04 8D 14 BA 52 8B 53 04 8D 54 BA 0C 2B C6 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 8D 04 40 8B 53 04 8D 04 82 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F3 8D 55 F4 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60989_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.DoDelete"
		size = 250
		refs = "0015 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 001a @InitializeRecord 0022 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 0070 @FinalizeRecord 00a6 Move 00be @FillChar 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 88 4D F3 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 3C 76 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA FF 4B 08 8B 43 08 3B F0 74 39 8B 53 04 8D 14 BA 52 8B 53 04 8D 54 BA 0C 2B C6 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 8D 04 40 8B 53 04 8D 04 82 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F3 8D 55 F4 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71664_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.DoDelete"
		size = 250
		refs = "0015 TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 001a @InitializeRecord 0022 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 0070 @FinalizeRecord 00a6 Move 00be @FillChar 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 88 4D F3 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 3C 76 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA FF 4B 08 8B 43 08 3B F0 74 39 8B 53 04 8D 14 BA 52 8B 53 04 8D 54 BA 0C 2B C6 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 8D 04 40 8B 53 04 8D 04 82 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F3 8D 55 F4 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87917_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.DoDelete"
		size = 250
		refs = "0015 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 001a @InitializeRecord 0022 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 0070 @FinalizeRecord 00a6 Move 00be @FillChar 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 88 4D F3 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 3C 76 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA FF 4B 08 8B 43 08 3B F0 74 39 8B 53 04 8D 14 BA 52 8B 53 04 8D 54 BA 0C 2B C6 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 8D 04 40 8B 53 04 8D 04 82 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D F3 8D 55 F4 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3532_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Add"
		size = 69
		refs = "000f TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.GrowCheck 0026 TAmazonRowConditional 002b @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8D 04 7F 8B 53 04 8D 04 82 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3583_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Add"
		size = 69
		refs = "000f TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.GrowCheck 0026 TAmazonBatchRow 002b @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8D 04 7F 8B 53 04 8D 04 82 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4513_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Add"
		size = 69
		refs = "000f TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.GrowCheck 0026 TAzureBlockListItem 002b @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8D 04 7F 8B 53 04 8D 04 82 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51227_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Add"
		size = 69
		refs = "000f TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.GrowCheck 0026 TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>> 002b @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8D 04 7F 8B 53 04 8D 04 82 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52736_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Add"
		size = 69
		refs = "000f TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.GrowCheck 0026 TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 002b @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8D 04 7F 8B 53 04 8D 04 82 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56298_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Add"
		size = 69
		refs = "000f TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GrowCheck 0026 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 002b @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8D 04 7F 8B 53 04 8D 04 82 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60996_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Add"
		size = 69
		refs = "000f TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GrowCheck 0026 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 002b @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8D 04 7F 8B 53 04 8D 04 82 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71671_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Add"
		size = 69
		refs = "000f TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.GrowCheck 0026 TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 002b @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8D 04 7F 8B 53 04 8D 04 82 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87924_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Add"
		size = 69
		refs = "000f TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.GrowCheck 0026 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 002b @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8D 04 7F 8B 53 04 8D 04 82 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3536_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Insert"
		size = 155
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.GrowCheck 005c Move 006e @FillChar 007f TAmazonRowConditional 0084 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 36 8D 2C 76 8B 53 04 8D 54 AA 0C 52 8B 53 04 8D 14 AA 2B C6 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 A8 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3587_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Insert"
		size = 155
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.GrowCheck 005c Move 006e @FillChar 007f TAmazonBatchRow 0084 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 36 8D 2C 76 8B 53 04 8D 54 AA 0C 52 8B 53 04 8D 14 AA 2B C6 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 A8 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4517_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Insert"
		size = 155
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.GrowCheck 005c Move 006e @FillChar 007f TAzureBlockListItem 0084 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 36 8D 2C 76 8B 53 04 8D 54 AA 0C 52 8B 53 04 8D 14 AA 2B C6 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 A8 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51231_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Insert"
		size = 155
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.GrowCheck 005c Move 006e @FillChar 007f TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>> 0084 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 36 8D 2C 76 8B 53 04 8D 54 AA 0C 52 8B 53 04 8D 14 AA 2B C6 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 A8 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52740_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Insert"
		size = 155
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.GrowCheck 005c Move 006e @FillChar 007f TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 0084 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 36 8D 2C 76 8B 53 04 8D 54 AA 0C 52 8B 53 04 8D 14 AA 2B C6 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 A8 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56302_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Insert"
		size = 155
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GrowCheck 005c Move 006e @FillChar 007f TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0084 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 36 8D 2C 76 8B 53 04 8D 54 AA 0C 52 8B 53 04 8D 14 AA 2B C6 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 A8 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61000_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Insert"
		size = 155
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GrowCheck 005c Move 006e @FillChar 007f TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0084 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 36 8D 2C 76 8B 53 04 8D 54 AA 0C 52 8B 53 04 8D 14 AA 2B C6 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 A8 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71675_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Insert"
		size = 155
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.GrowCheck 005c Move 006e @FillChar 007f TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 0084 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 36 8D 2C 76 8B 53 04 8D 54 AA 0C 52 8B 53 04 8D 14 AA 2B C6 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 A8 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87928_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Insert"
		size = 155
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.GrowCheck 005c Move 006e @FillChar 007f TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 0084 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 36 8D 2C 76 8B 53 04 8D 54 AA 0C 52 8B 53 04 8D 14 AA 2B C6 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 A8 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3537_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.InsertRange"
		size = 245
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.GrowCheck 0074 Move 0090 @FillChar 00b4 TAmazonRowConditional 00b9 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 46 8B D3 03 55 FC 8D 14 52 8B 4E 04 8D 14 91 8B 4D FC 8D 0C 49 8B 7E 04 8D 0C 8F 2B 45 FC 03 C0 03 C0 8D 04 40 91 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 40 8B 56 04 8D 04 82 8B D3 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2D 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8D 04 40 8B 56 04 8D 04 82 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 0C FF 4D F4 75 DC 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 0C FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3588_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.InsertRange"
		size = 245
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.GrowCheck 0074 Move 0090 @FillChar 00b4 TAmazonBatchRow 00b9 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 46 8B D3 03 55 FC 8D 14 52 8B 4E 04 8D 14 91 8B 4D FC 8D 0C 49 8B 7E 04 8D 0C 8F 2B 45 FC 03 C0 03 C0 8D 04 40 91 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 40 8B 56 04 8D 04 82 8B D3 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2D 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8D 04 40 8B 56 04 8D 04 82 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 0C FF 4D F4 75 DC 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 0C FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4518_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.InsertRange"
		size = 245
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.GrowCheck 0074 Move 0090 @FillChar 00b4 TAzureBlockListItem 00b9 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 46 8B D3 03 55 FC 8D 14 52 8B 4E 04 8D 14 91 8B 4D FC 8D 0C 49 8B 7E 04 8D 0C 8F 2B 45 FC 03 C0 03 C0 8D 04 40 91 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 40 8B 56 04 8D 04 82 8B D3 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2D 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8D 04 40 8B 56 04 8D 04 82 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 0C FF 4D F4 75 DC 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 0C FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_51232_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.InsertRange"
		size = 245
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.GrowCheck 0074 Move 0090 @FillChar 00b4 TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>> 00b9 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 46 8B D3 03 55 FC 8D 14 52 8B 4E 04 8D 14 91 8B 4D FC 8D 0C 49 8B 7E 04 8D 0C 8F 2B 45 FC 03 C0 03 C0 8D 04 40 91 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 40 8B 56 04 8D 04 82 8B D3 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2D 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8D 04 40 8B 56 04 8D 04 82 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 0C FF 4D F4 75 DC 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 0C FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_52741_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.InsertRange"
		size = 245
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.GrowCheck 0074 Move 0090 @FillChar 00b4 TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 00b9 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 46 8B D3 03 55 FC 8D 14 52 8B 4E 04 8D 14 91 8B 4D FC 8D 0C 49 8B 7E 04 8D 0C 8F 2B 45 FC 03 C0 03 C0 8D 04 40 91 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 40 8B 56 04 8D 04 82 8B D3 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2D 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8D 04 40 8B 56 04 8D 04 82 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 0C FF 4D F4 75 DC 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 0C FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_56303_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.InsertRange"
		size = 245
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GrowCheck 0074 Move 0090 @FillChar 00b4 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 00b9 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 46 8B D3 03 55 FC 8D 14 52 8B 4E 04 8D 14 91 8B 4D FC 8D 0C 49 8B 7E 04 8D 0C 8F 2B 45 FC 03 C0 03 C0 8D 04 40 91 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 40 8B 56 04 8D 04 82 8B D3 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2D 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8D 04 40 8B 56 04 8D 04 82 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 0C FF 4D F4 75 DC 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 0C FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_61001_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.InsertRange"
		size = 245
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GrowCheck 0074 Move 0090 @FillChar 00b4 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 00b9 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 46 8B D3 03 55 FC 8D 14 52 8B 4E 04 8D 14 91 8B 4D FC 8D 0C 49 8B 7E 04 8D 0C 8F 2B 45 FC 03 C0 03 C0 8D 04 40 91 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 40 8B 56 04 8D 04 82 8B D3 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2D 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8D 04 40 8B 56 04 8D 04 82 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 0C FF 4D F4 75 DC 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 0C FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71676_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.InsertRange"
		size = 245
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.GrowCheck 0074 Move 0090 @FillChar 00b4 TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 00b9 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 46 8B D3 03 55 FC 8D 14 52 8B 4E 04 8D 14 91 8B 4D FC 8D 0C 49 8B 7E 04 8D 0C 8F 2B 45 FC 03 C0 03 C0 8D 04 40 91 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 40 8B 56 04 8D 04 82 8B D3 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2D 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8D 04 40 8B 56 04 8D 04 82 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 0C FF 4D F4 75 DC 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 0C FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_87929_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.InsertRange"
		size = 245
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.GrowCheck 0074 Move 0090 @FillChar 00b4 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 00b9 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 46 8B D3 03 55 FC 8D 14 52 8B 4E 04 8D 14 91 8B 4D FC 8D 0C 49 8B 7E 04 8D 0C 8F 2B 45 FC 03 C0 03 C0 8D 04 40 91 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 40 8B 56 04 8D 04 82 8B D3 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2D 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8D 04 40 8B 56 04 8D 04 82 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 0C FF 4D F4 75 DC 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 0C FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3538_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.InsertRange"
		size = 154
		refs = "0019 TAmazonRowConditional 001e @InitializeRecord 0026 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.InsertRange 004f TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F0 8B 45 FC 8B 08 FF 51 18 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3589_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.InsertRange"
		size = 154
		refs = "0019 TAmazonBatchRow 001e @InitializeRecord 0026 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.InsertRange 004f TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F0 8B 45 FC 8B 08 FF 51 18 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4519_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.InsertRange"
		size = 154
		refs = "0019 TAzureBlockListItem 001e @InitializeRecord 0026 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.InsertRange 004f TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F0 8B 45 FC 8B 08 FF 51 18 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51233_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>> 001e @InitializeRecord 0026 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.InsertRange 004f TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F0 8B 45 FC 8B 08 FF 51 18 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52742_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 001e @InitializeRecord 0026 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.InsertRange 004f TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F0 8B 45 FC 8B 08 FF 51 18 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56304_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 001e @InitializeRecord 0026 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.InsertRange 004f TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F0 8B 45 FC 8B 08 FF 51 18 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61002_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 001e @InitializeRecord 0026 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.InsertRange 004f TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F0 8B 45 FC 8B 08 FF 51 18 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71677_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 001e @InitializeRecord 0026 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.InsertRange 004f TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F0 8B 45 FC 8B 08 FF 51 18 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87930_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 001e @InitializeRecord 0026 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.InsertRange 004f TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F0 8B 45 FC 8B 08 FF 51 18 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3539_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.InsertRange"
		size = 183
		refs = "0014 TAmazonRowConditional 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.InsertRange 002e TEnumerable<Data.Cloud.AmazonAPI.TAmazonRowConditional>.GetEnumerator 0057 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Insert 0060 TEnumerator<Data.Cloud.AmazonAPI.TAmazonRowConditional>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F4 8B 45 F0 8B 08 FF 11 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3590_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.InsertRange"
		size = 183
		refs = "0014 TAmazonBatchRow 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.InsertRange 002e TEnumerable<Data.Cloud.AmazonAPI.TAmazonBatchRow>.GetEnumerator 0057 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Insert 0060 TEnumerator<Data.Cloud.AmazonAPI.TAmazonBatchRow>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F4 8B 45 F0 8B 08 FF 11 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4520_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.InsertRange"
		size = 183
		refs = "0014 TAzureBlockListItem 0019 @InitializeRecord 0021 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.InsertRange 002e TEnumerable<Data.Cloud.AzureAPI.TAzureBlockListItem>.GetEnumerator 0057 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Insert 0060 TEnumerator<Data.Cloud.AzureAPI.TAzureBlockListItem>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F4 8B 45 F0 8B 08 FF 11 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51234_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>> 0019 @InitializeRecord 0021 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.InsertRange 002e TEnumerable<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.GetEnumerator 0057 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Insert 0060 TEnumerator<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F4 8B 45 F0 8B 08 FF 11 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52743_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 0019 @InitializeRecord 0021 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.InsertRange 002e TEnumerable<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.GetEnumerator 0057 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Insert 0060 TEnumerator<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F4 8B 45 F0 8B 08 FF 11 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56305_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0019 @InitializeRecord 0021 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.InsertRange 002e TEnumerable<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetEnumerator 0057 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Insert 0060 TEnumerator<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F4 8B 45 F0 8B 08 FF 11 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61003_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.InsertRange 002e TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetEnumerator 0057 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Insert 0060 TEnumerator<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F4 8B 45 F0 8B 08 FF 11 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71678_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 0019 @InitializeRecord 0021 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.InsertRange 002e TEnumerable<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.GetEnumerator 0057 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Insert 0060 TEnumerator<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F4 8B 45 F0 8B 08 FF 11 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87931_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 0019 @InitializeRecord 0021 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.InsertRange 002e TEnumerable<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.GetEnumerator 0057 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Insert 0060 TEnumerator<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F4 8B 45 F0 8B 08 FF 11 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3542_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.DeleteRange"
		size = 335
		refs = "0018 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.:3 0068 @DynArraySetLength 0085 Move 00d8 @FillChar 00fe @DynArrayLength 013c @DynArrayClear 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 CD 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 7F 8B 53 04 8D 04 82 8B CE 03 C9 03 C9 8D 0C 49 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 47 8D 14 7F 8B 4B 04 8D 14 91 52 8D 14 3E 8D 14 52 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8D 04 40 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? EB 19 8D 04 7F 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1E 40 89 45 F8 33 F6 8D 04 76 8B 55 FC 8D 14 82 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3593_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.DeleteRange"
		size = 335
		refs = "0018 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.:3 0068 @DynArraySetLength 0085 Move 00d8 @FillChar 00fe @DynArrayLength 013c @DynArrayClear 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 CD 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 7F 8B 53 04 8D 04 82 8B CE 03 C9 03 C9 8D 0C 49 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 47 8D 14 7F 8B 4B 04 8D 14 91 52 8D 14 3E 8D 14 52 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8D 04 40 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? EB 19 8D 04 7F 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1E 40 89 45 F8 33 F6 8D 04 76 8B 55 FC 8D 14 82 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4523_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.DeleteRange"
		size = 335
		refs = "0018 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.:3 0068 @DynArraySetLength 0085 Move 00d8 @FillChar 00fe @DynArrayLength 013c @DynArrayClear 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 CD 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 7F 8B 53 04 8D 04 82 8B CE 03 C9 03 C9 8D 0C 49 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 47 8D 14 7F 8B 4B 04 8D 14 91 52 8D 14 3E 8D 14 52 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8D 04 40 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? EB 19 8D 04 7F 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1E 40 89 45 F8 33 F6 8D 04 76 8B 55 FC 8D 14 82 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51237_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.DeleteRange"
		size = 335
		refs = "0018 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.:3 0068 @DynArraySetLength 0085 Move 00d8 @FillChar 00fe @DynArrayLength 013c @DynArrayClear 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 CD 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 7F 8B 53 04 8D 04 82 8B CE 03 C9 03 C9 8D 0C 49 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 47 8D 14 7F 8B 4B 04 8D 14 91 52 8D 14 3E 8D 14 52 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8D 04 40 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? EB 19 8D 04 7F 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1E 40 89 45 F8 33 F6 8D 04 76 8B 55 FC 8D 14 82 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52746_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.DeleteRange"
		size = 335
		refs = "0018 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.:3 0068 @DynArraySetLength 0085 Move 00d8 @FillChar 00fe @DynArrayLength 013c @DynArrayClear 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 CD 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 7F 8B 53 04 8D 04 82 8B CE 03 C9 03 C9 8D 0C 49 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 47 8D 14 7F 8B 4B 04 8D 14 91 52 8D 14 3E 8D 14 52 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8D 04 40 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? EB 19 8D 04 7F 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1E 40 89 45 F8 33 F6 8D 04 76 8B 55 FC 8D 14 82 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56308_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.DeleteRange"
		size = 335
		refs = "0018 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.:3 0068 @DynArraySetLength 0085 Move 00d8 @FillChar 00fe @DynArrayLength 013c @DynArrayClear 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 CD 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 7F 8B 53 04 8D 04 82 8B CE 03 C9 03 C9 8D 0C 49 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 47 8D 14 7F 8B 4B 04 8D 14 91 52 8D 14 3E 8D 14 52 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8D 04 40 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? EB 19 8D 04 7F 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1E 40 89 45 F8 33 F6 8D 04 76 8B 55 FC 8D 14 82 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_61006_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.DeleteRange"
		size = 335
		refs = "0018 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.:3 0068 @DynArraySetLength 0085 Move 00d8 @FillChar 00fe @DynArrayLength 013c @DynArrayClear 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 CD 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 7F 8B 53 04 8D 04 82 8B CE 03 C9 03 C9 8D 0C 49 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 47 8D 14 7F 8B 4B 04 8D 14 91 52 8D 14 3E 8D 14 52 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8D 04 40 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? EB 19 8D 04 7F 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1E 40 89 45 F8 33 F6 8D 04 76 8B 55 FC 8D 14 82 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67387_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.DeleteRange"
		size = 335
		refs = "0018 TList<System.Rtti.TMethodImplementation.TParamLoc>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Rtti.TMethodImplementation.TParamLoc>.:3 0068 @DynArraySetLength 0085 Move 00d8 @FillChar 00fe @DynArrayLength 013c @DynArrayClear 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 CD 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 7F 8B 53 04 8D 04 82 8B CE 03 C9 03 C9 8D 0C 49 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 47 8D 14 7F 8B 4B 04 8D 14 91 52 8D 14 3E 8D 14 52 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8D 04 40 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? EB 19 8D 04 7F 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1E 40 89 45 F8 33 F6 8D 04 76 8B 55 FC 8D 14 82 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71681_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.DeleteRange"
		size = 335
		refs = "0018 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.:3 0068 @DynArraySetLength 0085 Move 00d8 @FillChar 00fe @DynArrayLength 013c @DynArrayClear 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 CD 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 7F 8B 53 04 8D 04 82 8B CE 03 C9 03 C9 8D 0C 49 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 47 8D 14 7F 8B 4B 04 8D 14 91 52 8D 14 3E 8D 14 52 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8D 04 40 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? EB 19 8D 04 7F 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1E 40 89 45 F8 33 F6 8D 04 76 8B 55 FC 8D 14 82 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_87934_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.DeleteRange"
		size = 335
		refs = "0018 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.:3 0068 @DynArraySetLength 0085 Move 00d8 @FillChar 00fe @DynArrayLength 013c @DynArrayClear 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 CD 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 7F 8B 53 04 8D 04 82 8B CE 03 C9 03 C9 8D 0C 49 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 47 8D 14 7F 8B 4B 04 8D 14 91 52 8D 14 3E 8D 14 52 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8D 04 40 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? EB 19 8D 04 7F 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1E 40 89 45 F8 33 F6 8D 04 76 8B 55 FC 8D 14 82 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3543_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Extract"
		size = 83
		refs = "000a TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.IndexOf 0018 TAmazonRowConditional 001d @FinalizeRecord 0040 @CopyRecord 004b TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1A 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA EB 21 8B C7 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3594_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Extract"
		size = 83
		refs = "000a TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.IndexOf 0018 TAmazonBatchRow 001d @FinalizeRecord 0040 @CopyRecord 004b TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1A 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA EB 21 8B C7 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4524_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Extract"
		size = 83
		refs = "000a TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.IndexOf 0018 TAzureBlockListItem 001d @FinalizeRecord 0040 @CopyRecord 004b TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1A 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA EB 21 8B C7 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51238_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Extract"
		size = 83
		refs = "000a TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.IndexOf 0018 TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>> 001d @FinalizeRecord 0040 @CopyRecord 004b TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1A 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA EB 21 8B C7 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52747_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Extract"
		size = 83
		refs = "000a TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.IndexOf 0018 TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 001d @FinalizeRecord 0040 @CopyRecord 004b TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1A 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA EB 21 8B C7 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_56309_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Extract"
		size = 83
		refs = "000a TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.IndexOf 0018 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 001d @FinalizeRecord 0040 @CopyRecord 004b TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1A 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA EB 21 8B C7 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61007_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Extract"
		size = 83
		refs = "000a TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.IndexOf 0018 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 001d @FinalizeRecord 0040 @CopyRecord 004b TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1A 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA EB 21 8B C7 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71682_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Extract"
		size = 83
		refs = "000a TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.IndexOf 0018 TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 001d @FinalizeRecord 0040 @CopyRecord 004b TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1A 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA EB 21 8B C7 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87935_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Extract"
		size = 83
		refs = "000a TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.IndexOf 0018 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 001d @FinalizeRecord 0040 @CopyRecord 004b TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1A 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA EB 21 8B C7 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3544_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Exchange"
		size = 160
		refs = "0014 TAmazonRowConditional 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Exchange 003e @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3595_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Exchange"
		size = 160
		refs = "0014 TAmazonBatchRow 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Exchange 003e @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4525_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Exchange"
		size = 160
		refs = "0014 TAzureBlockListItem 0019 @InitializeRecord 0021 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Exchange 003e @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51239_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Exchange"
		size = 160
		refs = "0014 TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>> 0019 @InitializeRecord 0021 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Exchange 003e @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52748_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Exchange"
		size = 160
		refs = "0014 TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 0019 @InitializeRecord 0021 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Exchange 003e @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56310_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Exchange"
		size = 160
		refs = "0014 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0019 @InitializeRecord 0021 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Exchange 003e @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61008_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Exchange"
		size = 160
		refs = "0014 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Exchange 003e @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71683_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Exchange"
		size = 160
		refs = "0014 TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 0019 @InitializeRecord 0021 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Exchange 003e @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87936_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Exchange"
		size = 160
		refs = "0014 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 0019 @InitializeRecord 0021 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Exchange 003e @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3545_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Move"
		size = 295
		refs = "0014 TAmazonRowConditional 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0066 @CopyRecord 007a @FinalizeRecord 00ac Move 00e5 @FillChar 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8B FA 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 CA 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA 3B F7 7E 25 8D 04 7F 8B 53 04 8D 14 82 8D 04 7F 8B 4B 04 8D 44 81 0C 8B CE 2B CF 03 C9 03 C9 8D 0C 49 E8 ?? ?? ?? ?? EB 22 8D 04 76 8B 53 04 8D 54 82 0C 52 8B 53 04 8D 04 82 2B FE 8B CF 03 C9 03 C9 8D 0C 49 5A E8 ?? ?? ?? ?? 8D 3C 76 8B 43 04 8D 04 B8 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3596_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Move"
		size = 295
		refs = "0014 TAmazonBatchRow 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0066 @CopyRecord 007a @FinalizeRecord 00ac Move 00e5 @FillChar 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8B FA 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 CA 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA 3B F7 7E 25 8D 04 7F 8B 53 04 8D 14 82 8D 04 7F 8B 4B 04 8D 44 81 0C 8B CE 2B CF 03 C9 03 C9 8D 0C 49 E8 ?? ?? ?? ?? EB 22 8D 04 76 8B 53 04 8D 54 82 0C 52 8B 53 04 8D 04 82 2B FE 8B CF 03 C9 03 C9 8D 0C 49 5A E8 ?? ?? ?? ?? 8D 3C 76 8B 43 04 8D 04 B8 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4526_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Move"
		size = 295
		refs = "0014 TAzureBlockListItem 0019 @InitializeRecord 0021 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0066 @CopyRecord 007a @FinalizeRecord 00ac Move 00e5 @FillChar 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8B FA 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 CA 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA 3B F7 7E 25 8D 04 7F 8B 53 04 8D 14 82 8D 04 7F 8B 4B 04 8D 44 81 0C 8B CE 2B CF 03 C9 03 C9 8D 0C 49 E8 ?? ?? ?? ?? EB 22 8D 04 76 8B 53 04 8D 54 82 0C 52 8B 53 04 8D 04 82 2B FE 8B CF 03 C9 03 C9 8D 0C 49 5A E8 ?? ?? ?? ?? 8D 3C 76 8B 43 04 8D 04 B8 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51240_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Move"
		size = 295
		refs = "0014 TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>> 0019 @InitializeRecord 0021 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0066 @CopyRecord 007a @FinalizeRecord 00ac Move 00e5 @FillChar 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8B FA 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 CA 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA 3B F7 7E 25 8D 04 7F 8B 53 04 8D 14 82 8D 04 7F 8B 4B 04 8D 44 81 0C 8B CE 2B CF 03 C9 03 C9 8D 0C 49 E8 ?? ?? ?? ?? EB 22 8D 04 76 8B 53 04 8D 54 82 0C 52 8B 53 04 8D 04 82 2B FE 8B CF 03 C9 03 C9 8D 0C 49 5A E8 ?? ?? ?? ?? 8D 3C 76 8B 43 04 8D 04 B8 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52749_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Move"
		size = 295
		refs = "0014 TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 0019 @InitializeRecord 0021 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0066 @CopyRecord 007a @FinalizeRecord 00ac Move 00e5 @FillChar 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8B FA 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 CA 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA 3B F7 7E 25 8D 04 7F 8B 53 04 8D 14 82 8D 04 7F 8B 4B 04 8D 44 81 0C 8B CE 2B CF 03 C9 03 C9 8D 0C 49 E8 ?? ?? ?? ?? EB 22 8D 04 76 8B 53 04 8D 54 82 0C 52 8B 53 04 8D 04 82 2B FE 8B CF 03 C9 03 C9 8D 0C 49 5A E8 ?? ?? ?? ?? 8D 3C 76 8B 43 04 8D 04 B8 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56311_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Move"
		size = 295
		refs = "0014 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0019 @InitializeRecord 0021 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0066 @CopyRecord 007a @FinalizeRecord 00ac Move 00e5 @FillChar 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8B FA 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 CA 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA 3B F7 7E 25 8D 04 7F 8B 53 04 8D 14 82 8D 04 7F 8B 4B 04 8D 44 81 0C 8B CE 2B CF 03 C9 03 C9 8D 0C 49 E8 ?? ?? ?? ?? EB 22 8D 04 76 8B 53 04 8D 54 82 0C 52 8B 53 04 8D 04 82 2B FE 8B CF 03 C9 03 C9 8D 0C 49 5A E8 ?? ?? ?? ?? 8D 3C 76 8B 43 04 8D 04 B8 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61009_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Move"
		size = 295
		refs = "0014 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0066 @CopyRecord 007a @FinalizeRecord 00ac Move 00e5 @FillChar 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8B FA 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 CA 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA 3B F7 7E 25 8D 04 7F 8B 53 04 8D 14 82 8D 04 7F 8B 4B 04 8D 44 81 0C 8B CE 2B CF 03 C9 03 C9 8D 0C 49 E8 ?? ?? ?? ?? EB 22 8D 04 76 8B 53 04 8D 54 82 0C 52 8B 53 04 8D 04 82 2B FE 8B CF 03 C9 03 C9 8D 0C 49 5A E8 ?? ?? ?? ?? 8D 3C 76 8B 43 04 8D 04 B8 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71684_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Move"
		size = 295
		refs = "0014 TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 0019 @InitializeRecord 0021 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0066 @CopyRecord 007a @FinalizeRecord 00ac Move 00e5 @FillChar 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8B FA 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 CA 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA 3B F7 7E 25 8D 04 7F 8B 53 04 8D 14 82 8D 04 7F 8B 4B 04 8D 44 81 0C 8B CE 2B CF 03 C9 03 C9 8D 0C 49 E8 ?? ?? ?? ?? EB 22 8D 04 76 8B 53 04 8D 54 82 0C 52 8B 53 04 8D 04 82 2B FE 8B CF 03 C9 03 C9 8D 0C 49 5A E8 ?? ?? ?? ?? 8D 3C 76 8B 43 04 8D 04 B8 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87937_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Move"
		size = 295
		refs = "0014 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 0019 @InitializeRecord 0021 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0066 @CopyRecord 007a @FinalizeRecord 00ac Move 00e5 @FillChar 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8B FA 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 CA 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB 8B FA 3B F7 7E 25 8D 04 7F 8B 53 04 8D 14 82 8D 04 7F 8B 4B 04 8D 44 81 0C 8B CE 2B CF 03 C9 03 C9 8D 0C 49 E8 ?? ?? ?? ?? EB 22 8D 04 76 8B 53 04 8D 54 82 0C 52 8B 53 04 8D 04 82 2B FE 8B CF 03 C9 03 C9 8D 0C 49 5A E8 ?? ?? ?? ?? 8D 3C 76 8B 43 04 8D 04 B8 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3550_0 {
	meta:
		name = "TList<T>.IndexOf"
		size = 62
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F0 8B 7E 08 4F 85 FF 7C 23 47 33 DB 8D 04 5B 8B 56 04 8D 14 82 8B 0C 24 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 07 43 4F 75 E0 83 C8 FF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3551_0 {
	meta:
		name = "TList<T>.LastIndexOf"
		size = 58
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B 5E 08 4B 83 FB 00 7C 21 8D 04 5B 8B 56 04 8D 14 82 8B CF 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 09 4B 83 FB FF 75 DF 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3552_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Reverse"
		size = 172
		refs = "0010 TAmazonRowConditional 0015 @InitializeRecord 001d TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Reverse 0044 @CopyRecord 0099 @FinalizeRecord 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 51 8D 45 F4 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3603_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Reverse"
		size = 172
		refs = "0010 TAmazonBatchRow 0015 @InitializeRecord 001d TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Reverse 0044 @CopyRecord 0099 @FinalizeRecord 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 51 8D 45 F4 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4533_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Reverse"
		size = 172
		refs = "0010 TAzureBlockListItem 0015 @InitializeRecord 001d TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Reverse 0044 @CopyRecord 0099 @FinalizeRecord 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 51 8D 45 F4 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51247_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Reverse"
		size = 172
		refs = "0010 TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>> 0015 @InitializeRecord 001d TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Reverse 0044 @CopyRecord 0099 @FinalizeRecord 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 51 8D 45 F4 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52756_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Reverse"
		size = 172
		refs = "0010 TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 0015 @InitializeRecord 001d TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Reverse 0044 @CopyRecord 0099 @FinalizeRecord 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 51 8D 45 F4 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56318_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Reverse"
		size = 172
		refs = "0010 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0015 @InitializeRecord 001d TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Reverse 0044 @CopyRecord 0099 @FinalizeRecord 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 51 8D 45 F4 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61016_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Reverse"
		size = 172
		refs = "0010 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0015 @InitializeRecord 001d TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Reverse 0044 @CopyRecord 0099 @FinalizeRecord 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 51 8D 45 F4 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71691_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Reverse"
		size = 172
		refs = "0010 TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 0015 @InitializeRecord 001d TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Reverse 0044 @CopyRecord 0099 @FinalizeRecord 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 51 8D 45 F4 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87944_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Reverse"
		size = 172
		refs = "0010 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 0015 @InitializeRecord 001d TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Reverse 0044 @CopyRecord 0099 @FinalizeRecord 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 51 8D 45 F4 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 82 8D 14 7F 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3558_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.ToArray"
		size = 151
		refs = "0015 TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.ToArray 002d TArray<Data.Cloud.AmazonAPI.TAmazonRowConditional> 0032 @DynArraySetLength 004c TList<Data.Cloud.AmazonAPI.TAmazonRowConditional>.GetItem 0060 TAmazonRowConditional 0065 @CopyRecord 0084 @FinalizeRecord 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8D 04 5B 8B 4D FC 8B 09 8D 04 81 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3609_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.ToArray"
		size = 151
		refs = "0015 TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.ToArray 002d TArray<Data.Cloud.AmazonAPI.TAmazonBatchRow> 0032 @DynArraySetLength 004c TList<Data.Cloud.AmazonAPI.TAmazonBatchRow>.GetItem 0060 TAmazonBatchRow 0065 @CopyRecord 0084 @FinalizeRecord 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8D 04 5B 8B 4D FC 8B 09 8D 04 81 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4539_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.ToArray"
		size = 151
		refs = "0015 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.ToArray 002d TArray<Data.Cloud.AzureAPI.TAzureBlockListItem> 0032 @DynArraySetLength 004c TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.GetItem 0060 TAzureBlockListItem 0065 @CopyRecord 0084 @FinalizeRecord 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8D 04 5B 8B 4D FC 8B 09 8D 04 81 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51253_0 {
	meta:
		name = "TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.ToArray"
		size = 151
		refs = "0015 TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.ToArray 002d TArray<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>> 0032 @DynArraySetLength 004c TList<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.GetItem 0060 TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>> 0065 @CopyRecord 0084 @FinalizeRecord 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8D 04 5B 8B 4D FC 8B 09 8D 04 81 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52762_0 {
	meta:
		name = "TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.ToArray"
		size = 151
		refs = "0015 TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.ToArray 002d TArray<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>> 0032 @DynArraySetLength 004c TList<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.GetItem 0060 TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 0065 @CopyRecord 0084 @FinalizeRecord 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8D 04 5B 8B 4D FC 8B 09 8D 04 81 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56324_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.ToArray"
		size = 151
		refs = "0015 TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.ToArray 002d TArray<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>> 0032 @DynArraySetLength 004c TList<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetItem 0060 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0065 @CopyRecord 0084 @FinalizeRecord 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8D 04 5B 8B 4D FC 8B 09 8D 04 81 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61022_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.ToArray"
		size = 151
		refs = "0015 TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.ToArray 002d TArray<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>> 0032 @DynArraySetLength 004c TList<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetItem 0060 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0065 @CopyRecord 0084 @FinalizeRecord 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8D 04 5B 8B 4D FC 8B 09 8D 04 81 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71697_0 {
	meta:
		name = "TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.ToArray"
		size = 151
		refs = "0015 TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.ToArray 002d TArray<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>> 0032 @DynArraySetLength 004c TList<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.GetItem 0060 TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 0065 @CopyRecord 0084 @FinalizeRecord 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8D 04 5B 8B 4D FC 8B 09 8D 04 81 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87950_0 {
	meta:
		name = "TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.ToArray"
		size = 151
		refs = "0015 TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.ToArray 002d TArray<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>> 0032 @DynArraySetLength 004c TList<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.GetItem 0060 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 0065 @CopyRecord 0084 @FinalizeRecord 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8D 04 5B 8B 4D FC 8B 09 8D 04 81 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3769_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AmazonAPI.TAmazonObjectResult>.ToArrayImpl"
		size = 220
		refs = "0014 TAmazonObjectResult 0019 @InitializeRecord 0021 TEnumerable<Data.Cloud.AmazonAPI.TAmazonObjectResult>.ToArrayImpl 0036 TArray<Data.Cloud.AmazonAPI.TAmazonObjectResult> 003b @DynArraySetLength 0047 TEnumerable<Data.Cloud.AmazonAPI.TAmazonObjectResult>.GetEnumerator 007d @CopyRecord 0086 TEnumerator<Data.Cloud.AmazonAPI.TAmazonObjectResult>.MoveNext 00ad @HandleFinally 00ca @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 89 4D D8 8B DA 8B F0 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 D8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 24 8D 55 DC 8B 45 D4 8B 08 FF 11 8D 04 DB 8B 55 D8 8B 12 8D 04 82 8D 55 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D4 00 74 0A B2 01 8B 45 D4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60016_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.ToArrayImpl"
		size = 220
		refs = "0014 TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.ToArrayImpl 0036 TArray<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.GetEnumerator 007d @CopyRecord 0086 TEnumerator<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.MoveNext 00ad @HandleFinally 00ca @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 89 4D D8 8B DA 8B F0 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 D8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 24 8D 55 DC 8B 45 D4 8B 08 FF 11 8D 04 DB 8B 55 D8 8B 12 8D 04 82 8D 55 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D4 00 74 0A B2 01 8B 45 D4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60135_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.ToArrayImpl"
		size = 220
		refs = "0014 TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.ToArrayImpl 0036 TArray<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.GetEnumerator 007d @CopyRecord 0086 TEnumerator<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.MoveNext 00ad @HandleFinally 00ca @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 89 4D D8 8B DA 8B F0 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 D8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 24 8D 55 DC 8B 45 D4 8B 08 FF 11 8D 04 DB 8B 55 D8 8B 12 8D 04 82 8D 55 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D4 00 74 0A B2 01 8B 45 D4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3771_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AmazonAPI.TAmazonObjectResult>.ToArray"
		size = 245
		refs = "0011 TAmazonObjectResult 0016 @InitializeRecord 001e TEnumerable<Data.Cloud.AmazonAPI.TAmazonObjectResult>.ToArray 002b _DV_TList<Data.Cloud.AmazonAPI.TAmazonObjectResult> 0030 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Create 0048 TEnumerable<Data.Cloud.AmazonAPI.TAmazonObjectResult>.GetEnumerator 0070 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Add 0078 TEnumerator<Data.Cloud.AmazonAPI.TAmazonObjectResult>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 89 55 D8 8B D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 DC 8B 45 D0 8B 08 FF 11 8D 55 DC 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D0 00 74 0A B2 01 8B 45 D0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 D8 8B 45 D4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60018_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.ToArray"
		size = 245
		refs = "0011 TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.ToArray 002b _DV_TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>> 0030 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Create 0048 TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.GetEnumerator 0070 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Add 0078 TEnumerator<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 89 55 D8 8B D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 DC 8B 45 D0 8B 08 FF 11 8D 55 DC 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D0 00 74 0A B2 01 8B 45 D0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 D8 8B 45 D4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60137_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.ToArray 002b _DV_TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>> 0030 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Create 0048 TEnumerable<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.GetEnumerator 0070 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Add 0078 TEnumerator<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 89 55 D8 8B D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 DC 8B 45 D0 8B 08 FF 11 8D 55 DC 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D0 00 74 0A B2 01 8B 45 D0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 D8 8B 45 D4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3776_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.GetItem"
		size = 67
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0036 TAmazonObjectResult 003b @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 F6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60779_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.GetItem"
		size = 67
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0036 TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription> 003b @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 F6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60881_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.GetItem"
		size = 67
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0036 TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 003b @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 F6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3777_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.SetItem"
		size = 185
		refs = "0015 TAmazonObjectResult 001a @InitializeRecord 0022 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 00a6 @FinalizeRecord 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 4D D8 8B F2 8B D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 8D 3C F6 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 DC 8B C3 8B 30 FF 56 08 8B 55 D8 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60780_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.SetItem"
		size = 185
		refs = "0015 TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription> 001a @InitializeRecord 0022 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 00a6 @FinalizeRecord 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 4D D8 8B F2 8B D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 8D 3C F6 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 DC 8B C3 8B 30 FF 56 08 8B 55 D8 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60882_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.SetItem"
		size = 185
		refs = "0015 TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 001a @InitializeRecord 0022 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 00a6 @FinalizeRecord 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 4D D8 8B F2 8B D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 8D 3C F6 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 DC 8B C3 8B 30 FF 56 08 8B 55 D8 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3780_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.DoDelete"
		size = 254
		refs = "0015 TAmazonObjectResult 001a @InitializeRecord 0022 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 0070 @FinalizeRecord 00aa Move 00c2 @FillChar 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 88 4D DB 8B F2 8B D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 8D 3C F6 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 09 00 00 00 F3 AB 8B FA FF 4B 08 8B 43 08 3B F0 74 39 8B 53 04 8D 14 BA 52 8B 53 04 8D 54 BA 24 2B C6 8B C8 03 C9 03 C9 8D 0C C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 8D 04 C0 8B 53 04 8D 04 82 33 C9 BA 24 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D DB 8D 55 DC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60783_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.DoDelete"
		size = 254
		refs = "0015 TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription> 001a @InitializeRecord 0022 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 0070 @FinalizeRecord 00aa Move 00c2 @FillChar 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 88 4D DB 8B F2 8B D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 8D 3C F6 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 09 00 00 00 F3 AB 8B FA FF 4B 08 8B 43 08 3B F0 74 39 8B 53 04 8D 14 BA 52 8B 53 04 8D 54 BA 24 2B C6 8B C8 03 C9 03 C9 8D 0C C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 8D 04 C0 8B 53 04 8D 04 82 33 C9 BA 24 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D DB 8D 55 DC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60885_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.DoDelete"
		size = 254
		refs = "0015 TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 001a @InitializeRecord 0022 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 0070 @FinalizeRecord 00aa Move 00c2 @FillChar 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 88 4D DB 8B F2 8B D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 8D 3C F6 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 09 00 00 00 F3 AB 8B FA FF 4B 08 8B 43 08 3B F0 74 39 8B 53 04 8D 14 BA 52 8B 53 04 8D 54 BA 24 2B C6 8B C8 03 C9 03 C9 8D 0C C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 8D 04 C0 8B 53 04 8D 04 82 33 C9 BA 24 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D DB 8D 55 DC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3787_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Add"
		size = 69
		refs = "000f TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.GrowCheck 0026 TAmazonObjectResult 002b @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8D 04 FF 8B 53 04 8D 04 82 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60790_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Add"
		size = 69
		refs = "000f TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.GrowCheck 0026 TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription> 002b @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8D 04 FF 8B 53 04 8D 04 82 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60892_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Add"
		size = 69
		refs = "000f TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.GrowCheck 0026 TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 002b @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8D 04 FF 8B 53 04 8D 04 82 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3791_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Insert"
		size = 155
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.GrowCheck 005c Move 006e @FillChar 007f TAmazonObjectResult 0084 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 36 8D 2C F6 8B 53 04 8D 54 AA 24 52 8B 53 04 8D 14 AA 2B C6 8B C8 03 C9 03 C9 8D 0C C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 A8 33 C9 BA 24 00 00 00 E8 ?? ?? ?? ?? 8D 04 F6 8B 53 04 8D 04 82 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60794_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Insert"
		size = 155
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.GrowCheck 005c Move 006e @FillChar 007f TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription> 0084 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 36 8D 2C F6 8B 53 04 8D 54 AA 24 52 8B 53 04 8D 14 AA 2B C6 8B C8 03 C9 03 C9 8D 0C C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 A8 33 C9 BA 24 00 00 00 E8 ?? ?? ?? ?? 8D 04 F6 8B 53 04 8D 04 82 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60896_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Insert"
		size = 155
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.GrowCheck 005c Move 006e @FillChar 007f TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 0084 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 36 8D 2C F6 8B 53 04 8D 54 AA 24 52 8B 53 04 8D 14 AA 2B C6 8B C8 03 C9 03 C9 8D 0C C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 A8 33 C9 BA 24 00 00 00 E8 ?? ?? ?? ?? 8D 04 F6 8B 53 04 8D 04 82 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3792_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.InsertRange"
		size = 245
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.GrowCheck 0074 Move 0090 @FillChar 00b4 TAmazonObjectResult 00b9 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 46 8B D3 03 55 FC 8D 14 D2 8B 4E 04 8D 14 91 8B 4D FC 8D 0C C9 8B 7E 04 8D 0C 8F 2B 45 FC 03 C0 03 C0 8D 04 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 C0 8B 56 04 8D 04 82 8B D3 03 D2 03 D2 8D 14 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2D 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8D 04 C0 8B 56 04 8D 04 82 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 24 FF 4D F4 75 DC 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 24 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_60795_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.InsertRange"
		size = 245
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.GrowCheck 0074 Move 0090 @FillChar 00b4 TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription> 00b9 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 46 8B D3 03 55 FC 8D 14 D2 8B 4E 04 8D 14 91 8B 4D FC 8D 0C C9 8B 7E 04 8D 0C 8F 2B 45 FC 03 C0 03 C0 8D 04 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 C0 8B 56 04 8D 04 82 8B D3 03 D2 03 D2 8D 14 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2D 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8D 04 C0 8B 56 04 8D 04 82 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 24 FF 4D F4 75 DC 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 24 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_60897_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.InsertRange"
		size = 245
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.GrowCheck 0074 Move 0090 @FillChar 00b4 TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 00b9 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 46 8B D3 03 55 FC 8D 14 D2 8B 4E 04 8D 14 91 8B 4D FC 8D 0C C9 8B 7E 04 8D 0C 8F 2B 45 FC 03 C0 03 C0 8D 04 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 C0 8B 56 04 8D 04 82 8B D3 03 D2 03 D2 8D 14 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2D 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8D 04 C0 8B 56 04 8D 04 82 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 24 FF 4D F4 75 DC 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 24 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3793_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.InsertRange"
		size = 154
		refs = "0019 TAmazonObjectResult 001e @InitializeRecord 0026 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.InsertRange 004f TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 D8 8B 45 FC 8B 08 FF 51 18 8D 4D D8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60796_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription> 001e @InitializeRecord 0026 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.InsertRange 004f TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 D8 8B 45 FC 8B 08 FF 51 18 8D 4D D8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60898_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 001e @InitializeRecord 0026 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.InsertRange 004f TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 D8 8B 45 FC 8B 08 FF 51 18 8D 4D D8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3794_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.InsertRange"
		size = 183
		refs = "0014 TAmazonObjectResult 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.InsertRange 002e TEnumerable<Data.Cloud.AmazonAPI.TAmazonObjectResult>.GetEnumerator 0057 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Insert 0060 TEnumerator<Data.Cloud.AmazonAPI.TAmazonObjectResult>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B F9 8B DA 8B F0 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 DC 8B 45 D8 8B 08 FF 11 8D 4D DC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D8 00 74 0A B2 01 8B 45 D8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60797_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.InsertRange 002e TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.GetEnumerator 0057 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Insert 0060 TEnumerator<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B F9 8B DA 8B F0 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 DC 8B 45 D8 8B 08 FF 11 8D 4D DC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D8 00 74 0A B2 01 8B 45 D8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60899_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.InsertRange 002e TEnumerable<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.GetEnumerator 0057 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Insert 0060 TEnumerator<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B F9 8B DA 8B F0 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 DC 8B 45 D8 8B 08 FF 11 8D 4D DC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D8 00 74 0A B2 01 8B 45 D8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3797_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.DeleteRange"
		size = 335
		refs = "0018 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.:3 0068 @DynArraySetLength 0085 Move 00d8 @FillChar 00fe @DynArrayLength 013c @DynArrayClear 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 CD 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 FF 8B 53 04 8D 04 82 8B CE 03 C9 03 C9 8D 0C C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 47 8D 14 FF 8B 4B 04 8D 14 91 52 8D 14 3E 8D 14 D2 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8D 0C C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8D 04 C0 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 D2 33 C9 E8 ?? ?? ?? ?? EB 19 8D 04 FF 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1E 40 89 45 F8 33 F6 8D 04 F6 8B 55 FC 8D 14 82 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_60800_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.DeleteRange"
		size = 335
		refs = "0018 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.:3 0068 @DynArraySetLength 0085 Move 00d8 @FillChar 00fe @DynArrayLength 013c @DynArrayClear 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 CD 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 FF 8B 53 04 8D 04 82 8B CE 03 C9 03 C9 8D 0C C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 47 8D 14 FF 8B 4B 04 8D 14 91 52 8D 14 3E 8D 14 D2 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8D 0C C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8D 04 C0 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 D2 33 C9 E8 ?? ?? ?? ?? EB 19 8D 04 FF 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1E 40 89 45 F8 33 F6 8D 04 F6 8B 55 FC 8D 14 82 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_60902_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.DeleteRange"
		size = 335
		refs = "0018 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.:3 0068 @DynArraySetLength 0085 Move 00d8 @FillChar 00fe @DynArrayLength 013c @DynArrayClear 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 CD 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 FF 8B 53 04 8D 04 82 8B CE 03 C9 03 C9 8D 0C C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 47 8D 14 FF 8B 4B 04 8D 14 91 52 8D 14 3E 8D 14 D2 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8D 0C C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8D 04 C0 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 D2 33 C9 E8 ?? ?? ?? ?? EB 19 8D 04 FF 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1E 40 89 45 F8 33 F6 8D 04 F6 8B 55 FC 8D 14 82 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3798_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Extract"
		size = 87
		refs = "000a TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.IndexOf 0018 TAmazonObjectResult 001d @FinalizeRecord 0044 @CopyRecord 004f TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1E 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 09 00 00 00 F3 AB 8B FA EB 21 8B C7 8D 14 F6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60801_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Extract"
		size = 87
		refs = "000a TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.IndexOf 0018 TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription> 001d @FinalizeRecord 0044 @CopyRecord 004f TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1E 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 09 00 00 00 F3 AB 8B FA EB 21 8B C7 8D 14 F6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60903_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Extract"
		size = 87
		refs = "000a TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.IndexOf 0018 TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 001d @FinalizeRecord 0044 @CopyRecord 004f TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1E 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 09 00 00 00 F3 AB 8B FA EB 21 8B C7 8D 14 F6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3799_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Exchange"
		size = 160
		refs = "0014 TAmazonObjectResult 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Exchange 003e @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F9 8B F2 8B D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 DC 8D 14 F6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 F6 8B 53 04 8D 04 82 8D 14 FF 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 FF 8B 53 04 8D 04 82 8D 55 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60802_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Exchange"
		size = 160
		refs = "0014 TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Exchange 003e @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F9 8B F2 8B D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 DC 8D 14 F6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 F6 8B 53 04 8D 04 82 8D 14 FF 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 FF 8B 53 04 8D 04 82 8D 55 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60904_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Exchange"
		size = 160
		refs = "0014 TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Exchange 003e @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F9 8B F2 8B D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 DC 8D 14 F6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 F6 8B 53 04 8D 04 82 8D 14 FF 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 FF 8B 53 04 8D 04 82 8D 55 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3800_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Move"
		size = 299
		refs = "0014 TAmazonObjectResult 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0066 @CopyRecord 007a @FinalizeRecord 00b0 Move 00e9 @FillChar 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F1 8B FA 8B D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 CE 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 8D 14 FF 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 FF 8B 53 04 8D 04 82 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 09 00 00 00 F3 AB 8B FA 3B F7 7E 25 8D 04 FF 8B 53 04 8D 14 82 8D 04 FF 8B 4B 04 8D 44 81 24 8B CE 2B CF 03 C9 03 C9 8D 0C C9 E8 ?? ?? ?? ?? EB 22 8D 04 F6 8B 53 04 8D 54 82 24 52 8B 53 04 8D 04 82 2B FE 8B CF 03 C9 03 C9 8D 0C C9 5A E8 ?? ?? ?? ?? 8D 3C F6 8B 43 04 8D 04 B8 33 C9 BA 24 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8D 55 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60803_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Move"
		size = 299
		refs = "0014 TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0066 @CopyRecord 007a @FinalizeRecord 00b0 Move 00e9 @FillChar 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F1 8B FA 8B D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 CE 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 8D 14 FF 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 FF 8B 53 04 8D 04 82 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 09 00 00 00 F3 AB 8B FA 3B F7 7E 25 8D 04 FF 8B 53 04 8D 14 82 8D 04 FF 8B 4B 04 8D 44 81 24 8B CE 2B CF 03 C9 03 C9 8D 0C C9 E8 ?? ?? ?? ?? EB 22 8D 04 F6 8B 53 04 8D 54 82 24 52 8B 53 04 8D 04 82 2B FE 8B CF 03 C9 03 C9 8D 0C C9 5A E8 ?? ?? ?? ?? 8D 3C F6 8B 43 04 8D 04 B8 33 C9 BA 24 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8D 55 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60905_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Move"
		size = 299
		refs = "0014 TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0066 @CopyRecord 007a @FinalizeRecord 00b0 Move 00e9 @FillChar 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F1 8B FA 8B D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 CE 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 8D 14 FF 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 FF 8B 53 04 8D 04 82 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 09 00 00 00 F3 AB 8B FA 3B F7 7E 25 8D 04 FF 8B 53 04 8D 14 82 8D 04 FF 8B 4B 04 8D 44 81 24 8B CE 2B CF 03 C9 03 C9 8D 0C C9 E8 ?? ?? ?? ?? EB 22 8D 04 F6 8B 53 04 8D 54 82 24 52 8B 53 04 8D 04 82 2B FE 8B CF 03 C9 03 C9 8D 0C C9 5A E8 ?? ?? ?? ?? 8D 3C F6 8B 43 04 8D 04 B8 33 C9 BA 24 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8D 55 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3805_0 {
	meta:
		name = "TList<T>.IndexOf"
		size = 62
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F0 8B 7E 08 4F 85 FF 7C 23 47 33 DB 8D 04 DB 8B 56 04 8D 14 82 8B 0C 24 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 07 43 4F 75 E0 83 C8 FF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3806_0 {
	meta:
		name = "TList<T>.LastIndexOf"
		size = 58
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B 5E 08 4B 83 FB 00 7C 21 8D 04 DB 8B 56 04 8D 14 82 8B CF 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 09 4B 83 FB FF 75 DF 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3807_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Reverse"
		size = 172
		refs = "0010 TAmazonObjectResult 0015 @InitializeRecord 001d TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Reverse 0044 @CopyRecord 0099 @FinalizeRecord 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 51 8D 45 DC 8D 14 F6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 F6 8B 53 04 8D 04 82 8D 14 FF 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 FF 8B 53 04 8D 04 82 8D 55 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60810_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Reverse"
		size = 172
		refs = "0010 TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription> 0015 @InitializeRecord 001d TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Reverse 0044 @CopyRecord 0099 @FinalizeRecord 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 51 8D 45 DC 8D 14 F6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 F6 8B 53 04 8D 04 82 8D 14 FF 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 FF 8B 53 04 8D 04 82 8D 55 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60912_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Reverse"
		size = 172
		refs = "0010 TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 0015 @InitializeRecord 001d TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Reverse 0044 @CopyRecord 0099 @FinalizeRecord 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 51 8D 45 DC 8D 14 F6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 F6 8B 53 04 8D 04 82 8D 14 FF 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 FF 8B 53 04 8D 04 82 8D 55 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3813_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.ToArray"
		size = 157
		refs = "001b TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.ToArray 0033 TArray<Data.Cloud.AmazonAPI.TAmazonObjectResult> 0038 @DynArraySetLength 0052 TList<Data.Cloud.AmazonAPI.TAmazonObjectResult>.GetItem 0066 TAmazonObjectResult 006b @CopyRecord 008a @FinalizeRecord 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4D D8 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 D8 8D 04 DB 8B 4D FC 8B 09 8D 04 81 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60816_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.ToArray"
		size = 157
		refs = "001b TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.ToArray 0033 TArray<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>> 0038 @DynArraySetLength 0052 TList<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.GetItem 0066 TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription> 006b @CopyRecord 008a @FinalizeRecord 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4D D8 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 D8 8D 04 DB 8B 4D FC 8B 09 8D 04 81 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60918_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.ToArray"
		size = 157
		refs = "001b TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.ToArray 0033 TArray<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>> 0038 @DynArraySetLength 0052 TList<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.GetItem 0066 TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 006b @CopyRecord 008a @FinalizeRecord 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4D D8 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 D8 8D 04 DB 8B 4D FC 8B 09 8D 04 81 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3820_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AmazonAPI.TAmazonGrant>.ToArrayImpl"
		size = 220
		refs = "0014 TAmazonGrant 0019 @InitializeRecord 0021 TEnumerable<Data.Cloud.AmazonAPI.TAmazonGrant>.ToArrayImpl 0036 TArray<Data.Cloud.AmazonAPI.TAmazonGrant> 003b @DynArraySetLength 0047 TEnumerable<Data.Cloud.AmazonAPI.TAmazonGrant>.GetEnumerator 007d @CopyRecord 0086 TEnumerator<Data.Cloud.AmazonAPI.TAmazonGrant>.MoveNext 00ad @HandleFinally 00ca @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 89 4D E8 8B DA 8B F0 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 E8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 24 8D 55 EC 8B 45 E4 8B 08 FF 11 8D 04 9B 8B 55 E8 8B 12 8D 04 82 8D 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18109_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.ToArrayImpl"
		size = 220
		refs = "0014 TDSSessionTunnelInfo 0019 @InitializeRecord 0021 TEnumerable<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.ToArrayImpl 0036 TArray<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo> 003b @DynArraySetLength 0047 TEnumerable<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.GetEnumerator 007d @CopyRecord 0086 TEnumerator<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.MoveNext 00ad @HandleFinally 00ca @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 89 4D E8 8B DA 8B F0 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 E8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 24 8D 55 EC 8B 45 E4 8B 08 FF 11 8D 04 9B 8B 55 E8 8B 12 8D 04 82 8D 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60257_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TBindingOutput.TLocationRec>.ToArrayImpl"
		size = 220
		refs = "0014 TBindingOutput.TLocationRec 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Outputs.TBindingOutput.TLocationRec>.ToArrayImpl 0036 TArray<System.Bindings.Outputs.TBindingOutput.TLocationRec> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Outputs.TBindingOutput.TLocationRec>.GetEnumerator 007d @CopyRecord 0086 TEnumerator<System.Bindings.Outputs.TBindingOutput.TLocationRec>.MoveNext 00ad @HandleFinally 00ca @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 89 4D E8 8B DA 8B F0 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 E8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 24 8D 55 EC 8B 45 E4 8B 08 FF 11 8D 04 9B 8B 55 E8 8B 12 8D 04 82 8D 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3822_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AmazonAPI.TAmazonGrant>.ToArray"
		size = 245
		refs = "0011 TAmazonGrant 0016 @InitializeRecord 001e TEnumerable<Data.Cloud.AmazonAPI.TAmazonGrant>.ToArray 002b _DV_TList<Data.Cloud.AmazonAPI.TAmazonGrant> 0030 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Create 0048 TEnumerable<Data.Cloud.AmazonAPI.TAmazonGrant>.GetEnumerator 0070 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Add 0078 TEnumerator<Data.Cloud.AmazonAPI.TAmazonGrant>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 E8 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 EC 8B 45 E0 8B 08 FF 11 8D 55 EC 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E0 00 74 0A B2 01 8B 45 E0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 E8 8B 45 E4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18111_0 {
	meta:
		name = "TEnumerable<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.ToArray"
		size = 245
		refs = "0011 TDSSessionTunnelInfo 0016 @InitializeRecord 001e TEnumerable<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.ToArray 002b _DV_TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo> 0030 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Create 0048 TEnumerable<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.GetEnumerator 0070 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Add 0078 TEnumerator<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 E8 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 EC 8B 45 E0 8B 08 FF 11 8D 55 EC 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E0 00 74 0A B2 01 8B 45 E0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 E8 8B 45 E4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60259_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TBindingOutput.TLocationRec>.ToArray"
		size = 245
		refs = "0011 TBindingOutput.TLocationRec 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Outputs.TBindingOutput.TLocationRec>.ToArray 002b _DV_TList<System.Bindings.Outputs.TBindingOutput.TLocationRec> 0030 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Create 0048 TEnumerable<System.Bindings.Outputs.TBindingOutput.TLocationRec>.GetEnumerator 0070 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Add 0078 TEnumerator<System.Bindings.Outputs.TBindingOutput.TLocationRec>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 E8 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 EC 8B 45 E0 8B 08 FF 11 8D 55 EC 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E0 00 74 0A B2 01 8B 45 E0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 E8 8B 45 E4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3827_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.GetItem"
		size = 67
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0036 TAmazonGrant 003b @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 B6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18116_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.GetItem"
		size = 67
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0036 TDSSessionTunnelInfo 003b @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 B6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60264_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.GetItem"
		size = 67
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0036 TBindingOutput.TLocationRec 003b @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 B6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3828_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.SetItem"
		size = 185
		refs = "0015 TAmazonGrant 001a @InitializeRecord 0022 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 00a6 @FinalizeRecord 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D E8 8B F2 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8D 3C B6 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 EC 8B C3 8B 30 FF 56 08 8B 55 E8 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18117_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.SetItem"
		size = 185
		refs = "0015 TDSSessionTunnelInfo 001a @InitializeRecord 0022 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 00a6 @FinalizeRecord 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D E8 8B F2 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8D 3C B6 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 EC 8B C3 8B 30 FF 56 08 8B 55 E8 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60265_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.SetItem"
		size = 185
		refs = "0015 TBindingOutput.TLocationRec 001a @InitializeRecord 0022 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 00a6 @FinalizeRecord 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D E8 8B F2 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8D 3C B6 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 EC 8B C3 8B 30 FF 56 08 8B 55 E8 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3831_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.DoDelete"
		size = 252
		refs = "0015 TAmazonGrant 001a @InitializeRecord 0022 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 0070 @FinalizeRecord 00a8 Move 00c0 @FillChar 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 88 4D EB 8B F2 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8D 3C B6 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB AB 8B FA FF 4B 08 8B 43 08 3B F0 74 39 8B 53 04 8D 14 BA 52 8B 53 04 8D 54 BA 14 2B C6 8B C8 03 C9 03 C9 8D 0C 89 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 8D 04 80 8B 53 04 8D 04 82 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D EB 8D 55 EC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18120_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.DoDelete"
		size = 252
		refs = "0015 TDSSessionTunnelInfo 001a @InitializeRecord 0022 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 0070 @FinalizeRecord 00a8 Move 00c0 @FillChar 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 88 4D EB 8B F2 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8D 3C B6 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB AB 8B FA FF 4B 08 8B 43 08 3B F0 74 39 8B 53 04 8D 14 BA 52 8B 53 04 8D 54 BA 14 2B C6 8B C8 03 C9 03 C9 8D 0C 89 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 8D 04 80 8B 53 04 8D 04 82 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D EB 8D 55 EC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60268_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.DoDelete"
		size = 252
		refs = "0015 TBindingOutput.TLocationRec 001a @InitializeRecord 0022 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 0070 @FinalizeRecord 00a8 Move 00c0 @FillChar 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 88 4D EB 8B F2 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8D 3C B6 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB AB 8B FA FF 4B 08 8B 43 08 3B F0 74 39 8B 53 04 8D 14 BA 52 8B 53 04 8D 54 BA 14 2B C6 8B C8 03 C9 03 C9 8D 0C 89 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 8D 04 80 8B 53 04 8D 04 82 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D EB 8D 55 EC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3838_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Add"
		size = 69
		refs = "000f TList<Data.Cloud.AmazonAPI.TAmazonGrant>.GrowCheck 0026 TAmazonGrant 002b @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8D 04 BF 8B 53 04 8D 04 82 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18127_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Add"
		size = 69
		refs = "000f TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.GrowCheck 0026 TDSSessionTunnelInfo 002b @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8D 04 BF 8B 53 04 8D 04 82 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60275_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Add"
		size = 69
		refs = "000f TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.GrowCheck 0026 TBindingOutput.TLocationRec 002b @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8D 04 BF 8B 53 04 8D 04 82 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3842_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Insert"
		size = 155
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.GrowCheck 005c Move 006e @FillChar 007f TAmazonGrant 0084 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 36 8D 2C B6 8B 53 04 8D 54 AA 14 52 8B 53 04 8D 14 AA 2B C6 8B C8 03 C9 03 C9 8D 0C 89 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 A8 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 8D 04 B6 8B 53 04 8D 04 82 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18131_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Insert"
		size = 155
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.GrowCheck 005c Move 006e @FillChar 007f TDSSessionTunnelInfo 0084 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 36 8D 2C B6 8B 53 04 8D 54 AA 14 52 8B 53 04 8D 14 AA 2B C6 8B C8 03 C9 03 C9 8D 0C 89 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 A8 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 8D 04 B6 8B 53 04 8D 04 82 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60279_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Insert"
		size = 155
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.GrowCheck 005c Move 006e @FillChar 007f TBindingOutput.TLocationRec 0084 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 36 8D 2C B6 8B 53 04 8D 54 AA 14 52 8B 53 04 8D 14 AA 2B C6 8B C8 03 C9 03 C9 8D 0C 89 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 A8 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 8D 04 B6 8B 53 04 8D 04 82 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3843_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.InsertRange"
		size = 245
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.GrowCheck 0074 Move 0090 @FillChar 00b4 TAmazonGrant 00b9 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 46 8B D3 03 55 FC 8D 14 92 8B 4E 04 8D 14 91 8B 4D FC 8D 0C 89 8B 7E 04 8D 0C 8F 2B 45 FC 03 C0 03 C0 8D 04 80 91 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 80 8B 56 04 8D 04 82 8B D3 03 D2 03 D2 8D 14 92 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2D 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8D 04 80 8B 56 04 8D 04 82 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 14 FF 4D F4 75 DC 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 14 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_18132_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.InsertRange"
		size = 245
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.GrowCheck 0074 Move 0090 @FillChar 00b4 TDSSessionTunnelInfo 00b9 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 46 8B D3 03 55 FC 8D 14 92 8B 4E 04 8D 14 91 8B 4D FC 8D 0C 89 8B 7E 04 8D 0C 8F 2B 45 FC 03 C0 03 C0 8D 04 80 91 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 80 8B 56 04 8D 04 82 8B D3 03 D2 03 D2 8D 14 92 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2D 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8D 04 80 8B 56 04 8D 04 82 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 14 FF 4D F4 75 DC 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 14 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_60280_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.InsertRange"
		size = 245
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.GrowCheck 0074 Move 0090 @FillChar 00b4 TBindingOutput.TLocationRec 00b9 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 46 8B D3 03 55 FC 8D 14 92 8B 4E 04 8D 14 91 8B 4D FC 8D 0C 89 8B 7E 04 8D 0C 8F 2B 45 FC 03 C0 03 C0 8D 04 80 91 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 80 8B 56 04 8D 04 82 8B D3 03 D2 03 D2 8D 14 92 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2D 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8D 04 80 8B 56 04 8D 04 82 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 14 FF 4D F4 75 DC 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 14 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3844_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.InsertRange"
		size = 154
		refs = "0019 TAmazonGrant 001e @InitializeRecord 0026 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.InsertRange 004f TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 E8 8B 45 FC 8B 08 FF 51 18 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7937_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,Data.DBXCommon.TEventPointer> 001e @InitializeRecord 0026 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.InsertRange 004f TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 E8 8B 45 FC 8B 08 FF 51 18 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18133_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.InsertRange"
		size = 154
		refs = "0019 TDSSessionTunnelInfo 001e @InitializeRecord 0026 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.InsertRange 004f TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 E8 8B 45 FC 8B 08 FF 51 18 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55579_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.Int64> 001e @InitializeRecord 0026 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.InsertRange 004f TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 E8 8B 45 FC 8B 08 FF 51 18 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58312_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.Int64> 001e @InitializeRecord 0026 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.InsertRange 004f TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 E8 8B 45 FC 8B 08 FF 51 18 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60281_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.InsertRange"
		size = 154
		refs = "0019 TBindingOutput.TLocationRec 001e @InitializeRecord 0026 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.InsertRange 004f TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 E8 8B 45 FC 8B 08 FF 51 18 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3845_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.InsertRange"
		size = 183
		refs = "0014 TAmazonGrant 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.InsertRange 002e TEnumerable<Data.Cloud.AmazonAPI.TAmazonGrant>.GetEnumerator 0057 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Insert 0060 TEnumerator<Data.Cloud.AmazonAPI.TAmazonGrant>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B DA 8B F0 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 EC 8B 45 E8 8B 08 FF 11 8D 4D EC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18134_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.InsertRange"
		size = 183
		refs = "0014 TDSSessionTunnelInfo 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.InsertRange 002e TEnumerable<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.GetEnumerator 0057 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Insert 0060 TEnumerator<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B DA 8B F0 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 EC 8B 45 E8 8B 08 FF 11 8D 4D EC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60282_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.InsertRange"
		size = 183
		refs = "0014 TBindingOutput.TLocationRec 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.InsertRange 002e TEnumerable<System.Bindings.Outputs.TBindingOutput.TLocationRec>.GetEnumerator 0057 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Insert 0060 TEnumerator<System.Bindings.Outputs.TBindingOutput.TLocationRec>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B DA 8B F0 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 EC 8B 45 E8 8B 08 FF 11 8D 4D EC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3848_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.DeleteRange"
		size = 335
		refs = "0018 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Cloud.AmazonAPI.TAmazonGrant>.:3 0068 @DynArraySetLength 0085 Move 00d8 @FillChar 00fe @DynArrayLength 013c @DynArrayClear 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 CD 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 BF 8B 53 04 8D 04 82 8B CE 03 C9 03 C9 8D 0C 89 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 47 8D 14 BF 8B 4B 04 8D 14 91 52 8D 14 3E 8D 14 92 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8D 0C 89 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8D 04 80 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 92 33 C9 E8 ?? ?? ?? ?? EB 19 8D 04 BF 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 92 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1E 40 89 45 F8 33 F6 8D 04 B6 8B 55 FC 8D 14 82 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18137_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.DeleteRange"
		size = 335
		refs = "0018 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.:3 0068 @DynArraySetLength 0085 Move 00d8 @FillChar 00fe @DynArrayLength 013c @DynArrayClear 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 CD 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 BF 8B 53 04 8D 04 82 8B CE 03 C9 03 C9 8D 0C 89 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 47 8D 14 BF 8B 4B 04 8D 14 91 52 8D 14 3E 8D 14 92 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8D 0C 89 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8D 04 80 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 92 33 C9 E8 ?? ?? ?? ?? EB 19 8D 04 BF 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 92 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1E 40 89 45 F8 33 F6 8D 04 B6 8B 55 FC 8D 14 82 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42745_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.DeleteRange"
		size = 335
		refs = "0018 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.:3 0068 @DynArraySetLength 0085 Move 00d8 @FillChar 00fe @DynArrayLength 013c @DynArrayClear 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 CD 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 BF 8B 53 04 8D 04 82 8B CE 03 C9 03 C9 8D 0C 89 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 47 8D 14 BF 8B 4B 04 8D 14 91 52 8D 14 3E 8D 14 92 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8D 0C 89 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8D 04 80 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 92 33 C9 E8 ?? ?? ?? ?? EB 19 8D 04 BF 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 92 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1E 40 89 45 F8 33 F6 8D 04 B6 8B 55 FC 8D 14 82 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_60285_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.DeleteRange"
		size = 335
		refs = "0018 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.:3 0068 @DynArraySetLength 0085 Move 00d8 @FillChar 00fe @DynArrayLength 013c @DynArrayClear 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 CD 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 BF 8B 53 04 8D 04 82 8B CE 03 C9 03 C9 8D 0C 89 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 47 8D 14 BF 8B 4B 04 8D 14 91 52 8D 14 3E 8D 14 92 8B 4B 04 8D 14 91 8B C8 03 C9 03 C9 8D 0C 89 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8D 04 80 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 92 33 C9 E8 ?? ?? ?? ?? EB 19 8D 04 BF 8B 53 04 8D 04 82 8B D6 03 D2 03 D2 8D 14 92 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1E 40 89 45 F8 33 F6 8D 04 B6 8B 55 FC 8D 14 82 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3849_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Extract"
		size = 85
		refs = "000a TList<Data.Cloud.AmazonAPI.TAmazonGrant>.IndexOf 0018 TAmazonGrant 001d @FinalizeRecord 0042 @CopyRecord 004d TList<Data.Cloud.AmazonAPI.TAmazonGrant>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB AB 8B FA EB 21 8B C7 8D 14 B6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18138_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Extract"
		size = 85
		refs = "000a TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.IndexOf 0018 TDSSessionTunnelInfo 001d @FinalizeRecord 0042 @CopyRecord 004d TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB AB 8B FA EB 21 8B C7 8D 14 B6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60286_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Extract"
		size = 85
		refs = "000a TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.IndexOf 0018 TBindingOutput.TLocationRec 001d @FinalizeRecord 0042 @CopyRecord 004d TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB AB 8B FA EB 21 8B C7 8D 14 B6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3850_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Exchange"
		size = 160
		refs = "0014 TAmazonGrant 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Exchange 003e @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 8B F2 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8D 14 B6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 B6 8B 53 04 8D 04 82 8D 14 BF 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 BF 8B 53 04 8D 04 82 8D 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18139_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Exchange"
		size = 160
		refs = "0014 TDSSessionTunnelInfo 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Exchange 003e @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 8B F2 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8D 14 B6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 B6 8B 53 04 8D 04 82 8D 14 BF 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 BF 8B 53 04 8D 04 82 8D 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60287_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Exchange"
		size = 160
		refs = "0014 TBindingOutput.TLocationRec 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Exchange 003e @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 8B F2 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8D 14 B6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 B6 8B 53 04 8D 04 82 8D 14 BF 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 BF 8B 53 04 8D 04 82 8D 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3851_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Move"
		size = 297
		refs = "0014 TAmazonGrant 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0066 @CopyRecord 007a @FinalizeRecord 00ae Move 00e7 @FillChar 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8B FA 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 CC 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8D 14 BF 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 BF 8B 53 04 8D 04 82 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB AB 8B FA 3B F7 7E 25 8D 04 BF 8B 53 04 8D 14 82 8D 04 BF 8B 4B 04 8D 44 81 14 8B CE 2B CF 03 C9 03 C9 8D 0C 89 E8 ?? ?? ?? ?? EB 22 8D 04 B6 8B 53 04 8D 54 82 14 52 8B 53 04 8D 04 82 2B FE 8B CF 03 C9 03 C9 8D 0C 89 5A E8 ?? ?? ?? ?? 8D 3C B6 8B 43 04 8D 04 B8 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8D 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18140_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Move"
		size = 297
		refs = "0014 TDSSessionTunnelInfo 0019 @InitializeRecord 0021 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0066 @CopyRecord 007a @FinalizeRecord 00ae Move 00e7 @FillChar 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8B FA 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 CC 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8D 14 BF 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 BF 8B 53 04 8D 04 82 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB AB 8B FA 3B F7 7E 25 8D 04 BF 8B 53 04 8D 14 82 8D 04 BF 8B 4B 04 8D 44 81 14 8B CE 2B CF 03 C9 03 C9 8D 0C 89 E8 ?? ?? ?? ?? EB 22 8D 04 B6 8B 53 04 8D 54 82 14 52 8B 53 04 8D 04 82 2B FE 8B CF 03 C9 03 C9 8D 0C 89 5A E8 ?? ?? ?? ?? 8D 3C B6 8B 43 04 8D 04 B8 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8D 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60288_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Move"
		size = 297
		refs = "0014 TBindingOutput.TLocationRec 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0066 @CopyRecord 007a @FinalizeRecord 00ae Move 00e7 @FillChar 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8B FA 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 CC 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8D 14 BF 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 BF 8B 53 04 8D 04 82 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB AB 8B FA 3B F7 7E 25 8D 04 BF 8B 53 04 8D 14 82 8D 04 BF 8B 4B 04 8D 44 81 14 8B CE 2B CF 03 C9 03 C9 8D 0C 89 E8 ?? ?? ?? ?? EB 22 8D 04 B6 8B 53 04 8D 54 82 14 52 8B 53 04 8D 04 82 2B FE 8B CF 03 C9 03 C9 8D 0C 89 5A E8 ?? ?? ?? ?? 8D 3C B6 8B 43 04 8D 04 B8 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8D 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3856_0 {
	meta:
		name = "TList<T>.IndexOf"
		size = 62
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F0 8B 7E 08 4F 85 FF 7C 23 47 33 DB 8D 04 9B 8B 56 04 8D 14 82 8B 0C 24 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 07 43 4F 75 E0 83 C8 FF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3857_0 {
	meta:
		name = "TList<T>.LastIndexOf"
		size = 58
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B 5E 08 4B 83 FB 00 7C 21 8D 04 9B 8B 56 04 8D 14 82 8B CF 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 09 4B 83 FB FF 75 DF 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3858_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Reverse"
		size = 172
		refs = "0010 TAmazonGrant 0015 @InitializeRecord 001d TList<Data.Cloud.AmazonAPI.TAmazonGrant>.Reverse 0044 @CopyRecord 0099 @FinalizeRecord 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 51 8D 45 EC 8D 14 B6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 B6 8B 53 04 8D 04 82 8D 14 BF 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 BF 8B 53 04 8D 04 82 8D 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18147_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Reverse"
		size = 172
		refs = "0010 TDSSessionTunnelInfo 0015 @InitializeRecord 001d TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Reverse 0044 @CopyRecord 0099 @FinalizeRecord 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 51 8D 45 EC 8D 14 B6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 B6 8B 53 04 8D 04 82 8D 14 BF 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 BF 8B 53 04 8D 04 82 8D 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60295_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Reverse"
		size = 172
		refs = "0010 TBindingOutput.TLocationRec 0015 @InitializeRecord 001d TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Reverse 0044 @CopyRecord 0099 @FinalizeRecord 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 51 8D 45 EC 8D 14 B6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 B6 8B 53 04 8D 04 82 8D 14 BF 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 BF 8B 53 04 8D 04 82 8D 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3864_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonGrant>.ToArray"
		size = 153
		refs = "0017 TList<Data.Cloud.AmazonAPI.TAmazonGrant>.ToArray 002f TArray<Data.Cloud.AmazonAPI.TAmazonGrant> 0034 @DynArraySetLength 004e TList<Data.Cloud.AmazonAPI.TAmazonGrant>.GetItem 0062 TAmazonGrant 0067 @CopyRecord 0086 @FinalizeRecord 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 E8 8D 04 9B 8B 4D FC 8B 09 8D 04 81 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18153_0 {
	meta:
		name = "TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.ToArray"
		size = 153
		refs = "0017 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.ToArray 002f TArray<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo> 0034 @DynArraySetLength 004e TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.GetItem 0062 TDSSessionTunnelInfo 0067 @CopyRecord 0086 @FinalizeRecord 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 E8 8D 04 9B 8B 4D FC 8B 09 8D 04 81 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60301_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.ToArray"
		size = 153
		refs = "0017 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.ToArray 002f TArray<System.Bindings.Outputs.TBindingOutput.TLocationRec> 0034 @DynArraySetLength 004e TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.GetItem 0062 TBindingOutput.TLocationRec 0067 @CopyRecord 0086 @FinalizeRecord 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 E8 8D 04 9B 8B 4D FC 8B 09 8D 04 81 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3871_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.ToArrayImpl"
		size = 223
		refs = "0014 TAmazonMultipartUploadItem 0019 @InitializeRecord 0021 TEnumerable<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.ToArrayImpl 0036 TArray<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem> 003b @DynArraySetLength 0047 TEnumerable<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.GetEnumerator 0080 @CopyRecord 0089 TEnumerator<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.MoveNext 00b0 @HandleFinally 00cd @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 89 4D DC 8B DA 8B F0 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 DC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 27 8D 55 E0 8B 45 D8 8B 08 FF 11 8B C3 03 C0 03 C0 8B 55 DC 8B 12 8D 04 C2 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D8 00 74 0A B2 01 8B 45 D8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58878_0 {
	meta:
		name = "TEnumerable<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.ToArrayImpl"
		size = 223
		refs = "0014 TPair<System.string,System.Bindings.Methods.TMethodDescription> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.ToArrayImpl 0036 TArray<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.GetEnumerator 0080 @CopyRecord 0089 TEnumerator<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.MoveNext 00b0 @HandleFinally 00cd @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 89 4D DC 8B DA 8B F0 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 DC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 27 8D 55 E0 8B 45 D8 8B 08 FF 11 8B C3 03 C0 03 C0 8B 55 DC 8B 12 8D 04 C2 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D8 00 74 0A B2 01 8B 45 D8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60182_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.ToArrayImpl"
		size = 223
		refs = "0014 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.ToArrayImpl 0036 TArray<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetEnumerator 0080 @CopyRecord 0089 TEnumerator<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.MoveNext 00b0 @HandleFinally 00cd @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 89 4D DC 8B DA 8B F0 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 DC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 27 8D 55 E0 8B 45 D8 8B 08 FF 11 8B C3 03 C0 03 C0 8B 55 DC 8B 12 8D 04 C2 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D8 00 74 0A B2 01 8B 45 D8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3873_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.ToArray"
		size = 245
		refs = "0011 TAmazonMultipartUploadItem 0016 @InitializeRecord 001e TEnumerable<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.ToArray 002b _DV_TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem> 0030 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Create 0048 TEnumerable<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.GetEnumerator 0070 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Add 0078 TEnumerator<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 89 55 DC 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 E0 8B 45 D4 8B 08 FF 11 8D 55 E0 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D4 00 74 0A B2 01 8B 45 D4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 DC 8B 45 D8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58880_0 {
	meta:
		name = "TEnumerable<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.Bindings.Methods.TMethodDescription> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.ToArray 002b _DV_TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>> 0030 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Create 0048 TEnumerable<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.GetEnumerator 0070 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Add 0078 TEnumerator<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 89 55 DC 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 E0 8B 45 D4 8B 08 FF 11 8D 55 E0 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D4 00 74 0A B2 01 8B 45 D4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 DC 8B 45 D8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60184_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.ToArray"
		size = 245
		refs = "0011 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.ToArray 002b _DV_TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 0030 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create 0048 TEnumerable<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetEnumerator 0070 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Add 0078 TEnumerator<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 89 55 DC 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 E0 8B 45 D4 8B 08 FF 11 8D 55 E0 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D4 00 74 0A B2 01 8B 45 D4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 DC 8B 45 D8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3878_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.GetItem"
		size = 70
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0039 TAmazonMultipartUploadItem 003e @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B D6 03 D2 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59021_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.GetItem"
		size = 70
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0039 TPair<System.string,System.Bindings.Methods.TMethodDescription> 003e @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B D6 03 D2 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60930_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetItem"
		size = 70
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0039 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 003e @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B D6 03 D2 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3879_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.SetItem"
		size = 188
		refs = "0015 TAmazonMultipartUploadItem 001a @InitializeRecord 0022 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0062 @CopyRecord 00a9 @FinalizeRecord 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D DC 8B F2 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B FE 03 FF 03 FF 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 55 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 E0 8B C3 8B 30 FF 56 08 8B 55 DC 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59022_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.SetItem"
		size = 188
		refs = "0015 TPair<System.string,System.Bindings.Methods.TMethodDescription> 001a @InitializeRecord 0022 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0062 @CopyRecord 00a9 @FinalizeRecord 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D DC 8B F2 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B FE 03 FF 03 FF 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 55 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 E0 8B C3 8B 30 FF 56 08 8B 55 DC 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60931_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.SetItem"
		size = 188
		refs = "0015 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 001a @InitializeRecord 0022 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0062 @CopyRecord 00a9 @FinalizeRecord 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D DC 8B F2 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B FE 03 FF 03 FF 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 55 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 E0 8B C3 8B 30 FF 56 08 8B 55 DC 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3882_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.DoDelete"
		size = 254
		refs = "0015 TAmazonMultipartUploadItem 001a @InitializeRecord 0022 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0062 @CopyRecord 0073 @FinalizeRecord 00a9 Move 00c2 @FillChar 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 88 4D DF 8B F2 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B FE 03 FF 03 FF 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 08 00 00 00 F3 AB 8B FA FF 4B 08 8B 43 08 3B F0 74 36 8B 53 04 8D 14 FA 52 8B 53 04 8D 54 FA 20 2B C6 8B C8 C1 E1 05 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 03 C0 03 C0 8B 53 04 8D 04 C2 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D DF 8D 55 E0 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59025_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.DoDelete"
		size = 254
		refs = "0015 TPair<System.string,System.Bindings.Methods.TMethodDescription> 001a @InitializeRecord 0022 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0062 @CopyRecord 0073 @FinalizeRecord 00a9 Move 00c2 @FillChar 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 88 4D DF 8B F2 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B FE 03 FF 03 FF 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 08 00 00 00 F3 AB 8B FA FF 4B 08 8B 43 08 3B F0 74 36 8B 53 04 8D 14 FA 52 8B 53 04 8D 54 FA 20 2B C6 8B C8 C1 E1 05 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 03 C0 03 C0 8B 53 04 8D 04 C2 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D DF 8D 55 E0 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60934_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.DoDelete"
		size = 254
		refs = "0015 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 001a @InitializeRecord 0022 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0062 @CopyRecord 0073 @FinalizeRecord 00a9 Move 00c2 @FillChar 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 88 4D DF 8B F2 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B FE 03 FF 03 FF 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 08 00 00 00 F3 AB 8B FA FF 4B 08 8B 43 08 3B F0 74 36 8B 53 04 8D 14 FA 52 8B 53 04 8D 54 FA 20 2B C6 8B C8 C1 E1 05 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 03 C0 03 C0 8B 53 04 8D 04 C2 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D DF 8D 55 E0 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3889_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Add"
		size = 72
		refs = "000f TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.GrowCheck 0029 TAmazonMultipartUploadItem 002e @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B C7 03 C0 03 C0 8B 53 04 8D 04 C2 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59032_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Add"
		size = 72
		refs = "000f TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.GrowCheck 0029 TPair<System.string,System.Bindings.Methods.TMethodDescription> 002e @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B C7 03 C0 03 C0 8B 53 04 8D 04 C2 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60941_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Add"
		size = 72
		refs = "000f TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GrowCheck 0029 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 002e @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B C7 03 C0 03 C0 8B 53 04 8D 04 C2 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3893_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Insert"
		size = 157
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.GrowCheck 005b Move 006d @FillChar 0081 TAmazonMultipartUploadItem 0086 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 35 8B EE 03 ED 03 ED 8B 53 04 8D 54 EA 20 52 8B 53 04 8D 14 EA 2B C6 8B C8 C1 E1 05 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 E8 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 8B C6 03 C0 03 C0 8B 53 04 8D 04 C2 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59036_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Insert"
		size = 157
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.GrowCheck 005b Move 006d @FillChar 0081 TPair<System.string,System.Bindings.Methods.TMethodDescription> 0086 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 35 8B EE 03 ED 03 ED 8B 53 04 8D 54 EA 20 52 8B 53 04 8D 14 EA 2B C6 8B C8 C1 E1 05 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 E8 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 8B C6 03 C0 03 C0 8B 53 04 8D 04 C2 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60945_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Insert"
		size = 157
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GrowCheck 005b Move 006d @FillChar 0081 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 0086 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 35 8B EE 03 ED 03 ED 8B 53 04 8D 54 EA 20 52 8B 53 04 8D 14 EA 2B C6 8B C8 C1 E1 05 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 E8 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 8B C6 03 C0 03 C0 8B 53 04 8D 04 C2 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3894_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.InsertRange"
		size = 241
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.GrowCheck 0072 Move 008b @FillChar 00b0 TAmazonMultipartUploadItem 00b5 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 41 8B D3 03 55 FC 03 D2 03 D2 8B 4E 04 8D 14 D1 8B 4D FC 03 C9 03 C9 8B 7E 04 8D 0C CF 2B 45 FC C1 E0 05 91 E8 ?? ?? ?? ?? 8B 45 FC 03 C0 03 C0 8B 56 04 8D 04 C2 8B D3 C1 E2 05 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2E 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 03 C0 03 C0 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 20 FF 4D F4 75 DB 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 20 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_59037_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.InsertRange"
		size = 241
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.GrowCheck 0072 Move 008b @FillChar 00b0 TPair<System.string,System.Bindings.Methods.TMethodDescription> 00b5 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 41 8B D3 03 55 FC 03 D2 03 D2 8B 4E 04 8D 14 D1 8B 4D FC 03 C9 03 C9 8B 7E 04 8D 0C CF 2B 45 FC C1 E0 05 91 E8 ?? ?? ?? ?? 8B 45 FC 03 C0 03 C0 8B 56 04 8D 04 C2 8B D3 C1 E2 05 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2E 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 03 C0 03 C0 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 20 FF 4D F4 75 DB 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 20 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_60946_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.InsertRange"
		size = 241
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GrowCheck 0072 Move 008b @FillChar 00b0 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 00b5 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 41 8B D3 03 55 FC 03 D2 03 D2 8B 4E 04 8D 14 D1 8B 4D FC 03 C9 03 C9 8B 7E 04 8D 0C CF 2B 45 FC C1 E0 05 91 E8 ?? ?? ?? ?? 8B 45 FC 03 C0 03 C0 8B 56 04 8D 04 C2 8B D3 C1 E2 05 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2E 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 03 C0 03 C0 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 20 FF 4D F4 75 DB 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 20 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3895_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.InsertRange"
		size = 154
		refs = "0019 TAmazonMultipartUploadItem 001e @InitializeRecord 0026 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.InsertRange 004f TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 DC 8B 45 FC 8B 08 FF 51 18 8D 4D DC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59038_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.Bindings.Methods.TMethodDescription> 001e @InitializeRecord 0026 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.InsertRange 004f TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 DC 8B 45 FC 8B 08 FF 51 18 8D 4D DC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60947_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 001e @InitializeRecord 0026 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.InsertRange 004f TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 DC 8B 45 FC 8B 08 FF 51 18 8D 4D DC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3896_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.InsertRange"
		size = 183
		refs = "0014 TAmazonMultipartUploadItem 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.InsertRange 002e TEnumerable<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.GetEnumerator 0057 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Insert 0060 TEnumerator<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F9 8B DA 8B F0 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 E0 8B 45 DC 8B 08 FF 11 8D 4D E0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0A B2 01 8B 45 DC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59039_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.Bindings.Methods.TMethodDescription> 0019 @InitializeRecord 0021 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.InsertRange 002e TEnumerable<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.GetEnumerator 0057 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Insert 0060 TEnumerator<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F9 8B DA 8B F0 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 E0 8B 45 DC 8B 08 FF 11 8D 4D E0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0A B2 01 8B 45 DC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60948_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.InsertRange 002e TEnumerable<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetEnumerator 0057 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Insert 0060 TEnumerator<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F9 8B DA 8B F0 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 E0 8B 45 DC 8B 08 FF 11 8D 4D E0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0A B2 01 8B 45 DC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3899_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.DeleteRange"
		size = 333
		refs = "0018 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.:3 0068 @DynArraySetLength 0084 Move 00d4 @FillChar 00f9 @DynArrayLength 013a @DynArrayClear 0140 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 CB 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 03 C0 03 C0 8B 53 04 8D 04 C2 8B CE C1 E1 05 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 44 8B D7 03 D2 03 D2 8B 4B 04 8D 14 D1 52 8D 14 3E 03 D2 03 D2 8B 4B 04 8D 14 D1 8B C8 C1 E1 05 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 03 C0 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 05 33 C9 E8 ?? ?? ?? ?? EB 18 8B C7 03 C0 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 05 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 21 40 89 45 F8 33 F6 8B C6 03 C0 03 C0 8B 55 FC 8D 14 C2 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59042_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.DeleteRange"
		size = 333
		refs = "0018 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.:3 0068 @DynArraySetLength 0084 Move 00d4 @FillChar 00f9 @DynArrayLength 013a @DynArrayClear 0140 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 CB 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 03 C0 03 C0 8B 53 04 8D 04 C2 8B CE C1 E1 05 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 44 8B D7 03 D2 03 D2 8B 4B 04 8D 14 D1 52 8D 14 3E 03 D2 03 D2 8B 4B 04 8D 14 D1 8B C8 C1 E1 05 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 03 C0 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 05 33 C9 E8 ?? ?? ?? ?? EB 18 8B C7 03 C0 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 05 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 21 40 89 45 F8 33 F6 8B C6 03 C0 03 C0 8B 55 FC 8D 14 C2 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_60951_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.DeleteRange"
		size = 333
		refs = "0018 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.:3 0068 @DynArraySetLength 0084 Move 00d4 @FillChar 00f9 @DynArrayLength 013a @DynArrayClear 0140 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 CB 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 03 C0 03 C0 8B 53 04 8D 04 C2 8B CE C1 E1 05 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 44 8B D7 03 D2 03 D2 8B 4B 04 8D 14 D1 52 8D 14 3E 03 D2 03 D2 8B 4B 04 8D 14 D1 8B C8 C1 E1 05 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 03 C0 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 05 33 C9 E8 ?? ?? ?? ?? EB 18 8B C7 03 C0 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 05 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 21 40 89 45 F8 33 F6 8B C6 03 C0 03 C0 8B 55 FC 8D 14 C2 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3900_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Extract"
		size = 90
		refs = "000a TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.IndexOf 0018 TAmazonMultipartUploadItem 001d @FinalizeRecord 0047 @CopyRecord 0052 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1E 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 08 00 00 00 F3 AB 8B FA EB 24 8B C7 8B D6 03 D2 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59043_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Extract"
		size = 90
		refs = "000a TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.IndexOf 0018 TPair<System.string,System.Bindings.Methods.TMethodDescription> 001d @FinalizeRecord 0047 @CopyRecord 0052 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1E 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 08 00 00 00 F3 AB 8B FA EB 24 8B C7 8B D6 03 D2 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60952_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Extract"
		size = 90
		refs = "000a TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.IndexOf 0018 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 001d @FinalizeRecord 0047 @CopyRecord 0052 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1E 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 08 00 00 00 F3 AB 8B FA EB 24 8B C7 8B D6 03 D2 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3901_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Exchange"
		size = 172
		refs = "0014 TAmazonMultipartUploadItem 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Exchange 0041 @CopyRecord 0099 @FinalizeRecord 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F9 8B F2 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 8B D6 03 D2 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 03 C0 8B 53 04 8D 04 C2 8B D7 03 D2 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 03 C0 8B 53 04 8D 04 C2 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59044_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Exchange"
		size = 172
		refs = "0014 TPair<System.string,System.Bindings.Methods.TMethodDescription> 0019 @InitializeRecord 0021 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Exchange 0041 @CopyRecord 0099 @FinalizeRecord 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F9 8B F2 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 8B D6 03 D2 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 03 C0 8B 53 04 8D 04 C2 8B D7 03 D2 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 03 C0 8B 53 04 8D 04 C2 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60953_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Exchange"
		size = 172
		refs = "0014 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Exchange 0041 @CopyRecord 0099 @FinalizeRecord 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F9 8B F2 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 8B D6 03 D2 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 03 C0 8B 53 04 8D 04 C2 8B D7 03 D2 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 03 C0 8B 53 04 8D 04 C2 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3902_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Move"
		size = 309
		refs = "0014 TAmazonMultipartUploadItem 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0069 @CopyRecord 0080 @FinalizeRecord 00b8 Move 00f3 @FillChar 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8B FA 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 D8 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B D7 03 D2 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 03 C0 8B 53 04 8D 04 C2 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 08 00 00 00 F3 AB 8B FA 3B F7 7E 27 8B C7 03 C0 03 C0 8B 53 04 8D 14 C2 8B C7 03 C0 03 C0 8B 4B 04 8D 44 C1 20 8B CE 2B CF C1 E1 05 E8 ?? ?? ?? ?? EB 21 8B C6 03 C0 03 C0 8B 53 04 8D 54 C2 20 52 8B 53 04 8D 04 C2 2B FE 8B CF C1 E1 05 5A E8 ?? ?? ?? ?? 8B FE 03 FF 03 FF 8B 43 04 8D 04 F8 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59045_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Move"
		size = 309
		refs = "0014 TPair<System.string,System.Bindings.Methods.TMethodDescription> 0019 @InitializeRecord 0021 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0069 @CopyRecord 0080 @FinalizeRecord 00b8 Move 00f3 @FillChar 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8B FA 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 D8 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B D7 03 D2 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 03 C0 8B 53 04 8D 04 C2 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 08 00 00 00 F3 AB 8B FA 3B F7 7E 27 8B C7 03 C0 03 C0 8B 53 04 8D 14 C2 8B C7 03 C0 03 C0 8B 4B 04 8D 44 C1 20 8B CE 2B CF C1 E1 05 E8 ?? ?? ?? ?? EB 21 8B C6 03 C0 03 C0 8B 53 04 8D 54 C2 20 52 8B 53 04 8D 04 C2 2B FE 8B CF C1 E1 05 5A E8 ?? ?? ?? ?? 8B FE 03 FF 03 FF 8B 43 04 8D 04 F8 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60954_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Move"
		size = 309
		refs = "0014 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0069 @CopyRecord 0080 @FinalizeRecord 00b8 Move 00f3 @FillChar 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8B FA 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 D8 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B D7 03 D2 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 03 C0 8B 53 04 8D 04 C2 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 08 00 00 00 F3 AB 8B FA 3B F7 7E 27 8B C7 03 C0 03 C0 8B 53 04 8D 14 C2 8B C7 03 C0 03 C0 8B 4B 04 8D 44 C1 20 8B CE 2B CF C1 E1 05 E8 ?? ?? ?? ?? EB 21 8B C6 03 C0 03 C0 8B 53 04 8D 54 C2 20 52 8B 53 04 8D 04 C2 2B FE 8B CF C1 E1 05 5A E8 ?? ?? ?? ?? 8B FE 03 FF 03 FF 8B 43 04 8D 04 F8 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3907_0 {
	meta:
		name = "TList<T>.IndexOf"
		size = 65
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F0 8B 7E 08 4F 85 FF 7C 26 47 33 DB 8B C3 03 C0 03 C0 8B 56 04 8D 14 C2 8B 0C 24 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 07 43 4F 75 DD 83 C8 FF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3908_0 {
	meta:
		name = "TList<T>.LastIndexOf"
		size = 61
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B 5E 08 4B 83 FB 00 7C 24 8B C3 03 C0 03 C0 8B 56 04 8D 14 C2 8B CF 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 09 4B 83 FB FF 75 DC 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3909_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Reverse"
		size = 184
		refs = "0010 TAmazonMultipartUploadItem 0015 @InitializeRecord 001d TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Reverse 0047 @CopyRecord 00a5 @FinalizeRecord 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 5D 8D 45 E0 8B D6 03 D2 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 03 C0 8B 53 04 8D 04 C2 8B D7 03 D2 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 03 C0 8B 53 04 8D 04 C2 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F A3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59052_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Reverse"
		size = 184
		refs = "0010 TPair<System.string,System.Bindings.Methods.TMethodDescription> 0015 @InitializeRecord 001d TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Reverse 0047 @CopyRecord 00a5 @FinalizeRecord 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 5D 8D 45 E0 8B D6 03 D2 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 03 C0 8B 53 04 8D 04 C2 8B D7 03 D2 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 03 C0 8B 53 04 8D 04 C2 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F A3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60961_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Reverse"
		size = 184
		refs = "0010 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 0015 @InitializeRecord 001d TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Reverse 0047 @CopyRecord 00a5 @FinalizeRecord 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 5D 8D 45 E0 8B D6 03 D2 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 03 C0 8B 53 04 8D 04 C2 8B D7 03 D2 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 03 C0 8B 53 04 8D 04 C2 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F A3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3915_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.ToArray"
		size = 161
		refs = "001c TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.ToArray 0034 TArray<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem> 0039 @DynArraySetLength 0053 TList<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.GetItem 006a TAmazonMultipartUploadItem 006f @CopyRecord 008e @FinalizeRecord 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2F 47 33 DB 8D 4D DC 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 DC 8B C3 03 C0 03 C0 8B 4D FC 8B 09 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59058_0 {
	meta:
		name = "TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.ToArray"
		size = 161
		refs = "001c TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.ToArray 0034 TArray<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>> 0039 @DynArraySetLength 0053 TList<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.GetItem 006a TPair<System.string,System.Bindings.Methods.TMethodDescription> 006f @CopyRecord 008e @FinalizeRecord 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2F 47 33 DB 8D 4D DC 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 DC 8B C3 03 C0 03 C0 8B 4D FC 8B 09 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60967_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.ToArray"
		size = 161
		refs = "001c TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.ToArray 0034 TArray<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 0039 @DynArraySetLength 0053 TList<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetItem 006a TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 006f @CopyRecord 008e @FinalizeRecord 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2F 47 33 DB 8D 4D DC 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 DC 8B C3 03 C0 03 C0 8B 4D FC 8B 09 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3922_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.ToArrayImpl"
		size = 220
		refs = "0014 TAmazonMultipartPart 0019 @InitializeRecord 0021 TEnumerable<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.ToArrayImpl 0036 TArray<Data.Cloud.AmazonAPI.TAmazonMultipartPart> 003b @DynArraySetLength 0047 TEnumerable<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.GetEnumerator 007d @CopyRecord 0086 TEnumerator<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.MoveNext 00ad @HandleFinally 00ca @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 89 4D E4 8B DA 8B F0 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 E4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 24 8D 55 E8 8B 45 E0 8B 08 FF 11 8D 04 5B 8B 55 E4 8B 12 8D 04 C2 8D 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E0 00 74 0A B2 01 8B 45 E0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49911_0 {
	meta:
		name = "TEnumerable<Soap.WSDLLookup.TPair<System.string,System.Variant>>.ToArrayImpl"
		size = 220
		refs = "0014 TPair<System.string,System.Variant> 0019 @InitializeRecord 0021 TEnumerable<Soap.WSDLLookup.TPair<System.string,System.Variant>>.ToArrayImpl 0036 TArray<Soap.WSDLLookup.TPair<System.string,System.Variant>> 003b @DynArraySetLength 0047 TEnumerable<Soap.WSDLLookup.TPair<System.string,System.Variant>>.GetEnumerator 007d @CopyRecord 0086 TEnumerator<Soap.WSDLLookup.TPair<System.string,System.Variant>>.MoveNext 00ad @HandleFinally 00ca @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 89 4D E4 8B DA 8B F0 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 E4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 24 8D 55 E8 8B 45 E0 8B 08 FF 11 8D 04 5B 8B 55 E4 8B 12 8D 04 C2 8D 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E0 00 74 0A B2 01 8B 45 E0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3924_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.ToArray"
		size = 245
		refs = "0011 TAmazonMultipartPart 0016 @InitializeRecord 001e TEnumerable<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.ToArray 002b _DV_TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart> 0030 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Create 0048 TEnumerable<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.GetEnumerator 0070 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Add 0078 TEnumerator<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 89 55 E4 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 E8 8B 45 DC 8B 08 FF 11 8D 55 E8 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0A B2 01 8B 45 DC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 E4 8B 45 E0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49913_0 {
	meta:
		name = "TEnumerable<Soap.WSDLLookup.TPair<System.string,System.Variant>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.Variant> 0016 @InitializeRecord 001e TEnumerable<Soap.WSDLLookup.TPair<System.string,System.Variant>>.ToArray 002b _DV_TList<Soap.WSDLLookup.TPair<System.string,System.Variant>> 0030 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Create 0048 TEnumerable<Soap.WSDLLookup.TPair<System.string,System.Variant>>.GetEnumerator 0070 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Add 0078 TEnumerator<Soap.WSDLLookup.TPair<System.string,System.Variant>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 89 55 E4 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 E8 8B 45 DC 8B 08 FF 11 8D 55 E8 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0A B2 01 8B 45 DC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 E4 8B 45 E0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3929_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.GetItem"
		size = 67
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0036 TAmazonMultipartPart 003b @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50031_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.GetItem"
		size = 67
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0036 TPair<System.string,System.Variant> 003b @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3930_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.SetItem"
		size = 185
		refs = "0015 TAmazonMultipartPart 001a @InitializeRecord 0022 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 00a6 @FinalizeRecord 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8D 3C 76 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 55 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 E8 8B C3 8B 30 FF 56 08 8B 55 E4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50032_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.SetItem"
		size = 185
		refs = "0015 TPair<System.string,System.Variant> 001a @InitializeRecord 0022 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 00a6 @FinalizeRecord 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8D 3C 76 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 55 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 E8 8B C3 8B 30 FF 56 08 8B 55 E4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3933_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.DoDelete"
		size = 256
		refs = "0015 TAmazonMultipartPart 001a @InitializeRecord 0022 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 0070 @FinalizeRecord 00ac Move 00c4 @FillChar 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 88 4D E7 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8D 3C 76 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 06 00 00 00 F3 AB 8B FA FF 4B 08 8B 43 08 3B F0 74 3B 8B 53 04 8D 14 FA 52 8B 53 04 8D 54 FA 18 2B C6 8B C8 03 C9 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 8D 04 40 8B 53 04 8D 04 C2 33 C9 BA 18 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D E7 8D 55 E8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50035_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.DoDelete"
		size = 256
		refs = "0015 TPair<System.string,System.Variant> 001a @InitializeRecord 0022 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 005f @CopyRecord 0070 @FinalizeRecord 00ac Move 00c4 @FillChar 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 88 4D E7 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8D 3C 76 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 06 00 00 00 F3 AB 8B FA FF 4B 08 8B 43 08 3B F0 74 3B 8B 53 04 8D 14 FA 52 8B 53 04 8D 54 FA 18 2B C6 8B C8 03 C9 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 8D 04 40 8B 53 04 8D 04 C2 33 C9 BA 18 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D E7 8D 55 E8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3940_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Add"
		size = 69
		refs = "000f TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.GrowCheck 0026 TAmazonMultipartPart 002b @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8D 04 7F 8B 53 04 8D 04 C2 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50042_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Add"
		size = 69
		refs = "000f TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.GrowCheck 0026 TPair<System.string,System.Variant> 002b @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8D 04 7F 8B 53 04 8D 04 C2 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3944_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Insert"
		size = 157
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.GrowCheck 005e Move 0070 @FillChar 0081 TAmazonMultipartPart 0086 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 38 8D 2C 76 8B 53 04 8D 54 EA 18 52 8B 53 04 8D 14 EA 2B C6 8B C8 03 C9 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 E8 33 C9 BA 18 00 00 00 E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 C2 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50046_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Insert"
		size = 157
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.GrowCheck 005e Move 0070 @FillChar 0081 TPair<System.string,System.Variant> 0086 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 38 8D 2C 76 8B 53 04 8D 54 EA 18 52 8B 53 04 8D 14 EA 2B C6 8B C8 03 C9 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 E8 33 C9 BA 18 00 00 00 E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 C2 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3945_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.InsertRange"
		size = 249
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.GrowCheck 0076 Move 0094 @FillChar 00b8 TAmazonMultipartPart 00bd @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 4A 8B D3 03 55 FC 8D 14 52 8B 4E 04 8D 14 D1 8B 4D FC 8D 0C 49 8B 7E 04 8D 0C CF 2B 45 FC 03 C0 03 C0 03 C0 8D 04 40 91 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 40 8B 56 04 8D 04 C2 8B D3 03 D2 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2D 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8D 04 40 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 18 FF 4D F4 75 DC 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 18 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_50047_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.InsertRange"
		size = 249
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.GrowCheck 0076 Move 0094 @FillChar 00b8 TPair<System.string,System.Variant> 00bd @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 4A 8B D3 03 55 FC 8D 14 52 8B 4E 04 8D 14 D1 8B 4D FC 8D 0C 49 8B 7E 04 8D 0C CF 2B 45 FC 03 C0 03 C0 03 C0 8D 04 40 91 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 40 8B 56 04 8D 04 C2 8B D3 03 D2 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2D 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8D 04 40 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 18 FF 4D F4 75 DC 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 18 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_3946_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.InsertRange"
		size = 154
		refs = "0019 TAmazonMultipartPart 001e @InitializeRecord 0026 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.InsertRange 004f TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 E0 8B 45 FC 8B 08 FF 51 18 8D 4D E0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50048_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.InsertRange"
		size = 154
		refs = "0019 TPair<System.string,System.Variant> 001e @InitializeRecord 0026 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.InsertRange 004f TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 E0 8B 45 FC 8B 08 FF 51 18 8D 4D E0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59136_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.InsertRange"
		size = 154
		refs = "0019 TMethodDescription 001e @InitializeRecord 0026 TList<System.Bindings.Methods.TMethodDescription>.InsertRange 004f TList<System.Bindings.Methods.TMethodDescription>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 E0 8B 45 FC 8B 08 FF 51 18 8D 4D E0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60847_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.InsertRange"
		size = 154
		refs = "0019 TConverterDescription 001e @InitializeRecord 0026 TList<System.Bindings.Outputs.TConverterDescription>.InsertRange 004f TList<System.Bindings.Outputs.TConverterDescription>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 E0 8B 45 FC 8B 08 FF 51 18 8D 4D E0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3947_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.InsertRange"
		size = 183
		refs = "0014 TAmazonMultipartPart 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.InsertRange 002e TEnumerable<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.GetEnumerator 0057 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Insert 0060 TEnumerator<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F9 8B DA 8B F0 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 E8 8B 45 E4 8B 08 FF 11 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50049_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.Variant> 0019 @InitializeRecord 0021 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.InsertRange 002e TEnumerable<Soap.WSDLLookup.TPair<System.string,System.Variant>>.GetEnumerator 0057 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Insert 0060 TEnumerator<Soap.WSDLLookup.TPair<System.string,System.Variant>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F9 8B DA 8B F0 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 E8 8B 45 E4 8B 08 FF 11 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3950_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.DeleteRange"
		size = 343
		refs = "0018 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.:3 0068 @DynArraySetLength 0087 Move 00de @FillChar 0106 @DynArrayLength 0144 @DynArrayClear 014a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 D5 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 7F 8B 53 04 8D 04 C2 8B CE 03 C9 03 C9 03 C9 8D 0C 49 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 4B 8D 14 7F 8B 4B 04 8D 14 D1 52 8D 14 3E 8D 14 52 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8D 04 40 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? EB 1B 8D 04 7F 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1E 40 89 45 F8 33 F6 8D 04 76 8B 55 FC 8D 14 C2 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50052_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.DeleteRange"
		size = 343
		refs = "0018 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.:3 0068 @DynArraySetLength 0087 Move 00de @FillChar 0106 @DynArrayLength 0144 @DynArrayClear 014a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 D5 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 7F 8B 53 04 8D 04 C2 8B CE 03 C9 03 C9 03 C9 8D 0C 49 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 4B 8D 14 7F 8B 4B 04 8D 14 D1 52 8D 14 3E 8D 14 52 8B 4B 04 8D 14 D1 8B C8 03 C9 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8D 04 40 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? EB 1B 8D 04 7F 8B 53 04 8D 04 C2 8B D6 03 D2 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1E 40 89 45 F8 33 F6 8D 04 76 8B 55 FC 8D 14 C2 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_3951_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Extract"
		size = 87
		refs = "000a TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.IndexOf 0018 TAmazonMultipartPart 001d @FinalizeRecord 0044 @CopyRecord 004f TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1E 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 06 00 00 00 F3 AB 8B FA EB 21 8B C7 8D 14 76 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50053_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Extract"
		size = 87
		refs = "000a TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.IndexOf 0018 TPair<System.string,System.Variant> 001d @FinalizeRecord 0044 @CopyRecord 004f TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1E 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 06 00 00 00 F3 AB 8B FA EB 21 8B C7 8D 14 76 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3952_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Exchange"
		size = 160
		refs = "0014 TAmazonMultipartPart 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Exchange 003e @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8D 14 76 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 C2 8D 14 7F 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 C2 8D 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50054_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Exchange"
		size = 160
		refs = "0014 TPair<System.string,System.Variant> 0019 @InitializeRecord 0021 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Exchange 003e @CopyRecord 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8D 14 76 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 C2 8D 14 7F 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 C2 8D 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3953_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Move"
		size = 303
		refs = "0014 TAmazonMultipartPart 0019 @InitializeRecord 0021 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0066 @CopyRecord 007a @FinalizeRecord 00b2 Move 00ed @FillChar 0122 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F1 8B FA 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 D2 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8D 14 7F 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 C2 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 06 00 00 00 F3 AB 8B FA 3B F7 7E 27 8D 04 7F 8B 53 04 8D 14 C2 8D 04 7F 8B 4B 04 8D 44 C1 18 8B CE 2B CF 03 C9 03 C9 03 C9 8D 0C 49 E8 ?? ?? ?? ?? EB 24 8D 04 76 8B 53 04 8D 54 C2 18 52 8B 53 04 8D 04 C2 2B FE 8B CF 03 C9 03 C9 03 C9 8D 0C 49 5A E8 ?? ?? ?? ?? 8D 3C 76 8B 43 04 8D 04 F8 33 C9 BA 18 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50055_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Move"
		size = 303
		refs = "0014 TPair<System.string,System.Variant> 0019 @InitializeRecord 0021 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0066 @CopyRecord 007a @FinalizeRecord 00b2 Move 00ed @FillChar 0122 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F1 8B FA 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 D2 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8D 14 7F 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 C2 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 06 00 00 00 F3 AB 8B FA 3B F7 7E 27 8D 04 7F 8B 53 04 8D 14 C2 8D 04 7F 8B 4B 04 8D 44 C1 18 8B CE 2B CF 03 C9 03 C9 03 C9 8D 0C 49 E8 ?? ?? ?? ?? EB 24 8D 04 76 8B 53 04 8D 54 C2 18 52 8B 53 04 8D 04 C2 2B FE 8B CF 03 C9 03 C9 03 C9 8D 0C 49 5A E8 ?? ?? ?? ?? 8D 3C 76 8B 43 04 8D 04 F8 33 C9 BA 18 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3958_0 {
	meta:
		name = "TList<T>.IndexOf"
		size = 62
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F0 8B 7E 08 4F 85 FF 7C 23 47 33 DB 8D 04 5B 8B 56 04 8D 14 C2 8B 0C 24 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 07 43 4F 75 E0 83 C8 FF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3959_0 {
	meta:
		name = "TList<T>.LastIndexOf"
		size = 58
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B 5E 08 4B 83 FB 00 7C 21 8D 04 5B 8B 56 04 8D 14 C2 8B CF 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 09 4B 83 FB FF 75 DF 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_3960_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Reverse"
		size = 172
		refs = "0010 TAmazonMultipartPart 0015 @InitializeRecord 001d TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Reverse 0044 @CopyRecord 0099 @FinalizeRecord 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 51 8D 45 E8 8D 14 76 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 C2 8D 14 7F 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 C2 8D 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50062_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Reverse"
		size = 172
		refs = "0010 TPair<System.string,System.Variant> 0015 @InitializeRecord 001d TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Reverse 0044 @CopyRecord 0099 @FinalizeRecord 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 51 8D 45 E8 8D 14 76 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8D 04 C2 8D 14 7F 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8B 53 04 8D 04 C2 8D 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_3966_0 {
	meta:
		name = "TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.ToArray"
		size = 154
		refs = "0018 TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.ToArray 0030 TArray<Data.Cloud.AmazonAPI.TAmazonMultipartPart> 0035 @DynArraySetLength 004f TList<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.GetItem 0063 TAmazonMultipartPart 0068 @CopyRecord 0087 @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4D E4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 E4 8D 04 5B 8B 4D FC 8B 09 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50068_0 {
	meta:
		name = "TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.ToArray"
		size = 154
		refs = "0018 TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.ToArray 0030 TArray<Soap.WSDLLookup.TPair<System.string,System.Variant>> 0035 @DynArraySetLength 004f TList<Soap.WSDLLookup.TPair<System.string,System.Variant>>.GetItem 0063 TPair<System.string,System.Variant> 0068 @CopyRecord 0087 @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4D E4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 E4 8D 04 5B 8B 4D FC 8B 09 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4075_0 {
	meta:
		name = "TComparer<Data.Cloud.AmazonAPI.TAmazonRowConditional>.Default"
		size = 32
		refs = "000a TAmazonRowConditional 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 0C 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4079_0 {
	meta:
		name = "TComparer<Data.Cloud.AmazonAPI.TAmazonBatchRow>.Default"
		size = 32
		refs = "000a TAmazonBatchRow 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 0C 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4813_0 {
	meta:
		name = "TComparer<Data.Cloud.AzureAPI.TAzureBlockListItem>.Default"
		size = 32
		refs = "000a TAzureBlockListItem 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 0C 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_51377_0 {
	meta:
		name = "TComparer<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.Default"
		size = 32
		refs = "000a TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 0C 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_52892_0 {
	meta:
		name = "TComparer<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.Default"
		size = 32
		refs = "000a TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 0C 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56530_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Default"
		size = 32
		refs = "000a TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 0C 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61431_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.Default"
		size = 32
		refs = "000a TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 0C 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68088_0 {
	meta:
		name = "TComparer<System.Rtti.TMethodImplementation.TParamLoc>.Default"
		size = 32
		refs = "000a TMethodImplementation.TParamLoc 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 0C 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_71806_0 {
	meta:
		name = "TComparer<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.Default"
		size = 32
		refs = "000a TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 0C 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88092_0 {
	meta:
		name = "TComparer<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.Default"
		size = 32
		refs = "000a TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 0C 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4078_0 {
	meta:
		name = "TArray.BinarySearch<T>"
		size = 184
		refs = "0033 SArgumentOutOfRange 003a _Dn_EArgumentOutOfRangeException 003f Exception.CreateRes 0044 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B 75 08 8B 45 0C 85 C0 7C 1B 3B C1 7E 04 85 F6 7F 13 8D 14 06 4A 3B D1 7F 0B 85 F6 7C 07 8D 14 06 85 D2 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 75 0B 8B 55 14 89 02 C6 45 FB 00 EB 54 C6 45 FB 00 8B D8 03 F0 4E 89 75 F4 3B 5D F4 7F 3E 8B 75 F4 2B F3 D1 EE 03 F3 8D 04 76 8B 55 FC 8D 14 82 8B 4D 18 8B 45 10 8B 38 FF 57 0C 89 45 F0 83 7D F0 00 7D 05 8D 5E 01 EB 0E 4E 89 75 F4 83 7D F0 00 75 04 C6 45 FB 01 3B 5D F4 7E C2 8B 45 14 89 18 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_4095_0 {
	meta:
		name = "TComparer<Data.Cloud.AmazonAPI.TAmazonObjectResult>.Default"
		size = 32
		refs = "000a TAmazonObjectResult 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 24 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61397_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.Default"
		size = 32
		refs = "000a TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 24 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61414_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 24 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4098_0 {
	meta:
		name = "TArray.BinarySearch<T>"
		size = 184
		refs = "0033 SArgumentOutOfRange 003a _Dn_EArgumentOutOfRangeException 003f Exception.CreateRes 0044 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B 75 08 8B 45 0C 85 C0 7C 1B 3B C1 7E 04 85 F6 7F 13 8D 14 06 4A 3B D1 7F 0B 85 F6 7C 07 8D 14 06 85 D2 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 75 0B 8B 55 14 89 02 C6 45 FB 00 EB 54 C6 45 FB 00 8B D8 03 F0 4E 89 75 F4 3B 5D F4 7F 3E 8B 75 F4 2B F3 D1 EE 03 F3 8D 04 F6 8B 55 FC 8D 14 82 8B 4D 18 8B 45 10 8B 38 FF 57 0C 89 45 F0 83 7D F0 00 7D 05 8D 5E 01 EB 0E 4E 89 75 F4 83 7D F0 00 75 04 C6 45 FB 01 3B 5D F4 7E C2 8B 45 14 89 18 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_4099_0 {
	meta:
		name = "TComparer<Data.Cloud.AmazonAPI.TAmazonGrant>.Default"
		size = 32
		refs = "000a TAmazonGrant 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 14 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_18683_0 {
	meta:
		name = "TComparer<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Default"
		size = 32
		refs = "000a TDSSessionTunnelInfo 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 14 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_43058_0 {
	meta:
		name = "TComparer<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Default"
		size = 32
		refs = "000a TPair<System.TGUID,System.TClass> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 14 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_60978_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Default"
		size = 32
		refs = "000a TBindingOutput.TLocationRec 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 14 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4102_0 {
	meta:
		name = "TArray.BinarySearch<T>"
		size = 184
		refs = "0033 SArgumentOutOfRange 003a _Dn_EArgumentOutOfRangeException 003f Exception.CreateRes 0044 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B 75 08 8B 45 0C 85 C0 7C 1B 3B C1 7E 04 85 F6 7F 13 8D 14 06 4A 3B D1 7F 0B 85 F6 7C 07 8D 14 06 85 D2 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 75 0B 8B 55 14 89 02 C6 45 FB 00 EB 54 C6 45 FB 00 8B D8 03 F0 4E 89 75 F4 3B 5D F4 7F 3E 8B 75 F4 2B F3 D1 EE 03 F3 8D 04 B6 8B 55 FC 8D 14 82 8B 4D 18 8B 45 10 8B 38 FF 57 0C 89 45 F0 83 7D F0 00 7D 05 8D 5E 01 EB 0E 4E 89 75 F4 83 7D F0 00 75 04 C6 45 FB 01 3B 5D F4 7E C2 8B 45 14 89 18 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_4103_0 {
	meta:
		name = "TComparer<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>.Default"
		size = 32
		refs = "000a TAmazonMultipartUploadItem 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 20 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_59260_0 {
	meta:
		name = "TComparer<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.Bindings.Methods.TMethodDescription> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 20 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61421_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Default"
		size = 32
		refs = "000a TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 20 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4106_0 {
	meta:
		name = "TArray.BinarySearch<T>"
		size = 187
		refs = "0033 SArgumentOutOfRange 003a _Dn_EArgumentOutOfRangeException 003f Exception.CreateRes 0044 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B 75 08 8B 45 0C 85 C0 7C 1B 3B C1 7E 04 85 F6 7F 13 8D 14 06 4A 3B D1 7F 0B 85 F6 7C 07 8D 14 06 85 D2 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 75 0B 8B 55 14 89 02 C6 45 FB 00 EB 57 C6 45 FB 00 8B D8 03 F0 4E 89 75 F4 3B 5D F4 7F 41 8B 75 F4 2B F3 D1 EE 03 F3 8B C6 03 C0 03 C0 8B 55 FC 8D 14 C2 8B 4D 18 8B 45 10 8B 38 FF 57 0C 89 45 F0 83 7D F0 00 7D 05 8D 5E 01 EB 0E 4E 89 75 F4 83 7D F0 00 75 04 C6 45 FB 01 3B 5D F4 7E BF 8B 45 14 89 18 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_4107_0 {
	meta:
		name = "TComparer<Data.Cloud.AmazonAPI.TAmazonMultipartPart>.Default"
		size = 32
		refs = "000a TAmazonMultipartPart 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 18 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_50130_0 {
	meta:
		name = "TComparer<Soap.WSDLLookup.TPair<System.string,System.Variant>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.Variant> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 18 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4110_0 {
	meta:
		name = "TArray.BinarySearch<T>"
		size = 184
		refs = "0033 SArgumentOutOfRange 003a _Dn_EArgumentOutOfRangeException 003f Exception.CreateRes 0044 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B 75 08 8B 45 0C 85 C0 7C 1B 3B C1 7E 04 85 F6 7F 13 8D 14 06 4A 3B D1 7F 0B 85 F6 7C 07 8D 14 06 85 D2 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 75 0B 8B 55 14 89 02 C6 45 FB 00 EB 54 C6 45 FB 00 8B D8 03 F0 4E 89 75 F4 3B 5D F4 7F 3E 8B 75 F4 2B F3 D1 EE 03 F3 8D 04 76 8B 55 FC 8D 14 C2 8B 4D 18 8B 45 10 8B 38 FF 57 0C 89 45 F0 83 7D F0 00 7D 05 8D 5E 01 EB 0E 4E 89 75 F4 83 7D F0 00 75 04 C6 45 FB 01 3B 5D F4 7E C2 8B 45 14 89 18 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_4121_0 {
	meta:
		name = "TArray.QuickSort<Data.Cloud.AmazonAPI.TAmazonRowConditional>"
		size = 359
		refs = "0017 TAmazonRowConditional 001c @InitializeRecord 0032 TArray.QuickSort<Data.Cloud.AmazonAPI.TAmazonRowConditional> 007a @CopyRecord 0152 @FinalizeArray 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D DC 89 55 E0 89 45 E4 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 40 85 C0 0F 84 EE 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E E0 00 00 00 8B 5D 0C 8B 75 08 8D 45 F4 8B 55 08 2B 55 0C D1 EA 03 55 0C 8D 14 52 8B 4D E0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8D 04 5B 8B 55 E0 8D 14 82 8D 4D F4 8B 45 10 8B 38 FF 57 0C 85 C0 7C E7 EB 01 4E 8D 04 76 8B 55 E0 8D 14 82 8D 4D F4 8B 45 10 8B 38 FF 57 0C 85 C0 7F E7 3B F3 7C 4E 3B F3 74 48 8D 45 E8 8D 3C 5B 8B 55 E0 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8D 04 B8 8D 14 76 8B 4D E0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 55 E0 8D 04 82 8D 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 73 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E0 8B 4D DC 8B 45 E4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 20 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_4124_0 {
	meta:
		name = "TArray.QuickSort<Data.Cloud.AmazonAPI.TAmazonBatchRow>"
		size = 359
		refs = "0017 TAmazonBatchRow 001c @InitializeRecord 0032 TArray.QuickSort<Data.Cloud.AmazonAPI.TAmazonBatchRow> 007a @CopyRecord 0152 @FinalizeArray 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D DC 89 55 E0 89 45 E4 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 40 85 C0 0F 84 EE 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E E0 00 00 00 8B 5D 0C 8B 75 08 8D 45 F4 8B 55 08 2B 55 0C D1 EA 03 55 0C 8D 14 52 8B 4D E0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8D 04 5B 8B 55 E0 8D 14 82 8D 4D F4 8B 45 10 8B 38 FF 57 0C 85 C0 7C E7 EB 01 4E 8D 04 76 8B 55 E0 8D 14 82 8D 4D F4 8B 45 10 8B 38 FF 57 0C 85 C0 7F E7 3B F3 7C 4E 3B F3 74 48 8D 45 E8 8D 3C 5B 8B 55 E0 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8D 04 B8 8D 14 76 8B 4D E0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 55 E0 8D 04 82 8D 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 73 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E0 8B 4D DC 8B 45 E4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 20 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_4848_0 {
	meta:
		name = "TArray.QuickSort<Data.Cloud.AzureAPI.TAzureBlockListItem>"
		size = 359
		refs = "0017 TAzureBlockListItem 001c @InitializeRecord 0032 TArray.QuickSort<Data.Cloud.AzureAPI.TAzureBlockListItem> 007a @CopyRecord 0152 @FinalizeArray 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D DC 89 55 E0 89 45 E4 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 40 85 C0 0F 84 EE 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E E0 00 00 00 8B 5D 0C 8B 75 08 8D 45 F4 8B 55 08 2B 55 0C D1 EA 03 55 0C 8D 14 52 8B 4D E0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8D 04 5B 8B 55 E0 8D 14 82 8D 4D F4 8B 45 10 8B 38 FF 57 0C 85 C0 7C E7 EB 01 4E 8D 04 76 8B 55 E0 8D 14 82 8D 4D F4 8B 45 10 8B 38 FF 57 0C 85 C0 7F E7 3B F3 7C 4E 3B F3 74 48 8D 45 E8 8D 3C 5B 8B 55 E0 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8D 04 B8 8D 14 76 8B 4D E0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 55 E0 8D 04 82 8D 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 73 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E0 8B 4D DC 8B 45 E4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 20 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_51406_0 {
	meta:
		name = "TArray.QuickSort<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>"
		size = 359
		refs = "0017 TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>> 001c @InitializeRecord 0032 TArray.QuickSort<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>> 007a @CopyRecord 0152 @FinalizeArray 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D DC 89 55 E0 89 45 E4 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 40 85 C0 0F 84 EE 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E E0 00 00 00 8B 5D 0C 8B 75 08 8D 45 F4 8B 55 08 2B 55 0C D1 EA 03 55 0C 8D 14 52 8B 4D E0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8D 04 5B 8B 55 E0 8D 14 82 8D 4D F4 8B 45 10 8B 38 FF 57 0C 85 C0 7C E7 EB 01 4E 8D 04 76 8B 55 E0 8D 14 82 8D 4D F4 8B 45 10 8B 38 FF 57 0C 85 C0 7F E7 3B F3 7C 4E 3B F3 74 48 8D 45 E8 8D 3C 5B 8B 55 E0 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8D 04 B8 8D 14 76 8B 4D E0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 55 E0 8D 04 82 8D 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 73 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E0 8B 4D DC 8B 45 E4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 20 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_52921_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>"
		size = 359
		refs = "0017 TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>> 007a @CopyRecord 0152 @FinalizeArray 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D DC 89 55 E0 89 45 E4 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 40 85 C0 0F 84 EE 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E E0 00 00 00 8B 5D 0C 8B 75 08 8D 45 F4 8B 55 08 2B 55 0C D1 EA 03 55 0C 8D 14 52 8B 4D E0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8D 04 5B 8B 55 E0 8D 14 82 8D 4D F4 8B 45 10 8B 38 FF 57 0C 85 C0 7C E7 EB 01 4E 8D 04 76 8B 55 E0 8D 14 82 8D 4D F4 8B 45 10 8B 38 FF 57 0C 85 C0 7F E7 3B F3 7C 4E 3B F3 74 48 8D 45 E8 8D 3C 5B 8B 55 E0 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8D 04 B8 8D 14 76 8B 4D E0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 55 E0 8D 04 82 8D 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 73 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E0 8B 4D DC 8B 45 E4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 20 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_56601_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>"
		size = 359
		refs = "0017 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>> 007a @CopyRecord 0152 @FinalizeArray 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D DC 89 55 E0 89 45 E4 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 40 85 C0 0F 84 EE 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E E0 00 00 00 8B 5D 0C 8B 75 08 8D 45 F4 8B 55 08 2B 55 0C D1 EA 03 55 0C 8D 14 52 8B 4D E0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8D 04 5B 8B 55 E0 8D 14 82 8D 4D F4 8B 45 10 8B 38 FF 57 0C 85 C0 7C E7 EB 01 4E 8D 04 76 8B 55 E0 8D 14 82 8D 4D F4 8B 45 10 8B 38 FF 57 0C 85 C0 7F E7 3B F3 7C 4E 3B F3 74 48 8D 45 E8 8D 3C 5B 8B 55 E0 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8D 04 B8 8D 14 76 8B 4D E0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 55 E0 8D 04 82 8D 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 73 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E0 8B 4D DC 8B 45 E4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 20 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_61507_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>"
		size = 359
		refs = "0017 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>> 007a @CopyRecord 0152 @FinalizeArray 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D DC 89 55 E0 89 45 E4 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 40 85 C0 0F 84 EE 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E E0 00 00 00 8B 5D 0C 8B 75 08 8D 45 F4 8B 55 08 2B 55 0C D1 EA 03 55 0C 8D 14 52 8B 4D E0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8D 04 5B 8B 55 E0 8D 14 82 8D 4D F4 8B 45 10 8B 38 FF 57 0C 85 C0 7C E7 EB 01 4E 8D 04 76 8B 55 E0 8D 14 82 8D 4D F4 8B 45 10 8B 38 FF 57 0C 85 C0 7F E7 3B F3 7C 4E 3B F3 74 48 8D 45 E8 8D 3C 5B 8B 55 E0 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8D 04 B8 8D 14 76 8B 4D E0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 55 E0 8D 04 82 8D 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 73 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E0 8B 4D DC 8B 45 E4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 20 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_71829_0 {
	meta:
		name = "TArray.QuickSort<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>"
		size = 359
		refs = "0017 TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 001c @InitializeRecord 0032 TArray.QuickSort<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>> 007a @CopyRecord 0152 @FinalizeArray 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D DC 89 55 E0 89 45 E4 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 40 85 C0 0F 84 EE 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E E0 00 00 00 8B 5D 0C 8B 75 08 8D 45 F4 8B 55 08 2B 55 0C D1 EA 03 55 0C 8D 14 52 8B 4D E0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8D 04 5B 8B 55 E0 8D 14 82 8D 4D F4 8B 45 10 8B 38 FF 57 0C 85 C0 7C E7 EB 01 4E 8D 04 76 8B 55 E0 8D 14 82 8D 4D F4 8B 45 10 8B 38 FF 57 0C 85 C0 7F E7 3B F3 7C 4E 3B F3 74 48 8D 45 E8 8D 3C 5B 8B 55 E0 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8D 04 B8 8D 14 76 8B 4D E0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 55 E0 8D 04 82 8D 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 73 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E0 8B 4D DC 8B 45 E4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 20 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_88133_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>"
		size = 359
		refs = "0017 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 001c @InitializeRecord 0032 TArray.QuickSort<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>> 007a @CopyRecord 0152 @FinalizeArray 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D DC 89 55 E0 89 45 E4 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 40 85 C0 0F 84 EE 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E E0 00 00 00 8B 5D 0C 8B 75 08 8D 45 F4 8B 55 08 2B 55 0C D1 EA 03 55 0C 8D 14 52 8B 4D E0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8D 04 5B 8B 55 E0 8D 14 82 8D 4D F4 8B 45 10 8B 38 FF 57 0C 85 C0 7C E7 EB 01 4E 8D 04 76 8B 55 E0 8D 14 82 8D 4D F4 8B 45 10 8B 38 FF 57 0C 85 C0 7F E7 3B F3 7C 4E 3B F3 74 48 8D 45 E8 8D 3C 5B 8B 55 E0 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8D 04 B8 8D 14 76 8B 4D E0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 55 E0 8D 04 82 8D 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 73 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 E0 8B 4D DC 8B 45 E4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 20 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_4136_0 {
	meta:
		name = "TArray.QuickSort<Data.Cloud.AmazonAPI.TAmazonObjectResult>"
		size = 359
		refs = "0017 TAmazonObjectResult 001c @InitializeRecord 0032 TArray.QuickSort<Data.Cloud.AmazonAPI.TAmazonObjectResult> 007a @CopyRecord 0152 @FinalizeArray 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 89 4D AC 89 55 B0 89 45 B4 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 AC 40 85 C0 0F 84 EE 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E E0 00 00 00 8B 5D 0C 8B 75 08 8D 45 DC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8D 14 D2 8B 4D B0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8D 04 DB 8B 55 B0 8D 14 82 8D 4D DC 8B 45 10 8B 38 FF 57 0C 85 C0 7C E7 EB 01 4E 8D 04 F6 8B 55 B0 8D 14 82 8D 4D DC 8B 45 10 8B 38 FF 57 0C 85 C0 7F E7 3B F3 7C 4E 3B F3 74 48 8D 45 B8 8D 3C DB 8B 55 B0 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 8D 04 B8 8D 14 F6 8B 4D B0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 F6 8B 55 B0 8D 04 82 8D 55 B8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 73 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 B0 8B 4D AC 8B 45 B4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 20 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_61495_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>"
		size = 359
		refs = "0017 TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>> 007a @CopyRecord 0152 @FinalizeArray 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 89 4D AC 89 55 B0 89 45 B4 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 AC 40 85 C0 0F 84 EE 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E E0 00 00 00 8B 5D 0C 8B 75 08 8D 45 DC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8D 14 D2 8B 4D B0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8D 04 DB 8B 55 B0 8D 14 82 8D 4D DC 8B 45 10 8B 38 FF 57 0C 85 C0 7C E7 EB 01 4E 8D 04 F6 8B 55 B0 8D 14 82 8D 4D DC 8B 45 10 8B 38 FF 57 0C 85 C0 7F E7 3B F3 7C 4E 3B F3 74 48 8D 45 B8 8D 3C DB 8B 55 B0 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 8D 04 B8 8D 14 F6 8B 4D B0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 F6 8B 55 B0 8D 04 82 8D 55 B8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 73 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 B0 8B 4D AC 8B 45 B4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 20 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_61501_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>"
		size = 359
		refs = "0017 TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>> 007a @CopyRecord 0152 @FinalizeArray 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 89 4D AC 89 55 B0 89 45 B4 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 AC 40 85 C0 0F 84 EE 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E E0 00 00 00 8B 5D 0C 8B 75 08 8D 45 DC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8D 14 D2 8B 4D B0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8D 04 DB 8B 55 B0 8D 14 82 8D 4D DC 8B 45 10 8B 38 FF 57 0C 85 C0 7C E7 EB 01 4E 8D 04 F6 8B 55 B0 8D 14 82 8D 4D DC 8B 45 10 8B 38 FF 57 0C 85 C0 7F E7 3B F3 7C 4E 3B F3 74 48 8D 45 B8 8D 3C DB 8B 55 B0 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 8D 04 B8 8D 14 F6 8B 4D B0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 F6 8B 55 B0 8D 04 82 8D 55 B8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 73 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 B0 8B 4D AC 8B 45 B4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 20 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_4139_0 {
	meta:
		name = "TArray.QuickSort<Data.Cloud.AmazonAPI.TAmazonGrant>"
		size = 359
		refs = "0017 TAmazonGrant 001c @InitializeRecord 0032 TArray.QuickSort<Data.Cloud.AmazonAPI.TAmazonGrant> 007a @CopyRecord 0152 @FinalizeArray 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 89 4D CC 89 55 D0 89 45 D4 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 CC 40 85 C0 0F 84 EE 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E E0 00 00 00 8B 5D 0C 8B 75 08 8D 45 EC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8D 14 92 8B 4D D0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8D 04 9B 8B 55 D0 8D 14 82 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C E7 EB 01 4E 8D 04 B6 8B 55 D0 8D 14 82 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F E7 3B F3 7C 4E 3B F3 74 48 8D 45 D8 8D 3C 9B 8B 55 D0 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 8D 04 B8 8D 14 B6 8B 4D D0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 B6 8B 55 D0 8D 04 82 8D 55 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 73 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 D0 8B 4D CC 8B 45 D4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 20 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_18842_0 {
	meta:
		name = "TArray.QuickSort<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>"
		size = 359
		refs = "0017 TDSSessionTunnelInfo 001c @InitializeRecord 0032 TArray.QuickSort<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo> 007a @CopyRecord 0152 @FinalizeArray 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 89 4D CC 89 55 D0 89 45 D4 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 CC 40 85 C0 0F 84 EE 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E E0 00 00 00 8B 5D 0C 8B 75 08 8D 45 EC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8D 14 92 8B 4D D0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8D 04 9B 8B 55 D0 8D 14 82 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C E7 EB 01 4E 8D 04 B6 8B 55 D0 8D 14 82 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F E7 3B F3 7C 4E 3B F3 74 48 8D 45 D8 8D 3C 9B 8B 55 D0 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 8D 04 B8 8D 14 B6 8B 4D D0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 B6 8B 55 D0 8D 04 82 8D 55 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 73 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 D0 8B 4D CC 8B 45 D4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 20 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_61430_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Outputs.TBindingOutput.TLocationRec>"
		size = 359
		refs = "0017 TBindingOutput.TLocationRec 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Outputs.TBindingOutput.TLocationRec> 007a @CopyRecord 0152 @FinalizeArray 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 89 4D CC 89 55 D0 89 45 D4 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 CC 40 85 C0 0F 84 EE 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E E0 00 00 00 8B 5D 0C 8B 75 08 8D 45 EC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8D 14 92 8B 4D D0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8D 04 9B 8B 55 D0 8D 14 82 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C E7 EB 01 4E 8D 04 B6 8B 55 D0 8D 14 82 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F E7 3B F3 7C 4E 3B F3 74 48 8D 45 D8 8D 3C 9B 8B 55 D0 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 8D 04 B8 8D 14 B6 8B 4D D0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 B6 8B 55 D0 8D 04 82 8D 55 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 73 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 D0 8B 4D CC 8B 45 D4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 20 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_4142_0 {
	meta:
		name = "TArray.QuickSort<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem>"
		size = 375
		refs = "0017 TAmazonMultipartUploadItem 001c @InitializeRecord 0032 TArray.QuickSort<Data.Cloud.AmazonAPI.TAmazonMultipartUploadItem> 007b @CopyRecord 0162 @FinalizeArray 0168 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 89 4D B4 89 55 B8 89 45 BC 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 B4 40 85 C0 0F 84 FE 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E F0 00 00 00 8B 5D 0C 8B 75 08 8D 45 E0 8B 55 08 2B 55 0C D1 EA 03 55 0C 03 D2 03 D2 8B 4D B8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B C3 03 C0 03 C0 8B 55 B8 8D 14 C2 8D 4D E0 8B 45 10 8B 38 FF 57 0C 85 C0 7C E4 EB 01 4E 8B C6 03 C0 03 C0 8B 55 B8 8D 14 C2 8D 4D E0 8B 45 10 8B 38 FF 57 0C 85 C0 7F E4 3B F3 7C 57 3B F3 74 51 8D 45 C0 8B FB 03 FF 03 FF 8B 55 B8 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 8D 04 F8 8B D6 03 D2 03 D2 8B 4D B8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 03 C0 8B 55 B8 8D 04 C2 8D 55 C0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 64 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 B8 8B 4D B4 8B 45 BC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 10 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_59291_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>"
		size = 375
		refs = "0017 TPair<System.string,System.Bindings.Methods.TMethodDescription> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>> 007b @CopyRecord 0162 @FinalizeArray 0168 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 89 4D B4 89 55 B8 89 45 BC 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 B4 40 85 C0 0F 84 FE 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E F0 00 00 00 8B 5D 0C 8B 75 08 8D 45 E0 8B 55 08 2B 55 0C D1 EA 03 55 0C 03 D2 03 D2 8B 4D B8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B C3 03 C0 03 C0 8B 55 B8 8D 14 C2 8D 4D E0 8B 45 10 8B 38 FF 57 0C 85 C0 7C E4 EB 01 4E 8B C6 03 C0 03 C0 8B 55 B8 8D 14 C2 8D 4D E0 8B 45 10 8B 38 FF 57 0C 85 C0 7F E4 3B F3 7C 57 3B F3 74 51 8D 45 C0 8B FB 03 FF 03 FF 8B 55 B8 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 8D 04 F8 8B D6 03 D2 03 D2 8B 4D B8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 03 C0 8B 55 B8 8D 04 C2 8D 55 C0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 64 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 B8 8B 4D B4 8B 45 BC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 10 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_61504_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>"
		size = 375
		refs = "0017 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Outputs.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 007b @CopyRecord 0162 @FinalizeArray 0168 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 89 4D B4 89 55 B8 89 45 BC 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 B4 40 85 C0 0F 84 FE 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E F0 00 00 00 8B 5D 0C 8B 75 08 8D 45 E0 8B 55 08 2B 55 0C D1 EA 03 55 0C 03 D2 03 D2 8B 4D B8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B C3 03 C0 03 C0 8B 55 B8 8D 14 C2 8D 4D E0 8B 45 10 8B 38 FF 57 0C 85 C0 7C E4 EB 01 4E 8B C6 03 C0 03 C0 8B 55 B8 8D 14 C2 8D 4D E0 8B 45 10 8B 38 FF 57 0C 85 C0 7F E4 3B F3 7C 57 3B F3 74 51 8D 45 C0 8B FB 03 FF 03 FF 8B 55 B8 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 8D 04 F8 8B D6 03 D2 03 D2 8B 4D B8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 03 C0 8B 55 B8 8D 04 C2 8D 55 C0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 64 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 B8 8B 4D B4 8B 45 BC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 10 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_4145_0 {
	meta:
		name = "TArray.QuickSort<Data.Cloud.AmazonAPI.TAmazonMultipartPart>"
		size = 359
		refs = "0017 TAmazonMultipartPart 001c @InitializeRecord 0032 TArray.QuickSort<Data.Cloud.AmazonAPI.TAmazonMultipartPart> 007a @CopyRecord 0152 @FinalizeArray 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 4D C4 89 55 C8 89 45 CC 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 C4 40 85 C0 0F 84 EE 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E E0 00 00 00 8B 5D 0C 8B 75 08 8D 45 E8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8D 14 52 8B 4D C8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8D 04 5B 8B 55 C8 8D 14 C2 8D 4D E8 8B 45 10 8B 38 FF 57 0C 85 C0 7C E7 EB 01 4E 8D 04 76 8B 55 C8 8D 14 C2 8D 4D E8 8B 45 10 8B 38 FF 57 0C 85 C0 7F E7 3B F3 7C 4E 3B F3 74 48 8D 45 D0 8D 3C 5B 8B 55 C8 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 8D 04 F8 8D 14 76 8B 4D C8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 55 C8 8D 04 C2 8D 55 D0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 73 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 C8 8B 4D C4 8B 45 CC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 20 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_50149_0 {
	meta:
		name = "TArray.QuickSort<Soap.WSDLLookup.TPair<System.string,System.Variant>>"
		size = 359
		refs = "0017 TPair<System.string,System.Variant> 001c @InitializeRecord 0032 TArray.QuickSort<Soap.WSDLLookup.TPair<System.string,System.Variant>> 007a @CopyRecord 0152 @FinalizeArray 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 4D C4 89 55 C8 89 45 CC 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 C4 40 85 C0 0F 84 EE 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E E0 00 00 00 8B 5D 0C 8B 75 08 8D 45 E8 8B 55 08 2B 55 0C D1 EA 03 55 0C 8D 14 52 8B 4D C8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8D 04 5B 8B 55 C8 8D 14 C2 8D 4D E8 8B 45 10 8B 38 FF 57 0C 85 C0 7C E7 EB 01 4E 8D 04 76 8B 55 C8 8D 14 C2 8D 4D E8 8B 45 10 8B 38 FF 57 0C 85 C0 7F E7 3B F3 7C 4E 3B F3 74 48 8D 45 D0 8D 3C 5B 8B 55 C8 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 8D 04 F8 8D 14 76 8B 4D C8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8B 55 C8 8D 04 C2 8D 55 D0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 73 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 C8 8B 4D C4 8B 45 CC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 20 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_4187_0 {
	meta:
		name = "GetRowFromConentNode"
		size = 640
		refs = "001a @IntfAddRef 0022 GetRowFromConentNode 0046 @UStrEqual 0071 GetFirstMatchingChildNode 00aa _Dn_TCloudTableRow 00af TCloudTableRow.Create 00e2 AnsiPos 00fd @UStrCopy 0104 _Dn_TCloudTableColumn 0109 TObject.Create 0116 @UStrAsg 015b @VarToUStr 0168 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Add 0177 @HandleAnyException 017c @DoneExcept 019c @IntfCopy 01be @IntfClear 01c6 @VarClr 01ce @UStrClr 01ef IXMLNode 01f9 @FinalizeArray 01ff @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 1A 8D 55 E8 8B 45 FC 8B 08 FF 51 34 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 07 33 DB E9 5A 01 00 00 33 DB 8B 45 FC 8B 10 FF 52 24 84 C0 0F 84 48 01 00 00 8D 4D F8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 2E 01 00 00 8B 45 F8 8B 10 FF 52 24 84 C0 0F 84 1E 01 00 00 8D 55 E4 8B 45 F8 8B 08 FF 51 14 8B 45 E4 8D 55 F4 8B 08 FF 51 34 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 83 7D F4 00 0F 84 EA 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 F4 8B 08 FF 51 34 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 83 FE FF 7E 14 8D 45 F0 50 8D 56 01 B9 FF FF FF 7F 8B 45 F0 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 43 04 8B 55 F0 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F4 8B 08 FF 51 50 8B 55 E0 8D 43 08 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 91 88 00 00 00 84 C0 74 1B 8D 4D D0 BA ?? ?? ?? ?? 8B 45 F4 8B 30 FF 56 0C 8D 55 D0 8D 43 0C E8 ?? ?? ?? ?? 8B 45 EC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 F4 8B 08 FF 91 90 00 00 00 8B 55 CC 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 0F 85 16 FF FF FF 8B 5D EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6D 00 3A 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6D 00 3A 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_4188_0 {
	meta:
		name = "TAzureConnectionInfo.Create"
		size = 100
		refs = "000a @ClassCreate 0017 TCloudConnectionInfo.Create 0027 TAzureConnectionInfo.Create 002c @UStrAsg 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 50 00 C6 46 4C 01 8D 46 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 74 00 74 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_4189_0 {
	meta:
		name = "TAzureConnectionInfo.GetAccountKey"
		size = 232
		refs = "000f TAzureConnectionInfo.GetAccountKey 0014 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 50 00 74 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 40 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 58 00 00 00 45 00 62 00 79 00 38 00 76 00 64 00 4D 00 30 00 32 00 78 00 4E 00 4F 00 63 00 71 00 46 00 6C 00 71 00 55 00 77 00 4A 00 50 00 4C 00 6C 00 6D 00 45 00 74 00 6C 00 43 00 44 00 58 00 4A 00 31 00 4F 00 55 00 7A 00 46 00 54 00 35 00 30 00 75 00 53 00 52 00 5A 00 36 00 49 00 46 00 73 00 75 00 46 00 71 00 32 00 55 00 56 00 45 00 72 00 43 00 7A 00 34 00 49 00 36 00 74 00 71 00 2F 00 4B 00 31 00 53 00 5A 00 46 00 50 00 54 00 4F 00 74 00 72 00 2F 00 4B 00 42 00 48 00 42 00 65 00 6B 00 73 00 6F 00 47 00 4D 00 47 00 77 00 3D 00 3D 00 00 00 00 00 }
	condition:
		$1
}

rule function_4190_0 {
	meta:
		name = "TAzureConnectionInfo.GetAccountName"
		size = 88
		refs = "000f TAzureConnectionInfo.GetAccountName 0014 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 50 00 74 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 3C E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 10 00 00 00 64 00 65 00 76 00 73 00 74 00 6F 00 72 00 65 00 61 00 63 00 63 00 6F 00 75 00 6E 00 74 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_4191_0 {
	meta:
		name = "TAzureConnectionInfo.GetBlobEndpoint"
		size = 228
		refs = "0015 TAzureConnectionInfo.GetBlobEndpoint 005a Format 0066 @UStrAsg 007b @UStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 4C 00 74 3B 80 7B 50 00 75 35 56 8D 55 EC 8B C3 8B 08 FF 51 40 8B 45 EC 89 45 F0 C6 45 F4 11 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 54 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6C 00 6F 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 25 00 73 00 2E 00 25 00 73 00 2E 00 63 00 6F 00 72 00 65 00 2E 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2E 00 6E 00 65 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_4192_0 {
	meta:
		name = "TAzureConnectionInfo.GetQueueEndpoint"
		size = 228
		refs = "0015 TAzureConnectionInfo.GetQueueEndpoint 005a Format 0066 @UStrAsg 007b @UStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 4C 00 74 3B 80 7B 50 00 75 35 56 8D 55 EC 8B C3 8B 08 FF 51 40 8B 45 EC 89 45 F0 C6 45 F4 11 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 71 00 75 00 65 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 25 00 73 00 2E 00 25 00 73 00 2E 00 63 00 6F 00 72 00 65 00 2E 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2E 00 6E 00 65 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_4193_0 {
	meta:
		name = "TAzureConnectionInfo.GetTableEndpoint"
		size = 228
		refs = "0015 TAzureConnectionInfo.GetTableEndpoint 005a Format 0066 @UStrAsg 007b @UStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 4C 00 74 3B 80 7B 50 00 75 35 56 8D 55 EC 8B C3 8B 08 FF 51 40 8B 45 EC 89 45 F0 C6 45 F4 11 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 61 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 25 00 73 00 2E 00 25 00 73 00 2E 00 63 00 6F 00 72 00 65 00 2E 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2E 00 6E 00 65 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_4194_0 {
	meta:
		name = "TAzureConnectionInfo.BlobURL"
		size = 112
		refs = "000f TAzureConnectionInfo.BlobURL 0020 TAzureConnectionInfo.GetBlobEndpoint 002f TAzureConnectionInfo.ServiceURL 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6C 00 6F 00 62 00 00 00 00 00 }
	condition:
		$1
}

rule function_4195_0 {
	meta:
		name = "TAzureConnectionInfo.TableURL"
		size = 112
		refs = "000f TAzureConnectionInfo.TableURL 0020 TAzureConnectionInfo.GetTableEndpoint 002f TAzureConnectionInfo.ServiceURL 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 61 00 62 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_4196_0 {
	meta:
		name = "TAzureConnectionInfo.QueueURL"
		size = 112
		refs = "000f TAzureConnectionInfo.QueueURL 0020 TAzureConnectionInfo.GetQueueEndpoint 002f TAzureConnectionInfo.ServiceURL 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 71 00 75 00 65 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_4197_0 {
	meta:
		name = "TAzureConnectionInfo.ServiceURL"
		size = 384
		refs = "001b TAzureConnectionInfo.ServiceURL 0034 @UStrLAsg 006d Format 00b8 @UStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 50 00 74 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 43 80 7B 4C 00 74 33 8D 45 FC 50 8D 55 E8 8B C3 8B 08 FF 51 40 8B 45 E8 89 45 EC C6 45 F0 11 89 75 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B 45 08 50 8B 43 38 89 45 EC C6 45 F0 11 8B 45 FC 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 31 00 32 00 37 00 2E 00 30 00 2E 00 30 00 2E 00 31 00 3A 00 31 00 30 00 30 00 30 00 31 00 2F 00 64 00 65 00 76 00 73 00 74 00 6F 00 72 00 65 00 61 00 63 00 63 00 6F 00 75 00 6E 00 74 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 25 00 73 00 2E 00 25 00 73 00 2E 00 63 00 6F 00 72 00 65 00 2E 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2E 00 6E 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 3A 00 2F 00 2F 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_4198_0 {
	meta:
		name = "TAzureConnectionInfo.SetUseDevelopmentStorage"
		size = 4
		altNames = "TIWHTMLControlImplementation.set_SupportsPartial TOleServer.SetConnectKind TXmlStreamBuilder.SetIncludeXmlDecl"
	strings:
		$1 = { 88 50 50 C3 }
	condition:
		$1
}

rule function_4199_0 {
	meta:
		name = "TAzureAuthentication.AssignKey"
		size = 111
		refs = "000e TAzureAuthentication.AssignKey 002a DecodeBytes64 0036 TArray<System.Byte> 003b @DynArrayAsg 0050 @UStrClr 005e @DynArrayClear 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 43 04 8B 08 FF 51 44 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4200_0 {
	meta:
		name = "TAzureAuthentication.Create"
		size = 92
		refs = "000a @ClassCreate 0013 TAzureAuthentication.Create 001c TCloudSHA256Authentication.Create 0027 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 68 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 68 00 61 00 72 00 65 00 64 00 4B 00 65 00 79 00 00 00 }
	condition:
		$1
}

rule function_4201_0 {
	meta:
		name = "TAzureService.Create"
		size = 97
		refs = "000b @ClassCreate 001a _DV_TAzureAuthentication 001f TAzureAuthentication.Create 002b TCloudService.Create 004d @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 18 66 C7 47 0C 0A 00 66 C7 47 0E 3A 00 66 C7 47 10 0A 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4203_0 {
	meta:
		name = "TAzureService.GetCanonicalizedHeaderPrefix"
		size = 44
		refs = "0006 TAzureService.GetCanonicalizedHeaderPrefix 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 00 00 }
	condition:
		$1
}

rule function_4205_0 {
	meta:
		name = "TAzureService.GetRequiredHeaderNames"
		size = 672
		refs = "0013 _Dn_TStringList 0018 TStringList.Create 0022 TAzureService.GetConnectionInfo 002d TAzureService.GetRequiredHeaderNames"
	strings:
		$1 = { 53 8B D8 C6 02 00 83 7B 18 00 0F 85 D7 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 8B C3 E8 ?? ?? ?? ?? 80 78 50 00 74 2C BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 38 E9 8F 00 00 00 BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 38 8B 43 18 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6D 00 64 00 35 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 64 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 69 00 66 00 2D 00 6D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 73 00 69 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 69 00 66 00 2D 00 6D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 69 00 66 00 2D 00 6E 00 6F 00 6E 00 65 00 2D 00 6D 00 61 00 74 00 63 00 68 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 69 00 66 00 2D 00 75 00 6E 00 6D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 73 00 69 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 72 00 61 00 6E 00 67 00 65 00 00 00 }
	condition:
		$1
}

rule function_4206_0 {
	meta:
		name = "TAzureService.PopulateDateHeader"
		size = 168
		refs = "0012 TAzureService.PopulateDateHeader 0026 TAzureService.XMsDate 0039 TStrings.SetValue 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 2C 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0F 8B 4D FC BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 64 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_4207_0 {
	meta:
		name = "TAzureService.URLEncodeQueryParams"
		size = 22
		refs = "000d TCloudService.URLEncodeQueryParams"
	strings:
		$1 = { 55 8B EC 53 84 D2 74 09 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4209_0 {
	meta:
		name = "TAzureTableService.AddTableVersionHeaders"
		size = 276
		refs = "0008 TAzureTableService.AddTableVersionHeaders 0014 TStrings.SetValue"
	strings:
		$1 = { 53 8B DA 85 DB 74 33 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 31 00 2E 00 30 00 3B 00 4E 00 65 00 74 00 46 00 78 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 61 00 74 00 61 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 61 00 78 00 44 00 61 00 74 00 61 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_4210_0 {
	meta:
		name = "TAzureTableService.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TAzureService.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 12 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_4211_0 {
	meta:
		name = "TAzureTableService.GetInsertEntityXML"
		size = 1292
		refs = "0027 TAzureTableService.GetInsertEntityXML 0038 TAzureTableService.UpdatedDate 0043 XMLEscape 005c Format 0087 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.GetItem 00ec @UStrCat 0164 @UStrClr 0171 @UStrArrayClr 0184 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 33 DB 89 5D B8 89 5D 9C 89 5D E0 89 5D BC 89 5D E8 89 5D E4 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 08 48 85 C0 0F 8C D5 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 8B 45 FC 8B 40 04 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 8B 43 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 55 8D 45 E0 50 8B 43 04 89 45 C0 C6 45 C4 11 8B 43 0C 89 45 C8 C6 45 CC 11 8D 55 BC 8B 43 08 E8 ?? ?? ?? ?? 8B 45 BC 89 45 D0 C6 45 D4 11 8B 43 04 89 45 D8 C6 45 DC 11 8D 55 C0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? EB 49 8D 45 B8 50 8B 43 04 89 45 A0 C6 45 A4 11 8D 55 9C 8B 43 08 E8 ?? ?? ?? ?? 8B 45 9C 89 45 A8 C6 45 AC 11 8B 43 04 89 45 B0 C6 45 B4 11 8D 55 A0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B C6 E8 ?? ?? ?? ?? FF 45 F8 FF 4D F4 0F 85 36 FF FF FF 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 B8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 56 01 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 75 00 74 00 66 00 2D 00 38 00 22 00 20 00 73 00 74 00 61 00 6E 00 64 00 61 00 6C 00 6F 00 6E 00 65 00 3D 00 22 00 79 00 65 00 73 00 22 00 3F 00 3E 00 3C 00 65 00 6E 00 74 00 72 00 79 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 64 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 6D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 2E 00 63 00 6F 00 6D 00 2F 00 61 00 64 00 6F 00 2F 00 32 00 30 00 30 00 37 00 2F 00 30 00 38 00 2F 00 64 00 61 00 74 00 61 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 73 00 22 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 6D 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 6D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 2E 00 63 00 6F 00 6D 00 2F 00 61 00 64 00 6F 00 2F 00 32 00 30 00 30 00 37 00 2F 00 30 00 38 00 2F 00 64 00 61 00 74 00 61 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 73 00 2F 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 22 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 35 00 2F 00 41 00 74 00 6F 00 6D 00 22 00 3E 00 3C 00 74 00 69 00 74 00 6C 00 65 00 20 00 2F 00 3E 00 3C 00 75 00 70 00 64 00 61 00 74 00 65 00 64 00 3E 00 25 00 73 00 3C 00 2F 00 75 00 70 00 64 00 61 00 74 00 65 00 64 00 3E 00 3C 00 61 00 75 00 74 00 68 00 6F 00 72 00 3E 00 3C 00 6E 00 61 00 6D 00 65 00 20 00 2F 00 3E 00 3C 00 2F 00 61 00 75 00 74 00 68 00 6F 00 72 00 3E 00 3C 00 69 00 64 00 20 00 2F 00 3E 00 3C 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 6D 00 6C 00 22 00 3E 00 3C 00 6D 00 3A 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 3C 00 64 00 3A 00 25 00 73 00 20 00 6D 00 3A 00 74 00 79 00 70 00 65 00 3D 00 22 00 25 00 73 00 22 00 3E 00 25 00 73 00 3C 00 2F 00 64 00 3A 00 25 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 64 00 3A 00 25 00 73 00 3E 00 25 00 73 00 3C 00 2F 00 64 00 3A 00 25 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 3C 00 2F 00 6D 00 3A 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 3E 00 3C 00 2F 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 3E 00 3C 00 2F 00 65 00 6E 00 74 00 72 00 79 00 3E 00 00 00 }
	condition:
		$1
}

rule function_4213_0 {
	meta:
		name = "TAzureTableService.GetTablesQueryPrefix"
		size = 328
		refs = "0022 @UStrAddRef 002a TAzureTableService.GetTablesQueryPrefix 0037 TAzureService.GetConnectionInfo 008c Format 0097 TAzureTableService.AddTableVersionHeaders 00e2 @UStrClr 00ef @UStrArrayClr 00fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D C8 89 5D E0 89 5D DC 89 4D FC 8B FA 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 78 50 00 74 51 56 8B C3 E8 ?? ?? ?? ?? 8D 55 E0 8B 08 FF 51 40 8B 45 E0 89 45 E4 C6 45 E8 11 8B C3 E8 ?? ?? ?? ?? 8D 55 DC 8B 08 FF 51 40 8B 45 DC 89 45 EC C6 45 F0 11 8B 45 FC 89 45 F4 C6 45 F8 11 8D 55 E4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3F 8B D7 8B C3 E8 ?? ?? ?? ?? 56 8B C3 E8 ?? ?? ?? ?? 8D 55 C8 8B 08 FF 51 40 8B 45 C8 89 45 CC C6 45 D0 11 8B 45 FC 89 45 D4 C6 45 D8 11 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_4214_0 {
	meta:
		name = "TAzureTableService.InsertEntity"
		size = 632
		refs = "0024 TAzureTableService.InsertEntity 0035 TAzureService.GetConnectionInfo 003d TAzureConnectionInfo.TableURL 0060 Format 006d EmptyStr 0074 @UStrEqual 0086 _Dn_TStringList 008b TStringList.Create 009a TAzureService.PopulateDateHeader 00ac TStrings.SetValue 00bc TAzureTableService.GetTablesQueryPrefix 00c8 TAzureTableService.GetInsertEntityXML 00dd _Dn_TCloudResponseInfo 00e2 TObject.Create 00ef TEncoding.GetUTF8 00fa TEncoding.GetBytes 0104 _Dn_TBytesStream 0109 TBytesStream.Create 0163 @HandleAnyException 016c @DoneExcept 018c TObject.Free 01b5 @HandleFinally 01cd TArray<System.Byte> 01d2 @DynArrayClear 01da @UStrClr 01e7 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D C8 89 5D CC 89 5D FC 89 5D F8 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 89 75 D8 C6 45 DC 11 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 74 12 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 F3 00 E9 38 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC B1 01 8B 55 EC 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 45 F8 50 8B CE 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? 83 7D 08 00 0F 94 45 E3 80 7D E3 00 74 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 08 33 C0 89 45 E8 E8 ?? ?? ?? ?? 8D 4D C8 8B 55 F4 E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 F8 50 8B 45 08 50 8B 45 E4 50 8B 4D EC 8B 55 FC 8B C3 8B 18 FF 53 64 89 45 E8 8B 45 08 81 78 04 C9 00 00 00 0F 94 45 F3 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 F3 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 80 7D E3 00 74 08 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 61 00 74 00 6F 00 6D 00 2B 00 78 00 6D 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_4215_0 {
	meta:
		name = "TAzureTableService.MergeEntity"
		size = 401
		refs = "0021 TAzureTableService.MergeEntity 002f @UStrClr 0048 TAzureTableService.ModifyEntityHelper 0061 TAzureTableService.GetInsertEntityXML 0076 _Dn_TCloudResponseInfo 007b TObject.Create 0088 TEncoding.GetUTF8 0093 TEncoding.GetBytes 009d _Dn_TBytesStream 00a2 TBytesStream.Create 00fc @HandleAnyException 0105 @DoneExcept 0125 TObject.Free 014e @HandleFinally 0166 TArray<System.Byte> 016b @DynArrayClear 0178 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D FC 89 5D F8 89 5D F4 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 EC 50 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 C6 45 F3 00 E9 FB 00 00 00 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? C6 45 E3 00 83 7D 08 00 75 13 C6 45 E3 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 08 33 C0 89 45 E8 E8 ?? ?? ?? ?? 8D 4D DC 8B 55 F4 E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 F8 50 8B 45 08 50 8B 45 E4 50 8B 4D EC 8B 55 FC 8B C3 8B 18 FF 53 60 89 45 E8 8B 45 08 81 78 04 CC 00 00 00 0F 94 45 F3 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 F3 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 80 7D E3 00 74 08 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4216_0 {
	meta:
		name = "TAzureTableService.ModifyEntityHelper"
		size = 840
		refs = "0041 TAzureTableService.ModifyEntityHelper 005c @UStrClr 006a TCloudTableRow.GetColumnValue 00a0 TAzureService.GetConnectionInfo 00a8 TAzureConnectionInfo.TableURL 00e2 Format 00ed @UStrAsg 00f4 _Dn_TStringList 00f9 TStringList.Create 0106 TAzureService.PopulateDateHeader 0117 TStrings.SetValue 0138 TAzureTableService.GetTablesQueryPrefix 019e @UStrArrayClr 01b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 33 DB 89 5D C0 89 5D C4 89 5D EC 89 5D C8 89 5D FC 89 5D F8 8B F9 89 55 F4 8B F0 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 75 09 C6 45 F3 00 E9 30 01 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 1A 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 75 09 C6 45 F3 00 E9 F3 00 00 00 C6 45 F3 01 8D 45 EC 50 8B C6 E8 ?? ?? ?? ?? 8D 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 89 45 CC C6 45 D0 11 8B 45 F4 89 45 D4 C6 45 D8 11 8B 45 FC 89 45 DC C6 45 E0 11 8B 45 F8 89 45 E4 C6 45 E8 11 8D 55 CC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 10 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 13 B1 01 8B C6 E8 ?? ?? ?? ?? 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C4 50 8B 13 8B 4D F4 8B C6 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 0C E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 0C 8B 00 89 45 A8 C6 45 AC 11 8B 45 FC 89 45 B0 C6 45 B4 11 8B 45 F8 89 45 B8 C6 45 BC 11 8D 55 A8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 6F 00 77 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 25 00 73 00 2F 00 25 00 73 00 28 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 2C 00 52 00 6F 00 77 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 61 00 74 00 6F 00 6D 00 2B 00 78 00 6D 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 66 00 2D 00 4D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 25 00 73 00 28 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 2C 00 52 00 6F 00 77 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 29 00 00 00 }
	condition:
		$1
}

rule function_4217_0 {
	meta:
		name = "TAzureTableService.UpdateEntity"
		size = 401
		refs = "0021 TAzureTableService.UpdateEntity 002f @UStrClr 0048 TAzureTableService.ModifyEntityHelper 0061 TAzureTableService.GetInsertEntityXML 0076 _Dn_TCloudResponseInfo 007b TObject.Create 0088 TEncoding.GetUTF8 0093 TEncoding.GetBytes 009d _Dn_TBytesStream 00a2 TBytesStream.Create 00fc @HandleAnyException 0105 @DoneExcept 0125 TObject.Free 014e @HandleFinally 0166 TArray<System.Byte> 016b @DynArrayClear 0178 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D FC 89 5D F8 89 5D F4 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 EC 50 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 C6 45 F3 00 E9 FB 00 00 00 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? C6 45 E3 00 83 7D 08 00 75 13 C6 45 E3 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 08 33 C0 89 45 E8 E8 ?? ?? ?? ?? 8D 4D DC 8B 55 F4 E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 F8 50 8B 45 08 50 8B 45 E4 50 8B 4D EC 8B 55 FC 8B C3 8B 18 FF 53 58 89 45 E8 8B 45 08 81 78 04 CC 00 00 00 0F 94 45 F3 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 F3 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 80 7D E3 00 74 08 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4218_0 {
	meta:
		name = "TAzureTableService.DeleteEntity"
		size = 296
		refs = "001b TAzureTableService.DeleteEntity 0029 @UStrClr 0042 TAzureTableService.ModifyEntityHelper 0098 TCloudHTTP.GetResponseCode 00b7 @HandleAnyException 00c0 @DoneExcept 00e0 TObject.Free 00f3 @HandleFinally 010f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F0 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 C6 45 F7 00 E9 A6 00 00 00 33 C0 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 F8 50 8B 45 08 50 8B 4D F0 8B 55 FC 8B C3 8B 18 FF 53 6C 89 45 EC 83 7D EC 00 74 0F 8B 45 EC E8 ?? ?? ?? ?? 3D CC 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 F7 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 F7 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4219_0 {
	meta:
		name = "TAzureTableService.CreateTable"
		size = 1524
		refs = "002e TAzureTableService.CreateTable 003f TAzureService.GetConnectionInfo 0047 TAzureConnectionInfo.TableURL 006f Format 0076 _Dn_TStringList 007b TStringList.Create 008a TAzureService.PopulateDateHeader 009c TStrings.SetValue 00af TAzureTableService.GetTablesQueryPrefix 00bd TAzureTableService.UpdatedDate 00c8 XMLEscape 010d _Dn_TCloudResponseInfo 0112 TObject.Create 011a TEncoding.GetUTF8 0125 TEncoding.GetBytes 012f _Dn_TBytesStream 0134 TBytesStream.Create 0193 @HandleAnyException 019c @DoneExcept 01bc TObject.Free 01e5 @HandleFinally 01fd TArray<System.Byte> 0202 @DynArrayClear 020f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 DB 89 5D B8 89 5D C4 89 5D BC 89 5D C0 89 5D C8 89 5D FC 89 5D F8 89 5D F4 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8D 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 89 45 CC C6 45 D0 11 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 B1 01 8B 55 E8 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 50 B9 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 8B 45 C0 8D 55 C4 E8 ?? ?? ?? ?? 8B 45 C4 89 45 CC C6 45 D0 11 8D 55 BC 8B C6 E8 ?? ?? ?? ?? 8B 45 BC 89 45 D4 C6 45 D8 11 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 DF 00 83 7D F0 00 75 13 C6 45 DF 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 E8 ?? ?? ?? ?? 8D 4D B8 8B 55 F4 E8 ?? ?? ?? ?? 8B 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 F8 50 8B 45 F0 50 8B 45 E0 50 8B 4D E8 8B 55 FC 8B C3 8B 18 FF 53 64 89 45 E4 8B 45 F0 81 78 04 C9 00 00 00 0F 94 45 EF 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 EF 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 80 7D DF 00 74 08 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 BC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 0F B6 45 EF 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 61 00 74 00 6F 00 6D 00 2B 00 78 00 6D 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 8E 01 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 75 00 74 00 66 00 2D 00 38 00 22 00 20 00 73 00 74 00 61 00 6E 00 64 00 61 00 6C 00 6F 00 6E 00 65 00 3D 00 22 00 79 00 65 00 73 00 22 00 3F 00 3E 00 3C 00 65 00 6E 00 74 00 72 00 79 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 64 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 6D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 2E 00 63 00 6F 00 6D 00 2F 00 61 00 64 00 6F 00 2F 00 32 00 30 00 30 00 37 00 2F 00 30 00 38 00 2F 00 64 00 61 00 74 00 61 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 73 00 22 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 6D 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 6D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 2E 00 63 00 6F 00 6D 00 2F 00 61 00 64 00 6F 00 2F 00 32 00 30 00 30 00 37 00 2F 00 30 00 38 00 2F 00 64 00 61 00 74 00 61 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 73 00 2F 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 22 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 35 00 2F 00 41 00 74 00 6F 00 6D 00 22 00 3E 00 3C 00 74 00 69 00 74 00 6C 00 65 00 20 00 2F 00 3E 00 3C 00 75 00 70 00 64 00 61 00 74 00 65 00 64 00 3E 00 25 00 73 00 3C 00 2F 00 75 00 70 00 64 00 61 00 74 00 65 00 64 00 3E 00 3C 00 61 00 75 00 74 00 68 00 6F 00 72 00 3E 00 3C 00 6E 00 61 00 6D 00 65 00 20 00 2F 00 3E 00 3C 00 2F 00 61 00 75 00 74 00 68 00 6F 00 72 00 3E 00 3C 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 6D 00 6C 00 22 00 3E 00 3C 00 6D 00 3A 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 3E 00 3C 00 64 00 3A 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 3E 00 25 00 73 00 3C 00 2F 00 64 00 3A 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 3E 00 3C 00 2F 00 6D 00 3A 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 3E 00 3C 00 2F 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 3E 00 3C 00 2F 00 65 00 6E 00 74 00 72 00 79 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_4220_0 {
	meta:
		name = "TAzureTableService.DeleteTable"
		size = 664
		refs = "0022 TAzureTableService.DeleteTable 0033 TAzureService.GetConnectionInfo 003b TAzureConnectionInfo.TableURL 005e Format 0065 _Dn_TStringList 006a TStringList.Create 0079 TAzureService.PopulateDateHeader 008b TStrings.SetValue 009e TAzureTableService.GetTablesQueryPrefix 00d0 @UStrLAsg 00e5 _Dn_TCloudResponseInfo 00ea TObject.Create 0145 @HandleAnyException 014e @DoneExcept 016e TObject.Free 018f @HandleFinally 01ab @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D D0 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 89 75 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC B1 01 8B 55 EC 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 45 F8 50 B9 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 CC 50 8B 45 F8 89 45 D4 C6 45 D8 11 89 75 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8D 45 F8 E8 ?? ?? ?? ?? C6 45 E7 00 83 7D F4 00 75 13 C6 45 E7 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 F8 50 8B 45 F4 50 8B 4D EC 8B 55 FC 8B C3 8B 18 FF 53 6C 89 45 E8 8B 45 F4 81 78 04 CC 00 00 00 0F 94 45 F3 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 F3 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 80 7D E7 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 25 00 73 00 2F 00 54 00 61 00 62 00 6C 00 65 00 73 00 28 00 27 00 25 00 73 00 27 00 29 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 61 00 74 00 6F 00 6D 00 2B 00 78 00 6D 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 28 00 27 00 25 00 73 00 27 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_4221_0 {
	meta:
		name = "TAzureTableService.QueryTablesXML"
		size = 488
		refs = "0024 TAzureTableService.QueryTablesXML 0035 TAzureService.GetConnectionInfo 003d TAzureConnectionInfo.TableURL 0065 Format 006c _Dn_TStringList 0071 TStringList.Create 0080 TAzureService.PopulateDateHeader 0088 EmptyStr 008f @UStrEqual 009f URLEncode 00c3 @UStrCat 00d6 TAzureTableService.GetTablesQueryPrefix 00fb @UStrClr 012c TObject.Free 013f @HandleFinally 0163 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 33 DB 89 5D D4 89 5D C8 89 5D D8 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 B1 01 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 32 8D 45 D4 50 8D 55 C8 8B C6 E8 ?? ?? ?? ?? 8B 45 C8 89 45 CC C6 45 D0 11 8D 55 CC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 B9 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 F4 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D F0 8B 55 FC 8B C3 8B 18 FF 53 50 89 45 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 3F 00 4E 00 65 00 78 00 74 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 3D 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_4222_0 {
	meta:
		name = "TAzureTableService.UpdatedDate"
		size = 312
		refs = "0016 TAzureTableService.UpdatedDate 0022 TTimeZone.FLocal 0029 Now 003e TTimeZone.GetUtcOffsetInSeconds 007b @_llmul 0082 IncMilliSecond 009f @UStrLAsg 00ba CurrencyString 00c2 FormatDateTime 00cc @UStrAsg 00e6 @UStrArrayClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 33 C9 89 4D FC 89 4D F8 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8B 1B E8 ?? ?? ?? ?? DD 5D F0 9B 33 C0 FF 75 F4 FF 75 F0 8B D0 8B C3 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 8B 45 F0 89 45 D8 8B 45 F4 89 45 DC 8B 45 E0 8B 55 E4 F7 D8 83 D2 00 F7 DA 89 45 D0 89 55 D4 FF 75 DC FF 75 D8 6A 00 68 E8 03 00 00 8B 45 D0 8B 55 D4 E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 5D C8 9B 8B 45 C8 89 45 E8 8B 45 CC 89 45 EC 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 89 45 C0 8B 45 EC 89 45 C4 FF 75 C4 FF 75 C0 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 18 00 00 00 79 00 79 00 79 00 79 00 2D 00 6D 00 6D 00 2D 00 64 00 64 00 22 00 54 00 22 00 68 00 68 00 3A 00 6E 00 6E 00 3A 00 73 00 73 00 22 00 5A 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_4223_0 {
	meta:
		name = "TAzureTableService.QueryTables"
		size = 668
		refs = "0020 TAzureTableService.QueryTables 0035 TAzureTableService.QueryTablesXML 003c _Dn_TStringList 0041 TStringList.Create 004d EmptyStr 0054 @UStrEqual 0063 _Dn_TXMLDocument 0068 TXMLDocument.Create 007c @IntfCopy 00a7 @HandleAnyException 00b2 @DoneExcept 013e GetFirstMatchingChildNode 01ba @IntfClear 01c2 @UStrClr 01eb IXMLNode 01f5 @FinalizeArray 020b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 4B 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 E4 89 45 E4 E8 ?? ?? ?? ?? E9 EE 00 00 00 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 F8 8B 08 FF 51 18 8B 45 DC 8D 55 E0 8B 08 FF 51 14 8B 45 E0 8D 4D F4 BA ?? ?? ?? ?? 8B 18 FF 53 38 E9 A8 00 00 00 8D 55 D8 8B 45 F4 8B 08 FF 51 34 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 75 8D 55 D4 8B 45 F4 8B 08 FF 51 14 8B 45 D4 8D 4D F0 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F0 00 74 54 8B 45 F0 8B 10 FF 52 24 84 C0 74 48 8D 4D EC BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 83 7D EC 00 74 32 8B 45 EC 8B 10 FF 52 24 84 C0 74 26 8D 4D E8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 55 D0 8B 45 E8 8B 08 FF 51 50 8B 55 D0 8B 45 E4 8B 08 FF 51 38 8D 55 CC 8B 45 F4 8B 08 FF 91 90 00 00 00 8B 55 CC 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 74 10 8B 45 F4 8B 10 FF 52 24 84 C0 0F 85 42 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A5 8B 45 E4 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 6E 00 74 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6D 00 3A 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 64 00 3A 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_4224_0 {
	meta:
		name = "TAzureTableService.QueryEntityXML"
		size = 784
		refs = "0027 TAzureTableService.QueryEntityXML 0038 TAzureService.GetConnectionInfo 0040 TAzureConnectionInfo.TableURL 0074 Format 007b _Dn_TStringList 0080 TStringList.Create 008f TAzureService.PopulateDateHeader 0108 TAzureTableService.AddTableVersionHeaders 0174 @UStrClr 01a5 TObject.Free 01b8 @HandleFinally 01d4 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 DB 89 5D 98 89 5D A0 89 5D 9C 89 5D CC 89 5D FC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 89 75 D8 C6 45 DC 11 89 7D E0 C6 45 E4 11 8B 45 10 89 45 E8 C6 45 EC 11 8D 55 D0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 B1 01 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 78 50 00 74 62 8D 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8D 55 A0 8B 08 FF 51 40 8B 45 A0 89 45 A4 C6 45 A8 11 8B C3 E8 ?? ?? ?? ?? 8D 55 9C 8B 08 FF 51 40 8B 45 9C 89 45 AC C6 45 B0 11 89 75 B4 C6 45 B8 11 89 7D BC C6 45 C0 11 8B 45 10 89 45 C4 C6 45 C8 11 8D 55 A4 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 51 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8D 55 98 8B 08 FF 51 40 8B 45 98 89 45 D0 C6 45 D4 11 89 75 D8 C6 45 DC 11 89 7D E0 C6 45 E4 11 8B 45 10 89 45 E8 C6 45 EC 11 8D 55 D0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 0C 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D F4 8B 55 FC 8B C3 8B 18 FF 53 50 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0D 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 25 00 73 00 2F 00 25 00 73 00 28 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 2C 00 52 00 6F 00 77 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 28 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 2C 00 52 00 6F 00 77 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 28 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 2C 00 52 00 6F 00 77 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 29 00 00 00 }
	condition:
		$1
}

rule function_4225_0 {
	meta:
		name = "TAzureTableService.QueryEntitiesXML"
		size = 688
		refs = "002c TAzureTableService.QueryEntitiesXML 003d TAzureService.GetConnectionInfo 0045 TAzureConnectionInfo.TableURL 006b Format 0075 EmptyStr 007c @UStrEqual 0097 _Dn_TStringList 009c TStringList.Create 00ac TStrings.SetValue 00da @UStrLAsg 0147 TAzureService.PopulateDateHeader 0158 TAzureTableService.GetTablesQueryPrefix 0168 @UStrCat3 018d @UStrClr 01be TObject.Free 01d1 @HandleFinally 01ed @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D C8 89 5D CC 89 5D D0 89 5D D4 89 5D FC 89 5D F8 89 4D F0 89 55 F4 8B D8 8B 7D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 89 45 D8 C6 45 DC 11 8B 45 F4 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 F6 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 12 8B 45 0C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 4A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B CF BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 4D 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 D0 50 8B CE 8B 55 FC 8B C3 8B 38 FF 57 14 8B 55 D0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 21 85 F6 75 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 4D F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 CC 50 8B CE 8B 55 FC 8B C3 8B 30 FF 56 14 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC B1 01 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 4D F4 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 C8 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 14 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D EC 8B 55 FC 8B C3 8B 18 FF 53 50 89 45 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 2F 00 25 00 73 00 28 00 29 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4E 00 65 00 78 00 74 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4E 00 65 00 78 00 74 00 52 00 6F 00 77 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 24 00 66 00 69 00 6C 00 74 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 28 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_4226_0 {
	meta:
		name = "TAzureTableService.BuildRowList"
		size = 512
		refs = "001d TAzureTableService.BuildRowList 002a _DV_TList<Data.Cloud.CloudAPI.TCloudTableRow> 002f TList<Data.Cloud.CloudAPI.TCloudTableRow>.Create 003a EmptyStr 0041 @UStrEqual 0050 _Dn_TXMLDocument 0055 TXMLDocument.Create 0069 @IntfCopy 00c8 AnsiCompareText 0116 GetRowFromConentNode 0126 TList<Data.Cloud.CloudAPI.TCloudTableRow>.Add 016a @IntfClear 017a @UStrClr 01a3 IXMLNode 01ad @FinalizeArray 01bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 0E 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC 8B 08 FF 91 A0 00 00 00 84 DB 74 2B 8D 55 E8 8B 45 FC 8B 08 FF 51 18 8B 45 E8 8D 55 EC 8B 08 FF 51 14 8B 45 EC 8D 4D F8 BA ?? ?? ?? ?? 8B 30 FF 56 38 E9 9E 00 00 00 8D 55 E0 8B 45 FC 8B 08 FF 51 18 8B 45 E0 8D 55 E4 8B 08 FF 51 34 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 77 8D 55 F8 8B 45 FC 8B 08 FF 51 18 EB 6A 8D 55 DC 8B 45 F8 8B 08 FF 51 34 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 33 8D 55 D8 8B 45 F8 8B 08 FF 51 14 8B 45 D8 8D 4D F4 BA ?? ?? ?? ?? 8B 30 FF 56 38 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0A 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 84 DB 74 2B 8D 55 D4 8B 45 F8 8B 08 FF 91 90 00 00 00 8B 55 D4 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 0C 8B 45 F8 8B 10 FF 52 24 84 C0 75 84 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A5 8B 45 F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 6E 00 74 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_4227_0 {
	meta:
		name = "TAzureTableService.QueryEntity"
		size = 236
		refs = "0018 TAzureTableService.QueryEntity 0035 TAzureTableService.QueryEntityXML 0041 TAzureTableService.BuildRowList 006c @TryFinallyExit 0078 TList<Data.Cloud.CloudAPI.TCloudTableRow>.GetItem 0099 TObject.Free 00bd @HandleFinally 00d4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 45 08 50 8D 45 F4 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 33 C9 8B C3 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 58 08 83 7D F8 00 74 04 85 DB 75 0C 33 C0 89 45 FC E8 ?? ?? ?? ?? EB 51 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 83 FB 01 7E 1D 4B 85 DB 7E 18 BE 01 00 00 00 8B D6 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_4228_0 {
	meta:
		name = "TAzureTableService.QueryEntities"
		size = 108
		refs = "0012 TAzureTableService.QueryEntities 0033 TAzureTableService.QueryEntitiesXML 003f TAzureTableService.BuildRowList 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC B1 01 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4229_0 {
	meta:
		name = "TAzureQueueService.ListQueuesXML"
		size = 732
		refs = "0028 TAzureQueueService.ListQueuesXML 0035 _Dn_TStringList 003a TStringList.Create 0049 TAzureService.PopulateDateHeader 0055 TAzureService.GetConnectionInfo 00af Format 00c3 TStrings.SetValue 0138 TAzureConnectionInfo.QueueURL 0169 @UStrClr 019a TObject.Free 01ba @HandleFinally 01d6 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 DB 89 5D B8 89 5D BC 89 5D CC 89 5D C8 89 5D FC 89 5D F8 8B F9 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C9 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 E8 8B C6 E8 ?? ?? ?? ?? 80 78 50 00 74 56 8D 45 F8 50 8B C6 E8 ?? ?? ?? ?? 8D 55 CC 8B 08 FF 51 40 8B 45 CC 89 45 D0 C6 45 D4 11 8B C6 E8 ?? ?? ?? ?? 8D 55 C8 8B 08 FF 51 40 8B 45 C8 89 45 D8 C6 45 DC 11 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 55 D0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 70 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 50 8B C6 E8 ?? ?? ?? ?? 8D 55 BC 8B 08 FF 51 40 8B 45 BC 89 45 C0 C6 45 C4 11 8D 55 C0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 83 7D F4 00 74 0B 8B 55 F4 8B 45 E8 8B 08 FF 51 40 6A 00 6A 01 8D 45 FC 50 8B C6 E8 ?? ?? ?? ?? 8D 55 B8 E8 ?? ?? ?? ?? 8B 55 B8 8B 4D E8 8B C6 8B 18 FF 53 14 33 C0 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 50 8B 45 F8 50 57 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D F0 8B 55 FC 8B C6 8B 18 FF 53 50 89 45 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6D 00 70 00 3D 00 6C 00 69 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 3F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2F 00 25 00 73 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 69 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_4230_0 {
	meta:
		name = "TAzureQueueService.GetQueuesQueryPrefix"
		size = 412
		refs = "0022 @UStrAddRef 002a TAzureQueueService.GetQueuesQueryPrefix 0037 TAzureService.GetConnectionInfo 008c Format 009f TStrings.SetValue 00ea @UStrClr 00f7 @UStrArrayClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D C8 89 5D E0 89 5D DC 89 4D FC 8B FA 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 78 50 00 74 51 56 8B C3 E8 ?? ?? ?? ?? 8D 55 E0 8B 08 FF 51 40 8B 45 E0 89 45 E4 C6 45 E8 11 8B C3 E8 ?? ?? ?? ?? 8D 55 DC 8B 08 FF 51 40 8B 45 DC 89 45 EC C6 45 F0 11 8B 45 FC 89 45 F4 C6 45 F8 11 8D 55 E4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 47 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 56 8B C3 E8 ?? ?? ?? ?? 8D 55 C8 8B 08 FF 51 40 8B 45 C8 89 45 CC C6 45 D0 11 8B 45 FC 89 45 D4 C6 45 D8 11 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_4231_0 {
	meta:
		name = "TAzureQueueService.ListQueues"
		size = 672
		refs = "0020 TAzureQueueService.ListQueues 0035 TAzureQueueService.ListQueuesXML 003e EmptyStr 0045 @UStrEqual 0055 _DV_TList<Data.Cloud.CloudAPI.TCloudQueue> 005a TList<Data.Cloud.CloudAPI.TCloudQueue>.Create 0065 _Dn_TXMLDocument 006a TXMLDocument.Create 007e @IntfCopy 0173 TCloudQueue.Create 017d TList<Data.Cloud.CloudAPI.TCloudQueue>.Add 01b5 @IntfClear 01c2 @UStrArrayClr 01cb TCloudQueue 01d0 @FinalizeRecord 01d9 IXMLNodeList 01e3 @FinalizeArray 01eb @UStrClr 020c IXMLNode 022c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 07 33 DB E9 52 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 91 A0 00 00 00 8D 55 E0 8B 45 F8 8B 08 FF 51 18 8B 45 E0 8D 55 E4 8B 08 FF 51 14 8B 45 E4 8D 4D F4 BA ?? ?? ?? ?? 8B 30 FF 56 38 83 7D F4 00 0F 84 E4 00 00 00 8B 45 F4 8B 10 FF 52 24 84 C0 0F 84 D4 00 00 00 8D 55 DC 8B 45 F4 8B 08 FF 51 14 8B 45 DC 8D 4D F0 BA ?? ?? ?? ?? 8B 30 FF 56 38 83 7D F0 00 0F 84 AF 00 00 00 8D 55 D8 8B 45 F0 8B 08 FF 51 34 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 72 8D 55 D4 8B 45 F0 8B 08 FF 51 14 8B 45 D4 8D 4D EC BA ?? ?? ?? ?? 8B 30 FF 56 38 8D 55 D0 8B 45 F0 8B 08 FF 51 14 8B 45 D0 8D 4D E8 BA ?? ?? ?? ?? 8B 30 FF 56 38 83 7D EC 00 74 36 83 7D E8 00 74 30 8D 55 C4 8B 45 E8 8B 08 FF 51 50 8B 45 C4 50 8D 55 C0 8B 45 EC 8B 08 FF 51 50 8B 45 C0 8D 4D C8 5A E8 ?? ?? ?? ?? 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 8D 55 BC 8B 45 F0 8B 08 FF 91 90 00 00 00 8B 55 BC 8D 45 F0 E8 ?? ?? ?? ?? 83 7D F0 00 0F 85 51 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 7C FF FF FF 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 51 00 75 00 65 00 75 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 51 00 75 00 65 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 55 00 72 00 6C 00 00 00 }
	condition:
		$1
}

rule function_4232_0 {
	meta:
		name = "TAzureQueueService.CreateQueue"
		size = 508
		refs = "001f TAzureQueueService.CreateQueue 0030 TAzureService.GetConnectionInfo 0038 TAzureConnectionInfo.QueueURL 005b Format 0062 _Dn_TStringList 0067 TStringList.Create 0087 TAzureService.PopulateDateHeader 0099 TStrings.SetValue 00a9 TAzureQueueService.GetQueuesQueryPrefix 00be _Dn_TCloudResponseInfo 00c3 TObject.Create 0120 @HandleAnyException 0129 @DoneExcept 0149 TObject.Free 016a @HandleFinally 0181 @UStrClr 018e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D FC 89 5D F8 89 4D F4 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B C6 E8 ?? ?? ?? ?? 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 89 7D DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 83 7D F4 00 74 0B 8B 55 F4 8B 45 EC 8B 08 FF 51 40 33 C9 8B 55 EC 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 45 F8 50 8B CF 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 83 7D 08 00 0F 94 45 E7 80 7D E7 00 74 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 08 33 C0 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 F8 50 8B 45 08 50 6A 00 8B 4D EC 8B 55 FC 8B C6 8B 18 FF 53 58 89 45 E8 8B 45 08 81 78 04 C9 00 00 00 0F 94 45 F3 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 F3 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 80 7D E7 00 74 08 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_4233_0 {
	meta:
		name = "TAzureQueueService.DeleteQueue"
		size = 384
		refs = "001f TAzureQueueService.DeleteQueue 0030 TAzureService.GetConnectionInfo 0038 TAzureConnectionInfo.QueueURL 005b Format 0062 _Dn_TStringList 0067 TStringList.Create 0076 TAzureService.PopulateDateHeader 0086 TAzureQueueService.GetQueuesQueryPrefix 00cf TCloudHTTP.GetResponseCode 00ee @HandleAnyException 00f7 @DoneExcept 0117 TObject.Free 012a @HandleFinally 0141 @UStrClr 014e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 89 45 D8 C6 45 DC 11 89 75 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C9 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 8B CE 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 F8 50 8B 45 F4 50 8B 4D EC 8B 55 FC 8B C3 8B 18 FF 53 6C 89 45 E8 83 7D E8 00 74 0F 8B 45 E8 E8 ?? ?? ?? ?? 3D CC 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 F3 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 F3 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_4234_0 {
	meta:
		name = "TAzureQueueService.GetMaxMessageReturnCount"
		size = 6
		altNames = "TEncodingInfoNATSSEFIADD.MIBenum"
	strings:
		$1 = { B8 20 00 00 00 C3 }
	condition:
		$1
}

rule function_4235_0 {
	meta:
		name = "TAzureQueueService.GetQueueMetadata"
		size = 844
		refs = "002b TAzureQueueService.GetQueueMetadata 0048 TAzureService.GetConnectionInfo 0050 TAzureConnectionInfo.QueueURL 0073 Format 007a _Dn_TStringList 007f TStringList.Create 008e TAzureService.PopulateDateHeader 009e TAzureQueueService.GetQueuesQueryPrefix 00e2 @UStrLAsg 0105 TStrings.SetValue 013a _Dn_TCloudResponseInfo 013f TObject.Create 01c9 TStrings.GetName 01d6 AnsiContainsText 020a @HandleAnyException 0213 @DoneExcept 0233 TObject.Free 0261 @HandleFinally 027d @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D BC 89 5D C0 89 5D C4 89 5D C8 89 5D CC 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E0 8B 45 F4 33 D2 89 10 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 89 75 D8 C6 45 DC 11 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C9 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 8B CE 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 78 50 00 74 39 8D 45 C8 50 8B 45 F8 89 45 D0 C6 45 D4 11 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8D 45 F8 E8 ?? ?? ?? ?? EB 41 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 C4 50 8B 4D E0 8B 55 FC 8B C3 8B 30 FF 56 14 8B 55 C4 8D 45 FC E8 ?? ?? ?? ?? 83 7D 08 00 0F 94 45 E7 80 7D E7 00 74 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 08 33 C0 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E0 50 8B 45 F8 50 8B 45 08 50 8B 4D EC 8B 55 FC 8B C3 8B 18 FF 53 54 89 45 E8 8B 45 08 81 78 04 C8 00 00 00 0F 94 45 F3 80 7D F3 00 74 68 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 02 8B 45 08 8B 40 0C 8B 10 FF 52 14 8B F0 4E 85 F6 7C 45 46 33 DB 8D 4D C0 8B 45 08 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8D 4D BC 8B 45 08 8B 40 0C 8B D3 8B 38 FF 57 0C 8B 55 BC 8B 45 F4 8B 00 8B 08 FF 51 38 43 4E 75 BE 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 F3 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 80 7D E7 00 74 08 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 6F 00 6D 00 70 00 3D 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 00 00 }
	condition:
		$1
}

rule function_4236_0 {
	meta:
		name = "TAzureQueueService.SetQueueMetadata"
		size = 896
		refs = "002b TAzureQueueService.SetQueueMetadata 0041 TAzureService.GetConnectionInfo 0049 TAzureConnectionInfo.QueueURL 006f Format 0076 _Dn_TStringList 007b TStringList.Create 00a0 TStrings.GetName 00ad AnsiStartsText 00c1 @UStrCat3 00cd TStrings.GetValueFromIndex 00db TStrings.SetValue 00ed TAzureService.PopulateDateHeader 0110 TAzureQueueService.GetQueuesQueryPrefix 0154 @UStrLAsg 01e4 TCloudHTTP.GetResponseCode 0203 @HandleAnyException 020c @DoneExcept 022c TObject.Free 024c @HandleFinally 0268 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D BC 89 5D C0 89 5D C4 89 5D C8 89 5D FC 89 5D F8 89 5D F4 8B F9 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E0 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8D 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 89 45 CC C6 45 D0 11 8B 45 F0 89 45 D4 C6 45 D8 11 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 85 FF 74 5F 8B C7 8B 10 FF 52 14 48 85 C0 7C 53 40 89 45 DC 33 F6 8D 4D F4 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 10 8D 45 F4 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D C4 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 4D C4 8B 55 F4 8B 45 E8 E8 ?? ?? ?? ?? 46 FF 4D DC 75 B3 33 C9 8B 55 E8 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 4D F0 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 78 50 00 74 39 8D 45 C0 50 8B 45 F8 89 45 CC C6 45 D0 11 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8D 45 F8 E8 ?? ?? ?? ?? EB 41 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 BC 50 8B 4D E0 8B 55 FC 8B C3 8B 30 FF 56 14 8B 55 BC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 50 8B 45 F8 50 8B 45 08 50 6A 00 8B 4D E8 8B 55 FC 8B C3 8B 18 FF 53 58 89 45 E4 83 7D E4 00 74 0F 8B 45 E4 E8 ?? ?? ?? ?? 3D CC 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EF 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 EF 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 EF 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6D 00 65 00 74 00 61 00 2D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 6F 00 6D 00 70 00 3D 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_4237_0 {
	meta:
		name = "TAzureQueueService.AddMessage"
		size = 1112
		refs = "0024 TAzureQueueService.AddMessage 003a XMLEscape 004f @UStrCatN 005a TAzureService.GetConnectionInfo 0062 TAzureConnectionInfo.QueueURL 0085 Format 0095 _Dn_TStringList 009a TStringList.Create 00a7 IntToStr 00b7 TStrings.SetValue 00d7 @UStrLAsg 00dc TEncoding.GetUTF8 00e7 TEncoding.GetBytes 00f1 _Dn_TBytesStream 00f6 TBytesStream.Create 0114 TAzureService.PopulateDateHeader 0145 TAzureQueueService.GetQueuesQueryPrefix 0155 @UStrCat3 0170 EmptyStr 0187 @UStrCat 0194 TObject.Free 01e3 TCloudHTTP.GetResponseCode 0202 @HandleAnyException 020b @DoneExcept 0258 @HandleFinally 0274 @UStrArrayClr 027d TArray<System.Byte> 0282 @DynArrayClear 0297 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F0 8B F2 8B D8 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 D8 8B 45 F0 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8D 55 C4 E8 ?? ?? ?? ?? 8B 45 C4 89 45 C8 C6 45 CC 11 89 75 D0 C6 45 D4 11 8D 55 C8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 E0 85 FF 7E 49 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8D 55 C0 8B C7 E8 ?? ?? ?? ?? 8B 4D C0 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 BC 50 8B 4D E0 8B 55 F8 8B C3 8B 38 FF 57 14 8B 55 BC 8D 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D B8 8B 55 FC E8 ?? ?? ?? ?? 8B 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C9 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 8B 10 FF 12 52 50 8D 45 B4 E8 ?? ?? ?? ?? 8B 4D B4 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 B0 50 8B CE 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 B0 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 78 50 00 74 32 6A 00 6A 01 8D 45 AC 50 8B 15 ?? ?? ?? ?? 8B 12 8B 4D E0 8B C3 8B 30 FF 56 14 8B 55 AC 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 50 8B 45 F4 50 8B 45 08 50 8B 45 DC 50 8B 4D E8 8B 55 F8 8B C3 8B 18 FF 53 64 89 45 E4 83 7D E4 00 74 0F 8B 45 E4 E8 ?? ?? ?? ?? 3D C9 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EF 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 EF 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 0F B6 45 EF 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 52 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 75 00 74 00 66 00 2D 00 38 00 22 00 20 00 73 00 74 00 61 00 6E 00 64 00 61 00 6C 00 6F 00 6E 00 65 00 3D 00 22 00 79 00 65 00 73 00 22 00 3F 00 3E 00 3C 00 51 00 75 00 65 00 75 00 65 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 3E 00 3C 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 54 00 65 00 78 00 74 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 3C 00 2F 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 54 00 65 00 78 00 74 00 3E 00 3C 00 2F 00 51 00 75 00 65 00 75 00 65 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 74 00 74 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_4238_0 {
	meta:
		name = "TAzureQueueService.GetOrPeekMessagesXML"
		size = 800
		refs = "0031 TAzureQueueService.GetOrPeekMessagesXML 0042 TAzureService.GetConnectionInfo 004a TAzureConnectionInfo.QueueURL 0070 Format 0077 _Dn_TStringList 007c TStringList.Create 008b TAzureService.PopulateDateHeader 00c3 IntToStr 00d3 TStrings.SetValue 012e @UStrLAsg 013f TAzureQueueService.GetQueuesQueryPrefix 014f @UStrCat3 016a EmptyStr 0181 @UStrCat 018e TObject.Free 01b5 @UStrClr 0206 @HandleFinally 0222 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 89 5D C4 89 5D C8 89 5D CC 89 5D D0 89 5D D4 89 5D FC 89 5D F8 8B D9 89 55 F4 8B F0 8B 7D 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B C6 E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 89 45 D8 C6 45 DC 11 8B 45 F4 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C9 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 E8 85 FF 7F 12 84 DB 75 06 83 7D 10 00 7F 08 84 DB 0F 84 88 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 85 FF 7E 1A 8D 55 D0 8B C7 E8 ?? ?? ?? ?? 8B 4D D0 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 DB 75 21 83 7D 10 00 7E 1B 8D 55 CC 8B 45 10 E8 ?? ?? ?? ?? 8B 4D CC BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 DB 74 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 C8 50 8B 4D E8 8B 55 FC 8B C6 8B 18 FF 53 14 8B 55 C8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 C4 50 8B 4D F4 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 78 50 00 74 32 6A 00 6A 01 8D 45 C0 50 8B 15 ?? ?? ?? ?? 8B 12 8B 4D E8 8B C6 8B 18 FF 53 14 8B 55 C0 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 50 8B 45 F8 50 8B 45 0C 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D F0 8B 55 FC 8B C6 8B 18 FF 53 50 89 45 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 10 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 6E 00 75 00 6D 00 6F 00 66 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 76 00 69 00 73 00 69 00 62 00 69 00 6C 00 69 00 74 00 79 00 74 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 65 00 65 00 6B 00 6F 00 6E 00 6C 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_4239_0 {
	meta:
		name = "TAzureQueueService.GetMessagesXML"
		size = 43
		refs = "0020 TAzureQueueService.GetOrPeekMessagesXML"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 57 8B 45 10 50 8B 45 0C 50 8B 45 08 50 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_4240_0 {
	meta:
		name = "TAzureQueueService.GetMessages"
		size = 102
		refs = "0012 TAzureQueueService.GetMessages 002f TAzureQueueService.GetMessagesXML 0039 TAzureQueueService.GetMessagesFromXML 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 45 08 50 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4241_0 {
	meta:
		name = "TAzureQueueService.GetMessagesFromXML"
		size = 956
		refs = "0017 TAzureQueueService.GetMessagesFromXML 0027 EmptyStr 002e @UStrEqual 003b _DV_TList<Data.Cloud.CloudAPI.TCloudQueueMessage> 0040 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Create 004b _Dn_TXMLDocument 0050 TXMLDocument.Create 0064 @IntfCopy 010b _Dn_TStringList 0110 TStringList.Create 012a @UStrLAsg 0140 AnsiCompareText 01f7 TStrings.SetValue 0250 _Dn_TCloudQueueMessage 0255 TCloudQueueMessage.Create 0266 @UStrAsg 0270 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.Add 0285 TObject.Free 02be IXMLNode 02c8 @FinalizeArray 02d5 @UStrArrayClr 02dd @IntfClear 02e5 @UStrClr 031b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0C 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 74 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 91 A0 00 00 00 8D 55 F8 8B 45 FC 8B 08 FF 51 18 83 7D F8 00 0F 84 22 02 00 00 8B 45 F8 8B 10 FF 52 24 84 C0 0F 84 12 02 00 00 8D 55 B8 8B 45 F8 8B 08 FF 51 14 8B 45 B8 8D 4D F4 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F4 00 0F 84 ED 01 00 00 33 C0 89 45 C4 8D 55 B4 8B 45 F4 8B 08 FF 51 34 8B 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 A7 01 00 00 8B 45 F4 8B 10 FF 52 24 84 C0 0F 84 97 01 00 00 8D 55 B0 8B 45 F4 8B 08 FF 51 14 8B 45 B0 8D 55 F0 8B 08 FF 51 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C4 83 7D F0 00 0F 84 FD 00 00 00 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 DC 8B 45 F0 8B 08 FF 51 34 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 10 8D 55 EC 8B 45 F0 8B 08 FF 51 50 E9 9E 00 00 00 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D4 8B 45 F0 8B 08 FF 51 34 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 94 45 C3 80 7D C3 00 74 0D 8D 55 E8 8B 45 F0 8B 08 FF 51 50 EB 62 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 CC 8B 45 F0 8B 08 FF 51 34 8B 55 CC 8B 45 D0 E8 ?? ?? ?? ?? 85 C0 0F 94 45 C2 80 7D C2 00 74 0D 8D 55 E4 8B 45 F0 8B 08 FF 51 50 EB 26 8D 55 AC 8B 45 F0 8B 08 FF 51 50 8B 45 AC 50 8D 55 A8 8B 45 F0 8B 08 FF 51 34 8B 55 A8 8B 45 C4 59 E8 ?? ?? ?? ?? 8D 55 A4 8B 45 F0 8B 08 FF 91 90 00 00 00 8B 55 A4 8D 45 F0 E8 ?? ?? ?? ?? 83 7D F0 00 0F 85 03 FF FF FF 8B 45 EC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 46 8B 45 E8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 34 8B 45 E8 50 8B 45 C4 50 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 8B 45 C8 83 C0 10 8B 55 E4 E8 ?? ?? ?? ?? 8B 55 C8 8B C6 E8 ?? ?? ?? ?? EB 13 8B 45 C4 89 45 BC 33 C0 89 45 C4 8B 45 BC E8 ?? ?? ?? ?? 8D 55 A0 8B 45 F4 8B 08 FF 91 90 00 00 00 8B 55 A0 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 0F 85 13 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 CC BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 98 8B C6 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 51 00 75 00 65 00 75 00 65 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 49 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 54 00 65 00 78 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 6F 00 70 00 52 00 65 00 63 00 65 00 69 00 70 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_4242_0 {
	meta:
		name = "TAzureQueueService.PeekMessagesXML"
		size = 41
		refs = "001e TAzureQueueService.GetOrPeekMessagesXML"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 57 6A 00 8B 45 0C 50 8B 45 08 50 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_4243_0 {
	meta:
		name = "TAzureQueueService.PeekMessages"
		size = 98
		refs = "0012 TAzureQueueService.PeekMessages 002b TAzureQueueService.PeekMessagesXML 0035 TAzureQueueService.GetMessagesFromXML 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4244_0 {
	meta:
		name = "TAzureQueueService.DeleteMessage"
		size = 230
		refs = "0011 EmptyStr 0018 @UStrEqual 006a TAzureQueueService.GetMessages 0089 TObject.Free 0097 TList<Data.Cloud.CloudAPI.TCloudQueueMessage>.GetItem 00b9 @UStrAsg 00da TAzureQueueService.DeleteMessage"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B FA 8B F0 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 16 85 DB 74 12 8B 43 08 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 07 33 C0 E9 A3 00 00 00 8B 43 10 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 7D 80 7D 0C 00 75 07 33 C0 E9 84 00 00 00 6A 00 8B 45 08 50 B9 01 00 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 09 8B 45 FC 83 78 08 01 74 11 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 EB 4D 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 8B 53 08 E8 ?? ?? ?? ?? 75 15 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 50 10 8D 43 10 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 8B 43 10 50 8B 45 08 50 8B 4B 08 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4245_0 {
	meta:
		name = "TAzureQueueService.DeleteMessage"
		size = 668
		refs = "0024 TAzureQueueService.DeleteMessage 0032 EmptyStr 0039 @UStrEqual 0072 TAzureService.GetConnectionInfo 007a TAzureConnectionInfo.QueueURL 00b2 URLEncode 00ce Format 00d5 _Dn_TStringList 00da TStringList.Create 00e9 TAzureService.PopulateDateHeader 0108 TStrings.SetValue 0118 TAzureQueueService.GetQueuesQueryPrefix 012e @UStrCatN 016b TCloudHTTP.GetResponseCode 019b TObject.Free 01bb @HandleFinally 01d2 @UStrClr 01df @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 DB 89 5D B8 89 5D C4 89 5D C0 89 5D FC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 23 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 12 8B 45 0C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 F7 00 E9 56 01 00 00 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8D 55 C4 E8 ?? ?? ?? ?? 8B 45 C4 89 45 C8 C6 45 CC 11 89 75 D0 C6 45 D4 11 89 7D D8 C6 45 DC 11 8D 45 C0 50 66 C7 45 BC 2B 00 66 C7 45 BE 3D 00 8D 55 BC B9 01 00 00 00 8B 45 0C E8 ?? ?? ?? ?? 8B 45 C0 89 45 E0 C6 45 E4 11 8D 55 C8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C9 8B 55 F0 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 4D 0C BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 B8 50 8B CE 8B 55 F0 8B C3 E8 ?? ?? ?? ?? FF 75 B8 68 ?? ?? ?? ?? 57 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 50 8B 45 F8 50 8B 45 08 50 8B 4D F0 8B 55 FC 8B C3 8B 18 FF 53 6C 89 45 EC 83 7D EC 00 74 0F 8B 45 EC E8 ?? ?? ?? ?? 3D CC 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 2F 00 25 00 73 00 3F 00 70 00 6F 00 70 00 72 00 65 00 63 00 65 00 69 00 70 00 74 00 3D 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 70 00 6F 00 70 00 72 00 65 00 63 00 65 00 69 00 70 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_4246_0 {
	meta:
		name = "TAzureQueueService.ClearMessages"
		size = 444
		refs = "0021 TAzureQueueService.ClearMessages 002f EmptyStr 0036 @UStrEqual 004c TAzureService.GetConnectionInfo 0054 TAzureConnectionInfo.QueueURL 0077 Format 007e _Dn_TStringList 0083 TStringList.Create 0092 TAzureService.PopulateDateHeader 00a2 TAzureQueueService.GetQueuesQueryPrefix 00b2 @UStrCat3 00ed TCloudHTTP.GetResponseCode 011d TObject.Free 0130 @HandleFinally 014c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 DB 89 5D D0 89 5D D4 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 F3 00 E9 F1 00 00 00 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 89 45 D8 C6 45 DC 11 89 75 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C9 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 D0 50 8B CE 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8B 45 F4 50 8B 4D EC 8B 55 FC 8B C3 8B 18 FF 53 6C 89 45 E8 83 7D E8 00 74 0F 8B 45 E8 E8 ?? ?? ?? ?? 3D CC 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_4247_0 {
	meta:
		name = "TAzureBlobService.ListContainersXML"
		size = 572
		refs = "0022 TAzureBlobService.ListContainersXML 002f TAzureService.GetConnectionInfo 0037 TAzureConnectionInfo.BlobURL 003e _Dn_TStringList 0043 TStringList.Create 0052 TAzureService.PopulateDateHeader 0071 TStrings.SetValue 00c0 @UStrLAsg 00ec Format 0113 @UStrClr 0144 TObject.Free 0164 @HandleFinally 0190 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D E4 89 5D FC 89 5D F8 89 4D F4 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C9 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 78 50 00 75 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 85 FF 74 0A 8B D7 8B 45 EC 8B 08 FF 51 40 6A 00 6A 01 8D 45 E4 50 8B 4D EC 8B 55 FC 8B C6 8B 18 FF 53 14 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8B C6 E8 ?? ?? ?? ?? 8D 55 D8 8B 08 FF 51 40 8B 45 D8 89 45 DC C6 45 E0 11 8D 55 DC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 50 8B 45 F8 50 8B 45 F4 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D F0 8B 55 FC 8B C6 8B 18 FF 53 50 89 45 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 69 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2F 00 25 00 73 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_4248_0 {
	meta:
		name = "TAzureBlobService.LoadChildrenAsProperties"
		size = 298
		refs = "0013 @IntfAddRef 001b TAzureBlobService.LoadChildrenAsProperties 0028 _Dn_TStringList 002d TStringList.Create 00a6 TStrings.SetValue 00cc @IntfCopy 00d2 @HandleFinally 00ef @IntfClear 00fc @UStrArrayClr 010d IXMLNode 0117 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 83 7D FC 00 0F 84 A0 00 00 00 8B 45 FC 8B 10 FF 52 24 84 C0 0F 84 90 00 00 00 8D 55 F0 8B 45 FC 8B 08 FF 51 14 8B 45 F0 8D 55 F8 8B 08 FF 51 34 83 7D F8 00 74 74 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 28 84 C0 74 26 8D 55 EC 8B 45 F8 8B 08 FF 51 50 8B 45 EC 50 8D 55 E8 8B 45 F8 8B 08 FF 51 34 8B 55 E8 8B 45 F4 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 E4 8B 45 F8 8B 08 FF 91 90 00 00 00 8B 55 E4 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 83 7D F8 00 75 8C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_4249_0 {
	meta:
		name = "TAzureBlobService.ParseContainerFromContainerNode"
		size = 836
		refs = "001b @IntfAddRef 0023 TAzureBlobService.ParseContainerFromContainerNode 004c @UStrLAsg 0057 AnsiCompareText 0170 TAzureBlobService.LoadChildrenAsProperties 01d8 @IntfCopy 01de @HandleFinally 01f3 EmptyStr 01fa @UStrEqual 0224 _DV_TAzureContainer 0229 TAzureContainer.Create 024c TObject.Free 0276 @IntfClear 028b @UStrArrayClr 0294 IXMLNode 029e @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 FC 89 45 C4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 C0 83 7D FC 00 74 2A 8D 55 EC 8B 45 FC 8B 08 FF 51 34 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 EB 02 33 C0 84 C0 0F 84 F9 01 00 00 8B 45 FC 8B 10 FF 52 24 84 C0 0F 84 E9 01 00 00 33 C0 89 45 BC 33 C0 89 45 B8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 B0 8B 45 FC 8B 08 FF 51 14 8B 45 B0 8D 55 F8 8B 08 FF 51 34 83 7D F8 00 0F 84 3A 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B 45 F8 8B 08 FF 51 34 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 10 8D 55 F4 8B 45 F8 8B 08 FF 51 50 E9 B8 00 00 00 8D 55 DC 8B 45 F8 8B 08 FF 51 34 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 85 C0 0F 94 45 B7 80 7D B7 00 74 0D 8D 55 F0 8B 45 F8 8B 08 FF 51 50 EB 7C 8D 55 D4 8B 45 F8 8B 08 FF 51 34 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B 45 D4 E8 ?? ?? ?? ?? 85 C0 0F 94 45 B6 80 7D B6 00 74 10 8B 55 F8 8B 45 C4 E8 ?? ?? ?? ?? 89 45 BC EB 3D 8D 55 CC 8B 45 F8 8B 08 FF 51 34 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B 45 CC E8 ?? ?? ?? ?? 85 C0 0F 94 45 B5 80 7D B5 00 74 0E 8B 55 F8 8B 45 C4 E8 ?? ?? ?? ?? 89 45 B8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 AC 8B 45 F8 8B 08 FF 91 90 00 00 00 8B 55 AC 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 83 7D F8 00 0F 85 C6 FE FF FF 8B 45 F4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 30 8B 45 F0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 1E 8B 45 F0 50 8B 45 BC 50 8B 45 B8 50 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D C0 00 75 1A 8B 45 BC 33 D2 89 55 BC E8 ?? ?? ?? ?? 8B 45 B8 33 D2 89 55 B8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 C8 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 8B 45 C0 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 55 00 52 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_4250_0 {
	meta:
		name = "TAzureBlobService.PopulateBlobPropertyHeaders"
		size = 1328
		refs = "001e TAzureBlobService.PopulateBlobPropertyHeaders 0058 TStrings.GetName 0063 @UStrLAsg 007b AnsiCompareText 00c0 TStrings.GetValueFromIndex 00d0 TStrings.SetValue 0304 @UStrArrayClr 0317 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0E 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F1 89 55 A8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 BE 02 00 00 83 7D A8 00 0F 84 B4 02 00 00 8B C6 8B 10 FF 52 14 48 85 C0 0F 8C A4 02 00 00 40 89 45 A4 33 DB 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 28 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 21 8D 4D A0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D A0 BA ?? ?? ?? ?? 8B 45 A8 E8 ?? ?? ?? ?? E9 0B 02 00 00 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 28 8D 45 E0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 21 8D 4D 9C 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D 9C BA ?? ?? ?? ?? 8B 45 A8 E8 ?? ?? ?? ?? E9 8E 01 00 00 8D 45 D8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 28 8D 45 D0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 45 D0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 21 8D 4D 98 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D 98 BA ?? ?? ?? ?? 8B 45 A8 E8 ?? ?? ?? ?? E9 11 01 00 00 8D 45 C8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B 45 C8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 28 8D 45 C0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 45 C0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 21 8D 4D 94 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D 94 BA ?? ?? ?? ?? 8B 45 A8 E8 ?? ?? ?? ?? E9 94 00 00 00 8D 45 B8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B 45 B8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 28 8D 45 B0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 AC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 8B 45 B0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 1E 8D 4D 90 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D 90 BA ?? ?? ?? ?? 8B 45 A8 E8 ?? ?? ?? ?? EB 1A 8D 4D 8C 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D 8C 8B 55 FC 8B 45 A8 E8 ?? ?? ?? ?? 43 FF 4D A4 0F 85 62 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC BA 15 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 17 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 61 00 63 00 68 00 65 00 2D 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 61 00 63 00 68 00 65 00 2D 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6D 00 64 00 35 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4D 00 44 00 35 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_4251_0 {
	meta:
		name = "TAzureBlobService.PutBlock"
		size = 984
		refs = "0035 @UStrAddRef 0045 @DynArrayAddRef 004d TAzureBlobService.PutBlock 0062 EmptyStr 0069 @UStrEqual 00a2 AnsiLowerCase 00ad @UStrLAsg 00b8 TAzureService.GetConnectionInfo 00c0 TAzureConnectionInfo.BlobURL 00df URLEncode 00fb Format 0102 _Dn_TStringList 0107 TStringList.Create 0116 TAzureService.PopulateDateHeader 0136 TStrings.SetValue 0162 _Dn_TBytesStream 0167 TBytesStream.Create 017b IntToStr 01ab TAzureBlobService.GetBlobContainerQueryPrefix 023c TCloudHTTP.GetResponseCode 026c TObject.Free 0299 @HandleFinally 02b5 @UStrArrayClr 02bd @UStrClr 02d3 TArray<System.Byte> 02d8 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 DB 89 5D AC 89 5D B0 89 5D B4 89 5D BC 89 5D B8 89 5D D8 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B D8 8B 7D 10 8B 75 18 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 14 00 74 35 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 23 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 11 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 EF 00 E9 04 02 00 00 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F4 50 8B C3 E8 ?? ?? ?? ?? 8D 55 BC E8 ?? ?? ?? ?? 8B 45 BC 89 45 C0 C6 45 C4 11 8B 45 FC 89 45 C8 C6 45 CC 11 8D 55 B8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B8 89 45 D0 C6 45 D4 11 8D 55 C0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C9 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B CF BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 0C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 10 8B 4D 0C BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 4D 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 8B 10 FF 12 52 50 8D 45 B4 E8 ?? ?? ?? ?? 8B 4D B4 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8D 55 B0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B0 50 8D 45 F0 50 8B 4D FC 8B 55 E4 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B CE BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 AC 50 8B 4D E0 8B 55 F4 8B C3 8B 30 FF 56 14 8B 55 AC 8D 45 F4 E8 ?? ?? ?? ?? 33 C0 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E0 50 8B 45 F0 50 8B 45 08 50 8B 45 E8 50 8B 4D E4 8B 55 F4 8B C3 8B 18 FF 53 58 89 45 DC 83 7D DC 00 74 0F 8B 45 DC E8 ?? ?? ?? ?? 3D C9 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0D 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 0F B6 45 EF 5F 5E 5B 8B E5 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4D 00 44 00 35 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 62 00 6C 00 6F 00 63 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 6C 00 6F 00 63 00 6B 00 69 00 64 00 00 00 }
	condition:
		$1
}

rule function_4252_0 {
	meta:
		name = "TAzureBlobService.PutBlockBlob"
		size = 844
		refs = "002f @UStrAddRef 003f @DynArrayAddRef 004f TAzureBlobService.PutBlockBlob 0064 EmptyStr 006b @UStrEqual 0093 AnsiLowerCase 009e @UStrLAsg 00a9 TAzureService.GetConnectionInfo 00b1 TAzureConnectionInfo.BlobURL 00d0 URLEncode 00ec Format 00f6 TAzureBlobService.BuildMetadataHeaderList 0105 TAzureService.PopulateDateHeader 0117 TStrings.SetValue 0151 _Dn_TBytesStream 0156 TBytesStream.Create 016a IntToStr 019a TAzureBlobService.GetBlobContainerQueryPrefix 01d9 TCloudHTTP.GetResponseCode 0209 TObject.Free 0229 @HandleFinally 0245 @UStrArrayClr 024d @UStrClr 026b TArray<System.Byte> 0270 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 DB 89 5D B4 89 5D B8 89 5D C0 89 5D BC 89 5D DC 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B F0 8B 7D 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 18 E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 18 00 74 24 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 12 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 EF 00 E9 A3 01 00 00 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F4 50 8B C6 E8 ?? ?? ?? ?? 8D 55 C0 E8 ?? ?? ?? ?? 8B 45 C0 89 45 C4 C6 45 C8 11 8B 45 FC 89 45 CC C6 45 D0 11 8D 55 BC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 BC 89 45 D4 C6 45 D8 11 8D 55 C4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 0C 8B C6 E8 ?? ?? ?? ?? 89 45 E4 33 C9 8B 55 E4 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 85 FF 74 0A 8B D7 8B 45 E4 8B 08 FF 51 40 8B 45 14 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 10 8B 4D 14 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 4D 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 8B 10 FF 12 52 50 8D 45 B8 E8 ?? ?? ?? ?? 8B 4D B8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8D 55 B4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B4 50 8D 45 F0 50 8B 4D FC 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F0 50 8B 45 08 50 8B 45 E8 50 8B 4D E4 8B 55 F4 8B C6 8B 18 FF 53 58 89 45 E0 83 7D E0 00 74 0F 8B 45 E0 E8 ?? ?? ?? ?? 3D C9 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E0 00 74 0D 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 14 E8 ?? ?? ?? ?? 8D 45 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 0F B6 45 EF 5F 5E 5B 8B E5 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 42 00 6C 00 6F 00 63 00 6B 00 42 00 6C 00 6F 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_4253_0 {
	meta:
		name = "TAzureBlobService.PutBlockList"
		size = 1264
		refs = "003f @UStrAddRef 0050 TAzureBlockListItem 0055 @InitializeRecord 005d TAzureBlobService.PutBlockList 006c EmptyStr 0073 @UStrEqual 00a6 TAzureService.GetConnectionInfo 00ae TAzureConnectionInfo.BlobURL 00cd URLEncode 00e9 Format 00f4 TAzureBlobService.BuildMetadataHeaderList 0104 TAzureService.PopulateDateHeader 0124 TStrings.SetValue 0152 TAzureBlobService.PopulateBlobPropertyHeaders 0159 _Dn_TStringList 015e TStringList.Create 0194 @UStrLAsg 01a8 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.GetEnumerator 01c6 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.TEnumerator.GetCurrent 01d1 TAzureBlockListItem.AsXML 01dc @UStrCat 01e4 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.TEnumerator.MoveNext 020b @HandleFinally 021f TEncoding.GetUTF8 022a TEncoding.GetBytes 0234 _Dn_TBytesStream 0239 TBytesStream.Create 024d IntToStr 027e TAzureBlobService.GetBlobContainerQueryPrefix 02c0 TCloudHTTP.GetResponseCode 02f0 TObject.Free 0339 @UStrArrayClr 0342 TArray<System.Byte> 0347 @DynArrayClear 0362 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 57 33 DB 89 5D 90 89 5D 94 89 5D 98 89 5D 9C 89 5D A0 89 5D A8 89 5D A4 89 5D F4 89 5D F0 89 5D EC 89 4D F8 89 55 FC 89 45 DC 8B 7D 0C 8B 75 10 8B 5D 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 1C 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0A 85 DB 74 06 83 7B 08 00 75 09 C6 45 DB 00 E9 85 02 00 00 8D 45 F4 50 8B 45 DC E8 ?? ?? ?? ?? 8D 55 A8 E8 ?? ?? ?? ?? 8B 45 A8 89 45 AC C6 45 B0 11 8B 45 FC 89 45 B4 C6 45 B8 11 8D 55 A4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 A4 89 45 BC C6 45 C0 11 8D 55 AC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 14 8B 45 DC E8 ?? ?? ?? ?? 89 45 D0 33 C9 8B 55 D0 8B 45 DC E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B CE BA ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B CF BA ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 8B 4D 18 8B 55 D0 8B 45 DC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 A0 50 8B 4D CC 8B 55 F4 8B 45 DC 8B 30 FF 56 14 8B 55 A0 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 C4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 E0 8B 45 C4 E8 ?? ?? ?? ?? 8D 55 9C 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 9C 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D C4 00 74 0A B2 01 8B 45 C4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D 98 8B 55 F0 E8 ?? ?? ?? ?? 8B 4D 98 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 8B 45 D4 8B 10 FF 12 52 50 8D 45 94 E8 ?? ?? ?? ?? 8B 4D 94 BA ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 8D 55 90 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 90 50 8D 45 EC 50 8B 4D FC 8B 55 D0 8B 45 DC E8 ?? ?? ?? ?? 33 C0 89 45 C8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 CC 50 8B 45 EC 50 8B 45 08 50 8B 45 D4 50 8B 4D D0 8B 55 F4 8B 45 DC 8B 18 FF 53 58 89 45 C8 83 7D C8 00 74 0F 8B 45 C8 E8 ?? ?? ?? ?? 3D C9 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D C8 00 74 0D 8B 45 C8 33 D2 89 55 C8 E8 ?? ?? ?? ?? 8B 45 D4 33 D2 89 55 D4 E8 ?? ?? ?? ?? 8B 45 CC 33 D2 89 55 CC E8 ?? ?? ?? ?? 8B 45 D0 33 D2 89 55 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 90 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 98 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 9C BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 0F B6 45 DB 5F 5E 5B 8B E5 5D C2 18 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4D 00 44 00 35 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 62 00 6C 00 6F 00 63 00 6B 00 6C 00 69 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 31 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 75 00 74 00 66 00 2D 00 38 00 22 00 3F 00 3E 00 3C 00 42 00 6C 00 6F 00 63 00 6B 00 4C 00 69 00 73 00 74 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 3C 00 2F 00 42 00 6C 00 6F 00 63 00 6B 00 4C 00 69 00 73 00 74 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_4254_0 {
	meta:
		name = "TAzureBlobService.PutPageInternal"
		size = 1432
		refs = "0059 @UStrAddRef 0069 @DynArrayAddRef 0072 TBlobActionConditional 0077 @AddRefRecord 007f TAzureBlobService.PutPageInternal 008e EmptyStr 0095 @UStrEqual 00e8 AnsiLowerCase 00f3 @UStrLAsg 00fe TAzureService.GetConnectionInfo 0106 TAzureConnectionInfo.BlobURL 0128 URLEncode 0147 Format 014e _Dn_TStringList 0153 TStringList.Create 0162 TAzureService.PopulateDateHeader 01c5 TStrings.SetValue 021c _Dn_TBytesStream 0221 TBytesStream.Create 0238 IntToStr 0294 TBlobActionConditional.PopulateHeaders 02ba TAzureBlobService.GetBlobContainerQueryPrefix 0342 TCloudHTTP.GetResponseCode 0372 TObject.Free 039f @HandleFinally 03be @UStrArrayClr 03d6 @UStrClr 03e4 @FinalizeRecord 03fa TArray<System.Byte> 03ff @DynArrayClear"
	strings:
		$1 = { 55 8B EC 81 C4 5C FF FF FF 53 56 57 33 DB 89 9D 5C FF FF FF 89 9D 60 FF FF FF 89 9D 64 FF FF FF 89 9D 78 FF FF FF 89 5D 80 89 9D 7C FF FF FF 89 5D 9C 89 5D F4 89 5D F0 8B 75 14 8D 7D C4 51 B9 0B 00 00 00 F3 A5 59 89 4D F8 89 55 FC 8B F0 8B 7D 10 8B 5D 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 24 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 1C 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0A 83 7D 24 00 75 0D 84 DB 75 09 C6 45 C3 00 E9 E5 02 00 00 8B 45 1C C1 E0 09 99 89 45 A8 89 55 AC 8B 45 18 C1 E0 09 48 99 03 45 A8 13 55 AC 89 45 A0 89 55 A4 8D 55 9C 8B 45 FC E8 ?? ?? ?? ?? 8B 55 9C 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F4 50 8B C6 E8 ?? ?? ?? ?? 8D 55 80 E8 ?? ?? ?? ?? 8B 45 80 89 45 84 C6 45 88 11 8B 45 FC 89 45 8C C6 45 90 11 8D 95 7C FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 89 45 94 C6 45 98 11 8D 55 84 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B8 33 C9 8B 55 B8 8B C6 E8 ?? ?? ?? ?? 8B 45 A0 8B 55 A4 3B 55 AC 75 07 3B 45 A8 76 53 EB 02 7E 4F 8D 85 78 FF FF FF 50 8D 45 A8 89 85 68 FF FF FF C6 85 6C FF FF FF 10 8D 45 A0 89 85 70 FF FF FF C6 85 74 FF FF FF 10 8D 95 68 FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 78 FF FF FF BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B CF BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 8B 45 0C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 10 8B 4D 0C BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 33 C0 89 45 BC 83 7D 24 00 74 3B 8B 4D 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 BC 8B 45 BC 8B 10 FF 12 52 50 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 8B 8D 64 FF FF FF BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? EB 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 84 DB 74 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? EB 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 8D 45 C4 8B 55 B8 E8 ?? ?? ?? ?? 8D 95 60 FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 50 8D 45 F0 50 8B 4D FC 8B 55 B8 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B4 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 B4 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 85 5C FF FF FF 50 8B 4D B4 8B 55 F4 8B C6 8B 18 FF 53 14 8B 95 5C FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 33 C0 89 45 B0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 B4 50 8B 45 F0 50 8B 45 08 50 8B 45 BC 50 8B 4D B8 8B 55 F4 8B C6 8B 18 FF 53 58 89 45 B0 83 7D B0 00 74 0F 8B 45 B0 E8 ?? ?? ?? ?? 3D C9 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D B0 00 74 0D 8B 45 B0 33 D2 89 55 B0 E8 ?? ?? ?? ?? 8B 45 BC 33 D2 89 55 BC E8 ?? ?? ?? ?? 8B 45 B4 33 D2 89 55 B4 E8 ?? ?? ?? ?? 8B 45 B8 33 D2 89 55 B8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 5C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A7 0F B6 45 C3 5F 5E 5B 8B E5 5D C2 20 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 62 00 79 00 74 00 65 00 73 00 3D 00 25 00 64 00 2D 00 25 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 72 00 61 00 6E 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4D 00 44 00 35 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 65 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 70 00 61 00 67 00 65 00 2D 00 77 00 72 00 69 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 75 00 70 00 64 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 70 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_4255_0 {
	meta:
		name = "TAzureBlobService.PutPage"
		size = 180
		refs = "0020 @UStrAddRef 0030 @DynArrayAddRef 0038 TAzureBlobService.PutPage 004e TBlobActionConditional.Create 007f TBlobActionConditional 0084 @FinalizeRecord 0091 @UStrArrayClr 009a TArray<System.Byte> 009f @DynArrayClear 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 8B 45 10 50 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_4256_0 {
	meta:
		name = "TAzureBlobService.PutPage"
		size = 348
		refs = "0024 @UStrAddRef 0034 @DynArrayAddRef 003d TBlobActionConditional 0042 @AddRefRecord 004a TAzureBlobService.PutPage 0065 @DynArrayLength 0078 @TRUNC 00d1 TArray<System.Byte> 00d6 @DynArraySetLength 00ee EmptyStr 0123 @FinalizeRecord 0130 @UStrArrayClr 013e @DynArrayClear 0144 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 8B 75 10 8D 7D CC 51 B9 0B 00 00 00 F3 A5 59 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 18 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 18 00 75 07 33 DB E9 AB 00 00 00 8B 45 18 E8 ?? ?? ?? ?? 8B D8 89 5D B4 DB 45 B4 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C0 89 55 C4 8B C3 25 FF 01 00 80 79 07 48 0D 00 FE FF FF 40 50 B8 00 02 00 00 5A 2B C2 99 89 45 B8 89 55 BC 83 7D BC 00 75 0B 81 7D B8 00 02 00 00 73 2C EB 02 7D 28 83 45 C0 01 83 55 C4 00 8B C3 99 03 45 B8 13 55 BC 50 8D 45 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 18 50 8B 45 14 50 8B 45 C0 50 8D 45 CC 50 A1 ?? ?? ?? ?? 8B 00 50 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 14 00 00 00 00 00 00 00 44 }
	condition:
		$1
}

rule function_4257_0 {
	meta:
		name = "TAzureBlobService.PutPage"
		size = 202
		refs = "0024 @UStrAddRef 0034 @DynArrayAddRef 003d TBlobActionConditional 0042 @AddRefRecord 004a TAzureBlobService.PutPage 007b TAzureBlobService.PutPageInternal 0098 @FinalizeRecord 00a5 @UStrArrayClr 00ae TArray<System.Byte> 00b3 @DynArrayClear 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B 75 14 8D 7D CC 51 B9 0B 00 00 00 F3 A5 59 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 20 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 20 50 6A 00 8B 45 1C 50 8B 45 18 50 8D 45 CC 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule function_4258_0 {
	meta:
		name = "TAzureBlobService.PutPage"
		size = 188
		refs = "0020 @UStrAddRef 0030 @DynArrayAddRef 0038 TAzureBlobService.PutPage 0052 TBlobActionConditional.Create 0087 TBlobActionConditional 008c @FinalizeRecord 0099 @UStrArrayClr 00a2 TArray<System.Byte> 00a7 @DynArrayClear 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 1C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 8B 45 0C 50 8B 45 10 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_4259_0 {
	meta:
		name = "TAzureBlobService.ClearPage"
		size = 182
		refs = "0024 @UStrAddRef 0035 TBlobActionConditional 003a @AddRefRecord 0042 TAzureBlobService.ClearPage 005d EmptyStr 0075 TAzureBlobService.PutPageInternal 0092 @FinalizeRecord 009f @UStrArrayClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B 75 10 8D 7D CC 51 B9 0B 00 00 00 F3 A5 59 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 01 8B 45 18 50 8B 45 14 50 8D 45 CC 50 A1 ?? ?? ?? ?? 8B 00 50 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_4260_0 {
	meta:
		name = "TAzureBlobService.ClearPage"
		size = 158
		refs = "0020 @UStrAddRef 0030 TAzureBlobService.ClearPage 0046 TBlobActionConditional.Create 0077 TBlobActionConditional 007c @FinalizeRecord 0089 @UStrArrayClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 8B 45 10 50 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_4261_0 {
	meta:
		name = "TAzureBlobService.PutPageBlob"
		size = 920
		refs = "0032 @UStrAddRef 0042 TAzureBlobService.PutPageBlob 0064 EmptyStr 006b @UStrEqual 0093 AnsiLowerCase 009e @UStrLAsg 00a9 TAzureService.GetConnectionInfo 00b1 TAzureConnectionInfo.BlobURL 00d0 URLEncode 00ec Format 00f6 TAzureBlobService.BuildMetadataHeaderList 0105 TAzureService.PopulateDateHeader 0117 TStrings.SetValue 0145 IntToStr 01a3 TAzureBlobService.GetBlobContainerQueryPrefix 01e0 TCloudHTTP.GetResponseCode 0210 TObject.Free 0223 @HandleFinally 023f @UStrArrayClr 0247 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 DB 89 5D B4 89 5D B8 89 5D BC 89 5D C4 89 5D C0 89 5D E0 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B F0 8B 7D 18 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 20 00 75 0B 81 7D 1C 00 02 00 00 72 28 EB 02 7C 24 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 12 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 EF 00 E9 9D 01 00 00 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F4 50 8B C6 E8 ?? ?? ?? ?? 8D 55 C4 E8 ?? ?? ?? ?? 8B 45 C4 89 45 C8 C6 45 CC 11 8B 45 FC 89 45 D0 C6 45 D4 11 8D 55 C0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 C0 89 45 D8 C6 45 DC 11 8D 55 C8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 14 8B C6 E8 ?? ?? ?? ?? 89 45 E8 33 C9 8B 55 E8 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 85 FF 74 0A 8B D7 8B 45 E8 8B 08 FF 51 40 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? FF 75 20 FF 75 1C 8D 45 BC E8 ?? ?? ?? ?? 8B 4D BC BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 83 7D 10 00 75 08 83 7D 0C 00 76 22 EB 02 7E 1E FF 75 10 FF 75 0C 8D 45 B8 E8 ?? ?? ?? ?? 8B 4D B8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 B4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B4 50 8D 45 F0 50 8B 4D FC 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F0 50 8B 45 08 50 6A 00 8B 4D E8 8B 55 F4 8B C6 8B 18 FF 53 58 89 45 E4 83 7D E4 00 74 0F 8B 45 E4 E8 ?? ?? ?? ?? 3D C9 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 0F B6 45 EF 5F 5E 5B 8B E5 5D C2 1C 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 67 00 65 00 42 00 6C 00 6F 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 73 00 65 00 71 00 75 00 65 00 6E 00 63 00 65 00 2D 00 6E 00 75 00 6D 00 62 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_4262_0 {
	meta:
		name = "TAzureBlobService.SetContainerACL"
		size = 252
		refs = "001d @UStrAddRef 0026 TAccessPolicy 002b @AddRefRecord 0033 TAzureBlobService.SetContainerACL 0040 _DV_TList<Data.Cloud.AzureAPI.TSignedIdentifier> 0045 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Create 0065 _DV_TSignedIdentifier 006a TSignedIdentifier.Create 0078 TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Add 00ab TObject.Free 00be @HandleFinally 00db @FinalizeRecord 00e3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B 75 10 8D 7D F0 A5 A5 A5 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F0 50 56 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 0F B6 45 0C 50 8B 45 08 50 8B 4D E8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 0F B6 45 EF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_4263_0 {
	meta:
		name = "TAzureBlobService.SetBlobMetadata"
		size = 732
		refs = "002b @UStrAddRef 0043 TAzureBlobService.SetBlobMetadata 0052 EmptyStr 0059 @UStrEqual 0081 AnsiLowerCase 008c @UStrLAsg 0097 TAzureService.GetConnectionInfo 009f TAzureConnectionInfo.BlobURL 00be URLEncode 00da Format 00e4 TAzureBlobService.BuildMetadataHeaderList 00f3 TAzureService.PopulateDateHeader 0105 TStrings.SetValue 0125 TAzureBlobService.GetBlobContainerQueryPrefix 012c _Dn_TStringList 0131 TStringList.Create 01a5 TCloudHTTP.GetResponseCode 01d5 TObject.Free 01f5 @HandleFinally 0211 @UStrArrayClr 0219 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 33 DB 89 5D B4 89 5D B8 89 5D C0 89 5D BC 89 5D DC 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 12 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 EF 00 E9 81 01 00 00 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F4 50 8B C3 E8 ?? ?? ?? ?? 8D 55 C0 E8 ?? ?? ?? ?? 8B 45 C0 89 45 C4 C6 45 C8 11 8B 45 FC 89 45 CC C6 45 D0 11 8D 55 BC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 BC 89 45 D4 C6 45 D8 11 8D 55 C4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 10 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C9 8B 55 E8 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 B8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B8 50 8D 45 F0 50 8B 4D FC 8B 55 E8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 B4 50 8B 4D E4 8B 55 F4 8B C3 8B 30 FF 56 14 8B 55 B4 8D 45 F4 E8 ?? ?? ?? ?? 33 C0 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E4 50 8B 45 F0 50 8B 45 08 50 6A 00 8B 4D E8 8B 55 F4 8B C3 8B 18 FF 53 58 89 45 E0 83 7D E0 00 74 0F 8B 45 E0 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E0 00 74 0D 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 0F B6 45 EF 5E 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_4264_0 {
	meta:
		name = "TAzureBlobService.SetBlobProperties"
		size = 808
		refs = "002e @UStrAddRef 003e TAzureBlobService.SetBlobProperties 004d EmptyStr 0054 @UStrEqual 007c AnsiLowerCase 0087 @UStrLAsg 0092 TAzureService.GetConnectionInfo 009a TAzureConnectionInfo.BlobURL 00b9 URLEncode 00d5 Format 00dc _Dn_TStringList 00e1 TStringList.Create 00f0 TAzureService.PopulateDateHeader 0110 TStrings.SetValue 012f TAzureBlobService.PopulateBlobPropertyHeaders 014f TAzureBlobService.GetBlobContainerQueryPrefix 01cf TCloudHTTP.GetResponseCode 01ff TObject.Free 021f @HandleFinally 023b @UStrArrayClr 0243 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 33 DB 89 5D B4 89 5D B8 89 5D C0 89 5D BC 89 5D DC 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B D8 8B 75 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 12 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 EF 00 E9 B0 01 00 00 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F4 50 8B C3 E8 ?? ?? ?? ?? 8D 55 C0 E8 ?? ?? ?? ?? 8B 45 C0 89 45 C4 C6 45 C8 11 8B 45 FC 89 45 CC C6 45 D0 11 8D 55 BC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 BC 89 45 D4 C6 45 D8 11 8D 55 C4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C9 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B CE BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 4D 10 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 55 B8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B8 50 8D 45 F0 50 8B 4D FC 8B 55 E8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 B4 50 8B 4D E4 8B 55 F4 8B C3 8B 30 FF 56 14 8B 55 B4 8D 45 F4 E8 ?? ?? ?? ?? 33 C0 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E4 50 8B 45 F0 50 8B 45 08 50 6A 00 8B 4D E8 8B 55 F4 8B C3 8B 18 FF 53 58 89 45 E0 83 7D E0 00 74 0F 8B 45 E0 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E0 00 74 0D 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 0F B6 45 EF 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_4265_0 {
	meta:
		name = "TAzureBlobService.SetContainerACL"
		size = 1256
		refs = "0035 @UStrAddRef 003d TAzureBlobService.SetContainerACL 005b AnsiLowerCase 0066 @UStrLAsg 0072 TAzureService.GetConnectionInfo 007a TAzureConnectionInfo.BlobURL 00a0 Format 00a7 _Dn_TStringList 00ac TStringList.Create 00bc TAzureService.PopulateDateHeader 00df TList<Data.Cloud.AzureAPI.TSignedIdentifier>.GetItem 00f1 @UStrCat 0107 TEncoding.GetUTF8 0112 TEncoding.GetBytes 011c _Dn_TBytesStream 0121 TBytesStream.Create 0135 IntToStr 0145 TStrings.SetValue 0176 TAzureBlobService.GetPublicAccessString 019a TAzureBlobService.GetBlobContainerQueryPrefix 0230 TCloudHTTP.GetResponseCode 0260 TObject.Free 028d @HandleFinally 02a9 @UStrArrayClr 02b2 TArray<System.Byte> 02b7 @DynArrayClear 02cc @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 DB 89 5D AC 89 5D B0 89 5D B4 89 5D B8 89 5D BC 89 5D C0 89 5D D4 89 5D F8 89 5D F4 89 5D F0 8B F9 89 55 FC 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 75 09 C6 45 EB 00 E9 3F 02 00 00 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 EC E8 ?? ?? ?? ?? 8D 55 C0 E8 ?? ?? ?? ?? 8B 45 C0 89 45 C4 C6 45 C8 11 8B 45 FC 89 45 CC C6 45 D0 11 8D 55 C4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C9 8B 55 E4 8B 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 08 8B D8 4B 85 DB 7C 22 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 55 BC 8B 08 FF 11 8B 55 BC 8D 45 F0 E8 ?? ?? ?? ?? 46 4B 75 E1 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D B8 8B 55 F0 E8 ?? ?? ?? ?? 8B 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 8B 45 D8 8B 10 FF 12 52 50 8D 45 B4 E8 ?? ?? ?? ?? 8B 4D B4 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 80 78 50 00 74 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? EB 1F 0F B6 55 0C 8D 4D B0 8B 45 EC E8 ?? ?? ?? ?? 8B 4D B0 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 6A 00 8D 45 F4 50 8B 4D FC 8B 55 E4 8B 45 EC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 AC 50 8B 4D E0 8B 55 F8 8B 45 EC 8B 18 FF 53 14 8B 55 AC 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E0 50 8B 45 F4 50 8B 45 08 50 8B 45 D8 50 8B 4D E4 8B 55 F8 8B 45 EC 8B 18 FF 53 58 89 45 DC 83 7D DC 00 74 0F 8B 45 DC E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0D 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? 8B 45 D8 33 D2 89 55 D8 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 0F B6 45 EB 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 39 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 75 00 74 00 66 00 2D 00 38 00 22 00 3F 00 3E 00 3C 00 53 00 69 00 67 00 6E 00 65 00 64 00 49 00 64 00 65 00 6E 00 74 00 69 00 66 00 69 00 65 00 72 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 3C 00 2F 00 53 00 69 00 67 00 6E 00 65 00 64 00 49 00 64 00 65 00 6E 00 74 00 69 00 66 00 69 00 65 00 72 00 73 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 70 00 72 00 6F 00 70 00 2D 00 70 00 75 00 62 00 6C 00 69 00 63 00 61 00 63 00 63 00 65 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 70 00 75 00 62 00 6C 00 69 00 63 00 2D 00 61 00 63 00 63 00 65 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 73 00 74 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 61 00 63 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_4266_0 {
	meta:
		name = "TAzureBlobService.SetContainerMetadata"
		size = 692
		refs = "0024 @UStrAddRef 002c TAzureBlobService.SetContainerMetadata 003d AnsiLowerCase 0048 @UStrLAsg 0053 TAzureService.GetConnectionInfo 005b TAzureConnectionInfo.BlobURL 0081 Format 008a TAzureBlobService.BuildMetadataHeaderList 0099 TAzureService.PopulateDateHeader 00ab TStrings.SetValue 00be TAzureBlobService.GetBlobContainerQueryPrefix 00c5 _Dn_TStringList 00ca TStringList.Create 0150 TCloudHTTP.GetResponseCode 0180 TObject.Free 01a0 @HandleFinally 01bc @UStrArrayClr 01c4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 33 DB 89 5D C8 89 5D CC 89 5D E0 89 5D F8 89 5D F4 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 8B 45 FC 89 45 D8 C6 45 DC 11 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C9 8B 55 EC 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 6A 00 8D 45 F4 50 8B 4D FC 8B 55 EC 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 C8 50 8B 4D E8 8B 55 F8 8B C3 8B 30 FF 56 14 8B 55 C8 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 50 8B 45 F4 50 8B 45 08 50 6A 00 8B 4D EC 8B 55 F8 8B C3 8B 18 FF 53 58 89 45 E4 83 7D E4 00 74 0F 8B 45 E4 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 0F B6 45 F3 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 73 00 74 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_4267_0 {
	meta:
		name = "TAzureBlobService.SnapshotBlob"
		size = 174
		refs = "0020 @UStrAddRef 003b TAzureBlobService.SnapshotBlob 0049 TBlobActionConditional.Create 0055 @UStrClr 0087 TBlobActionConditional 008c @FinalizeRecord 0099 @UStrArrayClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 14 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 8B 45 14 E8 ?? ?? ?? ?? 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_4268_0 {
	meta:
		name = "TAzureBlobService.SnapshotBlob"
		size = 984
		refs = "003e @UStrAddRef 004f TBlobActionConditional 0054 @AddRefRecord 0067 TAzureBlobService.SnapshotBlob 0076 EmptyStr 007d @UStrEqual 00a5 TAzureService.GetConnectionInfo 00ad TAzureConnectionInfo.BlobURL 00cc URLEncode 00e8 Format 00f2 TAzureBlobService.BuildMetadataHeaderList 0101 TAzureService.PopulateDateHeader 0113 TStrings.SetValue 011e TBlobActionConditional.PopulateHeaders 0145 _Dn_TStringList 014a TStringList.Create 017f @UStrLAsg 019f TAzureBlobService.GetBlobContainerQueryPrefix 01b4 _Dn_TCloudResponseInfo 01b9 TObject.Create 0209 TCloudHTTP.GetResponseCode 0232 TStrings.GetValue 023d @UStrAsg 024c @HandleAnyException 0255 @DoneExcept 0275 TObject.Free 02a3 @HandleFinally 02bf @UStrArrayClr 02cd @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 84 53 56 57 33 DB 89 5D 84 89 5D 88 89 5D 8C 89 5D 94 89 5D 90 89 5D F4 89 5D F0 8B 75 18 8D 7D C4 51 B9 0B 00 00 00 F3 A5 59 89 4D F8 89 55 FC 8B D8 8B 75 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 14 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 12 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 C3 00 E9 0B 02 00 00 8D 45 F4 50 8B C3 E8 ?? ?? ?? ?? 8D 55 94 E8 ?? ?? ?? ?? 8B 45 94 89 45 98 C6 45 9C 11 8B 45 FC 89 45 A0 C6 45 A4 11 8D 55 90 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 90 89 45 A8 C6 45 AC 11 8D 55 98 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 89 45 BC 33 C9 8B 55 BC 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 8D 45 C4 8B 55 BC E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B CE BA ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 8C 50 8B 4D B8 8B 55 F4 8B C3 8B 30 FF 56 14 8B 55 8C 8D 45 F4 E8 ?? ?? ?? ?? 8D 55 88 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 88 50 8D 45 F0 50 8B 4D FC 8B 55 BC 8B C3 E8 ?? ?? ?? ?? 83 7D 08 00 0F 94 45 B3 80 7D B3 00 74 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 08 33 C0 89 45 B4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 B8 50 8B 45 F0 50 8B 45 08 50 6A 00 8B 4D BC 8B 55 F4 8B C3 8B 18 FF 53 58 89 45 B4 83 7D B4 00 74 0F 8B 45 B4 E8 ?? ?? ?? ?? 3D C9 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 C3 80 7D C3 00 74 1E 8D 4D 84 8B 45 08 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 84 8B 45 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 C3 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D B4 00 74 0D 8B 45 B4 33 D2 89 55 B4 E8 ?? ?? ?? ?? 80 7D B3 00 74 08 8B 45 08 E8 ?? ?? ?? ?? 8B 45 B8 33 D2 89 55 B8 E8 ?? ?? ?? ?? 8B 45 BC 33 D2 89 55 BC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 84 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 0F B6 45 C3 5F 5E 5B 8B E5 5D C2 14 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 00 00 }
	condition:
		$1
}

rule function_4269_0 {
	meta:
		name = "TAzureBlobService.BuildMetadataHeaderList"
		size = 224
		refs = "0012 TAzureBlobService.BuildMetadataHeaderList 001f _Dn_TStringList 0024 TStringList.Create 0048 TStrings.GetName 0055 AnsiStartsText 0069 @UStrCat3 0075 TStrings.GetValueFromIndex 0083 TStrings.SetValue 009c @UStrClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 85 F6 74 5C 8B C6 8B 10 FF 52 14 8B F8 4F 85 FF 7C 4E 47 33 DB 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 10 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 43 4F 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6D 00 65 00 74 00 61 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_4270_0 {
	meta:
		name = "TAzureBlobService.CopyBlobInternal"
		size = 1104
		refs = "004a @UStrAddRef 006b TBlobActionConditional 0070 @AddRefRecord 0076 EmptyStr 007e TAzureBlobService.CopyBlobInternal 008e @UStrEqual 00c8 TAzureService.GetConnectionInfo 00d0 TAzureConnectionInfo.BlobURL 00ef URLEncode 010b Format 0115 TAzureBlobService.BuildMetadataHeaderList 0124 TAzureService.PopulateDateHeader 0136 TStrings.SetValue 01f6 @UStrCatN 0211 TBlobActionConditional.PopulateHeaders 0237 TAzureBlobService.GetBlobContainerQueryPrefix 0282 TCloudHTTP.GetResponseCode 02a1 @HandleAnyException 02aa @DoneExcept 02ca TObject.Free 02dd @HandleFinally 02fc @UStrArrayClr 0317 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 53 56 57 33 DB 89 9D 78 FF FF FF 89 9D 7C FF FF FF 89 5D 80 89 5D 98 89 5D 94 89 5D F4 89 5D F0 89 5D EC 8B 75 10 8D 7D C0 51 B9 0B 00 00 00 F3 A5 59 89 4D F8 89 55 FC 8B D8 8B 75 18 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 20 E8 ?? ?? ?? ?? 8B 45 1C E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 3D ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 17 E8 ?? ?? ?? ?? 74 24 8B 45 F8 8B 17 E8 ?? ?? ?? ?? 74 18 8B 45 20 8B 17 E8 ?? ?? ?? ?? 74 0C 8B 45 1C 8B 17 E8 ?? ?? ?? ?? 75 09 C6 45 BF 00 E9 22 02 00 00 8D 45 F4 50 8B C3 E8 ?? ?? ?? ?? 8D 55 98 E8 ?? ?? ?? ?? 8B 45 98 89 45 9C C6 45 A0 11 8B 45 FC 89 45 A4 C6 45 A8 11 8D 55 94 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 94 89 45 AC C6 45 B0 11 8D 55 9C B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 89 45 B8 33 C9 8B 55 B8 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 8B 45 20 8B 17 E8 ?? ?? ?? ?? 74 0F 8B 45 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3B 8D 45 EC 50 8B C3 E8 ?? ?? ?? ?? 8D 55 80 8B 08 FF 51 40 8B 45 80 89 45 84 C6 45 88 11 8B 45 1C 89 45 8C C6 45 90 11 8D 55 84 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 49 8D 45 EC 50 8B C3 E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B 08 FF 51 40 8B 85 7C FF FF FF 89 45 9C C6 45 A0 11 8B 45 20 89 45 A4 C6 45 A8 11 8B 45 1C 89 45 AC C6 45 B0 11 8D 55 9C B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 17 E8 ?? ?? ?? ?? 74 16 FF 75 EC 68 ?? ?? ?? ?? 56 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D EC BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 8D 45 C0 8B 55 B8 E8 ?? ?? ?? ?? 8D 95 78 FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 50 8D 45 F0 50 8B 4D FC 8B 55 B8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 B4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 F0 50 8B 45 08 50 6A 00 8B 4D B8 8B 55 F4 8B C3 8B 18 FF 53 58 89 45 B4 83 7D B4 00 74 0F 8B 45 B4 E8 ?? ?? ?? ?? 3D C9 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 BF 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 BF 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D B4 00 74 0D 8B 45 B4 33 D2 89 55 B4 E8 ?? ?? ?? ?? 8B 45 B8 33 D2 89 55 B8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 94 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 1C BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B3 0F B6 45 BF 5F 5E 5B 8B E5 5D C2 1C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 24 00 72 00 6F 00 6F 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 3F 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 63 00 6F 00 70 00 79 00 2D 00 73 00 6F 00 75 00 72 00 63 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_4271_0 {
	meta:
		name = "TAzureBlobService.CopyBlob"
		size = 205
		refs = "0024 @UStrAddRef 0045 TBlobActionConditional 004a @AddRefRecord 0052 TAzureBlobService.CopyBlob 007f TAzureBlobService.CopyBlobInternal 009c @FinalizeRecord 00a9 @UStrArrayClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B 75 14 8D 7D CC 51 B9 0B 00 00 00 F3 A5 59 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 1C E8 ?? ?? ?? ?? 8B 45 18 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 1C 50 8B 45 18 50 6A 00 8B 45 10 50 8D 45 CC 50 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 18 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B C3 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_4272_0 {
	meta:
		name = "TAzureBlobService.CopyBlob"
		size = 191
		refs = "0020 @UStrAddRef 0040 TAzureBlobService.CopyBlob 0056 TBlobActionConditional.Create 008b TBlobActionConditional 0090 @FinalizeRecord 009d @UStrArrayClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 18 E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 50 8B 45 14 50 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 14 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B C3 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_4273_0 {
	meta:
		name = "TAzureBlobService.CopySnapshotToBlob"
		size = 205
		refs = "0024 @UStrAddRef 0045 TBlobActionConditional 004a @AddRefRecord 0052 TAzureBlobService.CopySnapshotToBlob 007f TAzureBlobService.CopyBlobInternal 009c @FinalizeRecord 00a9 @UStrArrayClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B 75 10 8D 7D CC 51 B9 0B 00 00 00 F3 A5 59 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 1C E8 ?? ?? ?? ?? 8B 45 18 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 1C 50 8B 45 18 50 8B 45 14 50 6A 00 8D 45 CC 50 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 18 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B C3 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_4274_0 {
	meta:
		name = "TAzureBlobService.CopySnapshotToBlob"
		size = 191
		refs = "0020 @UStrAddRef 0040 TAzureBlobService.CopySnapshotToBlob 005a TBlobActionConditional.Create 008b TBlobActionConditional 0090 @FinalizeRecord 009d @UStrArrayClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 18 E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 50 8B 45 14 50 8B 45 10 50 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 14 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B C3 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_4275_0 {
	meta:
		name = "TAzureBlobService.CreateContainer"
		size = 752
		refs = "0028 @UStrAddRef 0030 TAzureBlobService.CreateContainer 0041 AnsiLowerCase 004c @UStrLAsg 0057 TAzureService.GetConnectionInfo 005f TAzureConnectionInfo.BlobURL 0085 Format 008e TAzureBlobService.BuildMetadataHeaderList 009d TAzureService.PopulateDateHeader 00b4 TStrings.SetValue 00f2 TAzureBlobService.GetBlobContainerQueryPrefix 00f9 _Dn_TStringList 00fe TStringList.Create 0172 TCloudHTTP.GetResponseCode 01a2 TObject.Free 01c2 @HandleFinally 01de @UStrArrayClr 01e6 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D C8 89 5D CC 89 5D E0 89 5D F8 89 5D F4 8B F9 89 55 FC 8B F0 8B 5D 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8B C6 E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 8B 45 FC 89 45 D8 C6 45 DC 11 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 89 45 EC 33 C9 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? EB 17 80 FB 02 75 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 6A 00 8D 45 F4 50 8B 4D FC 8B 55 EC 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 C8 50 8B 4D E8 8B 55 F8 8B C6 8B 18 FF 53 14 8B 55 C8 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 50 8B 45 F4 50 8B 45 08 50 6A 00 8B 4D EC 8B 55 F8 8B C6 8B 18 FF 53 58 89 45 E4 83 7D E4 00 74 0F 8B 45 E4 E8 ?? ?? ?? ?? 3D C9 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 70 00 75 00 62 00 6C 00 69 00 63 00 2D 00 61 00 63 00 63 00 65 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6C 00 6F 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 73 00 74 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_4276_0 {
	meta:
		name = "TAzureBlobService.CreateRootContainer"
		size = 48
		refs = "0009 TAzureBlobService.CreateRootContainer 0010 TAzureBlobService.CreateContainer"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 51 B9 ?? ?? ?? ?? 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 B0 04 02 00 FF FF FF FF 05 00 00 00 24 00 72 00 6F 00 6F 00 74 00 00 00 }
	condition:
		$1
}

rule function_4277_0 {
	meta:
		name = "TAzureBlobService.DeleteBlob"
		size = 134
		refs = "0013 @UStrAddRef 002b TAzureBlobService.DeleteBlob 004d TAzureBlobService.DeleteBlobInternal 0069 @UStrArrayClr 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 0F B6 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4278_0 {
	meta:
		name = "TAzureBlobService.DeleteBlobSnapshot"
		size = 168
		refs = "0013 @UStrAddRef 0033 TAzureBlobService.DeleteBlobSnapshot 0042 EmptyStr 0049 @UStrEqual 006a TAzureBlobService.DeleteBlobInternal 0086 @UStrArrayClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 04 33 DB EB 1D 8B 45 10 50 6A 01 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4279_0 {
	meta:
		name = "TAzureBlobService.DeleteBlobInternal"
		size = 856
		refs = "002b @UStrAddRef 004b TAzureBlobService.DeleteBlobInternal 005a EmptyStr 0061 @UStrEqual 0089 AnsiLowerCase 0094 @UStrLAsg 009f TAzureService.GetConnectionInfo 00a7 TAzureConnectionInfo.BlobURL 00c6 URLEncode 00e2 Format 00e9 _Dn_TStringList 00ee TStringList.Create 00fd TAzureService.PopulateDateHeader 011d TAzureBlobService.GetBlobContainerQueryPrefix 0155 TStrings.SetValue 01e0 TCloudHTTP.GetResponseCode 0210 TObject.Free 0230 @HandleFinally 024c @UStrArrayClr 0254 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 33 DB 89 5D B4 89 5D B8 89 5D C0 89 5D BC 89 5D DC 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 12 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 EF 00 E9 B4 01 00 00 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F4 50 8B C3 E8 ?? ?? ?? ?? 8D 55 C0 E8 ?? ?? ?? ?? 8B 45 C0 89 45 C4 C6 45 C8 11 8B 45 FC 89 45 CC C6 45 D0 11 8D 55 BC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 BC 89 45 D4 C6 45 D8 11 8D 55 C4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C9 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 55 B8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B8 50 8D 45 F0 50 8B 4D FC 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 E4 8B 45 14 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 43 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 B4 50 8B 4D E4 8B 55 F4 8B C3 8B 30 FF 56 14 8B 55 B4 8D 45 F4 E8 ?? ?? ?? ?? EB 2C 80 7D 10 00 74 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? EB 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E4 50 8B 45 F0 50 8B 45 08 50 8B 4D E8 8B 55 F4 8B C3 8B 18 FF 53 6C 89 45 E0 83 7D E0 00 74 0F 8B 45 E0 E8 ?? ?? ?? ?? 3D CA 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E0 00 74 0D 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8D 45 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 0F B6 45 EF 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 6E 00 61 00 70 00 53 00 68 00 6F 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6F 00 6E 00 6C 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 65 00 6C 00 65 00 74 00 65 00 2D 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 73 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 00 00 }
	condition:
		$1
}

rule function_4280_0 {
	meta:
		name = "TAzureBlobService.DeleteContainer"
		size = 536
		refs = "0025 @UStrAddRef 002d TAzureBlobService.DeleteContainer 003e AnsiLowerCase 0049 @UStrLAsg 0054 TAzureService.GetConnectionInfo 005c TAzureConnectionInfo.BlobURL 0082 Format 0089 _Dn_TStringList 008e TStringList.Create 009d TAzureService.PopulateDateHeader 00b0 TAzureBlobService.GetBlobContainerQueryPrefix 00d1 TStrings.SetValue 012b TCloudHTTP.GetResponseCode 015b TObject.Free 017b @HandleFinally 0197 @UStrArrayClr 019f @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D C8 89 5D CC 89 5D E0 89 5D F8 89 5D F4 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 8B 45 FC 89 45 D8 C6 45 DC 11 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C9 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 6A 00 8D 45 F4 50 8B 4D FC 8B 55 EC 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 C8 50 8B 4D E8 8B 55 F8 8B C3 8B 38 FF 57 14 8B 55 C8 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 50 8B 45 F4 50 56 8B 4D EC 8B 55 F8 8B C3 8B 18 FF 53 6C 89 45 E4 83 7D E4 00 74 0F 8B 45 E4 E8 ?? ?? ?? ?? 3D CA 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 0F B6 45 F3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 73 00 74 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_4281_0 {
	meta:
		name = "TAzureBlobService.DeleteRootContainer"
		size = 40
		refs = "0003 TAzureBlobService.DeleteRootContainer 0008 TAzureBlobService.DeleteContainer"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 24 00 72 00 6F 00 6F 00 74 00 00 00 }
	condition:
		$1
}

rule function_68970_0 {
	meta:
		name = "FileCreate"
		size = 13
		refs = "0008 FileCreate"
	strings:
		$1 = { 8B CA BA 10 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28075_0 {
	meta:
		name = "TAzureBlobService.CreateRootContainer"
		size = 40
		refs = "0003 TAzureBlobService.CreateRootContainer 0008 TAzureBlobService.CreateContainer"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 24 00 72 00 6F 00 6F 00 74 00 00 00 }
	condition:
		$1
}

rule function_36720_0 {
	meta:
		name = "TIdicmp6_un.Seticmp6_seq"
		size = 13
		refs = "0008 TIdicmp6_un.Seticmp6_un_data16"
	strings:
		$1 = { 8B CA BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_4282_0 {
	meta:
		name = "TAzureBlobService.GetBlobInternal"
		size = 1324
		refs = "0026 @UStrAddRef 0046 TAzureBlobService.GetBlobInternal 0060 EmptyStr 0067 @UStrEqual 008f AnsiLowerCase 009a @UStrLAsg 00a5 TAzureService.GetConnectionInfo 00ad TAzureConnectionInfo.BlobURL 00cc URLEncode 00e8 Format 00ef _Dn_TStringList 00f4 TStringList.Create 0103 TAzureService.PopulateDateHeader 0125 TStrings.SetValue 0145 TAzureBlobService.GetBlobContainerQueryPrefix 0218 _Dn_TCloudResponseInfo 021d TObject.Create 0261 TCloudHTTP.GetResponseCode 02bf TStrings.GetName 02cc AnsiStartsText 02e6 @UStrCopy 02f6 TStrings.GetValueFromIndex 0349 TObject.Free 0377 @HandleFinally 0393 @UStrArrayClr 03a8 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 0D 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 28 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 30 E8 ?? ?? ?? ?? 8B 45 2C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 06 8B 45 24 33 D2 89 10 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 12 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 EB 00 E9 F5 02 00 00 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F4 50 8B C3 E8 ?? ?? ?? ?? 8D 55 B8 E8 ?? ?? ?? ?? 8B 45 B8 89 45 BC C6 45 C0 11 8B 45 FC 89 45 C4 C6 45 C8 11 8D 55 B4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B4 89 45 CC C6 45 D0 11 8D 55 BC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C9 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 2C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 10 8B 4D 2C BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8D 55 B0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B0 50 8D 45 F0 50 8B 4D FC 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 E0 8B 45 30 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 41 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 AC 50 8B 4D E0 8B 55 F4 8B C3 8B 38 FF 57 14 8B 55 AC 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 10 8B 55 14 3B 55 1C 75 07 3B 45 18 76 56 EB 02 7E 52 8D 45 A8 50 8D 45 18 89 45 98 C6 45 9C 10 8D 45 10 89 45 A0 C6 45 A4 10 8D 55 98 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 80 7D 0C 00 74 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 83 7D 08 00 0F 94 45 DB 80 7D DB 00 74 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 08 33 C0 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E0 50 8B 45 F0 50 8B 45 08 50 8B 45 20 50 8B 4D E4 8B 55 F4 8B C3 8B 18 FF 53 4C 89 45 DC 83 7D DC 00 74 0F 8B 45 DC E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EB 80 7D EB 00 0F 84 AE 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 06 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 24 89 02 8B 45 08 8B 40 0C 8B 10 FF 52 14 8B F8 4F 85 FF 7C 7D 47 33 DB 8D 4D EC 8B 45 08 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8D 45 EC 50 B9 FF FF FF 7F BA 0B 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8D 4D 94 8B 45 08 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 4D 94 8B 06 8B 55 EC E8 ?? ?? ?? ?? EB 20 8D 4D 90 8B 45 08 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 4D 90 8B 45 24 8B 00 8B 55 EC E8 ?? ?? ?? ?? 43 4F 75 86 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0D 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 80 7D DB 00 74 08 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 90 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 2C BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BC 0F B6 45 EB 5F 5E 5B 8B E5 5D C2 2C 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 62 00 79 00 74 00 65 00 73 00 3D 00 25 00 64 00 2D 00 25 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 72 00 61 00 6E 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 72 00 61 00 6E 00 67 00 65 00 2D 00 67 00 65 00 74 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6D 00 64 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6D 00 65 00 74 00 61 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_4283_0 {
	meta:
		name = "TAzureBlobService.GetBlob"
		size = 204
		refs = "0013 @UStrAddRef 0023 TAzureBlobService.GetBlob 0086 TObject.Free 0099 @HandleFinally 00b5 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 24 50 8D 45 EC 50 8D 45 F0 50 FF 75 20 FF 75 1C FF 75 18 FF 75 14 0F B6 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F7 5B 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule function_4284_0 {
	meta:
		name = "TAzureBlobService.GetBlob"
		size = 142
		refs = "0013 @UStrAddRef 0023 TAzureBlobService.GetBlob 005d TAzureBlobService.GetBlobInternal 0079 @UStrArrayClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 0C 50 8B 45 24 50 8B 45 28 50 8B 45 2C 50 FF 75 20 FF 75 1C FF 75 18 FF 75 14 0F B6 45 10 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C2 28 00 }
	condition:
		$1
}

rule function_4285_0 {
	meta:
		name = "TAzureBlobService.GetBlob"
		size = 187
		refs = "0013 @UStrAddRef 0023 TAzureBlobService.GetBlob 0075 TObject.Free 0088 @HandleFinally 00a4 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 10 50 8D 45 EC 50 8D 45 F0 50 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F7 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_4286_0 {
	meta:
		name = "TAzureBlobService.GetBlob"
		size = 135
		refs = "0013 @UStrAddRef 0023 TAzureBlobService.GetBlob 0056 TAzureBlobService.GetBlobInternal 0072 @UStrArrayClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C2 14 00 }
	condition:
		$1
}

rule function_4287_0 {
	meta:
		name = "TAzureBlobService.GetBlobSnapshot"
		size = 220
		refs = "0013 @UStrAddRef 002b TAzureBlobService.GetBlobSnapshot 008e TObject.Free 00a1 @HandleFinally 00bd @UStrArrayClr 00c5 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 24 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 24 50 8B 45 20 50 8D 45 EC 50 8D 45 F0 50 FF 75 1C FF 75 18 FF 75 14 FF 75 10 0F B6 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 24 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5B 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule function_4288_0 {
	meta:
		name = "TAzureBlobService.GetBlobSnapshot"
		size = 158
		refs = "0013 @UStrAddRef 002b TAzureBlobService.GetBlobSnapshot 0065 TAzureBlobService.GetBlobInternal 0081 @UStrArrayClr 0089 @UStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 2C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 2C 50 6A 00 8B 45 20 50 8B 45 24 50 8B 45 28 50 FF 75 1C FF 75 18 FF 75 14 FF 75 10 0F B6 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 2C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 59 59 5D C2 28 00 }
	condition:
		$1
}

rule function_4289_0 {
	meta:
		name = "TAzureBlobService.GetBlockListXML"
		size = 1000
		refs = "0032 @UStrAddRef 0042 TAzureBlobService.GetBlockListXML 0051 EmptyStr 0058 @UStrEqual 007b @UStrAsg 008b AnsiLowerCase 0096 @UStrLAsg 009d _Dn_TStringList 00a2 TStringList.Create 00b1 TAzureService.PopulateDateHeader 00d3 TStrings.SetValue 016b TAzureService.GetConnectionInfo 0173 TAzureConnectionInfo.BlobURL 0192 URLEncode 01ae Format 01ee TAzureBlobService.GetBlobContainerQueryPrefix 0214 @UStrClr 0233 TCloudHTTP.GetResponseCode 0261 TObject.Free 0281 @HandleFinally 029d @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 DB 89 5D B8 89 5D BC 89 5D C4 89 5D C0 89 5D E0 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 7D 14 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 12 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 14 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? E9 03 02 00 00 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C9 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 10 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 10 8B 4D 10 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B CF BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 80 7D 18 01 75 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? EB 32 80 7D 18 00 75 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? EB 18 80 7D 18 02 75 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 50 8B C3 E8 ?? ?? ?? ?? 8D 55 C4 E8 ?? ?? ?? ?? 8B 45 C4 89 45 C8 C6 45 CC 11 8B 45 FC 89 45 D0 C6 45 D4 11 8D 55 C0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 C0 89 45 D8 C6 45 DC 11 8D 55 C8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 BC 50 8B 4D E8 8B 55 F4 8B C3 8B 38 FF 57 14 8B 55 BC 8D 45 F4 E8 ?? ?? ?? ?? 8D 55 B8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B8 50 8D 45 F0 50 8B 4D FC 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 50 8B 45 F0 50 8B 45 0C 50 8B C6 E8 ?? ?? ?? ?? 50 8B 4D EC 8B 55 F4 8B C3 8B 18 FF 53 50 89 45 E4 83 7D E4 00 74 0F 8B 45 E4 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C2 14 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 62 00 6C 00 6F 00 63 00 6B 00 6C 00 69 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 75 00 6E 00 63 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 62 00 6C 00 6F 00 63 00 6B 00 6C 00 69 00 73 00 74 00 74 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 61 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_4290_0 {
	meta:
		name = "TAzureBlobService.GetBlockList"
		size = 412
		refs = "001d @UStrAddRef 002d TAzureBlobService.GetBlockList 0057 TAzureBlobService.GetBlockListXML 0060 EmptyStr 0067 @UStrEqual 0074 _DV_TList<Data.Cloud.AzureAPI.TAzureBlockListItem> 0079 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Create 0084 _Dn_TXMLDocument 0089 TXMLDocument.Create 009d @IntfCopy 00c6 GetFirstMatchingChildNode 00d4 TAzureBlobService.AddBlockItems 0108 IXMLNode 0112 @FinalizeArray 011a @IntfClear 0127 @UStrArrayClr 012d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 0F B6 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 45 F4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 85 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F0 8B 08 FF 91 A0 00 00 00 8D 55 EC 8B 45 F0 8B 08 FF 51 18 8D 4D E8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 6A 00 8B CE 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 6A 01 8B CE 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B C6 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 42 00 6C 00 6F 00 63 00 6B 00 73 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 55 00 6E 00 63 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 42 00 6C 00 6F 00 63 00 6B 00 73 00 00 00 }
	condition:
		$1
}

rule function_4291_0 {
	meta:
		name = "TAzureBlobService.AddBlockItems"
		size = 660
		refs = "001f @IntfAddRef 0027 TAzureBlobService.AddBlockItems 0079 @UStrClr 00e5 @UStrLAsg 00f0 AnsiCompareText 0166 @IntfCopy 016c @HandleFinally 018e EmptyStr 0195 @UStrEqual 01bc TAzureBlockListItem.Create 01c7 TList<Data.Cloud.AzureAPI.TAzureBlockListItem>.Add 0207 @IntfClear 0210 TAzureBlockListItem 0215 @FinalizeRecord 0226 IXMLNodeList 0230 @FinalizeArray 023d @UStrArrayClr 0246 IXMLNode"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 89 4D D8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D D8 00 0F 84 BB 01 00 00 83 7D FC 00 0F 84 B1 01 00 00 8B 45 FC 8B 10 FF 52 24 84 C0 0F 84 A1 01 00 00 8D 55 D0 8B 45 FC 8B 08 FF 51 14 8B 45 D0 8D 55 F8 8B 08 FF 51 34 83 7D F8 00 0F 84 81 01 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 24 84 C0 0F 84 D9 00 00 00 8D 55 CC 8B 45 F8 8B 08 FF 51 14 8B 45 CC 8D 55 F4 8B 08 FF 51 34 83 7D F4 00 0F 84 B9 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 F4 8B 08 FF 51 34 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 0D 8D 55 F0 8B 45 F4 8B 08 FF 51 50 EB 3A 8D 55 E0 8B 45 F4 8B 08 FF 51 34 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 45 D7 80 7D D7 00 74 0B 8D 55 EC 8B 45 F4 8B 08 FF 51 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 C8 8B 45 F4 8B 08 FF 91 90 00 00 00 8B 55 C8 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 83 7D F4 00 0F 85 47 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 30 8B 45 EC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 1E 8D 45 BC 50 0F B6 55 08 8B 4D EC 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 BC 8B 45 D8 E8 ?? ?? ?? ?? 8D 55 B8 8B 45 F8 8B 08 FF 91 90 00 00 00 8B 55 B8 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9D 83 7D F8 00 0F 85 7F FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A7 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_4292_0 {
	meta:
		name = "TAzureBlobService.GetBlobSnapshot"
		size = 203
		refs = "0013 @UStrAddRef 002b TAzureBlobService.GetBlobSnapshot 007d TObject.Free 0090 @HandleFinally 00ac @UStrArrayClr 00b4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 10 50 8B 45 0C 50 8D 45 EC 50 8D 45 F0 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_4293_0 {
	meta:
		name = "TAzureBlobService.GetBlobSnapshot"
		size = 151
		refs = "0013 @UStrAddRef 002b TAzureBlobService.GetBlobSnapshot 005e TAzureBlobService.GetBlobInternal 007a @UStrArrayClr 0082 @UStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 50 6A 00 8B 45 0C 50 8B 45 10 50 8B 45 14 50 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 59 59 5D C2 14 00 }
	condition:
		$1
}

rule function_4294_0 {
	meta:
		name = "TAzureBlobService.GetContainerProperties"
		size = 115
		refs = "0013 @UStrAddRef 001b TAzureBlobService.GetContainerProperties 0048 TObject.Free 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B 45 08 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 84 DB 74 0D 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4295_0 {
	meta:
		name = "TAzureBlobService.GetBlobContainerQueryPrefix"
		size = 484
		refs = "0022 @UStrAddRef 0032 TAzureBlobService.GetBlobContainerQueryPrefix 003f TAzureService.GetConnectionInfo 0094 Format 00a7 TStrings.SetValue 00e6 EmptyStr 00ed @UStrEqual 0105 @UStrCatN 011a @UStrClr 0127 @UStrArrayClr 013d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D C8 89 5D E0 89 5D DC 89 4D FC 8B FA 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 78 50 00 74 51 56 8B C3 E8 ?? ?? ?? ?? 8D 55 E0 8B 08 FF 51 40 8B 45 E0 89 45 E4 C6 45 E8 11 8B C3 E8 ?? ?? ?? ?? 8D 55 DC 8B 08 FF 51 40 8B 45 DC 89 45 EC C6 45 F0 11 8B 45 FC 89 45 F4 C6 45 F8 11 8D 55 E4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 47 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 56 8B C3 E8 ?? ?? ?? ?? 8D 55 C8 8B 08 FF 51 40 8B 45 C8 89 45 CC C6 45 D0 11 8B 45 FC 89 45 D4 C6 45 D8 11 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 16 FF 36 68 ?? ?? ?? ?? FF 75 0C 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_4296_0 {
	meta:
		name = "TAzureBlobService.GetBlobMetadata"
		size = 992
		refs = "0038 @UStrAddRef 0048 TAzureBlobService.GetBlobMetadata 005d AnsiLowerCase 0068 @UStrLAsg 0073 TAzureService.GetConnectionInfo 007b TAzureConnectionInfo.BlobURL 009a URLEncode 00b6 Format 00bd _Dn_TStringList 00c2 TStringList.Create 00d1 TAzureService.PopulateDateHeader 00d9 EmptyStr 00e0 @UStrEqual 00f1 TStrings.SetValue 0111 TAzureBlobService.GetBlobContainerQueryPrefix 018b _Dn_TCloudResponseInfo 0190 TObject.Create 01d0 TCloudHTTP.GetResponseCode 0219 TStrings.GetName 0226 AnsiStartsText 0240 @UStrCopy 0250 TStrings.GetValueFromIndex 0281 TObject.Free 02af @HandleFinally 02cb @UStrArrayClr 02d3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 33 DB 89 5D A8 89 5D AC 89 5D B0 89 5D B8 89 5D B4 89 5D D4 89 5D F4 89 5D F0 89 5D EC 89 4D F8 89 55 FC 8B D8 8B 7D 0C 8B 75 14 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 06 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F4 50 8B C3 E8 ?? ?? ?? ?? 8D 55 B8 E8 ?? ?? ?? ?? 8B 45 B8 89 45 BC C6 45 C0 11 8B 45 FC 89 45 C4 C6 45 C8 11 8D 55 B4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B4 89 45 CC C6 45 D0 11 8D 55 BC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C9 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B CF BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8D 55 B0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B0 50 8D 45 F0 50 8B 4D FC 8B 55 E4 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 10 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 AC 50 8B 4D E0 8B 55 F4 8B C3 8B 38 FF 57 14 8B 55 AC 8D 45 F4 E8 ?? ?? ?? ?? 83 7D 08 00 0F 94 45 DB 80 7D DB 00 74 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 08 33 C0 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E0 50 8B 45 F0 50 8B 45 08 50 8B 4D E4 8B 55 F4 8B C3 8B 18 FF 53 54 89 45 DC 83 7D DC 00 74 0F 8B 45 DC E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EB 80 7D EB 00 74 7B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 06 8B 45 08 8B 40 0C 8B 10 FF 52 14 8B F8 4F 85 FF 7C 5B 47 33 DB 8D 4D EC 8B 45 08 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 33 8D 45 EC 50 B9 FF FF FF 7F BA 0B 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8D 4D A8 8B 45 08 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 4D A8 8B 06 8B 55 EC E8 ?? ?? ?? ?? 43 4F 75 A8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0D 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 80 7D DB 00 74 08 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 0F B6 45 EB 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6D 00 65 00 74 00 61 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_4297_0 {
	meta:
		name = "TAzureBlobService.GetBlobProperties"
		size = 136
		refs = "0013 @UStrAddRef 0023 TAzureBlobService.GetBlobProperties 0059 TObject.Free 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 8D 45 F4 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_4298_0 {
	meta:
		name = "TAzureBlobService.GetBlobProperties"
		size = 1064
		refs = "0029 @UStrAddRef 0039 TAzureBlobService.GetBlobProperties 0056 EmptyStr 005d @UStrEqual 0085 AnsiLowerCase 0090 @UStrLAsg 009b TAzureService.GetConnectionInfo 00a3 TAzureConnectionInfo.BlobURL 00c2 URLEncode 00de Format 00e5 _Dn_TStringList 00ea TStringList.Create 00f9 TAzureService.PopulateDateHeader 0119 TStrings.SetValue 0139 TAzureBlobService.GetBlobContainerQueryPrefix 01a2 _Dn_TCloudResponseInfo 01a7 TObject.Create 01e7 TCloudHTTP.GetResponseCode 024c TStrings.GetName 0259 AnsiStartsText 0287 TStrings.GetValueFromIndex 02a1 @UStrCopy 030a TObject.Free 0338 @HandleFinally 0354 @UStrArrayClr 035c @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 0C 8B 75 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 33 D2 89 10 8B 45 14 33 D2 89 10 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 12 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 EB 00 E9 C0 02 00 00 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F4 50 8B C3 E8 ?? ?? ?? ?? 8D 55 B8 E8 ?? ?? ?? ?? 8B 45 B8 89 45 BC C6 45 C0 11 8B 45 FC 89 45 C4 C6 45 C8 11 8D 55 B4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B4 89 45 CC C6 45 D0 11 8D 55 BC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C9 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B CF BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8D 55 B0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B0 50 8D 45 F0 50 8B 4D FC 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 E0 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 1E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8B CE BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 AC 50 8B 4D E0 8B 55 F4 8B C3 8B 30 FF 56 14 8B 55 AC 8D 45 F4 E8 ?? ?? ?? ?? 83 7D 08 00 0F 94 45 DB 80 7D DB 00 74 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 08 33 C0 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E0 50 8B 45 F0 50 8B 45 08 50 8B 4D E4 8B 55 F4 8B C3 8B 18 FF 53 54 89 45 DC 83 7D DC 00 74 0F 8B 45 DC E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EB 80 7D EB 00 0F 84 E9 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 18 89 02 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 14 89 02 8B 45 08 8B 40 0C 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C B1 00 00 00 46 33 DB 8D 4D EC 8B 45 08 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 83 F8 0B 0F 9F C0 EB 02 33 C0 84 C0 74 3A 8D 4D A8 8B 45 08 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 45 A8 50 8D 45 A4 50 B9 FF FF FF 7F BA 0B 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 55 A4 8B 45 14 8B 00 59 E8 ?? ?? ?? ?? EB 31 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 20 8D 4D A0 8B 45 08 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 4D A0 8B 45 18 8B 00 8B 55 EC E8 ?? ?? ?? ?? 43 4E 0F 85 52 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0D 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 80 7D DB 00 74 08 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 0F B6 45 EB 5F 5E 5B 8B E5 5D C2 14 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6D 00 65 00 74 00 61 00 2D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 00 00 }
	condition:
		$1
}

rule function_4299_0 {
	meta:
		name = "TAzureBlobService.GetContainerACLXML"
		size = 768
		refs = "0028 @UStrAddRef 0030 TAzureBlobService.GetContainerACLXML 0044 AnsiLowerCase 004f @UStrLAsg 005a TAzureService.GetConnectionInfo 0062 TAzureConnectionInfo.BlobURL 0088 Format 008f _Dn_TStringList 0094 TStringList.Create 00a3 TAzureService.PopulateDateHeader 00b6 TAzureBlobService.GetBlobContainerQueryPrefix 00d7 TStrings.SetValue 011e _Dn_TCloudResponseInfo 0123 TObject.Create 014d @UStrClr 0171 TStrings.GetValue 017e @UStrEqual 01b7 TObject.Free 01e5 @HandleFinally 0201 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D C4 89 5D C8 89 5D DC 89 5D F8 89 5D F4 89 5D F0 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 06 00 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8D 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 89 45 CC C6 45 D0 11 8B 45 FC 89 45 D4 C6 45 D8 11 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C9 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 6A 00 8D 45 F4 50 8B 4D FC 8B 55 EC 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 C4 50 8B 4D E8 8B 55 F8 8B C3 8B 38 FF 57 14 8B 55 C4 8D 45 F8 E8 ?? ?? ?? ?? 83 7D 0C 00 0F 94 45 E3 80 7D E3 00 74 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 0C 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 50 8B 45 F4 50 8B 45 0C 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D EC 8B 55 F8 8B C3 8B 18 FF 53 50 89 45 E4 8D 4D F0 8B 45 0C 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 05 C6 06 01 EB 12 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 03 C6 06 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 80 7D E3 00 74 08 8B 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 73 00 74 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 61 00 63 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 70 00 75 00 62 00 6C 00 69 00 63 00 2D 00 61 00 63 00 63 00 65 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6C 00 6F 00 62 00 00 00 00 00 }
	condition:
		$1
}

rule function_4300_0 {
	meta:
		name = "TAzureBlobService.GetContainerACL"
		size = 1128
		refs = "0021 @UStrAddRef 0029 TAzureBlobService.GetContainerACL 0048 TAzureBlobService.GetContainerACLXML 0051 EmptyStr 0058 @UStrEqual 0067 _Dn_TXMLDocument 006c TXMLDocument.Create 0080 @IntfCopy 00b6 _DV_TList<Data.Cloud.AzureAPI.TSignedIdentifier> 00bb TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Create 0104 @UStrLAsg 010f AnsiCompareText 012c GetFirstMatchingChildNode 0140 _DV_TSignedIdentifier 0145 TSignedIdentifier.Create 0161 @UStrAsg 016c TList<Data.Cloud.AzureAPI.TSignedIdentifier>.Add 02a3 TAccessPolicy.SetPermission 02cf @HandleFinally 0329 IXMLNode 0333 @FinalizeArray 0340 @UStrArrayClr 0348 @IntfClear 0350 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 C0 8B 45 08 50 8D 45 F8 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 B5 02 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 8B 08 FF 91 A0 00 00 00 8D 55 F0 8B 45 F4 8B 08 FF 51 18 8B 45 F0 8B 10 FF 52 24 84 C0 75 0A 33 C0 89 45 C0 E9 64 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C0 8D 55 B4 8B 45 F0 8B 08 FF 51 14 8B 45 B4 8D 55 EC 8B 08 FF 51 34 83 7D EC 00 0F 84 35 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B 45 EC 8B 08 FF 51 34 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 0F 84 BF 01 00 00 8D 4D E8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 83 7D E8 00 0F 84 A5 01 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 BC 8D 55 B0 8B 45 E8 8B 08 FF 51 50 8B 55 B0 8B 45 BC 83 C0 04 E8 ?? ?? ?? ?? 8B 55 BC 8B 45 C0 E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 83 7D E8 00 0F 84 55 01 00 00 8B 45 E8 8B 10 FF 52 24 84 C0 0F 84 45 01 00 00 8D 55 AC 8B 45 E8 8B 08 FF 51 14 8B 45 AC 8D 55 E4 8B 08 FF 51 34 83 7D E4 00 0F 84 25 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8B 45 E4 8B 08 FF 51 34 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 94 45 BB 80 7D BB 00 74 1E 8D 55 A8 8B 45 E4 8B 08 FF 51 50 8B 55 A8 8B 45 BC 83 C0 0C E8 ?? ?? ?? ?? E9 92 00 00 00 8D 55 D0 8B 45 E4 8B 08 FF 51 34 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 45 D0 E8 ?? ?? ?? ?? 85 C0 0F 94 45 BA 80 7D BA 00 74 1B 8D 55 A4 8B 45 E4 8B 08 FF 51 50 8B 55 A4 8B 45 BC 83 C0 10 E8 ?? ?? ?? ?? EB 48 8D 55 C8 8B 45 E4 8B 08 FF 51 34 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B 45 C8 E8 ?? ?? ?? ?? 85 C0 0F 94 45 B9 80 7D B9 00 74 19 8D 55 A0 8B 45 E4 8B 08 FF 51 50 8B 55 A0 8B 45 BC 83 C0 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 9C 8B 45 E4 8B 08 FF 91 90 00 00 00 8B 55 9C 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 83 7D E4 00 0F 85 DB FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 98 8B 45 EC 8B 08 FF 91 90 00 00 00 8B 55 98 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 83 7D EC 00 0F 85 CB FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C4 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8B 8B 45 C0 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 69 00 67 00 6E 00 65 00 64 00 49 00 64 00 65 00 6E 00 74 00 69 00 66 00 69 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 41 00 63 00 63 00 65 00 73 00 73 00 50 00 6F 00 6C 00 69 00 63 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 74 00 61 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 45 00 78 00 70 00 69 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 65 00 72 00 6D 00 69 00 73 00 73 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_4301_0 {
	meta:
		name = "TAzureBlobService.GetContainerMetadata"
		size = 113
		refs = "0013 @UStrAddRef 001b TAzureBlobService.GetContainerMetadata 0033 TAzureBlobService.GetContainerProperties 0046 TObject.Free 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 45 08 50 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 84 DB 74 0D 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4302_0 {
	meta:
		name = "TAzureBlobService.GetContainerProperties"
		size = 940
		refs = "0031 @UStrAddRef 0039 TAzureBlobService.GetContainerProperties 0048 EmptyStr 004f @UStrEqual 0073 AnsiLowerCase 007e @UStrLAsg 0089 TAzureService.GetConnectionInfo 0091 TAzureConnectionInfo.BlobURL 00b7 Format 00be _Dn_TStringList 00c3 TStringList.Create 00d2 TAzureService.PopulateDateHeader 00e5 TAzureBlobService.GetBlobContainerQueryPrefix 0106 TStrings.SetValue 013b _Dn_TCloudResponseInfo 0140 TObject.Create 0180 TCloudHTTP.GetResponseCode 01e5 TStrings.GetName 01f2 AnsiStartsText 0220 TStrings.GetValueFromIndex 023a @UStrCopy 02a3 TObject.Free 02d1 @HandleFinally 02ed @UStrArrayClr 02f5 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 33 DB 89 5D B0 89 5D B8 89 5D B4 89 5D BC 89 5D C0 89 5D D4 89 5D F8 89 5D F4 89 5D F0 89 4D EC 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 EB 00 E9 79 02 00 00 8B 45 EC 33 D2 89 10 8B 45 0C 33 D2 89 10 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8D 55 C0 E8 ?? ?? ?? ?? 8B 45 C0 89 45 C4 C6 45 C8 11 8B 45 FC 89 45 CC C6 45 D0 11 8D 55 C4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C9 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 6A 00 8D 45 F4 50 8B 4D FC 8B 55 E4 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 BC 50 8B 4D E0 8B 55 F8 8B C3 8B 30 FF 56 14 8B 55 BC 8D 45 F8 E8 ?? ?? ?? ?? 83 7D 08 00 0F 94 45 DB 80 7D DB 00 74 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 08 33 C0 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E0 50 8B 45 F4 50 8B 45 08 50 8B 4D E4 8B 55 F8 8B C3 8B 18 FF 53 54 89 45 DC 83 7D DC 00 74 0F 8B 45 DC E8 ?? ?? ?? ?? 3D C8 00 00 00 74 04 33 C0 EB 02 B0 01 88 45 EB 80 7D EB 00 0F 84 E9 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 89 02 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 0C 89 02 8B 45 08 8B 40 0C 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C B1 00 00 00 46 33 DB 8D 4D F0 8B 45 08 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 83 F8 0B 0F 9F C0 EB 02 33 C0 84 C0 74 3A 8D 4D B8 8B 45 08 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 45 B8 50 8D 45 B4 50 B9 FF FF FF 7F BA 0B 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 B4 8B 45 0C 8B 00 59 E8 ?? ?? ?? ?? EB 31 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 20 8D 4D B0 8B 45 08 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 4D B0 8B 45 EC 8B 00 8B 55 F0 E8 ?? ?? ?? ?? 43 4E 0F 85 52 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0D 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 80 7D DB 00 74 08 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 0F B6 45 EB 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 73 00 74 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6D 00 65 00 74 00 61 00 2D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 00 00 }
	condition:
		$1
}

rule function_4303_0 {
	meta:
		name = "TAzureBlobService.GetPageRegionsXML"
		size = 123
		refs = "0013 @UStrAddRef 0023 TAzureBlobService.GetPageRegionsXML 0068 @UStrArrayClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 6A 00 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_4304_0 {
	meta:
		name = "TAzureBlobService.GetPageRegionsXML"
		size = 952
		refs = "0035 @UStrAddRef 0045 TAzureBlobService.GetPageRegionsXML 0054 EmptyStr 005b @UStrEqual 0077 @UStrClr 0082 AnsiLowerCase 008d @UStrLAsg 0098 TAzureService.GetConnectionInfo 00a0 TAzureConnectionInfo.BlobURL 00bf URLEncode 00db Format 00e2 _Dn_TStringList 00e7 TStringList.Create 00f6 TAzureService.PopulateDateHeader 0116 TStrings.SetValue 0194 TAzureBlobService.GetBlobContainerQueryPrefix 025a TObject.Free 027a @HandleFinally 0296 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 33 DB 89 5D A4 89 5D A8 89 5D BC 89 5D C4 89 5D C0 89 5D E0 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B D8 8B 75 10 8B 7D 14 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 12 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 08 8B 45 08 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F4 50 8B C3 E8 ?? ?? ?? ?? 8D 55 C4 E8 ?? ?? ?? ?? 8B 45 C4 89 45 C8 C6 45 CC 11 8B 45 FC 89 45 D0 C6 45 D4 11 8D 55 C0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 C0 89 45 D8 C6 45 DC 11 8D 55 C8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C9 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B CE BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 83 7D 24 00 75 08 83 7D 20 00 72 52 EB 02 7C 4E 8B 45 18 8B 55 1C 3B 55 24 75 07 3B 45 20 76 3E EB 02 7E 3A 8D 45 BC 50 8D 45 20 89 45 AC C6 45 B0 10 8D 45 18 89 45 B4 C6 45 B8 10 8D 55 AC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 55 A8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 A8 50 8D 45 F0 50 8B 4D FC 8B 55 EC 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 1C 8B C3 E8 ?? ?? ?? ?? 80 78 50 00 75 0F 8B CF BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 A4 50 8B 4D E8 8B 55 F4 8B C3 8B 30 FF 56 14 8B 55 A4 8D 45 F4 E8 ?? ?? ?? ?? 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 50 8B 45 F0 50 8B 45 0C 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D EC 8B 55 F4 8B C3 8B 18 FF 53 50 89 45 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5F 5E 5B 8B E5 5D C2 20 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 62 00 79 00 74 00 65 00 73 00 3D 00 25 00 64 00 2D 00 25 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 72 00 61 00 6E 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 61 00 67 00 65 00 6C 00 69 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_4305_0 {
	meta:
		name = "TAzureBlobService.GetPageRegions"
		size = 620
		refs = "0022 @UStrAddRef 0032 TAzureBlobService.GetPageRegions 0066 TAzureBlobService.GetPageRegionsXML 006f EmptyStr 0076 @UStrEqual 0083 _DV_TList<Data.Cloud.AzureAPI.TAzureBlobPageRange> 0088 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Create 0094 _Dn_TXMLDocument 0099 TXMLDocument.Create 00ad @IntfCopy 00f0 GetFirstMatchingChildNode 0160 StrToInt64 0174 TAzureBlobPageRange.Create 017f TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Add 018e @HandleAnyException 0193 @DoneExcept 01bf @HandleFinally 01e0 @IntfClear 01e9 IXMLNode 01f3 @FinalizeArray 0208 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 D4 FF 75 20 FF 75 1C FF 75 18 FF 75 14 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 45 F4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 4F 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 E8 8B 08 FF 91 A0 00 00 00 8D 55 E4 8B 45 E8 8B 08 FF 51 18 83 7D E4 00 0F 84 FB 00 00 00 8B 45 E4 8B 10 FF 52 24 84 C0 0F 84 EB 00 00 00 8D 4D E0 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 83 7D E0 00 0F 84 D1 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D DC BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8D 4D D8 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 83 7D DC 00 74 65 83 7D D8 00 74 5F 8D 55 F0 8B 45 DC 8B 08 FF 51 50 8D 55 EC 8B 45 D8 8B 08 FF 51 50 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 52 50 8B 45 EC E8 ?? ?? ?? ?? 52 50 8D 45 C0 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 D4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 BC 8B 45 E0 8B 08 FF 91 90 00 00 00 8B 55 BC 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 83 7D E0 00 0F 85 2F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 8B 45 D4 5F 5E 5B 8B E5 5D C2 1C 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 61 00 67 00 65 00 52 00 61 00 6E 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 74 00 61 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 45 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_4306_0 {
	meta:
		name = "TAzureBlobService.GetPageRegions"
		size = 123
		refs = "0013 @UStrAddRef 0023 TAzureBlobService.GetPageRegions 0066 @UStrArrayClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 6A 00 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4307_0 {
	meta:
		name = "TAzureBlobService.GetPublicAccessString"
		size = 100
		refs = "000b TAzureBlobService.GetPublicAccessString 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 80 FA 01 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 80 FA 02 75 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6C 00 6F 00 62 00 00 00 00 00 }
	condition:
		$1
}

rule function_4308_0 {
	meta:
		name = "TAzureBlobService.HandleBlobLease"
		size = 908
		refs = "0032 @UStrAddRef 0042 TAzureBlobService.HandleBlobLease 0054 EmptyStr 005b @UStrEqual 0077 @UStrClr 0087 AnsiLowerCase 0092 @UStrLAsg 009d TAzureService.GetConnectionInfo 00a5 TAzureConnectionInfo.BlobURL 00c4 URLEncode 00e0 Format 00e7 _Dn_TStringList 00ec TStringList.Create 00fb TAzureService.PopulateDateHeader 010d TStrings.SetValue 015d TAzureBlobService.GetBlobContainerQueryPrefix 01b3 _Dn_TCloudResponseInfo 01b8 TObject.Create 01f4 TCloudHTTP.GetResponseCode 0212 TStrings.GetValue 0232 TObject.Free 0260 @HandleFinally 027c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 DB 89 5D B4 89 5D B8 89 5D C0 89 5D BC 89 5D DC 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B D8 8B 75 10 8B 7D 18 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 06 00 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 12 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 0D 8B 45 08 E8 ?? ?? ?? ?? E9 E6 01 00 00 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F4 50 8B C3 E8 ?? ?? ?? ?? 8D 55 C0 E8 ?? ?? ?? ?? 8B 45 C0 89 45 C4 C6 45 C8 11 8B 45 FC 89 45 CC C6 45 D0 11 8D 55 BC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 BC 89 45 D4 C6 45 D8 11 8D 55 C4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C9 8B 55 EC 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 4D 1C BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B CF BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 55 B8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B8 50 8D 45 F0 50 8B 4D FC 8B 55 EC 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 B4 50 8B 4D E8 8B 55 F4 8B C3 8B 38 FF 57 14 8B 55 B4 8D 45 F4 E8 ?? ?? ?? ?? 83 7D 0C 00 0F 94 45 E3 80 7D E3 00 74 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 0C 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 50 8B 45 F0 50 8B 45 0C 50 6A 00 8B 4D EC 8B 55 F4 8B C3 8B 18 FF 53 58 89 45 E4 8B 45 E4 E8 ?? ?? ?? ?? 3B 45 14 0F 94 06 80 3E 00 74 13 8B 4D 08 8B 45 0C 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 80 7D E3 00 74 08 8B 45 0C E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C2 18 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 61 00 63 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6C 00 65 00 61 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_4309_0 {
	meta:
		name = "TAzureBlobService.AcquireBlobLease"
		size = 192
		refs = "0018 @UStrAddRef 0033 TAzureBlobService.AcquireBlobLease 005e TAzureBlobService.HandleBlobLease 0069 @UStrAsg 007e @UStrClr 008b @UStrArrayClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 6A 00 68 C9 00 00 00 8D 45 F7 50 8B 45 08 50 8D 45 F0 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 61 00 63 00 71 00 75 00 69 00 72 00 65 00 00 00 }
	condition:
		$1
}

rule function_4310_0 {
	meta:
		name = "TAzureBlobService.RenewBlobLease"
		size = 168
		refs = "0018 @UStrAddRef 0028 TAzureBlobService.RenewBlobLease 0055 TAzureBlobService.HandleBlobLease 006a @UStrClr 0077 @UStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 0C 50 68 C8 00 00 00 8D 45 F7 50 8B 45 08 50 8D 45 F0 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 72 00 65 00 6E 00 65 00 77 00 00 00 }
	condition:
		$1
}

rule function_4311_0 {
	meta:
		name = "TAzureBlobService.ReleaseBlobLease"
		size = 172
		refs = "0018 @UStrAddRef 0028 TAzureBlobService.ReleaseBlobLease 0055 TAzureBlobService.HandleBlobLease 006a @UStrClr 0077 @UStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 0C 50 68 C8 00 00 00 8D 45 F7 50 8B 45 08 50 8D 45 F0 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 6C 00 65 00 61 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_4312_0 {
	meta:
		name = "TAzureBlobService.BreakBlobLease"
		size = 412
		refs = "0020 @UStrAddRef 0030 TAzureBlobService.BreakBlobLease 0051 _Dn_TCloudResponseInfo 0056 TObject.Create 008c TAzureBlobService.HandleBlobLease 00a5 TStrings.GetValue 00ae EmptyStr 00b5 @UStrEqual 00cd StrToInt 00de @HandleAnyException 00e3 @DoneExcept 00fe TObject.Free 0104 @HandleFinally 011b @UStrClr 0128 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 75 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 06 FF FF FF FF 83 7D 08 00 0F 94 45 F2 80 7D F2 00 74 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 6A 00 68 CA 00 00 00 8D 45 F3 50 8B 45 08 50 8D 45 EC 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 80 7D F3 00 74 51 8D 4D F4 8B 45 08 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 2C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 89 06 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F2 00 74 08 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 62 00 72 00 65 00 61 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 74 00 69 00 6D 00 65 00 3A 00 20 00 73 00 65 00 63 00 6F 00 6E 00 64 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_4313_0 {
	meta:
		name = "TAzureBlobService.ListBlobs"
		size = 113
		refs = "0018 @UStrAddRef 0020 TAzureBlobService.ListBlobs 0033 @UStrClr 005b @UStrArrayClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 45 08 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4314_0 {
	meta:
		name = "TAzureBlobService.ListBlobs"
		size = 2016
		refs = "0023 @UStrAddRef 0036 TAzureBlobService.ListBlobs 0067 TAzureBlobService.ListBlobsXML 0070 EmptyStr 0077 @UStrEqual 0084 _DV_TList<Data.Cloud.AzureAPI.TAzureBlob> 0089 TList<Data.Cloud.AzureAPI.TAzureBlob>.Create 0095 _Dn_TXMLDocument 009a TXMLDocument.Create 00ae @IntfCopy 00d7 GetFirstMatchingChildNode 0105 @UStrAsg 017b @UStrLAsg 0186 AnsiCompareText 01e5 _DV_TAzureBlob 01ea TAzureBlob.Create 01f4 TList<Data.Cloud.AzureAPI.TAzureBlob>.Add 036c TAzureBlobService.LoadChildrenAsProperties 03ec @HandleFinally 0452 TStrings.GetValue 056b TObject.Free 05d4 IXMLNode 05de @FinalizeArray 05e9 @IntfClear 05f4 @UStrClr 0617 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 16 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D 84 89 55 FC 89 45 88 8B 45 FC E8 ?? ?? ?? ?? 8B 45 84 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 80 33 C0 89 85 74 FF FF FF 33 C0 89 85 70 FF FF FF 8B 45 08 50 8D 45 F8 50 8B 4D 0C 8B 55 FC 8B 45 88 E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 3E 05 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 80 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 E4 8B 08 FF 91 A0 00 00 00 8D 55 E0 8B 45 E4 8B 08 FF 51 18 8D 4D D4 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 83 7D D4 00 74 28 8B 45 D4 8B 10 FF 52 28 84 C0 74 1C 8D 95 5C FF FF FF 8B 45 D4 8B 08 FF 51 50 8B 95 5C FF FF FF 8B 45 84 E8 ?? ?? ?? ?? 8D 4D DC BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 83 7D DC 00 0F 84 9C 04 00 00 8B 45 DC 8B 10 FF 52 24 84 C0 0F 84 8C 04 00 00 8D 95 58 FF FF FF 8B 45 DC 8B 08 FF 51 14 8B 85 58 FF FF FF 8D 55 D8 8B 08 FF 51 34 83 7D D8 00 0F 84 66 04 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D0 8B 45 D8 8B 08 FF 51 34 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 45 D0 E8 ?? ?? ?? ?? 85 C0 0F 94 85 6E FF FF FF 80 BD 6E FF FF FF 00 74 61 8D 4D D4 BA ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 83 7D D4 00 0F 84 97 03 00 00 8B 45 D4 8B 10 FF 52 28 84 C0 0F 84 87 03 00 00 6A 02 6A 00 6A 01 6A 00 8D 95 54 FF FF FF 8B 45 D4 8B 08 FF 51 50 8B 8D 54 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 80 E8 ?? ?? ?? ?? E9 50 03 00 00 8D 55 C8 8B 45 D8 8B 08 FF 51 34 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B 45 C8 E8 ?? ?? ?? ?? 85 C0 0F 94 85 6D FF FF FF 80 BD 6D FF FF FF 00 0F 84 17 03 00 00 8D 95 50 FF FF FF 8B 45 D8 8B 08 FF 51 14 8B 85 50 FF FF FF 8D 55 D4 8B 08 FF 51 34 83 7D D4 00 0F 84 A0 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 C0 8B 45 D4 8B 08 FF 51 34 8D 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 45 C0 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 10 8D 55 F4 8B 45 D4 8B 08 FF 51 50 E9 18 01 00 00 8D 55 B8 8B 45 D4 8B 08 FF 51 34 8D 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B 45 B8 E8 ?? ?? ?? ?? 85 C0 0F 94 85 6C FF FF FF 80 BD 6C FF FF FF 00 74 10 8D 55 EC 8B 45 D4 8B 08 FF 51 50 E9 D3 00 00 00 8D 55 B0 8B 45 D4 8B 08 FF 51 34 8D 45 AC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 8B 45 B0 E8 ?? ?? ?? ?? 85 C0 0F 94 85 6B FF FF FF 80 BD 6B FF FF FF 00 74 10 8D 55 F0 8B 45 D4 8B 08 FF 51 50 E9 8E 00 00 00 8D 55 A8 8B 45 D4 8B 08 FF 51 34 8D 45 A4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8B 45 A8 E8 ?? ?? ?? ?? 85 C0 0F 94 85 6A FF FF FF 80 BD 6A FF FF FF 00 74 13 8B 55 D4 8B 45 88 E8 ?? ?? ?? ?? 89 85 74 FF FF FF EB 46 8D 55 A0 8B 45 D4 8B 08 FF 51 34 8D 45 9C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B 45 A0 E8 ?? ?? ?? ?? 85 C0 0F 94 85 69 FF FF FF 80 BD 69 FF FF FF 00 74 11 8B 55 D4 8B 45 88 E8 ?? ?? ?? ?? 89 85 70 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 95 4C FF FF FF 8B 45 D4 8B 08 FF 91 90 00 00 00 8B 95 4C FF FF FF 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 83 7D D4 00 0F 85 60 FE FF FF 8B 45 F4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 3B 01 00 00 8B 45 F0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 25 01 00 00 83 BD 74 FF FF FF 00 0F 84 18 01 00 00 C6 85 7B FF FF FF 00 C6 85 6F FF FF FF 01 8D 4D E8 BA ?? ?? ?? ?? 8B 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 45 98 8B 55 E8 E8 ?? ?? ?? ?? 8D 45 94 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 8B 45 98 E8 ?? ?? ?? ?? 85 C0 0F 94 85 68 FF FF FF 80 BD 68 FF FF FF 00 74 07 C6 85 7B FF FF FF 01 8D 4D E8 BA ?? ?? ?? ?? 8B 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 45 90 8B 55 E8 E8 ?? ?? ?? ?? 8D 45 8C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 8C 8B 45 90 E8 ?? ?? ?? ?? 85 C0 0F 94 85 67 FF FF FF 80 BD 67 FF FF FF 00 74 07 C6 85 6F FF FF FF 00 0F B6 85 7B FF FF FF 50 8B 45 F0 50 0F B6 85 6F FF FF FF 50 8B 45 EC 50 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 7C FF FF FF 8B 85 7C FF FF FF 8B 40 14 8B 95 74 FF FF FF 8B 08 FF 51 40 83 BD 70 FF FF FF 00 74 14 8B 85 7C FF FF FF 8B 40 18 8B 95 70 FF FF FF 8B 08 FF 51 40 8B 95 7C FF FF FF 8B 45 80 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B B5 70 FF FF FF 33 C0 89 85 70 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 89 85 60 FF FF FF 33 C0 89 85 74 FF FF FF 8B 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 95 48 FF FF FF 8B 45 D8 8B 08 FF 91 90 00 00 00 8B 95 48 FF FF FF 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A5 83 7D D8 00 0F 85 9A FB FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 48 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 8D 45 8C BA 12 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 81 8B 45 80 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4E 00 65 00 78 00 74 00 4D 00 61 00 72 00 6B 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 6C 00 6F 00 62 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 42 00 6C 00 6F 00 62 00 50 00 72 00 65 00 66 00 69 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 6C 00 6F 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 55 00 72 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 42 00 6C 00 6F 00 62 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 67 00 65 00 42 00 6C 00 6F 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 65 00 61 00 73 00 65 00 53 00 74 00 61 00 74 00 75 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6C 00 6F 00 63 00 6B 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_4315_0 {
	meta:
		name = "TAzureBlobService.ListBlobsXML"
		size = 596
		refs = "0025 @UStrAddRef 002d TAzureBlobService.ListBlobsXML 003e AnsiLowerCase 0049 @UStrLAsg 0054 TAzureService.GetConnectionInfo 005c TAzureConnectionInfo.BlobURL 0082 Format 0089 _Dn_TStringList 008e TStringList.Create 009d TAzureService.PopulateDateHeader 00b0 TAzureBlobService.GetBlobContainerQueryPrefix 00df TStrings.SetValue 0138 @UStrClr 0169 TObject.Free 0189 @HandleFinally 01a5 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D D0 89 5D E4 89 5D F8 89 5D F4 8B F9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8B C6 E8 ?? ?? ?? ?? 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 8B 45 FC 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C9 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 45 F4 50 8B 4D FC 8B 55 F0 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 85 FF 74 0A 8B D7 8B 45 EC 8B 08 FF 51 40 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 CC 50 8B 4D EC 8B 55 F8 8B C6 8B 18 FF 53 14 8B 55 CC 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 50 8B 45 F4 50 8B 45 0C 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D F0 8B 55 F8 8B C6 8B 18 FF 53 50 89 45 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 73 00 74 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 69 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_4316_0 {
	meta:
		name = "TAzureBlobService.ListContainers"
		size = 87
		refs = "0012 TAzureBlobService.ListContainers 0021 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4317_0 {
	meta:
		name = "TAzureBlobService.ListContainers"
		size = 460
		refs = "001d TAzureBlobService.ListContainers 0039 TAzureBlobService.ListContainersXML 0042 EmptyStr 0049 @UStrEqual 0056 _DV_TList<Data.Cloud.AzureAPI.TAzureContainer> 005b TList<Data.Cloud.AzureAPI.TAzureContainer>.Create 0067 _Dn_TXMLDocument 006c TXMLDocument.Create 0080 @IntfCopy 00c3 GetFirstMatchingChildNode 010e TAzureBlobService.ParseContainerFromContainerNode 011e TList<Data.Cloud.AzureAPI.TAzureContainer>.Add 014a @HandleFinally 0167 @IntfClear 0178 IXMLNode 0182 @FinalizeArray 0192 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 8B D9 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E4 8D 45 FC 50 8B 4D 08 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 03 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 91 A0 00 00 00 8D 55 F4 8B 45 F8 8B 08 FF 51 18 83 7D F4 00 0F 84 AF 00 00 00 8B 45 F4 8B 10 FF 52 24 84 C0 0F 84 9F 00 00 00 8D 4D F0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 7D F0 00 0F 84 85 00 00 00 8B 45 F0 8B 10 FF 52 24 84 C0 74 79 8D 55 E0 8B 45 F0 8B 08 FF 51 14 8B 45 E0 8D 55 EC 8B 08 FF 51 34 83 7D EC 00 74 5D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0A 8B D3 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 DC 8B 45 EC 8B 08 FF 91 90 00 00 00 8B 55 DC 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 83 7D EC 00 75 A3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 8B 45 E4 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_4318_0 {
	meta:
		name = "TAzureContainer.Create"
		size = 139
		refs = "0011 @ClassCreate 002a @UStrAsg 0040 _Dn_TStringList 0045 TStringList.Create 0072 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 8B 7D 08 8B 75 0C 8D 43 04 8B 55 F8 E8 ?? ?? ?? ?? 8D 43 08 8B 55 10 E8 ?? ?? ?? ?? 85 F6 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C EB 03 89 73 0C 85 FF 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 EB 03 89 7B 10 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4320_0 {
	meta:
		name = "TAzureContainer.IsRoot"
		size = 48
		refs = "0007 TAzureContainer.IsRoot 000c @UStrEqual"
	strings:
		$1 = { 53 8B D8 8B 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 24 00 72 00 6F 00 6F 00 74 00 00 00 }
	condition:
		$1
}

rule function_4321_0 {
	meta:
		name = "TAccessPolicy.Create"
		size = 236
		refs = "0016 TAccessPolicy 001b @InitializeRecord 0023 TAccessPolicy.Create 0036 @UStrLAsg 003b Now 004e CurrencyString 0056 FormatDateTime 006e TAccessPolicy.SetPermission 007e @CopyRecord 0099 @FinalizeRecord 00a6 @UStrArrayClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 D2 89 55 FC 89 55 F8 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D E0 9B FF 75 E4 FF 75 E0 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8D 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 79 00 79 00 79 00 79 00 2D 00 6D 00 6D 00 2D 00 64 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 72 00 00 00 }
	condition:
		$1
}

rule function_4322_0 {
	meta:
		name = "TAccessPolicy.AsXML"
		size = 344
		refs = "000f TAccessPolicy.AsXML 0033 TAccessPolicy.GetPermission 0047 @UStrCatN 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? FF 73 04 68 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C6 BA 07 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 3C 00 41 00 63 00 63 00 65 00 73 00 73 00 50 00 6F 00 6C 00 69 00 63 00 79 00 3E 00 3C 00 53 00 74 00 61 00 72 00 74 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 3C 00 2F 00 53 00 74 00 61 00 72 00 74 00 3E 00 3C 00 45 00 78 00 70 00 69 00 72 00 79 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 3C 00 2F 00 45 00 78 00 70 00 69 00 72 00 79 00 3E 00 3C 00 50 00 65 00 72 00 6D 00 69 00 73 00 73 00 69 00 6F 00 6E 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 3C 00 2F 00 50 00 65 00 72 00 6D 00 69 00 73 00 73 00 69 00 6F 00 6E 00 3E 00 3C 00 2F 00 41 00 63 00 63 00 65 00 73 00 73 00 50 00 6F 00 6C 00 69 00 63 00 79 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_4323_0 {
	meta:
		name = "TAccessPolicy.GetPermission"
		size = 152
		refs = "0009 @UStrClr 0016 TAccessPolicy.GetPermission 001b @UStrCat"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 80 7E 08 00 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7E 09 00 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7E 0A 00 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7E 0B 00 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 72 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 77 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 64 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 6C 00 00 00 }
	condition:
		$1
}

rule function_4324_0 {
	meta:
		name = "TAccessPolicy.SetPermission"
		size = 98
	strings:
		$1 = { 53 56 8B CA 85 C9 74 05 83 E9 04 8B 09 C6 40 08 00 C6 40 09 00 C6 40 0A 00 C6 40 0B 00 8B D9 85 DB 7E 3C B9 01 00 00 00 0F B7 74 4A FE 66 83 FE 72 75 06 C6 40 08 01 EB 22 66 83 FE 77 75 06 C6 40 09 01 EB 16 66 83 FE 64 75 06 C6 40 0A 01 EB 0A 66 83 FE 6C 75 04 C6 40 0B 01 41 4B 75 C9 5E 5B C3 }
	condition:
		$1
}

rule function_4325_0 {
	meta:
		name = "TSignedIdentifier.Create"
		size = 74
		refs = "000b @ClassCreate 001b @UStrAsg 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 08 8B D6 E8 ?? ?? ?? ?? C6 47 14 00 C6 47 15 00 C6 47 16 00 C6 47 17 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4326_0 {
	meta:
		name = "TSignedIdentifier.Create"
		size = 185
		refs = "0011 @ClassCreate 0029 TAccessPolicy 002e @AddRefRecord 0036 @UStrAddRef 003e TSignedIdentifier.Create 004e @UStrAsg 005f @CopyRecord 0085 @FinalizeRecord 008d @UStrClr 0093 @HandleFinally 00a0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 0C 8D 7D F4 A5 A5 A5 8B F1 8B DA 8B F8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 47 08 8B D6 E8 ?? ?? ?? ?? 8D 47 0C 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 04 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_4327_0 {
	meta:
		name = "TSignedIdentifier.AsXML"
		size = 240
		refs = "000f TSignedIdentifier.AsXML 002d TAccessPolicy.AsXML 0041 @UStrCatN 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? FF 73 04 68 ?? ?? ?? ?? 8D 55 FC 8D 43 0C E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 16 00 00 00 3C 00 53 00 69 00 67 00 6E 00 65 00 64 00 49 00 64 00 65 00 6E 00 74 00 69 00 66 00 69 00 65 00 72 00 3E 00 3C 00 49 00 64 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 49 00 64 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 3C 00 2F 00 53 00 69 00 67 00 6E 00 65 00 64 00 49 00 64 00 65 00 6E 00 74 00 69 00 66 00 69 00 65 00 72 00 3E 00 00 00 }
	condition:
		$1
}

rule function_4328_0 {
	meta:
		name = "TAzureBlob.Create"
		size = 130
		refs = "000e @ClassCreate 001e @UStrAsg 0049 _Dn_TStringList 004e TStringList.Create 006b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 0F B6 45 14 88 47 10 8D 47 08 8B 55 10 E8 ?? ?? ?? ?? 0F B6 45 0C 88 47 11 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_4329_0 {
	meta:
		name = "TAzureBlob.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TObject.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4330_0 {
	meta:
		name = "TBlobActionConditional.Create"
		size = 93
		refs = "000e TBlobActionConditional 0013 @InitializeRecord 001b TBlobActionConditional.Create 0031 @CopyRecord 004c @FinalizeRecord 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 8B D8 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8D 55 D4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4331_0 {
	meta:
		name = "TBlobActionConditional.PopulateHeaders"
		size = 1024
		refs = "0012 EmptyStr 0019 @UStrEqual 0022 TBlobActionConditional.PopulateHeaders 0029 TStrings.SetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 0F 84 69 01 00 00 8B 03 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0E 8B 0B BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 04 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 04 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 08 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 08 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 0C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 10 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 10 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 14 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 14 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 18 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 18 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 1C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 1C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 20 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 20 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 24 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 28 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 28 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 73 00 6F 00 75 00 72 00 63 00 65 00 2D 00 69 00 66 00 2D 00 6D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 73 00 69 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 73 00 6F 00 75 00 72 00 63 00 65 00 2D 00 69 00 66 00 2D 00 75 00 6E 00 6D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 73 00 69 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 73 00 6F 00 75 00 72 00 63 00 65 00 2D 00 69 00 66 00 2D 00 6D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 73 00 6F 00 75 00 72 00 63 00 65 00 2D 00 69 00 66 00 2D 00 6E 00 6F 00 6E 00 65 00 2D 00 6D 00 61 00 74 00 63 00 68 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 66 00 2D 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 53 00 69 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 66 00 2D 00 55 00 6E 00 6D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 53 00 69 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 66 00 2D 00 4D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 66 00 2D 00 4E 00 6F 00 6E 00 65 00 2D 00 4D 00 61 00 74 00 63 00 68 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 69 00 66 00 2D 00 73 00 65 00 71 00 75 00 65 00 6E 00 63 00 65 00 2D 00 6E 00 75 00 6D 00 62 00 65 00 72 00 2D 00 6C 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 69 00 66 00 2D 00 73 00 65 00 71 00 75 00 65 00 6E 00 63 00 65 00 2D 00 6E 00 75 00 6D 00 62 00 65 00 72 00 2D 00 6C 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 69 00 66 00 2D 00 73 00 65 00 71 00 75 00 65 00 6E 00 63 00 65 00 2D 00 6E 00 75 00 6D 00 62 00 65 00 72 00 2D 00 65 00 71 00 00 00 00 00 }
	condition:
		$1
}

rule function_4332_0 {
	meta:
		name = "TAzureBlockListItem.Create"
		size = 156
		refs = "0013 @UStrAddRef 0024 TAzureBlockListItem 0029 @InitializeRecord 0031 TAzureBlockListItem.Create 0042 @UStrLAsg 0061 @CopyRecord 007c @FinalizeRecord 0089 @UStrArrayClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 4D F8 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 88 5D F4 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 8D 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4333_0 {
	meta:
		name = "TAzureBlockListItem.AsXML"
		size = 320
		refs = "0018 TAzureBlockListItem.AsXML 0039 @UStrLAsg 006c XMLEscape 0088 Format 009d @UStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 43 08 FE C8 74 06 FE C8 74 11 EB 1E 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 E8 8B 03 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 6E 00 63 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4C 00 61 00 74 00 65 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 3C 00 25 00 73 00 3E 00 25 00 73 00 3C 00 2F 00 25 00 30 00 3A 00 73 00 3E 00 00 00 }
	condition:
		$1
}

rule function_4334_0 {
	meta:
		name = "TAzureBlobPageRange.Create"
		size = 49
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B 55 10 89 55 F0 8B 55 14 89 55 F4 8B 55 08 89 55 F8 8B 55 0C 89 55 FC 8B F8 8D 75 F0 A5 A5 A5 A5 5F 5E 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_4335_0 {
	meta:
		name = "TAzureBlobPageRange.GetPageCount"
		size = 84
		refs = "001d TAzureBlobPageRange.GetPageCount 0022 @TRUNC 0038 @_llmod"
	strings:
		$1 = { 53 83 C4 F8 8B C8 8B 41 08 8B 51 0C 2B 01 1B 51 04 89 04 24 89 54 24 04 DF 2C 24 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 6A 00 68 00 02 00 00 8B 44 24 08 8B 54 24 0C E8 ?? ?? ?? ?? 83 FA 00 75 03 83 F8 00 74 01 43 8B C3 59 5A 5B C3 00 00 00 00 00 00 44 }
	condition:
		$1
}

rule function_4336_0 {
	meta:
		name = "TAzureBlobPageRange.GetStartPage"
		size = 24
		refs = "0007 TAzureBlobPageRange.GetStartPage 000c @TRUNC"
	strings:
		$1 = { 53 8B D8 DF 2B D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 00 00 44 }
	condition:
		$1
}

rule function_4699_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AzureAPI.TAzureBlobPageRange>.ToArrayImpl"
		size = 153
		refs = "001b TArray<Data.Cloud.AzureAPI.TAzureBlobPageRange> 0020 @DynArraySetLength 002c TEnumerable<Data.Cloud.AzureAPI.TAzureBlobPageRange>.GetEnumerator 0037 TEnumerable<Data.Cloud.AzureAPI.TAzureBlobPageRange>.ToArrayImpl 0065 TEnumerator<Data.Cloud.AzureAPI.TAzureBlobPageRange>.MoveNext 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8D 55 E8 8B 45 F8 8B 08 FF 11 8B C3 03 C0 8B 55 FC 8B 12 8D 3C C2 8D 75 E8 A5 A5 A5 A5 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55002_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.ToArrayImpl"
		size = 153
		refs = "001b TArray<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>> 0020 @DynArraySetLength 002c TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetEnumerator 0037 TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.ToArrayImpl 0065 TEnumerator<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.MoveNext 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8D 55 E8 8B 45 F8 8B 08 FF 11 8B C3 03 C0 8B 55 FC 8B 12 8D 3C C2 8D 75 E8 A5 A5 A5 A5 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57627_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.ToArrayImpl"
		size = 153
		refs = "001b TArray<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>> 0020 @DynArraySetLength 002c TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetEnumerator 0037 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.ToArrayImpl 0065 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.MoveNext 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8D 55 E8 8B 45 F8 8B 08 FF 11 8B C3 03 C0 8B 55 FC 8B 12 8D 3C C2 8D 75 E8 A5 A5 A5 A5 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60597_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.ToArrayImpl"
		size = 153
		refs = "001b TArray<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>> 0020 @DynArraySetLength 002c TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetEnumerator 0037 TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.ToArrayImpl 0065 TEnumerator<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.MoveNext 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8D 55 E8 8B 45 F8 8B 08 FF 11 8B C3 03 C0 8B 55 FC 8B 12 8D 3C C2 8D 75 E8 A5 A5 A5 A5 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42549_0 {
	meta:
		name = "TEnumerable<System.TGUID>.ToArrayImpl"
		size = 153
		refs = "001b TArray<System.TGUID> 0020 @DynArraySetLength 002c TEnumerable<System.TGUID>.GetEnumerator 0037 TEnumerable<System.TGUID>.ToArrayImpl 0065 TEnumerator<System.TGUID>.MoveNext 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8D 55 E8 8B 45 F8 8B 08 FF 11 8B C3 03 C0 8B 55 FC 8B 12 8D 3C C2 8D 75 E8 A5 A5 A5 A5 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89288_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.Gestures.TGesturePoint>.ToArrayImpl"
		size = 153
		refs = "001b TArray<Vcl.Touch.Gestures.TGesturePoint> 0020 @DynArraySetLength 002c TEnumerable<Vcl.Touch.Gestures.TGesturePoint>.GetEnumerator 0037 TEnumerable<Vcl.Touch.Gestures.TGesturePoint>.ToArrayImpl 0065 TEnumerator<Vcl.Touch.Gestures.TGesturePoint>.MoveNext 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8D 55 E8 8B 45 F8 8B 08 FF 11 8B C3 03 C0 8B 55 FC 8B 12 8D 3C C2 8D 75 E8 A5 A5 A5 A5 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4701_0 {
	meta:
		name = "TEnumerable<Data.Cloud.AzureAPI.TAzureBlobPageRange>.ToArray"
		size = 182
		refs = "000f _DV_TList<Data.Cloud.AzureAPI.TAzureBlobPageRange> 0014 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Create 001f TEnumerable<Data.Cloud.AzureAPI.TAzureBlobPageRange>.ToArray 002c TEnumerable<Data.Cloud.AzureAPI.TAzureBlobPageRange>.GetEnumerator 0054 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Add 005c TEnumerator<Data.Cloud.AzureAPI.TAzureBlobPageRange>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 E0 8B 45 F4 8B 08 FF 11 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42514_0 {
	meta:
		name = "TEnumerable<IPPeerAPI.TPair<System.TGUID,System.TClass>>.ToArray"
		size = 182
		refs = "000f _DV_TList<IPPeerAPI.TPair<System.TGUID,System.TClass>> 0014 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Create 001f TEnumerable<IPPeerAPI.TPair<System.TGUID,System.TClass>>.ToArray 002c TEnumerable<IPPeerAPI.TPair<System.TGUID,System.TClass>>.GetEnumerator 0054 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Add 005c TEnumerator<IPPeerAPI.TPair<System.TGUID,System.TClass>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 E0 8B 45 F4 8B 08 FF 11 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55004_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.ToArray"
		size = 182
		refs = "000f _DV_TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>> 0014 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create 001f TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.ToArray 002c TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetEnumerator 0054 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Add 005c TEnumerator<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 E0 8B 45 F4 8B 08 FF 11 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57629_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.ToArray"
		size = 182
		refs = "000f _DV_TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>> 0014 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create 001f TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.ToArray 002c TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetEnumerator 0054 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Add 005c TEnumerator<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 E0 8B 45 F4 8B 08 FF 11 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60599_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.ToArray"
		size = 182
		refs = "000f _DV_TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>> 0014 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Create 001f TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.ToArray 002c TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetEnumerator 0054 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Add 005c TEnumerator<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 E0 8B 45 F4 8B 08 FF 11 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4706_0 {
	meta:
		name = "TList<T>.GetItem"
		size = 55
		refs = "0010 SArgumentOutOfRange 0017 _Dn_EArgumentOutOfRangeException 001c Exception.CreateRes 0021 @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B D9 85 D2 7C 05 3B 50 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 D2 8B 40 04 8D 34 D0 8B FB A5 A5 A5 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4707_0 {
	meta:
		name = "TList<T>.SetItem"
		size = 103
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8B D8 85 D2 7C 05 3B 53 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C2 03 C0 8B 4B 04 56 8D 34 C1 8D 7C 24 04 A5 A5 A5 A5 5E 8B 53 04 56 8D 3C C2 A5 A5 A5 A5 5E B1 01 8B D4 8B C3 8B 38 FF 57 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4710_0 {
	meta:
		name = "TList<T>.DoDelete"
		size = 166
		refs = "0018 SArgumentOutOfRange 001f _Dn_EArgumentOutOfRangeException 0024 Exception.CreateRes 0029 @RaiseExcept 0078 Move 008f @FillChar"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B D9 8B F2 8B E8 85 F6 7C 05 3B 75 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 03 FF 8B 45 04 56 57 8D 34 F8 8D 7C 24 08 A5 A5 A5 A5 5F 5E 8B 55 04 8D 04 FA 8B CF 8B F8 33 C0 AB AB AB AB 8B F9 FF 4D 08 8B 45 08 3B F0 74 34 8B 55 04 8D 14 FA 52 8B 55 04 8D 54 FA 10 2B C6 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 45 08 03 C0 8B 55 04 8D 04 C2 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B CB 8B D4 8B C5 8B 18 FF 53 08 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4717_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Add"
		size = 61
		refs = "000f TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.GrowCheck"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 03 C0 8B 53 04 56 8D 3C C2 A5 A5 A5 A5 5E FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55863_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Add"
		size = 61
		refs = "000f TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GrowCheck"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 03 C0 8B 53 04 56 8D 3C C2 A5 A5 A5 A5 5E FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58498_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Add"
		size = 61
		refs = "000f TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GrowCheck"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 03 C0 8B 53 04 56 8D 3C C2 A5 A5 A5 A5 5E FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61249_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Add"
		size = 61
		refs = "000f TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GrowCheck"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 03 C0 8B 53 04 56 8D 3C C2 A5 A5 A5 A5 5E FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42786_0 {
	meta:
		name = "TList<System.TGUID>.Add"
		size = 61
		refs = "000f TList<System.TGUID>.GrowCheck"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 03 C0 8B 53 04 56 8D 3C C2 A5 A5 A5 A5 5E FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89306_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.Add"
		size = 61
		refs = "000f TList<Vcl.Touch.Gestures.TGesturePoint>.GrowCheck"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 03 C0 8B 53 04 56 8D 3C C2 A5 A5 A5 A5 5E FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4721_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Insert"
		size = 148
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.GrowCheck 0059 Move 006b @FillChar"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 33 8B EE 03 ED 8B 53 04 8D 54 EA 10 52 8B 53 04 8D 14 EA 2B C6 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 E8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B C6 03 C0 8B 53 04 57 8B F7 8D 3C C2 A5 A5 A5 A5 5F FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55867_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Insert"
		size = 148
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GrowCheck 0059 Move 006b @FillChar"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 33 8B EE 03 ED 8B 53 04 8D 54 EA 10 52 8B 53 04 8D 14 EA 2B C6 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 E8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B C6 03 C0 8B 53 04 57 8B F7 8D 3C C2 A5 A5 A5 A5 5F FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58502_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Insert"
		size = 148
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GrowCheck 0059 Move 006b @FillChar"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 33 8B EE 03 ED 8B 53 04 8D 54 EA 10 52 8B 53 04 8D 14 EA 2B C6 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 E8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B C6 03 C0 8B 53 04 57 8B F7 8D 3C C2 A5 A5 A5 A5 5F FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61253_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Insert"
		size = 148
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GrowCheck 0059 Move 006b @FillChar"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 33 8B EE 03 ED 8B 53 04 8D 54 EA 10 52 8B 53 04 8D 14 EA 2B C6 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 E8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B C6 03 C0 8B 53 04 57 8B F7 8D 3C C2 A5 A5 A5 A5 5F FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42790_0 {
	meta:
		name = "TList<System.TGUID>.Insert"
		size = 148
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<System.TGUID>.GrowCheck 0059 Move 006b @FillChar"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 33 8B EE 03 ED 8B 53 04 8D 54 EA 10 52 8B 53 04 8D 14 EA 2B C6 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 E8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B C6 03 C0 8B 53 04 57 8B F7 8D 3C C2 A5 A5 A5 A5 5F FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89310_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.Insert"
		size = 148
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<Vcl.Touch.Gestures.TGesturePoint>.GrowCheck 0059 Move 006b @FillChar"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 33 8B EE 03 ED 8B 53 04 8D 54 EA 10 52 8B 53 04 8D 14 EA 2B C6 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 E8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B C6 03 C0 8B 53 04 57 8B F7 8D 3C C2 A5 A5 A5 A5 5F FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4722_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.InsertRange"
		size = 241
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.GrowCheck 007a Move 008f @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 41 8B D6 03 D3 03 D2 8B 4D FC 8B 49 04 8D 14 D1 52 8B FB 03 FF 8B 55 FC 8B 52 04 8D 14 FA 2B C3 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 F8 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 26 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 03 C9 8B 75 FC 8B 76 04 8D 3C CE 8B F0 A5 A5 A5 A5 42 83 C0 10 FF 4D F4 75 E3 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 10 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_55868_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange"
		size = 241
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GrowCheck 007a Move 008f @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 41 8B D6 03 D3 03 D2 8B 4D FC 8B 49 04 8D 14 D1 52 8B FB 03 FF 8B 55 FC 8B 52 04 8D 14 FA 2B C3 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 F8 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 26 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 03 C9 8B 75 FC 8B 76 04 8D 3C CE 8B F0 A5 A5 A5 A5 42 83 C0 10 FF 4D F4 75 E3 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 10 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_58503_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange"
		size = 241
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GrowCheck 007a Move 008f @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 41 8B D6 03 D3 03 D2 8B 4D FC 8B 49 04 8D 14 D1 52 8B FB 03 FF 8B 55 FC 8B 52 04 8D 14 FA 2B C3 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 F8 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 26 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 03 C9 8B 75 FC 8B 76 04 8D 3C CE 8B F0 A5 A5 A5 A5 42 83 C0 10 FF 4D F4 75 E3 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 10 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_61254_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange"
		size = 241
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GrowCheck 007a Move 008f @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 41 8B D6 03 D3 03 D2 8B 4D FC 8B 49 04 8D 14 D1 52 8B FB 03 FF 8B 55 FC 8B 52 04 8D 14 FA 2B C3 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 F8 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 26 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 03 C9 8B 75 FC 8B 76 04 8D 3C CE 8B F0 A5 A5 A5 A5 42 83 C0 10 FF 4D F4 75 E3 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 10 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_42791_0 {
	meta:
		name = "TList<System.TGUID>.InsertRange"
		size = 241
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<System.TGUID>.GrowCheck 007a Move 008f @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 41 8B D6 03 D3 03 D2 8B 4D FC 8B 49 04 8D 14 D1 52 8B FB 03 FF 8B 55 FC 8B 52 04 8D 14 FA 2B C3 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 F8 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 26 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 03 C9 8B 75 FC 8B 76 04 8D 3C CE 8B F0 A5 A5 A5 A5 42 83 C0 10 FF 4D F4 75 E3 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 10 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89311_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.InsertRange"
		size = 241
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<Vcl.Touch.Gestures.TGesturePoint>.GrowCheck 007a Move 008f @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 41 8B D6 03 D3 03 D2 8B 4D FC 8B 49 04 8D 14 D1 52 8B FB 03 FF 8B 55 FC 8B 52 04 8D 14 FA 2B C3 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 F8 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 26 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 03 C9 8B 75 FC 8B 76 04 8D 3C CE 8B F0 A5 A5 A5 A5 42 83 C0 10 FF 4D F4 75 E3 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 10 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4723_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.InsertRange"
		size = 126
		refs = "0018 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.InsertRange 0041 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 E8 8B 45 FC 8B 08 FF 51 18 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42741_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.InsertRange"
		size = 126
		refs = "0018 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.InsertRange 0041 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 E8 8B 45 FC 8B 08 FF 51 18 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55869_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange"
		size = 126
		refs = "0018 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange 0041 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 E8 8B 45 FC 8B 08 FF 51 18 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58504_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange"
		size = 126
		refs = "0018 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange 0041 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 E8 8B 45 FC 8B 08 FF 51 18 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61255_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange"
		size = 126
		refs = "0018 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange 0041 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 E8 8B 45 FC 8B 08 FF 51 18 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4724_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.InsertRange"
		size = 116
		refs = "000f TEnumerable<Data.Cloud.AzureAPI.TAzureBlobPageRange>.GetEnumerator 001a TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.InsertRange 0038 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Insert 0041 TEnumerator<Data.Cloud.AzureAPI.TAzureBlobPageRange>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 E8 8B 45 FC 8B 08 FF 11 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42742_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.InsertRange"
		size = 116
		refs = "000f TEnumerable<IPPeerAPI.TPair<System.TGUID,System.TClass>>.GetEnumerator 001a TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.InsertRange 0038 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Insert 0041 TEnumerator<IPPeerAPI.TPair<System.TGUID,System.TClass>>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 E8 8B 45 FC 8B 08 FF 11 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55870_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange"
		size = 116
		refs = "000f TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetEnumerator 001a TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange 0038 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Insert 0041 TEnumerator<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 E8 8B 45 FC 8B 08 FF 11 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58505_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange"
		size = 116
		refs = "000f TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetEnumerator 001a TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange 0038 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Insert 0041 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 E8 8B 45 FC 8B 08 FF 11 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61256_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange"
		size = 116
		refs = "000f TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetEnumerator 001a TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.InsertRange 0038 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Insert 0041 TEnumerator<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 E8 8B 45 FC 8B 08 FF 11 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4727_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.DeleteRange"
		size = 321
		refs = "0018 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.:3 0068 @DynArraySetLength 0082 Move 00cc @FillChar 00ef @DynArrayLength 012e @DynArrayClear 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 BF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 03 C0 8B 53 04 8D 04 C2 8B CE C1 E1 04 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3E 8B D7 03 D2 8B 4B 04 8D 14 D1 52 8D 14 3E 03 D2 8B 4B 04 8D 14 D1 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? EB 16 8B C7 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1F 40 89 45 F8 33 F6 8B C6 03 C0 8B 55 FC 8D 14 C2 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7941_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.DeleteRange"
		size = 321
		refs = "0018 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.:3 0068 @DynArraySetLength 0082 Move 00cc @FillChar 00ef @DynArrayLength 012e @DynArrayClear 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 BF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 03 C0 8B 53 04 8D 04 C2 8B CE C1 E1 04 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3E 8B D7 03 D2 8B 4B 04 8D 14 D1 52 8D 14 3E 03 D2 8B 4B 04 8D 14 D1 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? EB 16 8B C7 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1F 40 89 45 F8 33 F6 8B C6 03 C0 8B 55 FC 8D 14 C2 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_55873_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.DeleteRange"
		size = 321
		refs = "0018 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.:3 0068 @DynArraySetLength 0082 Move 00cc @FillChar 00ef @DynArrayLength 012e @DynArrayClear 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 BF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 03 C0 8B 53 04 8D 04 C2 8B CE C1 E1 04 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3E 8B D7 03 D2 8B 4B 04 8D 14 D1 52 8D 14 3E 03 D2 8B 4B 04 8D 14 D1 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? EB 16 8B C7 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1F 40 89 45 F8 33 F6 8B C6 03 C0 8B 55 FC 8D 14 C2 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_55583_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.DeleteRange"
		size = 321
		refs = "0018 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.:3 0068 @DynArraySetLength 0082 Move 00cc @FillChar 00ef @DynArrayLength 012e @DynArrayClear 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 BF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 03 C0 8B 53 04 8D 04 C2 8B CE C1 E1 04 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3E 8B D7 03 D2 8B 4B 04 8D 14 D1 52 8D 14 3E 03 D2 8B 4B 04 8D 14 D1 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? EB 16 8B C7 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1F 40 89 45 F8 33 F6 8B C6 03 C0 8B 55 FC 8D 14 C2 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_58508_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.DeleteRange"
		size = 321
		refs = "0018 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.:3 0068 @DynArraySetLength 0082 Move 00cc @FillChar 00ef @DynArrayLength 012e @DynArrayClear 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 BF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 03 C0 8B 53 04 8D 04 C2 8B CE C1 E1 04 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3E 8B D7 03 D2 8B 4B 04 8D 14 D1 52 8D 14 3E 03 D2 8B 4B 04 8D 14 D1 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? EB 16 8B C7 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1F 40 89 45 F8 33 F6 8B C6 03 C0 8B 55 FC 8D 14 C2 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_58316_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.DeleteRange"
		size = 321
		refs = "0018 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.:3 0068 @DynArraySetLength 0082 Move 00cc @FillChar 00ef @DynArrayLength 012e @DynArrayClear 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 BF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 03 C0 8B 53 04 8D 04 C2 8B CE C1 E1 04 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3E 8B D7 03 D2 8B 4B 04 8D 14 D1 52 8D 14 3E 03 D2 8B 4B 04 8D 14 D1 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? EB 16 8B C7 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1F 40 89 45 F8 33 F6 8B C6 03 C0 8B 55 FC 8D 14 C2 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_61259_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.DeleteRange"
		size = 321
		refs = "0018 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.:3 0068 @DynArraySetLength 0082 Move 00cc @FillChar 00ef @DynArrayLength 012e @DynArrayClear 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 BF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 03 C0 8B 53 04 8D 04 C2 8B CE C1 E1 04 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3E 8B D7 03 D2 8B 4B 04 8D 14 D1 52 8D 14 3E 03 D2 8B 4B 04 8D 14 D1 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? EB 16 8B C7 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1F 40 89 45 F8 33 F6 8B C6 03 C0 8B 55 FC 8D 14 C2 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42796_0 {
	meta:
		name = "TList<System.TGUID>.DeleteRange"
		size = 321
		refs = "0018 TList<System.TGUID>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.TGUID>.:3 0068 @DynArraySetLength 0082 Move 00cc @FillChar 00ef @DynArrayLength 012e @DynArrayClear 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 BF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 03 C0 8B 53 04 8D 04 C2 8B CE C1 E1 04 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3E 8B D7 03 D2 8B 4B 04 8D 14 D1 52 8D 14 3E 03 D2 8B 4B 04 8D 14 D1 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? EB 16 8B C7 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1F 40 89 45 F8 33 F6 8B C6 03 C0 8B 55 FC 8D 14 C2 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50103_0 {
	meta:
		name = "TList<System.Variant>.DeleteRange"
		size = 321
		refs = "0018 TList<System.Variant>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Variant>.:3 0068 @DynArraySetLength 0082 Move 00cc @FillChar 00ef @DynArrayLength 012e @DynArrayClear 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 BF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 03 C0 8B 53 04 8D 04 C2 8B CE C1 E1 04 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3E 8B D7 03 D2 8B 4B 04 8D 14 D1 52 8D 14 3E 03 D2 8B 4B 04 8D 14 D1 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? EB 16 8B C7 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1F 40 89 45 F8 33 F6 8B C6 03 C0 8B 55 FC 8D 14 C2 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_87585_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.DeleteRange"
		size = 321
		refs = "0018 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.:3 0068 @DynArraySetLength 0082 Move 00cc @FillChar 00ef @DynArrayLength 012e @DynArrayClear 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 BF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 03 C0 8B 53 04 8D 04 C2 8B CE C1 E1 04 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3E 8B D7 03 D2 8B 4B 04 8D 14 D1 52 8D 14 3E 03 D2 8B 4B 04 8D 14 D1 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? EB 16 8B C7 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1F 40 89 45 F8 33 F6 8B C6 03 C0 8B 55 FC 8D 14 C2 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89316_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.DeleteRange"
		size = 321
		refs = "0018 TList<Vcl.Touch.Gestures.TGesturePoint>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Touch.Gestures.TGesturePoint>.:3 0068 @DynArraySetLength 0082 Move 00cc @FillChar 00ef @DynArrayLength 012e @DynArrayClear 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 BF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 03 C0 8B 53 04 8D 04 C2 8B CE C1 E1 04 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 3E 8B D7 03 D2 8B 4B 04 8D 14 D1 52 8D 14 3E 03 D2 8B 4B 04 8D 14 D1 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? EB 16 8B C7 03 C0 8B 53 04 8D 04 C2 8B D6 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1F 40 89 45 F8 33 F6 8B C6 03 C0 8B 55 FC 8D 14 C2 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4728_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Extract"
		size = 61
		refs = "000a TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.IndexOf 0035 TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0C 8B C6 8B F8 33 C0 AB AB AB AB EB 1B 8B D0 03 D2 8B 4B 04 8B FE 8D 34 D1 A5 A5 A5 A5 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55874_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Extract"
		size = 61
		refs = "000a TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.IndexOf 0035 TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0C 8B C6 8B F8 33 C0 AB AB AB AB EB 1B 8B D0 03 D2 8B 4B 04 8B FE 8D 34 D1 A5 A5 A5 A5 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58509_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Extract"
		size = 61
		refs = "000a TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.IndexOf 0035 TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0C 8B C6 8B F8 33 C0 AB AB AB AB EB 1B 8B D0 03 D2 8B 4B 04 8B FE 8D 34 D1 A5 A5 A5 A5 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61260_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Extract"
		size = 61
		refs = "000a TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.IndexOf 0035 TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0C 8B C6 8B F8 33 C0 AB AB AB AB EB 1B 8B D0 03 D2 8B 4B 04 8B FE 8D 34 D1 A5 A5 A5 A5 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42797_0 {
	meta:
		name = "TList<System.TGUID>.Extract"
		size = 61
		refs = "000a TList<System.TGUID>.IndexOf 0035 TList<System.TGUID>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0C 8B C6 8B F8 33 C0 AB AB AB AB EB 1B 8B D0 03 D2 8B 4B 04 8B FE 8D 34 D1 A5 A5 A5 A5 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89317_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.Extract"
		size = 61
		refs = "000a TList<Vcl.Touch.Gestures.TGesturePoint>.IndexOf 0035 TList<Vcl.Touch.Gestures.TGesturePoint>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0C 8B C6 8B F8 33 C0 AB AB AB AB EB 1B 8B D0 03 D2 8B 4B 04 8B FE 8D 34 D1 A5 A5 A5 A5 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4729_0 {
	meta:
		name = "TList<T>.Exchange"
		size = 75
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D9 8B F2 03 F6 8B 48 04 56 8D 34 F1 8D 7C 24 04 A5 A5 A5 A5 5E 8B CB 03 C9 8B 78 04 8D 0C CF 51 8B 50 04 59 8D 3C F2 8B F1 A5 A5 A5 A5 8B D3 03 D2 8B 40 04 8D 3C D0 8B F4 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4730_0 {
	meta:
		name = "TList<T>.Move"
		size = 195
		refs = "0020 SArgumentOutOfRange 0027 _Dn_EArgumentOutOfRangeException 002c Exception.CreateRes 0031 @RaiseExcept 0076 Move 00ab @FillChar"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F1 8B FA 8B D8 3B F7 0F 84 A6 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B EF 03 ED 8B 43 04 56 57 8D 34 E8 8D 7C 24 08 A5 A5 A5 A5 5F 5E 8B 53 04 8D 04 EA 8B CF 8B F8 33 C0 AB AB AB AB 8B F9 3B F7 7E 1B 8B 43 04 8D 14 E8 8B 43 04 8D 44 E8 10 8B CE 2B CF C1 E1 04 E8 ?? ?? ?? ?? EB 1D 8B C6 03 C0 8B 53 04 8D 54 C2 10 8B 4B 04 8D 04 C1 2B FE 8B CF C1 E1 04 E8 ?? ?? ?? ?? 8B FE 03 FF 8B 43 04 8D 04 F8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 3C F8 8B F4 A5 A5 A5 A5 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4735_0 {
	meta:
		name = "TList<T>.IndexOf"
		size = 63
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F0 8B 7E 08 4F 85 FF 7C 24 47 33 DB 8B C3 03 C0 8B 56 04 8D 14 C2 8B 0C 24 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 07 43 4F 75 DF 83 C8 FF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4736_0 {
	meta:
		name = "TList<T>.LastIndexOf"
		size = 59
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B 5E 08 4B 83 FB 00 7C 22 8B C3 03 C0 8B 56 04 8D 14 C2 8B CF 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 09 4B 83 FB FF 75 DE 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4737_0 {
	meta:
		name = "TList<T>.Reverse"
		size = 93
	strings:
		$1 = { 53 56 57 55 83 C4 F0 33 D2 8B 58 08 4B 3B DA 7E 44 8B F2 03 F6 8B 48 04 56 8D 34 F1 8D 7C 24 04 A5 A5 A5 A5 5E 8B CB 03 C9 8B 78 04 8D 0C CF 51 8B 48 04 5F 8B EF 8D 3C F1 8B F5 A5 A5 A5 A5 8B CB 03 C9 8B 70 04 8D 3C CE 8B F4 A5 A5 A5 A5 42 4B 3B DA 7F BC 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4743_0 {
	meta:
		name = "TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.ToArray"
		size = 97
		refs = "001a TArray<Data.Cloud.AzureAPI.TAzureBlobPageRange> 001f @DynArraySetLength 003a TList<Data.Cloud.AzureAPI.TAzureBlobPageRange>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 EC 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 03 C0 8B 14 24 8B 12 56 57 8D 74 24 0C 8D 3C C2 A5 A5 A5 A5 5F 5E 43 4F 75 D7 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55889_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.ToArray"
		size = 97
		refs = "001a TArray<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>> 001f @DynArraySetLength 003a TList<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 EC 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 03 C0 8B 14 24 8B 12 56 57 8D 74 24 0C 8D 3C C2 A5 A5 A5 A5 5F 5E 43 4F 75 D7 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58524_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.ToArray"
		size = 97
		refs = "001a TArray<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>> 001f @DynArraySetLength 003a TList<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 EC 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 03 C0 8B 14 24 8B 12 56 57 8D 74 24 0C 8D 3C C2 A5 A5 A5 A5 5F 5E 43 4F 75 D7 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61275_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.ToArray"
		size = 97
		refs = "001a TArray<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>> 001f @DynArraySetLength 003a TList<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 EC 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 03 C0 8B 14 24 8B 12 56 57 8D 74 24 0C 8D 3C C2 A5 A5 A5 A5 5F 5E 43 4F 75 D7 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42812_0 {
	meta:
		name = "TList<System.TGUID>.ToArray"
		size = 97
		refs = "001a TArray<System.TGUID> 001f @DynArraySetLength 003a TList<System.TGUID>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 EC 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 03 C0 8B 14 24 8B 12 56 57 8D 74 24 0C 8D 3C C2 A5 A5 A5 A5 5F 5E 43 4F 75 D7 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89332_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.ToArray"
		size = 97
		refs = "001a TArray<Vcl.Touch.Gestures.TGesturePoint> 001f @DynArraySetLength 003a TList<Vcl.Touch.Gestures.TGesturePoint>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 EC 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 03 C0 8B 14 24 8B 12 56 57 8D 74 24 0C 8D 3C C2 A5 A5 A5 A5 5F 5E 43 4F 75 D7 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4829_0 {
	meta:
		name = "TComparer<Data.Cloud.AzureAPI.TAzureBlobPageRange>.Default"
		size = 32
		refs = "000a TAzureBlobPageRange 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 10 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8066_0 {
	meta:
		name = "TComparer<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Default"
		size = 32
		refs = "000a TPair<System.string,Data.DBXCommon.TEventPointer> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 10 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56479_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Default"
		size = 32
		refs = "000a TPair<System.Bindings.Expression.TBindingExpression,System.Int64> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 10 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56443_0 {
	meta:
		name = "TComparer<System.Bindings.Graph.TPair<System.string,System.Int64>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.Int64> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 10 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58714_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Default"
		size = 32
		refs = "000a TPair<System.Bindings.Expression.TBindingExpression,System.Int64> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 10 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_58692_0 {
	meta:
		name = "TComparer<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Default"
		size = 32
		refs = "000a TPair<System.string,System.Int64> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 10 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61469_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.Default"
		size = 32
		refs = "000a TPair<System.Bindings.Expression.TBindingExpression,System.Int64> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 10 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_43068_0 {
	meta:
		name = "TComparer<System.TGUID>.Default"
		size = 32
		refs = "000a TGUID 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 10 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_50140_0 {
	meta:
		name = "TComparer<System.Variant>.Default"
		size = 32
		refs = "000a Variant 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 10 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88055_0 {
	meta:
		name = "TComparer<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Default"
		size = 32
		refs = "000a TStyleManager.TStyleClassDescriptor 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 10 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89347_0 {
	meta:
		name = "TComparer<Vcl.Touch.Gestures.TGesturePoint>.Default"
		size = 32
		refs = "000a TGesturePoint 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 10 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_4832_0 {
	meta:
		name = "TArray.BinarySearch<T>"
		size = 185
		refs = "0033 SArgumentOutOfRange 003a _Dn_EArgumentOutOfRangeException 003f Exception.CreateRes 0044 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B 75 08 8B 45 0C 85 C0 7C 1B 3B C1 7E 04 85 F6 7F 13 8D 14 06 4A 3B D1 7F 0B 85 F6 7C 07 8D 14 06 85 D2 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 75 0B 8B 55 14 89 02 C6 45 FB 00 EB 55 C6 45 FB 00 8B D8 03 F0 4E 89 75 F4 3B 5D F4 7F 3F 8B 75 F4 2B F3 D1 EE 03 F3 8B C6 03 C0 8B 55 FC 8D 14 C2 8B 4D 18 8B 45 10 8B 38 FF 57 0C 89 45 F0 83 7D F0 00 7D 05 8D 5E 01 EB 0E 4E 89 75 F4 83 7D F0 00 75 04 C6 45 FB 01 3B 5D F4 7E C1 8B 45 14 89 18 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_4860_0 {
	meta:
		name = "TArray.QuickSort<Data.Cloud.AzureAPI.TAzureBlobPageRange>"
		size = 265
		refs = "00f0 TArray.QuickSort<Data.Cloud.AzureAPI.TAzureBlobPageRange>"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 E2 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E D4 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 03 C0 8B 55 F8 56 8D 34 C2 8D 7D E0 A5 A5 A5 A5 5E EB 01 43 8B C3 03 C0 8B 55 F8 8D 14 C2 8D 4D E0 8B 45 10 8B 38 FF 57 0C 85 C0 7C E6 EB 01 4E 8B C6 03 C0 8B 55 F8 8D 14 C2 8D 4D E0 8B 45 10 8B 38 FF 57 0C 85 C0 7F E6 3B F3 7C 46 3B F3 74 40 8B C3 03 C0 8B 55 F8 56 8D 34 C2 8D 7D D0 A5 A5 A5 A5 5E 8B D6 03 D2 8B 4D F8 8D 14 D1 52 8B 55 F8 59 56 8B F1 8D 3C C2 A5 A5 A5 A5 5E 8B C6 03 C0 8B 55 F8 56 8D 3C C2 8D 75 D0 A5 A5 A5 A5 5E 43 4E 3B F3 0F 8D 79 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 2C FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_56574_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
		size = 265
		refs = "00f0 TArray.QuickSort<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 E2 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E D4 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 03 C0 8B 55 F8 56 8D 34 C2 8D 7D E0 A5 A5 A5 A5 5E EB 01 43 8B C3 03 C0 8B 55 F8 8D 14 C2 8D 4D E0 8B 45 10 8B 38 FF 57 0C 85 C0 7C E6 EB 01 4E 8B C6 03 C0 8B 55 F8 8D 14 C2 8D 4D E0 8B 45 10 8B 38 FF 57 0C 85 C0 7F E6 3B F3 7C 46 3B F3 74 40 8B C3 03 C0 8B 55 F8 56 8D 34 C2 8D 7D D0 A5 A5 A5 A5 5E 8B D6 03 D2 8B 4D F8 8D 14 D1 52 8B 55 F8 59 56 8B F1 8D 3C C2 A5 A5 A5 A5 5E 8B C6 03 C0 8B 55 F8 56 8D 3C C2 8D 75 D0 A5 A5 A5 A5 5E 43 4E 3B F3 0F 8D 79 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 2C FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_58776_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
		size = 265
		refs = "00f0 TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 E2 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E D4 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 03 C0 8B 55 F8 56 8D 34 C2 8D 7D E0 A5 A5 A5 A5 5E EB 01 43 8B C3 03 C0 8B 55 F8 8D 14 C2 8D 4D E0 8B 45 10 8B 38 FF 57 0C 85 C0 7C E6 EB 01 4E 8B C6 03 C0 8B 55 F8 8D 14 C2 8D 4D E0 8B 45 10 8B 38 FF 57 0C 85 C0 7F E6 3B F3 7C 46 3B F3 74 40 8B C3 03 C0 8B 55 F8 56 8D 34 C2 8D 7D D0 A5 A5 A5 A5 5E 8B D6 03 D2 8B 4D F8 8D 14 D1 52 8B 55 F8 59 56 8B F1 8D 3C C2 A5 A5 A5 A5 5E 8B C6 03 C0 8B 55 F8 56 8D 3C C2 8D 75 D0 A5 A5 A5 A5 5E 43 4E 3B F3 0F 8D 79 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 2C FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_61522_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
		size = 265
		refs = "00f0 TArray.QuickSort<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 E2 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E D4 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 03 C0 8B 55 F8 56 8D 34 C2 8D 7D E0 A5 A5 A5 A5 5E EB 01 43 8B C3 03 C0 8B 55 F8 8D 14 C2 8D 4D E0 8B 45 10 8B 38 FF 57 0C 85 C0 7C E6 EB 01 4E 8B C6 03 C0 8B 55 F8 8D 14 C2 8D 4D E0 8B 45 10 8B 38 FF 57 0C 85 C0 7F E6 3B F3 7C 46 3B F3 74 40 8B C3 03 C0 8B 55 F8 56 8D 34 C2 8D 7D D0 A5 A5 A5 A5 5E 8B D6 03 D2 8B 4D F8 8D 14 D1 52 8B 55 F8 59 56 8B F1 8D 3C C2 A5 A5 A5 A5 5E 8B C6 03 C0 8B 55 F8 56 8D 3C C2 8D 75 D0 A5 A5 A5 A5 5E 43 4E 3B F3 0F 8D 79 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 2C FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_4882_0 {
	meta:
		name = "XMLEscape"
		size = 344
		refs = "0013 XMLEscape 002b AnsiReplaceStr 004a @UStrAsg 00a2 @UStrArrayClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 26 00 61 00 6D 00 70 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 6C 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 67 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_4883_0 {
	meta:
		name = "EncodeBytes64"
		size = 516
		refs = "001b @DynArrayAddRef 0023 EncodeBytes64 0035 @DynArrayLength 009e @UStrFromWChar 00a9 @UStrCat 0116 @UStrCatN 0142 @UStrArrayClr 014b TArray<System.Byte> 0150 @DynArrayClear 0156 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 4D E8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 F6 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 48 85 C0 7C 79 40 89 45 EC C7 45 F0 00 00 00 00 8B 45 FC 8B 55 F0 0F B6 3C 10 C1 E6 08 0B FE 8B F7 83 C3 08 83 FB 06 7C 4D 83 EB 06 8B CB B8 01 00 00 00 D3 E0 50 8B C6 5A 8B CA 99 F7 F9 8B F8 8B CB B8 01 00 00 00 D3 E0 8B C8 8B C6 99 F7 F9 89 D6 8D 45 E8 BA ?? ?? ?? ?? 0F B7 14 7A E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 83 FB 06 7D B3 FF 45 F0 FF 4D EC 75 92 85 DB 7E 2A B9 06 00 00 00 2B CB 8B FE D3 E7 8D 45 E4 BA ?? ?? ?? ?? 0F B7 14 7A E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 45 F4 B9 03 00 00 00 99 F7 F9 4A 74 05 4A 74 20 EB 2E 8B 45 F8 FF 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 10 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 40 00 00 00 41 00 42 00 43 00 44 00 45 00 46 00 47 00 48 00 49 00 4A 00 4B 00 4C 00 4D 00 4E 00 4F 00 50 00 51 00 52 00 53 00 54 00 55 00 56 00 57 00 58 00 59 00 5A 00 61 00 62 00 63 00 64 00 65 00 66 00 67 00 68 00 69 00 6A 00 6B 00 6C 00 6D 00 6E 00 6F 00 70 00 71 00 72 00 73 00 74 00 75 00 76 00 77 00 78 00 79 00 7A 00 30 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 2B 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_4884_0 {
	meta:
		name = "Encode64"
		size = 113
		refs = "0015 @UStrAddRef 001d Encode64 0028 TEncoding.GetUTF8 0033 TEncoding.GetBytes 003d EncodeBytes64 0053 TArray<System.Byte> 0058 @DynArrayClear 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4885_0 {
	meta:
		name = "DecodeBytes64"
		size = 452
		refs = "0018 @UStrAddRef 0020 DecodeBytes64 0063 TArray<System.Byte> 0068 @DynArraySetLength 00a2 @UStrFromWChar 00af Pos 0116 @UStrClr 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 FC 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D0 C1 EA 02 8D 1C 52 8B 55 FC 66 83 7C 42 FE 3D 75 0D 4B 8B 55 FC 66 83 7C 42 FC 3D 75 01 4B 53 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 EC 33 FF 33 C0 89 45 F0 8B C6 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 79 C7 45 F4 01 00 00 00 8D 45 E8 8B 55 FC 8B 4D F4 0F B7 54 4A FE E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 4B 8B 45 F0 C1 E0 06 0B D8 89 5D F0 83 C7 06 83 FF 08 7C 32 83 EF 08 8B CF 8B 5D F0 D3 EB 8B CF B8 01 00 00 00 D3 E0 8B C8 8B 45 F0 99 F7 F9 89 55 F0 81 E3 FF 00 00 00 8B 45 F8 8B 00 8B 55 EC 88 1C 10 FF 45 EC FF 45 F4 4E 75 8E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 40 00 00 00 41 00 42 00 43 00 44 00 45 00 46 00 47 00 48 00 49 00 4A 00 4B 00 4C 00 4D 00 4E 00 4F 00 50 00 51 00 52 00 53 00 54 00 55 00 56 00 57 00 58 00 59 00 5A 00 61 00 62 00 63 00 64 00 65 00 66 00 67 00 68 00 69 00 6A 00 6B 00 6C 00 6D 00 6E 00 6F 00 70 00 71 00 72 00 73 00 74 00 75 00 76 00 77 00 78 00 79 00 7A 00 30 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 2B 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_4886_0 {
	meta:
		name = "Decode64"
		size = 113
		refs = "0015 @UStrAddRef 001d Decode64 002e DecodeBytes64 0033 TEncoding.GetUTF8 003d TEncoding.GetString 0053 TArray<System.Byte> 0058 @DynArrayClear 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CB 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4887_0 {
	meta:
		name = "URLEncode"
		size = 32
		refs = "0018 URLEncode"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 56 66 C7 44 24 04 3D 00 8D 54 24 04 33 C9 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_4888_0 {
	meta:
		name = "URLEncode"
		size = 236
		refs = "001d URLEncode 0031 IPProcs 0064 IntToHex 0074 @UStrCat3 0082 @UStrFromWChar 0090 StringReplace 009b @UStrAsg 00bb @UStrArrayClr 00c3 @IntfClear 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 55 F8 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 33 C9 8B D3 8B 18 FF 53 50 85 F6 7C 60 46 8B 5D FC 0F B6 05 ?? ?? ?? ?? 50 8D 45 F4 50 8D 4D EC 0F B7 3B 0F B7 C7 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 E8 8B D7 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 08 8B 00 59 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 E8 ?? ?? ?? ?? 83 C3 02 4E 75 A4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 }
	condition:
		$1
}

rule function_4889_0 {
	meta:
		name = "GetFirstMatchingChildNode"
		size = 296
		refs = "001f @IntfAddRef 0027 @UStrAddRef 002f GetFirstMatchingChildNode 003c @IntfClear 005f EmptyStr 0066 @UStrEqual 009a @UStrLAsg 00a5 AnsiCompareText 00b8 @IntfCopy 0103 @UStrArrayClr 010c IXMLNode 0116 @FinalizeArray 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 F4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 93 00 00 00 8B 45 FC 8B 10 FF 52 24 84 C0 0F 84 83 00 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 71 8D 55 E8 8B 45 FC 8B 08 FF 51 14 8B 45 E8 8D 55 F8 8B 08 FF 51 34 83 7D F8 00 74 55 8D 55 F0 8B 45 F8 8B 08 FF 51 34 8D 45 EC 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 0C 8B C6 8B 55 F8 E8 ?? ?? ?? ?? EB 1F 8D 55 E4 8B 45 F8 8B 08 FF 91 90 00 00 00 8B 55 E4 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 75 AB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4890_0 {
	meta:
		name = "PopulateKeyValuePairs"
		size = 415
		refs = "0022 @IntfAddRef 002a PopulateKeyValuePairs 0048 GetFirstMatchingChildNode 0076 @UStrLAsg 0081 AnsiCompareText 0104 TStrings.SetValue 012a @IntfCopy 0130 @HandleFinally 0151 @IntfClear 0159 @UStrClr 0162 IXMLNodeList 016c @FinalizeArray 0179 @UStrArrayClr 0182 IXMLNode"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 89 4D E0 89 55 E4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D E4 00 0F 84 02 01 00 00 8D 4D F8 8B 55 E0 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 EA 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 F8 8B 08 FF 51 34 8D 45 E8 8B 55 E0 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 7A 8D 55 DC 8B 45 F8 8B 08 FF 51 14 8B 45 DC 8D 4D F4 8B 55 0C 8B 18 FF 53 38 83 7D F4 00 74 5B 8B 45 F4 8B 10 FF 52 28 84 C0 74 4F 8D 55 F0 8B 45 F4 8B 08 FF 51 50 8D 55 D8 8B 45 F8 8B 08 FF 51 14 8B 45 D8 8D 4D F4 8B 55 08 8B 18 FF 53 38 83 7D F4 00 74 25 8B 45 F4 8B 10 FF 52 28 84 C0 74 19 8D 55 D4 8B 45 F4 8B 08 FF 51 50 8B 4D D4 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 D0 8B 45 F8 8B 08 FF 91 90 00 00 00 8B 55 D0 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 83 7D F8 00 0F 85 16 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_4891_0 {
	meta:
		name = "GetChildText"
		size = 181
		refs = "0016 @IntfAddRef 001e GetChildText 0032 EmptyStr 0039 @UStrEqual 0090 @IntfClear 0099 IXMLNode 00a3 @FinalizeArray 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 51 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 40 8B 45 FC 8B 10 FF 52 24 84 C0 74 34 8D 55 F4 8B 45 FC 8B 08 FF 51 14 8B 45 F4 8D 4D F8 8B D3 8B 18 FF 53 38 83 7D F8 00 74 16 8B 45 F8 8B 10 FF 52 28 84 C0 74 0A 8B D6 8B 45 F8 8B 08 FF 51 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4892_0 {
	meta:
		name = "TCloudAuthentication.AssignKey"
		size = 118
		refs = "000e TCloudAuthentication.AssignKey 0028 TEncoding.GetUTF8 0031 TEncoding.GetBytes 003d TArray<System.Byte> 0042 @DynArrayAsg 0057 @UStrClr 0065 @DynArrayClear 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 43 04 8B 08 FF 51 44 8B 45 F8 50 E8 ?? ?? ?? ?? 8D 4D FC 5A E8 ?? ?? ?? ?? 8B 55 FC 8D 43 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4893_0 {
	meta:
		name = "TCloudAuthentication.BuildAuthorizationString"
		size = 228
		refs = "0021 TCloudAuthentication.BuildAuthorizationString 006b EncodeBytes64 0087 Format 009d TArray<System.Byte> 00a2 @DynArrayClear 00af @UStrArrayClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 DB 89 5D E0 89 5D DC 89 5D D8 89 5D D4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8D 55 E0 8B C3 8B 08 FF 51 04 8B 45 E0 89 45 E4 C6 45 E8 11 8D 55 DC 8B 43 04 8B 08 FF 51 40 8B 45 DC 89 45 EC C6 45 F0 11 8D 4D D4 8B D6 8B C3 8B 18 FF 53 10 8B 45 D4 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 D8 89 45 F4 C6 45 F8 11 8D 55 E4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 20 00 25 00 73 00 3A 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_4894_0 {
	meta:
		name = "TCloudAuthentication.Create"
		size = 146
		refs = "0015 @ClassCreate 0022 TCloudAuthentication.Create 0067 @UStrClr 006d @HandleFinally 007c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F1 89 73 04 8D 55 F8 8B C6 8B 08 FF 51 44 8B 55 F8 8B C3 8B 08 FF 11 8B C3 8B 10 FF 52 08 84 C0 75 07 8B C3 8B 10 FF 52 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4895_0 {
	meta:
		name = "TCloudSHA256Authentication.Create"
		size = 127
		refs = "000e @ClassCreate 001c @UStrAddRef 0024 TCloudSHA256Authentication.Create 0035 TCloudAuthentication.Create 0040 @UStrAsg 0055 @UStrClr 005b @HandleFinally 0068 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4900_0 {
	meta:
		name = "TCloudSHA1Authentication.Create"
		size = 127
		refs = "000e @ClassCreate 001c @UStrAddRef 0024 TCloudSHA1Authentication.Create 0035 TCloudAuthentication.Create 0040 @UStrAsg 0055 @UStrClr 005b @HandleFinally 0068 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4897_0 {
	meta:
		name = "TCloudSHA256Authentication.IsAlgorithmAvailable"
		size = 75
		refs = "000a TCloudSHA256Authentication.IsAlgorithmAvailable 001a IPProcs 0039 @IntfClear 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 5C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_4898_0 {
	meta:
		name = "TCloudSHA256Authentication.SetupAlgorithm"
		size = 139
		refs = "000e TCloudSHA256Authentication.SetupAlgorithm 0029 IPProcs 0044 SSharedKeyError 0049 LoadResString 0053 _Dn_Exception 0058 Exception.Create 005d @RaiseExcept 0072 @UStrClr 007a @IntfClear 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 08 84 C0 75 3E 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 20 8B C3 8B 10 FF 52 08 84 C0 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4903_0 {
	meta:
		name = "TCloudSHA1Authentication.SetupAlgorithm"
		size = 139
		refs = "000e TCloudSHA1Authentication.SetupAlgorithm 0029 IPProcs 0044 SSharedKeyError 0049 LoadResString 0053 _Dn_Exception 0058 Exception.Create 005d @RaiseExcept 0072 @UStrClr 007a @IntfClear 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 08 84 C0 75 3E 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 20 8B C3 8B 10 FF 52 08 84 C0 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4899_0 {
	meta:
		name = "TCloudSHA256Authentication.SignString"
		size = 221
		refs = "001c TCloudSHA256Authentication.SignString 002c IPProcs 003e TEncoding.GetUTF8 0048 TEncoding.GetBytes 0082 TArray<System.Byte> 0087 @DynArrayAsg 009c @IntfClear 00aa @DynArrayClear 00b3 IIPPeerProcs 00bd @FinalizeArray 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 33 C0 E8 ?? ?? ?? ?? 8B 45 F4 8B 53 08 8B 08 FF 51 60 8B D8 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 33 C0 E8 ?? ?? ?? ?? 8B 45 F0 8B 4D FC 8B D3 8B 30 FF 56 64 8D 55 E8 33 C0 E8 ?? ?? ?? ?? 8B 45 E8 8D 4D EC 8B D3 8B 18 FF 53 68 8B 55 EC 8B 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C1 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4902_0 {
	meta:
		name = "TCloudSHA1Authentication.IsAlgorithmAvailable"
		size = 75
		refs = "000a TCloudSHA1Authentication.IsAlgorithmAvailable 001a IPProcs 0039 @IntfClear 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 6C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_4904_0 {
	meta:
		name = "TCloudSHA1Authentication.SignString"
		size = 221
		refs = "001c TCloudSHA1Authentication.SignString 002c IPProcs 003e TEncoding.GetUTF8 0048 TEncoding.GetBytes 0082 TArray<System.Byte> 0087 @DynArrayAsg 009c @IntfClear 00aa @DynArrayClear 00b3 IIPPeerProcs 00bd @FinalizeArray 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 33 C0 E8 ?? ?? ?? ?? 8B 45 F4 8B 53 08 8B 08 FF 51 70 8B D8 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 33 C0 E8 ?? ?? ?? ?? 8B 45 F0 8B 4D FC 8B D3 8B 30 FF 56 64 8D 55 E8 33 C0 E8 ?? ?? ?? ?? 8B 45 E8 8D 4D EC 8B D3 8B 18 FF 53 68 8B 55 EC 8B 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C1 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4905_0 {
	meta:
		name = "LexicographicalNameCompare"
		size = 164
		refs = "001b LexicographicalNameCompare 002e TStrings.GetName 0047 AnsiCompareText 005a TStrings.GetValueFromIndex 008f @UStrArrayClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 5A E8 ?? ?? ?? ?? 8B F0 85 F6 75 28 8D 4D F0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 4D EC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 5A E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4906_0 {
	meta:
		name = "TCloudService.Create"
		size = 77
		refs = "000b @ClassCreate 003b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 08 8B 4D 08 89 48 04 66 C7 40 0C 3F 00 66 C7 40 0E 3D 00 66 C7 40 10 26 00 C6 40 12 01 C6 40 13 01 C6 40 14 00 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 5D C2 04 00 }
	condition:
		$1
}

rule function_4907_0 {
	meta:
		name = "TCloudQueueMessage.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
		altNames = "TCloudService.Destroy TDBXArrayList.Destroy TDBXDataGeneratorColumn.Destroy TDBXRequestFilterFactory.Destroy TDBXValue.Destroy TDbxChannel.Destroy THTTPFiles.Destroy TIWBaseComponentContext.Destroy TIdMWayTreeNode.Destroy TIdThreadSafe.Destroy TInThreadSafe.Destroy TInvokableClassRegistry.Destroy TKeyTipList.Destroy TObservers.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35041_0 {
	meta:
		name = "TIdProxyConnectionInfo.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TPersistent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4910_0 {
	meta:
		name = "TCloudService.URLEncodeQueryParams"
		size = 119
		refs = "0012 TCloudService.URLEncodeQueryParams 002e @UStrAsg 0062 @UStrArrayClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 16 8B C3 8B 38 FF 57 74 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 08 8B 12 8B C3 8B 18 FF 53 74 8B 55 F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4911_0 {
	meta:
		name = "TCloudService.URLEncodeValue"
		size = 18
		refs = "000b URLEncode"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28041_0 {
	meta:
		name = "TAzureService.Decode"
		size = 18
		refs = "000b Decode64"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28043_0 {
	meta:
		name = "TAzureService.Encode"
		size = 18
		refs = "000b Encode64"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47314_0 {
	meta:
		name = "TBaseInetXPageProducer.GetXMLErrors"
		size = 18
		refs = "000b TXMLBroker.GetErrors"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70565_0 {
	meta:
		name = "TCustomVariantType.VarDataToStr"
		size = 18
		refs = "000b VarToStr"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13529_0 {
	meta:
		name = "TDBXTraceFormatter.ColumnTypeToStr"
		size = 18
		refs = "000b TDBXValueType.DataTypeName"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70566_0 {
	meta:
		name = "TInvokeableVariantType.FixupIdent"
		size = 18
		refs = "000b UpperCase"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46712_0 {
	meta:
		name = "TTIWCustomWebEdit.HTMLClr"
		size = 18
		refs = "000b ColorToRGBString"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45634_0 {
	meta:
		name = "TXmlNode.FromAnsiString"
		size = 18
		refs = "000b sdAnsiToUtf8"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45635_0 {
	meta:
		name = "TXmlNode.FromUnicodeString"
		size = 18
		refs = "000b sdUnicodeToUtf8"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45730_0 {
	meta:
		name = "TXmlNode.ToUnicodeString"
		size = 18
		refs = "000b sdUtf8ToUnicode"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45731_0 {
	meta:
		name = "TXmlNode.UnescapeString"
		size = 18
		refs = "000b sdUTF8UnEscapeString"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4912_0 {
	meta:
		name = "TCloudService.BuildQueryParameterString"
		size = 944
		refs = "0035 TCloudService.BuildQueryParameterString 0055 @UStrAsg 00bf TStrings.GetName 00cb TStrings.GetValueFromIndex 00d6 Trim 00fc EmptyStr 0103 @UStrEqual 0143 Format 014e @UStrCat 019c @UStrLAsg 0211 AnsiCompareText 022d @UStrCatN 031b @UStrArrayClr 0323 @UStrClr 0343 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 33 DB 89 5D 94 89 5D 98 89 5D 9C 89 5D B0 89 5D D4 89 5D D8 89 5D FC 89 5D F8 89 5D F4 89 5D F0 8B D9 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 0B 8B C3 8B 10 FF 52 14 85 C0 75 10 8B 45 08 8B 55 E8 E8 ?? ?? ?? ?? E9 A7 02 00 00 80 7D 0C 00 74 12 66 BE 3F 00 66 C7 45 E2 26 00 66 C7 45 E0 3D 00 EB 1D 8B 45 EC 0F B7 70 0C 8B 45 EC 0F B7 40 10 66 89 45 E2 8B 45 EC 0F B7 40 0E 66 89 45 E0 80 7D 10 00 74 14 80 7B 38 00 75 0E 0F B6 4D 0C 8B D3 8B 45 EC 8B 38 FF 57 0C 8B C3 8B 10 FF 52 14 89 45 E4 8D 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 4D D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 F4 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 4D FC 0F B6 55 0C 8B 45 EC 8B 38 FF 17 8B 45 08 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 F4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 4E 8D 45 D4 50 66 89 75 B4 C6 45 B8 09 8B 45 FC 89 45 BC C6 45 C0 11 0F B7 45 E0 66 89 45 C4 C6 45 C8 09 8B 45 F4 89 45 CC C6 45 D0 11 8D 55 B4 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 EB 36 8D 45 B0 50 66 89 75 A0 C6 45 A4 09 8B 45 FC 89 45 A8 C6 45 AC 11 8D 55 A0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 80 7D 0C 00 74 0F 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 48 85 C0 0F 8E 4A 01 00 00 89 45 DC BE 01 00 00 00 8D 4D 9C 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 9C 8D 55 F8 E8 ?? ?? ?? ?? 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 4D F8 0F B6 55 0C 8B 45 EC 8B 38 FF 17 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 2C 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 1D 8B 45 08 FF 30 FF 75 F0 FF 75 F4 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 C5 00 00 00 80 7D 0C 00 74 16 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 9E 00 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 52 8D 45 98 50 0F B7 45 E2 66 89 45 B4 C6 45 B8 09 8B 45 F8 89 45 BC C6 45 C0 11 0F B7 45 E0 66 89 45 C4 C6 45 C8 09 8B 45 F4 89 45 CC C6 45 D0 11 8D 55 B4 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 98 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 EB 3A 8D 45 94 50 0F B7 45 E2 66 89 45 A0 C6 45 A4 09 8B 45 F8 89 45 A8 C6 45 AC 11 8D 55 A0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 46 FF 4D DC 0F 85 BE FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5F 5E 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 25 00 73 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 25 00 32 00 63 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_4913_0 {
	meta:
		name = "TCloudService.GetHTTPRequestURI"
		size = 408
		refs = "0010 TCloudService.GetHTTPRequestURI 0022 @UStrAsg 002a EmptyStr 0031 @UStrEqual 0043 AnsiStartsText 0077 AnsiPos 008c @UStrCopy 00ee @UStrCat 0103 @UStrClr 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 AB 00 00 00 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 14 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 87 00 00 00 8B C3 85 C0 74 05 83 E8 04 8B 00 83 F8 08 7E 77 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 45 FC 50 8D 57 02 B9 FF FF FF 7F 8B C3 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 7E 43 8D 45 FC 50 B9 FF FF FF 7F 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 7E 13 8D 45 FC 50 8B CF BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 68 00 74 00 74 00 70 00 73 00 3A 00 2F 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_4914_0 {
	meta:
		name = "TCloudService.BuildStringToSignPrefix"
		size = 60
		refs = "001a TCloudService.BuildStringToSignPrefix 001f Format"
	strings:
		$1 = { 53 56 83 C4 F8 8B F1 8B DA 56 89 5C 24 04 C6 44 24 08 11 8D 54 24 04 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 B0 04 02 00 FF FF FF FF 03 00 00 00 25 00 73 00 0A 00 00 00 }
	condition:
		$1
}

rule function_4915_0 {
	meta:
		name = "TCloudService.BuildStringToSign"
		size = 169
		refs = "001f TCloudService.BuildStringToSign 0048 @UStrCat 0094 @UStrArrayClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC 8B C6 8B 38 FF 57 28 8D 4D F4 8B 55 0C 8B C6 8B 38 FF 57 1C 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 8B 55 F8 8B C6 8B 38 FF 57 2C 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 4D 14 8B 55 10 8B C6 8B 30 FF 56 20 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_4916_0 {
	meta:
		name = "TCloudService.BuildStringToSignResourcePath"
		size = 98
		refs = "0018 TCloudService.BuildStringToSignResourcePath 003b @UStrCat 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 14 00 74 17 8D 4D F8 8B 55 FC 8B C3 8B 18 FF 53 24 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4917_0 {
	meta:
		name = "TCloudService.BuildStringToSignResources"
		size = 128
		refs = "001c @UStrAddRef 0024 TCloudService.BuildStringToSignResources 004f @UStrCat 0064 @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 13 00 74 1F 6A 01 6A 00 8D 45 F4 50 8B 4D F8 8B 55 FC 8B C3 8B 18 FF 53 14 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_4918_0 {
	meta:
		name = "TCloudService.BuildStringToSignHeaders"
		size = 816
		refs = "0022 TCloudService.BuildStringToSignHeaders 0086 TStrings.GetValue 00a3 Format 00ae @UStrCat 00ca TObject.Free 00f5 AnsiLowerCase 011c TStrings.GetName 0132 AnsiStartsStr 0145 @UStrLAsg 014e EmptyStr 0155 @UStrEqual 017d TStrings.GetValueFromIndex 0289 @UStrArrayClr 02b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E8 8B F2 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 10 80 7E 38 00 75 0A 8B D6 8B 45 EC 8B 08 FF 51 10 8D 55 E7 8B 45 EC 8B 08 FF 51 04 89 45 E0 83 7D E0 00 74 67 8B 45 E0 8B 10 FF 52 14 8B D8 4B 85 DB 7C 58 43 C7 45 DC 00 00 00 00 85 F6 74 1B 8D 4D D8 8B 55 DC 8B 45 E0 8B 38 FF 57 0C 8B 55 D8 8D 4D FC 8B C6 E8 ?? ?? ?? ?? 8D 45 D4 50 8B 45 FC 89 45 CC C6 45 D0 11 8D 55 CC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 FF 45 DC 4B 75 B0 80 7D E7 00 74 0D 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 8B 45 EC 80 78 12 00 0F 84 76 01 00 00 85 F6 0F 84 6E 01 00 00 8D 55 C8 8B 45 EC 8B 08 FF 51 08 8B 45 C8 8D 55 F0 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C 46 01 00 00 43 C7 45 DC 00 00 00 00 8D 4D C4 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 C4 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 09 01 00 00 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 55 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 F4 89 45 B0 C6 45 B4 11 8D 4D AC 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 AC 89 45 B8 C6 45 BC 11 8D 55 B0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 E9 97 00 00 00 8B 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 75 3A 8D 45 A8 50 8D 4D A4 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 A4 89 45 CC C6 45 D0 11 8D 55 CC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 EB 50 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 A0 50 8B 45 F4 89 45 B0 C6 45 B4 11 8D 4D 9C 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 9C 89 45 B8 C6 45 BC 11 8D 55 B0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 FF 45 DC 4B 0F 85 C2 FE FF FF 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 10 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 25 00 73 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3A 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2C 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 0A 00 25 00 73 00 3A 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_4919_0 {
	meta:
		name = "TCloudService.PopulateResponseInfo"
		size = 385
		refs = "001f TCloudService.PopulateResponseInfo 003e TCloudHTTP.GetResponseCode 004e TCloudHTTP.GetResponseText 005c @UStrAsg 0063 _Dn_TStringList 0068 TStringList.Create 0072 TCloudResponseInfo.SetHeaders 007c TCloudHTTP.GetResponse 0095 _Dn_TStrings 009a @AsClass 00a5 TStrings.GetNameValueSeparator 00b5 TStrings.SetNameValueSeparator 00e2 TStrings.GetValueFromIndex 00ed Trim 00fe TStrings.GetName 0118 TStrings.SetValue 013b @HandleFinally 0157 @UStrArrayClr 015f @IntfClear 016f @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D FC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 10 01 00 00 83 7D FC 00 0F 84 06 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC 8B 08 FF 51 50 8B 45 EC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 F6 66 BA 3A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B F0 4E 85 F6 7C 4A 46 33 DB 8D 4D E0 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 4D D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 8B 40 0C 59 E8 ?? ?? ?? ?? 43 4E 75 B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B7 55 F6 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4920_0 {
	meta:
		name = "TCloudService.SetDateFromString"
		size = 40
		refs = "0007 TCloudService.SetDateFromString 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_96814_0 {
	meta:
		name = "TAdapterUpdateField.ImplUpdateValue"
		size = 40
		refs = "0007 TAdapterUpdateField.ImplUpdateValue 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_96876_0 {
	meta:
		name = "TBaseAdapterAction.ImplExecuteActionRequest"
		size = 40
		refs = "0007 TBaseAdapterAction.ImplExecuteActionRequest 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_26279_0 {
	meta:
		name = "TBaseDataSetAdapterField.ImplCheckOrigValue"
		size = 40
		refs = "0007 TBaseDataSetAdapterField.ImplCheckOrigValue 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_26282_0 {
	meta:
		name = "TBaseDataSetAdapterField.ImplUpdateValue"
		size = 40
		refs = "0007 TBaseDataSetAdapterField.ImplUpdateValue 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_97065_0 {
	meta:
		name = "TBaseEndUserAdapter.ExecuteLogin"
		size = 40
		refs = "0007 TBaseEndUserAdapter.ExecuteLogin 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_97331_0 {
	meta:
		name = "TCustomAdapter.EncodeActionParams"
		size = 40
		refs = "0007 TCustomAdapter.EncodeActionParams 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_97332_0 {
	meta:
		name = "TCustomAdapter.ExtractRequestParams"
		size = 40
		refs = "0007 TCustomAdapter.ExtractRequestParams 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_95408_0 {
	meta:
		name = "TCustomMarkupServices.ReplaceContent"
		size = 40
		refs = "0007 TCustomMarkupServices.ReplaceContent 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6702_0 {
	meta:
		name = "TDBXDriverRegistry.RegisterDriver"
		size = 40
		refs = "0007 TDBXDriverRegistry.RegisterDriver 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_7598_0 {
	meta:
		name = "TDBXStateItemList.AddStateItem"
		size = 40
		refs = "0007 TDBXStateItemList.AddStateItem 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_7601_0 {
	meta:
		name = "TDBXStateItemList.RemoveAndFreeStateItem"
		size = 40
		refs = "0007 TDBXStateItemList.RemoveAndFreeStateItem 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6133_0 {
	meta:
		name = "TDataSet.FreeBookmark"
		size = 40
		refs = "0007 TDataSet.FreeBookmark 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_30005_0 {
	meta:
		name = "TGUITestRunner.StartSuite"
		size = 40
		refs = "0007 TGUITestRunner.StartSuite 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_43363_0 {
	meta:
		name = "TIWBaseHTML40Component.AddAsyncStyle"
		size = 40
		refs = "0007 TIWBaseHTML40Component.AddAsyncStyle 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_32375_0 {
	meta:
		name = "TIdCmdTCPClient.DoReplyUnknownCommand"
		size = 40
		refs = "0007 TIdCmdTCPClient.DoReplyUnknownCommand 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_37455_0 {
	meta:
		name = "TIdSSLSocket.SetCipherList"
		size = 40
		refs = "0007 TIdSSLSocket.SetCipherList 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_41500_0 {
	meta:
		name = "TInSSLSocket.SetCipherList"
		size = 40
		refs = "0007 TInSSLSocket.SetCipherList 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_46800_0 {
	meta:
		name = "TJUnitXmlTestListener.EndSuite"
		size = 40
		refs = "0007 TJUnitXmlTestListener.EndSuite 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_46784_0 {
	meta:
		name = "TJUnitXmlTestListener.EndTest"
		size = 40
		refs = "0007 TJUnitXmlTestListener.EndTest 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_46801_0 {
	meta:
		name = "TJUnitXmlTestListener.StartSuite"
		size = 40
		refs = "0007 TJUnitXmlTestListener.StartSuite 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_46783_0 {
	meta:
		name = "TJUnitXmlTestListener.StartTest"
		size = 40
		refs = "0007 TJUnitXmlTestListener.StartTest 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_33108_0 {
	meta:
		name = "TResultRecord.Parse"
		size = 40
		refs = "0007 TResultRecord.Parse 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_48178_0 {
	meta:
		name = "TSessions.DisconnectSession"
		size = 40
		refs = "0007 TSessions.DisconnectSession 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_72255_0 {
	meta:
		name = "TTextTestListener.AddSuccess"
		size = 40
		refs = "0007 TTextTestListener.AddSuccess 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_72276_0 {
	meta:
		name = "TTextTestListener.EndSuite"
		size = 40
		refs = "0007 TTextTestListener.EndSuite 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_72265_0 {
	meta:
		name = "TTextTestListener.EndTest"
		size = 40
		refs = "0007 TTextTestListener.EndTest 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_72277_0 {
	meta:
		name = "TTextTestListener.StartSuite"
		size = 40
		refs = "0007 TTextTestListener.StartSuite 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_47154_0 {
	meta:
		name = "TWebControlGroup.ImplAddElements"
		size = 40
		refs = "0007 TWebControlGroup.ImplAddElements 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_46952_0 {
	meta:
		name = "TWebForm.ImplAddElements"
		size = 40
		refs = "0007 TWebForm.ImplAddElements 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_115351_0 {
	meta:
		name = "TXMLTestListener.EndTest"
		size = 40
		refs = "0007 TXMLTestListener.EndTest 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_115350_0 {
	meta:
		name = "TXMLTestListener.StartTest"
		size = 40
		refs = "0007 TXMLTestListener.StartTest 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_4921_0 {
	meta:
		name = "TCloudService.AddHeader"
		size = 480
		refs = "0020 @IntfAddRef 0028 TCloudService.AddHeader 0038 @UStrLAsg 0050 AnsiCompareText 00e1 StrToInt64 0130 @IntfClear 0141 IIPHTTPRequest 014b @FinalizeArray 0158 @UStrArrayClr 0166 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 1B 8D 55 E0 8B 45 FC 8B 08 FF 51 54 8B 45 E0 8B 55 08 8B 08 FF 51 18 E9 A7 00 00 00 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0F 8B 4D 08 8B 55 FC 8B C6 8B 18 FF 53 30 EB 6D 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 1F 8B 45 08 E8 ?? ?? ?? ?? 52 50 8D 55 DC 8B 45 FC 8B 08 FF 51 54 8B 45 DC 8B 10 FF 52 48 EB 23 8D 55 D4 8B 45 FC 8B 08 FF 51 54 8B 45 D4 8D 55 D8 8B 08 FF 51 4C 8B 45 D8 8B 4D 08 8B D3 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_4922_0 {
	meta:
		name = "TCloudService.PrepareRequest"
		size = 106
		refs = "0016 TCloudService.PrepareRequest 0052 TObject.Free 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 8B F0 33 C0 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 45 F8 50 8B D7 8B C6 8B 18 FF 53 3C 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4923_0 {
	meta:
		name = "TCloudService.PrepareRequestSignature"
		size = 180
		refs = "0014 TCloudService.PrepareRequestSignature 0036 TCloudHTTP.GetRequest 0066 @IntfClear 0076 @UStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 33 8D 4D FC 8B 55 14 8B 43 04 8B 18 FF 53 14 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 8B 08 FF 51 4C 8B 45 F8 8B 4D FC BA ?? ?? ?? ?? 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C2 14 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_4924_0 {
	meta:
		name = "TCloudService.PrepareRequest"
		size = 556
		refs = "0025 TCloudService.PrepareRequest 0032 _DV_TCloudHTTP 0037 TCloudHTTP.Create 0046 AnsiStartsText 0055 PeerFactory 0061 TIPPeerFactory.CreatePeer 0071 @IntfCast 007c TCloudHTTP.SetIOHandler 008b EmptyStr 0092 @UStrEqual 009f TCloudHTTP.GetProxyParams 00d7 TCloudHTTP.GetRequest 00f4 TCloudHTTP.GetHTTPOptions 0104 TCloudHTTP.SetHTTPOptions 016b TStrings.GetValueFromIndex 017b TStrings.GetName 01ac @UStrArrayClr 01b4 @IntfClear 01c5 IIPProxyConnectionInfo 01cf @FinalizeArray 01e7 @UStrClr 01ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 89 55 F4 89 45 F8 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 32 6A 00 8D 45 E4 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 8B 40 44 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 38 8D 55 E0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E0 8B 55 F8 8B 52 08 8B 52 48 8B 08 FF 51 18 8D 55 DC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 DC 8B 55 F8 8B 52 08 8B 52 44 8B 08 FF 51 20 8D 55 D4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 8B 08 FF 51 4C 8B 45 D8 33 D2 8B 08 FF 51 1C 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 0A 15 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 83 78 04 00 74 3A 8B 45 14 50 8B 45 10 50 8B 03 50 8D 45 FC 50 8B CE 8B 55 F4 8B 45 F8 8B 38 FF 57 18 8B 45 14 50 8B 45 FC 50 53 8B 45 F0 50 8B 45 08 50 8B CE 8B 55 F4 8B 45 F8 8B 18 FF 53 38 33 C0 85 F6 74 07 8B C6 8B 10 FF 52 14 48 85 C0 7C 39 40 89 45 EC 33 DB 8D 4D D0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 D0 50 8D 4D CC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D CC 8B 45 F0 8B 50 38 8B 45 F8 8B 38 FF 57 34 43 FF 4D EC 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B0 8B 45 F0 5F 5E 5B 8B E5 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 48 00 54 00 54 00 50 00 53 00 00 00 A0 64 D1 19 B6 81 35 45 98 89 F1 78 48 6E FE FA 02 00 00 00 }
	condition:
		$1
}

rule function_4925_0 {
	meta:
		name = "TCloudService.IssueDeleteRequest"
		size = 121
		refs = "0018 @UStrAddRef 0020 TCloudService.IssueDeleteRequest 003a @UStrClr 0063 @UStrArrayClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8B CE 8B 55 FC 8B C3 8B 18 FF 53 70 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_4926_0 {
	meta:
		name = "TCloudService.IssueDeleteRequest"
		size = 340
		refs = "001a @UStrAddRef 002d TCloudService.IssueDeleteRequest 007b TCloudHTTP.Delete 0086 @UStrAsg 0095 @HandleOnException 009d _Dn_EIPHTTPProtocolExceptionPeer 00a5 _Dn_Exception 00d3 TObject.Free 00d8 @RaiseAgain 00dd @DoneExcept 00fe @HandleFinally 0115 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 8B 45 10 50 8D 45 FC 50 8B CB BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 53 40 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D F0 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 4D E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 08 8B 53 1C E8 ?? ?? ?? ?? EB 20 8B 4D 0C 8B 55 F4 8B 45 F8 8B 18 FF 53 44 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 4D 0C 8B 55 F4 8B 45 F8 8B 18 FF 53 44 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_4927_0 {
	meta:
		name = "TCloudService.IssueGetRequest"
		size = 284
		refs = "001a @UStrAddRef 0022 TCloudService.IssueGetRequest 0070 TCloudHTTP.Get 007f @HandleOnException 0087 _Dn_Exception 00a6 TObject.Free 00ab @RaiseAgain 00b0 @DoneExcept 00d1 @HandleFinally 00e8 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B 45 0C 50 8D 45 FC 50 8B CB BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 53 40 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D F0 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 36 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 4D 08 8B 55 F4 8B 45 F8 8B 18 FF 53 44 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 4D 08 8B 55 F4 8B 45 F8 8B 18 FF 53 44 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5F 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 }
	condition:
		$1
}

rule function_4928_0 {
	meta:
		name = "TCloudService.IssueHeadRequest"
		size = 272
		refs = "0015 @UStrAddRef 001d TCloudService.IssueHeadRequest 0068 TCloudHTTP.Head 0077 @HandleOnException 007f _Dn_Exception 009e TObject.Free 00a3 @RaiseAgain 00a8 @DoneExcept 00c9 @HandleFinally 00e0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B 45 0C 50 8D 45 FC 50 8B CB BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 53 40 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 36 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 4D 08 8B 55 F4 8B 45 F8 8B 18 FF 53 44 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 4D 08 8B 55 F4 8B 45 F8 8B 18 FF 53 44 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 45 00 41 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_4929_0 {
	meta:
		name = "TCloudService.IssueMergeRequest"
		size = 276
		refs = "0015 @UStrAddRef 001d TCloudService.IssueMergeRequest 006b TCloudHTTP.Merge 007a @HandleOnException 0082 _Dn_Exception 00a1 TObject.Free 00a6 @RaiseAgain 00ab @DoneExcept 00cc @HandleFinally 00e3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 8B 45 10 50 8D 45 FC 50 8B CB BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 53 40 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D 08 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 36 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 4D 0C 8B 55 F4 8B 45 F8 8B 18 FF 53 44 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 4D 0C 8B 55 F4 8B 45 F8 8B 18 FF 53 44 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 45 00 52 00 47 00 45 00 00 00 }
	condition:
		$1
}

rule function_4930_0 {
	meta:
		name = "TCloudService.IssueGetRequest"
		size = 300
		refs = "001a @UStrAddRef 0022 TCloudService.IssueGetRequest 0074 TCloudHTTP.Get 0083 @HandleOnException 008b _Dn_EIPHTTPProtocolExceptionPeer 0093 _Dn_Exception 00b4 TObject.Free 00b9 @RaiseAgain 00be @DoneExcept 00df @HandleFinally 00f6 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 8B 45 10 50 8D 45 FC 50 8B CB BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 53 40 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F0 50 8B 4D 08 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 40 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? EB 20 8B 4D 0C 8B 55 F4 8B 45 F8 8B 18 FF 53 44 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 4D 0C 8B 55 F4 8B 45 F8 8B 18 FF 53 44 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5F 5E 5B 8B E5 5D C2 10 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 }
	condition:
		$1
}

rule function_4931_0 {
	meta:
		name = "TCloudService.IssueGetRequest"
		size = 456
		refs = "001d @UStrAddRef 0030 TCloudService.IssueGetRequest 007c _Dn_TMemoryStream 0081 TObject.Create 0096 TCloudHTTP.Get 00a2 TStream.SetPosition 00ae _Dn_TStreamReader 00b3 TStreamReader.Create 00da @UStrAsg 00ef TObject.Free 00f5 @HandleFinally 0106 @HandleOnException 010e _Dn_EIPHTTPProtocolExceptionPeer 0116 _Dn_Exception 0149 @RaiseAgain 014e @DoneExcept 0193 @UStrArrayClr 019b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D E8 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 8B 45 14 50 8B 45 10 50 8D 45 FC 50 8B CB BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 53 40 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 45 E8 50 8B 4D F0 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 6A 01 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B 45 EC 8B 08 FF 51 18 8B 55 E4 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 4D E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 08 8B 53 1C E8 ?? ?? ?? ?? EB 20 8B 4D 0C 8B 55 F4 8B 45 F8 8B 18 FF 53 44 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 4D 0C 8B 55 F4 8B 45 F8 8B 18 FF 53 44 C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F4 5F 5E 5B 8B E5 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 }
	condition:
		$1
}

rule function_4932_0 {
	meta:
		name = "TCloudService.IssuePostRequest"
		size = 368
		refs = "001a @UStrAddRef 002d TCloudService.IssuePostRequest 008b TCloudHTTP.Post 0096 @UStrAsg 00a5 @HandleOnException 00ad _Dn_EIPHTTPProtocolExceptionPeer 00b5 _Dn_Exception 00e3 TObject.Free 00e8 @RaiseAgain 00ed @DoneExcept 0121 @HandleFinally 0138 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 0C 00 0F 94 45 F3 8B 45 18 50 8B 45 14 50 8D 45 FC 50 8D 45 0C 50 8B CB BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 53 3C 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 EC 50 8B 4D 0C 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 4D E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 08 8B 53 1C E8 ?? ?? ?? ?? EB 20 8B 4D 10 8B 55 F4 8B 45 F8 8B 18 FF 53 44 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F3 00 74 0D 8B 45 0C 33 D2 89 55 0C E8 ?? ?? ?? ?? 8B 4D 10 8B 55 F4 8B 45 F8 8B 18 FF 53 44 C3 E9 ?? ?? ?? ?? EB D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5F 5E 5B 8B E5 5D C2 14 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_4933_0 {
	meta:
		name = "TCloudService.IssuePostRequest"
		size = 125
		refs = "0018 @UStrAddRef 0020 TCloudService.IssuePostRequest 003e @UStrClr 0067 @UStrArrayClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8B CE 8B 55 FC 8B C3 8B 18 FF 53 68 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_4934_0 {
	meta:
		name = "TCloudService.IssuePutRequest"
		size = 376
		refs = "0020 @UStrAddRef 0033 TCloudService.IssuePutRequest 0088 TCloudHTTP.Put 0093 @UStrAsg 00bd @HandleOnException 00c5 _Dn_EIPHTTPProtocolExceptionPeer 00cd _Dn_Exception 00fb TObject.Free 0100 @RaiseAgain 0105 @DoneExcept 0126 @HandleFinally 0142 @UStrArrayClr 014a @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 8B F1 89 55 FC 89 45 F8 8B 5D 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 50 8B 45 14 50 8D 45 FC 50 8B CE BA ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 40 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 74 1E 8D 45 F0 50 8B CB 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 E8 ?? ?? ?? ?? EB 19 8D 4D EC 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 4D E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 08 8B 53 1C E8 ?? ?? ?? ?? EB 20 8B 4D 10 8B 55 F4 8B 45 F8 8B 18 FF 53 44 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 4D 10 8B 55 F4 8B 45 F8 8B 18 FF 53 44 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F4 5F 5E 5B 8B E5 5D C2 14 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 }
	condition:
		$1
}

rule function_4935_0 {
	meta:
		name = "TCloudService.IssuePutRequest"
		size = 125
		refs = "0018 @UStrAddRef 0020 TCloudService.IssuePutRequest 003e @UStrClr 0067 @UStrArrayClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8B CE 8B 55 FC 8B C3 8B 18 FF 53 5C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_4936_0 {
	meta:
		name = "DSMetadata.Create"
		size = 57
		refs = "000b @ClassCreate 0025 @AfterConstruction"
		altNames = "TCloudHTTP.Create TDSCustomAdmin.Create TDSHTTP.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 33 D2 8B C6 8B 38 FF 57 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_4937_0 {
	meta:
		name = "TCloudHTTP.Delete"
		size = 210
		refs = "0018 @UStrAddRef 0020 TCloudHTTP.Delete 002d _Dn_TMemoryStream 0032 TObject.Create 0066 TStream.SetPosition 0073 IPProcs 009b TObject.Free 00a1 @HandleFinally 00b8 @IntfClear 00c0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 50 8D 45 F8 50 6A FF 8B 43 38 33 C9 8B 55 FC 8B 18 FF 53 70 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 56 8D 55 F4 33 C0 E8 ?? ?? ?? ?? 8B 45 F4 83 C9 FF 8B 55 F8 8B 18 FF 53 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4938_0 {
	meta:
		name = "TCloudHTTP.Create"
		size = 160
		refs = "000f @ClassCreate 001b TCloudHTTP.Create 002a TComponent.Create 0035 PeerFactory 0041 TIPPeerFactory.CreatePeer 0051 @IntfCast 0066 @IntfClear 006c @HandleFinally 0079 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 45 FC 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 38 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 00 D8 5B BD B8 9D C3 F1 4D BB 14 62 5F C8 60 29 DB }
	condition:
		$1
}

rule function_4939_0 {
	meta:
		name = "TCloudHTTP.Delete"
		size = 91
		refs = "0011 @UStrAddRef 0019 TCloudHTTP.Delete 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 FC 50 6A FF 33 C9 8B 55 FC 8B 43 38 8B 18 FF 53 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_17073_0 {
	meta:
		name = "TDSHTTP.Delete"
		size = 91
		refs = "0011 @UStrAddRef 0019 TDSHTTP.Delete 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 FC 50 6A FF 33 C9 8B 55 FC 8B 43 38 8B 18 FF 53 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4940_0 {
	meta:
		name = "TCloudHTTP.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001d @IntfClear 0028 TComponent.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 38 00 74 10 8B 46 38 8B 10 FF 52 58 8D 46 38 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4941_0 {
	meta:
		name = "TCloudHTTP.Get"
		size = 207
		refs = "0018 @UStrAddRef 0020 TCloudHTTP.Get 002e EmptyStr 0035 @UStrAsg 003a TEncoding.GetUTF8 004c _Dn_TStringStream 0051 TStringStream.Create 007e TStringStream.GetDataString 0098 TObject.Free 009e @HandleFinally 00b5 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 01 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F4 50 8B 43 38 8B 4D F8 8B 55 FC 8B 18 FF 53 7C 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4942_0 {
	meta:
		name = "TCloudHTTP.Get"
		size = 88
		refs = "0011 @UStrAddRef 0019 TCloudHTTP.Get 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CE 8B 55 FC 8B 43 38 8B 18 FF 53 7C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_17077_0 {
	meta:
		name = "TDSHTTP.Get"
		size = 88
		refs = "0011 @UStrAddRef 0019 TDSHTTP.Get 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CE 8B 55 FC 8B 43 38 8B 18 FF 53 7C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4943_0 {
	meta:
		name = "TCloudHTTP.GetHTTPOptions"
		size = 19
		altNames = "TDSHTTP.GetHTTPOptions"
	strings:
		$1 = { 53 56 8B F0 8B 46 38 8B 10 FF 52 64 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_4944_0 {
	meta:
		name = "TCloudHTTP.GetIOHandler"
		size = 112
		refs = "000f TCloudHTTP.GetIOHandler 002b @IntfClear 0038 Supports 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 38 8B 08 FF 51 18 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 A0 64 D1 19 B6 81 35 45 98 89 F1 78 48 6E FE FA }
	condition:
		$1
}

rule function_4945_0 {
	meta:
		name = "TCloudHTTP.GetProtocol"
		size = 19
		altNames = "TDSHTTP.GetProtocol"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 38 8B 08 FF 51 40 5E 5B C3 }
	condition:
		$1
}

rule function_4946_0 {
	meta:
		name = "TCloudHTTP.GetProxyParams"
		size = 19
		altNames = "TDSHTTP.GetProxyParams"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 38 8B 08 FF 51 5C 5E 5B C3 }
	condition:
		$1
}

rule function_4947_0 {
	meta:
		name = "TCloudHTTP.GetRequest"
		size = 19
		altNames = "TDSHTTP.GetRequest"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 38 8B 08 FF 51 54 5E 5B C3 }
	condition:
		$1
}

rule function_4948_0 {
	meta:
		name = "TCloudHTTP.GetResponse"
		size = 19
		altNames = "TDSHTTP.GetResponse"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 38 8B 08 FF 51 50 5E 5B C3 }
	condition:
		$1
}

rule function_4949_0 {
	meta:
		name = "TCloudHTTP.GetResponseCode"
		size = 9
		altNames = "TDSHTTP.GetResponseCode"
	strings:
		$1 = { 8B 40 38 8B 10 FF 52 48 C3 }
	condition:
		$1
}

rule function_4950_0 {
	meta:
		name = "TCloudHTTP.GetResponseText"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 38 8B 08 FF 51 4C 5E 5B C3 }
	condition:
		$1
}

rule function_4951_0 {
	meta:
		name = "TCloudHTTP.Head"
		size = 86
		refs = "000e @UStrAddRef 0016 TCloudHTTP.Head 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 50 6A FF 33 C9 8B 55 FC 8B 43 38 8B 18 FF 53 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_17087_0 {
	meta:
		name = "TDSHTTP.Head"
		size = 86
		refs = "000e @UStrAddRef 0016 TDSHTTP.Head 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 50 6A FF 33 C9 8B 55 FC 8B 43 38 8B 18 FF 53 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4952_0 {
	meta:
		name = "TCloudHTTP.Merge"
		size = 120
		refs = "0011 @UStrAddRef 0019 TCloudHTTP.Merge 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 6A 00 8D 45 FC 50 6A FF 8B 4D FC BA ?? ?? ?? ?? 8B 43 38 8B 18 FF 53 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 45 00 52 00 47 00 45 00 00 00 }
	condition:
		$1
}

rule function_17088_0 {
	meta:
		name = "TDSHTTP.Merge"
		size = 120
		refs = "0011 @UStrAddRef 0019 TDSHTTP.Merge 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 6A 00 8D 45 FC 50 6A FF 8B 4D FC BA ?? ?? ?? ?? 8B 43 38 8B 18 FF 53 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 45 00 52 00 47 00 45 00 00 00 }
	condition:
		$1
}

rule function_4953_0 {
	meta:
		name = "TCloudHTTP.Post"
		size = 203
		refs = "0017 @UStrAddRef 001f TCloudHTTP.Post 002d EmptyStr 0034 @UStrAsg 0039 TEncoding.GetUTF8 004b _Dn_TStringStream 0050 TStringStream.Create 007f TStringStream.GetDataString 0099 TObject.Free 009f @HandleFinally 00b6 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 89 55 FC 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 01 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 50 8B 43 38 8B CF 8B 55 FC 8B 18 FF 93 88 00 00 00 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4954_0 {
	meta:
		name = "TCloudHTTP.Put"
		size = 203
		refs = "0017 @UStrAddRef 001f TCloudHTTP.Put 002d EmptyStr 0034 @UStrAsg 0039 TEncoding.GetUTF8 004b _Dn_TStringStream 0050 TStringStream.Create 007f TStringStream.GetDataString 0099 TObject.Free 009f @HandleFinally 00b6 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 89 55 FC 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 01 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 50 8B 43 38 8B CF 8B 55 FC 8B 18 FF 93 90 00 00 00 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_4955_0 {
	meta:
		name = "TCloudHTTP.Put"
		size = 144
		refs = "0013 @UStrAddRef 001b TCloudHTTP.Put 0028 _Dn_TMemoryStream 002d TObject.Create 0061 TObject.Free 0067 @HandleFinally 007e @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28144_0 {
	meta:
		name = "TAzureHTTP.Put"
		size = 144
		refs = "0013 @UStrAddRef 001b TAzureHTTP.Put 0028 _Dn_TMemoryStream 002d TObject.Create 004c TIdCustomHTTP.Put 0061 TObject.Free 0067 @HandleFinally 007e @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4956_0 {
	meta:
		name = "TCloudHTTP.SetAuthentication"
		size = 116
		refs = "0015 @IntfAddRef 001d TCloudHTTP.SetAuthentication 002e @IntfCopy 0038 TCloudHTTP.GetRequest 005b @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 3C 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 8B 08 FF 91 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4957_0 {
	meta:
		name = "TCloudHTTP.SetBasicAuthentication"
		size = 172
		refs = "0014 TCloudHTTP.SetBasicAuthentication 0023 PeerFactory 002f TIPPeerFactory.CreatePeer 003f @IntfCast 005d TCloudHTTP.GetRequest 0080 @IntfClear 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 3C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B 43 3C 8B 08 FF 51 20 8B D6 8B 43 3C 8B 08 FF 51 18 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 53 3C 8B 08 FF 91 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 AF 03 49 B4 07 A3 D5 47 AA 2C 6C 79 67 74 1C 9D }
	condition:
		$1
}

rule function_4958_0 {
	meta:
		name = "TCloudHTTP.SetHTTPOptions"
		size = 18
		altNames = "TDSHTTP.SetHTTPOptions"
	strings:
		$1 = { 51 88 14 24 0F B6 14 24 8B 40 38 8B 08 FF 51 68 5A C3 }
	condition:
		$1
}

rule function_4959_0 {
	meta:
		name = "TCloudHTTP.SetIOHandler"
		size = 76
		refs = "000e @IntfAddRef 0016 TCloudHTTP.SetIOHandler 003c @IntfClear 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 38 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4960_0 {
	meta:
		name = "TCloudHTTP.SetProtocol"
		size = 76
		refs = "000e @UStrAddRef 0016 TCloudHTTP.SetProtocol 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 38 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_4961_0 {
	meta:
		name = "TCloudHTTP.SetProxyParams"
		size = 9
	strings:
		$1 = { 8B 40 38 8B 08 FF 51 60 C3 }
	condition:
		$1
}

rule function_4962_0 {
	meta:
		name = "TCloudResponseInfo.Destroy"
		size = 109
		refs = "000a @BeforeDestruction 0018 TCloudResponseInfo.Destroy 0031 TObject.Free 0040 @HandleAnyException 0045 @DoneExcept 0054 TObject.Destroy 0062 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 83 C0 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4963_0 {
	meta:
		name = "TCloudResponseInfo.SetHeaders"
		size = 28
		refs = "0012 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 89 73 0C 5E 5B C3 }
	condition:
		$1
}

rule function_4964_0 {
	meta:
		name = "TCloudTableRow.Create"
		size = 73
		refs = "000e @ClassCreate 001c _DV_TList<Data.Cloud.CloudAPI.TCloudTableColumn> 0021 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Create 0034 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 88 5E 08 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_4965_0 {
	meta:
		name = "TCloudTableRow.Destroy"
		size = 186
		refs = "0009 @BeforeDestruction 001a TMonitor.CheckMonitorSupport 0021 TMonitor.GetMonitor 0029 TMonitor.Enter 0031 TCloudTableRow.Destroy 0057 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.GetItem 005c TObject.Free 0078 TMonitor.Exit 0091 @HandleFinally 00a2 TObject.Destroy 00b0 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 58 04 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 40 04 8B 40 08 8B D8 4B 85 DB 7C 19 43 33 F6 8B 45 FC 8B 40 04 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4966_0 {
	meta:
		name = "TCloudTableRow.GetColumn"
		size = 174
		refs = "001a TMonitor.CheckMonitorSupport 0021 TMonitor.GetMonitor 0029 TMonitor.Enter 0031 TCloudTableRow.GetColumn 0057 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.GetItem 0061 AnsiCompareText 007a @TryFinallyExit 0098 TMonitor.Exit 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 89 45 FC 33 C0 89 45 F8 8B 45 FC 8B 58 04 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 04 8B 40 08 8B F0 4E 85 F6 7C 39 46 33 DB 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 8B 50 04 8B C7 E8 ?? ?? ?? ?? 85 C0 75 17 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 89 45 F8 E8 ?? ?? ?? ?? EB 24 43 4E 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4967_0 {
	meta:
		name = "TCloudTableRow.GetColumnValue"
		size = 63
		refs = "0017 @UStrClr 0020 TCloudTableRow.GetColumn 0034 @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 85 F6 74 04 33 C0 89 06 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F8 33 DB 85 FF 74 0C B3 01 8B C6 8B 57 08 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_4968_0 {
	meta:
		name = "TCloudTableRow.DeleteColumn"
		size = 175
		refs = "0019 TMonitor.CheckMonitorSupport 0020 TMonitor.GetMonitor 0028 TMonitor.Enter 0030 TCloudTableRow.DeleteColumn 0056 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.GetItem 0060 AnsiCompareText 0071 TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Delete 007a @TryFinallyExit 0098 TMonitor.Exit 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 89 45 FC C6 45 FB 00 8B 45 FC 8B 58 04 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 04 8B 40 08 8B F0 4E 85 F6 7C 3A 46 33 DB 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 8B 50 04 8B C7 E8 ?? ?? ?? ?? 85 C0 75 18 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? C6 45 FB 01 E8 ?? ?? ?? ?? EB 24 43 4E 75 C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 0F B6 45 FB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_4969_0 {
	meta:
		name = "TCloudTableRow.SetColumn"
		size = 287
		refs = "001d TCloudTableRow.SetColumn 002d TCloudTableRow.GetColumn 003a TMonitor.CheckMonitorSupport 0041 TMonitor.GetMonitor 0049 TMonitor.Enter 0070 @UStrLAsg 0086 AnsiCompareStr 009c _DV_TCloudTableColumn 00a1 TObject.Create 00ad @UStrAsg 00ba TList<Data.Cloud.CloudAPI.TCloudTableColumn>.Add 00e8 TMonitor.Exit 00ee @HandleFinally 010a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F0 8B F2 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 8B 78 04 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 75 04 B0 01 EB 32 80 7D 08 00 75 2A 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 34 01 EB 02 33 C0 84 C0 74 25 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 43 04 8B D6 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 04 8B D3 E8 ?? ?? ?? ?? 8D 43 08 8B 55 F0 E8 ?? ?? ?? ?? 8D 43 0C 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_4970_0 {
	meta:
		name = "TCloudQueueMessage.Create"
		size = 107
		refs = "000f @ClassCreate 0023 @UStrAsg 003e _Dn_TStringList 0043 TStringList.Create 0053 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 8D 43 08 8B D7 E8 ?? ?? ?? ?? 8D 43 0C 8B 55 0C E8 ?? ?? ?? ?? 85 F6 74 05 89 73 04 EB 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_4971_0 {
	meta:
		name = "TCloudQueueMessage.Create"
		size = 65
		refs = "000d @ClassCreate 0020 TCloudQueueMessage.Create 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62954_0 {
	meta:
		name = "TBinaryReader.Create"
		size = 65
		refs = "000d @ClassCreate 0020 TBinaryReader.Create 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62988_0 {
	meta:
		name = "TBinaryWriter.Create"
		size = 65
		refs = "000d @ClassCreate 0020 TBinaryWriter.Create 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_4973_0 {
	meta:
		name = "TCloudConnectionInfo.Create"
		size = 92
		refs = "000a @ClassCreate 0017 TComponent.Create 001f TCloudConnectionInfo.Create 0024 @UStrAsg 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 74 00 74 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_4974_0 {
	meta:
		name = "TCloudConnectionInfo.GetAccountKey"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TCustomFileDialog.GetDefaultFolder TDBXTraceConnection.GetName TDSCustomCertFiles.GetRootCertFile TIWHTMLControlImplementation.getCss TWebDataDisplay.GetCaption"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111418_0 {
	meta:
		name = "TDomAttr.GetLocalName"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43290_0 {
	meta:
		name = "TIWBaseContainerLayout.GetCurrentContainer"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48049_0 {
	meta:
		name = "TScriptManager.GetHTMLBlocks"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4975_0 {
	meta:
		name = "TCloudConnectionInfo.GetAccountName"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TDSCustomCertFiles.GetKeyFile"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 3C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111485_0 {
	meta:
		name = "TDomDocumentTypeDecl.GetInternalSubset"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 3C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111493_0 {
	meta:
		name = "TDomEntityReference.GetNodeName"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 3C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111477_0 {
	meta:
		name = "TDomProcessingInstruction.GetExpandedName"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 3C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111478_0 {
	meta:
		name = "TDomProcessingInstruction.GetNodeName"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 3C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111506_0 {
	meta:
		name = "TDomXPathNamespace.GetNamespaceURI"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 3C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111509_0 {
	meta:
		name = "TDomXPathNamespace.GetNodeValue"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 3C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_4976_0 {
	meta:
		name = "TCloudQueue.Create"
		size = 150
		refs = "0013 @UStrAddRef 0024 TCloudQueue 0029 @InitializeRecord 0031 TCloudQueue.Create 0042 @UStrLAsg 005d @CopyRecord 0078 @FinalizeRecord 0085 @UStrArrayClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D9 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8B C3 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_4977_0 {
	meta:
		name = "TCloudQueue.Create"
		size = 220
		refs = "0011 @UStrAddRef 001a TCloudQueue 001f @InitializeRecord 0027 TCloudQueue.Create 0038 @UStrLAsg 0045 LastDelimiter 0078 @UStrCopy 0095 @CopyRecord 00b0 @FinalizeRecord 00b8 @UStrClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 13 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 3B C3 0F 9F C0 EB 02 33 C0 84 C0 74 16 8D 45 F4 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? EB 0B 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B C6 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_5049_0 {
	meta:
		name = "EUpdateError.Create"
		size = 163
		refs = "000e @ClassCreate 001d @UStrAddRef 002d EUpdateError.Create 003e @UStrAsg 005c Exception.Create 0071 @UStrClr 007f @HandleFinally 008c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 20 8B 55 14 E8 ?? ?? ?? ?? 8B 45 10 89 46 18 8B 45 0C 89 46 1C 8B 45 08 89 46 24 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_5050_0 {
	meta:
		name = "EUpdateError.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a Exception.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 24 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_112203_0 {
	meta:
		name = "TDomXPathNodeSetResult.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TCustomOwnedNode.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 24 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111635_0 {
	meta:
		name = "TDtdAttributeDecl.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 24 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95672_0 {
	meta:
		name = "THTMLTableColumn.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TCollectionItem.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 24 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5830_0 {
	meta:
		name = "TMasterDataLink.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TDataLink.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 24 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72833_0 {
	meta:
		name = "TTextProperties.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TPersistent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 24 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95887_0 {
	meta:
		name = "TWebActionItem.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TCollectionItem.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 24 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5051_0 {
	meta:
		name = "DatabaseError"
		size = 184
		refs = "0015 DatabaseError 004c Format 0056 _DV_EDatabaseError 005b Exception.Create 0060 @RaiseExcept 008a @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 43 83 7B 08 00 74 3D 8D 45 FC 50 8B 43 08 89 45 EC C6 45 F0 11 89 75 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 3A 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_5052_0 {
	meta:
		name = "DatabaseErrorFmt"
		size = 91
		refs = "0012 DatabaseErrorFmt 0027 Format 0032 DatabaseError 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5053_0 {
	meta:
		name = "GetFieldProperty"
		size = 119
		refs = "0016 GetFieldProperty 0023 TDataSet.FindField 0032 SFieldNotFound 0037 LoadResString 004d DatabaseErrorFmt 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F1 8B FA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 24 57 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5054_0 {
	meta:
		name = "DisposeMem"
		size = 20
		refs = "000a @FreeMem"
	strings:
		$1 = { 53 8B D8 8B 03 85 C0 74 09 E8 ?? ?? ?? ?? 33 C0 89 03 5B C3 }
	condition:
		$1
}

rule function_5056_0 {
	meta:
		name = "ExtractFieldName"
		size = 160
		refs = "0019 ExtractFieldName 002e @UStrLen 0051 @UStrCopy 005b Trim 008d @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 1B EB 01 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 08 66 83 7C 5E FE 3B 75 EC 8D 45 F8 50 8B 45 FC 8B CB 2B 08 8B 55 FC 8B 12 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B D7 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 3B C3 7C 09 66 83 7C 5E FE 3B 75 01 43 8B 45 FC 89 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5057_0 {
	meta:
		name = "RegisterFields"
		size = 91
		refs = "0009 RegisterFields 0015 RegisterFieldsProc 0028 SInvalidFieldRegistration 002d LoadResString 0037 DatabaseError 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 3D ?? ?? ?? ?? 00 74 08 FF 15 ?? ?? ?? ?? EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_5058_0 {
	meta:
		name = "VarTypeToDataType"
		size = 244
		refs = "001c VarTypeToDataType 00a4 VarSQLTimeStamp 00b4 VarSQLTimeStampOffset 00c4 VarFMTBcd"
	strings:
		$1 = { 53 8B D8 8B C3 83 F8 0B 7F 3A 0F 84 83 00 00 00 83 F8 08 0F 87 8A 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 13 7F 0F 74 38 83 E8 10 74 1F 48 74 20 48 74 21 EB 4B 83 E8 14 74 42 2D EC 00 00 00 74 33 83 E8 02 74 32 EB 38 B0 02 5B C3 B0 2B 5B C3 B0 2C 5B C3 B0 04 5B C3 B0 03 5B C3 B0 08 5B C3 B0 2A 5B C3 B0 33 5B C3 B0 06 5B C3 B0 0B 5B C3 B0 05 5B C3 B0 01 5B C3 B0 18 5B C3 B0 19 5B C3 E8 ?? ?? ?? ?? 0F B7 C0 3B D8 75 04 B0 24 EB 3F E8 ?? ?? ?? ?? 0F B7 C0 3B D8 75 04 B0 31 EB 2F E8 ?? ?? ?? ?? 0F B7 C0 3B D8 75 04 B0 25 EB 1F B8 00 20 00 00 23 C3 3D 00 20 00 00 75 0F 81 E3 FF 0F 00 00 83 FB 11 75 04 B0 0F EB 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_5059_0 {
	meta:
		name = "VarTypeDataSize"
		size = 210
		refs = "000e VarTypeDataSize"
	strings:
		$1 = { 33 D2 83 F8 15 0F 87 C4 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BA 02 00 00 00 8B C2 C3 BA 04 00 00 00 8B C2 C3 BA 04 00 00 00 8B C2 C3 BA 08 00 00 00 8B C2 C3 BA 08 00 00 00 8B C2 C3 BA 08 00 00 00 8B C2 C3 BA 02 00 00 00 8B C2 C3 BA 01 00 00 00 8B C2 C3 BA 01 00 00 00 8B C2 C3 BA 02 00 00 00 8B C2 C3 BA 04 00 00 00 8B C2 C3 BA 08 00 00 00 8B C2 C3 BA 08 00 00 00 8B C2 C3 }
	condition:
		$1
}

rule function_5060_0 {
	meta:
		name = "TParamObject.Create"
		size = 48
		refs = "000b @ClassCreate 001e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 0C 0F B6 4D 08 88 48 11 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 5D C2 08 00 }
	condition:
		$1
}

rule function_5061_0 {
	meta:
		name = "TParamObject.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001d TObject.Free 0028 TObject.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 11 00 74 10 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5063_0 {
	meta:
		name = "TParamObject.GetInstance"
		size = 12
	strings:
		$1 = { 84 D2 74 04 C6 40 11 00 8B 40 0C C3 }
	condition:
		$1
}

rule function_5064_0 {
	meta:
		name = "TParamObject.InstanceIsType"
		size = 19
		refs = "000c @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5065_0 {
	meta:
		name = "TParamStreamObject.GetBytes"
		size = 468
		refs = "0010 TParamObject.GetInstance 0016 _Dn_TStream 001b @AsClass 002e TArray<System.Byte> 0033 @DynArrayAsg 0050 @DynArraySetLength 0060 _Dn_TBytesStream 0065 @IsClass 0086 _Dn_TMemoryStream"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B FA 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 83 7B 18 00 74 15 8B C7 8B 53 18 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 90 01 00 00 85 F6 75 1C 6A 00 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 E9 60 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B C7 8B 56 14 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3A 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3F 8B C6 8B 10 FF 12 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 00 33 D2 8B C6 8B 08 FF 51 18 8B C6 8B 10 FF 12 50 8B 17 8B C6 59 8B 30 FF 56 0C E9 EA 00 00 00 8B 6B 1C 85 ED 7E 27 55 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 17 8B 4B 1C 8B C6 8B 30 FF 56 0C E9 BC 00 00 00 C7 04 24 00 01 00 00 33 C0 89 44 24 0C 33 C0 89 44 24 04 33 C0 89 44 24 08 EB 6F 8B 04 24 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 04 24 2B 44 24 0C 89 44 24 08 8B 07 8B 54 24 0C 8D 14 10 8B 4C 24 08 8B C6 8B 28 FF 55 0C 89 44 24 04 83 7C 24 04 00 7E 2C 8B 44 24 04 01 44 24 0C 8B 44 24 04 3B 44 24 08 75 1A 81 3C 24 00 20 00 00 7E 09 81 04 24 00 20 00 00 EB 08 8B 04 24 03 C0 01 04 24 8B 44 24 04 3B 44 24 08 75 0E 81 7C 24 0C FF BF FF 7F 0F 8C 79 FF FF FF 8B 44 24 0C 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 43 18 8B 17 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5066_0 {
	meta:
		name = "TParamStreamObject.GetStream"
		size = 25
		refs = "0008 TParamObject.GetInstance 000e _Dn_TStream 0013 @AsClass"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5067_0 {
	meta:
		name = "TActionClient.SetContextItems"
		size = 4
		altNames = "TDBXContext.SetTraceLevel TDBXDriverHelp.SetMetaDataReader TDirect2DFont.SetHeight TParamStreamObject.SetKnownSize TStreamLoader.SetTimeout"
	strings:
		$1 = { 89 50 1C C3 }
	condition:
		$1
}

rule function_5068_0 {
	meta:
		name = "TCustomConnection.Create"
		size = 98
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TList 0023 TObject.Create 004f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5069_0 {
	meta:
		name = "TCustomConnection.Destroy"
		size = 93
		refs = "0003 @BeforeDestruction 0012 TComponent.Destroy 002b TObject.Free 0056 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 58 8D 46 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5070_0 {
	meta:
		name = "TCustomConnection.Loaded"
		size = 142
		refs = "000e TComponent.Loaded 0016 TCustomConnection.Loaded 003e @HandleAnyException 004c ApplicationHandleException 0058 ExceptObject 006c ExceptAddr 0078 ShowException 007f @RaiseAgain 0084 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 45 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 58 33 C0 5A 59 59 64 89 10 EB 4B E9 ?? ?? ?? ?? 8B 45 FC F6 40 1C 10 74 33 A1 ?? ?? ?? ?? 66 83 78 02 00 74 14 E8 ?? ?? ?? ?? 8B D0 8B 1D ?? ?? ?? ?? 8B 43 04 FF 13 EB 18 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5071_0 {
	meta:
		name = "TCustomConnection.Open"
		size = 8
	strings:
		$1 = { B2 01 8B 08 FF 51 58 C3 }
	condition:
		$1
}

rule function_5072_0 {
	meta:
		name = "TCustomConnection.Close"
		size = 8
	strings:
		$1 = { 33 D2 8B 08 FF 51 58 C3 }
	condition:
		$1
}

rule function_5073_0 {
	meta:
		name = "TCustomConnection.SetConnected"
		size = 135
		refs = "0041 TCustomConnection.SendConnectEvent"
	strings:
		$1 = { 53 56 8B DA 8B F0 F6 46 1C 02 0F 95 C0 84 D8 74 06 C6 46 45 01 EB 6D 8B C6 8B 10 FF 52 48 3A D8 74 62 84 DB 74 30 66 83 7E 5A 00 74 08 8B D6 8B 46 5C FF 56 58 8B C6 8B 10 FF 52 40 B2 01 8B C6 E8 ?? ?? ?? ?? 66 83 7E 4A 00 74 38 8B D6 8B 46 4C FF 56 48 EB 2E 66 83 7E 62 00 74 08 8B D6 8B 46 64 FF 56 60 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 66 83 7E 52 00 74 08 8B D6 8B 46 54 FF 56 50 5E 5B C3 }
	condition:
		$1
}

rule function_5077_0 {
	meta:
		name = "TCustomConnection.SendConnectEvent"
		size = 145
		refs = "0025 TList.Get 005f _DV_TDataSet 0064 @IsClass"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 88 55 F7 8B D8 8B 43 38 8B 40 08 48 85 C0 7C 71 40 89 45 F0 33 F6 8B D6 8B 43 40 E8 ?? ?? ?? ?? 85 C0 74 26 8B D6 8B 43 40 E8 ?? ?? ?? ?? 89 45 F8 8B D6 8B 43 38 E8 ?? ?? ?? ?? 89 45 FC 0F B6 4D F7 8B D3 8B 45 FC FF 55 F8 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B D6 8B 43 38 E8 ?? ?? ?? ?? 0F B6 4D F7 B2 0C 8B 38 FF 97 E4 00 00 00 46 FF 4D F0 75 95 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5078_0 {
	meta:
		name = "TCustomConnection.RegisterClient"
		size = 63
		refs = "000f TList.Add 0022 _DV_TDataSet 0027 @IsClass"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B 55 08 8B 43 40 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 43 3C E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5079_0 {
	meta:
		name = "TCustomConnection.UnRegisterClient"
		size = 75
		refs = "000a _DV_TDataSet 000f @IsClass 001f TList.RemoveItem 0029 TList.IndexOf 003a TList.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 43 3C 8B D6 33 C9 E8 ?? ?? ?? ?? 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 14 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B D6 8B 43 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5082_0 {
	meta:
		name = "TDataSetDesigner.Create"
		size = 65
		refs = "000b @ClassCreate 001a TObject.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C6 89 47 04 89 78 74 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5083_0 {
	meta:
		name = "TDataSetDesigner.Destroy"
		size = 25
		refs = "0002 @BeforeDestruction 0013 @ClassDestroy"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B 48 04 33 DB 89 59 74 84 D2 7E 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5084_0 {
	meta:
		name = "TDataSetDesigner.BeginDesign"
		size = 45
		refs = "0008 TDataSet.GetActive 001b TDataSet.SetState"
	strings:
		$1 = { 53 56 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B D8 88 5E 08 84 DB 74 15 33 D2 8B 46 04 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 92 D4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5086_0 {
	meta:
		name = "TDataSetDesigner.EndDesign"
		size = 127
		refs = "0017 TDataSetDesigner.EndDesign 003a TDataSet.SetState 0049 @HandleAnyException 0069 @RaiseAgain 006e @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 80 78 08 00 74 5F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 33 D2 8B 08 FF 91 A8 01 00 00 8B 45 FC 8B 40 04 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2A E9 ?? ?? ?? ?? 8B 45 FC 8B 40 04 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 10 FF 92 D4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 40 08 00 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5088_0 {
	meta:
		name = "TNamedItem.SetDisplayName"
		size = 217
		refs = "0018 TNamedItem.SetDisplayName 002c AnsiCompareText 0039 _DV_TDefCollection 003e @IsClass 004c TDefCollection.IndexOf 0066 TObject.ClassName 007c SDBDuplicateName 0081 LoadResString 008f DatabaseErrorFmt 0099 @UStrAsg 00a1 TNamedItem.HashName 00ad TCollectionItem.SetDisplayName 00c7 @UStrArrayClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D EC 89 4D E8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 6D 8B 53 0C 8B C6 E8 ?? ?? ?? ?? 85 C0 74 5F 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4D 8B D6 8B 43 04 E8 ?? ?? ?? ?? 85 C0 7C 3F 6A 00 89 75 F0 C6 45 F4 11 8D 55 EC 8B 43 04 8B 00 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F8 C6 45 FC 11 8D 45 F0 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 89 43 10 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5089_0 {
	meta:
		name = "GetStringLength"
		size = 13
	strings:
		$1 = { 85 C0 74 06 83 E8 04 8B 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_5090_0 {
	meta:
		name = "TNamedItem.HashName"
		size = 361
		refs = "001a TNamedItem.HashName 0064 DefaultUnicodeCodePage 0078 UnicodeFromLocaleChars 008b @GetMem 00f4 AnsiUpperCase 0105 Move 0138 @FreeMem 0154 @UStrClr 015a @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FD FF FF 53 56 57 33 D2 89 95 FC FD FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 12 01 00 00 8B C3 85 C0 74 07 83 E8 04 8B 00 EB 02 33 C0 8B F8 85 DB 74 0A 8B C3 83 E8 0A 0F B7 00 EB 04 66 B8 02 00 66 83 F8 01 75 7B 85 DB 74 0A 8B C3 83 E8 0C 0F B7 00 EB 08 A1 ?? ?? ?? ?? 0F B7 00 57 6A 00 6A 00 0F B7 C0 8B CB 33 D2 E8 ?? ?? ?? ?? 8B F8 81 FF 00 01 00 00 7E 0D 8B C7 03 C0 E8 ?? ?? ?? ?? 8B F0 EB 06 8D B5 00 FE FF FF 85 DB 74 0A 8B C3 83 E8 0C 0F B7 10 EB 09 8B 15 ?? ?? ?? ?? 0F B7 12 8B C3 85 C0 74 07 83 E8 04 8B 00 EB 02 33 C0 50 56 57 0F B7 C2 8B CB 33 D2 E8 ?? ?? ?? ?? EB 39 81 FF 00 01 00 00 7E 0D 8B C7 03 C0 E8 ?? ?? ?? ?? 8B F0 EB 06 8D B5 00 FE FF FF 8D 95 FC FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 FC FD FF FF 8B CF 03 C9 8B D6 E8 ?? ?? ?? ?? 33 DB 8B C7 48 85 C0 7C 19 40 33 D2 8B CB C1 E1 05 C1 EB 1B 0B CB 8B D9 0F B7 0C 56 33 D9 42 48 75 EA 8D 85 00 FE FF FF 3B F0 74 0B 8B C6 E8 ?? ?? ?? ?? EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5091_0 {
	meta:
		name = "TDefCollection.Create"
		size = 83
		refs = "000e @ClassCreate 0024 TOwnedCollection.Create 0031 TDefCollection.DoUpdate 003c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 50 8B 4D 0C 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C 89 7F 2C C7 47 28 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5092_0 {
	meta:
		name = "TDefCollection.SetItemName"
		size = 172
		refs = "0014 TDefCollection.SetItemName 003c TObject.ClassName 004e @UStrCopy 005d IntToStr 006d @UStrCatN 0077 TNamedItem.SetDisplayName 0091 @UStrArrayClr 0099 @UStrClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B FB 83 7F 0C 00 75 55 83 7E 1C 00 74 4F 8B 46 1C FF 70 08 8D 45 F8 50 8D 55 F4 8B 07 E8 ?? ?? ?? ?? 8B 45 F4 B9 05 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 8D 55 F0 8B 47 08 40 E8 ?? ?? ?? ?? FF 75 F0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5093_0 {
	meta:
		name = "TDefCollection.Update"
		size = 26
	strings:
		$1 = { 53 56 8B 70 1C 85 F6 74 0E F6 46 1C 01 75 08 8B D8 8B 43 2C FF 53 28 5E 5B C3 }
	condition:
		$1
}

rule function_5094_0 {
	meta:
		name = "TDefCollection.DoUpdate"
		size = 24
	strings:
		$1 = { 83 78 30 00 75 11 C6 40 20 00 8B D0 8B 40 1C 8B 08 FF 91 E8 00 00 00 C3 }
	condition:
		$1
}

rule function_5095_0 {
	meta:
		name = "TDefCollection.UpdateDefs"
		size = 97
		refs = "0022 TDefCollection.UpdateDefs 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 80 78 20 00 75 4C 8B 45 FC FF 40 30 8B 45 FC 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C FF 55 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 8B 45 FC FF 48 30 C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC C6 40 20 01 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5096_0 {
	meta:
		name = "TDefCollection.IndexOf"
		size = 99
		refs = "0017 TNamedItem.HashName 0031 TCollection.GetItem 004c AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F0 8B DE 8B 43 08 83 78 08 00 7E 44 8B C5 E8 ?? ?? ?? ?? 89 04 24 8B 43 08 8B 78 08 4F 85 FF 7C 2F 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 40 10 3B 04 24 75 17 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 40 0C 8B D5 E8 ?? ?? ?? ?? 85 C0 74 07 43 4F 75 D4 83 CB FF 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5097_0 {
	meta:
		name = "TDefCollection.Find"
		size = 34
		refs = "0007 TDefCollection.IndexOf 001b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 05 33 C0 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5098_0 {
	meta:
		name = "TDefCollection.GetItemNames"
		size = 190
		refs = "0018 TDefCollection.GetItemNames 0026 TWideStrings.BeginUpdate 0057 TCollection.GetItem 006a @WStrFromUStr 008e TWideStrings.EndUpdate 0094 @HandleFinally 00ab @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 48 8B 45 FC 8B 40 08 8B 70 08 4E 85 F6 7C 2F 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 83 7B 0C 00 74 16 8D 45 F4 8B 53 0C E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 08 FF 51 38 47 4E 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5099_0 {
	meta:
		name = "TDefCollection.GetItemNames"
		size = 131
		refs = "0013 TStrings.BeginUpdate 001b TDefCollection.GetItemNames 0044 TCollection.GetItem 0070 TStrings.EndUpdate 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 44 8B 45 FC 8B 40 08 8B 70 08 4E 85 F6 7C 24 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 83 7B 0C 00 74 0B 8B 53 0C 8B 45 F8 8B 08 FF 51 38 47 4E 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5100_0 {
	meta:
		name = "TFieldDef.Create"
		size = 142
		refs = "000e @ClassCreate 0020 @UStrAsg 0028 TNamedItem.HashName 0036 TCollectionItem.Create 0077 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 8D 46 0C 8B 55 18 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 89 46 10 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 14 88 46 25 8B 45 10 89 46 20 80 7D 0C 00 74 04 80 4E 26 04 8B 45 08 89 46 1C 8B 43 1C 8B D6 8B 08 FF 91 68 01 00 00 85 C0 74 06 8B 56 20 FF 50 44 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_5101_0 {
	meta:
		name = "TFieldDef.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TCollectionItem.Destroy 001a TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97925_0 {
	meta:
		name = "TAdapterItemRequestParams.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001a TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63095_0 {
	meta:
		name = "TComponentList.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TList.Destroy 001a TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5102_0 {
	meta:
		name = "TFieldDef.ReadRequired"
		size = 25
		refs = "0009 TReader.ReadBoolean 0012 TFieldDef.SetRequired"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85632_0 {
	meta:
		name = "DrawControlBackground"
		size = 25
		refs = "0009 TCanvas.GetHandle 0012 DrawControlBackground"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62183_0 {
	meta:
		name = "FindRootDesigner"
		size = 25
		refs = "0009 @IntfClear 0012 GetDesigner"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94268_0 {
	meta:
		name = "TCustomAxisPanel.RemoveSeries"
		size = 25
		refs = "0009 TCustomChartSeries.GetIndex 0012 TCustomAxisPanel.RemoveSeries"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90324_0 {
	meta:
		name = "TCustomChart.ReadColorPalette"
		size = 25
		refs = "0009 TReader.ReadInteger 0012 TCustomChart.SetColorPaletteIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36707_0 {
	meta:
		name = "TIdInAddr.CopyFrom"
		size = 25
		refs = "0009 TIdLongWord.Get_l 0012 TIdLongWord.Set_l"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36321_0 {
	meta:
		name = "TIpProperty.SetAsString"
		size = 25
		refs = "0009 StrToIP 0012 TIpProperty.SetAsDoubleWord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5681_0 {
	meta:
		name = "TObjectField.ReadUnNamed"
		size = 25
		refs = "0009 TReader.ReadBoolean 0012 TObjectField.SetUnNamed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5103_0 {
	meta:
		name = "TFieldDef.DefineProperties"
		size = 76
		refs = "000b TPersistent.DefineProperties 0011 TFieldDef.ReadRequired 001c TFieldDef.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 65 00 71 00 75 00 69 00 72 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_5104_0 {
	meta:
		name = "TFieldDef.GetFieldClass"
		size = 45
		refs = "000b _DV_TFieldDefs 0010 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B 46 1C 8B D3 8B 08 FF 91 68 01 00 00 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_5105_0 {
	meta:
		name = "TFieldDef.GetFieldNo"
		size = 20
		refs = "000d TCollectionItem.GetIndex"
	strings:
		$1 = { 53 8B D8 8B 43 1C 85 C0 7F 08 8B C3 E8 ?? ?? ?? ?? 40 5B C3 }
	condition:
		$1
}

rule function_5106_0 {
	meta:
		name = "TFieldDef.SetAttributes"
		size = 20
		refs = "000e TCollectionItem.Changed"
	strings:
		$1 = { 51 88 14 24 0F B6 14 24 88 50 26 33 D2 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_5107_0 {
	meta:
		name = "TFieldDef.SetDataType"
		size = 29
		refs = "000e TypeSizes 0018 TCollectionItem.Changed"
	strings:
		$1 = { 88 50 25 33 C9 89 48 18 83 E2 7F 0F B6 92 ?? ?? ?? ?? 89 50 20 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5108_0 {
	meta:
		name = "TFieldDef.SetPrecision"
		size = 11
		refs = "0006 TCollectionItem.Changed"
	strings:
		$1 = { 89 50 18 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5109_0 {
	meta:
		name = "TFieldDef.GetRequired"
		size = 8
	strings:
		$1 = { F6 40 26 04 0F 95 C0 C3 }
	condition:
		$1
}

rule function_5110_0 {
	meta:
		name = "TFieldDef.SetRequired"
		size = 52
		refs = "000a TFieldDef.SetRequired 0014 TFieldDef.SetAttributes"
	strings:
		$1 = { 53 8B D8 84 D2 74 13 0F B6 15 ?? ?? ?? ?? 0A 53 26 8B C3 E8 ?? ?? ?? ?? 5B C3 0F B6 15 ?? ?? ?? ?? F7 D2 22 53 26 8B C3 E8 ?? ?? ?? ?? 5B C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_5111_0 {
	meta:
		name = "TFieldDef.GetSize"
		size = 36
		refs = "0006 TFieldDef.HasChildDefs"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 83 7B 20 00 75 0B 8B 43 14 8B 40 08 8B 40 08 5B C3 8B 43 20 5B C3 }
	condition:
		$1
}

rule function_5112_0 {
	meta:
		name = "TFieldDef.SetSize"
		size = 76
		refs = "0009 TFieldDef.HasChildDefs 001f TCollectionItem.Changed 0026 TFieldDef.GetFieldClass 0033 TFieldDef.GetSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 80 7B 25 1B 75 32 89 73 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 19 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 FF 50 44 5E 5B C3 }
	condition:
		$1
}

rule function_5113_0 {
	meta:
		name = "TFieldDef.GetChildDefs"
		size = 31
	strings:
		$1 = { 53 8B D8 83 7B 14 00 75 11 8B C3 8B 10 FF 52 20 8B CB B2 01 FF 50 2C 89 43 14 8B 43 14 5B C3 }
	condition:
		$1
}

rule function_5114_0 {
	meta:
		name = "TFieldDef.SetChildDefs"
		size = 23
		refs = "0009 TFieldDef.GetChildDefs"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_15393_0 {
	meta:
		name = "TCustomClientDataSet.SetIndexDefs"
		size = 23
		refs = "0009 TCustomClientDataSet.GetIndexDefs"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_90585_0 {
	meta:
		name = "TGanttSeries.SetConnectingPen"
		size = 23
		refs = "0009 TCustomLineSeries.GetLinePen"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_44950_0 {
	meta:
		name = "TIWCustomImage.SetPicture"
		size = 23
		refs = "0009 TIWCustomImage.GetPicture"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_32396_0 {
	meta:
		name = "TIdCmdTCPServer.SetExceptionReply"
		size = 23
		refs = "0009 TIdCmdTCPServer.GetExceptionReply"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_32399_0 {
	meta:
		name = "TIdCmdTCPServer.SetGreeting"
		size = 23
		refs = "0009 TIdCmdTCPServer.GetGreeting"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_32402_0 {
	meta:
		name = "TIdCmdTCPServer.SetHelpReply"
		size = 23
		refs = "0009 TIdCmdTCPServer.GetHelpReply"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_32405_0 {
	meta:
		name = "TIdCmdTCPServer.SetMaxConnectionReply"
		size = 23
		refs = "0009 TIdCmdTCPServer.GetMaxConnectionReply"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_32408_0 {
	meta:
		name = "TIdCmdTCPServer.SetReplyUnknownCommand"
		size = 23
		refs = "0009 TIdCmdTCPServer.GetReplyUnknownCommand"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_36050_0 {
	meta:
		name = "TIdMessage.SetFrom"
		size = 23
		refs = "0009 TIdMessage.GetFrom"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_5115_0 {
	meta:
		name = "TFieldDef.HasChildDefs"
		size = 21
	strings:
		$1 = { 8B 50 14 85 D2 74 0B 8B 42 08 83 78 08 00 0F 9F C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_5117_0 {
	meta:
		name = "TFieldDef.GetParentDef"
		size = 7
	strings:
		$1 = { 8B 40 04 8B 40 38 C3 }
	condition:
		$1
}

rule function_5118_0 {
	meta:
		name = "TFieldDef.Assign"
		size = 290
		refs = "0012 _DV_TFieldDef 0017 @IsClass 0038 TFieldDef.Assign 0049 TNamedItem.SetDisplayName 0055 TFieldDef.SetDataType 005c TFieldDef.GetSize 0066 TFieldDef.SetSize 0071 TFieldDef.SetPrecision 007d TFieldDef.SetAttributes 008f TFieldDef.HasChildDefs 009b TFieldDef.GetChildDefs 00a0 TCollection.Clear 00ca TFieldDef.AddChild 00db TFieldDefs.GetFieldDef 010b @HandleFinally 0117 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 EE 00 00 00 8B 45 FC 8B 70 04 85 F6 74 07 8B C6 8B 10 FF 52 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 53 0C 8B 45 FC E8 ?? ?? ?? ?? 0F B6 53 25 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 53 18 8B 45 FC E8 ?? ?? ?? ?? 0F B6 53 26 8B 45 FC E8 ?? ?? ?? ?? 0F B6 43 24 8B 55 FC 88 42 24 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3E 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 2A 46 33 FF 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 08 47 4E 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB E9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5119_0 {
	meta:
		name = "TFieldDef.CreateFieldComponent"
		size = 489
		refs = "0019 @UStrAddRef 0021 TFieldDef.CreateFieldComponent 002e TFieldDef.GetFieldClass 003e SUnknownFieldType 0043 LoadResString 005c DatabaseErrorFmt 007e TFieldDef.GetSize 009c TField.SetFieldName 00c5 TField.SetReadOnly 00dd _DV_TBCDField 00e2 @IsClass 00fd _DV_TFMTBCDField 014b _DV_TStringField 0180 _DV_TObjectField 0193 TObjectField.SetUnNamed 01a2 @HandleAnyException 01aa TObject.Free 01af @RaiseAgain 01b4 @DoneExcept 01c9 @UStrClr 01d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F4 8B F9 89 55 FC 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 28 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 0C 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 8B C6 FF 50 38 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 91 10 01 00 00 83 7D 08 00 74 0D 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? EB 0B 8B 53 0C 8B 45 F8 E8 ?? ?? ?? ?? F6 43 26 04 0F 95 C0 8B 55 F8 88 42 4D F6 43 26 02 0F 95 C2 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 53 25 8B 45 F8 8B 08 FF 91 30 01 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B 43 18 8B 55 F8 89 82 10 01 00 00 EB 1E 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 43 18 8B 55 F8 89 82 04 01 00 00 85 FF 74 0F 8B D7 8B 45 F8 8B 08 FF 91 0C 01 00 00 EB 11 8B 43 04 8B 50 1C 8B 45 F8 8B 08 FF 91 04 01 00 00 F6 43 26 20 75 06 80 7B 25 17 75 1C 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 F8 C6 80 F0 00 00 00 01 80 7B 24 00 74 0D B2 03 8B 45 F8 8B 08 FF 91 08 01 00 00 F6 43 26 10 74 1C 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A B2 01 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5120_0 {
	meta:
		name = "TFieldDef.CreateField"
		size = 320
		refs = "0014 TFieldDef.CreateField 0025 TFieldDef.CreateFieldComponent 0039 TFieldDef.HasChildDefs 0064 TFieldDef.GetSize 009c Format 00a9 TFieldDef.GetChildDefs 00b0 TFieldDefs.GetFieldDef 010c @UStrClr 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B C3 E8 ?? ?? ?? ?? 89 45 FC 80 7D 08 00 0F 84 C5 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 B6 00 00 00 80 7B 25 1B 75 79 8B 43 04 8B 40 1C 80 B8 B2 00 00 00 00 74 07 B8 01 00 00 00 EB 07 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 88 00 00 00 46 33 FF 8D 45 F8 50 8B 45 FC 8B 40 40 89 45 E8 C6 45 EC 11 89 7D F0 C6 45 F4 00 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 6A 01 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 E8 ?? ?? ?? ?? 47 4E 75 B4 EB 37 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 23 46 33 FF 6A 00 6A 01 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 E8 ?? ?? ?? ?? 47 4E 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 5B 00 25 00 64 00 5D 00 00 00 00 00 }
	condition:
		$1
}

rule function_5121_0 {
	meta:
		name = "TFieldDef.GetChildDefsClass"
		size = 20
		refs = "000f DefaultFieldDefsClass"
	strings:
		$1 = { 8B 48 04 85 C9 74 07 8B 01 89 C2 8B C2 C3 A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5122_0 {
	meta:
		name = "TFieldDefs.Create"
		size = 138
		refs = "000f @ClassCreate 001e _DV_TFieldDef 0023 @IsClass 003c _DV_TDataSet 0041 @AsClass 0057 TDefCollection.Create 0067 TFieldDefs.ChildDefUpdate 0074 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 89 43 38 8B 40 04 8B 78 1C EB 0F 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 56 8B C3 8B 10 FF 52 28 50 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 83 7B 38 00 74 0A 89 5B 2C C7 43 28 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5123_0 {
	meta:
		name = "TFieldDefs.SetItemName"
		size = 191
		refs = "0014 TFieldDefs.SetItemName 0025 @CallDynaInst 0033 TDefCollection.SetItemName 0057 TObject.ClassName 0069 @UStrCopy 0078 IntToStr 0088 @UStrCatN 0092 TNamedItem.SetDisplayName 00ac @UStrArrayClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 3B 43 1C 75 0B 8B D7 8B C3 E8 ?? ?? ?? ?? EB 5D 83 7F 0C 00 75 57 8B C3 66 BE FF FF E8 ?? ?? ?? ?? FF 70 0C 8D 45 F8 50 8D 55 F4 8B 07 E8 ?? ?? ?? ?? 8B 45 F4 B9 05 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 8D 55 F0 8B 47 08 40 E8 ?? ?? ?? ?? FF 75 F0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5125_0 {
	meta:
		name = "TFieldDefs.Add"
		size = 256
		refs = "0019 TFieldDefs.Add 002b SFieldNameMissing 0030 LoadResString 003e DatabaseError 005c TFieldDefs.AddFieldDef 0077 TNamedItem.SetDisplayName 0081 TFieldDef.SetDataType 008c TFieldDef.SetSize 0098 TFieldDef.SetRequired 00a7 @HandleAnyException 00af TObject.Free 00b4 @RaiseAgain 00b9 @DoneExcept 00d4 @HandleFinally 00eb @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 1B 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC 8B 52 1C E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 0C 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 55 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5126_0 {
	meta:
		name = "TFieldDefs.Find"
		size = 124
		refs = "0016 TFieldDefs.Find 0025 TDefCollection.Find 0037 SFieldNotFound 003c LoadResString 0052 DatabaseErrorFmt 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 27 8B 43 1C 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 7D F4 C6 45 F8 11 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5792_0 {
	meta:
		name = "TIndexDefs.Find"
		size = 124
		refs = "0016 TIndexDefs.Find 0025 TDefCollection.Find 0037 SIndexNotFound 003c LoadResString 0052 DatabaseErrorFmt 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 27 8B 43 1C 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 7D F4 C6 45 F8 11 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5129_0 {
	meta:
		name = "TFieldDefs.SetHiddenFields"
		size = 8
	strings:
		$1 = { 88 50 3C C6 40 20 00 C3 }
	condition:
		$1
}

rule function_5130_0 {
	meta:
		name = "TFieldDefs.Update"
		size = 26
		refs = "0015 TDefCollection.UpdateDefs"
	strings:
		$1 = { 8B 50 1C 8B 4A 44 C6 41 5D 00 52 8B 12 8B 92 90 01 00 00 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5131_0 {
	meta:
		name = "TFieldDefs.ChildDefUpdate"
		size = 24
		refs = "0013 TDefCollection.DoUpdate"
	strings:
		$1 = { 8B 48 1C 8B 49 40 83 79 0C 00 75 0B 83 79 30 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5132_0 {
	meta:
		name = "TFieldDefs.FieldDefUpdate"
		size = 22
		refs = "0006 TDefCollection.DoUpdate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 1C 8B 40 44 C6 40 5D 00 5B C3 }
	condition:
		$1
}

rule function_5135_0 {
	meta:
		name = "TDefaultLookupList.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TLookupList.Create 001e _Dn_TList 0023 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84369_0 {
	meta:
		name = "TAssociateItemList.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TObjectList 0023 TObjectList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84103_0 {
	meta:
		name = "TCategoryItem.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TList 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6560_0 {
	meta:
		name = "TDBXConnectionFactory.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _DV_TDBXDefaultFormatter 0023 TDBXDefaultFormatter.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_112261_0 {
	meta:
		name = "TDomXPathSyntaxNodeStack.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TList 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_111561_0 {
	meta:
		name = "TDtdObjectList.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TList 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81127_0 {
	meta:
		name = "TGIFList.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TList 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73837_0 {
	meta:
		name = "TGlyphCache.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TList 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_45004_0 {
	meta:
		name = "THTTPFiles.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TObjectList 0023 TObjectList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36146_0 {
	meta:
		name = "TIdMessageDecoderList.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TStringList 0023 TStringList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36159_0 {
	meta:
		name = "TIdMessageEncoderList.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TStringList 0023 TStringList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38277_0 {
	meta:
		name = "TIdThreadSafe.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TIdCriticalSection 0023 TCriticalSection.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_42135_0 {
	meta:
		name = "TInThreadSafe.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TIdCriticalSection 0023 TCriticalSection.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48826_0 {
	meta:
		name = "TInvokableClassRegistry.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TCriticalSection 0023 TCriticalSection.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83773_0 {
	meta:
		name = "TKeyTipList.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TObjectList 0023 TObjectList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48567_0 {
	meta:
		name = "TNotifyList.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TList 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_63126_0 {
	meta:
		name = "TOrderedList.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TList 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_66720_0 {
	meta:
		name = "TPerlRegExList.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TList 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5136_0 {
	meta:
		name = "TDefaultLookupList.Destroy"
		size = 46
		refs = "0003 @BeforeDestruction 001c TObject.Free 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 04 00 74 07 8B C6 8B 10 FF 52 08 8B 46 04 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5137_0 {
	meta:
		name = "TDefaultLookupList.Add"
		size = 62
		refs = "000c TLookupListEntry 0016 @New 0021 @VarCopy 0035 TList.Add"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 8B 15 ?? ?? ?? ?? B8 20 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 8B D7 E8 ?? ?? ?? ?? 8D 43 10 8B D5 E8 ?? ?? ?? ?? 8B D3 8B 46 04 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5138_0 {
	meta:
		name = "TDefaultLookupList.Clear"
		size = 56
		refs = "0019 TList.Get 001f TLookupListEntry 0024 @Dispose"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 04 8B 58 08 4B 85 DB 7C 1C 43 33 F6 8B 47 04 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 E7 8B 47 04 8B 10 FF 52 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5139_0 {
	meta:
		name = "TDefaultLookupList.ValueOfKey"
		size = 97
		refs = "0010 Null 0017 VarIsNull 0033 TList.Get 003a @VarCmpEQ 0051 @VarCopy"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F8 8B 04 24 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 84 C0 75 3C 8B 47 04 8B 70 08 4E 85 F6 7C 31 46 33 DB 8B 47 04 8B D3 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 75 17 8B 47 04 8B D3 E8 ?? ?? ?? ?? 8D 50 10 8B 04 24 E8 ?? ?? ?? ?? EB 04 43 4E 75 D2 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5140_0 {
	meta:
		name = "TFlatList.Create"
		size = 70
		refs = "000a @ClassCreate 001a TStringList.Create 0024 TFlatList.ListChanging 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 58 33 D2 8B C6 E8 ?? ?? ?? ?? 89 76 4C C7 46 48 ?? ?? ?? ?? C6 46 5C 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5141_0 {
	meta:
		name = "TFlatList.FindItem"
		size = 168
		refs = "0019 TFlatList.FindItem 0034 TFlatList.Update 0061 SFieldNotFound 0066 LoadResString 007c DatabaseErrorFmt 0093 @UStrClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F8 88 4D FF 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 10 FF 92 AC 00 00 00 84 C0 75 07 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 8B 08 FF 51 54 83 F8 FF 7E 0D 8B D0 8B C7 8B 08 FF 51 18 8B D8 EB 2F 80 7D FF 00 74 27 8B 47 58 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 75 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5142_0 {
	meta:
		name = "TFlatList.GetCount"
		size = 33
		refs = "0014 TFlatList.Update 001b TStringList.GetCount"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 AC 00 00 00 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5143_0 {
	meta:
		name = "TFlatList.GetUpdated"
		size = 5
	strings:
		$1 = { 0F B6 40 5D C3 }
	condition:
		$1
}

rule function_5144_0 {
	meta:
		name = "TFlatList.ListChanging"
		size = 85
		refs = "000c TFlatList.ListChanging 0020 SReadOnlyProperty 0025 LoadResString 0030 DatabaseError 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 5C 00 74 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 53 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5145_0 {
	meta:
		name = "TFlatList.Update"
		size = 116
		refs = "0021 TStrings.BeginUpdate 0029 TFlatList.Update 005e TStrings.EndUpdate 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 10 FF 92 AC 00 00 00 84 C0 75 5B 8B 45 FC C6 40 5C 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 8B 45 FC 8B 10 FF 92 B0 00 00 00 8B 45 FC C6 40 5D 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 5C 01 C3 E9 ?? ?? ?? ?? EB E9 59 5D C3 }
	condition:
		$1
}

rule function_5146_0 {
	meta:
		name = "TFieldDefList.GetFieldDef"
		size = 39
		refs = "0017 TFlatList.Update"
		altNames = "TFieldList.GetField"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 AC 00 00 00 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 18 5E 5B C3 }
	condition:
		$1
}

rule function_5147_0 {
	meta:
		name = "TFieldDefList.Find"
		size = 23
		altNames = "TFieldList.Find"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C9 8B D6 8B C3 8B 18 FF 93 A8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5148_0 {
	meta:
		name = "TFieldDefList.FieldByName"
		size = 23
		altNames = "TFieldList.FieldByName"
	strings:
		$1 = { 53 56 8B F2 8B D8 B1 01 8B D6 8B C3 8B 18 FF 93 A8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5149_0 {
	meta:
		name = "AddFieldDefs"
		size = 480
		refs = "0021 AddFieldDefs 004f TFieldDefs.GetFieldDef 005f @UStrCat3 0076 TFieldDef.HasChildDefs 008f TFieldDef.GetChildDefs 009f TFieldDef.GetSize 00dc Format 0161 @UStrCatN 0191 @UStrArrayClr 01a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D CC 89 4D D0 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 40 08 8B 40 08 48 85 C0 0F 8C 3E 01 00 00 40 89 45 E4 C7 45 E8 00 00 00 00 8B 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 4B 0C 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B CB 8B 55 FC 8B 30 FF 56 3C 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 ED 00 00 00 80 7B 25 1B 0F 85 98 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 0F 8C C1 00 00 00 43 C7 45 EC 00 00 00 00 8D 45 F8 50 8B 45 FC 89 45 D4 C6 45 D8 11 8B 45 EC 89 45 DC C6 45 E0 00 8D 55 D4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B CE 8B 55 F8 8B 38 FF 57 3C 80 7E 25 1A 75 26 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 50 8D 45 D0 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 D0 5A E8 ?? ?? ?? ?? 59 FF 45 EC 4B 75 94 EB 4B F6 43 26 10 74 17 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B D0 33 C0 E8 ?? ?? ?? ?? 59 EB 2E 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 50 FF 75 F4 FF 73 0C 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 CC 5A E8 ?? ?? ?? ?? 59 FF 45 E8 FF 4D E4 0F 85 CD FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 5B 00 25 00 64 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_5150_0 {
	meta:
		name = "TFieldDefList.UpdateList"
		size = 57
		refs = "000e TDataSet.GetActive 0020 TFieldDefs.Update 0031 AddFieldDefs"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 FC 8B 40 58 8B 40 40 E8 ?? ?? ?? ?? 55 8B 45 FC 8B 40 58 8B 50 40 33 C0 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_5151_0 {
	meta:
		name = "TFieldDefList.GetUpdated"
		size = 24
	strings:
		$1 = { 80 78 5D 00 74 0C 8B 40 58 8B 40 40 80 78 20 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_5155_0 {
	meta:
		name = "AddFields"
		size = 160
		refs = "0015 AddFields 003c TFields.GetField 0048 TField.GetFullName 008d @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 70 08 4E 85 F6 7C 4F 46 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 8B 40 FC 8B CB 8B 38 FF 57 3C 0F B6 43 48 04 E6 2C 02 73 10 8B 45 08 50 8B 83 F4 00 00 00 E8 ?? ?? ?? ?? 59 FF 45 F8 4E 75 B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5156_0 {
	meta:
		name = "TFieldList.UpdateList"
		size = 26
		refs = "0012 AddFields"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 55 8B 45 FC 8B 40 58 8B 40 38 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_5160_0 {
	meta:
		name = "TFields.Create"
		size = 92
		refs = "000b @ClassCreate 001a TObject.Create 0021 _Dn_TList 0033 TFields.Create 0041 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 89 77 08 0F B6 05 ?? ?? ?? ?? 88 47 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 00 0F 00 00 00 }
	condition:
		$1
}

rule function_5161_0 {
	meta:
		name = "TFields.Destroy"
		size = 57
		refs = "0003 @BeforeDestruction 0014 TFields.Clear 001c TObject.Free 0027 TObject.Destroy 0032 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 04 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5162_0 {
	meta:
		name = "TFields.Changed"
		size = 56
	strings:
		$1 = { 53 56 8B D8 8B 43 08 85 C0 74 1B F6 40 1C 08 75 0E 33 C9 B2 09 8B 30 FF 96 E4 00 00 00 EB 07 8B 40 48 C6 40 5D 00 66 83 7B 12 00 74 08 8B D3 8B 43 14 FF 53 10 5E 5B C3 }
	condition:
		$1
}

rule function_5163_0 {
	meta:
		name = "TFields.CheckFieldKind"
		size = 97
		refs = "000d TFields.CheckFieldKind 002c SInvalidFieldKind 0031 LoadResString 003b DatabaseError 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 80 FA 07 77 0A 83 E2 7F 0F B6 40 18 0F A3 D0 72 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5164_0 {
	meta:
		name = "TFields.Add"
		size = 42
		refs = "000f TFields.CheckFieldKind 0019 TList.Add 0023 TFields.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 0F B6 56 4A 8B CE 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 04 E8 ?? ?? ?? ?? 89 5E 44 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5165_0 {
	meta:
		name = "TFields.Remove"
		size = 33
		refs = "000e TList.RemoveItem 001a TFields.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B D6 33 C9 E8 ?? ?? ?? ?? 33 C0 89 46 44 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5166_0 {
	meta:
		name = "TFields.Clear"
		size = 64
		refs = "000b TList.Last 0019 TObject.Free 0027 TList.Delete 0037 TFields.Changed"
	strings:
		$1 = { 53 56 57 55 8B D8 EB 23 8B C7 E8 ?? ?? ?? ?? 8B F0 33 C0 89 46 3C 8B C6 E8 ?? ?? ?? ?? 8B 6B 04 8B 55 08 4A 8B C5 E8 ?? ?? ?? ?? 8B 7B 04 83 7F 08 00 7F D4 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5167_0 {
	meta:
		name = "TFieldsGetFieldError"
		size = 121
		refs = "0018 TFieldsGetFieldError 002a SListIndexError 002f LoadResString 0043 Format 004d DatabaseError 0067 @UStrArrayClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 5D F0 C6 45 F4 00 8D 55 F0 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5168_0 {
	meta:
		name = "TFields.GetField"
		size = 56
		refs = "0017 TFieldsGetFieldError 0021 TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 85 C0 7E 1E 3B C6 7F 0A 8B 53 08 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 43 04 E8 ?? ?? ?? ?? 89 70 54 5E 5B C3 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5170_0 {
	meta:
		name = "TFields.GetCount"
		size = 26
	strings:
		$1 = { 8B 50 0C 85 D2 7E 0C 8B 48 04 83 79 08 00 7E 03 8B C2 C3 8B 40 04 8B 40 08 C3 }
	condition:
		$1
}

rule function_5172_0 {
	meta:
		name = "TFields.CheckFieldName"
		size = 154
		refs = "0018 TFields.CheckFieldName 002a SFieldNameMissing 002f LoadResString 003a DatabaseError 0043 TFields.FindField 0053 SDuplicateFieldName 006e DatabaseErrorFmt 0088 @UStrArrayClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 27 8B 43 08 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 75 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5173_0 {
	meta:
		name = "TFields.CheckFieldNames"
		size = 110
		refs = "0015 TFields.CheckFieldNames 0031 ExtractFieldName 003b TFields.FieldByName 0042 @UStrLen 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 01 00 00 00 EB 17 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 7D DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5175_0 {
	meta:
		name = "TFields.GetFieldNames"
		size = 116
		refs = "0010 TStrings.BeginUpdate 0018 TFields.GetFieldNames 003e TList.Get 0062 TStrings.EndUpdate 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 8B 47 04 8B 58 08 4B 85 DB 7C 1C 43 33 F6 8B 47 04 8B D6 E8 ?? ?? ?? ?? 8B 50 40 8B 45 FC 8B 08 FF 51 38 46 4B 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5176_0 {
	meta:
		name = "TFields.GetFieldNames"
		size = 178
		refs = "0017 TFields.GetFieldNames 0025 TWideStrings.BeginUpdate 0053 TList.Get 005e @WStrFromUStr 0082 TWideStrings.EndUpdate 0088 @HandleFinally 009f @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 48 8B 47 04 8B 58 08 4B 85 DB 7C 27 43 33 F6 8B 47 04 8B D6 E8 ?? ?? ?? ?? 8B 50 40 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 38 46 4B 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5177_0 {
	meta:
		name = "TFields.FindField"
		size = 101
		refs = "0019 TNamedItem.HashName 0035 TList.Get 004e AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F8 8B 47 04 83 78 08 00 7E 45 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 04 8B 47 04 8B 70 08 4E 85 F6 7C 2E 46 33 ED 8B 47 04 8B D5 E8 ?? ?? ?? ?? 8B D8 8B 83 E8 00 00 00 3B 44 24 04 75 0F 8B 43 40 8B 14 24 E8 ?? ?? ?? ?? 85 C0 74 06 45 4E 75 D5 33 DB 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5178_0 {
	meta:
		name = "TFields.FieldByName"
		size = 124
		refs = "0016 TFields.FieldByName 0025 TFields.FindField 0037 SFieldNotFound 003c LoadResString 0052 DatabaseErrorFmt 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 27 8B 43 08 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 7D F4 C6 45 F8 11 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5179_0 {
	meta:
		name = "TFields.FieldByNumber"
		size = 65
		refs = "001e TList.Get"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B 45 04 8B 58 08 4B 85 DB 7C 22 43 33 FF 8B 45 04 8B D7 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 92 A8 00 00 00 3B 04 24 74 06 47 4B 75 E1 33 F6 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5180_0 {
	meta:
		name = "TFields.SetFieldIndex"
		size = 89
		refs = "0010 TList.IndexOf 0034 TList.Delete 0040 TList.Insert 0049 TField.PropertyChanged 0050 TFields.Changed"
	strings:
		$1 = { 53 56 57 55 8B F1 8B FA 8B D8 8B D7 8B 43 04 E8 ?? ?? ?? ?? 85 C0 7C 3C 8B 6B 04 8B 55 08 85 F6 7D 02 33 F6 3B D6 7F 03 8B F2 4E 3B C6 74 25 8B D0 8B C5 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 43 04 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5181_0 {
	meta:
		name = "TField.Create"
		size = 128
		refs = "000b @ClassCreate 0018 TComponent.Create 0028 TField.Create 0048 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 4C 01 56 8D BE A4 00 00 00 BE ?? ?? ?? ?? B9 08 00 00 00 F3 A5 5E 0F B6 05 ?? ?? ?? ?? 88 86 9C 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_5182_0 {
	meta:
		name = "TField.Destroy"
		size = 73
		refs = "0003 @BeforeDestruction 0013 TDataSet.Close 0021 TFields.Remove 002c TObject.Free 0037 TComponent.Destroy 0042 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 3C 85 C0 74 13 E8 ?? ?? ?? ?? 8B 46 44 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B 86 80 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5183_0 {
	meta:
		name = "TField.AccessError"
		size = 121
		refs = "0015 TField.AccessError 0025 TField.GetDisplayName 0042 SFieldAccessError 0049 _DV_EDatabaseError 004e Exception.CreateResFmt 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 89 75 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5184_0 {
	meta:
		name = "TField.Assign"
		size = 134
		refs = "0013 TField.Assign 0031 _DV_TField 0036 @IsClass 005f TPersistent.Assign 0074 @VarClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 0C 8B C3 8B 10 FF 92 24 01 00 00 EB 36 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8D 55 F0 8B C6 8B 08 FF 91 90 00 00 00 8D 55 F0 8B C3 8B 08 FF 91 00 01 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5185_0 {
	meta:
		name = "Error"
		size = 120
		refs = "0012 Error 0028 TField.GetDisplayName 003e SFieldValueError 0043 LoadResString 004e DatabaseErrorFmt 0068 @UStrArrayClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C0 89 45 F4 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 F4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_5186_0 {
	meta:
		name = "TField.AssignValue"
		size = 620
		refs = "001b TField.AssignValue 00b2 @LStrFromChar 00d0 @UStrFromWChar 0109 @UStrFromString 012b Error 013b @UStrFromPChar 0158 @UStrFromPWChar 0179 _Dn_TPersistent 017e @IsClass 01ca VarIsClear 01e9 @UStrFromWStr 020a @VarFromInt64 0245 @VarClr 0252 @UStrArrayClr 025a @LStrClr 0260 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 46 04 83 F8 11 0F 87 FB 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 16 8B 45 FC 8B 08 FF 91 E0 00 00 00 E9 A1 01 00 00 0F B6 16 8B 45 FC 8B 08 FF 91 C4 00 00 00 E9 8E 01 00 00 8D 45 F8 0F B6 16 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 91 F8 00 00 00 E9 6B 01 00 00 8D 45 F4 0F B7 16 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 91 F0 00 00 00 E9 4D 01 00 00 8B 06 0F B7 50 08 52 FF 70 04 FF 30 8B 45 FC 8B 10 FF 92 DC 00 00 00 E9 31 01 00 00 8D 45 F0 8B 16 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 08 FF 91 F0 00 00 00 E9 14 01 00 00 83 3E 00 0F 84 0B 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 FF 00 00 00 8D 45 EC 8B 16 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8B 08 FF 91 F0 00 00 00 E9 E2 00 00 00 8D 45 E8 8B 16 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 8B 08 FF 91 F0 00 00 00 E9 C5 00 00 00 8B 1E 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B D3 8B 45 FC 8B 08 FF 51 08 E9 9F 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 93 00 00 00 8B 16 8B 45 FC 8B 08 FF 91 F8 00 00 00 E9 81 00 00 00 8B 06 FF 70 04 FF 30 8B 45 FC 8B 10 FF 92 CC 00 00 00 EB 6D 8B 06 E8 ?? ?? ?? ?? 84 C0 75 62 8B 06 8B D0 8B 45 FC 8B 08 FF 91 00 01 00 00 EB 51 8D 45 E4 8B 16 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 08 FF 91 F4 00 00 00 EB 37 8B 06 8B 50 04 8B 00 52 50 8D 45 D4 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 FC 8B 08 FF 91 00 01 00 00 EB 16 8B 16 8B 45 FC 8B 08 FF 91 F0 00 00 00 EB 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5187_0 {
	meta:
		name = "TField.Bind"
		size = 31
		refs = "0011 TField.RefreshLookupList 001a TField.ValidateLookupInfo"
	strings:
		$1 = { 80 78 4A 02 75 18 84 D2 74 14 80 78 7C 00 74 07 E8 ?? ?? ?? ?? EB 07 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5188_0 {
	meta:
		name = "TField.CalcLookupValue"
		size = 204
		refs = "0017 TField.CalcLookupValue 0031 TDataSet.GetFieldValue 003c TField.GetLookupList 0062 TDataSet.GetActive 00b0 Variant 00ba @FinalizeArray 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 7C 00 74 31 8D 4D E0 8B 53 70 8B 43 3C E8 ?? ?? ?? ?? 8D 45 E0 50 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 5A 8B 30 FF 56 0C 8D 55 F0 8B C3 8B 08 FF 91 00 01 00 00 EB 46 8B 73 6C 85 F6 74 3F 8B C6 E8 ?? ?? ?? ?? 84 C0 74 34 8B 43 78 50 8D 45 D0 50 8D 4D C0 8B 53 70 8B 43 3C E8 ?? ?? ?? ?? 8D 4D C0 8B 53 74 8B 43 6C 8B 30 FF 96 A8 02 00 00 8D 55 D0 8B C3 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5189_0 {
	meta:
		name = "TCustomTaskDialog.DoOnNavigated"
		size = 29
		altNames = "TDataSet.DoBeforeClose TField.Change TIdUDPClient.DoOnDisconnected"
	strings:
		$1 = { 53 66 83 B8 CA 00 00 00 00 74 10 8B D8 8B D0 8B 83 CC 00 00 00 FF 93 C8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5190_0 {
	meta:
		name = "TField.CheckInactive"
		size = 24
	strings:
		$1 = { 56 57 8B F0 8B 7E 3C 85 FF 74 0A 8B C7 8B 10 FF 92 C4 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_5191_0 {
	meta:
		name = "TField.Clear"
		size = 23
		refs = "0012 TField.SetData"
	strings:
		$1 = { 0F B6 50 4A 84 D2 74 05 80 EA 03 75 09 B1 01 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5192_0 {
	meta:
		name = "TField.CopyData"
		size = 34
		refs = "001a Move"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 92 9C 00 00 00 8B C8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5193_0 {
	meta:
		name = "TField.DataChanged"
		size = 18
	strings:
		$1 = { 53 8B C8 33 D2 8B 40 3C 8B 18 FF 93 E4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5194_0 {
	meta:
		name = "AttributeSetStored"
		size = 67
		refs = "0024 CompareText"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 20 85 DB 74 1F 8B 93 84 00 00 00 8B 45 08 8B 40 F8 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B 5D C3 8B 45 08 8B 40 F8 83 B8 84 00 00 00 00 0F 95 C0 5B 5D C3 }
	condition:
		$1
}

rule function_5195_0 {
	meta:
		name = "CalculatedStored"
		size = 65
		refs = "0017 TField.GetCalculated"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 83 78 20 00 74 23 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 40 20 E8 ?? ?? ?? ?? 3A D8 0F 95 C0 5B 5D C3 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_5196_0 {
	meta:
		name = "LookupStored"
		size = 65
		refs = "0017 TField.GetLookup"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 83 78 20 00 74 23 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 40 20 E8 ?? ?? ?? ?? 3A D8 0F 95 C0 5B 5D C3 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_5197_0 {
	meta:
		name = "TField.DefineProperties"
		size = 244
		refs = "0012 TField.ReadAttributeSet 001b TField.WriteAttributeSet 0021 AttributeSetStored 0029 TField.DefineProperties 003a TField.ReadCalculated 0043 TField.WriteCalculated 0049 CalculatedStored 0062 TField.ReadLookup 006b TField.WriteLookup 0071 LookupStored"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 53 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 61 00 6C 00 63 00 75 00 6C 00 61 00 74 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4C 00 6F 00 6F 00 6B 00 75 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_5198_0 {
	meta:
		name = "TField.FocusControl"
		size = 45
		refs = "000f TDataSet.GetActive"
	strings:
		$1 = { 53 56 51 8B D8 8B 73 3C 85 F6 74 1D 8B C6 E8 ?? ?? ?? ?? 84 C0 74 12 89 1C 24 8B CC B2 0A 8B 43 3C 8B 18 FF 93 E4 00 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5200_0 {
	meta:
		name = "TField.GetAsBoolean"
		size = 56
		refs = "0005 TField.GetAsBoolean 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 }
	condition:
		$1
}

rule function_5256_0 {
	meta:
		name = "TField.SetAsBoolean"
		size = 56
		refs = "0005 TField.SetAsBoolean 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 }
	condition:
		$1
}

rule function_5201_0 {
	meta:
		name = "TField.GetAsByteArray"
		size = 38
		refs = "0009 @VarClear 0014 TField.GetData 001f Null"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D3 33 C9 8B C6 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5202_0 {
	meta:
		name = "TField.GetAsBCD"
		size = 40
		refs = "0021 CurrToBCD"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 5C 83 C4 F8 DF 3C 24 9B 8B C6 B9 04 00 00 00 BA 20 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5203_0 {
	meta:
		name = "TField.GetAsCurrency"
		size = 36
		refs = "000f TField.GetAsCurrency"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 52 68 D8 0D ?? ?? ?? ?? DF 3C 24 9B DF 2C 24 59 5A 5B C3 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_5600_0 {
	meta:
		name = "TFMTBCDField.GetAsCurrency"
		size = 36
		refs = "000f TFMTBCDField.GetAsCurrency"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 52 68 D8 0D ?? ?? ?? ?? DF 3C 24 9B DF 2C 24 59 5A 5B C3 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_5204_0 {
	meta:
		name = "TField.GetAsDateTime"
		size = 68
		refs = "0008 TField.GetAsDateTime 0013 @CallDynaInst 0018 @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 BA ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 04 24 59 5A 5E 5B C3 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_5205_0 {
	meta:
		name = "TField.GetAsFloat"
		size = 60
		refs = "0008 TField.GetAsFloat 0013 @CallDynaInst 0018 @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 BA ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 04 24 59 5A 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 6C 00 6F 00 61 00 74 00 00 00 }
	condition:
		$1
}

rule function_5206_0 {
	meta:
		name = "TField.GetAsExtended"
		size = 25
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 8B 10 FF 52 68 DB 3C 24 9B DB 2C 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_5207_0 {
	meta:
		name = "TField.GetAsInteger"
		size = 56
		refs = "0005 TField.GetAsInteger 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 6E 00 74 00 65 00 67 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_5261_0 {
	meta:
		name = "TField.SetAsInteger"
		size = 56
		refs = "0005 TField.SetAsInteger 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 6E 00 74 00 65 00 67 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_5208_0 {
	meta:
		name = "TField.GetAsLargeInt"
		size = 64
		refs = "0008 TField.GetAsLargeInt 0013 @CallDynaInst 0018 @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 BA ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 8B 54 24 04 59 5A 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 74 00 36 00 34 00 00 00 }
	condition:
		$1
}

rule function_5209_0 {
	meta:
		name = "TField.GetAsSingle"
		size = 64
		refs = "0006 TField.GetAsSingle 0011 @CallDynaInst 0016 @RaiseExcept"
	strings:
		$1 = { 53 56 51 8B D8 BA ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? D9 04 24 5A 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_5210_0 {
	meta:
		name = "TField.GetAsSQLTimeStamp"
		size = 68
		refs = "0005 TField.GetAsSQLTimeStamp 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 51 00 4C 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_5264_0 {
	meta:
		name = "TField.SetAsSQLTimeStamp"
		size = 68
		refs = "0005 TField.SetAsSQLTimeStamp 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 51 00 4C 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_5211_0 {
	meta:
		name = "TField.GetAsSQLTimeStampOffset"
		size = 80
		refs = "0005 TField.GetAsSQLTimeStampOffset 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 12 00 00 00 53 00 51 00 4C 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 4F 00 66 00 66 00 73 00 65 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_5265_0 {
	meta:
		name = "TField.SetAsSQLTimeStampOffset"
		size = 80
		refs = "0005 TField.SetAsSQLTimeStampOffset 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 12 00 00 00 53 00 51 00 4C 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 4F 00 66 00 66 00 73 00 65 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_5212_0 {
	meta:
		name = "TBaseAdapterAction.GetDisplayLabel"
		size = 21
		altNames = "TField.GetAsString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 98 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5213_0 {
	meta:
		name = "TAdapterNamedField.GetValue"
		size = 21
		altNames = "TField.GetAsWideString TWideStringField.GetAsWideString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5214_0 {
	meta:
		name = "TField.GetAsAnsiString"
		size = 87
		refs = "000f TField.GetAsAnsiString 0031 @LStrFromUStr 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 80 00 00 00 8B 55 FC 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5341_0 {
	meta:
		name = "TWideStringField.GetAsAnsiString"
		size = 87
		refs = "000f TWideStringField.GetAsAnsiString 0031 @LStrFromUStr 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 80 00 00 00 8B 55 FC 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5215_0 {
	meta:
		name = "TField.GetAsBytes"
		size = 167
		refs = "0014 TField.GetAsBytes 0032 TArray<System.Byte> 0037 @DynArraySetLength 0045 TField.GetData 0051 Null 0062 @VarToDynArray 0072 @DynArrayAsg 0087 @VarClr 0095 @DynArrayClear 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 9C 00 00 00 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 16 33 C9 8B C3 E8 ?? ?? ?? ?? 84 C0 75 29 8D 45 EC E8 ?? ?? ?? ?? 8D 55 EC 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5216_0 {
	meta:
		name = "TField.GetAsVariant"
		size = 56
		refs = "0005 TField.GetAsVariant 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 61 00 72 00 69 00 61 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_5299_0 {
	meta:
		name = "TField.SetVarValue"
		size = 56
		refs = "0005 TField.SetVarValue 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 61 00 72 00 69 00 61 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_5217_0 {
	meta:
		name = "TField.GetCalculated"
		size = 8
	strings:
		$1 = { 80 78 4A 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_5218_0 {
	meta:
		name = "TField.GetCanModify"
		size = 71
		refs = "003d TField.GetIsIndexField"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 A8 00 00 00 85 C0 7E 32 8B 43 3C 80 B8 A5 00 00 00 04 74 1D 80 7B 49 00 75 0F 8B 43 3C 8B 10 FF 92 5C 01 00 00 84 C0 75 04 33 C0 EB 0F B0 01 EB 0B 8B C3 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_5219_0 {
	meta:
		name = "TField.GetClassDesc"
		size = 332
		refs = "0020 TField.GetClassDesc 0033 TObject.ClassName 0073 @UStrCopy 0080 CompareText 00b6 FmtStr 00d2 AnsiUpperCase 00dd @UStrAsg 00f7 @UStrArrayClr 00ff @UStrClr 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E0 89 4D E4 89 4D F0 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F8 8B 00 E8 ?? ?? ?? ?? BB 01 00 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 8B 45 FC 66 83 38 54 75 05 BB 02 00 00 00 8B C6 2B C3 83 F8 05 7C 2A 8D 45 F0 50 8B D6 83 EA 04 B9 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 03 83 EE 05 6A 00 8D 45 E4 50 8D 4E 01 2B CB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 8D 4D E8 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 B0 00 00 00 84 C0 75 18 8D 55 E0 8B 45 F4 8B 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 49 00 45 00 4C 00 44 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 28 00 25 00 73 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_5220_0 {
	meta:
		name = "TField.GetData"
		size = 192
		refs = "001b TField.GetData 0033 TField.GetDisplayName 0049 SDataSetMissing 004e LoadResString 0059 DatabaseErrorFmt 00ab @UStrArrayClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F4 89 5D F0 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 3C 00 75 32 6A 00 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 5A E8 ?? ?? ?? ?? 80 7E 4E 00 74 20 83 7E 68 01 1B DB 43 84 DB 74 27 85 FF 74 23 8B CF 8B 56 68 8B C6 8B 30 FF 96 A0 00 00 00 EB 12 53 8B CF 8B D6 8B 46 3C 8B 18 FF 93 94 02 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5224_0 {
	meta:
		name = "TField.GetDisplayName"
		size = 38
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 60 00 74 0D 8B C6 8B 53 60 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5225_0 {
	meta:
		name = "TField.GetDisplayText"
		size = 61
		refs = "0009 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 66 83 BB DA 00 00 00 00 74 15 6A 01 8B CE 8B D3 8B 83 DC 00 00 00 FF 93 D8 00 00 00 5E 5B C3 8B D6 B1 01 8B C3 8B 18 FF 93 B8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5226_0 {
	meta:
		name = "TField.GetDisplayWidth"
		size = 19
	strings:
		$1 = { 8B 50 5C 85 D2 7E 03 8B C2 C3 8B 10 FF 92 A4 00 00 00 C3 }
	condition:
		$1
}

rule function_5227_0 {
	meta:
		name = "TField.GetEditText"
		size = 61
		refs = "0009 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 66 83 BB DA 00 00 00 00 74 15 6A 00 8B CE 8B D3 8B 83 DC 00 00 00 FF 93 D8 00 00 00 5E 5B C3 8B D6 33 C9 8B C3 8B 18 FF 93 B8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5228_0 {
	meta:
		name = "TField.GetFieldNo"
		size = 94
	strings:
		$1 = { 53 56 8B D8 8B 73 58 83 BB A0 00 00 00 00 74 49 8B 03 FF 90 28 01 00 00 84 C0 75 3D 80 7B 4A 00 75 37 8B 43 54 85 C0 7E 04 03 F0 EB 2C 8B 9B A0 00 00 00 85 DB 74 22 83 7B 54 00 7E 12 8B C3 8B 10 FF 92 B4 00 00 00 40 F7 6B 54 03 F0 EB 0A 8B 9B A0 00 00 00 85 DB 75 DE 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5229_0 {
	meta:
		name = "TField.GetFullName"
		size = 52
		refs = "001b @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB A0 00 00 00 00 74 06 83 7B 3C 00 75 0D 8B C6 8B 53 40 E8 ?? ?? ?? ?? 5E 5B C3 8B CE 8B D3 8B 43 3C 8B 18 FF 93 6C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5230_0 {
	meta:
		name = "TField.GetHasConstraints"
		size = 38
	strings:
		$1 = { 53 8B D8 83 BB 88 00 00 00 00 75 16 83 BB 8C 00 00 00 00 75 0D 83 BB 94 00 00 00 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_5231_0 {
	meta:
		name = "TField.GetIndex"
		size = 60
		refs = "001b TList.IndexOf"
	strings:
		$1 = { 53 8B D8 8B 83 A0 00 00 00 85 C0 74 14 8B 10 FF 92 34 01 00 00 8B D3 8B 40 04 E8 ?? ?? ?? ?? 5B C3 8B 43 3C 85 C0 74 0F 8B 40 38 8B D3 8B 40 04 E8 ?? ?? ?? ?? EB 03 83 C8 FF 5B C3 }
	condition:
		$1
}

rule function_5232_0 {
	meta:
		name = "TField.GetIsIndexField"
		size = 35
	strings:
		$1 = { 56 8B 70 3C 85 F6 74 17 83 B8 A0 00 00 00 00 75 0E 8B D0 8B C6 8B 08 FF 91 74 01 00 00 5E C3 33 C0 5E C3 }
	condition:
		$1
}

rule function_5234_0 {
	meta:
		name = "TField.GetIsNull"
		size = 18
		refs = "000a TField.GetData"
	strings:
		$1 = { 53 8B D8 B1 01 33 D2 8B C3 E8 ?? ?? ?? ?? 34 01 5B C3 }
	condition:
		$1
}

rule function_5235_0 {
	meta:
		name = "TField.GetLookup"
		size = 8
	strings:
		$1 = { 80 78 4A 02 0F 94 C0 C3 }
	condition:
		$1
}

rule function_5236_0 {
	meta:
		name = "TField.GetLookupList"
		size = 40
	strings:
		$1 = { 53 8B D8 83 BB 80 00 00 00 00 75 14 8B C3 8B 10 FF 92 20 01 00 00 B2 01 FF 10 89 83 80 00 00 00 8B 83 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5237_0 {
	meta:
		name = "TField.GetText"
		size = 82
		refs = "000f TField.GetText 002c @UStrAsg 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 80 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5674_0 {
	meta:
		name = "TWideMemoField.GetAsVariant"
		size = 82
		refs = "000f TWideMemoField.GetAsVariant 002c @VarFromUStr 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 80 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5238_0 {
	meta:
		name = "TField.GetWideText"
		size = 96
		refs = "0018 TField.GetWideText 0039 @UStrAsg 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 88 4D FB 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 0F B6 4D FB 8B C6 8B 30 FF 96 B8 00 00 00 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5240_0 {
	meta:
		name = "TField.GetNewValue"
		size = 25
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B CB B2 07 8B 43 3C 8B 18 FF 93 70 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5241_0 {
	meta:
		name = "TField.GetOldValue"
		size = 25
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B CB B2 08 8B 43 3C 8B 18 FF 93 70 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5242_0 {
	meta:
		name = "TField.GetCurValue"
		size = 25
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B CB B2 09 8B 43 3C 8B 18 FF 93 70 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5243_0 {
	meta:
		name = "TField.GetParentComponent"
		size = 17
	strings:
		$1 = { 8B 90 A0 00 00 00 85 D2 74 03 8B C2 C3 8B 40 3C C3 }
	condition:
		$1
}

rule function_5244_0 {
	meta:
		name = "TField.SetParentComponent"
		size = 84
		refs = "0010 _DV_TObjectField 0015 @IsClass 0026 @AsClass 003c _DV_TDataSet"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 01 75 45 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 0C 01 00 00 EB 19 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 04 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5245_0 {
	meta:
		name = "TField.IsValidChar"
		size = 92
		refs = "000d TField.IsValidChar 0014 @SetEq"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 A4 00 00 00 BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 74 1B 8D 83 A4 00 00 00 8B D6 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 5E 5B C3 B0 01 5E 5B C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5246_0 {
	meta:
		name = "TField.IsDisplayLabelStored"
		size = 12
	strings:
		$1 = { 53 8B D8 83 7B 60 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_5247_0 {
	meta:
		name = "TField.IsDisplayWidthStored"
		size = 8
	strings:
		$1 = { 83 78 5C 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_5248_0 {
	meta:
		name = "TField.Notification"
		size = 39
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0A 3B 77 6C 75 05 33 C0 89 47 6C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5249_0 {
	meta:
		name = "TField.PropertyChanged"
		size = 52
		refs = "0011 TDataSet.GetActive 001f Events"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B 77 3C 85 F6 74 22 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 0F B6 C3 0F B6 90 ?? ?? ?? ?? 33 C9 8B 47 3C 8B 18 FF 93 E4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5250_0 {
	meta:
		name = "TField.ReadAttributeSet"
		size = 83
		refs = "000f TField.ReadAttributeSet 001f TReader.ReadString 002d @UStrAsg 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 84 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5251_0 {
	meta:
		name = "TField.ReadCalculated"
		size = 24
		refs = "0009 TReader.ReadBoolean"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 C6 43 4A 01 5E 5B C3 }
	condition:
		$1
}

rule function_5252_0 {
	meta:
		name = "TField.ReadLookup"
		size = 24
		refs = "0009 TReader.ReadBoolean"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 C6 43 4A 02 5E 5B C3 }
	condition:
		$1
}

rule function_5253_0 {
	meta:
		name = "TField.ReadState"
		size = 83
		refs = "000c TComponent.ReadState 0017 _DV_TObjectField 001c @IsClass 0036 _DV_TDataSet"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 7B 2C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C6 8B 08 FF 91 0C 01 00 00 EB 1D 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D7 8B C6 8B 08 FF 91 04 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5254_0 {
	meta:
		name = "TField.RefreshLookupList"
		size = 312
		refs = "0017 TField.RefreshLookupList 002d TDataSet.GetActive 0039 TField.ValidateLookupInfo 0054 TField.GetLookupList 0061 TDataSet.DisableControls 0077 TDataSet.First 0087 TDataSet.GetFieldValue 00b0 TDataSet.Next 00d1 TDataSet.EnableControls 00d7 @HandleFinally 011c Variant 0126 @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 6C 85 C0 0F 84 D5 00 00 00 E8 ?? ?? ?? ?? 88 45 FF B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 6C 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? EB 37 8D 4D E8 8B 53 78 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 4D D8 8B 53 74 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 D8 8B 83 80 00 00 00 59 8B 30 FF 56 04 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 A9 00 00 00 00 74 BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 FF 8B 45 F8 8B 08 FF 91 B4 01 00 00 C3 E9 ?? ?? ?? ?? EB E9 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5255_0 {
	meta:
		name = "TBCDField.SetAsBCD"
		size = 37
		refs = "000b BCDToCurr"
		altNames = "TField.SetAsBCD"
	strings:
		$1 = { 56 83 C4 F8 8B F0 8B C2 8B D4 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8B C6 8B 10 FF 92 CC 00 00 00 59 5A 5E C3 }
	condition:
		$1
}

rule function_5257_0 {
	meta:
		name = "TField.SetAsCurrency"
		size = 44
		refs = "000b TField.SetAsCurrency"
	strings:
		$1 = { 55 8B EC 56 8B F0 DF 6D 08 D8 35 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 8B 10 FF 92 D8 00 00 00 5E 5D C2 08 00 00 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_5258_0 {
	meta:
		name = "TField.SetAsDateTime"
		size = 68
		refs = "0008 TField.SetAsDateTime 0013 @CallDynaInst 0018 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 BA ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_5259_0 {
	meta:
		name = "TField.SetAsFloat"
		size = 60
		refs = "0008 TField.SetAsFloat 0013 @CallDynaInst 0018 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 BA ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 6C 00 6F 00 61 00 74 00 00 00 }
	condition:
		$1
}

rule function_5260_0 {
	meta:
		name = "TField.SetAsExtended"
		size = 31
	strings:
		$1 = { 55 8B EC 56 8B F0 DB 6D 08 83 C4 F8 DD 1C 24 9B 8B C6 8B 10 FF 92 D8 00 00 00 5E 5D C2 0C 00 }
	condition:
		$1
}

rule function_5262_0 {
	meta:
		name = "TField.SetAsLargeInt"
		size = 60
		refs = "0008 TField.SetAsLargeInt 0013 @CallDynaInst 0018 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 BA ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 74 00 36 00 34 00 00 00 }
	condition:
		$1
}

rule function_5263_0 {
	meta:
		name = "TField.SetAsSingle"
		size = 64
		refs = "0008 TField.SetAsSingle 0013 @CallDynaInst 0018 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 BA ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_5266_0 {
	meta:
		name = "TField.SetAsString"
		size = 56
		refs = "0005 TField.SetAsString 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_5267_0 {
	meta:
		name = "TField.SetAsWideString"
		size = 9
		altNames = "TField.SetText"
	strings:
		$1 = { 8B 08 FF 91 F0 00 00 00 C3 }
	condition:
		$1
}

rule function_5268_0 {
	meta:
		name = "TField.SetAsAnsiString"
		size = 82
		refs = "000f TField.SetAsAnsiString 001f @UStrFromLStr 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5337_0 {
	meta:
		name = "TStringField.SetVarValue"
		size = 82
		refs = "000f TStringField.SetVarValue 001f @VarToUStr 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5348_0 {
	meta:
		name = "TWideStringField.SetAsAnsiString"
		size = 82
		refs = "000f TWideStringField.SetAsAnsiString 001f @UStrFromLStr 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5269_0 {
	meta:
		name = "TField.SetAsBytes"
		size = 15
		refs = "0009 TField.SetData"
	strings:
		$1 = { 51 89 14 24 8B D4 33 C9 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_5270_0 {
	meta:
		name = "TField.SetAsVariant"
		size = 211
		refs = "001a TField.SetAsVariant 0027 VarIsNull 0062 @HandleOnException 006a _Dn_EVariantError 007b TField.GetDisplayName 0091 SFieldValueError 0096 LoadResString 00a1 DatabaseErrorFmt 00a6 @DoneExcept 00c0 @UStrArrayClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F0 89 4D EC 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 FC 8B 10 FF 92 24 01 00 00 EB 6E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC 8B 08 FF 91 1C 01 00 00 33 C0 5A 59 59 64 89 10 EB 49 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 6A 00 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5271_0 {
	meta:
		name = "TField.SetAsByteArray"
		size = 217
		refs = "0019 TField.SetAsByteArray 0026 VarIsArray 0031 VarArrayDimCount 0056 VarArrayHighBound 007b TField.GetDisplayName 0091 SInvalidVarByteArray 0096 LoadResString 00a1 DatabaseErrorFmt 00ac TField.SetData 00c6 @UStrArrayClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 8B C3 E8 ?? ?? ?? ?? 48 75 10 0F B7 03 66 25 FF 0F 66 83 F8 11 0F 94 C0 EB 02 33 C0 84 C0 74 1F 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F8 8B C6 8B 10 FF 92 9C 00 00 00 3B F8 0F 9E C0 EB 02 33 C0 84 C0 75 32 6A 00 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 5A E8 ?? ?? ?? ?? 8B D3 33 C9 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5272_0 {
	meta:
		name = "TField.SetAlignment"
		size = 16
		refs = "000b TField.PropertyChanged"
	strings:
		$1 = { 3A 50 4B 74 0A 88 50 4B 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5273_0 {
	meta:
		name = "TField.SetCalculated"
		size = 32
	strings:
		$1 = { 84 D2 74 0B B2 01 8B 08 FF 91 08 01 00 00 C3 80 78 4A 01 75 0A 33 D2 8B 08 FF 91 08 01 00 00 C3 }
	condition:
		$1
}

rule function_5274_0 {
	meta:
		name = "TField.SetData"
		size = 206
		refs = "001b TField.SetData 0037 TField.GetDisplayName 004d SDataSetMissing 0052 LoadResString 005d DatabaseErrorFmt 00a0 @HandleFinally 00bc @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F0 89 5D EC 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 3C 00 75 33 6A 00 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 45 FC 89 70 68 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 FC 8B 40 3C 8B CE 8B 55 FC 8B 18 FF 93 28 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 68 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5275_0 {
	meta:
		name = "TField.SetDataSet"
		size = 197
		refs = "003b TFields.CheckFieldName 0064 TFields.Remove 00ae TFields.Add"
	strings:
		$1 = { 56 57 55 8B FA 8B F0 8B 6E 3C 3B FD 0F 84 AF 00 00 00 85 ED 74 0A 8B C5 8B 10 FF 92 C4 00 00 00 85 FF 74 28 8B C7 8B 10 FF 92 C4 00 00 00 80 7E 4A 04 75 0D 8B 56 40 8B 47 3C E8 ?? ?? ?? ?? EB 0B 8B 56 40 8B 47 38 E8 ?? ?? ?? ?? 8B 86 A0 00 00 00 85 C0 74 1C 3B 78 3C 74 17 8B 80 F0 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 C0 89 86 A0 00 00 00 EB 23 8B 46 3C 85 C0 74 1C 80 7E 4A 04 75 0C 8B 40 3C 8B D6 E8 ?? ?? ?? ?? EB 0A 8B 40 38 8B D6 E8 ?? ?? ?? ?? 85 FF 74 25 83 BE A0 00 00 00 00 75 1C 80 7E 4A 04 75 0C 8B D6 8B 47 3C E8 ?? ?? ?? ?? EB 0A 8B D6 8B 47 38 E8 ?? ?? ?? ?? 89 7E 3C 5D 5F 5E C3 }
	condition:
		$1
}

rule function_5276_0 {
	meta:
		name = "TField.SetParentField"
		size = 173
		refs = "0048 TFields.CheckFieldName 0059 TFields.Add 006a TFields.Remove"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 3B BE A0 00 00 00 0F 84 94 00 00 00 8B 6E 3C 85 ED 74 0A 8B C5 8B 10 FF 92 C4 00 00 00 85 FF 74 4D 8B 6F 3C 85 ED 74 0A 8B C5 8B 10 FF 92 C4 00 00 00 8B C7 8B 10 FF 92 34 01 00 00 8B 56 40 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 34 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B 46 3C 85 C0 74 0A 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8B 47 3C 89 46 3C EB 11 8B 46 3C 85 C0 74 0A 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8B 9E A0 00 00 00 85 DB 74 11 8B C3 8B 10 FF 92 34 01 00 00 8B D6 E8 ?? ?? ?? ?? 89 BE A0 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5277_0 {
	meta:
		name = "TField.SetDataType"
		size = 4
		altNames = "TIWBaseHTML40Component.set_DoRefreshControl TIWHTMLControlImplementation.SetCursor TIWTemplateProcessorHTML.SetMasterFormTag TOleServer.SetAutoConnect"
	strings:
		$1 = { 88 50 48 C3 }
	condition:
		$1
}

rule function_5278_0 {
	meta:
		name = "TField.SetDisplayLabel"
		size = 119
		refs = "000e @UStrAddRef 0016 TField.SetDisplayLabel 0027 @UStrEqual 0031 @UStrClr 0049 @UStrAsg 0052 TField.PropertyChanged 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 53 40 E8 ?? ?? ?? ?? 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 43 60 8B 55 FC E8 ?? ?? ?? ?? 74 14 8D 43 60 8B 55 FC E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5279_0 {
	meta:
		name = "TField.SetDisplayWidth"
		size = 16
		refs = "000b TField.PropertyChanged"
	strings:
		$1 = { 3B 50 5C 74 0A 89 50 5C B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5280_0 {
	meta:
		name = "TField.SetEditMask"
		size = 28
		refs = "000c @UStrAsg 0015 TField.PropertyChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 64 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5281_0 {
	meta:
		name = "TField.SetEditText"
		size = 41
	strings:
		$1 = { 53 66 83 B8 E2 00 00 00 00 74 14 8B D8 8B CA 8B D0 8B 83 E4 00 00 00 FF 93 E0 00 00 00 5B C3 8B 08 FF 91 14 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5282_0 {
	meta:
		name = "TField.SetFieldKind"
		size = 119
		refs = "001b TFields.CheckFieldKind 0036 TDataSetDesigner.BeginDesign 003e TField.SetFieldKind 005c TDataSetDesigner.EndDesign 0062 @HandleFinally 006b TField.CheckInactive"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 3A 5E 4A 74 63 8B 46 44 85 C0 74 09 8B D3 8B CE E8 ?? ?? ?? ?? 8B 46 3C 85 C0 74 42 83 78 74 00 74 3C 8B 40 74 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 88 5E 4A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 E8 ?? ?? ?? ?? 88 5E 4A 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5283_0 {
	meta:
		name = "TField.SetFieldName"
		size = 105
		refs = "0009 TField.CheckInactive 0019 AnsiCompareText 0027 TFields.CheckFieldName 0031 @UStrAsg 0039 TNamedItem.HashName 0049 @UStrEqual 0053 @UStrClr 0062 TFields.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 3C 00 74 18 8B 53 40 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0A 8B D6 8B 43 44 E8 ?? ?? ?? ?? 8D 43 40 8B D6 E8 ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 89 83 E8 00 00 00 8B 43 60 8B D6 E8 ?? ?? ?? ?? 75 08 8D 43 60 E8 ?? ?? ?? ?? 8B 43 3C 85 C0 74 08 8B 40 38 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5285_0 {
	meta:
		name = "TField.SetIndex"
		size = 16
		refs = "000b TFields.SetFieldIndex"
	strings:
		$1 = { 8B 48 44 85 C9 74 08 91 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5286_0 {
	meta:
		name = "TField.SetLookup"
		size = 32
	strings:
		$1 = { 84 D2 74 0B B2 02 8B 08 FF 91 08 01 00 00 C3 80 78 4A 02 75 0A 33 D2 8B 08 FF 91 08 01 00 00 C3 }
	condition:
		$1
}

rule function_5287_0 {
	meta:
		name = "TField.SetLookupDataSet"
		size = 101
		refs = "000f TField.SetLookupDataSet 001c TField.CheckInactive 002d SCircularDataLink 0032 LoadResString 003c DatabaseError 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 F6 74 1C 3B 73 3C 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 89 73 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5288_0 {
	meta:
		name = "TField.SetLookupKeyFields"
		size = 26
		refs = "0009 TField.CheckInactive 0013 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 74 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14878_0 {
	meta:
		name = "TRDSConnection.SetComputerName"
		size = 26
		refs = "0009 TRDSConnection.CheckInactive 0013 @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 74 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5289_0 {
	meta:
		name = "TField.SetLookupResultField"
		size = 26
		refs = "0009 TField.CheckInactive 0013 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 78 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5290_0 {
	meta:
		name = "TField.SetKeyFields"
		size = 26
		refs = "0009 TField.CheckInactive 0013 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 70 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5291_0 {
	meta:
		name = "TField.SetNewValue"
		size = 19
	strings:
		$1 = { 53 52 8B C8 8B 40 3C B2 07 8B 18 FF 93 E0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5292_0 {
	meta:
		name = "TField.SetLookupCache"
		size = 19
		refs = "0009 TField.CheckInactive"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 88 5E 7C 5E 5B C3 }
	condition:
		$1
}

rule function_5293_0 {
	meta:
		name = "TField.CheckTypeSize"
		size = 98
		refs = "000f TField.CheckTypeSize 002d SInvalidFieldSize 0032 LoadResString 003c DatabaseError 0051 @UStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 23 8B C3 FF 90 28 01 00 00 84 C0 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5294_0 {
	meta:
		name = "TField.SetSize"
		size = 26
		refs = "0009 TField.CheckInactive"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 03 FF 50 44 89 73 50 5E 5B C3 }
	condition:
		$1
}

rule function_5295_0 {
	meta:
		name = "TAbstractTest.GetGUIObject"
		size = 4
		altNames = "TBoundLabel.GetWidth TDBXExecuteMessage.GetConnectionHandler TDdeMgr.GetDdeInstId TField.GetSize TIWBaseContainer.get_Width TIWVCLBaseControl.get_Width"
	strings:
		$1 = { 8B 40 50 C3 }
	condition:
		$1
}

rule function_5297_0 {
	meta:
		name = "TField.SetWideText"
		size = 9
	strings:
		$1 = { 8B 08 FF 91 14 01 00 00 C3 }
	condition:
		$1
}

rule function_5298_0 {
	meta:
		name = "TField.SetReadOnly"
		size = 16
		refs = "000b TField.PropertyChanged"
	strings:
		$1 = { 3A 50 49 74 0A 88 50 49 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5300_0 {
	meta:
		name = "TField.SetVisible"
		size = 16
		refs = "000b TField.PropertyChanged"
	strings:
		$1 = { 3A 50 4C 74 0A 88 50 4C B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5301_0 {
	meta:
		name = "TField.Validate"
		size = 107
		refs = "002f TField.Validate 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 66 83 B8 D2 00 00 00 00 74 52 8B 45 FC 83 78 68 00 75 06 8B 45 FC 89 50 68 8B 45 FC C6 40 4E 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 55 FC 8B 83 D4 00 00 00 FF 93 D0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 4E 00 C3 E9 ?? ?? ?? ?? EB F1 5B 59 5D C3 }
	condition:
		$1
}

rule function_5302_0 {
	meta:
		name = "TField.ValidateLookupInfo"
		size = 200
		refs = "0018 TField.ValidateLookupInfo 0046 TField.GetDisplayName 005c SLookupInfoError 0061 LoadResString 006c DatabaseErrorFmt 0077 TFields.CheckFieldNames 0083 TDataSet.Open 009c TDataSet.FieldByName 00b6 @UStrArrayClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F4 89 4D F0 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 12 83 7E 6C 00 74 12 83 7E 74 00 74 0C 83 7E 78 00 74 06 83 7E 70 00 75 32 6A 00 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 5A E8 ?? ?? ?? ?? 8B 56 70 8B 46 44 E8 ?? ?? ?? ?? 84 DB 74 21 8B 46 6C E8 ?? ?? ?? ?? 8B 46 6C 8B 40 38 8B 56 74 E8 ?? ?? ?? ?? 8B 56 78 8B 46 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5303_0 {
	meta:
		name = "TField.WriteAttributeSet"
		size = 13
		refs = "0008 TWriter.WriteString"
	strings:
		$1 = { 8B 80 84 00 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5304_0 {
	meta:
		name = "TField.WriteCalculated"
		size = 10
		refs = "0005 TWriter.WriteBoolean"
		altNames = "TField.WriteLookup"
	strings:
		$1 = { 8B C2 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69659_0 {
	meta:
		name = "GetLocaleDirectory$939$ActRec.$0$Body"
		size = 10
		refs = "0005 DirectoryExists"
	strings:
		$1 = { 8B C2 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69657_0 {
	meta:
		name = "LocaleDirectoryExists$937$ActRec.$0$Body"
		size = 10
		refs = "0005 DirectoryExists"
	strings:
		$1 = { 8B C2 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5306_0 {
	meta:
		name = "TField.SetAutoGenerateValue"
		size = 19
		refs = "0009 TField.CheckInactive"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 88 5E 38 5E 5B C3 }
	condition:
		$1
}

rule function_5307_0 {
	meta:
		name = "TField.GetLookupListClass"
		size = 29
		refs = "0017 DefaultLookupListClass"
	strings:
		$1 = { 56 8B 70 3C 85 F6 74 0E 8B D0 8B C6 8B 08 FF 91 AC 00 00 00 5E C3 A1 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_5308_0 {
	meta:
		name = "TStringField.Create"
		size = 102
		refs = "000d @ClassCreate 001b TField.Create 0052 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 01 8B C3 8B 10 FF 92 B4 00 00 00 85 C0 75 0F BA 14 00 00 00 8B C3 8B 08 FF 91 10 01 00 00 C6 83 F1 00 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5309_0 {
	meta:
		name = "TStringField.CheckTypeSize"
		size = 78
		refs = "0009 TStringField.CheckTypeSize 001b SInvalidFieldSize 0020 LoadResString 002a DatabaseError 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 D2 7D 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_30172_0 {
	meta:
		name = "TIBStringField.CheckTypeSize"
		size = 78
		refs = "0009 TIBStringField.CheckTypeSize 001b SInvalidFieldSize 0020 LoadResString 002a DatabaseError 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 D2 7D 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_5338_0 {
	meta:
		name = "TWideStringField.CheckTypeSize"
		size = 78
		refs = "0009 TWideStringField.CheckTypeSize 001b SInvalidFieldSize 0020 LoadResString 002a DatabaseError 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 D2 7D 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_5310_0 {
	meta:
		name = "TStringField.GetAsBCD"
		size = 82
		refs = "000f TStringField.GetAsBCD 002c StrToBcd 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 80 00 00 00 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5318_0 {
	meta:
		name = "TStringField.GetAsSQLTimeStamp"
		size = 82
		refs = "000f TStringField.GetAsSQLTimeStamp 002c StrToSQLTimeStamp 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 80 00 00 00 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5311_0 {
	meta:
		name = "TStringField.GetAsBoolean"
		size = 144
		refs = "000c TStringField.GetAsBoolean 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 88 00 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 16 B8 ?? ?? ?? ?? 8B 55 FC 0F B6 12 0F B6 D2 0F A3 10 0F 92 C0 EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 00 00 00 00 00 00 00 10 02 00 00 10 02 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5312_0 {
	meta:
		name = "TStringField.GetAsDateTime"
		size = 108
		refs = "0012 TStringField.GetAsDateTime 002b CurrencyString 0033 StrToDateTime 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 80 00 00 00 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DD 5D E8 9B 8B 45 E8 89 45 F0 8B 45 EC 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5313_0 {
	meta:
		name = "TStringField.GetAsFloat"
		size = 103
		refs = "0012 TStringField.GetAsFloat 002b CurrencyString 0033 StrToFloat 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 80 00 00 00 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D E0 9B DB 6D E0 DD 5D F0 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5314_0 {
	meta:
		name = "TStringField.GetAsExtended"
		size = 116
		refs = "0012 TStringField.GetAsExtended 002b CurrencyString 0033 StrToFloat 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 80 00 00 00 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D E0 9B 8B 45 E0 89 45 F0 8B 45 E4 89 45 F4 66 8B 45 E8 66 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DB 6D F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5315_0 {
	meta:
		name = "TStringField.GetAsInteger"
		size = 80
		refs = "000c TStringField.GetAsInteger 0027 StrToInt 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 80 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5316_0 {
	meta:
		name = "TStringField.GetAsLargeInt"
		size = 95
		refs = "0012 TStringField.GetAsLargeInt 002d StrToInt64 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 91 80 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5317_0 {
	meta:
		name = "TStringField.GetAsSingle"
		size = 103
		refs = "0012 TStringField.GetAsSingle 002b CurrencyString 0033 StrToFloat 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 80 00 00 00 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D E0 9B DB 6D E0 D9 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 D9 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5319_0 {
	meta:
		name = "TStringField.GetAsString"
		size = 82
		refs = "000f TStringField.GetAsString 002c @UStrFromLStr 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 88 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5632_0 {
	meta:
		name = "TBlobField.GetAsString"
		size = 82
		refs = "000f TBlobField.GetAsString 002c @UStrFromLStr 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 88 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5666_0 {
	meta:
		name = "TMemoField.GetAsString"
		size = 82
		refs = "000f TMemoField.GetAsString 002c @UStrFromLStr 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 88 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5667_0 {
	meta:
		name = "TMemoField.GetAsVariant"
		size = 82
		refs = "000f TMemoField.GetAsVariant 002c @VarFromLStr 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 88 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5668_0 {
	meta:
		name = "TMemoField.GetAsWideString"
		size = 82
		refs = "000f TMemoField.GetAsWideString 002c @UStrFromLStr 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 88 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5320_0 {
	meta:
		name = "TStringField.GetAsAnsiString"
		size = 29
		refs = "000b TStringField.GetValue 0016 @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30173_0 {
	meta:
		name = "TIBStringField.GetAsString"
		size = 29
		refs = "000b TIBStringField.GetValue 0016 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5321_0 {
	meta:
		name = "TStringField.GetAsVariant"
		size = 92
		refs = "000f TStringField.GetAsVariant 001f TStringField.GetValue 002d @VarFromLStr 0036 Null 004b @LStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30174_0 {
	meta:
		name = "TIBStringField.GetAsVariant"
		size = 92
		refs = "000f TIBStringField.GetAsVariant 001f TIBStringField.GetValue 002d @VarFromUStr 0036 Null 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5343_0 {
	meta:
		name = "TWideStringField.GetAsVariant"
		size = 92
		refs = "000f TWideStringField.GetAsVariant 001f TWideStringField.GetValue 002d @VarFromUStr 0036 Null 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5322_0 {
	meta:
		name = "TStringField.GetDataSize"
		size = 16
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 B4 00 00 00 40 5B C3 }
	condition:
		$1
}

rule function_5323_0 {
	meta:
		name = "TBytesField.GetDataSize"
		size = 9
		altNames = "TCustomAdapter.NotifyActivate TCustomDataSetAdapterField.GetNeedPrevValue TStringField.GetDefaultWidth"
	strings:
		$1 = { 8B 10 FF 92 B4 00 00 00 C3 }
	condition:
		$1
}

rule function_5324_0 {
	meta:
		name = "TStringField.GetText"
		size = 145
		refs = "0016 TStringField.GetText 0041 FormatMaskText 004b @UStrAsg 007e @UStrArrayClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 2D 83 7F 64 00 74 27 8D 55 F8 8B C7 8B 08 FF 91 80 00 00 00 8B 55 F8 8D 4D FC 8B 47 64 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 17 8D 55 F4 8B C7 8B 08 FF 91 80 00 00 00 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5345_0 {
	meta:
		name = "TWideStringField.GetText"
		size = 145
		refs = "0016 TWideStringField.GetText 0041 FormatMaskText 004b @UStrAsg 007e @UStrArrayClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 2D 83 7F 64 00 74 27 8D 55 F8 8B C7 8B 08 FF 91 80 00 00 00 8B 55 F8 8D 4D FC 8B 47 64 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 17 8D 55 F4 8B C7 8B 08 FF 91 80 00 00 00 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5325_0 {
	meta:
		name = "TStringField.GetValue"
		size = 267
		refs = "002a TStringField.GetValue 0057 @LStrSetLength 005f @LStrToPChar 006c TField.GetData 007c @PCharLen 00df @LStrFromPChar 00f4 @LStrClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 F8 53 56 57 33 C9 89 4D FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 10 FF 92 9C 00 00 00 3D 01 20 00 00 7E 52 8B C7 8B 10 FF 92 9C 00 00 00 8B D0 8D 45 FC 33 C9 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 B1 01 8B D6 8B C7 E8 ?? ?? ?? ?? 88 45 F7 80 7D F7 00 74 32 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 33 C9 92 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 EB 14 8D B5 F6 DF FF FF B1 01 8B D6 8B C7 E8 ?? ?? ?? ?? 88 45 F7 80 7D F7 00 74 32 80 BF F1 00 00 00 00 74 1A 85 F6 74 16 80 3E 00 74 11 6A 00 8B CE 8B D6 8B 47 3C 8B 18 FF 93 B8 02 00 00 8B 45 F8 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5326_0 {
	meta:
		name = "TStringField.SetAsBCD"
		size = 82
		refs = "000f TStringField.SetAsBCD 001f BcdToStr 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5761_0 {
	meta:
		name = "TGuidField.SetAsGuid"
		size = 82
		refs = "000f TGuidField.SetAsGuid 001f GUIDToString 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5331_0 {
	meta:
		name = "TStringField.SetAsInteger"
		size = 82
		refs = "000f TStringField.SetAsInteger 001f IntToStr 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5327_0 {
	meta:
		name = "TStringField.SetAsBoolean"
		size = 95
		refs = "000f TStringField.SetAsBoolean 0022 Values 002c @LStrFromString 004e @LStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 0F B6 D3 8D 14 55 ?? ?? ?? ?? B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 91 F8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5328_0 {
	meta:
		name = "TStringField.SetAsDateTime"
		size = 108
		refs = "0012 TStringField.SetAsDateTime 0032 CurrencyString 0037 DateTimeToStr 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5329_0 {
	meta:
		name = "TStringField.SetAsFloat"
		size = 108
		refs = "0012 TStringField.SetAsFloat 0032 CurrencyString 0037 FloatToStr 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5330_0 {
	meta:
		name = "TStringField.SetAsExtended"
		size = 121
		refs = "0012 TStringField.SetAsExtended 003f CurrencyString 0044 FloatToStr 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 66 8B 45 10 66 89 45 F8 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_5332_0 {
	meta:
		name = "TStringField.SetAsLargeInt"
		size = 84
		refs = "000c TStringField.SetAsLargeInt 0020 IntToStr 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5333_0 {
	meta:
		name = "TStringField.SetAsSingle"
		size = 108
		refs = "0012 TStringField.SetAsSingle 0032 CurrencyString 0037 FloatToStr 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 D9 45 08 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5334_0 {
	meta:
		name = "TStringField.SetAsSQLTimeStamp"
		size = 84
		refs = "000f TStringField.SetAsSQLTimeStamp 0021 SQLTimeStampToStr 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 33 C0 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5335_0 {
	meta:
		name = "TStringField.SetAsString"
		size = 87
		refs = "000f TStringField.SetAsString 0024 @LStrFromUStr 0046 @LStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 F8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5656_0 {
	meta:
		name = "TBlobField.SetAsString"
		size = 87
		refs = "000f TBlobField.SetAsString 0024 @LStrFromUStr 0046 @LStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 F8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5669_0 {
	meta:
		name = "TMemoField.SetAsString"
		size = 87
		refs = "000f TMemoField.SetAsString 0024 @LStrFromUStr 0046 @LStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 F8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5670_0 {
	meta:
		name = "TMemoField.SetAsWideString"
		size = 87
		refs = "000f TMemoField.SetAsWideString 0024 @LStrFromUStr 0046 @LStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 F8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5336_0 {
	meta:
		name = "TStringField.SetAsAnsiString"
		size = 231
		refs = "0029 TStringField.SetAsAnsiString 0047 @LStrToPChar 004c @PCharLen 0059 @LStrSetLength 009a StrLCopy 00bf TField.SetData 00d4 @LStrClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 9C 00 00 00 3D 01 20 00 00 7E 34 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 50 01 8D 45 FC 33 C9 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 13 8D B5 F7 DF FF FF 8B C3 8B 10 FF 92 B4 00 00 00 89 45 F8 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 80 BB F1 00 00 00 00 74 11 6A 01 8B CE 8B D6 8B 43 3C 8B 38 FF 97 B8 02 00 00 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5339_0 {
	meta:
		name = "TWideStringField.Create"
		size = 66
		refs = "000d @ClassCreate 001b TStringField.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 18 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5340_0 {
	meta:
		name = "TWideStringField.CopyData"
		size = 8
		refs = "0003 StrCopy"
	strings:
		$1 = { 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5342_0 {
	meta:
		name = "TWideStringField.GetAsString"
		size = 92
		refs = "000f TWideStringField.GetAsString 001f TWideStringField.GetValue 002a @UStrClr 0036 @UStrAsg 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B C6 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5346_0 {
	meta:
		name = "TWideStringField.GetValue"
		size = 190
		refs = "0029 TWideStringField.GetValue 0061 :TWideStringField.:1 0066 @DynArraySetLength 007f TField.GetData 008e @UStrFromPWChar 00a9 @DynArrayClear 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 FC 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 9C 00 00 00 3D 02 20 00 00 7E 2E 8B C3 8B 10 FF 92 9C 00 00 00 D1 F8 79 03 83 D0 00 40 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 75 FC EB 06 8D B5 FA DF FF FF 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 84 DB 74 09 8B C7 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5347_0 {
	meta:
		name = "TWideStringField.GetDataSize"
		size = 18
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 B4 00 00 00 40 03 C0 5B C3 }
	condition:
		$1
}

rule function_5349_0 {
	meta:
		name = "TWideStringField.SetAsString"
		size = 27
		refs = "0009 @UStrToPWChar 0014 TField.SetData"
		altNames = "TWideStringField.SetAsWideString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5351_0 {
	meta:
		name = "TWideStringField.SetVarValue"
		size = 82
		refs = "000f TWideStringField.SetVarValue 001f @VarToUStr 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 F4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5675_0 {
	meta:
		name = "TWideMemoField.SetAsAnsiString"
		size = 82
		refs = "000f TWideMemoField.SetAsAnsiString 001f @UStrFromLStr 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 F4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5677_0 {
	meta:
		name = "TWideMemoField.SetVarValue"
		size = 82
		refs = "000f TWideMemoField.SetVarValue 001f @VarToUStr 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 F4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5353_0 {
	meta:
		name = "TNumericField.RangeError"
		size = 155
		refs = "0015 TNumericField.RangeError 0031 TField.GetDisplayName 005b SFieldRangeError 0060 LoadResString 006e DatabaseErrorFmt 0088 @UStrArrayClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 D2 89 55 DC 89 55 D8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 20 89 45 E0 C6 45 E4 03 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E8 C6 45 EC 11 8D 45 14 89 45 F0 C6 45 F4 03 8D 45 08 89 45 F8 C6 45 FC 03 8D 45 E0 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 03 00 00 00 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule function_5354_0 {
	meta:
		name = "TDateTimeField.SetDisplayFormat"
		size = 46
		refs = "000f @UStrEqual 001e @UStrAsg 0027 TField.PropertyChanged"
		altNames = "TNumericField.SetDisplayFormat TSQLTimeStampField.SetDisplayFormat"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 F0 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 16 8D 83 F0 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5355_0 {
	meta:
		name = "TNumericField.SetEditFormat"
		size = 46
		refs = "000f @UStrEqual 001e @UStrAsg 0027 TField.PropertyChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 F4 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 16 8D 83 F4 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5356_0 {
	meta:
		name = "TIntegerField.Create"
		size = 140
		refs = "000f @ClassCreate 001d TNumericField.Create 0042 TIntegerField.Create 0056 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 03 C7 83 F8 00 00 00 00 00 00 80 C7 83 FC 00 00 00 FF FF FF 7F 8D BB A4 00 00 00 BE ?? ?? ?? ?? B9 08 00 00 00 F3 A5 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 00 00 00 00 00 28 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5357_0 {
	meta:
		name = "TIntegerField.CheckRange"
		size = 75
		refs = "003f TNumericField.RangeError"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 57 8B F0 8B 7D 08 3B CA 7F 04 3B FA 7D 2E 89 55 FC DB 45 FC 83 C4 F4 DB 3C 24 9B 89 4D F8 DB 45 F8 83 C4 F4 DB 3C 24 9B 89 7D F4 DB 45 F4 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5358_0 {
	meta:
		name = "TIntegerField.GetAsFloat"
		size = 33
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 8B 10 FF 52 70 89 44 24 08 DB 44 24 08 DD 1C 24 9B DD 04 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_5359_0 {
	meta:
		name = "TIntegerField.GetAsInteger"
		size = 31
	strings:
		$1 = { 53 51 8B D8 8B D4 8B C3 8B 08 FF 91 34 01 00 00 84 C0 75 05 33 C0 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_5360_0 {
	meta:
		name = "TIntegerField.GetAsLargeInt"
		size = 32
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 52 70 99 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_5361_0 {
	meta:
		name = "TIntegerField.GetAsSingle"
		size = 32
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 52 70 89 44 24 04 DB 44 24 04 D9 1C 24 9B D9 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_5362_0 {
	meta:
		name = "TIntegerField.GetAsString"
		size = 46
		refs = "001d IntToStr 0026 @UStrClr"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C3 8B 08 FF 91 34 01 00 00 84 C0 74 0C 8B D6 8B 04 24 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5363_0 {
	meta:
		name = "TIntegerField.GetAsVariant"
		size = 48
		refs = "001f @VarFromInt 0028 Null"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C3 8B 08 FF 91 34 01 00 00 84 C0 74 0E 8B C6 8B 14 24 B1 FC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5364_0 {
	meta:
		name = "TDateField.GetDataSize"
		size = 6
		altNames = "TDragDockObject.GetFrameWidth TEncodingInfoAmiga1251.AliasCount TEncodingInfoGBK.AliasCount TEncodingInfoHPRoman8.AliasCount TEncodingInfoIBM00858.AliasCount TEncodingInfoIBM00924.AliasCount TEncodingInfoIBM01140.AliasCount TEncodingInfoIBM01141.AliasCount TEncodingInfoIBM01144.AliasCount TEncodingInfoIBM01145.AliasCount TEncodingInfoIBM01146.AliasCount TEncodingInfoIBM01147.AliasCount TEncodingInfoIBM01148.AliasCount TEncodingInfoIBM01149.AliasCount TEncodingInfoIBM038.AliasCount TEncodingInfoIBM274.AliasCount TEncodingInfoIBM275.AliasCount TEncodingInfoIBM277.AliasCount TEncodingInfoIBM280.AliasCount TEncodingInfoIBM281.AliasCount TEncodingInfoIBM284.AliasCount TEncodingInfoIBM285.AliasCount TEncodingInfoIBM290.AliasCount TEncodingInfoIBM297.AliasCount TEncodingInfoIBM420.AliasCount TEncodingInfoIBM423.AliasCount TEncodingInfoIBM424.AliasCount TEncodingInfoIBM851.AliasCount TEncodingInfoIBM855.AliasCount TEncodingInfoIBM857.AliasCount TEncodingInfoIBM860.AliasCount TEncodingInfoIBM863.AliasCount TEncodingInfoIBM865.AliasCount TEncodingInfoIBM866.AliasCount TEncodingInfoIBM868.AliasCount TEncodingInfoIBM871.AliasCount TEncodingInfoIBM880.AliasCount TEncodingInfoIBM904.AliasCount TEncodingInfoIBM905.AliasCount TEncodingInfoIBM918.AliasCount TEncodingInfoISO103T618bit.AliasCount TEncodingInfoISO115481.AliasCount TEncodingInfoISO146Serbian.AliasCount TEncodingInfoISO147Macedonian.AliasCount TEncodingInfoISO150GreekCCITT.AliasCount TEncodingInfoISO153GOST1976874.AliasCount TEncodingInfoISO158Lap.AliasCount TEncodingInfoISO159JISX02121990.AliasCount TEncodingInfoISO15Italian.AliasCount TEncodingInfoISO16Portuguese.AliasCount TEncodingInfoISO17Spanish.AliasCount TEncodingInfoISO2033.AliasCount TEncodingInfoISO25French.AliasCount TEncodingInfoISO2Int1RefVersion.AliasCount TEncodingInfoISO58GB231280.AliasCount TEncodingInfoISO84Portuguese2.AliasCount TEncodingInfoISO85Spanish2.AliasCount TEncodingInfoISO885913.AliasCount TEncodingInfoISO8859Supp.AliasCount TEncodingInfoISO91JISC62291984a.AliasCount TEncodingInfoISO93JIS62291984badd.AliasCount TEncodingInfoISO94JIS62291984hand.AliasCount TEncodingInfoISO95JIS62291984handadd.AliasCount TEncodingInfoISO96JISC62291984kana.AliasCount TEncodingInfoIsoLatin1.MIBenum TEncodingInfoKZ1048.AliasCount TEncodingInfoPC850Multilingual.AliasCount TEncodingInfoPC862LatinHebrew.AliasCount TEncodingInfoPCp852.AliasCount TIntegerField.GetDataSize TJSONNull.EstimatedByteSize TJSONTrue.EstimatedByteSize TLongWordField.GetDataSize TRttiType.GetTypeSize TSingleField.GetDataSize TTimeField.GetDataSize"
	strings:
		$1 = { B8 04 00 00 00 C3 }
	condition:
		$1
}

rule function_5365_0 {
	meta:
		name = "TIntegerField.GetIsNull"
		size = 28
	strings:
		$1 = { 53 51 8B D8 C7 04 24 FF FF FF FF 8B D4 8B C3 8B 08 FF 91 34 01 00 00 34 01 5A 5B C3 }
	condition:
		$1
}

rule function_5366_0 {
	meta:
		name = "TIntegerField.GetText"
		size = 250
		refs = "0021 TIntegerField.GetText 0057 @UStrLAsg 0078 IntToStr 0082 @UStrAsg 00aa CurrencyString 00b2 FormatFloat 00c5 @UStrClr 00e7 @UStrArrayClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D FC 89 5D F8 89 5D F4 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C7 8B 08 FF 91 34 01 00 00 84 C0 0F 84 82 00 00 00 84 DB 75 09 83 BF F4 00 00 00 00 75 10 8D 45 FC 8B 97 F0 00 00 00 E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 97 F4 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 17 8D 55 DC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 DC 8B C6 E8 ?? ?? ?? ?? EB 41 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? DB 45 F0 DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 4D F4 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C6 8B 55 F4 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5367_0 {
	meta:
		name = "TIntegerField.GetValue"
		size = 108
		refs = "0013 TField.GetData"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 33 C0 89 04 24 8B D4 B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4D 0F B6 53 48 83 FA 2A 7F 0E 74 36 83 EA 02 74 21 83 EA 02 74 24 EB 31 83 EA 2B 74 05 4A 74 0A EB 27 0F BE 14 24 89 16 EB 24 0F B6 14 24 89 16 EB 1C 0F BF 14 24 89 16 EB 14 0F B7 14 24 89 16 EB 0C 8B 14 24 89 16 EB 05 8B 14 24 89 16 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5368_0 {
	meta:
		name = "TIntegerField.SetAsFloat"
		size = 31
		refs = "000a @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 45 08 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 E0 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5369_0 {
	meta:
		name = "TIntegerField.SetAsInteger"
		size = 86
		refs = "002a TIntegerField.CheckRange 004f TField.SetData"
	strings:
		$1 = { 53 51 89 14 24 8B D8 8B 83 00 01 00 00 85 C0 75 09 83 BB 04 01 00 00 00 74 16 8B 93 04 01 00 00 52 8B C8 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? EB 18 8B 83 FC 00 00 00 50 8B 8B F8 00 00 00 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B D4 B1 01 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_5391_0 {
	meta:
		name = "TLongWordField.SetAsLongWord"
		size = 86
		refs = "002a TLongWordField.CheckRange 004f TField.SetData"
	strings:
		$1 = { 53 51 89 14 24 8B D8 8B 83 00 01 00 00 85 C0 75 09 83 BB 04 01 00 00 00 74 16 8B 93 04 01 00 00 52 8B C8 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? EB 18 8B 83 FC 00 00 00 50 8B 8B F8 00 00 00 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B D4 B1 01 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_5370_0 {
	meta:
		name = "TIntegerField.SetAsLargeInt"
		size = 18
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 08 FF 91 E0 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_5371_0 {
	meta:
		name = "TIntegerField.SetAsSingle"
		size = 31
		refs = "000a @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 D9 45 08 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 E0 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_5372_0 {
	meta:
		name = "TIntegerField.SetAsString"
		size = 182
		refs = "0019 TIntegerField.SetAsString 0039 @ValLong 0054 TField.GetDisplayName 006a SInvalidIntegerValue 006f LoadResString 007d DatabaseErrorFmt 00a3 @UStrArrayClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E8 89 4D E4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 0C 8B C3 8B 10 FF 92 24 01 00 00 EB 5A 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B F8 83 7D FC 00 74 3C 6A 00 89 75 EC C6 45 F0 11 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 C6 45 F8 11 8D 45 EC 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B D7 8B C3 8B 08 FF 91 E0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5373_0 {
	meta:
		name = "TIntegerField.SetMaxValue"
		size = 37
		refs = "0018 TIntegerField.CheckRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 FC 00 00 00 50 8B 8B F8 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 89 B3 04 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5394_0 {
	meta:
		name = "TLongWordField.SetMaxValue"
		size = 37
		refs = "0018 TLongWordField.CheckRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 FC 00 00 00 50 8B 8B F8 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 89 B3 04 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5374_0 {
	meta:
		name = "TIntegerField.SetMinValue"
		size = 37
		refs = "0018 TIntegerField.CheckRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 FC 00 00 00 50 8B 8B F8 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 89 B3 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5395_0 {
	meta:
		name = "TLongWordField.SetMinValue"
		size = 37
		refs = "0018 TLongWordField.CheckRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 FC 00 00 00 50 8B 8B F8 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 89 B3 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5375_0 {
	meta:
		name = "TIntegerField.SetVarValue"
		size = 28
		refs = "0009 @VarToInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 E0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5376_0 {
	meta:
		name = "TLongWordField.Create"
		size = 140
		refs = "000f @ClassCreate 001d TNumericField.Create 0040 TLongWordField.Create 0054 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 2A 33 C0 89 83 F8 00 00 00 C7 83 FC 00 00 00 FF FF FF FF 8D BB A4 00 00 00 BE ?? ?? ?? ?? B9 08 00 00 00 F3 A5 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 00 00 00 00 00 00 00 08 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5377_0 {
	meta:
		name = "TLongWordField.CheckRange"
		size = 90
		refs = "004e TNumericField.RangeError"
	strings:
		$1 = { 55 8B EC 83 C4 E8 56 57 8B F0 8B 7D 08 3B CA 77 04 3B FA 73 3D 89 55 F8 33 C0 89 45 FC DF 6D F8 83 C4 F4 DB 3C 24 9B 89 4D F0 33 C0 89 45 F4 DF 6D F0 83 C4 F4 DB 3C 24 9B 89 7D E8 33 C0 89 45 EC DF 6D E8 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5378_0 {
	meta:
		name = "TLongWordField.GetAsFloat"
		size = 42
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 8B 10 FF 92 34 01 00 00 89 44 24 08 33 C0 89 44 24 0C DF 6C 24 08 DD 1C 24 9B DD 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_5379_0 {
	meta:
		name = "TLongWordField.GetAsInteger"
		size = 92
		refs = "0050 TNumericField.RangeError"
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B D4 8B C3 8B 08 FF 91 38 01 00 00 84 C0 75 07 33 C0 89 04 24 EB 37 81 3C 24 FF FF FF 7F 76 2E 8B 04 24 89 44 24 04 33 C0 89 44 24 08 DF 6C 24 04 83 C4 F4 DB 3C 24 9B 6A 00 6A 00 6A 00 68 1D 40 00 00 6A FE 6A 00 8B C3 E8 ?? ?? ?? ?? 8B 04 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_5380_0 {
	meta:
		name = "TLongWordField.GetAsLargeInt"
		size = 55
	strings:
		$1 = { 53 83 C4 F4 8B D8 8D 54 24 08 8B C3 8B 08 FF 91 38 01 00 00 84 C0 75 06 33 C0 89 44 24 08 8B 44 24 08 33 D2 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_5381_0 {
	meta:
		name = "TLongWordField.GetAsLongWord"
		size = 31
	strings:
		$1 = { 53 51 8B D8 8B D4 8B C3 8B 08 FF 91 38 01 00 00 84 C0 75 05 33 C0 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_5382_0 {
	meta:
		name = "TLongWordField.GetAsSingle"
		size = 42
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 8B 10 FF 92 34 01 00 00 89 44 24 04 33 C0 89 44 24 08 DF 6C 24 04 D9 1C 24 9B D9 04 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_5383_0 {
	meta:
		name = "TLongWordField.GetAsString"
		size = 46
		refs = "001d UIntToStr 0026 @UStrClr"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C3 8B 08 FF 91 38 01 00 00 84 C0 74 0C 8B D6 8B 04 24 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5384_0 {
	meta:
		name = "TLongWordField.GetAsVariant"
		size = 48
		refs = "001f @VarFromInt 0028 Null"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C3 8B 08 FF 91 38 01 00 00 84 C0 74 0E 8B C6 8B 14 24 B1 04 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5386_0 {
	meta:
		name = "TLongWordField.GetText"
		size = 261
		refs = "0021 TLongWordField.GetText 0057 @UStrLAsg 0078 UIntToStr 0082 @UStrAsg 00b5 CurrencyString 00bd FormatFloat 00d0 @UStrClr 00f2 @UStrArrayClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D DC 89 5D FC 89 5D F8 89 5D F4 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C7 8B 08 FF 91 38 01 00 00 84 C0 0F 84 8D 00 00 00 84 DB 75 09 83 BF F4 00 00 00 00 75 10 8D 45 FC 8B 97 F0 00 00 00 E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 97 F4 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 17 8D 55 DC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 DC 8B C6 E8 ?? ?? ?? ?? EB 4C 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F0 89 45 D4 33 C0 89 45 D8 DF 6D D4 DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 4D F4 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C6 8B 55 F4 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5387_0 {
	meta:
		name = "TLongWordField.GetValue"
		size = 22
		refs = "0008 TField.GetData"
	strings:
		$1 = { 53 8B DA 8B D3 B1 01 E8 ?? ?? ?? ?? 84 C0 75 04 33 D2 89 13 5B C3 }
	condition:
		$1
}

rule function_5388_0 {
	meta:
		name = "TLongWordField.SetAsFloat"
		size = 31
		refs = "000a @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 45 08 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 3C 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5389_0 {
	meta:
		name = "TLongWordField.SetAsInteger"
		size = 242
		refs = "005f TNumericField.RangeError 0077 TLongWordField.CheckRange 00e9 TField.SetData"
	strings:
		$1 = { 53 83 C4 EC 89 14 24 8B D8 8B 83 00 01 00 00 85 C0 75 09 83 BB 04 01 00 00 00 74 61 83 3C 24 00 7D 41 DB 04 24 83 C4 F4 DB 3C 24 9B 89 44 24 10 33 C0 89 44 24 14 DF 6C 24 10 83 C4 F4 DB 3C 24 9B 8B 83 04 01 00 00 89 44 24 24 33 C0 89 44 24 28 DF 6C 24 24 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B 83 04 01 00 00 50 8B 8B 00 01 00 00 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? EB 65 83 3C 24 00 7D 47 DB 04 24 83 C4 F4 DB 3C 24 9B 8B 83 F8 00 00 00 89 44 24 10 33 C0 89 44 24 14 DF 6C 24 10 83 C4 F4 DB 3C 24 9B 8B 83 FC 00 00 00 89 44 24 24 33 C0 89 44 24 28 DF 6C 24 24 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B 83 FC 00 00 00 50 8B 8B F8 00 00 00 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B D4 B1 01 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5B C3 }
	condition:
		$1
}

rule function_5390_0 {
	meta:
		name = "TLongWordField.SetAsLargeInt"
		size = 251
		refs = "0063 TNumericField.RangeError 007a TLongWordField.CheckRange 00f0 TField.SetData"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 8B 8B 00 01 00 00 85 C9 75 09 83 BB 04 01 00 00 00 74 64 83 7D 0C 00 75 08 83 7D 08 00 73 3F EB 02 7D 3B DF 6D 08 83 C4 F4 DB 3C 24 9B 89 4D F8 33 C0 89 45 FC DF 6D F8 83 C4 F4 DB 3C 24 9B 8B 83 04 01 00 00 89 45 F0 33 C0 89 45 F4 DF 6D F0 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B 83 04 01 00 00 50 8B 8B 00 01 00 00 8B 55 08 8B C3 E8 ?? ?? ?? ?? EB 68 83 7D 0C 00 75 08 83 7D 08 00 73 45 EB 02 7D 41 DF 6D 08 83 C4 F4 DB 3C 24 9B 8B 83 F8 00 00 00 89 45 F8 33 C0 89 45 FC DF 6D F8 83 C4 F4 DB 3C 24 9B 8B 83 FC 00 00 00 89 45 F0 33 C0 89 45 F4 DF 6D F0 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B 83 FC 00 00 00 50 8B 8B F8 00 00 00 8B 55 08 8B C3 E8 ?? ?? ?? ?? 8D 55 08 B1 01 8B C3 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5392_0 {
	meta:
		name = "TLongWordField.SetAsSingle"
		size = 31
		refs = "000a @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 D9 45 08 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 3C 01 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_5393_0 {
	meta:
		name = "TLongWordField.SetAsString"
		size = 182
		refs = "0019 TLongWordField.SetAsString 0039 @ValInt64 0054 TField.GetDisplayName 006a SInvalidIntegerValue 006f LoadResString 007d DatabaseErrorFmt 00a3 @UStrArrayClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E8 89 4D E4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 0C 8B C3 8B 10 FF 92 24 01 00 00 EB 5A 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B F8 83 7D FC 00 74 3C 6A 00 89 75 EC C6 45 F0 11 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 C6 45 F8 11 8D 45 EC 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B D7 8B C3 8B 08 FF 91 3C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5396_0 {
	meta:
		name = "TLongWordField.SetVarValue"
		size = 28
		refs = "0009 @VarToInt64"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 3C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5397_0 {
	meta:
		name = "TSmallintField.Create"
		size = 86
		refs = "000d @ClassCreate 001b TIntegerField.Create 0042 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 02 C7 83 F8 00 00 00 00 80 FF FF C7 83 FC 00 00 00 FF 7F 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5399_0 {
	meta:
		name = "TShortintField.Create"
		size = 86
		refs = "000d @ClassCreate 001b TIntegerField.Create 0042 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 2B C7 83 F8 00 00 00 80 FF FF FF C7 83 FC 00 00 00 7F 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5401_0 {
	meta:
		name = "TByteField.Create"
		size = 140
		refs = "000f @ClassCreate 001d TIntegerField.Create 0040 TByteField.Create 0054 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 2C 33 C0 89 83 F8 00 00 00 C7 83 FC 00 00 00 FF 00 00 00 8D BB A4 00 00 00 BE ?? ?? ?? ?? B9 08 00 00 00 F3 A5 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 00 00 00 00 00 00 00 08 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5403_0 {
	meta:
		name = "TLargeintField.Create"
		size = 120
		refs = "000f @ClassCreate 001d TNumericField.Create 002e TLargeintField.Create 0042 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 19 8D BB A4 00 00 00 BE ?? ?? ?? ?? B9 08 00 00 00 F3 A5 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 00 00 00 00 00 28 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5404_0 {
	meta:
		name = "TLargeintField.CheckRange"
		size = 86
		refs = "004e TNumericField.RangeError"
	strings:
		$1 = { 55 8B EC 8B C8 8B 45 18 8B 55 1C 3B 55 14 75 07 3B 45 10 72 18 EB 02 7C 14 8B 45 18 8B 55 1C 3B 55 0C 75 07 3B 45 08 76 29 EB 02 7E 25 DF 6D 18 83 C4 F4 DB 3C 24 9B DF 6D 10 83 C4 F4 DB 3C 24 9B DF 6D 08 83 C4 F4 DB 3C 24 9B 8B C1 E8 ?? ?? ?? ?? 5D C2 18 00 }
	condition:
		$1
}

rule function_5405_0 {
	meta:
		name = "TLargeintField.GetAsFloat"
		size = 37
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 8B 10 FF 52 74 89 44 24 08 89 54 24 0C DF 6C 24 08 DD 1C 24 9B DD 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_5406_0 {
	meta:
		name = "TLargeintField.GetAsExtended"
		size = 37
	strings:
		$1 = { 53 83 C4 EC 8B D8 8B C3 8B 10 FF 52 74 89 44 24 0C 89 54 24 10 DF 6C 24 0C DB 3C 24 9B DB 2C 24 83 C4 14 5B C3 }
	condition:
		$1
}

rule function_5407_0 {
	meta:
		name = "TLargeintField.GetAsInteger"
		size = 30
		refs = "000b TLargeintField.GetValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 8B 04 24 EB 02 33 C0 59 5A 5B C3 }
	condition:
		$1
}

rule function_5408_0 {
	meta:
		name = "TLargeintField.GetAsLargeInt"
		size = 45
		refs = "000b TLargeintField.GetValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0F C7 04 24 00 00 00 00 C7 44 24 04 00 00 00 00 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_5409_0 {
	meta:
		name = "TLargeintField.GetAsSingle"
		size = 37
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 8B 10 FF 52 74 89 44 24 04 89 54 24 08 DF 6C 24 04 D9 1C 24 9B D9 04 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_5410_0 {
	meta:
		name = "TLargeintField.GetAsString"
		size = 51
		refs = "000e TLargeintField.GetValue 0021 IntToStr 002a @UStrClr"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 FF 74 24 04 FF 74 24 04 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5507_0 {
	meta:
		name = "TDateTimeField.GetAsVariant"
		size = 51
		refs = "000e TDateTimeField.GetValue 0021 VarFromDateTime 002a Null"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 FF 74 24 04 FF 74 24 04 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5411_0 {
	meta:
		name = "TLargeintField.GetAsVariant"
		size = 49
		refs = "0017 Null 002a @VarFromInt64"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 B0 00 00 00 84 C0 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 10 FF 52 74 52 50 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5412_0 {
	meta:
		name = "TBubbleSeries.NumSampleValues"
		size = 6
		altNames = "TDataBlock.GetBytesReserved TDateTimeField.GetDataSize TEncodingInfoIsoLatinArabic.AliasCount TEncodingInfoIsoLatinCyrillic.MIBenum TFloatField.GetDataSize TIBBCDField.GetDataSize TLargeintField.GetDataSize TPieSeries.NumSampleValues TRttiInt64TypeInternal.GetTypeSize"
	strings:
		$1 = { B8 08 00 00 00 C3 }
	condition:
		$1
}

rule function_5413_0 {
	meta:
		name = "TEncodingInfoHalfWidthKatakana.MIBenum"
		size = 6
		altNames = "TLargeintField.GetDefaultWidth TVariantField.GetDefaultWidth"
	strings:
		$1 = { B8 0F 00 00 00 C3 }
	condition:
		$1
}

rule function_5414_0 {
	meta:
		name = "TLargeintField.GetText"
		size = 250
		refs = "0021 TLargeintField.GetText 0031 TLargeintField.GetValue 0054 @UStrLAsg 0078 IntToStr 0082 @UStrAsg 00aa CurrencyString 00b2 FormatFloat 00c5 @UStrClr 00e7 @UStrArrayClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D FC 89 5D F8 89 5D F4 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 85 00 00 00 84 DB 75 09 83 BF F4 00 00 00 00 75 10 8D 45 FC 8B 97 F0 00 00 00 E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 97 F4 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 1A FF 75 EC FF 75 E8 8D 45 CC E8 ?? ?? ?? ?? 8B 55 CC 8B C6 E8 ?? ?? ?? ?? EB 41 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? DF 6D E8 DB 7D D0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 4D F4 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C6 8B 55 F4 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5416_0 {
	meta:
		name = "TLargeintField.SetAsFloat"
		size = 31
		refs = "000a @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 45 08 E8 ?? ?? ?? ?? 52 50 8B C3 8B 10 FF 92 E4 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5417_0 {
	meta:
		name = "TLargeintField.SetAsExtended"
		size = 31
		refs = "000a @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 DB 6D 08 E8 ?? ?? ?? ?? 52 50 8B C3 8B 10 FF 92 E4 00 00 00 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_5418_0 {
	meta:
		name = "TLargeintField.SetAsInteger"
		size = 22
	strings:
		$1 = { 53 8B DA 8B C8 8B C3 99 52 50 8B C1 8B 10 FF 92 E4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5419_0 {
	meta:
		name = "TLargeintField.SetAsLargeInt"
		size = 96
		refs = "004b TLargeintField.CheckRange 0057 TField.SetData"
	strings:
		$1 = { 55 8B EC 53 8B D8 83 BB FC 00 00 00 00 75 1B 83 BB F8 00 00 00 00 75 12 83 BB 04 01 00 00 00 75 07 83 BB 00 01 00 00 00 74 25 FF 75 0C FF 75 08 FF B3 FC 00 00 00 FF B3 F8 00 00 00 FF B3 04 01 00 00 FF B3 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 08 B1 01 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5420_0 {
	meta:
		name = "TLargeintField.SetAsSingle"
		size = 31
		refs = "000a @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 D9 45 08 E8 ?? ?? ?? ?? 52 50 8B C3 8B 10 FF 92 E4 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_5421_0 {
	meta:
		name = "TLargeintField.SetAsString"
		size = 188
		refs = "0018 TLargeintField.SetAsString 0038 @ValInt64 0057 TField.GetDisplayName 006d SInvalidIntegerValue 0072 LoadResString 0080 DatabaseErrorFmt 00aa @UStrArrayClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D DC 89 4D D8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 0C 8B C3 8B 10 FF 92 24 01 00 00 EB 62 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 83 7D FC 00 74 3C 6A 00 89 75 E0 C6 45 E4 11 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E8 C6 45 EC 11 8D 45 E0 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 8B C3 8B 10 FF 92 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5422_0 {
	meta:
		name = "TLargeintField.SetVarValue"
		size = 28
		refs = "0009 @VarToInt64"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 52 50 8B C3 8B 10 FF 92 E4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5423_0 {
	meta:
		name = "TWordField.Create"
		size = 140
		refs = "000f @ClassCreate 001d TIntegerField.Create 0040 TWordField.Create 0054 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 04 33 C0 89 83 F8 00 00 00 C7 83 FC 00 00 00 FF FF 00 00 8D BB A4 00 00 00 BE ?? ?? ?? ?? B9 08 00 00 00 F3 A5 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 00 00 00 00 00 00 00 08 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5425_0 {
	meta:
		name = "TAutoIncField.Create"
		size = 66
		refs = "000d @ClassCreate 001b TIntegerField.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 0E 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5426_0 {
	meta:
		name = "TUnsignedAutoIncField.Create"
		size = 66
		refs = "000d @ClassCreate 001b TLongWordField.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 0E 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5427_0 {
	meta:
		name = "TFloatField.Create"
		size = 168
		refs = "0011 @ClassCreate 001f TNumericField.Create 0034 TFloatField.Create 0043 CurrencyString 006e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 06 C7 83 FC 00 00 00 0F 00 00 00 BE ?? ?? ?? ?? 8D 7D DC B9 08 00 00 00 F3 A5 A1 ?? ?? ?? ?? 0F B7 80 BE 00 00 00 0F B6 C0 0F AB 45 DC 8D 75 DC 8D BB A4 00 00 00 B9 08 00 00 00 F3 A5 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 28 FF 03 20 00 00 00 20 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5428_0 {
	meta:
		name = "TFloatField.GetAsFloat"
		size = 37
		refs = "000d TField.GetData"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 33 C0 89 04 24 89 44 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_34498_0 {
	meta:
		name = "IndyFileAge"
		size = 37
		refs = "000d FileAge"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 33 C0 89 04 24 89 44 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_5429_0 {
	meta:
		name = "TFMTBCDField.GetAsInteger"
		size = 17
		refs = "000b @ROUND"
		altNames = "TFloatField.GetAsInteger"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 68 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5430_0 {
	meta:
		name = "TFMTBCDField.GetAsLargeInt"
		size = 53
		refs = "000e @ROUND"
		altNames = "TFloatField.GetAsLargeInt"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 8B 10 FF 52 68 E8 ?? ?? ?? ?? 89 44 24 08 89 54 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B 04 24 8B 54 24 04 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_5431_0 {
	meta:
		name = "TFloatField.GetAsSingle"
		size = 21
	strings:
		$1 = { 53 51 8B D8 8B C3 8B 10 FF 52 68 D9 1C 24 9B D9 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_5432_0 {
	meta:
		name = "TFloatField.GetAsString"
		size = 132
		refs = "0015 TFloatField.GetAsString 0027 TField.GetData 0045 CurrencyString 004a FloatToStr 0054 @UStrAsg 005d @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2B DD 45 F0 DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5433_0 {
	meta:
		name = "TFloatField.GetAsVariant"
		size = 48
		refs = "0010 TField.GetData 001e @VarFromReal 0027 Null"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C DD 04 24 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5435_0 {
	meta:
		name = "TFloatField.GetText"
		size = 316
		refs = "0021 TFloatField.GetText 0033 TField.GetData 0056 @UStrLAsg 0085 CurrencyString 00c2 FloatToStrF 00cc @UStrAsg 00fc FormatFloat 010f @UStrClr 0129 @UStrArrayClr 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 5D F0 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 B1 01 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 CD 00 00 00 84 DB 75 09 83 BF F4 00 00 00 00 75 10 8D 45 FC 8B 97 F0 00 00 00 E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 97 F4 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 62 80 BF F8 00 00 00 00 74 16 84 DB 74 04 B0 04 EB 02 B0 02 8B 15 ?? ?? ?? ?? 0F B6 52 05 EB 04 33 C0 33 D2 DD 45 E8 DB 7D D0 9B 8B D8 8B BF FC 00 00 00 89 55 CC 0F B7 45 D8 50 FF 75 D4 FF 75 D0 A1 ?? ?? ?? ?? 50 8D 45 F8 50 8B C3 8B 4D CC 8B D7 E8 ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? EB 41 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? DD 45 E8 DB 7D C0 9B 0F B7 45 C8 50 FF 75 C4 FF 75 C0 8D 4D F0 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B C6 8B 55 F0 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5436_0 {
	meta:
		name = "TFloatField.SetAsFloat"
		size = 105
		refs = "0054 TNumericField.RangeError 0060 TField.SetData"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 BB F9 00 00 00 00 74 49 DD 45 08 DC 9B 00 01 00 00 9B DF E0 9E 72 0F DD 45 08 DC 9B 08 01 00 00 9B DF E0 9E 76 2B DD 45 08 83 C4 F4 DB 3C 24 9B DD 83 00 01 00 00 83 C4 F4 DB 3C 24 9B DD 83 08 01 00 00 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 8D 55 08 B1 01 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_5437_0 {
	meta:
		name = "TFloatField.SetAsInteger"
		size = 30
	strings:
		$1 = { 56 51 8B F0 89 14 24 DB 04 24 83 C4 F8 DD 1C 24 9B 8B C6 8B 10 FF 92 D8 00 00 00 5A 5E C3 }
	condition:
		$1
}

rule function_5438_0 {
	meta:
		name = "TFloatField.SetAsLargeInt"
		size = 29
	strings:
		$1 = { 55 8B EC 8B C8 DF 6D 08 83 C4 F8 DD 1C 24 9B 8B C1 8B 10 FF 92 D8 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_5439_0 {
	meta:
		name = "TFloatField.SetAsSingle"
		size = 25
	strings:
		$1 = { 55 8B EC D9 45 08 83 C4 F8 DD 1C 24 9B 8B 10 FF 92 D8 00 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_5440_0 {
	meta:
		name = "TFloatField.SetAsString"
		size = 200
		refs = "0018 TFloatField.SetAsString 0035 @UStrToPWChar 003d CurrencyString 0048 TextToFloat 005f TField.GetDisplayName 0075 SInvalidFloatValue 007a LoadResString 0088 DatabaseErrorFmt 00b6 @UStrArrayClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D DC 89 4D D8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 0C 8B C3 8B 10 FF 92 24 01 00 00 EB 6E 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 0D ?? ?? ?? ?? 51 8B CA 8D 55 F0 E8 ?? ?? ?? ?? 84 C0 75 3C 6A 00 89 75 E0 C6 45 E4 11 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E8 C6 45 EC 11 8D 45 E0 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? DB 6D F0 83 C4 F8 DD 1C 24 9B 8B C3 8B 10 FF 92 D8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5441_0 {
	meta:
		name = "TBCDField.SetCurrency"
		size = 22
		refs = "0011 TField.PropertyChanged"
		altNames = "TExtendedField.SetCurrency TFMTBCDField.SetCurrency TFloatField.SetCurrency TSingleField.SetCurrency"
	strings:
		$1 = { 3A 90 F8 00 00 00 74 0D 88 90 F8 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5442_0 {
	meta:
		name = "TFloatField.SetMaxValue"
		size = 30
		refs = "0016 TFloatField.UpdateCheckRange"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 08 01 00 00 8B 55 0C 89 90 0C 01 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_5591_0 {
	meta:
		name = "TBCDField.SetMaxValue"
		size = 30
		refs = "0016 TBCDField.UpdateCheckRange"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 08 01 00 00 8B 55 0C 89 90 0C 01 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_5443_0 {
	meta:
		name = "TFloatField.SetMinValue"
		size = 30
		refs = "0016 TFloatField.UpdateCheckRange"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 00 01 00 00 8B 55 0C 89 90 04 01 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_5592_0 {
	meta:
		name = "TBCDField.SetMinValue"
		size = 30
		refs = "0016 TBCDField.UpdateCheckRange"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 00 01 00 00 8B 55 0C 89 90 04 01 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_5444_0 {
	meta:
		name = "TFloatField.SetPrecision"
		size = 42
		refs = "0025 TField.PropertyChanged"
	strings:
		$1 = { 83 FA 02 7D 05 BA 02 00 00 00 83 FA 0F 7E 05 BA 0F 00 00 00 3B 90 FC 00 00 00 74 0D 89 90 FC 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5445_0 {
	meta:
		name = "TFloatField.SetVarValue"
		size = 33
		refs = "0009 @VarToReal"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 8B 10 FF 92 D8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5446_0 {
	meta:
		name = "TFloatField.UpdateCheckRange"
		size = 56
		refs = "000a TFloatField.UpdateCheckRange"
	strings:
		$1 = { 8B D0 DD 82 00 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 16 DD 82 08 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 04 33 C0 EB 02 B0 01 88 82 F9 00 00 00 C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_5447_0 {
	meta:
		name = "TSingleField.Create"
		size = 168
		refs = "0011 @ClassCreate 001f TNumericField.Create 0034 TSingleField.Create 0043 CurrencyString 006e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 33 C7 83 FC 00 00 00 07 00 00 00 BE ?? ?? ?? ?? 8D 7D DC B9 08 00 00 00 F3 A5 A1 ?? ?? ?? ?? 0F B7 80 BE 00 00 00 0F B6 C0 0F AB 45 DC 8D 75 DC 8D BB A4 00 00 00 B9 08 00 00 00 F3 A5 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 28 FF 03 20 00 00 00 20 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5448_0 {
	meta:
		name = "TSingleField.GetAsFloat"
		size = 24
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 52 64 DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_5449_0 {
	meta:
		name = "TSingleField.GetAsInteger"
		size = 17
		refs = "000b @ROUND"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 64 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5450_0 {
	meta:
		name = "TSingleField.GetAsLargeInt"
		size = 53
		refs = "000e @ROUND"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 8B 10 FF 52 64 E8 ?? ?? ?? ?? 89 44 24 08 89 54 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B 04 24 8B 54 24 04 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_5451_0 {
	meta:
		name = "TSingleField.GetAsSingle"
		size = 30
		refs = "000b TField.GetData"
	strings:
		$1 = { 53 51 8B D8 8B D4 B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 89 04 24 D9 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_5452_0 {
	meta:
		name = "TSingleField.GetAsString"
		size = 132
		refs = "0015 TSingleField.GetAsString 0027 TField.GetData 0045 CurrencyString 004a FloatToStr 0054 @UStrAsg 005d @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2B D9 45 F8 DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5453_0 {
	meta:
		name = "TSingleField.GetAsVariant"
		size = 45
		refs = "000e TField.GetData 001c @VarFromReal 0025 Null"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C D9 04 24 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5455_0 {
	meta:
		name = "TSingleField.GetText"
		size = 316
		refs = "0021 TSingleField.GetText 0033 TField.GetData 0056 @UStrLAsg 0085 CurrencyString 00c2 FloatToStrF 00cc @UStrAsg 00fc FormatFloat 010f @UStrClr 0129 @UStrArrayClr 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 5D F0 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC B1 01 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 CD 00 00 00 84 DB 75 09 83 BF F4 00 00 00 00 75 10 8D 45 FC 8B 97 F0 00 00 00 E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 97 F4 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 62 80 BF F8 00 00 00 00 74 16 84 DB 74 04 B0 04 EB 02 B0 02 8B 15 ?? ?? ?? ?? 0F B6 52 05 EB 04 33 C0 33 D2 D9 45 EC DB 7D E0 9B 8B D8 8B BF FC 00 00 00 89 55 DC 0F B7 45 E8 50 FF 75 E4 FF 75 E0 A1 ?? ?? ?? ?? 50 8D 45 F8 50 8B C3 8B 4D DC 8B D7 E8 ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? EB 41 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? D9 45 EC DB 7D D0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 4D F0 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B C6 8B 55 F0 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5456_0 {
	meta:
		name = "TSingleField.SetAsFloat"
		size = 25
	strings:
		$1 = { 55 8B EC DD 45 08 83 C4 FC D9 1C 24 9B 8B 10 FF 92 D4 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_5457_0 {
	meta:
		name = "TSingleField.SetAsInteger"
		size = 30
	strings:
		$1 = { 56 51 8B F0 89 14 24 DB 04 24 83 C4 FC D9 1C 24 9B 8B C6 8B 10 FF 92 D4 00 00 00 5A 5E C3 }
	condition:
		$1
}

rule function_5458_0 {
	meta:
		name = "TSingleField.SetAsLargeInt"
		size = 29
	strings:
		$1 = { 55 8B EC 8B C8 DF 6D 08 83 C4 FC D9 1C 24 9B 8B C1 8B 10 FF 92 D4 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_5459_0 {
	meta:
		name = "TSingleField.SetAsSingle"
		size = 105
		refs = "0054 TNumericField.RangeError 0060 TField.SetData"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 BB F9 00 00 00 00 74 49 D9 45 08 D8 9B 00 01 00 00 9B DF E0 9E 72 0F D9 45 08 D8 9B 04 01 00 00 9B DF E0 9E 76 2B D9 45 08 83 C4 F4 DB 3C 24 9B D9 83 00 01 00 00 83 C4 F4 DB 3C 24 9B D9 83 04 01 00 00 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 8D 55 08 B1 01 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_5460_0 {
	meta:
		name = "TSingleField.SetAsString"
		size = 200
		refs = "0018 TSingleField.SetAsString 0035 @UStrToPWChar 003d CurrencyString 0048 TextToFloat 005f TField.GetDisplayName 0075 SInvalidFloatValue 007a LoadResString 0088 DatabaseErrorFmt 00b6 @UStrArrayClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D DC 89 4D D8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 0C 8B C3 8B 10 FF 92 24 01 00 00 EB 6E 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 0D ?? ?? ?? ?? 51 8B CA 8D 55 F0 E8 ?? ?? ?? ?? 84 C0 75 3C 6A 00 89 75 E0 C6 45 E4 11 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E8 C6 45 EC 11 8D 45 E0 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? DB 6D F0 83 C4 FC D9 1C 24 9B 8B C3 8B 10 FF 92 D4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5462_0 {
	meta:
		name = "TSingleField.SetMaxValue"
		size = 21
		refs = "000d TSingleField.UpdateCheckRange"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 04 01 00 00 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_5463_0 {
	meta:
		name = "TSingleField.SetMinValue"
		size = 21
		refs = "000d TSingleField.UpdateCheckRange"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 00 01 00 00 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_5464_0 {
	meta:
		name = "TSingleField.SetPrecision"
		size = 42
		refs = "0025 TField.PropertyChanged"
	strings:
		$1 = { 83 FA 02 7D 05 BA 02 00 00 00 83 FA 07 7E 05 BA 07 00 00 00 3B 90 FC 00 00 00 74 0D 89 90 FC 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5465_0 {
	meta:
		name = "TSingleField.SetVarValue"
		size = 33
		refs = "0009 @VarToReal"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8B C3 8B 10 FF 92 D4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5466_0 {
	meta:
		name = "TSingleField.UpdateCheckRange"
		size = 56
		refs = "000a TSingleField.UpdateCheckRange"
	strings:
		$1 = { 8B D0 D9 82 00 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 16 D9 82 04 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 04 33 C0 EB 02 B0 01 88 82 F9 00 00 00 C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_5467_0 {
	meta:
		name = "TCurrencyField.Create"
		size = 73
		refs = "000d @ClassCreate 001b TFloatField.Create 0035 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 07 C6 83 F8 00 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5468_0 {
	meta:
		name = "TExtendedField.Create"
		size = 168
		refs = "0011 @ClassCreate 001f TNumericField.Create 0034 TExtendedField.Create 0043 CurrencyString 006e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 2D C7 83 FC 00 00 00 13 00 00 00 BE ?? ?? ?? ?? 8D 7D DC B9 08 00 00 00 F3 A5 A1 ?? ?? ?? ?? 0F B7 80 BE 00 00 00 0F B6 C0 0F AB 45 DC 8D 75 DC 8D BB A4 00 00 00 B9 08 00 00 00 F3 A5 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 28 FF 03 20 00 00 00 20 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5469_0 {
	meta:
		name = "TExtendedField.GetAsFloat"
		size = 24
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 52 6C DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_5470_0 {
	meta:
		name = "TExtendedField.GetAsExtended"
		size = 43
		refs = "000d TField.GetData"
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B D4 B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0E 33 C0 89 04 24 89 44 24 04 66 89 44 24 08 DB 2C 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_5471_0 {
	meta:
		name = "TExtendedField.GetAsInteger"
		size = 17
		refs = "000b @ROUND"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 6C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5472_0 {
	meta:
		name = "TExtendedField.GetAsLargeInt"
		size = 53
		refs = "000e @ROUND"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 8B 10 FF 52 6C E8 ?? ?? ?? ?? 89 44 24 08 89 54 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B 04 24 8B 54 24 04 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_5473_0 {
	meta:
		name = "TExtendedField.GetAsSingle"
		size = 21
	strings:
		$1 = { 53 51 8B D8 8B C3 8B 10 FF 52 6C D9 1C 24 9B D9 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_5474_0 {
	meta:
		name = "TExtendedField.GetAsString"
		size = 145
		refs = "0015 TExtendedField.GetAsString 0027 TField.GetData 0052 CurrencyString 0057 FloatToStr 0061 @UStrAsg 006a @UStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 38 8B 45 F0 89 45 E0 8B 45 F4 89 45 E4 66 8B 45 F8 66 89 45 E8 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5475_0 {
	meta:
		name = "TExtendedField.GetAsVariant"
		size = 49
		refs = "0010 TField.GetData 001e @VarFromReal 0027 Null"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B D4 B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C DB 2C 24 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_5477_0 {
	meta:
		name = "TExtendedField.GetText"
		size = 342
		refs = "0021 TExtendedField.GetText 0033 TField.GetData 0056 @UStrLAsg 0085 CurrencyString 00cf FloatToStrF 00d9 @UStrAsg 0116 FormatFloat 0129 @UStrClr 0143 @UStrArrayClr 0149 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 5D F0 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 B1 01 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 E7 00 00 00 84 DB 75 09 83 BF F4 00 00 00 00 75 10 8D 45 FC 8B 97 F0 00 00 00 E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 97 F4 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 6F 80 BF F8 00 00 00 00 74 16 84 DB 74 04 B0 04 EB 02 B0 02 8B 15 ?? ?? ?? ?? 0F B6 52 05 EB 04 33 C0 33 D2 8B 4D E0 89 4D D0 8B 4D E4 89 4D D4 66 8B 4D E8 66 89 4D D8 8B D8 8B BF FC 00 00 00 89 55 CC 0F B7 45 D8 50 FF 75 D4 FF 75 D0 A1 ?? ?? ?? ?? 50 8D 45 F8 50 8B C3 8B 4D CC 8B D7 E8 ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? EB 4E 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E0 89 45 C0 8B 45 E4 89 45 C4 66 8B 45 E8 66 89 45 C8 0F B7 45 C8 50 FF 75 C4 FF 75 C0 8D 4D F0 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B C6 8B 55 F0 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5478_0 {
	meta:
		name = "TExtendedField.SetAsFloat"
		size = 25
	strings:
		$1 = { 55 8B EC DD 45 08 83 C4 F4 DB 3C 24 9B 8B 10 FF 92 DC 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_5479_0 {
	meta:
		name = "TExtendedField.SetAsExtended"
		size = 124
		refs = "0067 TNumericField.RangeError 0073 TField.SetData"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 BB F9 00 00 00 00 74 5C DB 6D 08 DB AB 00 01 00 00 DE D9 9B DF E0 9E 77 11 DB 6D 08 DB AB 10 01 00 00 DE D9 9B DF E0 9E 73 3A 0F B7 45 10 50 FF 75 0C FF 75 08 0F B7 83 08 01 00 00 50 FF B3 04 01 00 00 FF B3 00 01 00 00 0F B7 83 18 01 00 00 50 FF B3 14 01 00 00 FF B3 10 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 08 B1 01 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_5480_0 {
	meta:
		name = "TExtendedField.SetAsInteger"
		size = 30
	strings:
		$1 = { 56 51 8B F0 89 14 24 DB 04 24 83 C4 F4 DB 3C 24 9B 8B C6 8B 10 FF 92 DC 00 00 00 5A 5E C3 }
	condition:
		$1
}

rule function_5481_0 {
	meta:
		name = "TExtendedField.SetAsLargeInt"
		size = 29
	strings:
		$1 = { 55 8B EC 8B C8 DF 6D 08 83 C4 F4 DB 3C 24 9B 8B C1 8B 10 FF 92 DC 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_5482_0 {
	meta:
		name = "TExtendedField.SetAsSingle"
		size = 25
	strings:
		$1 = { 55 8B EC D9 45 08 83 C4 F4 DB 3C 24 9B 8B 10 FF 92 DC 00 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_5483_0 {
	meta:
		name = "TExtendedField.SetAsString"
		size = 201
		refs = "0018 TExtendedField.SetAsString 0035 @UStrToPWChar 003d CurrencyString 0048 TextToFloat 005f TField.GetDisplayName 0075 SInvalidFloatValue 007a LoadResString 0088 DatabaseErrorFmt 00b7 @UStrArrayClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D DC 89 4D D8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 0C 8B C3 8B 10 FF 92 24 01 00 00 EB 6F 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 0D ?? ?? ?? ?? 51 8B CA 8D 55 F0 E8 ?? ?? ?? ?? 84 C0 75 3C 6A 00 89 75 E0 C6 45 E4 11 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E8 C6 45 EC 11 8D 45 E0 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8B C3 8B 10 FF 92 DC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5485_0 {
	meta:
		name = "TExtendedField.SetMaxValue"
		size = 41
		refs = "0021 TExtendedField.UpdateCheckRange"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 10 01 00 00 8B 55 0C 89 90 14 01 00 00 66 8B 55 10 66 89 90 18 01 00 00 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_5486_0 {
	meta:
		name = "TExtendedField.SetMinValue"
		size = 41
		refs = "0021 TExtendedField.UpdateCheckRange"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 00 01 00 00 8B 55 0C 89 90 04 01 00 00 66 8B 55 10 66 89 90 08 01 00 00 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_5487_0 {
	meta:
		name = "TExtendedField.SetPrecision"
		size = 42
		refs = "0025 TField.PropertyChanged"
	strings:
		$1 = { 83 FA 02 7D 05 BA 02 00 00 00 83 FA 13 7E 05 BA 13 00 00 00 3B 90 FC 00 00 00 74 0D 89 90 FC 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5488_0 {
	meta:
		name = "TExtendedField.SetVarValue"
		size = 33
		refs = "0009 @VarToReal"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B C3 8B 10 FF 92 DC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5489_0 {
	meta:
		name = "TExtendedField.UpdateCheckRange"
		size = 56
		refs = "000a TExtendedField.UpdateCheckRange"
	strings:
		$1 = { 8B D0 DB AA 00 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 16 DB AA 10 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 04 33 C0 EB 02 B0 01 88 82 F9 00 00 00 C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_5490_0 {
	meta:
		name = "TBooleanField.Create"
		size = 73
		refs = "000d @ClassCreate 001b TField.Create 0028 TBooleanField.LoadTextValues 0035 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 05 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5491_0 {
	meta:
		name = "TBooleanField.GetAsBoolean"
		size = 35
		refs = "000b TField.GetData"
	strings:
		$1 = { 53 51 8B D8 8B D4 B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 66 83 3C 24 01 1B C0 40 5A 5B C3 33 C0 5A 5B C3 }
	condition:
		$1
}

rule function_5492_0 {
	meta:
		name = "TBooleanField.GetAsString"
		size = 60
		refs = "000e TField.GetData 002b @UStrAsg 0034 @UStrClr"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C6 66 83 3C 24 01 1B D2 42 83 E2 7F 8B 94 93 F4 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5493_0 {
	meta:
		name = "TBooleanField.GetAsVariant"
		size = 53
		refs = "000e TField.GetData 0024 @VarFromBool 002d Null"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B C6 0F B7 14 24 66 F7 DA 1B D2 F7 DA E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5495_0 {
	meta:
		name = "TBooleanField.GetDefaultWidth"
		size = 68
	strings:
		$1 = { 53 56 8B 98 F4 00 00 00 8B D3 85 D2 74 05 83 EA 04 8B 12 8B B0 F8 00 00 00 8B CE 85 C9 74 05 83 E9 04 8B 09 3B CA 7D 0E 8B C3 85 C0 74 13 83 E8 04 8B 00 5E 5B C3 8B C6 85 C0 74 05 83 E8 04 8B 00 5E 5B C3 }
	condition:
		$1
}

rule function_5496_0 {
	meta:
		name = "TBooleanField.LoadTextValues"
		size = 37
		refs = "000a STextFalse 000f LoadResString 001a STextTrue"
	strings:
		$1 = { 53 8B D8 8D 93 F4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 93 F8 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5497_0 {
	meta:
		name = "TBooleanField.SetAsBoolean"
		size = 30
		refs = "0018 TField.SetData"
	strings:
		$1 = { 51 84 D2 74 08 66 C7 04 24 01 00 EB 06 66 C7 04 24 00 00 8B D4 B1 01 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_5498_0 {
	meta:
		name = "TBooleanField.SetAsString"
		size = 364
		refs = "001f TBooleanField.SetAsString 00a4 @UStrCopy 00af AnsiCompareText 010a TField.GetDisplayName 0120 SInvalidBoolValue 0125 LoadResString 0133 DatabaseErrorFmt 014d @UStrArrayClr 0160 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 C9 89 4D E0 89 4D DC 89 4D F4 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 75 57 8B 86 F4 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 75 11 33 D2 8B C6 8B 08 FF 91 C4 00 00 00 E9 D8 00 00 00 8B 86 F8 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 75 11 B2 01 8B C6 8B 08 FF 91 C4 00 00 00 E9 B4 00 00 00 8B C6 8B 10 FF 92 24 01 00 00 E9 A5 00 00 00 8D 45 F8 50 8B CB BA 01 00 00 00 8B 86 F4 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 0E 33 D2 8B C6 8B 08 FF 91 C4 00 00 00 EB 72 8D 45 F4 50 8B CB BA 01 00 00 00 8B 86 F8 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 0E B2 01 8B C6 8B 08 FF 91 C4 00 00 00 EB 3F 6A 00 8B 45 FC 89 45 E4 C6 45 E8 11 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 89 45 EC C6 45 F0 11 8D 45 E4 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC B9 01 00 00 00 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5499_0 {
	meta:
		name = "TBooleanField.SetDisplayValues"
		size = 144
		refs = "0010 @UStrEqual 001f @UStrAsg 002a TBooleanField.LoadTextValues 0033 TBooleanField.SetDisplayValues 0038 Pos 0059 @UStrCopy 0078 TField.PropertyChanged"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 83 F0 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 66 8D 83 F0 00 00 00 8B D6 E8 ?? ?? ?? ?? 85 F6 75 09 8B C3 E8 ?? ?? ?? ?? EB 43 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 75 05 BF 00 01 00 00 8D 83 F4 00 00 00 50 8D 57 01 B9 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 83 F8 00 00 00 50 8B CF 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_5500_0 {
	meta:
		name = "TBooleanField.SetVarValue"
		size = 28
		refs = "0009 @VarToBool"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 C4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5501_0 {
	meta:
		name = "TDateTimeField.Create"
		size = 66
		refs = "000d @ClassCreate 001b TField.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 0B 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5502_0 {
	meta:
		name = "TBCDField.CopyData"
		size = 11
		altNames = "TDateTimeField.CopyData"
	strings:
		$1 = { 8B 02 89 01 8B 42 04 89 41 04 C3 }
	condition:
		$1
}

rule function_5503_0 {
	meta:
		name = "TDateTimeField.GetAsDateTime"
		size = 35
		refs = "000b TDateTimeField.GetValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 33 C0 89 04 24 89 44 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_5504_0 {
	meta:
		name = "TDateTimeField.GetAsFloat"
		size = 18
	strings:
		$1 = { 83 C4 F8 8B 10 FF 52 60 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_5505_0 {
	meta:
		name = "TDateTimeField.GetAsSQLTimeStamp"
		size = 30
		refs = "0017 DateTimeToSQLTimeStamp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 60 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5506_0 {
	meta:
		name = "TDateTimeField.GetAsString"
		size = 13
		altNames = "TSQLTimeStampField.GetAsString"
	strings:
		$1 = { 53 33 C9 8B 18 FF 93 B8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5509_0 {
	meta:
		name = "TDateTimeField.GetDefaultWidth"
		size = 20
		altNames = "TSQLTimeStampField.GetDefaultWidth"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 9C 00 00 00 03 C0 83 C0 02 5B C3 }
	condition:
		$1
}

rule function_5510_0 {
	meta:
		name = "TDateTimeField.GetText"
		size = 225
		refs = "001b TDateTimeField.GetText 002b TDateTimeField.GetValue 004a @UStrLAsg 0063 CurrencyString 00ab DateTimeToString 00b4 @UStrClr 00ce @UStrArrayClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 5D F8 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 74 7E 84 DB 74 19 83 BF F0 00 00 00 00 74 10 8D 45 FC 8B 97 F0 00 00 00 E8 ?? ?? ?? ?? EB 32 0F B6 47 48 2C 09 74 06 FE C8 74 15 EB 24 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 52 0C E8 ?? ?? ?? ?? EB 11 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 52 20 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F0 89 45 E8 8B 45 F4 89 45 EC FF 75 EC FF 75 E8 8B 0D ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5512_0 {
	meta:
		name = "TDateTimeField.SetAsDateTime"
		size = 17
		refs = "0009 TField.SetData"
	strings:
		$1 = { 55 8B EC 8D 55 08 33 C9 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_5513_0 {
	meta:
		name = "TDateTimeField.SetAsFloat"
		size = 21
		altNames = "TSQLTimeStampField.SetAsFloat"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 10 FF 92 D0 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_5514_0 {
	meta:
		name = "TDateTimeField.SetAsSQLTimeStamp"
		size = 33
		refs = "0009 SQLTimeStampToDateTime"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 8B 10 FF 92 D0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5517_0 {
	meta:
		name = "TDateTimeField.SetVarValue"
		size = 33
		refs = "0009 VarToDateTime"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 8B 10 FF 92 D0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5515_0 {
	meta:
		name = "TDateTimeField.SetAsString"
		size = 250
		refs = "001b TDateTimeField.SetAsString 004c @UStrLAsg 0052 CurrencyString 005a StrToDate 0084 StrToTime 00ae StrToDateTime 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 C9 89 4D FC 89 4D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 0F 8B C3 8B 10 FF 92 24 01 00 00 E9 9A 00 00 00 0F B6 43 48 2C 09 74 06 FE C8 74 2C EB 54 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DD 5D E0 9B 8B 45 E0 89 45 E8 8B 45 E4 89 45 EC EB 52 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DD 5D D8 9B 8B 45 D8 89 45 E8 8B 45 DC 89 45 EC EB 28 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? DD 5D D0 9B 8B 45 D0 89 45 E8 8B 45 D4 89 45 EC FF 75 EC FF 75 E8 8B C3 8B 10 FF 92 D0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5518_0 {
	meta:
		name = "TSQLTimeStampField.Create"
		size = 66
		refs = "000d @ClassCreate 001b TField.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 24 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5519_0 {
	meta:
		name = "TSQLTimeStampField.CopyData"
		size = 17
	strings:
		$1 = { 53 56 57 8B D9 8B FB 8B F2 A5 A5 A5 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5520_0 {
	meta:
		name = "TSQLTimeStampField.GetAsFloat"
		size = 41
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 8B 10 FF 52 60 DD 5C 24 08 9B 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 DD 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_5521_0 {
	meta:
		name = "TSQLTimeStampField.GetAsDateTime"
		size = 53
		refs = "000d TSQLTimeStampField.GetValue 0025 SQLTimeStampToDateTime"
	strings:
		$1 = { 53 83 C4 E8 8B D8 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 33 C0 89 04 24 89 44 24 04 EB 0D 8D 44 24 08 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_5522_0 {
	meta:
		name = "TSQLTimeStampField.GetAsSQLTimeStamp"
		size = 37
		refs = "000c TSQLTimeStampField.GetValue 0015 NullSQLTimeStamp"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0D A1 ?? ?? ?? ?? 8B FE 8B F0 A5 A5 A5 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5524_0 {
	meta:
		name = "TSQLTimeStampField.GetAsVariant"
		size = 46
		refs = "000e TSQLTimeStampField.GetValue 001b VarSQLTimeStampCreate 0024 Null"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C4 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_5525_0 {
	meta:
		name = "TCustomComboBoxEx.GetItemHt"
		size = 6
		altNames = "TEncodingInfoJISEncoding.MIBenum TSQLTimeStampField.GetDataSize"
	strings:
		$1 = { B8 10 00 00 00 C3 }
	condition:
		$1
}

rule function_5527_0 {
	meta:
		name = "TSQLTimeStampField.GetText"
		size = 165
		refs = "001b TSQLTimeStampField.GetText 002b TSQLTimeStampField.GetValue 004a @UStrLAsg 0054 @UStrClr 0062 SQLTimeStampToStr 006c @UStrAsg 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D FC 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 84 C0 74 3F 84 DB 74 19 83 BF F0 00 00 00 00 74 10 8D 45 FC 8B 97 F0 00 00 00 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8D 4D E8 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5531_0 {
	meta:
		name = "TSQLTimeStampField.SetAsDateTime"
		size = 43
		refs = "0013 DateTimeToSQLTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 FF 75 0C FF 75 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 91 E8 00 00 00 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5532_0 {
	meta:
		name = "TSQLTimeStampField.SetAsString"
		size = 52
		refs = "001e StrToSQLTimeStamp"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 85 F6 75 0C 8B C3 8B 10 FF 92 24 01 00 00 EB 15 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 91 E8 00 00 00 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_5534_0 {
	meta:
		name = "TSQLTimeStampField.SetVarValue"
		size = 123
		refs = "0015 TSQLTimeStampField.SetVarValue 0022 VarIsClear 002e SUnassignedVar 0033 LoadResString 003d DatabaseError 0047 VarToSQLTimeStamp 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 8B 08 FF 91 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5535_0 {
	meta:
		name = "TSQLTimeStampOffsetField.CopyData"
		size = 18
	strings:
		$1 = { 53 56 57 8B D9 8B FB 8B F2 A5 A5 A5 A5 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5536_0 {
	meta:
		name = "TSQLTimeStampOffsetField.Create"
		size = 66
		refs = "000d @ClassCreate 001b TSQLTimeStampField.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 31 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5537_0 {
	meta:
		name = "TSQLTimeStampOffsetField.GetAsDateTime"
		size = 53
		refs = "000d TSQLTimeStampOffsetField.GetValue 0025 SQLTimeStampOffsetToDateTime"
	strings:
		$1 = { 53 83 C4 E4 8B D8 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 33 C0 89 04 24 89 44 24 04 EB 0D 8D 44 24 08 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 1C 5B C3 }
	condition:
		$1
}

rule function_5538_0 {
	meta:
		name = "TSQLTimeStampOffsetField.GetAsSQLTimeStampOffset"
		size = 38
		refs = "000c TSQLTimeStampOffsetField.GetValue 0015 NullSQLTimeStampOffset"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0E A1 ?? ?? ?? ?? 8B FE 8B F0 A5 A5 A5 A5 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5539_0 {
	meta:
		name = "TSQLTimeStampOffsetField.GetAsVariant"
		size = 46
		refs = "000e TSQLTimeStampOffsetField.GetValue 001b VarSQLTimeStampOffsetCreate 0024 Null"
	strings:
		$1 = { 53 56 83 C4 EC 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C4 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 83 C4 14 5E 5B C3 }
	condition:
		$1
}

rule function_5540_0 {
	meta:
		name = "TEncodingInfoISO4UnitedKingdom.MIBenum"
		size = 6
		altNames = "TSQLTimeStampOffsetField.GetDataSize"
	strings:
		$1 = { B8 14 00 00 00 C3 }
	condition:
		$1
}

rule function_5541_0 {
	meta:
		name = "TSQLTimeStampOffsetField.GetText"
		size = 165
		refs = "001b TSQLTimeStampOffsetField.GetText 002b TSQLTimeStampOffsetField.GetValue 004a @UStrLAsg 0054 @UStrClr 0062 SQLTimeStampOffsetToStr 006c @UStrAsg 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D FC 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 3F 84 DB 74 19 83 BF F0 00 00 00 00 74 10 8D 45 FC 8B 97 F0 00 00 00 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8D 4D E4 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5543_0 {
	meta:
		name = "TSQLTimeStampOffsetField.SetAsDateTime"
		size = 43
		refs = "0013 DateTimeToSQLTimeStampOffset"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D8 FF 75 0C FF 75 08 8D 45 EC E8 ?? ?? ?? ?? 8D 55 EC 8B C3 8B 08 FF 91 EC 00 00 00 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5545_0 {
	meta:
		name = "TSQLTimeStampOffsetField.SetAsString"
		size = 52
		refs = "001e StrToSQLTimeStampOffset"
	strings:
		$1 = { 53 56 83 C4 EC 8B F2 8B D8 85 F6 75 0C 8B C3 8B 10 FF 92 24 01 00 00 EB 15 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 91 EC 00 00 00 83 C4 14 5E 5B C3 }
	condition:
		$1
}

rule function_5546_0 {
	meta:
		name = "TSQLTimeStampOffsetField.SetVarValue"
		size = 123
		refs = "0015 TSQLTimeStampOffsetField.SetVarValue 0022 VarIsClear 002e SUnassignedVar 0033 LoadResString 003d DatabaseError 0047 VarToSQLTimeStampOffset 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 08 FF 91 EC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5547_0 {
	meta:
		name = "TDateField.Create"
		size = 66
		refs = "000d @ClassCreate 001b TDateTimeField.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 09 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5549_0 {
	meta:
		name = "TTimeField.Create"
		size = 66
		refs = "000d @ClassCreate 001b TDateTimeField.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 0A 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5552_0 {
	meta:
		name = "TBinaryField.CheckTypeSize"
		size = 78
		refs = "0009 TBinaryField.CheckTypeSize 001b SInvalidFieldSize 0020 LoadResString 002a DatabaseError 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 D2 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_5553_0 {
	meta:
		name = "TBinaryField.CopyData"
		size = 18
		refs = "000b @VarCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35101_0 {
	meta:
		name = "TIdHTTPAppRequest.TranslateURI"
		size = 18
		refs = "000b @UStrAsg"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_41027_0 {
	meta:
		name = "TInHTTPAppRequest.TranslateURI"
		size = 18
		refs = "000b @UStrAsg"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14624_0 {
	meta:
		name = "TSqlServerMethod.CheckDetail"
		size = 18
		refs = "000b @UStrAsg"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50615_0 {
	meta:
		name = "TWebServerRequest.TranslateURI"
		size = 18
		refs = "000b @UStrAsg"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5554_0 {
	meta:
		name = "TBinaryField.GetAsString"
		size = 194
		refs = "0014 TBinaryField.GetAsString 002c VarIsNull 0037 @UStrClr 0046 VarArrayHighBound 0051 VarArrayLock 0072 @UStrSetLength 007d Move 0092 VarArrayUnlock 0098 @HandleFinally 00af @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 51 58 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 09 8B C6 E8 ?? ?? ?? ?? EB 61 8D 45 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 43 8D 45 F0 E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 53 01 D1 FA 79 03 83 D2 00 8B C6 E8 ?? ?? ?? ?? 8B 16 8B C7 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5555_0 {
	meta:
		name = "TBinaryField.GetAsAnsiString"
		size = 188
		refs = "0014 TBinaryField.GetAsAnsiString 002c VarIsNull 0037 @LStrClr 0046 VarArrayHighBound 0051 VarArrayLock 006c @LStrSetLength 0077 Move 008c VarArrayUnlock 0092 @HandleFinally 00a9 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 51 58 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 09 8B C6 E8 ?? ?? ?? ?? EB 5B 8D 45 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 43 8D 45 F0 E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 33 C9 8B D3 E8 ?? ?? ?? ?? 8B 16 8B C7 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5556_0 {
	meta:
		name = "TBinaryField.GetAsBytes"
		size = 215
		refs = "0014 TBinaryField.GetAsBytes 002c VarIsNull 003f TArray<System.Byte> 0044 @DynArraySetLength 0056 VarArrayHighBound 0061 VarArrayLock 0092 Move 00a7 VarArrayUnlock 00ad @HandleFinally 00c4 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 51 58 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 19 6A 00 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 66 8D 45 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 43 8D 45 F0 E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 16 8B C7 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5557_0 {
	meta:
		name = "TBinaryField.SetAsString"
		size = 239
		refs = "0017 TBinaryField.SetAsString 007c VarArrayCreate 0084 VarArrayLock 009d Move 00b2 VarArrayUnlock 00b8 @HandleFinally 00dd @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 10 8B 45 EC 8B 10 FF 92 24 01 00 00 E9 97 00 00 00 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D8 03 DB 8B 45 EC 8B 10 FF 92 B4 00 00 00 3B D8 7E 0D 8B 45 EC 8B 10 FF 92 B4 00 00 00 8B D8 8D 45 F0 50 33 C0 89 45 E4 8B C3 48 89 45 E8 8D 45 E4 66 B9 11 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B C6 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 F0 8B 45 EC 8B 08 FF 91 C8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5558_0 {
	meta:
		name = "TBinaryField.SetAsAnsiString"
		size = 249
		refs = "001f TBinaryField.SetAsAnsiString 0086 VarArrayCreate 008e VarArrayLock 00a7 Move 00bc VarArrayUnlock 00c2 @HandleFinally 00e7 @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D F0 89 4D F4 89 4D F8 89 4D FC 8B F2 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 10 8B 45 EC 8B 10 FF 92 24 01 00 00 E9 99 00 00 00 89 75 E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 8B D8 8B 45 EC 8B 10 FF 92 B4 00 00 00 3B D8 7E 0D 8B 45 EC 8B 10 FF 92 B4 00 00 00 8B D8 8D 45 F0 50 33 C0 89 45 E0 8B C3 48 89 45 E4 8D 45 E0 66 B9 11 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B C6 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 F0 8B 45 EC 8B 08 FF 91 C8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5559_0 {
	meta:
		name = "TBinaryField.SetAsBytes"
		size = 233
		refs = "0017 TBinaryField.SetAsBytes 0038 @DynArrayLength 0076 VarArrayCreate 007e VarArrayLock 0097 Move 00ac VarArrayUnlock 00b2 @HandleFinally 00d7 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 10 8B 45 EC 8B 10 FF 92 24 01 00 00 E9 91 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 45 EC 8B 10 FF 92 B4 00 00 00 3B D8 7E 0D 8B 45 EC 8B 10 FF 92 B4 00 00 00 8B D8 8D 45 F0 50 33 C0 89 45 E4 8B C3 48 89 45 E8 8D 45 E4 66 B9 11 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B C6 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 F0 8B 45 EC 8B 08 FF 91 C8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5560_0 {
	meta:
		name = "TBinaryField.GetAsVariant"
		size = 18
		altNames = "TReferenceField.GetAsVariant"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 58 5E 5B C3 }
	condition:
		$1
}

rule function_5561_0 {
	meta:
		name = "TBinaryField.SetVarValue"
		size = 21
		altNames = "TReferenceField.SetVarValue"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B C6 8B 08 FF 91 C8 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_5562_0 {
	meta:
		name = "TBinaryField.GetText"
		size = 79
		refs = "000f TBinaryField.GetText 001f TField.GetAsString 0029 @UStrAsg 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64340_0 {
	meta:
		name = "LoadResStringW"
		size = 79
		refs = "000f LoadResStringW 001f LoadResString 0029 @WStrFromUStr 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5643_0 {
	meta:
		name = "TBlobField.GetText"
		size = 79
		refs = "000f TBlobField.GetText 001f TField.GetAsString 0029 @UStrAsg 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15162_0 {
	meta:
		name = "TCustomADODataSet.PSGetCommandText"
		size = 79
		refs = "000f TCustomADODataSet.PSGetCommandText 001f TCustomADODataSet.GetCommandText 0029 @UStrFromWStr 003e @WStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98798_0 {
	meta:
		name = "TModuleObj.GetObjects"
		size = 79
		refs = "000f TModuleObj.GetObjects 001f CreateEnumeratedObject 0029 @VarFromDisp 003e @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14922_0 {
	meta:
		name = "TParameter.GetDisplayName"
		size = 79
		refs = "000f TParameter.GetDisplayName 001f TParameter.GetName 0029 @UStrFromWStr 003e @WStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115279_0 {
	meta:
		name = "VariantArrayToString"
		size = 79
		refs = "000f VariantArrayToString 0029 @UStrFromLStr 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114625_0 {
	meta:
		name = "XMLStringToWideString"
		size = 79
		refs = "000f XMLStringToWideString 001f XMLStringToUnicodeString 0029 @WStrFromUStr 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5563_0 {
	meta:
		name = "TBinaryField.SetText"
		size = 52
		refs = "0005 TBinaryField.SetText 0010 @CallDynaInst 0015 @RaiseExcept"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 65 00 78 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_5564_0 {
	meta:
		name = "TBytesField.Create"
		size = 81
		refs = "000d @ClassCreate 001b TBinaryField.Create 003d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 0C BA 10 00 00 00 8B C3 8B 08 FF 91 10 01 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5566_0 {
	meta:
		name = "TVarBytesField.Create"
		size = 81
		refs = "000d @ClassCreate 001b TBytesField.Create 003d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 0D BA 10 00 00 00 8B C3 8B 08 FF 91 10 01 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5567_0 {
	meta:
		name = "TVarBytesField.GetDataSize"
		size = 18
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 B4 00 00 00 83 C0 02 5B C3 }
	condition:
		$1
}

rule function_5568_0 {
	meta:
		name = "TVarBytesField.SetAsByteArray"
		size = 130
		refs = "000f VarIsArray 0020 VarArrayHighBound 0039 VarArrayLock 0041 TVarBytesField.SetAsByteArray 0052 TField.SetData 0067 VarArrayUnlock 006d @HandleFinally 0079 TField.SetAsByteArray"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 5C 8B 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 46 8B C3 8B 10 FF 92 9C 00 00 00 3B F0 75 3E 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B1 01 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5569_0 {
	meta:
		name = "TBCDField.Create"
		size = 172
		refs = "0011 @ClassCreate 001f TNumericField.Create 0039 TBCDField.Create 0048 CurrencyString 0073 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 08 BA 04 00 00 00 8B C3 8B 08 FF 91 10 01 00 00 BE ?? ?? ?? ?? 8D 7D DC B9 08 00 00 00 F3 A5 A1 ?? ?? ?? ?? 0F B7 80 BE 00 00 00 0F B6 C0 0F AB 45 DC 8D 75 DC 8D BB A4 00 00 00 B9 08 00 00 00 F3 A5 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 28 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5570_0 {
	meta:
		name = "TBCDField.CheckTypeSize"
		size = 79
		refs = "0009 TBCDField.CheckTypeSize 001c SInvalidFieldSize 0021 LoadResString 002b DatabaseError 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FA 20 7E 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_5571_0 {
	meta:
		name = "TBCDField.GetAsBCD"
		size = 74
		refs = "000f TBCDField.GetValue 0018 NullBcd 0040 CurrToBCD"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 14 A1 ?? ?? ?? ?? 8B FE 8B F0 B9 08 00 00 00 F3 A5 66 A5 EB 19 FF 74 24 04 FF 74 24 04 8B C6 B9 04 00 00 00 BA 20 00 00 00 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5572_0 {
	meta:
		name = "TBCDField.GetAsCurrency"
		size = 35
		refs = "000b TBCDField.GetValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 33 C0 89 04 24 89 44 24 04 DF 2C 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_5573_0 {
	meta:
		name = "TBCDField.GetAsFloat"
		size = 36
		refs = "000f TBCDField.GetAsFloat"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 52 5C D8 35 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_5574_0 {
	meta:
		name = "TBCDField.GetAsInteger"
		size = 28
		refs = "000c TBCDField.GetAsInteger 0011 @ROUND"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 5C D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 40 1C 46 }
	condition:
		$1
}

rule function_5575_0 {
	meta:
		name = "TBCDField.GetAsLargeInt"
		size = 64
		refs = "000f TBCDField.GetAsLargeInt 0014 @ROUND"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 8B 10 FF 52 5C D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 08 89 54 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B 04 24 8B 54 24 04 83 C4 10 5B C3 00 00 40 1C 46 }
	condition:
		$1
}

rule function_5576_0 {
	meta:
		name = "TBCDField.GetAsSingle"
		size = 32
		refs = "000d TBCDField.GetAsSingle"
	strings:
		$1 = { 53 51 8B D8 8B C3 8B 10 FF 52 5C D8 35 ?? ?? ?? ?? D9 1C 24 9B D9 04 24 5A 5B C3 00 00 40 1C 46 }
	condition:
		$1
}

rule function_5577_0 {
	meta:
		name = "TBCDField.GetAsString"
		size = 130
		refs = "0015 TBCDField.GetAsString 0025 TBCDField.GetValue 0043 CurrencyString 0048 CurrToStr 0052 @UStrAsg 005b @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2B 8B 45 F0 89 45 E8 8B 45 F4 89 45 EC FF 75 EC FF 75 E8 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5578_0 {
	meta:
		name = "TBCDField.GetAsVariant"
		size = 46
		refs = "000e TBCDField.GetValue 001c @VarFromCurr 0025 Null"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C DF 2C 24 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_5579_0 {
	meta:
		name = "TBCDField.GetDataSize"
		size = 6
		altNames = "TEncodingInfoNATSDANOADD.MIBenum TFMTBCDField.GetDataSize"
	strings:
		$1 = { B8 22 00 00 00 C3 }
	condition:
		$1
}

rule function_5580_0 {
	meta:
		name = "TBCDField.GetDefaultWidth"
		size = 20
		refs = "000f TField.GetDefaultWidth"
	strings:
		$1 = { 8B 90 10 01 00 00 85 D2 7E 04 42 8B C2 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5581_0 {
	meta:
		name = "TBCDField.GetText"
		size = 369
		refs = "0022 TBCDField.GetText 0042 TField.GetData 0065 @UStrLAsg 0094 CurrencyString 00c7 CurrToStrF 00d2 @UStrAsg 0102 FormatCurr 0117 @UStrClr 0126 @HandleOnException 012e _Dn_Exception 013a SBcdOverflow 013f LoadResString 0144 @DoneExcept 015e @UStrArrayClr 0164 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 5D F0 8B D9 89 55 EC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 55 E0 33 C9 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 C5 00 00 00 84 DB 75 09 83 BE F4 00 00 00 00 75 10 8D 45 FC 8B 96 F0 00 00 00 E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 96 F4 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 59 80 BE F8 00 00 00 00 74 16 84 DB 74 04 B0 04 EB 02 B0 02 8B 15 ?? ?? ?? ?? 0F B6 52 05 EB 04 33 C0 33 D2 8B 4D E0 89 4D D8 8B 4D E4 89 4D DC 8B D8 8B F2 FF 75 DC FF 75 D8 8D 45 F8 50 8B C3 8B 0D ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 45 EC 8B 55 F8 E8 ?? ?? ?? ?? EB 43 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E0 89 45 D0 8B 45 E4 89 45 D4 FF 75 D4 FF 75 D0 8D 4D F0 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 8B 55 F0 E8 ?? ?? ?? ?? EB 08 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5584_0 {
	meta:
		name = "TBCDField.SetAsCurrency"
		size = 132
		refs = "0036 TBCDField.SetAsCurrency 006a TNumericField.RangeError 0076 TField.SetData"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 BB F9 00 00 00 00 74 5F DF 6D 08 DF AB 00 01 00 00 DE D9 9B DF E0 9E 77 11 DF 6D 08 DF AB 08 01 00 00 DE D9 9B DF E0 9E 73 3D DF 6D 08 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B DF AB 00 01 00 00 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B DF AB 08 01 00 00 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 8D 55 08 33 C9 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_5585_0 {
	meta:
		name = "TBCDField.SetAsFloat"
		size = 36
		refs = "0008 TBCDField.SetAsFloat"
	strings:
		$1 = { 55 8B EC DD 45 08 D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B 10 FF 92 CC 00 00 00 5D C2 08 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_5614_0 {
	meta:
		name = "TFMTBCDField.SetAsFloat"
		size = 36
		refs = "0008 TFMTBCDField.SetAsFloat"
	strings:
		$1 = { 55 8B EC DD 45 08 D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B 10 FF 92 CC 00 00 00 5D C2 08 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_5586_0 {
	meta:
		name = "TBCDField.SetAsInteger"
		size = 40
		refs = "000c TBCDField.SetAsInteger"
	strings:
		$1 = { 56 51 8B F0 89 14 24 DB 04 24 D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C6 8B 10 FF 92 CC 00 00 00 5A 5E C3 00 40 1C 46 }
	condition:
		$1
}

rule function_5615_0 {
	meta:
		name = "TFMTBCDField.SetAsInteger"
		size = 40
		refs = "000c TFMTBCDField.SetAsInteger"
	strings:
		$1 = { 56 51 8B F0 89 14 24 DB 04 24 D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C6 8B 10 FF 92 CC 00 00 00 5A 5E C3 00 40 1C 46 }
	condition:
		$1
}

rule function_5587_0 {
	meta:
		name = "TBCDField.SetAsLargeInt"
		size = 40
		refs = "000a TBCDField.SetAsLargeInt"
	strings:
		$1 = { 55 8B EC 8B C8 DF 6D 08 D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C1 8B 10 FF 92 CC 00 00 00 5D C2 08 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_5616_0 {
	meta:
		name = "TFMTBCDField.SetAsLargeInt"
		size = 40
		refs = "000a TFMTBCDField.SetAsLargeInt"
	strings:
		$1 = { 55 8B EC 8B C8 DF 6D 08 D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C1 8B 10 FF 92 CC 00 00 00 5D C2 08 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_5588_0 {
	meta:
		name = "TBCDField.SetAsSingle"
		size = 36
		refs = "0008 TBCDField.SetAsSingle"
	strings:
		$1 = { 55 8B EC D9 45 08 D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B 10 FF 92 CC 00 00 00 5D C2 04 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_5617_0 {
	meta:
		name = "TFMTBCDField.SetAsSingle"
		size = 36
		refs = "0008 TFMTBCDField.SetAsSingle"
	strings:
		$1 = { 55 8B EC D9 45 08 D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B 10 FF 92 CC 00 00 00 5D C2 04 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_5589_0 {
	meta:
		name = "TBCDField.SetAsString"
		size = 196
		refs = "0018 TBCDField.SetAsString 0035 @UStrToPWChar 003d CurrencyString 0048 TextToFloat 005f TField.GetDisplayName 0075 SInvalidFloatValue 007a LoadResString 0088 DatabaseErrorFmt 00b2 @UStrArrayClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E4 89 4D E0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 0C 8B C3 8B 10 FF 92 24 01 00 00 EB 6A 8B C6 E8 ?? ?? ?? ?? B2 01 8B 0D ?? ?? ?? ?? 51 8B CA 8D 55 F8 E8 ?? ?? ?? ?? 84 C0 75 3C 6A 00 89 75 E8 C6 45 EC 11 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 C6 45 F4 11 8D 45 E8 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 8B C3 8B 10 FF 92 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5593_0 {
	meta:
		name = "TBCDField.SetPrecision"
		size = 67
		refs = "003b TField.PropertyChanged"
	strings:
		$1 = { 56 57 55 8B FA 8B F0 8B 6E 3C 85 ED 74 0A 8B C5 8B 10 FF 92 C4 00 00 00 85 FF 7D 02 33 FF 83 FF 20 7E 05 BF 20 00 00 00 3B BE 10 01 00 00 74 0F 89 BE 10 01 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E C3 }
	condition:
		$1
}

rule function_5594_0 {
	meta:
		name = "TBCDField.SetVarValue"
		size = 33
		refs = "0009 @VarToCurrency"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C3 8B 10 FF 92 CC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5595_0 {
	meta:
		name = "TBCDField.UpdateCheckRange"
		size = 56
		refs = "000a TBCDField.UpdateCheckRange"
	strings:
		$1 = { 8B D0 DF AA 00 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 16 DF AA 08 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 04 33 C0 EB 02 B0 01 88 82 F9 00 00 00 C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_5597_0 {
	meta:
		name = "TFMTBCDField.Create"
		size = 192
		refs = "0011 @ClassCreate 001f TNumericField.Create 0039 TFMTBCDField.Create 0048 CurrencyString 0071 @UStrClr 0089 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 25 BA 08 00 00 00 8B C3 8B 08 FF 91 10 01 00 00 BE ?? ?? ?? ?? 8D 7D DC B9 08 00 00 00 F3 A5 A1 ?? ?? ?? ?? 0F B7 80 BE 00 00 00 0F B6 C0 0F AB 45 DC 8D 75 DC 8D BB A4 00 00 00 B9 08 00 00 00 F3 A5 8D 83 FC 00 00 00 E8 ?? ?? ?? ?? 8D 83 00 01 00 00 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 28 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5598_0 {
	meta:
		name = "TFMTBCDField.CheckTypeSize"
		size = 79
		refs = "0009 TFMTBCDField.CheckTypeSize 001c SInvalidFieldSize 0021 LoadResString 002b DatabaseError 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FA 40 7E 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_5599_0 {
	meta:
		name = "TFMTBCDField.GetAsBCD"
		size = 42
		refs = "000c TFMTBCDField.GetValue 0015 NullBcd"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 12 A1 ?? ?? ?? ?? 8B FE 8B F0 B9 08 00 00 00 F3 A5 66 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5601_0 {
	meta:
		name = "TFMTBCDField.GetAsFloat"
		size = 53
		refs = "000d TFMTBCDField.GetValue 0025 BcdToDouble"
	strings:
		$1 = { 53 83 C4 D4 8B D8 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 33 C0 89 04 24 89 44 24 04 EB 0D 8D 44 24 08 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 2C 5B C3 }
	condition:
		$1
}

rule function_5604_0 {
	meta:
		name = "TFMTBCDField.GetAsSingle"
		size = 49
		refs = "000d TFMTBCDField.GetValue 0021 BcdToDouble"
	strings:
		$1 = { 53 83 C4 D8 8B D8 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 33 C0 89 04 24 EB 0D 8D 44 24 04 E8 ?? ?? ?? ?? D9 1C 24 9B D9 04 24 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_5605_0 {
	meta:
		name = "TFMTBCDField.GetAsString"
		size = 46
		refs = "000e TFMTBCDField.GetValue 001b BcdToStr 0024 @UStrClr"
	strings:
		$1 = { 53 56 83 C4 DC 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C4 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 83 C4 24 5E 5B C3 }
	condition:
		$1
}

rule function_5606_0 {
	meta:
		name = "TFMTBCDField.GetAsVariant"
		size = 46
		refs = "000e TFMTBCDField.GetValue 001b VarFMTBcdCreate 0024 Null"
	strings:
		$1 = { 53 56 83 C4 DC 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C4 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 83 C4 24 5E 5B C3 }
	condition:
		$1
}

rule function_5608_0 {
	meta:
		name = "TFMTBCDField.GetDefaultWidth"
		size = 20
		refs = "000f TField.GetDefaultWidth"
	strings:
		$1 = { 8B 90 04 01 00 00 85 D2 7E 04 42 8B C2 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5609_0 {
	meta:
		name = "TFMTBCDField.GetText"
		size = 322
		refs = "001f TFMTBCDField.GetText 003f TField.GetData 0062 @UStrLAsg 0091 CurrencyString 00b0 BcdToStrF 00bb @UStrAsg 00cb FormatBcd 00e0 @UStrClr 00ef @HandleOnException 00f7 _Dn_Exception 0103 SBcdOverflow 0108 LoadResString 010d @DoneExcept 0127 @UStrArrayClr 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D D0 89 5D FC 8B D9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 D6 33 C9 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 91 00 00 00 84 DB 75 09 83 BE F4 00 00 00 00 75 10 8D 45 FC 8B 96 F0 00 00 00 E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 96 F4 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 45 80 BE F8 00 00 00 00 74 16 84 DB 74 04 B3 04 EB 02 B3 02 8B 3D ?? ?? ?? ?? 0F B6 7F 05 EB 04 33 DB 33 FF 57 8D 45 D0 50 8B D3 8B 8E 04 01 00 00 8D 45 D6 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F8 E8 ?? ?? ?? ?? EB 23 8D 4D CC 8D 55 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F8 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5611_0 {
	meta:
		name = "TFMTBCDField.BcdRangeError"
		size = 201
		refs = "0020 @VarAddRef 0028 @UStrAddRef 0038 TFMTBCDField.BcdRangeError 0048 SBcdFieldRangeError 004d LoadResString 0087 DatabaseErrorFmt 009c @UStrClr 00a4 @VarClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D E4 8B F2 8D 7D E8 A5 A5 A5 A5 89 4D FC 8B D8 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8D 45 E8 89 45 C4 C6 45 C8 0D 8B 43 40 89 45 CC C6 45 D0 11 8B 45 FC 89 45 D4 C6 45 D8 11 8B 45 08 89 45 DC C6 45 E0 11 8D 55 C4 B9 03 00 00 00 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5612_0 {
	meta:
		name = "TFMTBCDField.SetAsBCD"
		size = 261
		refs = "0019 TFMTBCDField.SetAsBCD 0029 VarFMTBcdCreate 0085 @VarCmpLT 0092 @VarCmpGT 009f @VarToUStr 00bb TFMTBCDField.BcdRangeError 00c6 TField.SetData 00e0 @UStrArrayClr 00e9 Variant 00f3 @FinalizeArray 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 80 BB F9 00 00 00 00 0F 84 85 00 00 00 8D 45 E0 50 8B C3 8B 10 FF 92 B4 00 00 00 8B C8 0F B7 93 04 01 00 00 8B 83 00 01 00 00 E8 ?? ?? ?? ?? 8D 45 D0 50 8B C3 8B 10 FF 92 B4 00 00 00 8B C8 0F B7 93 04 01 00 00 8B 83 FC 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8D 55 D0 E8 ?? ?? ?? ?? 7C 0D 8D 45 F0 8D 55 E0 E8 ?? ?? ?? ?? 7E 27 8D 45 CC 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 CC 50 8D 45 C8 8D 55 D0 E8 ?? ?? ?? ?? 8B 4D C8 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B D6 33 C9 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5613_0 {
	meta:
		name = "TFMTBCDField.SetAsCurrency"
		size = 337
		refs = "0017 TFMTBCDField.SetAsCurrency 0035 CurrToBCD 0064 VarFMTBcdCreate 0091 @VarFromCurr 009c @VarCmpLT 00b4 @VarCmpGT 00c1 @VarToUStr 00ea TFMTBCDField.BcdRangeError 00f6 TField.SetData 010b @VarClr 0118 @UStrArrayClr 0121 Variant 012b @FinalizeArray 0144 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0F 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 BE B9 04 00 00 00 BA 12 00 00 00 E8 ?? ?? ?? ?? 80 BB F9 00 00 00 00 0F 84 A8 00 00 00 8D 45 F0 50 8B C3 8B 10 FF 92 B4 00 00 00 8B C8 0F B7 93 04 01 00 00 8B 83 00 01 00 00 E8 ?? ?? ?? ?? 8D 45 E0 50 8B C3 8B 10 FF 92 B4 00 00 00 8B C8 0F B7 93 04 01 00 00 8B 83 FC 00 00 00 E8 ?? ?? ?? ?? DF 6D 08 8D 45 AC E8 ?? ?? ?? ?? 8D 45 AC 8D 55 E0 E8 ?? ?? ?? ?? 7C 18 DF 6D 08 8D 45 9C E8 ?? ?? ?? ?? 8D 45 9C 8D 55 F0 E8 ?? ?? ?? ?? 7E 34 8D 45 98 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 98 50 8D 45 94 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 94 50 DF 6D 08 8D 45 84 E8 ?? ?? ?? ?? 8D 55 84 8B C3 59 E8 ?? ?? ?? ?? 8D 55 BE 33 C9 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 94 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 9C 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5618_0 {
	meta:
		name = "TFMTBCDField.SetAsString"
		size = 52
		refs = "001e StrToBcd"
	strings:
		$1 = { 53 56 83 C4 DC 8B F2 8B D8 85 F6 75 0C 8B C3 8B 10 FF 92 24 01 00 00 EB 15 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 91 C0 00 00 00 83 C4 24 5E 5B C3 }
	condition:
		$1
}

rule function_5620_0 {
	meta:
		name = "TFMTBCDField.SetMaxValue"
		size = 86
		refs = "000e @UStrAddRef 0016 TFMTBCDField.SetMaxValue 002a @UStrAsg 0031 TFMTBCDField.UpdateCheckRange 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 00 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5621_0 {
	meta:
		name = "TFMTBCDField.SetMinValue"
		size = 86
		refs = "000e @UStrAddRef 0016 TFMTBCDField.SetMinValue 002a @UStrAsg 0031 TFMTBCDField.UpdateCheckRange 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 FC 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5622_0 {
	meta:
		name = "TFMTBCDField.SetPrecision"
		size = 67
		refs = "003b TField.PropertyChanged"
	strings:
		$1 = { 56 57 55 8B FA 8B F0 8B 6E 3C 85 ED 74 0A 8B C5 8B 10 FF 92 C4 00 00 00 85 FF 7D 02 33 FF 83 FF 40 7E 05 BF 40 00 00 00 3B BE 04 01 00 00 74 0F 89 BE 04 01 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E C3 }
	condition:
		$1
}

rule function_5623_0 {
	meta:
		name = "TFMTBCDField.SetVarValue"
		size = 36
		refs = "000e VarToBcd"
	strings:
		$1 = { 53 56 83 C4 DC 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 91 C0 00 00 00 83 C4 24 5E 5B C3 }
	condition:
		$1
}

rule function_5624_0 {
	meta:
		name = "TFMTBCDField.UpdateCheckRange"
		size = 35
	strings:
		$1 = { 53 8B D8 83 BB FC 00 00 00 00 75 0D 83 BB 00 01 00 00 00 75 04 33 C0 EB 02 B0 01 88 83 F9 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5625_0 {
	meta:
		name = "TFMTBCDField.CopyData"
		size = 22
	strings:
		$1 = { 53 56 57 8B D9 8B FB 8B F2 B9 08 00 00 00 F3 A5 66 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5626_0 {
	meta:
		name = "TBlobField.Create"
		size = 73
		refs = "000d @ClassCreate 001b TField.Create 0035 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 0F C6 83 F5 00 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5627_0 {
	meta:
		name = "TBlobField.Assign"
		size = 180
		refs = "000f TBlobField.Assign 001d _DV_TBlobField 0022 @IsClass 002f TBlobField.LoadFromBlob 0039 _Dn_TStrings 004b TBlobField.LoadFromStrings 0055 _Dn_TWideStrings 0075 TBlobField.SupportsStreamPersist 0083 TBlobField.LoadFromStreamPersist 008e TField.Assign 00a3 @IntfClear 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 5D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 41 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 25 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5628_0 {
	meta:
		name = "TBlobField.SupportsStreamPersist"
		size = 72
		refs = "000a _Dn_TInterfacedPersistent 000f @IsClass 001a @IntfClear 0020 TBlobField.SupportsStreamPersist"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B C6 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 53 8B 03 FF 50 0C 85 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 A3 12 CD B8 7A 26 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_5629_0 {
	meta:
		name = "TBlobField.AssignTo"
		size = 152
		refs = "000f TBlobField.AssignTo 001d _Dn_TStrings 0022 @IsClass 002f TBlobField.SaveToStrings 0039 _Dn_TWideStrings 0059 TBlobField.SupportsStreamPersist 0067 TBlobField.SaveToStreamPersist 0072 TPersistent.AssignTo 0087 @IntfClear 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 41 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 25 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5630_0 {
	meta:
		name = "TBlobField.Clear"
		size = 25
		refs = "0013 TObject.Free"
	strings:
		$1 = { 53 8B D8 B1 01 8B D3 8B 43 3C 8B 18 FF 93 70 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5631_0 {
	meta:
		name = "TBlobField.FreeBuffers"
		size = 34
	strings:
		$1 = { 53 8B D8 80 BB F4 00 00 00 00 74 14 8B D3 8B 43 3C 8B 08 FF 91 D0 00 00 00 C6 83 F4 00 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5633_0 {
	meta:
		name = "TBlobField.GetAsWideString"
		size = 119
		refs = "001f TBlobField.GetAsWideString 0042 @UStrFromPWCharLen 0051 TStream.ReadBuffer 0066 TObject.Free 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B 50 3C 33 C9 92 8B 18 FF 93 70 02 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 12 8B D8 8D 4B 01 D1 F9 79 03 83 D1 00 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 8B 12 8B CB 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5634_0 {
	meta:
		name = "TBlobField.GetAsAnsiString"
		size = 118
		refs = "001f TBlobField.GetAsAnsiString 0041 @LStrFromPCharLen 0050 TStream.ReadBuffer 0065 TObject.Free 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B 50 3C 33 C9 92 8B 18 FF 93 70 02 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 12 8B D8 6A 00 8B CB 85 C9 C1 F9 00 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 8B 12 8B CB 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5635_0 {
	meta:
		name = "TBlobField.GetAsVariant"
		size = 191
		refs = "001f TBlobField.GetAsVariant 0052 VarArrayCreate 005a VarArrayLock 0074 TStream.ReadBuffer 0089 VarArrayUnlock 008f @HandleFinally 0099 Null 00ae TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 55 FC 8B 50 3C 33 C9 92 8B 18 FF 93 70 02 00 00 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 10 FF 12 8B D8 85 DB 7E 5F 8B 45 FC 50 33 C0 89 45 F0 8B C3 48 89 45 F4 8D 45 F0 66 B9 11 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B CB 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5636_0 {
	meta:
		name = "TBlobField.GetAsBytes"
		size = 122
		refs = "001f TBlobField.GetAsBytes 003d TArray<System.Byte> 0042 @DynArraySetLength 0054 TStream.ReadBuffer 0069 TObject.Free 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B 50 3C 33 C9 92 8B 18 FF 93 70 02 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 12 8B D8 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B 12 8B CB 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5637_0 {
	meta:
		name = "TBlobField.GetBlobSize"
		size = 85
		refs = "001c TBlobField.GetBlobSize 0041 TObject.Free 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B 50 3C 33 C9 92 8B 18 FF 93 70 02 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 12 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5638_0 {
	meta:
		name = "TBlobField.GetClassDesc"
		size = 160
		refs = "0015 TBlobField.GetClassDesc 0027 FieldTypeNames 003d Format 0055 AnsiUpperCase 005f @UStrAsg 0074 @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 0F B6 43 48 8B 04 85 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 B0 00 00 00 84 C0 75 14 8D 55 F4 8B 06 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 28 00 25 00 73 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_5641_0 {
	meta:
		name = "TBlobField.GetIsNull"
		size = 121
		refs = "000c TBlobField.GetModified 002a TBlobField.GetIsNull 005a TObject.Free 0060 @HandleFinally 0069 TField.GetIsNull"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 52 8B 43 3C 33 C9 8B D3 8B 18 FF 93 70 02 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 12 83 FA 00 75 03 83 F8 00 0F 94 C0 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 E8 ?? ?? ?? ?? 88 45 FF 0F B6 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5642_0 {
	meta:
		name = "TBlobField.GetModified"
		size = 29
	strings:
		$1 = { 80 B8 F4 00 00 00 00 74 0E 8B 50 3C 8B 52 5C 3B 90 F0 00 00 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_5645_0 {
	meta:
		name = "TBlobField.LoadFromBlob"
		size = 83
		refs = "001d TBlobField.LoadFromBlob 002d TBlobField.SaveToStream 0042 TObject.Free 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B 50 3C B1 01 92 8B 30 FF 96 70 02 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5647_0 {
	meta:
		name = "TBlobField.LoadFromStream"
		size = 87
		refs = "001d TBlobField.LoadFromStream 0031 TStream.CopyFrom 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B 50 3C B1 01 92 8B 30 FF 96 70 02 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5648_0 {
	meta:
		name = "TBlobField.LoadFromStrings"
		size = 86
		refs = "001d TBlobField.LoadFromStrings 0045 TObject.Free 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B 50 3C B1 01 92 8B 18 FF 93 70 02 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 91 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5649_0 {
	meta:
		name = "TBlobField.LoadFromStrings"
		size = 86
		refs = "001d TBlobField.LoadFromStrings 0045 TObject.Free 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B 50 3C B1 01 92 8B 30 FF 96 70 02 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 91 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5650_0 {
	meta:
		name = "TBlobField.LoadFromStreamPersist"
		size = 251
		refs = "0011 @IntfAddRef 0019 TBlobField.LoadFromStreamPersist 0088 TStream.GetPosition 009a TStream.SetPosition 00cc TObject.Free 00d2 @HandleFinally 00e9 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 3C B1 01 8B D3 8B 30 FF 96 70 02 00 00 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB F5 00 00 00 00 74 06 80 7B 48 11 74 06 80 7B 48 15 75 58 66 C7 45 F4 01 00 66 C7 45 F6 00 01 33 C0 89 45 F8 8D 55 F4 B9 08 00 00 00 8B 45 F0 8B 18 FF 53 10 8B 55 F0 8B 45 FC 8B 08 FF 51 10 8B 45 F0 E8 ?? ?? ?? ?? 83 E8 08 89 45 F8 6A 00 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 F4 B9 08 00 00 00 8B 45 F0 8B 18 FF 53 10 EB 0B 8B 55 F0 8B 45 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5652_0 {
	meta:
		name = "TBlobField.SaveToStream"
		size = 87
		refs = "001d TBlobField.SaveToStream 0031 TStream.CopyFrom 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B 50 3C 33 C9 92 8B 30 FF 96 70 02 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5653_0 {
	meta:
		name = "TBlobField.SaveToStrings"
		size = 83
		refs = "001d TBlobField.SaveToStrings 0042 TObject.Free 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B 50 3C 33 C9 92 8B 30 FF 96 70 02 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5654_0 {
	meta:
		name = "TBlobField.SaveToStrings"
		size = 83
		refs = "001d TBlobField.SaveToStrings 0042 TObject.Free 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B 50 3C 33 C9 92 8B 18 FF 93 70 02 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5655_0 {
	meta:
		name = "TBlobField.SaveToStreamPersist"
		size = 207
		refs = "0011 @IntfAddRef 0019 TBlobField.SaveToStreamPersist 0080 TStream.SetPosition 00a0 TObject.Free 00a6 @HandleFinally 00bd @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 3C 33 C9 8B D3 8B 18 FF 93 70 02 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 12 8B D8 83 FB 08 7C 33 8D 55 F0 B9 08 00 00 00 8B 45 F8 8B 30 FF 56 0C 66 83 7D F0 01 75 10 66 81 7D F2 00 01 75 08 83 EB 08 3B 5D F4 74 0C 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5657_0 {
	meta:
		name = "TBlobField.SetAsWideString"
		size = 19
		refs = "000e TBlobField.SetData"
	strings:
		$1 = { 8B CA 85 C9 74 05 83 E9 04 8B 09 03 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5658_0 {
	meta:
		name = "TBlobField.SetAsAnsiString"
		size = 23
		refs = "0011 TBlobField.SetData"
	strings:
		$1 = { 51 89 14 24 8B 0C 24 85 C9 74 05 83 E9 04 8B 09 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_71348_0 {
	meta:
		name = "TCustomWinSocket.SendText"
		size = 23
		refs = "0011 TCustomWinSocket.SendBuf"
	strings:
		$1 = { 51 89 14 24 8B 0C 24 85 C9 74 05 83 E9 04 8B 09 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_5659_0 {
	meta:
		name = "TBlobField.SetAsBytes"
		size = 27
		refs = "0009 @DynArrayLength 0014 TBlobField.SetData"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98427_0 {
	meta:
		name = "TScriptProducer.Write"
		size = 27
		refs = "0009 @PCharLen 0014 TScriptProducer.WritePChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5660_0 {
	meta:
		name = "TBlobField.SetData"
		size = 92
		refs = "0022 TBlobField.SetData 0035 TStream.WriteBuffer 004a TObject.Free 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B 50 3C B1 01 92 8B 30 FF 96 70 02 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 4D FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5661_0 {
	meta:
		name = "TBlobField.SetBlobType"
		size = 15
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 91 30 01 00 00 5E C3 }
	condition:
		$1
}

rule function_5662_0 {
	meta:
		name = "TBlobField.SetFieldType"
		size = 14
	strings:
		$1 = { 8B CA 80 C1 F1 80 E9 19 73 03 88 50 48 C3 }
	condition:
		$1
}

rule function_5663_0 {
	meta:
		name = "TBlobField.SetModified"
		size = 25
	strings:
		$1 = { 8B CA 88 88 F4 00 00 00 84 C9 74 0C 8B 50 3C 8B 52 5C 89 90 F0 00 00 00 C3 }
	condition:
		$1
}

rule function_5664_0 {
	meta:
		name = "TBlobField.SetVarValue"
		size = 336
		refs = "0015 TBlobField.SetVarValue 0023 VarIsClear 002f VarIsNull 004a VarIsArray 0056 VarArrayLock 0073 VarArrayHighBound 007f TBlobField.SetData 0094 VarArrayUnlock 009a @HandleFinally 00c1 @VarToLStr 00db @VarToUStr 010f VarToStr 0136 @UStrArrayClr 013e @LStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0F 8B C6 8B 10 FF 92 24 01 00 00 E9 DA 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 4E 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 40 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 0F B7 00 66 83 E8 08 74 42 66 2D F8 00 74 08 66 83 E8 02 74 1C EB 4E 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 08 FF 91 F8 00 00 00 EB 4C 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B C6 8B 08 FF 91 F0 00 00 00 EB 32 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F0 8B C6 8B 08 FF 91 F4 00 00 00 EB 18 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B C6 8B 08 FF 91 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5665_0 {
	meta:
		name = "TMemoField.Create"
		size = 73
		refs = "000d @ClassCreate 001b TBlobField.Create 0035 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 10 C6 83 F6 00 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5671_0 {
	meta:
		name = "TWideMemoField.Create"
		size = 66
		refs = "000d @ClassCreate 001b TBlobField.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 27 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5672_0 {
	meta:
		name = "TWideMemoField.GetAsAnsiString"
		size = 87
		refs = "000f TWideMemoField.GetAsAnsiString 0031 @LStrFromUStr 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 84 00 00 00 8B 55 FC 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5673_0 {
	meta:
		name = "TWideMemoField.GetAsString"
		size = 21
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 84 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5676_0 {
	meta:
		name = "TWideMemoField.SetAsString"
		size = 15
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 91 F4 00 00 00 5E C3 }
	condition:
		$1
}

rule function_5678_0 {
	meta:
		name = "TGraphicField.Create"
		size = 66
		refs = "000d @ClassCreate 001b TBlobField.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 11 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5679_0 {
	meta:
		name = "TObjectField.Create"
		size = 96
		refs = "000f @ClassCreate 001f _DV_TFields 0024 TFields.Create 003d TField.Create 004a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F4 00 00 00 89 B3 F0 00 00 00 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5680_0 {
	meta:
		name = "TObjectField.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TField.Destroy 001d TObject.Free 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 F4 00 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5682_0 {
	meta:
		name = "TObjectField.WriteUnNamed"
		size = 14
		refs = "0009 TWriter.WriteBoolean"
	strings:
		$1 = { 0F B6 80 00 01 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5683_0 {
	meta:
		name = "UnNamedStored"
		size = 55
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 40 20 85 C0 74 18 8B 55 08 8B 52 F8 0F B6 92 00 01 00 00 3A 90 00 01 00 00 0F 95 C0 5D C3 8B 45 08 8B 40 F8 0F B6 80 00 01 00 00 5D C3 }
	condition:
		$1
}

rule function_5684_0 {
	meta:
		name = "TObjectField.DefineProperties"
		size = 100
		refs = "0014 TField.DefineProperties 001d TObjectField.ReadUnNamed 0026 TObjectField.WriteUnNamed 002c UnNamedStored 0034 TObjectField.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 6E 00 4E 00 61 00 6D 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_5685_0 {
	meta:
		name = "TObjectField.GetChildren"
		size = 82
		refs = "0018 TFields.GetCount 0032 TFields.GetField"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 F8 89 45 FC 8B 45 FC 8B 80 F4 00 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 27 43 33 F6 8B 45 FC 8B 80 F4 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 50 04 3B 55 F8 75 08 8B D0 8B 45 0C FF 55 08 46 4B 75 DC 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5686_0 {
	meta:
		name = "TObjectField.SetChildOrder"
		size = 57
		refs = "000d _DV_TField 0012 @AsClass 0024 TList.IndexOf 0031 TField.SetIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 86 F0 00 00 00 8B D3 8B 40 04 E8 ?? ?? ?? ?? 85 C0 7C 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5687_0 {
	meta:
		name = "TObjectField.GetDefaultWidth"
		size = 93
		refs = "0012 TFields.GetCount 0038 TFields.GetField"
	strings:
		$1 = { 53 56 57 55 8B F0 BD 0A 00 00 00 8B 86 F4 00 00 00 E8 ?? ?? ?? ?? 85 C0 7E 3C 8B 86 F4 00 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1E 43 33 FF 8B D7 8B 86 F4 00 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 A4 00 00 00 03 E8 47 4B 75 E5 B9 02 00 00 00 8B C5 99 F7 F9 89 C5 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5688_0 {
	meta:
		name = "TObjectField.GetHasConstraints"
		size = 78
		refs = "0009 TField.GetHasConstraints 001a TFields.GetCount 0031 TFields.GetField"
	strings:
		$1 = { 53 56 57 55 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 84 DB 75 34 8B 87 F0 00 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 22 46 33 ED 8B 87 F0 00 00 00 8B D5 E8 ?? ?? ?? ?? 8B 10 FF 92 AC 00 00 00 8B D8 84 DB 75 04 45 4E 75 E1 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5689_0 {
	meta:
		name = "TObjectField.SetFieldKind"
		size = 215
		refs = "0032 TDataSetDesigner.BeginDesign 003a TObjectField.SetFieldKind 0052 TFields.GetCount 0069 TFields.GetField 0089 TDataSetDesigner.EndDesign 008f @HandleFinally 0098 TField.CheckInactive"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 55 FF 8B D8 0F B6 43 4A 3A 45 FF 0F 84 B5 00 00 00 8B 43 3C 85 C0 74 73 83 78 74 00 74 6D 8B 40 74 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 FF 88 43 4A 8B 83 F0 00 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1B 46 33 FF 8B 83 F0 00 00 00 8B D7 E8 ?? ?? ?? ?? 0F B6 55 FF 88 50 4A 47 4E 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 E8 ?? ?? ?? ?? 0F B6 45 FF 88 43 4A 8B 83 F0 00 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1B 46 33 FF 8B 83 F0 00 00 00 8B D7 E8 ?? ?? ?? ?? 0F B6 55 FF 88 50 4A 47 4E 75 E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5690_0 {
	meta:
		name = "TObjectField.DataSetChanged"
		size = 89
		refs = "0014 TFields.GetCount 002b TFields.GetField 0051 TDataSet.SetObjectView"
	strings:
		$1 = { 53 56 57 8B D8 8B B3 F4 00 00 00 8B 43 3C 89 46 08 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 21 40 89 C6 33 FF 8B D7 8B 83 F4 00 00 00 E8 ?? ?? ?? ?? 8B 53 3C 8B 08 FF 91 04 01 00 00 47 4E 75 E4 8B 43 3C 85 C0 74 10 80 B8 B1 00 00 00 00 75 07 B2 01 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5691_0 {
	meta:
		name = "TObjectField.SetDataSet"
		size = 31
		refs = "0012 TField.SetDataSet 0019 TObjectField.DataSetChanged"
	strings:
		$1 = { 53 8B D8 8B 83 F4 00 00 00 89 83 F0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5692_0 {
	meta:
		name = "TObjectField.SetParentField"
		size = 31
		refs = "0012 TField.SetParentField 0019 TObjectField.DataSetChanged"
	strings:
		$1 = { 53 8B D8 8B 83 F4 00 00 00 89 83 F0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5694_0 {
	meta:
		name = "TObjectField.FreeBuffers"
		size = 52
		refs = "000c TFields.GetCount 0023 TFields.GetField"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 F4 00 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 19 43 33 F6 8B 87 F4 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 4C 46 4B 75 EA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5695_0 {
	meta:
		name = "TObjectField.GetFieldCount"
		size = 20
		refs = "000e TFields.GetCount"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 34 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5696_0 {
	meta:
		name = "TObjectField.GetFields"
		size = 7
	strings:
		$1 = { 8B 80 F0 00 00 00 C3 }
	condition:
		$1
}

rule function_5697_0 {
	meta:
		name = "ValueToStr"
		size = 364
		refs = "0019 ValueToStr 0026 @UStrClr 002e VarIsArray 0043 VarArrayHighBound 006a @VarArrayGet 0096 VarToStr 00aa @UStrCatN 00b7 CurrencyString 00c0 @UStrFromWChar 00d0 @UStrCat3 011a @VarClr 0127 @UStrArrayClr 012d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B DA 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 0F 84 A0 00 00 00 8B 45 E4 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 8D 45 F8 E8 ?? ?? ?? ?? 8B FE 85 FF 0F 8C 89 00 00 00 47 33 F6 56 6A 01 8B 45 E4 50 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 08 50 8D 55 FC 8D 45 E8 E8 ?? ?? ?? ?? 59 EB 0B 8D 55 FC 8D 45 E8 E8 ?? ?? ?? ?? FF 33 FF 75 F8 FF 75 FC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 85 F6 75 22 8D 45 E0 8B 15 ?? ?? ?? ?? 0F B7 52 0A E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 86 EB 0A 8B D3 8B 45 E4 E8 ?? ?? ?? ?? 83 3B 00 74 18 68 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_5698_0 {
	meta:
		name = "TObjectField.GetAsString"
		size = 147
		refs = "0015 TObjectField.GetAsString 0030 TFields.GetCount 004d ValueToStr 0058 @UStrAsg 0063 TField.GetAsString 0078 @VarClr 0080 @UStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 F0 00 00 00 3B B3 F4 00 00 00 75 31 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 26 55 8D 55 EC 8B C3 8B 08 FF 91 90 00 00 00 8D 45 EC 8D 55 FC E8 ?? ?? ?? ?? 59 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5699_0 {
	meta:
		name = "TObjectField.GetFieldValue"
		size = 36
		refs = "0012 TFields.GetField"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 83 F0 00 00 00 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 91 90 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5700_0 {
	meta:
		name = "TObjectField.SetFieldValue"
		size = 36
		refs = "0012 TFields.GetField"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 83 F0 00 00 00 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 91 00 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5701_0 {
	meta:
		name = "TObjectField.GetAsVariant"
		size = 199
		refs = "0021 TObjectField.GetAsVariant 003e Null 0051 TObjectField.GetFieldCount 0066 VarArrayCreate 0098 @VarArrayPut 00b4 @VarClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 89 4D E4 89 4D E8 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 B0 00 00 00 84 C0 74 0A 8B 45 F8 E8 ?? ?? ?? ?? EB 5F 8B 45 F8 50 33 C0 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 48 89 45 F4 8D 45 F0 66 B9 0C 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2A 46 33 DB 53 6A 01 8D 4D E0 8B D3 8B 45 FC 8B 38 FF 97 38 01 00 00 8D 45 E0 50 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5702_0 {
	meta:
		name = "TObjectField.SetVarValue"
		size = 163
		refs = "0018 TObjectField.SetVarValue 002b VarArrayHighBound 0064 @VarArrayGet 0090 @VarClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 43 8B 45 FC 8B 10 FF 92 B4 00 00 00 3B D8 7E 0D 8B 45 FC 8B 10 FF 92 B4 00 00 00 8B D8 8B F3 4E 85 F6 7C 2A 46 33 DB 53 6A 01 8B 45 F8 50 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 4D E8 8B D3 8B 45 FC 8B 38 FF 97 3C 01 00 00 43 4E 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5703_0 {
	meta:
		name = "TObjectField.SetUnNamed"
		size = 7
	strings:
		$1 = { 88 90 00 01 00 00 C3 }
	condition:
		$1
}

rule function_5704_0 {
	meta:
		name = "TADTField.Create"
		size = 82
		refs = "000d @ClassCreate 001b TObjectField.Create 002b TADTField.FieldsChanged 003e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 83 F0 00 00 00 89 58 14 C7 40 10 ?? ?? ?? ?? 8B C3 C6 40 48 1A 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5705_0 {
	meta:
		name = "TADTField.FieldsChanged"
		size = 9
	strings:
		$1 = { 33 D2 89 90 FC 00 00 00 C3 }
	condition:
		$1
}

rule function_5706_0 {
	meta:
		name = "CalcTotalSize"
		size = 107
		refs = "000f TFields.GetCount 002e TFields.GetField 0047 _DV_TADTField 004c @AsClass 005c CalcTotalSize"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F8 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 01 02 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3F 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 80 78 48 1A 75 29 8B 45 08 50 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 34 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 59 43 4E 75 C4 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5707_0 {
	meta:
		name = "TADTField.GetSize"
		size = 43
		refs = "001d CalcTotalSize"
	strings:
		$1 = { 55 8B EC 53 8B D8 83 BB FC 00 00 00 00 75 13 55 8D 93 FC 00 00 00 8B 83 F0 00 00 00 E8 ?? ?? ?? ?? 59 8B 83 FC 00 00 00 5B 5D C3 }
	condition:
		$1
}

rule function_5708_0 {
	meta:
		name = "TArrayField.Create"
		size = 81
		refs = "000d @ClassCreate 001b TObjectField.Create 003d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 1B BA 0A 00 00 00 8B C3 8B 08 FF 91 10 01 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5709_0 {
	meta:
		name = "TArrayField.Bind"
		size = 36
		refs = "0006 TField.Bind"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 3C 80 B8 B2 00 00 00 00 74 0C 8B 83 F0 00 00 00 8B 53 50 89 50 0C 5B C3 }
	condition:
		$1
}

rule function_5710_0 {
	meta:
		name = "TArrayField.SetSize"
		size = 19
		refs = "0009 TField.CheckInactive"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 73 50 5E 5B C3 }
	condition:
		$1
}

rule function_5711_0 {
	meta:
		name = "TDataSetField.Create"
		size = 66
		refs = "000d @ClassCreate 001b TObjectField.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 1D 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5712_0 {
	meta:
		name = "TDataSetField.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 0010 TDataSetField.AssignNestedDataSet 001b TObject.Free 0026 TObjectField.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 86 08 01 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5713_0 {
	meta:
		name = "TDataSetField.SetIncludeObjectField"
		size = 42
	strings:
		$1 = { 56 57 51 88 14 24 8B F0 8B BE 0C 01 00 00 85 FF 74 0A 8B C7 8B 10 FF 92 C4 00 00 00 0F B6 04 24 88 86 10 01 00 00 5A 5F 5E C3 }
	condition:
		$1
}

rule function_5714_0 {
	meta:
		name = "TDataSetField.Bind"
		size = 53
		refs = "000b TField.Bind 0027 TDataSet.Open 002e TDataSet.Close"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 86 0C 01 00 00 85 C0 74 19 84 DB 74 10 80 B8 A5 00 00 00 00 75 0C E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5715_0 {
	meta:
		name = "TDataSetField.GetFields"
		size = 28
		refs = "000f TDataSetField.GetNestedDataSet 0016 TObjectField.GetFields"
	strings:
		$1 = { 53 8B D8 83 BB 0C 01 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5716_0 {
	meta:
		name = "TDataSetField.GetNestedDataSet"
		size = 48
	strings:
		$1 = { 53 8B D8 83 BB 0C 01 00 00 00 75 1C 8B 43 3C F6 40 1C 02 75 13 8B D3 8B 43 3C 8B 08 FF 91 DC 00 00 00 89 83 0C 01 00 00 8B 83 0C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_5717_0 {
	meta:
		name = "TDataSetField.AssignNestedDataSet"
		size = 111
		refs = "0011 TDataSet.Close 002b TDataSet.GetNestedDataSets 0038 TList.RemoveItem 004b TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 0C 01 00 00 85 C0 74 2C E8 ?? ?? ?? ?? 8B 83 0C 01 00 00 33 D2 89 90 8C 00 00 00 8B 43 3C 85 C0 74 12 E8 ?? ?? ?? ?? 8B 93 0C 01 00 00 33 C9 E8 ?? ?? ?? ?? 85 F6 74 1A 8B 43 3C E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 46 38 89 83 F0 00 00 00 EB 0C 8B 83 F4 00 00 00 89 83 F0 00 00 00 89 B3 0C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5718_0 {
	meta:
		name = "TDataSetField.GetCanModify"
		size = 48
		refs = "0006 TField.GetCanModify 0011 TDataSetField.GetNestedDataSet 0020 TDataSet.GetActive"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0F 8B 83 0C 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_5719_0 {
	meta:
		name = "TDataSetField.Assign"
		size = 250
		refs = "000e TField.Assign 0016 _DV_TDataSetField 001b @IsClass 0030 @AsClass 0035 TDataSetField.GetNestedDataSet 0059 TDataSet.First 0067 TDataSet.Append 0076 TFields.GetCount 0091 TFields.GetField 009c TDataSet.FieldByName 00d5 TDataSet.Next"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C4 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 83 3C 24 00 0F 84 AE 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 9F 00 00 00 8B 04 24 E8 ?? ?? ?? ?? EB 7A 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 40 38 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 41 45 33 F6 8B C3 E8 ?? ?? ?? ?? 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8B 50 40 8B 04 24 E8 ?? ?? ?? ?? 8B F8 85 FF 74 18 8B C3 E8 ?? ?? ?? ?? 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 46 4D 75 C2 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 B0 02 00 00 8B 04 24 E8 ?? ?? ?? ?? 8B 04 24 80 B8 A9 00 00 00 00 0F 84 76 FF FF FF EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5720_0 {
	meta:
		name = "TReferenceField.Create"
		size = 66
		refs = "000d @ClassCreate 001b TDataSetField.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 1C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5721_0 {
	meta:
		name = "TReferenceField.Assign"
		size = 57
		refs = "000a _DV_TDataSet 000f @IsClass 001d TFields.GetField 0026 TDataSetField.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B 46 38 33 D2 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5722_0 {
	meta:
		name = "TReferenceField.GetDataSize"
		size = 7
	strings:
		$1 = { 8B 40 50 83 C0 02 C3 }
	condition:
		$1
}

rule function_5726_0 {
	meta:
		name = "TVariantField.Create"
		size = 66
		refs = "000d @ClassCreate 001b TField.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 20 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5728_0 {
	meta:
		name = "TVariantField.GetAsBCD"
		size = 87
		refs = "0013 TVariantField.GetAsBCD 0030 VarToBcd 0045 @VarClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 91 90 00 00 00 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5732_0 {
	meta:
		name = "TVariantField.GetAsSQLTimeStamp"
		size = 87
		refs = "0013 TVariantField.GetAsSQLTimeStamp 0030 VarToSQLTimeStamp 0045 @VarClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 91 90 00 00 00 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5736_0 {
	meta:
		name = "TVariantField.GetAsString"
		size = 87
		refs = "0013 TVariantField.GetAsString 0030 VarToStr 0045 @VarClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 91 90 00 00 00 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5729_0 {
	meta:
		name = "TVariantField.GetAsBoolean"
		size = 85
		refs = "0010 TVariantField.GetAsBoolean 002b @VarToBool 0042 @VarClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 91 90 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5734_0 {
	meta:
		name = "TVariantField.GetAsInteger"
		size = 85
		refs = "0010 TVariantField.GetAsInteger 002b @VarToInteger 0042 @VarClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 91 90 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5730_0 {
	meta:
		name = "TVariantField.GetAsDateTime"
		size = 90
		refs = "0012 TVariantField.GetAsDateTime 002d @VarToReal 0046 @VarClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B C3 8B 08 FF 91 90 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5733_0 {
	meta:
		name = "TVariantField.GetAsFloat"
		size = 90
		refs = "0012 TVariantField.GetAsFloat 002d @VarToReal 0046 @VarClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B C3 8B 08 FF 91 90 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5731_0 {
	meta:
		name = "TVariantField.GetAsSingle"
		size = 89
		refs = "0011 TVariantField.GetAsSingle 002c @VarToReal 0045 @VarClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C3 8B 08 FF 91 90 00 00 00 8D 45 EC E8 ?? ?? ?? ?? D9 5D FC 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 D9 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5735_0 {
	meta:
		name = "TVariantField.GetAsLargeInt"
		size = 95
		refs = "0012 TVariantField.GetAsLargeInt 002d @VarToInt64 0048 @VarClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B C3 8B 08 FF 91 90 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5737_0 {
	meta:
		name = "TVariantField.GetAsVariant"
		size = 31
		refs = "000d TField.GetData 0018 Null"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5755_0 {
	meta:
		name = "TIDispatchField.GetValue"
		size = 31
		refs = "000d TField.GetData 0018 @IntfClear"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5751_0 {
	meta:
		name = "TInterfaceField.GetValue"
		size = 31
		refs = "000d TField.GetData 0018 @IntfClear"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5738_0 {
	meta:
		name = "TVariantField.SetAsBCD"
		size = 87
		refs = "0013 TVariantField.SetAsBCD 0023 VarFMTBcdCreate 0045 @VarClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 91 1C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5742_0 {
	meta:
		name = "TVariantField.SetAsSQLTimeStamp"
		size = 87
		refs = "0013 TVariantField.SetAsSQLTimeStamp 0023 VarSQLTimeStampCreate 0045 @VarClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 91 1C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5739_0 {
	meta:
		name = "TVariantField.SetAsBoolean"
		size = 87
		refs = "0013 TVariantField.SetAsBoolean 0023 @VarFromBool 0045 @VarClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 8B 08 FF 91 1C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5740_0 {
	meta:
		name = "TVariantField.SetAsDateTime"
		size = 86
		refs = "0010 TVariantField.SetAsDateTime 0021 @VarFromTDateTime 0043 @VarClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 91 1C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5743_0 {
	meta:
		name = "TVariantField.SetAsFloat"
		size = 86
		refs = "0010 TVariantField.SetAsFloat 0021 @VarFromReal 0043 @VarClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 91 1C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5741_0 {
	meta:
		name = "TVariantField.SetAsSingle"
		size = 86
		refs = "0010 TVariantField.SetAsSingle 0021 @VarFromReal 0043 @VarClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 D9 45 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 91 1C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5744_0 {
	meta:
		name = "TVariantField.SetAsInteger"
		size = 89
		refs = "0013 TVariantField.SetAsInteger 0025 @VarFromInt 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 91 1C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5745_0 {
	meta:
		name = "TVariantField.SetAsLargeInt"
		size = 91
		refs = "0010 TVariantField.SetAsLargeInt 0026 @VarFromInt64 0048 @VarClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 55 0C 52 50 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 91 1C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5746_0 {
	meta:
		name = "TVariantField.SetAsString"
		size = 87
		refs = "0013 TVariantField.SetAsString 0023 @VarFromUStr 0045 @VarClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 91 1C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5748_0 {
	meta:
		name = "TInterfaceField.Create"
		size = 66
		refs = "000d @ClassCreate 001b TField.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 21 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5750_0 {
	meta:
		name = "TInterfaceField.GetAsVariant"
		size = 118
		refs = "0011 TInterfaceField.GetAsVariant 0021 TInterfaceField.GetValue 002e Null 0044 @VarFromIntf 005a IInterface 0064 @FinalizeArray 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 09 8B C6 E8 ?? ?? ?? ?? EB 14 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5752_0 {
	meta:
		name = "TIDispatchField.SetValue"
		size = 15
		refs = "0009 TField.SetData"
		altNames = "TInterfaceField.SetValue"
	strings:
		$1 = { 51 89 14 24 8B D4 B1 01 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_5753_0 {
	meta:
		name = "TInterfaceField.SetVarValue"
		size = 79
		refs = "000f TInterfaceField.SetVarValue 001f @VarToIntf 0029 TInterfaceField.SetValue 003e @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70409_0 {
	meta:
		name = "@OleVarFromLStr"
		size = 79
		refs = "000f @OleVarFromLStr 001f @WStrFromLStr 0029 @VarFromWStr 003e @WStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70410_0 {
	meta:
		name = "@OleVarFromUStr"
		size = 79
		refs = "000f @OleVarFromUStr 001f @WStrFromUStr 0029 @VarFromWStr 003e @WStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70405_0 {
	meta:
		name = "@VarFromWChar"
		size = 79
		refs = "000f @VarFromWChar 001f @WStrFromWChar 0029 @VarFromWStr 003e @WStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62523_0 {
	meta:
		name = "TWriter.WriteChar"
		size = 79
		refs = "000f TWriter.WriteChar 001f @UStrFromWChar 0029 TWriter.WriteString 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62524_0 {
	meta:
		name = "TWriter.WriteWideChar"
		size = 79
		refs = "000f TWriter.WriteWideChar 001f @UStrFromWChar 0029 TWriter.WriteWideString 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5754_0 {
	meta:
		name = "TIDispatchField.Create"
		size = 66
		refs = "000d @ClassCreate 001b TInterfaceField.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 22 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5757_0 {
	meta:
		name = "TGuidField.Create"
		size = 87
		refs = "000e @ClassCreate 002f TStringField.Create 0042 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 BA 26 00 00 00 8B C3 8B 08 FF 91 10 01 00 00 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 23 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5758_0 {
	meta:
		name = "TGuidField.CheckTypeSize"
		size = 79
		refs = "0009 TGuidField.CheckTypeSize 001c SInvalidFieldSize 0021 LoadResString 002b DatabaseError 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FA 26 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_5759_0 {
	meta:
		name = "TGuidField.GetAsGuid"
		size = 105
		refs = "0010 TGuidField.GetAsGuid 0033 StringToGUID 003a GUID_NULL 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 80 00 00 00 83 7D FC 00 74 0C 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 0D A1 ?? ?? ?? ?? 8B FE 8B F0 A5 A5 A5 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5760_0 {
	meta:
		name = "TEncodingInfoEUCKR.MIBenum"
		size = 6
		altNames = "TGuidField.GetDefaultWidth"
	strings:
		$1 = { B8 26 00 00 00 C3 }
	condition:
		$1
}

rule function_5762_0 {
	meta:
		name = "TAggregateField.Create"
		size = 84
		refs = "000d @ClassCreate 001b TField.Create 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 00 C6 43 4C 00 C6 43 4A 04 C7 83 0C 01 00 00 0F 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5763_0 {
	meta:
		name = "TAggregateField.SetHandle"
		size = 7
	strings:
		$1 = { 89 90 08 01 00 00 C3 }
	condition:
		$1
}

rule function_5764_0 {
	meta:
		name = "TAggregateField.GetHandle"
		size = 7
	strings:
		$1 = { 8B 80 08 01 00 00 C3 }
	condition:
		$1
}

rule function_5765_0 {
	meta:
		name = "TAggregateField.Reset"
		size = 119
		refs = "0023 TDataSetDesigner.BeginDesign 002b TAggregateField.Reset 005d TDataSetDesigner.EndDesign 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 89 45 FC 8B 45 FC 8B 70 3C 85 F6 74 61 8B 45 FC F6 40 1C 01 75 58 8B 46 74 85 C0 74 47 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 3C 8B 55 FC 8B 08 FF 91 B0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 8B 40 74 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 8B 10 FF 92 C4 00 00 00 5E 59 5D C3 }
	condition:
		$1
}

rule function_5766_0 {
	meta:
		name = "TAggregateField.SetActive"
		size = 93
		refs = "0022 TAggregateField.SetActive 0030 TAggregateField.Reset 003f @HandleAnyException 004e @RaiseAgain 0053 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 3A 90 F0 00 00 00 74 42 8B 45 FC 88 90 F0 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 8B 45 FC C6 80 F0 00 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5767_0 {
	meta:
		name = "TAggregateField.SetGroupingLevel"
		size = 103
		refs = "0020 TAggregateField.SetGroupingLevel 0037 TAggregateField.Reset 0046 @HandleAnyException 0057 @RaiseAgain 005c @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC 8B 80 00 01 00 00 3B D0 74 47 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 90 00 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 00 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5768_0 {
	meta:
		name = "TAggregateField.SetIndexName"
		size = 198
		refs = "0018 @UStrAddRef 0020 TAggregateField.SetIndexName 0037 @UStrEqual 0058 @UStrLAsg 0068 @UStrAsg 0070 TAggregateField.Reset 007f @HandleAnyException 0094 @RaiseAgain 0099 @DoneExcept 00b3 @UStrArrayClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 F4 8B 92 04 01 00 00 E8 ?? ?? ?? ?? 74 60 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 F4 8B 92 04 01 00 00 E8 ?? ?? ?? ?? 8B 45 F4 05 04 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 F4 05 04 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5769_0 {
	meta:
		name = "TAggregateField.SetExpression"
		size = 198
		refs = "0018 @UStrAddRef 0020 TAggregateField.SetExpression 0037 @UStrEqual 0058 @UStrLAsg 0068 @UStrAsg 0070 TAggregateField.Reset 007f @HandleAnyException 0094 @RaiseAgain 0099 @DoneExcept 00b3 @UStrArrayClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 F4 8B 92 FC 00 00 00 E8 ?? ?? ?? ?? 74 60 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 F4 8B 92 FC 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 05 FC 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 F4 05 FC 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5770_0 {
	meta:
		name = "TAggregateField.GetText"
		size = 557
		refs = "0034 TAggregateField.GetText 0041 @UStrClr 0059 VarIsNull 0094 @UStrLAsg 00b9 CurrencyString 00cd @VarToReal 0100 FloatToStrF 010a @UStrAsg 0142 FormatFloat 01d9 DateTimeToString 01e6 VarToStr 020d @VarClr 021a @UStrArrayClr 0220 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 33 DB 89 5D A4 89 5D FC 89 5D D8 89 5D DC 89 5D E0 89 5D E4 89 5D F8 89 5D F4 89 5D F0 89 5D EC 88 4D D7 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 4D D8 8B D3 8B 43 3C 8B 38 FF 97 48 01 00 00 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 0F 85 8F 01 00 00 0F B6 83 10 01 00 00 8B D0 80 C2 FA 80 EA 03 72 0E 80 EA 1C 74 09 80 EA 0E 0F 85 D1 00 00 00 80 7D D7 00 74 0E 8D 45 FC 8B 93 F8 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 75 80 BB F1 00 00 00 00 74 1C 80 7D D7 00 74 06 C6 45 D6 04 EB 04 C6 45 D6 02 8B 3D ?? ?? ?? ?? 0F B6 7F 05 EB 06 C6 45 D6 00 33 FF 8D 45 D8 E8 ?? ?? ?? ?? DB 7D C0 9B 0F B6 45 D6 88 45 BF 8B 9B 0C 01 00 00 0F B7 45 C8 50 FF 75 C4 FF 75 C0 A1 ?? ?? ?? ?? 50 8D 45 F8 50 0F B6 45 BF 8B CF 8B D3 E8 ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? E9 E1 00 00 00 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? DB 7D B0 9B 0F B7 45 B8 50 FF 75 B4 FF 75 B0 8D 4D F0 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B C6 8B 55 F0 E8 ?? ?? ?? ?? E9 9F 00 00 00 04 F7 2C 03 0F 83 80 00 00 00 80 7D D7 00 74 19 83 BB F8 00 00 00 00 74 10 8D 45 FC 8B 93 F8 00 00 00 E8 ?? ?? ?? ?? EB 32 0F B6 43 48 2C 09 74 06 FE C8 74 15 EB 24 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 52 0C E8 ?? ?? ?? ?? EB 11 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 52 20 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? DD 5D A8 9B FF 75 AC FF 75 A8 8B 0D ?? ?? ?? ?? 8B C6 8B 55 EC E8 ?? ?? ?? ?? EB 15 8D 55 A4 8D 45 D8 E8 ?? ?? ?? ?? 8B 55 A4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5771_0 {
	meta:
		name = "TAggregateField.GetAsString"
		size = 90
		refs = "0013 TAggregateField.GetAsString 0033 VarToStr 0048 @VarClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B D3 8B 43 3C 8B 18 FF 93 48 01 00 00 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5772_0 {
	meta:
		name = "TAggregateField.GetAsVariant"
		size = 24
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B D3 8B 43 3C 8B 18 FF 93 48 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5773_0 {
	meta:
		name = "TAggregateField.SetDisplayFormat"
		size = 46
		refs = "000f @UStrEqual 001e @UStrAsg 0027 TField.PropertyChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 F8 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 16 8D 83 F8 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5774_0 {
	meta:
		name = "TAggregateField.SetCurrency"
		size = 22
		refs = "0011 TField.PropertyChanged"
	strings:
		$1 = { 3A 90 F1 00 00 00 74 0D 88 90 F1 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5775_0 {
	meta:
		name = "TAggregateField.SetPrecision"
		size = 42
		refs = "0025 TField.PropertyChanged"
	strings:
		$1 = { 83 FA 02 7D 05 BA 02 00 00 00 83 FA 0F 7E 05 BA 0F 00 00 00 3B 90 0C 01 00 00 74 0D 89 90 0C 01 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5776_0 {
	meta:
		name = "TIndexDef.Create"
		size = 105
		refs = "000e @ClassCreate 001f @UStrAsg 0027 TNamedItem.HashName 0035 TCollectionItem.Create 0052 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 0C 8B 55 10 E8 ?? ?? ?? ?? 8B 47 0C E8 ?? ?? ?? ?? 89 47 10 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 18 8B 55 0C E8 ?? ?? ?? ?? 0F B6 45 08 88 47 24 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_5777_0 {
	meta:
		name = "TIndexDef.Assign"
		size = 297
		refs = "0014 TIndexDef.Assign 0022 _DV_TIndexDef 0027 @IsClass 005a TIndexDef.SetOptions 0065 TNamedItem.SetDisplayName 0070 TIndexDef.SetSource 007a TIndexDef.GetExpression 0085 TIndexDef.SetExpression 0090 TIndexDef.SetDescFields 009b TIndexDef.SetCaseInsFields 00a5 TIndexDef.GetFields 00b0 TIndexDef.SetFields 00f1 @HandleFinally 00fd TPersistent.Assign 0117 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C4 00 00 00 8B 45 FC 8B 70 04 85 F6 74 07 8B C6 8B 10 FF 52 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 53 24 8B 45 FC E8 ?? ?? ?? ?? 8B 53 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 53 14 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 53 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 53 20 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 43 28 8B 55 FC 89 42 28 8B 53 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 53 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB E9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5778_0 {
	meta:
		name = "TIndexDef.SetOptions"
		size = 35
		refs = "001c TCollectionItem.Changed"
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 43 24 3A 04 24 74 10 0F B6 04 24 88 43 24 33 D2 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_5779_0 {
	meta:
		name = "TIndexDef.SetSource"
		size = 40
		refs = "000c @UStrEqual 0018 @UStrAsg 0021 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 14 E8 ?? ?? ?? ?? 74 13 8D 43 14 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5780_0 {
	meta:
		name = "TIndexDef.GetExpression"
		size = 35
		refs = "0012 @UStrAsg 001c @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 24 10 74 0D 8B C6 8B 53 18 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5781_0 {
	meta:
		name = "TIndexDef.SetExpression"
		size = 54
		refs = "000c @UStrEqual 0026 @UStrAsg 002f TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 18 E8 ?? ?? ?? ?? 75 0A 85 F6 74 1D F6 43 24 10 75 17 80 4B 24 10 8D 43 18 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5782_0 {
	meta:
		name = "TIndexDef.GetFields"
		size = 35
		refs = "000f @UStrClr 001c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 24 10 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5783_0 {
	meta:
		name = "TIndexDef.SetFields"
		size = 50
		refs = "000c @UStrEqual 0022 @UStrAsg 002b TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 18 E8 ?? ?? ?? ?? 75 06 F6 43 24 10 74 17 80 63 24 EF 8D 43 18 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5784_0 {
	meta:
		name = "TIndexDef.SetDescFields"
		size = 48
		refs = "000c @UStrEqual 0020 @UStrAsg 0029 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 1C E8 ?? ?? ?? ?? 74 1B 85 F6 74 04 80 4B 24 04 8D 43 1C 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5785_0 {
	meta:
		name = "TIndexDef.SetCaseInsFields"
		size = 48
		refs = "000c @UStrEqual 0020 @UStrAsg 0029 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 E8 ?? ?? ?? ?? 74 1B 85 F6 74 04 80 4B 24 08 8D 43 20 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5786_0 {
	meta:
		name = "TIndexDef.GetDisplayName"
		size = 76
		refs = "000b TNamedItem.GetDisplayName 001d TIndexDef.GetDisplayName 0022 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 3E 00 75 12 F6 43 24 01 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 50 00 72 00 69 00 6D 00 61 00 72 00 79 00 3E 00 00 00 }
	condition:
		$1
}

rule function_5787_0 {
	meta:
		name = "TIndexDefs.Create"
		size = 71
		refs = "000b @ClassCreate 0025 TDefCollection.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 56 8B C7 8B 10 FF 52 28 50 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5789_0 {
	meta:
		name = "TIndexDefs.Add"
		size = 162
		refs = "0018 TIndexDefs.Add 0027 TDefCollection.IndexOf 0037 SDuplicateIndexName 003c LoadResString 0052 DatabaseErrorFmt 0059 TIndexDefs.AddIndexDef 0064 TNamedItem.SetDisplayName 006d TIndexDef.SetFields 0078 TIndexDef.SetOptions 008d @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 27 8B 43 1C 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 0F B6 55 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5790_0 {
	meta:
		name = "TIndexDefs.FindIndexForFields"
		size = 126
		refs = "0016 TIndexDefs.FindIndexForFields 0027 TIndexDefs.GetIndexForFields 0039 SNoIndexForFields 003e LoadResString 0054 DatabaseErrorFmt 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 27 8B 43 1C 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 7D F4 C6 45 F8 11 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5791_0 {
	meta:
		name = "TIndexDefs.GetIndexForFields"
		size = 396
		refs = "0027 TIndexDefs.GetIndexForFields 0035 TIndexDefs.Update 0067 TIndexDefs.GetIndexDef 00a2 TIndexDef.GetFields 00ad AnsiCompareText 00d8 @UStrCopy 016e @UStrArrayClr 0174 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D DC 89 5D D8 89 5D E0 88 4D F7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 89 45 F0 C6 45 F6 01 8B 45 FC 8B 40 08 8B 70 08 4E 85 F6 0F 8C E9 00 00 00 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 0F B6 43 24 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 0F 85 B9 00 00 00 80 7D F7 00 74 0A F6 43 24 08 0F 84 A9 00 00 00 80 7D F6 00 74 22 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 84 9F 00 00 00 E9 81 00 00 00 8D 45 DC 50 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 8B 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 54 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 89 45 EC 8B 45 EC 89 45 E8 83 7D E8 00 74 0B 8B 45 E8 83 E8 04 8B 00 89 45 E8 8B 45 E8 3B 45 F0 75 06 C6 45 E7 01 EB 19 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 45 D0 8B 55 F0 66 83 3C 50 3B 0F 94 45 E7 80 7D E7 00 75 19 47 4E 0F 85 1A FF FF FF 80 7D F6 00 74 09 C6 45 F6 00 E9 F6 FE FF FF 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 14 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5795_0 {
	meta:
		name = "TIndexDefs.Update"
		size = 23
		refs = "0012 TDefCollection.UpdateDefs"
	strings:
		$1 = { 8B 50 1C 85 D2 74 0F 52 8B 12 8B 92 E4 01 00 00 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5797_0 {
	meta:
		name = "TDataLink.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TObject.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5798_0 {
	meta:
		name = "TDataLink.Destroy"
		size = 57
		refs = "0003 @BeforeDestruction 001c TDataLink.SetDataSource 0027 TPersistent.Destroy 0032 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 46 15 00 C6 46 17 00 C6 46 19 00 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5799_0 {
	meta:
		name = "TDataLink.UpdateRange"
		size = 116
		refs = "0008 TDataLink.GetDataSet"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 78 5C 2B 7B 0C 47 85 FF 7D 02 33 FF 8B C3 E8 ?? ?? ?? ?? 8B 70 58 2B 73 0C 85 F6 7D 02 33 F6 8B C3 E8 ?? ?? ?? ?? 3B 70 5C 7E 0A 8B C3 E8 ?? ?? ?? ?? 8B 70 5C 3B 7B 10 7E 03 89 7B 10 3B 73 10 7D 03 89 73 10 83 7B 10 00 74 18 8B C3 E8 ?? ?? ?? ?? 8B 40 5C 2B 43 10 8B 53 0C 4A 3B C2 7D 03 FF 4B 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5800_0 {
	meta:
		name = "TDataLink.GetDataSet"
		size = 14
	strings:
		$1 = { 8B 50 04 85 D2 74 04 8B 42 38 C3 33 C0 C3 }
	condition:
		$1
}

rule function_5801_0 {
	meta:
		name = "TDataLink.SetDataSource"
		size = 121
		refs = "000f TDataLink.SetDataSource 0028 SDataSourceChange 002d LoadResString 0038 DatabaseError 0046 TDataSource.RemoveDataLink 0053 TDataSource.AddDataLink 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 04 74 39 80 7B 19 00 74 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 53 04 E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5802_0 {
	meta:
		name = "TDataLink.SetReadOnly"
		size = 14
		refs = "0009 TDataLink.UpdateState"
	strings:
		$1 = { 3A 50 14 74 08 88 50 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5803_0 {
	meta:
		name = "TDataLink.SetActive"
		size = 38
		refs = "0012 TDataLink.UpdateRange"
	strings:
		$1 = { 53 8B D8 3A 53 15 74 1C 88 53 15 84 D2 74 09 8B C3 E8 ?? ?? ?? ?? EB 05 33 C0 89 43 10 8B C3 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_5804_0 {
	meta:
		name = "TDataLink.SetEditing"
		size = 14
	strings:
		$1 = { 3A 50 17 74 08 88 50 17 8B 10 FF 52 20 C3 }
	condition:
		$1
}

rule function_5805_0 {
	meta:
		name = "TDataLink.UpdateState"
		size = 67
		refs = "0019 TDataLink.SetActive 003d TDataLink.SetEditing"
	strings:
		$1 = { 53 8B D8 8B 43 04 85 C0 74 06 80 78 42 00 75 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 10 0F B6 40 42 04 FE 2C 03 73 06 80 7B 14 00 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5806_0 {
	meta:
		name = "TDataLink.UpdateRecord"
		size = 67
		refs = "0012 TDataLink.UpdateRecord 003a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 40 18 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 18 00 C3 E9 ?? ?? ?? ?? EB F1 59 5D C3 }
	condition:
		$1
}

rule function_5807_0 {
	meta:
		name = "TDataLink.Edit"
		size = 29
		refs = "0013 TDataSource.Edit"
	strings:
		$1 = { 53 8B D8 80 7B 14 00 75 0E 83 7B 04 00 74 08 8B 43 04 E8 ?? ?? ?? ?? 0F B6 43 17 5B C3 }
	condition:
		$1
}

rule function_5808_0 {
	meta:
		name = "TDataLink.GetActiveRecord"
		size = 24
	strings:
		$1 = { 8B 50 04 80 7A 42 04 75 03 33 C0 C3 8B 52 38 8B 52 5C 2B 50 10 8B C2 C3 }
	condition:
		$1
}

rule function_5809_0 {
	meta:
		name = "TDataLink.SetActiveRecord"
		size = 19
	strings:
		$1 = { 8B 48 04 80 79 42 04 74 09 03 50 10 8B 41 38 89 50 5C C3 }
	condition:
		$1
}

rule function_5810_0 {
	meta:
		name = "TDataLink.SetBufferCount"
		size = 45
		refs = "0014 TDataLink.UpdateRange 001b TDataLink.GetDataSet 0020 TDataSet.UpdateBufferCount"
	strings:
		$1 = { 53 8B D8 3B 53 0C 74 23 89 53 0C 80 7B 15 00 74 1A 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5811_0 {
	meta:
		name = "TDataLink.GetRecordCount"
		size = 35
	strings:
		$1 = { 8B 50 04 80 7A 42 04 75 08 BA 01 00 00 00 8B C2 C3 8B 52 38 8B 52 58 8B 48 0C 3B D1 7E 02 8B D1 8B C2 C3 }
	condition:
		$1
}

rule function_5812_0 {
	meta:
		name = "TDataLink.DataEvent"
		size = 245
		refs = "000f TDataLink.UpdateState 0031 TDataLink.DataEvent 00d9 TDataLink.UpdateRecord"
	strings:
		$1 = { 56 57 55 8B F9 8B F0 80 FA 06 75 0C 8B C6 E8 ?? ?? ?? ?? E9 D9 00 00 00 80 7E 15 00 0F 84 CF 00 00 00 0F B6 C2 83 F8 0A 0F 87 C3 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 80 7E 18 00 0F 85 86 00 00 00 8B D7 8B C6 8B 08 FF 51 44 EB 7B 33 C0 8B 4E 04 80 79 42 04 74 29 8B 49 38 8B 69 5C 8B 4E 10 03 CF 8B F9 03 7E 0C 4F 3B FD 7D 06 8B C5 2B C7 EB 08 3B CD 7E 04 8B C5 2B C1 8D 0C 08 89 4E 10 80 EA 02 74 0A FE CA 74 0F FE CA 74 16 EB 38 8B C6 8B 10 FF 52 18 EB 2F 8B D0 8B C6 8B 08 FF 51 1C EB 24 8B C6 8B 10 FF 52 3C EB 1B 8B C6 E8 ?? ?? ?? ?? EB 12 8B C6 8B 10 FF 52 10 EB 09 8B D7 8B C6 8B 08 FF 51 24 5D 5F 5E C3 }
	condition:
		$1
}

rule function_5816_0 {
	meta:
		name = "TBindingExpression.Recompile"
		size = 6
		altNames = "TDSCustomProxyWriter.WriteLine TDataLink.DataSetScrolled TDataLink.LayoutChanged"
	strings:
		$1 = { 8B 10 FF 52 18 C3 }
	condition:
		$1
}

rule function_5818_0 {
	meta:
		name = "TDataLink.ExecuteAction"
		size = 40
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 53 04 8B C6 8B 08 FF 51 48 84 C0 74 0F 8B 53 04 8B C6 8B 08 FF 51 50 B0 01 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_5822_0 {
	meta:
		name = "TDataLink.UpdateAction"
		size = 40
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 53 04 8B C6 8B 08 FF 51 48 84 C0 74 0F 8B 53 04 8B C6 8B 08 FF 51 4C B0 01 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_5824_0 {
	meta:
		name = "TDataLink.GetBOF"
		size = 19
		refs = "0006 TDataLink.GetDataSet"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 80 A8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5825_0 {
	meta:
		name = "TDataLink.GetEOF"
		size = 19
		refs = "0006 TDataLink.GetDataSet"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 80 A9 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5826_0 {
	meta:
		name = "TBindingNotifier.GetOwner"
		size = 4
		altNames = "TButtonCategories.GetUpdateCount TCompiledBinding.GetWrappers TConnectionData.GetProperties TCustomChartWall.GetPen TDBXDriver.GetDriverProperties TDBXParameterList.GetRow TDBXPlatform.GetNestedException TDBXServerCallback.GetDsServer TDBXValueType.GetOrdinal TDataLink.GetBufferCount TEditButton.GetOwner TGestureCollectionItem.GetAction TIWContainerImplementation.get_ContainerContext TIWHTMLTag.GetContents TIdAuthenticationPeer.GetObject TIdBufferPeer.GetObject TIdContextPeer.GetObject TIdEntityHeaderInfoPeer.GetObject TIdHTTPSessionPeer.GetObject TIdHeaderListPeer.GetObject TIdIOHandlerPeer.GetObject TIdIOHandlerPeerIP.GetObject TIdProxyConnectionInfoPeer.GetObject TIdSSLOptionsPeer.GetObject TIdSchedulerPeer.GetObject TIdServerIOHandlerPeer.GetObject TIdSocketHandlePeer.GetObject TIdSocketHandlesPeer.GetObject TIdTCPConnectionPeer.GetObject TIdURIPeer.GetObject TIdX509NamePeer.GetObject TIdX509SigInfoPeer.GetObject TIndyTCPConnectionTransport.GetWaitEvent TJSONPair.GetJsonValue TMBCSEncoding.GetCodePage TNamedVariantsList.GetCount TOleForm.Form TScriptComponent.GetComponent TScriptManager.GetOptions TStringBuilder.GetMaxCapacity TWebContext.GetWebResponse TWebRequestFile.GetStream TXmlHandlerItem.GetXmlHandler Tox4DOMImplementation.GetNativeDOMImpl Tox4DOMNode.GetNativeNode TseBitmapLink.GetTop"
	strings:
		$1 = { 8B 40 0C C3 }
	condition:
		$1
}

rule function_5827_0 {
	meta:
		name = "TDataLink.MoveBy"
		size = 26
		refs = "0009 TDataLink.GetDataSet"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 91 AC 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5829_0 {
	meta:
		name = "TMasterDataLink.Create"
		size = 75
		refs = "000b @ClassCreate 001a TDataLink.Create 0024 _Dn_TList 0029 TObject.Create 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 24 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5831_0 {
	meta:
		name = "TMasterDataLink.ActiveChanged"
		size = 205
		refs = "0022 TMasterDataLink.ActiveChanged 0030 TDataLink.GetDataSet 0041 TDataSet.GetFieldList 0050 @HandleAnyException 0060 @RaiseAgain 0065 @DoneExcept 0070 TDataSet.GetActive"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 40 24 8B 10 FF 52 08 8B 45 FC 80 78 15 00 74 4B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 4A 20 8B 55 FC 8B 52 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 40 24 8B 10 FF 52 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 84 C0 74 4F 8B 45 FC 8B 40 1C F6 40 1C 08 75 43 8B 45 FC 80 78 15 00 74 24 8B 45 FC 8B 40 24 83 78 08 00 7E 18 8B 45 FC 66 83 78 2A 00 74 24 8B 5D FC 8B 55 FC 8B 43 2C FF 53 28 EB 16 8B 45 FC 66 83 78 32 00 74 0C 8B 5D FC 8B 55 FC 8B 43 34 FF 53 30 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5834_0 {
	meta:
		name = "TMasterDataLink.LayoutChanged"
		size = 6
		altNames = "TTeeFont.DoChanged"
	strings:
		$1 = { 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_5835_0 {
	meta:
		name = "TMasterDataLink.RecordChanged"
		size = 72
		refs = "0013 TDataSet.GetActive 002e TList.IndexOf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 80 78 42 04 74 36 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 2A 8B 43 24 83 78 08 00 7E 21 85 F6 74 0E 8B D6 8B 43 24 E8 ?? ?? ?? ?? 85 C0 7C 0F 66 83 7B 2A 00 74 08 8B D3 8B 43 2C FF 53 28 5E 5B C3 }
	condition:
		$1
}

rule function_5836_0 {
	meta:
		name = "TMasterDataLink.SetFieldNames"
		size = 38
		refs = "000c @UStrEqual 0018 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 20 8B D6 E8 ?? ?? ?? ?? 74 11 8D 43 20 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5E 5B C3 }
	condition:
		$1
}

rule function_5837_0 {
	meta:
		name = "TDataSource.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TList 0023 TObject.Create 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C C6 46 40 01 C6 46 41 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5838_0 {
	meta:
		name = "TDataSource.Destroy"
		size = 90
		refs = "0004 @BeforeDestruction 0019 TDataSource.SetDataSet 0022 TList.Last 002b TDataSource.RemoveDataLink 003c TObject.Free 0047 TComponent.Destroy 0052 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 89 47 48 89 47 4C 33 D2 8B C7 E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 77 3C 83 7E 08 00 7F E7 8B 47 3C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5839_0 {
	meta:
		name = "TDataSource.Edit"
		size = 21
		refs = "0010 TDataSet.Edit"
	strings:
		$1 = { 80 78 41 00 74 0E 80 78 42 01 75 08 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5840_0 {
	meta:
		name = "TDataSource.SetState"
		size = 73
		refs = "0018 TDataSource.NotifyDataLinks"
	strings:
		$1 = { 53 56 8B F0 0F B6 46 42 3A D0 74 3A 8B D8 88 56 42 33 C9 B2 06 8B C6 E8 ?? ?? ?? ?? F6 46 1C 08 75 24 66 83 7E 4A 00 74 08 8B D6 8B 46 4C FF 56 48 84 DB 75 11 66 83 7E 52 00 74 0A 33 C9 8B D6 8B 46 54 FF 56 50 5E 5B C3 }
	condition:
		$1
}

rule function_5841_0 {
	meta:
		name = "TDataSource.UpdateState"
		size = 36
		refs = "0017 TDataSource.SetState"
	strings:
		$1 = { 80 78 40 00 74 16 83 78 38 00 74 10 8B 50 38 0F B6 92 A5 00 00 00 E8 ?? ?? ?? ?? C3 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5842_0 {
	meta:
		name = "TDataSource.IsLinkedTo"
		size = 83
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B F8 C6 04 24 01 85 DB 74 34 8B AB 8C 00 00 00 85 ED 74 0F 8B 45 3C 8B 10 FF 92 60 01 00 00 3B F8 74 1F 8B C3 8B 10 FF 92 60 01 00 00 8B F0 85 F6 74 0B 3B FE 74 0B 8B 5E 38 85 DB 75 CC C6 04 24 00 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5843_0 {
	meta:
		name = "TDataSource.SetDataSet"
		size = 122
		refs = "000f TDataSource.SetDataSet 001e TDataSource.IsLinkedTo 002a SCircularDataLink 002f LoadResString 0039 DatabaseError 0047 TDataSet.RemoveDataSource 0054 TDataSet.AddDataSource 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 43 38 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5844_0 {
	meta:
		name = "TDataSource.SetEnabled"
		size = 9
		refs = "0004 TDataSource.UpdateState"
	strings:
		$1 = { 88 50 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5845_0 {
	meta:
		name = "TDataSource.AddDataLink"
		size = 41
		refs = "000c TList.Add 001b TDataSet.UpdateBufferCount 0022 TDataLink.UpdateState"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 3C E8 ?? ?? ?? ?? 89 5E 04 8B 43 38 85 C0 74 05 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5846_0 {
	meta:
		name = "TDataSource.RemoveDataLink"
		size = 45
		refs = "0013 TList.RemoveItem 001a TDataLink.UpdateState 0026 TDataSet.UpdateBufferCount"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 89 46 04 8B 43 3C 8B D6 33 C9 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 38 85 C0 74 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5847_0 {
	meta:
		name = "TDataSource.NotifyLinkTypes"
		size = 80
		refs = "0029 TList.Get"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 88 55 FB 89 45 FC 8B 45 FC 8B 40 3C 8B 58 08 4B 83 FB 00 7C 28 8B 45 FC 8B 40 3C 8B D3 E8 ?? ?? ?? ?? 0F B6 55 08 3A 50 16 75 0C 0F B6 55 FB 8B 4D F4 8B 30 FF 56 14 4B 83 FB FF 75 D8 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5848_0 {
	meta:
		name = "TDataSource.NotifyDataLinks"
		size = 39
		refs = "0012 TDataSource.NotifyLinkTypes"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 6A 00 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? 6A 01 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5849_0 {
	meta:
		name = "TDataSource.DataEvent"
		size = 111
		refs = "0011 TDataSource.UpdateState 0024 TDataSource.NotifyDataLinks"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 80 FB 06 75 09 8B C6 E8 ?? ?? ?? ?? EB 54 80 7E 42 00 74 4E 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? 80 EB 01 72 09 80 EB 04 72 17 74 28 EB 35 66 83 7E 52 00 74 2E 8B CF 8B D6 8B 46 54 FF 56 50 EB 22 66 83 7E 52 00 74 1B 33 C9 8B D6 8B 46 54 FF 56 50 EB 0F 66 83 7E 5A 00 74 08 8B D6 8B 46 5C FF 56 58 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5850_0 {
	meta:
		name = "TCheckConstraint.Assign"
		size = 71
		refs = "000b _DV_TCheckConstraint 0010 @IsClass 0020 TCheckConstraint.SetImportedConstraint 002a TCheckConstraint.SetCustomConstraint 0034 TCheckConstraint.SetErrorMessage 003f TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B FE 8B 57 0C 8B C3 E8 ?? ?? ?? ?? 8B 57 10 8B C3 E8 ?? ?? ?? ?? 8B 57 14 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5851_0 {
	meta:
		name = "TCheckConstraint.GetDisplayName"
		size = 48
		refs = "000c @UStrAsg 0029 TCollectionItem.GetDisplayName"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 56 0C E8 ?? ?? ?? ?? 83 3B 00 75 0A 8B C3 8B 56 10 E8 ?? ?? ?? ?? 83 3B 00 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5852_0 {
	meta:
		name = "TCheckConstraint.SetImportedConstraint"
		size = 40
		refs = "000c @UStrEqual 0018 @UStrAsg 0021 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 8B D6 E8 ?? ?? ?? ?? 74 13 8D 43 0C 8B D6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5853_0 {
	meta:
		name = "TCheckConstraint.SetCustomConstraint"
		size = 40
		refs = "000c @UStrEqual 0018 @UStrAsg 0021 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 8B D6 E8 ?? ?? ?? ?? 74 13 8D 43 10 8B D6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5854_0 {
	meta:
		name = "TCheckConstraint.SetErrorMessage"
		size = 40
		refs = "000c @UStrEqual 0018 @UStrAsg 0021 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 14 8B D6 E8 ?? ?? ?? ?? 74 13 8D 43 14 8B D6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5855_0 {
	meta:
		name = "TCheckConstraints.Create"
		size = 69
		refs = "000b @ClassCreate 0023 TCollection.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B C7 8B 10 FF 52 28 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5861_0 {
	meta:
		name = "TParams.Create"
		size = 67
		refs = "000a @ClassCreate 0025 TCollection.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 18 8B C6 8B 10 FF 52 28 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5862_0 {
	meta:
		name = "TParams.Create"
		size = 65
		refs = "000a @ClassCreate 0023 TCollection.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 18 8B C6 8B 10 FF 52 28 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5863_0 {
	meta:
		name = "TParams.Update"
		size = 54
		refs = "001b TParams.GetItem 002d TCollection.Update"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 08 8B 58 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 33 D2 89 50 0C 46 4B 75 EE 8B D5 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5864_0 {
	meta:
		name = "TParams.GetItem"
		size = 23
		refs = "000b TCollection.GetItem 0010 TParam.ParamRef"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69945_0 {
	meta:
		name = "GetObjectPropClass"
		size = 23
		refs = "000b FindPropInfo 0010 GetObjectPropClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75217_0 {
	meta:
		name = "TListItems.Delete"
		size = 23
		refs = "000b TListItems.GetItem 0010 TListItem.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5867_0 {
	meta:
		name = "TParams.GetDataSet"
		size = 34
		refs = "000b _DV_TDataSet 0010 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 18 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 8B C6 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_98431_0 {
	meta:
		name = "TScriptProducer.GetComponent"
		size = 34
		refs = "000b _Dn_TComponent 0010 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 18 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 8B C6 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_5868_0 {
	meta:
		name = "TParams.AddParameter"
		size = 48
		refs = "0007 TCollection.Add 000d _DV_TParam 0012 @AsClass 0022 TParams.GetItem"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 08 8B 50 08 4A 8B C3 E8 ?? ?? ?? ?? 33 D2 89 50 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_5869_0 {
	meta:
		name = "TParams.AssignTo"
		size = 47
		refs = "000a _DV_TParams 000f @IsClass 0028 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 8B 08 FF 51 08 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115341_0 {
	meta:
		name = "TXMLParams.AssignTo"
		size = 47
		refs = "000a _DV_TXMLParams 000f @IsClass 0028 TParams.AssignTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 8B 08 FF 51 08 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5870_0 {
	meta:
		name = "TParams.AssignValues"
		size = 78
		refs = "001d TParams.GetItem 0028 TParams.FindParam"
	strings:
		$1 = { 53 56 57 55 51 8B EA 89 04 24 8B 45 08 8B 78 08 4F 85 FF 7C 33 47 33 DB 8B D3 8B C5 E8 ?? ?? ?? ?? 8B 50 34 8B 04 24 E8 ?? ?? ?? ?? 8B F0 85 F6 74 12 8B D3 8B C5 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 08 43 4F 75 D0 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5871_0 {
	meta:
		name = "TComponent.WriteState"
		size = 7
		altNames = "TDBXMoreBlobMessage.HandleMessage TParams.AddParam"
	strings:
		$1 = { 92 8B 08 FF 51 10 C3 }
	condition:
		$1
}

rule function_5872_0 {
	meta:
		name = "TParams.RemoveParam"
		size = 10
	strings:
		$1 = { 8B C2 33 D2 8B 08 FF 51 10 C3 }
	condition:
		$1
}

rule function_5873_0 {
	meta:
		name = "TParams.CreateParam"
		size = 74
		refs = "0010 TCollection.Add 0016 _DV_TParam 001b @AsClass 0028 TParam.SetParamType 0032 @UStrAsg 003d TParam.SetDataType"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 88 55 FF 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 0F B6 55 08 8B C3 E8 ?? ?? ?? ?? 8D 43 34 8B D6 E8 ?? ?? ?? ?? 0F B6 55 FF 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5874_0 {
	meta:
		name = "TParams.IsEqual"
		size = 75
		refs = "002a TParams.GetItem 003a TParam.IsEqual"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 08 8B 50 08 8B 45 08 3B 50 08 0F 94 C0 84 C0 74 2B 8B F2 4E 85 F6 7C 24 46 33 DB 8B D3 8B C5 E8 ?? ?? ?? ?? 50 8B D3 8B C7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 84 C0 74 04 43 4E 75 DF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14890_0 {
	meta:
		name = "TParameters.IsEqual"
		size = 75
		refs = "002a TParameters.GetItem 003a TParameter.IsEqual"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 08 8B 50 08 8B 45 08 3B 50 08 0F 94 C0 84 C0 74 2B 8B F2 4E 85 F6 7C 24 46 33 DB 8B D3 8B C5 E8 ?? ?? ?? ?? 50 8B D3 8B C7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 84 C0 74 04 43 4E 75 DF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5875_0 {
	meta:
		name = "TParams.ParamByName"
		size = 128
		refs = "0016 TParams.ParamByName 0025 TParams.FindParam 0032 TParams.GetDataSet 003b SParameterNotFound 0040 LoadResString 0056 DatabaseErrorFmt 006b @UStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 2B 8B C3 E8 ?? ?? ?? ?? 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 7D F4 C6 45 F8 11 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5876_0 {
	meta:
		name = "TParams.FindParam"
		size = 64
		refs = "001d TCollection.GetItem 002a AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B 45 08 8B 58 08 4B 85 DB 7C 21 43 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B F0 8B 46 34 8B 14 24 E8 ?? ?? ?? ?? 85 C0 74 06 47 4B 75 E2 33 F6 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5877_0 {
	meta:
		name = "TParams.DefineProperties"
		size = 68
		refs = "000b TPersistent.DefineProperties 0011 TParams.ReadBinaryData 001c TParams.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 08 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_5878_0 {
	meta:
		name = "TParams.ReadBinaryData"
		size = 561
		refs = "0038 TParams.ReadBinaryData 0046 TCollection.Clear 0055 TStream.ReadBuffer 0067 SInvalidVersion 006c LoadResString 0079 DatabaseError 00ba TParams.AddParameter 00f5 @LStrSetLength 00fd @LStrToPChar 0114 @UStrFromLStr 0139 TParam.GetDataType 01a0 TParam.SetBlobData 01af TParam.SetData 01cf Null 01dd @VarCopy 020b @VarClr 0216 @UStrClr 021e @LStrClr 0224 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 D8 F7 FF FF 53 56 57 33 C9 89 8D D8 F7 FF FF 89 8D DC F7 FF FF 89 8D E0 F7 FF FF 89 8D E4 F7 FF FF 89 8D E8 F7 FF FF 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 EE B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 66 83 7D EE 02 76 1D 8D 95 E8 F7 FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E8 F7 FF FF 33 D2 E8 ?? ?? ?? ?? 33 C0 89 45 F0 66 83 7D EE 02 75 11 8D 55 F0 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0F 8D 55 F0 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 7D F0 4F 85 FF 0F 8C 42 01 00 00 47 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 33 C0 89 45 F4 66 83 7D EE 02 75 11 8D 55 F4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0F 8D 55 F4 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 33 C9 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 4D F4 8B C3 E8 ?? ?? ?? ?? 8D 46 34 8B 55 FC E8 ?? ?? ?? ?? 8D 56 3A B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 56 38 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 72 33 C0 89 45 F4 66 83 7D EE 02 75 11 8D 55 F4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0F 8D 55 F4 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 95 ED F7 FF FF 8B 4D F4 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 2C 0F 74 0C 04 FE 2C 05 72 06 04 F8 2C 02 73 12 8D 95 ED F7 FF FF 8B 4D F4 8B C6 E8 ?? ?? ?? ?? EB 0D 8D 95 ED F7 FF FF 8B C6 E8 ?? ?? ?? ?? 8D 55 ED B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 7D ED 00 74 19 8D 85 D8 F7 FF FF E8 ?? ?? ?? ?? 8D 95 D8 F7 FF FF 8D 46 18 E8 ?? ?? ?? ?? 8D 56 39 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 4F 0F 85 BF FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D8 F7 FF FF E8 ?? ?? ?? ?? 8D 85 E8 F7 FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5879_0 {
	meta:
		name = "TParams.GetParamValue"
		size = 284
		refs = "001e TParams.GetParamValue 0030 Pos 003f _Dn_TList 0044 TObject.Create 0061 TParams.GetParamList 0082 VarArrayCreate 009d TList.Get 00a5 TParam.GetAsVariant 00af @VarArrayPut 00cb TObject.Free 00d1 @HandleFinally 00dc TParams.ParamByName 00f8 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 9B 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 57 33 C0 89 45 F4 8B 45 FC 8B 40 08 48 89 45 F8 8D 45 F4 66 B9 0C 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 70 08 4E 85 F6 7C 29 46 33 DB 53 6A 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8D 45 E4 50 57 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_5880_0 {
	meta:
		name = "TParams.SetParamValue"
		size = 244
		refs = "001a TParams.SetParamValue 002c Pos 0037 _Dn_TList 003c TObject.Create 0059 TParams.GetParamList 0071 TList.Get 007f @VarArrayGet 008b TParam.SetAsVariant 00a4 TObject.Free 00aa @HandleFinally 00b5 TParams.ParamByName 00d1 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 7C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 70 08 4E 85 F6 7C 2B 46 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 53 6A 01 57 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 EC 58 E8 ?? ?? ?? ?? 43 4E 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_5881_0 {
	meta:
		name = "TParams.GetParamList"
		size = 123
		refs = "0018 TParams.GetParamList 0034 ExtractFieldName 003e TParams.ParamByName 0047 TList.Add 004e @UStrLen 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 01 00 00 00 EB 20 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 7D D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14894_0 {
	meta:
		name = "TParameters.GetParamList"
		size = 123
		refs = "0018 TParameters.GetParamList 0034 ExtractFieldName 003e TParameters.ParamByName 0047 TList.Add 004e @WStrLen 0068 @WStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 01 00 00 00 EB 20 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 7D D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5882_0 {
	meta:
		name = "NameDelimiter"
		size = 43
	strings:
		$1 = { 0F B7 C0 83 F8 29 7F 13 74 1B 83 E8 0A 74 16 83 E8 03 74 11 83 E8 13 74 0C EB 0D 83 E8 2C 74 05 83 E8 0F 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_5883_0 {
	meta:
		name = "TParams.ParseSQL"
		size = 532
		refs = "0021 TParams.ParseSQL 002f @UStrClr 003d TCollection.Clear 0045 @UStrToPWChar 00fb @UStrCopy 0110 @UStrCatN 0149 NameDelimiter 016f @UStrFromPWCharLen 0185 TParams.AddParameter 0190 @UStrAsg 01c9 @UStrCat 01e6 @UStrArrayClr 01f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D FC 88 4D F3 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 80 7D F3 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 89 45 E8 8B 5D EC 0F B7 03 83 F8 27 7F 0E 74 1B 83 E8 01 72 16 83 E8 21 74 11 EB 0A 83 E8 3A 74 0A 83 E8 26 74 05 83 C3 02 EB DB 0F B7 03 83 F8 27 7F 12 74 1C 83 E8 01 0F 82 0F 01 00 00 83 E8 21 74 0E EB C1 83 E8 3A 74 2C 83 E8 26 74 02 EB B5 0F B7 33 83 C3 02 EB 03 83 C3 02 66 83 3B 00 74 05 66 3B 33 75 F2 66 83 3B 00 0F 84 DC 00 00 00 83 C3 02 EB 90 83 C3 02 66 83 3B 3A 75 05 83 C3 02 EB 82 8B 45 08 FF 30 8D 45 E0 50 8B CB 2B 4D EC D1 F9 79 03 83 D1 00 49 8B 55 EC 2B 55 E8 D1 FA 79 03 83 D2 00 42 8B 45 F4 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 F6 0F B7 03 66 83 E8 22 74 0C 66 83 E8 05 74 06 66 83 E8 39 75 06 0F B7 33 83 C3 02 89 5D E4 0F B7 3B 66 85 FF 74 20 66 3B F7 74 1B 66 85 F6 75 0B 8B C7 E8 ?? ?? ?? ?? 84 C0 75 0B 83 C3 02 0F B7 3B 66 85 FF 75 E0 8B CB 2B 4D E4 D1 F9 79 03 83 D1 00 8D 45 FC 8B 55 E4 E8 ?? ?? ?? ?? 66 85 F6 74 03 83 C3 02 80 7D F3 00 74 13 8B 45 F8 E8 ?? ?? ?? ?? 83 C0 34 8B 55 FC E8 ?? ?? ?? ?? 89 5D EC E9 B9 FE FF FF 8D 45 DC 50 8B CB 2B 4D EC D1 F9 79 03 83 D1 00 8B 55 EC 2B 55 E8 D1 FA 79 03 83 D2 00 42 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_5885_0 {
	meta:
		name = "TParam.Create"
		size = 192
		refs = "0016 @ClassCreate 0024 TParam.Create 0035 TCollectionItem.Create 003e TParam.SetParamType 0047 TParam.SetDataType 005e @VarClear 0069 @VarCopy 0079 @UStrClr 007e _DV_TParamObject 0096 @VarClr 009c @HandleFinally 00a9 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 3C 33 C0 89 47 28 33 C0 89 47 2C 8D 45 F0 E8 ?? ?? ?? ?? 8D 47 18 8D 55 F0 E8 ?? ?? ?? ?? C6 47 39 00 C6 47 30 01 8D 47 10 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 47 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5886_0 {
	meta:
		name = "TParam.Create"
		size = 75
		refs = "000e @ClassCreate 0027 TParam.SetParamType 0034 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 8B 30 FF 56 1C 0F B6 55 08 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_5887_0 {
	meta:
		name = "TParam.IsEqual"
		size = 189
		refs = "001b VarIsClear 002a @VarCmpEQ 0045 @UStrEqual 0057 TParam.GetDataType 0074 TParam.GetIsNull 00a3 TParam.GetParamType"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 18 0F B7 00 8D 56 18 0F B7 12 66 3B D0 75 21 8D 43 18 E8 ?? ?? ?? ?? 84 C0 75 11 8D 43 18 8D 56 18 E8 ?? ?? ?? ?? 74 04 33 C0 EB 06 B0 01 EB 02 33 C0 84 C0 74 10 8B 43 34 8B 56 34 E8 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 84 C0 74 17 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 3A D0 0F 94 C0 EB 02 33 C0 84 C0 74 17 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 3A D0 0F 94 C0 EB 02 33 C0 84 C0 74 0C 0F B6 43 39 3A 46 39 0F 94 C0 EB 02 33 C0 84 C0 74 18 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 3A D0 0F 94 C0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_5888_0 {
	meta:
		name = "TAbstractTest.GetIgnoreSetUpTearDownLeaks"
		size = 5
		altNames = "TDBXRowBlobStreamReader.Eos TIWBaseLayoutComponent.Able TParam.IsParamStored"
	strings:
		$1 = { 0F B6 40 39 C3 }
	condition:
		$1
}

rule function_5889_0 {
	meta:
		name = "TParam.ParamRef"
		size = 47
		refs = "001d TParams.ParamByName"
	strings:
		$1 = { 53 56 8B D8 83 7B 0C 00 75 1F 8B 73 04 85 F6 74 15 83 7B 34 00 74 0F 8B 53 34 8B C6 E8 ?? ?? ?? ?? 89 43 0C EB 03 89 5B 0C 8B 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_5890_0 {
	meta:
		name = "TParam.GetIsNull"
		size = 41
		refs = "000d VarIsNull 0019 VarIsClear"
	strings:
		$1 = { 53 8B D8 80 7B 30 00 75 1C 8D 43 18 E8 ?? ?? ?? ?? 84 C0 75 10 8D 43 18 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_5891_0 {
	meta:
		name = "TParam.HasParamObject"
		size = 160
		refs = "0011 TParam.HasParamObject 002b @IntfClear 0037 @VarToIntf 0045 Supports 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 18 0F B7 00 66 83 F8 0D 75 24 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 8D 53 18 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 14 EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 00 00 F0 4D F7 E4 18 E3 97 45 BE E3 9C 39 1D 09 96 A6 }
	condition:
		$1
}

rule function_5892_0 {
	meta:
		name = "TParam.GetParamObject"
		size = 124
		refs = "000f TParam.GetParamObject 002c @VarToIntf 003b @IntfCast 0044 @IntfClear 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 18 0F B7 00 66 83 F8 0D 75 1C 8D 45 FC 8D 53 18 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 F0 4D F7 E4 18 E3 97 45 BE E3 9C 39 1D 09 96 A6 }
	condition:
		$1
}

rule function_5893_0 {
	meta:
		name = "TParam.GetParamType"
		size = 16
		refs = "0006 TParam.ParamRef"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 40 3A 5B C3 }
	condition:
		$1
}

rule function_5894_0 {
	meta:
		name = "TParam.SetParamType"
		size = 19
		refs = "0009 TParam.ParamRef"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 88 58 3A 5E 5B C3 }
	condition:
		$1
}

rule function_5895_0 {
	meta:
		name = "TParam.SetStream"
		size = 156
		refs = "001a TParam.SetStream 0025 _DV_TParamStreamObject 003c TParam.SetObjectValue 0050 @IntfCast 006f @IntfClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 88 4D FB 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 89 43 40 0F B6 45 FB 50 8D 45 FC 50 B1 30 8B D7 8B C3 E8 ?? ?? ?? ?? 85 F6 74 1A 8D 45 F4 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B D6 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 E7 E6 69 7E DA E1 CC 4D 8E D1 D9 1A 7B C3 E5 CB }
	condition:
		$1
}

rule function_5896_0 {
	meta:
		name = "TParam.GetDataType"
		size = 16
		refs = "0006 TParam.ParamRef"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 40 38 5B C3 }
	condition:
		$1
}

rule function_5897_0 {
	meta:
		name = "TParam.SetDataType"
		size = 181
		refs = "0010 TParam.ParamRef 001b TParam.GetDataSet 002c TParam.GetIsNull 003a VarTypeMap 0047 TParam.SetDataType 006c @VarCast 007b @HandleAnyException 0088 TParam.Clear 008d @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 88 58 38 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 7F 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 6E 0F B6 C3 8B 1C 85 ?? ?? ?? ?? 83 FB 0A 74 50 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 83 C0 18 50 8B 45 FC E8 ?? ?? ?? ?? 83 C0 18 8B CB 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 35 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5899_0 {
	meta:
		name = "TParam.GetDataSize"
		size = 802
		refs = "0017 TParam.GetDataSize 0026 TParam.GetDataType 00cb TParam.GetDataSet 00d4 SUnknownFieldType 00d9 LoadResString 00f2 DatabaseErrorFmt 0102 VarToAnsiStr 0127 VarToStr 01cd VarIsArray 01de VarArrayHighBound 022a VarIsType 026c @VarToLStr 02b1 SBadFieldType 02e9 @UStrArrayClr 02f1 @LStrClr 030e @UStrClr 0314 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 33 0F 87 6F 02 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 02 0C 0A 0F 04 09 09 05 0A 0A 09 11 11 0A 12 02 12 12 12 12 12 13 02 03 10 02 13 13 13 12 12 00 00 00 00 06 05 03 03 00 00 0B 0D 0E 00 13 13 13 07 13 08 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 34 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? E9 D8 01 00 00 8D 55 F0 8D 43 18 E8 ?? ?? ?? ?? 8B 45 F0 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 8D 70 01 E9 B3 01 00 00 8D 55 E8 8D 43 18 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 40 8B F0 03 F6 E9 8C 01 00 00 BE 02 00 00 00 E9 82 01 00 00 BE 22 00 00 00 E9 78 01 00 00 BE 10 00 00 00 E9 6E 01 00 00 BE 14 00 00 00 E9 64 01 00 00 BE 04 00 00 00 E9 5A 01 00 00 BE 08 00 00 00 E9 50 01 00 00 BE 04 00 00 00 E9 46 01 00 00 BE 04 00 00 00 E9 3C 01 00 00 BE 02 00 00 00 E9 32 01 00 00 BE 01 00 00 00 E9 28 01 00 00 BE 01 00 00 00 E9 1E 01 00 00 BE 02 00 00 00 E9 14 01 00 00 BE 08 00 00 00 E9 0A 01 00 00 8D 43 18 E8 ?? ?? ?? ?? 84 C0 74 15 8D 43 18 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 46 E9 E9 00 00 00 33 F6 E9 E2 00 00 00 8D 43 18 E8 ?? ?? ?? ?? 84 C0 74 15 8D 43 18 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 46 E9 C1 00 00 00 66 C7 45 EC 08 00 66 C7 45 EE 02 01 8D 55 EC 8D 43 18 B9 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 23 8D 55 E4 8D 43 18 E8 ?? ?? ?? ?? 8B 45 E4 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 8B F0 03 F6 EB 7E 8D 43 18 66 BA 00 01 E8 ?? ?? ?? ?? 84 C0 74 1B 8D 45 E0 8D 53 18 E8 ?? ?? ?? ?? 8B 45 E0 85 C0 74 05 83 E8 04 8B 00 8B F0 EB 53 8D 55 DC 8D 43 18 E8 ?? ?? ?? ?? 8B 45 DC 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 8B F0 EB 32 33 F6 EB 2E 8B C3 E8 ?? ?? ?? ?? 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 50 8B 43 34 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5900_0 {
	meta:
		name = "TParam.GetData"
		size = 1079
		refs = "0023 TParam.GetData 0031 TParam.GetDataType 00e7 TParam.GetDataSet 00f0 SUnknownFieldType 00f5 LoadResString 0111 DatabaseErrorFmt 0121 TParam.GetAsAnsiString 0135 @LStrToPChar 013f Move 014f TParam.GetAsWideString 0163 @UStrToPWChar 017c TParam.GetAsInteger 01ab TParam.GetAsLongWord 01c9 TParam.GetAsLargeInt 01ea TParam.GetAsDateTime 01f9 DateTimeToTimeStamp 0243 TimeStampToMSecs 0253 TParam.GetAsBCD 026b CurrToBCD 027b TParam.GetAsFMTBCD 0296 TParam.GetAsSingle 02a6 TParam.GetAsFloat 02b9 TParam.GetAsSQLTimeStamp 02d2 TParam.GetAsSQLTimeStampOffset 02e9 TParam.GetAsBoolean 02ff VarIsArray 030e VarArrayLock 032e VarArrayHighBound 0352 VarArrayUnlock 0358 @HandleFinally 0360 _Dn_TStream 0368 TParam.HasParamObject 0376 TParam.GetStreamData 03a1 TParam.GetAsBytes 03a9 @DynArrayLength 03c8 SBadFieldType 03fe @UStrClr 040f TArray<System.Byte> 0414 @DynArrayClear 0424 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 C9 89 4D 98 89 4D EC 89 4D FC 89 4D F8 89 4D F4 8B DA 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 33 0F 87 7A 03 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 02 04 0A 06 14 11 11 0E 0C 0B 0D 15 15 0A 16 02 16 16 16 16 16 17 02 03 09 02 17 17 17 16 16 00 00 00 00 12 0F 03 03 00 00 07 05 08 00 00 17 16 13 17 10 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 8B 40 34 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? E9 D3 02 00 00 8D 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8B 45 FC E8 ?? ?? ?? ?? 46 8B CE 8B D3 E8 ?? ?? ?? ?? E9 A5 02 00 00 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 8B 45 F8 E8 ?? ?? ?? ?? 46 8B CE 03 C9 8B D3 E8 ?? ?? ?? ?? E9 75 02 00 00 8B 45 F0 E8 ?? ?? ?? ?? 66 89 03 E9 65 02 00 00 8B 45 F0 E8 ?? ?? ?? ?? 88 03 E9 56 02 00 00 8B 45 F0 E8 ?? ?? ?? ?? 66 89 03 E9 46 02 00 00 8B 45 F0 E8 ?? ?? ?? ?? 89 03 E9 37 02 00 00 8B 45 F0 E8 ?? ?? ?? ?? 88 03 E9 28 02 00 00 8B 45 F0 E8 ?? ?? ?? ?? 89 03 89 53 04 E9 16 02 00 00 8B 45 F0 E8 ?? ?? ?? ?? 89 03 E9 07 02 00 00 8B 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 89 03 E9 E6 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 E8 89 03 E9 C5 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? DD 1B 9B E9 9E 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C3 B9 04 00 00 00 BA 20 00 00 00 E8 ?? ?? ?? ?? E9 79 01 00 00 8D 55 C0 8B 45 F0 E8 ?? ?? ?? ?? 8D 75 C0 8B FB B9 08 00 00 00 F3 A5 66 A5 E9 5B 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? D9 1B 9B E9 4B 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? DD 1B 9B E9 3B 01 00 00 8D 55 B0 8B 45 F0 E8 ?? ?? ?? ?? 8D 75 B0 8B FB A5 A5 A5 A5 E9 22 01 00 00 8D 55 9C 8B 45 F0 E8 ?? ?? ?? ?? 8D 75 9C 8B FB A5 A5 A5 A5 A5 E9 08 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? 83 E0 7F 66 89 03 E9 F5 00 00 00 8B 45 F0 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 57 8B 45 F0 83 C0 18 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 83 C0 18 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C8 41 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 83 C0 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 15 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 7D 8B D3 8B 45 F0 E8 ?? ?? ?? ?? EB 71 8B 15 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B 45 F0 E8 ?? ?? ?? ?? EB 53 8D 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 F4 E8 ?? ?? ?? ?? EB 32 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 55 98 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 50 8B 45 F0 8B 40 34 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5901_0 {
	meta:
		name = "TParam.GetStreamData"
		size = 176
		refs = "0013 TParam.GetStreamData 001f _Dn_TStream 0026 TParam.HasParamObject 0034 TParam.GetParamObject 0044 @IntfCast 0057 @DynArrayLength 0063 Move 0078 @IntfClear 0089 TArray<System.Byte> 008e @DynArrayClear 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 39 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC 8B 08 FF 51 1C 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5E 5B 8B E5 5D C3 E7 E6 69 7E DA E1 CC 4D 8E D1 D9 1A 7B C3 E5 CB }
	condition:
		$1
}

rule function_5902_0 {
	meta:
		name = "TParam.SetBlobData"
		size = 114
		refs = "0012 TParam.SetBlobData 0027 TArray<System.Byte> 002c @DynArraySetLength 003b Move 0045 TParam.SetAsBlob 0060 @DynArrayClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B C7 8B CE E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5903_0 {
	meta:
		name = "TParam.SetData"
		size = 976
		refs = "0019 TParam.SetData 0026 TParam.GetDataType 00e3 TParam.GetDataSet 00ec SUnknownFieldType 00f1 LoadResString 010a DatabaseErrorFmt 011e @LStrFromPChar 0129 @VarFromLStr 0133 TParam.SetAsVariant 0142 @UStrFromPWChar 014d @VarFromUStr 0166 TParam.SetAsWord 0174 TParam.SetAsLongWord 0183 TParam.SetAsByte 0192 TParam.SetAsSmallInt 01a1 TParam.SetAsShortInt 01b2 TParam.SetAsLargeInt 01c0 TParam.SetAsInteger 01d9 TimeStampToDateTime 01e7 TParam.SetAsTime 020c TParam.SetAsDate 022c MSecsToTimeStamp 0242 TParam.SetAsDateTime 0250 TParam.SetAsSQLTimeStamp 025e TParam.SetAsSQLTimeStampOffset 026d BCDToCurr 027e TParam.SetAsBCD 029c TParam.SetAsFMTBCD 02b7 TParam.SetAsCurrency 02c5 TParam.SetAsSingle 02d6 TParam.SetAsFloat 02e9 TParam.SetAsBoolean 0307 TParam.SetAsAnsiString 031d TParam.SetAsWideString 032b @VarFromInt 0334 @PWCharLen 033f TParam.SetBlobData 0351 SBadFieldType 0389 @UStrArrayClr 0391 @LStrClr 0399 @UStrClr 03a1 @VarClr 03bf @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 33 0F 87 0F 03 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 02 07 0A 04 15 14 12 10 0C 0B 0D 00 00 0A 19 16 19 19 19 19 19 18 02 03 09 00 00 00 00 19 19 00 00 00 00 0E 11 03 17 00 00 05 08 06 00 00 00 00 0F 00 13 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 43 34 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? E9 60 02 00 00 8D 45 D0 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8D 55 D4 8B C3 E8 ?? ?? ?? ?? E9 37 02 00 00 8D 45 BC 8B D6 E8 ?? ?? ?? ?? 8B 55 BC 8D 45 C0 E8 ?? ?? ?? ?? 8D 55 C0 8B C3 E8 ?? ?? ?? ?? E9 13 02 00 00 0F B7 16 8B C3 E8 ?? ?? ?? ?? E9 04 02 00 00 8B 16 8B C3 E8 ?? ?? ?? ?? E9 F6 01 00 00 0F B6 16 8B C3 E8 ?? ?? ?? ?? E9 E7 01 00 00 0F BF 16 8B C3 E8 ?? ?? ?? ?? E9 D8 01 00 00 0F BE 16 8B C3 E8 ?? ?? ?? ?? E9 C9 01 00 00 FF 76 04 FF 36 8B C3 E8 ?? ?? ?? ?? E9 B8 01 00 00 8B 16 8B C3 E8 ?? ?? ?? ?? E9 AA 01 00 00 8B 06 89 45 F0 C7 45 F4 5A 95 0A 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 83 01 00 00 33 C0 89 45 F0 8B 06 89 45 F4 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 5E 01 00 00 33 C0 89 45 F0 8B 06 89 45 F4 DD 06 83 C4 F8 DF 3C 24 9B 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 28 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? E9 1A 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? E9 0C 01 00 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 12 FF 75 FC FF 75 F8 8B C3 E8 ?? ?? ?? ?? E9 EC 00 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? E9 DC 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? E9 CE 00 00 00 DD 06 D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 B3 00 00 00 FF 36 8B C3 E8 ?? ?? ?? ?? E9 A5 00 00 00 FF 76 04 FF 36 8B C3 E8 ?? ?? ?? ?? E9 94 00 00 00 66 83 3E 01 1B D2 42 8B C3 E8 ?? ?? ?? ?? E9 81 00 00 00 8D 45 B8 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 B8 8B C3 E8 ?? ?? ?? ?? EB 66 8D 45 B4 8B D6 E8 ?? ?? ?? ?? 8B 55 B4 8B C3 E8 ?? ?? ?? ?? EB 50 8D 43 18 33 D2 B1 01 E8 ?? ?? ?? ?? EB 42 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? EB 2E 8B C3 E8 ?? ?? ?? ?? 50 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 50 8B 43 34 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 5E 5B 8B E5 5D C3 00 00 40 1C 46 }
	condition:
		$1
}

rule function_5904_0 {
	meta:
		name = "TParam.SetObjectValue"
		size = 202
		refs = "0023 TParam.SetObjectValue 002f _Dn_TObject 0036 TParam.HasParamObject 0044 TParam.GetParamObject 0084 @IntfCopy 008e @VarFromIntf 0098 TParam.SetAsVariant 00ad @VarClr 00b5 @IntfClear 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 88 4D F7 89 55 F8 8B F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 23 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 10 3B 45 F8 75 0A B2 01 8B 45 FC 8B 08 FF 51 10 0F B6 5D F7 88 5F 38 53 0F B6 45 0C 50 8B 4D F8 B2 01 8B 47 40 FF 10 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 8D 45 E4 8B 16 E8 ?? ?? ?? ?? 8D 55 E4 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5905_0 {
	meta:
		name = "TParam.SetText"
		size = 84
		refs = "0013 TParam.SetText 0023 @VarFromUStr 002d TParam.SetAsVariant 0042 @VarClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5906_0 {
	meta:
		name = "LoadFromStreamPersist"
		size = 95
		refs = "000a _Dn_TMemoryStream 000f TObject.Create 001a LoadFromStreamPersist 003a TParam.LoadFromStream 004f TObject.Free 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 10 8B 45 08 8B 40 FC B1 11 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14910_0 {
	meta:
		name = "LoadFromStreamPersist"
		size = 95
		refs = "000a _Dn_TMemoryStream 000f TObject.Create 001a LoadFromStreamPersist 003a TParameter.LoadFromStream 004f TObject.Free 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 10 8B 45 08 8B 40 FC B1 11 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5907_0 {
	meta:
		name = "LoadFromStrings"
		size = 79
		refs = "000c LoadFromStrings 002a TParam.SetAsMemo 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 1C 8B 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5908_0 {
	meta:
		name = "TParam.Assign"
		size = 216
		refs = "0015 TParam.Assign 0023 _DV_TParam 0028 @IsClass 0036 TParam.AssignParam 0040 _DV_TField 0053 TParam.AssignField 005d _Dn_TStrings 006e LoadFromStrings 0079 @IntfClear 0087 Supports 0094 LoadFromStreamPersist 00a1 TPersistent.Assign 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 69 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 4C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 55 8B C3 E8 ?? ?? ?? ?? 59 EB 30 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 55 8B 45 F8 E8 ?? ?? ?? ?? 59 EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 00 A3 12 CD B8 7A 26 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_5909_0 {
	meta:
		name = "TParam.AssignTo"
		size = 51
		refs = "000a _DV_TField 000f @IsClass 002c TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8D 53 18 8B C6 8B 08 FF 91 00 01 00 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5910_0 {
	meta:
		name = "TParam.AssignParam"
		size = 116
		refs = "000d TParam.GetDataType 0017 TParam.GetIsNull 0022 TParam.Clear 002e TParam.SetAsVariant 0040 @UStrAsg 0047 TParam.GetParamType 005b TParam.SetParamType"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 67 8B C6 E8 ?? ?? ?? ?? 88 43 38 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 0A 8D 56 18 8B C3 E8 ?? ?? ?? ?? 0F B6 46 39 88 43 39 8D 43 34 8B 56 34 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 46 3C 89 43 3C 8B 46 28 89 43 28 8B 46 2C 89 43 2C 5E 5B C3 }
	condition:
		$1
}

rule function_5911_0 {
	meta:
		name = "TParam.AssignFieldValue"
		size = 223
		refs = "0025 TParam.SetDataType 0097 VarIsNull 00a2 TParam.Clear 00ad TParam.SetAsVariant"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 85 DB 0F 84 CA 00 00 00 80 7B 48 01 75 14 80 BB F0 00 00 00 00 74 0B B2 17 8B C6 E8 ?? ?? ?? ?? EB 69 80 7B 48 10 75 1C 8B C3 8B 10 FF 92 B4 00 00 00 3D FF 00 00 00 7E 0B B2 01 8B C6 E8 ?? ?? ?? ?? EB 47 80 7B 48 18 75 14 80 BB F0 00 00 00 00 74 0B B2 26 8B C6 E8 ?? ?? ?? ?? EB 2D 80 7B 48 27 75 1C 8B C3 8B 10 FF 92 B4 00 00 00 3D FF 00 00 00 7E 0B B2 18 8B C6 E8 ?? ?? ?? ?? EB 0B 0F B6 53 48 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 09 8B C6 E8 ?? ?? ?? ?? EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 89 46 3C 0F B6 43 48 2C 08 74 04 2C 1D 75 0D 8B C3 8B 10 FF 92 B4 00 00 00 89 46 2C C6 46 39 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5912_0 {
	meta:
		name = "TParam.AssignField"
		size = 104
		refs = "0013 TParam.AssignField 0036 TParam.AssignFieldValue 0041 @UStrAsg 0056 @VarClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 24 8D 55 F0 8B C3 8B 08 FF 91 90 00 00 00 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 46 34 8B 53 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5913_0 {
	meta:
		name = "TParam.Clear"
		size = 83
		refs = "0010 TParam.Clear 0022 @VarClear 002d @VarCopy 0042 @VarClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 30 01 8D 45 F0 E8 ?? ?? ?? ?? 8D 43 18 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5914_0 {
	meta:
		name = "TParam.GetDataSet"
		size = 18
		refs = "000d TParams.GetDataSet"
	strings:
		$1 = { 8B 50 04 85 D2 75 03 33 C0 C3 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5915_0 {
	meta:
		name = "TParam.GetDisplayName"
		size = 37
		refs = "0011 TCollectionItem.GetDisplayName 001e @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 34 00 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 34 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5916_0 {
	meta:
		name = "TParam.SetAsBoolean"
		size = 88
		refs = "0013 TParam.SetAsBoolean 0027 @VarFromBool 0031 TParam.SetAsVariant 0046 @VarClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 46 38 05 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5917_0 {
	meta:
		name = "TParam.GetAsBoolean"
		size = 28
		refs = "0006 TParam.GetIsNull 0016 @VarToBool"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 8D 43 18 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5934_0 {
	meta:
		name = "TParam.GetAsInteger"
		size = 28
		refs = "0006 TParam.GetIsNull 0016 @VarToInteger"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 8D 43 18 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5935_0 {
	meta:
		name = "TParam.GetAsLongWord"
		size = 28
		refs = "0006 TParam.GetIsNull 0016 @VarToInt64"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 8D 43 18 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_5918_0 {
	meta:
		name = "TParam.SetAsSingle"
		size = 87
		refs = "0010 TParam.SetAsSingle 0025 @VarFromReal 002f TParam.SetAsVariant 0044 @VarClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 33 D9 45 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_5919_0 {
	meta:
		name = "TParam.GetAsSingle"
		size = 40
		refs = "0007 TParam.GetIsNull 001a @VarToReal"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 33 C0 89 04 24 EB 0C 8D 43 18 E8 ?? ?? ?? ?? D9 1C 24 9B D9 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_5920_0 {
	meta:
		name = "TParam.SetAsFloat"
		size = 87
		refs = "0010 TParam.SetAsFloat 0025 @VarFromReal 002f TParam.SetAsVariant 0044 @VarClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 06 DD 45 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5921_0 {
	meta:
		name = "TParam.GetAsFloat"
		size = 47
		refs = "0009 TParam.GetIsNull 0020 @VarToReal"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 33 C0 89 04 24 89 44 24 04 EB 0C 8D 43 18 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_5960_0 {
	meta:
		name = "TParam.GetAsDateTime"
		size = 47
		refs = "0009 TParam.GetIsNull 0020 VarToDateTime"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 33 C0 89 04 24 89 44 24 04 EB 0C 8D 43 18 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_5922_0 {
	meta:
		name = "TParam.SetAsCurrency"
		size = 87
		refs = "0010 TParam.SetAsCurrency 0025 @VarFromCurr 002f TParam.SetAsVariant 0044 @VarClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 07 DF 6D 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5923_0 {
	meta:
		name = "TParam.GetAsBCD"
		size = 47
		refs = "0009 TParam.GetIsNull 0020 @VarToCurrency"
		altNames = "TParam.GetAsCurrency"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 33 C0 89 04 24 89 44 24 04 EB 0C 8D 43 18 E8 ?? ?? ?? ?? DF 3C 24 9B DF 2C 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_5924_0 {
	meta:
		name = "TParam.SetAsBCD"
		size = 87
		refs = "0010 TParam.SetAsBCD 0025 @VarFromCurr 002f TParam.SetAsVariant 0044 @VarClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 08 DF 6D 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5926_0 {
	meta:
		name = "TParam.SetAsFMTBCD"
		size = 88
		refs = "0013 TParam.SetAsFMTBCD 0027 VarFMTBcdCreate 0031 TParam.SetAsVariant 0046 @VarClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 25 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5927_0 {
	meta:
		name = "TParam.GetAsFMTBCD"
		size = 52
		refs = "000a TParam.GetIsNull 0013 NullBcd 002c VarToBcd"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 A1 ?? ?? ?? ?? 8B FE 8B F0 B9 08 00 00 00 F3 A5 66 A5 EB 0A 8B D6 8D 43 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5928_0 {
	meta:
		name = "TParam.SetAsSQLTimeStamp"
		size = 88
		refs = "0013 TParam.SetAsSQLTimeStamp 0027 VarSQLTimeStampCreate 0031 TParam.SetAsVariant 0046 @VarClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 24 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5929_0 {
	meta:
		name = "TParam.SetAsSQLTimeStampOffset"
		size = 88
		refs = "0013 TParam.SetAsSQLTimeStampOffset 0027 VarSQLTimeStampOffsetCreate 0031 TParam.SetAsVariant 0046 @VarClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 31 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5930_0 {
	meta:
		name = "TParam.GetAsSQLTimeStamp"
		size = 47
		refs = "000a TParam.GetIsNull 0013 NullSQLTimeStamp 0027 VarToSQLTimeStamp"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F A1 ?? ?? ?? ?? 8B FE 8B F0 A5 A5 A5 A5 EB 0A 8B D6 8D 43 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5931_0 {
	meta:
		name = "TParam.GetAsSQLTimeStampOffset"
		size = 48
		refs = "000a TParam.GetIsNull 0013 NullSQLTimeStampOffset 0028 VarToSQLTimeStampOffset"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 A1 ?? ?? ?? ?? 8B FE 8B F0 A5 A5 A5 A5 A5 EB 0A 8B D6 8D 43 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5932_0 {
	meta:
		name = "TParam.SetAsInteger"
		size = 90
		refs = "0013 TParam.SetAsInteger 0029 @VarFromInt 0033 TParam.SetAsVariant 0048 @VarClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 03 8D 45 F0 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5933_0 {
	meta:
		name = "TParam.SetAsLongWord"
		size = 90
		refs = "0013 TParam.SetAsLongWord 0029 @VarFromInt 0033 TParam.SetAsVariant 0048 @VarClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 2A 8D 45 F0 8B D6 B1 04 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5936_0 {
	meta:
		name = "TParam.GetAsLargeInt"
		size = 60
		refs = "0009 TParam.GetIsNull 0026 @VarToInt64"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 C7 04 24 00 00 00 00 C7 44 24 04 00 00 00 00 EB 0F 8D 43 18 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_5937_0 {
	meta:
		name = "TParam.SetAsWord"
		size = 90
		refs = "0013 TParam.SetAsWord 0029 @VarFromInt 0033 TParam.SetAsVariant 0048 @VarClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 04 8D 45 F0 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5938_0 {
	meta:
		name = "TParam.SetAsSmallInt"
		size = 90
		refs = "0013 TParam.SetAsSmallInt 0029 @VarFromInt 0033 TParam.SetAsVariant 0048 @VarClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 02 8D 45 F0 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5939_0 {
	meta:
		name = "TParam.SetAsShortInt"
		size = 90
		refs = "0013 TParam.SetAsShortInt 0029 @VarFromInt 0033 TParam.SetAsVariant 0048 @VarClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 2B 8D 45 F0 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5940_0 {
	meta:
		name = "TParam.SetAsByte"
		size = 90
		refs = "0013 TParam.SetAsByte 0029 @VarFromInt 0033 TParam.SetAsVariant 0048 @VarClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 2C 8D 45 F0 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5941_0 {
	meta:
		name = "TParam.SetAsLargeInt"
		size = 92
		refs = "0010 TParam.SetAsLargeInt 002a @VarFromInt64 0034 TParam.SetAsVariant 0049 @VarClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 19 8B 45 08 8B 55 0C 52 50 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5942_0 {
	meta:
		name = "TParam.SetAsObject"
		size = 64
		refs = "0009 TParam.SetAsObject 001c TParam.SetObjectValue 0031 @IntfClear 0037 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 6A 00 8D 4D FC 51 B1 32 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_5943_0 {
	meta:
		name = "TParam.SetAsStream"
		size = 10
		refs = "0005 TParam.SetStream"
	strings:
		$1 = { 6A 00 B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15447_0 {
	meta:
		name = "TCustomClientDataSet.WriteData"
		size = 10
		refs = "0005 TCustomClientDataSet.WriteDataPacket"
	strings:
		$1 = { 6A 00 B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5944_0 {
	meta:
		name = "TParam.SetAsString"
		size = 94
		refs = "0013 TParam.SetAsString 002d @VarFromUStr 0037 TParam.SetAsVariant 004c @VarClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 38 26 74 04 C6 43 38 18 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5945_0 {
	meta:
		name = "TParam.SetAsWideString"
		size = 94
		refs = "0013 TParam.SetAsWideString 002d @VarFromUStr 0037 TParam.SetAsVariant 004c @VarClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 38 26 74 04 C6 43 38 18 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5946_0 {
	meta:
		name = "TParam.SetAsAnsiString"
		size = 94
		refs = "0013 TParam.SetAsAnsiString 002d @VarFromLStr 0037 TParam.SetAsVariant 004c @VarClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 38 17 74 04 C6 43 38 01 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5947_0 {
	meta:
		name = "TParam.SetAsBytes"
		size = 94
		refs = "0013 TParam.SetAsBytes 0028 TArray<System.Byte> 002d @VarFromDynArray 0037 TParam.SetAsVariant 004c @VarClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 0D 8D 45 F0 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5948_0 {
	meta:
		name = "TParam.GetAsStream"
		size = 168
		refs = "000e TParam.GetAsStream 001b TParam.GetIsNull 0029 _Dn_TStream 0030 TParam.HasParamObject 003e TParam.GetParamObject 0053 @AsClass 0061 TParam.GetAsBytes 006b _Dn_TBytesStream 0070 TBytesStream.Create 0088 TArray<System.Byte> 008d @DynArrayClear 0095 @IntfClear 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 4F 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC B2 01 8B 08 FF 51 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 1B 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_5949_0 {
	meta:
		name = "TParam.GetAsString"
		size = 91
		refs = "0009 TParam.GetIsNull 0014 @UStrClr 001e TParam.GetDataType 002a @VarToBool 0035 STextTrue 003a LoadResString 0043 STextFalse 0054 @VarToUStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 3C 05 75 28 8D 43 18 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8B C6 8D 53 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5950_0 {
	meta:
		name = "TParam.GetAsWideString"
		size = 43
		refs = "0018 @VarToUStr 0024 TParam.GetAsString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 18 0F B7 00 66 3D 02 01 75 0D 8B C6 8D 53 18 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5951_0 {
	meta:
		name = "TParam.GetAsAnsiString"
		size = 108
		refs = "000f TParam.GetAsAnsiString 002b @VarToLStr 0037 TParam.GetAsString 0046 @LStrFromUStr 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 18 0F B7 00 66 3D 00 01 75 0C 8B C6 8D 53 18 E8 ?? ?? ?? ?? EB 19 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5952_0 {
	meta:
		name = "TParam.GetAsObject"
		size = 100
		refs = "000c TParam.GetAsObject 0018 _Dn_TObject 001f TParam.HasParamObject 002d TParam.GetParamObject 0052 @IntfClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 8B 08 FF 51 10 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5953_0 {
	meta:
		name = "TParam.GetAsBytes"
		size = 456
		refs = "0017 TParam.GetAsBytes 0025 VarIsArray 0035 TArray<System.Byte> 003a @VarToDynArray 004a @DynArrayAsg 0055 _Dn_TStream 005c TParam.HasParamObject 006a TParam.GetParamObject 007a @IntfCast 00bf @VarToUStr 00df @VarToLStr 0120 VarTypeDataSize 013e @DynArraySetLength 014c Move 015b @DynArrayClear 0170 @UStrClr 0178 @LStrClr 0188 @IntfClear 01a3 @FinalizeArray 01a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 18 E8 ?? ?? ?? ?? 84 C0 74 26 8D 45 FC 8D 53 18 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0C 01 00 00 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3A 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 8B 08 FF 51 1C 8B 55 F8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C1 00 00 00 8D 43 18 0F B7 00 66 83 E8 08 74 0E 66 2D F8 00 74 28 66 83 E8 02 74 40 EB 5E 8D 45 EC 8D 53 18 E8 ?? ?? ?? ?? 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 8B F8 03 FF 8B 5B 20 EB 53 8D 45 E8 8D 53 18 E8 ?? ?? ?? ?? 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 8B F8 8B 5B 20 EB 35 8D 45 E4 8D 53 18 E8 ?? ?? ?? ?? 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 8B F8 03 FF 8B 5B 20 EB 15 8D 43 18 0F B7 00 0F B7 C0 E8 ?? ?? ?? ?? 8B F8 8D 43 20 8B D8 85 FF 7E 23 57 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 16 8B C3 8B CF E8 ?? ?? ?? ?? EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5F 5E 5B 8B E5 5D C3 00 00 E7 E6 69 7E DA E1 CC 4D 8E D1 D9 1A 7B C3 E5 CB }
	condition:
		$1
}

rule function_5954_0 {
	meta:
		name = "TParam.SetDataSet"
		size = 65
		refs = "000a TParam.SetDataSet 001c TParam.SetObjectValue 0031 @IntfClear 0037 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 51 8D 4D FC 51 B1 1D E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5955_0 {
	meta:
		name = "TParam.SetAsDataSet"
		size = 13
		refs = "0008 TParam.SetDataSet"
	strings:
		$1 = { 83 7A 04 00 0F 94 C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_5956_0 {
	meta:
		name = "TParam.SetAsDate"
		size = 87
		refs = "0010 TParam.SetAsDate 0025 @VarFromTDateTime 002f TParam.SetAsVariant 0044 @VarClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 09 DD 45 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5957_0 {
	meta:
		name = "TParam.SetAsTime"
		size = 87
		refs = "0010 TParam.SetAsTime 0025 @VarFromTDateTime 002f TParam.SetAsVariant 0044 @VarClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 0A DD 45 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5958_0 {
	meta:
		name = "TParam.SetAsDateTime"
		size = 87
		refs = "0010 TParam.SetAsDateTime 0025 @VarFromTDateTime 002f TParam.SetAsVariant 0044 @VarClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 0B DD 45 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_5959_0 {
	meta:
		name = "TParam.GetAsDataset"
		size = 122
		refs = "000c TParam.GetAsDataset 0019 TParam.GetIsNull 0023 _DV_TDataSet 002a TParam.HasParamObject 0038 TParam.GetParamObject 004d @AsClass 0068 @IntfClear 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 34 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC B2 01 8B 08 FF 51 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5967_0 {
	meta:
		name = "TParam.GetAsParams"
		size = 122
		refs = "000c TParam.GetAsParams 0019 TParam.GetIsNull 0023 _DV_TParams 002a TParam.HasParamObject 0038 TParam.GetParamObject 004d @AsClass 0068 @IntfClear 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 34 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC B2 01 8B 08 FF 51 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_5961_0 {
	meta:
		name = "TParam.SetAsVariant"
		size = 484
		refs = "0010 TParam.SetAsVariant 001d TParam.ParamRef 002c VarIsClear 0043 VarIsNull 014c VarSQLTimeStamp 015c VarSQLTimeStampOffset 016c VarFMTBcd 017d _Dn_TObject 0184 TParam.HasParamObject 0192 TParam.GetParamObject 01ad @VarCopy 01d2 @IntfClear 01d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3B D8 0F 85 8A 01 00 00 8B C6 E8 ?? ?? ?? ?? 34 01 88 43 39 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 43 30 0F B6 43 38 84 C0 0F 85 47 01 00 00 0F B7 3E 0F B7 D7 83 FA 0B 7F 3A 0F 84 BA 00 00 00 83 FA 08 0F 87 D1 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 FA 13 7F 12 74 4C 83 EA 10 74 35 4A 74 20 4A 74 38 E9 8F 00 00 00 83 EA 14 0F 84 80 00 00 00 81 EA EC 00 00 00 74 64 83 EA 02 74 69 EB 77 C6 43 38 2C E9 CA 00 00 00 C6 43 38 02 E9 C1 00 00 00 C6 43 38 2B E9 B8 00 00 00 C6 43 38 04 E9 AF 00 00 00 C6 43 38 2A E9 A6 00 00 00 C6 43 38 03 E9 9D 00 00 00 C6 43 38 08 E9 94 00 00 00 C6 43 38 33 E9 8B 00 00 00 C6 43 38 06 E9 82 00 00 00 C6 43 38 0B EB 7C C6 43 38 05 EB 76 3C 17 74 72 C6 43 38 01 EB 6C 3C 26 74 68 C6 43 38 18 EB 62 C6 43 38 19 EB 5C E8 ?? ?? ?? ?? 66 3B F8 75 06 C6 43 38 24 EB 4C E8 ?? ?? ?? ?? 66 3B 06 75 06 C6 43 38 31 EB 3C E8 ?? ?? ?? ?? 66 3B 06 75 06 C6 43 38 25 EB 2C 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 88 43 38 EB 04 C6 43 38 00 8D 43 18 8B D6 E8 ?? ?? ?? ?? EB 0E 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5962_0 {
	meta:
		name = "TParam.GetAsVariant"
		size = 26
		refs = "0009 TParam.ParamRef 0013 @VarCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 50 18 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5963_0 {
	meta:
		name = "TParam.GetAsMemo"
		size = 40
		refs = "0009 TParam.GetIsNull 0014 @UStrClr 0021 @VarToUStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8D 53 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5964_0 {
	meta:
		name = "TParam.SetAsMemo"
		size = 88
		refs = "0013 TParam.SetAsMemo 0027 @VarFromUStr 0031 TParam.SetAsVariant 0046 @VarClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 10 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5965_0 {
	meta:
		name = "TParam.SetParams"
		size = 65
		refs = "000a TParam.SetParams 001c TParam.SetObjectValue 0031 @IntfClear 0037 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 51 8D 4D FC 51 B1 2F E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5966_0 {
	meta:
		name = "TParam.SetAsParams"
		size = 30
		refs = "0009 TCollection.Owner 0017 TParam.SetParams"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 94 C1 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_5968_0 {
	meta:
		name = "TParam.SetAsBlob"
		size = 94
		refs = "0013 TParam.SetAsBlob 0028 TArray<System.Byte> 002d @VarFromDynArray 0037 TParam.SetAsVariant 004c @VarClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 0F 8D 45 F0 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5969_0 {
	meta:
		name = "TParam.LoadFromFile"
		size = 89
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TParam.LoadFromFile 0033 TParam.LoadFromStream 0048 TObject.Free 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 8B F0 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14915_0 {
	meta:
		name = "TParameter.LoadFromFile"
		size = 89
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TParameter.LoadFromFile 0033 TParameter.LoadFromStream 0048 TObject.Free 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 8B F0 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5970_0 {
	meta:
		name = "TParam.LoadFromStream"
		size = 168
		refs = "0018 TParam.LoadFromStream 002c TStream.SetPosition 0043 TArray<System.Byte> 0048 @DynArraySetLength 0057 TStream.ReadBuffer 0068 @VarFromDynArray 0072 TParam.SetAsVariant 0087 @VarClr 0095 @DynArrayClear 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 88 4B 38 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 12 8B F8 57 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B CF 8B C6 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5971_0 {
	meta:
		name = "TDataSet.Create"
		size = 264
		refs = "000e @ClassCreate 001c TComponent.Create 007f _Dn_TList 0084 TObject.Create 00cb TDataSet.Create 00ef @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 90 00 00 00 00 8B C3 8B 10 FF 92 44 02 00 00 8B CB B2 01 FF 50 2C 89 43 40 8B C3 8B 10 FF 92 48 02 00 00 8B CB B2 01 FF 90 B4 00 00 00 89 43 44 8B C3 8B 10 FF 92 4C 02 00 00 8B CB B2 01 FF 10 89 43 38 8B C3 8B 10 FF 92 50 02 00 00 8B CB B2 01 FF 90 B4 00 00 00 89 43 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 4C C6 83 AF 00 00 00 01 8B C3 8B 10 FF 92 54 02 00 00 8B CB B2 01 FF 50 2C 89 83 88 00 00 00 8B 13 89 D0 89 83 98 00 00 00 8B C3 8B 10 FF 92 58 02 00 00 8B CB B2 01 FF 10 8B F0 89 73 3C 0F B6 05 ?? ?? ?? ?? 88 46 18 C7 83 A0 00 00 00 01 00 00 00 8B C3 8B 10 FF 92 C8 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 10 00 00 00 }
	condition:
		$1
}

rule function_5972_0 {
	meta:
		name = "TDataSet.Destroy"
		size = 247
		refs = "0004 @BeforeDestruction 000f TComponent.Destroying 0016 TDataSet.Close 0032 TObject.Free 0041 TList.Last 004a TDataSet.RemoveDataSource 00e4 TComponent.Destroy 00ef @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 8B 08 FF 91 C8 01 00 00 8D 47 74 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 83 7F 4C 00 74 1B EB 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 77 4C 83 7E 08 00 7F E7 8D 47 4C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 47 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 47 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 47 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 47 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 47 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 87 88 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 87 94 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5973_0 {
	meta:
		name = "RenameFields"
		size = 409
		refs = "0018 RenameFields 0026 TFields.GetCount 0045 TFields.GetField 006b @UStrLAsg 00bb @UStrSetLength 00c9 CompareText 00f2 @UStrDelete 0105 @UStrInsert 012d @HandleOnException 0135 _Dn_EComponentError 013e @DoneExcept 0186 @UStrArrayClr 018c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 3D 01 00 00 40 89 45 E8 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 8B 40 04 8B 55 08 8B 52 FC 3B 42 04 0F 85 03 01 00 00 8D 45 FC 8B 55 EC 8B 52 08 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B 55 08 8B 4A F8 8B D1 89 55 E4 8B 55 E4 85 D2 74 05 83 EA 04 8B 12 3B D0 0F 8D 9D 00 00 00 8B C1 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 8D 55 F8 92 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 75 71 8B 45 08 8B 40 F8 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 8D 55 FC 8B C8 B8 01 00 00 00 92 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 08 8B 40 F4 B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 EC 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 0F B6 40 48 04 E6 2C 02 73 15 8B 45 08 50 8B 45 EC 8B 10 FF 92 34 01 00 00 E8 ?? ?? ?? ?? 59 FF 45 F0 FF 4D E8 0F 85 CE FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5974_0 {
	meta:
		name = "TDataSet.SetName"
		size = 140
		refs = "0015 TDataSet.SetName 0029 @UStrLAsg 0034 TComponent.SetName 004b @UStrEqual 0059 RenameFields 007c @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F8 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 1C 10 74 2A 8B 45 FC 8B 40 08 8B 55 F8 E8 ?? ?? ?? ?? 74 1A 55 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_5975_0 {
	meta:
		name = "TDataSet.GetChildren"
		size = 130
		refs = "0015 TFields.GetCount 002c TFields.GetField"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 F8 89 45 FC 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 24 43 33 F6 8B 45 FC 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8B 50 04 3B 55 F8 75 08 8B D0 8B 45 0C FF 55 08 46 4B 75 DF 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 24 43 33 F6 8B 45 FC 8B 40 3C 8B D6 E8 ?? ?? ?? ?? 8B 50 04 3B 55 F8 75 08 8B D0 8B 45 0C FF 55 08 46 4B 75 DF 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_5976_0 {
	meta:
		name = "TDataSet.SetChildOrder"
		size = 54
		refs = "000d _DV_TField 0012 @AsClass 0021 TList.IndexOf 002e TField.SetIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 46 38 8B D3 8B 40 04 E8 ?? ?? ?? ?? 85 C0 7C 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_5977_0 {
	meta:
		name = "TDataSet.Loaded"
		size = 110
		refs = "000e TComponent.Loaded 0016 TDataSet.Loaded 0044 @HandleAnyException 005f @RaiseAgain 0064 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 AB 00 00 00 00 74 0D B2 01 8B 45 FC 8B 08 FF 91 B4 01 00 00 33 C0 5A 59 59 64 89 10 EB 25 E9 ?? ?? ?? ?? 8B 45 FC F6 40 1C 10 74 0D 8B 45 FC 8B 10 FF 92 34 02 00 00 EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5978_0 {
	meta:
		name = "TDataSet.SetState"
		size = 36
	strings:
		$1 = { 53 3A 90 A5 00 00 00 74 19 88 90 A5 00 00 00 C6 80 AA 00 00 00 00 33 C9 B2 06 8B 18 FF 93 E4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5979_0 {
	meta:
		name = "TDataSet.SetModified"
		size = 7
		altNames = "TIBCustomDataSet.RecordModified"
	strings:
		$1 = { 88 90 AA 00 00 00 C3 }
	condition:
		$1
}

rule function_5980_0 {
	meta:
		name = "TDataSet.CreateNestedDataSet"
		size = 104
		refs = "001d TDataSet.CreateNestedDataSet 002d TDataSet.SetObjectView 0049 @HandleAnyException 0051 TObject.Free 0056 @RaiseAgain 005b @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 8B 80 98 00 00 00 8B CB B2 01 FF 50 38 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 91 C8 01 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_5981_0 {
	meta:
		name = "TDataSet.SetDataSetField"
		size = 306
		refs = "0014 TDataSet.SetDataSetField 0056 SCircularDataLink 005b LoadResString 0065 DatabaseError 0079 TObject.InheritsFrom 008f TObject.ClassName 00a5 SNestedDataSetClass 00b5 DatabaseErrorFmt 00bc TDataSet.GetActive 00c7 TDataSet.Close 00d8 TDataSetField.AssignNestedDataSet 00fe TDataSet.Open 0118 @UStrArrayClr 0120 @UStrClr 0126 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B B3 8C 00 00 00 0F 84 D8 00 00 00 85 F6 74 3B 3B 5E 3C 74 1F 8B 46 3C 8B 10 FF 92 60 01 00 00 85 C0 74 27 8B 46 3C 8B 10 FF 92 60 01 00 00 3B 58 38 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 85 F6 74 4C 8B 46 3C 8B 90 98 00 00 00 8B 03 E8 ?? ?? ?? ?? 84 C0 75 38 53 8D 55 F0 8B 46 3C 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B 83 8C 00 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 89 B3 8C 00 00 00 85 F6 74 1C 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_5982_0 {
	meta:
		name = "TDataSet.GetNestedDataSets"
		size = 38
		refs = "000f _Dn_TList 0014 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 BB 94 00 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 94 00 00 00 8B 83 94 00 00 00 5B C3 }
	condition:
		$1
}

rule function_5983_0 {
	meta:
		name = "TDataSet.GetFound"
		size = 8
	strings:
		$1 = { 0F B6 80 AD 00 00 00 C3 }
	condition:
		$1
}

rule function_5984_0 {
	meta:
		name = "TDataSet.SetFound"
		size = 7
	strings:
		$1 = { 88 90 AD 00 00 00 C3 }
	condition:
		$1
}

rule function_5985_0 {
	meta:
		name = "TDataSet.SetObjectView"
		size = 25
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 92 C4 00 00 00 88 9E B1 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5986_0 {
	meta:
		name = "TDataSet.SetSparseArrays"
		size = 25
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 92 C4 00 00 00 88 9E B2 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_5988_0 {
	meta:
		name = "TDataSet.SetUniDirectional"
		size = 7
		altNames = "TXMLSchemaDef.SetStrictFormat"
	strings:
		$1 = { 88 90 90 00 00 00 C3 }
	condition:
		$1
}

rule function_5989_0 {
	meta:
		name = "TDataSet.SetTempState"
		size = 26
	strings:
		$1 = { 0F B6 88 A5 00 00 00 88 90 A5 00 00 00 FF 40 78 C6 80 AA 00 00 00 00 8B C1 C3 }
	condition:
		$1
}

rule function_5990_0 {
	meta:
		name = "TDataSet.RestoreState"
		size = 17
	strings:
		$1 = { 88 90 A5 00 00 00 FF 48 78 C6 80 AA 00 00 00 00 C3 }
	condition:
		$1
}

rule function_5991_0 {
	meta:
		name = "TDataSet.Open"
		size = 11
	strings:
		$1 = { B2 01 8B 08 FF 91 B4 01 00 00 C3 }
	condition:
		$1
}

rule function_5992_0 {
	meta:
		name = "TDataSet.Close"
		size = 11
	strings:
		$1 = { 33 D2 8B 08 FF 91 B4 01 00 00 C3 }
	condition:
		$1
}

rule function_5993_0 {
	meta:
		name = "TDataSet.CheckBiDirectional"
		size = 87
		refs = "000c TDataSet.CheckBiDirectional 0023 SDataSetUnidirectional 0028 LoadResString 0032 DatabaseError 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 90 00 00 00 00 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5994_0 {
	meta:
		name = "TDataSet.CheckInactive"
		size = 132
		refs = "000c TDataSet.CheckInactive 0019 TDataSet.GetActive 003b TDataSet.Close 0045 SDataSetOpen 004a LoadResString 0054 DatabaseError 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 37 0F B7 43 1C 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 74 09 8B C3 E8 ?? ?? ?? ?? EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 50 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_5995_0 {
	meta:
		name = "TDataSet.CheckActive"
		size = 87
		refs = "000c TDataSet.CheckActive 0023 SDataSetClosed 0028 LoadResString 0032 DatabaseError 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB A5 00 00 00 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_5996_0 {
	meta:
		name = "TDataSet.GetActive"
		size = 25
	strings:
		$1 = { 0F B6 80 A5 00 00 00 84 C0 74 09 2C 0C 74 05 33 C0 34 01 C3 B0 01 34 01 C3 }
	condition:
		$1
}

rule function_5997_0 {
	meta:
		name = "TDataSet.SetActive"
		size = 197
		refs = "0025 TDataSet.GetActive 0044 TDataSet.SetActive 0078 TDataSet.OpenCursorComplete 007e @HandleFinally 009e TDataSet.SetState"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC F6 40 1C 02 74 0E 8B 45 FC 88 98 AB 00 00 00 E9 A0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 3A D8 0F 84 90 00 00 00 84 DB 74 4F 8B 45 FC 8B 10 FF 92 28 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC 8B 08 FF 91 A8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 B8 A5 00 00 00 0C 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 8B 45 FC F6 40 1C 08 75 0B 8B 45 FC 8B 10 FF 92 18 01 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 D4 00 00 00 8B 45 FC F6 40 1C 08 75 0B 8B 45 FC 8B 10 FF 92 F4 00 00 00 5B 59 5D C3 }
	condition:
		$1
}

rule function_5998_0 {
	meta:
		name = "TDataSet.DoInternalOpen"
		size = 54
		refs = "0006 TDataSet.GetFieldCount 0029 TDataSet.UpdateBufferCount"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 88 83 AE 00 00 00 8B C3 8B 10 FF 92 3C 02 00 00 C6 83 B3 00 00 00 01 8B C3 E8 ?? ?? ?? ?? C6 83 A8 00 00 00 01 5B C3 }
	condition:
		$1
}

rule function_5999_0 {
	meta:
		name = "TDataSet.OpenCursorComplete"
		size = 121
		refs = "000b TDataSet.OpenCursorComplete 0025 TDataSet.DoInternalOpen 0048 TDataSet.SetState 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 A5 00 00 00 0C 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 B8 B3 00 00 00 00 74 17 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 04 01 00 00 EB 15 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 D4 00 00 00 C3 E9 ?? ?? ?? ?? EB C0 59 5D C3 }
	condition:
		$1
}

rule function_6000_0 {
	meta:
		name = "TDataSet.OpenCursor"
		size = 37
		refs = "001f TDataSet.DoInternalOpen"
	strings:
		$1 = { 56 8B F0 84 D2 74 0C 8B C6 8B 10 FF 92 38 02 00 00 5E C3 80 BE A5 00 00 00 0C 74 07 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_6001_0 {
	meta:
		name = "TDataSet.CloseCursor"
		size = 78
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 8B 08 FF 91 BC 01 00 00 C6 83 B3 00 00 00 00 8B C3 8B 10 FF 92 44 01 00 00 8B C3 8B 10 FF 92 C8 00 00 00 33 D2 8B C3 8B 08 FF 91 C0 01 00 00 8B C3 8B 10 FF 92 30 02 00 00 33 C0 89 43 54 C6 83 AE 00 00 00 00 5B C3 }
	condition:
		$1
}

rule function_6002_0 {
	meta:
		name = "TDataSet.OpenParentDataSet"
		size = 114
		refs = "0029 TDataSet.OpenParentDataSet 0037 TDataSet.Open 0054 @HandleFinally 006a TDataSet.UpdateCursorPos"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 10 FF 92 40 02 00 00 84 C0 75 3F 8B 45 FC C6 80 A5 00 00 00 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 A5 00 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 F8 80 B8 A5 00 00 00 03 74 08 8B 45 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_6003_0 {
	meta:
		name = "TDataSet.GetDetailDataSets"
		size = 177
		refs = "002d TList.Get 004b _DV_TDetailDataLink 0050 @IsClass 0097 TList.Add"
	strings:
		$1 = { 53 56 57 55 51 8B EA 89 04 24 8B C5 8B 10 FF 52 08 8B 04 24 8B 40 4C 8B 78 08 4F 83 FF 00 0F 8C 87 00 00 00 8B 04 24 8B 40 4C 8B D7 E8 ?? ?? ?? ?? 8B F0 8B 46 3C 8B 58 08 4B 83 FB 00 7C 62 8B D3 8B 46 3C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 43 8B D3 8B 46 3C E8 ?? ?? ?? ?? 8B 10 FF 52 54 85 C0 74 30 8B D3 8B 46 3C E8 ?? ?? ?? ?? 8B 10 FF 52 54 83 B8 8C 00 00 00 00 75 18 8B D3 8B 46 3C E8 ?? ?? ?? ?? 8B 10 FF 52 54 8B D0 8B C5 E8 ?? ?? ?? ?? 4B 83 FB FF 75 9E 4F 83 FF FF 0F 85 79 FF FF FF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6007_0 {
	meta:
		name = "TDataSet.InitFieldDefs"
		size = 115
		refs = "0038 TDataSet.InitFieldDefs 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 10 FF 92 40 02 00 00 84 C0 75 10 8B 45 FC 8B 58 74 85 DB 74 13 80 7B 08 00 74 0D 8B 45 FC 8B 10 FF 92 38 02 00 00 EB 3B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC 8B 08 FF 91 A8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 D4 00 00 00 C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_6008_0 {
	meta:
		name = "CreateFieldDefs"
		size = 308
		refs = "0013 TFields.GetCount 0031 TFields.GetField 0045 TFieldDefs.AddFieldDef 0051 TNamedItem.SetDisplayName 005c TFieldDef.SetDataType 006f TFieldDef.SetSize 007c CreateFieldDefs 0083 TFieldDef.SetAttributes 00a8 _DV_TBCDField 00ad @IsClass 00be TFieldDef.SetPrecision 00ce _DV_TFMTBCDField 00ec _DV_TObjectField 010b TFieldDef.GetChildDefs"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 00 01 00 00 47 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B D8 80 7B 4A 00 0F 85 D7 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 53 40 8B C6 E8 ?? ?? ?? ?? 0F B6 53 48 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 B4 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 80 7B 4D 00 74 0E 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 7B 49 00 74 11 0F B6 15 ?? ?? ?? ?? 0A 56 26 8B C6 E8 ?? ?? ?? ?? 80 7B 48 08 75 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B 93 10 01 00 00 8B C6 E8 ?? ?? ?? ?? EB 24 80 7B 48 25 75 1E 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 93 04 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B 45 08 50 8B C3 8B 10 FF 92 34 01 00 00 50 8B C6 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 59 FF 45 F4 4F 0F 85 08 FF FF FF 5F 5E 5B 8B E5 5D C3 00 00 00 04 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_6009_0 {
	meta:
		name = "TDataSet.InitFieldDefsFromFields"
		size = 113
		refs = "0028 TDataSet.InitFieldDefsFromFields 0040 CreateFieldDefs 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 40 8B 50 08 83 7A 08 00 75 58 FF 40 30 8B 45 FC 8B 40 40 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8B 45 FC 8B 50 40 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 10 FF 52 24 8B 45 FC 8B 40 40 FF 48 30 C3 E9 ?? ?? ?? ?? EB E4 59 5D C3 }
	condition:
		$1
}

rule function_6010_0 {
	meta:
		name = "TApplication.SetDefaultFont"
		size = 13
		altNames = "TCanvas.SetFont TDataSet.SetFieldDefs TWebFileDispatcherProperties.SetWebFileExtension"
	strings:
		$1 = { 56 8B F0 8B 46 40 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_6011_0 {
	meta:
		name = "TDataSet.GetFieldClass"
		size = 11
		refs = "0006 DefaultFieldClasses"
		altNames = "TIBCustomDataSet.GetFieldClass"
	strings:
		$1 = { 0F B6 C2 8B 04 85 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96605_0 {
	meta:
		name = "TBaseSocket.MapDomain"
		size = 11
		refs = "0006 Xlat_Domain"
	strings:
		$1 = { 0F B6 C2 8B 04 85 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96606_0 {
	meta:
		name = "TBaseSocket.MapSockType"
		size = 11
		refs = "0006 Xlat_SocketType"
	strings:
		$1 = { 0F B6 C2 8B 04 85 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89131_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.StandardGestureMap"
		size = 11
		refs = "0006 LGestureMap"
	strings:
		$1 = { 0F B6 C2 8B 04 85 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6012_0 {
	meta:
		name = "TDataSet.GetFieldClass"
		size = 13
	strings:
		$1 = { 0F B6 52 25 8B 08 FF 91 64 01 00 00 C3 }
	condition:
		$1
}

rule function_6013_0 {
	meta:
		name = "TDataSet.GetFieldFullName"
		size = 188
		refs = "0015 TDataSet.GetFieldFullName 0025 @UStrAsg 0067 Format 0090 @UStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D FC 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 53 40 E8 ?? ?? ?? ?? 8B 9B A0 00 00 00 85 DB 74 4C 80 7B 48 1B 74 3C 80 BB 00 01 00 00 00 75 33 8D 45 FC 50 8B 43 40 89 45 EC C6 45 F0 11 8B 06 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 9B A0 00 00 00 85 DB 75 B4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2E 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_6014_0 {
	meta:
		name = "SetKeyFields"
		size = 292
		refs = "0016 SetKeyFields 0024 @IntfClear 0032 Supports 006d ExtractFieldName 0074 TDataSet.GetFieldCount 008a TFields.GetField 0095 AnsiCompareText 00d4 @UStrLen 00fb @UStrArrayClr 0101 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B 7D 08 83 C7 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 84 C0 74 0D 8D 55 FC 8B 45 F4 8B 08 FF 51 28 EB 13 8D 55 FC 8B 07 85 C0 74 05 2D 88 FE FF FF 8B 08 FF 51 28 C7 45 F0 01 00 00 00 EB 6D 8D 4D F8 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 51 46 33 DB 8B 07 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 50 40 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 2F 8B 07 8B 40 38 8B D3 E8 ?? ?? ?? ?? 0F B6 80 9C 00 00 00 0A 05 ?? ?? ?? ?? 50 8B 07 8B 40 38 8B D3 E8 ?? ?? ?? ?? 5A 88 90 9C 00 00 00 EB 04 43 4E 75 B2 8B 45 FC E8 ?? ?? ?? ?? 3B 45 F0 7D 86 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 84 F6 F8 7A 60 06 B5 47 A1 B3 E1 68 D2 AC B9 08 04 00 00 00 }
	condition:
		$1
}

rule function_6015_0 {
	meta:
		name = "TDataSet.CreateFields"
		size = 281
		refs = "0015 TDataSet.CreateFields 004c TFieldDefs.GetFieldDef 0072 TFieldDef.CreateField 009a TFieldDefList.GetFieldDef 00f0 SetKeyFields 0106 @UStrClr 010c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 B1 00 00 00 00 74 51 8B 45 FC 8B 40 40 8B 40 08 8B 58 08 4B 85 DB 0F 8C AE 00 00 00 43 33 F6 8B 45 FC 8B 40 40 8B D6 E8 ?? ?? ?? ?? 80 78 25 00 74 20 F6 40 26 01 74 0C 8B 55 FC 8B 52 40 80 7A 3C 00 74 0E 6A 00 6A 01 33 C9 8B 55 FC E8 ?? ?? ?? ?? 46 4B 75 C9 EB 72 8B 45 FC 8B 40 44 8B 10 FF 52 14 8B D8 4B 85 DB 7C 60 43 33 F6 8B 45 FC 8B 40 44 8B D6 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 0F B6 40 25 84 C0 74 3E 04 E6 2C 04 72 38 8B 45 F8 F6 40 26 01 74 0C 8B 45 FC 8B 40 40 80 78 3C 00 74 23 8D 4D F4 8B 45 FC 8B 40 44 8B D6 8B 38 FF 57 0C 8B 45 F4 50 6A 01 33 C9 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 46 4B 75 A3 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6016_0 {
	meta:
		name = "TDataSet.DestroyFields"
		size = 28
		refs = "0007 TFields.Clear"
	strings:
		$1 = { 53 8B D8 8B 43 38 E8 ?? ?? ?? ?? 8B 83 94 00 00 00 85 C0 74 05 8B 10 FF 52 08 5B C3 }
	condition:
		$1
}

rule function_6017_0 {
	meta:
		name = "TDataSet.CheckFieldCompatibility"
		size = 385
		refs = "0021 TDataSet.CheckFieldCompatibility 0032 BaseFieldTypes 0049 TField.GetDisplayName 005e FieldTypeNames 0083 SFieldTypeMismatch 0088 LoadResString 0096 DatabaseErrorFmt 00ba TFieldDef.GetSize 00ff SFieldSizeMismatch 016e @UStrArrayClr 0174 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D DC 89 5D D8 89 5D E4 89 5D E0 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 43 48 0F B6 80 ?? ?? ?? ?? 0F B6 56 25 3A 82 ?? ?? ?? ?? 74 58 57 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 0F B6 43 48 8B 04 85 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 0F B6 46 25 8B 04 85 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 E8 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 B9 02 00 00 00 5A E8 ?? ?? ?? ?? 0F B6 43 48 2C 08 74 0A 04 FC 2C 02 72 04 2C 0E 75 6A 8B C3 8B 10 FF 92 B4 00 00 00 50 8B C6 E8 ?? ?? ?? ?? 5A 3B D0 74 53 57 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E8 C6 45 EC 11 8B C3 8B 10 FF 92 B4 00 00 00 89 45 F0 C6 45 F4 00 8B C6 E8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 00 8D 45 E8 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 02 00 00 00 5A E8 ?? ?? ?? ?? 0F B6 43 48 2C 01 74 0A 04 EA 2C 02 72 04 2C 0D 75 30 8B C3 8B 10 FF 92 B4 00 00 00 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 7E 19 80 7B 49 00 75 13 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 10 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6018_0 {
	meta:
		name = "DoBindFields"
		size = 636
		refs = "0021 DoBindFields 002f TFields.GetCount 0048 TFields.GetField 009c TField.GetDisplayName 00b2 SInvalidCalcType 00b7 LoadResString 00c2 DatabaseErrorFmt 010d TField.GetFullName 0135 TFieldDefList.GetFieldDef 0161 SFieldNotFound 017f TFieldDef.GetFieldNo 01da TFieldDef.GetSize 025f @UStrArrayClr 0265 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 DC 89 55 D8 89 55 E0 89 55 E8 89 55 E4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 0F 8C 0D 02 00 00 40 89 45 F4 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 08 80 78 FF 00 0F 84 A6 01 00 00 0F B6 46 4A 8B D0 4A 80 EA 02 0F 83 87 00 00 00 0F B6 46 48 3C 37 77 1A 83 E0 7F BA ?? ?? ?? ?? 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F A3 02 72 37 8B 45 08 8B 40 F8 50 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 45 EC 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 33 C9 5A E8 ?? ?? ?? ?? C7 46 58 FF FF FF FF 8B 45 08 8B 40 F8 8B 40 70 89 46 54 8B C6 8B 10 FF 92 9C 00 00 00 40 8B 55 08 8B 52 F8 01 42 70 E9 04 01 00 00 3C 04 75 0C C7 46 58 FF FF FF FF E9 F4 00 00 00 33 C0 89 45 F8 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 08 8B 40 F8 8B 40 44 8B 08 FF 51 54 8B D8 83 FB FF 74 15 8B 45 08 8B 40 F8 8B 40 44 8B D3 E8 ?? ?? ?? ?? 89 45 F8 EB 37 8B 45 08 8B 40 F8 50 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 DC 89 45 EC C6 45 F0 11 8D 45 EC 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 33 C9 5A E8 ?? ?? ?? ?? 80 7E 4A 03 75 0D 8B 45 F8 E8 ?? ?? ?? ?? 89 46 58 EB 0F 8B 45 08 8B 40 F8 03 98 A0 00 00 00 89 5E 58 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F8 8B 4D F8 8B 18 FF 93 C0 00 00 00 8B 45 F8 80 78 24 00 74 0D 8B 45 08 8B 40 F8 C6 80 AC 00 00 00 01 8B 06 FF 90 28 01 00 00 84 C0 74 20 8B 45 F8 E8 ?? ?? ?? ?? 89 46 50 8B 45 08 8B 40 F8 8B 40 7C 89 46 54 8B 45 08 8B 40 F8 FF 40 7C B2 01 8B C6 8B 08 FF 51 40 EB 0E 33 D2 8B C6 8B 08 FF 51 40 33 C0 89 46 58 8B D7 8B 45 FC E8 ?? ?? ?? ?? 0F B6 40 48 04 E6 2C 02 73 1C 8B 45 08 50 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 92 34 01 00 00 E8 ?? ?? ?? ?? 59 47 FF 4D F4 0F 85 F9 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 FE 0F 00 03 31 3C 0A 00 }
	condition:
		$1
}

rule function_6019_0 {
	meta:
		name = "TDataSet.BindFields"
		size = 55
		refs = "002e DoBindFields"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FF 89 45 F8 8B 45 F8 33 D2 89 50 70 8B 45 F8 33 D2 89 50 7C 8B 45 F8 C6 80 AC 00 00 00 00 55 8B 45 F8 8B 40 38 E8 ?? ?? ?? ?? 59 59 59 5D C3 }
	condition:
		$1
}

rule function_6020_0 {
	meta:
		name = "TDataSet.FreeFieldBuffers"
		size = 46
		refs = "0009 TFields.GetCount 001d TFields.GetField"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 38 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 16 43 33 F6 8B 47 38 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 4C 46 4B 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6022_0 {
	meta:
		name = "TDataSet.GetBlobFieldData"
		size = 184
		refs = "0014 TDataSet.FieldByNumber 001a _DV_TBlobField 001f @AsClass 0038 TDataSet.GetBlobFieldData 0055 @DynArrayLength 0078 TArray<System.Byte> 007d @DynArraySetLength 00a2 TObject.Free 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 8B 18 FF 93 70 02 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 12 89 45 FC 83 7D FC 00 7E 3F 8B 06 E8 ?? ?? ?? ?? 3B 45 FC 7F 26 8B 45 FC 85 C0 79 03 83 C0 03 C1 F8 02 03 45 FC 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 16 8B 4D FC 8B 45 F8 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6024_0 {
	meta:
		name = "TDataSet.GetFieldData"
		size = 36
		refs = "000e TDataSet.FieldByNumber"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 8B 18 FF 93 8C 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6025_0 {
	meta:
		name = "TDataSet.GetFieldData"
		size = 306
		refs = "002c TDataSet.GetFieldData 0079 TArray<System.Byte> 007e @DynArraySetLength 00a7 @PCharLen 0119 @DynArrayClear 011f @HandleFinally"
	strings:
		$1 = { 55 8B EC 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 00 74 17 8B 4D F8 8B D3 8B C6 8B 18 FF 93 8C 02 00 00 88 45 F7 E9 AF 00 00 00 8B C3 8B 10 FF 92 9C 00 00 00 3D 01 20 00 00 7E 68 8B C3 8B 10 FF 92 9C 00 00 00 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 89 45 F0 8B 4D F0 8B D3 8B C6 8B 38 FF 97 8C 02 00 00 88 45 F7 80 7B 48 01 75 44 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 57 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 89 45 F0 EB 1B 8D 85 EF DF FF FF 89 45 F0 8B 4D F0 8B D3 8B C6 8B 38 FF 97 8C 02 00 00 88 45 F7 80 7D F7 00 74 15 8B 45 F8 50 6A 00 8B 4D F0 8B D3 8B C6 8B 18 FF 93 E0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6026_0 {
	meta:
		name = "TDataSet.SetFieldData"
		size = 223
		refs = "002c TDataSet.SetFieldData 007b TArray<System.Byte> 0080 @DynArraySetLength 00ca @DynArrayClear 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 00 74 11 8B CF 8B 55 F8 8B C3 8B 18 FF 93 24 02 00 00 EB 66 8B F7 85 F6 74 51 8B 45 F8 8B 10 FF 92 9C 00 00 00 3D 01 20 00 00 7E 27 8B 45 F8 8B 10 FF 92 9C 00 00 00 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 75 FC EB 06 8D B5 F7 DF FF FF 56 6A 01 8B CF 8B 55 F8 8B C3 8B 38 FF 97 E0 00 00 00 8B CE 8B 55 F8 8B C3 8B 18 FF 93 24 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6028_0 {
	meta:
		name = "TDataSet.GetFieldValue"
		size = 292
		refs = "001e TDataSet.GetFieldValue 0030 Pos 003f _Dn_TList 0044 TObject.Create 0061 TDataSet.GetFieldList 0082 VarArrayCreate 009d TList.Get 00b2 @VarArrayPut 00ce TObject.Free 00d4 @HandleFinally 00df TDataSet.FieldByName 00fe @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 9E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 57 33 C0 89 45 F4 8B 45 FC 8B 40 08 48 89 45 F8 8D 45 F4 66 B9 0C 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 70 08 4E 85 F6 7C 2C 46 33 DB 53 6A 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 8B 08 FF 91 90 00 00 00 8D 45 E4 50 57 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 91 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_6029_0 {
	meta:
		name = "TDataSet.SetFieldValue"
		size = 252
		refs = "001a TDataSet.SetFieldValue 002c Pos 0037 _Dn_TList 003c TObject.Create 0059 TDataSet.GetFieldList 0071 TList.Get 007f @VarArrayGet 00a7 TObject.Free 00ad @HandleFinally 00b8 TDataSet.FieldByName 00d7 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 7F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 70 08 4E 85 F6 7C 2E 46 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 53 6A 01 57 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 EC 58 8B 08 FF 91 00 01 00 00 43 4E 75 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_6030_0 {
	meta:
		name = "TDataSet.FieldByName"
		size = 121
		refs = "0016 TDataSet.FieldByName 0025 TDataSet.FindField 0034 SFieldNotFound 0039 LoadResString 004f DatabaseErrorFmt 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 24 53 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 7D F4 C6 45 F8 11 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6032_0 {
	meta:
		name = "TDataSet.FindField"
		size = 56
		refs = "000c TFields.FindField 0023 TFieldList.Find"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 38 E8 ?? ?? ?? ?? 85 C0 75 13 80 BB B1 00 00 00 00 74 0A 8B D6 8B 43 48 E8 ?? ?? ?? ?? 85 C0 75 0A 8B D6 8B 43 3C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6033_0 {
	meta:
		name = "TDataSet.GetFieldNames"
		size = 52
		refs = "000a TFields.GetCount 0023 TFieldDefs.Update"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B 46 38 E8 ?? ?? ?? ?? 85 C0 7E 0D 8B 56 48 8B C7 8B 08 FF 51 08 5F 5E C3 8B 46 40 E8 ?? ?? ?? ?? 8B 56 44 8B C7 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_6034_0 {
	meta:
		name = "TDataSet.GetFieldNames"
		size = 52
		refs = "000a TFields.GetCount 0023 TFieldDefs.Update"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 E8 ?? ?? ?? ?? 85 C0 7E 0D 8B 53 48 8B C6 8B 08 FF 51 08 5E 5B C3 8B 43 40 E8 ?? ?? ?? ?? 8B 53 44 8B C6 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_6035_0 {
	meta:
		name = "TDataSet.GetStateFieldValue"
		size = 125
		refs = "0036 TDataSet.GetStateFieldValue 0068 @HandleFinally 0071 Null"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D9 89 45 FC 8B 75 08 0F B6 43 4A 84 C0 74 04 2C 03 75 52 8B 45 FC 0F B6 80 A5 00 00 00 88 45 FB 8B 45 FC 88 90 A5 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 8B 08 FF 91 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 45 FB 8B 55 FC 88 82 A5 00 00 00 C3 E9 ?? ?? ?? ?? EB EB 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6036_0 {
	meta:
		name = "TDataSet.SetStateFieldValue"
		size = 104
		refs = "0029 TDataSet.SetStateFieldValue 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 80 79 4A 00 75 53 8B 45 FC 0F B6 80 A5 00 00 00 88 45 FB 8B 45 FC 88 90 A5 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 08 8B C1 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 45 FB 8B 55 FC 88 82 A5 00 00 00 C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6039_0 {
	meta:
		name = "TDataSet.SetDefaultFields"
		size = 7
	strings:
		$1 = { 88 90 AE 00 00 00 C3 }
	condition:
		$1
}

rule function_6040_0 {
	meta:
		name = "NativeToDateTime"
		size = 138
		refs = "003a NativeToDateTime 0052 MSecsToTimeStamp 0061 @HandleAnyException 0070 @DoneExcept 0078 TimeStampToDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F2 8D 7D F8 A5 A5 2C 09 74 06 FE C8 74 0F EB 1C 33 C0 89 45 E8 8B 45 F8 89 45 EC EB 4D 8B 45 F8 89 45 E8 C7 45 EC 5A 95 0A 00 EB 3E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 F8 83 C4 F8 DF 3C 24 9B 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? 33 C0 89 45 E8 33 C0 89 45 EC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? DD 5D F0 9B DD 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6041_0 {
	meta:
		name = "DateTimeToNative"
		size = 70
		refs = "0016 DateTimeToTimeStamp 0037 TimeStampToMSecs"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 80 EB 09 74 06 FE CB 74 09 EB 0E 8B 45 FC 89 06 EB 12 8B 45 F8 89 06 EB 0B 8D 45 F8 E8 ?? ?? ?? ?? DD 1E 9B 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6042_0 {
	meta:
		name = "BufferToByteArray"
		size = 180
		refs = "001e BufferToByteArray 0044 VarArrayCreate 004f @OleVarFromVar 0057 VarArrayLock 0070 Move 0085 VarArrayUnlock 008b @HandleFinally 00a2 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 50 33 C0 89 45 E4 8B C3 48 89 45 E8 8D 45 E4 66 B9 11 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B C6 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6043_0 {
	meta:
		name = "ByteArrayToBuffer"
		size = 150
		refs = "0016 VarArrayHighBound 0022 VarArrayLock 002a ByteArrayToBuffer 003a Move 0070 @FillChar 0085 VarArrayUnlock 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 8B F2 89 45 FC 8B 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 40 66 89 03 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B7 0B 8B D6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 10 FF 92 B4 00 00 00 0F B7 13 3B C2 7E 21 8B 45 08 8B 40 FC 8B 10 FF 92 B4 00 00 00 8B D0 0F B7 03 2B D0 0F B7 03 03 C6 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6044_0 {
	meta:
		name = "TDataSet.DataConvert"
		size = 544
		refs = "001a TDataSet.DataConvert 00a7 DateTimeToNative 00c3 NativeToDateTime 0110 CurrToBCD 011f BCDToCurr 0132 TField.GetDisplayName 014a SFieldOutOfRange 014f LoadResString 0159 _Dn_EOverflow 015e Exception.CreateFmt 0163 @RaiseExcept 018c ByteArrayToBuffer 01a8 BufferToByteArray 01f1 WStrLCopy 020b @UStrArrayClr 0211 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 8B F1 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 0F B6 58 48 0F B6 C3 83 C0 F8 83 F8 29 0F 87 BB 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 04 01 01 01 06 07 00 00 00 00 00 00 00 00 00 00 08 00 00 00 00 00 00 00 00 00 00 00 02 05 08 00 00 00 00 00 00 00 00 00 00 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 80 7D 08 00 74 22 FF 76 04 FF 36 8B C3 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 0C 8B 55 F0 89 10 8B 55 F4 89 50 04 E9 37 01 00 00 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 45 0C DD 18 9B E9 23 01 00 00 8B 45 0C 8B F8 A5 A5 A5 A5 E9 15 01 00 00 8B 45 0C 8B F8 A5 A5 A5 A5 A5 E9 06 01 00 00 80 7D 08 00 74 24 FF 76 04 FF 36 8B 45 FC 8B 10 FF 92 B4 00 00 00 8B C8 8B 45 0C BA 20 00 00 00 E8 ?? ?? ?? ?? E9 DC 00 00 00 8B 55 0C 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 CA 00 00 00 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 89 00 00 00 8B 45 0C 8B F8 B9 08 00 00 00 F3 A5 66 A5 EB 79 80 7D 08 00 74 11 55 8D 4D FA 8B C6 8B 55 0C E8 ?? ?? ?? ?? 59 EB 62 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B D0 8B 45 0C 8B C8 8B C6 E8 ?? ?? ?? ?? EB 47 80 7D 08 00 74 15 55 8B 45 0C 8B C8 8B D0 83 C2 02 8B C6 E8 ?? ?? ?? ?? 59 EB 2C 8B 55 0C 8B CA 8B C6 0F B7 10 83 C0 02 E8 ?? ?? ?? ?? EB 18 8B 45 FC 8B 10 FF 92 B4 00 00 00 8B C8 41 8B D6 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_6047_0 {
	meta:
		name = "TDataSet.GetAggFieldsClass"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 4C 02 00 00 C3 }
	condition:
		$1
}

rule function_6056_0 {
	meta:
		name = "TDataSet.IsLinkedTo"
		size = 73
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B F8 C6 04 24 01 85 F6 74 2A 8B 5E 38 85 DB 74 23 3B FB 74 23 8B AB 8C 00 00 00 85 ED 74 05 3B 7D 3C 74 14 8B C3 8B 10 FF 92 60 01 00 00 8B F0 85 F6 75 D6 C6 04 24 00 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6057_0 {
	meta:
		name = "TDataSet.AddDataSource"
		size = 36
		refs = "000c TList.Add 0016 TDataSet.UpdateBufferCount 001d TDataSource.UpdateState"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 4C E8 ?? ?? ?? ?? 89 5E 38 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6058_0 {
	meta:
		name = "TDataSet.RemoveDataSource"
		size = 40
		refs = "0013 TList.RemoveItem 001a TDataSource.UpdateState 0021 TDataSet.UpdateBufferCount"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 89 46 38 8B 43 4C 8B D6 33 C9 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6059_0 {
	meta:
		name = "UpdateCalcFields"
		size = 157
		refs = "0038 TDataSet.ActiveBuffer"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 80 B8 A5 00 00 00 04 0F 84 85 00 00 00 8B 45 08 8B 40 FC 80 B8 AC 00 00 00 00 74 29 8B 45 08 8B 40 F8 80 78 4A 00 75 1D 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 08 FF 91 AC 01 00 00 EB 42 8B 45 08 8B 40 FC 83 78 70 00 74 36 8B 45 08 8B 40 FC 80 B8 AF 00 00 00 00 74 27 8B 45 08 8B 40 F8 80 78 4A 00 75 1B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 08 FF 91 B8 00 00 00 8B 45 08 8B 40 F8 8B 10 FF 52 48 5D C3 }
	condition:
		$1
}

rule function_6060_0 {
	meta:
		name = "NotifyDetails"
		size = 200
		refs = "002b TDataSet.UpdateCursorPos 0055 TList.Get 005e TDataSet.GetActive 00bb TDataSource.NotifyLinkTypes"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC 83 B8 94 00 00 00 00 74 63 8B 45 08 8B 40 FC 80 B8 A5 00 00 00 03 74 0B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 94 00 00 00 8B 58 08 4B 85 DB 7C 35 43 33 F6 8B 45 08 8B 40 FC 8B 80 94 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0E 33 C9 B2 0B 8B C7 8B 38 FF 97 E4 00 00 00 46 4B 75 CE 8B 45 08 8B 40 FC 80 B8 A5 00 00 00 0A 75 3C 8B 45 08 8B 40 FC 8B 40 4C 8B 58 08 4B 85 DB 7C 2B 43 33 F6 6A 00 8B 45 08 8B 40 FC 8B 40 4C 8B D6 E8 ?? ?? ?? ?? 8B 55 08 0F B6 52 F7 8B 4D 08 8B 49 F8 E8 ?? ?? ?? ?? 46 4B 75 D8 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_6061_0 {
	meta:
		name = "CheckNestedBrowseMode"
		size = 81
		refs = "0030 TList.Get 0039 TDataSet.GetActive 0044 TDataSet.CheckBrowseMode"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC 8B 80 94 00 00 00 85 C0 74 36 8B 70 08 4E 85 F6 7C 2E 46 33 FF 8B 45 08 8B 40 FC 8B 80 94 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 47 4E 75 D5 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_6062_0 {
	meta:
		name = "TDataSet.DataEvent"
		size = 405
		refs = "0015 TDataSet.ControlsDisabled 003f TDataSet.DataEvent 0086 UpdateCalcFields 00b0 CheckNestedBrowseMode 00bc NotifyDetails 0165 TList.Get 0171 TDataSource.DataEvent"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 88 55 F7 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0C 8B 45 FC 80 B8 A5 00 00 00 0A 75 04 33 DB EB 02 B3 01 0F B6 45 F7 83 F8 09 0F 87 0B 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 0F B6 40 4A 84 C0 74 04 2C 03 75 0A 8B 45 FC C6 80 AA 00 00 00 01 55 E8 ?? ?? ?? ?? 59 E9 B7 00 00 00 8B 45 FC 8B 40 48 C6 40 5D 00 E9 A8 00 00 00 8B 45 FC 8B 40 40 C6 40 20 00 E9 99 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 8D 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 81 00 00 00 8B 45 FC 8B 40 48 C6 40 5D 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 6B 8B 45 FC C6 80 A6 00 00 00 04 EB 5F 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 53 8B 45 FC 80 B8 A5 00 00 00 00 0F 95 C0 84 C0 74 0C 8B 55 FC 80 BA A6 00 00 00 04 74 10 84 C0 75 32 8B 55 FC 80 BA A6 00 00 00 02 75 26 C6 45 F7 0E B3 01 0F B6 D0 89 55 F8 84 C0 74 0C 8B 45 FC C6 80 A6 00 00 00 02 EB 0A 8B 45 FC C6 80 A6 00 00 00 04 84 DB 74 44 8B 45 FC 8B 40 4C 8B 58 08 4B 85 DB 7C 20 43 33 F6 8B 45 FC 8B 40 4C 8B D6 E8 ?? ?? ?? ?? 0F B6 55 F7 8B 4D F8 E8 ?? ?? ?? ?? 46 4B 75 E3 8B 45 FC 8B 40 74 85 C0 74 0C 0F B6 55 F7 8B 4D F8 8B 18 FF 53 04 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6063_0 {
	meta:
		name = "TDataSet.ControlsDisabled"
		size = 8
	strings:
		$1 = { 83 78 78 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_6064_0 {
	meta:
		name = "TDataSet.DisableControls"
		size = 30
	strings:
		$1 = { 83 78 78 00 75 14 0F B6 90 A5 00 00 00 88 90 A7 00 00 00 C6 80 A6 00 00 00 02 FF 40 78 C3 }
	condition:
		$1
}

rule function_6065_0 {
	meta:
		name = "TDataSet.EnableControls"
		size = 88
	strings:
		$1 = { 53 56 8B D8 83 7B 78 00 74 4B FF 4B 78 83 7B 78 00 75 42 0F B6 83 A7 00 00 00 3A 83 A5 00 00 00 74 0E 33 C9 B2 06 8B C3 8B 30 FF 96 E4 00 00 00 80 BB A7 00 00 00 00 74 1C 80 BB A5 00 00 00 00 74 13 0F B6 93 A6 00 00 00 33 C9 8B C3 8B 18 FF 93 E4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6066_0 {
	meta:
		name = "TDataSet.UpdateRecord"
		size = 105
		refs = "000c TDataSet.UpdateRecord 0027 SNotEditing 002c LoadResString 0036 DatabaseError 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 83 A5 00 00 00 04 FE 2C 03 72 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C9 B2 05 8B C3 8B 18 FF 93 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6069_0 {
	meta:
		name = "TDataSet.SetBufListSize"
		size = 386
		refs = "0017 TDataSet.SetBufListSize 0028 @DynArrayHigh 0048 TBufferList 004d @DynArraySetLength 0060 @DynArrayClear 007d Move 010f @HandleAnyException 013b @RaiseAgain 0140 @DoneExcept 0154 @DynArrayAsg 0175 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 64 E8 ?? ?? ?? ?? 40 89 45 F4 3B 5D F4 0F 84 1F 01 00 00 85 DB 7E 19 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 0E 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 5D F4 7D 4B 85 DB 74 14 8B CB 03 C9 03 C9 8B 55 FC 8B 45 F8 8B 40 64 E8 ?? ?? ?? ?? 8B 45 F4 48 2B C3 0F 8C B7 00 00 00 40 93 89 45 F0 8B 45 F8 8B 40 64 8B 55 F0 8D 14 90 8B 45 F8 8B 08 FF 91 EC 01 00 00 FF 45 F0 4B 75 E3 E9 90 00 00 00 83 7D F4 00 74 15 8B 4D F4 03 C9 03 C9 8B 55 FC 8B 45 F8 8B 40 64 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 5D F0 7E 1C 8B 45 F8 8B 10 FF 92 E8 01 00 00 8B 55 FC 8B 4D F0 89 04 8A FF 45 F0 3B 5D F0 7F E4 33 C0 5A 59 59 64 89 10 EB 36 E9 ?? ?? ?? ?? 8B 45 F0 3B 45 F4 7E 1F 8B 45 FC 8B 55 F0 8D 14 90 8B 45 F8 8B 08 FF 91 EC 01 00 00 FF 4D F0 8B 45 F0 3B 45 F4 7F E1 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 83 C0 64 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6070_0 {
	meta:
		name = "AdjustFirstRecord"
		size = 38
	strings:
		$1 = { 55 8B EC 85 C0 74 1D 8B 55 08 8B 52 FC 8B 52 50 85 D2 74 10 80 7A 15 00 74 03 01 42 10 8B 52 08 85 D2 75 F0 5D C3 }
	condition:
		$1
}

rule function_6071_0 {
	meta:
		name = "TDataSet.SetBufferCount"
		size = 265
		refs = "005f @DynArrayLength 0090 TDataSet.MoveBuffer 00c3 AdjustFirstRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F2 89 45 FC 8B 45 FC 3B 70 54 0F 84 E8 00 00 00 8B 45 FC 3B 70 54 0F 8D A2 00 00 00 8B 45 FC 83 78 58 00 0F 8E 95 00 00 00 8B 45 FC 8B 58 5C 8B 45 FC 8B 40 50 85 C0 74 15 80 78 15 00 74 08 3B 58 10 7E 03 8B 58 10 8B 40 08 85 C0 75 EB 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? 8D 14 1E 3B C2 7F 10 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? 8B D8 2B DE 4B 8B C6 48 85 C0 7C 19 40 89 45 F8 33 FF 8D 14 3B 8B CF 8B 45 FC E8 ?? ?? ?? ?? 47 FF 4D F8 75 ED 8B 45 FC 29 58 5C 8B 45 FC 83 78 60 FF 74 06 8B 45 FC 29 58 60 8B 45 FC 3B 70 58 7D 06 8B 45 FC 89 70 58 55 8B C3 F7 D8 E8 ?? ?? ?? ?? 59 8D 56 01 8B 45 FC 8B 08 FF 91 C0 01 00 00 8B 45 FC 89 70 54 8B 45 FC F6 40 1C 08 75 1D 8B 45 FC 8B 10 FF 92 78 01 00 00 55 8B 45 FC 8B 10 FF 92 80 01 00 00 E8 ?? ?? ?? ?? 59 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6072_0 {
	meta:
		name = "TDataSet.UpdateBufferCount"
		size = 129
		refs = "0035 TList.Get 0077 TDataSet.SetBufferCount"
	strings:
		$1 = { 53 56 57 55 51 8B F0 8B C6 8B 10 FF 92 40 02 00 00 84 C0 74 66 BF 01 00 00 00 33 C0 89 46 50 8B 46 4C 8B 40 08 48 83 F8 00 7C 47 89 04 24 8B 46 4C 8B 14 24 E8 ?? ?? ?? ?? 8B E8 8B 45 3C 8B 58 08 4B 83 FB 00 7C 22 8B 45 3C 8B D3 E8 ?? ?? ?? ?? 8B 56 50 89 50 08 89 46 50 8B 50 0C 3B FA 7D 02 8B FA 4B 83 FB FF 75 DE FF 0C 24 83 3C 24 FF 75 BC 8B D7 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6073_0 {
	meta:
		name = "TDataSet.SetCurrentRecord"
		size = 135
		refs = "002f TDataSet.UpdateCursorPos"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 3B 73 60 75 09 83 BB 8C 00 00 00 00 74 6E 8B 83 8C 00 00 00 85 C0 74 14 8B 50 3C 80 BA A5 00 00 00 03 74 08 8B 40 3C E8 ?? ?? ?? ?? 80 BB 90 00 00 00 00 75 44 8B 43 64 8B 3C B0 8B D7 8B C3 8B 08 FF 91 F4 01 00 00 2C 01 72 0A 74 16 FE C8 74 1E FE C8 75 24 8B D7 8B C3 8B 08 FF 91 18 02 00 00 EB 16 8B C3 8B 10 FF 92 04 02 00 00 EB 0A 8B C3 8B 10 FF 92 10 02 00 00 89 73 60 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6074_0 {
	meta:
		name = "TDataSet.GetBuffer"
		size = 32
		refs = "000a @DynArrayHigh"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 64 E8 ?? ?? ?? ?? 3B F0 7F 09 8B 43 64 8B 04 B0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_6075_0 {
	meta:
		name = "TDataSet.GetNextRecord"
		size = 200
		refs = "002e TDataSet.ActiveBuffer 0060 TDataSet.UpdateCursorPos 006c TDataSet.GetBuffer 00ad TDataSet.MoveBuffer 00bf TDataSet.CursorPosChanged"
	strings:
		$1 = { 53 56 8B F0 B3 01 8B 46 58 85 C0 7E 39 8B D0 4A 8B C6 8B 08 FF 91 C4 01 00 00 80 BE A5 00 00 00 03 75 41 8B 46 60 3B 46 5C 75 39 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 F4 01 00 00 84 C0 75 22 33 DB EB 1E 8B 86 8C 00 00 00 85 C0 74 14 8B 50 3C 80 BA A5 00 00 00 03 74 08 8B 40 3C E8 ?? ?? ?? ?? 6A 01 8B 56 58 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C6 8B 18 FF 93 2C 02 00 00 84 C0 0F 94 C0 8B D8 84 DB 74 33 8B 46 58 85 C0 75 0C 8B C6 8B 10 FF 92 50 01 00 00 EB 15 3B 46 54 7D 05 FF 46 58 EB 0B 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 58 48 89 46 60 B3 01 EB 07 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_6076_0 {
	meta:
		name = "TDataSet.GetPriorRecord"
		size = 127
		refs = "0007 TDataSet.CheckBiDirectional 0025 TDataSet.GetBuffer 005a TDataSet.MoveBuffer 0076 TDataSet.CursorPosChanged"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 83 7E 58 00 7E 0C 33 D2 8B C6 8B 08 FF 91 C4 01 00 00 6A 01 8B 56 58 8B C6 E8 ?? ?? ?? ?? 8B D0 B1 02 8B C6 8B 18 FF 93 2C 02 00 00 84 C0 0F 94 C3 84 DB 74 33 8B 46 58 85 C0 75 0C 8B C6 8B 10 FF 92 50 01 00 00 EB 19 33 C9 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 46 58 3B 46 54 7D 06 FF 46 58 FF 46 5C 33 C0 89 46 60 EB 07 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_6077_0 {
	meta:
		name = "TDataSet.Resync"
		size = 445
		refs = "0016 TDataSet.Resync 003a TDataSet.CursorPosChanged 0068 SRecordNotFound 006d LoadResString 0078 DatabaseError 012e TDataSet.MoveBuffer 0195 @HandleFinally 01ac @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 90 00 00 00 00 0F 85 6B 01 00 00 F6 45 FB 01 74 4B 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8B 45 FC 8B 40 58 8B 55 FC 8B 52 64 8B 14 82 33 C9 8B 45 FC 8B 18 FF 93 2C 02 00 00 84 C0 0F 84 A2 00 00 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? E9 85 00 00 00 6A 00 8B 45 FC 8B 40 58 8B 55 FC 8B 52 64 8B 14 82 33 C9 8B 45 FC 8B 18 FF 93 2C 02 00 00 84 C0 74 63 6A 00 8B 45 FC 8B 40 58 8B 55 FC 8B 52 64 8B 14 82 B1 01 8B 45 FC 8B 18 FF 93 2C 02 00 00 84 C0 74 41 6A 00 8B 45 FC 8B 40 58 8B 55 FC 8B 52 64 8B 14 82 B1 02 8B 45 FC 8B 18 FF 93 2C 02 00 00 84 C0 74 1F 8B 45 FC 8B 10 FF 92 C8 00 00 00 33 C9 B2 02 8B 45 FC 8B 18 FF 93 E4 00 00 00 E9 95 00 00 00 F6 45 FB 02 74 10 8B 45 FC 8B 58 54 4B D1 FB 79 0B 83 D3 00 EB 06 8B 45 FC 8B 58 5C 8B 45 FC 8B 50 58 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 50 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 01 4B 85 DB 7E 0F 8B 45 FC 8B 10 FF 92 84 01 00 00 84 C0 75 EC 8B 45 FC 8B 10 FF 92 78 01 00 00 8B 45 FC 8B 10 FF 92 80 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 B2 02 8B 45 FC 8B 18 FF 93 E4 00 00 00 C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6078_0 {
	meta:
		name = "TDataSet.MoveBuffer"
		size = 99
		refs = "0038 Move"
	strings:
		$1 = { 53 56 57 55 8B F1 8B D8 80 BB 90 00 00 00 00 75 4D 3B F2 74 49 8B 43 64 8B 3C 90 3B F2 7E 1F 8B C6 2B C2 8B C8 03 C9 03 C9 8B 43 64 8D 44 90 04 8B 6B 64 8D 54 95 00 E8 ?? ?? ?? ?? EB 1A 8B 43 64 8D 04 B0 8B 4B 64 8D 4C B1 04 2B D6 03 D2 03 D2 87 CA E8 ?? ?? ?? ?? 8B 43 64 89 3C B0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6079_0 {
	meta:
		name = "TDataSet.ActiveBuffer"
		size = 10
	strings:
		$1 = { 8B 50 64 8B 40 5C 8B 04 82 C3 }
	condition:
		$1
}

rule function_6080_0 {
	meta:
		name = "TDataSet.TempBuffer"
		size = 10
	strings:
		$1 = { 8B 50 64 8B 40 58 8B 04 82 C3 }
	condition:
		$1
}

rule function_6081_0 {
	meta:
		name = "TDataSet.ClearBuffers"
		size = 32
	strings:
		$1 = { 33 D2 89 50 58 33 D2 89 50 5C C7 40 60 FF FF FF FF C6 80 A8 00 00 00 01 C6 80 A9 00 00 00 01 C3 }
	condition:
		$1
}

rule function_6082_0 {
	meta:
		name = "TDataSet.ActivateBuffers"
		size = 32
	strings:
		$1 = { C7 40 58 01 00 00 00 33 D2 89 50 5C 33 D2 89 50 60 C6 80 A8 00 00 00 00 C6 80 A9 00 00 00 00 C3 }
	condition:
		$1
}

rule function_6083_0 {
	meta:
		name = "TDataSet.UpdateCursorPos"
		size = 18
	strings:
		$1 = { 83 78 58 00 7E 0B 8B 50 5C 8B 08 FF 91 C4 01 00 00 C3 }
	condition:
		$1
}

rule function_6084_0 {
	meta:
		name = "TDataSet.CursorPosChanged"
		size = 8
		altNames = "TIBCustomDataSet.InternalInsert"
	strings:
		$1 = { C7 40 60 FF FF FF FF C3 }
	condition:
		$1
}

rule function_6086_0 {
	meta:
		name = "TDataSet.GetNextRecords"
		size = 36
	strings:
		$1 = { 53 56 8B D8 33 F6 EB 01 46 8B 43 58 3B 43 54 7D 0E 8B C3 8B 10 FF 92 7C 01 00 00 84 C0 75 E9 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6087_0 {
	meta:
		name = "TDataSet.GetPriorRecords"
		size = 45
	strings:
		$1 = { 53 56 8B D8 33 F6 80 BB 90 00 00 00 00 75 19 EB 01 46 8B 43 58 3B 43 54 7D 0E 8B C3 8B 10 FF 92 84 01 00 00 84 C0 75 E9 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6088_0 {
	meta:
		name = "TDataSet.InitRecord"
		size = 47
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 0C 02 00 00 8B D6 8B C3 8B 08 FF 91 CC 00 00 00 B1 03 8B D6 8B C3 8B 18 FF 93 1C 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6089_0 {
	meta:
		name = "TDataSet.IsEmpty"
		size = 10
	strings:
		$1 = { 8B 50 5C 3B 50 58 0F 9D C0 C3 }
	condition:
		$1
}

rule function_6090_0 {
	meta:
		name = "TDataSet.GetCalcFields"
		size = 122
		refs = "003c TDataSet.GetCalcFields 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 8B F2 89 45 FC 8B 45 FC 83 78 70 00 7F 0C 8B 45 FC 80 B8 AC 00 00 00 00 74 54 8B 45 FC 0F B6 80 A5 00 00 00 88 45 FB 8B 45 FC C6 80 A5 00 00 00 05 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 91 B8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 45 FB 8B 55 FC 88 82 A5 00 00 00 C3 E9 ?? ?? ?? ?? EB EB 5E 59 59 5D C3 }
	condition:
		$1
}

rule function_6091_0 {
	meta:
		name = "TDataSet.CalculateFields"
		size = 96
		refs = "002b TFields.GetCount 003f TFields.GetField 004a TField.CalcLookupValue"
	strings:
		$1 = { 53 56 57 8B F0 89 56 68 80 BE A5 00 00 00 0B 74 41 80 BE 90 00 00 00 00 75 38 8B 56 68 8B C6 8B 08 FF 91 CC 00 00 00 8B 46 38 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1C 43 33 FF 8B D7 8B 46 38 E8 ?? ?? ?? ?? 80 78 4A 02 75 05 E8 ?? ?? ?? ?? 47 4B 75 E7 8B C6 8B 10 FF 92 38 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6093_0 {
	meta:
		name = "TDataSet.RefreshInternalCalcFields"
		size = 145
		refs = "0014 TDataSet.RefreshInternalCalcFields 0025 TFields.GetCount 0042 TFields.GetField 007f @VarClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3E 46 C7 45 F8 00 00 00 00 8B 45 FC 8B 40 38 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 80 7B 4A 03 75 1A 8D 55 E8 8B C3 8B 08 FF 91 90 00 00 00 8D 55 E8 8B C3 8B 08 FF 91 00 01 00 00 FF 45 F8 4E 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6094_0 {
	meta:
		name = "TDataSet.First"
		size = 206
		refs = "000c TDataSet.CheckBrowseMode 0062 TDataSet.First 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 34 01 00 00 33 DB 8B 45 FC 80 B8 90 00 00 00 00 74 2A 8B 45 FC 80 B8 A8 00 00 00 00 75 1A 33 D2 8B 45 FC 8B 08 FF 91 B4 01 00 00 B2 01 8B 45 FC 8B 08 FF 91 B4 01 00 00 B3 01 EB 0B 8B 45 FC 8B 10 FF 92 C8 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 04 02 00 00 84 DB 75 16 8B 45 FC 8B 10 FF 92 7C 01 00 00 8B 45 FC 8B 10 FF 92 78 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 A8 00 00 00 01 33 C9 B2 02 8B 45 FC 8B 18 FF 93 E4 00 00 00 8B 45 FC 8B 10 FF 92 10 01 00 00 C3 E9 ?? ?? ?? ?? EB D4 5B 59 5D C3 }
	condition:
		$1
}

rule function_6097_0 {
	meta:
		name = "TDataSet.Last"
		size = 154
		refs = "000c TDataSet.CheckBiDirectional 0014 TDataSet.CheckBrowseMode 0032 TDataSet.Last 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 34 01 00 00 8B 45 FC 8B 10 FF 92 C8 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 10 02 00 00 8B 45 FC 8B 10 FF 92 84 01 00 00 8B 45 FC 8B 10 FF 92 80 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 A9 00 00 00 01 33 C9 B2 02 8B 45 FC 8B 18 FF 93 E4 00 00 00 8B 45 FC 8B 10 FF 92 10 01 00 00 C3 E9 ?? ?? ?? ?? EB D4 5B 59 5D C3 }
	condition:
		$1
}

rule function_6098_0 {
	meta:
		name = "TDataSet.MoveBy"
		size = 422
		refs = "0012 TDataSet.CheckBrowseMode 0074 TDataSet.MoveBy 0196 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F8 8B 45 FC 8B 10 FF 92 34 01 00 00 85 DB 7E 0C 8B 45 FC 80 B8 A9 00 00 00 00 74 18 85 DB 0F 8D 5E 01 00 00 8B 45 FC 80 B8 A8 00 00 00 00 0F 85 4E 01 00 00 8B 45 FC C6 80 A8 00 00 00 00 8B 45 FC C6 80 A9 00 00 00 00 8B 45 FC 8B 40 58 89 45 F4 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7E 6B 8B 45 FC 8B 40 5C 8B 55 FC 8B 7A 58 8B D7 4A 3B C2 7D 08 8B 45 FC FF 40 5C EB 48 8B 45 FC 3B 78 54 7D 04 33 F6 EB 05 BE 01 00 00 00 8B 45 FC 8B 10 FF 92 7C 01 00 00 84 C0 74 1C 29 75 F0 8B 45 FC 8B 40 5C 8B 55 FC 8B 52 58 4A 3B C2 7D 14 8B 45 FC FF 40 5C EB 0C 8B 45 FC C6 80 A9 00 00 00 01 EB 08 4B FF 45 F8 85 DB 7F 95 85 DB 7D 5F 8B 45 FC 83 78 5C 00 7E 08 8B 45 FC FF 48 5C EB 46 8B 45 FC 8B 40 58 8B 55 FC 3B 42 54 7D 04 33 F6 EB 05 BE 01 00 00 00 8B 45 FC 8B 10 FF 92 84 01 00 00 84 C0 74 14 01 75 F0 8B 45 FC 83 78 5C 00 7E 14 8B 45 FC FF 48 5C EB 0C 8B 45 FC C6 80 A8 00 00 00 01 EB 08 43 FF 4D F8 85 DB 7C A1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 58 3B 45 F4 74 11 33 C9 B2 02 8B 45 FC 8B 18 FF 93 E4 00 00 00 EB 10 8B 4D F0 B2 03 8B 45 FC 8B 18 FF 93 E4 00 00 00 8B 45 FC 8B 10 FF 92 10 01 00 00 C3 E9 ?? ?? ?? ?? EB C1 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6099_0 {
	meta:
		name = "TDataSet.Next"
		size = 32
	strings:
		$1 = { 83 B8 84 00 00 00 00 7E 09 8B 10 FF 92 B0 01 00 00 C3 BA 01 00 00 00 8B 08 FF 91 AC 02 00 00 C3 }
	condition:
		$1
}

rule function_6100_0 {
	meta:
		name = "TDataSet.BlockReadNext"
		size = 14
	strings:
		$1 = { BA 01 00 00 00 8B 08 FF 91 AC 02 00 00 C3 }
	condition:
		$1
}

rule function_6101_0 {
	meta:
		name = "TDataSet.Prior"
		size = 12
	strings:
		$1 = { 83 CA FF 8B 08 FF 91 AC 02 00 00 C3 }
	condition:
		$1
}

rule function_6102_0 {
	meta:
		name = "TDataSet.Refresh"
		size = 116
		refs = "0016 TDataSet.CheckBrowseMode 001e TDataSet.UpdateCursorPos 0026 TDataSet.Refresh 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 10 FF 92 30 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 A4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 B4 02 00 00 8B 45 FC 8B 10 FF 92 0C 01 00 00 C3 E9 ?? ?? ?? ?? EB DB 59 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_6103_0 {
	meta:
		name = "TDataSet.SetBlockReadSize"
		size = 58
		refs = "0019 TDataSet.SetState"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7E 15 8B C3 8B 10 FF 92 BC 00 00 00 B2 0A 8B C3 E8 ?? ?? ?? ?? EB 12 80 BB A5 00 00 00 0A 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 89 B3 84 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6104_0 {
	meta:
		name = "TDataSet.CheckParentState"
		size = 19
		refs = "000e TDataSet.Edit"
	strings:
		$1 = { 8B 90 8C 00 00 00 85 D2 74 08 8B 42 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6105_0 {
	meta:
		name = "TDataSet.Edit"
		size = 147
		refs = "001a TDataSet.Insert 0023 TDataSet.CheckBrowseMode 002a TDataSet.CheckCanModify 003b TDataSet.CheckParentState 0058 TDataSet.CheckOperation 0074 TDataSet.SetState"
	strings:
		$1 = { 53 56 8B D8 0F B6 83 A5 00 00 00 04 FE 2C 02 72 7F 83 7B 58 00 75 09 8B C3 E8 ?? ?? ?? ?? EB 70 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 20 01 00 00 8B C3 E8 ?? ?? ?? ?? 53 8B 03 8B 80 9C 01 00 00 50 FF B3 5C 01 00 00 FF B3 58 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 64 8B 53 5C 8B 14 90 8B C3 8B 08 FF 91 58 01 00 00 B2 02 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 8B C3 8B 30 FF 96 E4 00 00 00 8B C3 8B 10 FF 92 FC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6106_0 {
	meta:
		name = "TDataSet.Insert"
		size = 182
		refs = "000d TDataSet.Insert 001a TDataSet.BeginInsertAppend 0034 TDataSet.MoveBuffer 008a TDataSet.EndInsertAppend 00a0 TArray<System.Byte> 00a5 @DynArrayClear 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 91 78 02 00 00 8B 4B 5C 8B 53 58 8B C3 E8 ?? ?? ?? ?? 8B 43 64 8B 53 5C 8B 34 90 8B D6 8B C3 8B 08 FF 91 94 01 00 00 83 7B 58 00 75 10 B1 01 8B D6 8B C3 8B 30 FF 96 1C 02 00 00 EB 0F 8B 4D FC 8B D6 8B C3 8B 30 FF 96 20 02 00 00 8B 43 58 3B 43 54 7D 03 FF 43 58 8B C3 8B 10 FF 92 A0 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6107_0 {
	meta:
		name = "TDataSet.Append"
		size = 96
		refs = "0007 TDataSet.BeginInsertAppend 0059 TDataSet.EndInsertAppend"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 C8 00 00 00 8B 43 64 8B 30 8B D6 8B C3 8B 08 FF 91 94 01 00 00 B1 02 8B D6 8B C3 8B 30 FF 96 1C 02 00 00 C7 43 58 01 00 00 00 C6 83 A8 00 00 00 00 8B C3 8B 10 FF 92 80 01 00 00 8B C3 8B 10 FF 92 A0 01 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6108_0 {
	meta:
		name = "TDataSet.Post"
		size = 132
		refs = "0007 TDataSet.UpdateRecord 0049 TDataSet.CheckOperation 005c TDataSet.SetState 0063 TDataSet.Post"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 83 A5 00 00 00 04 FE 2C 02 73 63 33 C9 B2 07 8B C3 8B 30 FF 96 E4 00 00 00 8B C3 8B 10 FF 92 2C 01 00 00 53 8B 03 8B 80 14 02 00 00 50 FF B3 64 01 00 00 FF B3 60 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 44 01 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 B4 02 00 00 8B C3 8B 10 FF 92 08 01 00 00 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6109_0 {
	meta:
		name = "CancelNestedDataSets"
		size = 84
		refs = "0030 TList.Get 0039 TDataSet.GetActive"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC 8B 80 94 00 00 00 85 C0 74 39 8B 70 08 4E 85 F6 7C 31 46 33 FF 8B 45 08 8B 40 FC 8B 80 94 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C3 8B 10 FF 92 68 02 00 00 47 4E 75 D2 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_6110_0 {
	meta:
		name = "TDataSet.Cancel"
		size = 184
		refs = "001e CancelNestedDataSets 005d TDataSet.UpdateCursorPos 007d TDataSet.SetState 0084 TDataSet.Cancel"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 0F B6 80 A5 00 00 00 04 FE 2C 02 0F 83 91 00 00 00 55 E8 ?? ?? ?? ?? 59 33 C9 B2 07 8B 45 FC 8B 18 FF 93 E4 00 00 00 8B 45 FC 8B 10 FF 92 14 01 00 00 8B 45 FC 80 B8 A5 00 00 00 03 0F 94 C3 84 DB 74 0B 8B 45 FC 8B 10 FF 92 34 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 98 01 00 00 8B 45 FC 8B 10 FF 92 44 01 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 B4 02 00 00 8B 45 FC 8B 10 FF 92 F0 00 00 00 84 DB 74 0B 8B 45 FC 8B 10 FF 92 10 01 00 00 5B 59 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6111_0 {
	meta:
		name = "TDataSet.Delete"
		size = 248
		refs = "000d TDataSet.Delete 0047 SDataSetEmpty 004c LoadResString 0056 DatabaseError 0095 TDataSet.CheckOperation 00a8 TDataSet.SetState 00e2 @UStrClr 00e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 BC 00 00 00 0F B6 83 A5 00 00 00 04 FD 2C 02 73 0F 8B C3 8B 10 FF 92 68 02 00 00 E9 94 00 00 00 83 7B 58 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C9 B2 07 8B C3 8B 30 FF 96 E4 00 00 00 8B C3 8B 10 FF 92 1C 01 00 00 8B C3 8B 10 FF 92 34 01 00 00 53 8B 03 8B 80 00 02 00 00 50 FF B3 6C 01 00 00 FF B3 68 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 44 01 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 B4 02 00 00 8B C3 8B 10 FF 92 F8 00 00 00 8B C3 8B 10 FF 92 10 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_6112_0 {
	meta:
		name = "TDataSet.BeginInsertAppend"
		size = 46
		refs = "0006 TDataSet.CheckBrowseMode 000d TDataSet.CheckCanModify 001e TDataSet.CheckParentState"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 24 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 34 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6113_0 {
	meta:
		name = "TDataSet.EndInsertAppend"
		size = 176
		refs = "0010 TDataSet.SetState 0018 TDataSet.EndInsertAppend 0038 @HandleAnyException 0040 TDataSet.UpdateCursorPos 006c @RaiseAgain 0071 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC B2 03 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 3C 01 00 00 33 C0 5A 59 59 64 89 10 EB 3E E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 44 01 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 B4 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 80 AA 00 00 00 00 33 C9 B2 02 8B 45 FC 8B 18 FF 93 E4 00 00 00 8B 45 FC 8B 10 FF 92 00 01 00 00 8B 45 FC 8B 10 FF 92 10 01 00 00 5F 5E 5B 59 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6114_0 {
	meta:
		name = "TDataSet.AddRecord"
		size = 380
		refs = "0018 TDataSet.BeginInsertAppend 0024 TDataSet.UpdateCursorPos 002c TDataSet.DisableControls 0034 TDataSet.AddRecord 004e TDataSet.MoveBuffer 00b3 TDataSet.SetFields 00ff @HandleFinally 0110 @HandleAnyException 0129 @RaiseAgain 012e @DoneExcept 0160 TDataSet.EnableControls"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 8B FA 89 45 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 84 DB 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 48 5C 8B 45 FC 8B 50 58 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 5C 8B 55 FC 8B 52 64 8B 34 82 8B D6 8B 45 FC 8B 08 FF 91 94 01 00 00 8B 45 FC C6 80 A5 00 00 00 03 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 3C 01 00 00 8B 45 FC 8B 10 FF 92 00 01 00 00 8B D7 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 2C 01 00 00 8B CB 8B D6 8B 45 FC 8B 18 FF 93 FC 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 44 01 00 00 8B 45 FC C6 80 A5 00 00 00 01 8B 45 FC C6 80 AA 00 00 00 00 C3 E9 ?? ?? ?? ?? EB D9 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 8B 45 FC 8B 48 58 8B 45 FC 8B 50 5C 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 B4 02 00 00 8B 45 FC 8B 10 FF 92 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6115_0 {
	meta:
		name = "ShutdownDelayHelp2"
		size = 8
		refs = "0003 TDataSet.AddRecord"
		altNames = "TDataSet.InsertRecord"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69334_0 {
	meta:
		name = "Beep"
		size = 8
		refs = "0003 MessageBeep"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80372_0 {
	meta:
		name = "GetDIBSizes"
		size = 8
		refs = "0003 InternalGetDIBSizes"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83004_0 {
	meta:
		name = "TCustomOutline.Add"
		size = 8
		refs = "0003 TCustomOutline.AddObject"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83006_0 {
	meta:
		name = "TCustomOutline.AddChild"
		size = 8
		refs = "0003 TCustomOutline.AddChildObject"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83002_0 {
	meta:
		name = "TCustomOutline.Insert"
		size = 8
		refs = "0003 TCustomOutline.InsertObject"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6600_0 {
	meta:
		name = "TDBXIniFileConnectionFactory.LoadDriver"
		size = 8
		refs = "0003 TDBXIniFileConnectionFactory.LoadSectionProperties"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49425_0 {
	meta:
		name = "THTTPReqResp.HandleWinInetError"
		size = 8
		refs = "0003 THTTPReqRespHelper.HandleWinInetErrorEx"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35257_0 {
	meta:
		name = "TIdIMAP4.RetrieveEnvelope"
		size = 8
		refs = "0003 TIdIMAP4.InternalRetrieveEnvelope"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35260_0 {
	meta:
		name = "TIdIMAP4.UIDRetrieveEnvelope"
		size = 8
		refs = "0003 TIdIMAP4.UIDInternalRetrieveEnvelope"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48848_0 {
	meta:
		name = "TInvokableClassRegistry.RegisterException"
		size = 8
		refs = "0003 TInvokableClassRegistry.InternalRegisterException"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79813_0 {
	meta:
		name = "TScreen.GetWidth"
		size = 8
		refs = "0003 GetSystemMetrics"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62359_0 {
	meta:
		name = "TStream.WriteComponentRes"
		size = 8
		refs = "0003 TStream.WriteDescendentRes"
	strings:
		$1 = { 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6116_0 {
	meta:
		name = "TDataSet.AppendRecord"
		size = 8
		refs = "0003 TDataSet.AddRecord"
	strings:
		$1 = { 6A 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9369_0 {
	meta:
		name = "TJSONObject.ParseJSONValueUTF8"
		size = 8
		refs = "0003 TJSONObject.ParseJSONValue"
	strings:
		$1 = { 6A 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66715_0 {
	meta:
		name = "TPerlRegEx.SplitCapture"
		size = 8
		refs = "0003 TPerlRegEx.SplitCapture"
	strings:
		$1 = { 6A 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79812_0 {
	meta:
		name = "TScreen.GetHeight"
		size = 8
		refs = "0003 GetSystemMetrics"
	strings:
		$1 = { 6A 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6117_0 {
	meta:
		name = "TDataSet.CheckOperation"
		size = 143
		refs = "0014 TDataSet.CheckOperation 0022 TDataSet.UpdateCursorPos 003b @HandleOnException 0043 _DV_EDatabaseError 006c @RaiseAgain 0077 Abort 007c @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC C6 45 FB 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B 45 14 FF 55 10 C6 45 FB 01 33 C0 5A 59 59 64 89 10 EB 46 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? C6 45 FA 00 66 83 7D 0A 00 74 0F 8D 55 FA 52 8B C8 8B 55 FC 8B 45 0C FF 55 08 80 7D FA 00 75 05 E8 ?? ?? ?? ?? 80 7D FA 01 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D FB 00 74 8A 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_6118_0 {
	meta:
		name = "TDataSet.SetFields"
		size = 52
		refs = "001c TFields.GetField 0023 TField.AssignValue"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B E8 8B 34 24 85 F6 7C 1D 46 33 FF 8B DA 8B 45 38 8B D7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 47 83 C3 08 4E 75 E8 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6119_0 {
	meta:
		name = "TDataSet.ClearFields"
		size = 178
		refs = "000d TDataSet.ClearFields 0028 SNotEditing 002d LoadResString 0037 DatabaseError 00a1 @UStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 83 A5 00 00 00 04 FE 2C 03 72 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C9 B2 07 8B C3 8B 30 FF 96 E4 00 00 00 8B C3 8B 10 FF 92 44 01 00 00 8B 43 64 8B 53 5C 8B 14 90 8B C3 8B 08 FF 91 0C 02 00 00 80 BB A5 00 00 00 04 74 13 8B 43 64 8B 53 5C 8B 14 90 8B C3 8B 08 FF 91 58 01 00 00 33 C9 B2 01 8B C3 8B 18 FF 93 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6120_0 {
	meta:
		name = "TDataSet.CopyFields"
		size = 333
		refs = "0021 TDataSet.CopyFields 0037 TFields.GetCount 0059 TFields.GetField 0066 TDataSet.FindField 007a _DV_TDataSetField 0085 TDataSetField.GetNestedDataSet 008a TDataSet.Delete 00ab TDataSet.First 00bb TDataSet.Append 00e7 TDataSet.Next 0137 @VarClr 013d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D DC 89 4D E0 89 4D E4 89 4D E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 F8 8B 40 38 E8 ?? ?? ?? ?? 48 85 C0 0F 8C E2 00 00 00 40 89 45 EC C7 45 F0 00 00 00 00 8B 45 F8 8B 40 38 8B 55 F0 E8 ?? ?? ?? ?? 8B F0 8B 56 40 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 A6 00 00 00 8B 13 89 D0 3B 05 ?? ?? ?? ?? 75 7D EB 0C 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FB 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 92 88 01 00 00 85 C0 7F DF 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 8B FB 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 92 B0 02 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 B8 A9 00 00 00 00 74 B6 EB 1A 8D 55 DC 8B C6 8B 08 FF 91 90 00 00 00 8D 55 DC 8B C3 8B 08 FF 91 00 01 00 00 FF 45 F4 FF 45 F0 FF 4D EC 0F 85 29 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6121_0 {
	meta:
		name = "TDataSet.CheckRequiredFields"
		size = 204
		refs = "0018 TDataSet.CheckRequiredFields 0029 TFields.GetCount 0040 TFields.GetField 0069 TField.FocusControl 0075 TField.GetDisplayName 008b SFieldRequired 0090 LoadResString 009b DatabaseErrorFmt 00b9 @UStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 F0 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 6F 46 33 FF 8B 45 FC 8B 40 38 8B D7 E8 ?? ?? ?? ?? 8B D8 80 7B 4D 00 74 53 80 7B 49 00 75 4D 80 7B 4A 00 75 47 8B C3 8B 10 FF 92 B0 00 00 00 84 C0 74 39 8B C3 E8 ?? ?? ?? ?? 6A 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 47 4E 75 94 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6122_0 {
	meta:
		name = "TDataSet.Translate"
		size = 37
		refs = "0011 StrCopy 0018 @PCharLen"
	strings:
		$1 = { 55 8B EC 53 8B D9 85 D2 74 14 3B DA 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6131_0 {
	meta:
		name = "TDataSet.BookmarkAvailable"
		size = 77
	strings:
		$1 = { 53 8B D8 80 BB 90 00 00 00 00 74 04 33 C0 5B C3 0F B6 83 A5 00 00 00 48 2C 03 73 0D 8B 43 5C 3B 43 58 0F 9D C0 34 01 EB 02 33 C0 84 C0 74 1A 8B 43 64 8B 53 5C 8B 14 90 8B C3 8B 08 FF 91 F4 01 00 00 84 C0 0F 94 C0 EB 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_6132_0 {
	meta:
		name = "TDataSet.GetBookmark"
		size = 82
		refs = "0009 TDataSet.BookmarkAvailable 001e TArray<System.Byte> 0023 @DynArraySetLength 004b @DynArrayClear"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 31 8B 43 6C 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 64 8B 53 5C 8B 14 90 8B 0E 8B C3 8B 18 FF 93 F0 01 00 00 5E 5B C3 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6134_0 {
	meta:
		name = "TDataSet.GetBookmarkStr"
		size = 63
		refs = "0009 TDataSet.BookmarkAvailable 0019 @LStrSetLength 0038 @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 24 8B C6 33 C9 8B 53 6C E8 ?? ?? ?? ?? 8B 43 64 8B 53 5C 8B 14 90 8B 0E 8B C3 8B 18 FF 93 F0 01 00 00 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6136_0 {
	meta:
		name = "TDataSet.GotoBookmark"
		size = 140
		refs = "000e @DynArrayAddRef 0016 TDataSet.GotoBookmark 0029 TDataSet.CheckBrowseMode 0071 TArray<System.Byte> 0076 @DynArrayClear 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 39 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 34 01 00 00 8B 55 FC 8B C3 8B 08 FF 91 08 02 00 00 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 B4 02 00 00 8B C3 8B 10 FF 92 10 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_6143_0 {
	meta:
		name = "TDataSet.BookmarkValid"
		size = 46
		refs = "0008 TDataSet.BookmarkValid 0023 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_26281_0 {
	meta:
		name = "TBaseDataSetAdapterField.ImplCheckValueChange"
		size = 46
		refs = "0008 TBaseDataSetAdapterField.ImplCheckValueChange 0023 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_97136_0 {
	meta:
		name = "TBaseValuesListAdapter.ImplGetListImageOfValue"
		size = 46
		refs = "0008 TBaseValuesListAdapter.ImplGetListImageOfValue 0023 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_7600_0 {
	meta:
		name = "TDBXStateItemList.GetStateItem"
		size = 46
		refs = "0008 TDBXStateItemList.GetStateItem 0023 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_24403_0 {
	meta:
		name = "TDSRequestFilter<Data.DBXCommon.TDBXValue>.SetParameterValue"
		size = 46
		refs = "0008 TDSRequestFilter<Data.DBXCommon.TDBXValue>.SetParameterValue 0023 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_6144_0 {
	meta:
		name = "TDataSet.CompareBookmarks"
		size = 46
		refs = "0008 TDataSet.CompareBookmarks 0023 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_9682_0 {
	meta:
		name = "TJSONInterceptor.ObjectConverter"
		size = 46
		refs = "0008 TJSONInterceptor.ObjectConverter 0023 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_9693_0 {
	meta:
		name = "TJSONInterceptor.TypeObjectsReverter"
		size = 46
		refs = "0008 TJSONInterceptor.TypeObjectsReverter 0023 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_9695_0 {
	meta:
		name = "TJSONInterceptor.TypeStringReverter"
		size = 46
		refs = "0008 TJSONInterceptor.TypeStringReverter 0023 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_9697_0 {
	meta:
		name = "TJSONInterceptor.TypeStringsReverter"
		size = 46
		refs = "0008 TJSONInterceptor.TypeStringsReverter 0023 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_6146_0 {
	meta:
		name = "TDataSet.FindFirst"
		size = 15
	strings:
		$1 = { 53 B1 01 B2 01 8B 18 FF 93 40 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6147_0 {
	meta:
		name = "TDataSet.FindLast"
		size = 15
	strings:
		$1 = { 53 33 C9 B2 01 8B 18 FF 93 40 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6148_0 {
	meta:
		name = "TDataSet.FindNext"
		size = 15
	strings:
		$1 = { 53 B1 01 33 D2 8B 18 FF 93 40 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6149_0 {
	meta:
		name = "TDataSet.FindPrior"
		size = 15
	strings:
		$1 = { 53 33 C9 33 D2 8B 18 FF 93 40 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6150_0 {
	meta:
		name = "TDataSet.SetFiltered"
		size = 27
		refs = "000e TDataSet.CheckBiDirectional"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 FB 01 75 07 8B C6 E8 ?? ?? ?? ?? 88 9E B0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6151_0 {
	meta:
		name = "TDataSet.SetFilterOptions"
		size = 27
		refs = "000a TDataSet.CheckBiDirectional"
	strings:
		$1 = { 53 51 88 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 04 24 88 83 A4 00 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_6152_0 {
	meta:
		name = "TDataSet.SetFilterText"
		size = 29
		refs = "0009 TDataSet.CheckBiDirectional 0016 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 83 80 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6153_0 {
	meta:
		name = "TDataSet.SetOnFilterRecord"
		size = 36
		refs = "0009 TDataSet.CheckBiDirectional"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 83 70 01 00 00 8B 45 0C 89 83 74 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6154_0 {
	meta:
		name = "TActiveScriptSite.OnEnterScript"
		size = 9
		altNames = "TActiveScriptSite.OnLeaveScript TActiveXControl.HandsOffStorage TActiveXControl.IsUpToDate TActiveXControl.PersistPropBagInitNew TActiveXControl.Update TBasePageProducer.HandleScriptTag TCustomElementServices.HasTransparentParts TCustomHTMLEditHost.PreDrag TCustomHTMLTableDesigner.BeginSelectionUndo TCustomHTMLTableDesigner.EndSelectionUndo TDataSet.Locate TDragDockObject.GetDragCursor TIdCalculateSizeStream.IdRead TIdFTPLPMList.CheckListing TIdFTPListBase.CheckListing TIdFTPListBaseHeaderOpt.CheckListingAlt TIdHTTPRangeStream.IdWrite TIdServerIOHandler.Accept TInHTTPRangeStream.IdWrite TInServerIOHandler.Accept TInvokeableVariantType.DoProcedure TInvokeableVariantType.GetProperty TInvokeableVariantType.SetProperty TOleContainer.ShowObject TOleControl.CanInPlaceActivate TOleControl.SaveObject TOleLinkStub.BindIfRunning TSeCustomStyle.WindowGetRegion TSelectionServicesListenter.BeginSelectionUndo TSelectionServicesListenter.EndSelectionUndo TWebBrowserEx.HideUI TWebComponentsEditorHelper.ImplCanAddClassHelper TWebConnection.GetWaitEvent"
	strings:
		$1 = { 55 8B EC 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_6155_0 {
	meta:
		name = "TDataSet.Lookup"
		size = 17
		refs = "0009 @VarFromBool"
	strings:
		$1 = { 55 8B EC 8B 45 08 33 D2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_6156_0 {
	meta:
		name = "TDataSet.GetAggregateValue"
		size = 12
		refs = "0006 Null"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_97277_0 {
	meta:
		name = "TBaseAdapterErrorsList.ImplGetError"
		size = 12
		refs = "0006 @IntfClear"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73691_0 {
	meta:
		name = "TBindListStringGridEditor.InsertItem"
		size = 12
		refs = "0006 @IntfClear"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_62213_0 {
	meta:
		name = "TCollection.GetAttr"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82078_0 {
	meta:
		name = "TCustomListAction.GetString"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6744_0 {
	meta:
		name = "TDBXConnection.GetVendorProperty"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19879_0 {
	meta:
		name = "TDSCustomCsharpSilverlightProxyWriter.GetCreateDataSetReader"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_19880_0 {
	meta:
		name = "TDSCustomCsharpSilverlightProxyWriter.GetCreateParamsReader"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_21141_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.GetCreateDataSetReader"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_21142_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.GetCreateParamsReader"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_21437_0 {
	meta:
		name = "TDSCustomJavaAndroidProxyWriter.GetCreateDataSetReader"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_21438_0 {
	meta:
		name = "TDSCustomJavaAndroidProxyWriter.GetCreateParamsReader"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_21994_0 {
	meta:
		name = "TDSCustomJavaScriptProxyWriter.GetCreateDataSetReader"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_21995_0 {
	meta:
		name = "TDSCustomJavaScriptProxyWriter.GetCreateParamsReader"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_22283_0 {
	meta:
		name = "TDSCustomObjectiveCiOSProxyWriter.GetCreateDataSetReader"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_22284_0 {
	meta:
		name = "TDSCustomObjectiveCiOSProxyWriter.GetCreateParamsReader"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_43369_0 {
	meta:
		name = "TIWBaseHTML40Component.RenderCSSClass"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_43371_0 {
	meta:
		name = "TIWBaseHTML40Component.RenderStyle"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_47128_0 {
	meta:
		name = "TQueryButton.EventContent"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66977_0 {
	meta:
		name = "TRttiPackage.GetNameFromType"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95061_0 {
	meta:
		name = "TSeriesData.PointToString"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13737_0 {
	meta:
		name = "TTransportFilter.GetParameterValue"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_47009_0 {
	meta:
		name = "TWebDataDisplay.EventContent"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_47039_0 {
	meta:
		name = "TWebDataInput.ImplGetRowSetFieldAttributes"
		size = 12
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6159_0 {
	meta:
		name = "TDataSet.CheckBrowseMode"
		size = 99
		refs = "0030 TDataSet.UpdateRecord"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 10 FF 92 BC 00 00 00 33 C9 B2 07 8B C6 8B 18 FF 93 E4 00 00 00 0F B6 86 A5 00 00 00 04 FE 2C 02 72 04 74 2B EB 33 8B C6 E8 ?? ?? ?? ?? 80 BE AA 00 00 00 00 74 0C 8B C6 8B 10 FF 92 B0 02 00 00 EB 17 8B C6 8B 10 FF 92 68 02 00 00 5E 5B C3 8B C6 8B 10 FF 92 B0 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6161_0 {
	meta:
		name = "TDataSet.CheckCanModify"
		size = 92
		refs = "000c TDataSet.CheckCanModify 0028 SDataSetReadOnly 002d LoadResString 0037 DatabaseError 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 5C 01 00 00 84 C0 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6162_0 {
	meta:
		name = "TDataSet.GetFieldList"
		size = 148
		refs = "0019 TDataSet.GetFieldList 004b ExtractFieldName 0055 TDataSet.FieldByName 0064 TList.Add 0081 @UStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D FC 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 89 45 F4 C7 45 F8 01 00 00 00 8B 45 F8 3B 45 F4 7F 2F 8D 4D F0 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8B F0 85 DB 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 7E D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6163_0 {
	meta:
		name = "DefineHandleTable"
		size = 4
		altNames = "TAdapterNamedDisplayField.ImplGetDisplayWidth TAdapterNamedField.ImplGetDisplayWidth TAdapterNamedField.ImplGetMaxLength TChartSeries.Clicked TDBXNoOpRow.GetGeneration TDBXReader.GetReaderHandle TDataSet.GetRecNo TDataSet.GetRecordCount TDomDocumentFragment.GetAbsoluteIndex TDomDocumentFragment.GetLevel TEncoding.GetCodePage TIWBaseContainer.getTabOrder TTeeEmboss.Factor TWebRadioGroupInput.GetCheckIndex TWebSelectOptionsInput.GetSelectIndex Yield"
	strings:
		$1 = { 83 C8 FF C3 }
	condition:
		$1
}

rule function_6169_0 {
	meta:
		name = "TDataSet.DoAfterCancel"
		size = 29
		altNames = "TWebBrowserColor.DoCancel"
	strings:
		$1 = { 53 66 83 B8 12 01 00 00 00 74 10 8B D8 8B D0 8B 83 14 01 00 00 FF 93 10 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6170_0 {
	meta:
		name = "TDataSet.DoAfterClose"
		size = 29
		altNames = "TIdUDPServer.DoAfterBind"
	strings:
		$1 = { 53 66 83 B8 D2 00 00 00 00 74 10 8B D8 8B D0 8B 83 D4 00 00 00 FF 93 D0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_6171_0 {
	meta:
		name = "TControl.DblClick"
		size = 29
		altNames = "TDataSet.DoAfterDelete TIdCmdTCPClient.DoAfterCommandHandler"
	strings:
		$1 = { 53 66 83 B8 22 01 00 00 00 74 10 8B D8 8B D0 8B 83 24 01 00 00 FF 93 20 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6172_0 {
	meta:
		name = "TControl.Resize"
		size = 29
		altNames = "TDataSet.DoAfterEdit TIdIOHandlerSocket.DoAfterBind TIdMappedPortUDP.DoRequestNotify TInIOHandlerSocket.DoAfterBind"
	strings:
		$1 = { 53 66 83 B8 F2 00 00 00 00 74 10 8B D8 8B D0 8B 83 F4 00 00 00 FF 93 F0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_6173_0 {
	meta:
		name = "TDataSet.DoAfterInsert"
		size = 29
		altNames = "TIdSimpleServer.DoAfterBind"
	strings:
		$1 = { 53 66 83 B8 E2 00 00 00 00 74 10 8B D8 8B D0 8B 83 E4 00 00 00 FF 93 E0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_6174_0 {
	meta:
		name = "TDataSet.DoAfterOpen"
		size = 47
	strings:
		$1 = { 53 8B D8 66 83 BB C2 00 00 00 00 74 0E 8B D3 8B 83 C4 00 00 00 FF 93 C0 00 00 00 8B 43 5C 3B 43 58 7D 0A 8B C3 8B 10 FF 92 10 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6175_0 {
	meta:
		name = "TDataSet.DoAfterPost"
		size = 29
		altNames = "TIdCustomTCPServer.DoAfterBind TInCustomTCPServer.DoAfterBind"
	strings:
		$1 = { 53 66 83 B8 02 01 00 00 00 74 10 8B D8 8B D0 8B 83 04 01 00 00 FF 93 00 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6176_0 {
	meta:
		name = "TDataSet.DoAfterRefresh"
		size = 29
		altNames = "TIdCmdTCPServer.DoAfterCommandHandler"
	strings:
		$1 = { 53 66 83 B8 32 01 00 00 00 74 10 8B D8 8B D0 8B 83 34 01 00 00 FF 93 30 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6177_0 {
	meta:
		name = "TDataSet.DoAfterScroll"
		size = 29
	strings:
		$1 = { 53 66 83 B8 42 01 00 00 00 74 10 8B D8 8B D0 8B 83 44 01 00 00 FF 93 40 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6178_0 {
	meta:
		name = "TDataSet.DoBeforeCancel"
		size = 29
	strings:
		$1 = { 53 66 83 B8 0A 01 00 00 00 74 10 8B D8 8B D0 8B 83 0C 01 00 00 FF 93 08 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6180_0 {
	meta:
		name = "TDataSet.DoBeforeDelete"
		size = 29
		altNames = "TIWBaseControl.DoClick"
	strings:
		$1 = { 53 66 83 B8 1A 01 00 00 00 74 10 8B D8 8B D0 8B 83 1C 01 00 00 FF 93 18 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6181_0 {
	meta:
		name = "TDataSet.DoBeforeEdit"
		size = 29
		altNames = "TIdIOHandlerSocket.DoBeforeBind TInIOHandlerSocket.DoBeforeBind"
	strings:
		$1 = { 53 66 83 B8 EA 00 00 00 00 74 10 8B D8 8B D0 8B 83 EC 00 00 00 FF 93 E8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_6182_0 {
	meta:
		name = "TDataSet.DoBeforeInsert"
		size = 29
		altNames = "TIdSimpleServer.DoBeforeBind TIdTCPClientCustom.DoOnConnected TInTCPClientCustom.DoOnConnected"
	strings:
		$1 = { 53 66 83 B8 DA 00 00 00 00 74 10 8B D8 8B D0 8B 83 DC 00 00 00 FF 93 D8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_6183_0 {
	meta:
		name = "TBaseInetXPageProducer.DoAfterGetContent"
		size = 29
		altNames = "TCommonDialogAction.DoCancel TDataSet.DoBeforeOpen"
	strings:
		$1 = { 53 66 83 B8 BA 00 00 00 00 74 10 8B D8 8B D0 8B 83 BC 00 00 00 FF 93 B8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_6184_0 {
	meta:
		name = "TDataSet.DoBeforePost"
		size = 29
		altNames = "TIdIOHandlerSocket.DoSocketAllocated TInIOHandlerSocket.DoSocketAllocated"
	strings:
		$1 = { 53 66 83 B8 FA 00 00 00 00 74 10 8B D8 8B D0 8B 83 FC 00 00 00 FF 93 F8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_6185_0 {
	meta:
		name = "TDataSet.DoBeforeRefresh"
		size = 29
	strings:
		$1 = { 53 66 83 B8 2A 01 00 00 00 74 10 8B D8 8B D0 8B 83 2C 01 00 00 FF 93 28 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6186_0 {
	meta:
		name = "TDataSet.DoBeforeScroll"
		size = 29
	strings:
		$1 = { 53 66 83 B8 3A 01 00 00 00 74 10 8B D8 8B D0 8B 83 3C 01 00 00 FF 93 38 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6187_0 {
	meta:
		name = "TDataSet.DoOnCalcFields"
		size = 29
		altNames = "TIdSSLIOHandlerSocketOpenSSL.DoBeforeConnect TInSSLIOHandlerSocketOpenSSL.DoBeforeConnect"
	strings:
		$1 = { 53 66 83 B8 52 01 00 00 00 74 10 8B D8 8B D0 8B 83 54 01 00 00 FF 93 50 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6188_0 {
	meta:
		name = "TDataSet.DoOnNewRecord"
		size = 29
	strings:
		$1 = { 53 66 83 B8 4A 01 00 00 00 74 10 8B D8 8B D0 8B 83 4C 01 00 00 FF 93 48 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6190_0 {
	meta:
		name = "TDataSet.PSExecute"
		size = 78
		refs = "000c TDataSet.PSExecute 001a SProviderExecuteNotSupported 001f LoadResString 0029 DatabaseError 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6191_0 {
	meta:
		name = "TDataSet.PSExecuteStatement"
		size = 86
		refs = "000d TDataSet.PSExecuteStatement 001d SProviderSQLNotSupported 0022 LoadResString 002c DatabaseError 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6218_0 {
	meta:
		name = "TWideDataSet.PSExecuteStatement"
		size = 86
		refs = "000d TWideDataSet.PSExecuteStatement 001d SProviderSQLNotSupported 0022 LoadResString 002c DatabaseError 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6195_0 {
	meta:
		name = "TDataSet.PSGetCommandTextW"
		size = 79
		refs = "000f TDataSet.PSGetCommandTextW 0029 @WStrFromUStr 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 48 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6198_0 {
	meta:
		name = "TDataSet.PSGetKeyFields"
		size = 108
		refs = "000c TFields.GetCount 0020 TFields.GetField 0035 TDataSet.PSGetKeyFields 003a @UStrCat"
	strings:
		$1 = { 53 56 57 55 8B FA 8B E8 8B 45 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3F 46 33 DB 8B 45 38 8B D3 E8 ?? ?? ?? ?? F6 80 9C 00 00 00 04 74 25 83 3F 00 74 0C 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 38 8B D3 E8 ?? ?? ?? ?? 8B 50 40 8B C7 E8 ?? ?? ?? ?? 43 4E 75 C4 5D 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_6199_0 {
	meta:
		name = "TDataSet.PSGetKeyFieldsW"
		size = 79
		refs = "000f TDataSet.PSGetKeyFieldsW 0029 @WStrFromUStr 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6202_0 {
	meta:
		name = "TDataSet.PSGetQuoteCharW"
		size = 79
		refs = "000f TDataSet.PSGetQuoteCharW 0029 @WStrFromUStr 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 58 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6204_0 {
	meta:
		name = "TDataSet.PSGetTableNameW"
		size = 79
		refs = "000f TDataSet.PSGetTableNameW 0029 @WStrFromUStr 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 60 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7076_0 {
	meta:
		name = "TDBXAnsiMemoValue.GetAsString"
		size = 79
		refs = "000f TDBXAnsiMemoValue.GetAsString 0029 @UStrFromLStr 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 60 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7066_0 {
	meta:
		name = "TDBXAnsiStringValue.GetAsString"
		size = 79
		refs = "000f TDBXAnsiStringValue.GetAsString 0029 @UStrFromLStr 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 60 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6205_0 {
	meta:
		name = "TDataSet.GetIndexDefs"
		size = 396
		refs = "001a TDataSet.GetIndexDefs 003a TIndexDefs.Update 009c TIndexDefs.GetIndexDef 00be TObject.Free 00e1 TIndexDef.GetFields 00ee TDataSet.GetFieldList 00fd @HandleAnyException 0112 @DoneExcept 013c TCollection.Clear 016f @UStrClr 0175 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 88 4D FB 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 43 08 83 78 08 00 75 0D 33 C0 5A 59 59 64 89 10 E9 0A 01 00 00 8B 45 FC 8B 10 FF 92 5C 02 00 00 33 C9 B2 01 FF 50 2C 89 45 F4 8B D3 8B 45 F4 8B 08 FF 51 08 8B 45 F4 8B 40 08 8B 40 08 48 83 F8 00 0F 8C 9D 00 00 00 89 45 F0 0F B6 05 ?? ?? ?? ?? 3A 45 FB 74 2F 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 0F B6 40 24 22 45 FB 0F B6 15 ?? ?? ?? ?? 3A D0 75 12 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 52 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 4D EC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 4D F0 83 7D F0 FF 0F 85 66 FF FF FF 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 83 7D F4 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 83 78 08 00 75 0D 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6207_0 {
	meta:
		name = "TDataSet.PSGetUpdateException"
		size = 33
		refs = "0015 _DV_EUpdateError 001c EUpdateError.Create"
	strings:
		$1 = { 85 C9 74 05 8B 41 18 EB 02 33 C0 6A 00 6A 01 50 52 8B 4A 04 A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6217_0 {
	meta:
		name = "TWideDataSet.PSExecuteStatement"
		size = 95
		refs = "0012 TWideDataSet.PSExecuteStatement 0026 @WStrFromUStr 0049 @WStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 8B 18 FF 53 44 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6219_0 {
	meta:
		name = "TWideDataSet.PSGetCommandText"
		size = 79
		refs = "000f TWideDataSet.PSGetCommandText 0029 @UStrFromWStr 003e @WStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 4C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6221_0 {
	meta:
		name = "TWideDataSet.PSGetKeyFields"
		size = 79
		refs = "000f TWideDataSet.PSGetKeyFields 0029 @UStrFromWStr 003e @WStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 54 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6222_0 {
	meta:
		name = "TWideDataSet.PSGetKeyFieldsW"
		size = 196
		refs = "0017 TWideDataSet.PSGetKeyFieldsW 0028 TFields.GetCount 003f TFields.GetField 0051 @WStrEqual 005f @WStrCat 0069 @UStrFromWStr 0083 @UStrCat 008d @WStrFromUStr 00a6 @UStrClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 62 46 33 DB 8B 45 FC 8B 40 38 8B D3 E8 ?? ?? ?? ?? F6 80 9C 00 00 00 04 74 45 8B 07 33 D2 E8 ?? ?? ?? ?? 74 0C 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 17 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 FC 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 50 40 58 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 43 4E 75 A1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 02 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_6223_0 {
	meta:
		name = "TWideDataSet.PSGetQuoteChar"
		size = 79
		refs = "000f TWideDataSet.PSGetQuoteChar 0029 @UStrFromWStr 003e @WStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 5C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14562_0 {
	meta:
		name = "TCustomSQLDataSet.GetQuoteChar"
		size = 79
		refs = "000f TCustomSQLDataSet.GetQuoteChar 0029 @UStrFromWStr 003e @WStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 5C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6225_0 {
	meta:
		name = "TWideDataSet.PSGetTableName"
		size = 79
		refs = "000f TWideDataSet.PSGetTableName 0029 @UStrFromWStr 003e @WStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 64 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6227_0 {
	meta:
		name = "TWideDataSet.PSSetCommandText"
		size = 79
		refs = "000f TWideDataSet.PSSetCommandText 001f @WStrFromUStr 003e @WStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6232_0 {
	meta:
		name = "TDefaultDBScreenApplication.SetCursor"
		size = 4
		altNames = "TTIWComboboxes.SetFontColors TTIWHTMLEdGlyphs.SetSubscript"
	strings:
		$1 = { 88 50 0C C3 }
	condition:
		$1
}

rule function_6233_0 {
	meta:
		name = "TAdapterItemRequestParams.SetFailurePage"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TDefaultDBScreenApplication.SetTitle TIdFormDataField.SetCharset TQualifiedName.SetNamespace TStreamLoader.SetProxy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 10 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6234_0 {
	meta:
		name = "Finalization"
		size = 89
		refs = "0007 Finalization 0013 _DV_67 001a FieldTypeNames 0025 string 002a @FinalizeArray 002f DBScreen 0034 @IntfClear 0039 DBApplication 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 29 B8 ?? ?? ?? ?? B9 34 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_6235_0 {
	meta:
		name = "Data.DB"
		size = 140
		refs = "0007 Data.DB 0013 _DV_67 001d _DV_TDefaultDBScreenApplication 0022 TObject.Create 0030 DBScreen 003a @IntfCast 003f DBApplication 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 39 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 00 00 08 C5 A1 29 DC 6A CD 44 88 DE 4F 51 B2 5D 59 95 76 DF A0 FA 6A EC AA 48 97 54 2D 36 DF 81 5C 0D }
	condition:
		$1
}

rule function_6236_0 {
	meta:
		name = "TDBByteBuffer.Create"
		size = 136
		refs = "000e @ClassCreate 001d @DynArrayAddRef 0025 TDBByteBuffer.Create 0034 TObject.Create 0040 TArray<System.Byte> 0045 @DynArrayAsg 0060 @DynArrayClear 0066 @HandleFinally 0073 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6237_0 {
	meta:
		name = "TDBByteBuffer.CheckSpace"
		size = 84
		refs = "000a @DynArrayLength 0016 TDBByteBuffer.CheckSpace 001d _Dn_ERangeError 0022 Exception.Create 0027 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 73 0C 3B C6 7D 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 68 00 65 00 63 00 6B 00 53 00 70 00 61 00 63 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_6238_0 {
	meta:
		name = "TDBByteBuffer.Append"
		size = 113
		refs = "000f @UStrAddRef 0017 TDBByteBuffer.Append 0034 TDBByteBuffer.CheckSpace 004b Move 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 FC 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 8B 53 04 8B 4D FC 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6239_0 {
	meta:
		name = "TDBByteBuffer.Append"
		size = 109
		refs = "000e @DynArrayAddRef 0016 TDBByteBuffer.Append 0024 @DynArrayLength 002d TDBByteBuffer.CheckSpace 0042 Move 0058 TArray<System.Byte> 005d @DynArrayClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 53 04 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_6240_0 {
	meta:
		name = "TDBByteBuffer.Append"
		size = 34
		refs = "000e TDBByteBuffer.CheckSpace 001a Move"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 53 04 8B C7 8B CE E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6241_0 {
	meta:
		name = "TDBByteBuffer.Create"
		size = 80
		refs = "000b @ClassCreate 001a TObject.Create 0029 TArray<System.Byte> 002e @DynArraySetLength 003c @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 56 8D 47 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65793_0 {
	meta:
		name = "TStringHash.Create"
		size = 80
		refs = "000b @ClassCreate 001a TObject.Create 0029 :TStringHash.:1 002e @DynArraySetLength 003c @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 56 8D 47 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6243_0 {
	meta:
		name = "TDBByteBuffer.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0010 TArray<System.Byte> 0015 @DynArrayClear 0020 TObject.Destroy 002b @ClassDestroy"
		altNames = "TDBXByteStreamReader.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6244_0 {
	meta:
		name = "TDBByteBuffer.GetBytes"
		size = 25
		refs = "000d TArray<System.Byte> 0012 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6245_0 {
	meta:
		name = "TDBByteBuffer.SetBytes"
		size = 117
		refs = "000e @DynArrayAddRef 0016 TDBByteBuffer.SetBytes 0024 @DynArrayLength 0033 TArray<System.Byte> 0038 @DynArraySetLength 004a TDBByteBuffer.Append 0065 @DynArrayClear 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 43 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_6246_0 {
	meta:
		name = "TDBByteBuffer.SetString"
		size = 117
		refs = "000f @UStrAddRef 0017 TDBByteBuffer.SetString 0038 TArray<System.Byte> 003d @DynArraySetLength 004f TDBByteBuffer.Append 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 53 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 46 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6250_0 {
	meta:
		name = "MetaDataToUnicode"
		size = 101
		refs = "0011 MetaDataToUnicode 0021 @LStrLAsg 002c UTF8ToUnicodeString 0036 @UStrAsg 004b @UStrClr 0053 @LStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6251_0 {
	meta:
		name = "SameSQLText"
		size = 135
		refs = "0011 SameSQLText 0021 @UStrFromLStr 0052 CompareText 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114847_0 {
	meta:
		name = "SameNamespace"
		size = 135
		refs = "0011 SameNamespace 0021 @UStrLAsg 0052 CompareText 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6252_0 {
	meta:
		name = "NextTokenIs"
		size = 252
		refs = "0015 @LStrAddRef 001d NextTokenIs 0036 @LStrClr 0047 NextSQLToken 0052 @UStrFromLStr 0084 CompareText 00a5 @LStrCatN 00ca @UStrArrayClr 00d7 @LStrArrayClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 00 89 45 EC 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 08 0F B6 48 FB 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 84 DB 74 21 FF 36 68 ?? ?? ?? ?? FF 75 F8 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 EC 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5E 5B 8B E5 5D C3 00 E4 04 01 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_6253_0 {
	meta:
		name = "GetSQLToken"
		size = 3092
		refs = "0017 GetSQLToken 004b @LStrEqual 007c @UStrLAsg 0090 @UStrFromLStr 00b7 CompareText 044e NextTokenIs 0472 @LStrLAsg 04bb @LStrAsg 09c5 @UStrArrayClr 09cd @LStrClr 09d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 21 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 89 85 F8 FE FF FF 8B 85 F8 FE FF FF 85 C0 74 05 83 E8 04 8B 00 85 C0 75 07 B3 0E E9 69 09 00 00 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 10 8B 45 08 80 78 FB 05 75 07 B3 17 E9 4B 09 00 00 8B 45 08 80 78 FA 00 74 07 B3 02 E9 3B 09 00 00 8B 33 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 89 B5 F8 FE FF FF 8B 95 F8 FE FF FF E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0C 8B 45 08 80 78 FB 05 0F 94 C0 EB 02 33 C0 84 C0 74 07 B3 19 E9 CF 08 00 00 8B 33 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 89 B5 F8 FE FF FF 8B 95 F8 FE FF FF E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 4F 8B 33 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 89 B5 F8 FE FF FF 8B 95 F8 FE FF FF E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 04 B0 01 EB 20 83 7D E8 00 74 06 83 7D E4 00 75 04 33 C0 EB 10 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 07 B3 03 E9 1E 08 00 00 8B 33 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 89 B5 F8 FE FF FF 8B 95 F8 FE FF FF E8 ?? ?? ?? ?? 8B 45 E0 3B 45 DC 75 04 B0 01 EB 20 83 7D E0 00 74 06 83 7D DC 00 75 04 33 C0 EB 10 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 5C 8B 33 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 89 B5 F8 FE FF FF 8B 95 F8 FE FF FF E8 ?? ?? ?? ?? 8B 45 D8 3B 45 D4 75 04 B0 01 EB 20 83 7D D8 00 74 06 83 7D D4 00 75 04 33 C0 EB 10 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 88 85 5F FF FF FF 0F B6 85 5F FF FF FF 84 C0 74 07 B3 04 E9 60 07 00 00 8B 33 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC 89 B5 F8 FE FF FF 8B 95 F8 FE FF FF E8 ?? ?? ?? ?? 8B 45 D0 3B 45 CC 75 04 B0 01 EB 20 83 7D D0 00 74 06 83 7D CC 00 75 04 33 C0 EB 10 8B 55 CC 8B 45 D0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 88 85 5E FF FF FF 80 BD 5E FF FF FF 00 74 07 B3 05 E9 FB 06 00 00 8B 33 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C4 89 B5 F8 FE FF FF 8B 95 F8 FE FF FF E8 ?? ?? ?? ?? 8B 45 C8 3B 45 C4 75 04 B0 01 EB 20 83 7D C8 00 74 06 83 7D C4 00 75 04 33 C0 EB 10 8B 55 C4 8B 45 C8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 88 85 5D FF FF FF 80 BD 5D FF FF FF 00 74 07 B3 14 E9 96 06 00 00 8B 03 89 85 58 FF FF FF 8D 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 BC 8B 95 58 FF FF FF E8 ?? ?? ?? ?? 8B 45 C0 3B 45 BC 75 04 B0 01 EB 20 83 7D C0 00 74 06 83 7D BC 00 75 04 33 C0 EB 10 8B 55 BC 8B 45 C0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 88 85 57 FF FF FF 80 BD 57 FF FF FF 00 74 07 B3 15 E9 31 06 00 00 8B 03 89 85 50 FF FF FF 8D 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B4 8B 95 50 FF FF FF E8 ?? ?? ?? ?? 8B 45 B8 3B 45 B4 75 04 B0 01 EB 20 83 7D B8 00 74 06 83 7D B4 00 75 04 33 C0 EB 10 8B 55 B4 8B 45 B8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 88 85 4F FF FF FF 80 BD 4F FF FF FF 00 74 07 B3 13 E9 CC 05 00 00 8B 03 89 85 48 FF FF FF 8D 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 AC 8B 95 48 FF FF FF E8 ?? ?? ?? ?? 8B 45 B0 3B 45 AC 75 04 B0 01 EB 20 83 7D B0 00 74 06 83 7D AC 00 75 04 33 C0 EB 10 8B 55 AC 8B 45 B0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 88 85 47 FF FF FF 80 BD 47 FF FF FF 00 0F 84 84 00 00 00 8B 45 08 50 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 07 B3 11 E9 4E 05 00 00 8B 45 08 8B 40 FC 8B 00 89 85 60 FF FF FF 8D 45 FC 8B 13 E8 ?? ?? ?? ?? 8B 45 08 50 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 1C 8B 45 08 50 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 07 B3 12 E9 05 05 00 00 8B 45 08 8B 40 FC 8B 95 60 FF FF FF 89 10 8B C3 8B 55 FC E8 ?? ?? ?? ?? B3 10 E9 E6 04 00 00 8B 03 89 85 40 FF FF FF 8D 45 A8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A4 8B 95 40 FF FF FF E8 ?? ?? ?? ?? 8B 45 A8 3B 45 A4 75 04 B0 01 EB 20 83 7D A8 00 74 06 83 7D A4 00 75 04 33 C0 EB 10 8B 55 A4 8B 45 A8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 88 85 3F FF FF FF 80 BD 3F FF FF FF 00 74 07 B3 06 E9 81 04 00 00 8B 03 89 85 38 FF FF FF 8D 45 A0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 9C 8B 95 38 FF FF FF E8 ?? ?? ?? ?? 8B 45 A0 3B 45 9C 75 04 B0 01 EB 20 83 7D A0 00 74 06 83 7D 9C 00 75 04 33 C0 EB 10 8B 55 9C 8B 45 A0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 88 85 37 FF FF FF 80 BD 37 FF FF FF 00 74 07 B3 07 E9 1C 04 00 00 8B 03 89 85 30 FF FF FF 8D 45 98 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 94 8B 95 30 FF FF FF E8 ?? ?? ?? ?? 8B 45 98 3B 45 94 75 04 B0 01 EB 20 83 7D 98 00 74 06 83 7D 94 00 75 04 33 C0 EB 10 8B 55 94 8B 45 98 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 88 85 2F FF FF FF 80 BD 2F FF FF FF 00 74 19 8B 45 08 50 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 88 85 2E FF FF FF EB 07 C6 85 2E FF FF FF 00 80 BD 2E FF FF FF 00 74 07 B3 08 E9 8E 03 00 00 8B 03 89 85 28 FF FF FF 8D 45 90 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 8C 8B 95 28 FF FF FF E8 ?? ?? ?? ?? 8B 45 90 3B 45 8C 75 09 C6 85 26 FF FF FF 01 EB 29 83 7D 90 00 74 06 83 7D 8C 00 75 09 C6 85 26 FF FF FF 00 EB 14 8B 55 8C 8B 45 90 E8 ?? ?? ?? ?? 85 C0 0F 94 85 26 FF FF FF 0F B6 85 26 FF FF FF 88 85 27 FF FF FF 80 BD 27 FF FF FF 00 74 07 B3 09 E9 14 03 00 00 8B 03 89 85 20 FF FF FF 8D 45 88 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 84 8B 95 20 FF FF FF E8 ?? ?? ?? ?? 8B 45 88 3B 45 84 75 09 C6 85 1E FF FF FF 01 EB 29 83 7D 88 00 74 06 83 7D 84 00 75 09 C6 85 1E FF FF FF 00 EB 14 8B 55 84 8B 45 88 E8 ?? ?? ?? ?? 85 C0 0F 94 85 1E FF FF FF 0F B6 85 1E FF FF FF 88 85 1F FF FF FF 80 BD 1F FF FF FF 00 74 07 B3 0A E9 9A 02 00 00 8B 03 89 85 18 FF FF FF 8D 45 80 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 7C FF FF FF 8B 95 18 FF FF FF E8 ?? ?? ?? ?? 8B 45 80 3B 85 7C FF FF FF 75 09 C6 85 16 FF FF FF 01 EB 2F 83 7D 80 00 74 09 83 BD 7C FF FF FF 00 75 09 C6 85 16 FF FF FF 00 EB 17 8B 95 7C FF FF FF 8B 45 80 E8 ?? ?? ?? ?? 85 C0 0F 94 85 16 FF FF FF 0F B6 85 16 FF FF FF 88 85 17 FF FF FF 80 BD 17 FF FF FF 00 74 07 B3 0B E9 14 02 00 00 8B 03 89 85 10 FF FF FF 8D 85 78 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 74 FF FF FF 8B 95 10 FF FF FF E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 3B 85 74 FF FF FF 75 09 C6 85 0E FF FF FF 01 EB 35 83 BD 78 FF FF FF 00 74 09 83 BD 74 FF FF FF 00 75 09 C6 85 0E FF FF FF 00 EB 1A 8B 95 74 FF FF FF 8B 85 78 FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 85 0E FF FF FF 0F B6 85 0E FF FF FF 88 85 0F FF FF FF 80 BD 0F FF FF FF 00 74 19 8B 45 08 50 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 88 85 0D FF FF FF EB 07 C6 85 0D FF FF FF 00 80 BD 0D FF FF FF 00 74 07 B3 0D E9 59 01 00 00 8B 03 89 85 08 FF FF FF 8D 85 70 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 6C FF FF FF 8B 95 08 FF FF FF E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 3B 85 6C FF FF FF 75 09 C6 85 06 FF FF FF 01 EB 35 83 BD 70 FF FF FF 00 74 09 83 BD 6C FF FF FF 00 75 09 C6 85 06 FF FF FF 00 EB 1A 8B 95 6C FF FF FF 8B 85 70 FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 85 06 FF FF FF 0F B6 85 06 FF FF FF 88 85 07 FF FF FF 80 BD 07 FF FF FF 00 74 19 8B 45 08 50 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 88 85 05 FF FF FF EB 07 C6 85 05 FF FF FF 00 80 BD 05 FF FF FF 00 74 07 B3 0C E9 9E 00 00 00 8B 03 89 85 00 FF FF FF 8D 85 68 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 64 FF FF FF 8B 95 00 FF FF FF E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 3B 85 64 FF FF FF 75 09 C6 85 FE FE FF FF 01 EB 35 83 BD 68 FF FF FF 00 74 09 83 BD 64 FF FF FF 00 75 09 C6 85 FE FE FF FF 00 EB 1A 8B 95 64 FF FF FF 8B 85 68 FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 85 FE FE FF FF 0F B6 85 FE FE FF FF 88 85 FF FE FF FF 80 BD FF FE FF FF 00 74 04 B3 10 EB 0F 8B 45 08 80 78 FB 06 75 04 B3 01 EB 02 B3 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 64 FF FF FF BA 26 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5E 5B 8B E5 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 49 00 53 00 54 00 49 00 4E 00 43 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 53 00 43 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 41 00 53 00 43 00 45 00 4E 00 44 00 49 00 4E 00 47 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 45 00 53 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 45 00 53 00 43 00 45 00 4E 00 44 00 49 00 4E 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 4E 00 44 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 49 00 4B 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 53 00 00 00 00 00 E4 04 01 00 FF FF FF FF 04 00 00 00 4E 55 4C 4C 00 00 00 00 E4 04 01 00 FF FF FF FF 03 00 00 00 4E 4F 54 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 52 00 4F 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 48 00 45 00 52 00 45 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 47 00 52 00 4F 00 55 00 50 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 42 59 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 41 00 56 00 49 00 4E 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 4E 00 49 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4C 00 41 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 46 00 4F 00 52 00 00 00 E4 04 01 00 FF FF FF FF 06 00 00 00 55 50 44 41 54 45 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4F 00 52 00 44 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 55 00 4C 00 4C 00 00 00 00 00 }
	condition:
		$1
}

rule function_6254_0 {
	meta:
		name = "StartToken"
		size = 28
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 F4 00 75 0E 8B 45 08 8B 40 FC 8B 00 8B 55 08 89 42 F4 5D C3 }
	condition:
		$1
}

rule function_6255_0 {
	meta:
		name = "NextSQLToken"
		size = 896
		refs = "002c NextSQLToken 00cf StartToken 012b @LStrFromPCharLen 0135 @LStrToPChar 0145 AnsiExtractQuotedStr 0150 @LStrAsg 01a8 @_CToPasStr 01bc @AStrCmp 021e GetSQLToken 031f @LStrClr 034a @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 C4 FE FF FF 53 56 57 33 DB 89 5D C4 88 4D FB 89 55 F0 89 45 FC 8B 45 F0 85 C0 74 04 33 D2 89 10 8B 75 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 C6 45 FA 00 8B 06 0F B6 00 83 F8 28 7F 40 0F 84 B2 01 00 00 83 F8 20 7F 26 0F 84 A7 01 00 00 83 E8 01 0F 82 8D 02 00 00 83 E8 09 0F 84 95 01 00 00 83 E8 03 0F 84 8C 01 00 00 E9 AB 02 00 00 83 E8 22 74 4E 83 E8 05 74 49 E9 9C 02 00 00 83 F8 30 7D 1E 83 E8 2C 0F 84 6A 01 00 00 83 E8 02 0F 84 AB 01 00 00 48 0F 84 D5 00 00 00 E9 79 02 00 00 83 C0 D0 83 E8 0A 0F 82 FB 01 00 00 83 C0 FE 83 E8 03 0F 82 B3 01 00 00 83 E8 21 0F 85 58 02 00 00 55 E8 ?? ?? ?? ?? 59 8B 06 0F B6 18 8B 06 89 45 E8 FF 06 56 BE ?? ?? ?? ?? 8D 7D C8 B9 08 00 00 00 F3 A5 5E 8B C3 0F B6 C0 0F AB 45 C8 8B 06 0F B6 00 0F B6 C0 0F A3 45 C8 73 D6 8B 06 80 38 00 75 0C 8B 45 E8 89 06 FF 06 E9 24 FF FF FF FF 06 6A 00 8B 0E 2B 4D F4 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F0 8B 00 E8 ?? ?? ?? ?? 89 45 E8 8D 4D C4 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 F0 E8 ?? ?? ?? ?? 80 7D FA 00 74 09 C6 45 EF 02 E9 D0 01 00 00 8B 06 80 38 2E 75 09 C6 45 EF 01 E9 C0 01 00 00 C6 45 EF 10 E9 B7 01 00 00 55 E8 ?? ?? ?? ?? 59 FF 06 8B 06 0F B6 00 2C 2A 74 08 2C 05 0F 85 A9 FE FF FF 8B 06 80 38 2A 75 38 FF 06 8D 85 C4 FE FF FF 8B 16 E8 ?? ?? ?? ?? 8D 85 C4 FE FF FF BA ?? ?? ?? ?? 0F B6 08 41 E8 ?? ?? ?? ?? 74 24 8B 06 80 38 2A 75 D4 8B 06 80 78 01 2F 75 CC EB 13 FF 06 8B 06 0F B6 00 84 C0 74 08 2C 0A 74 04 2C 03 75 ED 6A 00 8B 0E 2B 4D F4 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? C6 45 EF 18 E9 32 01 00 00 83 7D F4 00 74 26 6A 00 8B 0E 2B 4D F4 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 55 8B 45 F0 E8 ?? ?? ?? ?? 59 88 45 EF E9 08 01 00 00 FF 06 8B 06 0F B6 00 2C 0A 74 F5 2C 03 74 F1 2C 13 74 ED 2C 08 74 E9 2C 04 74 E5 E9 F4 FD FF FF 83 7D F4 00 74 1B 6A 00 8B 0E 2B 4D F4 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? C6 45 EF 01 E9 C7 00 00 00 C6 45 FA 01 FF 06 E9 C8 FD FF FF 83 7D F4 00 75 2F 8B 06 89 45 F4 EB 02 FF 06 8B 06 0F B6 00 04 C4 2C 03 72 F3 6A 00 8B 0E 2B 4D F4 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? C6 45 EF 0F E9 87 00 00 00 FF 06 E9 8C FD FF FF 83 7D F4 00 75 30 8B 06 89 45 F4 EB 02 FF 06 8B 06 0F B6 00 2C 2E 74 F5 04 FE 2C 0A 72 EF 6A 00 8B 0E 2B 4D F4 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? C6 45 EF 16 EB 4A FF 06 E9 4F FD FF FF 83 7D F4 00 74 21 6A 00 8B 0E 2B 4D F4 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 55 8B 45 F0 E8 ?? ?? ?? ?? 59 88 45 EF EB 1C C6 45 EF 0E 8B 45 F0 E8 ?? ?? ?? ?? EB 0E 55 E8 ?? ?? ?? ?? 59 FF 06 E9 0C FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 EF 5F 5E 5B 8B E5 5D C3 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_6256_0 {
	meta:
		name = "NextTokenIs"
		size = 196
		refs = "0016 @UStrAddRef 001e NextTokenIs 003f @UStrClr 0050 NextSQLTokenEx 005b CompareText 007a @UStrCatN 009f @UStrArrayClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F8 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 00 89 45 F4 8B 45 08 0F B6 40 08 50 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 08 0F B6 48 FB 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 21 FF 36 68 ?? ?? ?? ?? FF 75 F8 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 F4 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_6257_0 {
	meta:
		name = "GetSQLToken"
		size = 1308
		refs = "0013 GetSQLToken 0041 @UStrEqual 006f CompareText 014d NextTokenIs 016b @UStrLAsg 01ae @UStrAsg 02db @UStrClr 02e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 75 07 B3 0E E9 91 02 00 00 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 10 8B 45 08 80 78 FB 05 75 07 B3 17 E9 73 02 00 00 8B 45 08 80 78 FA 00 74 07 B3 02 E9 63 02 00 00 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 10 8B 45 08 80 78 FB 05 75 07 B3 19 E9 43 02 00 00 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 10 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 07 B3 03 E9 1C 02 00 00 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 10 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 07 B3 04 E9 F5 01 00 00 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 07 B3 05 E9 DE 01 00 00 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 07 B3 14 E9 C7 01 00 00 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 07 B3 15 E9 B0 01 00 00 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 07 B3 13 E9 99 01 00 00 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 78 8B 45 08 50 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 07 B3 11 E9 6D 01 00 00 8B 45 08 8B 70 FC 8B 36 8D 45 FC 8B 13 E8 ?? ?? ?? ?? 8B 45 08 50 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 1C 8B 45 08 50 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 07 B3 12 E9 2A 01 00 00 8B 45 08 8B 40 FC 89 30 8B C3 8B 55 FC E8 ?? ?? ?? ?? B3 10 E9 11 01 00 00 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 07 B3 06 E9 FA 00 00 00 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 07 B3 07 E9 E3 00 00 00 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 1C 8B 45 08 50 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 07 B3 08 E9 B7 00 00 00 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 07 B3 09 E9 A0 00 00 00 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 07 B3 0A E9 89 00 00 00 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 04 B3 0B EB 75 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 19 8B 45 08 50 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 04 B3 0D EB 4C 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 19 8B 45 08 50 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 04 B3 0C EB 23 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 04 B3 10 EB 0F 8B 45 08 80 78 FB 06 75 04 B3 01 EB 02 B3 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 49 00 53 00 54 00 49 00 4E 00 43 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 53 00 43 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 41 00 53 00 43 00 45 00 4E 00 44 00 49 00 4E 00 47 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 45 00 53 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 45 00 53 00 43 00 45 00 4E 00 44 00 49 00 4E 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 4E 00 44 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 49 00 4B 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 55 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 4F 00 54 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 52 00 4F 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 48 00 45 00 52 00 45 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 47 00 52 00 4F 00 55 00 50 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 42 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 41 00 56 00 49 00 4E 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 4E 00 49 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4C 00 41 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 46 00 4F 00 52 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 50 00 44 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4F 00 52 00 44 00 45 00 52 00 00 00 }
	condition:
		$1
}

rule function_6258_0 {
	meta:
		name = "AdjustId"
		size = 121
		refs = "000e AdjustId 002e LowerCase 0038 @UStrAsg 0044 UpperCase 0068 @UStrArrayClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 48 2C 02 73 35 80 E9 02 74 06 FE C9 74 18 EB 2A 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 14 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6260_0 {
	meta:
		name = "NextSQLTokenEx"
		size = 1288
		refs = "0029 NextSQLTokenEx 00da StartToken 0101 InOpArray 013a @UStrFromPWCharLen 01e9 @UStrToPWChar 0218 WideExtractQuotedStr 0223 @UStrFromWStr 025f InOpSet 02e7 GetSQLToken 02f8 AdjustId 0428 @UStrClr 044e @WStrClr 0454 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 88 4D FB 89 55 F0 89 45 FC 8B 45 F0 85 C0 74 04 33 D2 89 10 8B 75 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 C6 45 FA 00 8B 06 0F B7 00 83 F8 2C 7F 4F 0F 84 79 02 00 00 83 F8 20 7F 26 0F 84 6E 02 00 00 83 E8 01 0F 82 89 03 00 00 83 E8 09 0F 84 5C 02 00 00 83 E8 03 0F 84 53 02 00 00 E9 B7 03 00 00 83 E8 22 0F 84 00 01 00 00 83 E8 05 0F 84 F7 00 00 00 48 0F 84 35 02 00 00 E9 99 03 00 00 83 F8 3C 7D 1F 83 E8 2E 0F 84 79 02 00 00 48 0F 84 A0 01 00 00 48 83 E8 0A 0F 82 EF 02 00 00 E9 75 03 00 00 83 C0 C4 83 E8 03 0F 82 95 02 00 00 83 E8 1C 74 0E 83 E8 05 0F 84 AD 00 00 00 E9 56 03 00 00 55 E8 ?? ?? ?? ?? 59 8B 06 89 45 EC 83 06 02 66 C7 45 E8 5D 00 66 C7 45 EA 00 00 8D 55 E8 8B 06 0F B7 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 DB 8B 06 66 83 38 00 75 0D 8B 45 EC 89 06 83 06 02 E9 1E FF FF FF 83 06 02 80 7D 08 00 75 19 8B 0E 2B 4D F4 D1 F9 79 03 83 D1 00 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? EB 1D 8B 0E 2B 4D F4 D1 F9 79 03 83 D1 00 83 E9 02 8B 55 F4 83 C2 02 8B 45 F0 E8 ?? ?? ?? ?? 80 7D FA 00 74 07 B3 02 E9 D3 02 00 00 8B 06 66 83 38 2E 75 07 B3 01 E9 C4 02 00 00 B3 10 E9 BD 02 00 00 55 E8 ?? ?? ?? ?? 59 8B 06 0F B7 38 8B 06 89 45 EC 83 06 02 66 89 7D E8 66 C7 45 EA 00 00 8D 55 E8 8B 06 0F B7 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 DD 8B 06 66 83 38 00 75 0D 8B 45 EC 89 06 83 06 02 E9 73 FE FF FF 83 06 02 8B 0E 2B 4D F4 D1 F9 79 03 83 D1 00 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F0 8B 00 E8 ?? ?? ?? ?? 89 45 EC 80 7D 08 00 75 19 8B 0E 2B 4D F4 D1 F9 79 03 83 D1 00 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? EB 18 8D 4D E4 8D 45 EC 8B D7 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 80 7D FA 00 74 07 B3 02 E9 09 02 00 00 8B 06 66 83 38 2E 75 07 B3 01 E9 FA 01 00 00 B3 10 E9 F3 01 00 00 55 E8 ?? ?? ?? ?? 59 83 06 02 BA ?? ?? ?? ?? 8B 06 0F B7 00 E8 ?? ?? ?? ?? 84 C0 0F 84 D1 FD FF FF 8B 06 66 83 38 2A 75 21 83 06 02 8B 06 66 83 38 00 74 29 8B 06 66 83 38 2A 75 ED 8B 06 66 83 78 02 2F 75 E4 EB 16 83 06 02 BA ?? ?? ?? ?? 8B 06 0F B7 00 E8 ?? ?? ?? ?? 84 C0 74 EA 8B 0E 2B 4D F4 D1 F9 79 03 83 D1 00 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? B3 18 E9 78 01 00 00 83 7D F4 00 74 39 8B 0E 2B 4D F4 D1 F9 79 03 83 D1 00 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 55 8B 45 F0 E8 ?? ?? ?? ?? 59 8B D8 0F B6 4D 08 8B C3 8B 55 F0 E8 ?? ?? ?? ?? E9 3C 01 00 00 83 06 02 BA ?? ?? ?? ?? 8B 06 0F B7 00 E8 ?? ?? ?? ?? 84 C0 75 EA E9 20 FD FF FF 83 7D F4 00 74 2C 8B 0E 2B 4D F4 D1 F9 79 03 83 D1 00 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? B3 01 0F B6 4D 08 8B C3 8B 55 F0 E8 ?? ?? ?? ?? E9 EF 00 00 00 C6 45 FA 01 83 06 02 E9 E2 FC FF FF 83 7D F4 00 75 3B 8B 06 89 45 F4 EB 03 83 06 02 BA ?? ?? ?? ?? 8B 06 0F B7 00 E8 ?? ?? ?? ?? 84 C0 75 EA 8B 0E 2B 4D F4 D1 F9 79 03 83 D1 00 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? B3 0F E9 A2 00 00 00 83 06 02 E9 99 FC FF FF 83 7D F4 00 75 38 8B 06 89 45 F4 EB 03 83 06 02 BA ?? ?? ?? ?? 8B 06 0F B7 00 E8 ?? ?? ?? ?? 84 C0 75 EA 8B 0E 2B 4D F4 D1 F9 79 03 83 D1 00 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? B3 16 EB 5C 83 06 02 E9 53 FC FF FF 83 7D F4 00 74 33 8B 0E 2B 4D F4 D1 F9 79 03 83 D1 00 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 55 8B 45 F0 E8 ?? ?? ?? ?? 59 8B D8 0F B6 4D 08 8B C3 8B 55 F0 E8 ?? ?? ?? ?? EB 1B B3 0E 8B 45 F0 E8 ?? ?? ?? ?? EB 0F 55 E8 ?? ?? ?? ?? 59 83 06 02 E9 FF FB FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 00 00 84 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 01 24 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 24 00 00 01 11 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 70 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 40 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6261_0 {
	meta:
		name = "NextSQLTokenEx"
		size = 45
		refs = "0017 @LStrClr 0022 NextSQLToken"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 85 F6 74 04 33 C0 89 06 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6262_0 {
	meta:
		name = "NextSQLTokenEx"
		size = 134
		refs = "0023 NextSQLTokenEx 0036 @UStrFromWStr 0043 @UStrClr 005b @WStrFromUStr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B D9 89 55 F8 8B F0 8B 45 F8 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F8 8B 12 E8 ?? ?? ?? ?? 0F B6 45 08 50 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B CB 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6263_0 {
	meta:
		name = "NextSQLToken"
		size = 45
		refs = "0019 @WStrClr 0024 NextSQLTokenEx"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 85 F6 74 04 33 C0 89 06 6A 01 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_6264_0 {
	meta:
		name = "NextSQLToken"
		size = 45
		refs = "0019 @UStrClr 0024 NextSQLTokenEx"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 85 F6 74 04 33 C0 89 06 6A 01 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_6265_0 {
	meta:
		name = "GenerateParamSQL"
		size = 600
		refs = "0019 GenerateParamSQL 0049 @WStrEqual 0069 TParams.GetItem 0074 @WStrFromUStr 0086 WideStringReplace 009b @WStrCatN 00ab @UStrFromWStr 00dc @UStrCatN 00f7 @WStrCat 011d WideFormat 016f WideLowerCase 017c Pos 018e @WStrCat3 01b3 @WStrClr 01d0 @UStrArrayClr 01dd @WStrArrayClr 01e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 08 8B 40 08 8B F8 4F 85 FF 0F 8C 2F 01 00 00 47 33 F6 8B 45 08 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 52 68 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 8B 50 34 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 4A 8D 45 EC 8B 55 08 8B 52 0C E8 ?? ?? ?? ?? FF 75 EC 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? FF 70 34 8D 45 E8 8B 55 08 8B 52 0C E8 ?? ?? ?? ?? FF 75 E8 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 85 F6 7E 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 80 78 FB 00 74 29 8D 45 E4 50 8B 45 FC 89 45 DC C6 45 E0 0F 8D 55 DC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? EB 34 8D 45 D8 50 8B 45 FC 89 45 C8 C6 45 CC 0F 8B 45 FC 89 45 D0 C6 45 D4 0F 8D 55 C8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B C3 E8 ?? ?? ?? ?? 46 4F 0F 85 D4 FE FF FF 8D 55 C4 8B 03 E8 ?? ?? ?? ?? 8B 55 C4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 10 8B 0B 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8B 0B 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5F 5E 5B 8B E5 5D C3 02 00 00 00 22 00 00 00 01 00 00 00 04 00 00 00 22 00 22 00 00 00 00 00 0A 00 00 00 20 00 61 00 6E 00 64 00 20 00 00 00 0C 00 00 00 25 00 73 00 20 00 3D 00 20 00 3F 00 00 00 00 00 10 00 00 00 25 00 73 00 20 00 3D 00 20 00 3A 00 25 00 73 00 00 00 00 00 0E 00 00 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 00 00 }
	condition:
		$1
}

rule function_6266_0 {
	meta:
		name = "AddWhereClause"
		size = 304
		refs = "0013 AddWhereClause 0024 @WStrToPWChar 0031 @WStrClr 003d NextSQLToken 006c @WStrFromPWChar 0076 @WStrEqual 008f GenerateParamSQL 009f @WStrCatN 00b3 Pos 00c5 @WStrCopy 0106 @WStrArrayClr 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 89 45 F4 33 DB 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B CB 8D 45 F4 E8 ?? ?? ?? ?? 8B D0 80 EA 06 74 05 80 EA 08 75 E0 3C 06 75 14 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B CB 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 75 29 8B 45 08 FF 70 F4 68 ?? ?? ?? ?? 8B 45 08 50 8D 45 F0 E8 ?? ?? ?? ?? 59 FF 75 F0 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 4B 8D 45 EC 50 8B 45 08 8B 50 F4 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 40 F4 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B 45 08 50 8D 45 E8 E8 ?? ?? ?? ?? 59 FF 75 E8 FF 75 FC 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 00 02 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_6267_0 {
	meta:
		name = "AddParamSQLForDetail"
		size = 145
		refs = "001c @WStrAddRef 002c AddParamSQLForDetail 003c @WStrAsg 0051 AddWhereClause 0076 @WStrArrayClr 007e @WStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 88 4D FB 89 55 F4 89 45 FC 8B 5D 08 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 83 78 08 00 7E 14 55 8D 45 F0 E8 ?? ?? ?? ?? 59 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_6268_0 {
	meta:
		name = "GetTableNameFromQuery"
		size = 128
		refs = "000f GetTableNameFromQuery 001f WideLowerCase 002c Pos 0038 @WStrAsg 0043 GetTableNameFromSQL 0058 @WStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 7D 0B 8B C6 8B D3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 0C 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_6269_0 {
	meta:
		name = "GetTableNameFromSQL"
		size = 20
		refs = "000d GetTableNameFromSQLEx"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96708_0 {
	meta:
		name = "MakeAdapterRequestIdentifier"
		size = 20
		refs = "000d FullyQualifiedName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95638_0 {
	meta:
		name = "TCopyParser.CopyToEOF"
		size = 20
		refs = "000d TCopyParser.CopySkipToEOF"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95637_0 {
	meta:
		name = "TCopyParser.CopyToEOL"
		size = 20
		refs = "000d TCopyParser.CopySkipToEOL"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44191_0 {
	meta:
		name = "TIWCopyParser.CopyToEOF"
		size = 20
		refs = "000d TIWCopyParser.CopySkipToEOF"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44190_0 {
	meta:
		name = "TIWCopyParser.CopyToEOL"
		size = 20
		refs = "000d TIWCopyParser.CopySkipToEOL"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66144_0 {
	meta:
		name = "TPath.GetFileName"
		size = 20
		refs = "000d TPath.DoGetFileName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53064_0 {
	meta:
		name = "TStack<System.Bindings.EvalProtocol.IScope>.Pop"
		size = 20
		refs = "000d TStack<System.Bindings.EvalProtocol.IScope>.DoPop"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6270_0 {
	meta:
		name = "GetTableNameFromSQLEx"
		size = 592
		refs = "0021 GetTableNameFromSQLEx 002e @WStrClr 0035 @WStrToPWChar 0049 @UStrClr 0057 NextSQLTokenEx 00bd @WStrFromUStr 00cd RightStr 00da @WStrEqual 0101 LeftStr 010c @UStrFromWStr 0171 Trim 01a9 @WStrCat3 01bf @UStrCat 020f @UStrArrayClr 021c @WStrArrayClr 022a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 88 55 FB 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 C6 45 F3 00 0F B6 45 FB 50 8D 45 FC E8 ?? ?? ?? ?? 8B D0 0F B6 4D F3 8D 45 F4 E8 ?? ?? ?? ?? 8B D8 8B C3 04 FB 2C 09 73 03 88 5D F3 8B C3 2C 06 74 04 2C 08 75 CE 80 FB 06 0F 85 76 01 00 00 0F B6 45 FB 50 8D 45 FC E8 ?? ?? ?? ?? 8B D0 0F B6 4D F3 8D 45 F4 E8 ?? ?? ?? ?? 8B D8 8B C3 04 FB 2C 09 73 08 88 5D F3 E9 35 01 00 00 80 FB 01 74 09 80 FB 10 0F 85 27 01 00 00 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E8 8D 4D EC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 30 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 8D 45 E0 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E0 8D 4D E4 8B D7 4A E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 D8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 D8 8D 4D DC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 30 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 8D 45 D0 8B 55 FC E8 ?? ?? ?? ?? 8B 45 D0 8D 4D D4 8B D7 4A E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC 8B C6 E8 ?? ?? ?? ?? EB 4C 0F B6 45 FB 50 8D 45 FC E8 ?? ?? ?? ?? 8B D0 0F B6 4D F3 8D 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 16 8D 45 C4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 C8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 C8 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 66 83 38 2E 75 1B 80 EB 0E 75 A6 EB 14 80 7D F3 06 75 0E 80 EB 01 74 09 80 EB 0D 0F 85 8A FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 00 02 00 00 00 3B 00 00 00 02 00 00 00 29 00 00 00 02 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_6271_0 {
	meta:
		name = "IsMultiTableQuery"
		size = 480
		refs = "0019 IsMultiTableQuery 0027 @WStrClr 002e @WStrToPWChar 004d NextSQLToken 00ad @WStrLAsg 00de @WStrCatN 012e WStrPos 0192 @WStrArrayClr 0198 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 FC 89 55 F8 8B D8 8D 75 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 06 C6 45 EF 00 C6 45 F7 01 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 0F B6 4D EF 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 04 FB 2C 09 73 03 88 5D EF 8B C3 2C 06 74 04 2C 08 75 D4 80 FB 06 0F 85 0B 01 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 0F B6 4D EF 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 04 FB 2C 09 73 08 88 5D EF E9 D0 00 00 00 80 FB 01 74 09 80 FB 10 0F 85 C2 00 00 00 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? EB 2F 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 0F B6 4D EF 8B C6 E8 ?? ?? ?? ?? 8B D8 FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 06 66 83 38 2E 75 05 80 EB 0E 75 C4 8B 06 66 83 38 2C 0F 84 81 00 00 00 8B 06 66 83 78 02 2C 74 78 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 0F B6 4D EF 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 04 FB 2C 09 73 03 88 5D EF BA ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 85 C0 75 46 BA ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 85 C0 75 36 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 0F B6 4D EF 8B C6 E8 ?? ?? ?? ?? 8B D8 80 FB 01 74 1A C6 45 F7 00 EB 14 80 7D EF 06 75 0E 80 EB 01 74 09 80 EB 0D 0F 85 F5 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F7 5E 5B 8B E5 5D C3 02 00 00 00 2E 00 00 00 69 00 6E 00 6E 00 65 00 72 00 20 00 6A 00 6F 00 69 00 6E 00 20 00 00 00 6F 00 75 00 74 00 65 00 72 00 20 00 6A 00 6F 00 69 00 6E 00 20 00 00 00 }
	condition:
		$1
}

rule function_6272_0 {
	meta:
		name = "SQLRequiresParams"
		size = 528
		refs = "0015 SQLRequiresParams 0024 _Dn_TParams 0029 TParams.Create 0048 @UStrFromWStr 0055 TParams.ParseSQL 0077 @UStrCopy 007f @UStrLen 00ac LowerCase 00b7 @UStrLAsg 00c4 @UStrEqual 0113 @WStrToPWChar 011e @WStrClr 012a NextSQLToken 0157 TObject.Free 015d @HandleFinally 0179 @UStrArrayClr 0189 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 45 E8 8B D6 E8 ?? ?? ?? ?? 8B 55 E8 33 C9 8B 45 EC E8 ?? ?? ?? ?? EB 20 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC 50 8B CB 49 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 48 7E 09 8B 45 FC 66 83 38 20 74 CC 8D 45 E0 50 B9 06 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 45 F7 80 7D F7 00 75 74 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 22 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 13 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 F7 80 7D F7 00 74 38 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F0 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B CB 8D 45 F0 E8 ?? ?? ?? ?? 8B D8 8B C3 04 F9 2C 01 0F 92 C0 88 45 F7 8B C3 2C 07 74 04 2C 07 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 0F B6 45 F7 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 69 00 6E 00 73 00 65 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 75 00 70 00 64 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 65 00 6C 00 65 00 74 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_6273_0 {
	meta:
		name = "AddField"
		size = 72
		refs = "000e @WStrAsg 0017 @WStrEqual 001f AddField 002c @WStrCatN"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 8B C3 33 D2 E8 ?? ?? ?? ?? 74 15 53 68 ?? ?? ?? ?? 57 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 09 8B C6 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 02 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_6274_0 {
	meta:
		name = "GetIndexForOrderBy"
		size = 768
		refs = "001b GetIndexForOrderBy 002d @WStrToPWChar 003c @WStrClr 004a NextSQLToken 0073 _Dn_TIndexDef 0078 TCollectionItem.Create 00db @WStrLAsg 00e6 @UStrFromWStr 00f0 TDataSet.FindField 0103 TIndexDef.GetFields 010e @WStrFromUStr 011c AddField 0132 TIndexDef.SetFields 0174 TIndexDef.SetDescFields 018c StrToInt 0198 TFields.GetCount 01a7 TFields.GetField 01ca TFieldDefs.GetFieldDef 0268 TObject.Free 0273 @HandleFinally 028f @UStrArrayClr 029c @WStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 8B C3 E8 ?? ?? ?? ?? 89 45 EC C6 45 EB 00 8D 45 FC E8 ?? ?? ?? ?? 8B D0 0F B6 4D EB 8D 45 EC E8 ?? ?? ?? ?? 8B D8 8B C3 04 FB 2C 09 73 03 88 5D EB 8B C3 2C 0C 74 04 2C 02 75 D3 80 FB 0C 0F 85 0B 02 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 0F B6 4D EB 8D 45 EC E8 ?? ?? ?? ?? 8B D8 8B C3 04 FB 2C 09 73 08 88 5D EB E9 7A 01 00 00 8B C3 2C 02 74 11 2C 02 74 7F 2C 12 0F 84 AE 00 00 00 E9 63 01 00 00 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E4 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 3B 01 00 00 8D 55 D4 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 8D 4D DC 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? E9 F1 00 00 00 8D 45 C8 8B 55 F0 8B 52 1C E8 ?? ?? ?? ?? 8B 45 C8 8D 4D CC 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 CC 8D 45 D0 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F0 E8 ?? ?? ?? ?? E9 BA 00 00 00 8D 45 C4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8B F8 8B C6 8B 40 38 E8 ?? ?? ?? ?? 3B F8 7F 18 8B D7 4A 8B 46 38 E8 ?? ?? ?? ?? 8B 50 40 8D 45 F8 E8 ?? ?? ?? ?? EB 21 8B 46 40 8B 40 08 3B 78 08 7F 74 8B D7 4A 8B 46 40 E8 ?? ?? ?? ?? 8B 50 0C 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 C0 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 C0 8B C6 E8 ?? ?? ?? ?? 85 C0 74 45 8D 55 B0 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 B0 8D 45 B4 E8 ?? ?? ?? ?? 8B 45 B4 8D 4D B8 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 B8 8D 45 BC E8 ?? ?? ?? ?? 8B 55 BC 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 80 7D EB 0C 75 09 80 FB 0E 0F 85 4F FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 AC 8B 45 F0 E8 ?? ?? ?? ?? 83 7D AC 00 75 0D 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 89 45 F0 C3 E9 ?? ?? ?? ?? EB DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 90 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6275_0 {
	meta:
		name = "GetPWChar"
		size = 36
		refs = "0008 @WStrEqual 0011 @WStrToPWChar 0018 GetPWChar"
	strings:
		$1 = { 53 8B D8 8B C3 33 D2 E8 ?? ?? ?? ?? 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 B8 ?? ?? ?? ?? 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6276_0 {
	meta:
		name = "Split"
		size = 22
		refs = "0009 @WStrToPWChar"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 55 08 89 42 FC 5B 5D C3 }
	condition:
		$1
}

rule function_6277_0 {
	meta:
		name = "NextItem"
		size = 220
		refs = "0011 @WStrClr 0031 NextItem 0039 CharInSet 009a @WStrFromPWCharLen"
	strings:
		$1 = { 55 8B EC 81 C4 FC F7 FF FF 53 56 57 8B F8 8B C7 E8 ?? ?? ?? ?? 8B 45 08 8B 58 FC 8D B5 FE F7 FF FF EB 0D 66 83 3B 00 0F 84 87 00 00 00 83 C3 02 BA ?? ?? ?? ?? 0F B7 03 E8 ?? ?? ?? ?? 84 C0 75 E2 66 C7 45 FE 2E 00 66 83 3B 22 75 29 66 C7 45 FE 22 00 83 C3 02 EB 1E 66 83 F8 5C 75 0C 83 C3 02 66 83 3B 00 75 03 83 EB 02 0F B7 03 66 89 06 83 C3 02 83 C6 02 0F B7 03 66 3B 45 FE 74 05 66 85 C0 75 D4 8D 85 FE F7 FF FF 8B CE 2B C8 D1 F9 79 03 83 D1 00 8B D0 8B C7 E8 ?? ?? ?? ?? 66 83 7D FE 22 75 09 66 83 3B 00 74 03 83 C3 02 8B 45 08 89 58 FC 5F 5E 5B 8B E5 5D C3 00 01 00 00 00 01 40 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6279_0 {
	meta:
		name = "GetFieldInfo"
		size = 280
		refs = "001c WideString 0021 @InitializeArray 0029 GetFieldInfo 003a @WStrEqual 0048 Split 005c NextItem 006c @WStrLAsg 0091 PopValue 009c @WStrFromPWChar 00f0 @WStrClr 0103 @FinalizeArray 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 8B FA 8B F0 B9 05 00 00 00 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 33 D2 E8 ?? ?? ?? ?? 0F 84 9B 00 00 00 55 8B C6 E8 ?? ?? ?? ?? 59 C7 45 F8 FF FF FF FF FF 45 F8 55 8D 45 E0 E8 ?? ?? ?? ?? 59 8B 55 E0 8B 45 F8 8D 44 85 E4 E8 ?? ?? ?? ?? 8B 45 F8 8B 44 85 E4 33 D2 E8 ?? ?? ?? ?? 74 06 83 7D F8 04 75 CE 83 7D F8 04 74 53 FF 4D F8 55 E8 ?? ?? ?? ?? 59 8B D0 8D 47 08 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B D0 8D 47 04 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 47 08 33 D2 E8 ?? ?? ?? ?? 74 0C 8B 47 04 33 D2 E8 ?? ?? ?? ?? 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6280_0 {
	meta:
		name = "IsNumeric"
		size = 44
		refs = "0008 IsNumeric"
	strings:
		$1 = { 3C 37 77 1A 83 E0 7F BA ?? ?? ?? ?? 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F A3 02 0F 92 C0 C3 00 00 DC 41 00 02 20 3C 08 00 }
	condition:
		$1
}

rule function_6281_0 {
	meta:
		name = "IsTemporal"
		size = 20
	strings:
		$1 = { 04 F7 2C 03 72 0B 2C 18 74 07 2C 0D 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_6282_0 {
	meta:
		name = "TFilterExpr.Create"
		size = 132
		refs = "0011 @ClassCreate 004c @WStrAsg 006b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 0C 8D 7D CC 51 B9 0D 00 00 00 F3 A5 59 8B F1 8B DA 8B F8 56 57 83 C7 08 8D 75 CC B9 0D 00 00 00 F3 A5 5F 5E 89 77 04 0F B6 45 1C 88 47 3C 8D 47 54 8B 55 14 E8 ?? ?? ?? ?? 0F B6 45 18 88 47 3D 8B 45 10 89 47 58 0F B6 45 08 88 47 5C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_6283_0 {
	meta:
		name = "TFilterExpr.Destroy"
		size = 101
		refs = "0006 @BeforeDestruction 001b TExprData 0020 @DynArraySetLength 003a TObject.Free 0040 TExprNode 0047 @Dispose 005b @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 51 E8 ?? ?? ?? ?? 88 14 24 8B F0 6A 00 8D 46 44 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 22 8B DF 8B 03 89 46 40 8B 6B 28 85 ED 74 07 8B C5 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 7E 40 85 FF 75 D7 80 3C 24 00 7E 07 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6284_0 {
	meta:
		name = "TFilterExpr.FieldFromNode"
		size = 154
		refs = "0018 TFilterExpr.FieldFromNode 0029 @VarToWStr 0033 TFilterExpr.GetFieldByName 004b SExprBadField 0050 LoadResString 0069 DatabaseErrorFmt 007e @UStrClr 0086 @WStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8D 56 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 0F B6 43 4A 84 C0 74 2C 2C 03 74 28 6A 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 40 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6285_0 {
	meta:
		name = "TFilterExpr.GetExprData"
		size = 72
		refs = "0019 TExprData 001e @DynArraySetLength 0038 Move"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 43 48 03 C7 50 8D 43 44 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 37 8B 53 44 03 D0 8B 4B 48 2B CE 8B 43 44 03 C6 E8 ?? ?? ?? ?? 01 7B 48 8B 43 44 03 C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6286_0 {
	meta:
		name = "TFilterExpr.GetFilterData"
		size = 133
		refs = "001d TExprData 0022 @DynArraySetLength 0030 TFilterExpr.PutExprNode 007c @DynArrayAsg"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 BE 0A 00 00 00 89 73 48 56 8D 43 44 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 43 44 66 C7 00 02 00 8B 43 44 83 C0 02 0F B7 53 48 66 89 10 8B 43 44 83 C0 04 66 C7 00 FF FF 8B 43 44 83 C0 06 66 C7 00 0A 00 0F B7 43 4C 66 83 C0 0A 8B 53 44 83 C2 08 66 89 02 8B C5 8B 53 44 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6287_0 {
	meta:
		name = "TFilterExpr.NewCompareNode"
		size = 191
		refs = "0021 TFilterExpr.NewCompareNode 003a TFilterExpr.NewNode 0058 @VarClear 0067 @VarFromUStr 00a0 @VarClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 88 4D EF 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 6A 00 6A 00 33 C9 B2 01 8B C3 E8 ?? ?? ?? ?? 8B F0 0F B6 47 48 88 46 20 8B C7 8B 10 FF 92 B4 00 00 00 89 46 24 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 DC 8B 57 40 E8 ?? ?? ?? ?? 8D 45 DC 50 6A 00 6A 00 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 50 56 0F B6 4D EF B2 02 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6288_0 {
	meta:
		name = "TFilterExpr.NewNode"
		size = 256
		refs = "001d TFilterExpr.NewNode 0029 TExprNode 0033 @New 0059 @VarCopy 0080 @VarToWStr 008a TFilterExpr.GetFieldByName 009a SFieldNotFound 009f LoadResString 00b8 DatabaseErrorFmt 00e1 @UStrClr 00e9 @WStrClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F4 89 5D F8 88 4D FE 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? B8 30 00 00 00 E8 ?? ?? ?? ?? 8B F8 8B DF 8B 46 40 89 03 0F B6 45 FF 88 43 04 C6 43 05 00 0F B6 45 FE 88 43 06 8D 43 08 8B 55 10 E8 ?? ?? ?? ?? 8B 45 0C 89 43 18 8B 45 08 89 43 1C 8B C7 89 46 40 33 D2 89 50 28 80 7D FF 00 75 57 8D 45 F8 8B 55 10 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 28 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 10 89 45 EC C6 45 F0 0D 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 0F B6 43 48 88 47 20 8B C3 8B 10 FF 92 B4 00 00 00 89 47 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C7 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_6289_0 {
	meta:
		name = "TFilterExpr.PutConstBCD"
		size = 170
		refs = "0018 TFilterExpr.PutConstBCD 0030 @UStrFromLStr 0036 CurrencyString 003e StrToCurr 0057 @VarToCurrency 0070 CurrToBCD 007e TFilterExpr.PutConstNode 0095 @UStrClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 3B 00 01 75 2B 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DF 7D E8 9B 8B 45 E8 89 45 F0 8B 45 EC 89 45 F4 EB 0B 8B C3 E8 ?? ?? ?? ?? DF 7D F0 9B FF 75 F4 FF 75 F0 8D 45 C6 8B CF BA 20 00 00 00 E8 ?? ?? ?? ?? 6A 12 8D 4D C6 B2 08 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6290_0 {
	meta:
		name = "TFilterExpr.PutConstFMTBCD"
		size = 125
		refs = "0015 TFilterExpr.PutConstFMTBCD 002d @UStrFromLStr 0038 StrToBcd 0044 VarToBcd 0052 TFilterExpr.PutConstNode 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 DB 89 5D D8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 3B 00 01 75 18 8D 45 D8 8B 53 08 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DE E8 ?? ?? ?? ?? EB 0A 8D 55 DE 8B C3 E8 ?? ?? ?? ?? 6A 12 8D 4D DE B2 08 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6291_0 {
	meta:
		name = "TFilterExpr.PutConstBool"
		size = 37
		refs = "000a @VarToBool 001d TFilterExpr.PutConstNode"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 66 89 04 24 6A 02 8D 4C 24 04 B2 05 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_6292_0 {
	meta:
		name = "TFilterExpr.PutConstDate"
		size = 161
		refs = "0015 TFilterExpr.PutConstDate 002d @UStrFromLStr 0033 CurrencyString 003e TryStrToDate 0049 VarToDateTime 0068 DateTimeToTimeStamp 0076 TFilterExpr.PutConstNode 008d @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 3B 00 01 75 2D 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 18 8B C3 E8 ?? ?? ?? ?? DD 5D F0 9B EB 0B 8B C3 E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 8D 45 E8 E8 ?? ?? ?? ?? 6A 04 8D 4D EC B2 09 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6293_0 {
	meta:
		name = "TFilterExpr.PutConstDateTime"
		size = 173
		refs = "0015 TFilterExpr.PutConstDateTime 002d @UStrFromLStr 0033 CurrencyString 003e TryStrToDate 0049 VarToDateTime 0068 DateTimeToTimeStamp 0070 TimeStampToMSecs 0082 TFilterExpr.PutConstNode 0099 @UStrClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 3B 00 01 75 2D 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 18 8B C3 E8 ?? ?? ?? ?? DD 5D F0 9B EB 0B 8B C3 E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? DD 5D E8 9B 6A 08 8D 4D E8 B2 0B 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6294_0 {
	meta:
		name = "TFilterExpr.PutConstSQLTimeStamp"
		size = 125
		refs = "0015 TFilterExpr.PutConstSQLTimeStamp 002d @UStrFromLStr 0038 StrToSQLTimeStamp 0044 VarToSQLTimeStamp 0052 TFilterExpr.PutConstNode 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 3B 00 01 75 18 8D 45 EC 8B 53 08 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? EB 0A 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 6A 10 8D 4D F0 B2 24 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6295_0 {
	meta:
		name = "TFilterExpr.PutConstSQLTimeStampOffset"
		size = 125
		refs = "0015 TFilterExpr.PutConstSQLTimeStampOffset 002d @UStrFromLStr 0038 StrToSQLTimeStampOffset 0044 VarToSQLTimeStampOffset 0052 TFilterExpr.PutConstNode 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 3B 00 01 75 18 8D 45 E8 8B 53 08 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? EB 0A 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 6A 10 8D 4D EC B2 31 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6296_0 {
	meta:
		name = "TFilterExpr.PutConstSingle"
		size = 140
		refs = "0015 TFilterExpr.PutConstSingle 002d @UStrFromLStr 0033 CurrencyString 003b StrToFloat 004f @VarToReal 0061 TFilterExpr.PutConstNode 0078 @UStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 3B 00 01 75 26 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D E0 9B DB 6D E0 D9 5D F8 9B EB 0B 8B C3 E8 ?? ?? ?? ?? D9 5D F8 9B 6A 04 8D 4D F8 B2 33 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6297_0 {
	meta:
		name = "TFilterExpr.PutConstFloat"
		size = 140
		refs = "0015 TFilterExpr.PutConstFloat 002d @UStrFromLStr 0033 CurrencyString 003b StrToFloat 004f @VarToReal 0061 TFilterExpr.PutConstNode 0078 @UStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 3B 00 01 75 26 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D E0 9B DB 6D E0 DD 5D F0 9B EB 0B 8B C3 E8 ?? ?? ?? ?? DD 5D F0 9B 6A 08 8D 4D F0 B2 06 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6298_0 {
	meta:
		name = "TFilterExpr.PutConstInt"
		size = 342
		refs = "001e TFilterExpr.PutConstInt 0036 @UStrFromLStr 003e StrToInt 004a @VarToInteger 0089 SExprRangeError 008e LoadResString 0098 DatabaseError 0126 TFilterExpr.PutConstNode 0142 @UStrArrayClr 0148 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 3B 00 01 75 18 8D 45 F4 8B 53 08 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 EB 0A 8B C3 E8 ?? ?? ?? ?? 89 45 F8 BB 02 00 00 00 0F B6 45 FF 2C 02 74 65 2C 02 0F 84 88 00 00 00 2C 27 74 34 FE C8 0F 85 A4 00 00 00 83 7D F8 00 7C 0D 81 7D F8 FF 00 00 00 0F 8E 96 00 00 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? EB 7D 83 7D F8 80 7C 06 83 7D F8 7F 7E 71 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? EB 58 81 7D F8 00 80 FF FF 7C 09 81 7D F8 FF 7F 00 00 7E 46 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 D2 E8 ?? ?? ?? ?? EB 2D 83 7D F8 00 7C 09 81 7D F8 FF FF 00 00 7E 1E 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 33 D2 E8 ?? ?? ?? ?? EB 05 BB 04 00 00 00 53 0F B6 55 FF 8D 4D F8 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6299_0 {
	meta:
		name = "TFilterExpr.PutConstInt64"
		size = 47
		refs = "000f @VarToInt64 0025 TFilterExpr.PutConstNode"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B DA 8B F0 8B C7 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 6A 08 8B D3 8D 4C 24 04 8B C6 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6300_0 {
	meta:
		name = "TFilterExpr.PutConstNode"
		size = 109
		refs = "001d TFilterExpr.PutNode 0034 TFilterExpr.SetNodeOp 004f TFilterExpr.PutData"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 88 55 FF 8B D8 8B 7D 08 6A 03 B1 0E B2 05 8B C3 E8 ?? ?? ?? ?? 8B F0 0F B6 45 FF 0F B6 44 03 08 50 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 57 B9 01 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CF 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 50 B9 02 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6301_0 {
	meta:
		name = "TFilterExpr.PutConstAnsiStr"
		size = 192
		refs = "0018 TFilterExpr.PutConstAnsiStr 004f @LStrCopy 005b @LStrLAsg 0065 @LStrToPChar 0095 TFilterExpr.PutConstNode 00ac @LStrClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 B5 F8 FE FF FF 8B 85 F8 FE FF FF 85 C0 74 05 83 E8 04 8B 00 3D 00 01 00 00 7C 17 8D 45 FC 50 B9 FF 00 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 0A 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 6A 01 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 8D FC FE FF FF 8B 43 04 8B 30 FF 96 B8 02 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 40 50 8D 8D FC FE FF FF B2 01 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6302_0 {
	meta:
		name = "TFilterExpr.PutConstUnicodeStr"
		size = 180
		refs = "0010 TFilterExpr.PutConstUnicodeStr 0035 :TFilterExpr.:1 003a @DynArraySetLength 0052 @UStrToPWChar 0061 Move 0073 TFilterExpr.PutConstNode 0085 TFilterExpr.SetNodeOp 00a0 @DynArrayClear 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 85 C0 74 05 83 E8 04 8B 00 8B D8 8D 43 01 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 03 C0 8B 55 FC 66 89 02 85 FF 74 16 8B C7 E8 ?? ?? ?? ?? 8B CB 03 C9 8B 55 FC 83 C2 02 E8 ?? ?? ?? ?? 43 8B C3 03 C0 50 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D8 68 07 10 00 00 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6303_0 {
	meta:
		name = "TFilterExpr.PutConstTime"
		size = 159
		refs = "0015 TFilterExpr.PutConstTime 002d @UStrFromLStr 0033 CurrencyString 003b StrToTime 0054 VarToDateTime 0066 DateTimeToTimeStamp 0074 TFilterExpr.PutConstNode 008b @UStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 3B 00 01 75 2B 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DD 5D E0 9B 8B 45 E0 89 45 F0 8B 45 E4 89 45 F4 EB 0B 8B C3 E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 8D 45 E8 E8 ?? ?? ?? ?? 6A 04 8D 4D E8 B2 0A 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6304_0 {
	meta:
		name = "TFilterExpr.PutData"
		size = 42
		refs = "0011 TFilterExpr.GetExprData 001c Move"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B CE 8B 53 48 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 8B CE E8 ?? ?? ?? ?? 8B 43 50 01 73 50 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6305_0 {
	meta:
		name = "TFilterExpr.PutConstant"
		size = 518
		refs = "0015 TFilterExpr.PutConstant 00b7 TFilterExpr.PutConstInt 00c8 TFilterExpr.PutConstSingle 00d9 TFilterExpr.PutConstFloat 00eb @VarToLStr 00f5 TFilterExpr.PutConstAnsiStr 0107 @VarToUStr 0111 TFilterExpr.PutConstUnicodeStr 0122 TFilterExpr.PutConstDate 0133 TFilterExpr.PutConstTime 0144 TFilterExpr.PutConstDateTime 0155 TFilterExpr.PutConstSQLTimeStamp 0163 TFilterExpr.PutConstSQLTimeStampOffset 0171 TFilterExpr.PutConstBool 0182 TFilterExpr.PutConstBCD 0193 TFilterExpr.PutConstFMTBCD 01a3 TFilterExpr.PutConstInt64 01b1 SExprBadConst 01b6 LoadResString 01cf DatabaseErrorFmt 01e9 @UStrArrayClr 01f1 @LStrClr 01f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 0F B6 43 20 0F B6 D0 83 FA 33 0F 87 7A 01 00 00 0F B6 92 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 00 04 01 01 01 0B 03 03 0C 06 07 08 00 00 01 00 00 00 00 00 00 00 00 04 05 0E 00 00 00 00 00 00 00 00 00 04 09 0D 05 00 00 00 0E 01 01 03 00 00 00 0A 00 02 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D0 8D 4B 08 8B C6 E8 ?? ?? ?? ?? 8B F8 E9 11 01 00 00 8D 53 08 8B C6 E8 ?? ?? ?? ?? 8B F8 E9 00 01 00 00 8D 53 08 8B C6 E8 ?? ?? ?? ?? 8B F8 E9 EF 00 00 00 8D 45 FC 8D 53 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B F8 E9 D3 00 00 00 8D 45 F8 8D 53 08 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B F8 E9 B7 00 00 00 8D 53 08 8B C6 E8 ?? ?? ?? ?? 8B F8 E9 A6 00 00 00 8D 53 08 8B C6 E8 ?? ?? ?? ?? 8B F8 E9 95 00 00 00 8D 53 08 8B C6 E8 ?? ?? ?? ?? 8B F8 E9 84 00 00 00 8D 53 08 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 76 8D 53 08 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 68 8D 53 08 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 5A 8D 53 08 8B 4B 24 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 49 8D 53 08 8B 4B 24 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 38 8B D0 8D 4B 08 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 28 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 43 08 89 45 EC C6 45 F0 0D 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6306_0 {
	meta:
		name = "TFilterExpr.PutExprNode"
		size = 2137
		refs = "0034 TFilterExpr.PutExprNode 0068 TFilterExpr.FieldFromNode 008f TFilterExpr.PutNode 009d TFilterExpr.PutFieldNode 00a9 TFilterExpr.SetNodeOp 00b0 BoolFalse 00b9 TFilterExpr.PutConstNode 00e9 TFilterExpr.PutConstant 01ba TList.Get 02be ReverseOperator 02fc VarIsNull 0322 SExprBadNullTest 0327 LoadResString 0331 DatabaseError 0386 @VarToLStr 03ed @LStrDelete 045d TFilterExpr.PutConstAnsiStr 0492 @VarToWStr 049d @UStrFromWStr 0505 @UStrDelete 0571 TFilterExpr.PutConstUnicodeStr 0636 VarIsArray 0646 TArray<System.Byte> 064b @VarToDynArray 0653 @DynArrayLength 0671 TFilterExpr.PutData 068a VarToStr 069a @LStrFromUStr 07f9 @UStrClr 0801 @LStrClr 0824 @FinalizeArray 082c @WStrClr 084a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 DB 89 5D A0 89 5D 9C 89 5D AC 89 5D A8 89 5D B0 89 5D B4 89 5D B8 89 5D BC 89 5D FC 89 5D F8 88 4D F7 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 0F B6 46 04 2C 01 72 1B 0F 84 96 00 00 00 FE C8 0F 84 9E 00 00 00 FE C8 0F 84 C5 05 00 00 E9 85 07 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 F0 0F B6 45 F7 84 C0 74 06 04 F7 2C 03 73 54 8B 45 F0 80 78 48 05 75 4B 6A 02 B1 04 B2 02 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CE 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 6A 02 B9 ?? ?? ?? ?? B2 05 8B C3 E8 ?? ?? ?? ?? 50 B9 01 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? E9 17 07 00 00 8B CE 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B F8 E9 04 07 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 E9 F4 06 00 00 0F B6 46 06 0F B6 D0 83 FA 25 0F 87 E4 06 00 00 0F B6 92 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 00 02 02 03 03 03 03 03 03 02 03 03 00 00 00 00 03 03 03 03 00 00 00 00 00 00 00 00 00 00 03 01 00 00 00 00 00 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 6A 02 B1 1F B2 02 8B C3 E8 ?? ?? ?? ?? 8B F8 0F B6 4E 06 8B 56 18 8B C3 E8 ?? ?? ?? ?? 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 6A 02 B1 24 B2 0B 8B C3 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 50 B9 01 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 89 45 DC 8B 46 28 8B 40 08 48 85 C0 0F 8C 40 06 00 00 40 89 45 C4 C7 45 D8 00 00 00 00 8B 55 D8 8B 46 28 E8 ?? ?? ?? ?? 8B D0 0F B6 4E 06 8B C3 E8 ?? ?? ?? ?? 89 45 E4 83 7D D8 00 75 23 8B 45 E4 50 33 C9 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 6A 00 B9 01 00 00 00 8B 55 DC 8B C3 E8 ?? ?? ?? ?? EB 4A 6A 02 B1 24 B2 0B 8B C3 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E4 50 33 C9 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 6A 00 B9 01 00 00 00 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 50 B9 01 00 00 00 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 89 45 DC FF 45 D8 FF 4D C4 0F 85 66 FF FF FF E9 96 05 00 00 6A 01 8B C8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B F8 0F B6 4E 06 8B 56 18 8B C3 E8 ?? ?? ?? ?? 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? E9 68 05 00 00 88 45 D7 8B 46 18 89 45 EC 8B 46 1C 89 45 E8 0F B6 45 D7 04 FD 2C 06 73 2C 8B 45 E8 80 78 04 00 75 23 8B 45 EC 80 78 04 00 74 1A 8B 45 EC 8B 55 E8 89 55 EC 89 45 E8 0F B6 45 D7 0F B6 80 ?? ?? ?? ?? 88 45 D7 33 FF 8B 55 EC 80 7A 04 00 0F 85 B0 02 00 00 8B 55 E8 80 7A 04 01 0F 85 A3 02 00 00 0F B6 46 06 3C 03 74 0C 3C 04 74 08 3C 1E 0F 85 8F 02 00 00 8B 45 E8 83 C0 08 E8 ?? ?? ?? ?? 84 C0 74 61 0F B6 46 06 2C 03 74 06 FE C8 74 08 EB 0C C6 45 D7 01 EB 1D C6 45 D7 02 EB 17 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 33 D2 E8 ?? ?? ?? ?? 6A 01 0F B6 4D D7 B2 01 8B C3 E8 ?? ?? ?? ?? 8B F8 0F B6 4E 06 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? E9 1F 02 00 00 8B 45 E8 0F B6 40 20 2C 01 74 0C 2C 16 74 08 2C 0C 0F 85 F9 00 00 00 8D 45 FC 8B 55 E8 83 C2 08 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 89 45 C8 83 7D C8 00 0F 84 E1 01 00 00 33 C0 89 45 D0 33 C0 89 45 CC F6 43 3C 01 74 07 C7 45 D0 01 00 00 00 80 7E 05 00 74 08 8B 45 C8 89 45 CC EB 30 F6 43 3C 02 75 2A 83 7D C8 01 7E 24 8B 45 FC 8B 55 C8 80 7C 10 FF 2A 75 17 8D 45 FC B9 01 00 00 00 8B 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 48 89 45 CC 83 7D D0 00 75 0A 83 7D CC 00 0F 84 7C 01 00 00 6A 04 0F B6 4D D7 B2 03 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 45 D0 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 50 B9 01 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 0F B6 4E 06 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 50 B9 02 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 50 B9 03 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? E9 0F 01 00 00 8B 45 E8 0F B6 40 20 2C 18 74 08 2C 0E 0F 85 FC 00 00 00 8D 45 B8 8B 55 E8 83 C2 08 E8 ?? ?? ?? ?? 8B 55 B8 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 89 45 C8 83 7D C8 00 0F 84 CA 00 00 00 33 C0 89 45 D0 33 C0 89 45 CC F6 43 3C 01 74 07 C7 45 D0 01 00 00 00 80 7E 05 00 74 08 8B 45 C8 89 45 CC EB 31 F6 43 3C 02 75 2B 83 7D C8 01 7E 25 8B 45 F8 8B 55 C8 66 83 7C 50 FE 2A 75 17 8D 45 F8 B9 01 00 00 00 8B 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 48 89 45 CC 83 7D D0 00 75 06 83 7D CC 00 74 68 6A 04 0F B6 4D D7 B2 03 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 45 D0 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 50 B9 01 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 0F B6 4E 06 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 50 B9 02 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 50 B9 03 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 85 FF 0F 85 5C 02 00 00 80 7D D7 01 74 06 80 7D D7 02 75 36 6A 01 0F B6 4D D7 B2 01 8B C3 E8 ?? ?? ?? ?? 8B F8 0F B6 4E 06 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? E9 1A 02 00 00 6A 02 0F B6 4D D7 B2 02 8B C3 E8 ?? ?? ?? ?? 8B F8 0F B6 4E 06 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 89 45 E4 0F B6 4E 06 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 E4 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 56 B9 01 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? E9 C5 01 00 00 6A 02 B1 23 B2 0A 8B C3 E8 ?? ?? ?? ?? 8B F8 8D 46 08 E8 ?? ?? ?? ?? 84 C0 74 45 8D 45 B4 8D 56 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 E8 ?? ?? ?? ?? 40 50 8D 45 B0 8D 56 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8B C3 59 E8 ?? ?? ?? ?? 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? EB 6D 8D 55 A8 8D 46 08 E8 ?? ?? ?? ?? 8B 55 A8 8D 45 AC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 AC 89 45 A4 8B 45 A4 89 45 C0 83 7D C0 00 74 0B 8B 45 C0 83 E8 04 8B 00 89 45 C0 8D 55 9C 8D 46 08 E8 ?? ?? ?? ?? 8B 55 9C 8D 45 A0 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 A0 8B 4D C0 41 8B C3 E8 ?? ?? ?? ?? 50 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 83 7E 28 00 0F 84 DE 00 00 00 6A 02 B1 24 B2 0B 8B C3 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 50 B9 01 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 89 45 DC 8B 46 28 8B 40 08 48 85 C0 0F 8C B7 00 00 00 40 89 45 C4 C7 45 D8 00 00 00 00 8B 55 D8 8B 46 28 E8 ?? ?? ?? ?? 8B D0 0F B6 4E 06 8B C3 E8 ?? ?? ?? ?? 89 45 E4 83 7D D8 00 75 23 8B 45 E4 50 33 C9 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 6A 00 B9 01 00 00 00 8B 55 DC 8B C3 E8 ?? ?? ?? ?? EB 4A 6A 02 B1 24 B2 0B 8B C3 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E4 50 33 C9 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 6A 00 B9 01 00 00 00 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 50 B9 01 00 00 00 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 89 45 DC FF 45 D8 FF 4D C4 0F 85 66 FF FF FF EB 10 6A 00 B9 01 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A5 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6307_0 {
	meta:
		name = "TFilterExpr.PutFieldNode"
		size = 358
		refs = "002b TFilterExpr.PutFieldNode 0045 @UStrLAsg 0050 UTF8Encode 005a @LStrToPChar 0080 @VarToUStr 00ba @VarToLStr 00e5 TFilterExpr.PutNode 00fe TFilterExpr.SetNodeOp 0110 TFilterExpr.PutData 0137 @LStrClr 0144 @LStrArrayClr 0151 @UStrArrayClr 0157 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FE FF FF 53 56 57 33 DB 89 9D E8 FE FF FF 89 5D FC 89 5D F4 89 5D F8 89 5D F0 8B F9 89 55 EC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 46 3D 10 74 38 8D 45 FC 8B 55 EC 8B 52 40 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8D 8D EC FE FF FF 8B 46 04 8B 18 FF 93 B8 02 00 00 EB 69 80 7E 5C 00 74 35 8D 45 F8 8D 57 08 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 6A 01 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8D 8D EC FE FF FF 8B 46 04 8B 18 FF 93 B8 02 00 00 EB 2E 6A 01 8D 85 E8 FE FF FF 8D 57 08 E8 ?? ?? ?? ?? 8B 85 E8 FE FF FF E8 ?? ?? ?? ?? 8B D0 8D 8D EC FE FF FF 8B 46 04 8B 18 FF 93 B8 02 00 00 6A 02 B1 0D B2 04 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 45 EC 8B 10 FF 92 A8 00 00 00 50 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 95 EC FE FF FF B9 01 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 B9 01 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6308_0 {
	meta:
		name = "TFilterExpr.PutNode"
		size = 65
		refs = "0021 TFilterExpr.GetExprData"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FE 88 55 FF 8B D8 8B 75 08 03 F6 83 C6 08 8B 53 4C 83 C2 0A 8B CE 8B C3 E8 ?? ?? ?? ?? 0F B6 55 FF 89 10 0F B6 55 FE 83 C0 04 89 10 8B 43 4C 01 73 4C 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6309_0 {
	meta:
		name = "TFilterExpr.SetNodeOp"
		size = 21
	strings:
		$1 = { 55 8B EC 83 C2 12 03 50 44 0F B7 45 08 66 89 04 4A 5D C2 04 00 }
	condition:
		$1
}

rule function_6310_0 {
	meta:
		name = "TFilterExpr.GetFieldByName"
		size = 410
		refs = "0020 @WStrAddRef 0029 TFieldInfo 002e @InitializeRecord 0036 TFilterExpr.GetFieldByName 004f @UStrFromWStr 005a TDataSet.FieldByName 006f TFields.GetCount 008d TFields.GetField 009d @WStrFromUStr 00a8 GetFieldInfo 00b7 WideCompareStr 0100 SExprNoAggOnCalcs 0105 LoadResString 011e DatabaseErrorFmt 0145 TBits.SetBit 015f @UStrArrayClr 0167 @WStrClr 016f @UStrClr 017d @FinalizeRecord 018b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D D8 89 4D DC 89 4D E0 89 4D E4 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 F6 43 3D 10 74 1A 8D 45 E4 8B 53 54 E8 ?? ?? ?? ?? 8B 55 E4 8B 43 04 E8 ?? ?? ?? ?? 8B F0 EB 6C F6 43 3D 08 74 66 8B 43 04 8B 40 38 E8 ?? ?? ?? ?? 48 85 C0 7C 56 40 89 45 E8 C7 45 EC 00 00 00 00 8B 43 04 8B 40 38 8B 55 EC E8 ?? ?? ?? ?? 8B F8 8D 45 E0 8B 97 98 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 F0 E8 ?? ?? ?? ?? 84 C0 74 16 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 07 8B F7 E9 83 00 00 00 FF 45 EC FF 4D E8 75 B5 85 F6 75 18 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 8B 55 DC 8B 43 04 E8 ?? ?? ?? ?? 8B F0 85 F6 74 34 80 7E 4A 01 75 2E F6 43 3D 02 74 28 6A 00 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 50 8B 46 40 89 45 D0 C6 45 D4 11 8D 55 D0 33 C9 58 E8 ?? ?? ?? ?? F6 43 3D 20 74 21 85 F6 74 1D 83 7B 58 00 74 17 8B C6 8B 10 FF 92 A8 00 00 00 8B D0 4A B1 01 8B 43 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6311_0 {
	meta:
		name = "TExprParser.Create"
		size = 306
		refs = "0019 @ClassCreate 003a TExprParser.Create 0045 CurrencyString 0069 STextTrue 006e LoadResString 0079 @WStrFromUStr 0081 STextFalse 00bf _DV_TFilterExpr 00c4 TFilterExpr.Create 00d1 @WStrEqual 00ea TExprParser.SetExprParams 0104 @UStrArrayClr 010a @HandleFinally 0119 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 89 5D C4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 0C 8D 7D CB 51 B9 0D 00 00 00 F3 A5 59 8B F1 88 55 FF 8B D8 8B 7D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 0F B7 80 BE 00 00 00 66 89 43 04 56 57 8D 7B 0C 8D 75 CB B9 0D 00 00 00 F3 A5 5F 5E 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8D 43 50 E8 ?? ?? ?? ?? 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8D 43 54 E8 ?? ?? ?? ?? 89 73 70 89 7B 74 0F B6 45 08 88 43 78 0F B6 45 1C 50 0F B6 45 18 50 8B 45 14 50 57 8D 45 CB 50 0F B6 43 78 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 8B 45 20 33 D2 E8 ?? ?? ?? ?? 74 17 0F B6 45 18 50 8B 45 14 50 0F B6 4D 1C 8B 55 20 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule function_6312_0 {
	meta:
		name = "TExprParser.Destroy"
		size = 33
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6313_0 {
	meta:
		name = "TExprParser.SetExprParams"
		size = 690
		refs = "0024 TExprParser.SetExprParams 003d TObject.Free 005f _DV_TFilterExpr 0064 TFilterExpr.Create 0071 @WStrAsg 0078 @WStrToPWChar 008c TExprParser.NextToken 0093 TExprParser.ParseExpr 00a3 SExprTermination 00a8 LoadResString 00b2 DatabaseError 00c6 SExprNotAgg 00e9 SExprNoAggFilter 010d @VarFromWStr 0121 TFilterExpr.NewNode 012c IsTemporal 018c IsNumeric 01dd SExprTypeMis 01f4 @VarClear 0222 SExprIncorrect 023e TFilterExpr.GetFilterData 024a TExprData 024f @DynArrayAsg 0273 @DynArrayClear 0280 @UStrArrayClr 0288 @VarClr 02a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 88 4D EF 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 0C 88 43 68 8B 43 08 85 C0 74 05 E8 ?? ?? ?? ?? 0F B6 45 EF 50 0F B6 45 0C 50 57 8B 43 74 50 8D 43 0C 50 0F B6 43 78 50 8B 4B 70 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 8D 43 40 8B D6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 43 44 8D 43 6C 8B D7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 80 7B 58 00 74 17 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 D2 E8 ?? ?? ?? ?? F6 43 68 02 74 1D 80 7E 2C 01 74 17 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 33 D2 E8 ?? ?? ?? ?? F6 43 68 02 75 1D 80 7E 2C 01 75 17 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 33 D2 E8 ?? ?? ?? ?? F6 45 0C 04 0F 84 06 01 00 00 8D 45 D0 8B 53 6C E8 ?? ?? ?? ?? 8D 45 D0 50 6A 00 6A 00 33 C9 33 D2 8B 43 08 E8 ?? ?? ?? ?? 8B F8 0F B6 47 20 E8 ?? ?? ?? ?? 84 C0 74 16 0F B6 46 20 2C 01 74 2A 04 EA 2C 02 72 24 2C 0A 74 20 2C 03 74 1C 80 7F 20 05 75 1D 0F B6 46 20 2C 01 74 0E 04 EA 2C 02 72 08 2C 0A 74 04 2C 03 75 07 0F B6 47 20 88 46 20 0F B6 47 20 E8 ?? ?? ?? ?? 84 C0 74 0D 0F B6 46 20 E8 ?? ?? ?? ?? 84 C0 75 69 0F B6 47 20 E8 ?? ?? ?? ?? 84 C0 74 0D 0F B6 46 20 E8 ?? ?? ?? ?? 84 C0 75 4F 0F B6 47 20 2C 01 74 0E 04 EA 2C 02 72 08 2C 0A 74 04 2C 03 75 16 0F B6 46 20 2C 01 74 31 04 EA 2C 02 72 2B 2C 0A 74 27 2C 03 74 23 80 7F 20 05 75 06 80 7E 20 05 74 17 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 33 D2 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 56 57 B1 25 B2 02 8B 43 08 E8 ?? ?? ?? ?? 8B F0 F6 43 68 02 75 23 F6 45 0C 04 75 1D 80 7E 20 05 74 17 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 33 D2 E8 ?? ?? ?? ?? 8D 4D C4 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B 55 C4 8D 43 5C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 8B 40 48 89 43 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_6314_0 {
	meta:
		name = "TExprParser.NextTokenIsLParen"
		size = 30
	strings:
		$1 = { 8B 40 44 EB 03 83 C0 02 0F B7 10 66 85 D2 74 06 66 83 FA 20 76 EF 66 83 38 28 0F 94 C0 C3 }
	condition:
		$1
}

rule function_6315_0 {
	meta:
		name = "EndOfLiteral"
		size = 196
		refs = "0013 EndOfLiteral 0034 WStrScan 0053 InOpSet 005f @WStrClr 006b NextSQLToken 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 06 02 8B 06 66 83 38 27 0F 95 C3 84 DB 74 4F 8B 06 66 BA 27 00 E8 ?? ?? ?? ?? 85 C0 74 40 8B 06 89 45 F8 EB 04 83 45 F8 02 BA ?? ?? ?? ?? 8B 45 F8 0F B7 00 E8 ?? ?? ?? ?? 84 C0 75 E8 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 F8 B1 10 E8 ?? ?? ?? ?? 84 C0 74 04 2C 02 75 05 33 DB 83 2E 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 00 00 00 00 00 00 00 01 02 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6316_0 {
	meta:
		name = "Skip"
		size = 85
	strings:
		$1 = { 55 8B EC 83 C4 E0 56 57 8B F0 8D 7D E0 B9 08 00 00 00 F3 A5 8B 45 08 8B 40 FC 66 81 38 00 01 72 04 B0 01 EB 1D 8B 45 08 8B 40 FC 0F B7 30 8B C6 66 3D FF 00 77 07 0F B7 C0 0F A3 45 E0 0F 92 C2 8B C2 84 C0 74 09 8B 45 08 83 40 FC 02 EB C5 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_6317_0 {
	meta:
		name = "TExprParser.NextToken"
		size = 1728
		refs = "001b TExprParser.NextToken 0034 :TExprParser.:1 0039 @DynArraySetLength 004b @WStrClr 00c8 SExprInvalidChar 00cd LoadResString 00e7 DatabaseErrorFmt 01d4 Skip 01ea @WStrFromPWCharLen 01f9 @UStrFromWStr 0206 CompareText 0311 SInvalidKeywordUse 0320 DatabaseError 0376 WStrScan 0385 SExprNameError 03ca SExprStringError 03e8 EndOfLiteral 03f4 @DynArrayLength 0443 @WStrSetLength 044b @WStrToPWChar 0459 Move 0493 InOpSet 05ca @UStrArrayClr 05d2 @UStrClr 05e0 @DynArrayClear 05e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 8D 75 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 01 00 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 0F B6 43 58 88 43 59 8D 43 4C E8 ?? ?? ?? ?? 8B 43 44 89 06 EB 03 83 06 02 8B 06 0F B7 00 66 85 C0 74 06 66 83 F8 20 76 ED 8B 06 0F B7 00 66 85 C0 74 7D 66 83 F8 2F 75 77 8B 06 66 83 78 02 00 74 6E 8B 06 66 83 78 02 2A 75 65 83 06 04 EB 03 83 06 02 8B 06 0F B7 00 66 85 C0 74 06 66 83 F8 2A 75 ED 8B 06 66 83 38 2A 75 17 8B 06 66 83 78 02 00 74 0E 8B 06 66 83 78 02 2F 75 05 83 06 04 EB 2E 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 16 0F B7 12 66 89 55 EC C6 45 F0 09 8D 55 EC 33 C9 E8 ?? ?? ?? ?? EB 03 83 06 02 8B 06 0F B7 00 66 85 C0 74 06 66 83 F8 20 76 ED 8B 06 89 43 48 8B 06 0F B7 00 83 F8 30 7D 55 83 F8 2A 7F 2B 0F 84 4B 04 00 00 83 E8 01 0F 82 5D 04 00 00 83 E8 26 0F 84 8D 02 00 00 48 0F 84 BE 03 00 00 48 0F 84 C3 03 00 00 E9 47 04 00 00 83 E8 2B 0F 84 14 04 00 00 48 0F 84 28 04 00 00 48 0F 84 14 03 00 00 83 E8 02 0F 84 0F 04 00 00 E9 22 04 00 00 83 F8 5B 7F 41 0F 84 FB 01 00 00 83 F8 3D 7F 20 0F 84 BF 03 00 00 83 C0 D0 83 E8 0A 0F 82 E4 02 00 00 83 E8 02 0F 84 7A 03 00 00 E9 F2 03 00 00 83 E8 3E 0F 84 A5 03 00 00 83 C0 FD 83 E8 1A 72 26 E9 DC 03 00 00 83 E8 5F 74 1C 83 C0 FE 83 E8 1A 72 14 83 C0 FA 83 E8 7E 72 0C 48 2D FE FE 00 00 0F 83 BB 03 00 00 8B 3E 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 0E 2B CF D1 F9 79 03 83 D1 00 8D 43 4C 8B D7 E8 ?? ?? ?? ?? C6 43 58 01 8D 45 E8 8B 53 4C E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 09 C6 43 58 11 E9 98 03 00 00 8D 45 E4 8B 53 4C E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 09 C6 43 58 14 E9 73 03 00 00 8D 45 E0 8B 53 4C E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 53 03 00 00 EB 03 83 06 02 8B 06 0F B7 00 66 85 C0 74 06 66 83 F8 20 76 ED 8B 3E 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 0E 2B CF D1 F9 79 03 83 D1 00 8D 43 4C 8B D7 E8 ?? ?? ?? ?? 8D 45 DC 8B 53 4C E8 ?? ?? ?? ?? 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 79 EB 03 83 06 02 8B 06 0F B7 00 66 85 C0 74 06 66 83 F8 20 76 ED 8B 3E 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 0E 2B CF D1 F9 79 03 83 D1 00 8D 43 4C 8B D7 E8 ?? ?? ?? ?? 8D 45 D8 8B 53 4C E8 ?? ?? ?? ?? 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 09 C6 43 58 13 E9 A2 02 00 00 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 33 D2 E8 ?? ?? ?? ?? E9 86 02 00 00 8D 45 D0 8B 53 4C E8 ?? ?? ?? ?? 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 09 C6 43 58 12 E9 61 02 00 00 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 33 D2 E8 ?? ?? ?? ?? E9 45 02 00 00 83 06 02 8B 3E 66 BA 5D 00 8B 06 E8 ?? ?? ?? ?? 89 06 83 3E 00 75 17 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 33 D2 E8 ?? ?? ?? ?? 8B 0E 2B CF D1 F9 79 03 83 D1 00 8D 43 4C 8B D7 E8 ?? ?? ?? ?? C6 43 58 02 83 06 02 E9 F6 01 00 00 83 06 02 33 FF 8B 06 66 83 38 00 75 17 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 33 D2 E8 ?? ?? ?? ?? 8B 06 66 83 38 27 75 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 4D 8B 45 F8 E8 ?? ?? ?? ?? 48 3B F8 7C 21 8B 45 F8 E8 ?? ?? ?? ?? 03 C0 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 48 3B F8 7D 0D 8B 45 F8 8B 16 0F B7 12 66 89 14 78 47 83 06 02 EB 81 8D 43 4C 8B D7 E8 ?? ?? ?? ?? 8B 43 4C E8 ?? ?? ?? ?? 8B D0 8B CF 03 C9 8B 45 F8 E8 ?? ?? ?? ?? C6 43 58 03 C6 43 60 00 E9 45 01 00 00 0F B6 43 59 3C 03 74 73 3C 02 74 6F 3C 01 74 6B 3C 05 74 67 8B 3E 83 06 02 EB 03 83 06 02 BA ?? ?? ?? ?? 8B 06 0F B7 00 E8 ?? ?? ?? ?? 84 C0 75 EA 8B 06 0F B7 00 66 3B 43 04 74 DF 8B 06 83 E8 02 66 83 38 2C 75 12 66 83 7B 04 2C 75 0B 8B 06 66 83 38 20 75 03 83 2E 02 8B 0E 2B CF D1 F9 79 03 83 D1 00 8D 43 4C 8B D7 E8 ?? ?? ?? ?? C6 43 58 03 C6 43 60 01 E9 CA 00 00 00 C6 43 58 0D 83 06 02 E9 BE 00 00 00 83 06 02 C6 43 58 04 E9 B2 00 00 00 83 06 02 C6 43 58 05 E9 A6 00 00 00 83 06 02 8B 06 0F B7 00 66 83 E8 3D 74 07 66 FF C8 74 0E EB 15 83 06 02 C6 43 58 09 E9 85 00 00 00 83 06 02 C6 43 58 07 EB 7C C6 43 58 0B EB 76 83 06 02 C6 43 58 06 EB 6D 83 06 02 8B 06 66 83 38 3D 75 09 83 06 02 C6 43 58 08 EB 59 C6 43 58 0A EB 53 83 06 02 C6 43 58 0C EB 4A 83 06 02 C6 43 58 0E EB 41 83 06 02 C6 43 58 0F EB 38 83 06 02 C6 43 58 10 EB 2F C6 43 58 00 EB 29 6A 00 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 8B 16 0F B7 12 66 89 55 EC C6 45 F0 09 8D 55 EC 33 C9 E8 ?? ?? ?? ?? 8B 06 89 43 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 40 FF 03 FE FF FF AF FE FF FF 07 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 49 00 4B 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 53 00 00 00 00 00 00 00 00 00 00 00 00 00 FE FF FF 07 FE FF FF 07 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 4F 00 54 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 55 00 4C 00 4C 00 00 00 00 00 00 00 00 00 00 28 FF 03 20 00 00 00 20 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6318_0 {
	meta:
		name = "TExprParser.ParseExpr"
		size = 168
		refs = "0011 TExprParser.ParseExpr 001e TExprParser.ParseExpr2 0029 TExprParser.NextToken 0031 @VarClear 004a TFilterExpr.NewNode 005c TExprParser.GetScopeKind 006c TExprParser.TokenSymbolIs 0085 @VarClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 3E 8B C6 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 53 8B C6 E8 ?? ?? ?? ?? 50 B1 0B B2 02 8B 46 08 E8 ?? ?? ?? ?? 8B D8 8B 43 1C 50 8B 4B 18 8B D3 8B C6 E8 ?? ?? ?? ?? C6 43 20 05 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 B2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 00 00 00 04 00 00 00 4F 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_6319_0 {
	meta:
		name = "TExprParser.ParseExpr2"
		size = 168
		refs = "0011 TExprParser.ParseExpr2 001e TExprParser.ParseExpr3 0029 TExprParser.NextToken 0031 @VarClear 004a TFilterExpr.NewNode 005c TExprParser.GetScopeKind 006c TExprParser.TokenSymbolIs 0085 @VarClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 3E 8B C6 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 53 8B C6 E8 ?? ?? ?? ?? 50 B1 0A B2 02 8B 46 08 E8 ?? ?? ?? ?? 8B D8 8B 43 1C 50 8B 4B 18 8B D3 8B C6 E8 ?? ?? ?? ?? C6 43 20 05 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 B2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 00 00 00 06 00 00 00 41 00 4E 00 44 00 00 00 }
	condition:
		$1
}

rule function_6320_0 {
	meta:
		name = "TExprParser.ParseExpr3"
		size = 168
		refs = "0011 TExprParser.ParseExpr3 0023 TExprParser.TokenSymbolIs 002e TExprParser.NextToken 0036 @VarClear 0041 TExprParser.ParseExpr4 0050 TFilterExpr.NewNode 0071 TExprParser.GetScopeKind 0086 @VarClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 31 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 B1 09 B2 02 8B 43 08 E8 ?? ?? ?? ?? 8B F0 C6 46 20 05 EB 09 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 46 1C 50 8B 4E 18 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 8B E5 5D C3 00 00 06 00 00 00 4E 00 4F 00 54 00 00 00 }
	condition:
		$1
}

rule function_6321_0 {
	meta:
		name = "TExprParser.ParseExpr4"
		size = 1075
		refs = "0018 TExprParser.ParseExpr4 0025 TExprParser.ParseExpr5 0094 Operators 00bc TExprParser.NextToken 00db TExprParser.TokenName 00f1 SExprNoLParen 00f6 LoadResString 0101 DatabaseErrorFmt 0110 @VarClear 0123 TFilterExpr.NewNode 013e _Dn_TList 0143 TObject.Create 0150 TExprParser.ParseExpr 015b IsTemporal 018b TList.Add 01b9 SExprNoRParenOrComma 020c SExprNoRParen 0230 SExprEmptyInList 023f DatabaseError 034b SExprTypeMis 03c8 TExprParser.GetScopeKind 03e2 @UStrArrayClr 03ea @WStrClr 03f2 @UStrClr 0413 Variant 041d @FinalizeArray 0423 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 DC 0F B6 43 58 8B D0 80 C2 FA 80 EA 06 72 14 3C 11 74 10 3C 12 74 0C 3C 13 74 08 3C 14 0F 85 7E 03 00 00 0F B6 D0 83 C2 FA 83 FA 0E 77 5C 0F B6 92 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 01 01 01 01 01 01 00 00 00 00 00 02 03 04 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 E0 7F 0F B6 80 ?? ?? ?? ?? 88 45 DB EB 1C C6 45 DB 1E EB 16 C6 45 DB 01 EB 10 C6 45 DB 02 EB 0A C6 45 DB 1F EB 04 C6 45 DB 00 8B C3 E8 ?? ?? ?? ?? 8B 7D DC 80 7D DB 1F 0F 85 7B 01 00 00 80 7B 58 04 74 32 6A 00 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 0F 8D 45 D0 50 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 33 C9 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 57 6A 00 B1 1F B2 02 8B 43 08 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC C6 40 20 05 80 7B 58 05 0F 84 F1 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 89 42 28 8B C3 E8 ?? ?? ?? ?? 8B F0 0F B6 47 20 E8 ?? ?? ?? ?? 84 C0 74 09 0F B6 47 20 88 46 20 EB 16 80 7E 04 01 75 10 80 7E 20 01 75 0A 80 7F 20 18 75 04 C6 46 20 18 8B 45 DC 8B 40 28 8B D6 E8 ?? ?? ?? ?? 0F B6 43 58 3C 10 74 36 3C 05 74 32 6A 00 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8B 45 C4 89 45 D0 C6 45 D4 0F 8D 45 D0 50 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 33 C9 5A E8 ?? ?? ?? ?? 80 7B 58 10 75 07 8B C3 E8 ?? ?? ?? ?? 0F B6 43 58 3C 05 74 08 84 C0 0F 85 63 FF FF FF 3C 05 74 32 6A 00 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 8B 45 BC 89 45 D0 C6 45 D4 0F 8D 45 D0 50 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 33 C9 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 A0 01 00 00 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 33 D2 E8 ?? ?? ?? ?? E9 84 01 00 00 80 7D DB 01 74 11 80 7D DB 02 74 0B 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E0 50 57 56 0F B6 4D DB B2 02 8B 43 08 E8 ?? ?? ?? ?? 89 45 DC 85 F6 74 4C 80 7F 04 00 75 15 80 7E 04 01 75 0F 0F B6 47 20 88 46 20 8B 47 24 89 46 24 EB 31 80 7E 04 00 75 15 80 7F 04 01 75 0F 0F B6 46 20 88 47 20 8B 46 24 89 47 24 EB 16 80 7F 20 18 75 10 80 7E 04 01 75 0A 80 7E 20 01 75 04 C6 46 20 18 0F B6 47 20 8B D0 80 C2 F1 80 EA 07 72 0D 80 C2 F8 80 EA 02 72 05 80 EA 07 75 1C 80 7D DB 1E 75 16 80 7E 04 01 75 67 3C 27 75 06 C6 46 20 18 EB 5D C6 46 20 01 EB 57 80 7D DB 01 74 51 80 7D DB 02 74 4B 0F B6 47 20 2C 0C 74 2C 04 FD 2C 07 72 26 04 F8 2C 02 72 20 2C 07 74 1C 85 F6 74 2F 0F B6 46 20 2C 0C 74 10 04 FD 2C 07 72 0A 04 F8 2C 02 72 04 2C 07 75 17 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 33 D2 E8 ?? ?? ?? ?? 8B 45 DC C6 40 20 05 85 F6 74 56 0F B6 47 20 E8 ?? ?? ?? ?? 84 C0 74 1F 0F B6 46 20 2C 01 74 0E 04 EA 2C 02 72 08 2C 0A 74 04 2C 03 75 09 0F B6 47 20 88 46 20 EB 2A 0F B6 46 20 E8 ?? ?? ?? ?? 84 C0 74 1D 0F B6 47 20 2C 01 74 0E 04 EA 2C 02 72 08 2C 0A 74 04 2C 03 75 07 0F B6 46 20 88 47 20 56 8B CF 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B0 8B 45 DC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6322_0 {
	meta:
		name = "TExprParser.ParseExpr5"
		size = 221
		refs = "0015 TExprParser.ParseExpr5 0022 TExprParser.ParseExpr6 0034 SExprNoArith 0039 LoadResString 0043 DatabaseError 004e Operators 005a TExprParser.NextToken 006c @VarClear 0083 TFilterExpr.NewNode 008e TExprParser.TypeCheckArithOp 009d TExprParser.GetScopeKind 00c0 @UStrClr 00c8 @VarClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 77 F6 43 68 01 75 17 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 33 D2 E8 ?? ?? ?? ?? 0F B6 43 58 0F B6 80 ?? ?? ?? ?? 88 45 EF 8B FE 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 57 8B 45 E8 50 0F B6 4D EF B2 02 8B 43 08 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 43 58 04 F4 2C 02 0F 82 7B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6323_0 {
	meta:
		name = "TExprParser.ParseExpr6"
		size = 221
		refs = "0015 TExprParser.ParseExpr6 0022 TExprParser.ParseExpr7 0034 SExprNoArith 0039 LoadResString 0043 DatabaseError 004e Operators 005a TExprParser.NextToken 006c @VarClear 0083 TFilterExpr.NewNode 008e TExprParser.TypeCheckArithOp 009d TExprParser.GetScopeKind 00c0 @UStrClr 00c8 @VarClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 77 F6 43 68 01 75 17 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 33 D2 E8 ?? ?? ?? ?? 0F B6 43 58 0F B6 80 ?? ?? ?? ?? 88 45 EF 8B FE 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 57 8B 45 E8 50 0F B6 4D EF B2 02 8B 43 08 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 43 58 04 F2 2C 02 0F 82 7B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6324_0 {
	meta:
		name = "TExprParser.ParseExpr7"
		size = 1116
		refs = "0018 TExprParser.ParseExpr7 0054 TExprParser.NextTokenIsLParen 0066 TExprParser.TokenSymbolIsFunc 0079 @UStrFromWStr 0080 TExprParser.NextToken 0092 TExprParser.TokenName 00a8 SExprNoLParen 00ad LoadResString 00b8 DatabaseErrorFmt 00cc CompareText 00e3 @UStrLAsg 00f5 @VarFromUStr 0109 TFilterExpr.NewNode 0118 _Dn_TList 011d TObject.Create 0127 TExprParser.ParseExpr 0131 TList.Add 015f SExprNoRParenOrComma 0198 TExprParser.GetFuncResultInfo 01a9 TExprParser.TokenSymbolIs 01b5 Null 01f1 @VarFromInt 0254 @VarFromWStr 0322 SExprNoRParen 0362 SExprExpected 0396 @UStrClr 03a1 @WStrClr 03c3 Variant 03cd @FinalizeArray 03e5 @VarClr 0403 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 13 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 43 58 FE C8 74 1D FE C8 0F 84 45 02 00 00 FE C8 0F 84 67 02 00 00 FE C8 0F 84 9F 02 00 00 E9 F4 02 00 00 F6 43 68 01 0F 84 50 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 41 01 00 00 8B 53 4C 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 2F 01 00 00 8D 45 FC 8B 53 4C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7B 58 04 74 32 6A 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 0F 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 1A 80 7B 58 0E 75 14 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 DC 50 6A 00 6A 00 33 C9 B2 03 8B 43 08 E8 ?? ?? ?? ?? 8B F0 80 7B 58 05 74 79 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 46 28 E8 ?? ?? ?? ?? 0F B6 43 58 3C 10 74 36 3C 05 74 32 6A 00 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 89 45 F4 C6 45 F8 0F 8D 45 F4 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 33 C9 5A E8 ?? ?? ?? ?? 80 7B 58 10 75 07 8B C3 E8 ?? ?? ?? ?? 0F B6 43 58 3C 05 74 0B 84 C0 75 98 EB 05 33 C0 89 46 28 8B D6 8B C3 E8 ?? ?? ?? ?? E9 DA 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 27 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C4 50 6A 00 6A 00 33 C9 B2 01 8B 43 08 E8 ?? ?? ?? ?? 8B F0 C6 46 2C 02 E9 A3 01 00 00 8B 53 50 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2E 8D 45 B4 BA 01 00 00 00 B1 01 E8 ?? ?? ?? ?? 8D 45 B4 50 6A 00 6A 00 33 C9 B2 01 8B 43 08 E8 ?? ?? ?? ?? 8B F0 C6 46 2C 02 E9 67 01 00 00 8B 53 54 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2B 8D 45 A4 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 45 A4 50 6A 00 6A 00 33 C9 B2 01 8B 43 08 E8 ?? ?? ?? ?? 8B F0 C6 46 2C 02 E9 2E 01 00 00 8D 45 94 8B 53 4C E8 ?? ?? ?? ?? 8D 45 94 50 6A 00 6A 00 33 C9 33 D2 8B 43 08 E8 ?? ?? ?? ?? 8B F0 C6 46 2C 00 E9 04 01 00 00 8D 45 84 8B 53 4C E8 ?? ?? ?? ?? 8D 45 84 50 6A 00 6A 00 33 C9 33 D2 8B 43 08 E8 ?? ?? ?? ?? 8B F0 C6 46 2C 00 E9 DA 00 00 00 8D 85 74 FF FF FF 8B 53 4C E8 ?? ?? ?? ?? 8D 85 74 FF FF FF 50 6A 00 6A 00 33 C9 B2 01 8B 43 08 E8 ?? ?? ?? ?? 8B F0 80 7B 60 00 74 06 C6 46 20 06 EB 04 C6 46 20 01 C6 46 2C 02 E9 9A 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 80 7B 58 05 0F 84 80 00 00 00 6A 00 8D 95 70 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 89 45 F4 C6 45 F8 0F 8D 45 F4 50 8D 95 6C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 33 C9 5A E8 ?? ?? ?? ?? EB 40 6A 00 8D 95 68 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 89 45 F4 C6 45 F8 0F 8D 45 F4 50 8D 95 64 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 33 C9 5A E8 ?? ?? ?? ?? 33 F6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF 8B 15 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 86 8B C6 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6F 00 75 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 4F 00 55 00 4E 00 54 00 28 00 2A 00 29 00 00 00 00 00 08 00 00 00 4E 00 55 00 4C 00 4C 00 00 00 00 00 }
	condition:
		$1
}

rule function_6325_0 {
	meta:
		name = "TExprParser.GetScopeKind"
		size = 186
		refs = "0013 TExprParser.GetScopeKind 004e SExprBadScope 0053 LoadResString 005d DatabaseError 00a6 @UStrClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 04 85 DB 74 70 85 DB 75 09 0F B6 46 2C 88 47 2C EB 63 80 7E 2C 00 75 06 80 7B 2C 01 74 0C 80 7E 2C 01 75 1D 80 7B 2C 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 80 7E 2C 02 75 0C 80 7B 2C 02 75 06 C6 47 2C 02 EB 22 80 7E 2C 01 74 06 80 7B 2C 01 75 06 C6 47 2C 01 EB 10 80 7E 2C 00 74 06 80 7B 2C 00 75 04 C6 47 2C 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6326_0 {
	meta:
		name = "TExprParser.GetFuncResultInfo"
		size = 1540
		refs = "0017 TExprParser.GetFuncResultInfo 002c @VarToUStr 0039 CompareText 006e SExprTypeMis 0073 LoadResString 007d DatabaseError 0093 TList.Get 03e2 @UStrArrayClr 03e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0C 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 20 01 8D 45 FC 8D 53 08 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 40 8D 45 F8 8D 53 08 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 24 8B 73 28 85 F6 74 06 83 7E 08 00 75 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 8B 73 28 85 F6 74 16 83 7E 08 00 7E 10 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 40 2C 88 43 2C 8D 45 F0 8D 53 08 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1C 8D 45 EC 8D 53 08 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0D C6 43 20 06 C6 43 2C 01 E9 E9 02 00 00 8D 45 E8 8D 53 08 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1C 8D 45 E4 8D 53 08 E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 1A 33 D2 8B 43 28 E8 ?? ?? ?? ?? 0F B6 40 20 88 43 20 C6 43 2C 01 E9 97 02 00 00 8D 45 E0 8D 53 08 E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1C 8D 45 DC 8D 53 08 E8 ?? ?? ?? ?? 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0D C6 43 20 03 C6 43 2C 01 E9 52 02 00 00 8D 45 D8 8D 53 08 E8 ?? ?? ?? ?? 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 8C 00 00 00 8D 45 D4 8D 53 08 E8 ?? ?? ?? ?? 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 70 8D 45 D0 8D 53 08 E8 ?? ?? ?? ?? 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 54 8D 45 CC 8D 53 08 E8 ?? ?? ?? ?? 8B 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 38 8D 45 C8 8D 53 08 E8 ?? ?? ?? ?? 8B 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1C 8D 45 C4 8D 53 08 E8 ?? ?? ?? ?? 8B 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 1A C6 43 20 03 33 D2 8B 43 28 E8 ?? ?? ?? ?? 0F B6 40 2C 88 43 2C E9 8C 01 00 00 8D 45 C0 8D 53 08 E8 ?? ?? ?? ?? 8B 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0D C6 43 20 0B C6 43 2C 02 E9 63 01 00 00 8D 45 BC 8D 53 08 E8 ?? ?? ?? ?? 8B 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 1A C6 43 20 09 33 D2 8B 43 28 E8 ?? ?? ?? ?? 0F B6 40 2C 88 43 2C E9 2D 01 00 00 8D 45 B8 8D 53 08 E8 ?? ?? ?? ?? 8B 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 1A C6 43 20 0A 33 D2 8B 43 28 E8 ?? ?? ?? ?? 0F B6 40 2C 88 43 2C E9 F7 00 00 00 8D 45 B4 8D 53 08 E8 ?? ?? ?? ?? 8B 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 38 8D 45 B0 8D 53 08 E8 ?? ?? ?? ?? 8B 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1C 8D 45 AC 8D 53 08 E8 ?? ?? ?? ?? 8B 45 AC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 16 33 D2 8B 43 28 E8 ?? ?? ?? ?? 0F B6 40 20 88 43 20 E9 8D 00 00 00 8D 45 A8 8D 53 08 E8 ?? ?? ?? ?? 8B 45 A8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 38 8D 45 A4 8D 53 08 E8 ?? ?? ?? ?? 8B 45 A4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1C 8D 45 A0 8D 53 08 E8 ?? ?? ?? ?? 8B 45 A0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 39 33 D2 8B 43 28 E8 ?? ?? ?? ?? 0F B6 40 20 88 43 20 8B 73 28 83 7E 08 02 75 1F 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 40 20 50 BA 01 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 5A 88 50 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 18 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 4F 00 55 00 4E 00 54 00 28 00 2A 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 47 00 45 00 54 00 44 00 41 00 54 00 45 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 55 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 56 00 47 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4D 00 49 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4D 00 41 00 58 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 4F 00 55 00 4E 00 54 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 59 00 45 00 41 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 4F 00 4E 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 41 00 59 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 4F 00 55 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4D 00 49 00 4E 00 55 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 45 00 43 00 4F 00 4E 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 49 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 50 00 50 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 4F 00 57 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 55 00 42 00 53 00 54 00 52 00 49 00 4E 00 47 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 52 00 49 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 52 00 49 00 4D 00 4C 00 45 00 46 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 52 00 49 00 4D 00 52 00 49 00 47 00 48 00 54 00 00 00 }
	condition:
		$1
}

rule function_6327_0 {
	meta:
		name = "TExprParser.TokenName"
		size = 144
		refs = "000d TExprParser.TokenName 0025 SExprNothing 002a LoadResString 0034 @WStrFromUStr 004a @WStrFromPWCharLen 0062 @WStrCatN 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 50 48 8B 70 44 3B D6 75 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 2C 8B CE 2B CA D1 F9 79 03 83 D1 00 8B F3 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 02 00 00 00 27 00 00 00 }
	condition:
		$1
}

rule function_6328_0 {
	meta:
		name = "TExprParser.TokenSymbolIs"
		size = 36
		refs = "0012 WideCompareText"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 58 01 75 0E 8B D6 8B 43 4C E8 ?? ?? ?? ?? 85 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_6329_0 {
	meta:
		name = "TExprParser.TokenSymbolIsFunc"
		size = 716
		refs = "0004 TExprParser.TokenSymbolIsFunc 000b WideCompareText"
	strings:
		$1 = { 53 8B DA BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 60 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 4C 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 38 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 24 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 10 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 FC 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 E8 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 D4 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 C0 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 AC 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 98 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 84 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 74 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 64 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 54 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 44 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 34 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 24 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 5B C3 B0 01 5B C3 00 0A 00 00 00 55 00 50 00 50 00 45 00 52 00 00 00 0A 00 00 00 4C 00 4F 00 57 00 45 00 52 00 00 00 12 00 00 00 53 00 55 00 42 00 53 00 54 00 52 00 49 00 4E 00 47 00 00 00 08 00 00 00 54 00 52 00 49 00 4D 00 00 00 00 00 10 00 00 00 54 00 52 00 49 00 4D 00 4C 00 45 00 46 00 54 00 00 00 00 00 12 00 00 00 54 00 52 00 49 00 4D 00 52 00 49 00 47 00 48 00 54 00 00 00 08 00 00 00 59 00 45 00 41 00 52 00 00 00 00 00 0A 00 00 00 4D 00 4F 00 4E 00 54 00 48 00 00 00 06 00 00 00 44 00 41 00 59 00 00 00 08 00 00 00 48 00 4F 00 55 00 52 00 00 00 00 00 0C 00 00 00 4D 00 49 00 4E 00 55 00 54 00 45 00 00 00 00 00 0C 00 00 00 53 00 45 00 43 00 4F 00 4E 00 44 00 00 00 00 00 0E 00 00 00 47 00 45 00 54 00 44 00 41 00 54 00 45 00 00 00 08 00 00 00 44 00 41 00 54 00 45 00 00 00 00 00 08 00 00 00 54 00 49 00 4D 00 45 00 00 00 00 00 06 00 00 00 53 00 55 00 4D 00 00 00 06 00 00 00 4D 00 49 00 4E 00 00 00 06 00 00 00 4D 00 41 00 58 00 00 00 06 00 00 00 41 00 56 00 47 00 00 00 0A 00 00 00 43 00 4F 00 55 00 4E 00 54 00 00 00 }
	condition:
		$1
}

rule function_6330_0 {
	meta:
		name = "TExprParser.TypeCheckArithOp"
		size = 588
		refs = "000a TExprParser.TypeCheckArithOp 001e IsNumeric 00a9 IsTemporal 0218 SExprTypeMis 021d LoadResString 0227 DatabaseError 023c @UStrClr 0242 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DA 8B 43 18 0F B6 40 20 E8 ?? ?? ?? ?? 84 C0 74 19 8B 43 1C 0F B6 40 20 E8 ?? ?? ?? ?? 84 C0 74 09 C6 43 20 06 E9 EC 01 00 00 8B 43 18 0F B6 40 20 2C 01 74 08 2C 16 74 04 2C 0C 75 22 8B 43 1C 0F B6 40 20 2C 01 74 08 2C 16 74 04 2C 0C 75 0F 80 7B 06 10 75 09 C6 43 20 01 E9 B7 01 00 00 8B 43 18 0F B6 40 20 2C 18 74 04 2C 0E 75 1E 8B 43 1C 0F B6 40 20 2C 18 74 04 2C 0E 75 0F 80 7B 06 10 75 09 C6 43 20 18 E9 8A 01 00 00 8B 43 18 0F B6 40 20 E8 ?? ?? ?? ?? 84 C0 74 1F 8B 43 1C 0F B6 40 20 E8 ?? ?? ?? ?? 84 C0 74 0F 80 7B 06 10 75 09 C6 43 20 0B E9 5B 01 00 00 8B 43 18 0F B6 40 20 E8 ?? ?? ?? ?? 84 C0 74 25 8B 43 1C 0F B6 40 20 E8 ?? ?? ?? ?? 84 C0 74 15 80 7B 06 11 75 0F 8B 43 18 0F B6 40 20 88 43 20 E9 26 01 00 00 8B 43 18 0F B6 40 20 E8 ?? ?? ?? ?? 84 C0 74 1F 8B 43 1C 0F B6 40 20 E8 ?? ?? ?? ?? 84 C0 74 0F 80 7B 06 11 75 09 C6 43 20 06 E9 F7 00 00 00 8B 43 18 0F B6 40 20 2C 01 74 0E 04 EA 2C 02 72 08 2C 0A 74 04 2C 03 75 2C 8B 43 1C 0F B6 40 20 E8 ?? ?? ?? ?? 84 C0 74 1C 80 7B 06 11 75 16 8B 43 1C 0F B6 40 20 8B 53 18 88 42 20 C6 43 20 06 E9 B2 00 00 00 8B 43 18 0F B6 40 20 2C 01 74 0E 04 EA 2C 02 72 08 2C 0A 74 04 2C 03 75 22 8B 43 1C 0F B6 40 20 E8 ?? ?? ?? ?? 84 C0 74 12 8B 43 18 80 78 04 01 75 09 8B 43 18 C6 40 20 0B EB 77 8B 43 18 0F B6 40 20 2C 18 74 13 2C 0E 74 0F 8B 43 1C 0F B6 40 20 2C 18 74 04 2C 0E 75 42 80 7B 06 10 75 3C 8B 43 18 0F B6 50 20 80 EA 18 74 0F 80 EA 0E 74 0A 80 78 04 01 75 04 C6 40 20 18 8B 43 1C 0F B6 50 20 80 EA 18 74 0F 80 EA 0E 74 0A 80 78 04 01 75 04 C6 40 20 18 C6 43 20 18 EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6335_0 {
	meta:
		name = "GetConnectionAdmin"
		size = 33
		refs = "0006 _DV_TConnectionAdmin 000b TConnectionAdmin.Create 001b @IntfCopy"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6336_0 {
	meta:
		name = "FormatLine"
		size = 84
		refs = "0029 FormatLine 002e Format"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F9 8B F2 8B D8 57 89 5C 24 04 C6 44 24 08 11 89 74 24 0C C6 44 24 10 11 8D 54 24 04 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3D 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_6337_0 {
	meta:
		name = "GetValue"
		size = 72
		refs = "000a GetValue 000f Pos 0025 @UStrCopy 002e @UStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 12 57 8D 53 01 B9 FF FF FF 7F 8B C6 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_6338_0 {
	meta:
		name = "WriteSectionValues"
		size = 180
		refs = "0021 WriteSectionValues 005c GetValue 006d TStrings.GetName 00a1 @UStrArrayClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D F0 89 5D E8 89 5D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 08 FF 51 58 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 7C 3E 46 33 DB 8D 4D EC 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 4D E8 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D E8 8B 55 F8 8B 45 FC 8B 38 FF 57 08 43 4E 75 C5 8B 45 FC 8B 10 FF 52 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6339_0 {
	meta:
		name = "TConnectionAdmin.Create"
		size = 276
		refs = "0019 @ClassCreate 0026 TConnectionAdmin.Create 0036 TObject.Create 0040 GetConnectionRegistryFile 004a FileExists 0058 SMissingDriverRegFile 005d LoadResString 0076 DatabaseErrorFmt 0080 _Dn_TMemIniFile 0085 TMemIniFile.Create 009e TEncoding.GetUTF8 00b6 @HandleAnyException 00c1 TObject.Free 00c6 @RaiseAgain 00cb @DoneExcept 00e0 @UStrClr 00ee @HandleFinally 00fc @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F4 89 4D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 FC B0 01 E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 28 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 55 F8 8B 52 0C 89 42 0C 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 F8 8B 40 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6341_0 {
	meta:
		name = "TConnectionAdmin.AddConnection"
		size = 292
		refs = "0019 TConnectionAdmin.AddConnection 0026 _Dn_TStringList 002b TStringList.Create 0048 TConnectionAdmin.GetDriverParams 0057 FormatLine 0090 WriteSectionValues 00a5 TObject.Free 00ab @HandleFinally 00c2 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 4D F4 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 33 D2 8B 45 F8 8B 18 FF 53 60 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 58 8B F8 83 FF FF 74 0A 8B D7 8B 45 F8 8B 08 FF 51 48 8B 46 0C 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 44 00 72 00 69 00 76 00 65 00 72 00 46 00 75 00 6E 00 63 00 00 00 }
	condition:
		$1
}

rule function_6342_0 {
	meta:
		name = "TConnectionAdmin.DeleteConnection"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 0C 8B 08 FF 51 58 5E C3 }
	condition:
		$1
}

rule function_6343_0 {
	meta:
		name = "TConnectionAdmin.GetConnectionNames"
		size = 372
		refs = "001d @UStrAddRef 0025 TConnectionAdmin.GetConnectionNames 0032 _Dn_TStringList 0037 TStringList.Create 0076 TObject.Free 007c @HandleFinally 0090 TStrings.BeginUpdate 00de AnsiCompareText 0106 TStrings.EndUpdate 0132 @UStrArrayClr 013a @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D EC 89 5D E8 89 4D FC 89 55 F4 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 0C 8B 55 F0 8B 08 FF 51 48 8B 55 F0 8B 45 F4 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D FC 00 0F 84 86 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 14 8B D8 4B 85 DB 7C 44 6A 00 8D 45 EC 50 8D 4D E8 8B D3 8B 45 F4 8B 30 FF 56 0C 8B 55 E8 8B 45 F8 8B 40 0C B9 ?? ?? ?? ?? 8B 30 FF 56 04 8B 45 EC 8B 55 FC E8 ?? ?? ?? ?? 85 C0 74 0A 8B D3 8B 45 F4 8B 08 FF 51 48 4B 85 DB 7D BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B 10 FF 52 14 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_6344_0 {
	meta:
		name = "TConnectionAdmin.GetConnectionParams"
		size = 111
		refs = "0012 _Dn_TStringList 0017 TStringList.Create 0022 TConnectionAdmin.GetConnectionParams 0055 TObject.Free 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 4D F8 8B D6 8B 18 FF 53 54 8B 55 F8 8B 45 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 10 FF 52 14 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6345_0 {
	meta:
		name = "TConnectionAdmin.GetDriverNames"
		size = 208
		refs = "0014 TConnectionAdmin.GetDriverNames 001f TDBXConnectionFactory.GetConnectionFactory 002c TDBXConnectionFactory.GetDriverNames 0052 TDBXConnectionFactory.GetDriverProperties 005c TDBXProperties.GetBoolean 008d @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 89 45 FC 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 34 8D 4D F8 8B D3 8B C6 8B 38 FF 57 0C 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D3 8B C6 8B 08 FF 51 48 4B 83 FB FF 75 CC 8B C6 8B 10 FF 52 14 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 65 00 6C 00 65 00 67 00 61 00 74 00 65 00 44 00 72 00 69 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_6346_0 {
	meta:
		name = "TConnectionAdmin.GetDelegateDriverNames"
		size = 208
		refs = "0014 TConnectionAdmin.GetDelegateDriverNames 001f TDBXConnectionFactory.GetConnectionFactory 002c TDBXConnectionFactory.GetDriverNames 0052 TDBXConnectionFactory.GetDriverProperties 005c TDBXProperties.GetBoolean 008d @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 89 45 FC 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 34 8D 4D F8 8B D3 8B C6 8B 38 FF 57 0C 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 09 8B D3 8B C6 8B 08 FF 51 48 4B 83 FB FF 75 CC 8B C6 8B 10 FF 52 14 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 65 00 6C 00 65 00 67 00 61 00 74 00 65 00 44 00 72 00 69 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_6347_0 {
	meta:
		name = "TConnectionAdmin.GetDriverParams"
		size = 51
		refs = "0008 TDBXConnectionFactory.GetConnectionFactory 001a TDBXConnectionFactory.GetDriverProperties"
	strings:
		$1 = { 56 57 55 8B F1 8B EA E8 ?? ?? ?? ?? 8B F8 8B C6 8B 10 FF 52 44 8B D5 8B C7 E8 ?? ?? ?? ?? 8B 50 08 8B C6 8B 08 FF 51 40 8B C6 8B 10 FF 52 14 5D 5F 5E C3 }
	condition:
		$1
}

rule function_6348_0 {
	meta:
		name = "TConnectionAdmin.GetDriverLibNames"
		size = 204
		refs = "0011 TConnectionAdmin.GetDriverLibNames 001c TDBXConnectionFactory.GetConnectionFactory 0023 TDBXConnectionFactory.GetDriverProperties 0034 TDBXProperties.GetValue 003e @UStrAsg 0072 @UStrArrayClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B D8 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 00 00 }
	condition:
		$1
}

rule function_6350_0 {
	meta:
		name = "TConnectionAdmin.RenameConnection"
		size = 112
		refs = "0010 _Dn_TStringList 0015 TStringList.Create 0020 TConnectionAdmin.RenameConnection 0032 TConnectionAdmin.GetConnectionParams 0049 WriteSectionValues 005e TObject.Free 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 8B D6 8B 08 FF 51 58 8B 43 0C 8B 4D FC 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6357_0 {
	meta:
		name = "FillMemory"
		size = 9
		refs = "0004 @FillChar"
		altNames = "TPlatformRecordBuffer.FillChar"
	strings:
		$1 = { 0F B6 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82790_0 {
	meta:
		name = "TOleControl.SetByteProp"
		size = 9
		refs = "0004 TOleControl.SetIntegerProp"
	strings:
		$1 = { 0F B6 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6358_0 {
	meta:
		name = "TPlatformRecordBuffer.SetFMTBcd"
		size = 38
	strings:
		$1 = { 56 57 83 C4 DC 8B F2 8D 3C 24 B9 08 00 00 00 F3 A5 66 A5 8B F8 8B F4 B9 08 00 00 00 F3 A5 66 A5 83 C4 24 5F 5E C3 }
	condition:
		$1
}

rule function_6359_0 {
	meta:
		name = "TPlatformRecordBuffer.GetFMTBcd"
		size = 103
		refs = "0016 TPlatformRecordBuffer.GetFMTBcd 0026 BcdToStr 0031 StrToBcd 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B FE 8D 75 D8 B9 08 00 00 00 F3 A5 66 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6360_0 {
	meta:
		name = "TPlatformRecordBuffer.Copy"
		size = 93
		refs = "0011 @DynArrayAddRef 0019 TPlatformRecordBuffer.Copy 002f Move 0045 TArray<System.Byte> 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8D 14 30 8B C3 8B 4D 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6365_0 {
	meta:
		name = "TPlatformValueBuffer.Copy"
		size = 93
		refs = "0011 @DynArrayAddRef 0019 TPlatformValueBuffer.Copy 002f Move 0045 TArray<System.Byte> 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8D 14 30 8B C3 8B 4D 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6361_0 {
	meta:
		name = "TPlatformPSResult.SetPSResult"
		size = 5
	strings:
		$1 = { 8B 00 89 10 C3 }
	condition:
		$1
}

rule function_6362_0 {
	meta:
		name = "TPlatformField.AsWideString"
		size = 82
		refs = "000f TPlatformField.AsWideString 002c @WStrFromUStr 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 84 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6366_0 {
	meta:
		name = "TPlatformValueBuffer.Copy"
		size = 92
		refs = "0011 @DynArrayAddRef 0019 TPlatformValueBuffer.Copy 002e Move 0044 TArray<System.Byte> 0049 @DynArrayClear 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 03 C3 8B 4D 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6367_0 {
	meta:
		name = "TPlatformBytes.BcdToBytes"
		size = 33
		altNames = "TPlatformBytes.Int16ToBytes TPlatformBytes.Int32ToBytes TPlatformBytes.TimeStampToBytes"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 85 DB 78 0A C1 EB 02 8B 34 9A 4B 56 79 F9 8B D4 8B 75 F8 8B 5D FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_6368_0 {
	meta:
		name = "TPlatformBytes.DoubleToBytes"
		size = 31
		altNames = "TPlatformBytes.Int64ToBytes"
	strings:
		$1 = { 55 8B EC 53 8B CA 85 C9 78 0A C1 E9 02 8B 1C 88 49 53 79 F9 8B C4 8B 5D FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_6372_0 {
	meta:
		name = "TPlatformBytes.StringToBytes"
		size = 68
		refs = "001b TPlatformBytes.StringToBytes 0034 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 85 DB 78 0A C1 EB 02 8B 34 9A 4B 56 79 F9 8B D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B 75 F8 8B 5D FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_6374_0 {
	meta:
		name = "TPlatformBytes.WideStringToBytes"
		size = 68
		refs = "001b TPlatformBytes.WideStringToBytes 0034 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 85 DB 78 0A C1 EB 02 8B 34 9A 4B 56 79 F9 8B D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B 75 F8 8B 5D FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_6377_0 {
	meta:
		name = "TClassRegistry.Create"
		size = 126
		refs = "000b @ClassCreate 0018 TObject.Create 001f _Dn_TThreadList 0024 TThreadList.Create 002e _Dn_TStringList 0033 TStringList.Create 0041 TStringList.SetSorted 006a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 08 8B C6 B2 01 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 0C 8B C6 B2 01 E8 ?? ?? ?? ?? C6 47 10 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6378_0 {
	meta:
		name = "TClassRegistry.Destroy"
		size = 260
		refs = "000f @BeforeDestruction 001c TClassRegistry.Destroy 0030 SCannotFreeClassRegistry 0035 LoadResString 003f _DV_EClassRegistryError 0044 Exception.Create 0049 @RaiseExcept 0059 TObject.Free 00e4 @UStrClr 00ea @HandleFinally 00f9 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 10 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 73 08 85 F6 74 24 8B C6 8B 10 FF 52 14 48 85 C0 7C 18 40 89 C6 33 FF 8B 43 08 8B D7 8B 08 FF 51 18 E8 ?? ?? ?? ?? 47 4E 75 ED 8D 43 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 73 0C 85 F6 74 24 8B C6 8B 10 FF 52 14 48 85 C0 7C 18 40 89 C6 33 FF 8B 43 0C 8B D7 8B 08 FF 51 18 E8 ?? ?? ?? ?? 47 4E 75 ED 8D 43 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FF 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6379_0 {
	meta:
		name = "TClassRegistry.CreateInstance"
		size = 277
		refs = "0019 @UStrAddRef 0022 TInstanceCreator 0027 @InitializeRecord 002f TClassRegistry.CreateInstance 0040 TThreadList.LockList 0059 TClassRegistry.FindClass 0069 SNotRegistered 006e LoadResString 0087 Format 0091 _DV_EClassRegistryError 0096 Exception.Create 009b @RaiseExcept 00a5 TClassRegistryItem.InitializeInstanceCreator 00c0 TMonitor.Exit 00c6 @HandleFinally 00d0 TInstanceCreator.CreateInstance 00ec @UStrArrayClr 00fa @FinalizeRecord 0102 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 C9 89 4D E8 89 4D E4 89 55 FC 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 04 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 45 EC E8 ?? ?? ?? ?? 85 C0 75 40 8D 45 E8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 FC 89 45 DC C6 45 E0 11 8D 55 DC 33 C9 58 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 40 04 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8D 45 F0 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6380_0 {
	meta:
		name = "TClassRegistry.FindClass"
		size = 110
		refs = "0011 @UStrAddRef 0019 TClassRegistry.FindClass 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B 43 08 8B 30 FF 96 9C 00 00 00 84 C0 74 0F 8B 55 F8 8B 43 08 8B 08 FF 51 18 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6381_0 {
	meta:
		name = "TClassRegistry.FindPackage"
		size = 110
		refs = "0011 @UStrAddRef 0019 TClassRegistry.FindPackage 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B 43 0C 8B 30 FF 96 9C 00 00 00 84 C0 74 0F 8B 55 F8 8B 43 0C 8B 08 FF 51 18 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6382_0 {
	meta:
		name = "TClassRegistry.GetClassRegistry"
		size = 41
		refs = "0002 TClassRegistry.ClassRegistry 000c _DV_TClassRegistry 0011 TClassRegistry.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 1A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C6 40 10 00 A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6383_0 {
	meta:
		name = "TClassRegistry.HasClass"
		size = 89
		refs = "0010 @UStrAddRef 0018 TClassRegistry.HasClass 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B 43 08 8B 18 FF 93 9C 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6384_0 {
	meta:
		name = "TClassRegistry.RegisterClass"
		size = 165
		refs = "001b @UStrAddRef 0023 TClassRegistry.RegisterClass 0039 SInvalidClassRegister 003e LoadResString 0057 Format 0061 _DV_EClassRegistryError 0066 Exception.Create 006b @RaiseExcept 0093 @UStrArrayClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F8 89 5D F4 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 3E 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6385_0 {
	meta:
		name = "TClassRegistry.RegisterClass"
		size = 361
		refs = "001b @UStrAddRef 0023 TClassRegistry.RegisterClass 0034 TThreadList.LockList 003f TClassRegistry.FindClass 006b SAlreadyRegistered 0070 LoadResString 0089 Format 0093 _DV_EClassRegistryError 0098 Exception.Create 009d @RaiseExcept 00ac _DV_TClassRegistryItem 00b1 TObject.Create 00d0 @UStrAsg 0109 TObject.Free 010f @HandleFinally 012c TMonitor.Exit 014e @UStrArrayClr 0156 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 DB 89 5D F0 89 5D EC 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 74 4F 8B 45 F4 83 78 08 00 74 3E 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 89 58 08 EB 6C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 C0 04 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 89 58 08 8B 45 F4 33 D2 89 50 0C 8B 45 F8 8B 40 08 8B 4D F4 8B 55 FC 8B 18 FF 53 3C 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 04 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6386_0 {
	meta:
		name = "TClassRegistry.RegisterRegistryClass"
		size = 446
		refs = "0021 @UStrAddRef 0029 TClassRegistry.RegisterRegistryClass 003f SInvalidClassRegister 0044 LoadResString 005d Format 0067 _DV_EClassRegistryError 006c Exception.Create 0071 @RaiseExcept 007c TThreadList.LockList 0095 TClassRegistry.FindClass 00b3 SAlreadyRegistered 00f6 _DV_TClassRegistryItem 00fb TObject.Create 011a @UStrAsg 0153 TObject.Free 0159 @HandleFinally 0176 TMonitor.Exit 0198 @UStrArrayClr 01ad @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 DB 89 5D E0 89 5D DC 89 5D F0 89 5D EC 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 3E 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 51 8B 45 F4 83 78 08 00 74 3E 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 FC 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 50 08 EB 6C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 C0 04 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 50 08 8B 45 F4 89 58 0C 8B 45 F8 8B 40 08 8B 4D F4 8B 55 FC 8B 18 FF 53 3C 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 04 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6387_0 {
	meta:
		name = "TClassRegistry.RegisterPackageClass"
		size = 470
		refs = "001c @UStrAddRef 002c TClassRegistry.RegisterPackageClass 004f TThreadList.LockList 0068 TClassRegistry.FindClass 007d SAlreadyRegistered 0082 LoadResString 009b Format 00a5 _DV_EClassRegistryError 00aa Exception.Create 00af @RaiseExcept 00ba TClassRegistry.FindPackage 00cd _DV_TClassRegistryPackageItem 00d2 TClassRegistryPackageItem.Create 00fe _DV_TClassRegistryItem 0103 TObject.Create 0114 @UStrAsg 017a TObject.Free 0196 TMonitor.Exit 019c @HandleFinally 01b8 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 DB 89 5D E4 89 5D E0 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 33 C0 89 45 EC C6 45 EA 00 C6 45 EB 00 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 3E 8D 45 E4 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 FC 89 45 D8 C6 45 DC 11 8D 55 D8 33 C9 58 E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 18 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC C6 45 EA 01 EB 04 C6 45 EA 00 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 C6 45 EB 00 83 7D F0 00 75 21 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 83 C0 04 8B 55 FC E8 ?? ?? ?? ?? C6 45 EB 01 8B 45 F0 8B 55 EC 89 50 10 80 7D EA 00 74 11 8B 45 F4 8B 40 0C 8B 4D EC 8B 55 F8 8B 18 FF 53 3C 8B 45 EC FF 40 04 80 7D EB 00 74 11 8B 45 F4 8B 40 08 8B 4D F0 8B 55 FC 8B 18 FF 53 3C 33 C0 89 45 F0 33 C0 89 45 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D EA 00 74 08 8B 45 EC E8 ?? ?? ?? ?? 80 7D EB 00 74 08 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 04 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6388_0 {
	meta:
		name = "TClassRegistry.UnregisterClass"
		size = 197
		refs = "0011 @UStrAddRef 0019 TClassRegistry.UnregisterClass 002a TThreadList.LockList 0064 _DV_TClassRegistryItem 0069 @AsClass 006e TObject.Free 0097 TMonitor.Exit 009d @HandleFinally 00b4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D F4 8B 45 F8 8B 40 08 8B 55 FC 8B 18 FF 93 9C 00 00 00 84 C0 74 2C 8B 45 F8 8B 40 08 8B 55 F4 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 8B 55 F4 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 04 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6389_0 {
	meta:
		name = "TInstanceCreator.CreateInstance"
		size = 172
		refs = "0016 TInstanceCreator.CreateInstance 002c TObject.Create 004d SInvalidClassRegister 0052 LoadResString 006a Format 0074 _DV_EClassRegistryError 0079 Exception.Create 007e @RaiseExcept 0098 @UStrArrayClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 43 04 85 C0 74 0B B2 01 E8 ?? ?? ?? ?? 8B F0 EB 0D 8B 43 08 85 C0 74 06 B2 01 FF 10 8B F0 85 F6 75 3D 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 03 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6390_0 {
	meta:
		name = "TClassRegistryPackageItem.Create"
		size = 135
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TClassRegistryPackageItem.Create 0034 TObject.Create 003f @UStrAsg 0047 LoadPackage 005f @UStrClr 0065 @HandleFinally 0072 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 46 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6392_0 {
	meta:
		name = "TClassRegistryItem.InitializeInstanceCreator"
		size = 31
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 04 E8 ?? ?? ?? ?? 8B 43 08 89 46 04 8B 43 0C 89 46 08 5E 5B C3 }
	condition:
		$1
}

rule function_6394_0 {
	meta:
		name = "Finalization"
		size = 45
		refs = "0002 _DV_6 000a TClassRegistry.ClassRegistry 0028 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 24 83 3D ?? ?? ?? ?? 00 74 1B A1 ?? ?? ?? ?? C6 40 10 01 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6397_0 {
	meta:
		name = "TDBXClientDriver.Create"
		size = 244
		refs = "0011 @ClassCreate 0026 TDBXDriverDef 002b @AddRefRecord 0033 TDBXClientDriver.Create 0045 TDBXDriver.Create 004a RPR 0050 TDBXClientDriver.CreateClientCommand 0059 TDBXDriver.AddCommandFactory 0073 TDBXProperties.GetBoolean 007e TDBXDriver.CacheUntilFinalization 0099 @FinalizeRecord 009f @HandleFinally 00ac @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F4 A5 A5 A5 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 12 85 C0 74 14 8B C6 8B 10 FF 12 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 41 00 75 00 74 00 6F 00 55 00 6E 00 6C 00 6F 00 61 00 64 00 44 00 72 00 69 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_6398_0 {
	meta:
		name = "TDBXClientDriver.Create"
		size = 256
		refs = "0011 @ClassCreate 0026 TDBXDriverDef 002b @AddRefRecord 0033 TDBXClientDriver.Create 0045 TDBXDriver.Create 004a RPR 0050 TDBXClientDriver.CreateClientCommand 0059 TDBXDriver.AddCommandFactory 007d TDBXProperties.GetBoolean 0088 TDBXDriver.CacheUntilFinalization 00a3 @FinalizeRecord 00a9 @HandleFinally 00b6 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F4 A5 A5 A5 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 55 08 8B C6 8B 08 FF 51 04 8B C6 8B 10 FF 12 85 C0 74 14 8B C6 8B 10 FF 12 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 41 00 75 00 74 00 6F 00 55 00 6E 00 6C 00 6F 00 61 00 64 00 44 00 72 00 69 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_6399_0 {
	meta:
		name = "TDBXClientDriver.CreateChannel"
		size = 168
		refs = "000c TDBXClientDriver.CreateChannel 0029 AnsiCompareText 0034 _Dn_TDBXFilterSocketChannel 0039 TDBXFilterSocketChannel.Create 0042 _Dn_TDBXSocketChannel 0047 TDBXSocketChannel.Create 0075 @UStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 08 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 25 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 2C EB 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_6400_0 {
	meta:
		name = "TDBXClientDriver.CreateClientCommand"
		size = 36
		refs = "0015 _DV_TDBXClientCommand 001c TDBXClientCommand.Create"
	strings:
		$1 = { 55 8B EC 8B C1 50 8B 48 44 51 8B 48 3C 51 8B 40 40 50 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_6401_0 {
	meta:
		name = "TDBXClientDriver.CreateConnection"
		size = 22
		refs = "0006 _DV_TDBXClientConnection 000d TDBXClientConnection.Create"
	strings:
		$1 = { 53 8B D8 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 58 34 5B C3 }
	condition:
		$1
}

rule function_6402_0 {
	meta:
		name = "TDBXClientDriver.GetDriverVersion"
		size = 40
		refs = "0006 TDBXClientDriver.GetDriverVersion 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_12336_0 {
	meta:
		name = "TDBXOdbcDriver.GetDriverVersion"
		size = 40
		refs = "0006 TDBXOdbcDriver.GetDriverVersion 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_6404_0 {
	meta:
		name = "TDBXClientDriverLoader.Load"
		size = 644
		refs = "001f TDBXDriverDef 0024 @AddRefRecord 002c TDBXClientDriverLoader.Load 0042 TDBXProperties.GetValue 004d @UStrLAsg 0081 CompareText 0178 _DV_TDBXClientDriver 017d TDBXClientDriver.Create 019e @FinalizeRecord 01ab @UStrArrayClr 01b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8D 7D D0 A5 A5 A5 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 04 B0 01 EB 20 83 7D E8 00 74 06 83 7D E4 00 75 04 33 C0 EB 10 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 E0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 3B 45 DC 75 04 B0 01 EB 20 83 7D E0 00 74 06 83 7D DC 00 75 04 33 C0 EB 10 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 13 8D 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 42 00 58 00 43 00 6C 00 69 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 42 00 58 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 43 00 6C 00 69 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_6405_0 {
	meta:
		name = "TDBXClientConnection.Create"
		size = 75
		refs = "000a @ClassCreate 0017 TDBXConnection.Create 001e _Dn_TStringList 0023 TStringList.Create 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 C7 46 44 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6406_0 {
	meta:
		name = "TDBXClientConnection.DerivedClose"
		size = 176
		refs = "0018 TDBXClientConnection.DerivedClose 002b TDBXJSonStreamWriter.WriteDisconnectObject 0044 TDBXJSonStreamWriter.Flush 0053 @HandleAnyException 0058 @DoneExcept 0093 TObject.Free"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 40 44 85 C0 7C 66 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C7 40 44 FF FF FF FF 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C7 40 44 FF FF FF FF 8B 45 FC 83 C0 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6407_0 {
	meta:
		name = "TDBXClientConnection.Commit"
		size = 29
	strings:
		$1 = { 56 8B 48 38 8B 71 4C C6 46 04 01 8B 52 10 89 56 08 8B D6 8B 40 38 8B 08 FF 51 3C 5E C3 }
	condition:
		$1
}

rule function_6408_0 {
	meta:
		name = "TDBXClientConnection.Rollback"
		size = 29
	strings:
		$1 = { 56 8B 48 38 8B 71 4C C6 46 04 00 8B 52 10 89 56 08 8B D6 8B 40 38 8B 08 FF 51 3C 5E C3 }
	condition:
		$1
}

rule function_6409_0 {
	meta:
		name = "TDBXClientConnection.CreateAndBeginTransaction"
		size = 49
		refs = "0024 _DV_TDBXClientTransaction 0029 TDBXClientTransaction.Create"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 38 8B 70 48 89 7E 04 8B D6 8B 43 38 8B 08 FF 51 38 57 8B 46 08 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6410_0 {
	meta:
		name = "TDBXClientConnection.DerivedGetCommands"
		size = 416
		refs = "0018 TDBXClientConnection.DerivedGetCommands 002a @UStrEqual 00c5 TObject.Free 00d8 @HandleFinally 00ef @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 AA 00 00 00 33 C0 89 45 F8 8B C3 8B 10 FF 52 7C 89 45 FC BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 10 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 64 89 45 F8 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 20 8B D8 EB 1C 8B D3 8B 45 F8 8B 08 FF 51 10 8D 55 F4 8B 08 FF 51 70 8B 55 F4 8B C6 8B 08 FF 51 38 8B 45 F8 8B 10 FF 52 3C 84 C0 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 47 00 65 00 74 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 65 00 74 00 68 00 6F 00 64 00 41 00 6C 00 69 00 61 00 73 00 00 00 }
	condition:
		$1
}

rule function_6411_0 {
	meta:
		name = "TDBXClientConnection.GetProductName"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TWebButton.GetCaption"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111422_0 {
	meta:
		name = "TDomAttr.GetNodeName"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59489_0 {
	meta:
		name = "TDynamicObjectMemberGroup.GetFixedGroup"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59480_0 {
	meta:
		name = "TDynamicObjectMemberInstance.GetFixedInstance"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6412_0 {
	meta:
		name = "TDBXClientConnection.GetVendorProperty"
		size = 236
		refs = "0017 TDBXClientConnection.GetVendorProperty 0022 TDBXJSonStreamWriter.ProtocolVersion2 0047 TStrings.GetValueFromIndex 0053 TDBXJSonStreamWriter.WriteVendorProperty 005b TDBXJSonStreamReader.NextResultObjectStart 0068 TDBXJSonStreamReader.Next 0073 TDBXJSonStreamReader.ReadString 007b TDBXJSonStreamReader.SkipToEndOfObject 0093 @UStrCatN 00ac TDBXConnection.GetVendorProperty 00c6 @UStrArrayClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 3B 43 4C 7F 77 8B D6 8B 43 50 8B 08 FF 51 58 8B F8 83 FF FF 7E 0F 8B 4D FC 8B D7 8B 43 50 E8 ?? ?? ?? ?? EB 63 8B D6 8B 43 40 E8 ?? ?? ?? ?? 8B 43 3C E8 ?? ?? ?? ?? BA 04 00 00 00 8B 43 3C E8 ?? ?? ?? ?? 8B 55 FC 8B 43 3C E8 ?? ?? ?? ?? 8B 43 3C E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8B 45 FC FF 30 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 50 8B 08 FF 51 38 EB 0C 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_6413_0 {
	meta:
		name = "TDBXClientConnection.DerivedGetCommandTypes"
		size = 72
		refs = "0003 TDBXClientConnection.DerivedGetCommandTypes"
	strings:
		$1 = { 8B C2 BA ?? ?? ?? ?? 8B 08 FF 51 38 C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 }
	condition:
		$1
}

rule function_6414_0 {
	meta:
		name = "TDBXClientConnection.DerivedOpen"
		size = 712
		refs = "0014 TDBXClientConnection.DerivedOpen 0066 TDBXProperties.GetInteger 0079 _Dn_TDBXJSonStreamReader 007e TObject.Create 00a7 TDBXJSonStreamReader.Open 00ae _Dn_TDBXJSonStreamWriter 00b3 TDBXJSonStreamWriter.Create 00ce TDBXJSonStreamWriter.Open 00ec _Dn_TDBXJSonClientInputConnectionHandler 00f1 TDBXJSonClientInputConnectionHandler.Create 0110 _Dn_TDBXJSonClientOutputConnectionHandler 0115 TDBXJSonClientOutputConnectionHandler.Create 0126 TDBXJSonStreamWriter.WriteConnectObjectStart 0131 TDBXJSonStreamWriter.WriteParamsStart 0152 TDBXProperties.GetLists 015f TDBXJSonStreamWriter.WriteObjectStart 017a TDBXJSonStreamWriter.WriteNamedString 018a TDBXJSonStreamWriter.WriteValueSeparator 0199 TDBXJSonStreamWriter.WriteObjectEnd 01a4 TDBXJSonStreamWriter.WriteArrayEnd 01ba TDBXJSonStreamWriter.Flush 01c5 TDBXJSonStreamReader.NextResultObjectStart 01d5 TDBXJSonStreamReader.Next 01e0 TDBXJSonStreamReader.ReadInt 0204 TDBXJSonStreamReader.ReadString 0212 @UStrAsg 023e TDBXJSonStreamReader.SkipToEndOfObject 0263 @HandleFinally 027a @UStrClr 0283 TWideStringArray 028d @FinalizeArray"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 40 34 8B 10 FF 52 2C 8B D8 8B 45 F4 89 58 30 8B 45 F4 8B 50 2C 8B C3 8B 08 FF 51 1C 8B 45 F4 8B 40 30 8B 10 FF 12 8B 45 F4 8B 40 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 83 FE 01 7D 05 BE 20 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F4 89 58 3C 8B 45 F4 8B 40 30 89 43 48 8B 45 F4 8B 40 28 89 43 4C 8B FE C1 E7 0A 89 7B 50 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F4 89 58 40 8B 45 F4 8B 40 30 89 43 18 89 7B 04 8B C3 E8 ?? ?? ?? ?? 33 DB 8B 45 F4 8B 40 3C 50 8B 45 F4 8B 40 40 50 53 8B 45 F4 8B 48 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 56 8B 45 F4 8B 40 3C 50 8B 45 F4 8B 40 40 50 53 8B 45 F4 8B 48 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 42 38 8B 45 F4 8B 40 40 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 40 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 2C 8B 40 08 8B 10 FF 52 14 8B F0 8D 4D F8 8D 55 FC 8B 45 F4 8B 40 2C E8 ?? ?? ?? ?? 33 DB 8B 45 F4 8B 40 40 E8 ?? ?? ?? ?? 3B F3 7E 2B 8B 45 F8 8B 0C 98 8B 45 FC 8B 14 98 8B 45 F4 8B 40 40 E8 ?? ?? ?? ?? 43 3B F3 7E 0B 8B 45 F4 8B 40 40 E8 ?? ?? ?? ?? 3B F3 7F D5 8B 45 F4 8B 40 40 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 40 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 40 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 40 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 3C E8 ?? ?? ?? ?? 8B 45 F4 8B 40 3C BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 3C E8 ?? ?? ?? ?? 8B 55 F4 89 42 44 8B 45 F4 8B 40 3C BA 0D 00 00 00 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F4 8B 40 3C E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 83 C0 48 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 3C E8 ?? ?? ?? ?? 83 F8 0D 75 11 8B 45 F4 8B 40 3C E8 ?? ?? ?? ?? 8B 55 F4 89 42 4C 8B 45 F4 8B 40 3C E8 ?? ?? ?? ?? C6 45 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F3 00 75 08 8B 45 F4 8B 10 FF 52 64 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 42 00 75 00 66 00 66 00 65 00 72 00 4B 00 42 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_6415_0 {
	meta:
		name = "TDBXClientConnection.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXConnection.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24198_0 {
	meta:
		name = "TDSRemoteSession.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDSTunnelSession.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33884_0 {
	meta:
		name = "TIdMVSJESIntF2FTPListItem.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TCollectionItem.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37182_0 {
	meta:
		name = "TIdSMTPServerContext.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TIdContext.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29031_0 {
	meta:
		name = "TMessageDeletor.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TThread.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29014_0 {
	meta:
		name = "TMessagePopulator.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TThread.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29019_0 {
	meta:
		name = "TQueueCreator.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TThread.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29023_0 {
	meta:
		name = "TQueueDeletor.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TThread.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29008_0 {
	meta:
		name = "TQueuePopulator.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TThread.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29144_0 {
	meta:
		name = "TTableCreator.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TThread.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29148_0 {
	meta:
		name = "TTableDeletor.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TThread.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29140_0 {
	meta:
		name = "TTablesPopulator.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TThread.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6417_0 {
	meta:
		name = "TDBXClientConnection.updateIsolationLevel"
		size = 4
		altNames = "TDBXContext.SetDBXFormatter TSeriesPointer.ChangeHorizSize"
	strings:
		$1 = { 89 50 24 C3 }
	condition:
		$1
}

rule function_6418_0 {
	meta:
		name = "TDBXClientCommand.DerivedClearParameters"
		size = 144
		refs = "000d TDBXClientCommand.DerivedClearParameters 001f TDBXRowBuffer.Cancel 002f TDBXInt32s 0034 @DynArraySetLength 005c @DynArrayAsg 0064 TDBXActiveTableReaderList.CloseAllActiveTableReaders 007f @DynArrayClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 58 85 C0 74 4A E8 ?? ?? ?? ?? 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 53 38 89 10 8B 73 58 8B 46 38 C7 00 FF FF FF FF 8D 46 38 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 54 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6421_0 {
	meta:
		name = "TDBXClientCommand.Create"
		size = 83
		refs = "000d @ClassCreate 001a TDBXCommand.Create 003d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 10 89 46 34 8B 45 0C 89 46 2C 8B 45 08 89 46 30 8B 45 14 89 46 4C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_6422_0 {
	meta:
		name = "TDBXClientCommand.CreateParameterRow"
		size = 145
		refs = "000d _Dn_TDBXRowBuffer 0012 TDBXRowBuffer.Create 0038 TDBXJSonStreamWriter.CalcRowBufferSize 0042 TDBXBinaryStream.SetMinBufferSize 005b _Dn_TDBXActiveTableReaderList 0060 TObject.Create 007e _DV_TDBXClientParameterRow 0083 TDBXClientParameterRow.Create"
	strings:
		$1 = { 53 56 8B D8 83 7B 58 00 75 43 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 58 C6 46 34 01 8B 53 2C 8B C6 8B 08 FF 51 04 8B 53 30 8B 43 58 8B 08 FF 51 08 8B 43 30 E8 ?? ?? ?? ?? 8B D0 8B 43 58 E8 ?? ?? ?? ?? 8B 43 58 C6 40 78 01 8B 43 58 8B 40 38 8B 53 38 89 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 54 8B 43 38 50 53 8B 43 2C 50 8B 43 30 50 8B 43 58 50 8B 4B 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 60 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6423_0 {
	meta:
		name = "TDBXClientCommand.DerivedClose"
		size = 99
		refs = "0021 TDBXClientCommand.DerivedClose 0032 TDBXJSonStreamWriter.WriteCommandCloseObject 0041 @HandleAnyException 0046 @DoneExcept 0059 TObject.Free"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 40 30 85 C0 74 36 8B 55 FC 83 7A 38 00 7C 2D 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 52 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 54 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6424_0 {
	meta:
		name = "TDBXClientCommand.DerivedExecuteQuery"
		size = 109
		refs = "0008 TDBXClientCommand.Execute"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 55 83 7B 24 00 74 4F 8B 43 24 8B 10 FF 52 08 85 C0 7E 43 8B 7B 24 8B C7 8B 10 FF 52 08 8B D0 4A 8B C7 8B 08 FF 51 04 8B 10 FF 52 40 83 F8 04 75 25 8B 7B 24 8B C7 8B 10 FF 52 08 8B D0 4A 8B C7 8B 08 FF 51 04 8B 10 FF 52 7C 33 C9 8B D6 8B 18 FF 93 A8 01 00 00 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6426_0 {
	meta:
		name = "TDBXClientCommand.DerivedGetNextReader"
		size = 66
	strings:
		$1 = { 53 56 8B D8 8B 43 38 85 C0 7E 32 8B 53 4C 8B 52 38 8B 72 3C 89 46 04 8B 43 4C 8B 40 38 8B D6 8B 08 FF 51 08 8B 46 10 89 43 40 8B 46 14 89 43 44 0F B6 46 08 88 43 48 8B 46 18 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_6427_0 {
	meta:
		name = "TDBXClientCommand.DerivedOpen"
		size = 8
	strings:
		$1 = { C7 40 38 FF FF FF FF C3 }
	condition:
		$1
}

rule function_6428_0 {
	meta:
		name = "TDBXClientCommand.DerivedPrepare"
		size = 255
		refs = "0012 TDBXClientCommand.DerivedPrepare 0052 @UStrAsg 00ec @UStrArrayClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 4C 8B 40 38 8B 40 40 89 45 FC 8B C3 8B 10 FF 52 34 8B 55 FC 89 42 18 8B 45 FC 8B 53 38 89 50 04 8D 55 F8 8B C3 8B 08 FF 51 08 8B 55 F8 8B 45 FC 83 C0 0C E8 ?? ?? ?? ?? 8D 55 F4 8B C3 8B 08 FF 51 0C 8B 55 F4 8B 45 FC 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 53 5C 88 50 14 8B 43 4C 8B 40 38 8B 55 FC 8B 08 FF 51 04 8B 43 24 8B 10 FF 52 08 8B F8 4F 85 FF 7C 22 47 33 F6 8B D6 8B 43 24 8B 08 FF 51 04 85 C0 74 11 8B D6 8B 43 24 8B 08 FF 51 04 89 58 4C 46 4F 75 E1 8B 45 FC 8B 40 04 89 43 38 8B 53 58 85 D2 74 05 8B 52 38 89 02 8B 45 FC 0F B6 40 14 88 43 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6429_0 {
	meta:
		name = "TDBXClientCommand.Destroy"
		size = 84
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0042 TDBXCommand.Destroy 004d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 54 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6430_0 {
	meta:
		name = "TDBXClientCommand.Execute"
		size = 215
		refs = "000f TDBXClientCommand.Execute 0050 @UStrAsg 00a2 TDBXClientConnection.updateIsolationLevel 00c3 @UStrArrayClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 4C 8B 40 38 8B 70 30 8B 43 38 89 46 04 0F B6 43 11 88 46 28 8B C3 8B 10 FF 52 34 89 46 18 8B 43 60 89 46 38 8D 55 FC 8B C3 8B 08 FF 51 08 8B 55 FC 8D 46 0C E8 ?? ?? ?? ?? 8D 55 F8 8B C3 8B 08 FF 51 0C 8B 55 F8 8D 46 10 E8 ?? ?? ?? ?? 8B 43 54 89 46 40 0F B6 43 5C 88 46 14 8B 43 4C 8B 40 38 8B D6 8B 08 FF 11 8B 46 48 89 43 40 8B 46 4C 89 43 44 8B 46 04 89 43 38 8B 46 44 83 F8 FF 7E 0A 8B D0 8B 43 4C E8 ?? ?? ?? ?? C6 43 5C 00 8B 5E 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6433_0 {
	meta:
		name = "TDBXClientCommand.GetRowsAffected"
		size = 26
		altNames = "TDBXOdbcCommand.GetRowsAffected TDBXRowBlobStreamReader.Size TXmlSignal.GetStartByteNumber"
	strings:
		$1 = { 83 C4 F8 8B 50 40 89 14 24 8B 50 44 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_6434_0 {
	meta:
		name = "TActiveForm.DefinePropertyPages"
		size = 7
		altNames = "TActiveXControl.DefinePropertyPages TBaseProvider.UpdateRecord TBasicActionLink.SetOnExecute TComponent.GetChildren TCustomChart.FillSeriesSourceItems TCustomRadioGroup.GetChildren TCustomZlibStream.IdSetSize TDBNavigator.GetChildren TDBXClientCommand.SetMaxBlobSize TDBXClientCommand.SetRowSetSize TDBXDynalinkByteReader.GetUInt16 TDBXJSonStreamWriter.WriteDouble TDBXMetaDataCommand.SetMaxBlobSize TDBXMetaDataCommand.SetRowSetSize TDBXOdbcCommand.SetMaxBlobSize TDBXReaderByteReader.GetAnsiString TDSServerCommand.SetMaxBlobSize TDSServerCommand.SetRowSetSize TDragObject.Finished THTTPSoapDispatchNode.DispatchSOAP TIdDateTimeStamp.AddTDateTime TIdHTTPRangeStream.IdSetSize TIdHashNativeAndIntF.NativeGetHashBytes TIdSASL.ContinueAuthenticate TIdTCPStream.IdSetSize TInDateTimeStamp.AddTDateTime TInHTTPRangeStream.IdSetSize TInHashNativeAndIntF.NativeGetHashBytes TOleContainer.OnRename TRibbonGroupDropDown.DrawArrow TRibbonSpinEdit.GetChildren TSeCustomStyle.WindowDrawClient TSpinEdit.GetChildren TTabSet.GetChildren TTeeCustomTool.ChartKeyEvent TTeeCustomTool.WheelMouseEvent TTeeNeutralCanvas.ClipPolygon"
	strings:
		$1 = { 55 8B EC 5D C2 08 00 }
	condition:
		$1
}

rule function_6436_0 {
	meta:
		name = "TDBXClientCommand.SetText"
		size = 140
		refs = "0010 TDBXClientCommand.SetText 0022 Pos 0032 @UStrLAsg 003d @UStrSetLength 0047 TDBXCommand.SetText 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 21 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B D3 4A 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_6437_0 {
	meta:
		name = "TDBXJSonByteReader.Create"
		size = 95
		refs = "000e @ClassCreate 0020 TDBXReaderByteReader.Create 0048 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 14 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 18 89 43 0C 8B 45 10 89 43 10 8B 45 0C 89 43 14 8B 45 08 89 43 18 89 73 1C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_6438_0 {
	meta:
		name = "TDBXJSonByteReader.GetAnsiString"
		size = 76
		refs = "0011 TDBXRowBuffer.GoToField 0019 TDBXRowBuffer.IsNull 0041 TDBXRowBuffer.ReadAnsiStringBytes"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B D8 8B 75 08 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 84 C0 74 08 C7 06 FF FF FF FF EB 1C 33 C0 89 06 8B 45 0C 50 8B 43 1C 8B 10 FF 52 38 8B D0 8B CF 8B 43 18 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6446_0 {
	meta:
		name = "TDBXJSonByteReader.GetWideString"
		size = 76
		refs = "0011 TDBXRowBuffer.GoToField 0019 TDBXRowBuffer.IsNull 0041 TDBXRowBuffer.ReadStringBytes"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B D8 8B 75 08 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 84 C0 74 08 C7 06 FF FF FF FF EB 1C 33 C0 89 06 8B 45 0C 50 8B 43 1C 8B 10 FF 52 38 8B D0 8B CF 8B 43 18 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6439_0 {
	meta:
		name = "TDBXJSonByteReader.GetDouble"
		size = 341
		refs = "0018 TDBXJSonByteReader.GetDouble 0049 TDBXReaderByteReader.GetDouble 0058 TDBXRowBuffer.GoToField 0060 TDBXRowBuffer.IsNull 0081 TDBXBinaryStream.ReadDoubleAsInt64 0093 TArray<System.Byte> 0098 @DynArrayAsg 0141 @DynArrayClear 0147 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 43 1C 8B 08 FF 51 10 8B 40 04 8B 10 FF 52 54 83 F8 1B 75 19 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? E9 D8 00 00 00 8B D6 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 08 C7 00 FF FF FF FF E9 B4 00 00 00 8B 45 08 33 D2 89 10 8B 43 18 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 8D 45 FC 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC 33 C9 88 04 0A 8B 45 F0 8B 55 F4 0F AC D0 08 C1 EA 08 8B 55 FC 33 C9 88 44 0A 01 8B 45 F0 8B 55 F4 0F AC D0 10 C1 EA 10 8B 55 FC 33 C9 88 44 0A 02 8B 45 F0 8B 55 F4 0F AC D0 18 C1 EA 18 8B 55 FC 33 C9 88 44 0A 03 8B 45 F4 33 D2 8B 55 FC 33 C9 88 44 0A 04 8B 45 F4 C1 E8 08 33 D2 8B 55 FC 33 C9 88 44 0A 05 8B 45 F4 C1 E8 10 33 D2 8B 55 FC 33 C9 88 44 0A 06 8B 45 F4 C1 E8 18 33 D2 8B 55 FC 33 C9 88 44 0A 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_6440_0 {
	meta:
		name = "TDBXJSonByteReader.GetInt16"
		size = 252
		refs = "001c TDBXJSonByteReader.GetInt16 002c TDBXRowBuffer.GoToField 0034 TDBXRowBuffer.IsNull 0068 TDBXBinaryStream.ReadBoolean 00a2 TDBXBinaryStream.ReadInt16 00b0 TArray<System.Byte> 00b5 @DynArrayAsg 00e7 @DynArrayClear 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 84 C0 74 0B C7 07 FF FF FF FF E9 89 00 00 00 33 C0 89 07 8B D6 8B 43 1C 8B 08 FF 51 10 8B F0 8B 46 04 8B 10 FF 52 50 83 F8 04 75 3A 8B 43 18 E8 ?? ?? ?? ?? 84 C0 74 17 8B 45 F8 8B 55 0C C6 04 10 FF 8B 45 F8 8B 55 0C C6 44 10 01 FF EB 49 8B 45 F8 8B 55 0C C6 04 10 00 8B 45 F8 8B 55 0C C6 44 10 01 00 EB 32 8B 43 18 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 88 1C 10 8B 45 FC 33 D2 0F BF CB C1 E9 08 88 4C 10 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6441_0 {
	meta:
		name = "TDBXJSonByteReader.GetInt32"
		size = 191
		refs = "001c TDBXJSonByteReader.GetInt32 002c TDBXRowBuffer.GoToField 0034 TDBXRowBuffer.IsNull 004c TDBXBinaryStream.ReadInt32 005a TArray<System.Byte> 005f @DynArrayAsg 00aa @DynArrayClear 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 84 C0 74 08 C7 06 FF FF FF FF EB 4F 33 C0 89 06 8B 43 18 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 88 1C 10 8B 45 FC 33 D2 8B CB C1 E9 08 88 4C 10 01 8B 45 FC 33 D2 8B CB C1 E9 10 88 4C 10 02 8B 45 FC 33 D2 C1 EB 18 88 5C 10 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6442_0 {
	meta:
		name = "TDBXJSonByteReader.GetInt64"
		size = 292
		refs = "001c TDBXJSonByteReader.GetInt64 002c TDBXRowBuffer.GoToField 0034 TDBXRowBuffer.IsNull 004f TDBXBinaryStream.ReadInt64 0061 TArray<System.Byte> 0066 @DynArrayAsg 010f @DynArrayClear 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 18 8B D7 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 84 C0 74 0B C7 06 FF FF FF FF E9 B1 00 00 00 33 C0 89 06 8B 43 18 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 8D 45 FC 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC 33 C9 88 04 0A 8B 45 F0 8B 55 F4 0F AC D0 08 C1 EA 08 8B 55 FC 33 C9 88 44 0A 01 8B 45 F0 8B 55 F4 0F AC D0 10 C1 EA 10 8B 55 FC 33 C9 88 44 0A 02 8B 45 F0 8B 55 F4 0F AC D0 18 C1 EA 18 8B 55 FC 33 C9 88 44 0A 03 8B 45 F4 33 D2 8B 55 FC 33 C9 88 44 0A 04 8B 45 F4 C1 E8 08 33 D2 8B 55 FC 33 C9 88 44 0A 05 8B 45 F4 C1 E8 10 33 D2 8B 55 FC 33 C9 88 44 0A 06 8B 45 F4 C1 E8 18 33 D2 8B 55 FC 33 C9 88 44 0A 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_6443_0 {
	meta:
		name = "TDBXJSonByteReader.GetInt8"
		size = 151
		refs = "001c TDBXJSonByteReader.GetInt8 002c TDBXRowBuffer.GoToField 0034 TDBXRowBuffer.IsNull 004c TDBXBinaryStream.ReadByte 005a TArray<System.Byte> 005f @DynArrayAsg 0082 @DynArrayClear 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 84 C0 74 08 C7 06 FF FF FF FF EB 27 33 C0 89 06 8B 43 18 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 88 1C 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6445_0 {
	meta:
		name = "TDBXJSonByteReader.GetUInt8"
		size = 151
		refs = "001c TDBXJSonByteReader.GetUInt8 002c TDBXRowBuffer.GoToField 0034 TDBXRowBuffer.IsNull 004c TDBXBinaryStream.ReadByte 005a TArray<System.Byte> 005f @DynArrayAsg 0082 @DynArrayClear 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 84 C0 74 08 C7 06 FF FF FF FF EB 27 33 C0 89 06 8B 43 18 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 88 1C 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6444_0 {
	meta:
		name = "TDBXJSonByteReader.GetUInt16"
		size = 252
		refs = "001c TDBXJSonByteReader.GetUInt16 002c TDBXRowBuffer.GoToField 0034 TDBXRowBuffer.IsNull 0068 TDBXBinaryStream.ReadBoolean 00a2 TDBXBinaryStream.ReadInt16 00b0 TArray<System.Byte> 00b5 @DynArrayAsg 00e7 @DynArrayClear 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 84 C0 74 0B C7 07 FF FF FF FF E9 89 00 00 00 33 C0 89 07 8B D6 8B 43 1C 8B 08 FF 51 10 8B F0 8B 46 04 8B 10 FF 52 50 83 F8 04 75 3A 8B 43 18 E8 ?? ?? ?? ?? 84 C0 74 17 8B 45 F8 8B 55 0C C6 04 10 FF 8B 45 F8 8B 55 0C C6 44 10 01 FF EB 49 8B 45 F8 8B 55 0C C6 04 10 00 8B 45 F8 8B 55 0C C6 44 10 01 00 EB 32 8B 43 18 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 88 1C 10 8B 45 FC 33 D2 0F B7 CB C1 E9 08 88 4C 10 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6447_0 {
	meta:
		name = "TDBXClientTransaction.Create"
		size = 71
		refs = "000d @ClassCreate 001a TDBXTransaction.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 10 8B 45 0C 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6448_0 {
	meta:
		name = "TDBXClientParameterRow.Create"
		size = 79
		refs = "000d @ClassCreate 0028 TDBXJSonRow.Create 0039 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 10 50 8B 45 0C 50 8B 45 08 50 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 14 89 46 34 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_6449_0 {
	meta:
		name = "TDBXClientParameterRow.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 001e TDBXJSonRow.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 34 85 C0 74 05 33 D2 89 50 60 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6450_0 {
	meta:
		name = "TDBXClientParameterRow.ValueNotSet"
		size = 183
		refs = "0014 TDBXClientParameterRow.ValueNotSet 004d IntToStr 0063 SParameterNotSet 0068 LoadResString 0073 Format 0083 TDBXContext.Error 009d @UStrArrayClr 00a5 @UStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 40 83 E8 02 74 05 83 E8 02 75 0B 8B D6 8B C3 8B 08 FF 51 6C EB 4C 6A 00 8D 45 FC 50 8B 46 04 8B 10 FF 52 4C 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 4D FC BA 0B 00 00 00 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6451_0 {
	meta:
		name = "TDBXClientParameterRow.SetValueType"
		size = 8
	strings:
		$1 = { 8B 40 34 C6 40 5C 01 C3 }
	condition:
		$1
}

rule function_6558_0 {
	meta:
		name = "TDBXConnectionFactory.CombineDriverProperties"
		size = 332
		refs = "0012 TDBXConnectionFactory.CombineDriverProperties 001f _DV_TDBXProperties 0024 TDBXProperties.Create 0030 TDBXProperties.AddProperties 003f TDBXProperties.GetValue 0064 TDBXConnectionFactory.HasConnectionProperties 0072 TDBXProperties.AddUniqueProperties 0091 TDBXConnectionFactory.HasDriverProperties 00aa @CallDynaInst 00b0 _Dn_TComponent 00b5 @AsClass 00be TDBXProperties.SetComponentOwner 00cc TEventsCollection.SetValues 00e6 @UStrArrayClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 57 08 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 75 3C 8D 4D F8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 7D F8 00 74 27 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 85 C0 74 19 8B 50 08 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0A 8B 50 08 8B C3 E8 ?? ?? ?? ?? 8B C7 66 BE FF FF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 47 20 8B 50 04 8B 43 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_6559_0 {
	meta:
		name = "TDBXConnectionFactory.Close"
		size = 150
		refs = "0028 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D8 8B 73 08 85 F6 74 34 8B C6 8B 10 FF 52 14 48 85 C0 7C 18 40 89 C6 33 FF 8B D7 8B 43 08 8B 08 FF 51 18 E8 ?? ?? ?? ?? 47 4E 75 ED 8D 43 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 73 0C 85 F6 74 34 8B C6 8B 10 FF 52 14 48 85 C0 7C 18 40 89 C6 33 FF 8B D7 8B 43 0C 8B 08 FF 51 18 E8 ?? ?? ?? ?? 47 4E 75 ED 8D 43 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6561_0 {
	meta:
		name = "TDBXConnectionFactory.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 001e TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 2C 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6562_0 {
	meta:
		name = "TDBXConnectionFactory.GetConnection"
		size = 22
		refs = "000e TDBXConnectionFactory.GetConnection"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 51 8B 48 10 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_6563_0 {
	meta:
		name = "TDBXConnectionFactory.GetConnection"
		size = 11
		refs = "0006 TDBXConnectionFactory.GetConnection"
	strings:
		$1 = { 8B CA 8B 50 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6564_0 {
	meta:
		name = "TDBXConnectionFactory.GetConnection"
		size = 448
		refs = "001f TDBXConnectionFactory.GetConnection 002e TDBXConnectionFactory.CombineDriverProperties 003b TDBXConnectionFactory.CreateDelegatePath 0045 _DV_TDBXConnectionBuilder 004a TDBXConnectionBuilder.Create 0079 _DV_TDBXContext 007e TDBXContext.Create 0093 TDBXProperties.GetValue 00a1 @UStrAsg 00e9 TDBXConnectionBuilder.CreateConnection 0114 TObject.Free 0122 @HandleFinally 013e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 8B F9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 55 F0 89 50 18 8B 45 F4 89 70 14 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 42 1C 8D 4D E8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 83 C0 08 E8 ?? ?? ?? ?? 8B 45 F4 89 78 04 8D 4D E4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F4 83 C0 0C E8 ?? ?? ?? ?? 8D 4D E0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 83 C0 10 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 8B 10 FF 52 3C 8B 45 EC 89 45 F8 33 C0 89 45 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_6565_0 {
	meta:
		name = "TDBXConnectionFactory.CreateDelegatePath"
		size = 884
		refs = "0033 TDBXConnectionFactory.CreateDelegatePath 004a _Dn_TStringList 004f TStringList.Create 0092 TStrings.GetDelimitedText 00a8 SInvalidDelegationDepth 00ad LoadResString 00b8 Format 00cb TDBXContext.Error 00e0 TObject.Free 00e6 @HandleFinally 00f8 TDBXProperties.GetValue 0119 @UStrCat3 0148 _DV_TDBXProperties 014d TDBXProperties.Create 0196 TStrings.GetName 01a6 TStrings.GetValueFromIndex 01b3 Pos 01e6 @UStrCopy 01f4 TDBXProperties.Add 0217 TDBXConnectionFactory.CombineDriverProperties 0242 TDBXConnectionFactory.GetConnectionProperties 0256 _DV_TDBXDelegateItem 025b TObject.Create 0283 @UStrAsg 02de @UStrArrayClr 02e6 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 DB 89 5D B0 89 5D B4 89 5D C8 89 5D BC 89 5D B8 89 5D FC 89 5D F8 89 5D F4 89 5D F0 89 5D EC 89 4D E4 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D E4 10 0F 8E A5 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 0C 00 74 1D 8B 45 0C 8B 50 04 8B 45 D0 8B 08 FF 51 38 8B 45 0C 8B 40 0C 89 45 0C 83 7D 0C 00 75 E3 8D 45 C8 50 8D 55 BC 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 BC 89 45 C0 C6 45 C4 11 8D 45 C0 50 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 33 C9 5A E8 ?? ?? ?? ?? 8B 4D C8 8B 45 E8 8B 40 10 BA 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 4D FC BA ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 83 7D FC 00 75 0B 8B 45 0C 89 45 E0 E9 BB 01 00 00 8D 45 F4 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8D 45 B4 B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 B4 8D 4D F8 8B 45 08 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 F6 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 89 45 CC 8B 45 08 8B 40 08 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 89 00 00 00 46 33 DB 8D 4D F0 8B 45 08 8B 40 08 8B D3 E8 ?? ?? ?? ?? 8D 4D EC 8B 45 08 8B 40 08 8B D3 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 4D 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 48 75 31 8B 7D F0 85 FF 74 05 83 EF 04 8B 3F 8D 45 B0 50 8B CF 2B 4D CC 8B 55 CC 42 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 B0 8B 4D EC 8B 45 D8 E8 ?? ?? ?? ?? EB 0E 8B 4D EC 8B 55 F0 8B 45 D8 E8 ?? ?? ?? ?? 43 4E 0F 85 7A FF FF FF 8B 55 D8 8B 45 E8 E8 ?? ?? ?? ?? 89 45 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 FC 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 8B 45 E8 E8 ?? ?? ?? ?? 89 45 D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 DC 8B 55 0C 89 50 0C 8B 45 DC 83 C0 04 8B 55 FC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 D4 89 42 08 8B 55 DC 52 50 8B 4D E4 41 33 D2 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E0 33 C0 89 45 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B 45 E0 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 65 00 6C 00 65 00 67 00 61 00 74 00 65 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_6566_0 {
	meta:
		name = "TDBXConnectionFactory.CreateDelegatePath"
		size = 130
		refs = "0015 _DV_TDBXDelegateItem 001a TObject.Create 0025 TDBXConnectionFactory.CreateDelegatePath 0039 @UStrAsg 006c TObject.Free 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 89 55 FC 8B D8 33 FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 C0 04 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 89 70 08 8B 45 F4 50 56 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 89 45 F8 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6567_0 {
	meta:
		name = "TDBXConnectionFactory.GetConnection"
		size = 456
		refs = "001d TDBXConnectionFactory.GetConnection 002d TDBXConnectionFactory.GetConnectionPropertiesItem 0039 TDBXConnectionFactory.CombineDriverProperties 0046 TDBXConnectionFactory.CreateDelegatePath 006a TDBXProperties.SetValue 0086 _DV_TDBXConnectionBuilder 008b TDBXConnectionBuilder.Create 00ba _DV_TDBXContext 00bf TDBXContext.Create 00d3 @UStrAsg 00e8 TDBXProperties.GetValue 011b TDBXConnectionBuilder.CreateConnection 0146 TObject.Free 0154 @HandleFinally 0170 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 78 04 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 89 45 EC 83 7D 0C 00 75 06 83 7D 08 00 74 2A 83 7D 0C 00 74 0F 8B 4D 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7D 08 00 74 0F 8B 4D 08 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 55 EC 89 50 18 8B 45 F0 89 58 14 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 89 42 1C 8B 45 F0 83 C0 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 89 78 04 8D 4D E4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F0 83 C0 0C E8 ?? ?? ?? ?? 8D 4D E0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F0 83 C0 10 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 8B 10 FF 52 3C 8B 45 E8 89 45 F4 33 C0 89 45 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_6568_0 {
	meta:
		name = "TDBXConnectionFactory.GetConnectionDriver"
		size = 104
		refs = "000d TDBXConnectionFactory.GetConnectionDriver 001a TDBXConnectionFactory.GetConnectionProperties 0028 TDBXConnectionFactory.getDriverName 0032 TDBXConnectionFactory.GetDriverProperties 003e TDBXConnectionFactory.GetDriver 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6569_0 {
	meta:
		name = "TDBXConnectionFactory.GetConnectionProperties"
		size = 21
		refs = "000b TDBXConnectionFactory.GetConnectionPropertiesItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 04 5E 5B C3 }
	condition:
		$1
}

rule function_6570_0 {
	meta:
		name = "TDBXConnectionFactory.GetConnectionPropertiesItem"
		size = 148
		refs = "0019 TDBXConnectionFactory.GetConnectionPropertiesItem 0028 TDBXConnectionFactory.HasConnectionPropertiesItem 003a SInvalidArgument 003f LoadResString 0055 Format 0065 TDBXContext.Error 007f @UStrArrayClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 4D F8 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 37 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 7D F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC BA 1D 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6571_0 {
	meta:
		name = "TDBXConnectionFactory.GetDriver"
		size = 135
		refs = "0014 TDBXDriverDef 0019 @InitializeRecord 0021 TDBXConnectionFactory.GetDriver 0031 @UStrLAsg 0042 TDBXDriverRegistry.DBXDriverRegistry 0047 TDBXDriverRegistry.GetDriver 0050 _DV_TDBXDelegateDriver 0055 TDBXDelegateDriver.Create 0072 @FinalizeRecord 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 89 7D F8 8B 43 10 89 45 FC 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6572_0 {
	meta:
		name = "TDBXConnectionFactory.GetDriver"
		size = 29
		refs = "000b TDBXConnectionFactory.HasDriverProperties 0016 TDBXConnectionFactory.GetDriver"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6573_0 {
	meta:
		name = "TDBXConnectionFactory.getDriverName"
		size = 60
		refs = "0009 TDBXConnectionFactory.getDriverName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_6574_0 {
	meta:
		name = "TDBXConnectionFactory.HasConnectionProperties"
		size = 16
		refs = "0001 TDBXConnectionFactory.HasConnectionPropertiesItem"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 75 03 33 C0 C3 8B 40 04 C3 }
	condition:
		$1
}

rule function_6575_0 {
	meta:
		name = "TDBXConnectionFactory.HasConnectionPropertiesItem"
		size = 36
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 8B 08 FF 51 54 8B F0 85 F6 7D 05 33 C0 5E 5B C3 8B D6 8B 43 0C 8B 08 FF 51 18 5E 5B C3 }
	condition:
		$1
}

rule function_6576_0 {
	meta:
		name = "TDBXConnectionFactory.HasDriverProperties"
		size = 36
	strings:
		$1 = { 53 56 8B D8 8B 43 08 8B 08 FF 51 54 8B F0 85 F6 7D 05 33 C0 5E 5B C3 8B D6 8B 43 08 8B 08 FF 51 18 5E 5B C3 }
	condition:
		$1
}

rule function_6578_0 {
	meta:
		name = "TDBXConnectionFactory.GetErrorEvent"
		size = 15
	strings:
		$1 = { 8B 40 10 8B 48 08 89 0A 8B 48 0C 89 4A 04 C3 }
	condition:
		$1
}

rule function_6580_0 {
	meta:
		name = "TBrush.GetColor"
		size = 7
		altNames = "TDBXConnectionFactory.GetTraceFlags TFont.GetHeight TPen.GetColor"
	strings:
		$1 = { 8B 40 10 8B 40 18 C3 }
	condition:
		$1
}

rule function_6581_0 {
	meta:
		name = "TDBXConnectionFactory.GetTraceInfoEvent"
		size = 15
	strings:
		$1 = { 8B 40 10 8B 48 10 89 0A 8B 48 14 89 4A 04 C3 }
	condition:
		$1
}

rule function_6582_0 {
	meta:
		name = "TDBXConnectionFactory.LoadDrivers"
		size = 461
		refs = "001d TDBXConnectionFactory.LoadDrivers 002a _Dn_TStringList 002f TStringList.Create 0048 TDBXDriverRegistry.DBXDriverRegistry 004d TDBXDriverRegistry.GetRegisteredDriverClassNames 00a0 TDBXConnectionFactory.GetDriver 00df TDBXProperties.Clone 011d TObject.Free 0176 @HandleFinally 01bb @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 D2 89 55 DC 89 55 E0 89 55 E4 89 55 E8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 48 85 C0 0F 8C 26 01 00 00 40 89 45 EC C7 45 F4 00 00 00 00 8D 4D E8 8B 55 F4 8B 45 F8 8B 18 FF 53 0C 8B 55 E8 8B 45 FC 8B 40 08 8B 08 FF 51 54 8B D8 8D 4D E4 8B 55 F4 8B 45 F8 8B 30 FF 56 0C 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 7D 3A 8B 45 F0 8B 10 FF 12 8B F0 85 F6 0F 84 90 00 00 00 8D 4D E0 8B 55 F4 8B 45 F8 8B 18 FF 53 0C 8B 45 E0 50 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 40 08 5A 8B 18 FF 53 3C EB 67 8B 45 FC 8B 40 08 8B D3 8B 08 FF 51 18 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 89 42 0C 8B 45 FC 8B 40 08 8B D3 8B 08 FF 51 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B D3 8B 08 FF 51 48 8D 4D DC 8B 55 F4 8B 45 F8 8B 18 FF 53 0C 8B 45 DC 50 8B 45 F0 8B 10 FF 12 E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 40 08 5A 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB FF 45 F4 FF 4D EC 0F 85 E5 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6584_0 {
	meta:
		name = "TDBXConnectionFactory.DerivedOpen"
		size = 19
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 18 8B C3 8B 10 FF 52 1C 5B C3 }
	condition:
		$1
}

rule function_6586_0 {
	meta:
		name = "TDBXConnectionFactory.GetDriverNames"
		size = 26
	strings:
		$1 = { 56 57 8B FA 8B F0 8B C7 8B 10 FF 52 44 8B 56 08 8B C7 8B 08 FF 51 40 5F 5E C3 }
	condition:
		$1
}

rule function_6587_0 {
	meta:
		name = "TDBXConnectionFactory.Open"
		size = 158
		refs = "001f TDBXConnectionFactory.Open 002c _Dn_TStringList 0031 TStringList.Create 0050 _DV_TDBXContext 0055 TDBXContext.Create 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC 83 78 08 00 0F 85 82 00 00 00 C6 45 FB 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 10 8B 45 FC 8B 40 04 89 43 24 8B 45 FC 8B 10 FF 52 20 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 75 08 8B 45 FC 8B 10 FF 52 2C C3 E9 ?? ?? ?? ?? EB EA 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6588_0 {
	meta:
		name = "TDBXConnectionFactory.OpenConnectionFactory"
		size = 145
		refs = "0010 FileExists 0028 _DV_TDBXIniFileConnectionFactory 002d TDBXIniFileConnectionFactory.Create 0038 TDBXConnectionFactory.OpenConnectionFactory 004b @UStrAsg 0072 @HandleAnyException 007a TObject.Free 0081 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0D B2 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 62 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 14 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 28 8B 5D FC 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? EB 02 33 DB 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6589_0 {
	meta:
		name = "ConfigFilesFound"
		size = 37
		refs = "0015 FileExists"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 FC 00 74 11 8B 45 08 8B 40 FC B2 01 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5D C3 B0 01 5D C3 }
	condition:
		$1
}

rule function_6590_0 {
	meta:
		name = "GetConnectionFromRegistry"
		size = 440
		refs = "0010 GetConnectionFromRegistry 001d _Dn_TRegistry 0022 TRegistry.Create 003d TRegistry.SetRootKey 004a TRegistry.OpenKeyReadOnly 005e TRegistry.ReadString 006c @UStrLAsg 00a7 @HandleFinally 00b2 ConfigFilesFound 00cf @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3C 8D 4D F8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 8D 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 83 C0 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB EE 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 5C 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 45 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 5C 00 42 00 44 00 53 00 5C 00 39 00 2E 00 30 00 5C 00 64 00 62 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 20 00 52 00 65 00 67 00 69 00 73 00 74 00 72 00 79 00 20 00 46 00 69 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 52 00 65 00 67 00 69 00 73 00 74 00 72 00 79 00 20 00 46 00 69 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_6591_0 {
	meta:
		name = "GetConnectionFromExeDirectory"
		size = 292
		refs = "000c GetConnectionFromExeDirectory 001c ParamStr 002d ExtractFileDir 003b @UStrLAsg 005b @UStrCatN 0084 ConfigFilesFound 00a1 @UStrArrayClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 83 7D FC 00 74 59 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 83 C0 F4 E8 ?? ?? ?? ?? 8B 45 08 FF 70 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 83 C0 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 FF 70 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 83 C0 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 64 00 62 00 78 00 64 00 72 00 69 00 76 00 65 00 72 00 73 00 2E 00 69 00 6E 00 69 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 64 00 62 00 78 00 63 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 73 00 2E 00 69 00 6E 00 69 00 00 00 00 00 }
	condition:
		$1
}

rule function_6592_0 {
	meta:
		name = "TDBXConnectionFactory.GetConnectionFactory"
		size = 496
		refs = "001b TDBXConnectionFactory.GetConnectionFactory 002b TDBXDriverRegistry.DBXDriverRegistry 0033 TThreadList.LockList 0047 TDBXConnectionFactory.ConnectionFactorySingleton 0056 @UStrClr 0064 GetConnectionFromExeDirectory 0074 GetConnectionFromRegistry 0094 _DV_TDBXConnectionFactory 0099 TDBXConnectionFactory.OpenConnectionFactory 00ae _DV_TDBXMemoryConnectionFactory 00b3 TDBXMemoryConnectionFactory.Create 00d7 SConnectionFactoryInitFailed 00dc LoadResString 0104 Format 0114 _DV_TDBXError 0119 TDBXError.Create 011e @RaiseExcept 014f TMonitor.Exit 0155 @HandleFinally 0171 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 33 C0 89 45 EC 89 45 E8 89 45 F4 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 A1 ?? ?? ?? ?? 8B 40 10 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 3D ?? ?? ?? ?? 00 0F 85 D2 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 75 20 55 B8 01 00 00 80 E8 ?? ?? ?? ?? 59 84 C0 75 10 55 B8 02 00 00 80 E8 ?? ?? ?? ?? 59 84 C0 74 15 8B 4D F8 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 28 83 3D ?? ?? ?? ?? 00 75 5F 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 F4 89 45 D8 C6 45 DC 11 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 EC 50 B9 16 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A A1 ?? ?? ?? ?? 8B 10 FF 52 28 A1 ?? ?? ?? ?? 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 10 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 F0 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 5C 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 45 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 5C 00 42 00 44 00 53 00 5C 00 39 00 2E 00 30 00 5C 00 64 00 62 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_6593_0 {
	meta:
		name = "TDBXConnectionFactory.GetConnectionItems"
		size = 122
		refs = "0018 TDBXConnectionFactory.GetConnectionItems 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C 8B 10 FF 52 14 8B D8 4B 85 DB 7C 22 43 33 F6 8D 4D F4 8B 45 FC 8B 40 0C 8B D6 8B 38 FF 57 0C 8B 55 F4 8B 45 F8 8B 08 FF 51 38 46 4B 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6594_0 {
	meta:
		name = "TDBXConnectionFactory.SetConnectionFactory"
		size = 104
		refs = "0009 TDBXConnectionFactory.SetConnectionFactory 0015 TDBXConnectionFactory.ConnectionFactorySingleton 0020 SSetSingletonOnce 0025 LoadResString 0035 _DV_TDBXError 003a TDBXError.Create 003f @RaiseExcept 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 3D ?? ?? ?? ?? 00 74 27 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 B9 1D 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_7612_0 {
	meta:
		name = "TDBXDefaultFormatter.SetDefaultDBXFormatter"
		size = 104
		refs = "0009 TDBXDefaultFormatter.SetDefaultDBXFormatter 0015 TDBXDefaultFormatter.FDBXDefaultFormatterSingleton 0020 SSetSingletonOnce 0025 LoadResString 0035 _DV_TDBXError 003a TDBXError.Create 003f @RaiseExcept 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 3D ?? ?? ?? ?? 00 74 27 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 B9 1D 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_6595_0 {
	meta:
		name = "TDBXConnectionFactory.SetErrorEvent"
		size = 21
		refs = "000d TDBXContext.SetOnError"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 10 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_6597_0 {
	meta:
		name = "TDBXConnectionFactory.SetTraceInfoEvent"
		size = 21
		refs = "000d TDBXContext.SetOnTrace"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 10 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_6596_0 {
	meta:
		name = "TDBXConnectionFactory.SetTraceFlags"
		size = 9
		refs = "0004 TDBXContext.SetTraceFlags"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94132_0 {
	meta:
		name = "TChartAxes.SetBehind"
		size = 9
		refs = "0004 TCustomAxisPanel.SetAxisBehind"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94133_0 {
	meta:
		name = "TChartAxes.SetVisible"
		size = 9
		refs = "0004 TCustomAxisPanel.SetAxisVisible"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16813_0 {
	meta:
		name = "TDSServerMethod.ClearResources"
		size = 9
		refs = "0004 TDSMethodValues.ClearReferenceParameters"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16811_0 {
	meta:
		name = "TDSServerMethod.SetServerSideCommand"
		size = 9
		refs = "0004 TDSMethodValues.SetServerSideCommand"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52355_0 {
	meta:
		name = "TDictionaryScope.TWrappersEnumerator.MoveNext"
		size = 9
		refs = "0004 TDictionary<System.string,System.IInterface>.TPairEnumerator.MoveNext"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79142_0 {
	meta:
		name = "TEditButton.GetCustomHint"
		size = 9
		refs = "0004 TControl.GetCustomHint"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81276_0 {
	meta:
		name = "TGIFHeader.GetBitsPerPixel"
		size = 9
		refs = "0004 TGIFColorMap.GetBitsPerPixel"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33180_0 {
	meta:
		name = "TIdDNTreeNode.SetRRs"
		size = 9
		refs = "0004 TIdObjectList.Assign"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39567_0 {
	meta:
		name = "TIdHTTPPeer.Disconnect"
		size = 9
		refs = "0004 TIdTCPConnection.Disconnect"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39589_0 {
	meta:
		name = "TIdHTTPPeer.GetReadTimeout"
		size = 9
		refs = "0004 TIdTCPClientCustom.GetReadTimeout"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39592_0 {
	meta:
		name = "TIdHTTPPeer.GetResponseCode"
		size = 9
		refs = "0004 TIdCustomHTTP.GetResponseCode"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39597_0 {
	meta:
		name = "TIdHTTPPeer.GetUseNagle"
		size = 9
		refs = "0004 TIdTCPClientCustom.GetUseNagle"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39581_0 {
	meta:
		name = "TIdHTTPPeer.SetConnectTimeout"
		size = 9
		refs = "0004 TIdTCPClientCustom.SetConnectTimeout"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39586_0 {
	meta:
		name = "TIdHTTPPeer.SetReadTimeout"
		size = 9
		refs = "0004 TIdTCPClientCustom.SetReadTimeout"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39587_0 {
	meta:
		name = "TIdHTTPPeer.SetUseNagle"
		size = 9
		refs = "0004 TIdTCPClientCustom.SetUseNagle"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39853_0 {
	meta:
		name = "TIdHTTPServerPeer.GetDefaultPort"
		size = 9
		refs = "0004 TIdCustomTCPServer.GetDefaultPort"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39709_0 {
	meta:
		name = "TIdTCPClientPeer.Disconnect"
		size = 9
		refs = "0004 TIdTCPConnection.Disconnect"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39719_0 {
	meta:
		name = "TIdTCPClientPeer.GetUseNagle"
		size = 9
		refs = "0004 TIdTCPClientCustom.GetUseNagle"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39725_0 {
	meta:
		name = "TIdTCPClientPeer.SetUseNagle"
		size = 9
		refs = "0004 TIdTCPClientCustom.SetUseNagle"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39730_0 {
	meta:
		name = "TIdTCPClientPeerIP.Disconnect"
		size = 9
		refs = "0004 TIdTCPConnection.Disconnect"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39740_0 {
	meta:
		name = "TIdTCPClientPeerIP.GetUseNagle"
		size = 9
		refs = "0004 TIdTCPClientCustom.GetUseNagle"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39746_0 {
	meta:
		name = "TIdTCPClientPeerIP.SetUseNagle"
		size = 9
		refs = "0004 TIdTCPClientCustom.SetUseNagle"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39990_0 {
	meta:
		name = "TIdTCPServerPeer.GetDefaultPort"
		size = 9
		refs = "0004 TIdCustomTCPServer.GetDefaultPort"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41525_0 {
	meta:
		name = "TIdX509.GetVersion"
		size = 9
		refs = "0004 X509_get_version"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39763_0 {
	meta:
		name = "TIdX509Peer.GetVersion"
		size = 9
		refs = "0004 TIdX509.GetVersion"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_52362_0 {
	meta:
		name = "TObjectMemberGroupScope.TWrappersEnumerator.MoveNext"
		size = 9
		refs = "0004 TList<System.IInterface>.TEnumerator.MoveNext"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82695_0 {
	meta:
		name = "TOleForm.AddContainer"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48902_0 {
	meta:
		name = "TSOAPHeaders.GetOwnsSentHeaders"
		size = 9
		refs = "0004 THeaderList.GetOwnsObjects"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48897_0 {
	meta:
		name = "TSOAPHeaders.SendCount"
		size = 9
		refs = "0004 THeaderList.GetCount"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48903_0 {
	meta:
		name = "TSOAPHeaders.SetOwnsSentHeaders"
		size = 9
		refs = "0004 THeaderList.SetOwnsObjects"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48056_0 {
	meta:
		name = "TScriptObjectContainer.GetCount"
		size = 9
		refs = "0004 @DynArrayLength"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98419_0 {
	meta:
		name = "TScriptProducer.GetHTMLItem"
		size = 9
		refs = "0004 THTMLItems.GetHTMLItem"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94415_0 {
	meta:
		name = "TSeriesGroup.Add"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98347_0 {
	meta:
		name = "TSiteModuleHelper.FindNamedVariable"
		size = 9
		refs = "0004 FindNamedModuleVariable"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98350_0 {
	meta:
		name = "TSiteModuleHelper.GetVariable"
		size = 9
		refs = "0004 GetModuleVariable"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98351_0 {
	meta:
		name = "TSiteModuleHelper.GetVariableCount"
		size = 9
		refs = "0004 GetModuleVariableCount"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66814_0 {
	meta:
		name = "TValueDataImpl.GetDataSize"
		size = 9
		refs = "0004 @DynArrayLength"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6598_0 {
	meta:
		name = "TDBXIniFileConnectionFactory.LoadSectionProperties"
		size = 480
		refs = "0025 @UStrAddRef 002d TDBXIniFileConnectionFactory.LoadSectionProperties 0057 _DV_TDBXProperties 005c TDBXProperties.Create 0066 _Dn_TStringList 006b TStringList.Create 00a9 TStrings.GetName 00be TStrings.GetValueFromIndex 00c9 Trim 00d9 @UStrCatN 00fe @UStrCat3 011c TObject.Free 0169 @HandleFinally 0185 @UStrArrayClr 018d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 DB 89 5D D4 89 5D E4 89 5D E0 89 5D DC 89 5D D8 89 4D FC 8B DA 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 33 C0 89 45 F0 33 C0 89 45 E8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 8B 55 FC 8B C3 8B 18 FF 53 54 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 EC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4F 46 33 DB 8D 4D E0 8B D3 8B 45 EC E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 4D D8 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? FF 75 DC 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 E8 8B 08 FF 51 38 43 4E 75 B4 80 7D 08 00 74 1B 8D 45 D4 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 E8 8B 08 FF 51 38 8B 45 F0 83 C0 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 E8 89 50 08 33 C0 89 45 E8 8B 45 F0 89 45 F4 8B 45 F4 8B 55 F8 89 50 0C 33 C0 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F4 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 4E 00 61 00 6D 00 65 00 3D 00 00 00 }
	condition:
		$1
}

rule function_6599_0 {
	meta:
		name = "TDBXIniFileConnectionFactory.LoadConnections"
		size = 295
		refs = "0017 TDBXIniFileConnectionFactory.LoadConnections 0024 TDBXConnectionFactory.LoadConnections 0050 _Dn_TMemIniFile 0055 TMemIniFile.Create 005f _Dn_TStringList 0064 TStringList.Create 00a1 TDBXIniFileConnectionFactory.LoadSectionProperties 00bf _DV_TDBXPropertiesItem 00c4 TDBXPropertiesItem.Create 00ea TObject.Free 00f8 @HandleFinally 0114 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 E8 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7B 14 00 0F 84 CC 00 00 00 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 55 F8 8B 45 FC 8B 08 FF 51 48 8B 45 F8 8B 10 FF 52 14 48 85 C0 7C 56 40 89 45 F0 33 F6 6A 01 8D 4D EC 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 4D EC 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8D 4D E8 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 45 E8 50 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 43 0C 5A 8B 38 FF 57 3C 46 FF 4D F0 75 B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6601_0 {
	meta:
		name = "TDBXIniFileConnectionFactory.LoadDrivers"
		size = 480
		refs = "0021 TDBXIniFileConnectionFactory.LoadDrivers 0059 _Dn_TMemIniFile 005e TMemIniFile.Create 0068 _Dn_TStringList 006d TStringList.Create 0098 SNotDefinedIn 009d LoadResString 00c8 Format 00db TDBXContext.Error 0127 TDBXIniFileConnectionFactory.LoadDriver 015d TObject.Free 016b @HandleFinally 0175 TDBXConnectionFactory.LoadDrivers 018f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 D2 89 55 D0 89 55 D4 89 55 D8 89 55 F0 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 18 00 0F 84 39 01 00 00 33 C0 89 45 F4 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 48 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 53 44 8B 45 F4 8B 10 FF 52 14 85 C0 75 4F 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8B 45 FC 8B 40 18 89 45 E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 4D F0 8B 45 FC 8B 40 10 BA 16 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 7C 5E 46 33 DB 8D 4D D8 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 55 D8 8B 45 FC 8B 40 08 8B 08 FF 51 54 85 C0 7D 38 8D 4D D4 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 4D D4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 50 8D 4D D0 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 55 D0 8B 45 FC 8B 40 08 59 8B 38 FF 57 3C 43 4E 75 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 65 00 64 00 20 00 44 00 72 00 69 00 76 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_6602_0 {
	meta:
		name = "TDBXIniFileConnectionFactory.Create"
		size = 69
		refs = "000a @ClassCreate 0017 TDBXConnectionFactory.Create 001f @UStrClr 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 14 E8 ?? ?? ?? ?? 8D 46 18 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6603_0 {
	meta:
		name = "TDBXIniFileConnectionFactory.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TDBXConnectionFactory.Destroy 001a @UStrClr 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8D 46 14 E8 ?? ?? ?? ?? 8D 46 18 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6604_0 {
	meta:
		name = "TDBXProperties.Add"
		size = 112
		refs = "0012 TDBXProperties.Add 002c @UStrCatN 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 68 ?? ?? ?? ?? 57 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_6605_0 {
	meta:
		name = "TDBXProperties.AddProperties"
		size = 244
		refs = "0017 TDBXProperties.AddProperties 0028 TStrings.BeginUpdate 0055 TStrings.GetName 006a TStrings.GetValueFromIndex 0075 Trim 0085 @UStrCatN 00af TStrings.EndUpdate 00b5 @HandleFinally 00d1 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 52 46 33 DB 8D 4D F0 8B D3 8B 45 F8 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 4D E8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? FF 75 EC 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 40 08 8B 08 FF 51 38 43 4E 75 B1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_6606_0 {
	meta:
		name = "TDBXProperties.AddProperties"
		size = 228
		refs = "0018 TDBXProperties.AddProperties 003d TWideStrings.GetName 004a @WStrCat 0055 @UStrFromWStr 0066 TWideStrings.GetValueFromIndex 007c Trim 0085 @UStrCat 00ac @WStrClr 00b9 @UStrArrayClr 00c9 @UStrClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 6A 46 33 DB 8D 4D F0 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 4D E4 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 58 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 40 08 8B 08 FF 51 38 43 4E 75 99 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5E 5B 8B E5 5D C3 00 02 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_6607_0 {
	meta:
		name = "TDBXProperties.AddUniqueProperties"
		size = 220
		refs = "0018 TDBXProperties.AddUniqueProperties 003d TStrings.GetName 0071 TStrings.GetValueFromIndex 007c Trim 008c @UStrCatN 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 71 46 33 DB 8D 4D F4 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 40 08 8B 08 FF 51 58 85 C0 7D 4B 8D 4D EC 8B D3 8B 45 F8 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 4D E4 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? FF 75 E8 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 40 08 8B 08 FF 51 38 43 4E 75 92 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_6608_0 {
	meta:
		name = "Exception.SetStackInfo"
		size = 4
		altNames = "TCustomScope.SetMappedObject TDBXCustomDataGenerator.SetMetaDataProvider TDBXProperties.SetComponentOwner TDBXServerCallback.SetOrdinal TDdeCliItem.SetHszItem TSQLTimeStampData.SetFractions TseBitmapLink.SetRight"
	strings:
		$1 = { 89 50 10 C3 }
	condition:
		$1
}

rule function_6609_0 {
	meta:
		name = "TDBXProperties.SetProperties"
		size = 41
		refs = "000e TStrings.SetDelimiter 0018 TStrings.SetStrictDelimiter 0022 TStrings.SetDelimitedText"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 BA 3B 00 8B 43 08 E8 ?? ?? ?? ?? B2 01 8B 43 08 E8 ?? ?? ?? ?? 8B D6 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6610_0 {
	meta:
		name = "TDBXProperties.Clear"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 08 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_6611_0 {
	meta:
		name = "TDBXProperties.Clone"
		size = 33
		refs = "0018 TDBXProperties.MergeProperties"
	strings:
		$1 = { 53 56 8B D8 8B 13 89 D0 8B 4B 04 B2 01 FF 50 10 8B F0 8B 53 08 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6612_0 {
	meta:
		name = "TDBXProperties.Create"
		size = 112
		refs = "000b @ClassCreate 001a TObject.Create 0024 _Dn_TStringList 0029 TStringList.Create 0049 _DV_TEventsCollection 004e TEventsCollection.Create 005c @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 33 C0 89 47 18 89 47 1C 8B 47 08 89 78 44 8B 17 8B 52 0C 89 50 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 20 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6613_0 {
	meta:
		name = "TDBXProperties.Create"
		size = 105
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TStringList 0023 TStringList.Create 0043 _DV_TEventsCollection 0048 TEventsCollection.Create 0056 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 33 C0 89 46 18 89 46 1C 8B 46 08 89 70 44 8B 16 8B 52 0C 89 50 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6614_0 {
	meta:
		name = "TDBXProperties.Destroy"
		size = 119
		refs = "0005 @BeforeDestruction 0014 TPersistent.Destroy 003f TObject.Free 006e @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 8B 75 08 33 C0 89 46 40 89 46 44 8B C6 8B 10 FF 52 14 48 85 C0 7C 18 40 89 C6 33 FF 8B 45 08 8B D7 8B 08 FF 51 18 E8 ?? ?? ?? ?? 47 4E 75 ED 8D 45 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 45 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6615_0 {
	meta:
		name = "TBaseTransportFilterCollection.NotifyChange"
		size = 20
		altNames = "TCustomZStream.DoProgress TDBXProperties.DoOnChange TIBBase.DoBeforeDatabaseDisconnect TIWFont.DoChange TImageMargins.Change TMargins.Change TSizeConstraints.Change TThread.CallOnTerminate TUtilsCustomTranscoder.DoProgress TWebContainedComponentHelper.ParentChanged"
	strings:
		$1 = { 53 66 83 78 1A 00 74 0A 8B D8 8B D0 8B 43 1C FF 53 18 5B C3 }
	condition:
		$1
}

rule function_6616_0 {
	meta:
		name = "TDBXProperties.GetBoolean"
		size = 103
		refs = "0010 TDBXProperties.GetBoolean 0024 TDBXProperties.GetValue 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 14 8B 45 FC 0F B7 00 66 83 F8 74 74 06 66 83 F8 54 75 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6617_0 {
	meta:
		name = "TDBXProperties.GetCount"
		size = 9
		altNames = "TLocateParams.GetCount TScriptGlobalObjects.GetNamedItemCount"
	strings:
		$1 = { 8B 40 08 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_6618_0 {
	meta:
		name = "TDBXProperties.GetInteger"
		size = 94
		refs = "0010 TDBXProperties.GetInteger 0025 TDBXProperties.GetValue 0033 StrToInt 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CE FF 8D 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 0A 8B 45 FC E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6619_0 {
	meta:
		name = "TDBXProperties.GetLists"
		size = 208
		refs = "001d TDBXProperties.GetLists 003c TWideStringArray 0041 @DynArraySetLength 0072 TStrings.GetName 0082 @UStrAsg 008f TStrings.GetValueFromIndex 00bd @UStrArrayClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 8B 10 FF 52 14 8B D8 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 53 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B FB 4F 85 FF 7C 41 47 33 DB 8D 4D F4 8B D3 8B 46 08 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 00 8D 04 98 E8 ?? ?? ?? ?? 8D 4D F0 8B D3 8B 46 08 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 00 8D 04 98 E8 ?? ?? ?? ?? 43 4F 75 C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6620_0 {
	meta:
		name = "TDBXProperties.GetRequiredValue"
		size = 182
		refs = "001b TDBXProperties.GetRequiredValue 002d TStrings.GetValue 003e SRequiredProperty 0043 LoadResString 0059 Format 006d TDBXContext.Error 007f _DV_TDBXError 0084 TDBXError.Create 0089 @RaiseExcept 00a3 @UStrArrayClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F8 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D7 8B 43 08 E8 ?? ?? ?? ?? 83 3E 00 75 57 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 7D F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 0F 8B 4D FC BA 1D 00 00 00 E8 ?? ?? ?? ?? EB 1A 8B 45 FC 50 B9 1D 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6622_0 {
	meta:
		name = "TBindingNotifier.GetManager"
		size = 4
		altNames = "TCustomOwnedNode.GetNextSibling TCustomScope.GetMappedObject TDBXCustomDataGenerator.GetMetaDataProvider TDBXProperties.GetOwner TDBXServerCallback.GetOrdinal TDBXValueType.GetDataType TDSTCPChannel.GetChannelInfo TDdeCliItem.GetHszItem TGestureCollectionItem.GetDeviation TIdBasicAuthenticationPeer.GetObject TIdHTTPPeer.GetObject TIdHTTPServerPeer.GetObject TIdSchedulerOfThreadPoolPeer.GetObject TIdServerIOHandlerSSLOpenSSLPeer.GetObject TIdTCPClientPeer.GetObject TIdTCPClientPeerIP.GetObject TIdTCPServerPeer.GetObject TIdX509Peer.GetObject TNamedVariantsList.GetCapacity TRttiMember.GetParent TScriptManager.GetWarnings TTestFailure.ThrownExceptionAddress TValueDataImpl.GetReferenceToRawData TWebContext.GetSession TXMLRowSet.GetPath TseBitmapLink.GetRight"
	strings:
		$1 = { 8B 40 10 C3 }
	condition:
		$1
}

rule function_6624_0 {
	meta:
		name = "TDBXProperties.MergeProperties"
		size = 316
		refs = "0019 TDBXProperties.MergeProperties 002a TStrings.BeginUpdate 005c TStrings.GetName 0085 TStrings.GetValueFromIndex 0090 Trim 00a0 @UStrCatN 00cd TStrings.SetValueFromIndex 00ef TStrings.EndUpdate 00f5 @HandleFinally 0111 @UStrArrayClr 0119 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 14 48 85 C0 0F 8C 8E 00 00 00 40 89 45 F0 33 DB 8D 4D FC 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 8B 55 FC 8B 08 FF 51 58 8B F0 85 F6 7D 40 FF 75 FC 68 ?? ?? ?? ?? 8D 4D E4 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? FF 75 E8 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 40 08 8B 08 FF 51 38 EB 1D 8D 4D E0 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D E0 8B 45 F8 8B 40 08 8B D6 E8 ?? ?? ?? ?? 43 FF 4D F0 0F 85 78 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_6625_0 {
	meta:
		name = "TDBXDriver.AddCommandFactory"
		size = 53
		refs = "000d _DV_TDBXCreateCommand 0012 TObject.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 50 08 8B 55 0C 89 50 0C 8B C8 8B D7 8B 46 20 8B 18 FF 53 3C 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6626_0 {
	meta:
		name = "TDBXDriver.LoadMetaDataCommandFactory"
		size = 344
		refs = "001f TDBXDriver.LoadMetaDataCommandFactory 002a _Dn_TClassRegistry 002f TClassRegistry.GetClassRegistry 003a TClassRegistry.HasClass 0047 TClassRegistry.CreateInstance 005f TDBXDriver.AddCommandFactory 006e _DV_TDBXContext 0073 TDBXContext.Create 009b TDBXProperties.GetValue 00b1 SMetaDataLoadError 00b6 LoadResString 00c4 Format 00d4 TDBXContext.Error 00ee @UStrArrayClr 00f6 @UStrClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D F8 89 5D DC 89 5D D8 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 23 8B D7 8B C6 E8 ?? ?? ?? ?? 89 43 10 8B 43 10 50 8B 00 8B 00 50 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 73 83 7B 18 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 8D 45 F8 50 89 7D E0 C6 45 E4 11 8B 45 FC 89 45 E8 C6 45 EC 11 8D 4D DC BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B 45 DC 89 45 F0 C6 45 F4 11 8D 45 E0 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 02 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D F8 BA 16 00 00 00 8B 43 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 62 00 78 00 2E 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_6627_0 {
	meta:
		name = "TDBXDriver.AddCommandFactory"
		size = 12
		refs = "0007 TDBXDriver.AddCommandFactory"
	strings:
		$1 = { 51 8B 09 8B 09 51 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6628_0 {
	meta:
		name = "TDBXDriver.AddReference"
		size = 76
		refs = "0007 TDBXDriverRegistry.DBXDriverRegistry 000f TThreadList.LockList 0017 TDBXDriver.AddReference 003d TMonitor.Exit 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 A1 ?? ?? ?? ?? 8B 40 10 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 FF 43 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 10 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 5D C3 }
	condition:
		$1
}

rule function_6629_0 {
	meta:
		name = "TDBXDriver.CacheUntilFinalization"
		size = 16
		refs = "000b TDBXDriver.AddReference"
	strings:
		$1 = { 80 78 14 00 75 09 C6 40 14 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6630_0 {
	meta:
		name = "TDBXDriver.UncacheAtFinalization"
		size = 12
		refs = "0007 TDBXDriver.RemoveReference"
	strings:
		$1 = { 80 78 14 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6631_0 {
	meta:
		name = "TDBXDriver.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TStringList 0023 TStringList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6632_0 {
	meta:
		name = "TDBXDriver.Create"
		size = 107
		refs = "000d @ClassCreate 0019 TDBXDriver.Create 0028 TObject.Create 002f _Dn_TStringList 0034 TStringList.Create 004a @HandleFinally 0057 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C3 }
	condition:
		$1
}

rule function_6633_0 {
	meta:
		name = "TDBXDriver.CreateMorphCommand"
		size = 204
		refs = "001a TDBXDriver.CreateMorphCommand 00b5 @UStrClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 08 8B 08 FF 51 08 8B 55 F4 8B 46 20 8B 08 FF 51 54 8B D8 85 DB 7D 0C 33 D2 8B 46 20 8B 08 FF 51 54 8B D8 85 DB 7D 04 33 FF EB 50 8B D3 8B 46 20 8B 08 FF 51 18 8B 55 08 52 8B D8 8B 4D F8 8B 55 FC 8B 43 0C FF 53 08 8B F8 85 FF 75 2E 33 D2 8B 46 20 8B 08 FF 51 54 8B D8 85 DB 7C 1E 8B D3 8B 46 20 8B 08 FF 51 18 8B 55 08 52 8B D8 8B 4D F8 8B 55 FC 8B 43 0C FF 53 08 8B F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6634_0 {
	meta:
		name = "TDBXDriver.Destroy"
		size = 366
		refs = "0011 @BeforeDestruction 001f TDBXDriver.Destroy 0033 TDBXDriverRegistry.DBXDriverRegistry 005a TThreadList.LockList 0084 TDBXDriverRegistry.FindDriver 0093 TList.Get 00a1 TList.Delete 00b9 TMonitor.Exit 00bf @HandleFinally 00e8 TObject.Free 0134 TObject.Destroy 014e @UStrArrayClr 0164 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 4D F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B 1D ?? ?? ?? ?? 85 DB 0F 84 86 00 00 00 8D 55 F0 8B 45 FC 8B 08 FF 51 08 83 7D F0 00 74 75 8B 43 10 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 08 FF 51 08 8B 4D EC 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7C 17 8B D6 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8B 40 20 8B 10 FF 52 14 8B D8 4B 85 DB 7C 19 43 33 F6 8B 45 FC 8B 40 20 8B D6 8B 08 FF 51 18 E8 ?? ?? ?? ?? 46 4B 75 EA 8B 45 FC 83 C0 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6635_0 {
	meta:
		name = "TDBXDriver.GetDriverClass"
		size = 7
		altNames = "TObject.ClassType"
	strings:
		$1 = { 8B 00 89 C2 8B C2 C3 }
	condition:
		$1
}

rule function_6636_0 {
	meta:
		name = "ERemotableException.GetFaultReason"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TBindingExpression.GetSource TDBXCommand.GetCommandType TDBXCustomDataGenerator.GetTableName TDBXDriver.GetDriverName TDBXValueType.GetName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64626_0 {
	meta:
		name = "TAggregatedObject.GetController"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70831_0 {
	meta:
		name = "TComObject.GetController"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70958_0 {
	meta:
		name = "TConnectionPoints.GetController"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111617_0 {
	meta:
		name = "TDtdObject.GetName"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40018_0 {
	meta:
		name = "TIPTestServerPeer.TOnGetPassword.OnGetPassword"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73367_0 {
	meta:
		name = "TOleStream.GetIStream"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47953_0 {
	meta:
		name = "TWebRequestFile.GetFieldName"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97945_0 {
	meta:
		name = "TWebSession.GetSessionsService"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6638_0 {
	meta:
		name = "TDBXDriver.GetDriverPropertyNames"
		size = 512
		refs = "0004 TDBXDriver.GetDriverPropertyNames"
	strings:
		$1 = { 53 8B DA BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 44 00 72 00 69 00 76 00 65 00 72 00 46 00 75 00 6E 00 63 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 41 00 73 00 73 00 65 00 6D 00 62 00 6C 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 41 00 73 00 73 00 65 00 6D 00 62 00 6C 00 79 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_6639_0 {
	meta:
		name = "TDBXDriver.RemoveReference"
		size = 94
		refs = "0007 TDBXDriverRegistry.DBXDriverRegistry 000f TThreadList.LockList 0017 TDBXDriver.RemoveReference 0032 TDBXDriverRegistry.FreeDriver 004f TMonitor.Exit 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 A1 ?? ?? ?? ?? 8B 40 10 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 FF 4B 08 83 7B 08 01 7D 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 10 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 5D C3 }
	condition:
		$1
}

rule function_6640_0 {
	meta:
		name = "ERemotableException.SetFaultReason"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TApplicationMenu.SetCaption TDBXCustomDataGenerator.SetTableName TDBXDriver.SetDriverName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 04 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25781_0 {
	meta:
		name = "TCustomPacketWriter.SetDSWriter"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 04 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6641_0 {
	meta:
		name = "TBindingNotifier.SetOwner"
		size = 4
		altNames = "TDBXActiveTableReaderItem.SetStreamerRow TDBXDriver.InitDriverProperties TDBXServerCallback.SetDsServer TDomTreeWalker.SetFilter THTMLHelpViewer.NotifyID TIWContainerImplementation.set_ContainerContext TWebContainedComponentHelper.SetComponentList TWinHelpViewer.NotifyID TXmlHandlerItem.SetXmlHandler TseBitmapLink.SetTop"
	strings:
		$1 = { 89 50 0C C3 }
	condition:
		$1
}

rule function_6642_0 {
	meta:
		name = "TDBXError.Create"
		size = 226
		refs = "001c @ClassCreate 002e TDBXError.Create 0046 TDBXError.ErrorCodeToString 005c SDefaultErrorMessage 0061 LoadResString 006c Format 0077 @UStrAsg 008f Exception.Create 00ac @UStrArrayClr 00b4 @UStrClr 00ba @HandleFinally 00c9 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D F8 89 5D EC 89 5D E8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 75 41 8D 45 F8 50 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 C9 5A E8 ?? ?? ?? ?? 8B 55 F8 8D 43 1C E8 ?? ?? ?? ?? EB 0A 8D 43 1C 8B D7 E8 ?? ?? ?? ?? 8B 4B 1C 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_6643_0 {
	meta:
		name = "TDBXError.Create"
		size = 63
		refs = "000d @ClassCreate 001e TDBXError.Create 0029 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 0C 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6644_0 {
	meta:
		name = "TDBXError.ErrorCodeToString"
		size = 1013
		refs = "0011 TDBXError.ErrorCodeToString 0139 SDBXErrNone 013e LoadResString 014a SDBXErrWarning 015b SDBXErrNoMemory 016c SDBXErrUnsupportedFieldType 017d SDBXErrInvalidHandle 018e SDBXErrNotSupported 019f SDBXErrInvalidTime 01b0 SDBXErrInvalidType 01c1 SDBXErrInvalidOrdinal 01d2 SDBXErrInvalidParameter 01e3 SDBXErrEOF 01f4 SDBXErrParameterNotSet 0205 SDBXErrInvalidUserOrPassword 0216 SDBXErrInvalidPrecision 0227 SDBXErrInvalidLength 0238 SDBXErrInvalidIsolationLevel 0249 SDBXErrInvalidTransactionId 025a SDBXErrDuplicateTransactionId 026b SDBXErrDriverRestricted 027c SDBXErrTransactionActive 028d SDBXErrMultipleTransactionNotEnabled 029e SDBXErrConnectionFailed 02af SDBXErrDriverInitFailed 02c0 SDBXErrOptimisticLockFailed 02d1 SDBXErrInvalidReference 02e2 SDBXErrNoTable 02f3 SDBXErrMissingParameterMarker 0304 SDBXErrNotImplemented 0315 SDBXErrDriverIncompatible 0326 SDBXErrInvalidArgument 0337 SDBXErrNoData 0348 SDBXErrVendorError 0356 SDBXErrUnrecognizedCommandType 0364 SDBXErrSchemaNameUnspecified 0372 SDBXErrDatabaseUnspecified 0380 SDBXErrLibraryNameUnspecified 038e SDBXErrGetDriverFuncUnspecified 039c SDBXErrVendorLibUnspecified 03ad IntToStr 03b9 SErrorCode 03c9 @UStrCat3 03e3 @UStrArrayClr 03e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 83 F8 65 0F 87 81 03 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 02 03 04 05 06 07 08 09 0A 0B 0C 0D 0E 0F 10 11 12 13 14 15 16 17 18 19 1A 1B 1C 1D 1E 00 21 00 22 23 24 25 26 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 1F 20 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 86 02 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 75 02 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 64 02 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 53 02 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 42 02 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 31 02 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 20 02 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0F 02 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FE 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ED 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DC 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CB 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BA 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A9 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 98 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 87 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 76 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 65 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 54 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 43 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 32 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 21 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 10 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FF 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EE 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DD 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CC 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BB 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AA 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 99 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 88 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7A 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5E 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 50 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 42 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 34 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6647_0 {
	meta:
		name = "TDBXConnectionValue.IsNull"
		size = 8
	strings:
		$1 = { 83 78 0C 01 1B C0 40 C3 }
	condition:
		$1
}

rule function_6648_0 {
	meta:
		name = "TDBXConnectionValue.SetDBXConnection"
		size = 29
	strings:
		$1 = { 56 8B F0 85 D2 75 0C 8B C6 8B 10 FF 92 58 01 00 00 5E C3 33 C0 89 46 0C 89 56 18 5E C3 }
	condition:
		$1
}

rule function_6650_0 {
	meta:
		name = "TDBXConnectionValue.SetValue"
		size = 55
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 58 84 C0 74 0D 8B C3 8B 10 FF 92 58 01 00 00 5E 5B C3 8B C6 8B 10 FF 92 B0 00 00 00 8B D0 8B C3 8B 08 FF 91 B0 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6651_0 {
	meta:
		name = "TDBXValueType.Clone"
		size = 103
		refs = "000a _DV_TDBXValueType 000f TDBXValueType.Create 001c @UStrAsg"
	strings:
		$1 = { 53 56 8B D8 8B 4B 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 04 8B 53 04 E8 ?? ?? ?? ?? 8B 43 0C 89 46 0C 8B 43 10 89 46 10 8B 43 14 89 46 14 8B 43 18 89 46 18 8B 43 1C 89 46 1C 8B 43 20 89 46 20 8B 43 24 89 46 24 8B 43 28 89 46 28 8B 43 2C 89 46 2C 8B 43 30 89 46 30 8B 43 34 89 46 34 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6652_0 {
	meta:
		name = "TDBXValueType.WritableClone"
		size = 10
		refs = "0001 TDBXValueType.Clone"
	strings:
		$1 = { E8 ?? ?? ?? ?? 83 60 30 DF C3 }
	condition:
		$1
}

rule function_6653_0 {
	meta:
		name = "TDBXValueType.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 3C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6655_0 {
	meta:
		name = "TDBXValueType.FailIfReadOnlyType"
		size = 139
		refs = "0015 TDBXValueType.FailIfReadOnlyType 0022 TDBXValueType.IsReadOnlyType 0032 SReadOnlyType 0037 LoadResString 0050 Format 0060 TDBXContext.Error 007a @UStrArrayClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3A 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 04 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC BA 09 00 00 00 8B 43 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6657_0 {
	meta:
		name = "TDBXConnection.GetConnectionProperties"
		size = 4
		altNames = "TDBXValueType.GetChildPosition TDomNode.GetDocument TWICImage.GetHeight"
	strings:
		$1 = { 8B 40 2C C3 }
	condition:
		$1
}

rule function_6660_0 {
	meta:
		name = "TDBXValueType.GetHidden"
		size = 21
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 64 A8 40 0F 95 C0 F6 D8 1B C0 5B C3 }
	condition:
		$1
}

rule function_6661_0 {
	meta:
		name = "TDBXValueType.GetLiteral"
		size = 18
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 64 F6 C4 02 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_6664_0 {
	meta:
		name = "TDBXJSONTableReader.GetColumnCount"
		size = 4
		altNames = "TDBXJSonReader.GetRowHandle TDBXValueType.GetParameterDirection TIWHTMLControlImplementation.GetStyleRenderOptions TPhysicalObjectMemberGroup.GetAttachment TPhysicalObjectMemberGroup.GetParent TStringList.GetCapacity TXmlSignal.GetRelatedDtdObject"
	strings:
		$1 = { 8B 40 34 C3 }
	condition:
		$1
}

rule function_6665_0 {
	meta:
		name = "TAbstractTest.GetStopTime"
		size = 26
		altNames = "TDBXValueType.GetPrecision TDomError.GetEndColumnNumber TXmlCustomTokenizer.GetEndCharNumber TXmlDoctypeDeclTokenizer.GetEndCharNumber TXmlSignal.GetEndLineNumber"
	strings:
		$1 = { 83 C4 F8 8B 50 20 89 14 24 8B 50 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_6666_0 {
	meta:
		name = "TDBXBinaryStream.ReadTimestampNanos"
		size = 4
		altNames = "TDBXDataSetTable.GetStorage TDBXReaderValue.GetMaxRows TDBXValueType.GetScale TInvContext.GetResultPointer TWICImage.GetWidth"
	strings:
		$1 = { 8B 40 28 C3 }
	condition:
		$1
}

rule function_6667_0 {
	meta:
		name = "TAbstractTest.GetStartTime"
		size = 26
		altNames = "TDBXValueType.GetSize TDomError.GetEndCharNumber TXmlCustomTokenizer.GetEndByteNumber TXmlDoctypeDeclTokenizer.GetEndByteNumber TXmlSignal.GetEndColumnNumber"
	strings:
		$1 = { 83 C4 F8 8B 50 18 89 14 24 8B 50 1C 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_6668_0 {
	meta:
		name = "TAdapterItemRequestParams.GetParamValues"
		size = 4
		altNames = "TCustomOwnedNode.GetParent TCustomScope.GetMetaClass TCustomWrapper.GetAttachment TCustomWrapper.GetParent TDBXCommand.GetCommandTimeout TDBXValueType.GetSubType TDSMethod.GetMethodClass TGestureCollectionItem.GetErrorMargin TIBXSQLDA.GetXSQLDA TseBitmapLink.GetBottom"
	strings:
		$1 = { 8B 40 14 C3 }
	condition:
		$1
}

rule function_6669_0 {
	meta:
		name = "TDBXValueType.GetValueParameter"
		size = 18
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 64 F6 C4 01 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_6670_0 {
	meta:
		name = "TDBXValueType.IsAutoIncrement"
		size = 17
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 64 A8 08 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_6671_0 {
	meta:
		name = "TDBXValueType.IsNullable"
		size = 17
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 64 A8 01 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_6672_0 {
	meta:
		name = "TDBXValueType.IsReadOnly"
		size = 17
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 64 A8 02 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_6673_0 {
	meta:
		name = "TDBXValueType.IsReadOnlyType"
		size = 17
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 64 A8 20 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_6674_0 {
	meta:
		name = "TDBXValueType.IsSearchable"
		size = 17
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 64 A8 04 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_6675_0 {
	meta:
		name = "TDBXValueType.SetDisplayName"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TScriptCodeItem.AssignString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 08 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6676_0 {
	meta:
		name = "TDBXValueType.SetChildPosition"
		size = 28
		refs = "0009 TDBXValueType.FailIfReadOnlyType"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B 73 2C 74 07 89 73 2C C6 43 40 01 5E 5B C3 }
	condition:
		$1
}

rule function_6677_0 {
	meta:
		name = "TDBXValueType.SetDataType"
		size = 28
		refs = "0009 TDBXValueType.FailIfReadOnlyType"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B 73 10 74 07 89 73 10 C6 43 40 01 5E 5B C3 }
	condition:
		$1
}

rule function_6678_0 {
	meta:
		name = "TDBXValueType.SetDbxRow"
		size = 13
	strings:
		$1 = { 3B 50 38 74 07 89 50 38 C6 40 40 01 C3 }
	condition:
		$1
}

rule function_6679_0 {
	meta:
		name = "TDBXValueType.SetFlags"
		size = 28
		refs = "000e TDBXValueType.FailIfReadOnlyType"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 30 74 0E 8B C3 E8 ?? ?? ?? ?? 89 73 30 C6 43 40 01 5E 5B C3 }
	condition:
		$1
}

rule function_6680_0 {
	meta:
		name = "TDBXValueType.SetHidden"
		size = 24
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 64 8B D0 83 CA 40 8B C3 8B 08 FF 51 28 5B C3 }
	condition:
		$1
}

rule function_6681_0 {
	meta:
		name = "TDBXValueType.SetLiteral"
		size = 27
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 64 8B D0 81 CA 00 02 00 00 8B C3 8B 08 FF 51 28 5B C3 }
	condition:
		$1
}

rule function_6682_0 {
	meta:
		name = "TDBXValueType.SetSize"
		size = 50
		refs = "0009 TDBXValueType.FailIfReadOnlyType"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 53 1C 3B 55 0C 75 03 3B 45 08 74 10 8B 45 08 89 43 18 8B 45 0C 89 43 1C C6 43 40 01 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6683_0 {
	meta:
		name = "TDBXValueType.SetPrecision"
		size = 30
		refs = "0009 TDBXValueType.FailIfReadOnlyType"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 43 20 8B 45 0C 89 43 24 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6684_0 {
	meta:
		name = "TDBXValueType.SetReadOnlyType"
		size = 12
	strings:
		$1 = { 8B 50 30 83 CA 20 8B 08 FF 51 28 C3 }
	condition:
		$1
}

rule function_6685_0 {
	meta:
		name = "TDBXValueType.SetScale"
		size = 19
		refs = "0009 TDBXValueType.FailIfReadOnlyType"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 73 28 5E 5B C3 }
	condition:
		$1
}

rule function_6686_0 {
	meta:
		name = "TDBXValueType.SetName"
		size = 26
		refs = "0009 TDBXValueType.FailIfReadOnlyType 0013 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 04 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6687_0 {
	meta:
		name = "TDBXValueType.SetNullable"
		size = 43
		refs = "0009 TDBXValueType.FailIfReadOnlyType 0010 TDBXValueType.IsNullable"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3A D8 74 10 84 DB 74 05 FF 46 30 EB 03 FF 4E 30 C6 46 40 01 5E 5B C3 }
	condition:
		$1
}

rule function_6688_0 {
	meta:
		name = "TDBXValueType.SetOrdinal"
		size = 28
		refs = "0009 TDBXValueType.FailIfReadOnlyType"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B 73 0C 74 07 89 73 0C C6 43 40 01 5E 5B C3 }
	condition:
		$1
}

rule function_6689_0 {
	meta:
		name = "TDBXValueType.SetSubType"
		size = 19
		refs = "0009 TDBXValueType.FailIfReadOnlyType"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 73 14 5E 5B C3 }
	condition:
		$1
}

rule function_6690_0 {
	meta:
		name = "TDBXValueType.SetValueParameter"
		size = 15
	strings:
		$1 = { 8B 50 30 81 CA 00 01 00 00 8B 08 FF 51 28 C3 }
	condition:
		$1
}

rule function_6691_0 {
	meta:
		name = "TDBXValueType.DataTypeName"
		size = 1712
		refs = "000f TDBXValueType.DataTypeName 00cb @UStrAsg 02c8 IntToStr 02dc @UStrCatN 02ea @UStrCat3 02ff @UStrClr 0305 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 83 F8 25 0F 87 99 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0C 02 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FB 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EA 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D9 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C8 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B7 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A6 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 95 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 84 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 73 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 62 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 51 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 40 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2F 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1E 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0D 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FC 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EB 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DA 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C9 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B8 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A7 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 96 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 85 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 77 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 69 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5B 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4D 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3F 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 31 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 23 68 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 0B 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 4E 00 4B 00 4E 00 4F 00 57 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 5A 00 53 00 54 00 52 00 49 00 4E 00 47 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 4C 00 4F 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 4F 00 4F 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 49 00 4E 00 54 00 38 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 4E 00 54 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 54 00 31 00 36 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 54 00 33 00 32 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 49 00 4E 00 47 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 4F 00 55 00 42 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 42 00 43 00 44 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 59 00 54 00 45 00 53 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 49 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 41 00 54 00 45 00 54 00 49 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 49 00 4E 00 54 00 31 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 49 00 4E 00 54 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 56 00 41 00 52 00 42 00 59 00 54 00 45 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 55 00 52 00 53 00 4F 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 54 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 49 00 4E 00 54 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 44 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 41 00 52 00 52 00 41 00 59 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 52 00 45 00 46 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 41 00 42 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 49 00 4D 00 45 00 53 00 54 00 41 00 4D 00 50 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 75 00 72 00 72 00 65 00 6E 00 63 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 61 00 72 00 69 00 61 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 49 00 4D 00 45 00 53 00 54 00 41 00 4D 00 50 00 4F 00 46 00 46 00 53 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4A 00 53 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 4E 00 4B 00 4E 00 4F 00 57 00 4E 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 44 00 42 00 58 00 54 00 79 00 70 00 65 00 73 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_6693_0 {
	meta:
		name = "TDBXValueType.InvalidTypeAccess"
		size = 189
		refs = "001e TDBXValueType.InvalidTypeAccess 0032 TDBXValueType.DataTypeName 005c SInvalidTypeAccess 0061 LoadResString 006f Format 007f _DV_TDBXError 0084 TDBXError.Create 0089 @RaiseExcept 00a3 @UStrArrayClr 00ab @UStrClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D FC 89 4D E8 89 4D E4 89 4D E0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F4 C6 45 F8 11 8D 45 EC 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 45 FC 50 B9 07 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6694_0 {
	meta:
		name = "TDBXDriverRegistry.Create"
		size = 98
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TStringList 0023 TStringList.Create 003c _Dn_TThreadList 0041 TThreadList.Create 004f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6695_0 {
	meta:
		name = "TDBXDriverRegistry.Destroy"
		size = 91
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 0019 TDBXDriverRegistry.FreeAllLoaders 0029 TObject.Free 0054 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6696_0 {
	meta:
		name = "TDBXDriverRegistry.FindDriver"
		size = 204
		refs = "0019 TDBXDriverRegistry.FindDriver 0047 TList.Get 005d @UStrLAsg 0084 CompareText 00b7 @UStrArrayClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D FC 89 5D F8 8B F1 89 55 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 FF FF FF FF 8B 45 F4 8B 40 08 48 85 C0 7C 6C 40 89 45 E8 C7 45 EC 00 00 00 00 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8D 55 FC 8B C3 8B 08 FF 51 08 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 08 8B 45 EC 89 45 F0 EB 08 FF 45 EC FF 4D E8 75 9F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6697_0 {
	meta:
		name = "TDBXDriverRegistry.DriverLoadError"
		size = 168
		refs = "001e TDBXDriverDef 0023 @AddRefRecord 002b TDBXDriverRegistry.DriverLoadError 0040 SUnknownDriver 0045 LoadResString 005e Format 006d TDBXContext.Error 0087 @UStrArrayClr 0095 @FinalizeRecord 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D F0 89 5D EC 8B F2 8D 7D F4 A5 A5 A5 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F4 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D F0 BA 16 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6698_0 {
	meta:
		name = "SplitTypeIntoClassAndPackage"
		size = 114
		refs = "0052 @UStrCopy"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 14 24 8B F0 8B 06 89 44 24 04 8B 44 24 04 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 4A BB 01 00 00 00 8B 16 66 83 7C 5A FE 2C 75 37 8B 06 89 44 24 04 8B 7C 24 04 85 FF 74 05 83 EF 04 8B 3F 8B 04 24 50 8B CF 2B CB 8D 53 01 8B 06 E8 ?? ?? ?? ?? 56 8B CB 49 8B 06 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 04 43 48 75 BB 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6699_0 {
	meta:
		name = "RegisterClassLoader"
		size = 309
		refs = "001b @UStrAddRef 0046 RegisterClassLoader 005d TDBXProperties.GetValue 0075 SplitTypeIntoClassAndPackage 0086 @UStrLAsg 00ba _Dn_TClassRegistry 00bf TClassRegistry.GetClassRegistry 00cb TClassRegistry.HasClass 00d5 ModuleIsPackage 00e5 TClassRegistry.RegisterPackageClass 00f0 @UStrAsg 0115 @UStrArrayClr 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 49 8D 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 8B 55 14 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 75 0B 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 83 7D F0 00 75 23 8D 45 F0 8B 55 10 E8 ?? ?? ?? ?? EB 16 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 10 E8 ?? ?? ?? ?? 83 7D F4 00 74 30 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 16 80 3D ?? ?? ?? ?? 00 74 0D 8B 4D F0 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 0C 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 10 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_6700_0 {
	meta:
		name = "TDBXDriverRegistry.LoadMetaDataCommandFactory"
		size = 176
		refs = "000f TDBXDriverRegistry.LoadMetaDataCommandFactory 0024 @UStrClr 0037 RegisterClassLoader 004a TDBXDriver.LoadMetaDataCommandFactory 0064 @UStrArrayClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5E 0C 6A 00 6A 00 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 FC 50 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 0D 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_6701_0 {
	meta:
		name = "TDBXDriverRegistry.LoadDriver"
		size = 225
		refs = "001c TDBXDriverDef 0021 @AddRefRecord 0029 TDBXDriverRegistry.LoadDriver 0082 TList.Add 0096 TDBXProperties.Clone 00a9 TDBXDriverRegistry.LoadMetaDataCommandFactory 00cc @FinalizeRecord 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F2 8D 7D F4 A5 A5 A5 89 4D EC 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 F0 8B 40 04 8B 10 FF 52 14 8B F8 4F 85 FF 7C 6E 47 C7 45 E8 00 00 00 00 8B 45 F0 8B 40 04 8B 55 E8 8B 08 FF 51 18 8B F0 8D 55 F4 8B C6 8B 08 FF 51 04 8B D8 85 DB 74 40 89 73 1C 8B 55 F4 8B C3 8B 08 FF 51 0C 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 75 F8 85 F6 74 16 83 7B 0C 00 75 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 04 8B D3 8B 45 F0 E8 ?? ?? ?? ?? EB 06 FF 45 E8 4F 75 9A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6703_0 {
	meta:
		name = "TDBXDriverRegistry.RegisterDriverClass"
		size = 103
		refs = "000e @UStrAddRef 0016 TDBXDriverRegistry.RegisterDriverClass 0021 TDBXDriverRegistry.DBXDriverRegistry 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 40 08 8B 55 FC 8B 08 FF 51 54 85 C0 7D 12 A1 ?? ?? ?? ?? 8B 40 08 8B CB 8B 55 FC 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6704_0 {
	meta:
		name = "TDBXDriverRegistry.UnregisterDriverClass"
		size = 105
		refs = "000b @UStrAddRef 0013 TDBXDriverRegistry.UnregisterDriverClass 001f TDBXDriverRegistry.DBXDriverRegistry 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 23 A1 ?? ?? ?? ?? 8B 40 08 8B 55 FC 8B 08 FF 51 54 85 C0 7C 0F 8B 15 ?? ?? ?? ?? 8B 52 08 92 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_6705_0 {
	meta:
		name = "TDBXDriverRegistry.GetDriver"
		size = 768
		refs = "0021 TDBXDriverDef 0026 @AddRefRecord 002e TDBXDriverRegistry.GetDriver 0044 TThreadList.LockList 0061 TDBXDriverRegistry.FindDriver 00aa TList.Add 00b4 TDBXDriverRegistry.LoadMetaDataCommandFactory 00cc TDBXDriverRegistry.LoadDriver 00de _Dn_TClassRegistry 00e3 TClassRegistry.GetClassRegistry 00f0 @UStrLAsg 00fa TClassRegistry.HasClass 0116 @UStrClr 012d RegisterClassLoader 0145 TClassRegistry.CreateInstance 014f _DV_TDBXDriverLoader 0154 @AsClass 0161 TDBXDriverRegistry.InternalRegisterLoader 018d TList.Get 01a9 TDBXProperties.Clone 01ce TMonitor.Exit 01d4 @HandleFinally 01ea TDBXDriverRegistry.DriverLoadError 0205 @FinalizeRecord 0212 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D FC 89 4D F8 8B F2 8D 7D EC A5 A5 A5 89 45 E8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E4 8B 45 E8 8B 40 10 E8 ?? ?? ?? ?? 8B F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D EC 8B D6 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8D 15 01 00 00 8B 45 E8 8B 40 08 8B 55 EC 8B 08 FF 51 54 8B D8 83 FB FF 7E 39 8B 45 E8 8B 40 08 8B D3 8B 08 FF 51 18 8D 4D EC B2 01 FF 50 1C 8B D8 8B 55 EC 8B C3 8B 08 FF 51 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 45 E8 E8 ?? ?? ?? ?? E9 B8 00 00 00 83 7D F0 00 74 10 8B CE 8D 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 0F 85 98 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 55 EC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2F 83 7D F0 00 74 29 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 36 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 E8 E8 ?? ?? ?? ?? 8B CE 8D 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E4 8B 4D EC 8B D6 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 2F 8B D3 8B C6 E8 ?? ?? ?? ?? 89 45 E4 83 7D F0 00 74 1D 8B 45 E4 8B 10 FF 12 85 C0 75 12 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 E4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 8B 40 10 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 83 7D E4 00 75 0E 8B 4D F8 8D 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 E4 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 62 00 78 00 43 00 6F 00 6D 00 6D 00 6F 00 6E 00 44 00 72 00 69 00 76 00 65 00 72 00 31 00 36 00 30 00 2E 00 62 00 70 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_6706_0 {
	meta:
		name = "TDBXDriverRegistry.GetRegisteredDriverClassNames"
		size = 122
		refs = "0018 TDBXDriverRegistry.GetRegisteredDriverClassNames 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B 10 FF 52 14 8B D8 4B 85 DB 7C 22 43 33 F6 8D 4D F4 8B 45 FC 8B 40 08 8B D6 8B 38 FF 57 0C 8B 55 F4 8B 45 F8 8B 08 FF 51 38 46 4B 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7603_0 {
	meta:
		name = "TDBXIniFileConnectionFactory.GetDriverItems"
		size = 122
		refs = "0018 TDBXIniFileConnectionFactory.GetDriverItems 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B 10 FF 52 14 8B D8 4B 85 DB 7C 22 43 33 F6 8D 4D F4 8B 45 FC 8B 40 08 8B D6 8B 38 FF 57 0C 8B 55 F4 8B 45 F8 8B 08 FF 51 38 46 4B 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6707_0 {
	meta:
		name = "TDBXDriverRegistry.GetRegisteredDriverLoaderNames"
		size = 122
		refs = "0018 TDBXDriverRegistry.GetRegisteredDriverLoaderNames 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 10 FF 52 14 8B D8 4B 85 DB 7C 22 43 33 F6 8D 4D F4 8B 45 FC 8B 40 04 8B D6 8B 38 FF 57 0C 8B 55 F4 8B 45 F8 8B 08 FF 51 38 46 4B 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6708_0 {
	meta:
		name = "TDBXDriverRegistry.GetRegisteredDriverNames"
		size = 27
		refs = "000b TDBXDriverRegistry.GetRegisteredDriverLoaderNames 0014 TDBXDriverRegistry.GetRegisteredDriverClassNames"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72915_0 {
	meta:
		name = "TCustomActionBar.CMEnabledchanged"
		size = 27
		refs = "000b TWinControl.CMEnabledChanged 0014 TWinControl.Broadcast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94339_0 {
	meta:
		name = "TSeriesPointer.SetSize"
		size = 27
		refs = "000b TSeriesPointer.SetHorizSize 0014 TSeriesPointer.SetVertSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29194_0 {
	meta:
		name = "TTAzureTableDialog.HandleColumnDblClick"
		size = 27
		refs = "000b TTAzureTableDialog.UpdateColumnsPopupMenu 0014 TTAzureTableDialog.EditColumnAction"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91555_0 {
	meta:
		name = "TTeeShadow.SetSize"
		size = 27
		refs = "000b TTeeShadow.SetHorizSize 0014 TTeeShadow.SetVertSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75544_0 {
	meta:
		name = "TToolBar.CMEnabledChanged"
		size = 27
		refs = "000b TWinControl.CMEnabledChanged 0014 TWinControl.Broadcast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76676_0 {
	meta:
		name = "TWinControl.CMSysFontChanged"
		size = 27
		refs = "000b TControl.CMSysFontChanged 0014 TWinControl.Broadcast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6709_0 {
	meta:
		name = "TDBXDriverRegistry.InternalRegisterLoader"
		size = 229
		refs = "0018 TDBXDriverRegistry.InternalRegisterLoader 002f TThreadList.LockList 0057 SDriverAlreadyRegistered 005c LoadResString 0067 @UStrCat 0077 _DV_TDBXError 007c TDBXError.Create 0081 @RaiseExcept 008b @UStrAsg 00b6 TMonitor.Exit 00bc @HandleFinally 00d3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC FF 40 0C 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 56 04 8B 45 FC 8B 40 04 8B 08 FF 51 54 85 C0 7C 32 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 56 04 E8 ?? ?? ?? ?? 8B 45 F8 50 B9 16 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 04 8B D3 E8 ?? ?? ?? ?? 8B 56 04 8B 45 FC 8B 40 04 8B CE 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6710_0 {
	meta:
		name = "TDBXDriverRegistry.FreeDriver"
		size = 173
		refs = "0016 TDBXDriverRegistry.FreeDriver 0027 TThreadList.LockList 004e TDBXDriverRegistry.FindDriver 005c TList.Delete 0063 TObject.Free 007e TMonitor.Exit 0084 @HandleFinally 009b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 8B D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B C6 8B 08 FF 51 08 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 83 F8 FF 7E 10 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6711_0 {
	meta:
		name = "TDBXDriverRegistry.CloseAllDrivers"
		size = 137
		refs = "0011 TThreadList.LockList 001b TDBXDriverRegistry.CloseAllDrivers 0032 TList.Get 003b TDBXDriver.UncacheAtFinalization 0077 TMonitor.Exit 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 4B 85 DB 7C 17 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 4B 85 DB 7D E9 33 DB EB 13 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 52 14 43 3B 5F 08 7C E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6712_0 {
	meta:
		name = "TDBXDriverRegistry.FreeAllDrivers"
		size = 131
		refs = "0016 TThreadList.LockList 0020 TDBXDriverRegistry.FreeAllDrivers 0033 TList.Get 0046 TList.Delete 004d TObject.Free 0070 TMonitor.Exit 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB EB 26 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 47 1C 3B 45 F8 75 12 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 01 43 3B 5E 08 7C D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6713_0 {
	meta:
		name = "TDBXDriverRegistry.FreeAllLoaders"
		size = 177
		refs = "0011 TThreadList.LockList 0019 TDBXDriverRegistry.FreeAllLoaders 0042 TDBXDriverRegistry.FreeAllDrivers 005e TObject.Free 009f TMonitor.Exit 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 54 8B 45 FC 8B 58 04 8B C3 8B 10 FF 52 14 8B D0 4A 8B C3 8B 08 FF 51 18 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 70 04 8B C6 8B 10 FF 52 14 8B D0 4A 8B C6 8B 08 FF 51 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 78 04 8B C7 8B 10 FF 52 14 8B D0 4A 8B C7 8B 08 FF 51 48 8B 45 FC 8B 40 04 8B 10 FF 52 14 85 C0 7F 9D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6714_0 {
	meta:
		name = "TDBXConnection.Create"
		size = 177
		refs = "000f @ClassCreate 001f TObject.Create 0026 _Dn_TList 003b TDBXConnectionBuilder.GetConnectionProperties 0045 _DV_TDBXContext 004a TDBXContext.Create 0063 TDBXContext.SetOnError 0074 TDBXContext.SetOnTrace 0082 TDBXContext.SetTraceFlags 009b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 8B 46 20 89 43 04 8B C6 E8 ?? ?? ?? ?? 89 43 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 28 8B 46 1C 85 C0 74 38 FF 70 0C FF 70 08 8B C7 E8 ?? ?? ?? ?? 8B 46 1C FF 70 14 FF 70 10 8B 43 28 E8 ?? ?? ?? ?? 8B 46 1C 8B 50 18 8B 43 28 E8 ?? ?? ?? ?? 8B 46 1C 8B 40 24 8B 53 28 89 42 24 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6715_0 {
	meta:
		name = "TDBXConnection.DerivedCreateCommand"
		size = 17
		refs = "0007 _DV_TDBXMorphicCommand 000c TDBXMorphicCommand.Create"
	strings:
		$1 = { 50 8B 48 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12806_0 {
	meta:
		name = "TDBXPoolConnection.CreateCommand"
		size = 17
		refs = "0007 _Dn_TDBXMorphicCommand 000c TDBXMorphicCommand.Create"
	strings:
		$1 = { 50 8B 48 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6716_0 {
	meta:
		name = "TDBXConnection.Destroy"
		size = 131
		refs = "0003 @BeforeDestruction 0029 TObject.Free 0071 TObject.Destroy 007c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 38 84 C0 74 07 8B C6 8B 10 FF 52 64 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 28 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 33 C0 89 46 2C 8D 46 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6717_0 {
	meta:
		name = "TDBXConnection.CreateMorphCommand"
		size = 18
	strings:
		$1 = { 53 52 8B C8 8B 50 04 8B 40 28 92 8B 18 FF 53 18 5B C3 }
	condition:
		$1
}

rule function_6718_0 {
	meta:
		name = "TDBXConnection.CreateCommand"
		size = 216
		refs = "0010 TDBXConnection.CreateCommand 0063 StrToInt 0083 TDBXConnection.AddCommand 009d @UStrArrayClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 40 8B F0 8B C3 8B 10 FF 52 0C 85 C0 74 50 8B C3 8B 10 FF 52 0C 80 78 14 00 74 43 8D 4D FC BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 60 83 7D FC 00 74 23 8D 4D F8 BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 60 8B 45 F8 E8 ?? ?? ?? ?? 99 52 50 8B C6 8B 10 FF 52 14 EB 0B 6A 00 6A 14 8B C6 8B 10 FF 52 14 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 6F 00 77 00 53 00 65 00 74 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_6719_0 {
	meta:
		name = "TDBXConnection.Open"
		size = 23
	strings:
		$1 = { 53 8B D8 C6 43 10 01 8B C3 8B 10 FF 52 44 8B C3 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_6720_0 {
	meta:
		name = "TDBXConnection.Close"
		size = 57
		refs = "0006 TDBXConnection.CloseAllCommands 000d TDBXConnection.RollbackAllTransactions 002f TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 50 6A 00 6A 00 8B C3 8B 10 FF 52 1C 8D 43 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C6 43 10 00 5B C3 }
	condition:
		$1
}

rule function_6721_0 {
	meta:
		name = "TDBXConnection.CloseAllCommands"
		size = 32
		refs = "000b TList.Get 0010 TDBXCommand.ConnectionClosing"
	strings:
		$1 = { 53 56 8B D8 EB 0E 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 20 83 7E 08 00 7F E9 5E 5B C3 }
	condition:
		$1
}

rule function_6722_0 {
	meta:
		name = "TDBXConnection.HasTransaction"
		size = 28
	strings:
		$1 = { 8B 40 08 85 C0 74 10 3B D0 75 05 B1 01 8B C1 C3 8B 40 04 85 C0 75 F0 33 C9 8B C1 C3 }
	condition:
		$1
}

rule function_6723_0 {
	meta:
		name = "TDBXConnection.CheckTransaction"
		size = 101
		refs = "000f TDBXConnection.CheckTransaction 001e TDBXConnection.HasTransaction 002a SInvalidTransaction 002f LoadResString 003f TDBXContext.Error 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA 1D 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6724_0 {
	meta:
		name = "TDBXConnection.FreeTransactions"
		size = 52
		refs = "001a TObject.Free"
	strings:
		$1 = { 53 56 57 55 8B FA 8B E8 8B 5D 08 85 DB 74 1D 8B 73 04 33 C0 89 43 08 8B C3 E8 ?? ?? ?? ?? 3B FB 75 04 8B DE EB 06 8B DE 85 DB 75 E3 89 5D 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6725_0 {
	meta:
		name = "TDBXConnection.GetDatabaseMetaData"
		size = 45
		refs = "0010 _DV_TDBXDatabaseMetaData 0015 TDBXDatabaseMetaData.Create 0023 TDBXDatabaseMetaData.Init"
	strings:
		$1 = { 53 56 8B D8 83 7B 0C 00 75 1D 8B 4B 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_6726_0 {
	meta:
		name = "TDBXConnection.GetTraceFlags"
		size = 7
	strings:
		$1 = { 8B 40 28 8B 40 18 C3 }
	condition:
		$1
}

rule function_6727_0 {
	meta:
		name = "TDBXConnection.GetTraceInfoEvent"
		size = 15
	strings:
		$1 = { 8B 40 28 8B 48 10 89 0A 8B 48 14 89 4A 04 C3 }
	condition:
		$1
}

rule function_6728_0 {
	meta:
		name = "TDBXConnection.BeginTransaction"
		size = 27
	strings:
		$1 = { 53 8B D8 8B C3 8B 08 FF 11 89 58 08 8B 53 08 85 D2 74 03 89 50 04 89 43 08 5B C3 }
	condition:
		$1
}

rule function_6729_0 {
	meta:
		name = "TDBXConnection.AddCommand"
		size = 22
		refs = "000c TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 20 E8 ?? ?? ?? ?? 89 5E 18 5E 5B C3 }
	condition:
		$1
}

rule function_6730_0 {
	meta:
		name = "TDBXConnection.BeginTransaction"
		size = 9
	strings:
		$1 = { 8B 50 24 8B 08 FF 51 68 C3 }
	condition:
		$1
}

rule function_6731_0 {
	meta:
		name = "TDBXConnection.CommitFreeAndNil"
		size = 40
		refs = "000b TDBXConnection.CheckTransaction 001d TDBXConnection.FreeTransactions"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 16 8B C3 E8 ?? ?? ?? ?? 8B 16 8B C3 8B 08 FF 51 04 8B 16 8B C3 E8 ?? ?? ?? ?? 33 C0 89 06 5E 5B C3 }
	condition:
		$1
}

rule function_6732_0 {
	meta:
		name = "TDBXConnection.RemoveCommand"
		size = 22
		refs = "000b TList.RemoveItem"
	strings:
		$1 = { 53 8B DA 8B 40 20 8B D3 33 C9 E8 ?? ?? ?? ?? 33 C0 89 43 18 5B C3 }
	condition:
		$1
}

rule function_6733_0 {
	meta:
		name = "TDBXConnection.RollbackAllTransactions"
		size = 23
	strings:
		$1 = { 53 8B D8 EB 0A 8D 53 08 8B C3 8B 08 FF 51 74 83 7B 08 00 75 F0 5B C3 }
	condition:
		$1
}

rule function_6734_0 {
	meta:
		name = "TDBXConnection.RollbackFreeAndNil"
		size = 40
		refs = "000b TDBXConnection.CheckTransaction 001d TDBXConnection.FreeTransactions"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 16 8B C3 E8 ?? ?? ?? ?? 8B 16 8B C3 8B 08 FF 51 08 8B 16 8B C3 E8 ?? ?? ?? ?? 33 C0 89 06 5E 5B C3 }
	condition:
		$1
}

rule function_6735_0 {
	meta:
		name = "TDBXConnection.RollbackIncompleteFreeAndNil"
		size = 35
		refs = "000b TDBXConnection.HasTransaction"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 16 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 8B 08 FF 51 74 33 C0 89 06 5E 5B C3 }
	condition:
		$1
}

rule function_6736_0 {
	meta:
		name = "TDBXConnection.GetCommandTypes"
		size = 220
		refs = "0007 TDBXConnection.GetCommandTypes"
	strings:
		$1 = { 53 56 8B DA 8B F0 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 8B D3 8B C6 8B 08 FF 51 48 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 62 00 78 00 2E 00 53 00 51 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 62 00 78 00 2E 00 53 00 74 00 6F 00 72 00 65 00 64 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 62 00 78 00 2E 00 54 00 61 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 62 00 78 00 2E 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_6737_0 {
	meta:
		name = "TDBXConnection.GetCommands"
		size = 1136
		refs = "000c TDBXConnection.GetCommands 0011 @UStrEqual"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 F0 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 8B CB 8B D7 8B C6 8B 18 FF 53 4C 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 62 00 78 00 2E 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 49 00 6E 00 64 00 65 00 78 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 55 00 73 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 47 00 65 00 74 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 53 00 63 00 68 00 65 00 6D 00 61 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 56 00 69 00 65 00 77 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 47 00 65 00 74 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 47 00 65 00 74 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 47 00 65 00 74 00 49 00 6E 00 64 00 65 00 78 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 47 00 65 00 74 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 52 00 6F 00 6C 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 47 00 65 00 74 00 52 00 65 00 73 00 65 00 72 00 76 00 65 00 64 00 57 00 6F 00 72 00 64 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_6739_0 {
	meta:
		name = "TDBXCommand.GetErrorEvent"
		size = 15
		altNames = "TDBXConnection.GetErrorEvent"
	strings:
		$1 = { 8B 40 28 8B 48 08 89 0A 8B 48 0C 89 4A 04 C3 }
	condition:
		$1
}

rule function_6741_0 {
	meta:
		name = "TDBXConnection.GetProductVersion"
		size = 204
		refs = "0012 TDBXConnection.GetProductVersion 0032 TDBXProperties.GetValue 0043 @UStrAsg 008a @UStrArrayClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 18 00 75 48 8B 43 04 8B 10 FF 12 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 0D 8D 43 14 8B 55 FC E8 ?? ?? ?? ?? EB 1D 8D 4D F8 BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 80 00 00 00 8B 55 F8 8D 43 14 E8 ?? ?? ?? ?? C6 43 18 01 8B C6 8B 53 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 72 00 6F 00 64 00 75 00 63 00 74 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_6742_0 {
	meta:
		name = "TDBXConnection.GetProductName"
		size = 144
		refs = "0011 TDBXConnection.GetProductName 0016 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 46 04 8B 10 FF 12 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3B 00 75 25 8B CB BA ?? ?? ?? ?? 8B C6 8B 38 FF 97 80 00 00 00 83 3B 00 75 0F 8B CB BA ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 72 00 6F 00 64 00 75 00 63 00 74 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_6743_0 {
	meta:
		name = "TDBXConnection.GetConnectionProperty"
		size = 25
		refs = "0011 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 2C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98720_0 {
	meta:
		name = "TStringsObj.Names"
		size = 25
		refs = "0011 TStrings.GetName"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 2C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98724_0 {
	meta:
		name = "TStringsObj.Values"
		size = 25
		refs = "0011 TStrings.GetValue"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 2C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6745_0 {
	meta:
		name = "TDBXConnection.SetErrorEvent"
		size = 21
		refs = "000d TDBXContext.SetOnError"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 28 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_6750_0 {
	meta:
		name = "TDBXConnection.SetTraceInfoEvent"
		size = 21
		refs = "000d TDBXContext.SetOnTrace"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 28 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_6746_0 {
	meta:
		name = "TDBXConnection.SetConnectionProperties"
		size = 4
		altNames = "TStringsAdapter.ReferenceStrings TVirtualWebDir.SetFilter"
	strings:
		$1 = { 89 50 2C C3 }
	condition:
		$1
}

rule function_6747_0 {
	meta:
		name = "TDBXConnection.GetDBXFormatter"
		size = 7
	strings:
		$1 = { 8B 40 28 8B 40 24 C3 }
	condition:
		$1
}

rule function_6748_0 {
	meta:
		name = "TDBXConnection.SetDBXFormatter"
		size = 9
		refs = "0004 TDBXContext.SetDBXFormatter"
	strings:
		$1 = { 8B 40 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6749_0 {
	meta:
		name = "TDBXConnection.SetTraceFlags"
		size = 9
		refs = "0004 TDBXContext.SetTraceFlags"
	strings:
		$1 = { 8B 40 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59344_0 {
	meta:
		name = "TObjectWrapper.Add"
		size = 9
		refs = "0004 TList<System.string>.Add"
	strings:
		$1 = { 8B 40 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59346_0 {
	meta:
		name = "TObjectWrapper.Clear"
		size = 9
		refs = "0004 TList<System.string>.Clear"
	strings:
		$1 = { 8B 40 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59347_0 {
	meta:
		name = "TObjectWrapper.Contains"
		size = 9
		refs = "0004 TList<System.string>.Contains"
	strings:
		$1 = { 8B 40 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59365_0 {
	meta:
		name = "TObjectWrapper.Remove"
		size = 9
		refs = "0004 TList<System.string>.Remove"
	strings:
		$1 = { 8B 40 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59367_0 {
	meta:
		name = "TObjectWrapper.SetSymbols"
		size = 9
		refs = "0004 TList<System.string>.SetItem"
	strings:
		$1 = { 8B 40 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6751_0 {
	meta:
		name = "TDBXConnection.GetCommands"
		size = 209
		refs = "001c TDBXConnection.GetCommands 0029 _Dn_TStringList 002e TStringList.Create 0075 @WStrFromUStr 0099 TObject.Free 009f @HandleFinally 00b6 @UStrClr 00be @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F4 89 5D F0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 2A 43 33 F6 8D 4D F0 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 38 46 4B 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6752_0 {
	meta:
		name = "TDBXConnection.GetCommandTypes"
		size = 205
		refs = "001a TDBXConnection.GetCommandTypes 0027 _Dn_TStringList 002c TStringList.Create 0071 @WStrFromUStr 0095 TObject.Free 009b @HandleFinally 00b2 @UStrClr 00ba @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 2A 43 33 F6 8D 4D F0 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 38 46 4B 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6753_0 {
	meta:
		name = "TDBXCommand.CreateParameter"
		size = 16
		refs = "0006 _DV_TDBXParameter 000b TDBXParameter.Create"
	strings:
		$1 = { 8B 48 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16728_0 {
	meta:
		name = "TDSServerCommand.CreateParameterRow"
		size = 16
		refs = "0006 _Dn_TDBXNoOpRow 000b TDBXNoOpRow.Create"
	strings:
		$1 = { 8B 48 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6754_0 {
	meta:
		name = "TDBXCommand.CreateParameterRow"
		size = 8
		refs = "0001 TDBXCommand.NotImplemented"
	strings:
		$1 = { E8 ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule function_97952_0 {
	meta:
		name = "TInvalidWebSession.GetTimeoutMinutes"
		size = 8
		refs = "0001 TInvalidWebSession.RaiseInvalidWebSession"
	strings:
		$1 = { E8 ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule function_6755_0 {
	meta:
		name = "TDBXCommand.CreateParameters"
		size = 28
		refs = "000d _DV_TDBXParameterList 0012 TDBXParameterList.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 4B 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 24 5E 5B C3 }
	condition:
		$1
}

rule function_6756_0 {
	meta:
		name = "TDBXCommand.Create"
		size = 104
		refs = "000b @ClassCreate 001a TObject.Create 0022 TDBXCommand.Create 0027 @UStrAsg 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 77 28 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 62 00 78 00 2E 00 53 00 51 00 4C 00 00 00 }
	condition:
		$1
}

rule function_6757_0 {
	meta:
		name = "TDBXCommand.Destroy"
		size = 73
		refs = "0003 @BeforeDestruction 001e TObject.Free 002c TDBXConnection.RemoveCommand 0037 TObject.Destroy 0042 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 5C 8D 46 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 46 18 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6758_0 {
	meta:
		name = "TDBXCommand.SetCommandType"
		size = 44
		refs = "000c @UStrEqual 0025 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B D6 E8 ?? ?? ?? ?? 74 17 80 7B 10 00 74 07 8B C3 8B 10 FF 52 5C 8D 43 04 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6759_0 {
	meta:
		name = "TDBXCommand.SetParameters"
		size = 56
	strings:
		$1 = { 53 56 57 8B F8 8B C7 8B 10 FF 52 54 8B 47 24 8B 10 FF 52 08 48 8B D8 85 DB 7C 19 43 33 F6 8B 47 24 8B D6 8B 08 FF 51 04 8B 10 FF 92 80 00 00 00 46 4B 75 EA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6760_0 {
	meta:
		name = "TDBXCommand.ExecuteQuery"
		size = 127
		refs = "000d TDBXCommand.ExecuteQuery 0021 SNoStatementToExecute 0026 LoadResString 0036 TDBXContext.Error 003d TDBXCommand.CommandExecuting 0057 TDBXCommand.CommandExecuted 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 00 75 1D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA 1E 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 4C 8B F0 85 F6 74 03 89 5E 1C 89 73 0C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6761_0 {
	meta:
		name = "TDBXCommand.ExecuteUpdate"
		size = 111
		refs = "000c TDBXCommand.ExecuteUpdate 0020 SNoStatementToExecute 0025 LoadResString 0035 TDBXContext.Error 003c TDBXCommand.CommandExecuting 004a TDBXCommand.CommandExecuted 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 00 75 1D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA 1E 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 50 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6762_0 {
	meta:
		name = "TDBXCommand.FreeOnExecute"
		size = 48
		refs = "0010 _Dn_TObjectList 0015 TObjectList.Create 0028 TList.Add"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 83 7B 20 00 75 15 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 20 C6 46 10 01 8B 43 20 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6763_0 {
	meta:
		name = "TDBXCommand.FreeOnExecuteObjects"
		size = 15
	strings:
		$1 = { 8B 50 20 85 D2 74 07 8B C2 8B 10 FF 52 08 C3 }
	condition:
		$1
}

rule function_6764_0 {
	meta:
		name = "TDBXCommand.CloseReader"
		size = 27
		refs = "0010 TDBXReader.CommandCloseReader"
	strings:
		$1 = { 53 8B D8 8B 43 0C 85 C0 74 0F 33 D2 89 50 1C E8 ?? ?? ?? ?? 33 C0 89 43 0C 5B C3 }
	condition:
		$1
}

rule function_6765_0 {
	meta:
		name = "TDBXCommand.CommandExecuted"
		size = 20
	strings:
		$1 = { 8B 50 24 85 D2 74 0C 83 7A 0C 00 74 06 8B 42 0C FF 40 08 C3 }
	condition:
		$1
}

rule function_6766_0 {
	meta:
		name = "TDBXCommand.CommandExecuting"
		size = 71
		refs = "000d TDBXCommand.FreeOnExecuteObjects 0040 TDBXCommand.SetParameters"
	strings:
		$1 = { 53 56 8B D8 83 7B 20 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 38 8B C3 8B 10 FF 12 8B 73 24 85 F6 74 1F 8B C6 8B 10 FF 52 08 85 C0 7E 14 80 7B 11 00 75 07 8B C3 8B 10 FF 52 60 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6767_0 {
	meta:
		name = "TDBXCommand.ConnectionClosing"
		size = 26
		refs = "0009 TDBXConnection.RemoveCommand"
	strings:
		$1 = { 53 8B D8 8B D3 8B 43 18 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 5C C6 43 1C 01 5B C3 }
	condition:
		$1
}

rule function_6770_0 {
	meta:
		name = "TDBXCommand.GetNextReader"
		size = 25
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 12 8B C3 8B 10 FF 52 3C 85 C0 74 03 89 58 1C 5B C3 }
	condition:
		$1
}

rule function_6771_0 {
	meta:
		name = "TDBXCommand.GetParameters"
		size = 30
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 38 83 7B 24 00 75 09 8B D3 8B C3 8B 08 FF 51 30 8B 43 24 5B C3 }
	condition:
		$1
}

rule function_6773_0 {
	meta:
		name = "TDBXCommand.Prepare"
		size = 108
		refs = "000c TDBXCommand.Prepare 0027 SAlreadyPrepared 002c LoadResString 003c TDBXContext.Error 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 38 80 7B 11 00 74 1D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA 1E 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 48 C6 43 11 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6774_0 {
	meta:
		name = "TDBXCommand.SetText"
		size = 72
		refs = "002a @UStrEqual 0041 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 10 00 74 2B 80 7B 11 00 74 25 83 7B 24 00 74 1F 8B 43 24 8B 10 FF 52 08 85 C0 7E 13 8B 43 08 8B D6 E8 ?? ?? ?? ?? 74 07 8B C3 8B 10 FF 52 5C C6 43 11 00 8D 43 08 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6775_0 {
	meta:
		name = "TDBXCommand.NotImplemented"
		size = 145
		refs = "000f TDBXCommand.NotImplemented 0024 SNotImplemented 0029 LoadResString 0039 _DV_TDBXError 003e TDBXError.Create 0047 @RaiseExcept 0065 TDBXContext.Error 007f @UStrArrayClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 28 85 F6 75 2D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 B9 1B 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C2 E8 ?? ?? ?? ?? EB 1C 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA 1B 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6776_0 {
	meta:
		name = "TDBXCommand.Open"
		size = 117
		refs = "000c TDBXCommand.Open 0026 SConnectionClosed 002b LoadResString 003b _DV_TDBXError 0040 TDBXError.Create 0045 @RaiseExcept 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 10 00 75 38 80 7B 1C 00 74 27 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 B9 1E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 40 C6 43 10 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6778_0 {
	meta:
		name = "TDBXCommand.Close"
		size = 61
		refs = "000c TDBXCommand.FreeOnExecuteObjects 0022 TObject.Free"
	strings:
		$1 = { 53 8B D8 83 7B 20 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 12 8D 43 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 80 7B 10 00 74 0F 8B C3 8B 10 FF 52 44 C6 43 10 00 C6 43 11 00 5B C3 }
	condition:
		$1
}

rule function_6779_0 {
	meta:
		name = "TDBXMorphicCommand.Create"
		size = 256
		refs = "0019 @ClassCreate 002c TDBXMorphicCommand.Create 003e TDBXCommand.Create 006d StrToInt 00ac @UStrArrayClr 00b2 @HandleFinally 00c1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 2C 8D 4D F4 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 60 83 7D F4 00 74 20 8D 4D F0 BA ?? ?? ?? ?? 8B C6 8B 30 FF 56 60 8B 45 F0 E8 ?? ?? ?? ?? 99 89 43 38 89 53 3C EB 0E C7 43 38 14 00 00 00 C7 43 3C 00 00 00 00 C7 43 40 FF FF FF FF C7 43 44 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 6F 00 77 00 53 00 65 00 74 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_6780_0 {
	meta:
		name = "TDBXMorphicCommand.CreateParameters"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 30 8B 08 FF 51 30 5E C3 }
	condition:
		$1
}

rule function_6781_0 {
	meta:
		name = "TDBXMorphicCommand.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXCommand.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75851_0 {
	meta:
		name = "TComboBoxExStrings.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TCustomComboBoxStrings.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36257_0 {
	meta:
		name = "TIdMultiPartFormDataStream.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83461_0 {
	meta:
		name = "TRibbonTabItem.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TCollectionItem.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6782_0 {
	meta:
		name = "TDBXMorphicCommand.ExecuteQuery"
		size = 20
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 38 8B 43 30 8B 10 FF 52 64 5B C3 }
	condition:
		$1
}

rule function_6783_0 {
	meta:
		name = "TDBXMorphicCommand.ExecuteUpdate"
		size = 20
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 38 8B 43 30 8B 10 FF 52 68 5B C3 }
	condition:
		$1
}

rule function_6784_0 {
	meta:
		name = "TDBXMorphicCommand.GetParameters"
		size = 20
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 38 8B 43 30 8B 10 FF 52 34 5B C3 }
	condition:
		$1
}

rule function_6785_0 {
	meta:
		name = "TDBXMorphicCommand.CreateParameterRow"
		size = 9
	strings:
		$1 = { 8B 40 30 8B 10 FF 52 2C C3 }
	condition:
		$1
}

rule function_6786_0 {
	meta:
		name = "TDBXMorphicCommand.GetRowsAffected"
		size = 28
	strings:
		$1 = { 83 C4 F8 8B 40 30 8B 10 FF 52 1C 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_6787_0 {
	meta:
		name = "TDBXMorphicCommand.FreeOnExecute"
		size = 57
		refs = "0013 _Dn_TObjectList 0018 TObjectList.Create 0031 TList.Add"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 30 83 78 20 00 75 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 30 89 70 20 C6 46 10 01 8B 43 30 8B 40 20 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6788_0 {
	meta:
		name = "TDBXMorphicCommand.Prepare"
		size = 20
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 38 8B 43 30 8B 10 FF 52 60 5B C3 }
	condition:
		$1
}

rule function_6789_0 {
	meta:
		name = "TDBXDelegateConnection.BeginTransaction"
		size = 9
		altNames = "TDBXMorphicCommand.GetNextReader"
	strings:
		$1 = { 8B 40 30 8B 10 FF 52 6C C3 }
	condition:
		$1
}

rule function_6790_0 {
	meta:
		name = "TDBXMorphicCommand.DerivedClose"
		size = 17
	strings:
		$1 = { 56 8B 70 30 85 F6 74 07 8B C6 8B 10 FF 52 5C 5E C3 }
	condition:
		$1
}

rule function_6791_0 {
	meta:
		name = "TDBXMorphicCommand.DerivedExecuteQuery"
		size = 9
	strings:
		$1 = { 8B 40 30 8B 10 FF 52 4C C3 }
	condition:
		$1
}

rule function_6792_0 {
	meta:
		name = "TDBXDelegateConnection.DerivedClose"
		size = 9
		altNames = "TDBXMorphicCommand.DerivedExecuteUpdate"
	strings:
		$1 = { 8B 40 30 8B 10 FF 52 50 C3 }
	condition:
		$1
}

rule function_6793_0 {
	meta:
		name = "TDBXMorphicCommand.DerivedGetNextReader"
		size = 9
		altNames = "TDBXPoolConnection.Open"
	strings:
		$1 = { 8B 40 30 8B 10 FF 52 3C C3 }
	condition:
		$1
}

rule function_6794_0 {
	meta:
		name = "TDBXMorphicCommand.DerivedOpen"
		size = 46
		refs = "001f TDBXMorphicCommand.CopyProperties"
	strings:
		$1 = { 53 56 8B D8 8B 43 30 85 C0 75 1B 8B D3 8B 43 2C 8B 08 FF 51 54 8B F0 89 73 30 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 10 FF 52 38 5E 5B C3 }
	condition:
		$1
}

rule function_6795_0 {
	meta:
		name = "TDBXMorphicCommand.DerivedPrepare"
		size = 9
	strings:
		$1 = { 8B 40 30 8B 10 FF 52 48 C3 }
	condition:
		$1
}

rule function_6796_0 {
	meta:
		name = "TDBXMorphicCommand.SetMaxBlobSize"
		size = 41
	strings:
		$1 = { 55 8B EC 56 8B 55 08 89 50 40 8B 55 0C 89 50 44 8B 70 30 85 F6 74 0D FF 75 0C FF 75 08 8B C6 8B 10 FF 52 18 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_6797_0 {
	meta:
		name = "TDBXMorphicCommand.SetRowSetSize"
		size = 41
	strings:
		$1 = { 55 8B EC 56 8B 55 08 89 50 38 8B 55 0C 89 50 3C 8B 70 30 85 F6 74 0D FF 75 0C FF 75 08 8B C6 8B 10 FF 52 14 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_6798_0 {
	meta:
		name = "TDBXMorphicCommand.SetCommandType"
		size = 106
		refs = "000f TDBXMorphicCommand.SetCommandType 0029 @UStrEqual 003b TObject.Free 0044 TDBXCommand.SetCommandType 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 74 19 8D 43 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6799_0 {
	meta:
		name = "TDBXMorphicCommand.SetText"
		size = 32
		refs = "000b TDBXCommand.SetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 30 85 C0 74 07 8B D6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_6800_0 {
	meta:
		name = "TDBXMorphicCommand.CopyProperties"
		size = 169
		refs = "0011 TDBXMorphicCommand.CopyProperties 0097 @UStrArrayClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 0C 8B 55 FC 8B C3 8B 08 FF 51 10 8D 55 F8 8B C6 8B 08 FF 51 08 8B 55 F8 8B C3 8B 08 FF 51 04 83 7E 44 FF 75 08 83 7E 40 FF 76 11 EB 02 7E 0D FF 76 44 FF 76 40 8B C3 8B 10 FF 52 18 83 7E 3C 00 75 04 83 7E 38 14 74 0D FF 76 3C FF 76 38 8B C3 8B 10 FF 52 14 8B 46 30 8B 10 FF 52 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6801_0 {
	meta:
		name = "TDBXMorphicCommand.CloseReader"
		size = 14
	strings:
		$1 = { 8B 50 30 85 D2 74 06 8B C2 8B 10 FF 12 C3 }
	condition:
		$1
}

rule function_6802_0 {
	meta:
		name = "TDBXReader.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TDBXReader.Close 0019 TDBXValueList.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94997_0 {
	meta:
		name = "TBSpline.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TBSpline.Clear 0019 TObject.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12781_0 {
	meta:
		name = "TBaseTransportFilterCollection.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TBaseTransportFilterCollection.NotifyChange 0019 TCollection.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80489_0 {
	meta:
		name = "TBitmapCanvas.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TBitmapCanvas.FreeContext 0019 TCanvas.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77750_0 {
	meta:
		name = "TBookmarkList.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TBookmarkList.Clear 0019 TObject.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81809_0 {
	meta:
		name = "TChunkIHDR.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TChunkIHDR.FreeImageData 0019 TChunk.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76228_0 {
	meta:
		name = "TControlCanvas.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TControlCanvas.FreeHandle 0019 TCanvas.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73576_0 {
	meta:
		name = "TCustomAdapter.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TCustomAdapter.ReleaseOleObject 0019 TObject.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63144_0 {
	meta:
		name = "TCustomBucketList.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TCustomBucketList.Clear 0019 TObject.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6809_0 {
	meta:
		name = "TDBXValueList.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TDBXValueList.ClearValues 0019 TObject.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16581_0 {
	meta:
		name = "TDSProxyMetadata.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TDSProxyMetadata.Clear 0019 TObject.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16815_0 {
	meta:
		name = "TDSServerMethodCommandHandler.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TDSServerMethodCommandHandler.DestroyServerMethod 0019 TDBXCommandHandler.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78110_0 {
	meta:
		name = "TDdeCliItem.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TDdeCliItem.StopAdvise 0019 TPersistent.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81297_0 {
	meta:
		name = "TGIFWriter.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TGIFWriter.FlushBuffer 0019 TObject.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77639_0 {
	meta:
		name = "TGridDataLink.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TGridDataLink.ClearMapping 0019 TDataLink.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95531_0 {
	meta:
		name = "THTMLEditDesignerImpl.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e THTMLEditDesignerImpl.DisconnectComponent 0019 TObject.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95703_0 {
	meta:
		name = "THTTPDataLink.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e THTTPDataLink.ClearMapping 0019 TDataLink.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43332_0 {
	meta:
		name = "TIWBaseForm.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TIWBaseForm.DoDestroy 0019 TIWBaseContainer.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37434_0 {
	meta:
		name = "TIdSSLContext.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TIdSSLContext.DestroyContext 0019 TObject.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38171_0 {
	meta:
		name = "TIdTelnet.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TIdTCPConnection.Disconnect 0019 TIdTCPConnection.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_41479_0 {
	meta:
		name = "TInSSLContext.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TInSSLContext.DestroyContext 0019 TObject.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75194_0 {
	meta:
		name = "TListItems.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TListItems.Clear 0019 TPersistent.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62378_0 {
	meta:
		name = "TMemoryStream.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TMemoryStream.Clear 0019 TObject.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82602_0 {
	meta:
		name = "TOleContainer.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TOleContainer.DestroyObject 0019 TCustomControl.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62171_0 {
	meta:
		name = "TPersistent.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e RemoveFixups 0019 TObject.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50592_0 {
	meta:
		name = "TPropApplyList.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TPropApplyList.ClearProps 0019 TList.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71210_0 {
	meta:
		name = "TRegistry.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TRegistry.CloseKey 0019 TObject.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32261_0 {
	meta:
		name = "TSSPIContext.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TSSPIContext.Release 0019 TObject.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32257_0 {
	meta:
		name = "TSSPICredentials.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TSSPICredentials.Release 0019 TObject.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9912_0 {
	meta:
		name = "TStack<Data.DBXJSON.TJSONAncestor>.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TStack<Data.DBXJSON.TJSONAncestor>.Clear 0019 TObject.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53061_0 {
	meta:
		name = "TStack<System.Bindings.EvalProtocol.IScope>.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TStack<System.Bindings.EvalProtocol.IScope>.Clear 0019 TObject.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65794_0 {
	meta:
		name = "TStringHash.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TStringHash.Clear 0019 TObject.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74735_0 {
	meta:
		name = "TTreeNodes.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TTreeNodes.Clear 0019 TPersistent.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89998_0 {
	meta:
		name = "TValueListStrings.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TValueListStrings.FreeItemProps 0019 TStringList.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62510_0 {
	meta:
		name = "TWriter.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e TWriter.WriteBuffer 0019 TFiler.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6803_0 {
	meta:
		name = "TDBXReader.Close"
		size = 58
		refs = "0016 TDBXReader.CloseReader 0026 TObject.Free 002f TDBXWritableValueArray 0034 @DynArrayClear"
	strings:
		$1 = { 53 8B D8 8B 43 1C 85 C0 74 09 8B 10 FF 12 33 C0 89 43 1C 8B C3 E8 ?? ?? ?? ?? 8D 43 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6804_0 {
	meta:
		name = "TDBXReader.CloseReader"
		size = 118
		refs = "0026 TObject.Free 0037 @DynArrayLength 0043 @DynArrayHigh"
	strings:
		$1 = { 53 56 57 8B D8 80 7B 10 00 75 63 8B 43 14 85 C0 74 21 8B 40 20 3B 43 18 74 19 8D 43 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 43 14 8B 40 20 89 43 18 8B 43 04 E8 ?? ?? ?? ?? 85 C0 7E 28 8B 43 04 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 1A 47 33 F6 8B 43 04 8B 04 B0 E8 ?? ?? ?? ?? 8B 43 04 33 D2 89 14 B0 46 4F 75 E9 C7 43 08 FE FF FF FF C6 43 10 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6805_0 {
	meta:
		name = "TDBXReader.CommandCloseReader"
		size = 19
		refs = "000d TDBXReader.CloseReader"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 28 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6806_0 {
	meta:
		name = "TDBXReader.Create"
		size = 78
		refs = "000d @ClassCreate 001a TDBXValueList.Create 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 89 46 20 8B 45 08 89 46 18 C7 46 08 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6807_0 {
	meta:
		name = "TDBXValueList.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 14 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33230_0 {
	meta:
		name = "TIdDNSMap.Create"
		size = 60
		refs = "000b @ClassCreate 001a TIdObjectList.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 14 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6808_0 {
	meta:
		name = "TDBXValueList.ClearValues"
		size = 65
		refs = "0009 @DynArrayHigh 001d TObject.Free 0031 TDBXWritableValueArray 0036 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 04 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 12 43 33 F6 8B 47 04 8B 04 B0 E8 ?? ?? ?? ?? 46 4B 75 F1 6A 00 8D 47 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6944_0 {
	meta:
		name = "TDBXValueTypeList.Clear"
		size = 65
		refs = "0009 @DynArrayHigh 001d TObject.Free 0031 :TDBXValueTypeList.:1 0036 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 04 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 12 43 33 F6 8B 47 04 8B 04 B0 E8 ?? ?? ?? ?? 46 4B 75 F1 6A 00 8D 47 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6810_0 {
	meta:
		name = "TDBXValueList.FailIfClosed"
		size = 90
		refs = "000c TDBXValueList.FailIfClosed 0020 SReaderClosed 0025 LoadResString 0035 TDBXContext.Error 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 10 00 74 1D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA 64 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6811_0 {
	meta:
		name = "TDBXReader.Next"
		size = 66
		refs = "0011 @DynArrayLength"
	strings:
		$1 = { 53 8B D8 8B 43 08 85 C0 7D 14 40 75 0D 8B 43 04 E8 ?? ?? ?? ?? 89 43 08 EB 04 33 C0 5B C3 8B C3 8B 10 FF 52 24 84 C0 74 0A 8B 43 20 FF 40 08 B0 01 EB 0D 8B 43 1C 85 C0 74 04 8B 10 FF 12 33 C0 5B C3 }
	condition:
		$1
}

rule function_6814_0 {
	meta:
		name = "TDBXTransaction.Destroy"
		size = 120
		refs = "000a @BeforeDestruction 0022 TDBXTransaction.Destroy 003f @HandleOnException 0047 _Dn_Exception 0050 @DoneExcept 005f TObject.Destroy 006d @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 40 08 85 C0 74 36 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC 8B 08 FF 51 78 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6815_0 {
	meta:
		name = "TDBXParameterList.AddParameter"
		size = 45
		refs = "0026 TDBXValueTypeList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 0C 00 75 0B 8B 43 08 8B 10 FF 52 2C 89 43 0C 8B 53 0C 8B C6 8B 08 FF 11 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6816_0 {
	meta:
		name = "TDBXParameterList.SetParameter"
		size = 57
		refs = "0031 TDBXValueTypeList.SetValueType"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 83 7B 0C 00 75 11 83 7B 08 00 74 0B 8B 43 08 8B 10 FF 52 2C 89 43 0C 8B 53 0C 8B C6 8B 08 FF 11 8B CE 8B D7 8B 43 04 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6817_0 {
	meta:
		name = "TDBXParameterList.SetPendingOutParameter"
		size = 26
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 04 8B 10 FF 92 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6819_0 {
	meta:
		name = "TDBXParameterList.ClearParameters"
		size = 15
		refs = "000a TDBXValueTypeList.Clear"
	strings:
		$1 = { 8B 50 04 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6996_0 {
	meta:
		name = "TDBXParameterList.RemoveParameters"
		size = 15
		refs = "000a TDBXValueTypeList.RemoveAll"
	strings:
		$1 = { 8B 50 04 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6820_0 {
	meta:
		name = "TDBXParameterList.Create"
		size = 87
		refs = "000e @ClassCreate 001d TObject.Create 002d _DV_TDBXValueTypeList 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 10 8B 45 08 89 47 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6821_0 {
	meta:
		name = "TDBXParameterList.Create"
		size = 87
		refs = "000e @ClassCreate 001d TObject.Create 002d _DV_TDBXValueTypeList 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 10 8B 45 08 89 47 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6822_0 {
	meta:
		name = "TDBXParameterList.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TObject.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6823_0 {
	meta:
		name = "TDBXValue.Create"
		size = 74
		refs = "000b @ClassCreate 001a TObject.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 C7 47 08 FF FF FF FF C7 47 0C FF FF FF FF 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6824_0 {
	meta:
		name = "TDBXValue.UnsupportedFieldType"
		size = 182
		refs = "0014 TDBXValue.UnsupportedFieldType 002d IntToStr 0043 SUnexpectedDataType 0048 LoadResString 0053 Format 0066 TDBXContext.Error 0078 _DV_TDBXError 007d TDBXError.Create 0082 @RaiseExcept 009c @UStrArrayClr 00a4 @UStrClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B C6 8B 10 FF 52 50 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 85 DB 74 11 8B 4D FC BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 1A 8B 45 FC 50 B9 03 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6825_0 {
	meta:
		name = "TDBXValue.CreateValue"
		size = 14
		refs = "0009 TDBXValue.CreateValue"
	strings:
		$1 = { 6A 00 33 C9 8B D0 33 C0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_6826_0 {
	meta:
		name = "TDBXValue.CreateValue"
		size = 828
		refs = "0017 TDBXValueType.SetReadOnlyType 004a TDBXValue.CreateValue 00ef _DV_TDBXJSONValue 00f4 TDBXJSONValue.Create 0104 _DV_TDBXAnsiStringBuilderValue 0109 TDBXAnsiStringBuilderValue.Create 0119 _DV_TDBXDateValue 011e TDBXWritableValue.Create 012e _DV_TDBXBooleanValue 0143 _DV_TDBXTimeValue 0158 _DV_TDBXWideStringBuilderValue 015d TDBXWideStringBuilderValue.Create 016d _DV_TDBXInt8Value 0182 _DV_TDBXUInt8Value 0197 _DV_TDBXInt16Value 01ac _DV_TDBXUInt16Value 01c1 _DV_TDBXInt32Value 01d6 _DV_TDBXInt64Value 01eb _DV_TDBXDoubleValue 0200 _DV_TDBXSingleValue 0215 _DV_TDBXBcdValue 023e _DV_TDBXAnsiMemoValue 0243 TDBXAnsiMemoValue.Create 0253 _DV_TDBXWideMemoValue 0258 TDBXWideMemoValue.Create 0268 _DV_TDBXStreamValue 026d TDBXStreamValue.Create 02a7 _DV_TDBXCursorValue 02b9 _DV_TDBXTimeStampValue 02dd _DV_TDBXReaderValue 02ef _DV_TDBXConnectionValue 0301 _DV_TDBXTimeStampOffsetValue 0313 _DV_TDBXCallbackValue 0318 TDBXCallbackValue.Create 0328 TDBXValue.UnsupportedFieldType"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B FA 89 45 FC 80 7D 08 00 74 07 8B C7 E8 ?? ?? ?? ?? 33 DB 85 F6 74 0E 8B D7 8B C6 8B 08 FF 91 04 01 00 00 8B D8 85 DB 0F 85 F5 02 00 00 8B C7 8B 10 FF 52 50 83 F8 26 0F 87 D9 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 2D 02 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 18 02 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 03 02 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 EE 01 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 D9 01 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 C4 01 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 AF 01 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 9A 01 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 85 01 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 70 01 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 5B 01 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 46 01 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 31 01 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 1C 01 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 07 01 00 00 8B C7 8B 10 FF 52 54 83 E8 16 74 08 83 E8 0A 74 18 48 75 2A 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 DE 00 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 C9 00 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 B4 00 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 9F 00 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 8A 00 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 78 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 66 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 54 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 42 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 30 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 1E 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 0C 33 DB 8B D7 8B 45 FC E8 ?? ?? ?? ?? 89 77 38 89 73 10 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6828_0 {
	meta:
		name = "TDBXAnsiStringValue.IsNull"
		size = 7
		altNames = "TDBXRow.IsStoredNull TDBXValue.Compare TDBXValue.EqualsValue"
	strings:
		$1 = { 8B 10 FF 12 33 C0 C3 }
	condition:
		$1
}

rule function_6829_0 {
	meta:
		name = "TDBXValue.InvalidOperation"
		size = 87
		refs = "000c TDBXValue.InvalidOperation 001a SNotImplemented 001f LoadResString 0032 TDBXContext.Error 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B 43 04 8B 40 3C BA 1B 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_6832_0 {
	meta:
		name = "TDBXWritableValue.SetBcd"
		size = 23
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 08 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6833_0 {
	meta:
		name = "TDBXWritableValue.SetSingle"
		size = 29
		refs = "0014 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 1B 00 00 00 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6834_0 {
	meta:
		name = "TDBXWritableValue.SetDynamicBytes"
		size = 29
		refs = "0014 TDBXValueType.InvalidTypeAccess"
		altNames = "TDBXWritableValue.SetStaticBytes"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 09 00 00 00 E8 ?? ?? ?? ?? 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_6835_0 {
	meta:
		name = "TDBXWritableValue.SetAsVariant"
		size = 23
		refs = "0011 TDBXValueType.InvalidTypeAccess"
		altNames = "TDBXWritableValue.SetStream"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 09 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6837_0 {
	meta:
		name = "TDBXWritableValue.SetBoolean"
		size = 23
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 04 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6838_0 {
	meta:
		name = "TDBXWritableValue.SetDate"
		size = 23
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 02 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6839_0 {
	meta:
		name = "TDBXWritableValue.SetDBXConnection"
		size = 23
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 22 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6840_0 {
	meta:
		name = "TDBXWritableValue.SetJSONValue"
		size = 23
		refs = "0011 TDBXValueType.InvalidTypeAccess"
		altNames = "TDBXWritableValue.SetObjectValue"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 25 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6841_0 {
	meta:
		name = "TDBXWritableValue.SetCallbackValue"
		size = 23
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 26 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6843_0 {
	meta:
		name = "TDBXWritableValue.SetDBXReader"
		size = 23
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 17 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6844_0 {
	meta:
		name = "TDBXWritableValue.SetDouble"
		size = 29
		refs = "0014 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 07 00 00 00 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6845_0 {
	meta:
		name = "TDBXWritableValue.SetInt16"
		size = 23
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 05 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6846_0 {
	meta:
		name = "TDBXWritableValue.SetInt32"
		size = 23
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 06 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6847_0 {
	meta:
		name = "TDBXWritableValue.SetInt64"
		size = 29
		refs = "0014 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 12 00 00 00 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6848_0 {
	meta:
		name = "TDBXWritableValue.SetInt8"
		size = 23
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 1C 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6849_0 {
	meta:
		name = "TDBXWritableValue.SetNull"
		size = 51
	strings:
		$1 = { 53 56 8B D8 C7 43 0C FF FF FF FF C6 43 14 01 8B 73 10 85 F6 74 1A 8B C6 8B 10 FF 92 C0 00 00 00 89 43 08 8B D3 8B 43 10 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6850_0 {
	meta:
		name = "TDBXWritableValue.SetPendingValue"
		size = 47
	strings:
		$1 = { 80 78 14 00 74 1B 83 78 0C 00 74 0C 8B D0 8B 40 10 8B 08 FF 51 6C EB 16 8B 10 FF 92 FC 00 00 00 C3 8B D0 8B 40 10 8B 08 FF 91 0C 01 00 00 C3 }
	condition:
		$1
}

rule function_6854_0 {
	meta:
		name = "TDBXWritableValue.SetAnsiString"
		size = 23
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 01 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6855_0 {
	meta:
		name = "TDBXBcdValue.SetAsBcd"
		size = 9
		altNames = "TDBXWritableValue.SetAsBcd"
	strings:
		$1 = { 8B 08 FF 91 64 01 00 00 C3 }
	condition:
		$1
}

rule function_6856_0 {
	meta:
		name = "TDBXBooleanValue.SetAsBoolean"
		size = 9
		altNames = "TDBXWritableValue.SetAsBoolean"
	strings:
		$1 = { 8B 08 FF 91 6C 01 00 00 C3 }
	condition:
		$1
}

rule function_6857_0 {
	meta:
		name = "TDBXWritableValue.SetAsCurrency"
		size = 33
	strings:
		$1 = { 55 8B EC 53 FF 75 0C FF 75 08 B9 04 00 00 00 BA 20 00 00 00 8B 18 FF 93 48 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6858_0 {
	meta:
		name = "TDBXWritableValue.SetAsCurrencyValue"
		size = 43
		refs = "0013 CurrToBCD"
	strings:
		$1 = { 55 8B EC 83 C4 DC 56 8B F0 FF 75 0C FF 75 08 8D 45 DE E8 ?? ?? ?? ?? 8D 55 DE 8B C6 8B 08 FF 91 30 01 00 00 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_6859_0 {
	meta:
		name = "TDBXDateValue.SetAsDate"
		size = 9
		altNames = "TDBXWritableValue.SetAsDate"
	strings:
		$1 = { 8B 08 FF 91 70 01 00 00 C3 }
	condition:
		$1
}

rule function_6860_0 {
	meta:
		name = "TDBXWritableValue.SetAsDateTime"
		size = 29
		refs = "0014 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 18 00 00 00 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6861_0 {
	meta:
		name = "TDBXWritableValue.SetAsDBXReader"
		size = 19
	strings:
		$1 = { 53 56 8B F0 B1 01 8B C6 8B 18 FF 93 A8 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6862_0 {
	meta:
		name = "TDBXDoubleValue.SetAsDouble"
		size = 21
		altNames = "TDBXWritableValue.SetAsDouble"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 10 FF 92 9C 01 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_6863_0 {
	meta:
		name = "TDBXWritableValue.SetAsInt16"
		size = 15
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 91 8C 01 00 00 5E C3 }
	condition:
		$1
}

rule function_6864_0 {
	meta:
		name = "TDBXWritableValue.SetAsInt32"
		size = 15
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 91 90 01 00 00 5E C3 }
	condition:
		$1
}

rule function_6865_0 {
	meta:
		name = "TDBXInt64Value.SetAsInt64"
		size = 21
		altNames = "TDBXWritableValue.SetAsInt64"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 10 FF 92 94 01 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_6866_0 {
	meta:
		name = "TDBXWritableValue.SetAsInt8"
		size = 15
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 91 84 01 00 00 5E C3 }
	condition:
		$1
}

rule function_6867_0 {
	meta:
		name = "TDBXSingleValue.SetAsSingle"
		size = 18
		altNames = "TDBXWritableValue.SetAsSingle"
	strings:
		$1 = { 55 8B EC FF 75 08 8B 10 FF 92 98 01 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_6868_0 {
	meta:
		name = "TDBXWritableValue.SetAsStream"
		size = 19
	strings:
		$1 = { 53 56 8B F0 B1 01 8B C6 8B 18 FF 93 AC 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6869_0 {
	meta:
		name = "TDBXWritableValue.SetAsString"
		size = 9
	strings:
		$1 = { 8B 08 FF 91 7C 01 00 00 C3 }
	condition:
		$1
}

rule function_6870_0 {
	meta:
		name = "TDBXTimeValue.SetAsTime"
		size = 9
		altNames = "TDBXWritableValue.SetAsTime"
	strings:
		$1 = { 8B 08 FF 91 74 01 00 00 C3 }
	condition:
		$1
}

rule function_6871_0 {
	meta:
		name = "TDBXWritableValue.SetAsTimeStamp"
		size = 15
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 91 5C 01 00 00 5E C3 }
	condition:
		$1
}

rule function_6872_0 {
	meta:
		name = "TDBXWritableValue.SetAsUInt16"
		size = 15
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 91 88 01 00 00 5E C3 }
	condition:
		$1
}

rule function_6873_0 {
	meta:
		name = "TDBXUInt8Value.SetAsBoolean"
		size = 9
		altNames = "TDBXWritableValue.SetAsUInt8"
	strings:
		$1 = { 8B 08 FF 91 80 01 00 00 C3 }
	condition:
		$1
}

rule function_6876_0 {
	meta:
		name = "TDBXWritableValue.MarkAsPending"
		size = 11
	strings:
		$1 = { 80 78 14 00 75 04 C6 40 14 01 C3 }
	condition:
		$1
}

rule function_6877_0 {
	meta:
		name = "TDBXWritableValue.SetTime"
		size = 23
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 0A 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6878_0 {
	meta:
		name = "TDBXWritableValue.SetTimeStamp"
		size = 23
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 18 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6879_0 {
	meta:
		name = "TDBXWritableValue.SetTimeStampOffset"
		size = 23
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 24 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6880_0 {
	meta:
		name = "TDBXWritableValue.SetUInt16"
		size = 23
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 0C 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6881_0 {
	meta:
		name = "TDBXWritableValue.SetUInt8"
		size = 23
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 1D 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6882_0 {
	meta:
		name = "TDBXWritableValue.SetValue"
		size = 20
		refs = "000e TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6883_0 {
	meta:
		name = "TDBXWritableValue.SetWideString"
		size = 23
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 1A 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6884_0 {
	meta:
		name = "TDBXWideMemoValue.SetAsString"
		size = 9
		altNames = "TDBXWideStringValue.SetAsString TDBXWritableValue.SetString TIWHTML40Container.RenderAsyncComponent"
	strings:
		$1 = { 8B 08 FF 91 78 01 00 00 C3 }
	condition:
		$1
}

rule function_6885_0 {
	meta:
		name = "TDBXValue.GetBcd"
		size = 47
		refs = "0015 TDBXValueType.InvalidTypeAccess 001a NullBcd"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 04 8B 10 FF 52 50 BA 08 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B FE 8B F0 B9 08 00 00 00 F3 A5 66 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6886_0 {
	meta:
		name = "TDBXValue.GetBoolean"
		size = 32
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 58 84 C0 74 05 8B C3 5E 5B C3 8B C6 8B 10 FF 52 68 5E 5B C3 }
	condition:
		$1
}

rule function_6887_0 {
	meta:
		name = "TDBXValue.GetBoolean"
		size = 25
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5B C3 }
	condition:
		$1
}

rule function_6888_0 {
	meta:
		name = "TDBXValue.GetBytes"
		size = 54
		refs = "0017 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 09 00 00 00 E8 ?? ?? ?? ?? C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 8B 45 F8 8B 55 FC 5B 59 59 5D C2 18 00 }
	condition:
		$1
}

rule function_6889_0 {
	meta:
		name = "TDBXValue.GetDate"
		size = 25
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 02 00 00 00 E8 ?? ?? ?? ?? 33 C0 5B C3 }
	condition:
		$1
}

rule function_6890_0 {
	meta:
		name = "TDBXValue.GetDBXConnection"
		size = 25
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 22 00 00 00 E8 ?? ?? ?? ?? 33 C0 5B C3 }
	condition:
		$1
}

rule function_6891_0 {
	meta:
		name = "TDBXValue.GetDbxContext"
		size = 7
	strings:
		$1 = { 8B 40 04 8B 40 3C C3 }
	condition:
		$1
}

rule function_6892_0 {
	meta:
		name = "TDBXValue.GetDBXReader"
		size = 25
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 17 00 00 00 E8 ?? ?? ?? ?? 33 C0 5B C3 }
	condition:
		$1
}

rule function_6894_0 {
	meta:
		name = "TDBXValue.GetDouble"
		size = 40
		refs = "0014 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B 43 04 8B 10 FF 52 50 BA 07 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 04 24 89 44 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_6895_0 {
	meta:
		name = "TDBXValue.GetInt16"
		size = 25
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5B C3 }
	condition:
		$1
}

rule function_6896_0 {
	meta:
		name = "TDBXValue.GetInt32"
		size = 25
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 06 00 00 00 E8 ?? ?? ?? ?? 33 C0 5B C3 }
	condition:
		$1
}

rule function_6897_0 {
	meta:
		name = "TDBXValue.GetInt64"
		size = 50
		refs = "0014 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B 43 04 8B 10 FF 52 50 BA 12 00 00 00 E8 ?? ?? ?? ?? C7 04 24 00 00 00 00 C7 44 24 04 00 00 00 00 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_6898_0 {
	meta:
		name = "TDBXValue.GetAnsiString"
		size = 34
		refs = "0014 TDBXValueType.InvalidTypeAccess 001b @LStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B 10 FF 52 50 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6899_0 {
	meta:
		name = "TBaseAdapterAction.GetActionName"
		size = 21
		altNames = "TDBXBcdValue.GetAsBcd TDBXValue.GetAsBcd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 A4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6900_0 {
	meta:
		name = "TAdapterNamedField.GetDisplayWidth"
		size = 6
		altNames = "TBaseAdapterAction.GetIteratorIndex TDBXBooleanValue.GetAsBoolean TDBXValue.GetAsBoolean"
	strings:
		$1 = { 8B 10 FF 52 68 C3 }
	condition:
		$1
}

rule function_6901_0 {
	meta:
		name = "TDBXValue.GetAsCurrency"
		size = 48
		refs = "0024 BCDToCurr"
	strings:
		$1 = { 53 83 C4 D4 8B D8 8D 54 24 08 8B C3 8B 08 FF 91 A4 00 00 00 33 C0 89 04 24 89 44 24 04 8B D4 8D 44 24 08 E8 ?? ?? ?? ?? DF 2C 24 83 C4 2C 5B C3 }
	condition:
		$1
}

rule function_6902_0 {
	meta:
		name = "TDBXDataSetTable.Close"
		size = 6
		altNames = "TDBXDateValue.GetAsDate TDBXValue.GetAsDate TIdServerIOHandlerSSLBase.MakeClientIOHandler TInServerIOHandlerSSLBase.MakeClientIOHandler"
	strings:
		$1 = { 8B 10 FF 52 64 C3 }
	condition:
		$1
}

rule function_6903_0 {
	meta:
		name = "TDBXValue.GetAsDateTime"
		size = 22
	strings:
		$1 = { 83 C4 F8 8B 10 FF 12 33 C0 89 04 24 89 44 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_6904_0 {
	meta:
		name = "TDBXValue.GetAsDBXReader"
		size = 11
	strings:
		$1 = { B2 01 8B 08 FF 91 A8 00 00 00 C3 }
	condition:
		$1
}

rule function_6905_0 {
	meta:
		name = "TDBXDoubleValue.GetAsDouble"
		size = 21
		altNames = "TDBXValue.GetAsDouble"
	strings:
		$1 = { 83 C4 F8 8B 10 FF 92 94 00 00 00 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_6906_0 {
	meta:
		name = "TAdapterDataDisplay.RestoreDefaults"
		size = 9
		altNames = "TDBXInt16Value.GetAsInt16 TDBXInt16Value.GetAsUInt16 TDBXValue.GetAsInt16"
	strings:
		$1 = { 8B 10 FF 92 84 00 00 00 C3 }
	condition:
		$1
}

rule function_6907_0 {
	meta:
		name = "TAdapterNamedField.GetEchoActionFieldValue"
		size = 9
		altNames = "TDBXInt32Value.GetAsInt32 TDBXValue.GetAsInt32"
	strings:
		$1 = { 8B 10 FF 92 88 00 00 00 C3 }
	condition:
		$1
}

rule function_6908_0 {
	meta:
		name = "TDBXInt64Value.GetAsInt64"
		size = 28
		altNames = "TDBXValue.GetAsInt64"
	strings:
		$1 = { 83 C4 F8 8B 10 FF 92 8C 00 00 00 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_6909_0 {
	meta:
		name = "TCustomAdapter.HasExecuteAccess"
		size = 6
		altNames = "TDBXInt8Value.GetAsInt8 TDBXValue.GetAsInt8"
	strings:
		$1 = { 8B 10 FF 52 7C C3 }
	condition:
		$1
}

rule function_6910_0 {
	meta:
		name = "TDBXValue.GetAsVariant"
		size = 176
		refs = "0014 TDBXValue.GetAsVariant 002d Null 0037 @OleVarFromVar 005d @VarClr 0067 StreamToVariant 0081 TObject.Free 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 58 84 C0 74 14 8D 45 EC E8 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? EB 50 33 D2 8B C3 8B 08 FF 91 B4 00 00 00 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6911_0 {
	meta:
		name = "TDBXSingleValue.GetAsSingle"
		size = 18
		altNames = "TDBXValue.GetAsSingle"
	strings:
		$1 = { 51 8B 10 FF 92 90 00 00 00 D9 1C 24 9B D9 04 24 5A C3 }
	condition:
		$1
}

rule function_6912_0 {
	meta:
		name = "TDBXValue.GetAsStream"
		size = 17
	strings:
		$1 = { 56 8B F0 B2 01 8B C6 8B 08 FF 91 B4 00 00 00 5E C3 }
	condition:
		$1
}

rule function_6913_0 {
	meta:
		name = "TDBXValue.GetAsString"
		size = 18
		altNames = "TDBXValue.GetString TDBXWideMemoValue.GetAsString TDBXWideStringValue.GetAsString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 70 5E 5B C3 }
	condition:
		$1
}

rule function_6914_0 {
	meta:
		name = "TAdapterControlGroup.NotifyAdapterChange"
		size = 6
		altNames = "TAdapterDisplayReferenceGroup.OnDisplayComponentChange TBaseAdapterAction.InIterator TDBXTimeValue.GetAsTime TDBXValue.GetAsTime TXMLDisplayGroup.GetIsMultipleRecordView"
	strings:
		$1 = { 8B 10 FF 52 6C C3 }
	condition:
		$1
}

rule function_6915_0 {
	meta:
		name = "TDBXTimeStampValue.GetAsTimeStamp"
		size = 21
		altNames = "TDBXValue.GetAsTimeStamp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6916_0 {
	meta:
		name = "TDBXUInt16Value.GetAsInt16"
		size = 9
		altNames = "TDBXUInt16Value.GetAsUInt16 TDBXValue.GetAsUInt16"
	strings:
		$1 = { 8B 10 FF 92 80 00 00 00 C3 }
	condition:
		$1
}

rule function_6917_0 {
	meta:
		name = "TBaseAdapterAction.GetVisible"
		size = 6
		altNames = "TCustomAdapter.HasModifyAccess TDBXUInt8Value.GetAsInt8 TDBXValue.GetAsUInt8"
	strings:
		$1 = { 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_6918_0 {
	meta:
		name = "TDBXValue.GetTimeStamp"
		size = 42
		refs = "0015 TDBXValueType.InvalidTypeAccess 001a NullSQLTimeStamp"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 04 8B 10 FF 52 50 BA 18 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B FE 8B F0 A5 A5 A5 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6919_0 {
	meta:
		name = "TDBXValue.GetTimeStampOffset"
		size = 43
		refs = "0015 TDBXValueType.InvalidTypeAccess 001a NullSQLTimeStampOffset"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 04 8B 10 FF 52 50 BA 24 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B FE 8B F0 A5 A5 A5 A5 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6920_0 {
	meta:
		name = "TDBXValue.GetUInt8"
		size = 25
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 1D 00 00 00 E8 ?? ?? ?? ?? 33 C0 5B C3 }
	condition:
		$1
}

rule function_6921_0 {
	meta:
		name = "TDBXValue.GetValueSize"
		size = 28
	strings:
		$1 = { 83 C4 F8 8B 40 04 8B 10 FF 52 68 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_6922_0 {
	meta:
		name = "TDBXValue.GetWideString"
		size = 101
		refs = "0011 @UStrAddRef 0019 TDBXValue.GetWideString 0034 @UStrAsg 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 58 84 C0 74 0C 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 8B 08 FF 51 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6923_0 {
	meta:
		name = "TDBXValue.GetTime"
		size = 25
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 0A 00 00 00 E8 ?? ?? ?? ?? 33 C0 5B C3 }
	condition:
		$1
}

rule function_6924_0 {
	meta:
		name = "TDBXValue.GetWideString"
		size = 34
		refs = "0014 TDBXValueType.InvalidTypeAccess 001b @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B 10 FF 52 50 BA 1A 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6929_0 {
	meta:
		name = "TDBXReader.GetErrorEvent"
		size = 15
	strings:
		$1 = { 8B 40 14 8B 48 08 89 0A 8B 48 0C 89 4A 04 C3 }
	condition:
		$1
}

rule function_6931_0 {
	meta:
		name = "TDBXReader.GetRow"
		size = 4
		altNames = "TDBXReaderValue.GetHandle TIWBaseHTMLControlImplementation.getIWColor TIdHTTPRequestInfoPeer.GetObject TIdHTTPRequestPeer.GetObject TIdHTTPResponseInfoPeer.GetObject TIdHTTPResponsePeer.GetObject TObjectWrapper.GetAttachment TTransportFilterItem.GetProperties TWideStringList.GetCount"
	strings:
		$1 = { 8B 40 20 C3 }
	condition:
		$1
}

rule function_6933_0 {
	meta:
		name = "TDBXValueList.InvalidName"
		size = 133
		refs = "0015 TDBXValueList.InvalidName 0027 SInvalidOrdinal 002c LoadResString 0040 Format 0050 _DV_TDBXError 0055 TDBXError.Create 005a @RaiseExcept 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D FC 89 5D F8 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 5D F0 C6 45 F4 00 8D 55 F0 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 50 B9 08 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6934_0 {
	meta:
		name = "TDBXValueList.InvalidOrdinal"
		size = 204
		refs = "0015 TDBXValueList.InvalidOrdinal 0029 SReaderClosed 002e LoadResString 003e TDBXContext.Error 004c SReaderNew 006d SInvalidOrdinal 0086 Format 0096 _DV_TDBXError 009b TDBXError.Create 00a0 @RaiseExcept 00ba @UStrArrayClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 FE 75 1D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA 64 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 83 7B 08 FF 75 1D 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA 64 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 89 75 E8 C6 45 EC 00 8D 55 E8 33 C9 E8 ?? ?? ?? ?? 8B 45 F4 50 B9 08 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6935_0 {
	meta:
		name = "TDBXValueList.GetValue"
		size = 33
		refs = "0014 TDBXValueList.InvalidOrdinal"
		altNames = "TDBXWritableValueList.GetWritableValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 04 8B 04 B0 5E 5B C3 }
	condition:
		$1
}

rule function_6936_0 {
	meta:
		name = "TDBXValueList.GetValueByName"
		size = 24
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 20 8B 53 04 8B 04 82 5E 5B C3 }
	condition:
		$1
}

rule function_6937_0 {
	meta:
		name = "TDBXValueList.GetValueType"
		size = 50
		refs = "0009 TDBXValueList.FailIfClosed 0015 @DynArrayLength 0022 TDBXValueList.InvalidOrdinal"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 F6 7C 0C 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 04 8B 04 B0 8B 40 04 5E 5B C3 }
	condition:
		$1
}

rule function_6938_0 {
	meta:
		name = "TDBXReader.GetObjectTypeName"
		size = 28
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 20 8B 18 FF 93 B8 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6940_0 {
	meta:
		name = "TDBXValueList.GetOrdinal"
		size = 74
		refs = "000b @DynArrayLength 0040 TDBXValueList.InvalidName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 04 E8 ?? ?? ?? ?? 50 8B 4B 0C 8B D7 8B C3 8B 30 FF 16 8B F0 85 F6 7D 23 8B 43 0C 85 C0 7E 0D 50 33 C9 8B D7 8B C3 8B 30 FF 16 8B F0 85 F6 7D 0B 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6941_0 {
	meta:
		name = "TDBXValueList.FindOrdinal"
		size = 78
		refs = "0030 CompareText"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F0 8B D9 8B 7D 08 4F 2B FB 7C 2D 47 8B 46 04 83 3C 98 00 74 1F 8B 46 04 8B 04 98 8B 40 04 8B 40 04 8B 55 FC E8 ?? ?? ?? ?? 85 C0 75 07 89 5E 0C 8B C3 EB 07 43 4F 75 D4 83 C8 FF 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6942_0 {
	meta:
		name = "TDBXValueTypeList.FindOrdinal"
		size = 131
		refs = "0017 TDBXValueTypeList.FindOrdinal 0031 TDBXValueTypeList.GetValueType 003c @UStrLAsg 0047 CompareText 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D9 8B 75 08 4E 2B F3 7C 2D 46 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 50 04 8D 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 05 89 5F 08 EB 07 43 4E 75 D4 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_6943_0 {
	meta:
		name = "TDBXValueTypeList.Add"
		size = 62
		refs = "000b @DynArrayLength 0028 :TDBXValueTypeList.:1 002d @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C7 8B 08 FF 51 10 8D 46 01 50 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 89 3C B0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6945_0 {
	meta:
		name = "TDBXValueTypeList.Destroy"
		size = 57
		refs = "0003 @BeforeDestruction 000e TDBXValueTypeList.Clear 0017 :TDBXValueTypeList.:1 001c @DynArrayClear 0027 TObject.Destroy 0032 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6947_0 {
	meta:
		name = "TDBXValueTypeList.GetOrdinal"
		size = 54
		refs = "000a TDBXValueTypeList.GetCount"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B 4B 08 8B D6 8B C3 8B 38 FF 17 85 C0 7D 14 83 7B 08 00 7E 0E 8B 43 08 50 33 C9 8B D6 8B C3 8B 18 FF 13 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6948_0 {
	meta:
		name = "TChartAnimations.Get"
		size = 7
		altNames = "TChartAxes.Get TChartList.GetChart TChartTools.Get TChartValueLists.Get TCustomSeriesList.Get TDBXValueTypeList.GetValueType TDOMVendorList.GetVendors TFormItems.Get TTeeSeriesTypes.Get TTeeToolTypes.Get"
	strings:
		$1 = { 8B 40 04 8B 04 90 C3 }
	condition:
		$1
}

rule function_6949_0 {
	meta:
		name = "TDBXValueTypeList.Insert"
		size = 116
		refs = "000e @DynArrayLength 0021 _Dn_ERangeError 0026 Exception.Create 002b @RaiseExcept 003d :TDBXValueTypeList.:1 0042 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8B E8 85 F6 7C 04 3B EE 7D 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 01 50 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 ED 7E 1C 8B C5 8B D0 4A 3B F0 7D 13 8B 4B 04 8B 0C 91 8B 6B 04 89 4C 85 00 48 4A 3B F0 7C ED 8B 43 04 89 3C B0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6950_0 {
	meta:
		name = "TDBXValueTypeList.Remove"
		size = 25
		refs = "0012 TDBXValueTypeList.Remove"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6951_0 {
	meta:
		name = "TDBXValueTypeList.Remove"
		size = 109
		refs = "0015 @DynArrayLength 002b _Dn_ERangeError 0030 Exception.Create 0035 @RaiseExcept 005b :TDBXValueTypeList.:1 0060 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F0 8B 3C 24 8B 1C 24 43 8B 46 04 E8 ?? ?? ?? ?? 8B E8 83 3C 24 00 7C 05 3B 2C 24 7F 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B EB 7E 12 8B 46 04 8B 56 04 8B 14 9A 89 14 B8 47 43 3B EB 7F EE 4D 55 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6952_0 {
	meta:
		name = "TDBXValueTypeList.RemoveAll"
		size = 29
		refs = "000f :TDBXValueTypeList.:1 0014 @DynArraySetLength"
	strings:
		$1 = { 53 8B D8 6A 00 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5B C3 }
	condition:
		$1
}

rule function_32986_0 {
	meta:
		name = "TIdTextModeResourceRecord.ClearAnswer"
		size = 29
		refs = "000f TArray<System.Byte> 0014 @DynArraySetLength"
	strings:
		$1 = { 53 8B D8 6A 00 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5B C3 }
	condition:
		$1
}

rule function_89447_0 {
	meta:
		name = "TKeyCaptions.Clear"
		size = 29
		refs = "000f TKeyCaptions.TKeyCaptionArray 0014 @DynArraySetLength"
	strings:
		$1 = { 53 8B D8 6A 00 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5B C3 }
	condition:
		$1
}

rule function_6953_0 {
	meta:
		name = "TDBXValueTypeList.SetCount"
		size = 74
		refs = "0014 @DynArrayHigh 0026 TObject.Free 0039 :TDBXValueTypeList.:1 003e @DynArraySetLength"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 83 7B 04 00 74 20 8B FD 8B 43 04 E8 ?? ?? ?? ?? 8B F0 2B F7 7C 10 46 8B 43 04 8B 04 B8 E8 ?? ?? ?? ?? 47 4E 75 F1 55 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6954_0 {
	meta:
		name = "TDBXValueTypeList.SetValueType"
		size = 28
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C7 8B 08 FF 51 10 8B 43 04 89 3C B0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6955_0 {
	meta:
		name = "TDBXValue.GetInt16"
		size = 35
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 05 8B C6 5E 5B C3 8B C3 8B 10 FF 92 84 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6956_0 {
	meta:
		name = "TDBXValue.GetInt32"
		size = 35
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 05 8B C6 5E 5B C3 8B C3 8B 10 FF 92 88 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6957_0 {
	meta:
		name = "TDBXValue.GetInt64"
		size = 63
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 0E 8B 45 08 89 45 F8 8B 45 0C 89 45 FC EB 10 8B C3 8B 10 FF 92 8C 00 00 00 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_6958_0 {
	meta:
		name = "TDBXValue.GetInt8"
		size = 32
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 58 84 C0 74 05 8B C3 5E 5B C3 8B C6 8B 10 FF 52 7C 5E 5B C3 }
	condition:
		$1
}

rule function_6959_0 {
	meta:
		name = "TDBXValue.GetUInt16"
		size = 25
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 0C 00 00 00 E8 ?? ?? ?? ?? 33 C0 5B C3 }
	condition:
		$1
}

rule function_6960_0 {
	meta:
		name = "TDBXValue.GetUInt16"
		size = 35
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 05 8B C6 5E 5B C3 8B C3 8B 10 FF 92 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_6961_0 {
	meta:
		name = "TDBXValue.GetUInt8"
		size = 32
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 58 84 C0 74 05 8B C3 5E 5B C3 8B C6 8B 10 FF 52 78 5E 5B C3 }
	condition:
		$1
}

rule function_6962_0 {
	meta:
		name = "TDBXValue.GetInt8"
		size = 25
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 1C 00 00 00 E8 ?? ?? ?? ?? 33 C0 5B C3 }
	condition:
		$1
}

rule function_6964_0 {
	meta:
		name = "TDBXValue.GetSingle"
		size = 33
		refs = "0012 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 51 8B D8 8B 43 04 8B 10 FF 52 50 BA 1B 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 04 24 D9 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_6965_0 {
	meta:
		name = "TDBXValue.GetStream"
		size = 25
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 09 00 00 00 E8 ?? ?? ?? ?? 33 C0 5B C3 }
	condition:
		$1
}

rule function_6966_0 {
	meta:
		name = "TDBXValue.GetJSONValue"
		size = 25
		refs = "0011 TDBXValueType.InvalidTypeAccess"
		altNames = "TDBXValue.GetObjectValue"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 25 00 00 00 E8 ?? ?? ?? ?? 33 C0 5B C3 }
	condition:
		$1
}

rule function_6968_0 {
	meta:
		name = "TDBXValue.GetCallbackValue"
		size = 25
		refs = "0011 TDBXValueType.InvalidTypeAccess"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 50 BA 26 00 00 00 E8 ?? ?? ?? ?? 33 C0 5B C3 }
	condition:
		$1
}

rule function_6972_0 {
	meta:
		name = "TDBXDatabaseMetaData.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 2C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98716_0 {
	meta:
		name = "TStringsObj.Create"
		size = 60
		refs = "000b @ClassCreate 001a TScriptableObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 2C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74773_0 {
	meta:
		name = "TTreeStrings.Create"
		size = 60
		refs = "000b @ClassCreate 001a TStrings.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 2C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_6973_0 {
	meta:
		name = "TDBXDatabaseMetaData.Init"
		size = 1436
		refs = "0015 TDBXDatabaseMetaData.Init 0024 TObject.Create 0093 @UStrAsg 01b2 @DynArrayLength 0233 TObject.Free 0241 @HandleFinally 025d @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 40 89 45 F8 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 10 8B 45 F8 8B 10 FF 52 64 89 45 FC 8B 45 FC 8B 10 FF 52 3C BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 14 8D 55 F4 8B 08 FF 51 70 8B 55 F4 8D 43 04 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 14 8D 55 F0 8B 08 FF 51 70 8B 55 F0 8D 43 08 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 14 8B 10 FF 92 88 00 00 00 89 43 10 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 14 8B 10 FF 52 68 88 43 0C BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 14 8B 10 FF 52 68 88 43 0D BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 14 8B 10 FF 52 68 88 43 14 8B 45 FC 8B 10 FF 52 1C 83 F8 0A 0F 8C F2 00 00 00 8D 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 14 8D 55 EC 8B 08 FF 51 70 8B 55 EC 8D 43 18 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 14 8D 55 E8 8B 08 FF 51 70 8B 55 E8 8D 43 1C E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 14 8B 10 FF 52 68 88 43 20 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 14 8B 10 FF 52 68 88 43 21 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 14 8B 10 FF 52 68 88 43 22 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 33 C9 BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 16 40 74 15 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 14 8B 10 FF 52 68 88 43 28 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 33 C9 BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 16 40 74 28 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 14 8B 10 FF 52 68 88 43 29 EB 11 85 DB 74 0D 8D 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 62 00 78 00 2E 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 51 00 75 00 6F 00 74 00 65 00 43 00 68 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 51 00 75 00 6F 00 74 00 65 00 43 00 68 00 61 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 73 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 54 00 72 00 61 00 6E 00 73 00 61 00 63 00 74 00 69 00 6F 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 4E 00 65 00 73 00 74 00 65 00 64 00 54 00 72 00 61 00 6E 00 73 00 61 00 63 00 74 00 69 00 6F 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 52 00 6F 00 77 00 53 00 65 00 74 00 53 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 51 00 75 00 6F 00 74 00 65 00 50 00 72 00 65 00 66 00 69 00 78 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 51 00 75 00 6F 00 74 00 65 00 53 00 75 00 66 00 66 00 69 00 78 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 4C 00 6F 00 77 00 65 00 72 00 43 00 61 00 73 00 65 00 49 00 64 00 65 00 6E 00 74 00 69 00 66 00 69 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 55 00 70 00 70 00 65 00 72 00 43 00 61 00 73 00 65 00 49 00 64 00 65 00 6E 00 74 00 69 00 66 00 69 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 53 00 50 00 52 00 65 00 74 00 75 00 72 00 6E 00 43 00 6F 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 46 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_6974_0 {
	meta:
		name = "TDBXParameter.Create"
		size = 69
		refs = "000a @ClassCreate 0017 TDBXValueType.Create 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 8B 08 FF 51 04 C6 46 40 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6975_0 {
	meta:
		name = "TDBXParameter.Create"
		size = 75
		refs = "000d @ClassCreate 001a TDBXValueType.Create 0035 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 89 46 38 8B 55 08 8B C6 8B 08 FF 51 78 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_6976_0 {
	meta:
		name = "TDBXParameter.Create"
		size = 65
		refs = "000d @ClassCreate 001a TDBXValueType.Create 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_6977_0 {
	meta:
		name = "TDBXParameter.Destroy"
		size = 64
		refs = "0003 @BeforeDestruction 0023 TObject.Free 002e TDBXValueType.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 48 85 C0 74 15 33 D2 89 50 04 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6978_0 {
	meta:
		name = "TDBXParameter.GetValue"
		size = 30
		refs = "0015 TDBXParameter.UpdateParameterType"
	strings:
		$1 = { 53 8B D8 80 7B 40 00 74 10 8B C3 8B 10 FF 52 50 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 48 5B C3 }
	condition:
		$1
}

rule function_6979_0 {
	meta:
		name = "TDBXParameter.SetParameter"
		size = 42
		refs = "0015 TDBXParameter.UpdateParameterType"
	strings:
		$1 = { 53 8B D8 80 7B 40 00 74 10 8B C3 8B 10 FF 52 50 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 7C 8B 10 FF 92 04 01 00 00 5B C3 }
	condition:
		$1
}

rule function_6980_0 {
	meta:
		name = "TDBXParameter.CopyByteValue"
		size = 158
		refs = "0016 TDBXParameter.CopyByteValue 0034 TArray<System.Byte> 0039 @DynArraySetLength 008c @DynArrayClear 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 5C 8B D8 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 00 6A 00 6A 00 8B C3 99 52 50 8B 55 FC 8B C6 8B 08 FF 91 98 00 00 00 6A 00 6A 00 6A 00 6A 00 8B C3 99 52 50 8B 55 FC 8B 45 F8 8B 08 FF 91 A4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_6981_0 {
	meta:
		name = "TDBXParameter.AssignValue"
		size = 839
		refs = "001e TDBXParameter.AssignValue 02ce TDBXParameter.CopyByteValue 031d @UStrClr 0325 @LStrClr 033b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 56 57 33 C9 89 4D CC 89 4D D0 89 4D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 0F 84 DC 02 00 00 8B C7 8B 10 FF 52 58 84 C0 74 10 8B 46 48 8B 10 FF 92 58 01 00 00 E9 C1 02 00 00 8B C6 8B 10 FF 52 50 83 F8 24 0F 87 B1 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 FC 8B C7 8B 08 FF 51 60 8B 55 FC 8B 46 48 8B 08 FF 91 68 01 00 00 E9 F9 01 00 00 8B C7 8B 10 FF 52 64 8B D0 8B 46 48 8B 08 FF 91 70 01 00 00 E9 E0 01 00 00 8B C7 8B 10 FF 52 68 8B D0 8B 46 48 8B 08 FF 91 6C 01 00 00 E9 C7 01 00 00 8B C7 8B 10 FF 52 6C 8B D0 8B 46 48 8B 08 FF 91 74 01 00 00 E9 AE 01 00 00 8D 55 F8 8B C7 8B 08 FF 51 70 8B 55 F8 8B 46 48 8B 08 FF 91 78 01 00 00 E9 91 01 00 00 8B C7 8B 10 FF 52 7C 8B D0 8B 46 48 8B 08 FF 91 84 01 00 00 E9 78 01 00 00 8B C7 8B 10 FF 52 78 8B D0 8B 46 48 8B 08 FF 91 80 01 00 00 E9 5F 01 00 00 8B C7 8B 10 FF 92 84 00 00 00 8B D0 8B 46 48 8B 08 FF 91 8C 01 00 00 E9 43 01 00 00 8B C7 8B 10 FF 92 80 00 00 00 8B D0 8B 46 48 8B 08 FF 91 88 01 00 00 E9 27 01 00 00 8B C7 8B 10 FF 92 88 00 00 00 8B D0 8B 46 48 8B 08 FF 91 90 01 00 00 E9 0B 01 00 00 8B C7 8B 10 FF 92 8C 00 00 00 52 50 8B 46 48 8B 10 FF 92 94 01 00 00 E9 EF 00 00 00 8B C7 8B 10 FF 92 90 00 00 00 83 C4 FC D9 1C 24 9B 8B 46 48 8B 10 FF 92 98 01 00 00 E9 CE 00 00 00 8B C7 8B 10 FF 92 94 00 00 00 83 C4 F8 DD 1C 24 9B 8B 46 48 8B 10 FF 92 9C 01 00 00 E9 AD 00 00 00 8D 55 D4 8B C7 8B 08 FF 91 A4 00 00 00 8D 55 D4 8B 46 48 8B 08 FF 91 64 01 00 00 E9 8D 00 00 00 8B C6 8B 10 FF 52 54 83 E8 16 74 07 83 E8 0A 74 1C EB 34 8D 55 D0 8B C7 8B 08 FF 51 60 8B 55 D0 8B 46 48 8B 08 FF 91 68 01 00 00 EB 60 8D 55 CC 8B C7 8B 08 FF 51 70 8B 55 CC 8B 46 48 8B 08 FF 91 78 01 00 00 EB 46 8B 4E 48 8B D7 8B C6 E8 ?? ?? ?? ?? EB 38 8D 55 BC 8B C7 8B 08 FF 91 9C 00 00 00 8D 55 BC 8B 46 48 8B 08 FF 91 5C 01 00 00 EB 1B 8D 55 A8 8B C7 8B 08 FF 91 A0 00 00 00 8D 55 A8 8B 46 48 8B 08 FF 91 60 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_6982_0 {
	meta:
		name = "TDBXParameter.Clone"
		size = 38
		refs = "000a _DV_TDBXParameter 000f TDBXParameter.Create"
	strings:
		$1 = { 53 56 8B D8 8B 4B 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 91 84 00 00 00 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_6983_0 {
	meta:
		name = "TDBXParameter.AssignType"
		size = 109
		refs = "000d @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 04 8B 56 04 E8 ?? ?? ?? ?? C7 43 0C FF FF FF FF 8B C6 8B 10 FF 52 50 89 43 10 8B C6 8B 10 FF 52 54 89 43 14 8B 46 18 89 43 18 8B 46 1C 89 43 1C 8B 46 20 89 43 20 8B 46 24 89 43 24 8B 46 28 89 43 28 33 C0 89 43 2C 8B 46 30 89 43 30 8B 46 34 89 43 34 33 C0 89 43 38 C6 43 40 01 8B 46 3C 89 43 3C 5E 5B C3 }
	condition:
		$1
}

rule function_6984_0 {
	meta:
		name = "TDBXParameter.Assign"
		size = 55
		refs = "001d TDBXValue.CreateValue 0030 TDBXParameter.AssignValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 78 85 F6 74 21 6A 00 33 C9 8B D3 8B 46 3C E8 ?? ?? ?? ?? 89 43 48 8B C6 8B 10 FF 52 7C 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6985_0 {
	meta:
		name = "TDBXValueType.SetParameterDirection"
		size = 13
	strings:
		$1 = { 3B 50 34 74 07 89 50 34 C6 40 40 01 C3 }
	condition:
		$1
}

rule function_6986_0 {
	meta:
		name = "CheckIsNewValueType"
		size = 797
		refs = "0019 CheckIsNewValueType 00b5 _DV_TDBXAnsiStringBuilderValue 00ba @IsClass 00c6 _DV_TDBXAnsiCharsValue 00e3 _DV_TDBXDateValue 00f3 _DV_TDBXBooleanValue 0103 _DV_TDBXTimeValue 0113 _DV_TDBXWideStringBuilderValue 0124 _DV_TDBXStringValue 0135 _DV_TDBXWideCharsValue 0152 _DV_TDBXInt8Value 0162 _DV_TDBXUInt8Value 0172 _DV_TDBXInt16Value 0182 _DV_TDBXUInt16Value 0192 _DV_TDBXInt32Value 01a2 _DV_TDBXInt64Value 01b2 _DV_TDBXDoubleValue 01c2 _DV_TDBXSingleValue 01d2 _DV_TDBXBcdValue 01fa _DV_TDBXAnsiMemoValue 023b _DV_TDBXWideMemoValue 027c _DV_TDBXStreamValue 02ac _DV_TDBXCursorValue 02bc _DV_TDBXTimeStampValue 02dc _DV_TDBXReaderValue 02ec _DV_TDBXConnectionValue 02fc _DV_TDBXNullValue 030c _DV_TDBXTimeStampOffsetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 50 83 F8 24 0F 87 02 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 18 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 07 33 C0 E9 40 02 00 00 B0 01 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 29 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 18 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 07 33 C0 E9 D1 01 00 00 B0 01 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 10 FF 52 54 83 E8 16 74 0C 83 E8 0A 74 48 48 0F 85 82 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 29 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 18 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 07 33 C0 E9 EA 00 00 00 B0 01 E9 E3 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 29 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 18 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 07 33 C0 E9 A9 00 00 00 B0 01 E9 A2 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_6987_0 {
	meta:
		name = "TDBXParameter.UpdateParameterType"
		size = 342
		refs = "0035 _DV_TDBXNullValue 003a TDBXNullValue.Create 004e TDBXValue.CreateValue 005c CheckIsNewValueType 0078 TObject.Free 0113 TDBXParameter.UpdateParameterType 0123 TDBXParameter.AssignValue 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 50 85 C0 75 09 8B D6 8B C3 8B 08 FF 51 14 8B 73 48 85 F6 75 32 8B C3 8B 10 FF 52 50 85 C0 75 13 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 48 EB 69 6A 00 8B 4B 38 8B 43 3C 8B D3 E8 ?? ?? ?? ?? 89 43 48 EB 55 8B C6 8B D3 E8 ?? ?? ?? ?? 84 C0 75 48 8B 43 48 33 D2 89 50 04 8D 43 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 50 85 C0 75 13 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 48 EB 12 6A 00 8B 4B 38 8B 43 3C 8B D3 E8 ?? ?? ?? ?? 89 43 48 33 F6 8B 43 38 85 C0 74 41 8B 53 48 83 7A 10 00 75 27 89 42 10 8B 43 38 8B D3 8B 08 FF 91 04 01 00 00 8B F0 85 F6 74 11 8B 43 48 89 45 FC 8B C6 89 43 48 8B 53 38 89 50 10 8B 43 48 8B 50 04 8B 43 38 8B 08 FF 91 BC 00 00 00 8B 43 48 8B 10 FF 92 F8 00 00 00 83 7B 38 00 74 04 C6 43 40 00 85 F6 74 42 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 04 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_6988_0 {
	meta:
		name = "TDBXParameterList.GetCount"
		size = 18
		refs = "000a TDBXValueTypeList.GetCount"
	strings:
		$1 = { 8B 50 04 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_95669_0 {
	meta:
		name = "TDSTableProducerEditor.GetDataSource"
		size = 18
		refs = "000a TDSTableProducer.GetDataSource"
	strings:
		$1 = { 8B 50 04 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_6989_0 {
	meta:
		name = "TDBXParameterList.GetOrdinal"
		size = 9
	strings:
		$1 = { 8B 40 04 8B 08 FF 51 04 C3 }
	condition:
		$1
}

rule function_6990_0 {
	meta:
		name = "TDBXParameterList.GetParameterByName"
		size = 27
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 2C 8B D0 8B C3 8B 08 FF 51 04 5E 5B C3 }
	condition:
		$1
}

rule function_6991_0 {
	meta:
		name = "TDBXParameterList.InvalidOrdinal"
		size = 133
		refs = "0015 TDBXParameterList.InvalidOrdinal 0027 SInvalidOrdinal 002c LoadResString 0040 Format 0050 _DV_TDBXError 0055 TDBXError.Create 005a @RaiseExcept 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 4D F8 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 5D F0 C6 45 F4 00 8D 55 F0 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 50 B9 08 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_6992_0 {
	meta:
		name = "TDBXParameterList.GetParameterByOrdinal"
		size = 48
		refs = "001a TDBXParameterList.InvalidOrdinal"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 0B 8B C3 8B 10 FF 52 08 3B F0 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 04 8B 40 04 8B 04 B0 85 C0 75 02 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_6995_0 {
	meta:
		name = "TDBXParameterList.RemoveParameter"
		size = 26
		refs = "0013 TDBXValueTypeList.Remove"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 4C 8B D0 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_6997_0 {
	meta:
		name = "TDBXParameterList.RemoveParameter"
		size = 19
		refs = "000d TDBXValueTypeList.Remove"
	strings:
		$1 = { 53 8B 48 04 8B 59 04 8B 14 93 8B C1 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_6999_0 {
	meta:
		name = "TDBXContext.Create"
		size = 111
		refs = "000b @ClassCreate 001a TObject.Create 005b @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 46 08 89 47 08 8B 46 0C 89 47 0C 8B 46 10 89 47 10 8B 46 14 89 47 14 8B 46 18 89 47 18 8B 46 1C 89 47 1C 8B 46 28 89 47 28 8B 46 2C 89 47 2C 8B 46 24 89 47 24 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7000_0 {
	meta:
		name = "TDBXContext.Create"
		size = 84
		refs = "000a @ClassCreate 0017 TObject.Create 002e _DV_TDBXClosedByteReader 0033 TDBXClosedByteReader.Create 0041 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 18 DF 4E 00 00 C7 46 1C 05 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7002_0 {
	meta:
		name = "TDBXContext.Error"
		size = 83
		refs = "0011 @UStrAddRef 0019 TDBXContext.Error 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7003_0 {
	meta:
		name = "TDBXContext.Error"
		size = 120
		refs = "0011 @UStrAddRef 0019 TDBXContext.Error 002c _DV_TDBXError 0031 TDBXError.Create 0052 @RaiseExcept 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 28 85 C0 74 11 66 83 78 0A 00 74 0A 8B D8 8B D6 8B 43 0C FF 53 08 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7004_0 {
	meta:
		name = "TDBXContext.IsTracing"
		size = 30
	strings:
		$1 = { 83 78 2C 00 74 15 8B 48 2C 83 79 2C 00 74 09 85 50 18 74 04 B0 01 EB 05 33 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_7005_0 {
	meta:
		name = "TDBXContext.IsTracingCategory"
		size = 46
		refs = "0008 TDBXContext.IsTracingCategory 0023 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_7006_0 {
	meta:
		name = "TDBXContext.IsTracingLevel"
		size = 30
	strings:
		$1 = { 83 78 2C 00 74 15 8B 48 2C 83 79 2C 00 74 09 3B 50 1C 7C 04 B0 01 EB 05 33 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_7008_0 {
	meta:
		name = "TDBXContext.SetOnError"
		size = 36
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 08 8B 55 0C 89 50 0C 66 83 7D 0A 00 74 05 89 40 28 EB 05 33 D2 89 50 28 5D C2 08 00 }
	condition:
		$1
}

rule function_7009_0 {
	meta:
		name = "TDBXContext.SetOnTrace"
		size = 36
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 10 8B 55 0C 89 50 14 66 83 7D 0A 00 74 05 89 40 2C EB 05 33 D2 89 50 2C 5D C2 08 00 }
	condition:
		$1
}

rule function_7010_0 {
	meta:
		name = "TDBXContext.SetTraceFlags"
		size = 7
	strings:
		$1 = { 89 50 18 89 40 2C C3 }
	condition:
		$1
}

rule function_7012_0 {
	meta:
		name = "TDBXContext.Trace"
		size = 175
		refs = "0014 @UStrAddRef 0025 TDBXTraceInfo 002a @InitializeRecord 0032 TDBXContext.Trace 004a @UStrLAsg 008b @FinalizeRecord 0098 @UStrArrayClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D EC 8B FA 8B D8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 2C 85 F6 74 2C 8D 45 F0 8B 55 08 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F4 89 7D F8 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8D 55 F0 8B 46 14 FF 56 10 8B D8 EB 05 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7013_0 {
	meta:
		name = "TDBXContext.Trace"
		size = 91
		refs = "0010 @UStrAddRef 0018 TDBXContext.Trace 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_7014_0 {
	meta:
		name = "TDBXContext.Trace"
		size = 93
		refs = "0011 @UStrAddRef 0019 TDBXContext.Trace 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 FC 50 8B CE BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7015_0 {
	meta:
		name = "TDBXContext.Trace"
		size = 113
		refs = "0011 @UStrAddRef 0021 TDBXContext.Trace 0054 @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 45 08 50 B9 00 40 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7017_0 {
	meta:
		name = "TDBXDelegateDriver.Create"
		size = 67
		refs = "000b @ClassCreate 001a TDBXDriver.Create 0024 TDBXDriver.AddReference 002f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 24 8B C6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7018_0 {
	meta:
		name = "TDBXDelegateDriver.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 0013 TDBXDriver.RemoveReference 0023 TDBXDriver.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 24 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 89 46 24 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7019_0 {
	meta:
		name = "TDBXDelegateDriver.CreateMorphCommand"
		size = 25
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 45 08 50 8B 46 24 8B 18 FF 53 18 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_7020_0 {
	meta:
		name = "TDBXDelegateDriver.CreateConnection"
		size = 9
		altNames = "TDBXDelegateReader.GetValue"
	strings:
		$1 = { 8B 40 24 8B 08 FF 51 10 C3 }
	condition:
		$1
}

rule function_7021_0 {
	meta:
		name = "TDBXDelegateDriver.GetDriverClass"
		size = 9
	strings:
		$1 = { 8B 40 24 8B 10 FF 52 24 C3 }
	condition:
		$1
}

rule function_7022_0 {
	meta:
		name = "TDBXDelegateDriver.GetDriverName"
		size = 36
		refs = "0011 @UStrClr"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 24 85 FF 75 09 8B C6 E8 ?? ?? ?? ?? EB 09 8B D6 8B C7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7023_0 {
	meta:
		name = "TDBXDelegateDriver.GetDriverProperties"
		size = 8
	strings:
		$1 = { 8B 40 24 8B 10 FF 12 C3 }
	condition:
		$1
}

rule function_7024_0 {
	meta:
		name = "TDBXDelegateDriver.GetDriverVersion"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 24 8B 08 FF 51 28 5E 5B C3 }
	condition:
		$1
}

rule function_7025_0 {
	meta:
		name = "TDBXDelegateDriver.SetDriverName"
		size = 9
	strings:
		$1 = { 8B 40 24 8B 08 FF 51 0C C3 }
	condition:
		$1
}

rule function_7026_0 {
	meta:
		name = "TDBXDelegateDriver.InitDriverProperties"
		size = 9
	strings:
		$1 = { 8B 40 24 8B 08 FF 51 04 C3 }
	condition:
		$1
}

rule function_7027_0 {
	meta:
		name = "TDBXAnsiStringBuilderValue.CopyRowValue"
		size = 105
		refs = "0010 TDBXAnsiStringBuilderValue.CopyRowValue 0057 @LStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 58 84 C0 74 0B 8B D6 8B C7 8B 08 FF 51 6C EB 16 8D 55 FC 8B C6 8B 08 FF 51 60 8B 4D FC 8B D6 8B C7 8B 18 FF 53 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7028_0 {
	meta:
		name = "TDBXAnsiStringBuilderValue.SetRowValue"
		size = 16
	strings:
		$1 = { 53 8B 48 18 8B D0 8B 40 10 8B 18 FF 53 70 5B C3 }
	condition:
		$1
}

rule function_7029_0 {
	meta:
		name = "TDBXAnsiStringBuilderValue.SetAnsiString"
		size = 61
		refs = "0011 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 89 43 0C 8D 43 18 8B D6 E8 ?? ?? ?? ?? C6 43 14 01 8B 73 10 85 F6 74 1A 8B C6 8B 10 FF 92 C0 00 00 00 89 43 08 8B D3 8B 43 10 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7187_0 {
	meta:
		name = "TDBXStringValue.SetWideString"
		size = 61
		refs = "0011 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 89 43 0C 8D 43 18 8B D6 E8 ?? ?? ?? ?? C6 43 14 01 8B 73 10 85 F6 74 1A 8B C6 8B 10 FF 92 C0 00 00 00 89 43 08 8B D3 8B 43 10 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7190_0 {
	meta:
		name = "TDBXWideStringBuilderValue.SetWideString"
		size = 61
		refs = "0011 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 89 43 0C 8D 43 18 8B D6 E8 ?? ?? ?? ?? C6 43 14 01 8B 73 10 85 F6 74 1A 8B C6 8B 10 FF 92 C0 00 00 00 89 43 08 8B D3 8B 43 10 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7030_0 {
	meta:
		name = "TDBXAnsiStringBuilderValue.UpdateType"
		size = 24
		refs = "0012 TDBXPlatform.ResizeStringBuilder"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 68 8B D0 42 8D 43 20 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7031_0 {
	meta:
		name = "TDBXAnsiStringBuilderValue.Create"
		size = 75
		refs = "000b @ClassCreate 001c TDBXAnsiStringValue.Create 0029 TDBXPlatform.CreateStringBuilder 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 68 40 E8 ?? ?? ?? ?? 89 47 20 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7032_0 {
	meta:
		name = "TDBXAnsiStringBuilderValue.IsNull"
		size = 105
		refs = "0036 @LStrClr 004c @LStrFromPChar"
	strings:
		$1 = { 53 56 57 8B D8 8B 73 10 85 F6 74 52 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 43 8D 43 0C 50 8D 4B 20 8B D3 8B 43 10 8B 30 FF 56 04 83 7B 0C 00 74 0A 8D 43 18 E8 ?? ?? ?? ?? EB 14 8B 73 20 8D 7B 18 8B C7 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 83 7B 0C 01 1B C0 40 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7033_0 {
	meta:
		name = "TDBXAnsiStringBuilderValue.GetAnsiString"
		size = 112
		refs = "0039 @LStrClr 004f @LStrFromPChar 0067 @LStrAsg"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B 73 10 85 F6 74 52 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 43 8D 43 0C 50 8D 4B 20 8B D3 8B 43 10 8B 30 FF 56 04 83 7B 0C 00 74 0A 8D 43 18 E8 ?? ?? ?? ?? EB 14 8B 73 20 8D 6B 18 8B C5 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 8B C7 8B 53 18 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7034_0 {
	meta:
		name = "TDBXAnsiStringBuilderValue.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TDBXPlatform.FreeAndNilStringBuilder 001a TDBXAnsiStringValue.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 20 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7194_0 {
	meta:
		name = "TDBXWideStringBuilderValue.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TDBXPlatform.FreeAndNilWideStringBuilder 001a TDBXWideStringValue.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 20 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7035_0 {
	meta:
		name = "TDBXAnsiStringValue.SetValue"
		size = 105
		refs = "000f TDBXAnsiStringValue.SetValue 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 58 84 C0 74 0C 8B C3 8B 10 FF 92 58 01 00 00 EB 17 8D 55 FC 8B C6 8B 08 FF 51 60 8B 55 FC 8B C3 8B 08 FF 91 68 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7037_0 {
	meta:
		name = "TDBXAnsiStringValue.SetAsBcd"
		size = 160
		refs = "0013 TDBXAnsiStringValue.SetAsBcd 0022 _DV_TDBXBcdValue 0027 TDBXWritableValue.Create 003c TDBXDefaultFormatter.GetDefaultDBXFormatter 0057 @LStrFromUStr 0071 TObject.Free 0086 @UStrClr 008e @LStrClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B D6 8B 45 FC 8B 08 FF 91 64 01 00 00 E8 ?? ?? ?? ?? 8D 4D F4 8B 55 FC 8B 30 FF 56 20 8B 55 F4 8D 45 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 91 68 01 00 00 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7038_0 {
	meta:
		name = "TDBXAnsiStringValue.SetAsBoolean"
		size = 111
		refs = "0011 TDBXAnsiStringValue.SetAsBoolean 0023 BoolToStr 0033 @LStrFromUStr 0055 @UStrClr 005d @LStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 91 68 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7039_0 {
	meta:
		name = "TDBXAnsiStringValue.SetAsDate"
		size = 159
		refs = "0013 TDBXAnsiStringValue.SetAsDate 0022 _DV_TDBXDateValue 0027 TDBXWritableValue.Create 003c TDBXDefaultFormatter.GetDefaultDBXFormatter 0056 @LStrFromUStr 0070 TObject.Free 0085 @UStrClr 008d @LStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B D6 8B 45 FC 8B 08 FF 91 70 01 00 00 E8 ?? ?? ?? ?? 8D 4D F4 8B 55 FC 8B 30 FF 16 8B 55 F4 8D 45 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 91 68 01 00 00 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7040_0 {
	meta:
		name = "TDBXAnsiStringValue.SetAsDouble"
		size = 135
		refs = "0015 TDBXAnsiStringValue.SetAsDouble 0035 CurrencyString 003a FloatToStr 004a @LStrFromUStr 006c @LStrClr 0074 @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 EC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 8B 08 FF 91 68 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7041_0 {
	meta:
		name = "TDBXAnsiStringValue.SetAsInt16"
		size = 110
		refs = "0011 TDBXAnsiStringValue.SetAsInt16 0022 IntToStr 0032 @LStrFromUStr 0054 @UStrClr 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 0F BF C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 68 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7042_0 {
	meta:
		name = "TDBXAnsiStringValue.SetAsInt32"
		size = 109
		refs = "0011 TDBXAnsiStringValue.SetAsInt32 0021 IntToStr 0031 @LStrFromUStr 0053 @UStrClr 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 68 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7043_0 {
	meta:
		name = "TDBXAnsiStringValue.SetAsInt64"
		size = 111
		refs = "000e TDBXAnsiStringValue.SetAsInt64 0022 IntToStr 0032 @LStrFromUStr 0054 @UStrClr 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 68 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7044_0 {
	meta:
		name = "TDBXAnsiStringValue.SetAsInt8"
		size = 110
		refs = "0011 TDBXAnsiStringValue.SetAsInt8 0022 IntToStr 0032 @LStrFromUStr 0054 @UStrClr 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 0F BE C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 91 68 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7045_0 {
	meta:
		name = "TDBXAnsiStringValue.SetAsSingle"
		size = 135
		refs = "0015 TDBXAnsiStringValue.SetAsSingle 0035 CurrencyString 003a FloatToStr 004a @LStrFromUStr 006c @LStrClr 0074 @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 EC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 D9 45 08 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 8B 08 FF 91 68 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7046_0 {
	meta:
		name = "TDBXAnsiStringValue.SetAsString"
		size = 87
		refs = "000f TDBXAnsiStringValue.SetAsString 0024 @LStrFromUStr 0046 @LStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 68 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7077_0 {
	meta:
		name = "TDBXAnsiMemoValue.SetAsString"
		size = 87
		refs = "000f TDBXAnsiMemoValue.SetAsString 0024 @LStrFromUStr 0046 @LStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 68 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7047_0 {
	meta:
		name = "TDBXAnsiStringValue.SetAsTime"
		size = 160
		refs = "0013 TDBXAnsiStringValue.SetAsTime 0022 _DV_TDBXTimeValue 0027 TDBXWritableValue.Create 003c TDBXDefaultFormatter.GetDefaultDBXFormatter 0057 @LStrFromUStr 0071 TObject.Free 0086 @UStrClr 008e @LStrClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B D6 8B 45 FC 8B 08 FF 91 74 01 00 00 E8 ?? ?? ?? ?? 8D 4D F4 8B 55 FC 8B 30 FF 56 08 8B 55 F4 8D 45 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 91 68 01 00 00 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7048_0 {
	meta:
		name = "TDBXAnsiStringValue.SetAsTimeStamp"
		size = 160
		refs = "0013 TDBXAnsiStringValue.SetAsTimeStamp 0022 _DV_TDBXTimeStampValue 0027 TDBXWritableValue.Create 003c TDBXDefaultFormatter.GetDefaultDBXFormatter 0057 @LStrFromUStr 0071 TObject.Free 0086 @UStrClr 008e @LStrClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B D6 8B 45 FC 8B 08 FF 91 5C 01 00 00 E8 ?? ?? ?? ?? 8D 4D F4 8B 55 FC 8B 30 FF 56 10 8B 55 F4 8D 45 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 91 68 01 00 00 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7049_0 {
	meta:
		name = "TDBXAnsiStringValue.SetAsUInt16"
		size = 110
		refs = "0011 TDBXAnsiStringValue.SetAsUInt16 0022 IntToStr 0032 @LStrFromUStr 0054 @UStrClr 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 0F B7 C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 68 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7050_0 {
	meta:
		name = "TDBXAnsiStringValue.SetAsUInt8"
		size = 110
		refs = "0011 TDBXAnsiStringValue.SetAsUInt8 0022 IntToStr 0032 @LStrFromUStr 0054 @UStrClr 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 0F B6 C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 91 68 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7052_0 {
	meta:
		name = "TDBXAnsiStringValue.Compare"
		size = 104
		refs = "0011 TDBXAnsiStringValue.Compare 0038 AnsiCompareText 0054 @UStrArrayClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 28 8B 45 FC 50 8D 55 F8 8B C3 8B 08 FF 51 28 8B 45 F8 5A E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7546_0 {
	meta:
		name = "TDBXWideCharsValue.Compare"
		size = 104
		refs = "0011 TDBXWideCharsValue.Compare 0038 AnsiCompareText 0054 @UStrArrayClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 28 8B 45 FC 50 8D 55 F8 8B C3 8B 08 FF 51 28 8B 45 F8 5A E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7151_0 {
	meta:
		name = "TDBXWideStringValue.Compare"
		size = 104
		refs = "0011 TDBXWideStringValue.Compare 0038 AnsiCompareText 0054 @UStrArrayClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 28 8B 45 FC 50 8D 55 F8 8B C3 8B 08 FF 51 28 8B 45 F8 5A E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7055_0 {
	meta:
		name = "TDBXAnsiStringValue.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXWritableValue.Destroy 002d @ClassDestroy"
		altNames = "TDBXWideStringValue.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36848_0 {
	meta:
		name = "EIdSMTPReplyError.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 Exception.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36840_0 {
	meta:
		name = "TIdReplySMTP.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TIdReply.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37122_0 {
	meta:
		name = "TIdSMTPRelayStatusItem.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TCollectionItem.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7057_0 {
	meta:
		name = "TDBXAnsiStringValue.GetAsBcd"
		size = 154
		refs = "0013 TDBXAnsiStringValue.GetAsBcd 0022 _DV_TDBXBcdValue 0027 TDBXWritableValue.Create 003f @UStrFromLStr 0048 TDBXDefaultFormatter.GetDefaultDBXFormatter 006b TObject.Free 0080 @LStrClr 0088 @UStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 55 F4 8B C3 8B 08 FF 51 60 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 4D FC 5A 8B 18 FF 53 24 8B D6 8B 45 FC 8B 08 FF 91 A4 00 00 00 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7058_0 {
	meta:
		name = "TDBXAnsiStringValue.GetAsBoolean"
		size = 108
		refs = "000c TDBXAnsiStringValue.GetAsBoolean 0029 @LStrEqual 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 60 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 04 00 00 00 54 72 75 65 00 00 00 00 }
	condition:
		$1
}

rule function_7059_0 {
	meta:
		name = "TDBXAnsiStringValue.GetAsDate"
		size = 149
		refs = "0010 TDBXAnsiStringValue.GetAsDate 001f _DV_TDBXDateValue 0024 TDBXWritableValue.Create 003c @UStrFromLStr 0045 TDBXDefaultFormatter.GetDefaultDBXFormatter 0065 TObject.Free 007a @LStrClr 0082 @UStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 55 F4 8B C3 8B 08 FF 51 60 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 4D FC 5A 8B 18 FF 53 04 8B 45 FC 8B 10 FF 52 64 8B D8 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7060_0 {
	meta:
		name = "TDBXAnsiStringValue.GetAsDouble"
		size = 145
		refs = "0015 TDBXAnsiStringValue.GetAsDouble 0030 @UStrFromLStr 004d CurrencyString 0055 StrToFloatDef 0075 @LStrClr 007d @UStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 33 D2 89 55 CC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 CC 8B C3 8B 08 FF 51 60 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 E0 89 45 E4 66 89 45 E8 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D D0 9B DB 6D D0 DD 5D F0 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 DD 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7061_0 {
	meta:
		name = "TDBXAnsiStringValue.GetAsInt16"
		size = 101
		refs = "000e TDBXAnsiStringValue.GetAsInt16 0029 @UStrFromLStr 0033 StrToIntDef 004a @LStrClr 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 60 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7062_0 {
	meta:
		name = "TDBXAnsiStringValue.GetAsInt32"
		size = 101
		refs = "000e TDBXAnsiStringValue.GetAsInt32 0029 @UStrFromLStr 0033 StrToIntDef 004a @LStrClr 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 60 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7064_0 {
	meta:
		name = "TDBXAnsiStringValue.GetAsInt8"
		size = 101
		refs = "000e TDBXAnsiStringValue.GetAsInt8 0029 @UStrFromLStr 0033 StrToIntDef 004a @LStrClr 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 60 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7069_0 {
	meta:
		name = "TDBXAnsiStringValue.GetAsUInt16"
		size = 101
		refs = "000e TDBXAnsiStringValue.GetAsUInt16 0029 @UStrFromLStr 0033 StrToIntDef 004a @LStrClr 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 60 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7070_0 {
	meta:
		name = "TDBXAnsiStringValue.GetAsUInt8"
		size = 101
		refs = "000e TDBXAnsiStringValue.GetAsUInt8 0029 @UStrFromLStr 0033 StrToIntDef 004a @LStrClr 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 60 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7063_0 {
	meta:
		name = "TDBXAnsiStringValue.GetAsInt64"
		size = 118
		refs = "0015 TDBXAnsiStringValue.GetAsInt64 0034 @UStrFromLStr 003c StrToInt64Def 0057 @LStrClr 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F4 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8D 55 F0 8B C3 8B 08 FF 51 60 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 8B 55 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7065_0 {
	meta:
		name = "TDBXAnsiStringValue.GetAsSingle"
		size = 145
		refs = "0015 TDBXAnsiStringValue.GetAsSingle 0030 @UStrFromLStr 004d CurrencyString 0055 StrToFloatDef 0075 @LStrClr 007d @UStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 33 D2 89 55 CC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 CC 8B C3 8B 08 FF 51 60 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 E0 89 45 E4 66 89 45 E8 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D D0 9B DB 6D D0 D9 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 D9 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7067_0 {
	meta:
		name = "TDBXAnsiStringValue.GetAsTime"
		size = 149
		refs = "0010 TDBXAnsiStringValue.GetAsTime 001f _DV_TDBXTimeValue 0024 TDBXWritableValue.Create 003c @UStrFromLStr 0045 TDBXDefaultFormatter.GetDefaultDBXFormatter 0065 TObject.Free 007a @LStrClr 0082 @UStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 55 F4 8B C3 8B 08 FF 51 60 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 4D FC 5A 8B 18 FF 53 0C 8B 45 FC 8B 10 FF 52 6C 8B D8 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7068_0 {
	meta:
		name = "TDBXAnsiStringValue.GetAsTimeStamp"
		size = 154
		refs = "0013 TDBXAnsiStringValue.GetAsTimeStamp 0022 _DV_TDBXTimeStampValue 0027 TDBXWritableValue.Create 003f @UStrFromLStr 0048 TDBXDefaultFormatter.GetDefaultDBXFormatter 006b TObject.Free 0080 @LStrClr 0088 @UStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 55 F4 8B C3 8B 08 FF 51 60 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 4D FC 5A 8B 18 FF 53 14 8B D6 8B 45 FC 8B 08 FF 91 9C 00 00 00 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7071_0 {
	meta:
		name = "TDBXAnsiMemoValue.SetAnsiString"
		size = 143
		refs = "0013 TDBXAnsiMemoValue.SetAnsiString 0023 TDBXPlatform.AnsiStrToBytes 002f TArray<System.Byte> 0034 @DynArrayAsg 007d @FinalizeArray 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 75 F4 8B 4D F4 85 C9 74 05 83 E9 04 8B 09 6A 00 6A 00 6A 00 6A 00 8B C1 99 52 50 8B 55 FC 8B C3 8B 08 FF 91 A4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7072_0 {
	meta:
		name = "TDBXAnsiMemoValue.CopyRowValue"
		size = 106
		refs = "000f TDBXAnsiMemoValue.CopyRowValue 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 58 84 C0 74 0B 8B D3 8B C6 8B 08 FF 51 6C EB 19 8D 55 FC 8B C3 8B 08 FF 51 60 8B 4D FC 8B D3 8B C6 8B 18 FF 93 EC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7074_0 {
	meta:
		name = "TDBXAnsiMemoValue.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0010 TArray<System.Byte> 0015 @DynArrayClear 0020 TDBXByteArrayValue.Destroy 002b @ClassDestroy"
		altNames = "TDBXWideMemoValue.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7075_0 {
	meta:
		name = "TDBXAnsiMemoValue.GetAnsiString"
		size = 133
		refs = "0011 TDBXAnsiMemoValue.GetAnsiString 001e TDBXAnsiMemoValue.GetFBytes 002a TArray<System.Byte> 002f @DynArrayAsg 0039 @DynArrayLength 0046 @LStrFromPCharLen 0050 @LStrAsg 0065 @LStrClr 0073 @DynArrayClear 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 53 1C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7078_0 {
	meta:
		name = "TDBXAnsiMemoValue.SetValue"
		size = 82
		refs = "000f TDBXAnsiMemoValue.SetValue 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 60 8B 55 FC 8B C3 8B 08 FF 91 68 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7079_0 {
	meta:
		name = "TDBXAnsiMemoValue.GetFBytes"
		size = 215
		refs = "003e TArray<System.Byte> 0043 @DynArrayClear 005c @DynArraySetLength"
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 0F 84 C5 00 00 00 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 0F 84 B2 00 00 00 8D 43 0C 50 8D 4B 20 8B D3 8B 43 10 8B 30 FF 56 4C 83 7B 0C 00 74 10 8D 43 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7D 8B 43 20 50 8D 43 1C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 00 6A 00 6A 00 FF 73 24 FF 73 20 8B 53 1C 8B C3 8B 08 FF 91 98 00 00 00 83 7B 24 00 75 08 83 7B 20 00 76 3C EB 02 7E 38 8B 43 20 8B 53 24 83 E8 01 83 DA 00 8B 53 1C 80 3C 02 00 75 23 8B 43 20 8B 53 24 83 E8 01 83 DA 00 50 8D 43 1C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_7080_0 {
	meta:
		name = "TDBXAnsiMemoValue.IsNull"
		size = 19
		refs = "0006 TDBXAnsiMemoValue.GetFBytes"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 0C 01 1B C0 40 5B C3 }
	condition:
		$1
}

rule function_7178_0 {
	meta:
		name = "TDBXWideMemoValue.IsNull"
		size = 19
		refs = "0006 TDBXWideMemoValue.GetFBytes"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 0C 01 1B C0 40 5B C3 }
	condition:
		$1
}

rule function_7081_0 {
	meta:
		name = "TDBXDateValue.SetDate"
		size = 52
		altNames = "TDBXInt32Value.SetInt32 TDBXTimeValue.SetTime"
	strings:
		$1 = { 53 56 8B D8 33 C0 89 43 0C 89 53 18 C6 43 14 01 8B 73 10 85 F6 74 1A 8B C6 8B 10 FF 92 C0 00 00 00 89 43 08 8B D3 8B 43 10 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7082_0 {
	meta:
		name = "TDBXDateValue.Compare"
		size = 64
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 8B 10 FF 52 38 8B F8 8B C6 8B 10 FF 52 38 3B F8 75 04 33 C0 EB 1D 8B C3 8B 10 FF 52 38 8B D8 8B C6 8B 10 FF 52 38 3B D8 7D 05 83 C8 FF EB 04 66 B8 01 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7083_0 {
	meta:
		name = "TDBXDateValue.CopyRowValue"
		size = 54
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 8B 10 FF 52 58 84 C0 74 0B 8B D6 8B C7 8B 08 FF 51 6C EB 15 8B C6 8B 10 FF 52 64 8B C8 8B D6 8B C7 8B 18 FF 93 A4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7084_0 {
	meta:
		name = "TDBXDateValue.SetRowValue"
		size = 19
	strings:
		$1 = { 53 8B 48 18 8B D0 8B 40 10 8B 18 FF 93 A4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7085_0 {
	meta:
		name = "TDBXDateValue.SetValue"
		size = 52
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 58 84 C0 74 0D 8B C3 8B 10 FF 92 58 01 00 00 5E 5B C3 8B C6 8B 10 FF 52 64 8B D0 8B C3 8B 08 FF 91 70 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7086_0 {
	meta:
		name = "TDBXDateValue.IsNull"
		size = 67
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 38 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 83 7B 0C 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_7088_0 {
	meta:
		name = "TDBXDateValue.GetAsDateTime"
		size = 44
		refs = "001c TimeStampToDateTime"
	strings:
		$1 = { 53 83 C4 F0 8B D8 33 C0 89 44 24 08 8B C3 8B 10 FF 52 64 89 44 24 0C 8D 44 24 08 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_7089_0 {
	meta:
		name = "TDBXDateValue.GetAsString"
		size = 22
		refs = "0007 TDBXDefaultFormatter.GetDefaultDBXFormatter"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B CE 8B D3 8B 18 FF 13 5E 5B C3 }
	condition:
		$1
}

rule function_7090_0 {
	meta:
		name = "TDBXDateValue.GetAsTimeStamp"
		size = 51
		refs = "001c TimeStampToDateTime 002a DateTimeToSQLTimeStamp"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 33 C0 89 04 24 8B C3 8B 10 FF 52 64 89 44 24 04 8B C4 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7092_0 {
	meta:
		name = "TDBXDateValue.SetAsDateTime"
		size = 43
		refs = "0013 DateTimeToTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 70 01 00 00 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7093_0 {
	meta:
		name = "TDBXDateValue.SetAsString"
		size = 23
		refs = "0007 TDBXDefaultFormatter.GetDefaultDBXFormatter"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B CB 8B D6 8B 18 FF 53 04 5E 5B C3 }
	condition:
		$1
}

rule function_7094_0 {
	meta:
		name = "TDBXDateValue.SetAsTimeStamp"
		size = 51
		refs = "000c SQLTimeStampToDateTime 001c DateTimeToTimeStamp"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 44 24 08 E8 ?? ?? ?? ?? 8B 54 24 04 8B C3 8B 08 FF 91 70 01 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7095_0 {
	meta:
		name = "TDBXDateValue.GetDate"
		size = 63
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 38 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 8B 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_7096_0 {
	meta:
		name = "TDBXBooleanValue.SetAsInt16"
		size = 12
	strings:
		$1 = { 0F BF D2 8B 08 FF 91 1C 01 00 00 C3 }
	condition:
		$1
}

rule function_7097_0 {
	meta:
		name = "TDBXBooleanValue.SetAsInt32"
		size = 14
	strings:
		$1 = { 85 D2 0F 95 C2 8B 08 FF 91 6C 01 00 00 C3 }
	condition:
		$1
}

rule function_7098_0 {
	meta:
		name = "TDBXBooleanValue.SetAsInt64"
		size = 32
	strings:
		$1 = { 55 8B EC 8B C8 83 7D 0C 00 75 04 83 7D 08 00 0F 95 C2 8B C1 8B 08 FF 91 6C 01 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_7099_0 {
	meta:
		name = "TDBXBooleanValue.SetAsInt8"
		size = 12
	strings:
		$1 = { 0F BE D2 8B 08 FF 91 1C 01 00 00 C3 }
	condition:
		$1
}

rule function_7100_0 {
	meta:
		name = "TDBXBooleanValue.SetAsString"
		size = 60
		refs = "0009 TDBXBooleanValue.SetAsString 000e @UStrEqual"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 95 C2 8B C3 8B 08 FF 91 6C 01 00 00 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 61 00 6C 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_7101_0 {
	meta:
		name = "TDBXBooleanValue.SetAsUInt16"
		size = 12
	strings:
		$1 = { 0F B7 D2 8B 08 FF 91 1C 01 00 00 C3 }
	condition:
		$1
}

rule function_7102_0 {
	meta:
		name = "TDBXBooleanValue.SetAsUInt8"
		size = 12
	strings:
		$1 = { 0F B6 D2 8B 08 FF 91 1C 01 00 00 C3 }
	condition:
		$1
}

rule function_7104_0 {
	meta:
		name = "TDBXBooleanValue.SetBoolean"
		size = 58
	strings:
		$1 = { 53 56 8B D8 33 C0 89 43 0C 80 FA 01 F5 1B C0 89 43 18 C6 43 14 01 8B 73 10 85 F6 74 1A 8B C6 8B 10 FF 92 C0 00 00 00 89 43 08 8B D3 8B 43 10 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7105_0 {
	meta:
		name = "TDBXBooleanValue.Compare"
		size = 54
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 0C 50 8B C6 8B 10 FF 52 0C 5A 3A D0 75 05 33 C0 5E 5B C3 8B C3 8B 10 FF 52 0C 84 C0 74 06 66 B8 01 00 EB 03 83 C8 FF 5E 5B C3 }
	condition:
		$1
}

rule function_7106_0 {
	meta:
		name = "TDBXBooleanValue.CopyRowValue"
		size = 51
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 8B 10 FF 52 58 84 C0 74 0B 8B D6 8B C7 8B 08 FF 51 6C EB 12 8B C6 8B 10 FF 52 68 8B C8 8B D6 8B C7 8B 18 FF 53 7C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7107_0 {
	meta:
		name = "TDBXBooleanValue.SetRowValue"
		size = 20
	strings:
		$1 = { 53 83 78 18 01 1B C9 41 8B D0 8B 40 10 8B 18 FF 53 7C 5B C3 }
	condition:
		$1
}

rule function_7108_0 {
	meta:
		name = "TDBXBooleanValue.SetValue"
		size = 52
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 58 84 C0 74 0D 8B C3 8B 10 FF 92 58 01 00 00 5E 5B C3 8B C6 8B 10 FF 52 0C 8B D0 8B C3 8B 08 FF 91 6C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7109_0 {
	meta:
		name = "TDBXBooleanValue.IsNull"
		size = 67
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 10 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 83 7B 0C 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_7110_0 {
	meta:
		name = "TDBXBooleanValue.EqualsValue"
		size = 30
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 68 50 8B C6 8B 10 FF 52 68 5A 3A D0 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_7111_0 {
	meta:
		name = "TDBXBooleanValue.GetAsInt16"
		size = 15
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 68 83 E0 7F 5B C3 }
	condition:
		$1
}

rule function_7112_0 {
	meta:
		name = "TDBXBooleanValue.GetAsInt32"
		size = 15
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 1C 0F BF C0 5B C3 }
	condition:
		$1
}

rule function_7113_0 {
	meta:
		name = "TDBXBooleanValue.GetAsInt64"
		size = 35
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 52 1C 0F BF C0 99 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_7114_0 {
	meta:
		name = "TDBXBooleanValue.GetAsInt8"
		size = 12
		altNames = "TDBXBooleanValue.GetAsUInt8"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 1C 5B C3 }
	condition:
		$1
}

rule function_7115_0 {
	meta:
		name = "TDBXBooleanValue.GetAsString"
		size = 25
		refs = "0012 BoolToStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 68 8B CE B2 01 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7116_0 {
	meta:
		name = "TDBXBooleanValue.GetAsUInt16"
		size = 6
	strings:
		$1 = { 8B 10 FF 52 1C C3 }
	condition:
		$1
}

rule function_7119_0 {
	meta:
		name = "TDBXBooleanValue.GetBoolean"
		size = 67
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 10 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 83 7B 18 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_7120_0 {
	meta:
		name = "TDBXTimeValue.IsNull"
		size = 67
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 3C 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 83 7B 0C 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_7121_0 {
	meta:
		name = "TDBXTimeValue.Compare"
		size = 64
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 8B 10 FF 52 3C 8B F8 8B C6 8B 10 FF 52 3C 3B F8 75 04 33 C0 EB 1D 8B C3 8B 10 FF 52 3C 8B D8 8B C6 8B 10 FF 52 3C 3B D8 7D 05 83 C8 FF EB 04 66 B8 01 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7122_0 {
	meta:
		name = "TDBXTimeValue.CopyRowValue"
		size = 54
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 8B 10 FF 52 58 84 C0 74 0B 8B D6 8B C7 8B 08 FF 51 6C EB 15 8B C6 8B 10 FF 52 6C 8B C8 8B D6 8B C7 8B 18 FF 93 A8 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7123_0 {
	meta:
		name = "TDBXTimeValue.SetRowValue"
		size = 19
	strings:
		$1 = { 53 8B 48 18 8B D0 8B 40 10 8B 18 FF 93 A8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7125_0 {
	meta:
		name = "TDBXTimeValue.SetValue"
		size = 52
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 58 84 C0 74 0D 8B C3 8B 10 FF 92 58 01 00 00 5E 5B C3 8B C6 8B 10 FF 52 6C 8B D0 8B C3 8B 08 FF 91 74 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7126_0 {
	meta:
		name = "TDBXTimeValue.GetAsDateTime"
		size = 46
		refs = "001e TimeStampToDateTime"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 8B 10 FF 52 6C 89 44 24 08 C7 44 24 0C 5A 95 0A 00 8D 44 24 08 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_7127_0 {
	meta:
		name = "TDBXTimeValue.GetAsString"
		size = 23
		refs = "0007 TDBXDefaultFormatter.GetDefaultDBXFormatter"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B CE 8B D3 8B 18 FF 53 08 5E 5B C3 }
	condition:
		$1
}

rule function_7129_0 {
	meta:
		name = "TDBXTimeValue.GetAsTimeStamp"
		size = 53
		refs = "001e TimeStampToDateTime 002c DateTimeToSQLTimeStamp"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 8B 10 FF 52 6C 89 04 24 C7 44 24 04 5A 95 0A 00 8B C4 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7130_0 {
	meta:
		name = "TDBXTimeValue.SetAsDateTime"
		size = 43
		refs = "0013 DateTimeToTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 91 74 01 00 00 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7131_0 {
	meta:
		name = "TDBXTimeValue.SetAsString"
		size = 23
		refs = "0007 TDBXDefaultFormatter.GetDefaultDBXFormatter"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B CB 8B D6 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_7133_0 {
	meta:
		name = "TDBXTimeValue.SetAsTimeStamp"
		size = 50
		refs = "000c SQLTimeStampToDateTime 001c DateTimeToTimeStamp"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 44 24 08 E8 ?? ?? ?? ?? 8B 14 24 8B C3 8B 08 FF 91 74 01 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7134_0 {
	meta:
		name = "TDBXTimeValue.GetTime"
		size = 63
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 3C 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 8B 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_7135_0 {
	meta:
		name = "TDBXWideStringValue.SetAsBcd"
		size = 138
		refs = "0015 TDBXWideStringValue.SetAsBcd 0024 _DV_TDBXBcdValue 0029 TDBXWritableValue.Create 003e TDBXDefaultFormatter.GetDefaultDBXFormatter 0063 TObject.Free 0078 @UStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B D6 8B 45 FC 8B 08 FF 91 64 01 00 00 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B 30 FF 56 20 8B 55 F8 8B C3 8B 08 FF 91 78 01 00 00 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7136_0 {
	meta:
		name = "TDBXWideStringValue.SetAsBoolean"
		size = 84
		refs = "000f TDBXWideStringValue.SetAsBoolean 0021 BoolToStr 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 91 78 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7137_0 {
	meta:
		name = "TDBXWideStringValue.SetAsDate"
		size = 137
		refs = "0015 TDBXWideStringValue.SetAsDate 0024 _DV_TDBXDateValue 0029 TDBXWritableValue.Create 003e TDBXDefaultFormatter.GetDefaultDBXFormatter 0062 TObject.Free 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B D6 8B 45 FC 8B 08 FF 91 70 01 00 00 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B 30 FF 16 8B 55 F8 8B C3 8B 08 FF 91 78 01 00 00 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7138_0 {
	meta:
		name = "TDBXWideStringValue.SetAsDouble"
		size = 108
		refs = "0012 TDBXWideStringValue.SetAsDouble 0032 CurrencyString 0037 FloatToStr 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 78 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7139_0 {
	meta:
		name = "TDBXWideStringValue.SetAsInt16"
		size = 83
		refs = "000f TDBXWideStringValue.SetAsInt16 0020 IntToStr 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 0F BF C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 78 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7140_0 {
	meta:
		name = "TDBXWideStringValue.SetAsInt32"
		size = 82
		refs = "000f TDBXWideStringValue.SetAsInt32 001f IntToStr 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 78 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7141_0 {
	meta:
		name = "TDBXWideStringValue.SetAsInt64"
		size = 84
		refs = "000c TDBXWideStringValue.SetAsInt64 0020 IntToStr 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 78 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7142_0 {
	meta:
		name = "TDBXWideStringValue.SetAsInt8"
		size = 83
		refs = "000f TDBXWideStringValue.SetAsInt8 0020 IntToStr 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 0F BE C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 91 78 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7143_0 {
	meta:
		name = "TDBXWideStringValue.SetAsSingle"
		size = 108
		refs = "0012 TDBXWideStringValue.SetAsSingle 0032 CurrencyString 0037 FloatToStr 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 D9 45 08 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 78 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7145_0 {
	meta:
		name = "TDBXWideStringValue.SetAsTime"
		size = 138
		refs = "0015 TDBXWideStringValue.SetAsTime 0024 _DV_TDBXTimeValue 0029 TDBXWritableValue.Create 003e TDBXDefaultFormatter.GetDefaultDBXFormatter 0063 TObject.Free 0078 @UStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B D6 8B 45 FC 8B 08 FF 91 74 01 00 00 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B 30 FF 56 08 8B 55 F8 8B C3 8B 08 FF 91 78 01 00 00 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7146_0 {
	meta:
		name = "TDBXWideStringValue.SetAsTimeStamp"
		size = 138
		refs = "0015 TDBXWideStringValue.SetAsTimeStamp 0024 _DV_TDBXTimeStampValue 0029 TDBXWritableValue.Create 003e TDBXDefaultFormatter.GetDefaultDBXFormatter 0063 TObject.Free 0078 @UStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B D6 8B 45 FC 8B 08 FF 91 5C 01 00 00 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B 30 FF 56 10 8B 55 F8 8B C3 8B 08 FF 91 78 01 00 00 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7147_0 {
	meta:
		name = "TDBXWideStringValue.SetAsUInt16"
		size = 83
		refs = "000f TDBXWideStringValue.SetAsUInt16 0020 IntToStr 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 0F B7 C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 78 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7148_0 {
	meta:
		name = "TDBXWideStringValue.SetAsUInt8"
		size = 83
		refs = "000f TDBXWideStringValue.SetAsUInt8 0020 IntToStr 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 0F B6 C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 91 78 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7149_0 {
	meta:
		name = "TDBXWideStringValue.SetValue"
		size = 105
		refs = "000f TDBXWideStringValue.SetValue 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 58 84 C0 74 0C 8B C6 8B 10 FF 92 58 01 00 00 EB 17 8D 55 FC 8B C3 8B 08 FF 51 28 8B 55 FC 8B C6 8B 08 FF 91 78 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7155_0 {
	meta:
		name = "TDBXWideStringValue.EqualsValue"
		size = 107
		refs = "0011 TDBXWideStringValue.EqualsValue 0038 @UStrEqual 0057 @UStrArrayClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 70 8B 45 FC 50 8D 55 F8 8B C6 8B 08 FF 51 70 8B 55 F8 58 E8 ?? ?? ?? ?? 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7156_0 {
	meta:
		name = "TDBXWideStringValue.GetAsBcd"
		size = 137
		refs = "0015 TDBXWideStringValue.GetAsBcd 0024 _DV_TDBXBcdValue 0029 TDBXWritableValue.Create 003f TDBXDefaultFormatter.GetDefaultDBXFormatter 0062 TObject.Free 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 55 F8 8B C3 8B 08 FF 51 70 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 4D FC 5A 8B 18 FF 53 24 8B D6 8B 45 FC 8B 08 FF 91 A4 00 00 00 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7157_0 {
	meta:
		name = "TDBXWideStringValue.GetAsBoolean"
		size = 112
		refs = "000c TDBXWideStringValue.GetAsBoolean 0029 @UStrEqual 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 70 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 72 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_7158_0 {
	meta:
		name = "TDBXWideStringValue.GetAsDate"
		size = 132
		refs = "0012 TDBXWideStringValue.GetAsDate 0021 _DV_TDBXDateValue 0026 TDBXWritableValue.Create 003c TDBXDefaultFormatter.GetDefaultDBXFormatter 005c TObject.Free 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 55 F8 8B C3 8B 08 FF 51 70 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 4D FC 5A 8B 18 FF 53 04 8B 45 FC 8B 10 FF 52 64 8B D8 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7159_0 {
	meta:
		name = "TDBXWideStringValue.GetAsDouble"
		size = 123
		refs = "0012 TDBXWideStringValue.GetAsDouble 003f CurrencyString 0047 StrToFloatDef 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 70 33 C0 89 45 E0 89 45 E4 66 89 45 E8 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D D0 9B DB 6D D0 DD 5D F0 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7160_0 {
	meta:
		name = "TDBXWideStringValue.GetAsInt16"
		size = 79
		refs = "000c TDBXWideStringValue.GetAsInt16 0026 StrToIntDef 003d @UStrClr 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 70 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_7161_0 {
	meta:
		name = "TDBXWideStringValue.GetAsInt32"
		size = 79
		refs = "000c TDBXWideStringValue.GetAsInt32 0026 StrToIntDef 003d @UStrClr 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 70 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_7163_0 {
	meta:
		name = "TDBXWideStringValue.GetAsInt8"
		size = 79
		refs = "000c TDBXWideStringValue.GetAsInt8 0026 StrToIntDef 003d @UStrClr 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 70 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_7168_0 {
	meta:
		name = "TDBXWideStringValue.GetAsUInt16"
		size = 79
		refs = "000c TDBXWideStringValue.GetAsUInt16 0026 StrToIntDef 003d @UStrClr 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 70 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_7169_0 {
	meta:
		name = "TDBXWideStringValue.GetAsUInt8"
		size = 79
		refs = "000c TDBXWideStringValue.GetAsUInt8 0026 StrToIntDef 003d @UStrClr 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 70 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_7162_0 {
	meta:
		name = "TDBXWideStringValue.GetAsInt64"
		size = 96
		refs = "0012 TDBXWideStringValue.GetAsInt64 002e StrToInt64Def 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8D 55 F4 8B C3 8B 08 FF 51 70 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7164_0 {
	meta:
		name = "TDBXWideStringValue.GetAsSingle"
		size = 123
		refs = "0012 TDBXWideStringValue.GetAsSingle 003f CurrencyString 0047 StrToFloatDef 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 70 33 C0 89 45 E0 89 45 E4 66 89 45 E8 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D D0 9B DB 6D D0 D9 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 D9 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7166_0 {
	meta:
		name = "TDBXWideStringValue.GetAsTime"
		size = 132
		refs = "0012 TDBXWideStringValue.GetAsTime 0021 _DV_TDBXTimeValue 0026 TDBXWritableValue.Create 003c TDBXDefaultFormatter.GetDefaultDBXFormatter 005c TObject.Free 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 55 F8 8B C3 8B 08 FF 51 70 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 4D FC 5A 8B 18 FF 53 0C 8B 45 FC 8B 10 FF 52 6C 8B D8 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7167_0 {
	meta:
		name = "TDBXWideStringValue.GetAsTimeStamp"
		size = 137
		refs = "0015 TDBXWideStringValue.GetAsTimeStamp 0024 _DV_TDBXTimeStampValue 0029 TDBXWritableValue.Create 003f TDBXDefaultFormatter.GetDefaultDBXFormatter 0062 TObject.Free 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 55 F8 8B C3 8B 08 FF 51 70 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 4D FC 5A 8B 18 FF 53 14 8B D6 8B 45 FC 8B 08 FF 91 9C 00 00 00 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7172_0 {
	meta:
		name = "TDBXWideMemoValue.SetValue"
		size = 82
		refs = "000f TDBXWideMemoValue.SetValue 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 70 8B 55 FC 8B C3 8B 08 FF 91 78 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7173_0 {
	meta:
		name = "TDBXWideMemoValue.SetWideString"
		size = 192
		refs = "0014 TDBXWideMemoValue.SetWideString 0024 @UStrLAsg 0043 TArray<System.Byte> 0048 @DynArraySetLength 005b @UStrToPWChar 0063 Move 00a6 @DynArrayClear 00ae @UStrClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 03 DB 53 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 DB 7E 14 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 8B CB 5A E8 ?? ?? ?? ?? 8B CE 85 C9 74 05 83 E9 04 8B 09 6A 00 6A 00 6A 00 6A 00 8B C1 03 C0 99 52 50 8B 55 F8 8B 45 F4 8B 08 FF 91 A4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7174_0 {
	meta:
		name = "TDBXWideMemoValue.CopyRowValue"
		size = 106
		refs = "000f TDBXWideMemoValue.CopyRowValue 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 58 84 C0 74 0B 8B D3 8B C6 8B 08 FF 51 6C EB 19 8D 55 FC 8B C3 8B 08 FF 51 70 8B 4D FC 8B D3 8B C6 8B 18 FF 93 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7177_0 {
	meta:
		name = "TDBXWideMemoValue.GetWideString"
		size = 26
		refs = "0009 TDBXWideMemoValue.GetFBytes 0013 TDBXPlatform.BytesToWideStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7180_0 {
	meta:
		name = "TDBXWideMemoValue.GetFBytes"
		size = 255
		refs = "003e TArray<System.Byte> 0043 @DynArrayClear 005f @DynArraySetLength"
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 0F 84 ED 00 00 00 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 0F 84 DA 00 00 00 8D 43 0C 50 8D 4B 20 8B D3 8B 43 10 8B 30 FF 56 4C 83 7B 0C 00 74 13 8D 43 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A2 00 00 00 8B 43 20 50 8D 43 1C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 7B 24 00 75 08 83 7B 20 00 76 1F EB 02 7E 1B 6A 00 6A 00 6A 00 6A 00 FF 73 24 FF 73 20 8B 53 1C 8B C3 8B 08 FF 91 98 00 00 00 83 7B 24 00 75 08 83 7B 20 01 76 51 EB 02 7E 4D 8B 43 20 8B 53 24 83 E8 01 83 DA 00 8B 53 1C 80 3C 02 00 75 38 8B 43 20 8B 53 24 83 E8 02 83 DA 00 8B 53 1C 80 3C 02 00 75 23 8B 43 20 8B 53 24 83 E8 02 83 DA 00 50 8D 43 1C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_7181_0 {
	meta:
		name = "TDBXStringValue.CopyRowValue"
		size = 108
		refs = "0010 TDBXStringValue.CopyRowValue 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 58 84 C0 74 0B 8B D6 8B C7 8B 08 FF 51 6C EB 19 8D 55 FC 8B C6 8B 08 FF 51 70 8B 4D FC 8B D6 8B C7 8B 18 FF 93 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7547_0 {
	meta:
		name = "TDBXWideCharsValue.CopyRowValue"
		size = 108
		refs = "0010 TDBXWideCharsValue.CopyRowValue 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 58 84 C0 74 0B 8B D6 8B C7 8B 08 FF 51 6C EB 19 8D 55 FC 8B C6 8B 08 FF 51 70 8B 4D FC 8B D6 8B C7 8B 18 FF 93 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7188_0 {
	meta:
		name = "TDBXWideStringBuilderValue.CopyRowValue"
		size = 108
		refs = "0010 TDBXWideStringBuilderValue.CopyRowValue 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 58 84 C0 74 0B 8B D6 8B C7 8B 08 FF 51 6C EB 19 8D 55 FC 8B C6 8B 08 FF 51 70 8B 4D FC 8B D6 8B C7 8B 18 FF 93 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7184_0 {
	meta:
		name = "TDBXStringValue.GetWideString"
		size = 88
		refs = "0038 @UStrClr 0050 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 10 85 F6 74 3C 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 2D 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 0C 83 7B 0C 00 74 08 8D 43 18 E8 ?? ?? ?? ?? 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 8B C7 8B 53 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7185_0 {
	meta:
		name = "TDBXStringValue.IsNull"
		size = 81
		refs = "0035 @UStrClr"
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 3C 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 2D 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 0C 83 7B 0C 00 74 08 8D 43 18 E8 ?? ?? ?? ?? 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 83 7B 0C 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_7186_0 {
	meta:
		name = "TDBXStringValue.SetRowValue"
		size = 23
		altNames = "TDBXWideCharsValue.SetRowValue TDBXWideStringBuilderValue.SetRowValue"
	strings:
		$1 = { 53 56 8B F0 8B 4E 18 8B D6 8B 46 10 8B 18 FF 93 E4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7191_0 {
	meta:
		name = "TDBXWideStringBuilderValue.UpdateType"
		size = 51
		refs = "001e @ReallocMem 002a @GetMem"
	strings:
		$1 = { 53 56 8B F0 8D 5E 20 8B 46 04 8B 10 FF 52 68 40 8B F0 83 3B 00 74 0E 8B D6 03 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 03 C0 E8 ?? ?? ?? ?? 89 03 5E 5B C3 }
	condition:
		$1
}

rule function_7192_0 {
	meta:
		name = "TDBXWideStringBuilderValue.Create"
		size = 95
		refs = "000e @ClassCreate 0020 TDBXWideStringValue.Create 003a @GetMem 004a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 64 A8 80 75 12 8B C6 8B 10 FF 52 68 40 03 C0 E8 ?? ?? ?? ?? 89 43 20 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7193_0 {
	meta:
		name = "TDBXWideStringBuilderValue.IsNull"
		size = 100
		refs = "0036 @UStrClr 0047 @UStrFromPWChar"
	strings:
		$1 = { 53 56 57 8B D8 8B 73 10 85 F6 74 4D 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 3E 8D 43 0C 50 8D 4B 20 8B D3 8B 43 10 8B 30 FF 56 08 83 7B 0C 00 74 0A 8D 43 18 E8 ?? ?? ?? ?? EB 0F 8B 73 20 8D 7B 18 8B C7 8B D6 E8 ?? ?? ?? ?? 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 83 7B 0C 01 1B C0 40 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7195_0 {
	meta:
		name = "TDBXWideStringBuilderValue.GetWideString"
		size = 107
		refs = "0039 @UStrClr 004a @UStrFromPWChar 0062 @UStrAsg"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B 73 10 85 F6 74 4D 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 3E 8D 43 0C 50 8D 4B 20 8B D3 8B 43 10 8B 30 FF 56 08 83 7B 0C 00 74 0A 8D 43 18 E8 ?? ?? ?? ?? EB 0F 8B 73 20 8D 6B 18 8B C5 8B D6 E8 ?? ?? ?? ?? 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 8B C7 8B 53 18 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7196_0 {
	meta:
		name = "TDBXInt16Value.SetInt16"
		size = 53
		altNames = "TDBXUInt16Value.SetUInt16"
	strings:
		$1 = { 53 56 8B D8 33 C0 89 43 0C 66 89 53 18 C6 43 14 01 8B 73 10 85 F6 74 1A 8B C6 8B 10 FF 92 C0 00 00 00 89 43 08 8B D3 8B 43 10 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7197_0 {
	meta:
		name = "TDBXInt16Value.Compare"
		size = 66
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 8B 10 FF 52 1C 8B F8 8B C6 8B 10 FF 52 1C 66 3B F8 75 04 33 C0 EB 1E 8B C3 8B 10 FF 52 1C 8B D8 8B C6 8B 10 FF 52 1C 66 3B D8 7D 05 83 C8 FF EB 04 66 B8 01 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7198_0 {
	meta:
		name = "TDBXInt16Value.CopyRowValue"
		size = 57
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 8B 10 FF 52 58 84 C0 74 0B 8B D6 8B C7 8B 08 FF 51 6C EB 18 8B C6 8B 10 FF 92 84 00 00 00 8B C8 8B D6 8B C7 8B 18 FF 93 8C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7199_0 {
	meta:
		name = "TDBXInt16Value.SetRowValue"
		size = 20
	strings:
		$1 = { 53 0F B7 48 18 8B D0 8B 40 10 8B 18 FF 93 8C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7200_0 {
	meta:
		name = "TDBXInt16Value.SetAsBcd"
		size = 56
		refs = "000b BcdToInteger 0031 TDBXWritableValue.SetAsBcd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 33 D2 E8 ?? ?? ?? ?? 3D FF 7F 00 00 7F 16 3D 00 80 FF FF 7C 0F 8B D0 8B C3 8B 08 FF 91 8C 01 00 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7201_0 {
	meta:
		name = "TDBXInt16Value.SetAsBoolean"
		size = 12
	strings:
		$1 = { 83 E2 7F 8B 08 FF 91 8C 01 00 00 C3 }
	condition:
		$1
}

rule function_7202_0 {
	meta:
		name = "TDBXInt16Value.SetAsDouble"
		size = 84
		refs = "000b TDBXInt16Value.SetAsDouble 0028 @ROUND 0043 TDBXWritableValue.SetAsDouble"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 25 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 16 DD 45 08 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 8C 01 00 00 EB 0D FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 00 FE FF 46 00 00 00 C7 }
	condition:
		$1
}

rule function_7203_0 {
	meta:
		name = "TDBXInt16Value.SetAsInt16"
		size = 9
	strings:
		$1 = { 8B 08 FF 91 8C 01 00 00 C3 }
	condition:
		$1
}

rule function_7204_0 {
	meta:
		name = "TDBXInt16Value.SetAsInt32"
		size = 31
		refs = "001a TDBXWritableValue.SetAsInt32"
	strings:
		$1 = { 81 FA FF 7F 00 00 7F 11 81 FA 00 80 FF FF 7C 09 8B 08 FF 91 8C 01 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7205_0 {
	meta:
		name = "TDBXInt16Value.SetAsInt64"
		size = 76
		refs = "0044 TDBXWritableValue.SetAsInt64"
	strings:
		$1 = { 55 8B EC 8B C8 83 7D 0C 00 75 0B 81 7D 08 FF 7F 00 00 77 27 EB 02 7F 23 83 7D 0C FF 75 0B 81 7D 08 00 80 FF FF 72 14 EB 02 7C 10 0F B7 55 08 8B C1 8B 08 FF 91 8C 01 00 00 EB 0D FF 75 0C FF 75 08 8B C1 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_7206_0 {
	meta:
		name = "TDBXInt16Value.SetAsInt8"
		size = 12
	strings:
		$1 = { 0F BE D2 8B 08 FF 91 8C 01 00 00 C3 }
	condition:
		$1
}

rule function_7207_0 {
	meta:
		name = "TDBXInt16Value.SetAsSingle"
		size = 84
		refs = "000b TDBXInt16Value.SetAsSingle 0028 @ROUND 0040 TDBXWritableValue.SetAsSingle"
	strings:
		$1 = { 55 8B EC 53 8B D8 D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 25 D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 16 D9 45 08 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 8C 01 00 00 EB 0A FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 00 00 00 00 FE FF 46 00 00 00 C7 }
	condition:
		$1
}

rule function_7208_0 {
	meta:
		name = "TDBXInt16Value.SetAsString"
		size = 54
		refs = "0009 StrToInt 002f TDBXWritableValue.SetAsString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 3D FF 7F 00 00 7F 16 3D 00 80 FF FF 7C 0F 8B D0 8B C3 8B 08 FF 91 8C 01 00 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7209_0 {
	meta:
		name = "TDBXInt16Value.SetAsUInt16"
		size = 22
		refs = "0011 TDBXWritableValue.SetAsUInt16"
	strings:
		$1 = { 66 81 FA FF 7F 73 09 8B 08 FF 91 8C 01 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7210_0 {
	meta:
		name = "TDBXInt16Value.SetAsUInt8"
		size = 12
	strings:
		$1 = { 0F B6 D2 8B 08 FF 91 8C 01 00 00 C3 }
	condition:
		$1
}

rule function_7211_0 {
	meta:
		name = "TDBXInt16Value.SetValue"
		size = 52
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 58 84 C0 74 0D 8B C3 8B 10 FF 92 58 01 00 00 5E 5B C3 8B C6 8B 10 FF 52 1C 8B D0 8B C3 8B 08 FF 91 8C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7212_0 {
	meta:
		name = "TDBXInt16Value.IsNull"
		size = 67
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 20 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 83 7B 0C 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_7213_0 {
	meta:
		name = "TDBXInt16Value.GetAsBcd"
		size = 29
		refs = "0016 IntegerToBcd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 84 00 00 00 0F BF C0 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7221_0 {
	meta:
		name = "TDBXInt16Value.GetAsString"
		size = 29
		refs = "0016 IntToStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 84 00 00 00 0F BF C0 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7214_0 {
	meta:
		name = "TDBXInt16Value.GetAsBoolean"
		size = 21
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 84 00 00 00 66 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_7215_0 {
	meta:
		name = "TDBXInt16Value.GetAsDouble"
		size = 37
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 8B 10 FF 92 84 00 00 00 66 89 44 24 08 DF 44 24 08 DD 1C 24 9B DD 04 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_7217_0 {
	meta:
		name = "TDBXInt16Value.GetAsInt32"
		size = 18
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 84 00 00 00 0F BF C0 5B C3 }
	condition:
		$1
}

rule function_7218_0 {
	meta:
		name = "TDBXInt16Value.GetAsInt64"
		size = 38
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 92 84 00 00 00 0F BF C0 99 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_7219_0 {
	meta:
		name = "TDBXInt16Value.GetAsInt8"
		size = 15
		altNames = "TDBXInt16Value.GetAsUInt8"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 84 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7220_0 {
	meta:
		name = "TDBXInt16Value.GetAsSingle"
		size = 36
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 92 84 00 00 00 66 89 44 24 04 DF 44 24 04 D9 1C 24 9B D9 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_7224_0 {
	meta:
		name = "TDBXInt16Value.GetInt16"
		size = 64
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 20 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 0F B7 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_7225_0 {
	meta:
		name = "TDBXInt32Value.SetAsBcd"
		size = 30
		refs = "000b BcdToInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 33 D2 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 90 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7226_0 {
	meta:
		name = "TDBXInt32Value.SetAsBoolean"
		size = 12
	strings:
		$1 = { 83 E2 7F 8B 08 FF 91 90 01 00 00 C3 }
	condition:
		$1
}

rule function_7227_0 {
	meta:
		name = "TDBXInt32Value.SetAsDouble"
		size = 92
		refs = "0008 TDBXInt32Value.SetAsDouble 0028 @ROUND 0043 TDBXWritableValue.SetAsDouble"
	strings:
		$1 = { 55 8B EC 53 8B D8 DB 2D ?? ?? ?? ?? DC 5D 08 9B DF E0 9E 72 25 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 16 DD 45 08 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 90 01 00 00 EB 0D FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 00 00 00 00 FE FF FF FF 1D 40 00 00 00 00 00 CF }
	condition:
		$1
}

rule function_7228_0 {
	meta:
		name = "TDBXInt32Value.SetAsInt16"
		size = 12
	strings:
		$1 = { 0F BF D2 8B 08 FF 91 90 01 00 00 C3 }
	condition:
		$1
}

rule function_7229_0 {
	meta:
		name = "TDBXInt32Value.SetAsInt32"
		size = 9
	strings:
		$1 = { 8B 08 FF 91 90 01 00 00 C3 }
	condition:
		$1
}

rule function_7230_0 {
	meta:
		name = "TDBXInt32Value.SetAsInt64"
		size = 75
		refs = "0043 TDBXWritableValue.SetAsInt64"
	strings:
		$1 = { 55 8B EC 8B C8 83 7D 0C 00 75 0B 81 7D 08 FF FF FF 7F 77 26 EB 02 7F 22 83 7D 0C FF 75 0B 81 7D 08 00 00 00 80 72 13 EB 02 7C 0F 8B 55 08 8B C1 8B 08 FF 91 90 01 00 00 EB 0D FF 75 0C FF 75 08 8B C1 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_7231_0 {
	meta:
		name = "TDBXInt32Value.SetAsInt8"
		size = 12
	strings:
		$1 = { 0F BE D2 8B 08 FF 91 90 01 00 00 C3 }
	condition:
		$1
}

rule function_7232_0 {
	meta:
		name = "TDBXInt32Value.SetAsSingle"
		size = 92
		refs = "0008 TDBXInt32Value.SetAsSingle 0028 @ROUND 0040 TDBXWritableValue.SetAsSingle"
	strings:
		$1 = { 55 8B EC 53 8B D8 DB 2D ?? ?? ?? ?? D8 5D 08 9B DF E0 9E 72 25 D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 16 D9 45 08 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 90 01 00 00 EB 0A FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 00 00 00 00 00 00 00 FE FF FF FF 1D 40 00 00 00 00 00 CF }
	condition:
		$1
}

rule function_7233_0 {
	meta:
		name = "TDBXInt32Value.SetAsString"
		size = 28
		refs = "0009 StrToInt"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 90 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7234_0 {
	meta:
		name = "TDBXInt32Value.SetAsUInt16"
		size = 12
	strings:
		$1 = { 0F B7 D2 8B 08 FF 91 90 01 00 00 C3 }
	condition:
		$1
}

rule function_7235_0 {
	meta:
		name = "TDBXInt32Value.SetAsUInt8"
		size = 12
	strings:
		$1 = { 0F B6 D2 8B 08 FF 91 90 01 00 00 C3 }
	condition:
		$1
}

rule function_7237_0 {
	meta:
		name = "TDBXInt32Value.Compare"
		size = 64
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 8B 10 FF 52 20 8B F8 8B C6 8B 10 FF 52 20 3B F8 75 04 33 C0 EB 1D 8B C3 8B 10 FF 52 20 8B D8 8B C6 8B 10 FF 52 20 3B D8 7D 05 83 C8 FF EB 04 66 B8 01 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7238_0 {
	meta:
		name = "TDBXInt32Value.CopyRowValue"
		size = 57
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 8B 10 FF 52 58 84 C0 74 0B 8B D6 8B C7 8B 08 FF 51 6C EB 18 8B C6 8B 10 FF 92 88 00 00 00 8B C8 8B D6 8B C7 8B 18 FF 93 90 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7239_0 {
	meta:
		name = "TDBXInt32Value.SetRowValue"
		size = 19
	strings:
		$1 = { 53 8B 48 18 8B D0 8B 40 10 8B 18 FF 93 90 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7240_0 {
	meta:
		name = "TDBXInt32Value.SetValue"
		size = 52
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 58 84 C0 74 0D 8B C3 8B 10 FF 92 58 01 00 00 5E 5B C3 8B C6 8B 10 FF 52 20 8B D0 8B C3 8B 08 FF 91 90 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7241_0 {
	meta:
		name = "TDBXInt32Value.IsNull"
		size = 67
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 24 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 83 7B 0C 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_7242_0 {
	meta:
		name = "TDBXInt32Value.EqualsValue"
		size = 36
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 88 00 00 00 8B D8 8B C6 8B 10 FF 92 88 00 00 00 3B D8 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_7243_0 {
	meta:
		name = "TDBXInt32Value.GetAsBcd"
		size = 26
		refs = "0013 IntegerToBcd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 88 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7251_0 {
	meta:
		name = "TDBXInt32Value.GetAsString"
		size = 26
		refs = "0013 IntToStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 88 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7244_0 {
	meta:
		name = "TDBXInt32Value.GetAsBoolean"
		size = 20
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 88 00 00 00 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_7245_0 {
	meta:
		name = "TDBXInt32Value.GetAsDouble"
		size = 36
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 8B 10 FF 92 88 00 00 00 89 44 24 08 DB 44 24 08 DD 1C 24 9B DD 04 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_7246_0 {
	meta:
		name = "TDBXInt32Value.GetAsInt16"
		size = 15
		altNames = "TDBXInt32Value.GetAsInt8 TDBXInt32Value.GetAsUInt16 TDBXInt32Value.GetAsUInt8"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 88 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7248_0 {
	meta:
		name = "TDBXInt32Value.GetAsInt64"
		size = 35
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 92 88 00 00 00 99 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_7250_0 {
	meta:
		name = "TDBXInt32Value.GetAsSingle"
		size = 35
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 92 88 00 00 00 89 44 24 04 DB 44 24 04 D9 1C 24 9B D9 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_7254_0 {
	meta:
		name = "TDBXInt32Value.GetInt32"
		size = 63
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 24 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 8B 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_7255_0 {
	meta:
		name = "TDBXInt64Value.SetAsBcd"
		size = 100
		refs = "000e BcdToInteger 005b TDBXWritableValue.SetAsBcd"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C6 33 D2 E8 ?? ?? ?? ?? 99 89 04 24 89 54 24 04 81 7C 24 04 FF FF FF 7F 75 08 83 3C 24 FF 77 2C EB 02 7F 28 81 7C 24 04 00 00 00 80 75 08 83 3C 24 00 72 18 EB 02 7C 14 FF 74 24 04 FF 74 24 04 8B C3 8B 10 FF 92 94 01 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7256_0 {
	meta:
		name = "TDBXInt64Value.SetAsBoolean"
		size = 25
	strings:
		$1 = { 53 8B DA 8B C8 8B C3 0F BE C0 99 52 50 8B C1 8B 10 FF 92 94 01 00 00 5B C3 }
	condition:
		$1
}

rule function_7257_0 {
	meta:
		name = "TDBXInt64Value.SetAsDouble"
		size = 92
		refs = "0008 TDBXInt64Value.SetAsDouble 0028 @ROUND 0043 TDBXWritableValue.SetAsDouble"
	strings:
		$1 = { 55 8B EC 53 8B D8 DB 2D ?? ?? ?? ?? DC 5D 08 9B DF E0 9E 72 25 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 16 DD 45 08 E8 ?? ?? ?? ?? 52 50 8B C3 8B 10 FF 92 94 01 00 00 EB 0D FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 FE FF FF FF FF FF FF FF 3D 40 00 00 00 00 00 DF }
	condition:
		$1
}

rule function_7258_0 {
	meta:
		name = "TDBXInt64Value.SetAsInt16"
		size = 23
	strings:
		$1 = { 53 8B DA 8B C8 0F BF C3 99 52 50 8B C1 8B 10 FF 92 94 01 00 00 5B C3 }
	condition:
		$1
}

rule function_7259_0 {
	meta:
		name = "TDBXInt64Value.SetAsInt32"
		size = 22
	strings:
		$1 = { 53 8B DA 8B C8 8B C3 99 52 50 8B C1 8B 10 FF 92 94 01 00 00 5B C3 }
	condition:
		$1
}

rule function_7261_0 {
	meta:
		name = "TDBXInt64Value.SetAsInt8"
		size = 23
	strings:
		$1 = { 53 8B DA 8B C8 0F BE C3 99 52 50 8B C1 8B 10 FF 92 94 01 00 00 5B C3 }
	condition:
		$1
}

rule function_7262_0 {
	meta:
		name = "TDBXInt64Value.SetAsSingle"
		size = 92
		refs = "0008 TDBXInt64Value.SetAsSingle 0028 @ROUND 0040 TDBXWritableValue.SetAsSingle"
	strings:
		$1 = { 55 8B EC 53 8B D8 DB 2D ?? ?? ?? ?? D8 5D 08 9B DF E0 9E 72 25 D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 16 D9 45 08 E8 ?? ?? ?? ?? 52 50 8B C3 8B 10 FF 92 94 01 00 00 EB 0A FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 00 00 00 FE FF FF FF FF FF FF FF 3D 40 00 00 00 00 00 DF }
	condition:
		$1
}

rule function_7263_0 {
	meta:
		name = "TDBXInt64Value.SetAsString"
		size = 28
		refs = "0009 StrToInt64"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 52 50 8B C3 8B 10 FF 92 94 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7264_0 {
	meta:
		name = "TDBXInt64Value.SetAsUInt16"
		size = 24
	strings:
		$1 = { 53 8B DA 8B C8 0F B7 C3 33 D2 52 50 8B C1 8B 10 FF 92 94 01 00 00 5B C3 }
	condition:
		$1
}

rule function_7265_0 {
	meta:
		name = "TDBXInt64Value.SetAsUInt8"
		size = 24
	strings:
		$1 = { 53 8B DA 8B C8 0F B6 C3 33 D2 52 50 8B C1 8B 10 FF 92 94 01 00 00 5B C3 }
	condition:
		$1
}

rule function_7266_0 {
	meta:
		name = "TDBXDoubleValue.SetDouble"
		size = 67
		altNames = "TDBXInt64Value.SetInt64"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 33 C0 89 43 0C 8B 45 08 89 43 18 8B 45 0C 89 43 1C C6 43 14 01 8B 73 10 85 F6 74 1A 8B C6 8B 10 FF 92 C0 00 00 00 89 43 08 8B D3 8B 43 10 8B 08 FF 91 08 01 00 00 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_7267_0 {
	meta:
		name = "TDBXInt64Value.Compare"
		size = 87
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 24 52 50 8B C6 8B 10 FF 52 24 3B 54 24 04 75 03 3B 04 24 5A 58 75 05 33 C0 5E 5B C3 8B C3 8B 10 FF 52 24 52 50 8B C6 8B 10 FF 52 24 3B 54 24 04 75 09 3B 04 24 5A 58 76 0B EB 04 5A 58 7E 05 83 C8 FF EB 04 66 B8 01 00 5E 5B C3 }
	condition:
		$1
}

rule function_7268_0 {
	meta:
		name = "TDBXInt64Value.CopyRowValue"
		size = 56
	strings:
		$1 = { 56 57 8B FA 8B F0 8B C6 8B 10 FF 52 58 84 C0 74 0C 8B D6 8B C7 8B 08 FF 51 6C 5F 5E C3 8B C6 8B 10 FF 92 8C 00 00 00 52 50 8B D6 8B C7 8B 08 FF 91 94 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_7269_0 {
	meta:
		name = "TDBXInt64Value.SetRowValue"
		size = 20
	strings:
		$1 = { FF 70 1C FF 70 18 8B D0 8B 40 10 8B 08 FF 91 94 00 00 00 C3 }
	condition:
		$1
}

rule function_7270_0 {
	meta:
		name = "TDBXInt64Value.SetValue"
		size = 52
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 58 84 C0 74 0D 8B C3 8B 10 FF 92 58 01 00 00 5E 5B C3 8B C6 8B 10 FF 52 24 52 50 8B C3 8B 10 FF 92 94 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7271_0 {
	meta:
		name = "TDBXInt64Value.IsNull"
		size = 67
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 28 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 83 7B 0C 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_7272_0 {
	meta:
		name = "TDBXInt64Value.GetAsBcd"
		size = 26
		refs = "0013 IntegerToBcd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 8C 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7273_0 {
	meta:
		name = "TDBXInt64Value.GetAsBoolean"
		size = 26
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 8C 00 00 00 83 FA 00 75 03 83 F8 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_7274_0 {
	meta:
		name = "TDBXInt64Value.GetAsDouble"
		size = 40
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 8B 10 FF 92 8C 00 00 00 89 44 24 08 89 54 24 0C DF 6C 24 08 DD 1C 24 9B DD 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_7275_0 {
	meta:
		name = "TDBXInt64Value.GetAsInt16"
		size = 15
		altNames = "TDBXInt64Value.GetAsInt32 TDBXInt64Value.GetAsInt8 TDBXInt64Value.GetAsUInt16 TDBXInt64Value.GetAsUInt8"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 8C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7279_0 {
	meta:
		name = "TDBXInt64Value.GetAsSingle"
		size = 40
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 8B 10 FF 92 8C 00 00 00 89 44 24 04 89 54 24 08 DF 6C 24 04 D9 1C 24 9B D9 04 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_7280_0 {
	meta:
		name = "TDBXInt64Value.GetAsString"
		size = 28
		refs = "0015 IntToStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 8C 00 00 00 52 50 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7283_0 {
	meta:
		name = "TDBXInt64Value.GetInt64"
		size = 85
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 28 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 8B 43 18 89 04 24 8B 43 1C 89 44 24 04 8B 04 24 8B 54 24 04 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7284_0 {
	meta:
		name = "TDBXSingleValue.Compare"
		size = 78
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C3 8B 10 FF 52 2C D9 1C 24 9B 8B C6 8B 10 FF 52 2C D8 1C 24 9B DF E0 9E 75 04 33 C0 EB 24 8B C3 8B 10 FF 52 2C D9 1C 24 9B 8B C6 8B 10 FF 52 2C D8 1C 24 9B DF E0 9E 76 05 83 C8 FF EB 04 66 B8 01 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7285_0 {
	meta:
		name = "TDBXSingleValue.CopyRowValue"
		size = 61
	strings:
		$1 = { 56 57 8B FA 8B F0 8B C6 8B 10 FF 52 58 84 C0 74 0C 8B D6 8B C7 8B 08 FF 51 6C 5F 5E C3 8B C6 8B 10 FF 92 90 00 00 00 83 C4 FC D9 1C 24 9B 8B D6 8B C7 8B 08 FF 91 98 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_7286_0 {
	meta:
		name = "TDBXSingleValue.SetAsBcd"
		size = 33
		refs = "0009 BcdToDouble"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8B C3 8B 10 FF 92 98 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7287_0 {
	meta:
		name = "TDBXSingleValue.SetAsBoolean"
		size = 27
		altNames = "TDBXSingleValue.SetAsInt8"
	strings:
		$1 = { 51 0F BE D2 89 14 24 DB 04 24 83 C4 FC D9 1C 24 9B 8B 10 FF 92 98 01 00 00 5A C3 }
	condition:
		$1
}

rule function_7288_0 {
	meta:
		name = "TDBXSingleValue.SetAsDouble"
		size = 25
	strings:
		$1 = { 55 8B EC DD 45 08 83 C4 FC D9 1C 24 9B 8B 10 FF 92 98 01 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_7289_0 {
	meta:
		name = "TDBXSingleValue.SetAsInt16"
		size = 25
	strings:
		$1 = { 51 66 89 14 24 DF 04 24 83 C4 FC D9 1C 24 9B 8B 10 FF 92 98 01 00 00 5A C3 }
	condition:
		$1
}

rule function_7290_0 {
	meta:
		name = "TDBXSingleValue.SetAsInt32"
		size = 24
	strings:
		$1 = { 51 89 14 24 DB 04 24 83 C4 FC D9 1C 24 9B 8B 10 FF 92 98 01 00 00 5A C3 }
	condition:
		$1
}

rule function_7291_0 {
	meta:
		name = "TDBXSingleValue.SetAsInt64"
		size = 29
	strings:
		$1 = { 55 8B EC 8B C8 DF 6D 08 83 C4 FC D9 1C 24 9B 8B C1 8B 10 FF 92 98 01 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_7294_0 {
	meta:
		name = "TDBXSingleValue.SetAsString"
		size = 114
		refs = "0015 TDBXSingleValue.SetAsString 0025 @UStrLAsg 002b CurrencyString 0033 StrToFloat 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 83 C4 FC D9 1C 24 9B 8B C3 8B 10 FF 92 98 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7295_0 {
	meta:
		name = "TDBXSingleValue.SetAsUInt16"
		size = 27
	strings:
		$1 = { 51 0F B7 D2 89 14 24 DB 04 24 83 C4 FC D9 1C 24 9B 8B 10 FF 92 98 01 00 00 5A C3 }
	condition:
		$1
}

rule function_7296_0 {
	meta:
		name = "TDBXSingleValue.SetAsUInt8"
		size = 27
	strings:
		$1 = { 51 0F B6 D2 89 14 24 DB 04 24 83 C4 FC D9 1C 24 9B 8B 10 FF 92 98 01 00 00 5A C3 }
	condition:
		$1
}

rule function_7297_0 {
	meta:
		name = "TDBXSingleValue.SetRowValue"
		size = 17
	strings:
		$1 = { FF 70 18 8B D0 8B 40 10 8B 08 FF 91 98 00 00 00 C3 }
	condition:
		$1
}

rule function_7298_0 {
	meta:
		name = "TDBXSingleValue.GetAsBcd"
		size = 33
		refs = "001a DoubleToBcd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 90 00 00 00 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7299_0 {
	meta:
		name = "TDBXSingleValue.GetAsBoolean"
		size = 32
		refs = "000f TDBXSingleValue.GetAsBoolean"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 90 00 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 C0 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_7300_0 {
	meta:
		name = "TDBXSingleValue.GetAsDouble"
		size = 27
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 92 90 00 00 00 DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_7301_0 {
	meta:
		name = "TDBXSingleValue.GetAsInt16"
		size = 20
		refs = "000e @ROUND"
		altNames = "TDBXSingleValue.GetAsInt32 TDBXSingleValue.GetAsInt8 TDBXSingleValue.GetAsUInt16 TDBXSingleValue.GetAsUInt8"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 90 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7303_0 {
	meta:
		name = "TDBXSingleValue.GetAsInt64"
		size = 39
		refs = "0011 @ROUND"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 92 90 00 00 00 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_7306_0 {
	meta:
		name = "TDBXSingleValue.GetAsString"
		size = 114
		refs = "0015 TDBXSingleValue.GetAsString 003c CurrencyString 0041 FloatToStr 004b @UStrAsg 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 90 00 00 00 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7309_0 {
	meta:
		name = "TDBXSingleValue.GetSingle"
		size = 71
	strings:
		$1 = { 53 56 51 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 2C 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 8B 43 18 89 04 24 D9 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7310_0 {
	meta:
		name = "TDBXSingleValue.IsNull"
		size = 67
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 2C 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 83 7B 0C 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_7311_0 {
	meta:
		name = "TDBXSingleValue.SetSingle"
		size = 61
	strings:
		$1 = { 55 8B EC 53 56 8B D8 33 C0 89 43 0C 8B 45 08 89 43 18 C6 43 14 01 8B 73 10 85 F6 74 1A 8B C6 8B 10 FF 92 C0 00 00 00 89 43 08 8B D3 8B 43 10 8B 08 FF 91 08 01 00 00 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_7312_0 {
	meta:
		name = "TDBXSingleValue.SetValue"
		size = 60
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 58 84 C0 74 0D 8B C3 8B 10 FF 92 58 01 00 00 5E 5B C3 8B C6 8B 10 FF 92 90 00 00 00 83 C4 FC D9 1C 24 9B 8B C3 8B 10 FF 92 98 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7313_0 {
	meta:
		name = "TDBXDoubleValue.SetAsBcd"
		size = 33
		refs = "0009 BcdToDouble"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 8B 10 FF 92 9C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7314_0 {
	meta:
		name = "TDBXDoubleValue.SetAsBoolean"
		size = 27
		altNames = "TDBXDoubleValue.SetAsInt8"
	strings:
		$1 = { 51 0F BE D2 89 14 24 DB 04 24 83 C4 F8 DD 1C 24 9B 8B 10 FF 92 9C 01 00 00 5A C3 }
	condition:
		$1
}

rule function_7316_0 {
	meta:
		name = "TDBXDoubleValue.SetAsInt16"
		size = 25
	strings:
		$1 = { 51 66 89 14 24 DF 04 24 83 C4 F8 DD 1C 24 9B 8B 10 FF 92 9C 01 00 00 5A C3 }
	condition:
		$1
}

rule function_7317_0 {
	meta:
		name = "TDBXDoubleValue.SetAsInt32"
		size = 24
	strings:
		$1 = { 51 89 14 24 DB 04 24 83 C4 F8 DD 1C 24 9B 8B 10 FF 92 9C 01 00 00 5A C3 }
	condition:
		$1
}

rule function_7318_0 {
	meta:
		name = "TDBXDoubleValue.SetAsInt64"
		size = 29
	strings:
		$1 = { 55 8B EC 8B C8 DF 6D 08 83 C4 F8 DD 1C 24 9B 8B C1 8B 10 FF 92 9C 01 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_7320_0 {
	meta:
		name = "TDBXDoubleValue.SetAsSingle"
		size = 25
	strings:
		$1 = { 55 8B EC D9 45 08 83 C4 F8 DD 1C 24 9B 8B 10 FF 92 9C 01 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_7321_0 {
	meta:
		name = "TDBXDoubleValue.SetAsString"
		size = 137
		refs = "0015 TDBXDoubleValue.SetAsString 0025 @UStrLAsg 0042 CurrencyString 004a StrToFloatDef 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 89 45 F0 89 45 F4 66 89 45 F8 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D E0 9B DB 6D E0 83 C4 F8 DD 1C 24 9B 8B C3 8B 10 FF 92 9C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7322_0 {
	meta:
		name = "TDBXDoubleValue.SetAsUInt16"
		size = 27
	strings:
		$1 = { 51 0F B7 D2 89 14 24 DB 04 24 83 C4 F8 DD 1C 24 9B 8B 10 FF 92 9C 01 00 00 5A C3 }
	condition:
		$1
}

rule function_7323_0 {
	meta:
		name = "TDBXDoubleValue.SetAsUInt8"
		size = 27
	strings:
		$1 = { 51 0F B6 D2 89 14 24 DB 04 24 83 C4 F8 DD 1C 24 9B 8B 10 FF 92 9C 01 00 00 5A C3 }
	condition:
		$1
}

rule function_7325_0 {
	meta:
		name = "TDBXDoubleValue.Compare"
		size = 81
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 8B 10 FF 52 30 DD 1C 24 9B 8B C6 8B 10 FF 52 30 DC 1C 24 9B DF E0 9E 75 04 33 C0 EB 24 8B C3 8B 10 FF 52 30 DD 1C 24 9B 8B C6 8B 10 FF 52 30 DC 1C 24 9B DF E0 9E 76 05 83 C8 FF EB 04 66 B8 01 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7326_0 {
	meta:
		name = "TDBXDoubleValue.CopyRowValue"
		size = 61
	strings:
		$1 = { 56 57 8B FA 8B F0 8B C6 8B 10 FF 52 58 84 C0 74 0C 8B D6 8B C7 8B 08 FF 51 6C 5F 5E C3 8B C6 8B 10 FF 92 94 00 00 00 83 C4 F8 DD 1C 24 9B 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_7327_0 {
	meta:
		name = "TDBXDoubleValue.SetRowValue"
		size = 20
	strings:
		$1 = { FF 70 1C FF 70 18 8B D0 8B 40 10 8B 08 FF 91 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_7328_0 {
	meta:
		name = "TDBXDoubleValue.SetValue"
		size = 60
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 58 84 C0 74 0D 8B C3 8B 10 FF 92 58 01 00 00 5E 5B C3 8B C6 8B 10 FF 92 94 00 00 00 83 C4 F8 DD 1C 24 9B 8B C3 8B 10 FF 92 9C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7329_0 {
	meta:
		name = "TDBXDoubleValue.IsNull"
		size = 67
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 30 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 83 7B 0C 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_7330_0 {
	meta:
		name = "TDBXDoubleValue.GetAsBcd"
		size = 33
		refs = "001a DoubleToBcd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 94 00 00 00 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7331_0 {
	meta:
		name = "TDBXDoubleValue.GetAsBoolean"
		size = 32
		refs = "000f TDBXDoubleValue.GetAsBoolean"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 94 00 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 C0 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_7333_0 {
	meta:
		name = "TDBXDoubleValue.GetAsInt16"
		size = 20
		refs = "000e @ROUND"
		altNames = "TDBXDoubleValue.GetAsInt32 TDBXDoubleValue.GetAsInt8 TDBXDoubleValue.GetAsUInt16 TDBXDoubleValue.GetAsUInt8"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 94 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7335_0 {
	meta:
		name = "TDBXDoubleValue.GetAsInt64"
		size = 39
		refs = "0011 @ROUND"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 92 94 00 00 00 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_7337_0 {
	meta:
		name = "TDBXDoubleValue.GetAsSingle"
		size = 24
	strings:
		$1 = { 53 51 8B D8 8B C3 8B 10 FF 92 94 00 00 00 D9 1C 24 9B D9 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_7338_0 {
	meta:
		name = "TDBXDoubleValue.GetAsString"
		size = 114
		refs = "0015 TDBXDoubleValue.GetAsString 003c CurrencyString 0041 FloatToStr 004b @UStrAsg 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 94 00 00 00 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7341_0 {
	meta:
		name = "TDBXDoubleValue.GetDouble"
		size = 81
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 30 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 8B 43 18 89 04 24 8B 43 1C 89 44 24 04 DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7342_0 {
	meta:
		name = "TDBXByteArrayValue.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TDBXWritableValue.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 18 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_74117_0 {
	meta:
		name = "TBaseButtonItem.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 18 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73048_0 {
	meta:
		name = "TCheckBoxProperties.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TCommandProperties.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 18 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_82059_0 {
	meta:
		name = "TListControlItem.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 18 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7343_0 {
	meta:
		name = "TDBXByteArrayValue.Destroy"
		size = 66
		refs = "0003 @BeforeDestruction 0010 TArray<System.Byte> 0015 @DynArrayClear 0025 TObject.Free 0030 TDBXWritableValue.Destroy 003b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7344_0 {
	meta:
		name = "TDBXByteArrayValue.GetBytes"
		size = 468
		refs = "0016 TDBXByteArrayValue.GetBytes 00f0 TArray<System.Byte> 00f5 @DynArrayAsg 0127 Move 01b9 @FinalizeArray 01bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 10 85 F6 0F 84 8B 00 00 00 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 7C C7 45 E8 00 00 00 00 C7 45 EC 00 00 00 00 8B 43 10 8B 10 FF 92 C0 00 00 00 3B 43 18 75 16 83 7B 0C 00 75 36 83 7D 0C 00 75 08 83 7D 08 00 76 2A EB 02 7E 26 FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 8D 45 E8 50 8D 43 0C 50 8B CF 8B D3 8B 43 10 8B 30 FF 56 48 8B 43 10 8B 10 FF 92 C0 00 00 00 8B F0 89 73 18 83 7B 0C 00 0F 84 EF 00 00 00 89 73 08 E9 E7 00 00 00 80 7B 14 00 74 71 8B 45 08 89 45 E8 8B 45 0C 89 45 EC 8B 45 E8 8B 55 EC 3B 53 24 75 07 3B 43 20 76 10 EB 02 7E 0C 8B 43 20 89 45 E8 8B 43 24 89 45 EC 8D 45 FC 8B 53 1C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 10 8B 45 E8 85 C0 0F 8E 86 00 00 00 8B 4D FC 8B 5B 30 03 CB 8B 5D F8 8D 14 13 91 E8 ?? ?? ?? ?? EB 70 83 7B 1C 00 74 5C 83 7B 24 FF 75 08 83 7B 20 FF 76 50 EB 02 7E 4C 8D 45 F4 8B 53 1C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 10 8B 45 08 85 C0 7E 13 8B 4D F4 33 F6 03 CE 8B 75 F0 8D 14 16 91 E8 ?? ?? ?? ?? 8B 43 20 89 45 E8 8B 43 24 89 45 EC EB 0E C7 45 E8 00 00 00 00 C7 45 EC 00 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 E8 8B 55 EC 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_7346_0 {
	meta:
		name = "TDBXByteArrayValue.SetStaticBytes"
		size = 91
	strings:
		$1 = { 55 8B EC 53 56 8B D8 33 C0 89 43 0C 8B 45 18 89 43 28 8B 45 1C 89 43 2C 8B 45 10 89 43 30 8B 45 14 89 43 34 8B 45 08 89 43 20 8B 45 0C 89 43 24 C6 43 14 01 8B 73 10 85 F6 74 1A 8B C6 8B 10 FF 92 C0 00 00 00 89 43 08 8B D3 8B 43 10 8B 08 FF 91 08 01 00 00 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_7347_0 {
	meta:
		name = "TDBXStreamValue.SetAsVariant"
		size = 163
		refs = "000d VarIsNull 0024 _Dn_TMemoryStream 0029 TObject.Create 003a TStream.SetSize64 0044 VariantToStream 004c TDBXStreamValue.SetAsVariant 0069 TStream.GetPosition 0092 TObject.Free 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 8B 10 FF 92 58 01 00 00 EB 7D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 43 4C 99 52 50 8B 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B1 01 8B 55 FC 8B C3 8B 30 FF 96 AC 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 3B 43 4C 7E 0A 3D 00 20 00 00 7D 03 89 43 4C 33 C0 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7348_0 {
	meta:
		name = "TDBXStreamValue.SetValue"
		size = 59
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 58 84 C0 74 0D 8B C3 8B 10 FF 92 58 01 00 00 5E 5B C3 33 D2 8B C6 8B 08 FF 91 B4 00 00 00 8B D0 B1 01 8B C3 8B 18 FF 93 AC 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7349_0 {
	meta:
		name = "TDBXByteArrayValue.SetDynamicBytes"
		size = 116
		refs = "0022 TArray<System.Byte> 0027 @DynArrayAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 33 C0 89 43 0C 8B 45 18 89 43 28 8B 45 1C 89 43 2C 8D 43 1C 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 10 89 43 30 8B 45 14 89 43 34 8B 45 08 89 43 20 8B 45 0C 89 43 24 C6 43 14 01 8B 73 10 85 F6 74 1F 8B C6 8B 10 FF 92 C0 00 00 00 8B F8 89 7B 08 89 7B 18 8B D3 8B 43 10 8B 08 FF 91 08 01 00 00 5F 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_7350_0 {
	meta:
		name = "TDBXByteArrayValue.SetOverflowBytes"
		size = 28
		refs = "0012 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 89 73 38 5E 5B C3 }
	condition:
		$1
}

rule function_7351_0 {
	meta:
		name = "TDBXByteArrayValue.SetRowValue"
		size = 37
	strings:
		$1 = { 53 FF 70 2C FF 70 28 FF 70 34 FF 70 30 FF 70 24 FF 70 20 8B 48 1C 8B D0 8B 40 10 8B 18 FF 93 B4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7352_0 {
	meta:
		name = "TDBXByteArrayValue.GetValueSize"
		size = 58
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 11 C7 04 24 FF FF FF FF C7 44 24 04 FF FF FF FF EB 0D 8B 43 20 89 04 24 8B 43 24 89 44 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_7353_0 {
	meta:
		name = "TDBXByteArrayValue.IsNull"
		size = 78
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 39 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 18 74 2A 8D 43 0C 50 8D 4B 20 8B D3 8B 43 10 8B 30 FF 56 4C 8B 43 10 8B 10 FF 92 C0 00 00 00 8B F0 89 73 18 83 7B 0C 00 74 03 89 73 08 83 7B 0C 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_7354_0 {
	meta:
		name = "TDBXTimeStampValue.Compare"
		size = 81
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 8B 10 FF 52 44 DD 1C 24 9B 8B C6 8B 10 FF 52 44 DC 1C 24 9B DF E0 9E 75 04 33 C0 EB 24 8B C3 8B 10 FF 52 44 DD 1C 24 9B 8B C6 8B 10 FF 52 44 DC 1C 24 9B DF E0 9E 76 05 83 C8 FF EB 04 66 B8 01 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7355_0 {
	meta:
		name = "TDBXTimeStampValue.CopyRowValue"
		size = 65
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B F0 8B C6 8B 10 FF 52 58 84 C0 74 0B 8B D6 8B C7 8B 08 FF 51 6C EB 1A 8B D4 8B C6 8B 08 FF 91 9C 00 00 00 8B CC 8B D6 8B C7 8B 18 FF 93 AC 00 00 00 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7356_0 {
	meta:
		name = "TDBXTimeStampValue.SetRowValue"
		size = 19
	strings:
		$1 = { 53 8D 48 18 8B D0 8B 40 10 8B 18 FF 93 AC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7357_0 {
	meta:
		name = "TDBXTimeStampValue.SetTimeStamp"
		size = 60
	strings:
		$1 = { 53 56 57 8B D8 33 C0 89 43 0C 8B F2 8D 7B 18 A5 A5 A5 A5 C6 43 14 01 8B 73 10 85 F6 74 1A 8B C6 8B 10 FF 92 C0 00 00 00 89 43 08 8B D3 8B 43 10 8B 08 FF 91 08 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7358_0 {
	meta:
		name = "TDBXTimeStampValue.SetValue"
		size = 62
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B C6 8B 10 FF 52 58 84 C0 74 0C 8B C3 8B 10 FF 92 58 01 00 00 EB 18 8B D4 8B C6 8B 08 FF 91 9C 00 00 00 8B D4 8B C3 8B 08 FF 91 5C 01 00 00 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_7359_0 {
	meta:
		name = "TDBXTimeStampValue.IsNull"
		size = 67
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 40 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 83 7B 0C 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_7360_0 {
	meta:
		name = "TDBXTimeStampValue.GetAsDate"
		size = 54
		refs = "0019 SQLTimeStampToDateTime 0029 DateTimeToTimeStamp"
	strings:
		$1 = { 53 83 C4 E8 8B D8 8D 54 24 08 8B C3 8B 08 FF 91 9C 00 00 00 8D 44 24 08 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 44 24 08 E8 ?? ?? ?? ?? 8B 44 24 04 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_7361_0 {
	meta:
		name = "TDBXTimeStampValue.GetAsDateTime"
		size = 41
		refs = "0019 SQLTimeStampToDateTime"
	strings:
		$1 = { 53 83 C4 E8 8B D8 8D 54 24 08 8B C3 8B 08 FF 91 9C 00 00 00 8D 44 24 08 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_7362_0 {
	meta:
		name = "TDBXTimeStampValue.GetAsString"
		size = 23
		refs = "0007 TDBXDefaultFormatter.GetDefaultDBXFormatter"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B CE 8B D3 8B 18 FF 53 10 5E 5B C3 }
	condition:
		$1
}

rule function_7363_0 {
	meta:
		name = "TDBXTimeStampValue.GetAsTime"
		size = 53
		refs = "0019 SQLTimeStampToDateTime 0029 DateTimeToTimeStamp"
	strings:
		$1 = { 53 83 C4 E8 8B D8 8D 54 24 08 8B C3 8B 08 FF 91 9C 00 00 00 8D 44 24 08 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 44 24 08 E8 ?? ?? ?? ?? 8B 04 24 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_7365_0 {
	meta:
		name = "TDBXTimeStampValue.SetAsDate"
		size = 57
		refs = "0012 TimeStampToDateTime 0022 DateTimeToSQLTimeStamp"
	strings:
		$1 = { 53 83 C4 E8 8B D8 33 C0 89 04 24 89 54 24 04 8B C4 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 44 24 10 E8 ?? ?? ?? ?? 8D 54 24 08 8B C3 8B 08 FF 91 5C 01 00 00 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_7366_0 {
	meta:
		name = "TDBXTimeStampValue.SetAsDateTime"
		size = 43
		refs = "0013 DateTimeToSQLTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 FF 75 0C FF 75 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 91 5C 01 00 00 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7367_0 {
	meta:
		name = "TDBXTimeStampValue.SetAsString"
		size = 23
		refs = "0007 TDBXDefaultFormatter.GetDefaultDBXFormatter"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B CB 8B D6 8B 18 FF 53 14 5E 5B C3 }
	condition:
		$1
}

rule function_7368_0 {
	meta:
		name = "TDBXTimeStampValue.SetAsTime"
		size = 59
		refs = "0014 TimeStampToDateTime 0024 DateTimeToSQLTimeStamp"
	strings:
		$1 = { 53 83 C4 E8 8B D8 89 14 24 C7 44 24 04 5A 95 0A 00 8B C4 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 44 24 10 E8 ?? ?? ?? ?? 8D 54 24 08 8B C3 8B 08 FF 91 5C 01 00 00 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_7369_0 {
	meta:
		name = "TDBXTimeStampValue.SetAsTimeStamp"
		size = 9
	strings:
		$1 = { 8B 08 FF 91 5C 01 00 00 C3 }
	condition:
		$1
}

rule function_7370_0 {
	meta:
		name = "TDBXTimeStampValue.GetTimeStamp"
		size = 71
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 40 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 8D 73 18 A5 A5 A5 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7371_0 {
	meta:
		name = "TDBXBcdValue.SetAsSingle"
		size = 47
		refs = "0017 DoubleToBcd"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 8B D8 D9 45 08 83 C4 F8 DD 1C 24 9B 8D 45 DC E8 ?? ?? ?? ?? 8D 55 DC 8B C3 8B 08 FF 91 64 01 00 00 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7372_0 {
	meta:
		name = "TDBXBcdValue.SetAsString"
		size = 23
		refs = "0007 TDBXDefaultFormatter.GetDefaultDBXFormatter"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B CB 8B D6 8B 18 FF 53 24 5E 5B C3 }
	condition:
		$1
}

rule function_7373_0 {
	meta:
		name = "TDBXBcdValue.SetAsUInt16"
		size = 37
		refs = "000f IntegerToBcd"
	strings:
		$1 = { 53 56 83 C4 DC 8B F2 8B D8 8B D4 0F B7 C6 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 91 64 01 00 00 83 C4 24 5E 5B C3 }
	condition:
		$1
}

rule function_7374_0 {
	meta:
		name = "TDBXBcdValue.SetAsBoolean"
		size = 37
		refs = "000f IntegerToBcd"
		altNames = "TDBXBcdValue.SetAsUInt8"
	strings:
		$1 = { 53 56 83 C4 DC 8B DA 8B F0 8B D4 0F B6 C3 E8 ?? ?? ?? ?? 8B D4 8B C6 8B 08 FF 91 64 01 00 00 83 C4 24 5E 5B C3 }
	condition:
		$1
}

rule function_7377_0 {
	meta:
		name = "TDBXBcdValue.SetAsDouble"
		size = 43
		refs = "0013 DoubleToBcd"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 8B D8 FF 75 0C FF 75 08 8D 45 DC E8 ?? ?? ?? ?? 8D 55 DC 8B C3 8B 08 FF 91 64 01 00 00 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7378_0 {
	meta:
		name = "TDBXBcdValue.SetAsInt16"
		size = 37
		refs = "000f IntegerToBcd"
	strings:
		$1 = { 53 56 83 C4 DC 8B F2 8B D8 8B D4 0F BF C6 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 91 64 01 00 00 83 C4 24 5E 5B C3 }
	condition:
		$1
}

rule function_7379_0 {
	meta:
		name = "TDBXBcdValue.SetAsInt32"
		size = 36
		refs = "000e IntegerToBcd"
	strings:
		$1 = { 53 56 83 C4 DC 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 91 64 01 00 00 83 C4 24 5E 5B C3 }
	condition:
		$1
}

rule function_7380_0 {
	meta:
		name = "TDBXBcdValue.SetAsInt64"
		size = 40
		refs = "0010 IntegerToBcd"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 8B D8 8D 55 DC 8B 45 08 E8 ?? ?? ?? ?? 8D 55 DC 8B C3 8B 08 FF 91 64 01 00 00 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7381_0 {
	meta:
		name = "TDBXBcdValue.SetAsInt8"
		size = 37
		refs = "000f IntegerToBcd"
	strings:
		$1 = { 53 56 83 C4 DC 8B DA 8B F0 8B D4 0F BE C3 E8 ?? ?? ?? ?? 8B D4 8B C6 8B 08 FF 91 64 01 00 00 83 C4 24 5E 5B C3 }
	condition:
		$1
}

rule function_7382_0 {
	meta:
		name = "TDBXBcdValue.SetBcd"
		size = 65
	strings:
		$1 = { 53 56 57 8B D8 33 C0 89 43 0C 8B F2 8D 7B 18 B9 08 00 00 00 F3 A5 66 A5 C6 43 14 01 8B 73 10 85 F6 74 1A 8B C6 8B 10 FF 92 C0 00 00 00 89 43 08 8B D3 8B 43 10 8B 08 FF 91 08 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7383_0 {
	meta:
		name = "TDBXBcdValue.Compare"
		size = 46
		refs = "0024 BcdCompare"
	strings:
		$1 = { 53 56 83 C4 B8 8B F2 8B D8 8B D4 8B C6 8B 08 FF 51 34 54 8D 54 24 28 8B C3 8B 08 FF 51 34 8D 44 24 28 5A E8 ?? ?? ?? ?? 83 C4 48 5E 5B C3 }
	condition:
		$1
}

rule function_7384_0 {
	meta:
		name = "TDBXBcdValue.CopyRowValue"
		size = 65
	strings:
		$1 = { 53 56 57 83 C4 DC 8B FA 8B F0 8B C6 8B 10 FF 52 58 84 C0 74 0B 8B D6 8B C7 8B 08 FF 51 6C EB 1A 8B D4 8B C6 8B 08 FF 91 A4 00 00 00 8B CC 8B D6 8B C7 8B 18 FF 93 A0 00 00 00 83 C4 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7385_0 {
	meta:
		name = "TDBXBcdValue.SetRowValue"
		size = 19
	strings:
		$1 = { 53 8D 48 18 8B D0 8B 40 10 8B 18 FF 93 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7386_0 {
	meta:
		name = "TDBXBcdValue.SetValue"
		size = 62
	strings:
		$1 = { 53 56 83 C4 DC 8B F2 8B D8 8B C6 8B 10 FF 52 58 84 C0 74 0C 8B C3 8B 10 FF 92 58 01 00 00 EB 18 8B D4 8B C6 8B 08 FF 91 A4 00 00 00 8B D4 8B C3 8B 08 FF 91 64 01 00 00 83 C4 24 5E 5B C3 }
	condition:
		$1
}

rule function_7387_0 {
	meta:
		name = "TDBXBcdValue.IsNull"
		size = 67
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 34 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 83 7B 0C 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_7389_0 {
	meta:
		name = "TDBXBcdValue.GetAsBoolean"
		size = 124
		refs = "0012 TDBXBcdValue.GetAsBoolean 0030 BcdToStr 003d @UStrEqual 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8B C3 8B 08 FF 91 A4 00 00 00 8D 45 D8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_7390_0 {
	meta:
		name = "TDBXBcdValue.GetAsDouble"
		size = 41
		refs = "0019 BcdToDouble"
	strings:
		$1 = { 53 83 C4 D4 8B D8 8D 54 24 08 8B C3 8B 08 FF 91 A4 00 00 00 8D 44 24 08 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 2C 5B C3 }
	condition:
		$1
}

rule function_7391_0 {
	meta:
		name = "TDBXBcdValue.GetAsInt16"
		size = 32
		refs = "0017 BcdToInteger"
		altNames = "TDBXBcdValue.GetAsInt32 TDBXBcdValue.GetAsInt8 TDBXBcdValue.GetAsUInt16 TDBXBcdValue.GetAsUInt8"
	strings:
		$1 = { 53 83 C4 DC 8B D8 8B D4 8B C3 8B 08 FF 91 A4 00 00 00 8B C4 33 D2 E8 ?? ?? ?? ?? 83 C4 24 5B C3 }
	condition:
		$1
}

rule function_7393_0 {
	meta:
		name = "TDBXBcdValue.GetAsInt64"
		size = 51
		refs = "001b BcdToInteger"
	strings:
		$1 = { 53 83 C4 D4 8B D8 8D 54 24 08 8B C3 8B 08 FF 91 A4 00 00 00 8D 44 24 08 33 D2 E8 ?? ?? ?? ?? 99 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 83 C4 2C 5B C3 }
	condition:
		$1
}

rule function_7395_0 {
	meta:
		name = "TDBXBcdValue.GetAsSingle"
		size = 41
		refs = "0019 BcdToDouble"
	strings:
		$1 = { 53 83 C4 D8 8B D8 8D 54 24 04 8B C3 8B 08 FF 91 A4 00 00 00 8D 44 24 04 E8 ?? ?? ?? ?? D9 1C 24 9B D9 04 24 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_7396_0 {
	meta:
		name = "TDBXBcdValue.GetAsString"
		size = 23
		refs = "0007 TDBXDefaultFormatter.GetDefaultDBXFormatter"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B CE 8B D3 8B 18 FF 53 20 5E 5B C3 }
	condition:
		$1
}

rule function_7399_0 {
	meta:
		name = "TDBXBcdValue.GetBcd"
		size = 76
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 34 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 8D 73 18 B9 08 00 00 00 F3 A5 66 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7401_0 {
	meta:
		name = "TDBXClosedByteReader.GetAnsiString"
		size = 12
		refs = "0004 TDBXClosedByteReader.InvalidOperation"
		altNames = "TDBXClosedByteReader.GetBcd TDBXClosedByteReader.GetDate TDBXClosedByteReader.GetDouble TDBXClosedByteReader.GetInt16 TDBXClosedByteReader.GetInt32 TDBXClosedByteReader.GetInt64 TDBXClosedByteReader.GetInt8 TDBXClosedByteReader.GetSingle TDBXClosedByteReader.GetTime TDBXClosedByteReader.GetTimeStamp TDBXClosedByteReader.GetTimeStampOffset TDBXClosedByteReader.GetUInt16 TDBXClosedByteReader.GetUInt8 TDBXClosedByteReader.GetWideString"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_70553_0 {
	meta:
		name = "TCustomVariantType.DispInvoke"
		size = 12
		refs = "0004 TCustomVariantType.RaiseDispError"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_12816_0 {
	meta:
		name = "TDBXPoolCommand.SetMaxBlobSize"
		size = 12
		refs = "0004 TDBXCommand.NotImplemented"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_12817_0 {
	meta:
		name = "TDBXPoolCommand.SetRowSetSize"
		size = 12
		refs = "0004 TDBXCommand.NotImplemented"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_7402_0 {
	meta:
		name = "TDBXClosedByteReader.GetBytes"
		size = 37
		refs = "0007 TDBXClosedByteReader.InvalidOperation"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 8B 45 F8 8B 55 FC 59 59 5D C2 1C 00 }
	condition:
		$1
}

rule function_7403_0 {
	meta:
		name = "TDBXClosedByteReader.GetByteLength"
		size = 12
		refs = "0004 TDBXClosedByteReader.InvalidOperation"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_63140_0 {
	meta:
		name = "AssignProc"
		size = 12
		refs = "0004 TCustomBucketList.Add"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_70524_0 {
	meta:
		name = "TCustomVariantType.BinaryOp"
		size = 12
		refs = "0004 TCustomVariantType.RaiseInvalidOp"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_70527_0 {
	meta:
		name = "TCustomVariantType.Compare"
		size = 12
		refs = "0004 TCustomVariantType.RaiseInvalidOp"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_29568_0 {
	meta:
		name = "TDUnitAboutBox.FormKeyDown"
		size = 12
		refs = "0004 TCustomForm.Close"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_91067_0 {
	meta:
		name = "TFastLineSeries.PrepareLegendCanvas"
		size = 12
		refs = "0004 TFastLineSeries.PrepareCanvas"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_50477_0 {
	meta:
		name = "TRunningWebAppListener.UnregisterWebApp"
		size = 12
		refs = "0004 TRunningWebAppListener.RemovePort"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_14654_0 {
	meta:
		name = "TSQLTimeStampOffsetVariantType.BinaryOp"
		size = 12
		refs = "0004 TCustomVariantType.RaiseInvalidOp"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_7418_0 {
	meta:
		name = "TDBXClosedByteReader.InvalidOperation"
		size = 84
		refs = "000c TDBXClosedByteReader.InvalidOperation 001a SReaderClosed 001f LoadResString 002f TDBXContext.Error 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA 64 00 00 00 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_7421_0 {
	meta:
		name = "TDBXRow.GetAnsiString"
		size = 11
		altNames = "TDBXRow.GetBcd TDBXRow.GetBoolean TDBXRow.GetByteLength TDBXRow.GetCallbackValue TDBXRow.GetDBXConnection TDBXRow.GetDBXReader TDBXRow.GetDate TDBXRow.GetDouble TDBXRow.GetInt16 TDBXRow.GetInt32 TDBXRow.GetInt64 TDBXRow.GetInt8 TDBXRow.GetJSONValue TDBXRow.GetLength TDBXRow.GetSingle TDBXRow.GetStream TDBXRow.GetTime TDBXRow.GetTimeStamp TDBXRow.GetTimeStampOffset TDBXRow.GetUInt16 TDBXRow.GetUInt8 TDBXRow.GetWideString TDBXRow.SetSingle"
	strings:
		$1 = { 55 8B EC 8B 10 FF 12 5D C2 04 00 }
	condition:
		$1
}

rule function_7424_0 {
	meta:
		name = "TDBXRow.GetBytes"
		size = 11
	strings:
		$1 = { 55 8B EC 8B 10 FF 12 5D C2 20 00 }
	condition:
		$1
}

rule function_7446_0 {
	meta:
		name = "TDBXRow.GetStreamBytes"
		size = 11
	strings:
		$1 = { 55 8B EC 8B 10 FF 12 5D C2 1C 00 }
	condition:
		$1
}

rule function_7447_0 {
	meta:
		name = "TDBXRow.GetAnsiChars"
		size = 11
		altNames = "TDBXRow.GetStreamLength TDBXRow.GetWideChars TDBXRow.SetDouble TDBXRow.SetInt64"
	strings:
		$1 = { 55 8B EC 8B 10 FF 12 5D C2 08 00 }
	condition:
		$1
}

rule function_7458_0 {
	meta:
		name = "TDBXRow.NotImplemented"
		size = 145
		refs = "000f TDBXRow.NotImplemented 0024 SNotImplemented 0029 LoadResString 0039 _DV_TDBXError 003e TDBXError.Create 0047 @RaiseExcept 0065 TDBXContext.Error 007f @UStrArrayClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 04 85 F6 75 2D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 B9 1B 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C2 E8 ?? ?? ?? ?? EB 1C 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA 1B 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7459_0 {
	meta:
		name = "TDBXCustomDataGenerator.Next"
		size = 4
		altNames = "TDBXRow.NewRowGeneration TDBXTraceOutput.AddReference"
	strings:
		$1 = { FF 40 08 C3 }
	condition:
		$1
}

rule function_7464_0 {
	meta:
		name = "TDBXRow.SetDynamicBytes"
		size = 11
	strings:
		$1 = { 55 8B EC 8B 10 FF 12 5D C2 18 00 }
	condition:
		$1
}

rule function_7474_0 {
	meta:
		name = "TDBXRow.SetWideChars"
		size = 14
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 18 FF 53 74 5E 5B C3 }
	condition:
		$1
}

rule function_7476_0 {
	meta:
		name = "TDBXRow.SetAnsiChars"
		size = 14
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 18 FF 53 78 5E 5B C3 }
	condition:
		$1
}

rule function_7490_0 {
	meta:
		name = "TDBXConnectionBuilder.Assign"
		size = 78
		refs = "000c _DV_TDBXContext 0011 TDBXContext.Create 001f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 4E 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 1C 8D 43 08 8B 56 08 E8 ?? ?? ?? ?? 8D 43 0C 8B 56 0C E8 ?? ?? ?? ?? 8D 43 10 8B 56 10 E8 ?? ?? ?? ?? 8B 46 14 89 43 14 8B 46 04 89 43 04 8B 46 18 89 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_7491_0 {
	meta:
		name = "TDBXConnectionBuilder.Destroy"
		size = 84
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0042 TObject.Destroy 004d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7492_0 {
	meta:
		name = "TDBXConnectionBuilder.Create"
		size = 66
		refs = "000b @ClassCreate 001a TObject.Create 0023 TDBXConnectionBuilder.Assign 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70106_0 {
	meta:
		name = "TComplexData.Create"
		size = 66
		refs = "000b @ClassCreate 001a TObject.Create 0023 TComplexData.SetAsString 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12697_0 {
	meta:
		name = "TDBXStringBuffer.Create"
		size = 66
		refs = "000b @ClassCreate 001a TObject.Create 0023 TDBXStringBuffer.Append 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9411_0 {
	meta:
		name = "TJSONArray.Create"
		size = 66
		refs = "000b @ClassCreate 001a TJSONArray.Create 0023 TJSONArray.AddElement 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69518_0 {
	meta:
		name = "TStringBuilder.Create"
		size = 66
		refs = "000b @ClassCreate 001a TStringBuilder.Create 0023 TStringBuilder.Append 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7494_0 {
	meta:
		name = "TDBXConnectionBuilder.CreateConnection"
		size = 363
		refs = "0014 TDBXConnectionBuilder.CreateConnection 0037 TDBXConnectionFactory.getDriverName 0050 TDBXProperties.Clone 0062 TDBXConnectionFactory.GetDriverProperties 0080 _DV_TDBXConnectionBuilder 0085 TDBXConnectionBuilder.Create 0095 TDBXConnectionFactory.GetDriver 00c8 TDBXProperties.AddUniqueProperties 00d7 @HandleOnException 00df _Dn_Exception 00f6 TObject.Free 00fb @RaiseAgain 0100 @DoneExcept 013e @HandleFinally 0155 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 33 C0 89 45 F0 8B 43 18 8B 70 08 8D 4D FC 8B 43 14 8B D6 E8 ?? ?? ?? ?? 8B 43 14 8B 40 08 8B 55 FC 8B 08 FF 51 54 85 C0 7D 0E 8B C6 E8 ?? ?? ?? ?? 8B F0 89 75 F0 EB 0D 8B 43 14 8B 55 FC E8 ?? ?? ?? ?? 8B F0 33 C0 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 43 14 8B CE 8B 55 FC E8 ?? ?? ?? ?? 8B F8 8B 45 F4 89 78 20 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B C7 8B 55 F4 8B 08 FF 51 10 89 45 F8 8B 45 F8 8B 10 FF 52 10 8B 56 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F4 83 C0 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 18 33 D2 89 50 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 50 18 8B 45 F4 33 D2 89 50 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7495_0 {
	meta:
		name = "TDBXConnectionBuilder.CreateDelegateeConnection"
		size = 89
		refs = "001f TDBXConnectionBuilder.CreateDelegateeConnection 002d TDBXConnectionBuilder.CreateConnection 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC 8B 45 FC 8B 40 18 89 45 F4 8B 40 0C 8B 55 FC 89 42 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 50 18 C3 E9 ?? ?? ?? ?? EB EF 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_7497_0 {
	meta:
		name = "TDBXConnectionBuilder.GetDelegationSignature"
		size = 76
		refs = "0010 @UStrAsg 001e TDBXConnectionBuilder.GetDelegationSignature 002d @UStrCatN"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 7B 18 8B 57 04 E8 ?? ?? ?? ?? 8B 5F 0C 85 DB 74 1D FF 36 68 ?? ?? ?? ?? FF 73 04 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 5B 0C 85 DB 75 E3 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_7498_0 {
	meta:
		name = "TAzureService.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TObject.Destroy 003d @ClassDestroy"
		altNames = "TDBXDelegateItem.Destroy TDSCallbackItem.Destroy TIdHTTPProtocol.Destroy TIdICMPHdr.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7499_0 {
	meta:
		name = "TDBXDelegateItem.FreeProperties"
		size = 33
		refs = "000f TObject.Free 001b TDBXDelegateItem.FreeProperties"
	strings:
		$1 = { 53 8B D8 8D 43 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 43 0C 85 C0 74 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7501_0 {
	meta:
		name = "TDBXMetaDataForeignKey.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TObject.Destroy 003d @ClassDestroy"
		altNames = "TDBXMetaDataIndex.Destroy TDBXPropertiesItem.Destroy TIWURLMap.Destroy TIdEthernetHdr.Destroy TIdIPv4_ICMP.Destroy TIdMIMEBoundary.Destroy TQuickAccessToolbarGroupItem.Destroy TXSBaseCustomDateTime.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7502_0 {
	meta:
		name = "TDBXReaderByteReader.Create"
		size = 65
		refs = "000d @ClassCreate 001a TDBXByteReader.Create 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_98486_0 {
	meta:
		name = "TScriptIncludeItem.Create"
		size = 65
		refs = "000d @ClassCreate 001a TScriptItem.Create 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_7503_0 {
	meta:
		name = "TDBXReaderByteReader.GetBcd"
		size = 190
		refs = "001c TDBXReaderByteReader.GetBcd 005e TArray<System.Byte> 0063 @DynArrayAsg 008e Move 00a9 @DynArrayClear 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B D7 8B 08 FF 51 10 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 08 C7 06 FF FF FF FF EB 4D 33 C0 89 06 8D 55 D6 8B C3 8B 08 FF 91 A4 00 00 00 8D 45 FC 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 8B 55 FC 0F B6 4D D6 88 0C 02 8B 55 FC 0F B6 4D D7 88 4C 02 01 8B 55 FC 8D 54 02 02 8D 45 D8 B9 20 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7504_0 {
	meta:
		name = "TDBXReaderByteReader.GetByteLength"
		size = 78
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 55 FC 8B 43 08 8B 08 FF 51 10 8B 10 FF 52 58 F6 D8 1B C0 89 06 83 3E 00 75 18 8B 55 FC 8B 43 08 8B 08 FF 51 10 8B 10 FF 52 5C 8B 4D F8 89 01 89 51 04 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7505_0 {
	meta:
		name = "TDBXReaderByteReader.GetBytes"
		size = 125
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B F2 8B D8 8B D6 8B 43 08 8B 08 FF 51 10 8B 10 FF 52 58 84 C0 74 19 C7 45 F0 FF FF FF FF C7 45 F4 FF FF FF FF 8B 45 08 C7 00 FF FF FF FF EB 34 FF 75 20 FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C 8B D6 8B 43 08 8B 08 FF 51 10 8B 55 FC 8B 08 FF 91 98 00 00 00 89 45 F0 89 55 F4 8B 45 08 33 D2 89 10 8B 45 F0 8B 55 F4 5E 5B 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule function_7506_0 {
	meta:
		name = "TDBXReaderByteReader.GetDate"
		size = 191
		refs = "001c TDBXReaderByteReader.GetDate 005a TArray<System.Byte> 005f @DynArrayAsg 00aa @DynArrayClear 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B D7 8B 08 FF 51 10 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 08 C7 06 FF FF FF FF EB 4E 33 C0 89 06 8B C3 8B 10 FF 52 64 8B D8 8D 45 FC 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 88 1C 10 8B 45 FC 33 D2 8B CB C1 E9 08 88 4C 10 01 8B 45 FC 33 D2 8B CB C1 E9 10 88 4C 10 02 8B 45 FC 33 D2 C1 EB 18 88 5C 10 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7507_0 {
	meta:
		name = "TDBXReaderByteReader.GetDouble"
		size = 312
		refs = "001c TDBXReaderByteReader.GetDouble 005e _Dn_TDBXPlatform 0063 TDBXPlatform.DoubleToInt64Bits 0075 TArray<System.Byte> 007a @DynArrayAsg 0123 @DynArrayClear 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B D7 8B 08 FF 51 10 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 0B C7 06 FF FF FF FF E9 C4 00 00 00 33 C0 89 06 8B C3 8B 10 FF 92 94 00 00 00 83 C4 F8 DD 1C 24 9B A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 8D 45 FC 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC 33 C9 88 04 0A 8B 45 F0 8B 55 F4 0F AC D0 08 C1 EA 08 8B 55 FC 33 C9 88 44 0A 01 8B 45 F0 8B 55 F4 0F AC D0 10 C1 EA 10 8B 55 FC 33 C9 88 44 0A 02 8B 45 F0 8B 55 F4 0F AC D0 18 C1 EA 18 8B 55 FC 33 C9 88 44 0A 03 8B 45 F4 33 D2 8B 55 FC 33 C9 88 44 0A 04 8B 45 F4 C1 E8 08 33 D2 8B 55 FC 33 C9 88 44 0A 05 8B 45 F4 C1 E8 10 33 D2 8B 55 FC 33 C9 88 44 0A 06 8B 45 F4 C1 E8 18 33 D2 8B 55 FC 33 C9 88 44 0A 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7508_0 {
	meta:
		name = "TDBXReaderByteReader.GetInt16"
		size = 277
		refs = "001c TDBXReaderByteReader.GetInt16 006c TArray<System.Byte> 0071 @DynArrayAsg 0100 @FinalizeArray 0106 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F0 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 43 08 8B 08 FF 51 10 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 0B C7 06 FF FF FF FF E9 9C 00 00 00 33 C0 89 06 8B 43 04 8B 10 FF 52 50 83 F8 04 75 57 8B C3 8B 10 FF 52 68 84 C0 74 26 8D 45 FC 8B 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 C6 04 10 01 8B 45 FC 33 D2 C6 44 10 01 00 EB 5A 8D 45 F8 8B 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 C6 04 10 00 8B 45 F8 33 D2 C6 44 10 01 00 EB 34 8B C3 8B 10 FF 92 84 00 00 00 8B D8 8D 45 F4 8B 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 33 D2 88 1C 10 8B 45 F4 33 D2 0F BF CB C1 E9 08 88 4C 10 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7509_0 {
	meta:
		name = "TDBXReaderByteReader.GetInt32"
		size = 194
		refs = "001c TDBXReaderByteReader.GetInt32 005d TArray<System.Byte> 0062 @DynArrayAsg 00ad @DynArrayClear 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B D7 8B 08 FF 51 10 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 08 C7 06 FF FF FF FF EB 51 33 C0 89 06 8B C3 8B 10 FF 92 88 00 00 00 8B D8 8D 45 FC 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 88 1C 10 8B 45 FC 33 D2 8B CB C1 E9 08 88 4C 10 01 8B 45 FC 33 D2 8B CB C1 E9 10 88 4C 10 02 8B 45 FC 33 D2 C1 EB 18 88 5C 10 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7510_0 {
	meta:
		name = "TDBXReaderByteReader.GetInt64"
		size = 295
		refs = "001c TDBXReaderByteReader.GetInt64 0064 TArray<System.Byte> 0069 @DynArrayAsg 0112 @DynArrayClear 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B D7 8B 08 FF 51 10 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 0B C7 06 FF FF FF FF E9 B3 00 00 00 33 C0 89 06 8B C3 8B 10 FF 92 8C 00 00 00 89 45 F0 89 55 F4 8D 45 FC 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC 33 C9 88 04 0A 8B 45 F0 8B 55 F4 0F AC D0 08 C1 EA 08 8B 55 FC 33 C9 88 44 0A 01 8B 45 F0 8B 55 F4 0F AC D0 10 C1 EA 10 8B 55 FC 33 C9 88 44 0A 02 8B 45 F0 8B 55 F4 0F AC D0 18 C1 EA 18 8B 55 FC 33 C9 88 44 0A 03 8B 45 F4 33 D2 8B 55 FC 33 C9 88 44 0A 04 8B 45 F4 C1 E8 08 33 D2 8B 55 FC 33 C9 88 44 0A 05 8B 45 F4 C1 E8 10 33 D2 8B 55 FC 33 C9 88 44 0A 06 8B 45 F4 C1 E8 18 33 D2 8B 55 FC 33 C9 88 44 0A 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7511_0 {
	meta:
		name = "TDBXReaderByteReader.GetInt8"
		size = 151
		refs = "001c TDBXReaderByteReader.GetInt8 005a TArray<System.Byte> 005f @DynArrayAsg 0082 @DynArrayClear 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 43 08 8B 08 FF 51 10 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 08 C7 06 FF FF FF FF EB 26 33 C0 89 06 8B C3 8B 10 FF 52 7C 8B D8 8D 45 FC 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 88 1C 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7512_0 {
	meta:
		name = "TDBXReaderByteReader.GetSingle"
		size = 206
		refs = "001c TDBXReaderByteReader.GetSingle 005b TDBXPlatform.SingleToInt32Bits 0069 TArray<System.Byte> 006e @DynArrayAsg 00b9 @DynArrayClear 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B D7 8B 08 FF 51 10 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 08 C7 06 FF FF FF FF EB 5D 33 C0 89 06 8B C3 8B 10 FF 92 90 00 00 00 83 C4 FC D9 1C 24 9B E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 88 1C 10 8B 45 FC 33 D2 8B CB C1 E9 08 88 4C 10 01 8B 45 FC 33 D2 8B CB C1 E9 10 88 4C 10 02 8B 45 FC 33 D2 C1 EB 18 88 5C 10 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7514_0 {
	meta:
		name = "TDBXReaderByteReader.GetTime"
		size = 191
		refs = "001c TDBXReaderByteReader.GetTime 005a TArray<System.Byte> 005f @DynArrayAsg 00aa @DynArrayClear 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B D7 8B 08 FF 51 10 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 08 C7 06 FF FF FF FF EB 4E 33 C0 89 06 8B C3 8B 10 FF 52 6C 8B D8 8D 45 FC 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 88 1C 10 8B 45 FC 33 D2 8B CB C1 E9 08 88 4C 10 01 8B 45 FC 33 D2 8B CB C1 E9 10 88 4C 10 02 8B 45 FC 33 D2 C1 EB 18 88 5C 10 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7515_0 {
	meta:
		name = "TDBXReaderByteReader.GetTimeStamp"
		size = 531
		refs = "0025 TDBXReaderByteReader.GetTimeStamp 006e TArray<System.Byte> 0073 @DynArrayAsg 01fe @FinalizeArray 0204 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 89 55 E0 8B F0 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 8B 55 E0 8B 08 FF 51 10 8B F0 8B C6 8B 10 FF 52 58 84 C0 74 0B C7 07 FF FF FF FF E9 90 01 00 00 33 C0 89 07 8D 55 D0 8B C6 8B 08 FF 91 9C 00 00 00 0F B7 75 D0 8B D3 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 8B CE 88 0C 10 8B 45 FC 33 D2 0F BF CE C1 E9 08 88 4C 10 01 0F B7 75 D2 8B D3 8D 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 BA 02 00 00 00 8B CE 88 0C 10 8B 45 F8 BA 02 00 00 00 0F BF CE C1 E9 08 88 4C 10 01 0F B7 75 D4 8B D3 8D 45 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 BA 04 00 00 00 8B CE 88 0C 10 8B 45 F4 BA 04 00 00 00 0F BF CE C1 E9 08 88 4C 10 01 0F B7 75 D6 8B D3 8D 45 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 BA 06 00 00 00 8B CE 88 0C 10 8B 45 F0 BA 06 00 00 00 0F BF CE C1 E9 08 88 4C 10 01 0F B7 75 D8 8B D3 8D 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC BA 08 00 00 00 8B CE 88 0C 10 8B 45 EC BA 08 00 00 00 0F BF CE C1 E9 08 88 4C 10 01 0F B7 75 DA 8B D3 8D 45 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 BA 0A 00 00 00 8B CE 88 0C 10 8B 45 E8 BA 0A 00 00 00 0F BF CE C1 E9 08 88 4C 10 01 8B 75 DC 8B D3 8D 45 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 BA 0C 00 00 00 8B CE 88 0C 10 8B 45 E4 BA 0C 00 00 00 8B CE C1 E9 08 88 4C 10 01 8B 45 E4 BA 0C 00 00 00 8B CE C1 E9 10 88 4C 10 02 8B 45 E4 BA 0C 00 00 00 8B CE C1 E9 18 88 4C 10 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7516_0 {
	meta:
		name = "TDBXReaderByteReader.GetTimeStampOffset"
		size = 632
		refs = "0024 TDBXReaderByteReader.GetTimeStampOffset 006d TArray<System.Byte> 0072 @DynArrayAsg 0263 @FinalizeArray 0269 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 89 55 D8 8B F0 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 8B 55 D8 8B 08 FF 51 10 8B F0 8B C6 8B 10 FF 52 58 84 C0 74 0B C7 07 FF FF FF FF E9 F6 01 00 00 33 C0 89 07 8D 55 C4 8B C6 8B 08 FF 91 A0 00 00 00 0F B7 75 C4 8B D3 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 8B CE 88 0C 10 8B 45 FC 33 D2 0F BF CE C1 E9 08 88 4C 10 01 0F B7 75 C6 8B D3 8D 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 BA 02 00 00 00 8B CE 88 0C 10 8B 45 F8 BA 02 00 00 00 0F BF CE C1 E9 08 88 4C 10 01 0F B7 75 C8 8B D3 8D 45 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 BA 04 00 00 00 8B CE 88 0C 10 8B 45 F4 BA 04 00 00 00 0F BF CE C1 E9 08 88 4C 10 01 0F B7 75 CA 8B D3 8D 45 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 BA 06 00 00 00 8B CE 88 0C 10 8B 45 F0 BA 06 00 00 00 0F BF CE C1 E9 08 88 4C 10 01 0F B7 75 CC 8B D3 8D 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC BA 08 00 00 00 8B CE 88 0C 10 8B 45 EC BA 08 00 00 00 0F BF CE C1 E9 08 88 4C 10 01 0F B7 75 CE 8B D3 8D 45 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 BA 0A 00 00 00 8B CE 88 0C 10 8B 45 E8 BA 0A 00 00 00 0F BF CE C1 E9 08 88 4C 10 01 8B 75 D0 8B D3 8D 45 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 BA 0C 00 00 00 8B CE 88 0C 10 8B 45 E4 BA 0C 00 00 00 8B CE C1 E9 08 88 4C 10 01 8B 45 E4 BA 0C 00 00 00 8B CE C1 E9 10 88 4C 10 02 8B 45 E4 BA 0C 00 00 00 8B CE C1 E9 18 88 4C 10 03 0F B7 75 D4 8B D3 8D 45 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 BA 10 00 00 00 8B CE 88 0C 10 8B 45 E0 BA 10 00 00 00 0F BF CE C1 E9 08 88 4C 10 01 0F B7 75 D6 8B D3 8D 45 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC BA 12 00 00 00 8B CE 88 0C 10 8B 45 DC BA 12 00 00 00 0F BF CE C1 E9 08 88 4C 10 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7517_0 {
	meta:
		name = "TDBXReaderByteReader.GetUInt16"
		size = 205
		refs = "001a TDBXReaderByteReader.GetUInt16 005a TArray<System.Byte> 005f @DynArrayAsg 00b8 @FinalizeArray 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 43 08 8B 08 FF 51 10 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 08 C7 06 FF FF FF FF EB 59 33 C0 89 06 8B C3 8B 10 FF 52 68 84 C0 74 26 8D 45 FC 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 C6 04 10 01 8B 45 FC 33 D2 C6 44 10 01 00 EB 24 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 C6 04 10 00 8B 45 F8 33 D2 C6 44 10 01 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7518_0 {
	meta:
		name = "TDBXReaderByteReader.GetUInt8"
		size = 151
		refs = "001c TDBXReaderByteReader.GetUInt8 005a TArray<System.Byte> 005f @DynArrayAsg 0082 @DynArrayClear 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 43 08 8B 08 FF 51 10 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 08 C7 06 FF FF FF FF EB 26 33 C0 89 06 8B C3 8B 10 FF 52 78 8B D8 8D 45 FC 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 88 1C 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7519_0 {
	meta:
		name = "TDBXReaderByteReader.GetWideString"
		size = 211
		refs = "0019 TDBXReaderByteReader.GetWideString 00be @UStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B D6 8B 08 FF 51 10 8B F8 8B C7 8B 10 FF 52 58 84 C0 74 0B 8B 45 08 C7 00 FF FF FF FF EB 68 8B 45 08 33 D2 89 10 8B 43 08 8B D6 8B 08 FF 51 10 8D 55 FC 8B 08 FF 51 70 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B C8 8B 45 0C 85 C9 7E 2B 8B D0 D1 FA 79 03 83 D2 00 42 8B 5D FC 0F B7 54 53 FE 8B 5D F8 88 14 03 40 0F B7 D2 C1 EA 08 8B 5D F8 88 14 03 40 49 85 C9 7F D5 8B 55 F8 C6 04 02 00 8B 55 F8 C6 44 02 01 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7520_0 {
	meta:
		name = "TDBXDriverHelp.CreateTDBXContext"
		size = 13
		refs = "0003 _DV_TDBXContext 0008 TDBXContext.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49893_0 {
	meta:
		name = "GetWSDLLookup"
		size = 13
		refs = "0003 _DV_TWSDLLookup 0008 TWSDLLookup.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48580_0 {
	meta:
		name = "TBaseAdapterPageProducer.CreatePageElements"
		size = 13
		refs = "0003 _DV_TSitePageElements 0008 TObject.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47319_0 {
	meta:
		name = "TBaseInetXPageProducer.CreatePageElements"
		size = 13
		refs = "0003 _DV_TInetXPageElements 0008 TObject.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69626_0 {
	meta:
		name = "TBigEndianUnicodeEncoding.Clone"
		size = 13
		refs = "0003 _DV_TBigEndianUnicodeEncoding 0008 TUnicodeEncoding.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8407_0 {
	meta:
		name = "TDBXDb2MetaDataCommandFactory.CreateMetaDataReader"
		size = 13
		refs = "0003 _Dn_TDBXDb2MetaDataReader 0008 TObject.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9084_0 {
	meta:
		name = "TDBXFirebirdMetaDataCommandFactory.CreateMetaDataReader"
		size = 13
		refs = "0003 _Dn_TDBXFirebirdMetaDataReader 0008 TObject.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9199_0 {
	meta:
		name = "TDBXInformixMetaDataCommandFactory.CreateMetaDataReader"
		size = 13
		refs = "0003 _Dn_TDBXInformixMetaDataReader 0008 TObject.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9278_0 {
	meta:
		name = "TDBXInterbaseMetaDataCommandFactory.CreateMetaDataReader"
		size = 13
		refs = "0003 _Dn_TDBXInterbaseMetaDataReader 0008 TObject.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12150_0 {
	meta:
		name = "TDBXMsSqlMetaDataCommandFactory.CreateMetaDataReader"
		size = 13
		refs = "0003 _Dn_TDBXMsSqlMetaDataReader 0008 TObject.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12323_0 {
	meta:
		name = "TDBXMySqlMetaDataCommandFactory.CreateMetaDataReader"
		size = 13
		refs = "0003 _Dn_TDBXMySqlMetaDataReader 0008 TObject.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12557_0 {
	meta:
		name = "TDBXOdbcMetaDataCommandFactory.CreateMetaDataReader"
		size = 13
		refs = "0003 _Dn_TDBXOdbcMetaDataReader 0008 TDBXOdbcMetaDataReader.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12663_0 {
	meta:
		name = "TDBXOracleMetaDataCommandFactory.CreateMetaDataReader"
		size = 13
		refs = "0003 _Dn_TDBXOracleMetaDataReader 0008 TObject.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13319_0 {
	meta:
		name = "TDBXSybaseASAMetaDataCommandFactory.CreateMetaDataReader"
		size = 13
		refs = "0003 _Dn_TDBXSybaseASAMetaDataReader 0008 TObject.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13407_0 {
	meta:
		name = "TDBXSybaseASEMetaDataCommandFactory.CreateMetaDataReader"
		size = 13
		refs = "0003 _Dn_TDBXSybaseASEMetaDataReader 0008 TObject.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13410_0 {
	meta:
		name = "TDBXTableFactory.CreateDBXTable"
		size = 13
		refs = "0003 _Dn_TDBXMemoryTable 0008 TDBXMemoryTable.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19319_0 {
	meta:
		name = "TDSClientProxyWriterCpp.CreateProxyWriter"
		size = 13
		refs = "0003 _DV_TDSCppProxyWriter 0008 TDSCustomCppProxyWriter.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19614_0 {
	meta:
		name = "TDSClientProxyWriterCppRest.CreateProxyWriter"
		size = 13
		refs = "0003 _DV_TDSCppRestProxyWriter 0008 TDSCustomCppRestProxyWriter.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19902_0 {
	meta:
		name = "TDSClientProxyWriterCsharpSilverlight.CreateProxyWriter"
		size = 13
		refs = "0003 _DV_TDSCsharpSilverlightProxyWriter 0008 TDSCustomConnectorProxyWriter.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20182_0 {
	meta:
		name = "TDSClientProxyWriterDelphi.CreateProxyWriter"
		size = 13
		refs = "0003 _DV_TDSDelphiProxyWriter 0008 TDSCustomDelphiProxyWriter.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20457_0 {
	meta:
		name = "TDSClientProxyWriterDelphi.CreateProxyWriter"
		size = 13
		refs = "0003 _DV_TDSDelphiRestProxyWriter 0008 TDSCustomDelphiRestProxyWriter.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21459_0 {
	meta:
		name = "TDSClientProxyWriterJavaAndroid.CreateProxyWriter"
		size = 13
		refs = "0003 _DV_TDSJavaAndroidProxyWriter 0008 TDSCustomConnectorProxyWriter.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_21723_0 {
	meta:
		name = "TDSClientProxyWriterJavaBlackBerry.CreateProxyWriter"
		size = 13
		refs = "0003 _DV_TDSJavaBlackBerryProxyWriter 0008 TDSCustomConnectorProxyWriter.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19164_0 {
	meta:
		name = "TDSHTTPWebDispatcher.CreateHttpServer"
		size = 13
		refs = "0003 _DV_TDSHTTPServerWebBroker 0008 TDSHTTPServer.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9409_0 {
	meta:
		name = "TJSONFalse.Clone"
		size = 13
		refs = "0003 _DV_TJSONFalse 0008 TJSONAncestor.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9404_0 {
	meta:
		name = "TJSONNull.Clone"
		size = 13
		refs = "0003 _DV_TJSONNull 0008 TJSONAncestor.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9338_0 {
	meta:
		name = "TJSONTrue.Clone"
		size = 13
		refs = "0003 _DV_TJSONTrue 0008 TJSONAncestor.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49456_0 {
	meta:
		name = "TLinkedWebNode.GetResponseStream"
		size = 13
		refs = "0003 _Dn_TMemoryStream 0008 TObject.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48189_0 {
	meta:
		name = "TSessions.CreateSessionIDGen"
		size = 13
		refs = "0003 _DV_TSessionIDGen 0008 TSessionIDGen.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69607_0 {
	meta:
		name = "TUTF7Encoding.Clone"
		size = 13
		refs = "0003 _DV_TUTF7Encoding 0008 TUTF7Encoding.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69611_0 {
	meta:
		name = "TUTF8Encoding.Clone"
		size = 13
		refs = "0003 _DV_TUTF8Encoding 0008 TUTF8Encoding.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69616_0 {
	meta:
		name = "TUnicodeEncoding.Clone"
		size = 13
		refs = "0003 _DV_TUnicodeEncoding 0008 TUnicodeEncoding.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7524_0 {
	meta:
		name = "TDBXDriverHelp.CreateTDBXValueType"
		size = 22
		refs = "0008 _DV_TDBXValueType 000d TDBXValueType.Create"
	strings:
		$1 = { 53 8B DA 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 58 38 5B C3 }
	condition:
		$1
}

rule function_7525_0 {
	meta:
		name = "TDBXDriverHelp.GetConnection"
		size = 95
		refs = "0011 @UStrAddRef 0019 TDBXDriverHelp.GetConnection 0029 TDBXConnectionFactory.GetConnectionPropertiesItem 0035 TDBXConnectionFactory.GetConnection 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 48 04 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7527_0 {
	meta:
		name = "TDBXDriverHelp.GetNonDelegate"
		size = 6
		altNames = "TIdTask.DoRun TInTask.DoRun TObjectQueue.Peek TObjectStack.Peek TOrderedList.Peek"
	strings:
		$1 = { 8B 10 FF 52 08 C3 }
	condition:
		$1
}

rule function_7528_0 {
	meta:
		name = "TDBXDriverHelp.GetStreamReader"
		size = 31
		refs = "000c _DV_TDBXWritableValue 0011 @AsClass"
	strings:
		$1 = { 53 8B 10 FF 52 08 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 00 01 00 00 5B C3 }
	condition:
		$1
}

rule function_7533_0 {
	meta:
		name = "TDBXDriverHelp.HasOverflowBytes"
		size = 53
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 04 33 C0 5B C3 8B C3 8B 10 FF 92 00 01 00 00 8B D8 85 DB 74 0B 8B C3 8B 10 FF 52 04 84 C0 74 04 33 C0 EB 02 B0 01 5B C3 }
	condition:
		$1
}

rule function_7535_0 {
	meta:
		name = "TDBXDriverHelp.SetPendingValue"
		size = 11
	strings:
		$1 = { 8B C2 8B 10 FF 92 04 01 00 00 C3 }
	condition:
		$1
}

rule function_7536_0 {
	meta:
		name = "TDBXDriverHelp.CopyRowValue"
		size = 6
	strings:
		$1 = { 8B 08 FF 51 04 C3 }
	condition:
		$1
}

rule function_7540_0 {
	meta:
		name = "TDBXWideCharsValue.Create"
		size = 92
		refs = "000a @ClassCreate 0017 TDBXWideStringValue.Create 002c TDBXWideChars 0031 @DynArraySetLength 0049 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 20 6A 00 8D 46 24 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 8B 10 FF 92 F8 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7555_0 {
	meta:
		name = "TDBXAnsiCharsValue.Create"
		size = 92
		refs = "000a @ClassCreate 0017 TDBXAnsiStringValue.Create 002c TDBXAnsiChars 0031 @DynArraySetLength 0049 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 20 6A 00 8D 46 24 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 8B 10 FF 92 F8 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7541_0 {
	meta:
		name = "TDBXWideCharsValue.Destroy"
		size = 76
		refs = "0003 @BeforeDestruction 0017 TDBXWideChars 001c @DynArraySetLength 0028 EmptyStr 002f @UStrAsg 003a TDBXWideStringValue.Destroy 0045 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 8D 46 24 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 46 28 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7542_0 {
	meta:
		name = "TDBXWideCharsValue.GetStream"
		size = 33
	strings:
		$1 = { 53 56 51 8B F0 8D 46 0C 50 8D 4C 24 04 8B D6 8B 46 10 8B 18 FF 93 D4 00 00 00 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7543_0 {
	meta:
		name = "TDBXWideCharsValue.SetWideString"
		size = 72
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 89 43 0C 8D 43 28 8B 53 18 E8 ?? ?? ?? ?? 8D 43 18 8B D6 E8 ?? ?? ?? ?? C6 43 14 01 8B 73 10 85 F6 74 1A 8B C6 8B 10 FF 92 C0 00 00 00 89 43 08 8B D3 8B 43 10 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7558_0 {
	meta:
		name = "TDBXAnsiCharsValue.SetAnsiString"
		size = 72
		refs = "0012 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 89 43 0C 8D 43 28 8B 53 18 E8 ?? ?? ?? ?? 8D 43 18 8B D6 E8 ?? ?? ?? ?? C6 43 14 01 8B 73 10 85 F6 74 1A 8B C6 8B 10 FF 92 C0 00 00 00 89 43 08 8B D3 8B 43 10 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7544_0 {
	meta:
		name = "TDBXWideCharsValue.GetWideString"
		size = 249
		refs = "0014 TDBXWideCharsValue.GetWideString 006d EmptyStr 0074 @UStrAsg 0082 TDBXWideChars 0087 @DynArrayAsg 0094 @UStrSetLength 00a0 @UniqueStringU 00ae Move 00d9 @UStrClr 00e7 @DynArrayClear 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 10 85 F6 0F 84 94 00 00 00 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 0F 84 81 00 00 00 8D 43 20 50 8D 43 0C 50 8D 4B 24 8B D3 8B 43 10 8B 30 FF 96 C8 00 00 00 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 83 7B 0C 00 74 12 8D 43 18 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? EB 43 8D 45 FC 8B 53 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 20 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 85 F6 7E 16 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B CE 03 C9 8B 45 FC E8 ?? ?? ?? ?? 8D 43 18 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 53 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7545_0 {
	meta:
		name = "TDBXWideCharsValue.IsNull"
		size = 212
		refs = "000f TDBXWideCharsValue.IsNull 005d TDBXWideChars 0062 @DynArrayAsg 006f @UStrSetLength 007b @UniqueStringU 0089 Move 0094 @UStrAsg 00b2 @UStrClr 00c0 @DynArrayClear 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 10 85 F6 74 78 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 69 8D 43 20 50 8D 43 0C 50 8D 4B 24 8B D3 8B 43 10 8B 30 FF 96 C8 00 00 00 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 8D 45 FC 8B 53 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 20 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 85 F6 7E 16 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B CE 03 C9 8B 45 FC E8 ?? ?? ?? ?? 8D 43 18 8B 55 F8 E8 ?? ?? ?? ?? 83 7B 0C 01 1B C0 40 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7548_0 {
	meta:
		name = "TDBXWideCharsValue.SetDynamicBytes"
		size = 319
		refs = "0014 TDBXWideCharsValue.SetDynamicBytes 002e @_lldiv 0044 TDBXWideChars 0049 @DynArraySetLength 0057 TArray<System.Byte> 005c @DynArrayAsg 008b Move 00cf @UStrSetLength 00db @UniqueStringU 00f4 @UStrAsg 0109 @UStrClr 011c @FinalizeArray 012a @DynArrayClear 0130 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 43 0C 6A 00 6A 02 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 8B F0 3B 73 20 7E 17 56 8D 43 24 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 FC 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 8B 55 08 8B 4D FC 8B 7D 10 03 CF 51 8B 4D F8 8D 04 41 8B CA 8B D0 58 E8 ?? ?? ?? ?? 89 73 20 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 C6 43 14 01 8B 43 10 85 C0 74 0A 8B D3 8B 08 FF 91 08 01 00 00 8D 45 F4 8B 53 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 20 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 85 F6 7E 16 8D 45 F0 E8 ?? ?? ?? ?? 8B D0 8B CE 03 C9 8B 45 F4 E8 ?? ?? ?? ?? 8D 43 18 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_7551_0 {
	meta:
		name = "TDBXWideCharsValue.GetBytes"
		size = 164
		refs = "0016 TDBXWideCharsValue.GetBytes 002b TDBXWideChars 0030 @DynArrayAsg 008a @DynArrayClear 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F8 8B 52 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 48 20 8B 45 18 85 C9 7E 23 8B D0 D1 FA 79 03 83 D2 00 8B 5D FC 0F B7 14 53 88 14 06 40 0F B7 D2 C1 EA 08 88 14 06 40 49 85 C9 7F DD 8B 45 F8 8B 40 20 03 C0 99 89 45 F0 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F0 8B 55 F4 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_7553_0 {
	meta:
		name = "TDBXAnsiStringValue.SetOverflowBytes"
		size = 28
		refs = "0012 TObject.Free"
		altNames = "TDBXWideStringValue.SetOverflowBytes"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 89 73 1C 5E 5B C3 }
	condition:
		$1
}

rule function_7554_0 {
	meta:
		name = "TDBXWideCharsValue.GetValueSize"
		size = 58
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 11 C7 04 24 FF FF FF FF C7 44 24 04 FF FF FF FF EB 0D 8B 43 20 03 C0 99 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_7556_0 {
	meta:
		name = "TDBXAnsiCharsValue.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TDBXAnsiChars 001c @DynArraySetLength 0027 @LStrClr 0032 TDBXAnsiStringValue.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 8D 46 24 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7557_0 {
	meta:
		name = "TDBXAnsiCharsValue.GetStream"
		size = 33
	strings:
		$1 = { 53 56 51 8B F0 8D 46 0C 50 8D 4C 24 04 8B D6 8B 46 10 8B 18 FF 93 D8 00 00 00 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7559_0 {
	meta:
		name = "TDBXAnsiCharsValue.SetDynamicBytes"
		size = 320
		refs = "0014 TDBXAnsiCharsValue.SetDynamicBytes 0043 TDBXAnsiChars 0048 @DynArraySetLength 0056 TArray<System.Byte> 005b @DynArrayAsg 008c Move 00d2 @LStrSetLength 00de @UniqueStringA 00f5 @LStrAsg 010a @LStrClr 011d @FinalizeArray 012b @DynArrayClear 0131 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 43 0C 8B 43 20 99 3B 55 0C 75 07 3B 45 08 73 1E EB 02 7D 1A 8B 45 08 50 8D 43 24 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 FC 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 8B 75 08 8B D6 8B 4D FC 8B 7D 10 03 CF 51 8B 4D F8 8D 04 01 8B CA 8B D0 58 E8 ?? ?? ?? ?? 89 73 20 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 C6 43 14 01 8B 43 10 85 C0 74 0A 8B D3 8B 08 FF 91 08 01 00 00 8D 45 F4 8B 53 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 20 8D 45 F0 33 C9 8B D6 E8 ?? ?? ?? ?? 85 F6 7E 14 8D 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B CE E8 ?? ?? ?? ?? 8D 43 18 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_7560_0 {
	meta:
		name = "TDBXAnsiCharsValue.GetAnsiString"
		size = 237
		refs = "0014 TDBXAnsiCharsValue.GetAnsiString 0068 @LStrClr 0076 TDBXAnsiChars 007b @DynArrayAsg 008a @LStrSetLength 0096 @UniqueStringA 00a2 Move 00ad @LStrAsg 00db @DynArrayClear 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 10 85 F6 0F 84 88 00 00 00 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 79 8D 43 20 50 8D 43 0C 50 8D 4B 24 8B D3 8B 43 10 8B 30 FF 96 CC 00 00 00 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 83 7B 0C 00 74 0A 8D 43 18 E8 ?? ?? ?? ?? EB 43 8D 45 FC 8B 53 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 20 8D 45 F8 33 C9 8B D6 E8 ?? ?? ?? ?? 85 F6 7E 14 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B CE E8 ?? ?? ?? ?? 8D 43 18 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 53 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7561_0 {
	meta:
		name = "TDBXAnsiCharsValue.IsNull"
		size = 212
		refs = "000f TDBXAnsiCharsValue.IsNull 005d TDBXAnsiChars 0062 @DynArrayAsg 0071 @LStrSetLength 007d @UniqueStringA 0089 Move 0094 @LStrAsg 00b2 @LStrClr 00c0 @DynArrayClear 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 10 85 F6 74 78 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 69 8D 43 20 50 8D 43 0C 50 8D 4B 24 8B D3 8B 43 10 8B 30 FF 96 CC 00 00 00 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 8D 45 FC 8B 53 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 20 8D 45 F8 33 C9 8B D6 E8 ?? ?? ?? ?? 85 F6 7E 14 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B CE E8 ?? ?? ?? ?? 8D 43 18 8B 55 F8 E8 ?? ?? ?? ?? 83 7B 0C 01 1B C0 40 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7562_0 {
	meta:
		name = "TDBXAnsiCharsValue.CopyRowValue"
		size = 108
		refs = "0010 TDBXAnsiCharsValue.CopyRowValue 005a @LStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 58 84 C0 74 0B 8B D6 8B C7 8B 08 FF 51 6C EB 19 8D 55 FC 8B C6 8B 08 FF 51 60 8B 4D FC 8B D6 8B C7 8B 18 FF 93 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7563_0 {
	meta:
		name = "TDBXAnsiCharsValue.SetRowValue"
		size = 23
	strings:
		$1 = { 53 56 8B F0 8B 4E 18 8B D6 8B 46 10 8B 18 FF 93 E8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7565_0 {
	meta:
		name = "TDBXAnsiCharsValue.GetBytes"
		size = 141
		refs = "0017 TDBXAnsiCharsValue.GetBytes 0029 TDBXAnsiChars 002e @DynArrayAsg 0072 @DynArrayClear 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 20 8B 45 18 85 D2 7E 15 8B 4D FC 0F B6 0C 01 8B 5D F8 8D 3C 03 88 0F 40 4A 85 D2 7F EB 8B 46 20 99 89 45 F0 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F0 8B 55 F4 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_7568_0 {
	meta:
		name = "TDBXAnsiCharsValue.GetValueSize"
		size = 56
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 11 C7 04 24 FF FF FF FF C7 44 24 04 FF FF FF FF EB 0B 8B 43 20 99 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_7569_0 {
	meta:
		name = "TDBXStreamValue.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TDBXByteArrayValue.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 F8 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7570_0 {
	meta:
		name = "TDBXStreamValue.Destroy"
		size = 75
		refs = "0003 @BeforeDestruction 000e TDBXStreamValue.FreeLastReadStream 001e TObject.Free 0039 TDBXByteArrayValue.Destroy 0044 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 46 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7571_0 {
	meta:
		name = "TDBXStreamValue.FreeLastReadStream"
		size = 43
		refs = "0026 TObject.Free"
	strings:
		$1 = { 80 78 50 00 74 24 8B 50 40 85 D2 74 0D 8B 4A 04 3B 48 54 75 05 33 C9 89 4A 04 83 C0 54 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7572_0 {
	meta:
		name = "TDBXStreamValue.GetStream"
		size = 50
	strings:
		$1 = { 53 51 88 14 24 8B D8 8B C3 8B 10 FF 92 B8 00 00 00 8B D0 0F B6 04 24 88 43 50 8B 43 40 85 C0 74 0C 3B 50 04 75 07 0F B6 0C 24 88 48 0B 8B C2 5A 5B C3 }
	condition:
		$1
}

rule function_7573_0 {
	meta:
		name = "TDBXStreamValue.GetStream"
		size = 119
		refs = "004d TDBXLookAheadStreamReader.ConvertToMemoryStream 0066 TDBXStreamValue.FreeLastReadStream"
	strings:
		$1 = { 53 56 51 8B D8 8B 73 10 85 F6 74 2B 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1C 33 C0 89 04 24 8D 43 0C 50 8D 4C 24 04 8B D3 8B 43 10 8B 30 FF 96 D0 00 00 00 EB 24 80 7B 14 00 74 19 83 7B 0C 00 75 13 83 7B 40 00 74 0D 8B 43 40 E8 ?? ?? ?? ?? 89 04 24 EB 05 33 C0 89 04 24 8B 43 54 3B 04 24 74 07 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 43 54 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7574_0 {
	meta:
		name = "TDBXStreamValue.GetValueSize"
		size = 80
		refs = "003a TDBXByteArrayValue.GetValueSize"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 7B 48 00 74 2B 8B C3 8B 10 FF 52 58 84 C0 74 11 C7 04 24 FF FF FF FF C7 44 24 04 FF FF FF FF EB 1D 8B 43 20 89 04 24 8B 43 24 89 44 24 04 EB 0E 8B C3 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_7575_0 {
	meta:
		name = "TDBXStreamValue.SetDynamicBytes"
		size = 149
		refs = "0020 TObject.Free 0041 _DV_TDBXByteStreamReader 0046 TDBXByteStreamReader.Create 008b TDBXByteArrayValue.SetDynamicBytes"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 80 7B 48 00 74 65 33 C0 89 43 0C 8D 43 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 08 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 44 C6 43 14 01 8B 73 10 85 F6 74 37 8B C6 8B 10 FF 92 C0 00 00 00 89 43 08 8B D3 8B 43 10 8B 08 FF 91 08 01 00 00 EB 1B FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_7577_0 {
	meta:
		name = "TDBXStreamValue.CopyRowValue"
		size = 169
		refs = "0026 _DV_TDBXLookAheadStreamReader 002b TObject.Create 0036 TDBXStreamValue.CopyRowValue 0054 TDBXLookAheadStreamReader.SetStream 0079 TDBXByteArrayValue.SetOverflowBytes 0098 TObject.Free 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 0E 8B D3 8B C6 8B 08 FF 51 6C E9 81 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 8B C3 8B 08 FF 91 B4 00 00 00 8B D0 B1 01 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC 8B D3 8B C6 8B 30 FF 96 F4 00 00 00 8B 45 FC 8B 10 FF 52 04 84 C0 75 0F 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7578_0 {
	meta:
		name = "TDBXStreamValue.GetStreamReader"
		size = 25
	strings:
		$1 = { 8B 50 38 85 D2 74 03 8B C2 C3 8B 50 40 85 D2 74 04 8B C2 EB 03 8B 40 44 C3 }
	condition:
		$1
}

rule function_7579_0 {
	meta:
		name = "TDBXStreamValue.SetRowValue"
		size = 67
		refs = "0036 TDBXByteArrayValue.SetRowValue"
	strings:
		$1 = { 53 80 78 48 00 74 35 8B 50 40 85 D2 74 10 8B CA 8B 50 10 92 8B 18 FF 93 F4 00 00 00 EB 23 8B 50 44 85 D2 74 10 8B CA 8B 50 10 92 8B 18 FF 93 F4 00 00 00 EB 0C E8 ?? ?? ?? ?? 5B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7580_0 {
	meta:
		name = "TDBXStreamValue.SetStream"
		size = 127
		refs = "000c TDBXStreamValue.FreeLastReadStream 0031 TObject.Free 003e _DV_TDBXLookAheadStreamReader 0043 TObject.Create 0052 TDBXLookAheadStreamReader.SetStream"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B C7 E8 ?? ?? ?? ?? 85 F6 75 0C 8B C7 8B 10 FF 92 58 01 00 00 EB 5B 33 C0 89 47 0C 8D 47 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 83 7F 40 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 40 8B CB 8B D6 8B 47 40 E8 ?? ?? ?? ?? C6 47 14 01 8B 77 10 85 F6 74 1A 8B C6 8B 10 FF 92 C0 00 00 00 89 47 08 8B D7 8B 47 10 8B 08 FF 91 08 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7581_0 {
	meta:
		name = "TDBXStreamValue.UpdateType"
		size = 51
	strings:
		$1 = { 53 56 8B D8 8B 43 04 8B 10 FF 52 64 A8 80 75 15 8B 73 10 85 F6 74 15 8B C6 8B 10 FF 92 C4 00 00 00 84 C0 74 07 C6 43 48 01 5E 5B C3 C6 43 48 00 5E 5B C3 }
	condition:
		$1
}

rule function_7583_0 {
	meta:
		name = "TDBXLookAheadStreamReader.ConvertToMemoryStream"
		size = 280
		refs = "0013 TDBXLookAheadStreamReader.ConvertToMemoryStream 0038 _Dn_TMemoryStream 003d @IsClass 0051 TObject.Create 008b TArray<System.Byte> 0090 @DynArraySetLength 009b @DynArrayLength 00d6 TObject.Free 0104 @DynArrayClear 010a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 04 00 75 07 33 DB E9 C3 00 00 00 8B C3 8B 10 FF 52 08 8B F0 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 91 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 85 F6 7C 0A 8B D6 8B 45 F8 8B 08 FF 51 04 80 7B 09 00 74 10 8D 53 0A B9 01 00 00 00 8B 45 F8 8B 30 FF 56 10 68 00 7D 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 43 04 8B 30 FF 56 0C 8B F0 85 F6 7E 0F 8B 55 FC 8B CE 8B 45 F8 8B 30 FF 56 10 EB D6 8B 43 04 89 45 F4 8B 45 F8 89 43 04 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 43 04 8B 30 FF 56 14 C6 43 09 00 8B 5B 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7584_0 {
	meta:
		name = "TDBXLookAheadStreamReader.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001d TObject.Free 0028 TObject.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 0B 00 74 10 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7585_0 {
	meta:
		name = "TDBXLookAheadStreamReader.Eos"
		size = 52
	strings:
		$1 = { 53 56 8B D8 80 7B 08 00 75 23 80 7B 09 00 75 1D 8D 53 0A B9 01 00 00 00 8B 43 04 8B 30 FF 56 0C 48 75 06 C6 43 09 01 EB 04 C6 43 08 01 0F B6 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_7586_0 {
	meta:
		name = "TDBXLookAheadStreamReader.Read"
		size = 103
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 80 7B 09 00 74 29 8B 45 FC 8B 55 F8 0F B6 4B 0A 88 0C 10 C6 43 09 00 8B 45 FC 8B 55 F8 8D 54 10 01 8B CE 49 8B 43 04 8B 38 FF 57 0C 40 EB 13 8B 45 FC 8B 55 F8 8D 14 10 8B CE 8B 43 04 8B 38 FF 57 0C 3B F0 7E 04 C6 43 08 01 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7587_0 {
	meta:
		name = "TDBXLookAheadStreamReader.SetStream"
		size = 49
		refs = "001b TObject.Free"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 80 7F 0B 00 74 10 8D 47 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 88 5F 0B C6 47 08 00 C6 47 09 00 89 77 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7588_0 {
	meta:
		name = "TDBXLookAheadStreamReader.Size"
		size = 28
		altNames = "TDBXPoolCommand.GetRowsAffected"
	strings:
		$1 = { 83 C4 F8 C7 04 24 FF FF FF FF C7 44 24 04 FF FF FF FF 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_7590_0 {
	meta:
		name = "TCustomWrapper.Attach"
		size = 4
		altNames = "TDBXCommand.SetCommandTimeout TIdDNSMap.SetServer TseBitmapLink.SetBottom"
	strings:
		$1 = { 89 50 14 C3 }
	condition:
		$1
}

rule function_7591_0 {
	meta:
		name = "TDBXByteReader.GetBoolean"
		size = 28
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 45 0C 50 8B 45 08 50 8B C6 8B 18 FF 53 14 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_7593_0 {
	meta:
		name = "TDBXByteStreamReader.Eos"
		size = 10
	strings:
		$1 = { 8B 50 0C 3B 50 10 0F 94 C0 C3 }
	condition:
		$1
}

rule function_7594_0 {
	meta:
		name = "TDBXByteStreamReader.Read"
		size = 167
		refs = "0017 TDBXByteStreamReader.Read 0038 TArray<System.Byte> 003d @DynArrayAsg 006d Move 0090 @FinalizeArray 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 08 8B 43 0C 2B 43 10 3B C6 7D 02 8B F0 8D 45 FC 8B 53 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C6 85 C0 7E 17 8B 4D FC 8B 7B 10 03 CF 51 8B 4D F8 8D 14 11 8B C8 58 E8 ?? ?? ?? ?? 01 73 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7596_0 {
	meta:
		name = "TDBXByteStreamReader.Create"
		size = 155
		refs = "000e @ClassCreate 001d @DynArrayAddRef 0025 TDBXByteStreamReader.Create 0034 TObject.Create 0040 TArray<System.Byte> 0045 @DynArrayAsg 0071 @DynArrayClear 0077 @HandleFinally 0084 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 89 46 08 8B 45 08 89 46 0C 33 C0 89 46 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7597_0 {
	meta:
		name = "TDBXByteStreamReader.Size"
		size = 26
		altNames = "TDBXBytesStream.GetSize"
	strings:
		$1 = { 83 C4 F8 8B C8 8B 41 0C 99 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_7602_0 {
	meta:
		name = "TDBXDriverHelp.UpdateParameterType"
		size = 21
		refs = "000f TDBXParameter.UpdateParameterType"
	strings:
		$1 = { 53 8B DA 8B C3 8B 10 FF 52 50 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7604_0 {
	meta:
		name = "TDBXNullValue.Create"
		size = 64
		refs = "000a @ClassCreate 0017 TDBXWritableValue.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 0C FF FF FF FF C6 46 14 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7607_0 {
	meta:
		name = "TDBXDefaultFormatter.Create"
		size = 296
		refs = "000a @ClassCreate 0017 TObject.Create 0025 TDBXDefaultFormatter.Create 002a @UStrAsg 00cf @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 C7 46 0A 2D 00 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 86 D0 00 00 00 3A 00 66 C7 86 86 01 00 00 2E 00 8D 86 E4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 86 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 86 92 01 00 00 2D 00 66 C7 86 4A 02 00 00 2E 00 8D 86 98 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 86 9C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 86 94 01 00 00 3A 00 8D 86 A8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 86 AC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 59 00 59 00 59 00 59 00 2D 00 4D 00 4D 00 2D 00 44 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 68 00 68 00 3A 00 6E 00 6E 00 3A 00 73 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_7608_0 {
	meta:
		name = "TDBXDefaultFormatter.BcdToString"
		size = 36
		refs = "001a BcdToStr"
	strings:
		$1 = { 53 56 83 C4 DC 8B F1 8B DA 8B D4 8B C3 8B 08 FF 91 A4 00 00 00 8B C4 8B D6 E8 ?? ?? ?? ?? 83 C4 24 5E 5B C3 }
	condition:
		$1
}

rule function_7609_0 {
	meta:
		name = "TDBXDefaultFormatter.StringToBcd"
		size = 92
		refs = "0010 @UStrAddRef 0018 TDBXDefaultFormatter.StringToBcd 0029 StrToBcd 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 D8 8B C3 8B 08 FF 91 64 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7610_0 {
	meta:
		name = "TDBXDefaultFormatter.DateToString"
		size = 142
		refs = "0018 TDBXDefaultFormatter.DateToString 0035 TimeStampToDateTime 005c DateTimeToString 0066 @UStrAsg 007b @UStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E8 8B C7 8B 10 FF 52 64 89 45 EC 8D 45 E8 E8 ?? ?? ?? ?? DD 5D F0 9B 8B 45 F0 89 45 E0 8B 45 F4 89 45 E4 8D 43 04 FF 75 E4 FF 75 E0 8B C8 8D 55 FC 8B 40 0C 92 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7611_0 {
	meta:
		name = "TDBXDefaultFormatter.GetDefaultDBXFormatter"
		size = 39
		refs = "0002 TDBXDefaultFormatter.FDBXDefaultFormatterSingleton 000c _DV_TDBXDefaultFormatter 0011 TDBXDefaultFormatter.Create 001c TDBXDefaultFormatter.FDBXDefaultFormatterSingletonOwned"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7613_0 {
	meta:
		name = "TDBXDefaultFormatter.StringToDate"
		size = 114
		refs = "0013 @UStrAddRef 001b TDBXDefaultFormatter.StringToDate 002c StrToDate 003e DateTimeToTimeStamp 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 53 04 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 8B 08 FF 91 70 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7614_0 {
	meta:
		name = "TDBXDefaultFormatter.StringToTime"
		size = 117
		refs = "0013 @UStrAddRef 001b TDBXDefaultFormatter.StringToTime 002f StrToTime 0041 DateTimeToTimeStamp 0063 @UStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 93 C8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 8B 08 FF 91 74 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7615_0 {
	meta:
		name = "TDBXDefaultFormatter.TimeToString"
		size = 147
		refs = "0018 TDBXDefaultFormatter.TimeToString 0037 TimeStampToDateTime 0061 DateTimeToString 006b @UStrAsg 0080 @UStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 10 FF 52 6C 89 45 E8 C7 45 EC 5A 95 0A 00 8D 45 E8 E8 ?? ?? ?? ?? DD 5D F0 9B 8B 45 F0 89 45 E0 8B 45 F4 89 45 E4 8D 83 C8 00 00 00 FF 75 E4 FF 75 E0 8B C8 8D 55 FC 8B 40 20 92 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7616_0 {
	meta:
		name = "TDBXDefaultFormatter.StringToTimestamp"
		size = 117
		refs = "0013 @UStrAddRef 001b TDBXDefaultFormatter.StringToTimestamp 002f StrToDateTime 0041 DateTimeToSQLTimeStamp 0063 @UStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 93 8C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 E0 8B C6 8B 08 FF 91 5C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7617_0 {
	meta:
		name = "TDBXDefaultFormatter.StringToTimestampOffset"
		size = 92
		refs = "0010 @UStrAddRef 0018 TDBXDefaultFormatter.StringToTimestampOffset 0029 StrToSQLTimeStampOffset 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 08 FF 91 60 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7618_0 {
	meta:
		name = "TDBXDefaultFormatter.TimestampOffsetToString"
		size = 38
		refs = "001c SQLTimeStampOffsetToStr"
	strings:
		$1 = { 53 56 83 C4 EC 8B F1 8B DA 8B D4 8B C3 8B 08 FF 91 A0 00 00 00 8B D4 8B CE 33 C0 E8 ?? ?? ?? ?? 83 C4 14 5E 5B C3 }
	condition:
		$1
}

rule function_7619_0 {
	meta:
		name = "TDBXDefaultFormatter.TimestampToString"
		size = 220
		refs = "001b TDBXDefaultFormatter.TimestampToString 0036 SQLTimeStampToDateTime 005e DateTimeToString 0068 @UStrAsg 008b IntToStr 009a @UStrCatN 00af @UStrClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D FC 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 D8 E8 ?? ?? ?? ?? DD 5D F0 9B 8B 45 F0 89 45 E8 8B 45 F4 89 45 EC 8D 86 8C 01 00 00 FF 75 EC FF 75 E8 8B C8 8D 45 FC 33 D2 E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? 8D 55 D8 8B C7 8B 08 FF 91 9C 00 00 00 8B 45 E4 33 D2 52 50 8D 45 D4 E8 ?? ?? ?? ?? FF 75 D4 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_7620_0 {
	meta:
		name = "TDBXReaderValue.GetDBXReader"
		size = 22
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 92 AC 00 00 00 88 5E 24 5E 5B C3 }
	condition:
		$1
}

rule function_7621_0 {
	meta:
		name = "TDBXReaderValue.GetDBXReader"
		size = 23
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 04 33 C0 5B C3 8B 43 18 5B C3 }
	condition:
		$1
}

rule function_7624_0 {
	meta:
		name = "TDBXReaderValue.IsNull"
		size = 71
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 32 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 23 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 50 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 C6 43 1C 01 83 7B 0C 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_7625_0 {
	meta:
		name = "TDBXReaderValue.SetDBXReader"
		size = 113
		refs = "0036 TObject.Free"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 85 F6 75 0C 8B C3 8B 10 FF 92 58 01 00 00 EB 4F 33 C0 89 43 0C 3B 73 18 74 16 80 7B 24 00 74 10 8D 43 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 89 73 18 0F B6 04 24 88 43 24 C6 43 14 01 8B 73 10 85 F6 74 1A 8B C6 8B 10 FF 92 C0 00 00 00 89 43 08 8B D3 8B 43 10 8B 08 FF 91 08 01 00 00 C6 43 1C 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7626_0 {
	meta:
		name = "TDBXReaderValue.SetValue"
		size = 57
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 58 84 C0 74 0D 8B C3 8B 10 FF 92 58 01 00 00 5E 5B C3 8B C6 8B 10 FF 92 AC 00 00 00 8B D0 33 C9 8B C3 8B 18 FF 93 A8 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7627_0 {
	meta:
		name = "TControlProperties.SetContainedControl"
		size = 4
		altNames = "TDBXReaderValue.SetHandle TDockZone.SetZoneLimit"
	strings:
		$1 = { 89 50 20 C3 }
	condition:
		$1
}

rule function_7628_0 {
	meta:
		name = "TDBXReaderValue.SetNull"
		size = 39
		refs = "0015 TObject.Free 0021 TDBXWritableValue.SetNull"
	strings:
		$1 = { 53 8B D8 80 7B 24 00 74 10 8D 43 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 89 43 18 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7629_0 {
	meta:
		name = "TDBXReaderValue.SetRowValue"
		size = 19
	strings:
		$1 = { 53 8B 48 18 8B D0 8B 40 10 8B 18 FF 93 F8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7630_0 {
	meta:
		name = "TDBXReaderValue.CopyRowValue"
		size = 58
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 0C 8B D3 8B C6 8B 08 FF 51 6C 5E 5B C3 B2 01 8B C3 8B 08 FF 91 A8 00 00 00 8B C8 8B D3 8B C6 8B 18 FF 93 F8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7631_0 {
	meta:
		name = "TDBXReaderValue.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001d TObject.Free 0028 TDBXWritableValue.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 24 00 74 10 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7632_0 {
	meta:
		name = "TDBXStream.Seek"
		size = 17
		refs = "000a TStream.Seek"
	strings:
		$1 = { 85 D2 74 0A 66 85 C9 74 05 E8 ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule function_7633_0 {
	meta:
		name = "TDBXStream.Seek"
		size = 74
		refs = "0022 _DV_TDBXError 0027 TDBXError.Create 002c @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B CA 83 7D 0C 00 75 04 83 7D 08 00 74 1C 84 C9 74 18 6A 00 B9 05 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 8B 45 F8 8B 55 FC 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7634_0 {
	meta:
		name = "TDBXStreamReaderStream.GetSize"
		size = 28
	strings:
		$1 = { 83 C4 F8 8B 40 0C 8B 10 FF 52 08 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_7635_0 {
	meta:
		name = "TDBXStreamReaderStream.Read"
		size = 128
		refs = "0022 @DynArrayLength 0054 Move"
	strings:
		$1 = { 53 56 57 83 C4 F0 89 0C 24 8B D8 33 C0 89 44 24 04 89 54 24 08 8B 04 24 89 44 24 0C EB 42 8B 43 04 E8 ?? ?? ?? ?? 8B F8 3B 7C 24 0C 7E 04 8B 7C 24 0C 57 33 C9 8B 53 04 8B 43 0C 8B 30 FF 16 8B F0 29 74 24 0C 8B 43 04 8B 53 08 03 C2 8B 54 24 08 8B CE E8 ?? ?? ?? ?? 01 74 24 08 01 74 24 04 8B 44 24 04 3B 04 24 7D 0C 8B 43 0C 8B 10 FF 52 04 84 C0 74 A9 8B 44 24 04 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7636_0 {
	meta:
		name = "TDBXBytesStream.ReadBytes"
		size = 19
		altNames = "TDBXStreamReaderStream.ReadBytes"
	strings:
		$1 = { 55 8B EC 53 03 D1 8B 4D 08 8B 18 FF 53 0C 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_7638_0 {
	meta:
		name = "TDBXStreamReaderStream.Create"
		size = 92
		refs = "000e @ClassCreate 001d TObject.Create 0032 TArray<System.Byte> 0037 @DynArraySetLength 0045 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B 45 08 50 8D 47 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_7639_0 {
	meta:
		name = "TDBXIndexColumns.Destroy"
		size = 41
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 @ClassDestroy"
		altNames = "TDBXStreamReaderStream.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7640_0 {
	meta:
		name = "TDBXBytesStream.Create"
		size = 144
		refs = "000e @ClassCreate 001d @DynArrayAddRef 0025 TDBXBytesStream.Create 0034 TObject.Create 0040 TArray<System.Byte> 0045 @DynArrayAsg 0066 @DynArrayClear 006c @HandleFinally 0079 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 89 46 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7641_0 {
	meta:
		name = "TDBXBytesStream.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 0017 TArray<System.Byte> 001c @DynArraySetLength 002a TObject.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7643_0 {
	meta:
		name = "TDBXBytesStream.Read"
		size = 57
		refs = "001f Move"
	strings:
		$1 = { 53 56 57 8B F0 8B 5E 0C 8B 7E 08 2B DF 3B CB 7D 02 8B D9 85 DB 7E 13 8B 46 04 03 C7 8B CB E8 ?? ?? ?? ?? 01 5E 08 8B C3 EB 0B 85 DB 75 04 8B C3 EB 03 83 C8 FF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7648_0 {
	meta:
		name = "TDBXValueList.SetValues"
		size = 66
		refs = "000a @DynArrayLength 001b TDBXWritableValueArray 0020 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B F8 57 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D7 4A 85 D2 7C 10 42 33 C0 8B 0C 86 8B 7B 04 89 0C 87 40 4A 75 F3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7649_0 {
	meta:
		name = "TDBXValueList.SetValues"
		size = 25
		refs = "000d TDBXWritableValueArray 0012 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 04 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7650_0 {
	meta:
		name = "TDBXValueList.SetValues"
		size = 32
		refs = "0010 TDBXWritableValueArray 0015 @DynArrayAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8D 43 04 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 7B 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7651_0 {
	meta:
		name = "TDBXTimeStampOffsetValue.CopyRowValue"
		size = 65
	strings:
		$1 = { 53 56 57 83 C4 EC 8B FA 8B F0 8B C6 8B 10 FF 52 58 84 C0 74 0B 8B D6 8B C7 8B 08 FF 51 6C EB 1A 8B D4 8B C6 8B 08 FF 91 A0 00 00 00 8B CC 8B D6 8B C7 8B 18 FF 93 B0 00 00 00 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7652_0 {
	meta:
		name = "TDBXTimeStampOffsetValue.GetAsString"
		size = 23
		refs = "0007 TDBXDefaultFormatter.GetDefaultDBXFormatter"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B CE 8B D3 8B 18 FF 53 18 5E 5B C3 }
	condition:
		$1
}

rule function_7653_0 {
	meta:
		name = "TDBXTimeStampOffsetValue.GetTimeStampOffset"
		size = 72
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 44 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 8D 73 18 A5 A5 A5 A5 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7654_0 {
	meta:
		name = "TDBXTimeStampOffsetValue.IsNull"
		size = 67
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 44 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 83 7B 0C 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_7655_0 {
	meta:
		name = "TDBXTimeStampOffsetValue.SetAsString"
		size = 23
		refs = "0007 TDBXDefaultFormatter.GetDefaultDBXFormatter"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B CB 8B D6 8B 18 FF 53 1C 5E 5B C3 }
	condition:
		$1
}

rule function_7656_0 {
	meta:
		name = "TDBXTimeStampOffsetValue.SetRowValue"
		size = 19
	strings:
		$1 = { 53 8D 48 18 8B D0 8B 40 10 8B 18 FF 93 B0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7657_0 {
	meta:
		name = "TDBXTimeStampOffsetValue.SetTimeStampOffset"
		size = 61
	strings:
		$1 = { 53 56 57 8B D8 33 C0 89 43 0C 8B F2 8D 7B 18 A5 A5 A5 A5 A5 C6 43 14 01 8B 73 10 85 F6 74 1A 8B C6 8B 10 FF 92 C0 00 00 00 89 43 08 8B D3 8B 43 10 8B 08 FF 91 08 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7658_0 {
	meta:
		name = "TDBXTimeStampOffsetValue.SetValue"
		size = 62
	strings:
		$1 = { 53 56 83 C4 EC 8B F2 8B D8 8B C6 8B 10 FF 52 58 84 C0 74 0C 8B C3 8B 10 FF 92 58 01 00 00 EB 18 8B D4 8B C6 8B 08 FF 91 A0 00 00 00 8B D4 8B C3 8B 08 FF 91 60 01 00 00 83 C4 14 5E 5B C3 }
	condition:
		$1
}

rule function_7659_0 {
	meta:
		name = "TDBXInt8Value.Compare"
		size = 63
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 14 50 8B C6 8B 10 FF 52 14 5A 3A D0 75 05 33 C0 5E 5B C3 8B C3 8B 10 FF 52 14 50 8B C6 8B 10 FF 52 14 5A 3A D0 7D 05 83 C8 FF EB 04 66 B8 01 00 5E 5B C3 }
	condition:
		$1
}

rule function_7660_0 {
	meta:
		name = "TDBXInt8Value.CopyRowValue"
		size = 54
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 8B 10 FF 52 58 84 C0 74 0B 8B D6 8B C7 8B 08 FF 51 6C EB 15 8B C6 8B 10 FF 52 7C 8B C8 8B D6 8B C7 8B 18 FF 93 84 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7661_0 {
	meta:
		name = "TDBXInt8Value.GetAsBcd"
		size = 26
		refs = "0013 IntegerToBcd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 7C 0F BE C0 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7669_0 {
	meta:
		name = "TDBXInt8Value.GetAsString"
		size = 26
		refs = "0013 IntToStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 7C 0F BE C0 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7662_0 {
	meta:
		name = "TDBXInt8Value.GetAsBoolean"
		size = 17
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 7C 84 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_7663_0 {
	meta:
		name = "TDBXInt8Value.GetAsDouble"
		size = 36
		altNames = "TDBXUInt8Value.GetAsDouble"
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 8B 10 FF 52 7C 0F BE C0 89 44 24 08 DB 44 24 08 DD 1C 24 9B DD 04 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_7664_0 {
	meta:
		name = "TDBXInt8Value.GetAsInt16"
		size = 15
		altNames = "TDBXInt8Value.GetAsInt32 TDBXInt8Value.GetAsUInt16"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 7C 0F BE C0 5B C3 }
	condition:
		$1
}

rule function_7666_0 {
	meta:
		name = "TDBXInt8Value.GetAsInt64"
		size = 35
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 52 7C 0F BE C0 99 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_7668_0 {
	meta:
		name = "TDBXInt8Value.GetAsSingle"
		size = 35
		altNames = "TDBXUInt8Value.GetAsSingle"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 52 7C 0F BE C0 89 44 24 04 DB 44 24 04 D9 1C 24 9B D9 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_7671_0 {
	meta:
		name = "TDBXInt8Value.GetInt8"
		size = 64
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 18 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 0F B6 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_7672_0 {
	meta:
		name = "TDBXInt8Value.IsNull"
		size = 67
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 18 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 83 7B 0C 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_7673_0 {
	meta:
		name = "TDBXInt8Value.SetAsBcd"
		size = 52
		refs = "000b BcdToInteger 002d TDBXWritableValue.SetAsBcd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 33 D2 E8 ?? ?? ?? ?? 83 F8 7F 7F 14 83 F8 80 7C 0F 8B D0 8B C3 8B 08 FF 91 84 01 00 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7674_0 {
	meta:
		name = "TDBXInt8Value.SetAsBoolean"
		size = 9
		altNames = "TDBXInt8Value.SetAsInt8"
	strings:
		$1 = { 8B 08 FF 91 84 01 00 00 C3 }
	condition:
		$1
}

rule function_7675_0 {
	meta:
		name = "TDBXInt8Value.SetAsDouble"
		size = 84
		refs = "000b TDBXInt8Value.SetAsDouble 0028 @ROUND 0043 TDBXWritableValue.SetAsDouble"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 25 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 16 DD 45 08 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 84 01 00 00 EB 0D FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 00 00 FE 42 00 00 00 C3 }
	condition:
		$1
}

rule function_7676_0 {
	meta:
		name = "TDBXInt8Value.SetAsInt16"
		size = 27
		refs = "0016 TDBXWritableValue.SetAsInt16"
	strings:
		$1 = { 66 83 FA 7F 7F 0F 66 83 FA 80 7C 09 8B 08 FF 91 84 01 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7677_0 {
	meta:
		name = "TDBXInt8Value.SetAsInt32"
		size = 25
		refs = "0014 TDBXWritableValue.SetAsInt32"
	strings:
		$1 = { 83 FA 7F 7F 0E 83 FA 80 7C 09 8B 08 FF 91 84 01 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7678_0 {
	meta:
		name = "TDBXInt8Value.SetAsInt64"
		size = 70
		refs = "003e TDBXWritableValue.SetAsInt64"
	strings:
		$1 = { 55 8B EC 8B C8 83 7D 0C 00 75 08 83 7D 08 7F 77 24 EB 02 7F 20 83 7D 0C FF 75 08 83 7D 08 80 72 14 EB 02 7C 10 0F B6 55 08 8B C1 8B 08 FF 91 84 01 00 00 EB 0D FF 75 0C FF 75 08 8B C1 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_7680_0 {
	meta:
		name = "TDBXInt8Value.SetAsSingle"
		size = 84
		refs = "000b TDBXInt8Value.SetAsSingle 0028 @ROUND 0040 TDBXWritableValue.SetAsSingle"
	strings:
		$1 = { 55 8B EC 53 8B D8 D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 25 D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 16 D9 45 08 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 84 01 00 00 EB 0A FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 00 00 00 00 00 FE 42 00 00 00 C3 }
	condition:
		$1
}

rule function_7681_0 {
	meta:
		name = "TDBXInt8Value.SetAsString"
		size = 50
		refs = "0009 StrToInt 002b TDBXWritableValue.SetAsString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 F8 7F 7F 14 83 F8 80 7C 0F 8B D0 8B C3 8B 08 FF 91 84 01 00 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7682_0 {
	meta:
		name = "TDBXInt8Value.SetAsUInt16"
		size = 21
		refs = "0010 TDBXWritableValue.SetAsUInt16"
	strings:
		$1 = { 66 83 FA 7F 73 09 8B 08 FF 91 84 01 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7683_0 {
	meta:
		name = "TDBXInt8Value.SetInt8"
		size = 52
		altNames = "TDBXUInt8Value.SetUInt8"
	strings:
		$1 = { 53 56 8B D8 33 C0 89 43 0C 88 53 18 C6 43 14 01 8B 73 10 85 F6 74 1A 8B C6 8B 10 FF 92 C0 00 00 00 89 43 08 8B D3 8B 43 10 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7684_0 {
	meta:
		name = "TDBXInt8Value.SetRowValue"
		size = 20
	strings:
		$1 = { 53 0F B6 48 18 8B D0 8B 40 10 8B 18 FF 93 84 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7685_0 {
	meta:
		name = "TDBXInt8Value.SetValue"
		size = 52
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 58 84 C0 74 0D 8B C3 8B 10 FF 92 58 01 00 00 5E 5B C3 8B C6 8B 10 FF 52 14 8B D0 8B C3 8B 08 FF 91 84 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7686_0 {
	meta:
		name = "TDBXUInt8Value.Compare"
		size = 63
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 10 50 8B C6 8B 10 FF 52 10 5A 3A D0 75 05 33 C0 5E 5B C3 8B C3 8B 10 FF 52 10 50 8B C6 8B 10 FF 52 10 5A 3A D0 73 05 83 C8 FF EB 04 66 B8 01 00 5E 5B C3 }
	condition:
		$1
}

rule function_7687_0 {
	meta:
		name = "TDBXUInt8Value.CopyRowValue"
		size = 54
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 8B 10 FF 52 58 84 C0 74 0B 8B D6 8B C7 8B 08 FF 51 6C EB 15 8B C6 8B 10 FF 52 78 8B C8 8B D6 8B C7 8B 18 FF 93 80 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7688_0 {
	meta:
		name = "TDBXUInt8Value.GetAsBcd"
		size = 26
		refs = "0013 IntegerToBcd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 78 0F B6 C0 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7696_0 {
	meta:
		name = "TDBXUInt8Value.GetAsString"
		size = 26
		refs = "0013 IntToStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 78 0F B6 C0 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7689_0 {
	meta:
		name = "TDBXUInt8Value.GetAsBoolean"
		size = 17
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 78 84 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_7691_0 {
	meta:
		name = "TDBXUInt8Value.GetAsInt16"
		size = 15
		altNames = "TDBXUInt8Value.GetAsInt32 TDBXUInt8Value.GetAsUInt16"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 78 0F B6 C0 5B C3 }
	condition:
		$1
}

rule function_7693_0 {
	meta:
		name = "TDBXUInt8Value.GetAsInt64"
		size = 36
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 52 78 0F B6 C0 33 D2 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_7698_0 {
	meta:
		name = "TDBXUInt8Value.GetUInt8"
		size = 64
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 14 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 0F B6 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_7699_0 {
	meta:
		name = "TDBXUInt8Value.IsNull"
		size = 67
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 14 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 83 7B 0C 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_7700_0 {
	meta:
		name = "TDBXUInt8Value.SetAsBcd"
		size = 53
		refs = "000b BcdToInteger 002e TDBXWritableValue.SetAsBcd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 33 D2 E8 ?? ?? ?? ?? 85 C0 7C 16 3D FF 00 00 00 7F 0F 8B D0 8B C3 8B 08 FF 91 80 01 00 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7702_0 {
	meta:
		name = "TDBXUInt8Value.SetAsDouble"
		size = 84
		refs = "000b TDBXUInt8Value.SetAsDouble 0028 @ROUND 0043 TDBXWritableValue.SetAsDouble"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 25 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 16 DD 45 08 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 80 01 00 00 EB 0D FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 00 00 00 00 00 00 7F 43 }
	condition:
		$1
}

rule function_7703_0 {
	meta:
		name = "TDBXUInt8Value.SetAsInt16"
		size = 27
		refs = "0016 TDBXWritableValue.SetAsInt16"
	strings:
		$1 = { 66 85 D2 7C 10 66 81 FA FF 00 7F 09 8B 08 FF 91 80 01 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7704_0 {
	meta:
		name = "TDBXUInt8Value.SetAsInt32"
		size = 27
		refs = "0016 TDBXWritableValue.SetAsInt32"
	strings:
		$1 = { 85 D2 7C 11 81 FA FF 00 00 00 7F 09 8B 08 FF 91 80 01 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7705_0 {
	meta:
		name = "TDBXUInt8Value.SetAsInt64"
		size = 73
		refs = "0041 TDBXWritableValue.SetAsInt64"
	strings:
		$1 = { 55 8B EC 8B C8 83 7D 0C 00 75 08 83 7D 08 00 72 27 EB 02 7C 23 83 7D 0C 00 75 0B 81 7D 08 FF 00 00 00 77 14 EB 02 7F 10 0F B6 55 08 8B C1 8B 08 FF 91 80 01 00 00 EB 0D FF 75 0C FF 75 08 8B C1 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_7706_0 {
	meta:
		name = "TDBXUInt8Value.SetAsInt8"
		size = 19
		refs = "000e TDBXWritableValue.SetAsInt8"
	strings:
		$1 = { 84 D2 7C 09 8B 08 FF 91 80 01 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7707_0 {
	meta:
		name = "TDBXUInt8Value.SetAsSingle"
		size = 84
		refs = "000b TDBXUInt8Value.SetAsSingle 0028 @ROUND 0040 TDBXWritableValue.SetAsSingle"
	strings:
		$1 = { 55 8B EC 53 8B D8 D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 25 D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 16 D9 45 08 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 80 01 00 00 EB 0A FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 00 00 00 00 00 00 00 00 00 7F 43 }
	condition:
		$1
}

rule function_7708_0 {
	meta:
		name = "TDBXUInt8Value.SetAsString"
		size = 51
		refs = "0009 StrToInt 002c TDBXWritableValue.SetAsString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 C0 7C 16 3D FF 00 00 00 7F 0F 8B D0 8B C3 8B 08 FF 91 80 01 00 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7709_0 {
	meta:
		name = "TDBXUInt8Value.SetAsUInt16"
		size = 22
		refs = "0011 TDBXWritableValue.SetAsUInt16"
	strings:
		$1 = { 66 81 FA FF 00 73 09 8B 08 FF 91 80 01 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7710_0 {
	meta:
		name = "TDBXUInt8Value.SetRowValue"
		size = 20
	strings:
		$1 = { 53 0F B6 48 18 8B D0 8B 40 10 8B 18 FF 93 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7712_0 {
	meta:
		name = "TDBXUInt8Value.SetValue"
		size = 52
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 58 84 C0 74 0D 8B C3 8B 10 FF 92 58 01 00 00 5E 5B C3 8B C6 8B 10 FF 52 78 8B D0 8B C3 8B 08 FF 91 80 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7713_0 {
	meta:
		name = "TDBXJSONValue.Create"
		size = 58
		refs = "000a @ClassCreate 0017 TDBXWritableValue.Create 0027 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7714_0 {
	meta:
		name = "TDBXJSONValue.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001d TObject.Free 0028 TDBXWritableValue.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 1C 00 74 10 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7715_0 {
	meta:
		name = "TDBXJSONValue.SetRowValue"
		size = 32
	strings:
		$1 = { 53 8B D8 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 8B 4B 18 8B D3 8B 43 10 8B 18 FF 53 5C 5B C3 }
	condition:
		$1
}

rule function_7716_0 {
	meta:
		name = "TDBXJSONValue.SetValue"
		size = 57
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 58 84 C0 74 0D 8B C3 8B 10 FF 92 58 01 00 00 5E 5B C3 8B C6 8B 10 FF 92 BC 00 00 00 8B D0 33 C9 8B C3 8B 18 FF 93 B4 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7717_0 {
	meta:
		name = "TDBXJSONValue.EstimatedByteSize"
		size = 18
	strings:
		$1 = { 8B 50 18 85 D2 74 08 8B C2 8B 10 FF 52 04 C3 33 C0 C3 }
	condition:
		$1
}

rule function_7718_0 {
	meta:
		name = "TDBXJSONValue.ToBytes"
		size = 24
	strings:
		$1 = { 53 56 8B 70 18 85 F6 74 0A 8B C6 8B 18 FF 53 08 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_7719_0 {
	meta:
		name = "TDBXJSONValue.GetJSONValue"
		size = 22
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 92 BC 00 00 00 88 5E 1C 5E 5B C3 }
	condition:
		$1
}

rule function_7720_0 {
	meta:
		name = "TDBXJSONValue.GetJSONValue"
		size = 92
		refs = "002c TObject.Free"
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 4B 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 3C 80 7B 1C 00 74 12 8D 43 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 05 33 C0 89 43 18 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 58 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 8B 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_7721_0 {
	meta:
		name = "TCustomAdapter.ImplFindVariable"
		size = 9
		altNames = "TDBXJSONValue.GetObjectValue"
	strings:
		$1 = { 8B 08 FF 91 C0 00 00 00 C3 }
	condition:
		$1
}

rule function_7722_0 {
	meta:
		name = "TDBXJSONValue.GetWideString"
		size = 29
	strings:
		$1 = { 53 56 8B F2 8B 10 FF 92 BC 00 00 00 8B D8 85 DB 74 08 8B D6 8B C3 8B 08 FF 11 5E 5B C3 }
	condition:
		$1
}

rule function_7723_0 {
	meta:
		name = "TDBXJSONValue.GetObjectValue"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 BC 00 00 00 C3 }
	condition:
		$1
}

rule function_7724_0 {
	meta:
		name = "TDBXJSONValue.CreateJSONValue"
		size = 154
		refs = "0019 TDBXJSONValue.CreateJSONValue 002d TObject.Free 003e TJSONObject.ParseJSONValue 004f SJSONByteStream 0054 LoadResString 0061 _DV_TDBXError 0066 TDBXError.Create 006b @RaiseExcept 0083 @UStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 1C 00 74 08 8B 43 18 E8 ?? ?? ?? ?? 6A 01 8B CE 03 4D 08 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B F8 89 7B 18 85 FF 75 24 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5B 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_7725_0 {
	meta:
		name = "TDBXJSONValue.SetJSONValue"
		size = 105
		refs = "0020 TObject.Free"
	strings:
		$1 = { 53 56 57 55 8B D9 8B F2 8B E8 C6 45 14 01 8B 45 18 3B F0 74 14 85 C0 74 10 80 7D 1C 00 74 0A E8 ?? ?? ?? ?? 33 C0 89 45 18 85 F6 75 0C 8B C5 8B 10 FF 92 58 01 00 00 EB 2B 33 C0 89 45 0C 88 5D 1C 89 75 18 8B 7D 10 85 FF 74 19 8B C7 8B 10 FF 92 C0 00 00 00 89 45 08 8B CE 8B D5 8B 45 10 8B 18 FF 53 5C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7726_0 {
	meta:
		name = "TDBXJSONValue.SetNull"
		size = 41
		refs = "0015 TObject.Free 0023 TDBXWritableValue.SetNull"
	strings:
		$1 = { 53 8B D8 80 7B 1C 00 74 12 8D 43 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 05 33 C0 89 43 18 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_7727_0 {
	meta:
		name = "TDBXJSONValue.SetObjectValue"
		size = 61
		refs = "0011 _Dn_TJSONValue 0016 @IsClass 0035 TDBXWritableValue.SetObjectValue"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 85 FF 74 11 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B CB 8B D7 8B C6 8B 18 FF 93 B4 01 00 00 EB 0B 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7728_0 {
	meta:
		name = "TDBXJSONValue.IsNull"
		size = 49
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 1C 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 0D 8B D3 8B 43 10 8B 08 FF 51 68 5E 5B C3 83 7B 18 00 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_7729_0 {
	meta:
		name = "TDBXCallbackValue.Create"
		size = 86
		refs = "000e @ClassCreate 001c TDBXWritableValue.Create 0023 _Dn_TDBXCallbackDelegate 0028 TObject.Create 0041 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 18 8B C6 8B 10 FF 52 08 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7730_0 {
	meta:
		name = "TDBXCallbackValue.Destroy"
		size = 38
		refs = "0003 @BeforeDestruction 001f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 18 8B 10 FF 52 0C 33 C0 89 46 18 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7731_0 {
	meta:
		name = "TDBXCallbackValue.SetRowValue"
		size = 16
	strings:
		$1 = { 53 8B 48 18 8B D0 8B 40 10 8B 18 FF 53 64 5B C3 }
	condition:
		$1
}

rule function_7732_0 {
	meta:
		name = "TDBXCallbackValue.SetValue"
		size = 66
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 0B 8B C6 8B 10 FF 52 58 84 C0 74 14 8B 43 18 85 C0 74 05 8B 10 FF 52 0C 33 C0 89 43 18 5E 5B C3 8B C6 8B 10 FF 92 C4 00 00 00 8B D0 8B C3 8B 08 FF 91 BC 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7733_0 {
	meta:
		name = "TDBXCallbackValue.IsNull"
		size = 8
	strings:
		$1 = { 83 78 18 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_7734_0 {
	meta:
		name = "TDBXCallbackValue.SetCallbackValue"
		size = 40
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 07 8B C6 8B 10 FF 52 08 8B 43 18 8B 10 FF 52 0C 89 73 18 33 C0 89 43 0C C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_7736_0 {
	meta:
		name = "TDBXCallbackValue.SetOrdinal"
		size = 15
	strings:
		$1 = { 8B 48 18 85 C9 74 07 8B C1 8B 08 FF 51 18 C3 }
	condition:
		$1
}

rule function_7737_0 {
	meta:
		name = "TDBXCallbackValue.SetConnectionHandler"
		size = 15
	strings:
		$1 = { 8B 48 18 85 C9 74 07 8B C1 8B 08 FF 51 10 C3 }
	condition:
		$1
}

rule function_7738_0 {
	meta:
		name = "TDBXCallbackValue.SetObjectValue"
		size = 59
		refs = "0011 _Dn_TDBXCallback 0016 @IsClass 0033 TDBXWritableValue.SetObjectValue"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 85 FF 74 11 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C6 8B 08 FF 91 BC 01 00 00 EB 0B 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7739_0 {
	meta:
		name = "TDBXCallbackValue.CreateCallbackDelegate"
		size = 48
		refs = "000a _Dn_TDBXCallbackDelegate 000f TObject.Create"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 18 8B D7 8B C6 8B 08 FF 51 18 8B 43 18 8B 10 FF 52 08 8B 43 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7741_0 {
	meta:
		name = "TDBXCommunicationLayer.SetConnectTimeout"
		size = 4
		altNames = "TDBXDataGeneratorColumn.SetDataGenerator TDBXServerCallback.SetConnectionHandler TDbxChannel.SetDBXProperties TIdMWayTreeNode.SetFundmentalClass TTeeCustomShapeBrushPen.SetParent TTransportFilter.SetFilterCollection TseBitmapLink.SetLeft"
	strings:
		$1 = { 89 50 08 C3 }
	condition:
		$1
}

rule function_7742_0 {
	meta:
		name = "TDBXCommunicationLayer.Terminate"
		size = 5
	strings:
		$1 = { C6 40 04 01 C3 }
	condition:
		$1
}

rule function_7743_0 {
	meta:
		name = "TDBXScheduler.AddEvent"
		size = 376
		refs = "0015 @IntfAddRef 001d TDBXScheduler.AddEvent 002a _DV_TDBXScheduler.TDBXSchedulerRec 002f TObject.Create 003c @IntfCopy 0041 Now 0086 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.GetItem 00a7 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Insert 00af TDBXScheduler.StartSchedulerThread 00cb TMonitor.CheckMonitorSupport 00d2 TMonitor.GetMonitor 00da TMonitor.Enter 0102 TMonitor.Pulse 011a TMonitor.Exit 0120 @HandleFinally 0157 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 45 08 DB 2D ?? ?? ?? ?? DE C9 DE C1 DD 5E 08 9B 89 5E 10 33 DB 8B 45 F8 8B 40 0C 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 EB 01 43 8B 45 F8 8B 78 04 3B 5F 08 7D 15 8B C7 8B D3 E8 ?? ?? ?? ?? DD 40 08 DC 5E 08 9B DF E0 9E 76 DF 8B 45 F8 8B 40 04 83 78 08 00 75 13 8B CE 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 71 85 DB 7E 0B 8B CE 8B D3 E8 ?? ?? ?? ?? EB 62 8B 45 F8 8B 78 10 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 04 8B CE 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 0D B9 67 FA EB 50 D7 C6 E4 3F 00 00 }
	condition:
		$1
}

rule function_7744_0 {
	meta:
		name = "TDBXScheduler.CancelEvent"
		size = 202
		refs = "001c TDBXScheduler.CancelEvent 002d TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.GetEnumerator 0048 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.TEnumerator.GetCurrent 0057 @IntfClear 0063 @TryFinallyExit 0072 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.TEnumerator.MoveNext 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 89 45 FC 8B 45 FC 8B 40 0C 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2A 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 3B 7E 10 75 1B 8D 46 04 E8 ?? ?? ?? ?? 33 C0 89 46 10 B3 01 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 53 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 33 DB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7745_0 {
	meta:
		name = "TDBXScheduler.CloseScheduler"
		size = 107
		refs = "0016 TDBXScheduler.CloseScheduler 0025 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.First 002a TObject.Free 0037 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Delete 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 40 0C 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 19 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 58 04 83 7B 08 00 7F DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_7746_0 {
	meta:
		name = "TDBXScheduler.Create"
		size = 98
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TObject 002d _Dn_TCriticalSection 0032 TCriticalSection.Create 003c _DV_TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec> 0041 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Create 004f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7747_0 {
	meta:
		name = "TDBXScheduler.Destroy"
		size = 121
		refs = "0003 @BeforeDestruction 000e TDBXScheduler.StopSchedulerThread 0015 TDBXScheduler.CloseScheduler 0025 TObject.Free 005c TDBXScheduler.FInstance 0067 TObject.Destroy 0072 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7748_0 {
	meta:
		name = "TDBXScheduler.EventCount"
		size = 84
		refs = "0017 TDBXScheduler.EventCount 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 0C 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 40 08 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_7749_0 {
	meta:
		name = "TDBXScheduler.PeekEvent"
		size = 112
		refs = "0019 TDBXScheduler.PeekEvent 0034 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.GetItem 003e @IntfCopy 0047 @IntfClear 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B 45 FC 8B 40 0C 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 70 04 83 7E 08 00 7E 15 8B C6 33 D2 E8 ?? ?? ?? ?? 8B 50 04 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_7750_0 {
	meta:
		name = "TDBXScheduler.PeekTime"
		size = 117
		refs = "0018 TDBXScheduler.PeekTime 0033 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.GetItem 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 45 FC 8B 45 FC 8B 40 0C 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 04 83 7B 08 00 7E 17 8B C3 33 D2 E8 ?? ?? ?? ?? 8B 50 08 89 55 F0 8B 50 0C 89 55 F4 EB 08 33 C0 89 45 F0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED DD 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7751_0 {
	meta:
		name = "TDBXScheduler.Pop"
		size = 105
		refs = "0016 TDBXScheduler.Pop 002f TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.First 0034 TObject.Free 0041 TList<Data.DBXCommon.TDBXScheduler.TDBXSchedulerRec>.Delete 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 40 0C 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 04 83 7B 08 00 7E 19 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_7752_0 {
	meta:
		name = "TDBXScheduler.StartSchedulerThread"
		size = 46
		refs = "0006 TDBXScheduler.StopSchedulerThread 0016 TObject.Free 0020 _DV_TDBXScheduler.TDBXSchedulerThread 0025 TDBXScheduler.TDBXSchedulerThread.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 4B 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5B C3 }
	condition:
		$1
}

rule function_7753_0 {
	meta:
		name = "TDBXScheduler.StopSchedulerThread"
		size = 121
		refs = "0013 TThread.Terminate 001e TMonitor.CheckMonitorSupport 0025 TMonitor.GetMonitor 002d TMonitor.Enter 0035 TDBXScheduler.StopSchedulerThread 0046 TMonitor.PulseAll 005e TMonitor.Exit 0064 @HandleFinally 0071 TThread.WaitFor"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 40 08 85 C0 74 63 E8 ?? ?? ?? ?? 8B 45 FC 8B 58 10 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_7754_0 {
	meta:
		name = "TDBXScheduler.TDBXSchedulerThread.Create"
		size = 58
		refs = "000a @ClassCreate 001c TThread.Create 0027 @AfterConstruction"
		altNames = "TIdConnectThread.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 40 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7755_0 {
	meta:
		name = "TDBXScheduler.TDBXSchedulerThread.Execute"
		size = 528
		refs = "0015 TDBXScheduler.TDBXSchedulerThread.Execute 0028 TDBXScheduler.TDBXSchedulerThread.SetCurrentThreadName 0032 TDBXScheduler.FInstance 0037 TDBXScheduler.EventCount 0043 TThread.Terminate 0052 TDBXScheduler.PeekTime 006e Now 007e @TRUNC 008f TMonitor.CheckMonitorSupport 0096 TMonitor.GetMonitor 009e TMonitor.Enter 00b9 TMonitor.Wait 00d4 TMonitor.Exit 00da @HandleFinally 011e TDBXScheduler.PeekEvent 0157 @HandleAnyException 016b @DoneExcept 0182 TDBXScheduler.Pop 01b6 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E9 67 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0D 8B 45 F8 E8 ?? ?? ?? ?? E9 4C 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D F0 9B DD 45 F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 86 21 01 00 00 E8 ?? ?? ?? ?? DC 6D F0 DB 2D ?? ?? ?? ?? DE F9 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 58 8B 45 F8 8B 70 40 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 40 8B D3 E8 ?? ?? ?? ?? 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 40 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED C6 45 EF 00 8B 45 F8 80 78 0D 00 0F 85 A7 00 00 00 80 7D EF 01 75 14 8B 45 F8 8B 55 F0 89 50 48 8B 55 F4 89 50 4C E9 8D 00 00 00 80 7D EF 00 0F 85 83 00 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 08 8B 45 FC 8B 10 FF 52 0C 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 8B 45 F8 8B 55 F0 89 50 48 8B 55 F4 89 50 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 80 78 0D 00 0F 84 8C FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 42 00 58 00 53 00 63 00 68 00 65 00 64 00 75 00 6C 00 65 00 72 00 54 00 68 00 72 00 65 00 61 00 64 00 00 00 00 00 00 00 00 00 0D B9 67 FA EB 50 D7 C6 E4 3F 00 00 }
	condition:
		$1
}

rule function_7756_0 {
	meta:
		name = "TDBXScheduler.TDBXSchedulerThread.SetCurrentThreadName"
		size = 99
		refs = "0015 @UStrToPWChar 002c TDBXScheduler.TDBXSchedulerThread.SetCurrentThreadName 0044 RaiseException 0053 @HandleAnyException 0058 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B DA C7 45 F0 00 10 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F4 C7 45 F8 FF FF FF FF 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 6A 04 6A 00 68 88 13 6D 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7757_0 {
	meta:
		name = "TDBXUInt16Value.Compare"
		size = 66
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 8B 10 FF 52 18 8B F8 8B C6 8B 10 FF 52 18 66 3B F8 75 04 33 C0 EB 1E 8B C3 8B 10 FF 52 18 8B D8 8B C6 8B 10 FF 52 18 66 3B D8 73 05 83 C8 FF EB 04 66 B8 01 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7758_0 {
	meta:
		name = "TDBXUInt16Value.CopyRowValue"
		size = 57
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 8B 10 FF 52 58 84 C0 74 0B 8B D6 8B C7 8B 08 FF 51 6C EB 18 8B C6 8B 10 FF 92 80 00 00 00 8B C8 8B D6 8B C7 8B 18 FF 93 88 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7759_0 {
	meta:
		name = "TDBXUInt16Value.GetAsBcd"
		size = 29
		refs = "0016 IntegerToBcd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 80 00 00 00 0F B7 C0 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7767_0 {
	meta:
		name = "TDBXUInt16Value.GetAsString"
		size = 29
		refs = "0016 IntToStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 80 00 00 00 0F B7 C0 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7760_0 {
	meta:
		name = "TDBXUInt16Value.GetAsBoolean"
		size = 21
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 80 00 00 00 66 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_7761_0 {
	meta:
		name = "TDBXUInt16Value.GetAsDouble"
		size = 39
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 8B 10 FF 92 80 00 00 00 0F B7 C0 89 44 24 08 DB 44 24 08 DD 1C 24 9B DD 04 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_7763_0 {
	meta:
		name = "TDBXUInt16Value.GetAsInt32"
		size = 18
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 80 00 00 00 0F B7 C0 5B C3 }
	condition:
		$1
}

rule function_7764_0 {
	meta:
		name = "TDBXUInt16Value.GetAsInt64"
		size = 39
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 92 80 00 00 00 0F B7 C0 33 D2 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_7765_0 {
	meta:
		name = "TDBXUInt16Value.GetAsInt8"
		size = 15
		altNames = "TDBXUInt16Value.GetAsUInt8"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7766_0 {
	meta:
		name = "TDBXUInt16Value.GetAsSingle"
		size = 38
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 92 80 00 00 00 0F B7 C0 89 44 24 04 DB 44 24 04 D9 1C 24 9B D9 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_7770_0 {
	meta:
		name = "TDBXUInt16Value.GetUInt16"
		size = 64
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 1C 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 0F B7 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_7771_0 {
	meta:
		name = "TDBXUInt16Value.IsNull"
		size = 67
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 2E 8B C6 8B 10 FF 92 C0 00 00 00 3B 43 08 74 1F 8D 43 0C 50 8D 4B 18 8B D3 8B 43 10 8B 30 FF 56 1C 8B 43 10 8B 10 FF 92 C0 00 00 00 89 43 08 83 7B 0C 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_7772_0 {
	meta:
		name = "TDBXUInt16Value.SetAsBcd"
		size = 53
		refs = "000b BcdToInteger 002e TDBXWritableValue.SetAsBcd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 33 D2 E8 ?? ?? ?? ?? 85 C0 7C 16 3D FF FF 00 00 7F 0F 8B D0 8B C3 8B 08 FF 91 88 01 00 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7773_0 {
	meta:
		name = "TDBXUInt16Value.SetAsBoolean"
		size = 12
	strings:
		$1 = { 83 E2 7F 8B 08 FF 91 88 01 00 00 C3 }
	condition:
		$1
}

rule function_7774_0 {
	meta:
		name = "TDBXUInt16Value.SetAsDouble"
		size = 84
		refs = "000b TDBXUInt16Value.SetAsDouble 0028 @ROUND 0043 TDBXWritableValue.SetAsDouble"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 25 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 16 DD 45 08 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 88 01 00 00 EB 0D FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 00 00 00 00 00 FF 7F 47 }
	condition:
		$1
}

rule function_7775_0 {
	meta:
		name = "TDBXUInt16Value.SetAsInt16"
		size = 20
		refs = "000f TDBXWritableValue.SetAsInt16"
	strings:
		$1 = { 66 85 D2 7C 09 8B 08 FF 91 88 01 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7776_0 {
	meta:
		name = "TDBXUInt16Value.SetAsInt32"
		size = 27
		refs = "0016 TDBXWritableValue.SetAsInt32"
	strings:
		$1 = { 85 D2 7C 11 81 FA FF FF 00 00 7D 09 8B 08 FF 91 88 01 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7777_0 {
	meta:
		name = "TDBXUInt16Value.SetAsInt64"
		size = 73
		refs = "0041 TDBXWritableValue.SetAsInt64"
	strings:
		$1 = { 55 8B EC 8B C8 83 7D 0C 00 75 08 83 7D 08 00 72 27 EB 02 7C 23 83 7D 0C 00 75 0B 81 7D 08 FF FF 00 00 73 14 EB 02 7D 10 0F B7 55 08 8B C1 8B 08 FF 91 88 01 00 00 EB 0D FF 75 0C FF 75 08 8B C1 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_7778_0 {
	meta:
		name = "TDBXUInt16Value.SetAsInt8"
		size = 22
		refs = "0011 TDBXWritableValue.SetAsInt8"
	strings:
		$1 = { 84 D2 7C 0C 0F BE D2 8B 08 FF 91 88 01 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7779_0 {
	meta:
		name = "TDBXUInt16Value.SetAsSingle"
		size = 84
		refs = "000b TDBXUInt16Value.SetAsSingle 0028 @ROUND 0040 TDBXWritableValue.SetAsSingle"
	strings:
		$1 = { 55 8B EC 53 8B D8 D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 25 D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 16 D9 45 08 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 88 01 00 00 EB 0A FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 00 00 00 00 00 00 00 00 FF 7F 47 }
	condition:
		$1
}

rule function_7780_0 {
	meta:
		name = "TDBXUInt16Value.SetAsString"
		size = 51
		refs = "0009 StrToInt 002c TDBXWritableValue.SetAsString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 C0 7C 16 3D FF FF 00 00 7F 0F 8B D0 8B C3 8B 08 FF 91 88 01 00 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7781_0 {
	meta:
		name = "TDBXUInt16Value.SetAsUInt16"
		size = 9
	strings:
		$1 = { 8B 08 FF 91 88 01 00 00 C3 }
	condition:
		$1
}

rule function_7782_0 {
	meta:
		name = "TDBXUInt16Value.SetAsUInt8"
		size = 12
	strings:
		$1 = { 0F B6 D2 8B 08 FF 91 88 01 00 00 C3 }
	condition:
		$1
}

rule function_7783_0 {
	meta:
		name = "TDBXUInt16Value.SetRowValue"
		size = 20
	strings:
		$1 = { 53 0F B7 48 18 8B D0 8B 40 10 8B 18 FF 93 88 00 00 00 5B C3 }
	condition:
		$1
}

rule function_7785_0 {
	meta:
		name = "TDBXUInt16Value.SetValue"
		size = 52
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 58 84 C0 74 0D 8B C3 8B 10 FF 92 58 01 00 00 5E 5B C3 8B C6 8B 10 FF 52 18 8B D0 8B C3 8B 08 FF 91 88 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_7786_0 {
	meta:
		name = "TX509Certificate.GetType"
		size = 44
		refs = "0006 TX509Certificate.GetType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 58 00 2E 00 35 00 30 00 39 00 00 00 }
	condition:
		$1
}

rule function_7787_0 {
	meta:
		name = "InitializeConnectionFactorySingletonFromINIFile"
		size = 37
		refs = "0008 TDBXConnectionFactory.ConnectionFactorySingleton 0014 _DV_TDBXConnectionFactory 0019 TDBXConnectionFactory.OpenConnectionFactory"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 3D ?? ?? ?? ?? 00 75 13 8B CE 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7788_0 {
	meta:
		name = "TEventsCollection.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TObject.Create 0020 _DV_TDictionary<System.string,Data.DBXCommon.TEventPointer> 0025 TDictionary<System.string,Data.DBXCommon.TEventPointer>.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98527_0 {
	meta:
		name = "TScriptEnginesList.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TAbstractScriptEnginesList.Create 0020 _Dn_TObjectList 0025 TObjectList.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98388_0 {
	meta:
		name = "TWebNotifyContainer.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TObject.Create 0020 _Dn_TComponentList 0025 TComponentList.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_7790_0 {
	meta:
		name = "TEventsCollection.GetEvent"
		size = 36
		refs = "0011 TDictionary<System.string,Data.DBXCommon.TEventPointer>.TryGetValue"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B CE 8B D7 8B 43 04 E8 ?? ?? ?? ?? 84 C0 75 07 33 C0 89 06 89 46 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7792_0 {
	meta:
		name = "TEventsCollection.SetValues"
		size = 203
		refs = "0015 TEventsCollection.SetValues 0023 TDictionary<System.string,Data.DBXCommon.TEventPointer>.Clear 002e TDictionary<System.string,Data.DBXCommon.TEventPointer>.GetKeys 0033 TDictionary<System.string,Data.DBXCommon.TEventPointer>.TKeyCollection.GetEnumerator 0051 TDictionary<System.string,Data.DBXCommon.TEventPointer>.TKeyEnumerator.GetCurrent 005e TDictionary<System.string,Data.DBXCommon.TEventPointer>.TryGetValue 0073 TDictionary<System.string,Data.DBXCommon.TEventPointer>.Add 007b TDictionary<System.string,Data.DBXCommon.TEventPointer>.TKeyEnumerator.MoveNext 00a2 @HandleFinally 00b9 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 E8 ?? ?? ?? ?? 85 DB 74 7D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2D 8D 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8D 4D F0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 FF 75 F4 FF 75 F0 8B 46 04 8B 55 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7793_0 {
	meta:
		name = "Finalization"
		size = 100
		refs = "0002 _DV_201 0009 TDBXDriverRegistry.DBXDriverRegistry 000e TDBXDriverRegistry.CloseAllDrivers 0020 TObject.Free 0025 TDBXConnectionFactory.ConnectionFactorySingleton 0038 TDBXDefaultFormatter.FDBXDefaultFormatterSingletonOwned 0040 TDBXDefaultFormatter.FDBXDefaultFormatterSingleton 0052 TDBXScheduler.FInstance"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 5B A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_7794_0 {
	meta:
		name = "Data.DBXCommon"
		size = 60
		refs = "0002 _DV_201 000c _DV_TDBXScheduler 0011 TDBXScheduler.Create 0016 TDBXScheduler.FInstance 001c TDBXDriverRegistry.DBXDriverRegistry 0026 _DV_TDBXDriverRegistry 002b TDBXDriverRegistry.Create 0036 TDBXDefaultFormatter.FDBXDefaultFormatterSingletonOwned"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 32 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 C3 }
	condition:
		$1
}

rule function_7795_0 {
	meta:
		name = "TPair<T>.Create"
		size = 38
		refs = "000e @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 45 08 89 43 08 8B 45 0C 89 43 0C 8B C3 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_7796_0 {
	meta:
		name = "TEnumerable<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.ToArrayImpl"
		size = 221
		refs = "0014 TPair<System.string,Data.DBXCommon.TEventPointer> 0019 @InitializeRecord 0021 TEnumerable<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.ToArrayImpl 0036 TArray<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>> 003b @DynArraySetLength 0047 TEnumerable<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.GetEnumerator 007e @CopyRecord 0087 TEnumerator<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.MoveNext 00ae @HandleFinally 00cb @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 4D EC 8B DA 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 25 8D 55 F0 8B 45 E8 8B 08 FF 11 8B C3 03 C0 8B 55 EC 8B 12 8D 04 C2 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54855_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TPair<System.string,System.Int64>>.ToArrayImpl"
		size = 221
		refs = "0014 TPair<System.string,System.Int64> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Graph.TPair<System.string,System.Int64>>.ToArrayImpl 0036 TArray<System.Bindings.Graph.TPair<System.string,System.Int64>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Graph.TPair<System.string,System.Int64>>.GetEnumerator 007e @CopyRecord 0087 TEnumerator<System.Bindings.Graph.TPair<System.string,System.Int64>>.MoveNext 00ae @HandleFinally 00cb @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 4D EC 8B DA 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 25 8D 55 F0 8B 45 E8 8B 08 FF 11 8B C3 03 C0 8B 55 EC 8B 12 8D 04 C2 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57488_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.ToArrayImpl"
		size = 221
		refs = "0014 TPair<System.string,System.Int64> 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.ToArrayImpl 0036 TArray<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.GetEnumerator 007e @CopyRecord 0087 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.MoveNext 00ae @HandleFinally 00cb @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 4D EC 8B DA 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 25 8D 55 F0 8B 45 E8 8B 08 FF 11 8B C3 03 C0 8B 55 EC 8B 12 8D 04 C2 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87557_0 {
	meta:
		name = "TEnumerable<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.ToArrayImpl"
		size = 221
		refs = "0014 TStyleManager.TStyleClassDescriptor 0019 @InitializeRecord 0021 TEnumerable<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.ToArrayImpl 0036 TArray<Vcl.Themes.TStyleManager.TStyleClassDescriptor> 003b @DynArraySetLength 0047 TEnumerable<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.GetEnumerator 007e @CopyRecord 0087 TEnumerator<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.MoveNext 00ae @HandleFinally 00cb @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 4D EC 8B DA 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 25 8D 55 F0 8B 45 E8 8B 08 FF 11 8B C3 03 C0 8B 55 EC 8B 12 8D 04 C2 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7798_0 {
	meta:
		name = "TEnumerable<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,Data.DBXCommon.TEventPointer> 0016 @InitializeRecord 001e TEnumerable<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.ToArray 002b _DV_TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>> 0030 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Create 0048 TEnumerable<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.GetEnumerator 0070 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Add 0078 TEnumerator<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 89 55 EC 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 E4 8B 08 FF 11 8D 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 EC 8B 45 E8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54857_0 {
	meta:
		name = "TEnumerable<System.Bindings.Graph.TPair<System.string,System.Int64>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.Int64> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Graph.TPair<System.string,System.Int64>>.ToArray 002b _DV_TList<System.Bindings.Graph.TPair<System.string,System.Int64>> 0030 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Create 0048 TEnumerable<System.Bindings.Graph.TPair<System.string,System.Int64>>.GetEnumerator 0070 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Add 0078 TEnumerator<System.Bindings.Graph.TPair<System.string,System.Int64>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 89 55 EC 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 E4 8B 08 FF 11 8D 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 EC 8B 45 E8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57490_0 {
	meta:
		name = "TEnumerable<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.ToArray"
		size = 245
		refs = "0011 TPair<System.string,System.Int64> 0016 @InitializeRecord 001e TEnumerable<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.ToArray 002b _DV_TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>> 0030 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Create 0048 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.GetEnumerator 0070 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Add 0078 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 89 55 EC 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 E4 8B 08 FF 11 8D 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 EC 8B 45 E8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87559_0 {
	meta:
		name = "TEnumerable<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.ToArray"
		size = 245
		refs = "0011 TStyleManager.TStyleClassDescriptor 0016 @InitializeRecord 001e TEnumerable<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.ToArray 002b _DV_TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor> 0030 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Create 0048 TEnumerable<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.GetEnumerator 0070 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Add 0078 TEnumerator<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 89 55 EC 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 E4 8B 08 FF 11 8D 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 EC 8B 45 E8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7801_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.Rehash"
		size = 290
		refs = "0015 TDictionary<System.string,Data.DBXCommon.TEventPointer>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,Data.DBXCommon.TEventPointer>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00eb TDictionary<System.string,Data.DBXCommon.TEventPointer>.RehashAdd 010f @FinalizeArray 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 C3 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 15 46 33 DB 8B C3 03 C0 8B 55 F8 C7 04 C2 FF FF FF FF 43 4E 75 EE 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 39 46 33 DB 8B C3 03 C0 8B 55 FC 83 3C C2 FF 74 25 8B 55 FC FF 74 C2 0C FF 74 C2 08 8B 55 FC 8B 44 C2 04 50 8B C3 03 C0 8B 55 FC 8B 14 C2 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55007_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Rehash"
		size = 290
		refs = "0015 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00eb TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.RehashAdd 010f @FinalizeArray 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 C3 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 15 46 33 DB 8B C3 03 C0 8B 55 F8 C7 04 C2 FF FF FF FF 43 4E 75 EE 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 39 46 33 DB 8B C3 03 C0 8B 55 FC 83 3C C2 FF 74 25 8B 55 FC FF 74 C2 0C FF 74 C2 08 8B 55 FC 8B 44 C2 04 50 8B C3 03 C0 8B 55 FC 8B 14 C2 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54860_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.Rehash"
		size = 290
		refs = "0015 TDictionary<System.string,System.Int64>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,System.Int64>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00eb TDictionary<System.string,System.Int64>.RehashAdd 010f @FinalizeArray 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 C3 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 15 46 33 DB 8B C3 03 C0 8B 55 F8 C7 04 C2 FF FF FF FF 43 4E 75 EE 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 39 46 33 DB 8B C3 03 C0 8B 55 FC 83 3C C2 FF 74 25 8B 55 FC FF 74 C2 0C FF 74 C2 08 8B 55 FC 8B 44 C2 04 50 8B C3 03 C0 8B 55 FC 8B 14 C2 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7803_0 {
	meta:
		name = "TDictionary<T>.GetBucketIndex"
		size = 125
		refs = "0013 @DynArrayLength"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 4C 24 04 89 14 24 8B F0 8B 46 04 E8 ?? ?? ?? ?? 85 C0 75 07 BB 00 00 00 80 EB 53 8B 46 04 E8 ?? ?? ?? ?? 48 23 44 24 04 8B D8 8B C3 03 C0 8B 56 04 8B 3C C2 83 FF FF 75 04 F7 D3 EB 31 3B 7C 24 04 75 1A 8B C3 03 C0 8B 56 04 8B 54 C2 04 8B 0C 24 8B 46 0C 8B 38 FF 57 0C 84 C0 75 11 43 8B 46 04 E8 ?? ?? ?? ?? 3B D8 7C C0 33 DB EB BC 8B C3 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7805_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.GetItem"
		size = 78
		refs = "000e TDictionary<System.string,Data.DBXCommon.TEventPointer>.Hash 0019 TDictionary<System.string,Data.DBXCommon.TEventPointer>.GetBucketIndex 0023 SGenericItemNotFound 002a _Dn_EListError 002f Exception.CreateRes 0034 @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 C0 8B 53 04 8B 4C C2 08 89 0F 8B 4C C2 0C 89 4F 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87496_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.GetItem"
		size = 78
		refs = "000e TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Hash 0019 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.GetBucketIndex 0023 SGenericItemNotFound 002a _Dn_EListError 002f Exception.CreateRes 0034 @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 C0 8B 53 04 8B 4C C2 08 89 0F 8B 4C C2 0C 89 4F 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7806_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.SetItem"
		size = 135
		refs = "0011 TDictionary<System.string,Data.DBXCommon.TEventPointer>.Hash 001c TDictionary<System.string,Data.DBXCommon.TEventPointer>.GetBucketIndex 0026 SGenericItemNotFound 002d _Dn_EListError 0032 Exception.CreateRes 0037 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 03 D2 8B 4B 04 8B 74 D1 08 89 75 F8 8B 74 D1 0C 89 75 FC 8B 43 04 8B 4D 08 89 4C D0 08 8B 4D 0C 89 4C D0 0C FF 75 FC FF 75 F8 B2 01 8B C3 8B 08 FF 51 0C FF 75 0C FF 75 08 33 D2 8B C3 8B 08 FF 51 0C 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_55012_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.SetItem"
		size = 135
		refs = "0011 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Hash 001c TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.GetBucketIndex 0026 SGenericItemNotFound 002d _Dn_EListError 0032 Exception.CreateRes 0037 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 03 D2 8B 4B 04 8B 74 D1 08 89 75 F8 8B 74 D1 0C 89 75 FC 8B 43 04 8B 4D 08 89 4C D0 08 8B 4D 0C 89 4C D0 0C FF 75 FC FF 75 F8 B2 01 8B C3 8B 08 FF 51 0C FF 75 0C FF 75 08 33 D2 8B C3 8B 08 FF 51 0C 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_54865_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.SetItem"
		size = 135
		refs = "0011 TDictionary<System.string,System.Int64>.Hash 001c TDictionary<System.string,System.Int64>.GetBucketIndex 0026 SGenericItemNotFound 002d _Dn_EListError 0032 Exception.CreateRes 0037 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 03 D2 8B 4B 04 8B 74 D1 08 89 75 F8 8B 74 D1 0C 89 75 FC 8B 43 04 8B 4D 08 89 4C D0 08 8B 4D 0C 89 4C D0 0C FF 75 FC FF 75 F8 B2 01 8B C3 8B 08 FF 51 0C FF 75 0C FF 75 08 33 D2 8B C3 8B 08 FF 51 0C 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7807_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.RehashAdd"
		size = 88
		refs = "001a TDictionary<System.string,Data.DBXCommon.TEventPointer>.GetBucketIndex 003a @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8B FE 03 FF 8B 43 04 8B 55 FC 89 14 F8 8B 43 04 8D 44 F8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 F8 08 8B 55 0C 89 54 F8 0C 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_54866_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.RehashAdd"
		size = 88
		refs = "001a TDictionary<System.string,System.Int64>.GetBucketIndex 003a @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8B FE 03 FF 8B 43 04 8B 55 FC 89 14 F8 8B 43 04 8D 44 F8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 F8 08 8B 55 0C 89 54 F8 0C 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7808_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.DoAdd"
		size = 97
		refs = "0026 @UStrAsg"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 8B FE 03 FF 8B 43 04 8B 55 FC 89 14 F8 8B 43 04 8D 44 F8 04 8B 55 10 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 F8 08 8B 55 0C 89 54 F8 0C FF 43 08 33 C9 8B 55 10 8B C3 8B 30 FF 56 08 FF 75 0C FF 75 08 33 D2 8B C3 8B 08 FF 51 0C 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_7809_0 {
	meta:
		name = "TDictionary<T>.DoSetValue"
		size = 86
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D8 8B C2 03 C0 8B 4B 04 8B 74 C1 08 89 75 F8 8B 74 C1 0C 89 75 FC 8B 53 04 8B 4D 08 89 4C C2 08 8B 4D 0C 89 4C C2 0C FF 75 FC FF 75 F8 B2 01 8B C3 8B 08 FF 51 0C FF 75 0C FF 75 08 33 D2 8B C3 8B 08 FF 51 0C 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7810_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.DoRemove"
		size = 278
		refs = "0014 TDictionary<System.string,Data.DBXCommon.TEventPointer>.GetBucketIndex 0055 @DynArrayLength 0089 InCircularRange 00a7 TDictionary<System.string,Data.DBXCommon.TEventPointer>.TItem 00ac @CopyRecord 00d8 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0F 8B 45 08 33 D2 89 10 89 50 04 E9 E0 00 00 00 8B C6 03 C0 8B 53 04 C7 04 C2 FF FF FF FF 8B 53 04 8B 4D 08 8B 7C C2 08 89 39 8B 7C C2 0C 89 79 04 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8B C6 03 C0 8B 53 04 8B 04 C2 89 45 F8 83 7D F8 FF 74 50 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F8 89 45 F4 8B CE 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 75 BF 8B C7 03 C0 8B 53 04 8D 04 C2 8B D6 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8B C7 03 C0 8B 53 04 C7 04 C2 FF FF FF FF EB 8E 8B F7 03 F6 8B 43 04 C7 04 F0 FF FF FF FF 8B 43 04 8D 44 F0 04 E8 ?? ?? ?? ?? 8B 43 04 33 D2 89 54 F0 08 89 54 F0 0C FF 4B 08 0F B6 4D 0C 8B 55 FC 8B C3 8B 30 FF 56 08 8B 45 08 FF 70 04 FF 30 0F B6 55 0C 8B C3 8B 08 FF 51 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_7813_0 {
	meta:
		name = "TDictionary<T>.ValueNotify"
		size = 34
	strings:
		$1 = { 55 8B EC 53 66 83 78 22 00 74 12 FF 75 0C FF 75 08 8B CA 8B D8 8B D0 8B 43 24 FF 53 20 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_7817_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.Create"
		size = 238
		refs = "000f @ClassCreate 0020 TPair<System.string,Data.DBXCommon.TEventPointer> 0025 @InitializeRecord 002d TDictionary<System.string,Data.DBXCommon.TEventPointer>.Create 0048 TEnumerable<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.GetEnumerator 0076 TDictionary<System.string,Data.DBXCommon.TEventPointer>.AddOrSetValue 007e TEnumerator<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.MoveNext 00a5 @HandleFinally 00c2 @FinalizeRecord 00d8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 EB 89 45 EC 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 F0 8B 45 E4 8B 08 FF 11 FF 75 FC FF 75 F8 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 EC 80 7D EB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 EC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54876_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.Create"
		size = 238
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Int64> 0025 @InitializeRecord 002d TDictionary<System.string,System.Int64>.Create 0048 TEnumerable<System.Bindings.Graph.TPair<System.string,System.Int64>>.GetEnumerator 0076 TDictionary<System.string,System.Int64>.AddOrSetValue 007e TEnumerator<System.Bindings.Graph.TPair<System.string,System.Int64>>.MoveNext 00a5 @HandleFinally 00c2 @FinalizeRecord 00d8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 EB 89 45 EC 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 F0 8B 45 E4 8B 08 FF 11 FF 75 FC FF 75 F8 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 EC 80 7D EB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 EC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57509_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.Create"
		size = 238
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Int64> 0025 @InitializeRecord 002d TDictionary<System.string,System.Int64>.Create 0048 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.GetEnumerator 0076 TDictionary<System.string,System.Int64>.AddOrSetValue 007e TEnumerator<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.MoveNext 00a5 @HandleFinally 00c2 @FinalizeRecord 00d8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 EB 89 45 EC 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 F0 8B 45 E4 8B 08 FF 11 FF 75 FC FF 75 F8 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 EC 80 7D EB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 EC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7818_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.Create"
		size = 242
		refs = "000f @ClassCreate 0020 TPair<System.string,Data.DBXCommon.TEventPointer> 0025 @InitializeRecord 002d TDictionary<System.string,Data.DBXCommon.TEventPointer>.Create 004a TEnumerable<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.GetEnumerator 0078 TDictionary<System.string,Data.DBXCommon.TEventPointer>.AddOrSetValue 0080 TEnumerator<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.MoveNext 00a7 @HandleFinally 00c4 @FinalizeRecord 00da @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 EB 89 45 EC 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 F0 8B 45 E4 8B 08 FF 11 FF 75 FC FF 75 F8 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 EC 80 7D EB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 EC 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_54877_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.Create"
		size = 242
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Int64> 0025 @InitializeRecord 002d TDictionary<System.string,System.Int64>.Create 004a TEnumerable<System.Bindings.Graph.TPair<System.string,System.Int64>>.GetEnumerator 0078 TDictionary<System.string,System.Int64>.AddOrSetValue 0080 TEnumerator<System.Bindings.Graph.TPair<System.string,System.Int64>>.MoveNext 00a7 @HandleFinally 00c4 @FinalizeRecord 00da @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 EB 89 45 EC 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 F0 8B 45 E4 8B 08 FF 11 FF 75 FC FF 75 F8 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 EC 80 7D EB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 EC 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_57510_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.Create"
		size = 242
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Int64> 0025 @InitializeRecord 002d TDictionary<System.string,System.Int64>.Create 004a TEnumerable<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.GetEnumerator 0078 TDictionary<System.string,System.Int64>.AddOrSetValue 0080 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.MoveNext 00a7 @HandleFinally 00c4 @FinalizeRecord 00da @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 EB 89 45 EC 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 F0 8B 45 E4 8B 08 FF 11 FF 75 FC FF 75 F8 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 EC 80 7D EB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 EC 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7820_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.Add"
		size = 104
		refs = "0015 TDictionary<System.string,Data.DBXCommon.TEventPointer>.Grow 001e TDictionary<System.string,Data.DBXCommon.TEventPointer>.Hash 002d TDictionary<System.string,Data.DBXCommon.TEventPointer>.GetBucketIndex 0037 SGenericDuplicateItem 003e _Dn_EListError 0043 Exception.CreateRes 0048 @RaiseExcept 005d TDictionary<System.string,Data.DBXCommon.TEventPointer>.DoAdd"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 FC 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 FF 75 0C FF 75 08 8B C8 F7 D1 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_55026_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Add"
		size = 104
		refs = "0015 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Grow 001e TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Hash 002d TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.GetBucketIndex 0037 SGenericDuplicateItem 003e _Dn_EListError 0043 Exception.CreateRes 0048 @RaiseExcept 005d TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.DoAdd"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 FC 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 FF 75 0C FF 75 08 8B C8 F7 D1 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_54879_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.Add"
		size = 104
		refs = "0015 TDictionary<System.string,System.Int64>.Grow 001e TDictionary<System.string,System.Int64>.Hash 002d TDictionary<System.string,System.Int64>.GetBucketIndex 0037 SGenericDuplicateItem 003e _Dn_EListError 0043 Exception.CreateRes 0048 @RaiseExcept 005d TDictionary<System.string,System.Int64>.DoAdd"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 FC 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 FF 75 0C FF 75 08 8B C8 F7 D1 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7821_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.Remove"
		size = 41
		refs = "0015 TDictionary<System.string,Data.DBXCommon.TEventPointer>.Hash 0020 TDictionary<System.string,Data.DBXCommon.TEventPointer>.DoRemove"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 6A 01 8D 44 24 04 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_87512_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Remove"
		size = 41
		refs = "0015 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Hash 0020 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.DoRemove"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 6A 01 8D 44 24 04 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7822_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.ExtractPair"
		size = 94
		refs = "0012 TDictionary<System.string,Data.DBXCommon.TEventPointer>.Hash 001f TDictionary<System.string,Data.DBXCommon.TEventPointer>.GetBucketIndex 002e TPair<System.string,Data.DBXCommon.TEventPointer>.Create 0042 TDictionary<System.string,Data.DBXCommon.TEventPointer>.DoRemove"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 23 6A 02 8D 44 24 04 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8B D3 8B C5 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7823_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.Clear"
		size = 214
		refs = "0014 TDictionary<System.string,Data.DBXCommon.TEventPointer>.Clear 0026 TDictionary<System.string,Data.DBXCommon.TEventPointer>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,Data.DBXCommon.TEventPointer>.SetCapacity 005e @DynArrayLength 00c3 @DynArrayClear 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 45 40 89 45 F8 33 DB 8B C3 03 C0 8B 55 FC 83 3C C2 FF 74 2C 8B C3 03 C0 8B 55 FC 8B 54 C2 04 B1 01 8B C6 8B 38 FF 57 08 8B C3 03 C0 8B 55 FC FF 74 C2 0C FF 74 C2 08 B2 01 8B C6 8B 08 FF 51 0C 43 FF 4D F8 75 C1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_55029_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Clear"
		size = 214
		refs = "0014 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Clear 0026 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.SetCapacity 005e @DynArrayLength 00c3 @DynArrayClear 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 45 40 89 45 F8 33 DB 8B C3 03 C0 8B 55 FC 83 3C C2 FF 74 2C 8B C3 03 C0 8B 55 FC 8B 54 C2 04 B1 01 8B C6 8B 38 FF 57 08 8B C3 03 C0 8B 55 FC FF 74 C2 0C FF 74 C2 08 B2 01 8B C6 8B 08 FF 51 0C 43 FF 4D F8 75 C1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_54882_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.Clear"
		size = 214
		refs = "0014 TDictionary<System.string,System.Int64>.Clear 0026 TDictionary<System.string,System.Int64>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,System.Int64>.SetCapacity 005e @DynArrayLength 00c3 @DynArrayClear 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 45 40 89 45 F8 33 DB 8B C3 03 C0 8B 55 FC 83 3C C2 FF 74 2C 8B C3 03 C0 8B 55 FC 8B 54 C2 04 B1 01 8B C6 8B 38 FF 57 08 8B C3 03 C0 8B 55 FC FF 74 C2 0C FF 74 C2 08 B2 01 8B C6 8B 08 FF 51 0C 43 FF 4D F8 75 C1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_7825_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.TryGetValue"
		size = 78
		refs = "000f TDictionary<System.string,Data.DBXCommon.TEventPointer>.Hash 001a TDictionary<System.string,Data.DBXCommon.TEventPointer>.GetBucketIndex"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 17 03 C0 8B 4B 04 8B 1C 24 8B 74 C1 08 89 33 8B 74 C1 0C 89 73 04 EB 0A 8B 04 24 33 C9 89 08 89 48 04 8B C2 5A 5E 5B C3 }
	condition:
		$1
}

rule function_7826_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.AddOrSetValue"
		size = 98
		refs = "0015 TDictionary<System.string,Data.DBXCommon.TEventPointer>.Grow 001e TDictionary<System.string,Data.DBXCommon.TEventPointer>.Hash 002d TDictionary<System.string,Data.DBXCommon.TEventPointer>.GetBucketIndex 0040 TDictionary<System.string,Data.DBXCommon.TEventPointer>.DoSetValue 0057 TDictionary<System.string,Data.DBXCommon.TEventPointer>.DoAdd"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 FC 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 11 FF 75 0C FF 75 08 8B D0 8B C3 E8 ?? ?? ?? ?? EB 15 56 FF 75 0C FF 75 08 8B C8 F7 D1 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_55032_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.AddOrSetValue"
		size = 98
		refs = "0015 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Grow 001e TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Hash 002d TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.GetBucketIndex 0040 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.DoSetValue 0057 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.DoAdd"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 FC 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 11 FF 75 0C FF 75 08 8B D0 8B C3 E8 ?? ?? ?? ?? EB 15 56 FF 75 0C FF 75 08 8B C8 F7 D1 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_54885_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.AddOrSetValue"
		size = 98
		refs = "0015 TDictionary<System.string,System.Int64>.Grow 001e TDictionary<System.string,System.Int64>.Hash 002d TDictionary<System.string,System.Int64>.GetBucketIndex 0040 TDictionary<System.string,System.Int64>.DoSetValue 0057 TDictionary<System.string,System.Int64>.DoAdd"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 FC 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 11 FF 75 0C FF 75 08 8B D0 8B C3 E8 ?? ?? ?? ?? EB 15 56 FF 75 0C FF 75 08 8B C8 F7 D1 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7828_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXCommon.TEventPointer>.ContainsValue"
		size = 153
		refs = "0013 TDictionary<System.string,Data.DBXCommon.TEventPointer>.ContainsValue 0021 TEqualityComparer<Data.DBXCommon.TEventPointer>.Default 0029 @DynArrayLength 0083 @IntfClear 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8B C3 03 C0 8B 56 04 83 3C C2 FF 74 25 8B C3 03 C0 8B 56 04 FF 74 C2 0C FF 74 C2 08 FF 75 0C FF 75 08 8B 45 FC 8B 10 FF 52 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F8 75 C8 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_55034_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.ContainsValue"
		size = 153
		refs = "0013 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.ContainsValue 0021 TEqualityComparer<System.Int64>.Default 0029 @DynArrayLength 0083 @IntfClear 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8B C3 03 C0 8B 56 04 83 3C C2 FF 74 25 8B C3 03 C0 8B 56 04 FF 74 C2 0C FF 74 C2 08 FF 75 0C FF 75 08 8B 45 FC 8B 10 FF 52 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F8 75 C8 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_54887_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.ContainsValue"
		size = 153
		refs = "0013 TDictionary<System.string,System.Int64>.ContainsValue 0021 TEqualityComparer<System.Int64>.Default 0029 @DynArrayLength 0083 @IntfClear 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8B C3 03 C0 8B 56 04 83 3C C2 FF 74 25 8B C3 03 C0 8B 56 04 FF 74 C2 0C FF 74 C2 08 FF 75 0C FF 75 08 8B 45 FC 8B 10 FF 52 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F8 75 C8 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_7842_0 {
	meta:
		name = "TDictionary<T>.TKeyEnumerator.GetCurrent"
		size = 31
		refs = "0018 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 03 D2 8B 4B 04 8B 49 04 8B 54 D1 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51043_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TKeyEnumerator.GetCurrent"
		size = 31
		refs = "0018 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 03 D2 8B 4B 04 8B 49 04 8B 54 D1 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_7846_0 {
	meta:
		name = "TDictionary<T>.TKeyEnumerator.MoveNext"
		size = 54
		refs = "0025 @DynArrayLength"
		altNames = "TDictionary<T>.TPairEnumerator.MoveNext TDictionary<T>.TValueEnumerator.MoveNext"
	strings:
		$1 = { 53 56 8B F0 EB 18 FF 46 08 8B 46 08 03 C0 8B 56 04 8B 52 04 83 3C C2 FF 74 04 B3 01 EB 13 8B 46 04 8B 40 04 E8 ?? ?? ?? ?? 48 3B 46 08 7F D7 33 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_7856_0 {
	meta:
		name = "TDictionary<T>.TValueEnumerator.GetCurrent"
		size = 27
	strings:
		$1 = { 53 8B 48 08 03 C9 8B 40 04 8B 40 04 8B 5C C8 08 89 1A 8B 5C C8 0C 89 5A 04 5B C3 }
	condition:
		$1
}

rule function_7861_0 {
	meta:
		name = "TDictionary<T>.TPairEnumerator.GetCurrent"
		size = 56
		refs = "0018 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 03 D2 8B 4B 04 8B 49 04 8B 54 D1 04 E8 ?? ?? ?? ?? 8B 43 08 03 C0 8B 53 04 8B 52 04 8B 4C C2 08 89 4E 08 8B 4C C2 0C 89 4E 0C 5E 5B C3 }
	condition:
		$1
}

rule function_7920_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.GetItem"
		size = 68
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0037 TPair<System.string,Data.DBXCommon.TEventPointer> 003c @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B D6 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55562_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.GetItem"
		size = 68
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0037 TPair<System.string,System.Int64> 003c @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B D6 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58295_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.GetItem"
		size = 68
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0037 TPair<System.string,System.Int64> 003c @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B D6 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87564_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.GetItem"
		size = 68
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0037 TStyleManager.TStyleClassDescriptor 003c @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B D6 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7921_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.SetItem"
		size = 186
		refs = "0015 TPair<System.string,Data.DBXCommon.TEventPointer> 001a @InitializeRecord 0022 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0060 @CopyRecord 00a7 @FinalizeRecord 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D EC 8B F2 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B FE 03 FF 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F0 8B C3 8B 30 FF 56 08 8B 55 EC 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55563_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.SetItem"
		size = 186
		refs = "0015 TPair<System.string,System.Int64> 001a @InitializeRecord 0022 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0060 @CopyRecord 00a7 @FinalizeRecord 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D EC 8B F2 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B FE 03 FF 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F0 8B C3 8B 30 FF 56 08 8B 55 EC 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58296_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.SetItem"
		size = 186
		refs = "0015 TPair<System.string,System.Int64> 001a @InitializeRecord 0022 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0060 @CopyRecord 00a7 @FinalizeRecord 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D EC 8B F2 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B FE 03 FF 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F0 8B C3 8B 30 FF 56 08 8B 55 EC 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87565_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.SetItem"
		size = 186
		refs = "0015 TStyleManager.TStyleClassDescriptor 001a @InitializeRecord 0022 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0060 @CopyRecord 00a7 @FinalizeRecord 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D EC 8B F2 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B FE 03 FF 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F0 8B C3 8B 30 FF 56 08 8B 55 EC 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7924_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.DoDelete"
		size = 247
		refs = "0015 TPair<System.string,Data.DBXCommon.TEventPointer> 001a @InitializeRecord 0022 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0060 @CopyRecord 0071 @FinalizeRecord 00a4 Move 00bb @FillChar 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 88 4D EF 8B F2 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B FE 03 FF 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB 8B FA FF 4B 08 8B 43 08 3B F0 74 34 8B 53 04 8D 14 FA 52 8B 53 04 8D 54 FA 10 2B C6 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 03 C0 8B 53 04 8D 04 C2 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D EF 8D 55 F0 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55566_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.DoDelete"
		size = 247
		refs = "0015 TPair<System.string,System.Int64> 001a @InitializeRecord 0022 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0060 @CopyRecord 0071 @FinalizeRecord 00a4 Move 00bb @FillChar 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 88 4D EF 8B F2 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B FE 03 FF 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB 8B FA FF 4B 08 8B 43 08 3B F0 74 34 8B 53 04 8D 14 FA 52 8B 53 04 8D 54 FA 10 2B C6 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 03 C0 8B 53 04 8D 04 C2 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D EF 8D 55 F0 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58299_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.DoDelete"
		size = 247
		refs = "0015 TPair<System.string,System.Int64> 001a @InitializeRecord 0022 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0060 @CopyRecord 0071 @FinalizeRecord 00a4 Move 00bb @FillChar 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 88 4D EF 8B F2 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B FE 03 FF 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB 8B FA FF 4B 08 8B 43 08 3B F0 74 34 8B 53 04 8D 14 FA 52 8B 53 04 8D 54 FA 10 2B C6 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 03 C0 8B 53 04 8D 04 C2 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D EF 8D 55 F0 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87568_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.DoDelete"
		size = 247
		refs = "0015 TStyleManager.TStyleClassDescriptor 001a @InitializeRecord 0022 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0060 @CopyRecord 0071 @FinalizeRecord 00a4 Move 00bb @FillChar 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 88 4D EF 8B F2 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B FE 03 FF 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB 8B FA FF 4B 08 8B 43 08 3B F0 74 34 8B 53 04 8D 14 FA 52 8B 53 04 8D 54 FA 10 2B C6 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 03 C0 8B 53 04 8D 04 C2 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D EF 8D 55 F0 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7931_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Add"
		size = 70
		refs = "000f TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.GrowCheck 0027 TPair<System.string,Data.DBXCommon.TEventPointer> 002c @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B C7 03 C0 8B 53 04 8D 04 C2 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55573_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Add"
		size = 70
		refs = "000f TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.GrowCheck 0027 TPair<System.string,System.Int64> 002c @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B C7 03 C0 8B 53 04 8D 04 C2 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58306_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Add"
		size = 70
		refs = "000f TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.GrowCheck 0027 TPair<System.string,System.Int64> 002c @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B C7 03 C0 8B 53 04 8D 04 C2 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87575_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Add"
		size = 70
		refs = "000f TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.GrowCheck 0027 TStyleManager.TStyleClassDescriptor 002c @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B C7 03 C0 8B 53 04 8D 04 C2 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7935_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Insert"
		size = 153
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.GrowCheck 0059 Move 006b @FillChar 007d TPair<System.string,Data.DBXCommon.TEventPointer> 0082 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 33 8B EE 03 ED 8B 53 04 8D 54 EA 10 52 8B 53 04 8D 14 EA 2B C6 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 E8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B C6 03 C0 8B 53 04 8D 04 C2 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55577_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Insert"
		size = 153
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.GrowCheck 0059 Move 006b @FillChar 007d TPair<System.string,System.Int64> 0082 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 33 8B EE 03 ED 8B 53 04 8D 54 EA 10 52 8B 53 04 8D 14 EA 2B C6 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 E8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B C6 03 C0 8B 53 04 8D 04 C2 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58310_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Insert"
		size = 153
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.GrowCheck 0059 Move 006b @FillChar 007d TPair<System.string,System.Int64> 0082 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 33 8B EE 03 ED 8B 53 04 8D 54 EA 10 52 8B 53 04 8D 14 EA 2B C6 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 E8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B C6 03 C0 8B 53 04 8D 04 C2 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87579_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Insert"
		size = 153
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.GrowCheck 0059 Move 006b @FillChar 007d TStyleManager.TStyleClassDescriptor 0082 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 33 8B EE 03 ED 8B 53 04 8D 54 EA 10 52 8B 53 04 8D 14 EA 2B C6 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 E8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B C6 03 C0 8B 53 04 8D 04 C2 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7936_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.InsertRange"
		size = 233
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.GrowCheck 006e Move 0085 @FillChar 00a8 TPair<System.string,Data.DBXCommon.TEventPointer> 00ad @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 03 D2 8B 4E 04 8D 14 D1 8B 4D FC 03 C9 8B 7E 04 8D 0C CF 2B 45 FC C1 E0 04 91 E8 ?? ?? ?? ?? 8B 45 FC 03 C0 8B 56 04 8D 04 C2 8B D3 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2C 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 03 C0 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 10 FF 4D F4 75 DD 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 10 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_55578_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.InsertRange"
		size = 233
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.GrowCheck 006e Move 0085 @FillChar 00a8 TPair<System.string,System.Int64> 00ad @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 03 D2 8B 4E 04 8D 14 D1 8B 4D FC 03 C9 8B 7E 04 8D 0C CF 2B 45 FC C1 E0 04 91 E8 ?? ?? ?? ?? 8B 45 FC 03 C0 8B 56 04 8D 04 C2 8B D3 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2C 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 03 C0 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 10 FF 4D F4 75 DD 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 10 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_58311_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.InsertRange"
		size = 233
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.GrowCheck 006e Move 0085 @FillChar 00a8 TPair<System.string,System.Int64> 00ad @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 03 D2 8B 4E 04 8D 14 D1 8B 4D FC 03 C9 8B 7E 04 8D 0C CF 2B 45 FC C1 E0 04 91 E8 ?? ?? ?? ?? 8B 45 FC 03 C0 8B 56 04 8D 04 C2 8B D3 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2C 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 03 C0 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 10 FF 4D F4 75 DD 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 10 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_87580_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.InsertRange"
		size = 233
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.GrowCheck 006e Move 0085 @FillChar 00a8 TStyleManager.TStyleClassDescriptor 00ad @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 03 D2 8B 4E 04 8D 14 D1 8B 4D FC 03 C9 8B 7E 04 8D 0C CF 2B 45 FC C1 E0 04 91 E8 ?? ?? ?? ?? 8B 45 FC 03 C0 8B 56 04 8D 04 C2 8B D3 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2C 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 03 C0 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 10 FF 4D F4 75 DD 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 10 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_7938_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,Data.DBXCommon.TEventPointer> 0019 @InitializeRecord 0021 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.InsertRange 002e TEnumerable<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.GetEnumerator 0057 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Insert 0060 TEnumerator<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 8B DA 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55580_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.Int64> 0019 @InitializeRecord 0021 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.InsertRange 002e TEnumerable<System.Bindings.Graph.TPair<System.string,System.Int64>>.GetEnumerator 0057 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Insert 0060 TEnumerator<System.Bindings.Graph.TPair<System.string,System.Int64>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 8B DA 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58313_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.InsertRange"
		size = 183
		refs = "0014 TPair<System.string,System.Int64> 0019 @InitializeRecord 0021 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.InsertRange 002e TEnumerable<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.GetEnumerator 0057 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Insert 0060 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 8B DA 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87582_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.InsertRange"
		size = 183
		refs = "0014 TStyleManager.TStyleClassDescriptor 0019 @InitializeRecord 0021 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.InsertRange 002e TEnumerable<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.GetEnumerator 0057 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Insert 0060 TEnumerator<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 8B DA 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7942_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Extract"
		size = 85
		refs = "000a TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.IndexOf 0018 TPair<System.string,Data.DBXCommon.TEventPointer> 001d @FinalizeRecord 0042 @CopyRecord 004d TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1B 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB 8B FA EB 22 8B C7 8B D6 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55584_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Extract"
		size = 85
		refs = "000a TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.IndexOf 0018 TPair<System.string,System.Int64> 001d @FinalizeRecord 0042 @CopyRecord 004d TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1B 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB 8B FA EB 22 8B C7 8B D6 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58317_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Extract"
		size = 85
		refs = "000a TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.IndexOf 0018 TPair<System.string,System.Int64> 001d @FinalizeRecord 0042 @CopyRecord 004d TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1B 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB 8B FA EB 22 8B C7 8B D6 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87586_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Extract"
		size = 85
		refs = "000a TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.IndexOf 0018 TStyleManager.TStyleClassDescriptor 001d @FinalizeRecord 0042 @CopyRecord 004d TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1B 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB 8B FA EB 22 8B C7 8B D6 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_7943_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Exchange"
		size = 164
		refs = "0014 TPair<System.string,Data.DBXCommon.TEventPointer> 0019 @InitializeRecord 0021 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Exchange 003f @CopyRecord 0091 @FinalizeRecord 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 8B 53 04 8D 04 C2 8B D7 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 8B 53 04 8D 04 C2 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55585_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Exchange"
		size = 164
		refs = "0014 TPair<System.string,System.Int64> 0019 @InitializeRecord 0021 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Exchange 003f @CopyRecord 0091 @FinalizeRecord 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 8B 53 04 8D 04 C2 8B D7 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 8B 53 04 8D 04 C2 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58318_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Exchange"
		size = 164
		refs = "0014 TPair<System.string,System.Int64> 0019 @InitializeRecord 0021 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Exchange 003f @CopyRecord 0091 @FinalizeRecord 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 8B 53 04 8D 04 C2 8B D7 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 8B 53 04 8D 04 C2 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87587_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Exchange"
		size = 164
		refs = "0014 TStyleManager.TStyleClassDescriptor 0019 @InitializeRecord 0021 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Exchange 003f @CopyRecord 0091 @FinalizeRecord 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 8B 53 04 8D 04 C2 8B D7 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 8B 53 04 8D 04 C2 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7944_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Move"
		size = 294
		refs = "0014 TPair<System.string,Data.DBXCommon.TEventPointer> 0019 @InitializeRecord 0021 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0067 @CopyRecord 007c @FinalizeRecord 00ad Move 00e4 @FillChar 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8B FA 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 C9 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B D7 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 8B 53 04 8D 04 C2 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB 8B FA 3B F7 7E 23 8B C7 03 C0 8B 53 04 8D 14 C2 8B C7 03 C0 8B 4B 04 8D 44 C1 10 8B CE 2B CF C1 E1 04 E8 ?? ?? ?? ?? EB 1F 8B C6 03 C0 8B 53 04 8D 54 C2 10 52 8B 53 04 8D 04 C2 2B FE 8B CF C1 E1 04 5A E8 ?? ?? ?? ?? 8B FE 03 FF 8B 43 04 8D 04 F8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55586_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Move"
		size = 294
		refs = "0014 TPair<System.string,System.Int64> 0019 @InitializeRecord 0021 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0067 @CopyRecord 007c @FinalizeRecord 00ad Move 00e4 @FillChar 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8B FA 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 C9 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B D7 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 8B 53 04 8D 04 C2 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB 8B FA 3B F7 7E 23 8B C7 03 C0 8B 53 04 8D 14 C2 8B C7 03 C0 8B 4B 04 8D 44 C1 10 8B CE 2B CF C1 E1 04 E8 ?? ?? ?? ?? EB 1F 8B C6 03 C0 8B 53 04 8D 54 C2 10 52 8B 53 04 8D 04 C2 2B FE 8B CF C1 E1 04 5A E8 ?? ?? ?? ?? 8B FE 03 FF 8B 43 04 8D 04 F8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58319_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Move"
		size = 294
		refs = "0014 TPair<System.string,System.Int64> 0019 @InitializeRecord 0021 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0067 @CopyRecord 007c @FinalizeRecord 00ad Move 00e4 @FillChar 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8B FA 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 C9 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B D7 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 8B 53 04 8D 04 C2 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB 8B FA 3B F7 7E 23 8B C7 03 C0 8B 53 04 8D 14 C2 8B C7 03 C0 8B 4B 04 8D 44 C1 10 8B CE 2B CF C1 E1 04 E8 ?? ?? ?? ?? EB 1F 8B C6 03 C0 8B 53 04 8D 54 C2 10 52 8B 53 04 8D 04 C2 2B FE 8B CF C1 E1 04 5A E8 ?? ?? ?? ?? 8B FE 03 FF 8B 43 04 8D 04 F8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87588_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Move"
		size = 294
		refs = "0014 TStyleManager.TStyleClassDescriptor 0019 @InitializeRecord 0021 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0067 @CopyRecord 007c @FinalizeRecord 00ad Move 00e4 @FillChar 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8B FA 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 C9 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B D7 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 8B 53 04 8D 04 C2 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB 8B FA 3B F7 7E 23 8B C7 03 C0 8B 53 04 8D 14 C2 8B C7 03 C0 8B 4B 04 8D 44 C1 10 8B CE 2B CF C1 E1 04 E8 ?? ?? ?? ?? EB 1F 8B C6 03 C0 8B 53 04 8D 54 C2 10 52 8B 53 04 8D 04 C2 2B FE 8B CF C1 E1 04 5A E8 ?? ?? ?? ?? 8B FE 03 FF 8B 43 04 8D 04 F8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7951_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Reverse"
		size = 176
		refs = "0010 TPair<System.string,Data.DBXCommon.TEventPointer> 0015 @InitializeRecord 001d TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.Reverse 0045 @CopyRecord 009d @FinalizeRecord 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 55 8D 45 F0 8B D6 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 8B 53 04 8D 04 C2 8B D7 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 8B 53 04 8D 04 C2 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F AB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55593_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Reverse"
		size = 176
		refs = "0010 TPair<System.string,System.Int64> 0015 @InitializeRecord 001d TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.Reverse 0045 @CopyRecord 009d @FinalizeRecord 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 55 8D 45 F0 8B D6 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 8B 53 04 8D 04 C2 8B D7 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 8B 53 04 8D 04 C2 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F AB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58326_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Reverse"
		size = 176
		refs = "0010 TPair<System.string,System.Int64> 0015 @InitializeRecord 001d TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.Reverse 0045 @CopyRecord 009d @FinalizeRecord 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 55 8D 45 F0 8B D6 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 8B 53 04 8D 04 C2 8B D7 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 8B 53 04 8D 04 C2 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F AB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87595_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Reverse"
		size = 176
		refs = "0010 TStyleManager.TStyleClassDescriptor 0015 @InitializeRecord 001d TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Reverse 0045 @CopyRecord 009d @FinalizeRecord 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 55 8D 45 F0 8B D6 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 8B 53 04 8D 04 C2 8B D7 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 8B 53 04 8D 04 C2 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F AB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7957_0 {
	meta:
		name = "TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.ToArray"
		size = 153
		refs = "0016 TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.ToArray 002e TArray<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>> 0033 @DynArraySetLength 004d TList<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>.GetItem 0062 TPair<System.string,Data.DBXCommon.TEventPointer> 0067 @CopyRecord 0086 @FinalizeRecord 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2D 47 33 DB 8D 4D EC 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 03 C0 8B 4D FC 8B 09 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55599_0 {
	meta:
		name = "TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.ToArray"
		size = 153
		refs = "0016 TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.ToArray 002e TArray<System.Bindings.Graph.TPair<System.string,System.Int64>> 0033 @DynArraySetLength 004d TList<System.Bindings.Graph.TPair<System.string,System.Int64>>.GetItem 0062 TPair<System.string,System.Int64> 0067 @CopyRecord 0086 @FinalizeRecord 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2D 47 33 DB 8D 4D EC 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 03 C0 8B 4D FC 8B 09 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58332_0 {
	meta:
		name = "TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.ToArray"
		size = 153
		refs = "0016 TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.ToArray 002e TArray<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>> 0033 @DynArraySetLength 004d TList<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>.GetItem 0062 TPair<System.string,System.Int64> 0067 @CopyRecord 0086 @FinalizeRecord 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2D 47 33 DB 8D 4D EC 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 03 C0 8B 4D FC 8B 09 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87601_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.ToArray"
		size = 153
		refs = "0016 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.ToArray 002e TArray<Vcl.Themes.TStyleManager.TStyleClassDescriptor> 0033 @DynArraySetLength 004d TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.GetItem 0062 TStyleManager.TStyleClassDescriptor 0067 @CopyRecord 0086 @FinalizeRecord 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2D 47 33 DB 8D 4D EC 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 03 C0 8B 4D FC 8B 09 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_7966_0 {
	meta:
		name = "TEqualityComparer<Data.DBXCommon.TEventPointer>.Default"
		size = 32
		refs = "000a TEventPointer 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 08 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_51262_0 {
	meta:
		name = "TEqualityComparer<SyncController.TPair<System.TObject,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.TObject,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 08 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_52769_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.EvalSys.TValueConverter.TConvPair>.Default"
		size = 32
		refs = "000a TValueConverter.TConvPair 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 08 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56333_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.Graph.TPair<System.TObject,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.TObject,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 08 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_60823_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.Outputs.TConvertPair>.Default"
		size = 32
		refs = "000a TConvertPair 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 08 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61031_0 {
	meta:
		name = "TEqualityComparer<System.Generics.Collections.TPair<System.TObject,System.string>>.Default"
		size = 32
		refs = "000a TPair<System.TObject,System.string> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 08 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_55608_0 {
	meta:
		name = "TEqualityComparer<System.Int64>.Default"
		size = 32
		refs = "000a Int64 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 08 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_71706_0 {
	meta:
		name = "TEqualityComparer<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Default"
		size = 32
		refs = "000a TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 08 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_87959_0 {
	meta:
		name = "TEqualityComparer<Vcl.Themes.TStyleManager.TSourceInfo>.Default"
		size = 32
		refs = "000a TStyleManager.TSourceInfo 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 08 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8075_0 {
	meta:
		name = "TDelegatedEqualityComparer<T>.GetHashCode"
		size = 21
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 14 8B 10 FF 52 0C 5D C2 08 00 }
	condition:
		$1
}

rule function_8089_0 {
	meta:
		name = "TArray.QuickSort<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>>"
		size = 363
		refs = "0017 TPair<System.string,Data.DBXCommon.TEventPointer> 001c @InitializeRecord 0032 TArray.QuickSort<Data.DBXCommon.TPair<System.string,Data.DBXCommon.TEventPointer>> 0079 @CopyRecord 0156 @FinalizeArray 015c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 4D D4 89 55 D8 89 45 DC 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D4 40 85 C0 0F 84 F2 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E E4 00 00 00 8B 5D 0C 8B 75 08 8D 45 F0 8B 55 08 2B 55 0C D1 EA 03 55 0C 03 D2 8B 4D D8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B C3 03 C0 8B 55 D8 8D 14 C2 8D 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C E6 EB 01 4E 8B C6 03 C0 8B 55 D8 8D 14 C2 8D 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F E6 3B F3 7C 51 3B F3 74 4B 8D 45 E0 8B FB 03 FF 8B 55 D8 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 8D 04 F8 8B D6 03 D2 8B 4D D8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 8B 55 D8 8D 04 C2 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 6E FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 D8 8B 4D D4 8B 45 DC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 1C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_56556_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Graph.TPair<System.string,System.Int64>>"
		size = 363
		refs = "0017 TPair<System.string,System.Int64> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Graph.TPair<System.string,System.Int64>> 0079 @CopyRecord 0156 @FinalizeArray 015c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 4D D4 89 55 D8 89 45 DC 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D4 40 85 C0 0F 84 F2 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E E4 00 00 00 8B 5D 0C 8B 75 08 8D 45 F0 8B 55 08 2B 55 0C D1 EA 03 55 0C 03 D2 8B 4D D8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B C3 03 C0 8B 55 D8 8D 14 C2 8D 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C E6 EB 01 4E 8B C6 03 C0 8B 55 D8 8D 14 C2 8D 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F E6 3B F3 7C 51 3B F3 74 4B 8D 45 E0 8B FB 03 FF 8B 55 D8 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 8D 04 F8 8B D6 03 D2 8B 4D D8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 8B 55 D8 8D 04 C2 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 6E FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 D8 8B 4D D4 8B 45 DC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 1C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_58764_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>>"
		size = 363
		refs = "0017 TPair<System.string,System.Int64> 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.ManagerDefaults.TPair<System.string,System.Int64>> 0079 @CopyRecord 0156 @FinalizeArray 015c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 4D D4 89 55 D8 89 45 DC 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D4 40 85 C0 0F 84 F2 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E E4 00 00 00 8B 5D 0C 8B 75 08 8D 45 F0 8B 55 08 2B 55 0C D1 EA 03 55 0C 03 D2 8B 4D D8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B C3 03 C0 8B 55 D8 8D 14 C2 8D 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C E6 EB 01 4E 8B C6 03 C0 8B 55 D8 8D 14 C2 8D 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F E6 3B F3 7C 51 3B F3 74 4B 8D 45 E0 8B FB 03 FF 8B 55 D8 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 8D 04 F8 8B D6 03 D2 8B 4D D8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 8B 55 D8 8D 04 C2 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 6E FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 D8 8B 4D D4 8B 45 DC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 1C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_88112_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Themes.TStyleManager.TStyleClassDescriptor>"
		size = 363
		refs = "0017 TStyleManager.TStyleClassDescriptor 001c @InitializeRecord 0032 TArray.QuickSort<Vcl.Themes.TStyleManager.TStyleClassDescriptor> 0079 @CopyRecord 0156 @FinalizeArray 015c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 4D D4 89 55 D8 89 45 DC 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D4 40 85 C0 0F 84 F2 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E E4 00 00 00 8B 5D 0C 8B 75 08 8D 45 F0 8B 55 08 2B 55 0C D1 EA 03 55 0C 03 D2 8B 4D D8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B C3 03 C0 8B 55 D8 8D 14 C2 8D 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C E6 EB 01 4E 8B C6 03 C0 8B 55 D8 8D 14 C2 8D 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F E6 3B F3 7C 51 3B F3 74 4B 8D 45 E0 8B FB 03 FF 8B 55 D8 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 8D 04 F8 8B D6 03 D2 8B 4D D8 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 8B 55 D8 8D 04 C2 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 6E FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 D8 8B 4D D4 8B 45 DC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 1C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_8104_0 {
	meta:
		name = "TX509CertificateIndy.Create"
		size = 120
		refs = "000f @ClassCreate 001e @UStrAddRef 0026 TX509CertificateIndy.Create 004f @UStrClr 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 4D FC 33 D2 8B C6 8B 38 FF 57 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8105_0 {
	meta:
		name = "TX509CertificateIndy.Create"
		size = 388
		refs = "001e @ClassCreate 0032 @UStrAddRef 003a TX509CertificateIndy.Create 004c _Dn_TFileStream 0051 TFileStream.Create 0078 TArray<System.Byte> 007d @DynArraySetLength 00a1 @DynArrayLength 00ac IPProcs 00c4 PeerFactory 00d0 TIPPeerFactory.CreatePeer 00e0 @IntfCast 0102 TObject.Free 0108 @HandleFinally 011f @IntfClear 013d @DynArrayClear 0145 @UStrClr 015b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D E8 89 5D E4 89 5D E0 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 88 55 F3 89 45 F4 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 10 FF 12 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 EC 8B 10 FF 12 8B C8 8B 55 F8 8B 45 EC 8B 30 FF 56 0C 8D 75 F8 6A 01 8B 45 F8 E8 ?? ?? ?? ?? 50 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 8B CE 33 D2 8B 30 FF 56 40 50 6A 01 8D 45 E4 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 33 D2 8B 45 F4 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5E 5B 8B E5 5D C2 04 00 6D 1B 10 4B 18 9C 79 45 A3 81 0F 23 8A 01 CC 18 }
	condition:
		$1
}

rule function_8106_0 {
	meta:
		name = "TX509CertificateIndy.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TX509CertificateIndy.Create 0036 @IntfCopy 0052 @IntfClear 0058 @HandleFinally 0065 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 0F B6 45 08 88 46 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8107_0 {
	meta:
		name = "TX509CertificateIndy.Destroy"
		size = 82
		refs = "0003 @BeforeDestruction 0015 @IntfClear 0025 TObject.Free 0040 TObject.Destroy 004b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 10 00 74 08 8D 46 04 E8 ?? ?? ?? ?? 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8108_0 {
	meta:
		name = "TX509CertificateIndy.CheckValidity"
		size = 24
		refs = "0004 Now"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 8B 10 FF 52 14 5B C3 }
	condition:
		$1
}

rule function_8109_0 {
	meta:
		name = "TX509CertificateIndy.CheckValidity"
		size = 165
		refs = "000e TX509CertificateIndy.CheckValidity 002d SCertExpired 0032 LoadResString 003c _Dn_ECertificateExpiredException 0041 Exception.Create 0046 @RaiseExcept 005f SCertNotYetValid 006e _Dn_ECertificateNotYetValidException 0092 @UStrArrayClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 10 FF 52 14 DC 5D 08 9B DF E0 9E 73 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 10 FF 52 18 DC 5D 08 9B DF E0 9E 76 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8110_0 {
	meta:
		name = "TX509CertificateIndy.GetBasicConstraints"
		size = 94
		refs = "000a TX509CertificateIndy.GetBasicConstraints 0018 SNotImplemented 001d LoadResString 002d _Dn_TDBXError 0032 TDBXError.Create 0037 @RaiseExcept 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 B9 1B 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_8116_0 {
	meta:
		name = "TX509CertificateIndy.GetPublicKey"
		size = 94
		refs = "000a TX509CertificateIndy.GetPublicKey 0018 SNotImplemented 001d LoadResString 002d _Dn_TDBXError 0032 TDBXError.Create 0037 @RaiseExcept 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 B9 1B 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_8121_0 {
	meta:
		name = "TX509CertificateIndy.Verify"
		size = 94
		refs = "000a TX509CertificateIndy.Verify 0018 SNotImplemented 001d LoadResString 002d _Dn_TDBXError 0032 TDBXError.Create 0037 @RaiseExcept 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 B9 1B 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_8111_0 {
	meta:
		name = "TX509CertificateIndy.GetEncoded"
		size = 90
		refs = "0009 TX509CertificateIndy.GetEncoded 0017 SNotImplemented 001c LoadResString 002c _Dn_TDBXError 0031 TDBXError.Create 0036 @RaiseExcept 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 B9 1B 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_8112_0 {
	meta:
		name = "TX509CertificateIndy.GetIssuerX500Principal"
		size = 97
		refs = "000c TX509CertificateIndy.GetIssuerX500Principal 002f _DV_TX500PrincipalIndy 0034 TX500PrincipalIndy.Create 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 75 1F 6A 00 8D 55 FC 8B 43 04 8B 08 FF 51 1C 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 8B 5B 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_8113_0 {
	meta:
		name = "TX509CertificateIndy.GetSubjectX500Principal"
		size = 97
		refs = "000c TX509CertificateIndy.GetSubjectX500Principal 002f _DV_TX500PrincipalIndy 0034 TX500PrincipalIndy.Create 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 00 75 1F 6A 00 8D 55 FC 8B 43 04 8B 08 FF 51 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 8B 5B 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_8114_0 {
	meta:
		name = "TX509CertificateIndy.GetNotAfter"
		size = 21
	strings:
		$1 = { 83 C4 F8 8B 40 04 8B 10 FF 52 14 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_8115_0 {
	meta:
		name = "TX509CertificateIndy.GetNotBefore"
		size = 21
	strings:
		$1 = { 83 C4 F8 8B 40 04 8B 10 FF 52 18 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_8117_0 {
	meta:
		name = "TX509CertificateIndy.GetSerialNumber"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 51 24 5E 5B C3 }
	condition:
		$1
}

rule function_8118_0 {
	meta:
		name = "TX509CertificateIndy.GetSigAlgName"
		size = 80
		refs = "000f TX509CertificateIndy.GetSigAlgName 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 04 8B 08 FF 51 28 8B 45 FC 8B D6 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8119_0 {
	meta:
		name = "TX509CertificateIndy.GetSignature"
		size = 80
		refs = "000f TX509CertificateIndy.GetSignature 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 04 8B 08 FF 51 28 8B 45 FC 8B D6 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8120_0 {
	meta:
		name = "TX509CertificateIndy.GetVersion"
		size = 9
	strings:
		$1 = { 8B 40 04 8B 10 FF 52 2C C3 }
	condition:
		$1
}

rule function_8122_0 {
	meta:
		name = "TX500PrincipalIndy.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TX500PrincipalIndy.Create 0036 @IntfCopy 0052 @IntfClear 0058 @HandleFinally 0065 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 0F B6 45 08 88 46 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8123_0 {
	meta:
		name = "TX500PrincipalIndy.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0015 @IntfClear 0020 TObject.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 08 00 74 08 8D 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8124_0 {
	meta:
		name = "TX500PrincipalIndy.GetEncoded"
		size = 13
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 14 5B C3 }
	condition:
		$1
}

rule function_8125_0 {
	meta:
		name = "TIWContainerContext.GetControlInstanceFromIndex"
		size = 19
		altNames = "TX500PrincipalIndy.GetName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 51 18 5E 5B C3 }
	condition:
		$1
}

rule function_8139_0 {
	meta:
		name = "TDBXActiveTableReaderItem.Destroy"
		size = 72
		refs = "0003 @BeforeDestruction 001d TObject.Free 0026 TDBXBooleans 002b @DynArrayClear 0036 TObject.Destroy 0041 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 20 00 74 10 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8140_0 {
	meta:
		name = "TDBXActiveTableReaderItem.IsReaderEos"
		size = 75
		refs = "001c TDBXActiveTableReaderItem.InitEos 002a @DynArrayLength"
	strings:
		$1 = { 53 8B D8 80 7B 18 00 75 0A 80 7B 21 00 75 04 33 C0 5B C3 80 7B 21 00 74 07 8B C3 E8 ?? ?? ?? ?? 83 7B 1C 00 74 21 8B 43 1C E8 ?? ?? ?? ?? 48 85 C0 7C 14 40 33 D2 8B 4B 1C 80 3C 11 00 75 04 33 C0 5B C3 42 48 75 EF B0 01 5B C3 }
	condition:
		$1
}

rule function_8141_0 {
	meta:
		name = "TDBXActiveTableReaderItem.SetParameterList"
		size = 26
		refs = "000b TDBXBooleans 0010 @DynArrayClear"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 10 5E 5B C3 }
	condition:
		$1
}

rule function_8142_0 {
	meta:
		name = "TDBXActiveTableReaderItem.ResetEos"
		size = 19
		refs = "0008 TDBXBooleans 000d @DynArrayClear"
	strings:
		$1 = { 53 8B D8 8D 43 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8143_0 {
	meta:
		name = "TDBXActiveTableReaderItem.InitEos"
		size = 243
		refs = "002d TDBXBooleans 0032 @DynArraySetLength 003d @DynArrayLength"
	strings:
		$1 = { 53 56 57 55 8B D8 83 7B 1C 00 0F 85 DE 00 00 00 83 7B 10 00 0F 84 D4 00 00 00 8B 43 10 8B 10 FF 52 08 50 8D 43 1C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 1C E8 ?? ?? ?? ?? 8B E8 4D 85 ED 0F 8C A2 00 00 00 45 33 FF 8B D7 8B 43 10 8B 08 FF 51 04 8B F0 8B C6 8B 10 FF 52 50 48 74 0A 83 E8 19 74 05 83 E8 07 75 70 8B C6 8B 10 FF 52 40 83 F8 02 74 18 8B C6 8B 10 FF 52 40 83 F8 03 74 0C 8B C6 8B 10 FF 52 40 83 F8 04 75 43 8B C6 8B 10 FF 52 7C 8B F0 8B C6 8B 10 FF 52 58 84 C0 74 04 33 C0 EB 21 8B C6 8B 10 FF 92 00 01 00 00 8B F0 85 F6 74 0B 8B C6 8B 10 FF 52 04 84 C0 74 04 33 C0 EB 02 B0 01 8B 53 1C 34 01 88 04 3A EB 10 8B 43 1C C6 04 38 01 EB 07 8B 43 1C C6 04 38 01 47 4D 0F 85 61 FF FF FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8144_0 {
	meta:
		name = "TDBXActiveTableReaderItem.SetParameterEos"
		size = 32
		refs = "0012 TDBXActiveTableReaderItem.InitEos"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 83 7F 10 00 74 0D 8B C7 E8 ?? ?? ?? ?? 8B 47 1C 88 1C 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8145_0 {
	meta:
		name = "TDBXActiveTableReaderItem.IsParameterEos"
		size = 34
		refs = "0009 TDBXActiveTableReaderItem.InitEos"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 1C 00 75 05 33 C0 5E 5B C3 8B 43 1C 0F B6 04 30 5E 5B C3 }
	condition:
		$1
}

rule function_8146_0 {
	meta:
		name = "TDBXActiveTableReaderItem.SetReader"
		size = 21
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 8B 08 FF 51 08 89 73 14 5E 5B C3 }
	condition:
		$1
}

rule function_8148_0 {
	meta:
		name = "TDBXActiveTableReaderItem.GetStreamerRow"
		size = 17
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 8B 08 FF 51 08 8B 43 0C 5B C3 }
	condition:
		$1
}

rule function_8149_0 {
	meta:
		name = "TDBXActiveTableReaderItem.SetReaderEos"
		size = 4
		altNames = "TTIWHTMLEdGlyphs.SetNew TXmlDtdDetailPETokenizer.SetPERefTreatment"
	strings:
		$1 = { 88 50 18 C3 }
	condition:
		$1
}

rule function_8150_0 {
	meta:
		name = "TDBXActiveTableReaderList.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TDBXActiveTableReaderList.CloseAllActiveTableReaders 001e TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83539_0 {
	meta:
		name = "TCustomTabData.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TCustomTabData.Clear 001e TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8151_0 {
	meta:
		name = "TDBXActiveTableReaderList.IsEos"
		size = 38
		refs = "000c TDBXActiveTableReaderItem.IsReaderEos"
	strings:
		$1 = { 53 56 8B 70 04 85 F6 74 16 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 09 8B 76 08 85 F6 75 EA B3 01 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_8152_0 {
	meta:
		name = "TDBXActiveTableReaderList.AllocateRowHandle"
		size = 7
	strings:
		$1 = { FF 40 08 8B 40 08 C3 }
	condition:
		$1
}

rule function_8153_0 {
	meta:
		name = "TDBXActiveTableReaderList.AddDBXStreamerRow"
		size = 81
		refs = "0011 _DV_TDBXActiveTableReaderItem 0016 TObject.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D7 8B C3 8B 08 FF 11 0F B6 45 0C 88 43 20 0F B6 45 08 88 43 21 8B 45 FC 89 43 04 8B 45 FC 89 47 0C 8B 46 04 89 43 08 89 5E 04 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8154_0 {
	meta:
		name = "TDBXActiveTableReaderList.FindStreamerRowItem"
		size = 29
	strings:
		$1 = { 8B 40 04 85 C0 74 11 3B 50 04 75 05 8B C8 8B C1 C3 8B 40 08 85 C0 75 EF 33 C9 8B C1 C3 }
	condition:
		$1
}

rule function_8155_0 {
	meta:
		name = "TDBXActiveTableReaderList.CloseAllActiveTableReaders"
		size = 74
		refs = "0013 TDBXActiveTableReaderItem.ResetEos 0037 TObject.Free"
	strings:
		$1 = { 53 56 57 55 51 8B F8 8B EC 8B 5F 04 85 DB 74 12 8B C3 E8 ?? ?? ?? ?? 8B 5B 08 8B 47 04 33 D2 89 50 08 85 DB 74 19 89 5D 00 8B 5B 08 8B 75 00 33 C0 89 45 00 8B C6 E8 ?? ?? ?? ?? 85 DB 75 E7 33 C0 89 47 08 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8156_0 {
	meta:
		name = "TDBXJSONTableReader.Create"
		size = 464
		refs = "0016 @ClassCreate 0028 TDBXJSONTableReader.Create 0037 _DV_TDBXNoOpRow 003c TDBXNoOpRow.Create 004a TDBXReader.Create 006c TJSONObject.Get 0081 TJSONPair.GetJsonValue 0086 TJSONArray.Size 009a TDBXValueTypeArray 009f @DynArraySetLength 00b4 TDBXWritableValueArray 00f4 TJSONArray.Get 00f9 TDBXJSONTools.JSONToValueType 0108 TDBXJSONTableReader.CreateWritableValue 0187 @DynArrayClear 018d @HandleFinally 019c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FB 8B D8 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 00 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B6 45 08 88 43 38 89 7B 24 C7 43 28 FF FF FF FF 33 C0 89 43 34 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 9B 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 34 56 8D 43 2C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 34 50 8D 43 30 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 34 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7B 34 4F 85 FF 0F 8C 80 00 00 00 47 33 F6 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 2C 89 04 B2 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 04 B2 46 4F 75 D3 EB 4E 8B 43 34 50 8D 43 30 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 34 50 8D 43 2C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 34 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B C3 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 61 00 62 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_8157_0 {
	meta:
		name = "TDBXJSONTableReader.Destroy"
		size = 64
		refs = "0003 @BeforeDestruction 000e TDBXJSONTableReader.CleanRowValues 0015 TDBXJSONTableReader.CleanValueTypes 0023 TObject.Free 002e TDBXReader.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 7E 38 00 74 08 8B 46 24 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8158_0 {
	meta:
		name = "TDBXJSONTableReader.CleanRowValues"
		size = 50
		refs = "0009 @DynArrayLength 001e TObject.Free"
	strings:
		$1 = { 53 56 57 8B F0 8B 46 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 1A 47 33 DB 8B 46 30 8B 04 98 E8 ?? ?? ?? ?? 8B 46 30 33 D2 89 14 98 43 4F 75 E9 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8159_0 {
	meta:
		name = "TDBXJSONTableReader.CleanValueTypes"
		size = 50
		refs = "0009 @DynArrayLength 001e TObject.Free"
	strings:
		$1 = { 53 56 57 8B F0 8B 46 2C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 1A 47 33 DB 8B 46 2C 8B 04 98 E8 ?? ?? ?? ?? 8B 46 2C 33 D2 89 14 98 43 4F 75 E9 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8160_0 {
	meta:
		name = "TDBXJSONTableReader.GetColumnDataPair"
		size = 224
		refs = "0017 TDBXJSONTableReader.GetColumnDataPair 002c TJSONObject.Get 0039 TJSONPair.GetJsonValue 003f _Dn_TJSONArray 0044 @IsClass 0057 TJSONArray.Get 007d _Dn_TJSONString 00b1 @UStrClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF BA ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 8B D8 85 DB 74 6A 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 54 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 32 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8D 55 F8 8B C3 8B 08 FF 11 8B 55 F8 8B 46 24 E8 ?? ?? ?? ?? 8B F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 61 00 62 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_8161_0 {
	meta:
		name = "TDBXJSONTableReader.DerivedNext"
		size = 65
		refs = "0009 TDBXJSONTableReader.GetColumnDataPair 001b TJSONPair.GetJsonValue 0020 TJSONArray.Size 0034 TDBXJSONTableReader.CleanRowValues"
	strings:
		$1 = { 53 56 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 05 33 C0 5E 5B C3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 3B 43 28 7E 12 8D 43 28 8B 10 FF 00 8B C3 E8 ?? ?? ?? ?? B0 01 EB 02 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_8162_0 {
	meta:
		name = "TDBXJSONTableReader.DerivedClose"
		size = 13
		refs = "0008 TDBXJSONTableReader.CleanRowValues"
	strings:
		$1 = { C7 40 28 FF FF FF FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8164_0 {
	meta:
		name = "TDBXJSONTableReader.GetValueType"
		size = 15
	strings:
		$1 = { 3B 50 34 7D 07 8B 40 2C 8B 04 90 C3 33 C0 C3 }
	condition:
		$1
}

rule function_8165_0 {
	meta:
		name = "TDBXJSONTableReader.CreateWritableValue"
		size = 51
		refs = "0019 TDBXValueType.Clone 0021 TDBXReader.GetRow 002c TDBXValue.CreateValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 3B 73 34 7D 23 6A 00 8B D6 8B C3 8B 08 FF 51 18 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 43 14 5A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8166_0 {
	meta:
		name = "TDBXJSONTableReader.GetValue"
		size = 153
		refs = "001f TDBXJSONTableReader.GetColumnDataPair 002e TJSONPair.GetJsonValue 0034 _Dn_TJSONArray 0039 @IsClass 004c TJSONArray.Get 005f TDBXJSONTableReader.CreateWritableValue 0086 TDBXJSONTools.JSONToDBX"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 3B 73 34 0F 8D 81 00 00 00 8B 43 30 83 3C B0 00 75 70 8B D6 8B C3 E8 ?? ?? ?? ?? 8B E8 33 FF 85 ED 74 27 8B C5 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B C5 E8 ?? ?? ?? ?? 8B 53 28 E8 ?? ?? ?? ?? 8B F8 85 FF 75 04 33 C0 EB 3A 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 53 30 89 04 B2 6A 00 6A 00 8B D6 8B C3 8B 08 FF 51 18 8B 10 FF 52 50 8B C8 8B 43 30 8B 14 B0 8B C7 E8 ?? ?? ?? ?? 8B 43 30 8B 04 B0 EB 02 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8168_0 {
	meta:
		name = "TDBXStreamerRow.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TDBXRow.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 10 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8169_0 {
	meta:
		name = "TDBXStreamerRow.RecordDBXReaderSet"
		size = 34
	strings:
		$1 = { 53 8B D8 8B C2 8B 10 FF 52 4C 8B 53 10 85 D2 7C 04 3B C2 7D 03 89 43 10 3B 43 14 7E 03 89 43 14 5B C3 }
	condition:
		$1
}

rule function_8170_0 {
	meta:
		name = "TDBXStreamerRow.ValueNotSet"
		size = 189
		refs = "0014 TDBXStreamerRow.ValueNotSet 0040 IntToStr 0056 SParameterNotSet 005b LoadResString 0066 Format 0076 _Dn_TDBXError 007b TDBXError.Create 0080 @RaiseExcept 00a3 @UStrArrayClr 00ab @UStrClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 10 FF 52 40 83 E8 02 74 05 83 E8 02 75 54 8D 45 FC 50 8B 43 04 8B 10 FF 52 4C 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 45 FC 50 B9 0B 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 8B 08 FF 51 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8173_0 {
	meta:
		name = "TDBXNoOpRow.CreateCustomValue"
		size = 35
		refs = "0014 _Dn_TDBXStringValue 0019 TDBXStringValue.Create"
	strings:
		$1 = { 53 8B DA 8B C3 8B 10 FF 52 50 83 E8 1A 75 10 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_8175_0 {
	meta:
		name = "TDBXTableEntity.Create"
		size = 73
		refs = "000e @ClassCreate 001d TObject.Create 0032 @AfterConstruction"
		altNames = "TDIB.Create TTextAttributes.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 0F B6 45 08 88 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8176_0 {
	meta:
		name = "TDBXTableEntity.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001d TObject.Free 0028 TObject.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 08 00 74 10 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8178_0 {
	meta:
		name = "TDBXTableReader.Create"
		size = 94
		refs = "000e @ClassCreate 0023 TDBXReader.Create 0047 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 6A 00 6A 00 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 24 8B C6 8B 10 FF 52 4C 88 43 28 8B 56 04 8B C3 8B 08 FF 51 08 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8179_0 {
	meta:
		name = "TDBXTableReader.Destroy"
		size = 153
		refs = "000d @BeforeDestruction 001a TDBXTableReader.Destroy 0030 TDBXWritableValueArray 0035 @DynArraySetLength 0052 TObject.Free 0060 TDBXReader.Destroy 007b @DynArrayClear 0081 @HandleFinally 0090 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D FC E8 ?? ?? ?? ?? 88 55 FB 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B C3 8B 08 FF 51 08 8D 43 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 80 7D FB 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8180_0 {
	meta:
		name = "TDBXTableReader.GetColumnCount"
		size = 84
		refs = "000c TDBXTableReader.GetColumnCount 0025 @DynArrayLength 003d TDBXValueTypeArray 0042 @DynArrayClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 24 8B 08 FF 51 2C 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_8181_0 {
	meta:
		name = "TDBXTableReader.GetValue"
		size = 9
	strings:
		$1 = { 8B 40 24 8B 08 FF 51 24 C3 }
	condition:
		$1
}

rule function_8182_0 {
	meta:
		name = "TDBXTableReader.GetValueType"
		size = 84
		refs = "000f TDBXTableReader.GetValueType 003c TDBXValueTypeArray 0041 @DynArrayClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 24 8B 08 FF 51 2C 8B 45 FC 8B 1C B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8183_0 {
	meta:
		name = "TDBXTableReader.GetValueByName"
		size = 32
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B 73 24 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8185_0 {
	meta:
		name = "TDBXTableReader.DerivedNext"
		size = 22
	strings:
		$1 = { 80 78 28 00 74 07 C6 40 28 00 B0 01 C3 8B 40 24 8B 10 FF 52 48 C3 }
	condition:
		$1
}

rule function_8186_0 {
	meta:
		name = "TDBXTableReader.Next"
		size = 6
	strings:
		$1 = { 8B 10 FF 52 24 C3 }
	condition:
		$1
}

rule function_8187_0 {
	meta:
		name = "TDBXTableReader.DerivedClose"
		size = 6
	strings:
		$1 = { 33 D2 89 50 24 C3 }
	condition:
		$1
}

rule function_8189_0 {
	meta:
		name = "TDBXTableRow.ColumnIndex"
		size = 146
		refs = "0015 TDBXTableRow.ColumnIndex 002d @DynArrayLength 0052 CompareText 0073 TDBXValueTypeArray 007d @FinalizeArray 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 8B 08 FF 51 2C 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 26 46 33 DB 8D 55 F4 8B C7 8B 08 FF 51 2C 8B 45 F4 8B 04 98 8B 40 04 8B 55 FC E8 ?? ?? ?? ?? 85 C0 74 07 43 4E 75 DD 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8193_0 {
	meta:
		name = "TDBXTable.GetOriginalRow"
		size = 88
		refs = "000a TDBXTable.GetOriginalRow 0018 SUnsupportedOperation 001d LoadResString 0027 _Dn_Exception 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_49218_0 {
	meta:
		name = "TAggregatedStream.Write"
		size = 88
		refs = "000a TAggregatedStream.Write 0018 SMethodNotSupported 001d LoadResString 0027 _Dn_Exception 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_98730_0 {
	meta:
		name = "TComponentsEnumerator.GetListCount"
		size = 88
		refs = "000a TComponentsEnumerator.GetListCount 0018 sCountFromComponentsNotSupported 001d LoadResString 0027 _DV_EScriptException 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_8267_0 {
	meta:
		name = "TDBXCustomValueRow.GetOriginalRow"
		size = 88
		refs = "000a TDBXCustomValueRow.GetOriginalRow 0018 SUnsupportedOperation 001d LoadResString 0027 _Dn_Exception 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_11777_0 {
	meta:
		name = "TDBXEmptyTableCursor.GetOrdinal"
		size = 88
		refs = "000a TDBXEmptyTableCursor.GetOrdinal 0018 SUnsupportedOperation 001d LoadResString 0027 _Dn_Exception 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_8208_0 {
	meta:
		name = "TDBXTable.CreateTableView"
		size = 88
		refs = "000a TDBXTable.CreateTableView 0018 SUnsupportedOperation 001d LoadResString 0027 _Dn_Exception 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_8206_0 {
	meta:
		name = "TDBXTable.FindStringKey"
		size = 88
		refs = "000a TDBXTable.FindStringKey 0018 SUnsupportedOperation 001d LoadResString 0027 _Dn_Exception 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_8209_0 {
	meta:
		name = "TDBXTable.GetDeletedRows"
		size = 88
		refs = "000a TDBXTable.GetDeletedRows 0018 SUnsupportedOperation 001d LoadResString 0027 _Dn_Exception 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_8210_0 {
	meta:
		name = "TDBXTable.GetInsertedRows"
		size = 88
		refs = "000a TDBXTable.GetInsertedRows 0018 SUnsupportedOperation 001d LoadResString 0027 _Dn_Exception 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_8211_0 {
	meta:
		name = "TDBXTable.GetUpdatedRows"
		size = 88
		refs = "000a TDBXTable.GetUpdatedRows 0018 SUnsupportedOperation 001d LoadResString 0027 _Dn_Exception 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_78564_0 {
	meta:
		name = "TDirect2DCanvas.GetCanvasOrientation"
		size = 88
		refs = "000a TDirect2DCanvas.GetCanvasOrientation 0018 SInvalidCanvasOperation 001d LoadResString 0027 _Dn_EInvalidOperation 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_78566_0 {
	meta:
		name = "TDirect2DCanvas.GetPixel"
		size = 88
		refs = "000a TDirect2DCanvas.GetPixel 0018 SInvalidCanvasOperation 001d LoadResString 0027 _Dn_EInvalidOperation 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_81288_0 {
	meta:
		name = "TGIFStream.Read"
		size = 88
		refs = "000a TGIFStream.Read 0018 sInvalidStream 001d LoadResString 0027 _DV_GIFException 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_81289_0 {
	meta:
		name = "TGIFStream.Seek"
		size = 88
		refs = "000a TGIFStream.Seek 0018 sInvalidStream 001d LoadResString 0027 _DV_GIFException 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_81287_0 {
	meta:
		name = "TGIFStream.Write"
		size = 88
		refs = "000a TGIFStream.Write 0018 sInvalidStream 001d LoadResString 0027 _DV_GIFException 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_32786_0 {
	meta:
		name = "TIdCustomTransparentProxy.Listen"
		size = 88
		refs = "000a TIdCustomTransparentProxy.Listen 0018 RSTransparentProxyCannotBind 001d LoadResString 0027 _Dn_EIdTransparentProxyCantBind 002c EIdException.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_39458_0 {
	meta:
		name = "TInCustomTransparentProxy.Listen"
		size = 88
		refs = "000a TInCustomTransparentProxy.Listen 0018 RSTransparentProxyCannotBind 001d LoadResString 0027 _Dn_EIdTransparentProxyCantBind 002c EInException.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_49260_0 {
	meta:
		name = "TSoapDataList.Remove"
		size = 88
		refs = "000a TSoapDataList.Remove 0018 SInvalidMethod 001d LoadResString 0027 _Dn_Exception 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_87234_0 {
	meta:
		name = "TUxThemeStyle.LoadFromStream"
		size = 88
		refs = "000a TUxThemeStyle.LoadFromStream 0018 SStyleFeatureNotSupported 001d LoadResString 0027 _DV_ECustomStyleException 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_49212_0 {
	meta:
		name = "TWebRequestStream.Write"
		size = 88
		refs = "000a TWebRequestStream.Write 0018 SMethodNotSupported 001d LoadResString 0027 _Dn_Exception 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_8195_0 {
	meta:
		name = "TDBXTable.CopyColumns"
		size = 171
		refs = "0012 TDBXTable.CopyColumns 002a @DynArrayLength 0039 TDBXValueTypeArray 003e @DynArraySetLength 005e TDBXValueType.Clone 0078 @DynArrayAsg 0098 @FinalizeArray 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 2C 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 18 46 33 DB 8B 45 FC 8B 04 98 E8 ?? ?? ?? ?? 8B 55 F8 89 04 9A 43 4E 75 EB 8B C7 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8196_0 {
	meta:
		name = "TDBXTable.CopyFrom"
		size = 171
		refs = "0017 TDBXTable.CopyFrom 0030 @DynArrayLength 0094 TDBXValueTypeArray 0099 @DynArrayClear 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC 8B 08 FF 51 2C 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F4 EB 3D 8B 45 FC 8B 10 FF 52 58 8B 75 F4 4E 85 F6 7C 25 46 33 DB 8B D3 8B 45 F8 8B 08 FF 51 24 50 8B D3 8B 45 FC 8B 08 FF 51 24 5A 8B 08 FF 91 C0 01 00 00 43 4E 75 DE 8B 45 FC 8B 10 FF 52 5C 8B 45 F8 8B 10 FF 52 48 84 C0 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8197_0 {
	meta:
		name = "TDBXTable.CopyFrom"
		size = 171
		refs = "0017 TDBXTable.CopyFrom 0030 @DynArrayLength 0094 TDBXValueTypeArray 0099 @DynArrayClear 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC 8B 08 FF 51 2C 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F4 EB 3D 8B 45 FC 8B 10 FF 52 58 8B 75 F4 4E 85 F6 7C 25 46 33 DB 8B D3 8B 45 F8 8B 08 FF 51 10 50 8B D3 8B 45 FC 8B 08 FF 51 24 5A 8B 08 FF 91 C0 01 00 00 43 4E 75 DE 8B 45 FC 8B 10 FF 52 5C 8B 45 F8 8B 10 FF 52 3C 84 C0 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8214_0 {
	meta:
		name = "TDBXDelegateTable.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDBXTable.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48988_0 {
	meta:
		name = "ERemotableException.Create"
		size = 55
		refs = "000a @ClassCreate 0019 Exception.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28138_0 {
	meta:
		name = "TAzureHTTP.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TIdBaseComponent.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17527_0 {
	meta:
		name = "TDSHTTPServer.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDSHTTPServer.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_112197_0 {
	meta:
		name = "TDomXPathCustomResult.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TCustomOwnedNode.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_33270_0 {
	meta:
		name = "TIdEMailAddressItem.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TCollectionItem.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9351_0 {
	meta:
		name = "TJSONNumber.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TJSONString.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_68803_0 {
	meta:
		name = "TLightweightEvent.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TLightweightEvent.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98677_0 {
	meta:
		name = "TModulesObj.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TEnumeratorObj.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_62663_0 {
	meta:
		name = "TThread.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TThread.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8215_0 {
	meta:
		name = "TDBXDelegateTable.GetWritableValue"
		size = 9
	strings:
		$1 = { 8B 40 18 8B 08 FF 51 24 C3 }
	condition:
		$1
}

rule function_8216_0 {
	meta:
		name = "TAbstractObjectMemberGroup.SetBinding"
		size = 4
		altNames = "TDBXDelegateTable.SetTable TDBXFilterSocketChannel.SetChannel TFiler.SetRoot TXMLNode.SetCollection"
	strings:
		$1 = { 89 50 18 C3 }
	condition:
		$1
}

rule function_8218_0 {
	meta:
		name = "TDBXDelegateTable.ReplaceStorage"
		size = 9
	strings:
		$1 = { 8B 48 18 89 50 18 8B C1 C3 }
	condition:
		$1
}

rule function_8219_0 {
	meta:
		name = "TDBXDelegateTable.IsUpdateable"
		size = 9
		altNames = "TDBXDelegateWritableValue.GetUInt8"
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 78 C3 }
	condition:
		$1
}

rule function_8220_0 {
	meta:
		name = "TDBXDelegateTable.InBounds"
		size = 9
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_8221_0 {
	meta:
		name = "TDBXDelegateTable.First"
		size = 9
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 4C C3 }
	condition:
		$1
}

rule function_8222_0 {
	meta:
		name = "TDBXDelegateTable.Next"
		size = 9
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 48 C3 }
	condition:
		$1
}

rule function_8223_0 {
	meta:
		name = "TDBXDelegateTable.Insert"
		size = 9
		altNames = "TDBXDelegateWritableValue.IsNull"
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 58 C3 }
	condition:
		$1
}

rule function_8224_0 {
	meta:
		name = "TDBXDelegateTable.Post"
		size = 9
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 5C C3 }
	condition:
		$1
}

rule function_8225_0 {
	meta:
		name = "TDBXDelegateTable.CopyFrom"
		size = 9
	strings:
		$1 = { 8B 40 18 8B 08 FF 51 50 C3 }
	condition:
		$1
}

rule function_8226_0 {
	meta:
		name = "TDBXDelegateTable.Close"
		size = 9
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 60 C3 }
	condition:
		$1
}

rule function_8227_0 {
	meta:
		name = "TDBXDelegateTable.Clear"
		size = 9
		altNames = "TDBXDelegateWritableValue.GetDate"
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 64 C3 }
	condition:
		$1
}

rule function_8228_0 {
	meta:
		name = "TDBXDelegateTable.DeleteRow"
		size = 9
		altNames = "TDBXDelegateWritableValue.GetBoolean"
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 68 C3 }
	condition:
		$1
}

rule function_8229_0 {
	meta:
		name = "TDBXDelegateTable.GetStorage"
		size = 9
		altNames = "TDBXDelegateWritableValue.GetInt8"
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 7C C3 }
	condition:
		$1
}

rule function_8230_0 {
	meta:
		name = "TDBXDelegateTable.GetCommand"
		size = 12
		altNames = "TDBXDelegateWritableValue.GetUInt16"
	strings:
		$1 = { 8B 40 18 8B 10 FF 92 80 00 00 00 C3 }
	condition:
		$1
}

rule function_8231_0 {
	meta:
		name = "TDBXDelegateTable.FindStringKey"
		size = 15
	strings:
		$1 = { 53 56 8B F0 8B 46 18 8B 18 FF 53 6C 5E 5B C3 }
	condition:
		$1
}

rule function_8232_0 {
	meta:
		name = "TDBXDelegateTable.AcceptChanges"
		size = 9
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 70 C3 }
	condition:
		$1
}

rule function_8233_0 {
	meta:
		name = "TDBXDelegateTable.CreateTableView"
		size = 9
	strings:
		$1 = { 8B 40 18 8B 08 FF 51 74 C3 }
	condition:
		$1
}

rule function_8234_0 {
	meta:
		name = "TDBXDelegateTable.GetDeletedRows"
		size = 12
		altNames = "TDBXDelegateWritableValue.GetInt16"
	strings:
		$1 = { 8B 40 18 8B 10 FF 92 84 00 00 00 C3 }
	condition:
		$1
}

rule function_8235_0 {
	meta:
		name = "TDBXDelegateTable.GetInsertedRows"
		size = 12
		altNames = "TDBXDelegateWritableValue.GetInt32"
	strings:
		$1 = { 8B 40 18 8B 10 FF 92 88 00 00 00 C3 }
	condition:
		$1
}

rule function_8236_0 {
	meta:
		name = "TDBXDelegateTable.GetUpdatedRows"
		size = 12
	strings:
		$1 = { 8B 40 18 8B 10 FF 92 8C 00 00 00 C3 }
	condition:
		$1
}

rule function_8237_0 {
	meta:
		name = "TDBXDelegateTable.GetColumns"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 18 8B 08 FF 51 2C 5E 5B C3 }
	condition:
		$1
}

rule function_8238_0 {
	meta:
		name = "TDBXDelegateTable.SetColumns"
		size = 9
	strings:
		$1 = { 8B 40 18 8B 08 FF 51 30 C3 }
	condition:
		$1
}

rule function_8239_0 {
	meta:
		name = "TDBXDelegateTable.GetDBXTableName"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 18 8B 08 FF 51 38 5E 5B C3 }
	condition:
		$1
}

rule function_8240_0 {
	meta:
		name = "TDBXDelegateTable.GetOrdinal"
		size = 9
		altNames = "TDBXReaderTable.GetOrdinal"
	strings:
		$1 = { 8B 40 18 8B 08 FF 51 20 C3 }
	condition:
		$1
}

rule function_8241_0 {
	meta:
		name = "TDBXDelegateTable.GetOriginalRow"
		size = 9
		altNames = "TDBXDelegateWritableValue.GetAsTime"
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 3C C3 }
	condition:
		$1
}

rule function_8242_0 {
	meta:
		name = "TDBXStringTrimTable.Create"
		size = 83
		refs = "000e @ClassCreate 001d TDBXDelegateTable.Create 002c TDBXWritableValueArray 0031 @DynArrayAsg 003c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8D 47 1C 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8243_0 {
	meta:
		name = "TDBXStringTrimTable.HasCharTypes"
		size = 54
		refs = "0009 @DynArrayLength"
	strings:
		$1 = { 53 56 57 55 8B E8 8B C5 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1B 43 33 FF 8B 74 BD 00 8B C6 8B 10 FF 52 54 83 F8 1F 75 04 B0 01 EB 06 47 4B 75 E8 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8244_0 {
	meta:
		name = "TDBXStringTrimTable.CreateTrimTableIfNeeded"
		size = 183
		refs = "000f TDBXStringTrimTable.CreateTrimTableIfNeeded 0027 TDBXStringTrimTable.HasCharTypes 0033 @DynArrayLength 0042 TDBXWritableValueArray 0047 @DynArraySetLength 0073 _DV_TDBXStringTrimTable 0078 TDBXStringTrimTable.Create 0095 @DynArrayClear 009e TDBXValueTypeArray 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 2C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 4F 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 0F 40 33 D2 8B 4D F8 33 F6 89 34 91 42 48 75 F4 8B 45 F8 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8245_0 {
	meta:
		name = "TDBXStringTrimTable.GetWritableValue"
		size = 80
		refs = "0039 _DV_TDBXTrimStringValue 003e TDBXTrimStringValue.Create"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 1C 8B 1C B8 85 DB 75 39 8B D7 8B 46 18 8B 08 FF 51 24 8B D8 8B 43 04 8B 10 FF 52 54 83 F8 1F 75 20 8B D7 8B 46 18 8B 08 FF 51 24 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 46 1C 89 1C B8 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8246_0 {
	meta:
		name = "TDBXStringTrimTable.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f FreeObjectArray 001a TDBXDelegateTable.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 1C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9022_0 {
	meta:
		name = "TDBXFirebirdCustomMetaDataReader.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f FreeObjectArray 001a TDBXBaseMetaDataReader.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 1C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9216_0 {
	meta:
		name = "TDBXInterbaseCustomMetaDataReader.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f FreeObjectArray 001a TDBXBaseMetaDataReader.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 1C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8247_0 {
	meta:
		name = "TDBXTrimStringValue.Create"
		size = 68
		refs = "000b @ClassCreate 001a TDBXValueType.Clone 0025 TDBXDelegateWritableValue.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 56 8B 46 04 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8248_0 {
	meta:
		name = "TDBXTrimStringValue.GetWideString"
		size = 79
		refs = "000f TDBXTrimStringValue.GetWideString 001f TDBXDelegateWritableValue.GetWideString 0029 Trim 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8249_0 {
	meta:
		name = "TDBXTrimStringValue.GetAsString"
		size = 79
		refs = "000f TDBXTrimStringValue.GetAsString 001f TDBXDelegateWritableValue.GetAsString 0029 Trim 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8250_0 {
	meta:
		name = "TDBXReaderTable.Create"
		size = 62
		refs = "000b @ClassCreate 001c TDBXTable.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8251_0 {
	meta:
		name = "TDBXReaderTable.First"
		size = 42
	strings:
		$1 = { 53 8B D8 83 7B 1C 00 75 17 FF 43 1C 8B 43 18 8B 10 FF 52 3C 84 C0 74 0C C6 43 20 01 B0 01 5B C3 C6 43 20 00 0F B6 43 20 5B C3 }
	condition:
		$1
}

rule function_8252_0 {
	meta:
		name = "TDBXReaderTable.InBounds"
		size = 17
	strings:
		$1 = { 83 78 1C 00 75 06 8B 10 FF 52 4C C3 0F B6 40 20 C3 }
	condition:
		$1
}

rule function_8253_0 {
	meta:
		name = "TDBXReaderTable.Next"
		size = 25
	strings:
		$1 = { 53 56 8B F0 FF 46 1C 8B 46 18 8B 10 FF 52 3C 8B D8 88 5E 20 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_8254_0 {
	meta:
		name = "TDBXReaderTable.GetColumns"
		size = 18
		refs = "0007 TDBXValueTypeArray 000c @DynArrayClear"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90138_0 {
	meta:
		name = "TArrowSeries.IsValidSourceOf"
		size = 18
		refs = "0007 _DV_TArrowSeries 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92171_0 {
	meta:
		name = "TBaseDBChartEditor.IsValid"
		size = 18
		refs = "0007 _Dn_TDataSet 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90157_0 {
	meta:
		name = "TBubbleSeries.IsValidSourceOf"
		size = 18
		refs = "0007 _DV_TBubbleSeries 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94946_0 {
	meta:
		name = "TChartShape.IsValidSourceOf"
		size = 18
		refs = "0007 _DV_TChartShape 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90548_0 {
	meta:
		name = "TDBChartEditor.IsValid"
		size = 18
		refs = "0007 _Dn_TDataSet 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92180_0 {
	meta:
		name = "TDBChartSourceEditor.IsValid"
		size = 18
		refs = "0007 _Dn_TDataSource 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92147_0 {
	meta:
		name = "TDBCrossTabSource.Available"
		size = 18
		refs = "0007 _Dn_TCustomChart 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11888_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetDataTypeDescriptions"
		size = 18
		refs = "0007 TDBXDataTypeDescriptionArray 000c @DynArrayClear"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11889_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetReservedWords"
		size = 18
		refs = "0007 TDBXStringArray 000c @DynArrayClear"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16242_0 {
	meta:
		name = "TDSRestCachedDBXReader.GetValue$344$ActRec.$0$Body"
		size = 18
		refs = "0007 _Dn_TJSONObject 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16238_0 {
	meta:
		name = "TDSRestCachedDataSet.GetValue$340$ActRec.$0$Body"
		size = 18
		refs = "0007 _Dn_TJSONObject 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16233_0 {
	meta:
		name = "TDSRestCachedJSONArray.GetValue$335$ActRec.$0$Body"
		size = 18
		refs = "0007 _Dn_TJSONArray 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16231_0 {
	meta:
		name = "TDSRestCachedJSONObject.GetValue$333$ActRec.$0$Body"
		size = 18
		refs = "0007 _Dn_TJSONObject 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16240_0 {
	meta:
		name = "TDSRestCachedParams.GetValue$342$ActRec.$0$Body"
		size = 18
		refs = "0007 _Dn_TJSONObject 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84659_0 {
	meta:
		name = "TEditAction.GetControl"
		size = 18
		refs = "0007 _Dn_TCustomEdit 000c @AsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90599_0 {
	meta:
		name = "TGanttSeries.IsValidSourceOf"
		size = 18
		refs = "0007 _DV_TGanttSeries 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81048_0 {
	meta:
		name = "THTMLHelpViewer.GetViewerName"
		size = 18
		refs = "0007 ViewerName 000c @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12566_0 {
	meta:
		name = "TRSACypher.ErrorLoad"
		size = 18
		refs = "0007 TRSACypher.ERR_LOAD 000c @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67007_0 {
	meta:
		name = "TRttiType.GetDeclaredFields"
		size = 18
		refs = "0007 TArray<System.Rtti.TRttiField> 000c @DynArrayClear"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67008_0 {
	meta:
		name = "TRttiType.GetDeclaredIndexedProperties"
		size = 18
		refs = "0007 TArray<System.Rtti.TRttiIndexedProperty> 000c @DynArrayClear"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67005_0 {
	meta:
		name = "TRttiType.GetDeclaredMethods"
		size = 18
		refs = "0007 TArray<System.Rtti.TRttiMethod> 000c @DynArrayClear"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67006_0 {
	meta:
		name = "TRttiType.GetDeclaredProperties"
		size = 18
		refs = "0007 TArray<System.Rtti.TRttiProperty> 000c @DynArrayClear"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90544_0 {
	meta:
		name = "TTeeSeriesDBSource.Available"
		size = 18
		refs = "0007 _DV_TCustomDBChart 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13735_0 {
	meta:
		name = "TTransportFilter.GetParameters"
		size = 18
		refs = "0007 TDBXStringArray 000c @DynArrayClear"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13736_0 {
	meta:
		name = "TTransportFilter.GetUserParameters"
		size = 18
		refs = "0007 TDBXStringArray 000c @DynArrayClear"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_112359_0 {
	meta:
		name = "TUnicodeCodec.GetPreamble"
		size = 18
		refs = "0007 TBytes 000c @DynArrayClear"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90034_0 {
	meta:
		name = "TWinHelpViewer.GetViewerName"
		size = 18
		refs = "0007 ViewerName 000c @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84674_0 {
	meta:
		name = "TWindowAction.GetForm"
		size = 18
		refs = "0007 _Dn_TForm 000c @AsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8256_0 {
	meta:
		name = "TDBXReaderTable.GetWritableValue"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 18 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_8257_0 {
	meta:
		name = "TDBXReaderTable.Close"
		size = 18
		refs = "0007 TDBXReader.Close"
	strings:
		$1 = { 53 8B D8 8B 43 18 E8 ?? ?? ?? ?? 33 C0 89 43 18 5B C3 }
	condition:
		$1
}

rule function_8258_0 {
	meta:
		name = "TDBXRowTable.Create"
		size = 81
		refs = "000e @ClassCreate 001f TDBXTable.Create 002d TDBXRow.NewRowGeneration 003a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 18 85 F6 74 07 8B C6 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8260_0 {
	meta:
		name = "TDBXRowTable.RowNavigated"
		size = 15
		refs = "000a TDBXRow.NewRowGeneration"
	strings:
		$1 = { 8B 50 18 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8261_0 {
	meta:
		name = "TDBXRowTable.CreateValues"
		size = 210
		refs = "001a TDBXRowTable.CreateValues 0027 @DynArrayLength 0036 TDBXWritableValueArray 003b @DynArraySetLength 0066 TDBXValue.CreateValue 0091 TDBXRow.NewRowGeneration 00a2 @DynArrayAsg 00bd @DynArrayClear 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 4D F4 8B FA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 36 46 33 DB 8B 04 9F 85 C0 74 28 6A 00 8B D0 8B 4D F4 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 8B 40 04 8B D3 8B 08 FF 51 10 8B 45 FC 8B 55 F0 89 14 98 43 4E 75 CD 83 7D F4 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8262_0 {
	meta:
		name = "TDBXRowTable.CreateValues"
		size = 126
		refs = "000e TDBXRowTable.CreateValues 0038 @DynArrayLength 005a TDBXValueTypeArray 005f @DynArrayClear 0068 TDBXWritableValueArray 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 8B 08 FF 51 2C 8B 55 F8 8B 4B 18 8B 43 14 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8263_0 {
	meta:
		name = "TDBXCustomValueRow.Create"
		size = 63
		refs = "000d @ClassCreate 001e TDBXRowTable.Create 0029 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73528_0 {
	meta:
		name = "TActiveFormControl.CreateFromFactory"
		size = 63
		refs = "000d @ClassCreate 001e TActiveXControl.CreateFromFactory 0029 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73388_0 {
	meta:
		name = "TActiveXControl.CreateFromFactory"
		size = 63
		refs = "000d @ClassCreate 001e TAutoObject.CreateFromFactory 0029 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_70870_0 {
	meta:
		name = "TAutoObject.CreateFromFactory"
		size = 63
		refs = "000d @ClassCreate 001e TTypedComObject.CreateFromFactory 0029 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_70962_0 {
	meta:
		name = "TAutoObjectEvent.CreateFromFactory"
		size = 63
		refs = "000d @ClassCreate 001e TAutoObject.CreateFromFactory 0029 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11498_0 {
	meta:
		name = "TDBXServerParameterList.Create"
		size = 63
		refs = "000d @ClassCreate 001e TDBXParameterList.Create 0029 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_36768_0 {
	meta:
		name = "TIdReplies.Create"
		size = 63
		refs = "000d @ClassCreate 001e TOwnedCollection.Create 0029 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_36826_0 {
	meta:
		name = "TIdRepliesRFC.Create"
		size = 63
		refs = "000d @ClassCreate 001e TIdReplies.Create 0029 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_70863_0 {
	meta:
		name = "TTypedComObject.CreateFromFactory"
		size = 63
		refs = "000d @ClassCreate 001e TComObject.CreateFromFactory 0029 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8268_0 {
	meta:
		name = "TDBXCustomValueRow.GetColumns"
		size = 25
		refs = "000d TDBXValueTypeArray 0012 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 1C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51905_0 {
	meta:
		name = "TLocationWrapper.GetArgs"
		size = 25
		refs = "000d TArray<System.Rtti.TValue> 0012 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 1C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8269_0 {
	meta:
		name = "TDBXCustomValueRow.SetColumns"
		size = 25
		refs = "000d TDBXValueTypeArray 0012 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 1C 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51909_0 {
	meta:
		name = "TLocationWrapper.SetArgs"
		size = 25
		refs = "000d TArray<System.Rtti.TValue> 0012 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 1C 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8270_0 {
	meta:
		name = "TDBXCustomValueRow.GetOrdinal"
		size = 62
		refs = "000c @DynArrayLength 0026 CompareText"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 1C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1F 46 33 DB 8B 47 1C 8B 04 98 8B 40 04 8B D5 E8 ?? ?? ?? ?? 85 C0 75 04 8B C3 EB 07 43 4E 75 E4 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8273_0 {
	meta:
		name = "TDBXSingleValueRow.Create"
		size = 57
		refs = "000a @ClassCreate 001b TDBXCustomValueRow.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_33091_0 {
	meta:
		name = "TIdRR_Error.Create"
		size = 57
		refs = "000a @ClassCreate 001b TIdTextModeResourceRecord.CreateInit 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8274_0 {
	meta:
		name = "TDBXSingleValueRow.SetColumns"
		size = 22
		refs = "0006 TDBXCustomValueRow.SetColumns"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_83908_0 {
	meta:
		name = "TRibbonQATScrollButton.CMMouseEnter"
		size = 22
		refs = "0006 TCustomUtilityButton.CMMouseEnter"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_8277_0 {
	meta:
		name = "TTransportCompressionFilter.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TTransportFilter.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 10 00 04 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8278_0 {
	meta:
		name = "TTransportCompressionFilter.GetParameters"
		size = 140
		refs = "000e TDBXStringArray 0013 @DynArraySetLength 001d TTransportCompressionFilter.GetParameters 0022 @UStrAsg"
	strings:
		$1 = { 53 8B DA 6A 02 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 69 00 6C 00 74 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6D 00 70 00 72 00 65 00 73 00 73 00 4D 00 6F 00 72 00 65 00 54 00 68 00 61 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_8279_0 {
	meta:
		name = "TTransportCompressionFilter.GetParameterValue"
		size = 400
		refs = "0018 TTransportCompressionFilter.GetParameterValue 0028 @UStrLAsg 005c CompareText 0071 @UStrAsg 00c4 IntToStr 00ce EmptyStr 00ef @UStrArrayClr 00f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0E 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 62 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0C 8B D7 8B 46 10 E8 ?? ?? ?? ?? EB 0F 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 69 00 6C 00 74 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 62 00 78 00 43 00 6F 00 6D 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 46 00 69 00 6C 00 74 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6D 00 70 00 72 00 65 00 73 00 73 00 4D 00 6F 00 72 00 65 00 54 00 68 00 61 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_8280_0 {
	meta:
		name = "TTransportCompressionFilter.GetUserParameters"
		size = 88
		refs = "000e TDBXStringArray 0013 @DynArraySetLength 001d TTransportCompressionFilter.GetUserParameters 0022 @UStrAsg"
	strings:
		$1 = { 53 8B DA 6A 01 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6D 00 70 00 72 00 65 00 73 00 73 00 4D 00 6F 00 72 00 65 00 54 00 68 00 61 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_8281_0 {
	meta:
		name = "TTransportCompressionFilter.Id"
		size = 64
		refs = "0006 TTransportCompressionFilter.Id 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 5A 00 4C 00 69 00 62 00 43 00 6F 00 6D 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_8282_0 {
	meta:
		name = "TTransportCompressionFilter.ProcessOutput"
		size = 359
		refs = "0015 TTransportCompressionFilter.ProcessOutput 0022 @DynArrayLength 0045 TArray<System.Byte> 004a @DynArraySetLength 005b Move 0065 _Dn_TBytesStream 006a TBytesStream.Create 0087 TStream.SetPosition 0091 _Dn_TZDecompressionStream 0096 TZDecompressionStream.Create 00da TStream.ReadBuffer 00ef TObject.Free 00f5 @HandleFinally 0155 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D FC 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 48 99 89 45 E8 89 55 EC 80 3B 01 0F 85 E1 00 00 00 8B 45 E8 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8D 43 01 8B 4D E8 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 12 89 45 E8 89 55 EC 8B 45 E8 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 16 8B 4D E8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 E8 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 16 8D 43 01 8B 4D E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8283_0 {
	meta:
		name = "TTransportCompressionFilter.ProcessInput"
		size = 326
		refs = "0012 @DynArrayLength 0022 _Dn_TMemoryStream 0027 TObject.Create 0032 TTransportCompressionFilter.ProcessInput 0045 _Dn_TZCompressionStream 004a TZCompressionStream.Create 006e TStream.WriteBuffer 0083 TObject.Free 0089 @HandleFinally 00b3 TArray<System.Byte> 00b8 @DynArraySetLength 00c7 TStream.SetPosition 00da TStream.ReadBuffer 0134 Move"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 4D FC 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 3B 46 10 0F 8E E4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8B D3 8B 45 F4 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 10 FF 12 89 45 E8 89 55 EC 8B 45 E8 8B 55 EC 83 C0 01 83 D2 00 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 00 8D 50 01 8B 4D E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 00 C6 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 E8 ?? ?? ?? ?? 40 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 E8 ?? ?? ?? ?? 50 8B C3 8B 55 FC 8B 12 42 59 E8 ?? ?? ?? ?? 8B 45 FC 8B 00 C6 00 02 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8284_0 {
	meta:
		name = "TSitePageModuleHelper.IncludePage"
		size = 14
		altNames = "TTransportCompressionFilter.SetConfederateParameter"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_8285_0 {
	meta:
		name = "TTransportCompressionFilter.SetParameterValue"
		size = 456
		refs = "001c TTransportCompressionFilter.SetParameterValue 002c @UStrLAsg 0060 CompareText 0070 StrToInt 0124 @UStrArrayClr 012a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 11 8B C6 E8 ?? ?? ?? ?? 89 47 10 B3 01 E9 90 00 00 00 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 45 8D 45 EC 8B D6 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 75 04 B0 01 EB 24 83 7D EC 00 74 06 83 7D E8 00 75 04 33 C0 EB 14 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6D 00 70 00 72 00 65 00 73 00 73 00 4D 00 6F 00 72 00 65 00 54 00 68 00 61 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 69 00 6C 00 74 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 62 00 78 00 43 00 6F 00 6D 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 46 00 69 00 6C 00 74 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_8287_0 {
	meta:
		name = "Data.DbxCompressionFilter"
		size = 20
		refs = "0002 _DV_2 000a _DV_TTransportCompressionFilter 000f TTransportFilterFactory.RegisterFilter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28391_0 {
	meta:
		name = "DSAzureBlob"
		size = 20
		refs = "0002 _DV_71 000a _DV_TLeaseManager 000f TLeaseManager.Instance"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8409_0 {
	meta:
		name = "Data.DBXDb2ReadOnlyMetaData"
		size = 20
		refs = "0002 _DV_2 000a _DV_TDBXDb2MetaDataCommandFactory 000f TDBXMetaDataCommandFactory.RegisterMetaDataCommandFactory"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9086_0 {
	meta:
		name = "Data.DBXFirebirdReadOnlyMetaData"
		size = 20
		refs = "0002 _DV_2 000a _DV_TDBXFirebirdMetaDataCommandFactory 000f TDBXMetaDataCommandFactory.RegisterMetaDataCommandFactory"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9201_0 {
	meta:
		name = "Data.DBXInformixReadOnlyMetaData"
		size = 20
		refs = "0002 _DV_2 000a _DV_TDBXInformixMetaDataCommandFactory 000f TDBXMetaDataCommandFactory.RegisterMetaDataCommandFactory"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9280_0 {
	meta:
		name = "Data.DBXInterbaseReadOnlyMetaData"
		size = 20
		refs = "0002 _DV_2 000a _DV_TDBXInterbaseMetaDataCommandFactory 000f TDBXMetaDataCommandFactory.RegisterMetaDataCommandFactory"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12152_0 {
	meta:
		name = "Data.DBXMSSQLReadOnlyMetaData"
		size = 20
		refs = "0002 _DV_2 000a _DV_TDBXMsSqlMetaDataCommandFactory 000f TDBXMetaDataCommandFactory.RegisterMetaDataCommandFactory"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12325_0 {
	meta:
		name = "Data.DBXMySqlReadOnlyMetaData"
		size = 20
		refs = "0002 _DV_2 000a _DV_TDBXMySqlMetaDataCommandFactory 000f TDBXMetaDataCommandFactory.RegisterMetaDataCommandFactory"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12560_0 {
	meta:
		name = "Data.DBXOdbcReadOnlyMetaData"
		size = 20
		refs = "0002 _DV_2 000a _DV_TDBXOdbcMetaDataCommandFactory 000f TDBXMetaDataCommandFactory.RegisterMetaDataCommandFactory"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12583_0 {
	meta:
		name = "Data.DBXOpenSSL"
		size = 20
		refs = "0002 _DV_2 000a _DV_TRSACypher 000f TRSACypher.Init"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12665_0 {
	meta:
		name = "Data.DBXOracleReadOnlyMetaData"
		size = 20
		refs = "0002 _DV_2 000a _DV_TDBXOracleMetaDataCommandFactory 000f TDBXMetaDataCommandFactory.RegisterMetaDataCommandFactory"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13321_0 {
	meta:
		name = "Data.DBXSybaseASAReadOnlyMetaData"
		size = 20
		refs = "0002 _DV_2 000a _DV_TDBXSybaseASAMetaDataCommandFactory 000f TDBXMetaDataCommandFactory.RegisterMetaDataCommandFactory"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13409_0 {
	meta:
		name = "Data.DBXSybaseASEReadOnlyMetaData"
		size = 20
		refs = "0002 _DV_2 000a _DV_TDBXSybaseASEMetaDataCommandFactory 000f TDBXMetaDataCommandFactory.RegisterMetaDataCommandFactory"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43148_0 {
	meta:
		name = "IWAppForm"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIWAppForm 000f RegisterIWFormType"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33729_0 {
	meta:
		name = "IdFTPListParseAS400"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPAS400 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33772_0 {
	meta:
		name = "IdFTPListParseBullGCOS7"
		size = 20
		refs = "0002 _DV_2 000a _DV_TIdFTPLPGOS7 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33778_0 {
	meta:
		name = "IdFTPListParseBullGCOS8"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPGOS8 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33784_0 {
	meta:
		name = "IdFTPListParseChameleonNewt"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPChameleonNewt 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33789_0 {
	meta:
		name = "IdFTPListParseCiscoIOS"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPCiscoIOS 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33795_0 {
	meta:
		name = "IdFTPListParseDistinctTCPIP"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPDistinctTCPIP 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33801_0 {
	meta:
		name = "IdFTPListParseEPLF"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPEPLF 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33807_0 {
	meta:
		name = "IdFTPListParseHellSoft"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPHellSoft 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33835_0 {
	meta:
		name = "IdFTPListParseKA9Q"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPKA9Q 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33841_0 {
	meta:
		name = "IdFTPListParseMicrowareOS9"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPMicrowareOS9 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33859_0 {
	meta:
		name = "IdFTPListParseMusic"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPMusic 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33896_0 {
	meta:
		name = "IdFTPListParseNCSAForDOS"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPNCSAforDOS 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33902_0 {
	meta:
		name = "IdFTPListParseNCSAForMACOS"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPNCSAforMACOS 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33910_0 {
	meta:
		name = "IdFTPListParseNovellNetware"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPNovellNetware 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33926_0 {
	meta:
		name = "IdFTPListParseOS2"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPOS2 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33933_0 {
	meta:
		name = "IdFTPListParsePCNFSD"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPPCNFSD 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33939_0 {
	meta:
		name = "IdFTPListParsePCTCP"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPPCTCPNet 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33945_0 {
	meta:
		name = "IdFTPListParseStercomOS390Exp"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPSterCommExpOS390 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33979_0 {
	meta:
		name = "IdFTPListParseStratusVOS"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPStratusVOS 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33987_0 {
	meta:
		name = "IdFTPListParseSuperTCP"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPSuperTCP 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34000_0 {
	meta:
		name = "IdFTPListParseTOPS20"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPTOPS20 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34008_0 {
	meta:
		name = "IdFTPListParseTSXPlus"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPTSXPlus 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33993_0 {
	meta:
		name = "IdFTPListParseTandemGuardian"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPTandemGuardian 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34017_0 {
	meta:
		name = "IdFTPListParseUnisysClearPath"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPUnisysClearPath 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34058_0 {
	meta:
		name = "IdFTPListParseVMS"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPVMS 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34092_0 {
	meta:
		name = "IdFTPListParseVxWorks"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPVxWorks 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34099_0 {
	meta:
		name = "IdFTPListParseWfFTP"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPWfFTP 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34112_0 {
	meta:
		name = "IdFTPListParseWinQVTNET"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPWinQVNet 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34106_0 {
	meta:
		name = "IdFTPListParseWindowsNT"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPWindowsNT 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34120_0 {
	meta:
		name = "IdFTPListParseXecomMicroRTOS"
		size = 20
		refs = "0002 _DV_3 000a _DV_TIdFTPLPXecomMicroRTOS 000f RegisterFTPListParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34860_0 {
	meta:
		name = "IdHeaderCoder2022JP"
		size = 20
		refs = "0002 _DV_2 000a _DV_TIdHeaderCoder2022JP 000f RegisterHeaderCoder"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34876_0 {
	meta:
		name = "IdHeaderCoderIndy"
		size = 20
		refs = "0002 _DV_2 000a _DV_TIdHeaderCoderIndy 000f RegisterHeaderCoder"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34881_0 {
	meta:
		name = "IdHeaderCoderPlain"
		size = 20
		refs = "0002 _DV_2 000a _DV_TIdHeaderCoderPlain 000f RegisterHeaderCoder"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34886_0 {
	meta:
		name = "IdHeaderCoderUTF"
		size = 20
		refs = "0002 _DV_2 000a _DV_TIdHeaderCoderUTF 000f RegisterHeaderCoder"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35593_0 {
	meta:
		name = "IdIOHandlerStack"
		size = 20
		refs = "0002 _DV_2 000a _DV_TIdIOHandlerStack 000f TIdIOHandler.SetDefaultClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41201_0 {
	meta:
		name = "InIOHandlerStack"
		size = 20
		refs = "0002 _DV_2 000a _DV_TInIOHandlerStack 000f TInIOHandler.SetDefaultClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47978_0 {
	meta:
		name = "ReqMulti"
		size = 20
		refs = "0002 _DV_2 000a _DV_TMultipartContentParser 000f RegisterContentParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48137_0 {
	meta:
		name = "ServerController"
		size = 20
		refs = "0002 _DV_2 000a _DV_TIWServerController 000f TIWServerControllerBase.SetServerControllerClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72289_0 {
	meta:
		name = "UTF8ContentParser"
		size = 20
		refs = "0002 _DV_2 000a _DV_TUTF8ContentParser 000f RegisterContentParser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91770_0 {
	meta:
		name = "VCLTee.TeeAreaEdit"
		size = 20
		refs = "0002 _DV_2 000a _DV_TAreaSeriesEditor 000f RegisterSeriesEditor"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91781_0 {
	meta:
		name = "VCLTee.TeeArrowEdi"
		size = 20
		refs = "0002 _DV_2 000a _DV_TArrowSeriesEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91786_0 {
	meta:
		name = "VCLTee.TeeAvgFuncEditor"
		size = 20
		refs = "0002 _DV_2 000a _DV_TAverageFuncEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91848_0 {
	meta:
		name = "VCLTee.TeeBarEdit"
		size = 20
		refs = "0002 _DV_2 000a _DV_TBarSeriesEditor 000f RegisterSeriesEditor"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91857_0 {
	meta:
		name = "VCLTee.TeeBaseFuncEdit"
		size = 20
		refs = "0002 _DV_2 000a _DV_TBaseFunctionEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91879_0 {
	meta:
		name = "VCLTee.TeeBmpOptions"
		size = 20
		refs = "0002 _DV_3 000a _DV_TBMPExportFormat 000f RegisterTeeExportFormat"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91906_0 {
	meta:
		name = "VCLTee.TeeBubbleEdit"
		size = 20
		refs = "0002 _DV_2 000a _DV_TBubbleSeriesEditor 000f RegisterSeriesEditor"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92012_0 {
	meta:
		name = "VCLTee.TeeCircledEdit"
		size = 20
		refs = "0002 _DV_2 000a _DV_TCircledSeriesEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92036_0 {
	meta:
		name = "VCLTee.TeeCustEdit"
		size = 20
		refs = "0002 _DV_2 000a _DV_TCustomSeriesEditor 000f RegisterSeriesEditor"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92041_0 {
	meta:
		name = "VCLTee.TeeCustomFuncEditor"
		size = 20
		refs = "0002 _DV_2 000a _DV_TCustomFunctionEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92169_0 {
	meta:
		name = "VCLTee.TeeDBCrossTabEditor"
		size = 20
		refs = "0002 _DV_2 000a _DV_TDBChartCrossTabEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92554_0 {
	meta:
		name = "VCLTee.TeeEdiPeri"
		size = 20
		refs = "0002 _DV_2 000a _DV_TTeeFunctionEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92829_0 {
	meta:
		name = "VCLTee.TeeEmfOptions"
		size = 20
		refs = "0002 _DV_3 000a _DV_TEMFExportFormat 000f RegisterTeeExportFormat"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93078_0 {
	meta:
		name = "VCLTee.TeeFLineEdi"
		size = 20
		refs = "0002 _DV_2 000a _DV_TFastLineSeriesEditor 000f RegisterSeriesEditor"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93363_0 {
	meta:
		name = "VCLTee.TeeGDIPlusEditor"
		size = 20
		refs = "0002 _DV_2 000a _DV_TGDIPlusEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93261_0 {
	meta:
		name = "VCLTee.TeeGanttEdi"
		size = 20
		refs = "0002 _DV_2 000a _DV_TGanttSeriesEditor 000f RegisterSeriesEditor"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94497_0 {
	meta:
		name = "VCLTee.TeePieEdit"
		size = 20
		refs = "0002 _DV_2 000a _DV_TPieSeriesEditor 000f RegisterSeriesEditor"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94530_0 {
	meta:
		name = "VCLTee.TeePoEdi"
		size = 20
		refs = "0002 _DV_2 000a _DV_TSeriesPointerEditor 000f RegisterSeriesEditor"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94983_0 {
	meta:
		name = "VCLTee.TeeShapeEdi"
		size = 20
		refs = "0002 _DV_2 000a _DV_TChartShapeEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95030_0 {
	meta:
		name = "VCLTee.TeeStackBarEdit"
		size = 20
		refs = "0002 _DV_2 000a _DV_TStackBarSeriesEditor 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84093_0 {
	meta:
		name = "Vcl.RibbonActnMenus"
		size = 20
		refs = "0002 _DV_01 000a _DV_TRibbonApplicationMenuBar 000f RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8289_0 {
	meta:
		name = "TDBXDataExpressMetaDataProvider.Create"
		size = 60
		refs = "000b @ClassCreate 001a TDBXMetaDataProvider.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73580_0 {
	meta:
		name = "TAdapterNotifier.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64631_0 {
	meta:
		name = "TClassHelperBase._Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75885_0 {
	meta:
		name = "TComboBoxExEnumerator.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32317_0 {
	meta:
		name = "TIdBuffer.Create"
		size = 60
		refs = "000b @ClassCreate 001a TIdBuffer.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39170_0 {
	meta:
		name = "TInBuffer.Create"
		size = 60
		refs = "000b @ClassCreate 001a TInBuffer.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25975_0 {
	meta:
		name = "TLocalAppServer.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26331_0 {
	meta:
		name = "TLocateParamsWrapper.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73373_0 {
	meta:
		name = "TOleLinkStub.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48085_0 {
	meta:
		name = "TScriptObject.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111050_0 {
	meta:
		name = "Tox4DOMDocumentTypeChildren.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8290_0 {
	meta:
		name = "TDBXDataExpressMetaDataProvider.Open"
		size = 316
		refs = "0013 TDBXDataExpressMetaDataProvider.Open 0036 @UStrEqual 0042 _Dn_TDBXMetaDataWriterFactory 0047 TDBXMetaDataWriterFactory.CreateWriter 006e _DV_TDBXDataExpressProviderWriteableContext 0073 TDBXDataExpressProviderContext.Create 008e TDBXProviderContext.UseAnsiString 00ea @UStrArrayClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 BA ?? ?? ?? ?? 8B 43 0C 8B 30 FF 56 60 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 14 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC EB 1B 8D 55 F4 8B 43 0C 8B 08 FF 51 5C 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 0C 89 46 04 8D 55 F0 8B 43 0C 8B 08 FF 51 5C 8B 45 F0 E8 ?? ?? ?? ?? 88 46 11 C6 46 12 01 8B D6 8B 45 FC 8B 08 FF 51 20 8B 45 FC 8B 10 FF 52 28 8B F8 8B D6 8B C7 8B 08 FF 51 08 8D 55 EC 8B 43 0C 8B 08 FF 51 58 8B 55 EC 8B C7 8B 08 FF 51 18 8B 55 FC 8B C3 8B 08 FF 11 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4F 00 64 00 62 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_8291_0 {
	meta:
		name = "TDBXDataExpressProviderWriteableContext.CreateTableStorage"
		size = 45
		refs = "000a _Dn_TDBXMemoryTable 000f TDBXMemoryTable.Create"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 51 34 8B D7 8B C3 8B 08 FF 51 30 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8292_0 {
	meta:
		name = "TDBXDataExpressProviderWriteableContext.CreateRowStorage"
		size = 26
	strings:
		$1 = { 53 8B 18 FF 53 08 8B D8 8B C3 8B 10 FF 52 58 8B C3 8B 10 FF 52 5C 8B C3 5B C3 }
	condition:
		$1
}

rule function_8293_0 {
	meta:
		name = "TDBXDataExpressProviderWriteableContext.StartTransaction"
		size = 16
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 6C 89 43 14 5B C3 }
	condition:
		$1
}

rule function_8294_0 {
	meta:
		name = "TDBXDataExpressProviderWriteableContext.StartSerializedTransaction"
		size = 21
	strings:
		$1 = { 53 8B D8 BA 03 00 00 00 8B 43 04 8B 08 FF 51 68 89 43 14 5B C3 }
	condition:
		$1
}

rule function_8295_0 {
	meta:
		name = "TDBXDataExpressProviderWriteableContext.Commit"
		size = 12
	strings:
		$1 = { 8D 50 14 8B 40 04 8B 08 FF 51 70 C3 }
	condition:
		$1
}

rule function_8296_0 {
	meta:
		name = "TDBXDataExpressProviderWriteableContext.Rollback"
		size = 12
	strings:
		$1 = { 8D 50 14 8B 40 04 8B 08 FF 51 74 C3 }
	condition:
		$1
}

rule function_8299_0 {
	meta:
		name = "TDBXDatasnapDriver.Create"
		size = 305
		refs = "0019 @ClassCreate 0030 TDBXDriverDef 0035 @AddRefRecord 003d TDBXDatasnapDriver.Create 004d _DV_TDBXDatasnapProperties 0052 TDBXDatasnapProperties.Create 0062 TDBXProperties.GetCount 007d TStrings.GetName 00c2 TDBXProperties.AddUniqueProperties 00db TDBXClientDriver.Create 00f5 @UStrArrayClr 0103 @FinalizeRecord 0109 @HandleFinally 0119 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F4 A5 A5 A5 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 75 F8 85 F6 74 72 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 4E 40 89 45 E4 33 F6 8D 4D E0 8B 45 F8 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B 55 E0 8B 43 08 8B 08 FF 51 58 89 45 E8 83 7D E8 FF 7E 1E 8D 4D DC 8B 45 F8 8B 40 08 8B D6 8B 38 FF 57 0C 8B 4D DC 8B 55 E8 8B 43 08 8B 38 FF 57 20 46 FF 4D E4 75 B8 8B 45 F8 8B 50 08 8B C3 E8 ?? ?? ?? ?? 8B 53 08 8B 45 F8 E8 ?? ?? ?? ?? 53 8D 4D F4 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8300_0 {
	meta:
		name = "TDBXDatasnapProperties.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TDBXProperties.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8302_0 {
	meta:
		name = "TDBXDatasnapProperties.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 0013 TCollection.Clear 001b TObject.Free 0026 TDBXProperties.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 28 85 C0 74 0D E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8303_0 {
	meta:
		name = "TDBXDatasnapProperties.GetBufferKBSize"
		size = 128
		refs = "000c TDBXDatasnapProperties.GetBufferKBSize 0021 TDBXProperties.GetValue 002e StrToIntDef 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA 20 00 00 00 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 42 00 75 00 66 00 66 00 65 00 72 00 4B 00 42 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_8304_0 {
	meta:
		name = "TDBXDatasnapProperties.GetHostName"
		size = 56
		refs = "0009 TDBXDatasnapProperties.GetHostName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_36910_0 {
	meta:
		name = "NCToStr"
		size = 23
		refs = "0010 IntToHex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8353_0 {
	meta:
		name = "TDBXDb2Properties.GetHostName"
		size = 56
		refs = "0009 TDBXDb2Properties.GetHostName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_9093_0 {
	meta:
		name = "TDBXInformixProperties.GetHostName"
		size = 56
		refs = "0009 TDBXInformixProperties.GetHostName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12075_0 {
	meta:
		name = "TDBXMSSQLProperties.GetHostName"
		size = 56
		refs = "0009 TDBXMSSQLProperties.GetHostName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12159_0 {
	meta:
		name = "TDBXMySQLProperties.GetHostName"
		size = 56
		refs = "0009 TDBXMySQLProperties.GetHostName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12594_0 {
	meta:
		name = "TDBXOracleProperties.GetHostName"
		size = 56
		refs = "0009 TDBXOracleProperties.GetHostName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13253_0 {
	meta:
		name = "TDBXSybaseASAProperties.GetHostName"
		size = 56
		refs = "0009 TDBXSybaseASAProperties.GetHostName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13330_0 {
	meta:
		name = "TDBXSybaseASEProperties.GetHostName"
		size = 56
		refs = "0009 TDBXSybaseASEProperties.GetHostName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_8305_0 {
	meta:
		name = "TDBXDatasnapProperties.GetPassword"
		size = 56
		refs = "0009 TDBXDatasnapProperties.GetPassword 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_8354_0 {
	meta:
		name = "TDBXDb2Properties.GetPassword"
		size = 56
		refs = "0009 TDBXDb2Properties.GetPassword 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_9011_0 {
	meta:
		name = "TDBXFirebirdProperties.GetPassword"
		size = 56
		refs = "0009 TDBXFirebirdProperties.GetPassword 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_9094_0 {
	meta:
		name = "TDBXInformixProperties.GetPassword"
		size = 56
		refs = "0009 TDBXInformixProperties.GetPassword 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_9205_0 {
	meta:
		name = "TDBXInterBaseProperties.GetPassword"
		size = 56
		refs = "0009 TDBXInterBaseProperties.GetPassword 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_12078_0 {
	meta:
		name = "TDBXMSSQLProperties.GetPassword"
		size = 56
		refs = "0009 TDBXMSSQLProperties.GetPassword 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_12160_0 {
	meta:
		name = "TDBXMySQLProperties.GetPassword"
		size = 56
		refs = "0009 TDBXMySQLProperties.GetPassword 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_12596_0 {
	meta:
		name = "TDBXOracleProperties.GetPassword"
		size = 56
		refs = "0009 TDBXOracleProperties.GetPassword 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_13255_0 {
	meta:
		name = "TDBXSybaseASAProperties.GetPassword"
		size = 56
		refs = "0009 TDBXSybaseASAProperties.GetPassword 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_13331_0 {
	meta:
		name = "TDBXSybaseASEProperties.GetPassword"
		size = 56
		refs = "0009 TDBXSybaseASEProperties.GetPassword 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_8306_0 {
	meta:
		name = "TDBXDatasnapProperties.GetPort"
		size = 112
		refs = "000c TDBXDatasnapProperties.GetPort 0021 TDBXProperties.GetValue 002e StrToIntDef 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA D3 00 00 00 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 6F 00 72 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_8307_0 {
	meta:
		name = "TDBXDatasnapProperties.GetServerConnection"
		size = 72
		refs = "0009 TDBXDatasnapProperties.GetServerConnection 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_8308_0 {
	meta:
		name = "TDBXDatasnapProperties.GetUserName"
		size = 56
		refs = "0009 TDBXDatasnapProperties.GetUserName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_8355_0 {
	meta:
		name = "TDBXDb2Properties.GetUserName"
		size = 56
		refs = "0009 TDBXDb2Properties.GetUserName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_9013_0 {
	meta:
		name = "TDBXFirebirdProperties.GetUserName"
		size = 56
		refs = "0009 TDBXFirebirdProperties.GetUserName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_9095_0 {
	meta:
		name = "TDBXInformixProperties.GetUserName"
		size = 56
		refs = "0009 TDBXInformixProperties.GetUserName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_9207_0 {
	meta:
		name = "TDBXInterBaseProperties.GetUserName"
		size = 56
		refs = "0009 TDBXInterBaseProperties.GetUserName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_12081_0 {
	meta:
		name = "TDBXMSSQLProperties.GetUserName"
		size = 56
		refs = "0009 TDBXMSSQLProperties.GetUserName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_12162_0 {
	meta:
		name = "TDBXMySQLProperties.GetUserName"
		size = 56
		refs = "0009 TDBXMySQLProperties.GetUserName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_12598_0 {
	meta:
		name = "TDBXOracleProperties.GetUserName"
		size = 56
		refs = "0009 TDBXOracleProperties.GetUserName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_13256_0 {
	meta:
		name = "TDBXSybaseASAProperties.GetUserName"
		size = 56
		refs = "0009 TDBXSybaseASAProperties.GetUserName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_13332_0 {
	meta:
		name = "TDBXSybaseASEProperties.GetUserName"
		size = 56
		refs = "0009 TDBXSybaseASEProperties.GetUserName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_8309_0 {
	meta:
		name = "TDBXDatasnapProperties.GetValidateCertificate"
		size = 104
		refs = "000c TDBXDatasnapProperties.GetValidateCertificate 0014 TEventsCollection.GetEvent"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC BA ?? ?? ?? ?? 8B 43 20 E8 ?? ?? ?? ?? 8B 04 24 89 06 8B 44 24 04 89 46 04 59 5A 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 56 00 61 00 6C 00 69 00 64 00 61 00 74 00 65 00 50 00 65 00 65 00 72 00 43 00 65 00 72 00 74 00 69 00 66 00 69 00 63 00 61 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_8310_0 {
	meta:
		name = "TDBXDatasnapProperties.SetValidateCertificate"
		size = 88
		refs = "000a TDBXDatasnapProperties.SetValidateCertificate 0012 TEventsCollection.SetEvent"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 BA ?? ?? ?? ?? 8B 40 20 E8 ?? ?? ?? ?? 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 56 00 61 00 6C 00 69 00 64 00 61 00 74 00 65 00 50 00 65 00 65 00 72 00 43 00 65 00 72 00 74 00 69 00 66 00 69 00 63 00 61 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_8311_0 {
	meta:
		name = "TDBXDatasnapProperties.Init"
		size = 492
		refs = "0004 TDBXDatasnapProperties.Init 0010 TDBXProperties.SetValue 0049 EmptyStr"
	strings:
		$1 = { 53 8B D8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6C 00 6F 00 63 00 61 00 6C 00 68 00 6F 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 32 00 31 00 31 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 74 00 63 00 70 00 2F 00 69 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 43 00 6F 00 6D 00 6D 00 75 00 6E 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 50 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 46 00 69 00 6C 00 74 00 65 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 64 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 43 00 6F 00 6E 00 74 00 65 00 78 00 74 00 00 00 }
	condition:
		$1
}

rule function_8312_0 {
	meta:
		name = "TDBXDatasnapProperties.OnFiltersChange"
		size = 112
		refs = "000c TDBXDatasnapProperties.OnFiltersChange 002c TDBXProperties.SetValue 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 28 8B 08 FF 51 44 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 46 00 69 00 6C 00 74 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_8313_0 {
	meta:
		name = "TDBXDatasnapProperties.GetCommunicationProtocol"
		size = 80
		refs = "0009 TDBXDatasnapProperties.GetCommunicationProtocol 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 15 00 00 00 43 00 6F 00 6D 00 6D 00 75 00 6E 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 50 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 00 00 }
	condition:
		$1
}

rule function_8314_0 {
	meta:
		name = "TDBXDatasnapProperties.GetCommunicationTimeout"
		size = 80
		refs = "0009 TDBXDatasnapProperties.GetCommunicationTimeout 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 14 00 00 00 43 00 6F 00 6D 00 6D 00 75 00 6E 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_8315_0 {
	meta:
		name = "TDBXDatasnapProperties.GetConnectTimeout"
		size = 68
		refs = "0009 TDBXDatasnapProperties.GetConnectTimeout 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_8316_0 {
	meta:
		name = "TDBXDatasnapProperties.GetDatasnapContext"
		size = 68
		refs = "0009 TDBXDatasnapProperties.GetDatasnapContext 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 43 00 6F 00 6E 00 74 00 65 00 78 00 74 00 00 00 }
	condition:
		$1
}

rule function_8317_0 {
	meta:
		name = "TDBXDatasnapProperties.GetDSAuthenticationPassword"
		size = 88
		refs = "0009 TDBXDatasnapProperties.GetDSAuthenticationPassword 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 18 00 00 00 44 00 53 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_8318_0 {
	meta:
		name = "TDBXDatasnapProperties.GetDSAuthenticationScheme"
		size = 84
		refs = "0009 TDBXDatasnapProperties.GetDSAuthenticationScheme 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 53 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 53 00 63 00 68 00 65 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_8319_0 {
	meta:
		name = "TDBXDatasnapProperties.GetDSAuthenticationUser"
		size = 80
		refs = "0009 TDBXDatasnapProperties.GetDSAuthenticationUser 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 53 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 55 00 73 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_8320_0 {
	meta:
		name = "TDBXDatasnapProperties.GetDSProxyHost"
		size = 60
		refs = "0009 TDBXDatasnapProperties.GetDSProxyHost 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 48 00 6F 00 73 00 74 00 00 00 }
	condition:
		$1
}

rule function_8321_0 {
	meta:
		name = "TDBXDatasnapProperties.GetDSProxyPassword"
		size = 68
		refs = "0009 TDBXDatasnapProperties.GetDSProxyPassword 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 }
	condition:
		$1
}

rule function_8322_0 {
	meta:
		name = "TDBXDatasnapProperties.GetDSProxyPort"
		size = 124
		refs = "000c TDBXDatasnapProperties.GetDSProxyPort 0021 TDBXProperties.GetValue 002e StrToIntDef 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA B8 22 00 00 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 50 00 6F 00 72 00 74 00 00 00 }
	condition:
		$1
}

rule function_8323_0 {
	meta:
		name = "TDBXDatasnapProperties.GetDSProxyUsername"
		size = 68
		refs = "0009 TDBXDatasnapProperties.GetDSProxyUsername 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 55 00 73 00 65 00 72 00 6E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_8324_0 {
	meta:
		name = "TDBXDatasnapProperties.GetFilters"
		size = 172
		refs = "000c TDBXDatasnapProperties.GetFilters 001a TObject.Free 0029 TDBXProperties.GetValue 0032 EmptyStr 0039 @UStrEqual 0043 TTransportFilterCollection.FromJSON 004f _Dn_TTransportFilterCollection 0054 TTransportFilterCollection.Create 0064 TDBXDatasnapProperties.OnFiltersChange 007b @UStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 28 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0D 8B 45 FC E8 ?? ?? ?? ?? 89 43 28 EB 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B 43 28 89 58 1C C7 40 18 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 46 00 69 00 6C 00 74 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_8325_0 {
	meta:
		name = "TDBXDatasnapProperties.GetURLPath"
		size = 52
		refs = "0009 TDBXDatasnapProperties.GetURLPath 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 52 00 4C 00 50 00 61 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_8326_0 {
	meta:
		name = "TDBXDatasnapProperties.SetBufferKBSize"
		size = 124
		refs = "000f TDBXDatasnapProperties.SetBufferKBSize 001f IntToStr 002e TDBXProperties.SetValue 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 42 00 75 00 66 00 66 00 65 00 72 00 4B 00 42 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_8327_0 {
	meta:
		name = "TDBXDatasnapProperties.SetHostName"
		size = 48
		refs = "0003 TDBXDatasnapProperties.SetHostName 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_8360_0 {
	meta:
		name = "TDBXDb2Properties.SetHostName"
		size = 48
		refs = "0003 TDBXDb2Properties.SetHostName 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_9100_0 {
	meta:
		name = "TDBXInformixProperties.SetHostName"
		size = 48
		refs = "0003 TDBXInformixProperties.SetHostName 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12084_0 {
	meta:
		name = "TDBXMSSQLProperties.SetHostName"
		size = 48
		refs = "0003 TDBXMSSQLProperties.SetHostName 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12167_0 {
	meta:
		name = "TDBXMySQLProperties.SetHostName"
		size = 48
		refs = "0003 TDBXMySQLProperties.SetHostName 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12605_0 {
	meta:
		name = "TDBXOracleProperties.SetHostName"
		size = 48
		refs = "0003 TDBXOracleProperties.SetHostName 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13259_0 {
	meta:
		name = "TDBXSybaseASAProperties.SetHostName"
		size = 48
		refs = "0003 TDBXSybaseASAProperties.SetHostName 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13339_0 {
	meta:
		name = "TDBXSybaseASEProperties.SetHostName"
		size = 48
		refs = "0003 TDBXSybaseASEProperties.SetHostName 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_8328_0 {
	meta:
		name = "TDBXDatasnapProperties.SetPassword"
		size = 48
		refs = "0003 TDBXDatasnapProperties.SetPassword 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_8361_0 {
	meta:
		name = "TDBXDb2Properties.SetPassword"
		size = 48
		refs = "0003 TDBXDb2Properties.SetPassword 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_9015_0 {
	meta:
		name = "TDBXFirebirdProperties.SetPassword"
		size = 48
		refs = "0003 TDBXFirebirdProperties.SetPassword 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_9101_0 {
	meta:
		name = "TDBXInformixProperties.SetPassword"
		size = 48
		refs = "0003 TDBXInformixProperties.SetPassword 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_9209_0 {
	meta:
		name = "TDBXInterBaseProperties.SetPassword"
		size = 48
		refs = "0003 TDBXInterBaseProperties.SetPassword 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_12087_0 {
	meta:
		name = "TDBXMSSQLProperties.SetPassword"
		size = 48
		refs = "0003 TDBXMSSQLProperties.SetPassword 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_12168_0 {
	meta:
		name = "TDBXMySQLProperties.SetPassword"
		size = 48
		refs = "0003 TDBXMySQLProperties.SetPassword 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_12607_0 {
	meta:
		name = "TDBXOracleProperties.SetPassword"
		size = 48
		refs = "0003 TDBXOracleProperties.SetPassword 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_13261_0 {
	meta:
		name = "TDBXSybaseASAProperties.SetPassword"
		size = 48
		refs = "0003 TDBXSybaseASAProperties.SetPassword 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_13340_0 {
	meta:
		name = "TDBXSybaseASEProperties.SetPassword"
		size = 48
		refs = "0003 TDBXSybaseASEProperties.SetPassword 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_8329_0 {
	meta:
		name = "TDBXDatasnapProperties.SetPort"
		size = 108
		refs = "000f TDBXDatasnapProperties.SetPort 001f IntToStr 002e TDBXProperties.SetValue 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 6F 00 72 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_8330_0 {
	meta:
		name = "TDBXDatasnapProperties.SetServerConnection"
		size = 64
		refs = "0003 TDBXDatasnapProperties.SetServerConnection 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_8331_0 {
	meta:
		name = "TDBXDatasnapProperties.SetUserName"
		size = 48
		refs = "0003 TDBXDatasnapProperties.SetUserName 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_8362_0 {
	meta:
		name = "TDBXDb2Properties.SetUserName"
		size = 48
		refs = "0003 TDBXDb2Properties.SetUserName 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_9017_0 {
	meta:
		name = "TDBXFirebirdProperties.SetUserName"
		size = 48
		refs = "0003 TDBXFirebirdProperties.SetUserName 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_9102_0 {
	meta:
		name = "TDBXInformixProperties.SetUserName"
		size = 48
		refs = "0003 TDBXInformixProperties.SetUserName 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_9211_0 {
	meta:
		name = "TDBXInterBaseProperties.SetUserName"
		size = 48
		refs = "0003 TDBXInterBaseProperties.SetUserName 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_12090_0 {
	meta:
		name = "TDBXMSSQLProperties.SetUserName"
		size = 48
		refs = "0003 TDBXMSSQLProperties.SetUserName 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_12170_0 {
	meta:
		name = "TDBXMySQLProperties.SetUserName"
		size = 48
		refs = "0003 TDBXMySQLProperties.SetUserName 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_12609_0 {
	meta:
		name = "TDBXOracleProperties.SetUserName"
		size = 48
		refs = "0003 TDBXOracleProperties.SetUserName 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_13262_0 {
	meta:
		name = "TDBXSybaseASAProperties.SetUserName"
		size = 48
		refs = "0003 TDBXSybaseASAProperties.SetUserName 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_13341_0 {
	meta:
		name = "TDBXSybaseASEProperties.SetUserName"
		size = 48
		refs = "0003 TDBXSybaseASEProperties.SetUserName 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_8332_0 {
	meta:
		name = "TDBXDatasnapProperties.SetCommunicationProtocol"
		size = 72
		refs = "0003 TDBXDatasnapProperties.SetCommunicationProtocol 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 43 00 6F 00 6D 00 6D 00 75 00 6E 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 50 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 00 00 }
	condition:
		$1
}

rule function_8333_0 {
	meta:
		name = "TDBXDatasnapProperties.SetCommunicationTimeout"
		size = 72
		refs = "0003 TDBXDatasnapProperties.SetCommunicationTimeout 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 43 00 6F 00 6D 00 6D 00 75 00 6E 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_8334_0 {
	meta:
		name = "TDBXDatasnapProperties.SetConnectTimeout"
		size = 60
		refs = "0003 TDBXDatasnapProperties.SetConnectTimeout 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_8335_0 {
	meta:
		name = "TDBXDatasnapProperties.SetDatasnapContext"
		size = 60
		refs = "0003 TDBXDatasnapProperties.SetDatasnapContext 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 43 00 6F 00 6E 00 74 00 65 00 78 00 74 00 00 00 }
	condition:
		$1
}

rule function_8336_0 {
	meta:
		name = "TDBXDatasnapProperties.SetDSAuthenticationPassword"
		size = 80
		refs = "0003 TDBXDatasnapProperties.SetDSAuthenticationPassword 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 44 00 53 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_8337_0 {
	meta:
		name = "TDBXDatasnapProperties.SetDSAuthenticationUser"
		size = 72
		refs = "0003 TDBXDatasnapProperties.SetDSAuthenticationUser 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 53 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 55 00 73 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_8338_0 {
	meta:
		name = "TDBXDatasnapProperties.SetDSProxyHost"
		size = 52
		refs = "0003 TDBXDatasnapProperties.SetDSProxyHost 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 48 00 6F 00 73 00 74 00 00 00 }
	condition:
		$1
}

rule function_8339_0 {
	meta:
		name = "TDBXDatasnapProperties.SetDSProxyPassword"
		size = 60
		refs = "0003 TDBXDatasnapProperties.SetDSProxyPassword 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 }
	condition:
		$1
}

rule function_8340_0 {
	meta:
		name = "TDBXDatasnapProperties.SetDSProxyPort"
		size = 120
		refs = "000f TDBXDatasnapProperties.SetDSProxyPort 001f IntToStr 002e TDBXProperties.SetValue 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 50 00 6F 00 72 00 74 00 00 00 }
	condition:
		$1
}

rule function_8341_0 {
	meta:
		name = "TDBXDatasnapProperties.SetDSProxyUsername"
		size = 60
		refs = "0003 TDBXDatasnapProperties.SetDSProxyUsername 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 55 00 73 00 65 00 72 00 6E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_8342_0 {
	meta:
		name = "TDBXDatasnapProperties.SetDSAuthenticationScheme"
		size = 76
		refs = "0003 TDBXDatasnapProperties.SetDSAuthenticationScheme 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 53 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 53 00 63 00 68 00 65 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_8343_0 {
	meta:
		name = "TDBXDatasnapProperties.SetFilters"
		size = 152
		refs = "000f TDBXDatasnapProperties.SetFilters 001d TObject.Free 003d TDBXProperties.SetValue 0045 EmptyStr 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 28 E8 ?? ?? ?? ?? 89 73 28 85 F6 74 1B 8D 55 FC 8B C6 8B 08 FF 51 44 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 14 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 46 00 69 00 6C 00 74 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_8344_0 {
	meta:
		name = "TDBXDatasnapProperties.SetURLPath"
		size = 44
		refs = "0003 TDBXDatasnapProperties.SetURLPath 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 52 00 4C 00 50 00 61 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_8346_0 {
	meta:
		name = "Data.DbxDatasnap"
		size = 60
		refs = "0002 _DV_3 000b _DV_TDBXDatasnapDriver 0010 Data.DbxDatasnap 0015 TDBXDriverRegistry.RegisterDriverClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_8347_0 {
	meta:
		name = "TDBXDb2Driver.Create"
		size = 316
		refs = "0019 @ClassCreate 0030 TDBXDriverDef 0035 @AddRefRecord 003d TDBXDb2Driver.Create 004d _DV_TDBXDb2Properties 0052 TDBXDb2Properties.Create 0062 TDBXProperties.GetCount 007d TStrings.GetName 00c2 TDBXProperties.AddUniqueProperties 00d2 _Dn_TDBXDynalinkDriverLoader 00e1 TDBXDynalinkDriverNative.Create 00e6 RCS 0100 @UStrArrayClr 010e @FinalizeRecord 0114 @HandleFinally 0124 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F4 A5 A5 A5 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 75 F8 85 F6 74 72 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 4E 40 89 45 E4 33 F6 8D 4D E0 8B 45 F8 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B 55 E0 8B 43 08 8B 08 FF 51 58 89 45 E8 83 7D E8 FF 7E 1E 8D 4D DC 8B 45 F8 8B 40 08 8B D6 8B 38 FF 57 0C 8B 4D DC 8B 55 E8 8B 43 08 8B 38 FF 57 20 46 FF 4D E4 75 B8 8B 45 F8 8B 50 08 8B C3 E8 ?? ?? ?? ?? 8B 53 08 8B 45 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 53 8D 4D F4 33 D2 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9008_0 {
	meta:
		name = "TDBXFirebirdDriver.Create"
		size = 316
		refs = "0019 @ClassCreate 0030 TDBXDriverDef 0035 @AddRefRecord 003d TDBXFirebirdDriver.Create 004d _DV_TDBXFirebirdProperties 0052 TDBXFirebirdProperties.Create 0062 TDBXProperties.GetCount 007d TStrings.GetName 00c2 TDBXProperties.AddUniqueProperties 00d2 _Dn_TDBXDynalinkDriverLoader 00e1 TDBXDynalinkDriverNative.Create 00e6 RPR 0100 @UStrArrayClr 010e @FinalizeRecord 0114 @HandleFinally 0124 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F4 A5 A5 A5 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 75 F8 85 F6 74 72 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 4E 40 89 45 E4 33 F6 8D 4D E0 8B 45 F8 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B 55 E0 8B 43 08 8B 08 FF 51 58 89 45 E8 83 7D E8 FF 7E 1E 8D 4D DC 8B 45 F8 8B 40 08 8B D6 8B 38 FF 57 0C 8B 4D DC 8B 55 E8 8B 43 08 8B 38 FF 57 20 46 FF 4D E4 75 B8 8B 45 F8 8B 50 08 8B C3 E8 ?? ?? ?? ?? 8B 53 08 8B 45 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 53 8D 4D F4 33 D2 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9087_0 {
	meta:
		name = "TDBXInformixDriver.Create"
		size = 316
		refs = "0019 @ClassCreate 0030 TDBXDriverDef 0035 @AddRefRecord 003d TDBXInformixDriver.Create 004d _DV_TDBXInformixProperties 0052 TDBXInformixProperties.Create 0062 TDBXProperties.GetCount 007d TStrings.GetName 00c2 TDBXProperties.AddUniqueProperties 00d2 _Dn_TDBXDynalinkDriverLoader 00e1 TDBXDynalinkDriverNative.Create 00e6 RCS 0100 @UStrArrayClr 010e @FinalizeRecord 0114 @HandleFinally 0124 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F4 A5 A5 A5 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 75 F8 85 F6 74 72 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 4E 40 89 45 E4 33 F6 8D 4D E0 8B 45 F8 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B 55 E0 8B 43 08 8B 08 FF 51 58 89 45 E8 83 7D E8 FF 7E 1E 8D 4D DC 8B 45 F8 8B 40 08 8B D6 8B 38 FF 57 0C 8B 4D DC 8B 55 E8 8B 43 08 8B 38 FF 57 20 46 FF 4D E4 75 B8 8B 45 F8 8B 50 08 8B C3 E8 ?? ?? ?? ?? 8B 53 08 8B 45 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 53 8D 4D F4 33 D2 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12071_0 {
	meta:
		name = "TDBXMSSQLDriver.Create"
		size = 316
		refs = "0019 @ClassCreate 0030 TDBXDriverDef 0035 @AddRefRecord 003d TDBXMSSQLDriver.Create 004d _DV_TDBXMSSQLProperties 0052 TDBXMSSQLProperties.Create 0062 TDBXProperties.GetCount 007d TStrings.GetName 00c2 TDBXProperties.AddUniqueProperties 00d2 _Dn_TDBXDynalinkDriverLoader 00e1 TDBXDynalinkDriverNative.Create 00e6 RCS 0100 @UStrArrayClr 010e @FinalizeRecord 0114 @HandleFinally 0124 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F4 A5 A5 A5 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 75 F8 85 F6 74 72 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 4E 40 89 45 E4 33 F6 8D 4D E0 8B 45 F8 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B 55 E0 8B 43 08 8B 08 FF 51 58 89 45 E8 83 7D E8 FF 7E 1E 8D 4D DC 8B 45 F8 8B 40 08 8B D6 8B 38 FF 57 0C 8B 4D DC 8B 55 E8 8B 43 08 8B 38 FF 57 20 46 FF 4D E4 75 B8 8B 45 F8 8B 50 08 8B C3 E8 ?? ?? ?? ?? 8B 53 08 8B 45 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 53 8D 4D F4 33 D2 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12153_0 {
	meta:
		name = "TDBXMySQLDriver.Create"
		size = 316
		refs = "0019 @ClassCreate 0030 TDBXDriverDef 0035 @AddRefRecord 003d TDBXMySQLDriver.Create 004d _DV_TDBXMySQLProperties 0052 TDBXMySQLProperties.Create 0062 TDBXProperties.GetCount 007d TStrings.GetName 00c2 TDBXProperties.AddUniqueProperties 00d2 _Dn_TDBXDynalinkDriverLoader 00e1 TDBXDynalinkDriverNative.Create 00e6 RPR 0100 @UStrArrayClr 010e @FinalizeRecord 0114 @HandleFinally 0124 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F4 A5 A5 A5 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 75 F8 85 F6 74 72 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 4E 40 89 45 E4 33 F6 8D 4D E0 8B 45 F8 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B 55 E0 8B 43 08 8B 08 FF 51 58 89 45 E8 83 7D E8 FF 7E 1E 8D 4D DC 8B 45 F8 8B 40 08 8B D6 8B 38 FF 57 0C 8B 4D DC 8B 55 E8 8B 43 08 8B 38 FF 57 20 46 FF 4D E4 75 B8 8B 45 F8 8B 50 08 8B C3 E8 ?? ?? ?? ?? 8B 53 08 8B 45 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 53 8D 4D F4 33 D2 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12586_0 {
	meta:
		name = "TDBXOracleDriver.Create"
		size = 316
		refs = "0019 @ClassCreate 0030 TDBXDriverDef 0035 @AddRefRecord 003d TDBXOracleDriver.Create 004d _DV_TDBXOracleProperties 0052 TDBXOracleProperties.Create 0062 TDBXProperties.GetCount 007d TStrings.GetName 00c2 TDBXProperties.AddUniqueProperties 00d2 _Dn_TDBXDynalinkDriverLoader 00e1 TDBXDynalinkDriverNative.Create 00e6 RCS 0100 @UStrArrayClr 010e @FinalizeRecord 0114 @HandleFinally 0124 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F4 A5 A5 A5 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 75 F8 85 F6 74 72 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 4E 40 89 45 E4 33 F6 8D 4D E0 8B 45 F8 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B 55 E0 8B 43 08 8B 08 FF 51 58 89 45 E8 83 7D E8 FF 7E 1E 8D 4D DC 8B 45 F8 8B 40 08 8B D6 8B 38 FF 57 0C 8B 4D DC 8B 55 E8 8B 43 08 8B 38 FF 57 20 46 FF 4D E4 75 B8 8B 45 F8 8B 50 08 8B C3 E8 ?? ?? ?? ?? 8B 53 08 8B 45 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 53 8D 4D F4 33 D2 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13249_0 {
	meta:
		name = "TDBXSybaseASADriver.Create"
		size = 316
		refs = "0019 @ClassCreate 0030 TDBXDriverDef 0035 @AddRefRecord 003d TDBXSybaseASADriver.Create 004d _DV_TDBXSybaseASAProperties 0052 TDBXSybaseASAProperties.Create 0062 TDBXProperties.GetCount 007d TStrings.GetName 00c2 TDBXProperties.AddUniqueProperties 00d2 _Dn_TDBXDynalinkDriverLoader 00e1 TDBXDynalinkDriverNative.Create 00e6 RPR 0100 @UStrArrayClr 010e @FinalizeRecord 0114 @HandleFinally 0124 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F4 A5 A5 A5 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 75 F8 85 F6 74 72 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 4E 40 89 45 E4 33 F6 8D 4D E0 8B 45 F8 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B 55 E0 8B 43 08 8B 08 FF 51 58 89 45 E8 83 7D E8 FF 7E 1E 8D 4D DC 8B 45 F8 8B 40 08 8B D6 8B 38 FF 57 0C 8B 4D DC 8B 55 E8 8B 43 08 8B 38 FF 57 20 46 FF 4D E4 75 B8 8B 45 F8 8B 50 08 8B C3 E8 ?? ?? ?? ?? 8B 53 08 8B 45 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 53 8D 4D F4 33 D2 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13322_0 {
	meta:
		name = "TDBXSybaseASEDriver.Create"
		size = 316
		refs = "0019 @ClassCreate 0030 TDBXDriverDef 0035 @AddRefRecord 003d TDBXSybaseASEDriver.Create 004d _DV_TDBXSybaseASEProperties 0052 TDBXSybaseASEProperties.Create 0062 TDBXProperties.GetCount 007d TStrings.GetName 00c2 TDBXProperties.AddUniqueProperties 00d2 _Dn_TDBXDynalinkDriverLoader 00e1 TDBXDynalinkDriverNative.Create 00e6 RCS 0100 @UStrArrayClr 010e @FinalizeRecord 0114 @HandleFinally 0124 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F4 A5 A5 A5 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 75 F8 85 F6 74 72 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 4E 40 89 45 E4 33 F6 8D 4D E0 8B 45 F8 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B 55 E0 8B 43 08 8B 08 FF 51 58 89 45 E8 83 7D E8 FF 7E 1E 8D 4D DC 8B 45 F8 8B 40 08 8B D6 8B 38 FF 57 0C 8B 4D DC 8B 55 E8 8B 43 08 8B 38 FF 57 20 46 FF 4D E4 75 B8 8B 45 F8 8B 50 08 8B C3 E8 ?? ?? ?? ?? 8B 53 08 8B 45 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 53 8D 4D F4 33 D2 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8348_0 {
	meta:
		name = "TDBXDb2Properties.Create"
		size = 2180
		refs = "0015 @ClassCreate 0021 TDBXDb2Properties.Create 0030 TDBXProperties.Create 0041 TDBXProperties.SetValue 005a _Dn_TDBXPlatform 005f TDBXPlatform.GetPublicKeyToken 006f @UStrCat3 018d @UStrArrayClr 0193 @HandleFinally 01a0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 44 00 62 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 2C 00 44 00 42 00 58 00 44 00 62 00 32 00 44 00 72 00 69 00 76 00 65 00 72 00 31 00 36 00 30 00 2E 00 62 00 70 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 73 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 2C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 43 00 6F 00 6D 00 6D 00 6F 00 6E 00 44 00 72 00 69 00 76 00 65 00 72 00 2C 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 31 00 36 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 2C 00 43 00 75 00 6C 00 74 00 75 00 72 00 65 00 3D 00 6E 00 65 00 75 00 74 00 72 00 61 00 6C 00 2C 00 50 00 75 00 62 00 6C 00 69 00 63 00 4B 00 65 00 79 00 54 00 6F 00 6B 00 65 00 6E 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 41 00 73 00 73 00 65 00 6D 00 62 00 6C 00 79 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 31 00 00 00 54 00 44 00 42 00 58 00 44 00 62 00 32 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 2C 00 44 00 42 00 58 00 44 00 62 00 32 00 44 00 72 00 69 00 76 00 65 00 72 00 31 00 36 00 30 00 2E 00 62 00 70 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 75 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 54 00 44 00 42 00 58 00 44 00 62 00 32 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 2C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 44 00 62 00 32 00 44 00 72 00 69 00 76 00 65 00 72 00 2C 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 31 00 36 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 2C 00 43 00 75 00 6C 00 74 00 75 00 72 00 65 00 3D 00 6E 00 65 00 75 00 74 00 72 00 61 00 6C 00 2C 00 50 00 75 00 62 00 6C 00 69 00 63 00 4B 00 65 00 79 00 54 00 6F 00 6B 00 65 00 6E 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 41 00 73 00 73 00 65 00 6D 00 62 00 6C 00 79 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 67 00 65 00 74 00 53 00 51 00 4C 00 44 00 72 00 69 00 76 00 65 00 72 00 44 00 42 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 44 00 72 00 69 00 76 00 65 00 72 00 46 00 75 00 6E 00 63 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 64 00 62 00 78 00 64 00 62 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 64 00 62 00 32 00 63 00 6C 00 69 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 64 00 62 00 32 00 63 00 6C 00 69 00 36 00 34 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 57 00 69 00 6E 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 42 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 75 00 73 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 45 00 72 00 72 00 6F 00 72 00 52 00 65 00 73 00 6F 00 75 00 72 00 63 00 65 00 46 00 69 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 6F 00 63 00 61 00 6C 00 65 00 43 00 6F 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 61 00 64 00 43 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 4C 00 65 00 76 00 65 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_8349_0 {
	meta:
		name = "TDBXDb2Properties.GetBlobSize"
		size = 124
		refs = "000c TDBXDb2Properties.GetBlobSize 0021 TDBXProperties.GetValue 002c StrToIntDef 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 CA FF E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_9089_0 {
	meta:
		name = "TDBXInformixProperties.GetBlobSize"
		size = 124
		refs = "000c TDBXInformixProperties.GetBlobSize 0021 TDBXProperties.GetValue 002c StrToIntDef 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 CA FF E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_12073_0 {
	meta:
		name = "TDBXMSSQLProperties.GetBlobSize"
		size = 124
		refs = "000c TDBXMSSQLProperties.GetBlobSize 0021 TDBXProperties.GetValue 002c StrToIntDef 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 CA FF E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_12155_0 {
	meta:
		name = "TDBXMySQLProperties.GetBlobSize"
		size = 124
		refs = "000c TDBXMySQLProperties.GetBlobSize 0021 TDBXProperties.GetValue 002c StrToIntDef 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 CA FF E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_12588_0 {
	meta:
		name = "TDBXOracleProperties.GetBlobSize"
		size = 124
		refs = "000c TDBXOracleProperties.GetBlobSize 0021 TDBXProperties.GetValue 002c StrToIntDef 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 CA FF E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_13251_0 {
	meta:
		name = "TDBXSybaseASAProperties.GetBlobSize"
		size = 124
		refs = "000c TDBXSybaseASAProperties.GetBlobSize 0021 TDBXProperties.GetValue 002c StrToIntDef 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 CA FF E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_13324_0 {
	meta:
		name = "TDBXSybaseASEProperties.GetBlobSize"
		size = 124
		refs = "000c TDBXSybaseASEProperties.GetBlobSize 0021 TDBXProperties.GetValue 002c StrToIntDef 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 CA FF E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_8350_0 {
	meta:
		name = "TDBXDb2Properties.GetDatabase"
		size = 56
		refs = "0009 TDBXDb2Properties.GetDatabase 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_9010_0 {
	meta:
		name = "TDBXFirebirdProperties.GetDatabase"
		size = 56
		refs = "0009 TDBXFirebirdProperties.GetDatabase 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_9090_0 {
	meta:
		name = "TDBXInformixProperties.GetDatabase"
		size = 56
		refs = "0009 TDBXInformixProperties.GetDatabase 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_9204_0 {
	meta:
		name = "TDBXInterBaseProperties.GetDatabase"
		size = 56
		refs = "0009 TDBXInterBaseProperties.GetDatabase 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12074_0 {
	meta:
		name = "TDBXMSSQLProperties.GetDatabase"
		size = 56
		refs = "0009 TDBXMSSQLProperties.GetDatabase 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12157_0 {
	meta:
		name = "TDBXMySQLProperties.GetDatabase"
		size = 56
		refs = "0009 TDBXMySQLProperties.GetDatabase 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12589_0 {
	meta:
		name = "TDBXOracleProperties.GetDatabase"
		size = 56
		refs = "0009 TDBXOracleProperties.GetDatabase 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13327_0 {
	meta:
		name = "TDBXSybaseASEProperties.GetDatabase"
		size = 56
		refs = "0009 TDBXSybaseASEProperties.GetDatabase 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_8351_0 {
	meta:
		name = "TDBXDb2Properties.GetDB2TransIsolation"
		size = 76
		refs = "0009 TDBXDb2Properties.GetDB2TransIsolation 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 62 00 32 00 20 00 54 00 72 00 61 00 6E 00 73 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_8352_0 {
	meta:
		name = "TDBXDb2Properties.GetDecimalSeparator"
		size = 72
		refs = "0009 TDBXDb2Properties.GetDecimalSeparator 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 44 00 65 00 63 00 69 00 6D 00 61 00 6C 00 20 00 53 00 65 00 70 00 61 00 72 00 61 00 74 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_12591_0 {
	meta:
		name = "TDBXOracleProperties.GetDecimalSeparator"
		size = 72
		refs = "0009 TDBXOracleProperties.GetDecimalSeparator 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 44 00 65 00 63 00 69 00 6D 00 61 00 6C 00 20 00 53 00 65 00 70 00 61 00 72 00 61 00 74 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_8356_0 {
	meta:
		name = "TDBXDb2Properties.SetBlobSize"
		size = 120
		refs = "000f TDBXDb2Properties.SetBlobSize 001f IntToStr 002e TDBXProperties.SetValue 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_9096_0 {
	meta:
		name = "TDBXInformixProperties.SetBlobSize"
		size = 120
		refs = "000f TDBXInformixProperties.SetBlobSize 001f IntToStr 002e TDBXProperties.SetValue 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_12082_0 {
	meta:
		name = "TDBXMSSQLProperties.SetBlobSize"
		size = 120
		refs = "000f TDBXMSSQLProperties.SetBlobSize 001f IntToStr 002e TDBXProperties.SetValue 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_12163_0 {
	meta:
		name = "TDBXMySQLProperties.SetBlobSize"
		size = 120
		refs = "000f TDBXMySQLProperties.SetBlobSize 001f IntToStr 002e TDBXProperties.SetValue 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_12599_0 {
	meta:
		name = "TDBXOracleProperties.SetBlobSize"
		size = 120
		refs = "000f TDBXOracleProperties.SetBlobSize 001f IntToStr 002e TDBXProperties.SetValue 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_13257_0 {
	meta:
		name = "TDBXSybaseASAProperties.SetBlobSize"
		size = 120
		refs = "000f TDBXSybaseASAProperties.SetBlobSize 001f IntToStr 002e TDBXProperties.SetValue 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_13333_0 {
	meta:
		name = "TDBXSybaseASEProperties.SetBlobSize"
		size = 120
		refs = "000f TDBXSybaseASEProperties.SetBlobSize 001f IntToStr 002e TDBXProperties.SetValue 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_8357_0 {
	meta:
		name = "TDBXDb2Properties.SetDatabase"
		size = 48
		refs = "0003 TDBXDb2Properties.SetDatabase 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_9014_0 {
	meta:
		name = "TDBXFirebirdProperties.SetDatabase"
		size = 48
		refs = "0003 TDBXFirebirdProperties.SetDatabase 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_9097_0 {
	meta:
		name = "TDBXInformixProperties.SetDatabase"
		size = 48
		refs = "0003 TDBXInformixProperties.SetDatabase 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_9208_0 {
	meta:
		name = "TDBXInterBaseProperties.SetDatabase"
		size = 48
		refs = "0003 TDBXInterBaseProperties.SetDatabase 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12083_0 {
	meta:
		name = "TDBXMSSQLProperties.SetDatabase"
		size = 48
		refs = "0003 TDBXMSSQLProperties.SetDatabase 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12165_0 {
	meta:
		name = "TDBXMySQLProperties.SetDatabase"
		size = 48
		refs = "0003 TDBXMySQLProperties.SetDatabase 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12600_0 {
	meta:
		name = "TDBXOracleProperties.SetDatabase"
		size = 48
		refs = "0003 TDBXOracleProperties.SetDatabase 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13336_0 {
	meta:
		name = "TDBXSybaseASEProperties.SetDatabase"
		size = 48
		refs = "0003 TDBXSybaseASEProperties.SetDatabase 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_8358_0 {
	meta:
		name = "TDBXDb2Properties.SetDB2TransIsolation"
		size = 68
		refs = "0003 TDBXDb2Properties.SetDB2TransIsolation 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 62 00 32 00 20 00 54 00 72 00 61 00 6E 00 73 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_8359_0 {
	meta:
		name = "TDBXDb2Properties.SetDecimalSeparator"
		size = 64
		refs = "0003 TDBXDb2Properties.SetDecimalSeparator 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 44 00 65 00 63 00 69 00 6D 00 61 00 6C 00 20 00 53 00 65 00 70 00 61 00 72 00 61 00 74 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_12602_0 {
	meta:
		name = "TDBXOracleProperties.SetDecimalSeparator"
		size = 64
		refs = "0003 TDBXOracleProperties.SetDecimalSeparator 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 44 00 65 00 63 00 69 00 6D 00 61 00 6C 00 20 00 53 00 65 00 70 00 61 00 72 00 61 00 74 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_8364_0 {
	meta:
		name = "Data.DbxDb2"
		size = 48
		refs = "0002 _DV_3 000b _DV_TDBXDb2Driver 0010 Data.DbxDb2 0015 TDBXDriverRegistry.RegisterDriverClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 62 00 32 00 00 00 }
	condition:
		$1
}

rule function_8365_0 {
	meta:
		name = "Finalization"
		size = 52
		refs = "0002 _DV_1 000a _Dn_TDBXDb2MetaDataWriter 000f Finalization 0014 _Dn_TDBXMetaDataWriterFactory 0019 TDBXMetaDataWriterFactory.UnRegisterWriter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 15 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 62 00 32 00 00 00 }
	condition:
		$1
}

rule function_8366_0 {
	meta:
		name = "Data.DBXDb2MetaData"
		size = 52
		refs = "0002 _DV_1 000b _Dn_TDBXDb2MetaDataWriter 0010 Data.DBXDb2MetaData 0015 _Dn_TDBXMetaDataWriterFactory 001a TDBXMetaDataWriterFactory.RegisterWriter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 62 00 32 00 00 00 }
	condition:
		$1
}

rule function_8367_0 {
	meta:
		name = "TDBXDb2MetaDataReader.GetProductName"
		size = 40
		refs = "0006 TDBXDb2MetaDataReader.GetProductName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 62 00 32 00 00 00 }
	condition:
		$1
}

rule function_8368_0 {
	meta:
		name = "TDBXDb2MetaDataReader.GetTableType"
		size = 36
		refs = "0006 TDBXDb2MetaDataReader.GetTableType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_8370_0 {
	meta:
		name = "TDBXDb2MetaDataReader.GetSystemTableType"
		size = 36
		refs = "0006 TDBXDb2MetaDataReader.GetSystemTableType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_9161_0 {
	meta:
		name = "TDBXInformixMetaDataReader.GetSystemTableType"
		size = 36
		refs = "0006 TDBXInformixMetaDataReader.GetSystemTableType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_9159_0 {
	meta:
		name = "TDBXInformixMetaDataReader.GetTableType"
		size = 36
		refs = "0006 TDBXInformixMetaDataReader.GetTableType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_8369_0 {
	meta:
		name = "TDBXDb2MetaDataReader.GetViewType"
		size = 36
		refs = "0006 TDBXDb2MetaDataReader.GetViewType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 56 00 00 00 }
	condition:
		$1
}

rule function_9160_0 {
	meta:
		name = "TDBXInformixMetaDataReader.GetViewType"
		size = 36
		refs = "0006 TDBXInformixMetaDataReader.GetViewType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 56 00 00 00 }
	condition:
		$1
}

rule function_12111_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetSystemViewType"
		size = 36
		refs = "0006 TDBXMsSqlMetaDataReader.GetSystemViewType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 56 00 00 00 }
	condition:
		$1
}

rule function_12109_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetViewType"
		size = 36
		refs = "0006 TDBXMsSqlMetaDataReader.GetViewType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 56 00 00 00 }
	condition:
		$1
}

rule function_13354_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.GetViewType"
		size = 36
		refs = "0006 TDBXSybaseASEMetaDataReader.GetViewType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 56 00 00 00 }
	condition:
		$1
}

rule function_8374_0 {
	meta:
		name = "TDBXDb2MetaDataReader.FetchCatalogs"
		size = 124
		refs = "000a TDBXDb2MetaDataReader.FetchCatalogs 0018 TDBXMetaDataCollectionColumns.CreateCatalogsColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_9037_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.FetchCatalogs"
		size = 124
		refs = "000a TDBXFirebirdMetaDataReader.FetchCatalogs 0018 TDBXMetaDataCollectionColumns.CreateCatalogsColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_9165_0 {
	meta:
		name = "TDBXInformixMetaDataReader.FetchCatalogs"
		size = 124
		refs = "000a TDBXInformixMetaDataReader.FetchCatalogs 0018 TDBXMetaDataCollectionColumns.CreateCatalogsColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_9231_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.FetchCatalogs"
		size = 124
		refs = "000a TDBXInterbaseMetaDataReader.FetchCatalogs 0018 TDBXMetaDataCollectionColumns.CreateCatalogsColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12282_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.FetchCatalogs"
		size = 124
		refs = "000a TDBXMySqlMetaDataReader.FetchCatalogs 0018 TDBXMetaDataCollectionColumns.CreateCatalogsColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12630_0 {
	meta:
		name = "TDBXOracleMetaDataReader.FetchCatalogs"
		size = 124
		refs = "000a TDBXOracleMetaDataReader.FetchCatalogs 0018 TDBXMetaDataCollectionColumns.CreateCatalogsColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_13281_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.FetchCatalogs"
		size = 124
		refs = "000a TDBXSybaseASAMetaDataReader.FetchCatalogs 0018 TDBXMetaDataCollectionColumns.CreateCatalogsColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_13365_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.FetchCatalogs"
		size = 124
		refs = "000a TDBXSybaseASEMetaDataReader.FetchCatalogs 0018 TDBXMetaDataCollectionColumns.CreateCatalogsColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_8375_0 {
	meta:
		name = "TDBXDb2MetaDataReader.GetSqlForSchemas"
		size = 184
		refs = "0006 TDBXDb2MetaDataReader.GetSqlForSchemas 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 4B 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 53 00 43 00 48 00 45 00 4D 00 41 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 43 00 41 00 54 00 2E 00 53 00 43 00 48 00 45 00 4D 00 41 00 54 00 41 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 00 00 }
	condition:
		$1
}

rule function_8376_0 {
	meta:
		name = "TDBXDb2MetaDataReader.GetSqlForTables"
		size = 1448
		refs = "0006 TDBXDb2MetaDataReader.GetSqlForTables 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF C3 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 49 00 4E 00 20 00 28 00 27 00 53 00 59 00 53 00 49 00 42 00 4D 00 27 00 2C 00 27 00 53 00 59 00 53 00 43 00 41 00 54 00 27 00 2C 00 27 00 53 00 59 00 53 00 53 00 54 00 41 00 54 00 27 00 29 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 27 00 20 00 45 00 4E 00 44 00 20 00 7C 00 7C 00 20 00 43 00 41 00 53 00 45 00 20 00 54 00 59 00 50 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 27 00 54 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 54 00 41 00 42 00 4C 00 45 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 56 00 49 00 45 00 57 00 27 00 20 00 45 00 4E 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 43 00 41 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 43 00 41 00 53 00 54 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 32 00 38 00 29 00 29 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 59 00 50 00 45 00 20 00 49 00 4E 00 20 00 28 00 27 00 54 00 27 00 2C 00 27 00 56 00 27 00 29 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 59 00 50 00 45 00 3D 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 49 00 4E 00 20 00 28 00 27 00 53 00 59 00 53 00 49 00 42 00 4D 00 27 00 2C 00 27 00 53 00 59 00 53 00 43 00 41 00 54 00 27 00 2C 00 27 00 53 00 59 00 53 00 53 00 54 00 41 00 54 00 27 00 29 00 20 00 54 00 48 00 45 00 4E 00 20 00 43 00 41 00 53 00 54 00 28 00 3A 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 32 00 29 00 29 00 20 00 45 00 4C 00 53 00 45 00 20 00 43 00 41 00 53 00 54 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 32 00 29 00 29 00 20 00 45 00 4E 00 44 00 20 00 4F 00 52 00 20 00 54 00 59 00 50 00 45 00 3D 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 49 00 4E 00 20 00 28 00 27 00 53 00 59 00 53 00 49 00 42 00 4D 00 27 00 2C 00 27 00 53 00 59 00 53 00 43 00 41 00 54 00 27 00 2C 00 27 00 53 00 59 00 53 00 53 00 54 00 41 00 54 00 27 00 29 00 20 00 54 00 48 00 45 00 4E 00 20 00 43 00 41 00 53 00 54 00 28 00 3A 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 56 00 49 00 45 00 57 00 53 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 32 00 29 00 29 00 20 00 45 00 4C 00 53 00 45 00 20 00 43 00 41 00 53 00 54 00 28 00 3A 00 56 00 49 00 45 00 57 00 53 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 32 00 29 00 29 00 20 00 45 00 4E 00 44 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 33 00 00 00 }
	condition:
		$1
}

rule function_8377_0 {
	meta:
		name = "TDBXDb2MetaDataReader.GetSqlForViews"
		size = 512
		refs = "0006 TDBXDb2MetaDataReader.GetSqlForViews 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF EF 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 56 00 49 00 45 00 57 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 56 00 49 00 45 00 57 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 54 00 45 00 58 00 54 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 43 00 41 00 54 00 2E 00 56 00 49 00 45 00 57 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 56 00 49 00 45 00 57 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 56 00 49 00 45 00 57 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 56 00 49 00 45 00 57 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 56 00 49 00 45 00 57 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 33 00 00 00 }
	condition:
		$1
}

rule function_8378_0 {
	meta:
		name = "TDBXDb2MetaDataReader.GetSqlForColumns"
		size = 900
		refs = "0006 TDBXDb2MetaDataReader.GetSqlForColumns 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF B1 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 54 00 59 00 50 00 45 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 4C 00 45 00 4E 00 47 00 54 00 48 00 2C 00 20 00 53 00 43 00 41 00 4C 00 45 00 2C 00 20 00 43 00 4F 00 4C 00 4E 00 4F 00 2B 00 31 00 2C 00 20 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 53 00 3D 00 27 00 59 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 31 00 20 00 45 00 4C 00 53 00 45 00 20 00 30 00 20 00 45 00 4E 00 44 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 49 00 44 00 45 00 4E 00 54 00 49 00 54 00 59 00 3D 00 27 00 59 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 31 00 20 00 45 00 4C 00 53 00 45 00 20 00 30 00 20 00 45 00 4E 00 44 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 49 00 4E 00 54 00 45 00 47 00 45 00 52 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 43 00 41 00 54 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 43 00 41 00 53 00 54 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 32 00 38 00 29 00 29 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 43 00 4F 00 4C 00 4E 00 4F 00 00 00 }
	condition:
		$1
}

rule function_8379_0 {
	meta:
		name = "TDBXDb2MetaDataReader.FetchColumnConstraints"
		size = 144
		refs = "000a TDBXDb2MetaDataReader.FetchColumnConstraints 0018 TDBXMetaDataCollectionColumns.CreateColumnConstraintsColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 43 00 6F 00 6E 00 73 00 74 00 72 00 61 00 69 00 6E 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_9042_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.FetchColumnConstraints"
		size = 144
		refs = "000a TDBXFirebirdMetaDataReader.FetchColumnConstraints 0018 TDBXMetaDataCollectionColumns.CreateColumnConstraintsColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 43 00 6F 00 6E 00 73 00 74 00 72 00 61 00 69 00 6E 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_9170_0 {
	meta:
		name = "TDBXInformixMetaDataReader.FetchColumnConstraints"
		size = 144
		refs = "000a TDBXInformixMetaDataReader.FetchColumnConstraints 0018 TDBXMetaDataCollectionColumns.CreateColumnConstraintsColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 43 00 6F 00 6E 00 73 00 74 00 72 00 61 00 69 00 6E 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_9236_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.FetchColumnConstraints"
		size = 144
		refs = "000a TDBXInterbaseMetaDataReader.FetchColumnConstraints 0018 TDBXMetaDataCollectionColumns.CreateColumnConstraintsColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 43 00 6F 00 6E 00 73 00 74 00 72 00 61 00 69 00 6E 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_12287_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.FetchColumnConstraints"
		size = 144
		refs = "000a TDBXMySqlMetaDataReader.FetchColumnConstraints 0018 TDBXMetaDataCollectionColumns.CreateColumnConstraintsColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 43 00 6F 00 6E 00 73 00 74 00 72 00 61 00 69 00 6E 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_12635_0 {
	meta:
		name = "TDBXOracleMetaDataReader.FetchColumnConstraints"
		size = 144
		refs = "000a TDBXOracleMetaDataReader.FetchColumnConstraints 0018 TDBXMetaDataCollectionColumns.CreateColumnConstraintsColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 43 00 6F 00 6E 00 73 00 74 00 72 00 61 00 69 00 6E 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_13286_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.FetchColumnConstraints"
		size = 144
		refs = "000a TDBXSybaseASAMetaDataReader.FetchColumnConstraints 0018 TDBXMetaDataCollectionColumns.CreateColumnConstraintsColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 43 00 6F 00 6E 00 73 00 74 00 72 00 61 00 69 00 6E 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_13370_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.FetchColumnConstraints"
		size = 144
		refs = "000a TDBXSybaseASEMetaDataReader.FetchColumnConstraints 0018 TDBXMetaDataCollectionColumns.CreateColumnConstraintsColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 43 00 6F 00 6E 00 73 00 74 00 72 00 61 00 69 00 6E 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_8380_0 {
	meta:
		name = "TDBXDb2MetaDataReader.GetSqlForIndexes"
		size = 928
		refs = "0006 TDBXDb2MetaDataReader.GetSqlForIndexes 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF BE 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 4E 00 44 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 55 00 53 00 45 00 52 00 5F 00 44 00 45 00 46 00 49 00 4E 00 45 00 44 00 3D 00 31 00 20 00 54 00 48 00 45 00 4E 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 20 00 45 00 4C 00 53 00 45 00 20 00 49 00 4E 00 44 00 4E 00 41 00 4D 00 45 00 20 00 45 00 4E 00 44 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 55 00 4E 00 49 00 51 00 55 00 45 00 52 00 55 00 4C 00 45 00 3D 00 27 00 50 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 31 00 20 00 45 00 4C 00 53 00 45 00 20 00 30 00 20 00 45 00 4E 00 44 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 55 00 4E 00 49 00 51 00 55 00 45 00 52 00 55 00 4C 00 45 00 3D 00 27 00 44 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 30 00 20 00 45 00 4C 00 53 00 45 00 20 00 31 00 20 00 45 00 4E 00 44 00 2C 00 20 00 31 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 43 00 41 00 54 00 2E 00 49 00 4E 00 44 00 45 00 58 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 43 00 41 00 53 00 54 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 32 00 38 00 29 00 29 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_8381_0 {
	meta:
		name = "TDBXDb2MetaDataReader.GetSqlForIndexColumns"
		size = 1116
		refs = "0006 TDBXDb2MetaDataReader.GetSqlForIndexColumns 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 1C 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 49 00 2E 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 49 00 2E 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 2E 00 49 00 4E 00 44 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 2E 00 43 00 4F 00 4C 00 53 00 45 00 51 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 43 00 4F 00 4C 00 4F 00 52 00 44 00 45 00 52 00 3D 00 27 00 41 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 31 00 20 00 57 00 48 00 45 00 4E 00 20 00 43 00 4F 00 4C 00 4F 00 52 00 44 00 45 00 52 00 3D 00 27 00 44 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 30 00 20 00 45 00 4C 00 53 00 45 00 20 00 43 00 41 00 53 00 54 00 20 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 49 00 4E 00 54 00 45 00 47 00 45 00 52 00 29 00 20 00 45 00 4E 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 43 00 41 00 54 00 2E 00 49 00 4E 00 44 00 45 00 58 00 45 00 53 00 20 00 49 00 2C 00 20 00 53 00 59 00 53 00 43 00 41 00 54 00 2E 00 49 00 4E 00 44 00 45 00 58 00 43 00 4F 00 4C 00 55 00 53 00 45 00 20 00 43 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 49 00 2E 00 49 00 4E 00 44 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 3D 00 20 00 43 00 2E 00 49 00 4E 00 44 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 41 00 4E 00 44 00 20 00 49 00 2E 00 49 00 4E 00 44 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 43 00 2E 00 49 00 4E 00 44 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 49 00 2E 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 43 00 41 00 53 00 54 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 32 00 38 00 29 00 29 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 49 00 2E 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 49 00 2E 00 49 00 4E 00 44 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 34 00 2C 00 20 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_8382_0 {
	meta:
		name = "TDBXDb2MetaDataReader.GetSqlForForeignKeys"
		size = 604
		refs = "0006 TDBXDb2MetaDataReader.GetSqlForForeignKeys 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 1D 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 4F 00 4E 00 53 00 54 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 43 00 41 00 54 00 2E 00 52 00 45 00 46 00 45 00 52 00 45 00 4E 00 43 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 43 00 41 00 53 00 54 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 32 00 38 00 29 00 29 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 33 00 2C 00 34 00 00 00 }
	condition:
		$1
}

rule function_8383_0 {
	meta:
		name = "TDBXDb2MetaDataReader.GetSqlForForeignKeyColumns"
		size = 2188
		refs = "0006 TDBXDb2MetaDataReader.GetSqlForForeignKeyColumns 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 35 04 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 46 00 4B 00 2E 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 46 00 4B 00 2E 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 46 00 4B 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 46 00 43 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 46 00 4B 00 2E 00 52 00 45 00 46 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 46 00 4B 00 2E 00 52 00 45 00 46 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 46 00 4B 00 2E 00 52 00 45 00 46 00 4B 00 45 00 59 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 43 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 46 00 43 00 2E 00 43 00 4F 00 4C 00 53 00 45 00 51 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 43 00 41 00 54 00 2E 00 52 00 45 00 46 00 45 00 52 00 45 00 4E 00 43 00 45 00 53 00 20 00 46 00 4B 00 2C 00 20 00 53 00 59 00 53 00 43 00 41 00 54 00 2E 00 4B 00 45 00 59 00 43 00 4F 00 4C 00 55 00 53 00 45 00 20 00 46 00 43 00 2C 00 20 00 53 00 59 00 53 00 43 00 41 00 54 00 2E 00 4B 00 45 00 59 00 43 00 4F 00 4C 00 55 00 53 00 45 00 20 00 50 00 43 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 46 00 4B 00 2E 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 3D 00 20 00 46 00 43 00 2E 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 46 00 4B 00 2E 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 46 00 43 00 2E 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 46 00 4B 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 46 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 46 00 4B 00 2E 00 52 00 45 00 46 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 3D 00 20 00 50 00 43 00 2E 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 46 00 4B 00 2E 00 52 00 45 00 46 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 50 00 43 00 2E 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 46 00 4B 00 2E 00 52 00 45 00 46 00 4B 00 45 00 59 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 50 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 46 00 43 00 2E 00 43 00 4F 00 4C 00 53 00 45 00 51 00 20 00 3D 00 20 00 50 00 43 00 2E 00 43 00 4F 00 4C 00 53 00 45 00 51 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 46 00 4B 00 2E 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 43 00 41 00 53 00 54 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 32 00 38 00 29 00 29 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 4B 00 2E 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 4B 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 46 00 4B 00 2E 00 52 00 45 00 46 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 43 00 41 00 53 00 54 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 32 00 38 00 29 00 29 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 4B 00 2E 00 52 00 45 00 46 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 4B 00 2E 00 52 00 45 00 46 00 4B 00 45 00 59 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 33 00 2C 00 34 00 2C 00 46 00 43 00 2E 00 43 00 4F 00 4C 00 53 00 45 00 51 00 00 00 }
	condition:
		$1
}

rule function_8384_0 {
	meta:
		name = "TDBXDb2MetaDataReader.GetSqlForSynonyms"
		size = 724
		refs = "0006 TDBXDb2MetaDataReader.GetSqlForSynonyms 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 59 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 42 00 41 00 53 00 45 00 5F 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 42 00 41 00 53 00 45 00 5F 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 43 00 41 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 27 00 41 00 27 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 54 00 41 00 42 00 53 00 43 00 48 00 45 00 4D 00 41 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 43 00 41 00 53 00 54 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 32 00 38 00 29 00 29 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 33 00 00 00 }
	condition:
		$1
}

rule function_8385_0 {
	meta:
		name = "TDBXDb2MetaDataReader.GetSqlForProcedures"
		size = 984
		refs = "0006 TDBXDb2MetaDataReader.GetSqlForProcedures 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF DA 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 54 00 59 00 50 00 45 00 3D 00 27 00 50 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 27 00 20 00 45 00 4E 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 43 00 41 00 54 00 2E 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 53 00 43 00 48 00 45 00 4D 00 41 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 43 00 41 00 53 00 54 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 32 00 38 00 29 00 29 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 28 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 54 00 59 00 50 00 45 00 3D 00 27 00 50 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 4D 00 45 00 54 00 48 00 4F 00 44 00 27 00 20 00 45 00 4E 00 44 00 29 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_8386_0 {
	meta:
		name = "TDBXDb2MetaDataReader.GetSqlForProcedureSources"
		size = 816
		refs = "0006 TDBXDb2MetaDataReader.GetSqlForProcedureSources 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 86 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 54 00 59 00 50 00 45 00 3D 00 27 00 50 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 27 00 20 00 45 00 4E 00 44 00 2C 00 20 00 54 00 45 00 58 00 54 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 43 00 41 00 54 00 2E 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 53 00 43 00 48 00 45 00 4D 00 41 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 43 00 41 00 53 00 54 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 32 00 38 00 29 00 29 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_8387_0 {
	meta:
		name = "TDBXDb2MetaDataReader.GetSqlForProcedureParameters"
		size = 1084
		refs = "0006 TDBXDb2MetaDataReader.GetSqlForProcedureParameters 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 41 00 52 00 4D 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 52 00 4F 00 57 00 54 00 59 00 50 00 45 00 3D 00 27 00 50 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 49 00 4E 00 27 00 20 00 57 00 48 00 45 00 4E 00 20 00 52 00 4F 00 57 00 54 00 59 00 50 00 45 00 3D 00 27 00 4F 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 4F 00 55 00 54 00 27 00 20 00 57 00 48 00 45 00 4E 00 20 00 52 00 4F 00 57 00 54 00 59 00 50 00 45 00 3D 00 27 00 42 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 49 00 4E 00 4F 00 55 00 54 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 52 00 45 00 53 00 55 00 4C 00 54 00 27 00 20 00 45 00 4E 00 44 00 2C 00 20 00 54 00 59 00 50 00 45 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 4C 00 45 00 4E 00 47 00 54 00 48 00 2C 00 20 00 53 00 43 00 41 00 4C 00 45 00 2C 00 20 00 4F 00 52 00 44 00 49 00 4E 00 41 00 4C 00 2C 00 20 00 31 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 43 00 41 00 54 00 2E 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 50 00 41 00 52 00 4D 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 53 00 43 00 48 00 45 00 4D 00 41 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 43 00 41 00 53 00 54 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 32 00 38 00 29 00 29 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 50 00 41 00 52 00 4D 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 33 00 2C 00 4F 00 52 00 44 00 49 00 4E 00 41 00 4C 00 00 00 00 00 }
	condition:
		$1
}

rule function_8388_0 {
	meta:
		name = "TDBXDb2MetaDataReader.FetchPackages"
		size = 128
		refs = "000a TDBXDb2MetaDataReader.FetchPackages 0018 TDBXMetaDataCollectionColumns.CreatePackagesColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_9051_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.FetchPackages"
		size = 128
		refs = "000a TDBXFirebirdMetaDataReader.FetchPackages 0018 TDBXMetaDataCollectionColumns.CreatePackagesColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_9178_0 {
	meta:
		name = "TDBXInformixMetaDataReader.FetchPackages"
		size = 128
		refs = "000a TDBXInformixMetaDataReader.FetchPackages 0018 TDBXMetaDataCollectionColumns.CreatePackagesColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_9245_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.FetchPackages"
		size = 128
		refs = "000a TDBXInterbaseMetaDataReader.FetchPackages 0018 TDBXMetaDataCollectionColumns.CreatePackagesColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12129_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.FetchPackages"
		size = 128
		refs = "000a TDBXMsSqlMetaDataReader.FetchPackages 0018 TDBXMetaDataCollectionColumns.CreatePackagesColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12296_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.FetchPackages"
		size = 128
		refs = "000a TDBXMySqlMetaDataReader.FetchPackages 0018 TDBXMetaDataCollectionColumns.CreatePackagesColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_13295_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.FetchPackages"
		size = 128
		refs = "000a TDBXSybaseASAMetaDataReader.FetchPackages 0018 TDBXMetaDataCollectionColumns.CreatePackagesColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_13380_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.FetchPackages"
		size = 128
		refs = "000a TDBXSybaseASEMetaDataReader.FetchPackages 0018 TDBXMetaDataCollectionColumns.CreatePackagesColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_8389_0 {
	meta:
		name = "TDBXDb2MetaDataReader.FetchPackageProcedures"
		size = 144
		refs = "000a TDBXDb2MetaDataReader.FetchPackageProcedures 0018 TDBXMetaDataCollectionColumns.CreatePackageProceduresColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_9052_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.FetchPackageProcedures"
		size = 144
		refs = "000a TDBXFirebirdMetaDataReader.FetchPackageProcedures 0018 TDBXMetaDataCollectionColumns.CreatePackageProceduresColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_9179_0 {
	meta:
		name = "TDBXInformixMetaDataReader.FetchPackageProcedures"
		size = 144
		refs = "000a TDBXInformixMetaDataReader.FetchPackageProcedures 0018 TDBXMetaDataCollectionColumns.CreatePackageProceduresColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_9246_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.FetchPackageProcedures"
		size = 144
		refs = "000a TDBXInterbaseMetaDataReader.FetchPackageProcedures 0018 TDBXMetaDataCollectionColumns.CreatePackageProceduresColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_12130_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.FetchPackageProcedures"
		size = 144
		refs = "000a TDBXMsSqlMetaDataReader.FetchPackageProcedures 0018 TDBXMetaDataCollectionColumns.CreatePackageProceduresColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_12297_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.FetchPackageProcedures"
		size = 144
		refs = "000a TDBXMySqlMetaDataReader.FetchPackageProcedures 0018 TDBXMetaDataCollectionColumns.CreatePackageProceduresColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_13296_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.FetchPackageProcedures"
		size = 144
		refs = "000a TDBXSybaseASAMetaDataReader.FetchPackageProcedures 0018 TDBXMetaDataCollectionColumns.CreatePackageProceduresColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_13381_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.FetchPackageProcedures"
		size = 144
		refs = "000a TDBXSybaseASEMetaDataReader.FetchPackageProcedures 0018 TDBXMetaDataCollectionColumns.CreatePackageProceduresColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_8390_0 {
	meta:
		name = "TDBXDb2MetaDataReader.FetchPackageProcedureParameters"
		size = 164
		refs = "000a TDBXDb2MetaDataReader.FetchPackageProcedureParameters 0018 TDBXMetaDataCollectionColumns.CreatePackageProcedureParametersColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_9053_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.FetchPackageProcedureParameters"
		size = 164
		refs = "000a TDBXFirebirdMetaDataReader.FetchPackageProcedureParameters 0018 TDBXMetaDataCollectionColumns.CreatePackageProcedureParametersColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_9180_0 {
	meta:
		name = "TDBXInformixMetaDataReader.FetchPackageProcedureParameters"
		size = 164
		refs = "000a TDBXInformixMetaDataReader.FetchPackageProcedureParameters 0018 TDBXMetaDataCollectionColumns.CreatePackageProcedureParametersColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_9247_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.FetchPackageProcedureParameters"
		size = 164
		refs = "000a TDBXInterbaseMetaDataReader.FetchPackageProcedureParameters 0018 TDBXMetaDataCollectionColumns.CreatePackageProcedureParametersColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12131_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.FetchPackageProcedureParameters"
		size = 164
		refs = "000a TDBXMsSqlMetaDataReader.FetchPackageProcedureParameters 0018 TDBXMetaDataCollectionColumns.CreatePackageProcedureParametersColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12298_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.FetchPackageProcedureParameters"
		size = 164
		refs = "000a TDBXMySqlMetaDataReader.FetchPackageProcedureParameters 0018 TDBXMetaDataCollectionColumns.CreatePackageProcedureParametersColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_13297_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.FetchPackageProcedureParameters"
		size = 164
		refs = "000a TDBXSybaseASAMetaDataReader.FetchPackageProcedureParameters 0018 TDBXMetaDataCollectionColumns.CreatePackageProcedureParametersColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_13382_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.FetchPackageProcedureParameters"
		size = 164
		refs = "000a TDBXSybaseASEMetaDataReader.FetchPackageProcedureParameters 0018 TDBXMetaDataCollectionColumns.CreatePackageProcedureParametersColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_8391_0 {
	meta:
		name = "TDBXDb2MetaDataReader.FetchPackageSources"
		size = 140
		refs = "000a TDBXDb2MetaDataReader.FetchPackageSources 0018 TDBXMetaDataCollectionColumns.CreatePackageSourcesColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_9054_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.FetchPackageSources"
		size = 140
		refs = "000a TDBXFirebirdMetaDataReader.FetchPackageSources 0018 TDBXMetaDataCollectionColumns.CreatePackageSourcesColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_9181_0 {
	meta:
		name = "TDBXInformixMetaDataReader.FetchPackageSources"
		size = 140
		refs = "000a TDBXInformixMetaDataReader.FetchPackageSources 0018 TDBXMetaDataCollectionColumns.CreatePackageSourcesColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_9248_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.FetchPackageSources"
		size = 140
		refs = "000a TDBXInterbaseMetaDataReader.FetchPackageSources 0018 TDBXMetaDataCollectionColumns.CreatePackageSourcesColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12132_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.FetchPackageSources"
		size = 140
		refs = "000a TDBXMsSqlMetaDataReader.FetchPackageSources 0018 TDBXMetaDataCollectionColumns.CreatePackageSourcesColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12299_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.FetchPackageSources"
		size = 140
		refs = "000a TDBXMySqlMetaDataReader.FetchPackageSources 0018 TDBXMetaDataCollectionColumns.CreatePackageSourcesColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_13298_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.FetchPackageSources"
		size = 140
		refs = "000a TDBXSybaseASAMetaDataReader.FetchPackageSources 0018 TDBXMetaDataCollectionColumns.CreatePackageSourcesColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_13383_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.FetchPackageSources"
		size = 140
		refs = "000a TDBXSybaseASEMetaDataReader.FetchPackageSources 0018 TDBXMetaDataCollectionColumns.CreatePackageSourcesColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_8392_0 {
	meta:
		name = "TDBXDb2MetaDataReader.FetchUsers"
		size = 116
		refs = "000a TDBXDb2MetaDataReader.FetchUsers 0018 TDBXMetaDataCollectionColumns.CreateUsersColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 73 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_8393_0 {
	meta:
		name = "TDBXDb2MetaDataReader.GetSqlForRoles"
		size = 108
		refs = "0006 TDBXDb2MetaDataReader.GetSqlForRoles 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 47 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 43 00 41 00 54 00 2E 00 4E 00 4F 00 44 00 45 00 47 00 52 00 4F 00 55 00 50 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_8394_0 {
	meta:
		name = "TDBXDb2MetaDataReader.GetVersion"
		size = 272
		refs = "0006 TDBXDb2MetaDataReader.GetVersion 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 77 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 46 00 49 00 52 00 53 00 54 00 20 00 31 00 20 00 44 00 42 00 49 00 4E 00 46 00 4F 00 28 00 27 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 27 00 2C 00 27 00 6D 00 61 00 6A 00 6F 00 72 00 27 00 29 00 7C 00 7C 00 27 00 2E 00 27 00 7C 00 7C 00 44 00 42 00 49 00 4E 00 46 00 4F 00 28 00 27 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 27 00 2C 00 27 00 6D 00 69 00 6E 00 6F 00 72 00 27 00 29 00 7C 00 7C 00 27 00 2E 00 27 00 7C 00 7C 00 44 00 42 00 49 00 4E 00 46 00 4F 00 28 00 27 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 27 00 2C 00 27 00 6C 00 65 00 76 00 65 00 6C 00 27 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 54 00 41 00 42 00 4C 00 45 00 53 00 00 00 }
	condition:
		$1
}

rule function_8395_0 {
	meta:
		name = "TDBXDb2MetaDataReader.GetDataTypeDescriptions"
		size = 1528
		refs = "000c TDBXDb2MetaDataReader.GetDataTypeDescriptions 0022 TDBXDataTypeDescriptionArray 0027 @DynArraySetLength 0054 _Dn_TDBXDataTypeDescription 0059 TDBXDataTypeDescription.Create 035b @DynArrayAsg 0376 @DynArrayClear 037c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 0E 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 05 6A 00 6A 05 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D7 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 6A 06 6A 00 6A 0A 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D7 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 6A 12 6A 00 6A 13 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D7 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 6A 1B 6A 00 6A 07 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 6A 07 6A 00 6A 35 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 6A 08 6A 00 6A 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 26 6A 00 6A 00 6A 00 6A 00 6A 00 68 C7 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 6A 01 6A 00 68 A0 0F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C6 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 6A 01 6A 00 68 A0 0F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C2 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 6A 01 6A 00 68 BC 7F 00 00 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 E2 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 6A 03 6A 00 68 FF FF FF 7F 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 E0 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 6A 03 6A 00 68 FF FF FF 7F 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 E0 80 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 6A 02 6A 00 6A 04 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 6A 0A 6A 00 6A 03 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 6A 18 6A 00 6A 0A 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 4D 00 41 00 4C 00 4C 00 49 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 4E 00 54 00 45 00 47 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 49 00 47 00 49 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 45 00 41 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 4F 00 55 00 42 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 44 00 45 00 43 00 49 00 4D 00 41 00 4C 00 28 00 7B 00 30 00 7D 00 2C 00 20 00 7B 00 31 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 2C 00 20 00 53 00 63 00 61 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 45 00 43 00 49 00 4D 00 41 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4C 00 4F 00 4E 00 47 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 4C 00 4F 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 4C 00 4F 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 49 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 49 00 4D 00 45 00 53 00 54 00 41 00 4D 00 50 00 00 00 }
	condition:
		$1
}

rule function_8396_0 {
	meta:
		name = "TDBXDb2MetaDataReader.GetReservedWords"
		size = 14304
		refs = "000c TDBXDb2MetaDataReader.GetReservedWords 0025 TDBXStringArray 002a @DynArraySetLength 003a @UStrAsg 15c6 @DynArrayAsg 15e1 @DynArrayClear 15e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 36 01 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 28 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 34 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 3C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 60 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 6C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 70 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 74 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 78 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 7C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 03 00 00 BA ?? }
	condition:
		$1
}

rule function_8399_0 {
	meta:
		name = "TDBXDb2MetaDataWriter.Create"
		size = 59
		refs = "000a @ClassCreate 0017 TObject.Create 0028 @AfterConstruction"
		altNames = "TDBXFirebirdMetaDataWriter.Create TDBXInformixMetaDataWriter.Create TDBXInterbaseMetaDataWriter.Create TDBXMsSqlMetaDataWriter.Create TDBXMySqlMetaDataWriter.Create TDBXOdbcMetaDataWriter.Create TDBXOracleMetaDataWriter.Create TDBXSybaseASAMetaDataWriter.Create TDBXSybaseASEMetaDataWriter.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 12 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8400_0 {
	meta:
		name = "TDBXDb2MetaDataWriter.Open"
		size = 26
		refs = "000c _Dn_TDBXDb2MetaDataReader 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 08 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5B C3 }
	condition:
		$1
}

rule function_9075_0 {
	meta:
		name = "TDBXFirebirdMetaDataWriter.Open"
		size = 26
		refs = "000c _Dn_TDBXFirebirdMetaDataReader 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 08 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5B C3 }
	condition:
		$1
}

rule function_9191_0 {
	meta:
		name = "TDBXInformixMetaDataWriter.Open"
		size = 26
		refs = "000c _Dn_TDBXInformixMetaDataReader 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 08 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5B C3 }
	condition:
		$1
}

rule function_9269_0 {
	meta:
		name = "TDBXInterbaseMetaDataWriter.Open"
		size = 26
		refs = "000c _Dn_TDBXInterbaseMetaDataReader 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 08 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5B C3 }
	condition:
		$1
}

rule function_12141_0 {
	meta:
		name = "TDBXMsSqlMetaDataWriter.Open"
		size = 26
		refs = "000c _Dn_TDBXMsSqlMetaDataReader 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 08 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5B C3 }
	condition:
		$1
}

rule function_12315_0 {
	meta:
		name = "TDBXMySqlMetaDataWriter.Open"
		size = 26
		refs = "000c _Dn_TDBXMySqlMetaDataReader 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 08 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5B C3 }
	condition:
		$1
}

rule function_12553_0 {
	meta:
		name = "TDBXOdbcMetaDataWriter.Open"
		size = 26
		refs = "000c _Dn_TDBXOdbcMetaDataReader 0011 TDBXOdbcMetaDataReader.Create"
	strings:
		$1 = { 53 8B D8 83 7B 08 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5B C3 }
	condition:
		$1
}

rule function_12654_0 {
	meta:
		name = "TDBXOracleMetaDataWriter.Open"
		size = 26
		refs = "000c _Dn_TDBXOracleMetaDataReader 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 08 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5B C3 }
	condition:
		$1
}

rule function_13308_0 {
	meta:
		name = "TDBXSybaseASAMetaDataWriter.Open"
		size = 26
		refs = "000c _Dn_TDBXSybaseASAMetaDataReader 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 08 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5B C3 }
	condition:
		$1
}

rule function_13396_0 {
	meta:
		name = "TDBXSybaseASEMetaDataWriter.Open"
		size = 26
		refs = "000c _Dn_TDBXSybaseASEMetaDataReader 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 08 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5B C3 }
	condition:
		$1
}

rule function_8404_0 {
	meta:
		name = "TDBXDb2MetaDataWriter.GetSqlAutoIncrementKeyword"
		size = 100
		refs = "0006 TDBXDb2MetaDataWriter.GetSqlAutoIncrementKeyword 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 47 00 45 00 4E 00 45 00 52 00 41 00 54 00 45 00 44 00 20 00 42 00 59 00 20 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 20 00 41 00 53 00 20 00 49 00 44 00 45 00 4E 00 54 00 49 00 54 00 59 00 00 00 00 00 }
	condition:
		$1
}

rule function_8413_0 {
	meta:
		name = "TDBXDataSetTable.Create"
		size = 124
		refs = "000f @ClassCreate 0022 _DV_TDBXDataSetRowExt 0027 TDBXDataSetRow.Create 0033 TDBXRowTable.Create 0040 @UStrAsg 0064 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 10 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 28 8D 43 1C 8B D7 E8 ?? ?? ?? ?? 0F B6 45 0C 88 43 24 80 7D 08 00 74 0A 8B C3 8B 10 FF 92 9C 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_8414_0 {
	meta:
		name = "TDBXDataSetTable.Destroy"
		size = 81
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0034 TDBXDBTable.FreeValueTypes 003f TDBXRowTable.Destroy 004a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 2C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 80 7E 24 00 74 10 8D 46 28 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8415_0 {
	meta:
		name = "TDBXDataSetTable.First"
		size = 62
		refs = "001e TDataSet.First"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 98 00 00 00 8B 43 28 80 B8 90 00 00 00 00 74 04 B0 01 5B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A0 00 00 00 8B 43 28 8B 10 FF 92 88 01 00 00 85 C0 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_8416_0 {
	meta:
		name = "TDBXDataSetTable.Next"
		size = 52
		refs = "0006 TDBXDataSetTable.FailIfRowIsNew 000e TDataSet.Next"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A0 00 00 00 8B C3 8B 10 FF 92 98 00 00 00 8B 43 28 0F B6 80 A9 00 00 00 34 01 5B C3 }
	condition:
		$1
}

rule function_8417_0 {
	meta:
		name = "TDBXDataSetTable.InBounds"
		size = 47
		refs = "0007 TDBXDataSetTable.FailIfRowIsNew"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 73 28 80 BE A9 00 00 00 00 75 0E 8B C6 8B 10 FF 92 88 01 00 00 85 C0 7F 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_8418_0 {
	meta:
		name = "TDBXDataSetTable.Insert"
		size = 20
		refs = "0006 TDBXDataSetTable.FailIfRowIsNew 000e TDataSet.Append"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8419_0 {
	meta:
		name = "TDBXDataSetTable.Post"
		size = 107
		refs = "0009 TDBXDataSetTable.Post 0023 SInsertNotCalled 0028 LoadResString 0032 _Dn_TDBXError 0037 Exception.Create 003c @RaiseExcept 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 50 28 80 BA A5 00 00 00 03 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 28 8B 10 FF 92 B0 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_8420_0 {
	meta:
		name = "TDBXDataSetTable.DeleteRow"
		size = 31
		refs = "001a TDataSet.Delete"
	strings:
		$1 = { 8B 50 28 80 BA A5 00 00 00 03 75 0B 8B C2 8B 10 FF 92 68 02 00 00 C3 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8422_0 {
	meta:
		name = "TDBXDataSetTable.GetOrdinal"
		size = 24
		refs = "0008 TFieldDefs.Find 0011 TFieldDef.GetFieldNo"
	strings:
		$1 = { 53 8B 40 28 8B 40 40 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 48 5B C3 }
	condition:
		$1
}

rule function_8423_0 {
	meta:
		name = "TDBXClientDataSetTable.AcceptChanges"
		size = 20
		refs = "0006 TDBXDataSetTable.FailIfRowIsNew 000e TCustomClientDataSet.MergeChangeLog"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 30 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8424_0 {
	meta:
		name = "TDBXClientDataSetTable.Clear"
		size = 77
	strings:
		$1 = { 56 57 8B F0 8B 7E 30 0F B6 87 A5 00 00 00 04 FE 2C 03 73 0A 8B C7 8B 10 FF 92 B0 02 00 00 8B 46 30 F6 80 A8 02 00 00 02 75 20 8B 56 30 F6 82 A8 02 00 00 08 75 14 8B 56 30 F6 82 A8 02 00 00 04 75 08 8B 10 FF 92 40 03 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_8425_0 {
	meta:
		name = "TDBXClientDataSetTable.CreateTableView"
		size = 177
		refs = "0015 TDBXClientDataSetTable.CreateTableView 0024 _Dn_TClientDataSet 0029 TCustomClientDataSet.Create 004d @WStrFromUStr 0057 TCustomClientDataSet.SetIndexFieldNames 0072 _DV_TDBXClientDataSetTable 0077 TDBXClientDataSetTable.Create 008f TDBXValueTypeArray 0094 @DynArrayClear 009c @WStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 6A 00 B1 01 8B 53 30 8B C6 8B 38 FF 97 38 03 00 00 83 7D FC 00 74 15 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 8B 08 FF 51 28 8B 45 F4 50 56 6A 01 8B 4B 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8426_0 {
	meta:
		name = "TDBXClientDataSetTable.FindStringKey"
		size = 200
		refs = "001c TDBXClientDataSetTable.FindStringKey 002f TFieldDefs.GetFieldDef 003a @UStrLAsg 0045 TCustomClientDataSet.GetIndexFieldNames 0050 @UStrFromWStr 005b @UStrEqual 0068 @WStrFromUStr 0073 TCustomClientDataSet.SetIndexFieldNames 00a6 @WStrArrayClr 00b3 @UStrArrayClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 30 8B 40 40 8B D6 E8 ?? ?? ?? ?? 8B 50 0C 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8B 43 30 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 74 16 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 43 30 E8 ?? ?? ?? ?? 89 7D E8 C6 45 EC 11 8D 55 E8 33 C9 8B 43 30 8B 18 FF 93 48 03 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8427_0 {
	meta:
		name = "TDBXDataSetTable.GetDataSize"
		size = 78
		refs = "001e _Dn_TBlobField 0023 @IsClass 0034 @AsClass"
	strings:
		$1 = { 56 8B F1 0F B6 42 25 2C 0D 75 0F 8B C6 8B 10 FF 92 9C 00 00 00 83 E8 02 5E C3 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 34 01 00 00 EB 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_8428_0 {
	meta:
		name = "TBaseWebPageInfo.GetViewAccess"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TCustomWrapper.GetMemberName TDBXDBTable.GetDBXTableName TDBXDataSetTable.GetDBXTableName TDBXEmptyTableCursor.GetDBXTableName TDBXTraceParameterList.GetName THeaderInfo.GetNamespace TWorkArea.GetDisplayName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8429_0 {
	meta:
		name = "TDBXDBTable.SetDBXTableName"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TDBXDataSetTable.SetDBXTableName TDSSession.SetUserName THeaderInfo.SetNamespace TIdFormDataField.SetFieldName TItemProp.SetKeyDesc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 1C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8431_0 {
	meta:
		name = "TDBXClientDataSetTable.SkipOriginalRow"
		size = 41
		refs = "0022 TDataSet.Next"
	strings:
		$1 = { 53 56 8B D8 8B 73 30 F6 86 A8 02 00 00 02 74 16 8B C6 8B 10 FF 92 BC 02 00 00 84 C0 75 08 8B 43 30 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8432_0 {
	meta:
		name = "TDBXDataSetTable.GetColumns"
		size = 417
		refs = "0017 TDBXDataSetTable.GetColumns 004b TDBXValueTypeArray 0050 @DynArraySetLength 005e @DynArrayHigh 0082 TFieldDefs.GetFieldDef 0095 TFields.GetField 009f _Dn_TDBXValueType 00a4 TDBXValueType.Create 00cd TDBXDBTable.ToDataType 00df TDBXDBTable.ToDataSubType 00f5 TDBXDataSetTable.GetDataSize 0145 TFieldDef.GetSize 017a @DynArrayAsg 018f @UStrClr 0195 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 20 00 0F 85 3C 01 00 00 8B 45 FC 8B 40 28 8B 40 40 8B 40 08 8B 40 08 50 8B 45 FC 83 C0 20 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 40 20 E8 ?? ?? ?? ?? 85 C0 0F 8C 00 01 00 00 40 89 45 EC C7 45 F4 00 00 00 00 8B 45 FC 8B 40 28 8B 40 40 8B 55 F4 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 40 28 8B 40 38 8B 55 F4 E8 ?? ?? ?? ?? 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 56 0C 8B C3 8B 08 FF 51 08 8D 55 E8 8B C6 8B 08 FF 51 0C 8B 55 E8 8B C3 8B 08 FF 51 0C 0F B6 46 25 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 14 0F B6 46 25 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 18 8B 4D F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 99 52 50 8B C3 8B 10 FF 52 30 8B 46 18 99 52 50 8B C3 8B 10 FF 52 1C 8B C3 8B 10 FF 52 58 83 FA 00 75 26 83 F8 00 75 21 8B C3 8B 10 FF 52 50 83 E8 03 74 05 83 E8 17 75 10 8B C3 8B 10 FF 52 68 52 50 8B C3 8B 10 FF 52 1C 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 20 8B 45 FC 8B 40 20 8B 55 F4 89 1C 90 FF 45 F4 FF 4D EC 0F 85 0B FF FF FF 8B 45 F8 8B 55 FC 8B 52 20 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8433_0 {
	meta:
		name = "TDBXClientDataSetTable.SetColumns"
		size = 256
		refs = "0017 TDBXClientDataSetTable.SetColumns 0024 TDBXDBTable.FreeValueTypes 0030 TDBXValueTypeArray 0035 @DynArrayAsg 0045 TDataSet.Close 004d @DynArrayHigh 0070 TFieldDefs.AddFieldDef 007f TDBXDataSetTable.CopyValueTypeProperties 008e TFieldDefs.GetFieldDef 009f @UStrEqual 00a9 SMustKeepOriginalColumnOrder 00ae LoadResString 00b8 _Dn_TDBXError 00bd Exception.Create 00c2 @RaiseExcept 00ce TCustomClientDataSet.CreateDataSet 00ed @UStrClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 43 20 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 30 85 C0 0F 84 8E 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 85 FF 7C 73 47 33 F6 8B 43 30 8B 40 40 8B 40 08 3B 70 08 7C 1D 56 8B 43 30 8B 40 40 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 0C B0 8B C3 E8 ?? ?? ?? ?? EB 41 8B 43 30 8B 40 40 8B D6 E8 ?? ?? ?? ?? 8B 40 0C 8B 55 FC 8B 14 B2 8B 52 04 E8 ?? ?? ?? ?? 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 90 8B 43 30 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8434_0 {
	meta:
		name = "TDBXClientDataSetTable.GetDeletedRows"
		size = 172
		refs = "000e TDBXClientDataSetTable.GetDeletedRows 001d _Dn_TClientDataSet 0022 TCustomClientDataSet.Create 0043 TCustomClientDataSet.SetStatusFilter 006a _DV_TDBXClientDataSetTable 006f TDBXClientDataSetTable.Create 008e TDBXValueTypeArray 0093 @DynArrayClear 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 6A 00 B1 01 8B 56 30 8B C3 8B 38 FF 97 38 03 00 00 0F B6 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 91 CC 01 00 00 8D 55 FC 8B C6 8B 08 FF 51 28 8B 45 FC 50 53 6A 01 8B 4E 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C3 00 08 00 00 00 }
	condition:
		$1
}

rule function_8435_0 {
	meta:
		name = "TDBXClientDataSetTable.GetInsertedRows"
		size = 172
		refs = "000e TDBXClientDataSetTable.GetInsertedRows 001d _Dn_TClientDataSet 0022 TCustomClientDataSet.Create 0043 TCustomClientDataSet.SetStatusFilter 006a _DV_TDBXClientDataSetTable 006f TDBXClientDataSetTable.Create 008e TDBXValueTypeArray 0093 @DynArrayClear 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 6A 00 B1 01 8B 56 30 8B C3 8B 38 FF 97 38 03 00 00 0F B6 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 91 CC 01 00 00 8D 55 FC 8B C6 8B 08 FF 51 28 8B 45 FC 50 53 6A 01 8B 4E 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_8436_0 {
	meta:
		name = "TDBXClientDataSetTable.GetUpdatedRows"
		size = 172
		refs = "000e TDBXClientDataSetTable.GetUpdatedRows 001d _Dn_TClientDataSet 0022 TCustomClientDataSet.Create 0043 TCustomClientDataSet.SetStatusFilter 006a _DV_TDBXClientDataSetTable 006f TDBXClientDataSetTable.Create 008e TDBXValueTypeArray 0093 @DynArrayClear 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 6A 00 33 C9 8B 56 30 8B C3 8B 38 FF 97 38 03 00 00 0F B6 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 91 CC 01 00 00 8D 55 FC 8B C6 8B 08 FF 51 28 8B 45 FC 50 53 6A 01 8B 4E 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C3 00 02 00 00 00 }
	condition:
		$1
}

rule function_8437_0 {
	meta:
		name = "TDBXClientDataSetTable.GetOriginalRow"
		size = 50
		refs = "000e _DV_TDBXOriginalRow 0013 TDBXOriginalRow.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 30 8B 10 FF 92 BC 02 00 00 3C 02 75 04 33 C0 5B C3 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_8439_0 {
	meta:
		name = "TDBXDataSetTable.FailIfRowIsNew"
		size = 96
		refs = "0009 TDBXDataSetTable.FailIfRowIsNew 0023 SPostNotCalled 0028 LoadResString 0032 _Dn_TDBXError 0037 Exception.Create 003c @RaiseExcept 0051 @UStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 28 80 B8 A5 00 00 00 03 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_8440_0 {
	meta:
		name = "TDBXDataSetTable.CopyValueTypeProperties"
		size = 130
		refs = "000f TNamedItem.SetDisplayName 0020 TDBXDBTable.ToFieldType 0029 TFieldDef.SetDataType 0066 TFieldDef.SetSize"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 8B F2 8B 53 04 8B C6 E8 ?? ?? ?? ?? 8B 53 08 8B C6 8B 08 FF 51 18 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 1C 8B C3 8B 10 FF 52 50 83 F8 1A 74 0A 8B C3 8B 10 FF 52 50 48 75 33 8B C3 8B 10 FF 52 68 83 FA 00 75 07 83 F8 00 77 12 EB 02 7F 0E BA 80 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 10 8B C3 8B 10 FF 52 68 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8441_0 {
	meta:
		name = "TDBXDataSetTable.Create"
		size = 69
		refs = "000d @ClassCreate 0024 TDBXDataSetTable.Create 002f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 0F B6 45 08 50 6A 01 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8442_0 {
	meta:
		name = "TDBXOriginalRow.Create"
		size = 240
		refs = "0016 @ClassCreate 0026 TDBXOriginalRow.Create 0035 _Dn_TClientDataSet 003a TCustomClientDataSet.Create 005e TCustomClientDataSet.SetStatusFilter 007d _DV_TDBXClientDataSetTable 0082 TDBXClientDataSetTable.Create 008e _DV_TDBXDataSetRowExt 0093 TDBXDataSetRow.Create 009f TDBXRowTable.Create 00bb TDBXValueTypeArray 00c0 @DynArrayClear 00c6 @HandleFinally 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 6A 00 8B 45 F8 8B 50 30 B1 01 8B C3 8B 38 FF 97 38 03 00 00 0F B6 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 8B 08 FF 51 28 8B 45 F4 50 53 6A 01 8B 45 F8 8B 48 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 89 46 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 02 00 00 00 }
	condition:
		$1
}

rule function_8443_0 {
	meta:
		name = "TDBXOriginalRow.First"
		size = 7
	strings:
		$1 = { C6 40 24 00 B0 01 C3 }
	condition:
		$1
}

rule function_8444_0 {
	meta:
		name = "TDBXDataTypeCursor.GetColumns"
		size = 19
		altNames = "TDBXOriginalRow.GetColumns"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 2C 8B 08 FF 51 2C 5E 5B C3 }
	condition:
		$1
}

rule function_8445_0 {
	meta:
		name = "TDBXDataTypeCursor.GetOrdinal"
		size = 9
		altNames = "TDBXOriginalRow.GetOrdinal"
	strings:
		$1 = { 8B 40 2C 8B 08 FF 51 20 C3 }
	condition:
		$1
}

rule function_8446_0 {
	meta:
		name = "TDBXOriginalRow.GetWritableValue"
		size = 188
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B 46 2C 8B 40 28 8B 10 FF 92 BC 02 00 00 84 C0 74 04 2C 03 75 0F 8B D7 8B 46 2C 8B 08 FF 51 24 E9 8A 00 00 00 8B 46 2C 8B 40 28 8B 10 FF 92 BC 02 00 00 3C 01 75 76 8B 5E 2C 8B 43 30 F6 80 A8 02 00 00 02 74 10 8B 43 28 8B 10 FF 92 8C 01 00 00 48 8B D8 EB 10 8B 43 28 8B 10 FF 92 8C 01 00 00 03 C0 48 8B D8 8B 46 28 8B 40 28 8B 10 FF 92 8C 01 00 00 3B D8 74 29 8B 46 28 8B 68 28 8B C5 8B 10 FF 92 8C 01 00 00 8B D3 2B D0 8B C5 8B 08 FF 91 AC 02 00 00 8B 46 28 8B 10 FF 92 98 00 00 00 8B D7 8B 46 28 8B 08 FF 51 24 EB 02 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8447_0 {
	meta:
		name = "TDBXOriginalRow.InBounds"
		size = 7
	strings:
		$1 = { 0F B6 40 24 34 01 C3 }
	condition:
		$1
}

rule function_8448_0 {
	meta:
		name = "TDBXOriginalRow.Next"
		size = 16
	strings:
		$1 = { 80 78 24 00 74 03 33 C0 C3 C6 40 24 01 B0 01 C3 }
	condition:
		$1
}

rule function_8449_0 {
	meta:
		name = "TDBXDataSetRow.Create"
		size = 62
		refs = "000b @ClassCreate 001c TDBXRow.Create 002a @AfterConstruction"
		altNames = "TDBXParamsRow.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112239_0 {
	meta:
		name = "TDomXPathSyntaxTree.Create"
		size = 62
		refs = "000b @ClassCreate 001c TCustomOwnedObject.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8450_0 {
	meta:
		name = "TDBXDataSetRow.GetBoolean"
		size = 85
		refs = "0022 TFields.GetField"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 B0 00 00 00 F6 D8 1B C0 89 06 83 3E 00 75 10 8B C3 8B 10 FF 52 54 F6 D8 1B C0 8B 55 FC 89 02 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8451_0 {
	meta:
		name = "TDBXDataSetRow.GetInt16"
		size = 149
		refs = "001e TDBXDataSetRow.GetInt16 0039 TFields.GetField 0065 @VarToInteger 0080 @VarClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 B0 00 00 00 F6 D8 1B C0 89 06 83 3E 00 75 1B 8D 55 EC 8B C3 8B 08 FF 91 90 00 00 00 8D 45 EC E8 ?? ?? ?? ?? 8B 55 FC 66 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8462_0 {
	meta:
		name = "TDBXDataSetRow.GetUInt16"
		size = 149
		refs = "001e TDBXDataSetRow.GetUInt16 0039 TFields.GetField 0065 @VarToInteger 0080 @VarClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 B0 00 00 00 F6 D8 1B C0 89 06 83 3E 00 75 1B 8D 55 EC 8B C3 8B 08 FF 91 90 00 00 00 8D 45 EC E8 ?? ?? ?? ?? 8B 55 FC 66 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8452_0 {
	meta:
		name = "TDBXDataSetRow.GetInt32"
		size = 81
		refs = "0022 TFields.GetField"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 B0 00 00 00 F6 D8 1B C0 89 06 83 3E 00 75 0C 8B C3 8B 10 FF 52 70 8B 55 FC 89 02 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8453_0 {
	meta:
		name = "TDBXDataSetRow.GetInt64"
		size = 151
		refs = "001e TDBXDataSetRow.GetInt64 0039 TFields.GetField 0065 @VarToInt64 0082 @VarClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 B0 00 00 00 F6 D8 1B C0 89 06 83 3E 00 75 1D 8D 55 EC 8B C3 8B 08 FF 91 90 00 00 00 8D 45 EC E8 ?? ?? ?? ?? 8B 4D FC 89 01 89 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8454_0 {
	meta:
		name = "TDBXDataSetRow.GetInt8"
		size = 148
		refs = "001e TDBXDataSetRow.GetInt8 0039 TFields.GetField 0065 @VarToInteger 007f @VarClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 B0 00 00 00 F6 D8 1B C0 89 06 83 3E 00 75 1A 8D 55 EC 8B C3 8B 08 FF 91 90 00 00 00 8D 45 EC E8 ?? ?? ?? ?? 8B 55 FC 88 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8463_0 {
	meta:
		name = "TDBXDataSetRow.GetUInt8"
		size = 148
		refs = "001e TDBXDataSetRow.GetUInt8 0039 TFields.GetField 0065 @VarToInteger 007f @VarClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 B0 00 00 00 F6 D8 1B C0 89 06 83 3E 00 75 1A 8D 55 EC 8B C3 8B 08 FF 91 90 00 00 00 8D 45 EC E8 ?? ?? ?? ?? 8B 55 FC 88 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8455_0 {
	meta:
		name = "TDBXDataSetRow.GetDouble"
		size = 149
		refs = "001e TDBXDataSetRow.GetDouble 0039 TFields.GetField 0065 @VarToReal 0080 @VarClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 B0 00 00 00 F6 D8 1B C0 89 06 83 3E 00 75 1B 8D 55 EC 8B C3 8B 08 FF 91 90 00 00 00 8D 45 EC E8 ?? ?? ?? ?? 8B 45 FC DD 18 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8456_0 {
	meta:
		name = "TDBXDataSetRow.GetWideString"
		size = 159
		refs = "001c TDBXDataSetRow.GetWideString 0037 TFields.GetField 0075 TDBXPlatform.CopyWideStringToBuilder 008a @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 B0 00 00 00 F6 D8 1B C0 89 07 83 3F 00 75 27 8D 55 FC 8B C3 8B 08 FF 91 84 00 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 4D F8 8D 50 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8457_0 {
	meta:
		name = "TDBXDataSetRow.GetAnsiString"
		size = 159
		refs = "001c TDBXDataSetRow.GetAnsiString 0037 TFields.GetField 0075 TDBXPlatform.CopyStringToBuilder 008a @LStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 B0 00 00 00 F6 D8 1B C0 89 07 83 3F 00 75 27 8D 55 FC 8B C3 8B 08 FF 91 88 00 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 4D F8 8D 50 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8458_0 {
	meta:
		name = "TDBXDataSetRow.GetDate"
		size = 102
		refs = "0024 TFields.GetField 0051 DateTimeToTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 B0 00 00 00 F6 D8 1B C0 89 06 83 3E 00 75 1E 8B C3 8B 10 FF 52 60 83 C4 F8 DD 1C 24 9B 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 89 02 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8459_0 {
	meta:
		name = "TDBXDataSetRow.GetTime"
		size = 102
		refs = "0024 TFields.GetField 0051 DateTimeToTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 B0 00 00 00 F6 D8 1B C0 89 06 83 3E 00 75 1E 8B C3 8B 10 FF 52 60 83 C4 F8 DD 1C 24 9B 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC 89 02 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8460_0 {
	meta:
		name = "TDBXDataSetRow.GetTimeStamp"
		size = 94
		refs = "0024 TFields.GetField"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 B0 00 00 00 F6 D8 1B C0 89 06 83 3E 00 75 16 8D 55 EC 8B C3 8B 08 FF 51 78 8B 45 FC 8D 75 EC 8B F8 A5 A5 A5 A5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8461_0 {
	meta:
		name = "TDBXDataSetRow.GetTimeStampOffset"
		size = 95
		refs = "0024 TFields.GetField"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 B0 00 00 00 F6 D8 1B C0 89 06 83 3E 00 75 17 8D 55 E8 8B C3 8B 08 FF 51 7C 8B 45 FC 8D 75 E8 8B F8 A5 A5 A5 A5 A5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8464_0 {
	meta:
		name = "TDBXDataSetRow.GetBcd"
		size = 99
		refs = "0024 TFields.GetField"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 B0 00 00 00 F6 D8 1B C0 89 06 83 3E 00 75 1B 8D 55 D8 8B C3 8B 08 FF 51 50 8B 45 FC 8D 75 D8 8B F8 B9 08 00 00 00 F3 A5 66 A5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8465_0 {
	meta:
		name = "TDBXDataSetRow.GetBytes"
		size = 294
		refs = "001c TDBXDataSetRow.GetBytes 0037 TFields.GetField 005a _Dn_TBlobField 005f @IsClass 0070 @AsClass 00f6 Move 010c TArray<System.Byte> 0111 @DynArrayClear 0117 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 92 B0 00 00 00 F6 D8 1B C0 89 07 83 3F 00 0F 85 A4 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 34 01 00 00 8B C8 EB 0C 8B C6 8B 10 FF 92 9C 00 00 00 8B C8 8B 45 10 8B 55 14 03 45 18 13 55 1C 52 50 8B C1 99 3B 54 24 04 75 09 3B 04 24 5A 58 73 19 EB 04 5A 58 7D 13 8B C1 99 2B 45 18 1B 55 1C 8B 4D 0C 89 01 89 51 04 EB 0E 8B 45 0C 8B 55 10 89 10 8B 55 14 89 50 04 8D 55 F8 8B C6 8B 08 FF 91 8C 00 00 00 8B 45 F8 50 8B 45 18 8B 55 FC 8D 04 02 50 8B 45 0C 8B 00 8B C8 5A 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 20 00 }
	condition:
		$1
}

rule function_8466_0 {
	meta:
		name = "TDBXDataSetRow.GetByteLength"
		size = 137
		refs = "0022 TFields.GetField 0041 _Dn_TBlobField 0046 @IsClass 0057 @AsClass"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 B0 00 00 00 F6 D8 1B C0 89 06 83 3E 00 75 44 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 34 01 00 00 99 8B 4D FC 89 01 89 51 04 EB 13 8B C3 8B 10 FF 92 9C 00 00 00 99 8B 4D FC 89 01 89 51 04 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8467_0 {
	meta:
		name = "TDBXDataSetRow.GetSingle"
		size = 149
		refs = "001e TDBXDataSetRow.GetSingle 0039 TFields.GetField 0065 @VarToReal 0080 @VarClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 B0 00 00 00 F6 D8 1B C0 89 06 83 3E 00 75 1B 8D 55 EC 8B C3 8B 08 FF 91 90 00 00 00 8D 45 EC E8 ?? ?? ?? ?? 8B 45 FC D9 18 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8468_0 {
	meta:
		name = "TDBXDataSetRow.GetStream"
		size = 180
		refs = "001d TDBXDataSetRow.GetStream 0048 TArray<System.Byte> 004d @DynArraySetLength 007a _Dn_TBytesStream 007f TBytesStream.Create 009f @DynArrayClear 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 4D E8 8B 55 F8 8B C3 8B 38 FF 57 4C 83 3E 00 75 4E 8B 45 E8 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 00 6A 00 6A 00 8B 45 E8 99 52 50 8D 45 E0 50 56 8B 4D FC 8B 55 F8 8B C3 8B 18 FF 53 48 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8469_0 {
	meta:
		name = "TDBXDataSetRow.SetBoolean"
		size = 121
		refs = "0018 TDBXDataSetRow.SetBoolean 0025 TDBXDataSetRow.EnsureEditState 003a TFields.GetField 0045 @VarFromBool 0066 @VarClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B D0 8B 47 0C 8B 40 38 E8 ?? ?? ?? ?? 50 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8D 55 F0 58 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8470_0 {
	meta:
		name = "TDBXDataSetRow.SetInt16"
		size = 124
		refs = "0018 TDBXDataSetRow.SetInt16 0025 TDBXDataSetRow.EnsureEditState 003a TFields.GetField 0048 @VarFromInt 0069 @VarClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 50 8D 45 F0 0F BF D7 B1 FE E8 ?? ?? ?? ?? 8D 55 F0 58 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8471_0 {
	meta:
		name = "TDBXDataSetRow.SetInt32"
		size = 123
		refs = "0018 TDBXDataSetRow.SetInt32 0025 TDBXDataSetRow.EnsureEditState 003a TFields.GetField 0047 @VarFromInt 0068 @VarClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 50 8D 45 F0 8B D7 B1 FC E8 ?? ?? ?? ?? 8D 55 F0 58 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8472_0 {
	meta:
		name = "TDBXDataSetRow.SetInt64"
		size = 123
		refs = "0013 TDBXDataSetRow.SetInt64 0020 TDBXDataSetRow.EnsureEditState 0035 TFields.GetField 0046 @VarFromInt64 0067 @VarClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 50 8B 45 08 8B 55 0C 52 50 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 58 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8473_0 {
	meta:
		name = "TDBXDataSetRow.SetInt8"
		size = 124
		refs = "0018 TDBXDataSetRow.SetInt8 0025 TDBXDataSetRow.EnsureEditState 003a TFields.GetField 0048 @VarFromInt 0069 @VarClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B D0 8B 47 0C 8B 40 38 E8 ?? ?? ?? ?? 50 8D 45 F0 0F BE D3 B1 FF E8 ?? ?? ?? ?? 8D 55 F0 58 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8474_0 {
	meta:
		name = "TDBXDataSetRow.SetDouble"
		size = 118
		refs = "0013 TDBXDataSetRow.SetDouble 0020 TDBXDataSetRow.EnsureEditState 0035 TFields.GetField 0041 @VarFromReal 0062 @VarClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 50 DD 45 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 58 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8475_0 {
	meta:
		name = "TDBXDataSetRow.SetNull"
		size = 113
		refs = "0013 TDBXDataSetRow.SetNull 0020 TDBXDataSetRow.EnsureEditState 0035 TFields.GetField 003e Null 005f @VarClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 50 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 58 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8476_0 {
	meta:
		name = "TDBXDataSetRow.SetSingle"
		size = 118
		refs = "0013 TDBXDataSetRow.SetSingle 0020 TDBXDataSetRow.EnsureEditState 0035 TFields.GetField 0041 @VarFromReal 0062 @VarClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 50 D9 45 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 58 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8477_0 {
	meta:
		name = "TDBXDataSetRow.SetString"
		size = 121
		refs = "0018 TDBXDataSetRow.SetString 0025 TDBXDataSetRow.EnsureEditState 003a TFields.GetField 0045 @VarFromLStr 0066 @VarClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 50 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 8D 55 F0 58 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8479_0 {
	meta:
		name = "TDBXDataSetRow.SetAnsiString"
		size = 121
		refs = "0018 TDBXDataSetRow.SetAnsiString 0025 TDBXDataSetRow.EnsureEditState 003a TFields.GetField 0045 @VarFromLStr 0066 @VarClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 50 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 8D 55 F0 58 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8478_0 {
	meta:
		name = "TDBXDataSetRow.SetWideString"
		size = 121
		refs = "0018 TDBXDataSetRow.SetWideString 0025 TDBXDataSetRow.EnsureEditState 003a TFields.GetField 0045 @VarFromUStr 0066 @VarClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 50 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 8D 55 F0 58 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8480_0 {
	meta:
		name = "TDBXDataSetRow.SetDate"
		size = 73
		refs = "0015 TDBXDataSetRow.EnsureEditState 001c TimeStampToDateTime 0038 TFields.GetField"
	strings:
		$1 = { 56 57 83 C4 F8 8B FA 8B F0 89 4C 24 04 33 C0 89 04 24 8B C6 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 47 04 8B 10 FF 52 4C 8B D0 8B 46 0C 8B 40 38 E8 ?? ?? ?? ?? 8B 10 FF 92 D0 00 00 00 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_8481_0 {
	meta:
		name = "TDBXDataSetRow.SetTime"
		size = 75
		refs = "0017 TDBXDataSetRow.EnsureEditState 001e TimeStampToDateTime 003a TFields.GetField"
	strings:
		$1 = { 56 57 83 C4 F8 8B FA 8B F0 C7 44 24 04 5A 95 0A 00 89 0C 24 8B C6 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 47 04 8B 10 FF 52 4C 8B D0 8B 46 0C 8B 40 38 E8 ?? ?? ?? ?? 8B 10 FF 92 D0 00 00 00 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_8482_0 {
	meta:
		name = "TDBXDataSetRow.SetTimestamp"
		size = 109
		refs = "000c TDBXDataSetRow.EnsureEditState 0020 SQLTimeStampToDateTime 003c TFields.GetField"
	strings:
		$1 = { 56 57 55 8B E9 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 47 04 8B 10 FF 52 50 83 F8 0B 75 2D 8B C5 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 47 04 8B 10 FF 52 4C 8B D0 8B 46 0C 8B 40 38 E8 ?? ?? ?? ?? 8B 10 FF 92 D0 00 00 00 EB 1F 8B 47 04 8B 10 FF 52 4C 8B D0 8B 46 0C 8B 40 38 E8 ?? ?? ?? ?? 8B D5 8B 08 FF 91 E8 00 00 00 5D 5F 5E C3 }
	condition:
		$1
}

rule function_8483_0 {
	meta:
		name = "TDBXDataSetRow.SetTimestampOffset"
		size = 109
		refs = "000c TDBXDataSetRow.EnsureEditState 0020 SQLTimeStampOffsetToDateTime 003c TFields.GetField"
	strings:
		$1 = { 56 57 55 8B E9 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 47 04 8B 10 FF 52 50 83 F8 0B 75 2D 8B C5 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 47 04 8B 10 FF 52 4C 8B D0 8B 46 0C 8B 40 38 E8 ?? ?? ?? ?? 8B 10 FF 92 D0 00 00 00 EB 1F 8B 47 04 8B 10 FF 52 4C 8B D0 8B 46 0C 8B 40 38 E8 ?? ?? ?? ?? 8B D5 8B 08 FF 91 EC 00 00 00 5D 5F 5E C3 }
	condition:
		$1
}

rule function_8484_0 {
	meta:
		name = "TDBXDataSetRow.SetUInt16"
		size = 124
		refs = "0018 TDBXDataSetRow.SetUInt16 0025 TDBXDataSetRow.EnsureEditState 003a TFields.GetField 0048 @VarFromInt 0069 @VarClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 50 8D 45 F0 0F B7 D7 B1 02 E8 ?? ?? ?? ?? 8D 55 F0 58 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8485_0 {
	meta:
		name = "TDBXDataSetRow.SetUInt8"
		size = 124
		refs = "0018 TDBXDataSetRow.SetUInt8 0025 TDBXDataSetRow.EnsureEditState 003a TFields.GetField 0048 @VarFromInt 0069 @VarClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B D0 8B 47 0C 8B 40 38 E8 ?? ?? ?? ?? 50 8D 45 F0 0F B6 D3 B1 01 E8 ?? ?? ?? ?? 8D 55 F0 58 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8486_0 {
	meta:
		name = "TDBXDataSetRow.SetBCD"
		size = 51
		refs = "000c TDBXDataSetRow.EnsureEditState 0021 TFields.GetField"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 91 C0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8488_0 {
	meta:
		name = "TDBXDataSetRow.EnsureEditState"
		size = 34
		refs = "0018 TDataSet.Edit"
	strings:
		$1 = { 56 33 D2 8B 70 0C 0F B6 8E A5 00 00 00 80 C1 FE 80 E9 03 72 09 8B C6 E8 ?? ?? ?? ?? B2 01 8B C2 5E C3 }
	condition:
		$1
}

rule function_8490_0 {
	meta:
		name = "TDBXParamsRow.CreateCustomValue"
		size = 82
		refs = "001c _Dn_TDBXStringValue 0021 TDBXStringValue.Create"
	strings:
		$1 = { 53 56 8B DA 33 F6 8B C3 8B 10 FF 52 50 83 E8 03 74 17 83 E8 17 75 36 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 24 8B C3 8B 10 FF 52 54 83 E8 16 74 08 83 C0 F6 83 E8 02 73 10 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8491_0 {
	meta:
		name = "TDBXParamsRow.GetBoolean"
		size = 79
		refs = "001f TParams.GetItem 0028 TParam.GetIsNull 003a TParam.GetAsBoolean"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? F6 D8 1B C0 89 06 83 3E 00 75 10 8B C3 E8 ?? ?? ?? ?? F6 D8 1B C0 8B 55 FC 89 02 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8492_0 {
	meta:
		name = "TDBXParamsRow.GetInt16"
		size = 140
		refs = "001e TDBXParamsRow.GetInt16 0036 TParams.GetItem 003f TParam.GetIsNull 0054 TParam.GetAsVariant 005c @VarToInteger 0077 @VarClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? F6 D8 1B C0 89 06 83 3E 00 75 18 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B 55 FC 66 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8505_0 {
	meta:
		name = "TDBXParamsRow.GetUInt16"
		size = 140
		refs = "001e TDBXParamsRow.GetUInt16 0036 TParams.GetItem 003f TParam.GetIsNull 0054 TParam.GetAsVariant 005c @VarToInteger 0077 @VarClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? F6 D8 1B C0 89 06 83 3E 00 75 18 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B 55 FC 66 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8493_0 {
	meta:
		name = "TDBXParamsRow.GetInt32"
		size = 75
		refs = "001f TParams.GetItem 0028 TParam.GetIsNull 003a TParam.GetAsInteger"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? F6 D8 1B C0 89 06 83 3E 00 75 0C 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 02 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8494_0 {
	meta:
		name = "TDBXParamsRow.GetInt64"
		size = 142
		refs = "001e TDBXParamsRow.GetInt64 0036 TParams.GetItem 003f TParam.GetIsNull 0054 TParam.GetAsVariant 005c @VarToInt64 0079 @VarClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? F6 D8 1B C0 89 06 83 3E 00 75 1A 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B 4D FC 89 01 89 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8495_0 {
	meta:
		name = "TDBXParamsRow.GetInt8"
		size = 139
		refs = "001e TDBXParamsRow.GetInt8 0036 TParams.GetItem 003f TParam.GetIsNull 0054 TParam.GetAsVariant 005c @VarToInteger 0076 @VarClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? F6 D8 1B C0 89 06 83 3E 00 75 17 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B 55 FC 88 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8506_0 {
	meta:
		name = "TDBXParamsRow.GetUInt8"
		size = 139
		refs = "001e TDBXParamsRow.GetUInt8 0036 TParams.GetItem 003f TParam.GetIsNull 0054 TParam.GetAsVariant 005c @VarToInteger 0076 @VarClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? F6 D8 1B C0 89 06 83 3E 00 75 17 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B 55 FC 88 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8496_0 {
	meta:
		name = "TDBXParamsRow.GetSingle"
		size = 140
		refs = "001e TDBXParamsRow.GetSingle 0036 TParams.GetItem 003f TParam.GetIsNull 0054 TParam.GetAsVariant 005c @VarToReal 0077 @VarClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? F6 D8 1B C0 89 06 83 3E 00 75 18 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B 45 FC D9 18 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8497_0 {
	meta:
		name = "TDBXParamsRow.GetStream"
		size = 88
		refs = "0022 TParams.GetItem 002b TParam.GetIsNull 003d TParam.GetAsStream 004c TParam.SetStream"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B D8 8B 75 08 8B 45 FC 8B 40 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? F6 D8 1B C0 89 06 83 3E 00 75 16 8B C3 E8 ?? ?? ?? ?? 89 07 6A 00 8B 17 33 C9 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8498_0 {
	meta:
		name = "TDBXParamsRow.GetDouble"
		size = 140
		refs = "001e TDBXParamsRow.GetDouble 0036 TParams.GetItem 003f TParam.GetIsNull 0054 TParam.GetAsVariant 005c @VarToReal 0077 @VarClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? F6 D8 1B C0 89 06 83 3E 00 75 18 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B 45 FC DD 18 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8499_0 {
	meta:
		name = "TDBXParamsRow.GetWideString"
		size = 146
		refs = "001c TDBXParamsRow.GetWideString 0037 TParams.GetItem 0040 TParam.GetIsNull 0055 TParam.GetAsWideString 005f @UStrAsg 0068 @UStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 89 55 FC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? F6 D8 1B C0 89 06 83 3E 00 75 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8500_0 {
	meta:
		name = "TDBXParamsRow.GetAnsiString"
		size = 150
		refs = "001c TDBXParamsRow.GetAnsiString 0034 TParams.GetItem 003d TParam.GetIsNull 0052 TParam.GetAsAnsiString 006c TDBXPlatform.CopyStringToBuilder 0081 @LStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? F6 D8 1B C0 89 06 83 3E 00 75 24 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 4D F8 8D 50 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8501_0 {
	meta:
		name = "TDBXParamsRow.GetDate"
		size = 139
		refs = "001e TDBXParamsRow.GetDate 0036 TParams.GetItem 003f TParam.GetIsNull 0054 TParam.GetAsVariant 005c @VarToInteger 0076 @VarClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? F6 D8 1B C0 89 06 83 3E 00 75 17 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B 55 FC 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8502_0 {
	meta:
		name = "TDBXParamsRow.GetTime"
		size = 139
		refs = "001e TDBXParamsRow.GetTime 0036 TParams.GetItem 003f TParam.GetIsNull 0054 TParam.GetAsVariant 005c @VarToInteger 0076 @VarClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? F6 D8 1B C0 89 06 83 3E 00 75 17 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B 55 FC 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8503_0 {
	meta:
		name = "TDBXParamsRow.GetTimeStamp"
		size = 88
		refs = "0021 TParams.GetItem 002a TParam.GetIsNull 003f TParam.GetAsSQLTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? F6 D8 1B C0 89 06 83 3E 00 75 16 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8D 75 EC 8B F8 A5 A5 A5 A5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8504_0 {
	meta:
		name = "TDBXParamsRow.GetTimeStampOffset"
		size = 89
		refs = "0021 TParams.GetItem 002a TParam.GetIsNull 003f TParam.GetAsSQLTimeStampOffset"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? F6 D8 1B C0 89 06 83 3E 00 75 17 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8D 75 E8 8B F8 A5 A5 A5 A5 A5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8507_0 {
	meta:
		name = "TDBXParamsRow.GetBcd"
		size = 93
		refs = "0021 TParams.GetItem 002a TParam.GetIsNull 003f TParam.GetAsFMTBCD"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? F6 D8 1B C0 89 06 83 3E 00 75 1B 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8D 75 D8 8B F8 B9 08 00 00 00 F3 A5 66 A5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8508_0 {
	meta:
		name = "TDBXParamsRow.GetBytes"
		size = 235
		refs = "0020 TDBXParamsRow.GetBytes 003b TParams.GetItem 0044 TParam.GetIsNull 0056 TParam.GetDataSize 00a2 TParam.GetAsBytes 00bb Move 00d1 TArray<System.Byte> 00d6 @DynArrayClear 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? F6 D8 1B C0 89 06 83 3E 00 75 6C 8B C3 E8 ?? ?? ?? ?? 99 52 50 8B 45 10 8B 55 14 03 45 18 13 55 1C 3B 54 24 04 75 09 3B 04 24 5A 58 76 1B EB 04 5A 58 7E 15 8B C3 E8 ?? ?? ?? ?? 99 2B 45 18 1B 55 1C 89 07 89 57 04 EB 0B 8B 45 10 89 07 8B 45 14 89 47 04 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 18 8B 55 F8 8D 04 02 50 8B 07 8B C8 5A 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule function_8509_0 {
	meta:
		name = "TDBXParamsRow.GetByteLength"
		size = 79
		refs = "001f TParams.GetItem 0028 TParam.GetIsNull 003a TParam.GetDataSize"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? F6 D8 1B C0 89 06 83 3E 00 75 10 8B C3 E8 ?? ?? ?? ?? 99 8B 4D FC 89 01 89 51 04 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8510_0 {
	meta:
		name = "TDBXParamsRow.SetBoolean"
		size = 108
		refs = "0018 TDBXParamsRow.SetBoolean 0030 TParams.GetItem 003b @VarFromBool 0044 TParam.SetAsVariant 0059 @VarClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 4C 8B D0 8B 47 0C E8 ?? ?? ?? ?? 50 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8D 55 F0 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8511_0 {
	meta:
		name = "TDBXParamsRow.SetInt16"
		size = 111
		refs = "0018 TDBXParamsRow.SetInt16 0030 TParams.GetItem 003e @VarFromInt 0047 TParam.SetAsVariant 005c @VarClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 50 8D 45 F0 0F BF D7 B1 FE E8 ?? ?? ?? ?? 8D 55 F0 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8512_0 {
	meta:
		name = "TDBXParamsRow.SetInt32"
		size = 110
		refs = "0018 TDBXParamsRow.SetInt32 0030 TParams.GetItem 003d @VarFromInt 0046 TParam.SetAsVariant 005b @VarClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 50 8D 45 F0 8B D7 B1 FC E8 ?? ?? ?? ?? 8D 55 F0 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8522_0 {
	meta:
		name = "TDBXParamsRow.SetDate"
		size = 110
		refs = "0018 TDBXParamsRow.SetDate 0030 TParams.GetItem 003d @VarFromInt 0046 TParam.SetAsVariant 005b @VarClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 50 8D 45 F0 8B D7 B1 FC E8 ?? ?? ?? ?? 8D 55 F0 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8523_0 {
	meta:
		name = "TDBXParamsRow.SetTime"
		size = 110
		refs = "0018 TDBXParamsRow.SetTime 0030 TParams.GetItem 003d @VarFromInt 0046 TParam.SetAsVariant 005b @VarClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 50 8D 45 F0 8B D7 B1 FC E8 ?? ?? ?? ?? 8D 55 F0 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8513_0 {
	meta:
		name = "TDBXParamsRow.SetInt64"
		size = 110
		refs = "0013 TDBXParamsRow.SetInt64 002b TParams.GetItem 003c @VarFromInt64 0045 TParam.SetAsVariant 005a @VarClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 50 8B 45 08 8B 55 0C 52 50 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8514_0 {
	meta:
		name = "TDBXParamsRow.SetInt8"
		size = 111
		refs = "0018 TDBXParamsRow.SetInt8 0030 TParams.GetItem 003e @VarFromInt 0047 TParam.SetAsVariant 005c @VarClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 4C 8B D0 8B 47 0C E8 ?? ?? ?? ?? 50 8D 45 F0 0F BE D3 B1 FF E8 ?? ?? ?? ?? 8D 55 F0 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8515_0 {
	meta:
		name = "TDBXParamsRow.SetDouble"
		size = 105
		refs = "0013 TDBXParamsRow.SetDouble 002b TParams.GetItem 0037 @VarFromReal 0040 TParam.SetAsVariant 0055 @VarClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 50 DD 45 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8516_0 {
	meta:
		name = "TDBXParamsRow.SetNull"
		size = 100
		refs = "0013 TDBXParamsRow.SetNull 002b TParams.GetItem 0034 Null 003d TParam.SetAsVariant 0052 @VarClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 50 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8517_0 {
	meta:
		name = "TDBXParamsRow.SetSingle"
		size = 105
		refs = "0013 TDBXParamsRow.SetSingle 002b TParams.GetItem 0037 @VarFromReal 0040 TParam.SetAsVariant 0055 @VarClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 50 D9 45 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8518_0 {
	meta:
		name = "TDBXParamsRow.SetStream"
		size = 221
		refs = "001b TDBXParamsRow.SetStream 0028 _Dn_TMemoryStream 002d TObject.Create 0042 TArray<System.Byte> 0047 @DynArraySetLength 0057 @DynArrayLength 00a6 TParams.GetItem 00af TParam.SetStream 00ca @DynArrayClear 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 68 00 02 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 BB 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 33 C9 8B 55 FC 8B 45 F0 8B 18 FF 13 8B D8 85 DB 7E 0C 8B 55 FC 8B CB 8B C6 8B 38 FF 57 10 85 DB 7F D5 6A 00 6A 00 33 D2 8B C6 8B 08 FF 51 18 8B C6 8B 10 FF 12 50 8B 45 F4 8B 40 04 8B 10 FF 52 4C 8B D0 8B 45 F8 8B 40 0C E8 ?? ?? ?? ?? B1 01 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8519_0 {
	meta:
		name = "TDBXParamsRow.SetString"
		size = 108
		refs = "0018 TDBXParamsRow.SetString 0030 TParams.GetItem 003b @VarFromLStr 0044 TParam.SetAsVariant 0059 @VarClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 50 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 8D 55 F0 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8521_0 {
	meta:
		name = "TDBXParamsRow.SetAnsiString"
		size = 108
		refs = "0018 TDBXParamsRow.SetAnsiString 0030 TParams.GetItem 003b @VarFromLStr 0044 TParam.SetAsVariant 0059 @VarClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 50 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 8D 55 F0 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8520_0 {
	meta:
		name = "TDBXParamsRow.SetWideString"
		size = 108
		refs = "0018 TDBXParamsRow.SetWideString 0030 TParams.GetItem 003b @VarFromUStr 0044 TParam.SetAsVariant 0059 @VarClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 50 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 8D 55 F0 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8524_0 {
	meta:
		name = "TDBXParamsRow.SetTimestamp"
		size = 90
		refs = "0019 SQLTimeStampToDateTime 0032 TParams.GetItem 0037 TParam.SetAsDateTime 0052 TParam.SetAsSQLTimeStamp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 46 04 8B 10 FF 52 50 83 F8 0B 75 27 8B C7 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 19 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8525_0 {
	meta:
		name = "TDBXParamsRow.SetTimestampOffset"
		size = 90
		refs = "0019 SQLTimeStampOffsetToDateTime 0032 TParams.GetItem 0037 TParam.SetAsDateTime 0052 TParam.SetAsSQLTimeStampOffset"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 46 04 8B 10 FF 52 50 83 F8 0B 75 27 8B C7 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 19 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8526_0 {
	meta:
		name = "TDBXParamsRow.SetUInt16"
		size = 111
		refs = "0018 TDBXParamsRow.SetUInt16 0030 TParams.GetItem 003e @VarFromInt 0047 TParam.SetAsVariant 005c @VarClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 50 8D 45 F0 0F B7 D7 B1 02 E8 ?? ?? ?? ?? 8D 55 F0 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8527_0 {
	meta:
		name = "TDBXParamsRow.SetUInt8"
		size = 111
		refs = "0018 TDBXParamsRow.SetUInt8 0030 TParams.GetItem 003e @VarFromInt 0047 TParam.SetAsVariant 005c @VarClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 4C 8B D0 8B 47 0C E8 ?? ?? ?? ?? 50 8D 45 F0 0F B6 D3 B1 01 E8 ?? ?? ?? ?? 8D 55 F0 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8528_0 {
	meta:
		name = "TDBXParamsRow.SetBCD"
		size = 38
		refs = "0017 TParams.GetItem 001e TParam.SetAsFMTBCD"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8530_0 {
	meta:
		name = "TDBXParamsTable.Create"
		size = 91
		refs = "000b @ClassCreate 0018 _Dn_TParams 001d TParams.Create 002b _DV_TDBXParamsRow 0030 TDBXParamsRow.Create 003c TDBXRowTable.Create 0047 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 24 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8531_0 {
	meta:
		name = "TDBXParamsTable.Create"
		size = 100
		refs = "000e @ClassCreate 001d _DV_TDBXParamsRow 0022 TDBXParamsRow.Create 002e TDBXRowTable.Create 004d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 24 0F B6 45 08 88 47 29 8B C7 8B 10 FF 92 9C 00 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8532_0 {
	meta:
		name = "TDBXParamsTable.Destroy"
		size = 65
		refs = "0003 @BeforeDestruction 001d TObject.Free 0024 TDBXDBTable.FreeValueTypes 002f TDBXRowTable.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 29 00 74 10 8D 46 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8533_0 {
	meta:
		name = "TDBXParamsTable.First"
		size = 21
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 98 00 00 00 C6 43 28 00 B0 01 5B C3 }
	condition:
		$1
}

rule function_8534_0 {
	meta:
		name = "TDBXParamsTable.Next"
		size = 7
	strings:
		$1 = { C6 40 28 01 33 C0 C3 }
	condition:
		$1
}

rule function_8535_0 {
	meta:
		name = "TDBXParamsTable.InBounds"
		size = 7
	strings:
		$1 = { 0F B6 40 28 34 01 C3 }
	condition:
		$1
}

rule function_8537_0 {
	meta:
		name = "TDBXParamsTable.GetOrdinal"
		size = 24
		refs = "000c TParams.ParamByName 0011 TCollectionItem.GetIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 24 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8538_0 {
	meta:
		name = "TDBXParamsTable.GetColumns"
		size = 362
		refs = "0017 TDBXParamsTable.GetColumns 0048 TDBXValueTypeArray 004d @DynArraySetLength 005b @DynArrayHigh 007c TParams.GetItem 008b _Dn_TDBXValueType 0090 TDBXValueType.Create 00b7 TParam.GetDataType 00bc TDBXDBTable.ToDataType 00d1 TDBXDBTable.ToDataSubType 00f8 TParam.GetDataSize 0109 TParam.GetParamType 010e TDBXDBTable.ToDBXParameterDirection 0143 @DynArrayAsg 0158 @UStrClr 015e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 20 00 0F 85 05 01 00 00 8B 45 FC 8B 40 24 8B 40 08 8B 40 08 50 8B 45 FC 83 C0 20 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 40 20 E8 ?? ?? ?? ?? 85 C0 0F 8C CC 00 00 00 40 89 45 F0 C7 45 F4 00 00 00 00 8B 45 FC 8B 40 24 8B 55 F4 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 48 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 56 34 8B C3 8B 08 FF 51 08 8D 55 EC 8B C6 8B 08 FF 51 0C 8B 55 EC 8B C3 8B 08 FF 51 0C 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 14 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 18 8B 46 28 99 52 50 8B C3 8B 10 FF 52 1C 8B 56 2C 8B C3 8B 08 FF 51 20 8B C6 E8 ?? ?? ?? ?? 99 52 50 8B C3 8B 10 FF 52 30 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 04 8B 45 FC 8B 40 20 8B 55 F4 89 1C 90 FF 45 F4 FF 4D F0 0F 85 3F FF FF FF 8B 45 F8 8B 55 FC 8B 52 20 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8539_0 {
	meta:
		name = "TDBXParamsTable.SetColumns"
		size = 48
		refs = "0009 TDBXDBTable.FreeValueTypes 0014 TDBXValueTypeArray 0019 @DynArrayAsg 0029 TDBXParamsTable.CopyValueTypes"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 20 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 24 85 C0 74 09 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8540_0 {
	meta:
		name = "TDBXParamsTable.CopyValueTypes"
		size = 192
		refs = "0017 TDBXParamsTable.CopyValueTypes 0024 TCollection.Clear 002c @DynArrayHigh 0046 TParams.GetItem 0055 TDBXParamsTable.CopyValueType 0071 @UStrEqual 007b SMustKeepOriginalColumnOrder 0080 LoadResString 008a _Dn_TDBXError 008f Exception.Create 0094 @RaiseExcept 00ad @UStrClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 7C 66 46 33 DB 8B 47 08 3B 58 08 7C 1A 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 14 98 8B C3 E8 ?? ?? ?? ?? EB 3D 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 34 8B 55 FC 8B 14 9A 8B 52 04 E8 ?? ?? ?? ?? 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 9D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8541_0 {
	meta:
		name = "TDBXParamsTable.GetStorage"
		size = 4
		altNames = "TDBXReaderTableStorage.GetStorage TDomNode.GetChildNodes TGalleryProperties.GetItemsPerRow TIWBaseHTMLControlImplementation.getFont TObjectWrapper.GetMetaClass TTestResult.RunCount TWideStringList.GetCapacity TXMLNode.GetHostNode"
	strings:
		$1 = { 8B 40 24 C3 }
	condition:
		$1
}

rule function_8542_0 {
	meta:
		name = "TDBXParamsTable.CopyValueType"
		size = 97
		refs = "000d @UStrAsg 001e TDBXDBTable.ToFieldType 0027 TParam.SetDataType 0033 TDBXDBTable.ToParameterType 003c TParam.SetParamType"
	strings:
		$1 = { 53 56 8B F1 8B DA 8D 46 34 8B 53 04 E8 ?? ?? ?? ?? 8B 53 08 8B C6 8B 08 FF 51 18 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 40 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 58 89 46 28 8B C3 8B 10 FF 52 5C 89 46 2C 8B C3 8B 10 FF 52 68 89 46 3C 5E 5B C3 }
	condition:
		$1
}

rule function_8543_0 {
	meta:
		name = "TDBXDBTable.FreeValueTypes"
		size = 26
		refs = "0006 TDBXValueList.ClearValues 000f TDBXValueTypeArray 0014 @DynArrayClear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_8544_0 {
	meta:
		name = "TDBXDBTable.ToDataSubType"
		size = 13
	strings:
		$1 = { 2C 27 75 06 B8 20 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_8545_0 {
	meta:
		name = "TDBXDBTable.ToDataType"
		size = 583
		refs = "000a TDBXDBTable.ToDataType 0207 SUnexpectedMetaDataType 020c LoadResString 0216 _Dn_TDBXError 021b Exception.Create 0220 @RaiseExcept 0235 @UStrClr 023b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 E0 7F 83 F8 33 0F 87 E3 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BB 04 00 00 00 E9 23 01 00 00 BB 1D 00 00 00 E9 19 01 00 00 BB 1C 00 00 00 E9 0F 01 00 00 BB 05 00 00 00 E9 05 01 00 00 BB 06 00 00 00 E9 FB 00 00 00 BB 12 00 00 00 E9 F1 00 00 00 BB 1B 00 00 00 E9 E7 00 00 00 BB 07 00 00 00 E9 DD 00 00 00 BB 01 00 00 00 E9 D3 00 00 00 BB 01 00 00 00 E9 C9 00 00 00 BB 1A 00 00 00 E9 BF 00 00 00 BB 03 00 00 00 E9 B5 00 00 00 BB 08 00 00 00 E9 AB 00 00 00 BB 19 00 00 00 E9 A1 00 00 00 BB 09 00 00 00 E9 97 00 00 00 BB 02 00 00 00 E9 8D 00 00 00 BB 0A 00 00 00 E9 83 00 00 00 BB 18 00 00 00 EB 7C BB 24 00 00 00 EB 75 BB 0B 00 00 00 EB 6E BB 21 00 00 00 EB 67 BB 0F 00 00 00 EB 60 BB 0C 00 00 00 EB 59 BB 07 00 00 00 EB 52 BB 11 00 00 00 EB 4B BB 14 00 00 00 EB 44 BB 15 00 00 00 EB 3D BB 16 00 00 00 EB 36 BB 17 00 00 00 EB 2F BB 23 00 00 00 EB 28 BB 22 00 00 00 EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_8546_0 {
	meta:
		name = "TDBXClientDataSetTable.Create"
		size = 151
		refs = "000f @ClassCreate 0021 @DynArrayAddRef 0029 TDBXClientDataSetTable.Create 0042 TDBXDataSetTable.Create 0065 TDBXValueTypeArray 006a @DynArrayClear 0070 @HandleFinally 007f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 0C 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 0F B6 45 08 50 6A 00 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 55 10 8B C3 8B 08 FF 51 30 89 73 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_8547_0 {
	meta:
		name = "TDBXClientDataSetTable.Create"
		size = 74
		refs = "000a @ClassCreate 0019 _Dn_TClientDataSet 001e TCustomClientDataSet.Create 002c TDBXClientDataSetTable.Create 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 01 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8548_0 {
	meta:
		name = "TDBXClientDataSetTable.Create"
		size = 69
		refs = "000d @ClassCreate 0024 TDBXClientDataSetTable.Create 002f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 51 0F B6 45 08 50 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8549_0 {
	meta:
		name = "TDBXDataSetReader.ToClientDataSet"
		size = 49
		refs = "000c _Dn_TClientDataSet 0011 TCustomClientDataSet.Create 001c TDBXDataSetReader.CopyReaderToClientDataSet 0027 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D7 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8554_0 {
	meta:
		name = "TDBXParamsReader.ToParams"
		size = 49
		refs = "000c _Dn_TParams 0011 TParams.Create 001c TDBXParamsReader.CopyReaderToParams 0027 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D7 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8550_0 {
	meta:
		name = "TDBXDataSetReader.CopyReaderToClientDataSet"
		size = 304
		refs = "0017 TDBXDataSetReader.CopyReaderToClientDataSet 003f TDBXValueTypeArray 0044 @DynArraySetLength 0061 TDBXValueType.WritableClone 0079 _DV_TDBXClientDataSetTable 007e TDBXClientDataSetTable.Create 00fa TObject.Free 0100 @HandleFinally 011d @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 8B FA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 1C 89 45 F0 8B 45 F8 8B 10 FF 52 1C 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 75 F0 4E 85 F6 7C 1C 46 33 DB 8B D3 8B 45 F8 8B 08 FF 51 18 E8 ?? ?? ?? ?? 8B 55 FC 89 04 9A 43 4E 75 E7 6A 00 57 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 55 FC 8B 45 F4 8B 08 FF 51 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 3D 8B 45 F4 8B 10 FF 52 58 8B 75 F0 4E 85 F6 7C 25 46 33 DB 8B D3 8B 45 F8 8B 08 FF 51 10 50 8B D3 8B 45 F4 8B 08 FF 51 24 5A 8B 08 FF 91 C0 01 00 00 43 4E 75 DE 8B 45 F4 8B 10 FF 52 5C 8B 45 F8 8B 10 FF 52 3C 84 C0 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8551_0 {
	meta:
		name = "TDBXDataSetReader.Create"
		size = 141
		refs = "000f @ClassCreate 0021 _Dn_TClientDataSet 0026 @IsClass 0038 _DV_TDBXClientDataSetTable 003d TDBXClientDataSetTable.Create 0048 TDBXTableReader.Create 0058 _DV_TDBXDataSetTable 005d TDBXDataSetTable.Create 0075 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B F0 8B 5D 08 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 6A 00 57 53 8B 4F 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? EB 1E 57 53 6A 01 8B 4F 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8553_0 {
	meta:
		name = "TDBXParamsReader.CopyReaderToParams"
		size = 198
		refs = "0019 TCollection.Clear 0038 _Dn_TParam 003d TParam.Create 0055 TDBXParamsTable.CopyValueType 0063 _DV_TDBXParamsRow 0068 TDBXParamsRow.Create 0073 TDBXParamsReader.CopyReaderToParams 00b3 TObject.Free 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B F8 8B C7 8B 10 FF 52 3C 8B 45 FC E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 1C 89 45 F8 8B 75 F8 4E 85 F6 7C 2E 46 33 DB 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B D3 8B C7 8B 08 FF 51 18 8B D0 8B 4D F4 8B C3 E8 ?? ?? ?? ?? 43 4E 75 D5 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 75 F8 4E 85 F6 7C 18 46 33 DB 8B D3 8B C7 8B 08 FF 51 10 8B 55 F0 8B 08 FF 51 04 43 4E 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8555_0 {
	meta:
		name = "TDBXParamsReader.Create"
		size = 84
		refs = "000e @ClassCreate 0022 _DV_TDBXParamsTable 0027 TDBXParamsTable.Create 0032 TDBXTableReader.Create 003d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 0F B6 45 08 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8557_0 {
	meta:
		name = "TDBXDBTable.ToFieldType"
		size = 420
		refs = "000c TDBXDBTable.ToFieldType 0164 SUnexpectedMetaDataType 0169 LoadResString 0173 _Dn_TDBXError 0178 Exception.Create 017d @RaiseExcept 0192 @UStrClr 0198 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 83 F8 24 0F 87 3A 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B3 05 E9 B9 00 00 00 B3 2C E9 B2 00 00 00 B3 2B E9 AB 00 00 00 B3 02 E9 A4 00 00 00 B3 03 E9 9D 00 00 00 B3 19 E9 96 00 00 00 B3 33 E9 8F 00 00 00 B3 06 E9 88 00 00 00 B3 18 E9 81 00 00 00 B3 01 EB 7D B3 09 EB 79 B3 24 EB 75 B3 31 EB 71 8B C3 8B 10 FF 52 54 83 E8 20 75 04 B3 27 EB 61 B3 0F EB 5D B3 25 EB 59 B3 07 EB 55 B3 0C EB 51 B3 0A EB 4D B3 30 EB 49 B3 04 EB 45 B3 16 EB 41 B3 1A EB 3D B3 1B EB 39 B3 1C EB 35 B3 1D EB 31 B3 20 EB 2D B3 0D EB 29 B3 2E EB 25 B3 0B EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_8560_0 {
	meta:
		name = "TDBXDBTable.ToDBXParameterDirection"
		size = 45
	strings:
		$1 = { FE C8 74 0E FE C8 74 10 FE C8 74 12 FE C8 74 14 EB 18 B8 01 00 00 00 C3 B8 02 00 00 00 C3 B8 03 00 00 00 C3 B8 04 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_8561_0 {
	meta:
		name = "TDBXDBTable.ToParameterType"
		size = 29
	strings:
		$1 = { 48 74 0B 48 74 0B 48 74 0B 48 74 0B EB 0C B0 01 C3 B0 02 C3 B0 03 C3 B0 04 C3 33 C0 C3 }
	condition:
		$1
}

rule function_8563_0 {
	meta:
		name = "TDBXMemoryTable.ClearValues"
		size = 169
		refs = "0014 @DynArrayAddRef 001c TDBXMemoryTable.ClearValues 002e TDBXWritableValueArray 0033 @DynArrayAsg 0044 TObject.Free 004d @DynArrayLength 005f @DynArrayClear 0074 @DynArraySetLength 0097 @FinalizeArray 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 0E 8B 45 F8 8B 34 98 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7C E6 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10696_0 {
	meta:
		name = "TDBXMemoryRow.ClearValues"
		size = 169
		refs = "0014 @DynArrayAddRef 001c TDBXMemoryRow.ClearValues 002e TDBXWritableValueArray 0033 @DynArrayAsg 0044 TObject.Free 004d @DynArrayLength 005f @DynArrayClear 0074 @DynArraySetLength 0097 @FinalizeArray 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 0E 8B 45 F8 8B 34 98 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7C E6 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8564_0 {
	meta:
		name = "TDBXMemoryTable.ClearValueTypes"
		size = 169
		refs = "0014 @DynArrayAddRef 001c TDBXMemoryTable.ClearValueTypes 002e TDBXValueTypeArray 0033 @DynArrayAsg 0044 TObject.Free 004d @DynArrayLength 005f @DynArrayClear 0074 @DynArraySetLength 0097 @FinalizeArray 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 0E 8B 45 F8 8B 34 98 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7C E6 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8565_0 {
	meta:
		name = "TDBXMemoryTable.Create"
		size = 71
		refs = "000a @ClassCreate 0015 _DV_TList<Data.DBXCommon.TDBXWritableValueArray> 001a TList<Data.DBXCommon.TDBXWritableValueArray>.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 33 C0 89 46 18 C7 46 1C FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8566_0 {
	meta:
		name = "TDBXMemoryTable.CreateTableView"
		size = 244
		refs = "001b TDBXMemoryTable.CreateTableView 003f SInvalidOrderByColumn 0044 LoadResString 005a Format 0064 _Dn_TDBXError 0069 Exception.Create 006e @RaiseExcept 0075 _DV_TDBXMemoryTable 007a TDBXMemoryTable.Create 00ad @AsClass 00ce TDBXValueTypeArray 00d3 @DynArrayClear 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 8B 08 FF 51 40 89 45 FC 83 7D FC FF 75 3B 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 89 75 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 55 E8 8B C3 8B 08 FF 51 28 8B 55 E8 8B C6 8B 08 FF 51 30 C7 43 18 FF FF FF FF 8B D3 8B C6 8B 08 FF 51 50 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 91 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8567_0 {
	meta:
		name = "TDBXMemoryTable.CreateWritableValueArray"
		size = 252
		refs = "0017 TDBXMemoryTable.CreateWritableValueArray 002f @DynArrayLength 003e TDBXWritableValueArray 0043 @DynArraySetLength 0082 TDBXValueType.Clone 008d TDBXValue.CreateValue 00bb @DynArrayAsg 00d1 TDBXValueTypeArray 00db @FinalizeArray 00e9 @DynArrayClear 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C7 8B 08 FF 51 2C 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 55 46 33 DB 8D 55 EC 8B C7 8B 08 FF 51 2C 8B 45 EC 83 3C 98 00 74 3B 6A 00 8D 55 E8 8B C7 8B 08 FF 51 2C 8B 45 E8 8B 04 98 E8 ?? ?? ?? ?? 8B D0 33 C9 33 C0 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 40 04 8B D3 8B 08 FF 51 10 8B 45 FC 8B 55 F4 89 14 98 43 4E 75 AE 8B 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8568_0 {
	meta:
		name = "TDBXMemoryTable.Destroy"
		size = 187
		refs = "000f @BeforeDestruction 001c TDBXMemoryTable.Destroy 003d TList<Data.DBXCommon.TDBXWritableValueArray>.GetItem 0047 TDBXMemoryTable.ClearValues 0053 TList<Data.DBXCommon.TDBXWritableValueArray>.SetItem 0068 TObject.Free 0072 TDBXMemoryTable.ClearValueTypes 0080 TDBXValueList.Destroy 0096 TDBXWritableValueArray 009b @DynArrayClear 00a1 @HandleFinally 00b0 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 28 8B 78 08 4F 85 FF 7C 2A 47 33 F6 8D 4D F8 8B 43 28 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 43 28 33 C9 8B D6 E8 ?? ?? ?? ?? 46 4F 75 D9 33 D2 8B C3 8B 08 FF 51 08 8B 43 28 E8 ?? ?? ?? ?? 8B 53 24 8B C3 E8 ?? ?? ?? ?? 0F B6 55 FF 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 80 7D FF 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8569_0 {
	meta:
		name = "TDBXMemoryTable.FindStringKey"
		size = 303
		refs = "001b TDBXMemoryTable.FindStringKey 0054 TDBXWritableValueArray 0059 @DynArraySetLength 0069 TList<Data.DBXCommon.TDBXWritableValueArray>.GetItem 0077 TDBXValueType.Clone 007c TDBXValue.CreateValue 009a _DV_TDBXWritableValueArrayComparer 009f TDBXWritableValueArrayComparer.Create 00bb TList<Data.DBXCommon.TDBXWritableValueArray>.BinarySearch 00e1 TObject.Free 010c @FinalizeArray 011a @DynArrayClear 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 28 83 78 08 00 75 07 33 DB E9 BB 00 00 00 3B 77 1C 74 0C 8B D6 8B C7 8B 08 FF 91 98 00 00 00 8D 46 01 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 4D F0 33 D2 8B 47 28 E8 ?? ?? ?? ?? 8B 45 F0 8B 04 B0 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 1C B0 8B C3 8B 55 F8 8B 08 FF 91 24 01 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 85 C0 74 03 83 E8 F0 50 8D 4F 18 8B 55 FC 8B 47 28 E8 ?? ?? ?? ?? 8B D8 84 DB 74 18 8D 4D EC 8B 57 18 8B 47 28 E8 ?? ?? ?? ?? 8B 55 EC 8B C7 8B 08 FF 51 08 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 04 B0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8570_0 {
	meta:
		name = "TDBXMemoryTable.First"
		size = 108
		refs = "000e TDBXMemoryTable.First 0033 TList<Data.DBXCommon.TDBXWritableValueArray>.GetItem 0053 TDBXWritableValueArray 0058 @DynArrayClear 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 89 77 18 8B 47 28 3B 70 08 0F 9C C3 84 DB 74 17 8D 4D FC 8B D6 8B 47 28 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8571_0 {
	meta:
		name = "TDBXMemoryTable.GetColumns"
		size = 25
		refs = "000d TDBXValueTypeArray 0012 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88627_0 {
	meta:
		name = "TGestureCollectionItem.GetPoints"
		size = 25
		refs = "000d TGesturePointArray 0012 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8573_0 {
	meta:
		name = "TDBXMemoryTable.GetTableCount"
		size = 7
		altNames = "TObjectWrapper.GetSymbolCount"
	strings:
		$1 = { 8B 40 28 8B 40 08 C3 }
	condition:
		$1
}

rule function_8574_0 {
	meta:
		name = "TDBXMemoryTable.InBounds"
		size = 21
	strings:
		$1 = { 8B 50 18 85 D2 7C 08 8B 40 28 3B 50 08 7C 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_8575_0 {
	meta:
		name = "TDBXMemoryTable.Insert"
		size = 114
		refs = "000d TDBXMemoryTable.Insert 001d TDBXMemoryTable.CreateWritableValueArray 0025 @DynArrayLength 003c TList<Data.DBXCommon.TDBXWritableValueArray>.Add 005c TDBXWritableValueArray 0061 @DynArrayClear 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 8B 30 FF 56 0C 8B 55 FC 8B 43 28 E8 ?? ?? ?? ?? 8B 43 28 8B 40 08 48 89 43 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8576_0 {
	meta:
		name = "TDBXMemoryTable.Next"
		size = 109
		refs = "000e TDBXMemoryTable.Next 0034 TList<Data.DBXCommon.TDBXWritableValueArray>.GetItem 0054 TDBXWritableValueArray 0059 @DynArrayClear 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 46 18 8B 7E 28 8B 47 08 3B 46 18 0F 9F C3 84 DB 74 17 8D 4D FC 8B 56 18 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8577_0 {
	meta:
		name = "TDBXMemoryTable.OrderByColumn"
		size = 96
		refs = "000f _DV_TDBXWritableValueArrayComparer 0014 TDBXWritableValueArrayComparer.Create 001f TDBXMemoryTable.OrderByColumn 0037 TList<Data.DBXCommon.TDBXWritableValueArray>.Sort 004f TObject.Free 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 85 D2 74 03 83 EA F0 8B 43 28 E8 ?? ?? ?? ?? 89 73 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8579_0 {
	meta:
		name = "TDBXMemoryTable.SetColumns"
		size = 25
		refs = "000d TDBXValueTypeArray 0012 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 24 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8580_0 {
	meta:
		name = "TDBXMemoryTable.SetDBXTableName"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TDSSession.SetSessionName THeaderInfo.SetName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 20 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8581_0 {
	meta:
		name = "TDBXWritableValueArrayComparer.Compare"
		size = 90
	strings:
		$1 = { 53 56 8B 70 0C 8B 1C B2 8B 34 B1 8B C3 8B 10 FF 52 58 84 C0 75 0B 8B C6 8B 10 FF 52 58 84 C0 74 27 8B C3 8B 10 FF 52 58 84 C0 74 14 8B C6 8B 10 FF 52 58 84 C0 74 04 33 C0 EB 1C 83 C8 FF EB 17 B8 01 00 00 00 5E 5B C3 8B D6 8B C3 8B 08 FF 91 F4 00 00 00 0F BF C0 5E 5B C3 }
	condition:
		$1
}

rule function_8582_0 {
	meta:
		name = "TDBXWritableValueArrayComparer.Create"
		size = 35
		refs = "0008 @ClassCreate 0014 @AfterConstruction"
		altNames = "TDSProxyMetaDataLoader.Create TDSRestProxyMetaDataLoader.Create TIdAuthenticationPeer.Create TIdBufferPeer.Create TIdHTTPSessionPeer.Create TIdHeaderListPeer.Create TIdIOHandlerPeer.Create TIdProxyConnectionInfoPeer.Create TIdSSLOptionsPeer.Create TIdSchedulerPeer.Create TIdServerIOHandlerPeer.Create TIdSocketHandlePeer.Create TIdSocketHandlesPeer.Create TIdURIPeer.Create TIdX509NamePeer.Create TIdX509SigInfoPeer.Create TLocalAppServer.Create TScopeExitNotifier.Create"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 0C 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_8583_0 {
	meta:
		name = "TDBXDataSetRowExt.SetDynamicBytes"
		size = 211
		refs = "0016 TDBXDataSetRowExt.SetDynamicBytes 0023 TDBXDataSetRow.EnsureEditState 0035 TArray<System.Byte> 003a @DynArraySetLength 004d @DynArrayAsg 007e Move 0093 TFields.GetField 00be @FinalizeArray 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F8 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 08 85 C0 7E 17 8B 4D F8 8B 7D 10 03 CF 51 8B 4D F4 8D 14 11 8B C8 58 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_8586_0 {
	meta:
		name = "TEnumerable<Data.DBXCommon.TDBXWritableValueArray>.ToArrayImpl"
		size = 208
		refs = "0018 TEnumerable<Data.DBXCommon.TDBXWritableValueArray>.ToArrayImpl 002d TArray<Data.DBXCommon.TDBXWritableValueArray> 0032 @DynArraySetLength 003e TEnumerable<Data.DBXCommon.TDBXWritableValueArray>.GetEnumerator 006c TDBXWritableValueArray 0071 @DynArrayAsg 007a TEnumerator<Data.DBXCommon.TDBXWritableValueArray>.MoveNext 00a1 @HandleFinally 00be @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8D 55 FC 8B 45 F4 8B 08 FF 11 8B 45 F8 8B 00 8D 04 98 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8588_0 {
	meta:
		name = "TEnumerable<Data.DBXCommon.TDBXWritableValueArray>.ToArray"
		size = 236
		refs = "0015 TEnumerable<Data.DBXCommon.TDBXWritableValueArray>.ToArray 0022 _DV_TList<Data.DBXCommon.TDBXWritableValueArray> 0027 TList<Data.DBXCommon.TDBXWritableValueArray>.Create 003f TEnumerable<Data.DBXCommon.TDBXWritableValueArray>.GetEnumerator 0067 TList<Data.DBXCommon.TDBXWritableValueArray>.Add 006f TEnumerator<Data.DBXCommon.TDBXWritableValueArray>.MoveNext 0096 @HandleFinally 00b8 TObject.Free 00d6 TDBXWritableValueArray 00db @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 FC 8B 45 F0 8B 08 FF 11 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F8 8B 45 F4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8593_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.GetItem"
		size = 64
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0033 TDBXWritableValueArray 0038 @DynArrayAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 8B 14 B2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8594_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.SetItem"
		size = 171
		refs = "0018 TList<Data.DBXCommon.TDBXWritableValueArray>.SetItem 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004d TDBXWritableValueArray 0052 @DynArrayAsg 0099 @DynArrayClear 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 08 33 C9 8B 55 F8 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8597_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.DoDelete"
		size = 215
		refs = "0018 TList<Data.DBXCommon.TDBXWritableValueArray>.DoDelete 002d SArgumentOutOfRange 0034 _Dn_EArgumentOutOfRangeException 0039 Exception.CreateRes 003e @RaiseExcept 004d TDBXWritableValueArray 0052 @DynArrayAsg 0063 @DynArrayClear 0087 Move 009c @FillChar 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 B2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 4B 08 8B 43 08 3B F0 74 2F 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 14 B0 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 8D 04 90 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D FB 8B 55 FC 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8604_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.Add"
		size = 66
		refs = "000f TList<Data.DBXCommon.TDBXWritableValueArray>.GrowCheck 0023 TDBXWritableValueArray 0028 @DynArrayAsg"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B 43 04 8D 04 B8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8608_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.Insert"
		size = 140
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<Data.DBXCommon.TDBXWritableValueArray>.GrowCheck 0051 Move 0063 @FillChar 0071 TDBXWritableValueArray 0076 @DynArrayAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8609_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.InsertRange"
		size = 227
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Data.DBXCommon.TDBXWritableValueArray>.GrowCheck 006b Move 0081 @FillChar 00a2 TDBXWritableValueArray 00a7 @DynArrayAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 37 8B D3 03 55 FC 8B 4E 04 8D 14 91 8B 4E 04 8B 7D FC 8D 0C B9 2B 45 FC 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8D 04 90 8B D3 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2A 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B 56 04 8D 04 82 8B 13 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 04 FF 4D F4 75 DF 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B C6 8B 38 FF 57 08 83 C3 04 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8610_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.InsertRange"
		size = 136
		refs = "0014 TList<Data.DBXCommon.TDBXWritableValueArray>.InsertRange 003d TList<Data.DBXCommon.TDBXWritableValueArray>.Insert 0052 @IntfClear 0070 TDBXWritableValueArray 0075 @DynArrayClear 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 8B 08 FF 51 10 EB 18 8D 55 FC 8B 45 F8 8B 08 FF 51 18 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 8B 10 FF 52 10 84 C0 75 DC 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8611_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.InsertRange"
		size = 170
		refs = "0015 TList<Data.DBXCommon.TDBXWritableValueArray>.InsertRange 0022 TEnumerable<Data.DBXCommon.TDBXWritableValueArray>.GetEnumerator 004b TList<Data.DBXCommon.TDBXWritableValueArray>.Insert 0054 TEnumerator<Data.DBXCommon.TDBXWritableValueArray>.MoveNext 007b @HandleFinally 0093 TDBXWritableValueArray 0098 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 FC 8B 45 F8 8B 08 FF 11 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8615_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.Extract"
		size = 69
		refs = "000a TList<Data.DBXCommon.TDBXWritableValueArray>.IndexOf 0018 TDBXWritableValueArray 001d @DynArrayClear 0032 @DynArrayAsg 003d TList<Data.DBXCommon.TDBXWritableValueArray>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0F 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1E 8B C7 8B 53 04 8B 14 B2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8616_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.Exchange"
		size = 132
		refs = "0012 TList<Data.DBXCommon.TDBXWritableValueArray>.Exchange 0027 TDBXWritableValueArray 002c @DynArrayAsg 0072 @DynArrayClear 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 8B 14 B2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8617_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.Move"
		size = 242
		refs = "0012 TList<Data.DBXCommon.TDBXWritableValueArray>.Move 002f SArgumentOutOfRange 0036 _Dn_EArgumentOutOfRangeException 003b Exception.CreateRes 0040 @RaiseExcept 004f TDBXWritableValueArray 0054 @DynArrayAsg 0065 @DynArrayClear 0083 Move 00b1 @FillChar 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 A5 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 04 8B 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F7 7E 1C 8B 43 04 8D 14 B8 8B 43 04 8D 44 B8 04 8B CE 2B CF 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1A 2B FE 8B CF 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8624_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.Reverse"
		size = 144
		refs = "000e TList<Data.DBXCommon.TDBXWritableValueArray>.Reverse 002d TDBXWritableValueArray 0032 @DynArrayAsg 007e @DynArrayClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 45 8D 45 FC 8B 53 04 8B 14 B2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B 53 04 8B 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8630_0 {
	meta:
		name = "TList<Data.DBXCommon.TDBXWritableValueArray>.ToArray"
		size = 150
		refs = "0017 TList<Data.DBXCommon.TDBXWritableValueArray>.ToArray 002f TArray<Data.DBXCommon.TDBXWritableValueArray> 0034 @DynArraySetLength 004e TList<Data.DBXCommon.TDBXWritableValueArray>.GetItem 005f TDBXWritableValueArray 0064 @DynArrayAsg 0083 @DynArrayClear 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 29 47 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 00 8D 04 98 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8643_0 {
	meta:
		name = "TArray.QuickSort<Data.DBXCommon.TDBXWritableValueArray>"
		size = 317
		refs = "001e TArray.QuickSort<Data.DBXCommon.TDBXWritableValueArray> 005e TDBXWritableValueArray 0063 @DynArrayAsg 0128 @FinalizeArray 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 40 85 C0 0F 84 D8 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E CA 00 00 00 8B 5D 0C 8B 75 08 8D 45 FC 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B 4D F0 8B 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 45 F0 8B 14 98 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F0 8B 14 B0 8B 4D FC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 45 3B F3 74 3F 8D 45 F8 8B 55 F0 8B 14 9A 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8D 04 98 8B 55 F0 8B 14 B2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8D 04 B0 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 7D 86 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_8645_0 {
	meta:
		name = "TDBXDelegateConnection.BeginTransaction"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 30 8B 08 FF 51 68 5E C3 }
	condition:
		$1
}

rule function_8647_0 {
	meta:
		name = "TDBXDelegateConnection.Close"
		size = 9
	strings:
		$1 = { 8B 40 30 8B 10 FF 52 64 C3 }
	condition:
		$1
}

rule function_8648_0 {
	meta:
		name = "TDBXDelegateConnection.Commit"
		size = 9
	strings:
		$1 = { 8B 40 30 8B 08 FF 51 04 C3 }
	condition:
		$1
}

rule function_8649_0 {
	meta:
		name = "TDBXDelegateConnection.CommitFreeAndNil"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 30 8B 08 FF 51 70 5E C3 }
	condition:
		$1
}

rule function_8650_0 {
	meta:
		name = "TDBXDelegateConnection.Create"
		size = 65
		refs = "000d @ClassCreate 001a TDBXConnection.Create 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8651_0 {
	meta:
		name = "TDBXDelegateConnection.CreateAndBeginTransaction"
		size = 8
	strings:
		$1 = { 8B 40 30 8B 08 FF 11 C3 }
	condition:
		$1
}

rule function_8652_0 {
	meta:
		name = "TDBXDelegateConnection.CreateMorphCommand"
		size = 32
		refs = "000b TDBXConnection.CreateMorphCommand"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0A 8B D6 8B 43 30 8B 08 FF 51 54 5E 5B C3 }
	condition:
		$1
}

rule function_8653_0 {
	meta:
		name = "TDBXDelegateConnection.CreateCommand"
		size = 9
	strings:
		$1 = { 8B 40 30 8B 10 FF 52 7C C3 }
	condition:
		$1
}

rule function_8654_0 {
	meta:
		name = "TDBXDelegateConnection.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TDBXConnection.Destroy 0022 TObject.Free 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8D 46 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8655_0 {
	meta:
		name = "TDBXDelegateConnection.Open"
		size = 25
	strings:
		$1 = { 53 8B D8 8B 43 30 8B 10 FF 52 38 84 C0 75 08 8B 43 30 8B 10 FF 52 3C 5B C3 }
	condition:
		$1
}

rule function_8656_0 {
	meta:
		name = "TDBXDelegateConnection.Rollback"
		size = 9
		altNames = "TIdCommandHandler.SetNormalReply TSeriesPointer.SetShadow"
	strings:
		$1 = { 8B 40 30 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_8657_0 {
	meta:
		name = "TDBXDelegateConnection.RollbackFreeAndNil"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 30 8B 08 FF 51 74 5E C3 }
	condition:
		$1
}

rule function_8658_0 {
	meta:
		name = "TDBXDelegateConnection.RollbackIncompleteFreeAndNil"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 30 8B 08 FF 51 78 5E C3 }
	condition:
		$1
}

rule function_8659_0 {
	meta:
		name = "TDBXDelegateConnection.GetDatabaseMetaData"
		size = 9
	strings:
		$1 = { 8B 40 30 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_8660_0 {
	meta:
		name = "TDBXDelegateConnection.GetDBXFormatter"
		size = 9
	strings:
		$1 = { 8B 40 30 8B 10 FF 52 30 C3 }
	condition:
		$1
}

rule function_8661_0 {
	meta:
		name = "TDBXDelegateConnection.GetConnectionProperties"
		size = 9
	strings:
		$1 = { 8B 40 30 8B 10 FF 52 10 C3 }
	condition:
		$1
}

rule function_8662_0 {
	meta:
		name = "TDBXDelegateConnection.GetConnectionProperty"
		size = 25
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 30 8B 18 FF 53 60 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8664_0 {
	meta:
		name = "TDBXDelegateConnection.GetIsOpen"
		size = 18
	strings:
		$1 = { 8B 50 30 85 D2 75 03 33 C0 C3 8B C2 8B 10 FF 52 38 C3 }
	condition:
		$1
}

rule function_8665_0 {
	meta:
		name = "TDBXDelegateConnection.GetProductName"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 30 8B 08 FF 51 5C 5E 5B C3 }
	condition:
		$1
}

rule function_8666_0 {
	meta:
		name = "TDBXDelegateConnection.GetProductVersion"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 30 8B 08 FF 51 58 5E 5B C3 }
	condition:
		$1
}

rule function_8667_0 {
	meta:
		name = "TDBXDelegateConnection.SetConnectionProperties"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 30 8B 08 FF 51 14 5E C3 }
	condition:
		$1
}

rule function_8668_0 {
	meta:
		name = "TDBXDelegateConnection.SetDBXFormatter"
		size = 9
	strings:
		$1 = { 8B 40 30 8B 08 FF 51 34 C3 }
	condition:
		$1
}

rule function_8669_0 {
	meta:
		name = "TDBXDelegateConnection.SetErrorEvent"
		size = 38
		refs = "001d TDBXConnection.SetErrorEvent"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B 43 30 8B 10 FF 52 2C FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8670_0 {
	meta:
		name = "TDBXDelegateConnection.GetTraceFlags"
		size = 9
	strings:
		$1 = { 8B 40 30 8B 10 FF 52 20 C3 }
	condition:
		$1
}

rule function_8671_0 {
	meta:
		name = "TDBXDelegateConnection.GetTraceInfoEvent"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 30 8B 08 FF 51 18 5E 5B C3 }
	condition:
		$1
}

rule function_8672_0 {
	meta:
		name = "TDBXDelegateConnection.GetVendorProperty"
		size = 28
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 30 8B 18 FF 93 80 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8674_0 {
	meta:
		name = "TDBXDelegateConnection.DerivedCreateCommand"
		size = 9
	strings:
		$1 = { 8B 40 30 8B 10 FF 52 40 C3 }
	condition:
		$1
}

rule function_8675_0 {
	meta:
		name = "TDBXDelegateConnection.DerivedGetCommands"
		size = 15
	strings:
		$1 = { 53 56 8B F0 8B 46 30 8B 18 FF 53 4C 5E 5B C3 }
	condition:
		$1
}

rule function_8676_0 {
	meta:
		name = "TDBXDelegateConnection.DerivedGetCommandTypes"
		size = 9
	strings:
		$1 = { 8B 40 30 8B 08 FF 51 48 C3 }
	condition:
		$1
}

rule function_8677_0 {
	meta:
		name = "TDBXDelegateConnection.DerivedOpen"
		size = 9
	strings:
		$1 = { 8B 40 30 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_8678_0 {
	meta:
		name = "TDBXDelegateConnection.SetTraceFlags"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 30 8B 08 FF 51 24 5E C3 }
	condition:
		$1
}

rule function_8679_0 {
	meta:
		name = "TDBXDelegateConnection.SetTraceInfoEvent"
		size = 28
	strings:
		$1 = { 55 8B EC 66 83 7D 0A 00 74 0E FF 75 0C FF 75 08 8B 40 30 8B 10 FF 52 1C 5D C2 08 00 }
	condition:
		$1
}

rule function_8680_0 {
	meta:
		name = "TDBXDelegateCommand.DerivedOpen"
		size = 9
	strings:
		$1 = { 8B 40 2C 8B 10 FF 52 40 C3 }
	condition:
		$1
}

rule function_8681_0 {
	meta:
		name = "TDBXDelegateCommand.DerivedClearParameters"
		size = 9
	strings:
		$1 = { 8B 40 2C 8B 10 FF 52 54 C3 }
	condition:
		$1
}

rule function_8682_0 {
	meta:
		name = "TDBXDelegateCommand.DerivedClose"
		size = 9
	strings:
		$1 = { 8B 40 2C 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_8683_0 {
	meta:
		name = "TDBXDelegateCommand.Create"
		size = 65
		refs = "000d @ClassCreate 001a TDBXCommand.Create 002b @AfterConstruction"
		altNames = "TDBXPoolCommand.Create"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 2C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8684_0 {
	meta:
		name = "TDBXDelegateCommand.CreateParameters"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 2C 8B 08 FF 51 30 5E C3 }
	condition:
		$1
}

rule function_8685_0 {
	meta:
		name = "TDBXDelegateCommand.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXCommand.Destroy 002d @ClassDestroy"
		altNames = "TDBXMetaDataCommand.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 2C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11739_0 {
	meta:
		name = "TDBXDataTypeCursor.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXRowTable.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 2C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8686_0 {
	meta:
		name = "TDBXDelegateCommand.ExecuteQuery"
		size = 9
	strings:
		$1 = { 8B 40 2C 8B 10 FF 52 64 C3 }
	condition:
		$1
}

rule function_8687_0 {
	meta:
		name = "TDBXDelegateCommand.ExecuteUpdate"
		size = 9
	strings:
		$1 = { 8B 40 2C 8B 10 FF 52 68 C3 }
	condition:
		$1
}

rule function_8688_0 {
	meta:
		name = "TDBXDelegateCommand.GetParameters"
		size = 9
	strings:
		$1 = { 8B 40 2C 8B 10 FF 52 34 C3 }
	condition:
		$1
}

rule function_8689_0 {
	meta:
		name = "TDBXDelegateCommand.CreateParameter"
		size = 9
	strings:
		$1 = { 8B 40 2C 8B 10 FF 52 70 C3 }
	condition:
		$1
}

rule function_8690_0 {
	meta:
		name = "TDBXDelegateCommand.CreateParameterRow"
		size = 9
	strings:
		$1 = { 8B 40 2C 8B 10 FF 52 2C C3 }
	condition:
		$1
}

rule function_8691_0 {
	meta:
		name = "TDBXDelegateCommand.GetRowsAffected"
		size = 28
	strings:
		$1 = { 83 C4 F8 8B 40 2C 8B 10 FF 52 1C 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_8692_0 {
	meta:
		name = "TDBXDelegateCommand.GetText"
		size = 19
		altNames = "TErrorObj.GetMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 2C 8B 08 FF 51 0C 5E 5B C3 }
	condition:
		$1
}

rule function_8693_0 {
	meta:
		name = "TDBXDelegateCommand.GetCommandTimeout"
		size = 9
	strings:
		$1 = { 8B 40 2C 8B 10 FF 52 24 C3 }
	condition:
		$1
}

rule function_8694_0 {
	meta:
		name = "TDBXDelegateCommand.GetCommandType"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 2C 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_8695_0 {
	meta:
		name = "TDBXDelegateCommand.GetErrorEvent"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 2C 8B 08 FF 51 28 5E 5B C3 }
	condition:
		$1
}

rule function_8696_0 {
	meta:
		name = "TDBXDelegateCommand.Open"
		size = 9
	strings:
		$1 = { 8B 40 2C 8B 10 FF 52 38 C3 }
	condition:
		$1
}

rule function_8697_0 {
	meta:
		name = "TDBXDelegateCommand.GetNextReader"
		size = 9
	strings:
		$1 = { 8B 40 2C 8B 10 FF 52 6C C3 }
	condition:
		$1
}

rule function_8698_0 {
	meta:
		name = "TDBXDelegateCommand.Prepare"
		size = 9
	strings:
		$1 = { 8B 40 2C 8B 10 FF 52 60 C3 }
	condition:
		$1
}

rule function_8699_0 {
	meta:
		name = "TDBXDelegateCommand.DerivedExecuteQuery"
		size = 9
	strings:
		$1 = { 8B 40 2C 8B 10 FF 52 4C C3 }
	condition:
		$1
}

rule function_8700_0 {
	meta:
		name = "TDBXDelegateCommand.DerivedExecuteUpdate"
		size = 9
	strings:
		$1 = { 8B 40 2C 8B 10 FF 52 50 C3 }
	condition:
		$1
}

rule function_8701_0 {
	meta:
		name = "TDBXDelegateCommand.DerivedGetNextReader"
		size = 9
	strings:
		$1 = { 8B 40 2C 8B 10 FF 52 3C C3 }
	condition:
		$1
}

rule function_8702_0 {
	meta:
		name = "TDBXDelegateCommand.DerivedPrepare"
		size = 9
	strings:
		$1 = { 8B 40 2C 8B 10 FF 52 48 C3 }
	condition:
		$1
}

rule function_8703_0 {
	meta:
		name = "TDBXDelegateCommand.SetMaxBlobSize"
		size = 21
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 2C 8B 10 FF 52 18 5D C2 08 00 }
	condition:
		$1
}

rule function_8704_0 {
	meta:
		name = "TDBXDelegateCommand.SetRowSetSize"
		size = 21
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 2C 8B 10 FF 52 14 5D C2 08 00 }
	condition:
		$1
}

rule function_8705_0 {
	meta:
		name = "TDBXDelegateCommand.SetCommandTimeout"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 2C 8B 08 FF 51 20 5E C3 }
	condition:
		$1
}

rule function_8706_0 {
	meta:
		name = "TDBXDelegateCommand.SetCommandType"
		size = 26
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 5C 8B D6 8B 43 2C 8B 08 FF 51 04 5E 5B C3 }
	condition:
		$1
}

rule function_8707_0 {
	meta:
		name = "TDBXDelegateCommand.SetText"
		size = 26
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 5C 8B D6 8B 43 2C 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_8709_0 {
	meta:
		name = "TDBXDelegateParameterList.AddParameter"
		size = 9
	strings:
		$1 = { 8B 40 14 8B 08 FF 51 10 C3 }
	condition:
		$1
}

rule function_8710_0 {
	meta:
		name = "TDBXDelegateParameterList.ClearParameters"
		size = 9
		altNames = "TSockWebRequest.UsingStub"
	strings:
		$1 = { 8B 40 14 8B 10 FF 52 24 C3 }
	condition:
		$1
}

rule function_8711_0 {
	meta:
		name = "TDBXDelegateParameterList.SetParameter"
		size = 15
	strings:
		$1 = { 53 56 8B F0 8B 46 14 8B 18 FF 53 14 5E 5B C3 }
	condition:
		$1
}

rule function_8712_0 {
	meta:
		name = "TDBXDelegateParameterList.Create"
		size = 69
		refs = "000d @ClassCreate 001e TDBXParameterList.Create 002f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 0C 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 14 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8714_0 {
	meta:
		name = "TDBXDelegateParameterList.GetCount"
		size = 9
	strings:
		$1 = { 8B 40 14 8B 10 FF 52 08 C3 }
	condition:
		$1
}

rule function_8715_0 {
	meta:
		name = "TDBXDelegateParameterList.GetOrdinal"
		size = 9
	strings:
		$1 = { 8B 40 14 8B 08 FF 51 2C C3 }
	condition:
		$1
}

rule function_8716_0 {
	meta:
		name = "TDBXDelegateParameterList.GetParameterByOrdinal"
		size = 9
	strings:
		$1 = { 8B 40 14 8B 08 FF 51 04 C3 }
	condition:
		$1
}

rule function_8717_0 {
	meta:
		name = "TDBXDelegateParameterList.InsertParameter"
		size = 15
	strings:
		$1 = { 53 56 8B F0 8B 46 14 8B 18 FF 53 18 5E 5B C3 }
	condition:
		$1
}

rule function_8718_0 {
	meta:
		name = "TDBXDelegateParameterList.RemoveParameter"
		size = 9
	strings:
		$1 = { 8B 40 14 8B 08 FF 51 20 C3 }
	condition:
		$1
}

rule function_8719_0 {
	meta:
		name = "TDBXDelegateParameterList.RemoveParameters"
		size = 9
	strings:
		$1 = { 8B 40 14 8B 10 FF 52 28 C3 }
	condition:
		$1
}

rule function_8720_0 {
	meta:
		name = "TDBXDelegateParameterList.RemoveParameter"
		size = 9
	strings:
		$1 = { 8B 40 14 8B 08 FF 51 1C C3 }
	condition:
		$1
}

rule function_8721_0 {
	meta:
		name = "TDBXDelegateReader.Create"
		size = 69
		refs = "000d @ClassCreate 001e TDBXReader.Create 002f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 24 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8722_0 {
	meta:
		name = "TDBXDelegateReader.DerivedClose"
		size = 9
	strings:
		$1 = { 8B 40 24 8B 10 FF 52 28 C3 }
	condition:
		$1
}

rule function_8723_0 {
	meta:
		name = "TDBXDelegateReader.DerivedNext"
		size = 9
		altNames = "TDBXDelegateReader.Next"
	strings:
		$1 = { 8B 40 24 8B 10 FF 52 3C C3 }
	condition:
		$1
}

rule function_8724_0 {
	meta:
		name = "TDBXDelegateReader.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXReader.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91580_0 {
	meta:
		name = "TCustomTeeGradient.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TPersistent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43443_0 {
	meta:
		name = "TIWBaseHTMLControlImplementation.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TIWBaseComponentImplementation.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33115_0 {
	meta:
		name = "TTextRecord.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TCollectionItem.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8725_0 {
	meta:
		name = "TDBXDelegateReader.GetByteReader"
		size = 9
	strings:
		$1 = { 8B 40 24 8B 10 FF 52 2C C3 }
	condition:
		$1
}

rule function_8726_0 {
	meta:
		name = "TDBXDelegateReader.GetColumnCount"
		size = 9
	strings:
		$1 = { 8B 40 24 8B 10 FF 52 1C C3 }
	condition:
		$1
}

rule function_8727_0 {
	meta:
		name = "TDBXDelegateReader.GetObjectTypeName"
		size = 25
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 24 8B 18 FF 53 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8728_0 {
	meta:
		name = "TDBXCustomMetaDataTable.GetOrdinal"
		size = 9
		altNames = "TDBXDelegateReader.GetOrdinal TDBXReaderTableStorage.GetOrdinal TDBXReservedWordsCursor.GetOrdinal"
	strings:
		$1 = { 8B 40 24 8B 08 FF 51 20 C3 }
	condition:
		$1
}

rule function_8729_0 {
	meta:
		name = "TDBXDelegateReader.GetReaderHandle"
		size = 9
	strings:
		$1 = { 8B 40 24 8B 10 FF 52 30 C3 }
	condition:
		$1
}

rule function_8730_0 {
	meta:
		name = "TDBXDelegateReader.GetRowHandle"
		size = 9
	strings:
		$1 = { 8B 40 24 8B 10 FF 52 38 C3 }
	condition:
		$1
}

rule function_8732_0 {
	meta:
		name = "TDBXDelegateReader.GetValueByName"
		size = 9
	strings:
		$1 = { 8B 40 24 8B 08 FF 51 14 C3 }
	condition:
		$1
}

rule function_8733_0 {
	meta:
		name = "TDBXDelegateReader.GetValueType"
		size = 9
	strings:
		$1 = { 8B 40 24 8B 08 FF 51 18 C3 }
	condition:
		$1
}

rule function_8734_0 {
	meta:
		name = "TDBXDelegateReader.IsUpdateable"
		size = 9
	strings:
		$1 = { 8B 40 24 8B 10 FF 52 34 C3 }
	condition:
		$1
}

rule function_8736_0 {
	meta:
		name = "TDBXDelegateReader.Reset"
		size = 9
	strings:
		$1 = { 8B 40 24 8B 10 FF 52 40 C3 }
	condition:
		$1
}

rule function_8737_0 {
	meta:
		name = "TDBXDelegateWritableValue.Create"
		size = 73
		refs = "000e @ClassCreate 001f TDBXWritableValue.Create 0032 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 18 89 73 1C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8738_0 {
	meta:
		name = "TDBXDelegateWritableValue.Destroy"
		size = 46
		refs = "0003 @BeforeDestruction 001c TDBXWritableValue.Destroy 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 18 33 C0 89 46 1C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8739_0 {
	meta:
		name = "TDBXDelegateWritableValue.EqualsValue"
		size = 12
	strings:
		$1 = { 8B 40 18 8B 08 FF 91 F0 00 00 00 C3 }
	condition:
		$1
}

rule function_8740_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetBcd"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 18 8B 08 FF 91 A4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_8741_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetBoolean"
		size = 12
	strings:
		$1 = { 8B 40 18 8B 08 FF 91 D4 00 00 00 C3 }
	condition:
		$1
}

rule function_8743_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetBytes"
		size = 57
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 8B F0 FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B 46 18 8B 08 FF 91 98 00 00 00 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 5E 59 59 5D C2 18 00 }
	condition:
		$1
}

rule function_8745_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetDBXConnection"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 46 18 8B 10 FF 92 B0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_8746_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetDBXReader"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 46 18 8B 08 FF 91 A8 00 00 00 5E C3 }
	condition:
		$1
}

rule function_8747_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetDouble"
		size = 24
	strings:
		$1 = { 83 C4 F8 8B 40 18 8B 10 FF 92 94 00 00 00 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_8750_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetInt64"
		size = 31
	strings:
		$1 = { 83 C4 F8 8B 40 18 8B 10 FF 92 8C 00 00 00 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_8751_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetAnsiString"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 18 8B 08 FF 51 60 5E 5B C3 }
	condition:
		$1
}

rule function_8752_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetAsBcd"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 18 8B 08 FF 51 34 5E 5B C3 }
	condition:
		$1
}

rule function_8753_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetAsBoolean"
		size = 9
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_8754_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetAsDate"
		size = 9
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 38 C3 }
	condition:
		$1
}

rule function_8755_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetAsDouble"
		size = 21
	strings:
		$1 = { 83 C4 F8 8B 40 18 8B 10 FF 52 30 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_8756_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetAsInt16"
		size = 9
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 1C C3 }
	condition:
		$1
}

rule function_8757_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetAsInt32"
		size = 9
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 20 C3 }
	condition:
		$1
}

rule function_8758_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetAsInt64"
		size = 28
	strings:
		$1 = { 83 C4 F8 8B 40 18 8B 10 FF 52 24 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_8759_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetAsInt8"
		size = 9
		altNames = "TDBXFilterSocketChannel.GetChannelInfo"
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_8760_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetAsSingle"
		size = 18
	strings:
		$1 = { 51 8B 40 18 8B 10 FF 52 2C D9 1C 24 9B D9 04 24 5A C3 }
	condition:
		$1
}

rule function_8761_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetAsString"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 18 8B 08 FF 51 28 5E 5B C3 }
	condition:
		$1
}

rule function_8763_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetAsTimeStamp"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 18 8B 08 FF 51 40 5E 5B C3 }
	condition:
		$1
}

rule function_8764_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetAsUInt16"
		size = 9
		altNames = "TDBXFilterSocketChannel.GetDBXProperties"
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 18 C3 }
	condition:
		$1
}

rule function_8765_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetAsUInt8"
		size = 9
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 10 C3 }
	condition:
		$1
}

rule function_8766_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetTime"
		size = 9
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 6C C3 }
	condition:
		$1
}

rule function_8767_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetTimeStamp"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 18 8B 08 FF 91 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_8768_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetTimeStampOffset"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 18 8B 08 FF 91 A0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_8770_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetUInt16"
		size = 12
	strings:
		$1 = { 8B 40 18 8B 08 FF 91 E0 00 00 00 C3 }
	condition:
		$1
}

rule function_8771_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetUInt8"
		size = 12
	strings:
		$1 = { 8B 40 18 8B 08 FF 91 D8 00 00 00 C3 }
	condition:
		$1
}

rule function_8773_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetValueSize"
		size = 28
	strings:
		$1 = { 83 C4 F8 8B 40 18 8B 10 FF 52 5C 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_8774_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetWideString"
		size = 85
		refs = "0011 @UStrAddRef 0019 TDBXDelegateWritableValue.GetWideString 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B 43 18 8B 18 FF 93 D0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8775_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetString"
		size = 19
		altNames = "TDBXDelegateWritableValue.GetWideString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 18 8B 08 FF 51 70 5E 5B C3 }
	condition:
		$1
}

rule function_8776_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetSingle"
		size = 21
	strings:
		$1 = { 51 8B 40 18 8B 10 FF 92 90 00 00 00 D9 1C 24 9B D9 04 24 5A C3 }
	condition:
		$1
}

rule function_8777_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetStream"
		size = 25
	strings:
		$1 = { 56 51 88 14 24 8B F0 0F B6 14 24 8B 46 18 8B 08 FF 91 B4 00 00 00 5A 5E C3 }
	condition:
		$1
}

rule function_8780_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetBcd"
		size = 12
	strings:
		$1 = { 8B 40 1C 8B 08 FF 91 64 01 00 00 C3 }
	condition:
		$1
}

rule function_8781_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetBoolean"
		size = 12
	strings:
		$1 = { 8B 40 1C 8B 08 FF 91 6C 01 00 00 C3 }
	condition:
		$1
}

rule function_8782_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetDate"
		size = 12
	strings:
		$1 = { 8B 40 1C 8B 08 FF 91 70 01 00 00 C3 }
	condition:
		$1
}

rule function_8783_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetDBXConnection"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 46 1C 8B 08 FF 91 B0 01 00 00 5E C3 }
	condition:
		$1
}

rule function_8784_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetDBXReader"
		size = 24
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B 46 1C 8B 18 FF 93 A8 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8785_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetDouble"
		size = 24
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 1C 8B 10 FF 92 9C 01 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_8786_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetDynamicBytes"
		size = 40
	strings:
		$1 = { 55 8B EC 56 8B F0 FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B 46 1C 8B 08 FF 91 A4 01 00 00 5E 5D C2 18 00 }
	condition:
		$1
}

rule function_8787_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetInt16"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 46 1C 8B 08 FF 91 8C 01 00 00 5E C3 }
	condition:
		$1
}

rule function_8788_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetInt32"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 46 1C 8B 08 FF 91 90 01 00 00 5E C3 }
	condition:
		$1
}

rule function_8789_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetInt64"
		size = 24
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 1C 8B 10 FF 92 94 01 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_8790_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetInt8"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 46 1C 8B 08 FF 91 84 01 00 00 5E C3 }
	condition:
		$1
}

rule function_8791_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetNull"
		size = 12
	strings:
		$1 = { 8B 40 1C 8B 10 FF 92 58 01 00 00 C3 }
	condition:
		$1
}

rule function_8792_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetPendingValue"
		size = 12
	strings:
		$1 = { 8B 40 1C 8B 10 FF 92 04 01 00 00 C3 }
	condition:
		$1
}

rule function_8793_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetSingle"
		size = 21
	strings:
		$1 = { 55 8B EC FF 75 08 8B 40 1C 8B 10 FF 92 98 01 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_8794_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetStaticBytes"
		size = 48
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B D7 8B 46 1C 8B 18 FF 93 A0 01 00 00 5F 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_8795_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetStream"
		size = 24
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B 46 1C 8B 18 FF 93 AC 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8796_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetString"
		size = 12
	strings:
		$1 = { 8B 40 1C 8B 08 FF 91 7C 01 00 00 C3 }
	condition:
		$1
}

rule function_8797_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetAnsiString"
		size = 12
	strings:
		$1 = { 8B 40 1C 8B 08 FF 91 68 01 00 00 C3 }
	condition:
		$1
}

rule function_8798_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetAsBcd"
		size = 12
	strings:
		$1 = { 8B 40 1C 8B 08 FF 91 30 01 00 00 C3 }
	condition:
		$1
}

rule function_8799_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetAsBoolean"
		size = 12
	strings:
		$1 = { 8B 40 1C 8B 08 FF 91 08 01 00 00 C3 }
	condition:
		$1
}

rule function_8800_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetAsDate"
		size = 12
	strings:
		$1 = { 8B 40 1C 8B 08 FF 91 34 01 00 00 C3 }
	condition:
		$1
}

rule function_8801_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetAsDouble"
		size = 24
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 1C 8B 10 FF 92 2C 01 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_8802_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetAsInt16"
		size = 12
	strings:
		$1 = { 8B 40 1C 8B 08 FF 91 18 01 00 00 C3 }
	condition:
		$1
}

rule function_8803_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetAsInt32"
		size = 12
		altNames = "TDBXIndexColumnValue.SetInt32"
	strings:
		$1 = { 8B 40 1C 8B 08 FF 91 1C 01 00 00 C3 }
	condition:
		$1
}

rule function_8804_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetAsInt64"
		size = 24
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 1C 8B 10 FF 92 20 01 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_8805_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetAsInt8"
		size = 12
	strings:
		$1 = { 8B 40 1C 8B 08 FF 91 10 01 00 00 C3 }
	condition:
		$1
}

rule function_8806_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetAsSingle"
		size = 21
	strings:
		$1 = { 55 8B EC FF 75 08 8B 40 1C 8B 10 FF 92 28 01 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_8807_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetAsString"
		size = 12
	strings:
		$1 = { 8B 40 1C 8B 08 FF 91 24 01 00 00 C3 }
	condition:
		$1
}

rule function_8808_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetAsTime"
		size = 12
	strings:
		$1 = { 8B 40 1C 8B 08 FF 91 38 01 00 00 C3 }
	condition:
		$1
}

rule function_8809_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetAsTimeStamp"
		size = 12
	strings:
		$1 = { 8B 40 1C 8B 08 FF 91 3C 01 00 00 C3 }
	condition:
		$1
}

rule function_8810_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetAsUInt16"
		size = 12
	strings:
		$1 = { 8B 40 1C 8B 08 FF 91 14 01 00 00 C3 }
	condition:
		$1
}

rule function_8811_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetAsUInt8"
		size = 12
	strings:
		$1 = { 8B 40 1C 8B 08 FF 91 0C 01 00 00 C3 }
	condition:
		$1
}

rule function_8812_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetTime"
		size = 12
	strings:
		$1 = { 8B 40 1C 8B 08 FF 91 74 01 00 00 C3 }
	condition:
		$1
}

rule function_8813_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetTimeStamp"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 46 1C 8B 08 FF 91 5C 01 00 00 5E C3 }
	condition:
		$1
}

rule function_8814_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetTimeStampOffset"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 46 1C 8B 08 FF 91 60 01 00 00 5E C3 }
	condition:
		$1
}

rule function_8815_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetUInt16"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 46 1C 8B 08 FF 91 88 01 00 00 5E C3 }
	condition:
		$1
}

rule function_8816_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetUInt8"
		size = 12
	strings:
		$1 = { 8B 40 1C 8B 08 FF 91 80 01 00 00 C3 }
	condition:
		$1
}

rule function_8817_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetValue"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 46 1C 8B 08 FF 91 C0 01 00 00 5E C3 }
	condition:
		$1
}

rule function_8818_0 {
	meta:
		name = "TDBXDelegateWritableValue.SetWideString"
		size = 12
	strings:
		$1 = { 8B 40 1C 8B 08 FF 91 78 01 00 00 C3 }
	condition:
		$1
}

rule function_8819_0 {
	meta:
		name = "TDBXDelegateParameter.Assign"
		size = 12
	strings:
		$1 = { 8B 40 58 8B 08 FF 91 84 00 00 00 C3 }
	condition:
		$1
}

rule function_8820_0 {
	meta:
		name = "TDBXDelegateParameter.Clone"
		size = 12
	strings:
		$1 = { 8B 40 58 8B 10 FF 92 88 00 00 00 C3 }
	condition:
		$1
}

rule function_8821_0 {
	meta:
		name = "TDBXDelegateParameter.Create"
		size = 80
		refs = "000e @ClassCreate 0022 TDBXParameter.Create 0039 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 89 73 58 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 56 04 8B C3 8B 08 FF 51 08 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_8822_0 {
	meta:
		name = "TDBXDelegateParameter.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXParameter.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29232_0 {
	meta:
		name = "TBatchRowCreator.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TThread.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95327_0 {
	meta:
		name = "TCustomElementBehaviorFactory.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TWebBrowserServiceProvider.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95355_0 {
	meta:
		name = "TCustomHostBehaviorInit.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TWebBrowserServiceProvider.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9059_0 {
	meta:
		name = "TDBXFirebirdTypeFilterCursor.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXCustomMetaDataTable.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9253_0 {
	meta:
		name = "TDBXInterbaseTypeFilterCursor.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXCustomMetaDataTable.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20946_0 {
	meta:
		name = "TDSProxyDispatcher.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TCustomWebFileDispatcher.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38532_0 {
	meta:
		name = "TIdUserManager.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TComponent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29027_0 {
	meta:
		name = "TMessageCreator.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TThread.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29224_0 {
	meta:
		name = "TRowCreator.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TThread.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29228_0 {
	meta:
		name = "TRowDeletor.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TThread.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29215_0 {
	meta:
		name = "TRowPopulator.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TThread.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46993_0 {
	meta:
		name = "TWebDisplayReferenceGroup.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TWebControlGroup.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8823_0 {
	meta:
		name = "TDBXDelegateParameter.GetChildPosition"
		size = 9
	strings:
		$1 = { 8B 40 58 8B 10 FF 52 60 C3 }
	condition:
		$1
}

rule function_8824_0 {
	meta:
		name = "TDBXDelegateParameter.GetDataType"
		size = 9
	strings:
		$1 = { 8B 40 58 8B 10 FF 52 50 C3 }
	condition:
		$1
}

rule function_8825_0 {
	meta:
		name = "TDBXDelegateParameter.GetDisplayName"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 58 8B 08 FF 51 48 5E 5B C3 }
	condition:
		$1
}

rule function_8826_0 {
	meta:
		name = "TDBXDelegateParameter.GetFlags"
		size = 9
	strings:
		$1 = { 8B 40 58 8B 10 FF 52 64 C3 }
	condition:
		$1
}

rule function_8827_0 {
	meta:
		name = "TDBXDelegateParameter.GetHidden"
		size = 9
	strings:
		$1 = { 8B 40 58 8B 10 FF 52 6C C3 }
	condition:
		$1
}

rule function_8828_0 {
	meta:
		name = "TDBXDelegateParameter.GetLiteral"
		size = 9
	strings:
		$1 = { 8B 40 58 8B 10 FF 52 74 C3 }
	condition:
		$1
}

rule function_8829_0 {
	meta:
		name = "TDBXDelegateParameter.GetName"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 58 8B 08 FF 51 44 5E 5B C3 }
	condition:
		$1
}

rule function_8830_0 {
	meta:
		name = "TDBXDelegateParameter.GetOrdinal"
		size = 9
	strings:
		$1 = { 8B 40 58 8B 10 FF 52 4C C3 }
	condition:
		$1
}

rule function_8831_0 {
	meta:
		name = "TDBXDelegateParameter.GetParameterDirection"
		size = 9
	strings:
		$1 = { 8B 40 58 8B 10 FF 52 40 C3 }
	condition:
		$1
}

rule function_8832_0 {
	meta:
		name = "TDBXDelegateParameter.GetPrecision"
		size = 28
	strings:
		$1 = { 83 C4 F8 8B 40 58 8B 10 FF 52 58 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_8833_0 {
	meta:
		name = "TDBXDelegateParameter.GetScale"
		size = 9
	strings:
		$1 = { 8B 40 58 8B 10 FF 52 5C C3 }
	condition:
		$1
}

rule function_8834_0 {
	meta:
		name = "TDBXDelegateParameter.GetSize"
		size = 28
	strings:
		$1 = { 83 C4 F8 8B 40 58 8B 10 FF 52 68 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_8835_0 {
	meta:
		name = "TDBXDelegateParameter.GetSubType"
		size = 9
	strings:
		$1 = { 8B 40 58 8B 10 FF 52 54 C3 }
	condition:
		$1
}

rule function_8836_0 {
	meta:
		name = "TDBXDelegateParameter.GetValue"
		size = 9
	strings:
		$1 = { 8B 40 58 8B 10 FF 52 7C C3 }
	condition:
		$1
}

rule function_8837_0 {
	meta:
		name = "TDBXDelegateParameter.GetValueParameter"
		size = 9
	strings:
		$1 = { 8B 40 58 8B 10 FF 52 70 C3 }
	condition:
		$1
}

rule function_8838_0 {
	meta:
		name = "TDBXDelegateParameter.SetChildPosition"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 58 8B 08 FF 51 24 5E C3 }
	condition:
		$1
}

rule function_8839_0 {
	meta:
		name = "TDBXDelegateParameter.SetDataType"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 58 8B 08 FF 51 14 5E C3 }
	condition:
		$1
}

rule function_8840_0 {
	meta:
		name = "TDBXDelegateParameter.SetDbxRow"
		size = 8
	strings:
		$1 = { 8B 40 58 8B 08 FF 11 C3 }
	condition:
		$1
}

rule function_8841_0 {
	meta:
		name = "TDBXDelegateParameter.SetDisplayName"
		size = 9
	strings:
		$1 = { 8B 40 58 8B 08 FF 51 0C C3 }
	condition:
		$1
}

rule function_8842_0 {
	meta:
		name = "TDBXDelegateParameter.SetFlags"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 58 8B 08 FF 51 28 5E C3 }
	condition:
		$1
}

rule function_8843_0 {
	meta:
		name = "TDBXDelegateParameter.SetHidden"
		size = 9
	strings:
		$1 = { 8B 40 58 8B 08 FF 51 34 C3 }
	condition:
		$1
}

rule function_8844_0 {
	meta:
		name = "TDBXDelegateParameter.SetLiteral"
		size = 9
	strings:
		$1 = { 8B 40 58 8B 08 FF 51 3C C3 }
	condition:
		$1
}

rule function_8845_0 {
	meta:
		name = "TDBXDelegateParameter.SetName"
		size = 28
		refs = "000b TDBXValueType.SetName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 58 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_8846_0 {
	meta:
		name = "TDBXDelegateParameter.SetNullable"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 58 8B 08 FF 51 2C 5E C3 }
	condition:
		$1
}

rule function_8847_0 {
	meta:
		name = "TDBXDelegateParameter.SetOrdinal"
		size = 9
	strings:
		$1 = { 8B 40 58 8B 08 FF 51 10 C3 }
	condition:
		$1
}

rule function_8848_0 {
	meta:
		name = "TDBXDelegateParameter.SetParameter"
		size = 12
	strings:
		$1 = { 8B 40 58 8B 10 FF 92 80 00 00 00 C3 }
	condition:
		$1
}

rule function_8849_0 {
	meta:
		name = "TDBXDelegateParameter.SetParameterDirection"
		size = 9
		altNames = "TXMLButton.SetXMLBroker TXMLDisplayGroup.SetXMLBroker"
	strings:
		$1 = { 8B 40 58 8B 08 FF 51 04 C3 }
	condition:
		$1
}

rule function_8850_0 {
	meta:
		name = "TDBXDelegateParameter.SetPrecision"
		size = 21
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 58 8B 10 FF 52 1C 5D C2 08 00 }
	condition:
		$1
}

rule function_8851_0 {
	meta:
		name = "TDBXDelegateParameter.SetScale"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 58 8B 08 FF 51 20 5E C3 }
	condition:
		$1
}

rule function_8852_0 {
	meta:
		name = "TDBXDelegateParameter.SetSize"
		size = 21
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 58 8B 10 FF 52 30 5D C2 08 00 }
	condition:
		$1
}

rule function_8853_0 {
	meta:
		name = "TDBXDelegateParameter.SetSubType"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 58 8B 08 FF 51 18 5E C3 }
	condition:
		$1
}

rule function_8854_0 {
	meta:
		name = "TDBXDelegateParameter.SetValueParameter"
		size = 9
	strings:
		$1 = { 8B 40 58 8B 08 FF 51 38 C3 }
	condition:
		$1
}

rule function_8855_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetInt16"
		size = 12
	strings:
		$1 = { 8B 40 18 8B 08 FF 91 E4 00 00 00 C3 }
	condition:
		$1
}

rule function_8856_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetInt32"
		size = 12
	strings:
		$1 = { 8B 40 18 8B 08 FF 91 E8 00 00 00 C3 }
	condition:
		$1
}

rule function_8857_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetInt64"
		size = 41
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8B 40 18 8B 10 FF 92 EC 00 00 00 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_8858_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetInt8"
		size = 12
	strings:
		$1 = { 8B 40 18 8B 08 FF 91 DC 00 00 00 C3 }
	condition:
		$1
}

rule function_8860_0 {
	meta:
		name = "TDBXDelegateWritableValue.GetNonDelegate"
		size = 9
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 08 C3 }
	condition:
		$1
}

rule function_8867_0 {
	meta:
		name = "TDBXDynalinkDriver.CheckResult"
		size = 25
		refs = "0014 TDBXMethodTable.RaiseError"
	strings:
		$1 = { 85 D2 74 14 8B 48 28 51 6A 00 8B CA 8B 50 2C 8B 40 18 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8869_0 {
	meta:
		name = "TDBXDynalinkDriver.Create"
		size = 172
		refs = "000d @ClassCreate 001a TDBXDriver.Create 002c TDBXDynalinkDriver.CreateDynalinkCommand 0035 TDBXDriver.AddCommandFactory 004a TDBXDynalinkDriver.Create 004f TDBXProperties.GetBoolean 005a TDBXDriver.CacheUntilFinalization 0065 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 2C 8B 45 0C 89 46 28 56 68 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 12 85 C0 74 14 8B C6 8B 10 FF 12 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 41 00 75 00 74 00 6F 00 55 00 6E 00 6C 00 6F 00 61 00 64 00 44 00 72 00 69 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_8870_0 {
	meta:
		name = "TDBXDynalinkDriver.Create"
		size = 248
		refs = "0011 @ClassCreate 0026 TDBXDriverDef 002b @AddRefRecord 0033 TDBXDynalinkDriver.Create 0045 TDBXDriver.Create 0051 TDBXDynalinkDriver.CreateDynalinkCommand 005a TDBXDriver.AddCommandFactory 0074 TDBXProperties.GetBoolean 007f TDBXDriver.CacheUntilFinalization 009a @FinalizeRecord 00a0 @HandleFinally 00ad @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F4 A5 A5 A5 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 30 56 68 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 12 85 C0 74 14 8B C6 8B 10 FF 12 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 41 00 75 00 74 00 6F 00 55 00 6E 00 6C 00 6F 00 61 00 64 00 44 00 72 00 69 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_8871_0 {
	meta:
		name = "TDBXDynalinkDriver.Create"
		size = 256
		refs = "0011 @ClassCreate 0026 TDBXDriverDef 002b @AddRefRecord 0033 TDBXDynalinkDriver.Create 0045 TDBXDriver.Create 0051 TDBXDynalinkDriver.CreateDynalinkCommand 005a TDBXDriver.AddCommandFactory 007e TDBXProperties.GetBoolean 0089 TDBXDriver.CacheUntilFinalization 00a4 @FinalizeRecord 00aa @HandleFinally 00b7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F4 A5 A5 A5 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 89 46 30 56 68 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 55 08 8B C6 8B 08 FF 51 04 8B C6 8B 10 FF 12 85 C0 74 14 8B C6 8B 10 FF 12 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 10 00 00 00 41 00 75 00 74 00 6F 00 55 00 6E 00 6C 00 6F 00 61 00 64 00 44 00 72 00 69 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_8872_0 {
	meta:
		name = "TDBXDynalinkDriver.CreateDynalinkCommand"
		size = 29
		refs = "000c _DV_TDBXDynalinkCommand 0015 TDBXDynalinkCommand.Create"
	strings:
		$1 = { 55 8B EC 8B 49 34 51 8B 40 2C 50 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_8873_0 {
	meta:
		name = "TDBXDynalinkDriver.Destroy"
		size = 71
		refs = "0003 @BeforeDestruction 002a TObject.Free 0035 TDBXDriver.Destroy 0040 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 2C 85 C0 74 07 8B 56 28 52 FF 50 10 33 C0 89 46 28 8D 46 2C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8874_0 {
	meta:
		name = "TDBXDynalinkDriver.GetDriverVersion"
		size = 213
		refs = "0015 TDBXDynalinkDriver.GetDriverVersion 0029 TDBXDynalinkDriver.LoadDriver 0035 @GetMem 006c TDBXDynalinkDriver.CheckResult 0077 @UStrFromPWChar 0085 @UStrAsg 009a TDBXPlatform.FreeAndNilWideStringBuilder 00a0 @HandleFinally 00c5 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 50 18 8B 45 F8 E8 ?? ?? ?? ?? B8 01 01 00 00 03 C0 E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 80 00 00 00 8B 45 F0 50 8B 45 F8 8B 40 28 50 8B 45 F8 8B 40 2C FF 90 A8 00 00 00 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 24 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B 55 F8 8B 52 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_8875_0 {
	meta:
		name = "TDBXDynalinkDriver.LoadDriver"
		size = 145
		refs = "001e TDBXDynalinkDriver.LoadDriver 0036 TDBXDynalinkDriverCommonLoader.LoadDriverLibraryAndMethodTable 0058 TDBXDynalinkDriverCommonLoader.FreeOldLibrary 0078 TObject.Free 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 83 7B 2C 00 75 7C 8B 43 30 B2 01 FF 10 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B C3 8B 10 FF 12 8B C8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 89 43 2C 8B 45 FC 33 D2 89 50 10 8B 45 FC 8B 40 14 89 43 28 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 C0 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8877_0 {
	meta:
		name = "TDBXMethodTable.RaiseError"
		size = 20
		refs = "000b TDBXMethodTable.RaiseError"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 6A 00 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_80374_0 {
	meta:
		name = "GetDIB"
		size = 20
		refs = "000b InternalGetDIB"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 6A 00 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8878_0 {
	meta:
		name = "TDBXMethodTable.RaiseError"
		size = 334
		refs = "0025 @UStrAddRef 002d TDBXMethodTable.RaiseError 003b @UStrClr 005c @GetMem 0088 @UStrFromPWChar 0093 @UStrLAsg 00a8 TDBXPlatform.FreeAndNilWideStringBuilder 00ae @HandleFinally 00c2 SAdditionalInfo 00c7 LoadResString 00ed Format 00fb TDBXContext.Error 0125 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 DB 89 5D E4 89 5D E0 89 5D FC 89 5D F8 89 4D F0 89 55 F4 8B D8 8B 75 0C 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 F0 50 56 FF 53 08 85 C0 75 65 83 7D E8 00 7E 5F 8B 45 E8 40 03 C0 E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 50 8B 45 F0 50 56 FF 53 0C 85 C0 75 16 8D 45 F8 8B 55 EC E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D 08 00 74 47 8D 45 E4 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 08 89 45 D0 C6 45 D4 11 8B 45 FC 89 45 D8 C6 45 DC 11 8D 55 D0 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 4D E4 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? EB 0E 8B 4D FC 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8879_0 {
	meta:
		name = "TDBXDynalinkDriverCommonLoader.Create"
		size = 148
		refs = "000a @ClassCreate 0017 TClassRegistryObject.Create 002e TDBXDynalinkDriverCommonLoader.Create 0033 @UStrAsg 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 08 33 C0 89 46 10 33 C0 89 46 14 8D 46 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_8880_0 {
	meta:
		name = "TDBXDynalinkDriverCommonLoader.LoadDriverLibraryAndMethodTable"
		size = 392
		refs = "001d TDBXDynalinkDriverCommonLoader.LoadDriverLibraryAndMethodTable 0032 TDBXProperties.GetValue 0078 @HandleOnException 0080 _Dn_TDBXError 0094 @RaiseAgain 0099 @DoneExcept 00b0 TDBXProperties.GetLists 00bc @GetMem 00f5 @UStrFromPWChar 0102 TDBXContext.Error 0117 TDBXPlatform.FreeAndNilWideStringBuilder 011d @HandleFinally 0134 @UStrClr 0145 TWideStringArray 014f @FinalizeArray"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7D E8 00 0F 84 E3 00 00 00 8B 4D F0 8B D6 8B C3 8B 38 FF 57 08 8B C3 8B 10 FF 52 0C 8B F8 89 7B 10 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C7 8B 10 FF 52 04 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 5D F0 8B D0 8B 43 0C FF 53 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 08 8B 10 FF 52 14 8B F8 8D 4D F8 8D 55 FC 8B C6 E8 ?? ?? ?? ?? B8 00 01 00 00 03 C0 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 14 50 8B 45 EC 50 8B 45 F8 50 8B 45 FC 50 57 8B 43 10 FF 50 04 8B D8 85 DB 74 18 8D 45 F4 8B 55 EC E8 ?? ?? ?? ?? 8B 4D F4 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_8881_0 {
	meta:
		name = "TDBXDynalinkDriverCommonLoader.FreeOldLibrary"
		size = 23
		refs = "000c FreeLibrary"
	strings:
		$1 = { 53 8B D8 8B 43 0C 85 C0 74 0B 50 E8 ?? ?? ?? ?? 33 C0 89 43 0C 5B C3 }
	condition:
		$1
}

rule function_8882_0 {
	meta:
		name = "TDBXDynalinkDriverCommonLoader.Load"
		size = 264
		refs = "001d TDBXDriverDef 0022 @AddRefRecord 002a TDBXDynalinkDriverCommonLoader.Load 0045 TDBXProperties.GetValue 0067 TDBXDynalinkDriverCommonLoader.LoadDriverLibraryAndMethodTable 007a TDBXDynalinkDriverCommonLoader.FreeOldLibrary 00a2 TObject.Free 00a8 @HandleFinally 00bf @UStrClr 00cd @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E8 56 57 33 C9 89 4D E8 8B F2 8D 7D F4 A5 A5 A5 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 8D 4D E8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 7D E8 00 74 5F 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 4D F8 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 10 89 45 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 50 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 83 C0 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B 45 EC 5F 5E 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_8883_0 {
	meta:
		name = "TDBXDynalinkDriverCommonLoader.LoadDriverLibrary"
		size = 640
		refs = "002a TDBXDynalinkDriverCommonLoader.LoadDriverLibrary 003f TDBXProperties.GetValue 0047 @UStrToPWChar 004d LoadLibrary 005b GetLastError 0069 SDllLoadError 006e LoadResString 0091 Format 00a1 TDBXContext.Error 00af GetProcAddress 0136 FreeLibrary 0142 SDllProcLoadError 018c @UStrArrayClr 01a1 @UStrClr 01a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 33 DB 89 5D D4 89 5D D0 89 5D DC 89 5D D8 89 5D F4 89 5D F0 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 89 73 08 85 F6 75 4B E8 ?? ?? ?? ?? 8B F0 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 89 45 E0 C6 45 E4 11 89 75 E8 C6 45 EC 00 8D 55 E0 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 4D F4 BA 16 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 43 08 50 E8 ?? ?? ?? ?? 85 C0 0F 85 BB 00 00 00 8B 43 08 89 43 0C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 08 85 F6 75 4B 8D 45 DC 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 50 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 E8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 00 8D 55 E0 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 4D DC BA 16 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 43 08 50 E8 ?? ?? ?? ?? 85 C0 75 45 8B 43 08 50 E8 ?? ?? ?? ?? 8D 45 D4 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 8D 55 C8 33 C9 58 E8 ?? ?? ?? ?? 8B 4D D4 BA 16 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 00 00 44 00 42 00 58 00 4C 00 6F 00 61 00 64 00 65 00 72 00 5F 00 47 00 65 00 74 00 44 00 72 00 69 00 76 00 65 00 72 00 00 00 64 00 62 00 78 00 61 00 64 00 61 00 70 00 74 00 65 00 72 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 64 00 62 00 78 00 61 00 64 00 61 00 70 00 74 00 65 00 72 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 42 00 58 00 4C 00 6F 00 61 00 64 00 65 00 72 00 5F 00 47 00 65 00 74 00 44 00 72 00 69 00 76 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_8884_0 {
	meta:
		name = "TDBXDynalinkConnection.CreateAndBeginTransaction"
		size = 59
		refs = "001f TDBXDynalinkConnection.CheckResult 002e _DV_TDBXDynalinkTransaction 0033 TDBXDynalinkTransaction.Create"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 56 8D 44 24 04 50 8B 43 34 50 8B 43 38 FF 90 C0 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 56 8B 44 24 04 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8885_0 {
	meta:
		name = "TDBXDynalinkConnection.CheckResult"
		size = 25
		refs = "0014 TDBXMethodTable.RaiseError"
	strings:
		$1 = { 85 D2 74 14 8B 48 34 51 6A 00 8B CA 8B 50 38 8B 40 28 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8886_0 {
	meta:
		name = "TDBXDynalinkConnection.Close"
		size = 36
		refs = "0006 TDBXConnection.Close 0019 TDBXDynalinkConnection.CheckResult"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 34 50 8B 43 38 FF 50 10 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 34 5B C3 }
	condition:
		$1
}

rule function_8887_0 {
	meta:
		name = "TDBXDynalinkConnection.Commit"
		size = 35
		refs = "001c TDBXDynalinkConnection.CheckResult"
	strings:
		$1 = { 53 56 8B D8 8B F2 8B 46 10 50 8B 43 34 50 8B 43 38 FF 90 C4 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8888_0 {
	meta:
		name = "TDBXDynalinkConnection.Rollback"
		size = 35
		refs = "001c TDBXDynalinkConnection.CheckResult"
	strings:
		$1 = { 53 56 8B D8 8B F2 8B 46 10 50 8B 43 34 50 8B 43 38 FF 90 C8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8889_0 {
	meta:
		name = "NativeDBXCallback"
		size = 26
		refs = "0012 TDBXDynalinkConnection.DBXCallback"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 45 0C 50 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_8890_0 {
	meta:
		name = "TDBXDynalinkConnection.SetTraceInfoEvent"
		size = 97
		refs = "0011 TDBXConnection.SetTraceInfoEvent 0032 TDBXDynalinkConnection.CheckResult 0039 NativeDBXCallback"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 66 83 7D 0A 00 75 1C 6A 00 6A 00 8B 43 34 50 8B 43 38 FF 90 B4 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? EB 22 BF ?? ?? ?? ?? 89 7B 30 8B F3 57 56 8B 43 34 50 8B 43 38 FF 90 B4 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8891_0 {
	meta:
		name = "TDBXDynalinkConnection.DBXCallback"
		size = 87
		refs = "000d TDBXDynalinkConnection.DBXCallback 001e @UStrFromPWChar 002c TDBXContext.Trace 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 14 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 10 8B 43 28 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_8892_0 {
	meta:
		name = "TDBXDynalinkConnection.Create"
		size = 71
		refs = "000d @ClassCreate 001a TDBXConnection.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 89 46 34 8B 45 08 89 46 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8896_0 {
	meta:
		name = "TDBXDynalinkConnection.DerivedOpen"
		size = 177
		refs = "0011 TDBXDynalinkConnection.DerivedOpen 0032 TDBXProperties.GetLists 0051 TDBXDynalinkConnection.CheckResult 0095 TWideStringArray 009f @FinalizeArray 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 2C 8B 40 08 8B 10 FF 52 14 8B F0 8D 4D F8 8D 55 FC 8B 43 2C E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 50 56 8B 43 34 50 8B 43 38 FF 90 AC 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 43 34 50 8B 43 38 FF 90 CC 00 00 00 83 F8 05 75 09 C7 45 F4 02 00 00 00 EB 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 43 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8897_0 {
	meta:
		name = "TDBXDynalinkConnection.GetVendorProperty"
		size = 228
		refs = "0019 TDBXDynalinkConnection.GetVendorProperty 003b @GetMem 005c @UStrToPWChar 0079 @UStrFromPWChar 0084 @UStrAsg 008e @UStrClr 009d @HandleAnyException 00aa @DoneExcept 00b2 TDBXPlatform.FreeAndNilWideStringBuilder 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 38 83 B8 D0 00 00 00 00 0F 84 85 00 00 00 B8 81 00 00 00 03 C0 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 80 00 00 00 8B 45 F4 50 8B C6 E8 ?? ?? ?? ?? 50 8B 43 34 50 8B 43 38 FF 90 D0 00 00 00 85 C0 75 18 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8898_0 {
	meta:
		name = "TDBXDynalinkCommand.CreateParameterRow"
		size = 67
		refs = "0024 TDBXDynalinkCommand.CheckResult 0037 _DV_TDBXDynalinkRow 003c TDBXDynalinkRow.Create"
	strings:
		$1 = { 53 51 8B D8 83 7B 30 00 75 07 8B C3 8B 10 FF 52 38 54 8B 43 30 50 8B 43 34 FF 90 D4 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 34 50 8B 44 24 04 50 8B 4B 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_8899_0 {
	meta:
		name = "TDBXDynalinkCommand.CheckResult"
		size = 25
		refs = "0014 TDBXMethodTable.RaiseError"
	strings:
		$1 = { 85 D2 74 14 8B 48 30 51 6A 00 8B CA 8B 50 34 8B 40 28 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8900_0 {
	meta:
		name = "TDBXDynalinkCommand.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 0019 TDBXCommand.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 5C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8901_0 {
	meta:
		name = "TDBXDynalinkCommand.DerivedClose"
		size = 35
		refs = "0017 TDBXDynalinkCommand.CheckResult"
	strings:
		$1 = { 53 56 8B D8 8B 73 30 85 F6 74 15 56 8B 43 34 FF 50 10 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 30 5E 5B C3 }
	condition:
		$1
}

rule function_8902_0 {
	meta:
		name = "TDBXDynalinkCommand.Create"
		size = 71
		refs = "000d @ClassCreate 001a TDBXCommand.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 89 46 2C 8B 45 08 89 46 34 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8903_0 {
	meta:
		name = "TDBXDynalinkCommand.DerivedExecuteQuery"
		size = 240
		refs = "0013 TDBXDynalinkCommand.DerivedExecuteQuery 0059 @UStrToPWChar 0070 TDBXDynalinkCommand.CheckResult 00a8 _DV_TDBXDynalinkByteReader 00ad TDBXDynalinkByteReader.Create 00c0 _DV_TDBXDynalinkReader 00c5 TDBXDynalinkReader.Create 00dc @UStrClr 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 83 7B 30 00 75 07 8B C3 8B 10 FF 52 38 8B 73 24 85 F6 74 0B 8B C6 8B 10 FF 52 08 85 C0 75 35 80 7B 11 00 75 2F 8D 45 FC 50 8D 55 F8 8B C3 8B 08 FF 51 0C 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 43 30 50 8B 43 34 FF 90 E0 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? EB 1A 8D 45 FC 50 8B 43 30 50 8B 43 34 FF 90 DC 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 04 33 DB EB 31 8B 45 FC 50 8B 43 34 50 8B 4B 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 52 8B 53 34 52 50 8B 4B 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8904_0 {
	meta:
		name = "TDBXDynalinkCommand.DerivedExecuteUpdate"
		size = 161
		refs = "0013 TDBXDynalinkCommand.DerivedExecuteUpdate 0047 @UStrToPWChar 005e TDBXDynalinkCommand.CheckResult 008f @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 24 85 F6 74 0B 8B C6 8B 10 FF 52 08 85 C0 75 35 80 7B 11 00 75 2F 8D 45 FC 50 8D 55 F8 8B C3 8B 08 FF 51 0C 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 43 30 50 8B 43 34 FF 90 E0 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? EB 1A 8D 45 FC 50 8B 43 30 50 8B 43 34 FF 90 DC 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_8905_0 {
	meta:
		name = "TDBXDynalinkCommand.DerivedGetNextReader"
		size = 100
		refs = "0029 TDBXDynalinkCommand.CheckResult 003b _DV_TDBXDynalinkByteReader 0040 TDBXDynalinkByteReader.Create 0053 _DV_TDBXDynalinkReader 0058 TDBXDynalinkReader.Create"
	strings:
		$1 = { 53 56 51 8B D8 33 F6 54 8B 43 30 50 8B 43 34 FF 90 E4 00 00 00 83 F8 0A 74 44 83 F8 05 74 3F 83 F8 64 74 3A 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 50 8B 43 34 50 8B 4B 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 14 24 52 8B 53 34 52 50 8B 4B 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8906_0 {
	meta:
		name = "TDBXDynalinkCommand.GetRowsAffected"
		size = 40
		refs = "0019 TDBXDynalinkCommand.CheckResult"
	strings:
		$1 = { 53 83 C4 F8 8B D8 54 8B 43 30 50 8B 43 34 FF 90 E8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_8907_0 {
	meta:
		name = "TDBXDynalinkCommand.DerivedOpen"
		size = 100
		refs = "000c TDBXDynalinkCommand.DerivedOpen 0028 @UStrToPWChar 003f TDBXDynalinkCommand.CheckResult 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 30 50 8D 55 FC 8B C3 8B 08 FF 51 08 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 2C 50 8B 43 34 FF 90 B8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_8908_0 {
	meta:
		name = "TDBXDynalinkCommand.DerivedPrepare"
		size = 508
		refs = "0014 TDBXDynalinkCommand.DerivedPrepare 0039 @UStrToPWChar 0050 TDBXDynalinkCommand.CheckResult 005c @GetMem 0186 _Dn_TDBXDriverHelp 018b TDBXDriverHelp.UpdateParameterType 019f TDBXPlatform.FreeAndNilWideStringBuilder 01b4 @UStrClr 01ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 D2 89 55 C8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 34 8B 10 FF 52 08 50 8D 55 C8 8B C3 8B 08 FF 51 0C 8B 45 C8 E8 ?? ?? ?? ?? 50 8B 43 30 50 8B 43 34 FF 90 D8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? B8 81 00 00 00 03 C0 E8 ?? ?? ?? ?? 89 45 D0 8B C3 8B 10 FF 52 34 8B 10 FF 52 08 85 C0 0F 85 24 01 00 00 8B 43 34 83 B8 F4 00 00 00 00 0F 84 14 01 00 00 6A 00 8B 45 D0 50 68 ?? ?? ?? ?? 8B 43 2C 50 8B 43 34 FF 90 D0 00 00 00 85 C0 0F 85 F4 00 00 00 8D 45 F8 50 8B 43 30 50 8B 43 34 FF 90 F4 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 0F 8E D0 00 00 00 8B C3 8B 10 FF 52 34 8B 55 F8 8B 08 FF 51 0C 8B 45 F8 48 85 C0 0F 8C B5 00 00 00 40 89 45 CC C7 45 FC 00 00 00 00 8B C3 8B 10 FF 52 70 8B F0 8D 45 D4 50 8D 45 EC 50 8D 45 D8 50 8D 45 E0 50 8D 45 F0 50 8D 45 F4 50 8B 45 FC 50 8B 43 30 50 8B 43 34 FF 90 F8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 8B 08 FF 51 14 8B 55 F0 8B C6 8B 08 FF 51 18 FF 75 E4 FF 75 E0 8B C6 8B 10 FF 52 30 FF 75 DC FF 75 D8 8B C6 8B 10 FF 52 1C 8B 55 EC 8B C6 8B 08 FF 51 20 83 7D D4 01 1B D2 42 8B C6 8B 08 FF 51 2C 8B C3 8B 10 FF 52 34 8B CE 8B 55 FC 8B 38 FF 57 14 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 FC FF 4D CC 0F 85 56 FF FF FF 8D 45 D0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 00 00 }
	condition:
		$1
}

rule function_8909_0 {
	meta:
		name = "TDBXDynalinkCommand.SetMaxBlobSize"
		size = 46
		refs = "0025 TDBXDynalinkCommand.CheckResult"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 38 FF 75 0C FF 75 08 8B 43 30 50 8B 43 34 FF 90 EC 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8910_0 {
	meta:
		name = "TDBXDynalinkCommand.SetRowSetSize"
		size = 46
		refs = "0025 TDBXDynalinkCommand.CheckResult"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 38 FF 75 0C FF 75 08 8B 43 30 50 8B 43 34 FF 90 F0 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8911_0 {
	meta:
		name = "TDBXDynalinkReader.CheckResult"
		size = 25
		refs = "0014 TDBXMethodTable.RaiseError"
	strings:
		$1 = { 85 D2 74 14 8B 48 24 51 6A 00 8B CA 8B 50 28 8B 40 14 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8912_0 {
	meta:
		name = "TDBXDynalinkReader.DerivedClose"
		size = 35
		refs = "0017 TDBXDynalinkReader.CheckResult"
	strings:
		$1 = { 53 56 8B D8 8B 73 24 85 F6 74 15 56 8B 43 28 FF 50 10 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 24 5E 5B C3 }
	condition:
		$1
}

rule function_8913_0 {
	meta:
		name = "TDBXDynalinkReader.Create"
		size = 526
		refs = "0019 @ClassCreate 002d TDBXDynalinkReader.Create 0042 _DV_TDBXDynalinkRow 0047 TDBXDynalinkRow.Create 0059 TDBXReader.Create 0082 TDBXDynalinkReader.CheckResult 0094 TDBXWritableValueArray 0099 @DynArraySetLength 00a9 @GetMem 00c2 @DynArrayHigh 010e TDBXDriverHelp.CreateTDBXValueType 015c @UStrFromPWChar 0185 TDBXValue.CreateValue 01a8 TDBXPlatform.FreeAndNilWideStringBuilder 01ae @HandleFinally 01d0 @UStrClr 01de @DynArrayClear 01f4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D FC 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D EC 88 55 F3 89 45 F4 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 10 50 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 08 50 8B 4D EC 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 10 89 50 24 8B 45 F4 8B F3 89 70 28 8D 45 D0 50 8B 45 10 50 FF 96 00 01 00 00 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D0 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B8 FF 00 00 00 40 03 C0 E8 ?? ?? ?? ?? 89 45 CC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F8 85 FF 0F 8C C7 00 00 00 47 33 F6 8D 45 D4 50 8D 45 D8 50 8D 45 DC 50 8D 45 E8 50 8D 45 E0 50 8D 45 E4 50 8B 45 CC 50 56 8B 45 10 50 8B 45 F4 8B 40 28 FF 90 04 01 00 00 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8B 55 E4 8B C3 8B 08 FF 51 14 8B 55 E0 8B C3 8B 08 FF 51 18 8B D6 8B C3 8B 08 FF 51 10 8B 45 DC 99 52 50 8B C3 8B 10 FF 52 1C 8B 55 D8 8B C3 8B 08 FF 51 20 8B 45 E8 99 52 50 8B C3 8B 10 FF 52 30 8D 45 F8 8B 55 CC E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 08 8B 55 D4 8B C3 8B 08 FF 51 28 6A 01 8B 45 F4 8B 48 20 8B 45 F4 8B 40 14 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 89 04 B2 46 4F 0F 85 3C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 FC 8B 45 F4 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_8914_0 {
	meta:
		name = "TDBXDynalinkReader.DerivedNext"
		size = 66
		refs = "0039 TDBXDynalinkReader.CheckResult"
	strings:
		$1 = { 53 56 8B F0 8B 46 24 85 C0 75 07 B8 64 00 00 00 EB 0A 50 8B 46 28 FF 90 08 01 00 00 85 C0 75 04 B3 01 EB 19 83 F8 64 74 05 83 F8 0A 75 04 33 DB EB 0B 33 DB 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_8915_0 {
	meta:
		name = "TDBXDynalinkTransaction.Create"
		size = 71
		refs = "000d @ClassCreate 001a TDBXTransaction.Create 0031 @AfterConstruction"
		altNames = "TDBXOdbcTransaction.Create"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 89 46 0C 8B 45 08 89 46 10 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8916_0 {
	meta:
		name = "TDBXDynalinkByteReader.CheckResult"
		size = 25
		refs = "0014 TDBXMethodTable.RaiseError"
	strings:
		$1 = { 85 D2 74 14 8B 48 08 51 6A 00 8B CA 8B 50 0C 8B 40 04 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8917_0 {
	meta:
		name = "TDBXDynalinkByteReader.Create"
		size = 71
		refs = "000d @ClassCreate 001a TDBXByteReader.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 89 46 08 8B 45 08 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8918_0 {
	meta:
		name = "TDBXDynalinkByteReader.GetAnsiString"
		size = 56
		refs = "0017 @DynArrayHigh 002d TDBXDynalinkByteReader.CheckResult"
		altNames = "TDBXDynalinkByteReader.GetBcd TDBXDynalinkByteReader.GetDate TDBXDynalinkByteReader.GetDouble TDBXDynalinkByteReader.GetInt16 TDBXDynalinkByteReader.GetInt32 TDBXDynalinkByteReader.GetInt64 TDBXDynalinkByteReader.GetInt8 TDBXDynalinkByteReader.GetSingle TDBXDynalinkByteReader.GetTime TDBXDynalinkByteReader.GetTimeStamp TDBXDynalinkByteReader.GetTimeStampOffset TDBXDynalinkByteReader.GetUInt8 TDBXDynalinkByteReader.GetWideString"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 8B 45 08 50 8B 45 0C 50 8B C6 E8 ?? ?? ?? ?? 50 56 57 8B 43 08 50 8B 43 0C FF 50 50 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8919_0 {
	meta:
		name = "TDBXDynalinkByteReader.GetBytes"
		size = 85
		refs = "0026 @DynArrayHigh 0042 TDBXDynalinkByteReader.CheckResult"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8B 45 08 50 8D 45 F8 50 FF 75 10 FF 75 0C FF 75 18 FF 75 14 8B C6 E8 ?? ?? ?? ?? 50 56 FF 75 20 FF 75 1C 57 8B 43 08 50 8B 43 0C FF 50 58 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 5F 5E 5B 59 59 5D C2 1C 00 }
	condition:
		$1
}

rule function_8928_0 {
	meta:
		name = "TDBXDynalinkByteReader.GetByteLength"
		size = 44
		refs = "0021 TDBXDynalinkByteReader.CheckResult"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 56 8B 43 08 50 8B 43 0C FF 50 54 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8935_0 {
	meta:
		name = "TDBXDynalinkRow.CheckResult"
		size = 25
		refs = "0014 TDBXMethodTable.RaiseError"
	strings:
		$1 = { 85 D2 74 14 8B 48 0C 51 6A 00 8B CA 8B 50 10 8B 40 04 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8936_0 {
	meta:
		name = "TDBXDynalinkRow.ParameterError"
		size = 190
		refs = "001a TDBXDynalinkRow.ParameterError 003d TDBXValueType.DataTypeName 0053 SInvalidDataType 0058 LoadResString 0063 Format 0074 TDBXMethodTable.RaiseError 00a3 @UStrArrayClr 00ab @UStrClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FE 03 75 51 8B 43 0C 50 8D 45 FC 50 8B 47 04 8B 10 FF 52 50 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 45 FC 50 8B CE 8B 53 04 8B 43 10 E8 ?? ?? ?? ?? EB 13 8B 43 0C 50 6A 00 8B CE 8B 53 04 8B 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8937_0 {
	meta:
		name = "TDBXDynalinkRow.CheckParameterResult"
		size = 10
		refs = "0005 TDBXDynalinkRow.ParameterError"
	strings:
		$1 = { 85 D2 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93841_0 {
	meta:
		name = "TTeeFunction.SetParentComponent"
		size = 10
		refs = "0005 TTeeFunction.SetParentSeries"
	strings:
		$1 = { 85 D2 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8938_0 {
	meta:
		name = "TDBXDynalinkRow.Create"
		size = 71
		refs = "000d @ClassCreate 001a TDBXRow.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 0C 8B 45 0C 89 46 10 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8939_0 {
	meta:
		name = "TDBXDynalinkRow.Destroy"
		size = 39
		refs = "0003 @BeforeDestruction 0010 TArray<System.Byte> 0015 @DynArrayClear 0020 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8940_0 {
	meta:
		name = "TDBXDynalinkRow.GetBcd"
		size = 64
		refs = "0035 TDBXMethodTable.RaiseError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 50 3C 85 C0 74 11 8B 53 0C 52 8B C8 8B 53 04 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8941_0 {
	meta:
		name = "TDBXDynalinkRow.GetByteLength"
		size = 64
		refs = "0035 TDBXMethodTable.RaiseError"
		altNames = "TDBXDynalinkRow.GetLength"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 50 54 85 C0 74 11 8B 53 0C 52 8B C8 8B 53 04 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8943_0 {
	meta:
		name = "TDBXDynalinkRow.GetBytes"
		size = 82
		refs = "0023 @DynArrayHigh 0047 TDBXDynalinkRow.CheckResult"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 8B 45 08 50 8B 45 0C 50 FF 75 14 FF 75 10 FF 75 1C FF 75 18 8B C6 E8 ?? ?? ?? ?? 50 56 FF 75 24 FF 75 20 8B 47 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 50 58 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 20 00 }
	condition:
		$1
}

rule function_8944_0 {
	meta:
		name = "TDBXDynalinkRow.GetSingle"
		size = 64
		refs = "0035 TDBXMethodTable.RaiseError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 50 34 85 C0 74 11 8B 53 0C 52 8B C8 8B 53 04 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8945_0 {
	meta:
		name = "TDBXDynalinkRow.GetStream"
		size = 183
		refs = "001d TDBXDynalinkRow.GetStream 004b TArray<System.Byte> 0050 @DynArraySetLength 007d _Dn_TBytesStream 0082 TBytesStream.Create 00a2 @DynArrayClear 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 4D E8 8B 55 F8 8B C3 8B 38 FF 97 00 01 00 00 83 3E 00 75 4E 8B 45 E8 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 00 6A 00 6A 00 FF 75 EC FF 75 E8 8D 45 E0 50 56 8B 4D FC 8B 55 F8 8B C3 8B 18 FF 53 48 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12445_0 {
	meta:
		name = "TDBXOdbcRow.GetStream"
		size = 183
		refs = "001d TDBXOdbcRow.GetStream 004b TArray<System.Byte> 0050 @DynArraySetLength 007d _Dn_TBytesStream 0082 TBytesStream.Create 00a2 @DynArrayClear 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 4D E8 8B 55 F8 8B C3 8B 38 FF 97 00 01 00 00 83 3E 00 75 4E 8B 45 E8 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 00 6A 00 6A 00 FF 75 EC FF 75 E8 8D 45 E0 50 56 8B 4D FC 8B 55 F8 8B C3 8B 18 FF 53 48 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8946_0 {
	meta:
		name = "TDBXDynalinkRow.SetSingle"
		size = 51
		refs = "0029 TDBXDynalinkRow.CheckParameterResult"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 08 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 90 84 00 00 00 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8947_0 {
	meta:
		name = "TDBXDynalinkRow.SetStream"
		size = 349
		refs = "0018 @DynArrayLength 0023 TDBXDynalinkRow.SetStream 005f TArray<System.Byte> 0064 @DynArraySetLength 014a @DynArrayClear 0150 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 89 55 F8 89 45 FC 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 08 8B D8 85 DB 0F 8D 9A 00 00 00 81 7D F4 00 04 00 00 7D 24 C7 45 F4 00 04 00 00 8B 45 F4 50 8B 45 FC 83 C0 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB EB 5C 3B 5D F4 75 37 81 7D F4 00 80 00 00 7D 0A 8B 45 F4 03 C0 01 45 F4 EB 07 81 45 F4 00 80 00 00 8B 45 F4 50 8B 45 FC 83 C0 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 2B C3 50 8B 45 FC 8B 50 14 8B CB 8B C6 8B 38 FF 17 89 45 F0 83 7D F0 00 7E 03 03 5D F0 8B C6 8B 10 FF 52 04 84 C0 74 99 EB 2E 3B 5D F4 7E 1A 53 8B 45 FC 83 C0 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 53 8B 45 FC 8B 50 14 33 C9 8B C6 8B 30 FF 16 6A 00 6A 00 6A 00 6A 00 8B C3 99 52 50 8B 45 FC 8B 48 14 8B 55 F8 8B 45 FC 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 81 7D F4 00 00 01 00 7E 11 8B 45 FC 83 C0 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8948_0 {
	meta:
		name = "TDBXDynalinkRow.GetBoolean"
		size = 64
		refs = "0035 TDBXMethodTable.RaiseError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 50 1C 85 C0 74 11 8B 53 0C 52 8B C8 8B 53 04 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8949_0 {
	meta:
		name = "TDBXDynalinkRow.GetDate"
		size = 64
		refs = "0035 TDBXMethodTable.RaiseError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 50 4C 85 C0 74 11 8B 53 0C 52 8B C8 8B 53 04 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8950_0 {
	meta:
		name = "TDBXDynalinkRow.GetDouble"
		size = 64
		refs = "0035 TDBXMethodTable.RaiseError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 50 38 85 C0 74 11 8B 53 0C 52 8B C8 8B 53 04 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8951_0 {
	meta:
		name = "TDBXDynalinkRow.GetInt16"
		size = 64
		refs = "0035 TDBXMethodTable.RaiseError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 50 28 85 C0 74 11 8B 53 0C 52 8B C8 8B 53 04 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8952_0 {
	meta:
		name = "TDBXDynalinkRow.GetInt32"
		size = 64
		refs = "0035 TDBXMethodTable.RaiseError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 50 2C 85 C0 74 11 8B 53 0C 52 8B C8 8B 53 04 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8953_0 {
	meta:
		name = "TDBXDynalinkRow.GetInt64"
		size = 64
		refs = "0035 TDBXMethodTable.RaiseError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 50 30 85 C0 74 11 8B 53 0C 52 8B C8 8B 53 04 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8954_0 {
	meta:
		name = "TDBXDynalinkRow.GetInt8"
		size = 64
		refs = "0035 TDBXMethodTable.RaiseError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 50 24 85 C0 74 11 8B 53 0C 52 8B C8 8B 53 04 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8955_0 {
	meta:
		name = "TDBXDynalinkRow.GetObjectTypeName"
		size = 189
		refs = "0019 TDBXDynalinkRow.GetObjectTypeName 002d @GetMem 0062 TDBXMethodTable.RaiseError 006d @UStrFromPWChar 0078 @UStrAsg 008d TDBXPlatform.FreeAndNilWideStringBuilder 0093 @HandleFinally 00aa @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 80 00 00 00 8B C6 03 C0 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 56 8B 45 F4 50 57 8B 43 0C 50 8B 43 10 FF 50 5C 85 C0 74 10 8B 53 0C 52 8B 53 04 8B 4B 10 91 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8956_0 {
	meta:
		name = "TDBXDynalinkRow.GetAnsiString"
		size = 66
		refs = "0037 TDBXMethodTable.RaiseError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 07 50 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 50 14 85 C0 74 11 8B 53 0C 52 8B C8 8B 53 04 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8957_0 {
	meta:
		name = "TDBXDynalinkRow.GetTime"
		size = 64
		refs = "0035 TDBXMethodTable.RaiseError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 50 48 85 C0 74 11 8B 53 0C 52 8B C8 8B 53 04 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8958_0 {
	meta:
		name = "TDBXDynalinkRow.GetTimeStamp"
		size = 64
		refs = "0035 TDBXMethodTable.RaiseError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 50 40 85 C0 74 11 8B 53 0C 52 8B C8 8B 53 04 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8959_0 {
	meta:
		name = "TDBXDynalinkRow.GetTimeStampOffset"
		size = 64
		refs = "0035 TDBXMethodTable.RaiseError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 50 44 85 C0 74 11 8B 53 0C 52 8B C8 8B 53 04 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8960_0 {
	meta:
		name = "TDBXDynalinkRow.GetUInt8"
		size = 64
		refs = "0035 TDBXMethodTable.RaiseError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 50 20 85 C0 74 11 8B 53 0C 52 8B C8 8B 53 04 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8961_0 {
	meta:
		name = "TDBXDynalinkRow.GetWideString"
		size = 66
		refs = "0037 TDBXMethodTable.RaiseError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 07 50 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 50 18 85 C0 74 11 8B 53 0C 52 8B C8 8B 53 04 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_8962_0 {
	meta:
		name = "TDBXDynalinkRow.SetAnsiMemo"
		size = 149
		refs = "0016 TDBXDynalinkRow.SetAnsiMemo 0026 TDBXPlatform.AnsiStrToBytes 0032 TArray<System.Byte> 0037 @DynArrayAsg 0082 @FinalizeArray 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5D F4 8B 4D F4 85 C9 74 05 83 E9 04 8B 09 6A 00 6A 00 6A 00 6A 00 8B C1 99 52 50 8B D7 8B C6 8B 4D FC 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12446_0 {
	meta:
		name = "TDBXOdbcRow.SetAnsiMemo"
		size = 149
		refs = "0016 TDBXOdbcRow.SetAnsiMemo 0026 TDBXPlatform.AnsiStrToBytes 0032 TArray<System.Byte> 0037 @DynArrayAsg 0082 @FinalizeArray 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5D F4 8B 4D F4 85 C9 74 05 83 E9 04 8B 09 6A 00 6A 00 6A 00 6A 00 8B C1 99 52 50 8B D7 8B C6 8B 4D FC 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8963_0 {
	meta:
		name = "TDBXDynalinkRow.SetWideMemo"
		size = 201
		refs = "001c TDBXDynalinkRow.SetWideMemo 002c @UStrLAsg 004b TArray<System.Byte> 0050 @DynArraySetLength 0063 @UStrToPWChar 006b Move 00af @DynArrayClear 00b7 @UStrClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 89 5D F8 8B F1 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 03 DB 53 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 DB 7E 14 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 8B CB 5A E8 ?? ?? ?? ?? 8B CE 85 C9 74 05 83 E9 04 8B 09 6A 00 6A 00 6A 00 6A 00 8B C1 99 52 50 8B 55 F0 8B 45 F4 8B 4D F8 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8964_0 {
	meta:
		name = "TDBXDynalinkRow.SetBCD"
		size = 64
		refs = "0038 TDBXDynalinkRow.CheckParameterResult"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D7 0F B7 42 20 50 B8 07 00 00 00 FF 34 82 48 79 FA 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 90 8C 00 00 00 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8965_0 {
	meta:
		name = "TDBXDynalinkRow.SetBoolean"
		size = 50
		refs = "002a TDBXDynalinkRow.CheckParameterResult"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 80 FB 01 F5 1B C0 50 8B 46 04 8B 10 FF 52 4C 50 8B 47 0C 50 8B 47 10 FF 50 6C 8B D0 8B CE 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8966_0 {
	meta:
		name = "TDBXDynalinkRow.SetDynamicBytes"
		size = 79
		refs = "001b @DynArrayLength 0044 TDBXDynalinkRow.CheckParameterResult"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 FF 75 0C FF 75 08 FF 75 14 FF 75 10 8B C7 E8 ?? ?? ?? ?? 50 57 FF 75 1C FF 75 18 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 90 A0 00 00 00 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_8967_0 {
	meta:
		name = "TDBXDynalinkRow.SetDate"
		size = 47
		refs = "0027 TDBXDynalinkRow.CheckParameterResult"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 90 9C 00 00 00 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8968_0 {
	meta:
		name = "TDBXDynalinkRow.SetDouble"
		size = 54
		refs = "002c TDBXDynalinkRow.CheckParameterResult"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 90 88 00 00 00 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8969_0 {
	meta:
		name = "TDBXDynalinkRow.SetInt16"
		size = 44
		refs = "0024 TDBXDynalinkRow.CheckParameterResult"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 50 78 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8970_0 {
	meta:
		name = "TDBXDynalinkRow.SetInt32"
		size = 44
		refs = "0024 TDBXDynalinkRow.CheckParameterResult"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 50 7C 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8971_0 {
	meta:
		name = "TDBXDynalinkRow.SetInt64"
		size = 54
		refs = "002c TDBXDynalinkRow.CheckParameterResult"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 90 80 00 00 00 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8972_0 {
	meta:
		name = "TDBXDynalinkRow.SetInt8"
		size = 44
		refs = "0024 TDBXDynalinkRow.CheckParameterResult"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 53 8B 46 04 8B 10 FF 52 4C 50 8B 47 0C 50 8B 47 10 FF 50 74 8B D0 8B CE 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8973_0 {
	meta:
		name = "TDBXDynalinkRow.SetNull"
		size = 39
		refs = "0020 TDBXDynalinkRow.CheckParameterResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 50 60 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8974_0 {
	meta:
		name = "TDBXDynalinkRow.SetValueType"
		size = 106
		refs = "0044 @UStrToPWChar 0063 TDBXDynalinkRow.CheckResult"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 10 FF 52 5C 50 8B C3 8B 10 FF 52 58 52 50 8B C3 8B 10 FF 52 68 52 50 8B C3 8B 10 FF 52 54 50 8B C3 8B 10 FF 52 50 50 8B C3 8B 10 FF 52 40 50 8B C3 8B 10 FF 52 60 50 8B 43 04 E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 52 4C 50 8B 46 0C 50 8B 46 10 FF 90 FC 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8975_0 {
	meta:
		name = "TDBXDynalinkRow.SetString"
		size = 77
		refs = "002c @LStrToPChar 0043 TDBXDynalinkRow.CheckParameterResult"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F0 8B 45 04 8B 10 FF 52 4C 8B F8 8B 1C 24 85 DB 74 05 83 EB 04 8B 1B 8B C3 99 52 50 8B 44 24 08 E8 ?? ?? ?? ?? 50 57 8B 46 0C 50 8B 46 10 FF 50 64 8B D0 8B CD 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8976_0 {
	meta:
		name = "TDBXDynalinkRow.SetTime"
		size = 47
		refs = "0027 TDBXDynalinkRow.CheckParameterResult"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 90 98 00 00 00 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8977_0 {
	meta:
		name = "TDBXDynalinkRow.SetTimestamp"
		size = 47
		refs = "0027 TDBXDynalinkRow.CheckParameterResult"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 90 90 00 00 00 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8978_0 {
	meta:
		name = "TDBXDynalinkRow.SetTimestampOffset"
		size = 47
		refs = "0027 TDBXDynalinkRow.CheckParameterResult"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B 46 04 8B 10 FF 52 4C 50 8B 43 0C 50 8B 43 10 FF 90 94 00 00 00 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8979_0 {
	meta:
		name = "TDBXDynalinkRow.SetUInt8"
		size = 44
		refs = "0024 TDBXDynalinkRow.CheckParameterResult"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 53 8B 46 04 8B 10 FF 52 4C 50 8B 47 0C 50 8B 47 10 FF 50 70 8B D0 8B CE 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8980_0 {
	meta:
		name = "TDBXDynalinkRow.SetWideString"
		size = 77
		refs = "002c @UStrToPWChar 0043 TDBXDynalinkRow.CheckParameterResult"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F0 8B 45 04 8B 10 FF 52 4C 8B F8 8B 1C 24 85 DB 74 05 83 EB 04 8B 1B 8B C3 99 52 50 8B 44 24 08 E8 ?? ?? ?? ?? 50 57 8B 46 0C 50 8B 46 10 FF 50 68 8B D0 8B CD 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8981_0 {
	meta:
		name = "Finalization"
		size = 104
		refs = "0002 _DV_11 000a DBXDynalinkDriverLoaderClass 0012 _Dn_TClassRegistry 0017 TClassRegistry.GetClassRegistry 001c Finalization 0021 TClassRegistry.UnregisterClass"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 1D 83 3D ?? ?? ?? ?? 00 74 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_8982_0 {
	meta:
		name = "Data.DBXDynalink"
		size = 112
		refs = "0002 _DV_11 000a _Dn_TDBXDynalinkDriverLoader 000f DBXDynalinkDriverLoaderClass 0014 _Dn_TClassRegistry 0019 TClassRegistry.GetClassRegistry 0024 Data.DBXDynalink 0029 TClassRegistry.RegisterRegistryClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 24 A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_8983_0 {
	meta:
		name = "TDBXDynalinkDriverNative.Create"
		size = 67
		refs = "000d @ClassCreate 0022 TDBXDynalinkDriver.Create 002d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12823_0 {
	meta:
		name = "TDBXPoolReader.Create"
		size = 67
		refs = "000d @ClassCreate 0022 TDBXReader.Create 002d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_8984_0 {
	meta:
		name = "TDBXDynalinkDriverNative.Create"
		size = 144
		refs = "0011 @ClassCreate 0026 TDBXDriverDef 002b @AddRefRecord 0033 TDBXDynalinkDriverNative.Create 0049 TDBXDynalinkDriver.Create 0064 @FinalizeRecord 006a @HandleFinally 0077 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F4 A5 A5 A5 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 4D F4 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_8985_0 {
	meta:
		name = "TDBXDynalinkDriverNative.Create"
		size = 148
		refs = "0011 @ClassCreate 0026 TDBXDriverDef 002b @AddRefRecord 0033 TDBXDynalinkDriverNative.Create 004d TDBXDynalinkDriver.Create 0068 @FinalizeRecord 006e @HandleFinally 007b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F4 A5 A5 A5 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 45 08 50 8D 4D F4 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_8986_0 {
	meta:
		name = "TDBXDynalinkDriverNative.CreateConnection"
		size = 66
		refs = "000d TDBXDynalinkDriver.LoadDriver 0024 TDBXDynalinkDriver.CheckResult 0035 _Dn_TDBXDynalinkConnection 003a TDBXDynalinkConnection.Create"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 56 1C 8B C3 E8 ?? ?? ?? ?? 54 8B 43 28 50 8B 43 2C FF 90 A4 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 50 8B 43 2C 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_8987_0 {
	meta:
		name = "TDBXDynalinkDriverLoader.CreateDynalinkDriver"
		size = 23
		refs = "000d _DV_TDBXDynalinkDriverNative 0012 TDBXDynalinkDriverNative.Create"
	strings:
		$1 = { 8B 50 14 52 8B 40 10 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8988_0 {
	meta:
		name = "TDBXDynalinkDriverLoader.CreateMethodTable"
		size = 16
		refs = "0006 _DV_TDBXNativeMethodTable 000b TDBXNativeMethodTable.Create"
	strings:
		$1 = { 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16884_0 {
	meta:
		name = "TDSVoidConnectionHandler.CreateDbxRow"
		size = 16
		refs = "0006 _Dn_TDBXNoOpRow 000b TDBXNoOpRow.Create"
	strings:
		$1 = { 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9377_0 {
	meta:
		name = "TJSONObject.GetEnumerator"
		size = 16
		refs = "0006 _DV_TJSONPairEnumerator 000b TJSONPairEnumerator.Create"
	strings:
		$1 = { 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_8989_0 {
	meta:
		name = "TDBXNativeMethodTable.Create"
		size = 59
		refs = "000a @ClassCreate 001d TDBXMethodTable.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 8E 0C 01 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_8990_0 {
	meta:
		name = "TDBXNativeMethodTable.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 0013 FreeLibrary 0026 TObject.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 0C 01 00 00 50 E8 ?? ?? ?? ?? 33 C0 89 86 0C 01 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_8991_0 {
	meta:
		name = "TDBXNativeMethodTable.LoadMethods"
		size = 4852
		refs = "0004 TDBXNativeMethodTable.LoadMethods 0305 GetProcAddress"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 04 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 08 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 0C BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 10 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 14 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 18 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 1C BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 20 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 24 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 28 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 2C BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 30 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 34 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 3C BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 40 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 44 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 48 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 4C BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 50 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 54 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 58 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 5C BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 60 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 64 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 68 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 6C BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 70 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 74 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 78 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 43 7C BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 80 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 84 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 88 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 8C 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 90 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 94 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 98 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 9C 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 A0 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 A4 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 A8 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 AC 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 B0 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 B4 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 B8 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 C0 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 C4 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 C8 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 CC 00 00 00 68 ?? ?? ?? ?? 8B 83 0C 01 00 00 50 E8 ?? ?? ?? ?? 89 83 D0 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 D4 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 D8 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 DC 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 E0 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 E4 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 E8 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 EC 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 F0 00 00 00 68 ?? ?? ?? ?? 8B 83 0C 01 00 00 50 E8 ?? ?? ?? ?? 89 83 F4 00 00 00 68 ?? ?? ?? ?? 8B 83 0C 01 00 00 50 E8 ?? ?? ?? ?? 89 83 F8 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 FC 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 00 01 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 04 01 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 11 89 83 08 01 00 00 5B C3 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 42 00 58 00 4C 00 6F 00 61 00 64 00 65 00 72 00 5F 00 47 00 65 00 74 00 44 00 72 00 69 00 76 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 44 00 42 00 58 00 42 00 61 00 73 00 65 00 5F 00 47 00 65 00 74 00 45 00 72 00 72 00 6F 00 72 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 44 00 42 00 58 00 42 00 61 00 73 00 65 00 5F 00 47 00 65 00 74 00 45 00 72 00 72 00 6F 00 72 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 42 00 58 00 42 00 61 00 73 00 65 00 5F 00 43 00 6C 00 6F 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 44 00 42 00 58 00 52 00 6F 00 77 00 5F 00 47 00 65 00 74 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 42 00 58 00 52 00 6F 00 77 00 5F 00 47 00 65 00 74 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 44 00 42 00 58 00 52 00 6F 00 77 00 5F 00 47 00 65 00 74 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 42 00 58 00 52 00 6F 00 77 00 5F 00 47 00 65 00 74 00 55 00 49 00 6E 00 74 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 42 00 58 00 52 00 6F 00 77 00 5F 00 47 00 65 00 74 00 49 00 6E 00 74 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 42 00 58 00 52 00 6F 00 77 00 5F 00 47 00 65 00 74 00 49 00 6E 00 74 00 31 00 36 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 42 00 58 00 52 00 6F 00 77 00 5F 00 47 00 65 00 74 00 49 00 6E 00 74 00 33 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 42 00 58 00 52 00 6F 00 77 00 5F 00 47 00 65 00 74 00 49 00 6E 00 74 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 44 00 42 00 58 00 52 00 6F 00 77 00 5F 00 47 00 65 00 74 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 44 00 42 00 58 00 52 00 6F 00 77 00 5F 00 47 00 65 00 74 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 42 00 58 00 52 00 6F 00 77 00 5F 00 47 00 65 00 74 00 42 00 63 00 64 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 42 00 58 00 52 00 6F 00 77 00 5F 00 47 00 65 00 74 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 44 00 42 00 58 00 52 00 6F 00 77 00 5F 00 47 00 65 00 74 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 4F 00 66 00 66 00 73 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 42 00 58 00 52 00 6F 00 77 00 5F 00 47 00 65 00 74 00 54 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 42 00 58 00 52 00 6F 00 77 00 5F 00 47 00 65 00 74 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 42 00 58 00 52 00 6F 00 77 00 5F 00 47 00 65 00 74 00 46 00 69 00 78 00 65 00 64 00 42 00 79 00 74 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 42 00 58 00 52 00 6F 00 77 00 5F 00 47 00 65 00 74 00 42 00 79 00 74 00 65 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 42 00 58 00 52 00 6F 00 77 00 5F 00 47 00 65 00 74 00 42 00 79 00 74 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 44 00 42 00 58 00 52 00 6F 00 77 00 5F 00 47 00 65 00 74 00 4F 00 62 00 6A 00 65 00 63 00 74 00 54 00 79 00 70 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 42 00 58 00 57 00 72 00 69 00 74 00 61 00 62 00 6C 00 65 00 52 00 6F 00 77 00 5F 00 53 00 65 00 74 00 4E 00 75 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 44 00 42 00 58 00 57 00 72 00 69 00 74 00 61 00 62 00 6C 00 65 00 52 00 6F 00 77 00 5F 00 53 00 65 00 74 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 44 00 42 00 58 00 57 00 72 00 69 00 74 00 61 00 62 00 6C 00 65 00 52 00 6F 00 77 00 5F 00 53 00 65 00 74 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 44 00 42 00 58 00 57 00 72 00 69 00 74 00 61 00 62 00 6C 00 65 00 52 00 6F 00 77 00 5F 00 53 00 65 00 74 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 44 00 42 00 58 00 57 00 72 00 69 00 74 00 61 00 62 00 6C 00 65 00 52 00 6F 00 77 00 5F 00 53 00 65 00 74 00 55 00 49 00 6E 00 74 00 38 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 42 00 58 00 57 00 72 00 69 00 74 00 61 00 62 00 6C 00 65 00 52 00 6F 00 77 00 5F 00 53 00 65 00 74 00 49 00 6E 00 74 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 44 00 42 00 58 00 57 00 72 00 69 00 74 00 61 00 62 00 6C 00 65 00 52 00 6F 00 77 00 5F 00 53 00 65 00 74 00 49 00 6E 00 74 00 31 00 36 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 44 00 42 00 58 00 57 00 72 00 69 00 74 00 61 00 62 00 6C 00 65 00 52 00 6F 00 77 00 5F 00 53 00 65 00 74 00 49 00 6E 00 74 00 33 00 32 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 44 00 42 00 58 00 57 00 72 00 69 00 74 00 61 00 62 00 6C 00 65 00 52 00 6F 00 77 00 5F 00 53 00 65 00 74 00 49 00 6E 00 74 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 44 00 42 00 58 00 57 00 72 00 69 00 74 00 61 00 62 00 6C 00 65 00 52 00 6F 00 77 00 5F 00 53 00 65 00 74 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 44 00 42 00 58 00 57 00 72 00 69 00 74 00 61 00 62 00 6C 00 65 00 52 00 6F 00 77 00 5F 00 53 00 65 00 74 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 42 00 58 00 57 00 72 00 69 00 74 00 61 00 62 00 6C 00 65 00 52 00 6F 00 77 00 5F 00 53 00 65 00 74 00 42 00 63 00 64 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 44 00 42 00 58 00 57 00 72 00 69 00 74 00 61 00 62 00 6C 00 65 00 52 00 6F 00 77 00 5F 00 53 00 65 00 74 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 44 00 42 00 58 00 57 00 72 00 69 00 74 00 61 00 62 00 6C 00 65 00 52 00 6F 00 77 00 5F 00 53 00 65 00 74 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 4F 00 66 00 66 00 73 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 42 00 58 00 57 00 72 00 69 00 74 00 61 00 62 00 6C 00 65 00 52 00 6F 00 77 00 5F 00 53 00 65 00 74 00 54 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 42 00 58 00 57 00 72 00 69 00 74 00 61 00 62 00 6C 00 65 00 52 00 6F 00 77 00 5F 00 53 00 65 00 74 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 44 00 42 00 58 00 57 00 72 00 69 00 74 00 61 00 62 00 6C 00 65 00 52 00 6F 00 77 00 5F 00 53 00 65 00 74 00 42 00 79 00 74 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 44 00 42 00 58 00 44 00 72 00 69 00 76 00 65 00 72 00 5F 00 43 00 72 00 65 00 61 00 74 00 65 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 42 00 58 00 44 00 72 00 69 00 76 00 65 00 72 00 5F 00 47 00 65 00 74 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 5F 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 5F 00 44 00 69 00 73 00 63 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 5F 00 53 00 65 00 74 00 43 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 45 00 76 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 5F 00 43 00 72 00 65 00 61 00 74 00 65 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 5F 00 42 00 65 00 67 00 69 00 6E 00 54 00 72 00 61 00 6E 00 73 00 61 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 5F 00 43 00 6F 00 6D 00 6D 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 5F 00 52 00 6F 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 5F 00 47 00 65 00 74 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 5F 00 47 00 65 00 74 00 56 00 65 00 6E 00 64 00 6F 00 72 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 44 00 42 00 58 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 5F 00 43 00 72 00 65 00 61 00 74 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 52 00 6F 00 77 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 42 00 58 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 5F 00 50 00 72 00 65 00 70 00 61 00 72 00 65 00 }
	condition:
		$1
}

rule function_8992_0 {
	meta:
		name = "TDBXNativeMethodTable.LoadMethod"
		size = 178
		refs = "0018 @UStrAddRef 0020 TDBXNativeMethodTable.LoadMethod 002e @UStrToPWChar 003b GetProcAddress 004d SDllProcLoadError 0052 LoadResString 006b Format 007b _Dn_TDBXError 0080 TDBXError.Create 0085 @RaiseExcept 009f @UStrArrayClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D F8 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 8B 83 0C 01 00 00 50 E8 ?? ?? ?? ?? 8B D8 85 DB 75 44 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 45 F8 50 B9 16 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_8995_0 {
	meta:
		name = "GenerateKey"
		size = 264
		refs = "0010 GenerateKey 001b Randomize 0027 @UStrClr 0034 Random 0045 @UStrFromWChar 004f @UStrCat 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? BF 3F 00 00 00 8B C6 E8 ?? ?? ?? ?? 4B 85 DB 7C 26 43 8B C7 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 0F B7 14 42 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 4B 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 3F 00 00 00 61 00 62 00 63 00 64 00 65 00 66 00 67 00 68 00 69 00 6A 00 6B 00 6C 00 6D 00 6E 00 6F 00 70 00 71 00 72 00 73 00 74 00 75 00 76 00 77 00 78 00 79 00 7A 00 41 00 42 00 43 00 44 00 45 00 46 00 47 00 48 00 49 00 4A 00 4B 00 4C 00 4D 00 4E 00 4F 00 50 00 51 00 52 00 53 00 54 00 55 00 56 00 57 00 58 00 59 00 5A 00 30 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 21 00 00 00 }
	condition:
		$1
}

rule function_8996_0 {
	meta:
		name = "TPC1Cypher.Create"
		size = 174
		refs = "000f @ClassCreate 001b TPC1Cypher.Create 0031 TDBXInt32s 0036 @DynArraySetLength 0049 TArray<System.Byte> 005a TObject.Create 0067 GenerateKey 0071 TPC1Cypher.SetEncryptionKey 0086 @UStrClr 008c @HandleFinally 0099 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 08 8D 46 10 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 10 8D 46 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 55 FC B8 10 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_8997_0 {
	meta:
		name = "TPC1Cypher.Create"
		size = 114
		refs = "000b @ClassCreate 0021 TDBXInt32s 0026 @DynArraySetLength 0039 TArray<System.Byte> 004a TObject.Create 0053 TPC1Cypher.SetEncryptionKey 005e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 6A 08 8D 47 10 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 10 8D 47 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8998_0 {
	meta:
		name = "TPC1Cypher.Init"
		size = 130
		refs = "0054 @DynArrayLength"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 18 85 C0 74 05 83 E8 04 8B 00 83 F8 10 7C 05 B8 10 00 00 00 8B F0 8B D6 4A 85 D2 7C 18 42 33 C0 8D 48 01 8B 7B 18 0F B7 4C 4F FE 8B 7B 14 88 0C 07 40 4A 75 EB 8B C6 83 F8 0F 7F 0D 8B 53 14 C6 04 02 20 40 83 F8 10 75 F3 8B 43 10 E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 0F 42 33 C0 8B 4B 10 33 FF 89 3C 81 40 4A 75 F4 33 C0 89 43 08 33 C0 89 43 0C 83 FE 10 0F 95 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_8999_0 {
	meta:
		name = "TPC1Cypher.Assemble"
		size = 445
		refs = "002b TPC1Cypher.Code"
	strings:
		$1 = { 53 56 8B D8 8B 43 14 0F B6 00 24 FF 0F B6 C0 C1 E0 08 8B 53 14 0F B6 52 01 80 E2 FF 0F B6 D2 0B C2 8B 53 10 89 02 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 43 14 0F B6 40 02 24 FF 0F B6 C0 C1 E0 08 8B 53 14 0F B6 52 03 80 E2 FF 0F B6 D2 0B C2 8B 53 10 33 02 8B 53 10 89 42 04 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 F0 8B 43 14 0F B6 40 04 24 FF 0F B6 C0 C1 E0 08 8B 53 14 0F B6 52 05 80 E2 FF 0F B6 D2 0B C2 8B 53 10 33 42 04 8B 53 10 89 42 08 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 F0 8B 43 14 0F B6 40 06 24 FF 0F B6 C0 C1 E0 08 8B 53 14 0F B6 52 07 80 E2 FF 0F B6 D2 0B C2 8B 53 10 33 42 08 8B 53 10 89 42 0C BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 F0 8B 43 14 0F B6 40 08 24 FF 0F B6 C0 C1 E0 08 8B 53 14 0F B6 52 09 80 E2 FF 0F B6 D2 0B C2 8B 53 10 33 42 0C 8B 53 10 89 42 10 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 F0 8B 43 14 0F B6 40 0A 24 FF 0F B6 C0 C1 E0 08 8B 53 14 0F B6 52 0B 80 E2 FF 0F B6 D2 0B C2 8B 53 10 33 42 10 8B 53 10 89 42 14 BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 F0 8B 43 14 0F B6 40 0C 24 FF 0F B6 C0 C1 E0 08 8B 53 14 0F B6 52 0D 80 E2 FF 0F B6 D2 0B C2 8B 53 10 33 42 14 8B 53 10 89 42 18 BA 06 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 F0 8B 43 14 0F B6 40 0E 24 FF 0F B6 C0 C1 E0 08 8B 53 14 0F B6 52 0F 80 E2 FF 0F B6 D2 0B C2 8B 53 10 33 42 18 8B 53 10 89 42 1C BA 07 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9000_0 {
	meta:
		name = "TPC1Cypher.Code"
		size = 141
	strings:
		$1 = { 53 56 57 55 51 8B 58 0C 03 DA 8B 48 10 8B 0C 91 89 0C 24 BF 5A 01 00 00 BE 35 4E 00 00 8B 0C 24 8B 68 08 89 2C 24 89 48 08 8B 0C 24 89 1C 24 8B D9 83 3C 24 00 74 09 8B CE 0F AF 0C 24 89 0C 24 8B 0C 24 89 3C 24 8B F9 83 3C 24 00 74 0D 8B 48 08 0F AF 0C 24 89 0C 24 03 3C 24 8B 0C 24 8B 68 08 89 2C 24 89 48 08 0F AF 34 24 89 34 24 03 DF 8B 0C 24 FF 04 24 89 58 0C 8B 40 10 8B 0C 24 89 0C 90 8B 04 24 33 C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9001_0 {
	meta:
		name = "TPC1Cypher.Cypher"
		size = 76
		refs = "000b TPC1Cypher.Assemble"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 C1 EF 08 81 E7 FF 00 00 00 BD FF 00 00 00 23 E8 33 C0 8B 56 14 0F B6 14 02 80 E2 FF B1 FF 22 CB 32 D1 8B 4E 14 88 14 01 40 83 F8 10 75 E4 8B C7 8B D5 32 C2 32 C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9002_0 {
	meta:
		name = "TPC1Cypher.Decypher"
		size = 77
		refs = "000a TPC1Cypher.Assemble"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C2 C1 E8 08 25 FF 00 00 00 BF FF 00 00 00 23 FA 8B D0 8B C7 32 D0 32 D3 33 C0 8B 4E 14 0F B6 0C 01 80 E1 FF B3 FF 22 DA 32 CB 8B 5E 14 88 0C 03 40 83 F8 10 75 E4 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9003_0 {
	meta:
		name = "TPC1Cypher.SetEncryptionKey"
		size = 166
		refs = "0015 TPC1Cypher.SetEncryptionKey 0027 SKeyNotNull 002c LoadResString 0039 _Dn_TDBXError 003e TDBXError.Create 0043 @RaiseExcept 004d @UStrAsg 0054 TPC1Cypher.Init 0090 @UStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 24 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 18 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 88 45 FF C6 43 04 00 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 11 BA 01 00 00 00 0F B7 4C 56 FE 30 4B 04 42 48 75 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9009_0 {
	meta:
		name = "TDBXFirebirdProperties.Create"
		size = 2900
		refs = "0015 @ClassCreate 0021 TDBXFirebirdProperties.Create 0030 TDBXProperties.Create 0041 TDBXProperties.SetValue 005a _Dn_TDBXPlatform 005f TDBXPlatform.GetPublicKeyToken 006f @UStrCat3 0212 @UStrArrayClr 0218 @HandleFinally 0225 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 46 00 69 00 72 00 65 00 62 00 69 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 31 00 00 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 2C 00 44 00 42 00 58 00 46 00 69 00 72 00 65 00 62 00 69 00 72 00 64 00 44 00 72 00 69 00 76 00 65 00 72 00 31 00 36 00 30 00 2E 00 62 00 70 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 73 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 2C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 43 00 6F 00 6D 00 6D 00 6F 00 6E 00 44 00 72 00 69 00 76 00 65 00 72 00 2C 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 31 00 36 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 2C 00 43 00 75 00 6C 00 74 00 75 00 72 00 65 00 3D 00 6E 00 65 00 75 00 74 00 72 00 61 00 6C 00 2C 00 50 00 75 00 62 00 6C 00 69 00 63 00 4B 00 65 00 79 00 54 00 6F 00 6B 00 65 00 6E 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 41 00 73 00 73 00 65 00 6D 00 62 00 6C 00 79 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3B 00 00 00 54 00 44 00 42 00 58 00 46 00 69 00 72 00 65 00 62 00 69 00 72 00 64 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 2C 00 44 00 62 00 78 00 46 00 69 00 72 00 65 00 62 00 69 00 72 00 64 00 44 00 72 00 69 00 76 00 65 00 72 00 31 00 36 00 30 00 2E 00 62 00 70 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 7F 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 54 00 44 00 42 00 58 00 46 00 69 00 72 00 65 00 62 00 69 00 72 00 64 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 2C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 46 00 69 00 72 00 65 00 62 00 69 00 72 00 64 00 44 00 72 00 69 00 76 00 65 00 72 00 2C 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 31 00 36 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 2C 00 43 00 75 00 6C 00 74 00 75 00 72 00 65 00 3D 00 6E 00 65 00 75 00 74 00 72 00 61 00 6C 00 2C 00 50 00 75 00 62 00 6C 00 69 00 63 00 4B 00 65 00 79 00 54 00 6F 00 6B 00 65 00 6E 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 41 00 73 00 73 00 65 00 6D 00 62 00 6C 00 79 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 67 00 65 00 74 00 53 00 51 00 4C 00 44 00 72 00 69 00 76 00 65 00 72 00 49 00 4E 00 54 00 45 00 52 00 42 00 41 00 53 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 44 00 72 00 69 00 76 00 65 00 72 00 46 00 75 00 6E 00 63 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 64 00 62 00 78 00 66 00 62 00 2E 00 64 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 6C 00 69 00 62 00 73 00 71 00 6C 00 66 00 62 00 2E 00 64 00 79 00 6C 00 69 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 4F 00 73 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 66 00 62 00 63 00 6C 00 69 00 65 00 6E 00 74 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 57 00 69 00 6E 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2F 00 00 00 2F 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 2F 00 46 00 72 00 61 00 6D 00 65 00 77 00 6F 00 72 00 6B 00 73 00 2F 00 46 00 69 00 72 00 65 00 62 00 69 00 72 00 64 00 2E 00 66 00 72 00 61 00 6D 00 65 00 77 00 6F 00 72 00 6B 00 2F 00 46 00 69 00 72 00 65 00 62 00 69 00 72 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 4F 00 73 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 64 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 2E 00 66 00 64 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 79 00 73 00 64 00 62 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 61 00 73 00 74 00 65 00 72 00 6B 00 65 00 79 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 6F 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 6F 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 45 00 72 00 72 00 6F 00 72 00 52 00 65 00 73 00 6F 00 75 00 72 00 63 00 65 00 46 00 69 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 6F 00 63 00 61 00 6C 00 65 00 43 00 6F 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 61 00 64 00 43 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 4C 00 65 00 76 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 68 00 61 00 72 00 53 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 33 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 51 00 4C 00 44 00 69 00 61 00 6C 00 65 00 63 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6D 00 6D 00 69 00 74 00 52 00 65 00 74 00 61 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 61 00 69 00 74 00 4F 00 6E 00 4C 00 6F 00 63 00 6B 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 72 00 69 00 6D 00 43 00 68 00 61 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_9012_0 {
	meta:
		name = "TDBXFirebirdProperties.GetServerCharSet"
		size = 64
		refs = "0009 TDBXFirebirdProperties.GetServerCharSet 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 68 00 61 00 72 00 53 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_9206_0 {
	meta:
		name = "TDBXInterBaseProperties.GetServerCharSet"
		size = 64
		refs = "0009 TDBXInterBaseProperties.GetServerCharSet 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 68 00 61 00 72 00 53 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_12161_0 {
	meta:
		name = "TDBXMySQLProperties.GetServerCharSet"
		size = 64
		refs = "0009 TDBXMySQLProperties.GetServerCharSet 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 68 00 61 00 72 00 53 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_9016_0 {
	meta:
		name = "TDBXFirebirdProperties.SetServerCharSet"
		size = 56
		refs = "0003 TDBXFirebirdProperties.SetServerCharSet 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 68 00 61 00 72 00 53 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_9210_0 {
	meta:
		name = "TDBXInterBaseProperties.SetServerCharSet"
		size = 56
		refs = "0003 TDBXInterBaseProperties.SetServerCharSet 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 68 00 61 00 72 00 53 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_12169_0 {
	meta:
		name = "TDBXMySQLProperties.SetServerCharSet"
		size = 56
		refs = "0003 TDBXMySQLProperties.SetServerCharSet 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 68 00 61 00 72 00 53 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_9019_0 {
	meta:
		name = "Data.DbxFirebird"
		size = 60
		refs = "0002 _DV_3 000b _DV_TDBXFirebirdDriver 0010 Data.DbxFirebird 0015 TDBXDriverRegistry.RegisterDriverClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 69 00 72 00 65 00 62 00 69 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_9020_0 {
	meta:
		name = "Finalization"
		size = 64
		refs = "0002 _DV_1 000a _Dn_TDBXFirebirdMetaDataWriter 000f Finalization 0014 _Dn_TDBXMetaDataWriterFactory 0019 TDBXMetaDataWriterFactory.UnRegisterWriter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 15 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 69 00 72 00 65 00 62 00 69 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_9021_0 {
	meta:
		name = "Data.DBXFirebirdMetaData"
		size = 64
		refs = "0002 _DV_1 000b _Dn_TDBXFirebirdMetaDataWriter 0010 Data.DBXFirebirdMetaData 0015 _Dn_TDBXMetaDataWriterFactory 001a TDBXMetaDataWriterFactory.RegisterWriter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 69 00 72 00 65 00 62 00 69 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_9023_0 {
	meta:
		name = "TDBXFirebirdCustomMetaDataReader.SetContext"
		size = 304
		refs = "0014 TDBXFirebirdCustomMetaDataReader.SetContext 0023 TDBXBaseMetaDataReader.SetContext 003f @UStrEqual 0074 C_Conditional 007f @UStrAsg 0099 @UStrArrayClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 20 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 88 43 18 8D 45 F8 50 8D 4D F4 BA ?? ?? ?? ?? 8B C6 8B 30 FF 56 20 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 43 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 51 00 75 00 6F 00 74 00 65 00 43 00 68 00 61 00 72 00 45 00 6E 00 61 00 62 00 6C 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_9217_0 {
	meta:
		name = "TDBXInterbaseCustomMetaDataReader.SetContext"
		size = 304
		refs = "0014 TDBXInterbaseCustomMetaDataReader.SetContext 0023 TDBXBaseMetaDataReader.SetContext 003f @UStrEqual 0074 C_Conditional 007f @UStrAsg 0099 @UStrArrayClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 20 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 88 43 18 8D 45 F8 50 8D 4D F4 BA ?? ?? ?? ?? 8B C6 8B 30 FF 56 20 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 43 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 51 00 75 00 6F 00 74 00 65 00 43 00 68 00 61 00 72 00 45 00 6E 00 61 00 62 00 6C 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_9024_0 {
	meta:
		name = "TDBXFirebirdCustomMetaDataReader.IsDefaultCharSetUnicode"
		size = 5
		altNames = "TDBXInterbaseCustomMetaDataReader.IsDefaultCharSetUnicode TDBXLocalChannel.HasReadData TDSTCPChannel.IsConnectionLost"
	strings:
		$1 = { 0F B6 40 18 C3 }
	condition:
		$1
}

rule function_9028_0 {
	meta:
		name = "TDBXFirebirdCustomMetaDataReader.GetDataTypeDescriptions"
		size = 194
		refs = "0015 TDBXFirebirdCustomMetaDataReader.GetDataTypeDescriptions 0030 @DynArrayLength 003f TDBXDataTypeDescriptionArray 0044 @DynArraySetLength 0066 _Dn_TDBXDataTypeDescription 006b TDBXDataTypeDescription.Create 0086 @DynArrayAsg 00a1 @DynArrayClear 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C7 8B 08 FF 91 3C 01 00 00 8B 47 1C E8 ?? ?? ?? ?? 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1F 46 33 DB 8B 47 1C 8B 0C 98 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 04 9A 43 4E 75 E4 8B 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9222_0 {
	meta:
		name = "TDBXInterbaseCustomMetaDataReader.GetDataTypeDescriptions"
		size = 194
		refs = "0015 TDBXInterbaseCustomMetaDataReader.GetDataTypeDescriptions 0030 @DynArrayLength 003f TDBXDataTypeDescriptionArray 0044 @DynArraySetLength 0066 _Dn_TDBXDataTypeDescription 006b TDBXDataTypeDescription.Create 0086 @DynArrayAsg 00a1 @DynArrayClear 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C7 8B 08 FF 91 3C 01 00 00 8B 47 1C E8 ?? ?? ?? ?? 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1F 46 33 DB 8B 47 1C 8B 0C 98 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 04 9A 43 4E 75 E4 8B 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9029_0 {
	meta:
		name = "TDBXFirebirdCustomMetaDataReader.GetAllDataTypes"
		size = 1560
		refs = "0010 TDBXFirebirdCustomMetaDataReader.GetAllDataTypes 0030 TDBXDataTypeDescriptionArray 0035 @DynArraySetLength 0077 _Dn_TDBXDataTypeDescription 007c TDBXDataTypeDescription.Create 033a @DynArrayAsg 0365 @DynArrayClear 036b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 1C 00 0F 85 1A 03 00 00 6A 0D 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 BE 01 00 00 00 80 7B 18 00 74 05 BE 1A 00 00 00 56 6A 00 68 00 80 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C6 23 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 56 6A 00 68 A6 7F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C2 23 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 6A 06 6A 00 6A 0A 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 6A 05 6A 00 6A 05 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 6A 1B 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 6A 07 6A 00 6A 35 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 6A 08 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 12 6A 00 6A 00 6A 00 6A 00 6A 00 68 D4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 6A 08 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 12 6A 00 6A 00 6A 00 6A 00 6A 00 68 D6 02 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 6A 02 6A 00 6A 00 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 6A 0A 6A 00 6A 00 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 6A 18 6A 00 6A 00 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 6A 03 6A 00 68 FF FF FF 7F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 62 A2 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 6A 12 6A 00 6A 13 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 8D 43 1C 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 1C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 48 00 41 00 52 00 28 00 7B 00 30 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 48 00 41 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 4E 00 54 00 45 00 47 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 4D 00 41 00 4C 00 4C 00 49 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 4C 00 4F 00 41 00 54 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 4C 00 4F 00 41 00 54 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 44 00 4F 00 55 00 42 00 4C 00 45 00 20 00 50 00 52 00 45 00 43 00 49 00 53 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 4E 00 55 00 4D 00 45 00 52 00 49 00 43 00 28 00 7B 00 30 00 7D 00 2C 00 20 00 7B 00 31 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 2C 00 20 00 53 00 63 00 61 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4E 00 55 00 4D 00 45 00 52 00 49 00 43 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 44 00 45 00 43 00 49 00 4D 00 41 00 4C 00 28 00 7B 00 30 00 7D 00 2C 00 20 00 7B 00 31 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 45 00 43 00 49 00 4D 00 41 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 49 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 49 00 4D 00 45 00 53 00 54 00 41 00 4D 00 50 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 4C 00 4F 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 49 00 47 00 49 00 4E 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_9030_0 {
	meta:
		name = "TDBXFirebirdCustomMetaDataReader.FetchColumns"
		size = 460
		refs = "0018 TDBXFirebirdCustomMetaDataReader.FetchColumns 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 00cf TDBXMetaDataCollectionColumns.CreateColumnsColumns 00ec _DV_TDBXFirebirdTypeFilterCursor 00f1 TDBXFirebirdTypeFilterCursor.Create 0108 @UStrClr 0111 TDBXValueTypeArray 0116 @DynArrayClear 0129 @FinalizeArray 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 F4 00 00 00 8B 45 F0 50 8B C3 8B 10 FF 52 0C 8B 4D FC 5A 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 50 56 6A 04 6A 04 6A 0C 6A 06 6A 08 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_9224_0 {
	meta:
		name = "TDBXInterbaseCustomMetaDataReader.FetchColumns"
		size = 460
		refs = "0018 TDBXInterbaseCustomMetaDataReader.FetchColumns 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 00cf TDBXMetaDataCollectionColumns.CreateColumnsColumns 00ec _DV_TDBXInterbaseTypeFilterCursor 00f1 TDBXInterbaseTypeFilterCursor.Create 0108 @UStrClr 0111 TDBXValueTypeArray 0116 @DynArrayClear 0129 @FinalizeArray 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 F4 00 00 00 8B 45 F0 50 8B C3 8B 10 FF 52 0C 8B 4D FC 5A 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 50 56 6A 04 6A 04 6A 0C 6A 06 6A 08 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_9031_0 {
	meta:
		name = "TDBXFirebirdCustomMetaDataReader.FetchProcedureParameters"
		size = 568
		refs = "0018 TDBXFirebirdCustomMetaDataReader.FetchProcedureParameters 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 00ed TDBXMetaDataCollectionColumns.CreateProcedureParametersColumns 010a _DV_TDBXFirebirdTypeFilterCursor 010f TDBXFirebirdTypeFilterCursor.Create 0126 @UStrClr 012f TDBXValueTypeArray 0134 @DynArrayClear 0147 @FinalizeArray 014d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 04 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 83 C0 0C 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 18 01 00 00 8B 45 F0 50 8B C3 8B 10 FF 52 0C 8B 4D FC 5A 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 50 56 6A 05 6A 05 6A 0A 6A 07 6A FF 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_9225_0 {
	meta:
		name = "TDBXInterbaseCustomMetaDataReader.FetchProcedureParameters"
		size = 568
		refs = "0018 TDBXInterbaseCustomMetaDataReader.FetchProcedureParameters 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 00ed TDBXMetaDataCollectionColumns.CreateProcedureParametersColumns 010a _DV_TDBXInterbaseTypeFilterCursor 010f TDBXInterbaseTypeFilterCursor.Create 0126 @UStrClr 012f TDBXValueTypeArray 0134 @DynArrayClear 0147 @FinalizeArray 014d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 04 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 83 C0 0C 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 18 01 00 00 8B 45 F0 50 8B C3 8B 10 FF 52 0C 8B 4D FC 5A 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 50 56 6A 05 6A 05 6A 0A 6A 07 6A FF 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_9032_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.GetProductName"
		size = 52
		refs = "0006 TDBXFirebirdMetaDataReader.GetProductName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 69 00 72 00 65 00 62 00 69 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_9038_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.FetchSchemas"
		size = 120
		refs = "000a TDBXFirebirdMetaDataReader.FetchSchemas 0018 TDBXMetaDataCollectionColumns.CreateSchemasColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 73 00 00 00 }
	condition:
		$1
}

rule function_9232_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.FetchSchemas"
		size = 120
		refs = "000a TDBXInterbaseMetaDataReader.FetchSchemas 0018 TDBXMetaDataCollectionColumns.CreateSchemasColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 73 00 00 00 }
	condition:
		$1
}

rule function_12283_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.FetchSchemas"
		size = 120
		refs = "000a TDBXMySqlMetaDataReader.FetchSchemas 0018 TDBXMetaDataCollectionColumns.CreateSchemasColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 73 00 00 00 }
	condition:
		$1
}

rule function_9039_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.GetSqlForTables"
		size = 1072
		refs = "0006 TDBXFirebirdMetaDataReader.GetSqlForTables 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3E 00 20 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 54 00 41 00 42 00 4C 00 45 00 27 00 20 00 57 00 48 00 45 00 4E 00 20 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 49 00 53 00 20 00 4E 00 4F 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 56 00 49 00 45 00 57 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 54 00 41 00 42 00 4C 00 45 00 27 00 20 00 45 00 4E 00 44 00 20 00 41 00 53 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 28 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3E 00 20 00 30 00 20 00 41 00 4E 00 44 00 20 00 3A 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 54 00 41 00 42 00 4C 00 45 00 53 00 3D 00 27 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 54 00 41 00 42 00 4C 00 45 00 27 00 29 00 20 00 4F 00 52 00 20 00 28 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 49 00 53 00 20 00 4E 00 4F 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 4E 00 44 00 20 00 3A 00 56 00 49 00 45 00 57 00 53 00 3D 00 27 00 56 00 49 00 45 00 57 00 27 00 29 00 20 00 4F 00 52 00 20 00 28 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3D 00 20 00 30 00 20 00 41 00 4E 00 44 00 20 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 4E 00 44 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 53 00 3D 00 27 00 54 00 41 00 42 00 4C 00 45 00 27 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_9233_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.GetSqlForTables"
		size = 1072
		refs = "0006 TDBXInterbaseMetaDataReader.GetSqlForTables 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3E 00 20 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 54 00 41 00 42 00 4C 00 45 00 27 00 20 00 57 00 48 00 45 00 4E 00 20 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 49 00 53 00 20 00 4E 00 4F 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 56 00 49 00 45 00 57 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 54 00 41 00 42 00 4C 00 45 00 27 00 20 00 45 00 4E 00 44 00 20 00 41 00 53 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 28 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3E 00 20 00 30 00 20 00 41 00 4E 00 44 00 20 00 3A 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 54 00 41 00 42 00 4C 00 45 00 53 00 3D 00 27 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 54 00 41 00 42 00 4C 00 45 00 27 00 29 00 20 00 4F 00 52 00 20 00 28 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 49 00 53 00 20 00 4E 00 4F 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 4E 00 44 00 20 00 3A 00 56 00 49 00 45 00 57 00 53 00 3D 00 27 00 56 00 49 00 45 00 57 00 27 00 29 00 20 00 4F 00 52 00 20 00 28 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3D 00 20 00 30 00 20 00 41 00 4E 00 44 00 20 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 4E 00 44 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 53 00 3D 00 27 00 54 00 41 00 42 00 4C 00 45 00 27 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_9040_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.GetSqlForViews"
		size = 540
		refs = "0006 TDBXFirebirdMetaDataReader.GetSqlForViews 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF FD 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 56 00 49 00 45 00 57 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 56 00 49 00 45 00 57 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 49 00 53 00 20 00 4E 00 4F 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 33 00 00 00 }
	condition:
		$1
}

rule function_9234_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.GetSqlForViews"
		size = 540
		refs = "0006 TDBXInterbaseMetaDataReader.GetSqlForViews 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF FD 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 56 00 49 00 45 00 57 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 56 00 49 00 45 00 57 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 49 00 53 00 20 00 4E 00 4F 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 33 00 00 00 }
	condition:
		$1
}

rule function_9041_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.GetSqlForColumns"
		size = 1204
		refs = "0006 TDBXFirebirdMetaDataReader.GetSqlForColumns 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 48 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 52 00 46 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 52 00 45 00 43 00 49 00 53 00 49 00 4F 00 4E 00 2C 00 46 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 2C 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 29 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 43 00 41 00 4C 00 45 00 2C 00 20 00 52 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 2B 00 31 00 2C 00 20 00 52 00 46 00 2E 00 52 00 44 00 42 00 24 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 52 00 46 00 2E 00 52 00 44 00 42 00 24 00 4E 00 55 00 4C 00 4C 00 5F 00 46 00 4C 00 41 00 47 00 3D 00 31 00 20 00 54 00 48 00 45 00 4E 00 20 00 30 00 20 00 45 00 4C 00 53 00 45 00 20 00 31 00 20 00 45 00 4E 00 44 00 2C 00 20 00 30 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 55 00 42 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 49 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 46 00 49 00 45 00 4C 00 44 00 53 00 20 00 52 00 46 00 2C 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 53 00 20 00 46 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 52 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 3D 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 46 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 33 00 2C 00 20 00 52 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_9235_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.GetSqlForColumns"
		size = 1204
		refs = "0006 TDBXInterbaseMetaDataReader.GetSqlForColumns 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 48 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 52 00 46 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 52 00 45 00 43 00 49 00 53 00 49 00 4F 00 4E 00 2C 00 46 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 2C 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 29 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 43 00 41 00 4C 00 45 00 2C 00 20 00 52 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 2B 00 31 00 2C 00 20 00 52 00 46 00 2E 00 52 00 44 00 42 00 24 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 52 00 46 00 2E 00 52 00 44 00 42 00 24 00 4E 00 55 00 4C 00 4C 00 5F 00 46 00 4C 00 41 00 47 00 3D 00 31 00 20 00 54 00 48 00 45 00 4E 00 20 00 30 00 20 00 45 00 4C 00 53 00 45 00 20 00 31 00 20 00 45 00 4E 00 44 00 2C 00 20 00 30 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 55 00 42 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 49 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 46 00 49 00 45 00 4C 00 44 00 53 00 20 00 52 00 46 00 2C 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 53 00 20 00 46 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 52 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 3D 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 46 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 33 00 2C 00 20 00 52 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_9043_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.GetSqlForIndexes"
		size = 1112
		refs = "0006 TDBXFirebirdMetaDataReader.GetSqlForIndexes 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 1A 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 54 00 48 00 45 00 4E 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 45 00 4C 00 53 00 45 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 45 00 4E 00 44 00 2C 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 54 00 59 00 50 00 45 00 3D 00 27 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 20 00 4B 00 45 00 59 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 31 00 20 00 45 00 4C 00 53 00 45 00 20 00 30 00 20 00 45 00 4E 00 44 00 2C 00 20 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 49 00 2E 00 52 00 44 00 42 00 24 00 55 00 4E 00 49 00 51 00 55 00 45 00 5F 00 46 00 4C 00 41 00 47 00 2C 00 30 00 29 00 2C 00 20 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 31 00 2D 00 49 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 54 00 59 00 50 00 45 00 2C 00 31 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 49 00 43 00 45 00 53 00 20 00 49 00 20 00 4C 00 45 00 46 00 54 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 43 00 20 00 4F 00 4E 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 49 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 33 00 2C 00 20 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_9237_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.GetSqlForIndexes"
		size = 1112
		refs = "0006 TDBXInterbaseMetaDataReader.GetSqlForIndexes 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 1A 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 54 00 48 00 45 00 4E 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 45 00 4C 00 53 00 45 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 45 00 4E 00 44 00 2C 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 54 00 59 00 50 00 45 00 3D 00 27 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 20 00 4B 00 45 00 59 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 31 00 20 00 45 00 4C 00 53 00 45 00 20 00 30 00 20 00 45 00 4E 00 44 00 2C 00 20 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 49 00 2E 00 52 00 44 00 42 00 24 00 55 00 4E 00 49 00 51 00 55 00 45 00 5F 00 46 00 4C 00 41 00 47 00 2C 00 30 00 29 00 2C 00 20 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 31 00 2D 00 49 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 54 00 59 00 50 00 45 00 2C 00 31 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 49 00 43 00 45 00 53 00 20 00 49 00 20 00 4C 00 45 00 46 00 54 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 43 00 20 00 4F 00 4E 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 49 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 33 00 2C 00 20 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_9044_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.GetSqlForIndexColumns"
		size = 1308
		refs = "0006 TDBXFirebirdMetaDataReader.GetSqlForIndexColumns 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 7C 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 54 00 48 00 45 00 4E 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 45 00 4C 00 53 00 45 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 45 00 4E 00 44 00 2C 00 20 00 53 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 53 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 2B 00 31 00 2C 00 20 00 31 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 49 00 43 00 45 00 53 00 20 00 49 00 20 00 4C 00 45 00 46 00 54 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 43 00 20 00 4F 00 4E 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 53 00 45 00 47 00 4D 00 45 00 4E 00 54 00 53 00 20 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 53 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 49 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 54 00 48 00 45 00 4E 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 45 00 4C 00 53 00 45 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 45 00 4E 00 44 00 20 00 3D 00 20 00 3A 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 33 00 2C 00 20 00 34 00 2C 00 20 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_9238_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.GetSqlForIndexColumns"
		size = 1308
		refs = "0006 TDBXInterbaseMetaDataReader.GetSqlForIndexColumns 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 7C 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 54 00 48 00 45 00 4E 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 45 00 4C 00 53 00 45 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 45 00 4E 00 44 00 2C 00 20 00 53 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 53 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 2B 00 31 00 2C 00 20 00 31 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 49 00 43 00 45 00 53 00 20 00 49 00 20 00 4C 00 45 00 46 00 54 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 43 00 20 00 4F 00 4E 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 53 00 45 00 47 00 4D 00 45 00 4E 00 54 00 53 00 20 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 53 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 49 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 54 00 48 00 45 00 4E 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 45 00 4C 00 53 00 45 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 45 00 4E 00 44 00 20 00 3D 00 20 00 3A 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 33 00 2C 00 20 00 34 00 2C 00 20 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_9045_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.GetSqlForForeignKeys"
		size = 624
		refs = "0006 TDBXFirebirdMetaDataReader.GetSqlForForeignKeys 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 27 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 46 00 4B 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 27 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 20 00 4B 00 45 00 59 00 27 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 33 00 2C 00 34 00 00 00 }
	condition:
		$1
}

rule function_9239_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.GetSqlForForeignKeys"
		size = 624
		refs = "0006 TDBXInterbaseMetaDataReader.GetSqlForForeignKeys 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 27 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 46 00 4B 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 27 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 20 00 4B 00 45 00 59 00 27 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 33 00 2C 00 34 00 00 00 }
	condition:
		$1
}

rule function_9046_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.GetSqlForForeignKeyColumns"
		size = 2468
		refs = "0006 TDBXFirebirdMetaDataReader.GetSqlForForeignKeyColumns 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF C0 04 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 53 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 50 00 4B 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 53 00 50 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 53 00 50 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 20 00 2B 00 20 00 31 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 50 00 4B 00 2C 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 46 00 4B 00 2C 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 46 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 46 00 52 00 43 00 2C 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 46 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 50 00 52 00 43 00 2C 00 20 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 53 00 45 00 47 00 4D 00 45 00 4E 00 54 00 53 00 20 00 49 00 53 00 50 00 2C 00 20 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 53 00 45 00 47 00 4D 00 45 00 4E 00 54 00 53 00 20 00 49 00 53 00 46 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 27 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 20 00 4B 00 45 00 59 00 27 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 46 00 52 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 46 00 52 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 5F 00 55 00 51 00 20 00 3D 00 20 00 50 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 50 00 4B 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 49 00 53 00 50 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 49 00 53 00 46 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 49 00 53 00 50 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 20 00 3D 00 20 00 49 00 53 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 50 00 52 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 50 00 4B 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 50 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 33 00 2C 00 34 00 2C 00 49 00 53 00 50 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_9240_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.GetSqlForForeignKeyColumns"
		size = 2468
		refs = "0006 TDBXInterbaseMetaDataReader.GetSqlForForeignKeyColumns 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF C0 04 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 53 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 50 00 4B 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 53 00 50 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 53 00 50 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 20 00 2B 00 20 00 31 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 50 00 4B 00 2C 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 46 00 4B 00 2C 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 46 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 46 00 52 00 43 00 2C 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 46 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 50 00 52 00 43 00 2C 00 20 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 53 00 45 00 47 00 4D 00 45 00 4E 00 54 00 53 00 20 00 49 00 53 00 50 00 2C 00 20 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 53 00 45 00 47 00 4D 00 45 00 4E 00 54 00 53 00 20 00 49 00 53 00 46 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 27 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 20 00 4B 00 45 00 59 00 27 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 46 00 52 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 46 00 52 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 5F 00 55 00 51 00 20 00 3D 00 20 00 50 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 50 00 4B 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 49 00 53 00 50 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 49 00 53 00 46 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 49 00 53 00 50 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 20 00 3D 00 20 00 49 00 53 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 50 00 52 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 50 00 4B 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 50 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 33 00 2C 00 34 00 2C 00 49 00 53 00 50 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_9047_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.FetchSynonyms"
		size = 128
		refs = "000a TDBXFirebirdMetaDataReader.FetchSynonyms 0018 TDBXMetaDataCollectionColumns.CreateSynonymsColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_9241_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.FetchSynonyms"
		size = 128
		refs = "000a TDBXInterbaseMetaDataReader.FetchSynonyms 0018 TDBXMetaDataCollectionColumns.CreateSynonymsColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12292_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.FetchSynonyms"
		size = 128
		refs = "000a TDBXMySqlMetaDataReader.FetchSynonyms 0018 TDBXMetaDataCollectionColumns.CreateSynonymsColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_13291_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.FetchSynonyms"
		size = 128
		refs = "000a TDBXSybaseASAMetaDataReader.FetchSynonyms 0018 TDBXMetaDataCollectionColumns.CreateSynonymsColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_13376_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.FetchSynonyms"
		size = 128
		refs = "000a TDBXSybaseASEMetaDataReader.FetchSynonyms 0018 TDBXMetaDataCollectionColumns.CreateSynonymsColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_9048_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.GetSqlForProcedures"
		size = 1364
		refs = "0006 TDBXFirebirdMetaDataReader.GetSqlForProcedures 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 99 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 30 00 29 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 43 00 41 00 53 00 54 00 28 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 30 00 29 00 29 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 55 00 4E 00 49 00 4F 00 4E 00 20 00 41 00 4C 00 4C 00 20 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 27 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 27 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 30 00 29 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 43 00 41 00 53 00 54 00 28 00 27 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 27 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 30 00 29 00 29 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 33 00 00 00 }
	condition:
		$1
}

rule function_9242_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.GetSqlForProcedures"
		size = 1364
		refs = "0006 TDBXInterbaseMetaDataReader.GetSqlForProcedures 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 99 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 30 00 29 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 43 00 41 00 53 00 54 00 28 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 30 00 29 00 29 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 55 00 4E 00 49 00 4F 00 4E 00 20 00 41 00 4C 00 4C 00 20 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 27 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 27 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 30 00 29 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 43 00 41 00 53 00 54 00 28 00 27 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 27 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 30 00 29 00 29 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 33 00 00 00 }
	condition:
		$1
}

rule function_9049_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.GetSqlForProcedureSources"
		size = 548
		refs = "0006 TDBXFirebirdMetaDataReader.GetSqlForProcedureSources 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 00 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 2C 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_9243_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.GetSqlForProcedureSources"
		size = 548
		refs = "0006 TDBXInterbaseMetaDataReader.GetSqlForProcedureSources 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 00 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 2C 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_9050_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.GetSqlForProcedureParameters"
		size = 2820
		refs = "0006 TDBXFirebirdMetaDataReader.GetSqlForProcedureParameters 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 70 05 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 50 00 2E 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 2E 00 52 00 44 00 42 00 24 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 50 00 2E 00 52 00 44 00 42 00 24 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 54 00 59 00 50 00 45 00 20 00 3E 00 20 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 43 00 41 00 53 00 54 00 28 00 27 00 4F 00 55 00 54 00 27 00 20 00 41 00 53 00 20 00 43 00 48 00 41 00 52 00 28 00 36 00 29 00 29 00 20 00 45 00 4C 00 53 00 45 00 20 00 43 00 41 00 53 00 54 00 28 00 27 00 49 00 4E 00 27 00 20 00 41 00 53 00 20 00 43 00 48 00 41 00 52 00 28 00 36 00 29 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 43 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 52 00 45 00 43 00 49 00 53 00 49 00 4F 00 4E 00 2C 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 2C 00 43 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 29 00 2C 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 43 00 41 00 4C 00 45 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 50 00 2E 00 52 00 44 00 42 00 24 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 55 00 4D 00 42 00 45 00 52 00 2B 00 31 00 20 00 41 00 53 00 20 00 53 00 4D 00 41 00 4C 00 4C 00 49 00 4E 00 54 00 29 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 31 00 2D 00 43 00 2E 00 52 00 44 00 42 00 24 00 4E 00 55 00 4C 00 4C 00 5F 00 46 00 4C 00 41 00 47 00 2C 00 31 00 29 00 20 00 41 00 53 00 20 00 49 00 4E 00 54 00 45 00 47 00 45 00 52 00 29 00 2C 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 55 00 42 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 49 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 53 00 20 00 50 00 2C 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 53 00 20 00 43 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 50 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 3D 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 50 00 2E 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 50 00 2E 00 52 00 44 00 42 00 24 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 55 00 4E 00 49 00 4F 00 4E 00 20 00 41 00 4C 00 4C 00 20 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 41 00 52 00 47 00 55 00 4D 00 45 00 4E 00 54 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 20 00 3D 00 20 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 43 00 41 00 53 00 54 00 28 00 27 00 4F 00 55 00 54 00 27 00 20 00 41 00 53 00 20 00 43 00 48 00 41 00 52 00 28 00 36 00 29 00 29 00 20 00 45 00 4C 00 53 00 45 00 20 00 43 00 41 00 53 00 54 00 28 00 27 00 49 00 4E 00 27 00 20 00 41 00 53 00 20 00 43 00 48 00 41 00 52 00 28 00 36 00 29 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 20 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 52 00 45 00 43 00 49 00 53 00 49 00 4F 00 4E 00 2C 00 46 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 2C 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 29 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 43 00 41 00 4C 00 45 00 2C 00 20 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 41 00 52 00 47 00 55 00 4D 00 45 00 4E 00 54 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 2C 00 20 00 43 00 41 00 53 00 54 00 20 00 28 00 30 00 20 00 41 00 53 00 20 00 49 00 4E 00 54 00 45 00 47 00 45 00 52 00 29 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 55 00 42 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 49 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 41 00 52 00 47 00 55 00 4D 00 45 00 4E 00 54 00 53 00 20 00 46 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 43 00 41 00 53 00 54 00 28 00 27 00 41 00 52 00 47 00 27 00 20 00 7C 00 7C 00 20 00 28 00 46 00 2E 00 52 00 44 00 42 00 24 00 41 00 52 00 47 00 55 00 4D 00 45 00 4E 00 54 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 2B 00 31 00 29 00 20 00 41 00 53 00 20 00 43 00 48 00 41 00 52 00 28 00 36 00 37 00 29 00 29 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 35 00 2C 00 20 00 39 00 00 00 00 00 }
	condition:
		$1
}

rule function_9055_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.GetSqlForUsers"
		size = 156
		refs = "0006 TDBXFirebirdMetaDataReader.GetSqlForUsers 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 3C 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 49 00 53 00 54 00 49 00 4E 00 43 00 54 00 20 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 5F 00 50 00 52 00 49 00 56 00 49 00 4C 00 45 00 47 00 45 00 53 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_9056_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.GetSqlForRoles"
		size = 128
		refs = "0006 TDBXFirebirdMetaDataReader.GetSqlForRoles 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 52 00 44 00 42 00 24 00 52 00 4F 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 4F 00 4C 00 45 00 53 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_9250_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.GetSqlForRoles"
		size = 128
		refs = "0006 TDBXInterbaseMetaDataReader.GetSqlForRoles 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 52 00 44 00 42 00 24 00 52 00 4F 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 4F 00 4C 00 45 00 53 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_9057_0 {
	meta:
		name = "TDBXFirebirdMetaDataReader.GetReservedWords"
		size = 13412
		refs = "000c TDBXFirebirdMetaDataReader.GetReservedWords 0025 TDBXStringArray 002a @DynArraySetLength 003a @UStrAsg 144c @DynArrayAsg 1467 @DynArrayClear 146d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 21 01 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 28 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 34 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 3C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 60 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 6C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 70 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 74 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 78 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 7C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 03 00 00 BA ?? }
	condition:
		$1
}

rule function_9251_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.GetReservedWords"
		size = 13412
		refs = "000c TDBXInterbaseMetaDataReader.GetReservedWords 0025 TDBXStringArray 002a @DynArraySetLength 003a @UStrAsg 144c @DynArrayAsg 1467 @DynArrayClear 146d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 21 01 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 28 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 34 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 3C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 60 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 6C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 70 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 74 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 78 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 7C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 03 00 00 BA ?? }
	condition:
		$1
}

rule function_9058_0 {
	meta:
		name = "TDBXFirebirdTypeFilterCursor.Create"
		size = 220
		refs = "0016 @ClassCreate 0028 TDBXFirebirdTypeFilterCursor.Create 004c TDBXCustomMetaDataTable.Create 0075 _Dn_TDBXSingleValueRow 007a TDBXSingleValueRow.Create 00a9 TDBXValueTypeArray 00ae @DynArrayClear 00b4 @HandleFinally 00c3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 24 50 8B 45 20 50 8B 45 1C 50 8B C6 8B 10 FF 52 0C 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 38 8B 45 18 89 43 3C 8B 45 14 89 43 40 89 7B 44 47 89 7B 48 8B 45 0C 89 43 4C 8B 45 08 89 43 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 58 8D 55 F8 8B C3 8B 08 FF 51 28 8B 55 F8 8B C6 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 20 00 }
	condition:
		$1
}

rule function_9252_0 {
	meta:
		name = "TDBXInterbaseTypeFilterCursor.Create"
		size = 220
		refs = "0016 @ClassCreate 0028 TDBXInterbaseTypeFilterCursor.Create 004c TDBXCustomMetaDataTable.Create 0075 _Dn_TDBXSingleValueRow 007a TDBXSingleValueRow.Create 00a9 TDBXValueTypeArray 00ae @DynArrayClear 00b4 @HandleFinally 00c3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 24 50 8B 45 20 50 8B 45 1C 50 8B C6 8B 10 FF 52 0C 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 38 8B 45 18 89 43 3C 8B 45 14 89 43 40 89 7B 44 47 89 7B 48 8B 45 0C 89 43 4C 8B 45 08 89 43 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 58 8D 55 F8 8B C3 8B 08 FF 51 28 8B 55 F8 8B C6 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 20 00 }
	condition:
		$1
}

rule function_9060_0 {
	meta:
		name = "TDBXFirebirdTypeFilterCursor.FindStringSize"
		size = 17
		refs = "000c TDBXCustomMetaDataTable.FindStringSize"
		altNames = "TDBXInterbaseTypeFilterCursor.FindStringSize"
	strings:
		$1 = { 3B 50 3C 75 06 B8 20 00 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9061_0 {
	meta:
		name = "TDBXFirebirdTypeFilterCursor.Next"
		size = 472
		refs = "0011 TDBXFirebirdTypeFilterCursor.Next 0023 TDBXCustomMetaDataTable.Next 0035 TDBXFirebirdTypeFilterCursor.ComputeDataType 005a @DynArrayLength 009e TDBXFirebirdTypeFilterCursor.ComputeTypeName 00dd TDBXDataTypeDescription.IsFixedLength 0101 TDBXFirebirdTypeFilterCursor.ComputeUnicode 0126 TDBXDataTypeDescription.IsLong 014b TDBXDataTypeDescription.IsUnsigned 0172 TDBXFirebirdTypeFilterCursor.ComputeDefaultValue 01c4 @UStrArrayClr 01ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 43 54 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 7C 01 00 00 8B C3 E8 ?? ?? ?? ?? 83 7B 54 00 75 4D 8B 53 3C 8B 43 58 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 8B 43 44 50 8B 43 28 E8 ?? ?? ?? ?? 8B F0 4E 58 2B F0 0F 8C F0 00 00 00 46 89 45 FC 8B 55 FC 8B 43 58 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 FF 45 FC 4E 75 E7 E9 CE 00 00 00 8B 53 3C 8B 43 58 8B 08 FF 51 24 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 58 8B 08 FF 91 24 01 00 00 8B 53 44 8B 43 58 8B 08 FF 51 24 8B 53 54 8B 52 08 8B 08 FF 91 1C 01 00 00 8B 53 44 83 C2 0D 83 EA 0C 8B 43 58 8B 08 FF 51 24 50 8B 43 54 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 8B 53 44 83 C2 0E 83 EA 0C 8B 43 58 8B 08 FF 51 24 50 8B C3 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 8B 53 44 83 C2 0F 83 EA 0C 8B 43 58 8B 08 FF 51 24 50 8B 43 54 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 8B 53 44 83 C2 10 83 EA 0C 8B 43 58 8B 08 FF 51 24 50 8B 43 54 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 8B 73 50 85 F6 7C 21 8B D6 8B 43 58 8B 08 FF 51 24 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 58 8B 08 FF 91 24 01 00 00 8B 53 4C 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 20 99 33 C2 2B C2 50 8B 53 4C 8B 43 58 8B 08 FF 51 24 5A 8B 08 FF 91 1C 01 00 00 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9255_0 {
	meta:
		name = "TDBXInterbaseTypeFilterCursor.Next"
		size = 472
		refs = "0011 TDBXInterbaseTypeFilterCursor.Next 0023 TDBXCustomMetaDataTable.Next 0035 TDBXInterbaseTypeFilterCursor.ComputeDataType 005a @DynArrayLength 009e TDBXInterbaseTypeFilterCursor.ComputeTypeName 00dd TDBXDataTypeDescription.IsFixedLength 0101 TDBXInterbaseTypeFilterCursor.ComputeUnicode 0126 TDBXDataTypeDescription.IsLong 014b TDBXDataTypeDescription.IsUnsigned 0172 TDBXInterbaseTypeFilterCursor.ComputeDefaultValue 01c4 @UStrArrayClr 01ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 43 54 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 7C 01 00 00 8B C3 E8 ?? ?? ?? ?? 83 7B 54 00 75 4D 8B 53 3C 8B 43 58 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 8B 43 44 50 8B 43 28 E8 ?? ?? ?? ?? 8B F0 4E 58 2B F0 0F 8C F0 00 00 00 46 89 45 FC 8B 55 FC 8B 43 58 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 FF 45 FC 4E 75 E7 E9 CE 00 00 00 8B 53 3C 8B 43 58 8B 08 FF 51 24 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 58 8B 08 FF 91 24 01 00 00 8B 53 44 8B 43 58 8B 08 FF 51 24 8B 53 54 8B 52 08 8B 08 FF 91 1C 01 00 00 8B 53 44 83 C2 0D 83 EA 0C 8B 43 58 8B 08 FF 51 24 50 8B 43 54 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 8B 53 44 83 C2 0E 83 EA 0C 8B 43 58 8B 08 FF 51 24 50 8B C3 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 8B 53 44 83 C2 0F 83 EA 0C 8B 43 58 8B 08 FF 51 24 50 8B 43 54 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 8B 53 44 83 C2 10 83 EA 0C 8B 43 58 8B 08 FF 51 24 50 8B 43 54 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 8B 73 50 85 F6 7C 21 8B D6 8B 43 58 8B 08 FF 51 24 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 58 8B 08 FF 91 24 01 00 00 8B 53 4C 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 20 99 33 C2 2B C2 50 8B 53 4C 8B 43 58 8B 08 FF 51 24 5A 8B 08 FF 91 1C 01 00 00 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9062_0 {
	meta:
		name = "TDBXFirebirdTypeFilterCursor.GetWritableValue"
		size = 46
		refs = "0029 TDBXCustomMetaDataTable.GetWritableValue"
		altNames = "TDBXInterbaseTypeFilterCursor.GetWritableValue"
	strings:
		$1 = { 8B 48 44 3B D1 7D 18 3B 50 3C 74 13 3B 50 50 74 0E 3B 50 4C 74 09 3B CA 74 05 3B 50 40 75 09 8B 40 58 8B 08 FF 51 24 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9063_0 {
	meta:
		name = "TDBXFirebirdTypeFilterCursor.ComputeDataType"
		size = 179
		refs = "0013 TDBXFirebirdTypeFilterCursor.ComputeDataType 005d TDBXFirebirdTypeFilterCursor.GetIBType 0079 @DynArrayLength 009c TDBXDataTypeDescriptionArray 00a1 @DynArrayClear 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 40 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 1C 8B F0 8B 53 44 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 1C 66 89 45 FA 8B 53 4C 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 1C 50 0F B7 4D FA 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B 43 38 8B 08 FF 91 3C 01 00 00 85 F6 7C 15 8B 45 FC E8 ?? ?? ?? ?? 3B F0 7D 09 8B 45 FC 8B 04 B0 89 43 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9257_0 {
	meta:
		name = "TDBXInterbaseTypeFilterCursor.ComputeDataType"
		size = 179
		refs = "0013 TDBXInterbaseTypeFilterCursor.ComputeDataType 005d TDBXInterbaseTypeFilterCursor.GetIBType 0079 @DynArrayLength 009c TDBXDataTypeDescriptionArray 00a1 @DynArrayClear 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 40 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 1C 8B F0 8B 53 44 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 1C 66 89 45 FA 8B 53 4C 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 1C 50 0F B7 4D FA 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B 43 38 8B 08 FF 91 3C 01 00 00 85 F6 7C 15 8B 45 FC E8 ?? ?? ?? ?? 3B F0 7D 09 8B 45 FC 8B 04 B0 89 43 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9064_0 {
	meta:
		name = "TDBXFirebirdTypeFilterCursor.ComputeTypeName"
		size = 172
		refs = "0010 TDBXFirebirdTypeFilterCursor.ComputeTypeName 0029 @UStrAsg 0048 IntToStr 0057 @UStrCat3 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 54 83 7F 08 03 74 0C 8B C6 8B 57 04 E8 ?? ?? ?? ?? EB 2C 8B 53 44 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 1C 8B D8 8D 55 FC 0F BF C3 E8 ?? ?? ?? ?? 8B 4D FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 42 00 4C 00 4F 00 42 00 20 00 53 00 55 00 42 00 5F 00 54 00 59 00 50 00 45 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_9258_0 {
	meta:
		name = "TDBXInterbaseTypeFilterCursor.ComputeTypeName"
		size = 172
		refs = "0010 TDBXInterbaseTypeFilterCursor.ComputeTypeName 0029 @UStrAsg 0048 IntToStr 0057 @UStrCat3 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 54 83 7F 08 03 74 0C 8B C6 8B 57 04 E8 ?? ?? ?? ?? EB 2C 8B 53 44 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 1C 8B D8 8D 55 FC 0F BF C3 E8 ?? ?? ?? ?? 8B 4D FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 42 00 4C 00 4F 00 42 00 20 00 53 00 55 00 42 00 5F 00 54 00 59 00 50 00 45 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_9065_0 {
	meta:
		name = "TDBXFirebirdTypeFilterCursor.ComputeUnicode"
		size = 83
		altNames = "TDBXInterbaseTypeFilterCursor.ComputeUnicode"
	strings:
		$1 = { 53 8B D8 8B 53 48 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 58 84 C0 74 04 33 C0 5B C3 8B 53 48 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 1C 66 83 E8 01 72 11 66 83 E8 02 74 14 83 C0 FE 66 83 E8 02 72 0B EB 0D 8B 43 38 0F B6 40 18 EB 06 B0 01 EB 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_9066_0 {
	meta:
		name = "TDBXFirebirdTypeFilterCursor.ComputeDefaultValue"
		size = 256
		refs = "0014 TDBXFirebirdTypeFilterCursor.ComputeDefaultValue 0022 @UStrClr 0054 Trim 005f @UStrLAsg 0077 Pos 00a1 @UStrCopy 00ac @UStrAsg 00ce @UStrArrayClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 53 50 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 58 84 C0 75 6B 8B 53 50 8B 43 24 8B 08 FF 51 24 8D 55 EC 8B 08 FF 51 28 8B 45 EC 8D 55 FC E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 48 0F 94 C0 84 C0 74 22 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC 50 8B CB 83 E9 08 BA 09 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_9260_0 {
	meta:
		name = "TDBXInterbaseTypeFilterCursor.ComputeDefaultValue"
		size = 256
		refs = "0014 TDBXInterbaseTypeFilterCursor.ComputeDefaultValue 0022 @UStrClr 0054 Trim 005f @UStrLAsg 0077 Pos 00a1 @UStrCopy 00ac @UStrAsg 00ce @UStrArrayClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 53 50 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 58 84 C0 75 6B 8B 53 50 8B 43 24 8B 08 FF 51 24 8D 55 EC 8B 08 FF 51 28 8B 45 EC 8D 55 FC E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 48 0F 94 C0 84 C0 74 22 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC 50 8B CB 83 E9 08 BA 09 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_9067_0 {
	meta:
		name = "TDBXFirebirdTypeFilterCursor.GetIBType"
		size = 312
		refs = "0086 TDBXFirebirdTypeFilterCursor.GetIBType"
	strings:
		$1 = { 55 8B EC 66 83 7D 08 00 7D 63 8B C2 66 83 E8 07 74 13 66 FF C8 74 18 66 83 E8 08 74 2C 66 83 E8 0B 74 40 EB 48 B8 06 00 00 00 E9 05 01 00 00 66 83 F9 02 75 0A B8 07 00 00 00 E9 F5 00 00 00 B8 06 00 00 00 E9 EB 00 00 00 66 83 F9 02 75 0A B8 07 00 00 00 E9 DB 00 00 00 B8 06 00 00 00 E9 D1 00 00 00 B8 06 00 00 00 E9 C7 00 00 00 0F BF C2 83 F8 0D 7F 2D 74 7F 83 C0 F9 83 F8 05 0F 87 AE 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 23 7F 13 74 46 83 E8 0E 74 36 83 E8 02 74 51 83 E8 0B 74 1E EB 77 83 E8 25 74 29 2D E0 00 00 00 74 5F EB 69 B8 03 00 00 00 EB 65 B8 02 00 00 00 EB 5E B8 05 00 00 00 EB 57 B8 04 00 00 00 EB 50 33 C0 EB 4C B8 01 00 00 00 EB 45 B8 0A 00 00 00 EB 3E B8 09 00 00 00 EB 37 B8 08 00 00 00 EB 30 66 83 F9 02 75 07 B8 07 00 00 00 EB 23 66 83 F9 01 75 07 B8 06 00 00 00 EB 16 B8 0C 00 00 00 EB 0F B8 0B 00 00 00 EB 08 83 C8 FF EB 03 83 C8 FF 5D C2 04 00 }
	condition:
		$1
}

rule function_9070_0 {
	meta:
		name = "TDBXFirebirdCustomMetaDataWriter.MakeSqlDataType"
		size = 57
		refs = "001c TDBXFirebirdCustomMetaDataWriter.FormatStringType 0025 TDBXFirebirdCustomMetaDataWriter.FormatBlobType 002e TDBXBaseMetaDataWriter.MakeSqlDataType"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 08 8B 75 0C 8B 59 08 4B 74 07 83 EB 02 74 0B EB 12 56 57 E8 ?? ?? ?? ?? EB 10 56 57 E8 ?? ?? ?? ?? EB 07 56 57 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_9264_0 {
	meta:
		name = "TDBXInterbaseCustomMetaDataWriter.MakeSqlDataType"
		size = 57
		refs = "001c TDBXInterbaseCustomMetaDataWriter.FormatStringType 0025 TDBXInterbaseCustomMetaDataWriter.FormatBlobType 002e TDBXBaseMetaDataWriter.MakeSqlDataType"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 08 8B 75 0C 8B 59 08 4B 74 07 83 EB 02 74 0B EB 12 56 57 E8 ?? ?? ?? ?? EB 10 56 57 E8 ?? ?? ?? ?? EB 07 56 57 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_9071_0 {
	meta:
		name = "TDBXFirebirdCustomMetaDataWriter.FormatStringType"
		size = 372
		refs = "0019 TDBXFirebirdCustomMetaDataWriter.FormatStringType 004a TDBXDataTypeDescription.IsFixedLength 005a TDBXStringBuffer.Append 0082 IntToStr 00a3 TDBXFirebirdCustomMetaDataWriter.UnicodeSpecificationRequired 00c8 @UStrClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 18 85 DB 7D 1A BA 05 00 00 00 8B 45 0C 8B 08 FF 51 24 83 CA FF 8B 08 FF 91 E8 00 00 00 8B D8 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 DB 7E 2C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 48 00 41 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 20 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 20 00 53 00 45 00 54 00 20 00 55 00 4E 00 49 00 43 00 4F 00 44 00 45 00 5F 00 46 00 53 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_9265_0 {
	meta:
		name = "TDBXInterbaseCustomMetaDataWriter.FormatStringType"
		size = 372
		refs = "0019 TDBXInterbaseCustomMetaDataWriter.FormatStringType 004a TDBXDataTypeDescription.IsFixedLength 005a TDBXStringBuffer.Append 0082 IntToStr 00a3 TDBXInterbaseCustomMetaDataWriter.UnicodeSpecificationRequired 00c8 @UStrClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 18 85 DB 7D 1A BA 05 00 00 00 8B 45 0C 8B 08 FF 51 24 83 CA FF 8B 08 FF 91 E8 00 00 00 8B D8 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 DB 7E 2C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 48 00 41 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 20 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 20 00 53 00 45 00 54 00 20 00 55 00 4E 00 49 00 43 00 4F 00 44 00 45 00 5F 00 46 00 53 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_9072_0 {
	meta:
		name = "TDBXFirebirdCustomMetaDataWriter.FormatBlobType"
		size = 380
		refs = "0016 TDBXFirebirdCustomMetaDataWriter.FormatBlobType 0029 @UStrLAsg 005a TDBXFirebirdCustomMetaDataWriter.UnicodeSpecificationRequired 0091 TDBXStringBuffer.Append 00c0 @UStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB BA 0C 00 00 00 8B 45 0C 8B 08 FF 51 24 BA 03 00 00 00 8B 08 FF 91 E8 00 00 00 48 74 07 83 E8 19 74 1E EB 36 8B 55 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8B 55 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 45 00 58 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 42 00 4C 00 4F 00 42 00 20 00 53 00 55 00 42 00 5F 00 54 00 59 00 50 00 45 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 20 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 20 00 53 00 45 00 54 00 20 00 55 00 4E 00 49 00 43 00 4F 00 44 00 45 00 5F 00 46 00 53 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_9266_0 {
	meta:
		name = "TDBXInterbaseCustomMetaDataWriter.FormatBlobType"
		size = 380
		refs = "0016 TDBXInterbaseCustomMetaDataWriter.FormatBlobType 0029 @UStrLAsg 005a TDBXInterbaseCustomMetaDataWriter.UnicodeSpecificationRequired 0091 TDBXStringBuffer.Append 00c0 @UStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB BA 0C 00 00 00 8B 45 0C 8B 08 FF 51 24 BA 03 00 00 00 8B 08 FF 91 E8 00 00 00 48 74 07 83 E8 19 74 1E EB 36 8B 55 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8B 55 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 45 00 58 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 42 00 4C 00 4F 00 42 00 20 00 53 00 55 00 42 00 5F 00 54 00 59 00 50 00 45 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 20 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 20 00 53 00 45 00 54 00 20 00 55 00 4E 00 49 00 43 00 4F 00 44 00 45 00 5F 00 46 00 53 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_9073_0 {
	meta:
		name = "TDBXFirebirdCustomMetaDataWriter.UnicodeSpecificationRequired"
		size = 22
		altNames = "TDBXInterbaseCustomMetaDataWriter.UnicodeSpecificationRequired"
	strings:
		$1 = { 53 8B DA BA 0E 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 68 5B C3 }
	condition:
		$1
}

rule function_9079_0 {
	meta:
		name = "TDBXFirebirdMetaDataWriter.GetAlterTableSupport"
		size = 6
		altNames = "TDBXInterbaseMetaDataWriter.GetAlterTableSupport"
	strings:
		$1 = { B8 0C 32 00 00 C3 }
	condition:
		$1
}

rule function_9088_0 {
	meta:
		name = "TDBXInformixProperties.Create"
		size = 2668
		refs = "0015 @ClassCreate 0021 TDBXInformixProperties.Create 0030 TDBXProperties.Create 0041 TDBXProperties.SetValue 005a _Dn_TDBXPlatform 005f TDBXPlatform.GetPublicKeyToken 006f @UStrCat3 01e2 @UStrArrayClr 01e8 @HandleFinally 01f5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 49 00 6E 00 66 00 6F 00 72 00 6D 00 69 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 31 00 00 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 2C 00 44 00 42 00 58 00 49 00 6E 00 66 00 6F 00 72 00 6D 00 69 00 78 00 44 00 72 00 69 00 76 00 65 00 72 00 31 00 36 00 30 00 2E 00 62 00 70 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 73 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 2C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 43 00 6F 00 6D 00 6D 00 6F 00 6E 00 44 00 72 00 69 00 76 00 65 00 72 00 2C 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 31 00 36 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 2C 00 43 00 75 00 6C 00 74 00 75 00 72 00 65 00 3D 00 6E 00 65 00 75 00 74 00 72 00 61 00 6C 00 2C 00 50 00 75 00 62 00 6C 00 69 00 63 00 4B 00 65 00 79 00 54 00 6F 00 6B 00 65 00 6E 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 41 00 73 00 73 00 65 00 6D 00 62 00 6C 00 79 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3B 00 00 00 54 00 44 00 42 00 58 00 49 00 6E 00 66 00 6F 00 72 00 6D 00 69 00 78 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 2C 00 44 00 62 00 78 00 49 00 6E 00 66 00 6F 00 72 00 6D 00 69 00 78 00 44 00 72 00 69 00 76 00 65 00 72 00 31 00 36 00 30 00 2E 00 62 00 70 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 7F 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 54 00 44 00 42 00 58 00 49 00 6E 00 66 00 6F 00 72 00 6D 00 69 00 78 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 2C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 49 00 6E 00 66 00 6F 00 72 00 6D 00 69 00 78 00 44 00 72 00 69 00 76 00 65 00 72 00 2C 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 31 00 36 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 2C 00 43 00 75 00 6C 00 74 00 75 00 72 00 65 00 3D 00 6E 00 65 00 75 00 74 00 72 00 61 00 6C 00 2C 00 50 00 75 00 62 00 6C 00 69 00 63 00 4B 00 65 00 79 00 54 00 6F 00 6B 00 65 00 6E 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 41 00 73 00 73 00 65 00 6D 00 62 00 6C 00 79 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 67 00 65 00 74 00 53 00 51 00 4C 00 44 00 72 00 69 00 76 00 65 00 72 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 44 00 72 00 69 00 76 00 65 00 72 00 46 00 75 00 6E 00 63 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 64 00 62 00 78 00 69 00 6E 00 66 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 6C 00 69 00 62 00 73 00 71 00 6C 00 69 00 6E 00 66 00 2E 00 64 00 79 00 6C 00 69 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 4F 00 73 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 69 00 73 00 71 00 6C 00 74 00 30 00 39 00 61 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 57 00 69 00 6E 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 6C 00 69 00 62 00 69 00 66 00 63 00 6C 00 69 00 2E 00 64 00 79 00 6C 00 69 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 4F 00 73 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 20 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 75 00 73 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 45 00 72 00 72 00 6F 00 72 00 52 00 65 00 73 00 6F 00 75 00 72 00 63 00 65 00 46 00 69 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 6F 00 63 00 61 00 6C 00 65 00 43 00 6F 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 61 00 64 00 43 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 4C 00 65 00 76 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 72 00 69 00 6D 00 43 00 68 00 61 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 65 00 6C 00 69 00 6D 00 49 00 64 00 65 00 6E 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_9091_0 {
	meta:
		name = "TDBXInformixProperties.GetInformixTransIsolation"
		size = 84
		refs = "0009 TDBXInformixProperties.GetInformixTransIsolation 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 17 00 00 00 49 00 6E 00 66 00 6F 00 72 00 6D 00 69 00 78 00 20 00 54 00 72 00 61 00 6E 00 73 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_9092_0 {
	meta:
		name = "TDBXInformixProperties.GetTrimChar"
		size = 116
		refs = "000c TDBXInformixProperties.GetTrimChar 0021 TDBXProperties.GetValue 002b StrToBoolDef 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 72 00 69 00 6D 00 20 00 43 00 68 00 61 00 72 00 00 00 }
	condition:
		$1
}

rule function_12593_0 {
	meta:
		name = "TDBXOracleProperties.GetTrimChar"
		size = 116
		refs = "000c TDBXOracleProperties.GetTrimChar 0021 TDBXProperties.GetValue 002b StrToBoolDef 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 72 00 69 00 6D 00 20 00 43 00 68 00 61 00 72 00 00 00 }
	condition:
		$1
}

rule function_9098_0 {
	meta:
		name = "TDBXInformixProperties.SetInformixTransIsolation"
		size = 76
		refs = "0003 TDBXInformixProperties.SetInformixTransIsolation 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 49 00 6E 00 66 00 6F 00 72 00 6D 00 69 00 78 00 20 00 54 00 72 00 61 00 6E 00 73 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_9099_0 {
	meta:
		name = "TDBXInformixProperties.SetTrimChar"
		size = 120
		refs = "000f TDBXInformixProperties.SetTrimChar 0021 BoolToStr 0030 TDBXProperties.SetValue 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 72 00 69 00 6D 00 20 00 43 00 68 00 61 00 72 00 00 00 }
	condition:
		$1
}

rule function_12604_0 {
	meta:
		name = "TDBXOracleProperties.SetTrimChar"
		size = 120
		refs = "000f TDBXOracleProperties.SetTrimChar 0021 BoolToStr 0030 TDBXProperties.SetValue 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 72 00 69 00 6D 00 20 00 43 00 68 00 61 00 72 00 00 00 }
	condition:
		$1
}

rule function_9104_0 {
	meta:
		name = "Data.DbxInformix"
		size = 60
		refs = "0002 _DV_3 000b _DV_TDBXInformixDriver 0010 Data.DbxInformix 0015 TDBXDriverRegistry.RegisterDriverClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 6E 00 66 00 6F 00 72 00 6D 00 69 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_9105_0 {
	meta:
		name = "Finalization"
		size = 92
		refs = "0002 _DV_1 000a _Dn_TDBXInformixMetaDataWriter 000f Finalization 0014 _Dn_TDBXMetaDataWriterFactory 0019 TDBXMetaDataWriterFactory.UnRegisterWriter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 15 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 49 00 6E 00 66 00 6F 00 72 00 6D 00 69 00 78 00 20 00 44 00 79 00 6E 00 61 00 6D 00 69 00 63 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_9106_0 {
	meta:
		name = "Data.DBXInformixMetaData"
		size = 92
		refs = "0002 _DV_1 000b _Dn_TDBXInformixMetaDataWriter 0010 Data.DBXInformixMetaData 0015 _Dn_TDBXMetaDataWriterFactory 001a TDBXMetaDataWriterFactory.RegisterWriter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 17 00 00 00 49 00 6E 00 66 00 6F 00 72 00 6D 00 69 00 78 00 20 00 44 00 79 00 6E 00 61 00 6D 00 69 00 63 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_9107_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000f FreeObjectArray 001f TObject.Free 002a TDBXBaseMetaDataReader.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 1C E8 ?? ?? ?? ?? 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9108_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.SetContext"
		size = 224
		refs = "0011 TDBXInformixCustomMetaDataReader.SetContext 0020 TDBXBaseMetaDataReader.SetContext 0040 @UStrEqual 004f C_Conditional 005a @UStrAsg 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 4D F8 BA ?? ?? ?? ?? 8B C6 8B 30 FF 56 20 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 43 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 51 00 75 00 6F 00 74 00 65 00 43 00 68 00 61 00 72 00 45 00 6E 00 61 00 62 00 6C 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_9112_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.GetDataTypeDescriptions"
		size = 256
		refs = "001a TDBXInformixCustomMetaDataReader.GetDataTypeDescriptions 002a TDBXInformixCustomMetaDataReader.GetAllDataTypes 0037 @DynArrayLength 0066 TDBXDataTypeDescriptionArray 006b @DynArraySetLength 009b _Dn_TDBXDataTypeDescription 00a0 TDBXDataTypeDescription.Create 00c4 @DynArrayAsg 00df @DynArrayClear 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8B 47 1C E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 16 43 33 F6 8B 47 1C 83 3C B0 00 74 06 8B 45 F4 FF 45 F4 46 4B 75 ED 8B 45 F4 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 F4 8B 47 1C E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 31 43 33 F6 8B 47 1C 83 3C B0 00 74 21 8B 47 1C 8B 0C B0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 4D F4 89 04 8A 8B 45 F4 FF 45 F4 46 4B 75 D2 8B 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9113_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.GetAllDataTypes"
		size = 2144
		refs = "000f TDBXInformixCustomMetaDataReader.GetAllDataTypes 002f TDBXDataTypeDescriptionArray 0034 @DynArraySetLength 0067 _Dn_TDBXDataTypeDescription 006c TDBXDataTypeDescription.Create 0460 @DynArrayAsg 048b @DynArrayClear 0491 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 1C 00 0F 85 41 04 00 00 6A 15 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 01 6A 00 68 FF 7F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C4 03 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 6A 01 6A 00 68 FE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C2 03 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 6A 1A 6A 00 68 FF 7F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C4 03 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 3C 6A 1A 6A 00 68 FE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C0 03 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 40 6A 05 6A 00 6A 05 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 6A 06 6A 00 6A 0A 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 6A 12 6A 00 6A 13 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 44 6A 07 6A 00 6A 0E 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 6A 1B 6A 00 6A 07 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 6A 07 6A 00 6A 0E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 6A 06 6A 00 6A 0A 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 94 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 6A 12 6A 00 6A 13 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 94 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 48 6A 02 6A 00 6A 0A 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C2 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 6A 18 6A 00 6A 0B 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C2 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 6A 08 6A 00 6A 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 20 6A 00 6A 00 6A 00 6A 00 6A 00 68 D4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 6A 03 6A 00 68 FF FF FF 7F 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 6A 62 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 6A 01 6A 00 68 FF FF FF 7F 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 6A 60 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 6A 01 6A 00 68 E3 7F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C2 03 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 4C 6A 04 6A 00 6A 01 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C2 02 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 50 8D 43 1C 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 1C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 48 00 41 00 52 00 28 00 7B 00 30 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 48 00 41 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4E 00 43 00 48 00 41 00 52 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4E 00 43 00 48 00 41 00 52 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4E 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 7B 00 30 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 4D 00 41 00 4C 00 4C 00 49 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 4E 00 54 00 45 00 47 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 4E 00 54 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 4C 00 4F 00 41 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 4D 00 41 00 4C 00 4C 00 46 00 4C 00 4F 00 41 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 44 00 45 00 43 00 49 00 4D 00 41 00 4C 00 28 00 7B 00 30 00 7D 00 2C 00 20 00 7B 00 31 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 2C 00 20 00 53 00 63 00 61 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 45 00 43 00 49 00 4D 00 41 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 45 00 52 00 49 00 41 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 45 00 52 00 49 00 41 00 4C 00 38 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 44 00 41 00 54 00 45 00 54 00 49 00 4D 00 45 00 20 00 59 00 45 00 41 00 52 00 20 00 54 00 4F 00 20 00 46 00 52 00 41 00 43 00 54 00 49 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 41 00 54 00 45 00 54 00 49 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4D 00 4F 00 4E 00 45 00 59 00 28 00 7B 00 30 00 7D 00 2C 00 7B 00 31 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 4F 00 4E 00 45 00 59 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 59 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 45 00 58 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4C 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 7B 00 30 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4C 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 4F 00 4F 00 4C 00 45 00 41 00 4E 00 00 00 }
	condition:
		$1
}

rule function_9114_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.FetchColumns"
		size = 436
		refs = "0018 TDBXInformixCustomMetaDataReader.FetchColumns 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 00cf TDBXMetaDataCollectionColumns.CreateColumnsColumns 00dd _DV_TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor 00e2 TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.Create 00f0 _Dn_TDBXColumnsTableCursor 00f5 TDBXColumnsTableCursor.Create 010c @UStrClr 0115 TDBXValueTypeArray 011a @DynArrayClear 012d @FinalizeArray 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 F4 00 00 00 8B 45 F0 50 8B C3 8B 10 FF 52 0C 8B 4D FC 5A 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 6A 00 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_9115_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.FetchIndexColumns"
		size = 484
		refs = "0018 TDBXInformixCustomMetaDataReader.FetchIndexColumns 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 00ed TDBXMetaDataCollectionColumns.CreateIndexColumnsColumns 00fb _DV_TDBXInformixCustomMetaDataReader.TDBXInformixIndexColumnsCursor 0100 TDBXInformixCustomMetaDataReader.TDBXInformixIndexColumnsCursor.Create 0117 @UStrClr 0120 TDBXValueTypeArray 0125 @DynArrayClear 0138 @FinalizeArray 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 04 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 83 C0 0C 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 00 01 00 00 8B 45 F0 50 8B C3 8B 10 FF 52 0C 8B 4D FC 5A 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_12617_0 {
	meta:
		name = "TDBXOracleCustomMetaDataReader.FetchIndexColumns"
		size = 484
		refs = "0018 TDBXOracleCustomMetaDataReader.FetchIndexColumns 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 00ed TDBXMetaDataCollectionColumns.CreateIndexColumnsColumns 00fb _DV_TDBXOracleCustomMetaDataReader.TDBXOracleIndexColumnsCursor 0100 TDBXOracleCustomMetaDataReader.TDBXOracleIndexColumnsCursor.Create 0117 @UStrClr 0120 TDBXValueTypeArray 0125 @DynArrayClear 0138 @FinalizeArray 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 04 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 83 C0 0C 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 00 01 00 00 8B 45 F0 50 8B C3 8B 10 FF 52 0C 8B 4D FC 5A 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_9116_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.FetchForeignKeyColumns"
		size = 824
		refs = "0018 TDBXInformixCustomMetaDataReader.FetchForeignKeyColumns 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 0165 TDBXMetaDataCollectionColumns.CreateForeignKeyColumnsColumns 0173 _DV_TDBXInformixCustomMetaDataReader.TDBXInformixForeignKeyColumnsCursor 0178 TDBXInformixCustomMetaDataReader.TDBXInformixForeignKeyColumnsCursor.Create 018f @UStrClr 0198 TDBXValueTypeArray 019d @DynArrayClear 01b0 @FinalizeArray 01b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 08 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 08 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 1C E8 ?? ?? ?? ?? 8B 45 F8 83 C0 0C 8B 55 18 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 10 8B 55 14 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 14 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 18 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 83 C0 1C 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 08 01 00 00 8B 45 F0 50 8B C3 8B 10 FF 52 0C 8B 4D FC 5A 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 18 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_9117_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.FetchProcedureParameters"
		size = 456
		refs = "001a TDBXInformixCustomMetaDataReader.FetchProcedureParameters 002a TDBXInformixCustomMetaDataReader.GetAllDataTypes 003a TDBXStringArray 003f @DynArraySetLength 004f @UStrAsg 00db TDBXMetaDataCollectionColumns.CreateProcedureParametersColumns 00ed _DV_TDBXInformixCustomMetaDataReader.TDBXInformixProcedureParametersCursor 00f2 TDBXInformixCustomMetaDataReader.TDBXInformixProcedureParametersCursor.Create 0109 @UStrClr 0112 TDBXDataTypeDescriptionArray 0117 @DynArrayClear 0120 TDBXValueTypeArray 0138 @FinalizeArray 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 EC 8B C3 8B 08 FF 91 14 01 00 00 8B 45 EC 50 8B C3 8B 10 FF 52 0C 8B 4D FC 5A 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 08 50 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C1 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_9118_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.InitScanner"
		size = 1736
		refs = "0011 TDBXInformixCustomMetaDataReader.InitScanner 0051 _Dn_TDBXSqlScanner 0056 TDBXSqlScanner.Create 0069 TDBXSqlScanner.RegisterId 02d6 @UStrArrayClr 02dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 18 00 0F 85 9B 02 00 00 8D 55 FC 8B C6 8B 08 FF 51 1C 8B 45 FC 50 8D 55 F8 8B C6 8B 08 FF 51 20 8B 45 F8 50 8D 55 F4 8B C6 8B 08 FF 51 38 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B9 33 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 34 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 35 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 36 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 37 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 38 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 39 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 3A 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 3B 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 3C 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 3D 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 3E 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 3F 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 40 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 41 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 42 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 43 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 44 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 0D 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 0F 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 10 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 01 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 02 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 11 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 03 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 04 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 05 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 06 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 12 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 07 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 0A 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 0E 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 0B 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 0C 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 5E 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 52 00 45 00 54 00 55 00 52 00 4E 00 49 00 4E 00 47 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4F 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 4F 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 49 00 4B 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 45 00 46 00 45 00 52 00 45 00 4E 00 43 00 45 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 49 00 4E 00 54 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 45 00 43 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 49 00 47 00 49 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 41 00 52 00 59 00 49 00 4E 00 47 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 45 00 41 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 4F 00 55 00 42 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 52 00 45 00 43 00 49 00 53 00 49 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4E 00 55 00 4D 00 45 00 52 00 49 00 43 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 48 00 41 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4E 00 43 00 48 00 41 00 52 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 4D 00 41 00 4C 00 4C 00 49 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 4E 00 54 00 45 00 47 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 4E 00 54 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 4C 00 4F 00 41 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 4D 00 41 00 4C 00 4C 00 46 00 4C 00 4F 00 41 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 45 00 43 00 49 00 4D 00 41 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 45 00 52 00 49 00 41 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 45 00 52 00 49 00 41 00 4C 00 38 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 41 00 54 00 45 00 54 00 49 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 4E 00 54 00 45 00 52 00 56 00 41 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 4F 00 4E 00 45 00 59 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 59 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 45 00 58 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_9119_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.ParseProcedure"
		size = 416
		refs = "001c TDBXInformixCustomMetaDataReader.ParseProcedure 002a TDBXArrayList.Clear 0036 TDBXInformixCustomMetaDataReader.InitScanner 0040 TDBXSqlScanner.Init 0054 TDBXSqlScanner.NextToken 0067 _DV_TDBXInformixCustomMetaDataReader.TInformixParameter 006c TObject.Create 007b @UStrAsg 009a TDBXSqlScanner.GetId 00e1 IntToStr 00f1 @UStrCat3 0102 TDBXInformixCustomMetaDataReader.ParseType 010e TDBXArrayList.Add 0165 @UStrArrayClr 016b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 5D F0 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 33 C0 89 45 FC 8B C7 E8 ?? ?? ?? ?? 8B 47 18 8B D3 E8 ?? ?? ?? ?? C7 45 F8 01 00 00 00 BB FE FF FF FF 8B 47 18 E8 ?? ?? ?? ?? 8B D8 83 FB FA 75 F1 BB FD FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 18 E8 ?? ?? ?? ?? 8B D8 83 FB 37 74 05 83 FB 38 75 20 8D 55 F0 8B 47 18 E8 ?? ?? ?? ?? 8B 55 F0 8D 46 0C E8 ?? ?? ?? ?? 8B 47 18 E8 ?? ?? ?? ?? 8B D8 83 FB FE 75 22 8D 55 EC 8B 47 18 E8 ?? ?? ?? ?? 8B 55 EC 8D 46 04 E8 ?? ?? ?? ?? 8B 47 18 E8 ?? ?? ?? ?? 8B D8 EB 1B 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D E8 8D 46 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 46 14 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D8 8B D6 8B 45 08 E8 ?? ?? ?? ?? 8B 45 F8 89 45 F4 FF 45 F8 83 FB FD 0F 84 40 FF FF FF 8B 47 18 E8 ?? ?? ?? ?? 8B D8 83 7D FC 00 74 1B 83 FB 36 75 16 8B 47 18 E8 ?? ?? ?? ?? 8B D8 8B 4D FC 8B D3 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 50 00 00 00 }
	condition:
		$1
}

rule function_9120_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.ParseType"
		size = 904
		refs = "0018 TDBXInformixCustomMetaDataReader.ParseType 002f TDBXSqlScanner.GetId 003a @UStrAsg 0108 TDBXSqlScanner.LookAtNextToken 011b TDBXSqlScanner.NextToken 018b IntToStr 019b @UStrCat3 01b1 @UStrCat 022e TDBXInformixCustomMetaDataReader.ParsePrecision 0292 @UStrArrayClr 0298 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DA C6 45 FB 00 8D 55 F4 8B 46 18 E8 ?? ?? ?? ?? 8B 55 F4 8D 47 08 E8 ?? ?? ?? ?? 8B C3 83 F8 3D 7F 34 74 78 83 F8 FF 7F 20 0F 84 27 01 00 00 83 E8 F9 0F 84 1E 01 00 00 83 C0 FE 83 E8 03 0F 82 12 01 00 00 E9 58 01 00 00 83 E8 3B 74 37 48 74 62 E9 4B 01 00 00 83 C0 C2 83 F8 06 0F 87 3F 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 47 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 02 00 00 00 E9 05 01 00 00 8D 47 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 11 00 00 00 E9 EE 00 00 00 8D 47 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 05 00 00 00 E9 D7 00 00 00 8D 47 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 04 00 00 00 E9 C0 00 00 00 8B 46 18 E8 ?? ?? ?? ?? 8B D8 83 FB 42 0F 85 AD 00 00 00 8B 46 18 E8 ?? ?? ?? ?? 8D 47 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 47 18 0E 00 00 00 BB 03 00 00 00 E9 87 00 00 00 8B 46 18 E8 ?? ?? ?? ?? 8B D8 83 FB 3F 74 11 8D 47 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 67 8B 46 18 E8 ?? ?? ?? ?? 8D 47 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 0D 00 00 00 EB 4B 8D 47 08 8B 57 04 E8 ?? ?? ?? ?? 8D 55 F0 8B 47 14 E8 ?? ?? ?? ?? 8B 4D F0 8D 47 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FB FC 75 13 C6 45 FB 01 8D 47 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 83 FB 44 74 08 89 5D FC E9 B8 00 00 00 85 DB 7C 0E 83 FB 15 7D 09 8B 46 1C 8B 04 98 89 47 10 8B 46 18 E8 ?? ?? ?? ?? 8B D8 83 FB FC 75 04 C6 45 FB 01 8B 46 18 E8 ?? ?? ?? ?? 8B D8 8B C3 83 C0 07 83 F8 06 77 4C FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 89 5D FC EB 57 C6 45 FB 00 8B D7 8B C6 E8 ?? ?? ?? ?? EB B5 80 7D FB 00 74 AF 8D 47 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB A0 80 7D FB 00 74 24 83 FB FE 74 04 85 DB 7C 1B 8D 55 EC 8B 46 18 E8 ?? ?? ?? ?? 8B 55 EC 8D 47 08 E8 ?? ?? ?? ?? E9 76 FF FF FF C6 45 FB 00 E9 6D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 4E 00 54 00 45 00 47 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 4E 00 54 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 45 00 43 00 49 00 4D 00 41 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 4D 00 41 00 4C 00 4C 00 46 00 4C 00 4F 00 41 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 4C 00 4F 00 41 00 54 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 48 00 41 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 50 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_9121_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.ParsePrecision"
		size = 214
		refs = "0012 TDBXInformixCustomMetaDataReader.ParsePrecision 0020 TDBXSqlScanner.NextToken 003c TDBXSqlScanner.GetId 0046 TDBXInformixCustomMetaDataReader.ToInt 00c1 @UStrArrayClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 18 E8 ?? ?? ?? ?? 8B D8 80 7F 20 00 75 61 C6 47 20 01 83 FB F8 75 58 8D 55 FC 8B 46 18 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 89 47 18 8B 46 18 E8 ?? ?? ?? ?? 8B D8 83 FB FD 75 31 8B 46 18 E8 ?? ?? ?? ?? 8B D8 83 FB F8 75 22 8D 55 F8 8B 46 18 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 89 47 1C 8B 46 18 E8 ?? ?? ?? ?? 8B D8 83 FB F9 74 0F 8B 46 18 E8 ?? ?? ?? ?? 8B D8 83 FB F9 75 F1 8B 46 18 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9122_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.ToInt"
		size = 71
		refs = "000a TDBXInformixCustomMetaDataReader.ToInt 0017 StrToInt 0028 @HandleOnException 0030 _Dn_Exception 003c @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B C2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 83 CB FF E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_12200_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.ToInt"
		size = 71
		refs = "000a TDBXMySqlCustomMetaDataReader.ToInt 0017 StrToInt 0028 @HandleOnException 0030 _Dn_Exception 003c @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B C2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 83 CB FF E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_9123_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.Create"
		size = 216
		refs = "0015 @ClassCreate 0024 TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.Create 0049 TDBXCustomMetaDataTable.Create 0053 _Dn_TDBXSingleValueRow 0058 TDBXSingleValueRow.Create 0087 TDBXValueTypeArray 008c @DynArrayClear 0092 @HandleFinally 00a1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B C6 8B 10 FF 52 0C 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 4C 8D 55 F8 8B C3 8B 08 FF 51 28 8B 55 F8 8B C6 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_9124_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXCustomMetaDataTable.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 4C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46354_0 {
	meta:
		name = "TIWTemplateProcessorHTML.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TIWBaseContainerLayout.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 4C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34123_0 {
	meta:
		name = "TIdMLSTFTPListItem.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TCollectionItem.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 4C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9125_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.Next"
		size = 356
		refs = "000f TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.Next 0022 TDBXCustomMetaDataTable.Next 0044 TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputeTypeName 0068 TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputeDefaultValue 0089 TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputePrecision 009b TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.HasScale 00b4 TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputeScale 010b TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputeNullable 012b TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputeAutoIncrement 0150 @UStrArrayClr 0156 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 46 3C 00 80 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 84 0A 01 00 00 BA 04 00 00 00 8B 46 4C 8B 08 FF 51 24 50 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 58 8B 08 FF 91 24 01 00 00 BA 08 00 00 00 8B 46 4C 8B 08 FF 51 24 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 58 8B 08 FF 91 24 01 00 00 BA 05 00 00 00 8B 46 4C 8B 08 FF 51 24 50 8B C6 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 1C 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 22 BA 06 00 00 00 8B 46 4C 8B 08 FF 51 24 50 8B C6 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 1C 01 00 00 EB 35 BA 06 00 00 00 8B 46 4C 8B 08 FF 51 24 50 8B C6 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 1C 01 00 00 BA 06 00 00 00 8B 46 4C 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 BA 09 00 00 00 8B 46 4C 8B 08 FF 51 24 50 8B C6 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 0A 00 00 00 8B 46 4C 8B 08 FF 51 24 50 8B C6 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9126_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.GetWritableValue"
		size = 31
		refs = "001a TDBXCustomMetaDataTable.GetWritableValue"
	strings:
		$1 = { 8B CA 83 C1 FC 83 E9 03 72 06 49 83 E9 03 73 09 8B 40 4C 8B 08 FF 51 24 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9127_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ReadTypeInformation"
		size = 256
		refs = "0011 TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ReadTypeInformation 0072 @UStrAsg 00c9 Trim 00ee @UStrArrayClr 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 7B 3C 00 80 0F 85 B1 00 00 00 BA 04 00 00 00 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 1C 66 89 43 3C BA 06 00 00 00 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 1C 66 89 43 3E 6A 00 8D 45 FC 50 B9 08 00 00 00 8B 53 24 8B C3 8B 30 FF 96 B4 00 00 00 8B 55 FC 8D 43 40 E8 ?? ?? ?? ?? 6A 00 8D 45 F8 50 B9 09 00 00 00 8B 53 24 8B C3 8B 30 FF 96 B4 00 00 00 8B 55 F8 8D 43 44 E8 ?? ?? ?? ?? 6A 00 8D 45 F4 50 B9 05 00 00 00 8B 53 24 8B C3 8B 30 FF 96 B4 00 00 00 8B 55 F4 8D 43 48 E8 ?? ?? ?? ?? 83 7B 44 00 74 16 8D 55 F0 8B 43 44 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9128_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputeTypeName"
		size = 536
		refs = "0012 TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputeTypeName 001f TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ReadTypeInformation 002a TDBXInformixCustomMetaDataReader.GetAllDataTypes 0054 @UStrAsg 0066 @UStrLAsg 0137 @UStrClr 0140 TDBXDataTypeDescriptionArray 0145 @DynArrayClear 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B 46 38 E8 ?? ?? ?? ?? 0F B7 5E 3C 66 81 E3 FF 00 0F BF DB 85 DB 7C 1F 83 FB 12 7F 1A 83 FB 09 74 15 8B C7 8B 55 FC 8B 14 9A 8B 52 04 E8 ?? ?? ?? ?? E9 C9 00 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C3 F7 83 FB 0C 0F 87 95 00 00 00 FF 24 9D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5C 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3E 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 20 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 83 7E 48 00 74 0B 8D 45 F8 8B 56 48 E8 ?? ?? ?? ?? 8B C7 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 4E 00 4B 00 4E 00 4F 00 57 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 55 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 41 00 54 00 45 00 54 00 49 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 4E 00 54 00 45 00 52 00 56 00 41 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 55 00 4C 00 54 00 49 00 53 00 45 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 49 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_9129_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputePrecision"
		size = 110
		refs = "0007 TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ReadTypeInformation 002e TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputePrecision"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 43 3C 66 25 FF 00 0F BF C0 0F B7 53 3E 0F BF F2 81 E6 FF FF 00 00 83 C0 FB 83 F8 0B 77 3E 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 02 00 00 02 00 02 00 00 01 02 00 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B F2 66 81 E6 FF 00 0F BF F6 EB 0C B9 00 01 00 00 8B C6 99 F7 F9 89 C6 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9130_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.HasScale"
		size = 39
		refs = "0006 TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ReadTypeInformation"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 43 3C 66 25 FF 00 0F BF C0 83 E8 05 74 05 83 E8 03 75 04 B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_9131_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputeScale"
		size = 47
		refs = "0006 TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ReadTypeInformation"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 53 3C 66 81 E2 FF 00 0F BF D2 33 C0 83 EA 05 74 05 83 EA 03 75 0B 0F B7 43 3E 66 25 FF 00 0F BF C0 5B C3 }
	condition:
		$1
}

rule function_9132_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputeNullable"
		size = 8
	strings:
		$1 = { F6 40 3D 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_9133_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputeAutoIncrement"
		size = 27
	strings:
		$1 = { 0F B7 40 3C 66 25 FF 00 0F BF C0 83 E8 06 74 05 83 E8 0C 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_9134_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputeDefaultValue"
		size = 464
		refs = "0012 TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputeDefaultValue 001f TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ReadTypeInformation 0095 TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputeTypeQualifier 00a5 @UStrCat3 00b4 @UStrAsg 00e4 TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputeLiteralValue 0108 @UStrClr 012c @UStrArrayClr 0132 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 66 BE 5A 00 83 7B 40 00 74 16 8B 43 40 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 06 8B 43 40 0F B7 30 0F B7 C6 83 C0 BD 83 F8 12 0F 87 B2 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 00 00 00 00 00 00 00 00 05 00 02 00 00 00 00 06 03 04 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8D 43 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 61 8D 43 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 52 8D 43 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 43 8D 43 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 34 83 7B 44 00 74 2E 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 44 E8 ?? ?? ?? ?? EB 17 8D 43 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 43 44 E8 ?? ?? ?? ?? 8B C7 8B 53 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 55 00 52 00 52 00 45 00 4E 00 54 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 55 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 4F 00 44 00 41 00 59 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 55 00 53 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 42 00 53 00 45 00 52 00 56 00 45 00 52 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_9135_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputeTypeQualifier"
		size = 216
		refs = "0015 TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputeTypeQualifier 002f @UStrClr 005e TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.GetQualifier 006b @UStrCat 008d @UStrAsg 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 73 3C 66 81 E6 FF 00 0F BF F6 8D 45 FC E8 ?? ?? ?? ?? 83 FE 0A 74 05 83 FE 0E 75 49 0F B7 43 3E 66 83 E0 0F 0F BF C0 8B F0 85 F6 79 03 83 C6 0F C1 FE 04 8B F8 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 54 00 4F 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_9136_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.GetQualifier"
		size = 492
		refs = "0011 TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.GetQualifier 001f @UStrClr 006a @UStrLAsg 00d9 IntToStr 00e4 @UStrCat 00fb @UStrAsg 0115 @UStrArrayClr 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C3 83 F8 0A 0F 87 90 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 82 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 73 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 64 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 55 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 46 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 37 83 FB 0B 7C 32 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B C3 83 E8 0A E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 59 00 45 00 41 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 4F 00 4E 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 41 00 59 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 4F 00 55 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4D 00 49 00 4E 00 55 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 45 00 43 00 4F 00 4E 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 46 00 52 00 41 00 43 00 54 00 49 00 4F 00 4E 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_9137_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputeLiteralValue"
		size = 452
		refs = "0017 TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputeLiteralValue 0028 @UStrLAsg 0062 @UStrCatN 0073 StringIndexOf 0081 @UStrClr 00b5 @UStrCopy 00c0 Trim 010b TDBXInformixCustomMetaDataReader.GetAllDataTypes 012b TDBXInformixCustomMetaDataReader.TDBXInformixColumnsCursor.ComputeTypeQualifier 0146 @UStrAsg 0160 @UStrArrayClr 0169 TDBXDataTypeDescriptionArray 016e @DynArrayClear 017c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 44 E8 ?? ?? ?? ?? 0F B7 73 3C 66 81 E6 FF 00 0F BF F6 8B C6 83 E8 01 72 0D 83 E8 0C 74 08 83 C0 FE 83 E8 02 73 1F 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? E9 D4 00 00 00 66 BA 20 00 8B 45 FC E8 ?? ?? ?? ?? 8B F8 85 FF 7D 0D 8D 45 FC E8 ?? ?? ?? ?? E9 B5 00 00 00 8B 45 FC 89 45 F0 83 7D F0 00 74 0B 8B 45 F0 83 E8 04 8B 00 89 45 F0 8D 45 FC 50 8D 47 01 8B 4D F0 2B C8 8D 57 01 42 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B C6 83 E8 07 74 12 83 E8 03 74 29 83 E8 04 74 24 83 C0 E6 83 E8 02 73 57 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 3B 8D 55 F8 8B 43 38 E8 ?? ?? ?? ?? 8B 45 F8 8B 04 B0 FF 70 04 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? FF 75 E8 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_9138_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixIndexColumnsCursor.Create"
		size = 232
		refs = "0015 @ClassCreate 0024 TDBXInformixCustomMetaDataReader.TDBXInformixIndexColumnsCursor.Create 0049 TDBXCustomMetaDataTable.Create 0057 _Dn_TDBXSingleValueRow 005c TDBXSingleValueRow.Create 008b TDBXValueTypeArray 0090 @DynArrayClear 0096 @HandleFinally 00a5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B C6 8B 10 FF 52 0C 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? C7 43 38 10 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 3C 8D 55 F8 8B C3 8B 08 FF 51 28 8B 55 F8 8B C6 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 6E 00 64 00 65 00 78 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_9139_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixIndexColumnsCursor.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXCustomMetaDataTable.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26523_0 {
	meta:
		name = "TDBXDataGeneratedReader.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXReader.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20181_0 {
	meta:
		name = "TDSDelphiProxyWriter.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDSCustomProxyWriter.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9140_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixIndexColumnsCursor.FindStringSize"
		size = 22
		refs = "0010 TDBXCustomMetaDataTable.FindStringSize"
	strings:
		$1 = { 53 8B DA 83 EB 04 75 07 B8 00 01 00 00 5B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9141_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixIndexColumnsCursor.IndexOfColumnName"
		size = 9
	strings:
		$1 = { 8B C2 03 C0 83 C0 04 40 C3 }
	condition:
		$1
}

rule function_9142_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixIndexColumnsCursor.Next"
		size = 325
		refs = "000d TDBXInformixCustomMetaDataReader.TDBXInformixIndexColumnsCursor.Next 0027 TDBXCustomMetaDataTable.Next 0041 TDBXInformixCustomMetaDataReader.TDBXInformixIndexColumnsCursor.IndexOfColumnName 0132 @UStrClr 0138 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 38 8B 10 FF 00 83 7B 38 10 7C 17 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 EB 00 00 00 33 C0 89 43 38 8B 53 38 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 58 84 C0 74 07 C7 43 38 10 00 00 00 8B 73 38 83 FE 10 7D B0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 58 84 C0 74 17 BA 04 00 00 00 8B 43 3C 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 EB 36 8B 53 38 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 24 8B 08 FF 51 24 8D 55 FC 8B 08 FF 51 28 8B 45 FC 50 BA 04 00 00 00 8B 43 3C 8B 08 FF 51 24 5A 8B 08 FF 91 24 01 00 00 BA 05 00 00 00 8B 43 3C 8B 08 FF 51 24 8B 53 38 42 8B 08 FF 91 1C 01 00 00 8B 53 38 8B C3 E8 ?? ?? ?? ?? 8B D0 4A 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 20 85 C0 0F 9D C0 50 BA 06 00 00 00 8B 43 3C 8B 08 FF 51 24 5A 8B 08 FF 91 08 01 00 00 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9143_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixIndexColumnsCursor.GetWritableValue"
		size = 25
		refs = "0014 TDBXCustomMetaDataTable.GetWritableValue"
	strings:
		$1 = { 8B CA 83 C1 FC 83 E9 03 73 09 8B 40 3C 8B 08 FF 51 24 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9144_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixForeignKeyColumnsCursor.Create"
		size = 240
		refs = "0015 @ClassCreate 0024 TDBXInformixCustomMetaDataReader.TDBXInformixForeignKeyColumnsCursor.Create 0049 TDBXCustomMetaDataTable.Create 0057 _Dn_TDBXSingleValueRow 005c TDBXSingleValueRow.Create 008b TDBXValueTypeArray 0090 @DynArrayClear 0096 @HandleFinally 00a5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B C6 8B 10 FF 52 0C 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? C7 43 3C 10 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 38 8D 55 F8 8B C3 8B 08 FF 51 28 8B 55 F8 8B C6 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_9146_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixForeignKeyColumnsCursor.FindStringSize"
		size = 27
		refs = "0015 TDBXCustomMetaDataTable.FindStringSize"
	strings:
		$1 = { 53 8B DA 83 EB 04 74 05 83 EB 05 75 07 B8 00 01 00 00 5B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9147_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixForeignKeyColumnsCursor.IndexOfForeignKeyColumnName"
		size = 8
	strings:
		$1 = { 8B C2 03 C0 83 C0 09 C3 }
	condition:
		$1
}

rule function_9148_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixForeignKeyColumnsCursor.IndexOfPrimaryKeyColumnName"
		size = 9
	strings:
		$1 = { 8B C2 03 C0 83 C0 09 40 C3 }
	condition:
		$1
}

rule function_9149_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixForeignKeyColumnsCursor.Next"
		size = 193
		refs = "0013 TDBXCustomMetaDataTable.Next 002a TDBXInformixCustomMetaDataReader.TDBXInformixForeignKeyColumnsCursor.IndexOfForeignKeyColumnName 007f TDBXInformixCustomMetaDataReader.TDBXInformixForeignKeyColumnsCursor.IndexOfPrimaryKeyColumnName"
	strings:
		$1 = { 53 8B D8 8D 43 3C 8B 10 FF 00 83 7B 3C 10 7C 14 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 33 C0 89 43 3C 8B 53 3C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 58 84 C0 74 07 C7 43 3C 10 00 00 00 83 7B 3C 10 74 B5 8B 53 3C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 24 8B 08 FF 51 24 50 BA 04 00 00 00 8B 43 38 8B 08 FF 51 24 5A 8B 08 FF 91 C0 01 00 00 8B 53 3C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 24 8B 08 FF 51 24 50 BA 09 00 00 00 8B 43 38 8B 08 FF 51 24 5A 8B 08 FF 91 C0 01 00 00 BA 0A 00 00 00 8B 43 38 8B 08 FF 51 24 8B 53 3C 42 8B 08 FF 91 1C 01 00 00 B0 01 5B C3 }
	condition:
		$1
}

rule function_9150_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixForeignKeyColumnsCursor.GetWritableValue"
		size = 30
		refs = "0019 TDBXCustomMetaDataTable.GetWritableValue"
	strings:
		$1 = { 8B CA 83 E9 04 74 08 83 C1 FB 83 E9 02 73 09 8B 40 38 8B 08 FF 51 24 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9151_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixProcedureParametersCursor.Create"
		size = 288
		refs = "0015 @ClassCreate 0024 TDBXInformixCustomMetaDataReader.TDBXInformixProcedureParametersCursor.Create 0047 TDBXCustomMetaDataTable.Create 0055 @UStrAsg 005c _Dn_TDBXArrayList 0061 TDBXArrayList.Create 0071 _Dn_TDBXStringBuffer 0076 TDBXStringBuffer.Create 0084 _Dn_TDBXSingleValueRow 0089 TDBXSingleValueRow.Create 00b8 TDBXValueTypeArray 00bd @DynArrayClear 00c3 @HandleFinally 00d2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 10 50 6A 00 8B C6 8B 10 FF 52 0C 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 38 8D 43 3C 8B 55 0C E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 44 8B 45 08 89 43 4C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 50 C6 43 55 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 6C 8D 55 F8 8B C3 8B 08 FF 51 28 8B 55 F8 8B C6 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_9152_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixProcedureParametersCursor.Destroy"
		size = 146
		refs = "0005 @BeforeDestruction 001e TDBXArrayList.GetCount 0032 TDBXArrayList.GetValue 0037 TObject.Free 0043 TDBXArrayList.Clear 007e TDBXCustomMetaDataTable.Destroy 0089 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B C5 8B 10 FF 52 60 8B 75 44 85 F6 74 2C 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 18 40 89 C6 33 FF 8B 45 44 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 45 44 E8 ?? ?? ?? ?? 8D 45 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 45 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 45 6C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9153_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixProcedureParametersCursor.Close"
		size = 33
		refs = "001b TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 4C 85 C0 74 05 8B 10 FF 52 60 8D 43 4C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9154_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixProcedureParametersCursor.Next"
		size = 618
		refs = "001f TDBXInformixCustomMetaDataReader.TDBXInformixProcedureParametersCursor.Next 0048 TDBXArrayList.GetValue 0063 @UStrEqual 0071 TDBXInformixCustomMetaDataReader.TDBXInformixProcedureParametersCursor.SetValues 0095 TDBXArrayList.GetCount 00e2 TObject.Free 0127 @UStrAsg 01f4 TDBXStringBuffer.Append 0235 TDBXInformixCustomMetaDataReader.TDBXInformixProcedureParametersCursor.ComputeParams 0254 @UStrArrayClr 025a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 D2 89 55 D0 89 55 D4 89 55 D8 89 55 DC 89 55 E0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 4C 00 75 09 C6 45 FF 00 E9 06 02 00 00 8D 46 40 8B 10 FF 00 EB 50 8B 56 40 8B 46 44 E8 ?? ?? ?? ?? 89 46 48 83 7E 3C 00 75 04 B3 01 EB 11 8B 46 3C 8B 56 48 8B 52 04 E8 ?? ?? ?? ?? 0F 94 C3 84 DB 74 10 8B C6 E8 ?? ?? ?? ?? C6 45 FF 01 E9 C0 01 00 00 8D 46 40 89 45 F0 8B 45 F0 8B 00 89 45 EC 8B 45 F0 FF 00 8B 46 44 E8 ?? ?? ?? ?? 3B 46 40 7F A3 8B 46 50 33 D2 89 50 08 80 7E 55 00 74 0F 8B 46 4C 8B 10 FF 52 48 88 46 54 C6 46 55 00 80 7E 54 00 75 2E 8B 46 4C 8B 10 FF 52 60 8D 46 4C 89 45 E8 8B 45 E8 8B 00 89 45 E4 8B 45 E8 33 D2 89 10 8B 45 E4 E8 ?? ?? ?? ?? C6 45 FF 00 E9 4F 01 00 00 BA 06 00 00 00 8B 46 4C 8B 08 FF 51 24 8B 10 FF 52 20 89 45 F8 8B 45 F8 48 89 45 F4 BA 03 00 00 00 8B 46 4C 8B 08 FF 51 24 8D 55 E0 8B 08 FF 51 28 8B 55 E0 8D 46 58 E8 ?? ?? ?? ?? 33 D2 8B 46 4C 8B 08 FF 51 24 8B 10 FF 52 58 88 46 5C BA 01 00 00 00 8B 46 4C 8B 08 FF 51 24 8B 10 FF 52 58 88 46 5D BA 02 00 00 00 8B 46 4C 8B 08 FF 51 24 8B 10 FF 52 58 88 46 5E 80 7E 5C 00 75 1D 33 D2 8B 46 4C 8B 08 FF 51 24 8D 55 DC 8B 08 FF 51 28 8B 55 DC 8D 46 60 E8 ?? ?? ?? ?? 80 7E 5D 00 75 20 BA 01 00 00 00 8B 46 4C 8B 08 FF 51 24 8D 55 D8 8B 08 FF 51 28 8B 55 D8 8D 46 64 E8 ?? ?? ?? ?? 80 7E 5E 00 75 6E BA 02 00 00 00 8B 46 4C 8B 08 FF 51 24 8D 55 D4 8B 08 FF 51 28 8B 55 D4 8D 46 68 E8 ?? ?? ?? ?? EB 4C BA 04 00 00 00 8B 46 4C 8B 08 FF 51 24 8D 55 D0 8B 08 FF 51 28 8B 55 D0 8B 46 50 E8 ?? ?? ?? ?? 8B 46 4C 8B 10 FF 52 48 88 46 54 80 7E 54 00 74 1B 8B 45 F8 89 45 F4 BA 06 00 00 00 8B 46 4C 8B 08 FF 51 24 8B 10 FF 52 20 89 45 F8 80 7E 54 00 74 08 8B 45 F8 3B 45 F4 7F A6 8B C6 E8 ?? ?? ?? ?? E9 53 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9155_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixProcedureParametersCursor.SetValues"
		size = 791
		refs = "000f @DynArrayLength 0212 TDBXDataTypeDescription.IsFixedLength 0236 TDBXDataTypeDescription.IsUnicode 025a TDBXDataTypeDescription.IsLong 027e TDBXDataTypeDescription.IsUnsigned"
	strings:
		$1 = { 53 56 57 8B D8 83 7B 48 00 75 31 8B 43 28 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C F5 02 00 00 46 33 FF 8B D7 8B 43 6C 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 47 4E 75 EA E9 D7 02 00 00 80 7B 5C 00 74 14 33 D2 8B 43 6C 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 EB 15 33 D2 8B 43 6C 8B 08 FF 51 24 8B 53 60 8B 08 FF 91 24 01 00 00 80 7B 5D 00 74 17 BA 01 00 00 00 8B 43 6C 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 EB 18 BA 01 00 00 00 8B 43 6C 8B 08 FF 51 24 8B 53 64 8B 08 FF 91 24 01 00 00 80 7B 5E 00 74 17 BA 02 00 00 00 8B 43 6C 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 EB 18 BA 02 00 00 00 8B 43 6C 8B 08 FF 51 24 8B 53 68 8B 08 FF 91 24 01 00 00 8B 43 48 83 78 04 00 75 17 BA 03 00 00 00 8B 43 6C 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 EB 1B BA 03 00 00 00 8B 43 6C 8B 08 FF 51 24 8B 53 48 8B 52 04 8B 08 FF 91 24 01 00 00 8B 43 48 83 78 0C 00 75 17 BA 04 00 00 00 8B 43 6C 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 EB 1B BA 04 00 00 00 8B 43 6C 8B 08 FF 51 24 8B 53 48 8B 52 0C 8B 08 FF 91 24 01 00 00 8B 43 48 83 78 08 00 75 17 BA 05 00 00 00 8B 43 6C 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 EB 1B BA 05 00 00 00 8B 43 6C 8B 08 FF 51 24 8B 53 48 8B 52 08 8B 08 FF 91 24 01 00 00 8B 43 48 83 78 10 00 75 6E BA 0B 00 00 00 8B 43 6C 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 BA 0C 00 00 00 8B 43 6C 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 BA 0D 00 00 00 8B 43 6C 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 BA 0E 00 00 00 8B 43 6C 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 BA 0A 00 00 00 8B 43 6C 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 E9 AE 00 00 00 BA 0B 00 00 00 8B 43 6C 8B 08 FF 51 24 50 8B 43 48 8B 40 10 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 0C 00 00 00 8B 43 6C 8B 08 FF 51 24 50 8B 43 48 8B 40 10 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 0D 00 00 00 8B 43 6C 8B 08 FF 51 24 50 8B 43 48 8B 40 10 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 0E 00 00 00 8B 43 6C 8B 08 FF 51 24 50 8B 43 48 8B 40 10 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 0A 00 00 00 8B 43 6C 8B 08 FF 51 24 8B 53 48 8B 52 10 8B 52 08 8B 08 FF 91 1C 01 00 00 BA 06 00 00 00 8B 43 6C 8B 08 FF 51 24 8B 53 48 8B 52 18 8B 08 FF 91 1C 01 00 00 BA 07 00 00 00 8B 43 6C 8B 08 FF 51 24 8B 53 48 8B 52 1C 8B 08 FF 91 1C 01 00 00 BA 08 00 00 00 8B 43 6C 8B 08 FF 51 24 8B 53 48 8B 52 14 8B 08 FF 91 1C 01 00 00 BA 09 00 00 00 8B 43 6C 8B 08 FF 51 24 B2 01 8B 08 FF 91 08 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9156_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixProcedureParametersCursor.GetWritableValue"
		size = 9
	strings:
		$1 = { 8B 40 6C 8B 08 FF 51 24 C3 }
	condition:
		$1
}

rule function_9157_0 {
	meta:
		name = "TDBXInformixCustomMetaDataReader.TDBXInformixProcedureParametersCursor.ComputeParams"
		size = 108
		refs = "000e TDBXInformixCustomMetaDataReader.TDBXInformixProcedureParametersCursor.ComputeParams 002a @UStrLAsg 003c TDBXInformixCustomMetaDataReader.ParseProcedure 005b @UStrArrayClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 50 8B 08 FF 51 DC 8D 45 F8 8B 53 58 E8 ?? ?? ?? ?? 8B 43 44 50 8B 4D F8 8B 55 FC 8B 43 38 E8 ?? ?? ?? ?? 33 C0 89 43 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9158_0 {
	meta:
		name = "TDBXInformixMetaDataReader.GetProductName"
		size = 80
		refs = "0006 TDBXInformixMetaDataReader.GetProductName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 49 00 6E 00 66 00 6F 00 72 00 6D 00 69 00 78 00 20 00 44 00 79 00 6E 00 61 00 6D 00 69 00 63 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_9162_0 {
	meta:
		name = "TDBXInformixMetaDataReader.GetSynonymType"
		size = 36
		refs = "0006 TDBXInformixMetaDataReader.GetSynonymType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 53 00 00 00 }
	condition:
		$1
}

rule function_12110_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetSystemTableType"
		size = 36
		refs = "0006 TDBXMsSqlMetaDataReader.GetSystemTableType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 53 00 00 00 }
	condition:
		$1
}

rule function_13355_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.GetSystemTableType"
		size = 36
		refs = "0006 TDBXSybaseASEMetaDataReader.GetSystemTableType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 53 00 00 00 }
	condition:
		$1
}

rule function_9166_0 {
	meta:
		name = "TDBXInformixMetaDataReader.GetSqlForSchemas"
		size = 372
		refs = "0006 TDBXInformixMetaDataReader.GetSqlForSchemas 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF A9 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 49 00 53 00 54 00 49 00 4E 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 4F 00 57 00 4E 00 45 00 52 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 4E 00 43 00 4F 00 4C 00 53 00 20 00 3E 00 20 00 30 00 20 00 55 00 4E 00 49 00 4F 00 4E 00 20 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 55 00 53 00 45 00 52 00 53 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 00 00 }
	condition:
		$1
}

rule function_9167_0 {
	meta:
		name = "TDBXInformixMetaDataReader.GetSqlForTables"
		size = 1492
		refs = "0006 TDBXInformixMetaDataReader.GetSqlForTables 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF D8 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 30 00 29 00 29 00 2C 00 20 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 53 00 55 00 42 00 53 00 54 00 52 00 49 00 4E 00 47 00 28 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 31 00 20 00 46 00 4F 00 52 00 20 00 33 00 29 00 20 00 3D 00 20 00 27 00 73 00 79 00 73 00 27 00 20 00 41 00 4E 00 44 00 20 00 4F 00 57 00 4E 00 45 00 52 00 20 00 3D 00 20 00 27 00 69 00 6E 00 66 00 6F 00 72 00 6D 00 69 00 78 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 43 00 41 00 53 00 45 00 20 00 54 00 41 00 42 00 54 00 59 00 50 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 27 00 56 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 56 00 49 00 45 00 57 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 54 00 41 00 42 00 4C 00 45 00 27 00 20 00 45 00 4E 00 44 00 20 00 45 00 4C 00 53 00 45 00 20 00 43 00 41 00 53 00 45 00 20 00 54 00 41 00 42 00 54 00 59 00 50 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 27 00 56 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 56 00 49 00 45 00 57 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 54 00 41 00 42 00 4C 00 45 00 27 00 20 00 45 00 4E 00 44 00 20 00 45 00 4E 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 4E 00 43 00 4F 00 4C 00 53 00 20 00 3E 00 20 00 30 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4F 00 57 00 4E 00 45 00 52 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 28 00 28 00 54 00 41 00 42 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 53 00 55 00 42 00 53 00 54 00 52 00 49 00 4E 00 47 00 28 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 31 00 20 00 46 00 4F 00 52 00 20 00 33 00 29 00 20 00 3D 00 20 00 27 00 73 00 79 00 73 00 27 00 20 00 41 00 4E 00 44 00 20 00 4F 00 57 00 4E 00 45 00 52 00 20 00 3D 00 20 00 27 00 69 00 6E 00 66 00 6F 00 72 00 6D 00 69 00 78 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 3A 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 45 00 4C 00 53 00 45 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 45 00 4E 00 44 00 29 00 20 00 4F 00 52 00 20 00 28 00 54 00 41 00 42 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 53 00 55 00 42 00 53 00 54 00 52 00 49 00 4E 00 47 00 28 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 31 00 20 00 46 00 4F 00 52 00 20 00 33 00 29 00 20 00 3D 00 20 00 27 00 73 00 79 00 73 00 27 00 20 00 41 00 4E 00 44 00 20 00 4F 00 57 00 4E 00 45 00 52 00 20 00 3D 00 20 00 27 00 69 00 6E 00 66 00 6F 00 72 00 6D 00 69 00 78 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 3A 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 56 00 49 00 45 00 57 00 53 00 20 00 45 00 4C 00 53 00 45 00 20 00 3A 00 56 00 49 00 45 00 57 00 53 00 20 00 45 00 4E 00 44 00 29 00 20 00 4F 00 52 00 20 00 28 00 54 00 41 00 42 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 3A 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 53 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 20 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_9168_0 {
	meta:
		name = "TDBXInformixMetaDataReader.GetSqlForViews"
		size = 688
		refs = "0006 TDBXInformixMetaDataReader.GetSqlForViews 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 46 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 54 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 54 00 2E 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 56 00 2E 00 56 00 49 00 45 00 57 00 54 00 45 00 58 00 54 00 2C 00 20 00 56 00 2E 00 53 00 45 00 51 00 4E 00 4F 00 20 00 41 00 53 00 20 00 53 00 4F 00 55 00 52 00 43 00 45 00 5F 00 4C 00 49 00 4E 00 45 00 5F 00 4E 00 55 00 4D 00 42 00 45 00 52 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 54 00 2C 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 56 00 49 00 45 00 57 00 53 00 20 00 56 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 56 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 54 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 2E 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 56 00 49 00 45 00 57 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 56 00 49 00 45 00 57 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_9169_0 {
	meta:
		name = "TDBXInformixMetaDataReader.GetSqlForColumns"
		size = 1096
		refs = "0006 TDBXInformixMetaDataReader.GetSqlForColumns 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 12 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 30 00 29 00 29 00 2C 00 20 00 54 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 54 00 2E 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 2E 00 43 00 4F 00 4C 00 54 00 59 00 50 00 45 00 2C 00 20 00 55 00 50 00 50 00 45 00 52 00 28 00 58 00 2E 00 4E 00 41 00 4D 00 45 00 29 00 2C 00 20 00 43 00 2E 00 43 00 4F 00 4C 00 4C 00 45 00 4E 00 47 00 54 00 48 00 2C 00 20 00 43 00 2E 00 43 00 4F 00 4C 00 4E 00 4F 00 2C 00 20 00 44 00 2E 00 54 00 59 00 50 00 45 00 2C 00 20 00 44 00 2E 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 2C 00 20 00 30 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 49 00 4E 00 54 00 45 00 47 00 45 00 52 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 43 00 2C 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 54 00 2C 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 53 00 20 00 44 00 2C 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 58 00 54 00 44 00 54 00 59 00 50 00 45 00 53 00 20 00 58 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 43 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 54 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 44 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 54 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 2E 00 43 00 4F 00 4C 00 4E 00 4F 00 3D 00 44 00 2E 00 43 00 4F 00 4C 00 4E 00 4F 00 20 00 41 00 4E 00 44 00 20 00 43 00 2E 00 45 00 58 00 54 00 45 00 4E 00 44 00 45 00 44 00 5F 00 49 00 44 00 3D 00 58 00 2E 00 45 00 58 00 54 00 45 00 4E 00 44 00 45 00 44 00 5F 00 49 00 44 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 2E 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 43 00 2E 00 43 00 4F 00 4C 00 4E 00 4F 00 00 00 00 00 }
	condition:
		$1
}

rule function_9171_0 {
	meta:
		name = "TDBXInformixMetaDataReader.GetSqlForIndexes"
		size = 1172
		refs = "0006 TDBXInformixMetaDataReader.GetSqlForIndexes 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 39 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 54 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 54 00 2E 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 4E 00 56 00 4C 00 28 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 4E 00 41 00 4D 00 45 00 2C 00 49 00 2E 00 49 00 44 00 58 00 4E 00 41 00 4D 00 45 00 29 00 2C 00 20 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 54 00 59 00 50 00 45 00 3D 00 27 00 50 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 31 00 20 00 45 00 4C 00 53 00 45 00 20 00 30 00 20 00 45 00 4E 00 44 00 2C 00 20 00 49 00 2E 00 49 00 44 00 58 00 54 00 59 00 50 00 45 00 20 00 49 00 4E 00 20 00 28 00 27 00 75 00 27 00 2C 00 27 00 55 00 27 00 29 00 2C 00 20 00 31 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 49 00 4E 00 44 00 45 00 58 00 45 00 53 00 20 00 49 00 20 00 4F 00 4E 00 20 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 54 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 4C 00 45 00 46 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 43 00 20 00 4F 00 4E 00 20 00 43 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 2E 00 49 00 44 00 58 00 4E 00 41 00 4D 00 45 00 3D 00 49 00 2E 00 49 00 44 00 58 00 4E 00 41 00 4D 00 45 00 20 00 41 00 4E 00 44 00 20 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 54 00 59 00 50 00 45 00 20 00 49 00 4E 00 20 00 28 00 27 00 50 00 27 00 2C 00 27 00 55 00 27 00 29 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 53 00 55 00 42 00 53 00 54 00 52 00 28 00 4E 00 56 00 4C 00 28 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 4E 00 41 00 4D 00 45 00 2C 00 49 00 2E 00 49 00 44 00 58 00 4E 00 41 00 4D 00 45 00 29 00 2C 00 31 00 2C 00 31 00 29 00 20 00 3C 00 3E 00 20 00 27 00 20 00 27 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 2E 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 34 00 00 00 }
	condition:
		$1
}

rule function_9172_0 {
	meta:
		name = "TDBXInformixMetaDataReader.GetSqlForIndexColumns"
		size = 4560
		refs = "0006 TDBXInformixMetaDataReader.GetSqlForIndexColumns 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF D6 08 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 54 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 54 00 2E 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 4E 00 56 00 4C 00 28 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 4E 00 41 00 4D 00 45 00 2C 00 49 00 2E 00 49 00 44 00 58 00 4E 00 41 00 4D 00 45 00 29 00 2C 00 20 00 20 00 20 00 49 00 2E 00 50 00 41 00 52 00 54 00 31 00 2C 00 20 00 43 00 31 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 49 00 2E 00 50 00 41 00 52 00 54 00 32 00 2C 00 20 00 43 00 32 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 49 00 2E 00 50 00 41 00 52 00 54 00 33 00 2C 00 20 00 43 00 33 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 49 00 2E 00 50 00 41 00 52 00 54 00 34 00 2C 00 20 00 43 00 34 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 49 00 2E 00 50 00 41 00 52 00 54 00 35 00 2C 00 20 00 43 00 35 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 49 00 2E 00 50 00 41 00 52 00 54 00 36 00 2C 00 20 00 43 00 36 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 49 00 2E 00 50 00 41 00 52 00 54 00 37 00 2C 00 20 00 43 00 37 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 49 00 2E 00 50 00 41 00 52 00 54 00 38 00 2C 00 20 00 43 00 38 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 49 00 2E 00 50 00 41 00 52 00 54 00 39 00 2C 00 20 00 43 00 39 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 49 00 2E 00 50 00 41 00 52 00 54 00 31 00 30 00 2C 00 20 00 43 00 31 00 30 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 49 00 2E 00 50 00 41 00 52 00 54 00 31 00 31 00 2C 00 20 00 43 00 31 00 31 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 49 00 2E 00 50 00 41 00 52 00 54 00 31 00 32 00 2C 00 20 00 43 00 31 00 32 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 49 00 2E 00 50 00 41 00 52 00 54 00 31 00 33 00 2C 00 20 00 43 00 31 00 33 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 49 00 2E 00 50 00 41 00 52 00 54 00 31 00 34 00 2C 00 20 00 43 00 31 00 34 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 49 00 2E 00 50 00 41 00 52 00 54 00 31 00 35 00 2C 00 20 00 43 00 31 00 35 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 49 00 2E 00 50 00 41 00 52 00 54 00 31 00 36 00 2C 00 20 00 43 00 31 00 36 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 49 00 4E 00 44 00 45 00 58 00 45 00 53 00 20 00 49 00 20 00 4F 00 4E 00 20 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 54 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 4C 00 45 00 46 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 43 00 20 00 4F 00 4E 00 20 00 43 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 2E 00 49 00 44 00 58 00 4E 00 41 00 4D 00 45 00 3D 00 49 00 2E 00 49 00 44 00 58 00 4E 00 41 00 4D 00 45 00 20 00 41 00 4E 00 44 00 20 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 54 00 59 00 50 00 45 00 20 00 49 00 4E 00 20 00 28 00 27 00 50 00 27 00 2C 00 27 00 55 00 27 00 29 00 20 00 20 00 20 00 4C 00 45 00 46 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 43 00 31 00 20 00 4F 00 4E 00 20 00 43 00 31 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 31 00 2E 00 43 00 4F 00 4C 00 4E 00 4F 00 3D 00 41 00 42 00 53 00 28 00 49 00 2E 00 50 00 41 00 52 00 54 00 31 00 29 00 20 00 20 00 20 00 4C 00 45 00 46 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 43 00 32 00 20 00 4F 00 4E 00 20 00 43 00 32 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 32 00 2E 00 43 00 4F 00 4C 00 4E 00 4F 00 3D 00 41 00 42 00 53 00 28 00 49 00 2E 00 50 00 41 00 52 00 54 00 32 00 29 00 20 00 20 00 20 00 4C 00 45 00 46 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 43 00 33 00 20 00 4F 00 4E 00 20 00 43 00 33 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 33 00 2E 00 43 00 4F 00 4C 00 4E 00 4F 00 3D 00 41 00 42 00 53 00 28 00 49 00 2E 00 50 00 41 00 52 00 54 00 33 00 29 00 20 00 20 00 20 00 4C 00 45 00 46 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 43 00 34 00 20 00 4F 00 4E 00 20 00 43 00 34 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 34 00 2E 00 43 00 4F 00 4C 00 4E 00 4F 00 3D 00 41 00 42 00 53 00 28 00 49 00 2E 00 50 00 41 00 52 00 54 00 34 00 29 00 20 00 20 00 20 00 4C 00 45 00 46 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 43 00 35 00 20 00 4F 00 4E 00 20 00 43 00 35 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 35 00 2E 00 43 00 4F 00 4C 00 4E 00 4F 00 3D 00 41 00 42 00 53 00 28 00 49 00 2E 00 50 00 41 00 52 00 54 00 35 00 29 00 20 00 20 00 20 00 4C 00 45 00 46 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 43 00 36 00 20 00 4F 00 4E 00 20 00 43 00 36 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 36 00 2E 00 43 00 4F 00 4C 00 4E 00 4F 00 3D 00 41 00 42 00 53 00 28 00 49 00 2E 00 50 00 41 00 52 00 54 00 36 00 29 00 20 00 20 00 20 00 4C 00 45 00 46 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 43 00 37 00 20 00 4F 00 4E 00 20 00 43 00 37 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 37 00 2E 00 43 00 4F 00 4C 00 4E 00 4F 00 3D 00 41 00 42 00 53 00 28 00 49 00 2E 00 50 00 41 00 52 00 54 00 37 00 29 00 20 00 20 00 20 00 4C 00 45 00 46 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 43 00 38 00 20 00 4F 00 4E 00 20 00 43 00 38 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 38 00 2E 00 43 00 4F 00 4C 00 4E 00 4F 00 3D 00 41 00 42 00 53 00 28 00 49 00 2E 00 50 00 41 00 52 00 54 00 38 00 29 00 20 00 20 00 20 00 4C 00 45 00 46 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 43 00 39 00 20 00 4F 00 4E 00 20 00 43 00 39 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 39 00 2E 00 43 00 4F 00 4C 00 4E 00 4F 00 3D 00 41 00 42 00 53 00 28 00 49 00 2E 00 50 00 41 00 52 00 54 00 39 00 29 00 20 00 20 00 20 00 4C 00 45 00 46 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 43 00 31 00 30 00 20 00 4F 00 4E 00 20 00 43 00 31 00 30 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 31 00 30 00 2E 00 43 00 4F 00 4C 00 4E 00 4F 00 3D 00 41 00 42 00 53 00 28 00 49 00 2E 00 50 00 41 00 52 00 54 00 31 00 30 00 29 00 20 00 20 00 20 00 4C 00 45 00 46 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 43 00 31 00 31 00 20 00 4F 00 4E 00 20 00 43 00 31 00 31 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 31 00 31 00 2E 00 43 00 4F 00 4C 00 4E 00 4F 00 3D 00 41 00 42 00 53 00 28 00 49 00 2E 00 50 00 41 00 52 00 54 00 31 00 31 00 29 00 20 00 20 00 20 00 4C 00 45 00 46 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 43 00 31 00 32 00 20 00 4F 00 4E 00 20 00 43 00 31 00 32 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 31 00 32 00 2E 00 43 00 4F 00 4C 00 4E 00 4F 00 3D 00 41 00 42 00 53 00 28 00 49 00 2E 00 50 00 41 00 52 00 54 00 31 00 32 00 29 00 20 00 20 00 20 00 4C 00 45 00 46 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 43 00 31 00 33 00 20 00 4F 00 4E 00 20 00 43 00 31 00 33 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 31 00 33 00 2E 00 43 00 4F 00 4C 00 4E 00 4F 00 3D 00 41 00 42 00 53 00 28 00 49 00 2E 00 50 00 41 00 52 00 54 00 31 00 33 00 29 00 20 00 20 00 20 00 4C 00 45 00 46 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 43 00 31 00 34 00 20 00 4F 00 4E 00 20 00 43 00 31 00 34 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 31 00 34 00 2E 00 43 00 4F 00 4C 00 4E 00 4F 00 3D 00 41 00 42 00 53 00 28 00 49 00 2E 00 50 00 41 00 52 00 54 00 31 00 34 00 29 00 20 00 20 00 20 00 4C 00 45 00 46 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 43 00 31 00 35 00 20 00 4F 00 4E 00 20 00 43 00 31 00 35 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 31 00 35 00 2E 00 43 00 4F 00 4C 00 4E 00 4F 00 3D 00 41 00 42 00 53 00 28 00 49 00 2E 00 50 00 41 00 52 00 54 00 31 00 35 00 29 00 20 00 20 00 20 00 4C 00 45 00 46 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 43 00 31 00 36 00 20 00 4F 00 4E 00 20 00 43 00 31 00 36 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 31 00 36 00 2E 00 43 00 4F 00 4C 00 4E 00 4F 00 3D 00 41 00 42 00 53 00 28 00 49 00 2E 00 50 00 41 00 52 00 54 00 31 00 36 00 29 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 53 00 55 00 42 00 53 00 54 00 52 00 28 00 4E 00 56 00 4C 00 28 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 4E 00 41 00 4D 00 45 00 2C 00 49 00 2E 00 49 00 44 00 58 00 4E 00 41 00 4D 00 45 00 29 00 2C 00 31 00 2C 00 31 00 29 00 20 00 3C 00 3E 00 20 00 27 00 20 00 27 00 20 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 }
	condition:
		$1
}

rule function_9173_0 {
	meta:
		name = "TDBXInformixMetaDataReader.GetSqlForForeignKeys"
		size = 708
		refs = "0006 TDBXInformixMetaDataReader.GetSqlForForeignKeys 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 51 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 30 00 29 00 29 00 2C 00 20 00 46 00 54 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 46 00 54 00 2E 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 46 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 46 00 43 00 2C 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 46 00 54 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 46 00 43 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 46 00 54 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 46 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 54 00 59 00 50 00 45 00 3D 00 27 00 52 00 27 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 54 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 54 00 2E 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 34 00 00 00 }
	condition:
		$1
}

rule function_9174_0 {
	meta:
		name = "TDBXInformixMetaDataReader.GetSqlForForeignKeyColumns"
		size = 8512
		refs = "0006 TDBXInformixMetaDataReader.GetSqlForForeignKeyColumns 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 8F 10 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 46 00 54 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 46 00 54 00 2E 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 46 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 50 00 54 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 50 00 54 00 2E 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 46 00 43 00 31 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 43 00 31 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 46 00 43 00 32 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 43 00 32 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 46 00 43 00 33 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 43 00 33 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 46 00 43 00 34 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 43 00 34 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 46 00 43 00 35 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 43 00 35 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 46 00 43 00 36 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 43 00 36 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 46 00 43 00 37 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 43 00 37 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 46 00 43 00 38 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 43 00 38 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 46 00 43 00 39 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 43 00 39 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 46 00 43 00 31 00 30 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 43 00 31 00 30 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 46 00 43 00 31 00 31 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 43 00 31 00 31 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 46 00 43 00 31 00 32 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 43 00 31 00 32 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 46 00 43 00 31 00 33 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 43 00 31 00 33 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 46 00 43 00 31 00 34 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 43 00 31 00 34 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 46 00 43 00 31 00 35 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 43 00 31 00 35 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 46 00 43 00 31 00 36 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 43 00 31 00 36 00 2E 00 43 00 4F 00 4C 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 52 00 45 00 46 00 45 00 52 00 45 00 4E 00 43 00 45 00 53 00 20 00 52 00 2C 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 46 00 43 00 2C 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 46 00 54 00 2C 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 49 00 4E 00 44 00 45 00 58 00 45 00 53 00 20 00 46 00 49 00 2C 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 50 00 43 00 2C 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 49 00 4E 00 44 00 45 00 58 00 45 00 53 00 20 00 50 00 49 00 2C 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 50 00 54 00 2C 00 20 00 20 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 46 00 43 00 31 00 2C 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 50 00 43 00 31 00 2C 00 20 00 20 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 46 00 43 00 32 00 2C 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 50 00 43 00 32 00 2C 00 20 00 20 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 46 00 43 00 33 00 2C 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 50 00 43 00 33 00 2C 00 20 00 20 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 46 00 43 00 34 00 2C 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 50 00 43 00 34 00 2C 00 20 00 20 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 46 00 43 00 35 00 2C 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 50 00 43 00 35 00 2C 00 20 00 20 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 46 00 43 00 36 00 2C 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 50 00 43 00 36 00 2C 00 20 00 20 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 46 00 43 00 37 00 2C 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 50 00 43 00 37 00 2C 00 20 00 20 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 46 00 43 00 38 00 2C 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 50 00 43 00 38 00 2C 00 20 00 20 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 46 00 43 00 39 00 2C 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 50 00 43 00 39 00 2C 00 20 00 20 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 46 00 43 00 31 00 30 00 2C 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 50 00 43 00 31 00 30 00 2C 00 20 00 20 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 46 00 43 00 31 00 31 00 2C 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 50 00 43 00 31 00 31 00 2C 00 20 00 20 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 46 00 43 00 31 00 32 00 2C 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 50 00 43 00 31 00 32 00 2C 00 20 00 20 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 46 00 43 00 31 00 33 00 2C 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 50 00 43 00 31 00 33 00 2C 00 20 00 20 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 46 00 43 00 31 00 34 00 2C 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 50 00 43 00 31 00 34 00 2C 00 20 00 20 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 46 00 43 00 31 00 35 00 2C 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 50 00 43 00 31 00 35 00 2C 00 20 00 20 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 46 00 43 00 31 00 36 00 2C 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 50 00 43 00 31 00 36 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 52 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 49 00 44 00 3D 00 46 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 46 00 43 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 46 00 54 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 46 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 46 00 43 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 46 00 49 00 2E 00 49 00 44 00 58 00 4E 00 41 00 4D 00 45 00 3D 00 46 00 43 00 2E 00 49 00 44 00 58 00 4E 00 41 00 4D 00 45 00 20 00 41 00 4E 00 44 00 20 00 52 00 2E 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 3D 00 50 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 50 00 43 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 50 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 50 00 43 00 2E 00 49 00 44 00 58 00 4E 00 41 00 4D 00 45 00 3D 00 50 00 49 00 2E 00 49 00 44 00 58 00 4E 00 41 00 4D 00 45 00 20 00 41 00 4E 00 44 00 20 00 50 00 54 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 50 00 49 00 2E 00 54 00 41 00 42 00 49 00 44 00 }
	condition:
		$1
}

rule function_9175_0 {
	meta:
		name = "TDBXInformixMetaDataReader.GetSqlForSynonyms"
		size = 804
		refs = "0006 TDBXInformixMetaDataReader.GetSqlForSynonyms 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 80 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 53 00 4E 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 53 00 4E 00 2E 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 54 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 54 00 2E 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 53 00 59 00 4E 00 54 00 41 00 42 00 4C 00 45 00 20 00 53 00 2C 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 53 00 4E 00 2C 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 54 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 53 00 2E 00 54 00 41 00 42 00 49 00 44 00 3D 00 53 00 4E 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 53 00 2E 00 42 00 54 00 41 00 42 00 49 00 44 00 3D 00 54 00 2E 00 54 00 41 00 42 00 49 00 44 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 53 00 4E 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 53 00 4E 00 2E 00 54 00 41 00 42 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 20 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_9176_0 {
	meta:
		name = "TDBXInformixMetaDataReader.GetSqlForProcedures"
		size = 868
		refs = "0006 TDBXInformixMetaDataReader.GetSqlForProcedures 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF A0 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 50 00 52 00 4F 00 43 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 49 00 53 00 50 00 52 00 4F 00 43 00 3D 00 27 00 74 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 27 00 20 00 45 00 4E 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4F 00 57 00 4E 00 45 00 52 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 50 00 52 00 4F 00 43 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 28 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 49 00 53 00 50 00 52 00 4F 00 43 00 3D 00 27 00 74 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 27 00 20 00 45 00 4E 00 44 00 29 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 20 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_9177_0 {
	meta:
		name = "TDBXInformixMetaDataReader.GetSqlForProcedureSources"
		size = 968
		refs = "0006 TDBXInformixMetaDataReader.GetSqlForProcedureSources 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF D2 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 50 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 50 00 2E 00 50 00 52 00 4F 00 43 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 50 00 2E 00 49 00 53 00 50 00 52 00 4F 00 43 00 3D 00 27 00 74 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 27 00 20 00 45 00 4E 00 44 00 2C 00 20 00 42 00 2E 00 44 00 41 00 54 00 41 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 42 00 2E 00 53 00 45 00 51 00 4E 00 4F 00 20 00 41 00 53 00 20 00 53 00 4F 00 55 00 52 00 43 00 45 00 5F 00 4C 00 49 00 4E 00 45 00 5F 00 4E 00 55 00 4D 00 42 00 45 00 52 00 2C 00 20 00 42 00 2E 00 50 00 52 00 4F 00 43 00 49 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 53 00 20 00 50 00 2C 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 50 00 52 00 4F 00 43 00 42 00 4F 00 44 00 59 00 20 00 42 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 50 00 2E 00 50 00 52 00 4F 00 43 00 49 00 44 00 3D 00 42 00 2E 00 50 00 52 00 4F 00 43 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 42 00 2E 00 44 00 41 00 54 00 41 00 4B 00 45 00 59 00 3D 00 27 00 54 00 27 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4F 00 57 00 4E 00 45 00 52 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 50 00 52 00 4F 00 43 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 38 00 2C 00 20 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_9182_0 {
	meta:
		name = "TDBXInformixMetaDataReader.GetSqlForUsers"
		size = 176
		refs = "0006 TDBXInformixMetaDataReader.GetSqlForUsers 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 47 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 55 00 53 00 45 00 52 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 55 00 53 00 45 00 52 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 55 00 53 00 45 00 52 00 54 00 59 00 50 00 45 00 20 00 3C 00 3E 00 20 00 27 00 47 00 27 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 00 00 }
	condition:
		$1
}

rule function_9183_0 {
	meta:
		name = "TDBXInformixMetaDataReader.GetSqlForRoles"
		size = 176
		refs = "0006 TDBXInformixMetaDataReader.GetSqlForRoles 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 46 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 55 00 53 00 45 00 52 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 49 00 58 00 2E 00 53 00 59 00 53 00 55 00 53 00 45 00 52 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 55 00 53 00 45 00 52 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 27 00 47 00 27 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_9184_0 {
	meta:
		name = "TDBXInformixMetaDataReader.GetReservedWords"
		size = 23508
		refs = "000c TDBXInformixMetaDataReader.GetReservedWords 0025 TDBXStringArray 002a @DynArraySetLength 003a @UStrAsg 238e @DynArrayAsg 23a9 @DynArrayClear 23af @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 FA 01 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 28 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 34 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 3C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 60 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 6C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 70 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 74 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 78 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 7C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 03 00 00 BA ?? }
	condition:
		$1
}

rule function_9187_0 {
	meta:
		name = "TDBXInformixCustomMetaDataWriter.MakeSqlCreateKey"
		size = 340
		refs = "001e TDBXInformixCustomMetaDataWriter.MakeSqlCreateKey 0025 TDBXStringBuffer.Append 00b1 TDBXBaseMetaDataWriter.MakeSqlConstraintName"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F0 8B 4D FC 8B D3 8B C6 8B 38 FF 97 A8 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 05 00 00 00 8B 45 FC 8B 08 FF 51 24 33 D2 8B 08 FF 91 D4 00 00 00 84 C0 74 26 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 4D 08 8B D3 8B C6 8B 38 FF 97 AC 00 00 00 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 44 00 44 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4B 00 45 00 59 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 4E 00 49 00 51 00 55 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_9188_0 {
	meta:
		name = "TDBXInformixCustomMetaDataWriter.MakeSqlCreateForeignKey"
		size = 244
		refs = "001e TDBXInformixCustomMetaDataWriter.MakeSqlCreateForeignKey 0025 TDBXStringBuffer.Append 0059 TDBXBaseMetaDataWriter.MakeSqlForeignKeySyntax 0065 TDBXBaseMetaDataWriter.MakeSqlConstraintName"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F0 8B 4D FC 8B D3 8B C6 8B 38 FF 97 A8 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 44 00 44 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_9189_0 {
	meta:
		name = "TDBXInformixCustomMetaDataWriter.MakeSqlDropSecondaryIndex"
		size = 364
		refs = "001c TDBXInformixCustomMetaDataWriter.MakeSqlDropSecondaryIndex 0039 TDBXStringBuffer.Append 00e7 @UStrArrayClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 3C 89 45 F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 F8 8B 08 FF 51 24 8D 4D F4 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D F4 8B D3 8B C6 8B 38 FF 57 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 03 00 00 00 8B 45 F8 8B 08 FF 51 24 8D 4D F0 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D F0 8B D3 8B C6 8B 30 FF 56 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 52 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 44 00 45 00 58 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_9192_0 {
	meta:
		name = "TDBXInformixMetaDataWriter.GetSqlAutoIncrementKeyword"
		size = 52
		refs = "0006 TDBXInformixMetaDataWriter.GetSqlAutoIncrementKeyword 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 44 00 45 00 4E 00 54 00 49 00 54 00 59 00 00 00 00 00 }
	condition:
		$1
}

rule function_12142_0 {
	meta:
		name = "TDBXMsSqlMetaDataWriter.GetSqlAutoIncrementKeyword"
		size = 52
		refs = "0006 TDBXMsSqlMetaDataWriter.GetSqlAutoIncrementKeyword 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 44 00 45 00 4E 00 54 00 49 00 54 00 59 00 00 00 00 00 }
	condition:
		$1
}

rule function_13397_0 {
	meta:
		name = "TDBXSybaseASEMetaDataWriter.GetSqlAutoIncrementKeyword"
		size = 52
		refs = "0006 TDBXSybaseASEMetaDataWriter.GetSqlAutoIncrementKeyword 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 44 00 45 00 4E 00 54 00 49 00 54 00 59 00 00 00 00 00 }
	condition:
		$1
}

rule function_9193_0 {
	meta:
		name = "TDBXInformixMetaDataWriter.GetSqlRenameTable"
		size = 180
		refs = "0006 TDBXInformixMetaDataWriter.GetSqlRenameTable 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 48 00 00 00 52 00 45 00 4E 00 41 00 4D 00 45 00 20 00 54 00 41 00 42 00 4C 00 45 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 2E 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 54 00 4F 00 20 00 3A 00 4E 00 45 00 57 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 3A 00 4E 00 45 00 57 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_9202_0 {
	meta:
		name = "TDBXInterBaseDriver.Create"
		size = 311
		refs = "0019 @ClassCreate 0030 TDBXDriverDef 0035 @AddRefRecord 003d TDBXInterBaseDriver.Create 004d _DV_TDBXInterBaseProperties 0052 TDBXInterBaseProperties.Create 0062 TDBXProperties.GetCount 007d TStrings.GetName 00c2 TDBXProperties.AddUniqueProperties 00d2 _Dn_TDBXDynalinkDriverLoader 00e1 TDBXDynalinkDriverNative.Create 00fb @UStrArrayClr 0109 @FinalizeRecord 010f @HandleFinally 011f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F4 A5 A5 A5 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 75 F8 85 F6 74 72 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 4E 40 89 45 E4 33 F6 8D 4D E0 8B 45 F8 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B 55 E0 8B 43 08 8B 08 FF 51 58 89 45 E8 83 7D E8 FF 7E 1E 8D 4D DC 8B 45 F8 8B 40 08 8B D6 8B 38 FF 57 0C 8B 4D DC 8B 55 E8 8B 43 08 8B 38 FF 57 20 46 FF 4D E4 75 B8 8B 45 F8 8B 50 08 8B C3 E8 ?? ?? ?? ?? 8B 53 08 8B 45 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 53 8D 4D F4 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9203_0 {
	meta:
		name = "TDBXInterBaseProperties.Create"
		size = 2884
		refs = "0015 @ClassCreate 0021 TDBXInterBaseProperties.Create 0030 TDBXProperties.Create 0041 TDBXProperties.SetValue 005a _Dn_TDBXPlatform 005f TDBXPlatform.GetPublicKeyToken 006f @UStrCat3 0212 @UStrArrayClr 0218 @HandleFinally 0225 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 49 00 6E 00 74 00 65 00 72 00 62 00 61 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 32 00 00 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 2C 00 44 00 42 00 58 00 49 00 6E 00 74 00 65 00 72 00 42 00 61 00 73 00 65 00 44 00 72 00 69 00 76 00 65 00 72 00 31 00 36 00 30 00 2E 00 62 00 70 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 73 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 2C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 43 00 6F 00 6D 00 6D 00 6F 00 6E 00 44 00 72 00 69 00 76 00 65 00 72 00 2C 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 31 00 36 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 2C 00 43 00 75 00 6C 00 74 00 75 00 72 00 65 00 3D 00 6E 00 65 00 75 00 74 00 72 00 61 00 6C 00 2C 00 50 00 75 00 62 00 6C 00 69 00 63 00 4B 00 65 00 79 00 54 00 6F 00 6B 00 65 00 6E 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 41 00 73 00 73 00 65 00 6D 00 62 00 6C 00 79 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3D 00 00 00 54 00 44 00 42 00 58 00 49 00 6E 00 74 00 65 00 72 00 62 00 61 00 73 00 65 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 2C 00 44 00 62 00 78 00 49 00 6E 00 74 00 65 00 72 00 42 00 61 00 73 00 65 00 44 00 72 00 69 00 76 00 65 00 72 00 31 00 36 00 30 00 2E 00 62 00 70 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 81 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 54 00 44 00 42 00 58 00 49 00 6E 00 74 00 65 00 72 00 62 00 61 00 73 00 65 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 2C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 49 00 6E 00 74 00 65 00 72 00 42 00 61 00 73 00 65 00 44 00 72 00 69 00 76 00 65 00 72 00 2C 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 31 00 36 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 2C 00 43 00 75 00 6C 00 74 00 75 00 72 00 65 00 3D 00 6E 00 65 00 75 00 74 00 72 00 61 00 6C 00 2C 00 50 00 75 00 62 00 6C 00 69 00 63 00 4B 00 65 00 79 00 54 00 6F 00 6B 00 65 00 6E 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 41 00 73 00 73 00 65 00 6D 00 62 00 6C 00 79 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 67 00 65 00 74 00 53 00 51 00 4C 00 44 00 72 00 69 00 76 00 65 00 72 00 49 00 4E 00 54 00 45 00 52 00 42 00 41 00 53 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 44 00 72 00 69 00 76 00 65 00 72 00 46 00 75 00 6E 00 63 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 64 00 62 00 78 00 69 00 6E 00 74 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 6C 00 69 00 62 00 73 00 71 00 6C 00 69 00 62 00 2E 00 64 00 79 00 6C 00 69 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 4F 00 73 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 67 00 64 00 73 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 62 00 63 00 6C 00 69 00 65 00 6E 00 74 00 36 00 34 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 57 00 69 00 6E 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6C 00 69 00 62 00 67 00 64 00 73 00 2E 00 64 00 79 00 6C 00 69 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 4F 00 73 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 64 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 2E 00 67 00 64 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 79 00 73 00 64 00 62 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 61 00 73 00 74 00 65 00 72 00 6B 00 65 00 79 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 6F 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 6F 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 45 00 72 00 72 00 6F 00 72 00 52 00 65 00 73 00 6F 00 75 00 72 00 63 00 65 00 46 00 69 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 6F 00 63 00 61 00 6C 00 65 00 43 00 6F 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 61 00 64 00 43 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 4C 00 65 00 76 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 68 00 61 00 72 00 53 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 33 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 51 00 4C 00 44 00 69 00 61 00 6C 00 65 00 63 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6D 00 6D 00 69 00 74 00 52 00 65 00 74 00 61 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 61 00 69 00 74 00 4F 00 6E 00 4C 00 6F 00 63 00 6B 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 72 00 69 00 6D 00 43 00 68 00 61 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_9213_0 {
	meta:
		name = "Data.DbxInterbase"
		size = 60
		refs = "0002 _DV_3 000b _DV_TDBXInterBaseDriver 0010 Data.DbxInterbase 0015 TDBXDriverRegistry.RegisterDriverClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 74 00 65 00 72 00 42 00 61 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_9214_0 {
	meta:
		name = "Finalization"
		size = 64
		refs = "0002 _DV_1 000a _Dn_TDBXInterbaseMetaDataWriter 000f Finalization 0014 _Dn_TDBXMetaDataWriterFactory 0019 TDBXMetaDataWriterFactory.UnRegisterWriter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 15 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 74 00 65 00 72 00 62 00 61 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_9215_0 {
	meta:
		name = "Data.DBXInterbaseMetaData"
		size = 64
		refs = "0002 _DV_1 000b _Dn_TDBXInterbaseMetaDataWriter 0010 Data.DBXInterbaseMetaData 0015 _Dn_TDBXMetaDataWriterFactory 001a TDBXMetaDataWriterFactory.RegisterWriter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 74 00 65 00 72 00 62 00 61 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_9223_0 {
	meta:
		name = "TDBXInterbaseCustomMetaDataReader.GetAllDataTypes"
		size = 1560
		refs = "0010 TDBXInterbaseCustomMetaDataReader.GetAllDataTypes 0030 TDBXDataTypeDescriptionArray 0035 @DynArraySetLength 0077 _Dn_TDBXDataTypeDescription 007c TDBXDataTypeDescription.Create 033a @DynArrayAsg 0365 @DynArrayClear 036b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 1C 00 0F 85 1A 03 00 00 6A 0D 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 BE 01 00 00 00 80 7B 18 00 74 05 BE 1A 00 00 00 56 6A 00 68 00 80 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C6 23 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 56 6A 00 68 A6 7F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C2 23 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 6A 06 6A 00 6A 0A 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 6A 05 6A 00 6A 05 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 6A 1B 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 6A 07 6A 00 6A 35 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 6A 08 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 12 6A 00 6A 00 6A 00 6A 00 6A 00 68 D4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 6A 08 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 12 6A 00 6A 00 6A 00 6A 00 6A 00 68 D6 02 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 6A 02 6A 00 6A 00 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 6A 0A 6A 00 6A 00 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 6A 18 6A 00 6A 00 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 6A 03 6A 00 68 FF FF FF 7F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 62 A2 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 6A 04 6A 00 6A 01 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C6 02 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 8D 43 1C 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 1C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 48 00 41 00 52 00 28 00 7B 00 30 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 48 00 41 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 4E 00 54 00 45 00 47 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 4D 00 41 00 4C 00 4C 00 49 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 4C 00 4F 00 41 00 54 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 4C 00 4F 00 41 00 54 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 44 00 4F 00 55 00 42 00 4C 00 45 00 20 00 50 00 52 00 45 00 43 00 49 00 53 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 4E 00 55 00 4D 00 45 00 52 00 49 00 43 00 28 00 7B 00 30 00 7D 00 2C 00 20 00 7B 00 31 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 2C 00 20 00 53 00 63 00 61 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4E 00 55 00 4D 00 45 00 52 00 49 00 43 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 44 00 45 00 43 00 49 00 4D 00 41 00 4C 00 28 00 7B 00 30 00 7D 00 2C 00 20 00 7B 00 31 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 45 00 43 00 49 00 4D 00 41 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 49 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 49 00 4D 00 45 00 53 00 54 00 41 00 4D 00 50 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 4C 00 4F 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 4F 00 4F 00 4C 00 45 00 41 00 4E 00 00 00 }
	condition:
		$1
}

rule function_9226_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.GetProductName"
		size = 52
		refs = "0006 TDBXInterbaseMetaDataReader.GetProductName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 74 00 65 00 72 00 42 00 61 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_9244_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.GetSqlForProcedureParameters"
		size = 2664
		refs = "0006 TDBXInterbaseMetaDataReader.GetSqlForProcedureParameters 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 22 05 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 50 00 2E 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 2E 00 52 00 44 00 42 00 24 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 50 00 2E 00 52 00 44 00 42 00 24 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 54 00 59 00 50 00 45 00 20 00 3E 00 20 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 43 00 41 00 53 00 54 00 28 00 27 00 4F 00 55 00 54 00 27 00 20 00 41 00 53 00 20 00 43 00 48 00 41 00 52 00 28 00 36 00 29 00 29 00 20 00 45 00 4C 00 53 00 45 00 20 00 43 00 41 00 53 00 54 00 28 00 27 00 49 00 4E 00 27 00 20 00 41 00 53 00 20 00 43 00 48 00 41 00 52 00 28 00 36 00 29 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 43 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 52 00 45 00 43 00 49 00 53 00 49 00 4F 00 4E 00 2C 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 2C 00 43 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 29 00 2C 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 43 00 41 00 4C 00 45 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 50 00 2E 00 52 00 44 00 42 00 24 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 55 00 4D 00 42 00 45 00 52 00 2B 00 31 00 20 00 41 00 53 00 20 00 53 00 4D 00 41 00 4C 00 4C 00 49 00 4E 00 54 00 29 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 31 00 2D 00 43 00 2E 00 52 00 44 00 42 00 24 00 4E 00 55 00 4C 00 4C 00 5F 00 46 00 4C 00 41 00 47 00 2C 00 31 00 29 00 20 00 41 00 53 00 20 00 49 00 4E 00 54 00 45 00 47 00 45 00 52 00 29 00 2C 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 55 00 42 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 49 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 53 00 20 00 50 00 2C 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 53 00 20 00 43 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 50 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 3D 00 20 00 43 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 50 00 2E 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 50 00 2E 00 52 00 44 00 42 00 24 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 55 00 4E 00 49 00 4F 00 4E 00 20 00 41 00 4C 00 4C 00 20 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 41 00 52 00 47 00 55 00 4D 00 45 00 4E 00 54 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 20 00 3D 00 20 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 43 00 41 00 53 00 54 00 28 00 27 00 4F 00 55 00 54 00 27 00 20 00 41 00 53 00 20 00 43 00 48 00 41 00 52 00 28 00 36 00 29 00 29 00 20 00 45 00 4C 00 53 00 45 00 20 00 43 00 41 00 53 00 54 00 28 00 27 00 49 00 4E 00 27 00 20 00 41 00 53 00 20 00 43 00 48 00 41 00 52 00 28 00 36 00 29 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 20 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 52 00 45 00 43 00 49 00 53 00 49 00 4F 00 4E 00 2C 00 46 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 2C 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 29 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 43 00 41 00 4C 00 45 00 2C 00 20 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 41 00 52 00 47 00 55 00 4D 00 45 00 4E 00 54 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 2C 00 20 00 43 00 41 00 53 00 54 00 20 00 28 00 30 00 20 00 41 00 53 00 20 00 49 00 4E 00 54 00 45 00 47 00 45 00 52 00 29 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 55 00 42 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 49 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 41 00 52 00 47 00 55 00 4D 00 45 00 4E 00 54 00 53 00 20 00 46 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 41 00 52 00 47 00 55 00 4D 00 45 00 4E 00 54 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 3D 00 30 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 35 00 2C 00 20 00 39 00 00 00 00 00 }
	condition:
		$1
}

rule function_9249_0 {
	meta:
		name = "TDBXInterbaseMetaDataReader.GetSqlForUsers"
		size = 128
		refs = "0006 TDBXInterbaseMetaDataReader.GetSqlForUsers 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 53 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_9261_0 {
	meta:
		name = "TDBXInterbaseTypeFilterCursor.GetIBType"
		size = 308
		refs = "0086 TDBXInterbaseTypeFilterCursor.GetIBType"
	strings:
		$1 = { 55 8B EC 66 83 7D 08 00 7D 63 8B C2 66 83 E8 07 74 13 66 FF C8 74 18 66 83 E8 08 74 2C 66 83 E8 0B 74 40 EB 48 B8 06 00 00 00 E9 01 01 00 00 66 83 F9 02 75 0A B8 07 00 00 00 E9 F1 00 00 00 B8 06 00 00 00 E9 E7 00 00 00 66 83 F9 02 75 0A B8 07 00 00 00 E9 D7 00 00 00 B8 06 00 00 00 E9 CD 00 00 00 B8 06 00 00 00 E9 C3 00 00 00 0F BF C2 83 F8 0E 7F 31 74 6F 83 C0 F9 83 F8 06 0F 87 AA 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 23 7F 11 74 44 83 E8 10 74 54 48 74 71 83 E8 0A 74 1E EB 71 83 E8 25 74 29 2D E0 00 00 00 74 52 EB 63 B8 03 00 00 00 EB 5F B8 02 00 00 00 EB 58 B8 05 00 00 00 EB 51 B8 04 00 00 00 EB 4A 33 C0 EB 46 B8 01 00 00 00 EB 3F B8 0A 00 00 00 EB 38 B8 09 00 00 00 EB 31 B8 08 00 00 00 EB 2A 66 83 F9 02 75 07 B8 07 00 00 00 EB 1D B8 06 00 00 00 EB 16 B8 0B 00 00 00 EB 0F 83 C8 FF EB 0A B8 0C 00 00 00 EB 03 83 C8 FF 5D C2 04 00 }
	condition:
		$1
}

rule function_9287_0 {
	meta:
		name = "GetUSFormat"
		size = 44
		refs = "0006 GetUSFormat 000b TFormatSettings.Create"
	strings:
		$1 = { 53 8B D8 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 6E 00 2D 00 55 00 53 00 00 00 }
	condition:
		$1
}

rule function_9291_0 {
	meta:
		name = "TAutoObject.AddRef"
		size = 7
		altNames = "TDBXCallback.AddRef"
	strings:
		$1 = { FF 40 04 8B 40 04 C3 }
	condition:
		$1
}

rule function_9293_0 {
	meta:
		name = "TDBXCallback.Release"
		size = 20
		refs = "000c TObject.Free"
	strings:
		$1 = { 53 FF 48 04 8B 58 04 85 DB 7F 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_9295_0 {
	meta:
		name = "TDBXCallbackDelegate.Execute"
		size = 8
		altNames = "TDBXMetaDataProvider.Execute"
	strings:
		$1 = { 8B 40 08 8B 08 FF 11 C3 }
	condition:
		$1
}

rule function_9296_0 {
	meta:
		name = "TDBXCallbackDelegate.Execute"
		size = 9
	strings:
		$1 = { 8B 40 08 8B 08 FF 51 04 C3 }
	condition:
		$1
}

rule function_9297_0 {
	meta:
		name = "TDBXCallbackDelegate.SetDelegate"
		size = 44
	strings:
		$1 = { 53 8B D8 8B C2 89 43 08 85 C0 74 1E 8B 53 14 8B 08 FF 51 18 8B 53 0C 8B 43 08 8B 08 FF 51 10 8B 53 10 8B 43 08 8B 08 FF 51 14 5B C3 }
	condition:
		$1
}

rule function_9299_0 {
	meta:
		name = "TDBXCallbackDelegate.IsConnectionLost"
		size = 18
	strings:
		$1 = { 8B 50 08 85 D2 74 08 8B C2 8B 10 FF 52 1C C3 33 C0 C3 }
	condition:
		$1
}

rule function_9300_0 {
	meta:
		name = "TDBXCallbackDelegate.SetConnectionHandler"
		size = 18
	strings:
		$1 = { 89 50 0C 8B 48 08 85 C9 74 07 8B C1 8B 08 FF 51 10 C3 }
	condition:
		$1
}

rule function_9301_0 {
	meta:
		name = "TDBXCallbackDelegate.SetOrdinal"
		size = 18
	strings:
		$1 = { 89 50 14 8B 48 08 85 C9 74 07 8B C1 8B 08 FF 51 18 C3 }
	condition:
		$1
}

rule function_9302_0 {
	meta:
		name = "TDBXCallbackDelegate.SetDsServer"
		size = 18
	strings:
		$1 = { 89 50 10 8B 48 08 85 C9 74 07 8B C1 8B 08 FF 51 14 C3 }
	condition:
		$1
}

rule function_9303_0 {
	meta:
		name = "TDBXNamedCallback.Create"
		size = 67
		refs = "000b @ClassCreate 001a TObject.Create 0024 @UStrAsg 002f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 08 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9305_0 {
	meta:
		name = "TJSONAncestor.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TObject.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 04 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9308_0 {
	meta:
		name = "TIWPermissions.SetCanEditPages"
		size = 4
		altNames = "TJSONAncestor.SetOwned TTransportFilter.SetServerInstance TUnicodeCodec.SetErrorAction"
	strings:
		$1 = { 88 50 04 C3 }
	condition:
		$1
}

rule function_9309_0 {
	meta:
		name = "TJSONAncestor.GetOwned"
		size = 5
		altNames = "TTransportFilter.IsServerInstance"
	strings:
		$1 = { 0F B6 40 04 C3 }
	condition:
		$1
}

rule function_9310_0 {
	meta:
		name = "TJSONByteReader.Create"
		size = 98
		refs = "000e @ClassCreate 001d TObject.Create 0028 TArray<System.Byte> 002d @DynArrayAsg 0040 TJSONByteReader.ConsumeBOM 004b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 04 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 89 47 08 8B 45 08 89 47 0C 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_9311_0 {
	meta:
		name = "TJSONByteReader.Create"
		size = 113
		refs = "000f @ClassCreate 0022 TObject.Create 002d TArray<System.Byte> 0032 @DynArrayAsg 004c TJSONByteReader.ConsumeBOM 0059 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B F0 8B 5D 08 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 10 89 46 08 8B 45 0C 89 46 0C 88 5E 10 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_9312_0 {
	meta:
		name = "TJSONByteReader.ConsumeBOM"
		size = 52
	strings:
		$1 = { 8B 50 08 83 C2 03 3B 50 0C 7D 28 8B 48 04 8B 50 08 80 3C 11 EF 75 1C 8B 48 04 80 7C 11 01 BB 75 12 8B 48 04 80 7C 11 02 BF 75 08 C6 40 10 01 83 40 08 03 C3 }
	condition:
		$1
}

rule function_9313_0 {
	meta:
		name = "TJSONByteReader.MoveOffset"
		size = 24
	strings:
		$1 = { 8B 50 18 3B 50 1C 7D 08 83 C0 18 8B 10 FF 00 C3 83 C0 08 8B 10 FF 00 C3 }
	condition:
		$1
}

rule function_9314_0 {
	meta:
		name = "TJSONByteReader.ConsumeByte"
		size = 25
		refs = "0010 TJSONByteReader.MoveOffset"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 10 FF 52 04 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_9315_0 {
	meta:
		name = "TJSONByteReader.PeekByte"
		size = 2069
		refs = "0018 TJSONByteReader.PeekByte 0088 _Dn_TDBXInt32Object 008d TDBXInt32Object.Create 00a0 SUTF8Start 00a5 LoadResString 00b0 Format 00ba _DV_TJSONException 00bf TJSONException.Create 00c4 @RaiseExcept 0114 SUTF8UnexpectedByte 014b TArray<System.Byte> 0150 @DynArraySetLength 016e TJSONString.Hex 079f SUTF8InvalidHeaderByte 07eb @UStrArrayClr 0800 @UStrClr 0806 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0E 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 10 00 75 0F 8B 43 04 8B 53 08 0F B6 1C 10 E9 9E 07 00 00 8B 43 18 3B 43 1C 7D 0C 8B 53 14 0F B6 1C 02 E9 8A 07 00 00 8B 43 04 8B 53 08 0F B6 04 10 A8 80 0F 84 76 07 00 00 33 C0 89 43 18 8B 53 04 8B 43 08 0F B6 14 02 80 E2 E0 80 FA C0 0F 85 6C 01 00 00 40 3B 43 0C 7C 4A 8D 45 F4 50 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC C6 45 F0 07 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 C9 5A E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 0F B6 44 10 01 24 C0 3C 80 74 66 8D 45 E4 50 B9 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 07 8B 4B 08 41 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC C6 45 E0 07 8D 45 D4 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 06 8D 43 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C7 43 1C 06 00 00 00 8B 43 14 C6 00 5C 8B 43 14 C6 40 01 75 33 C0 E8 ?? ?? ?? ?? 8B 53 14 88 42 02 8B 43 04 8B 53 08 0F B6 04 10 24 1C 0F B6 C0 C1 E8 02 E8 ?? ?? ?? ?? 8B 53 14 88 42 03 8B 43 04 8B 73 08 0F B6 04 30 24 03 03 C0 03 C0 8B 53 04 0F B6 54 32 01 80 E2 30 0F B6 D2 C1 EA 04 0A C2 E8 ?? ?? ?? ?? 8B 53 14 88 42 04 8B 43 04 8B 53 08 0F B6 44 10 01 24 0F E8 ?? ?? ?? ?? 8B 53 14 88 42 05 83 43 08 02 E9 E3 05 00 00 8B 53 04 8B 4B 08 0F B6 14 0A 80 E2 F0 80 FA E0 0F 85 F3 01 00 00 83 C0 02 3B 43 0C 7C 4A 8D 45 CC 50 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC C6 45 F0 07 8D 45 EC 50 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 33 C9 5A E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 0F B6 44 10 01 24 C0 3C 80 74 66 8D 45 C4 50 B9 03 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 07 8B 4B 08 41 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC C6 45 E0 07 8D 45 D4 50 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 0F B6 44 10 02 24 C0 3C 80 74 68 8D 45 BC 50 B9 03 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 07 8B 4B 08 83 C1 02 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC C6 45 E0 07 8D 45 D4 50 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 06 8D 43 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C7 43 1C 06 00 00 00 8B 43 14 C6 00 5C 8B 43 14 C6 40 01 75 8B 43 04 8B 53 08 0F B6 04 10 24 0F E8 ?? ?? ?? ?? 8B 53 14 88 42 02 8B 43 04 8B 53 08 0F B6 44 10 01 24 3C 0F B6 C0 C1 E8 02 E8 ?? ?? ?? ?? 8B 53 14 88 42 03 8B 43 04 8B 73 08 0F B6 44 30 01 24 03 03 C0 03 C0 8B 53 04 0F B6 54 32 02 80 E2 30 0F B6 D2 C1 EA 04 0A C2 E8 ?? ?? ?? ?? 8B 53 14 88 42 04 8B 43 04 8B 53 08 0F B6 44 10 02 24 0F E8 ?? ?? ?? ?? 8B 53 14 88 42 05 83 43 08 03 E9 DA 03 00 00 8B 53 04 8B 4B 08 0F B6 14 0A 80 E2 F8 80 FA F0 0F 85 7A 03 00 00 83 C0 03 3B 43 0C 7C 4A 8D 45 B4 50 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC C6 45 F0 07 8D 45 EC 50 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 33 C9 5A E8 ?? ?? ?? ?? 8B 4D B4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 0F B6 44 10 01 24 C0 3C 80 74 66 8D 45 AC 50 B9 04 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 07 8B 4B 08 41 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC C6 45 E0 07 8D 45 D4 50 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D AC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 0F B6 44 10 02 24 C0 3C 80 74 68 8D 45 A4 50 B9 04 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 07 8B 4B 08 83 C1 02 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC C6 45 E0 07 8D 45 D4 50 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D A4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 0F B6 44 10 03 24 C0 3C 80 74 68 8D 45 9C 50 B9 04 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 07 8B 4B 08 83 C1 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC C6 45 E0 07 8D 45 D4 50 8D 55 98 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D 9C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 4B 08 0F B6 04 08 24 07 0F B6 C0 33 D2 89 45 F8 89 55 FC 8B 43 04 0F B6 44 08 01 24 3F 0F B6 C0 33 D2 52 50 8B 45 F8 8B 55 FC 0F A4 C2 06 C1 E0 06 0B 04 24 0B 54 24 04 83 C4 08 89 45 F8 89 55 FC 8B 43 04 0F B6 44 08 02 24 3F 0F B6 C0 33 D2 52 50 8B 45 F8 8B 55 FC 0F A4 C2 06 C1 E0 06 0B 04 24 0B 54 24 04 83 C4 08 89 45 F8 89 55 FC 8B 43 04 0F B6 44 08 03 24 3F 0F B6 C0 33 D2 52 50 8B 45 F8 8B 55 FC 0F A4 C2 06 C1 E0 06 0B 04 24 0B 54 24 04 83 C4 08 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 2D 00 00 01 00 83 DA 00 89 45 F8 89 55 FC BE 00 D8 00 00 8B 45 F8 8B 55 FC 0F AC D0 0A C1 EA 0A 25 FF 07 00 00 0B F0 BF 00 DC 00 00 8B 45 F8 8B 55 FC 81 E0 FF 07 00 00 33 D2 0B F8 6A 0C 8D 43 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C7 43 1C 0C 00 00 00 8B 43 14 C6 00 5C 8B 43 14 C6 40 01 75 B8 00 F0 00 00 23 C6 C1 E8 0C E8 ?? ?? ?? ?? 8B 53 14 88 42 02 B8 00 0F 00 00 23 C6 C1 E8 08 E8 ?? ?? ?? ?? 8B 53 14 88 42 03 B8 F0 00 00 00 23 C6 C1 E8 04 E8 ?? ?? ?? ?? 8B 53 14 88 42 04 8B C6 24 0F E8 ?? ?? ?? ?? 8B 53 14 88 42 05 8B 43 14 C6 40 06 5C 8B 43 14 C6 40 07 75 B8 00 F0 00 00 23 C7 C1 E8 0C E8 ?? ?? ?? ?? 8B 53 14 88 42 08 B8 00 0F 00 00 23 C7 C1 E8 08 E8 ?? ?? ?? ?? 8B 53 14 88 42 09 B8 F0 00 00 00 23 C7 C1 E8 04 E8 ?? ?? ?? ?? 8B 53 14 88 42 0A 8B C7 24 0F E8 ?? ?? ?? ?? 8B 53 14 88 42 0B 83 43 08 04 EB 4A 8D 45 94 50 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC C6 45 F0 07 8D 45 EC 50 8D 55 90 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 90 33 C9 5A E8 ?? ?? ?? ?? 8B 4D 94 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 14 8B 53 18 0F B6 1C 10 EB 02 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 90 BA 11 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9316_0 {
	meta:
		name = "TJSONByteReader.Empty"
		size = 22
	strings:
		$1 = { 8B 50 08 3B 50 0C 7C 08 8B 50 18 3B 50 1C 7D 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_9318_0 {
	meta:
		name = "TJSONByteReader.HasMore"
		size = 28
	strings:
		$1 = { 8B 48 08 03 CA 3B 48 0C 7D 03 B0 01 C3 03 50 18 3B 50 1C 7D 04 B0 01 EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_9321_0 {
	meta:
		name = "TJSONPair.Create"
		size = 72
		refs = "000e @ClassCreate 001d TJSONAncestor.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 08 8B 45 08 89 47 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9322_0 {
	meta:
		name = "TJSONPair.Create"
		size = 83
		refs = "000e @ClassCreate 0021 _DV_TJSONString 0026 TJSONString.Create 0031 TJSONPair.Create 003c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9323_0 {
	meta:
		name = "TJSONPair.Create"
		size = 95
		refs = "000e @ClassCreate 001e _DV_TJSONString 0023 TJSONString.Create 003d TJSONPair.Create 0048 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9324_0 {
	meta:
		name = "TJSONPair.Destroy"
		size = 94
		refs = "0004 @BeforeDestruction 001e TObject.Free 004b TObject.Destroy 0056 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 83 7F 08 00 74 10 8D 47 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 77 0C 85 F6 74 1B 8B C6 8B 10 FF 52 10 84 C0 74 10 8D 47 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9325_0 {
	meta:
		name = "TJSONPair.AddDescendant"
		size = 14
	strings:
		$1 = { 83 78 08 00 75 04 89 50 08 C3 89 50 0C C3 }
	condition:
		$1
}

rule function_9326_0 {
	meta:
		name = "TJSONPair.SetJsonString"
		size = 8
	strings:
		$1 = { 85 D2 74 03 89 50 08 C3 }
	condition:
		$1
}

rule function_9327_0 {
	meta:
		name = "TJSONPair.SetJsonValue"
		size = 8
	strings:
		$1 = { 85 D2 74 03 89 50 0C C3 }
	condition:
		$1
}

rule function_9328_0 {
	meta:
		name = "TJSONPair.EstimatedByteSize"
		size = 30
	strings:
		$1 = { 53 56 8B D8 8B 43 08 8B 10 FF 52 04 8B F0 46 8B 43 0C 8B 10 FF 52 04 03 F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9329_0 {
	meta:
		name = "TJSONPair.ToBytes"
		size = 53
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 08 8B 38 FF 57 08 89 04 24 8B 04 24 FF 04 24 C6 04 06 3A 8B 0C 24 8B D6 8B 43 0C 8B 18 FF 53 08 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9332_0 {
	meta:
		name = "TJSONPair.ToString"
		size = 152
		refs = "0012 TJSONPair.ToString 0051 @UStrCatN 005a @UStrClr 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 08 85 FF 74 34 83 7B 0C 00 74 2E 8D 55 FC 8B C7 8B 08 FF 51 DC FF 75 FC 68 ?? ?? ?? ?? 8D 55 F8 8B 43 0C 8B 08 FF 51 DC FF 75 F8 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_9333_0 {
	meta:
		name = "TJSONPair.Clone"
		size = 36
		refs = "0019 _DV_TJSONPair 001e TJSONPair.Create"
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 10 FF 52 0C 50 8B 43 08 8B 10 FF 52 0C 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9336_0 {
	meta:
		name = "TJSONTrue.ToBytes"
		size = 49
	strings:
		$1 = { 51 89 0C 24 8B 04 24 FF 04 24 C6 04 02 74 8B 04 24 FF 04 24 C6 04 02 72 8B 04 24 FF 04 24 C6 04 02 75 8B 04 24 FF 04 24 C6 04 02 65 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_9337_0 {
	meta:
		name = "TJSONTrue.ToString"
		size = 44
		refs = "0006 TJSONTrue.ToString 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_9339_0 {
	meta:
		name = "TJSONString.Hex"
		size = 64
		refs = "0005 TJSONString.Hex"
	strings:
		$1 = { 83 E0 7F 40 BA ?? ?? ?? ?? 0F B6 44 42 FE C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 30 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 41 00 42 00 43 00 44 00 45 00 46 00 00 00 00 00 }
	condition:
		$1
}

rule function_9341_0 {
	meta:
		name = "TJSONString.Create"
		size = 74
		refs = "000b @ClassCreate 001a TJSONAncestor.Create 0023 _Dn_TDBXStringBuffer 0028 TDBXStringBuffer.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9343_0 {
	meta:
		name = "TJSONString.AddChar"
		size = 80
		refs = "000f TJSONString.AddChar 001f @UStrFromWChar 002a TDBXStringBuffer.Append 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9345_0 {
	meta:
		name = "TJSONString.IsNull"
		size = 12
	strings:
		$1 = { 83 78 08 00 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_9346_0 {
	meta:
		name = "TJSONString.EstimatedByteSize"
		size = 37
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 14 84 C0 74 07 B8 04 00 00 00 5B C3 8B 43 08 8B 40 08 03 C0 8D 04 40 83 C0 02 5B C3 }
	condition:
		$1
}

rule function_9347_0 {
	meta:
		name = "TJSONString.ToBytes"
		size = 775
		refs = "007c TDBXStringBuffer.CharAt 0263 TJSONString.Hex"
	strings:
		$1 = { 53 56 57 55 83 C4 94 8B DA 8B F8 89 0C 24 8B C7 8B 10 FF 52 14 84 C0 74 2D 8B 04 24 FF 04 24 C6 04 03 6E 8B 04 24 FF 04 24 C6 04 03 75 8B 04 24 FF 04 24 C6 04 03 6C 8B 04 24 FF 04 24 C6 04 03 6C E9 B6 02 00 00 8B 04 24 FF 04 24 C6 04 03 22 33 C0 89 44 24 04 8B 47 08 8B 40 08 89 44 24 08 8B 44 24 04 3B 44 24 08 0F 8D 84 02 00 00 8B 6C 24 04 FF 44 24 04 8B 47 08 8B D5 E8 ?? ?? ?? ?? 8B F0 0F B7 C6 83 F8 0D 7F 2B 0F 84 2F 01 00 00 83 E8 08 0F 84 AB 00 00 00 48 0F 84 48 01 00 00 48 0F 84 EF 00 00 00 83 E8 02 0F 84 BD 00 00 00 E9 5C 01 00 00 83 E8 22 74 0F 83 E8 0D 74 5C 83 E8 2D 74 2E E9 48 01 00 00 8B 04 24 89 44 24 10 FF 04 24 8B 44 24 10 C6 04 03 5C 8B 04 24 89 44 24 14 FF 04 24 8B 44 24 14 C6 04 03 22 E9 F2 01 00 00 8B 04 24 89 44 24 18 FF 04 24 8B 44 24 18 C6 04 03 5C 8B 04 24 89 44 24 1C FF 04 24 8B 44 24 1C C6 04 03 5C E9 C9 01 00 00 8B 04 24 89 44 24 20 FF 04 24 8B 44 24 20 C6 04 03 5C 8B 04 24 89 44 24 24 FF 04 24 8B 44 24 24 C6 04 03 2F E9 A0 01 00 00 8B 04 24 89 44 24 28 FF 04 24 8B 44 24 28 C6 04 03 5C 8B 04 24 89 44 24 2C FF 04 24 8B 44 24 2C C6 04 03 62 E9 77 01 00 00 8B 04 24 89 44 24 30 FF 04 24 8B 44 24 30 C6 04 03 5C 8B 04 24 89 44 24 34 FF 04 24 8B 44 24 34 C6 04 03 66 E9 4E 01 00 00 8B 04 24 89 44 24 38 FF 04 24 8B 44 24 38 C6 04 03 5C 8B 04 24 89 44 24 3C FF 04 24 8B 44 24 3C C6 04 03 6E E9 25 01 00 00 8B 04 24 89 44 24 40 FF 04 24 8B 44 24 40 C6 04 03 5C 8B 04 24 89 44 24 44 FF 04 24 8B 44 24 44 C6 04 03 72 E9 FC 00 00 00 8B 04 24 89 44 24 48 FF 04 24 8B 44 24 48 C6 04 03 5C 8B 04 24 89 44 24 4C FF 04 24 8B 44 24 4C C6 04 03 74 E9 D3 00 00 00 66 83 FE 20 72 0A 66 83 FE 7F 0F 86 B0 00 00 00 8B 04 24 89 44 24 50 FF 04 24 8B 44 24 50 C6 04 03 5C 8B 04 24 89 44 24 54 FF 04 24 8B 44 24 54 C6 04 03 75 0F B7 C6 89 44 24 0C 8B 04 24 89 44 24 58 FF 04 24 8B 44 24 0C 25 00 F0 00 00 C1 E8 0C E8 ?? ?? ?? ?? 8B 54 24 58 88 04 13 8B 04 24 89 44 24 5C FF 04 24 8B 44 24 0C 25 00 0F 00 00 C1 E8 08 E8 ?? ?? ?? ?? 8B 54 24 5C 88 04 13 8B 04 24 89 44 24 60 FF 04 24 8B 44 24 0C 25 F0 00 00 00 C1 E8 04 E8 ?? ?? ?? ?? 8B 54 24 60 88 04 13 8B 04 24 89 44 24 64 FF 04 24 0F B6 44 24 0C 24 0F E8 ?? ?? ?? ?? 8B 54 24 64 88 04 13 EB 13 8B 04 24 89 44 24 68 FF 04 24 8B C6 8B 54 24 68 88 04 13 8B 44 24 04 3B 44 24 08 0F 8C 7C FD FF FF 8B 04 24 FF 04 24 C6 04 03 22 8B 04 24 83 C4 6C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9348_0 {
	meta:
		name = "TJSONString.ToString"
		size = 180
		refs = "0012 TJSONString.ToString 0044 AnsiReplaceStr 0058 @UStrCatN 0061 @UStrClr 007b @UStrArrayClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 08 85 FF 74 3B 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C7 8B 08 FF 51 DC 8B 45 F8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_9349_0 {
	meta:
		name = "TJSONString.Value"
		size = 36
		refs = "0011 @UStrClr"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 08 85 FF 75 09 8B C6 E8 ?? ?? ?? ?? EB 09 8B D6 8B C7 8B 08 FF 51 DC 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9350_0 {
	meta:
		name = "TJSONString.Clone"
		size = 105
		refs = "000c TJSONString.Clone 001f _DV_TJSONString 0024 TJSONString.Create 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 00 75 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 1A 8D 55 FC 8B C3 8B 08 FF 11 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_9352_0 {
	meta:
		name = "TJSONNumber.Create"
		size = 122
		refs = "000f @ClassCreate 001b TJSONNumber.Create 002f TDBXPlatform.JsonFloat 003b TJSONString.Create 0050 @UStrClr 0056 @HandleFinally 0063 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_9354_0 {
	meta:
		name = "TJSONNumber.Create"
		size = 122
		refs = "000f @ClassCreate 001b TJSONNumber.Create 002f IntToStr 003b TJSONString.Create 0050 @UStrClr 0056 @HandleFinally 0063 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_9355_0 {
	meta:
		name = "TJSONNumber.Create"
		size = 120
		refs = "0010 @ClassCreate 001e TJSONNumber.Create 002e IntToStr 003a TJSONString.Create 004f @UStrClr 0055 @HandleFinally 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9357_0 {
	meta:
		name = "TJSONNumber.ToBytes"
		size = 98
		refs = "0038 TDBXStringBuffer.CharAt"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 14 24 8B E8 89 4C 24 04 33 C0 89 44 24 08 8B 45 08 8B 40 08 89 44 24 0C 8B 44 24 08 3B 44 24 0C 7D 2C 8B 74 24 08 FF 44 24 08 8B 45 08 8B D6 E8 ?? ?? ?? ?? 8B D8 8B 7C 24 04 FF 44 24 04 8B 04 24 88 1C 38 8B 44 24 08 3B 44 24 0C 7C D4 8B 44 24 04 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9358_0 {
	meta:
		name = "TJSONNumber.ToString"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 08 8B 08 FF 51 DC 5E 5B C3 }
	condition:
		$1
}

rule function_9359_0 {
	meta:
		name = "TJSONNumber.Value"
		size = 192
		refs = "0018 TJSONNumber.Value 003f AnsiPos 004a TJSONNumber.GetAsInt64 0053 IntToStr 005d TDBXPlatform.JsonToFloat 0074 CurrencyString 0079 FloatToStr 0083 @UStrAsg 009d @UStrArrayClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 08 8B 08 FF 51 DC 8B 43 08 83 78 08 0B 7E 23 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 12 8B C3 E8 ?? ?? ?? ?? 52 50 8B C6 E8 ?? ?? ?? ?? EB 2E 8B 45 FC E8 ?? ?? ?? ?? DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_9360_0 {
	meta:
		name = "TJSONNumber.Clone"
		size = 84
		refs = "000c TJSONNumber.Clone 0026 _DV_TJSONNumber 002b TJSONNumber.Create 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 DC 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_9361_0 {
	meta:
		name = "TJSONNumber.GetAsDouble"
		size = 88
		refs = "0012 TJSONNumber.GetAsDouble 002b TDBXPlatform.JsonToFloat 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 43 08 8B 08 FF 51 DC 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9362_0 {
	meta:
		name = "TJSONNumber.GetAsInt"
		size = 78
		refs = "000c TJSONNumber.GetAsInt 0025 StrToInt 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 08 8B 08 FF 51 DC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_9363_0 {
	meta:
		name = "TJSONNumber.GetAsInt64"
		size = 93
		refs = "0012 TJSONNumber.GetAsInt64 002b StrToInt64 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 43 08 8B 08 FF 51 DC 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9364_0 {
	meta:
		name = "TJSONObject.HexToDecimal"
		size = 42
	strings:
		$1 = { 0F B6 D0 66 83 FA 39 76 1A 66 83 FA 46 76 0A 0F B6 C0 83 E8 61 83 C0 0A C3 0F B6 C0 83 E8 41 83 C0 0A C3 0F B6 C0 83 E8 30 C3 }
	condition:
		$1
}

rule function_9365_0 {
	meta:
		name = "TJSONObject.ParseJSONValue"
		size = 32
		refs = "000d @DynArrayLength 0018 TJSONObject.ParseJSONValue"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 53 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9366_0 {
	meta:
		name = "TJSONObject.ParseJSONValue"
		size = 170
		refs = "0013 _DV_TJSONArray 0018 TJSONArray.Create 0030 _DV_TJSONByteReader 0035 TJSONByteReader.Create 0040 TJSONObject.ParseJSONValue 004e TJSONObject.ConsumeWhitespaces 0059 TJSONObject.ParseValue 0065 TJSONArray.Size 0070 TJSONArray.Pop 008a TObject.Free 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 89 55 FC 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 DB 8B 45 FC 50 56 0F B6 45 08 50 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 3B F0 75 15 8B 45 F4 E8 ?? ?? ?? ?? 48 75 0A 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 89 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9367_0 {
	meta:
		name = "TJSONObject.ParseJSONValue"
		size = 92
		refs = "000c TJSONObject.ParseJSONValue 0017 TEncoding.GetUTF8 0021 TEncoding.GetBytes 0045 TArray<System.Byte> 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC B1 01 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_9368_0 {
	meta:
		name = "TJSONObject.ParseJSONValue"
		size = 87
		refs = "000c TJSONObject.ParseJSONValue 001c BytesOf 0040 TArray<System.Byte> 0045 @DynArrayClear 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC B1 01 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_9370_0 {
	meta:
		name = "TJSONObject.ParseJSONValueUTF8"
		size = 27
		refs = "0009 @DynArrayLength 0014 TJSONObject.ParseJSONValueUTF8"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9371_0 {
	meta:
		name = "TJSONArray.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TJSONAncestor.Create 001e _Dn_TDBXArrayList 0023 TDBXArrayList.Create 0031 @AfterConstruction"
		altNames = "TJSONObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_95154_0 {
	meta:
		name = "TCachedStream.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TMemoryStream 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_70820_0 {
	meta:
		name = "TComClassManager.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TMultiReadExclusiveWriteSynchronizer 0023 TMultiReadExclusiveWriteSynchronizer.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_23169_0 {
	meta:
		name = "TDSPackage.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TStringList 0023 TStringList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36680_0 {
	meta:
		name = "TIdIGMPHdr.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TIdStruct.Create 001e _DV_TIdInAddr 0023 TIdLongWord.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38294_0 {
	meta:
		name = "TIdThreadSafeStringList.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TIdThreadSafe.Create 001e _Dn_TStringList 0023 TStringList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36721_0 {
	meta:
		name = "TIdicmp6_hdr.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TIdStruct.Create 001e _DV_TIdicmp6_un 0023 TIdicmp6_un.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_42152_0 {
	meta:
		name = "TInThreadSafeStringList.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TInThreadSafe.Create 001e _Dn_TStringList 0023 TStringList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_49225_0 {
	meta:
		name = "TMimeStreamHolder.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TStringList 0023 TStringList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9372_0 {
	meta:
		name = "TJSONObject.Create"
		size = 71
		refs = "000b @ClassCreate 001a TJSONObject.Create 0028 TDBXArrayList.Add 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 74 0A 8B 47 08 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9373_0 {
	meta:
		name = "TJSONArray.SetElements"
		size = 20
		refs = "000a TObject.Free"
		altNames = "TJSONObject.SetMemberList"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_9375_0 {
	meta:
		name = "TJSONObject.Get"
		size = 39
		refs = "000d TJSONObject.Size 001b TDBXArrayList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 18 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 0D 8B D6 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_9376_0 {
	meta:
		name = "TJSONObject.Get"
		size = 138
		refs = "0018 TJSONObject.Get 0026 TJSONObject.Size 003d TDBXArrayList.GetValue 0046 TJSONPair.GetJsonString 0058 @UStrEqual 0075 @UStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 31 46 33 FF 8B 45 FC 8B 40 08 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 11 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 74 06 47 4E 75 D2 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9378_0 {
	meta:
		name = "TJSONArray.Destroy"
		size = 122
		refs = "0006 @BeforeDestruction 0019 TDBXArrayList.GetCount 002d TDBXArrayList.GetValue 0041 TObject.Free 0063 TObject.Destroy 0070 @ClassDestroy"
		altNames = "TJSONObject.Destroy"
	strings:
		$1 = { 53 56 57 55 51 E8 ?? ?? ?? ?? 88 14 24 8B D8 8B 73 08 85 F6 74 43 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 25 47 33 ED 8B 43 08 8B D5 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 52 10 84 C0 74 07 8B C6 E8 ?? ?? ?? ?? 45 4F 75 DE 8D 43 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 0F B6 14 24 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9379_0 {
	meta:
		name = "TJSONObject.AddPair"
		size = 18
	strings:
		$1 = { 56 8B F0 85 D2 74 07 8B C6 8B 08 FF 51 18 8B C6 5E C3 }
	condition:
		$1
}

rule function_9380_0 {
	meta:
		name = "TJSONObject.AddPair"
		size = 47
		refs = "0017 _DV_TJSONPair 001c TJSONPair.Create 0025 TJSONObject.AddPair"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 74 1C 85 FF 74 18 57 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9384_0 {
	meta:
		name = "TJSONArray.EstimatedByteSize"
		size = 70
		refs = "000f TDBXArrayList.GetCount 0023 TDBXArrayList.GetValue"
		altNames = "TJSONObject.EstimatedByteSize"
	strings:
		$1 = { 53 56 57 55 8B E8 BB 01 00 00 00 8B 45 08 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 19 46 33 FF 8B 45 08 8B D7 E8 ?? ?? ?? ?? 8B 10 FF 52 04 03 D8 43 47 4E 75 EA 83 FB 01 75 07 B8 02 00 00 00 EB 02 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9385_0 {
	meta:
		name = "TJSONObject.ToBytes"
		size = 161
		refs = "0017 TDBXArrayList.GetCount 0034 TDBXArrayList.GetValue"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 89 04 24 89 4C 24 04 8B 04 24 8B 40 08 E8 ?? ?? ?? ?? 8B 54 24 04 FF 44 24 04 C6 04 13 7B 85 C0 7E 1C 8B 04 24 8B 40 08 33 D2 E8 ?? ?? ?? ?? 8B 4C 24 04 8B D3 8B 30 FF 56 08 89 44 24 04 8B 04 24 8B 40 08 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7E 31 BF 01 00 00 00 8B 44 24 04 FF 44 24 04 C6 04 03 2C 8B 04 24 8B 40 08 8B D7 E8 ?? ?? ?? ?? 8B 4C 24 04 8B D3 8B 28 FF 55 08 89 44 24 04 47 4E 75 D4 8B 44 24 04 FF 44 24 04 C6 04 03 7D 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9386_0 {
	meta:
		name = "TJSONObject.Clone"
		size = 72
		refs = "0009 _DV_TJSONObject 000e TJSONObject.Create 0018 TDBXArrayList.GetCount 002b TJSONObject.Get 0039 TJSONObject.AddPair"
	strings:
		$1 = { 53 56 57 55 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B 47 08 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1E 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 52 0C 8B D0 8B C5 E8 ?? ?? ?? ?? 46 4B 75 E5 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9387_0 {
	meta:
		name = "TJSONObject.Parse"
		size = 50
		refs = "000d @DynArrayLength 001b TJSONObject.Parse"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 8B C7 E8 ?? ?? ?? ?? 8B D8 53 8B CD 8B D7 8B C6 E8 ?? ?? ?? ?? 3B D8 75 04 8B C3 EB 06 85 C0 7C 02 F7 D8 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9388_0 {
	meta:
		name = "TJSONObject.Parse"
		size = 120
		refs = "0025 _DV_TJSONByteReader 002e TJSONByteReader.Create 0039 TJSONObject.Parse 0061 TObject.Free 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D8 8B 75 08 85 D2 74 08 85 C9 7C 04 3B F1 7F 09 C7 45 FC FF FF FF FF EB 4B 51 56 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9389_0 {
	meta:
		name = "TJSONObject.Parse"
		size = 290
		refs = "000d TJSONObject.ConsumeWhitespaces 007e TJSONObject.ParsePair"
	strings:
		$1 = { 53 56 57 55 51 8B F2 89 04 24 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 08 84 C0 74 10 8B C6 8B 10 FF 52 10 8B E8 F7 DD E9 EE 00 00 00 8B C6 8B 10 FF 52 04 0F B6 C0 66 83 F8 7B 74 10 8B C6 8B 10 FF 52 10 8B E8 F7 DD E9 CE 00 00 00 8B C6 8B 10 FF 12 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 08 84 C0 74 10 8B C6 8B 10 FF 52 10 8B E8 F7 DD E9 A6 00 00 00 33 DB EB 74 8B 14 24 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 7F 07 8B EF E9 8B 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 08 84 C0 74 0D 8B C6 8B 10 FF 52 10 8B E8 F7 DD EB 6C 33 DB 8B C6 8B 10 FF 52 04 0F B6 C0 66 83 F8 2C 75 2C 8B C6 8B 10 FF 12 8B C6 E8 ?? ?? ?? ?? B3 01 8B C6 8B 10 FF 52 04 0F B6 C0 66 83 F8 7D 75 0D 8B C6 8B 10 FF 52 10 8B E8 F7 DD EB 2E 84 DB 75 88 8B C6 8B 10 FF 52 04 0F B6 C0 66 83 F8 7D 0F 85 74 FF FF FF 8B C6 8B 10 FF 12 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 10 8B E8 8B C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9390_0 {
	meta:
		name = "TJSONObject.ConsumeWhitespaces"
		size = 53
	strings:
		$1 = { 53 56 8B F0 EB 21 8B C6 8B 10 FF 52 04 8B D8 80 C3 F7 80 EB 02 72 0A 80 EB 02 74 05 80 EB 13 75 11 8B C6 8B 10 FF 12 8B C6 8B 10 FF 52 08 84 C0 74 D4 5E 5B C3 }
	condition:
		$1
}

rule function_9391_0 {
	meta:
		name = "TJSONObject.ParseObject"
		size = 43
		refs = "000a _DV_TJSONObject 000f TJSONObject.Create 0023 TJSONObject.Parse"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D3 8B C7 8B 08 FF 51 18 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9392_0 {
	meta:
		name = "TJSONObject.ParsePair"
		size = 125
		refs = "000a _DV_TJSONPair 000f TJSONPair.Create 0023 TJSONObject.ParseString 002e TJSONObject.ConsumeWhitespaces 0075 TJSONObject.ParseValue"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D7 8B C3 8B 08 FF 51 18 8B D7 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 4E 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 08 84 C0 74 0B 8B C6 8B 10 FF 52 10 F7 D8 EB 31 8B C6 8B 10 FF 52 04 0F B6 C0 66 83 F8 3A 74 0B 8B C6 8B 10 FF 52 10 F7 D8 EB 16 8B C6 8B 10 FF 12 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9393_0 {
	meta:
		name = "TJSONObject.ParseArray"
		size = 282
		refs = "000c TJSONObject.ConsumeWhitespaces 0054 _DV_TJSONArray 0059 TJSONArray.Create 007b TJSONObject.ParseValue"
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 08 84 C0 74 10 8B C6 8B 10 FF 52 10 8B E8 F7 DD E9 E7 00 00 00 8B C6 8B 10 FF 52 04 0F B6 C0 66 83 F8 5B 74 10 8B C6 8B 10 FF 52 10 8B E8 F7 DD E9 C7 00 00 00 8B C6 8B 10 FF 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 8B 14 24 8B C3 8B 08 FF 51 18 33 DB EB 76 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 7F 07 8B EF E9 86 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 08 84 C0 74 0D 8B C6 8B 10 FF 52 10 8B E8 F7 DD EB 67 33 DB 8B C6 8B 10 FF 52 04 0F B6 C0 66 83 F8 2C 75 0A 8B C6 8B 10 FF 12 B3 01 EB 1D 8B C6 8B 10 FF 52 04 0F B6 C0 66 83 F8 5D 74 0D 8B C6 8B 10 FF 52 10 8B E8 F7 DD EB 2E 84 DB 75 86 8B C6 8B 10 FF 52 04 0F B6 C0 66 83 F8 5D 0F 85 72 FF FF FF 8B C6 8B 10 FF 12 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 10 8B E8 8B C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9394_0 {
	meta:
		name = "TJSONObject.ParseValue"
		size = 530
		refs = "0072 TJSONObject.ParseString 0080 TJSONObject.ParseNumber 008e TJSONObject.ParseObject 009c TJSONObject.ParseArray 00fd _DV_TJSONTrue 0102 TJSONAncestor.Create 0182 _DV_TJSONFalse 01ef _DV_TJSONNull"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 8B 10 FF 52 10 8B D8 8B C6 8B 10 FF 52 08 84 C0 74 09 8B C3 F7 D8 E9 EA 01 00 00 8B C6 8B 10 FF 52 04 0F B6 C0 83 F8 66 7F 22 0F 84 E2 00 00 00 83 E8 22 74 2F 83 E8 0B 74 38 83 C0 FD 83 E8 0A 72 30 83 E8 21 74 47 E9 B5 01 00 00 83 E8 6E 0F 84 3F 01 00 00 83 E8 06 74 42 83 E8 07 74 21 E9 9D 01 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? E9 93 01 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? E9 85 01 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? E9 77 01 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? E9 69 01 00 00 BA 03 00 00 00 8B C6 8B 08 FF 51 0C 84 C0 75 09 8B C3 F7 D8 E9 50 01 00 00 8B C6 8B 10 FF 12 8B C6 8B 10 FF 12 0F B6 C0 66 83 F8 72 75 1E 8B C6 8B 10 FF 12 0F B6 C0 66 83 F8 75 75 0F 8B C6 8B 10 FF 12 0F B6 C0 66 83 F8 65 74 09 8B C3 F7 D8 E9 14 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 18 8B C6 8B 10 FF 52 10 E9 F3 00 00 00 BA 04 00 00 00 8B C6 8B 08 FF 51 0C 84 C0 75 09 8B C3 F7 D8 E9 DA 00 00 00 8B C6 8B 10 FF 12 8B C6 8B 10 FF 12 0F B6 C0 66 83 F8 61 75 2D 8B C6 8B 10 FF 12 0F B6 C0 66 83 F8 6C 75 1E 8B C6 8B 10 FF 12 0F B6 C0 66 83 F8 73 75 0F 8B C6 8B 10 FF 12 0F B6 C0 66 83 F8 65 74 09 8B C3 F7 D8 E9 8F 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 18 8B C6 8B 10 FF 52 10 EB 71 BA 03 00 00 00 8B C6 8B 08 FF 51 0C 84 C0 75 06 8B C3 F7 D8 EB 5B 8B C6 8B 10 FF 12 8B C6 8B 10 FF 12 0F B6 C0 66 83 F8 75 75 1E 8B C6 8B 10 FF 12 0F B6 C0 66 83 F8 6C 75 0F 8B C6 8B 10 FF 12 0F B6 C0 66 83 F8 6C 74 06 8B C3 F7 D8 EB 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 18 8B C6 8B 10 FF 52 10 EB 04 8B C3 F7 D8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9395_0 {
	meta:
		name = "TJSONObject.RemovePair"
		size = 153
		refs = "0018 TJSONObject.RemovePair 0026 TJSONObject.Size 003d TDBXArrayList.GetValue 0046 TJSONPair.GetJsonString 0058 @UStrEqual 0067 TDBXArrayList.RemoveAt 0084 @UStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 40 47 33 F6 8B 45 FC 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 11 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 75 0F 8B 45 FC 8B 40 08 8B D6 E8 ?? ?? ?? ?? EB 06 46 4F 75 C3 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9396_0 {
	meta:
		name = "TJSONObject.ParseNumber"
		size = 837
		refs = "000c _DV_TJSONNumber 0011 TJSONNumber.Create"
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D7 8B C3 8B 08 FF 51 18 8B C6 8B 10 FF 52 04 0F B6 C0 66 83 F8 2D 75 24 66 BA 2D 00 8B C7 8B 08 FF 51 20 8B C6 8B 10 FF 12 8B C6 8B 10 FF 52 08 84 C0 74 08 83 CD FF E9 E9 02 00 00 8B C6 8B 10 FF 52 04 0F B6 C0 66 83 F8 30 75 47 66 BA 30 00 8B C7 8B 08 FF 51 20 8B C6 8B 10 FF 12 8B C6 8B 10 FF 52 08 84 C0 74 0E 8B C6 8B 10 FF 52 10 8B E8 E9 AF 02 00 00 8B C6 8B 10 FF 52 04 04 D0 2C 0A 73 10 8B C6 8B 10 FF 52 10 8B E8 F7 DD E9 92 02 00 00 B3 01 EB 38 8B C6 8B 10 FF 52 04 04 D0 2C 0A 73 29 8B C6 8B 10 FF 12 0F B6 D0 8B C7 8B 08 FF 51 20 8B C6 8B 10 FF 52 08 84 C0 74 10 8B C6 8B 10 FF 52 10 8B E8 E9 58 02 00 00 33 DB 84 DB 75 C4 C6 04 24 00 8B C6 8B 10 FF 52 04 0F B6 C0 66 83 F8 2E 75 30 66 BA 2E 00 8B C7 8B 08 FF 51 20 8B C6 8B 10 FF 12 8B C6 8B 10 FF 52 08 84 C0 0F 84 B8 00 00 00 8B C6 8B 10 FF 52 10 8B E8 F7 DD E9 0E 02 00 00 8B C6 8B 10 FF 52 04 0F B6 C0 66 83 F8 65 74 10 8B C6 8B 10 FF 52 04 0F B6 C0 66 83 F8 45 75 7A 8B C6 8B 10 FF 12 0F B6 D0 8B C7 8B 08 FF 51 20 C6 04 24 01 8B C6 8B 10 FF 52 08 84 C0 74 10 8B C6 8B 10 FF 52 10 8B E8 F7 DD E9 BF 01 00 00 8B C6 8B 10 FF 52 04 0F B6 C0 66 83 F8 2D 74 10 8B C6 8B 10 FF 52 04 0F B6 C0 66 83 F8 2B 75 39 8B C6 8B 10 FF 12 0F B6 D0 8B C7 8B 08 FF 51 20 8B C6 8B 10 FF 52 08 84 C0 74 1E 8B C6 8B 10 FF 52 10 8B E8 F7 DD E9 74 01 00 00 8B C6 8B 10 FF 52 10 8B E8 E9 66 01 00 00 C6 44 24 01 00 B3 01 EB 3D 8B C6 8B 10 FF 52 04 04 D0 2C 0A 73 2E 8B C6 8B 10 FF 12 0F B6 D0 8B C7 8B 08 FF 51 20 C6 44 24 01 01 8B C6 8B 10 FF 52 08 84 C0 74 10 8B C6 8B 10 FF 52 10 8B E8 E9 22 01 00 00 33 DB 84 DB 75 BF 80 7C 24 01 00 75 10 8B C6 8B 10 FF 52 10 8B E8 F7 DD E9 05 01 00 00 80 3C 24 00 0F 85 F2 00 00 00 8B C6 8B 10 FF 52 04 0F B6 C0 66 83 F8 65 74 14 8B C6 8B 10 FF 52 04 0F B6 C0 66 83 F8 45 0F 85 CE 00 00 00 8B C6 8B 10 FF 12 0F B6 D0 8B C7 8B 08 FF 51 20 8B C6 8B 10 FF 52 08 84 C0 74 10 8B C6 8B 10 FF 52 10 8B E8 F7 DD E9 AC 00 00 00 8B C6 8B 10 FF 52 04 0F B6 C0 66 83 F8 2D 74 10 8B C6 8B 10 FF 52 04 0F B6 C0 66 83 F8 2B 75 28 8B C6 8B 10 FF 12 0F B6 D0 8B C7 8B 08 FF 51 20 8B C6 8B 10 FF 52 08 84 C0 74 0D 8B C6 8B 10 FF 52 10 8B E8 F7 DD EB 64 C6 44 24 01 00 B3 01 EB 3A 8B C6 8B 10 FF 52 04 04 D0 2C 0A 73 2B 8B C6 8B 10 FF 12 0F B6 D0 8B C7 8B 08 FF 51 20 C6 44 24 01 01 8B C6 8B 10 FF 52 08 84 C0 74 0D 8B C6 8B 10 FF 52 10 8B E8 EB 23 33 DB 84 DB 75 C2 80 7C 24 01 00 75 0D 8B C6 8B 10 FF 52 10 8B E8 F7 DD EB 09 8B C6 8B 10 FF 52 10 8B E8 8B C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9397_0 {
	meta:
		name = "TJSONObject.ParseString"
		size = 508
		refs = "0053 _DV_TJSONString 0058 TJSONString.Create 0152 TJSONObject.HexToDecimal"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B D8 66 BE 20 00 8B C3 8B 10 FF 52 04 0F B6 C0 66 83 F8 22 74 10 8B C3 8B 10 FF 52 10 8B E8 F7 DD E9 C7 01 00 00 8B C3 8B 10 FF 12 8B C3 8B 10 FF 52 08 84 C0 74 10 8B C3 8B 10 FF 52 10 8B E8 F7 DD E9 A6 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D7 8B C5 8B 08 FF 51 18 E9 65 01 00 00 8B C3 8B 10 FF 52 04 2C 5C 0F 85 25 01 00 00 8B C3 8B 10 FF 12 8B C3 8B 10 FF 52 08 84 C0 74 10 8B C3 8B 10 FF 52 10 8B E8 F7 DD E9 58 01 00 00 8B C3 8B 10 FF 52 04 0F B6 C0 83 F8 66 7F 1B 74 54 83 E8 22 74 2B 83 E8 0D 74 38 83 E8 2D 74 2A 83 E8 06 74 37 E9 CD 00 00 00 83 E8 6E 74 3F 83 E8 04 74 43 83 E8 02 74 47 48 74 4D E9 B6 00 00 00 66 BE 22 00 E9 C4 00 00 00 66 BE 5C 00 E9 BB 00 00 00 66 BE 2F 00 E9 B2 00 00 00 66 BE 08 00 E9 A9 00 00 00 66 BE 0C 00 E9 A0 00 00 00 66 BE 0A 00 E9 97 00 00 00 66 BE 0D 00 E9 8E 00 00 00 66 BE 09 00 E9 85 00 00 00 8B C3 8B 10 FF 12 BA 03 00 00 00 8B C3 8B 08 FF 51 0C 84 C0 75 10 8B C3 8B 10 FF 52 10 8B E8 F7 DD E9 A9 00 00 00 8B C3 8B 10 FF 12 E8 ?? ?? ?? ?? C1 E0 0C 89 04 24 8B C3 8B 10 FF 12 E8 ?? ?? ?? ?? C1 E0 08 09 04 24 8B C3 8B 10 FF 12 E8 ?? ?? ?? ?? C1 E0 04 09 04 24 8B C3 8B 10 FF 52 04 E8 ?? ?? ?? ?? 09 04 24 0F B7 34 24 EB 17 8B C3 8B 10 FF 52 10 8B E8 F7 DD EB 54 8B C3 8B 10 FF 52 04 0F B6 F0 8B D6 8B C7 8B 08 FF 51 20 8B C3 8B 10 FF 12 8B C3 8B 10 FF 52 08 84 C0 74 0D 8B C3 8B 10 FF 52 10 8B E8 F7 DD EB 23 8B C3 8B 10 FF 52 04 0F B6 C0 66 83 F8 22 0F 85 87 FE FF FF 8B C3 8B 10 FF 12 8B C3 8B 10 FF 52 10 8B E8 8B C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9398_0 {
	meta:
		name = "TJSONObject.ToString"
		size = 320
		refs = "001a TJSONObject.ToString 0028 TDBXArrayList.GetCount 0031 _Dn_TDBXStringBuffer 0036 TDBXStringBuffer.Create 0054 TDBXStringBuffer.Append 0062 TDBXArrayList.GetValue 00da TObject.Free 00e0 @HandleFinally 00fc @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 08 E8 ?? ?? ?? ?? 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 DB 7E 1D 8B 47 08 33 D2 E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 51 DC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 4B 85 DB 7E 33 BE 01 00 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 47 08 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 51 DC 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 46 4B 75 D2 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 51 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_9402_0 {
	meta:
		name = "TJSONNull.ToBytes"
		size = 49
	strings:
		$1 = { 51 89 0C 24 8B 04 24 FF 04 24 C6 04 02 6E 8B 04 24 FF 04 24 C6 04 02 75 8B 04 24 FF 04 24 C6 04 02 6C 8B 04 24 FF 04 24 C6 04 02 6C 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_9403_0 {
	meta:
		name = "TJSONNull.ToString"
		size = 44
		refs = "0006 TJSONNull.ToString 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 75 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_9406_0 {
	meta:
		name = "TEncodingInfoIBM01142.AliasCount"
		size = 6
		altNames = "TEncodingInfoIBM01143.AliasCount TEncodingInfoIBM278.AliasCount TEncodingInfoIBM500.AliasCount TEncodingInfoIBM861.AliasCount TEncodingInfoIBM869.AliasCount TEncodingInfoIBM870.AliasCount TEncodingInfoISO11SwedishForNames.AliasCount TEncodingInfoISO122Canadian2.AliasCount TEncodingInfoISO14JISC6220ro.AliasCount TEncodingInfoISO151Cuba.AliasCount TEncodingInfoISO21German.AliasCount TEncodingInfoISO57GB1988.AliasCount TEncodingInfoISO61Norwegian2.AliasCount TEncodingInfoISO646Danish.AliasCount TEncodingInfoISO69French.AliasCount TEncodingInfoISO86Hungarian.AliasCount TEncodingInfoISO87JISX0208.AliasCount TEncodingInfoISO89ASMO449.AliasCount TEncodingInfoISO92JISC62991984b.AliasCount TEncodingInfoISO99NAPLPS.AliasCount TEncodingInfoIsoLatin2.MIBenum TEncodingInfoPC8CodePage437.AliasCount TEncodingInfoPTCP154.AliasCount TJSONFalse.EstimatedByteSize TWebActionItems.GetAttrCount"
	strings:
		$1 = { B8 05 00 00 00 C3 }
	condition:
		$1
}

rule function_9407_0 {
	meta:
		name = "TJSONFalse.ToBytes"
		size = 51
	strings:
		$1 = { 53 51 8B DC 89 0B 8B 03 FF 03 C6 04 02 66 8B 03 FF 03 C6 04 02 61 8B 03 FF 03 C6 04 02 6C 8B 03 FF 03 C6 04 02 73 8B 03 FF 03 C6 04 02 65 8B 03 5A 5B C3 }
	condition:
		$1
}

rule function_9408_0 {
	meta:
		name = "TJSONFalse.ToString"
		size = 44
		refs = "0006 TJSONFalse.ToString 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_9412_0 {
	meta:
		name = "TJSONArray.Create"
		size = 82
		refs = "000e @ClassCreate 001d TJSONArray.Create 0026 TJSONArray.AddElement 003b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 55 08 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9413_0 {
	meta:
		name = "TJSONArray.Create"
		size = 110
		refs = "000e @ClassCreate 001d TJSONArray.Create 0026 _DV_TJSONString 002b TJSONString.Create 0034 TJSONArray.AddElement 0057 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 4D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9416_0 {
	meta:
		name = "TJSONArray.Size"
		size = 38
		refs = "000e TDBXArrayList.GetCount"
	strings:
		$1 = { 53 56 8B D8 8B 73 08 85 F6 74 0B 8B C6 E8 ?? ?? ?? ?? 85 C0 75 05 33 C0 5E 5B C3 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9417_0 {
	meta:
		name = "TJSONArray.Get"
		size = 39
		refs = "000d TJSONArray.Size 0020 TDBXArrayList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 0B 8B C3 E8 ?? ?? ?? ?? 3B F0 7C 05 33 C0 5E 5B C3 8B D6 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9419_0 {
	meta:
		name = "TJSONArray.Pop"
		size = 31
		refs = "000a TDBXArrayList.GetValue 0016 TDBXArrayList.RemoveAt"
	strings:
		$1 = { 53 56 8B D8 33 D2 8B 43 08 E8 ?? ?? ?? ?? 8B F0 33 D2 8B 43 08 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9420_0 {
	meta:
		name = "TJSONArray.Remove"
		size = 49
		refs = "000c TJSONArray.Get 0019 TJSONArray.Size 0027 TDBXArrayList.RemoveAt"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 85 F6 7C 15 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 0A 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9421_0 {
	meta:
		name = "TJSONArray.AddElement"
		size = 10
	strings:
		$1 = { 85 D2 74 05 8B 08 FF 51 18 C3 }
	condition:
		$1
}

rule function_9422_0 {
	meta:
		name = "TJSONArray.Add"
		size = 34
		refs = "000b _DV_TJSONString 0010 TJSONString.Create 0019 TJSONArray.AddElement"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_9423_0 {
	meta:
		name = "TJSONArray.Add"
		size = 34
		refs = "000b _DV_TJSONNumber 0010 TJSONNumber.Create 0019 TJSONArray.AddElement"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_9424_0 {
	meta:
		name = "TJSONArray.Add"
		size = 40
		refs = "000f _DV_TJSONNumber 0014 TJSONNumber.Create 001d TJSONArray.AddElement"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_9425_0 {
	meta:
		name = "TJSONArray.Add"
		size = 55
		refs = "000a _DV_TJSONTrue 000f TJSONAncestor.Create 0018 TJSONArray.AddElement 0021 _DV_TJSONFalse"
	strings:
		$1 = { 53 8B D8 84 D2 74 17 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 15 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_9426_0 {
	meta:
		name = "TJSONArray.Add"
		size = 41
		refs = "000a TJSONArray.AddElement 0013 _DV_TJSONNull 0018 TJSONAncestor.Create"
	strings:
		$1 = { 53 8B D8 85 D2 74 09 8B C3 E8 ?? ?? ?? ?? EB 15 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_9427_0 {
	meta:
		name = "TJSONArray.Add"
		size = 14
		refs = "0006 TJSONArray.AddElement"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_46829_0 {
	meta:
		name = "_DF_."
		size = 14
		refs = "0006 _DF_."
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_9429_0 {
	meta:
		name = "TJSONArray.ToBytes"
		size = 150
		refs = "0017 TDBXArrayList.GetCount 0036 TDBXArrayList.GetValue"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 89 04 24 89 4C 24 04 8B 04 24 8B 40 08 E8 ?? ?? ?? ?? 8B F0 8B 44 24 04 FF 44 24 04 C6 04 03 5B 85 F6 7E 1C 8B 04 24 8B 40 08 33 D2 E8 ?? ?? ?? ?? 8B 4C 24 04 8B D3 8B 38 FF 57 08 89 44 24 04 4E 85 F6 7E 31 BF 01 00 00 00 8B 44 24 04 FF 44 24 04 C6 04 03 2C 8B 04 24 8B 40 08 8B D7 E8 ?? ?? ?? ?? 8B 4C 24 04 8B D3 8B 28 FF 55 08 89 44 24 04 47 4E 75 D4 8B 44 24 04 FF 44 24 04 C6 04 03 5D 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9430_0 {
	meta:
		name = "TJSONArray.ToString"
		size = 320
		refs = "001a TJSONArray.ToString 0028 TDBXArrayList.GetCount 0031 _Dn_TDBXStringBuffer 0036 TDBXStringBuffer.Create 0054 TDBXStringBuffer.Append 0062 TDBXArrayList.GetValue 00da TObject.Free 00e0 @HandleFinally 00fc @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 08 E8 ?? ?? ?? ?? 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 DB 7E 1D 8B 47 08 33 D2 E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 51 DC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 4B 85 DB 7E 33 BE 01 00 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 47 08 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 51 DC 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 46 4B 75 D2 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 51 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 }
	condition:
		$1
}

rule function_9431_0 {
	meta:
		name = "TJSONArray.Clone"
		size = 74
		refs = "0009 _DV_TJSONArray 000e TJSONArray.Create 0018 TJSONArray.Size 002b TJSONArray.Get"
	strings:
		$1 = { 53 56 57 51 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1F 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 52 0C 8B D0 8B 04 24 8B 08 FF 51 18 46 4B 75 E4 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9434_0 {
	meta:
		name = "TJSONPairEnumerator.GetCurrent"
		size = 16
		refs = "000a TDBXArrayList.GetValue"
	strings:
		$1 = { 53 8B D8 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9441_0 {
	meta:
		name = "TDBXJSONTools.ValueTypeToJSON"
		size = 264
		refs = "000a _Dn_TJSONArray 000f TJSONArray.Create 001b TJSONArray.Add 00b0 TDBXValueType.IsNullable"
	strings:
		$1 = { 53 56 83 C4 F8 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 56 04 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 50 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 54 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 5C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 68 89 04 24 89 54 24 04 DF 2C 24 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 58 89 04 24 89 54 24 04 DF 2C 24 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 60 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 6C 83 F8 01 1B D2 42 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 40 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 70 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 74 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_9442_0 {
	meta:
		name = "TDBXJSONTools.JSONToValueType"
		size = 439
		refs = "000d TDBXJSONTools.JSONToValueType 001a _Dn_TDBXValueType 001f TDBXValueType.Create 002a TJSONArray.Get 004c TJSONNumber.GetAsInt 0105 _Dn_TJSONTrue 010a @IsClass 01a4 @UStrClr 01aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 11 8B 55 FC 8B C3 8B 08 FF 51 08 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 14 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 10 BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 18 BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 20 BA 05 00 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 99 52 50 8B C3 8B 10 FF 52 30 BA 06 00 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 99 52 50 8B C3 8B 10 FF 52 1C BA 07 00 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 24 BA 08 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 2C BA 09 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 D8 1B D2 8B C3 8B 08 FF 51 34 BA 0A 00 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 04 BA 0B 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 38 BA 0C 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9443_0 {
	meta:
		name = "TDBXJSONTools.TableToJSON"
		size = 428
		refs = "0018 TDBXJSONTools.TableToJSON 0029 _Dn_TJSONObject 002e TJSONObject.Create 0060 :TDBXJSONTools.:1 0065 @DynArraySetLength 006f _Dn_TJSONArray 0074 TJSONArray.Create 0087 TJSONObject.AddPair 00e5 TDBXJSONTools.ValueTypeToJSON 00ef TJSONArray.AddElement 0111 TDBXJSONTools.DBXToJSON 0155 TDBXReader.Close 0162 TObject.Free 0180 @DynArrayClear 0186 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 DB 89 5D FC 88 4D FB 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 13 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 30 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B C6 8B 10 FF 52 1C 89 45 EC 8B 45 EC 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 4D E8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C6 45 E7 01 89 5D F4 E9 A6 00 00 00 8B 45 EC 48 85 C0 0F 8C 8D 00 00 00 40 89 45 DC 33 DB 80 7D E7 00 74 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 04 9A 8B D3 8B C6 8B 08 FF 51 18 8B 50 04 8B 45 FC 8B 0C 98 8B 45 F0 E8 ?? ?? ?? ?? 8B D3 8B C6 8B 08 FF 51 18 E8 ?? ?? ?? ?? 8B D0 8B 45 E8 E8 ?? ?? ?? ?? 8B D3 8B C6 8B 08 FF 51 18 8B 10 FF 52 50 50 8B D3 8B C6 8B 08 FF 51 10 0F B6 4D FB 5A E8 ?? ?? ?? ?? 89 45 E0 8B 45 FC 8B 04 98 8B 55 E0 E8 ?? ?? ?? ?? 43 FF 4D DC 0F 85 79 FF FF FF C6 45 E7 00 8B 45 F4 89 45 D8 FF 4D F4 8B C6 8B 10 FF 52 3C 84 C0 74 0A 83 7D F4 00 0F 8F 45 FF FF FF 8B C6 E8 ?? ?? ?? ?? 80 7D FB 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B 5D F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 61 00 62 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_9444_0 {
	meta:
		name = "TDBXJSONTools.DBXToJSON"
		size = 625
		refs = "001c TDBXJSONTools.DBXToJSON 003f _Dn_TJSONNull 0044 TJSONAncestor.Create 00da _Dn_TJSONNumber 00df TJSONNumber.Create 0152 _Dn_TJSONTrue 0165 _Dn_TJSONFalse 0185 _Dn_TJSONString 018a TJSONString.Create 01ad TDBXJSONTools.TableToJSON 01e6 TDBXJSONTools.StreamToJSON 01f8 TDBXValueType.DataTypeName 020e SNoConversionToJSON 0213 LoadResString 021e Format 022b _Dn_TDBXError 0230 TDBXError.Create 0235 @RaiseExcept 024f @UStrArrayClr 0262 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 07 33 DB E9 08 02 00 00 8B C6 8B 10 FF 52 58 84 C0 74 13 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 EA 01 00 00 8B C7 83 F8 25 0F 87 94 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 07 07 09 06 02 02 02 02 00 07 07 02 02 00 00 00 00 03 03 00 00 00 08 07 02 07 04 02 05 00 00 00 09 00 00 00 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 91 C0 00 00 00 8B D8 E9 70 01 00 00 8B C6 8B 10 FF 52 30 83 C4 F8 DD 1C 24 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 4F 01 00 00 8B C6 8B 10 FF 52 24 52 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 33 01 00 00 8B C6 8B 10 FF 52 2C 83 C4 F8 DD 1C 24 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 12 01 00 00 8B C6 8B 10 FF 52 10 0F B6 C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 F5 00 00 00 8B C6 8B 10 FF 52 68 84 C0 74 13 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 D7 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 C4 00 00 00 8D 55 FC 8B C6 8B 08 FF 51 28 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 A4 00 00 00 84 DB 74 1F 33 D2 8B C6 8B 08 FF 91 A8 00 00 00 8B CB BA FF FF FF 7F E8 ?? ?? ?? ?? 8B D8 E9 81 00 00 00 8B C6 8B 10 FF 92 AC 00 00 00 8B CB BA FF FF FF 7F E8 ?? ?? ?? ?? 8B D8 EB 67 B2 01 8B C6 8B 08 FF 91 B4 00 00 00 B9 FF FF FF 7F 33 D2 E8 ?? ?? ?? ?? 8B D8 EB 4B 8D 45 F8 50 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 C9 5A E8 ?? ?? ?? ?? 8B 45 F8 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9445_0 {
	meta:
		name = "SetObjectValueData"
		size = 76
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 55 08 3B 42 F8 75 21 8B 45 08 33 D2 89 50 FC 8B 45 08 8B 50 F8 8B 45 08 8B 40 F4 B1 01 8B 18 FF 93 B8 01 00 00 5B 5D C3 8B 45 08 8B 50 F8 8B 45 08 8B 40 F4 33 C9 8B 18 FF 93 B8 01 00 00 5B 5D C3 }
	condition:
		$1
}

rule function_9446_0 {
	meta:
		name = "TDBXJSONTools.JSONToDBX"
		size = 2255
		refs = "0026 TDBXJSONTools.JSONToDBX 005c _Dn_TJSONNull 0061 @IsClass 0070 SetObjectValueData 008f _Dn_TJSONNumber 0114 TJSONNumber.GetAsDouble 0133 TJSONNumber.GetAsInt 0176 TDBXValueType.DataTypeName 018c SNoConversionToDBX 0191 LoadResString 019f Format 01ac _Dn_TDBXError 01b1 TDBXError.Create 01b6 @RaiseExcept 01c4 _Dn_TJSONString 0246 @LStrFromUStr 0288 TDBXPlatform.IsBoolean 029e StrToBool 02f3 TDBXPlatform.JsonToFloat 03af StrToInt 043e _Dn_TJSONTrue 0450 _Dn_TJSONFalse 0543 BoolToStr 0614 _Dn_TJSONObject 0678 _Dn_TDBXJSONTableReader 067d TDBXJSONTableReader.Create 071f _Dn_TJSONArray 0751 TDBXJSONTools.JSONToStream 0821 SNoJSONConversion 0856 TObject.Free 0873 @UStrArrayClr 088b @LStrClr 08c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 17 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 F4 89 45 F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 08 8B 45 F8 89 45 FC EB 05 33 C0 89 45 FC 83 7D F8 00 75 10 8B 45 F4 8B 10 FF 92 58 01 00 00 E9 FB 07 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 83 FE 25 75 0C 55 E8 ?? ?? ?? ?? 59 E9 D8 07 00 00 8B 45 F4 8B 10 FF 92 58 01 00 00 E9 C8 07 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 1F 01 00 00 8B C6 83 F8 25 0F 87 AC 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 00 00 03 01 01 02 02 00 00 00 01 01 00 00 00 00 01 01 00 00 00 00 01 02 01 02 01 01 00 00 00 00 00 00 00 04 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F0 8B 45 F8 8B 08 FF 11 8B 55 F0 8B 45 F4 8B 08 FF 91 24 01 00 00 E9 42 07 00 00 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 F4 8B 10 FF 92 2C 01 00 00 E9 23 07 00 00 8B 45 F8 E8 ?? ?? ?? ?? 48 0F 94 C2 8B 45 F4 8B 08 FF 91 08 01 00 00 E9 07 07 00 00 55 E8 ?? ?? ?? ?? 59 E9 FB 06 00 00 8D 45 EC 50 8D 55 D8 8B 45 F8 8B 08 FF 51 DC 8B 45 D8 89 45 DC C6 45 E0 11 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 8B 45 D4 89 45 E4 C6 45 E8 11 8D 45 DC 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 45 EC 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 93 06 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 64 02 00 00 8B C6 83 F8 25 0F 87 F1 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 02 00 04 03 03 03 03 00 02 02 03 03 00 00 00 00 03 00 00 00 00 00 02 03 02 03 03 05 00 00 00 00 00 00 00 06 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 C8 8B 45 F8 8B 08 FF 11 8B 55 C8 8D 45 CC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F4 8B 08 FF 91 68 01 00 00 E9 F5 05 00 00 8D 55 C4 8B 45 F8 8B 08 FF 11 8B 55 C4 8B 45 F4 8B 08 FF 91 24 01 00 00 E9 D8 05 00 00 8D 55 C0 8B 45 F8 8B 08 FF 11 8B 45 C0 E8 ?? ?? ?? ?? 84 C0 74 43 8D 55 BC 8B 45 F8 8B 08 FF 11 8B 45 BC E8 ?? ?? ?? ?? 8B D8 84 DB 74 17 68 00 00 F0 3F 6A 00 8B 45 F4 8B 10 FF 92 2C 01 00 00 E9 93 05 00 00 6A 00 6A 00 8B 45 F4 8B 10 FF 92 2C 01 00 00 E9 7F 05 00 00 83 C6 F9 83 EE 02 72 0A 83 EE 10 74 05 83 EE 02 75 29 8D 55 B8 8B 45 F8 8B 08 FF 11 8B 45 B8 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 F4 8B 10 FF 92 2C 01 00 00 E9 44 05 00 00 8D 55 B4 8B 45 F8 8B 08 FF 11 8B 55 B4 8B 45 F4 8B 08 FF 91 24 01 00 00 E9 27 05 00 00 8D 55 B0 8B 45 F8 8B 08 FF 11 8B 45 B0 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 08 FF 91 08 01 00 00 E9 03 05 00 00 8D 55 AC 8B 45 F8 8B 08 FF 11 8B 45 AC E8 ?? ?? ?? ?? 84 C0 74 3C 8D 55 A8 8B 45 F8 8B 08 FF 11 8B 45 A8 E8 ?? ?? ?? ?? 8B D8 84 DB 74 12 B2 01 8B 45 F4 8B 08 FF 91 0C 01 00 00 E9 C3 04 00 00 33 D2 8B 45 F4 8B 08 FF 91 0C 01 00 00 E9 B1 04 00 00 8D 55 A4 8B 45 F8 8B 08 FF 11 8B 45 A4 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 08 FF 91 0C 01 00 00 E9 8D 04 00 00 55 E8 ?? ?? ?? ?? 59 E9 81 04 00 00 8D 45 A0 50 8D 55 9C 8B 45 F8 8B 08 FF 51 DC 8B 45 9C 89 45 DC C6 45 E0 11 8D 55 98 8B C6 E8 ?? ?? ?? ?? 8B 45 98 89 45 E4 C6 45 E8 11 8D 45 DC 50 8D 55 94 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 94 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 45 A0 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 19 04 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 AE 01 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 07 BF 01 00 00 00 EB 02 33 FF 8B C6 83 F8 25 0F 87 0C 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 05 00 00 01 02 02 02 02 00 00 00 02 02 00 00 00 00 02 02 00 00 00 00 04 02 06 02 02 03 00 00 00 00 00 00 00 07 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D3 8B 45 F4 8B 08 FF 91 08 01 00 00 E9 63 03 00 00 89 7D 90 DB 45 90 83 C4 F8 DD 1C 24 9B 8B 45 F4 8B 10 FF 92 2C 01 00 00 E9 46 03 00 00 8B D7 8B 45 F4 8B 08 FF 91 0C 01 00 00 E9 34 03 00 00 89 7D 90 DB 45 90 83 C4 F8 DD 1C 24 9B 8B 45 F4 8B 10 FF 92 40 01 00 00 E9 17 03 00 00 8D 4D 88 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 55 88 8D 45 8C B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 8C 8B 45 F4 8B 08 FF 91 68 01 00 00 E9 E8 02 00 00 8D 4D 84 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 55 84 8B 45 F4 8B 08 FF 91 78 01 00 00 E9 C9 02 00 00 55 E8 ?? ?? ?? ?? 59 E9 BD 02 00 00 8D 45 80 50 8D 95 7C FF FF FF 8B 45 F8 8B 08 FF 51 DC 8B 85 7C FF FF FF 89 45 DC C6 45 E0 11 8D 95 78 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 E4 C6 45 E8 11 8D 45 DC 50 8D 95 74 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 74 FF FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 45 80 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 43 02 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 F5 00 00 00 8B C6 83 E8 17 74 42 83 E8 0E 75 69 8B 45 F4 8B 40 04 8B 10 FF 52 54 83 F8 28 75 21 8B 45 F8 8B 10 FF 52 0C 8B D0 0F B6 4D 0C 80 F1 01 8B 45 F4 8B 18 FF 93 B8 01 00 00 E9 F0 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 E4 01 00 00 8B 45 F8 50 53 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 B1 01 8B 45 F4 8B 18 FF 93 A8 01 00 00 33 C0 89 45 FC E9 B8 01 00 00 8D 85 70 FF FF FF 50 8D 95 6C FF FF FF 8B 45 F8 8B 08 FF 51 DC 8B 85 6C FF FF FF 89 45 DC C6 45 E0 11 8D 95 68 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 89 45 E4 C6 45 E8 11 8D 45 DC 50 8D 95 64 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 64 FF FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 38 01 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 BB 00 00 00 8B C6 83 E8 03 74 16 83 E8 1E 74 11 83 E8 04 75 2D 55 E8 ?? ?? ?? ?? 59 E9 05 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 0F B6 4D 0C 80 F1 01 8B 45 F4 8B 18 FF 93 AC 01 00 00 E9 E4 00 00 00 8D 85 60 FF FF FF 50 8D 95 5C FF FF FF 8B 45 F8 8B 08 FF 51 DC 8B 85 5C FF FF FF 89 45 DC C6 45 E0 11 8D 95 58 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 89 45 E4 C6 45 E8 11 8D 45 DC 50 8D 95 54 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 54 FF FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 85 50 FF FF FF 50 8D 95 44 FF FF FF 8B 45 F8 8B 08 FF 51 DC 8B 85 44 FF FF FF 89 85 48 FF FF FF C6 85 4C FF FF FF 11 8D 85 48 FF FF FF 50 8D 95 40 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 40 FF FF FF 33 C9 5A E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 40 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 50 FF FF FF BA 0F 00 00 00 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 94 BA 0E 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A1 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_9447_0 {
	meta:
		name = "TDBXJSONTools.JSONToStream"
		size = 292
		refs = "0012 TDBXJSONTools.JSONToStream 001f TJSONArray.Size 002e TArray<System.Byte> 0033 @DynArraySetLength 0054 TJSONArray.Get 005a _Dn_TJSONNumber 005f @IsClass 0071 TJSONNumber.GetAsInt 008c SInvalidJsonStream 0091 LoadResString 009e _Dn_TDBXError 00a3 TDBXError.Create 00a8 @RaiseExcept 00e0 _Dn_TBytesStream 00e5 TBytesStream.Create 0101 @UStrArrayClr 010f @DynArrayClear 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 8E 00 00 00 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 47 8B D3 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7C 0F 3D FF 00 00 00 7F 08 8B 55 FC 88 04 1A EB 4A 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 0F 85 75 FF FF FF 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9448_0 {
	meta:
		name = "TDBXJSONTools.StreamToJSON"
		size = 312
		refs = "001b TDBXJSONTools.StreamToJSON 0028 _Dn_TJSONArray 002d TJSONArray.Create 004e TArray<System.Byte> 0053 @DynArraySetLength 00a4 TJSONArray.Add 00c8 @HandleOnException 00d0 _Dn_Exception 00e4 _Dn_TDBXError 00e9 TDBXError.Create 00ee @RaiseExcept 00f3 @DoneExcept 0123 @DynArrayClear 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 83 7D F8 00 75 08 8B 5D EC E9 CA 00 00 00 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 E8 33 C0 89 45 E4 8B 45 E4 3B 45 F0 0F 8D 99 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B9 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 85 C0 7E 21 8B 45 E8 3B 45 F4 7C 23 8B 45 FC 0F B6 10 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E4 89 45 E0 FF 45 E4 EB 0A 33 C0 5A 59 59 64 89 10 EB 4C 33 C0 5A 59 59 64 89 10 EB 30 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 43 04 50 53 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 75 E8 FF 45 E8 8B 45 E4 3B 45 F0 0F 8C 67 FF FF FF 8B 5D EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9541_0 {
	meta:
		name = "JSONObjectPairListConverter"
		size = 123
		refs = "0010 JSONObjectPairListConverter 001f TJSONObject.Size 002e TListOfObjects 0033 @DynArraySetLength 0050 TJSONObject.Get 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DF 8B C3 E8 ?? ?? ?? ?? 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 18 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B 12 89 04 9A 43 4E 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9542_0 {
	meta:
		name = "JSONArrayElementsConverter"
		size = 123
		refs = "0010 JSONArrayElementsConverter 001f TJSONArray.Size 002e TListOfObjects 0033 @DynArraySetLength 0050 TJSONArray.Get 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DF 8B C3 E8 ?? ?? ?? ?? 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 18 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B 12 89 04 9A 43 4E 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9543_0 {
	meta:
		name = "JSONObjectPairListReverter"
		size = 131
		refs = "0010 @DynArrayAddRef 0018 JSONObjectPairListReverter 0025 _Dn_TDBXArrayList 002a TDBXArrayList.Create 0033 TJSONObject.SetMemberList 003b @DynArrayLength 0052 TJSONObject.AddPair 006c TListOfObjects 0071 @DynArrayClear 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 14 43 33 F6 8B 45 FC 8B 14 B0 8B C7 E8 ?? ?? ?? ?? 46 4B 75 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9544_0 {
	meta:
		name = "JSONArrayElementsReverter"
		size = 131
		refs = "0010 @DynArrayAddRef 0018 JSONArrayElementsReverter 0025 _Dn_TDBXArrayList 002a TDBXArrayList.Create 0033 TJSONArray.SetElements 003b @DynArrayLength 0052 TJSONArray.AddElement 006c TListOfObjects 0071 @DynArrayClear 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 14 43 33 F6 8B 45 FC 8B 14 B0 8B C7 E8 ?? ?? ?? ?? 46 4B 75 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9546_0 {
	meta:
		name = "TJSONConverter.Clear"
		size = 18
		refs = "0007 TStack<Data.DBXJSON.TJSONAncestor>.Clear"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 33 C0 89 43 04 5B C3 }
	condition:
		$1
}

rule function_9547_0 {
	meta:
		name = "TJSONConverter.Create"
		size = 59
		refs = "000a @ClassCreate 0015 _DV_TStack<Data.DBXJSON.TJSONAncestor> 001a TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_66936_0 {
	meta:
		name = "TRttiPool.Create"
		size = 59
		refs = "000a @ClassCreate 0015 _DV_TOrphanPackage 001a TOrphanPackage.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96485_0 {
	meta:
		name = "TWebModuleFactoryList.Create"
		size = 59
		refs = "000a @ClassCreate 0015 _Dn_TObjectList 001a TObjectList.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9549_0 {
	meta:
		name = "TJSONConverter.GetCurrent"
		size = 20
		refs = "000f TStack<Data.DBXJSON.TJSONAncestor>.Peek"
	strings:
		$1 = { 8B 50 08 83 7A 04 00 75 03 33 C0 C3 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9551_0 {
	meta:
		name = "TJSONConverter.IsConsistent"
		size = 21
	strings:
		$1 = { 83 78 04 00 74 09 8B 40 08 83 78 04 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_9552_0 {
	meta:
		name = "TJSONConverter.OnBoolean"
		size = 53
		refs = "000a _Dn_TJSONTrue 000f TJSONAncestor.Create 0021 _Dn_TJSONFalse"
	strings:
		$1 = { 53 8B D8 84 D2 74 17 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 40 5B C3 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 40 5B C3 }
	condition:
		$1
}

rule function_9553_0 {
	meta:
		name = "TJSONConverter.OnFieldEnd"
		size = 297
		refs = "0017 @UStrAddRef 001f TJSONConverter.OnFieldEnd 002c TJSONConverter.GetCurrent 0032 _Dn_TJSONPair 0037 @IsClass 0047 TJSONPair.GetJsonString 0059 @UStrEqual 0067 TJSONPair.GetJsonValue 0077 SFieldValueMissing 007c LoadResString 0095 Format 009f _DV_EConversionError 00a4 Exception.Create 00a9 @RaiseExcept 00b1 TStack<Data.DBXJSON.TJSONAncestor>.Pop 00bf SFieldExpected 010b @UStrArrayClr 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 78 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 11 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 75 58 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 3E 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? EB 3E 8D 45 E4 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 FC 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9554_0 {
	meta:
		name = "TJSONConverter.OnFieldStart"
		size = 91
		refs = "000e @UStrAddRef 0016 TJSONConverter.OnFieldStart 0028 _Dn_TJSONPair 002d TJSONPair.Create 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9555_0 {
	meta:
		name = "TJSONConverter.OnListEnd"
		size = 236
		refs = "0011 TJSONConverter.OnListEnd 001e TJSONConverter.GetCurrent 0024 _Dn_TJSONArray 0029 @IsClass 0035 TStack<Data.DBXJSON.TJSONAncestor>.Pop 004e SArrayExpected 0053 LoadResString 006e Format 0078 _DV_EConversionError 007d Exception.Create 0082 @RaiseExcept 008c SNoArray 00ba @UStrClr 00c7 @UStrArrayClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 43 08 E8 ?? ?? ?? ?? EB 6E 8B C3 E8 ?? ?? ?? ?? 85 C0 75 42 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 6E 00 69 00 6C 00 00 00 }
	condition:
		$1
}

rule function_9556_0 {
	meta:
		name = "TJSONConverter.OnListStart"
		size = 26
		refs = "0006 _Dn_TJSONArray 000b TJSONArray.Create"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 40 5B C3 }
	condition:
		$1
}

rule function_9557_0 {
	meta:
		name = "TJSONConverter.OnNull"
		size = 26
		refs = "0006 _Dn_TJSONNull 000b TJSONAncestor.Create"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 40 5B C3 }
	condition:
		$1
}

rule function_9558_0 {
	meta:
		name = "TJSONConverter.OnNumber"
		size = 89
		refs = "000e @UStrAddRef 0016 TJSONConverter.OnNumber 0026 _Dn_TJSONNumber 002b TJSONString.Create 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9560_0 {
	meta:
		name = "TJSONConverter.OnString"
		size = 89
		refs = "000e @UStrAddRef 0016 TJSONConverter.OnString 0026 _Dn_TJSONString 002b TJSONString.Create 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9559_0 {
	meta:
		name = "TJSONConverter.OnRefType"
		size = 236
		refs = "0018 @UStrAddRef 0020 TJSONConverter.OnRefType 002d _Dn_TJSONObject 0032 TJSONObject.Create 0073 IntToStr 0091 TStack<Data.DBXJSON.TJSONAncestor>.Pop 00ab @UStrArrayClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 40 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 18 8B 55 FC 8B C3 8B 08 FF 51 28 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 1C BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 18 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 2C BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 1C 8B 43 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 72 00 65 00 66 00 00 00 }
	condition:
		$1
}

rule function_9561_0 {
	meta:
		name = "TJSONConverter.OnTypeEnd"
		size = 219
		refs = "000e TJSONConverter.OnTypeEnd 001c TStack<Data.DBXJSON.TJSONAncestor>.Pop 002c TJSONConverter.GetCurrent 0032 _Dn_TJSONPair 0037 @IsClass 004d STypeFieldsPairExpected 0052 LoadResString 005c _DV_EConversionError 0061 Exception.Create 0066 @RaiseExcept 007c _Dn_TJSONObject 0097 STypeExpected 00ca @UStrArrayClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 E8 ?? ?? ?? ?? 8B 43 08 83 78 04 00 74 20 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 43 08 E8 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 83 78 04 00 74 20 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 43 08 E8 ?? ?? ?? ?? EB 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9562_0 {
	meta:
		name = "TJSONConverter.OnTypeStart"
		size = 304
		refs = "0018 @UStrAddRef 0020 TJSONConverter.OnTypeStart 002d _Dn_TJSONObject 0032 TJSONObject.Create 0073 IntToStr 0097 _Dn_TJSONPair 009c TJSONPair.Create 00d4 @UStrArrayClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 40 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 18 8B 55 FC 8B C3 8B 08 FF 51 28 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 1C BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 18 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 2C BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 1C 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 66 00 69 00 65 00 6C 00 64 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_9563_0 {
	meta:
		name = "TJSONConverter.ProcessData"
		size = 507
		refs = "0019 TJSONConverter.ProcessData 002d _Dn_TJSONValue 0032 @IsClass 0049 TObject.ClassName 005f SValueExpected 0064 LoadResString 006f Format 0079 _DV_EConversionError 007e Exception.Create 0083 @RaiseExcept 008a TJSONConverter.GetCurrent 009a _Dn_TJSONPair 00b0 _Dn_TJSONObject 00c7 TJSONObject.AddPair 00d4 SObjectExpectedForPair 0171 SInvalidContextForPair 01b4 _Dn_TJSONArray 01c7 TStack<Data.DBXJSON.TJSONAncestor>.Push 01e1 @UStrArrayClr 01e9 @UStrClr 01ef @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 04 00 75 5E 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 89 5E 04 EB 48 8D 45 FC 50 8D 55 F0 8B 03 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 C6 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4F 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? E9 BE 00 00 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 98 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 4A 8D 45 E4 50 8D 55 E0 8B 03 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 33 C9 5A E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3D 8B D3 8B C6 8B 08 FF 51 3C EB 32 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 22 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 46 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9564_0 {
	meta:
		name = "TJSONConverter.SetCurrentValue"
		size = 168
		refs = "000f TJSONConverter.SetCurrentValue 001c TJSONConverter.GetCurrent 0022 _Dn_TJSONPair 0027 @IsClass 0039 TJSONPair.SetJsonValue 0048 _Dn_TJSONArray 005f TJSONArray.AddElement 0069 SInvalidContext 006e LoadResString 0078 _DV_EConversionError 007d Exception.Create 0082 @RaiseExcept 0097 @UStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? EB 47 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9603_0 {
	meta:
		name = "TConverterEvent.SetTypeObjectConverter"
		size = 80
		refs = "000e @IntfAddRef 0016 TConverterEvent.SetTypeObjectConverter 002b @IntfCopy 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 0C 06 8D 43 28 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9621_0 {
	meta:
		name = "TReverterEvent.SetTypeObjectReverter"
		size = 80
		refs = "000e @IntfAddRef 0016 TReverterEvent.SetTypeObjectReverter 002b @IntfCopy 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 0C 06 8D 43 28 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9604_0 {
	meta:
		name = "TConverterEvent.SetTypeObjectsConverter"
		size = 80
		refs = "000e @IntfAddRef 0016 TConverterEvent.SetTypeObjectsConverter 002b @IntfCopy 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 0C 02 8D 43 18 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9622_0 {
	meta:
		name = "TReverterEvent.SetTypeObjectsReverter"
		size = 80
		refs = "000e @IntfAddRef 0016 TReverterEvent.SetTypeObjectsReverter 002b @IntfCopy 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 0C 02 8D 43 18 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9605_0 {
	meta:
		name = "TConverterEvent.SetTypeStringConverter"
		size = 80
		refs = "000e @IntfAddRef 0016 TConverterEvent.SetTypeStringConverter 002b @IntfCopy 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 0C 07 8D 43 2C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9623_0 {
	meta:
		name = "TReverterEvent.SetTypeStringReverter"
		size = 80
		refs = "000e @IntfAddRef 0016 TReverterEvent.SetTypeStringReverter 002b @IntfCopy 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 0C 07 8D 43 2C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9606_0 {
	meta:
		name = "TConverterEvent.SetTypeStringsConverter"
		size = 80
		refs = "000e @IntfAddRef 0016 TConverterEvent.SetTypeStringsConverter 002b @IntfCopy 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 0C 03 8D 43 1C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9624_0 {
	meta:
		name = "TReverterEvent.SetTypeStringsReverter"
		size = 80
		refs = "000e @IntfAddRef 0016 TReverterEvent.SetTypeStringsReverter 002b @IntfCopy 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 0C 03 8D 43 1C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9608_0 {
	meta:
		name = "TConverterEvent.Create"
		size = 128
		refs = "000e @ClassCreate 001c @UStrAddRef 0024 TConverterEvent.Create 0033 TObject.Create 0041 @UStrAsg 0056 @UStrClr 005c @HandleFinally 0069 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 8D 47 08 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9615_0 {
	meta:
		name = "TReverterEvent.Create"
		size = 128
		refs = "000e @ClassCreate 001c @UStrAddRef 0024 TReverterEvent.Create 0033 TObject.Create 0041 @UStrAsg 0056 @UStrClr 005c @HandleFinally 0069 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 8D 47 08 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9609_0 {
	meta:
		name = "TConverterEvent.IsTypeConverter"
		size = 22
		altNames = "TReverterEvent.IsTypeReverter"
	strings:
		$1 = { 0F B6 40 0C 04 FE 2C 02 72 09 04 FE 2C 02 72 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_9610_0 {
	meta:
		name = "TConverterEvent.SetObjectConverter"
		size = 80
		refs = "000e @IntfAddRef 0016 TConverterEvent.SetObjectConverter 002b @IntfCopy 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 0C 04 8D 43 20 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9617_0 {
	meta:
		name = "TReverterEvent.SetObjectReverter"
		size = 80
		refs = "000e @IntfAddRef 0016 TReverterEvent.SetObjectReverter 002b @IntfCopy 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 0C 04 8D 43 20 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9611_0 {
	meta:
		name = "TConverterEvent.SetObjectsConverter"
		size = 80
		refs = "000e @IntfAddRef 0016 TConverterEvent.SetObjectsConverter 002b @IntfCopy 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 0C 00 8D 43 10 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9618_0 {
	meta:
		name = "TReverterEvent.SetObjectsReverter"
		size = 80
		refs = "000e @IntfAddRef 0016 TReverterEvent.SetObjectsReverter 002b @IntfCopy 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 0C 00 8D 43 10 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9612_0 {
	meta:
		name = "TConverterEvent.SetStringConverter"
		size = 80
		refs = "000e @IntfAddRef 0016 TConverterEvent.SetStringConverter 002b @IntfCopy 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 0C 05 8D 43 24 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9619_0 {
	meta:
		name = "TReverterEvent.SetStringReverter"
		size = 80
		refs = "000e @IntfAddRef 0016 TReverterEvent.SetStringReverter 002b @IntfCopy 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 0C 05 8D 43 24 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9613_0 {
	meta:
		name = "TConverterEvent.SetStringsConverter"
		size = 80
		refs = "000e @IntfAddRef 0016 TConverterEvent.SetStringsConverter 002b @IntfCopy 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 0C 01 8D 43 14 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9620_0 {
	meta:
		name = "TReverterEvent.SetStringsReverter"
		size = 80
		refs = "000e @IntfAddRef 0016 TReverterEvent.SetStringsReverter 002b @IntfCopy 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 0C 01 8D 43 14 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_9625_0 {
	meta:
		name = "TJSONUnMarshal.FieldReverter"
		size = 94
		refs = "0011 @UStrAddRef 0019 TJSONUnMarshal.FieldReverter 002b TJSONUnMarshal.GetFieldType 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9626_0 {
	meta:
		name = "TJSONUnMarshal.FieldTypeReverter"
		size = 186
		refs = "000e TJSONUnMarshal.FieldTypeReverter 003e _DV_JSONReflect 0043 @IsClass 004e JSONReflect.JSONInterceptor 0063 @DynArrayLength 0070 TArray<System.TCustomAttribute> 0075 @DynArrayClear 0084 @HandleAnyException 0089 @DoneExcept 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 04 33 DB EB 2B 8B 45 FC 8B 34 98 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B C6 E8 ?? ?? ?? ?? 8B F8 33 C0 5A 59 59 64 89 10 EB 31 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C C9 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9635_0 {
	meta:
		name = "TJSONUnMarshal.FieldReverter"
		size = 186
		refs = "000e TJSONUnMarshal.FieldReverter 003e _DV_JSONReflect 0043 @IsClass 004e JSONReflect.JSONInterceptor 0063 @DynArrayLength 0070 TArray<System.TCustomAttribute> 0075 @DynArrayClear 0084 @HandleAnyException 0089 @DoneExcept 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 04 33 DB EB 2B 8B 45 FC 8B 34 98 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B C6 E8 ?? ?? ?? ?? 8B F8 33 C0 5A 59 59 64 89 10 EB 31 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C C9 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9937_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.GetTypeConverter"
		size = 186
		refs = "000e TTypeMarshaller<Data.DBXJSON.TJSONValue>.GetTypeConverter 003e _DV_JSONReflect 0043 @IsClass 004e JSONReflect.JSONInterceptor 0063 @DynArrayLength 0070 TArray<System.TCustomAttribute> 0075 @DynArrayClear 0084 @HandleAnyException 0089 @DoneExcept 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 04 33 DB EB 2B 8B 45 FC 8B 34 98 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B C6 E8 ?? ?? ?? ?? 8B F8 33 C0 5A 59 59 64 89 10 EB 31 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C C9 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9627_0 {
	meta:
		name = "TJSONUnMarshal.FieldTypeReverter"
		size = 99
		refs = "0011 @UStrAddRef 0019 TJSONUnMarshal.FieldTypeReverter 002b TJSONUnMarshal.GetFieldType 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 10 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9628_0 {
	meta:
		name = "TJSONUnMarshal.ClassTypeOf"
		size = 141
		refs = "0012 @UStrAddRef 001a TJSONUnMarshal.ClassTypeOf 002f TRttiContext.GetType 004d TRttiType.GetIsInstance 005d TRttiType.GetAsInstance 0062 TRttiInstanceType.GetMetaclassType 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 17 89 D0 8D 53 0C 92 E8 ?? ?? ?? ?? 85 C0 74 31 8B 55 FC 8B 08 FF 51 2C 8B D8 85 DB 74 23 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? 84 C0 74 13 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9629_0 {
	meta:
		name = "TJSONUnMarshal.Create$3458$ActRec.$0$Body"
		size = 102
		refs = "000e @UStrAddRef 0016 @DynArrayAddRef 001e TJSONUnMarshal.Create$3458$ActRec.$0$Body 0031 JSONObjectPairListReverter 0046 @UStrClr 004f TListOfObjects 0054 @DynArrayClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9710_0 {
	meta:
		name = "TJSONConverters.GetJSONUnMarshaler$3539$ActRec.$0$Body"
		size = 102
		refs = "000e @UStrAddRef 0016 @DynArrayAddRef 001e TJSONConverters.GetJSONUnMarshaler$3539$ActRec.$0$Body 0031 JSONObjectPairListReverter 0046 @UStrClr 004f TListOfObjects 0054 @DynArrayClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9711_0 {
	meta:
		name = "TJSONConverters.GetJSONUnMarshaler$3539$ActRec.$1$Body"
		size = 102
		refs = "000e @UStrAddRef 0016 @DynArrayAddRef 001e TJSONConverters.GetJSONUnMarshaler$3539$ActRec.$1$Body 0031 JSONArrayElementsReverter 0046 @UStrClr 004f TListOfObjects 0054 @DynArrayClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9630_0 {
	meta:
		name = "TJSONUnMarshal.Create$3458$ActRec.$1$Body"
		size = 102
		refs = "000e @UStrAddRef 0016 @DynArrayAddRef 001e TJSONUnMarshal.Create$3458$ActRec.$1$Body 0031 JSONArrayElementsReverter 0046 @UStrClr 004f TListOfObjects 0054 @DynArrayClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9631_0 {
	meta:
		name = "TJSONUnMarshal.Create"
		size = 308
		refs = "0010 @ClassCreate 001c TJSONUnMarshal.Create 0029 _DV_TJSONUnMarshal.Create$3458$ActRec 002e TObject.Create 0041 @IntfCopy 004a _DV_TDictionary<System.string,System.TObject> 004f TDictionary<System.string,System.TObject>.Create 0062 _DV_TObjectDictionary<System.string,Data.DBXJSONReflect.TReverterEvent> 0067 TObjectDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create 0077 _Dn_TObject 007c TRttiContext.GetType 0091 _Dn_TJSONObject 0098 TJSONUnMarshal.RegisterReverter 00ab _Dn_TJSONArray 00c7 @IntfClear 00cd @HandleFinally 00da @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 C6 47 10 00 8D 47 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 F0 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 F6 74 03 83 EE F4 56 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 02 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 4D 00 65 00 6D 00 62 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 46 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_9632_0 {
	meta:
		name = "TJSONUnMarshal.Create"
		size = 86
		refs = "000b @ClassCreate 001a _DV_TDictionary<System.string,System.TObject> 001f TDictionary<System.string,System.TObject>.Create 0032 _Dn_TObject 0037 TRttiContext.GetType 0042 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 89 77 08 C6 47 10 01 8D 47 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9633_0 {
	meta:
		name = "TJSONUnMarshal.CreateObject"
		size = 928
		refs = "0031 TJSONUnMarshal.CreateObject 0043 TJSONObject.Get 0072 TJSONPair.GetJsonValue 009e TJSONUnMarshal.ObjectInstance 00b3 SCannotCreateType 00b8 LoadResString 00d1 Format 00db _DV_EConversionError 00e0 Exception.Create 00e5 @RaiseExcept 00f2 TJSONUnMarshal.StoreObject 0104 TJSONUnMarshal.ObjectType 0126 _DV_JSONReflect 012b @IsClass 0136 JSONReflect.JSONPopulationCustomizer 0142 @DynArrayLength 014f TArray<System.TCustomAttribute> 0154 @DynArrayClear 0161 _DV_TJSONPopulationCustomizer 0166 TObject.Create 0191 TJSONUnMarshal.PopulateFields 01b1 TObject.Free 01b7 @HandleFinally 020d TJSONUnMarshal.HasObject 021b TJSONUnMarshal.GetObject 0232 SObjectNotFound 02af SUnexpectedPairName 02f0 @UStrArrayClr 02f8 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 C9 89 4D B8 89 4D 9C 89 4D 98 89 4D D0 89 4D CC 89 4D E0 89 4D DC 89 4D FC 89 4D F8 89 4D F4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 74 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 45 E4 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 11 8B C7 E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 11 8B C3 E8 ?? ?? ?? ?? 89 45 F0 8B 56 0C 8B 06 8B 4D FC E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 3E 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 FC 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 E8 8B 56 0C 8B 06 8B 4D FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 4A 8D 55 F4 8B C3 8B 08 FF 51 04 33 DB EB 22 8B 45 F4 8B 3C 98 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B C7 E8 ?? ?? ?? ?? 89 45 E8 43 8B 45 F4 E8 ?? ?? ?? ?? 3B D8 7C D2 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E8 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4E 0C 8B 55 EC 8B 45 E8 8B 18 FF 13 8B 4D EC 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 E8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 5D EC E9 15 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 9C 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 11 8B C7 E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 11 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 15 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 89 45 EC 8B 5D EC E9 B0 00 00 00 8D 45 D0 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 FC 89 45 BC C6 45 C0 11 8B 45 F8 89 45 C4 C6 45 C8 11 8D 55 BC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 63 8D 45 B8 50 8D 55 9C 8B C3 8B 08 FF 51 DC 8B 45 9C 89 45 A0 C6 45 A4 11 B8 ?? ?? ?? ?? 89 45 A8 C6 45 AC 11 B8 ?? ?? ?? ?? 89 45 B0 C6 45 B4 11 8D 45 A0 50 8D 55 98 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 B9 02 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AE 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 66 00 69 00 65 00 6C 00 64 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 72 00 65 00 66 00 00 00 }
	condition:
		$1
}

rule function_9634_0 {
	meta:
		name = "TJSONUnMarshal.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0038 TObject.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 80 7E 10 00 75 10 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9636_0 {
	meta:
		name = "TJSONUnMarshal.GetArgObjects"
		size = 279
		refs = "0021 TJSONUnMarshal.GetArgObjects 002f TJSONArray.Size 0040 TListOfObjects 0045 @DynArraySetLength 0060 TJSONArray.Get 006a _Dn_TJSONObject 006f @IsClass 007d TJSONUnMarshal.CreateObject 00b3 SObjectExpectedInArray 00b8 LoadResString 00c6 Format 00d0 _DV_EConversionError 00d5 Exception.Create 00da @RaiseExcept 00fc @UStrArrayClr 0104 @UStrClr 010a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D F0 89 5D DC 89 5D D8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B FB 4F 85 FF 0F 8C 8F 00 00 00 47 33 DB 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 12 89 04 9A EB 53 8D 45 F0 50 89 5D E0 C6 45 E4 00 8D 55 DC 8B 45 F8 8B 08 FF 51 DC 8B 45 DC 89 45 E8 C6 45 EC 11 8D 45 E0 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 0F 85 74 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9637_0 {
	meta:
		name = "TJSONUnMarshal.GetArgStrings"
		size = 291
		refs = "0021 TJSONUnMarshal.GetArgStrings 002f TJSONArray.Size 0040 TListOfStrings 0045 @DynArraySetLength 0060 TJSONArray.Get 006a _Dn_TJSONString 006f @IsClass 008c @UStrAsg 00ba SStringExpectedInArray 00bf LoadResString 00cd Format 00d7 _DV_EConversionError 00dc Exception.Create 00e1 @RaiseExcept 0103 @UStrArrayClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D F0 89 5D DC 89 5D D8 89 5D F4 89 4D F8 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 53 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B FB 4F 85 FF 0F 8C 96 00 00 00 47 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 8D 55 F4 8B C6 8B 08 FF 11 8B 55 F4 8B 45 F8 8B 00 8D 04 98 E8 ?? ?? ?? ?? EB 53 8D 45 F0 50 89 5D E0 C6 45 E4 00 8D 55 DC 8B 45 FC 8B 08 FF 51 DC 8B 45 DC 89 45 E8 C6 45 EC 11 8D 45 E0 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 0F 85 6D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9638_0 {
	meta:
		name = "TJSONUnMarshal.GetFieldType"
		size = 215
		refs = "001e @UStrAddRef 0026 TJSONUnMarshal.GetFieldType 0039 TRttiContext.GetType 005f TObject.ClassName 0075 SNoFieldFoundForType 007a LoadResString 0088 Format 0092 _DV_EConversionError 0097 Exception.Create 009c @RaiseExcept 00b6 @UStrArrayClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D F8 89 5D E4 89 5D E0 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 16 89 D0 8D 53 0C 92 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 2C 8B D8 85 DB 75 55 8D 45 F8 50 8B 45 FC 89 45 E8 C6 45 EC 11 8D 55 E4 8B 06 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 C6 45 F4 11 8D 45 E8 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9639_0 {
	meta:
		name = "TJSONUnMarshal.GetObject"
		size = 80
		refs = "000e @UStrAddRef 0016 TJSONUnMarshal.GetObject 0027 TDictionary<System.string,System.TObject>.GetItem 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_9640_0 {
	meta:
		name = "TJSONUnMarshal.HasObject"
		size = 80
		refs = "000e @UStrAddRef 0016 TJSONUnMarshal.HasObject 0027 TDictionary<System.string,System.TObject>.ContainsKey 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_80947_0 {
	meta:
		name = "TSparseList.ForAll"
		size = 80
		refs = "000e @IntfAddRef 0016 TSparseList.ForAll 0027 TSparsePointerArray.ForAll 003e @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_9641_0 {
	meta:
		name = "TJSONUnMarshal.HasReverter"
		size = 169
		refs = "0011 @UStrAddRef 0019 TJSONUnMarshal.HasReverter 002a TMonitor.CheckMonitorSupport 0031 TMonitor.GetMonitor 0039 TMonitor.Enter 0055 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.ContainsKey 005d @TryFinallyExit 0077 TMonitor.Exit 007d @HandleFinally 0094 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 58 08 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 88 45 F7 E8 ?? ?? ?? ?? EB 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9642_0 {
	meta:
		name = "TJSONUnMarshal.RevertType"
		size = 1413
		refs = "0028 TJSONUnMarshal.RevertType 005b _Dn_TJSONArray 0060 @IsClass 0071 TJSONUnMarshal.GetArgObjects 0084 TValue.&op_Implicit 009f _Dn_TJSONNull 00b0 TValue.GetEmpty 00fc SArrayExpectedForField 0101 LoadResString 010f Format 0119 _DV_EConversionError 011e Exception.Create 0123 @RaiseExcept 0146 TJSONUnMarshal.GetArgStrings 0223 _Dn_TJSONObject 0236 TJSONUnMarshal.CreateObject 02de SObjectExpectedForField 0318 _Dn_TJSONString 041e TReverterType 0423 GetEnumName 0448 SNoConversionForType 048f @UStrArrayClr 04ab TValue 04b0 @FinalizeRecord 04bb @UStrClr 04f2 @FinalizeArray 051c TListOfStrings 0521 @DynArrayClear 055b TListOfObjects 0574 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 27 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F4 89 55 F8 89 45 FC 8B 5D 08 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 46 0C 2C 02 74 1D FE C8 0F 84 EA 00 00 00 2C 03 0F 84 D5 01 00 00 FE C8 0F 84 C2 02 00 00 E9 B5 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 33 8D 4D D8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8B 46 18 8B 08 FF 51 0C 8D 55 DC E8 ?? ?? ?? ?? 8D 4D DC 8B 55 F4 8B 45 F8 8B 18 FF 53 1C E9 DB 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 8D 45 C0 E8 ?? ?? ?? ?? 8D 4D C0 8B 55 F4 8B 45 F8 8B 18 FF 53 1C E9 AF 03 00 00 8D 45 BC 50 8D 55 A8 8B 45 F8 8B 08 FF 51 08 8B 45 A8 89 45 AC C6 45 B0 11 8D 55 A4 8B C3 8B 08 FF 51 DC 8B 45 A4 89 45 B4 C6 45 B8 11 8D 45 AC 50 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4A 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 33 8D 4D 84 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 84 8B 46 1C 8B 08 FF 51 0C 8D 55 88 E8 ?? ?? ?? ?? 8D 4D 88 8B 55 F4 8B 45 F8 8B 18 FF 53 1C E9 06 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8D 8D 6C FF FF FF 8B 55 F4 8B 45 F8 8B 18 FF 53 1C E9 D4 02 00 00 8D 85 68 FF FF FF 50 8D 95 64 FF FF FF 8B 45 F8 8B 08 FF 51 08 8B 85 64 FF FF FF 89 45 AC C6 45 B0 11 8D 95 60 FF FF FF 8B C3 8B 08 FF 51 DC 8B 85 60 FF FF FF 89 45 B4 C6 45 B8 11 8D 45 AC 50 8D 95 5C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 5C FF FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D 68 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 57 02 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 46 28 8B 08 FF 51 0C 8D 95 44 FF FF FF E8 ?? ?? ?? ?? 8D 8D 44 FF FF FF 8B 55 F4 8B 45 F8 8B 18 FF 53 1C E9 11 02 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8D 85 2C FF FF FF E8 ?? ?? ?? ?? 8D 8D 2C FF FF FF 8B 55 F4 8B 45 F8 8B 18 FF 53 1C E9 DF 01 00 00 8D 85 28 FF FF FF 50 8D 95 24 FF FF FF 8B 45 F8 8B 08 FF 51 08 8B 85 24 FF FF FF 89 45 AC C6 45 B0 11 8D 95 20 FF FF FF 8B C3 8B 08 FF 51 DC 8B 85 20 FF FF FF 89 45 B4 C6 45 B8 11 8D 45 AC 50 8D 95 1C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 1C FF FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D 28 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 62 01 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3B 8D 95 00 FF FF FF 8B C3 8B 08 FF 11 8B 95 00 FF FF FF 8B 46 2C 8B 08 FF 51 0C 8D 95 04 FF FF FF E8 ?? ?? ?? ?? 8D 8D 04 FF FF FF 8B 55 F4 8B 45 F8 8B 18 FF 53 1C E9 16 01 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 8D E8 FE FF FF 8B 55 F4 8B 45 F8 8B 18 FF 53 1C E9 E4 00 00 00 8D 85 E4 FE FF FF 50 8D 95 E0 FE FF FF 8B 45 F8 8B 08 FF 51 08 8B 85 E0 FE FF FF 89 45 AC C6 45 B0 11 8D 95 DC FE FF FF 8B C3 8B 08 FF 51 DC 8B 85 DC FE FF FF 89 45 B4 C6 45 B8 11 8D 45 AC 50 8D 95 D8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D8 FE FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D E4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6A 8D 85 D4 FE FF FF 50 8D 8D C8 FE FF FF 0F B6 56 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 C8 FE FF FF 89 85 CC FE FF FF C6 85 D0 FE FF FF 11 8D 85 CC FE FF FF 50 8D 95 C4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 C4 FE FF FF 33 C9 5A E8 ?? ?? ?? ?? 8B 8D D4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 C4 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 D4 FE FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 85 E8 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 00 FF FF FF E8 ?? ?? ?? ?? 8D 85 04 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 1C FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 2C FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 5C FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 84 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 88 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 06 FF FF FF 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_9643_0 {
	meta:
		name = "TJSONUnMarshal.RevertType"
		size = 1409
		refs = "0028 TJSONUnMarshal.RevertType 005b _Dn_TJSONArray 0060 @IsClass 0071 TJSONUnMarshal.GetArgObjects 0083 TValue.&op_Implicit 009e _Dn_TJSONNull 00af TValue.GetEmpty 00fb SArrayExpectedForField 0100 LoadResString 010e Format 0118 _DV_EConversionError 011d Exception.Create 0122 @RaiseExcept 0145 TJSONUnMarshal.GetArgStrings 0221 _Dn_TJSONObject 0234 TJSONUnMarshal.CreateObject 02db SObjectExpectedForField 0315 _Dn_TJSONString 041a TReverterType 041f GetEnumName 0444 SNoConversionForType 048b @UStrArrayClr 04a7 TValue 04ac @FinalizeRecord 04b7 @UStrClr 04ee @FinalizeArray 0518 TListOfStrings 051d @DynArrayClear 0557 TListOfObjects 0570 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 27 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F4 89 55 F8 89 45 FC 8B 5D 08 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 46 05 2C 02 74 1D FE C8 0F 84 E9 00 00 00 2C 03 0F 84 D3 01 00 00 FE C8 0F 84 BF 02 00 00 E9 B1 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 32 8D 4D D8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8B C6 8B 08 FF 51 28 8D 55 DC E8 ?? ?? ?? ?? 8D 4D DC 8B 55 F4 8B 45 F8 8B 18 FF 53 1C E9 D8 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 8D 45 C0 E8 ?? ?? ?? ?? 8D 4D C0 8B 55 F4 8B 45 F8 8B 18 FF 53 1C E9 AC 03 00 00 8D 45 BC 50 8D 55 A8 8B 45 F8 8B 08 FF 51 08 8B 45 A8 89 45 AC C6 45 B0 11 8D 55 A4 8B C3 8B 08 FF 51 DC 8B 45 A4 89 45 B4 C6 45 B8 11 8D 45 AC 50 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 47 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 32 8D 4D 84 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 84 8B C6 8B 08 FF 51 2C 8D 55 88 E8 ?? ?? ?? ?? 8D 4D 88 8B 55 F4 8B 45 F8 8B 18 FF 53 1C E9 04 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8D 8D 6C FF FF FF 8B 55 F4 8B 45 F8 8B 18 FF 53 1C E9 D2 02 00 00 8D 85 68 FF FF FF 50 8D 95 64 FF FF FF 8B 45 F8 8B 08 FF 51 08 8B 85 64 FF FF FF 89 45 AC C6 45 B0 11 8D 95 60 FF FF FF 8B C3 8B 08 FF 51 DC 8B 85 60 FF FF FF 89 45 B4 C6 45 B8 11 8D 45 AC 50 8D 95 5C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 5C FF FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D 68 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 55 02 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 38 8D 95 44 FF FF FF E8 ?? ?? ?? ?? 8D 8D 44 FF FF FF 8B 55 F4 8B 45 F8 8B 18 FF 53 1C E9 10 02 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8D 85 2C FF FF FF E8 ?? ?? ?? ?? 8D 8D 2C FF FF FF 8B 55 F4 8B 45 F8 8B 18 FF 53 1C E9 DE 01 00 00 8D 85 28 FF FF FF 50 8D 95 24 FF FF FF 8B 45 F8 8B 08 FF 51 08 8B 85 24 FF FF FF 89 45 AC C6 45 B0 11 8D 95 20 FF FF FF 8B C3 8B 08 FF 51 DC 8B 85 20 FF FF FF 89 45 B4 C6 45 B8 11 8D 45 AC 50 8D 95 1C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 1C FF FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D 28 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 61 01 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3A 8D 95 00 FF FF FF 8B C3 8B 08 FF 11 8B 95 00 FF FF FF 8B C6 8B 08 FF 51 3C 8D 95 04 FF FF FF E8 ?? ?? ?? ?? 8D 8D 04 FF FF FF 8B 55 F4 8B 45 F8 8B 18 FF 53 1C E9 16 01 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 8D E8 FE FF FF 8B 55 F4 8B 45 F8 8B 18 FF 53 1C E9 E4 00 00 00 8D 85 E4 FE FF FF 50 8D 95 E0 FE FF FF 8B 45 F8 8B 08 FF 51 08 8B 85 E0 FE FF FF 89 45 AC C6 45 B0 11 8D 95 DC FE FF FF 8B C3 8B 08 FF 51 DC 8B 85 DC FE FF FF 89 45 B4 C6 45 B8 11 8D 45 AC 50 8D 95 D8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D8 FE FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D E4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6A 8D 85 D4 FE FF FF 50 8D 8D C8 FE FF FF 0F B6 56 05 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 C8 FE FF FF 89 85 CC FE FF FF C6 85 D0 FE FF FF 11 8D 85 CC FE FF FF 50 8D 95 C4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 C4 FE FF FF 33 C9 5A E8 ?? ?? ?? ?? 8B 8D D4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 C4 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 D4 FE FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 85 E8 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 00 FF FF FF E8 ?? ?? ?? ?? 8D 85 04 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 1C FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 2C FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 5C FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 84 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 88 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 06 FF FF FF 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_9644_0 {
	meta:
		name = "TJSONUnMarshal.JSONToTValue"
		size = 1128
		refs = "0022 TValue 0027 @InitializeRecord 002f TJSONUnMarshal.JSONToTValue 0044 _Dn_TJSONNull 0049 @IsClass 0055 TValue.GetEmpty 0063 _Dn_TJSONNumber 0085 _Dn_TJSONString 00a6 _Dn_TJSONTrue 00b9 TValue.&op_Implicit 00c7 _Dn_TJSONFalse 00e8 _Dn_TJSONObject 00fc TJSONUnMarshal.CreateObject 0110 TRttiType.GetTypeKind 012c TJSONArray.Size 013b :TJSONUnMarshal.:1 0140 @DynArraySetLength 014b _Dn_TRttiArrayType 015b TRttiArrayType.GetElementType 0166 TRttiDynamicArrayType.GetElementType 0170 @DynArrayLength 018f TJSONArray.Get 01b5 @CopyRecord 01c9 @DynArrayHigh 01d1 TRttiType.GetHandle 01da TValue.FromArray 01f5 @FinalizeRecord 01ff TValue.Make 0229 TValue.GetReferenceToRawData 0248 TRttiType.GetIsInstance 0258 TRttiType.GetAsInstance 025d TRttiInstanceType.GetMetaclassType 0277 _DV_TJSONMarshal 027c TTypeMarshaller<Data.DBXJSON.TJSONValue>.ComposeKey 0287 TJSONUnMarshal.HasReverter 02ab TJSONUnMarshal.Reverter 02bd TJSONUnMarshal.RevertType 02d3 TJSONUnMarshal.FieldTypeReverter 02e6 TJSONUnMarshal.FieldReverter 0327 TObject.Free 032d @HandleFinally 03a1 TArray<System.Rtti.TRttiField> 03a6 @DynArrayClear 03d1 TJSONUnMarshal.StringToTValue 03f4 @FinalizeArray 0401 @UStrArrayClr 0433 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 12 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B D9 89 55 D0 89 45 D4 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D D0 00 74 12 8B 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 08 E8 ?? ?? ?? ?? E9 77 03 00 00 8B 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8D 55 F8 8B 45 D0 8B 08 FF 51 DC E9 3D 03 00 00 8B 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8D 55 F8 8B 45 D0 8B 08 FF 11 E9 1C 03 00 00 8B 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B 55 08 B0 01 E8 ?? ?? ?? ?? E9 13 03 00 00 8B 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B 55 08 33 C0 E8 ?? ?? ?? ?? E9 F2 02 00 00 8B 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B 55 D0 8B 45 D4 E8 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? E9 C8 02 00 00 8B C3 E8 ?? ?? ?? ?? 2C 0D 74 10 FE C8 0F 84 C3 00 00 00 2C 03 0F 85 95 02 00 00 8B 45 D0 E8 ?? ?? ?? ?? 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 09 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 48 40 89 45 BC C7 45 CC 00 00 00 00 8D 45 A4 50 8B 55 CC 8B 45 D0 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 45 D4 E8 ?? ?? ?? ?? 8D 55 A4 8B 45 CC 8D 04 40 8B 4D FC 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 CC FF 4D BC 75 C3 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 59 E8 ?? ?? ?? ?? E9 F2 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 33 C0 5A E8 ?? ?? ?? ?? 33 C0 89 45 CC 8D 55 F4 8B C3 8B 08 FF 51 18 33 C0 89 45 BC E9 6F 01 00 00 8B 45 F4 8B 55 BC 8B 1C 90 8D 45 D8 E8 ?? ?? ?? ?? 89 45 C0 8B 55 CC 8B 45 D0 E8 ?? ?? ?? ?? 89 45 C4 33 F6 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? 84 C0 74 13 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 EF 00 00 00 8D 45 A0 50 B9 ?? ?? ?? ?? 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 74 37 8D 45 9C 50 B9 ?? ?? ?? ?? 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B 45 D4 E8 ?? ?? ?? ?? 50 8B 45 C4 50 8B 4D C0 8B D3 8B 45 D4 E8 ?? ?? ?? ?? E9 BF 00 00 00 8B C3 8B 10 FF 52 10 8B D0 8B 45 D4 E8 ?? ?? ?? ?? 89 45 C8 83 7D C8 00 75 0D 8B D3 8B 45 D4 E8 ?? ?? ?? ?? 89 45 C8 83 7D C8 00 74 40 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 C8 50 8B 45 C4 50 8B 4D C0 8B D3 8B 45 D4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 84 50 8B C3 8B 10 FF 52 10 8B C8 8B 55 C4 8B 45 D4 E8 ?? ?? ?? ?? 8D 4D 84 8B 55 C0 8B C3 8B 18 FF 53 1C EB 2B 8D 85 6C FF FF FF 50 8B C3 8B 10 FF 52 10 8B C8 8B 55 C4 8B 45 D4 E8 ?? ?? ?? ?? 8D 8D 6C FF FF FF 8B 55 C0 8B C3 8B 18 FF 53 1C FF 45 CC FF 45 BC 8B 45 F4 E8 ?? ?? ?? ?? 3B 45 BC 0F 8F 80 FE FF FF 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8D 55 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 45 D4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 6C FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 9C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 95 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_9645_0 {
	meta:
		name = "TJSONUnMarshal.ObjectType"
		size = 112
		refs = "0012 TRttiContext 0017 @AddRefRecord 001f @UStrAddRef 0027 TJSONUnMarshal.ObjectType 0038 TRttiContext.FindType 004f @UStrClr 005d @FinalizeRecord 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9646_0 {
	meta:
		name = "TJSONUnMarshal.ObjectInstance"
		size = 385
		refs = "0030 TRttiContext 0035 @AddRefRecord 003d @UStrAddRef 0046 TValue 004b @InitializeRecord 0053 TJSONUnMarshal.ObjectInstance 0066 TJSONUnMarshal.ObjectType 0096 TRttiMethod.GetIsConstructor 00ac @DynArrayLength 00b7 TRttiType.GetAsInstance 00bc TRttiInstanceType.GetMetaclassType 00d2 TRttiMethod.Invoke 00e3 @CopyRecord 00eb TValue.AsObject 0106 TArray<System.Rtti.TRttiMethod> 010b @DynArrayClear 012b @FinalizeRecord 0134 TArray<System.Rtti.TRttiParameter> 015d @UStrClr 0171 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 DB 89 5D B4 89 5D B8 89 5D BC 89 5D C0 89 5D C4 89 5D C8 89 5D CC 89 5D F4 89 4D F8 89 55 FC 8B D8 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 9B 00 00 00 8D 55 F4 8B C7 8B 08 FF 51 14 33 DB EB 73 8B 45 F4 8B 34 98 8B C6 8B 10 FF 52 20 84 C0 74 61 8B C6 E8 ?? ?? ?? ?? 84 C0 74 56 8D 55 CC 8B C6 8B 08 FF 51 38 8B 45 CC E8 ?? ?? ?? ?? 85 C0 75 40 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 6A FF 8D 45 B4 50 8D 4D B4 8B 55 D0 8B C6 E8 ?? ?? ?? ?? 8D 55 B4 8D 45 D8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 89 45 D4 EB 20 43 8B 45 F4 E8 ?? ?? ?? ?? 3B D8 7C 81 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AA 8B 45 D4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9647_0 {
	meta:
		name = "TJSONUnMarshal.PopulateFields"
		size = 5844
		refs = "001f TJSONUnMarshal.PopulateFields 002c TJSONObject.GetEnumerator 0059 TDBXArrayList.GetValue 0066 TJSONPair.GetJsonString 0074 TJSONPair.GetJsonValue 0093 _DV_TJSONMarshal 0098 TTypeMarshaller<Data.DBXJSON.TJSONValue>.ComposeKey 00a3 TJSONUnMarshal.HasReverter 00ca TJSONUnMarshal.Reverter 010c _Dn_TJSONArray 0111 @IsClass 0122 TJSONUnMarshal.GetArgObjects 013f TJSONUnMarshal.SetField 014c _Dn_TJSONNull 0198 SArrayExpectedForField 019d LoadResString 01ab Format 01b5 _DV_EConversionError 01ba Exception.Create 01bf @RaiseExcept 01e2 TJSONUnMarshal.GetArgStrings 028c _Dn_TJSONObject 029f TJSONUnMarshal.CreateObject 0314 SObjectExpectedForField 0348 _Dn_TJSONString 074b TReverterType 0750 GetEnumName 0775 SNoConversionForType 07b9 TJSONUnMarshal.ClassTypeOf 0c11 TJSONUnMarshal.FieldReverter 0c28 TJSONUnMarshal.FieldTypeReverter 1363 TObject.Free 1369 @HandleFinally 1373 _Dn_TJSONNumber 13e2 _Dn_TJSONTrue 1408 _Dn_TJSONFalse 1445 TJSONUnMarshal.SetFieldNull 1499 TJSONUnMarshal.SetFieldArray 14bc TObject.ClassName 14d8 SInvalidJSONFieldType 150d TJSONPairEnumerator.MoveNext 1557 @UStrArrayClr 1563 TListOfStrings 1568 @DynArrayClear 1584 TListOfObjects 168c @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 36 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C2 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 C3 14 00 00 8B 45 E4 89 45 E0 8B 45 E0 8B 50 04 8B 45 E0 8B 40 08 E8 ?? ?? ?? ?? 89 45 DC 8B 75 DC 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 11 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 8B 00 89 45 D8 8B 45 D8 89 45 E8 8D 45 D4 50 8B 4D FC 8B 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 F9 06 00 00 8D 45 D0 50 8B 4D FC 8B 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 0F B6 40 0C 83 F8 07 0F 87 55 06 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2F 8D 4D CC 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F0 8B 40 18 8B 08 FF 51 0C 50 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 C1 13 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 9B 13 00 00 8D 45 C8 50 8B 45 FC 89 45 B8 C6 45 BC 11 8D 55 B4 8B C3 8B 08 FF 51 DC 8B 45 B4 89 45 C0 C6 45 C4 11 8D 45 B8 50 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 41 13 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2F 8D 4D AC 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 AC 8B 45 F0 8B 40 1C 8B 08 FF 51 0C 50 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 01 13 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 DB 12 00 00 8D 45 A8 50 8B 45 FC 89 45 B8 C6 45 BC 11 8D 55 A4 8B C3 8B 08 FF 51 DC 8B 45 A4 89 45 C0 C6 45 C4 11 8D 45 B8 50 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D A8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 81 12 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 40 28 8B 08 FF 51 0C 50 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 45 12 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 1F 12 00 00 8D 45 9C 50 8B 45 FC 89 45 B8 C6 45 BC 11 8D 55 98 8B C3 8B 08 FF 51 DC 8B 45 98 89 45 C0 C6 45 C4 11 8D 45 B8 50 8D 55 94 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 94 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D 9C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C5 11 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8D 55 90 8B C3 8B 08 FF 11 8B 55 90 8B 45 F0 8B 40 2C 8B 08 FF 51 0C 50 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 89 11 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 63 11 00 00 8D 45 8C 50 8B 45 FC 89 45 B8 C6 45 BC 11 8D 55 88 8B C3 8B 08 FF 51 DC 8B 45 88 89 45 C0 C6 45 C4 11 8D 45 B8 50 8D 55 84 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 84 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D 8C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 09 11 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 8D 4D 80 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 80 50 8B 45 F0 8B 40 10 8B 4D FC 8B 55 F4 8B 18 FF 53 0C E9 D1 10 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 6A 00 8B 45 F0 8B 40 10 8B 4D FC 8B 55 F4 8B 18 FF 53 0C E9 A8 10 00 00 8D 85 7C FF FF FF 50 8B 45 FC 89 45 B8 C6 45 BC 11 8D 95 78 FF FF FF 8B C3 8B 08 FF 51 DC 8B 85 78 FF FF FF 89 45 C0 C6 45 C4 11 8D 45 B8 50 8D 95 74 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 74 FF FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D 7C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3C 10 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8D 8D 70 FF FF FF 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 8B 45 F0 8B 40 14 8B 4D FC 8B 55 F4 8B 18 FF 53 0C E9 FE 0F 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 6A 00 8B 45 F0 8B 40 10 8B 4D FC 8B 55 F4 8B 18 FF 53 0C E9 D5 0F 00 00 8D 85 6C FF FF FF 50 8B 45 FC 89 45 B8 C6 45 BC 11 8D 95 68 FF FF FF 8B C3 8B 08 FF 51 DC 8B 85 68 FF FF FF 89 45 C0 C6 45 C4 11 8D 45 B8 50 8D 95 64 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 64 FF FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D 6C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 69 0F 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F0 8B 40 20 8B 4D FC 8B 55 F4 8B 18 FF 53 0C E9 37 0F 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 6A 00 8B 45 F0 8B 40 10 8B 4D FC 8B 55 F4 8B 18 FF 53 0C E9 0E 0F 00 00 8D 85 60 FF FF FF 50 8B 45 FC 89 45 B8 C6 45 BC 11 8D 95 5C FF FF FF 8B C3 8B 08 FF 51 DC 8B 85 5C FF FF FF 89 45 C0 C6 45 C4 11 8D 45 B8 50 8D 95 58 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 58 FF FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D 60 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A2 0E 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 8D 95 54 FF FF FF 8B C3 8B 08 FF 11 8B 85 54 FF FF FF 50 8B 45 F0 8B 40 24 8B 4D FC 8B 55 F4 8B 18 FF 53 0C E9 68 0E 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 6A 00 8B 45 F0 8B 40 10 8B 4D FC 8B 55 F4 8B 18 FF 53 0C E9 3F 0E 00 00 8D 85 50 FF FF FF 50 8B 45 FC 89 45 B8 C6 45 BC 11 8D 95 4C FF FF FF 8B C3 8B 08 FF 51 DC 8B 85 4C FF FF FF 89 45 C0 C6 45 C4 11 8D 45 B8 50 8D 95 48 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 48 FF FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D 50 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D3 0D 00 00 8D 85 44 FF FF FF 50 8D 8D 38 FF FF FF 8B 45 F0 0F B6 50 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 38 FF FF FF 89 85 3C FF FF FF C6 85 40 FF FF FF 11 8D 85 3C FF FF FF 50 8D 95 34 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 34 FF FF FF 33 C9 5A E8 ?? ?? ?? ?? 8B 8D 44 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 61 0D 00 00 8D 85 30 FF FF FF 50 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 B9 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 30 FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 23 04 00 00 8D 85 2C FF FF FF 50 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 B9 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 2C FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 0F B6 40 0C 2C 02 74 1D FE C8 0F 84 ED 00 00 00 2C 03 0F 84 BD 01 00 00 FE C8 0F 84 83 02 00 00 E9 52 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8D 8D 28 FF FF FF 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 95 28 FF FF FF 8B 45 F0 8B 40 18 8B 08 FF 51 0C 50 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 80 0C 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 5A 0C 00 00 8D 85 24 FF FF FF 50 8B 45 FC 89 45 B8 C6 45 BC 11 8D 95 20 FF FF FF 8B C3 8B 08 FF 51 DC 8B 85 20 FF FF FF 89 45 C0 C6 45 C4 11 8D 45 B8 50 8D 95 1C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 1C FF FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D 24 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EE 0B 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8D 8D 18 FF FF FF 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 95 18 FF FF FF 8B 45 F0 8B 40 1C 8B 08 FF 51 0C 50 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 A8 0B 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 82 0B 00 00 8D 85 14 FF FF FF 50 8B 45 FC 89 45 B8 C6 45 BC 11 8D 95 10 FF FF FF 8B C3 8B 08 FF 51 DC 8B 85 10 FF FF FF 89 45 C0 C6 45 C4 11 8D 45 B8 50 8D 95 0C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 0C FF FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D 14 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 16 0B 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 40 28 8B 08 FF 51 0C 50 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 DA 0A 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 B4 0A 00 00 8D 85 08 FF FF FF 50 8B 45 FC 89 45 B8 C6 45 BC 11 8D 95 04 FF FF FF 8B C3 8B 08 FF 51 DC 8B 85 04 FF FF FF 89 45 C0 C6 45 C4 11 8D 45 B8 50 8D 95 00 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 00 FF FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D 08 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 48 0A 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 31 8D 95 FC FE FF FF 8B C3 8B 08 FF 11 8B 95 FC FE FF FF 8B 45 F0 8B 40 2C 8B 08 FF 51 0C 50 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 06 0A 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 E0 09 00 00 8D 85 F8 FE FF FF 50 8B 45 FC 89 45 B8 C6 45 BC 11 8D 95 F4 FE FF FF 8B C3 8B 08 FF 51 DC 8B 85 F4 FE FF FF 89 45 C0 C6 45 C4 11 8D 45 B8 50 8D 95 F0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D F8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 74 09 00 00 8D 85 EC FE FF FF 50 8D 8D E8 FE FF FF 8B 45 F0 0F B6 50 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E8 FE FF FF 89 85 3C FF FF FF C6 85 40 FF FF FF 11 8D 85 3C FF FF FF 50 8D 95 E4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E4 FE FF FF 33 C9 5A E8 ?? ?? ?? ?? 8B 8D EC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 02 09 00 00 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 11 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 0F 84 36 07 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 0F B6 40 05 83 F8 07 0F 87 8E 06 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 32 8D 8D E0 FE FF FF 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 95 E0 FE FF FF 8B 45 EC 8B 08 FF 51 28 50 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 91 06 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 6B 06 00 00 8D 85 DC FE FF FF 50 8B 45 FC 89 45 B8 C6 45 BC 11 8D 95 D8 FE FF FF 8B C3 8B 08 FF 51 DC 8B 85 D8 FE FF FF 89 45 C0 C6 45 C4 11 8D 45 B8 50 8D 95 D4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D4 FE FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D DC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FF 05 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 32 8D 8D D0 FE FF FF 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 95 D0 FE FF FF 8B 45 EC 8B 08 FF 51 2C 50 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 BC 05 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 96 05 00 00 8D 85 CC FE FF FF 50 8B 45 FC 89 45 B8 C6 45 BC 11 8D 95 C8 FE FF FF 8B C3 8B 08 FF 51 DC 8B 85 C8 FE FF FF 89 45 C0 C6 45 C4 11 8D 45 B8 50 8D 95 C4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 C4 FE FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D CC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2A 05 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 28 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 08 FF 51 38 50 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 F1 04 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 CB 04 00 00 8D 85 C0 FE FF FF 50 8B 45 FC 89 45 B8 C6 45 BC 11 8D 95 BC FE FF FF 8B C3 8B 08 FF 51 DC 8B 85 BC FE FF FF 89 45 C0 C6 45 C4 11 8D 45 B8 50 8D 95 B8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 B8 FE FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D C0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5F 04 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2E 8D 95 B4 FE FF FF 8B C3 8B 08 FF 11 8B 95 B4 FE FF FF 8B 45 EC 8B 08 FF 51 3C 50 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 20 04 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 FA 03 00 00 8D 85 B0 FE FF FF 50 8B 45 FC 89 45 B8 C6 45 BC 11 8D 95 AC FE FF FF 8B C3 8B 08 FF 51 DC 8B 85 AC FE FF FF 89 45 C0 C6 45 C4 11 8D 45 B8 50 8D 95 A8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 A8 FE FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D B0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8E 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8D 8D A4 FE FF FF 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 85 A4 FE FF FF 50 8B 4D FC 8B 55 F4 8B 45 EC 8B 18 FF 53 20 E9 53 03 00 00 8B }
	condition:
		$1
}

rule function_9648_0 {
	meta:
		name = "TJSONUnMarshal.RegisterReverter"
		size = 126
		refs = "0012 @UStrAddRef 001a @IntfAddRef 0022 TJSONUnMarshal.RegisterReverter 002f _DV_TReverterEvent 0034 TReverterEvent.Create 0040 TReverterEvent.SetObjectReverter 0062 @UStrClr 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 08 8B C3 E8 ?? ?? ?? ?? 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9649_0 {
	meta:
		name = "TJSONUnMarshal.RegisterReverter"
		size = 126
		refs = "0012 @UStrAddRef 001a @IntfAddRef 0022 TJSONUnMarshal.RegisterReverter 002f _DV_TReverterEvent 0034 TReverterEvent.Create 0040 TReverterEvent.SetStringsReverter 0062 @UStrClr 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 08 8B C3 E8 ?? ?? ?? ?? 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9651_0 {
	meta:
		name = "TJSONUnMarshal.RegisterReverter"
		size = 126
		refs = "0012 @UStrAddRef 001a @IntfAddRef 0022 TJSONUnMarshal.RegisterReverter 002f _DV_TReverterEvent 0034 TReverterEvent.Create 0040 TReverterEvent.SetObjectsReverter 0062 @UStrClr 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 08 8B C3 E8 ?? ?? ?? ?? 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9652_0 {
	meta:
		name = "TJSONUnMarshal.RegisterReverter"
		size = 126
		refs = "0012 @UStrAddRef 001a @IntfAddRef 0022 TJSONUnMarshal.RegisterReverter 002f _DV_TReverterEvent 0034 TReverterEvent.Create 0040 TReverterEvent.SetStringReverter 0062 @UStrClr 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 08 8B C3 E8 ?? ?? ?? ?? 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9954_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.RegisterConverter"
		size = 126
		refs = "0012 @UStrAddRef 001a @IntfAddRef 0022 TTypeMarshaller<Data.DBXJSON.TJSONValue>.RegisterConverter 002f _DV_TConverterEvent 0034 TConverterEvent.Create 0040 TConverterEvent.SetObjectsConverter 0062 @UStrClr 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 08 8B C3 E8 ?? ?? ?? ?? 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9955_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.RegisterConverter"
		size = 126
		refs = "0012 @UStrAddRef 001a @IntfAddRef 0022 TTypeMarshaller<Data.DBXJSON.TJSONValue>.RegisterConverter 002f _DV_TConverterEvent 0034 TConverterEvent.Create 0040 TConverterEvent.SetObjectConverter 0062 @UStrClr 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 08 8B C3 E8 ?? ?? ?? ?? 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9956_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.RegisterConverter"
		size = 126
		refs = "0012 @UStrAddRef 001a @IntfAddRef 0022 TTypeMarshaller<Data.DBXJSON.TJSONValue>.RegisterConverter 002f _DV_TConverterEvent 0034 TConverterEvent.Create 0040 TConverterEvent.SetStringsConverter 0062 @UStrClr 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 08 8B C3 E8 ?? ?? ?? ?? 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9957_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.RegisterConverter"
		size = 126
		refs = "0012 @UStrAddRef 001a @IntfAddRef 0022 TTypeMarshaller<Data.DBXJSON.TJSONValue>.RegisterConverter 002f _DV_TConverterEvent 0034 TConverterEvent.Create 0040 TConverterEvent.SetStringConverter 0062 @UStrClr 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 08 8B C3 E8 ?? ?? ?? ?? 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9650_0 {
	meta:
		name = "TJSONUnMarshal.RegisterReverter"
		size = 196
		refs = "0019 @UStrAddRef 0021 TJSONUnMarshal.RegisterReverter 0032 TMonitor.CheckMonitorSupport 0039 TMonitor.GetMonitor 0041 TMonitor.Enter 005d _DV_TJSONMarshal 0062 TTypeMarshaller<Data.DBXJSON.TJSONValue>.ComposeKey 0073 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.AddOrSetValue 008b TMonitor.Exit 0091 @HandleFinally 00a8 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D FC 8B F2 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 58 08 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8B 4D FC 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 40 08 8B 4D 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9653_0 {
	meta:
		name = "TJSONUnMarshal.RegisterReverter"
		size = 128
		refs = "0012 @IntfAddRef 001a TJSONUnMarshal.RegisterReverter 0027 _DV_TReverterEvent 002c TReverterEvent.Create 0038 TReverterEvent.SetTypeStringsReverter 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 53 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_9654_0 {
	meta:
		name = "TJSONUnMarshal.RegisterReverter"
		size = 128
		refs = "0012 @IntfAddRef 001a TJSONUnMarshal.RegisterReverter 0027 _DV_TReverterEvent 002c TReverterEvent.Create 0038 TReverterEvent.SetTypeStringReverter 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 53 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_9655_0 {
	meta:
		name = "TJSONUnMarshal.RegisterReverter"
		size = 128
		refs = "0012 @IntfAddRef 001a TJSONUnMarshal.RegisterReverter 0027 _DV_TReverterEvent 002c TReverterEvent.Create 0038 TReverterEvent.SetTypeObjectsReverter 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 53 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_9656_0 {
	meta:
		name = "TJSONUnMarshal.RegisterReverter"
		size = 128
		refs = "0012 @IntfAddRef 001a TJSONUnMarshal.RegisterReverter 0027 _DV_TReverterEvent 002c TReverterEvent.Create 0038 TReverterEvent.SetTypeObjectReverter 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 53 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_9958_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.RegisterConverter"
		size = 128
		refs = "0012 @IntfAddRef 001a TTypeMarshaller<Data.DBXJSON.TJSONValue>.RegisterConverter 0027 _DV_TConverterEvent 002c TConverterEvent.Create 0038 TConverterEvent.SetTypeObjectsConverter 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 53 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_9959_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.RegisterConverter"
		size = 128
		refs = "0012 @IntfAddRef 001a TTypeMarshaller<Data.DBXJSON.TJSONValue>.RegisterConverter 0027 _DV_TConverterEvent 002c TConverterEvent.Create 0038 TConverterEvent.SetTypeObjectConverter 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 53 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_9960_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.RegisterConverter"
		size = 128
		refs = "0012 @IntfAddRef 001a TTypeMarshaller<Data.DBXJSON.TJSONValue>.RegisterConverter 0027 _DV_TConverterEvent 002c TConverterEvent.Create 0038 TConverterEvent.SetTypeStringsConverter 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 53 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_9961_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.RegisterConverter"
		size = 128
		refs = "0012 @IntfAddRef 001a TTypeMarshaller<Data.DBXJSON.TJSONValue>.RegisterConverter 0027 _DV_TConverterEvent 002c TConverterEvent.Create 0038 TConverterEvent.SetTypeStringConverter 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 53 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_9657_0 {
	meta:
		name = "TJSONUnMarshal.Reverter"
		size = 168
		refs = "0011 @UStrAddRef 0019 TJSONUnMarshal.Reverter 002a TMonitor.CheckMonitorSupport 0031 TMonitor.GetMonitor 0039 TMonitor.Enter 0055 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.GetItem 005d @TryFinallyExit 0077 TMonitor.Exit 007d @HandleFinally 0094 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 58 08 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? EB 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9658_0 {
	meta:
		name = "TJSONUnMarshal.SetField"
		size = 134
		refs = "001e @UStrAddRef 0026 TJSONUnMarshal.SetField 0038 TJSONUnMarshal.GetFieldType 0044 TValue.&op_Implicit 0065 TValue 006a @FinalizeRecord 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 50 8D 55 E4 8B 45 08 E8 ?? ?? ?? ?? 8D 4D E4 8B D6 58 8B 18 FF 53 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9659_0 {
	meta:
		name = "TJSONUnMarshal.SetField"
		size = 429
		refs = "0021 @UStrAddRef 0031 TJSONUnMarshal.SetField 0043 TJSONUnMarshal.GetFieldType 0061 TObject.ClassName 0077 SNoFieldFoundForType 007c LoadResString 008a Format 0094 _DV_EConversionError 0099 Exception.Create 009e @RaiseExcept 00aa TRttiType.GetTypeKind 00cd TRttiType.GetHandle 00d9 TJSONUnMarshal.StringToTValue 011f SNoValueConversionForField 0160 @UStrArrayClr 0168 @UStrClr 0171 TValue 0176 @FinalizeRecord 019e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B F2 8B F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 75 55 8D 45 F8 50 8B 45 FC 89 45 E8 C6 45 EC 11 8D 55 E4 8B 06 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 C6 45 F4 11 8D 45 E8 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? 48 2C 05 72 0E 04 FD 2C 03 72 08 2C 04 74 04 2C 02 75 2A 8D 45 C8 50 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? 8B C8 8B 55 08 8B C7 E8 ?? ?? ?? ?? 8D 4D C8 8B D6 8B C3 8B 18 FF 53 1C EB 5F 8D 45 C4 50 8B 45 08 89 45 AC C6 45 B0 11 8B 45 FC 89 45 B4 C6 45 B8 11 8D 55 A8 8B 06 E8 ?? ?? ?? ?? 8B 45 A8 89 45 BC C6 45 C0 11 8D 45 AC 50 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A4 B9 02 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9660_0 {
	meta:
		name = "TJSONUnMarshal.SetField"
		size = 135
		refs = "001e @UStrAddRef 0026 TJSONUnMarshal.SetField 0038 TJSONUnMarshal.GetFieldType 0045 TValue.&op_Implicit 0066 TValue 006b @FinalizeRecord 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 50 8D 55 E4 0F B6 45 08 E8 ?? ?? ?? ?? 8D 4D E4 8B D6 58 8B 18 FF 53 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9661_0 {
	meta:
		name = "TJSONUnMarshal.SetFieldArray"
		size = 288
		refs = "0022 @UStrAddRef 002a TJSONUnMarshal.SetFieldArray 003c TJSONUnMarshal.GetFieldType 004a TRttiType.GetTypeKind 006b TJSONUnMarshal.JSONToTValue 00ac SInvalidTypeForField 00b1 LoadResString 00bf Format 00c9 _DV_EConversionError 00ce Exception.Create 00d3 @RaiseExcept 00ed @UStrArrayClr 00f5 @UStrClr 00fe TValue 0103 @FinalizeRecord 0111 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? 04 F3 2C 02 72 04 2C 02 75 25 8D 45 E4 50 8B C3 8B 10 FF 52 10 8B C8 8B 55 08 8B C6 E8 ?? ?? ?? ?? 8D 4D E4 8B D7 8B C3 8B 18 FF 53 1C EB 5A 8D 45 E0 50 8B 45 FC 89 45 D0 C6 45 D4 11 8B C3 8B 10 FF 52 10 8D 55 CC 8B 08 FF 51 08 8B 45 CC 89 45 D8 C6 45 DC 11 8D 45 D0 50 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9662_0 {
	meta:
		name = "TJSONUnMarshal.SetFieldNull"
		size = 129
		refs = "001e @UStrAddRef 0026 TJSONUnMarshal.SetFieldNull 0038 TJSONUnMarshal.GetFieldType 0041 TValue.GetEmpty 0062 TValue 0067 @FinalizeRecord 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 50 8D 45 E4 E8 ?? ?? ?? ?? 8D 4D E4 8B D6 58 8B 18 FF 53 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9663_0 {
	meta:
		name = "TJSONUnMarshal.StoreObject"
		size = 82
		refs = "0011 @UStrAddRef 0019 TJSONUnMarshal.StoreObject 002c TDictionary<System.string,System.TObject>.Add 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9664_0 {
	meta:
		name = "TJSONUnMarshal.StringToTValue"
		size = 706
		refs = "0027 @UStrAddRef 0030 TValue 0035 @InitializeRecord 003d TJSONUnMarshal.StringToTValue 00b5 @UStrToString 00c3 TValue.From<System.ShortString> 00d6 @WStrFromUStr 00e4 TValue.From<System.WideString> 00f4 TValue.&op_Implicit 0101 TDBXPlatform.JsonToFloat 011d StrToInt 0132 StrToInt64 0167 @FinalizeRecord 0173 TValue.Make 0184 @CopyRecord 01db GetEnumValue 021d SNoConversionAvailableForValue 0222 LoadResString 025a Format 0267 _DV_EConversionError 026c Exception.Create 0271 @RaiseExcept 028e @UStrArrayClr 0299 @WStrClr 02af @UStrClr 02b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 BC FE FF FF 53 33 DB 89 9D D0 FE FF FF 89 9D CC FE FF FF 89 9D D4 FE FF FF 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 03 83 F8 12 0F 87 BC 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 85 D8 FE FF FF 8B 55 FC B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 85 D8 FE FF FF 8B 55 08 E8 ?? ?? ?? ?? E9 A9 01 00 00 8D 85 D4 FE FF FF 8B 55 FC E8 ?? ?? ?? ?? 8B 85 D4 FE FF FF 8B 55 08 E8 ?? ?? ?? ?? E9 88 01 00 00 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? E9 78 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 45 08 E8 ?? ?? ?? ?? E9 5C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? E9 47 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 52 50 8B 45 08 E8 ?? ?? ?? ?? E9 30 01 00 00 83 7D FC 00 75 08 66 C7 45 DE 00 00 EB 0A 8B 45 FC 0F B7 00 66 89 45 DE 8B 15 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8B C8 8D 45 DE 8B D3 E8 ?? ?? ?? ?? 8B 45 08 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E8 00 00 00 83 7D FC 00 75 08 66 C7 45 DC 00 00 EB 0A 8B 45 FC 0F B7 00 66 89 45 DC 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 DC 8B D3 E8 ?? ?? ?? ?? 8B 45 08 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A0 00 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 45 D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 D8 8B D3 E8 ?? ?? ?? ?? 8B 45 08 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 66 8D 85 D0 FE FF FF 50 8D 95 CC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 CC FE FF FF 50 8B 45 FC 89 85 BC FE FF FF C6 85 C0 FE FF FF 11 8D 43 01 89 85 C4 FE FF FF C6 85 C8 FE FF FF 04 8D 95 BC FE FF FF B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 8D D0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 CC FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 D4 FE FF FF E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C7 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9665_0 {
	meta:
		name = "TJSONUnMarshal.Unmarshal"
		size = 179
		refs = "0015 TJSONUnMarshal.Unmarshal 0023 _Dn_TJSONObject 0028 @IsClass 0034 SCannotCreateObject 0039 LoadResString 0043 _DV_EConversionError 0048 Exception.Create 004d @RaiseExcept 0067 TJSONUnMarshal.CreateObject 0082 TDictionary<System.string,System.TObject>.Clear 0088 @HandleFinally 009f @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9666_0 {
	meta:
		name = "TSerStringItem.Create"
		size = 123
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TSerStringItem.Create 0036 @UStrAsg 0051 @UStrClr 0057 @HandleFinally 0064 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 89 46 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9667_0 {
	meta:
		name = "TSerStringList.AsStringList"
		size = 203
		refs = "0014 TSerStringList.AsStringList 0021 _Dn_TStringList 0026 TStringList.Create 0038 :TSerStringList.:1 003d @DynArrayAsg 005e @DynArrayLength 0070 @DynArrayClear 008c TStringList.SetSorted 009b TStringList.SetCaseSensitive 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 45 FC 8B 55 F8 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 15 8B 45 FC 8B 34 98 8B 4E 08 8B 56 04 8B 45 F4 8B 30 FF 56 3C 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C DF 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 0F B6 40 09 8B 55 F4 88 42 39 8B 45 F8 0F B6 50 08 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 0F B6 50 0A 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9668_0 {
	meta:
		name = "TSerStringList.Create"
		size = 244
		refs = "0016 @ClassCreate 0026 TSerStringList.Create 0045 :TSerStringList.:1 004a @DynArraySetLength 007f _DV_TSerStringItem 0084 TSerStringItem.Create 00c6 @UStrClr 00cc @HandleFinally 00dc @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 14 50 8B 45 FC 83 C0 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 8B 10 FF 52 14 48 85 C0 7C 3A 40 89 45 F4 33 DB 8B D3 8B C6 8B 08 FF 51 18 50 8D 4D F0 8B D3 8B C6 8B 38 FF 57 0C 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 52 04 89 04 9A 43 FF 4D F4 75 CC 8B 45 FC 0F B6 56 3A 88 50 0A 8B 45 FC 0F B6 56 38 88 50 08 0F B6 46 39 8B 55 FC 88 42 09 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9669_0 {
	meta:
		name = "TSerStringList.Destroy"
		size = 168
		refs = "000f @BeforeDestruction 001c TSerStringList.Destroy 002e :TSerStringList.:1 0033 @DynArrayAsg 0044 TObject.Free 004d @DynArrayLength 005f @DynArrayClear 006d TObject.Destroy 008e @HandleFinally 009d @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC E8 ?? ?? ?? ?? 88 55 FB 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 0E 8B 45 FC 8B 34 98 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C E6 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 80 7D FB 00 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9670_0 {
	meta:
		name = "StringListConverter"
		size = 22
		refs = "000c _DV_TSerStringList 0011 TSerStringList.Create"
	strings:
		$1 = { 85 C0 75 03 33 C0 C3 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9671_0 {
	meta:
		name = "StringListReverter"
		size = 90
		refs = "001a StringListReverter 0028 TSerStringList.AsStringList 0030 @TryFinallyExit 0047 TObject.Free 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 83 7D FC 00 75 07 33 C0 89 45 F8 EB 3D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 E8 ?? ?? ?? ?? EB 1D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_9672_0 {
	meta:
		name = "JSONBooleanAttribute.Create"
		size = 35
		refs = "0008 @ClassCreate 0014 @AfterConstruction"
		altNames = "TAzureRow.Create"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 48 04 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_9673_0 {
	meta:
		name = "JSONBooleanAttributeValue"
		size = 157
		refs = "0019 JSONBooleanAttributeValue 003c @IsClass 0052 @DynArrayLength 005f TArray<System.TCustomAttribute> 0064 @DynArrayClear 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 88 4D FB 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 04 33 DB EB 1D 8B 45 FC 8B 34 98 8B C6 8B D7 E8 ?? ?? ?? ?? 84 C0 74 09 0F B6 46 04 88 45 FA EB 22 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C D7 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FB 88 45 FA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 FA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9674_0 {
	meta:
		name = "JSONReflect.Create"
		size = 56
		refs = "000a @ClassCreate 001a TObject.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 88 4E 04 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_9675_0 {
	meta:
		name = "JSONReflect.Create"
		size = 88
		refs = "000d @ClassCreate 0037 TObject.Create 0042 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B6 45 08 88 46 04 0F B6 45 14 88 46 06 88 4E 05 8B 45 10 89 46 08 8B 45 0C 89 46 0C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_9676_0 {
	meta:
		name = "JSONReflect.JSONInterceptor"
		size = 36
		refs = "000b _DV_TJSONInterceptor 0010 @AsClass"
	strings:
		$1 = { 53 8B D8 8B 43 08 FF 50 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 53 05 88 50 04 0F B6 53 06 88 50 05 5B C3 }
	condition:
		$1
}

rule function_9677_0 {
	meta:
		name = "JSONReflect.JSONPopulationCustomizer"
		size = 35
		refs = "0012 _DV_TJSONPopulationCustomizer 0017 @AsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 0C 85 F6 74 13 8B C6 FF 50 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_9678_0 {
	meta:
		name = "TJSONPopulationCustomizer.PrePopulate"
		size = 392
		refs = "002b TRttiContext 0030 @AddRefRecord 0039 TValue 003e @InitializeRecord 0054 TJSONPopulationCustomizer.PrePopulate 006a TRttiContext.GetType 009a TRttiType.GetTypeKind 00a6 _DV_JSONOwned 00ad JSONBooleanAttributeValue 00b9 _DV_JSONMarshalled 00d9 TValue.AsObject 00f7 TObject.Free 00ff TValue.GetEmpty 0115 @DynArrayLength 0126 TArray<System.Rtti.TRttiField> 012b @DynArrayClear 0146 @FinalizeRecord 0159 @FinalizeArray 017b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 DB 89 5D AC 89 5D B0 89 5D B4 89 5D B8 89 5D BC 89 5D C0 89 5D F8 89 4D FC 89 55 C4 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 C4 8B 12 89 D0 8D 55 FC 92 E8 ?? ?? ?? ?? 8B D8 8D 55 F8 8B C3 8B 08 FF 51 18 33 F6 E9 90 00 00 00 8B 45 F8 8B 1C B0 8B C3 8B 10 FF 52 10 85 C0 74 7E 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? 3C 07 75 6E B1 01 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5B B1 01 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 48 8D 4D E0 8B 55 C4 8B C3 8B 38 FF 57 18 8D 45 E0 E8 ?? ?? ?? ?? 85 C0 74 2F 8D 4D C8 8B 55 C4 8B C3 8B 38 FF 57 18 8D 45 C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 4D AC 8B 55 C4 8B C3 8B 18 FF 53 1C 46 8B 45 F8 E8 ?? ?? ?? ?? 3B F0 0F 8C 60 FF FF FF 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9680_0 {
	meta:
		name = "TJSONInterceptor.IsTypeConverter"
		size = 22
	strings:
		$1 = { 0F B6 40 04 04 FE 2C 02 72 09 04 FE 2C 02 72 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_9681_0 {
	meta:
		name = "TJSONInterceptor.IsTypeReverter"
		size = 22
	strings:
		$1 = { 0F B6 40 05 04 FE 2C 02 72 09 04 FE 2C 02 72 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_9683_0 {
	meta:
		name = "TJSONInterceptor.ObjectReverter"
		size = 42
		refs = "0007 TJSONInterceptor.ObjectReverter 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C2 04 00 }
	condition:
		$1
}

rule function_82104_0 {
	meta:
		name = "TListActionLink.AddItem"
		size = 42
		refs = "0007 TListActionLink.AddItem 0020 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C2 04 00 }
	condition:
		$1
}

rule function_9684_0 {
	meta:
		name = "TJSONInterceptor.ObjectsConverter"
		size = 56
		refs = "0007 TJSONInterceptor.ObjectsConverter 0016 TListOfObjects 001b @DynArrayClear 002e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C2 04 00 }
	condition:
		$1
}

rule function_9688_0 {
	meta:
		name = "TJSONInterceptor.StringsConverter"
		size = 56
		refs = "0007 TJSONInterceptor.StringsConverter 0016 TListOfStrings 001b @DynArrayClear 002e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C2 04 00 }
	condition:
		$1
}

rule function_9685_0 {
	meta:
		name = "TJSONInterceptor.ObjectsReverter"
		size = 64
		refs = "0007 @DynArrayAddRef 000f TJSONInterceptor.ObjectsReverter 002b TListOfObjects 0030 @DynArrayClear 0036 @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5D C2 04 00 }
	condition:
		$1
}

rule function_9689_0 {
	meta:
		name = "TJSONInterceptor.StringsReverter"
		size = 64
		refs = "0007 @DynArrayAddRef 000f TJSONInterceptor.StringsReverter 002b TListOfStrings 0030 @DynArrayClear 0036 @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5D C2 04 00 }
	condition:
		$1
}

rule function_9686_0 {
	meta:
		name = "TJSONInterceptor.StringConverter"
		size = 58
		refs = "0007 TJSONInterceptor.StringConverter 0016 EmptyStr 001d @UStrAsg 0030 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C2 04 00 }
	condition:
		$1
}

rule function_9687_0 {
	meta:
		name = "TJSONInterceptor.StringReverter"
		size = 58
		refs = "0007 @UStrAddRef 000f TJSONInterceptor.StringReverter 002a @UStrClr 0030 @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5D C2 04 00 }
	condition:
		$1
}

rule function_83686_0 {
	meta:
		name = "TRibbonGalleryMenuItem.DrawText"
		size = 58
		refs = "0007 @UStrAddRef 000f TRibbonGalleryMenuItem.DrawText 002a @UStrClr 0030 @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5D C2 04 00 }
	condition:
		$1
}

rule function_9692_0 {
	meta:
		name = "TJSONInterceptor.TypeObjectsConverter"
		size = 18
		refs = "0007 TListOfObjects 000c @DynArrayClear"
	strings:
		$1 = { 53 8B D9 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9696_0 {
	meta:
		name = "TJSONInterceptor.TypeStringsConverter"
		size = 18
		refs = "0007 TListOfStrings 000c @DynArrayClear"
	strings:
		$1 = { 53 8B D9 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9694_0 {
	meta:
		name = "TJSONInterceptor.TypeStringConverter"
		size = 20
		refs = "0007 EmptyStr 000e @UStrAsg"
	strings:
		$1 = { 53 8B D9 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_9698_0 {
	meta:
		name = "TInvocationMetadataDelegate.WriteMetadata$436$ActRec.$0$Body"
		size = 8
		refs = "0003 StringListConverter"
		altNames = "TStringListInterceptor.TypeObjectConverter"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70014_0 {
	meta:
		name = "GetObjectPropClass"
		size = 8
		refs = "0003 GetObjectPropClass"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97046_0 {
	meta:
		name = "TBaseEndUserAdapter.ImplGetActionsList"
		size = 8
		refs = "0003 ListEndUserActions"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97047_0 {
	meta:
		name = "TBaseEndUserAdapter.ImplGetFieldsList"
		size = 8
		refs = "0003 ListEndUserFields"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70976_0 {
	meta:
		name = "TCOMServer.FactoryFree"
		size = 8
		refs = "0003 TObject.Free"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94024_0 {
	meta:
		name = "TChartSeries.RandomValue"
		size = 8
		refs = "0003 Random"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71019_0 {
	meta:
		name = "TComServer.FactoryFree"
		size = 8
		refs = "0003 TObject.Free"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71020_0 {
	meta:
		name = "TComServer.FactoryRegisterClassObject"
		size = 8
		refs = "0003 TComObjectFactory.RegisterClassObject"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97092_0 {
	meta:
		name = "TCustomApplicationAdapter.ImplGetActionsList"
		size = 8
		refs = "0003 ListApplicationActions"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97093_0 {
	meta:
		name = "TCustomApplicationAdapter.ImplGetFieldsList"
		size = 8
		refs = "0003 ListApplicationFields"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70544_0 {
	meta:
		name = "TCustomVariantType.VarDataClear"
		size = 8
		refs = "0003 @VarClear"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70554_0 {
	meta:
		name = "TCustomVariantType.VarDataIsEmptyParam"
		size = 8
		refs = "0003 VarIsEmptyParam"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29978_0 {
	meta:
		name = "TGUITestRunner.MakeNodeVisible"
		size = 8
		refs = "0003 TTreeNode.MakeVisible"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33746_0 {
	meta:
		name = "TIdFTPListBase.MakeNewItem"
		size = 8
		refs = "0003 TIdFTPListItems.Add"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11559_0 {
	meta:
		name = "TInvocationMetadataDelegate.StoreMetadata$434$ActRec.$0$Body"
		size = 8
		refs = "0003 StringListReverter"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75904_0 {
	meta:
		name = "TListGroup.IgnoreInt"
		size = 8
		refs = "0003 TReader.ReadInteger"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47976_0 {
	meta:
		name = "TMultipartContentParser.CanParse"
		size = 8
		refs = "0003 IsMultipartForm"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26190_0 {
	meta:
		name = "TStreamedConnection.DoError"
		size = 8
		refs = "0003 @RaiseExcept"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9699_0 {
	meta:
		name = "TStringListInterceptor.TypeObjectReverter"
		size = 8
		refs = "0003 StringListReverter"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13759_0 {
	meta:
		name = "TTransportCypherFilter.TearDown"
		size = 8
		refs = "0003 TObject.Free"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74738_0 {
	meta:
		name = "TTreeNodes.Delete"
		size = 8
		refs = "0003 TTreeNode.Delete"
	strings:
		$1 = { 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9700_0 {
	meta:
		name = "TJSONMarshal.Create$3529$ActRec.$0$Body"
		size = 80
		refs = "000e @UStrAddRef 0016 TJSONMarshal.Create$3529$ActRec.$0$Body 0029 JSONObjectPairListConverter 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9707_0 {
	meta:
		name = "TJSONConverters.GetJSONMarshaler$3536$ActRec.$0$Body"
		size = 80
		refs = "000e @UStrAddRef 0016 TJSONConverters.GetJSONMarshaler$3536$ActRec.$0$Body 0029 JSONObjectPairListConverter 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9708_0 {
	meta:
		name = "TJSONConverters.GetJSONMarshaler$3536$ActRec.$1$Body"
		size = 80
		refs = "000e @UStrAddRef 0016 TJSONConverters.GetJSONMarshaler$3536$ActRec.$1$Body 0029 JSONArrayElementsConverter 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9701_0 {
	meta:
		name = "TJSONMarshal.Create$3529$ActRec.$1$Body"
		size = 80
		refs = "000e @UStrAddRef 0016 TJSONMarshal.Create$3529$ActRec.$1$Body 0029 JSONArrayElementsConverter 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9702_0 {
	meta:
		name = "TJSONMarshal.Create"
		size = 272
		refs = "0010 @ClassCreate 001c TJSONMarshal.Create 0029 _DV_TJSONMarshal.Create$3529$ActRec 002e TObject.Create 0041 @IntfCopy 004a _DV_TJSONConverter 004f TJSONConverter.Create 005a TTypeMarshaller<Data.DBXJSON.TJSONValue>.Create 006f _Dn_TJSONObject 0076 TTypeMarshaller<Data.DBXJSON.TJSONValue>.RegisterConverter 0089 _Dn_TJSONArray 00a5 @IntfClear 00ab @HandleFinally 00b8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 6A 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 F0 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 F6 74 03 83 EE F4 56 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 4D 00 65 00 6D 00 62 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 46 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_9703_0 {
	meta:
		name = "TJSONMarshal.Create"
		size = 64
		refs = "000d @ClassCreate 001f TTypeMarshaller<Data.DBXJSON.TJSONValue>.Create 002a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B6 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_22599_0 {
	meta:
		name = "TDSAdminRestClient.Create"
		size = 64
		refs = "000d @ClassCreate 001f TDSRestClient.Create 002a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B6 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_16906_0 {
	meta:
		name = "TDSClassEntity.Create"
		size = 64
		refs = "000d @ClassCreate 001f TDBXTableEntity.Create 002a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B6 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_16917_0 {
	meta:
		name = "TDSConnectionEntity.Create"
		size = 64
		refs = "000d @ClassCreate 001f TDBXTableEntity.Create 002a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B6 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_16928_0 {
	meta:
		name = "TDSMethodEntity.Create"
		size = 64
		refs = "000d @ClassCreate 001f TDBXTableEntity.Create 002a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B6 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_16557_0 {
	meta:
		name = "TDSMethodParametersEntity.Create"
		size = 64
		refs = "000d @ClassCreate 001f TDBXTableEntity.Create 002a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B6 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_16939_0 {
	meta:
		name = "TDSPackageEntity.Create"
		size = 64
		refs = "000d @ClassCreate 001f TDBXTableEntity.Create 002a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B6 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_16944_0 {
	meta:
		name = "TDSProcedureEntity.Create"
		size = 64
		refs = "000d @ClassCreate 001f TDBXTableEntity.Create 002a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B6 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_16955_0 {
	meta:
		name = "TDSProcedureParametersEntity.Create"
		size = 64
		refs = "000d @ClassCreate 001f TDBXTableEntity.Create 002a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B6 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_9704_0 {
	meta:
		name = "TJSONMarshal.Create"
		size = 68
		refs = "000d @ClassCreate 0023 TTypeMarshaller<Data.DBXJSON.TJSONValue>.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B6 45 0C 50 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_9705_0 {
	meta:
		name = "TJSONConverters.Create@"
		size = 68
		refs = "0002 TJSONConverters.$ClassInitFlag 000e TJSONConverters.Create@ 0015 _DV_TObjectDictionary<System.string,Data.DBXJSONReflect.TConverterEvent> 001a TObjectDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create 001f TJSONConverters.CFRegConverters 002f _DV_TObjectDictionary<System.string,Data.DBXJSONReflect.TReverterEvent> 0034 TObjectDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create 0039 TJSONConverters.CFRegReverters"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 34 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_9706_0 {
	meta:
		name = "TJSONConverters.Destroy@"
		size = 45
		refs = "0002 TJSONConverters.$ClassInitFlag 0009 TJSONConverters.CFRegConverters 0016 TObject.Free 001b TJSONConverters.CFRegReverters"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 24 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14761_0 {
	meta:
		name = "Finalization"
		size = 45
		refs = "0002 _DV_1 0009 SQLTimeStampVariantType 0016 TObject.Free 001b SQLTimeStampOffsetVariantType"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 24 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36165_0 {
	meta:
		name = "Finalization"
		size = 45
		refs = "0002 _DV_7 0009 GMessageDecoderList 0016 TObject.Free 001b GMessageEncoderList"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 24 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45016_0 {
	meta:
		name = "Finalization"
		size = 45
		refs = "0002 _DV_4 0009 GTempFileCounters 0016 TObject.Free 001b GCS"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 24 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88666_0 {
	meta:
		name = "TGestureManager.Destroy@"
		size = 45
		refs = "0002 TGestureManager.$ClassInitFlag 0009 TGestureManager.FInstanceList 0016 TObject.Free 001b TGestureManager.FRegisteredGestures"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 24 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9709_0 {
	meta:
		name = "TJSONConverters.GetJSONMarshaler"
		size = 244
		refs = "000b TJSONConverters.GetJSONMarshaler 0018 _DV_TJSONConverters.GetJSONMarshaler$3536$ActRec 001d TObject.Create 0030 @IntfCopy 0037 TJSONConverters.CFRegConverters 003f _DV_TJSONConverter 0044 TJSONConverter.Create 004d _DV_TJSONMarshal 0052 TJSONMarshal.Create 0069 _Dn_TJSONObject 0070 TTypeMarshaller<Data.DBXJSON.TJSONValue>.RegisterConverter 0083 _Dn_TJSONArray 009f @IntfClear 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 6A 01 A1 ?? ?? ?? ?? 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 85 C0 74 03 83 E8 F0 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 DB 74 03 83 EB F4 53 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 4D 00 65 00 6D 00 62 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 46 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_9712_0 {
	meta:
		name = "TJSONConverters.GetJSONUnMarshaler"
		size = 228
		refs = "000b TJSONConverters.GetJSONUnMarshaler 0018 _DV_TJSONConverters.GetJSONUnMarshaler$3539$ActRec 001d TObject.Create 0030 @IntfCopy 0036 TJSONConverters.CFRegReverters 003d _DV_TJSONUnMarshal 0042 TJSONUnMarshal.Create 0059 _Dn_TJSONObject 0060 TJSONUnMarshal.RegisterReverter 0073 _Dn_TJSONArray 008f @IntfClear 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 85 C0 74 03 83 E8 F0 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 DB 74 03 83 EB F4 53 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 4D 00 65 00 6D 00 62 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 46 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_9713_0 {
	meta:
		name = "TJSONConverters.AddConverter"
		size = 163
		refs = "000d TJSONConverters.AddConverter 0019 TJSONConverters.CFRegConverters 001e TMonitor.CheckMonitorSupport 0025 TMonitor.GetMonitor 002d TMonitor.Enter 004a _DV_TJSONMarshal 004f TTypeMarshaller<Data.DBXJSON.TJSONValue>.ComposeKey 005e TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Add 0075 TMonitor.Exit 007b @HandleFinally 0092 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 4B 08 8B 53 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CB A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9714_0 {
	meta:
		name = "TJSONConverters.AddReverter"
		size = 163
		refs = "000d TJSONConverters.AddReverter 0019 TJSONConverters.CFRegReverters 001e TMonitor.CheckMonitorSupport 0025 TMonitor.GetMonitor 002d TMonitor.Enter 004a _DV_TJSONMarshal 004f TTypeMarshaller<Data.DBXJSON.TJSONValue>.ComposeKey 005e TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Add 0075 TMonitor.Exit 007b @HandleFinally 0092 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 4B 08 8B 53 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CB A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9786_0 {
	meta:
		name = "TPair<T>.Create"
		size = 27
		refs = "000e @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 89 7B 04 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50924_0 {
	meta:
		name = "TPair<System.IInterface,System.Pointer>.Create"
		size = 27
		refs = "000e @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 89 7B 04 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9798_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.RehashAdd"
		size = 80
		refs = "001a TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.GetBucketIndex 0039 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 B8 08 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_61613_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.RehashAdd"
		size = 80
		refs = "001a TDictionary<System.IInterface,System.Pointer>.GetBucketIndex 0039 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 B8 08 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_29255_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.RehashAdd"
		size = 80
		refs = "001a TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.GetBucketIndex 0039 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 B8 08 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10043_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.RehashAdd"
		size = 80
		refs = "001a TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.GetBucketIndex 0039 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 B8 08 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_17217_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.RehashAdd"
		size = 80
		refs = "001a TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.GetBucketIndex 0039 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 B8 08 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_17797_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.RehashAdd"
		size = 80
		refs = "001a TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.GetBucketIndex 0039 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 B8 08 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_24417_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.RehashAdd"
		size = 80
		refs = "001a TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.GetBucketIndex 0039 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 B8 08 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_25511_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.RehashAdd"
		size = 80
		refs = "001a TDictionary<System.string,Datasnap.DSService.TDSSession>.GetBucketIndex 0039 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 B8 08 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_53520_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.RehashAdd"
		size = 80
		refs = "001a TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.GetBucketIndex 0039 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 B8 08 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_59951_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.RehashAdd"
		size = 80
		refs = "001a TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetBucketIndex 0039 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 B8 08 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15647_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.RehashAdd"
		size = 80
		refs = "001a TDictionary<System.string,System.Classes.TStream>.GetBucketIndex 0039 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 B8 08 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_23535_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.RehashAdd"
		size = 80
		refs = "001a TDictionary<System.string,System.Classes.TStrings>.GetBucketIndex 0039 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 B8 08 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_42594_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.RehashAdd"
		size = 80
		refs = "001a TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.GetBucketIndex 0039 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 B8 08 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_55219_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.RehashAdd"
		size = 80
		refs = "001a TDictionary<System.string,System.Integer>.GetBucketIndex 0039 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 B8 08 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_22687_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.RehashAdd"
		size = 80
		refs = "001a TDictionary<System.string,System.Masks.TMask>.GetBucketIndex 0039 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 B8 08 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9976_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.RehashAdd"
		size = 80
		refs = "001a TDictionary<System.string,System.TObject>.GetBucketIndex 0039 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 B8 08 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_67755_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.RehashAdd"
		size = 80
		refs = "001a TDictionary<System.string,System.TypInfo.PTypeInfo>.GetBucketIndex 0039 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 B8 08 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_9799_0 {
	meta:
		name = "TDictionary<T>.DoAdd"
		size = 78
		refs = "001e @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B D8 8D 3C 76 8B 43 04 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 0C E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 B8 08 FF 43 08 33 C9 8B 55 0C 8B C3 8B 30 FF 56 08 33 C9 8B 55 08 8B C3 8B 18 FF 53 0C 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_50937_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.DoAdd"
		size = 78
		refs = "001e @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B D8 8D 3C 76 8B 43 04 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 0C E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 B8 08 FF 43 08 33 C9 8B 55 0C 8B C3 8B 30 FF 56 08 33 C9 8B 55 08 8B C3 8B 18 FF 53 0C 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_9801_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.DoRemove"
		size = 252
		refs = "0014 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange 0095 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TItem 009a @CopyRecord 00c4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 C8 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 33 D2 89 54 B0 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_61616_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.DoRemove"
		size = 252
		refs = "0014 TDictionary<System.IInterface,System.Pointer>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange 0095 TDictionary<System.IInterface,System.Pointer>.TItem 009a @CopyRecord 00c4 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 C8 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 33 D2 89 54 B0 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_29258_0 {
	meta:
		name = "TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.DoRemove"
		size = 252
		refs = "0014 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange 0095 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TItem 009a @CopyRecord 00c4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 C8 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 33 D2 89 54 B0 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10046_0 {
	meta:
		name = "TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.DoRemove"
		size = 252
		refs = "0014 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange 0095 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.TItem 009a @CopyRecord 00c4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 C8 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 33 D2 89 54 B0 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17220_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.DoRemove"
		size = 252
		refs = "0014 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange 0095 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TItem 009a @CopyRecord 00c4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 C8 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 33 D2 89 54 B0 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17800_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.DoRemove"
		size = 252
		refs = "0014 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange 0095 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TItem 009a @CopyRecord 00c4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 C8 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 33 D2 89 54 B0 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_24420_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.DoRemove"
		size = 252
		refs = "0014 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange 0095 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TItem 009a @CopyRecord 00c4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 C8 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 33 D2 89 54 B0 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_25514_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSService.TDSSession>.DoRemove"
		size = 252
		refs = "0014 TDictionary<System.string,Datasnap.DSService.TDSSession>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange 0095 TDictionary<System.string,Datasnap.DSService.TDSSession>.TItem 009a @CopyRecord 00c4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 C8 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 33 D2 89 54 B0 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_53523_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.DoRemove"
		size = 252
		refs = "0014 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange 0095 TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.TItem 009a @CopyRecord 00c4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 C8 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 33 D2 89 54 B0 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_59954_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.DoRemove"
		size = 252
		refs = "0014 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange 0095 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.TItem 009a @CopyRecord 00c4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 C8 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 33 D2 89 54 B0 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15650_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStream>.DoRemove"
		size = 252
		refs = "0014 TDictionary<System.string,System.Classes.TStream>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange 0095 TDictionary<System.string,System.Classes.TStream>.TItem 009a @CopyRecord 00c4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 C8 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 33 D2 89 54 B0 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_23538_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.DoRemove"
		size = 252
		refs = "0014 TDictionary<System.string,System.Classes.TStrings>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange 0095 TDictionary<System.string,System.Classes.TStrings>.TItem 009a @CopyRecord 00c4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 C8 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 33 D2 89 54 B0 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_42597_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.DoRemove"
		size = 252
		refs = "0014 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange 0095 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.TItem 009a @CopyRecord 00c4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 C8 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 33 D2 89 54 B0 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_55222_0 {
	meta:
		name = "TDictionary<System.string,System.Integer>.DoRemove"
		size = 252
		refs = "0014 TDictionary<System.string,System.Integer>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange 0095 TDictionary<System.string,System.Integer>.TItem 009a @CopyRecord 00c4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 C8 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 33 D2 89 54 B0 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_22690_0 {
	meta:
		name = "TDictionary<System.string,System.Masks.TMask>.DoRemove"
		size = 252
		refs = "0014 TDictionary<System.string,System.Masks.TMask>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange 0095 TDictionary<System.string,System.Masks.TMask>.TItem 009a @CopyRecord 00c4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 C8 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 33 D2 89 54 B0 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9979_0 {
	meta:
		name = "TDictionary<System.string,System.TObject>.DoRemove"
		size = 252
		refs = "0014 TDictionary<System.string,System.TObject>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange 0095 TDictionary<System.string,System.TObject>.TItem 009a @CopyRecord 00c4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 C8 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 33 D2 89 54 B0 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_67758_0 {
	meta:
		name = "TDictionary<System.string,System.TypInfo.PTypeInfo>.DoRemove"
		size = 252
		refs = "0014 TDictionary<System.string,System.TypInfo.PTypeInfo>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange 0095 TDictionary<System.string,System.TypInfo.PTypeInfo>.TItem 009a @CopyRecord 00c4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 C8 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 33 D2 89 54 B0 08 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9833_0 {
	meta:
		name = "TDictionary<T>.TKeyEnumerator.GetCurrent"
		size = 32
		refs = "0019 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8D 14 52 8B 4B 04 8B 49 04 8B 54 91 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50971_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.TKeyEnumerator.GetCurrent"
		size = 32
		refs = "0019 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8D 14 52 8B 4B 04 8B 49 04 8B 54 91 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9852_0 {
	meta:
		name = "TDictionary<T>.TPairEnumerator.GetCurrent"
		size = 51
		refs = "0019 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8D 14 52 8B 4B 04 8B 49 04 8B 54 91 04 E8 ?? ?? ?? ?? 8B 43 08 8D 04 40 8B 53 04 8B 52 04 8B 44 82 08 89 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_50990_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.TPairEnumerator.GetCurrent"
		size = 51
		refs = "0019 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8D 14 52 8B 4B 04 8B 49 04 8B 54 91 04 E8 ?? ?? ?? ?? 8B 43 08 8D 04 40 8B 53 04 8B 52 04 8B 44 82 08 89 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_9905_0 {
	meta:
		name = "TStack<Data.DBXJSON.TJSONAncestor>.Grow"
		size = 62
		refs = "0008 @DynArrayLength 0020 OutOfMemoryError 002f :TStack<Data.DBXJSON.TJSONAncestor>.:1 0034 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B D8 03 DB 85 DB 75 07 BB 04 00 00 00 EB 09 85 DB 7D 05 E8 ?? ?? ?? ?? 53 8D 46 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_53054_0 {
	meta:
		name = "TStack<System.Bindings.EvalProtocol.IScope>.Grow"
		size = 62
		refs = "0008 @DynArrayLength 0020 OutOfMemoryError 002f :TStack<System.Bindings.EvalProtocol.IScope>.:1 0034 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B D8 03 DB 85 DB 75 07 BB 04 00 00 00 EB 09 85 DB 7D 05 E8 ?? ?? ?? ?? 53 8D 46 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_9906_0 {
	meta:
		name = "TStack<Data.DBXJSON.TJSONAncestor>.DoPop"
		size = 67
		refs = "000b SUnbalancedOperation 0012 _Dn_EListError 0017 Exception.CreateRes 001c @RaiseExcept"
	strings:
		$1 = { 53 56 57 83 78 04 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 48 04 8B 58 08 8B 48 04 8B 34 8B 8B 58 08 33 FF 89 3C 8B 8B CA 8B D6 8B 18 FF 53 08 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9907_0 {
	meta:
		name = "TStack<Data.DBXJSON.TJSONAncestor>.DoSetCapacity"
		size = 60
		refs = "000d SArgumentOutOfRange 0014 _Dn_EArgumentOutOfRangeException 0019 Exception.CreateRes 001e @RaiseExcept 002d :TStack<Data.DBXJSON.TJSONAncestor>.:1 0032 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 04 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8D 43 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_53056_0 {
	meta:
		name = "TStack<System.Bindings.EvalProtocol.IScope>.DoSetCapacity"
		size = 60
		refs = "000d SArgumentOutOfRange 0014 _Dn_EArgumentOutOfRangeException 0019 Exception.CreateRes 001e @RaiseExcept 002d :TStack<System.Bindings.EvalProtocol.IScope>.:1 0032 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 04 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8D 43 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_9911_0 {
	meta:
		name = "TStack<Data.DBXJSON.TJSONAncestor>.Create"
		size = 163
		refs = "000f @ClassCreate 0021 TObject.Create 0028 TEnumerable<Data.DBXJSON.TJSONAncestor>.GetEnumerator 0033 TStack<Data.DBXJSON.TJSONAncestor>.Create 004e TStack<Data.DBXJSON.TJSONAncestor>.Push 0056 TEnumerator<Data.DBXJSON.TJSONAncestor>.MoveNext 007d @HandleFinally 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F4 8B 10 FF 12 8B D8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9913_0 {
	meta:
		name = "TStack<Data.DBXJSON.TJSONAncestor>.Clear"
		size = 44
		refs = "0008 TStack<Data.DBXJSON.TJSONAncestor>.Pop 001e :TStack<Data.DBXJSON.TJSONAncestor>.:1 0023 @DynArraySetLength"
	strings:
		$1 = { 53 8B D8 EB 07 8B C3 E8 ?? ?? ?? ?? 83 7B 04 00 7F F3 6A 00 8D 43 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5B C3 }
	condition:
		$1
}

rule function_9914_0 {
	meta:
		name = "TStack<Data.DBXJSON.TJSONAncestor>.Push"
		size = 52
		refs = "000a @DynArrayLength 0016 TStack<Data.DBXJSON.TJSONAncestor>.Grow"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 E8 ?? ?? ?? ?? 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 04 89 34 90 FF 43 04 33 C9 8B D6 8B C3 8B 18 FF 53 08 5E 5B C3 }
	condition:
		$1
}

rule function_9916_0 {
	meta:
		name = "TStack<Data.DBXJSON.TJSONAncestor>.Peek"
		size = 40
		refs = "0008 SUnbalancedOperation 000f _Dn_EListError 0014 Exception.CreateRes 0019 @RaiseExcept"
	strings:
		$1 = { 83 78 04 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 08 8B 40 04 8B 44 82 FC C3 }
	condition:
		$1
}

rule function_9917_0 {
	meta:
		name = "TStack<Data.DBXJSON.TJSONAncestor>.Extract"
		size = 8
		refs = "0003 TStack<Data.DBXJSON.TJSONAncestor>.DoPop"
	strings:
		$1 = { B2 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15053_0 {
	meta:
		name = "TCustomADODataSet.CancelUpdates"
		size = 8
		refs = "0003 TCustomADODataSet.CancelBatch"
	strings:
		$1 = { B2 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74694_0 {
	meta:
		name = "TTreeNode.GetFocused"
		size = 8
		refs = "0003 TTreeNode.GetState"
	strings:
		$1 = { B2 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_9918_0 {
	meta:
		name = "TStack<Data.DBXJSON.TJSONAncestor>.TrimExcess"
		size = 31
		refs = "0011 :TStack<Data.DBXJSON.TJSONAncestor>.:1 0016 @DynArraySetLength"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 8D 43 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5B C3 }
	condition:
		$1
}

rule function_53067_0 {
	meta:
		name = "TStack<System.Bindings.EvalProtocol.IScope>.TrimExcess"
		size = 31
		refs = "0011 :TStack<System.Bindings.EvalProtocol.IScope>.:1 0016 @DynArraySetLength"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 8D 43 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5B C3 }
	condition:
		$1
}

rule function_9919_0 {
	meta:
		name = "TStack<Data.DBXJSON.TJSONAncestor>.ToArray"
		size = 21
		refs = "000e TEnumerable<Data.DBXJSON.TJSONAncestor>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 04 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53068_0 {
	meta:
		name = "TStack<System.Bindings.EvalProtocol.IScope>.ToArray"
		size = 21
		refs = "000e TEnumerable<System.Bindings.EvalProtocol.IScope>.ToArrayImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 04 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9921_0 {
	meta:
		name = "TStack<Data.DBXJSON.TJSONAncestor>.TEnumerator.GetCurrent"
		size = 13
	strings:
		$1 = { 8B 50 04 8B 52 08 8B 40 08 8B 04 82 C3 }
	condition:
		$1
}

rule function_9925_0 {
	meta:
		name = "TStack<T>.TEnumerator.MoveNext"
		size = 30
	strings:
		$1 = { 8B 50 04 8B 52 04 3B 50 08 7F 03 33 C0 C3 FF 40 08 8B 50 04 8B 52 04 3B 50 08 0F 9F C0 C3 }
	condition:
		$1
}

rule function_9926_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalSimpleField"
		size = 708
		refs = "0022 TValue 0027 @InitializeRecord 002f TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalSimpleField 0041 TRttiType.GetTypeKind 00b3 TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalValue 010b CompareText 0117 TValue.AsBoolean 01dd STypeNotSupported 01e2 LoadResString 01f0 Format 01fd _DV_EConversionError 0202 Exception.Create 0207 @RaiseExcept 0226 @UStrArrayClr 0244 @FinalizeRecord 0282 @UStrClr 0296 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 12 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E4 8B DA 8B F0 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 15 0F 87 52 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 01 02 01 01 04 01 04 01 01 01 04 01 03 04 01 01 01 04 04 04 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 E0 8B C3 8B 08 FF 51 08 8B 55 E0 8B 46 14 8B 08 FF 51 18 8D 4D C8 8B 55 E4 8B C3 8B 38 FF 57 18 8D 55 C8 33 C9 8B C6 E8 ?? ?? ?? ?? 8D 55 C4 8B C3 8B 08 FF 51 08 8B 55 C4 8B 46 14 8B 08 FF 51 1C E9 3A 01 00 00 8D 4D E8 8B 55 E4 8B C3 8B 38 FF 57 18 8D 55 C0 8B C3 8B 08 FF 51 08 8B 55 C0 8B 46 14 8B 08 FF 51 18 8B C3 8B 10 FF 52 10 8D 55 BC 8B 08 FF 51 08 8B 55 BC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 14 8D 45 E8 E8 ?? ?? ?? ?? 8B D0 8B 46 14 8B 08 FF 51 30 EB 19 8D 4D A4 8B 55 E4 8B C3 8B 38 FF 57 18 8D 55 A4 33 C9 8B C6 E8 ?? ?? ?? ?? 8D 55 A0 8B C3 8B 08 FF 51 08 8B 55 A0 8B 46 14 8B 08 FF 51 1C E9 B1 00 00 00 8D 55 9C 8B C3 8B 08 FF 51 08 8B 55 9C 8B 46 14 8B 08 FF 51 18 8D 4D 84 8B 55 E4 8B C3 8B 38 FF 57 18 8D 55 84 8B CB 8B C6 E8 ?? ?? ?? ?? 8D 55 80 8B C3 8B 08 FF 51 08 8B 55 80 8B 46 14 8B 08 FF 51 1C EB 6C 33 DB EB 6A 8D 85 7C FF FF FF 50 8B C3 8B 10 FF 52 10 8D 95 70 FF FF FF 8B 08 FF 51 08 8B 85 70 FF FF FF 89 85 74 FF FF FF C6 85 78 FF FF FF 11 8D 85 74 FF FF FF 50 8D 95 6C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 33 C9 5A E8 ?? ?? ?? ?? 8B 8D 7C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 6C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 84 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 9C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 7B FF FF FF 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 }
	condition:
		$1
}

rule function_9927_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.DestroyIfTransient"
		size = 250
		refs = "0019 TTypeMarshaller<Data.DBXJSON.TJSONValue>.DestroyIfTransient 0049 _DV_JSONReflect 004e @IsClass 0071 TDictionary<System.Integer,System.Integer>.ContainsKey 0080 TDictionary<System.Integer,System.Integer>.Remove 0095 TObject.Free 009b @HandleFinally 00a6 @DynArrayLength 00b3 TArray<System.TCustomAttribute> 00b8 @DynArrayClear 00c7 @HandleAnyException 00cc @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 04 33 DB EB 63 8B 45 FC 8B 34 98 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4B 80 7E 04 00 74 45 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 47 04 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C 91 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_9928_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.ComposeTypeName"
		size = 128
		refs = "0011 TTypeMarshaller<Data.DBXJSON.TJSONValue>.ComposeTypeName 0021 TObject.UnitName 0033 TObject.ClassName 0042 @UStrCatN 005c @UStrArrayClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 03 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 F8 8B 03 E8 ?? ?? ?? ?? FF 75 F8 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_9929_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.DecomposeTypeName"
		size = 240
		refs = "001b @UStrAddRef 0039 TTypeMarshaller<Data.DBXJSON.TJSONValue>.DecomposeTypeName 004c LastDelimiter 005d @WStrFromUStr 006b LeftStr 0076 @UStrFromWStr 009c RightStr 00c1 @WStrArrayClr 00c9 @UStrClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 04 33 D2 89 10 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 55 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F0 8D 4D F4 8B D3 4A E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E8 8D 4D EC 8B D6 2B D3 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_9930_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.NextId"
		size = 9
	strings:
		$1 = { 8B 50 10 FF 40 10 8B C2 C3 }
	condition:
		$1
}

rule function_9931_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarkObject"
		size = 34
		refs = "000a TTypeMarshaller<Data.DBXJSON.TJSONValue>.NextId 0018 TDictionary<System.Integer,System.Integer>.Add"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B CE 8B D7 8B 43 04 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_9933_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.ObjectMark"
		size = 16
		refs = "0007 TDictionary<System.Integer,System.Integer>.TryGetValue"
	strings:
		$1 = { 51 8B CC 8B 40 04 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_9934_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.Converter"
		size = 192
		refs = "0018 @UStrAddRef 0020 TTypeMarshaller<Data.DBXJSON.TJSONValue>.Converter 0039 TTypeMarshaller<Data.DBXJSON.TJSONValue>.ComposeKey 0044 TMonitor.CheckMonitorSupport 004b TMonitor.GetMonitor 0053 TMonitor.Enter 0072 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.TryGetValue 008a TMonitor.Exit 0090 @HandleFinally 00ac @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F8 89 4D FC 8B DA 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B 45 F4 8B 00 8B 4D FC 8B D3 E8 ?? ?? ?? ?? 8B 45 F4 8B 58 1C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B 45 F4 8B 40 1C 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9935_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.HasConverter"
		size = 198
		refs = "0019 @UStrAddRef 0021 TTypeMarshaller<Data.DBXJSON.TJSONValue>.HasConverter 0032 TMonitor.CheckMonitorSupport 0039 TMonitor.GetMonitor 0041 TMonitor.Enter 0062 TTypeMarshaller<Data.DBXJSON.TJSONValue>.ComposeKey 0070 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.ContainsKey 008b TMonitor.Exit 0091 @HandleFinally 00a8 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 89 4D FC 8B F2 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 58 1C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 45 F8 8B 00 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 40 1C E8 ?? ?? ?? ?? 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 1C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9936_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.GetTypeConverter"
		size = 28
		refs = "000c TRttiContext.GetType 0015 TTypeMarshaller<Data.DBXJSON.TJSONValue>.GetTypeConverter"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 24 8B D6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9939_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.HasInterceptor"
		size = 179
		refs = "000e TTypeMarshaller<Data.DBXJSON.TJSONValue>.HasInterceptor 003e _DV_JSONReflect 0043 @IsClass 005c @DynArrayLength 0069 TArray<System.TCustomAttribute> 006e @DynArrayClear 007d @HandleAnyException 0082 @DoneExcept 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 04 33 FF EB 24 8B 45 FC 8B 34 B8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C B3 01 33 C0 5A 59 59 64 89 10 EB 31 47 8B 45 FC E8 ?? ?? ?? ?? 3B F8 7C D0 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9940_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalData"
		size = 3112
		refs = "0023 TValue 0028 @InitializeRecord 00df TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalData 0112 TTypeMarshaller<Data.DBXJSON.TJSONValue>.IsObjectMarked 012f TTypeMarshaller<Data.DBXJSON.TJSONValue>.ComposeTypeName 0147 TTypeMarshaller<Data.DBXJSON.TJSONValue>.ObjectMark 016e TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarkObject 01c0 TRttiContext.GetType 01f5 _DV_JSONMarshalled 01fc JSONBooleanAttributeValue 022e TTypeMarshaller<Data.DBXJSON.TJSONValue>.HasConverter 0268 TTypeMarshaller<Data.DBXJSON.TJSONValue>.Converter 0279 TConverterEvent.IsTypeConverter 029c TRttiType.GetTypeKind 02bc TValue.AsObject 0324 TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalTypeConverter 0388 SNoTypeInterceptorExpected 038d LoadResString 039b Format 03a8 _DV_EConversionError 03ad Exception.Create 03b2 @RaiseExcept 03db TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalConverter 03ed TTypeMarshaller<Data.DBXJSON.TJSONValue>.HasInterceptor 0402 TTypeMarshaller<Data.DBXJSON.TJSONValue>.GetTypeConverter 0421 TJSONInterceptor.IsTypeConverter 05e1 TObject.Free 05e7 @HandleFinally 0615 TObject.ClassName 0621 EmptyStr 0651 TObject.UnitName 0a0b TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalSimpleField 0b49 @DynArrayLength 0b5e TArray<System.Rtti.TRttiField> 0b63 @DynArrayClear 0bad TTypeMarshaller<Data.DBXJSON.TJSONValue>.DestroyIfTransient 0bca @UStrArrayClr 0bf0 @FinalizeArray 0bf8 @UStrClr"
	strings:
		$1 = { 55 8B EC B9 43 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 89 95 D0 FE FF FF 89 85 D4 FE FF FF 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 98 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 80 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 68 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 20 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 08 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 D8 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BD D0 FE FF FF 00 75 13 8B 85 D4 FE FF FF 8B 40 14 8B 10 FF 52 34 E9 AC 0A 00 00 8B 95 D0 FE FF FF 8B 85 D4 FE FF FF E8 ?? ?? ?? ?? 84 C0 74 47 8D 8D 8C FE FF FF 8B 85 D4 FE FF FF 8B 00 8B 95 D0 FE FF FF E8 ?? ?? ?? ?? 8B 85 8C FE FF FF 50 8B 95 D0 FE FF FF 8B 85 D4 FE FF FF E8 ?? ?? ?? ?? 8B C8 8B 85 D4 FE FF FF 8B 40 14 5A 8B 18 FF 53 0C E9 50 0A 00 00 8B 95 D0 FE FF FF 8B 85 D4 FE FF FF E8 ?? ?? ?? ?? 89 85 CC FE FF FF 8D 8D 88 FE FF FF 8B 85 D4 FE FF FF 8B 00 8B 95 D0 FE FF FF E8 ?? ?? ?? ?? 8B 95 88 FE FF FF 8B 85 D4 FE FF FF 8B 40 14 8B 8D CC FE FF FF 8B 18 FF 53 10 8B 95 D0 FE FF FF 8B 12 89 D0 8B 95 D4 FE FF FF 83 C2 24 92 E8 ?? ?? ?? ?? 89 85 C8 FE FF FF 8D 55 FC 8B 85 C8 FE FF FF 8B 08 FF 51 18 33 C0 89 85 BC FE FF FF E9 60 09 00 00 8B 45 FC 8B 95 BC FE FF FF 8B 1C 90 B1 01 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 37 09 00 00 8B 85 D0 FE FF FF 8B 00 89 C6 8D 95 84 FE FF FF 8B C3 8B 08 FF 51 08 8B 8D 84 FE FF FF 8B D6 8B 85 D4 FE FF FF E8 ?? ?? ?? ?? 84 C0 0F 84 AA 01 00 00 8B 85 D0 FE FF FF 8B 00 89 85 B8 FE FF FF 8D 95 80 FE FF FF 8B C3 8B 08 FF 51 08 8B 8D 80 FE FF FF 8B 95 B8 FE FF FF 8B 85 D4 FE FF FF E8 ?? ?? ?? ?? 89 85 C0 FE FF FF 8B 85 C0 FE FF FF E8 ?? ?? ?? ?? 84 C0 0F 84 36 01 00 00 8B C3 8B 10 FF 52 10 85 C0 0F 84 BA 00 00 00 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? 3C 07 0F 85 A6 00 00 00 8D 4D E0 8B 95 D0 FE FF FF 8B C3 8B 30 FF 56 18 8D 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 84 86 00 00 00 8D 95 7C FE FF FF 8B C3 8B 08 FF 51 08 8B 95 7C FE FF FF 8B 85 D4 FE FF FF 8B 40 14 8B 08 FF 51 18 8B 85 C0 FE FF FF 50 8D 4D C8 8B 95 D0 FE FF FF 8B C3 8B 30 FF 56 18 8D 45 C8 E8 ?? ?? ?? ?? 50 8D 95 78 FE FF FF 8B C3 8B 08 FF 51 08 8B 8D 78 FE FF FF 8B 85 D4 FE FF FF 5A E8 ?? ?? ?? ?? 8D 95 74 FE FF FF 8B C3 8B 08 FF 51 08 8B 95 74 FE FF FF 8B 85 D4 FE FF FF 8B 40 14 8B 08 FF 51 1C E9 F1 07 00 00 8D 85 70 FE FF FF 50 8B C3 8B 10 FF 52 10 8D 95 64 FE FF FF 8B 08 FF 51 08 8B 85 64 FE FF FF 89 85 68 FE FF FF C6 85 6C FE FF FF 11 8D 85 68 FE FF FF 50 8D 95 60 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 60 FE FF FF 33 C9 5A E8 ?? ?? ?? ?? 8B 8D 70 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 84 07 00 00 8D 95 5C FE FF FF 8B C3 8B 08 FF 51 08 8B 8D 5C FE FF FF 8B 95 D0 FE FF FF 8B 85 D4 FE FF FF E8 ?? ?? ?? ?? E9 5B 07 00 00 8B D3 8B 85 D4 FE FF FF E8 ?? ?? ?? ?? 84 C0 0F 84 F4 01 00 00 8B D3 8B 85 D4 FE FF FF E8 ?? ?? ?? ?? 89 85 C4 FE FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 85 C4 FE FF FF E8 ?? ?? ?? ?? 84 C0 0F 84 33 01 00 00 8B C3 8B 10 FF 52 10 85 C0 0F 84 BA 00 00 00 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? 3C 07 0F 85 A6 00 00 00 8D 4D B0 8B 95 D0 FE FF FF 8B C3 8B 30 FF 56 18 8D 45 B0 E8 ?? ?? ?? ?? 85 C0 0F 84 86 00 00 00 8D 95 58 FE FF FF 8B C3 8B 08 FF 51 08 8B 95 58 FE FF FF 8B 85 D4 FE FF FF 8B 40 14 8B 08 FF 51 18 8B 85 C4 FE FF FF 50 8D 4D 98 8B 95 D0 FE FF FF 8B C3 8B 30 FF 56 18 8D 45 98 E8 ?? ?? ?? ?? 50 8D 95 54 FE FF FF 8B C3 8B 08 FF 51 08 8B 8D 54 FE FF FF 8B 85 D4 FE FF FF 5A E8 ?? ?? ?? ?? 8D 95 50 FE FF FF 8B C3 8B 08 FF 51 08 8B 95 50 FE FF FF 8B 85 D4 FE FF FF 8B 40 14 8B 08 FF 51 1C E9 D7 00 00 00 8D 85 4C FE FF FF 50 8B C3 8B 10 FF 52 10 8D 95 48 FE FF FF 8B 08 FF 51 08 8B 85 48 FE FF FF 89 85 68 FE FF FF C6 85 6C FE FF FF 11 8D 85 68 FE FF FF 50 8D 95 44 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 44 FE FF FF 33 C9 5A E8 ?? ?? ?? ?? 8B 8D 4C FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6D 8D 95 40 FE FF FF 8B C3 8B 08 FF 51 08 8B 95 40 FE FF FF 8B 85 D4 FE FF FF 8B 40 14 8B 08 FF 51 18 8B 85 C4 FE FF FF 50 8D 95 3C FE FF FF 8B C3 8B 08 FF 51 08 8B 8D 3C FE FF FF 8B 95 D0 FE FF FF 8B 85 D4 FE FF FF E8 ?? ?? ?? ?? 8D 95 38 FE FF FF 8B C3 8B 08 FF 51 08 8B 95 38 FE FF FF 8B 85 D4 FE FF FF 8B 40 14 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 85 C4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B C3 8B 10 FF 52 10 85 C0 75 78 8B 85 D0 FE FF FF 8B 00 89 85 B4 FE FF FF 8D 95 34 FE FF FF 8B 85 D0 FE FF FF 8B 00 E8 ?? ?? ?? ?? 8B 85 34 FE FF FF 50 A1 ?? ?? ?? ?? 8B 00 50 A1 ?? ?? ?? ?? 8B 00 50 8D 95 30 FE FF FF 8B C3 8B 08 FF 51 08 8B 85 30 FE FF FF 50 8D 95 2C FE FF FF 8B 85 B4 FE FF FF E8 ?? ?? ?? ?? 8B 8D 2C FE FF FF 8B 95 D0 FE FF FF 8B 85 D4 FE FF FF 8B 18 FF 13 E9 CF 04 00 00 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? 3C 07 0F 85 1C 04 00 00 8D 4D 80 8B 95 D0 FE FF FF 8B C3 8B 30 FF 56 18 8D 45 80 E8 ?? ?? ?? ?? 85 C0 0F 84 FC 03 00 00 8D 8D 68 FF FF FF 8B 95 D0 FE FF FF 8B C3 8B 30 FF 56 18 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 89 85 B0 FE FF FF 8B 85 B0 FE FF FF 8B 00 89 85 AC FE FF FF B9 ?? ?? ?? ?? 8B 95 AC FE FF FF 8B 85 D4 FE FF FF E8 ?? ?? ?? ?? 84 C0 0F 84 D2 00 00 00 8D 95 28 FE FF FF 8B C3 8B 08 FF 51 08 8B 95 28 FE FF FF 8B 85 D4 FE FF FF 8B 40 14 8B 08 FF 51 18 8D 8D 50 FF FF FF 8B 95 D0 FE FF FF 8B C3 8B 30 FF 56 18 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 89 85 A0 FE FF FF 8D 55 F8 8B C3 8B 08 FF 51 08 8D 8D 38 FF FF FF 8B 95 D0 FE FF FF 8B C3 8B 30 FF 56 18 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 89 85 A8 FE FF FF 8B 85 A8 FE FF FF 8B 00 89 85 A4 FE FF FF B9 ?? ?? ?? ?? 8B 95 A4 FE FF FF 8B 85 D4 FE FF FF E8 ?? ?? ?? ?? 50 8B 4D F8 8B 95 A0 FE FF FF 8B 85 D4 FE FF FF E8 ?? ?? ?? ?? 8D 95 24 FE FF FF 8B C3 8B 08 FF 51 08 8B 95 24 FE FF FF 8B 85 D4 FE FF FF 8B 40 14 8B 08 FF 51 1C E9 79 03 00 00 8B D3 8B 85 D4 FE FF FF E8 ?? ?? ?? ?? 89 85 C4 FE FF FF 83 BD C4 FE FF FF 00 0F 84 0B 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 20 FE FF FF 8B C3 8B 08 FF 51 08 8B 95 20 FE FF FF 8B 85 D4 FE FF FF 8B 40 14 8B 08 FF 51 18 8B 85 C4 FE FF FF E8 ?? ?? ?? ?? 84 C0 74 47 8B 85 C4 FE FF FF 50 8D 8D 20 FF FF FF 8B 95 D0 FE FF FF 8B C3 8B 30 FF 56 18 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 50 8D 95 1C FE FF FF 8B C3 8B 08 FF 51 08 8B 8D 1C FE FF FF 8B 85 D4 FE FF FF 5A E8 ?? ?? ?? ?? EB 45 8B 85 C4 FE FF FF 50 8D 8D 08 FF FF FF 8B 95 D0 FE FF FF 8B C3 8B 30 FF 56 18 8D 85 08 FF FF FF E8 ?? ?? ?? ?? 50 8D 95 18 FE FF FF 8B C3 8B 08 FF 51 08 8B 8D 18 FE FF FF 8B 85 D4 FE FF FF 5A E8 ?? ?? ?? ?? 8D 95 14 FE FF FF 8B C3 8B 08 FF 51 08 8B 95 14 FE FF FF 8B 85 D4 FE FF FF 8B 40 14 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 85 C4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8D 8D F0 FE FF FF 8B 95 D0 FE FF FF 8B C3 8B 30 FF 56 18 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 89 85 9C FE FF FF 8B 85 9C FE FF FF 8B 00 89 85 98 FE FF FF 8B 95 98 FE FF FF 8B 85 D4 FE FF FF E8 ?? ?? ?? ?? 89 85 C4 FE FF FF 83 BD C4 FE FF FF 00 0F 84 B5 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 10 FE FF FF 8B C3 8B 08 FF 51 08 8B 95 10 FE FF FF 8B 85 D4 FE FF FF 8B 40 14 8B 08 FF 51 18 8B 85 C4 FE FF FF 50 8D 8D D8 FE FF FF 8B 95 D0 FE FF FF 8B C3 8B 30 FF 56 18 8D 85 D8 FE FF FF E8 ?? ?? ?? ?? 50 8D 95 0C FE FF FF 8B C3 8B 08 FF 51 08 8B 8D 0C FE FF FF 8B 85 D4 FE FF FF 5A E8 ?? ?? ?? ?? 8D 95 08 FE FF FF 8B C3 8B 08 FF 51 08 8B 95 08 FE FF FF 8B 85 D4 FE FF FF 8B 40 14 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 85 C4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 8D D0 FE FF FF 8B D3 8B 85 D4 FE FF FF E8 ?? ?? ?? ?? 84 C0 0F 85 28 01 00 00 8B 85 D0 FE FF FF 8B 00 89 85 94 FE FF FF 8D 95 04 FE FF FF 8B 85 D0 FE FF FF 8B 00 E8 ?? ?? ?? ?? 8B 85 04 FE FF FF 50 A1 ?? ?? ?? ?? 8B 00 50 8B C3 8B 10 FF 52 10 8D 95 00 FE FF FF 8B 08 FF 51 08 8B 85 00 FE FF FF 50 8D 95 FC FD FF FF 8B C3 8B 08 FF 51 08 8B 85 FC FD FF FF 50 8D 95 F8 FD FF FF 8B 85 94 FE FF FF E8 ?? ?? ?? ?? 8B 8D F8 FD FF FF 8B 95 D0 FE FF FF 8B 85 D4 FE FF FF 8B 18 FF 13 E9 9F 00 00 00 8B 8D D0 FE FF FF 8B D3 8B 85 D4 FE FF FF E8 ?? ?? ?? ?? 84 C0 0F 85 84 00 00 00 8B 85 D0 FE FF FF 8B 00 89 85 90 FE FF FF 8D 95 F4 FD FF FF 8B 85 D0 FE FF FF 8B 00 E8 ?? ?? ?? ?? 8B 85 F4 FD FF FF 50 A1 ?? ?? ?? ?? 8B 00 50 8B C3 8B 10 FF 52 10 8D 95 F0 FD FF FF 8B 08 FF 51 08 8B 85 F0 FD FF FF 50 8D 95 EC FD FF FF 8B C3 8B 08 FF 51 08 8B 85 EC FD FF FF 50 8D 95 E8 FD FF FF 8B 85 90 FE FF FF E8 ?? ?? ?? ?? 8B 8D E8 FD FF FF 8B 95 D0 FE FF FF 8B 85 D4 FE FF FF 8B 18 FF 13 FF 85 BC FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 3B 85 BC FE FF FF 0F 8F 8C F6 FF FF 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 8D E4 FD FF FF 8B 85 D4 FE FF FF 8B 00 8B 95 D0 FE FF FF E8 ?? ?? ?? ?? 8B 95 E4 FD FF FF 8B 85 D4 FE FF FF 8B 40 14 8B 8D CC FE FF FF 8B 18 FF 53 14 8B 8D D0 FE FF FF 8B 95 C8 FE FF FF 8B 85 D4 FE FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E4 FD FF FF BA 21 00 00 00 E8 ?? ?? ?? ?? 8D 85 70 FE FF FF BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 85 D8 FE FF FF 8B 15 ?? ?? ?? ?? B9 0C 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AC 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_9941_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalValue"
		size = 2124
		refs = "002d TValue 0032 @AddRefRecord 003a TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalValue 0048 TValue.GetIsEmpty 0061 TValue.GetTypeKind 00d4 TValue.AsInteger 00dc IntToStr 00f4 TValue.AsInt64 0116 TValue.AsExtended 0125 TDBXPlatform.JsonFloat 013d TValue.AsType<System.Char> 015c TValue.AsString 01de CompareText 01ee TValue.GetTypeInfo 01f9 @UStrFromString 0212 TValue.AsBoolean 0234 GetEnumName 0254 TValue.GetArrayLength 026b TValue.GetArrayElement 0290 TValue.AsObject 02ae TTypeMarshaller<Data.DBXJSON.TJSONValue>.HasConverter 02c4 TTypeMarshaller<Data.DBXJSON.TJSONValue>.Converter 02cb EmptyStr 02d6 TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalTypeConverter 02e8 TTypeMarshaller<Data.DBXJSON.TJSONValue>.GetTypeConverter 033f TObject.Free 0345 @HandleFinally 0350 TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalData 037d TRttiContext.GetType 039e TValue.GetReferenceToRawData 03c1 @DynArrayLength 03ce TArray<System.Rtti.TRttiField> 03d3 @DynArrayClear 03f2 STypeNotSupported 03f7 LoadResString 041e Format 042b _DV_EConversionError 0430 Exception.Create 0435 @RaiseExcept 06dc @UStrArrayClr 06ff @FinalizeArray 071a @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 51 B9 19 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F2 8D 7D E0 51 B9 06 00 00 00 F3 A5 59 8B F9 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 43 14 8B 10 FF 52 34 E9 66 06 00 00 8D 45 E0 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 15 0F 87 E6 05 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 D0 E8 ?? ?? ?? ?? 8B 55 D0 8B 43 14 8B 08 FF 51 2C E9 D3 05 00 00 8D 45 E0 E8 ?? ?? ?? ?? 52 50 8D 45 CC E8 ?? ?? ?? ?? 8B 55 CC 8B 43 14 8B 08 FF 51 2C E9 B1 05 00 00 8D 45 E0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 C8 E8 ?? ?? ?? ?? 8B 55 C8 8B 43 14 8B 08 FF 51 2C E9 8A 05 00 00 8D 45 E0 E8 ?? ?? ?? ?? 66 85 C0 75 0F 8B 43 14 33 D2 8B 08 FF 51 28 E9 6E 05 00 00 8D 55 C4 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 C4 8B 43 14 8B 08 FF 51 28 E9 53 05 00 00 8D 45 E0 E8 ?? ?? ?? ?? 66 85 C0 75 0F 8B 43 14 33 D2 8B 08 FF 51 28 E9 37 05 00 00 8D 55 C0 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 C0 8B 43 14 8B 08 FF 51 28 E9 1C 05 00 00 8D 55 BC 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 BC 8B 43 14 8B 08 FF 51 28 E9 01 05 00 00 85 FF 74 20 8B C7 8B 10 FF 52 10 8D 55 B8 8B 08 FF 51 08 8B 55 B8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 28 85 FF 75 3B 8D 45 E0 E8 ?? ?? ?? ?? 8D 50 01 8D 45 B4 E8 ?? ?? ?? ?? 8B 55 B4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 17 8D 45 E0 E8 ?? ?? ?? ?? 8B D0 8B 43 14 8B 08 FF 51 30 E9 9E 04 00 00 8D 45 E0 E8 ?? ?? ?? ?? 8D 4D B0 8B 55 E8 E8 ?? ?? ?? ?? 8B 55 B0 8B 43 14 8B 08 FF 51 28 E9 7B 04 00 00 8B 43 14 8B 10 FF 52 20 8D 45 E0 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 20 46 33 FF 8D 4D 98 8D 45 E0 8B D7 E8 ?? ?? ?? ?? 8D 55 98 33 C9 8B C3 E8 ?? ?? ?? ?? 47 4E 75 E3 8B 43 14 8B 10 FF 52 24 E9 37 04 00 00 8D 45 E0 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 BB 00 00 00 8B 06 89 45 D4 B9 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 29 8B 06 89 C7 B9 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 09 8B D6 8B C3 E8 ?? ?? ?? ?? E9 E4 03 00 00 8B 16 89 D0 8B D0 8B C3 E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 00 75 10 85 FF 74 0C 8B D7 8B C3 E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 00 74 40 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D8 50 8B 0D ?? ?? ?? ?? 8B 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? E9 6A 03 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? E9 5C 03 00 00 8B 43 14 8B 10 FF 52 20 8D 45 E0 E8 ?? ?? ?? ?? 8B D0 8D 43 24 E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B C6 8B 08 FF 51 18 33 F6 EB 2C 8B 45 FC 8B 04 B0 89 45 DC 8D 45 E0 E8 ?? ?? ?? ?? 8B D0 8D 4D 80 8B 45 DC 8B 38 FF 57 18 8D 55 80 8B 4D DC 8B C3 E8 ?? ?? ?? ?? 46 8B 45 FC E8 ?? ?? ?? ?? 3B F0 7C C8 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 14 8B 10 FF 52 24 E9 DF 02 00 00 8D 85 7C FF FF FF 50 8D 95 78 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 50 B8 ?? ?? ?? ?? 89 85 70 FF FF FF C6 85 74 FF FF FF 11 8D 95 70 FF FF FF 33 C9 58 E8 ?? ?? ?? ?? 8B 8D 7C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 85 02 00 00 8D 85 6C FF FF FF 50 8D 95 68 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 50 B8 ?? ?? ?? ?? 89 85 70 FF FF FF C6 85 74 FF FF FF 11 8D 95 70 FF FF FF 33 C9 58 E8 ?? ?? ?? ?? 8B 8D 6C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2B 02 00 00 8D 85 64 FF FF FF 50 8D 95 60 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 50 B8 ?? ?? ?? ?? 89 85 70 FF FF FF C6 85 74 FF FF FF 11 8D 95 70 FF FF FF 33 C9 58 E8 ?? ?? ?? ?? 8B 8D 64 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D1 01 00 00 8D 85 5C FF FF FF 50 8D 95 58 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 50 B8 ?? ?? ?? ?? 89 85 70 FF FF FF C6 85 74 FF FF FF 11 8D 95 70 FF FF FF 33 C9 58 E8 ?? ?? ?? ?? 8B 8D 5C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 77 01 00 00 8D 85 54 FF FF FF 50 8D 95 50 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 50 B8 ?? ?? ?? ?? 89 85 70 FF FF FF C6 85 74 FF FF FF 11 8D 95 70 FF FF FF 33 C9 58 E8 ?? ?? ?? ?? 8B 8D 54 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1D 01 00 00 8D 85 4C FF FF FF 50 8D 95 48 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 50 B8 ?? ?? ?? ?? 89 85 70 FF FF FF C6 85 74 FF FF FF 11 8D 95 70 FF FF FF 33 C9 58 E8 ?? ?? ?? ?? 8B 8D 4C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C3 00 00 00 8D 85 44 FF FF FF 50 8D 95 40 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 40 FF FF FF 50 B8 ?? ?? ?? ?? 89 85 70 FF FF FF C6 85 74 FF FF FF 11 8D 95 70 FF FF FF 33 C9 58 E8 ?? ?? ?? ?? 8B 8D 44 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6C 8D 85 3C FF FF FF 50 8D 45 E0 E8 ?? ?? ?? ?? 8D 8D 38 FF FF FF 8B 55 E8 E8 ?? ?? ?? ?? 8B 85 38 FF FF FF 89 85 70 FF FF FF C6 85 74 FF FF FF 11 8D 85 70 FF FF FF 50 8D 95 34 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 34 FF FF FF 33 C9 5A E8 ?? ?? ?? ?? 8B 8D 3C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 34 FF FF FF BA 0F 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 80 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9C 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 74 00 6B 00 50 00 6F 00 69 00 6E 00 74 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 6B 00 53 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 74 00 6B 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 74 00 6B 00 56 00 61 00 72 00 69 00 61 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 74 00 6B 00 49 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 74 00 6B 00 43 00 6C 00 61 00 73 00 73 00 52 00 65 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 74 00 6B 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 00 00 }
	condition:
		$1
}

rule function_9942_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalConverter"
		size = 100
		refs = "0012 @UStrAddRef 001a TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalConverter 0030 TTypeMarshaller<Data.DBXJSON.TJSONValue>.Converter 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 89 C7 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_9943_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalConverter"
		size = 522
		refs = "0025 @UStrAddRef 002d TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalConverter 008a TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalData 0093 @DynArrayLength 00a0 TListOfObjects 00a5 @DynArrayClear 00de @UStrLAsg 00ff TListOfStrings 015b TConverterType 0160 GetEnumName 0176 SNoConversionForType 017b LoadResString 0186 Format 0190 _DV_EConversionError 0195 Exception.Create 019a @RaiseExcept 01bf @UStrArrayClr 01fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 89 55 EC 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 14 8B 08 FF 51 18 0F B6 46 0C 2C 01 72 17 74 6A 2C 03 0F 84 C1 00 00 00 FE C8 0F 84 D4 00 00 00 E9 EE 00 00 00 8B 43 14 8B 10 FF 52 20 8D 45 F4 50 8B 46 10 8B 4D FC 8B 55 EC 8B 30 FF 56 0C 33 F6 EB 10 8B 45 F4 8B 3C B0 8B D7 8B C3 E8 ?? ?? ?? ?? 46 8B 45 F4 E8 ?? ?? ?? ?? 3B F0 7C E4 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 14 8B 10 FF 52 24 E9 E8 00 00 00 8B 43 14 8B 10 FF 52 20 8D 45 F0 50 8B 46 14 8B 4D FC 8B 55 EC 8B 30 FF 56 0C 33 F6 EB 1A 8D 45 F8 8B 55 F0 8B 14 B2 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 14 8B 08 FF 51 28 46 8B 45 F0 E8 ?? ?? ?? ?? 3B F0 7C DA 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 14 8B 10 FF 52 24 E9 89 00 00 00 8B 46 20 8B 4D FC 8B 55 EC 8B 30 FF 56 0C 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? EB 6E 8D 45 E8 50 8B 46 24 8B 4D FC 8B 55 EC 8B 30 FF 56 0C 8B 55 E8 8B 43 14 8B 08 FF 51 28 EB 4F 8D 45 E4 50 8D 4D D8 0F B6 56 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 8D 45 DC 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 33 C9 5A E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 14 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9944_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalConverter"
		size = 495
		refs = "0025 @UStrAddRef 002d TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalConverter 007d TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalData 0086 @DynArrayLength 0093 TListOfObjects 0098 @DynArrayClear 00d0 @UStrLAsg 00f1 TListOfStrings 014b TConverterType 0150 GetEnumName 0166 SNoConversionForType 016b LoadResString 0176 Format 0180 _DV_EConversionError 0185 Exception.Create 018a @RaiseExcept 01a4 @UStrArrayClr 01e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 89 55 EC 8B F0 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 43 04 2C 01 72 17 74 68 2C 03 0F 84 BE 00 00 00 FE C8 0F 84 D0 00 00 00 E9 E9 00 00 00 8B 46 14 8B 10 FF 52 20 8D 45 F4 50 8B 4D FC 8B 55 EC 8B C3 8B 18 FF 13 33 DB EB 10 8B 45 F4 8B 3C 98 8B D7 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 3B D8 7C E4 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 14 8B 10 FF 52 24 E9 E5 00 00 00 8B 46 14 8B 10 FF 52 20 8D 45 F0 50 8B 4D FC 8B 55 EC 8B C3 8B 18 FF 53 04 33 DB EB 1A 8D 45 F8 8B 55 F0 8B 14 9A E8 ?? ?? ?? ?? 8B 55 F8 8B 46 14 8B 08 FF 51 28 43 8B 45 F0 E8 ?? ?? ?? ?? 3B D8 7C DA 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 14 8B 10 FF 52 24 E9 87 00 00 00 8B 4D FC 8B 55 EC 8B C3 8B 18 FF 53 10 8B F8 8B D7 8B C6 E8 ?? ?? ?? ?? EB 6D 8D 45 E8 50 8B 4D FC 8B 55 EC 8B C3 8B 18 FF 53 14 8B 55 E8 8B 46 14 8B 08 FF 51 28 EB 4F 8D 45 E4 50 8D 4D D8 0F B6 53 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 8D 45 DC 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 33 C9 5A E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9945_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalTypeConverter"
		size = 472
		refs = "0023 TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalTypeConverter 0073 TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalData 007c @DynArrayLength 0089 TListOfObjects 008e @DynArrayClear 00c3 @UStrLAsg 00e4 TListOfStrings 0139 TConverterType 013e GetEnumName 0154 SNoConversionForType 0159 LoadResString 0164 Format 016e _DV_EConversionError 0173 Exception.Create 0178 @RaiseExcept 0192 @UStrArrayClr 01c3 @UStrClr 01c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 55 F0 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 43 0C 2C 02 74 19 FE C8 74 66 2C 03 0F 84 B9 00 00 00 FE C8 0F 84 C9 00 00 00 E9 DF 00 00 00 8B 46 14 8B 10 FF 52 20 8D 4D F8 8B 43 18 8B 55 F0 8B 18 FF 53 0C 33 DB EB 10 8B 45 F8 8B 3C 98 8B D7 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7C E4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 14 8B 10 FF 52 24 E9 DD 00 00 00 8B 46 14 8B 10 FF 52 20 8D 4D F4 8B 43 1C 8B 55 F0 8B 18 FF 53 0C 33 DB EB 1A 8D 45 FC 8B 55 F4 8B 14 9A E8 ?? ?? ?? ?? 8B 55 FC 8B 46 14 8B 08 FF 51 28 43 8B 45 F4 E8 ?? ?? ?? ?? 3B D8 7C DA 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 14 8B 10 FF 52 24 E9 82 00 00 00 8B 43 28 8B 55 F0 8B 08 FF 51 0C 8B F8 8B D7 8B C6 E8 ?? ?? ?? ?? EB 6A 8D 4D EC 8B 43 2C 8B 55 F0 8B 18 FF 53 0C 8B 55 EC 8B 46 14 8B 08 FF 51 28 EB 4F 8D 45 E8 50 8D 4D DC 0F B6 53 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 8D 45 E0 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 33 C9 5A E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9946_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalTypeConverter"
		size = 468
		refs = "0023 TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalTypeConverter 0072 TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalData 007b @DynArrayLength 0088 TListOfObjects 008d @DynArrayClear 00c1 @UStrLAsg 00e2 TListOfStrings 0135 TConverterType 013a GetEnumName 0150 SNoConversionForType 0155 LoadResString 0160 Format 016a _DV_EConversionError 016f Exception.Create 0174 @RaiseExcept 018e @UStrArrayClr 01bf @UStrClr 01c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 55 F0 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 43 04 2C 02 74 19 FE C8 74 65 2C 03 0F 84 B7 00 00 00 FE C8 0F 84 C6 00 00 00 E9 DB 00 00 00 8B 46 14 8B 10 FF 52 20 8D 4D F8 8B 55 F0 8B C3 8B 18 FF 53 08 33 DB EB 10 8B 45 F8 8B 3C 98 8B D7 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7C E4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 14 8B 10 FF 52 24 E9 DA 00 00 00 8B 46 14 8B 10 FF 52 20 8D 4D F4 8B 55 F0 8B C3 8B 18 FF 53 0C 33 DB EB 1A 8D 45 FC 8B 55 F4 8B 14 9A E8 ?? ?? ?? ?? 8B 55 FC 8B 46 14 8B 08 FF 51 28 43 8B 45 F4 E8 ?? ?? ?? ?? 3B D8 7C DA 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 14 8B 10 FF 52 24 E9 80 00 00 00 8B 55 F0 8B C3 8B 08 FF 51 18 8B F8 8B D7 8B C6 E8 ?? ?? ?? ?? EB 69 8D 4D EC 8B 55 F0 8B C3 8B 18 FF 53 1C 8B 55 EC 8B 46 14 8B 08 FF 51 28 EB 4F 8D 45 E8 50 8D 4D DC 0F B6 53 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 8D 45 E0 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 33 C9 5A E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9947_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.AddWarning"
		size = 269
		refs = "0015 @UStrAddRef 003d TTypeMarshaller<Data.DBXJSON.TJSONValue>.AddWarning 004b @DynArrayLength 005b TArray<Data.DBXJSONReflect.TTransientField> 0060 @DynArraySetLength 006b @DynArrayHigh 0074 _DV_TTransientField 0079 TObject.Create 0092 @UStrAsg 00eb @UStrClr 00f8 @UStrArrayClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 89 55 F8 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 40 50 8D 43 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 0C E8 ?? ?? ?? ?? 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 43 0C 89 3C B0 8B 45 F8 89 47 18 8D 47 04 8B 55 FC E8 ?? ?? ?? ?? 8B 43 0C 8B 04 B0 83 C0 08 8B 55 14 E8 ?? ?? ?? ?? 8B 43 0C 8B 04 B0 83 C0 0C 8B 55 10 E8 ?? ?? ?? ?? 8B 43 0C 8B 04 B0 83 C0 10 8B 55 0C E8 ?? ?? ?? ?? 8B 43 0C 8B 04 B0 83 C0 14 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_9948_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.Create"
		size = 152
		refs = "000e @ClassCreate 0024 _DV_TDictionary<System.Integer,System.Integer> 0029 TDictionary<System.Integer,System.Integer>.Create 0046 TTypeMarshaller<Data.DBXJSON.TJSONValue>.Create 004d _DV_TObjectDictionary<System.string,Data.DBXJSONReflect.TConverterEvent> 0052 TObjectDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create 006c _Dn_TObject 0071 TRttiContext.GetType 007c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 C7 47 10 01 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 1C C6 47 20 00 89 77 14 0F B6 45 08 88 47 18 8D 47 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_9949_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.Create"
		size = 129
		refs = "000e @ClassCreate 0024 _DV_TDictionary<System.Integer,System.Integer> 0029 TDictionary<System.Integer,System.Integer>.Create 005a _Dn_TObject 005f TRttiContext.GetType 006a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 C7 47 10 01 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 89 77 14 0F B6 45 0C 88 47 18 8B 45 08 89 47 1C C6 47 20 01 8D 47 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_9950_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.Destroy"
		size = 121
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0067 TObject.Destroy 0072 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 80 7E 20 00 75 10 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 80 7E 18 00 74 10 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 51 10 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_9951_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.ComposeKey"
		size = 164
		refs = "0017 @UStrAddRef 001f TTypeMarshaller<Data.DBXJSON.TJSONValue>.ComposeKey 0033 TObject.UnitName 0045 TObject.ClassName 005c @UStrCatN 0065 @UStrClr 007f @UStrArrayClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D FC 8B DA 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 35 8D 55 F8 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF 75 FC 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_9952_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.Marshal"
		size = 229
		refs = "0015 TTypeMarshaller<Data.DBXJSON.TJSONValue>.Marshal 003d TTypeMarshaller<Data.DBXJSON.TJSONValue>.MarshalData 0063 SInconsistentConversion 0068 LoadResString 0072 _DV_EConversionError 0077 Exception.Create 007c @RaiseExcept 0094 TDictionary<System.Integer,System.Integer>.Clear 00ba @HandleFinally 00d1 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC 8B 08 FF 51 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 10 FF 52 38 84 C0 74 0F 8B 45 FC 8B 40 14 8B 10 FF 12 89 45 F8 EB 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B 45 FC C7 40 10 01 00 00 00 8B 45 FC 8B 40 14 8B 10 FF 52 08 C3 E9 ?? ?? ?? ?? EB CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_9953_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.RegisterConverter"
		size = 196
		refs = "0019 @UStrAddRef 0021 TTypeMarshaller<Data.DBXJSON.TJSONValue>.RegisterConverter 0032 TMonitor.CheckMonitorSupport 0039 TMonitor.GetMonitor 0041 TMonitor.Enter 0062 TTypeMarshaller<Data.DBXJSON.TJSONValue>.ComposeKey 0073 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.AddOrSetValue 008b TMonitor.Exit 0091 @HandleFinally 00a8 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D FC 8B F2 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 58 1C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8B 45 F8 8B 00 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 40 1C 8B 4D 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 1C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_9962_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.HasWarnings"
		size = 18
		refs = "0007 @DynArrayLength"
	strings:
		$1 = { 53 8B D8 8B 43 0C E8 ?? ?? ?? ?? 85 C0 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_9963_0 {
	meta:
		name = "TTypeMarshaller<Data.DBXJSON.TJSONValue>.ClearWarnings"
		size = 69
		refs = "000d @DynArrayHigh 0021 TObject.Free 0035 TArray<Data.DBXJSONReflect.TTransientField> 003a @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B D8 84 D2 74 20 8B 43 0C E8 ?? ?? ?? ?? 8B F8 85 FF 7C 12 47 33 F6 8B 43 0C 8B 04 B0 E8 ?? ?? ?? ?? 46 4F 75 F1 6A 00 8D 43 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10103_0 {
	meta:
		name = "TValue.AsType<System.Char>"
		size = 53
		refs = "000e TValue.TryAsType<System.Char> 0018 SInvalidCast 001f _Dn_EInvalidCast 0024 Exception.CreateRes 0029 @RaiseExcept"
	strings:
		$1 = { 83 C4 F8 89 04 24 8D 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 44 24 04 59 5A C3 }
	condition:
		$1
}

rule function_10104_0 {
	meta:
		name = "TValue.From<System.ShortString>"
		size = 44
		refs = "0010 TValue 0015 @FinalizeRecord 0020 ShortString 0025 TValue.Make"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 44 24 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 04 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_59016_0 {
	meta:
		name = "TValue.From<System.Variant>"
		size = 44
		refs = "0010 TValue 0015 @FinalizeRecord 0020 Variant 0025 TValue.Make"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 44 24 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 04 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_10105_0 {
	meta:
		name = "TValue.From<System.WideString>"
		size = 43
		refs = "0010 TValue 0015 @FinalizeRecord 001f WideString 0024 TValue.Make"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 44 24 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_67665_0 {
	meta:
		name = "TValue.From<System.AnsiString>"
		size = 43
		refs = "0010 TValue 0015 @FinalizeRecord 001f AnsiString 0024 TValue.Make"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 44 24 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_67645_0 {
	meta:
		name = "TValue.From<System.HRESULT>"
		size = 43
		refs = "0010 TValue 0015 @FinalizeRecord 001f HRESULT 0024 TValue.Make"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 44 24 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_67644_0 {
	meta:
		name = "TValue.From<System.IDispatch>"
		size = 43
		refs = "0010 TValue 0015 @FinalizeRecord 001f IDispatch 0024 TValue.Make"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 44 24 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_67646_0 {
	meta:
		name = "TValue.From<System.IInterface>"
		size = 43
		refs = "0010 TValue 0015 @FinalizeRecord 001f IInterface 0024 TValue.Make"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 44 24 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_60670_0 {
	meta:
		name = "TValue.From<System.Integer>"
		size = 43
		refs = "0010 TValue 0015 @FinalizeRecord 001f Integer 0024 TValue.Make"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 44 24 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_67639_0 {
	meta:
		name = "TValue.From<System.Pointer>"
		size = 43
		refs = "0010 TValue 0015 @FinalizeRecord 001f Pointer 0024 TValue.Make"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 44 24 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_60595_0 {
	meta:
		name = "TValue.From<System.TObject>"
		size = 43
		refs = "0010 TValue 0015 @FinalizeRecord 001f TObject 0024 TValue.Make"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 44 24 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_67812_0 {
	meta:
		name = "TValue.From<System.UTF8String>"
		size = 43
		refs = "0010 TValue 0015 @FinalizeRecord 001f UTF8String 0024 TValue.Make"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 44 24 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_60668_0 {
	meta:
		name = "TValue.From<System.string>"
		size = 43
		refs = "0010 TValue 0015 @FinalizeRecord 001f string 0024 TValue.Make"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 44 24 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_10587_0 {
	meta:
		name = "TValue.TryAsType<System.Char>"
		size = 130
		refs = "0012 TValue 0017 @InitializeRecord 001f TValue.TryAsType<System.Char> 0033 @FinalizeRecord 003e Char 0043 TValue.TryCast 0054 TValue.Get<System.Char> 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 E0 89 45 E4 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8B 55 E0 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68256_0 {
	meta:
		name = "TValue.TryAsType<System.AnsiChar>"
		size = 130
		refs = "0012 TValue 0017 @InitializeRecord 001f TValue.TryAsType<System.AnsiChar> 0033 @FinalizeRecord 003e AnsiChar 0043 TValue.TryCast 0054 TValue.Get<System.AnsiChar> 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 E0 89 45 E4 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8B 55 E0 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52619_0 {
	meta:
		name = "TValue.TryAsType<System.Boolean>"
		size = 130
		refs = "0012 TValue 0017 @InitializeRecord 001f TValue.TryAsType<System.Boolean> 0033 @FinalizeRecord 003e Boolean 0043 TValue.TryCast 0054 TValue.Get<System.Boolean> 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 E0 89 45 E4 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8B 55 E0 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68255_0 {
	meta:
		name = "TValue.TryAsType<System.Currency>"
		size = 130
		refs = "0012 TValue 0017 @InitializeRecord 001f TValue.TryAsType<System.Currency> 0033 @FinalizeRecord 003e Currency 0043 TValue.TryCast 0054 TValue.Get<System.Currency> 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 E0 89 45 E4 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8B 55 E0 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52617_0 {
	meta:
		name = "TValue.TryAsType<System.Extended>"
		size = 130
		refs = "0012 TValue 0017 @InitializeRecord 001f TValue.TryAsType<System.Extended> 0033 @FinalizeRecord 003e Extended 0043 TValue.TryCast 0054 TValue.Get<System.Extended> 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 E0 89 45 E4 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8B 55 E0 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52616_0 {
	meta:
		name = "TValue.TryAsType<System.Int64>"
		size = 130
		refs = "0012 TValue 0017 @InitializeRecord 001f TValue.TryAsType<System.Int64> 0033 @FinalizeRecord 003e Int64 0043 TValue.TryCast 0054 TValue.Get<System.Int64> 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 E0 89 45 E4 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8B 55 E0 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68248_0 {
	meta:
		name = "TValue.TryAsType<System.Integer>"
		size = 130
		refs = "0012 TValue 0017 @InitializeRecord 001f TValue.TryAsType<System.Integer> 0033 @FinalizeRecord 003e Integer 0043 TValue.TryCast 0054 TValue.Get<System.Integer> 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 E0 89 45 E4 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8B 55 E0 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51067_0 {
	meta:
		name = "TValue.TryAsType<System.Pointer>"
		size = 130
		refs = "0012 TValue 0017 @InitializeRecord 001f TValue.TryAsType<System.Pointer> 0033 @FinalizeRecord 003e Pointer 0043 TValue.TryCast 0054 TValue.Get<System.Pointer> 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 E0 89 45 E4 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8B 55 E0 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67870_0 {
	meta:
		name = "TValue.TryAsType<System.TClass>"
		size = 130
		refs = "0012 TValue 0017 @InitializeRecord 001f TValue.TryAsType<System.TClass> 0033 @FinalizeRecord 003e TClass 0043 TValue.TryCast 0054 TValue.Get<System.TClass> 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 E0 89 45 E4 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8B 55 E0 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68452_0 {
	meta:
		name = "TValue.TryAsType<System.TCustomAttribute>"
		size = 130
		refs = "0012 TValue 0017 @InitializeRecord 001f TValue.TryAsType<System.TCustomAttribute> 0033 @FinalizeRecord 003e TCustomAttribute 0043 TValue.TryCast 0054 TValue.Get<System.TCustomAttribute> 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 E0 89 45 E4 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8B 55 E0 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68080_0 {
	meta:
		name = "TValue.TryAsType<System.TMethod>"
		size = 130
		refs = "0012 TValue 0017 @InitializeRecord 001f TValue.TryAsType<System.TMethod> 0033 @FinalizeRecord 003e TMethod 0043 TValue.TryCast 0054 TValue.Get<System.TMethod> 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 E0 89 45 E4 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8B 55 E0 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68258_0 {
	meta:
		name = "TValue.TryAsType<System.UInt64>"
		size = 130
		refs = "0012 TValue 0017 @InitializeRecord 001f TValue.TryAsType<System.UInt64> 0033 @FinalizeRecord 003e UInt64 0043 TValue.TryCast 0054 TValue.Get<System.UInt64> 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 E0 89 45 E4 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8B 55 E0 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10643_0 {
	meta:
		name = "TValue.Get<System.Char>"
		size = 52
		refs = "001e @FillChar 002d TValue.ExtractRawData"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 04 24 83 38 00 75 13 8B 44 24 04 33 C9 BA 02 00 00 00 E8 ?? ?? ?? ?? 59 5A C3 8B 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_10694_0 {
	meta:
		name = "TDBXMemoryRow.Create"
		size = 293
		refs = "0016 @ClassCreate 0026 @DynArrayAddRef 002e TDBXMemoryRow.Create 0040 TDBXRow.Create 0048 @DynArrayLength 005a TDBXWritableValueArray 005f @DynArraySetLength 0070 TDBXValueTypeArray 0075 @DynArrayAsg 008c TDBXValueType.Clone 009b TDBXValue.CreateValue 00cc @DynArrayClear 00fb @HandleFinally 010b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F7 89 45 F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 50 8B 45 F8 83 C0 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 F6 8D 45 FC 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 39 8B 45 FC 8B 04 98 89 45 F0 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 04 33 C9 E8 ?? ?? ?? ?? 8B F8 8B 47 04 8B D6 8B 08 FF 51 10 8B 45 F8 8B 40 0C 89 3C B0 46 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C BB 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B 45 F8 80 7D F7 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10695_0 {
	meta:
		name = "TDBXMemoryRow.Destroy"
		size = 46
		refs = "0003 @BeforeDestruction 0011 TDBXMemoryRow.ClearValues 001c TObject.Destroy 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 56 0C 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10697_0 {
	meta:
		name = "TDBXMemoryRow.GetBoolean"
		size = 84
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 7D 08 8B 42 04 8B 10 FF 52 4C 8B F0 8B 43 0C 8B 04 B0 8B 10 FF 52 58 F6 D8 1B C0 89 07 83 3F 00 75 16 8B 43 0C 8B 04 B0 8B 10 FF 52 0C F6 D8 1B C0 8B 55 FC 89 02 EB 07 8B 45 FC 33 D2 89 10 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10698_0 {
	meta:
		name = "TDBXMemoryRow.GetDate"
		size = 71
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 7D 08 8B 42 04 8B 10 FF 52 4C 8B F0 8B 43 0C 8B 04 B0 8B 10 FF 52 58 F6 D8 1B C0 89 07 83 3F 00 75 10 8B 43 0C 8B 04 B0 8B 10 FF 52 64 8B 55 FC 89 02 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10699_0 {
	meta:
		name = "TDBXMemoryRow.GetInt8"
		size = 79
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 7D 08 8B 42 04 8B 10 FF 52 4C 8B F0 8B 43 0C 8B 04 B0 8B 10 FF 52 58 F6 D8 1B C0 89 07 83 3F 00 75 12 8B 43 0C 8B 04 B0 8B 10 FF 52 7C 8B 55 FC 88 02 EB 06 8B 45 FC C6 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10700_0 {
	meta:
		name = "TDBXMemoryRow.GetJSONValue"
		size = 76
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 7D 08 8B 42 04 8B 10 FF 52 4C 8B F0 8B 43 0C 8B 04 B0 8B 10 FF 52 58 F6 D8 1B C0 89 07 83 3F 00 75 15 8B 43 0C 8B 04 B0 33 D2 8B 08 FF 91 C0 00 00 00 8B 55 FC 89 02 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10701_0 {
	meta:
		name = "TDBXMemoryRow.GetSingle"
		size = 84
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 7D 08 8B 42 04 8B 10 FF 52 4C 8B F0 8B 43 0C 8B 04 B0 8B 10 FF 52 58 F6 D8 1B C0 89 07 83 3F 00 75 16 8B 43 0C 8B 04 B0 8B 10 FF 92 90 00 00 00 8B 45 FC D9 18 9B EB 07 8B 45 FC 33 D2 89 10 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10702_0 {
	meta:
		name = "TDBXMemoryRow.GetStream"
		size = 92
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F0 8B 7D 08 8B 42 04 8B 10 FF 52 4C 8B D8 8B 46 0C 8B 04 98 8B 10 FF 52 58 F6 D8 1B C0 89 07 83 3F 00 75 25 8B 46 0C 8B 04 98 8B 10 FF 52 50 8B 55 FC 89 02 8B 55 FC 8B 12 8B 46 0C 8B 04 98 33 C9 8B 18 FF 93 AC 01 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10703_0 {
	meta:
		name = "TDBXMemoryRow.GetTime"
		size = 71
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 7D 08 8B 42 04 8B 10 FF 52 4C 8B F0 8B 43 0C 8B 04 B0 8B 10 FF 52 58 F6 D8 1B C0 89 07 83 3F 00 75 10 8B 43 0C 8B 04 B0 8B 10 FF 52 6C 8B 55 FC 89 02 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10704_0 {
	meta:
		name = "TDBXMemoryRow.GetTimeStamp"
		size = 87
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B D8 8B 7D 08 8B 42 04 8B 10 FF 52 4C 8B F0 8B 43 0C 8B 04 B0 8B 10 FF 52 58 F6 D8 1B C0 89 07 83 3F 00 75 1D 8D 55 EC 8B 43 0C 8B 04 B0 8B 08 FF 91 9C 00 00 00 8B 45 FC 8D 75 EC 8B F8 A5 A5 A5 A5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10705_0 {
	meta:
		name = "TDBXMemoryRow.GetBcd"
		size = 92
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 4D FC 8B D8 8B 7D 08 8B 42 04 8B 10 FF 52 4C 8B F0 8B 43 0C 8B 04 B0 8B 10 FF 52 58 F6 D8 1B C0 89 07 83 3F 00 75 22 8D 55 D8 8B 43 0C 8B 04 B0 8B 08 FF 91 A4 00 00 00 8B 45 FC 8D 75 D8 8B F8 B9 08 00 00 00 F3 A5 66 A5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10706_0 {
	meta:
		name = "TDBXMemoryRow.GetInt16"
		size = 85
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 7D 08 8B 42 04 8B 10 FF 52 4C 8B F0 8B 43 0C 8B 04 B0 8B 10 FF 52 58 F6 D8 1B C0 89 07 83 3F 00 75 16 8B 43 0C 8B 04 B0 8B 10 FF 92 84 00 00 00 8B 55 FC 66 89 02 EB 08 8B 45 FC 66 C7 00 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10707_0 {
	meta:
		name = "TDBXMemoryRow.GetInt32"
		size = 80
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 7D 08 8B 42 04 8B 10 FF 52 4C 8B F0 8B 43 0C 8B 04 B0 8B 10 FF 52 58 F6 D8 1B C0 89 07 83 3F 00 75 12 8B 43 0C 8B 04 B0 8B 10 FF 52 20 8B 55 FC 89 02 EB 07 8B 45 FC 33 D2 89 10 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10708_0 {
	meta:
		name = "TDBXMemoryRow.GetInt64"
		size = 95
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 7D 08 8B 42 04 8B 10 FF 52 4C 8B F0 8B 43 0C 8B 04 B0 8B 10 FF 52 58 F6 D8 1B C0 89 07 83 3F 00 75 18 8B 43 0C 8B 04 B0 8B 10 FF 92 8C 00 00 00 8B 4D FC 89 01 89 51 04 EB 10 8B 45 FC C7 00 00 00 00 00 C7 40 04 00 00 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10709_0 {
	meta:
		name = "TDBXMemoryRow.GetUInt16"
		size = 85
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 7D 08 8B 42 04 8B 10 FF 52 4C 8B F0 8B 43 0C 8B 04 B0 8B 10 FF 52 58 F6 D8 1B C0 89 07 83 3F 00 75 16 8B 43 0C 8B 04 B0 8B 10 FF 92 80 00 00 00 8B 55 FC 66 89 02 EB 08 8B 45 FC 66 C7 00 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10710_0 {
	meta:
		name = "TDBXMemoryRow.GetUInt8"
		size = 79
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 7D 08 8B 42 04 8B 10 FF 52 4C 8B F0 8B 43 0C 8B 04 B0 8B 10 FF 52 58 F6 D8 1B C0 89 07 83 3F 00 75 12 8B 43 0C 8B 04 B0 8B 10 FF 52 78 8B 55 FC 88 02 EB 06 8B 45 FC C6 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10711_0 {
	meta:
		name = "TDBXMemoryRow.GetDBXReader"
		size = 89
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B D8 8B 7D 08 8B 45 FC 8B 40 04 8B 10 FF 52 4C 8B F0 8B 43 0C 8B 04 B0 8B 10 FF 52 58 F6 D8 1B C0 89 07 83 3F 00 75 1F 8B 43 0C 8B 04 B0 33 D2 8B 08 FF 91 A8 00 00 00 8B D0 33 C9 8B 45 FC 8B 18 FF 93 A8 01 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10712_0 {
	meta:
		name = "TDBXMemoryRow.GetDouble"
		size = 87
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 7D 08 8B 42 04 8B 10 FF 52 4C 8B F0 8B 43 0C 8B 04 B0 8B 10 FF 52 58 F6 D8 1B C0 89 07 83 3F 00 75 16 8B 43 0C 8B 04 B0 8B 10 FF 92 94 00 00 00 8B 45 FC DD 18 9B EB 0A 8B 45 FC 33 D2 89 10 89 50 04 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10713_0 {
	meta:
		name = "TDBXMemoryRow.GetWideString"
		size = 228
		refs = "001d TDBXMemoryRow.GetWideString 009c @ReallocMem 00a7 @GetMem 00ba TDBXPlatform.CopyWideStringToBuilder 00cf @UStrClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 04 8B 10 FF 52 4C 8B F0 8B 43 0C 8B 04 B0 8B 10 FF 52 58 F6 D8 1B C0 89 07 83 3F 00 75 74 8D 55 FC 8B 43 0C 8B 04 B0 8B 08 FF 51 28 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 8B 45 F8 8B 40 04 8B 10 FF 52 68 52 50 8B C3 99 3B 54 24 04 75 09 3B 04 24 5A 58 72 2D EB 04 5A 58 7C 27 8D 73 02 8B 45 F4 83 38 00 74 0E 8B D6 03 D2 8B 45 F4 E8 ?? ?? ?? ?? EB 0E 8B C6 03 C0 E8 ?? ?? ?? ?? 8B 55 F4 89 02 8B 4D F4 8D 53 02 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10714_0 {
	meta:
		name = "TDBXMemoryRow.GetAnsiString"
		size = 200
		refs = "001d TDBXMemoryRow.GetAnsiString 0090 TDBXPlatform.ResizeStringBuilder 009e TDBXPlatform.CopyStringToBuilder 00b3 @LStrClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 04 8B 10 FF 52 4C 8B F0 8B 43 0C 8B 04 B0 8B 10 FF 52 58 F6 D8 1B C0 89 07 83 3F 00 75 58 8D 55 FC 8B 43 0C 8B 04 B0 8B 08 FF 51 60 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 8B 45 F8 8B 40 04 8B 10 FF 52 68 52 50 8B C3 99 3B 54 24 04 75 09 3B 04 24 5A 58 72 11 EB 04 5A 58 7C 0B 8D 53 02 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 8D 53 02 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10715_0 {
	meta:
		name = "TDBXMemoryRow.SetWideString"
		size = 33
	strings:
		$1 = { 53 56 8B F1 8B D8 8B 42 04 8B 10 FF 52 4C 8B 53 0C 8B 04 82 8B D6 8B 08 FF 91 78 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_10716_0 {
	meta:
		name = "TDBXMemoryRow.SetAnsiString"
		size = 33
	strings:
		$1 = { 53 56 8B F1 8B D8 8B 42 04 8B 10 FF 52 4C 8B 53 0C 8B 04 82 8B D6 8B 08 FF 91 68 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_10717_0 {
	meta:
		name = "TDBXMemoryRow.SetBoolean"
		size = 36
	strings:
		$1 = { 53 51 88 0C 24 8B D8 8B 42 04 8B 10 FF 52 4C 8B 53 0C 8B 04 82 0F B6 14 24 8B 08 FF 91 6C 01 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_10718_0 {
	meta:
		name = "TDBXMemoryRow.SetBCD"
		size = 33
	strings:
		$1 = { 53 56 8B F1 8B D8 8B 42 04 8B 10 FF 52 4C 8B D6 8B 4B 0C 8B 04 81 8B 08 FF 91 64 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_10719_0 {
	meta:
		name = "TDBXMemoryRow.SetDate"
		size = 33
	strings:
		$1 = { 53 56 8B F1 8B D8 8B 42 04 8B 10 FF 52 4C 8B 53 0C 8B 04 82 8B D6 8B 08 FF 91 70 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_10720_0 {
	meta:
		name = "TDBXMemoryRow.SetDBXReader"
		size = 61
	strings:
		$1 = { 53 56 57 55 8B E9 8B F0 8B 42 04 8B 10 FF 52 4C 8B F8 85 ED 75 10 8B 46 0C 8B 04 B8 8B 10 FF 92 58 01 00 00 EB 12 8B 46 0C 8B 04 B8 33 C9 8B D5 8B 18 FF 93 A8 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10721_0 {
	meta:
		name = "TDBXMemoryRow.SetDouble"
		size = 39
	strings:
		$1 = { 55 8B EC 56 8B F0 8B 42 04 8B 10 FF 52 4C FF 75 0C FF 75 08 8B 56 0C 8B 04 82 8B 10 FF 92 9C 01 00 00 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_10722_0 {
	meta:
		name = "TDBXMemoryRow.SetInt16"
		size = 33
	strings:
		$1 = { 56 57 8B F9 8B F0 8B 42 04 8B 10 FF 52 4C 8B 56 0C 8B 04 82 8B D7 8B 08 FF 91 8C 01 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_10723_0 {
	meta:
		name = "TDBXMemoryRow.SetInt32"
		size = 33
	strings:
		$1 = { 56 57 8B F9 8B F0 8B 42 04 8B 10 FF 52 4C 8B 56 0C 8B 04 82 8B D7 8B 08 FF 91 90 01 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_10724_0 {
	meta:
		name = "TDBXMemoryRow.SetInt64"
		size = 39
	strings:
		$1 = { 55 8B EC 56 8B F0 8B 42 04 8B 10 FF 52 4C FF 75 0C FF 75 08 8B 56 0C 8B 04 82 8B 10 FF 92 94 01 00 00 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_10725_0 {
	meta:
		name = "TDBXMemoryRow.SetInt8"
		size = 36
	strings:
		$1 = { 56 51 88 0C 24 8B F0 8B 42 04 8B 10 FF 52 4C 8B 56 0C 8B 04 82 0F B6 14 24 8B 08 FF 91 84 01 00 00 5A 5E C3 }
	condition:
		$1
}

rule function_10726_0 {
	meta:
		name = "TDBXMemoryRow.SetJSONValue"
		size = 68
	strings:
		$1 = { 53 56 57 55 8B E9 8B F0 8B 42 04 8B 10 FF 52 4C 8B F8 85 ED 75 10 8B 46 0C 8B 04 B8 8B 10 FF 92 58 01 00 00 EB 19 8B C5 8B 10 FF 52 0C 8B D0 8B 46 0C 8B 04 B8 B1 01 8B 18 FF 93 B4 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10727_0 {
	meta:
		name = "TDBXMemoryRow.SetSingle"
		size = 36
	strings:
		$1 = { 55 8B EC 56 8B F0 8B 42 04 8B 10 FF 52 4C FF 75 08 8B 56 0C 8B 04 82 8B 10 FF 92 98 01 00 00 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_10728_0 {
	meta:
		name = "TDBXMemoryRow.SetStream"
		size = 250
		refs = "001a TDBXMemoryRow.SetStream 0052 _Dn_TMemoryStream 0057 TObject.Create 006d TArray<System.Byte> 0072 @DynArraySetLength 0082 @DynArrayLength 00e7 @DynArrayClear 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F1 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 04 8B 10 FF 52 4C 89 45 F0 85 F6 75 19 8B 45 F8 8B 40 0C 8B 55 F0 8B 04 90 8B 10 FF 92 58 01 00 00 E9 81 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 68 00 02 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 BB 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 33 C9 8B 55 FC 8B C6 8B 18 FF 13 8B D8 85 DB 7E 0D 8B 55 FC 8B CB 8B 45 EC 8B 38 FF 57 10 85 DB 7F D5 6A 00 6A 00 33 D2 8B 45 EC 8B 08 FF 51 18 8B 45 F8 8B 40 0C 8B 55 F0 8B 04 90 B1 01 8B 55 EC 8B 18 FF 93 AC 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10729_0 {
	meta:
		name = "TDBXMemoryRow.SetTime"
		size = 33
	strings:
		$1 = { 53 56 8B F1 8B D8 8B 42 04 8B 10 FF 52 4C 8B 53 0C 8B 04 82 8B D6 8B 08 FF 91 74 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_10730_0 {
	meta:
		name = "TDBXMemoryRow.SetTimestamp"
		size = 33
	strings:
		$1 = { 56 57 8B F9 8B F0 8B 42 04 8B 10 FF 52 4C 8B D7 8B 4E 0C 8B 04 81 8B 08 FF 91 5C 01 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_10731_0 {
	meta:
		name = "TDBXMemoryRow.SetUInt8"
		size = 36
	strings:
		$1 = { 53 51 88 0C 24 8B D8 8B 42 04 8B 10 FF 52 4C 8B 53 0C 8B 04 82 0F B6 14 24 8B 08 FF 91 80 01 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_10732_0 {
	meta:
		name = "TDBXMemoryRow.SetUInt16"
		size = 33
	strings:
		$1 = { 56 57 8B F9 8B F0 8B 42 04 8B 10 FF 52 4C 8B 56 0C 8B 04 82 8B D7 8B 08 FF 91 88 01 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_10757_0 {
	meta:
		name = "TConnectionData.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
		altNames = "TDBXCommandHandler.Create TDBXJSonServerProtocolHandler.Create TSeStyleOptions.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81328_0 {
	meta:
		name = "TGIFExtensionList.Create"
		size = 60
		refs = "000b @ClassCreate 001a TGIFList.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81480_0 {
	meta:
		name = "TGIFImageList.Create"
		size = 60
		refs = "000b @ClassCreate 001a TGIFList.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73057_0 {
	meta:
		name = "TMenuStack.Create"
		size = 60
		refs = "000b @ClassCreate 001a TOrderedList.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10758_0 {
	meta:
		name = "TDBXCommandHandler.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TObject.Destroy 003d @ClassDestroy"
		altNames = "TDBXTraceOutput.Destroy TDirEntry.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45516_0 {
	meta:
		name = "TIWMarkupLanguageTag.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TIWMarkupLanguageElement.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10759_0 {
	meta:
		name = "TDBXCommandHandler.GetActiveStreamerRowList"
		size = 29
		refs = "000c _Dn_TDBXActiveTableReaderList 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 0C 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 8B 43 0C 5B C3 }
	condition:
		$1
}

rule function_95986_0 {
	meta:
		name = "TContentParser.GetFiles"
		size = 29
		refs = "000c _DV_TEmptyRequestFiles 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 0C 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 8B 43 0C 5B C3 }
	condition:
		$1
}

rule function_10760_0 {
	meta:
		name = "TDBXCommandHandler.CreateDbxRow"
		size = 25
		refs = "000a _Dn_TDBXError 000f TDBXError.Create 0014 @RaiseExcept"
	strings:
		$1 = { 6A 00 B9 1E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10762_0 {
	meta:
		name = "TAbstractWebPageInfo.SetFactory"
		size = 4
		altNames = "TColorLookup.SetColors TDBXBaseMetaDataReader.SetContext TDBXCommandHandler.SetCommandHandle TGPBrush.SetNativeBrush TGPCustomLineCap.SetNativeCap TGPFont.SetNativeFont TGPGraphics.SetNativeGraphics TGPGraphicsPath.SetNativePath TGPGraphicsPathIterator.SetNativeIterator TGPImage.SetNativeImage TGPImageAttributes.SetNativeImageAttr TGPMatrix.SetNativeMatrix TGPPen.SetNativePen TGPRegion.SetNativeRegion TIWBaseComponentContext.SetMLTag TIWMarkupLanguageElement.SetParentElement TRegistry.SetCurrentKey TSeStyleFilter.SetStyleSource"
	strings:
		$1 = { 89 50 04 C3 }
	condition:
		$1
}

rule function_10765_0 {
	meta:
		name = "TDBXConnectionHandler.InvalidOperationError"
		size = 20
		refs = "000a _Dn_TDBXError 000f TDBXError.Create"
	strings:
		$1 = { 6A 00 B9 1E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10768_0 {
	meta:
		name = "TDBXErrorMessage.HandleMessage"
		size = 7
	strings:
		$1 = { 92 8B 08 FF 51 1C C3 }
	condition:
		$1
}

rule function_10769_0 {
	meta:
		name = "TDBXErrorMessage.SetError"
		size = 15
		refs = "000a TDBXErrorMessage.InitDBXErrorMessage"
	strings:
		$1 = { 89 50 04 85 D2 74 07 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10770_0 {
	meta:
		name = "TDBXErrorMessage.GetNestedMessage"
		size = 265
		refs = "0022 TDBXErrorMessage.GetNestedMessage 003c @UStrAsg 004c @UStrLAsg 006b StringIndexOf 007b SCausedBy 0080 LoadResString 0099 Format 00a7 @UStrCat3 00c1 TDBXPlatform.GetNestedException 00e7 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 F4 8B F8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 05 83 FE 0A 7E 10 8B 45 08 8B 55 F4 E8 ?? ?? ?? ?? E9 8C 00 00 00 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? 83 7D FC 00 75 0A 8D 55 FC 8B C3 8B 08 FF 51 DC 85 F6 7E 49 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 7D 3A 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? EB 0B 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 46 56 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_10771_0 {
	meta:
		name = "TDBXErrorMessage.InitDBXErrorMessage"
		size = 244
		refs = "001a TDBXErrorMessage.InitDBXErrorMessage 0033 @UStrLAsg 003b _Dn_TDBXError 0040 @IsClass 006d TDBXErrorMessage.GetNestedMessage 008a TDBXPlatform.GetClassName 0095 @UStrAsg 00bd @UStrArrayClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 4D F8 8B F2 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BF 05 00 00 00 8B 5E 04 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 89 5D F0 8B 45 F0 8B 78 18 8D 45 FC 8B 55 F0 8B 52 1C E8 ?? ?? ?? ?? 6A 00 8D 45 FC 50 8B CB 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 85 DB 75 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 46 10 8B 55 F8 E8 ?? ?? ?? ?? 89 7E 08 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 65 00 72 00 72 00 6F 00 72 00 28 00 6E 00 75 00 6C 00 6C 00 29 00 00 00 }
	condition:
		$1
}

rule function_10772_0 {
	meta:
		name = "TDBXDisconnectMessage.HandleMessage"
		size = 7
	strings:
		$1 = { 92 8B 08 FF 51 34 C3 }
	condition:
		$1
}

rule function_10773_0 {
	meta:
		name = "TDBXConnectMessage.HandleMessage"
		size = 7
	strings:
		$1 = { 92 8B 08 FF 51 30 C3 }
	condition:
		$1
}

rule function_10774_0 {
	meta:
		name = "TDBXCommandMessage.Destroy"
		size = 66
		refs = "0003 @BeforeDestruction 0010 TDBXInt32s 0015 @DynArrayClear 0025 TObject.Free 0030 TObject.Destroy 003b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10775_0 {
	meta:
		name = "TDBXCommandMessage.SetExplicitParameters"
		size = 33
		refs = "0017 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 1C 74 13 8D 43 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 89 73 1C 5E 5B C3 }
	condition:
		$1
}

rule function_10776_0 {
	meta:
		name = "TDBXExecuteMessage.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f FreeObjectArray 001a TDBXCommandMessage.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 30 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98744_0 {
	meta:
		name = "TObjectScripter.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f @IntfClear 001a TScriptableObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 30 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10777_0 {
	meta:
		name = "TDBXExecuteMessage.HandleMessage"
		size = 6
	strings:
		$1 = { 92 8B 08 FF 11 C3 }
	condition:
		$1
}

rule function_10779_0 {
	meta:
		name = "TDBXExecuteMessage.Reset"
		size = 112
		refs = "0012 @UStrClr 0027 TDBXCommandMessage.SetExplicitParameters 0035 TDBXInt32s 003a @DynArrayClear"
	strings:
		$1 = { 53 8B D8 C7 43 04 FF FF FF FF C6 43 08 00 8D 43 0C E8 ?? ?? ?? ?? 8D 43 10 E8 ?? ?? ?? ?? C6 43 34 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 18 8D 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 14 00 33 C0 89 43 3C 33 C0 89 43 2C C6 43 34 00 C6 43 35 00 C6 43 36 00 8D 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 11 5B C3 }
	condition:
		$1
}

rule function_10780_0 {
	meta:
		name = "TDBXExecuteMessage.AddTableReader"
		size = 207
		refs = "0010 TDBXExecuteMessage.AddTableReader 002c TDBXReaderArray 0031 @DynArraySetLength 003e @DynArrayLength 0096 @DynArrayAsg 00bd @DynArrayClear 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 30 00 75 1A 6A 01 8D 43 30 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 60 8B 43 30 E8 ?? ?? ?? ?? 3B 43 2C 7F 53 8B 43 30 E8 ?? ?? ?? ?? 40 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 30 E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 13 42 33 C0 8B 4B 30 8B 0C 81 8B 7D FC 89 0C 87 40 4A 75 F0 8D 43 30 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 30 8B 53 2C 89 34 90 FF 43 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10781_0 {
	meta:
		name = "TDBXExecuteMessage.GetTableReader"
		size = 7
	strings:
		$1 = { 8B 40 30 8B 04 90 C3 }
	condition:
		$1
}

rule function_10782_0 {
	meta:
		name = "TDBXExecuteMessage.FreeTableReaders"
		size = 61
		refs = "000f @DynArrayLength 0024 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D8 83 7B 30 00 74 2E 8B 43 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 1A 47 33 F6 8B 43 30 8B 04 B0 E8 ?? ?? ?? ?? 8B 43 30 33 D2 89 14 B0 46 4F 75 E9 33 C0 89 43 2C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10783_0 {
	meta:
		name = "TAbstractTest.SetGUIObject"
		size = 4
		altNames = "TCustomProvider.SetActiveUpdateException TDBXExecuteMessage.SetConnectionHandler TDdeMgr.SetDdeInstId TIWApplication.SetPermissions TSSPIClientConnectionContext.SetEstablishedFlags"
	strings:
		$1 = { 89 50 50 C3 }
	condition:
		$1
}

rule function_10785_0 {
	meta:
		name = "TDBXCommandCloseMessage.HandleMessage"
		size = 7
	strings:
		$1 = { 92 8B 08 FF 51 14 C3 }
	condition:
		$1
}

rule function_10788_0 {
	meta:
		name = "TDBXNextMessage.HandleMessage"
		size = 7
	strings:
		$1 = { 92 8B 08 FF 51 0C C3 }
	condition:
		$1
}

rule function_10789_0 {
	meta:
		name = "TDBXNextResultMessage.HandleMessage"
		size = 7
	strings:
		$1 = { 92 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_10790_0 {
	meta:
		name = "TDBXOpenMessage.HandleMessage"
		size = 7
	strings:
		$1 = { 92 8B 08 FF 51 44 C3 }
	condition:
		$1
}

rule function_10791_0 {
	meta:
		name = "TDBXPrepareMessage.Reset"
		size = 60
		refs = "0012 @UStrClr 0028 TDBXCommandMessage.SetExplicitParameters 0031 TDBXInt32s 0036 @DynArrayClear"
	strings:
		$1 = { 53 8B D8 C7 43 04 FF FF FF FF C6 43 08 00 8D 43 0C E8 ?? ?? ?? ?? 8D 43 10 E8 ?? ?? ?? ?? 33 C0 89 43 18 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10792_0 {
	meta:
		name = "TDBXPrepareMessage.HandleMessage"
		size = 7
	strings:
		$1 = { 92 8B 08 FF 51 04 C3 }
	condition:
		$1
}

rule function_10793_0 {
	meta:
		name = "TDBXReaderCloseMessage.HandleMessage"
		size = 7
	strings:
		$1 = { 92 8B 08 FF 51 18 C3 }
	condition:
		$1
}

rule function_10794_0 {
	meta:
		name = "TDBXTxBeginMessage.HandleMessage"
		size = 7
	strings:
		$1 = { 92 8B 08 FF 51 38 C3 }
	condition:
		$1
}

rule function_10795_0 {
	meta:
		name = "TDBXTxEndMessage.HandleMessage"
		size = 7
	strings:
		$1 = { 92 8B 08 FF 51 3C C3 }
	condition:
		$1
}

rule function_10796_0 {
	meta:
		name = "TDBXVendorPropertyMessage.HandleMessage"
		size = 7
	strings:
		$1 = { 92 8B 08 FF 51 40 C3 }
	condition:
		$1
}

rule function_10799_0 {
	meta:
		name = "TDBXJSonClientInputConnectionHandler.Create"
		size = 75
		refs = "000d @ClassCreate 002a TDBXJSonConnectionHandler.Create 0035 @AfterConstruction"
		altNames = "TDBXJSonServerOutputConnectionHandler.Create"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 01 8B 45 10 50 8B 45 0C 50 8B 45 08 50 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_10805_0 {
	meta:
		name = "TDBXJSonClientInputConnectionHandler.DbxTxBegin"
		size = 20
		refs = "000a TDBXJSonStreamReader.ReadIntResultObject"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 14 E8 ?? ?? ?? ?? 89 46 08 5E 5B C3 }
	condition:
		$1
}

rule function_10806_0 {
	meta:
		name = "TDBXJSonClientInputConnectionHandler.DbxTxEnd"
		size = 21
		refs = "0007 TDBXJSonStreamReader.NextResultObjectStart 000f TDBXJSonStreamReader.SkipToEndOfObject"
	strings:
		$1 = { 53 8B D8 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10811_0 {
	meta:
		name = "TDBXJSonClientInputConnectionHandler.HandleParameterMoreBlobRequest"
		size = 302
		refs = "0015 TDBXJSonStreamReader.Next 002a TDBXJSonStreamReader.ReadInt 0032 TDBXJSonStreamReader.NextValueSeparator 004a TDBXJSonStreamReader.ReadLong 007a TDBXJSonStreamReader.SkipToEndOfObject 0118 TDBXDriverHelp.GetStreamReader 0122 TDBXJSonStreamWriter.WriteDataObject"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 14 24 8B D8 BA 0C 00 00 00 8B 43 14 E8 ?? ?? ?? ?? BA 04 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 89 44 24 04 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 89 44 24 08 8B 43 14 E8 ?? ?? ?? ?? 33 C0 89 44 24 10 33 C0 89 44 24 0C 8B 04 24 8B 10 FF 52 08 8B F8 4F 85 FF 7C 5E 47 33 ED 8B D5 8B 04 24 8B 08 FF 51 04 8B F0 8B C6 8B 10 FF 52 50 83 F8 17 75 3F 8B C6 8B 10 FF 52 40 48 74 05 83 E8 02 75 04 FF 44 24 0C 8B 44 24 0C 3B 44 24 08 75 22 8B C6 8B 10 FF 52 7C 8B F0 8B C6 8B 10 FF 92 AC 00 00 00 8B 54 24 04 8B 08 FF 51 10 89 44 24 10 EB 04 45 4F 75 A5 83 7C 24 10 00 75 15 8B 54 24 04 8B 04 24 8B 08 FF 51 04 8B 10 FF 52 7C 89 44 24 10 8B 44 24 10 E8 ?? ?? ?? ?? 8B D0 8B 43 18 E8 ?? ?? ?? ?? 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10812_0 {
	meta:
		name = "TDBXJSonClientInputConnectionHandler.HandleCallbackRequest"
		size = 617
		refs = "0019 TDBXJSonClientInputConnectionHandler.HandleCallbackRequest 0034 TDBXJSonStreamReader.Next 004f TDBXJSonStreamReader.ReadInt 005c TDBXJSonStreamReader.NextValueSeparator 006b TArray<System.Byte> 0070 @DynArraySetLength 0084 TDBXJSonStreamReader.ReadDataBytes 008f TDBXJSonStreamReader.SkipToEndOfObject 00a9 TJSONObject.ParseJSONValue 00ba SCallbackBadInput 00bf LoadResString 00cf _Dn_TDBXError 00d4 TDBXError.Create 00d9 @RaiseExcept 00f3 TJSONArray.Get 0102 StrToInt 0115 TJSONNumber.GetAsInt 013a SBadCallbackParameter 0173 TDBXJSonClientInputConnectionHandler.InvokeClientCallback 018b TObject.Free 0191 @HandleFinally 01a0 _Dn_TJSONNull 01a5 TJSONAncestor.Create 01c4 TDBXJSonStreamWriter.WriteCallbackResponse 01f0 @HandleOnException 01f8 _Dn_Exception 020e TDBXPlatform.GetClassName 021e TDBXJSonStreamWriter.WriteRpcError 0223 @DoneExcept 022e TDBXJSonStreamWriter.Flush 0248 @UStrArrayClr 0256 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 8B 45 F8 8B 40 14 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 8B F8 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 57 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 57 8B 45 F8 8B 40 14 33 C9 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 27 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 B9 20 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 5D F4 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 11 8B 45 E8 E8 ?? ?? ?? ?? 8B F8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D7 8B C6 8B 08 FF 51 04 8B F0 85 F6 74 0C 8B C6 8B 10 FF 52 50 83 F8 26 74 27 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 B9 20 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 02 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 50 8B CE 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D F0 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 18 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 38 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 43 04 50 6A 00 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F8 8B 40 18 33 C9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10813_0 {
	meta:
		name = "TDBXJSonClientInputConnectionHandler.HandleParameterNextRequest"
		size = 135
		refs = "0011 TDBXJSonStreamReader.Next 0026 TDBXJSonStreamReader.ReadInt 0030 TDBXJSonStreamReader.NextValueSeparator 0038 TDBXJSonStreamReader.ReadLong 0052 TDBXJSonStreamReader.SkipToEndOfObject 005c TDBXActiveTableReaderList.FindStreamerRowItem 0076 TDBXJSonConnectionHandler.WriteNext 007e TDBXJSonStreamWriter.Flush"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 BA 0C 00 00 00 8B 43 14 E8 ?? ?? ?? ?? BA 04 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B E8 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B F8 8B 43 14 E8 ?? ?? ?? ?? 8B 46 40 8B D5 E8 ?? ?? ?? ?? 8B F0 8B 46 14 50 6A 00 8B C6 8B 10 FF 52 04 8B C8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10814_0 {
	meta:
		name = "TDBXJSonClientInputConnectionHandler.InvokeClientCallback"
		size = 250
		refs = "0031 TDBXClientCommand.GetJSONUnMarshaler 0041 TDBXJSonClientInputConnectionHandler.InvokeClientCallback 0051 TJSONUnMarshal.Unmarshal 0076 TDBXClientCommand.GetJSONMarshaler 009a @TryFinallyExit 00b6 TObject.Free 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B D9 8B 75 08 4A 75 1D 8B C3 8B 10 FF 52 7C 8B 10 FF 92 C4 00 00 00 8B D6 8B 08 FF 11 89 45 FC E9 C2 00 00 00 8B 43 4C E8 ?? ?? ?? ?? 89 45 F4 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 8B C3 8B 10 FF 52 7C 8B 10 FF 92 C4 00 00 00 8B 55 F0 8B 08 FF 51 04 89 45 EC 8B 43 4C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 EC 8B 45 F8 8B 08 FF 51 0C 89 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10815_0 {
	meta:
		name = "TDBXJSonClientInputConnectionHandler.FindNextReaderOrdinal"
		size = 204
		refs = "0019 TDBXJSonClientInputConnectionHandler.FindNextReaderOrdinal 0036 TDBXJSonConnectionHandler.IsNoDBXReaderParameterReturn 0058 TDBXJSonConnectionHandler.IsOutputDBXReader 0082 SNotEnoughReaders 0087 LoadResString 0097 _Dn_TDBXError 009c TDBXError.Create 00a1 @RaiseExcept 00b6 @UStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 10 FF 52 08 89 45 F4 8B 5D FC 43 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 33 C0 89 45 F8 EB 60 3B 5D F4 7D 21 8B D3 8B C7 8B 08 FF 51 04 8B D0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 05 89 5D F8 EB 40 43 3B 5D F4 7C DF 83 7D FC 00 7D 0D 3B 5D F4 75 08 8B 45 FC 89 45 F8 EB 27 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 B9 1E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10816_0 {
	meta:
		name = "TDBXJSonClientInputConnectionHandler.DbxExecute"
		size = 1358
		refs = "001b TDBXJSonClientInputConnectionHandler.DbxExecute 0059 TDBXJSonStreamReader.Next 0074 TDBXJSonStreamReader.ReadStringCode 00cd TDBXJSonClientInputConnectionHandler.HandleParameterMoreBlobRequest 00da TDBXJSonClientInputConnectionHandler.HandleParameterNextRequest 00e7 TDBXJSonStreamReader.ReadErrorBody 00f4 TDBXJSonClientInputConnectionHandler.HandleCallbackRequest 00fe TDBXJSonConnectionHandler.HandleMetadataData 01fa TDBXJSonStreamReader.ReadInt 020b TDBXJSonStreamReader.SkipToEndOfObject 023b TDBXJSonStreamReader.ReadBoolean 027a TDBXJSonStreamReader.ReadString 02cc TDBXJSonConnectionHandler.ReadDBXReaderMetaData 02e5 TDBXRow.NewRowGeneration 02f3 TDBXJSonClientInputConnectionHandler.FindNextReaderOrdinal 0372 TDBXJSonStreamReader.ReadLong 0396 TDBXJSonConnectionHandler.ReadParameters 0423 TDBXRowBuffer.ReadDataBytes 046d @HandleFinally 04ba TDBXJSonReader.ReadFirstData 04ca TDBXJSonStreamReader.NextValueSeparator 0502 SNeedsPrepare 0507 LoadResString 0517 _Dn_TDBXError 051c TDBXError.Create 0521 @RaiseExcept 053b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D D8 89 4D DC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 F8 8B 40 18 89 45 F0 8B 45 F8 C7 40 44 FF FF FF FF 8B 45 F8 C7 40 48 FF FF FF FF C7 40 4C FF FF FF FF 8B 45 FC 8B 40 14 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 83 F8 1A 0F 87 81 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 00 04 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 00 00 01 00 00 05 06 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? EB 2F 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 22 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? EB 15 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 83 78 08 02 0F 85 3B FF FF FF BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 EC C7 45 E8 FF FF FF FF C7 45 E4 FF FF FF FF 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 83 F8 02 0F 85 91 03 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 45 E3 01 80 7D E3 00 74 06 C6 45 E3 00 EB 10 8B 45 FC 8B 40 14 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 83 C0 F5 83 F8 08 0F 87 8C 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 40 14 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 55 F8 89 42 04 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? E9 2B 02 00 00 8B 45 FC 8B 40 14 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 BA 0D 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 55 F8 89 42 44 8B 45 FC 8B 40 14 BA 0D 00 00 00 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? E9 B1 01 00 00 8B 45 FC 8B 40 14 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 BA 04 00 00 00 E8 ?? ?? ?? ?? 83 7D F0 00 74 14 8B 45 F8 83 78 38 00 74 0B 8B 45 F0 8B 10 FF 52 08 48 7D 10 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC E9 67 01 00 00 83 7D E4 00 7D 0B 8B 45 F8 8B 40 38 E8 ?? ?? ?? ?? 8B 4D E4 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 7D 10 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC E9 2F 01 00 00 83 7D E8 00 7D 06 8B 45 E4 89 45 E8 8B 55 E4 8B 45 F0 8B 08 FF 51 04 8B D8 8B C3 8B 10 FF 52 7C 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 B1 01 58 8B 18 FF 93 A8 01 00 00 E9 F4 00 00 00 8B 45 FC 8B 40 14 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 4D F8 89 41 48 89 51 4C 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? E9 B0 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E9 A0 00 00 00 8B 45 FC 8B 40 14 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 38 85 C0 75 04 33 C0 EB 03 8B 40 24 85 C0 75 4E 33 F6 EB 36 8B D6 8B 45 F0 8B 08 FF 51 04 8B D8 8B C3 8B 10 FF 52 40 83 E8 02 74 07 83 E8 02 74 08 EB 16 C6 45 F7 01 EB 10 8B C3 8B 10 FF 52 50 83 F8 17 74 04 C6 45 F7 01 46 80 7D F7 00 75 13 8B 45 F0 8B 10 FF 52 08 3B F0 7C B8 EB 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? EB 0B 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 83 F8 0D 0F 84 12 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 83 7D E4 FF 7E 5B 8B 75 E8 8B 7D E4 2B FE 7C 6C 47 8B D6 8B 45 F0 8B 08 FF 51 04 8B D8 8B C3 8B 10 FF 52 50 83 F8 17 75 32 8B D6 8B 45 F0 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 92 AC 00 00 00 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 3B 75 E4 74 0B 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 46 4F 75 B2 EB 1B 83 7D EC 00 74 15 8B 45 EC E8 ?? ?? ?? ?? EB 0B 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 EC 89 50 3C 80 7D F7 00 74 27 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 50 B9 1E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10819_0 {
	meta:
		name = "TDBXJSonClientInputConnectionHandler.DbxNextResult"
		size = 195
		refs = "000c TDBXJSonStreamReader.NextResultObjectStart 0019 TDBXJSonStreamReader.Next 0021 TDBXJSonStreamReader.ReadBoolean 002b TDBXJSonStreamReader.NextValueSeparator 0033 TDBXJSonStreamReader.ReadLong 005c TDBXJSonStreamReader.ReadInt 0066 TDBXJSonStreamReader.SkipToEndOfObject 008f TDBXJSonStreamReader.ReadStringCode 00b0 TDBXJSonConnectionHandler.ReadDBXReader"
	strings:
		$1 = { 53 56 57 55 8B F2 8B F8 8B 47 14 E8 ?? ?? ?? ?? BA 04 00 00 00 8B 47 14 E8 ?? ?? ?? ?? 8B 47 14 E8 ?? ?? ?? ?? 8B D8 8B 47 14 E8 ?? ?? ?? ?? 8B 47 14 E8 ?? ?? ?? ?? 89 46 10 89 56 14 8B 47 14 E8 ?? ?? ?? ?? 8B 47 14 E8 ?? ?? ?? ?? 88 46 08 8B 47 14 E8 ?? ?? ?? ?? 8B 47 14 E8 ?? ?? ?? ?? 8B E8 8B 47 14 E8 ?? ?? ?? ?? 84 DB 74 4B 45 7E 48 BA 02 00 00 00 8B 47 14 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B 47 14 E8 ?? ?? ?? ?? 8B 47 14 E8 ?? ?? ?? ?? BA 0C 00 00 00 8B 47 14 E8 ?? ?? ?? ?? BA 04 00 00 00 8B 47 14 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 46 18 EB 05 33 C0 89 46 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10820_0 {
	meta:
		name = "TDBXJSonClientInputConnectionHandler.DbxPrepare"
		size = 317
		refs = "0011 TDBXJSonStreamReader.NextResultObjectStart 0021 TDBXJSonStreamReader.Next 0029 TDBXJSonClientInputConnectionHandler.DbxPrepare 005a TDBXJSonStreamReader.ReadStringCode 0099 TDBXJSonStreamReader.ReadInt 00a4 TDBXJSonStreamReader.NextValueSeparator 00af TDBXJSonStreamReader.ReadBoolean 00ba TDBXJSonStreamReader.SkipToEndOfObject 0101 TDBXJSonConnectionHandler.ReadParameters 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 83 E8 11 74 5D 48 74 0C 48 0F 84 8E 00 00 00 E9 93 00 00 00 8B 45 FC 8B 40 14 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? EB 45 8B 45 FC 8B 40 14 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 89 43 04 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 83 F8 0D 0F 84 1A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_10822_0 {
	meta:
		name = "TDBXJSonClientOutputConnectionHandler.Create"
		size = 284
		refs = "000e @ClassCreate 002f TDBXJSonConnectionHandler.Create 003c _Dn_TDBXCommandCloseMessage 0041 TObject.Create 004b _Dn_TDBXConnectMessage 005a _Dn_TDBXDisconnectMessage 0069 _Dn_TDBXExecuteMessage 0078 _Dn_TDBXMoreBlobMessage 0087 _Dn_TDBXNextMessage 0096 _Dn_TDBXNextResultMessage 00a5 _Dn_TDBXPrepareMessage 00b4 _Dn_TDBXReaderCloseMessage 00c3 _Dn_TDBXTxBeginMessage 00d2 _Dn_TDBXTxEndMessage 00e1 _Dn_TDBXVendorPropertyMessage 00f0 _Dn_TDBXErrorMessage 0105 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 14 6A 01 8B 45 10 50 8B 45 0C 50 8B 45 08 50 6A 01 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 58 89 73 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 4C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 54 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_10823_0 {
	meta:
		name = "TDBXJSonClientOutputConnectionHandler.Destroy"
		size = 244
		refs = "0003 @BeforeDestruction 0017 TObject.Free 00e2 TDBXJSonConnectionHandler.Destroy 00ed @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 28 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 2C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 34 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 4C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 54 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10829_0 {
	meta:
		name = "TDBXJSonClientOutputConnectionHandler.DbxTxBegin"
		size = 30
		refs = "000d TDBXJSonStreamWriter.WriteTxBegin 0017 TDBXTxBeginMessage.HandleMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 56 04 8B 43 18 E8 ?? ?? ?? ?? 8B 53 58 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10830_0 {
	meta:
		name = "TDBXJSonClientOutputConnectionHandler.DbxTxEnd"
		size = 34
		refs = "0011 TDBXJSonStreamWriter.WriteTxEnd 001b TDBXTxEndMessage.HandleMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 4E 08 0F B6 56 04 8B 43 18 E8 ?? ?? ?? ?? 8B 53 58 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10835_0 {
	meta:
		name = "TDBXJSonClientOutputConnectionHandler.WriteInputStreamerParameters"
		size = 207
		refs = "006b TDBXActiveTableReaderList.AllocateRowHandle 007a TDBXJSonConnectionHandler.GetActiveTableReaderItem 0096 TDBXActiveTableReaderItem.SetReader 00ac TDBXJSonStreamWriter.WriteValueSeparator 00ba TDBXJSonConnectionHandler.WriteDBXReader"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8B 41 10 89 45 F4 8B 41 14 83 7D F4 FF 0F 8E A4 00 00 00 8B 7D F4 8B F0 2B F7 0F 8C 97 00 00 00 46 8B D7 8B 45 0C 8B 08 FF 51 04 8B D8 8B C3 8B 10 FF 52 50 83 F8 17 75 76 8B C3 8B 10 FF 52 40 48 74 05 83 E8 02 75 67 8B C3 8B 10 FF 52 7C 8B 10 FF 52 58 84 C0 75 57 8B 45 10 E8 ?? ?? ?? ?? 50 8B 4D F8 8B 55 10 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 8B C3 8B 10 FF 52 7C 8B 10 FF 92 AC 00 00 00 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 80 7D 08 00 75 05 3B 7D F4 7E 0B 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 4D F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 47 4E 0F 85 6A FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_10836_0 {
	meta:
		name = "TDBXJSonClientOutputConnectionHandler.DbxExecute"
		size = 372
		refs = "0017 TDBXJSonStreamWriter.WriteExecuteStart 003f TDBXJSonStreamWriter.WriteHandleObject 0078 TDBXJSonConnectionHandler.WriteParameters 009b TDBXJSonClientOutputConnectionHandler.DbxExecute 00ac TDBXJSonStreamWriter.WriteValueSeparator 00c3 TDBXJSonStreamWriter.WriteDataObject 00dc TDBXRowBuffer.Post 00e2 @HandleFinally 0105 TDBXJSonStreamWriter.WriteExecuteFieldsObject 012c TDBXJSonClientOutputConnectionHandler.WriteInputStreamerParameters 0137 TDBXJSonStreamWriter.WriteArrayEnd 0142 TDBXJSonStreamWriter.WriteObjectEnd 0153 TInvocationMetadataDelegate.WriteMetadata 015e TDBXJSonStreamWriter.Flush 016c TDBXExecuteMessage.HandleMessage"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 55 F8 89 45 FC C6 45 F7 00 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 C0 89 45 F0 8B 45 F8 80 78 28 00 0F 84 B6 00 00 00 8B 45 F8 8B 50 04 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 18 89 45 F0 83 7D F0 00 0F 84 B3 00 00 00 8B 45 F0 8B 10 FF 52 08 85 C0 0F 8E A3 00 00 00 8B 45 F8 80 78 14 00 74 0D B1 01 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 38 89 45 EC 8B 45 EC 8B 40 24 89 45 E8 8B 45 E8 83 78 10 00 7E 72 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 45 E8 8B 48 10 8B 45 E8 8B 50 08 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 40 0C 50 8B 45 F8 8B 40 10 50 8B 45 F8 8B 50 04 8B 45 FC 8B 40 18 33 C9 E8 ?? ?? ?? ?? 83 7D EC 00 74 21 8B 45 F8 8B 40 40 50 8B 45 F0 50 0F B6 45 F7 50 8B 45 F8 8B 50 04 8B 4D EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 45 F8 80 78 28 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 58 8B 45 F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_10839_0 {
	meta:
		name = "TDBXJSonClientOutputConnectionHandler.DbxNextResult"
		size = 38
		refs = "000d TDBXJSonStreamWriter.WriteNextResultObject 0015 TDBXJSonStreamWriter.Flush 001f TDBXNextResultMessage.HandleMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 56 04 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 53 58 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10840_0 {
	meta:
		name = "TDBXJSonClientOutputConnectionHandler.DbxPrepare"
		size = 75
		refs = "0017 TDBXJSonStreamWriter.WritePrepareStart 0022 TDBXJSonConnectionHandler.WriteParameters 002a TDBXJSonStreamWriter.WriteArrayEnd 0032 TDBXJSonStreamWriter.WriteObjectEnd 003a TDBXJSonStreamWriter.Flush 0044 TDBXPrepareMessage.HandleMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 0C 50 8B 46 10 50 33 C9 8B 56 04 8B 43 18 E8 ?? ?? ?? ?? B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 53 58 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10844_0 {
	meta:
		name = "TDBXJSonConnectionHandler.Create"
		size = 91
		refs = "000d @ClassCreate 001a TDBXConnectionHandler.Create 0045 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 14 89 46 14 8B 45 10 89 46 18 8B 45 0C 89 46 1C 0F B6 45 18 88 46 20 0F B6 45 08 88 46 21 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_10845_0 {
	meta:
		name = "TDBXJSonConnectionHandler.Destroy"
		size = 90
		refs = "0003 @BeforeDestruction 001d TObject.Free 0048 TDBXCommandHandler.Destroy 0053 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 21 00 74 30 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10846_0 {
	meta:
		name = "TDBXJSonConnectionHandler.IsConnectionLost"
		size = 35
		refs = "0007 TDBXJSonStreamReader.IsConnectionLost 0013 TDBXJSonStreamWriter.IsConnectionLost"
	strings:
		$1 = { 53 8B D8 8B 43 14 E8 ?? ?? ?? ?? 84 C0 75 10 8B 43 18 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_10847_0 {
	meta:
		name = "TDBXJSonConnectionHandler.IsNoDBXReaderParameterReturn"
		size = 56
	strings:
		$1 = { 53 8B DA 8B C3 8B 10 FF 52 08 48 75 27 33 D2 8B C3 8B 08 FF 51 04 8B D8 8B C3 8B 10 FF 52 40 83 F8 04 75 10 8B C3 8B 10 FF 52 50 83 F8 17 75 04 B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_10848_0 {
	meta:
		name = "TDBXJSonConnectionHandler.IsOutputDBXReader"
		size = 50
	strings:
		$1 = { 53 8B DA 8B C3 8B 10 FF 52 50 83 F8 17 75 1F 8B C3 8B 10 FF 52 40 83 C0 FE 83 E8 03 73 10 8B C3 8B 10 FF 52 7C 8B 10 FF 52 58 34 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_10849_0 {
	meta:
		name = "TDBXJSonConnectionHandler.CreateRowBuffer"
		size = 271
		refs = "0015 TDBXJSonConnectionHandler.CreateRowBuffer 0026 _Dn_TDBXRowBuffer 002b TDBXRowBuffer.Create 0062 TDBXInt32s 0067 @DynArraySetLength 0083 @DynArrayAsg 00a8 TDBXJSonStreamWriter.CalcRowBufferSize 00b2 TDBXBinaryStream.SetMinBufferSize 00d7 TObject.Free 00dd @HandleFinally 00fa @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 53 14 8B 45 F4 8B 08 FF 51 04 8B 53 18 8B 45 F4 8B 08 FF 51 08 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 89 30 8B 45 F4 83 C0 38 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 1C 85 C0 74 06 80 78 34 00 74 09 8B 45 F4 C6 40 34 01 EB 07 8B 45 F4 C6 40 34 00 8B 43 18 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? C6 45 F3 01 8B 45 F4 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F3 00 75 08 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10850_0 {
	meta:
		name = "TDBXJSonConnectionHandler.GetActiveTableReaderItem"
		size = 60
		refs = "0012 TDBXActiveTableReaderList.FindStreamerRowItem 0021 TDBXJSonConnectionHandler.CreateJSonRow 0031 TDBXActiveTableReaderList.AddDBXStreamerRow"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 55 08 8B C6 E8 ?? ?? ?? ?? 85 C0 75 1B B1 01 8B D7 8B C3 E8 ?? ?? ?? ?? 6A 01 6A 00 8B 4D 08 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10851_0 {
	meta:
		name = "TDBXJSonConnectionHandler.CreateJSonRow"
		size = 47
		refs = "0016 TDBXJSonConnectionHandler.CreateRowBuffer 0022 _Dn_TDBXJSonRow 0027 TDBXJSonRow.Create"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B 47 14 50 8B 47 18 50 8B D6 8B C7 E8 ?? ?? ?? ?? 50 53 8B 4F 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10852_0 {
	meta:
		name = "TDBXJSonConnectionHandler.ReadDBXReader"
		size = 19
		refs = "0002 TDBXJSonConnectionHandler.ReadDBXReaderMetaData 000b TDBXJSonReader.ReadFirstData"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_10853_0 {
	meta:
		name = "TDBXJSonConnectionHandler.ReadDBXReaderMetaData"
		size = 447
		refs = "0014 TDBXJSonConnectionHandler.ReadDBXReaderMetaData 0023 TDBXWritableValueArray 0028 @DynArrayClear 004f TDBXJSonStreamReader.ReadStringCode 006e TDBXJSonStreamReader.Next 0083 TDBXJSonStreamReader.ReadInt 009a TDBXJSonStreamReader.ReadBoolean 011b TDBXJSonConnectionHandler.CreateJSonRow 013c TDBXJSonConnectionHandler.ReadValueTypes 0144 TDBXJSonStreamReader.SkipToEndOfObject 0188 _Dn_TDBXJSonReader 018d TDBXJSonReader.Create 01b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 F6 C6 45 F7 00 83 CF FF 8B 43 08 89 45 F8 C7 45 E8 01 00 00 00 C6 45 E7 00 8B 43 14 E8 ?? ?? ?? ?? 83 E8 0D 0F 84 93 00 00 00 83 E8 05 0F 85 DB 00 00 00 BA 0C 00 00 00 8B 43 14 E8 ?? ?? ?? ?? BA 04 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B F8 BA 0D 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 88 45 F7 8B 43 14 E8 ?? ?? ?? ?? 83 F8 0D 0F 85 8E 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 89 45 EC 8B 43 14 E8 ?? ?? ?? ?? 83 F8 0D 75 76 8B 43 14 E8 ?? ?? ?? ?? 89 45 E8 8B 43 14 E8 ?? ?? ?? ?? 83 F8 0D 75 5E 8B 43 14 E8 ?? ?? ?? ?? 88 45 E7 EB 51 BA 0C 00 00 00 8B 43 14 E8 ?? ?? ?? ?? BA 04 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 89 45 F0 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 E8 89 46 2C 8B 45 F0 50 0F B6 45 E7 50 8D 45 FC 50 8B CE 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 83 F8 0D 0F 84 F2 FE FF FF 8B 43 14 E8 ?? ?? ?? ?? 8B 45 EC 89 46 0C 56 8B 45 EC 50 57 8B 45 FC 50 8B 43 14 50 8B 43 18 50 8B 46 24 50 0F B6 45 F7 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10854_0 {
	meta:
		name = "TDBXJSonConnectionHandler.HandleMetadataData"
		size = 18
		refs = "0001 TDBXJSonConnectionHandler.ReadMetadataData 0006 TInvocationMetadataDelegate.StoreMetadata 000d TObject.Free"
	strings:
		$1 = { E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10855_0 {
	meta:
		name = "TDBXJSonConnectionHandler.ReadMetadataData"
		size = 288
		refs = "0012 TDBXJSonConnectionHandler.ReadMetadataData 002a TDBXJSonStreamReader.Next 003f TDBXJSonStreamReader.ReadInt 005d TArray<System.Byte> 0062 @DynArraySetLength 0073 TDBXJSonStreamReader.ReadDataBytes 007b TDBXJSonStreamReader.SkipToEndOfObject 0095 TJSONObject.ParseJSONValue 00a7 @HandleOnException 00af _Dn_Exception 00b8 @DoneExcept 00c6 SMetadataParseError 00cb LoadResString 00db _Dn_TDBXError 00e0 TDBXError.Create 00e5 @RaiseExcept 00fd @UStrClr 010b @DynArrayClear 0111 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 43 14 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 43 14 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B F0 8B 43 14 BA 0D 00 00 00 E8 ?? ?? ?? ?? 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 56 8B 43 14 33 C9 8B 55 FC E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B1 01 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 75 27 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 B9 1D 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10856_0 {
	meta:
		name = "TDBXJSonConnectionHandler.ReadCallbackData"
		size = 329
		refs = "0011 TDBXJSonConnectionHandler.ReadCallbackData 0024 TDBXJSonStreamReader.Next 0039 TDBXJSonStreamReader.ReadStringCode 004d TDBXJSonStreamReader.ReadErrorBody 0057 SInvalidCallbackMessageFormat 005c LoadResString 006c _Dn_TDBXError 0071 TDBXError.Create 0076 @RaiseExcept 0098 TDBXJSonStreamReader.ReadInt 00b6 TArray<System.Byte> 00bb @DynArraySetLength 00cc TDBXJSonStreamReader.ReadDataBytes 00d4 TDBXJSonStreamReader.SkipToEndOfObject 00e0 TJSONObject.ParseJSONValue 00ec SCallbackArgParseError 0127 @UStrArrayClr 0135 @DynArrayClear 013b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 02 00 00 00 8B 43 14 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 83 E8 03 74 07 83 E8 0C 75 0C EB 31 8B 43 14 E8 ?? ?? ?? ?? EB 27 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B9 20 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 0C 00 00 00 8B 43 14 E8 ?? ?? ?? ?? BA 04 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B F0 BA 0D 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 56 33 C9 8B 55 FC 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? B1 01 33 D2 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 27 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 B9 20 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10857_0 {
	meta:
		name = "TDBXJSonConnectionHandler.ReadValueTypes"
		size = 570
		refs = "001e TDBXJSonConnectionHandler.ReadValueTypes 0035 TDBXWritableValueArray 003a @DynArrayClear 0053 @DynArraySetLength 0076 TDBXJSonStreamReader.Next 008c _Dn_TDBXValueType 0091 TDBXValueType.Create 00a7 TDBXJSonStreamReader.ReadString 00c4 TDBXJSonStreamReader.ReadInt 01cd TDBXJSonStreamReader.SkipToEndOfArray 01dc TDBXValue.CreateValue 0202 @DynArrayAsg 0217 @UStrClr 022b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D FC 89 4D F4 89 55 F8 8B 75 10 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 58 14 83 FE 01 7D 13 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C3 01 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 4E 85 F6 0F 8C 92 01 00 00 46 89 75 E8 C7 45 EC 00 00 00 00 BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 55 EC 8B C6 8B 08 FF 51 10 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 8B 08 FF 51 08 BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 8B D7 8B C6 8B 08 FF 51 14 BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 8B D7 8B C6 8B 08 FF 51 18 BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 99 52 50 8B C6 8B 10 FF 52 1C BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 20 BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 99 52 50 8B C6 8B 10 FF 52 30 BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 80 7D 0C 00 74 0B 8B D7 8B C6 8B 08 FF 51 28 EB 41 C7 45 F0 80 00 00 00 F7 C7 01 00 00 00 74 04 83 4D F0 02 F7 C7 02 00 00 00 74 04 83 4D F0 04 F7 C7 08 00 00 00 74 04 83 4D F0 01 F7 C7 40 00 00 00 74 04 83 4D F0 08 8B 55 F0 8B C6 8B 08 FF 51 28 8B C3 E8 ?? ?? ?? ?? 83 F8 05 74 17 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 04 8B C3 E8 ?? ?? ?? ?? 6A 01 8B 4D F4 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 4D EC 89 04 8A FF 45 EC FF 4D E8 0F 85 79 FE FF FF 8B 45 08 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_10858_0 {
	meta:
		name = "TDBXJSonConnectionHandler.WriteFirst"
		size = 483
		refs = "002b TDBXJSonStreamWriter.WriteTableObjectStart 0033 TDBXJSonStreamWriter.WriteFieldsObjectStart 003d TDBXJSonStreamWriter.WriteInt 0045 TDBXJSonStreamWriter.WriteValueSeparator 0057 TDBXJSonStreamWriter.WriteBoolean 0096 TDBXJSonStreamWriter.WriteArrayEnd 009e TDBXJSonStreamWriter.WriteObjectEnd 00ae TDBXJSonStreamWriter.WriteColumnsObjectStart 00e1 TDBXJSonStreamWriter.WriteArrayStart 00ec TDBXJSonStreamWriter.WriteString 0137 TDBXJSonStreamWriter.WriteLong"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 89 45 FC 8B 45 FC 8B 10 FF 52 1C 89 45 F8 8B 45 10 C6 40 18 00 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B D6 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 34 8B D0 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B D7 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 55 08 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? B2 01 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 18 E8 ?? ?? ?? ?? 83 7D F8 00 0F 8E F3 00 00 00 8B 43 18 E8 ?? ?? ?? ?? 33 FF 8B D7 8B 45 FC 8B 08 FF 51 18 8B F0 8B 43 18 E8 ?? ?? ?? ?? 8B 56 04 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 50 8B D0 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 54 8B D0 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 58 52 50 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 5C 8B D0 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 68 8B D0 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 64 8B D0 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 40 8B D0 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 47 3B 7D F8 7D 0D 8B 43 18 E8 ?? ?? ?? ?? E9 17 FF FF FF 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_10859_0 {
	meta:
		name = "TDBXJSonConnectionHandler.FlushStreamWriterIfNeeded"
		size = 114
		refs = "000d TDBXJSonConnectionHandler.FlushStreamWriterIfNeeded 0022 TArray<System.Byte> 0027 @DynArrayAsg 0035 @DynArrayLength 0046 TDBXJSonStreamWriter.Flush 0061 @DynArrayClear 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 18 8B 52 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 18 8B 70 10 8B 45 FC E8 ?? ?? ?? ?? 2B C6 3D 80 00 00 00 7D 08 8B 43 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10860_0 {
	meta:
		name = "TDBXJSonConnectionHandler.WriteNext"
		size = 477
		refs = "0044 TDBXJSonStreamWriter.WriteDataObjectStart 0051 TDBXJSonStreamWriter.WriteInt 005c TDBXJSonStreamWriter.WriteArrayEnd 0067 TDBXJSonStreamWriter.WriteObjectEnd 0076 TDBXJSonConnectionHandler.FlushStreamWriterIfNeeded 007e TDBXRowBuffer.Post 00ac TDBXJSonConnectionHandler.WriteNext 0118 @HandleOnException 0120 _Dn_Exception 012e TDBXRowBuffer.Cancel 013f _Dn_TDBXError 0144 TDBXError.Create 0149 @RaiseExcept 014e @DoneExcept 0192 TDBXJSonStreamWriter.WriteValueSeparator 01ac TDBXJSonStreamWriter.WriteDataBytes"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F8 89 45 FC C6 45 F7 01 8B 45 0C 89 45 F0 8B 45 F8 8B 40 24 89 45 EC 8B 45 EC 8B 40 2C 89 45 E8 80 7D 08 00 74 41 8B 45 F0 8B 10 FF 52 3C 84 C0 75 35 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? B0 01 E9 62 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F8 80 78 18 00 74 12 8B 45 F8 C6 40 18 00 8B 45 F0 8B 10 FF 52 3C 88 45 F7 8B 45 F0 8B 10 FF 52 1C 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 44 8B 5D E4 4B 85 DB 7C 1D 43 33 F6 8B D6 8B 45 F0 8B 08 FF 51 10 8B F8 8B 55 F8 8B C7 8B 08 FF 51 04 46 4B 75 E6 8B 45 EC 8B 40 10 3B 45 E8 7D 0D 8B 45 F0 8B 10 FF 52 3C 88 45 F7 EB 07 8B 45 F8 C6 40 18 01 80 7D F7 00 74 0B 8B 45 EC 8B 40 10 3B 45 E8 7C AB 33 C0 5A 59 59 64 89 10 EB 3B E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 EC E8 ?? ?? ?? ?? 8B 43 04 50 53 B9 1E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 85 C0 74 72 8B 55 EC 8B 5A 10 E8 ?? ?? ?? ?? 80 7D F7 00 74 0F 8B 45 FC 8B 40 18 8B D3 E8 ?? ?? ?? ?? EB 0F 8B D3 F7 DA 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 10 50 8B 45 EC 8B 50 08 8B 45 FC 8B 40 18 33 C9 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 0F B6 45 F7 34 01 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_10861_0 {
	meta:
		name = "TDBXJSonConnectionHandler.WriteDBXReader"
		size = 71
		refs = "0024 TDBXJSonConnectionHandler.WriteFirst 0035 TDBXJSonConnectionHandler.WriteNext"
	strings:
		$1 = { 53 56 57 55 8B F1 8B EA 8B F8 8B C6 8B 10 FF 52 04 8B D8 53 8B 46 14 50 8B 43 2C 50 8B 4B 0C 8B D5 8B C7 E8 ?? ?? ?? ?? 8B 46 14 50 6A 01 8B CB 8B D5 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10862_0 {
	meta:
		name = "TDBXJSonConnectionHandler.ReadParameter"
		size = 488
		refs = "000f TDBXJSonConnectionHandler.ReadParameter 001f _Dn_TDBXParameter 0024 TDBXParameter.Create 0033 TDBXJSonStreamReader.Next 003b TDBXJSonStreamReader.ReadInt 004c TDBXJSonStreamReader.NextValueSeparator 0086 TDBXJSonStreamReader.ReadLong 00bb TDBXJSonStreamReader.ReadString 01a2 TDBXJSonStreamReader.SkipToEndOfArray 01d4 @UStrArrayClr 01da @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA 04 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 14 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 18 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 04 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 52 50 8B C6 8B 10 FF 52 1C 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 20 8B 43 14 E8 ?? ?? ?? ?? 8D 55 FC 8B 43 14 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 08 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 24 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 99 52 50 8B C6 8B 10 FF 52 30 8B C6 8B 10 FF 52 68 83 FA 00 75 46 83 F8 00 75 41 8B C6 8B 10 FF 52 50 83 E8 01 74 05 83 E8 19 75 30 8B C6 8B 10 FF 52 40 83 C0 FE 83 E8 03 73 21 8B C6 8B 10 FF 52 58 83 FA 00 75 03 83 F8 00 74 10 8B C6 8B 10 FF 52 58 52 50 8B C6 8B 10 FF 52 30 8B 43 14 E8 ?? ?? ?? ?? 83 F8 0D 75 4B 8B 43 14 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 28 8B C6 8B 10 FF 52 74 84 C0 74 27 8B 43 14 E8 ?? ?? ?? ?? 8D 55 F8 8B 43 14 E8 ?? ?? ?? ?? 8B 45 F8 50 8B C6 8B 10 FF 52 7C 5A 8B 08 FF 91 78 01 00 00 8B 43 14 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 64 8B D0 81 CA 80 00 00 00 8B C6 8B 08 FF 51 28 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10863_0 {
	meta:
		name = "TDBXJSonConnectionHandler.ReadParameters"
		size = 284
		refs = "002b TDBXJSonStreamReader.Next 0043 TDBXJSonConnectionHandler.ReadParameters 0054 TDBXJSonStreamReader.ReadInt 00a1 TDBXJSonStreamReader.NextValueSeparator 00a9 TDBXJSonConnectionHandler.ReadParameter 00cf _Dn_TDBXDriverHelp 00d4 TDBXDriverHelp.UpdateParameterType 00de TObject.Free 0109 TDBXJSonStreamReader.SkipToEndOfObject 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 55 F8 89 45 FC 8B 45 F8 8B 58 18 85 DB 75 06 8B 45 F8 8B 58 1C 8B 45 FC 8B 40 14 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 8E 93 00 00 00 8B C3 8B 10 FF 52 08 89 45 F0 83 7D F0 00 75 09 8B D6 8B C3 8B 08 FF 51 0C 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 83 F8 0D 75 5D 4E 85 F6 7C 58 46 89 75 EC 33 F6 85 F6 74 0B 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 83 7D F0 00 75 24 8B 4D F4 8B D6 8B C3 8B 38 FF 57 14 8B 45 FC 80 78 20 00 74 17 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8B 45 F4 E8 ?? ?? ?? ?? 46 FF 4D EC 75 AE 83 7D F0 00 75 07 8B 45 F8 C6 40 14 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10864_0 {
	meta:
		name = "TDBXJSonConnectionHandler.WriteParameter"
		size = 318
		refs = "000d TDBXJSonConnectionHandler.WriteParameter 001d TDBXJSonStreamWriter.WriteValueSeparator 0024 TDBXJSonStreamWriter.WriteArrayStart 0034 TDBXJSonStreamWriter.WriteInt 0079 TDBXJSonStreamWriter.WriteLong 00a1 TDBXJSonStreamWriter.WriteString 0118 TDBXJSonStreamWriter.WriteArrayEnd 012d @UStrClr 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 58 18 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 50 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 54 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 40 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 58 52 50 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 5C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 56 04 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 60 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 68 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 64 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 74 84 C0 74 20 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 7C 8D 55 FC 8B 08 FF 51 70 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10865_0 {
	meta:
		name = "TDBXJSonConnectionHandler.WriteParameters"
		size = 133
		refs = "002e TDBXJSonStreamWriter.WriteValueSeparator 0038 TDBXJSonStreamWriter.WriteParametersObjectStart 005f TDBXJSonConnectionHandler.WriteParameter 006b TDBXJSonStreamWriter.WriteArrayEnd 0073 TDBXJSonStreamWriter.WriteObjectEnd"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 88 4C 24 04 89 14 24 8B D8 8B 04 24 8B 70 18 8B C6 8B 10 FF 52 08 8B F8 85 FF 7E 5B 80 7C 24 04 00 74 08 8B 43 18 E8 ?? ?? ?? ?? 8B D7 8B 43 18 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 04 85 C0 74 1E 4F 85 FF 7C 19 47 33 ED 8B D5 8B C6 8B 08 FF 51 04 8B D0 8B C3 E8 ?? ?? ?? ?? 45 4F 75 EA 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 04 24 C6 40 14 00 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10866_0 {
	meta:
		name = "TDBXJSonConnectionHandler.WriteCallbackData"
		size = 29
		refs = "000a TDBXJSonStreamWriter.WriteCallback 0016 TDBXJSonStreamWriter.Flush"
	strings:
		$1 = { 53 56 8B D9 8B F0 8B 46 18 E8 ?? ?? ?? ?? 84 DB 74 08 8B 46 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10867_0 {
	meta:
		name = "TDBXJSonConnectionHandler.WriteMetadataData"
		size = 29
		refs = "000a TDBXJSonStreamWriter.WriteMetadata 0016 TDBXJSonStreamWriter.Flush"
	strings:
		$1 = { 53 56 8B D9 8B F0 8B 46 18 E8 ?? ?? ?? ?? 84 DB 74 08 8B 46 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10879_0 {
	meta:
		name = "AddToEventDictionary"
		size = 166
		refs = "0019 FEventDictionary 0025 _DV_TObjectDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent> 002a TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Create 003a TMonitor.CheckMonitorSupport 0041 TMonitor.GetMonitor 0049 TMonitor.Enter 0051 AddToEventDictionary 0063 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.ContainsKey 0075 TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Add 0090 TMonitor.Exit 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B D8 C6 45 FF 00 85 DB 0F 84 85 00 00 00 83 3D ?? ?? ?? ?? 00 75 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 12 8B CF 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10880_0 {
	meta:
		name = "RemoveFromEventDictionary"
		size = 248
		refs = "000d RemoveFromEventDictionary 001b @IntfClear 0029 FEventDictionary 003b TMonitor.CheckMonitorSupport 0042 TMonitor.GetMonitor 004a TMonitor.Enter 006e TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.TryGetValue 007e TDictionary<Data.DBXMessageHandlerJSonServer.TDBXJSonServerProtocolHandler,Datasnap.DSService.TDSSessionEvent>.Remove 0083 TDSSessionManager.FInstance 008d TDSSessionManager.RemoveSessionEvent 00aa TObject.Free 00ca TMonitor.Exit 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 85 DB 0F 84 AF 00 00 00 83 3D ?? ?? ?? ?? 00 0F 84 A2 00 00 00 8B 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 78 08 00 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10881_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.Create"
		size = 283
		refs = "000d @ClassCreate 002d TDBXJSonConnectionHandler.Create 003e _Dn_TDBXCommandCloseMessage 0043 TObject.Create 004d _Dn_TDBXConnectMessage 005c _Dn_TDBXDisconnectMessage 006b _Dn_TDBXExecuteMessage 007a _Dn_TDBXMoreBlobMessage 0089 _Dn_TDBXNextMessage 0098 _Dn_TDBXNextResultMessage 00a7 _Dn_TDBXPrepareMessage 00b6 _Dn_TDBXReaderCloseMessage 00c5 _Dn_TDBXTxBeginMessage 00d4 _Dn_TDBXTxEndMessage 00e3 _Dn_TDBXVendorPropertyMessage 00f2 _Dn_TDBXErrorMessage 0105 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B6 45 18 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 6A 01 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 14 89 46 64 C6 46 58 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 54 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_10882_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.Destroy"
		size = 282
		refs = "0003 @BeforeDestruction 0018 TObject.Free 0106 TDBXJSonConnectionHandler.Destroy 0113 @ClassDestroy"
	strings:
		$1 = { 53 51 E8 ?? ?? ?? ?? 88 14 24 8B D8 8D 43 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 28 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 2C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 34 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 4C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 54 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 60 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 68 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 0F B6 14 24 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_10883_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.DbxOpen"
		size = 27
	strings:
		$1 = { 53 8B D8 8B 53 14 8B 43 1C 8B 08 FF 51 04 8B 53 18 8B 43 1C 8B 08 FF 51 08 5B C3 }
	condition:
		$1
}

rule function_10884_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.DbxBeforeRequest"
		size = 9
	strings:
		$1 = { 8B 40 64 8B 10 FF 52 4C C3 }
	condition:
		$1
}

rule function_10885_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.GetProductName"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 64 8B 08 FF 51 50 5E 5B C3 }
	condition:
		$1
}

rule function_10886_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.AcquireCommandHandler"
		size = 9
	strings:
		$1 = { 8B 40 64 8B 08 FF 51 48 C3 }
	condition:
		$1
}

rule function_10887_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.HandleProtocol"
		size = 156
		refs = "000e TDBXJSonServerInputConnectionHandler.HandleProtocol 002f TDBXJSonStreamReader.ReadMethod 0037 TDBXJSonServerInputConnectionHandler.HandleDbxRequest 005a @HandleOnException 0062 _Dn_Exception 0070 TDBXJSonServerInputConnectionHandler.UnexpectedError 0075 @DoneExcept 008a TDBXJSonServerInputConnectionHandler.Close 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 EB 1E 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 07 8B 45 FC C6 40 58 00 8B 45 FC 80 78 58 00 75 D9 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10888_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.HandleNonBlockingProtocol"
		size = 192
		refs = "000e TDBXJSonServerInputConnectionHandler.HandleNonBlockingProtocol 002d TDBXJSonStreamReader.ReadMethod 0035 TDBXJSonServerInputConnectionHandler.HandleDbxRequest 0054 TDBXJSonStreamReader.HasMoreBytes 0067 @HandleOnException 006f _Dn_Exception 007d TDBXJSonServerInputConnectionHandler.UnexpectedError 0089 @DoneExcept 00a7 TDBXJSonServerInputConnectionHandler.Close 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 07 8B 45 FC C6 40 58 00 8B 45 FC 80 78 58 00 74 0F 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 84 C0 75 CA 33 C0 5A 59 59 64 89 10 EB 27 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 58 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 78 58 00 75 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B 45 FC 0F B6 40 58 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10889_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.HandleDbxRequest"
		size = 511
		refs = "000e TDBXJSonServerInputConnectionHandler.HandleDbxRequest 0179 TDBXJSonStreamReader.SkipToEndOfObject 0188 @HandleOnException 0190 _Dn_Exception 01ae TDBXErrorMessage.SetError 01e0 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 4C 84 C0 75 0F 33 DB 33 C0 5A 59 59 64 89 10 E9 C4 01 00 00 8B 45 FC 8B 40 14 8B 50 08 83 C2 FC 83 FA 14 0F 87 30 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 50 28 8B 45 FC 8B 08 FF 51 30 E9 C7 00 00 00 8B 45 FC 8B 50 2C 8B 45 FC 8B 08 FF 51 34 33 DB 33 C0 5A 59 59 64 89 10 E9 24 01 00 00 8B 45 FC 8B 50 30 8B 45 FC 8B 08 FF 11 E9 98 00 00 00 8B 45 FC 8B 50 3C 8B 45 FC 8B 08 FF 51 08 E9 85 00 00 00 8B 45 FC 8B 50 40 8B 45 FC 8B 08 FF 51 04 EB 75 8B 45 FC 8B 50 38 8B 45 FC 8B 08 FF 51 0C EB 65 8B 45 FC 8B 50 34 8B 45 FC 8B 08 FF 51 10 EB 55 8B 45 FC 8B 50 24 8B 45 FC 8B 08 FF 51 14 EB 45 8B 45 FC 8B 50 44 8B 45 FC 8B 08 FF 51 18 EB 35 8B 45 FC 8B 50 48 8B 45 FC 8B 08 FF 51 38 EB 25 8B 45 FC 8B 50 4C 8B 45 FC 8B 08 FF 51 3C EB 15 8B 45 FC 8B 50 50 8B 45 FC 8B 08 FF 51 40 EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 6E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 52 54 92 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 64 8B 45 FC 8B 40 54 8B 08 FF 11 33 C0 5A 59 59 64 89 10 EB 24 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10890_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.UnexpectedError"
		size = 23
		refs = "0012 TDBXContext.Error"
	strings:
		$1 = { 80 78 58 00 74 10 52 33 C9 8B 40 08 BA 1E 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10891_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.DbxConnect"
		size = 237
		refs = "0012 TDBXJSonServerInputConnectionHandler.DbxConnect 0026 TDBXJSonStreamReader.ReadParams 003f TObject.Free 0046 _Dn_TDBXProperties 004b TDBXProperties.Create 005b TDBXJSonStreamReader.Next 0067 TDBXJSonStreamReader.ReadString 008b TDBXProperties.SetValue 00b6 TDBXJSonStreamReader.SkipToEndOfObject 00c0 TDBXConnectMessage.HandleMessage 00da @UStrArrayClr 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5E 14 C6 47 10 01 8B C3 E8 ?? ?? ?? ?? 83 F8 04 0F 85 80 00 00 00 8D 46 68 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 68 8B 46 68 89 47 04 8B C3 E8 ?? ?? ?? ?? EB 3A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B 46 68 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 F8 0D 75 0C 8B C3 E8 ?? ?? ?? ?? 83 F8 0A 74 BA BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 56 64 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10892_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.ProcessDisconnect"
		size = 10
		refs = "0005 TDBXDisconnectMessage.HandleMessage"
	strings:
		$1 = { 8B 40 64 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10893_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.DbxDisconnect"
		size = 26
		refs = "000a TDBXJSonStreamReader.SkipToEndOfObject 0013 TDBXJSonServerInputConnectionHandler.ProcessDisconnect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 14 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10894_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.ReadDbxDataTypes"
		size = 250
		refs = "0015 TDBXJSonServerInputConnectionHandler.ReadDbxDataTypes 0027 TDBXInt32s 002c @DynArrayClear 0033 TDBXJSonStreamReader.ReadInt 003c TDBXJSonStreamReader.Next 0055 @DynArraySetLength 0060 @DynArrayLength 00b5 TDBXJSonStreamReader.SkipToEndOfArray 00cc @DynArrayAsg 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 58 14 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 83 F8 0D 75 7A 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 56 40 89 45 F4 33 FF 85 FF 74 0C BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C1 E0 10 0B F0 8B 45 FC 89 34 B8 8B C3 E8 ?? ?? ?? ?? 47 FF 4D F4 75 B0 8B 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10895_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.DbxExecute"
		size = 650
		refs = "001d TDBXJSonServerInputConnectionHandler.DbxExecute 0032 TDBXActiveTableReaderList.CloseAllActiveTableReaders 0039 TDBXJSonStreamReader.ReadParams 0041 TDBXExecuteMessage.Reset 004d TDBXJSonStreamReader.Next 0060 TDBXJSonStreamReader.ReadStringCode 00b4 TDBXJSonStreamReader.ReadInt 00c1 TDBXJSonStreamReader.SkipToEndOfObject 00d8 _Dn_TDBXParameterList 00dd TDBXParameterList.Create 0128 TDBXJSonConnectionHandler.ReadParameter 0148 TDBXCommandMessage.SetExplicitParameters 0160 TDBXJSonServerInputConnectionHandler.ReadDbxDataTypes 016f TDBXInt32s 0174 @DynArrayAsg 0194 TDBXJSonStreamReader.NextValueSeparator 019b TDBXJSonStreamReader.ReadBoolean 01b2 TDBXJSonStreamReader.ReadString 01c0 @UStrAsg 01f0 TDBXRowBuffer.ReadDataBytes 0207 TDBXJSonConnectionHandler.ReadDBXReader 0211 TDBXExecuteMessage.AddTableReader 023b TDBXJSonServerInputConnectionHandler.ProcessDisconnect 024f TDBXExecuteMessage.HandleMessage 0269 @UStrArrayClr 0277 @DynArrayClear 027d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 4D E8 89 4D EC 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5E 14 8B 46 60 85 C0 74 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 C7 F4 83 FF 07 0F 87 8B 01 00 00 FF 24 BD ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8B C3 E8 ?? ?? ?? ?? E9 4B 01 00 00 80 7E 20 00 74 7E 6A 00 8B 4E 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B C3 E8 ?? ?? ?? ?? 8B F8 8B D7 8B 45 F8 8B 08 FF 51 0C 8B C3 E8 ?? ?? ?? ?? 83 F8 0D 75 3E 4F 85 FF 7C 39 47 89 7D F0 C7 45 F4 00 00 00 00 83 7D F4 00 74 0C BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 F8 8B 38 FF 57 14 FF 45 F4 FF 4D F0 75 D2 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 2A 8B C3 E8 ?? ?? ?? ?? 83 F8 0D 75 1E 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 83 C0 20 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 91 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 88 42 08 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 83 C0 0C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 83 C0 10 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 29 8B 46 1C E8 ?? ?? ?? ?? 8B 45 FC C6 40 34 01 8B C3 E8 ?? ?? ?? ?? EB 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 F8 0D 0F 84 20 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 46 28 80 78 10 00 75 0A 8B 56 2C 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 45 FC 8B 08 FF 11 8B 56 64 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10896_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.DbxNextResult"
		size = 46
		refs = "000a TDBXJSonStreamReader.ReadParams 0012 TDBXJSonStreamReader.ReadInt 001d TDBXJSonStreamReader.SkipToEndOfObject 0027 TDBXNextResultMessage.HandleMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 89 46 04 8B 43 14 E8 ?? ?? ?? ?? 8B 53 64 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10900_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.DbxCommandClose"
		size = 46
		refs = "000a TDBXJSonStreamReader.ReadParams 0012 TDBXJSonStreamReader.ReadInt 001d TDBXJSonStreamReader.SkipToEndOfObject 0027 TDBXCommandCloseMessage.HandleMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 89 46 04 8B 43 14 E8 ?? ?? ?? ?? 8B 53 64 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10902_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.DbxTxBegin"
		size = 46
		refs = "000a TDBXJSonStreamReader.ReadParams 0012 TDBXJSonStreamReader.ReadInt 001d TDBXJSonStreamReader.SkipToEndOfObject 0027 TDBXTxBeginMessage.HandleMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 89 46 04 8B 43 14 E8 ?? ?? ?? ?? 8B 53 64 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10897_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.DbxPrepare"
		size = 478
		refs = "001c TDBXJSonServerInputConnectionHandler.DbxPrepare 0033 TDBXPrepareMessage.Reset 003b TDBXJSonStreamReader.ReadParams 0051 TDBXJSonStreamReader.ReadInt 005f TDBXJSonStreamReader.NextValueSeparator 0067 TDBXJSonStreamReader.ReadBoolean 0080 TDBXJSonStreamReader.ReadString 008e @UStrAsg 00c1 TDBXJSonStreamReader.Next 00c9 TDBXJSonStreamReader.ReadStringCode 00df _Dn_TDBXParameterList 00e4 TDBXParameterList.Create 00ee TDBXCommandMessage.SetExplicitParameters 0102 TDBXJSonConnectionHandler.ReadParameters 0129 TDBXJSonServerInputConnectionHandler.ReadDbxDataTypes 0138 TDBXInt32s 013d @DynArrayAsg 0145 TDBXJSonStreamReader.SkipToEndOfObject 017b @HandleFinally 0197 TDBXJSonServerInputConnectionHandler.ProcessDisconnect 01a5 TDBXPrepareMessage.HandleMessage 01c0 @DynArrayClear 01cd @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D E8 89 4D EC 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 89 45 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 89 42 04 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 88 42 08 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 83 C0 0C E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 83 C0 10 E8 ?? ?? ?? ?? E9 9B 00 00 00 BA 02 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 83 EB 13 75 77 6A 00 8B 45 FC 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 80 78 20 00 74 0D 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 4B BA 0C 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? BA 04 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 83 C0 20 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 08 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 F8 0D 0F 84 54 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 40 28 80 78 10 00 75 0E 8B 45 FC 8B 50 2C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 50 64 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10898_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.DbxNext"
		size = 100
		refs = "000a TDBXJSonStreamReader.ReadParams 0012 TDBXJSonStreamReader.ReadInt 001d TDBXJSonStreamReader.NextValueSeparator 0025 TDBXJSonStreamReader.ReadLong 0033 TDBXJSonStreamReader.Next 0053 TDBXJSonStreamReader.SkipToEndOfObject 005d TDBXNextMessage.HandleMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 89 46 08 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 89 46 10 89 56 14 8B 43 14 E8 ?? ?? ?? ?? 83 F8 0D 75 0D 8B 43 14 E8 ?? ?? ?? ?? 89 46 04 EB 06 8B 46 08 89 46 04 8B 43 14 E8 ?? ?? ?? ?? 8B 53 64 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10899_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.DbxMoreBlob"
		size = 167
		refs = "000a TDBXJSonStreamReader.ReadParams 0012 TDBXJSonStreamReader.ReadInt 001d TDBXJSonStreamReader.NextValueSeparator 0038 TDBXJSonStreamReader.ReadLong 0060 TDBXJSonStreamReader.Next 006d TDBXJSonStreamReader.ReadBoolean 0096 TDBXJSonStreamReader.SkipToEndOfObject 00a0 TDBXMoreBlobMessage.HandleMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 89 46 04 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 89 46 0C 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 89 46 10 89 56 14 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 89 46 18 C7 46 08 FF FF FF FF 8B 43 14 E8 ?? ?? ?? ?? 83 F8 0D 75 25 8B 43 14 E8 ?? ?? ?? ?? 88 46 1C 8B 43 14 E8 ?? ?? ?? ?? 83 F8 0D 75 11 8B 43 14 E8 ?? ?? ?? ?? 89 46 08 EB 04 C6 46 1C 00 8B 43 14 E8 ?? ?? ?? ?? 8B 53 64 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10901_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.DbxReaderClose"
		size = 78
		refs = "000a TDBXJSonStreamReader.ReadParams 0012 TDBXJSonStreamReader.ReadInt 001d TDBXJSonStreamReader.Next 003d TDBXJSonStreamReader.SkipToEndOfObject 0047 TDBXReaderCloseMessage.HandleMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 89 46 04 8B 43 14 E8 ?? ?? ?? ?? 83 F8 0D 75 0D 8B 43 14 E8 ?? ?? ?? ?? 89 46 08 EB 06 8B 46 04 89 46 08 8B 43 14 E8 ?? ?? ?? ?? 8B 53 64 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10903_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.DbxTxEnd"
		size = 65
		refs = "000a TDBXJSonStreamReader.ReadParams 0012 TDBXJSonStreamReader.ReadBoolean 001d TDBXJSonStreamReader.NextValueSeparator 0025 TDBXJSonStreamReader.ReadInt 0030 TDBXJSonStreamReader.SkipToEndOfObject 003a TDBXTxEndMessage.HandleMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 88 46 04 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 89 46 08 8B 43 14 E8 ?? ?? ?? ?? 8B 53 64 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10904_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.DbxVendorProperty"
		size = 107
		refs = "000f TDBXJSonServerInputConnectionHandler.DbxVendorProperty 001d TDBXJSonStreamReader.ReadParams 0028 TDBXJSonStreamReader.ReadString 0033 @UStrAsg 003b TDBXJSonStreamReader.SkipToEndOfObject 0045 TDBXVendorPropertyMessage.HandleMessage 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 14 E8 ?? ?? ?? ?? 8D 55 FC 8B 43 14 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 04 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B 53 64 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_10905_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.DbxErrorMessage"
		size = 9
	strings:
		$1 = { 8B 40 64 92 8B 08 FF 11 C3 }
	condition:
		$1
}

rule function_10906_0 {
	meta:
		name = "TDBXJSonServerInputConnectionHandler.Close"
		size = 29
		refs = "000b TDBXJSonStreamReader.Close 0017 TDBXJSonStreamWriter.Close"
	strings:
		$1 = { 53 8B D8 8B 43 14 85 C0 74 05 E8 ?? ?? ?? ?? 8B 43 18 85 C0 74 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10912_0 {
	meta:
		name = "TDBXJSonServerOutputConnectionHandler.WriteReaderFirst"
		size = 117
		refs = "0016 TDBXActiveTableReaderList.AllocateRowHandle 0029 TDBXJSonConnectionHandler.GetActiveTableReaderItem 0041 TDBXActiveTableReaderItem.SetReader 004f TDBXJSonStreamWriter.WriteValueSeparator 0065 TDBXJSonConnectionHandler.WriteFirst"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B F0 8B 5F 40 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 50 8B 4F 04 8B D3 8B C6 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 10 FF 52 04 8B D8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 80 7D 08 00 74 08 8B 46 18 E8 ?? ?? ?? ?? 53 8B 45 FC 50 8B 43 2C 50 8B 57 04 8B 4B 0C 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_10913_0 {
	meta:
		name = "TDBXJSonServerOutputConnectionHandler.WriteReaderNext"
		size = 76
		refs = "0017 TDBXActiveTableReaderList.FindStreamerRowItem 0036 TDBXJSonConnectionHandler.WriteNext"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B F0 8B 47 40 8B 55 08 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 04 89 45 F8 8B 45 FC 50 6A 01 8B 57 04 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 08 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_10914_0 {
	meta:
		name = "TDBXJSonServerOutputConnectionHandler.DbxExecute"
		size = 630
		refs = "002a TDBXJSonStreamWriter.WriteResultObjectStart 0043 TDBXJSonStreamWriter.WriteRowsObjectStart 0050 TDBXJSonStreamWriter.WriteLong 0057 TDBXJSonStreamWriter.WriteArrayEnd 005e TDBXJSonStreamWriter.WriteObjectEnd 00a0 TDBXJSonConnectionHandler.WriteParameters 00e7 TDBXJSonStreamWriter.WriteValueSeparator 00ee TDBXJSonServerOutputConnectionHandler.FlushRowBuffer 011b TDBXJSonConnectionHandler.IsOutputDBXReader 015b TDBXJSonServerOutputConnectionHandler.WriteReaderFirst 022a TDBXJSonServerOutputConnectionHandler.WriteReaderNext 026a TDBXJSonStreamWriter.Flush"
	strings:
		$1 = { 53 56 57 55 83 C4 CC 8B FA 8B E8 8B 75 18 8B 47 3C 89 04 24 8B 47 48 89 44 24 28 8B 47 4C 89 44 24 2C C6 44 24 20 00 8B C6 E8 ?? ?? ?? ?? 83 7C 24 2C FF 75 09 83 7C 24 28 FF 76 2B EB 02 7E 27 8B C6 E8 ?? ?? ?? ?? FF 77 4C FF 77 48 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C6 44 24 20 01 C7 44 24 0C FF FF FF FF C7 44 24 10 FF FF FF FF C7 44 24 14 FF FF FF FF 8B 47 18 89 44 24 08 80 7F 35 00 0F 84 31 01 00 00 80 7F 14 00 74 13 0F B6 4C 24 20 8B D7 8B C5 E8 ?? ?? ?? ?? C6 44 24 20 01 80 7F 36 00 0F 84 F8 00 00 00 83 7C 24 08 00 0F 84 C7 00 00 00 8B 44 24 08 8B 10 FF 52 08 85 C0 0F 8E B6 00 00 00 8B 44 24 08 8B 10 FF 52 08 89 44 24 04 80 7C 24 20 00 74 08 8B 45 18 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? C6 44 24 20 01 33 C0 89 44 24 1C 8B 44 24 1C 3B 44 24 04 7D 7E 8B 54 24 1C 8B 44 24 08 8B 08 FF 51 04 8B D8 8B D3 8B C5 E8 ?? ?? ?? ?? 84 C0 74 54 8B 44 24 1C 89 44 24 10 83 7C 24 0C 00 7D 08 8B 44 24 10 89 44 24 0C 8B C3 8B 10 FF 52 7C 8B 10 FF 92 AC 00 00 00 89 04 24 0F B6 44 24 20 50 8B 4C 24 04 8B D7 8B C5 E8 ?? ?? ?? ?? 89 44 24 18 C6 44 24 20 01 83 7C 24 14 00 7D 08 8B 44 24 18 89 44 24 14 FF 44 24 1C 8B 44 24 1C 3B 44 24 04 7C 82 83 7C 24 0C 00 7D 35 83 3C 24 00 74 2F 0F B6 44 24 20 50 8B 4C 24 04 8B D7 8B C5 E8 ?? ?? ?? ?? 89 44 24 14 EB 16 80 7C 24 20 00 74 08 8B 45 18 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7C 24 0C FF 7E 79 8B 44 24 14 89 44 24 18 8B 44 24 0C 8B 54 24 10 2B D0 7C 7D 42 89 54 24 30 89 44 24 1C 8B 54 24 1C 8B 44 24 08 8B 08 FF 51 04 8B D8 8B D3 8B C5 E8 ?? ?? ?? ?? 84 C0 74 34 8B 44 24 18 50 8B C3 8B 10 FF 52 7C 8B 10 FF 92 AC 00 00 00 8B C8 8B D7 8B C5 E8 ?? ?? ?? ?? FF 44 24 18 8B 44 24 1C 3B 44 24 10 74 07 8B C6 E8 ?? ?? ?? ?? FF 44 24 1C FF 4C 24 30 75 A6 EB 18 83 3C 24 00 74 12 8B 44 24 14 50 8B 4C 24 04 8B D7 8B C5 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 C4 34 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10915_0 {
	meta:
		name = "TDBXJSonServerOutputConnectionHandler.DbxPrepare"
		size = 143
		refs = "000e TDBXJSonStreamWriter.WriteResultObjectStart 0019 TDBXJSonStreamWriter.WriteHandleObject 0021 TDBXJSonStreamWriter.WriteValueSeparator 0029 TDBXJSonStreamWriter.WriteFieldsObjectStart 0033 TDBXJSonStreamWriter.WriteInt 0045 TDBXJSonStreamWriter.WriteBoolean 004d TDBXJSonStreamWriter.WriteArrayEnd 0055 TDBXJSonStreamWriter.WriteObjectEnd 006f TDBXJSonConnectionHandler.WriteParameters 0087 TDBXJSonStreamWriter.Flush"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 77 18 8B 43 18 E8 ?? ?? ?? ?? 8B 57 04 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 33 D2 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 33 D2 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 85 F6 74 16 8B C6 8B 10 FF 52 08 85 C0 7E 0B B1 01 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10916_0 {
	meta:
		name = "TDBXJSonServerOutputConnectionHandler.DbxNextResult"
		size = 104
		refs = "0007 TDBXJSonStreamWriter.WriteResultObjectStart 0011 TDBXJSonStreamWriter.WriteBoolean 0019 TDBXJSonStreamWriter.WriteValueSeparator 0025 TDBXJSonStreamWriter.WriteLong 004a TDBXJSonStreamWriter.WriteInt 0052 TDBXJSonStreamWriter.WriteArrayEnd 005a TDBXJSonStreamWriter.WriteObjectEnd 0062 TDBXJSonStreamWriter.Flush"
	strings:
		$1 = { 53 8B D8 8B 43 18 E8 ?? ?? ?? ?? 33 D2 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 33 D2 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 83 CA FF 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10917_0 {
	meta:
		name = "TDBXJSonServerOutputConnectionHandler.DbxNext"
		size = 78
		refs = "0017 TDBXJSonConnectionHandler.GetActiveTableReaderItem 0034 TDBXJSonConnectionHandler.WriteNext 0045 TDBXJSonStreamWriter.Flush"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B 46 18 8B 56 08 52 8B 4E 04 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C7 8B 10 FF 52 04 8B E8 8B 47 14 50 6A 00 8B CD 8B 56 04 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 08 8B 43 18 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_10918_0 {
	meta:
		name = "TDBXJSonServerOutputConnectionHandler.DbxMoreBlob"
		size = 55
		refs = "000a TDBXJSonStreamWriter.WriteResultObjectStart 0015 TDBXJSonStreamWriter.WriteDataObject 0020 TDBXJSonStreamWriter.WriteArrayEnd 0028 TDBXJSonStreamWriter.WriteObjectEnd 0030 TDBXJSonStreamWriter.Flush"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 18 E8 ?? ?? ?? ?? 8B 56 20 8B 43 18 E8 ?? ?? ?? ?? 88 46 24 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10921_0 {
	meta:
		name = "TDBXJSonServerOutputConnectionHandler.DbxErrorMessage"
		size = 144
		refs = "0018 TDBXJSonServerOutputConnectionHandler.DbxErrorMessage 002a SRemoteError 002f LoadResString 0048 Format 005c TDBXJSonStreamWriter.WriteRpcError 0064 TDBXJSonStreamWriter.Flush 007e @UStrArrayClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 46 0C 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 45 FC 50 6A 00 8B 4E 08 8B 56 10 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_10922_0 {
	meta:
		name = "TDBXJSonServerOutputConnectionHandler.DbxVendorProperty"
		size = 52
		refs = "000a TDBXJSonStreamWriter.WriteResultObjectStart 0015 TDBXJSonStreamWriter.WriteString 001d TDBXJSonStreamWriter.WriteArrayEnd 0025 TDBXJSonStreamWriter.WriteObjectEnd 002d TDBXJSonStreamWriter.Flush"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 18 E8 ?? ?? ?? ?? 8B 56 08 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10923_0 {
	meta:
		name = "TDBXJSonServerOutputConnectionHandler.DbxConnect"
		size = 87
		refs = "000a TDBXJSonStreamWriter.WriteResultObjectStart 0014 TDBXJSonStreamWriter.WriteInt 001b TDBXJSonStreamWriter.WriteValueSeparator 0025 TDBXJSonStreamWriter.WriteString 0032 TDBXJSonStreamWriter.ProtocolVersion 0042 TDBXJSonStreamWriter.WriteArrayEnd 0049 TDBXJSonStreamWriter.WriteObjectEnd 0050 TDBXJSonStreamWriter.Flush"
	strings:
		$1 = { 53 56 8B F2 8B 58 18 8B C3 E8 ?? ?? ?? ?? 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10925_0 {
	meta:
		name = "TDBXJSonServerOutputConnectionHandler.DbxTxBegin"
		size = 21
		refs = "000f TDBXJSonStreamWriter.WriteResultObject"
	strings:
		$1 = { 53 8B DA 8B C8 8B 43 08 99 52 50 8B 41 18 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10926_0 {
	meta:
		name = "TDBXJSonServerOutputConnectionHandler.DbxTxEnd"
		size = 9
		refs = "0004 TDBXJSonStreamWriter.WriteResultVoidObject"
	strings:
		$1 = { 8B 40 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97260_0 {
	meta:
		name = "TAdapterObjectErrorsList.ImplDefineLabel"
		size = 9
		refs = "0004 TBaseAdapterErrorsList.DefineLabel"
	strings:
		$1 = { 8B 40 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78497_0 {
	meta:
		name = "TDirect2DFont.SetColor"
		size = 9
		refs = "0004 TDirect2DBrush.SetColor"
	strings:
		$1 = { 8B 40 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78485_0 {
	meta:
		name = "TDirect2DPen.SetColor"
		size = 9
		refs = "0004 TDirect2DBrush.SetColor"
	strings:
		$1 = { 8B 40 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96591_0 {
	meta:
		name = "TISAPIThreadPool.GetThreadCount"
		size = 9
		refs = "0004 @DynArrayLength"
	strings:
		$1 = { 8B 40 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30062_0 {
	meta:
		name = "TObjectManager.Unlock"
		size = 9
		refs = "0004 TMonitor.Exit"
	strings:
		$1 = { 8B 40 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50632_0 {
	meta:
		name = "TWebServerResponse.SetStatusCode"
		size = 9
		refs = "0004 TIdHTTPResponseInfo.SetResponseNo"
	strings:
		$1 = { 8B 40 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10928_0 {
	meta:
		name = "TDBXJSonServerOutputConnectionHandler.CreateDbxRow"
		size = 30
		refs = "0014 _Dn_TDBXJSonRow 0019 TDBXJSonRow.Create"
	strings:
		$1 = { 8B 50 14 52 8B 50 18 52 8B 50 1C 52 6A 00 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10929_0 {
	meta:
		name = "TDBXJSonServerOutputConnectionHandler.SetDbxStreamReader"
		size = 16
	strings:
		$1 = { 56 8B F0 89 56 14 8B 46 1C 8B 08 FF 51 04 5E C3 }
	condition:
		$1
}

rule function_10930_0 {
	meta:
		name = "TDBXJSonServerOutputConnectionHandler.SetDbxStreamWriter"
		size = 16
	strings:
		$1 = { 56 8B F0 89 56 18 8B 46 1C 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_10931_0 {
	meta:
		name = "TDBXJSonServerOutputConnectionHandler.FlushRowBuffer"
		size = 30
		refs = "0010 TDBXJSonStreamWriter.WriteDataObject 0018 TDBXRowBuffer.Post"
	strings:
		$1 = { 53 8B D8 8B 43 1C 8B 48 10 8B 50 08 8B 43 18 E8 ?? ?? ?? ?? 8B 43 1C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_10933_0 {
	meta:
		name = "TDBXJSonServerProtocolHandler.Destroy"
		size = 86
		refs = "0003 @BeforeDestruction 000e RemoveFromEventDictionary 001e TObject.Free 002d TDSSessionManager.FInstance 0034 TDSSessionManager.CloseSession 0044 TObject.Destroy 004f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 46 04 85 C0 74 0F 8B 50 20 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 89 46 04 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_10935_0 {
	meta:
		name = "TDBXJSonServerProtocolHandler.SetUp$673$ActRec.$0$Body"
		size = 16
		refs = "0006 _Dn_TDSTCPSession 000b TDSTCPSession.Create"
	strings:
		$1 = { 8B 48 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_10936_0 {
	meta:
		name = "TDBXJSonServerProtocolHandler.SetUp$673$ActRec.$1$Body"
		size = 57
		refs = "0020 @UStrEqual 002e RemoveFromEventDictionary"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 FE C9 75 26 8B 7B 0C 8B 77 04 85 F6 74 1C 8B 46 20 8B 55 08 8B 52 20 E8 ?? ?? ?? ?? 75 0C 33 C0 89 47 04 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_10937_0 {
	meta:
		name = "TDBXJSonServerProtocolHandler.SetUp"
		size = 210
		refs = "0012 TDBXJSonServerProtocolHandler.SetUp 001f _DV_TDBXJSonServerProtocolHandler.SetUp$673$ActRec 0024 TObject.Create 0037 @IntfCopy 0054 TDSSessionManager.FInstance 005d TDSSessionManager.CreateSession<Datasnap.DSService.TDSTCPSession> 007f AddToEventDictionary 0092 TDSSessionManager.AddSessionEvent 009d _Dn_TDSSessionManager 00a2 TDSSessionManager.SetAsThreadSession 00b7 @IntfClear 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 0C 89 7B 10 8B 43 0C 83 78 04 00 75 1D 8B D3 85 D2 74 03 83 EA E8 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 53 0C 89 42 04 8D 45 FC 8B D3 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0F A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? 8B 43 0C 8B 50 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10939_0 {
	meta:
		name = "TDBXServerCallback.Execute"
		size = 139
		refs = "000f _Dn_TJSONArray 0014 TJSONArray.Create 0025 TJSONArray.Add 003c TJSONArray.AddElement 0044 TDBXServerCallback.Execute 005a TDBXJSonConnectionHandler.WriteCallbackData 006f TObject.Free 0075 @HandleFinally 0082 TDBXJSonConnectionHandler.ReadCallbackData"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 50 10 8B 45 F8 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 B1 01 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_10940_0 {
	meta:
		name = "TDBXServerCallback.Execute"
		size = 226
		refs = "000f _Dn_TJSONArray 0014 TJSONArray.Create 0025 TJSONArray.Add 003a TDBXServerCallback.Execute 004e TDSServer.MarshalData 0058 TJSONArray.AddElement 0068 TDBXJSonConnectionHandler.WriteCallbackData 007d TObject.Free 008b @HandleFinally 0098 TDBXJSonConnectionHandler.ReadCallbackData 00b7 TDSServer.UnMarshalJSON"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 55 F8 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 8B 50 10 8B 45 F0 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C 8B 55 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 B1 01 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 0C 8B 55 EC E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_11026_0 {
	meta:
		name = "TDSSessionManager.CreateSession<Datasnap.DSService.TDSTCPSession>"
		size = 223
		refs = "0019 @IntfAddRef 0021 TDSSessionManager.CreateSession<Datasnap.DSService.TDSTCPSession> 002f TMonitor.CheckMonitorSupport 0036 TMonitor.GetMonitor 003e TMonitor.Enter 0057 TDSSessionManager.GetUniqueSessionId 006d TDSSession.SetSessionName 007e TDictionary<System.string,Datasnap.DSService.TDSSession>.Add 0093 TMonitor.Exit 0099 @HandleFinally 00ae TDSSessionManager.NotifyEvents 00c3 @UStrClr 00cb @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F8 88 4D F3 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 89 45 EC 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8B 4D EC 8B 45 F4 8B 40 04 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F3 00 74 0D 8B 55 EC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 EC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18107_0 {
	meta:
		name = "TDSSessionManager.CreateSession<Datasnap.DSService.TDSRESTSession>"
		size = 223
		refs = "0019 @IntfAddRef 0021 TDSSessionManager.CreateSession<Datasnap.DSService.TDSRESTSession> 002f TMonitor.CheckMonitorSupport 0036 TMonitor.GetMonitor 003e TMonitor.Enter 0057 TDSSessionManager.GetUniqueSessionId 006d TDSSession.SetSessionName 007e TDictionary<System.string,Datasnap.DSService.TDSSession>.Add 0093 TMonitor.Exit 0099 @HandleFinally 00ae TDSSessionManager.NotifyEvents 00c3 @UStrClr 00cb @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F8 88 4D F3 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 89 45 EC 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8B 4D EC 8B 45 F4 8B 40 04 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F3 00 74 0D 8B 55 EC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 EC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24898_0 {
	meta:
		name = "TDSSessionManager.CreateSession<Datasnap.DSService.TDSTunnelSession>"
		size = 223
		refs = "0019 @IntfAddRef 0021 TDSSessionManager.CreateSession<Datasnap.DSService.TDSTunnelSession> 002f TMonitor.CheckMonitorSupport 0036 TMonitor.GetMonitor 003e TMonitor.Enter 0057 TDSSessionManager.GetUniqueSessionId 006d TDSSession.SetSessionName 007e TDictionary<System.string,Datasnap.DSService.TDSSession>.Add 0093 TMonitor.Exit 0099 @HandleFinally 00ae TDSSessionManager.NotifyEvents 00c3 @UStrClr 00cb @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F8 88 4D F3 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 89 45 EC 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8B 4D EC 8B 45 F4 8B 40 04 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F3 00 74 0D 8B 55 EC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 EC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11027_0 {
	meta:
		name = "TDSSessionManager.CreateSession<Datasnap.DSService.TDSTCPSession>"
		size = 126
		refs = "0014 @IntfAddRef 001c @UStrAddRef 0024 TDSSessionManager.CreateSession<Datasnap.DSService.TDSTCPSession> 0042 TDSSession.SetUserName 004d TDSSessionManager.NotifyEvents 0062 @UStrClr 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D6 33 C9 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_18108_0 {
	meta:
		name = "TDSSessionManager.CreateSession<Datasnap.DSService.TDSRESTSession>"
		size = 126
		refs = "0014 @IntfAddRef 001c @UStrAddRef 0024 TDSSessionManager.CreateSession<Datasnap.DSService.TDSRESTSession> 0042 TDSSession.SetUserName 004d TDSSessionManager.NotifyEvents 0062 @UStrClr 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D6 33 C9 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24899_0 {
	meta:
		name = "TDSSessionManager.CreateSession<Datasnap.DSService.TDSTunnelSession>"
		size = 126
		refs = "0014 @IntfAddRef 001c @UStrAddRef 0024 TDSSessionManager.CreateSession<Datasnap.DSService.TDSTunnelSession> 0042 TDSSession.SetUserName 004d TDSSessionManager.NotifyEvents 0062 @UStrClr 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D6 33 C9 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11467_0 {
	meta:
		name = "TDBXDatabaseCommandHandler.Create"
		size = 71
		refs = "000d @ClassCreate 001a TDBXCommandHandler.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 89 46 28 8B 45 08 89 46 14 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_11468_0 {
	meta:
		name = "TDBXDatabaseCommandHandler.DbxErrorMessage"
		size = 9
	strings:
		$1 = { 8B 40 28 92 8B 08 FF 11 C3 }
	condition:
		$1
}

rule function_11469_0 {
	meta:
		name = "TDBXDatabaseCommandHandler.Destroy"
		size = 84
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0042 TDBXCommandHandler.Destroy 004d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11470_0 {
	meta:
		name = "TDBXDatabaseCommandHandler.DbxCommandClose"
		size = 53
		refs = "001e TObject.Free"
	strings:
		$1 = { 53 56 8B D8 8B 73 14 85 F6 74 27 8B C6 8B 10 FF 52 5C 8D 43 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11471_0 {
	meta:
		name = "TDBXDatabaseCommandHandler.DbxExecute"
		size = 574
		refs = "0096 TDBXDatabaseCommandHandler.CreateParameterList 00a9 TDBXCommandMessage.SetExplicitParameters 00bb TDBXRow.NewRowGeneration 01f2 TDBXCommandHandler.GetActiveStreamerRowList 0228 TDBXServerParameterList.SetOutParameters"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 14 24 8B F0 8B 04 24 83 78 10 00 74 1C 8B 04 24 8B 50 10 8B 46 14 8B 08 FF 51 10 8B 04 24 8B 50 0C 8B 46 14 8B 08 FF 51 04 8B 04 24 8B 40 1C 89 44 24 0C 83 7C 24 0C 00 74 6B 8B 46 14 8B 10 FF 52 34 89 44 24 04 8B 44 24 04 8B 10 FF 52 24 8B 44 24 0C 8B 10 FF 52 08 8B D8 8B D3 8B 44 24 04 8B 08 FF 51 0C 8B EB 4D 85 ED 7C 1F 45 33 FF 8B D7 8B 44 24 0C 8B 08 FF 51 04 8B C8 8B D7 8B 44 24 04 8B 18 FF 53 14 47 4D 75 E4 8B C6 E8 ?? ?? ?? ?? 8B 44 24 0C 8B 10 FF 52 28 33 D2 8B 04 24 E8 ?? ?? ?? ?? 83 7E 1C 00 0F 84 8D 00 00 00 8B 46 20 E8 ?? ?? ?? ?? 8B 46 1C 8B 10 FF 52 08 8B D8 8B 46 14 8B 10 FF 52 34 89 44 24 04 8B D3 8B 44 24 04 8B 08 FF 51 0C 85 DB 7E 60 33 D2 8B 46 1C 8B 08 FF 51 04 85 C0 74 52 8B EB 4D 85 ED 7C 4B 45 33 FF 8B D7 8B 46 1C 8B 08 FF 51 04 89 44 24 08 8B 44 24 08 8B 10 FF 52 40 48 74 05 83 E8 02 75 25 8B D7 8B 44 24 04 8B 08 FF 51 04 8B 10 FF 52 7C 50 8B 44 24 0C 8B 10 FF 52 7C 8B D0 58 8B 08 FF 91 C0 01 00 00 47 4D 75 B8 8B 46 14 8B 10 FF 52 64 89 46 18 8B 46 14 8B 10 FF 52 1C 8B 0C 24 89 41 48 89 51 4C 83 7E 1C 00 74 75 8B 46 14 8B 10 FF 52 34 89 44 24 04 8B 04 24 C6 40 35 00 8B 44 24 04 8B 10 FF 52 08 8B D8 8B EB 4D 85 ED 7C 50 45 33 FF 8B D7 8B 44 24 04 8B 08 FF 51 04 8B D8 89 5E 24 8B C3 8B 10 FF 52 40 83 C0 FE 83 E8 03 73 2A 8B D7 8B 46 1C 8B 08 FF 51 04 8B 10 FF 52 7C 50 8B 46 24 8B 10 FF 52 7C 8B D0 58 8B 08 FF 91 C0 01 00 00 8B 04 24 C6 40 35 01 47 4D 75 B3 83 7E 18 00 74 1B 8B 04 24 C6 40 35 01 8B 04 24 C6 40 36 01 8B C6 E8 ?? ?? ?? ?? 8B 14 24 89 42 40 8B 04 24 8B 56 20 89 50 38 8B 04 24 8B 56 1C 89 50 18 8B 04 24 8B 56 18 89 50 3C 8B 46 1C 85 C0 74 0E 8B 14 24 80 7A 35 00 74 05 E8 ?? ?? ?? ?? 8B 14 24 8B 46 28 8B 08 FF 11 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11472_0 {
	meta:
		name = "TDBXDatabaseCommandHandler.DbxMoreBlob"
		size = 212
		refs = "000a TDBXCommandHandler.GetActiveStreamerRowList 0012 TDBXActiveTableReaderList.FindStreamerRowItem 0044 TDBXDatabaseCommandHandler.DbxMoreBlob 0050 _Dn_TDBXError 0055 TDBXError.Create 005a @RaiseExcept 0061 TDBXDriverHelp.GetStreamReader"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 56 08 E8 ?? ?? ?? ?? 85 C0 74 0F 8B 40 14 8B 56 18 8B 08 FF 51 10 8B F8 EB 35 8B 7B 1C 85 FF 74 13 8B 56 18 8B C7 8B 08 FF 51 04 8B 10 FF 52 7C 8B F8 EB 1B 68 ?? ?? ?? ?? B9 1E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 46 20 8B D6 8B 43 28 8B 08 FF 51 10 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 72 00 6F 00 77 00 20 00 68 00 61 00 6E 00 64 00 6C 00 65 00 2E 00 20 00 20 00 52 00 65 00 61 00 64 00 65 00 72 00 20 00 69 00 73 00 20 00 63 00 6C 00 6F 00 73 00 65 00 64 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_11473_0 {
	meta:
		name = "TDBXDatabaseCommandHandler.DbxNext"
		size = 29
		refs = "0009 TDBXCommandHandler.GetActiveStreamerRowList"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 46 18 8B D6 8B 43 28 8B 08 FF 51 0C 5E 5B C3 }
	condition:
		$1
}

rule function_11474_0 {
	meta:
		name = "TDBXDatabaseCommandHandler.DbxNextResult"
		size = 32
	strings:
		$1 = { 33 C9 89 4A 18 C6 42 08 00 C7 42 10 00 00 00 00 C7 42 14 00 00 00 00 8B 40 28 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_11475_0 {
	meta:
		name = "TDBXDatabaseCommandHandler.CreateParameterList"
		size = 181
		refs = "003e TObject.Free 0060 _DV_TDBXServerParameterList 0065 TDBXServerParameterList.Create 0096 _Dn_TDBXParameter 009b TDBXParameter.Create"
	strings:
		$1 = { 53 56 57 55 51 8B F0 8B 46 14 8B 10 FF 52 34 89 04 24 8B 04 24 8B 10 FF 52 08 8B D8 85 DB 0F 8E 8B 00 00 00 33 D2 8B 04 24 8B 08 FF 51 04 85 C0 74 7D 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 89 46 20 33 C0 89 46 1C 8B 46 28 8B 10 FF 52 20 8B F8 89 7E 20 57 8B 4E 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 89 6E 1C 8B D3 8B C5 8B 08 FF 51 0C 8B FB 4F 85 FF 7C 31 47 33 DB 8B D3 8B 04 24 8B 08 FF 51 04 8B 56 20 52 50 8B 4E 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D3 8B 46 1C 8B 28 FF 55 14 43 4F 75 D2 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11476_0 {
	meta:
		name = "TDBXDatabaseCommandHandler.DbxPrepare"
		size = 213
		refs = "00b5 TDBXDatabaseCommandHandler.CreateParameterList"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F2 8B D8 8B 56 0C 8B 43 14 8B 08 FF 51 04 8B 56 10 8B 43 14 8B 08 FF 51 10 8B 7E 18 85 FF 75 03 8B 7E 1C 85 FF 74 7B 8B C7 8B 10 FF 52 08 8B E8 85 ED 7E 6E 8B 43 14 8B 10 FF 52 34 8B 10 FF 52 24 8B C7 8B 10 FF 52 08 50 8B 43 14 8B 10 FF 52 34 5A 8B 08 FF 51 0C 33 D2 8B C7 8B 08 FF 51 04 85 C0 74 37 4D 85 ED 7C 32 45 89 6C 24 04 C7 04 24 00 00 00 00 8B 14 24 8B C7 8B 08 FF 51 04 50 8B 43 14 8B 10 FF 52 34 8B 54 24 04 59 8B 28 FF 55 14 FF 04 24 FF 4C 24 04 75 DA 8B C7 8B 10 FF 52 28 8B 43 14 8B 10 FF 52 60 8B C3 E8 ?? ?? ?? ?? 8B 43 14 8B 10 FF 52 34 89 46 18 8B D6 8B 43 28 8B 08 FF 51 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11477_0 {
	meta:
		name = "TDBXDatabaseCommandHandler.DbxReaderClose"
		size = 38
		refs = "000b TDBXReader.Close 001b TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 18 85 C0 74 1A E8 ?? ?? ?? ?? 8D 43 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 89 43 18 5B C3 }
	condition:
		$1
}

rule function_11478_0 {
	meta:
		name = "TDBXDatabaseConnectionHandler.Create"
		size = 80
		refs = "000d @ClassCreate 001a TDBXConnectionHandler.Create 0021 _Dn_TDBXArrayList 0026 TDBXArrayList.Create 003a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 8B 45 08 89 46 1C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11481_0 {
	meta:
		name = "TDBXDatabaseConnectionHandler.DbxErrorMessage"
		size = 9
	strings:
		$1 = { 8B 40 1C 8B 08 FF 51 1C C3 }
	condition:
		$1
}

rule function_11482_0 {
	meta:
		name = "TDBXDatabaseConnectionHandler.GetProductName"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 14 8B 08 FF 51 5C 5E 5B C3 }
	condition:
		$1
}

rule function_11483_0 {
	meta:
		name = "TDBXDatabaseConnectionHandler.AcquireCommandHandler"
		size = 44
		refs = "0020 _DV_TDBXDatabaseCommandHandler 0025 TDBXDatabaseCommandHandler.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 1C 8B 08 FF 51 48 50 8B 43 14 8B 10 FF 52 7C 50 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11484_0 {
	meta:
		name = "TDBXDatabaseConnectionHandler.DbxConnect"
		size = 100
		refs = "0001 TDBXDatabaseConnectionHandler.DbxConnect 000d _Dn_TDBXError 0012 TDBXError.Create 0017 @RaiseExcept"
	strings:
		$1 = { 68 ?? ?? ?? ?? B9 1E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 1C 00 00 00 64 00 62 00 78 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 79 00 65 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_11486_0 {
	meta:
		name = "TDBXDatabaseConnectionHandler.DbxTxBegin"
		size = 41
		refs = "0017 TDBXArrayList.Add 001f TDBXArrayList.GetCount"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 56 04 8B 43 14 8B 08 FF 51 68 8B D0 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 89 46 08 5E 5B C3 }
	condition:
		$1
}

rule function_11487_0 {
	meta:
		name = "TDBXDatabaseConnectionHandler.EndTransaction"
		size = 101
		refs = "0012 TDBXArrayList.GetCount 0023 TDBXArrayList.GetValue 0031 TDBXArrayList.RemoveAt"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 88 0C 24 8B EA 8B F0 8B 46 18 E8 ?? ?? ?? ?? 8B D8 EB 3C 8B FB 4F 8B D7 8B 46 18 E8 ?? ?? ?? ?? 89 44 24 04 8B D7 8B 46 18 E8 ?? ?? ?? ?? 80 3C 24 00 74 0E 8D 54 24 04 8B 46 14 8B 08 FF 51 70 EB 0C 8D 54 24 04 8B 46 14 8B 08 FF 51 74 4B 3B DD 7C 04 85 DB 7F BC 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11488_0 {
	meta:
		name = "TDBXDatabaseConnectionHandler.DbxTxEnd"
		size = 13
		refs = "0008 TDBXDatabaseConnectionHandler.EndTransaction"
	strings:
		$1 = { 0F B6 4A 04 8B 52 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11489_0 {
	meta:
		name = "TDBXDatabaseConnectionHandler.DbxVendorProperty"
		size = 87
		refs = "000f TDBXDatabaseConnectionHandler.DbxVendorProperty 0031 @UStrAsg 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 56 04 8B 43 14 8B 18 FF 93 80 00 00 00 8B 55 FC 8D 46 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11491_0 {
	meta:
		name = "TDBXDatabaseConnectionHandler.DbxCommandClose"
		size = 108
		refs = "0001 TDBXDatabaseConnectionHandler.DbxCommandClose 000d _Dn_TDBXError 0012 TDBXError.Create 0017 @RaiseExcept"
	strings:
		$1 = { 68 ?? ?? ?? ?? B9 1E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 21 00 00 00 64 00 62 00 78 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 43 00 6C 00 6F 00 73 00 65 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 79 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_11492_0 {
	meta:
		name = "TDBXDatabaseConnectionHandler.DbxExecute"
		size = 100
		refs = "0001 TDBXDatabaseConnectionHandler.DbxExecute 000d _Dn_TDBXError 0012 TDBXError.Create 0017 @RaiseExcept"
	strings:
		$1 = { 68 ?? ?? ?? ?? B9 1E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 1C 00 00 00 64 00 62 00 78 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 79 00 65 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_11493_0 {
	meta:
		name = "TDBXDatabaseConnectionHandler.DbxMoreBlob"
		size = 100
		refs = "0001 TDBXDatabaseConnectionHandler.DbxMoreBlob 000d _Dn_TDBXError 0012 TDBXError.Create 0017 @RaiseExcept"
	strings:
		$1 = { 68 ?? ?? ?? ?? B9 1E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 1D 00 00 00 64 00 62 00 78 00 4D 00 6F 00 72 00 65 00 42 00 6C 00 6F 00 62 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 79 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_11494_0 {
	meta:
		name = "TDBXDatabaseConnectionHandler.DbxNext"
		size = 92
		refs = "0001 TDBXDatabaseConnectionHandler.DbxNext 000d _Dn_TDBXError 0012 TDBXError.Create 0017 @RaiseExcept"
	strings:
		$1 = { 68 ?? ?? ?? ?? B9 1E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 19 00 00 00 64 00 62 00 78 00 4E 00 65 00 78 00 74 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 79 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_11495_0 {
	meta:
		name = "TDBXDatabaseConnectionHandler.DbxNextResult"
		size = 104
		refs = "0001 TDBXDatabaseConnectionHandler.DbxNextResult 000d _Dn_TDBXError 0012 TDBXError.Create 0017 @RaiseExcept"
	strings:
		$1 = { 68 ?? ?? ?? ?? B9 1E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 1F 00 00 00 64 00 62 00 78 00 4E 00 65 00 78 00 74 00 52 00 65 00 73 00 75 00 6C 00 74 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 79 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_11496_0 {
	meta:
		name = "TDBXDatabaseConnectionHandler.DbxPrepare"
		size = 100
		refs = "0001 TDBXDatabaseConnectionHandler.DbxPrepare 000d _Dn_TDBXError 0012 TDBXError.Create 0017 @RaiseExcept"
	strings:
		$1 = { 68 ?? ?? ?? ?? B9 1E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 1C 00 00 00 64 00 62 00 78 00 50 00 72 00 65 00 70 00 61 00 72 00 65 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 79 00 65 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_11497_0 {
	meta:
		name = "TDBXDatabaseConnectionHandler.DbxReaderClose"
		size = 108
		refs = "0001 TDBXDatabaseConnectionHandler.DbxReaderClose 000d _Dn_TDBXError 0012 TDBXError.Create 0017 @RaiseExcept"
	strings:
		$1 = { 68 ?? ?? ?? ?? B9 1E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 20 00 00 00 64 00 62 00 78 00 52 00 65 00 61 00 64 00 65 00 72 00 43 00 6C 00 6F 00 73 00 65 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 79 00 65 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_11499_0 {
	meta:
		name = "TDBXServerParameterList.NewRowGeneration"
		size = 16
		refs = "000a TDBXRow.NewRowGeneration"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11500_0 {
	meta:
		name = "TDBXServerParameterList.SetOutParameters"
		size = 98
		refs = "0055 TDBXParameterList.SetPendingOutParameter"
	strings:
		$1 = { 53 56 57 55 8B F0 8B C6 8B 10 FF 52 08 8B D8 8B C6 8B 10 FF 12 8B 10 FF 92 10 01 00 00 8B EB 4D 85 ED 7C 39 45 33 DB 8B D3 8B C6 8B 08 FF 51 04 8B F8 8B C7 8B 10 FF 52 40 83 C0 FE 83 E8 03 72 0F 8B C7 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 43 4D 75 CA 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11503_0 {
	meta:
		name = "TDBXMetaDataCommand.Create"
		size = 65
		refs = "000d @ClassCreate 001a TDBXCommand.Create 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_11507_0 {
	meta:
		name = "TDBXJSonStreamReader.GetByteLength"
		size = 28
		altNames = "TDBXMetaDataCommand.GetRowsAffected"
	strings:
		$1 = { 83 C4 F8 C7 04 24 00 00 00 00 C7 44 24 04 00 00 00 00 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_11510_0 {
	meta:
		name = "TDBXMetaDataCommand.CreateValueType"
		size = 144
		refs = "0016 @WStrAddRef 001e TDBXMetaDataCommand.CreateValueType 002b _Dn_TDBXValueType 0030 TDBXValueType.Create 003d @UStrFromWStr 0072 @UStrClr 007a @WStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 08 8B D6 8B C3 8B 08 FF 51 14 8B 45 08 99 52 50 8B C3 8B 10 FF 52 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11513_0 {
	meta:
		name = "TDBXMetaDataCommand.DerivedExecuteQuery"
		size = 144
		refs = "000d TDBXMetaDataCommand.DerivedExecuteQuery 0034 TDBXMetaDataCommand.FetchDatabaseColumns 0050 _DV_TDBXMetaDataRow 0055 TDBXMetaDataRow.Create 0061 _DV_TDBXMetaDataDbxReader 0066 TDBXMetaDataDbxReader.Create 007d @UStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 0C 8B 55 FC 8B 43 30 8B 08 FF 11 8B F0 85 F6 75 0B 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 0D 8B C6 8B 10 FF 92 80 00 00 00 89 43 2C 56 8B 4B 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 8B 4B 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11515_0 {
	meta:
		name = "TDBXMetaDataCommand.FetchDatabaseColumns"
		size = 1156
		refs = "000d TDBXMetaDataCommand.FetchDatabaseColumns 0023 TDBXValueTypeArray 0028 @DynArraySetLength 003e TDBXMetaDataCommand.CreateValueType 01bd _DV_TDatabaseCursor 01c2 TDatabaseCursor.Create 01df @DynArrayClear 01e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 0F 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 02 B9 1A 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 02 6A 02 B9 1A 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 6A 01 B9 04 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 6A 01 B9 04 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 6A 04 B9 06 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 6A 01 B9 04 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 68 80 00 00 00 B9 1A 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 68 80 00 00 00 B9 1A 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 6A 02 B9 1A 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 6A 02 B9 1A 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 6A 01 B9 04 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 6A 01 B9 04 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 6A 01 B9 04 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 6A 01 B9 04 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 6A 01 B9 04 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 38 8B 73 30 56 8B C6 8B 10 FF 52 0C 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C3 00 00 12 00 00 00 51 00 75 00 6F 00 74 00 65 00 43 00 68 00 61 00 72 00 00 00 24 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 51 00 75 00 6F 00 74 00 65 00 43 00 68 00 61 00 72 00 00 00 00 00 28 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 54 00 72 00 61 00 6E 00 73 00 61 00 63 00 74 00 69 00 6F 00 6E 00 73 00 00 00 00 00 34 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 4E 00 65 00 73 00 74 00 65 00 64 00 54 00 72 00 61 00 6E 00 73 00 61 00 63 00 74 00 69 00 6F 00 6E 00 73 00 00 00 00 00 16 00 00 00 4D 00 61 00 78 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 73 00 00 00 24 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 52 00 6F 00 77 00 53 00 65 00 74 00 53 00 69 00 7A 00 65 00 00 00 00 00 1C 00 00 00 50 00 72 00 6F 00 64 00 75 00 63 00 74 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 16 00 00 00 50 00 72 00 6F 00 64 00 75 00 63 00 74 00 4E 00 61 00 6D 00 65 00 00 00 16 00 00 00 51 00 75 00 6F 00 74 00 65 00 50 00 72 00 65 00 66 00 69 00 78 00 00 00 16 00 00 00 51 00 75 00 6F 00 74 00 65 00 53 00 75 00 66 00 66 00 69 00 78 00 00 00 38 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 4C 00 6F 00 77 00 65 00 72 00 43 00 61 00 73 00 65 00 49 00 64 00 65 00 6E 00 74 00 69 00 66 00 69 00 65 00 72 00 73 00 00 00 00 00 38 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 55 00 70 00 70 00 65 00 72 00 43 00 61 00 73 00 65 00 49 00 64 00 65 00 6E 00 74 00 69 00 66 00 69 00 65 00 72 00 73 00 00 00 00 00 28 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 53 00 50 00 52 00 65 00 74 00 75 00 72 00 6E 00 43 00 6F 00 64 00 65 00 00 00 00 00 32 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 30 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 46 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_11516_0 {
	meta:
		name = "TDatabaseCursor.Create"
		size = 236
		refs = "0015 @ClassCreate 0025 @DynArrayAddRef 002d TDatabaseCursor.Create 004a TDBXCustomMetaDataTable.Create 0057 _Dn_TDBXSingleValueRow 005c TDBXSingleValueRow.Create 008b TDBXValueTypeArray 0090 @DynArrayClear 00a4 @HandleFinally 00b3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 88 55 FB 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 FC 50 6A 00 8B 4D 08 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 89 43 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 38 8D 55 F4 8B C3 8B 08 FF 51 28 8B 55 F4 8B C6 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B C3 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_11518_0 {
	meta:
		name = "TDBXSourceTableCursor.GetWritableValue"
		size = 9
		altNames = "TDatabaseCursor.GetWritableValue"
	strings:
		$1 = { 8B 40 38 8B 08 FF 51 24 C3 }
	condition:
		$1
}

rule function_11519_0 {
	meta:
		name = "TDatabaseCursor.Next"
		size = 633
		refs = "0013 TDatabaseCursor.Next 0265 @UStrArrayClr 026b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 40 02 7D 03 FF 46 40 83 7E 40 01 0F 94 C3 8D 55 FC 8B 46 3C 8B 08 FF 51 38 8B 45 FC 50 33 D2 8B 46 38 8B 08 FF 51 24 5A 8B 08 FF 91 78 01 00 00 8D 55 F8 8B 46 3C 8B 08 FF 51 3C 8B 45 F8 50 BA 01 00 00 00 8B 46 38 8B 08 FF 51 24 5A 8B 08 FF 91 78 01 00 00 8D 55 F4 8B 46 3C 8B 08 FF 51 14 8B 45 F4 50 BA 06 00 00 00 8B 46 38 8B 08 FF 51 24 5A 8B 08 FF 91 78 01 00 00 8D 55 F0 8B 46 3C 8B 08 FF 51 10 8B 45 F0 50 BA 07 00 00 00 8B 46 38 8B 08 FF 51 24 5A 8B 08 FF 91 78 01 00 00 8D 55 EC 8B 46 3C 8B 08 FF 51 1C 8B 45 EC 50 BA 08 00 00 00 8B 46 38 8B 08 FF 51 24 5A 8B 08 FF 91 78 01 00 00 8D 55 E8 8B 46 3C 8B 08 FF 51 20 8B 45 E8 50 BA 09 00 00 00 8B 46 38 8B 08 FF 51 24 5A 8B 08 FF 91 78 01 00 00 BA 03 00 00 00 8B 46 38 8B 08 FF 51 24 50 8B 46 3C 8B 10 FF 52 44 8B D0 58 8B 08 FF 91 6C 01 00 00 BA 04 00 00 00 8B 46 38 8B 08 FF 51 24 50 8B 46 3C 8B 10 FF 52 48 8B D0 58 8B 08 FF 91 6C 01 00 00 BA 05 00 00 00 8B 46 38 8B 08 FF 51 24 50 8B 46 3C 8B 10 FF 52 4C 8B D0 58 8B 08 FF 91 6C 01 00 00 BA 0A 00 00 00 8B 46 38 8B 08 FF 51 24 50 8B 46 3C 8B 10 FF 52 24 8B D0 58 8B 08 FF 91 6C 01 00 00 BA 0B 00 00 00 8B 46 38 8B 08 FF 51 24 50 8B 46 3C 8B 10 FF 52 28 8B D0 58 8B 08 FF 91 6C 01 00 00 BA 0C 00 00 00 8B 46 38 8B 08 FF 51 24 50 8B 46 3C 8B 10 FF 52 50 8B D0 58 8B 08 FF 91 6C 01 00 00 BA 0D 00 00 00 8B 46 38 8B 08 FF 51 24 50 8B 46 3C 8B 10 FF 52 54 8B D0 58 8B 08 FF 91 6C 01 00 00 BA 0E 00 00 00 8B 46 38 8B 08 FF 51 24 50 8B 46 3C 8B 10 FF 52 58 8B D0 58 8B 08 FF 91 6C 01 00 00 8B 46 3C 8B 10 FF 52 40 84 C0 74 19 BA 02 00 00 00 8B 46 38 8B 08 FF 51 24 33 D2 8B 08 FF 91 90 01 00 00 EB 1A BA 02 00 00 00 8B 46 38 8B 08 FF 51 24 BA 01 00 00 00 8B 08 FF 91 90 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11520_0 {
	meta:
		name = "TDBXMetaDataDbxReader.Create"
		size = 497
		refs = "001c @ClassCreate 002c TDBXMetaDataDbxReader.Create 0044 TDBXReader.Create 005d @DynArrayLength 006c TDBXValueArray 0071 @DynArraySetLength 007c @DynArrayHigh 00a9 TDBXDriverHelp.CreateTDBXValueType 00bc TDBXMetaDataDbxReader.MapToDBXType 017b TDBXValue.CreateValue 01ab TDBXValueTypeArray 01b5 @FinalizeArray 01c3 @DynArrayClear 01c9 @HandleFinally 01d8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D E8 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 6A 00 8B 4D F4 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 28 8D 55 E8 8B 45 08 8B 08 FF 51 2C 8B 45 E8 E8 ?? ?? ?? ?? 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 8C 07 01 00 00 40 89 45 EC 33 FF 8D 55 E4 8B 45 08 8B 08 FF 51 2C 8B 45 E4 8B 04 B8 89 45 F0 8B 55 0C 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 45 F0 8B 10 FF 52 50 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 14 33 D2 8B C3 8B 08 FF 51 18 8B D7 8B C3 8B 08 FF 51 10 33 D2 8B C3 8B 08 FF 51 20 8B 45 F0 8B 10 FF 52 68 52 50 8B C3 8B 10 FF 52 30 8B 45 F0 8B 50 04 8B C3 8B 08 FF 51 08 8B C3 8B 10 FF 52 50 83 F8 1A 75 56 8B C3 8B 10 FF 52 68 83 FA 00 75 13 83 F8 00 75 0E 6A 00 68 00 01 00 00 8B C3 8B 10 FF 52 30 8B C3 8B 10 FF 52 58 83 FA 00 75 15 83 F8 00 75 10 8B C3 8B 10 FF 52 68 52 50 8B C3 8B 10 FF 52 1C 8B C3 8B 10 FF 52 68 83 C0 02 83 D2 00 52 50 8B C3 8B 10 FF 52 30 BA 03 00 00 00 8B C3 8B 08 FF 51 28 6A 01 8B 4E 20 8B 46 14 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 89 04 BA 47 FF 4D EC 0F 85 FF FE FF FF 8B 55 FC 8B C6 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 8B C6 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11521_0 {
	meta:
		name = "TDBXMetaDataDbxReader.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TDBXReader.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 28 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11523_0 {
	meta:
		name = "TDBXMetaDataDbxReader.DerivedNext"
		size = 55
		refs = "002e TObject.Free"
	strings:
		$1 = { 53 56 8B F0 8B 46 28 85 C0 75 04 33 DB EB 23 8B 10 FF 52 48 8B D8 84 DB 75 18 8B 46 28 8B 10 FF 52 60 8D 46 28 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_11524_0 {
	meta:
		name = "TDBXMetaDataDbxReader.GetByteReader"
		size = 33
		refs = "0010 _Dn_TDBXReaderByteReader 0015 TDBXReaderByteReader.Create"
		altNames = "TDBXPoolReader.GetByteReader"
	strings:
		$1 = { 53 8B D8 83 7B 24 00 75 13 53 8B 4B 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 24 8B 43 24 5B C3 }
	condition:
		$1
}

rule function_11525_0 {
	meta:
		name = "TDBXMetaDataDbxReader.DerivedClose"
		size = 33
		refs = "001b TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 28 85 C0 74 15 8B 10 FF 52 60 8D 43 28 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11526_0 {
	meta:
		name = "TDBXMetaDataRow.Create"
		size = 65
		refs = "000d @ClassCreate 001a TDBXRow.Create 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_69516_0 {
	meta:
		name = "TStringBuilder.Create"
		size = 65
		refs = "000d @ClassCreate 001a TStringBuilder.Create 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11527_0 {
	meta:
		name = "TDBXMetaDataRow.GetWideString"
		size = 237
		refs = "0019 TDBXMetaDataRow.GetWideString 00a6 @ReallocMem 00b1 @GetMem 00c4 TDBXPlatform.CopyWideStringToBuilder 00d9 @UStrClr 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F4 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 04 8B 10 FF 52 4C 8B F0 8B D6 8B 43 0C 8B 08 FF 51 24 8B 10 FF 52 58 F6 D8 1B C0 8B 55 08 89 02 8B 45 08 83 38 00 75 78 8B D6 8B 43 0C 8B 08 FF 51 24 8D 55 FC 8B 08 FF 51 28 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 8B 45 F8 8B 40 04 8B 10 FF 52 68 52 50 8B C3 99 3B 54 24 04 75 09 3B 04 24 5A 58 72 2D EB 04 5A 58 7C 27 8D 73 02 8B 45 F4 83 38 00 74 0E 8B D6 03 D2 8B 45 F4 E8 ?? ?? ?? ?? EB 0E 8B C6 03 C0 E8 ?? ?? ?? ?? 8B 55 F4 89 02 8B 4D F4 8D 53 02 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11528_0 {
	meta:
		name = "TDBXMetaDataRow.GetBoolean"
		size = 93
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B D8 8B 42 04 8B 10 FF 52 4C 8B F0 8B D6 8B 43 0C 8B 08 FF 51 24 8B 10 FF 52 58 F6 D8 1B C0 8B 55 08 89 02 8B 45 08 83 38 00 75 1A 8B D6 8B 43 0C 8B 08 FF 51 24 8B 10 FF 52 0C F6 D8 1B C0 8B 55 FC 89 02 EB 07 8B 45 FC 33 D2 89 10 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11529_0 {
	meta:
		name = "TDBXMetaDataRow.GetInt16"
		size = 94
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B D8 8B 42 04 8B 10 FF 52 4C 8B F0 8B D6 8B 43 0C 8B 08 FF 51 24 8B 10 FF 52 58 F6 D8 1B C0 8B 55 08 89 02 8B 45 08 83 38 00 75 1A 8B D6 8B 43 0C 8B 08 FF 51 24 8B 10 FF 92 84 00 00 00 8B 55 FC 66 89 02 EB 08 8B 45 FC 66 C7 00 00 00 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11530_0 {
	meta:
		name = "TDBXMetaDataRow.GetInt32"
		size = 89
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B D8 8B 42 04 8B 10 FF 52 4C 8B F0 8B D6 8B 43 0C 8B 08 FF 51 24 8B 10 FF 52 58 F6 D8 1B C0 8B 55 08 89 02 8B 45 08 83 38 00 75 16 8B D6 8B 43 0C 8B 08 FF 51 24 8B 10 FF 52 20 8B 55 FC 89 02 EB 07 8B 45 FC 33 D2 89 10 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11531_0 {
	meta:
		name = "TDBXMetaDataRow.GetInt64"
		size = 104
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B D8 8B 42 04 8B 10 FF 52 4C 8B F0 8B D6 8B 43 0C 8B 08 FF 51 24 8B 10 FF 52 58 F6 D8 1B C0 8B 55 08 89 02 8B 45 08 83 38 00 75 1C 8B D6 8B 43 0C 8B 08 FF 51 24 8B 10 FF 92 8C 00 00 00 8B 4D FC 89 01 89 51 04 EB 10 8B 45 FC C7 00 00 00 00 00 C7 40 04 00 00 00 00 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11532_0 {
	meta:
		name = "TDBXMetaDataRow.GetInt8"
		size = 88
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B D8 8B 42 04 8B 10 FF 52 4C 8B F0 8B D6 8B 43 0C 8B 08 FF 51 24 8B 10 FF 52 58 F6 D8 1B C0 8B 55 08 89 02 8B 45 08 83 38 00 75 16 8B D6 8B 43 0C 8B 08 FF 51 24 8B 10 FF 52 7C 8B 55 FC 88 02 EB 06 8B 45 FC C6 00 00 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11533_0 {
	meta:
		name = "TDBXMetaDataRow.GetUInt16"
		size = 94
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B D8 8B 42 04 8B 10 FF 52 4C 8B F0 8B D6 8B 43 0C 8B 08 FF 51 24 8B 10 FF 52 58 F6 D8 1B C0 8B 55 08 89 02 8B 45 08 83 38 00 75 1A 8B D6 8B 43 0C 8B 08 FF 51 24 8B 10 FF 92 80 00 00 00 8B 55 FC 66 89 02 EB 08 8B 45 FC 66 C7 00 00 00 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11534_0 {
	meta:
		name = "TDBXMetaDataRow.GetUInt8"
		size = 88
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B D8 8B 42 04 8B 10 FF 52 4C 8B F0 8B D6 8B 43 0C 8B 08 FF 51 24 8B 10 FF 52 58 F6 D8 1B C0 8B 55 08 89 02 8B 45 08 83 38 00 75 16 8B D6 8B 43 0C 8B 08 FF 51 24 8B 10 FF 52 78 8B 55 FC 88 02 EB 06 8B 45 FC C6 00 00 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11539_0 {
	meta:
		name = "TDBXMetaDataCommandFactory.RegisterMetaDataCommandFactory"
		size = 107
		refs = "000d TDBXMetaDataCommandFactory.RegisterMetaDataCommandFactory 0018 _Dn_TClassRegistry 001d TClassRegistry.GetClassRegistry 0029 TObject.ClassName 0033 TClassRegistry.HasClass 0045 TClassRegistry.RegisterClass 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0E 6A 00 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11540_0 {
	meta:
		name = "TDBXMetaDataCommandFactory.UnRegisterMetaDataCommandFactory"
		size = 83
		refs = "000c TDBXMetaDataCommandFactory.UnRegisterMetaDataCommandFactory 001c TObject.ClassName 0021 _Dn_TClassRegistry 0026 TClassRegistry.GetClassRegistry 002e TClassRegistry.UnregisterClass 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_11541_0 {
	meta:
		name = "TDBXMetaDataCommandFactory.CreateCommand"
		size = 328
		refs = "001d TDBXMetaDataCommandFactory.CreateCommand 0048 @UStrEqual 0055 TDBXDriverHelp.GetMetaDataReader 006b _DV_TDBXDataExpressProviderContext 0070 TDBXDataExpressProviderContext.Create 0087 TDBXProviderContext.UseAnsiString 00cd TDBXDriverHelp.SetMetaDataReader 00dc _Dn_TDBXMetaDataCommand 00e1 TDBXMetaDataCommand.Create 0101 @UStrArrayClr 0109 @UStrClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 08 83 7D FC 00 74 1B 8D 55 F4 8B C6 8B 08 FF 51 5C 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 0F 85 97 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 72 8B C7 8B 10 FF 52 04 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 77 04 8D 55 F0 8B C3 8B 08 FF 51 10 8B 45 F0 E8 ?? ?? ?? ?? 88 47 11 8D 55 EC 8B C3 8B 08 FF 51 10 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 C6 47 12 01 8B D7 8B C3 8B 08 FF 51 08 8D 55 E8 8B C6 8B 08 FF 51 58 8B 55 E8 8B C3 8B 08 FF 51 18 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 08 50 53 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 42 00 6C 00 61 00 63 00 6B 00 66 00 69 00 73 00 68 00 53 00 51 00 4C 00 00 00 00 00 }
	condition:
		$1
}

rule function_11544_0 {
	meta:
		name = "TDBXDataExpressProviderContext.GetPlatformTypeName"
		size = 1124
		refs = "000a TDBXDataExpressProviderContext.GetPlatformTypeName 00c1 @UStrAsg 01fd SUnknownDataType 0202 LoadResString 020c _Dn_Exception 0211 Exception.Create 0216 @RaiseExcept 022b @UStrClr 0231 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FA 24 0F 87 DC 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 50 01 00 00 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3E 01 00 00 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2C 01 00 00 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1A 01 00 00 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 08 01 00 00 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F6 00 00 00 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E4 00 00 00 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D2 00 00 00 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C0 00 00 00 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AE 00 00 00 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9C 00 00 00 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8A 00 00 00 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7B 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6C 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5D 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4E 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3F 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 30 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 79 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 68 00 6F 00 72 00 74 00 49 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 57 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 49 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 49 00 6E 00 74 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 74 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 42 00 58 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 42 00 58 00 54 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 53 00 51 00 4C 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 54 00 53 00 51 00 4C 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 4F 00 66 00 66 00 73 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 41 00 6E 00 73 00 69 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 42 00 63 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 42 00 79 00 74 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 }
	condition:
		$1
}

rule function_11547_0 {
	meta:
		name = "TDBXDataExpressProviderContext.ExecuteQuery"
		size = 168
		refs = "002c TDBXDataExpressProviderContext.ExecuteQuery 0044 TDBXDataExpressProviderContext.BindParametersByOrdinal 0064 _Dn_TDBXReaderTableStorage 0069 TDBXReaderTableStorage.Create 006e TDBXStringTrimTable.CreateTrimTableIfNeeded 0090 TObject.Free 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 43 04 8B 10 FF 52 7C 89 45 F4 8B D7 8B 45 F4 8B 08 FF 51 10 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 F6 74 0E 56 8B 4D FC 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 64 8B D8 85 DB 75 07 33 C0 89 45 F8 EB 1D 53 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11554_0 {
	meta:
		name = "TDBXDataExpressProviderContext.GetVendorProperty"
		size = 28
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 04 8B 18 FF 93 80 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11555_0 {
	meta:
		name = "TDBXDataExpressProviderContext.BindParametersByOrdinal"
		size = 1204
		refs = "0023 @DynArrayAddRef 0033 TDBXDataExpressProviderContext.BindParametersByOrdinal 005d _Dn_TDBXSqlScanner 0062 TDBXSqlScanner.Create 0078 TDBXSqlScanner.RegisterId 00a0 TDBXSqlScanner.Init 00a8 TDBXSqlScanner.NextToken 0125 _Dn_TDBXStringBuffer 012a TDBXStringBuffer.Create 0135 @DynArrayLength 0147 :TDBXDataExpressProviderContext.:1 014c @DynArraySetLength 016f @UStrCopy 017a TDBXStringBuffer.Append 018f TDBXSqlScanner.GetId 019c TDBXDataExpressProviderContext.FindParameterByName 01b0 TDBXSqlScanner.LookAtNextToken 0339 @UStrAsg 0374 @LStrFromUStr 03ba TObject.Free 03c8 @DynArrayClear 03dd @LStrClr 03ea @UStrArrayClr 03ff @UStrClr 0416 TDBXStringArray 042f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D FC 89 55 F0 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 DC C7 45 EC 01 00 00 00 33 C0 89 45 E0 83 7E 08 00 75 3A 6A 00 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 5E 08 B9 01 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 02 00 00 00 BA ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8D 55 C4 8B 45 F0 8B 08 FF 51 0C 8B 55 C4 8B 46 08 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B D8 83 FB FF 0F 84 A2 01 00 00 83 FB F7 75 0A 8B 46 08 66 83 78 36 3A 74 0F 8B 46 08 E8 ?? ?? ?? ?? 8B D8 E9 7B 01 00 00 8B 46 08 8B 40 24 89 45 E8 8B 46 08 E8 ?? ?? ?? ?? 8B D8 83 FB FE 0F 85 5F 01 00 00 83 7D E0 00 75 5C 8D 55 C0 8B 45 F0 8B 08 FF 51 0C 8B 45 C0 89 45 CC 8B 45 CC 89 45 C8 83 7D C8 00 74 0B 8B 45 C8 83 E8 04 8B 00 89 45 C8 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8B 45 FC E8 ?? ?? ?? ?? 8D 04 40 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 BC 50 8D 55 B8 8B 45 F0 8B 08 FF 51 0C 8B 45 B8 8B 4D E8 2B 4D EC 8B 55 EC E8 ?? ?? ?? ?? 8B 55 BC 8B 45 E0 E8 ?? ?? ?? ?? 8B 46 08 8B 40 24 40 89 45 EC 8D 55 B4 8B 46 08 E8 ?? ?? ?? ?? 8B 55 B4 8B 4D FC 8B C6 E8 ?? ?? ?? ?? 8B F8 C6 45 D7 00 80 7E 12 00 74 5B 8B 46 08 E8 ?? ?? ?? ?? 48 75 50 8B 46 08 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 83 F8 02 75 3B 8B 46 08 E8 ?? ?? ?? ?? 8B 46 08 8B 40 24 40 89 45 EC C6 45 D7 01 8B 45 08 83 3C B8 00 75 0F BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? EB 0D BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 80 7D D7 00 75 43 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 3B 45 DC 7F 1D 8B 45 DC 83 C0 02 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 55 DC 89 3C 90 FF 45 DC 83 FB FF 0F 85 5E FE FF FF 83 7D E0 00 0F 84 69 01 00 00 8D 55 F4 8B 45 F0 8B 08 FF 51 0C 8D 55 B0 8B 45 F0 8B 08 FF 51 0C 8B 45 B0 89 45 AC 8B 5D AC 85 DB 74 05 83 EB 04 8B 1B 8D 45 A8 50 8B CB 2B 4D EC 41 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 A4 8B 45 E0 8B 08 FF 51 DC 8B 55 A4 8B 45 F0 8B 08 FF 51 10 8B 45 F0 8B 10 FF 52 34 89 45 E4 8B 45 E4 8B 10 FF 52 24 8B 45 DC 48 85 C0 0F 8C D1 00 00 00 40 89 45 D0 C7 45 D8 00 00 00 00 8B 45 F8 8B 55 D8 8B 3C 90 8B 45 F0 8B 10 FF 52 70 8B D8 80 7E 11 00 74 0E BA 01 00 00 00 8B C3 8B 08 FF 51 14 EB 0C BA 1A 00 00 00 8B C3 8B 08 FF 51 14 80 7E 12 00 74 19 8B 45 08 83 3C B8 00 75 10 8B 45 08 8D 04 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 83 3C B8 00 75 11 8B C3 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 EB 44 80 7E 11 00 74 29 8B C3 8B 10 FF 52 7C 50 8D 45 A0 8B 55 08 8B 14 BA B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 A0 58 8B 08 FF 91 68 01 00 00 EB 15 8B C3 8B 10 FF 52 7C 8B 55 08 8B 14 BA 8B 08 FF 91 7C 01 00 00 8B D3 8B 45 E4 8B 08 FF 51 10 FF 45 D8 FF 4D D0 0F 85 3A FF FF FF 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A4 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 55 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 31 00 3D 00 31 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 31 00 3D 00 32 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 }
	condition:
		$1
}

rule function_11556_0 {
	meta:
		name = "TDBXDataExpressProviderContext.FindParameterByName"
		size = 240
		refs = "0017 @DynArrayAddRef 001f TDBXDataExpressProviderContext.FindParameterByName 002d @DynArrayHigh 0040 @UStrEqual 0062 @UStrCat3 006c _Dn_Exception 0071 Exception.Create 0076 @RaiseExcept 008d @UStrClr 0096 TDBXStringArray 009b @DynArrayClear 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F0 33 DB EB 14 8B 45 FC 8B 04 B0 8B D7 E8 ?? ?? ?? ?? 75 04 B3 01 EB 01 4E 84 DB 75 04 85 F6 7D E4 84 DB 75 23 8D 45 F8 8B CF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 19 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4E 00 61 00 6D 00 65 00 20 00 6E 00 6F 00 74 00 20 00 66 00 6F 00 75 00 6E 00 64 00 3A 00 20 00 00 00 }
	condition:
		$1
}

rule function_11560_0 {
	meta:
		name = "TInvocationMetadataDelegate.StoreMetadata"
		size = 300
		refs = "0014 TInvocationMetadataDelegate.StoreMetadata 0021 _DV_TInvocationMetadataDelegate.StoreMetadata$434$ActRec 0026 TObject.Create 0039 @IntfCopy 004a _Dn_TJSONUnMarshal 004f TJSONUnMarshal.Create 0059 _Dn_TReverterEvent 005e TReverterEvent.Create 0070 TReverterEvent.SetTypeObjectReverter 007c _Dn_TDSInvocationMetadata 0084 TJSONUnMarshal.RegisterReverter 009d TJSONUnMarshal.Unmarshal 00ac @IsClass 00b7 SetInvocationMetadata 00cc TObject.Free 00da @HandleFinally 00f1 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 99 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 85 D2 74 03 83 EA F4 8B C6 E8 ?? ?? ?? ?? 56 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 46 00 51 00 75 00 65 00 72 00 79 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_11562_0 {
	meta:
		name = "TInvocationMetadataDelegate.WriteMetadata"
		size = 328
		refs = "0014 TInvocationMetadataDelegate.WriteMetadata 0021 _DV_TInvocationMetadataDelegate.WriteMetadata$436$ActRec 0026 TObject.Create 0039 @IntfCopy 0041 _Dn_TDBXJSonConnectionHandler 0046 @IsClass 0055 GetInvocationMetadata 0066 _Dn_TJSONMarshal 006b TJSONMarshal.Create 0075 _Dn_TConverterEvent 007a TConverterEvent.Create 008e TConverterEvent.SetTypeObjectConverter 009d _Dn_TDSInvocationMetadata 00a5 TTypeMarshaller<Data.DBXJSON.TJSONValue>.RegisterConverter 00d1 TDBXJSonConnectionHandler.WriteMetadataData 00e6 TObject.Free 00f4 @HandleFinally 010b @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A8 00 00 00 33 C0 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 97 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B D3 85 D2 74 03 83 EA F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F8 8B 08 FF 51 0C 89 45 F4 33 C9 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 46 00 51 00 75 00 65 00 72 00 79 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_11563_0 {
	meta:
		name = "TInvocationMetadataDelegate.ClearMetadata"
		size = 27
		refs = "0007 _Dn_TDBXJSonConnectionHandler 000c @IsClass 0015 ClearInvocationMetadata"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11566_0 {
	meta:
		name = "TDBXMetaDataError.Create"
		size = 126
		refs = "0010 @ClassCreate 001e TDBXMetaDataError.Create 002e @UStrFromWStr 0040 TDBXError.Create 0055 @UStrClr 005b @HandleFinally 0068 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 50 B9 1E 00 00 00 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11571_0 {
	meta:
		name = "TDBXMetaDataColumn.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TObject.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 1E 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_95886_0 {
	meta:
		name = "TWebActionItem.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 1E 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11572_0 {
	meta:
		name = "TDBXMetaDataColumn.Create"
		size = 145
		refs = "000b @ClassCreate 001a TObject.Create 0025 @UStrAsg 007d @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 04 8B 56 04 E8 ?? ?? ?? ?? 8D 47 08 8B 56 08 E8 ?? ?? ?? ?? 8B 46 0C 89 47 0C 8B 46 10 89 47 10 8B 46 14 89 47 14 8B 46 18 89 47 18 0F B6 46 1C 88 47 1C 0F B6 46 1D 88 47 1D 0F B6 46 1E 88 47 1E 0F B6 46 1F 88 47 1F 0F B6 46 20 88 47 20 0F B6 46 21 88 47 21 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11573_0 {
	meta:
		name = "TDBXMetaDataColumn.CopyColumnToTableStorage"
		size = 135
		refs = "000c TDBXColumnsTableStorage.SetColumnName 0016 TDBXColumnsTableStorage.SetPrecision 0020 TDBXColumnsTableStorage.SetScale 002a TDBXColumnsTableStorage.SetDefaultValue 0035 TDBXColumnsTableStorage.SetLong 0040 TDBXColumnsTableStorage.SetNullable 004b TDBXColumnsTableStorage.SetAutoIncrement 0055 TDBXColumnsTableStorage.SetMaxInline 005f TDBXColumnsTableStorage.SetDbxDataType 006a TDBXColumnsTableStorage.SetFixedLength 0075 TDBXColumnsTableStorage.SetUnicode 0080 TDBXColumnsTableStorage.SetUnsigned"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 53 04 8B C6 E8 ?? ?? ?? ?? 8B 53 10 8B C6 E8 ?? ?? ?? ?? 8B 53 14 8B C6 E8 ?? ?? ?? ?? 8B 53 08 8B C6 E8 ?? ?? ?? ?? 0F B6 53 21 8B C6 E8 ?? ?? ?? ?? 0F B6 53 1E 8B C6 E8 ?? ?? ?? ?? 0F B6 53 1D 8B C6 E8 ?? ?? ?? ?? 8B 53 18 8B C6 E8 ?? ?? ?? ?? 8B 53 0C 8B C6 E8 ?? ?? ?? ?? 0F B6 53 1F 8B C6 E8 ?? ?? ?? ?? 0F B6 53 20 8B C6 E8 ?? ?? ?? ?? 0F B6 53 1C 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11574_0 {
	meta:
		name = "TDBXInt8Column.Create"
		size = 74
		refs = "000b @ClassCreate 001a TDBXMetaDataColumn.Create 002b @UStrAsg 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 1C 00 00 00 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11575_0 {
	meta:
		name = "TDBXInt64Column.Create"
		size = 74
		refs = "000b @ClassCreate 001a TDBXMetaDataColumn.Create 002b @UStrAsg 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 12 00 00 00 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11576_0 {
	meta:
		name = "TDBXInt32Column.Create"
		size = 74
		refs = "000b @ClassCreate 001a TDBXMetaDataColumn.Create 002b @UStrAsg 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 06 00 00 00 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11577_0 {
	meta:
		name = "TDBXInt16Column.Create"
		size = 74
		refs = "000b @ClassCreate 001a TDBXMetaDataColumn.Create 002b @UStrAsg 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 05 00 00 00 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11578_0 {
	meta:
		name = "TDBXDoubleColumn.Create"
		size = 74
		refs = "000b @ClassCreate 001a TDBXMetaDataColumn.Create 002b @UStrAsg 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 07 00 00 00 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11579_0 {
	meta:
		name = "TDBXDecimalColumn.Create"
		size = 92
		refs = "000e @ClassCreate 001d TDBXMetaDataColumn.Create 002e @UStrAsg 0045 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 08 00 00 00 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B 45 0C 89 47 10 8B 45 08 89 47 14 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_11580_0 {
	meta:
		name = "TDBXDateColumn.Create"
		size = 74
		refs = "000b @ClassCreate 001a TDBXMetaDataColumn.Create 002b @UStrAsg 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 02 00 00 00 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11581_0 {
	meta:
		name = "TDBXBooleanColumn.Create"
		size = 74
		refs = "000b @ClassCreate 001a TDBXMetaDataColumn.Create 002b @UStrAsg 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 04 00 00 00 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11582_0 {
	meta:
		name = "TDBXBinaryLongColumn.Create"
		size = 85
		refs = "000b @ClassCreate 001a TDBXMetaDataColumn.Create 002f @UStrAsg 0041 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 03 00 00 00 C6 47 21 01 8D 47 04 8B D6 E8 ?? ?? ?? ?? C7 47 10 80 38 01 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11583_0 {
	meta:
		name = "TDBXBinaryColumn.Create"
		size = 94
		refs = "000e @ClassCreate 001d TDBXMetaDataColumn.Create 0032 @UStrAsg 0047 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 09 00 00 00 C6 47 1F 01 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B 45 08 89 47 10 C6 47 1F 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11584_0 {
	meta:
		name = "TDBXAnsiVarCharColumn.Create"
		size = 94
		refs = "000e @ClassCreate 001d TDBXMetaDataColumn.Create 0036 @UStrAsg 0047 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 01 00 00 00 C6 47 21 00 C6 47 1F 00 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B 45 08 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11585_0 {
	meta:
		name = "TDBXAnsiLongColumn.Create"
		size = 85
		refs = "000b @ClassCreate 001a TDBXMetaDataColumn.Create 002f @UStrAsg 0041 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 01 00 00 00 C6 47 21 01 8D 47 04 8B D6 E8 ?? ?? ?? ?? C7 47 10 80 38 01 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11586_0 {
	meta:
		name = "TDBXAnsiCharColumn.Create"
		size = 94
		refs = "000e @ClassCreate 001d TDBXMetaDataColumn.Create 0036 @UStrAsg 0047 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 01 00 00 00 C6 47 21 00 C6 47 1F 01 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B 45 08 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11587_0 {
	meta:
		name = "TDBXMetaDataForeignKey.Create"
		size = 99
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TDBXForeignKeysTableStorage 0023 TDBXForeignKeysTableStorage.Create 002d _Dn_TDBXForeignKeyColumnsTableStorage 0032 TDBXForeignKeyColumnsTableStorage.Create 0050 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B 46 04 8B 10 FF 52 58 8B 46 04 8B 10 FF 52 5C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11600_0 {
	meta:
		name = "TDBXMetaDataIndex.Create"
		size = 99
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TDBXIndexesTableStorage 0023 TDBXIndexesTableStorage.Create 002d _Dn_TDBXIndexColumnsTableStorage 0032 TDBXIndexColumnsTableStorage.Create 0050 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B 46 04 8B 10 FF 52 58 8B 46 04 8B 10 FF 52 5C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11655_0 {
	meta:
		name = "TDBXMetaDataTable.Create"
		size = 99
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TDBXTablesTableStorage 0023 TDBXTablesTableStorage.Create 002d _Dn_TDBXColumnsTableStorage 0032 TDBXColumnsTableStorage.Create 0050 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B 46 04 8B 10 FF 52 58 8B 46 04 8B 10 FF 52 5C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_11589_0 {
	meta:
		name = "TDBXMetaDataForeignKey.Create"
		size = 226
		refs = "000e @ClassCreate 0035 string 003a @AddRefArray 0042 TDBXMetaDataForeignKey.Create 005a TDBXMetaDataForeignKey.SetTableName 0065 @UStrAsg 006f TDBXMetaDataForeignKey.SetForeignKeyName 0087 TDBXMetaDataForeignKey.AddReference 00b1 @FinalizeArray 00b7 @HandleFinally 00c4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 5D 0C 8B 75 08 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 0C 8B F9 8B DA 8B F0 8B 4D 08 41 8B 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 46 14 8B 55 14 E8 ?? ?? ?? ?? 8B 55 10 8B C6 E8 ?? ?? ?? ?? 33 FF EB 17 8B 45 0C 8B 4C B8 04 8B 45 0C 8B 14 B8 8B C6 E8 ?? ?? ?? ?? 83 C7 02 8B 45 08 40 3B F8 7C E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 0C 8B 4D 08 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B C6 84 DB 74 0E E8 ?? ?? ?? ?? 8B 45 E4 64 A3 00 00 00 00 8B C6 8B 7D F4 8B 75 F8 8B 5D FC 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_11590_0 {
	meta:
		name = "TDBXMetaDataForeignKey.GetForeignKeyColumnsStorage"
		size = 71
		refs = "0014 TDBXForeignKeyColumnsTableStorage.SetPrimaryCatalogName 001f TDBXForeignKeyColumnsTableStorage.SetPrimarySchemaName 002a TDBXForeignKeyColumnsTableStorage.SetPrimaryTableName"
	strings:
		$1 = { 53 8B D8 8B 43 08 8B 10 FF 52 4C EB 29 8B 53 0C 8B 43 08 E8 ?? ?? ?? ?? 8B 53 10 8B 43 08 E8 ?? ?? ?? ?? 8B 53 14 8B 43 08 E8 ?? ?? ?? ?? 8B 43 08 8B 10 FF 52 48 8B 43 08 8B 10 FF 52 44 84 C0 75 CB 8B 43 08 5B C3 }
	condition:
		$1
}

rule function_11591_0 {
	meta:
		name = "TDBXMetaDataForeignKey.GetCatalogName"
		size = 19
		refs = "000c TDBXForeignKeysTableStorage.GetCatalogName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11597_0 {
	meta:
		name = "TDBXMetaDataForeignKey.GetForeignKeyName"
		size = 19
		refs = "000c TDBXForeignKeysTableStorage.GetForeignKeyName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11593_0 {
	meta:
		name = "TDBXMetaDataForeignKey.GetSchemaName"
		size = 19
		refs = "000c TDBXForeignKeysTableStorage.GetSchemaName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11595_0 {
	meta:
		name = "TDBXMetaDataForeignKey.GetTableName"
		size = 19
		refs = "000c TDBXForeignKeysTableStorage.GetTableName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11603_0 {
	meta:
		name = "TDBXMetaDataIndex.GetCatalogName"
		size = 19
		refs = "000c TDBXIndexesTableStorage.GetCatalogName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11609_0 {
	meta:
		name = "TDBXMetaDataIndex.GetIndexName"
		size = 19
		refs = "000c TDBXIndexesTableStorage.GetIndexName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11605_0 {
	meta:
		name = "TDBXMetaDataIndex.GetSchemaName"
		size = 19
		refs = "000c TDBXIndexesTableStorage.GetSchemaName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11607_0 {
	meta:
		name = "TDBXMetaDataIndex.GetTableName"
		size = 19
		refs = "000c TDBXIndexesTableStorage.GetTableName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11657_0 {
	meta:
		name = "TDBXMetaDataTable.GetCatalogName"
		size = 19
		refs = "000c TDBXTablesTableStorage.GetCatalogName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11659_0 {
	meta:
		name = "TDBXMetaDataTable.GetSchemaName"
		size = 19
		refs = "000c TDBXTablesTableStorage.GetSchemaName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11661_0 {
	meta:
		name = "TDBXMetaDataTable.GetTableName"
		size = 19
		refs = "000c TDBXTablesTableStorage.GetTableName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19179_0 {
	meta:
		name = "TDSHTTPResponseWebBroker.GetContentText"
		size = 19
		refs = "000c TWebResponse.GetUnicodeContent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78188_0 {
	meta:
		name = "TFileDialogWrapper.GetFileName"
		size = 19
		refs = "000c TCustomFileDialog.GetFileName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81129_0 {
	meta:
		name = "TGIFList.GetItem"
		size = 19
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33171_0 {
	meta:
		name = "TIdDNTreeNode.GetNode"
		size = 19
		refs = "000c TIdObjectList.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33159_0 {
	meta:
		name = "TIdMWayTreeNode.GetTreeNode"
		size = 19
		refs = "000c TIdObjectList.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73058_0 {
	meta:
		name = "TMenuStack.GetBars"
		size = 19
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48569_0 {
	meta:
		name = "TNotifyList.GetItem"
		size = 19
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66724_0 {
	meta:
		name = "TPerlRegExList.GetRegEx"
		size = 19
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95556_0 {
	meta:
		name = "TWebDispatch.GetPathInfo"
		size = 19
		refs = "000c TWebPathInfo.GetPathInfo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11599_0 {
	meta:
		name = "TDBXMetaDataForeignKey.AddReference"
		size = 67
		refs = "001f TDBXForeignKeyColumnsTableStorage.SetColumnOrdinal 0029 TDBXForeignKeyColumnsTableStorage.SetColumnName 0033 TDBXForeignKeyColumnsTableStorage.SetPrimaryColumnName"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8D 43 18 8B 10 FF 00 8B 43 08 8B 10 FF 52 58 8B 53 18 8B 43 08 E8 ?? ?? ?? ?? 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B D7 8B 43 08 E8 ?? ?? ?? ?? 8B 43 08 8B 10 FF 52 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11602_0 {
	meta:
		name = "TDBXMetaDataIndex.Create"
		size = 212
		refs = "000f @ClassCreate 0037 string 003c @AddRefArray 0044 TDBXMetaDataIndex.Create 005c TDBXMetaDataIndex.SetTableName 0066 TDBXMetaDataIndex.SetIndexName 007c TDBXMetaDataIndex.AddColumn 00a1 @FinalizeArray 00a7 @HandleFinally 00b6 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 5D 0C 8B 75 08 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 0C 8B D9 88 55 FF 8B F8 8B 4D 08 41 8B 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 10 8B C7 E8 ?? ?? ?? ?? 8B 75 08 46 4E 85 F6 7C 13 46 8B 5D 0C 8B 13 8B C7 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 0C 8B 4D 08 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B C7 80 7D FF 00 74 0E E8 ?? ?? ?? ?? 8B 45 E0 64 A3 00 00 00 00 8B C7 8B 7D F0 8B 75 F4 8B 5D F8 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_11614_0 {
	meta:
		name = "TDBXMetaDataIndex.AddColumn"
		size = 67
		refs = "001f TDBXIndexColumnsTableStorage.SetColumnOrdinal 0029 TDBXIndexColumnsTableStorage.SetColumnName 0033 TDBXIndexColumnsTableStorage.SetAscending"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8D 47 0C 8B 10 FF 00 8B 47 08 8B 10 FF 52 58 8B 57 0C 8B 47 08 E8 ?? ?? ?? ?? 8B D6 8B 47 08 E8 ?? ?? ?? ?? 8B D3 8B 47 08 E8 ?? ?? ?? ?? 8B 47 08 8B 10 FF 52 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11616_0 {
	meta:
		name = "TDBXMetaDataProvider.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TObject.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11617_0 {
	meta:
		name = "TDBXMetaDataProvider.SetWriter"
		size = 29
		refs = "000e _DV_TDBXSqlExecution 0013 TDBXSqlExecution.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 89 73 04 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_11619_0 {
	meta:
		name = "TDBXMetaDataProvider.GetDatabaseProduct"
		size = 24
		altNames = "TDBXMetaDataProvider.GetVendor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B 10 FF 52 28 8B D6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_11620_0 {
	meta:
		name = "TDBXMetaDataProvider.CheckColumnSupported"
		size = 125
		refs = "000f _Dn_TDBXColumnsTableStorage 0014 TDBXColumnsTableStorage.Create 001f TDBXMetaDataProvider.CheckColumnSupported 0037 TDBXMetaDataColumn.CopyColumnToTableStorage 0067 TObject.Free 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 58 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 5C 8B 43 04 8B 55 FC 8B 08 FF 51 14 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11622_0 {
	meta:
		name = "TDBXMetaDataProvider.CreateTable"
		size = 86
		refs = "000f TDBXMetaDataProvider.CreateTable 0026 TDBXMetaDataProvider.MakeCreateTableSql 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 4E 08 8B 56 04 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 8B 08 FF 11 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11627_0 {
	meta:
		name = "TDBXMetaDataProvider.CreateIndex"
		size = 86
		refs = "000f TDBXMetaDataProvider.CreateIndex 0026 TDBXMetaDataProvider.MakeCreateIndexSql 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 4E 08 8B 56 04 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 8B 08 FF 11 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11623_0 {
	meta:
		name = "TDBXMetaDataProvider.DropTable"
		size = 400
		refs = "001b TDBXMetaDataProvider.DropTable 0028 _Dn_TDBXStringBuffer 002d TDBXStringBuffer.Create 004f TDBXStringBuffer.Append 008f TDBXMetaDataProvider.GetCollection 00ac TDBXMetaDataProvider.ToMemoryStorage 00d9 TDBXMetaDataProvider.MakeDropTableSql 00e3 TDBXMetaDataProvider.Execute 0103 TObject.Free 0109 @HandleFinally 013d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 85 FF 74 1A 8B 43 04 8B CF 8B 55 F0 8B 38 FF 57 10 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 43 04 8B CE 8B 55 F0 8B 30 FF 56 10 8D 55 E8 8B 45 F0 8B 08 FF 51 DC 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 F4 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 4C 84 C0 74 30 8B C6 8B 10 FF 52 48 84 C0 75 25 8B C6 8B 10 FF 52 4C 84 C0 74 1A 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? C6 45 EF 01 0F B6 45 EF 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 54 00 61 00 62 00 6C 00 65 00 73 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_11624_0 {
	meta:
		name = "TDBXMetaDataProvider.DropTable"
		size = 10
		refs = "0005 TDBXMetaDataProvider.DropTable"
	strings:
		$1 = { 8B CA 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74171_0 {
	meta:
		name = "TButtonCategories.Insert"
		size = 10
		refs = "0005 TButtonCategories.AddItem"
	strings:
		$1 = { 8B CA 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74145_0 {
	meta:
		name = "TButtonCollection.Insert"
		size = 10
		refs = "0005 TButtonCollection.AddItem"
	strings:
		$1 = { 8B CA 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17652_0 {
	meta:
		name = "TDSClientCallbackChannelManager.RegisterCallback"
		size = 10
		refs = "0005 TDSClientCallbackChannelManager.RegisterCallback"
	strings:
		$1 = { 8B CA 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73825_0 {
	meta:
		name = "TGrpButtonItems.Insert"
		size = 10
		refs = "0005 TGrpButtonItems.AddItem"
	strings:
		$1 = { 8B CA 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74615_0 {
	meta:
		name = "THeaderSections.Insert"
		size = 10
		refs = "0005 THeaderSections.AddItem"
	strings:
		$1 = { 8B CA 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43156_0 {
	meta:
		name = "TIWApplication.Terminate"
		size = 10
		refs = "0005 TIWApplication.TerminateAndRedirect"
	strings:
		$1 = { 8B CA 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48870_0 {
	meta:
		name = "TInvokableClassRegistry.UnRegisterInterface"
		size = 10
		refs = "0005 TInvokableClassRegistry.DeleteFromReg"
	strings:
		$1 = { 8B CA 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75196_0 {
	meta:
		name = "TListItems.Insert"
		size = 10
		refs = "0005 TListItems.AddItem"
	strings:
		$1 = { 8B CA 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82288_0 {
	meta:
		name = "TMenuItem.InsertNewLineAfter"
		size = 10
		refs = "0005 TMenuItem.InsertNewLine"
	strings:
		$1 = { 8B CA 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74547_0 {
	meta:
		name = "TStatusPanels.Insert"
		size = 10
		refs = "0005 TStatusPanels.AddItem"
	strings:
		$1 = { 8B CA 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74682_0 {
	meta:
		name = "TTreeNode.Collapse"
		size = 10
		refs = "0005 TTreeNode.ExpandItem"
	strings:
		$1 = { 8B CA 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11625_0 {
	meta:
		name = "TDBXMetaDataProvider.CreatePrimaryKey"
		size = 37
		refs = "000b TDBXMetaDataIndex.SetUnique 0015 TDBXIndexesTableStorage.SetPrimary 001e TDBXMetaDataProvider.CreateIndex"
	strings:
		$1 = { 53 56 8B DA 8B F0 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 04 B2 01 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11626_0 {
	meta:
		name = "TDBXMetaDataProvider.CreateUniqueIndex"
		size = 27
		refs = "000b TDBXMetaDataIndex.SetUnique 0014 TDBXMetaDataProvider.CreateIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30010_0 {
	meta:
		name = "TGUITestRunner.SelectNode"
		size = 27
		refs = "000b TTreeNode.SetSelected 0014 TGUITestRunner.MakeNodeVisible"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11628_0 {
	meta:
		name = "TDBXMetaDataProvider.DropIndex"
		size = 11
		refs = "0006 TDBXMetaDataProvider.DropIndex"
	strings:
		$1 = { 51 33 C9 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11631_0 {
	meta:
		name = "TDBXMetaDataProvider.DropForeignKey"
		size = 11
		refs = "0006 TDBXMetaDataProvider.DropForeignKey"
	strings:
		$1 = { 51 33 C9 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33521_0 {
	meta:
		name = "TIdFTP.List"
		size = 11
		refs = "0006 TIdFTP.List"
	strings:
		$1 = { 51 33 C9 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11629_0 {
	meta:
		name = "TDBXMetaDataProvider.DropIndex"
		size = 428
		refs = "001f TDBXMetaDataProvider.DropIndex 002c _Dn_TDBXStringBuffer 0031 TDBXStringBuffer.Create 0051 TDBXStringBuffer.Append 0092 TDBXMetaDataProvider.GetCollection 00af TDBXMetaDataProvider.ToMemoryStorage 00c8 TDBXIndexesTableStorage.GetIndexName 00d3 @UStrEqual 00e1 TDBXMetaDataProvider.MakeDropIndexSql 00eb TDBXMetaDataProvider.Execute 0117 TObject.Free 011d @HandleFinally 0156 @UStrArrayClr 015e @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D E8 89 5D FC 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 85 FF 74 1A 8B 46 04 8B CF 8B 55 EC 8B 38 FF 57 10 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 46 04 8B 4D F8 8B 55 EC 8B 38 FF 57 10 8D 55 E8 8B 45 EC 8B 08 FF 51 DC 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7D F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 4C EB 3C 83 7D 08 00 74 2F 8D 55 E4 8B C7 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 08 E8 ?? ?? ?? ?? 75 18 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? B3 01 8B C7 8B 10 FF 52 48 8B C7 8B 10 FF 52 44 84 C0 75 B9 88 5D F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 49 00 6E 00 64 00 65 00 78 00 65 00 73 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_11630_0 {
	meta:
		name = "TDBXMetaDataProvider.CreateForeignKey"
		size = 92
		refs = "000f TDBXMetaDataProvider.CreateForeignKey 0020 TDBXMetaDataForeignKey.GetForeignKeyColumnsStorage 002c TDBXMetaDataProvider.MakeCreateForeignKeySql 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 56 04 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 8B 08 FF 11 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11632_0 {
	meta:
		name = "TDBXMetaDataProvider.DropForeignKey"
		size = 504
		refs = "001e TDBXMetaDataProvider.DropForeignKey 002b _Dn_TDBXStringBuffer 0030 TDBXStringBuffer.Create 0052 TDBXStringBuffer.Append 0099 TDBXMetaDataProvider.GetCollection 00b7 TDBXMetaDataProvider.ToMemoryStorage 00fe TDBXForeignKeysTableStorage.GetForeignKeyName 0109 @UStrEqual 011d TDBXMetaDataProvider.MakeDropForeignKeySql 0128 TDBXMetaDataProvider.Execute 015a TObject.Free 0160 @HandleFinally 0199 @UStrArrayClr 01a1 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D E0 89 5D E4 89 5D FC 8B D9 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 45 EB 00 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 85 F6 74 1D 8B 45 F8 8B 40 04 8B CE 8B 55 EC 8B 30 FF 56 10 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 04 8B CB 8B 55 EC 8B 18 FF 53 10 8D 55 E4 8B 45 EC 8B 08 FF 51 DC 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 75 F0 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 83 7D 08 00 74 04 B0 01 EB 1C 8B C6 8B 10 FF 52 4C 84 C0 74 0B 8B C6 8B 10 FF 52 48 84 C0 74 04 33 C0 EB 02 B0 01 84 C0 74 5D 8B C6 8B 10 FF 52 4C EB 49 83 7D 08 00 75 04 B3 01 EB 18 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 08 E8 ?? ?? ?? ?? 0F 94 C3 84 DB 74 1C 8D 4D FC 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? C6 45 EB 01 8B C6 8B 10 FF 52 48 8B C6 8B 10 FF 52 44 84 C0 75 AC 0F B6 45 EB 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 47 00 65 00 74 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 73 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_11633_0 {
	meta:
		name = "TDBXMetaDataProvider.QuoteIdentifierIfNeeded"
		size = 167
		refs = "0018 TDBXMetaDataProvider.QuoteIdentifierIfNeeded 0025 _Dn_TDBXStringBuffer 002a TDBXStringBuffer.Create 006d TObject.Free 0073 @HandleFinally 0080 @UStrAsg 0095 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 04 8B CE 8B 55 F4 8B 18 FF 53 10 8D 55 FC 8B 45 F4 8B 08 FF 51 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11634_0 {
	meta:
		name = "TDBXMetaDataProvider.GetCollection"
		size = 1428
		refs = "000f TDBXMetaDataProvider.GetCollection 0047 @UStrEqual 0052 _Dn_TDBXDataTypesTableStorage 0057 TDBXDataTypesTableStorage.Create 0076 _Dn_TDBXCatalogsTableStorage 007b TDBXCatalogsTableStorage.Create 009a _Dn_TDBXSchemasTableStorage 009f TDBXSchemasTableStorage.Create 00be _Dn_TDBXTablesTableStorage 00c3 TDBXTablesTableStorage.Create 00e2 _Dn_TDBXViewsTableStorage 00e7 TDBXViewsTableStorage.Create 0106 _Dn_TDBXSynonymsTableStorage 010b TDBXSynonymsTableStorage.Create 012a _Dn_TDBXColumnsTableStorage 012f TDBXColumnsTableStorage.Create 014e _Dn_TDBXIndexesTableStorage 0153 TDBXIndexesTableStorage.Create 0172 _Dn_TDBXIndexColumnsTableStorage 0177 TDBXIndexColumnsTableStorage.Create 0196 _Dn_TDBXForeignKeysTableStorage 019b TDBXForeignKeysTableStorage.Create 01ba _Dn_TDBXForeignKeyColumnsTableStorage 01bf TDBXForeignKeyColumnsTableStorage.Create 01de _Dn_TDBXProceduresTableStorage 01e3 TDBXProceduresTableStorage.Create 0202 _Dn_TDBXProcedureSourcesTableStorage 0207 TDBXProcedureSourcesTableStorage.Create 0226 _Dn_TDBXProcedureParametersTableStorage 022b TDBXProcedureParametersTableStorage.Create 024a _Dn_TDBXPackagesTableStorage 024f TDBXPackagesTableStorage.Create 026e _Dn_TDBXPackageSourcesTableStorage 0273 TDBXPackageSourcesTableStorage.Create 028f _Dn_TDBXUsersTableStorage 0294 TDBXUsersTableStorage.Create 02b0 _Dn_TDBXRolesTableStorage 02b5 TDBXRolesTableStorage.Create 02d1 _Dn_TDBXReservedWordsTableStorage 02d6 TDBXReservedWordsTableStorage.Create 02f1 @UStrClr 02f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 10 FF 52 28 8B D6 8B 08 FF 11 8B D8 85 DB 75 07 33 DB E9 AC 02 00 00 8D 55 FC 8B C3 8B 08 FF 51 38 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 7E 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 5A 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 36 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 12 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 EE 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 CA 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 A6 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 82 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 5E 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 3A 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 16 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 F2 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 CE 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 AA 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 86 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 65 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 44 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 23 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 69 00 65 00 77 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 6E 00 64 00 65 00 78 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 6E 00 64 00 65 00 78 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 73 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 73 00 65 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 6F 00 6C 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 73 00 65 00 72 00 76 00 65 00 64 00 57 00 6F 00 72 00 64 00 73 00 00 00 }
	condition:
		$1
}

rule function_11635_0 {
	meta:
		name = "TDBXMetaDataProvider.ToMemoryStorage"
		size = 190
		refs = "0010 TDBXMetaDataProvider.ToMemoryStorage 0026 TDBXTableFactory.CreateDBXTable 008a TObject.Free 00a0 TDBXValueTypeArray 00a5 @DynArrayClear 00ad @UStrClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 7C 85 C0 75 69 E8 ?? ?? ?? ?? 89 45 FC 8D 55 F8 8B C3 8B 08 FF 51 38 8B 55 F8 8B 45 FC 8B 08 FF 51 34 8D 55 F4 8B C3 8B 08 FF 51 28 8B 55 F4 8B 45 FC 8B 08 FF 51 30 8B D3 8B 45 FC 8B 08 FF 51 50 8B 45 FC 8B 10 FF 52 70 8B 55 FC 8B C3 8B 08 FF 91 98 00 00 00 89 45 FC 8B 45 FC 8B 10 FF 52 60 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11636_0 {
	meta:
		name = "TDBXMetaDataProvider.MakeCreateTableSql"
		size = 171
		refs = "0018 TDBXMetaDataProvider.MakeCreateTableSql 0025 _Dn_TDBXStringBuffer 002a TDBXStringBuffer.Create 006e TObject.Free 0074 @HandleFinally 0081 @UStrAsg 0096 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 57 8B 43 04 8B CE 8B 55 F8 8B 18 FF 53 04 8D 55 FC 8B 45 F8 8B 08 FF 51 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11641_0 {
	meta:
		name = "TDBXMetaDataProvider.MakeCreateForeignKeySql"
		size = 171
		refs = "0018 TDBXMetaDataProvider.MakeCreateForeignKeySql 0025 _Dn_TDBXStringBuffer 002a TDBXStringBuffer.Create 006e TObject.Free 0074 @HandleFinally 0081 @UStrAsg 0096 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 57 8B 43 04 8B CE 8B 55 F8 8B 18 FF 53 04 8D 55 FC 8B 45 F8 8B 08 FF 51 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11639_0 {
	meta:
		name = "TDBXMetaDataProvider.MakeCreateIndexSql"
		size = 171
		refs = "0018 TDBXMetaDataProvider.MakeCreateIndexSql 0025 _Dn_TDBXStringBuffer 002a TDBXStringBuffer.Create 006e TObject.Free 0074 @HandleFinally 0081 @UStrAsg 0096 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 57 8B 43 04 8B CE 8B 55 F8 8B 18 FF 53 04 8D 55 FC 8B 45 F8 8B 08 FF 51 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11637_0 {
	meta:
		name = "TDBXMetaDataProvider.MakeAlterTableSql"
		size = 171
		refs = "0018 TDBXMetaDataProvider.MakeAlterTableSql 0025 _Dn_TDBXStringBuffer 002a TDBXStringBuffer.Create 006e TObject.Free 0074 @HandleFinally 0081 @UStrAsg 0096 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 57 8B 43 04 8B CE 8B 55 F8 8B 18 FF 53 08 8D 55 FC 8B 45 F8 8B 08 FF 51 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11638_0 {
	meta:
		name = "TDBXMetaDataProvider.MakeDropTableSql"
		size = 167
		refs = "0018 TDBXMetaDataProvider.MakeDropTableSql 0025 _Dn_TDBXStringBuffer 002a TDBXStringBuffer.Create 006d TObject.Free 0073 @HandleFinally 0080 @UStrAsg 0095 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 04 8B CE 8B 55 F4 8B 18 FF 53 0C 8D 55 FC 8B 45 F4 8B 08 FF 51 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11642_0 {
	meta:
		name = "TDBXMetaDataProvider.MakeDropForeignKeySql"
		size = 167
		refs = "0018 TDBXMetaDataProvider.MakeDropForeignKeySql 0025 _Dn_TDBXStringBuffer 002a TDBXStringBuffer.Create 006d TObject.Free 0073 @HandleFinally 0080 @UStrAsg 0095 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 04 8B CE 8B 55 F4 8B 18 FF 53 0C 8D 55 FC 8B 45 F4 8B 08 FF 51 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11640_0 {
	meta:
		name = "TDBXMetaDataProvider.MakeDropIndexSql"
		size = 167
		refs = "0018 TDBXMetaDataProvider.MakeDropIndexSql 0025 _Dn_TDBXStringBuffer 002a TDBXStringBuffer.Create 006d TObject.Free 0073 @HandleFinally 0080 @UStrAsg 0095 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 04 8B CE 8B 55 F4 8B 18 FF 53 0C 8D 55 FC 8B 45 F4 8B 08 FF 51 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11645_0 {
	meta:
		name = "TDBXMetaDataProvider.GetDatabaseVersion"
		size = 24
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B 10 FF 52 28 8B D6 8B 08 FF 51 14 5E 5B C3 }
	condition:
		$1
}

rule function_11646_0 {
	meta:
		name = "TDBXMetaDataProvider.GetIdentifierQuotePrefix"
		size = 24
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B 10 FF 52 28 8B D6 8B 08 FF 51 1C 5E 5B C3 }
	condition:
		$1
}

rule function_11647_0 {
	meta:
		name = "TDBXMetaDataProvider.GetIdentifierQuoteSuffix"
		size = 24
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B 10 FF 52 28 8B D6 8B 08 FF 51 20 5E 5B C3 }
	condition:
		$1
}

rule function_11648_0 {
	meta:
		name = "TDBXMetaDataProvider.IsCatalogsSupported"
		size = 9
	strings:
		$1 = { 8B 40 04 8B 10 FF 52 40 C3 }
	condition:
		$1
}

rule function_11649_0 {
	meta:
		name = "TAllocatedActions.Clear"
		size = 9
		altNames = "TDBXMetaDataProvider.IsSchemasSupported"
	strings:
		$1 = { 8B 40 04 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_11650_0 {
	meta:
		name = "TDBXMetaDataProvider.IsMultipleStatementsSupported"
		size = 9
		altNames = "TDSHTTPNativeClient.GetResponseCode"
	strings:
		$1 = { 8B 40 04 8B 10 FF 52 48 C3 }
	condition:
		$1
}

rule function_11651_0 {
	meta:
		name = "TDBXMetaDataProvider.IsDescendingIndexSupported"
		size = 18
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 28 8B 10 FF 52 30 5B C3 }
	condition:
		$1
}

rule function_11652_0 {
	meta:
		name = "TDBXMetaDataProvider.IsDescendingIndexColumnsSupported"
		size = 18
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 28 8B 10 FF 52 34 5B C3 }
	condition:
		$1
}

rule function_11653_0 {
	meta:
		name = "TDBXMetaDataProvider.IsMixedDDLAndDMLSupported"
		size = 9
	strings:
		$1 = { 8B 40 04 8B 10 FF 52 5C C3 }
	condition:
		$1
}

rule function_11654_0 {
	meta:
		name = "TDBXMetaDataProvider.IsDDLTransactionsSupported"
		size = 9
	strings:
		$1 = { 8B 40 04 8B 10 FF 52 58 C3 }
	condition:
		$1
}

rule function_11656_0 {
	meta:
		name = "TDBXMetaDataTable.Destroy"
		size = 133
		refs = "0005 @BeforeDestruction 0017 @DynArrayLength 0034 TObject.Free 0041 TDBXMetaDataColumnArray 0046 @DynArrayClear 0071 TObject.Destroy 007c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 83 7D 10 00 74 29 8B 45 10 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1A 46 33 FF 8B 45 10 8D 04 B8 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 47 4E 75 E9 8D 45 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 45 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11663_0 {
	meta:
		name = "TDBXMetaDataTable.AddColumn"
		size = 237
		refs = "0010 TDBXMetaDataTable.AddColumn 002c TDBXColumnsTableStorage.SetColumnOrdinal 0036 TDBXMetaDataColumn.CopyColumnToTableStorage 0054 TDBXMetaDataColumnArray 0059 @DynArraySetLength 0066 @DynArrayLength 00b1 @DynArrayAsg 00db @DynArrayClear 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B 10 FF 52 58 FF 43 0C 8B 53 0C 8B 43 08 E8 ?? ?? ?? ?? 8B 53 08 8B C6 E8 ?? ?? ?? ?? 8B 43 08 8B 10 FF 52 5C 83 7B 08 00 75 1A 6A 01 8D 43 10 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 53 8B 43 10 E8 ?? ?? ?? ?? 40 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 10 E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 13 42 33 C0 8B 4B 10 8B 0C 81 8B 7D FC 89 0C 87 40 4A 75 F0 8D 43 10 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 8B 53 10 89 74 82 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11664_0 {
	meta:
		name = "TDBXMetaDataTable.GetColumn"
		size = 16
	strings:
		$1 = { 83 78 10 00 75 03 33 C0 C3 8B 40 10 8B 04 90 C3 }
	condition:
		$1
}

rule function_11665_0 {
	meta:
		name = "TDBXObjectColumn.Create"
		size = 74
		refs = "000b @ClassCreate 001a TDBXMetaDataColumn.Create 002b @UStrAsg 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 1E 00 00 00 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11666_0 {
	meta:
		name = "TDBXSingleColumn.Create"
		size = 74
		refs = "000b @ClassCreate 001a TDBXMetaDataColumn.Create 002b @UStrAsg 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 1B 00 00 00 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11667_0 {
	meta:
		name = "TDBXSqlExecution.Create"
		size = 67
		refs = "000b @ClassCreate 001a TObject.Create 002f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 24 89 47 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11668_0 {
	meta:
		name = "TDBXSqlExecution.Execute"
		size = 360
		refs = "001d TDBXSqlExecution.Execute 002b @UStrClr 0039 StringIndexOf 0056 @UStrCopy 0061 Trim 006c @UStrLAsg 00b1 TObject.Free 013e @UStrArrayClr 014c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E0 89 4D E4 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 33 DB 66 BA 3B 00 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 8C 8A 00 00 00 8D 45 FC 50 8B CE 2B CB 8D 53 01 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 45 EC 83 7D EC 00 74 0B 8B 45 EC 83 E8 04 8B 00 89 45 EC 83 7D EC 00 7E 28 6A 00 8B 45 F8 8B 40 04 33 C9 8B 55 FC 8B 18 FF 53 04 89 45 F0 8B 45 F0 89 45 E8 33 C0 89 45 F0 8B 45 E8 E8 ?? ?? ?? ?? 8D 5E 01 8B CB BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 8D 76 FF FF FF 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 8D 45 FC 50 8B CE 2B CB 8D 53 01 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 6A 00 8B 45 F8 8B 40 04 33 C9 8B 55 FC 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_11669_0 {
	meta:
		name = "TDBXTimeColumn.Create"
		size = 74
		refs = "000b @ClassCreate 001a TDBXMetaDataColumn.Create 002b @UStrAsg 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 0A 00 00 00 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11670_0 {
	meta:
		name = "TDBXTimestampColumn.Create"
		size = 74
		refs = "000b @ClassCreate 001a TDBXMetaDataColumn.Create 002b @UStrAsg 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 18 00 00 00 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11671_0 {
	meta:
		name = "TDBXUInt16Column.Create"
		size = 78
		refs = "000b @ClassCreate 001a TDBXMetaDataColumn.Create 002b @UStrAsg 003a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 0C 00 00 00 8D 47 04 8B D6 E8 ?? ?? ?? ?? C6 47 1C 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11672_0 {
	meta:
		name = "TDBXUInt32Column.Create"
		size = 78
		refs = "000b @ClassCreate 001a TDBXMetaDataColumn.Create 002b @UStrAsg 003a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 0D 00 00 00 8D 47 04 8B D6 E8 ?? ?? ?? ?? C6 47 1C 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11673_0 {
	meta:
		name = "TDBXUInt64Column.Create"
		size = 78
		refs = "000b @ClassCreate 001a TDBXMetaDataColumn.Create 002b @UStrAsg 003a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 13 00 00 00 8D 47 04 8B D6 E8 ?? ?? ?? ?? C6 47 1C 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11674_0 {
	meta:
		name = "TDBXUInt8Column.Create"
		size = 78
		refs = "000b @ClassCreate 001a TDBXMetaDataColumn.Create 002b @UStrAsg 003a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 1D 00 00 00 8D 47 04 8B D6 E8 ?? ?? ?? ?? C6 47 1C 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11675_0 {
	meta:
		name = "TDBXUnicodeCharColumn.Create"
		size = 98
		refs = "000e @ClassCreate 001d TDBXMetaDataColumn.Create 0036 @UStrAsg 004b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 1A 00 00 00 C6 47 21 00 C6 47 1F 01 8D 47 04 8B D6 E8 ?? ?? ?? ?? C6 47 20 01 8B 45 08 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11676_0 {
	meta:
		name = "TDBXUnicodeLongColumn.Create"
		size = 89
		refs = "000b @ClassCreate 001a TDBXMetaDataColumn.Create 0033 @UStrAsg 0045 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 1A 00 00 00 C6 47 21 01 C6 47 20 01 8D 47 04 8B D6 E8 ?? ?? ?? ?? C7 47 10 80 38 01 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11677_0 {
	meta:
		name = "TDBXUnicodeVarCharColumn.Create"
		size = 98
		refs = "000e @ClassCreate 001d TDBXMetaDataColumn.Create 0036 @UStrAsg 004b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 1A 00 00 00 C6 47 21 00 C6 47 1F 00 8D 47 04 8B D6 E8 ?? ?? ?? ?? C6 47 20 01 8B 45 08 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11678_0 {
	meta:
		name = "TDBXVarBinaryColumn.Create"
		size = 86
		refs = "000e @ClassCreate 001d TDBXMetaDataColumn.Create 002e @UStrAsg 003f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 0F 00 00 00 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B 45 08 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11679_0 {
	meta:
		name = "TDBXWideVarCharColumn.Create"
		size = 94
		refs = "000e @ClassCreate 001d TDBXMetaDataColumn.Create 0036 @UStrAsg 0047 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C 1A 00 00 00 C6 47 21 00 C6 47 1F 00 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B 45 08 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11715_0 {
	meta:
		name = "TDBXColumnsTableCursor.Create"
		size = 508
		refs = "0018 @ClassCreate 0027 TDBXColumnsTableCursor.Create 0036 TDBXDelegateTable.Create 004a TDBXBaseMetaDataReader.GetDataTypeHash 007a @UStrEqual 00c3 TDBXValueTypeArray 00c8 @DynArraySetLength 00d3 @DynArrayLength 00f9 TDBXValueType.Clone 010a _Dn_TDBXSingleValueRow 010f TDBXSingleValueRow.Create 0139 @DynArrayClear 0146 @UStrArrayClr 015a @HandleFinally 0169 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FB 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B C3 8B 08 FF 91 9C 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 43 28 89 73 24 0F B6 45 0C 88 43 30 33 C0 89 43 1C C7 43 20 04 00 00 00 8D 55 F4 8B C3 8B 08 FF 51 38 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 10 C7 43 1C 02 00 00 00 C7 43 20 05 00 00 00 EB 27 8D 55 F0 8B C3 8B 08 FF 51 38 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E C7 43 1C 01 00 00 00 C7 43 20 06 00 00 00 6A 05 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 29 47 33 F6 8D 55 EC 8B 45 08 8B 08 FF 51 2C 8B 45 EC 8D 56 0C 2B 53 1C 8B 04 90 E8 ?? ?? ?? ?? 8B 55 FC 89 04 B2 46 4F 75 DA B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 34 8B C6 8B 55 FC 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_11717_0 {
	meta:
		name = "TDBXColumnsTableCursor.Next"
		size = 389
		refs = "000e TDBXColumnsTableCursor.Next 001b TDBXDelegateTable.Next 002f TDBXDelegateTable.GetWritableValue 0042 TDBXObjectStore.GetObjectFromName 00ee TDBXDataTypeDescription.IsFixedLength 010f TDBXDataTypeDescription.IsUnicode 0130 TDBXDataTypeDescription.IsLong 0151 TDBXDataTypeDescription.IsUnsigned 0171 @UStrClr 0177 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 84 37 01 00 00 8B 56 20 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 51 28 8B 55 FC 8B 46 28 E8 ?? ?? ?? ?? 8B F8 89 7E 2C 85 FF 75 75 33 D2 8B 46 34 8B 08 FF 51 24 33 D2 8B 08 FF 91 1C 01 00 00 BA 01 00 00 00 8B 46 34 8B 08 FF 51 24 33 D2 8B 08 FF 91 08 01 00 00 BA 02 00 00 00 8B 46 34 8B 08 FF 51 24 33 D2 8B 08 FF 91 08 01 00 00 BA 03 00 00 00 8B 46 34 8B 08 FF 51 24 33 D2 8B 08 FF 91 08 01 00 00 BA 04 00 00 00 8B 46 34 8B 08 FF 51 24 33 D2 8B 08 FF 91 08 01 00 00 E9 9C 00 00 00 33 D2 8B 46 34 8B 08 FF 51 24 8B 56 2C 8B 52 08 8B 08 FF 91 1C 01 00 00 BA 01 00 00 00 8B 46 34 8B 08 FF 51 24 50 8B 46 2C E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 02 00 00 00 8B 46 34 8B 08 FF 51 24 50 8B 46 2C E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 03 00 00 00 8B 46 34 8B 08 FF 51 24 50 8B 46 2C E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 04 00 00 00 8B 46 34 8B 08 FF 51 24 50 8B 46 2C E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11718_0 {
	meta:
		name = "TDBXColumnsTableCursor.GetWritableValue"
		size = 39
		refs = "0021 TDBXDelegateTable.GetWritableValue"
	strings:
		$1 = { 53 8B DA 8B 48 1C 03 D9 83 FB 0C 7C 13 BB 0C 00 00 00 2B D9 2B D3 8B 40 34 8B 08 FF 51 24 5B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11719_0 {
	meta:
		name = "TDBXCustomMetaDataTable.Create"
		size = 160
		refs = "000f @ClassCreate 0026 TDBXRowTable.Create 0033 @UStrAsg 0045 TDBXValueTypeArray 004a @DynArrayAsg 0051 TDBXCustomMetaDataTable.Create 0056 @UStrEqual 0069 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 10 6A 00 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 89 7B 1C 8D 43 20 8B D6 E8 ?? ?? ?? ?? 8B 45 08 89 43 24 8D 43 28 8B 55 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 43 34 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_11720_0 {
	meta:
		name = "TDBXCustomMetaDataTable.Destroy"
		size = 76
		refs = "0003 @BeforeDestruction 0017 TObject.Free 001f FreeObjectArray 003a TDBXRowTable.Destroy 0045 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 28 E8 ?? ?? ?? ?? 8D 46 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11721_0 {
	meta:
		name = "TDBXCustomMetaDataTable.GetCommand"
		size = 21
	strings:
		$1 = { 8B 50 24 85 D2 75 03 33 C0 C3 8B C2 8B 10 FF 92 80 00 00 00 C3 }
	condition:
		$1
}

rule function_11722_0 {
	meta:
		name = "TDBXCustomMetaDataTable.FindStringSize"
		size = 18
	strings:
		$1 = { 56 8B F0 8B 14 91 8B C6 8B 08 FF 91 A4 00 00 00 5E C3 }
	condition:
		$1
}

rule function_11723_0 {
	meta:
		name = "TDBXCustomMetaDataTable.FindStringSize"
		size = 153
		refs = "0016 TDBXCustomMetaDataTable.FindStringSize"
	strings:
		$1 = { 53 8B DA 8B C3 8B 10 FF 52 50 83 F8 1C 0F 87 82 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 02 00 00 07 04 05 00 00 00 00 00 00 00 00 00 00 00 06 00 00 00 00 00 00 00 01 00 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 8B 10 FF 52 68 5B C3 8B C3 8B 10 FF 52 68 03 C0 5B C3 B8 04 00 00 00 5B C3 B8 06 00 00 00 5B C3 B8 0B 00 00 00 5B C3 B8 14 00 00 00 5B C3 B8 05 00 00 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_11724_0 {
	meta:
		name = "TDBXCustomMetaDataTable.AdjustColumnSize"
		size = 399
		refs = "0014 TDBXCustomMetaDataTable.AdjustColumnSize 0037 @DynArrayLength 0177 TDBXValueTypeArray 017c @DynArrayClear 0182 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 24 85 F6 0F 84 3C 01 00 00 8D 55 FC 8B C6 8B 08 FF 51 2C 8B 43 28 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 21 01 00 00 40 89 45 F8 33 F6 8B 43 28 8B 04 B0 8B 10 FF 52 50 83 F8 1C 0F 87 FD 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 00 00 06 03 04 00 00 00 00 00 00 00 00 00 00 00 05 00 00 00 00 00 00 00 01 00 02 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 7D FC 00 75 1B 8B D6 8B 43 24 8B 08 FF 51 24 8B 50 04 8B C3 8B 08 FF 91 A4 00 00 00 8B F8 EB 2C 8B 45 FC E8 ?? ?? ?? ?? 3B F0 7D 13 8B 4D FC 8B D6 8B C3 8B 38 FF 97 A0 00 00 00 8B F8 EB 0D 8B 43 28 8B 04 B0 8B 10 FF 52 68 8B F8 85 FF 7E 65 8B C7 99 52 50 8B 43 28 8B 04 B0 8B 10 FF 52 30 EB 53 6A 00 6A 01 8B 43 28 8B 04 B0 8B 10 FF 52 30 EB 42 6A 00 6A 02 8B 43 28 8B 04 B0 8B 10 FF 52 30 EB 31 6A 00 6A 04 8B 43 28 8B 04 B0 8B 10 FF 52 30 EB 20 6A 00 6A 08 8B 43 28 8B 04 B0 8B 10 FF 52 30 EB 0F 6A 00 6A 02 8B 43 28 8B 04 B0 8B 10 FF 52 30 46 FF 4D F8 0F 85 E5 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11726_0 {
	meta:
		name = "TDBXCustomMetaDataTable.First"
		size = 9
	strings:
		$1 = { 8B 40 24 8B 10 FF 52 4C C3 }
	condition:
		$1
}

rule function_11727_0 {
	meta:
		name = "TDBXCustomMetaDataTable.Next"
		size = 9
	strings:
		$1 = { 8B 40 24 8B 10 FF 52 48 C3 }
	condition:
		$1
}

rule function_11728_0 {
	meta:
		name = "TDBXCustomMetaDataTable.InBounds"
		size = 9
	strings:
		$1 = { 8B 40 24 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_11729_0 {
	meta:
		name = "TDBXCustomMetaDataTable.Close"
		size = 33
		refs = "001b TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 24 85 C0 74 15 8B 10 FF 52 60 8D 43 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_11730_0 {
	meta:
		name = "TDBXCustomMetaDataTable.GetColumns"
		size = 42
		refs = "000f TDBXCustomMetaDataTable.AdjustColumnSize 001e TDBXValueTypeArray 0023 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 2C 00 75 0B 8B C3 E8 ?? ?? ?? ?? C6 43 2C 01 8B C6 8B 53 28 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11731_0 {
	meta:
		name = "TDBXCustomMetaDataTable.CheckColumn"
		size = 130
		refs = "0011 TDBXCustomMetaDataTable.CheckColumn 0023 @DynArrayLength 002f SOrdinalOutOfRange 0034 LoadResString 003f @WStrFromUStr 0049 _Dn_TDBXMetaDataError 004e TDBXMetaDataError.Create 0053 @RaiseExcept 0068 @UStrClr 0070 @WStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 0C 8B 43 28 E8 ?? ?? ?? ?? 3B F0 7E 2C 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11732_0 {
	meta:
		name = "TDBXCustomMetaDataTable.GetWritableValue"
		size = 213
		refs = "004d _DV_TDBXIndexColumnValue 0052 TDBXIndexColumnValue.Create 0060 TDBXCustomMetaDataTable.GetWritableValue 0092 @HandleOnException 009a _Dn_Exception 00b6 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B D3 8B 45 FC 8B 08 FF 91 A8 00 00 00 8B 45 FC 80 78 34 00 0F 84 9C 00 00 00 83 FB 05 0F 85 93 00 00 00 8B 45 FC 83 78 30 00 75 24 8B 45 FC 8B 40 24 BA 05 00 00 00 8B 08 FF 51 24 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 24 8B D3 8B 08 FF 51 24 8B D0 8B 45 FC 8B 40 30 8B 08 FF 91 C0 01 00 00 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 40 30 BA FF FF FF 7F 8B 08 FF 91 1C 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 30 EB 0D 8B 45 FC 8B 40 24 8B D3 8B 08 FF 51 24 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11734_0 {
	meta:
		name = "TDBXCustomMetaDataTable.GetInt32"
		size = 43
	strings:
		$1 = { 55 8B EC 53 8B C2 8B D1 8B 08 FF 51 24 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 05 8B 45 08 EB 07 8B C3 8B 10 FF 52 20 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11735_0 {
	meta:
		name = "TDBXCustomMetaDataTable.GetInt64"
		size = 69
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B C2 8B D1 8B 08 FF 51 24 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 0E 8B 45 08 89 45 F8 8B 45 0C 89 45 FC EB 0D 8B C3 8B 10 FF 52 24 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_11736_0 {
	meta:
		name = "TDBXCustomMetaDataTable.GetAsString"
		size = 63
		refs = "0029 @UStrAsg"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B 75 08 8B C2 8B 55 FC 8B 08 FF 51 24 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 0C 8B C6 8B 55 0C E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 8B 08 FF 51 28 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_11737_0 {
	meta:
		name = "TDBXCustomMetaDataTable.GetBoolean"
		size = 44
	strings:
		$1 = { 55 8B EC 53 8B C2 8B D1 8B 08 FF 51 24 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 06 0F B6 45 08 EB 07 8B C3 8B 10 FF 52 68 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11738_0 {
	meta:
		name = "TDBXDataTypeCursor.Create"
		size = 110
		refs = "000e @ClassCreate 0021 TDBXRowTable.Create 0031 _Dn_TDBXSingleValueRow 0036 TDBXSingleValueRow.Create 0057 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 6A 00 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C 8B 45 08 89 47 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 2C 8B C6 8B 55 0C 8B 08 FF 51 30 C7 47 28 FF FF FF FF 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_11741_0 {
	meta:
		name = "TDBXDataTypeCursor.GetDBXTableName"
		size = 52
		refs = "0006 TDBXDataTypeCursor.GetDBXTableName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_11744_0 {
	meta:
		name = "TDBXDataTypeCursor.First"
		size = 25
		refs = "000d TDBXArrayList.GetCount"
	strings:
		$1 = { 53 56 8B D8 33 F6 89 73 28 8B 43 20 E8 ?? ?? ?? ?? 3B F0 0F 9C C0 5E 5B C3 }
	condition:
		$1
}

rule function_11745_0 {
	meta:
		name = "TDBXDataTypeCursor.GetWritableValue"
		size = 209
		refs = "0013 TDBXDataTypeCursor.GetWritableValue 0027 SMustCallNextFirst 002c LoadResString 0037 @WStrFromUStr 0041 _Dn_TDBXMetaDataError 0046 TDBXMetaDataError.Create 004b @RaiseExcept 0053 TDBXArrayList.GetCount 0060 SPastEndOfCursor 00a5 @UStrClr 00ad @WStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 28 00 7D 2C 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 20 E8 ?? ?? ?? ?? 3B 43 28 7F 2C 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 2C 8B 08 FF 51 24 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11746_0 {
	meta:
		name = "TDBXDataTypeCursor.InBounds"
		size = 19
		refs = "0007 TDBXArrayList.GetCount"
	strings:
		$1 = { 53 8B D8 8B 43 20 E8 ?? ?? ?? ?? 3B 43 28 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_11747_0 {
	meta:
		name = "TDBXDataTypeCursor.Next"
		size = 912
		refs = "000c TDBXDataTypeCursor.Next 0021 TDBXArrayList.GetCount 0038 TDBXArrayList.GetValue 009e TDBXDataTypeDescription.GetDataType 013a TDBXDataTypeDescription.GetMaximumScale 015b TDBXDataTypeDescription.GetMinimumScale 01d0 TDBXDataTypeDescription.IsAutoIncrementable 01f1 TDBXDataTypeDescription.IsBestMatch 0212 TDBXDataTypeDescription.IsCaseSensitive 0233 TDBXDataTypeDescription.IsFixedLength 0254 TDBXDataTypeDescription.IsFixedPrecisionScale 0275 TDBXDataTypeDescription.IsLong 0296 TDBXDataTypeDescription.IsNullable 02b7 TDBXDataTypeDescription.IsSearchable 02d8 TDBXDataTypeDescription.IsSearchableWithLike 02f9 TDBXDataTypeDescription.IsUnsigned 031a TDBXDataTypeDescription.IsConcurrencyType 033b TDBXDataTypeDescription.IsLiteralSupported 035c TDBXDataTypeDescription.IsUnicode 037e @UStrClr 0384 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 28 8B 10 FF 00 8B 43 20 E8 ?? ?? ?? ?? 3B 43 28 7F 07 33 DB E9 3C 03 00 00 8B 53 28 8B 43 20 E8 ?? ?? ?? ?? 89 43 24 33 D2 8B 43 2C 8B 08 FF 51 24 8B 53 24 8B 52 04 8B 08 FF 91 24 01 00 00 BA 03 00 00 00 8B 43 2C 8B 08 FF 51 24 8B 53 24 8B 52 24 8B 08 FF 91 24 01 00 00 BA 04 00 00 00 8B 43 2C 8B 08 FF 51 24 8B 53 24 8B 52 28 8B 08 FF 91 24 01 00 00 8B 43 1C 8B 10 FF 52 0C 8B D0 8D 4D FC 8B 43 24 E8 ?? ?? ?? ?? 8B 45 FC 50 BA 05 00 00 00 8B 43 2C 8B 08 FF 51 24 5A 8B 08 FF 91 24 01 00 00 BA 13 00 00 00 8B 43 2C 8B 08 FF 51 24 8B 53 24 8B 52 1C 8B 08 FF 91 24 01 00 00 BA 14 00 00 00 8B 43 2C 8B 08 FF 51 24 8B 53 24 8B 52 20 8B 08 FF 91 24 01 00 00 BA 16 00 00 00 8B 43 2C 8B 08 FF 51 24 8B 53 24 8B 52 2C 8B 08 FF 91 24 01 00 00 BA 17 00 00 00 8B 43 2C 8B 08 FF 51 24 8B 53 24 8B 52 30 8B 08 FF 91 24 01 00 00 BA 10 00 00 00 8B 43 2C 8B 08 FF 51 24 50 8B 43 24 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 8C 01 00 00 BA 11 00 00 00 8B 43 2C 8B 08 FF 51 24 50 8B 43 24 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 8C 01 00 00 BA 01 00 00 00 8B 43 2C 8B 08 FF 51 24 8B 53 24 8B 52 08 8B 08 FF 91 1C 01 00 00 BA 19 00 00 00 8B 43 2C 8B 08 FF 51 24 8B 53 24 8B 52 08 8B 08 FF 91 1C 01 00 00 8B 43 24 FF 70 14 FF 70 10 BA 02 00 00 00 8B 43 2C 8B 08 FF 51 24 8B 10 FF 92 94 01 00 00 BA 06 00 00 00 8B 43 2C 8B 08 FF 51 24 50 8B 43 24 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 07 00 00 00 8B 43 2C 8B 08 FF 51 24 50 8B 43 24 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 08 00 00 00 8B 43 2C 8B 08 FF 51 24 50 8B 43 24 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 09 00 00 00 8B 43 2C 8B 08 FF 51 24 50 8B 43 24 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 0A 00 00 00 8B 43 2C 8B 08 FF 51 24 50 8B 43 24 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 0B 00 00 00 8B 43 2C 8B 08 FF 51 24 50 8B 43 24 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 0C 00 00 00 8B 43 2C 8B 08 FF 51 24 50 8B 43 24 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 0D 00 00 00 8B 43 2C 8B 08 FF 51 24 50 8B 43 24 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 0E 00 00 00 8B 43 2C 8B 08 FF 51 24 50 8B 43 24 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 0F 00 00 00 8B 43 2C 8B 08 FF 51 24 50 8B 43 24 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 12 00 00 00 8B 43 2C 8B 08 FF 51 24 50 8B 43 24 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 15 00 00 00 8B 43 2C 8B 08 FF 51 24 50 8B 43 24 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 18 00 00 00 8B 43 2C 8B 08 FF 51 24 50 8B 43 24 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_11748_0 {
	meta:
		name = "TDBXDataTypeDescription.Create"
		size = 175
		refs = "000e @ClassCreate 001d TObject.Create 0027 @UStrAsg 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B 45 34 89 47 08 8B 45 2C 89 47 10 8B 45 30 89 47 14 8D 47 1C 8B 55 10 E8 ?? ?? ?? ?? 8D 47 20 8B 55 0C E8 ?? ?? ?? ?? 8B 45 08 89 47 18 8D 47 24 8B 55 28 E8 ?? ?? ?? ?? 8D 47 28 8B 55 24 E8 ?? ?? ?? ?? 8D 47 2C 8B 55 18 E8 ?? ?? ?? ?? 8D 47 30 8B 55 14 E8 ?? ?? ?? ?? 8B 45 20 89 47 34 8B 45 1C 89 47 38 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 30 00 }
	condition:
		$1
}

rule function_11749_0 {
	meta:
		name = "TDBXDataTypeDescription.Create"
		size = 170
		refs = "000b @ClassCreate 001a TObject.Create 0025 @UStrAsg 0096 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 04 8B 56 04 E8 ?? ?? ?? ?? 8B 46 08 89 47 08 8B 46 10 89 47 10 8B 46 14 89 47 14 8D 47 1C 8B 56 1C E8 ?? ?? ?? ?? 8D 47 20 8B 56 20 E8 ?? ?? ?? ?? 8B 46 18 89 47 18 8D 47 24 8B 56 24 E8 ?? ?? ?? ?? 8D 47 28 8B 56 28 E8 ?? ?? ?? ?? 8D 47 2C 8B 56 2C E8 ?? ?? ?? ?? 8D 47 30 8B 56 30 E8 ?? ?? ?? ?? 8B 46 34 89 47 34 8B 46 38 89 47 38 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11750_0 {
	meta:
		name = "TDBXDataTypeDescription.GetDataType"
		size = 32
		refs = "000d TDBXDataTypeDescription.IsUnsigned"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 53 08 8B C6 8B 18 FF 13 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11751_0 {
	meta:
		name = "TDBXDataTypeDescription.IsFlagSet"
		size = 11
	strings:
		$1 = { 8B 40 18 23 C2 3B D0 0F 94 C0 C3 }
	condition:
		$1
}

rule function_11752_0 {
	meta:
		name = "TDBXDataTypeDescription.SetFlag"
		size = 14
	strings:
		$1 = { 84 D2 74 04 09 48 18 C3 F7 D1 21 48 18 C3 }
	condition:
		$1
}

rule function_11753_0 {
	meta:
		name = "TDBXDataTypeDescription.IsAutoIncrementable"
		size = 11
		refs = "0006 TDBXDataTypeDescription.IsFlagSet"
	strings:
		$1 = { BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33808_0 {
	meta:
		name = "IsIEFile"
		size = 36
		refs = "0001 IsIEFile 0006 TextEndsWith"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 5F 00 49 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_49119_0 {
	meta:
		name = "IsOptionalProperty"
		size = 11
		refs = "0006 HasFlagOnIndex"
	strings:
		$1 = { BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33864_0 {
	meta:
		name = "IsPseudoDir"
		size = 60
		refs = "0001 IsPseudoDir 0006 TextStartsWith"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 73 00 65 00 75 00 64 00 6F 00 20 00 44 00 69 00 72 00 65 00 63 00 74 00 6F 00 72 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_33617_0 {
	meta:
		name = "IsUnixLsErr"
		size = 44
		refs = "0001 IsUnixLsErr 0006 TextStartsWith"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 2F 00 62 00 69 00 6E 00 2F 00 6C 00 73 00 3A 00 00 00 00 00 }
	condition:
		$1
}

rule function_43485_0 {
	meta:
		name = "RequiresUpdateNotification"
		size = 28
		refs = "0001 RequiresUpdateNotification 0006 SupportsInterface"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 D0 03 9A 6F B8 96 35 4F 85 92 A4 A5 9D B5 B1 33 }
	condition:
		$1
}

rule function_28078_0 {
	meta:
		name = "TAzureBlobService.DeleteRootContainer"
		size = 36
		refs = "0001 TAzureBlobService.DeleteRootContainer 0006 TAzureBlobService.DeleteContainer"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 24 00 72 00 6F 00 6F 00 74 00 00 00 }
	condition:
		$1
}

rule function_97055_0 {
	meta:
		name = "TBaseEndUserAdapter.ImplGetLoginFormAction"
		size = 44
		refs = "0001 TBaseEndUserAdapter.ImplGetLoginFormAction 0006 TCustomAdapter.FindNamedAction"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4C 00 6F 00 67 00 69 00 6E 00 46 00 6F 00 72 00 6D 00 00 00 }
	condition:
		$1
}

rule function_97057_0 {
	meta:
		name = "TBaseEndUserAdapter.ImplGetLogoutAction"
		size = 40
		refs = "0001 TBaseEndUserAdapter.ImplGetLogoutAction 0006 TCustomAdapter.FindNamedAction"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4C 00 6F 00 67 00 6F 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_84197_0 {
	meta:
		name = "TCalendar.NextMonth"
		size = 11
		refs = "0006 TCalendar.ChangeMonth"
	strings:
		$1 = { BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31586_0 {
	meta:
		name = "TIBConfigService.DisableFlush"
		size = 104
		refs = "0001 TIBConfigService.DisableFlush 0006 TIBCustomConfigService.ExecuteSQL"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 26 00 00 00 41 00 4C 00 54 00 45 00 52 00 20 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 20 00 53 00 45 00 54 00 20 00 4E 00 4F 00 20 00 52 00 45 00 43 00 4C 00 41 00 49 00 4D 00 20 00 49 00 4E 00 54 00 45 00 52 00 56 00 41 00 4C 00 00 00 00 00 }
	condition:
		$1
}

rule function_31581_0 {
	meta:
		name = "TIBConfigService.FlushDatabase"
		size = 112
		refs = "0001 TIBConfigService.FlushDatabase 0006 TIBCustomConfigService.ExecuteSQL"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 2B 00 00 00 55 00 50 00 44 00 41 00 54 00 45 00 20 00 54 00 4D 00 50 00 24 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 20 00 53 00 45 00 54 00 20 00 54 00 4D 00 50 00 24 00 53 00 54 00 41 00 54 00 45 00 20 00 3D 00 20 00 27 00 46 00 4C 00 55 00 53 00 48 00 27 00 00 00 }
	condition:
		$1
}

rule function_31585_0 {
	meta:
		name = "TIBConfigService.ReclaimMemory"
		size = 116
		refs = "0001 TIBConfigService.ReclaimMemory 0006 TIBCustomConfigService.ExecuteSQL"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 55 00 50 00 44 00 41 00 54 00 45 00 20 00 54 00 4D 00 50 00 24 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 20 00 53 00 45 00 54 00 20 00 54 00 4D 00 50 00 24 00 53 00 54 00 41 00 54 00 45 00 20 00 3D 00 20 00 27 00 52 00 45 00 43 00 4C 00 41 00 49 00 4D 00 27 00 00 00 }
	condition:
		$1
}

rule function_31590_0 {
	meta:
		name = "TIBConfigService.SweepDatabase"
		size = 112
		refs = "0001 TIBConfigService.SweepDatabase 0006 TIBCustomConfigService.ExecuteSQL"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 2B 00 00 00 55 00 50 00 44 00 41 00 54 00 45 00 20 00 54 00 4D 00 50 00 24 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 20 00 53 00 45 00 54 00 20 00 54 00 4D 00 50 00 24 00 53 00 54 00 41 00 54 00 45 00 20 00 3D 00 20 00 27 00 53 00 57 00 45 00 45 00 50 00 27 00 00 00 }
	condition:
		$1
}

rule function_33363_0 {
	meta:
		name = "TIdFSP.List"
		size = 28
		refs = "0001 TIdFSP.List"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_35197_0 {
	meta:
		name = "TIdIMAP4.GetSupportsTLS"
		size = 44
		refs = "0001 TIdIMAP4.GetSupportsTLS 0006 TIdIMAP4.IsCapabilityListed"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 54 00 41 00 52 00 54 00 54 00 4C 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_35830_0 {
	meta:
		name = "TIdIRC.Die"
		size = 32
		refs = "0001 TIdIRC.Die 0006 TIdIRC.Raw"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 45 00 00 00 }
	condition:
		$1
}

rule function_35829_0 {
	meta:
		name = "TIdIRC.ReHash"
		size = 40
		refs = "0001 TIdIRC.ReHash 0006 TIdIRC.Raw"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 48 00 41 00 53 00 48 00 00 00 00 00 }
	condition:
		$1
}

rule function_35831_0 {
	meta:
		name = "TIdIRC.Restart"
		size = 40
		refs = "0001 TIdIRC.Restart 0006 TIdIRC.Raw"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 45 00 53 00 54 00 41 00 52 00 54 00 00 00 }
	condition:
		$1
}

rule function_36386_0 {
	meta:
		name = "TIdNNTP.GetSupportsTLS"
		size = 44
		refs = "0001 TIdNNTP.GetSupportsTLS 0006 TIdNNTP.IsExtCmdSupported"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 54 00 41 00 52 00 54 00 54 00 4C 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_38310_0 {
	meta:
		name = "TIdThreadSafeList.IsEmpty"
		size = 11
		refs = "0006 TIdThreadSafeList.IsCountLessThan"
	strings:
		$1 = { BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36719_0 {
	meta:
		name = "TIdicmp6_un.Geticmp6_seq"
		size = 11
		refs = "0006 TIdicmp6_un.Geticmp6_un_data16"
	strings:
		$1 = { BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42168_0 {
	meta:
		name = "TInThreadSafeList.IsEmpty"
		size = 11
		refs = "0006 TInThreadSafeList.IsCountLessThan"
	strings:
		$1 = { BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68781_0 {
	meta:
		name = "TInterlocked.Increment"
		size = 11
		refs = "0006 TInterlocked.Add"
	strings:
		$1 = { BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68729_0 {
	meta:
		name = "TSemaphore.Release"
		size = 11
		refs = "0006 TSemaphore.Release"
	strings:
		$1 = { BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97471_0 {
	meta:
		name = "TWebBrowserEx.Bold"
		size = 36
		refs = "0001 TWebBrowserEx.Bold 0006 TWebBrowserEx.DoCommand"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 6F 00 6C 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_97473_0 {
	meta:
		name = "TWebBrowserEx.CopyToClipBoard"
		size = 36
		refs = "0001 TWebBrowserEx.CopyToClipBoard 0006 TWebBrowserEx.DoCommand"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 6F 00 70 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_97475_0 {
	meta:
		name = "TWebBrowserEx.CutToClipBoard"
		size = 32
		refs = "0001 TWebBrowserEx.CutToClipBoard 0006 TWebBrowserEx.DoCommand"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 43 00 75 00 74 00 00 00 }
	condition:
		$1
}

rule function_97476_0 {
	meta:
		name = "TWebBrowserEx.Delete"
		size = 40
		refs = "0001 TWebBrowserEx.Delete 0006 TWebBrowserEx.DoCommand"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 65 00 6C 00 65 00 74 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_97496_0 {
	meta:
		name = "TWebBrowserEx.Italic"
		size = 40
		refs = "0001 TWebBrowserEx.Italic 0006 TWebBrowserEx.DoCommand"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 74 00 61 00 6C 00 69 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_97500_0 {
	meta:
		name = "TWebBrowserEx.Overwrite"
		size = 44
		refs = "0001 TWebBrowserEx.Overwrite 0006 TWebBrowserEx.DoCommand"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4F 00 76 00 65 00 72 00 77 00 72 00 69 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_97501_0 {
	meta:
		name = "TWebBrowserEx.PasteFromClipBoard"
		size = 36
		refs = "0001 TWebBrowserEx.PasteFromClipBoard 0006 TWebBrowserEx.DoCommand"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 61 00 73 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_97522_0 {
	meta:
		name = "TWebBrowserEx.Underline"
		size = 44
		refs = "0001 TWebBrowserEx.Underline 0006 TWebBrowserEx.DoCommand"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 6E 00 64 00 65 00 72 00 6C 00 69 00 6E 00 65 00 00 00 }
	condition:
		$1
}

rule function_115116_0 {
	meta:
		name = "TXMLAnnotation.HasAppInfo"
		size = 40
		refs = "0001 TXMLAnnotation.HasAppInfo 0006 TXMLNode.HasChildNode"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 61 00 70 00 70 00 69 00 6E 00 66 00 6F 00 00 00 }
	condition:
		$1
}

rule function_115117_0 {
	meta:
		name = "TXMLAnnotation.HasDocumentation"
		size = 52
		refs = "0001 TXMLAnnotation.HasDocumentation 0006 TXMLNode.HasChildNode"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_114941_0 {
	meta:
		name = "TXMLSchemaItem.HasAnnotation"
		size = 48
		refs = "0001 TXMLSchemaItem.HasAnnotation 0006 TXMLNode.HasChildNode"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 61 00 6E 00 6E 00 6F 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_43472_0 {
	meta:
		name = "isBaseComponent"
		size = 28
		refs = "0001 isBaseComponent 0006 SupportsInterface"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 38 D5 4C EE DB 27 1D 47 B0 CF 0F 22 BE 42 94 61 }
	condition:
		$1
}

rule function_43474_0 {
	meta:
		name = "isBaseContainer"
		size = 28
		refs = "0001 isBaseContainer 0006 SupportsInterface"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 40 ED A6 62 46 92 E7 48 86 A3 A4 67 52 B0 39 4B }
	condition:
		$1
}

rule function_43473_0 {
	meta:
		name = "isBaseControl"
		size = 28
		refs = "0001 isBaseControl 0006 SupportsInterface"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 15 33 54 F3 83 E8 48 46 88 64 4F 88 25 38 4D 5E }
	condition:
		$1
}

rule function_43475_0 {
	meta:
		name = "isInputControl"
		size = 28
		refs = "0001 isInputControl 0006 SupportsInterface"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 17 C7 BD 73 55 02 69 44 89 D3 66 2F 83 6A 8A A0 }
	condition:
		$1
}

rule function_43476_0 {
	meta:
		name = "isSubmitControl"
		size = 28
		refs = "0001 isSubmitControl 0006 SupportsInterface"
	strings:
		$1 = { BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 D9 5C 66 93 43 F7 65 49 BE 3F C6 53 49 13 E7 F7 }
	condition:
		$1
}

rule function_11754_0 {
	meta:
		name = "TDBXDataTypeDescription.IsBestMatch"
		size = 11
		refs = "0006 TDBXDataTypeDescription.IsFlagSet"
	strings:
		$1 = { BA 02 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11755_0 {
	meta:
		name = "TDBXDataTypeDescription.IsCaseSensitive"
		size = 11
		refs = "0006 TDBXDataTypeDescription.IsFlagSet"
	strings:
		$1 = { BA 08 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49121_0 {
	meta:
		name = "IsUnqualifiedProperty"
		size = 11
		refs = "0006 HasFlagOnIndex"
	strings:
		$1 = { BA 08 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30738_0 {
	meta:
		name = "TIBDatabaseInfo.GetMarks"
		size = 11
		refs = "0006 TIBDatabaseInfo.GetLongDatabaseInfo"
	strings:
		$1 = { BA 08 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11756_0 {
	meta:
		name = "TDBXDataTypeDescription.IsFixedLength"
		size = 11
		refs = "0006 TDBXDataTypeDescription.IsFlagSet"
	strings:
		$1 = { BA 04 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11757_0 {
	meta:
		name = "TDBXDataTypeDescription.IsFixedPrecisionScale"
		size = 11
		refs = "0006 TDBXDataTypeDescription.IsFlagSet"
	strings:
		$1 = { BA 10 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11758_0 {
	meta:
		name = "TDBXDataTypeDescription.IsLong"
		size = 11
		refs = "0006 TDBXDataTypeDescription.IsFlagSet"
	strings:
		$1 = { BA 20 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49120_0 {
	meta:
		name = "IsTextProperty"
		size = 11
		refs = "0006 HasFlagOnIndex"
	strings:
		$1 = { BA 20 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30728_0 {
	meta:
		name = "TIBDatabaseInfo.GetODSMajorVersion"
		size = 11
		refs = "0006 TIBDatabaseInfo.GetLongDatabaseInfo"
	strings:
		$1 = { BA 20 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11759_0 {
	meta:
		name = "TDBXDataTypeDescription.IsNullable"
		size = 11
		refs = "0006 TDBXDataTypeDescription.IsFlagSet"
	strings:
		$1 = { BA 40 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11760_0 {
	meta:
		name = "TDBXDataTypeDescription.IsSearchable"
		size = 11
		refs = "0006 TDBXDataTypeDescription.IsFlagSet"
	strings:
		$1 = { BA 80 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49123_0 {
	meta:
		name = "IsRefProperty"
		size = 11
		refs = "0006 HasFlagOnIndex"
	strings:
		$1 = { BA 80 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11761_0 {
	meta:
		name = "TDBXDataTypeDescription.IsSearchableWithLike"
		size = 11
		refs = "0006 TDBXDataTypeDescription.IsFlagSet"
	strings:
		$1 = { BA 00 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49122_0 {
	meta:
		name = "IsQualifiedProperty"
		size = 11
		refs = "0006 HasFlagOnIndex"
	strings:
		$1 = { BA 00 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11762_0 {
	meta:
		name = "TDBXDataTypeDescription.IsUnsigned"
		size = 11
		refs = "0006 TDBXDataTypeDescription.IsFlagSet"
	strings:
		$1 = { BA 00 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11763_0 {
	meta:
		name = "TDBXDataTypeDescription.IsUnicode"
		size = 11
		refs = "0006 TDBXDataTypeDescription.IsFlagSet"
	strings:
		$1 = { BA 00 10 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11764_0 {
	meta:
		name = "TDBXDataTypeDescription.IsUnicodeOptionSupported"
		size = 11
		refs = "0006 TDBXDataTypeDescription.IsFlagSet"
	strings:
		$1 = { BA 00 20 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11765_0 {
	meta:
		name = "TDBXDataTypeDescription.SetUnicodeOptionSupported"
		size = 11
		refs = "0006 TDBXDataTypeDescription.SetFlag"
	strings:
		$1 = { B9 00 20 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35376_0 {
	meta:
		name = "TIdIMAP4Server.SendErrorOpenedReadOnly"
		size = 84
		refs = "0001 TIdIMAP4Server.SendErrorOpenedReadOnly 0006 TIdIMAP4Server.SendNoReply"
	strings:
		$1 = { B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 4D 00 61 00 69 00 6C 00 62 00 6F 00 78 00 20 00 77 00 61 00 73 00 20 00 6F 00 70 00 65 00 6E 00 65 00 64 00 20 00 72 00 65 00 61 00 64 00 2D 00 6F 00 6E 00 6C 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_35378_0 {
	meta:
		name = "TIdIMAP4Server.SendIncorrectNumberOfParameters"
		size = 88
		refs = "0001 TIdIMAP4Server.SendIncorrectNumberOfParameters 0006 TIdIMAP4Server.SendBadReply"
	strings:
		$1 = { B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 49 00 6E 00 63 00 6F 00 72 00 72 00 65 00 63 00 74 00 20 00 6E 00 75 00 6D 00 62 00 65 00 72 00 20 00 6F 00 66 00 20 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35379_0 {
	meta:
		name = "TIdIMAP4Server.SendUnassignedDefaultMechanism"
		size = 112
		refs = "0001 TIdIMAP4Server.SendUnassignedDefaultMechanism 0006 TIdIMAP4Server.SendBadReply"
	strings:
		$1 = { B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 2B 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 20 00 69 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 20 00 65 00 72 00 72 00 6F 00 72 00 3A 00 20 00 75 00 6E 00 61 00 73 00 73 00 69 00 67 00 6E 00 65 00 64 00 20 00 70 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 00 00 }
	condition:
		$1
}

rule function_35377_0 {
	meta:
		name = "TIdIMAP4Server.SendUnsupportedCommand"
		size = 64
		refs = "0001 TIdIMAP4Server.SendUnsupportedCommand 0006 TIdIMAP4Server.SendBadReply"
	strings:
		$1 = { B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 13 00 00 00 55 00 6E 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 63 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_35375_0 {
	meta:
		name = "TIdIMAP4Server.SendWrongConnectionState"
		size = 72
		refs = "0001 TIdIMAP4Server.SendWrongConnectionState 0006 TIdIMAP4Server.SendNoReply"
	strings:
		$1 = { B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 16 00 00 00 57 00 72 00 6F 00 6E 00 67 00 20 00 63 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 73 00 74 00 61 00 74 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_11766_0 {
	meta:
		name = "TDBXDataTypeDescription.IsUnsignedOptionSupported"
		size = 11
		refs = "0006 TDBXDataTypeDescription.IsFlagSet"
	strings:
		$1 = { BA 00 40 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11767_0 {
	meta:
		name = "TDBXDataTypeDescription.IsStringOptionSupported"
		size = 11
		refs = "0006 TDBXDataTypeDescription.IsFlagSet"
	strings:
		$1 = { BA 00 80 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91688_0 {
	meta:
		name = "TeeLoadLibrary"
		size = 11
		refs = "0006 SafeLoadLibrary"
	strings:
		$1 = { BA 00 80 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11768_0 {
	meta:
		name = "TDBXDataTypeDescription.IsLongOptionSupported"
		size = 11
		refs = "0006 TDBXDataTypeDescription.IsFlagSet"
	strings:
		$1 = { BA 00 00 01 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11769_0 {
	meta:
		name = "TDBXDataTypeDescription.GetMaximumScale"
		size = 5
	strings:
		$1 = { 0F B7 40 34 C3 }
	condition:
		$1
}

rule function_11770_0 {
	meta:
		name = "TDBXDataTypeDescription.GetMinimumScale"
		size = 5
	strings:
		$1 = { 0F B7 40 38 C3 }
	condition:
		$1
}

rule function_11771_0 {
	meta:
		name = "TDBXDataTypeDescription.IsConcurrencyType"
		size = 11
		refs = "0006 TDBXDataTypeDescription.IsFlagSet"
	strings:
		$1 = { BA 00 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11772_0 {
	meta:
		name = "TDBXDataTypeDescription.IsLiteralSupported"
		size = 11
		refs = "0006 TDBXDataTypeDescription.IsFlagSet"
	strings:
		$1 = { BA 00 08 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_11773_0 {
	meta:
		name = "TDBXEmptyTableCursor.Create"
		size = 92
		refs = "000e @ClassCreate 001f TDBXTable.Create 002b TDBXValueTypeArray 0030 @DynArrayAsg 003a @UStrAsg 0045 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 18 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 47 1C 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11775_0 {
	meta:
		name = "TDBXEmptyTableCursor.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f FreeObjectArray 001a TDBXValueList.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12495_0 {
	meta:
		name = "TDBXOdbcCustomMetaDataReader.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f FreeObjectArray 001a TDBXBaseMetaDataReader.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11779_0 {
	meta:
		name = "TDBXEmptyTableCursor.GetColumns"
		size = 25
		refs = "000d TDBXValueTypeArray 0012 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 18 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11784_0 {
	meta:
		name = "TDBXIndexColumnValue.Create"
		size = 70
		refs = "000b @ClassCreate 0019 TDBXValueType.Clone 0024 TDBXWritableValue.Create 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 46 04 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11785_0 {
	meta:
		name = "TDBXIndexColumnValue.GetInt32"
		size = 74
		refs = "000a TDBXIndexColumnValue.GetInt32 0029 @HandleOnException 0031 _Dn_Exception 003f @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 1C 8B 10 FF 52 20 8B D8 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? BB FF FF FF 7F E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_11786_0 {
	meta:
		name = "TDBXIndexColumnValue.IsNull"
		size = 9
	strings:
		$1 = { 8B 40 1C 8B 10 FF 52 58 C3 }
	condition:
		$1
}

rule function_11788_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreateValueType"
		size = 84
		refs = "000d _Dn_TDBXValueType 0012 TDBXValueType.Create 0036 TDBXMetaDataCollectionColumns.DefaultDataSize"
	strings:
		$1 = { 53 56 57 55 8B F1 8B EA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D7 8B C3 8B 08 FF 51 08 8B D5 8B C3 8B 08 FF 51 0C 8B D6 8B C3 8B 08 FF 51 14 8B C6 E8 ?? ?? ?? ?? 99 52 50 8B C3 8B 10 FF 52 30 B2 01 8B C3 8B 08 FF 51 2C 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11789_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreateValueType"
		size = 97
		refs = "0011 _Dn_TDBXValueType 0016 TDBXValueType.Create 003b TDBXMetaDataCollectionColumns.DefaultDataSize"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 89 55 FC 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D7 8B C6 8B 08 FF 51 08 8B 55 FC 8B C6 8B 08 FF 51 0C 8B D3 8B C6 8B 08 FF 51 14 8B C3 E8 ?? ?? ?? ?? 99 52 50 8B C6 8B 10 FF 52 30 80 7D 08 01 F5 1B D2 8B C6 8B 08 FF 51 34 8B C6 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11790_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.DefaultDataSize"
		size = 115
		refs = "0008 TDBXMetaDataCollectionColumns.DefaultDataSize"
	strings:
		$1 = { 83 F8 1C 77 6B 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 06 00 00 01 02 03 00 00 00 00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 05 00 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B8 01 00 00 00 C3 B8 02 00 00 00 C3 B8 04 00 00 00 C3 B8 08 00 00 00 C3 B8 00 01 00 00 C3 B8 80 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_11791_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreateDataTypesColumns"
		size = 2164
		refs = "0017 TDBXMetaDataCollectionColumns.CreateDataTypesColumns 002d TDBXValueTypeArray 0032 @DynArraySetLength 003d STypeName 0042 LoadResString 0054 TDBXMetaDataCollectionColumns.CreateValueType 0061 SDbxDataType 0086 SColumnSize 00ab SCreateFormat 00d0 SCreateParameters 00f5 SDataType 011a SIsAutoIncrementable 013f SIsBestMatch 0164 SIsCaseSensitive 0189 SIsFixedLength 01ae SIsFixedPrecisionScale 01d3 SIsLong 01f8 SIsNullable 021d SIsSearchable 0242 SIsSearchableWithLike 0267 SIsUnsigned 028c SMaximumScale 02b1 SMinimumScale 02d6 SIsConcurrencyType 02fb SMaximumVersion 0320 SMinimumVersion 0345 SIsLiteralSupported 036a SLiteralPrefix 038f SLiteralSuffix 03b4 SIsUnicode 03db SProviderDbType 0408 @DynArrayAsg 0422 @UStrArrayClr 0430 @DynArrayClear 0436 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0D 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 1A 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 B9 12 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 38 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 3C 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 B9 05 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 40 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 B9 05 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 44 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 48 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 4C 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 50 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 54 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 58 8D 55 9C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 5C 8D 55 98 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 98 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 60 6A 01 8D 55 94 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 64 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 BA 1A 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 79 00 70 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 62 00 78 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 53 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 46 00 6F 00 72 00 6D 00 61 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 73 00 41 00 75 00 74 00 6F 00 49 00 6E 00 63 00 72 00 65 00 6D 00 65 00 6E 00 74 00 61 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 73 00 42 00 65 00 73 00 74 00 4D 00 61 00 74 00 63 00 68 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 73 00 43 00 61 00 73 00 65 00 53 00 65 00 6E 00 73 00 69 00 74 00 69 00 76 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 73 00 46 00 69 00 78 00 65 00 64 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 49 00 73 00 46 00 69 00 78 00 65 00 64 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 53 00 63 00 61 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 73 00 4C 00 6F 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 73 00 4E 00 75 00 6C 00 6C 00 61 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 73 00 53 00 65 00 61 00 72 00 63 00 68 00 61 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 73 00 53 00 65 00 61 00 72 00 63 00 68 00 61 00 62 00 6C 00 65 00 57 00 69 00 74 00 68 00 4C 00 69 00 6B 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 73 00 55 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4D 00 61 00 78 00 69 00 6D 00 75 00 6D 00 53 00 63 00 61 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4D 00 69 00 6E 00 69 00 6D 00 75 00 6D 00 53 00 63 00 61 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 73 00 43 00 6F 00 6E 00 63 00 75 00 72 00 72 00 65 00 6E 00 63 00 79 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4D 00 61 00 78 00 69 00 6D 00 75 00 6D 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4D 00 69 00 6E 00 69 00 6D 00 75 00 6D 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 73 00 4C 00 69 00 74 00 65 00 72 00 61 00 6C 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4C 00 69 00 74 00 65 00 72 00 61 00 6C 00 50 00 72 00 65 00 66 00 69 00 78 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4C 00 69 00 74 00 65 00 72 00 61 00 6C 00 53 00 75 00 66 00 66 00 69 00 78 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 73 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 72 00 6F 00 76 00 69 00 64 00 65 00 72 00 44 00 62 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_11792_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreateCatalogsColumns"
		size = 184
		refs = "000e TDBXMetaDataCollectionColumns.CreateCatalogsColumns 0024 TDBXValueTypeArray 0029 @DynArraySetLength 0034 SCatalogName 0039 LoadResString 004b TDBXMetaDataCollectionColumns.CreateValueType 0060 @DynArrayAsg 0075 @UStrClr 0083 @DynArrayClear 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_11793_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreateSchemasColumns"
		size = 264
		refs = "0010 TDBXMetaDataCollectionColumns.CreateSchemasColumns 0026 TDBXValueTypeArray 002b @DynArraySetLength 0036 SCatalogName 003b LoadResString 004d TDBXMetaDataCollectionColumns.CreateValueType 005a SSchemaName 0087 @DynArrayAsg 00a1 @UStrArrayClr 00af @DynArrayClear 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_11794_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreateTablesColumns"
		size = 404
		refs = "0011 TDBXMetaDataCollectionColumns.CreateTablesColumns 0027 TDBXValueTypeArray 002c @DynArraySetLength 0037 SCatalogName 003c LoadResString 004e TDBXMetaDataCollectionColumns.CreateValueType 005b SSchemaName 0080 STableName 00a5 STableType 00d2 @DynArrayAsg 00ec @UStrArrayClr 00fa @DynArrayClear 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 61 00 62 00 6C 00 65 00 54 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_11795_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreateViewsColumns"
		size = 408
		refs = "0011 TDBXMetaDataCollectionColumns.CreateViewsColumns 0027 TDBXValueTypeArray 002c @DynArraySetLength 0037 SCatalogName 003c LoadResString 004e TDBXMetaDataCollectionColumns.CreateValueType 005b SSchemaName 0080 SViewName 00a5 SDefinition 00d2 @DynArrayAsg 00ec @UStrArrayClr 00fa @DynArrayClear 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 56 00 69 00 65 00 77 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 65 00 66 00 69 00 6E 00 69 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_11796_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreateSynonymsColumns"
		size = 576
		refs = "0013 TDBXMetaDataCollectionColumns.CreateSynonymsColumns 0029 TDBXValueTypeArray 002e @DynArraySetLength 0039 SCatalogName 003e LoadResString 0050 TDBXMetaDataCollectionColumns.CreateValueType 005d SSchemaName 0082 SSynonymName 00a7 STableCatalogName 00cc STableSchemaName 00f1 STableName 011e @DynArrayAsg 0138 @UStrArrayClr 0146 @DynArrayClear 014c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 06 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 54 00 61 00 62 00 6C 00 65 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 61 00 62 00 6C 00 65 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_11797_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreateColumnsColumns"
		size = 1348
		refs = "0016 TDBXMetaDataCollectionColumns.CreateColumnsColumns 002c TDBXValueTypeArray 0031 @DynArraySetLength 003c SCatalogName 0041 LoadResString 0053 TDBXMetaDataCollectionColumns.CreateValueType 0060 SSchemaName 0085 STableName 00aa SColumnName 00cf STypeName 00f4 SPrecision 0119 SScale 013e SOrdinal 0163 SDefaultValue 0188 SIsNullable 01ad SIsAutoIncrement 01d4 SMaxInline 01fb SDbxDataType 0222 SIsFixedLength 0249 SIsUnicode 0270 SIsLong 0297 SIsUnsigned 02c4 @DynArrayAsg 02de @UStrArrayClr 02ec @DynArrayClear 02f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 11 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 6A 01 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 6A 01 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 6A 01 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 6A 01 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 38 6A 01 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 3C 6A 01 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 40 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 11 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 79 00 70 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 63 00 61 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 72 00 64 00 69 00 6E 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 73 00 4E 00 75 00 6C 00 6C 00 61 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 73 00 41 00 75 00 74 00 6F 00 49 00 6E 00 63 00 72 00 65 00 6D 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 61 00 78 00 49 00 6E 00 6C 00 69 00 6E 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 62 00 78 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 73 00 46 00 69 00 78 00 65 00 64 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 73 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 73 00 4C 00 6F 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 73 00 55 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_11798_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreateColumnConstraintsColumns"
		size = 492
		refs = "0012 TDBXMetaDataCollectionColumns.CreateColumnConstraintsColumns 0028 TDBXValueTypeArray 002d @DynArraySetLength 0038 SCatalogName 003d LoadResString 004f TDBXMetaDataCollectionColumns.CreateValueType 005c SSchemaName 0081 STableName 00a6 SConstraintName 00cb SColumnName 00f8 @DynArrayAsg 0112 @UStrArrayClr 0120 @DynArrayClear 0126 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 05 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 73 00 74 00 72 00 61 00 69 00 6E 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_11799_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreateIndexesColumns"
		size = 708
		refs = "0017 TDBXMetaDataCollectionColumns.CreateIndexesColumns 002d TDBXValueTypeArray 0032 @DynArraySetLength 003d SCatalogName 0042 LoadResString 0054 TDBXMetaDataCollectionColumns.CreateValueType 0061 SSchemaName 0086 STableName 00ab SIndexName 00d2 SConstraintName 00f7 SIsPrimary 011c SIsUnique 0143 SIsAscending 0170 @DynArrayAsg 018a @UStrArrayClr 0198 @DynArrayClear 019e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 08 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 6A 01 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 6A 01 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 64 00 65 00 78 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 73 00 74 00 72 00 61 00 69 00 6E 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 73 00 50 00 72 00 69 00 6D 00 61 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 73 00 55 00 6E 00 69 00 71 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 73 00 41 00 73 00 63 00 65 00 6E 00 64 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_11800_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreateIndexColumnsColumns"
		size = 620
		refs = "0014 TDBXMetaDataCollectionColumns.CreateIndexColumnsColumns 002a TDBXValueTypeArray 002f @DynArraySetLength 003a SCatalogName 003f LoadResString 0051 TDBXMetaDataCollectionColumns.CreateValueType 005e SSchemaName 0083 STableName 00a8 SIndexName 00cd SColumnName 00f2 SOrdinal 0117 SIsAscending 0144 @DynArrayAsg 015e @UStrArrayClr 016c @DynArrayClear 0172 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 07 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 64 00 65 00 78 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 72 00 64 00 69 00 6E 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 73 00 41 00 73 00 63 00 65 00 6E 00 64 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_11801_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreateForeignKeysColumns"
		size = 416
		refs = "0011 TDBXMetaDataCollectionColumns.CreateForeignKeysColumns 0027 TDBXValueTypeArray 002c @DynArraySetLength 0037 SCatalogName 003c LoadResString 004e TDBXMetaDataCollectionColumns.CreateValueType 005b SSchemaName 0080 STableName 00a5 SForeignKeyName 00d2 @DynArrayAsg 00ec @UStrArrayClr 00fa @DynArrayClear 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_11802_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreateForeignKeyColumnsColumns"
		size = 984
		refs = "0016 TDBXMetaDataCollectionColumns.CreateForeignKeyColumnsColumns 002c TDBXValueTypeArray 0031 @DynArraySetLength 003c SCatalogName 0041 LoadResString 0053 TDBXMetaDataCollectionColumns.CreateValueType 0060 SSchemaName 0085 STableName 00aa SForeignKeyName 00cf SColumnName 00f4 SPrimaryCatalogName 0119 SPrimarySchemaName 013e SPrimaryTableName 0163 SPrimaryKeyName 0188 SPrimaryColumnName 01ad SOrdinal 01da @DynArrayAsg 01f4 @UStrArrayClr 0202 @DynArrayClear 0208 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 0B 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 50 00 72 00 69 00 6D 00 61 00 72 00 79 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 72 00 69 00 6D 00 61 00 72 00 79 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 72 00 69 00 6D 00 61 00 72 00 79 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 72 00 69 00 6D 00 61 00 72 00 79 00 4B 00 65 00 79 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 72 00 69 00 6D 00 61 00 72 00 79 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 72 00 64 00 69 00 6E 00 61 00 6C 00 00 00 }
	condition:
		$1
}

rule function_11803_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreateProceduresColumns"
		size = 420
		refs = "0011 TDBXMetaDataCollectionColumns.CreateProceduresColumns 0027 TDBXValueTypeArray 002c @DynArraySetLength 0037 SCatalogName 003c LoadResString 004e TDBXMetaDataCollectionColumns.CreateValueType 005b SSchemaName 0080 SProcedureName 00a5 SProcedureType 00d2 @DynArrayAsg 00ec @UStrArrayClr 00fa @DynArrayClear 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 54 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_11804_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreateProcedureSourcesColumns"
		size = 584
		refs = "0013 TDBXMetaDataCollectionColumns.CreateProcedureSourcesColumns 0029 TDBXValueTypeArray 002e @DynArraySetLength 0039 SCatalogName 003e LoadResString 0050 TDBXMetaDataCollectionColumns.CreateValueType 005d SSchemaName 0082 SProcedureName 00a7 SProcedureType 00cc SDefinition 00f1 SExternalDefinition 011e @DynArrayAsg 0138 @UStrArrayClr 0146 @DynArrayClear 014c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 06 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 65 00 66 00 69 00 6E 00 69 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 45 00 78 00 74 00 65 00 72 00 6E 00 61 00 6C 00 44 00 65 00 66 00 69 00 6E 00 69 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_11805_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreateProcedureParametersColumns"
		size = 1208
		refs = "0016 TDBXMetaDataCollectionColumns.CreateProcedureParametersColumns 002c TDBXValueTypeArray 0031 @DynArraySetLength 003c SCatalogName 0041 LoadResString 0053 TDBXMetaDataCollectionColumns.CreateValueType 0060 SSchemaName 0085 SProcedureName 00aa SParameterName 00cf SParameterMode 00f4 STypeName 0119 SPrecision 013e SScale 0163 SOrdinal 0188 SIsNullable 01af SDbxDataType 01d6 SIsFixedLength 01fd SIsUnicode 0224 SIsLong 024b SIsUnsigned 0278 @DynArrayAsg 0292 @UStrArrayClr 02a0 @DynArrayClear 02a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 0F 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 6A 01 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 6A 01 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 6A 01 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 6A 01 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 6A 01 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 38 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 0F 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 6F 00 64 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 79 00 70 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 63 00 61 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 72 00 64 00 69 00 6E 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 73 00 4E 00 75 00 6C 00 6C 00 61 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 62 00 78 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 73 00 46 00 69 00 78 00 65 00 64 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 73 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 73 00 4C 00 6F 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 73 00 55 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_11806_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreatePackagesColumns"
		size = 340
		refs = "0010 TDBXMetaDataCollectionColumns.CreatePackagesColumns 0026 TDBXValueTypeArray 002b @DynArraySetLength 0036 SCatalogName 003b LoadResString 004d TDBXMetaDataCollectionColumns.CreateValueType 005a SSchemaName 007f SPackageName 00ac @DynArrayAsg 00c6 @UStrArrayClr 00d4 @DynArrayClear 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_11807_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreatePackageProceduresColumns"
		size = 496
		refs = "0012 TDBXMetaDataCollectionColumns.CreatePackageProceduresColumns 0028 TDBXValueTypeArray 002d @DynArraySetLength 0038 SCatalogName 003d LoadResString 004f TDBXMetaDataCollectionColumns.CreateValueType 005c SSchemaName 0081 SPackageName 00a6 SProcedureName 00cb SProcedureType 00f8 @DynArrayAsg 0112 @UStrArrayClr 0120 @DynArrayClear 0126 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 05 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 54 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_11808_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreatePackageProcedureParametersColumns"
		size = 1280
		refs = "0017 TDBXMetaDataCollectionColumns.CreatePackageProcedureParametersColumns 002d TDBXValueTypeArray 0032 @DynArraySetLength 003d SCatalogName 0042 LoadResString 0054 TDBXMetaDataCollectionColumns.CreateValueType 0061 SSchemaName 0086 SPackageName 00ab SProcedureName 00d0 SParameterName 00f5 SParameterMode 011a STypeName 013f SPrecision 0164 SScale 0189 SOrdinal 01ae SIsNullable 01d5 SDbxDataType 01fc SIsFixedLength 0223 SIsUnicode 024a SIsLong 0271 SIsUnsigned 029e @DynArrayAsg 02b8 @UStrArrayClr 02c6 @DynArrayClear 02cc @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 10 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 6A 01 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 6A 01 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 6A 01 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 6A 01 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 38 6A 01 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 3C 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 6F 00 64 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 79 00 70 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 63 00 61 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 72 00 64 00 69 00 6E 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 73 00 4E 00 75 00 6C 00 6C 00 61 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 62 00 78 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 73 00 46 00 69 00 78 00 65 00 64 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 73 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 73 00 4C 00 6F 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 73 00 55 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_11809_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreatePackageSourcesColumns"
		size = 412
		refs = "0011 TDBXMetaDataCollectionColumns.CreatePackageSourcesColumns 0027 TDBXValueTypeArray 002c @DynArraySetLength 0037 SCatalogName 003c LoadResString 004e TDBXMetaDataCollectionColumns.CreateValueType 005b SSchemaName 0080 SPackageName 00a5 SDefinition 00d2 @DynArrayAsg 00ec @UStrArrayClr 00fa @DynArrayClear 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 65 00 66 00 69 00 6E 00 69 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_11810_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreateUsersColumns"
		size = 180
		refs = "000e TDBXMetaDataCollectionColumns.CreateUsersColumns 0024 TDBXValueTypeArray 0029 @DynArraySetLength 0034 SUserName 0039 LoadResString 004b TDBXMetaDataCollectionColumns.CreateValueType 0060 @DynArrayAsg 0075 @UStrClr 0083 @DynArrayClear 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 73 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_11811_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreateRolesColumns"
		size = 180
		refs = "000e TDBXMetaDataCollectionColumns.CreateRolesColumns 0024 TDBXValueTypeArray 0029 @DynArraySetLength 0034 SRoleName 0039 LoadResString 004b TDBXMetaDataCollectionColumns.CreateValueType 0060 @DynArrayAsg 0075 @UStrClr 0083 @DynArrayClear 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 6F 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_11812_0 {
	meta:
		name = "TDBXMetaDataCollectionColumns.CreateReservedWordsColumns"
		size = 188
		refs = "000e TDBXMetaDataCollectionColumns.CreateReservedWordsColumns 0024 TDBXValueTypeArray 0029 @DynArraySetLength 0034 SReservedWord 0039 LoadResString 004b TDBXMetaDataCollectionColumns.CreateValueType 0060 @DynArrayAsg 0075 @UStrClr 0083 @DynArrayClear 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 65 00 73 00 65 00 72 00 76 00 65 00 64 00 57 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_11813_0 {
	meta:
		name = "TDBXMetaDataCommandParseResult.Create"
		size = 83
		refs = "000e @ClassCreate 001d TObject.Create 002c TDBXStringArray 0031 @DynArrayAsg 003c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 8D 47 08 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_11814_0 {
	meta:
		name = "TDBXBaseMetaDataReader.Destroy"
		size = 100
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0052 TObject.Destroy 005d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11817_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetProductName"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetProductName 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11891_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlForCatalogs"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetSqlForCatalogs 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11895_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlForColumns"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetSqlForColumns 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11890_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlForDataTypes"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetSqlForDataTypes 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11900_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlForForeignKeyColumns"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetSqlForForeignKeyColumns 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11899_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlForForeignKeys"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetSqlForForeignKeys 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11898_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlForIndexColumns"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetSqlForIndexColumns 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11897_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlForIndexes"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetSqlForIndexes 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11907_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlForPackageProcedureParameters"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetSqlForPackageProcedureParameters 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11906_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlForPackageProcedures"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetSqlForPackageProcedures 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11908_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlForPackageSources"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetSqlForPackageSources 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11905_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlForPackages"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetSqlForPackages 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11904_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlForProcedureParameters"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetSqlForProcedureParameters 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11903_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlForProcedureSources"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetSqlForProcedureSources 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11902_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlForProcedures"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetSqlForProcedures 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11911_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlForReservedWords"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetSqlForReservedWords 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11910_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlForRoles"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetSqlForRoles 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11892_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlForSchemas"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetSqlForSchemas 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11901_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlForSynonyms"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetSqlForSynonyms 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11893_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlForTables"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetSqlForTables 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11909_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlForUsers"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetSqlForUsers 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11894_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlForViews"
		size = 106
		refs = "000b TDBXBaseMetaDataReader.GetSqlForViews 0019 SMissingImplementation 001e LoadResString 0029 @WStrFromUStr 0033 _Dn_TDBXMetaDataError 0038 TDBXMetaDataError.Create 003d @RaiseExcept 0052 @UStrClr 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_11819_0 {
	meta:
		name = "TDBXBaseMetaDataReader.SetVersion"
		size = 82
		refs = "000f TDBXBaseMetaDataReader.SetVersion 0021 TDBXBaseMetaDataReader.MakeStandardVersionFormat 002c @UStrAsg 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_11820_0 {
	meta:
		name = "TDBXBaseMetaDataReader.CountDigits"
		size = 102
		refs = "0042 @UStrLen"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 0C 24 8B FA 8B 04 24 89 44 24 04 B3 01 EB 24 8B 44 24 04 40 0F B7 74 47 FE 66 83 FE 30 72 06 66 83 FE 39 76 04 33 DB EB 02 B3 01 8B 6C 24 04 FF 44 24 04 84 DB 74 0D 8B C7 E8 ?? ?? ?? ?? 3B 44 24 04 7F CB 84 DB 75 08 8B 44 24 04 FF 4C 24 04 8B 44 24 04 2B 04 24 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_11821_0 {
	meta:
		name = "TDBXBaseMetaDataReader.AppendVersionSection"
		size = 300
		refs = "001a TDBXBaseMetaDataReader.AppendVersionSection 0073 TDBXStringBuffer.Append 00ae @UStrFromWChar 00e5 @UStrClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 89 55 FC 8B 4D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 85 C0 74 05 83 E8 04 8B 00 3B 45 10 7C 03 8B 45 10 8B D0 8B 45 14 89 45 F8 EB 06 8B 45 F8 FF 45 F8 3B 55 F8 7E 0C 8B 45 F8 40 66 83 7C 47 FE 30 74 E9 8B 45 10 2B 45 F8 3B C8 7D 1A 8B D9 4B 85 DB 7C 58 43 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 4B 75 F0 EB 45 8B F0 8B D9 4B 2B DE 7C 11 43 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 4B 75 F0 8B 75 F8 8B 5D 10 4B 2B DE 7C 20 43 8D 45 F4 8D 56 01 0F B7 54 57 FE E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 E1 80 7D 08 00 74 0D BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 10 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 39 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_11822_0 {
	meta:
		name = "TDBXBaseMetaDataReader.MakeStandardVersionFormat"
		size = 384
		refs = "001d TDBXBaseMetaDataReader.MakeStandardVersionFormat 002e StringIndexOf 004e TDBXBaseMetaDataReader.CountDigits 0092 _Dn_TDBXStringBuffer 0097 TDBXStringBuffer.Create 00ae TDBXBaseMetaDataReader.AppendVersionSection 0101 @UStrFromWChar 010c TDBXStringBuffer.Append 0128 TObject.Free 0133 @UStrAsg 0154 @UStrClr 0162 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D FC 89 4D F4 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 BA 2E 00 8B C6 E8 ?? ?? ?? ?? 8B F8 8D 4F 01 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 8D 4B 01 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8D 53 01 03 C2 89 45 F0 85 FF 0F 8E D7 00 00 00 3B FB 0F 8D CF 00 00 00 3B 5D F0 0F 8D C6 00 00 00 83 FF 02 75 17 8B C3 2B C7 83 F8 03 75 0E 8B 45 F0 2B C3 83 F8 04 0F 84 AA 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 6A 00 57 6A 02 6A 01 8B CE 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 47 57 53 6A 02 6A 01 8B CE 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 43 53 8B 45 F0 50 6A 04 6A 00 8B CE 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 85 C0 74 05 83 E8 04 8B 00 8B FA 8B D8 4B 2B DF 7C 20 43 8D 45 E8 8D 57 01 0F B7 54 56 FE E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 47 4B 75 E1 8D 55 FC 8B 45 EC 8B 08 FF 51 DC 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? EB 0A 8B 45 F4 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_11823_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlDefaultParameterMarker"
		size = 36
		refs = "0006 TDBXBaseMetaDataReader.GetSqlDefaultParameterMarker 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_11824_0 {
	meta:
		name = "TDBXBaseMetaDataReader.CompareVersion"
		size = 45
		refs = "0021 CompareStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 10 00 74 09 85 F6 0F 94 C0 34 01 EB 02 33 C0 84 C0 74 0D 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_11825_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlIdentifierQuotePrefix"
		size = 36
		refs = "0006 TDBXBaseMetaDataReader.GetSqlIdentifierQuotePrefix 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_11835_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlIdentifierQuoteChar"
		size = 36
		refs = "0006 TDBXBaseMetaDataReader.GetSqlIdentifierQuoteChar 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_11826_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlIdentifierQuoteSuffix"
		size = 36
		refs = "0006 TDBXBaseMetaDataReader.GetSqlIdentifierQuoteSuffix 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_11827_0 {
	meta:
		name = "TDBXBaseMetaDataReader.IsQuotedIdentifiersSupported"
		size = 182
		refs = "0010 TDBXBaseMetaDataReader.IsQuotedIdentifiersSupported 009b @UStrArrayClr 00a3 @UStrClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 38 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 04 B0 01 EB 45 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 23 8D 55 F0 8B C3 8B 08 FF 51 20 8B 45 F0 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C0 EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11836_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSqlProcedureQuoteChar"
		size = 18
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 38 5E 5B C3 }
	condition:
		$1
}

rule function_11841_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetTableType"
		size = 44
		refs = "0006 TDBXBaseMetaDataReader.GetTableType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 41 00 42 00 4C 00 45 00 00 00 }
	condition:
		$1
}

rule function_11842_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetViewType"
		size = 44
		refs = "0006 TDBXBaseMetaDataReader.GetViewType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 56 00 49 00 45 00 57 00 00 00 00 00 }
	condition:
		$1
}

rule function_13277_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.GetSystemViewType"
		size = 44
		refs = "0006 TDBXSybaseASAMetaDataReader.GetSystemViewType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 56 00 49 00 45 00 57 00 00 00 00 00 }
	condition:
		$1
}

rule function_13275_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.GetViewType"
		size = 44
		refs = "0006 TDBXSybaseASAMetaDataReader.GetViewType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 56 00 49 00 45 00 57 00 00 00 00 00 }
	condition:
		$1
}

rule function_11843_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSystemTableType"
		size = 60
		refs = "0006 TDBXBaseMetaDataReader.GetSystemTableType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 54 00 41 00 42 00 4C 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_11844_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSystemViewType"
		size = 56
		refs = "0006 TDBXBaseMetaDataReader.GetSystemViewType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 56 00 49 00 45 00 57 00 00 00 }
	condition:
		$1
}

rule function_11845_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetSynonymType"
		size = 48
		refs = "0006 TDBXBaseMetaDataReader.GetSynonymType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 00 00 }
	condition:
		$1
}

rule function_11846_0 {
	meta:
		name = "TDBXBaseMetaDataReader.MakeTableTypeString"
		size = 200
		refs = "0023 TDBXBaseMetaDataReader.MakeTableTypeString 00ab @UStrAsg"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC 85 C1 75 06 85 C9 74 02 33 C0 83 F8 10 0F 87 82 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 02 00 03 00 00 00 04 00 00 00 00 00 00 00 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 08 8B C3 8B 08 FF 91 C0 00 00 00 EB 49 8B 55 08 8B C3 8B 08 FF 91 C4 00 00 00 EB 3A 8B 55 08 8B C3 8B 08 FF 91 C8 00 00 00 EB 2B 8B 55 08 8B C3 8B 08 FF 91 CC 00 00 00 EB 1C 8B 55 08 8B C3 8B 08 FF 91 D0 00 00 00 EB 0D 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_11847_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FindSourceLineColumn"
		size = 208
		refs = "0013 TDBXBaseMetaDataReader.FindSourceLineColumn 002d @DynArrayLength 0046 @WStrFromUStr 0051 WideUpperCase 005e @WStrEqual 0081 @WStrArrayClr 008a TDBXValueTypeArray 008f @DynArrayClear 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 2C 8B DE 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 2B F3 7C 30 46 8D 45 F4 8B 55 FC 8B 14 9A 8B 52 04 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 07 43 4E 75 D1 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5E 5B 8B E5 5D C3 00 24 00 00 00 53 00 4F 00 55 00 52 00 43 00 45 00 5F 00 4C 00 49 00 4E 00 45 00 5F 00 4E 00 55 00 4D 00 42 00 45 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_11848_0 {
	meta:
		name = "TDBXBaseMetaDataReader.InitScanner"
		size = 1960
		refs = "0011 TDBXBaseMetaDataReader.InitScanner 0052 @UStrLAsg 008a _Dn_TDBXSqlScanner 008f TDBXSqlScanner.Create 00a2 TDBXSqlScanner.RegisterId 02bd @UStrArrayClr 02c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 0C 00 0F 85 82 02 00 00 8D 55 FC 8B C6 8B 08 FF 51 38 8D 55 F8 8B C6 8B 08 FF 51 1C 8D 55 F4 8B C6 8B 08 FF 51 20 83 7D FC 00 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 75 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F4 00 75 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 F4 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B9 F4 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 01 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 02 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 03 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 04 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 05 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 06 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 07 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 09 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 0A 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 0B 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 0C 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 0D 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 0E 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 0F 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 10 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 11 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 12 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 13 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 14 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 15 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 16 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 F5 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 F6 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 F7 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 F8 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 F9 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 FA 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 FB 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 FC 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 FD 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 5E 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 47 00 65 00 74 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 53 00 63 00 68 00 65 00 6D 00 61 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 56 00 69 00 65 00 77 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 49 00 6E 00 64 00 65 00 78 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 47 00 65 00 74 00 49 00 6E 00 64 00 65 00 78 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 47 00 65 00 74 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 47 00 65 00 74 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 47 00 65 00 74 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 47 00 65 00 74 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 47 00 65 00 74 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 55 00 73 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 52 00 6F 00 6C 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 47 00 65 00 74 00 52 00 65 00 73 00 65 00 72 00 76 00 65 00 64 00 57 00 6F 00 72 00 64 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 61 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 56 00 69 00 65 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 54 00 61 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 56 00 69 00 65 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 72 00 69 00 6D 00 61 00 72 00 79 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_11849_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetDataTypeHash"
		size = 161
		refs = "0014 TDBXBaseMetaDataReader.GetDataTypeHash 0027 _Dn_TDBXObjectStore 002c TStringList.Create 0042 _Dn_TDBXArrayList 0047 TDBXArrayList.Create 0065 FreeObjectArray 0087 TDBXDataTypeDescriptionArray 008c @DynArrayClear 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 00 75 4E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B C3 8B 08 FF 91 D8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 50 8B 4D F8 8B D6 8B C3 8B 38 FF 97 D4 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 89 73 08 8B 45 F8 89 43 14 8B 5B 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11850_0 {
	meta:
		name = "TDBXBaseMetaDataReader.GetDataTypes"
		size = 15
		refs = "0006 TDBXBaseMetaDataReader.GetDataTypeHash"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 14 5B C3 }
	condition:
		$1
}

rule function_11851_0 {
	meta:
		name = "TDBXBaseMetaDataReader.PopulateDataTypes"
		size = 273
		refs = "0021 TDBXBaseMetaDataReader.PopulateDataTypes 002f @DynArrayLength 0056 @UStrLAsg 0077 TDBXObjectStore.ContainsKey 00c8 TDBXObjectStore.SetObjectByName 00d2 TDBXArrayList.Add 00fc @UStrArrayClr 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 4D E8 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C A8 00 00 00 46 33 FF 8B 45 08 8B 1C B8 85 DB 0F 84 8F 00 00 00 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 20 E8 ?? ?? ?? ?? 8D 45 F4 8B 53 1C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 1C 83 7D F8 00 75 04 B0 01 EB 14 8B 55 F8 8B 45 F0 8B 08 FF 51 5C 85 C0 0F 9D C0 EB 02 33 C0 84 C0 74 3D 83 7D F4 00 75 04 B0 01 EB 10 8B 55 F4 8B 45 F0 8B 08 FF 51 5C 85 C0 0F 9E C0 84 C0 74 1F 8B CB 8B 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 08 33 D2 89 14 B8 47 4E 0F 85 5B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11852_0 {
	meta:
		name = "TDBXBaseMetaDataReader.ParseMetaDataCommand"
		size = 1768
		refs = "0011 TDBXBaseMetaDataReader.ParseMetaDataCommand 001e TDBXBaseMetaDataReader.InitScanner 0028 TDBXSqlScanner.Init 0030 TDBXSqlScanner.NextToken 00e6 TDBXBaseMetaDataReader.ParseDone 0129 TDBXBaseMetaDataReader.ParseParameter 013e TDBXBaseMetaDataReader.ParseGetTables 0158 TDBXBaseMetaDataReader.ParseGetObjectName 01bb TDBXBaseMetaDataReader.ParseIndexColumns 01ea TDBXBaseMetaDataReader.ParseForeignKeyColumns 0204 TDBXBaseMetaDataReader.ParseProcedures 0238 TDBXBaseMetaDataReader.ParseProcedureParameters 02e5 SMetaDataCommandExpected 02ea LoadResString 02f5 @WStrFromUStr 02ff _Dn_TDBXMetaDataError 0304 TDBXMetaDataError.Create 0309 @RaiseExcept 031e @UStrClr 0326 @WStrClr 032c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B D0 83 FA 0D 7F 4A 0F 84 B4 01 00 00 83 FA 0C 0F 87 97 02 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 FA 13 7F 2D 0F 84 FE 01 00 00 83 C2 F2 83 FA 04 0F 87 45 02 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 EA 14 0F 84 E5 01 00 00 4A 0F 84 F2 01 00 00 4A 0F 84 FF 01 00 00 81 EA DE 01 00 00 0F 85 07 02 00 00 6A 00 B9 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 1C 02 00 00 6A 00 B9 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 05 02 00 00 6A 00 B9 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 EE 01 00 00 B9 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 D9 01 00 00 B9 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 C4 01 00 00 68 ?? ?? ?? ?? B9 03 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 AA 01 00 00 68 ?? ?? ?? ?? B9 03 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 90 01 00 00 68 ?? ?? ?? ?? B9 03 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 76 01 00 00 68 ?? ?? ?? ?? B9 03 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 5C 01 00 00 B9 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 47 01 00 00 68 ?? ?? ?? ?? B9 03 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 2D 01 00 00 B9 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 18 01 00 00 68 ?? ?? ?? ?? B9 03 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 FE 00 00 00 68 ?? ?? ?? ?? B9 03 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 E4 00 00 00 68 ?? ?? ?? ?? B9 03 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 CA 00 00 00 68 ?? ?? ?? ?? B9 03 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 B0 00 00 00 68 ?? ?? ?? ?? B9 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 96 00 00 00 68 ?? ?? ?? ?? B9 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 7F 68 ?? ?? ?? ?? B9 03 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 68 6A 00 B9 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 54 6A 00 B9 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 40 6A 00 B9 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 2C 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 47 00 65 00 74 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 53 00 63 00 68 00 65 00 6D 00 61 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 56 00 69 00 65 00 77 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 49 00 6E 00 64 00 65 00 78 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 47 00 65 00 74 00 49 00 6E 00 64 00 65 00 78 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 47 00 65 00 74 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 47 00 65 00 74 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 47 00 65 00 74 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 47 00 65 00 74 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 47 00 65 00 74 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 55 00 73 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 52 00 6F 00 6C 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 47 00 65 00 74 00 52 00 65 00 73 00 65 00 72 00 76 00 65 00 64 00 57 00 6F 00 72 00 64 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_11853_0 {
	meta:
		name = "TDBXBaseMetaDataReader.ParseId"
		size = 98
		refs = "000a TDBXSqlScanner.LookAtNextToken 001e TDBXSqlScanner.NextToken 0028 TDBXSqlScanner.GetId 005b @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C E8 ?? ?? ?? ?? 8B D0 83 EA F7 74 1A 83 EA 07 75 26 8B 43 0C E8 ?? ?? ?? ?? 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 8B 43 0C 66 83 78 36 25 75 1F E8 ?? ?? ?? ?? EB 18 40 7E 15 8B 43 0C E8 ?? ?? ?? ?? 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11854_0 {
	meta:
		name = "TDBXBaseMetaDataReader.ParseSqlObjectName"
		size = 247
		refs = "001d TDBXBaseMetaDataReader.ParseSqlObjectName 002e TDBXBaseMetaDataReader.ParseId 003d @UStrAsg 004f TDBXSqlScanner.LookAtNextToken 005f TDBXSqlScanner.NextToken 00e4 @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D E8 8B F1 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 8D 44 B0 FC E8 ?? ?? ?? ?? C7 45 F4 01 00 00 00 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 89 45 F0 EB 6B 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 7D F4 4F 85 FF 7C 27 47 33 DB 8B C6 2B 45 F4 03 C3 8B 55 F8 8D 44 82 FC 8B D6 2B 55 F4 03 D3 8B 4D F8 8B 14 91 E8 ?? ?? ?? ?? 43 4F 75 DC 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 8D 44 B0 FC E8 ?? ?? ?? ?? 8B 45 F4 89 45 EC FF 45 F4 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 89 45 F0 3B 75 F4 7E 06 83 7D F0 FC 74 8A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11855_0 {
	meta:
		name = "TDBXBaseMetaDataReader.ParseParameter"
		size = 144
		refs = "0014 TDBXBaseMetaDataReader.ParseParameter 002a TDBXStringArray 002f @DynArraySetLength 003c TDBXBaseMetaDataReader.ParseId 0047 @UStrAsg 0056 TDBXBaseMetaDataReader.ParseDone 006d @UStrClr 007b @DynArrayClear 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11856_0 {
	meta:
		name = "TDBXBaseMetaDataReader.ParseGetObjectName"
		size = 126
		refs = "0012 TDBXBaseMetaDataReader.ParseGetObjectName 0027 TDBXStringArray 002c @DynArraySetLength 003b TDBXBaseMetaDataReader.ParseSqlObjectName 004b TDBXBaseMetaDataReader.ParseDone 0068 @DynArrayClear 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 4D 08 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11857_0 {
	meta:
		name = "TDBXBaseMetaDataReader.ParseGetTables"
		size = 632
		refs = "001f TDBXBaseMetaDataReader.ParseGetTables 0035 TDBXStringArray 003a @DynArraySetLength 004c TDBXBaseMetaDataReader.ParseSqlObjectName 005e @UStrLAsg 006b TDBXSqlScanner.LookAtNextToken 00e6 @UStrClr 00f4 TDBXSqlScanner.NextToken 0101 _Dn_TDBXStringBuffer 0106 TDBXStringBuffer.Create 0118 TDBXStringBuffer.Append 0147 StringIsNil 016e @UStrAsg 017b TObject.Free 018c TDBXBaseMetaDataReader.ParseDone 01b9 @DynArrayClear 01bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D FC 89 5D F8 89 4D F0 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B9 03 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 EC 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DC 00 00 00 8B 46 0C E8 ?? ?? ?? ?? 8B D8 81 C3 0B FE FF FF 83 FB 04 77 66 FF 24 9D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 35 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 53 8B 46 0C E8 ?? ?? ?? ?? 83 7D EC 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC EB 0D BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B D8 83 FB FB 74 05 83 FB FD 75 08 8B 46 0C E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 14 FF FF FF 83 7D EC 00 74 19 8D 55 E8 8B 45 EC 8B 08 FF 51 DC 8B 55 E8 8B 45 FC 83 C0 0C E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 FC 50 8B 4D F0 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 41 00 42 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 56 00 49 00 45 00 57 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 54 00 41 00 42 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 56 00 49 00 45 00 57 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_11858_0 {
	meta:
		name = "TDBXBaseMetaDataReader.ParseForeignKeyColumns"
		size = 299
		refs = "001c TDBXBaseMetaDataReader.ParseForeignKeyColumns 0032 TDBXStringArray 0037 @DynArraySetLength 0049 TDBXBaseMetaDataReader.ParseSqlObjectName 0057 TDBXSqlScanner.LookAtNextToken 0072 TDBXSqlScanner.NextToken 007c TDBXBaseMetaDataReader.ParseId 008a @UStrAsg 00db @UStrClr 00f2 TDBXBaseMetaDataReader.ParseDone 0117 @DynArrayClear 011d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D EC 89 5D FC 89 4D F4 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 08 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B9 03 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? C6 45 F3 01 33 DB 8B 46 0C E8 ?? ?? ?? ?? 3D FC 01 00 00 74 34 3D FD 01 00 00 74 2D 83 F8 FC 75 08 8B 46 0C E8 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 83 C0 0C E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 2D FC 01 00 00 74 05 48 74 06 EB 08 B3 01 EB 08 33 DB EB 04 C6 45 F3 00 80 7D F3 00 74 08 8B 46 0C E8 ?? ?? ?? ?? 84 DB 74 25 33 DB 8B 45 FC 8D 44 98 10 8B 55 FC 8B 52 10 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 98 E8 ?? ?? ?? ?? 43 83 FB 04 75 DD 8B 45 FC 50 8B 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11859_0 {
	meta:
		name = "TDBXBaseMetaDataReader.ParseIndexColumns"
		size = 185
		refs = "0016 TDBXBaseMetaDataReader.ParseIndexColumns 002c TDBXStringArray 0031 @DynArraySetLength 0043 TDBXBaseMetaDataReader.ParseSqlObjectName 004b TDBXSqlScanner.LookAtNextToken 0058 TDBXSqlScanner.NextToken 0062 TDBXBaseMetaDataReader.ParseId 0070 @UStrAsg 0080 TDBXBaseMetaDataReader.ParseDone 0097 @UStrClr 00a5 @DynArrayClear 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B9 03 00 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 83 F8 FC 75 08 8B 43 0C E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 83 C0 0C E8 ?? ?? ?? ?? 8B 45 FC 50 8B 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11860_0 {
	meta:
		name = "TDBXBaseMetaDataReader.ParseProcedures"
		size = 316
		refs = "0016 TDBXBaseMetaDataReader.ParseProcedures 002e TDBXStringArray 0033 @DynArraySetLength 0042 TDBXBaseMetaDataReader.ParseSqlObjectName 004a @UStrClr 0052 TDBXSqlScanner.LookAtNextToken 0064 TDBXSqlScanner.NextToken 0085 @UStrLAsg 00b0 @UStrAsg 00c1 TDBXBaseMetaDataReader.ParseDone 00e6 @DynArrayClear 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 01 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 83 F8 FB 74 05 83 F8 FD 75 10 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 2D FA 01 00 00 74 05 48 74 11 EB 1C 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 16 8B 43 0C E8 ?? ?? ?? ?? 8B 45 FC 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 4D 08 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_11861_0 {
	meta:
		name = "TDBXBaseMetaDataReader.ParseProcedureParameters"
		size = 187
		refs = "0016 TDBXBaseMetaDataReader.ParseProcedureParameters 002e TDBXStringArray 0033 @DynArraySetLength 0042 TDBXBaseMetaDataReader.ParseSqlObjectName 004a TDBXSqlScanner.LookAtNextToken 0057 TDBXSqlScanner.NextToken 0061 TDBXBaseMetaDataReader.ParseId 006f @UStrAsg 0080 TDBXBaseMetaDataReader.ParseDone 0097 @UStrClr 00a5 @DynArrayClear 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 01 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 83 F8 FC 75 20 8B 43 0C E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8D 04 B0 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 4D 08 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11862_0 {
	meta:
		name = "TDBXBaseMetaDataReader.ParseDone"
		size = 425
		refs = "002b TDBXBaseMetaDataReader.ParseDone 0039 TDBXSqlScanner.NextToken 0069 SUnclosedQuotes 006e LoadResString 008a Format 0095 @WStrFromUStr 009f _Dn_TDBXMetaDataError 00a4 TDBXMetaDataError.Create 00a9 @RaiseExcept 00b1 @UStrClr 00cf @UStrFromWChar 00dc TDBXSqlScanner.GetId 00e8 SUnexpectedSymbol 014c _DV_TDBXMetaDataCommandParseResult 0151 TDBXMetaDataCommandParseResult.Create 016d @UStrArrayClr 0175 @WStrClr 0198 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D E0 89 5D DC 89 5D D8 89 5D F4 89 5D F0 89 5D EC 89 5D FC 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 0C E8 ?? ?? ?? ?? 8B D8 83 FB FB 75 0F 8B 46 0C E8 ?? ?? ?? ?? 8B D8 83 FB FB 74 F1 83 FB FF 0F 84 E7 00 00 00 83 FB F6 75 4C 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 46 0C 8B 40 1C 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 83 FB FF 7D 1B 83 FB FE 74 16 83 FB F8 74 11 8D 45 FC 8B 56 0C 0F B7 52 36 E8 ?? ?? ?? ?? EB 0B 8D 55 FC 8B 46 0C E8 ?? ?? ?? ?? 8D 45 DC 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 50 8B 45 FC 89 45 C0 C6 45 C4 11 8B 45 F8 89 45 C8 C6 45 CC 11 8B 46 0C 8B 40 1C 89 45 D0 C6 45 D4 11 8D 55 C0 B9 02 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11863_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchCollection"
		size = 985
		refs = "0015 TDBXBaseMetaDataReader.FetchCollection 0024 TDBXBaseMetaDataReader.ParseMetaDataCommand 003c TDBXStringArray 0041 @DynArrayAsg 004e TObject.Free 03c5 @DynArrayClear 03cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 70 04 8D 45 FC 8B 55 F8 8B 52 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 83 FE 0D 7F 4A 0F 84 0F 02 00 00 83 FE 0C 0F 87 46 03 00 00 FF 24 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 FE 13 7F 2D 0F 84 B6 02 00 00 83 C6 F2 83 FE 04 0F 87 F4 02 00 00 FF 24 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 EE 14 0F 84 A6 02 00 00 4E 0F 84 AD 02 00 00 4E 0F 84 B4 02 00 00 81 EE DE 01 00 00 0F 85 B6 02 00 00 33 DB E9 B1 02 00 00 8B C3 8B 10 FF 52 64 8B D8 E9 A3 02 00 00 8B C3 8B 10 FF 52 68 8B D8 E9 95 02 00 00 8B 45 FC 8B 10 8B C3 8B 08 FF 51 6C 8B D8 E9 82 02 00 00 8B 45 FC 8B 40 08 50 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 48 04 8B 45 FC 8B 10 8B C3 8B 18 FF 53 70 8B D8 E9 5B 02 00 00 8B 45 FC 8B 40 08 50 8B 45 FC 8B 48 04 8B 45 FC 8B 10 8B C3 8B 18 FF 53 74 8B D8 E9 3B 02 00 00 8B 45 FC 8B 40 08 50 8B 45 FC 8B 48 04 8B 45 FC 8B 10 8B C3 8B 18 FF 93 90 00 00 00 8B D8 E9 18 02 00 00 8B 45 FC 8B 40 08 50 8B 45 FC 8B 48 04 8B 45 FC 8B 10 8B C3 8B 18 FF 53 78 8B D8 E9 F8 01 00 00 8B 45 FC 8B 40 08 50 8B 45 FC 8B 48 04 8B 45 FC 8B 10 8B C3 8B 18 FF 93 80 00 00 00 8B D8 E9 D5 01 00 00 8B 45 FC 8B 40 08 50 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 48 04 8B 45 FC 8B 10 8B C3 8B 18 FF 93 84 00 00 00 8B D8 E9 AB 01 00 00 8B 45 FC 8B 40 08 50 8B 45 FC 8B 48 04 8B 45 FC 8B 10 8B C3 8B 18 FF 93 88 00 00 00 8B D8 E9 88 01 00 00 8B 45 FC 8B 40 08 50 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 40 10 50 8B 45 FC 8B 40 14 50 8B 45 FC 8B 40 18 50 8B 45 FC 8B 40 1C 50 8B 45 FC 8B 48 04 8B 45 FC 8B 10 8B C3 8B 18 FF 93 8C 00 00 00 8B D8 E9 42 01 00 00 8B 45 FC 8B 40 08 50 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 48 04 8B 45 FC 8B 10 8B C3 8B 18 FF 93 94 00 00 00 8B D8 E9 18 01 00 00 8B 45 FC 8B 40 08 50 8B 45 FC 8B 48 04 8B 45 FC 8B 10 8B C3 8B 18 FF 93 98 00 00 00 8B D8 E9 F5 00 00 00 8B 45 FC 8B 40 08 50 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 48 04 8B 45 FC 8B 10 8B C3 8B 18 FF 93 9C 00 00 00 8B D8 E9 CB 00 00 00 8B 45 FC 8B 40 08 50 8B 45 FC 8B 48 04 8B 45 FC 8B 10 8B C3 8B 18 FF 93 A0 00 00 00 8B D8 E9 A8 00 00 00 8B 45 FC 8B 40 08 50 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 40 10 50 8B 45 FC 8B 48 04 8B 45 FC 8B 10 8B C3 8B 18 FF 93 A4 00 00 00 8B D8 EB 7A 8B 45 FC 8B 40 08 50 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 40 10 50 8B 45 FC 8B 48 04 8B 45 FC 8B 10 8B C3 8B 18 FF 93 A8 00 00 00 8B D8 EB 4C 8B 45 FC 8B 40 08 50 8B 45 FC 8B 48 04 8B 45 FC 8B 10 8B C3 8B 18 FF 93 AC 00 00 00 8B D8 EB 2C 8B C3 8B 10 FF 92 B0 00 00 00 8B D8 EB 1E 8B C3 8B 10 FF 92 B4 00 00 00 8B D8 EB 10 8B C3 8B 10 FF 92 B8 00 00 00 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11864_0 {
	meta:
		name = "TDBXBaseMetaDataReader.MakeStorage"
		size = 148
		refs = "0011 TDBXBaseMetaDataReader.MakeStorage 0054 TObject.Free 0072 @UStrClr 007b TDBXValueTypeArray 0080 @DynArrayClear 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 28 8B 45 FC 50 8D 55 F8 8B C3 8B 08 FF 51 38 8B 55 F8 8B 46 04 59 8B 30 FF 56 08 8B F0 8B D3 8B C6 8B 08 FF 51 50 8B C3 8B 10 FF 52 60 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 70 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11865_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchCollectionWithStorage"
		size = 26
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 11 8B D0 8B C3 8B 08 FF 51 60 5E 5B C3 }
	condition:
		$1
}

rule function_11866_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchDataTypes"
		size = 99
		refs = "000c TDBXBaseMetaDataReader.FetchDataTypes 001a TDBXMetaDataCollectionColumns.CreateDataTypesColumns 0025 TDBXBaseMetaDataReader.GetDataTypes 002f _DV_TDBXDataTypeCursor 0034 TDBXDataTypeCursor.Create 004c TDBXValueTypeArray 0051 @DynArrayClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_11867_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchCatalogs"
		size = 176
		refs = "000f TDBXBaseMetaDataReader.FetchCatalogs 003b TDBXMetaDataCollectionColumns.CreateCatalogsColumns 004f _DV_TDBXCustomMetaDataTable 0054 TDBXCustomMetaDataTable.Create 006b @UStrClr 0074 TDBXValueTypeArray 0079 @DynArrayClear 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 F8 8B C3 8B 08 FF 91 E4 00 00 00 8B 55 F8 33 C9 8B 43 04 8B 30 FF 56 04 8B F0 8D 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC 50 56 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_11868_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchSchemas"
		size = 308
		refs = "0013 TDBXBaseMetaDataReader.FetchSchemas 0029 TDBXStringArray 002e @DynArraySetLength 003e @UStrAsg 0089 TDBXMetaDataCollectionColumns.CreateSchemasColumns 009d _DV_TDBXCustomMetaDataTable 00a2 TDBXCustomMetaDataTable.Create 00b9 @UStrClr 00c2 TDBXValueTypeArray 00c7 @DynArrayClear 00da @FinalizeArray 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 E8 00 00 00 8B 55 F0 8B 4D FC 8B 43 04 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 50 56 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 73 00 00 00 }
	condition:
		$1
}

rule function_11869_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchTables"
		size = 884
		refs = "0022 TDBXBaseMetaDataReader.FetchTables 0030 TDBXTableTypeParser.ParseTableTypes 0044 TDBXBaseMetaDataReader.MakeTableTypeString 009c TDBXStringArray 00a1 @DynArraySetLength 00b1 @UStrAsg 01ce TDBXMetaDataCollectionColumns.CreateTablesColumns 01e2 _DV_TDBXCustomMetaDataTable 01e7 TDBXCustomMetaDataTable.Create 01fe @UStrClr 0207 TDBXValueTypeArray 020c @DynArrayClear 021f @FinalizeArray 022c @UStrArrayClr 0232 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D DC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B F0 8D 45 FC 50 8B CE BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 8B CE BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 50 8B CE BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 50 8B CE BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 EC 50 8B CE BA 10 00 00 00 8B C3 E8 ?? ?? ?? ?? 6A 08 8D 45 E8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 83 C0 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 83 C0 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 08 8D 45 E4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 E4 8B D7 E8 ?? ?? ?? ?? 8B 45 E4 83 C0 04 8B 55 DC E8 ?? ?? ?? ?? 8B 45 E4 83 C0 08 8B 55 0C E8 ?? ?? ?? ?? 8B 45 E4 83 C0 0C 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E4 83 C0 10 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 E4 83 C0 14 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 E4 83 C0 18 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 E4 83 C0 1C 8B 55 EC E8 ?? ?? ?? ?? 8B 45 E4 50 8D 55 D8 8B C3 8B 08 FF 91 EC 00 00 00 8B 55 D8 8B 4D E8 8B 43 04 8B 30 FF 56 04 8B F0 8D 45 E0 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 E0 50 56 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 41 00 42 00 4C 00 45 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 49 00 45 00 57 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 54 00 41 00 42 00 4C 00 45 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 56 00 49 00 45 00 57 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_11870_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchViews"
		size = 492
		refs = "0018 TDBXBaseMetaDataReader.FetchViews 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 00c9 TDBXMetaDataCollectionColumns.CreateViewsColumns 00d1 @DynArrayLength 00dc TDBXBaseMetaDataReader.FindSourceLineColumn 00f7 _DV_TDBXSourceTableCursor 00fc TDBXSourceTableCursor.Create 0114 _DV_TDBXCustomMetaDataTable 0119 TDBXCustomMetaDataTable.Create 0130 @UStrClr 0139 TDBXValueTypeArray 013e @DynArrayClear 0151 @FinalizeArray 0157 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 F0 00 00 00 8B 55 F0 8B 4D FC 8B 43 04 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 20 68 ?? ?? ?? ?? 8B 55 F4 52 56 6A 03 50 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 1B 68 ?? ?? ?? ?? 8B 45 F4 50 56 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 56 00 49 00 45 00 57 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 69 00 65 00 77 00 73 00 00 00 }
	condition:
		$1
}

rule function_11871_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchColumns"
		size = 472
		refs = "0018 TDBXBaseMetaDataReader.FetchColumns 0025 TDBXBaseMetaDataReader.GetDataTypeHash 0035 TDBXStringArray 003a @DynArraySetLength 004a @UStrAsg 00d0 TDBXMetaDataCollectionColumns.CreateColumnsColumns 00e4 _DV_TDBXCustomMetaDataTable 00e9 TDBXCustomMetaDataTable.Create 00f7 _DV_TDBXColumnsTableCursor 00fc TDBXColumnsTableCursor.Create 0113 @UStrClr 011c TDBXValueTypeArray 0121 @DynArrayClear 0134 @FinalizeArray 013a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 F4 00 00 00 8B 55 F0 8B 4D FC 8B 43 04 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 50 56 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 6A 00 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_11872_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchColumnConstraints"
		size = 468
		refs = "0018 TDBXBaseMetaDataReader.FetchColumnConstraints 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 00c9 TDBXMetaDataCollectionColumns.CreateColumnConstraintsColumns 00dd _DV_TDBXCustomMetaDataTable 00e2 TDBXCustomMetaDataTable.Create 00f9 @UStrClr 0102 TDBXValueTypeArray 0107 @DynArrayClear 011a @FinalizeArray 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 F8 00 00 00 8B 55 F0 8B 4D FC 8B 43 04 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 50 56 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 43 00 6F 00 6E 00 73 00 74 00 72 00 61 00 69 00 6E 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_11873_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchIndexes"
		size = 468
		refs = "0018 TDBXBaseMetaDataReader.FetchIndexes 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 00c9 TDBXMetaDataCollectionColumns.CreateIndexesColumns 00f3 _DV_TDBXCustomMetaDataTable 00f8 TDBXCustomMetaDataTable.Create 010f @UStrClr 0118 TDBXValueTypeArray 011d @DynArrayClear 0130 @FinalizeArray 0136 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 FC 00 00 00 8B 55 F0 8B 4D FC 8B 43 04 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 30 F6 D8 1B D2 8B 45 F4 8B 40 1C 8B 08 FF 51 34 68 ?? ?? ?? ?? 8B 45 F4 50 56 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 6E 00 64 00 65 00 78 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_11874_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchIndexColumns"
		size = 548
		refs = "0018 TDBXBaseMetaDataReader.FetchIndexColumns 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 00e7 TDBXMetaDataCollectionColumns.CreateIndexColumnsColumns 0111 _DV_TDBXCustomMetaDataTable 0116 TDBXCustomMetaDataTable.Create 012d @UStrClr 0136 TDBXValueTypeArray 013b @DynArrayClear 014e @FinalizeArray 0154 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 04 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 83 C0 0C 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 00 01 00 00 8B 55 F0 8B 4D FC 8B 43 04 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 34 F6 D8 1B D2 8B 45 F4 8B 40 18 8B 08 FF 51 34 68 ?? ?? ?? ?? 8B 45 F4 50 56 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 6E 00 64 00 65 00 78 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_11875_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchForeignKeys"
		size = 456
		refs = "0018 TDBXBaseMetaDataReader.FetchForeignKeys 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 00c9 TDBXMetaDataCollectionColumns.CreateForeignKeysColumns 00dd _DV_TDBXCustomMetaDataTable 00e2 TDBXCustomMetaDataTable.Create 00f9 @UStrClr 0102 TDBXValueTypeArray 0107 @DynArrayClear 011a @FinalizeArray 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 04 01 00 00 8B 55 F0 8B 4D FC 8B 43 04 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 50 56 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 73 00 00 00 }
	condition:
		$1
}

rule function_11876_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchForeignKeyColumns"
		size = 872
		refs = "0018 TDBXBaseMetaDataReader.FetchForeignKeyColumns 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 015f TDBXMetaDataCollectionColumns.CreateForeignKeyColumnsColumns 0173 _DV_TDBXCustomMetaDataTable 0178 TDBXCustomMetaDataTable.Create 018f @UStrClr 0198 TDBXValueTypeArray 019d @DynArrayClear 01b0 @FinalizeArray 01b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 08 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 08 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 1C E8 ?? ?? ?? ?? 8B 45 F8 83 C0 0C 8B 55 18 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 10 8B 55 14 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 14 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 18 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 83 C0 1C 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 08 01 00 00 8B 55 F0 8B 4D FC 8B 43 04 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 50 56 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 18 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_11877_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchSynonyms"
		size = 456
		refs = "0018 TDBXBaseMetaDataReader.FetchSynonyms 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 00c9 TDBXMetaDataCollectionColumns.CreateSynonymsColumns 00dd _DV_TDBXCustomMetaDataTable 00e2 TDBXCustomMetaDataTable.Create 00f9 @UStrClr 0102 TDBXValueTypeArray 0107 @DynArrayClear 011a @FinalizeArray 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 0C 01 00 00 8B 55 F0 8B 4D FC 8B 43 04 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 50 56 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_11878_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchProcedures"
		size = 536
		refs = "0018 TDBXBaseMetaDataReader.FetchProcedures 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 00e7 TDBXMetaDataCollectionColumns.CreateProceduresColumns 00fb _DV_TDBXCustomMetaDataTable 0100 TDBXCustomMetaDataTable.Create 0117 @UStrClr 0120 TDBXValueTypeArray 0125 @DynArrayClear 0138 @FinalizeArray 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 04 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 83 C0 0C 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 10 01 00 00 8B 55 F0 8B 4D FC 8B 43 04 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 50 56 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_11879_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchProcedureSources"
		size = 528
		refs = "0018 TDBXBaseMetaDataReader.FetchProcedureSources 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 00c9 TDBXMetaDataCollectionColumns.CreateProcedureSourcesColumns 00d1 @DynArrayLength 00dc TDBXBaseMetaDataReader.FindSourceLineColumn 00f7 _DV_TDBXSourceTableCursor 00fc TDBXSourceTableCursor.Create 0114 _DV_TDBXCustomMetaDataTable 0119 TDBXCustomMetaDataTable.Create 0130 @UStrClr 0139 TDBXValueTypeArray 013e @DynArrayClear 0151 @FinalizeArray 0157 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 14 01 00 00 8B 55 F0 8B 4D FC 8B 43 04 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 20 68 ?? ?? ?? ?? 8B 55 F4 52 56 6A 04 50 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 1B 68 ?? ?? ?? ?? 8B 45 F4 50 56 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_11880_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchProcedureParameters"
		size = 580
		refs = "0018 TDBXBaseMetaDataReader.FetchProcedureParameters 0025 TDBXBaseMetaDataReader.GetDataTypeHash 0035 TDBXStringArray 003a @DynArraySetLength 004a @UStrAsg 00ee TDBXMetaDataCollectionColumns.CreateProcedureParametersColumns 0102 _DV_TDBXCustomMetaDataTable 0107 TDBXCustomMetaDataTable.Create 0115 _DV_TDBXColumnsTableCursor 011a TDBXColumnsTableCursor.Create 0131 @UStrClr 013a TDBXValueTypeArray 013f @DynArrayClear 0152 @FinalizeArray 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 04 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 83 C0 0C 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 18 01 00 00 8B 55 F0 8B 4D FC 8B 43 04 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 50 56 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 6A 00 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_11881_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchPackages"
		size = 456
		refs = "0018 TDBXBaseMetaDataReader.FetchPackages 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 00c9 TDBXMetaDataCollectionColumns.CreatePackagesColumns 00dd _DV_TDBXCustomMetaDataTable 00e2 TDBXCustomMetaDataTable.Create 00f9 @UStrClr 0102 TDBXValueTypeArray 0107 @DynArrayClear 011a @FinalizeArray 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 1C 01 00 00 8B 55 F0 8B 4D FC 8B 43 04 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 50 56 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 41 00 43 00 4B 00 41 00 47 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_11882_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchPackageProcedures"
		size = 620
		refs = "0018 TDBXBaseMetaDataReader.FetchPackageProcedures 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 0105 TDBXMetaDataCollectionColumns.CreatePackageProceduresColumns 0119 _DV_TDBXCustomMetaDataTable 011e TDBXCustomMetaDataTable.Create 0135 @UStrClr 013e TDBXValueTypeArray 0143 @DynArrayClear 0156 @FinalizeArray 015c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 05 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 05 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 0C 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 83 C0 10 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 20 01 00 00 8B 55 F0 8B 4D FC 8B 43 04 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 50 56 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 41 00 43 00 4B 00 41 00 47 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_11883_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchPackageProcedureParameters"
		size = 664
		refs = "0018 TDBXBaseMetaDataReader.FetchPackageProcedureParameters 0025 TDBXBaseMetaDataReader.GetDataTypeHash 0035 TDBXStringArray 003a @DynArraySetLength 004a @UStrAsg 010c TDBXMetaDataCollectionColumns.CreatePackageProcedureParametersColumns 0120 _DV_TDBXCustomMetaDataTable 0125 TDBXCustomMetaDataTable.Create 0133 _DV_TDBXColumnsTableCursor 0138 TDBXColumnsTableCursor.Create 014f @UStrClr 0158 TDBXValueTypeArray 015d @DynArrayClear 0170 @FinalizeArray 0176 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 6A 05 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 05 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 0C 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 83 C0 10 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 24 01 00 00 8B 55 F0 8B 4D FC 8B 43 04 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 50 56 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 6A 00 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 41 00 43 00 4B 00 41 00 47 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_11884_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchPackageSources"
		size = 468
		refs = "0018 TDBXBaseMetaDataReader.FetchPackageSources 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 00c9 TDBXMetaDataCollectionColumns.CreatePackageSourcesColumns 00dd _DV_TDBXCustomMetaDataTable 00e2 TDBXCustomMetaDataTable.Create 00f9 @UStrClr 0102 TDBXValueTypeArray 0107 @DynArrayClear 011a @FinalizeArray 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 28 01 00 00 8B 55 F0 8B 4D FC 8B 43 04 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 50 56 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 41 00 43 00 4B 00 41 00 47 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_11885_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchUsers"
		size = 168
		refs = "000f TDBXBaseMetaDataReader.FetchUsers 003b TDBXMetaDataCollectionColumns.CreateUsersColumns 004f _DV_TDBXCustomMetaDataTable 0054 TDBXCustomMetaDataTable.Create 006b @UStrClr 0074 TDBXValueTypeArray 0079 @DynArrayClear 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 F8 8B C3 8B 08 FF 91 2C 01 00 00 8B 55 F8 33 C9 8B 43 04 8B 30 FF 56 04 8B F0 8D 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC 50 56 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 73 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_11886_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchRoles"
		size = 168
		refs = "000f TDBXBaseMetaDataReader.FetchRoles 003b TDBXMetaDataCollectionColumns.CreateRolesColumns 004f _DV_TDBXCustomMetaDataTable 0054 TDBXCustomMetaDataTable.Create 006b @UStrClr 0074 TDBXValueTypeArray 0079 @DynArrayClear 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 F8 8B C3 8B 08 FF 91 30 01 00 00 8B 55 F8 33 C9 8B 43 04 8B 30 FF 56 04 8B F0 8D 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC 50 56 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 6F 00 6C 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_11887_0 {
	meta:
		name = "TDBXBaseMetaDataReader.FetchReservedWords"
		size = 244
		refs = "0011 TDBXBaseMetaDataReader.FetchReservedWords 002c TDBXMetaDataCollectionColumns.CreateReservedWordsColumns 0062 _DV_TDBXCustomMetaDataTable 0067 TDBXCustomMetaDataTable.Create 007d _DV_TDBXReservedWordsCursor 0082 TDBXReservedWordsCursor.Create 0099 @UStrClr 00a2 TDBXValueTypeArray 00a7 @DynArrayClear 00b0 TDBXStringArray 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 DC 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 83 7D FC 00 75 39 6A 00 8D 55 F4 8B C3 8B 08 FF 91 34 01 00 00 8B 55 F4 33 C9 8B 43 04 8B 30 FF 56 04 68 ?? ?? ?? ?? 8B 55 F8 52 50 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 19 8B 45 F8 50 8B 45 FC 50 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 73 00 65 00 72 00 76 00 65 00 64 00 57 00 6F 00 72 00 64 00 73 00 00 00 }
	condition:
		$1
}

rule function_11912_0 {
	meta:
		name = "TDBXProviderContext.UseAnsiString"
		size = 184
		refs = "0006 TDBXProviderContext.UseAnsiString 000b @UStrEqual"
	strings:
		$1 = { 53 8B D8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B0 01 5B C3 33 C0 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 62 00 32 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 49 00 6E 00 66 00 6F 00 72 00 6D 00 69 00 78 00 20 00 44 00 79 00 6E 00 61 00 6D 00 69 00 63 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 53 00 79 00 62 00 61 00 73 00 65 00 20 00 53 00 51 00 4C 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_11913_0 {
	meta:
		name = "TDBXReservedWordsCursor.Create"
		size = 119
		refs = "000e @ClassCreate 001f TDBXTable.Create 002e TDBXStringArray 0033 @DynArrayAsg 003a _Dn_TDBXSingleValueRow 003f TDBXSingleValueRow.Create 0060 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8D 47 1C 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 24 8B C6 8B 55 0C 8B 08 FF 51 30 C7 47 20 FF FF FF FF 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_11915_0 {
	meta:
		name = "TDBXReservedWordsCursor.Destroy"
		size = 66
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0020 TDBXStringArray 0025 @DynArrayClear 0030 TDBXValueList.Destroy 003b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11916_0 {
	meta:
		name = "TDBXReservedWordsCursor.GetDBXTableName"
		size = 60
		refs = "0006 TDBXReservedWordsCursor.GetDBXTableName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 73 00 65 00 72 00 76 00 65 00 64 00 57 00 6F 00 72 00 64 00 73 00 00 00 }
	condition:
		$1
}

rule function_11917_0 {
	meta:
		name = "TDBXReservedWordsCursor.GetColumns"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 24 8B 08 FF 51 2C 5E 5B C3 }
	condition:
		$1
}

rule function_11918_0 {
	meta:
		name = "TDBXReservedWordsCursor.First"
		size = 25
		refs = "000d @DynArrayLength"
	strings:
		$1 = { 53 56 8B D8 33 F6 89 73 20 8B 43 1C E8 ?? ?? ?? ?? 3B F0 0F 9C C0 5E 5B C3 }
	condition:
		$1
}

rule function_11919_0 {
	meta:
		name = "TDBXReservedWordsCursor.GetWritableValue"
		size = 209
		refs = "0013 TDBXReservedWordsCursor.GetWritableValue 0027 SMustCallNextFirst 002c LoadResString 0037 @WStrFromUStr 0041 _Dn_TDBXMetaDataError 0046 TDBXMetaDataError.Create 004b @RaiseExcept 0053 @DynArrayLength 0060 SPastEndOfCursor 00a5 @UStrClr 00ad @WStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 20 00 7D 2C 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 1C E8 ?? ?? ?? ?? 3B 43 20 7F 2C 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 24 8B 08 FF 51 24 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11920_0 {
	meta:
		name = "TDBXReservedWordsCursor.Next"
		size = 58
		refs = "000e @DynArrayLength"
	strings:
		$1 = { 53 8B D8 8D 43 20 8B 10 FF 00 8B 43 1C E8 ?? ?? ?? ?? 3B 43 20 7E 1F 33 D2 8B 43 24 8B 08 FF 51 24 8B 53 1C 8B 4B 20 8B 14 8A 8B 08 FF 91 24 01 00 00 B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_11921_0 {
	meta:
		name = "TDBXReservedWordsCursor.InBounds"
		size = 19
		refs = "0007 @DynArrayLength"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? 3B 43 20 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_11923_0 {
	meta:
		name = "TDBXSourceTableCursor.Create"
		size = 201
		refs = "0015 @ClassCreate 0022 TDBXSourceTableCursor.Create 003d TDBXCustomMetaDataTable.Create 0050 _Dn_TDBXSingleValueRow 0055 TDBXSingleValueRow.Create 0075 _Dn_TDBXStringBuffer 007a TDBXStringBuffer.Create 0097 TDBXValueTypeArray 009c @DynArrayClear 00a2 @HandleFinally 00b1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 50 8B 45 14 50 8B 45 10 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 43 40 8B 45 0C 89 43 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 38 8D 55 F8 8B C3 8B 08 FF 51 28 8B 55 F8 8B C6 8B 08 FF 51 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C C6 43 49 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 14 00 }
	condition:
		$1
}

rule function_11924_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4TablesCursor.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TDBXCustomMetaDataTable.Destroy 003d @ClassDestroy"
		altNames = "TDBXSourceTableCursor.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11925_0 {
	meta:
		name = "TDBXSourceTableCursor.Next"
		size = 321
		refs = "0016 TDBXSourceTableCursor.Next 0060 @DynArrayLength 00b6 TDBXStringBuffer.Append 012d @UStrArrayClr 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 EC 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 49 00 74 0F 8B 43 24 8B 10 FF 52 48 88 43 48 C6 43 49 00 80 7B 48 00 75 07 33 DB E9 D5 00 00 00 8B 53 40 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 20 89 45 FC 8B 45 FC 48 89 45 F8 8B 43 28 E8 ?? ?? ?? ?? 48 85 C0 7C 29 40 89 45 F4 33 F6 8B D6 8B C3 8B 08 FF 51 24 50 8B D6 8B 43 38 8B 08 FF 51 24 5A 8B 08 FF 91 C0 01 00 00 46 FF 4D F4 75 DD 8B 43 3C 33 D2 89 50 08 EB 48 8B 53 44 8B 43 24 8B 08 FF 51 24 8D 55 F0 8B 08 FF 51 28 8B 55 F0 8B 43 3C E8 ?? ?? ?? ?? 8B 43 24 8B 10 FF 52 48 88 43 48 80 7B 48 00 74 19 8B 45 FC 89 45 F8 8B 53 40 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 20 89 45 FC 80 7B 48 00 74 08 8B 45 FC 3B 45 F8 7F AA 8D 55 EC 8B 43 3C 8B 08 FF 51 DC 8B 45 EC 50 8B 53 44 8B 43 38 8B 08 FF 51 24 5A 8B 08 FF 91 24 01 00 00 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11927_0 {
	meta:
		name = "TDBXTableTypeParser.ParseTableTypes"
		size = 472
		refs = "0012 TDBXTableTypeParser.ParseTableTypes 0030 _Dn_TDBXTokenizer 0035 TDBXTokenizer.Create 0048 TDBXTokenizer.NextToken 0053 Trim 0060 @UStrEqual 00be SUnknownTableType 00c3 LoadResString 00ce @UStrCat 00d9 @WStrFromUStr 00e3 _Dn_TDBXMetaDataError 00e8 TDBXMetaDataError.Create 00ed @RaiseExcept 00f5 TDBXTokenizer.HasMoreTokens 010a TObject.Free 0128 @UStrClr 0130 @WStrClr 0146 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 85 F6 0F 84 E8 00 00 00 68 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 E9 B0 00 00 00 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 08 83 CB 01 E9 83 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 05 83 CB 04 EB 6F 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 05 83 CB 02 EB 5B 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 05 83 CB 10 EB 47 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 85 F6 7E 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 40 FF FF FF 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 85 DB 75 05 BB 1F 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 41 00 42 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 54 00 41 00 42 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 56 00 49 00 45 00 57 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 00 00 }
	condition:
		$1
}

rule function_11930_0 {
	meta:
		name = "TDBXMetaDataUtil.QuoteIdentifier"
		size = 400
		refs = "0022 TDBXMetaDataUtil.QuoteIdentifier 002f _Dn_TDBXStringBuffer 0034 TDBXStringBuffer.Create 0040 StringIndexOf 006c TDBXStringBuffer.Append 00ce @UStrCopy 014e TObject.Free 0159 @UStrAsg 0173 @UStrArrayClr 017b @UStrClr 0181 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D FC 89 4D F8 8B FA 8B F0 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B D3 8B C6 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 7D 04 B0 01 EB 10 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 94 C0 84 C0 74 24 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B D3 8B 45 F4 E8 ?? ?? ?? ?? E9 B1 00 00 00 8B D7 8B 45 F4 E8 ?? ?? ?? ?? 33 DB 8B D7 8B C6 E8 ?? ?? ?? ?? 89 45 F0 8B C7 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 4E 83 7D F0 00 7C 48 8B 45 F0 89 45 EC FF 45 F0 8D 45 E4 50 8B 4D F0 2B CB 8D 53 01 8B C6 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8B D7 8B 45 F4 E8 ?? ?? ?? ?? 8B 5D F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 7D B8 89 75 E8 83 7D E8 00 74 0B 8B 45 E8 83 E8 04 8B 00 89 45 E8 8D 45 E0 50 8B 4D E8 2B CB 8D 53 01 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8B D7 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 F4 8B 08 FF 51 DC 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11931_0 {
	meta:
		name = "TDBXMetaDataUtil.UnquotedIdentifier"
		size = 670
		refs = "0020 TDBXMetaDataUtil.UnquotedIdentifier 0030 @UStrLAsg 0050 Pos 0079 AnsiEndsText 00d2 @UStrCopy 0194 @UStrCat3 019f StringIndexOf 01b0 _Dn_TDBXStringBuffer 01b5 TDBXStringBuffer.Create 01dc TDBXStringBuffer.Append 0257 TObject.Free 0262 @UStrAsg 027c @UStrArrayClr 028f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 48 0F 94 C0 84 C0 74 23 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E8 8B 55 0C E8 ?? ?? ?? ?? 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 56 8B C3 8B F0 85 F6 74 05 83 EE 04 8B 36 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 8B 55 0C 89 55 D0 83 7D D0 00 74 0B 8B 55 D0 83 EA 04 8B 12 89 55 D0 8B D8 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC 50 8B CF 2B 4D D0 2B CB 8D 56 01 8B 45 FC E8 ?? ?? ?? ?? E9 80 01 00 00 8D 45 E4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E0 8B D6 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 E0 E8 ?? ?? ?? ?? 48 0F 94 C0 84 C0 0F 84 54 01 00 00 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 D8 8B D6 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 0F 84 2C 01 00 00 8B C3 8B F8 85 FF 74 05 83 EF 04 8B 3F 8B 55 FC 89 55 CC 83 7D CC 00 74 0B 8B 55 CC 83 EA 04 8B 12 89 55 CC 8B 55 0C 89 55 C8 83 7D C8 00 74 0B 8B 55 C8 83 EA 04 8B 12 89 55 C8 8B D8 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC 50 8B 4D CC 2B 4D C8 2B CB 8D 57 01 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 8B CE 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8C AE 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 FF 85 DB 7C 57 8D 45 C0 50 8B CB 2B CF 8D 57 01 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C0 8B 45 D4 E8 ?? ?? ?? ?? 8B D6 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 F8 89 45 C4 83 7D C4 00 74 0B 8B 45 C4 83 E8 04 8B 00 89 45 C4 8B FB 03 7D C4 8B CF 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 7D A9 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 BC 50 8B CB 2B CF 8D 57 01 8B 45 FC E8 ?? ?? ?? ?? 8B 55 BC 8B 45 D4 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 D4 8B 08 FF 51 DC 8B 45 D4 33 D2 89 55 D4 E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_11959_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TObject.Destroy 003d @ClassDestroy"
		altNames = "TDSRestCallbackLoop.Destroy TIWBaseComponentImplementation.Destroy TIWContainerImplementation.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32179_0 {
	meta:
		name = "TIdAuthentication.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TPersistent.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39141_0 {
	meta:
		name = "TInAuthentication.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TPersistent.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_11960_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.SetContext"
		size = 18
	strings:
		$1 = { 89 50 04 8B 48 08 85 C9 74 07 8B C1 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_11963_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlCreate"
		size = 448
		refs = "0017 TDBXBaseMetaDataWriter.MakeSqlCreate 0034 @UStrEqual 0046 TDBXBaseMetaDataWriter.MakeSqlCreateTable 006a TDBXBaseMetaDataWriter.MakeSqlCreateView 008e TDBXBaseMetaDataWriter.MakeSqlCreateSynonym 00e0 SUnsupportedOperation 00e5 LoadResString 00ef _Dn_Exception 00f4 Exception.Create 00f9 @RaiseExcept 010e @UStrClr 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 38 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 50 8B CF 8B 55 F8 8B C6 E8 ?? ?? ?? ?? E9 AE 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 50 8B CF 8B 55 F8 8B C6 E8 ?? ?? ?? ?? E9 8A 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8B 45 08 50 8B CF 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 69 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 50 8B CF 8B 55 F8 8B C6 8B 18 FF 93 9C 00 00 00 EB 45 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 50 8B CF 8B 55 F8 8B C6 8B 18 FF 93 B4 00 00 00 EB 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 69 00 65 00 77 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 6E 00 64 00 65 00 78 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 73 00 00 00 }
	condition:
		$1
}

rule function_11964_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlAlter"
		size = 496
		refs = "0017 TDBXBaseMetaDataWriter.MakeSqlAlter 0034 @UStrEqual 0046 TDBXBaseMetaDataWriter.MakeSqlAlterTable 006a TDBXBaseMetaDataWriter.MakeSqlAlterView 008e TDBXBaseMetaDataWriter.MakeSqlAlterSynonym 010f SUnsupportedOperation 0114 LoadResString 011e _Dn_Exception 0123 Exception.Create 0128 @RaiseExcept 013d @UStrClr 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 38 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 50 8B CF 8B 55 F8 8B C6 E8 ?? ?? ?? ?? E9 DD 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 50 8B CF 8B 55 F8 8B C6 E8 ?? ?? ?? ?? E9 B9 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 50 8B CF 8B 55 F8 8B C6 E8 ?? ?? ?? ?? E9 95 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2B 8B C7 8B 10 FF 52 3C 8B C8 8B 55 F8 8B C6 8B 18 FF 93 A0 00 00 00 8B 45 08 50 8B CF 8B 55 F8 8B C6 8B 18 FF 93 9C 00 00 00 EB 5B 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2B 8B C7 8B 10 FF 52 3C 8B C8 8B 55 F8 8B C6 8B 18 FF 93 B8 00 00 00 8B 45 08 50 8B CF 8B 55 F8 8B C6 8B 18 FF 93 B4 00 00 00 EB 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 69 00 65 00 77 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 6E 00 64 00 65 00 78 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 73 00 00 00 }
	condition:
		$1
}

rule function_11965_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlDrop"
		size = 424
		refs = "0017 TDBXBaseMetaDataWriter.MakeSqlDrop 0034 @UStrEqual 0042 TDBXBaseMetaDataWriter.MakeSqlDropTable 0062 TDBXBaseMetaDataWriter.MakeSqlDropView 007f TDBXBaseMetaDataWriter.MakeSqlDropSynonym 00c9 SUnsupportedOperation 00ce LoadResString 00d8 _Dn_Exception 00dd Exception.Create 00e2 @RaiseExcept 00f7 @UStrClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 38 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B CF 8B 55 F8 8B C6 E8 ?? ?? ?? ?? E9 9B 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B CF 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 7E 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B CF 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 61 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B CF 8B 55 F8 8B C6 8B 18 FF 93 A0 00 00 00 EB 41 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B CF 8B 55 F8 8B C6 8B 18 FF 93 B8 00 00 00 EB 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 69 00 65 00 77 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 6E 00 64 00 65 00 78 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 73 00 00 00 }
	condition:
		$1
}

rule function_11966_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.CheckColumnSupported"
		size = 103
		refs = "0015 TDBXBaseMetaDataWriter.CheckColumnSupported 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 50 33 C9 8B D6 8B C3 8B 18 FF 53 74 8B 5D FC 89 5D F8 83 7D F8 00 0F 94 C0 8B D8 80 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11978_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.GetSqlQuotedIdentifier"
		size = 126
		refs = "0016 TDBXBaseMetaDataWriter.GetSqlQuotedIdentifier 0051 TDBXMetaDataUtil.QuoteIdentifier 006b @UStrArrayClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 08 8B 08 FF 51 20 8B 45 FC 50 57 8D 55 F8 8B 43 08 8B 08 FF 51 1C 8B 45 F8 50 8D 55 F4 8B 43 08 8B 08 FF 51 38 8B 55 F4 8B C6 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11979_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.GetSqlUnQuotedIdentifier"
		size = 126
		refs = "0016 TDBXBaseMetaDataWriter.GetSqlUnQuotedIdentifier 0051 TDBXMetaDataUtil.UnquotedIdentifier 006b @UStrArrayClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 08 8B 08 FF 51 20 8B 45 FC 50 57 8D 55 F8 8B 43 08 8B 08 FF 51 1C 8B 45 F8 50 8D 55 F4 8B 43 08 8B 08 FF 51 38 8B 55 F4 8B C6 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11982_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlCreateTable"
		size = 612
		refs = "001f TDBXBaseMetaDataWriter.MakeSqlCreateTable 0031 TDBXStringBuffer.Append 00cd @UStrLAsg 010a TDBXBaseMetaDataWriter.MakeSqlColumnDefinition 0136 TObject.Free 0174 @UStrArrayClr 0187 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 F4 8B 08 FF 51 24 8D 4D EC 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 EC 50 BA 02 00 00 00 8B 45 F4 8B 08 FF 51 24 8D 4D E8 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 E8 50 33 D2 8B 45 F4 8B 08 FF 51 24 8D 4D E4 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D E4 8B D3 8B C6 8B 38 FF 57 60 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 08 8B 08 FF 51 74 89 45 F0 8B 45 F0 8B 10 FF 52 4C EB 29 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 48 8B 45 F0 8B 10 FF 52 44 84 C0 75 CB 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 41 00 42 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 0A 00 20 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2C 00 0A 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 72 00 64 00 69 00 6E 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_11983_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlAlterTable"
		size = 640
		refs = "0020 TDBXBaseMetaDataWriter.MakeSqlAlterTable 0083 TDBXBaseMetaDataWriter.ComputeColumnMap 0098 TDBXBaseMetaDataWriter.GetDefaults 00ad TDBXBaseMetaDataWriter.GetForeignKeyColumns 00ec TDBXBaseMetaDataWriter.GetIndexes 0101 TDBXBaseMetaDataWriter.GetIndexColumns 013d @HandleFinally 0155 TDBXBaseMetaDataWriter.RemoveForeignKeyGeneratedIndexes 016b TDBXBaseMetaDataWriter.DropAllConstraints 0178 TDBXStringBuffer.Append 01a1 TDBXBaseMetaDataWriter.MakeSqlFullAlterTable 01c1 TDBXBaseMetaDataWriter.MakeSqlTableReplacement 01e8 TDBXBaseMetaDataWriter.CreateIndices 01fe TDBXBaseMetaDataWriter.CreateForeignKeys 020b TObject.Free 0259 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 DB 89 5D FC 89 5D F8 89 5D F4 89 4D E8 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 10 FF 52 3C 8B D8 33 D2 8B C3 8B 08 FF 51 24 8D 4D FC 33 D2 8B 30 FF 96 D0 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 24 8D 4D F8 33 D2 8B 30 FF 96 D0 00 00 00 BA 02 00 00 00 8B C3 8B 08 FF 51 24 8D 4D F4 33 D2 8B 18 FF 93 D0 00 00 00 8B 55 08 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E4 8B 45 F4 50 8B 4D F8 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E0 8B 45 F4 50 8B 4D F8 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 89 45 DC 8B 45 F0 8B 10 FF 52 54 88 45 D3 80 7D D3 00 74 0B 8B 45 F0 8B 40 04 8B 10 FF 52 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 50 8B 4D F8 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 89 45 D8 8B 45 F4 50 8B 4D F8 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 89 45 D4 80 7D D3 00 74 0B 8B 45 F0 8B 40 04 8B 10 FF 52 18 C6 45 D3 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D D3 00 74 0B 8B 45 F0 8B 40 04 8B 10 FF 52 1C C3 E9 ?? ?? ?? ?? EB E7 8B 45 D4 50 8B 45 DC 50 8B 4D D8 8B 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 45 DC 50 8B 4D E0 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 3C 85 C0 0F 95 C0 84 C0 74 22 8B 45 EC 8B 58 08 8B 45 08 50 8B 4D E8 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 06 8B 55 EC 89 5A 08 84 C0 75 12 8B 45 08 50 8B 4D E8 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D8 50 8B 45 D4 50 8B 45 E4 50 8B 4D E8 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 E4 50 8B 4D E8 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 D8 33 D2 89 55 D8 E8 ?? ?? ?? ?? 8B 45 D4 33 D2 89 55 D4 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_11984_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.SupportedTableAlteration"
		size = 17
	strings:
		$1 = { 53 8B DA 8B 10 FF 52 3C 23 C3 3B D8 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_11985_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlFullAlterTable"
		size = 2852
		refs = "0023 TDBXBaseMetaDataWriter.MakeSqlFullAlterTable 0062 @UStrLAsg 0092 TDBXBaseMetaDataWriter.SupportedTableAlteration 00a0 TDBXStringBuffer.Append 015e TDBXBaseMetaDataWriter.MakeSqlColumnDefinition 045c TDBXBaseMetaDataWriter.MakeSqlDefaultValue 0759 TDBXBaseMetaDataWriter.MakeSqlColumnRename 0773 TDBXBaseMetaDataWriter.AddToExternalStatements 0929 TDBXBaseMetaDataWriter.MakeSqlTableRename 09ae @UStrArrayClr 09c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 10 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E8 8B DA 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 10 FF 52 3C 89 45 D8 33 C0 89 45 D4 8B 43 08 89 45 D0 8B 4D D8 8B D3 8B 45 EC 8B 30 FF 96 A8 00 00 00 8B 43 08 89 45 CC 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 10 FF 92 84 00 00 00 8B F0 8B C6 8B 10 FF 52 4C EB 6B BA 04 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 53 8B 55 FC 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 03 00 00 00 8B C6 8B 08 FF 51 24 8D 4D B0 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D B0 8B D3 8B 45 EC 8B 38 FF 57 10 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 48 8B C6 8B 10 FF 52 44 84 C0 75 8A 8B C6 8B 10 FF 52 60 8B 45 08 8B 10 FF 92 88 00 00 00 8B F0 8B C6 8B 10 FF 52 4C E9 B9 00 00 00 BA 08 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 84 C0 0F 84 9D 00 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B CE 8B D3 8B 45 EC E8 ?? ?? ?? ?? BA 07 00 00 00 8B C6 8B 08 FF 51 24 8B 10 FF 52 58 84 C0 75 4F BA 10 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 3E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 07 00 00 00 8B C6 8B 08 FF 51 24 8B 10 FF 52 20 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 48 8B C6 8B 10 FF 52 44 84 C0 0F 85 38 FF FF FF 8B C6 8B 10 FF 52 60 8B 45 08 8B 10 FF 92 8C 00 00 00 8B F0 8B C6 8B 10 FF 52 4C E9 9B 05 00 00 8B 43 08 89 45 C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 3C 89 45 C4 BA 03 00 00 00 8B 45 C4 8B 08 FF 51 24 8D 55 AC 8B 08 FF 51 28 8B 4D AC 8B D3 8B 45 EC 8B 38 FF 57 10 8B 43 08 89 45 C0 BA 04 00 00 00 8B 45 C4 8B 08 FF 51 24 50 BA 04 00 00 00 8B C6 8B 08 FF 51 24 5A 8B 08 FF 91 F0 00 00 00 84 C0 74 4E BA 05 00 00 00 8B 45 C4 8B 08 FF 51 24 50 BA 05 00 00 00 8B C6 8B 08 FF 51 24 5A 8B 08 FF 91 F0 00 00 00 84 C0 74 27 BA 06 00 00 00 8B 45 C4 8B 08 FF 51 24 50 BA 06 00 00 00 8B C6 8B 08 FF 51 24 5A 8B 08 FF 91 F0 00 00 00 84 C0 75 57 BA 00 02 00 00 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 46 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 BA 04 00 00 00 8B C6 8B 08 FF 51 24 8D 55 A8 8B 08 FF 51 28 8B 4D A8 8B D3 8B 45 EC 8B 38 FF 57 68 BA 08 00 00 00 8B 45 C4 8B 08 FF 51 24 50 BA 08 00 00 00 8B C6 8B 08 FF 51 24 5A 8B 08 FF 91 F0 00 00 00 84 C0 0F 85 F0 00 00 00 BA 08 00 00 00 8B C6 8B 08 FF 51 24 8D 4D F4 33 D2 8B 38 FF 97 D0 00 00 00 83 7D F4 00 75 06 C6 45 BB 01 EB 1F 8B 45 F4 89 45 BC 83 7D BC 00 74 0B 8B 45 BC 83 E8 04 8B 00 89 45 BC 83 7D BC 00 0F 94 45 BB 80 7D BB 00 74 47 BA 40 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 84 C0 0F 84 91 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 5F BA 20 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 4E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C6 8B 08 FF 51 24 8D 4D A4 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 A4 50 8B 4D F4 8B D3 8B 45 EC E8 ?? ?? ?? ?? BA 09 00 00 00 8B 45 C4 8B 08 FF 51 24 50 BA 09 00 00 00 8B C6 8B 08 FF 51 24 5A 8B 08 FF 91 F0 00 00 00 84 C0 0F 85 86 00 00 00 BA 09 00 00 00 8B C6 8B 08 FF 51 24 B2 01 8B 08 FF 91 D4 00 00 00 84 C0 75 43 BA 00 01 00 00 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 5B BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 29 BA 80 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 18 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B 45 C4 8B 08 FF 51 24 50 BA 0A 00 00 00 8B C6 8B 08 FF 51 24 5A 8B 08 FF 91 F0 00 00 00 84 C0 0F 85 B8 00 00 00 8D 55 F0 8B 45 EC 8B 08 FF 51 34 83 7D F0 00 0F 84 A3 00 00 00 8B 45 F0 89 45 B4 83 7D B4 00 74 0B 8B 45 B4 83 E8 04 8B 00 89 45 B4 83 7D B4 00 0F 8E 82 00 00 00 BA 0A 00 00 00 8B C6 8B 08 FF 51 24 33 D2 8B 08 FF 91 D4 00 00 00 84 C0 74 29 BA 00 04 00 00 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 57 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? EB 3F BA 00 08 00 00 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 2E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? BA 07 00 00 00 8B 45 C4 8B 08 FF 51 24 50 BA 07 00 00 00 8B C6 8B 08 FF 51 24 5A 8B 08 FF 91 F0 00 00 00 84 C0 75 4F BA 00 10 00 00 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 3E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 07 00 00 00 8B C6 8B 08 FF 51 24 8B 10 FF 52 20 8B D0 8B C3 E8 ?? ?? ?? ?? BA 03 00 00 00 8B 45 C4 8B 08 FF 51 24 50 BA 03 00 00 00 8B C6 8B 08 FF 51 24 5A 8B 08 FF 91 F0 00 00 00 84 C0 0F 85 EB 00 00 00 BA 00 20 00 00 8B 45 EC E8 ?? ?? ?? ?? 84 C0 0F 84 D6 00 00 00 8B 43 08 89 45 E4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 45 E0 33 D2 8B 45 D8 8B 08 FF 51 24 8D 4D A0 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 A0 50 BA 01 00 00 00 8B 45 D8 8B 08 FF 51 24 8D 4D 9C 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 9C 50 BA 02 00 00 00 8B 45 D8 8B 08 FF 51 24 8D 4D 98 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 98 50 BA 03 00 00 00 8B 45 C4 8B 08 FF 51 24 8D 4D 94 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 94 50 BA 03 00 00 00 8B C6 8B 08 FF 51 24 8D 4D 90 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D 90 8B D3 8B 45 EC E8 ?? ?? ?? ?? 88 45 DF 80 7D DF 00 75 1A 8B 45 E0 50 8B CB 8B 55 D4 8B 45 EC E8 ?? ?? ?? ?? 89 45 D4 8B 45 E4 89 43 08 8B 45 C0 3B 43 08 75 08 8B 45 C8 89 43 08 EB 0B 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 48 8B C6 8B 10 FF 52 44 84 C0 0F 85 56 FA FF FF 8B C6 8B 10 FF 52 60 33 D2 8B 45 D8 8B 08 FF 51 24 50 33 D2 8B 45 E8 8B 08 FF 51 24 5A 8B 08 FF 91 F0 00 00 00 84 C0 74 54 BA 01 00 00 00 8B 45 D8 8B 08 FF 51 24 50 BA 01 00 00 00 8B 45 E8 8B 08 FF 51 24 5A 8B 08 FF 91 F0 00 00 00 84 C0 74 2C BA 02 00 00 00 8B 45 D8 8B 08 FF 51 24 50 BA 02 00 00 00 8B 45 E8 8B 08 FF 51 24 5A 8B 08 FF 91 F0 00 00 00 84 C0 0F 85 2F 01 00 00 BA 01 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 15 BA 02 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 84 C0 0F 84 09 01 00 00 8B 43 08 89 45 E4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 45 E0 BA 01 00 00 00 8B 45 E8 8B 08 FF 51 24 8D 4D 8C 33 D2 8B 30 FF 96 D0 00 00 00 8B 45 8C 50 BA 02 00 00 00 8B 45 E8 8B 08 FF 51 24 8D 4D 88 33 D2 8B 30 FF 96 D0 00 00 00 8B 45 88 50 33 D2 8B 45 D8 8B 08 FF 51 24 8D 4D 84 33 D2 8B 30 FF 96 D0 00 00 00 8B 45 84 50 BA 01 00 00 00 8B 45 D8 8B 08 FF 51 24 8D 4D 80 33 D2 8B 30 FF 96 D0 00 00 00 8B 45 80 50 BA 02 00 00 00 8B 45 D8 8B 08 FF 51 24 8D 8D 7C FF FF FF 33 D2 8B 30 FF 96 D0 00 00 00 8B 85 7C FF FF FF 50 33 D2 8B 45 E8 8B 08 FF 51 24 8D 8D 78 FF FF FF 33 D2 8B 30 FF 96 D0 00 00 00 8B 8D 78 FF FF FF 8B D3 8B 45 EC E8 ?? ?? ?? ?? 88 45 DF 80 7D DF 00 74 0D 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? EB 1A 8B 45 E0 50 8B CB 8B 55 D4 8B 45 EC E8 ?? ?? ?? ?? 89 45 D4 8B 45 E4 89 43 08 8B 45 CC 3B 43 08 75 06 8B 45 D0 89 43 08 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D D4 00 74 0A 8B 55 D4 8B C3 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 0F 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 0A 00 20 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2C 00 0A 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 52 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 44 00 44 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 4C 00 54 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 4F 00 54 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 55 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_11986_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlTableRename"
		size = 168
		refs = "000d TDBXBaseMetaDataWriter.MakeSqlTableRename 0014 TDBXStringBuffer.Append 0020 TDBXBaseMetaDataWriter.SupportedTableAlteration"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 18 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 18 50 8B 45 14 50 8B CF 8B D3 8B C6 8B 18 FF 53 60 B0 01 5F 5E 5B 5D C2 14 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 4F 00 00 00 00 00 }
	condition:
		$1
}

rule function_11987_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlColumnRename"
		size = 92
		refs = "000d TDBXBaseMetaDataWriter.MakeSqlColumnRename 0014 TDBXStringBuffer.Append"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D3 8B C6 8B 18 FF 53 10 B0 01 5F 5E 5B 5D C2 10 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 4F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_11988_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlObjectName"
		size = 204
		refs = "0012 TDBXBaseMetaDataWriter.MakeSqlObjectName 0020 @UStrClr 0047 @UStrLAsg 0062 TDBXStringBuffer.Append 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 85 FF 74 23 8B C3 8B 10 FF 52 40 84 C0 74 18 8B CF 8B D6 8B C3 8B 38 FF 57 10 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 0C 00 74 2E 8B C3 8B 10 FF 52 44 84 C0 74 23 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D 0C 8B D6 8B C3 8B 38 FF 57 10 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D 08 8B D6 8B C3 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_11989_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlIdentifier"
		size = 142
		refs = "0018 TDBXBaseMetaDataWriter.MakeSqlIdentifier 0033 TDBXBaseMetaDataWriter.IsValidSqlIdentifier 0040 TDBXBaseMetaDataWriter.IsReservedWord 005b TDBXStringBuffer.Append 007c @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B 10 FF 52 2C 84 C0 74 33 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 8D 4D F8 8B D6 8B C3 8B 18 FF 53 18 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_11990_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlColumnDefinition"
		size = 356
		refs = "001d TDBXBaseMetaDataWriter.MakeSqlColumnDefinition 0056 TDBXStringBuffer.Append 00c0 TDBXBaseMetaDataWriter.MakeSqlDefaultValue 0138 @UStrArrayClr 0140 @UStrClr 0146 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 03 00 00 00 8B C3 8B 08 FF 51 24 8D 4D F4 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D F4 8B 55 F8 8B C6 8B 38 FF 57 10 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 53 BA 04 00 00 00 8B C3 8B 08 FF 51 24 8D 4D F0 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D F0 8B 55 F8 8B C6 8B 38 FF 57 68 BA 04 00 00 00 8B C3 8B 08 FF 51 24 8D 4D EC 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 EC 50 BA 08 00 00 00 8B C3 8B 08 FF 51 24 8D 4D E8 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D E8 8B 55 F8 8B C6 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B C3 8B 08 FF 51 24 33 D2 8B 08 FF 91 D4 00 00 00 84 C0 74 38 8D 55 FC 8B C6 8B 08 FF 51 34 83 7D FC 00 74 28 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 18 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B CB 8B 55 F8 8B C6 8B 18 FF 53 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_11991_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlNullable"
		size = 144
		refs = "0021 TDBXBaseMetaDataWriter.MakeSqlNullable 0028 TDBXStringBuffer.Append"
	strings:
		$1 = { 53 56 8B F1 8B DA BA 09 00 00 00 8B C6 8B 08 FF 51 24 B2 01 8B 08 FF 91 D4 00 00 00 84 C0 75 30 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 4F 00 54 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 55 00 4C 00 4C 00 00 00 00 00 }
	condition:
		$1
}

rule function_11992_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlDefaultValue"
		size = 124
		refs = "001d TDBXBaseMetaDataWriter.MakeSqlDefaultValue 0024 TDBXStringBuffer.Append"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 8B F2 85 DB 74 3C 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 2D BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 00 00 }
	condition:
		$1
}

rule function_11993_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.RemoveMarkersForNullValues"
		size = 600
		refs = "001f TDBXBaseMetaDataWriter.RemoveMarkersForNullValues 002d @UStrClr 0037 @UStrLAsg 003e @DynArrayLength 0063 IntToStr 0078 @UStrCatN 0083 StringIndexOf 00a3 @UStrCopy 010f @UStrCat3 01d3 @UStrAsg 01ed @UStrArrayClr 0200 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 01 0F 8C D0 00 00 00 83 3C 9F 00 0F 85 C6 00 00 00 68 ?? ?? ?? ?? 8D 55 DC 8B C3 E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 8E 8D 00 00 00 8D 45 F4 50 8B CE 83 E9 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 89 45 EC 83 7D EC 00 74 0B 8B 55 EC 83 EA 04 8B 12 89 55 EC 8B 55 F8 89 55 E8 83 7D E8 00 74 0B 8B 55 E8 83 EA 04 8B 12 89 55 E8 89 45 E4 83 7D E4 00 74 0B 8B 45 E4 83 E8 04 8B 00 89 45 E4 8D 45 D8 50 8B C6 03 45 E4 8B 4D E8 2B C8 8B D6 03 55 EC 42 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D D8 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? EB 09 4B 85 DB 0F 85 30 FF FF FF 83 3F 00 0F 85 A5 00 00 00 68 ?? ?? ?? ?? 8D 55 D4 33 C0 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 6B 8D 45 F0 50 8B CE 83 E9 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B D8 85 DB 74 05 83 EB 04 8B 1B 8B 7D F8 85 FF 74 05 83 EF 04 8B 3F 89 45 E0 83 7D E0 00 74 0B 8B 45 E0 83 E8 04 8B 00 89 45 E0 8D 45 D0 50 8B C6 03 45 E0 8B CF 2B C8 8D 54 33 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D D0 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 28 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_11994_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlDataType"
		size = 173
		refs = "001c TDBXBaseMetaDataWriter.MakeSqlDataType 0032 TDBXInt32s 0037 @DynArraySetLength 007d @DynArrayClear 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 89 55 F8 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC C7 00 FF FF FF FF 8B 45 FC C7 40 04 FF FF FF FF 8B 45 FC 50 8B CE 8B D7 8B C3 8B 38 FF 57 70 8B F8 56 8B 45 FC 50 8B CF 8B 55 F8 8B C3 8B 18 FF 53 6C 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_11995_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlDataType"
		size = 660
		refs = "0022 TDBXBaseMetaDataWriter.MakeSqlDataType 0030 @UStrClr 003e @UStrLAsg 008c _Dn_TDBXTokenizer 0091 TDBXTokenizer.Create 009f TDBXTokenizer.NextToken 00a7 TDBXTokenizer.HasMoreTokens 00ba TDBXStringArray 00bf @DynArraySetLength 00c9 TObject.Free 0110 SUnknownColumnName 0115 LoadResString 013e Format 0149 @WStrFromUStr 0153 _Dn_TDBXMetaDataError 0158 TDBXMetaDataError.Create 015d @RaiseExcept 01ac @UStrAsg 01b9 IntToStr 01f5 TDBXBaseMetaDataWriter.RemoveMarkersForNullValues 020e FormatMessage 0219 TDBXStringBuffer.Append 0233 @UStrArrayClr 0248 @WStrClr 025e @DynArrayClear 0271 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D E0 89 55 E4 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 8B 55 E0 8B 52 28 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 E0 8B 52 24 E8 ?? ?? ?? ?? 83 7D F8 00 75 04 B0 01 EB 11 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 94 C0 84 C0 74 10 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? E9 93 01 00 00 33 F6 68 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 0B 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 46 8B C3 E8 ?? ?? ?? ?? 84 C0 75 EA 56 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 89 45 DC E9 E4 00 00 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 0C 8B 08 FF 51 20 8B F0 85 F6 7D 59 8D 45 CC 50 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 50 8B 45 E0 8B 40 04 89 45 B8 C6 45 BC 11 8B 45 F0 89 45 C0 C6 45 C4 11 8D 55 B8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 CC 8D 45 D0 E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 D8 FF FF FF FF 8B C6 83 E8 05 74 05 48 74 0C EB 13 8B 45 08 8B 00 89 45 D8 EB 09 8B 45 08 8B 40 04 89 45 D8 83 7D D8 00 7D 25 8B D6 8B 45 0C 8B 08 FF 51 24 8D 55 B4 8B 08 FF 51 28 8B 55 B4 8B 45 EC 8B 4D DC 8D 04 88 E8 ?? ?? ?? ?? EB 1C 8D 55 B0 8B 45 D8 E8 ?? ?? ?? ?? 8B 55 B0 8B 45 EC 8B 4D DC 8D 04 88 E8 ?? ?? ?? ?? FF 45 DC 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 0D FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 45 AC 50 8B 4D EC 8B 55 F4 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 AC 8D 45 F4 E8 ?? ?? ?? ?? 8D 4D FC 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B3 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_11996_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.ErrorTypeNameNotFound"
		size = 306
		refs = "0025 TDBXBaseMetaDataWriter.ErrorTypeNameNotFound 00b7 STypeNotFound 00bc LoadResString 00ca Format 00d5 @WStrFromUStr 00df _Dn_TDBXMetaDataError 00e4 TDBXMetaDataError.Create 0100 @UStrArrayClr 0108 @UStrClr 0110 @WStrClr 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 C9 89 4D EC 89 4D E8 89 4D CC 89 4D C8 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 08 8B 08 FF 51 10 BA 03 00 00 00 8B C6 8B 08 FF 51 24 8D 4D F8 33 D2 8B 38 FF 97 D0 00 00 00 BA 0C 00 00 00 8B C6 8B 08 FF 51 24 8B 10 FF 52 20 89 45 F4 BA 10 00 00 00 8B C6 8B 08 FF 51 24 8B 10 FF 52 68 88 45 F3 8D 45 E8 50 8B 45 FC 89 45 D0 C6 45 D4 11 8B 45 F8 89 45 D8 C6 45 DC 11 8D 45 CC 50 0F B6 4D F3 8B 55 F4 8B 43 04 8B 18 FF 13 8B 45 CC 89 45 E0 C6 45 E4 11 8D 45 D0 50 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 B9 02 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_11997_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.FindDataType"
		size = 252
		refs = "001c TDBXBaseMetaDataWriter.FindDataType 002c @UStrLAsg 0053 TDBXBaseMetaDataWriter.ErrorTypeNameNotFound 0058 @RaiseExcept 0060 TDBXBaseMetaDataReader.GetDataTypeHash 006c TDBXObjectStore.GetObjectFromName 007c STypeNameNotFound 0081 LoadResString 009a Format 00a5 @WStrFromUStr 00af _Dn_TDBXMetaDataError 00b4 TDBXMetaDataError.Create 00d5 @UStrArrayClr 00dd @WStrClr 00e5 @UStrClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 83 7D FC 00 75 12 6A 01 8D 45 FC 50 8B 4D 08 8B D6 8B C3 8B 38 FF 57 74 83 7D FC 00 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 85 C0 75 49 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_11998_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.FindTypeName"
		size = 340
		refs = "002d TDBXBaseMetaDataWriter.FindTypeName 0149 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 BA 0C 00 00 00 8B 45 FC 8B 08 FF 51 24 8B 10 FF 52 20 83 F8 24 0F 87 1B 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 05 06 07 02 02 04 03 06 05 00 02 02 00 06 00 00 02 02 00 00 00 00 05 00 01 04 02 02 08 00 00 00 00 00 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 50 0F B6 4D 0C 8B 55 FC 8B C3 8B 18 FF 93 80 00 00 00 E9 B2 00 00 00 0F B6 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 8B 18 FF 93 84 00 00 00 E9 94 00 00 00 8B 45 08 50 0F B6 4D 0C 8B 55 FC 8B C3 8B 18 FF 93 88 00 00 00 EB 7D 0F B6 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 8B 18 FF 93 8C 00 00 00 EB 62 8B 45 08 50 0F B6 4D 0C 8B 55 FC 8B C3 8B 18 FF 93 90 00 00 00 EB 4B 8B 45 08 50 0F B6 4D 0C 8B 55 FC 8B C3 8B 18 FF 93 80 00 00 00 EB 34 0F B6 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 8B 18 FF 53 7C EB 1C 8B 45 08 50 0F B6 4D 0C 8B 55 FC 8B C3 8B 18 FF 53 78 EB 08 8B 45 08 E8 ?? ?? ?? ?? 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_11999_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.FindSimpleColumnTypeMatch"
		size = 465
		refs = "002d TDBXBaseMetaDataWriter.FindSimpleColumnTypeMatch 0057 @UStrClr 0062 TDBXBaseMetaDataReader.GetDataTypes 006d TDBXArrayList.GetCount 0087 TDBXArrayList.GetValue 00a0 TDBXDataTypeDescription.IsBestMatch 00b8 @UStrLAsg 00d2 @UStrAsg 0153 STypeNotFound 0158 LoadResString 0166 Format 0171 @WStrFromUStr 017b _Dn_TDBXMetaDataError 0180 TDBXMetaDataError.Create 0185 @RaiseExcept 019f @UStrArrayClr 01af @WStrClr 01c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 DB 89 5D D4 89 5D D0 89 5D B4 89 5D B0 89 5D FC 89 5D F8 89 5D F4 88 4D EB 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 0C 00 00 00 8B 45 EC 8B 08 FF 51 24 8B 10 FF 52 20 89 45 E4 C7 45 E0 FF FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 4A 47 C7 45 D8 00 00 00 00 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 8B D8 33 F6 8B 43 08 3B 45 E4 75 25 81 C6 E8 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 01 46 3B 75 E0 7E 0E 89 75 E0 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? FF 45 D8 4F 75 BE 81 7D E0 E8 03 00 00 7C 10 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? E9 AE 00 00 00 80 7D EB 00 75 0D 8B 45 08 E8 ?? ?? ?? ?? E9 9B 00 00 00 8D 55 F8 8B 45 F0 8B 40 08 8B 08 FF 51 10 BA 03 00 00 00 8B 45 EC 8B 08 FF 51 24 8D 4D F4 33 D2 8B 18 FF 93 D0 00 00 00 8D 45 D0 50 8B 45 F8 89 45 B8 C6 45 BC 11 8B 45 F4 89 45 C0 C6 45 C4 11 8D 45 B4 50 8B 45 F0 8B 40 04 33 C9 8B 55 E4 8B 18 FF 13 8B 45 B4 89 45 C8 C6 45 CC 11 8D 45 B8 50 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 B9 02 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12000_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.FindBooleanTypeName"
		size = 501
		refs = "002c TDBXBaseMetaDataWriter.FindBooleanTypeName 0041 @UStrClr 004c TDBXBaseMetaDataReader.GetDataTypes 0057 TDBXArrayList.GetCount 0072 TDBXArrayList.GetValue 0094 @UStrAsg 00d3 @UStrLAsg 0178 STypeNotFound 017d LoadResString 018b Format 0196 @WStrFromUStr 01a0 _Dn_TDBXMetaDataError 01a5 TDBXMetaDataError.Create 01aa @RaiseExcept 01c4 @UStrArrayClr 01d4 @WStrClr 01e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 33 DB 89 5D D4 89 5D D0 89 5D B4 89 5D B0 89 5D FC 89 5D F8 89 5D F4 89 4D E8 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 E4 FF FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 E8 ?? ?? ?? ?? 48 85 C0 7C 7F 40 89 45 D8 C7 45 DC 00 00 00 00 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 8B F0 8B 46 08 83 CB FF 48 74 1C 83 E8 03 74 07 83 E8 16 74 19 EB 1C 8B 45 08 8B 56 04 E8 ?? ?? ?? ?? E9 11 01 00 00 BB C8 00 00 00 EB 05 BB 64 00 00 00 85 DB 7E 17 BA 0D 00 00 00 8B 45 EC 8B 08 FF 51 24 8B 10 FF 52 68 84 C0 74 01 43 3B 5D E4 7E 0E 89 5D E4 8D 45 FC 8B 56 04 E8 ?? ?? ?? ?? FF 45 DC FF 4D D8 75 8C 83 7D E4 00 7E 19 8B 45 E8 C7 00 01 00 00 00 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? E9 B0 00 00 00 80 7D 0C 00 75 0D 8B 45 08 E8 ?? ?? ?? ?? E9 9D 00 00 00 8D 55 F8 8B 45 F0 8B 40 08 8B 08 FF 51 10 BA 03 00 00 00 8B 45 EC 8B 08 FF 51 24 8D 4D F4 33 D2 8B 18 FF 93 D0 00 00 00 8D 45 D0 50 8B 45 F8 89 45 B8 C6 45 BC 11 8B 45 F4 89 45 C0 C6 45 C4 11 8D 45 B4 50 8B 45 F0 8B 40 04 33 C9 BA 04 00 00 00 8B 18 FF 13 8B 45 B4 89 45 C8 C6 45 CC 11 8D 45 B8 50 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 B9 02 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12001_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.FindStringOrBinaryTypeName"
		size = 1788
		refs = "0024 TDBXBaseMetaDataWriter.FindStringOrBinaryTypeName 012e @UStrClr 014b TDBXBaseMetaDataReader.GetDataTypes 0156 TDBXArrayList.GetCount 0174 TDBXArrayList.GetValue 01c8 TDBXDataTypeDescription.IsStringOptionSupported 01f1 TDBXDataTypeDescription.IsUnicode 01fc TDBXDataTypeDescription.IsUnicodeOptionSupported 0213 TDBXDataTypeDescription.IsLong 021e TDBXDataTypeDescription.IsLongOptionSupported 024c TDBXDataTypeDescription.IsFixedLength 02aa TDBXDataTypeDescription.IsBestMatch 02d9 @UStrLAsg 030d @UStrAsg 0394 STypeNotFound 0399 LoadResString 03a7 Format 03b2 @WStrFromUStr 03bc _Dn_TDBXMetaDataError 03c1 TDBXMetaDataError.Create 03c6 @RaiseExcept 0425 IntToStr 0465 SCannotHoldWantedPrecision 04b7 SCannotHoldUnicodeChars 056e SNoBlobTypeFound 0659 @UStrArrayClr 0664 @WStrClr 06ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 1A 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 88 4D EB 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 0C 00 00 00 8B 45 EC 8B 08 FF 51 24 8B 10 FF 52 20 89 45 E4 83 7D E4 01 74 0A 83 7D E4 1A 74 04 33 C0 EB 02 B0 01 88 45 E3 BA 0E 00 00 00 8B 45 EC 8B 08 FF 51 24 33 D2 8B 08 FF 91 D4 00 00 00 88 45 E2 BA 0E 00 00 00 8B 45 EC 8B 08 FF 51 24 B2 01 8B 08 FF 91 D4 00 00 00 34 01 88 45 E1 BA 0F 00 00 00 8B 45 EC 8B 08 FF 51 24 33 D2 8B 08 FF 91 D4 00 00 00 88 45 E0 BA 0F 00 00 00 8B 45 EC 8B 08 FF 51 24 B2 01 8B 08 FF 91 D4 00 00 00 34 01 88 45 DF BA 0D 00 00 00 8B 45 EC 8B 08 FF 51 24 33 D2 8B 08 FF 91 D4 00 00 00 88 45 DE BA 0D 00 00 00 8B 45 EC 8B 08 FF 51 24 B2 01 8B 08 FF 91 D4 00 00 00 34 01 88 45 DD BA 05 00 00 00 8B 45 EC 8B 08 FF 51 24 83 CA FF 8B 08 FF 91 E8 00 00 00 89 45 D8 80 7D E3 00 75 08 C6 45 E2 00 C6 45 E1 00 C7 45 D4 FF FF FF FF 8D 45 FC E8 ?? ?? ?? ?? C7 45 C8 FF FF FF FF C7 45 CC FF FF FF FF C6 45 C7 00 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 89 45 C0 8B 45 C0 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 98 01 00 00 46 C7 45 BC 00 00 00 00 8B 55 BC 8B 45 C0 E8 ?? ?? ?? ?? 8B D8 8B 43 08 83 F8 01 74 09 83 F8 1A 74 04 33 D2 EB 02 B2 01 88 55 BB 83 F8 09 7F 0F 74 1B 48 74 18 83 E8 02 74 13 E9 4F 01 00 00 83 E8 0F 74 09 83 E8 0B 0F 85 41 01 00 00 0F B6 45 E3 3A 45 BB 74 19 80 7D E3 00 0F 84 2E 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 1F 01 00 00 33 FF 8B 45 D8 99 3B 53 14 75 07 3B 43 10 77 0A EB 02 7F 06 81 C7 E8 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 E8 ?? ?? ?? ?? 84 C0 75 06 80 7D E2 00 75 06 81 C7 E8 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 E8 ?? ?? ?? ?? 84 C0 75 06 80 7D E0 00 75 06 81 C7 E8 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 80 7D DF 00 75 06 81 C7 E8 03 00 00 8B C3 E8 ?? ?? ?? ?? 22 45 DE 74 03 83 C7 64 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 80 7D E1 00 75 03 83 C7 64 8B C3 E8 ?? ?? ?? ?? 34 01 22 45 DD 74 03 83 C7 64 8B C3 E8 ?? ?? ?? ?? 84 C0 75 03 83 C7 10 8B C3 E8 ?? ?? ?? ?? 84 C0 74 03 83 C7 08 8B C3 E8 ?? ?? ?? ?? 84 C0 75 03 83 C7 04 8B C3 E8 ?? ?? ?? ?? 84 C0 74 03 83 C7 02 8B 43 10 8B 53 14 3B 55 CC 75 07 3B 45 C8 73 05 EB 02 7D 01 47 3B 7D D4 7E 24 89 7D D4 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? 8B 43 10 89 45 C8 8B 43 14 89 45 CC 8B C3 E8 ?? ?? ?? ?? 88 45 C7 FF 45 BC 4E 0F 85 70 FE FF FF 81 7D D4 A0 0F 00 00 7C 10 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? E9 2A 03 00 00 80 7D EB 00 75 0D 8B 45 08 E8 ?? ?? ?? ?? E9 17 03 00 00 8D 55 F8 8B 45 F0 8B 40 08 8B 08 FF 51 10 BA 03 00 00 00 8B 45 EC 8B 08 FF 51 24 8D 4D F4 33 D2 8B 18 FF 93 D0 00 00 00 83 7D D4 00 7D 73 8D 45 B0 50 8B 45 F8 89 45 98 C6 45 9C 11 8B 45 F4 89 45 A0 C6 45 A4 11 8D 45 94 50 8B 45 F0 8B 40 04 33 C9 8B 55 E4 8B 18 FF 13 8B 45 94 89 45 A8 C6 45 AC 11 8D 45 98 50 8D 55 90 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 90 B9 02 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 B0 8D 45 B4 E8 ?? ?? ?? ?? 8B 4D B4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 99 3B 55 CC 75 0B 3B 45 C8 0F 86 C2 00 00 00 EB 06 0F 8E BA 00 00 00 8D 45 88 50 8B 45 F8 89 85 60 FF FF FF C6 85 64 FF FF FF 11 8B 45 F4 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8B 45 FC 89 85 70 FF FF FF C6 85 74 FF FF FF 11 FF 75 CC FF 75 C8 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8D 95 58 FF FF FF 8B 45 D8 E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 89 45 80 C6 45 84 11 8D 85 60 FF FF FF 50 8D 95 54 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 54 FF FF FF B9 04 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 88 8D 45 8C E8 ?? ?? ?? ?? 8B 4D 8C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 C7 34 01 22 45 E2 74 72 8D 85 4C FF FF FF 50 8D 95 48 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 50 8B 45 F8 89 45 98 C6 45 9C 11 8B 45 F4 89 45 A0 C6 45 A4 11 8B 45 FC 89 45 A8 C6 45 AC 11 8D 55 98 B9 02 00 00 00 58 E8 ?? ?? ?? ?? 8B 95 4C FF FF FF 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8B 8D 50 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D E0 00 0F 84 90 00 00 00 8D 85 40 FF FF FF 50 8B 45 F8 89 45 98 C6 45 9C 11 8B 45 F4 89 45 A0 C6 45 A4 11 8D 85 3C FF FF FF 50 8B 45 F0 8B 40 04 33 C9 8B 55 E4 8B 18 FF 13 8B 85 3C FF FF FF 89 45 A8 C6 45 AC 11 8D 45 98 50 8D 95 38 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 38 FF FF FF B9 02 00 00 00 5A E8 ?? ?? ?? ?? 8B 95 40 FF FF FF 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 8B 8D 44 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8B 00 00 00 8D 85 30 FF FF FF 50 8B 45 F8 89 45 98 C6 45 9C 11 8B 45 F4 89 45 A0 C6 45 A4 11 8D 85 2C FF FF FF 50 8B 45 F0 8B 40 04 33 C9 8B 55 E4 8B 18 FF 13 8B 85 2C FF FF FF 89 45 A8 C6 45 AC 11 8D 45 98 50 8D 95 28 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 28 FF FF FF B9 02 00 00 00 5A E8 ?? ?? ?? ?? 8B 95 30 FF FF FF 8D 85 34 FF FF FF E8 ?? ?? ?? ?? 8B 8D 34 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 28 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 34 FF FF FF E8 ?? ?? ?? ?? 8D 85 38 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 8D 85 48 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 85 54 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 5A FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12002_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.CalcPrecisionColumnType"
		size = 58
	strings:
		$1 = { 84 C9 75 03 8B C2 C3 8B C2 83 E8 05 74 14 48 74 18 83 E8 0C 74 1A 83 E8 0A 75 1C B8 1D 00 00 00 EB 17 B8 0C 00 00 00 EB 10 B8 0D 00 00 00 EB 09 B8 13 00 00 00 EB 02 8B C2 C3 }
	condition:
		$1
}

rule function_12003_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.CalcDecimalPrecision"
		size = 104
		refs = "000b TDBXBaseMetaDataWriter.CalcDecimalPrecision"
	strings:
		$1 = { 83 C2 FB 83 FA 18 77 5D 0F B6 92 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 02 03 00 00 00 00 00 02 03 00 00 00 00 04 05 00 00 00 00 00 00 00 00 01 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B8 03 00 00 00 C3 B8 05 00 00 00 C3 B8 0A 00 00 00 C3 B8 13 00 00 00 C3 B8 14 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_12004_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.CalcBinaryPrecision"
		size = 134
		refs = "000b TDBXBaseMetaDataWriter.CalcBinaryPrecision"
	strings:
		$1 = { 83 C2 FB 83 FA 18 77 7B 0F B6 92 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 03 05 00 00 00 00 00 04 06 00 00 00 00 07 08 00 00 00 00 00 00 00 00 01 02 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B8 07 00 00 00 C3 B8 08 00 00 00 C3 B8 0F 00 00 00 C3 B8 10 00 00 00 C3 B8 1F 00 00 00 C3 B8 20 00 00 00 C3 B8 3F 00 00 00 C3 B8 40 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_12005_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.IsSignedInteger"
		size = 24
	strings:
		$1 = { 83 C2 FB 83 EA 02 72 0A 83 EA 0B 74 05 83 EA 0A 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_12006_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.FindIntegerTypeName"
		size = 1045
		refs = "0024 TDBXBaseMetaDataWriter.FindIntegerTypeName 0048 TDBXBaseMetaDataWriter.CalcBinaryPrecision 0055 TDBXBaseMetaDataWriter.CalcDecimalPrecision 0062 TDBXBaseMetaDataWriter.IsSignedInteger 0093 @UStrClr 00a6 TDBXBaseMetaDataReader.GetDataTypes 00b1 TDBXArrayList.GetCount 00d0 TDBXArrayList.GetValue 012c TDBXDataTypeDescription.IsUnsignedOptionSupported 0138 TDBXBaseMetaDataWriter.CalcPrecisionColumnType 017c TDBXDataTypeDescription.IsAutoIncrementable 0193 TDBXDataTypeDescription.IsUnsigned 01aa TDBXDataTypeDescription.IsBestMatch 01c7 @UStrLAsg 0219 @UStrAsg 026a TDBXBaseMetaDataWriter.ErrorTypeNameNotFound 026f @RaiseExcept 0286 SCannotBeUsedForAutoIncrement 028b LoadResString 02bb Format 02c6 @WStrFromUStr 02d0 _Dn_TDBXMetaDataError 02d5 TDBXMetaDataError.Create 02f1 SNoSignedTypeFound 0353 SNoTypeWithEnoughPrecision 03c1 @UStrArrayClr 03c9 @WStrClr 0406 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0F 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E8 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 0C 00 00 00 8B 45 EC 8B 08 FF 51 24 8B 10 FF 52 20 8B D8 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E4 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E0 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 88 45 DF BA 0A 00 00 00 8B 45 EC 8B 08 FF 51 24 33 D2 8B 08 FF 91 D4 00 00 00 88 45 DE C7 45 D8 FF FF FF FF 33 C0 89 45 D4 8D 45 FC E8 ?? ?? ?? ?? C6 45 D3 00 C6 45 D2 00 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 89 45 CC 8B 45 CC E8 ?? ?? ?? ?? 48 85 C0 0F 8C 2F 01 00 00 40 89 45 BC C7 45 C4 00 00 00 00 8B 55 C4 8B 45 CC E8 ?? ?? ?? ?? 8B D8 8B 73 08 8B C6 83 C0 FB 83 F8 18 0F 87 FA 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 01 00 01 00 00 00 01 01 00 00 00 00 01 01 00 00 00 00 00 00 00 00 01 01 ?? ?? ?? ?? ?? ?? ?? ?? 33 FF 83 FE 08 75 0C C7 45 C8 80 00 00 00 8B 43 10 EB 2F 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 89 45 C0 8B 55 C0 8B 45 F0 E8 ?? ?? ?? ?? 89 45 C8 8B 55 C0 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 C8 3B 55 E4 7C 0E 81 C7 68 04 00 00 8B 55 C8 2B 55 E4 2B FA 3B 45 E0 7C 06 81 C7 E8 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 06 80 7D DE 00 75 06 81 C7 E8 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 80 7D DF 00 75 06 81 C7 E8 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 03 83 C7 64 3B 7D D8 7E 27 89 7D D8 89 75 D4 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 88 45 D3 8B C3 E8 ?? ?? ?? ?? 34 01 88 45 D2 FF 45 C4 FF 4D BC 0F 85 DC FE FF FF 81 7D D8 A0 0F 00 00 7C 2C 83 7D D4 08 75 16 83 7D E8 00 74 10 8B 45 E8 8B 55 E0 89 10 8B 45 E8 33 D2 89 50 04 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? E9 89 01 00 00 80 7D 0C 00 75 0D 8B 45 08 E8 ?? ?? ?? ?? E9 76 01 00 00 8D 55 F8 8B 45 F0 8B 40 08 8B 08 FF 51 10 BA 03 00 00 00 8B 45 EC 8B 08 FF 51 24 8D 4D F4 33 D2 8B 18 FF 93 D0 00 00 00 83 7D D8 00 7D 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 D3 34 01 22 45 DE 74 60 8D 45 B4 50 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 50 8B 45 F8 89 45 98 C6 45 9C 11 8B 45 F4 89 45 A0 C6 45 A4 11 8B 45 FC 89 45 A8 C6 45 AC 11 8D 55 98 B9 02 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 B4 8D 45 B8 E8 ?? ?? ?? ?? 8B 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 D2 34 01 22 45 DF 74 62 8D 45 90 50 8D 55 8C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 8C 50 8B 45 F8 89 45 98 C6 45 9C 11 8B 45 F4 89 45 A0 C6 45 A4 11 8B 45 FC 89 45 A8 C6 45 AC 11 8D 55 98 B9 02 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 90 8D 45 94 E8 ?? ?? ?? ?? 8B 4D 94 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 60 8D 45 84 50 8D 55 80 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 80 50 8B 45 F8 89 45 98 C6 45 9C 11 8B 45 F4 89 45 A0 C6 45 A4 11 8B 45 FC 89 45 A8 C6 45 AC 11 8D 55 98 B9 02 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 84 8D 45 88 E8 ?? ?? ?? ?? 8B 4D 88 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 80 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 B0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AC 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12007_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.FindDecimalTypeName"
		size = 1062
		refs = "0024 TDBXBaseMetaDataWriter.FindDecimalTypeName 0089 @UStrClr 00a9 TDBXBaseMetaDataReader.GetDataTypes 00b4 TDBXArrayList.GetCount 00d2 TDBXArrayList.GetValue 00fb TDBXDataTypeDescription.GetMaximumScale 0110 TDBXDataTypeDescription.IsAutoIncrementable 0127 TDBXDataTypeDescription.IsBestMatch 013f @UStrLAsg 0176 @UStrAsg 01b9 TDBXBaseMetaDataWriter.ErrorTypeNameNotFound 01be @RaiseExcept 0216 IntToStr 0241 SCannotHoldWantedPrecision 0246 LoadResString 0254 Format 025f @WStrFromUStr 0269 _Dn_TDBXMetaDataError 026e TDBXMetaDataError.Create 02e6 SCannotHoldWantedScale 0332 SCannotBeUsedForAutoIncrement 03c4 @UStrArrayClr 03cf @WStrClr 0417 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 15 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 88 4D EB 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 05 00 00 00 8B 45 EC 8B 08 FF 51 24 83 CA FF 8B 08 FF 91 E8 00 00 00 89 45 E4 BA 06 00 00 00 8B 45 EC 8B 08 FF 51 24 83 CA FF 8B 08 FF 91 E8 00 00 00 89 45 E0 BA 0A 00 00 00 8B 45 EC 8B 08 FF 51 24 33 D2 8B 08 FF 91 D4 00 00 00 88 45 DF C7 45 D8 FF FF FF FF 8D 45 FC E8 ?? ?? ?? ?? C7 45 D0 FF FF FF FF C7 45 D4 FF FF FF FF C7 45 CC FF FF FF FF 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 89 45 C8 8B 45 C8 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C A3 00 00 00 47 C7 45 C4 00 00 00 00 8B 55 C4 8B 45 C8 E8 ?? ?? ?? ?? 8B D8 83 7B 08 08 75 7E 33 F6 8B 45 E4 99 3B 53 14 75 07 3B 43 10 77 0A EB 02 7F 06 81 C6 EC 03 00 00 8B C3 E8 ?? ?? ?? ?? 0F BF C0 3B 45 E0 7C 06 81 C6 EA 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 06 80 7D DF 00 75 06 81 C6 E8 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 01 46 3B 75 D8 7E 27 89 75 D8 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? 8B 43 10 89 45 D0 8B 43 14 89 45 D4 8B C3 E8 ?? ?? ?? ?? 0F BF C0 89 45 CC FF 45 C4 4F 0F 85 65 FF FF FF 81 7D D8 B8 0B 00 00 7C 10 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? E9 2C 02 00 00 80 7D EB 00 75 0D 8B 45 08 E8 ?? ?? ?? ?? E9 19 02 00 00 BA 03 00 00 00 8B 45 EC 8B 08 FF 51 24 8D 4D F8 33 D2 8B 18 FF 93 D0 00 00 00 83 7D D8 00 7D 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F0 8B 40 08 8B 08 FF 51 10 8B 45 E4 99 3B 55 D4 75 0B 3B 45 D0 0F 86 95 00 00 00 EB 06 0F 8E 8D 00 00 00 8D 45 BC 50 8B 45 F4 89 45 94 C6 45 98 11 8B 45 F8 89 45 9C C6 45 A0 11 8B 45 FC 89 45 A4 C6 45 A8 11 FF 75 D4 FF 75 D0 8D 45 90 E8 ?? ?? ?? ?? 8B 45 90 89 45 AC C6 45 B0 11 8D 55 8C 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 8C 89 45 B4 C6 45 B8 11 8D 45 94 50 8D 55 88 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 88 B9 04 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 BC 8D 45 C0 E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 3B 45 E0 0F 8D A1 00 00 00 8D 45 80 50 8B 45 F4 89 45 94 C6 45 98 11 8B 45 F8 89 45 9C C6 45 A0 11 8B 45 FC 89 45 A4 C6 45 A8 11 8D 95 7C FF FF FF 8B 45 CC E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 89 45 AC C6 45 B0 11 8D 95 78 FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 B4 C6 45 B8 11 8D 45 94 50 8D 95 74 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 74 FF FF FF B9 04 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 80 8D 45 84 E8 ?? ?? ?? ?? 8B 4D 84 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 87 00 00 00 8D 85 6C FF FF FF 50 8D 95 68 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 50 8B 45 F4 89 85 50 FF FF FF C6 85 54 FF FF FF 11 8B 45 FC 89 85 58 FF FF FF C6 85 5C FF FF FF 11 8B 45 F8 89 85 60 FF FF FF C6 85 64 FF FF FF 11 8D 95 50 FF FF FF B9 02 00 00 00 58 E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8B 8D 70 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 68 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 88 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9B 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12008_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.GetDefaultFloatPrecision"
		size = 25
	strings:
		$1 = { 83 EA 07 74 0B 83 EA 14 75 0C B8 18 00 00 00 C3 B8 35 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_12009_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.FindFloatTypeName"
		size = 723
		refs = "0030 TDBXBaseMetaDataWriter.FindFloatTypeName 0056 TDBXBaseMetaDataWriter.GetDefaultFloatPrecision 0068 @UStrClr 0085 TDBXBaseMetaDataReader.GetDataTypes 0090 TDBXArrayList.GetCount 00a8 TDBXArrayList.GetValue 010f TDBXDataTypeDescription.IsBestMatch 012f @UStrLAsg 019f @UStrAsg 01f0 TDBXBaseMetaDataWriter.ErrorTypeNameNotFound 01f5 @RaiseExcept 022a IntToStr 0255 SCannotHoldWantedPrecision 025a LoadResString 0268 Format 0273 @WStrFromUStr 027d _Dn_TDBXMetaDataError 0282 TDBXMetaDataError.Create 02a1 @UStrArrayClr 02b1 @WStrClr 02c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 84 53 56 57 33 DB 89 5D BC 89 5D B8 89 5D 8C 89 5D 88 89 5D 84 89 5D FC 89 5D F8 89 5D F4 89 4D E8 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 0C 00 00 00 8B 45 EC 8B 08 FF 51 24 8B 10 FF 52 20 89 45 E4 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E0 C7 45 DC FF FF FF FF 8D 45 FC E8 ?? ?? ?? ?? C7 45 D0 FF FF FF FF C7 45 D4 FF FF FF FF C6 45 CF 00 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 89 45 C8 8B 45 C8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C AF 00 00 00 46 33 FF 8B D7 8B 45 C8 E8 ?? ?? ?? ?? 8B D8 8B 43 08 8B D0 83 EA 07 74 09 83 EA 14 0F 85 85 00 00 00 33 D2 89 55 C4 8B 53 28 85 D2 74 05 83 EA 04 8B 12 85 D2 0F 9F 45 C3 80 7D C3 00 74 1B 8B 45 E0 99 3B 53 14 75 07 3B 43 10 77 20 EB 02 7F 1C 81 45 C4 E8 03 00 00 EB 13 3B 45 E4 75 0E 8B 45 C4 05 E8 03 00 00 83 C0 02 89 45 C4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 03 FF 45 C4 8B 45 C4 3B 45 DC 7E 24 8B 45 C4 89 45 DC 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? 8B 43 10 89 45 D0 8B 43 14 89 45 D4 0F B6 45 C3 88 45 CF 47 4E 0F 85 54 FF FF FF 81 7D DC E8 03 00 00 7C 51 80 7D CF 00 74 3B BA 05 00 00 00 8B 45 EC 8B 08 FF 51 24 8B 10 FF 52 58 84 C0 75 17 BA 05 00 00 00 8B 45 EC 8B 08 FF 51 24 8B 10 FF 52 20 3B 45 E0 7D 0E 83 7D E8 00 74 08 8B 45 E8 8B 55 E0 89 10 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? E9 E3 00 00 00 80 7D 0C 00 75 0D 8B 45 08 E8 ?? ?? ?? ?? E9 D0 00 00 00 BA 03 00 00 00 8B 45 EC 8B 08 FF 51 24 8D 4D F8 33 D2 8B 18 FF 93 D0 00 00 00 8D 55 F4 8B 45 F0 8B 40 08 8B 08 FF 51 10 83 7D DC 00 7D 15 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8D 00 00 00 8D 45 B8 50 8B 45 F4 89 45 90 C6 45 94 11 8B 45 F8 89 45 98 C6 45 9C 11 8B 45 FC 89 45 A0 C6 45 A4 11 FF 75 D4 FF 75 D0 8D 45 8C E8 ?? ?? ?? ?? 8B 45 8C 89 45 A8 C6 45 AC 11 8D 55 88 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 88 89 45 B0 C6 45 B4 11 8D 45 90 50 8D 55 84 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 84 B9 04 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 B8 8D 45 BC E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 84 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12010_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.FindDateTimeTypeName"
		size = 308
		refs = "001b TDBXBaseMetaDataWriter.FindDateTimeTypeName 0045 @UStrClr 0050 TDBXBaseMetaDataReader.GetDataTypes 005b TDBXArrayList.GetCount 006f TDBXArrayList.GetValue 00b0 TDBXDataTypeDescription.IsBestMatch 00d0 @UStrLAsg 00e8 @UStrAsg 0105 TDBXBaseMetaDataWriter.ErrorTypeNameNotFound 010a @RaiseExcept 0125 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 88 4D F3 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 0C 00 00 00 8B 45 F4 8B 08 FF 51 24 8B 10 FF 52 20 89 45 EC C7 45 E8 FF FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 72 46 33 FF 8B D7 8B 45 E4 E8 ?? ?? ?? ?? 8B D8 8B 43 08 8B D0 83 EA 02 74 0F 83 EA 08 74 0A 83 EA 0E 74 05 83 EA 0C 75 46 33 D2 89 55 E0 3B 45 EC 75 09 C7 45 E0 4C 04 00 00 EB 0C 83 F8 18 75 07 C7 45 E0 E8 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 03 FF 45 E0 8B 45 E0 3B 45 E8 7E 11 8B 45 E0 89 45 E8 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? 47 4E 75 91 81 7D E8 E8 03 00 00 7C 0D 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? EB 20 80 7D F3 00 75 0A 8B 45 08 E8 ?? ?? ?? ?? EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12011_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.AddToExternalStatements"
		size = 108
		refs = "000e TDBXBaseMetaDataWriter.AddToExternalStatements 0021 _Dn_TDBXStringBuffer 0026 TDBXStringBuffer.Create 0037 TDBXStringBuffer.Substring 0041 TDBXStringBuffer.Append 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DA 85 DB 75 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 7D 08 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12012_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.IsValidSqlIdentifier"
		size = 187
		refs = "004f TDBXBaseMetaDataWriter.IsLetter 009c TDBXBaseMetaDataWriter.IsDigit"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F0 8B 46 08 8B 10 FF 52 28 88 44 24 04 8B 46 08 8B 10 FF 52 24 88 44 24 05 8B 1C 24 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 75 04 B0 01 EB 1B 0F B6 44 24 05 50 8B 44 24 04 0F B7 10 0F B6 4C 24 08 8B C6 E8 ?? ?? ?? ?? 34 01 84 C0 74 04 33 C0 EB 57 8B C3 85 C0 74 05 83 E8 04 8B 00 8B F8 4F 85 FF 7E 43 BD 01 00 00 00 8D 45 01 8B 14 24 0F B7 5C 42 FE 0F B6 44 24 05 50 0F B6 4C 24 08 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 17 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0A 66 83 FB 5F 74 04 33 C0 EB 06 45 4F 75 C2 B0 01 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12013_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.IsReservedWord"
		size = 54
	strings:
		$1 = { 53 56 57 8B FA 8B D8 83 7B 0C 00 75 19 8B 73 08 8B C6 8B 10 FF 92 B8 00 00 00 8B D0 8B C6 8B 08 FF 51 60 89 43 0C 8B CF 33 D2 8B 43 0C 8B 18 FF 53 6C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12014_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.IsLetter"
		size = 43
	strings:
		$1 = { 55 8B EC 66 83 FA 41 72 0A 66 83 FA 5A 77 04 8B C1 EB 14 66 83 FA 61 72 0C 66 83 FA 7A 77 06 0F B6 45 08 EB 02 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_12015_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.IsDigit"
		size = 18
	strings:
		$1 = { 66 83 FA 30 72 06 66 83 FA 39 76 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_12016_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlTableReplacement"
		size = 648
		refs = "0022 TDBXBaseMetaDataWriter.MakeSqlTableReplacement 0106 @UStrCat3 0115 C_Conditional 0121 TDBXStringBuffer.Append 0135 TDBXBaseMetaDataWriter.CreateTempOutputTable 0155 TDBXBaseMetaDataWriter.InsertValuesFromOldTable 016e TDBXBaseMetaDataWriter.MakeSqlDropTable 01ad TDBXBaseMetaDataWriter.MakeSqlTableRename 01bc TDBXBaseMetaDataWriter.CopyTable 01c9 TDBXBaseMetaDataWriter.CopyColumns 023e @UStrArrayClr 0251 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 8B F2 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 3C 89 45 E8 33 D2 8B 45 E8 8B 08 FF 51 24 50 33 D2 8B C3 8B 08 FF 51 24 5A 8B 08 FF 91 F0 00 00 00 84 C0 74 52 BA 01 00 00 00 8B 45 E8 8B 08 FF 51 24 50 BA 01 00 00 00 8B C3 8B 08 FF 51 24 5A 8B 08 FF 91 F0 00 00 00 84 C0 74 2B BA 02 00 00 00 8B 45 E8 8B 08 FF 51 24 50 BA 02 00 00 00 8B C3 8B 08 FF 51 24 5A 8B 08 FF 91 F0 00 00 00 84 C0 74 04 33 C0 EB 02 B0 01 88 45 E7 33 D2 8B C3 8B 08 FF 51 24 8D 4D FC 33 D2 8B 38 FF 97 D0 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 24 8D 4D F8 33 D2 8B 38 FF 97 D0 00 00 00 BA 02 00 00 00 8B C3 8B 08 FF 51 24 8D 4D F4 33 D2 8B 38 FF 97 D0 00 00 00 8D 45 F0 50 8D 45 E0 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 8B 55 F4 0F B6 45 E7 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 F0 50 8B CB 8B D6 8B 45 EC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 F0 50 8B CB 8B D6 8B 45 EC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 4D E8 8B D6 8B 45 EC E8 ?? ?? ?? ?? 80 7D E7 00 0F 85 AC 00 00 00 8D 55 DC 8B 45 EC 8B 08 FF 51 2C 8B 7D DC 89 7D D8 83 7D D8 00 0F 94 C0 84 C0 75 1B 8B 45 F8 50 8B 45 F0 50 8B 45 F4 50 8B 4D FC 8B D6 8B 45 EC E8 ?? ?? ?? ?? EB 75 8B 4D F0 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8B 55 08 8B 45 EC E8 ?? ?? ?? ?? 8B F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 57 8B 45 F4 50 8B CB 8B D6 8B 45 EC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 57 8B 45 F4 50 8B CB 8B D6 8B 45 EC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 3C 8B C8 8B D6 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 45 00 4D 00 50 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_12017_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.CopyColumns"
		size = 204
		refs = "0015 TDBXBaseMetaDataWriter.CopyColumns 0023 TDBXMetaDataCollectionColumns.CreateColumnsColumns 0062 TObject.Free 0078 TDBXValueTypeArray 007d @DynArrayClear 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B 43 04 8B 18 FF 53 08 8B D8 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 89 45 F8 8B 55 F8 8B C3 8B 08 FF 51 50 8B C3 8B 10 FF 52 70 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 72 00 64 00 69 00 6E 00 61 00 6C 00 00 00 }
	condition:
		$1
}

rule function_12018_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.CopyTable"
		size = 256
		refs = "001c TDBXBaseMetaDataWriter.CopyTable 002a TDBXMetaDataCollectionColumns.CreateTablesColumns 004b @DynArrayLength 0058 TDBXBaseMetaDataWriter.CopyRow 00c2 @UStrClr 00cb TDBXValueTypeArray 00d0 @DynArrayClear 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 89 5D F8 89 4D F0 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B 46 04 8B 18 FF 53 08 8B D8 8B C3 8B 10 FF 52 58 8B 45 FC E8 ?? ?? ?? ?? 50 8B CB 8B 55 F4 8B C6 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C3 8B 08 FF 51 24 8D 4D F8 33 D2 8B 30 FF 96 D0 00 00 00 BA 02 00 00 00 8B C3 8B 08 FF 51 24 8B 55 F0 8B 08 FF 91 24 01 00 00 8B C3 8B 10 FF 52 5C 8B C3 8B 10 FF 52 70 BA 02 00 00 00 8B C3 8B 08 FF 51 24 8B 55 F8 8B 08 FF 91 24 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12019_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.ComputeColumnMap"
		size = 210
		refs = "0011 TDBXBaseMetaDataWriter.ComputeColumnMap 001e _Dn_TDBXProperties 0023 TDBXProperties.Create 0081 TDBXProperties.SetValue 00a2 TObject.Free 00be @UStrArrayClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 D2 8B C3 8B 08 FF 51 74 89 45 FC 8B 45 FC 8B 10 FF 52 4C EB 4E 8B 45 FC 8B 10 FF 52 3C 8B D8 85 DB 74 38 BA 03 00 00 00 8B 45 FC 8B 08 FF 51 24 8D 55 F8 8B 08 FF 51 28 8B 45 F8 50 BA 03 00 00 00 8B C3 8B 08 FF 51 24 8D 55 F4 8B 08 FF 51 28 8B 55 F4 8B C6 59 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 48 8B 45 FC 8B 10 FF 52 44 84 C0 75 A6 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12020_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.GetDefaults"
		size = 55
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 45 08 50 8B 4D F8 8B 55 FC 8B 73 08 8B C6 8B 38 FF 57 7C 8B D0 8B C6 8B 08 FF 51 60 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12021_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.GetIndexes"
		size = 58
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 45 08 50 8B 4D F8 8B 55 FC 8B 73 08 8B C6 8B 38 FF 97 80 00 00 00 8B D0 8B C6 8B 08 FF 51 60 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12022_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.GetIndexColumns"
		size = 60
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 45 08 50 6A 00 8B 4D F8 8B 55 FC 8B 73 08 8B C6 8B 38 FF 97 84 00 00 00 8B D0 8B C6 8B 08 FF 51 60 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12023_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.GetForeignKeyColumns"
		size = 137
		refs = "0073 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 45 08 50 6A 00 6A 00 6A 00 6A 00 6A 00 8B 4D F8 8B 55 FC 8B 73 08 8B C6 8B 38 FF 97 8C 00 00 00 8B D0 8B C6 8B 08 FF 51 60 8B F0 6A 00 6A 00 8B 45 FC 50 8B 45 F8 50 8B 45 08 50 6A 00 33 C9 33 D2 8B 43 08 8B 18 FF 93 8C 00 00 00 8B D8 8B D3 8B C6 8B 08 FF 51 50 8B C3 8B 10 FF 52 60 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 70 8B C6 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12024_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.RemoveForeignKeyGeneratedIndexes"
		size = 602
		refs = "0025 TDBXBaseMetaDataWriter.RemoveForeignKeyGeneratedIndexes 0051 _Dn_TStringList 0056 TStringList.Create 0085 TDBXBaseMetaDataWriter.Compare 00c1 @UStrCat 012d @UStrLAsg 0143 AnsiEndsText 0238 @UStrArrayClr 024b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 8B FA 89 45 E4 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 E4 8B 08 FF 51 38 83 7D FC 00 0F 84 DE 01 00 00 8B C7 8B 10 FF 52 3C 89 45 E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 8B C3 8B 10 FF 52 4C EB 62 8B 45 E0 50 6A 00 6A 03 33 C9 8B D3 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 43 BA 0A 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 20 48 75 2F BA 03 00 00 00 8B C3 8B 08 FF 51 24 8D 4D D4 33 D2 8B 38 FF 97 D0 00 00 00 8D 45 D4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 D4 8B 45 DC 8B 08 FF 51 38 8B C3 8B 10 FF 52 48 8B C3 8B 10 FF 52 44 84 C0 75 93 8B C6 8B 10 FF 52 4C E9 A0 00 00 00 BA 04 00 00 00 8B C6 8B 08 FF 51 24 8D 4D F8 33 D2 8B 18 FF 93 D0 00 00 00 83 7D F8 00 75 19 BA 03 00 00 00 8B C6 8B 08 FF 51 24 8D 4D F8 33 D2 8B 18 FF 93 D0 00 00 00 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 84 DB 74 3A 8B 55 F8 8B 45 DC 8B 08 FF 51 54 85 C0 7C 2B BA 03 00 00 00 8B C6 8B 08 FF 51 24 8D 4D D0 33 D2 8B 18 FF 93 D0 00 00 00 8B 55 D0 8B 45 D8 8B 08 FF 51 38 8B C6 8B 10 FF 52 68 8B C6 8B 10 FF 52 48 8B C6 8B 10 FF 52 44 84 C0 0F 85 51 FF FF FF 8B C6 8B 10 FF 52 70 8B 45 0C 8B 10 FF 52 4C EB 60 BA 03 00 00 00 8B 45 0C 8B 08 FF 51 24 8D 4D F8 33 D2 8B 18 FF 93 D0 00 00 00 8D 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 84 DB 74 17 8B 55 F8 8B 45 D8 8B 08 FF 51 54 85 C0 7C 08 8B 45 0C 8B 10 FF 52 68 8B 45 0C 8B 10 FF 52 48 8B 45 0C 8B 10 FF 52 44 84 C0 75 94 8B 45 0C 8B 10 FF 52 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12025_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.DropAllConstraints"
		size = 187
		refs = "002d TDBXBaseMetaDataWriter.MakeSqlDropConstraint"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 89 55 F8 89 45 FC 8B 5D 08 8B 75 0C 85 FF 74 28 8B C7 8B 10 FF 52 4C EB 14 8B CF 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 48 8B C7 8B 10 FF 52 44 84 C0 75 E1 8B C3 8B 10 FF 52 4C EB 30 BA 0A 00 00 00 8B C3 8B 08 FF 51 24 33 D2 8B 08 FF 91 E8 00 00 00 48 75 10 8B CB 8B 55 F8 8B 45 FC 8B 38 FF 97 B8 00 00 00 8B C3 8B 10 FF 52 48 8B C3 8B 10 FF 52 44 84 C0 75 C5 8B C6 8B 10 FF 52 4C EB 17 8B CE 8B 55 F8 8B 45 FC 8B 18 FF 93 A0 00 00 00 8B C6 8B 10 FF 52 48 8B C6 8B 10 FF 52 44 84 C0 75 DE 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_12026_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.CreateTempOutputTable"
		size = 276
		refs = "0019 TDBXBaseMetaDataWriter.CreateTempOutputTable 0027 TDBXMetaDataCollectionColumns.CreateTablesColumns 00c8 TObject.Free 00de TDBXValueTypeArray 00e3 @DynArrayClear 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B 46 04 8B 38 FF 57 08 89 45 F8 8B 45 F8 8B 10 FF 52 4C 8B 45 F8 8B 10 FF 52 58 33 D2 8B C3 8B 08 FF 51 24 50 33 D2 8B 45 F8 8B 08 FF 51 24 5A 8B 08 FF 91 C0 01 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 24 50 BA 01 00 00 00 8B 45 F8 8B 08 FF 51 24 5A 8B 08 FF 91 C0 01 00 00 BA 02 00 00 00 8B 45 F8 8B 08 FF 51 24 8B 55 08 8B 08 FF 91 24 01 00 00 8B 45 F8 8B 10 FF 52 5C 8B 45 0C 50 8B 4D F8 8B 55 FC 8B C6 8B 18 FF 53 04 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12027_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.SetIdentityInsert"
		size = 336
		refs = "0014 TDBXBaseMetaDataWriter.SetIdentityInsert 003a TDBXStringBuffer.Append 0092 C_Conditional 00ce @UStrArrayClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 30 83 7D FC 00 0F 84 86 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B CF 8B D3 8B C6 8B 30 FF 56 60 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 0F B6 45 08 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4F 00 46 00 46 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_12028_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.CheckForAutoIncrement"
		size = 68
	strings:
		$1 = { 53 56 8B F2 8B C6 8B 10 FF 52 4C EB 25 BA 0A 00 00 00 8B C6 8B 08 FF 51 24 33 D2 8B 08 FF 91 D4 00 00 00 84 C0 74 04 B3 01 EB 14 8B C6 8B 10 FF 52 48 8B C6 8B 10 FF 52 44 84 C0 75 D0 33 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_12029_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.InsertValuesFromOldTable"
		size = 1176
		refs = "0023 TDBXBaseMetaDataWriter.InsertValuesFromOldTable 00c7 TDBXBaseMetaDataWriter.CheckForAutoIncrement 00e7 TDBXBaseMetaDataWriter.SetIdentityInsert 00f3 TDBXStringBuffer.Append 0140 @UStrClr 016f @UStrLAsg 02f6 TObject.Free 037e @UStrArrayClr 0391 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E0 8B DA 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 0C 8B 08 FF 51 74 89 45 DC 8B 45 E0 8B 10 FF 52 3C 8B F0 33 D2 8B C6 8B 08 FF 51 24 8D 4D FC 33 D2 8B 38 FF 97 D0 00 00 00 BA 01 00 00 00 8B C6 8B 08 FF 51 24 8D 4D F8 33 D2 8B 38 FF 97 D0 00 00 00 BA 02 00 00 00 8B C6 8B 08 FF 51 24 8D 4D F4 33 D2 8B 30 FF 96 D0 00 00 00 33 D2 8B 45 E0 8B 08 FF 51 24 8D 4D F0 33 D2 8B 30 FF 96 D0 00 00 00 BA 01 00 00 00 8B 45 E0 8B 08 FF 51 24 8D 4D EC 33 D2 8B 30 FF 96 D0 00 00 00 8B 55 DC 8B 45 E4 E8 ?? ?? ?? ?? 88 45 DB 80 7D DB 00 74 17 8B 45 EC 50 8B 45 08 50 6A 01 8B 4D F0 8B D3 8B 45 E4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 08 50 8B 4D F0 8B D3 8B 45 E4 8B 30 FF 56 60 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 DC 8B 10 FF 52 4C EB 54 8B 45 DC 8B 10 FF 52 3C 8B F0 85 F6 74 3E 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 03 00 00 00 8B 45 DC 8B 08 FF 51 24 8D 4D D4 33 D2 8B 30 FF 96 D0 00 00 00 8B 4D D4 8B D3 8B 45 E4 8B 30 FF 56 10 8B 45 DC 8B 10 FF 52 48 8B 45 DC 8B 10 FF 52 44 84 C0 75 A0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 8B 10 FF 52 4C 8D 45 E8 E8 ?? ?? ?? ?? E9 DE 00 00 00 8B 45 DC 8B 10 FF 52 3C 8B F0 85 F6 0F 84 C4 00 00 00 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 04 00 00 00 8B C6 8B 08 FF 51 24 50 BA 04 00 00 00 8B 45 DC 8B 08 FF 51 24 5A 8B 08 FF 91 F0 00 00 00 84 C0 74 76 BA 05 00 00 00 8B C6 8B 08 FF 51 24 50 BA 05 00 00 00 8B 45 DC 8B 08 FF 51 24 5A 8B 08 FF 91 F0 00 00 00 84 C0 74 4F BA 06 00 00 00 8B C6 8B 08 FF 51 24 50 BA 06 00 00 00 8B 45 DC 8B 08 FF 51 24 5A 8B 08 FF 91 F0 00 00 00 84 C0 74 28 BA 03 00 00 00 8B C6 8B 08 FF 51 24 8D 4D D0 33 D2 8B 30 FF 96 D0 00 00 00 8B 4D D0 8B D3 8B 45 E4 8B 30 FF 56 10 EB 10 8B 4D DC 8B D3 8B 45 E4 8B 30 FF 96 94 00 00 00 8B 45 DC 8B 10 FF 52 48 8B 45 DC 8B 10 FF 52 44 84 C0 0F 85 12 FF FF FF 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 F4 50 8B 4D FC 8B D3 8B 45 E4 8B 30 FF 56 60 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7D DB 00 74 17 8B 45 EC 50 8B 45 08 50 6A 00 8B 4D F0 8B D3 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 72 00 64 00 69 00 6E 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 4E 00 53 00 45 00 52 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 4E 00 54 00 4F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 52 00 4F 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_12030_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlColumnTypeCast"
		size = 332
		refs = "001c TDBXBaseMetaDataWriter.MakeSqlColumnTypeCast 0039 TDBXStringBuffer.Append 00da @UStrArrayClr 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 3C 89 45 F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 03 00 00 00 8B 45 F8 8B 08 FF 51 24 8D 4D F4 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D F4 8B D3 8B C6 8B 38 FF 57 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 BA 04 00 00 00 8B 45 FC 8B 08 FF 51 24 8D 55 F0 8B 08 FF 51 28 8B 4D F0 8B D3 8B C6 8B 30 FF 56 68 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 41 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 41 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_12031_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlDropTable"
		size = 340
		refs = "0019 TDBXBaseMetaDataWriter.MakeSqlDropTable 002b TDBXStringBuffer.Append 00de @UStrArrayClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 8B 08 FF 51 24 8D 4D F8 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 F8 50 BA 02 00 00 00 8B C6 8B 08 FF 51 24 8D 4D F4 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 F4 50 33 D2 8B C6 8B 08 FF 51 24 8D 4D F0 33 D2 8B 30 FF 96 D0 00 00 00 8B 4D F0 8B D3 8B 45 FC 8B 30 FF 56 60 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 52 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 41 00 42 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_12032_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.ReplaceParameter"
		size = 208
		refs = "001f TDBXBaseMetaDataWriter.ReplaceParameter 0030 @UStrLAsg 004c @UStrCat3 0075 @UStrCat 0090 TDBXStringBuffer.Replace 00aa @UStrArrayClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 89 5D F8 89 4D F0 89 55 F4 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8D 55 F8 8B 46 08 8B 08 FF 91 BC 00 00 00 8D 45 FC 8B 4D FC 8B 55 F8 E8 ?? ?? ?? ?? 85 DB 75 04 B0 01 EB 10 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 94 C0 84 C0 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F4 8B 40 08 2B 45 F0 50 8B CB 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_12033_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlTableRename"
		size = 452
		refs = "0019 TDBXBaseMetaDataWriter.MakeSqlTableRename 0036 TDBXStringBuffer.Append 004a TDBXBaseMetaDataWriter.ReplaceParameter 00c7 @UStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 08 8D 55 F8 8B C6 8B 08 FF 51 2C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 10 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 0C 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 10 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 0C 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 4E 00 45 00 57 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4E 00 45 00 57 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_12034_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.CopyRow"
		size = 67
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B 75 08 4E 85 F6 7C 25 46 33 DB 8B D3 8B 45 FC 8B 08 FF 51 24 50 8B D3 8B 45 F8 8B 08 FF 51 24 5A 8B 08 FF 91 C0 01 00 00 43 4E 75 DE 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12035_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.Compare"
		size = 121
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F8 89 55 FC 8B 75 10 8B 45 F8 89 45 F4 8B 45 0C 89 45 F0 8B 5D 08 4B 85 DB 7C 4A 43 8B 55 F0 8B C6 8B 08 FF 51 24 8B 10 FF 52 58 84 C0 75 27 8B 55 F0 8B C6 8B 08 FF 51 24 50 8B 55 F4 8B 45 FC 8B 08 FF 51 24 5A 8B 08 FF 91 F0 00 00 00 84 C0 75 04 33 C0 EB 11 8B 45 F4 FF 45 F4 8B 45 F0 FF 45 F0 4B 75 B7 B0 01 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_12036_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.SameConstraint"
		size = 77
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B 75 08 4E 85 F6 7C 2D 46 33 DB 8B D3 8B 45 F8 8B 08 FF 51 24 50 8B D3 8B 45 FC 8B 08 FF 51 24 5A 8B 08 FF 91 F0 00 00 00 84 C0 75 04 33 C0 EB 06 43 4E 75 D6 B0 01 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12037_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MapTable"
		size = 140
		refs = "001f TDBXBaseMetaDataWriter.Compare"
	strings:
		$1 = { 53 56 57 55 8B F1 8B DA 8B F8 8B C6 8B 10 FF 52 3C 8B E8 55 6A 00 6A 03 33 C9 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 60 33 D2 8B C6 8B 08 FF 51 24 50 33 D2 8B C3 8B 08 FF 51 24 5A 8B 08 FF 91 C0 01 00 00 BA 01 00 00 00 8B C6 8B 08 FF 51 24 50 BA 01 00 00 00 8B C3 8B 08 FF 51 24 5A 8B 08 FF 91 C0 01 00 00 BA 02 00 00 00 8B C6 8B 08 FF 51 24 50 BA 02 00 00 00 8B C3 8B 08 FF 51 24 5A 8B 08 FF 91 C0 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12038_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MapColumn"
		size = 340
		refs = "0023 TDBXBaseMetaDataWriter.MapColumn 005b TDBXBaseMetaDataWriter.Compare 0083 TDBXProperties.GetValue 0094 @UStrAsg 013f @UStrArrayClr 0145 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F0 89 55 F4 8B F8 8B 5D 0C 8B 75 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 85 EA 00 00 00 85 F6 0F 8C E2 00 00 00 8B 45 F0 8B 10 FF 52 3C 89 45 EC 8B 45 EC 50 6A 00 6A 03 8B CE 2B 4D 10 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 B8 00 00 00 8B D6 8B 45 F4 8B 08 FF 51 24 8D 55 FC 8B 08 FF 51 28 8D 4D F8 8B 55 FC 8B 45 18 E8 ?? ?? ?? ?? 83 7D F8 00 75 10 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? E9 8C 00 00 00 8B D6 8B 45 F4 8B 08 FF 51 24 8B 55 F8 8B 08 FF 91 78 01 00 00 33 D2 8B 45 F0 8B 08 FF 51 24 50 8B D6 2B 55 10 8B 45 F4 8B 08 FF 51 24 5A 8B 08 FF 91 C0 01 00 00 BA 01 00 00 00 8B 45 F0 8B 08 FF 51 24 50 8B D6 2B 55 10 42 8B 45 F4 8B 08 FF 51 24 5A 8B 08 FF 91 C0 01 00 00 BA 02 00 00 00 8B 45 F0 8B 08 FF 51 24 50 8B D6 2B 55 10 83 C2 02 8B 45 F4 8B 08 FF 51 24 5A 8B 08 FF 91 C0 01 00 00 8B 45 08 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_12039_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.CreateConstraints"
		size = 752
		refs = "0032 TDBXBaseMetaDataWriter.CreateConstraints 0078 @UStrClr 00ce TDBXBaseMetaDataWriter.CopyRow 011c TDBXBaseMetaDataWriter.MapColumn 0127 @UStrLAsg 017b TDBXBaseMetaDataWriter.SameConstraint 01a7 TDBXBaseMetaDataWriter.MapTable 01ca TDBXStringBuffer.Append 020f SCannotRecreateConstraint 0214 LoadResString 0222 Format 025c TObject.Free 0283 @UStrArrayClr 0299 TDBXValueTypeArray 029e @DynArrayClear 02ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 DB 89 5D CC 89 5D B8 89 5D B4 89 5D D0 89 5D D4 89 5D DC 89 5D D8 89 5D FC 89 4D F4 89 55 F8 8B D8 8B 75 28 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 8B 55 24 8B 43 04 8B 38 FF 57 08 89 45 F0 8D 55 DC 8B C6 8B 08 FF 51 28 8B 45 DC 50 8D 55 D8 8B C6 8B 08 FF 51 38 8B 55 D8 8B 43 04 59 8B 38 FF 57 08 89 45 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 4C 8B 45 F0 8B 10 FF 52 58 8B 45 F0 8B 10 FF 52 5C C6 45 EB 01 89 75 E4 83 7D 2C 00 74 11 8B 45 2C 89 45 E4 8B 45 2C 8B 10 FF 52 4C 88 45 EB 8B C6 8B 10 FF 52 4C 88 45 E3 E9 85 01 00 00 8B 45 1C 50 8B 4D F0 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 64 E9 8A 00 00 00 8B 45 EC 8B 10 FF 52 4C 8B 45 EC 8B 10 FF 52 58 8B 45 18 50 8B 4D EC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 20 50 8B 45 FC 50 8D 45 D4 50 8B 4D 14 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 08 50 8B 45 20 50 8B 45 FC 50 8D 45 D0 50 8B 4D 14 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 5C 8B C6 8B 10 FF 52 48 88 45 E3 80 7D E3 00 74 18 8B 45 20 50 8B 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 58 FF FF FF 83 7D 2C 00 74 0B 8B 45 2C 8B 10 FF 52 48 88 45 EB 83 7D FC 00 75 23 8B 4D 14 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 4D F0 8B 55 F8 8B C3 8B 38 FF 57 04 E9 85 00 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 CC 50 8B 55 20 4A 8B 45 F0 8B 08 FF 51 24 8D 55 B8 8B 08 FF 51 28 8B 45 B8 89 45 BC C6 45 C0 11 8B 45 FC 89 45 C4 C6 45 C8 11 8D 45 BC 50 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 0F B6 45 E3 22 45 EB 0F 85 6E FE FF FF 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C2 28 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_12040_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.CreateIndices"
		size = 148
		refs = "0012 TDBXBaseMetaDataWriter.CreateIndices 0020 TDBXMetaDataCollectionColumns.CreateIndexesColumns 0048 TDBXBaseMetaDataWriter.CreateConstraints 005e TDBXValueTypeArray 0063 @DynArrayClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 68 ?? ?? ?? ?? 6A 04 6A 07 6A 07 57 8B 45 08 50 6A 04 6A FF 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 6E 00 64 00 65 00 78 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_12041_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.CreateForeignKeys"
		size = 156
		refs = "0012 TDBXBaseMetaDataWriter.CreateForeignKeys 0020 TDBXMetaDataCollectionColumns.CreateForeignKeysColumns 0046 TDBXBaseMetaDataWriter.CreateConstraints 005c TDBXValueTypeArray 0061 @DynArrayClear 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 6A 00 8B 45 0C 50 68 ?? ?? ?? ?? 6A 04 6A 04 6A 0B 57 8B 45 08 50 6A 04 6A 09 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 73 00 00 00 }
	condition:
		$1
}

rule function_12042_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.CanCreateIndexAsKey"
		size = 145
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C3 8B 10 FF 52 50 84 C0 75 3D 85 F6 74 39 8B C6 8B 10 FF 52 4C EB 25 BA 06 00 00 00 8B C6 8B 08 FF 51 24 B2 01 8B 08 FF 91 D4 00 00 00 84 C0 75 04 33 DB EB 4C 8B C6 8B 10 FF 52 48 8B C6 8B 10 FF 52 44 84 C0 75 D0 BA 05 00 00 00 8B C7 8B 08 FF 51 24 33 D2 8B 08 FF 91 D4 00 00 00 84 C0 75 1E BA 06 00 00 00 8B C7 8B 08 FF 51 24 33 D2 8B 08 FF 91 D4 00 00 00 84 C0 75 04 33 DB EB 02 B3 01 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12043_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlCreateIndex"
		size = 136
		refs = "0043 TDBXBaseMetaDataWriter.MakeSqlCreateSecondaryIndex 0048 TDBXBaseMetaDataWriter.MakeSqlCreateIndex 004f TDBXStringBuffer.Append"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 4D 08 8B 55 FC 8B C3 8B 38 FF 97 98 00 00 00 84 C0 74 15 8B 45 08 50 8B 4D FC 8B D6 8B C3 8B 18 FF 93 A4 00 00 00 EB 10 8B 45 08 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_12044_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlDropIndex"
		size = 61
		refs = "0025 TDBXBaseMetaDataWriter.MakeSqlDropConstraint"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 BA 04 00 00 00 8B C6 8B 08 FF 51 24 8B 10 FF 52 58 84 C0 75 0D 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? EB 0E 8B CE 8B D7 8B C3 8B 18 FF 93 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12045_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlCreateKey"
		size = 216
		refs = "0015 TDBXBaseMetaDataWriter.MakeSqlCreateConstraint 0035 TDBXBaseMetaDataWriter.MakeSqlCreateKey 003c TDBXStringBuffer.Append"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B DA 8B F0 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? BA 05 00 00 00 8B 45 FC 8B 08 FF 51 24 33 D2 8B 08 FF 91 D4 00 00 00 84 C0 74 26 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 4D 08 8B D3 8B C6 8B 18 FF 93 AC 00 00 00 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4B 00 45 00 59 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 4E 00 49 00 51 00 55 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_12046_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlCreateSecondaryIndex"
		size = 592
		refs = "001b TDBXBaseMetaDataWriter.MakeSqlCreateSecondaryIndex 002d TDBXStringBuffer.Append 01af @UStrArrayClr 01b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 06 00 00 00 8B C3 8B 08 FF 51 24 33 D2 8B 08 FF 91 D4 00 00 00 84 C0 75 1A BA 05 00 00 00 8B C3 8B 08 FF 51 24 33 D2 8B 08 FF 91 D4 00 00 00 84 C0 74 18 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 10 FF 52 30 84 C0 74 32 BA 07 00 00 00 8B C3 8B 08 FF 51 24 B2 01 8B 08 FF 91 D4 00 00 00 84 C0 75 18 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 03 00 00 00 8B C3 8B 08 FF 51 24 8D 4D F8 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D F8 8B D6 8B 45 FC 8B 38 FF 57 10 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 8B 08 FF 51 24 8D 4D F4 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 F4 50 BA 02 00 00 00 8B C3 8B 08 FF 51 24 8D 4D F0 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 F0 50 33 D2 8B C3 8B 08 FF 51 24 8D 4D EC 33 D2 8B 18 FF 93 D0 00 00 00 8B 4D EC 8B D6 8B 45 FC 8B 18 FF 53 60 8B 4D 08 8B D6 8B 45 FC 8B 18 FF 93 AC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 4E 00 49 00 51 00 55 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 45 00 53 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 44 00 45 00 58 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_12047_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlCreateConstraint"
		size = 100
		refs = "0019 TDBXBaseMetaDataWriter.MakeSqlCreateConstraint 0020 TDBXStringBuffer.Append 0037 TDBXBaseMetaDataWriter.MakeSqlConstraintName"
	strings:
		$1 = { 53 56 57 55 8B F9 8B DA 8B F0 8B CF 8B D3 8B C6 8B 28 FF 95 A8 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 44 00 44 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_12048_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlConstraintName"
		size = 320
		refs = "001c TDBXBaseMetaDataWriter.MakeSqlConstraintName 002a @UStrClr 0041 @UStrEqual 0099 TDBXStringBuffer.Append 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 89 5D FC 8B D9 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 51 38 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 19 BA 04 00 00 00 8B C3 8B 08 FF 51 24 8D 4D FC 33 D2 8B 30 FF 96 D0 00 00 00 83 7D FC 00 75 14 BA 03 00 00 00 8B C3 8B 08 FF 51 24 8D 55 FC 8B 08 FF 51 28 83 7D FC 00 74 45 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 35 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F4 8B 45 F8 8B 18 FF 53 10 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 6E 00 64 00 65 00 78 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_12049_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlAlterTablePrefix"
		size = 296
		refs = "0019 TDBXBaseMetaDataWriter.MakeSqlAlterTablePrefix 002b TDBXStringBuffer.Append 00d2 @UStrArrayClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 8B 08 FF 51 24 8D 4D F8 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 F8 50 BA 02 00 00 00 8B C6 8B 08 FF 51 24 8D 4D F4 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 F4 50 33 D2 8B C6 8B 08 FF 51 24 8D 4D F0 33 D2 8B 30 FF 96 D0 00 00 00 8B 4D F0 8B D3 8B 45 FC 8B 30 FF 56 60 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 4C 00 54 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 41 00 42 00 4C 00 45 00 00 00 }
	condition:
		$1
}

rule function_12050_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlDropConstraint"
		size = 400
		refs = "0017 TDBXBaseMetaDataWriter.MakeSqlDropConstraint 0034 @UStrClr 004b @UStrEqual 008c TDBXStringBuffer.Append 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D3 8B 45 F8 8B 38 FF 97 A8 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8B C6 8B 08 FF 51 38 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 19 BA 04 00 00 00 8B C6 8B 08 FF 51 24 8D 4D FC 33 D2 8B 38 FF 97 D0 00 00 00 83 7D FC 00 75 14 BA 03 00 00 00 8B C6 8B 08 FF 51 24 8D 55 FC 8B 08 FF 51 28 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D3 8B 45 F8 8B 30 FF 56 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 6E 00 64 00 65 00 78 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 52 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_12051_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlCreateIndexColumnList"
		size = 480
		refs = "0016 TDBXBaseMetaDataWriter.MakeSqlCreateIndexColumnList 0028 TDBXStringBuffer.Append 005f @UStrClr 007b @UStrLAsg 0105 TObject.Free 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 74 89 45 F8 8B 45 F8 8B 10 FF 52 4C 8D 45 FC E8 ?? ?? ?? ?? E9 84 00 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 04 00 00 00 8B 45 F8 8B 08 FF 51 24 8D 4D F4 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D F4 8B D3 8B C6 8B 38 FF 57 10 8B 46 08 8B 10 FF 52 34 84 C0 74 33 BA 06 00 00 00 8B 45 F8 8B 08 FF 51 24 B2 01 8B 08 FF 91 D4 00 00 00 84 C0 75 18 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 48 8B 45 F8 8B 10 FF 52 44 84 C0 0F 85 6C FF FF FF 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 72 00 64 00 69 00 6E 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 45 00 53 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_12052_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlDropSecondaryIndex"
		size = 452
		refs = "001b TDBXBaseMetaDataWriter.MakeSqlDropSecondaryIndex 002d TDBXStringBuffer.Append 013b @UStrArrayClr 0141 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 03 00 00 00 8B 45 FC 8B 08 FF 51 24 8D 4D F8 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D F8 8B D3 8B C6 8B 38 FF 57 10 8B C6 8B 10 FF 52 4C 84 C0 0F 85 83 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC 8B 08 FF 51 24 8D 4D F4 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 F4 50 BA 02 00 00 00 8B 45 FC 8B 08 FF 51 24 8D 4D F0 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 F0 50 33 D2 8B 45 FC 8B 08 FF 51 24 8D 4D EC 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D EC 8B D3 8B C6 8B 30 FF 56 60 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 52 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 44 00 45 00 58 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_12053_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlForeignKeySyntax"
		size = 784
		refs = "001c TDBXBaseMetaDataWriter.MakeSqlForeignKeySyntax 002e TDBXStringBuffer.Append 007e @UStrClr 0097 @UStrLAsg 01ff TObject.Free 0219 @UStrArrayClr 0227 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 08 8B 08 FF 51 74 89 45 F8 8B 45 F8 8B 10 FF 52 4C 8D 45 FC E8 ?? ?? ?? ?? EB 45 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 04 00 00 00 8B 45 F8 8B 08 FF 51 24 8D 4D F4 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D F4 8B D3 8B C6 8B 38 FF 57 10 8B 45 F8 8B 10 FF 52 48 8B 45 F8 8B 10 FF 52 44 84 C0 75 AF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 4C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 06 00 00 00 8B 45 F8 8B 08 FF 51 24 8D 4D F0 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 F0 50 BA 07 00 00 00 8B 45 F8 8B 08 FF 51 24 8D 4D EC 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 EC 50 BA 05 00 00 00 8B 45 F8 8B 08 FF 51 24 8D 4D E8 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D E8 8B D3 8B C6 8B 38 FF 57 60 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 4C 8D 45 FC E8 ?? ?? ?? ?? EB 45 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 09 00 00 00 8B 45 F8 8B 08 FF 51 24 8D 4D E4 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D E4 8B D3 8B C6 8B 38 FF 57 10 8B 45 F8 8B 10 FF 52 48 8B 45 F8 8B 10 FF 52 44 84 C0 75 AF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4B 00 45 00 59 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 72 00 64 00 69 00 6E 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 45 00 46 00 45 00 52 00 45 00 4E 00 43 00 45 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_12054_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlCreateForeignKey"
		size = 104
		refs = "0013 TDBXBaseMetaDataWriter.MakeSqlCreateConstraint 0022 TDBXBaseMetaDataWriter.MakeSqlForeignKeySyntax 0027 TDBXBaseMetaDataWriter.MakeSqlCreateForeignKey 002e TDBXStringBuffer.Append"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_12056_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlCreateView"
		size = 152
		refs = "000f TDBXBaseMetaDataWriter.MakeSqlCreateView 0038 TDBXStringBuffer.Append 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 03 00 00 00 8B C6 8B 08 FF 51 24 8D 4D FC 33 D2 8B 30 FF 96 D0 00 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_12057_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlAlterView"
		size = 464
		refs = "001d TDBXBaseMetaDataWriter.MakeSqlAlterView 0047 Trim 0052 @UStrLAsg 007f @UStrCopy 008a @WStrFromUStr 0095 WideUpperCase 00a2 @WStrEqual 00b3 SWrongViewDefinition 00b8 LoadResString 00cd _Dn_TDBXMetaDataError 00d2 TDBXMetaDataError.Create 00d7 @RaiseExcept 00e4 TDBXStringBuffer.Append 0142 @UStrArrayClr 014a @WStrClr 0152 @UStrClr 015f @WStrArrayClr 0175 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 8B D9 89 55 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 03 00 00 00 8B C3 8B 08 FF 51 24 8D 4D FC 33 D2 8B 18 FF 93 D0 00 00 00 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 5D FC 8B C3 85 C0 74 05 83 E8 04 8B 00 83 F8 06 7D 04 B0 01 EB 3E 8D 45 E8 50 B9 06 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 34 01 84 C0 74 2C 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 DB 74 05 83 EB 04 8B 1B 8D 45 DC 50 8B CB 83 E9 06 BA 07 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BE 5B 8B E5 5D C2 04 00 00 00 0C 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 4C 00 54 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_12058_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlDropView"
		size = 320
		refs = "0018 TDBXBaseMetaDataWriter.MakeSqlDropView 002a TDBXStringBuffer.Append 00ce @UStrArrayClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 8B 08 FF 51 24 8D 55 F8 8B 08 FF 51 28 8B 45 F8 50 BA 02 00 00 00 8B C6 8B 08 FF 51 24 8D 55 F4 8B 08 FF 51 28 8B 45 F4 50 33 D2 8B C6 8B 08 FF 51 24 8D 55 F0 8B 08 FF 51 28 8B 4D F0 8B D3 8B 45 FC 8B 30 FF 56 60 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 52 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 56 00 49 00 45 00 57 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_12059_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlCreateSynonym"
		size = 496
		refs = "001f TDBXBaseMetaDataWriter.MakeSqlCreateSynonym 0031 TDBXStringBuffer.Append 015c @UStrArrayClr 0162 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 8B 08 FF 51 24 8D 4D F8 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 F8 50 BA 02 00 00 00 8B C6 8B 08 FF 51 24 8D 4D F4 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 F4 50 33 D2 8B C6 8B 08 FF 51 24 8D 4D F0 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D F0 8B D3 8B 45 FC 8B 38 FF 57 60 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C6 8B 08 FF 51 24 8D 4D EC 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 EC 50 BA 05 00 00 00 8B C6 8B 08 FF 51 24 8D 4D E8 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 E8 50 BA 03 00 00 00 8B C6 8B 08 FF 51 24 8D 4D E4 33 D2 8B 30 FF 96 D0 00 00 00 8B 4D E4 8B D3 8B 45 FC 8B 30 FF 56 60 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 46 00 4F 00 52 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_12060_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlAlterSynonym"
		size = 45
		refs = "0013 TDBXBaseMetaDataWriter.MakeSqlDropSynonym 0022 TDBXBaseMetaDataWriter.MakeSqlCreateSynonym"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12061_0 {
	meta:
		name = "TDBXBaseMetaDataWriter.MakeSqlDropSynonym"
		size = 344
		refs = "0019 TDBXBaseMetaDataWriter.MakeSqlDropSynonym 002b TDBXStringBuffer.Append 00de @UStrArrayClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 8B 08 FF 51 24 8D 4D F8 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 F8 50 BA 02 00 00 00 8B C6 8B 08 FF 51 24 8D 4D F4 33 D2 8B 38 FF 97 D0 00 00 00 8B 45 F4 50 33 D2 8B C6 8B 08 FF 51 24 8D 4D F0 33 D2 8B 30 FF 96 D0 00 00 00 8B 4D F0 8B D3 8B 45 FC 8B 30 FF 56 60 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 52 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_12064_0 {
	meta:
		name = "TDBXMetaDataWriterFactory.CreateWriter"
		size = 532
		refs = "0019 @UStrAddRef 0021 TDBXMetaDataWriterFactory.CreateWriter 002f TDBXMetaDataWriterFactory.FProviderRegistry 0046 SNoMetadataProvider 004b LoadResString 0064 Format 0071 @UStrCat 0081 _Dn_TDBXError 0086 TDBXError.Create 008b @RaiseExcept 009d _DV_TWriterItem 00a2 @AsClass 00af TObject.ClassName 00b8 _Dn_TClassRegistry 00bd TClassRegistry.GetClassRegistry 00c3 TClassRegistry.CreateInstance 00c9 _Dn_TDBXMetaDataWriter 00eb @UStrClr 00f8 @UStrArrayClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D E8 89 4D F8 89 4D F4 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC A1 ?? ?? ?? ?? 8B 08 FF 51 54 8B D8 85 DB 7D 51 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B9 16 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 E8 8B 43 04 E8 ?? ?? ?? ?? 8B 45 E8 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 7C 00 00 00 20 00 20 00 41 00 64 00 64 00 20 00 64 00 72 00 69 00 76 00 65 00 72 00 20 00 75 00 6E 00 69 00 74 00 20 00 74 00 6F 00 20 00 79 00 6F 00 75 00 72 00 20 00 75 00 73 00 65 00 73 00 20 00 28 00 44 00 62 00 78 00 49 00 6E 00 74 00 65 00 72 00 42 00 61 00 73 00 65 00 20 00 6F 00 72 00 20 00 44 00 62 00 78 00 44 00 62 00 32 00 20 00 6F 00 72 00 20 00 44 00 62 00 78 00 4D 00 73 00 53 00 71 00 6C 00 20 00 6F 00 72 00 20 00 44 00 42 00 58 00 4D 00 79 00 53 00 51 00 4C 00 20 00 6F 00 72 00 20 00 44 00 62 00 78 00 4F 00 72 00 61 00 63 00 6C 00 65 00 20 00 6F 00 72 00 20 00 44 00 62 00 78 00 53 00 79 00 62 00 61 00 73 00 65 00 41 00 53 00 41 00 20 00 6F 00 72 00 20 00 44 00 62 00 78 00 53 00 79 00 62 00 61 00 73 00 65 00 41 00 53 00 45 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_12065_0 {
	meta:
		name = "TDBXMetaDataWriterFactory.FreeWriterRegistry"
		size = 70
		refs = "0004 TDBXMetaDataWriterFactory.FProviderRegistry 0029 TObject.Free"
	strings:
		$1 = { 53 56 57 BF ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 14 8B D8 4B 85 DB 7C 18 43 33 F6 8B D6 A1 ?? ?? ?? ?? 8B 08 FF 51 18 E8 ?? ?? ?? ?? 46 4B 75 EB A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12066_0 {
	meta:
		name = "TDBXMetaDataWriterFactory.RegisterWriter"
		size = 159
		refs = "0016 @UStrAddRef 001e TDBXMetaDataWriterFactory.RegisterWriter 002d _DV_TWriterItem 0032 TWriterItem.Create 003c TDBXMetaDataWriterFactory.FProviderRegistry 0046 _Dn_TClassRegistry 004b TClassRegistry.GetClassRegistry 0057 TObject.ClassName 0061 TClassRegistry.HasClass 0073 TClassRegistry.RegisterClass 008d @UStrArrayClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 55 FC A1 ?? ?? ?? ?? 8B 30 FF 56 3C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0E 6A 00 8B CB 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12067_0 {
	meta:
		name = "TDBXMetaDataWriterFactory.UnRegisterWriter"
		size = 85
		refs = "000c TDBXMetaDataWriterFactory.UnRegisterWriter 001c TObject.ClassName 0025 _Dn_TClassRegistry 002a TClassRegistry.GetClassRegistry 0030 TClassRegistry.UnregisterClass 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12068_0 {
	meta:
		name = "TAbstractContentParser.Create"
		size = 56
		refs = "000a @ClassCreate 001a TObject.Create 0025 @AfterConstruction"
		altNames = "TAdapterActionName.Create TSessionStatusChange.Create TWriterItem.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12072_0 {
	meta:
		name = "TDBXMSSQLProperties.Create"
		size = 2364
		refs = "0015 @ClassCreate 0021 TDBXMSSQLProperties.Create 0030 TDBXProperties.Create 0041 TDBXProperties.SetValue 006b _Dn_TDBXPlatform 0070 TDBXPlatform.GetPublicKeyToken 0080 @UStrCat3 01af @UStrArrayClr 01b5 @HandleFinally 01c2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 2E 00 64 00 62 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4F 00 76 00 65 00 72 00 72 00 69 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 4D 00 73 00 53 00 51 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 2C 00 44 00 42 00 58 00 4D 00 53 00 53 00 51 00 4C 00 44 00 72 00 69 00 76 00 65 00 72 00 31 00 36 00 30 00 2E 00 62 00 70 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 73 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 2C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 43 00 6F 00 6D 00 6D 00 6F 00 6E 00 44 00 72 00 69 00 76 00 65 00 72 00 2C 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 31 00 36 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 2C 00 43 00 75 00 6C 00 74 00 75 00 72 00 65 00 3D 00 6E 00 65 00 75 00 74 00 72 00 61 00 6C 00 2C 00 50 00 75 00 62 00 6C 00 69 00 63 00 4B 00 65 00 79 00 54 00 6F 00 6B 00 65 00 6E 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 41 00 73 00 73 00 65 00 6D 00 62 00 6C 00 79 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 35 00 00 00 54 00 44 00 42 00 58 00 4D 00 73 00 53 00 71 00 6C 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 2C 00 44 00 62 00 78 00 4D 00 53 00 53 00 51 00 4C 00 44 00 72 00 69 00 76 00 65 00 72 00 31 00 36 00 30 00 2E 00 62 00 70 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 79 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 54 00 44 00 42 00 58 00 4D 00 73 00 53 00 71 00 6C 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 2C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 4D 00 53 00 53 00 51 00 4C 00 44 00 72 00 69 00 76 00 65 00 72 00 2C 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 31 00 36 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 2C 00 43 00 75 00 6C 00 74 00 75 00 72 00 65 00 3D 00 6E 00 65 00 75 00 74 00 72 00 61 00 6C 00 2C 00 50 00 75 00 62 00 6C 00 69 00 63 00 4B 00 65 00 79 00 54 00 6F 00 6B 00 65 00 6E 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 41 00 73 00 73 00 65 00 6D 00 62 00 6C 00 79 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 67 00 65 00 74 00 53 00 51 00 4C 00 44 00 72 00 69 00 76 00 65 00 72 00 4D 00 53 00 53 00 51 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 44 00 72 00 69 00 76 00 65 00 72 00 46 00 75 00 6E 00 63 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 64 00 62 00 78 00 6D 00 73 00 73 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 73 00 71 00 6C 00 6E 00 63 00 6C 00 69 00 31 00 30 00 2E 00 64 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 57 00 69 00 6E 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 20 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 45 00 72 00 72 00 6F 00 72 00 52 00 65 00 73 00 6F 00 75 00 72 00 63 00 65 00 46 00 69 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 6F 00 63 00 61 00 6C 00 65 00 43 00 6F 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 61 00 64 00 43 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 4C 00 65 00 76 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4F 00 53 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 72 00 65 00 70 00 61 00 72 00 65 00 53 00 51 00 4C 00 00 00 00 00 }
	condition:
		$1
}

rule function_12076_0 {
	meta:
		name = "TDBXMSSQLProperties.GetMSSQLTransIsolation"
		size = 80
		refs = "0009 TDBXMSSQLProperties.GetMSSQLTransIsolation 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4D 00 53 00 53 00 51 00 4C 00 20 00 54 00 72 00 61 00 6E 00 73 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_12077_0 {
	meta:
		name = "TDBXMSSQLProperties.GetOSAuthentication"
		size = 132
		refs = "000c TDBXMSSQLProperties.GetOSAuthentication 0021 TDBXProperties.GetValue 002b StrToBoolDef 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 11 00 00 00 4F 00 53 00 20 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_12592_0 {
	meta:
		name = "TDBXOracleProperties.GetOSAuthentication"
		size = 132
		refs = "000c TDBXOracleProperties.GetOSAuthentication 0021 TDBXProperties.GetValue 002b StrToBoolDef 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 11 00 00 00 4F 00 53 00 20 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_12079_0 {
	meta:
		name = "TDBXMSSQLProperties.GetPrepareSql"
		size = 120
		refs = "000c TDBXMSSQLProperties.GetPrepareSql 0021 TDBXProperties.GetValue 002b StrToBoolDef 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 72 00 65 00 70 00 61 00 72 00 65 00 20 00 53 00 51 00 4C 00 00 00 }
	condition:
		$1
}

rule function_12080_0 {
	meta:
		name = "TDBXMSSQLProperties.GetSchemaOverride"
		size = 68
		refs = "0009 TDBXMSSQLProperties.GetSchemaOverride 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4F 00 76 00 65 00 72 00 72 00 69 00 64 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12085_0 {
	meta:
		name = "TDBXMSSQLProperties.SetMSSQLTransIsolation"
		size = 72
		refs = "0003 TDBXMSSQLProperties.SetMSSQLTransIsolation 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4D 00 53 00 53 00 51 00 4C 00 20 00 54 00 72 00 61 00 6E 00 73 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_12086_0 {
	meta:
		name = "TDBXMSSQLProperties.SetOSAuthentication"
		size = 136
		refs = "000f TDBXMSSQLProperties.SetOSAuthentication 0021 BoolToStr 0030 TDBXProperties.SetValue 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 4F 00 53 00 20 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_12603_0 {
	meta:
		name = "TDBXOracleProperties.SetOSAuthentication"
		size = 136
		refs = "000f TDBXOracleProperties.SetOSAuthentication 0021 BoolToStr 0030 TDBXProperties.SetValue 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 4F 00 53 00 20 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_12088_0 {
	meta:
		name = "TDBXMSSQLProperties.SetPrepareSql"
		size = 124
		refs = "000f TDBXMSSQLProperties.SetPrepareSql 0021 BoolToStr 0030 TDBXProperties.SetValue 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 72 00 65 00 70 00 61 00 72 00 65 00 20 00 53 00 51 00 4C 00 00 00 }
	condition:
		$1
}

rule function_12089_0 {
	meta:
		name = "TDBXMSSQLProperties.SetSchemaOverride"
		size = 60
		refs = "0003 TDBXMSSQLProperties.SetSchemaOverride 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4F 00 76 00 65 00 72 00 72 00 69 00 64 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12092_0 {
	meta:
		name = "Data.DbxMSSQL"
		size = 96
		refs = "0002 _DV_3 000b _DV_TDBXMSSQLDriver 0010 Data.DbxMSSQL 0015 TDBXDriverRegistry.RegisterDriverClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 20 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 53 00 53 00 51 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4D 00 53 00 53 00 51 00 4C 00 39 00 00 00 00 00 }
	condition:
		$1
}

rule function_12093_0 {
	meta:
		name = "Finalization"
		size = 88
		refs = "0002 _DV_1 000a _Dn_TDBXMsSqlMetaDataWriter 000f Finalization 0014 _Dn_TDBXMetaDataWriterFactory 0019 TDBXMetaDataWriterFactory.UnRegisterWriter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 15 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 20 00 53 00 51 00 4C 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_12094_0 {
	meta:
		name = "Data.DBXMSSQLMetaData"
		size = 88
		refs = "0002 _DV_1 000b _Dn_TDBXMsSqlMetaDataWriter 0010 Data.DBXMSSQLMetaData 0015 _Dn_TDBXMetaDataWriterFactory 001a TDBXMetaDataWriterFactory.RegisterWriter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 20 00 53 00 51 00 4C 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_12096_0 {
	meta:
		name = "TDBXMsSqlCustomMetaDataReader.FetchSynonyms"
		size = 436
		refs = "0018 TDBXMsSqlCustomMetaDataReader.FetchSynonyms 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 00cf TDBXMetaDataCollectionColumns.CreateSynonymsColumns 00d6 TDBXMsSqlCustomMetaDataReader.CreateScanner 00ec _DV_TDBXMsSqlCustomMetaDataReader.TDBXMsSqlSynonymTableCursor 00f1 TDBXMsSqlCustomMetaDataReader.TDBXMsSqlSynonymTableCursor.Create 0108 @UStrClr 0111 TDBXValueTypeArray 0116 @DynArrayClear 0129 @FinalizeArray 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 0C 01 00 00 8B 45 F0 50 8B C3 8B 10 FF 52 0C 8B 4D FC 5A 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B 45 F4 50 56 8B C3 8B 10 FF 52 0C 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_12097_0 {
	meta:
		name = "TDBXMsSqlCustomMetaDataReader.CreateScanner"
		size = 132
		refs = "0010 TDBXMsSqlCustomMetaDataReader.CreateScanner 004c _Dn_TDBXSqlScanner 0051 TDBXSqlScanner.Create 0071 @UStrArrayClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 18 00 75 38 8D 55 FC 8B C3 8B 08 FF 51 1C 8B 45 FC 50 8D 55 F8 8B C3 8B 08 FF 51 20 8B 45 F8 50 8D 55 F4 8B C3 8B 08 FF 51 38 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 8B 5B 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12099_0 {
	meta:
		name = "TDBXMsSqlCustomMetaDataReader.TDBXMsSqlSynonymTableCursor.Create"
		size = 212
		refs = "0015 @ClassCreate 0022 TDBXMsSqlCustomMetaDataReader.TDBXMsSqlSynonymTableCursor.Create 003e TDBXCustomMetaDataTable.Create 004b _Dn_TDBXSingleValueRow 0050 TDBXSingleValueRow.Create 007f TDBXValueTypeArray 0084 @DynArrayClear 008a @HandleFinally 0099 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 10 89 43 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 48 8D 55 F8 8B C3 8B 08 FF 51 28 8B 55 F8 8B C6 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12100_0 {
	meta:
		name = "TDBXMsSqlCustomMetaDataReader.TDBXMsSqlSynonymTableCursor.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXCustomMetaDataTable.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95364_0 {
	meta:
		name = "TCustomHTMLDocumentFragment.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TComponent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25925_0 {
	meta:
		name = "TCustomResolver.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TComponent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35078_0 {
	meta:
		name = "TIdHTTPProxyServerContext.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TIdContext.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35961_0 {
	meta:
		name = "TIdMailBox.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TComponent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38187_0 {
	meta:
		name = "TIdTelnetServerContext.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TIdContext.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29035_0 {
	meta:
		name = "TQueueMetadataUpdater.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TThread.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12101_0 {
	meta:
		name = "TDBXMsSqlCustomMetaDataReader.TDBXMsSqlSynonymTableCursor.FindStringSize"
		size = 22
		refs = "0010 TDBXCustomMetaDataTable.FindStringSize"
	strings:
		$1 = { 56 8B F2 83 FA 03 7C 05 8B F2 83 EE 03 8B D6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_12102_0 {
	meta:
		name = "TDBXMsSqlCustomMetaDataReader.TDBXMsSqlSynonymTableCursor.Next"
		size = 216
		refs = "0008 @UStrClr 001f TDBXCustomMetaDataTable.Next 0030 TDBXMsSqlCustomMetaDataReader.TDBXMsSqlSynonymTableCursor.ParseBaseObject"
	strings:
		$1 = { 53 56 8B F0 8D 46 3C E8 ?? ?? ?? ?? 8D 46 40 E8 ?? ?? ?? ?? 8D 46 44 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 84 A6 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 7E 3C 00 75 17 BA 03 00 00 00 8B 46 48 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 EB 18 BA 03 00 00 00 8B 46 48 8B 08 FF 51 24 8B 56 3C 8B 08 FF 91 24 01 00 00 83 7E 40 00 75 17 BA 04 00 00 00 8B 46 48 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 EB 18 BA 04 00 00 00 8B 46 48 8B 08 FF 51 24 8B 56 40 8B 08 FF 91 24 01 00 00 83 7E 44 00 75 17 BA 05 00 00 00 8B 46 48 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 EB 18 BA 05 00 00 00 8B 46 48 8B 08 FF 51 24 8B 56 44 8B 08 FF 91 24 01 00 00 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_12103_0 {
	meta:
		name = "TDBXMsSqlCustomMetaDataReader.TDBXMsSqlSynonymTableCursor.GetWritableValue"
		size = 25
		refs = "0014 TDBXCustomMetaDataTable.GetWritableValue"
	strings:
		$1 = { 8B CA 83 C1 FD 83 E9 03 73 09 8B 40 48 8B 08 FF 51 24 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12104_0 {
	meta:
		name = "TDBXMsSqlCustomMetaDataReader.TDBXMsSqlSynonymTableCursor.ParseBaseObject"
		size = 268
		refs = "0011 TDBXMsSqlCustomMetaDataReader.TDBXMsSqlSynonymTableCursor.ParseBaseObject 0023 TDBXCustomMetaDataTable.GetWritableValue 0036 TDBXSqlScanner.Init 003e TDBXSqlScanner.NextToken 0050 @UStrAsg 0066 TDBXSqlScanner.GetId 00fa @UStrArrayClr 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 51 28 8B 55 FC 8B 43 38 E8 ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 8B F0 83 FE FE 75 54 8D 43 3C 8B 53 40 E8 ?? ?? ?? ?? 8D 43 40 8B 53 44 E8 ?? ?? ?? ?? 8D 55 F8 8B 43 38 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 44 E8 ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 8B F0 83 FE F7 75 14 8B 43 38 66 83 78 36 2E 75 0A 8B 43 38 E8 ?? ?? ?? ?? 8B F0 83 FE FE 74 AC 83 7B 40 00 75 1F BA 01 00 00 00 8B C3 8B 08 FF 51 24 8D 55 F4 8B 08 FF 51 28 8B 55 F4 8D 43 40 E8 ?? ?? ?? ?? 83 7B 3C 00 75 1C 33 D2 8B C3 8B 08 FF 51 24 8D 55 F0 8B 08 FF 51 28 8B 55 F0 8D 43 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12105_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetProductName"
		size = 76
		refs = "0006 TDBXMsSqlMetaDataReader.GetProductName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 20 00 53 00 51 00 4C 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_12106_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetSqlIdentifierQuotePrefix"
		size = 36
		refs = "0006 TDBXMsSqlMetaDataReader.GetSqlIdentifierQuotePrefix 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 }
	condition:
		$1
}

rule function_12107_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetSqlIdentifierQuoteSuffix"
		size = 36
		refs = "0006 TDBXMsSqlMetaDataReader.GetSqlIdentifierQuoteSuffix 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 }
	condition:
		$1
}

rule function_12108_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetTableType"
		size = 36
		refs = "0006 TDBXMsSqlMetaDataReader.GetTableType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 55 00 00 00 }
	condition:
		$1
}

rule function_13353_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.GetTableType"
		size = 36
		refs = "0006 TDBXSybaseASEMetaDataReader.GetTableType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 55 00 00 00 }
	condition:
		$1
}

rule function_12112_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetSynonymType"
		size = 40
		refs = "0006 TDBXMsSqlMetaDataReader.GetSynonymType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 53 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_12115_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetSqlForCatalogs"
		size = 108
		refs = "0006 TDBXMsSqlMetaDataReader.GetSqlForCatalogs 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 6E 00 61 00 6D 00 65 00 20 00 46 00 52 00 4F 00 4D 00 20 00 6D 00 61 00 73 00 74 00 65 00 72 00 2E 00 2E 00 73 00 79 00 73 00 64 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_12116_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetSqlForSchemas"
		size = 704
		refs = "000f TDBXMsSqlMetaDataReader.GetSqlForSchemas 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 39 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 86 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 49 00 53 00 54 00 49 00 4E 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 73 00 63 00 68 00 65 00 6D 00 61 00 5F 00 69 00 64 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 20 00 73 00 79 00 73 00 2E 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 74 00 79 00 70 00 65 00 20 00 49 00 4E 00 20 00 28 00 27 00 55 00 27 00 2C 00 20 00 27 00 56 00 27 00 2C 00 20 00 27 00 53 00 27 00 2C 00 20 00 27 00 50 00 27 00 2C 00 20 00 27 00 46 00 4E 00 27 00 2C 00 20 00 27 00 49 00 46 00 27 00 2C 00 20 00 27 00 54 00 46 00 27 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 81 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 49 00 53 00 54 00 49 00 4E 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 75 00 69 00 64 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 74 00 79 00 70 00 65 00 20 00 49 00 4E 00 20 00 28 00 27 00 55 00 27 00 2C 00 20 00 27 00 56 00 27 00 2C 00 20 00 27 00 53 00 27 00 2C 00 20 00 27 00 50 00 27 00 2C 00 20 00 27 00 46 00 4E 00 27 00 2C 00 20 00 27 00 49 00 46 00 27 00 2C 00 20 00 27 00 54 00 46 00 27 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 00 00 }
	condition:
		$1
}

rule function_12117_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetSqlForTables"
		size = 2328
		refs = "000f TDBXMsSqlMetaDataReader.GetSqlForTables 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 39 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 75 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 61 00 2E 00 73 00 63 00 68 00 65 00 6D 00 61 00 5F 00 69 00 64 00 29 00 2C 00 20 00 61 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 61 00 2E 00 74 00 79 00 70 00 65 00 3D 00 27 00 55 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 54 00 41 00 42 00 4C 00 45 00 27 00 20 00 57 00 48 00 45 00 4E 00 20 00 73 00 2E 00 74 00 79 00 70 00 65 00 3D 00 27 00 56 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 56 00 49 00 45 00 57 00 27 00 20 00 57 00 48 00 45 00 4E 00 20 00 61 00 2E 00 74 00 79 00 70 00 65 00 3D 00 27 00 56 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 56 00 49 00 45 00 57 00 27 00 20 00 57 00 48 00 45 00 4E 00 20 00 61 00 2E 00 74 00 79 00 70 00 65 00 3D 00 27 00 53 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 54 00 41 00 42 00 4C 00 45 00 27 00 20 00 57 00 48 00 45 00 4E 00 20 00 61 00 2E 00 74 00 79 00 70 00 65 00 3D 00 27 00 53 00 4E 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 27 00 20 00 45 00 4E 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 20 00 73 00 79 00 73 00 2E 00 61 00 6C 00 6C 00 5F 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 61 00 20 00 4C 00 45 00 46 00 54 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 73 00 79 00 73 00 2E 00 73 00 79 00 73 00 74 00 65 00 6D 00 5F 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 73 00 20 00 4F 00 4E 00 20 00 61 00 2E 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 69 00 64 00 3D 00 73 00 2E 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 69 00 64 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 61 00 2E 00 73 00 63 00 68 00 65 00 6D 00 61 00 5F 00 69 00 64 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 61 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 28 00 61 00 2E 00 74 00 79 00 70 00 65 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 4F 00 52 00 20 00 61 00 2E 00 74 00 79 00 70 00 65 00 20 00 3D 00 20 00 3A 00 56 00 49 00 45 00 57 00 53 00 20 00 4F 00 52 00 20 00 61 00 2E 00 74 00 79 00 70 00 65 00 20 00 3D 00 20 00 3A 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 4F 00 52 00 20 00 73 00 2E 00 74 00 79 00 70 00 65 00 20 00 3D 00 20 00 3A 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 56 00 49 00 45 00 57 00 53 00 20 00 4F 00 52 00 20 00 61 00 2E 00 74 00 79 00 70 00 65 00 20 00 3D 00 20 00 3A 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 53 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 2C 00 20 00 33 00 00 00 B0 04 02 00 FF FF FF FF BE 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 75 00 69 00 64 00 29 00 2C 00 20 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 74 00 79 00 70 00 65 00 20 00 57 00 48 00 45 00 4E 00 20 00 27 00 55 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 54 00 41 00 42 00 4C 00 45 00 27 00 20 00 57 00 48 00 45 00 4E 00 20 00 27 00 56 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 56 00 49 00 45 00 57 00 27 00 20 00 57 00 48 00 45 00 4E 00 20 00 27 00 53 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 54 00 41 00 42 00 4C 00 45 00 27 00 20 00 57 00 48 00 45 00 4E 00 20 00 27 00 53 00 4E 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 27 00 20 00 45 00 4E 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 75 00 69 00 64 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 28 00 74 00 79 00 70 00 65 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 4F 00 52 00 20 00 74 00 79 00 70 00 65 00 20 00 3D 00 20 00 3A 00 56 00 49 00 45 00 57 00 53 00 20 00 4F 00 52 00 20 00 74 00 79 00 70 00 65 00 20 00 3D 00 20 00 3A 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 4F 00 52 00 20 00 74 00 79 00 70 00 65 00 20 00 3D 00 20 00 3A 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 53 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 2C 00 20 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_12118_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetSqlForViews"
		size = 608
		refs = "0006 TDBXMsSqlMetaDataReader.GetSqlForViews 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 1F 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 2C 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 56 00 49 00 45 00 57 00 5F 00 44 00 45 00 46 00 49 00 4E 00 49 00 54 00 49 00 4F 00 4E 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2E 00 56 00 49 00 45 00 57 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 56 00 49 00 45 00 57 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 56 00 49 00 45 00 57 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 00 00 }
	condition:
		$1
}

rule function_12119_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetSqlForColumns"
		size = 3504
		refs = "000f TDBXMsSqlMetaDataReader.GetSqlForColumns 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 39 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 43 03 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 4F 00 2E 00 75 00 69 00 64 00 29 00 2C 00 20 00 4F 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 43 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 54 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 49 00 4E 00 54 00 2C 00 43 00 2E 00 70 00 72 00 65 00 63 00 29 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 49 00 4E 00 54 00 2C 00 43 00 2E 00 73 00 63 00 61 00 6C 00 65 00 29 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 49 00 4E 00 54 00 2C 00 43 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 29 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 43 00 4F 00 4D 00 2E 00 74 00 65 00 78 00 74 00 20 00 4C 00 49 00 4B 00 45 00 20 00 27 00 28 00 28 00 25 00 29 00 29 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 53 00 55 00 42 00 53 00 54 00 52 00 49 00 4E 00 47 00 28 00 43 00 4F 00 4D 00 2E 00 74 00 65 00 78 00 74 00 2C 00 33 00 2C 00 4C 00 45 00 4E 00 28 00 43 00 4F 00 4D 00 2E 00 74 00 65 00 78 00 74 00 29 00 2D 00 34 00 29 00 20 00 57 00 48 00 45 00 4E 00 20 00 43 00 4F 00 4D 00 2E 00 74 00 65 00 78 00 74 00 20 00 4C 00 49 00 4B 00 45 00 20 00 27 00 28 00 27 00 27 00 25 00 27 00 27 00 29 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 53 00 55 00 42 00 53 00 54 00 52 00 49 00 4E 00 47 00 28 00 43 00 4F 00 4D 00 2E 00 74 00 65 00 78 00 74 00 2C 00 32 00 2C 00 4C 00 45 00 4E 00 28 00 43 00 4F 00 4D 00 2E 00 74 00 65 00 78 00 74 00 29 00 2D 00 32 00 29 00 20 00 45 00 4C 00 53 00 45 00 20 00 43 00 4F 00 4D 00 2E 00 74 00 65 00 78 00 74 00 20 00 45 00 4E 00 44 00 20 00 41 00 53 00 20 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 5F 00 56 00 41 00 4C 00 55 00 45 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 42 00 49 00 54 00 2C 00 20 00 43 00 2E 00 69 00 73 00 6E 00 75 00 6C 00 6C 00 61 00 62 00 6C 00 65 00 29 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 42 00 49 00 54 00 2C 00 20 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 50 00 52 00 4F 00 50 00 45 00 52 00 54 00 59 00 28 00 4F 00 2E 00 69 00 64 00 2C 00 20 00 43 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 27 00 49 00 53 00 49 00 44 00 45 00 4E 00 54 00 49 00 54 00 59 00 27 00 29 00 29 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 46 00 52 00 4F 00 4D 00 20 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 4F 00 20 00 49 00 4E 00 4E 00 45 00 52 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 43 00 20 00 4F 00 4E 00 20 00 4F 00 2E 00 69 00 64 00 3D 00 43 00 2E 00 69 00 64 00 20 00 49 00 4E 00 4E 00 45 00 52 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 73 00 79 00 73 00 74 00 79 00 70 00 65 00 73 00 20 00 54 00 20 00 4F 00 4E 00 20 00 43 00 2E 00 78 00 75 00 73 00 65 00 72 00 74 00 79 00 70 00 65 00 20 00 3D 00 20 00 54 00 2E 00 78 00 75 00 73 00 65 00 72 00 74 00 79 00 70 00 65 00 20 00 4C 00 45 00 46 00 54 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 73 00 79 00 73 00 63 00 6F 00 6D 00 6D 00 65 00 6E 00 74 00 73 00 20 00 43 00 4F 00 4D 00 20 00 4F 00 4E 00 20 00 43 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 3D 00 43 00 4F 00 4D 00 2E 00 69 00 64 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 4F 00 42 00 4A 00 45 00 43 00 54 00 50 00 52 00 4F 00 50 00 45 00 52 00 54 00 59 00 28 00 4F 00 2E 00 69 00 64 00 2C 00 27 00 49 00 73 00 56 00 69 00 65 00 77 00 27 00 29 00 2B 00 4F 00 42 00 4A 00 45 00 43 00 54 00 50 00 52 00 4F 00 50 00 45 00 52 00 54 00 59 00 28 00 4F 00 2E 00 69 00 64 00 2C 00 27 00 49 00 73 00 55 00 73 00 65 00 72 00 54 00 61 00 62 00 6C 00 65 00 27 00 29 00 20 00 3E 00 20 00 30 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 4F 00 2E 00 75 00 69 00 64 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4F 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 43 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 3D 03 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 4F 00 2E 00 75 00 69 00 64 00 29 00 2C 00 20 00 4F 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 43 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 54 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 49 00 4E 00 54 00 2C 00 43 00 2E 00 70 00 72 00 65 00 63 00 29 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 49 00 4E 00 54 00 2C 00 43 00 2E 00 73 00 63 00 61 00 6C 00 65 00 29 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 49 00 4E 00 54 00 2C 00 43 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 29 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 43 00 4F 00 4D 00 2E 00 74 00 65 00 78 00 74 00 20 00 4C 00 49 00 4B 00 45 00 20 00 27 00 28 00 25 00 29 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 53 00 55 00 42 00 53 00 54 00 52 00 49 00 4E 00 47 00 28 00 43 00 4F 00 4D 00 2E 00 74 00 65 00 78 00 74 00 2C 00 32 00 2C 00 4C 00 45 00 4E 00 28 00 43 00 4F 00 4D 00 2E 00 74 00 65 00 78 00 74 00 29 00 2D 00 32 00 29 00 20 00 57 00 48 00 45 00 4E 00 20 00 43 00 4F 00 4D 00 2E 00 74 00 65 00 78 00 74 00 20 00 4C 00 49 00 4B 00 45 00 20 00 27 00 28 00 27 00 27 00 25 00 27 00 27 00 29 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 53 00 55 00 42 00 53 00 54 00 52 00 49 00 4E 00 47 00 28 00 43 00 4F 00 4D 00 2E 00 74 00 65 00 78 00 74 00 2C 00 32 00 2C 00 4C 00 45 00 4E 00 28 00 43 00 4F 00 4D 00 2E 00 74 00 65 00 78 00 74 00 29 00 2D 00 32 00 29 00 20 00 45 00 4C 00 53 00 45 00 20 00 43 00 4F 00 4D 00 2E 00 74 00 65 00 78 00 74 00 20 00 45 00 4E 00 44 00 20 00 41 00 53 00 20 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 5F 00 56 00 41 00 4C 00 55 00 45 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 42 00 49 00 54 00 2C 00 20 00 43 00 2E 00 69 00 73 00 6E 00 75 00 6C 00 6C 00 61 00 62 00 6C 00 65 00 29 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 42 00 49 00 54 00 2C 00 20 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 50 00 52 00 4F 00 50 00 45 00 52 00 54 00 59 00 28 00 4F 00 2E 00 69 00 64 00 2C 00 20 00 43 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 27 00 49 00 53 00 49 00 44 00 45 00 4E 00 54 00 49 00 54 00 59 00 27 00 29 00 29 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 46 00 52 00 4F 00 4D 00 20 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 4F 00 20 00 49 00 4E 00 4E 00 45 00 52 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 43 00 20 00 4F 00 4E 00 20 00 4F 00 2E 00 69 00 64 00 3D 00 43 00 2E 00 69 00 64 00 20 00 49 00 4E 00 4E 00 45 00 52 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 73 00 79 00 73 00 74 00 79 00 70 00 65 00 73 00 20 00 54 00 20 00 4F 00 4E 00 20 00 43 00 2E 00 78 00 75 00 73 00 65 00 72 00 74 00 79 00 70 00 65 00 20 00 3D 00 20 00 54 00 2E 00 78 00 75 00 73 00 65 00 72 00 74 00 79 00 70 00 65 00 20 00 4C 00 45 00 46 00 54 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 73 00 79 00 73 00 63 00 6F 00 6D 00 6D 00 65 00 6E 00 74 00 73 00 20 00 43 00 4F 00 4D 00 20 00 4F 00 4E 00 20 00 43 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 3D 00 43 00 4F 00 4D 00 2E 00 69 00 64 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 4F 00 42 00 4A 00 45 00 43 00 54 00 50 00 52 00 4F 00 50 00 45 00 52 00 54 00 59 00 28 00 4F 00 2E 00 69 00 64 00 2C 00 27 00 49 00 73 00 56 00 69 00 65 00 77 00 27 00 29 00 2B 00 4F 00 42 00 4A 00 45 00 43 00 54 00 50 00 52 00 4F 00 50 00 45 00 52 00 54 00 59 00 28 00 4F 00 2E 00 69 00 64 00 2C 00 27 00 49 00 73 00 55 00 73 00 65 00 72 00 54 00 61 00 62 00 6C 00 65 00 27 00 29 00 20 00 3E 00 20 00 30 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 4F 00 2E 00 75 00 69 00 64 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4F 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 43 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 00 00 }
	condition:
		$1
}

rule function_12120_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetSqlForColumnConstraints"
		size = 1660
		refs = "000f TDBXMsSqlMetaDataReader.GetSqlForColumnConstraints 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 39 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 74 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 54 00 2E 00 75 00 69 00 64 00 29 00 2C 00 20 00 54 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 43 00 4F 00 4E 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 41 00 53 00 20 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 4F 00 4C 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 41 00 53 00 20 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 54 00 2C 00 20 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 43 00 4F 00 4C 00 2C 00 20 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 43 00 4F 00 4E 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 54 00 2E 00 69 00 64 00 3D 00 43 00 4F 00 4E 00 2E 00 70 00 61 00 72 00 65 00 6E 00 74 00 5F 00 6F 00 62 00 6A 00 20 00 41 00 4E 00 44 00 20 00 43 00 4F 00 4E 00 2E 00 69 00 64 00 3D 00 43 00 4F 00 4C 00 2E 00 63 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 54 00 2E 00 75 00 69 00 64 00 29 00 3D 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 2E 00 6E 00 61 00 6D 00 65 00 3D 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 70 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 54 00 2E 00 75 00 69 00 64 00 29 00 2C 00 20 00 54 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 43 00 4F 00 4E 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 41 00 53 00 20 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 4F 00 4C 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 41 00 53 00 20 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 54 00 2C 00 20 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 43 00 4F 00 4C 00 2C 00 20 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 43 00 4F 00 4E 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 54 00 2E 00 69 00 64 00 3D 00 43 00 4F 00 4E 00 2E 00 70 00 61 00 72 00 65 00 6E 00 74 00 5F 00 6F 00 62 00 6A 00 20 00 41 00 4E 00 44 00 20 00 43 00 4F 00 4E 00 2E 00 69 00 64 00 3D 00 43 00 4F 00 4C 00 2E 00 63 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 54 00 2E 00 75 00 69 00 64 00 29 00 3D 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 2E 00 6E 00 61 00 6D 00 65 00 3D 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_12121_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetSqlForIndexes"
		size = 2856
		refs = "000f TDBXMsSqlMetaDataReader.GetSqlForIndexes 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 39 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 91 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 49 00 53 00 54 00 49 00 4E 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 4F 00 2E 00 75 00 69 00 64 00 29 00 2C 00 20 00 4F 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 49 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 49 00 4E 00 44 00 45 00 58 00 50 00 52 00 4F 00 50 00 45 00 52 00 54 00 59 00 28 00 49 00 2E 00 69 00 64 00 2C 00 20 00 49 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 20 00 27 00 49 00 73 00 55 00 6E 00 69 00 71 00 75 00 65 00 27 00 29 00 20 00 3E 00 20 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 49 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 45 00 4C 00 53 00 45 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4E 00 44 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 42 00 49 00 54 00 2C 00 20 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 4F 00 42 00 4A 00 45 00 43 00 54 00 50 00 52 00 4F 00 50 00 45 00 52 00 54 00 59 00 28 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 69 00 64 00 28 00 49 00 2E 00 6E 00 61 00 6D 00 65 00 29 00 2C 00 20 00 27 00 49 00 73 00 50 00 72 00 69 00 6D 00 61 00 72 00 79 00 4B 00 65 00 79 00 27 00 29 00 2C 00 20 00 30 00 29 00 29 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 42 00 49 00 54 00 2C 00 20 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 49 00 4E 00 44 00 45 00 58 00 50 00 52 00 4F 00 50 00 45 00 52 00 54 00 59 00 28 00 49 00 2E 00 69 00 64 00 2C 00 20 00 49 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 20 00 27 00 49 00 73 00 55 00 6E 00 69 00 71 00 75 00 65 00 27 00 29 00 2C 00 20 00 30 00 29 00 29 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 42 00 49 00 54 00 2C 00 20 00 31 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 4F 00 2C 00 20 00 73 00 79 00 73 00 69 00 6E 00 64 00 65 00 78 00 65 00 73 00 20 00 49 00 2C 00 20 00 73 00 79 00 73 00 69 00 6E 00 64 00 65 00 78 00 6B 00 65 00 79 00 73 00 20 00 49 00 4B 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 4F 00 2E 00 74 00 79 00 70 00 65 00 20 00 49 00 4E 00 20 00 28 00 27 00 55 00 27 00 29 00 20 00 61 00 6E 00 64 00 20 00 49 00 2E 00 69 00 64 00 20 00 3D 00 20 00 4F 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 4F 00 2E 00 69 00 64 00 20 00 3D 00 20 00 49 00 4B 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 49 00 2E 00 69 00 6E 00 64 00 69 00 64 00 20 00 3D 00 20 00 49 00 4B 00 2E 00 69 00 6E 00 64 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 49 00 4B 00 2E 00 6B 00 65 00 79 00 6E 00 6F 00 20 00 3C 00 3D 00 20 00 49 00 2E 00 6B 00 65 00 79 00 63 00 6E 00 74 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 6F 00 72 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 4F 00 2E 00 75 00 69 00 64 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4F 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 34 00 00 00 B0 04 02 00 FF FF FF FF AA 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 49 00 53 00 54 00 49 00 4E 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 4F 00 2E 00 75 00 69 00 64 00 29 00 2C 00 20 00 4F 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 49 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 49 00 4E 00 44 00 45 00 58 00 50 00 52 00 4F 00 50 00 45 00 52 00 54 00 59 00 28 00 49 00 2E 00 69 00 64 00 2C 00 20 00 49 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 20 00 27 00 49 00 73 00 55 00 6E 00 69 00 71 00 75 00 65 00 27 00 29 00 20 00 3E 00 20 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 49 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 45 00 4C 00 53 00 45 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4E 00 44 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 42 00 49 00 54 00 2C 00 20 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 4F 00 42 00 4A 00 45 00 43 00 54 00 50 00 52 00 4F 00 50 00 45 00 52 00 54 00 59 00 28 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 69 00 64 00 28 00 49 00 2E 00 6E 00 61 00 6D 00 65 00 29 00 2C 00 20 00 27 00 49 00 73 00 50 00 72 00 69 00 6D 00 61 00 72 00 79 00 4B 00 65 00 79 00 27 00 29 00 2C 00 20 00 30 00 29 00 29 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 42 00 49 00 54 00 2C 00 20 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 49 00 4E 00 44 00 45 00 58 00 50 00 52 00 4F 00 50 00 45 00 52 00 54 00 59 00 28 00 49 00 2E 00 69 00 64 00 2C 00 20 00 49 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 20 00 27 00 49 00 73 00 55 00 6E 00 69 00 71 00 75 00 65 00 27 00 29 00 2C 00 20 00 30 00 29 00 29 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 42 00 49 00 54 00 2C 00 20 00 31 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 4F 00 2C 00 20 00 73 00 79 00 73 00 69 00 6E 00 64 00 65 00 78 00 65 00 73 00 20 00 49 00 2C 00 20 00 73 00 79 00 73 00 69 00 6E 00 64 00 65 00 78 00 6B 00 65 00 79 00 73 00 20 00 49 00 4B 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 4F 00 2E 00 74 00 79 00 70 00 65 00 20 00 49 00 4E 00 20 00 28 00 27 00 55 00 27 00 29 00 20 00 61 00 6E 00 64 00 20 00 49 00 2E 00 69 00 64 00 20 00 3D 00 20 00 4F 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 4F 00 2E 00 69 00 64 00 20 00 3D 00 20 00 49 00 4B 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 49 00 2E 00 69 00 6E 00 64 00 69 00 64 00 20 00 3D 00 20 00 49 00 4B 00 2E 00 69 00 6E 00 64 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 49 00 4B 00 2E 00 6B 00 65 00 79 00 6E 00 6F 00 20 00 3C 00 3D 00 20 00 49 00 2E 00 6B 00 65 00 79 00 63 00 6E 00 74 00 20 00 20 00 41 00 4E 00 44 00 20 00 49 00 2E 00 73 00 74 00 61 00 74 00 75 00 73 00 20 00 26 00 20 00 30 00 78 00 38 00 30 00 30 00 30 00 30 00 30 00 20 00 3D 00 20 00 30 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 6F 00 72 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 4F 00 2E 00 75 00 69 00 64 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4F 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_12122_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetSqlForIndexColumns"
		size = 2684
		refs = "000f TDBXMsSqlMetaDataReader.GetSqlForIndexColumns 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 39 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 74 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 49 00 53 00 54 00 49 00 4E 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 4F 00 2E 00 75 00 69 00 64 00 29 00 2C 00 20 00 4F 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 49 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 43 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 49 00 4E 00 54 00 2C 00 20 00 49 00 4B 00 2E 00 6B 00 65 00 79 00 6E 00 6F 00 29 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 42 00 49 00 54 00 2C 00 20 00 31 00 20 00 2D 00 20 00 49 00 4E 00 44 00 45 00 58 00 4B 00 45 00 59 00 5F 00 50 00 52 00 4F 00 50 00 45 00 52 00 54 00 59 00 28 00 4F 00 2E 00 69 00 64 00 2C 00 20 00 49 00 2E 00 69 00 6E 00 64 00 69 00 64 00 2C 00 20 00 49 00 4B 00 2E 00 6B 00 65 00 79 00 6E 00 6F 00 2C 00 20 00 27 00 49 00 73 00 44 00 65 00 73 00 63 00 65 00 6E 00 64 00 69 00 6E 00 67 00 27 00 29 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 4F 00 2C 00 20 00 73 00 79 00 73 00 69 00 6E 00 64 00 65 00 78 00 65 00 73 00 20 00 49 00 2C 00 20 00 73 00 79 00 73 00 69 00 6E 00 64 00 65 00 78 00 6B 00 65 00 79 00 73 00 20 00 49 00 4B 00 2C 00 20 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 43 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 4F 00 2E 00 74 00 79 00 70 00 65 00 20 00 49 00 4E 00 20 00 28 00 27 00 55 00 27 00 29 00 20 00 41 00 4E 00 44 00 20 00 49 00 2E 00 69 00 64 00 20 00 3D 00 20 00 4F 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 4F 00 2E 00 69 00 64 00 20 00 3D 00 20 00 49 00 4B 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 4F 00 2E 00 69 00 64 00 20 00 3D 00 20 00 43 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 43 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 20 00 3D 00 20 00 49 00 4B 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 49 00 2E 00 69 00 6E 00 64 00 69 00 64 00 20 00 3D 00 20 00 49 00 4B 00 2E 00 69 00 6E 00 64 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 49 00 4B 00 2E 00 6B 00 65 00 79 00 6E 00 6F 00 20 00 3C 00 3D 00 20 00 49 00 2E 00 6B 00 65 00 79 00 63 00 6E 00 74 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 4F 00 2E 00 75 00 69 00 64 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4F 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 49 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 34 00 2C 00 20 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 70 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 49 00 53 00 54 00 49 00 4E 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 4F 00 2E 00 75 00 69 00 64 00 29 00 2C 00 20 00 4F 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 49 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 43 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 49 00 4E 00 54 00 2C 00 20 00 49 00 4B 00 2E 00 6B 00 65 00 79 00 6E 00 6F 00 29 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 42 00 49 00 54 00 2C 00 20 00 31 00 20 00 2D 00 20 00 49 00 4E 00 44 00 45 00 58 00 4B 00 45 00 59 00 5F 00 50 00 52 00 4F 00 50 00 45 00 52 00 54 00 59 00 28 00 4F 00 2E 00 69 00 64 00 2C 00 20 00 49 00 2E 00 69 00 6E 00 64 00 69 00 64 00 2C 00 20 00 49 00 4B 00 2E 00 6B 00 65 00 79 00 6E 00 6F 00 2C 00 20 00 27 00 49 00 73 00 44 00 65 00 73 00 63 00 65 00 6E 00 64 00 69 00 6E 00 67 00 27 00 29 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 4F 00 2C 00 20 00 73 00 79 00 73 00 69 00 6E 00 64 00 65 00 78 00 65 00 73 00 20 00 49 00 2C 00 20 00 73 00 79 00 73 00 69 00 6E 00 64 00 65 00 78 00 6B 00 65 00 79 00 73 00 20 00 49 00 4B 00 2C 00 20 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 43 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 4F 00 2E 00 74 00 79 00 70 00 65 00 20 00 49 00 4E 00 20 00 28 00 27 00 55 00 27 00 29 00 20 00 41 00 4E 00 44 00 20 00 49 00 2E 00 69 00 64 00 20 00 3D 00 20 00 4F 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 4F 00 2E 00 69 00 64 00 20 00 3D 00 20 00 49 00 4B 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 4F 00 2E 00 69 00 64 00 20 00 3D 00 20 00 43 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 43 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 20 00 3D 00 20 00 49 00 4B 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 49 00 2E 00 69 00 6E 00 64 00 69 00 64 00 20 00 3D 00 20 00 49 00 4B 00 2E 00 69 00 6E 00 64 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 49 00 4B 00 2E 00 6B 00 65 00 79 00 6E 00 6F 00 20 00 3C 00 3D 00 20 00 49 00 2E 00 6B 00 65 00 79 00 63 00 6E 00 74 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 4F 00 2E 00 75 00 69 00 64 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4F 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 49 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 34 00 2C 00 20 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_12123_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetSqlForForeignKeys"
		size = 1560
		refs = "000f TDBXMsSqlMetaDataReader.GetSqlForForeignKeys 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 39 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 5C 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 46 00 54 00 2E 00 73 00 63 00 68 00 65 00 6D 00 61 00 5F 00 69 00 64 00 29 00 2C 00 20 00 46 00 54 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 46 00 4B 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 46 00 52 00 4F 00 4D 00 20 00 73 00 79 00 73 00 2E 00 66 00 6F 00 72 00 65 00 69 00 67 00 6E 00 5F 00 6B 00 65 00 79 00 73 00 20 00 46 00 4B 00 2C 00 20 00 73 00 79 00 73 00 2E 00 74 00 61 00 62 00 6C 00 65 00 73 00 20 00 46 00 54 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 46 00 4B 00 2E 00 70 00 61 00 72 00 65 00 6E 00 74 00 5F 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 69 00 64 00 20 00 3D 00 20 00 46 00 54 00 2E 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 69 00 64 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 46 00 54 00 2E 00 73 00 63 00 68 00 65 00 6D 00 61 00 5F 00 69 00 64 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 54 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 57 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 46 00 54 00 2E 00 75 00 69 00 64 00 29 00 2C 00 20 00 46 00 54 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 46 00 4B 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 46 00 52 00 4F 00 4D 00 20 00 73 00 79 00 73 00 72 00 65 00 66 00 65 00 72 00 65 00 6E 00 63 00 65 00 73 00 20 00 52 00 2C 00 20 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 46 00 4B 00 2C 00 20 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 46 00 54 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 52 00 2E 00 66 00 6B 00 65 00 79 00 69 00 64 00 3D 00 46 00 54 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 52 00 2E 00 63 00 6F 00 6E 00 73 00 74 00 69 00 64 00 3D 00 46 00 4B 00 2E 00 69 00 64 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 46 00 54 00 2E 00 75 00 69 00 64 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 54 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 34 00 00 00 }
	condition:
		$1
}

rule function_12124_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetSqlForForeignKeyColumns"
		size = 4740
		refs = "000f TDBXMsSqlMetaDataReader.GetSqlForForeignKeyColumns 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 39 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF EF 04 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 46 00 54 00 2E 00 73 00 63 00 68 00 65 00 6D 00 61 00 5F 00 69 00 64 00 29 00 2C 00 20 00 46 00 54 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 46 00 4B 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 46 00 43 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 50 00 54 00 2E 00 73 00 63 00 68 00 65 00 6D 00 61 00 5F 00 69 00 64 00 29 00 2C 00 20 00 50 00 54 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 49 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 50 00 43 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 46 00 4B 00 43 00 2E 00 63 00 6F 00 6E 00 73 00 74 00 72 00 61 00 69 00 6E 00 74 00 5F 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 5F 00 69 00 64 00 20 00 46 00 52 00 4F 00 4D 00 20 00 73 00 79 00 73 00 2E 00 66 00 6F 00 72 00 65 00 69 00 67 00 6E 00 5F 00 6B 00 65 00 79 00 73 00 20 00 46 00 4B 00 2C 00 20 00 73 00 79 00 73 00 2E 00 66 00 6F 00 72 00 65 00 69 00 67 00 6E 00 5F 00 6B 00 65 00 79 00 5F 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 46 00 4B 00 43 00 2C 00 20 00 73 00 79 00 73 00 2E 00 74 00 61 00 62 00 6C 00 65 00 73 00 20 00 50 00 54 00 2C 00 20 00 73 00 79 00 73 00 2E 00 74 00 61 00 62 00 6C 00 65 00 73 00 20 00 46 00 54 00 2C 00 20 00 73 00 79 00 73 00 2E 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 50 00 43 00 2C 00 20 00 73 00 79 00 73 00 2E 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 46 00 43 00 2C 00 20 00 73 00 79 00 73 00 2E 00 69 00 6E 00 64 00 65 00 78 00 65 00 73 00 20 00 49 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 46 00 4B 00 2E 00 70 00 61 00 72 00 65 00 6E 00 74 00 5F 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 69 00 64 00 20 00 3D 00 20 00 46 00 54 00 2E 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 46 00 4B 00 2E 00 72 00 65 00 66 00 65 00 72 00 65 00 6E 00 63 00 65 00 64 00 5F 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 69 00 64 00 20 00 3D 00 20 00 50 00 54 00 2E 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 46 00 4B 00 43 00 2E 00 63 00 6F 00 6E 00 73 00 74 00 72 00 61 00 69 00 6E 00 74 00 5F 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 69 00 64 00 20 00 3D 00 20 00 46 00 4B 00 2E 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 46 00 4B 00 43 00 2E 00 72 00 65 00 66 00 65 00 72 00 65 00 6E 00 63 00 65 00 64 00 5F 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 5F 00 69 00 64 00 20 00 3D 00 20 00 50 00 43 00 2E 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 5F 00 69 00 64 00 20 00 20 00 41 00 4E 00 44 00 20 00 46 00 4B 00 43 00 2E 00 70 00 61 00 72 00 65 00 6E 00 74 00 5F 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 69 00 64 00 20 00 3D 00 20 00 46 00 54 00 2E 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 46 00 4B 00 43 00 2E 00 70 00 61 00 72 00 65 00 6E 00 74 00 5F 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 5F 00 69 00 64 00 20 00 3D 00 20 00 46 00 43 00 2E 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 5F 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 50 00 43 00 2E 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 69 00 64 00 20 00 3D 00 20 00 50 00 54 00 2E 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 46 00 43 00 2E 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 69 00 64 00 20 00 3D 00 20 00 46 00 54 00 2E 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 50 00 43 00 2E 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 69 00 64 00 20 00 3D 00 20 00 49 00 2E 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 46 00 4B 00 2E 00 6B 00 65 00 79 00 5F 00 69 00 6E 00 64 00 65 00 78 00 5F 00 69 00 64 00 20 00 3D 00 20 00 49 00 2E 00 69 00 6E 00 64 00 65 00 78 00 5F 00 69 00 64 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 46 00 54 00 2E 00 73 00 63 00 68 00 65 00 6D 00 61 00 5F 00 69 00 64 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 54 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 4B 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 50 00 54 00 2E 00 73 00 63 00 68 00 65 00 6D 00 61 00 5F 00 69 00 64 00 29 00 20 00 3D 00 20 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 50 00 54 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 49 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 2C 00 34 00 2C 00 46 00 4B 00 43 00 2E 00 63 00 6F 00 6E 00 73 00 74 00 72 00 61 00 69 00 6E 00 74 00 5F 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 5F 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF FA 03 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 46 00 54 00 2E 00 75 00 69 00 64 00 29 00 2C 00 20 00 46 00 54 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 46 00 4B 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 46 00 43 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 50 00 54 00 2E 00 75 00 69 00 64 00 29 00 2C 00 20 00 50 00 54 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 49 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 50 00 43 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 46 00 2E 00 6B 00 65 00 79 00 6E 00 6F 00 20 00 46 00 52 00 4F 00 4D 00 20 00 73 00 79 00 73 00 66 00 6F 00 72 00 65 00 69 00 67 00 6E 00 6B 00 65 00 79 00 73 00 20 00 46 00 2C 00 20 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 46 00 4B 00 2C 00 20 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 46 00 54 00 2C 00 20 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 46 00 43 00 2C 00 20 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 50 00 54 00 2C 00 20 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 50 00 43 00 2C 00 20 00 73 00 79 00 73 00 72 00 65 00 66 00 65 00 72 00 65 00 6E 00 63 00 65 00 73 00 20 00 52 00 2C 00 20 00 73 00 79 00 73 00 69 00 6E 00 64 00 65 00 78 00 65 00 73 00 20 00 49 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 46 00 2E 00 63 00 6F 00 6E 00 73 00 74 00 69 00 64 00 3D 00 46 00 4B 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 46 00 2E 00 66 00 6B 00 65 00 79 00 69 00 64 00 3D 00 46 00 54 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 46 00 2E 00 72 00 6B 00 65 00 79 00 69 00 64 00 3D 00 50 00 54 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 46 00 2E 00 66 00 6B 00 65 00 79 00 69 00 64 00 3D 00 46 00 43 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 46 00 2E 00 66 00 6B 00 65 00 79 00 3D 00 46 00 43 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 46 00 2E 00 72 00 6B 00 65 00 79 00 69 00 64 00 3D 00 50 00 43 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 46 00 2E 00 72 00 6B 00 65 00 79 00 3D 00 50 00 43 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 20 00 20 00 41 00 4E 00 44 00 20 00 52 00 2E 00 63 00 6F 00 6E 00 73 00 74 00 69 00 64 00 3D 00 46 00 2E 00 63 00 6F 00 6E 00 73 00 74 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 46 00 2E 00 72 00 6B 00 65 00 79 00 69 00 64 00 3D 00 49 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 52 00 2E 00 72 00 6B 00 65 00 79 00 69 00 6E 00 64 00 69 00 64 00 3D 00 49 00 2E 00 69 00 6E 00 64 00 69 00 64 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 46 00 54 00 2E 00 75 00 69 00 64 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 54 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 4B 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 }
	condition:
		$1
}

rule function_12125_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetSqlForSynonyms"
		size = 1016
		refs = "000f TDBXMsSqlMetaDataReader.GetSqlForSynonyms 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 39 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 73 00 63 00 68 00 65 00 6D 00 61 00 5F 00 69 00 64 00 29 00 2C 00 20 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 62 00 61 00 73 00 65 00 5F 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 6E 00 61 00 6D 00 65 00 20 00 46 00 52 00 4F 00 4D 00 20 00 73 00 79 00 73 00 2E 00 73 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 73 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 6F 00 62 00 6A 00 65 00 63 00 74 00 5F 00 69 00 64 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 8B 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 46 00 52 00 4F 00 4D 00 20 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 3A 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 31 00 3D 00 32 00 00 00 }
	condition:
		$1
}

rule function_12126_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetSqlForProcedures"
		size = 876
		refs = "0006 TDBXMsSqlMetaDataReader.GetSqlForProcedures 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF A5 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 2C 00 20 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2E 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 6F 00 72 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 2C 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_12127_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetSqlForProcedureSources"
		size = 2108
		refs = "000f TDBXMsSqlMetaDataReader.GetSqlForProcedureSources 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 39 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF E2 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 2C 00 20 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 4C 00 45 00 4E 00 28 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 44 00 45 00 46 00 49 00 4E 00 49 00 54 00 49 00 4F 00 4E 00 29 00 20 00 3E 00 20 00 34 00 30 00 30 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4C 00 45 00 46 00 54 00 28 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 44 00 45 00 46 00 49 00 4E 00 49 00 54 00 49 00 4F 00 4E 00 2C 00 34 00 30 00 30 00 30 00 29 00 2B 00 27 00 20 00 2E 00 2E 00 2E 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 44 00 45 00 46 00 49 00 4E 00 49 00 54 00 49 00 4F 00 4E 00 20 00 45 00 4E 00 44 00 2C 00 20 00 45 00 58 00 54 00 45 00 52 00 4E 00 41 00 4C 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2E 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 6F 00 72 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 2C 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF E2 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 2C 00 20 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 4C 00 45 00 4E 00 28 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 44 00 45 00 46 00 49 00 4E 00 49 00 54 00 49 00 4F 00 4E 00 29 00 20 00 3E 00 20 00 32 00 39 00 35 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4C 00 45 00 46 00 54 00 28 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 44 00 45 00 46 00 49 00 4E 00 49 00 54 00 49 00 4F 00 4E 00 2C 00 32 00 39 00 35 00 30 00 29 00 2B 00 27 00 20 00 2E 00 2E 00 2E 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 44 00 45 00 46 00 49 00 4E 00 49 00 54 00 49 00 4F 00 4E 00 20 00 45 00 4E 00 44 00 2C 00 20 00 45 00 58 00 54 00 45 00 52 00 4E 00 41 00 4C 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2E 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 6F 00 72 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 2C 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_12128_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetSqlForProcedureParameters"
		size = 1436
		refs = "0006 TDBXMsSqlMetaDataReader.GetSqlForProcedureParameters 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF BD 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 2C 00 20 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 49 00 53 00 5F 00 52 00 45 00 53 00 55 00 4C 00 54 00 3D 00 27 00 59 00 45 00 53 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 52 00 45 00 53 00 55 00 4C 00 54 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4D 00 4F 00 44 00 45 00 20 00 45 00 4E 00 44 00 2C 00 20 00 44 00 41 00 54 00 41 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 4D 00 41 00 58 00 49 00 4D 00 55 00 4D 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 2C 00 20 00 4E 00 55 00 4D 00 45 00 52 00 49 00 43 00 5F 00 50 00 52 00 45 00 43 00 49 00 53 00 49 00 4F 00 4E 00 29 00 2C 00 20 00 4E 00 55 00 4D 00 45 00 52 00 49 00 43 00 5F 00 53 00 43 00 41 00 4C 00 45 00 2C 00 20 00 4F 00 52 00 44 00 49 00 4E 00 41 00 4C 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 42 00 49 00 54 00 2C 00 31 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2E 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 6F 00 72 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 6F 00 72 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 6F 00 72 00 20 00 28 00 3A 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 55 00 4E 00 49 00 4F 00 4E 00 20 00 41 00 4C 00 4C 00 20 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 54 00 4F 00 50 00 20 00 31 00 20 00 27 00 27 00 2C 00 20 00 27 00 27 00 2C 00 20 00 27 00 27 00 2C 00 20 00 27 00 40 00 52 00 45 00 54 00 55 00 52 00 4E 00 5F 00 56 00 41 00 4C 00 55 00 45 00 27 00 2C 00 20 00 27 00 52 00 45 00 53 00 55 00 4C 00 54 00 27 00 2C 00 20 00 27 00 69 00 6E 00 74 00 27 00 2C 00 20 00 31 00 30 00 2C 00 20 00 30 00 2C 00 20 00 30 00 2C 00 20 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 28 00 42 00 49 00 54 00 2C 00 31 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2E 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 53 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 39 00 00 00 }
	condition:
		$1
}

rule function_12133_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetSqlForUsers"
		size = 184
		refs = "0006 TDBXMsSqlMetaDataReader.GetSqlForUsers 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 4A 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 6E 00 61 00 6D 00 65 00 20 00 46 00 52 00 4F 00 4D 00 20 00 73 00 79 00 73 00 75 00 73 00 65 00 72 00 73 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 69 00 73 00 6C 00 6F 00 67 00 69 00 6E 00 3D 00 31 00 20 00 41 00 4E 00 44 00 20 00 28 00 73 00 69 00 64 00 20 00 49 00 53 00 20 00 4E 00 4F 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_12134_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetSqlForRoles"
		size = 204
		refs = "0006 TDBXMsSqlMetaDataReader.GetSqlForRoles 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 54 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 6E 00 61 00 6D 00 65 00 20 00 46 00 52 00 4F 00 4D 00 20 00 73 00 79 00 73 00 75 00 73 00 65 00 72 00 73 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 75 00 69 00 64 00 20 00 21 00 3D 00 20 00 30 00 20 00 41 00 4E 00 44 00 20 00 28 00 69 00 73 00 73 00 71 00 6C 00 72 00 6F 00 6C 00 65 00 3D 00 31 00 20 00 4F 00 52 00 20 00 69 00 73 00 61 00 70 00 70 00 72 00 6F 00 6C 00 65 00 3D 00 31 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_12135_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetDataTypeDescriptions"
		size = 4016
		refs = "000c TDBXMsSqlMetaDataReader.GetDataTypeDescriptions 0022 TDBXDataTypeDescriptionArray 0027 @DynArraySetLength 0054 _Dn_TDBXDataTypeDescription 0059 TDBXDataTypeDescription.Create 0937 @DynArrayAsg 0952 @DynArrayClear 0958 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 26 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 05 6A 00 6A 05 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D7 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 6A 06 6A 00 6A 0A 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D7 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 6A 1B 6A 00 6A 07 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 6A 07 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 6A 08 6A 00 6A 13 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 6A 08 6A 00 6A 0A 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 6A 04 6A 00 6A 01 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 6A 1D 6A 00 6A 03 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D7 02 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 6A 12 6A 00 6A 13 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D7 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 6A 0F 6A 00 6A 08 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 68 84 04 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 6A 09 6A 00 68 40 1F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 68 C6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 6A 03 6A 00 68 FF FF FF 7F 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 62 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 6A 01 6A 00 68 FF FF FF 7F 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 62 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 6A 1A 6A 00 68 FF FF FF 3F 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 62 11 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 6A 08 6A 00 6A 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 26 6A 00 6A 00 6A 00 6A 00 6A 00 68 C7 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 38 6A 08 6A 00 6A 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 26 6A 00 6A 00 6A 00 6A 00 6A 00 68 C7 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 3C 6A 18 6A 00 6A 17 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C6 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 40 6A 18 6A 00 6A 10 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C6 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 44 6A 1E 6A 00 6A 00 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C2 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 48 6A 1A 6A 00 68 FF FF FF 7F 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 68 ?? ?? ?? ?? 6A 60 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 4C 6A 01 6A 00 68 40 1F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 C2 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 50 6A 01 6A 00 68 FF FF FF 7F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 68 C2 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 54 6A 01 6A 00 68 40 1F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 C6 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 58 6A 01 6A 00 68 FF FF FF 7F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 68 C6 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 5C 6A 1A 6A 00 68 A0 0F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 C6 11 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 60 6A 1A 6A 00 68 FF FF FF 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 68 C6 11 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 64 6A 1A 6A 00 68 A0 0F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 C2 11 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 68 6A 1A 6A 00 68 FF FF FF 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 68 C2 11 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 6C 6A 0F 6A 00 68 40 1F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 6A 00 68 C2 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 70 6A 0F 6A 00 68 FF FF FF 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 6A 00 68 ?? ?? ?? ?? 68 C2 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 74 6A 01 6A 00 6A 10 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 78 6A 02 6A 00 6A 0A 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 68 C6 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 7C 6A 18 6A 00 6A 1B 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 68 C6 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 80 00 00 00 6A 24 6A 00 6A 22 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 68 C6 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 84 00 00 00 6A 0A 6A 00 6A 10 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 68 C6 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 88 00 00 00 6A 0F 6A 00 68 7C 03 00 00 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 6A 00 68 ?? ?? ?? ?? 68 C0 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 8C 00 00 00 6A 0F 6A 00 68 FF FF FF 3F 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 6A 00 68 ?? ?? ?? ?? 68 C0 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 90 00 00 00 6A 0F 6A 00 68 FF FF FF 3F 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 6A 00 68 ?? ?? ?? ?? 68 C0 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 94 00 00 00 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 6D 00 61 00 6C 00 6C 00 69 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 69 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 72 00 65 00 61 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 66 00 6C 00 6F 00 61 00 74 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 6C 00 6F 00 61 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6D 00 6F 00 6E 00 65 00 79 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 6D 00 61 00 6C 00 6C 00 6D 00 6F 00 6E 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 62 00 69 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 74 00 69 00 6E 00 79 00 69 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 69 00 67 00 69 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 74 00 69 00 6D 00 65 00 73 00 74 00 61 00 6D 00 70 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 30 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 62 00 69 00 6E 00 61 00 72 00 79 00 28 00 7B 00 30 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 6D 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6E 00 74 00 65 00 78 00 74 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4E 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 64 00 65 00 63 00 69 00 6D 00 61 00 6C 00 28 00 7B 00 30 00 7D 00 2C 00 20 00 7B 00 31 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 2C 00 20 00 53 00 63 00 61 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 63 00 69 00 6D 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 6E 00 75 00 6D 00 65 00 72 00 69 00 63 00 28 00 7B 00 30 00 7D 00 2C 00 20 00 7B 00 31 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6E 00 75 00 6D 00 65 00 72 00 69 00 63 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 64 00 61 00 74 00 65 00 74 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 7B 00 74 00 73 00 20 00 27 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 73 00 6D 00 61 00 6C 00 6C 00 64 00 61 00 74 00 65 00 74 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 73 00 71 00 6C 00 5F 00 76 00 61 00 72 00 69 00 61 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 78 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 39 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 76 00 61 00 72 00 63 00 68 00 61 00 72 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 38 00 2E 00 39 00 39 00 2E 00 39 00 39 00 39 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 76 00 61 00 72 00 63 00 68 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 68 00 61 00 72 00 28 00 7B 00 30 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 68 00 61 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6E 00 63 00 68 00 61 00 72 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6E 00 63 00 68 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 6E 00 76 00 61 00 72 00 63 00 68 00 61 00 72 00 28 00 7B 00 30 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6E 00 76 00 61 00 72 00 63 00 68 00 61 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 76 00 61 00 72 00 62 00 69 00 6E 00 61 00 72 00 79 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 76 00 61 00 72 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 75 00 6E 00 69 00 71 00 75 00 65 00 69 00 64 00 65 00 6E 00 74 00 69 00 66 00 69 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 64 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 31 00 30 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 64 00 61 00 74 00 65 00 74 00 69 00 6D 00 65 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 64 00 61 00 74 00 65 00 74 00 69 00 6D 00 65 00 6F 00 66 00 66 00 73 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 68 00 69 00 65 00 72 00 61 00 72 00 63 00 68 00 79 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 67 00 65 00 6F 00 6D 00 65 00 74 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 67 00 65 00 6F 00 67 00 72 00 61 00 70 00 68 00 79 00 00 00 }
	condition:
		$1
}

rule function_12136_0 {
	meta:
		name = "TDBXMsSqlMetaDataReader.GetReservedWords"
		size = 18108
		refs = "000c TDBXMsSqlMetaDataReader.GetReservedWords 0025 TDBXStringArray 002a @DynArraySetLength 003a @UStrAsg 1b9c @DynArrayAsg 1bb7 @DynArrayClear 1bbd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 89 01 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 28 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 34 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 3C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 60 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 6C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 70 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 74 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 78 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 7C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 03 00 00 BA ?? }
	condition:
		$1
}

rule function_12139_0 {
	meta:
		name = "TDBXMsSqlCustomMetaDataWriter.MakeSqlDropSecondaryIndex"
		size = 444
		refs = "0018 TDBXMsSqlCustomMetaDataWriter.MakeSqlDropSecondaryIndex 0036 @UStrCmp 0043 TDBXBaseMetaDataWriter.MakeSqlDropSecondaryIndex 005e TDBXStringBuffer.Append 010c @UStrArrayClr 0114 @UStrClr 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 46 08 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 10 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? E9 AA 00 00 00 8B C7 8B 10 FF 52 3C 89 45 F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 45 F8 8B 08 FF 51 24 8D 4D F4 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D F4 8B D3 8B C6 8B 38 FF 57 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 03 00 00 00 8B 45 F8 8B 08 FF 51 24 8D 4D F0 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D F0 8B D3 8B C6 8B 30 FF 56 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 39 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 52 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 44 00 45 00 58 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_12143_0 {
	meta:
		name = "TDBXMsSqlMetaDataWriter.GetSqlAutoIncrementInserts"
		size = 64
		refs = "0006 TDBXMsSqlMetaDataWriter.GetSqlAutoIncrementInserts 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 44 00 45 00 4E 00 54 00 49 00 54 00 59 00 5F 00 49 00 4E 00 53 00 45 00 52 00 54 00 00 00 }
	condition:
		$1
}

rule function_13398_0 {
	meta:
		name = "TDBXSybaseASEMetaDataWriter.GetSqlAutoIncrementInserts"
		size = 64
		refs = "0006 TDBXSybaseASEMetaDataWriter.GetSqlAutoIncrementInserts 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 44 00 45 00 4E 00 54 00 49 00 54 00 59 00 5F 00 49 00 4E 00 53 00 45 00 52 00 54 00 00 00 }
	condition:
		$1
}

rule function_12144_0 {
	meta:
		name = "TDBXMsSqlMetaDataWriter.GetSqlRenameTable"
		size = 176
		refs = "0006 TDBXMsSqlMetaDataWriter.GetSqlRenameTable 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 46 00 00 00 45 00 58 00 45 00 43 00 20 00 73 00 70 00 5F 00 72 00 65 00 6E 00 61 00 6D 00 65 00 20 00 27 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 2E 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 27 00 2C 00 20 00 27 00 3A 00 4E 00 45 00 57 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 27 00 2C 00 20 00 27 00 4F 00 42 00 4A 00 45 00 43 00 54 00 27 00 00 00 00 00 }
	condition:
		$1
}

rule function_13404_0 {
	meta:
		name = "TDBXSybaseASEMetaDataWriter.GetSqlRenameTable"
		size = 176
		refs = "0006 TDBXSybaseASEMetaDataWriter.GetSqlRenameTable 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 46 00 00 00 45 00 58 00 45 00 43 00 20 00 73 00 70 00 5F 00 72 00 65 00 6E 00 61 00 6D 00 65 00 20 00 27 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 2E 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 27 00 2C 00 20 00 27 00 3A 00 4E 00 45 00 57 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 27 00 2C 00 20 00 27 00 4F 00 42 00 4A 00 45 00 43 00 54 00 27 00 00 00 00 00 }
	condition:
		$1
}

rule function_12154_0 {
	meta:
		name = "TDBXMySQLProperties.Create"
		size = 2552
		refs = "0015 @ClassCreate 0021 TDBXMySQLProperties.Create 0030 TDBXProperties.Create 0041 TDBXProperties.SetValue 005a _Dn_TDBXPlatform 005f TDBXPlatform.GetPublicKeyToken 006f @UStrCat3 01df @UStrArrayClr 01e5 @HandleFinally 01f2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 4D 00 79 00 53 00 71 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 2C 00 44 00 42 00 58 00 4D 00 79 00 53 00 51 00 4C 00 44 00 72 00 69 00 76 00 65 00 72 00 31 00 36 00 30 00 2E 00 62 00 70 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 73 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 2C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 43 00 6F 00 6D 00 6D 00 6F 00 6E 00 44 00 72 00 69 00 76 00 65 00 72 00 2C 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 31 00 36 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 2C 00 43 00 75 00 6C 00 74 00 75 00 72 00 65 00 3D 00 6E 00 65 00 75 00 74 00 72 00 61 00 6C 00 2C 00 50 00 75 00 62 00 6C 00 69 00 63 00 4B 00 65 00 79 00 54 00 6F 00 6B 00 65 00 6E 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 41 00 73 00 73 00 65 00 6D 00 62 00 6C 00 79 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 35 00 00 00 54 00 44 00 42 00 58 00 4D 00 79 00 53 00 71 00 6C 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 2C 00 44 00 62 00 78 00 4D 00 79 00 53 00 51 00 4C 00 44 00 72 00 69 00 76 00 65 00 72 00 31 00 36 00 30 00 2E 00 62 00 70 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 79 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 54 00 44 00 42 00 58 00 4D 00 79 00 53 00 71 00 6C 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 2C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 4D 00 79 00 53 00 51 00 4C 00 44 00 72 00 69 00 76 00 65 00 72 00 2C 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 31 00 36 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 2C 00 43 00 75 00 6C 00 74 00 75 00 72 00 65 00 3D 00 6E 00 65 00 75 00 74 00 72 00 61 00 6C 00 2C 00 50 00 75 00 62 00 6C 00 69 00 63 00 4B 00 65 00 79 00 54 00 6F 00 6B 00 65 00 6E 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 41 00 73 00 73 00 65 00 6D 00 62 00 6C 00 79 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 67 00 65 00 74 00 53 00 51 00 4C 00 44 00 72 00 69 00 76 00 65 00 72 00 4D 00 59 00 53 00 51 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 44 00 72 00 69 00 76 00 65 00 72 00 46 00 75 00 6E 00 63 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 64 00 62 00 78 00 6D 00 79 00 73 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 6C 00 69 00 62 00 73 00 71 00 6C 00 6D 00 79 00 73 00 2E 00 64 00 79 00 6C 00 69 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 4F 00 73 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6C 00 69 00 62 00 6D 00 79 00 73 00 71 00 6C 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 57 00 69 00 6E 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 6C 00 69 00 62 00 6D 00 79 00 73 00 71 00 6C 00 63 00 6C 00 69 00 65 00 6E 00 74 00 2E 00 64 00 79 00 6C 00 69 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 4F 00 73 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 42 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 75 00 73 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 45 00 72 00 72 00 6F 00 72 00 52 00 65 00 73 00 6F 00 75 00 72 00 63 00 65 00 46 00 69 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 68 00 61 00 72 00 53 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 6F 00 63 00 61 00 6C 00 65 00 43 00 6F 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6D 00 70 00 72 00 65 00 73 00 73 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 6E 00 63 00 72 00 79 00 70 00 74 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_12156_0 {
	meta:
		name = "TDBXMySQLProperties.GetCompressed"
		size = 120
		refs = "000c TDBXMySQLProperties.GetCompressed 0021 TDBXProperties.GetValue 002b StrToBoolDef 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6D 00 70 00 72 00 65 00 73 00 73 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_12158_0 {
	meta:
		name = "TDBXMySQLProperties.GetEncrypted"
		size = 116
		refs = "000c TDBXMySQLProperties.GetEncrypted 0021 TDBXProperties.GetValue 002b StrToBoolDef 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 6E 00 63 00 72 00 79 00 70 00 74 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_12164_0 {
	meta:
		name = "TDBXMySQLProperties.SetCompressed"
		size = 124
		refs = "000f TDBXMySQLProperties.SetCompressed 0021 BoolToStr 0030 TDBXProperties.SetValue 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6D 00 70 00 72 00 65 00 73 00 73 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_12166_0 {
	meta:
		name = "TDBXMySQLProperties.SetEncrypted"
		size = 120
		refs = "000f TDBXMySQLProperties.SetEncrypted 0021 BoolToStr 0030 TDBXProperties.SetValue 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 6E 00 63 00 72 00 79 00 70 00 74 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_12172_0 {
	meta:
		name = "Data.DbxMySql"
		size = 52
		refs = "0002 _DV_3 000b _DV_TDBXMySQLDriver 0010 Data.DbxMySql 0015 TDBXDriverRegistry.RegisterDriverClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 79 00 53 00 51 00 4C 00 00 00 }
	condition:
		$1
}

rule function_12173_0 {
	meta:
		name = "Finalization"
		size = 56
		refs = "0002 _DV_1 000a _Dn_TDBXMySqlMetaDataWriter 000f Finalization 0014 _Dn_TDBXMetaDataWriterFactory 0019 TDBXMetaDataWriterFactory.UnRegisterWriter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 15 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 79 00 53 00 51 00 4C 00 00 00 }
	condition:
		$1
}

rule function_12174_0 {
	meta:
		name = "Data.DBXMySqlMetaData"
		size = 56
		refs = "0002 _DV_1 000b _Dn_TDBXMySqlMetaDataWriter 0010 Data.DBXMySqlMetaData 0015 _Dn_TDBXMetaDataWriterFactory 001a TDBXMetaDataWriterFactory.RegisterWriter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 79 00 53 00 51 00 4C 00 00 00 }
	condition:
		$1
}

rule function_12176_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.SetContext"
		size = 172
		refs = "000f TDBXMySqlCustomMetaDataReader.SetContext 001e TDBXBaseMetaDataReader.SetContext 003a @UStrEqual 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B C6 8B 30 FF 56 20 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 88 43 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12178_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.PopulateDataTypes"
		size = 156
		refs = "001b TDBXMySqlCustomMetaDataReader.PopulateDataTypes 002f @DynArrayLength 0053 TDBXDataTypeDescription.SetUnicodeOptionSupported 0069 TDBXBaseMetaDataReader.PopulateDataTypes"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 80 78 1C 00 75 11 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 5C 85 C0 7C 30 8B 45 08 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 21 43 33 F6 8B 45 08 8B 04 B0 8B 50 08 83 FA 01 74 05 83 FA 1A 75 07 B2 01 E8 ?? ?? ?? ?? 46 4B 75 E2 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_12179_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.GetDataTypeDescriptions"
		size = 3388
		refs = "000d TDBXMySqlCustomMetaDataReader.GetDataTypeDescriptions 0033 TDBXDataTypeDescriptionArray 0038 @DynArraySetLength 0065 _Dn_TDBXDataTypeDescription 006a TDBXDataTypeDescription.Create 07aa @DynArrayAsg 07c5 @DynArrayClear 07cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BB 01 00 00 00 80 78 1C 00 74 05 BB 1A 00 00 00 6A 20 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 1C 6A 00 6A 03 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D7 40 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 6A 05 6A 00 6A 05 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D7 40 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 6A 06 6A 00 6A 0A 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D7 40 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 6A 12 6A 00 6A 13 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D5 40 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 6A 12 6A 00 6A 13 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D7 40 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 6A 1B 6A 00 6A 17 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 6A 07 6A 00 6A 35 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 6A 08 6A 00 6A 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 40 6A 00 6A 00 6A 00 6A 00 6A 00 68 C6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 6A 08 6A 00 6A 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 40 6A 00 6A 00 6A 00 6A 00 6A 00 68 C4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 6A 18 6A 00 6A 04 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 84 04 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 6A 18 6A 00 6A 08 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C6 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 6A 02 6A 00 6A 03 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C6 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 6A 0A 6A 00 6A 03 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C6 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 6A 06 6A 00 6A 01 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C4 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 6A 09 6A 00 68 FF 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 6A 00 68 ?? ?? ?? ?? 68 C6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 38 6A 0F 6A 00 68 FE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 6A 00 68 C2 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 3C 6A 0F 6A 00 68 FD FF 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 6A 00 68 ?? ?? ?? ?? 68 C2 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 40 53 6A 00 68 FF 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 68 C6 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 44 53 6A 00 68 FE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 C2 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 48 53 6A 00 68 FD FF 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 68 C2 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 4C 53 6A 00 68 FE 00 00 00 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 62 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 50 53 6A 00 68 FD FF 00 00 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 62 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 54 53 6A 00 68 FC FF FF 00 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 60 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 58 53 6A 00 6A FB 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 62 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 5C 6A 03 6A 00 68 FE 00 00 00 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 62 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 60 6A 03 6A 00 68 FD FF 00 00 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 62 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 64 6A 03 6A 00 68 FC FF FF 00 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 60 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 68 6A 03 6A 00 6A FB 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 62 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 6C 6A 04 6A 00 6A 01 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 62 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 70 53 6A 00 68 FF FF 00 00 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 68 C0 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 74 53 6A 00 6A 40 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 68 C8 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 78 6A 0F 6A 00 6A 08 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 6A 00 6A 00 6A 00 68 ?? ?? ?? ?? 68 C2 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 7C 8B C6 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 74 00 69 00 6E 00 79 00 69 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 6D 00 61 00 6C 00 6C 00 69 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 69 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 65 00 64 00 69 00 75 00 6D 00 69 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 69 00 67 00 69 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 6C 00 6F 00 61 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 64 00 65 00 63 00 69 00 6D 00 61 00 6C 00 28 00 7B 00 30 00 7D 00 2C 00 20 00 7B 00 31 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 2C 00 20 00 53 00 63 00 61 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 63 00 69 00 6D 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 6E 00 75 00 6D 00 65 00 72 00 69 00 63 00 28 00 7B 00 30 00 7D 00 2C 00 20 00 7B 00 31 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6E 00 75 00 6D 00 65 00 72 00 69 00 63 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 74 00 69 00 6D 00 65 00 73 00 74 00 61 00 6D 00 70 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 7B 00 74 00 73 00 20 00 27 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 64 00 61 00 74 00 65 00 74 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 64 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 79 00 65 00 61 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 62 00 69 00 6E 00 61 00 72 00 79 00 28 00 7B 00 30 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 30 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 76 00 61 00 72 00 62 00 69 00 6E 00 61 00 72 00 79 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 76 00 61 00 72 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 68 00 61 00 72 00 28 00 7B 00 30 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 68 00 61 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 76 00 61 00 72 00 63 00 68 00 61 00 72 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 76 00 61 00 72 00 63 00 68 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 74 00 69 00 6E 00 79 00 74 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6D 00 65 00 64 00 69 00 75 00 6D 00 74 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6C 00 6F 00 6E 00 67 00 74 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 74 00 69 00 6E 00 79 00 62 00 6C 00 6F 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6C 00 6F 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6D 00 65 00 64 00 69 00 75 00 6D 00 62 00 6C 00 6F 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6C 00 6F 00 6E 00 67 00 62 00 6C 00 6F 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6F 00 6F 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6E 00 75 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 73 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 62 00 69 00 74 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 62 00 69 00 74 00 00 00 }
	condition:
		$1
}

rule function_12180_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.FetchSchemas"
		size = 192
		refs = "000f TDBXMySqlCustomMetaDataReader.FetchSchemas 002e TDBXBaseMetaDataReader.FetchSchemas 003a TDBXMetaDataCollectionColumns.CreateSchemasColumns 004a _Dn_TDBXEmptyTableCursor 004f TDBXEmptyTableCursor.Create 0067 TDBXValueTypeArray 006c @DynArrayClear 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 5C 85 C0 7C 0D 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 1F 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 73 00 00 00 }
	condition:
		$1
}

rule function_12181_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.FetchTables"
		size = 412
		refs = "001a TDBXMySqlCustomMetaDataReader.FetchTables 0041 TDBXBaseMetaDataReader.FetchTables 0050 TDBXMetaDataCollectionColumns.CreateTablesColumns 0060 StringIndexOf 007d _Dn_TDBXEmptyTableCursor 0082 TDBXEmptyTableCursor.Create 00b6 @UStrCatN 00d7 _DV_TDBXMySqlCustomMetaDataReader.TDBXMySql4TablesCursor 00dc TDBXMySqlCustomMetaDataReader.TDBXMySql4TablesCursor.Create 00f3 @UStrClr 00fc TDBXValueTypeArray 0101 @DynArrayClear 0107 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 5C 85 C0 7C 18 8B 45 0C 50 56 8B 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 96 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 85 F6 74 13 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 9C C0 EB 02 33 C0 84 C0 74 19 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 58 8D 55 F8 8B C3 8B 08 FF 91 EC 00 00 00 83 7D 0C 00 74 1D FF 75 F8 68 ?? ?? ?? ?? FF 75 0C 68 ?? ?? ?? ?? 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 6A 00 8B C3 8B 10 FF 52 0C 33 C9 8B 55 F8 8B 30 FF 56 04 8B 55 FC 52 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 41 00 42 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 6C 00 69 00 6B 00 65 00 20 00 27 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 }
	condition:
		$1
}

rule function_12182_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.FetchViews"
		size = 200
		refs = "0012 TDBXMySqlCustomMetaDataReader.FetchViews 0037 TDBXBaseMetaDataReader.FetchViews 0043 TDBXMetaDataCollectionColumns.CreateViewsColumns 0053 _Dn_TDBXEmptyTableCursor 0058 TDBXEmptyTableCursor.Create 0070 TDBXValueTypeArray 0075 @DynArrayClear 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 5C 85 C0 7C 13 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 1F 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 69 00 65 00 77 00 73 00 00 00 }
	condition:
		$1
}

rule function_12183_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.FetchColumns"
		size = 604
		refs = "0020 TDBXMySqlCustomMetaDataReader.FetchColumns 002e TDBXMetaDataCollectionColumns.CreateColumnsColumns 0052 TDBXStringArray 0057 @DynArraySetLength 0067 @UStrAsg 0105 _Dn_TDBXCustomMetaDataTable 010a TDBXCustomMetaDataTable.Create 0117 _DV_TDBXMySqlCustomMetaDataReader.TDBXMySqlColumnsTableCursor 011c TDBXMySqlCustomMetaDataReader.TDBXMySqlColumnsTableCursor.Create 013f _DV_TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor 0144 TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.Create 0172 @UStrArrayClr 0185 @FinalizeArray 018e TDBXValueTypeArray 0193 @DynArrayClear 0199 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F0 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 5C 85 C0 0F 8C DE 00 00 00 6A 03 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 8B D7 E8 ?? ?? ?? ?? 8B 45 F4 83 C0 04 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 F4 83 C0 08 8B D6 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 EC 8B C3 8B 08 FF 91 F4 00 00 00 8B 45 EC 50 8B C3 8B 10 FF 52 0C 8B 4D F8 5A 8B 30 FF 56 04 8B F0 68 ?? ?? ?? ?? 8B 45 FC 50 56 8B C3 8B 10 FF 52 0C 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 56 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 38 8B 45 FC 50 8D 55 E8 8B C3 8B 08 FF 91 F4 00 00 00 8B 45 E8 50 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 50 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_12184_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.FetchIndexes"
		size = 208
		refs = "001a TDBXMySqlCustomMetaDataReader.FetchIndexes 003d TDBXBaseMetaDataReader.FetchIndexes 0049 TDBXMetaDataCollectionColumns.CreateIndexesColumns 0068 _DV_TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexesCursor 006d TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexesCursor.Create 0084 @UStrClr 008d TDBXValueTypeArray 0092 @DynArrayClear 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 5C 85 C0 7C 11 56 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 2E 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F4 8B C3 8B 08 FF 91 FC 00 00 00 8B 45 F4 50 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_12185_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.FetchIndexColumns"
		size = 220
		refs = "0023 TDBXMySqlCustomMetaDataReader.FetchIndexColumns 0048 TDBXBaseMetaDataReader.FetchIndexColumns 0054 TDBXMetaDataCollectionColumns.CreateIndexColumnsColumns 0074 _DV_TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexColumnsCursor 0079 TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexColumnsCursor.Create 0090 @UStrClr 0099 TDBXValueTypeArray 009e @DynArrayClear 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D FC 89 4D F4 89 55 F8 8B D8 8B 7D 08 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 5C 85 C0 7C 13 56 57 8B 4D F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 2F 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F0 8B C3 8B 08 FF 91 00 01 00 00 8B 45 F0 50 56 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_12186_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.FetchForeignKeys"
		size = 208
		refs = "001a TDBXMySqlCustomMetaDataReader.FetchForeignKeys 003d TDBXBaseMetaDataReader.FetchForeignKeys 0049 TDBXMetaDataCollectionColumns.CreateForeignKeysColumns 0068 _DV_TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyCursor 006d TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyCursor.Create 0084 @UStrClr 008d TDBXValueTypeArray 0092 @DynArrayClear 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 5C 85 C0 7C 11 56 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 2E 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F4 8B C3 8B 08 FF 91 04 01 00 00 8B 45 F4 50 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_12187_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.FetchForeignKeyColumns"
		size = 244
		refs = "0023 TDBXMySqlCustomMetaDataReader.FetchForeignKeyColumns 0058 TDBXBaseMetaDataReader.FetchForeignKeyColumns 0064 TDBXMetaDataCollectionColumns.CreateForeignKeyColumnsColumns 008c _DV_TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyColumnsCursor 0091 TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyColumnsCursor.Create 00a8 @UStrClr 00b1 TDBXValueTypeArray 00b6 @DynArrayClear 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D FC 89 4D F4 89 55 F8 8B D8 8B 7D 18 8B 75 1C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 5C 85 C0 7C 23 56 57 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 37 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F0 8B C3 8B 08 FF 91 04 01 00 00 8B 45 F0 50 56 57 8B 45 0C 50 8B 45 08 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5F 5E 5B 8B E5 5D C2 18 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_12188_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.FetchProcedures"
		size = 216
		refs = "0012 TDBXMySqlCustomMetaDataReader.FetchProcedures 003b TDBXBaseMetaDataReader.FetchProcedures 0047 TDBXMetaDataCollectionColumns.CreateProceduresColumns 0057 _Dn_TDBXEmptyTableCursor 005c TDBXEmptyTableCursor.Create 0074 TDBXValueTypeArray 0079 @DynArrayClear 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 5C 85 C0 7C 17 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 1F 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12189_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.FetchProcedureSources"
		size = 256
		refs = "0011 TDBXMySqlCustomMetaDataReader.FetchProcedureSources 001f TDBXMetaDataCollectionColumns.CreateProcedureSourcesColumns 0052 _DV_TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureSourcesCursor 0057 TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureSourcesCursor.Create 006b _Dn_TDBXEmptyTableCursor 0070 TDBXEmptyTableCursor.Create 0087 @UStrClr 0090 TDBXValueTypeArray 0095 @DynArrayClear 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 5C 85 C0 7C 2C 8B 45 FC 50 8D 55 F8 8B C3 8B 08 FF 91 14 01 00 00 8B 45 F8 50 56 8B 45 08 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 17 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 59 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12190_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.FetchProcedureParameters"
		size = 280
		refs = "0011 TDBXMySqlCustomMetaDataReader.FetchProcedureParameters 001f TDBXMetaDataCollectionColumns.CreateProcedureParametersColumns 0058 _DV_TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureParametersCursor 005d TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureParametersCursor.Create 0067 _Dn_TDBXColumnsTableCursor 006c TDBXColumnsTableCursor.Create 0080 _Dn_TDBXEmptyTableCursor 0085 TDBXEmptyTableCursor.Create 009c @UStrClr 00a5 TDBXValueTypeArray 00aa @DynArrayClear 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 5C 85 C0 7C 41 6A 01 8B 45 FC 50 8D 55 F8 8B C3 8B 08 FF 91 14 01 00 00 8B 45 F8 50 56 8B 45 0C 50 8B 45 08 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 17 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 59 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_12191_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.FetchUsers"
		size = 184
		refs = "000c TDBXMySqlCustomMetaDataReader.FetchUsers 0029 TDBXBaseMetaDataReader.FetchUsers 0035 TDBXMetaDataCollectionColumns.CreateUsersColumns 0045 _Dn_TDBXEmptyTableCursor 004a TDBXEmptyTableCursor.Create 0062 TDBXValueTypeArray 0067 @DynArrayClear 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 5C 85 C0 7C 0B 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 1F 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 73 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_12192_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.InitScanner"
		size = 824
		refs = "0011 TDBXMySqlCustomMetaDataReader.InitScanner 0051 _Dn_TDBXSqlScanner 0056 TDBXSqlScanner.Create 0069 TDBXSqlScanner.RegisterId 0185 @UStrArrayClr 018b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 18 00 0F 85 4A 01 00 00 8D 55 FC 8B C6 8B 08 FF 51 1C 8B 45 FC 50 8D 55 F8 8B C6 8B 08 FF 51 20 8B 45 F8 50 8D 55 F4 8B C6 8B 08 FF 51 38 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B9 01 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 02 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 03 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 04 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 05 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 06 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 07 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 09 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 0A 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 0B 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 0C 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 0D 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 0E 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 0F 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 10 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 5E 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 45 00 54 00 55 00 52 00 4E 00 53 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 45 00 47 00 49 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4F 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 4F 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 75 00 74 00 66 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 4E 00 53 00 49 00 47 00 4E 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 45 00 46 00 49 00 4E 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 4F 00 54 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 55 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 49 00 4E 00 41 00 52 00 59 00 00 00 00 00 }
	condition:
		$1
}

rule function_12193_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.GetProcedures"
		size = 175
		refs = "000f TDBXMySqlCustomMetaDataReader.GetProcedures 0081 TObject.Free 009b @UStrArrayClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 51 6A 00 8B C6 33 C9 87 CA 8B 18 FF 93 94 00 00 00 8B D8 EB 3E BA 02 00 00 00 8B C3 8B 08 FF 51 24 8D 55 FC 8B 08 FF 51 28 8B 55 FC 8B 45 0C 8B 08 FF 51 38 BA 03 00 00 00 8B C3 8B 08 FF 51 24 8D 55 F8 8B 08 FF 51 28 8B 55 F8 8B 45 08 8B 08 FF 51 38 8B C3 8B 10 FF 52 48 84 C0 75 B7 8B C3 8B 10 FF 52 60 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_12194_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.ParseProcedureDefiner"
		size = 171
		refs = "0012 TDBXMySqlCustomMetaDataReader.ParseProcedureDefiner 001f TDBXMySqlCustomMetaDataReader.InitScanner 0029 TDBXSqlScanner.Init 0031 @UStrClr 0039 TDBXSqlScanner.NextToken 007a TDBXSqlScanner.GetId 0084 @UStrAsg 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 18 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 83 F8 0C 75 3C 8B 43 18 E8 ?? ?? ?? ?? 83 F8 0D 75 2F 8B 43 18 E8 ?? ?? ?? ?? 83 F8 F7 75 22 8B 43 18 66 83 78 36 3D 75 18 8B 43 18 E8 ?? ?? ?? ?? 83 F8 FE 75 0B 8D 55 FC 8B 43 18 E8 ?? ?? ?? ?? 8B C7 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12195_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.ParseProcedure"
		size = 528
		refs = "001b TDBXMySqlCustomMetaDataReader.ParseProcedure 0029 TDBXArrayList.Clear 003a @UStrEqual 0043 _DV_TDBXMySqlCustomMetaDataReader.TMySqlParameter 0048 TObject.Create 005b @UStrAsg 007e TDBXArrayList.Add 0085 TDBXMySqlCustomMetaDataReader.InitScanner 008f TDBXSqlScanner.Init 00a3 TDBXSqlScanner.NextToken 00ee TDBXSqlScanner.GetId 0128 TDBXMySqlCustomMetaDataReader.ParseType 0181 @UStrArrayClr 0187 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 33 C0 89 45 FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 42 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 83 C0 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 1C 8B 55 FC 8B 45 08 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 47 18 8B D3 E8 ?? ?? ?? ?? C7 45 F8 01 00 00 00 BB FE FF FF FF 8B 47 18 E8 ?? ?? ?? ?? 8B D8 83 FB FA 75 F1 BB FD FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 18 E8 ?? ?? ?? ?? 8B D8 83 FB 05 74 0A 83 FB 06 74 05 83 FB 07 75 1E 8D 55 F0 8B 47 18 E8 ?? ?? ?? ?? 8B 55 F0 8D 46 18 E8 ?? ?? ?? ?? 8B 47 18 E8 ?? ?? ?? ?? 8D 55 EC 8B 47 18 E8 ?? ?? ?? ?? 8B 55 EC 8D 46 14 E8 ?? ?? ?? ?? 8B 45 F8 89 46 1C 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D8 8B D6 8B 45 08 E8 ?? ?? ?? ?? 8B 45 F8 89 45 F4 FF 45 F8 83 FB FD 0F 84 69 FF FF FF 8B 47 18 E8 ?? ?? ?? ?? 8B D8 83 7D FC 00 74 11 83 FB 03 75 0C 8B 4D FC 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 45 00 54 00 55 00 52 00 4E 00 5F 00 56 00 41 00 4C 00 55 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 53 00 55 00 4C 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_12196_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.ParseType"
		size = 832
		refs = "0020 TDBXMySqlCustomMetaDataReader.ParseType 0031 TDBXMySqlCustomMetaDataReader.InitScanner 003b TDBXSqlScanner.Init 0043 TDBXSqlScanner.NextToken 004e TDBXSqlScanner.GetId 0059 @WStrFromUStr 0064 WideLowerCase 006f @UStrFromWStr 0092 @UStrEqual 00a1 @UStrAsg 00f4 TDBXMySqlCustomMetaDataReader.ToInt 0250 @WStrArrayClr 025d @UStrArrayClr 0270 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 11 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 46 18 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? 8D 55 F0 8B 46 18 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 47 04 E8 ?? ?? ?? ?? 33 C0 89 47 08 33 C0 89 47 0C C6 47 10 00 C6 47 11 00 C6 47 12 00 8B 47 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8D 47 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8D 47 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? 8B D8 83 FB FA 0F 85 85 00 00 00 8B 46 18 E8 ?? ?? ?? ?? 8B D8 83 FB F8 75 58 8D 55 EC 8B 46 18 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 89 47 08 8B 46 18 E8 ?? ?? ?? ?? 8B D8 83 FB FD 75 31 8B 46 18 E8 ?? ?? ?? ?? 8B D8 83 FB F8 75 22 8D 55 E8 8B 46 18 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 89 47 0C 8B 46 18 E8 ?? ?? ?? ?? 8B D8 83 FB F9 74 0F 8B 46 18 E8 ?? ?? ?? ?? 8B D8 83 FB F9 75 F1 8B 46 18 E8 ?? ?? ?? ?? 8B D8 8B C3 83 C0 03 83 F8 13 0F 87 C4 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 00 01 00 00 00 00 01 00 00 00 00 00 03 02 00 00 05 00 04 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 89 5D FC E9 91 00 00 00 C6 47 10 01 EB 7C C6 47 11 01 EB 76 8B 47 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1A 8D 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 47 04 E8 ?? ?? ?? ?? EB 4D 8B 47 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3E 8D 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8D 47 04 E8 ?? ?? ?? ?? EB 24 8B 46 18 E8 ?? ?? ?? ?? 8B D8 83 FB 0F 75 06 C6 47 12 00 EB 0F 83 FB FD 74 05 83 FB 04 75 05 89 5D FC EB 0F 8B 46 18 E8 ?? ?? ?? ?? 8B D8 E9 1F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 8B 45 FC 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 69 00 6E 00 74 00 65 00 67 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 69 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 65 00 63 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 63 00 69 00 6D 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 76 00 61 00 72 00 63 00 68 00 61 00 72 00 00 00 12 00 00 00 56 00 41 00 52 00 42 00 49 00 4E 00 41 00 52 00 59 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 68 00 61 00 72 00 00 00 00 00 0C 00 00 00 42 00 49 00 4E 00 41 00 52 00 59 00 00 00 00 00 }
	condition:
		$1
}

rule function_12197_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.GetTables"
		size = 173
		refs = "000f TDBXMySqlCustomMetaDataReader.GetTables 0040 _Dn_TStringList 0045 TStringList.Create 007d TObject.Free 0099 @UStrArrayClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC 8B C3 8B 08 FF 91 EC 00 00 00 8B 45 FC 50 8B C3 8B 10 FF 52 0C 33 C9 5A 8B 18 FF 53 04 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 1B 33 D2 8B C3 8B 08 FF 51 24 8D 55 F8 8B 08 FF 51 28 8B 55 F8 8B C6 8B 08 FF 51 38 8B C3 8B 10 FF 52 48 84 C0 75 DA 8B C3 8B 10 FF 52 60 8B C3 E8 ?? ?? ?? ?? 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12198_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.FindDataType"
		size = 35
		refs = "0005 TDBXBaseMetaDataReader.GetDataTypeHash 0010 TDBXObjectStore.GetObjectFromName"
	strings:
		$1 = { 53 56 8B F2 E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 06 8B 40 08 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_12199_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.ReplaceIdentifier"
		size = 345
		refs = "0022 TDBXMySqlCustomMetaDataReader.ReplaceIdentifier 0031 StringLastIndexOf 004d @UStrLAsg 00c2 TDBXMetaDataUtil.QuoteIdentifier 00ed @UStrCopy 0117 @UStrCatN 0122 @UStrAsg 013c @UStrArrayClr 0144 @UStrClr 014a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C7 85 C0 74 05 83 E8 04 8B 00 03 C3 89 45 F4 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 85 DB 0F 8E C2 00 00 00 8D 55 F0 8B 45 F8 8B 08 FF 91 BC 00 00 00 8B 45 F0 0F B7 00 8D 53 01 66 3B 44 56 FC 0F 85 A0 00 00 00 4B 8D 45 FC 8B 55 10 E8 ?? ?? ?? ?? 80 7D 0C 00 74 44 8D 55 E8 8B 45 F8 8B 08 FF 51 20 8B 45 E8 50 8D 45 EC 50 8D 55 E4 8B 45 F8 8B 08 FF 51 1C 8B 45 E4 50 8D 55 E0 8B 45 F8 8B 08 FF 51 38 8B 55 E0 8B 45 FC 59 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B FE 85 FF 74 05 83 EF 04 8B 3F 8D 45 DC 50 8B CB 83 E9 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? FF 75 DC FF 75 FC 8D 45 D8 50 8B CF 2B 4D F4 8B 55 F4 42 8B C6 E8 ?? ?? ?? ?? FF 75 D8 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_12201_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.ParseIdList"
		size = 218
		refs = "0014 TDBXMySqlCustomMetaDataReader.ParseIdList 0021 TDBXSqlScanner.NextToken 004c TDBXSqlScanner.GetId 00c3 @UStrArrayClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 83 FB FA 74 06 C6 45 FF 00 EB 7B 8B C6 E8 ?? ?? ?? ?? 8B D8 83 FB FE 74 06 C6 45 FF 00 EB 67 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 8B 08 FF 51 38 8B C6 E8 ?? ?? ?? ?? 8B D8 83 FB FD 75 36 8B C6 E8 ?? ?? ?? ?? 8B D8 83 FB FE 74 06 C6 45 FF 00 EB 31 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 8B 08 FF 51 38 8B C6 E8 ?? ?? ?? ?? 8B D8 83 FB FD 74 CA 83 FB F9 74 06 C6 45 FF 00 EB 04 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12202_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.ParseForeignKey"
		size = 416
		refs = "0014 TDBXMySqlCustomMetaDataReader.ParseForeignKey 0021 TDBXSqlScanner.NextToken 002d TDBXSqlScanner.IsKeyword 0055 TDBXSqlScanner.GetId 0060 @UStrAsg 00a2 TDBXMySqlCustomMetaDataReader.ParseIdList 0112 @UStrArrayClr 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 C0 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 F8 FE 74 07 33 DB E9 AD 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 04 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 7D 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 62 8B 4E 08 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 4E 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 33 8B C3 E8 ?? ?? ?? ?? 83 F8 FE 74 04 33 DB EB 23 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 46 0C E8 ?? ?? ?? ?? 8B 4E 10 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4B 00 45 00 59 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 45 00 46 00 45 00 52 00 45 00 4E 00 43 00 45 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_12203_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.ParseCreateTableForNextForeignKey"
		size = 212
		refs = "0013 TDBXMySqlCustomMetaDataReader.ParseCreateTableForNextForeignKey 001b StringIndexOf 0024 TDBXMySqlCustomMetaDataReader.InitScanner 0038 TDBXSqlScanner.Init 004c TDBXMySqlCustomMetaDataReader.ParseForeignKey 006d TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B F9 8B CF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 85 F6 7E 5F 8D 7E 0A 8B CE 8B 55 FC 8B 43 18 E8 ?? ?? ?? ?? 8B 45 08 8B 10 FF 12 8B 4D 08 8B 53 18 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 8D 43 18 89 45 F4 8B 45 F4 8B 00 89 45 F0 8B 45 F4 33 D2 89 10 8B 45 F0 E8 ?? ?? ?? ?? 89 7D F8 EB 2C 8B CF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 7F A1 8D 43 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C7 45 F8 FF FF FF FF 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_12204_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TMySqlForeignKey.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TStringList 0023 TStringList.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12205_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TMySqlForeignKey.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TObject.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12206_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TMySqlForeignKey.Reset"
		size = 29
		refs = "0007 @UStrClr"
	strings:
		$1 = { 53 8B D8 8D 43 04 E8 ?? ?? ?? ?? 8B 43 08 8B 10 FF 52 44 8B 43 10 8B 10 FF 52 44 5B C3 }
	condition:
		$1
}

rule function_12207_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4TablesCursor.Create"
		size = 204
		refs = "000f @ClassCreate 001e TDBXMySqlCustomMetaDataReader.TDBXMySql4TablesCursor.Create 0035 TDBXCustomMetaDataTable.Create 003d TDBXValueType.Clone 0042 TDBXValue.CreateValue 007f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 0C 68 ?? ?? ?? ?? 56 8B 45 08 50 8B C7 8B 10 FF 52 0C 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 3C 8B C7 8B 10 FF 92 58 01 00 00 8B 46 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 38 8B C7 BA ?? ?? ?? ?? 8B 08 FF 91 24 01 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 41 00 42 00 4C 00 45 00 00 00 }
	condition:
		$1
}

rule function_12209_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4TablesCursor.FindStringSize"
		size = 24
	strings:
		$1 = { 53 8B D9 83 EA 02 75 09 8B 03 8B 10 FF 52 68 5B C3 B8 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_12210_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4TablesCursor.GetWritableValue"
		size = 26
		refs = "0008 TDBXCustomMetaDataTable.GetWritableValue"
	strings:
		$1 = { 83 FA 02 75 08 33 D2 E8 ?? ?? ?? ?? C3 83 FA 03 75 04 8B 40 38 C3 8B 40 3C C3 }
	condition:
		$1
}

rule function_12211_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySqlColumnsTableCursor.Create"
		size = 177
		refs = "0015 @ClassCreate 0022 TDBXMySqlCustomMetaDataReader.TDBXMySqlColumnsTableCursor.Create 0037 TDBXColumnsTableCursor.Create 004b _Dn_TDBXSingleValueRow 0050 TDBXSingleValueRow.Create 007f TDBXValueTypeArray 0084 @DynArrayClear 008a @HandleFinally 0099 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 08 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 89 43 3C 0F B6 45 10 88 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 38 8D 55 F8 8B C3 8B 08 FF 51 28 8B 55 F8 8B C6 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_12213_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySqlColumnsTableCursor.Next"
		size = 372
		refs = "0013 TDBXMySqlCustomMetaDataReader.TDBXMySqlColumnsTableCursor.Next 0020 TDBXColumnsTableCursor.Next 0064 @UStrEqual 00da TDBXColumnsTableCursor.GetWritableValue 0145 @UStrClr 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 88 45 FF 80 7D FF 00 0F 84 FF 00 00 00 BA 0E 00 00 00 8B 46 38 8B 08 FF 51 24 8B D8 80 7E 40 00 74 31 BA 0C 00 00 00 8B 46 3C 8B 08 FF 51 24 8D 55 F8 8B 08 FF 51 28 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C2 8B C3 8B 08 FF 91 6C 01 00 00 EB 0C 33 D2 8B C3 8B 08 FF 91 08 01 00 00 BA 10 00 00 00 8B 46 38 8B 08 FF 51 24 8B D8 80 7E 40 00 74 17 BA 0D 00 00 00 8B 46 3C 8B 08 FF 51 24 8B 10 FF 52 0C 88 45 FE EB 15 BA 10 00 00 00 8B 46 3C 8B 08 FF 51 24 8B 10 FF 52 68 88 45 FE 0F B6 55 FE 8B C3 8B 08 FF 91 08 01 00 00 BA 0C 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 20 8B D8 80 7D FE 00 74 2E 8B C3 83 E8 05 74 14 48 74 18 83 E8 0C 74 1A 83 E8 0A 75 1A BB 1D 00 00 00 EB 13 BB 0C 00 00 00 EB 0C BB 0D 00 00 00 EB 05 BB 13 00 00 00 BA 0C 00 00 00 8B 46 38 8B 08 FF 51 24 8B D3 8B 08 FF 91 1C 01 00 00 0F B6 5D FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 75 00 74 00 66 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_12214_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySqlColumnsTableCursor.GetWritableValue"
		size = 32
		refs = "001b TDBXColumnsTableCursor.GetWritableValue"
	strings:
		$1 = { 8B CA 83 E9 0C 74 0A 83 E9 02 74 05 83 E9 02 75 09 8B 40 38 8B 08 FF 51 24 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12215_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.Create"
		size = 280
		refs = "0016 @ClassCreate 0028 TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.Create 004b TDBXCustomMetaDataTable.Create 0059 @UStrAsg 006e TDBXMySqlCustomMetaDataReader.GetTables 007f _DV_TDBXMySqlCustomMetaDataReader.TMySqlColumnType 0084 TObject.Create 008e TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.InitNextCursor 0095 _Dn_TDBXSingleValueRow 009a TDBXSingleValueRow.Create 00c9 TDBXValueTypeArray 00ce @DynArrayClear 00d4 @HandleFinally 00e3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 10 50 6A 00 8B C6 8B 10 FF 52 0C 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 38 8D 43 44 8B 55 0C E8 ?? ?? ?? ?? 8D 43 48 8B D7 E8 ?? ?? ?? ?? 85 FF 75 11 8B C6 E8 ?? ?? ?? ?? 89 43 3C C7 43 40 FF FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 50 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 54 8D 55 F8 8B C3 8B 08 FF 51 28 8B 55 F8 8B C6 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 0C 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_12216_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 001e TObject.Free 0029 TDBXCustomMetaDataTable.Destroy 0034 @ClassDestroy"
		altNames = "TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexColumnsCursor.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 60 8D 46 54 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12217_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.FindStringSize"
		size = 41
	strings:
		$1 = { 53 8B D9 83 EA 03 74 07 83 EA 05 74 0B EB 13 8B 03 8B 10 FF 52 68 5B C3 8B 43 10 8B 10 FF 52 68 5B C3 B8 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_12218_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.InitNextCursor"
		size = 328
		refs = "0013 TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.InitNextCursor 0068 @UStrAsg 008b TDBXMySqlCustomMetaDataReader.ReplaceIdentifier 00c5 @HandleOnException 00cd _Dn_Exception 00de @DoneExcept 0105 @UStrClr 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 78 3C 00 74 46 8B 45 F8 83 C0 40 8B 10 FF 00 8B 45 F8 8B 40 3C 8B 10 FF 52 14 8B 55 F8 3B 42 40 7F 07 33 DB E9 AA 00 00 00 8D 4D F4 8B 45 F8 8B 50 40 8B 45 F8 8B 40 3C 8B 18 FF 53 0C 8B 55 F4 8B 45 F8 83 C0 48 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 48 50 6A 01 8D 45 FC 50 8B 45 F8 8B 50 44 8B 45 F8 8B 40 38 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 8B 40 38 8B 10 FF 52 0C 33 C9 8B 55 FC 8B 18 FF 53 04 8B 55 F8 89 42 24 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 33 D2 89 50 24 E8 ?? ?? ?? ?? 8B 45 F8 33 D2 89 50 4C 8B 45 F8 83 78 24 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_12219_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.Close"
		size = 65
		refs = "001b TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 24 85 C0 74 05 8B 10 FF 52 60 8D 43 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12220_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.Next"
		size = 546
		refs = "0011 TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.Next 0034 TObject.Free 0046 TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.InitNextCursor 0087 TDBXMySqlCustomMetaDataReader.ParseType 010a TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.ComputeDefaultValue 0194 TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.ComputeAutoIncrement 01b4 TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.ComputeNullable 020e @UStrArrayClr 0214 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 24 00 75 34 33 DB E9 D0 01 00 00 8B 46 24 8B 10 FF 52 60 8B 46 24 E8 ?? ?? ?? ?? 33 C0 89 46 24 83 7E 3C 00 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 A3 01 00 00 8B 46 24 8B 10 FF 52 48 84 C0 74 C7 8D 46 4C 8B 10 FF 00 BA 01 00 00 00 8B 46 24 8B 08 FF 51 24 8D 55 FC 8B 08 FF 51 28 8B 55 FC 8B 4E 50 8B 46 38 E8 ?? ?? ?? ?? 33 D2 8B 46 54 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 BA 01 00 00 00 8B 46 54 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 BA 02 00 00 00 8B 46 54 8B 08 FF 51 24 8B 56 48 8B 08 FF 91 24 01 00 00 33 D2 8B 46 24 8B 08 FF 51 24 8D 55 F8 8B 08 FF 51 28 8B 45 F8 50 BA 03 00 00 00 8B 46 54 8B 08 FF 51 24 5A 8B 08 FF 91 24 01 00 00 BA 08 00 00 00 8B 46 54 8B 08 FF 51 24 50 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 58 8B 08 FF 91 24 01 00 00 BA 04 00 00 00 8B 46 54 8B 08 FF 51 24 8B 56 50 8B 52 04 8B 08 FF 91 24 01 00 00 BA 07 00 00 00 8B 46 54 8B 08 FF 51 24 8B 56 4C 8B 08 FF 91 1C 01 00 00 BA 05 00 00 00 8B 46 54 8B 08 FF 51 24 8B 56 50 8B 52 08 8B 08 FF 91 1C 01 00 00 BA 06 00 00 00 8B 46 54 8B 08 FF 51 24 8B 56 50 8B 52 0C 8B 08 FF 91 1C 01 00 00 BA 0A 00 00 00 8B 46 54 8B 08 FF 51 24 50 8B C6 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 09 00 00 00 8B 46 54 8B 08 FF 51 24 50 8B C6 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 BA 10 00 00 00 8B 46 54 8B 08 FF 51 24 8B 56 50 0F B6 52 10 8B 08 FF 91 08 01 00 00 BA 0E 00 00 00 8B 46 54 8B 08 FF 51 24 33 D2 8B 08 FF 91 08 01 00 00 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12221_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.GetWritableValue"
		size = 32
		refs = "001b TDBXCustomMetaDataTable.GetWritableValue"
	strings:
		$1 = { 8B CA 83 E9 0B 72 0A 83 E9 03 74 05 83 E9 02 75 09 8B 40 54 8B 08 FF 51 24 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12222_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.ComputeDefaultValue"
		size = 392
		refs = "0015 TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.ComputeDefaultValue 0023 @UStrClr 0065 @UStrEqual 00e2 @UStrCatN 0109 @UStrAsg 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? BA 04 00 00 00 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 58 84 C0 75 15 BA 04 00 00 00 8B 43 24 8B 08 FF 51 24 8D 55 FC 8B 08 FF 51 28 83 7D FC 00 0F 84 A6 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 93 00 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0A 8D 45 FC E8 ?? ?? ?? ?? EB 79 8B 43 50 8B 50 04 8B 43 38 8B 08 FF 91 3C 01 00 00 83 F8 0A 7F 0F 74 47 48 83 E8 02 72 41 83 E8 03 74 0E EB 54 83 E8 18 74 35 83 E8 02 74 30 EB 48 8B 43 50 8B 40 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 36 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 1A 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 55 00 52 00 52 00 45 00 4E 00 54 00 5F 00 54 00 49 00 4D 00 45 00 53 00 54 00 41 00 4D 00 50 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 79 00 65 00 61 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 }
	condition:
		$1
}

rule function_12223_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.ComputeAutoIncrement"
		size = 172
		refs = "000c TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.ComputeAutoIncrement 004a StringIndexOf 006b @UStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 05 00 00 00 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 58 84 C0 75 26 BA 05 00 00 00 8B 43 24 8B 08 FF 51 24 8D 55 FC 8B 08 FF 51 28 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7D 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 61 00 75 00 74 00 6F 00 5F 00 69 00 6E 00 63 00 72 00 65 00 6D 00 65 00 6E 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_12224_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.ComputeNullable"
		size = 140
		refs = "000c TDBXMySqlCustomMetaDataReader.TDBXMySql4ColumnsCursor.ComputeNullable 004a @UStrEqual 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 02 00 00 00 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 58 84 C0 75 24 BA 02 00 00 00 8B 43 24 8B 08 FF 51 24 8D 55 FC 8B 08 FF 51 28 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 59 00 00 00 }
	condition:
		$1
}

rule function_12225_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexesCursor.Create"
		size = 268
		refs = "0016 @ClassCreate 0028 TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexesCursor.Create 004b TDBXCustomMetaDataTable.Create 0059 @UStrAsg 006e TDBXMySqlCustomMetaDataReader.GetTables 007f TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexesCursor.InitNextCursor 0086 _Dn_TDBXSingleValueRow 008b TDBXSingleValueRow.Create 00ba TDBXValueTypeArray 00bf @DynArrayClear 00c5 @HandleFinally 00d4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 10 50 6A 00 8B C6 8B 10 FF 52 0C 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 38 8D 43 44 8B 55 0C E8 ?? ?? ?? ?? 8D 43 48 8B D7 E8 ?? ?? ?? ?? 85 FF 75 11 8B C6 E8 ?? ?? ?? ?? 89 43 3C C7 43 40 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 5C 8D 55 F8 8B C3 8B 08 FF 51 28 8B 55 F8 8B C6 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 6E 00 64 00 65 00 78 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_12226_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexesCursor.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 0019 TDBXCustomMetaDataTable.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 60 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65825_0 {
	meta:
		name = "TIniFile.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 0019 TObject.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 60 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12227_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexesCursor.FindStringSize"
		size = 28
	strings:
		$1 = { 53 8B D9 83 C2 FD 83 EA 02 73 0A 8B 43 08 8B 10 FF 52 68 5B C3 B8 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_12228_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexesCursor.InitNextCursor"
		size = 320
		refs = "0013 TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexesCursor.InitNextCursor 0068 @UStrAsg 008b TDBXMySqlCustomMetaDataReader.ReplaceIdentifier 00c5 @HandleOnException 00cd _Dn_Exception 00de @DoneExcept 00fd @UStrClr 010b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 78 3C 00 74 46 8B 45 F8 83 C0 40 8B 10 FF 00 8B 45 F8 8B 40 3C 8B 10 FF 52 14 8B 55 F8 3B 42 40 7F 07 33 DB E9 A2 00 00 00 8D 4D F4 8B 45 F8 8B 50 40 8B 45 F8 8B 40 3C 8B 18 FF 53 0C 8B 55 F4 8B 45 F8 83 C0 48 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 48 50 6A 01 8D 45 FC 50 8B 45 F8 8B 50 44 8B 45 F8 8B 40 38 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 8B 40 38 8B 10 FF 52 0C 33 C9 8B 55 FC 8B 18 FF 53 04 8B 55 F8 89 42 24 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 33 D2 89 50 24 E8 ?? ?? ?? ?? 8B 45 F8 83 78 24 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_12229_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexesCursor.Close"
		size = 65
		refs = "001b TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 24 85 C0 74 05 8B 10 FF 52 60 8D 43 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 5C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12230_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexesCursor.Next"
		size = 552
		refs = "000f TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexesCursor.Next 002d @UStrAsg 004a TObject.Free 005c TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexesCursor.InitNextCursor 00d3 @UStrEqual 013e TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexesCursor.ComputeConstraintName 01f8 @UStrArrayClr 01fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 24 00 75 07 33 DB E9 BC 01 00 00 8D 46 58 8B 56 48 E8 ?? ?? ?? ?? 8D 46 54 8B 56 50 E8 ?? ?? ?? ?? EB 2D 8B 46 24 8B 10 FF 52 60 8B 46 24 E8 ?? ?? ?? ?? 33 C0 89 46 24 83 7E 3C 00 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 77 01 00 00 8B 46 24 8B 10 FF 52 48 84 C0 74 C7 BA 01 00 00 00 8B 46 24 8B 08 FF 51 24 8B 10 FF 52 58 84 C0 75 16 BA 01 00 00 00 8B 46 24 8B 08 FF 51 24 8B 10 FF 52 0C 84 C0 74 04 33 C0 EB 02 B0 01 88 46 4C BA 02 00 00 00 8B 46 24 8B 08 FF 51 24 8D 55 FC 8B 08 FF 51 28 8B 55 FC 8D 46 50 E8 ?? ?? ?? ?? 8B 46 48 8B 56 58 E8 ?? ?? ?? ?? 75 0D 8B 46 50 8B 56 54 E8 ?? ?? ?? ?? 74 85 33 D2 8B 46 5C 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 BA 01 00 00 00 8B 46 5C 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 80 7E 4C 00 75 17 BA 04 00 00 00 8B 46 5C 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 EB 24 BA 04 00 00 00 8B 46 5C 8B 08 FF 51 24 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 58 8B 08 FF 91 24 01 00 00 BA 02 00 00 00 8B 46 5C 8B 08 FF 51 24 8B 56 48 8B 08 FF 91 24 01 00 00 BA 03 00 00 00 8B 46 5C 8B 08 FF 51 24 8B 56 50 8B 08 FF 91 24 01 00 00 BA 05 00 00 00 8B 46 5C 8B 08 FF 51 24 50 80 7E 4C 00 74 0F B8 ?? ?? ?? ?? 8B 56 50 E8 ?? ?? ?? ?? 74 04 33 D2 EB 02 B2 01 58 8B 08 FF 91 08 01 00 00 BA 06 00 00 00 8B 46 5C 8B 08 FF 51 24 0F B6 56 4C 8B 08 FF 91 08 01 00 00 BA 07 00 00 00 8B 46 5C 8B 08 FF 51 24 B2 01 8B 08 FF 91 08 01 00 00 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 00 00 }
	condition:
		$1
}

rule function_12231_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexesCursor.GetWritableValue"
		size = 22
		refs = "0011 TDBXCustomMetaDataTable.GetWritableValue"
	strings:
		$1 = { 8B CA 83 E9 08 73 09 8B 40 5C 8B 08 FF 51 24 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12232_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexesCursor.ComputeConstraintName"
		size = 94
		refs = "000f TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexesCursor.ComputeConstraintName 001d @UStrClr 002e @UStrLAsg 0038 @UStrAsg 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 80 7B 4C 00 74 0B 8D 45 FC 8B 53 50 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12233_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexColumnsCursor.Create"
		size = 288
		refs = "0016 @ClassCreate 0028 TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexColumnsCursor.Create 004b TDBXCustomMetaDataTable.Create 0059 @UStrAsg 0079 TDBXMySqlCustomMetaDataReader.GetTables 008a TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexColumnsCursor.InitNextCursor 0091 _Dn_TDBXSingleValueRow 0096 TDBXSingleValueRow.Create 00c5 TDBXValueTypeArray 00ca @DynArrayClear 00d0 @HandleFinally 00df @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 14 50 6A 00 8B C6 8B 10 FF 52 0C 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 38 8D 43 44 8B 55 10 E8 ?? ?? ?? ?? 8D 43 4C 8B D7 E8 ?? ?? ?? ?? 8D 43 48 8B 55 08 E8 ?? ?? ?? ?? 85 FF 75 11 8B C6 E8 ?? ?? ?? ?? 89 43 3C C7 43 40 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 54 8D 55 F8 8B C3 8B 08 FF 51 28 8B 55 F8 8B C6 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 10 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 6E 00 64 00 65 00 78 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12235_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexColumnsCursor.FindStringSize"
		size = 40
	strings:
		$1 = { 53 8B D9 83 EA 03 74 05 4A 74 0C EB 14 8B 43 08 8B 10 FF 52 68 5B C3 8B 43 10 8B 10 FF 52 68 5B C3 B8 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_12236_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexColumnsCursor.InitNextCursor"
		size = 320
		refs = "0013 TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexColumnsCursor.InitNextCursor 0068 @UStrAsg 008b TDBXMySqlCustomMetaDataReader.ReplaceIdentifier 00c5 @HandleOnException 00cd _Dn_Exception 00de @DoneExcept 00fd @UStrClr 010b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 78 3C 00 74 46 8B 45 F8 83 C0 40 8B 10 FF 00 8B 45 F8 8B 40 3C 8B 10 FF 52 14 8B 55 F8 3B 42 40 7F 07 33 DB E9 A2 00 00 00 8D 4D F4 8B 45 F8 8B 50 40 8B 45 F8 8B 40 3C 8B 18 FF 53 0C 8B 55 F4 8B 45 F8 83 C0 4C E8 ?? ?? ?? ?? 8B 45 F8 8B 40 4C 50 6A 01 8D 45 FC 50 8B 45 F8 8B 50 44 8B 45 F8 8B 40 38 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 8B 40 38 8B 10 FF 52 0C 33 C9 8B 55 FC 8B 18 FF 53 04 8B 55 F8 89 42 24 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 33 D2 89 50 24 E8 ?? ?? ?? ?? 8B 45 F8 83 78 24 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_12237_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexColumnsCursor.Close"
		size = 49
		refs = "001b TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 24 85 C0 74 05 8B 10 FF 52 60 8D 43 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12238_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexColumnsCursor.Next"
		size = 396
		refs = "000f TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexColumnsCursor.Next 0034 TObject.Free 0046 TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexColumnsCursor.InitNextCursor 007d @UStrAsg 0085 StringIsNil 0094 @UStrEqual 0178 @UStrArrayClr 017e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 24 00 75 36 33 DB E9 3C 01 00 00 EB 2D 8B 46 24 8B 10 FF 52 60 8B 46 24 E8 ?? ?? ?? ?? 33 C0 89 46 24 83 7E 3C 00 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 0D 01 00 00 8B 46 24 8B 10 FF 52 48 84 C0 74 C7 BA 02 00 00 00 8B 46 24 8B 08 FF 51 24 8D 55 FC 8B 08 FF 51 28 8B 55 FC 8D 46 50 E8 ?? ?? ?? ?? 8B 46 48 E8 ?? ?? ?? ?? 84 C0 75 0D 8B 46 48 8B 56 50 E8 ?? ?? ?? ?? 75 BB 33 D2 8B 46 54 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 BA 01 00 00 00 8B 46 54 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 BA 02 00 00 00 8B 46 54 8B 08 FF 51 24 8B 56 4C 8B 08 FF 91 24 01 00 00 BA 03 00 00 00 8B 46 54 8B 08 FF 51 24 8B 56 50 8B 08 FF 91 24 01 00 00 BA 04 00 00 00 8B 46 24 8B 08 FF 51 24 8D 55 F8 8B 08 FF 51 28 8B 45 F8 50 BA 04 00 00 00 8B 46 54 8B 08 FF 51 24 5A 8B 08 FF 91 24 01 00 00 BA 03 00 00 00 8B 46 24 8B 08 FF 51 24 8B 10 FF 52 20 50 BA 05 00 00 00 8B 46 54 8B 08 FF 51 24 5A 8B 08 FF 91 1C 01 00 00 BA 06 00 00 00 8B 46 54 8B 08 FF 51 24 B2 01 8B 08 FF 91 08 01 00 00 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12239_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4IndexColumnsCursor.GetWritableValue"
		size = 22
		refs = "0011 TDBXCustomMetaDataTable.GetWritableValue"
	strings:
		$1 = { 8B CA 83 E9 07 73 09 8B 40 54 8B 08 FF 51 24 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12240_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyCursor.Create"
		size = 288
		refs = "0016 @ClassCreate 0028 TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyCursor.Create 0035 _DV_TDBXMySqlCustomMetaDataReader.TMySqlForeignKey 003a TDBXMySqlCustomMetaDataReader.TMySqlForeignKey.Create 005a TDBXCustomMetaDataTable.Create 0068 @UStrAsg 007d TDBXMySqlCustomMetaDataReader.GetTables 008e TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyCursor.InitNextCursor 0095 _Dn_TDBXSingleValueRow 009a TDBXSingleValueRow.Create 00c9 TDBXValueTypeArray 00ce @DynArrayClear 00d4 @HandleFinally 00e3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 68 ?? ?? ?? ?? 8B 45 10 50 6A 00 8B C6 8B 10 FF 52 0C 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 40 8D 43 4C 8B 55 0C E8 ?? ?? ?? ?? 8D 43 50 8B D7 E8 ?? ?? ?? ?? 85 FF 75 11 8B C6 E8 ?? ?? ?? ?? 89 43 44 C7 43 48 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 3C 8D 55 F8 8B C3 8B 08 FF 51 28 8B 55 F8 8B C6 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 0C 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 73 00 00 00 }
	condition:
		$1
}

rule function_12241_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyCursor.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 001e TObject.Free 0029 TDBXCustomMetaDataTable.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 60 8D 46 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12242_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyColumnsCursor.FindStringSize"
		size = 6
		altNames = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyCursor.FindStringSize TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureParametersCursor.FindStringSize TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureSourcesCursor.FindStringSize"
	strings:
		$1 = { B8 80 00 00 00 C3 }
	condition:
		$1
}

rule function_12243_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyCursor.InitNextCursor"
		size = 328
		refs = "0013 TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyCursor.InitNextCursor 0068 @UStrAsg 008b TDBXMySqlCustomMetaDataReader.ReplaceIdentifier 00c5 @HandleOnException 00cd _Dn_Exception 00de @DoneExcept 0107 @UStrClr 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 78 44 00 74 46 8B 45 F8 83 C0 48 8B 10 FF 00 8B 45 F8 8B 40 44 8B 10 FF 52 14 8B 55 F8 3B 42 48 7F 07 33 DB E9 AC 00 00 00 8D 4D F4 8B 45 F8 8B 50 48 8B 45 F8 8B 40 44 8B 18 FF 53 0C 8B 55 F4 8B 45 F8 83 C0 50 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 50 50 6A 01 8D 45 FC 50 8B 45 F8 8B 50 4C 8B 45 F8 8B 40 40 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 8B 40 40 8B 10 FF 52 0C 33 C9 8B 55 FC 8B 18 FF 53 04 8B 55 F8 89 42 24 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 33 D2 89 50 24 E8 ?? ?? ?? ?? 8B 45 F8 C7 40 58 FF FF FF FF 8B 45 F8 83 78 24 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_12244_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyCursor.Close"
		size = 65
		refs = "001b TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 24 85 C0 74 05 8B 10 FF 52 60 8D 43 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12245_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyCursor.Next"
		size = 312
		refs = "0013 TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyCursor.Next 0040 TObject.Free 0052 TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyCursor.InitNextCursor 008b @UStrAsg 00a2 TDBXMySqlCustomMetaDataReader.ParseCreateTableForNextForeignKey 0122 @UStrClr 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 24 00 75 09 C6 45 FF 00 E9 E5 00 00 00 83 7B 58 00 7D 62 EB 2F 8B 43 24 8B 10 FF 52 60 8B 43 24 E8 ?? ?? ?? ?? 33 C0 89 43 24 83 7B 44 00 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 C6 45 FF 00 E9 AE 00 00 00 8B 43 24 8B 10 FF 52 48 84 C0 74 C5 BA 01 00 00 00 8B 43 24 8B 08 FF 51 24 8D 55 F8 8B 08 FF 51 28 8B 55 F8 8D 43 54 E8 ?? ?? ?? ?? 33 C0 89 43 58 8B 43 38 50 8B 4B 58 8B 53 54 8B 43 40 E8 ?? ?? ?? ?? 8B F0 89 73 58 85 F6 0F 8C 79 FF FF FF 33 D2 8B 43 3C 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 BA 01 00 00 00 8B 43 3C 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 BA 02 00 00 00 8B 43 3C 8B 08 FF 51 24 8B 53 50 8B 08 FF 91 24 01 00 00 BA 03 00 00 00 8B 43 3C 8B 08 FF 51 24 8B 53 38 8B 52 04 8B 08 FF 91 24 01 00 00 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12246_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyCursor.GetWritableValue"
		size = 22
		refs = "0011 TDBXCustomMetaDataTable.GetWritableValue"
	strings:
		$1 = { 8B CA 83 E9 04 73 09 8B 40 3C 8B 08 FF 51 24 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12247_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyColumnsCursor.Create"
		size = 336
		refs = "0016 @ClassCreate 0028 TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyColumnsCursor.Create 0035 _DV_TDBXMySqlCustomMetaDataReader.TMySqlForeignKey 003a TDBXMySqlCustomMetaDataReader.TMySqlForeignKey.Create 005a TDBXCustomMetaDataTable.Create 0068 @UStrAsg 009e TDBXMySqlCustomMetaDataReader.GetTables 00af TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyColumnsCursor.InitNextCursor 00b6 _Dn_TDBXSingleValueRow 00bb TDBXSingleValueRow.Create 00ea TDBXValueTypeArray 00ef @DynArrayClear 00f5 @HandleFinally 0104 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 68 ?? ?? ?? ?? 8B 45 1C 50 6A 00 8B C6 8B 10 FF 52 0C 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 3C 8D 43 48 8B 55 18 E8 ?? ?? ?? ?? 8D 43 4C 8B D7 E8 ?? ?? ?? ?? 8D 43 50 8B 55 10 E8 ?? ?? ?? ?? 8D 43 54 8B 55 0C E8 ?? ?? ?? ?? 8D 43 58 8B 55 08 E8 ?? ?? ?? ?? 85 FF 75 11 8B C6 E8 ?? ?? ?? ?? 89 43 40 C7 43 44 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 68 8D 55 F8 8B C3 8B 08 FF 51 28 8B 55 F8 8B C6 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 18 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_12248_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyColumnsCursor.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 001e TObject.Free 0029 TDBXCustomMetaDataTable.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 60 8D 46 68 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12250_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyColumnsCursor.InitNextCursor"
		size = 328
		refs = "0013 TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyColumnsCursor.InitNextCursor 0068 @UStrAsg 008b TDBXMySqlCustomMetaDataReader.ReplaceIdentifier 00c5 @HandleOnException 00cd _Dn_Exception 00de @DoneExcept 0107 @UStrClr 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 78 40 00 74 46 8B 45 F8 83 C0 44 8B 10 FF 00 8B 45 F8 8B 40 40 8B 10 FF 52 14 8B 55 F8 3B 42 44 7F 07 33 DB E9 AC 00 00 00 8D 4D F4 8B 45 F8 8B 50 44 8B 45 F8 8B 40 40 8B 18 FF 53 0C 8B 55 F4 8B 45 F8 83 C0 4C E8 ?? ?? ?? ?? 8B 45 F8 8B 40 4C 50 6A 01 8D 45 FC 50 8B 45 F8 8B 50 48 8B 45 F8 8B 40 3C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 8B 40 3C 8B 10 FF 52 0C 33 C9 8B 55 FC 8B 18 FF 53 04 8B 55 F8 89 42 24 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 33 D2 89 50 24 E8 ?? ?? ?? ?? 8B 45 F8 C7 40 60 FF FF FF FF 8B 45 F8 83 78 24 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_12251_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyColumnsCursor.Close"
		size = 65
		refs = "001b TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 24 85 C0 74 05 8B 10 FF 52 60 8D 43 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12252_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyColumnsCursor.Next"
		size = 339
		refs = "000d TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyColumnsCursor.Next 003e TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyColumnsCursor.SetValues 005d TObject.Free 006f TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyColumnsCursor.InitNextCursor 00a6 @UStrAsg 00bd TDBXMySqlCustomMetaDataReader.ParseCreateTableForNextForeignKey 00e5 StringIsNil 00f7 @UStrEqual 0140 @UStrClr 0146 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 24 00 75 07 33 DB E9 0B 01 00 00 8D 46 64 8B 10 FF 00 8B 46 38 8B 40 08 8B 10 FF 52 14 3B 46 64 7E 0E 8B C6 E8 ?? ?? ?? ?? B3 01 E9 E6 00 00 00 83 7E 60 00 7D 60 EB 2D 8B 46 24 8B 10 FF 52 60 8B 46 24 E8 ?? ?? ?? ?? 33 C0 89 46 24 83 7E 40 00 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 B1 00 00 00 8B 46 24 8B 10 FF 52 48 84 C0 74 C7 BA 01 00 00 00 8B 46 24 8B 08 FF 51 24 8D 55 FC 8B 08 FF 51 28 8B 55 FC 8D 46 5C E8 ?? ?? ?? ?? 33 C0 89 46 60 8B 46 38 50 8B 4E 60 8B 56 5C 8B 46 3C E8 ?? ?? ?? ?? 89 46 60 83 7E 60 00 0F 8C 7B FF FF FF 8B 46 38 8B 40 08 8B 10 FF 52 14 85 C0 0F 8E 68 FF FF FF 8B 46 50 E8 ?? ?? ?? ?? 84 C0 75 14 8B 46 50 8B 56 38 8B 52 04 E8 ?? ?? ?? ?? 0F 85 48 FF FF FF 8B 46 54 E8 ?? ?? ?? ?? 84 C0 75 14 8B 46 54 8B 56 38 8B 52 0C E8 ?? ?? ?? ?? 0F 85 28 FF FF FF 33 C0 89 46 64 8B C6 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12253_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyColumnsCursor.SetValues"
		size = 356
		refs = "000f TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyColumnsCursor.SetValues 0152 @UStrArrayClr 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 43 68 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 BA 01 00 00 00 8B 43 68 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 BA 05 00 00 00 8B 43 68 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 BA 06 00 00 00 8B 43 68 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 BA 08 00 00 00 8B 43 68 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 BA 02 00 00 00 8B 43 68 8B 08 FF 51 24 8B 53 4C 8B 08 FF 91 24 01 00 00 BA 03 00 00 00 8B 43 68 8B 08 FF 51 24 8B 53 38 8B 52 04 8B 08 FF 91 24 01 00 00 BA 07 00 00 00 8B 43 68 8B 08 FF 51 24 8B 53 38 8B 52 0C 8B 08 FF 91 24 01 00 00 8D 4D FC 8B 43 38 8B 40 08 8B 53 64 8B 30 FF 56 0C 8B 45 FC 50 BA 04 00 00 00 8B 43 68 8B 08 FF 51 24 5A 8B 08 FF 91 24 01 00 00 8D 4D F8 8B 43 38 8B 40 10 8B 53 64 8B 30 FF 56 0C 8B 45 F8 50 BA 09 00 00 00 8B 43 68 8B 08 FF 51 24 5A 8B 08 FF 91 24 01 00 00 BA 0A 00 00 00 8B 43 68 8B 08 FF 51 24 8B 53 64 42 8B 08 FF 91 1C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12254_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySql4ForeignKeyColumnsCursor.GetWritableValue"
		size = 22
		refs = "0011 TDBXCustomMetaDataTable.GetWritableValue"
	strings:
		$1 = { 8B CA 83 E9 0B 73 09 8B 40 68 8B 08 FF 51 24 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12255_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureSourcesCursor.Create"
		size = 368
		refs = "0016 @ClassCreate 0028 TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureSourcesCursor.Create 004b TDBXCustomMetaDataTable.Create 0059 @UStrAsg 0077 _Dn_TStringList 007c TStringList.Create 00a2 TDBXMySqlCustomMetaDataReader.GetProcedures 00b0 TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureSourcesCursor.InitNextCursor 00b7 _Dn_TDBXSingleValueRow 00bc TDBXSingleValueRow.Create 00eb TDBXValueTypeArray 00f0 @DynArrayClear 00f6 @HandleFinally 0105 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 14 50 6A 00 8B C6 8B 10 FF 52 0C 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 38 8D 43 48 8B 55 10 E8 ?? ?? ?? ?? 8D 43 4C 8B D7 E8 ?? ?? ?? ?? 8D 43 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 40 8B 43 3C 50 56 8B 43 38 8B CF 8B 55 0C E8 ?? ?? ?? ?? C7 43 44 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 58 8D 55 F8 8B C3 8B 08 FF 51 28 8B 55 F8 8B C6 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 10 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 00 00 }
	condition:
		$1
}

rule function_12256_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureSourcesCursor.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 001e TObject.Free 0029 TDBXCustomMetaDataTable.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 60 8D 46 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12258_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureSourcesCursor.InitNextCursor"
		size = 348
		refs = "0012 TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureSourcesCursor.InitNextCursor 004c @UStrAsg 0070 @UStrLAsg 008a TDBXMySqlCustomMetaDataReader.ReplaceIdentifier 00ed @UStrArrayClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 44 8B 10 FF 00 8B 43 3C 8B 10 FF 52 14 3B 43 44 7F 07 33 DB E9 A0 00 00 00 8D 4D F8 8B 53 44 8B 43 3C 8B 30 FF 56 0C 8B 55 F8 8D 43 4C E8 ?? ?? ?? ?? 8D 4D F4 8B 53 44 8B 43 40 8B 30 FF 56 0C 8B 55 F4 8D 43 50 E8 ?? ?? ?? ?? 8D 45 FC 8B 53 48 E8 ?? ?? ?? ?? 8B 43 4C 50 6A 01 8D 45 F0 50 B9 ?? ?? ?? ?? 8B 55 FC 8B 43 38 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8B 43 50 50 6A 00 8D 45 EC 50 B9 ?? ?? ?? ?? 8B 55 FC 8B 43 38 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 6A 00 8B 43 38 8B 10 FF 52 0C 33 C9 8B 55 FC 8B 30 FF 56 04 89 43 24 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_12259_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureSourcesCursor.Close"
		size = 62
		refs = "0013 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 24 85 C0 74 05 8B 10 FF 52 60 8B 43 24 E8 ?? ?? ?? ?? 33 C0 89 43 24 8D 43 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12260_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureSourcesCursor.Next"
		size = 330
		refs = "000f TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureSourcesCursor.Next 0032 TObject.Free 003e TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureSourcesCursor.InitNextCursor 005f TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureSourcesCursor.ComputeDefiner 006a @UStrAsg 010e TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureSourcesCursor.ComputeDefinition 0136 @UStrArrayClr 013c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 24 00 75 2E 33 DB E9 FA 00 00 00 8B 46 24 8B 10 FF 52 60 8B 46 24 E8 ?? ?? ?? ?? 33 C0 89 46 24 8B C6 E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 D3 00 00 00 8B 46 24 8B 10 FF 52 48 84 C0 74 CD 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 54 E8 ?? ?? ?? ?? 33 D2 8B 46 58 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 BA 05 00 00 00 8B 46 58 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 83 7E 54 00 75 17 BA 01 00 00 00 8B 46 58 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 EB 18 BA 01 00 00 00 8B 46 58 8B 08 FF 51 24 8B 56 54 8B 08 FF 91 24 01 00 00 BA 02 00 00 00 8B 46 58 8B 08 FF 51 24 8B 56 4C 8B 08 FF 91 24 01 00 00 BA 03 00 00 00 8B 46 58 8B 08 FF 51 24 8B 56 50 8B 08 FF 91 24 01 00 00 BA 04 00 00 00 8B 46 58 8B 08 FF 51 24 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 58 8B 08 FF 91 24 01 00 00 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12261_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureSourcesCursor.GetWritableValue"
		size = 22
		refs = "0011 TDBXCustomMetaDataTable.GetWritableValue"
	strings:
		$1 = { 8B CA 83 E9 06 73 09 8B 40 58 8B 08 FF 51 24 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12262_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureSourcesCursor.ComputeDefinition"
		size = 200
		refs = "0014 TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureSourcesCursor.ComputeDefinition 003a StringIndexOf 005f @UStrCopy 006f @UStrCat3 007a @UStrAsg 008f @UStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 02 00 00 00 8B 43 24 8B 08 FF 51 24 8D 55 FC 8B 08 FF 51 28 8B 53 50 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 7C 2F 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 F4 50 8B CE 2B CB 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F4 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 22 00 00 00 }
	condition:
		$1
}

rule function_12263_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureSourcesCursor.ComputeDefiner"
		size = 224
		refs = "0014 TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureSourcesCursor.ComputeDefiner 0022 @UStrClr 0044 StringIndexOf 007e @UStrCopy 0089 @UStrAsg 00ab @UStrArrayClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? BA 02 00 00 00 8B 46 24 8B 08 FF 51 24 8D 55 F8 8B 08 FF 51 28 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 34 83 C3 09 8D 55 F0 8B 46 38 8B 08 FF 51 20 8B 55 F0 8B CB 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 13 8D 45 FC 50 8B CE 2B CB 8D 53 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 45 00 46 00 49 00 4E 00 45 00 52 00 3D 00 00 00 00 00 }
	condition:
		$1
}

rule function_12264_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureParametersCursor.Create"
		size = 396
		refs = "0016 @ClassCreate 0028 TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureParametersCursor.Create 004b TDBXCustomMetaDataTable.Create 0059 @UStrAsg 0082 _Dn_TStringList 0087 TStringList.Create 00ad TDBXMySqlCustomMetaDataReader.GetProcedures 00bb _Dn_TDBXArrayList 00c0 TDBXArrayList.Create 00ca TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureParametersCursor.InitNextCursor 00d1 _Dn_TDBXSingleValueRow 00d6 TDBXSingleValueRow.Create 0105 TDBXValueTypeArray 010a @DynArrayClear 0110 @HandleFinally 011f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 18 50 6A 00 8B C6 8B 10 FF 52 0C 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 38 8D 43 4C 8B 55 14 E8 ?? ?? ?? ?? 8D 43 50 8B D7 E8 ?? ?? ?? ?? 8D 43 54 8B 55 08 E8 ?? ?? ?? ?? 8D 43 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 40 8B 43 3C 50 56 8B 43 38 8B CF 8B 55 10 E8 ?? ?? ?? ?? C7 43 44 FF FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 60 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 68 8D 55 F8 8B C3 8B 08 FF 51 28 8B 55 F8 8B C6 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 14 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 00 00 }
	condition:
		$1
}

rule function_12265_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureParametersCursor.Destroy"
		size = 130
		refs = "0005 @BeforeDestruction 001e TDBXArrayList.GetCount 0032 TDBXArrayList.GetValue 0037 TObject.Free 0043 TDBXArrayList.Clear 006e TDBXCustomMetaDataTable.Destroy 0079 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B C5 8B 10 FF 52 60 8B 75 60 85 F6 74 2C 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 18 40 89 C6 33 FF 8B 45 60 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 45 60 E8 ?? ?? ?? ?? 8D 45 60 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 45 68 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12267_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureParametersCursor.InitNextCursor"
		size = 348
		refs = "0012 TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureParametersCursor.InitNextCursor 004c @UStrAsg 0070 @UStrLAsg 008a TDBXMySqlCustomMetaDataReader.ReplaceIdentifier 00ed @UStrArrayClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 44 8B 10 FF 00 8B 43 3C 8B 10 FF 52 14 3B 43 44 7F 07 33 DB E9 A0 00 00 00 8D 4D F8 8B 53 44 8B 43 3C 8B 30 FF 56 0C 8B 55 F8 8D 43 50 E8 ?? ?? ?? ?? 8D 4D F4 8B 53 44 8B 43 40 8B 30 FF 56 0C 8B 55 F4 8D 43 58 E8 ?? ?? ?? ?? 8D 45 FC 8B 53 4C E8 ?? ?? ?? ?? 8B 43 50 50 6A 01 8D 45 F0 50 B9 ?? ?? ?? ?? 8B 55 FC 8B 43 38 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8B 43 58 50 6A 00 8D 45 EC 50 B9 ?? ?? ?? ?? 8B 55 FC 8B 43 38 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 6A 00 8B 43 38 8B 10 FF 52 0C 33 C9 8B 55 FC 8B 30 FF 56 04 89 43 24 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_12268_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureParametersCursor.Close"
		size = 65
		refs = "001b TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 24 85 C0 74 05 8B 10 FF 52 60 8D 43 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12269_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureParametersCursor.Next"
		size = 199
		refs = "0028 TDBXArrayList.GetValue 0043 @UStrEqual 0051 TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureParametersCursor.SetValues 006a TDBXArrayList.GetCount 0091 TObject.Free 0098 TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureParametersCursor.InitNextCursor 00b5 TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureParametersCursor.ComputeParams"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B F0 83 7E 24 00 75 09 C6 04 24 00 E9 A3 00 00 00 8D 46 48 8B 10 FF 00 EB 45 8B 56 48 8B 46 60 E8 ?? ?? ?? ?? 89 46 64 83 7E 54 00 75 04 B3 01 EB 11 8B 46 54 8B 56 64 8B 52 14 E8 ?? ?? ?? ?? 0F 94 C3 84 DB 74 0D 8B C6 E8 ?? ?? ?? ?? C6 04 24 01 EB 60 8D 7E 48 8B 07 89 44 24 04 FF 07 8B 46 60 E8 ?? ?? ?? ?? 3B 46 48 7F AE EB 31 8B 46 24 8B 10 FF 52 60 8D 6E 24 8B 45 00 89 44 24 08 33 C0 89 45 00 8B 44 24 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 06 C6 04 24 00 EB 15 8B 46 24 8B 10 FF 52 48 84 C0 74 C3 8B C6 E8 ?? ?? ?? ?? EB AB 0F B6 04 24 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12270_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureParametersCursor.SetValues"
		size = 409
	strings:
		$1 = { 53 8B D8 BA 01 00 00 00 8B 43 68 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 BA 0A 00 00 00 8B 43 68 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 BA 0B 00 00 00 8B 43 68 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 BA 0D 00 00 00 8B 43 68 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 83 7B 5C 00 75 14 33 D2 8B 43 68 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 EB 15 33 D2 8B 43 68 8B 08 FF 51 24 8B 53 5C 8B 08 FF 91 24 01 00 00 BA 02 00 00 00 8B 43 68 8B 08 FF 51 24 8B 53 50 8B 08 FF 91 24 01 00 00 BA 03 00 00 00 8B 43 68 8B 08 FF 51 24 8B 53 64 8B 52 14 8B 08 FF 91 24 01 00 00 BA 04 00 00 00 8B 43 68 8B 08 FF 51 24 8B 53 64 8B 52 18 8B 08 FF 91 24 01 00 00 BA 05 00 00 00 8B 43 68 8B 08 FF 51 24 8B 53 64 8B 52 04 8B 08 FF 91 24 01 00 00 BA 06 00 00 00 8B 43 68 8B 08 FF 51 24 8B 53 64 8B 52 08 8B 08 FF 91 1C 01 00 00 BA 07 00 00 00 8B 43 68 8B 08 FF 51 24 8B 53 64 8B 52 0C 8B 08 FF 91 1C 01 00 00 BA 08 00 00 00 8B 43 68 8B 08 FF 51 24 8B 53 64 8B 52 1C 8B 08 FF 91 1C 01 00 00 BA 09 00 00 00 8B 43 68 8B 08 FF 51 24 8B 53 64 0F B6 52 12 80 F2 01 8B 08 FF 91 08 01 00 00 BA 0C 00 00 00 8B 43 68 8B 08 FF 51 24 8B 53 64 0F B6 52 11 8B 08 FF 91 08 01 00 00 BA 0E 00 00 00 8B 43 68 8B 08 FF 51 24 8B 53 64 0F B6 52 10 8B 08 FF 91 08 01 00 00 5B C3 }
	condition:
		$1
}

rule function_12271_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureParametersCursor.GetWritableValue"
		size = 22
		refs = "0011 TDBXCustomMetaDataTable.GetWritableValue"
	strings:
		$1 = { 8B CA 83 E9 0F 73 09 8B 40 68 8B 08 FF 51 24 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12272_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureParametersCursor.ComputeParams"
		size = 132
		refs = "000e TDBXMySqlCustomMetaDataReader.TDBXMySqlProcedureParametersCursor.ComputeParams 0037 TDBXMySqlCustomMetaDataReader.ParseProcedureDefiner 0042 @UStrAsg 0054 TDBXMySqlCustomMetaDataReader.ParseProcedure 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 02 00 00 00 8B 43 24 8B 08 FF 51 24 8D 55 FC 8B 08 FF 51 28 8D 4D F8 8B 55 FC 8B 43 38 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 5C E8 ?? ?? ?? ?? 8B 43 60 50 8B 4B 58 8B 55 FC 8B 43 38 E8 ?? ?? ?? ?? 33 C0 89 43 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12273_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.GetProductName"
		size = 44
		refs = "0006 TDBXMySqlMetaDataReader.GetProductName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 79 00 53 00 51 00 4C 00 00 00 }
	condition:
		$1
}

rule function_12274_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.GetSqlIdentifierQuotePrefix"
		size = 36
		refs = "0006 TDBXMySqlMetaDataReader.GetSqlIdentifierQuotePrefix 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 60 00 00 00 }
	condition:
		$1
}

rule function_12276_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.GetSqlIdentifierQuoteChar"
		size = 36
		refs = "0006 TDBXMySqlMetaDataReader.GetSqlIdentifierQuoteChar 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 60 00 00 00 }
	condition:
		$1
}

rule function_12275_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.GetSqlIdentifierQuoteSuffix"
		size = 36
		refs = "0006 TDBXMySqlMetaDataReader.GetSqlIdentifierQuoteSuffix 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 60 00 00 00 }
	condition:
		$1
}

rule function_12277_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.GetTableType"
		size = 56
		refs = "0006 TDBXMySqlMetaDataReader.GetTableType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 42 00 41 00 53 00 45 00 20 00 54 00 41 00 42 00 4C 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_12284_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.GetSqlForTables"
		size = 976
		refs = "000f TDBXMySqlMetaDataReader.GetSqlForTables 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 84 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 27 00 42 00 41 00 53 00 45 00 20 00 54 00 41 00 42 00 4C 00 45 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 54 00 41 00 42 00 4C 00 45 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 45 00 4E 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2E 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3D 00 31 00 20 00 4F 00 52 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 49 00 4E 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 53 00 2C 00 3A 00 56 00 49 00 45 00 57 00 53 00 2C 00 3A 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 56 00 49 00 45 00 57 00 53 00 2C 00 3A 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 54 00 41 00 42 00 4C 00 45 00 53 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 48 00 4F 00 57 00 20 00 54 00 41 00 42 00 4C 00 45 00 53 00 00 00 }
	condition:
		$1
}

rule function_12285_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.GetSqlForViews"
		size = 736
		refs = "000f TDBXMySqlMetaDataReader.GetSqlForViews 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 56 00 49 00 45 00 57 00 5F 00 44 00 45 00 46 00 49 00 4E 00 49 00 54 00 49 00 4F 00 4E 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2E 00 56 00 49 00 45 00 57 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3D 00 31 00 20 00 4F 00 52 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 56 00 49 00 45 00 57 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 56 00 49 00 45 00 57 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 45 00 6D 00 70 00 74 00 79 00 54 00 61 00 62 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12286_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.GetSqlForColumns"
		size = 1712
		refs = "000f TDBXMySqlMetaDataReader.GetSqlForColumns 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF E3 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 44 00 41 00 54 00 41 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 4E 00 55 00 4D 00 45 00 52 00 49 00 43 00 5F 00 50 00 52 00 45 00 43 00 49 00 53 00 49 00 4F 00 4E 00 2C 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 4D 00 41 00 58 00 49 00 4D 00 55 00 4D 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 29 00 2C 00 20 00 4E 00 55 00 4D 00 45 00 52 00 49 00 43 00 5F 00 53 00 43 00 41 00 4C 00 45 00 2C 00 20 00 4F 00 52 00 44 00 49 00 4E 00 41 00 4C 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 20 00 49 00 53 00 20 00 4E 00 4F 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 4E 00 44 00 20 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 20 00 3C 00 3E 00 20 00 27 00 43 00 55 00 52 00 52 00 45 00 4E 00 54 00 5F 00 54 00 49 00 4D 00 45 00 53 00 54 00 41 00 4D 00 50 00 27 00 20 00 41 00 4E 00 44 00 20 00 44 00 41 00 54 00 41 00 5F 00 54 00 59 00 50 00 45 00 20 00 49 00 4E 00 20 00 28 00 27 00 63 00 68 00 61 00 72 00 27 00 2C 00 27 00 76 00 61 00 72 00 63 00 68 00 61 00 72 00 27 00 2C 00 27 00 74 00 69 00 6D 00 65 00 73 00 74 00 61 00 6D 00 70 00 27 00 2C 00 27 00 64 00 61 00 74 00 65 00 74 00 69 00 6D 00 65 00 27 00 2C 00 27 00 64 00 61 00 74 00 65 00 27 00 2C 00 27 00 74 00 69 00 6D 00 65 00 27 00 2C 00 27 00 79 00 65 00 61 00 72 00 27 00 29 00 20 00 54 00 48 00 45 00 4E 00 20 00 43 00 4F 00 4E 00 43 00 41 00 54 00 28 00 22 00 27 00 22 00 2C 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 2C 00 22 00 27 00 22 00 29 00 20 00 45 00 4C 00 53 00 45 00 20 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 20 00 45 00 4E 00 44 00 20 00 41 00 53 00 20 00 43 00 48 00 41 00 52 00 28 00 32 00 35 00 35 00 29 00 29 00 2C 00 20 00 49 00 53 00 5F 00 4E 00 55 00 4C 00 4C 00 41 00 42 00 4C 00 45 00 3D 00 27 00 59 00 45 00 53 00 27 00 2C 00 20 00 4C 00 4F 00 43 00 41 00 54 00 45 00 28 00 27 00 61 00 75 00 74 00 6F 00 5F 00 69 00 6E 00 63 00 72 00 65 00 6D 00 65 00 6E 00 74 00 27 00 2C 00 45 00 58 00 54 00 52 00 41 00 29 00 20 00 3E 00 20 00 30 00 2C 00 20 00 2D 00 31 00 2C 00 20 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 28 00 4C 00 4F 00 43 00 41 00 54 00 45 00 28 00 27 00 75 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 27 00 2C 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 54 00 59 00 50 00 45 00 29 00 20 00 3E 00 20 00 30 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3D 00 31 00 20 00 4F 00 52 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 2C 00 4F 00 52 00 44 00 49 00 4E 00 41 00 4C 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 53 00 48 00 4F 00 57 00 20 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 46 00 52 00 4F 00 4D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_12288_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.GetSqlForIndexes"
		size = 1016
		refs = "000f TDBXMySqlMetaDataReader.GetSqlForIndexes 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 88 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 4E 00 4F 00 4E 00 5F 00 55 00 4E 00 49 00 51 00 55 00 45 00 20 00 3D 00 20 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 45 00 4C 00 53 00 45 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4E 00 44 00 2C 00 20 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 3D 00 27 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 27 00 2C 00 20 00 4E 00 4F 00 4E 00 5F 00 55 00 4E 00 49 00 51 00 55 00 45 00 3D 00 30 00 2C 00 20 00 31 00 3D 00 31 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2E 00 53 00 54 00 41 00 54 00 49 00 53 00 54 00 49 00 43 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3D 00 31 00 20 00 4F 00 52 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 47 00 52 00 4F 00 55 00 50 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 2C 00 20 00 33 00 20 00 2C 00 34 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 53 00 48 00 4F 00 57 00 20 00 49 00 4E 00 44 00 45 00 58 00 20 00 46 00 52 00 4F 00 4D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_12289_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.GetSqlForIndexColumns"
		size = 1004
		refs = "000f TDBXMySqlMetaDataReader.GetSqlForIndexColumns 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 83 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 53 00 45 00 51 00 5F 00 49 00 4E 00 5F 00 49 00 4E 00 44 00 45 00 58 00 2C 00 20 00 43 00 4F 00 4C 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 3D 00 27 00 41 00 27 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2E 00 53 00 54 00 41 00 54 00 49 00 53 00 54 00 49 00 43 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3D 00 31 00 20 00 4F 00 52 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 34 00 2C 00 20 00 53 00 45 00 51 00 5F 00 49 00 4E 00 5F 00 49 00 4E 00 44 00 45 00 58 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 53 00 48 00 4F 00 57 00 20 00 49 00 4E 00 44 00 45 00 58 00 20 00 46 00 52 00 4F 00 4D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_12290_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.GetSqlForForeignKeys"
		size = 928
		refs = "000f TDBXMySqlMetaDataReader.GetSqlForForeignKeys 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 5B 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2E 00 4B 00 45 00 59 00 5F 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 55 00 53 00 41 00 47 00 45 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 5F 00 49 00 4E 00 5F 00 55 00 4E 00 49 00 51 00 55 00 45 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 20 00 49 00 53 00 20 00 4E 00 4F 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3D 00 31 00 20 00 4F 00 52 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 47 00 52 00 4F 00 55 00 50 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 2C 00 34 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 2C 00 34 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 53 00 48 00 4F 00 57 00 20 00 43 00 52 00 45 00 41 00 54 00 45 00 20 00 54 00 41 00 42 00 4C 00 45 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_12291_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.GetSqlForForeignKeyColumns"
		size = 1772
		refs = "000f TDBXMySqlMetaDataReader.GetSqlForForeignKeyColumns 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 00 03 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 45 00 46 00 45 00 52 00 45 00 4E 00 43 00 45 00 44 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 43 00 41 00 53 00 54 00 28 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 53 00 20 00 43 00 48 00 41 00 52 00 28 00 31 00 29 00 29 00 2C 00 20 00 52 00 45 00 46 00 45 00 52 00 45 00 4E 00 43 00 45 00 44 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 27 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 27 00 2C 00 20 00 52 00 45 00 46 00 45 00 52 00 45 00 4E 00 43 00 45 00 44 00 5F 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 4F 00 52 00 44 00 49 00 4E 00 41 00 4C 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2E 00 4B 00 45 00 59 00 5F 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 55 00 53 00 41 00 47 00 45 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 5F 00 49 00 4E 00 5F 00 55 00 4E 00 49 00 51 00 55 00 45 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 20 00 49 00 53 00 20 00 4E 00 4F 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3D 00 31 00 20 00 4F 00 52 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 45 00 46 00 45 00 52 00 45 00 4E 00 43 00 45 00 44 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 3D 00 20 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3D 00 31 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 45 00 46 00 45 00 52 00 45 00 4E 00 43 00 45 00 44 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 27 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 27 00 20 00 3D 00 20 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 2C 00 34 00 2C 00 4F 00 52 00 44 00 49 00 4E 00 41 00 4C 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 53 00 48 00 4F 00 57 00 20 00 43 00 52 00 45 00 41 00 54 00 45 00 20 00 54 00 41 00 42 00 4C 00 45 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_12293_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.GetSqlForProcedures"
		size = 876
		refs = "000f TDBXMySqlMetaDataReader.GetSqlForProcedures 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 53 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 49 00 4E 00 46 00 4F 00 52 00 4D 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 2E 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3D 00 31 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 52 00 4F 00 55 00 54 00 49 00 4E 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 2C 00 20 00 33 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 45 00 6D 00 70 00 74 00 79 00 54 00 61 00 62 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12294_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.GetSqlForProcedureSources"
		size = 120
		refs = "0006 TDBXMySqlMetaDataReader.GetSqlForProcedureSources 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 2B 00 00 00 53 00 48 00 4F 00 57 00 20 00 43 00 52 00 45 00 41 00 54 00 45 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_12295_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.GetSqlForProcedureParameters"
		size = 120
		refs = "0006 TDBXMySqlMetaDataReader.GetSqlForProcedureParameters 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 2B 00 00 00 53 00 48 00 4F 00 57 00 20 00 43 00 52 00 45 00 41 00 54 00 45 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_12300_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.GetSqlForUsers"
		size = 252
		refs = "000f TDBXMySqlMetaDataReader.GetSqlForUsers 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 55 00 53 00 45 00 52 00 20 00 46 00 52 00 4F 00 4D 00 20 00 4D 00 59 00 53 00 51 00 4C 00 2E 00 55 00 53 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 45 00 6D 00 70 00 74 00 79 00 54 00 61 00 62 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12301_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.FetchRoles"
		size = 116
		refs = "000a TDBXMySqlMetaDataReader.FetchRoles 0018 TDBXMetaDataCollectionColumns.CreateRolesColumns 0028 _Dn_TDBXEmptyTableCursor 002d TDBXEmptyTableCursor.Create 0045 TDBXValueTypeArray 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 6F 00 6C 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_12302_0 {
	meta:
		name = "TDBXMySqlMetaDataReader.GetReservedWords"
		size = 10516
		refs = "000c TDBXMySqlMetaDataReader.GetReservedWords 0025 TDBXStringArray 002a @DynArraySetLength 003a @UStrAsg 0fcc @DynArrayAsg 0fe7 @DynArrayClear 0fed @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 E1 00 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 28 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 34 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 3C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 60 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 6C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 70 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 74 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 78 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 7C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF }
	condition:
		$1
}

rule function_12305_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataWriter.MakeSqlDataType"
		size = 260
		refs = "001d TDBXBaseMetaDataWriter.MakeSqlDataType 002c TDBXMySqlCustomMetaDataWriter.MakeSqlDataType 0067 TDBXMySqlCustomMetaDataWriter.UnicodeSpecificationRequired 0078 TDBXStringBuffer.Append"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 0C 50 8B 45 08 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 46 08 83 F8 1D 77 7D 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 00 00 00 02 02 00 00 00 00 00 02 02 00 00 00 00 02 02 00 00 00 00 00 00 01 00 02 02 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 37 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 28 BA 10 00 00 00 8B 45 0C 8B 08 FF 51 24 33 D2 8B 08 FF 91 D4 00 00 00 84 C0 74 0D BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 20 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 20 00 53 00 45 00 54 00 20 00 75 00 74 00 66 00 38 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 75 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_12306_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataWriter.UnicodeSpecificationRequired"
		size = 42
	strings:
		$1 = { 53 56 8B F2 8B 40 08 8B 10 FF 92 38 01 00 00 8B D8 BA 0E 00 00 00 8B C6 8B 08 FF 51 24 8B D3 8B 08 FF 91 D4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_12308_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataWriter.MakeSqlCreateIndex"
		size = 312
		refs = "0035 TDBXBaseMetaDataWriter.MakeSqlCreateIndex 004b TDBXMySqlCustomMetaDataWriter.MakeSqlCreateIndex 0052 TDBXStringBuffer.Append"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F0 BA 05 00 00 00 8B 45 FC 8B 08 FF 51 24 33 D2 8B 08 FF 91 D4 00 00 00 84 C0 75 12 8B 45 08 50 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? EB 7E 8B 4D FC 8B D3 8B C6 8B 38 FF 97 A8 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 4D 08 8B D3 8B C6 8B 30 FF 96 AC 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 44 00 44 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4B 00 45 00 59 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_12309_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataWriter.HasAutoIncrementColumn"
		size = 219
		refs = "0014 TDBXMySqlCustomMetaDataWriter.HasAutoIncrementColumn 00ac TObject.Free 00c6 @UStrArrayClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 8B 08 FF 51 24 8D 4D FC 33 D2 8B 38 FF 97 D0 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 24 8D 4D F8 33 D2 8B 38 FF 97 D0 00 00 00 BA 02 00 00 00 8B C3 8B 08 FF 51 24 8D 4D F4 33 D2 8B 18 FF 93 D0 00 00 00 8B 45 F4 50 8B 46 08 8B 4D F8 8B 55 FC 8B 18 FF 53 78 8B F0 33 DB EB 19 BA 0A 00 00 00 8B C6 8B 08 FF 51 24 8B 10 FF 52 0C 84 C0 74 04 B3 01 EB 0B 8B C6 8B 10 FF 52 48 84 C0 75 DC 8B C6 8B 10 FF 52 60 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12310_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataWriter.MakeSqlDropIndex"
		size = 436
		refs = "0019 TDBXMySqlCustomMetaDataWriter.MakeSqlDropIndex 003e TDBXMySqlCustomMetaDataWriter.HasAutoIncrementColumn 0061 TDBXStringBuffer.Append 010e @UStrClr 0114 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 05 00 00 00 8B C6 8B 08 FF 51 24 8B 10 FF 52 68 84 C0 74 12 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 B3 00 00 00 8B CE 8B D3 8B 45 FC 8B 38 FF 97 A8 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 05 00 00 00 8B C6 8B 08 FF 51 24 8B 10 FF 52 68 84 C0 74 26 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 39 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 03 00 00 00 8B C6 8B 08 FF 51 24 8D 55 F8 8B 08 FF 51 28 8B 4D F8 8B D3 8B 45 FC 8B 30 FF 56 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 52 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4B 00 45 00 59 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 44 00 45 00 58 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_12311_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataWriter.MakeSqlDropForeignKey"
		size = 336
		refs = "0019 TDBXMySqlCustomMetaDataWriter.MakeSqlDropForeignKey 003a TDBXStringBuffer.Append 00c4 @UStrClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D3 8B C6 8B 38 FF 97 A8 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 03 00 00 00 8B 45 FC 8B 08 FF 51 24 8D 55 F8 8B 08 FF 51 28 8B 4D F8 8B D3 8B C6 8B 30 FF 56 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 52 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4B 00 45 00 59 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_12312_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataWriter.FindCastType"
		size = 600
		refs = "0018 TDBXMySqlCustomMetaDataWriter.FindCastType 00b5 IntToStr 00ca @UStrCatN 00dc @UStrAsg 0157 @UStrClr 0171 @UStrArrayClr 017f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 04 00 00 00 8B C3 8B 08 FF 51 24 8D 55 FC 8B 08 FF 51 28 6A 00 8B CB 8B 55 FC 8B C6 8B 30 FF 56 70 8B 40 08 83 F8 1C 0F 87 03 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 05 00 06 06 06 02 02 07 04 00 00 00 00 07 00 00 06 00 00 00 00 00 03 00 01 02 06 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 68 ?? ?? ?? ?? BA 05 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 20 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 88 00 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 79 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6A 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5B 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4C 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3D 68 ?? ?? ?? ?? BA 05 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 20 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8B 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 48 00 41 00 52 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 45 00 43 00 49 00 4D 00 41 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 41 00 54 00 45 00 54 00 49 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 49 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 49 00 47 00 4E 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 49 00 4E 00 41 00 52 00 59 00 28 00 00 00 }
	condition:
		$1
}

rule function_12313_0 {
	meta:
		name = "TDBXMySqlCustomMetaDataWriter.MakeSqlColumnTypeCast"
		size = 676
		refs = "0021 TDBXMySqlCustomMetaDataWriter.MakeSqlColumnTypeCast 003f TDBXMySqlCustomMetaDataWriter.FindCastType 0061 @UStrEqual 00c8 TDBXStringBuffer.Append 01dd @UStrArrayClr 01f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F0 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 10 FF 52 3C 89 45 EC 8D 4D FC 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 75 04 B0 01 EB 0E 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 0F 94 C0 84 C0 74 2B BA 03 00 00 00 8B 45 EC 8B 08 FF 51 24 8D 4D E8 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D E8 8B D3 8B C6 8B 18 FF 53 10 E9 30 01 00 00 BA 04 00 00 00 8B 45 F0 8B 08 FF 51 24 8D 55 F4 8B 08 FF 51 28 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 84 C0 74 30 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 03 00 00 00 8B 45 EC 8B 08 FF 51 24 8D 4D E4 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D E4 8B D3 8B C6 8B 38 FF 57 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 BA 04 00 00 00 8B 45 F0 8B 08 FF 51 24 8D 55 E0 8B 08 FF 51 28 8B 4D E0 8B D3 8B C6 8B 30 FF 56 68 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 84 C0 74 30 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 79 00 65 00 61 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 41 00 4B 00 45 00 44 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 41 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 41 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_12316_0 {
	meta:
		name = "TDBXMySqlMetaDataWriter.GetSqlAutoIncrementKeyword"
		size = 88
		refs = "0006 TDBXMySqlMetaDataWriter.GetSqlAutoIncrementKeyword 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 61 00 75 00 74 00 6F 00 5F 00 69 00 6E 00 63 00 72 00 65 00 6D 00 65 00 6E 00 74 00 20 00 70 00 72 00 69 00 6D 00 61 00 72 00 79 00 20 00 6B 00 65 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_12319_0 {
	meta:
		name = "TDBXMySqlMetaDataWriter.GetAlterTableSupport"
		size = 6
		altNames = "TEncodingInfoISO885913.MIBenum"
	strings:
		$1 = { B8 6D 00 00 00 C3 }
	condition:
		$1
}

rule function_12320_0 {
	meta:
		name = "TDBXMySqlMetaDataWriter.GetSqlRenameTable"
		size = 180
		refs = "0006 TDBXMySqlMetaDataWriter.GetSqlRenameTable 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 49 00 00 00 52 00 45 00 4E 00 41 00 4D 00 45 00 20 00 54 00 41 00 42 00 4C 00 45 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 2E 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 54 00 4F 00 20 00 3A 00 4E 00 45 00 57 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 2E 00 3A 00 4E 00 45 00 57 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_12326_0 {
	meta:
		name = "GetTypeSize"
		size = 376
		refs = "000f GetTypeSize"
	strings:
		$1 = { 83 C4 F8 83 F8 1D 0F 87 53 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 01 00 02 02 03 04 00 00 05 00 06 07 00 00 00 00 08 09 00 00 00 00 0A 00 00 0B 0C 0D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 04 24 06 00 00 00 C7 44 24 04 00 00 00 00 E9 EA 00 00 00 C7 04 24 02 00 00 00 C7 44 24 04 00 00 00 00 E9 D6 00 00 00 C7 04 24 04 00 00 00 C7 44 24 04 00 00 00 00 E9 C2 00 00 00 C7 04 24 08 00 00 00 C7 44 24 04 00 00 00 00 E9 AE 00 00 00 C7 04 24 06 00 00 00 C7 44 24 04 00 00 00 00 E9 9A 00 00 00 C7 04 24 02 00 00 00 C7 44 24 04 00 00 00 00 E9 86 00 00 00 C7 04 24 04 00 00 00 C7 44 24 04 00 00 00 00 EB 75 C7 04 24 08 00 00 00 C7 44 24 04 00 00 00 00 EB 64 C7 04 24 08 00 00 00 C7 44 24 04 00 00 00 00 EB 53 C7 04 24 10 00 00 00 C7 44 24 04 00 00 00 00 EB 42 C7 04 24 04 00 00 00 C7 44 24 04 00 00 00 00 EB 31 C7 04 24 01 00 00 00 C7 44 24 04 00 00 00 00 EB 20 C7 04 24 01 00 00 00 C7 44 24 04 00 00 00 00 EB 0F C7 04 24 01 00 00 00 C7 44 24 04 00 00 00 00 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_12327_0 {
	meta:
		name = "TDBXOdbcDriver.CheckResult"
		size = 32
		refs = "001b TDBXOdbcMethodTable.RaiseError"
	strings:
		$1 = { 66 85 D2 74 1A 66 83 FA 01 74 14 6A 01 8B 48 28 51 8B CA 8B 50 24 8B 40 18 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12328_0 {
	meta:
		name = "TDBXOdbcDriver.CreateOdbcCommand"
		size = 22
		refs = "0005 _DV_TDBXOdbcCommand 000e TDBXOdbcCommand.Create"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_12330_0 {
	meta:
		name = "TDBXOdbcDriver.CreateConnection"
		size = 135
		refs = "000d TDBXOdbcDriver.LoadDriver 0025 TDBXOdbcMethodTable.SQLAllocHandle 002e TDBXOdbcDriver.CheckResult 0042 TDBXOdbcMethodTable.SQLSetEnvAttr 007a _DV_TDBXOdbcConnection 007f TDBXOdbcConnection.Create"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 56 1C 8B C3 E8 ?? ?? ?? ?? 83 7B 28 00 75 38 8D 43 28 50 33 C9 66 BA 01 00 8B 43 24 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 6A 03 6A 00 B9 C8 00 00 00 8B 53 28 8B 43 24 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 54 8B 4B 28 66 BA 02 00 8B 43 24 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 28 50 8B 44 24 04 50 8B 43 24 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_12331_0 {
	meta:
		name = "TDBXOdbcDriver.LoadDriver"
		size = 332
		refs = "001a TDBXOdbcDriver.LoadDriver 0034 LoadLibrary 0046 SDllLoadError 004b LoadResString 0060 GetLastError 0075 Format 0085 TDBXContext.Error 008e _DV_TDBXOdbcMethodTable 0093 TDBXOdbcMethodTable.Create 00ad TDBXOdbcMethodTable.LoadMethods 00c2 @HandleOnException 00ca _Dn_TDBXError 00de @RaiseAgain 00e3 @DoneExcept 00fd @UStrArrayClr 0103 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D F8 89 4D F4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 24 00 0F 85 B9 00 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 4B 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 E8 ?? ?? ?? ?? 89 45 EC C6 45 F0 00 8D 55 E4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 4D F8 BA 16 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 24 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 89 43 18 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 5D FC 8B D0 8B 43 0C FF 53 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 6F 00 64 00 62 00 63 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6F 00 64 00 62 00 63 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_12332_0 {
	meta:
		name = "TDBXOdbcDriver.Create"
		size = 436
		refs = "0019 @ClassCreate 002f TDBXDriverDef 0034 @AddRefRecord 003c TDBXOdbcDriver.Create 004c _DV_TDBXOdbcProperties 0051 TDBXOdbcProperties.Create 0061 TDBXProperties.GetCount 0082 TStrings.GetName 00ca TDBXProperties.AddUniqueProperties 00e1 TDBXDriver.Create 00e6 RCS 00f6 TDBXOdbcDriver.CreateOdbcCommand 00ff TDBXDriver.AddCommandFactory 0122 TDBXProperties.GetBoolean 012d TDBXDriver.CacheUntilFinalization 0147 @UStrArrayClr 0155 @FinalizeRecord 015b @HandleFinally 016a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F4 A5 A5 A5 88 55 F3 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 7D F8 85 FF 74 7B 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 57 40 89 45 E4 C7 45 EC 00 00 00 00 8D 4D E0 8B 45 F8 8B 40 08 8B 55 EC E8 ?? ?? ?? ?? 8B 55 E0 8B 46 08 8B 08 FF 51 58 89 45 E8 83 7D E8 FF 7E 1F 8D 4D DC 8B 45 F8 8B 40 08 8B 55 EC 8B 38 FF 57 0C 8B 4D DC 8B 55 E8 8B 46 08 8B 38 FF 57 20 FF 45 EC FF 4D E4 75 B4 8B 45 F8 8B 50 08 8B C6 E8 ?? ?? ?? ?? 8B 56 08 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D F4 33 D2 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 43 24 33 C0 89 43 28 53 68 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 04 8B C3 8B 10 FF 12 85 C0 74 14 8B C3 8B 10 FF 12 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 41 00 75 00 74 00 6F 00 55 00 6E 00 6C 00 6F 00 61 00 64 00 44 00 72 00 69 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_12333_0 {
	meta:
		name = "TDBXOdbcDriver.Create"
		size = 151
		refs = "0011 @ClassCreate 0026 TDBXDriverDef 002b @AddRefRecord 0033 TDBXOdbcDriver.Create 006b @FinalizeRecord 0071 @HandleFinally 007e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F4 A5 A5 A5 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 33 D2 8B C6 8B 38 FF 57 1C 8B 45 08 89 46 24 33 C0 89 46 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12334_0 {
	meta:
		name = "TDBXOdbcDriver.Destroy"
		size = 87
		refs = "0003 @BeforeDestruction 001c TDBXOdbcMethodTable.SQLFreeHandle 0025 TDBXOdbcDriver.CheckResult 003a TObject.Free 0045 TDBXDriver.Destroy 0050 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 28 85 C0 74 17 8B C8 8B 46 24 66 BA 01 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 28 8D 46 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12335_0 {
	meta:
		name = "TDBXOdbcDriver.GetDriverPropertyNames"
		size = 124
		refs = "0004 TDBXOdbcDriver.GetDriverPropertyNames"
	strings:
		$1 = { 53 8B DA BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_12337_0 {
	meta:
		name = "TDBXOdbcConnection.CheckResult"
		size = 32
		refs = "001b TDBXOdbcMethodTable.RaiseError"
	strings:
		$1 = { 66 85 D2 74 1A 66 83 FA 01 74 14 6A 02 8B 48 38 51 8B CA 8B 50 30 8B 40 28 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12338_0 {
	meta:
		name = "TDBXOdbcConnection.CreateAndBeginTransaction"
		size = 60
		refs = "0019 TDBXOdbcMethodTable.SQLSetConnectAttr 0022 TDBXOdbcConnection.CheckResult 0030 _DV_TDBXOdbcTransaction 0035 TDBXOdbcTransaction.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 FF 43 3C 6A 00 6A 00 B9 66 00 00 00 8B 53 38 8B 43 30 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 56 8B 43 3C 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12339_0 {
	meta:
		name = "TDBXOdbcConnection.Commit"
		size = 69
		refs = "0010 TDBXOdbcMethodTable.SQLEndTran 0019 TDBXOdbcConnection.CheckResult 0036 TDBXOdbcMethodTable.SQLSetConnectAttr"
	strings:
		$1 = { 53 8B D8 6A 00 8B 4B 38 66 BA 02 00 8B 43 30 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? FF 4B 3C 83 7B 3C 00 75 1D 6A 01 6A 00 B9 66 00 00 00 8B 53 38 8B 43 30 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12340_0 {
	meta:
		name = "TDBXOdbcConnection.DerivedClose"
		size = 25
		refs = "000a TDBXOdbcMethodTable.SQLDisconnect 0013 TDBXOdbcConnection.CheckResult"
	strings:
		$1 = { 53 8B D8 8B 53 38 8B 43 30 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12343_0 {
	meta:
		name = "TDBXOdbcConnection.DerivedOpen"
		size = 692
		refs = "0014 TDBXOdbcConnection.DerivedOpen 002a TDBXProperties.GetValue 0088 TDBXOdbcMethodTable.SQLDriverConnect 00c7 TDBXOdbcMethodTable.SQLConnect 00d0 TDBXOdbcConnection.CheckResult 00eb LowerCase 00f8 @UStrEqual 0145 TDBXOdbcMethodTable.SQLSetConnectAttr 0163 @UStrClr 0170 @UStrArrayClr 0176 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 8D 4D F4 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 83 7D F0 00 74 2A 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 8B 55 F0 52 50 6A 00 6A 00 8D 45 EA 50 6A 00 33 C9 8B 53 38 8B 43 30 E8 ?? ?? ?? ?? EB 3D 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 85 D2 74 05 83 EA 04 8B 12 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 50 8B 45 F8 50 52 8B 45 F4 50 56 8B 4D FC 8B 43 30 8B 53 38 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 4D E4 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 8B 45 E4 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B8 04 00 00 00 EB 31 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B8 01 00 00 00 EB 1B 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B8 08 00 00 00 EB 05 B8 02 00 00 00 50 6A 00 B9 6C 00 00 00 8B 53 38 8B 43 30 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 4C 00 65 00 76 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 72 00 65 00 70 00 65 00 61 00 74 00 61 00 62 00 6C 00 65 00 72 00 65 00 61 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 64 00 69 00 72 00 74 00 79 00 72 00 65 00 61 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 73 00 65 00 72 00 69 00 61 00 6C 00 69 00 7A 00 61 00 62 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12345_0 {
	meta:
		name = "TDBXOdbcConnection.GetProductName"
		size = 214
		refs = "0019 TDBXOdbcConnection.GetProductName 0027 @UStrClr 003e TDBXOdbcMethodTable.SQLGetInfo 0047 TDBXOdbcConnection.CheckResult 0062 TArray<System.Byte> 0067 @DynArraySetLength 0096 TDBXPlatform.BytesToWideStr 00a1 Trim 00c4 @DynArrayClear 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 F6 50 66 B9 11 00 8B 53 38 8B 43 30 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B7 45 F6 40 8B F0 03 F6 0F BF C6 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 50 56 8D 45 F6 50 66 B9 11 00 8B 53 38 8B 43 30 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12346_0 {
	meta:
		name = "TDBXOdbcConnection.GetProductVersion"
		size = 164
		refs = "0013 TDBXOdbcConnection.GetProductVersion 0020 @UStrClr 0030 TArray<System.Byte> 0035 @DynArraySetLength 0051 TDBXOdbcMethodTable.SQLGetInfo 005a TDBXOdbcConnection.CheckResult 0065 TDBXPlatform.BytesToWideStr 006f Trim 0092 @DynArrayClear 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 6A 16 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 50 6A 16 8D 45 FA 50 66 B9 12 00 8B 53 38 8B 43 30 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12347_0 {
	meta:
		name = "TDBXOdbcConnection.Rollback"
		size = 69
		refs = "0010 TDBXOdbcMethodTable.SQLEndTran 0019 TDBXOdbcConnection.CheckResult 0036 TDBXOdbcMethodTable.SQLSetConnectAttr"
	strings:
		$1 = { 53 8B D8 6A 01 8B 4B 38 66 BA 02 00 8B 43 30 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? FF 4B 3C 83 7B 3C 00 75 1D 6A 01 6A 00 B9 66 00 00 00 8B 53 38 8B 43 30 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12348_0 {
	meta:
		name = "TDBXOdbcConnection.Create"
		size = 82
		refs = "000d @ClassCreate 001a TDBXConnection.Create 003c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 10 89 46 34 8B 45 0C 89 46 38 8B 45 08 89 46 30 33 C0 89 46 3C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_12349_0 {
	meta:
		name = "TDBXOdbcConnection.Destroy"
		size = 99
		refs = "0003 @BeforeDestruction 002e TDBXOdbcMethodTable.SQLFreeHandle 0037 TDBXOdbcConnection.CheckResult 0051 TDBXConnection.Destroy 005c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 38 84 C0 74 07 8B C6 8B 10 FF 52 64 8B 46 38 85 C0 74 17 8B C8 8B 46 30 66 BA 02 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 38 33 C0 89 46 30 33 C0 89 46 34 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12350_0 {
	meta:
		name = "TDBXOdbcConnection.GetVendorProperty"
		size = 108
		refs = "0009 TDBXOdbcConnection.GetVendorProperty 000e @UStrEqual 001c @UStrAsg 0026 @UStrClr"
	strings:
		$1 = { 53 56 8B D9 8B F2 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4F 00 64 00 62 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_12351_0 {
	meta:
		name = "GetCDataTypeFromDbxType"
		size = 271
		refs = "000f GetCDataTypeFromDbxType"
	strings:
		$1 = { 0F BF C0 83 F8 21 0F 87 FE 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 B8 09 00 C3 66 83 EA 16 74 08 66 83 EA 0A 74 08 EB 0C 66 B8 01 00 EB 5A 66 B8 F8 FF EB 54 66 B8 FE FF C3 66 B8 F9 FF C3 66 B8 05 00 C3 66 B8 04 00 C3 66 B8 08 00 C3 66 B8 FE FF C3 66 B8 0A 00 C3 66 B8 0B 00 C3 66 B8 EF FF C3 66 B8 EE FF C3 66 B8 E7 FF C3 66 B8 E5 FF C3 66 B8 0B 00 C3 66 B8 F8 FF C3 66 B8 E6 FF C3 66 B8 E4 FF C3 66 B8 01 00 C3 }
	condition:
		$1
}

rule function_12352_0 {
	meta:
		name = "GetSqlDataTypeFromDbxType"
		size = 294
		refs = "000f GetSqlDataTypeFromDbxType"
	strings:
		$1 = { 0F BF C0 83 F8 21 0F 87 15 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 83 EA 1F 75 06 66 B8 01 00 EB 7E 66 B8 0C 00 C3 66 B8 5B 00 C3 66 83 EA 16 74 08 66 83 EA 0A 74 07 EB 0B 83 C8 FF EB 61 66 B8 F6 FF EB 5B 66 B8 FC FF C3 66 B8 F9 FF C3 66 B8 05 00 C3 66 B8 04 00 C3 66 B8 08 00 C3 66 B8 02 00 C3 66 B8 FE FF C3 66 B8 5C 00 C3 66 B8 FD FF C3 66 B8 FB FF C3 66 B8 5D 00 C3 66 83 EA 1F 75 06 66 B8 F8 FF EB 18 66 B8 F7 FF C3 66 B8 07 00 C3 66 B8 FA FF C3 66 B8 FC FF C3 66 B8 01 00 C3 }
	condition:
		$1
}

rule function_12353_0 {
	meta:
		name = "GetOdbcParameterDirection"
		size = 40
	strings:
		$1 = { 66 FF C8 74 11 66 FF C8 74 11 66 FF C8 74 11 66 FF C8 74 07 EB 0F 66 B8 01 00 C3 66 B8 04 00 C3 66 B8 02 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_12354_0 {
	meta:
		name = "TDBXOdbcCommand.BindParameters"
		size = 4542
		refs = "0017 TDBXOdbcCommand.BindParameters 004b :TDBXOdbcRow.:2 0050 @DynArraySetLength 02da @_llmul 04ad GetTypeSize 04e5 TObject.Free 04f6 _DV_TDBXOdbcBlockMgr 04fb TDBXOdbcBlockMgr.Create 05af GetOdbcParameterDirection 05d5 GetCDataTypeFromDbxType 05fb GetSqlDataTypeFromDbxType 064d TDBXOdbcMethodTable.SQLBindParameter 1184 TDBXOdbcCommand.CheckResult 11a3 @UStrClr 11b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 D2 89 55 B4 89 55 BC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 EC FF FF FF FF 83 7B 50 00 75 07 8B C3 8B 10 FF 52 2C 8B 43 24 8B 10 FF 52 08 50 8B 43 50 83 C0 28 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 8B 43 24 8B 10 FF 52 08 48 85 C0 0F 8C 64 04 00 00 40 89 45 E8 33 F6 8B 43 50 8B 40 28 8B 55 F0 89 14 F0 8B 55 F4 89 54 F0 04 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 50 83 F8 1A 0F 87 F6 03 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 02 00 01 00 00 00 00 04 05 00 00 00 00 00 05 00 00 00 00 00 00 00 00 00 00 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 48 74 14 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 83 F8 03 75 2A 8B 43 50 8B 40 20 99 52 50 8B 45 F0 8B 55 F4 83 C0 04 83 D2 00 03 04 24 13 54 24 04 83 C4 08 89 45 F0 89 55 F4 E9 98 03 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 03 45 F0 13 55 F4 52 50 8B 43 50 8B 40 20 99 03 04 24 13 54 24 04 83 C4 08 89 45 F0 89 55 F4 E9 65 03 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 48 74 14 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 83 F8 03 75 6E 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 68 83 FA 00 75 07 83 F8 00 76 3D EB 02 7E 39 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 68 03 45 F0 13 55 F4 83 E8 01 83 DA 00 52 50 8B 43 50 8B 40 20 99 03 04 24 13 54 24 04 83 C4 08 89 45 F0 89 55 F4 E9 E9 02 00 00 8B 43 50 8B 40 20 99 03 45 F0 13 55 F4 89 45 F0 89 55 F4 E9 D1 02 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 03 45 F0 13 55 F4 52 50 8B 43 50 8B 40 20 99 03 04 24 13 54 24 04 83 C4 08 89 45 F0 89 55 F4 E9 9E 02 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 48 74 14 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 83 F8 03 75 6E 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 68 83 FA 00 75 07 83 F8 00 76 3D EB 02 7E 39 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 68 03 45 F0 13 55 F4 83 E8 02 83 DA 00 52 50 8B 43 50 8B 40 20 99 03 04 24 13 54 24 04 83 C4 08 89 45 F0 89 55 F4 E9 22 02 00 00 8B 43 50 8B 40 20 99 03 45 F0 13 55 F4 89 45 F0 89 55 F4 E9 0A 02 00 00 6A 00 6A 02 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 E8 ?? ?? ?? ?? 03 45 F0 13 55 F4 52 50 8B 43 50 8B 40 20 99 03 04 24 13 54 24 04 83 C4 08 89 45 F0 89 55 F4 E9 CE 01 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 C0 8B 08 FF 51 34 0F B6 45 C0 33 D2 52 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 1C 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 C0 8B 08 FF 51 34 0F B6 45 C1 50 8B D6 8B 43 24 8B 08 FF 51 04 5A 8B 08 FF 51 20 8B D6 8B 43 24 8B 08 FF 51 04 89 45 E4 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 BC 8B 08 FF 51 28 8B 45 BC 89 45 B8 8B 7D B8 85 FF 74 05 83 EF 04 8B 3F 8D 47 01 99 52 50 8B 45 E4 8B 10 FF 52 30 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 68 03 45 F0 13 55 F4 83 E8 01 83 DA 00 52 50 8B 43 50 8B 40 20 99 03 04 24 13 54 24 04 83 C4 08 89 45 F0 89 55 F4 E9 F7 00 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 48 74 14 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 83 F8 03 75 65 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 68 83 FA 00 75 07 83 F8 00 76 37 EB 02 7E 33 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 68 03 45 F0 13 55 F4 52 50 8B 43 50 8B 40 20 99 03 04 24 13 54 24 04 83 C4 08 89 45 F0 89 55 F4 E9 81 00 00 00 8B 43 50 8B 40 20 99 03 45 F0 13 55 F4 89 45 F0 89 55 F4 EB 6C 6A 00 6A 02 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 E8 ?? ?? ?? ?? 03 45 F0 13 55 F4 52 50 8B 43 50 8B 40 20 99 03 04 24 13 54 24 04 83 C4 08 89 45 F0 89 55 F4 EB 33 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 50 E8 ?? ?? ?? ?? 03 45 F0 13 55 F4 52 50 8B 43 50 8B 40 20 99 03 04 24 13 54 24 04 83 C4 08 89 45 F0 89 55 F4 46 FF 4D E8 0F 85 A2 FB FF FF 8B 43 50 8B 40 0C 85 C0 74 05 E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 6A 00 6A 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 50 89 42 0C 8B 43 24 8B 10 FF 52 08 48 85 C0 0F 8C 7C 0C 00 00 40 89 45 E8 33 F6 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 50 83 F8 1A 0F 87 2F 0B 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 02 00 01 00 00 00 00 04 05 00 00 00 00 00 05 00 00 00 00 00 00 00 00 00 00 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 48 74 18 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 83 F8 03 0F 85 B7 00 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 E8 ?? ?? ?? ?? 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 54 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 50 5A E8 ?? ?? ?? ?? 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 54 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 50 5A E8 ?? ?? ?? ?? 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 5C 50 56 6A 04 8B 43 50 8B 40 28 8B 54 F0 04 8B 04 F0 83 C0 04 83 D2 00 8B 53 50 8B 52 0C 8B 52 04 8D 04 02 50 8B CE 41 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? E9 29 0B 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 E8 ?? ?? ?? ?? 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 54 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 50 5A E8 ?? ?? ?? ?? 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 54 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 50 5A E8 ?? ?? ?? ?? 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 5C 50 8B 43 50 8B 40 28 8B 04 F0 8B 53 50 8B 52 0C 8B 52 04 8D 04 02 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 8B 4B 50 8B 49 28 03 04 F1 13 54 F1 04 8B 53 50 8B 52 0C 8B 52 04 8D 04 02 50 8B CE 41 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? E9 46 0A 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 48 74 18 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 83 F8 03 0F 85 BA 01 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 83 FA 00 75 07 83 F8 00 77 2A EB 02 7F 26 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 68 83 E8 01 83 DA 00 52 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 1C 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 68 83 FA 00 75 0B 83 F8 00 0F 86 CE 00 00 00 EB 06 0F 8E C6 00 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 E8 ?? ?? ?? ?? 50 6A 01 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 54 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 50 5A E8 ?? ?? ?? ?? 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 5C 50 8B 43 50 8B 40 28 8B 04 F0 8B 53 50 8B 52 0C 8B 52 04 8D 04 02 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 68 48 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 68 8B 4B 50 8B 49 28 03 04 F1 13 54 F1 04 83 E8 01 83 DA 00 8B 53 50 8B 52 0C 8B 52 04 8D 04 02 50 8B CE 41 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? E9 EE 08 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 E8 ?? ?? ?? ?? 50 6A 01 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 54 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 50 5A E8 ?? ?? ?? ?? 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 5C 50 8B 43 50 8B 40 28 8B 04 F0 8B 53 50 8B 52 0C 8B 52 04 8D 04 02 50 6A 00 8D 45 EC 50 8B CE 41 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? E9 62 08 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 E8 ?? ?? ?? ?? 50 6A 01 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 54 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 50 5A E8 ?? ?? ?? ?? 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 5C 50 8B 43 50 8B 40 28 8B 04 F0 8B 53 50 8B 52 0C 8B 52 04 8D 04 02 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 8B 4B 50 8B 49 28 03 04 F1 13 54 F1 04 8B 53 50 8B 52 0C 8B 52 04 8D 04 02 50 8B CE 41 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? E9 A3 07 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 48 74 18 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 83 F8 03 0F 85 BC 01 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 83 FA 00 75 07 83 F8 00 77 2A EB 02 7F 26 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 68 83 E8 02 83 DA 00 52 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 1C 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 68 83 FA 00 75 0B 83 F8 00 0F 86 D0 00 00 00 EB 06 0F 8E C8 00 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 E8 ?? ?? ?? ?? 50 6A F8 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 54 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 50 5A E8 ?? ?? ?? ?? 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 5C 50 8B 43 50 8B 40 28 8B 04 F0 8B 53 50 8B 52 0C 8B 52 04 8D 04 02 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 68 83 E8 02 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 68 8B 4B 50 8B 49 28 03 04 F1 13 54 F1 04 83 E8 02 83 DA 00 8B 53 50 8B 52 0C 8B 52 04 8D 04 02 50 8B CE 41 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? E9 49 06 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 E8 ?? ?? ?? ?? 50 6A F8 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 54 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 50 5A E8 ?? ?? ?? ?? 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 5C 50 8B 43 50 8B 40 28 8B 04 F0 8B 53 50 8B 52 0C 8B 52 04 8D 04 02 50 6A 00 8D 45 EC 50 8B CE 41 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? E9 BD 05 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 E8 ?? ?? ?? ?? 50 6A F8 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 54 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 50 5A E8 ?? ?? ?? ?? 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 5C 50 8B 43 50 8B 40 28 8B 04 F0 8B 53 50 8B 52 0C 8B 52 04 8D 04 02 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 03 C0 50 6A 00 6A 02 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 E8 ?? ?? ?? ?? 8B 4B 50 8B 49 28 03 04 F1 13 54 F1 04 8B 53 50 8B 52 0C 8B 52 04 8D 04 02 50 8B CE 41 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? E9 F3 04 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 83 FA 00 75 07 83 F8 00 77 24 EB 02 7F 20 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 68 52 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 1C 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 B4 8B 08 FF 51 28 8B 45 B4 89 45 B8 8B 45 B8 85 C0 74 05 83 E8 04 8B 00 89 45 FC 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 E8 ?? ?? ?? ?? 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 54 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 50 5A E8 ?? ?? ?? ?? 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 54 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 50 5A E8 ?? ?? ?? ?? 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 5C 50 8B 43 50 8B 40 28 8B 04 F0 8B 53 50 8B 52 0C 8B 52 04 8D 04 02 50 8B 45 FC 50 8B 45 FC 33 D2 8B 4B 50 8B 49 28 03 04 F1 13 54 F1 04 8B 53 50 8B 52 0C 8B 52 04 8D 04 02 50 8B CE 41 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? E9 BD 03 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 48 74 18 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 83 F8 03 0F 85 AD 01 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 83 FA 00 75 07 83 F8 00 77 24 EB 02 7F 20 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 68 52 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 1C 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 68 83 FA 00 75 0B 83 F8 00 0F 86 C7 00 00 00 EB 06 0F 8E BF 00 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 E8 ?? ?? ?? ?? 50 6A F8 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 54 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 50 5A E8 ?? ?? ?? ?? 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 5C 50 8B 43 50 8B 40 28 8B 04 F0 8B 53 50 8B 52 0C 8B 52 04 8D 04 02 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 68 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 68 8B 4B 50 8B 49 28 03 04 F1 13 54 F1 04 8B 53 50 8B 52 0C 8B 52 04 8D 04 02 50 8B CE 41 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? E9 72 02 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 E8 ?? ?? ?? ?? 50 6A F8 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 54 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 50 5A E8 ?? ?? ?? ?? 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 5C 50 8B 43 50 8B 40 28 8B 04 F0 8B 53 50 8B 52 0C 8B 52 04 8D 04 02 50 6A 00 8D 45 EC 50 8B CE 41 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? E9 E6 01 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 E8 ?? ?? ?? ?? 50 6A F8 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 54 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 50 5A E8 ?? ?? ?? ?? 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 5C 50 8B 43 50 8B 40 28 8B 04 F0 8B }
	condition:
		$1
}

rule function_12355_0 {
	meta:
		name = "TDBXOdbcCommand.CheckResult"
		size = 32
		refs = "001b TDBXOdbcMethodTable.RaiseError"
	strings:
		$1 = { 66 85 D2 74 1A 66 83 FA 01 74 14 6A 03 8B 48 38 51 8B CA 8B 50 2C 8B 40 28 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12356_0 {
	meta:
		name = "TDBXOdbcCommand.CheckResultConnHandle"
		size = 32
		refs = "001b TDBXOdbcMethodTable.RaiseError"
	strings:
		$1 = { 66 85 D2 74 1A 66 83 FA 01 74 14 6A 02 8B 48 34 51 8B CA 8B 50 2C 8B 40 28 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12357_0 {
	meta:
		name = "TDBXOdbcCommand.ExecuteCatalogFunction"
		size = 2024
		refs = "0018 TDBXOdbcCommand.ExecuteCatalogFunction 0035 @UStrEqual 007a TDBXOdbcMethodTable.SQLStatistics 00a5 TDBXOdbcMethodTable.SQLGetTypeInfo 00d0 @UStrLAsg 00d8 @UStrClr 0129 TDBXOdbcMethodTable.SQLTables 03fc TDBXOdbcMethodTable.SQLColumns 048f TDBXOdbcMethodTable.SQLForeignKeys 0502 TDBXOdbcMethodTable.SQLProcedures 05b1 TDBXOdbcMethodTable.SQLProcedureColumns 05be TDBXOdbcCommand.CheckResult 05d8 @UStrArrayClr 05eb @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B C3 8B 08 FF 51 0C 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 48 8B C3 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 F4 8B 08 FF 51 28 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 6A 00 6A 00 6A 00 8B 55 F4 52 50 6A 01 6A 00 33 C9 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? E9 36 05 00 00 8D 55 DC 8B C3 8B 08 FF 51 0C 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 33 C9 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? E9 0B 05 00 00 8D 55 D8 8B C3 8B 08 FF 51 0C 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 6B 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 85 D2 74 05 83 EA 04 8B 12 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 50 8B 45 F8 50 52 8B 45 F4 50 56 6A 00 6A 00 8B 4D FC 8B 43 2C 8B 53 38 E8 ?? ?? ?? ?? E9 87 04 00 00 8D 55 D4 8B C3 8B 08 FF 51 0C 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 6B 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 85 D2 74 05 83 EA 04 8B 12 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 50 8B 45 F8 50 52 8B 45 F4 50 56 6A 00 6A 00 8B 4D FC 8B 43 2C 8B 53 38 E8 ?? ?? ?? ?? E9 03 04 00 00 8D 55 D0 8B C3 8B 08 FF 51 0C 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 86 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 F4 8B 08 FF 51 28 8D 45 EC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 85 D2 74 05 83 EA 04 8B 12 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 8B 7D EC 85 FF 74 05 83 EF 04 8B 3F 50 8B 45 F8 50 52 8B 45 F4 50 56 8B 45 EC 50 57 8B 4D FC 8B 43 2C 8B 53 38 E8 ?? ?? ?? ?? E9 60 03 00 00 8D 55 CC 8B C3 8B 08 FF 51 0C 8B 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 78 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 85 D2 74 05 83 EA 04 8B 12 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 8B 7D EC 85 FF 74 05 83 EF 04 8B 3F 50 8B 45 F8 50 52 8B 45 F4 50 56 8B 45 EC 50 57 8B 4D FC 8B 43 2C 8B 53 38 E8 ?? ?? ?? ?? E9 CF 02 00 00 8D 55 C8 8B C3 8B 08 FF 51 0C 8B 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 78 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 85 D2 74 05 83 EA 04 8B 12 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 8B 7D EC 85 FF 74 05 83 EF 04 8B 3F 50 8B 45 F8 50 52 8B 45 F4 50 56 8B 45 EC 50 57 8B 4D FC 8B 43 2C 8B 53 38 E8 ?? ?? ?? ?? E9 3E 02 00 00 8D 55 C4 8B C3 8B 08 FF 51 0C 8B 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 71 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 F4 8B 08 FF 51 28 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 85 D2 74 05 83 EA 04 8B 12 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 50 8B 45 F8 50 52 8B 45 F4 50 56 6A 00 6A 00 8B 4D FC 8B 43 2C 8B 53 38 E8 ?? ?? ?? ?? E9 B4 01 00 00 8D 55 C0 8B C3 8B 08 FF 51 0C 8B 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 7A 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 F4 8B 08 FF 51 28 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 85 D2 74 05 83 EA 04 8B 12 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 6A 00 6A 00 6A 00 6A 00 6A 00 8B 4D FC 51 50 8B 45 F8 50 52 8B 45 F4 50 56 33 C9 8B 43 2C 8B 53 38 E8 ?? ?? ?? ?? E9 21 01 00 00 8D 55 BC 8B C3 8B 08 FF 51 0C 8B 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5A 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 85 D2 74 05 83 EA 04 8B 12 8B 75 F0 85 F6 74 05 83 EE 04 8B 36 50 8B 45 F8 50 52 8B 45 F0 50 56 8B 4D FC 8B 43 2C 8B 53 38 E8 ?? ?? ?? ?? E9 AE 00 00 00 8D 55 B8 8B C3 8B 08 FF 51 0C 8B 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 8F 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 F0 8B 08 FF 51 28 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 89 55 E8 83 7D E8 00 74 0B 8B 55 E8 83 EA 04 8B 12 89 55 E8 8B 55 F0 89 55 E4 83 7D E4 00 74 0B 8B 55 E4 83 EA 04 8B 12 89 55 E4 50 8B 45 F8 50 8B 45 E8 50 8B 45 F0 50 8B 45 E4 50 6A 00 6A 00 8B 4D FC 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? EB 02 33 C0 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 49 00 6E 00 64 00 65 00 78 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 47 00 65 00 74 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 53 00 63 00 68 00 65 00 6D 00 61 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 56 00 69 00 65 00 77 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 56 00 49 00 45 00 57 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 47 00 65 00 74 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12358_0 {
	meta:
		name = "TDBXOdbcCommand.IsFunction"
		size = 476
		refs = "0014 TDBXOdbcCommand.IsFunction 002c _DV_TDBXOdbcCommand 0031 TDBXOdbcCommand.Create 0052 @UStrClr 0087 StringReplace 00ca TDBXOdbcMethodTable.SQLProcedures 00d4 TDBXOdbcCommand.CheckResult 00f1 _DV_TDBXOdbcByteReader 00f6 TDBXOdbcByteReader.Create 0120 _DV_TDBXOdbcReader 0125 TDBXOdbcReader.Create 016a TObject.Free 0170 @HandleFinally 01c1 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8B 43 3C 50 8B 4B 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 EC 8B 10 FF 52 38 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F4 50 8D 55 E4 8B C3 8B 08 FF 51 0C 8B 45 E4 50 8B 43 3C 8B 10 FF 52 0C 8B 50 04 33 C9 58 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 85 D2 74 05 83 EA 04 8B 12 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 50 8B 45 F8 50 52 8B 45 F4 50 56 8B 45 EC 8B 40 2C 8B 55 EC 8B 52 38 8B 4D FC E8 ?? ?? ?? ?? 8B D0 8B 45 EC E8 ?? ?? ?? ?? 8B 43 30 50 8B 43 34 50 8B 45 EC 8B 40 38 50 8B 43 2C 50 8B 4B 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 30 50 8B 43 34 50 8B 45 EC 8B 40 38 50 8B 43 2C 50 56 6A 00 6A 08 FF 73 4C FF 73 48 8B 4B 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 8B 10 FF 52 3C 8B 45 E8 8B 40 04 8B 40 1C 8B 10 FF 52 20 66 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 66 83 7D F0 02 75 04 C6 45 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F3 5E 5B 8B E5 5D C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_12359_0 {
	meta:
		name = "TDBXOdbcCommand.GetNumberOfColumns"
		size = 55
		refs = "0011 TDBXOdbcMethodTable.SQLNumResultCols 001a TDBXOdbcCommand.CheckResult"
	strings:
		$1 = { 53 83 C4 F4 8B D8 8D 4C 24 08 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 0F BF 44 24 08 99 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_12360_0 {
	meta:
		name = "TDBXOdbcCommand.PutBlobs"
		size = 371
		refs = "0016 TDBXOdbcCommand.PutBlobs 002c TArray<System.Byte> 0031 @DynArraySetLength 0117 TDBXOdbcMethodTable.SQLPutData 0120 TDBXOdbcCommand.CheckResult 012e TDBXOdbcMethodTable.SQLParamData 0161 @FinalizeArray 0167 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 24 8B 10 FF 52 08 48 85 C0 0F 8C FC 00 00 00 40 89 45 EC 33 F6 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 50 83 F8 03 0F 85 D4 00 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 48 74 18 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 83 F8 03 0F 85 AA 00 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 58 84 C0 0F 85 8E 00 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 5C 89 45 F0 89 55 F4 8B 45 F0 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 00 6A 00 6A 00 FF 75 F4 FF 75 F0 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 98 00 00 00 8B 45 F0 50 8B 4D FC 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 46 FF 4D EC 0F 85 0A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12361_0 {
	meta:
		name = "TDBXOdbcCommand.SetParameterValues"
		size = 1476
		refs = "0020 TDBXOdbcCommand.SetParameterValues 0144 @LStrFromUStr 01c0 SQL_LEN_DATA_AT_EXEC 02bb TArray<System.Byte> 02c0 @DynArraySetLength 047b SDBXErrInvalidParameter 0480 LoadResString 0490 _Dn_TDBXError 0495 TDBXError.Create 049a @RaiseExcept 055b @_llmul 059b @UStrArrayClr 05a3 @LStrClr 05b1 @DynArrayClear 05b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 D2 89 55 CC 89 55 D0 89 55 D8 89 55 D4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 24 8B 10 FF 52 08 48 85 C0 0F 8C 4A 05 00 00 40 89 45 EC 33 F6 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 48 74 18 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 40 83 F8 03 0F 85 38 04 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 58 84 C0 74 1E 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B D0 8B 43 50 8B 08 FF 51 6C E9 DA 04 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 50 83 F8 21 0F 87 BE 03 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 02 03 04 04 05 06 01 07 08 00 00 00 00 07 00 00 09 00 00 00 00 00 0A 00 0B 0C 0D 00 00 00 00 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 D4 8B 08 FF 51 28 8B 55 D4 8D 45 D8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B D0 8B 43 50 59 8B 38 FF 57 70 E9 10 04 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 38 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B D0 8B 43 50 59 8B 38 FF 97 A4 00 00 00 E9 D9 03 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 5C 89 45 F0 89 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8B 7B 50 8B 47 28 8B 54 F0 04 8B 04 F0 83 C0 04 83 D2 00 8B 57 0C 8B 52 04 8D 04 02 89 08 E9 92 03 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 1C 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B D0 8B 43 50 59 8B 38 FF 97 8C 00 00 00 E9 5B 03 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 20 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B D0 8B 43 50 59 8B 38 FF 97 90 00 00 00 E9 24 03 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 30 83 C4 F8 DD 1C 24 9B 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B D0 8B 43 50 8B 08 FF 91 9C 00 00 00 E9 E8 02 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 5C 89 45 F0 89 55 F4 8B 45 F0 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 00 6A 00 6A 00 FF 75 F4 FF 75 F0 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 98 00 00 00 6A 00 6A 00 6A 00 6A 00 FF 75 F4 FF 75 F0 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B D0 8B 4D FC 8B 43 50 8B 38 FF 97 B4 00 00 00 E9 5A 02 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 3C 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B D0 8B 43 50 59 8B 38 FF 97 A8 00 00 00 E9 23 02 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 24 52 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B D0 8B 43 50 8B 08 FF 91 94 00 00 00 E9 EC 01 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 DC 8B 08 FF 51 40 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B D0 8D 4D DC 8B 43 50 8B 38 FF 97 AC 00 00 00 E9 B1 01 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 D0 8B 08 FF 51 28 8B 45 D0 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B D0 8B 43 50 59 8B 38 FF 57 74 E9 77 01 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 2C 83 C4 FC D9 1C 24 9B 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B D0 8B 43 50 8B 08 FF 91 98 00 00 00 E9 3B 01 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 14 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 7C 8B D0 8B 43 50 59 8B 38 FF 97 84 00 00 00 E9 04 01 00 00 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 B9 09 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D8 00 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 50 83 F8 08 7F 0F 74 58 48 74 18 83 E8 02 74 13 E9 B5 00 00 00 83 E8 1A 74 6A 83 E8 07 0F 85 A7 00 00 00 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 50 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 8B 4B 50 8B 49 28 03 04 F1 13 54 F1 04 8B 53 50 8B 52 0C 8B 52 04 8D 04 02 5A 89 10 EB 6A 8B 4B 50 8B 41 28 8B 54 F0 04 8B 04 F0 83 C0 22 83 D2 00 8B 51 0C 8B 52 04 8D 04 02 C7 00 22 00 00 00 EB 46 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 03 C0 50 6A 00 6A 02 8B D6 8B 43 24 8B 08 FF 51 04 8B 10 FF 52 58 E8 ?? ?? ?? ?? 8B 4B 50 8B 49 28 03 04 F1 13 54 F1 04 8B 53 50 8B 52 0C 8B 52 04 8D 04 02 5A 89 10 46 FF 4D EC 0F 85 BC FA FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12362_0 {
	meta:
		name = "TDBXOdbcCommand.SetRowsAffected"
		size = 39
		refs = "000d TDBXOdbcMethodTable.SQLRowCount 0016 TDBXOdbcCommand.CheckResult"
	strings:
		$1 = { 53 51 8B D8 8B CC 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 99 89 43 40 89 53 44 5A 5B C3 }
	condition:
		$1
}

rule function_12363_0 {
	meta:
		name = "TDBXOdbcCommand.CreateParameterRow"
		size = 45
		refs = "001a _DV_TDBXOdbcRow 001f TDBXOdbcRow.Create"
	strings:
		$1 = { 53 56 8B D8 8B 43 30 50 8B 43 34 50 8B 43 38 50 8B 43 2C 50 8B 4B 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 50 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12364_0 {
	meta:
		name = "TDBXOdbcCommand.DerivedClose"
		size = 54
		refs = "0022 TDBXOdbcMethodTable.SQLFreeHandle 002b TDBXOdbcCommand.CheckResult"
	strings:
		$1 = { 53 8B D8 C7 43 40 00 00 00 00 C7 43 44 00 00 00 00 8B 43 38 85 C0 74 17 8B C8 66 BA 03 00 8B 43 2C E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 38 5B C3 }
	condition:
		$1
}

rule function_12365_0 {
	meta:
		name = "TDBXOdbcCommand.DerivedExecuteQuery"
		size = 408
		refs = "001a TDBXOdbcCommand.DerivedExecuteQuery 0039 @UStrEqual 0042 TDBXOdbcCommand.ExecuteCatalogFunction 0060 TDBXOdbcCommand.BindParameters 0067 TDBXOdbcCommand.SetParameterValues 00a2 TDBXOdbcMethodTable.SQLExecDirect 00af TDBXOdbcMethodTable.SQLExecute 00bc TDBXOdbcCommand.PutBlobs 00c7 TDBXOdbcCommand.CheckResult 00ce TDBXOdbcCommand.SetRowsAffected 00d5 TDBXOdbcCommand.GetNumberOfColumns 0105 _DV_TDBXOdbcByteReader 010a TDBXOdbcByteReader.Create 0131 _DV_TDBXOdbcReader 0136 TDBXOdbcReader.Create 014d @UStrClr 015a @UStrArrayClr 0160 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 E8 89 55 F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8D 55 F4 8B C3 8B 08 FF 51 08 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C 8B C3 E8 ?? ?? ?? ?? E9 80 00 00 00 8B 7B 24 85 FF 74 19 8B C7 8B 10 FF 52 08 85 C0 7E 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7B 11 00 75 37 8D 55 F0 8B C3 8B 08 FF 51 0C 8B 45 F0 89 45 EC 8B 7D EC 85 FF 74 05 83 EF 04 8B 3F 57 8D 55 E8 8B C3 8B 08 FF 51 0C 8B 4D E8 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? EB 0B 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? 66 83 F8 63 75 09 8B C3 E8 ?? ?? ?? ?? EB 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 83 7D FC 00 75 08 83 7D F8 00 76 51 EB 02 7E 4D 8B 43 30 50 8B 43 34 50 8B 43 38 50 8B 43 2C 50 8B 4B 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 30 52 8B 53 34 52 8B 53 38 52 8B 53 2C 52 50 FF 75 FC FF 75 F8 FF 73 4C FF 73 48 8B 4B 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C6 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 62 00 78 00 2E 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_12366_0 {
	meta:
		name = "TDBXOdbcCommand.DerivedExecuteUpdate"
		size = 205
		refs = "0011 TDBXOdbcCommand.DerivedExecuteUpdate 0030 TDBXOdbcCommand.BindParameters 0037 TDBXOdbcCommand.SetParameterValues 0072 TDBXOdbcMethodTable.SQLExecDirect 007f TDBXOdbcMethodTable.SQLExecute 008c TDBXOdbcCommand.PutBlobs 0097 TDBXOdbcCommand.CheckResult 009e TDBXOdbcCommand.SetRowsAffected 00b3 @UStrClr 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 24 85 F6 74 19 8B C6 8B 10 FF 52 08 85 C0 7E 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7B 11 00 75 37 8D 55 FC 8B C3 8B 08 FF 51 0C 8B 45 FC 89 45 F8 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 56 8D 55 F4 8B C3 8B 08 FF 51 0C 8B 4D F4 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? EB 0B 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? 66 83 F8 63 75 09 8B C3 E8 ?? ?? ?? ?? EB 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12368_0 {
	meta:
		name = "TDBXOdbcCommand.DerivedOpen"
		size = 64
		refs = "0012 TDBXOdbcMethodTable.SQLAllocHandle 001b TDBXOdbcCommand.CheckResult 0031 TDBXOdbcMethodTable.SQLSetStmtAttr"
	strings:
		$1 = { 53 8B D8 8D 43 38 50 8B 4B 34 66 BA 03 00 8B 43 2C E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 48 50 6A 00 B9 1B 00 00 00 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12369_0 {
	meta:
		name = "TDBXOdbcCommand.DerivedPrepare"
		size = 752
		refs = "0018 TDBXOdbcCommand.DerivedPrepare 0035 @UStrEqual 004c TDBXOdbcCommand.IsFunction 0074 @UStrCatN 00b2 @UStrCat 00d2 TArray<System.Byte> 00d7 @DynArraySetLength 0101 TDBXOdbcMethodTable.SQLNativeSql 010a TDBXOdbcCommand.CheckResultConnHandle 016f TDBXOdbcMethodTable.SQLPrepare 01cc TDBXOdbcCommand.CheckResult 01e1 @UStrClr 01ee @UStrArrayClr 01fc @DynArrayClear 020a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 51 08 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 36 01 00 00 8B 43 24 8B 10 FF 52 08 8B F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 27 68 ?? ?? ?? ?? 8D 55 EC 8B C3 8B 08 FF 51 0C FF 75 EC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 4E EB 24 68 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 08 FF 51 0C FF 75 E8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 0F BF C6 48 85 C0 7E 12 89 C6 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 4E 75 F0 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 04 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 75 FC 8B C6 85 C0 74 05 83 E8 04 8B 00 50 8B 45 F8 50 6A 02 8D 45 F4 50 8B 4D FC 8B 53 34 8B 43 2C E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 40 8B F8 03 FF 57 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 85 C0 74 05 83 E8 04 8B 00 50 8B 45 F8 50 57 8D 45 F4 50 8B 4D FC 8B 53 34 8B 43 2C E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 50 8B 4D FC 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? EB 52 8D 55 E4 8B C3 8B 08 FF 51 08 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 33 C0 EB 35 8D 55 E0 8B C3 8B 08 FF 51 0C 8B 45 E0 89 45 DC 8B 75 DC 85 F6 74 05 83 EE 04 8B 36 56 8D 55 D8 8B C3 8B 08 FF 51 0C 8B 4D D8 8B 53 38 8B 43 2C E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 62 00 78 00 2E 00 53 00 74 00 6F 00 72 00 65 00 64 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 7B 00 20 00 3F 00 20 00 3D 00 20 00 43 00 41 00 4C 00 4C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 7B 00 20 00 43 00 41 00 4C 00 4C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3F 00 2C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3F 00 29 00 20 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 62 00 78 00 2E 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_12372_0 {
	meta:
		name = "TDBXOdbcCommand.SetRowSetSize"
		size = 19
		altNames = "TDSCustomAuthenticationManager.SetValidateCertificateEvent TDSCustomCertFiles.SetOnGetPEMFilePasskey TIdSysLogMessage.SetTimeStamp"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 48 8B 55 0C 89 50 4C 5D C2 08 00 }
	condition:
		$1
}

rule function_12373_0 {
	meta:
		name = "TDBXOdbcCommand.Create"
		size = 126
		refs = "000e @ClassCreate 001f TDBXCommand.Create 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 46 34 89 43 30 8B 46 38 89 43 34 8B 46 30 89 43 2C 89 73 3C 33 C0 89 43 38 C7 43 40 00 00 00 00 C7 43 44 00 00 00 00 33 C0 89 43 50 C7 43 48 14 00 00 00 C7 43 4C 00 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12374_0 {
	meta:
		name = "TDBXOdbcCommand.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0032 TDBXCommand.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 5C 33 C0 89 46 34 33 C0 89 46 30 33 C0 89 46 2C 33 C0 89 46 50 33 C0 89 46 3C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12375_0 {
	meta:
		name = "TDBXOdbcByteReader.CalculateOffset"
		size = 86
		refs = "0024 @_llmul"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B EA 8B D8 8B 43 18 8B 78 0C FF 77 1C FF 77 18 8B 47 08 8B 57 0C 83 E8 01 83 DA 00 E8 ?? ?? ?? ?? 52 50 8B 73 18 8B 46 28 8B 54 E8 04 8B 04 E8 03 04 24 13 54 24 04 83 C4 08 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12376_0 {
	meta:
		name = "TDBXOdbcByteReader.CheckResult"
		size = 32
		refs = "001b TDBXOdbcMethodTable.RaiseError"
	strings:
		$1 = { 66 85 D2 74 1A 66 83 FA 01 74 14 6A 03 8B 48 14 51 8B CA 8B 50 08 8B 40 04 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12377_0 {
	meta:
		name = "TDBXOdbcByteReader.Create"
		size = 124
		refs = "000f @ClassCreate 0021 TDBXByteReader.Create 004f _DV_TDBXOdbcRow 0054 TDBXOdbcRow.Create 0064 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 14 89 43 0C 8B 45 10 89 43 10 8B 45 0C 89 43 14 8B 7D 08 89 7B 08 8B 43 0C 50 8B 43 10 50 8B 43 14 50 57 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_12378_0 {
	meta:
		name = "TDBXOdbcByteReader.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 002b TObject.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 14 33 C0 89 46 10 33 C0 89 46 0C 33 C0 89 46 08 33 C0 89 46 18 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12379_0 {
	meta:
		name = "TDBXOdbcByteReader.GetAnsiString"
		size = 226
		refs = "001b TDBXOdbcByteReader.GetAnsiString 0028 @DynArrayLength 0038 TDBXOdbcByteReader.CalculateOffset 0068 TArray<System.Byte> 006d @DynArrayAsg 00a2 Move 00cd @FinalizeArray 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 99 89 45 F0 89 55 F4 8B D6 8B C3 E8 ?? ?? ?? ?? 03 45 F0 13 55 F4 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 83 38 FF 74 55 8B 45 08 33 D2 89 10 8D 45 FC 8B 53 18 8B 52 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 F0 85 C0 7E 1C 8B 4D FC 03 CB 8B 5D F8 8D 14 13 91 E8 ?? ?? ?? ?? EB 09 8B 45 08 C7 00 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12380_0 {
	meta:
		name = "TDBXOdbcByteReader.GetWideString"
		size = 226
		refs = "001b TDBXOdbcByteReader.GetWideString 0028 @DynArrayLength 0038 TDBXOdbcByteReader.CalculateOffset 0068 TArray<System.Byte> 006d @DynArrayAsg 00a2 Move 00cd @FinalizeArray 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 99 89 45 F0 89 55 F4 8B D6 8B C3 E8 ?? ?? ?? ?? 03 45 F0 13 55 F4 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 83 38 FF 74 55 8B 45 08 33 D2 89 10 8D 45 FC 8B 53 18 8B 52 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 F0 85 C0 7E 1C 8B 4D FC 03 CB 8B 5D F8 8D 14 13 91 E8 ?? ?? ?? ?? EB 09 8B 45 08 C7 00 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12381_0 {
	meta:
		name = "TDBXOdbcByteReader.GetUInt8"
		size = 208
		refs = "001a TDBXOdbcByteReader.GetUInt8 0029 TDBXOdbcByteReader.CalculateOffset 0056 TArray<System.Byte> 005b @DynArrayAsg 0093 Move 00bb @FinalizeArray 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C0 01 83 D2 00 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 83 38 FF 74 55 33 C0 89 07 8D 45 FC 8B 53 18 8B 52 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 B8 01 00 00 00 85 C0 7E 19 8B 4D FC 03 CB 8B 5D F8 8D 14 13 91 E8 ?? ?? ?? ?? EB 06 C7 07 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12382_0 {
	meta:
		name = "TDBXOdbcByteReader.GetInt8"
		size = 208
		refs = "001a TDBXOdbcByteReader.GetInt8 0029 TDBXOdbcByteReader.CalculateOffset 0056 TArray<System.Byte> 005b @DynArrayAsg 0093 Move 00bb @FinalizeArray 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C0 01 83 D2 00 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 83 38 FF 74 55 33 C0 89 07 8D 45 FC 8B 53 18 8B 52 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 B8 01 00 00 00 85 C0 7E 19 8B 4D FC 03 CB 8B 5D F8 8D 14 13 91 E8 ?? ?? ?? ?? EB 06 C7 07 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12383_0 {
	meta:
		name = "TDBXOdbcByteReader.GetUInt16"
		size = 208
		refs = "001a TDBXOdbcByteReader.GetUInt16 0029 TDBXOdbcByteReader.CalculateOffset 0056 TArray<System.Byte> 005b @DynArrayAsg 0093 Move 00bb @FinalizeArray 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C0 02 83 D2 00 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 83 38 FF 74 55 33 C0 89 07 8D 45 FC 8B 53 18 8B 52 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 B8 02 00 00 00 85 C0 7E 19 8B 4D FC 03 CB 8B 5D F8 8D 14 13 91 E8 ?? ?? ?? ?? EB 06 C7 07 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12384_0 {
	meta:
		name = "TDBXOdbcByteReader.GetInt16"
		size = 208
		refs = "001a TDBXOdbcByteReader.GetInt16 0029 TDBXOdbcByteReader.CalculateOffset 0056 TArray<System.Byte> 005b @DynArrayAsg 0093 Move 00bb @FinalizeArray 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C0 02 83 D2 00 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 83 38 FF 74 55 33 C0 89 07 8D 45 FC 8B 53 18 8B 52 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 B8 02 00 00 00 85 C0 7E 19 8B 4D FC 03 CB 8B 5D F8 8D 14 13 91 E8 ?? ?? ?? ?? EB 06 C7 07 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12385_0 {
	meta:
		name = "TDBXOdbcByteReader.GetInt32"
		size = 208
		refs = "001a TDBXOdbcByteReader.GetInt32 0029 TDBXOdbcByteReader.CalculateOffset 0056 TArray<System.Byte> 005b @DynArrayAsg 0093 Move 00bb @FinalizeArray 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C0 04 83 D2 00 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 83 38 FF 74 55 33 C0 89 07 8D 45 FC 8B 53 18 8B 52 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 B8 04 00 00 00 85 C0 7E 19 8B 4D FC 03 CB 8B 5D F8 8D 14 13 91 E8 ?? ?? ?? ?? EB 06 C7 07 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12387_0 {
	meta:
		name = "TDBXOdbcByteReader.GetSingle"
		size = 208
		refs = "001a TDBXOdbcByteReader.GetSingle 0029 TDBXOdbcByteReader.CalculateOffset 0056 TArray<System.Byte> 005b @DynArrayAsg 0093 Move 00bb @FinalizeArray 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C0 04 83 D2 00 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 83 38 FF 74 55 33 C0 89 07 8D 45 FC 8B 53 18 8B 52 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 B8 04 00 00 00 85 C0 7E 19 8B 4D FC 03 CB 8B 5D F8 8D 14 13 91 E8 ?? ?? ?? ?? EB 06 C7 07 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12386_0 {
	meta:
		name = "TDBXOdbcByteReader.GetInt64"
		size = 208
		refs = "001a TDBXOdbcByteReader.GetInt64 0029 TDBXOdbcByteReader.CalculateOffset 0056 TArray<System.Byte> 005b @DynArrayAsg 0093 Move 00bb @FinalizeArray 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C0 08 83 D2 00 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 83 38 FF 74 55 33 C0 89 07 8D 45 FC 8B 53 18 8B 52 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 B8 08 00 00 00 85 C0 7E 19 8B 4D FC 03 CB 8B 5D F8 8D 14 13 91 E8 ?? ?? ?? ?? EB 06 C7 07 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12388_0 {
	meta:
		name = "TDBXOdbcByteReader.GetDouble"
		size = 208
		refs = "001a TDBXOdbcByteReader.GetDouble 0029 TDBXOdbcByteReader.CalculateOffset 0056 TArray<System.Byte> 005b @DynArrayAsg 0093 Move 00bb @FinalizeArray 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C0 08 83 D2 00 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 83 38 FF 74 55 33 C0 89 07 8D 45 FC 8B 53 18 8B 52 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 B8 08 00 00 00 85 C0 7E 19 8B 4D FC 03 CB 8B 5D F8 8D 14 13 91 E8 ?? ?? ?? ?? EB 06 C7 07 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12389_0 {
	meta:
		name = "TDBXOdbcByteReader.GetBcd"
		size = 306
		refs = "0024 TDBXOdbcByteReader.GetBcd 0031 @DynArrayLength 0041 TDBXOdbcByteReader.CalculateOffset 0084 @LStrFromPChar 008f @UStrFromLStr 009a StrToBcd 00a5 BcdToBytes 00b1 TArray<System.Byte> 00b6 @DynArrayAsg 00e2 Move 0102 @LStrClr 010a @UStrClr 011d @FinalizeArray 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D C0 89 5D BC 89 5D FC 89 5D F8 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 99 89 45 E8 89 55 EC 8B D6 8B C3 E8 ?? ?? ?? ?? 03 45 E8 13 55 EC 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 83 38 FF 0F 84 88 00 00 00 8B 45 08 33 D2 89 10 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 53 18 8B 52 0C 8B 52 04 03 D0 8D 45 BC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 BC 8D 45 C0 E8 ?? ?? ?? ?? 8B 45 C0 8D 55 C4 E8 ?? ?? ?? ?? 8D 45 C4 8D 55 FC E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 E8 85 C0 7E 1E 8B 4D F8 33 DB 03 CB 8B 5D F4 8D 14 13 91 E8 ?? ?? ?? ?? EB 09 8B 45 08 C7 00 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12390_0 {
	meta:
		name = "TDBXOdbcByteReader.GetTimeStamp"
		size = 208
		refs = "001a TDBXOdbcByteReader.GetTimeStamp 0029 TDBXOdbcByteReader.CalculateOffset 0056 TArray<System.Byte> 005b @DynArrayAsg 0093 Move 00bb @FinalizeArray 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C0 10 83 D2 00 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 83 38 FF 74 55 33 C0 89 07 8D 45 FC 8B 53 18 8B 52 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 B8 10 00 00 00 85 C0 7E 19 8B 4D FC 03 CB 8B 5D F8 8D 14 13 91 E8 ?? ?? ?? ?? EB 06 C7 07 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12391_0 {
	meta:
		name = "TDBXOdbcByteReader.GetTimeStampOffset"
		size = 208
		refs = "001a TDBXOdbcByteReader.GetTimeStampOffset 0029 TDBXOdbcByteReader.CalculateOffset 0056 TArray<System.Byte> 005b @DynArrayAsg 0093 Move 00bb @FinalizeArray 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C0 14 83 D2 00 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 83 38 FF 74 55 33 C0 89 07 8D 45 FC 8B 53 18 8B 52 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 B8 14 00 00 00 85 C0 7E 19 8B 4D FC 03 CB 8B 5D F8 8D 14 13 91 E8 ?? ?? ?? ?? EB 06 C7 07 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12392_0 {
	meta:
		name = "TDBXOdbcByteReader.GetTime"
		size = 338
		refs = "001c TDBXOdbcByteReader.GetTime 002b TDBXOdbcByteReader.CalculateOffset 00d4 TArray<System.Byte> 00d9 @DynArrayAsg 013d @DynArrayClear 0143 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C0 06 83 D2 00 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 83 38 FF 0F 84 D6 00 00 00 33 C0 89 07 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 0F B7 38 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C0 02 83 D2 00 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 0F B7 00 66 89 45 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C0 02 83 D2 00 83 C0 02 83 D2 00 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 0F B7 00 0F B7 D7 6B D2 3C 0F B7 4D F6 03 D1 69 D2 E8 03 00 00 6B DA 3C 0F B7 C0 69 C0 E8 03 00 00 03 D8 8D 45 FC 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 33 C9 03 D1 52 8B C3 5A 88 02 8B 55 FC 33 C9 8D 54 0A 01 52 8B D0 C1 EA 08 59 88 11 8B 55 FC 33 C9 8D 54 0A 02 52 8B D0 C1 EA 10 59 88 11 8B 55 FC 33 C9 8D 54 0A 03 52 C1 E8 18 5A 88 02 EB 06 C7 07 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12393_0 {
	meta:
		name = "TDBXOdbcByteReader.GetDate"
		size = 320
		refs = "001c TDBXOdbcByteReader.GetDate 002b TDBXOdbcByteReader.CalculateOffset 00b5 EncodeDate 00c4 DateTimeToTimeStamp 00d0 TArray<System.Byte> 00d5 @DynArrayAsg 012b @DynArrayClear 0131 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C0 06 83 D2 00 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 83 38 FF 0F 84 C4 00 00 00 33 C0 89 07 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 0F B7 38 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C0 02 83 D2 00 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 0F B7 00 66 89 45 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C0 02 83 D2 00 83 C0 02 83 D2 00 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 0F B7 18 8B CB 0F B7 55 F6 8B C7 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 33 C9 8B 45 F0 88 04 0A 8B 55 FC 33 C9 8B D8 C1 EB 08 88 5C 0A 01 8B 55 FC 33 C9 8B D8 C1 EB 10 88 5C 0A 02 8B 55 FC 33 C9 C1 E8 18 88 44 0A 03 EB 06 C7 07 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12394_0 {
	meta:
		name = "TDBXOdbcByteReader.GetByteLength"
		size = 234
		refs = "0016 TDBXOdbcByteReader.GetByteLength 002c TArray<System.Byte> 0031 @DynArraySetLength 005d GetCDataTypeFromDbxType 0076 TDBXOdbcMethodTable.SQLGetData 007f TDBXOdbcByteReader.CheckResult 00d6 @FinalizeArray 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 01 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 18 8B 40 10 0F B7 04 70 33 D2 E8 ?? ?? ?? ?? 50 8B 45 F8 50 6A 00 8B 45 FC 50 8B CE 41 8B 53 14 8B 43 08 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 08 83 F9 FF 74 14 8B 45 08 33 D2 89 10 8B C1 99 8B 4D F4 89 01 89 51 04 EB 19 8B 45 08 C7 00 FF FF FF FF 8B 45 F4 C7 00 00 00 00 00 C7 40 04 00 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12395_0 {
	meta:
		name = "TDBXOdbcByteReader.GetBytes"
		size = 595
		refs = "0028 TDBXOdbcByteReader.GetBytes 003e TArray<System.Byte> 0043 @DynArraySetLength 0094 GetCDataTypeFromDbxType 00af TDBXOdbcMethodTable.SQLGetData 00b8 TDBXOdbcByteReader.CheckResult 011b @DynArrayAsg 014d Move 0177 TDBXOdbcByteReader.CalculateOffset 0238 @FinalizeArray 023e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 5D F0 89 5D EC 89 5D E8 89 4D E4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 0C 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 18 8B 40 10 0F B7 3C 70 8B C7 66 83 E8 03 74 19 66 83 E8 06 0F 84 F2 00 00 00 66 83 E8 06 0F 84 E8 00 00 00 E9 7F 01 00 00 8B C7 33 D2 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 0C 50 8B 45 FC 50 8B CE 41 8B 53 14 8B 43 08 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 08 83 F9 FF 0F 84 8C 00 00 00 8B 45 08 33 D2 89 10 8B C1 99 3B 55 10 75 07 3B 45 0C 76 12 EB 02 7E 0E 8B 45 0C 89 45 D0 8B 45 10 89 45 D4 EB 0C 8B 45 FC 8B 00 99 89 45 D0 89 55 D4 8B 45 D0 89 45 D8 8B 45 D4 89 45 DC 8D 45 F4 8B 53 18 8B 52 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 55 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 14 8B 45 D8 85 C0 0F 8E DE 00 00 00 8B 4D F4 33 DB 03 CB 8B 5D F0 8D 14 13 91 E8 ?? ?? ?? ?? E9 C6 00 00 00 8B 45 08 C7 00 FF FF FF FF C7 45 D8 00 00 00 00 C7 45 DC 00 00 00 00 E9 AA 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 03 45 0C 13 55 10 8B 53 18 8B 52 0C 8B 52 04 8D 04 02 83 38 FF 74 63 8B 45 08 33 D2 89 10 8D 45 EC 8B 53 18 8B 52 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 E8 8B 55 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 14 8B 45 0C 85 C0 7E 11 8B 4D EC 03 CB 8B 5D E8 8D 14 13 91 E8 ?? ?? ?? ?? 8B 45 0C 89 45 D8 8B 45 10 89 45 DC EB 27 8B 45 08 C7 00 FF FF FF FF C7 45 D8 00 00 00 00 C7 45 DC 00 00 00 00 EB 0E C7 45 D8 00 00 00 00 C7 45 DC 00 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 D8 8B 55 DC 5F 5E 5B 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule function_12396_0 {
	meta:
		name = "TDBXOdbcReader.CheckResult"
		size = 32
		refs = "001b TDBXOdbcMethodTable.RaiseError"
	strings:
		$1 = { 66 85 D2 74 1A 66 83 FA 01 74 14 6A 03 8B 48 30 51 8B CA 8B 50 24 8B 40 14 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12397_0 {
	meta:
		name = "TDBXOdbcReader.CreateColumn"
		size = 476
		refs = "001e TDBXOdbcReader.CreateColumn 0034 TArray<System.Byte> 0039 @DynArraySetLength 0068 TDBXOdbcMethodTable.SQLDescribeCol 0071 TDBXOdbcReader.CheckResult 00c9 TDBXDriverHelp.CreateTDBXValueType 00d6 TDBXPlatform.BytesToWideStr 0105 Format 017d TDBXValue.CreateValue 0199 @UStrArrayClr 01a7 @DynArrayClear 01ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D E4 89 4D E8 89 4D FC 66 89 55 FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 40 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 50 6A 20 8D 45 F8 50 8D 45 F6 50 8D 45 EC 50 8D 45 F4 50 8D 45 F2 50 0F B7 75 FA 46 8B CE 8B 53 30 8B 43 24 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B7 7D F8 47 0F BF C7 03 C0 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 50 57 8D 45 F8 50 8D 45 F6 50 8D 45 EC 50 8D 45 F4 50 8D 45 F2 50 8B CE 8B 53 30 8B 43 24 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B F0 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B C6 8B 08 FF 51 08 83 7E 04 00 75 29 8D 45 E4 50 0F B7 45 FA 40 89 45 DC C6 45 E0 00 8D 55 DC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C6 8B 08 FF 51 08 0F B7 55 FA 8B C6 8B 08 FF 51 10 0F BF 55 F4 8B C6 8B 08 FF 51 20 8B 45 EC 33 D2 52 50 8B C6 8B 10 FF 52 1C 66 83 7D F2 01 75 13 8B C6 8B 10 FF 52 64 8B D0 83 CA 01 8B C6 8B 08 FF 51 28 0F B7 4D F6 8B D6 8B C3 8B 38 FF 57 48 8B C6 8B 10 FF 52 50 0F B7 55 FA 8B 7B 20 8B 4F 10 66 89 04 51 6A 01 8B CF 8B D6 8B 43 14 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 25 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_12398_0 {
	meta:
		name = "TDBXOdbcReader.Create"
		size = 706
		refs = "0016 @ClassCreate 0023 TDBXOdbcReader.Create 003d TDBXReader.Create 0069 TDBXWritableValueArray 006e @DynArraySetLength 0086 :TDBXOdbcRow.:2 00a3 :TDBXOdbcRow.:1 00c1 @DynArrayHigh 00d4 TDBXOdbcReader.CreateColumn 0146 _DV_TDBXOdbcBlockMgr 014b TDBXOdbcBlockMgr.Create 0167 TDBXOdbcMethodTable.SQLSetStmtAttr 0170 TDBXOdbcReader.CheckResult 01f1 GetCDataTypeFromDbxType 0266 TDBXOdbcMethodTable.SQLBindCol 0294 @DynArrayClear 029a @HandleFinally 02a9 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 8B 40 18 50 8B 45 18 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 28 89 46 28 8B 45 24 89 46 2C 8B 45 20 89 46 30 8B 45 1C 89 46 24 8B 45 10 8B D8 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 53 8B 45 18 8B 40 18 83 C0 28 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 53 8B 45 18 8B 40 18 83 C0 10 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F8 66 85 FF 72 61 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B7 D3 8B 4D FC 89 04 91 0F B7 C3 8B 56 20 8B 52 28 8B 4D F0 89 0C C2 8B 4D F4 89 4C C2 04 0F B7 C3 8B 55 FC 8B 04 82 8B 40 04 8B 10 FF 52 68 03 45 F0 13 55 F4 52 50 8B 46 20 8B 40 20 99 03 04 24 13 54 24 04 83 C4 08 89 45 F0 89 55 F4 43 66 FF CF 75 A2 8B 55 FC 8B C6 8B 08 FF 51 08 FF 75 F4 FF 75 F0 FF 75 0C FF 75 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 20 89 42 0C 8B 45 F0 50 6A 00 8B 56 30 8B 46 24 B9 05 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 18 8B 40 18 8B 40 0C 83 C0 20 50 6A 00 8B 56 30 8B 46 24 B9 1A 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 66 85 FF 0F 82 CE 00 00 00 47 33 DB 0F B7 C3 8B 55 FC 8B 04 82 8B 40 04 8B 10 FF 52 50 83 F8 03 0F 84 A7 00 00 00 0F B7 C3 8B 55 FC 8B 04 82 8B 40 04 8B 10 FF 52 54 50 0F B7 C3 8B 55 FC 8B 04 82 8B 40 04 8B 10 FF 52 50 5A E8 ?? ?? ?? ?? 50 0F B7 C3 8B 56 20 8B 52 28 8B 04 C2 8B 56 20 8B 52 0C 8B 52 04 8D 04 02 50 0F B7 C3 8B 55 FC 8B 04 82 8B 40 04 8B 10 FF 52 68 50 0F B7 C3 8B 55 FC 8B 04 82 8B 40 04 8B 10 FF 52 68 52 50 0F B7 C3 8B 56 20 8B 52 28 8D 04 C2 8B 50 04 8B 00 03 04 24 13 54 24 04 83 C4 08 8B 56 20 8B 52 0C 8B 52 04 8D 04 02 50 8D 4B 01 8B 56 30 8B 46 24 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 43 66 FF CF 0F 85 35 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule function_12399_0 {
	meta:
		name = "TDBXOdbcReader.DerivedClose"
		size = 25
		refs = "000a TDBXOdbcMethodTable.SQLCloseCursor 0013 TDBXOdbcReader.CheckResult"
	strings:
		$1 = { 53 8B D8 8B 53 30 8B 43 24 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12400_0 {
	meta:
		name = "TDBXOdbcReader.DerivedNext"
		size = 233
		refs = "000c TDBXOdbcBlockMgr.Next 0046 @DynArrayLength 0052 @FillChar 0063 TDBXOdbcMethodTable.SQLFetchScroll 0078 TDBXOdbcReader.CheckResult 009d TDBXOdbcBlockMgr.Reset"
	strings:
		$1 = { 53 56 51 8B D8 8B 43 20 8B 40 0C E8 ?? ?? ?? ?? 8B 43 20 8B 70 0C 83 7E 0C 00 75 04 83 7E 08 01 74 1A 8B 43 20 8B 40 0C 8B 50 0C 8B 40 08 3B 56 14 75 07 3B 46 10 76 6B EB 02 7E 67 8B 43 20 8B 40 0C 8B 40 04 E8 ?? ?? ?? ?? 8B D0 8B 46 04 33 C9 E8 ?? ?? ?? ?? 6A 00 66 B9 01 00 8B 53 30 8B 43 24 E8 ?? ?? ?? ?? 66 83 F8 64 75 06 C6 04 24 00 EB 0D 8B D0 8B C3 E8 ?? ?? ?? ?? C6 04 24 01 8B 43 20 8B 48 0C 8B 41 08 8B 51 0C 3B 51 14 75 07 3B 41 10 76 4B EB 02 7E 47 8B C1 E8 ?? ?? ?? ?? EB 3E 8B 43 20 8B 48 0C 8B 41 20 8B 51 24 3B 51 14 75 07 3B 41 10 73 24 EB 02 7D 20 8B 41 08 8B 51 0C 8B 4B 20 8B 49 0C 3B 51 24 75 07 3B 41 20 76 0A EB 02 7E 06 C6 04 24 00 EB 04 C6 04 24 01 0F B6 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_12401_0 {
	meta:
		name = "TDBXOdbcReader.SetTypeInfo"
		size = 1183
		refs = "0015 TDBXOdbcReader.SetTypeInfo 0197 @_llmul"
	strings:
		$1 = { 56 8B F2 0F BF C1 83 C0 0A 83 F8 67 0F 87 60 04 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 06 05 04 0C 0D 0E 11 10 0F 03 15 01 07 07 09 08 0B 0A 0B 00 00 00 02 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 12 13 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BA 01 00 00 00 8B C6 8B 08 FF 51 14 BA 1F 00 00 00 8B C6 8B 08 FF 51 18 8B C6 8B 10 FF 52 58 83 C0 01 83 D2 00 52 50 8B C6 8B 10 FF 52 30 5E C3 BA 01 00 00 00 8B C6 8B 08 FF 51 14 33 D2 8B C6 8B 08 FF 51 18 8B C6 8B 10 FF 52 58 83 C0 01 83 D2 00 52 50 8B C6 8B 10 FF 52 30 5E C3 BA 03 00 00 00 8B C6 8B 08 FF 51 14 BA 16 00 00 00 8B C6 8B 08 FF 51 18 6A 00 6A 01 8B C6 8B 10 FF 52 1C 6A 00 6A 01 8B C6 8B 10 FF 52 30 5E C3 BA 1A 00 00 00 8B C6 8B 08 FF 51 14 BA 1F 00 00 00 8B C6 8B 08 FF 51 18 6A 00 6A 02 8B C6 8B 10 FF 52 58 83 C0 01 83 D2 00 E8 ?? ?? ?? ?? 52 50 8B C6 8B 10 FF 52 30 5E C3 BA 1A 00 00 00 8B C6 8B 08 FF 51 14 33 D2 8B C6 8B 08 FF 51 18 6A 00 6A 02 8B C6 8B 10 FF 52 58 83 C0 01 83 D2 00 E8 ?? ?? ?? ?? 52 50 8B C6 8B 10 FF 52 30 5E C3 BA 03 00 00 00 8B C6 8B 08 FF 51 14 BA 20 00 00 00 8B C6 8B 08 FF 51 18 6A 00 6A 01 8B C6 8B 10 FF 52 1C 6A 00 6A 01 8B C6 8B 10 FF 52 30 5E C3 BA 08 00 00 00 8B C6 8B 08 FF 51 14 33 D2 8B C6 8B 08 FF 51 18 6A 00 6A 22 8B C6 8B 10 FF 52 30 5E C3 BA 05 00 00 00 8B C6 8B 08 FF 51 14 33 D2 8B C6 8B 08 FF 51 18 6A 00 6A 02 8B C6 8B 10 FF 52 1C 6A 00 6A 02 8B C6 8B 10 FF 52 30 5E C3 BA 06 00 00 00 8B C6 8B 08 FF 51 14 33 D2 8B C6 8B 08 FF 51 18 6A 00 6A 04 8B C6 8B 10 FF 52 1C 6A 00 6A 04 8B C6 8B 10 FF 52 30 5E C3 BA 1B 00 00 00 8B C6 8B 08 FF 51 14 33 D2 8B C6 8B 08 FF 51 18 6A 00 6A 04 8B C6 8B 10 FF 52 1C 6A 00 6A 04 8B C6 8B 10 FF 52 30 5E C3 BA 07 00 00 00 8B C6 8B 08 FF 51 14 33 D2 8B C6 8B 08 FF 51 18 6A 00 6A 08 8B C6 8B 10 FF 52 1C 6A 00 6A 08 8B C6 8B 10 FF 52 30 5E C3 BA 04 00 00 00 8B C6 8B 08 FF 51 14 33 D2 8B C6 8B 08 FF 51 18 6A 00 6A 02 8B C6 8B 10 FF 52 1C 6A 00 6A 02 8B C6 8B 10 FF 52 30 5E C3 BA 1C 00 00 00 8B C6 8B 08 FF 51 14 33 D2 8B C6 8B 08 FF 51 18 6A 00 6A 01 8B C6 8B 10 FF 52 1C 6A 00 6A 01 8B C6 8B 10 FF 52 30 5E C3 BA 12 00 00 00 8B C6 8B 08 FF 51 14 33 D2 8B C6 8B 08 FF 51 18 6A 00 6A 08 8B C6 8B 10 FF 52 1C 6A 00 6A 08 8B C6 8B 10 FF 52 30 5E C3 BA 09 00 00 00 8B C6 8B 08 FF 51 14 33 D2 8B C6 8B 08 FF 51 18 8B C6 8B 10 FF 52 58 52 50 8B C6 8B 10 FF 52 30 5E C3 BA 0F 00 00 00 8B C6 8B 08 FF 51 14 33 D2 8B C6 8B 08 FF 51 18 8B C6 8B 10 FF 52 58 83 C0 02 83 D2 00 52 50 8B C6 8B 10 FF 52 30 5E C3 BA 03 00 00 00 8B C6 8B 08 FF 51 14 BA 17 00 00 00 8B C6 8B 08 FF 51 18 6A 00 6A 01 8B C6 8B 10 FF 52 1C 6A 00 6A 01 8B C6 8B 10 FF 52 30 5E C3 BA 02 00 00 00 8B C6 8B 08 FF 51 14 33 D2 8B C6 8B 08 FF 51 18 6A 00 6A 06 8B C6 8B 10 FF 52 30 5E C3 BA 0A 00 00 00 8B C6 8B 08 FF 51 14 33 D2 8B C6 8B 08 FF 51 18 6A 00 6A 06 8B C6 8B 10 FF 52 30 5E C3 BA 18 00 00 00 8B C6 8B 08 FF 51 14 33 D2 8B C6 8B 08 FF 51 18 6A 00 6A 10 8B C6 8B 10 FF 52 30 5E C3 33 D2 8B C6 8B 08 FF 51 14 33 D2 8B C6 8B 08 FF 51 18 6A 00 6A 01 8B C6 8B 10 FF 52 30 5E C3 BA 01 00 00 00 8B C6 8B 08 FF 51 14 33 D2 8B C6 8B 08 FF 51 18 8B C6 8B 10 FF 52 58 83 C0 01 83 D2 00 52 50 8B C6 8B 10 FF 52 30 5E C3 }
	condition:
		$1
}

rule function_12402_0 {
	meta:
		name = "TDBXOdbcDriverLoader.Create"
		size = 124
		refs = "000a @ClassCreate 0017 TClassRegistryObject.Create 001f TDBXOdbcDriverLoader.Create 0024 @UStrAsg 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 54 00 44 00 42 00 58 00 4F 00 64 00 62 00 63 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_12403_0 {
	meta:
		name = "TDBXOdbcDriverLoader.Load"
		size = 384
		refs = "0020 TDBXDriverDef 0025 @AddRefRecord 002d TDBXOdbcDriverLoader.Load 003d LoadLibrary 004b GetLastError 0059 SDllLoadError 005e LoadResString 0083 Format 0093 TDBXContext.Error 009d _DV_TDBXOdbcMethodTable 00a2 TDBXOdbcMethodTable.Create 00bc TDBXOdbcMethodTable.LoadMethods 00cb @HandleOnException 00d3 _Dn_TDBXError 00e7 @RaiseAgain 00ec @DoneExcept 00fa _DV_TDBXOdbcDriver 00ff TDBXOdbcDriver.Create 0120 @UStrArrayClr 012e @FinalizeRecord 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D F0 89 4D EC 8B F2 8D 7D F4 A5 A5 A5 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 08 85 F6 75 4D E8 ?? ?? ?? ?? 8B F0 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 89 75 E4 C6 45 E8 00 8D 55 DC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 4D F0 BA 16 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 0C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 5D FC 8B D0 8B 43 0C FF 53 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C 50 8D 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 C0 89 43 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C6 5F 5E 5B 8B E5 5D C3 00 6F 00 64 00 62 00 63 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6F 00 64 00 62 00 63 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_12404_0 {
	meta:
		name = "TDBXOdbcBlockMgr.Create"
		size = 137
		refs = "000d @ClassCreate 001a TObject.Create 0051 @_llmul 0060 TArray<System.Byte> 0065 @DynArraySetLength 0073 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 08 00 00 00 00 C7 46 0C 00 00 00 00 8B 45 10 89 46 18 8B 45 14 89 46 1C 8B 45 08 89 46 10 8B 45 0C 89 46 14 FF 75 0C FF 75 08 8B 45 10 8B 55 14 E8 ?? ?? ?? ?? 50 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_12406_0 {
	meta:
		name = "TDBXOdbcBlockMgr.Next"
		size = 11
	strings:
		$1 = { 8B C8 83 41 08 01 83 51 0C 00 C3 }
	condition:
		$1
}

rule function_12407_0 {
	meta:
		name = "TDBXOdbcBlockMgr.Reset"
		size = 15
	strings:
		$1 = { C7 40 08 01 00 00 00 C7 40 0C 00 00 00 00 C3 }
	condition:
		$1
}

rule function_12408_0 {
	meta:
		name = "TDBXOdbcRow.CalculateOffset"
		size = 104
		refs = "0033 @_llmul"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B 7B 0C 83 7F 0C 00 75 08 83 7F 08 00 76 31 EB 02 7E 2D FF 77 1C FF 77 18 8B 43 0C 8B 50 0C 8B 40 08 83 E8 01 83 DA 00 E8 ?? ?? ?? ?? 8B 4B 28 03 04 F1 13 54 F1 04 89 04 24 89 54 24 04 EB 11 8B 43 28 8B 14 F0 89 14 24 8B 54 F0 04 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12409_0 {
	meta:
		name = "TDBXOdbcRow.GetAnsiString"
		size = 150
		refs = "0019 TDBXOdbcRow.CalculateOffset 0054 TDBXPlatform.ResizeStringBuilder 0080 Move"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 52 50 8B 46 04 8B 10 FF 52 58 03 04 24 13 54 24 04 83 C4 08 8B 53 0C 8B 52 04 8D 04 02 83 38 FF 74 47 8B 45 08 33 D2 89 10 8B 46 04 8B 10 FF 52 58 8B D0 42 8B C7 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 58 40 50 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 53 0C 8B 52 04 8D 04 02 8B 17 59 E8 ?? ?? ?? ?? EB 09 8B 45 08 C7 00 FF FF FF FF 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12410_0 {
	meta:
		name = "TDBXOdbcRow.GetWideString"
		size = 190
		refs = "001a TDBXOdbcRow.CalculateOffset 002d @_llmul 006b @ReallocMem 0077 @GetMem 00a7 Move"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 52 50 6A 00 6A 02 8B 46 04 8B 10 FF 52 58 E8 ?? ?? ?? ?? 03 04 24 13 54 24 04 83 C4 08 8B 53 0C 8B 52 04 8D 04 02 83 38 FF 74 64 8B 45 08 33 D2 89 10 8B 46 04 8B 10 FF 52 58 40 03 C0 89 45 FC 83 3F 00 74 0E 8B 55 FC 03 D2 8B C7 E8 ?? ?? ?? ?? EB 0C 8B 45 FC 03 C0 E8 ?? ?? ?? ?? 89 07 8B 46 04 8B 10 FF 52 58 40 03 C0 50 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 53 0C 8B 52 04 8D 04 02 8B 17 59 E8 ?? ?? ?? ?? EB 09 8B 45 08 C7 00 FF FF FF FF 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12411_0 {
	meta:
		name = "TDBXOdbcRow.GetBoolean"
		size = 107
		refs = "001e TDBXOdbcRow.CalculateOffset"
		altNames = "TDBXOdbcRow.GetInt32 TDBXOdbcRow.GetSingle"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C0 04 83 D2 00 8B 53 0C 8B 52 04 8D 04 02 83 38 FF 74 27 33 C0 89 07 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 53 0C 8B 52 04 8D 04 02 8B 00 8B 55 FC 89 02 EB 06 C7 07 FF FF FF FF 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12412_0 {
	meta:
		name = "TDBXOdbcRow.GetInt8"
		size = 108
		refs = "001e TDBXOdbcRow.CalculateOffset"
		altNames = "TDBXOdbcRow.GetUInt8"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C0 01 83 D2 00 8B 53 0C 8B 52 04 8D 04 02 83 38 FF 74 28 33 C0 89 07 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 53 0C 8B 52 04 8D 04 02 0F B6 00 8B 55 FC 88 02 EB 06 C7 07 FF FF FF FF 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12414_0 {
	meta:
		name = "TDBXOdbcRow.GetInt16"
		size = 109
		refs = "001e TDBXOdbcRow.CalculateOffset"
		altNames = "TDBXOdbcRow.GetUInt16"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C0 02 83 D2 00 8B 53 0C 8B 52 04 8D 04 02 83 38 FF 74 29 33 C0 89 07 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 53 0C 8B 52 04 8D 04 02 0F B7 00 8B 55 FC 66 89 02 EB 06 C7 07 FF FF FF FF 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12417_0 {
	meta:
		name = "TDBXOdbcRow.GetDouble"
		size = 113
		refs = "001e TDBXOdbcRow.CalculateOffset"
		altNames = "TDBXOdbcRow.GetInt64"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C0 08 83 D2 00 8B 53 0C 8B 52 04 8D 04 02 83 38 FF 74 2D 33 C0 89 07 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 53 0C 8B 52 04 8D 04 02 8B 55 FC 8B 08 89 0A 8B 48 04 89 4A 04 EB 06 C7 07 FF FF FF FF 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12420_0 {
	meta:
		name = "TDBXOdbcRow.GetBcd"
		size = 227
		refs = "001f TDBXOdbcRow.GetBcd 0036 TDBXOdbcRow.CalculateOffset 0082 @LStrFromPChar 008d @UStrFromLStr 0098 StrToBcd 00c6 @LStrClr 00ce @UStrClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D4 89 5D D0 89 4D FC 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 52 50 8B 46 04 8B 10 FF 52 68 03 04 24 13 54 24 04 83 C4 08 8B 53 0C 8B 52 04 8D 04 02 83 38 FF 74 53 33 C0 89 07 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 53 0C 8B 52 04 03 D0 8D 45 D0 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 FC 8D 75 D8 8B F8 B9 08 00 00 00 F3 A5 66 A5 EB 06 C7 07 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12421_0 {
	meta:
		name = "TDBXOdbcRow.GetDate"
		size = 226
		refs = "0020 TDBXOdbcRow.CalculateOffset 00b6 EncodeDate 00c5 DateTimeToTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C0 06 83 D2 00 8B 53 0C 8B 52 04 8D 04 02 83 38 FF 0F 84 97 00 00 00 33 C0 89 07 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 53 0C 8B 52 04 8D 04 02 0F B7 38 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C0 02 83 D2 00 8B 53 0C 8B 52 04 8D 04 02 0F B7 00 66 89 45 FA 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C0 02 83 D2 00 83 C0 02 83 D2 00 8B 53 0C 8B 52 04 8D 04 02 0F B7 18 8B CB 0F B7 55 FA 8B C7 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 10 EB 06 C7 07 FF FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12422_0 {
	meta:
		name = "TDBXOdbcRow.GetTime"
		size = 227
		refs = "0020 TDBXOdbcRow.CalculateOffset"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C0 06 83 D2 00 8B 53 0C 8B 52 04 8D 04 02 83 38 FF 0F 84 98 00 00 00 33 C0 89 07 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 53 0C 8B 52 04 8D 04 02 0F B7 38 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C0 02 83 D2 00 8B 53 0C 8B 52 04 8D 04 02 0F B7 00 66 89 45 FA 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C0 02 83 D2 00 83 C0 02 83 D2 00 8B 53 0C 8B 52 04 8D 04 02 0F B7 00 0F B7 D7 6B D2 3C 0F B7 4D FA 03 D1 69 D2 E8 03 00 00 6B D2 3C 0F B7 C0 69 C0 E8 03 00 00 03 D0 8B 45 FC 89 10 EB 06 C7 07 FF FF FF FF 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12423_0 {
	meta:
		name = "TDBXOdbcRow.GetTimeStamp"
		size = 111
		refs = "001e TDBXOdbcRow.CalculateOffset"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C0 10 83 D2 00 8B 53 0C 8B 52 04 8D 04 02 83 38 FF 74 2B 33 C0 89 07 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 53 0C 8B 52 04 8D 04 02 8B 55 FC 8B F0 8B FA A5 A5 A5 A5 EB 06 C7 07 FF FF FF FF 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12424_0 {
	meta:
		name = "TDBXOdbcRow.GetTimeStampOffset"
		size = 112
		refs = "001e TDBXOdbcRow.CalculateOffset"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C0 14 83 D2 00 8B 53 0C 8B 52 04 8D 04 02 83 38 FF 74 2C 33 C0 89 07 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 53 0C 8B 52 04 8D 04 02 8B 55 FC 8B F0 8B FA A5 A5 A5 A5 A5 EB 06 C7 07 FF FF FF FF 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12425_0 {
	meta:
		name = "TDBXOdbcRow.GetBytes"
		size = 414
		refs = "001e TDBXOdbcRow.GetBytes 0035 TDBXOdbcRow.CalculateOffset 00ba TArray<System.Byte> 00bf @DynArrayAsg 00fc Move 0189 @FinalizeArray 018f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D EC 8B F2 8B D8 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 52 50 8B 46 04 8B 10 FF 52 58 03 04 24 13 54 24 04 83 C4 08 8B 53 0C 8B 52 04 8D 04 02 83 38 FF 0F 84 F8 00 00 00 8B 45 08 33 D2 89 10 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 52 50 8B 46 04 8B 10 FF 52 58 03 04 24 13 54 24 04 83 C4 08 8B 53 0C 8B 52 04 8D 04 02 8B 00 99 89 07 89 57 04 8B 07 8B 57 04 3B 55 14 75 07 3B 45 10 73 57 EB 02 7D 53 8D 45 FC 8B 53 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 18 8B 07 85 C0 7E 7D 8B 55 F8 03 D1 8B 4D FC 03 CB 91 E8 ?? ?? ?? ?? EB 6B 8D 45 F4 8B 53 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 F0 8B 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 18 8B 45 10 85 C0 7E 29 8B 4D F4 03 CB 8B 5D F0 8D 14 13 91 E8 ?? ?? ?? ?? EB 16 8B 45 08 C7 00 FF FF FF FF C7 07 00 00 00 00 C7 47 04 00 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule function_12426_0 {
	meta:
		name = "TDBXOdbcRow.GetByteLength"
		size = 93
		refs = "0019 TDBXOdbcRow.CalculateOffset"
		altNames = "TDBXOdbcRow.GetLength"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 46 04 8B 10 FF 52 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 52 50 8B 46 04 8B 10 FF 52 58 03 04 24 13 54 24 04 83 C4 08 8B 53 0C 8B 52 04 8D 04 02 8B 00 99 89 07 89 57 04 83 7F 04 00 75 0E 83 3F 00 75 09 8B 45 08 C7 00 FF FF FF FF 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12427_0 {
	meta:
		name = "TDBXOdbcRow.SetNull"
		size = 160
		refs = "0080 GetTypeSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 0C 00 0F 84 8D 00 00 00 8B 46 04 8B 10 FF 52 50 48 74 0F 83 E8 02 74 0A 83 E8 05 74 05 83 E8 12 75 38 8B 46 04 8B 10 FF 52 4C 8B 53 28 8D 04 C2 8B 50 04 8B 00 52 50 8B 46 04 8B 10 FF 52 68 03 04 24 13 54 24 04 83 C4 08 8B 53 0C 8B 52 04 8D 04 02 C7 00 FF FF FF FF EB 3B 8B 46 04 8B 10 FF 52 4C 8B 53 28 8D 04 C2 8B 50 04 8B 00 52 50 8B 46 04 8B 10 FF 52 50 E8 ?? ?? ?? ?? 03 04 24 13 54 24 04 83 C4 08 8B 53 0C 8B 52 04 8D 04 02 C7 00 FF FF FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_12428_0 {
	meta:
		name = "TDBXOdbcRow.SetString"
		size = 248
		refs = "0016 TDBXOdbcRow.SetString 0073 TDBXPlatform.AnsiStrToBytes 007f TArray<System.Byte> 0084 @DynArrayAsg 00c5 Move 00e5 @FinalizeArray 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 0F 84 9F 00 00 00 8B 46 04 8B 10 FF 52 68 48 50 8B 46 04 8B 10 FF 52 4C 8B 53 28 8D 04 C2 8B 50 04 8B 00 52 50 8B 46 04 8B 10 FF 52 68 03 04 24 13 54 24 04 83 C4 08 83 E8 01 83 DA 00 8B 53 0C 8B 52 04 8D 04 02 5A 89 10 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B 53 28 8B 1C C2 8B 46 04 8B 10 FF 52 68 48 85 C0 7E 12 8B 55 F8 03 D3 8B 4D FC 33 DB 03 CB 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12429_0 {
	meta:
		name = "TDBXOdbcRow.SetWideString"
		size = 325
		refs = "0018 TDBXOdbcRow.SetWideString 0077 @UStrLAsg 0096 TArray<System.Byte> 009b @DynArraySetLength 00ae @UStrToPWChar 00b6 Move 00c7 @DynArrayAsg 012a @FinalizeArray 0132 @UStrClr 0138 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 0F 84 E2 00 00 00 8B 46 04 8B 10 FF 52 68 83 E8 02 50 8B 46 04 8B 10 FF 52 4C 8B 53 28 8D 04 C2 8B 50 04 8B 00 52 50 8B 46 04 8B 10 FF 52 68 03 04 24 13 54 24 04 83 C4 08 83 E8 02 83 DA 00 8B 53 0C 8B 52 04 8D 04 02 5A 89 10 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F8 03 FF 57 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 FF 7E 14 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 8B CF 5A E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 53 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B 53 28 8B 1C C2 8B 46 04 8B 10 FF 52 68 83 E8 02 85 C0 7E 12 8B 55 F0 03 D3 8B 4D F4 33 DB 03 CB 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12430_0 {
	meta:
		name = "TDBXOdbcRow.SetAnsiString"
		size = 26
	strings:
		$1 = { 53 56 57 8B FA 8B F0 83 7E 0C 00 74 09 8B D7 8B C6 8B 18 FF 53 70 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12431_0 {
	meta:
		name = "TDBXOdbcRow.SetUInt8"
		size = 125
		refs = "0019 TDBXOdbcRow.SetUInt8 0032 TArray<System.Byte> 0037 @DynArrayAsg 006a @DynArrayClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 88 4D FB 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 0C 85 DB 74 29 8D 45 FC 8B 53 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B 57 28 8B 04 C2 8B 55 FC 0F B6 4D FB 88 0C 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12432_0 {
	meta:
		name = "TDBXOdbcRow.SetInt8"
		size = 125
		refs = "0019 TDBXOdbcRow.SetInt8 0032 TArray<System.Byte> 0037 @DynArrayAsg 006a @DynArrayClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 88 4D FB 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 0C 85 DB 74 29 8D 45 FC 8B 53 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B 57 28 8B 04 C2 8B 55 FC 0F B6 4D FB 88 0C 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12433_0 {
	meta:
		name = "TDBXOdbcRow.SetUInt16"
		size = 139
		refs = "0019 TDBXOdbcRow.SetUInt16 0032 TArray<System.Byte> 0037 @DynArrayAsg 0078 @DynArrayClear 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 0C 85 FF 74 37 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 04 8B 10 FF 52 4C 8B 53 28 8B 04 C2 8B 4D FC 8B D6 88 14 01 8B 4D FC 0F BF D2 C1 EA 08 88 54 01 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12434_0 {
	meta:
		name = "TDBXOdbcRow.SetInt16"
		size = 139
		refs = "0019 TDBXOdbcRow.SetInt16 0032 TArray<System.Byte> 0037 @DynArrayAsg 0078 @DynArrayClear 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 0C 85 FF 74 37 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 04 8B 10 FF 52 4C 8B 53 28 8B 04 C2 8B 55 FC 8B CE 88 0C 02 8B 55 FC 0F BF CE C1 E9 08 88 4C 02 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12435_0 {
	meta:
		name = "TDBXOdbcRow.SetInt32"
		size = 162
		refs = "0019 TDBXOdbcRow.SetInt32 0032 TArray<System.Byte> 0037 @DynArrayAsg 008f @DynArrayClear 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 0C 85 FF 74 4E 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 04 8B 10 FF 52 4C 8B 53 28 8B 04 C2 8B 55 FC 8B CE 88 0C 02 8B 55 FC 8B CE C1 E9 08 88 4C 02 01 8B 55 FC 8B CE C1 E9 10 88 4C 02 02 8B 55 FC 8B CE C1 E9 18 88 4C 02 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12436_0 {
	meta:
		name = "TDBXOdbcRow.SetInt64"
		size = 237
		refs = "0010 TDBXOdbcRow.SetInt64 002d TArray<System.Byte> 0032 @DynArrayAsg 00d9 @DynArrayClear 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 0C 85 FF 0F 84 9D 00 00 00 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B 53 28 8B 0C C2 8B 45 08 8B 55 FC 88 04 0A 8B 45 08 8B 55 0C 0F AC D0 08 C1 EA 08 8B 55 FC 88 44 0A 01 8B 45 08 8B 55 0C 0F AC D0 10 C1 EA 10 8B 55 FC 88 44 0A 02 8B 45 08 8B 55 0C 0F AC D0 18 C1 EA 18 8B 55 FC 88 44 0A 03 8B 45 0C 33 D2 8B 55 FC 88 44 0A 04 8B 45 0C C1 E8 08 33 D2 8B 55 FC 88 44 0A 05 8B 45 0C C1 E8 10 33 D2 8B 55 FC 88 44 0A 06 8B 45 0C C1 E8 18 33 D2 8B 55 FC 88 44 0A 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_12437_0 {
	meta:
		name = "TDBXOdbcRow.SetSingle"
		size = 163
		refs = "0010 TDBXOdbcRow.SetSingle 0024 TDBXPlatform.SingleToInt32Bits 0035 TArray<System.Byte> 003a @DynArrayAsg 008f @DynArrayClear 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 74 58 FF 75 08 E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B 53 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 04 8B 10 FF 52 4C 8B 53 28 8B 04 C2 8B 55 FC 8B CE 88 0C 02 8B 55 FC 8B CE C1 E9 08 88 4C 02 01 8B 55 FC 8B CE C1 E9 10 88 4C 02 02 8B 55 FC 8B CE C1 E9 18 88 4C 02 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12438_0 {
	meta:
		name = "TDBXOdbcRow.SetDouble"
		size = 266
		refs = "0015 TDBXOdbcRow.SetDouble 0030 _Dn_TDBXPlatform 0035 TDBXPlatform.DoubleToInt64Bits 004a TArray<System.Byte> 004f @DynArrayAsg 00f6 @DynArrayClear 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 0F 84 B6 00 00 00 FF 75 0C FF 75 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 8D 45 FC 8B 53 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B 53 28 8B 0C C2 8B 45 F0 8B 55 FC 88 04 0A 8B 45 F0 8B 55 F4 0F AC D0 08 C1 EA 08 8B 55 FC 88 44 0A 01 8B 45 F0 8B 55 F4 0F AC D0 10 C1 EA 10 8B 55 FC 88 44 0A 02 8B 45 F0 8B 55 F4 0F AC D0 18 C1 EA 18 8B 55 FC 88 44 0A 03 8B 45 F4 33 D2 8B 55 FC 88 44 0A 04 8B 45 F4 C1 E8 08 33 D2 8B 55 FC 88 44 0A 05 8B 45 F4 C1 E8 10 33 D2 8B 55 FC 88 44 0A 06 8B 45 F4 C1 E8 18 33 D2 8B 55 FC 88 44 0A 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12439_0 {
	meta:
		name = "TDBXOdbcRow.SetBCD"
		size = 222
		refs = "0019 TDBXOdbcRow.SetBCD 005a BcdToBytes 0066 TArray<System.Byte> 006b @DynArrayAsg 0095 @DynArrayLength 00ab Move 00cb @FinalizeArray 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 0C 85 FF 0F 84 81 00 00 00 8B 46 04 8B 10 FF 52 4C 8B 53 28 8D 04 C2 8B 50 04 8B 00 83 C0 22 83 D2 00 8B 57 04 8D 04 02 C7 00 22 00 00 00 8D 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 53 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B 53 28 8B 1C C2 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 12 8B 55 F4 03 D3 8B 4D F8 33 DB 03 CB 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12440_0 {
	meta:
		name = "TDBXOdbcRow.SetDate"
		size = 186
		refs = "001f TimeStampToDateTime 0037 DecodeDate"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 83 7B 0C 00 0F 84 A1 00 00 00 33 C0 89 04 24 89 4C 24 04 8B C4 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 4C 24 14 8D 54 24 12 8D 44 24 10 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B 53 28 8B 04 C2 8B 53 0C 8B 52 04 8D 04 02 0F B7 54 24 08 66 89 10 8B 46 04 8B 10 FF 52 4C 8B 53 28 8D 04 C2 8B 50 04 8B 00 83 C0 02 83 D2 00 8B 53 0C 8B 52 04 8D 04 02 0F B7 54 24 0A 66 89 10 8B 46 04 8B 10 FF 52 4C 8B 53 28 8D 04 C2 8B 50 04 8B 00 83 C0 02 83 D2 00 83 C0 02 83 D2 00 8B 53 0C 8B 52 04 8D 04 02 0F B7 54 24 0C 66 89 10 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_12441_0 {
	meta:
		name = "TDBXOdbcRow.SetTime"
		size = 193
		refs = "0021 TimeStampToDateTime 003e DecodeTime"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 83 7B 0C 00 0F 84 A8 00 00 00 C7 44 24 04 01 00 00 00 89 0C 24 8B C4 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 44 24 16 50 8D 4C 24 18 8D 54 24 16 8D 44 24 14 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B 53 28 8B 04 C2 8B 53 0C 8B 52 04 8D 04 02 0F B7 54 24 08 66 89 10 8B 46 04 8B 10 FF 52 4C 8B 53 28 8D 04 C2 8B 50 04 8B 00 83 C0 02 83 D2 00 8B 53 0C 8B 52 04 8D 04 02 0F B7 54 24 0A 66 89 10 8B 46 04 8B 10 FF 52 4C 8B 53 28 8D 04 C2 8B 50 04 8B 00 83 C0 02 83 D2 00 83 C0 02 83 D2 00 8B 53 0C 8B 52 04 8D 04 02 0F B7 54 24 0C 66 89 10 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_12442_0 {
	meta:
		name = "TDBXOdbcRow.SetTimestamp"
		size = 528
		refs = "0021 TDBXOdbcRow.SetTimestamp 0055 TArray<System.Byte> 005a @DynArrayAsg 01fd @FinalizeArray 0203 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 0C 00 0F 84 AC 01 00 00 8B 43 04 8B 10 FF 52 4C 8B 56 28 8B 1C C2 0F B7 07 66 89 45 E2 8D 45 FC 8B 56 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 E2 8B 55 FC 88 04 1A 0F BF 45 E2 C1 E8 08 8B 55 FC 88 44 1A 01 0F B7 47 02 66 89 45 E0 8D 45 F8 8B 56 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 02 8B 55 F8 0F B6 4D E0 88 0C 02 8B 55 F8 0F BF 4D E0 C1 E9 08 88 4C 02 01 0F B7 47 04 66 89 45 DE 8D 45 F4 8B 56 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 04 8B 55 F4 0F B6 4D DE 88 0C 02 8B 55 F4 0F BF 4D DE C1 E9 08 88 4C 02 01 0F B7 47 06 66 89 45 DC 8D 45 F0 8B 56 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 06 8B 55 F0 0F B6 4D DC 88 0C 02 8D 43 06 8B 55 F0 0F BF 4D DC C1 E9 08 88 4C 02 01 0F B7 47 08 66 89 45 DA 8D 45 EC 8B 56 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 08 8B 55 EC 0F B6 4D DA 88 0C 02 8D 43 08 8B 55 EC 0F BF 4D DA C1 E9 08 88 4C 02 01 0F B7 47 0A 66 89 45 D8 8D 45 E8 8B 56 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 0A 8B 55 E8 0F B6 4D D8 88 0C 02 8D 43 0A 8B 55 E8 0F BF 4D D8 C1 E9 08 88 4C 02 01 8B 7F 0C 8D 45 E4 8B 56 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 0C 8B 55 E4 8B CF 88 0C 02 8D 43 0C 8B 55 E4 8B CF C1 E9 08 88 4C 02 01 8D 43 0C 8B 55 E4 8B CF C1 E9 10 88 4C 02 02 83 C3 0C 8B 45 E4 8B D7 C1 EA 18 88 54 18 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12443_0 {
	meta:
		name = "TDBXOdbcRow.SetDynamicBytes"
		size = 162
		refs = "0014 TDBXOdbcRow.SetDynamicBytes 002b TArray<System.Byte> 0030 @DynArrayAsg 006d Move 008d @FinalizeArray 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 74 4D 8D 45 FC 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 0C 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 4C 8B 53 28 8B 14 C2 8B 45 08 85 C0 7E 14 8B 4D FC 8B 5D 10 03 CB 8B 5D F8 8D 14 13 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C2 18 00 }
	condition:
		$1
}

rule function_12447_0 {
	meta:
		name = "TDBXOdbcRow.SetWideMemo"
		size = 203
		refs = "001c TDBXOdbcRow.SetWideMemo 002c @UStrLAsg 004b TArray<System.Byte> 0050 @DynArraySetLength 0063 @UStrToPWChar 006b Move 00b1 @DynArrayClear 00b9 @UStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 89 5D F8 8B F1 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 03 DB 53 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 DB 7E 14 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 8B CB 5A E8 ?? ?? ?? ?? 8B CE 85 C9 74 05 83 E9 04 8B 09 6A 00 6A 00 6A 00 6A 00 8B C1 03 C0 99 52 50 8B 55 F0 8B 45 F4 8B 4D F8 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12448_0 {
	meta:
		name = "TDBXOdbcRow.SetBoolean"
		size = 147
		refs = "0019 TDBXOdbcRow.SetBoolean 0032 TArray<System.Byte> 0037 @DynArrayAsg 0080 @DynArrayClear 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B D9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7E 0C 85 FF 74 3F 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 04 8B 10 FF 52 4C 8B 56 28 8B 04 C2 8B 4D FC 03 C8 51 0F B6 D3 59 88 11 8B 4D FC 8D 44 01 01 50 0F BF C2 C1 E8 08 5A 88 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12450_0 {
	meta:
		name = "TDBXOdbcRow.Create"
		size = 90
		refs = "000d @ClassCreate 001a TDBXRow.Create 0044 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 24 8B 45 14 89 46 1C 8B 45 10 89 46 18 8B 45 0C 89 46 14 C7 46 20 04 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_12451_0 {
	meta:
		name = "TDBXOdbcRow.Destroy"
		size = 92
		refs = "0003 @BeforeDestruction 000f TObject.Free 001f :TDBXOdbcRow.:2 0024 @DynArraySetLength 0037 :TDBXOdbcRow.:1 004a TObject.Destroy 0055 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 6A 00 8D 46 28 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8D 46 10 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12453_0 {
	meta:
		name = "TDBXOdbcMethodTable.RaiseError"
		size = 308
		refs = "001f TDBXOdbcMethodTable.RaiseError 0050 TArray<System.Byte> 0055 @DynArraySetLength 0078 TDBXOdbcMethodTable.SQLGetDiagRec 00c7 @UStrFromPWChar 00d5 TDBXContext.Error 00df SInvalidHandle 00e4 LoadResString 010c @UStrArrayClr 011f @FinalizeArray 0125 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 66 83 E8 FE 0F 84 A6 00 00 00 66 FF C8 74 0A 66 83 E8 02 0F 85 B2 00 00 00 6A 0C 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 01 8B 45 FC 50 8D 45 F0 50 6A 00 6A 00 8D 45 EE 50 8B 4D 08 0F B7 55 0C 8B C3 E8 ?? ?? ?? ?? 0F B7 45 EE 40 8B F8 03 FF 0F BF C7 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 01 8B 45 FC 50 8D 45 F0 50 8B 45 F8 50 57 8D 45 EE 50 8B 4D 08 0F B7 55 0C 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 8B 4D E8 0F BF D6 8B 45 F4 E8 ?? ?? ?? ?? EB 1B 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 0F BF D6 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12454_0 {
	meta:
		name = "TDBXOdbcMethodTable.Create"
		size = 59
		refs = "000a @ClassCreate 001d TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 8E 84 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12455_0 {
	meta:
		name = "TDBXOdbcMethodTable.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 0013 FreeLibrary 0026 TObject.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 84 00 00 00 50 E8 ?? ?? ?? ?? 33 C0 89 86 84 00 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12456_0 {
	meta:
		name = "TDBXOdbcMethodTable.LoadMethod"
		size = 178
		refs = "0018 @UStrAddRef 0020 TDBXOdbcMethodTable.LoadMethod 002e @UStrToPWChar 003b GetProcAddress 004d SDllProcLoadError 0052 LoadResString 006b Format 007b _Dn_TDBXError 0080 TDBXError.Create 0085 @RaiseExcept 009f @UStrArrayClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D F8 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 8B 83 84 00 00 00 50 E8 ?? ?? ?? ?? 8B D8 85 DB 75 44 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 45 F8 50 B9 16 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12457_0 {
	meta:
		name = "TDBXOdbcMethodTable.LoadMethods"
		size = 1820
		refs = "0004 TDBXOdbcMethodTable.LoadMethods 000b TDBXOdbcMethodTable.LoadMethod"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 04 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 08 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 14 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 18 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 1C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 24 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 28 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 2C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 30 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 34 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 38 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 3C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 40 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 44 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 48 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 4C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 50 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 54 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 58 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 5C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 60 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 64 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 68 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 6C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 70 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 74 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 78 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 7C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 83 80 00 00 00 5B C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 51 00 4C 00 41 00 6C 00 6C 00 6F 00 63 00 48 00 61 00 6E 00 64 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 51 00 4C 00 42 00 69 00 6E 00 64 00 43 00 6F 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 51 00 4C 00 42 00 69 00 6E 00 64 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 51 00 4C 00 43 00 6C 00 6F 00 73 00 65 00 43 00 75 00 72 00 73 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 51 00 4C 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 57 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 51 00 4C 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 57 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 51 00 4C 00 44 00 65 00 73 00 63 00 72 00 69 00 62 00 65 00 43 00 6F 00 6C 00 57 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 51 00 4C 00 44 00 69 00 73 00 63 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 53 00 51 00 4C 00 44 00 72 00 69 00 76 00 65 00 72 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 57 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 51 00 4C 00 45 00 6E 00 64 00 54 00 72 00 61 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 51 00 4C 00 45 00 78 00 65 00 63 00 44 00 69 00 72 00 65 00 63 00 74 00 57 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 51 00 4C 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 51 00 4C 00 46 00 65 00 74 00 63 00 68 00 53 00 63 00 72 00 6F 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 51 00 4C 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 73 00 57 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 51 00 4C 00 46 00 72 00 65 00 65 00 48 00 61 00 6E 00 64 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 51 00 4C 00 47 00 65 00 74 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 51 00 4C 00 47 00 65 00 74 00 44 00 69 00 61 00 67 00 52 00 65 00 63 00 57 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 51 00 4C 00 47 00 65 00 74 00 49 00 6E 00 66 00 6F 00 57 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 51 00 4C 00 47 00 65 00 74 00 54 00 79 00 70 00 65 00 49 00 6E 00 66 00 6F 00 57 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 51 00 4C 00 4E 00 61 00 74 00 69 00 76 00 65 00 53 00 71 00 6C 00 57 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 51 00 4C 00 4E 00 75 00 6D 00 52 00 65 00 73 00 75 00 6C 00 74 00 43 00 6F 00 6C 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 51 00 4C 00 50 00 61 00 72 00 61 00 6D 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 51 00 4C 00 50 00 72 00 65 00 70 00 61 00 72 00 65 00 57 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 53 00 51 00 4C 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 57 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 51 00 4C 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 57 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 51 00 4C 00 50 00 75 00 74 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 51 00 4C 00 52 00 6F 00 77 00 43 00 6F 00 75 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 53 00 51 00 4C 00 53 00 65 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 41 00 74 00 74 00 72 00 57 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 51 00 4C 00 53 00 65 00 74 00 45 00 6E 00 76 00 41 00 74 00 74 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 51 00 4C 00 53 00 65 00 74 00 53 00 74 00 6D 00 74 00 41 00 74 00 74 00 72 00 57 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 51 00 4C 00 53 00 74 00 61 00 74 00 69 00 73 00 74 00 69 00 63 00 73 00 57 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 51 00 4C 00 54 00 61 00 62 00 6C 00 65 00 73 00 57 00 00 00 00 00 }
	condition:
		$1
}

rule function_12458_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLAllocHandle"
		size = 18
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 FF 50 04 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12459_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLBindCol"
		size = 31
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 0F B7 5D 14 53 51 52 FF 50 08 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_12460_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLBindParameter"
		size = 50
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 0F B7 5D 14 53 8B 5D 18 53 0F B7 5D 1C 53 0F B7 5D 20 53 0F B7 5D 24 53 51 52 FF 50 0C 5B 5D C2 20 00 }
	condition:
		$1
}

rule function_12461_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLCloseCursor"
		size = 5
	strings:
		$1 = { 52 FF 50 10 C3 }
	condition:
		$1
}

rule function_12462_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLColumns"
		size = 46
	strings:
		$1 = { 55 8B EC 53 0F B7 5D 08 53 8B 5D 0C 53 0F B7 5D 10 53 8B 5D 14 53 0F B7 5D 18 53 8B 5D 1C 53 0F B7 5D 20 53 51 52 FF 50 14 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_12463_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLConnect"
		size = 37
	strings:
		$1 = { 55 8B EC 53 0F B7 5D 08 53 8B 5D 0C 53 0F B7 5D 10 53 8B 5D 14 53 0F B7 5D 18 53 51 52 FF 50 18 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_12464_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLDescribeCol"
		size = 43
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 0F B7 5D 1C 53 8B 5D 20 53 51 52 FF 50 1C 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_12465_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLDisconnect"
		size = 5
		altNames = "TIBServerLibrary.BLOB_get"
	strings:
		$1 = { 52 FF 50 20 C3 }
	condition:
		$1
}

rule function_12466_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLDriverConnect"
		size = 41
	strings:
		$1 = { 55 8B EC 53 0F B7 5D 08 53 8B 5D 0C 53 0F B7 5D 10 53 8B 5D 14 53 0F B7 5D 18 53 8B 5D 1C 53 51 52 FF 50 24 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_12467_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLEndTran"
		size = 19
	strings:
		$1 = { 55 8B EC 53 0F B7 5D 08 53 51 52 FF 50 28 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12468_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLExecDirect"
		size = 18
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 FF 50 2C 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12469_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLExecute"
		size = 5
	strings:
		$1 = { 52 FF 50 30 C3 }
	condition:
		$1
}

rule function_12470_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLFetchScroll"
		size = 18
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 FF 50 34 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12471_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLForeignKeys"
		size = 64
	strings:
		$1 = { 55 8B EC 53 0F B7 5D 08 53 8B 5D 0C 53 0F B7 5D 10 53 8B 5D 14 53 0F B7 5D 18 53 8B 5D 1C 53 0F B7 5D 20 53 8B 5D 24 53 0F B7 5D 28 53 8B 5D 2C 53 0F B7 5D 30 53 51 52 FF 50 38 5B 5D C2 2C 00 }
	condition:
		$1
}

rule function_12472_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLFreeHandle"
		size = 6
	strings:
		$1 = { 51 52 FF 50 3C C3 }
	condition:
		$1
}

rule function_12473_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLGetData"
		size = 31
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 0F B7 5D 14 53 51 52 FF 50 40 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_12474_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLGetDiagRec"
		size = 40
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 0F B7 5D 1C 53 51 52 FF 50 44 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_12475_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLGetInfo"
		size = 27
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 8B 5D 10 53 51 52 FF 50 48 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_12476_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLGetTypeInfo"
		size = 6
	strings:
		$1 = { 51 52 FF 50 4C C3 }
	condition:
		$1
}

rule function_12477_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLNativeSql"
		size = 30
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 51 52 FF 50 50 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_12478_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLNumResultCols"
		size = 6
	strings:
		$1 = { 51 52 FF 50 54 C3 }
	condition:
		$1
}

rule function_12479_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLParamData"
		size = 6
	strings:
		$1 = { 51 52 FF 50 58 C3 }
	condition:
		$1
}

rule function_12480_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLPrepare"
		size = 18
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 FF 50 5C 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12481_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLProcedureColumns"
		size = 46
	strings:
		$1 = { 55 8B EC 53 0F B7 5D 08 53 8B 5D 0C 53 0F B7 5D 10 53 8B 5D 14 53 0F B7 5D 18 53 8B 5D 1C 53 0F B7 5D 20 53 51 52 FF 50 60 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_12482_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLProcedures"
		size = 37
	strings:
		$1 = { 55 8B EC 53 0F B7 5D 08 53 8B 5D 0C 53 0F B7 5D 10 53 8B 5D 14 53 0F B7 5D 18 53 51 52 FF 50 64 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_12483_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLPutData"
		size = 18
		altNames = "TIBServerLibrary.isc_blob_default_desc"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 FF 50 68 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12484_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLRowCount"
		size = 6
	strings:
		$1 = { 51 52 FF 50 6C C3 }
	condition:
		$1
}

rule function_12485_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLSetConnectAttr"
		size = 22
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 51 52 FF 50 70 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12486_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLSetEnvAttr"
		size = 22
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 51 52 FF 50 74 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12487_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLSetStmtAttr"
		size = 22
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 51 52 FF 50 78 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12488_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLStatistics"
		size = 47
	strings:
		$1 = { 55 8B EC 53 0F B7 5D 08 53 0F B7 5D 0C 53 0F B7 5D 10 53 8B 5D 14 53 0F B7 5D 18 53 8B 5D 1C 53 0F B7 5D 20 53 51 52 FF 50 7C 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_12489_0 {
	meta:
		name = "TDBXOdbcMethodTable.SQLTables"
		size = 49
	strings:
		$1 = { 55 8B EC 53 0F B7 5D 08 53 8B 5D 0C 53 0F B7 5D 10 53 8B 5D 14 53 0F B7 5D 18 53 8B 5D 1C 53 0F B7 5D 20 53 51 52 FF 90 80 00 00 00 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_12490_0 {
	meta:
		name = "TDBXOdbcProperties.Create"
		size = 676
		refs = "000a @ClassCreate 0017 TDBXProperties.Create 001c TDBXOdbcProperties.Create 0028 TDBXProperties.SetValue 0077 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 4F 00 64 00 62 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 54 00 44 00 42 00 58 00 4F 00 64 00 62 00 63 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 2C 00 44 00 42 00 58 00 4F 00 64 00 62 00 63 00 44 00 72 00 69 00 76 00 65 00 72 00 31 00 36 00 30 00 2E 00 62 00 70 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 33 00 00 00 54 00 44 00 42 00 58 00 4F 00 64 00 62 00 63 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 2C 00 44 00 62 00 78 00 4F 00 64 00 62 00 63 00 44 00 72 00 69 00 76 00 65 00 72 00 31 00 36 00 30 00 2E 00 62 00 70 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 61 00 64 00 43 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 4C 00 65 00 76 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 32 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 6F 00 77 00 53 00 65 00 74 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12492_0 {
	meta:
		name = "Data.DbxOdbc"
		size = 52
		refs = "0002 _DV_21 000b _DV_TDBXOdbcDriver 0010 Data.DbxOdbc 0015 TDBXDriverRegistry.RegisterDriverClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4F 00 64 00 62 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_12493_0 {
	meta:
		name = "Finalization"
		size = 56
		refs = "0002 _DV_1 000a _Dn_TDBXOdbcMetaDataWriter 000f Finalization 0014 _Dn_TDBXMetaDataWriterFactory 0019 TDBXMetaDataWriterFactory.UnRegisterWriter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 15 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4F 00 64 00 62 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_12494_0 {
	meta:
		name = "Data.DBXOdbcMetaData"
		size = 56
		refs = "0002 _DV_1 000b _Dn_TDBXOdbcMetaDataWriter 0010 Data.DBXOdbcMetaData 0015 _Dn_TDBXMetaDataWriterFactory 001a TDBXMetaDataWriterFactory.RegisterWriter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4F 00 64 00 62 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_12496_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.CheckInitialized"
		size = 12
		refs = "0007 TDBXOdbcMetaDataReader.Init"
	strings:
		$1 = { 80 78 42 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12497_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.CheckResult"
		size = 103
		refs = "0018 _Dn_TDBXContext 001d TDBXContext.Create 0028 TDBXOdbcMetaDataReader.CheckResult 0041 TDBXOdbcMethodTable.RaiseError 0056 TObject.Free 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 66 85 DB 74 53 66 83 FB 01 74 4D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 8B 46 1C 50 8B 46 20 8B CB 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12498_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.Init"
		size = 752
		refs = "0011 TDBXOdbcMetaDataReader.Init 0049 TArray<System.Byte> 004e @DynArraySetLength 005d @DynArrayLength 0071 TDBXOdbcMethodTable.SQLGetInfo 007a TDBXOdbcMetaDataReader.CheckResult 007f TEncoding.GetANSI 008a TEncoding.GetString 0095 Trim 00a0 @UStrAsg 02ab TDBXOdbcMetaDataReader.SetReservedWords 02b2 TDBXOdbcMetaDataReader.SetDataTypeDescriptions 02d0 @UStrArrayClr 02de @DynArrayClear 02e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 24 00 75 1C 8B C3 8B 10 FF 52 0C 8B 70 04 89 73 24 8B 46 38 89 43 1C 8B 43 24 8B 40 30 89 43 20 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 FA 50 66 B9 1D 00 8B 53 1C 8B 43 20 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 38 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 FA 50 66 B9 12 27 8B 53 1C 8B 43 20 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 66 83 38 59 75 06 C6 43 3F 01 EB 04 C6 43 3F 00 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 FA 50 66 B9 25 00 8B 53 1C 8B 43 20 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 66 83 38 59 75 06 C6 43 34 01 EB 04 C6 43 34 00 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 FA 50 66 B9 13 27 8B 53 1C 8B 43 20 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 66 83 38 59 75 06 C6 43 3E 01 EB 04 C6 43 3E 00 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 FA 50 66 B9 94 00 8B 53 1C 8B 43 20 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 89 43 2C 6A 02 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 FA 50 66 B9 1C 00 8B 53 1C 8B 43 20 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 89 43 3C 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 FA 50 66 B9 01 00 8B 53 1C 8B 43 20 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 89 43 2E 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 FA 50 66 B9 2E 00 8B 53 1C 8B 43 20 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 89 43 40 8B 45 FC 50 6A 02 8D 45 FA 50 66 B9 59 00 8B 53 1C 8B 43 20 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 0F BF 45 FA 40 03 C0 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 FA 50 66 B9 59 00 8B 53 1C 8B 43 20 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 43 42 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12499_0 {
	meta:
		name = "GetDbxDataType"
		size = 359
		refs = "0017 GetDbxDataType"
	strings:
		$1 = { 66 C7 02 00 00 0F BF C0 83 C0 0A 83 F8 67 0F 87 4E 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 06 05 04 0C 0D 0E 11 10 0F 03 15 01 07 07 09 08 0B 0A 0B 00 00 00 02 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 12 13 14 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 B8 01 00 66 C7 02 1F 00 C3 66 B8 01 00 C3 66 B8 03 00 66 C7 02 16 00 C3 66 B8 1A 00 66 C7 02 1F 00 C3 66 B8 1A 00 C3 66 B8 03 00 66 C7 02 20 00 C3 66 B8 08 00 C3 66 B8 05 00 C3 66 B8 06 00 C3 66 B8 1B 00 C3 66 B8 07 00 C3 66 B8 04 00 C3 66 B8 1C 00 C3 66 B8 12 00 C3 66 B8 09 00 C3 66 B8 0F 00 C3 66 B8 03 00 66 C7 02 17 00 C3 66 B8 02 00 C3 66 B8 0A 00 C3 66 B8 18 00 C3 33 C0 C3 66 B8 01 00 C3 }
	condition:
		$1
}

rule function_12500_0 {
	meta:
		name = "GetCreateParams"
		size = 232
		refs = "0015 @UStrAddRef 001d GetCreateParams 003b StringReplace 0062 @UStrAsg 007c @UStrArrayClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 53 33 C9 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 00 00 03 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6D 00 61 00 78 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_12501_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.SetDataTypeDescriptions"
		size = 1256
		refs = "0029 TDBXOdbcMetaDataReader.SetDataTypeDescriptions 004b TDBXDataTypeDescriptionArray 0050 @DynArraySetLength 005f _Dn_TDBXContext 0064 TDBXContext.Create 0086 _Dn_TDBXOdbcCommand 008b TDBXOdbcCommand.Create 0137 GetDbxDataType 0167 @UStrLAsg 0187 GetCreateParams 019a @UStrCat 01a7 Pos 0241 @UStrClr 037b _Dn_TDBXDataTypeDescription 0380 TDBXDataTypeDescription.Create 03d1 TObject.Free 03d7 @HandleFinally 0435 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 33 D2 89 55 B4 89 55 FC 89 55 F8 89 55 F4 89 55 F0 89 55 EC 89 55 E8 89 55 E4 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 CC 14 00 00 00 8B 45 CC 50 8B 45 E0 83 C0 28 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 8B 40 24 50 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 D8 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 45 D8 8B 08 FF 51 10 6A 00 6A 01 8B 45 D8 8B 10 FF 52 14 8B 45 D8 8B 10 FF 52 64 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 AF 02 00 00 8B 45 D0 3B 45 CC 7C 21 83 45 CC 14 8B 45 CC 50 8B 45 E0 83 C0 28 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 33 D2 8B 45 D4 8B 08 FF 51 10 8D 55 FC 8B 08 FF 51 28 BA 01 00 00 00 8B 45 D4 8B 08 FF 51 10 8B 10 FF 52 20 8D 55 C2 E8 ?? ?? ?? ?? 0F BF F0 66 83 7D C2 1F 75 03 83 CB 04 BA 02 00 00 00 8B 45 D4 8B 08 FF 51 10 8B 10 FF 52 24 89 45 B8 89 55 BC 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? BA 05 00 00 00 8B 45 D4 8B 08 FF 51 10 8D 55 B4 8B 08 FF 51 28 8B 45 B4 8D 55 F4 E8 ?? ?? ?? ?? 83 7D F4 00 74 38 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 0E 00 00 00 8B 45 D4 8B 08 FF 51 10 8B 10 FF 52 20 89 45 C8 83 7D C8 00 75 1A 83 FE 08 75 15 BA 02 00 00 00 8B 45 D4 8B 08 FF 51 10 8B 10 FF 52 20 89 45 C8 BA 0D 00 00 00 8B 45 D4 8B 08 FF 51 10 8B 10 FF 52 20 89 45 C4 BA 03 00 00 00 8B 45 D4 8B 08 FF 51 10 8D 55 F0 8B 08 FF 51 28 BA 04 00 00 00 8B 45 D4 8B 08 FF 51 10 8D 55 EC 8B 08 FF 51 28 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? BA 0B 00 00 00 8B 45 D4 8B 08 FF 51 10 8B 10 FF 52 20 48 75 03 83 CB 01 BA 07 00 00 00 8B 45 D4 8B 08 FF 51 10 8B 10 FF 52 20 48 75 03 83 CB 08 BA 0A 00 00 00 8B 45 D4 8B 08 FF 51 10 8B 10 FF 52 20 48 75 03 83 CB 10 BA 06 00 00 00 8B 45 D4 8B 08 FF 51 10 8B 10 FF 52 20 48 75 03 83 CB 40 BA 08 00 00 00 8B 45 D4 8B 08 FF 51 10 8B 10 FF 52 20 83 F8 02 74 17 BA 08 00 00 00 8B 45 D4 8B 08 FF 51 10 8B 10 FF 52 20 83 F8 03 75 06 81 CB 80 00 00 00 BA 08 00 00 00 8B 45 D4 8B 08 FF 51 10 8B 10 FF 52 20 48 74 17 BA 08 00 00 00 8B 45 D4 8B 08 FF 51 10 8B 10 FF 52 20 83 F8 03 75 06 81 CB 00 01 00 00 BA 09 00 00 00 8B 45 D4 8B 08 FF 51 10 8B 10 FF 52 20 48 75 06 81 CB 00 02 00 00 83 FE 1A 74 0C 83 FE 03 75 0D 66 83 7D C2 20 75 06 81 CB 00 10 00 00 83 FE 03 75 03 83 CB 20 56 FF 75 BC FF 75 B8 8B 45 F8 50 8B 45 F4 50 8B 45 C8 50 8B 45 C4 50 8B 45 F0 50 8B 45 EC 50 8B 45 E8 50 8B 45 E4 50 53 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 52 28 8B 4D D0 89 04 8A FF 45 D0 8B 45 D4 8B 10 FF 52 3C 84 C0 0F 85 41 FD FF FF 8B 45 D0 50 8B 45 E0 83 C0 28 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 62 00 78 00 2E 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 47 00 65 00 74 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 28 00 7B 00 30 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2C 00 20 00 7B 00 31 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_12502_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.SetReservedWords"
		size = 144
		refs = "0016 @DynArrayAddRef 001e TDBXOdbcMetaDataReader.SetReservedWords 002b _Dn_TStringList 0030 TStringList.Create 0040 TStrings.SetDelimiter 0045 TEncoding.GetUnicode 0050 TEncoding.GetString 005b TStrings.SetDelimitedText 0070 @UStrClr 0079 TArray<System.Byte> 007e @DynArrayClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 30 66 BA 2C 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 43 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12503_0 {
	meta:
		name = "GetMetaDataCollectionName"
		size = 524
		refs = "000e @UStrAddRef 0016 GetMetaDataCollectionName 0029 @UStrEqual 0037 @UStrAsg 00c0 @UStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 72 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 55 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 38 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 53 00 63 00 68 00 65 00 6D 00 61 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 56 00 69 00 65 00 77 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 69 00 65 00 77 00 73 00 00 00 }
	condition:
		$1
}

rule function_12504_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.SqlTablesInvocation"
		size = 1000
		refs = "0019 @UStrAddRef 0039 TDBXOdbcMetaDataReader.SqlTablesInvocation 0046 _Dn_TDBXContext 004b TDBXContext.Create 0063 TDBXOdbcMetaDataReader.CheckInitialized 0071 _Dn_TDBXOdbcCommand 0076 TDBXOdbcCommand.Create 0112 _Dn_TDBXReaderTableStorage 0117 TDBXReaderTableStorage.Create 011c TDBXStringTrimTable.CreateTrimTableIfNeeded 0133 TDBXValueTypeArray 0138 @DynArraySetLength 014f TDBXMetaDataCollectionColumns.CreateValueType 01c7 GetMetaDataCollectionName 01e0 _Dn_TDBXCustomMetaDataTable 01e5 TDBXCustomMetaDataTable.Create 01fd TObject.Free 0203 @HandleFinally 0237 @UStrClr 0245 @DynArrayClear 025a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 46 24 50 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 04 8B 55 FC 8B 45 EC 8B 08 FF 51 10 6A 00 6A 01 8B 45 EC 8B 10 FF 52 14 8B 45 EC 8B 10 FF 52 70 8B D8 BA 1A 00 00 00 8B C3 8B 08 FF 51 14 8B 45 EC 8B 10 FF 52 34 8B D3 8B 08 FF 51 10 8B 45 EC 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 0C 8B 08 FF 91 78 01 00 00 8B 45 EC 8B 10 FF 52 64 8B D8 85 DB 75 0A 33 C0 89 45 F4 E9 E1 00 00 00 53 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 89 45 EC 6A 05 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 02 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 04 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 08 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 10 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 F8 50 53 8B C6 8B 10 FF 52 0C 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 8B 45 F4 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 62 00 78 00 2E 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 43 00 41 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 61 00 62 00 6C 00 65 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 45 00 4D 00 41 00 52 00 4B 00 53 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 65 00 6D 00 61 00 72 00 6B 00 73 00 00 00 }
	condition:
		$1
}

rule function_12506_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.GetDataTypeDescriptions"
		size = 32
		refs = "0009 TDBXOdbcMetaDataReader.CheckInitialized 0014 TDBXDataTypeDescriptionArray 0019 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 28 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12507_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.GetProductName"
		size = 44
		refs = "0006 TDBXOdbcMetaDataReader.GetProductName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4F 00 64 00 62 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_12508_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.GetReservedWords"
		size = 99
		refs = "000f TDBXOdbcMetaDataReader.GetReservedWords 001c TDBXOdbcMetaDataReader.CheckInitialized 0027 TStrings.ToStringArray 0032 TDBXStringArray 0037 @DynArrayAsg 004d TArray<System.string> 0052 @DynArrayClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 43 30 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12509_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.GetSqlIdentifierQuoteChar"
		size = 26
		refs = "0009 TDBXOdbcMetaDataReader.CheckInitialized 0013 @UStrAsg"
		altNames = "TDBXOdbcMetaDataReader.GetSqlIdentifierQuotePrefix TDBXOdbcMetaDataReader.GetSqlIdentifierQuoteSuffix TDBXOdbcMetaDataReader.GetSqlProcedureQuoteChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 38 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12513_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.IsDescendingIndexSupported"
		size = 34
		refs = "0006 TDBXOdbcMetaDataReader.CheckInitialized"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 43 2C 66 83 F8 02 74 06 66 83 F8 03 75 04 B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_12514_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.IsLowerCaseIdentifiersSupported"
		size = 25
		refs = "0006 TDBXOdbcMetaDataReader.CheckInitialized"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 7B 3C 01 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_12515_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.IsMultipleCommandsSupported"
		size = 25
		refs = "0006 TDBXOdbcMetaDataReader.CheckInitialized"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 7B 2E 01 74 04 B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_12516_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.IsNestedTransactionsSupported"
		size = 16
		refs = "0006 TDBXOdbcMetaDataReader.CheckInitialized"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 43 34 5B C3 }
	condition:
		$1
}

rule function_12517_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.IsParameterMetadataSupported"
		size = 16
		refs = "0006 TDBXOdbcMetaDataReader.CheckInitialized"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 43 3F 5B C3 }
	condition:
		$1
}

rule function_12518_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.IsQuotedIdentifiersSupported"
		size = 24
		refs = "0006 TDBXOdbcMetaDataReader.CheckInitialized"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 38 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_12519_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.IsSetRowSizeSupported"
		size = 8
		refs = "0001 TDBXOdbcMetaDataReader.CheckInitialized"
	strings:
		$1 = { E8 ?? ?? ?? ?? B0 01 C3 }
	condition:
		$1
}

rule function_24371_0 {
	meta:
		name = "TDSRESTSession.Authenticate"
		size = 8
		refs = "0001 TDSSession.Authenticate"
	strings:
		$1 = { E8 ?? ?? ?? ?? B0 01 C3 }
	condition:
		$1
}

rule function_24201_0 {
	meta:
		name = "TDSRemoteSession.Authenticate"
		size = 8
		refs = "0001 TDSSession.Authenticate"
	strings:
		$1 = { E8 ?? ?? ?? ?? B0 01 C3 }
	condition:
		$1
}

rule function_12520_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.IsTransactionsSupported"
		size = 25
		refs = "0006 TDBXOdbcMetaDataReader.CheckInitialized"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 7B 40 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_12521_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.IsUpperCaseIdentifiersSupported"
		size = 25
		refs = "0006 TDBXOdbcMetaDataReader.CheckInitialized"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 7B 3C 02 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_12522_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.PopulateDataTypes"
		size = 174
		refs = "0018 TDBXOdbcMetaDataReader.PopulateDataTypes 0026 @DynArrayLength 0045 @UStrLAsg 0050 TDBXObjectStore.ContainsKey 0061 TDBXObjectStore.SetObjectByName 006b TDBXArrayList.Add 0078 TObject.Free 0099 @UStrClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 57 47 33 F6 8B 45 08 8B 1C B0 85 DB 74 46 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 19 8B CB 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D3 8B 45 F4 E8 ?? ?? ?? ?? EB 0B 8B 45 08 8B 04 B0 E8 ?? ?? ?? ?? 8B 45 08 33 D2 89 14 B0 46 4F 75 AC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12523_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TObject.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 42 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12524_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.Create"
		size = 83
		refs = "000b @ClassCreate 001a TObject.Create 0034 TDBXOdbcMetaDataReader.Init 003f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 42 00 8B 46 38 89 47 1C 8B 46 30 89 47 20 89 77 24 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12525_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.Destroy"
		size = 96
		refs = "0005 @BeforeDestruction 0020 TObject.Free 0028 @DynArrayLength 004c TDBXOdbcCustomMetaDataReader.Destroy 0057 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 33 C0 89 45 1C 33 C0 89 45 20 33 C0 89 45 24 8B 45 30 E8 ?? ?? ?? ?? 8B 45 28 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 12 46 33 FF 8B 45 28 8B 04 B8 E8 ?? ?? ?? ?? 47 4E 75 F1 B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12526_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.FetchCatalogs"
		size = 56
		refs = "0009 TDBXOdbcMetaDataReader.FetchCatalogs 000e TDBXOdbcMetaDataReader.SqlTablesInvocation"
	strings:
		$1 = { 6A 00 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 73 00 00 00 }
	condition:
		$1
}

rule function_12527_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.FetchColumns"
		size = 1876
		refs = "0013 TDBXOdbcMetaDataReader.FetchColumns 0020 TDBXBaseMetaDataReader.GetDataTypeHash 0027 _Dn_TDBXContext 002c TDBXContext.Create 0044 TDBXOdbcMetaDataReader.CheckInitialized 0052 _Dn_TDBXOdbcCommand 0057 TDBXOdbcCommand.Create 00f5 _Dn_TDBXReaderTableStorage 00fa TDBXReaderTableStorage.Create 00ff TDBXStringTrimTable.CreateTrimTableIfNeeded 0116 TDBXValueTypeArray 011b @DynArraySetLength 0132 TDBXMetaDataCollectionColumns.CreateValueType 030b _Dn_TDBXCustomMetaDataTable 0310 TDBXCustomMetaDataTable.Create 031e _DV_TDBXOdbcColumnsTableCursor 0323 TDBXOdbcColumnsTableCursor.Create 033b TObject.Free 0341 @HandleFinally 037b @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 46 24 50 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 10 6A 00 6A 01 8B 45 F0 8B 10 FF 52 14 8B 45 F0 8B 10 FF 52 70 8B D8 BA 1A 00 00 00 8B C3 8B 08 FF 51 14 8B 45 F0 8B 10 FF 52 34 8B D3 8B 08 FF 51 10 8B 45 F0 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 08 8B 08 FF 91 78 01 00 00 8B 45 F0 8B 10 FF 52 64 8B D8 85 DB 75 0A 33 C0 89 45 F8 E9 3C 02 00 00 53 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 89 45 F0 6A 12 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C B9 05 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 B9 06 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 B9 06 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C B9 05 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 B9 05 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 B9 05 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 B9 05 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 B9 05 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 38 B9 06 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 3C B9 06 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 40 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 44 68 ?? ?? ?? ?? 8B 45 FC 50 53 8B C6 8B 10 FF 52 0C 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 6A 00 53 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 62 00 78 00 2E 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 43 00 41 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 41 00 54 00 41 00 5F 00 54 00 59 00 50 00 45 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 59 00 50 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 79 00 70 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 53 00 49 00 5A 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 42 00 55 00 46 00 46 00 45 00 52 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 45 00 43 00 49 00 4D 00 41 00 4C 00 5F 00 44 00 49 00 47 00 49 00 54 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4E 00 55 00 4D 00 5F 00 50 00 52 00 45 00 43 00 5F 00 52 00 41 00 44 00 49 00 58 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 55 00 4C 00 4C 00 41 00 42 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 45 00 4D 00 41 00 52 00 4B 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 44 00 45 00 46 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 51 00 4C 00 5F 00 44 00 41 00 54 00 41 00 5F 00 54 00 59 00 50 00 45 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 51 00 4C 00 5F 00 44 00 41 00 54 00 45 00 54 00 49 00 4D 00 45 00 5F 00 53 00 55 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 48 00 41 00 52 00 5F 00 4F 00 43 00 54 00 45 00 54 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4F 00 52 00 44 00 49 00 4E 00 41 00 4C 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 5F 00 4E 00 55 00 4C 00 4C 00 41 00 42 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_12528_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.FetchForeignKeyColumns"
		size = 148
		refs = "000a TDBXOdbcMetaDataReader.FetchForeignKeyColumns 0015 TDBXOdbcMetaDataReader.CheckInitialized 001d TDBXMetaDataCollectionColumns.CreateForeignKeyColumnsColumns 002d _Dn_TDBXEmptyTableCursor 0032 TDBXEmptyTableCursor.Create 004a TDBXValueTypeArray 004f @DynArrayClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 18 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_12529_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.FetchForeignKeys"
		size = 1412
		refs = "0013 TDBXOdbcMetaDataReader.FetchForeignKeys 0020 _Dn_TDBXContext 0025 TDBXContext.Create 003d TDBXOdbcMetaDataReader.CheckInitialized 004b _Dn_TDBXOdbcCommand 0050 TDBXOdbcCommand.Create 00ee _Dn_TDBXReaderTableStorage 00f3 TDBXReaderTableStorage.Create 00f8 TDBXStringTrimTable.CreateTrimTableIfNeeded 010f TDBXValueTypeArray 0114 @DynArraySetLength 012b TDBXMetaDataCollectionColumns.CreateValueType 029c _Dn_TDBXCustomMetaDataTable 02a1 TDBXCustomMetaDataTable.Create 02b9 TObject.Free 02bf @HandleFinally 02f9 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 46 24 50 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 10 6A 00 6A 01 8B 45 F0 8B 10 FF 52 14 8B 45 F0 8B 10 FF 52 70 8B D8 BA 1A 00 00 00 8B C3 8B 08 FF 51 14 8B 45 F0 8B 10 FF 52 34 8B D3 8B 08 FF 51 10 8B 45 F0 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 08 8B 08 FF 91 78 01 00 00 8B 45 F0 8B 10 FF 52 64 8B D8 85 DB 75 0A 33 C0 89 45 F8 E9 C1 01 00 00 53 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 89 45 F0 6A 0E 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C B9 05 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 B9 05 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 B9 05 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 B9 05 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 68 ?? ?? ?? ?? 8B 45 FC 50 53 8B C6 8B 10 FF 52 0C 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 62 00 78 00 2E 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 47 00 65 00 74 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 4B 00 54 00 41 00 42 00 4C 00 45 00 5F 00 43 00 41 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 4B 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 4B 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 4B 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 46 00 4B 00 54 00 41 00 42 00 4C 00 45 00 5F 00 43 00 41 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 46 00 4B 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 46 00 4B 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 46 00 4B 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4B 00 45 00 59 00 5F 00 53 00 45 00 51 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 50 00 44 00 41 00 54 00 45 00 5F 00 52 00 55 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 5F 00 52 00 55 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 46 00 4B 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 4B 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 45 00 46 00 45 00 52 00 52 00 41 00 42 00 49 00 4C 00 49 00 54 00 59 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 73 00 00 00 }
	condition:
		$1
}

rule function_12530_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.FetchIndexColumns"
		size = 140
		refs = "000a TDBXOdbcMetaDataReader.FetchIndexColumns 0015 TDBXOdbcMetaDataReader.CheckInitialized 001d TDBXMetaDataCollectionColumns.CreateIndexColumnsColumns 002d _Dn_TDBXEmptyTableCursor 0032 TDBXEmptyTableCursor.Create 004a TDBXValueTypeArray 004f @DynArrayClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 6E 00 64 00 65 00 78 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12531_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.FetchIndexes"
		size = 1760
		refs = "0013 TDBXOdbcMetaDataReader.FetchIndexes 0020 _Dn_TDBXContext 0025 TDBXContext.Create 003d TDBXOdbcMetaDataReader.CheckInitialized 004b _Dn_TDBXOdbcCommand 0050 TDBXOdbcCommand.Create 00ee _Dn_TDBXReaderTableStorage 00f3 TDBXReaderTableStorage.Create 00f8 TDBXStringTrimTable.CreateTrimTableIfNeeded 010f TDBXValueTypeArray 0114 @DynArraySetLength 012b TDBXMetaDataCollectionColumns.CreateValueType 0282 _Dn_TDBXCustomMetaDataTable 0287 TDBXCustomMetaDataTable.Create 029f TObject.Free 02a5 @HandleFinally 02df @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 46 24 50 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 10 6A 00 6A 01 8B 45 F0 8B 10 FF 52 14 8B 45 F0 8B 10 FF 52 70 8B D8 BA 1A 00 00 00 8B C3 8B 08 FF 51 14 8B 45 F0 8B 10 FF 52 34 8B D3 8B 08 FF 51 10 8B 45 F0 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 08 8B 08 FF 91 78 01 00 00 8B 45 F0 8B 10 FF 52 64 8B D8 85 DB 75 0A 33 C0 89 45 F8 E9 A7 01 00 00 53 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 89 45 F0 6A 0D 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 B9 04 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 B9 05 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 B9 05 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 B9 06 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 B9 06 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 68 ?? ?? ?? ?? 8B 45 FC 50 53 8B C6 8B 10 FF 52 0C 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 62 00 78 00 2E 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 49 00 6E 00 64 00 65 00 78 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 43 00 41 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4E 00 4F 00 4E 00 5F 00 55 00 4E 00 49 00 51 00 55 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 73 00 55 00 6E 00 69 00 71 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 4E 00 44 00 45 00 58 00 5F 00 51 00 55 00 41 00 4C 00 49 00 46 00 49 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 6E 00 64 00 65 00 78 00 51 00 75 00 61 00 6C 00 69 00 66 00 69 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 64 00 65 00 78 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4F 00 52 00 44 00 49 00 4E 00 41 00 4C 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 4F 00 72 00 64 00 69 00 6E 00 61 00 6C 00 50 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 41 00 53 00 43 00 5F 00 4F 00 52 00 5F 00 44 00 45 00 53 00 43 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 73 00 63 00 44 00 65 00 73 00 63 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 41 00 52 00 44 00 49 00 4E 00 41 00 4C 00 49 00 54 00 59 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 72 00 64 00 69 00 6E 00 61 00 6C 00 69 00 74 00 79 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 41 00 47 00 45 00 53 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 61 00 67 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 46 00 49 00 4C 00 54 00 45 00 52 00 5F 00 43 00 4F 00 4E 00 44 00 49 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 46 00 69 00 6C 00 74 00 65 00 72 00 43 00 6F 00 6E 00 64 00 69 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 6E 00 64 00 65 00 78 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_12532_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.FetchPackageProcedureParameters"
		size = 168
		refs = "000a TDBXOdbcMetaDataReader.FetchPackageProcedureParameters 0015 TDBXOdbcMetaDataReader.CheckInitialized 001d TDBXMetaDataCollectionColumns.CreatePackageProcedureParametersColumns 002d _Dn_TDBXEmptyTableCursor 0032 TDBXEmptyTableCursor.Create 004a TDBXValueTypeArray 004f @DynArrayClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12533_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.FetchPackageProcedures"
		size = 148
		refs = "000a TDBXOdbcMetaDataReader.FetchPackageProcedures 0015 TDBXOdbcMetaDataReader.CheckInitialized 001d TDBXMetaDataCollectionColumns.CreatePackageProceduresColumns 002d _Dn_TDBXEmptyTableCursor 0032 TDBXEmptyTableCursor.Create 004a TDBXValueTypeArray 004f @DynArrayClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_12534_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.FetchPackages"
		size = 132
		refs = "000a TDBXOdbcMetaDataReader.FetchPackages 0015 TDBXOdbcMetaDataReader.CheckInitialized 001d TDBXMetaDataCollectionColumns.CreatePackagesColumns 002d _Dn_TDBXEmptyTableCursor 0032 TDBXEmptyTableCursor.Create 004a TDBXValueTypeArray 004f @DynArrayClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12535_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.FetchPackageSources"
		size = 144
		refs = "000a TDBXOdbcMetaDataReader.FetchPackageSources 0015 TDBXOdbcMetaDataReader.CheckInitialized 001d TDBXMetaDataCollectionColumns.CreatePackageSourcesColumns 002d _Dn_TDBXEmptyTableCursor 0032 TDBXEmptyTableCursor.Create 004a TDBXValueTypeArray 004f @DynArrayClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12536_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.FetchProcedures"
		size = 1236
		refs = "0013 TDBXOdbcMetaDataReader.FetchProcedures 0020 _Dn_TDBXContext 0025 TDBXContext.Create 003d TDBXOdbcMetaDataReader.CheckInitialized 004b _Dn_TDBXOdbcCommand 0050 TDBXOdbcCommand.Create 00ee _Dn_TDBXReaderTableStorage 00f3 TDBXReaderTableStorage.Create 00f8 TDBXStringTrimTable.CreateTrimTableIfNeeded 010f TDBXValueTypeArray 0114 @DynArraySetLength 012b TDBXMetaDataCollectionColumns.CreateValueType 0200 _Dn_TDBXCustomMetaDataTable 0205 TDBXCustomMetaDataTable.Create 021d TObject.Free 0223 @HandleFinally 025d @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 46 24 50 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 10 6A 00 6A 01 8B 45 F0 8B 10 FF 52 14 8B 45 F0 8B 10 FF 52 70 8B D8 BA 1A 00 00 00 8B C3 8B 08 FF 51 14 8B 45 F0 8B 10 FF 52 34 8B D3 8B 08 FF 51 10 8B 45 F0 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 0C 8B 08 FF 91 78 01 00 00 8B 45 F0 8B 10 FF 52 64 8B D8 85 DB 75 0A 33 C0 89 45 F8 E9 25 01 00 00 53 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 89 45 F0 6A 08 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 B9 06 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C B9 06 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 B9 06 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 B9 05 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 68 ?? ?? ?? ?? 8B 45 FC 50 53 8B C6 8B 10 FF 52 0C 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 62 00 78 00 2E 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 43 00 41 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4E 00 55 00 4D 00 5F 00 49 00 4E 00 50 00 55 00 54 00 5F 00 50 00 41 00 52 00 41 00 4D 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 4E 00 55 00 4D 00 5F 00 4F 00 55 00 54 00 50 00 55 00 54 00 5F 00 50 00 41 00 52 00 41 00 4D 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 4E 00 55 00 4D 00 5F 00 52 00 45 00 53 00 55 00 4C 00 54 00 5F 00 53 00 45 00 54 00 53 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 45 00 4D 00 41 00 52 00 4B 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12537_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.FetchProcedureParameters"
		size = 2356
		refs = "0019 TDBXOdbcMetaDataReader.FetchProcedureParameters 0026 _Dn_TDBXContext 002b TDBXContext.Create 0043 TDBXOdbcMetaDataReader.CheckInitialized 0051 _Dn_TDBXOdbcCommand 0056 TDBXOdbcCommand.Create 00f4 _Dn_TDBXReaderTableStorage 00f9 TDBXReaderTableStorage.Create 00fe TDBXStringTrimTable.CreateTrimTableIfNeeded 0115 TDBXValueTypeArray 011a @DynArraySetLength 0131 TDBXMetaDataCollectionColumns.CreateValueType 0314 SDbxDataType 0319 LoadResString 033b SParameterMode 0362 SIsFixedLength 0399 _Dn_TDBXCustomMetaDataTable 039e TDBXCustomMetaDataTable.Create 03ac _DV_TDBXOdbcColumnsTableCursor 03b1 TDBXOdbcColumnsTableCursor.Create 03c9 TObject.Free 03cf @HandleFinally 0408 @UStrArrayClr 0416 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 46 24 50 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 10 6A 00 6A 01 8B 45 F0 8B 10 FF 52 14 8B 45 F0 8B 10 FF 52 70 8B D8 BA 1A 00 00 00 8B C3 8B 08 FF 51 14 8B 45 F0 8B 10 FF 52 34 8B D3 8B 08 FF 51 10 8B 45 F0 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 0C 8B 08 FF 91 78 01 00 00 8B 45 F0 8B 10 FF 52 64 8B D8 85 DB 75 0A 33 C0 89 45 F8 E9 CB 02 00 00 53 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 89 45 F0 6A 16 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C B9 05 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 B9 05 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 B9 06 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C B9 06 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 B9 05 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 B9 05 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 B9 05 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 B9 05 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 38 B9 05 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 3C B9 06 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 40 B9 06 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 44 B9 1A 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 48 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 4C 6A 01 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 B9 1A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 50 6A 01 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 54 68 ?? ?? ?? ?? 8B 45 FC 50 53 8B C6 8B 10 FF 52 0C 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 6A 00 53 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 F8 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 62 00 78 00 2E 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 43 00 41 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 53 00 43 00 48 00 45 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 54 00 59 00 50 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 41 00 54 00 41 00 5F 00 54 00 59 00 50 00 45 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 59 00 50 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 53 00 49 00 5A 00 45 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 42 00 55 00 46 00 46 00 45 00 52 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 45 00 43 00 49 00 4D 00 41 00 4C 00 5F 00 44 00 49 00 47 00 49 00 54 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 63 00 61 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4E 00 55 00 4D 00 5F 00 50 00 52 00 45 00 43 00 5F 00 52 00 41 00 44 00 49 00 58 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 55 00 4C 00 4C 00 41 00 42 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 45 00 4D 00 41 00 52 00 4B 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 44 00 45 00 46 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 51 00 4C 00 5F 00 44 00 41 00 54 00 41 00 5F 00 54 00 59 00 50 00 45 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 51 00 4C 00 5F 00 44 00 41 00 54 00 45 00 54 00 49 00 4D 00 45 00 5F 00 53 00 55 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 48 00 41 00 52 00 5F 00 4F 00 43 00 54 00 45 00 54 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4F 00 52 00 44 00 49 00 4E 00 41 00 4C 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 72 00 64 00 69 00 6E 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 5F 00 4E 00 55 00 4C 00 4C 00 41 00 42 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 62 00 78 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 6F 00 64 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 73 00 46 00 69 00 78 00 65 00 64 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_12538_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.FetchProcedureSources"
		size = 148
		refs = "000a TDBXOdbcMetaDataReader.FetchProcedureSources 0015 TDBXOdbcMetaDataReader.CheckInitialized 001d TDBXMetaDataCollectionColumns.CreateProcedureSourcesColumns 002d _Dn_TDBXEmptyTableCursor 0032 TDBXEmptyTableCursor.Create 004a TDBXValueTypeArray 004f @DynArrayClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12539_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.FetchRoles"
		size = 124
		refs = "000a TDBXOdbcMetaDataReader.FetchRoles 0015 TDBXOdbcMetaDataReader.CheckInitialized 001d TDBXMetaDataCollectionColumns.CreateRolesColumns 002d _Dn_TDBXEmptyTableCursor 0032 TDBXEmptyTableCursor.Create 004a TDBXValueTypeArray 004f @DynArrayClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 6F 00 6C 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_12540_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.FetchSchemas"
		size = 56
		refs = "0009 TDBXOdbcMetaDataReader.FetchSchemas 000e TDBXOdbcMetaDataReader.SqlTablesInvocation"
	strings:
		$1 = { 6A 00 6A 00 6A 00 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 53 00 63 00 68 00 65 00 6D 00 61 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12541_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.FetchSynonyms"
		size = 64
		refs = "000b TDBXOdbcMetaDataReader.FetchSynonyms 0012 TDBXOdbcMetaDataReader.SqlTablesInvocation"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 51 6A 00 B9 ?? ?? ?? ?? 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 73 00 00 00 }
	condition:
		$1
}

rule function_12542_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.FetchTables"
		size = 60
		refs = "000d TDBXOdbcMetaDataReader.FetchTables 0014 TDBXOdbcMetaDataReader.SqlTablesInvocation"
	strings:
		$1 = { 55 8B EC 51 8B 4D 0C 51 8B 4D 08 51 B9 ?? ?? ?? ?? 87 CA E8 ?? ?? ?? ?? 5D C2 08 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_12543_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.FetchUsers"
		size = 124
		refs = "000a TDBXOdbcMetaDataReader.FetchUsers 0015 TDBXOdbcMetaDataReader.CheckInitialized 001d TDBXMetaDataCollectionColumns.CreateUsersColumns 002d _Dn_TDBXEmptyTableCursor 0032 TDBXEmptyTableCursor.Create 004a TDBXValueTypeArray 004f @DynArrayClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 73 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_12544_0 {
	meta:
		name = "TDBXOdbcMetaDataReader.FetchViews"
		size = 60
		refs = "000b TDBXOdbcMetaDataReader.FetchViews 0012 TDBXOdbcMetaDataReader.SqlTablesInvocation"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 51 6A 00 B9 ?? ?? ?? ?? 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 56 00 69 00 65 00 77 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12545_0 {
	meta:
		name = "TDBXOdbcColumnsTableCursor.GetWritableValue"
		size = 204
		refs = "000f TDBXOdbcColumnsTableCursor.GetWritableValue 002c @UStrEqual 0082 @UStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 38 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 33 8B D6 8B 43 1C 03 D0 83 FA 13 7C 19 BA 13 00 00 00 2B D0 52 8B D6 58 2B D0 8B 43 38 8B 08 FF 51 24 8B D8 EB 1A 8B D6 8B 43 18 8B 08 FF 51 24 8B D8 EB 0C 8B D6 8B 43 18 8B 08 FF 51 24 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_12546_0 {
	meta:
		name = "TDBXOdbcColumnsTableCursor.Create"
		size = 416
		refs = "0016 @ClassCreate 0025 TDBXOdbcColumnsTableCursor.Create 0034 TDBXColumnsTableCursor.Create 0048 TDBXBaseMetaDataReader.GetDataTypeHash 0078 @UStrEqual 0096 TDBXValueTypeArray 009b @DynArraySetLength 00a6 @DynArrayLength 00cc TDBXValueType.Clone 00f7 _Dn_TDBXSingleValueRow 00fc TDBXSingleValueRow.Create 0126 @DynArrayClear 012e @UStrClr 0142 @HandleFinally 0151 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FB 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B C3 8B 08 FF 91 9C 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 43 28 89 73 24 0F B6 45 0C 88 43 30 33 C0 89 43 1C C7 43 20 06 00 00 00 8D 55 F4 8B C3 8B 08 FF 51 38 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5E 33 C0 89 43 1C C7 43 20 06 00 00 00 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 43 47 33 F6 8D 55 F0 8B 45 08 8B 08 FF 51 2C 8B 45 F0 8D 56 13 2B 53 1C 8B 04 90 E8 ?? ?? ?? ?? 8B 55 FC 89 04 B2 46 4F 75 DA EB 18 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 38 8B C6 8B 55 FC 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 8B C3 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_12548_0 {
	meta:
		name = "GetModeString"
		size = 276
		refs = "000e GetModeString 0032 @UStrAsg"
	strings:
		$1 = { 53 8B DA 0F BF C0 83 F8 05 77 65 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 4F 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4F 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 54 00 55 00 52 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 53 00 55 00 4C 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 4E 00 4B 00 4E 00 4F 00 57 00 4E 00 00 00 }
	condition:
		$1
}

rule function_12549_0 {
	meta:
		name = "TDBXOdbcColumnsTableCursor.Next"
		size = 408
		refs = "0011 TDBXOdbcColumnsTableCursor.Next 0047 TDBXObjectStore.GetObjectFromName 0061 @UStrEqual 00e6 GetModeString 0116 TDBXDataTypeDescription.IsFixedLength 013b @UStrArrayClr 0141 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 18 8B 10 FF 52 48 8B D8 84 DB 0F 84 F8 00 00 00 8B 56 20 8B 46 18 8B 08 FF 51 24 8D 55 FC 8B 08 FF 51 28 8B 55 FC 8B 46 28 E8 ?? ?? ?? ?? 89 46 2C 8D 55 F8 8B C6 8B 08 FF 51 38 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 BA 00 00 00 83 7E 2C 00 75 47 33 D2 8B 46 38 8B 08 FF 51 24 33 D2 8B 08 FF 91 1C 01 00 00 BA 01 00 00 00 8B 46 38 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B 08 FF 91 24 01 00 00 BA 02 00 00 00 8B 46 38 8B 08 FF 51 24 33 D2 8B 08 FF 91 08 01 00 00 EB 6D 33 D2 8B 46 38 8B 08 FF 51 24 8B 56 2C 8B 52 08 8B 08 FF 91 1C 01 00 00 BA 04 00 00 00 8B 46 18 8B 08 FF 51 24 8B 10 FF 52 1C 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 BA 01 00 00 00 8B 46 38 8B 08 FF 51 24 5A 8B 08 FF 91 24 01 00 00 BA 02 00 00 00 8B 46 38 8B 08 FF 51 24 50 8B 46 2C E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_12556_0 {
	meta:
		name = "TDBXOdbcMetaDataCommandFactory.CreateCommand"
		size = 204
		refs = "0017 TDBXOdbcMetaDataCommandFactory.CreateCommand 0024 TDBXDriverHelp.GetMetaDataReader 0033 TDBXOdbcMetaDataCommandFactory.CreateMetaDataReader 003c _Dn_TDBXDataExpressProviderContext 0041 TDBXDataExpressProviderContext.Create 0058 TDBXProviderContext.UseAnsiString 0085 TDBXDriverHelp.SetMetaDataReader 0094 _Dn_TDBXMetaDataCommand 0099 TDBXMetaDataCommand.Create 00b5 @UStrArrayClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 5B 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 77 04 8D 55 F8 8B C3 8B 08 FF 51 10 8B 45 F8 E8 ?? ?? ?? ?? 88 47 11 C6 47 12 01 8B D7 8B C3 8B 08 FF 51 08 8D 55 F4 8B C6 8B 08 FF 51 58 8B 55 F4 8B C3 8B 08 FF 51 18 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 08 50 53 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12562_0 {
	meta:
		name = "TRSACypher.ClearKey"
		size = 88
		refs = "000f TRSACypher.ClearKey 0024 TRSACypher.IPPeerProcs 0047 @IntfClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3B 00 74 14 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 13 8B 08 FF 51 10 33 C0 89 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12563_0 {
	meta:
		name = "TRSACypher.Create"
		size = 55
		refs = "0008 @ClassCreate 000e TRSACypher.FKeyUsagePolicy 0017 TRSACypher.FLocalKey 001f TRSACypher.FConfederatedKey 0028 @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 33 C9 89 0D ?? ?? ?? ?? 33 C9 89 0D ?? ?? ?? ?? 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_12564_0 {
	meta:
		name = "TRSACypher.Create"
		size = 38
		refs = "0008 @ClassCreate 000e TRSACypher.FKeyUsagePolicy 0017 @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 0D ?? ?? ?? ?? 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_12565_0 {
	meta:
		name = "TRSACypher.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000c TRSACypher.FLocalKey 0013 TRSACypher.ClearKey 0018 TRSACypher.FConfederatedKey 002a TObject.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 BA ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12567_0 {
	meta:
		name = "TRSACypher.GenerateGlobalKey"
		size = 27
		refs = "0005 TRSACypher.KEY_MONITOR 000b TRSACypher.GLOBAL_RSA_KEY 0013 TRSACypher.GenerateRSAKey"
	strings:
		$1 = { 55 8B EC 8B 0D ?? ?? ?? ?? 51 68 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_12568_0 {
	meta:
		name = "TRSACypher.GenerateKey"
		size = 47
		refs = "0005 TRSACypher.FKeyUsagePolicy 0015 TRSACypher.GenerateGlobalKey 001d TRSACypher.FLocalKey 0027 TRSACypher.GenerateRSAKey"
	strings:
		$1 = { 55 8B EC 80 3D ?? ?? ?? ?? 00 75 0F FF 75 0C FF 75 08 8B 00 E8 ?? ?? ?? ?? EB 10 50 68 ?? ?? ?? ?? 8B 4D 08 8B 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_12569_0 {
	meta:
		name = "TRSACypher.GenerateRSAKey"
		size = 335
		refs = "0019 TRSACypher.GenerateRSAKey 0025 TRSACypher.OPEN_SSL_LOAD_STATUS 0034 TMonitor.CheckMonitorSupport 003b TMonitor.GetMonitor 0043 TMonitor.Enter 005b TRSACypher.ClearKey 007a TRSACypher.IPPeerProcs 009e TRSACypher.SSLErrorMessage 00a7 EmptyStr 00ae @UStrEqual 00b8 SKeyCannotBeGenerated 00bd LoadResString 00ca _Dn_TDBXError 00cf TDBXError.Create 00d4 @RaiseExcept 00e9 TMonitor.Exit 00ef @HandleFinally 00f9 SOpenSSLNotLoaded 012a @UStrClr 0132 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 3D ?? ?? ?? ?? 00 0F 84 C5 00 00 00 8B 7D 0C E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 08 8B C3 E8 ?? ?? ?? ?? 83 FE 03 7D 07 BE 03 00 00 00 EB 09 F7 C6 01 00 00 00 75 01 46 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B CE 8B 55 F8 8B 30 FF 56 14 8B 55 08 89 02 8B 45 08 83 38 00 75 40 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12570_0 {
	meta:
		name = "TRSACypher.GetPrivateKey"
		size = 21
		refs = "0002 TRSACypher.FKeyUsagePolicy 000a TRSACypher.GLOBAL_RSA_KEY 0010 TRSACypher.FLocalKey"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 00 75 06 A1 ?? ?? ?? ?? C3 A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12571_0 {
	meta:
		name = "TRSACypher.GetPublicKey"
		size = 321
		refs = "001d TRSACypher.GetPublicKey 0029 TRSACypher.OPEN_SSL_LOADED 0036 TRSACypher.FKeyUsagePolicy 003e TRSACypher.KEY_MONITOR 0047 TRSACypher.GLOBAL_RSA_KEY 0052 TRSACypher.FLocalKey 005a TMonitor.CheckMonitorSupport 0061 TMonitor.GetMonitor 0069 TMonitor.Enter 0081 TRSACypher.IPPeerProcs 009e TArray<System.Byte> 00a3 @DynArraySetLength 00da TMonitor.Exit 00e0 @HandleFinally 00ea SOpenSSLNotLoaded 00ef LoadResString 00fc _Dn_TDBXError 0101 TDBXError.Create 0106 @RaiseExcept 011b @UStrClr 0124 IIPPeerProcs 012e @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 3D ?? ?? ?? ?? 00 0F 84 B2 00 00 00 80 3D ?? ?? ?? ?? 00 75 10 A1 ?? ?? ?? ?? 89 45 F4 8B 35 ?? ?? ?? ?? EB 09 89 5D F4 8B 35 ?? ?? ?? ?? 8B 7D F4 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 03 E8 ?? ?? ?? ?? 8B 45 F0 33 C9 8B D6 8B 38 FF 57 18 8B F8 57 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 00 89 45 F8 8D 55 EC 8B 03 E8 ?? ?? ?? ?? 8B 45 EC 8D 4D F8 8B D6 8B 18 FF 53 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12572_0 {
	meta:
		name = "TRSACypher.GetSynchMonitor"
		size = 15
		refs = "0002 TRSACypher.FKeyUsagePolicy 000a TRSACypher.KEY_MONITOR"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 00 75 05 A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12573_0 {
	meta:
		name = "TRSACypher.Init"
		size = 59
		refs = "0002 TRSACypher.OPEN_SSL_LOADED 0009 TRSACypher.OPEN_SSL_LOAD_STATUS 0011 TRSACypher.GLOBAL_RSA_KEY 0016 TRSACypher.FIPPeerProcs 001b @IntfClear 0020 TRSACypher.FIPImplementationID 0025 @UStrClr 002c _Dn_TObject 0031 TObject.Create 0036 TRSACypher.KEY_MONITOR"
	strings:
		$1 = { C6 05 ?? ?? ?? ?? 00 C6 05 ?? ?? ?? ?? 00 33 C0 A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12574_0 {
	meta:
		name = "TRSACypher.InitSSLIPImplementationID"
		size = 112
		refs = "000c TRSACypher.InitSSLIPImplementationID 0018 TRSACypher.FIPPeerProcs 0023 sSSLAlreadyLoaded 0028 LoadResString 0035 _Dn_TDBXError 003a TDBXError.Create 003f @RaiseExcept 0044 TRSACypher.FIPImplementationID 004b @UStrAsg 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 24 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12575_0 {
	meta:
		name = "TRSACypher.IPPeerProcs"
		size = 103
		refs = "000c TRSACypher.IPPeerProcs 0018 TRSACypher.FIPPeerProcs 0023 TRSACypher.FIPImplementationID 0028 IPProcs 0035 @IntfCopy 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12576_0 {
	meta:
		name = "TRSACypher.LoadSSLAndCreateKey"
		size = 65
		refs = "000b TRSACypher.OPEN_SSL_LOADED 0015 TRSACypher.OPEN_SSL_LOAD_STATUS 001e TRSACypher.LoadSSL 0031 TRSACypher.GenerateGlobalKey"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 80 3D ?? ?? ?? ?? 00 74 09 0F B6 05 ?? ?? ?? ?? EB 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 FF 75 0C FF 75 08 8B D6 8B C3 E8 ?? ?? ?? ?? B0 01 EB 02 33 C0 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12577_0 {
	meta:
		name = "TRSACypher.LoadSSL"
		size = 293
		refs = "0012 TRSACypher.LoadSSL 001e TRSACypher.OPEN_SSL_LOADED 0028 TRSACypher.OPEN_SSL_LOAD_STATUS 004c TRSACypher.IPPeerProcs 009b TRSACypher.ERR_LOAD 00a0 SOpenSSLLoadError 00a5 LoadResString 00c0 @HandleOnException 00c8 _Dn_Exception 00e2 @UStrAsg 00e9 @DoneExcept 0106 IIPPeerProcs 0110 @FinalizeArray 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 3D ?? ?? ?? ?? 00 74 0C 0F B6 1D ?? ?? ?? ?? E9 C3 00 00 00 C6 05 ?? ?? ?? ?? 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 20 84 C0 74 37 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 24 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 28 C6 05 ?? ?? ?? ?? 01 B3 01 33 C0 5A 59 59 64 89 10 EB 61 C6 05 ?? ?? ?? ?? 00 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 3F 33 C0 5A 59 59 64 89 10 EB 35 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 C6 05 ?? ?? ?? ?? 00 B8 ?? ?? ?? ?? 8B 53 04 E8 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12578_0 {
	meta:
		name = "TRSACypher.PrivateDecrypt"
		size = 486
		refs = "0023 @DynArrayAddRef 002b TRSACypher.PrivateDecrypt 0039 TRSACypher.GetPrivateKey 0044 TRSACypher.GetSynchMonitor 0054 TRSACypher.IPPeerProcs 0086 TArray<System.Byte> 008b @DynArraySetLength 0096 @DynArrayLength 00bc TMonitor.CheckMonitorSupport 00c4 TMonitor.GetMonitor 00cc TMonitor.Enter 012f TRSACypher.SSLErrorMessage 013c _Dn_TDBXError 0141 TDBXError.Create 0146 @RaiseExcept 0185 TMonitor.Exit 018b @HandleFinally 01b3 @UStrClr 01bc IIPPeerProcs 01c6 @FinalizeArray 01d4 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 33 DB 89 5D C8 89 5D CC 89 5D D0 89 5D D4 89 4D F4 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E8 8D 55 D4 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 D4 8B 55 EC 8B 08 FF 51 2C 89 45 F0 33 C0 89 45 E4 33 C0 89 45 E0 E9 1C 01 00 00 8B 45 E0 03 45 F0 50 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B F0 2B 75 E4 3B 75 F0 7E 08 8B 45 F0 89 45 DC EB 03 89 75 DC 8B 45 DC 89 45 F0 8B 45 E8 89 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 00 03 45 E0 50 8B 45 EC 50 8D 55 D0 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 D0 8B 10 FF 52 0C 50 8D 55 CC 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 CC 8B 4D FC 03 4D E4 8B 55 F0 8B 18 FF 53 30 8B D8 83 FB FF 75 24 8D 55 C8 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 C8 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 5D F0 74 1C 8B 45 E0 03 C3 50 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 01 5D E0 8B 45 F0 01 45 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 3B 45 E4 0F 8F D3 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12579_0 {
	meta:
		name = "TRSACypher.PublicEncrypt"
		size = 443
		refs = "0023 @DynArrayAddRef 002b TRSACypher.PublicEncrypt 003e TRSACypher.IPPeerProcs 0047 TRSACypher.FConfederatedKey 007c TArray<System.Byte> 0081 @DynArraySetLength 008c @DynArrayLength 00ab TMonitor.CheckMonitorSupport 00b3 TMonitor.GetMonitor 00bb TMonitor.Enter 0122 TRSACypher.SSLErrorMessage 012f _Dn_TDBXError 0134 TDBXError.Create 0139 @RaiseExcept 014e TMonitor.Exit 0154 @HandleFinally 0188 @UStrClr 0191 IIPPeerProcs 019b @FinalizeArray 01a9 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 DB 89 5D D0 89 5D D4 89 5D D8 89 5D DC 89 4D F4 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 DC 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 DC 8B 15 ?? ?? ?? ?? 8B 08 FF 51 2C 89 45 F0 8B 45 F0 83 E8 0B 89 45 EC 33 C0 89 45 E8 33 C0 89 45 E4 E9 FB 00 00 00 8B 45 E4 03 45 F0 50 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B D8 2B 5D E8 3B 5D EC 7E 05 8B 75 EC EB 02 8B F3 89 75 EC 8B 45 F8 89 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 00 03 45 E4 50 A1 ?? ?? ?? ?? 50 8D 55 D8 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 D8 8B 10 FF 52 0C 50 8D 55 D4 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 D4 8B 4D FC 03 4D E8 8B 55 EC 8B 18 FF 53 34 89 45 F0 83 7D F0 FF 75 24 8D 55 D0 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 D0 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 EC 01 45 E8 8B 45 F0 01 45 E4 8B 45 FC E8 ?? ?? ?? ?? 3B 45 E8 0F 8F F4 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12580_0 {
	meta:
		name = "TRSACypher.SetConfederatePublicKey"
		size = 271
		refs = "0019 @DynArrayAddRef 0021 TRSACypher.SetConfederatePublicKey 0035 TMonitor.CheckMonitorSupport 003c TMonitor.GetMonitor 0044 TMonitor.Enter 0057 TRSACypher.FConfederatedKey 0061 TRSACypher.ClearKey 0069 @DynArrayLength 0077 TRSACypher.IPPeerProcs 009f TRSACypher.SSLErrorMessage 00ac _Dn_TDBXError 00b1 TDBXError.Create 00b6 @RaiseExcept 00cb TMonitor.Exit 00d1 @HandleFinally 00e8 @UStrClr 00f0 @IntfClear 00f9 TArray<System.Byte> 00fe @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 89 4D F0 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 45 F4 8B 5D F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8D 55 F0 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 F0 8D 4D F4 33 D2 8B 18 FF 53 1C A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 24 8D 55 EC 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 EC 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12581_0 {
	meta:
		name = "TRSACypher.SSLErrorMessage"
		size = 166
		refs = "0021 TRSACypher.SSLErrorMessage 0034 TRSACypher.IPPeerProcs 0071 @UStrFromWArray 008a IIPPeerProcs 0094 @FinalizeArray 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 F7 FF FF 53 56 33 C9 89 8D F8 F7 FF FF 89 8D FC F7 FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 FC F7 FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 FC F7 FF FF 8B 10 FF 52 3C 50 8D 95 F8 F7 FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 F8 F7 FF FF 8D 8D 00 F8 FF FF 5A 8B 18 FF 53 38 8B C6 8D 95 00 F8 FF FF B9 00 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 F7 FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12582_0 {
	meta:
		name = "Finalization"
		size = 88
		refs = "0007 Finalization 0013 _DV_2 001a _DV_TRSACypher 001f TRSACypher.Clear 0024 TRSACypher.ERR_LOAD 0029 @UStrClr 002e TRSACypher.FIPPeerProcs 0033 @IntfClear 0038 TRSACypher.FIPImplementationID 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 28 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12587_0 {
	meta:
		name = "TDBXOracleProperties.Create"
		size = 2676
		refs = "0015 @ClassCreate 0021 TDBXOracleProperties.Create 0030 TDBXProperties.Create 0041 TDBXProperties.SetValue 005a _Dn_TDBXPlatform 005f TDBXPlatform.GetPublicKeyToken 006f @UStrCat3 01f3 @UStrArrayClr 01f9 @HandleFinally 0206 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 4F 00 72 00 61 00 63 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2F 00 00 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 2C 00 44 00 42 00 58 00 4F 00 72 00 61 00 63 00 6C 00 65 00 44 00 72 00 69 00 76 00 65 00 72 00 31 00 36 00 30 00 2E 00 62 00 70 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 73 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 2C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 43 00 6F 00 6D 00 6D 00 6F 00 6E 00 44 00 72 00 69 00 76 00 65 00 72 00 2C 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 31 00 36 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 2C 00 43 00 75 00 6C 00 74 00 75 00 72 00 65 00 3D 00 6E 00 65 00 75 00 74 00 72 00 61 00 6C 00 2C 00 50 00 75 00 62 00 6C 00 69 00 63 00 4B 00 65 00 79 00 54 00 6F 00 6B 00 65 00 6E 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 41 00 73 00 73 00 65 00 6D 00 62 00 6C 00 79 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 37 00 00 00 54 00 44 00 42 00 58 00 4F 00 72 00 61 00 63 00 6C 00 65 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 2C 00 44 00 62 00 78 00 4F 00 72 00 61 00 63 00 6C 00 65 00 44 00 72 00 69 00 76 00 65 00 72 00 31 00 36 00 30 00 2E 00 62 00 70 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 7B 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 54 00 44 00 42 00 58 00 4F 00 72 00 61 00 63 00 6C 00 65 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 2C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 4F 00 72 00 61 00 63 00 6C 00 65 00 44 00 72 00 69 00 76 00 65 00 72 00 2C 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 31 00 36 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 2C 00 43 00 75 00 6C 00 74 00 75 00 72 00 65 00 3D 00 6E 00 65 00 75 00 74 00 72 00 61 00 6C 00 2C 00 50 00 75 00 62 00 6C 00 69 00 63 00 4B 00 65 00 79 00 54 00 6F 00 6B 00 65 00 6E 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 41 00 73 00 73 00 65 00 6D 00 62 00 6C 00 79 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 67 00 65 00 74 00 53 00 51 00 4C 00 44 00 72 00 69 00 76 00 65 00 72 00 4F 00 52 00 41 00 43 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 44 00 72 00 69 00 76 00 65 00 72 00 46 00 75 00 6E 00 63 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 64 00 62 00 78 00 6F 00 72 00 61 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 6C 00 69 00 62 00 73 00 71 00 6C 00 6F 00 72 00 61 00 2E 00 64 00 79 00 6C 00 69 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 4F 00 73 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6F 00 63 00 69 00 2E 00 64 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 57 00 69 00 6E 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 6C 00 69 00 62 00 6F 00 63 00 69 00 65 00 69 00 2E 00 64 00 79 00 6C 00 69 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 4F 00 73 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 20 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 75 00 73 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 45 00 72 00 72 00 6F 00 72 00 52 00 65 00 73 00 6F 00 75 00 72 00 63 00 65 00 46 00 69 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 6F 00 63 00 61 00 6C 00 65 00 43 00 6F 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 61 00 64 00 43 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 4C 00 65 00 76 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 32 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 6F 00 77 00 53 00 65 00 74 00 53 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4F 00 53 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4D 00 75 00 6C 00 74 00 69 00 70 00 6C 00 65 00 54 00 72 00 61 00 6E 00 73 00 61 00 63 00 74 00 69 00 6F 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 72 00 69 00 6D 00 43 00 68 00 61 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_12590_0 {
	meta:
		name = "TDBXOracleProperties.GetOracleTransIsolation"
		size = 80
		refs = "0009 TDBXOracleProperties.GetOracleTransIsolation 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4F 00 72 00 61 00 63 00 6C 00 65 00 20 00 54 00 72 00 61 00 6E 00 73 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_12595_0 {
	meta:
		name = "TDBXOracleProperties.GetMultipleTransaction"
		size = 140
		refs = "000c TDBXOracleProperties.GetMultipleTransaction 0021 TDBXProperties.GetValue 002b StrToBoolDef 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 14 00 00 00 4D 00 75 00 6C 00 74 00 69 00 70 00 6C 00 65 00 20 00 54 00 72 00 61 00 6E 00 73 00 61 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_12597_0 {
	meta:
		name = "TDBXOracleProperties.GetRowsetSize"
		size = 124
		refs = "000c TDBXOracleProperties.GetRowsetSize 0021 TDBXProperties.GetValue 002e StrToIntDef 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA 14 00 00 00 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 6F 00 77 00 73 00 65 00 74 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12601_0 {
	meta:
		name = "TDBXOracleProperties.SetOracleTransIsolation"
		size = 72
		refs = "0003 TDBXOracleProperties.SetOracleTransIsolation 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4F 00 72 00 61 00 63 00 6C 00 65 00 20 00 54 00 72 00 61 00 6E 00 73 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_12606_0 {
	meta:
		name = "TDBXOracleProperties.SetMultipleTransaction"
		size = 144
		refs = "000f TDBXOracleProperties.SetMultipleTransaction 0021 BoolToStr 0030 TDBXProperties.SetValue 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4D 00 75 00 6C 00 74 00 69 00 70 00 6C 00 65 00 20 00 54 00 72 00 61 00 6E 00 73 00 61 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_12608_0 {
	meta:
		name = "TDBXOracleProperties.SetRowsetSize"
		size = 120
		refs = "000f TDBXOracleProperties.SetRowsetSize 001f IntToStr 002e TDBXProperties.SetValue 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 6F 00 77 00 73 00 65 00 74 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12611_0 {
	meta:
		name = "Data.DbxOracle"
		size = 56
		refs = "0002 _DV_3 000b _DV_TDBXOracleDriver 0010 Data.DbxOracle 0015 TDBXDriverRegistry.RegisterDriverClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 72 00 61 00 63 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12612_0 {
	meta:
		name = "Finalization"
		size = 60
		refs = "0002 _DV_1 000a _Dn_TDBXOracleMetaDataWriter 000f Finalization 0014 _Dn_TDBXMetaDataWriterFactory 0019 TDBXMetaDataWriterFactory.UnRegisterWriter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 15 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 72 00 61 00 63 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12613_0 {
	meta:
		name = "Data.DBXOracleMetaData"
		size = 60
		refs = "0002 _DV_1 000b _Dn_TDBXOracleMetaDataWriter 0010 Data.DBXOracleMetaData 0015 _Dn_TDBXMetaDataWriterFactory 001a TDBXMetaDataWriterFactory.RegisterWriter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 72 00 61 00 63 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12614_0 {
	meta:
		name = "TDBXOracleCustomMetaDataReader.PopulateDataTypes"
		size = 308
		refs = "000d TDBXBaseMetaDataReader.PopulateDataTypes 002a TDBXOracleCustomMetaDataReader.PopulateDataTypes 0031 _Dn_TDBXDataTypeDescription 0036 TDBXDataTypeDescription.Create 0042 TDBXObjectStore.SetObjectByName"
	strings:
		$1 = { 55 8B EC 53 8B DA 8B 55 08 52 8B D3 E8 ?? ?? ?? ?? 6A 11 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 50 04 8B C3 E8 ?? ?? ?? ?? 6A 04 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 50 04 8B C3 E8 ?? ?? ?? ?? 6A 06 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 50 04 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 45 00 46 00 20 00 43 00 55 00 52 00 53 00 4F 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 4C 00 2F 00 53 00 51 00 4C 00 20 00 42 00 4F 00 4F 00 4C 00 45 00 41 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 42 00 49 00 4E 00 41 00 52 00 59 00 5F 00 49 00 4E 00 54 00 45 00 47 00 45 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_12615_0 {
	meta:
		name = "TDBXOracleCustomMetaDataReader.GetDataTypeDescriptions"
		size = 3360
		refs = "000c TDBXOracleCustomMetaDataReader.GetDataTypeDescriptions 0022 TDBXDataTypeDescriptionArray 0027 @DynArraySetLength 0051 _Dn_TDBXDataTypeDescription 0056 TDBXDataTypeDescription.Create 0536 @DynArrayAsg 0551 @DynArrayClear 0557 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 16 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 03 6A 01 6A 00 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 6A 60 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 6A 03 6A 01 6A 00 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 6A 60 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 6A 1A 6A 00 68 D0 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 CC 09 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 6A 1A 6A 01 6A 00 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 6A 6A B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 6A 18 6A 00 6A 13 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C6 08 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 6A 08 6A 00 6A 7E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C0 08 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 6A 1B 6A 00 6A 07 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C6 08 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 6A 07 6A 00 6A 35 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C6 08 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 6A 20 6A 00 6A 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C6 08 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 6A 20 6A 00 6A 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C4 08 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 6A 1A 6A 00 68 FF FF FF 7F 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 6A 20 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 6A 09 6A 00 68 FF FF FF 7F 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 6A 60 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 6A 1A 6A 00 68 D0 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 CC 19 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 6A 1A 6A 01 6A 00 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 68 10 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 6A 08 6A 00 6A 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 7F 6A AC 6A 00 6A 00 6A 00 6A 00 68 C2 08 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 38 6A 1A 6A 00 68 A0 0F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C8 18 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 3C 6A 09 6A 00 68 D0 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C6 08 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 40 6A 18 6A 00 6A 1B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C4 08 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 44 6A 18 6A 00 6A 1B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C4 08 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 48 6A 18 6A 00 6A 22 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C4 08 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 4C 6A 1A 6A 00 68 A0 0F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C0 09 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 50 6A 1A 6A 00 68 A0 0F 00 00 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 00 08 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 54 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 46 00 49 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 4C 00 4F 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 48 00 41 00 52 00 28 00 7B 00 30 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 48 00 41 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 4C 00 4F 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4F 00 5F 00 44 00 41 00 54 00 45 00 28 00 27 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 27 00 2C 00 27 00 59 00 59 00 59 00 59 00 2D 00 4D 00 4D 00 2D 00 44 00 44 00 20 00 48 00 48 00 32 00 34 00 3A 00 4D 00 49 00 3A 00 53 00 53 00 27 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 4C 00 4F 00 41 00 54 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 4C 00 4F 00 41 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 42 00 49 00 4E 00 41 00 52 00 59 00 5F 00 46 00 4C 00 4F 00 41 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 42 00 49 00 4E 00 41 00 52 00 59 00 5F 00 44 00 4F 00 55 00 42 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 49 00 4E 00 54 00 45 00 52 00 56 00 41 00 4C 00 20 00 44 00 41 00 59 00 28 00 7B 00 30 00 7D 00 29 00 20 00 54 00 4F 00 20 00 53 00 45 00 43 00 4F 00 4E 00 44 00 28 00 7B 00 31 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 2C 00 53 00 63 00 61 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 4F 00 5F 00 44 00 53 00 49 00 4E 00 54 00 45 00 52 00 56 00 41 00 4C 00 28 00 27 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 49 00 4E 00 54 00 45 00 52 00 56 00 41 00 4C 00 20 00 44 00 41 00 59 00 20 00 54 00 4F 00 20 00 53 00 45 00 43 00 4F 00 4E 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 49 00 4E 00 54 00 45 00 52 00 56 00 41 00 4C 00 20 00 59 00 45 00 41 00 52 00 28 00 7B 00 30 00 7D 00 29 00 20 00 54 00 4F 00 20 00 4D 00 4F 00 4E 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 4F 00 5F 00 59 00 4D 00 49 00 4E 00 54 00 45 00 52 00 56 00 41 00 4C 00 28 00 27 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 49 00 4E 00 54 00 45 00 52 00 56 00 41 00 4C 00 20 00 59 00 45 00 41 00 52 00 20 00 54 00 4F 00 20 00 4D 00 4F 00 4E 00 54 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 4F 00 4E 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4C 00 4F 00 4E 00 47 00 20 00 52 00 41 00 57 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4E 00 43 00 48 00 41 00 52 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4E 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4E 00 43 00 48 00 41 00 52 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4E 00 43 00 4C 00 4F 00 42 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 4E 00 55 00 4D 00 42 00 45 00 52 00 28 00 7B 00 30 00 7D 00 2C 00 7B 00 31 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4E 00 55 00 4D 00 42 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4E 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 32 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4E 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 32 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 41 00 57 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 48 00 45 00 58 00 54 00 4F 00 52 00 41 00 57 00 28 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 52 00 41 00 57 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 54 00 49 00 4D 00 45 00 53 00 54 00 41 00 4D 00 50 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 54 00 4F 00 5F 00 54 00 49 00 4D 00 45 00 53 00 54 00 41 00 4D 00 50 00 28 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 27 00 2C 00 27 00 59 00 59 00 59 00 59 00 2D 00 4D 00 4D 00 2D 00 44 00 44 00 20 00 48 00 48 00 32 00 34 00 3A 00 4D 00 49 00 3A 00 53 00 53 00 2E 00 46 00 46 00 27 00 29 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 49 00 4D 00 45 00 53 00 54 00 41 00 4D 00 50 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 54 00 49 00 4D 00 45 00 53 00 54 00 41 00 4D 00 50 00 28 00 7B 00 30 00 7D 00 20 00 57 00 49 00 54 00 48 00 20 00 4C 00 4F 00 43 00 41 00 4C 00 20 00 54 00 49 00 4D 00 45 00 20 00 5A 00 4F 00 4E 00 45 00 29 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 54 00 4F 00 5F 00 54 00 49 00 4D 00 45 00 53 00 54 00 41 00 4D 00 50 00 5F 00 54 00 5A 00 28 00 27 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 54 00 49 00 4D 00 45 00 53 00 54 00 41 00 4D 00 50 00 20 00 57 00 49 00 54 00 48 00 20 00 4C 00 4F 00 43 00 41 00 4C 00 20 00 54 00 49 00 4D 00 45 00 20 00 5A 00 4F 00 4E 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 54 00 49 00 4D 00 45 00 53 00 54 00 41 00 4D 00 50 00 28 00 7B 00 30 00 7D 00 20 00 57 00 49 00 54 00 48 00 20 00 54 00 49 00 4D 00 45 00 20 00 5A 00 4F 00 4E 00 45 00 29 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 27 00 2C 00 27 00 59 00 59 00 59 00 59 00 2D 00 4D 00 4D 00 2D 00 44 00 44 00 20 00 48 00 48 00 32 00 34 00 3A 00 4D 00 49 00 3A 00 53 00 53 00 2E 00 46 00 46 00 20 00 54 00 5A 00 48 00 3A 00 54 00 5A 00 4D 00 27 00 29 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 54 00 49 00 4D 00 45 00 53 00 54 00 41 00 4D 00 50 00 20 00 57 00 49 00 54 00 48 00 20 00 54 00 49 00 4D 00 45 00 20 00 5A 00 4F 00 4E 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 32 00 28 00 7B 00 30 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 58 00 4D 00 4C 00 54 00 59 00 50 00 45 00 00 00 }
	condition:
		$1
}

rule function_12616_0 {
	meta:
		name = "TDBXOracleCustomMetaDataReader.FetchColumns"
		size = 436
		refs = "0018 TDBXOracleCustomMetaDataReader.FetchColumns 002e TDBXStringArray 0033 @DynArraySetLength 0043 @UStrAsg 00cf TDBXMetaDataCollectionColumns.CreateColumnsColumns 00df _DV_TDBXOracleCustomMetaDataReader.TDBXOracleColumnsCursor 00e4 TDBXOracleCustomMetaDataReader.TDBXOracleColumnsCursor.Create 00ee _Dn_TDBXColumnsTableCursor 00f3 TDBXColumnsTableCursor.Create 010a @UStrClr 0113 TDBXValueTypeArray 0118 @DynArrayClear 012b @FinalizeArray 0131 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 F4 00 00 00 8B 45 F0 50 8B C3 8B 10 FF 52 0C 8B 4D FC 5A 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 6A 00 8B 45 F4 50 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_12618_0 {
	meta:
		name = "TDBXOracleCustomMetaDataReader.TDBXOracleColumnsCursor.Create"
		size = 116
		refs = "000e @ClassCreate 0019 TDBXOracleCustomMetaDataReader.TDBXOracleColumnsCursor.Create 0033 TDBXCustomMetaDataTable.Create 003e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 68 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B C6 8B 10 FF 52 0C 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_12620_0 {
	meta:
		name = "TDBXOracleCustomMetaDataReader.TDBXOracleColumnsCursor.Next"
		size = 180
		refs = "000f TDBXOracleCustomMetaDataReader.TDBXOracleColumnsCursor.Next 001c TDBXCustomMetaDataTable.Next 0032 TDBXCustomMetaDataTable.GetWritableValue 003a TDBXValueType.Clone 003f TDBXValue.CreateValue 0061 Trim 00a0 @UStrArrayClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 53 83 7B 38 00 75 1C BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 51 28 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 43 38 8B 08 FF 91 24 01 00 00 B3 01 EB 13 8B 73 38 85 F6 74 0A 8B C6 8B 10 FF 92 58 01 00 00 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12621_0 {
	meta:
		name = "TDBXOracleCustomMetaDataReader.TDBXOracleColumnsCursor.GetWritableValue"
		size = 15
		refs = "000a TDBXCustomMetaDataTable.GetWritableValue"
	strings:
		$1 = { 83 FA 08 75 04 8B 40 38 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12622_0 {
	meta:
		name = "TDBXOracleCustomMetaDataReader.TDBXOracleIndexColumnsCursor.Create"
		size = 128
		refs = "000e @ClassCreate 0019 TDBXOracleCustomMetaDataReader.TDBXOracleIndexColumnsCursor.Create 0033 TDBXCustomMetaDataTable.Create 003e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 68 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B C6 8B 10 FF 52 0C 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 6E 00 64 00 65 00 78 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12624_0 {
	meta:
		name = "TDBXOracleCustomMetaDataReader.TDBXOracleIndexColumnsCursor.Next"
		size = 151
		refs = "000d TDBXOracleCustomMetaDataReader.TDBXOracleIndexColumnsCursor.Next 001a TDBXCustomMetaDataTable.Next 0030 TDBXCustomMetaDataTable.GetWritableValue 0038 TDBXValueType.Clone 003d TDBXValue.CreateValue 004a TDBXOracleCustomMetaDataReader.TDBXOracleIndexColumnsCursor.ComputeColumnName 0084 @UStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3E 83 7B 38 00 75 1C BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 38 8B 08 FF 91 24 01 00 00 B3 01 EB 13 8B 73 38 85 F6 74 0A 8B C6 8B 10 FF 92 58 01 00 00 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12625_0 {
	meta:
		name = "TDBXOracleCustomMetaDataReader.TDBXOracleIndexColumnsCursor.GetWritableValue"
		size = 15
		refs = "000a TDBXCustomMetaDataTable.GetWritableValue"
	strings:
		$1 = { 83 FA 04 75 04 8B 40 38 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12626_0 {
	meta:
		name = "TDBXOracleCustomMetaDataReader.TDBXOracleIndexColumnsCursor.ComputeColumnName"
		size = 284
		refs = "000f TDBXOracleCustomMetaDataReader.TDBXOracleIndexColumnsCursor.ComputeColumnName 001d @UStrClr 003f TDBXCustomMetaDataTable.GetWritableValue 00ca StringIndexOf 00ec @UStrCopy 00f6 @UStrAsg 0111 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? BA 08 00 00 00 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 20 85 C0 74 18 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 28 E9 AB 00 00 00 BA 07 00 00 00 8B 43 24 8B 08 FF 51 24 8D 55 FC 8B 08 FF 51 28 83 7D FC 00 0F 84 82 00 00 00 8B 5D FC 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 70 8B C3 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7E 0C 8B 45 FC 66 83 38 22 0F 94 C0 EB 02 33 C0 84 C0 74 1A 8B C3 85 C0 74 05 83 E8 04 8B 00 40 8B 55 FC 66 83 7C 42 FC 22 0F 94 C0 EB 02 33 C0 84 C0 74 2E 66 BA 20 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7D 1E 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC 50 8B CB 49 49 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12627_0 {
	meta:
		name = "TDBXOracleMetaDataReader.GetProductName"
		size = 48
		refs = "0006 TDBXOracleMetaDataReader.GetProductName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 72 00 61 00 63 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12631_0 {
	meta:
		name = "TDBXOracleMetaDataReader.GetSqlForSchemas"
		size = 224
		refs = "0006 TDBXOracleMetaDataReader.GetSqlForSchemas 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 5E 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 49 00 53 00 54 00 49 00 4E 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4F 00 57 00 4E 00 45 00 52 00 20 00 46 00 52 00 4F 00 4D 00 20 00 41 00 4C 00 4C 00 5F 00 4F 00 42 00 4A 00 45 00 43 00 54 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_12632_0 {
	meta:
		name = "TDBXOracleMetaDataReader.GetSqlForTables"
		size = 1404
		refs = "0006 TDBXOracleMetaDataReader.GetSqlForTables 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF AC 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2F 00 2A 00 2B 00 20 00 4E 00 4F 00 5F 00 45 00 58 00 50 00 41 00 4E 00 44 00 20 00 2A 00 2F 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 4F 00 57 00 4E 00 45 00 52 00 20 00 49 00 4E 00 20 00 28 00 27 00 53 00 59 00 53 00 27 00 2C 00 27 00 53 00 59 00 53 00 54 00 45 00 4D 00 27 00 2C 00 27 00 43 00 54 00 58 00 53 00 59 00 53 00 27 00 2C 00 27 00 44 00 4D 00 53 00 59 00 53 00 27 00 2C 00 27 00 45 00 58 00 46 00 53 00 59 00 53 00 27 00 2C 00 27 00 4F 00 4C 00 41 00 50 00 53 00 59 00 53 00 27 00 2C 00 27 00 4F 00 52 00 44 00 53 00 59 00 53 00 27 00 2C 00 27 00 4D 00 44 00 53 00 59 00 53 00 27 00 2C 00 27 00 57 00 4B 00 53 00 59 00 53 00 27 00 2C 00 27 00 57 00 4B 00 5F 00 54 00 45 00 53 00 54 00 27 00 2C 00 27 00 57 00 4D 00 53 00 59 00 53 00 27 00 2C 00 27 00 58 00 44 00 42 00 27 00 29 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 27 00 20 00 45 00 4E 00 44 00 20 00 7C 00 7C 00 20 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 41 00 4C 00 4C 00 5F 00 4F 00 42 00 4A 00 45 00 43 00 54 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 49 00 4E 00 20 00 28 00 27 00 56 00 49 00 45 00 57 00 27 00 2C 00 27 00 54 00 41 00 42 00 4C 00 45 00 27 00 2C 00 27 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 27 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 4F 00 57 00 4E 00 45 00 52 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 28 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 4F 00 57 00 4E 00 45 00 52 00 20 00 49 00 4E 00 20 00 28 00 27 00 53 00 59 00 53 00 27 00 2C 00 27 00 53 00 59 00 53 00 54 00 45 00 4D 00 27 00 2C 00 27 00 43 00 54 00 58 00 53 00 59 00 53 00 27 00 2C 00 27 00 44 00 4D 00 53 00 59 00 53 00 27 00 2C 00 27 00 45 00 58 00 46 00 53 00 59 00 53 00 27 00 2C 00 27 00 4F 00 4C 00 41 00 50 00 53 00 59 00 53 00 27 00 2C 00 27 00 4F 00 52 00 44 00 53 00 59 00 53 00 27 00 2C 00 27 00 4D 00 44 00 53 00 59 00 53 00 27 00 2C 00 27 00 57 00 4B 00 53 00 59 00 53 00 27 00 2C 00 27 00 57 00 4B 00 5F 00 54 00 45 00 53 00 54 00 27 00 2C 00 27 00 57 00 4D 00 53 00 59 00 53 00 27 00 2C 00 27 00 58 00 44 00 42 00 27 00 29 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 27 00 20 00 45 00 4E 00 44 00 29 00 20 00 7C 00 7C 00 20 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 49 00 4E 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 53 00 2C 00 3A 00 56 00 49 00 45 00 57 00 53 00 2C 00 3A 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 54 00 41 00 42 00 4C 00 45 00 53 00 2C 00 3A 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 56 00 49 00 45 00 57 00 53 00 2C 00 3A 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 53 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 20 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_12633_0 {
	meta:
		name = "TDBXOracleMetaDataReader.GetSqlForViews"
		size = 488
		refs = "0006 TDBXOracleMetaDataReader.GetSqlForViews 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF E3 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 56 00 49 00 45 00 57 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 54 00 45 00 58 00 54 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 2E 00 41 00 4C 00 4C 00 5F 00 56 00 49 00 45 00 57 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 4F 00 57 00 4E 00 45 00 52 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 56 00 49 00 45 00 57 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 56 00 49 00 45 00 57 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 56 00 49 00 45 00 57 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 20 00 33 00 00 00 }
	condition:
		$1
}

rule function_12634_0 {
	meta:
		name = "TDBXOracleMetaDataReader.GetSqlForColumns"
		size = 844
		refs = "0006 TDBXOracleMetaDataReader.GetSqlForColumns 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 95 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 44 00 41 00 54 00 41 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 44 00 41 00 54 00 41 00 5F 00 50 00 52 00 45 00 43 00 49 00 53 00 49 00 4F 00 4E 00 2C 00 43 00 48 00 41 00 52 00 5F 00 43 00 4F 00 4C 00 5F 00 44 00 45 00 43 00 4C 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 2C 00 44 00 41 00 54 00 41 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 29 00 2C 00 20 00 44 00 41 00 54 00 41 00 5F 00 53 00 43 00 41 00 4C 00 45 00 2C 00 20 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 49 00 44 00 2C 00 20 00 44 00 41 00 54 00 41 00 5F 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 2C 00 20 00 44 00 45 00 43 00 4F 00 44 00 45 00 28 00 4E 00 55 00 4C 00 4C 00 41 00 42 00 4C 00 45 00 2C 00 27 00 59 00 27 00 2C 00 31 00 2C 00 27 00 59 00 45 00 53 00 27 00 2C 00 31 00 2C 00 30 00 29 00 2C 00 20 00 30 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 2E 00 41 00 4C 00 4C 00 5F 00 54 00 41 00 42 00 5F 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 4F 00 57 00 4E 00 45 00 52 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 49 00 44 00 00 00 }
	condition:
		$1
}

rule function_12636_0 {
	meta:
		name = "TDBXOracleMetaDataReader.GetSqlForIndexes"
		size = 1060
		refs = "0006 TDBXOracleMetaDataReader.GetSqlForIndexes 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 49 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 49 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 27 00 50 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 31 00 20 00 45 00 4C 00 53 00 45 00 20 00 30 00 20 00 45 00 4E 00 44 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 49 00 2E 00 55 00 4E 00 49 00 51 00 55 00 45 00 4E 00 45 00 53 00 53 00 20 00 3D 00 20 00 27 00 55 00 4E 00 49 00 51 00 55 00 45 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 31 00 20 00 45 00 4C 00 53 00 45 00 20 00 30 00 20 00 45 00 4E 00 44 00 2C 00 20 00 31 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 2E 00 41 00 4C 00 4C 00 5F 00 49 00 4E 00 44 00 45 00 58 00 45 00 53 00 20 00 49 00 2C 00 20 00 53 00 59 00 53 00 2E 00 41 00 4C 00 4C 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 43 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 49 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4F 00 57 00 4E 00 45 00 52 00 3D 00 43 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 28 00 2B 00 29 00 20 00 41 00 4E 00 44 00 20 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 3D 00 43 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 2B 00 29 00 20 00 41 00 4E 00 44 00 20 00 49 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 3D 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 2B 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 49 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4F 00 57 00 4E 00 45 00 52 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 49 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 34 00 00 00 }
	condition:
		$1
}

rule function_12637_0 {
	meta:
		name = "TDBXOracleMetaDataReader.GetSqlForIndexColumns"
		size = 1280
		refs = "0006 TDBXOracleMetaDataReader.GetSqlForIndexColumns 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 6E 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 43 00 2E 00 44 00 45 00 53 00 43 00 45 00 4E 00 44 00 20 00 3D 00 20 00 27 00 44 00 45 00 53 00 43 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 30 00 20 00 45 00 4C 00 53 00 45 00 20 00 31 00 20 00 45 00 4E 00 44 00 2C 00 20 00 45 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 45 00 58 00 50 00 52 00 45 00 53 00 53 00 49 00 4F 00 4E 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 45 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 45 00 58 00 50 00 52 00 45 00 53 00 53 00 49 00 4F 00 4E 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 54 00 48 00 45 00 4E 00 20 00 31 00 20 00 45 00 4C 00 53 00 45 00 20 00 30 00 20 00 45 00 4E 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 41 00 4C 00 4C 00 5F 00 49 00 4E 00 44 00 5F 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 43 00 2C 00 20 00 41 00 4C 00 4C 00 5F 00 49 00 4E 00 44 00 5F 00 45 00 58 00 50 00 52 00 45 00 53 00 53 00 49 00 4F 00 4E 00 53 00 20 00 45 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 43 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4F 00 57 00 4E 00 45 00 52 00 3D 00 45 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4F 00 57 00 4E 00 45 00 52 00 28 00 2B 00 29 00 20 00 41 00 4E 00 44 00 20 00 43 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 3D 00 45 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 2B 00 29 00 20 00 41 00 4E 00 44 00 20 00 43 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 3D 00 45 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 28 00 2B 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4F 00 57 00 4E 00 45 00 52 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 43 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 34 00 2C 00 20 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_12638_0 {
	meta:
		name = "TDBXOracleMetaDataReader.GetSqlForForeignKeys"
		size = 584
		refs = "0006 TDBXOracleMetaDataReader.GetSqlForForeignKeys 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 12 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 41 00 4C 00 4C 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 27 00 52 00 27 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 4F 00 57 00 4E 00 45 00 52 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_12639_0 {
	meta:
		name = "TDBXOracleMetaDataReader.GetSqlForForeignKeyColumns"
		size = 2244
		refs = "0006 TDBXOracleMetaDataReader.GetSqlForForeignKeyColumns 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 50 04 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 46 00 43 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 46 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 46 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 46 00 43 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 50 00 43 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 50 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 43 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 46 00 43 00 2E 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 20 00 46 00 52 00 4F 00 4D 00 20 00 41 00 4C 00 4C 00 5F 00 43 00 4F 00 4E 00 53 00 5F 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 46 00 43 00 2C 00 20 00 41 00 4C 00 4C 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 46 00 2C 00 20 00 41 00 4C 00 4C 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 50 00 2C 00 20 00 41 00 4C 00 4C 00 5F 00 43 00 4F 00 4E 00 53 00 5F 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 53 00 20 00 50 00 43 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 46 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 27 00 52 00 27 00 20 00 20 00 41 00 4E 00 44 00 20 00 46 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 3D 00 46 00 43 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 20 00 41 00 4E 00 44 00 20 00 46 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 3D 00 46 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 41 00 4E 00 44 00 20 00 46 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 3D 00 46 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 46 00 2E 00 52 00 5F 00 4F 00 57 00 4E 00 45 00 52 00 3D 00 50 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 20 00 41 00 4E 00 44 00 20 00 46 00 2E 00 52 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 3D 00 50 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 50 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 3D 00 50 00 43 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 20 00 41 00 4E 00 44 00 20 00 50 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 3D 00 50 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 41 00 4E 00 44 00 20 00 50 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 3D 00 50 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 20 00 41 00 4E 00 44 00 20 00 46 00 43 00 2E 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 3D 00 50 00 43 00 2E 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 46 00 43 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 50 00 43 00 2E 00 4F 00 57 00 4E 00 45 00 52 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 50 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 50 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 34 00 2C 00 20 00 46 00 43 00 2E 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_12640_0 {
	meta:
		name = "TDBXOracleMetaDataReader.GetSqlForSynonyms"
		size = 560
		refs = "0006 TDBXOracleMetaDataReader.GetSqlForSynonyms 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 41 00 4C 00 4C 00 5F 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 4F 00 57 00 4E 00 45 00 52 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_12641_0 {
	meta:
		name = "TDBXOracleMetaDataReader.GetSqlForProcedures"
		size = 744
		refs = "0006 TDBXOracleMetaDataReader.GetSqlForProcedures 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 63 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 41 00 4C 00 4C 00 5F 00 4F 00 42 00 4A 00 45 00 43 00 54 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 49 00 4E 00 20 00 28 00 27 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 27 00 2C 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 4F 00 57 00 4E 00 45 00 52 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 33 00 00 00 }
	condition:
		$1
}

rule function_12642_0 {
	meta:
		name = "TDBXOracleMetaDataReader.GetSqlForProcedureSources"
		size = 664
		refs = "0006 TDBXOracleMetaDataReader.GetSqlForProcedureSources 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 3B 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 54 00 59 00 50 00 45 00 2C 00 20 00 54 00 45 00 58 00 54 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4C 00 49 00 4E 00 45 00 20 00 41 00 53 00 20 00 53 00 4F 00 55 00 52 00 43 00 45 00 5F 00 4C 00 49 00 4E 00 45 00 5F 00 4E 00 55 00 4D 00 42 00 45 00 52 00 20 00 46 00 52 00 4F 00 4D 00 20 00 41 00 4C 00 4C 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 54 00 59 00 50 00 45 00 20 00 49 00 4E 00 20 00 28 00 27 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 27 00 2C 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 4F 00 57 00 4E 00 45 00 52 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 4E 00 41 00 4D 00 45 00 2C 00 4C 00 49 00 4E 00 45 00 00 00 }
	condition:
		$1
}

rule function_12643_0 {
	meta:
		name = "TDBXOracleMetaDataReader.GetSqlForProcedureParameters"
		size = 1096
		refs = "0006 TDBXOracleMetaDataReader.GetSqlForProcedureParameters 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 12 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 41 00 52 00 47 00 55 00 4D 00 45 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 52 00 45 00 53 00 55 00 4C 00 54 00 27 00 20 00 57 00 48 00 45 00 4E 00 20 00 49 00 4E 00 5F 00 4F 00 55 00 54 00 3D 00 27 00 49 00 4E 00 2F 00 4F 00 55 00 54 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 49 00 4E 00 4F 00 55 00 54 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 49 00 4E 00 5F 00 4F 00 55 00 54 00 20 00 45 00 4E 00 44 00 2C 00 20 00 44 00 41 00 54 00 41 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 2C 00 20 00 31 00 20 00 46 00 52 00 4F 00 4D 00 20 00 41 00 4C 00 4C 00 5F 00 41 00 52 00 47 00 55 00 4D 00 45 00 4E 00 54 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 50 00 41 00 43 00 4B 00 41 00 47 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 4E 00 44 00 20 00 44 00 41 00 54 00 41 00 5F 00 4C 00 45 00 56 00 45 00 4C 00 3D 00 30 00 20 00 41 00 4E 00 44 00 20 00 44 00 41 00 54 00 41 00 5F 00 54 00 59 00 50 00 45 00 20 00 49 00 53 00 20 00 4E 00 4F 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 4F 00 57 00 4E 00 45 00 52 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 41 00 52 00 47 00 55 00 4D 00 45 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_12644_0 {
	meta:
		name = "TDBXOracleMetaDataReader.GetSqlForPackages"
		size = 556
		refs = "0006 TDBXOracleMetaDataReader.GetSqlForPackages 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 41 00 4C 00 4C 00 5F 00 4F 00 42 00 4A 00 45 00 43 00 54 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 49 00 4E 00 20 00 28 00 27 00 50 00 41 00 43 00 4B 00 41 00 47 00 45 00 27 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 4F 00 57 00 4E 00 45 00 52 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 41 00 43 00 4B 00 41 00 47 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 41 00 43 00 4B 00 41 00 47 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 32 00 2C 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_12645_0 {
	meta:
		name = "TDBXOracleMetaDataReader.GetSqlForPackageSources"
		size = 608
		refs = "0006 TDBXOracleMetaDataReader.GetSqlForPackageSources 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 1E 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 54 00 45 00 58 00 54 00 2C 00 20 00 4C 00 49 00 4E 00 45 00 20 00 41 00 53 00 20 00 53 00 4F 00 55 00 52 00 43 00 45 00 5F 00 4C 00 49 00 4E 00 45 00 5F 00 4E 00 55 00 4D 00 42 00 45 00 52 00 20 00 46 00 52 00 4F 00 4D 00 20 00 41 00 4C 00 4C 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 54 00 59 00 50 00 45 00 20 00 49 00 4E 00 20 00 28 00 27 00 50 00 41 00 43 00 4B 00 41 00 47 00 45 00 27 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 4F 00 57 00 4E 00 45 00 52 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 41 00 43 00 4B 00 41 00 47 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 41 00 43 00 4B 00 41 00 47 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 4E 00 41 00 4D 00 45 00 2C 00 4C 00 49 00 4E 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_12646_0 {
	meta:
		name = "TDBXOracleMetaDataReader.GetSqlForPackageProcedures"
		size = 1140
		refs = "0006 TDBXOracleMetaDataReader.GetSqlForPackageProcedures 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 28 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 50 00 41 00 43 00 4B 00 41 00 47 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 4D 00 49 00 4E 00 28 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 29 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 20 00 45 00 4E 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 41 00 4C 00 4C 00 5F 00 41 00 52 00 47 00 55 00 4D 00 45 00 4E 00 54 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 50 00 41 00 43 00 4B 00 41 00 47 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 4F 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 31 00 3C 00 32 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4C 00 4F 00 57 00 45 00 52 00 28 00 4F 00 57 00 4E 00 45 00 52 00 29 00 20 00 3D 00 20 00 4C 00 4F 00 57 00 45 00 52 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 50 00 41 00 43 00 4B 00 41 00 47 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 41 00 43 00 4B 00 41 00 47 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 41 00 43 00 4B 00 41 00 47 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 47 00 52 00 4F 00 55 00 50 00 20 00 42 00 59 00 20 00 4F 00 57 00 4E 00 45 00 52 00 2C 00 20 00 50 00 41 00 43 00 4B 00 41 00 47 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 48 00 41 00 56 00 49 00 4E 00 47 00 20 00 28 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 4D 00 49 00 4E 00 28 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 29 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 20 00 45 00 4E 00 44 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_12647_0 {
	meta:
		name = "TDBXOracleMetaDataReader.GetSqlForPackageProcedureParameters"
		size = 1280
		refs = "0006 TDBXOracleMetaDataReader.GetSqlForPackageProcedureParameters 000b @UStrAsg"
	strings:
		$1 = {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}
	condition:
		$1
}

rule function_12648_0 {
	meta:
		name = "TDBXOracleMetaDataReader.GetSqlForUsers"
		size = 116
		refs = "0006 TDBXOracleMetaDataReader.GetSqlForUsers 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 55 00 53 00 45 00 52 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 41 00 4C 00 4C 00 5F 00 55 00 53 00 45 00 52 00 53 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 00 00 }
	condition:
		$1
}

rule function_12649_0 {
	meta:
		name = "TDBXOracleMetaDataReader.GetSqlForRoles"
		size = 116
		refs = "0006 TDBXOracleMetaDataReader.GetSqlForRoles 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 52 00 4F 00 4C 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 45 00 53 00 53 00 49 00 4F 00 4E 00 5F 00 52 00 4F 00 4C 00 45 00 53 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 00 00 }
	condition:
		$1
}

rule function_12650_0 {
	meta:
		name = "TDBXOracleMetaDataReader.GetReservedWords"
		size = 3512
		refs = "000c TDBXOracleMetaDataReader.GetReservedWords 0022 TDBXStringArray 0027 @DynArraySetLength 0037 @UStrAsg 0597 @DynArrayAsg 05b2 @DynArrayClear 05b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 28 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 34 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 3C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 60 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 6C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 70 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 74 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 78 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 7C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 4C 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 4C 00 54 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 4E 00 44 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 4E 00 59 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 41 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 53 00 43 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 45 00 54 00 57 00 45 00 45 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 42 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 48 00 41 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 48 00 45 00 43 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 4C 00 55 00 53 00 54 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 4F 00 4D 00 50 00 52 00 45 00 53 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 4F 00 4E 00 4E 00 45 00 43 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 45 00 43 00 49 00 4D 00 41 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 45 00 53 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 49 00 53 00 54 00 49 00 4E 00 43 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 52 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 4C 00 53 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 58 00 43 00 4C 00 55 00 53 00 49 00 56 00 45 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 45 00 58 00 49 00 53 00 54 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 4C 00 4F 00 41 00 54 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 46 00 4F 00 52 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 52 00 4F 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 47 00 52 00 41 00 4E 00 54 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 47 00 52 00 4F 00 55 00 50 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 41 00 56 00 49 00 4E 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 44 00 45 00 4E 00 54 00 49 00 46 00 49 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 44 00 45 00 58 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 4E 00 53 00 45 00 52 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 4E 00 54 00 45 00 47 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 4E 00 54 00 45 00 52 00 53 00 45 00 43 00 54 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 4E 00 54 00 4F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 49 00 4B 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 4F 00 43 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 4F 00 4E 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 49 00 4E 00 55 00 53 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4F 00 44 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4E 00 4F 00 43 00 4F 00 4D 00 50 00 52 00 45 00 53 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 4F 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4E 00 4F 00 57 00 41 00 49 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 55 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4E 00 55 00 4D 00 42 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 46 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4F 00 52 00 44 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 43 00 54 00 46 00 52 00 45 00 45 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 52 00 49 00 4F 00 52 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 55 00 42 00 4C 00 49 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 52 00 41 00 57 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 45 00 53 00 4F 00 55 00 52 00 43 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 56 00 4F 00 4B 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 48 00 41 00 52 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 49 00 5A 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 4D 00 41 00 4C 00 4C 00 49 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 54 00 41 00 52 00 54 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 59 00 4E 00 4F 00 4E 00 59 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 41 00 42 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 48 00 45 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 4F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 4E 00 49 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 4E 00 49 00 51 00 55 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 50 00 44 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 56 00 41 00 4C 00 55 00 45 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 56 00 49 00 45 00 57 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 48 00 45 00 52 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 57 00 49 00 54 00 48 00 00 00 00 00 }
	condition:
		$1
}

rule function_12660_0 {
	meta:
		name = "TDBXOracleMetaDataWriter.GetSqlRenameTable"
		size = 108
		refs = "0006 TDBXOracleMetaDataWriter.GetSqlRenameTable 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 52 00 45 00 4E 00 41 00 4D 00 45 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 54 00 4F 00 20 00 3A 00 4E 00 45 00 57 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_12666_0 {
	meta:
		name = "GetInvocationMetadata"
		size = 60
		refs = "0004 @GetTls 000a InvokeMetadata 0019 _DV_TDSInvocationMetadata 001e TDSInvocationMetadata.Create"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 0F 94 C0 84 D8 74 19 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12667_0 {
	meta:
		name = "SetInvocationMetadata"
		size = 49
		refs = "0005 @GetTls 000b InvokeMetadata 001f TObject.Free"
	strings:
		$1 = { 53 56 8B F0 E8 ?? ?? ?? ?? 8B 98 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 B0 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12668_0 {
	meta:
		name = "ClearInvocationMetadata"
		size = 34
		refs = "0002 @GetTls 0008 InvokeMetadata 001c TObject.Free"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B 98 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12672_0 {
	meta:
		name = "TDBXTokenizer.Create"
		size = 91
		refs = "000e @ClassCreate 001d TObject.Create 0027 @UStrAsg 0044 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8D 47 08 8B 55 08 E8 ?? ?? ?? ?? C7 47 0C 01 00 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12673_0 {
	meta:
		name = "TDBXTokenizer.HasMoreTokens"
		size = 60
		refs = "001a StringIndexOf 002d @UStrLen"
	strings:
		$1 = { 53 56 57 8B F8 33 DB EB 20 8B 47 04 8B 57 0C 0F B7 74 50 FE 8B D6 8B 47 08 E8 ?? ?? ?? ?? 85 C0 7D 04 B3 01 EB 10 FF 47 0C 8B 47 04 E8 ?? ?? ?? ?? 3B 47 0C 7D D3 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12674_0 {
	meta:
		name = "TDBXTokenizer.NextToken"
		size = 95
		refs = "000b TDBXTokenizer.HasMoreTokens 0016 @UStrClr 0032 StringIndexOf 0041 @UStrLen 0056 @UStrCopy"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B C5 E8 ?? ?? ?? ?? EB 3E 8B 7B 0C EB 1C 8B 43 04 8B 53 0C 0F B7 74 50 FE 8B D6 8B 43 08 E8 ?? ?? ?? ?? 85 C0 7D 10 FF 43 0C 8B 43 04 E8 ?? ?? ?? ?? 3B 43 0C 7D D7 55 8B 4B 0C 2B CF 8B D7 8B 43 04 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12675_0 {
	meta:
		name = "Incr"
		size = 5
	strings:
		$1 = { FF 00 8B 00 C3 }
	condition:
		$1
}

rule function_12676_0 {
	meta:
		name = "Decr"
		size = 5
	strings:
		$1 = { FF 08 8B 00 C3 }
	condition:
		$1
}

rule function_12677_0 {
	meta:
		name = "IncrAfter"
		size = 7
	strings:
		$1 = { 8B 10 FF 00 8B C2 C3 }
	condition:
		$1
}

rule function_12678_0 {
	meta:
		name = "DecrAfter"
		size = 7
	strings:
		$1 = { 8B 10 FF 08 8B C2 C3 }
	condition:
		$1
}

rule function_12679_0 {
	meta:
		name = "C_Conditional"
		size = 44
		refs = "0016 @UStrAsg"
		altNames = "iif"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B 5D 08 84 C0 74 0B 8B C3 8B D6 E8 ?? ?? ?? ?? EB 09 8B C3 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12680_0 {
	meta:
		name = "CompareTimeStamp"
		size = 107
	strings:
		$1 = { 53 0F B7 08 0F B7 1A 2B CB 85 C9 75 0A 0F B7 48 02 0F B7 5A 02 2B CB 85 C9 75 0A 0F B7 48 04 0F B7 5A 04 2B CB 85 C9 75 0A 0F B7 48 06 0F B7 5A 06 2B CB 85 C9 75 0A 0F B7 48 06 0F B7 5A 06 2B CB 85 C9 75 0A 0F B7 48 08 0F B7 5A 08 2B CB 85 C9 75 0A 0F B7 48 0A 0F B7 5A 0A 2B CB 85 C9 75 06 8B 48 0C 2B 4A 0C 8B C1 5B C3 }
	condition:
		$1
}

rule function_12681_0 {
	meta:
		name = "CompareTimeStampOffset"
		size = 135
	strings:
		$1 = { 53 0F B7 08 0F B7 1A 2B CB 85 C9 75 0A 0F B7 48 02 0F B7 5A 02 2B CB 85 C9 75 0A 0F B7 48 04 0F B7 5A 04 2B CB 85 C9 75 0A 0F B7 48 06 0F B7 5A 06 2B CB 85 C9 75 0A 0F B7 48 06 0F B7 5A 06 2B CB 85 C9 75 0A 0F B7 48 08 0F B7 5A 08 2B CB 85 C9 75 0A 0F B7 48 0A 0F B7 5A 0A 2B CB 85 C9 75 06 8B 48 0C 2B 4A 0C 85 C9 75 0A 0F BF 48 10 0F BF 5A 10 2B CB 85 C9 75 0A 0F BF 48 12 0F BF 42 12 2B C8 8B C1 5B C3 }
	condition:
		$1
}

rule function_12682_0 {
	meta:
		name = "DelegatesEqual"
		size = 6
		altNames = "ObjectEquals"
	strings:
		$1 = { 3B D0 0F 94 C0 C3 }
	condition:
		$1
}

rule function_12683_0 {
	meta:
		name = "FreeObjectArray"
		size = 57
		refs = "000d @DynArrayHigh 0020 TObject.Free 002c TDBXObjectArray 0031 @DynArrayClear"
	strings:
		$1 = { 53 56 57 8B F8 83 3F 00 74 2B 8B 07 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 11 43 33 F6 8B 07 8B 04 B0 E8 ?? ?? ?? ?? 46 4B 75 F2 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12684_0 {
	meta:
		name = "StringIndexOf"
		size = 51
		refs = "000a @UStrToPWChar 0015 WStrScan"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C7 8B D3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 05 83 C8 FF EB 0B 8B C3 2B C7 D1 F8 79 03 83 D0 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12685_0 {
	meta:
		name = "StringIndexOf"
		size = 19
		refs = "000b Pos"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 48 5E 5B C3 }
	condition:
		$1
}

rule function_12686_0 {
	meta:
		name = "StringIndexOf"
		size = 26
		refs = "0011 PosEx"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8D 4F 01 8B D3 8B C6 E8 ?? ?? ?? ?? 48 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12687_0 {
	meta:
		name = "StringLastIndexOf"
		size = 214
		refs = "009b @UStrLen"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F2 8B E8 8B CE 8B C1 85 C0 74 05 83 E8 04 8B 00 85 C0 75 14 8B C5 85 C0 74 05 83 E8 04 8B 00 48 89 04 24 E9 9C 00 00 00 8B C1 85 C0 74 05 83 E8 04 8B 00 8B FD 8B D7 85 D2 74 05 83 EA 04 8B 12 3B D0 7D 09 C7 04 24 FF FF FF FF EB 77 C7 04 24 FF FF FF FF 0F B7 06 66 89 44 24 04 8B C7 85 C0 74 05 83 E8 04 8B 00 8B D1 85 D2 74 05 83 EA 04 8B 12 8B F8 2B FA 47 83 FF 01 7C 48 0F B7 44 7D FE 66 3B 44 24 04 75 37 BB 02 00 00 00 EB 01 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 0F 8D 04 3B 0F B7 44 45 FC 66 3B 44 5E FE 74 E5 8B C6 85 C0 74 05 83 E8 04 8B 00 3B C3 7D 06 4F 89 3C 24 EB 05 4F 85 FF 75 B8 8B 04 24 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12688_0 {
	meta:
		name = "StringStartsWith"
		size = 22
		refs = "000b Pos"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 48 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_12690_0 {
	meta:
		name = "StringIsNil"
		size = 10
	strings:
		$1 = { 53 8B D8 85 DB 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_12691_0 {
	meta:
		name = "IsIdentifierStart"
		size = 30
	strings:
		$1 = { 83 C0 BF 66 83 E8 1A 72 0F 66 83 E8 04 74 09 83 C0 FE 66 83 E8 1A 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_12692_0 {
	meta:
		name = "IsIdentifierPart"
		size = 39
	strings:
		$1 = { 83 C0 D0 66 83 E8 0A 72 18 83 C0 F9 66 83 E8 1A 72 0F 66 83 E8 04 74 09 83 C0 FE 66 83 E8 1A 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_12694_0 {
	meta:
		name = "FormatMessage"
		size = 531
		refs = "002c FormatMessage 0042 _DV_TDBXStringBuffer 0047 TDBXStringBuffer.Create 007f @UStrLen 009b SUnmatchedBrace 00a0 LoadResString 00b6 Format 00c0 _Dn_Exception 00c5 Exception.Create 00ca @RaiseExcept 00dd @UStrCopy 00e5 StrToInt 00f6 @DynArrayLength 0107 SParameterIndexOutOfRange 0148 TDBXStringBuffer.Append 018e @UStrFromWChar 01d9 TObject.Free 01f3 @UStrArrayClr 0206 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D BC 89 5D C0 89 5D C8 89 5D C4 89 5D CC 89 5D DC 89 5D D8 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 C6 45 EB 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E9 63 01 00 00 0F B7 7C 5E FE 8B C7 66 83 E8 27 0F 84 EB 00 00 00 66 83 E8 54 0F 85 32 01 00 00 8D 43 01 89 45 F0 EB 06 43 0F B7 7C 5E FE 8B C6 E8 ?? ?? ?? ?? 3B D8 7D 06 66 83 FF 7D 75 E9 66 83 FF 7D 74 3B 8D 45 DC 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 50 89 75 D0 C6 45 D4 11 8D 55 D0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC 50 8B CB 2B 4D F0 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 7C 0D 8B 45 FC E8 ?? ?? ?? ?? 3B 45 EC 7D 3C 8D 45 C8 50 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 8B 55 EC 89 55 D0 C6 45 D4 00 8D 55 D0 33 C9 E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 55 EC 8B 14 90 8B 45 F4 E8 ?? ?? ?? ?? 43 EB 67 89 75 E4 83 7D E4 00 74 0B 8B 45 E4 83 E8 04 8B 00 89 45 E4 3B 5D E4 75 06 C6 45 E3 01 EB 09 66 83 3C 5E 27 0F 95 45 E3 80 7D E3 00 74 0B 0F B6 45 EB 34 01 88 45 EB EB 2E 8D 45 C0 8B D7 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F4 E8 ?? ?? ?? ?? 43 EB 16 8D 45 BC 8B D7 E8 ?? ?? ?? ?? 8B 55 BC 8B 45 F4 E8 ?? ?? ?? ?? 43 8B C6 E8 ?? ?? ?? ?? 3B D8 0F 8E 8E FE FF FF 8B 55 F8 8B 45 F4 8B 08 FF 51 DC 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12696_0 {
	meta:
		name = "TDBXStringBuffer.Create"
		size = 67
		refs = "000b @ClassCreate 001a TObject.Create 0024 @UStrSetLength 002f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_110935_0 {
	meta:
		name = "TDOMIStreamAdapter.Create"
		size = 67
		refs = "000b @ClassCreate 001a TObject.Create 0024 @IntfCopy 002f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65738_0 {
	meta:
		name = "THelpViewerNode.Create"
		size = 67
		refs = "000b @ClassCreate 001a TObject.Create 0024 @IntfCopy 002f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63030_0 {
	meta:
		name = "TLoginCredentialService.TLoginFuncProxy.Create"
		size = 67
		refs = "000b @ClassCreate 001a TObject.Create 0024 @IntfCopy 002f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79474_0 {
	meta:
		name = "TSelectDirCallback.Create"
		size = 67
		refs = "000b @ClassCreate 001a TObject.Create 0024 @UStrAsg 002f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12698_0 {
	meta:
		name = "TDBXStringBuffer.ToString"
		size = 50
		refs = "001d @UStrSetLength 002b @UStrCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 85 C0 74 05 83 E8 04 8B 00 8B 53 08 3B C2 7D 08 8D 43 04 E8 ?? ?? ?? ?? 56 8B 4B 08 33 D2 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12699_0 {
	meta:
		name = "TDBXStringBuffer.Substring"
		size = 46
		refs = "0014 @UStrClr 0025 @UStrCopy"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B 6B 08 3B F5 7C 09 8B C7 E8 ?? ?? ?? ?? EB 0F 57 8B CD 2B CE 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12700_0 {
	meta:
		name = "TDBXStringBuffer.Append"
		size = 168
		refs = "0060 @UStrSetLength 007e @UniqueStringU"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B C5 85 C0 74 05 83 E8 04 8B 00 8B 73 04 8B D6 85 D2 74 05 83 EA 04 8B 12 03 43 08 3B D0 7D 3C 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D6 85 D2 74 05 83 EA 04 8B 12 8B F5 85 F6 74 05 83 EE 04 8B 36 8D 0C 16 8B F8 03 FF 3B CF 7D 04 03 C0 EB 03 8D 04 16 8D 53 04 92 E8 ?? ?? ?? ?? 8B C5 85 C0 74 05 83 E8 04 8B 00 8B F8 85 FF 7E 20 BE 01 00 00 00 8D 43 04 E8 ?? ?? ?? ?? 8B 53 08 03 D6 0F B7 4C 75 FE 66 89 4C 50 FE 46 4F 75 E5 8B C5 85 C0 74 05 83 E8 04 8B 00 01 43 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12701_0 {
	meta:
		name = "TDBXStringBuffer.Append"
		size = 79
		refs = "000f TDBXStringBuffer.Append 001f IntToStr 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31737_0 {
	meta:
		name = "TIBXSQLVAR.SetAsTrimString"
		size = 79
		refs = "000f TIBXSQLVAR.SetAsTrimString 001f TrimRight 0029 TIBXSQLVAR.SetAsString 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46342_0 {
	meta:
		name = "TIWTagParser.ReIntroduceTag"
		size = 79
		refs = "000f TIWTagParser.ReIntroduceTag 001f TIWTag.AsString 0029 TIWTagParser.WriteString 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36754_0 {
	meta:
		name = "TIdReply.SetNumericCode"
		size = 79
		refs = "000f TIdReply.SetNumericCode 001f IntToStr 0029 TIdReply.SetCode 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41224_0 {
	meta:
		name = "TInReply.SetNumericCode"
		size = 79
		refs = "000f TInReply.SetNumericCode 001f IntToStr 0029 TInReply.SetCode 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12702_0 {
	meta:
		name = "TDBXStringBuffer.Append"
		size = 79
		refs = "000f TDBXStringBuffer.Append 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 DC 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12703_0 {
	meta:
		name = "Zap"
		size = 53
		refs = "0022 @UniqueStringU"
	strings:
		$1 = { 53 56 57 8B F8 8B 57 08 42 8B 47 04 85 C0 74 05 83 E8 04 8B 00 8B F2 8B D8 2B DE 7C 14 43 8D 47 04 E8 ?? ?? ?? ?? 66 C7 44 70 FE 20 00 46 4B 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12704_0 {
	meta:
		name = "TDBXStringBuffer.Replace"
		size = 203
		refs = "0020 TDBXStringBuffer.Replace 0038 @UStrCopy 0047 @WStrFromUStr 006e WideReplaceStr 0079 @UStrFromWStr 0083 Zap 008d TDBXStringBuffer.Append 00ae @WStrArrayClr 00b6 @UStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B FA 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 56 01 8B 4D 08 8B 43 04 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC 8B D7 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E8 5A 59 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 89 73 08 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12705_0 {
	meta:
		name = "TDBXStringBuffer.CharAt"
		size = 8
	strings:
		$1 = { 8B 40 04 0F B7 04 50 C3 }
	condition:
		$1
}

rule function_12706_0 {
	meta:
		name = "TDBXArrayList.Create"
		size = 76
		refs = "000b @ClassCreate 0018 TObject.Create 001f _Dn_TObjectList 0024 TObjectList.Create 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 04 C6 46 10 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12709_0 {
	meta:
		name = "TDBXArrayList.GetValue"
		size = 19
		refs = "000c TList.Get"
		altNames = "THTTPFiles.GetItem THeaderList.GetHeader TLocateParamsList.GetItem TScriptEnginesList.GetItem TScriptObjectFactories.GetFactory"
	strings:
		$1 = { 53 56 8B 58 04 8B F2 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12711_0 {
	meta:
		name = "TDBXArrayList.Remove"
		size = 11
		refs = "0006 TList.RemoveItem"
		altNames = "TDataBlockInterpreter.RemoveDispatch TGIFList.Remove TNotifyList.RemoveNotify TScriptEnginesList.RemoveEngine"
	strings:
		$1 = { 8B 40 04 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48926_0 {
	meta:
		name = "THeaderList.Extract"
		size = 11
		refs = "0006 TList.ExtractItem"
	strings:
		$1 = { 8B 40 04 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12712_0 {
	meta:
		name = "TDBXArrayList.Remove"
		size = 34
		refs = "000f TList.Get 001a TList.RemoveItem"
	strings:
		$1 = { 53 56 57 8B D8 8B 73 04 8B FA 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 53 04 33 C9 92 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12715_0 {
	meta:
		name = "TDBXArrayList.Clear"
		size = 9
		altNames = "TDtdNamedObjectMap.Clear TDtdObjectList.Clear THeaderList.Clear TKeyTipList.Clear TLocateParamsList.Clear TPerlRegExList.Clear"
	strings:
		$1 = { 8B 40 04 8B 10 FF 52 08 C3 }
	condition:
		$1
}

rule function_12718_0 {
	meta:
		name = "TDBXObjectStore.ContainsKey"
		size = 23
		altNames = "TDBXStringStore.Contains"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 54 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_12719_0 {
	meta:
		name = "TDBXObjectStore.Destroy"
		size = 94
		refs = "0006 @BeforeDestruction 002a TObject.Free 0047 TStringList.Destroy 0054 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 51 E8 ?? ?? ?? ?? 88 14 24 8B F0 8B C6 8B 10 FF 52 14 8B F8 4F 85 FF 7C 20 47 33 DB 8B D3 8B C6 8B 08 FF 51 18 E8 ?? ?? ?? ?? 33 C9 8B D3 8B C6 8B 28 FF 55 24 43 4F 75 E3 0F B6 14 24 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12722_0 {
	meta:
		name = "TDBXObjectStore.GetObjectFromName"
		size = 29
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 54 85 C0 7D 04 33 C0 5E C3 8B D0 8B C6 8B 08 FF 51 18 5E C3 }
	condition:
		$1
}

rule function_12723_0 {
	meta:
		name = "TDBXObjectStore.SetObjectByName"
		size = 52
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 8B D7 8B C6 8B 08 FF 51 54 85 C0 7D 0D 8B CD 8B D7 8B C6 8B 18 FF 53 3C EB 0B 8B CD 8B D0 8B C6 8B 18 FF 53 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12724_0 {
	meta:
		name = "TDBXPlatform.CopyInt32"
		size = 31
	strings:
		$1 = { 53 88 04 0A 8B D8 C1 EB 08 88 5C 0A 01 8B D8 C1 EB 10 88 5C 0A 02 C1 E8 18 88 44 0A 03 5B C3 }
	condition:
		$1
}

rule function_12725_0 {
	meta:
		name = "TDBXPlatform.CopyInt64"
		size = 115
	strings:
		$1 = { 55 8B EC 53 8B DA 8B C8 8B 45 08 88 04 19 8B 45 08 8B 55 0C 0F AC D0 08 C1 EA 08 88 44 19 01 8B 45 08 8B 55 0C 0F AC D0 10 C1 EA 10 88 44 19 02 8B 45 08 8B 55 0C 0F AC D0 18 C1 EA 18 88 44 19 03 8B 45 0C 33 D2 88 44 19 04 8B 45 0C C1 E8 08 33 D2 88 44 19 05 8B 45 0C C1 E8 10 33 D2 88 44 19 06 8B 45 0C C1 E8 18 33 D2 88 44 19 07 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12726_0 {
	meta:
		name = "TDBXPlatform.CopyInt8"
		size = 4
		altNames = "TDBXPlatform.CopyUInt8"
	strings:
		$1 = { 88 04 0A C3 }
	condition:
		$1
}

rule function_12727_0 {
	meta:
		name = "TDBXPlatform.CopyUInt16"
		size = 14
	strings:
		$1 = { 88 04 0A 0F B7 C0 C1 E8 08 88 44 0A 01 C3 }
	condition:
		$1
}

rule function_12729_0 {
	meta:
		name = "TDBXPlatform.CopyInt16"
		size = 14
	strings:
		$1 = { 88 04 0A 0F BF C0 C1 E8 08 88 44 0A 01 C3 }
	condition:
		$1
}

rule function_12730_0 {
	meta:
		name = "TDBXPlatform.CopySqlTimeStamp"
		size = 476
		refs = "0021 TDBXPlatform.CopySqlTimeStamp 0039 TArray<System.Byte> 003e @DynArrayAsg 01c9 @FinalizeArray 01cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 06 66 89 45 E2 8D 45 FC 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 E2 8B 55 FC 88 04 1A 0F BF 45 E2 C1 E8 08 8B 55 FC 88 44 1A 01 0F B7 46 02 66 89 45 E0 8D 45 F8 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 02 8B 55 F8 0F B6 4D E0 88 0C 02 8B 55 F8 0F BF 4D E0 C1 E9 08 88 4C 02 01 0F B7 46 04 66 89 45 DE 8D 45 F4 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 04 8B 55 F4 0F B6 4D DE 88 0C 02 8B 55 F4 0F BF 4D DE C1 E9 08 88 4C 02 01 0F B7 46 06 66 89 45 DC 8D 45 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 06 8B 55 F0 0F B6 4D DC 88 0C 02 8D 43 06 8B 55 F0 0F BF 4D DC C1 E9 08 88 4C 02 01 0F B7 46 08 66 89 45 DA 8D 45 EC 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 08 8B 55 EC 0F B6 4D DA 88 0C 02 8D 43 08 8B 55 EC 0F BF 4D DA C1 E9 08 88 4C 02 01 0F B7 46 0A 66 89 45 D8 8D 45 E8 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 0A 8B 55 E8 0F B6 4D D8 88 0C 02 8D 43 0A 8B 55 E8 0F BF 4D D8 C1 E9 08 88 4C 02 01 8B 76 0C 8D 45 E4 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 0C 8B 55 E4 8B CE 88 0C 02 8D 43 0C 8B 55 E4 8B CE C1 E9 08 88 4C 02 01 8D 43 0C 8B 55 E4 8B CE C1 E9 10 88 4C 02 02 83 C3 0C 8B 45 E4 8B D6 C1 EA 18 88 54 18 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12731_0 {
	meta:
		name = "TDBXPlatform.CopySqlTimeStampOffset"
		size = 585
		refs = "0021 TDBXPlatform.CopySqlTimeStampOffset 0039 TArray<System.Byte> 003e @DynArrayAsg 0236 @FinalizeArray 023c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 06 66 89 45 DA 8D 45 FC 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 DA 8B 55 FC 88 04 1A 0F BF 45 DA C1 E8 08 8B 55 FC 88 44 1A 01 0F B7 46 02 66 89 45 D8 8D 45 F8 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 02 8B 55 F8 0F B6 4D D8 88 0C 02 8B 55 F8 0F BF 4D D8 C1 E9 08 88 4C 02 01 0F B7 46 04 66 89 45 D6 8D 45 F4 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 04 8B 55 F4 0F B6 4D D6 88 0C 02 8B 55 F4 0F BF 4D D6 C1 E9 08 88 4C 02 01 0F B7 46 06 66 89 45 D4 8D 45 F0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 06 8B 55 F0 0F B6 4D D4 88 0C 02 8D 43 06 8B 55 F0 0F BF 4D D4 C1 E9 08 88 4C 02 01 0F B7 46 08 66 89 45 D2 8D 45 EC 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 08 8B 55 EC 0F B6 4D D2 88 0C 02 8D 43 08 8B 55 EC 0F BF 4D D2 C1 E9 08 88 4C 02 01 0F B7 46 0A 66 89 45 D0 8D 45 E8 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 0A 8B 55 E8 0F B6 4D D0 88 0C 02 8D 43 0A 8B 55 E8 0F BF 4D D0 C1 E9 08 88 4C 02 01 8B 46 0C 89 45 CC 8D 45 E4 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 0C 8B 55 E4 0F B6 4D CC 88 0C 02 8D 43 0C 8B 55 E4 8B 4D CC C1 E9 08 88 4C 02 01 8D 43 0C 8B 55 E4 8B 4D CC C1 E9 10 88 4C 02 02 8D 43 0C 8B 55 E4 8B 4D CC C1 E9 18 88 4C 02 03 0F B7 46 10 66 89 45 CA 8D 45 E0 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 10 8B 55 E0 0F B6 4D CA 88 0C 02 8D 43 10 8B 55 E0 0F BF 4D CA C1 E9 08 88 4C 02 01 0F B7 76 12 8D 45 DC 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 12 8B 55 DC 8B CE 88 0C 02 83 C3 12 8B 45 DC 0F BF D6 C1 EA 08 88 54 18 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12732_0 {
	meta:
		name = "TDBXPlatform.CopyBcd"
		size = 34
		refs = "001c Move"
	strings:
		$1 = { 53 0F B6 18 88 1C 0A 0F B6 58 01 88 5C 0A 01 83 C0 02 8D 54 0A 02 B9 20 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12734_0 {
	meta:
		name = "StrPas"
		size = 23
		refs = "0010 @LStrFromPChar"
		altNames = "TDBXPlatform.CopyStringBuilder TDBXPlatform.ToAnsiString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12737_0 {
	meta:
		name = "TDBXPlatform.ResizeStringBuilder"
		size = 30
		refs = "000e TDBXPlatform.FreeAndNilStringBuilder 0015 @GetMem"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 3B 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 03 5E 5B C3 }
	condition:
		$1
}

rule function_12738_0 {
	meta:
		name = "TDBXPlatform.FreeAndNilStringBuilder"
		size = 21
		refs = "000b @FreeMem"
		altNames = "TDBXPlatform.FreeAndNilWideStringBuilder"
	strings:
		$1 = { 53 8B D8 83 3B 00 74 07 8B 03 E8 ?? ?? ?? ?? 33 C0 89 03 5B C3 }
	condition:
		$1
}

rule function_12739_0 {
	meta:
		name = "TDBXPlatform.CreateWideStringBuilder"
		size = 8
		refs = "0003 @GetMem"
	strings:
		$1 = { 03 C0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12740_0 {
	meta:
		name = "StrPas"
		size = 18
		refs = "000b @UStrFromPWChar"
		altNames = "TDBXPlatform.CopyWideStringBuilder TDBXPlatform.ToWideString WStrPtrToString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32584_0 {
	meta:
		name = "CanonicalizeHostName"
		size = 18
		refs = "000b @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78221_0 {
	meta:
		name = "FixFileName"
		size = 18
		refs = "000b @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65891_0 {
	meta:
		name = "VariantCpy"
		size = 18
		refs = "000b @VarCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65928_0 {
	meta:
		name = "VariantToUnicodeString"
		size = 18
		refs = "000b @VarToUStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12743_0 {
	meta:
		name = "TDBXPlatform.ResizeWideStringBuilder"
		size = 39
		refs = "0012 @ReallocMem 001e @GetMem"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 3B 00 74 0E 8B D6 03 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 03 C0 E8 ?? ?? ?? ?? 89 03 5E 5B C3 }
	condition:
		$1
}

rule function_12745_0 {
	meta:
		name = "TDBXPlatform.CopyWideStringToBuilder"
		size = 71
		refs = "001d TDBXPlatform.UnexpectedStringOverflow 002f @UStrToPWChar 003e Move"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F0 8B FE 8B C7 85 C0 74 05 83 E8 04 8B 00 3B D0 7F 07 8B C6 E8 ?? ?? ?? ?? 8B DF 85 DB 74 05 83 EB 04 8B 1B 8B C6 E8 ?? ?? ?? ?? 43 8B CB 03 C9 8B 14 24 8B 12 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12746_0 {
	meta:
		name = "TDBXPlatform.CopyStringToBuilder"
		size = 78
		refs = "0025 TDBXPlatform.UnexpectedStringOverflow 0037 @LStrToPChar 0044 Move"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 0C 24 8B F0 89 74 24 04 8B 7C 24 04 8B C7 85 C0 74 05 83 E8 04 8B 00 3B D0 7F 07 8B C6 E8 ?? ?? ?? ?? 8B DF 85 DB 74 05 83 EB 04 8B 1B 8B C6 E8 ?? ?? ?? ?? 8D 4B 01 8B 14 24 8B 12 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12747_0 {
	meta:
		name = "TDBXPlatform.CopyInt32Array"
		size = 32
		refs = "0017 Move"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 8D 0C 99 8D 04 90 8B 55 08 03 D2 03 D2 87 CA E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12748_0 {
	meta:
		name = "TDBXPlatform.CopyByteArray"
		size = 34
		refs = "0018 Move"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 85 F6 7E 10 8B 5D 0C 03 CB 03 C2 8B D6 87 CA E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12749_0 {
	meta:
		name = "TDBXPlatform.CopyBytesToAnsiChars"
		size = 26
		refs = "0011 Move"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 03 CB 03 C2 8B 55 08 87 CA E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12750_0 {
	meta:
		name = "TDBXPlatform.CopyBytesToWideChars"
		size = 27
		refs = "0012 Move"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 8D 0C 59 03 C2 8B 55 08 87 CA E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12751_0 {
	meta:
		name = "TDBXPlatform.CopyCharArray"
		size = 30
		refs = "0015 Move"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 8D 0C 59 8D 04 50 8B 55 08 03 D2 87 CA E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12752_0 {
	meta:
		name = "TDBXPlatform.CreateWideString"
		size = 46
		refs = "000e @UStrSetLength 0019 @UniqueStringU 0026 Move"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 8B F8 8B C6 8B D3 E8 ?? ?? ?? ?? 85 DB 7E 14 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CB 03 C9 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12753_0 {
	meta:
		name = "TDBXPlatform.CreateAnsiString"
		size = 46
		refs = "0010 @LStrSetLength 001b @UniqueStringA 0026 Move"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 8B F8 8B C6 33 C9 8B D3 E8 ?? ?? ?? ?? 85 DB 7E 12 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 8B CB E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12754_0 {
	meta:
		name = "TDBXPlatform.UnexpectedStringOverflow"
		size = 167
		refs = "001b TDBXPlatform.UnexpectedStringOverflow 0036 IntToStr 004c SUnexpectedStringOverflow 0051 LoadResString 005f Format 0069 _Dn_Exception 006e Exception.Create 0073 @RaiseExcept 008d @UStrArrayClr 0095 @UStrClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D FC 89 4D E8 89 4D E4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 5D EC C6 45 F0 11 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 C6 45 F8 11 8D 45 EC 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12755_0 {
	meta:
		name = "TDBXPlatform.UnexpectedStringOverflow"
		size = 167
		refs = "001b TDBXPlatform.UnexpectedStringOverflow 0036 IntToStr 004c SUnexpectedStringOverflow 0051 LoadResString 005f Format 0069 _Dn_Exception 006e Exception.Create 0073 @RaiseExcept 008d @UStrArrayClr 0095 @UStrClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D FC 89 4D E8 89 4D E4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 5D EC C6 45 F0 0B 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 C6 45 F8 11 8D 45 EC 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12756_0 {
	meta:
		name = "TDBXSemaphore.Create"
		size = 64
		refs = "000a @ClassCreate 0022 TSemaphore.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 10 51 51 6A 00 6A 00 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12757_0 {
	meta:
		name = "TDBXSemaphore.Acquire"
		size = 30
		refs = "000c WaitForSingleObject"
	strings:
		$1 = { 55 8B EC 8B 55 08 52 8B 40 04 50 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 5D C2 08 00 }
	condition:
		$1
}

rule function_12758_0 {
	meta:
		name = "TDBXPlatform.Int64BitsToDouble"
		size = 31
		refs = "0012 Move"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8D 55 F8 8D 45 08 B9 08 00 00 00 E8 ?? ?? ?? ?? DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_12759_0 {
	meta:
		name = "TDBXPlatform.DoubleToInt64Bits"
		size = 34
		refs = "0012 Move"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8D 55 F8 8D 45 08 B9 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_12760_0 {
	meta:
		name = "TDBXPlatform.Int32BitsToSingle"
		size = 29
		refs = "0012 Move"
	strings:
		$1 = { 83 C4 F8 89 04 24 8D 54 24 04 8B C4 B9 04 00 00 00 E8 ?? ?? ?? ?? D9 44 24 04 59 5A C3 }
	condition:
		$1
}

rule function_12761_0 {
	meta:
		name = "TDBXPlatform.SingleToInt32Bits"
		size = 28
		refs = "0010 Move"
	strings:
		$1 = { 55 8B EC 51 8D 55 FC 8D 45 08 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12762_0 {
	meta:
		name = "TDBXPlatform.AnsiStrToBytes"
		size = 74
		refs = "0023 TArray<System.Byte> 0028 @DynArraySetLength 0039 @LStrToPChar 0041 Move"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B D8 53 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 DB 7E 12 8B 07 50 8B C6 E8 ?? ?? ?? ?? 8B CB 5A E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12763_0 {
	meta:
		name = "TDBXPlatform.WideStrToBytes"
		size = 70
		refs = "0020 TArray<System.Byte> 0025 @DynArraySetLength 0036 @UStrToPWChar 003e Move"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D8 03 DB 53 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 DB 7E 12 8B 07 50 8B C6 E8 ?? ?? ?? ?? 8B CB 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12764_0 {
	meta:
		name = "TDBXPlatform.BytesToWideStr"
		size = 143
		refs = "000f @DynArrayLength 0027 @UStrSetLength 0048 @UniqueStringU"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B E8 8B C5 E8 ?? ?? ?? ?? 89 44 24 04 8B 54 24 04 42 D1 FA 79 03 83 D2 00 8B 04 24 E8 ?? ?? ?? ?? 33 DB BF 01 00 00 00 EB 33 0F B6 74 1D 01 C1 E6 08 0F B6 44 1D 00 66 03 F0 8B 04 24 E8 ?? ?? ?? ?? 66 89 74 78 FE 66 85 F6 75 0D 8B D7 4A 8B 04 24 E8 ?? ?? ?? ?? EB 25 47 83 C3 02 8B 44 24 04 48 3B D8 7C C4 3B 5C 24 04 7D 12 8B 04 24 E8 ?? ?? ?? ?? 0F B6 54 1D 00 66 89 54 78 FE 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12765_0 {
	meta:
		name = "TDBXPlatform.BytesToAnsiStr"
		size = 29
		refs = "000b @DynArrayLength 0016 @LStrFromPCharLen"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 8B C3 E8 ?? ?? ?? ?? 8B C8 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12766_0 {
	meta:
		name = "TDBXPlatform.IsBoolean"
		size = 156
		refs = "0004 TrueBoolStrs 000b @DynArrayHigh 001c AnsiIndexText 0024 FalseBoolStrs 0044 TDBXPlatform.IsBoolean 004b AnsiCompareText"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B C8 8B 15 ?? ?? ?? ?? 8B 12 8B C3 E8 ?? ?? ?? ?? 40 7F 44 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B C8 8B 15 ?? ?? ?? ?? 8B 12 8B C3 E8 ?? ?? ?? ?? 40 7F 24 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 5B C3 B0 01 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_12767_0 {
	meta:
		name = "TDBXPlatform.JsonFloat"
		size = 117
		refs = "0014 TFormatSettings 0019 @InitializeRecord 0021 TDBXPlatform.JsonFloat 0044 FloatToStr 0062 @FinalizeRecord 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 3C FF FF FF 53 8B D8 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 45 FA 2E 00 DD 45 08 83 C4 F4 DB 3C 24 9B 8B D3 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12768_0 {
	meta:
		name = "TDBXPlatform.JsonToFloat"
		size = 134
		refs = "0010 @UStrAddRef 001c TFormatSettings 0021 @InitializeRecord 0029 TDBXPlatform.JsonToFloat 0043 StrToFloat 0068 @FinalizeRecord 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 30 FF FF FF 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 45 F6 2E 00 8D 95 38 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? DD 9D 30 FF FF FF 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF DD 85 30 FF FF FF 8B E5 5D C3 }
	condition:
		$1
}

rule function_12769_0 {
	meta:
		name = "TDBXPlatform.TryJsonToFloat"
		size = 131
		refs = "0013 @UStrAddRef 001f TFormatSettings 0024 @InitializeRecord 002c TDBXPlatform.TryJsonToFloat 0048 TryStrToFloat 0068 @FinalizeRecord 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 38 FF FF FF 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 45 F6 2E 00 8D 8D 38 FF FF FF 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12770_0 {
	meta:
		name = "TDBXPlatform.WriteAsciiBytes"
		size = 372
		refs = "001f @DynArrayAddRef 0027 TDBXPlatform.WriteAsciiBytes 003d IntToStr 005f @UStrCatN 0067 Output 006c @Write0UString 0071 @Flush 0076 @_IOTest 009f @Write0WChar 00f1 @WriteLn 0110 @UStrArrayClr 0119 TArray<System.Byte> 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B 75 08 8B 5D 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 68 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? FF 75 F0 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FB 4E 2B F7 7C 6A 46 8B 45 FC 0F B6 1C 38 66 83 FB 20 72 06 66 83 FB 7E 76 3C A1 ?? ?? ?? ?? 66 BA 23 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC 0F B7 C3 E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 A1 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 97 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 6F 00 66 00 66 00 73 00 65 00 74 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 20 00 63 00 6F 00 75 00 6E 00 74 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_12771_0 {
	meta:
		name = "TDBXPlatform.Sleep"
		size = 16
		refs = "0008 Sleep"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_73449_0 {
	meta:
		name = "TActiveXControl.PersistStorageInitNew"
		size = 16
		refs = "0008 TActiveXControl.InitNew"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_12772_0 {
	meta:
		name = "TDBXPlatform.StringOf"
		size = 107
		refs = "000e @DynArrayAddRef 0016 TDBXPlatform.StringOf 002b TArray<System.Byte> 0030 @DynArraySetLength 003e StringOf 0059 @DynArrayClear 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12773_0 {
	meta:
		name = "TCollectionItem.GetDisplayName"
		size = 18
		refs = "000b TObject.ClassName"
		altNames = "TComponentsEnumerator.ClassName TDBXPlatform.GetClassName TDragObject.GetName TObject.ToString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 03 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12775_0 {
	meta:
		name = "TDBXPlatform.GetPublicKeyToken"
		size = 68
		refs = "0006 TDBXPlatform.GetPublicKeyToken 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 39 00 31 00 64 00 36 00 32 00 65 00 62 00 62 00 35 00 62 00 30 00 64 00 31 00 62 00 31 00 62 00 00 00 00 00 }
	condition:
		$1
}

rule function_12777_0 {
	meta:
		name = "TBaseTransportFilterItem.NotifyChange"
		size = 20
		altNames = "TCustomCanvas.Changing TCustomZlibStream.Progress TGridInfo.InvalidateGrid THTMLTagAttributes.Changed TIWContainerBorderOptions.DoChange TQuickAccessToolbar.DoChange TWebDisplay.Changed TXMLData.Changed"
	strings:
		$1 = { 53 66 83 78 12 00 74 0A 8B D8 8B D0 8B 43 14 FF 53 10 5B C3 }
	condition:
		$1
}

rule function_12778_0 {
	meta:
		name = "TBaseTransportFilterItem.OnChangeNotify"
		size = 13
	strings:
		$1 = { 8B 4A 18 89 48 10 8B 4A 1C 89 48 14 C3 }
	condition:
		$1
}

rule function_12779_0 {
	meta:
		name = "TBaseTransportFactoryTools.InvokeStringFunction"
		size = 276
		refs = "0039 @UStrAddRef 0041 TBaseTransportFactoryTools.InvokeStringFunction 0071 @UStrToString 007f GetMethodInfo 00a3 ObjectInvoke 00b1 @VarCopy 00bc @VarToUStr 00d1 TObject.Free 00d7 @HandleFinally 00f1 @VarClr 0101 @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 D4 FE FF FF 53 33 DB 89 9D D4 FE FF FF 89 9D D8 FE FF FF 89 9D DC FE FF FF 89 9D E0 FE FF FF 89 5D E8 89 5D EC 89 5D F0 89 5D F4 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 FF 10 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 E4 FE FF FF 8B 55 FC B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 95 E4 FE FF FF 8B 45 E4 E8 ?? ?? ?? ?? 8B D8 6A FF 8D 85 D4 FE FF FF 50 6A FF 8D 85 D4 FE FF FF 50 8D 8D D4 FE FF FF 8B D3 8B 45 E4 E8 ?? ?? ?? ?? 8D 95 D4 FE FF FF 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 08 8D 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D4 FE FF FF E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_23146_0 {
	meta:
		name = "TDSMethod.InvokeStringFunction"
		size = 276
		refs = "0039 @UStrAddRef 0041 TDSMethod.InvokeStringFunction 0071 @UStrToString 007f GetMethodInfo 00a3 ObjectInvoke 00b1 @VarCopy 00bc @VarToUStr 00d1 TObject.Free 00d7 @HandleFinally 00f1 @VarClr 0101 @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 D4 FE FF FF 53 33 DB 89 9D D4 FE FF FF 89 9D D8 FE FF FF 89 9D DC FE FF FF 89 9D E0 FE FF FF 89 5D E8 89 5D EC 89 5D F0 89 5D F4 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 FF 10 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 E4 FE FF FF 8B 55 FC B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 95 E4 FE FF FF 8B 45 E4 E8 ?? ?? ?? ?? 8B D8 6A FF 8D 85 D4 FE FF FF 50 6A FF 8D 85 D4 FE FF FF 50 8D 8D D4 FE FF FF 8B D3 8B 45 E4 E8 ?? ?? ?? ?? 8D 95 D4 FE FF FF 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 08 8D 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D4 FE FF FF E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12784_0 {
	meta:
		name = "TBaseFilterProperties.Add"
		size = 116
		refs = "0014 TBaseFilterProperties.Add 0022 TStrings.GetNameValueSeparator 002c @UStrFromWChar 003d @UStrCatN 0047 TStringList.Add 0061 @UStrArrayClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 45 F8 E8 ?? ?? ?? ?? FF 75 F8 57 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12787_0 {
	meta:
		name = "TDSInvocationMetadata.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TStringList 0023 TStringList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81473_0 {
	meta:
		name = "TGIFUnknownAppExtension.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TGIFApplicationExtension.Create 001e _Dn_TList 0023 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12791_0 {
	meta:
		name = "TDBXPoolDriver.Create"
		size = 236
		refs = "0011 @ClassCreate 0026 TDBXDriverDef 002b @AddRefRecord 0033 TDBXPoolDriver.Create 0045 TDBXDriver.Create 004c _Dn_TList 0051 TObject.Create 005b TDBXDriver.CacheUntilFinalization 0061 TDBXPoolDriver.CreatePoolCommand 006d TDBXDriver.AddCommandFactory 0077 _DV_TDBXPoolProperties 007c TDBXPoolProperties.Create 00a0 @FinalizeRecord 00a6 @HandleFinally 00b3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F4 A5 A5 A5 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 8B C6 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 62 00 78 00 2E 00 50 00 6F 00 6F 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_12792_0 {
	meta:
		name = "TDBXPoolDriver.CreateConnection"
		size = 62
		refs = "000c TDBXPoolDriver.FindPool 001c _DV_TDBXPool 0021 TDBXPool.Create 002d TList.Add 0036 TDBXPool.GetConnection"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 1B 57 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D3 8B 46 24 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12793_0 {
	meta:
		name = "TDBXPoolDriver.CreatePoolCommand"
		size = 25
		refs = "0008 _DV_TDBXPoolCommand 0011 TDBXPoolCommand.Create"
	strings:
		$1 = { 55 8B EC 8B 41 38 50 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_12794_0 {
	meta:
		name = "TDBXPoolDriver.Destroy"
		size = 97
		refs = "0005 @BeforeDestruction 0022 TList.Get 003d TObject.Free 004b TDBXDriver.Destroy 0058 @ClassDestroy"
	strings:
		$1 = { 53 56 57 51 E8 ?? ?? ?? ?? 88 14 24 8B F0 8B 46 24 8B 58 08 4B 85 DB 7C 18 43 33 FF 8B 46 24 8B D7 E8 ?? ?? ?? ?? B2 01 8B 08 FF 51 FC 47 4B 75 EB 8D 46 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 0F B6 14 24 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12795_0 {
	meta:
		name = "TDBXPoolDriver.FindPool"
		size = 268
		refs = "0016 TDBXPoolDriver.FindPool 0026 TDBXConnectionBuilder.GetDelegationSignature 0036 TDBXProperties.GetValue 006a TList.Get 0088 TDBXPool.IsEqual 00b2 @UStrArrayClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 24 8B 78 08 4F 85 FF 7C 42 47 C7 45 EC 00 00 00 00 8B 45 F0 8B 40 24 8B 55 EC E8 ?? ?? ?? ?? 8B F0 8B 45 F4 50 8B 45 FC 50 8B 45 F8 50 8B 43 0C 50 8B 4B 08 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 8B DE EB 08 FF 45 EC 4F 75 C6 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_12796_0 {
	meta:
		name = "TDBXPoolDriver.GetDriverVersion"
		size = 68
		refs = "0006 TDBXPoolDriver.GetDriverVersion 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 44 00 42 00 58 00 50 00 6F 00 6F 00 6C 00 44 00 72 00 69 00 76 00 65 00 72 00 20 00 31 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_12797_0 {
	meta:
		name = "TDBXPool.Create"
		size = 600
		refs = "0016 @ClassCreate 0028 TDBXPool.Create 0037 TObject.Create 0045 @UStrAsg 004f TDBXConnectionBuilder.GetDelegationSignature 006a TDBXProperties.GetValue 00a2 TDBXConnectionBuilder.GetConnectionProperties 00b0 TDBXProperties.GetInteger 00fd _Dn_TDBXSemaphore 0102 TDBXSemaphore.Create 010c _Dn_TCriticalSection 0111 TCriticalSection.Create 0126 :TDBXPool.:1 012b @DynArraySetLength 0140 :TDBXPool.:2 0162 @UStrArrayClr 0168 @HandleFinally 0177 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 89 5F 14 8D 47 18 8B 56 08 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 47 28 E8 ?? ?? ?? ?? 8D 4D F4 BA ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B 55 F4 8D 47 1C E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B 55 F0 8D 47 20 E8 ?? ?? ?? ?? 8D 47 24 8B 56 0C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 89 5F 30 85 DB 7D 05 33 C0 89 47 30 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 89 5F 38 4B 7D 07 C7 47 38 10 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 89 5F 2C 85 DB 7D 05 33 C0 89 47 2C 8B 4F 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 8B 47 30 50 8D 47 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 47 30 50 8D 47 10 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4D 00 69 00 6E 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4D 00 61 00 78 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_12798_0 {
	meta:
		name = "TDBXPoolDriver.ClearPools"
		size = 46
		refs = "001d TList.Get 0022 TDBXPool.ClearPool"
	strings:
		$1 = { 53 56 57 8B F0 8B 46 24 85 C0 74 1E 8B 58 08 4B 85 DB 7C 16 43 33 FF 8B D7 8B 46 24 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12800_0 {
	meta:
		name = "TDBXPool.ClearPool"
		size = 45
		refs = "0017 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F0 8B 5E 30 4B 85 DB 7C 12 43 33 FF 8B 46 0C 8B 04 B8 E8 ?? ?? ?? ?? 47 4B 75 F1 33 C0 89 46 30 33 C0 89 46 34 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12801_0 {
	meta:
		name = "TDBXPool.Destroy"
		size = 123
		refs = "0003 @BeforeDestruction 000e TDBXPool.ClearPool 001e :TDBXPool.:1 0023 @DynArraySetLength 0036 :TDBXPool.:2 004e TObject.Free 0069 TObject.Destroy 0074 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 46 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8D 46 10 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12802_0 {
	meta:
		name = "TDBXPool.IsEqual"
		size = 122
		refs = "000f @UStrEqual"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B 43 18 8B D6 E8 ?? ?? ?? ?? 75 19 85 F6 74 15 8B 43 24 8B 55 08 E8 ?? ?? ?? ?? 75 04 B0 01 EB 4A 33 C0 EB 46 8B 43 20 8B 55 0C E8 ?? ?? ?? ?? 74 04 33 C0 EB 35 8B 43 24 8B 55 08 E8 ?? ?? ?? ?? 74 04 33 C0 EB 24 8B 43 1C 8B 55 10 E8 ?? ?? ?? ?? 74 04 33 C0 EB 13 8B 43 28 8B 55 14 E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_12803_0 {
	meta:
		name = "TDBXPool.GetConnection"
		size = 477
		refs = "001b TDBXPool.GetConnection 003a TDBXSemaphore.Acquire 0050 IntToStr 0066 SConnectTimeout 006b LoadResString 0076 Format 0086 TDBXContext.Error 00ce :TDBXPool.:1 00d3 @DynArraySetLength 00ef :TDBXPool.:2 00fe TDBXConnectionBuilder.CreateDelegateeConnection 0153 _DV_TDBXPoolConnection 0158 TDBXPoolConnection.Create 017f @HandleFinally 01c1 @UStrArrayClr 01c9 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 C9 89 4D F4 89 4D E8 89 4D E4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 8B 40 2C 99 52 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 84 C0 75 48 8D 45 F4 50 8D 55 E8 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 45 EC 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 33 C9 5A E8 ?? ?? ?? ?? 8B 4D F4 8B 43 1C BA 15 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 34 01 7D 7B 8B 45 FC 8B 40 30 40 50 8B 45 FC 83 C0 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 40 30 40 50 8B 45 FC 83 C0 10 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 52 30 8B 4D FC 8B 49 0C 89 04 91 8B 45 FC 8B 40 30 8B 55 FC 8B 52 0C 8B 04 82 8B 55 FC 8B 52 10 89 02 8B 45 FC FF 40 30 8B 45 FC FF 40 34 53 8B 45 FC 8B 40 14 50 8B 45 FC 8B 40 34 8B 55 FC 8B 52 10 8B 44 82 FC 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC FF 48 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 75 0B 8B 45 FC 8B 40 04 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12804_0 {
	meta:
		name = "TDBXPool.ReleaseConnection"
		size = 102
		refs = "0018 TDBXPool.ReleaseConnection 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 08 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 34 8B 55 FC 8B 52 10 89 1C 82 8B 45 FC FF 40 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8B 40 04 8B 10 FF 52 04 5B 59 5D C3 }
	condition:
		$1
}

rule function_12805_0 {
	meta:
		name = "TDBXPoolConnection.Create"
		size = 79
		refs = "000e @ClassCreate 0024 TDBXDelegateConnection.Create 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 50 8B 4D 10 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 0C 89 47 34 89 77 38 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_12807_0 {
	meta:
		name = "TDBXPoolConnection.DerivedGetCommands"
		size = 116
		refs = "000c TDBXPoolConnection.DerivedGetCommands 0011 @UStrEqual 002a TDBXDelegateConnection.DerivedGetCommands"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 38 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 62 00 78 00 2E 00 50 00 6F 00 6F 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 50 00 6F 00 6F 00 6C 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12809_0 {
	meta:
		name = "TDBXPoolConnection.DerivedGetCommandTypes"
		size = 80
		refs = "0007 TDBXPoolConnection.DerivedGetCommandTypes 0027 TDBXDelegateConnection.DerivedGetCommandTypes"
	strings:
		$1 = { 53 56 8B DA 8B F0 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 54 85 C0 7D 0C BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 62 00 78 00 2E 00 50 00 6F 00 6F 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_12810_0 {
	meta:
		name = "TDBXPoolConnection.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TDBXPool.ReleaseConnection 0022 TDBXDelegateConnection.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 56 30 8B 46 38 E8 ?? ?? ?? ?? 33 C0 89 46 30 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12813_0 {
	meta:
		name = "TDBXPoolCommand.ExecuteGetPools"
		size = 424
		refs = "0015 TDBXColumnDef 001a @InitializeRecord 0022 TDBXPoolCommand.ExecuteGetPools 003c _DV_TDBXPoolRow 0041 TDBXPoolRow.Create 0054 _DV_TDBXPoolReader 0059 TDBXPoolReader.Create 007e TDBXValueArray 0083 @DynArraySetLength 009f PoolColumnDefs 00a7 TDBXDriverHelp.CreateTDBXValueType 00b9 @CopyRecord 011e TDBXValue.CreateValue 0161 TObject.Free 0167 @HandleFinally 0184 @FinalizeRecord 0192 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 D2 89 55 FC 8B F8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 28 50 8B 47 2C 8B 40 14 8B 48 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 8B 45 D0 50 6A 00 8B 4F 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 09 00 00 00 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 4B 85 DB 0F 8C A7 00 00 00 43 89 5D CC C7 45 D8 00 00 00 00 BE ?? ?? ?? ?? 8B 47 28 E8 ?? ?? ?? ?? 8B D8 8D 45 E0 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C3 8B 08 FF 51 14 8B 55 E8 8B C3 8B 08 FF 51 18 8B 55 D8 8B C3 8B 08 FF 51 10 8B 45 EC 99 52 50 8B C3 8B 10 FF 52 1C 8B 55 F0 8B C3 8B 08 FF 51 20 8B 45 F4 99 52 50 8B C3 8B 10 FF 52 30 8B 55 F8 8B C3 8B 08 FF 51 28 8B 55 E0 8B C3 8B 08 FF 51 08 6A 01 8B 47 28 8B 4D D0 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 8B 4D D8 89 04 8A FF 45 D8 83 C6 1C FF 4D CC 0F 85 69 FF FF FF 8B 55 FC 8B 45 D4 8B 08 FF 51 04 8B 45 D4 89 45 DC 33 C0 89 45 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B 45 DC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12818_0 {
	meta:
		name = "TDBXPoolCommand.DerivedExecuteQuery"
		size = 220
		refs = "0012 TDBXPoolCommand.DerivedExecuteQuery 002f @UStrEqual 0038 TDBXPoolCommand.ExecuteGetPools 0060 SInvalidCommand 0065 LoadResString 0070 Format 0080 TDBXContext.Error 009c @UStrArrayClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 0C 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 46 8D 45 F8 50 8D 55 EC 8B C3 8B 08 FF 51 0C 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 C9 5A E8 ?? ?? ?? ?? 8B 4D F8 BA 1B 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 50 00 6F 00 6F 00 6C 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12826_0 {
	meta:
		name = "TDBXPoolReader.DerivedClose"
		size = 37
		refs = "000f TObject.Free"
	strings:
		$1 = { 53 8B D8 8D 43 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12827_0 {
	meta:
		name = "TDBXPoolReader.DerivedNext"
		size = 18
		refs = "000d TDBXPoolRow.Next"
	strings:
		$1 = { 8B 50 20 85 D2 75 03 33 C0 C3 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12828_0 {
	meta:
		name = "TDBXPoolRow.Create"
		size = 76
		refs = "000e @ClassCreate 0020 TDBXRow.Create 0035 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 08 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 10 FF FF FF FF 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12829_0 {
	meta:
		name = "TDBXPoolRow.GetInt32"
		size = 89
		refs = "001a TList.Get"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 33 D2 89 10 8B 53 10 8B 43 0C E8 ?? ?? ?? ?? 8B D8 8B 46 04 8B 10 FF 52 4C 83 E8 05 74 0B 48 74 0F 48 74 13 48 74 17 EB 1A 8B 43 2C 89 07 EB 13 8B 43 34 89 07 EB 0C 8B 43 30 89 07 EB 05 8B 43 38 89 07 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12830_0 {
	meta:
		name = "TDBXPoolRow.GetWideString"
		size = 208
		refs = "0012 TDBXPoolRow.GetWideString 002a TList.Get 005f @UStrLAsg 00a7 TDBXPlatform.CopyWideStringToBuilder 00bc @UStrClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 33 D2 89 10 8B 53 10 8B 43 0C E8 ?? ?? ?? ?? 8B D8 8B 46 04 8B 10 FF 52 4C 83 F8 04 77 5A FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? EB 32 8D 45 FC 8B 53 1C E8 ?? ?? ?? ?? EB 25 8D 45 FC 8B 53 20 E8 ?? ?? ?? ?? EB 18 8D 45 FC 8B 53 24 E8 ?? ?? ?? ?? EB 0B 8D 45 FC 8B 53 28 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 52 68 8B D0 8B CF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12831_0 {
	meta:
		name = "TDBXPoolRow.Next"
		size = 24
	strings:
		$1 = { 8B 50 10 42 8B 48 0C 3B 51 08 7C 03 33 C0 C3 FF 40 10 FF 40 08 B0 01 C3 }
	condition:
		$1
}

rule function_12832_0 {
	meta:
		name = "TDBXPoolProperties.GetConnectTimeout"
		size = 132
		refs = "000c TDBXPoolProperties.GetConnectTimeout 0021 TDBXProperties.GetValue 002c StrToIntDef 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 CA FF E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_12833_0 {
	meta:
		name = "TDBXPoolProperties.GetMaxConnections"
		size = 132
		refs = "000c TDBXPoolProperties.GetMaxConnections 0021 TDBXProperties.GetValue 002c StrToIntDef 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 CA FF E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4D 00 61 00 78 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12834_0 {
	meta:
		name = "TDBXPoolProperties.GetMinConnections"
		size = 132
		refs = "000c TDBXPoolProperties.GetMinConnections 0021 TDBXProperties.GetValue 002c StrToIntDef 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 CA FF E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4D 00 69 00 6E 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12835_0 {
	meta:
		name = "TDBXPoolProperties.SetConnectTimeout"
		size = 128
		refs = "000f TDBXPoolProperties.SetConnectTimeout 001f IntToStr 002e TDBXProperties.SetValue 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_12836_0 {
	meta:
		name = "TDBXPoolProperties.SetMaxConnections"
		size = 128
		refs = "000f TDBXPoolProperties.SetMaxConnections 001f IntToStr 002e TDBXProperties.SetValue 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 4D 00 61 00 78 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12837_0 {
	meta:
		name = "TDBXPoolProperties.SetMinConnections"
		size = 128
		refs = "000f TDBXPoolProperties.SetMinConnections 001f IntToStr 002e TDBXProperties.SetValue 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 4D 00 69 00 6E 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_12838_0 {
	meta:
		name = "TDBXPoolProperties.Create"
		size = 304
		refs = "000f @ClassCreate 001b TDBXPoolProperties.Create 002a TDBXProperties.Create 0036 TDBXPoolProperties.SetMaxConnections 0042 TDBXPoolProperties.SetMinConnections 004e TDBXPoolProperties.SetConnectTimeout 005f TDBXProperties.SetValue 006b BoolToStr 008f @UStrClr 0095 @HandleFinally 00a2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? BA 14 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? BA E8 03 00 00 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 4D FC B2 01 B0 01 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 50 00 6F 00 6F 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 65 00 6C 00 65 00 67 00 61 00 74 00 65 00 44 00 72 00 69 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_12839_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_11 001a PoolColumnDefs 0025 TDBXColumnDef 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 09 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_32528_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_3 001a IdStati 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 09 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_12840_0 {
	meta:
		name = "Data.DBXPool"
		size = 56
		refs = "0002 _DV_11 000b _DV_TDBXPoolDriver 0010 Data.DBXPool 0015 TDBXDriverRegistry.RegisterDriverClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 42 00 58 00 50 00 6F 00 6F 00 6C 00 00 00 }
	condition:
		$1
}

rule function_12841_0 {
	meta:
		name = "TDBXReaderTableStorage.Create"
		size = 76
		refs = "000e @ClassCreate 0021 TDBXRowTable.Create 0035 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 6A 00 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 20 8B 45 08 89 47 24 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12842_0 {
	meta:
		name = "TDBXReaderTableStorage.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 0016 FreeObjectArray 0021 TDBXRowTable.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 60 8D 46 28 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12843_0 {
	meta:
		name = "TDBXReaderTableStorage.GetCommand"
		size = 11
	strings:
		$1 = { 8B 50 20 33 C9 89 48 20 8B C2 C3 }
	condition:
		$1
}

rule function_12845_0 {
	meta:
		name = "TDBXReaderTableStorage.First"
		size = 96
		refs = "000a TDBXReaderTableStorage.First 001e SUnsupportedOperation 0023 LoadResString 002d _Dn_Exception 0032 Exception.Create 0037 @RaiseExcept 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 78 2C 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_12846_0 {
	meta:
		name = "TDBXReaderTableStorage.Next"
		size = 20
	strings:
		$1 = { 53 8B D8 C6 43 2C 01 8B 43 24 8B 10 FF 52 3C 88 43 1C 5B C3 }
	condition:
		$1
}

rule function_12847_0 {
	meta:
		name = "TDBXReaderTableStorage.InBounds"
		size = 22
	strings:
		$1 = { 53 8B D8 80 7B 2C 00 75 07 8B C3 8B 10 FF 52 48 0F B6 43 1C 5B C3 }
	condition:
		$1
}

rule function_12848_0 {
	meta:
		name = "TDBXReaderTableStorage.Close"
		size = 37
		refs = "000f TObject.Free"
	strings:
		$1 = { 53 8B D8 8D 43 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12849_0 {
	meta:
		name = "TDBXReaderTableStorage.GetColumns"
		size = 241
		refs = "0027 TDBXValueTypeArray 002c @DynArraySetLength 0037 @DynArrayHigh 0057 _Dn_TDBXValueType 005c TDBXValueType.Create 00e7 @DynArrayAsg"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B D8 83 7B 28 00 0F 85 C6 00 00 00 8B 43 24 8B 10 FF 52 1C 50 8D 43 28 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 28 E8 ?? ?? ?? ?? 8B E8 85 ED 0F 8C 95 00 00 00 45 33 F6 8B D6 8B 43 24 8B 08 FF 51 18 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 28 89 04 B2 8B 57 04 8B 43 28 8B 04 B0 8B 08 FF 51 08 8B 57 08 8B 43 28 8B 04 B0 8B 08 FF 51 0C 8B C7 8B 10 FF 52 50 8B D0 8B 43 28 8B 04 B0 8B 08 FF 51 14 8B C7 8B 10 FF 52 54 8B D0 8B 43 28 8B 04 B0 8B 08 FF 51 18 8B C7 8B 10 FF 52 68 52 50 8B 43 28 8B 04 B0 8B 10 FF 52 30 8B C7 8B 10 FF 52 58 52 50 8B 43 28 8B 04 B0 8B 10 FF 52 1C 46 4D 0F 85 6E FF FF FF 8B 04 24 8B 53 28 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12851_0 {
	meta:
		name = "TDBXReaderTableStorage.GetWritableValue"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 24 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_12852_0 {
	meta:
		name = "TBcdObject.Create"
		size = 95
		refs = "0011 @ClassCreate 002c TObject.Create 0048 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D DE B9 08 00 00 00 F3 A5 66 A5 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 56 8D 7E 04 8D 75 DE B9 08 00 00 00 F3 A5 66 A5 5E 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12855_0 {
	meta:
		name = "TRSAFilter.Create"
		size = 78
		refs = "000a @ClassCreate 0017 TTransportFilter.Create 003b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 10 01 C7 46 18 00 04 00 00 C7 46 20 03 00 00 00 C7 46 24 00 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12856_0 {
	meta:
		name = "TRSAFilter.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26644_0 {
	meta:
		name = "TDbxDataGenerator.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXCustomDataGenerator.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36221_0 {
	meta:
		name = "TIdMessageItem.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TCollectionItem.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32293_0 {
	meta:
		name = "TIdSSPINTLMAuthentication.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TIdAuthentication.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33001_0 {
	meta:
		name = "TIdTextModeRRs.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TList.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12857_0 {
	meta:
		name = "TRSAFilter.GetParameters"
		size = 72
		refs = "000e TDBXStringArray 0013 @DynArraySetLength 001d TRSAFilter.GetParameters 0022 @UStrAsg"
	strings:
		$1 = { 53 8B DA 6A 01 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 75 00 62 00 6C 00 69 00 63 00 4B 00 65 00 79 00 00 00 }
	condition:
		$1
}

rule function_12858_0 {
	meta:
		name = "TRSAFilter.GetParameterValue"
		size = 436
		refs = "0012 TRSAFilter.GetParameterValue 0024 AnsiCompareStr 003a @UStrAsg 0064 TRSAFilter.InitRSA 0070 TRSACypher.GetPublicKey 007d TTransportFilter.Encode 0099 IntToStr 00c2 EmptyStr 00df TArray<System.Byte> 00e4 @DynArrayClear 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 25 80 7E 10 00 74 11 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8A 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 22 8B C6 E8 ?? ?? ?? ?? 57 8D 55 FC 8B 46 14 E8 ?? ?? ?? ?? 8B 45 FC 83 C9 FF 33 D2 E8 ?? ?? ?? ?? EB 4A BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0C 8B D7 8B 46 18 E8 ?? ?? ?? ?? EB 2E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0F FF 76 24 FF 76 20 8B C7 E8 ?? ?? ?? ?? EB 0F 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 55 00 73 00 65 00 47 00 6C 00 6F 00 62 00 61 00 6C 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 75 00 62 00 6C 00 69 00 63 00 4B 00 65 00 79 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4B 00 65 00 79 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4B 00 65 00 79 00 45 00 78 00 70 00 6F 00 6E 00 65 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_12859_0 {
	meta:
		name = "TRSAFilter.GetUserParameters"
		size = 180
		refs = "000e TDBXStringArray 0013 @DynArraySetLength 001d TRSAFilter.GetUserParameters 0022 @UStrAsg"
	strings:
		$1 = { 53 8B DA 6A 03 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 55 00 73 00 65 00 47 00 6C 00 6F 00 62 00 61 00 6C 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4B 00 65 00 79 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4B 00 65 00 79 00 45 00 78 00 70 00 6F 00 6E 00 65 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_12860_0 {
	meta:
		name = "TRSAFilter.Id"
		size = 40
		refs = "0006 TRSAFilter.Id 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 52 00 53 00 41 00 00 00 }
	condition:
		$1
}

rule function_12861_0 {
	meta:
		name = "TRSAFilter.InitRSA"
		size = 180
		refs = "000d TRSAFilter.InitRSA 0027 _Dn_TRSACypher 002c TRSACypher.LoadSSLAndCreateKey 003d TRSACypher.ErrorLoad 004a _Dn_TDBXError 004f TDBXError.Create 0054 @RaiseExcept 0066 TRSACypher.Create 008e TRSACypher.GenerateKey 00a3 @UStrClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 14 00 75 75 FF 73 24 FF 73 20 8B 53 18 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 24 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7B 10 00 74 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 14 EB 23 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 14 FF 73 24 FF 73 20 8B 53 18 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12863_0 {
	meta:
		name = "TRSAFilter.ProcessInput"
		size = 105
		refs = "0012 TRSAFilter.ProcessInput 001f TRSAFilter.InitRSA 002c TRSACypher.PublicEncrypt 0037 TArray<System.Byte> 003c @DynArrayAsg 0057 @DynArrayClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 8B 43 14 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12864_0 {
	meta:
		name = "TRSAFilter.ProcessOutput"
		size = 105
		refs = "0012 TRSAFilter.ProcessOutput 001f TRSAFilter.InitRSA 002c TRSACypher.PrivateDecrypt 0037 TArray<System.Byte> 003c @DynArrayAsg 0057 @DynArrayClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 8B 43 14 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12865_0 {
	meta:
		name = "TRSAFilter.SetConfederateParameter"
		size = 156
		refs = "0012 TRSAFilter.SetConfederateParameter 0024 AnsiCompareStr 002f TRSAFilter.InitRSA 0039 TTransportFilter.Decode 0044 TRSACypher.SetConfederatePublicKey 0060 TArray<System.Byte> 0065 @DynArrayClear 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 75 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 14 E8 ?? ?? ?? ?? B3 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 75 00 62 00 6C 00 69 00 63 00 4B 00 65 00 79 00 00 00 }
	condition:
		$1
}

rule function_12866_0 {
	meta:
		name = "TRSAFilter.SetParameterValue"
		size = 252
		refs = "000a TRSAFilter.SetParameterValue 0011 AnsiCompareStr 0021 AnsiCompareText 0044 StrToInt 0062 StrToInt64"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 18 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 88 46 10 B0 01 EB 41 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0E 8B C7 E8 ?? ?? ?? ?? 89 46 18 B0 01 EB 23 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 11 8B C7 E8 ?? ?? ?? ?? 89 46 20 89 56 24 B0 01 EB 02 33 C0 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 55 00 73 00 65 00 47 00 6C 00 6F 00 62 00 61 00 6C 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4B 00 65 00 79 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4B 00 65 00 79 00 45 00 78 00 70 00 6F 00 6E 00 65 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_12869_0 {
	meta:
		name = "TDBXSocketChannel.Close"
		size = 49
		refs = "001b TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 0C 85 C0 74 15 8B 10 FF 52 10 8D 43 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_12870_0 {
	meta:
		name = "TDBXSocketChannel.Terminate"
		size = 91
		refs = "0014 TObject.Free 0028 TDBXSocketChannel.Terminate 004d @HandleAnyException 0052 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8D 43 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 43 0C 85 C0 74 37 8B 10 FF 52 20 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 43 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_12873_0 {
	meta:
		name = "TDBXSocketChannel.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 0019 TDbxChannel.Destroy 0024 @ClassDestroy"
		altNames = "TDSTCPChannel.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 04 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12875_0 {
	meta:
		name = "TDBXSocketChannel.Open"
		size = 408
		refs = "0022 TDBXSocketChannel.Open 0043 TDBXProperties.GetValue 0056 @UStrLAsg 005e TDBXCommunicationLayerFactory.CommunicationLayer 007d _Dn_TDBXCommunicationLayer 0082 TObject.ClassName 0094 _Dn_TDBXCommunicationLayerFactory 00af SNoRegisteredLayer 00b4 LoadResString 00c2 Format 00cf _Dn_TDBXError 00d4 TDBXError.Create 00d9 @RaiseExcept 0102 _Dn_TDBXSocketChannelInfo 0107 TDBXSocketChannelInfo.Create 0124 @UStrArrayClr 0137 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 D2 89 55 D0 89 55 F8 89 55 DC 89 55 D8 89 55 D4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 04 8B C3 8B 10 FF 52 18 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 89 73 0C 85 F6 75 72 8D 45 F8 50 8B 45 FC 89 45 E0 C6 45 E4 11 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 89 45 E8 C6 45 EC 11 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 89 45 F0 C6 45 F4 11 8D 45 E0 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 B9 02 00 00 00 5A E8 ?? ?? ?? ?? 8B 45 F8 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 18 8B D0 8B 43 0C 8B 08 FF 51 0C 8D 55 D0 8B 43 0C 8B 08 FF 51 1C 8B 45 D0 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 15 00 00 00 43 00 6F 00 6D 00 6D 00 75 00 6E 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 50 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 74 00 63 00 70 00 2F 00 69 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_12876_0 {
	meta:
		name = "TDBXSocketChannel.Read"
		size = 25
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 45 08 50 8B 46 0C 8B 18 FF 53 14 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12877_0 {
	meta:
		name = "TDBXSocketChannel.Write"
		size = 25
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 45 08 50 8B 46 0C 8B 18 FF 53 18 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12878_0 {
	meta:
		name = "TDBXTCPLayer.Close"
		size = 102
		refs = "0017 TDBXCommunicationLayer.Terminate 001f TAbstractSocket.Close 0027 TDBXTCPLayer.Close 003d TObject.Free 004c @HandleOnException 0054 _Dn_ESocketError 005d @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 83 7B 10 00 74 53 80 7B 04 00 75 0F 8B C3 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 43 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_12879_0 {
	meta:
		name = "TDBXTCPLayer.Terminate"
		size = 23
		refs = "0012 TCustomWinSocket.Close"
	strings:
		$1 = { 80 78 04 00 75 10 8B 40 10 8B 80 98 00 00 00 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_12881_0 {
	meta:
		name = "TDBXTCPLayer.Destroy"
		size = 32
		refs = "0003 @BeforeDestruction 0019 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 10 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12882_0 {
	meta:
		name = "TDBXTCPLayer.Info"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 8B 52 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12883_0 {
	meta:
		name = "TDBXTCPLayer.Open"
		size = 416
		refs = "0013 TDBXTCPLayer.Open 002f _Dn_TClientSocket 0034 TClientSocket.Create 0046 TDBXProperties.GetValue 0051 TAbstractSocket.SetHost 005d TDBXProperties.GetInteger 0067 TAbstractSocket.SetPort 0071 TClientSocket.SetClientType 0099 StrToInt 00d5 TAbstractSocket.Open 00ef @UStrArrayClr 00f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 10 83 7B 10 00 75 11 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8D 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 10 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 10 E8 ?? ?? ?? ?? B2 01 8B 43 10 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 75 0B 33 D2 8B C3 8B 08 FF 51 04 EB 11 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 04 8D 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 75 07 33 C0 89 43 0C EB 0B 8B 45 F8 E8 ?? ?? ?? ?? 89 43 0C C6 43 14 00 8B 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 43 00 6F 00 6D 00 6D 00 75 00 6E 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_12884_0 {
	meta:
		name = "TDBXIdTCPLayer.Read$293$ActRec.$0$Body"
		size = 9
		altNames = "TDBXTCPLayer.Read$283$ActRec.$0$Body"
	strings:
		$1 = { 8B 40 0C 8B 10 FF 52 20 C3 }
	condition:
		$1
}

rule function_12885_0 {
	meta:
		name = "TDBXIdTCPLayer.Read$293$ActRec.$1$Body"
		size = 17
		altNames = "TDBXTCPLayer.Read$283$ActRec.$1$Body"
	strings:
		$1 = { 8B 50 0C 80 7A 14 00 75 07 8B C2 8B 10 FF 52 20 C3 }
	condition:
		$1
}

rule function_12886_0 {
	meta:
		name = "TDBXTCPLayer.Read"
		size = 762
		refs = "001e TDBXTCPLayer.Read 002b _DV_TDBXTCPLayer.Read$283$ActRec 0030 TObject.Create 0045 @IntfCopy 00a5 TDBXScheduler.FInstance 00ac TDBXScheduler.AddEvent 00d4 TCustomWinSocket.ReceiveBuf 00fa TDBXScheduler.CancelEvent 0100 @HandleFinally 0111 @HandleOnException 0119 _Dn_Exception 0125 SCommunicationTimeout 012a LoadResString 0134 _Dn_TDBXError 0139 Exception.Create 013e @RaiseExcept 0143 @DoneExcept 0245 SConnectionTimeout 02da @UStrArrayClr 02e2 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 45 FC 8B 55 F4 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 89 42 0C 8B 40 10 8B 80 98 00 00 00 80 78 08 00 75 0C C7 45 F8 FF FF FF FF E9 58 02 00 00 8B 45 F4 8B 40 0C 80 78 14 00 0F 84 01 01 00 00 83 78 0C 00 0F 84 F7 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 50 0C 52 8B 4D F4 85 C9 74 03 83 E9 EC 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 14 33 8B 45 F4 8B 40 0C 8B 40 10 8B 80 98 00 00 00 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 85 C0 74 0B 8B 55 F4 8B 52 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C 80 78 04 00 0F 84 60 01 00 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3A 01 00 00 8B 45 F4 8B 78 0C 80 7F 14 00 0F 85 0D 01 00 00 8B C7 8B 10 FF 52 08 85 C0 0F 84 FE 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 78 0C 8B C7 8B 10 FF 52 08 50 8B 4D F4 85 C9 74 03 83 E9 F0 8B D7 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 14 33 8B 45 F4 8B 40 0C 8B 40 10 8B 80 98 00 00 00 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 85 C0 74 0B 8B 55 F4 8B 52 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C C6 40 14 01 80 78 04 00 74 40 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1D 8D 14 33 8B 45 F4 8B 40 0C 8B 40 10 8B 80 98 00 00 00 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 07 C7 45 F8 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12887_0 {
	meta:
		name = "TDBXTCPLayer.Write"
		size = 51
		refs = "0021 TCustomWinSocket.SendBuf"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B 5D 08 8B 70 10 85 F6 74 16 8B 4D FC 03 D1 8B 86 98 00 00 00 8B CB E8 ?? ?? ?? ?? 8B C3 EB 03 83 C8 FF 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12888_0 {
	meta:
		name = "TDBXIdTCPLayer.Close"
		size = 182
		refs = "0010 TDBXIdTCPLayer.Close 0029 TDBXCommunicationLayer.Terminate 0063 @IntfClear 0072 @HandleOnException 007a _Dn_Exception 0083 @DoneExcept 0099 IIPIOHandler 00a3 @FinalizeArray 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 10 00 74 67 80 7B 04 00 75 2B 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 43 10 8B 08 FF 51 18 83 7D FC 00 74 13 8D 55 F8 8B 43 10 8B 08 FF 51 18 8B 45 F8 8B 10 FF 52 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12890_0 {
	meta:
		name = "TDBXIdTCPLayer.CreateClientSocket"
		size = 116
		refs = "000f TDBXIdTCPLayer.CreateClientSocket 0020 PeerFactory 002d TIPPeerFactory.CreatePeer 003c @IntfCast 0051 @IntfClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 53 18 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 5C BE B0 9B 9E 9D 5E 48 80 3D 99 96 45 CE 1B 8F }
	condition:
		$1
}

rule function_12891_0 {
	meta:
		name = "TDBXIdTCPLayer.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 0019 TObject.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 10 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93707_0 {
	meta:
		name = "TChartValueList.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 0019 TPersistent.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 10 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12892_0 {
	meta:
		name = "TDBXIdTCPLayer.Info"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 10 8B 08 FF 51 40 5E 5B C3 }
	condition:
		$1
}

rule function_12893_0 {
	meta:
		name = "TDBXIdTCPLayer.Open"
		size = 512
		refs = "0014 TDBXIdTCPLayer.Open 0030 TDBXProperties.GetValue 003b @UStrAsg 0056 @IntfCopy 007c TDBXProperties.GetInteger 00ae StrToInt 0109 @UStrClr 0111 @IntfClear 011e @UStrArrayClr 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 10 8D 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 18 E8 ?? ?? ?? ?? 83 7B 10 00 75 15 8D 55 F0 8B C3 8B 08 FF 51 24 8B 55 F0 8D 43 10 E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B 43 10 8B 08 FF 51 4C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 10 8B 08 FF 51 54 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 75 0B 33 D2 8B C3 8B 08 FF 51 04 EB 11 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 04 8D 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 75 07 33 C0 89 43 0C EB 0B 8B 45 F8 E8 ?? ?? ?? ?? 89 43 0C 33 D2 8B 43 10 8B 08 FF 51 5C 8B 43 10 8B 10 FF 52 60 C6 43 14 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 50 00 49 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 43 00 6F 00 6D 00 6D 00 75 00 6E 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_12896_0 {
	meta:
		name = "TDBXIdTCPLayer.Read"
		size = 615
		refs = "0020 TDBXIdTCPLayer.Read 002d _DV_TDBXIdTCPLayer.Read$293$ActRec 0032 TObject.Create 0045 @IntfCopy 0091 TDBXScheduler.FInstance 0098 TDBXScheduler.AddEvent 00aa TDBXIdTCPLayer.ReadData 00bf TDBXScheduler.CancelEvent 00ce @HandleOnException 00d6 _Dn_Exception 00e2 SCommunicationTimeout 00e7 LoadResString 00f1 _Dn_TDBXError 00f6 Exception.Create 00fb @RaiseExcept 0100 @DoneExcept 01c9 SConnectionTimeout 0248 @UStrArrayClr 0250 @IntfClear 0256 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 89 43 0C 80 78 04 00 74 08 83 CE FF E9 D6 01 00 00 8B 43 0C 80 78 14 00 0F 84 CE 00 00 00 83 78 0C 00 0F 8E C4 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 50 0C 52 8B CB 85 C9 74 03 83 E9 EC 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 08 50 8B 43 0C 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 8B 00 85 C0 74 08 8B 53 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C 80 78 04 00 0F 84 1A 01 00 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F4 00 00 00 8B 73 0C 80 7E 14 00 0F 85 D3 00 00 00 8B C6 8B 10 FF 52 08 85 C0 0F 8E C4 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 73 0C 8B C6 8B 10 FF 52 08 50 8B CB 85 C9 74 03 83 E9 F0 8B D6 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 08 50 8B 43 0C 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 8B 00 85 C0 74 08 8B 53 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C 80 78 04 00 74 37 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 14 8B 45 08 50 8B 43 0C 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 8B 43 0C C6 40 14 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12897_0 {
	meta:
		name = "TDBXIdTCPLayer.ReadData"
		size = 332
		refs = "0020 TDBXIdTCPLayer.ReadData 00b1 Move 00fc @IntfClear 010d IIPIOHandler 0117 @FinalizeArray 0130 TArray<System.Byte> 0135 @DynArrayClear 013b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 4D F0 8B 75 08 4E 8D 55 E8 8B 45 F8 8B 40 10 8B 08 FF 51 18 8B 45 E8 8B 10 FF 52 18 8B 55 F4 8B 4D F0 88 04 0A FF 45 F0 C7 45 EC 01 00 00 00 8D 55 E0 8B 45 F8 8B 40 10 8B 08 FF 51 18 8B 45 E0 8D 55 E4 8B 08 FF 51 1C 8B 45 E4 8B 10 FF 52 14 8B D8 EB 61 3B DE 7C 02 8B DE 6A 00 8D 55 DC 8B 45 F8 8B 40 10 8B 08 FF 51 18 8B 45 DC 8D 55 FC 8B CB 8B 38 FF 57 20 8B 45 F4 8B 55 F0 8D 14 10 8B 45 FC 8B CB E8 ?? ?? ?? ?? 01 5D F0 01 5D EC 2B F3 8D 55 D4 8B 45 F8 8B 40 10 8B 08 FF 51 18 8B 45 D4 8D 55 D8 8B 08 FF 51 1C 8B 45 D8 8B 10 FF 52 14 8B D8 85 F6 7E 04 85 DB 7F 97 8B 5D EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B7 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12898_0 {
	meta:
		name = "TDBXIdTCPLayer.Terminate"
		size = 93
		refs = "000c TDBXIdTCPLayer.Terminate 0025 TDBXCommunicationLayer.Terminate 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 10 00 74 20 80 7B 04 00 75 1A 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 43 10 8B 08 FF 51 18 8B 45 FC 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_12899_0 {
	meta:
		name = "TDBXIdTCPLayer.Write"
		size = 117
		refs = "0012 TDBXIdTCPLayer.Write 005f @IntfClear 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 04 00 74 05 83 CB FF EB 27 83 7B 10 00 74 1E 57 8D 55 FC 8B 43 10 8B 08 FF 51 18 8B 45 FC 8B 4D 08 8B D6 8B 18 FF 53 24 8B 5D 08 EB 03 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12900_0 {
	meta:
		name = "Finalization"
		size = 108
		refs = "0002 _DV_4 0009 Finalization 000e TDBXCommunicationLayerFactory.UnregisterLayer 001d _Dn_TTransportCypherFilter 0022 TTransportFilterFactory.UnregisterFilter 0027 _Dn_TRSAFilter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 28 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 78 00 74 00 63 00 70 00 2F 00 69 00 70 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 74 00 63 00 70 00 2F 00 69 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_12901_0 {
	meta:
		name = "Data.DbxSocketChannelNative"
		size = 120
		refs = "0002 _DV_4 000b _DV_TDBXTCPLayer 0010 Data.DbxSocketChannelNative 0015 TDBXCommunicationLayerFactory.RegisterLayer 001b _DV_TDBXIdTCPLayer 002a _Dn_TTransportCypherFilter 002f TTransportFilterFactory.RegisterFilter 0034 _Dn_TRSAFilter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 34 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 78 00 74 00 63 00 70 00 2F 00 69 00 70 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 74 00 63 00 70 00 2F 00 69 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_12902_0 {
	meta:
		name = "TDBXSqlScanner.Create"
		size = 136
		refs = "000f @ClassCreate 0022 TObject.Create 002c @UStrAsg 0048 TDBXSqlScanner.ToQuoteChar 0070 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 0C 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 04 8B D7 E8 ?? ?? ?? ?? 8D 43 08 8B 55 08 E8 ?? ?? ?? ?? 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 66 89 43 10 8B 45 08 E8 ?? ?? ?? ?? 66 89 43 12 8B C6 E8 ?? ?? ?? ?? 66 89 43 14 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_12904_0 {
	meta:
		name = "TDBXSqlScanner.RegisterId"
		size = 161
		refs = "0016 TDBXSqlScanner.RegisterId 0029 _Dn_TDBXObjectStore 002e TStringList.Create 003a _Dn_TDBXInt32Object 003f TDBXInt32Object.Create 004a @WStrFromUStr 0055 WideLowerCase 0060 @UStrFromWStr 006c TDBXObjectStore.SetObjectByName 0086 @WStrArrayClr 008e @UStrClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 18 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 43 18 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12906_0 {
	meta:
		name = "TDBXSqlScanner.Init"
		size = 47
		refs = "000f @UStrAsg 0027 TDBXSqlScanner.ResetId"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8D 43 1C 8B D6 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 89 43 20 89 7B 24 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12907_0 {
	meta:
		name = "TDBXSqlScanner.ToQuoteChar"
		size = 141
		refs = "000c TDBXSqlScanner.ToQuoteChar 0048 SIllegalArgument 004d LoadResString 0057 _Dn_Exception 005c Exception.Create 0061 @RaiseExcept 007b @UStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 04 B0 01 EB 10 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 94 C0 84 C0 74 04 33 DB EB 34 8B C3 85 C0 74 05 83 E8 04 8B 00 48 7E 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 03 0F B7 1B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_12908_0 {
	meta:
		name = "TDBXSqlScanner.LookAtNextToken"
		size = 20
		refs = "000a TDBXSqlScanner.NextToken"
	strings:
		$1 = { 53 56 8B D8 8B 73 24 8B C3 E8 ?? ?? ?? ?? 89 73 24 5E 5B C3 }
	condition:
		$1
}

rule function_12909_0 {
	meta:
		name = "TDBXSqlScanner.NextToken"
		size = 337
		refs = "000a TDBXSqlScanner.ResetId 00bc TDBXSqlScanner.ScanNumber 00d1 TDBXSqlScanner.QuotedToken 00e3 TDBXSqlScanner.PrefixQuotedToken 00ef IsIdentifierStart 00fa TDBXSqlScanner.UnquotedToken 0123 TDBXSqlScanner.SkipToEndOfLine 012c TDBXSqlScanner.ScanSymbol"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B C3 E8 ?? ?? ?? ?? E9 22 01 00 00 8D 73 24 8B 2E FF 06 45 8B 43 1C 0F B7 7C 68 FE 0F B7 C7 83 F8 29 7F 27 74 4C 83 C0 F7 83 E8 02 0F 82 FC 00 00 00 83 E8 02 0F 84 F3 00 00 00 83 E8 13 0F 84 EA 00 00 00 83 E8 08 74 19 EB 76 83 E8 2C 74 32 83 E8 02 74 3D 83 C0 FE 83 E8 0A 72 55 48 74 42 EB 5F 66 89 7B 36 C7 04 24 FA FF FF FF E9 CF 00 00 00 66 89 7B 36 C7 04 24 F9 FF FF FF E9 BF 00 00 00 66 89 7B 36 C7 04 24 FD FF FF FF E9 AF 00 00 00 66 89 7B 36 C7 04 24 FC FF FF FF E9 9F 00 00 00 66 89 7B 36 C7 04 24 FB FF FF FF E9 8F 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 E9 80 00 00 00 66 3B 7B 14 75 0C 8B C3 E8 ?? ?? ?? ?? 89 04 24 EB 6E 66 3B 7B 10 75 0C 8B C3 E8 ?? ?? ?? ?? 89 04 24 EB 5C 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? 89 04 24 EB 45 66 83 FF 2D 75 20 8B 43 24 3B 43 20 7D 18 8B 43 24 40 8B 53 1C 66 83 7C 42 FE 2D 75 09 8B C3 E8 ?? ?? ?? ?? EB 0C 8B C3 E8 ?? ?? ?? ?? 89 04 24 EB 13 8B 43 24 3B 43 20 0F 8C D2 FE FF FF C7 04 24 FF FF FF FF 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12910_0 {
	meta:
		name = "TDBXSqlScanner.GetId"
		size = 139
		refs = "0010 TDBXSqlScanner.GetId 0033 @UStrCopy 004f TDBXMetaDataUtil.UnquotedIdentifier 005a @UStrAsg 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 30 00 75 3E 8D 43 30 50 8B 4B 2C 8B 73 28 2B CE 8B D6 42 8B 43 1C E8 ?? ?? ?? ?? 80 7B 35 00 74 21 8B 43 08 50 8D 45 FC 50 8B 4B 04 8B 53 0C 8B 43 30 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 30 E8 ?? ?? ?? ?? 8B C7 8B 53 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12911_0 {
	meta:
		name = "TDBXSqlScanner.IsKeyword"
		size = 97
		refs = "000f TDBXSqlScanner.IsKeyword 0025 TDBXSqlScanner.GetId 002f @UStrEqual 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 34 00 74 16 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12912_0 {
	meta:
		name = "TDBXSqlScanner.ResetId"
		size = 37
		refs = "0007 @UStrClr"
	strings:
		$1 = { 53 8B D8 8D 43 30 E8 ?? ?? ?? ?? 33 C0 89 43 28 33 C0 89 43 2C C6 43 34 00 C6 43 35 00 66 C7 43 36 00 00 5B C3 }
	condition:
		$1
}

rule function_12913_0 {
	meta:
		name = "TDBXSqlScanner.ScanNumber"
		size = 83
	strings:
		$1 = { 56 57 8B 50 24 4A 89 50 28 EB 2F 8D 50 24 8B 32 FF 02 46 8B 50 1C 0F B7 4C 72 FE 66 83 E9 2E 74 19 83 C1 FE 66 83 E9 0A 72 10 FF 48 24 8B 50 24 89 50 2C BF F8 FF FF FF EB 14 8B 50 24 3B 50 20 7C C9 8B 50 24 4A 89 50 2C BF F8 FF FF FF 8B C7 5F 5E C3 }
	condition:
		$1
}

rule function_12914_0 {
	meta:
		name = "TDBXSqlScanner.QuotedToken"
		size = 119
	strings:
		$1 = { 56 57 83 C4 F8 8B 50 24 4A 89 50 28 EB 52 8D 50 24 8B 32 FF 02 46 8B 50 1C 0F B7 4C 72 FE 66 3B 48 14 75 3C 8B 50 24 3B 50 20 74 12 8B 50 24 42 8B 48 1C 0F B7 54 51 FE 66 3B 50 14 74 17 8B 50 24 89 50 2C C6 40 34 01 C6 40 35 01 C7 04 24 FE FF FF FF EB 1A 8D 78 24 8B 17 89 54 24 04 FF 07 8B 50 24 3B 50 20 7C A6 C7 04 24 F6 FF FF FF 8B 04 24 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_12915_0 {
	meta:
		name = "TDBXSqlScanner.PrefixQuotedToken"
		size = 72
	strings:
		$1 = { 56 57 8B 50 24 4A 89 50 28 EB 2B 8D 50 24 8B 32 FF 02 46 8B 50 1C 0F B7 4C 72 FE 66 3B 48 12 75 15 8B 50 24 89 50 2C C6 40 34 01 C6 40 35 01 BF FE FF FF FF EB 0D 8B 50 24 3B 50 20 7C CD BF F6 FF FF FF 8B C7 5F 5E C3 }
	condition:
		$1
}

rule function_12916_0 {
	meta:
		name = "TDBXSqlScanner.UnquotedToken"
		size = 236
		refs = "0014 TDBXSqlScanner.UnquotedToken 0047 IsIdentifierPart 0073 TDBXSqlScanner.GetId 007e @WStrFromUStr 0089 WideLowerCase 0094 @UStrFromWStr 009e TDBXObjectStore.GetObjectFromName 00a7 TDBXInt32Object.IntValue 00c2 @UStrClr 00cf @WStrArrayClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC FE FF FF FF 8B 43 24 48 89 43 28 EB 26 8D 73 24 8B 06 89 45 F8 FF 06 8B 45 F8 40 8B 53 1C 0F B7 7C 42 FE 8B C7 E8 ?? ?? ?? ?? 84 C0 75 05 FF 4B 24 EB 08 8B 43 24 3B 43 20 7C D2 8B 43 24 89 43 2C C6 43 34 01 8B 73 18 85 F6 74 41 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 85 C0 74 08 E8 ?? ?? ?? ?? 89 45 FC 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12917_0 {
	meta:
		name = "TDBXSqlScanner.ScanSymbol"
		size = 22
	strings:
		$1 = { 8B 50 24 42 8B 48 1C 0F B7 54 51 FC 66 89 50 36 B8 F7 FF FF FF C3 }
	condition:
		$1
}

rule function_12918_0 {
	meta:
		name = "TDBXSqlScanner.SkipToEndOfLine"
		size = 45
	strings:
		$1 = { 56 66 BA 2D 00 EB 10 8D 48 24 8B 31 FF 01 46 8B 50 1C 0F B7 54 72 FE 66 83 FA 0D 74 0E 66 83 FA 0A 74 08 8B 50 24 3B 50 20 7C DC 5E C3 }
	condition:
		$1
}

rule function_12921_0 {
	meta:
		name = "TDBXBinaryStream.Create"
		size = 101
		refs = "000a @ClassCreate 0017 TObject.Create 0027 TArray<System.Byte> 002c @DynArraySetLength 003f TDBXInt32s 0052 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 20 8D 46 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 01 8D 46 1C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12922_0 {
	meta:
		name = "TDBXBinaryStream.Destroy"
		size = 78
		refs = "0003 @BeforeDestruction 0010 TArray<System.Byte> 0015 @DynArrayClear 001e TDBXInt32s 003c TObject.Destroy 0047 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12923_0 {
	meta:
		name = "TDBXBinaryStream.SetMinBufferSize"
		size = 43
		refs = "0016 TArray<System.Byte> 001b @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 0C 7E 1D 56 8D 43 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 89 73 0C 89 73 2C 5E 5B C3 }
	condition:
		$1
}

rule function_12924_0 {
	meta:
		name = "TDBXBinaryStream.Growbuf"
		size = 191
		refs = "0013 TDBXBinaryStream.Growbuf 002b TArray<System.Byte> 0030 @DynArraySetLength 0044 @DynArrayAsg 0071 Move 008a @DynArrayLength 00ad @FinalizeArray 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 03 73 0C 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F8 8B 53 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 43 0C 85 C0 7E 13 8B 4D F8 33 F6 03 CE 8B 75 F4 8D 14 16 91 E8 ?? ?? ?? ?? 8D 43 08 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 43 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12925_0 {
	meta:
		name = "TDBXBinaryStream.SkipNullTermString"
		size = 78
	strings:
		$1 = { 8B 50 10 80 78 04 00 74 1B 42 EB 03 83 C2 02 8B 48 08 80 3C 11 00 75 F4 8B 48 08 80 7C 11 01 00 75 EA EB 23 42 EB 03 83 C2 03 8B 48 08 80 3C 11 00 75 F4 8B 48 08 80 7C 11 01 00 75 EA 8B 48 08 80 7C 11 02 00 75 E0 42 2B 50 10 8B C2 C3 }
	condition:
		$1
}

rule function_12926_0 {
	meta:
		name = "TDBXBinaryStream.Skip"
		size = 6
	strings:
		$1 = { 01 50 10 8B C2 C3 }
	condition:
		$1
}

rule function_12927_0 {
	meta:
		name = "TDBXBinaryStream.SkipField"
		size = 233
		refs = "00cc TDBXFieldPacker.GetBlobHeaderLength 00d9 TDBXBinaryStream.SkipNullTermString"
	strings:
		$1 = { 53 8B D8 8B 43 08 8B 53 10 0F B6 04 10 A8 80 74 0A B8 01 00 00 00 E9 C6 00 00 00 B1 20 22 C8 80 F9 20 75 0B 24 1F 0F B6 C0 40 E9 B2 00 00 00 3C 02 75 0A B8 01 00 00 00 E9 A4 00 00 00 B1 10 22 C8 80 F9 10 75 25 8B 43 08 0F B6 44 10 01 24 FF 0F B6 C0 C1 E0 08 8B 4B 08 0F B6 54 11 02 80 E2 FF 0F B6 D2 0B C2 83 C0 03 EB 76 B1 40 22 C8 80 F9 40 75 4B 8B 43 08 0F B6 44 10 01 24 FF 0F B6 C0 C1 E0 18 8B 4B 08 0F B6 4C 11 02 80 E1 FF 0F B6 C9 C1 E1 10 0B C1 8B 4B 08 0F B6 4C 11 03 80 E1 FF 0F B6 C9 C1 E1 08 0B C1 8B 4B 08 0F B6 54 11 04 80 E2 FF 0F B6 D2 0B C2 83 C0 05 EB 22 B1 08 22 C8 80 F9 08 75 0A 8B 43 08 E8 ?? ?? ?? ?? EB 0F 84 C0 75 09 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 01 43 10 FF 43 14 5B C3 }
	condition:
		$1
}

rule function_12928_0 {
	meta:
		name = "TDBXBinaryStream.ReadBoolean"
		size = 23
	strings:
		$1 = { 8D 50 10 8B 0A FF 02 8B 50 08 F6 04 0A 40 0F 95 C2 FF 40 14 8B C2 C3 }
	condition:
		$1
}

rule function_12929_0 {
	meta:
		name = "TDBXBinaryStream.ReadByte"
		size = 45
		refs = "001a TDBXFieldPacker.UnpackAsciiShort"
		altNames = "TDBXBinaryStream.ReadInt16 TDBXBinaryStream.ReadInt8"
	strings:
		$1 = { 53 56 8B D8 8B 53 08 8B 43 10 0F B6 14 02 80 E2 1F 0F B6 F2 8B D0 8B 43 08 E8 ?? ?? ?? ?? 8B 53 10 42 03 F2 89 73 10 FF 43 14 5E 5B C3 }
	condition:
		$1
}

rule function_12931_0 {
	meta:
		name = "TDBXBinaryStream.ReadInt32"
		size = 45
		refs = "001a TDBXFieldPacker.UnpackAsciiInt"
	strings:
		$1 = { 53 56 8B D8 8B 53 08 8B 43 10 0F B6 14 02 80 E2 1F 0F B6 F2 8B D0 8B 43 08 E8 ?? ?? ?? ?? 8B 53 10 42 03 F2 89 73 10 FF 43 14 5E 5B C3 }
	condition:
		$1
}

rule function_12933_0 {
	meta:
		name = "TDBXBinaryStream.ReadInt64"
		size = 81
		refs = "001d TDBXFieldPacker.UnpackAsciiLong"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B 53 08 8B 43 10 0F B6 14 02 80 E2 1F 0F B6 F2 8B D0 8B 43 08 E8 ?? ?? ?? ?? 89 44 24 08 89 54 24 0C 8B 43 10 40 03 F0 89 73 10 FF 43 14 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B 04 24 8B 54 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_12935_0 {
	meta:
		name = "TDBXBinaryStream.ReadDoubleAsInt64"
		size = 81
		refs = "001d TDBXFieldPacker.UnpackDoubleAsInt64"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B 53 08 8B 43 10 0F B6 14 02 80 E2 1F 0F B6 F2 8B D0 8B 43 08 E8 ?? ?? ?? ?? 89 44 24 08 89 54 24 0C 8B 43 10 40 03 F0 89 73 10 FF 43 14 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B 04 24 8B 54 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_12934_0 {
	meta:
		name = "TDBXBinaryStream.ReadSingle"
		size = 65
		refs = "001d TDBXFieldPacker.UnpackFloat"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B 53 08 8B 43 10 0F B6 14 02 80 E2 1F 0F B6 F2 8B D0 8B 43 08 E8 ?? ?? ?? ?? D9 5C 24 04 9B 8B 43 10 40 03 F0 89 73 10 FF 43 14 8B 44 24 04 89 04 24 D9 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_12936_0 {
	meta:
		name = "TDBXBinaryStream.ReadDouble"
		size = 74
		refs = "001d TDBXFieldPacker.UnpackDouble"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B 53 08 8B 43 10 0F B6 14 02 80 E2 1F 0F B6 F2 8B D0 8B 43 08 E8 ?? ?? ?? ?? DD 5C 24 08 9B 8B 43 10 40 03 F0 89 73 10 FF 43 14 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 DD 04 24 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_12937_0 {
	meta:
		name = "TDBXBinaryStream.ReadTimestamp"
		size = 138
		refs = "0035 TDBXFieldPacker.UnpackAsciiLong 005e TDBXFieldPacker.UnpackInt"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B D8 8B 73 10 8D 43 10 8B 10 FF 00 8B 43 08 0F B6 04 10 24 1F 0F B6 F8 8B 53 08 8B 43 10 0F B6 14 02 80 E2 1F 0F B6 EA 8B D0 8B 43 08 E8 ?? ?? ?? ?? 89 44 24 08 89 54 24 0C 8B 43 10 40 03 E8 89 6B 10 33 C0 89 43 28 03 FE 8B 6B 10 3B FD 7E 11 8B D5 8B 43 08 E8 ?? ?? ?? ?? 89 43 28 83 43 10 04 FF 43 14 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B 04 24 8B 54 24 04 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12939_0 {
	meta:
		name = "TDBXBinaryStream.ReadBigDecimalBuffer"
		size = 164
		refs = "000d TDBXBinaryStream.ReadBigDecimalBuffer 006b TDBXFieldPacker.UnpackBigDecimal 008e TArray<System.Byte> 0093 @DynArrayClear 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B 53 10 0F B6 04 10 BE 1F 00 00 00 23 F0 4E 8B 4B 08 0F B6 54 11 01 80 E2 7F 0F B6 D2 89 53 20 A8 40 75 09 C7 43 24 FF FF FF FF EB 12 85 F6 7E 09 C7 43 24 01 00 00 00 EB 05 33 C0 89 43 24 8B 43 1C 50 8D 45 FC 50 8B 4B 18 8B 53 10 8B 43 08 E8 ?? ?? ?? ?? 8B 43 10 40 03 F0 46 89 73 10 FF 43 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_12940_0 {
	meta:
		name = "TDBXBinaryStream.BigDecimalFitsInInt64"
		size = 30
	strings:
		$1 = { 8B 50 1C 83 3A 08 7C 13 8B 50 1C 83 3A 08 75 08 8B 40 18 F6 00 80 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_12941_0 {
	meta:
		name = "TDBXBinaryStream.GetBigDecimalBufferAsInt64"
		size = 128
	strings:
		$1 = { 53 56 83 C4 F0 8B F0 8B 46 1C 8B 00 83 F8 08 7C 05 B8 08 00 00 00 C7 44 24 08 00 00 00 00 C7 44 24 0C 00 00 00 00 8B C8 49 85 C9 7C 37 41 33 DB 8B 44 24 08 8B 54 24 0C 0F A4 C2 08 C1 E0 08 89 44 24 08 89 54 24 0C 8B 46 18 0F B6 04 18 33 D2 0B 44 24 08 0B 54 24 0C 89 44 24 08 89 54 24 0C 43 49 75 CC 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B 04 24 8B 54 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_12942_0 {
	meta:
		name = "TDBXBinaryStream.GetBigDecimalLength"
		size = 6
	strings:
		$1 = { 8B 40 1C 8B 00 C3 }
	condition:
		$1
}

rule function_12943_0 {
	meta:
		name = "TDBXCharDecoder.InitDecoder"
		size = 20
	strings:
		$1 = { C7 40 10 FF FF FF FF C6 40 04 00 C6 40 05 00 C6 40 18 00 C3 }
	condition:
		$1
}

rule function_12944_0 {
	meta:
		name = "TDBXCharDecoder.GrowDecodeBufTo"
		size = 284
		refs = "0011 TDBXCharDecoder.GrowDecodeBufTo 002b _Dn_Exception 0030 Exception.Create 0035 @RaiseExcept 0056 TDBXWideChars 005b @DynArraySetLength 0075 @DynArrayAsg 00a3 Move 00d6 @FinalizeArray 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F2 80 7B 19 00 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 7D 05 BE 10 00 00 00 3B 73 08 7E 70 89 73 08 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 7B 14 00 74 3F 8D 45 F8 8B 53 14 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 8B 53 10 8B 4D F8 33 F6 8D 0C 71 8B 75 F4 8D 04 46 03 D2 91 87 CA E8 ?? ?? ?? ?? 8D 43 14 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 55 00 6E 00 65 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 20 00 67 00 72 00 6F 00 77 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_12945_0 {
	meta:
		name = "TDBXCharDecoder.Decode"
		size = 205
		refs = "002e TDBXCharDecoder.DecodeChars 0098 TDBXCharDecoder.GrowDecodeBufTo"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D F8 89 55 FC 8B F8 8B 75 F8 8B C6 03 45 08 89 45 F0 80 7F 04 00 74 18 8B 45 F0 50 8B CE 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 88 45 F7 E9 86 00 00 00 3B 75 F0 7D 7D 8B 45 FC 0F B6 1C 30 84 DB 75 0C 80 7F 0C 00 74 06 C6 45 F7 01 EB 6A 80 FB FF 75 1A C6 47 04 01 46 8B 45 F0 50 8B CE 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 88 45 F7 EB 4B 8D 47 10 89 45 EC 8B 45 EC FF 00 8B 45 EC 8B 00 89 45 E8 8B 47 08 3B 45 E8 7F 16 8B 57 08 03 D2 8B C7 E8 ?? ?? ?? ?? 84 C0 75 06 C6 45 F7 00 EB 1A 8B 47 14 8B 57 10 80 E3 FF 0F B6 CB 66 89 0C 50 46 3B 75 F0 7C 83 C6 45 F7 01 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12946_0 {
	meta:
		name = "TDBXCharDecoder.DecodeChars"
		size = 284
		refs = "0058 TDBXCharDecoder.GrowDecodeBufTo"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 8B FA 8B D8 8B 45 FC 89 45 F4 8B 45 08 89 45 F0 8B 45 F4 FF 4D F4 83 6D F0 02 80 7B 05 00 74 4B FF 45 F4 8B 45 F4 0F B6 04 07 24 FF 0F B6 F0 0F B6 43 06 C1 E0 08 66 0B F0 FF 43 10 8B 43 08 3B 43 10 7F 19 8B 53 08 03 D2 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 C6 45 FB 00 E9 A6 00 00 00 8B 43 14 8B 53 10 66 89 34 50 C6 43 05 00 8B 45 F4 3B 45 F0 7D 73 FF 45 F4 8B 45 F4 89 45 EC FF 45 F4 8B 45 F4 89 45 E8 8B 45 EC 0F B6 04 07 24 FF 0F B6 F0 C1 E6 08 8B 45 E8 0F B6 04 07 66 25 FF 00 66 0B F0 66 85 F6 75 0C 80 7B 0C 00 74 06 C6 45 FB 01 EB 50 FF 43 10 8B 43 08 3B 43 10 7F 16 8B 53 08 03 D2 8B C3 E8 ?? ?? ?? ?? 84 C0 75 06 C6 45 FB 00 EB 2F 8B 43 14 8B 53 10 66 89 34 50 8B 45 F4 3B 45 F0 7C 8D 8B 45 F4 3B 45 F0 75 11 FF 45 F4 8B 45 F4 0F B6 04 07 88 43 06 C6 43 05 01 C6 45 FB 01 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_12947_0 {
	meta:
		name = "TDBXCharDecoder.AddNullChar"
		size = 38
		refs = "0014 TDBXCharDecoder.GrowDecodeBufTo"
	strings:
		$1 = { 53 8B D8 FF 43 10 8B 43 08 3B 43 10 7F 0A 8B D0 42 8B C3 E8 ?? ?? ?? ?? 8B 43 14 8B 53 10 66 C7 04 50 00 00 5B C3 }
	condition:
		$1
}

rule function_12948_0 {
	meta:
		name = "TDBXCharDecoder.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0010 TDBXWideChars 0015 @DynArrayClear 0020 TObject.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13165_0 {
	meta:
		name = "TDBXStringDecoder.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0010 TDBXWideChars 0015 @DynArrayClear 0020 TDBXCharDecoder.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_12949_0 {
	meta:
		name = "TDBXFieldPacker.UnpackInt"
		size = 77
	strings:
		$1 = { 51 89 14 24 8B 14 24 0F B6 14 10 C1 E2 18 FF 04 24 8B 0C 24 0F B6 0C 08 80 E1 FF 0F B6 C9 C1 E1 10 0B D1 FF 04 24 8B 0C 24 0F B6 0C 08 80 E1 FF 0F B6 C9 C1 E1 08 0B D1 FF 04 24 8B 0C 24 0F B6 04 08 24 FF 0F B6 C0 0B D0 8B C2 5A C3 }
	condition:
		$1
}

rule function_12950_0 {
	meta:
		name = "TDBXFieldPacker.PackInt"
		size = 56
	strings:
		$1 = { 53 51 89 14 24 8B D1 C1 EA 18 8B 1C 24 88 14 18 FF 04 24 8B 14 24 8B D9 C1 EB 10 88 1C 10 FF 04 24 8B 14 24 8B D9 C1 EB 08 88 1C 10 FF 04 24 8B 14 24 88 0C 10 5A 5B C3 }
	condition:
		$1
}

rule function_12951_0 {
	meta:
		name = "TDBXFieldPacker.RepackRealForIndex"
		size = 204
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 57 89 45 FC 8B 75 0C 8B FA 8B 45 FC 0F B6 04 38 BA 1F 00 00 00 23 D0 89 55 F8 A8 80 74 0D 88 04 31 B8 01 00 00 00 E9 92 00 00 00 0F B6 55 08 2A 55 F8 02 D0 88 14 31 A8 40 74 3F 8B 45 F8 48 85 C0 7C 1A 40 C7 45 F4 00 00 00 00 46 47 8B 55 FC 0F B6 14 3A 88 14 31 FF 45 F4 48 75 EE 8B 45 F4 3B 45 08 7D 54 46 C6 04 31 00 8B 45 F4 FF 45 F4 8B 45 F4 3B 45 08 7C ED EB 3F 8B 45 F8 48 85 C0 7C 1C 40 C7 45 F4 00 00 00 00 46 47 8B 55 FC 0F B6 14 3A F6 D2 88 14 31 FF 45 F4 48 75 EC 8B 45 F4 3B 45 08 7D 13 46 C6 04 31 FF 8B 45 F4 FF 45 F4 8B 45 F4 3B 45 08 7C ED 8B 45 08 40 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12952_0 {
	meta:
		name = "TDBXFieldPacker.UnpackDoubleAsInt64"
		size = 231
	strings:
		$1 = { 53 56 57 83 C4 EC 8B F0 8B CA 0F B6 3C 0E B8 1F 00 00 00 23 C7 C7 44 24 08 00 00 00 00 C7 44 24 0C 00 00 00 00 8B D8 4B 85 DB 7C 43 43 C7 44 24 10 00 00 00 00 8B 44 24 08 8B 54 24 0C 0F A4 C2 08 C1 E0 08 89 44 24 08 89 54 24 0C 41 0F B6 04 0E 24 FF 0F B6 C0 33 D2 0B 44 24 08 0B 54 24 0C 89 44 24 08 89 54 24 0C FF 44 24 10 4B 75 C6 83 7C 24 10 08 7D 26 8B 44 24 08 8B 54 24 0C 0F A4 C2 08 C1 E0 08 89 44 24 08 89 54 24 0C 8B 4C 24 10 FF 44 24 10 83 7C 24 10 08 7C DA F7 C7 40 00 00 00 75 26 83 7C 24 0C 00 75 09 83 7C 24 08 00 72 18 EB 02 7C 14 8B 44 24 08 8B 54 24 0C F7 D0 F7 D2 89 44 24 08 89 54 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B 04 24 8B 54 24 04 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12953_0 {
	meta:
		name = "TDBXFieldPacker.UnpackDouble"
		size = 42
		refs = "000e TDBXFieldPacker.UnpackDoubleAsInt64 0015 _Dn_TDBXPlatform 001a TDBXPlatform.Int64BitsToDouble"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 52 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_12954_0 {
	meta:
		name = "TDBXFieldPacker.PackDouble"
		size = 250
		refs = "001a _Dn_TDBXPlatform 001f TDBXPlatform.DoubleToInt64Bits 00e5 TDBXFieldPacker.RepackRealForIndex"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 88 4D FF 8B F2 8B D8 89 75 F8 FF 75 0C FF 75 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 8B 45 F4 33 D2 8B C8 8B 45 F0 85 C9 7D 09 8B 55 F8 C6 04 13 20 EB 07 8B 55 F8 C6 04 13 60 85 C0 75 1B 85 C9 74 7B FF 45 F8 8B C1 C1 E8 18 8B 55 F8 88 04 13 C1 E1 08 85 C9 75 EB EB 64 FF 45 F8 8B 55 F8 89 55 EC 8B D1 C1 EA 18 8B 7D EC 88 14 3B FF 45 F8 8B 55 F8 89 55 E8 8B D1 C1 EA 10 8B 7D E8 88 14 3B FF 45 F8 8B 55 F8 89 55 E4 8B D1 C1 EA 08 8B 7D E4 88 14 3B FF 45 F8 8B 55 F8 89 55 E0 8B 55 E0 88 0C 13 85 C0 74 15 FF 45 F8 8B D0 C1 EA 18 8B 4D F8 88 14 0B C1 E0 08 85 C0 75 EB 0F B6 45 F8 8B D6 2A C2 08 04 33 80 7D FF 00 74 10 56 6A 08 8B CB 8B D6 8B C3 E8 ?? ?? ?? ?? EB 06 8B 45 F8 2B C6 40 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12955_0 {
	meta:
		name = "TDBXFieldPacker.UnpackFloat"
		size = 119
		refs = "0066 TDBXPlatform.Int32BitsToSingle"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B CA 0F B6 3C 08 BB 1F 00 00 00 23 DF 33 D2 8B F3 4E 85 F6 7C 20 46 C7 44 24 04 00 00 00 00 C1 E2 08 41 0F B6 1C 08 80 E3 FF 0F B6 DB 0B D3 FF 44 24 04 4E 75 E9 83 7C 24 04 04 7D 12 C1 E2 08 8B 44 24 04 FF 44 24 04 83 7C 24 04 04 7C EE F7 C7 40 00 00 00 75 06 85 D2 7C 02 F7 D2 8B C2 E8 ?? ?? ?? ?? D9 1C 24 9B D9 04 24 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12956_0 {
	meta:
		name = "TDBXFieldPacker.PackFloat"
		size = 112
		refs = "0017 TDBXPlatform.SingleToInt32Bits 005c TDBXFieldPacker.RepackRealForIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 88 4D FB 89 55 FC 8B F0 8B 5D FC FF 75 08 E8 ?? ?? ?? ?? 85 C0 7D 06 C6 04 1E 20 EB 04 C6 04 1E 60 85 C0 74 10 43 8B D0 C1 EA 18 88 14 1E C1 E0 08 85 C0 75 F0 8B C3 2A 45 FC 8B 55 FC 08 04 16 80 7D FB 00 74 14 8B 45 FC 50 6A 04 8B CE 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 06 8B C3 2B 45 FC 40 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12957_0 {
	meta:
		name = "TDBXFieldPacker.PackAsciiShort"
		size = 90
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B F2 8B C1 85 C0 7D 11 8B 4D FC C6 04 31 20 80 7D 08 00 74 0B F7 D8 EB 07 8B 4D FC C6 04 31 60 85 C0 74 21 8B C8 C1 E9 08 84 C9 74 07 46 8B 5D FC 88 0C 33 46 8B 4D FC 88 04 31 8B C6 2A C2 8B 4D FC 08 04 11 8B C6 2B C2 40 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12958_0 {
	meta:
		name = "TDBXFieldPacker.PackAsciiInt"
		size = 130
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B F2 8B C1 85 C0 7D 11 8B 4D FC C6 04 31 20 80 7D 08 00 74 0B F7 D8 EB 07 8B 4D FC C6 04 31 60 85 C0 74 49 8B C8 C1 E9 18 84 C9 74 07 46 8B 5D FC 88 0C 33 8B C8 C1 E9 10 84 C9 75 04 3B D6 7D 07 46 8B 5D FC 88 0C 33 8B C8 C1 E9 08 84 C9 75 04 3B D6 7D 07 46 8B 5D FC 88 0C 33 46 8B 4D FC 88 04 31 8B C6 2A C2 8B 4D FC 08 04 11 8B C6 2B C2 40 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_12959_0 {
	meta:
		name = "TDBXFieldPacker.PackAsciiLong"
		size = 284
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 88 4D FB 8B F2 89 45 FC 8B DE 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 83 7D F4 00 75 08 83 7D F0 00 73 26 EB 02 7D 22 8B 45 FC C6 04 18 20 80 7D FB 00 74 1C 8B 45 F0 8B 55 F4 F7 D8 83 D2 00 F7 DA 89 45 F0 89 55 F4 EB 07 8B 45 FC C6 04 18 60 83 7D F4 00 75 04 83 7D F0 00 0F 84 A8 00 00 00 8B 45 F4 33 D2 8B D0 85 D2 74 44 8B C2 C1 E8 18 85 C0 74 07 43 8B 4D FC 88 04 19 8B C2 C1 E8 10 85 C0 75 04 3B F3 7D 07 43 8B 4D FC 88 04 19 8B C2 C1 E8 08 25 FF 00 00 00 85 C0 75 04 3B F3 7D 07 43 8B 4D FC 88 04 19 43 8B 45 FC 88 14 18 8B 45 F0 8B 55 F4 33 D2 8B D0 8B C2 C1 E8 18 85 C0 75 04 3B F3 7D 07 43 8B 4D FC 88 04 19 8B C2 C1 E8 10 85 C0 75 04 3B F3 7D 07 43 8B 4D FC 88 04 19 8B C2 C1 E8 08 85 C0 75 04 3B F3 7D 07 43 8B 4D FC 88 04 19 43 8B 45 FC 88 14 18 8B C3 8B D6 2A C2 8B 55 FC 08 04 32 8B C3 2B C6 40 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12960_0 {
	meta:
		name = "TDBXFieldPacker.PackStringHeader"
		size = 69
	strings:
		$1 = { 53 51 89 14 24 83 F9 1F 7F 0E 8B 14 24 FF 04 24 80 C1 20 88 0C 10 EB 27 8B 14 24 FF 04 24 C6 04 10 10 8B 14 24 FF 04 24 8B D9 C1 EB 08 80 E3 FF 88 1C 10 8B 14 24 FF 04 24 80 E1 FF 88 0C 10 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_12961_0 {
	meta:
		name = "TDBXFieldPacker.UnpackAsciiShort"
		size = 66
	strings:
		$1 = { 53 56 57 8B F8 8B CA 0F B6 04 0F 33 D2 B3 1F 22 D8 0F B6 F3 83 FE 01 7C 17 66 C1 E2 08 41 0F B6 1C 0F 80 E3 FF 0F B6 DB 66 0B D3 4E 85 F6 75 E9 A8 40 75 08 66 85 D2 7E 03 66 F7 DA 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12962_0 {
	meta:
		name = "TDBXFieldPacker.UnpackAsciiInt"
		size = 62
	strings:
		$1 = { 53 56 57 8B F8 8B CA 0F B6 04 0F 33 D2 B3 1F 22 D8 0F B6 F3 83 FE 01 7C 15 C1 E2 08 41 0F B6 1C 0F 80 E3 FF 0F B6 DB 0B D3 4E 85 F6 75 EB A8 40 75 06 85 D2 7E 02 F7 DA 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12963_0 {
	meta:
		name = "TDBXFieldPacker.UnpackAsciiLong"
		size = 173
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8B CA 0F B6 1C 0E C7 44 24 08 00 00 00 00 C7 44 24 0C 00 00 00 00 B0 1F 22 C3 0F B6 F8 83 FF 01 7C 38 8B 44 24 08 8B 54 24 0C 0F A4 C2 08 C1 E0 08 89 44 24 08 89 54 24 0C 41 0F B6 04 0E 24 FF 0F B6 C0 33 D2 0B 44 24 08 0B 54 24 0C 89 44 24 08 89 54 24 0C 4F 85 FF 75 C8 F6 C3 40 75 29 83 7C 24 0C 00 75 09 83 7C 24 08 00 76 1B EB 02 7E 17 8B 44 24 08 8B 54 24 0C F7 D8 83 D2 00 F7 DA 89 44 24 08 89 54 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B 04 24 8B 54 24 04 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_12964_0 {
	meta:
		name = "TDBXFieldPacker.GetBlobHeaderLength"
		size = 26
	strings:
		$1 = { 80 3C 10 08 75 06 B8 05 00 00 00 C3 0F B6 44 10 05 24 1F 0F B6 C0 83 C0 06 C3 }
	condition:
		$1
}

rule function_12965_0 {
	meta:
		name = "TDBXFieldPacker.GetBlobLength"
		size = 57
	strings:
		$1 = { 53 0F B6 4C 10 02 80 E1 FF 0F B6 C9 C1 E1 10 0F B6 5C 10 01 C1 E3 18 0B CB 0F B6 5C 10 03 80 E3 FF 0F B6 DB C1 E3 08 0B CB 0F B6 44 10 04 24 FF 0F B6 C0 0B C8 8B C1 5B C3 }
	condition:
		$1
}

rule function_12966_0 {
	meta:
		name = "TDBXFieldPacker.ComplementIntValue"
		size = 45
		refs = "0009 @DynArrayLength"
	strings:
		$1 = { 53 56 8B F0 B3 01 8B C6 E8 ?? ?? ?? ?? 48 83 F8 00 7C 17 F6 14 06 84 DB 74 0A FE 04 06 80 3C 06 00 0F 94 C3 48 83 F8 FF 75 E9 5E 5B C3 }
	condition:
		$1
}

rule function_12967_0 {
	meta:
		name = "TDBXFieldPacker.PackBigDecimal"
		size = 321
		refs = "002b @DynArrayLength 0074 TDBXFieldPacker.ComplementIntValue"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D F8 89 55 FC 8B F0 8B 45 10 89 45 F4 8B 45 18 89 45 F0 83 6D F4 02 8B 45 FC 89 45 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 0F 8B 45 F8 80 38 00 75 07 BF 01 00 00 00 EB 02 33 FF 8B C3 2B C7 89 45 E8 0F B6 45 08 34 01 84 C0 74 21 83 7D 14 00 74 1B 8B 45 F4 89 45 E8 81 45 F0 80 00 00 00 83 7D 14 00 7D 08 8B 45 F8 E8 ?? ?? ?? ?? 83 7D 14 00 7C 07 B8 40 00 00 00 EB 02 33 C0 8B D3 2B D7 3B 55 F4 7E 08 83 C8 FF E9 A0 00 00 00 8B 55 EC 89 55 E4 FF 45 EC 04 20 40 02 45 E8 8B 55 E4 88 04 16 8B 45 EC FF 45 EC 0F B6 55 F0 88 14 06 0F B6 45 08 34 01 84 C0 74 50 83 7D 14 00 7D 23 8B C3 2B C7 8B 55 F4 4A 2B D0 7C 3E 42 92 8B 55 EC 89 55 E0 FF 45 EC 8B 55 E0 C6 04 16 FF 48 75 ED EB 27 83 7D 14 00 7E 21 8B C3 2B C7 8B 55 F4 4A 2B D0 7C 15 42 92 8B 55 EC 89 55 DC FF 45 EC 8B 55 DC C6 04 16 00 48 75 ED 8B D7 8B C3 48 2B C2 7C 15 40 8B 4D EC FF 45 EC 8B 5D F8 0F B6 1C 13 88 1C 0E 42 48 75 EC 8B 45 EC 2B 45 FC 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_12968_0 {
	meta:
		name = "TDBXFieldPacker.UnpackBigDecimal"
		size = 336
		refs = "001a TDBXFieldPacker.UnpackBigDecimal 002e TArray<System.Byte> 0033 @DynArrayAsg 00b1 @DynArraySetLength 00f8 Move 010a TDBXFieldPacker.ComplementIntValue 013b @FinalizeArray 0141 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F0 8D 45 FC 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 FF 45 F0 0F B6 04 06 BF 1F 00 00 00 23 F8 4F 8B 55 F0 FF 45 F0 0F B6 14 16 F6 C2 80 0F 94 C3 A8 40 75 09 C7 45 EC FF FF FF FF EB 12 85 FF 7E 09 C7 45 EC 01 00 00 00 EB 05 33 C0 89 45 EC 84 DB 75 1F 83 7D EC 00 7D 04 B0 FF EB 08 33 C0 EB 04 FF 45 F0 4F 83 FF 01 7E 08 8B 55 F0 3A 04 16 74 EF 83 7D FC 00 75 19 57 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 05 8B 45 0C 89 38 8D 45 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C7 85 C0 7E 14 8B 4D F8 8B 75 F0 03 CE 8B 75 F4 8D 14 16 91 E8 ?? ?? ?? ?? 84 DB 75 0E 83 7D EC 00 7D 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_12969_0 {
	meta:
		name = "TDBXJSonError.Create"
		size = 79
		refs = "000e @ClassCreate 002a TDBXError.Create 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 0C 50 8B 45 08 50 B9 1E 00 00 00 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 20 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_12970_0 {
	meta:
		name = "TDBXJSonStreamReader.HasMoreBytes"
		size = 10
	strings:
		$1 = { 8B 50 40 3B 50 44 0F 9C C0 C3 }
	condition:
		$1
}

rule function_12971_0 {
	meta:
		name = "TDBXJSonStreamReader.Next"
		size = 948
		refs = "000e TDBXJSonStreamReader.Next 0020 TArray<System.Byte> 0025 @DynArrayAsg 0037 TDBXJSonStreamReader.FillBuffer 015c TDBXJSonStreamReader.UnexpectedString 0355 @DynArrayClear 035b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 3C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 46 40 8B 46 40 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 1C 10 0F B6 C3 83 F8 5B 7F 3B 0F 84 BF 00 00 00 83 F8 22 7F 1D 0F 84 84 00 00 00 83 C0 F7 83 E8 02 72 C3 83 E8 02 74 BE 83 E8 13 74 B9 E9 BE 02 00 00 83 E8 2C 0F 84 84 00 00 00 83 E8 0E 74 6F E9 AB 02 00 00 83 F8 74 7F 26 0F 84 9F 00 00 00 83 E8 5D 0F 84 86 00 00 00 83 E8 09 0F 84 2B 01 00 00 83 E8 08 0F 84 EE 01 00 00 E9 80 02 00 00 83 E8 7B 74 0A 83 E8 02 74 15 E9 71 02 00 00 B8 02 00 00 00 89 46 04 8B 7E 04 E9 6C 02 00 00 B8 03 00 00 00 89 46 04 8B 7E 04 E9 5C 02 00 00 B8 0A 00 00 00 89 46 04 8B 7E 04 E9 4C 02 00 00 B8 0C 00 00 00 89 46 04 8B 7E 04 E9 3C 02 00 00 B8 0D 00 00 00 89 46 04 8B 7E 04 E9 2C 02 00 00 B8 04 00 00 00 89 46 04 8B 7E 04 E9 1C 02 00 00 B8 05 00 00 00 89 46 04 8B 7E 04 E9 0C 02 00 00 FF 46 40 8B 46 40 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 72 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? FF 46 40 8B 46 40 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 75 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? FF 46 40 8B 46 40 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 65 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C6 46 20 01 B8 06 00 00 00 89 46 04 8B 7E 04 E9 6E 01 00 00 FF 46 40 8B 46 40 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 61 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? FF 46 40 8B 46 40 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 6C 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? FF 46 40 8B 46 40 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 73 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? FF 46 40 8B 46 40 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 65 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C6 46 20 00 B8 07 00 00 00 89 46 04 8B 7E 04 E9 A2 00 00 00 FF 46 40 8B 46 40 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 75 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? FF 46 40 8B 46 40 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 6C 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? FF 46 40 8B 46 40 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 6C 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B8 08 00 00 00 89 46 04 8B 7E 04 EB 0B B8 09 00 00 00 89 46 04 8B 7E 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 75 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_12972_0 {
	meta:
		name = "TDBXJSonStreamReader.SkipString"
		size = 110
		refs = "000c TDBXJSonStreamReader.SkipString 001e TArray<System.Byte> 0023 @DynArrayAsg 0035 TDBXJSonStreamReader.FillBuffer 005e @DynArrayClear 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 3C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 40 8B 43 40 3B 43 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 40 0F B6 04 10 2C 22 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_12973_0 {
	meta:
		name = "TDBXJSonStreamReader.SkipToEndOfObject"
		size = 49
		refs = "000c TDBXJSonStreamReader.Next 0020 TDBXJSonStreamReader.SkipString"
	strings:
		$1 = { 53 56 8B F0 BB 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 E8 02 74 14 48 74 0E 83 E8 07 75 0D 8B C6 E8 ?? ?? ?? ?? EB 04 4B EB 01 43 85 DB 7F DB 5E 5B C3 }
	condition:
		$1
}

rule function_12974_0 {
	meta:
		name = "TDBXJSonStreamReader.SkipToEndOfArray"
		size = 49
		refs = "000c TDBXJSonStreamReader.Next 0020 TDBXJSonStreamReader.SkipString"
	strings:
		$1 = { 53 56 8B F0 BB 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 E8 04 74 14 48 74 0E 83 E8 05 75 0D 8B C6 E8 ?? ?? ?? ?? EB 04 4B EB 01 43 85 DB 7F DB 5E 5B C3 }
	condition:
		$1
}

rule function_12975_0 {
	meta:
		name = "TDBXJSonStreamReader.ReadBinaryInt"
		size = 140
		refs = "0014 TDBXJSonStreamReader.FillBuffer"
	strings:
		$1 = { 53 56 8B D8 33 F6 FF 43 40 8B 43 40 3B 43 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B 43 3C 8B 53 40 0F B6 04 10 C1 E0 18 03 F0 FF 43 40 8B 43 40 3B 43 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B 43 3C 8B 53 40 0F B6 04 10 C1 E0 10 03 F0 FF 43 40 8B 43 40 3B 43 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B 43 3C 8B 53 40 0F B6 04 10 C1 E0 08 03 F0 FF 43 40 8B 43 40 3B 43 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B 43 3C 8B 53 40 0F B6 04 10 03 F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12976_0 {
	meta:
		name = "TDBXJSonStreamReader.NextDataStoreHeader"
		size = 192
		refs = "0008 TDBXJSonStreamReader.ReadBinaryInt 002c TDBXJSonStreamReader.FillBuffer 0033 Decr 0040 TDBXJSonStreamReader.NextDataStoreHeader 0047 _Dn_Exception 004c Exception.Create 0051 @RaiseExcept"
	strings:
		$1 = { 53 56 51 8B D8 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C3 E8 ?? ?? ?? ?? 8B F0 83 2C 24 08 EB 12 FF 43 40 8B 43 40 3B 43 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 85 C0 7F E3 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 2A 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 20 00 75 00 73 00 65 00 73 00 20 00 75 00 6E 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 73 00 74 00 72 00 65 00 61 00 6D 00 69 00 6E 00 67 00 20 00 70 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_12977_0 {
	meta:
		name = "TDBXJSonStreamReader.ReadParams"
		size = 756
		refs = "0014 TDBXJSonStreamReader.ReadParams 0026 TArray<System.Byte> 002b @DynArrayAsg 0044 TDBXJSonStreamReader.FillBuffer 00bb TDBXJSonStreamReader.NextString 0280 TDBXJSonStreamReader.Next 02be @DynArrayClear 02c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 D2 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 57 3C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 77 40 FF 06 8B 06 89 45 F4 8B 45 F4 3B 47 44 7E 07 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 57 40 0F B6 1C 10 0F B6 C3 83 F8 20 7F 14 74 D3 83 C0 F7 83 E8 02 72 CB 83 E8 02 74 C6 E9 2F 02 00 00 83 E8 22 74 0A 83 E8 0A 74 B7 E9 20 02 00 00 8D 47 40 89 45 F0 8B 45 F0 FF 00 8B 45 F0 8B 00 89 45 EC 8B 45 EC 3B 47 44 7E 07 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 57 40 0F B6 04 10 66 83 F8 70 74 18 6A 00 33 C9 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 45 F8 E9 E0 01 00 00 8D 47 40 89 45 E8 8B 45 E8 FF 00 8B 45 E8 8B 00 89 45 E4 8B 45 E4 3B 47 44 7E 07 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 57 40 0F B6 04 10 66 83 F8 61 74 18 6A 01 33 C9 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 45 F8 E9 96 01 00 00 8D 47 40 89 45 E0 8B 45 E0 FF 00 8B 45 E0 8B 00 89 45 DC 8B 45 DC 3B 47 44 7E 07 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 57 40 0F B6 04 10 66 83 F8 72 74 18 6A 02 33 C9 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 45 F8 E9 4C 01 00 00 8D 47 40 89 45 D8 8B 45 D8 FF 00 8B 45 D8 8B 00 89 45 D4 8B 45 D4 3B 47 44 7E 07 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 57 40 0F B6 04 10 66 83 F8 61 74 18 6A 03 33 C9 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 45 F8 E9 02 01 00 00 8D 47 40 89 45 D0 8B 45 D0 FF 00 8B 45 D0 8B 00 89 45 CC 8B 45 CC 3B 47 44 7E 07 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 57 40 0F B6 04 10 66 83 F8 6D 74 18 6A 04 33 C9 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 45 F8 E9 B8 00 00 00 8D 47 40 89 45 C8 8B 45 C8 FF 00 8B 45 C8 8B 00 89 45 C4 8B 45 C4 3B 47 44 7E 07 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 57 40 0F B6 04 10 66 83 F8 73 74 15 6A 05 33 C9 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 45 F8 EB 71 8D 47 40 89 45 C0 8B 45 C0 FF 00 8B 45 C0 8B 00 89 45 BC 8B 45 BC 3B 47 44 7E 07 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 57 40 0F B6 04 10 66 83 F8 22 74 15 6A 06 33 C9 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 45 F8 EB 2A 8B C7 E8 ?? ?? ?? ?? 83 F8 0C 75 0C 8B C7 E8 ?? ?? ?? ?? 89 45 F8 EB 12 8B 47 04 89 45 F8 EB 0A 8B C7 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 22 00 70 00 61 00 72 00 61 00 6D 00 73 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_12978_0 {
	meta:
		name = "TDBXJSonStreamReader.UnexpectedByte"
		size = 240
		refs = "0010 TDBXJSonStreamReader.UnexpectedByte 0026 IntToStr 003e TDBXJSonStreamReader.BytesToString 004e @UStrCatN 0066 TDBXContext.Error 0080 @UStrArrayClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 F8 8B 43 40 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 F4 50 33 C9 8B 53 44 8B C3 E8 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 44 89 43 40 6A 00 8B 4D FC BA 02 00 00 00 8B 43 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 55 00 6E 00 65 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 20 00 62 00 79 00 74 00 65 00 20 00 61 00 74 00 20 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_12979_0 {
	meta:
		name = "TDBXJSonStreamReader.UnexpectedToken"
		size = 332
		refs = "0014 TDBXJSonStreamReader.UnexpectedToken 002b TDBXJSonStreamReader.TokenToString 0053 IntToStr 006b TDBXJSonStreamReader.BytesToString 007b @UStrCatN 0093 TDBXContext.Error 00ad @UStrArrayClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 4D F4 8B 53 04 8B C3 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B 43 40 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 EC 50 33 C9 8B 53 44 8B C3 E8 ?? ?? ?? ?? FF 75 EC 8D 45 FC BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 44 89 43 40 6A 00 8B 4D FC BA 02 00 00 00 8B 43 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 45 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 3A 00 20 00 20 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 27 00 20 00 66 00 6F 00 75 00 6E 00 64 00 3A 00 20 00 20 00 27 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 27 00 20 00 61 00 74 00 20 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_12980_0 {
	meta:
		name = "TDBXJSonStreamReader.TokenToString"
		size = 500
		refs = "000f TDBXJSonStreamReader.TokenToString 0053 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 0D 0F 87 E7 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 75 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2D 00 2B 00 30 00 2D 00 39 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 00 00 }
	condition:
		$1
}

rule function_12981_0 {
	meta:
		name = "TDBXJSonStreamReader.UnexpectedString"
		size = 256
		refs = "0013 TDBXJSonStreamReader.UnexpectedString 002f IntToStr 0047 TDBXJSonStreamReader.BytesToString 0057 @UStrCatN 006f TDBXContext.Error 0089 @UStrArrayClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 55 F8 8B 43 40 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 F4 50 33 C9 8B 53 44 8B C3 E8 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 43 44 89 43 40 6A 00 8B 4D FC BA 02 00 00 00 8B 43 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 45 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 3A 00 20 00 20 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 20 00 61 00 74 00 20 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_12982_0 {
	meta:
		name = "TDBXJSonStreamReader.Next"
		size = 32
		refs = "0009 TDBXJSonStreamReader.Next 0016 TDBXJSonStreamReader.UnexpectedToken"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 04 5E 5B C3 }
	condition:
		$1
}

rule function_12983_0 {
	meta:
		name = "TDBXJSonStreamReader.NextValueSeparator"
		size = 32
		refs = "0006 TDBXJSonStreamReader.Next 0017 TDBXJSonStreamReader.UnexpectedToken"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 F8 0D 74 0C BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 04 5B C3 }
	condition:
		$1
}

rule function_12984_0 {
	meta:
		name = "TDBXJSonStreamReader.ReadIntResultObject"
		size = 44
		refs = "0007 TDBXJSonStreamReader.NextResultObjectStart 0013 TDBXJSonStreamReader.Next 001a TDBXJSonStreamReader.ReadInt 0023 TDBXJSonStreamReader.SkipToEndOfObject"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_12985_0 {
	meta:
		name = "TDBXJSonStreamReader.NextResultObjectStart"
		size = 1156
		refs = "0014 TDBXJSonStreamReader.NextResultObjectStart 0026 TArray<System.Byte> 002b @DynArrayAsg 0048 TDBXJSonStreamReader.FillBuffer 007e TDBXJSonStreamReader.NextDataStoreHeader 008c TDBXJSonStreamReader.UnexpectedToken 0159 TDBXJSonStreamReader.UnexpectedString 03e9 TDBXJSonStreamReader.ReadErrorBody 0402 TDBXJSonStreamReader.UnexpectedByte 0418 TDBXJSonStreamReader.Next 0433 @DynArrayClear 0439 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 3C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 5D 8D 7E 40 FF 07 8B 07 89 45 F4 8B 45 F4 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 1C 10 0F B6 C3 83 F8 20 7F 11 74 30 83 C0 F7 83 E8 02 72 28 83 E8 02 74 23 EB 15 83 E8 7B 74 1C 83 E8 3C 74 02 EB 09 8B C6 E8 ?? ?? ?? ?? EB 0C BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 C3 66 83 F8 7B 75 9A C6 45 FB 00 E9 64 03 00 00 8D 7E 40 FF 07 8B 07 89 45 F0 8B 45 F0 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 1C 10 8B C3 04 F7 2C 02 0F 82 35 03 00 00 2C 02 0F 84 2D 03 00 00 2C 13 0F 84 25 03 00 00 2C 02 0F 85 14 03 00 00 8D 46 40 89 45 EC 8B 45 EC FF 00 8B 45 EC 8B 00 89 45 E8 8B 45 E8 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 72 0F 85 7D 01 00 00 8D 46 40 89 45 E4 8B 45 E4 FF 00 8B 45 E4 8B 00 89 45 E0 8B 45 E0 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 65 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 46 40 89 45 DC 8B 45 DC FF 00 8B 45 DC 8B 00 89 45 D8 8B 45 D8 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 73 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 46 40 89 45 D4 8B 45 D4 FF 00 8B 45 D4 8B 00 89 45 D0 8B 45 D0 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 75 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 46 40 89 45 CC 8B 45 CC FF 00 8B 45 CC 8B 00 89 45 C8 8B 45 C8 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 6C 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 46 40 89 45 C4 8B 45 C4 FF 00 8B 45 C4 8B 00 89 45 C0 8B 45 C0 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 74 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 46 40 89 45 BC 8B 45 BC FF 00 8B 45 BC 8B 00 89 45 B8 8B 45 B8 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 22 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C6 45 FB 01 E9 6A 01 00 00 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 65 0F 85 3F 01 00 00 8D 46 40 89 45 B4 8B 45 B4 FF 00 8B 45 B4 8B 00 89 45 B0 8B 45 B0 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 72 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 46 40 89 45 AC 8B 45 AC FF 00 8B 45 AC 8B 00 89 45 A8 8B 45 A8 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 72 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 46 40 89 45 A4 8B 45 A4 FF 00 8B 45 A4 8B 00 89 45 A0 8B 45 A0 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 6F 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 46 40 89 45 9C 8B 45 9C FF 00 8B 45 9C 8B 00 89 45 98 8B 45 98 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 72 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 46 40 89 45 94 8B 45 94 FF 00 8B 45 94 8B 00 89 45 90 8B 45 90 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 04 10 66 83 F8 22 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 17 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 80 7D FB 00 0F 84 92 FC FF FF BA 0C 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 22 00 72 00 65 00 73 00 75 00 6C 00 74 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 22 00 65 00 72 00 72 00 6F 00 72 00 22 00 00 00 }
	condition:
		$1
}

rule function_12986_0 {
	meta:
		name = "TDBXJSonStreamReader.ReadErrorBody"
		size = 424
		refs = "0012 TDBXJSonStreamReader.ReadErrorBody 0025 @UStrLAsg 0036 TDBXJSonStreamReader.Next 005d TDBXJSonStreamReader.ReadString 0076 @UStrEqual 007f TDBXJSonStreamReader.ReadInt 00a5 TDBXJSonStreamReader.SkipToEndOfObject 0104 TDBXContext.Error 011e @UStrArrayClr 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BF 02 00 00 00 BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? E9 98 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 48 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 24 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 73 04 83 FE 03 74 1B 83 FE 0D 75 0C BA 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 7B 04 03 0F 85 5E FF FF FF 6A 00 8B 4D F4 8B D7 8B 43 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 75 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 65 00 72 00 72 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 72 00 72 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 }
	condition:
		$1
}

rule function_12987_0 {
	meta:
		name = "TDBXJSonStreamReader.ReadMethod"
		size = 320
		refs = "0014 TDBXJSonStreamReader.ReadMethod 0028 TDBXJSonStreamReader.Next 0034 TArray<System.Byte> 0039 @DynArrayAsg 0052 TDBXJSonStreamReader.FillBuffer 00b0 TDBXJSonStreamReader.NextMethod 00bf TDBXJSonStreamReader.NextVersion 00d0 TDBXJSonStreamReader.UnexpectedString 0107 @DynArrayClear 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 47 08 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 3C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 77 40 FF 06 8B 06 89 45 F4 8B 45 F4 3B 47 44 7E 07 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 57 40 0F B6 1C 10 80 C3 F7 80 EB 02 72 D5 80 EB 02 74 D0 80 EB 13 74 CB 80 EB 02 75 66 8D 47 40 89 45 F0 8B 45 F0 FF 00 8B 45 F0 8B 00 89 45 EC 8B 45 EC 3B 47 44 7E 07 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 57 40 0F B6 04 10 2C 6D 74 06 2C 09 74 11 EB 1B 8B C7 E8 ?? ?? ?? ?? 8B 47 08 89 45 F8 EB 34 8B C7 E8 ?? ?? ?? ?? E9 75 FF FF FF BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? C7 45 F8 01 00 00 00 EB 13 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? C7 45 F8 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 22 00 6D 00 65 00 74 00 68 00 6F 00 64 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_12988_0 {
	meta:
		name = "TDBXJSonStreamReader.NextMethod"
		size = 888
		refs = "0014 TDBXJSonStreamReader.NextMethod 0026 TArray<System.Byte> 002b @DynArrayAsg 003e TDBXJSonStreamReader.FillBuffer 005a TDBXJSonStreamReader.UnexpectedString 0144 TDBXJSonStreamReader.NextColon 018c TDBXJSonStreamReader.NextString 0193 TDBXJSonStreamReader.ParseStringCode 02d6 TDBXJSonStreamReader.ParseMetadataValue 030c @DynArrayClear 0312 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 3C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 40 FF 00 8B 00 3B 43 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 40 0F B6 04 10 66 83 F8 65 74 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 43 40 FF 00 8B 00 3B 43 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 40 0F B6 04 10 66 83 F8 74 74 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 43 40 FF 00 8B 00 3B 43 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 40 0F B6 04 10 66 83 F8 68 0F 85 FC 00 00 00 8D 43 40 FF 00 8B 00 3B 43 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 40 0F B6 04 10 66 83 F8 6F 74 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 43 40 FF 00 8B 00 3B 43 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 40 0F B6 04 10 66 83 F8 64 74 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 43 40 FF 00 8B 00 3B 43 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 40 0F B6 04 10 66 83 F8 22 74 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 F8 0C 74 0B 8B 43 04 89 45 F8 E9 9D 01 00 00 8D 73 40 FF 06 8B 3E 3B 7B 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 40 0F B6 04 10 04 F7 2C 02 72 DD 2C 02 74 D9 2C 13 74 D5 2C 02 75 1B 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 04 89 45 F8 E9 53 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB A8 66 83 F8 61 0F 85 28 01 00 00 8D 43 40 FF 00 8B 00 3B 43 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 40 0F B6 04 10 66 83 F8 64 74 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 43 40 FF 00 8B 00 3B 43 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 40 0F B6 04 10 66 83 F8 61 74 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 43 40 FF 00 8B 00 3B 43 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 40 0F B6 04 10 66 83 F8 74 74 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 43 40 FF 00 8B 00 3B 43 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 40 0F B6 04 10 66 83 F8 61 74 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 43 40 FF 00 8B 00 3B 43 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 40 0F B6 04 10 66 83 F8 22 74 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C7 43 08 1A 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 F8 0C 74 08 8B 43 04 89 45 F8 EB 35 8D 43 40 FF 00 8B 00 3B 43 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 04 89 45 F8 EB 13 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C7 45 F8 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 22 00 6D 00 65 00 74 00 68 00 6F 00 64 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 22 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_12989_0 {
	meta:
		name = "TDBXJSonStreamReader.ParseMetadataValue"
		size = 320
		refs = "000f TDBXJSonStreamReader.ParseMetadataValue 0021 TArray<System.Byte> 0026 @DynArrayAsg 0042 TDBXJSonStreamReader.UnexpectedString 0049 TDBXJSonStreamReader.ReadInt 0066 TDBXJSonStreamReader.FillBuffer 009d @DynArrayLength 00b6 TDBXJSonStreamReader.BytesToString 00c1 TJSONObject.ParseJSONValue 00c6 TInvocationMetadataDelegate.StoreMetadata 00e9 @UStrClr 00f7 @DynArrayClear 00fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 3C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 53 40 0F B6 04 10 66 83 F8 5B 74 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 8E 81 00 00 00 8D 43 40 FF 00 8B 00 3B 43 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 40 0F B6 04 10 66 83 F8 2C 74 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 43 40 FF 00 8B 00 3B 43 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 53 40 03 D6 3B C2 7C 22 8D 45 F8 50 8B 4B 40 8B D6 8B C3 E8 ?? ?? ?? ?? 01 73 40 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 22 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_12990_0 {
	meta:
		name = "TDBXJSonStreamReader.ParseStringCode"
		size = 4537
		refs = "001a TDBXJSonStreamReader.ParseStringCode 0033 TDBXWideChars 0038 @DynArrayAsg 11a6 @DynArrayClear 11ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 34 FE FF FF 53 56 57 33 D2 89 55 FC 8B D8 8D 7D F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 07 8B 73 2C 8D 45 FC 8B 53 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 43 08 01 00 00 00 8B 45 FC 8B 17 0F B7 04 50 83 C0 9D 83 F8 13 0F 87 37 11 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FF 07 8B 07 8B 55 FC 0F B7 04 42 66 83 E8 61 74 0F 66 83 E8 0E 0F 84 AA 00 00 00 E9 C0 10 00 00 FF 07 8B 07 89 45 F4 8B 45 FC 8B 55 F4 66 83 3C 50 6C 0F 85 A8 10 00 00 FF 07 8B 07 89 45 F0 8B 45 FC 8B 55 F0 66 83 3C 50 6C 0F 85 90 10 00 00 FF 07 8B 07 89 45 EC 8B 45 FC 8B 55 EC 66 83 3C 50 62 0F 85 78 10 00 00 FF 07 8B 07 89 45 E8 8B 45 FC 8B 55 E8 66 83 3C 50 61 0F 85 60 10 00 00 FF 07 8B 07 89 45 E4 8B 45 FC 8B 55 E4 66 83 3C 50 63 0F 85 48 10 00 00 FF 07 8B 07 89 45 E0 8B 45 FC 8B 55 E0 66 83 3C 50 6B 0F 85 30 10 00 00 83 FE 08 0F 85 27 10 00 00 C7 43 08 19 00 00 00 E9 1B 10 00 00 FF 07 8B 07 89 45 DC 8B 45 FC 8B 55 DC 0F B7 04 50 66 83 E8 6C 74 17 66 FF C8 0F 84 83 00 00 00 66 FF C8 0F 84 82 01 00 00 E9 ED 0F 00 00 FF 07 8B 07 89 45 D8 8B 45 FC 8B 55 D8 66 83 3C 50 75 0F 85 D5 0F 00 00 FF 07 8B 07 89 45 D4 8B 45 FC 8B 55 D4 66 83 3C 50 6D 0F 85 BD 0F 00 00 FF 07 8B 07 89 45 D0 8B 45 FC 8B 55 D0 66 83 3C 50 6E 0F 85 A5 0F 00 00 FF 07 8B 07 89 45 CC 8B 45 FC 8B 55 CC 66 83 3C 50 73 0F 85 8D 0F 00 00 83 FE 07 0F 85 84 0F 00 00 C7 43 08 0D 00 00 00 E9 78 0F 00 00 FF 07 8B 07 89 45 C8 8B 45 FC 8B 55 C8 66 83 3C 50 6D 0F 85 60 0F 00 00 FF 07 8B 07 89 45 C4 8B 45 FC 8B 55 C4 66 83 3C 50 61 0F 85 48 0F 00 00 FF 07 8B 07 89 45 C0 8B 45 FC 8B 55 C0 66 83 3C 50 6E 0F 85 30 0F 00 00 FF 07 8B 07 89 45 BC 8B 45 FC 8B 55 BC 66 83 3C 50 64 0F 85 18 0F 00 00 FF 07 8B 07 89 45 B8 8B 45 FC 8B 55 B8 66 83 3C 50 5F 0F 85 00 0F 00 00 FF 07 8B 07 89 45 B4 8B 45 FC 8B 55 B4 66 83 3C 50 63 0F 85 E8 0E 00 00 FF 07 8B 07 89 45 B0 8B 45 FC 8B 55 B0 0F B7 04 50 66 83 E8 6C 0F 85 CD 0E 00 00 FF 07 8B 07 89 45 AC 8B 45 FC 8B 55 AC 66 83 3C 50 6F 0F 85 B5 0E 00 00 FF 07 8B 07 89 45 A8 8B 45 FC 8B 55 A8 66 83 3C 50 73 0F 85 9D 0E 00 00 FF 07 8B 07 89 45 A4 8B 45 FC 8B 55 A4 66 83 3C 50 65 0F 85 85 0E 00 00 83 FE 0D 0F 85 7C 0E 00 00 C7 43 08 09 00 00 00 E9 70 0E 00 00 FF 07 8B 07 89 45 A0 8B 45 FC 8B 55 A0 66 83 3C 50 6E 0F 85 58 0E 00 00 FF 07 8B 07 89 45 9C 8B 45 FC 8B 55 9C 66 83 3C 50 65 0F 85 40 0E 00 00 FF 07 8B 07 89 45 98 8B 45 FC 8B 55 98 66 83 3C 50 63 0F 85 28 0E 00 00 FF 07 8B 07 89 45 94 8B 45 FC 8B 55 94 66 83 3C 50 74 0F 85 10 0E 00 00 83 FE 07 0F 85 07 0E 00 00 C7 43 08 04 00 00 00 E9 FB 0D 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 61 75 45 FF 07 8B 07 89 45 90 8B 45 FC 8B 55 90 66 83 3C 50 74 0F 85 D5 0D 00 00 FF 07 8B 07 89 45 8C 8B 45 FC 8B 55 8C 66 83 3C 50 61 0F 85 BD 0D 00 00 83 FE 04 0F 85 B4 0D 00 00 C7 43 08 0F 00 00 00 E9 A8 0D 00 00 8B 45 FC 8B 17 66 83 3C 50 69 0F 85 98 0D 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 73 0F 85 86 0D 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 63 0F 85 74 0D 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 6F 0F 85 62 0D 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 6E 0F 85 50 0D 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 6E 0F 85 3E 0D 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 65 0F 85 2C 0D 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 63 0F 85 1A 0D 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 74 0F 85 08 0D 00 00 83 FE 0A 0F 85 FF 0C 00 00 C7 43 08 05 00 00 00 E9 F3 0C 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 78 74 64 8B 45 FC 8B 17 66 83 3C 50 72 0F 85 D5 0C 00 00 FF 07 8B 07 89 45 88 8B 45 FC 8B 55 88 66 83 3C 50 72 0F 85 BD 0C 00 00 FF 07 8B 07 89 45 84 8B 45 FC 8B 55 84 66 83 3C 50 6F 0F 85 A5 0C 00 00 FF 07 8B 07 89 45 80 8B 45 FC 8B 55 80 66 83 3C 50 72 0F 85 8D 0C 00 00 83 FE 05 75 07 C7 43 08 03 00 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 65 0F 85 6F 0C 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 63 0F 85 5D 0C 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 75 0F 85 4B 0C 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 74 0F 85 39 0C 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 65 0F 85 27 0C 00 00 83 FE 07 0F 85 1E 0C 00 00 C7 43 08 08 00 00 00 E9 12 0C 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 69 0F 85 00 0C 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 65 0F 85 EE 0B 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 6C 0F 85 DC 0B 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 64 0F 85 CA 0B 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 73 0F 85 B8 0B 00 00 83 FE 06 0F 85 AF 0B 00 00 C7 43 08 12 00 00 00 E9 A3 0B 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 61 0F 85 91 0B 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 6E 0F 85 7F 0B 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 64 0F 85 6D 0B 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 6C 0F 85 5B 0B 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 65 0F 85 49 0B 00 00 83 FE 06 0F 85 40 0B 00 00 C7 43 08 11 00 00 00 E9 34 0B 00 00 FF 07 8B 07 8B 55 FC 0F B7 04 42 66 83 E8 65 74 0F 66 83 E8 0A 0F 84 CE 00 00 00 E9 14 0B 00 00 FF 07 8B 07 89 85 7C FF FF FF 8B 45 FC 8B 95 7C FF FF FF 66 83 3C 50 74 0F 85 F6 0A 00 00 FF 07 8B 07 89 85 78 FF FF FF 8B 45 FC 8B 95 78 FF FF FF 66 83 3C 50 61 0F 85 D8 0A 00 00 FF 07 8B 07 89 85 74 FF FF FF 8B 45 FC 8B 95 74 FF FF FF 66 83 3C 50 64 0F 85 BA 0A 00 00 FF 07 8B 07 89 85 70 FF FF FF 8B 45 FC 8B 95 70 FF FF FF 66 83 3C 50 61 0F 85 9C 0A 00 00 FF 07 8B 07 89 85 6C FF FF FF 8B 45 FC 8B 95 6C FF FF FF 66 83 3C 50 74 0F 85 7E 0A 00 00 FF 07 8B 07 89 85 68 FF FF FF 8B 45 FC 8B 95 68 FF FF FF 66 83 3C 50 61 0F 85 60 0A 00 00 83 FE 08 0F 85 57 0A 00 00 C7 43 08 1A 00 00 00 E9 4B 0A 00 00 FF 07 8B 07 89 85 64 FF FF FF 8B 45 FC 8B 95 64 FF FF FF 66 83 3C 50 72 0F 85 2D 0A 00 00 FF 07 8B 07 89 85 60 FF FF FF 8B 45 FC 8B 95 60 FF FF FF 66 83 3C 50 65 0F 85 0F 0A 00 00 FF 07 8B 07 89 85 5C FF FF FF 8B 45 FC 8B 95 5C FF FF FF 66 83 3C 50 5F 0F 85 F1 09 00 00 FF 07 8B 07 89 85 58 FF FF FF 8B 45 FC 8B 95 58 FF FF FF 66 83 3C 50 62 0F 85 D3 09 00 00 FF 07 8B 07 89 85 54 FF FF FF 8B 45 FC 8B 95 54 FF FF FF 66 83 3C 50 6C 0F 85 B5 09 00 00 FF 07 8B 07 89 85 50 FF FF FF 8B 45 FC 8B 95 50 FF FF FF 66 83 3C 50 6F 0F 85 97 09 00 00 FF 07 8B 07 89 85 4C FF FF FF 8B 45 FC 8B 95 4C FF FF FF 66 83 3C 50 62 0F 85 79 09 00 00 83 FE 09 0F 85 70 09 00 00 C7 43 08 16 00 00 00 E9 64 09 00 00 FF 07 8B 07 8B 55 FC 66 83 3C 42 65 0F 85 52 09 00 00 FF 07 8B 07 89 85 48 FF FF FF 8B 45 FC 8B 95 48 FF FF FF 66 83 3C 50 78 0F 85 34 09 00 00 FF 07 8B 07 89 85 44 FF FF FF 8B 45 FC 8B 95 44 FF FF FF 66 83 3C 50 74 0F 85 16 09 00 00 83 FE 04 75 07 C7 43 08 10 00 00 00 FF 07 8B 07 89 85 40 FF FF FF 8B 45 FC 8B 95 40 FF FF FF 66 83 3C 50 5F 0F 85 EC 08 00 00 FF 07 8B 07 89 85 3C FF FF FF 8B 45 FC 8B 95 3C FF FF FF 66 83 3C 50 72 0F 85 CE 08 00 00 FF 07 8B 07 89 85 38 FF FF FF 8B 45 FC 8B 95 38 FF FF FF 66 83 3C 50 65 0F 85 B0 08 00 00 FF 07 8B 07 89 85 34 FF FF FF 8B 45 FC 8B 95 34 FF FF FF 66 83 3C 50 73 0F 85 92 08 00 00 FF 07 8B 07 89 85 30 FF FF FF 8B 45 FC 8B 95 30 FF FF FF 66 83 3C 50 75 0F 85 74 08 00 00 FF 07 8B 07 89 85 2C FF FF FF 8B 45 FC 8B 95 2C FF FF FF 66 83 3C 50 6C 0F 85 56 08 00 00 FF 07 8B 07 89 85 28 FF FF FF 8B 45 FC 8B 95 28 FF FF FF 66 83 3C 50 74 0F 85 38 08 00 00 83 FE 0B 0F 85 2F 08 00 00 C7 43 08 17 00 00 00 E9 23 08 00 00 FF 07 8B 07 89 85 24 FF FF FF 8B 45 FC 8B 95 24 FF FF FF 66 83 3C 50 72 0F 85 AB 00 00 00 FF 07 8B 07 89 85 20 FF FF FF 8B 45 FC 8B 95 20 FF FF FF 66 83 3C 50 65 0F 85 E7 07 00 00 FF 07 8B 07 89 85 1C FF FF FF 8B 45 FC 8B 95 1C FF FF FF 66 83 3C 50 70 0F 85 C9 07 00 00 FF 07 8B 07 89 85 18 FF FF FF 8B 45 FC 8B 95 18 FF FF FF 66 83 3C 50 61 0F 85 AB 07 00 00 FF 07 8B 07 89 85 14 FF FF FF 8B 45 FC 8B 95 14 FF FF FF 66 83 3C 50 72 0F 85 8D 07 00 00 FF 07 8B 07 89 85 10 FF FF FF 8B 45 FC 8B 95 10 FF FF FF 66 83 3C 50 65 0F 85 6F 07 00 00 83 FE 07 0F 85 66 07 00 00 C7 43 08 07 00 00 00 E9 5A 07 00 00 8B 45 FC 8B 17 66 83 3C 50 61 0F 85 4A 07 00 00 FF 07 8B 07 89 85 0C FF FF FF 8B 45 FC 8B 95 0C FF FF FF 66 83 3C 50 72 0F 85 2C 07 00 00 FF 07 8B 07 89 85 08 FF FF FF 8B 45 FC 8B 95 08 FF FF FF 66 83 3C 50 61 0F 85 0E 07 00 00 FF 07 8B 07 89 85 04 FF FF FF 8B 45 FC 8B 95 04 FF FF FF 66 83 3C 50 6D 0F 85 F0 06 00 00 FF 07 8B 07 89 85 00 FF FF FF 8B 45 FC 8B 95 00 FF FF FF 66 83 3C 50 65 0F 85 D2 06 00 00 FF 07 8B 07 89 85 FC FE FF FF 8B 45 FC 8B 95 FC FE FF FF 66 83 3C 50 74 0F 85 B4 06 00 00 FF 07 8B 07 89 85 F8 FE FF FF 8B 45 FC 8B 95 F8 FE FF FF 66 83 3C 50 65 0F 85 96 06 00 00 FF 07 8B 07 89 85 F4 FE FF FF 8B 45 FC 8B 95 F4 FE FF FF 66 83 3C 50 72 0F 85 78 06 00 00 FF 07 8B 07 89 85 F0 FE FF FF 8B 45 FC 8B 95 F0 FE FF FF 66 83 3C 50 73 0F 85 5A 06 00 00 83 FE 0A 0F 85 51 06 00 00 C7 43 08 13 00 00 00 E9 45 06 00 00 FF 07 8B 07 89 85 EC FE FF FF 8B 45 FC 8B 95 EC FE FF FF 66 83 3C 50 6F 75 51 FF 07 8B 07 89 85 E8 FE FF FF 8B 45 FC 8B 95 E8 FE FF FF 66 83 3C 50 77 0F 85 0D 06 00 00 FF 07 8B 07 89 85 E4 FE FF FF 8B 45 FC 8B 95 E4 FE FF FF 66 83 3C 50 73 0F 85 EF 05 00 00 83 FE 04 0F 85 E6 05 00 00 C7 43 08 0B 00 00 00 E9 DA 05 00 00 8B 45 FC 8B 17 66 83 3C 50 65 0F 85 CA 05 00 00 FF 07 8B 07 89 85 E0 FE FF FF 8B 45 FC 8B 95 E0 FE FF FF 66 83 3C 50 61 74 7F 8B 45 FC 8B 17 66 83 3C 50 73 0F 85 A0 05 00 00 FF 07 8B 07 89 85 DC FE FF FF 8B 45 FC 8B 95 DC FE FF FF 66 83 3C 50 75 0F 85 82 05 00 00 FF 07 8B 07 89 85 D8 FE FF FF 8B 45 FC 8B 95 D8 FE FF FF 66 83 3C 50 6C 0F 85 64 05 00 00 FF 07 8B 07 89 85 D4 FE FF FF 8B 45 FC 8B 95 D4 FE FF FF 66 83 3C 50 74 0F 85 46 05 00 00 83 FE 06 0F 85 3D 05 00 00 C7 43 08 02 00 00 00 E9 31 05 00 00 FF 07 8B 07 89 85 D0 FE FF FF 8B 45 FC 8B 95 D0 FE FF FF 66 83 3C 50 64 0F 85 13 05 00 00 FF 07 8B 07 89 85 CC FE FF FF 8B 45 FC 8B 95 CC FE FF FF 66 83 3C 50 65 0F 85 F5 04 00 00 FF 07 8B 07 89 85 C8 FE FF FF 8B 45 FC 8B 95 C8 FE FF FF 66 83 3C 50 72 0F 85 D7 04 00 00 FF 07 8B 07 89 85 C4 FE FF FF 8B 45 FC 8B 95 C4 FE FF FF 66 83 3C 50 5F 0F 85 B9 04 00 00 FF 07 8B 07 89 85 C0 FE FF FF 8B 45 FC 8B 95 C0 FE FF FF 66 83 3C 50 63 0F 85 9B 04 00 00 FF 07 8B 07 89 85 BC FE FF FF 8B 45 FC 8B 95 BC FE FF FF 66 83 3C 50 6C 0F 85 7D 04 00 00 FF 07 8B 07 89 85 B8 FE FF FF 8B 45 FC 8B 95 B8 FE FF FF 66 83 3C 50 6F 0F 85 5F 04 00 00 FF 07 8B 07 89 85 B4 FE FF FF 8B 45 FC 8B 95 B4 FE FF FF 66 83 3C 50 73 0F 85 41 04 00 00 FF 07 8B 07 89 85 B0 FE FF FF 8B 45 FC 8B 95 B0 FE FF FF 66 83 3C 50 65 0F 85 23 04 00 00 83 FE 0C 0F 85 1A 04 00 00 C7 43 08 0A 00 00 00 E9 0E 04 00 00 FF 07 8B 07 89 85 AC FE FF FF 8B 45 FC 8B 95 AC FE FF FF 66 83 3C 50 65 0F 85 F0 03 00 00 FF 07 8B 07 89 85 A8 FE FF FF 8B 45 FC 8B 95 A8 FE FF FF 66 83 3C 50 73 0F 85 D2 03 00 00 FF 07 8B 07 89 85 A4 FE FF FF 8B 45 FC 8B 95 A4 FE FF FF 66 83 3C 50 73 0F 85 B4 03 00 00 FF 07 8B 07 89 85 A0 FE FF FF 8B 45 FC 8B 95 A0 FE FF FF 66 83 3C 50 69 0F 85 96 03 00 00 FF 07 8B 07 89 85 9C FE FF FF 8B 45 FC 8B 95 9C FE FF FF 66 83 3C 50 6F 0F 85 78 03 00 00 FF 07 8B 07 89 85 98 FE FF FF 8B 45 FC 8B 95 98 FE FF FF 66 83 3C 50 6E 0F 85 5A 03 00 00 83 FE 07 0F 85 51 03 00 00 C7 43 08 0E 00 00 00 E9 45 03 00 00 FF 07 8B 07 89 85 94 FE FF FF 8B 45 FC 8B 95 94 FE FF FF 66 83 3C 50 78 0F 85 0C 01 00 00 FF 07 8B 07 89 85 90 FE FF FF 8B 45 FC 8B 95 90 FE FF FF 66 83 3C 50 62 0F 85 8D 00 00 00 FF 07 8B 07 89 85 8C FE FF FF 8B 45 FC 8B 95 8C FE FF FF 66 83 3C 50 65 0F 85 EB 02 00 00 FF 07 8B 07 89 85 88 FE FF FF 8B 45 FC 8B 95 88 FE FF FF 66 83 3C 50 67 0F 85 CD 02 00 00 FF 07 8B 07 89 85 84 FE FF FF 8B 45 FC 8B 95 84 FE FF FF 66 83 3C 50 69 0F 85 AF 02 00 00 FF 07 8B 07 89 85 80 FE FF FF 8B 45 FC 8B 95 80 FE FF FF 66 83 3C 50 6E 0F 85 91 02 00 00 83 FE 07 0F 85 88 02 00 00 C7 43 08 14 00 00 00 E9 7C 02 00 00 8B 45 FC 8B 17 66 83 3C 50 65 0F 85 6C 02 00 00 FF 07 8B 07 89 85 7C FE FF FF 8B 45 FC 8B 95 7C FE FF FF 66 83 3C 50 6E 0F 85 4E 02 00 00 FF 07 8B 07 89 85 78 FE FF FF 8B 45 FC 8B 95 78 FE FF FF 66 83 3C 50 64 0F 85 30 02 00 00 83 FE 05 0F 85 27 02 00 00 C7 43 08 15 00 00 00 E9 1B 02 00 00 8B 45 FC 8B 17 66 83 3C 50 61 0F 85 0B 02 00 00 FF 07 8B 07 89 85 74 FE FF FF 8B 45 FC 8B 95 74 FE FF FF 66 83 3C 50 62 0F 85 ED 01 00 00 FF 07 8B 07 89 85 70 FE FF FF 8B 45 FC 8B 95 70 FE FF FF 66 83 3C 50 6C 0F 85 CF 01 00 00 FF 07 8B 07 89 85 6C FE FF FF 8B 45 FC 8B 95 6C FE FF FF 66 83 3C 50 65 0F 85 B1 01 00 00 83 FE 05 0F 85 A8 01 00 00 C7 43 08 0C 00 00 00 E9 9C 01 00 00 FF 07 8B 07 89 85 68 FE FF FF 8B 45 FC }
	condition:
		$1
}

rule function_12991_0 {
	meta:
		name = "TDBXJSonStreamReader.NextColon"
		size = 192
		refs = "0014 TDBXJSonStreamReader.NextColon 0026 TArray<System.Byte> 002b @DynArrayAsg 0044 TDBXJSonStreamReader.FillBuffer 007a TDBXJSonStreamReader.UnexpectedString 0097 @DynArrayClear 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 57 3C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 77 40 FF 06 8B 06 89 45 F4 8B 45 F4 3B 47 44 7E 07 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 57 40 0F B6 1C 10 80 C3 F7 80 EB 02 72 D5 80 EB 02 74 D0 80 EB 13 74 CB 80 EB 1A 75 09 C7 45 F8 0C 00 00 00 EB 0E BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_12993_0 {
	meta:
		name = "TDBXJSonStreamReader.NextNumber"
		size = 270
		refs = "0017 TDBXJSonStreamReader.NextNumber 0029 TArray<System.Byte> 002e @DynArrayAsg 005f TDBXJSonStreamReader.FillBuffer 00a4 TDBXJSonStreamReader.GrowByteBuffer 00d1 TDBXJSonStreamReader.UnexpectedByte 00f8 @FinalizeArray 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 3C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 56 30 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 F0 FF FF FF FF 8D 7E 40 FF 07 8B 07 89 45 EC 8B 45 EC 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 1C 10 0F B6 C3 83 F8 30 7D 0F 83 E8 2B 74 1C 83 C0 FE 83 E8 02 72 14 EB 2F 83 C0 D0 83 E8 0A 72 0A 83 E8 0B 74 05 83 E8 20 75 1D FF 45 F0 8B 45 F0 3B 46 34 75 07 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 F0 88 1C 10 EB 97 8B 45 F0 40 89 46 38 FF 4E 40 83 7E 38 01 7D 12 0F B6 C3 66 83 F8 5D 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? C7 45 F4 09 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12994_0 {
	meta:
		name = "TDBXJSonStreamReader.NextString"
		size = 49
		refs = "0026 TDBXJSonStreamReader.NextString"
	strings:
		$1 = { 55 8B EC 53 56 57 33 F6 3B 75 08 7D 16 8D 5C 0E 01 0F B7 5C 5A FE 8B 78 24 66 89 1C 77 46 3B 75 08 7C EA 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_12995_0 {
	meta:
		name = "TDBXJSonStreamReader.HexToDecimal"
		size = 42
	strings:
		$1 = { 0F B6 C2 66 83 F8 39 76 1A 66 83 F8 46 76 0A 0F B6 C2 83 E8 61 83 C0 0A C3 0F B6 C2 83 E8 41 83 C0 0A C3 0F B6 C2 83 E8 30 C3 }
	condition:
		$1
}

rule function_12996_0 {
	meta:
		name = "TDBXJSonStreamReader.IsConnectionLost"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 48 85 F6 74 0B 8B C6 8B 10 FF 52 10 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_12997_0 {
	meta:
		name = "TDBXJSonStreamReader.NextString"
		size = 774
		refs = "0019 TDBXJSonStreamReader.NextString 002b TArray<System.Byte> 0030 @DynArrayAsg 0040 TDBXWideChars 005e TDBXJSonStreamReader.FillBuffer 009c TDBXJSonStreamReader.GrowCharBuffer 0119 TDBXJSonStreamReader.HexToDecimal 02e2 @DynArrayClear 02f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 C9 89 4D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 3C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 89 5D F0 8D 45 F8 8B 56 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 7E 40 FF 07 8B 07 89 45 E8 8B 45 E8 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 1C 10 8B C3 2C 22 74 09 2C 3A 74 18 E9 1B 02 00 00 8B 45 F0 40 89 46 2C C7 45 F4 0B 00 00 00 E9 3D 02 00 00 FF 45 F0 8B 45 F0 3B 46 28 75 18 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 8B 56 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 40 89 45 E4 8B 45 E4 FF 00 8B 45 E4 8B 00 89 45 E0 8B 45 E0 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 1C 10 0F B6 C3 66 83 F8 75 0F 85 F4 00 00 00 8D 46 40 89 45 DC 8B 45 DC FF 00 8B 45 DC 8B 00 89 45 D8 8B 45 D8 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 14 10 8B C6 E8 ?? ?? ?? ?? C1 E0 0C 89 45 EC 8D 46 40 89 45 D4 8B 45 D4 FF 00 8B 45 D4 8B 00 89 45 D0 8B 45 D0 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 14 10 8B C6 E8 ?? ?? ?? ?? C1 E0 08 09 45 EC 8D 46 40 89 45 CC 8B 45 CC FF 00 8B 45 CC 8B 00 89 45 C8 8B 45 C8 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 14 10 8B C6 E8 ?? ?? ?? ?? C1 E0 04 09 45 EC 8D 46 40 89 45 C4 8B 45 C4 FF 00 8B 45 C4 8B 00 89 45 C0 8B 45 C0 3B 46 44 7E 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 40 0F B6 14 10 8B C6 E8 ?? ?? ?? ?? 09 45 EC 8B 45 F8 8B 55 F0 0F B7 4D EC 66 89 0C 50 E9 6B FE FF FF 0F B6 C3 83 F8 66 7F 16 74 58 83 E8 22 74 20 83 E8 3A 74 2C 83 E8 06 74 38 E9 88 00 00 00 83 E8 6E 74 50 83 E8 04 74 5C 83 E8 02 74 68 EB 77 8B 45 F8 8B 55 F0 66 C7 04 50 22 00 E9 2B FE FF FF 8B 45 F8 8B 55 F0 66 C7 04 50 5C 00 E9 1A FE FF FF 8B 45 F8 8B 55 F0 66 C7 04 50 08 00 E9 09 FE FF FF 8B 45 F8 8B 55 F0 66 C7 04 50 0C 00 E9 F8 FD FF FF 8B 45 F8 8B 55 F0 66 C7 04 50 0A 00 E9 E7 FD FF FF 8B 45 F8 8B 55 F0 66 C7 04 50 0D 00 E9 D6 FD FF FF 8B 45 F8 8B 55 F0 66 C7 04 50 09 00 E9 C5 FD FF FF 8B 45 F8 8B 55 F0 0F B6 CB 66 89 0C 50 E9 B3 FD FF FF FF 45 F0 8B 45 F0 3B 46 28 75 18 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 8B 56 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 55 F0 0F B6 CB 66 89 0C 50 E9 7E FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_12998_0 {
	meta:
		name = "TDBXJSonStreamReader.NextString"
		size = 157
		refs = "0014 TDBXJSonStreamReader.NextString 003a TArray<System.Byte> 003f @DynArrayAsg 0052 TDBXJSonStreamReader.FillBuffer 0087 @DynArrayClear 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 04 0A 75 0E 33 D2 8B C3 E8 ?? ?? ?? ?? 89 45 F8 EB 3E 8D 45 FC 8B 53 3C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 73 40 FF 06 8B 3E 3B 7B 44 7E 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 40 0F B6 04 10 2C 22 75 DF 33 D2 8B C3 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_12999_0 {
	meta:
		name = "TDBXJSonStreamReader.FillBuffer"
		size = 216
		refs = "0012 TDBXJSonStreamReader.FillBuffer 0023 TArray<System.Byte> 0028 @DynArrayAsg 0042 @DynArrayLength 005d Move 007a _Dn_TDBXPlatform 007f TDBXPlatform.WriteAsciiBytes 009f @FinalizeArray 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 3C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 FF 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 17 8B 55 F8 03 D7 52 8B 55 FC 33 C9 03 D1 8B C8 8B C2 5A E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 89 7B 44 6A 00 57 8B 4B 3C BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 66 00 69 00 6C 00 6C 00 42 00 75 00 66 00 66 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_13000_0 {
	meta:
		name = "TDBXJSonStreamReader.BytesToString"
		size = 216
		refs = "0016 TDBXJSonStreamReader.BytesToString 002a @UStrClr 0051 @UStrCat 005c IntToStr 0073 @UStrFromWChar 008f @UStrAsg 00a9 @UStrArrayClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 04 13 89 45 F8 8D 45 FC E8 ?? ?? ?? ?? 8B F3 3B 75 F8 7D 53 8B 47 3C 0F B6 1C 30 66 83 FB 20 72 06 66 83 FB 7E 76 25 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 0F B7 C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? EB 15 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 46 3B 75 F8 7C AD 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_13001_0 {
	meta:
		name = "TDBXJSonStreamReader.TraceRead"
		size = 192
		refs = "0010 TDBXJSonStreamReader.TraceRead 0026 IntToStr 003e TDBXJSonStreamReader.BytesToString 004e @UStrCatN 0061 TDBXContext.Trace 007b @UStrArrayClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 F8 8B 43 44 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 F4 50 33 C9 8B 53 44 8B C3 E8 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 33 C9 BA 01 00 00 00 8B 43 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 72 00 65 00 61 00 64 00 20 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 62 00 79 00 74 00 65 00 73 00 3A 00 00 00 }
	condition:
		$1
}

rule function_13002_0 {
	meta:
		name = "TDBXJSonStreamReader.ReadError"
		size = 86
		refs = "000c TDBXJSonStreamReader.ReadError 001c SReadError 0021 LoadResString 0031 TDBXContext.Error 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA 01 00 00 00 8B 43 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13003_0 {
	meta:
		name = "TDBXJSonStreamReader.FillBuffer"
		size = 94
		refs = "0008 @DynArrayLength 0026 TDBXContext.IsTracingLevel 0037 TDBXContext.IsTracing 0042 TDBXJSonStreamReader.TraceRead 004f TDBXJSonStreamReader.ReadError"
	strings:
		$1 = { 53 56 8B D8 8B 43 3C E8 ?? ?? ?? ?? 50 33 C9 8B 53 3C 8B 43 48 8B 30 FF 56 08 89 43 44 BA 01 00 00 00 8B 43 4C E8 ?? ?? ?? ?? 84 C0 75 11 BA 00 01 00 00 8B 43 4C E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 83 7B 44 01 7D 07 8B C3 E8 ?? ?? ?? ?? FF 4B 44 33 C0 89 43 40 5E 5B C3 }
	condition:
		$1
}

rule function_13004_0 {
	meta:
		name = "TDBXJSonStreamReader.ReadDataBytes"
		size = 221
		refs = "001c TDBXJSonStreamReader.ReadDataBytes 0050 TArray<System.Byte> 0055 @DynArrayAsg 008e Move 00a1 TDBXJSonStreamReader.FillBuffer 00c8 @FinalizeArray 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 5D F8 8B F1 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 75 F0 8B 75 08 FF 43 40 85 F6 7E 76 8B 43 44 3B 43 40 7C 5F 8B 7B 44 2B 7B 40 47 3B FE 7E 02 8B FE 8D 45 FC 8B 53 3C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 89 45 EC 89 7D E8 83 7D E8 00 7E 19 8B 45 F8 8B 55 EC 8D 14 10 8B 45 FC 8B 4B 40 03 C1 8B 4D E8 E8 ?? ?? ?? ?? 01 7D F0 01 7B 40 2B F7 85 F6 7E 07 8B C3 E8 ?? ?? ?? ?? 85 F6 7F 8A FF 4B 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13005_0 {
	meta:
		name = "TDBXJSonStreamReader.ReadBoolean"
		size = 47
		refs = "0006 TDBXJSonStreamReader.Next 0027 TDBXJSonStreamReader.UnexpectedToken"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 04 83 F8 06 75 04 B0 01 5B C3 83 F8 07 75 04 33 C0 5B C3 BA 06 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5B C3 }
	condition:
		$1
}

rule function_13006_0 {
	meta:
		name = "TDBXJSonStreamReader.ReadInt"
		size = 83
		refs = "0009 TDBXJSonStreamReader.NextNumber"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 83 7E 38 00 7E 3B 33 C0 33 D2 8B 4E 30 0F B6 09 66 83 F9 2D 75 05 B2 01 40 EB 1B 66 83 F9 2B 75 15 40 EB 12 03 DB 8D 1C 9B 8B 4E 30 0F B6 0C 01 03 D9 83 EB 30 40 3B 46 38 7C E9 84 D2 74 02 F7 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_13008_0 {
	meta:
		name = "TDBXJSonStreamReader.GetBytes"
		size = 32
	strings:
		$1 = { 55 8B EC 83 C4 F8 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 8B 45 F8 8B 55 FC 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_13011_0 {
	meta:
		name = "TDBXJSonStreamReader.ReadLong"
		size = 185
		refs = "001b TDBXJSonStreamReader.NextNumber 0050 @_llmul"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F8 C7 44 24 08 00 00 00 00 C7 44 24 0C 00 00 00 00 8B C7 E8 ?? ?? ?? ?? 83 7F 38 00 7E 77 33 F6 33 DB 8B 47 30 0F B6 00 66 83 F8 2D 75 05 B3 01 46 EB 42 66 83 F8 2B 75 3C 46 EB 39 6A 00 6A 0A 8B 44 24 10 8B 54 24 14 E8 ?? ?? ?? ?? 89 44 24 08 89 54 24 0C 8B 47 30 0F B6 04 30 33 D2 03 44 24 08 13 54 24 0C 83 E8 30 83 DA 00 89 44 24 08 89 54 24 0C 46 3B 77 38 7C C2 84 DB 74 17 8B 44 24 08 8B 54 24 0C F7 D8 83 D2 00 F7 DA 89 44 24 08 89 54 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B 04 24 8B 54 24 04 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13012_0 {
	meta:
		name = "TDBXJSonStreamReader.ReadFloat"
		size = 11
	strings:
		$1 = { 51 33 C0 89 04 24 D9 04 24 5A C3 }
	condition:
		$1
}

rule function_13013_0 {
	meta:
		name = "TDBXJSonStreamReader.ReadDouble"
		size = 18
		altNames = "TTeeFunction.CalculateValue"
	strings:
		$1 = { 83 C4 F8 33 C0 89 04 24 89 44 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_13016_0 {
	meta:
		name = "TDBXJSonStreamReader.ReadString"
		size = 162
		refs = "0012 TDBXJSonStreamReader.ReadString 001f TDBXJSonStreamReader.NextString 002b TDBXWideChars 0030 @DynArrayAsg 003d @UStrSetLength 0049 @UniqueStringU 0057 Move 0062 @UStrAsg 0081 @UStrClr 008f @DynArrayClear 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 53 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 2C 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 85 F6 7E 16 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B CE 03 C9 8B 45 FC E8 ?? ?? ?? ?? 8D 43 0C 8B 55 F8 E8 ?? ?? ?? ?? 8B C7 8B 53 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13017_0 {
	meta:
		name = "TDBXJSonStreamReader.ReadStringCode"
		size = 60
		refs = "0006 TDBXJSonStreamReader.NextString 000d TDBXJSonStreamReader.ParseStringCode 0015 TDBXJSonStreamReader.ReadStringCode 001a @UStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 43 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 75 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_13018_0 {
	meta:
		name = "TDBXJSonStreamReader.GetStringValue"
		size = 161
		refs = "0012 TDBXJSonStreamReader.GetStringValue 002a TDBXWideChars 002f @DynArrayAsg 003c @UStrSetLength 0048 @UniqueStringU 0056 Move 0061 @UStrAsg 0080 @UStrClr 008e @DynArrayClear 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 75 43 8D 45 FC 8B 53 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 2C 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 85 F6 7E 16 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B CE 03 C9 8B 45 FC E8 ?? ?? ?? ?? 8D 43 0C 8B 55 F8 E8 ?? ?? ?? ?? 8B C7 8B 53 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13019_0 {
	meta:
		name = "TDBXJSonStreamReader.GetBooleanValue"
		size = 5
		altNames = "TDirect2DPen.GetStyle TDomXPathBooleanResult.AsBoolean TDomXPathNodeSetResult.GetAxisType TGalleryProperties.GetGalleryType TWebServerResponse.Sent"
	strings:
		$1 = { 0F B6 40 20 C3 }
	condition:
		$1
}

rule function_13020_0 {
	meta:
		name = "TDBXJSonStreamReader.GrowCharBuffer"
		size = 207
		refs = "0012 TDBXJSonStreamReader.GrowCharBuffer 0030 TDBXWideChars 0035 @DynArraySetLength 0049 @DynArrayAsg 007a Move 0088 @DynArrayClear 00bc @FinalizeArray 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 28 81 C6 80 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F8 8B 53 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 8B 53 28 8B 4D F8 33 FF 8D 0C 79 51 8B 4D F4 8D 04 41 8B CA 03 C9 8B D0 58 E8 ?? ?? ?? ?? 8D 43 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 24 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13021_0 {
	meta:
		name = "TDBXJSonStreamReader.GrowByteBuffer"
		size = 206
		refs = "0012 TDBXJSonStreamReader.GrowByteBuffer 0030 TArray<System.Byte> 0035 @DynArraySetLength 0049 @DynArrayAsg 0079 Move 0087 @DynArrayClear 00bb @FinalizeArray 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 34 81 C6 80 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F8 8B 53 30 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 43 34 85 C0 7E 16 8B 4D F8 33 FF 03 CF 51 8B 4D F4 8D 14 11 8B C8 58 E8 ?? ?? ?? ?? 8D 43 30 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 30 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13022_0 {
	meta:
		name = "TDBXJSonStreamReader.CreateBuffers"
		size = 122
		refs = "0017 TDBXWideChars 001c @DynArraySetLength 0036 TArray<System.Byte>"
	strings:
		$1 = { 53 56 8B D8 BE 80 00 00 00 89 73 28 56 8D 43 24 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 BE 40 00 00 00 89 73 34 56 8D 43 30 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 7B 50 00 75 07 C7 43 50 00 20 00 00 8B 43 50 50 8D 43 3C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C7 43 40 FF FF FF FF C7 43 44 FF FF FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_13023_0 {
	meta:
		name = "TDBXJSonStreamReader.Destroy"
		size = 78
		refs = "0003 @BeforeDestruction 0010 TDBXWideChars 0015 @DynArrayClear 001e TArray<System.Byte> 003c TObject.Destroy 0047 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 30 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 3C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13024_0 {
	meta:
		name = "TDBXJSonStreamWriter.Create"
		size = 4296
		refs = "000f @ClassCreate 0019 TDBXJSonStreamWriter.VendorProperty 001e TDBXJSonStreamWriter.Hex 0024 TDBXJSonStreamWriter.ProtocolVersion2 0032 TDBXJSonStreamWriter.ProtocolVersion 003b TObject.Create 005a TArray<System.Byte> 005f @DynArraySetLength 00f8 TDBXJSonStreamWriter.MethodStart 016b TDBXJSonStreamWriter.ParamsStart 01de TDBXJSonStreamWriter.Connect 0251 TDBXJSonStreamWriter.Disconnect 02df TDBXJSonStreamWriter.Prepare 0352 TDBXJSonStreamWriter.Parameters 03f2 TDBXJSonStreamWriter.Execute 0465 TDBXJSonStreamWriter.CommandClose 050e TDBXJSonStreamWriter.ReaderClose 05ae TDBXJSonStreamWriter.ResultStart 062a TDBXJSonStreamWriter.ErrorStart 06dc TDBXJSonStreamWriter.CodeLabel 0734 TDBXJSonStreamWriter.MessageLabel 07a7 TDBXJSonStreamWriter.NullValue 07e4 TDBXJSonStreamWriter.TrueValue 0821 TDBXJSonStreamWriter.FalseValue 0867 TDBXJSonStreamWriter.ColumnsStart 08ec TDBXJSonStreamWriter.TableStart 095f TDBXJSonStreamWriter.SessionStart 09e4 TDBXJSonStreamWriter.RowsStart 0a4e TDBXJSonStreamWriter.DataStart 0ab8 TDBXJSonStreamWriter.Next 0b10 TDBXJSonStreamWriter.NextStart 0b71 TDBXJSonStreamWriter.HandleStart 0bed TDBXJSonStreamWriter.FieldsStart 0c69 TDBXJSonStreamWriter.Txbegin 0cdc TDBXJSonStreamWriter.Txend 0d3d TDBXJSonStreamWriter.MoreBlob 0dc2 TDBXJSonStreamWriter.MoreBlobStart 0e50 TDBXJSonStreamWriter.NextResult 0fa2 TDBXJSonStreamWriter.CallbackStart 1027 TDBXJSonStreamWriter.MetadataStart 10b2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 BE ?? ?? ?? ?? BF ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 02 00 00 00 A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 85 5D 10 00 00 6A 10 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 30 A1 ?? ?? ?? ?? C6 40 01 31 A1 ?? ?? ?? ?? C6 40 02 32 A1 ?? ?? ?? ?? C6 40 03 33 A1 ?? ?? ?? ?? C6 40 04 34 A1 ?? ?? ?? ?? C6 40 05 35 A1 ?? ?? ?? ?? C6 40 06 36 A1 ?? ?? ?? ?? C6 40 07 37 A1 ?? ?? ?? ?? C6 40 08 38 A1 ?? ?? ?? ?? C6 40 09 39 A1 ?? ?? ?? ?? C6 40 0A 41 A1 ?? ?? ?? ?? C6 40 0B 42 A1 ?? ?? ?? ?? C6 40 0C 43 A1 ?? ?? ?? ?? C6 40 0D 44 A1 ?? ?? ?? ?? C6 40 0E 45 A1 ?? ?? ?? ?? C6 40 0F 46 6A 0A B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 7B A1 ?? ?? ?? ?? C6 40 01 22 A1 ?? ?? ?? ?? C6 40 02 6D A1 ?? ?? ?? ?? C6 40 03 65 A1 ?? ?? ?? ?? C6 40 04 74 A1 ?? ?? ?? ?? C6 40 05 68 A1 ?? ?? ?? ?? C6 40 06 6F A1 ?? ?? ?? ?? C6 40 07 64 A1 ?? ?? ?? ?? C6 40 08 22 A1 ?? ?? ?? ?? C6 40 09 3A 6A 0A B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 22 A1 ?? ?? ?? ?? C6 40 01 70 A1 ?? ?? ?? ?? C6 40 02 61 A1 ?? ?? ?? ?? C6 40 03 72 A1 ?? ?? ?? ?? C6 40 04 61 A1 ?? ?? ?? ?? C6 40 05 6D A1 ?? ?? ?? ?? C6 40 06 73 A1 ?? ?? ?? ?? C6 40 07 22 A1 ?? ?? ?? ?? C6 40 08 3A A1 ?? ?? ?? ?? C6 40 09 5B 6A 0A B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 22 A1 ?? ?? ?? ?? C6 40 01 63 A1 ?? ?? ?? ?? C6 40 02 6F A1 ?? ?? ?? ?? C6 40 03 6E A1 ?? ?? ?? ?? C6 40 04 6E A1 ?? ?? ?? ?? C6 40 05 65 A1 ?? ?? ?? ?? C6 40 06 63 A1 ?? ?? ?? ?? C6 40 07 74 A1 ?? ?? ?? ?? C6 40 08 22 A1 ?? ?? ?? ?? C6 40 09 2C 6A 0D B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 22 A1 ?? ?? ?? ?? C6 40 01 64 A1 ?? ?? ?? ?? C6 40 02 69 A1 ?? ?? ?? ?? C6 40 03 73 A1 ?? ?? ?? ?? C6 40 04 63 A1 ?? ?? ?? ?? C6 40 05 6F A1 ?? ?? ?? ?? C6 40 06 6E A1 ?? ?? ?? ?? C6 40 07 6E A1 ?? ?? ?? ?? C6 40 08 65 A1 ?? ?? ?? ?? C6 40 09 63 A1 ?? ?? ?? ?? C6 40 0A 74 A1 ?? ?? ?? ?? C6 40 0B 22 A1 ?? ?? ?? ?? C6 40 0C 2C 6A 0A B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 22 A1 ?? ?? ?? ?? C6 40 01 70 A1 ?? ?? ?? ?? C6 40 02 72 A1 ?? ?? ?? ?? C6 40 03 65 A1 ?? ?? ?? ?? C6 40 04 70 A1 ?? ?? ?? ?? C6 40 05 61 A1 ?? ?? ?? ?? C6 40 06 72 A1 ?? ?? ?? ?? C6 40 07 65 A1 ?? ?? ?? ?? C6 40 08 22 A1 ?? ?? ?? ?? C6 40 09 2C 6A 0F B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 7B A1 ?? ?? ?? ?? C6 40 01 22 A1 ?? ?? ?? ?? C6 40 02 70 A1 ?? ?? ?? ?? C6 40 03 61 A1 ?? ?? ?? ?? C6 40 04 72 A1 ?? ?? ?? ?? C6 40 05 61 A1 ?? ?? ?? ?? C6 40 06 6D A1 ?? ?? ?? ?? C6 40 07 65 A1 ?? ?? ?? ?? C6 40 08 74 A1 ?? ?? ?? ?? C6 40 09 65 A1 ?? ?? ?? ?? C6 40 0A 72 A1 ?? ?? ?? ?? C6 40 0B 73 A1 ?? ?? ?? ?? C6 40 0C 22 A1 ?? ?? ?? ?? C6 40 0D 3A A1 ?? ?? ?? ?? C6 40 0E 5B 6A 0A B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 22 A1 ?? ?? ?? ?? C6 40 01 65 A1 ?? ?? ?? ?? C6 40 02 78 A1 ?? ?? ?? ?? C6 40 03 65 A1 ?? ?? ?? ?? C6 40 04 63 A1 ?? ?? ?? ?? C6 40 05 75 A1 ?? ?? ?? ?? C6 40 06 74 A1 ?? ?? ?? ?? C6 40 07 65 A1 ?? ?? ?? ?? C6 40 08 22 A1 ?? ?? ?? ?? C6 40 09 2C 6A 10 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 22 A1 ?? ?? ?? ?? C6 40 01 63 A1 ?? ?? ?? ?? C6 40 02 6F A1 ?? ?? ?? ?? C6 40 03 6D A1 ?? ?? ?? ?? C6 40 04 6D A1 ?? ?? ?? ?? C6 40 05 61 A1 ?? ?? ?? ?? C6 40 06 6E A1 ?? ?? ?? ?? C6 40 07 64 A1 ?? ?? ?? ?? C6 40 08 5F A1 ?? ?? ?? ?? C6 40 09 63 A1 ?? ?? ?? ?? C6 40 0A 6C A1 ?? ?? ?? ?? C6 40 0B 6F A1 ?? ?? ?? ?? C6 40 0C 73 A1 ?? ?? ?? ?? C6 40 0D 65 A1 ?? ?? ?? ?? C6 40 0E 22 A1 ?? ?? ?? ?? C6 40 0F 2C 6A 0F B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 22 A1 ?? ?? ?? ?? C6 40 01 72 A1 ?? ?? ?? ?? C6 40 02 65 A1 ?? ?? ?? ?? C6 40 03 61 A1 ?? ?? ?? ?? C6 40 04 64 A1 ?? ?? ?? ?? C6 40 05 65 A1 ?? ?? ?? ?? C6 40 06 72 A1 ?? ?? ?? ?? C6 40 07 5F A1 ?? ?? ?? ?? C6 40 08 63 A1 ?? ?? ?? ?? C6 40 09 6C A1 ?? ?? ?? ?? C6 40 0A 6F A1 ?? ?? ?? ?? C6 40 0B 73 A1 ?? ?? ?? ?? C6 40 0C 65 A1 ?? ?? ?? ?? C6 40 0D 22 A1 ?? ?? ?? ?? C6 40 0E 2C 6A 0B B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 7B A1 ?? ?? ?? ?? C6 40 01 22 A1 ?? ?? ?? ?? C6 40 02 72 A1 ?? ?? ?? ?? C6 40 03 65 A1 ?? ?? ?? ?? C6 40 04 73 A1 ?? ?? ?? ?? C6 40 05 75 A1 ?? ?? ?? ?? C6 40 06 6C A1 ?? ?? ?? ?? C6 40 07 74 A1 ?? ?? ?? ?? C6 40 08 22 A1 ?? ?? ?? ?? C6 40 09 3A A1 ?? ?? ?? ?? C6 40 0A 5B 6A 11 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 7B A1 ?? ?? ?? ?? C6 40 01 22 A1 ?? ?? ?? ?? C6 40 02 65 A1 ?? ?? ?? ?? C6 40 03 72 A1 ?? ?? ?? ?? C6 40 04 72 A1 ?? ?? ?? ?? C6 40 05 6F A1 ?? ?? ?? ?? C6 40 06 72 A1 ?? ?? ?? ?? C6 40 07 22 A1 ?? ?? ?? ?? C6 40 08 3A A1 ?? ?? ?? ?? C6 40 09 7B A1 ?? ?? ?? ?? C6 40 0A 22 A1 ?? ?? ?? ?? C6 40 0B 6E A1 ?? ?? ?? ?? C6 40 0C 61 A1 ?? ?? ?? ?? C6 40 0D 6D A1 ?? ?? ?? ?? C6 40 0E 65 A1 ?? ?? ?? ?? C6 40 0F 22 A1 ?? ?? ?? ?? C6 40 10 3A 6A 07 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 22 A1 ?? ?? ?? ?? C6 40 01 63 A1 ?? ?? ?? ?? C6 40 02 6F A1 ?? ?? ?? ?? C6 40 03 64 A1 ?? ?? ?? ?? C6 40 04 65 A1 ?? ?? ?? ?? C6 40 05 22 A1 ?? ?? ?? ?? C6 40 06 3A 6A 0A B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 22 A1 ?? ?? ?? ?? C6 40 01 6D A1 ?? ?? ?? ?? C6 40 02 65 A1 ?? ?? ?? ?? C6 40 03 73 A1 ?? ?? ?? ?? C6 40 04 73 A1 ?? ?? ?? ?? C6 40 05 61 A1 ?? ?? ?? ?? C6 40 06 67 A1 ?? ?? ?? ?? C6 40 07 65 A1 ?? ?? ?? ?? C6 40 08 22 A1 ?? ?? ?? ?? C6 40 09 3A 6A 04 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 6E A1 ?? ?? ?? ?? C6 40 01 75 A1 ?? ?? ?? ?? C6 40 02 6C A1 ?? ?? ?? ?? C6 40 03 6C 6A 04 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 74 A1 ?? ?? ?? ?? C6 40 01 72 A1 ?? ?? ?? ?? C6 40 02 75 A1 ?? ?? ?? ?? C6 40 03 65 6A 05 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 66 A1 ?? ?? ?? ?? C6 40 01 61 A1 ?? ?? ?? ?? C6 40 02 6C A1 ?? ?? ?? ?? C6 40 03 73 A1 ?? ?? ?? ?? C6 40 04 65 6A 0C B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 7B A1 ?? ?? ?? ?? C6 40 01 22 A1 ?? ?? ?? ?? C6 40 02 63 A1 ?? ?? ?? ?? C6 40 03 6F A1 ?? ?? ?? ?? C6 40 04 6C A1 ?? ?? ?? ?? C6 40 05 75 A1 ?? ?? ?? ?? C6 40 06 6D A1 ?? ?? ?? ?? C6 40 07 6E A1 ?? ?? ?? ?? C6 40 08 73 A1 ?? ?? ?? ?? C6 40 09 22 A1 ?? ?? ?? ?? C6 40 0A 3A A1 ?? ?? ?? ?? C6 40 0B 5B 6A 0A B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 7B A1 ?? ?? ?? ?? C6 40 01 22 A1 ?? ?? ?? ?? C6 40 02 74 A1 ?? ?? ?? ?? C6 40 03 61 A1 ?? ?? ?? ?? C6 40 04 62 A1 ?? ?? ?? ?? C6 40 05 6C A1 ?? ?? ?? ?? C6 40 06 65 A1 ?? ?? ?? ?? C6 40 07 22 A1 ?? ?? ?? ?? C6 40 08 3A A1 ?? ?? ?? ?? C6 40 09 5B 6A 0C B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 7B A1 ?? ?? ?? ?? C6 40 01 22 A1 ?? ?? ?? ?? C6 40 02 73 A1 ?? ?? ?? ?? C6 40 03 65 A1 ?? ?? ?? ?? C6 40 04 73 A1 ?? ?? ?? ?? C6 40 05 73 A1 ?? ?? ?? ?? C6 40 06 69 A1 ?? ?? ?? ?? C6 40 07 6F A1 ?? ?? ?? ?? C6 40 08 6E A1 ?? ?? ?? ?? C6 40 09 22 A1 ?? ?? ?? ?? C6 40 0A 3A A1 ?? ?? ?? ?? C6 40 0B 5B 6A 09 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 7B A1 ?? ?? ?? ?? C6 40 01 22 A1 ?? ?? ?? ?? C6 40 02 72 A1 ?? ?? ?? ?? C6 40 03 6F A1 ?? ?? ?? ?? C6 40 04 77 A1 ?? ?? ?? ?? C6 40 05 73 A1 ?? ?? ?? ?? C6 40 06 22 A1 ?? ?? ?? ?? C6 40 07 3A A1 ?? ?? ?? ?? C6 40 08 5B 6A 09 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 7B A1 ?? ?? ?? ?? C6 40 01 22 A1 ?? ?? ?? ?? C6 40 02 64 A1 ?? ?? ?? ?? C6 40 03 61 A1 ?? ?? ?? ?? C6 40 04 74 A1 ?? ?? ?? ?? C6 40 05 61 A1 ?? ?? ?? ?? C6 40 06 22 A1 ?? ?? ?? ?? C6 40 07 3A A1 ?? ?? ?? ?? C6 40 08 5B 6A 07 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 22 A1 ?? ?? ?? ?? C6 40 01 6E A1 ?? ?? ?? ?? C6 40 02 65 A1 ?? ?? ?? ?? C6 40 03 78 A1 ?? ?? ?? ?? C6 40 04 74 A1 ?? ?? ?? ?? C6 40 05 22 A1 ?? ?? ?? ?? C6 40 06 2C 6A 08 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 22 A1 ?? ?? ?? ?? C6 40 01 6E A1 ?? ?? ?? ?? C6 40 02 65 A1 ?? ?? ?? ?? C6 40 03 78 A1 ?? ?? ?? ?? C6 40 04 74 A1 ?? ?? ?? ?? C6 40 05 22 A1 ?? ?? ?? ?? C6 40 06 3A A1 ?? ?? ?? ?? C6 40 07 5B 6A 0B B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 7B A1 ?? ?? ?? ?? C6 40 01 22 A1 ?? ?? ?? ?? C6 40 02 68 A1 ?? ?? ?? ?? C6 40 03 61 A1 ?? ?? ?? ?? C6 40 04 6E A1 ?? ?? ?? ?? C6 40 05 64 A1 ?? ?? ?? ?? C6 40 06 6C A1 ?? ?? ?? ?? C6 40 07 65 A1 ?? ?? ?? ?? C6 40 08 22 A1 ?? ?? ?? ?? C6 40 09 3A A1 ?? ?? ?? ?? C6 40 0A 5B 6A 0B B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 7B A1 ?? ?? ?? ?? C6 40 01 22 A1 ?? ?? ?? ?? C6 40 02 66 A1 ?? ?? ?? ?? C6 40 03 69 A1 ?? ?? ?? ?? C6 40 04 65 A1 ?? ?? ?? ?? C6 40 05 6C A1 ?? ?? ?? ?? C6 40 06 64 A1 ?? ?? ?? ?? C6 40 07 73 A1 ?? ?? ?? ?? C6 40 08 22 A1 ?? ?? ?? ?? C6 40 09 3A A1 ?? ?? ?? ?? C6 40 0A 5B 6A 0A B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 22 A1 ?? ?? ?? ?? C6 40 01 74 A1 ?? ?? ?? ?? C6 40 02 78 A1 ?? ?? ?? ?? C6 40 03 62 A1 ?? ?? ?? ?? C6 40 04 65 A1 ?? ?? ?? ?? C6 40 05 67 A1 ?? ?? ?? ?? C6 40 06 69 A1 ?? ?? ?? ?? C6 40 07 6E A1 ?? ?? ?? ?? C6 40 08 22 A1 ?? ?? ?? ?? C6 40 09 2C 6A 08 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 22 A1 ?? ?? ?? ?? C6 40 01 74 A1 ?? ?? ?? ?? C6 40 02 78 A1 ?? ?? ?? ?? C6 40 03 65 A1 ?? ?? ?? ?? C6 40 04 6E A1 ?? ?? ?? ?? C6 40 05 64 A1 ?? ?? ?? ?? C6 40 06 22 A1 ?? ?? ?? ?? C6 40 07 2C 6A 0C B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 22 A1 ?? ?? ?? ?? C6 40 01 6D A1 ?? ?? ?? ?? C6 40 02 6F A1 ?? ?? ?? ?? C6 40 03 72 A1 ?? ?? ?? ?? C6 40 04 65 A1 ?? ?? ?? ?? C6 40 05 5F A1 ?? ?? ?? ?? C6 40 06 62 A1 ?? ?? ?? ?? C6 40 07 6C A1 ?? ?? ?? ?? C6 40 08 6F A1 ?? ?? ?? ?? C6 40 09 62 A1 ?? ?? ?? ?? C6 40 0A 22 A1 ?? ?? ?? ?? C6 40 0B 2C 6A 0D B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 22 A1 ?? ?? ?? ?? C6 40 01 6D A1 ?? ?? ?? ?? C6 40 02 6F A1 ?? ?? ?? ?? C6 40 03 72 A1 ?? ?? ?? ?? C6 40 04 65 A1 ?? ?? ?? ?? C6 40 05 5F A1 ?? ?? ?? ?? C6 40 06 62 A1 ?? ?? ?? ?? C6 40 07 6C A1 ?? ?? ?? ?? C6 40 08 6F A1 ?? ?? ?? ?? C6 40 09 62 A1 ?? ?? ?? ?? C6 40 0A 22 A1 ?? ?? ?? ?? C6 40 0B 3A A1 ?? ?? ?? ?? C6 40 0C 5B 6A 0E B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 22 A1 ?? ?? ?? ?? C6 40 01 6E A1 ?? ?? ?? ?? C6 40 02 65 A1 ?? ?? ?? ?? C6 40 03 78 A1 ?? ?? ?? ?? C6 40 04 74 A1 ?? ?? ?? ?? C6 40 05 5F A1 ?? ?? ?? ?? C6 40 06 72 A1 ?? ?? ?? ?? C6 40 07 65 A1 ?? ?? ?? ?? C6 40 08 73 A1 ?? ?? ?? ?? C6 40 09 75 A1 ?? ?? ?? ?? C6 40 0A 6C A1 ?? ?? ?? ?? C6 40 0B 74 A1 ?? ?? ?? ?? C6 40 0C 22 A1 ?? ?? ?? ?? C6 40 0D 2C 6A 12 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 22 A1 ?? ?? ?? ?? C6 40 01 76 A1 ?? ?? ?? ?? C6 40 02 65 A1 ?? ?? ?? ?? C6 40 03 6E A1 ?? ?? ?? ?? C6 40 04 64 A1 ?? ?? ?? ?? C6 40 05 6F A1 ?? ?? ?? ?? C6 40 06 72 A1 ?? ?? ?? ?? C6 40 07 5F A1 ?? ?? ?? ?? C6 40 08 70 A1 ?? ?? ?? ?? C6 40 09 72 A1 ?? ?? ?? ?? C6 40 0A 6F A1 ?? ?? ?? ?? C6 40 0B 70 A1 ?? ?? ?? ?? C6 40 0C 65 A1 ?? ?? ?? ?? C6 40 0D 72 A1 ?? ?? ?? ?? C6 40 0E 74 A1 ?? ?? ?? ?? C6 40 0F 79 A1 ?? ?? ?? ?? C6 40 10 22 A1 ?? ?? ?? ?? C6 40 11 2C 6A 0C B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? C6 00 22 A1 ?? ?? ?? ?? C6 40 01 63 A1 ?? ?? ?? ?? C6 40 02 61 A1 ?? ?? ?? ?? C6 40 03 6C A1 ?? ?? ?? ?? C6 40 04 6C A1 ?? ?? ?? ?? C6 40 05 62 A1 ?? ?? ?? ?? C6 40 06 61 A1 ?? ?? ?? ?? C6 40 07 63 }
	condition:
		$1
}

rule function_13025_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteConnectObjectStart"
		size = 31
		refs = "0005 TDBXJSonStreamWriter.MethodStart 000c TDBXJSonStreamWriter.WriteBytes 0012 TDBXJSonStreamWriter.Connect"
	strings:
		$1 = { 53 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13026_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteHandleObject"
		size = 45
		refs = "0008 TDBXJSonStreamWriter.HandleStart 000f TDBXJSonStreamWriter.WriteBytes 0018 TDBXJSonStreamWriter.WriteInt 001f TDBXJSonStreamWriter.WriteArrayEnd 0026 TDBXJSonStreamWriter.WriteObjectEnd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13027_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteDisconnectObject"
		size = 72
		refs = "0008 TDBXJSonStreamWriter.MethodStart 000f TDBXJSonStreamWriter.WriteBytes 0015 TDBXJSonStreamWriter.Disconnect 0023 TDBXJSonStreamWriter.WriteParamsStart 002c TDBXJSonStreamWriter.WriteInt 0033 TDBXJSonStreamWriter.WriteArrayEnd 003a TDBXJSonStreamWriter.WriteObjectEnd 0041 TDBXJSonStreamWriter.Flush"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13032_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteCommandCloseObject"
		size = 72
		refs = "0008 TDBXJSonStreamWriter.MethodStart 000f TDBXJSonStreamWriter.WriteBytes 0015 TDBXJSonStreamWriter.CommandClose 0023 TDBXJSonStreamWriter.WriteParamsStart 002c TDBXJSonStreamWriter.WriteInt 0033 TDBXJSonStreamWriter.WriteArrayEnd 003a TDBXJSonStreamWriter.WriteObjectEnd 0041 TDBXJSonStreamWriter.Flush"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13044_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteExecute"
		size = 72
		refs = "0008 TDBXJSonStreamWriter.MethodStart 000f TDBXJSonStreamWriter.WriteBytes 0015 TDBXJSonStreamWriter.Execute 0023 TDBXJSonStreamWriter.WriteParamsStart 002c TDBXJSonStreamWriter.WriteInt 0033 TDBXJSonStreamWriter.WriteArrayEnd 003a TDBXJSonStreamWriter.WriteObjectEnd 0041 TDBXJSonStreamWriter.Flush"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13028_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteTxBegin"
		size = 72
		refs = "0008 TDBXJSonStreamWriter.MethodStart 000f TDBXJSonStreamWriter.WriteBytes 0015 TDBXJSonStreamWriter.Txbegin 0023 TDBXJSonStreamWriter.WriteParamsStart 002c TDBXJSonStreamWriter.WriteInt 0033 TDBXJSonStreamWriter.WriteArrayEnd 003a TDBXJSonStreamWriter.WriteObjectEnd 0041 TDBXJSonStreamWriter.Flush"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13056_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteVendorProperty"
		size = 72
		refs = "0008 TDBXJSonStreamWriter.MethodStart 000f TDBXJSonStreamWriter.WriteBytes 0015 TDBXJSonStreamWriter.VendorProperty 0023 TDBXJSonStreamWriter.WriteParamsStart 002c TDBXJSonStreamWriter.WriteString 0033 TDBXJSonStreamWriter.WriteArrayEnd 003a TDBXJSonStreamWriter.WriteObjectEnd 0041 TDBXJSonStreamWriter.Flush"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13029_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteTxEnd"
		size = 92
		refs = "000b TDBXJSonStreamWriter.MethodStart 0012 TDBXJSonStreamWriter.WriteBytes 0018 TDBXJSonStreamWriter.Txend 0026 TDBXJSonStreamWriter.WriteParamsStart 002f TDBXJSonStreamWriter.WriteBoolean 0036 TDBXJSonStreamWriter.WriteValueSeparator 003f TDBXJSonStreamWriter.WriteInt 0046 TDBXJSonStreamWriter.WriteArrayEnd 004d TDBXJSonStreamWriter.WriteObjectEnd 0054 TDBXJSonStreamWriter.Flush"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13030_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteClientMoreBlobObject"
		size = 170
		refs = "000e TDBXJSonStreamWriter.MethodStart 0015 TDBXJSonStreamWriter.WriteBytes 001b TDBXJSonStreamWriter.MoreBlob 0029 TDBXJSonStreamWriter.WriteParamsStart 0032 TDBXJSonStreamWriter.WriteInt 0039 TDBXJSonStreamWriter.WriteValueSeparator 0057 TDBXJSonStreamWriter.WriteLong 007a TDBXJSonStreamWriter.WriteBoolean 0091 TDBXJSonStreamWriter.WriteArrayEnd 0098 TDBXJSonStreamWriter.WriteObjectEnd 009f TDBXJSonStreamWriter.Flush"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 18 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 14 FF 75 10 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 55 08 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_13031_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteServerMoreBlobObject"
		size = 139
		refs = "000f TDBXJSonStreamWriter.WriteObjectStart 0015 TDBXJSonStreamWriter.MoreBlobStart 001c TDBXJSonStreamWriter.WriteBytes 0025 TDBXJSonStreamWriter.WriteInt 002c TDBXJSonStreamWriter.WriteValueSeparator 004a TDBXJSonStreamWriter.WriteLong 0072 TDBXJSonStreamWriter.WriteArrayEnd 0079 TDBXJSonStreamWriter.WriteObjectEnd 0080 TDBXJSonStreamWriter.Flush"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 14 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 10 FF 75 0C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_13033_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteReaderCloseObject"
		size = 85
		refs = "000b TDBXJSonStreamWriter.MethodStart 0012 TDBXJSonStreamWriter.WriteBytes 0018 TDBXJSonStreamWriter.ReaderClose 0026 TDBXJSonStreamWriter.WriteParamsStart 002f TDBXJSonStreamWriter.WriteInt 0036 TDBXJSonStreamWriter.WriteValueSeparator 0046 TDBXJSonStreamWriter.WriteArrayEnd 004d TDBXJSonStreamWriter.WriteObjectEnd"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13034_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteTableObjectStart"
		size = 12
		refs = "0002 TDBXJSonStreamWriter.TableStart 0007 TDBXJSonStreamWriter.WriteBytes"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80931_0 {
	meta:
		name = "DisposeStrItem"
		size = 12
		refs = "0002 TStrItem 0007 @Dispose"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13035_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteColumnsObjectStart"
		size = 12
		refs = "0002 TDBXJSonStreamWriter.ColumnsStart 0007 TDBXJSonStreamWriter.WriteBytes"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13049_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteDataObjectStart"
		size = 12
		refs = "0002 TDBXJSonStreamWriter.DataStart 0007 TDBXJSonStreamWriter.WriteBytes"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13043_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteFieldsObjectStart"
		size = 12
		refs = "0002 TDBXJSonStreamWriter.FieldsStart 0007 TDBXJSonStreamWriter.WriteBytes"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13083_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteNull"
		size = 12
		refs = "0002 TDBXJSonStreamWriter.NullValue 0007 TDBXJSonStreamWriter.WriteBytes"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13036_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteParameterMetadataStart"
		size = 12
		refs = "0002 TDBXJSonStreamWriter.ParameterMetadataStart 0007 TDBXJSonStreamWriter.WriteBytes"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13065_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteParamsStart"
		size = 12
		refs = "0002 TDBXJSonStreamWriter.ParamsStart 0007 TDBXJSonStreamWriter.WriteBytes"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13046_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteResultObjectStart"
		size = 12
		refs = "0002 TDBXJSonStreamWriter.ResultStart 0007 TDBXJSonStreamWriter.WriteBytes"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13048_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteRowsObjectStart"
		size = 12
		refs = "0002 TDBXJSonStreamWriter.RowsStart 0007 TDBXJSonStreamWriter.WriteBytes"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13047_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteSessionObjectStart"
		size = 12
		refs = "0002 TDBXJSonStreamWriter.SessionStart 0007 TDBXJSonStreamWriter.WriteBytes"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66165_0 {
	meta:
		name = "TPath.IsFileNameWildcardChar"
		size = 12
		refs = "0002 TPath.FFileNameWildCardChars 0007 TPath.IsCharInOrderedArray"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66166_0 {
	meta:
		name = "TPath.IsPathWildcardChar"
		size = 12
		refs = "0002 TPath.FPathWildcardChars 0007 TPath.IsCharInOrderedArray"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13037_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteCommandFields"
		size = 72
		refs = "000c TDBXJSonStreamWriter.WriteInt 0013 TDBXJSonStreamWriter.WriteValueSeparator 001c TDBXJSonStreamWriter.WriteBoolean 002d TDBXJSonStreamWriter.WriteString"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 0C 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 08 8B C6 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13038_0 {
	meta:
		name = "TDBXJSonStreamWriter.WritePrepareStart"
		size = 71
		refs = "000e TDBXJSonStreamWriter.MethodStart 0015 TDBXJSonStreamWriter.WriteBytes 001b TDBXJSonStreamWriter.Prepare 0029 TDBXJSonStreamWriter.WriteParamsStart 003c TDBXJSonStreamWriter.WriteCommandFields"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13039_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteExecuteStart"
		size = 38
		refs = "0005 TDBXJSonStreamWriter.MethodStart 000c TDBXJSonStreamWriter.WriteBytes 0012 TDBXJSonStreamWriter.Execute 0020 TDBXJSonStreamWriter.WriteParamsStart"
	strings:
		$1 = { 53 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13040_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteExecuteFieldsObject"
		size = 65
		refs = "000e TDBXJSonStreamWriter.FieldsStart 0015 TDBXJSonStreamWriter.WriteBytes 0028 TDBXJSonStreamWriter.WriteCommandFields 002f TDBXJSonStreamWriter.WriteArrayEnd 0036 TDBXJSonStreamWriter.WriteObjectEnd"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13041_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteParametersObjectStart"
		size = 31
		refs = "0008 TDBXJSonStreamWriter.Parameters 000f TDBXJSonStreamWriter.WriteBytes 0018 TDBXJSonStreamWriter.WriteInt"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13042_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteParameter"
		size = 170
		refs = "000f TDBXJSonStreamWriter.WriteValueSeparator 0016 TDBXJSonStreamWriter.WriteArrayStart 001f TDBXJSonStreamWriter.WriteInt 0054 TDBXJSonStreamWriter.WriteLong 0076 TDBXJSonStreamWriter.WriteString 009f TDBXJSonStreamWriter.WriteArrayEnd"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 1C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 18 99 52 50 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 14 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 10 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_13045_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteResultVoidObject"
		size = 83
		refs = "0005 TDBXJSonStreamWriter.ResultStart 000c TDBXJSonStreamWriter.WriteBytes 001f TDBXJSonStreamWriter.FlushFullBuffer 004d TDBXJSonStreamWriter.Flush"
	strings:
		$1 = { 53 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 43 10 FF 00 8B 00 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 5D 8D 43 10 FF 00 8B 00 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 7D 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13050_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteDataObject"
		size = 68
		refs = "000b TDBXJSonStreamWriter.DataStart 0012 TDBXJSonStreamWriter.WriteBytes 001b TDBXJSonStreamWriter.WriteInt 0022 TDBXJSonStreamWriter.WriteValueSeparator 002e TDBXJSonStreamWriter.WriteDataBytes 0035 TDBXJSonStreamWriter.WriteArrayEnd 003c TDBXJSonStreamWriter.WriteObjectEnd"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13051_0 {
	meta:
		name = "TDBXJSonStreamWriter.CalcRowBufferSize"
		size = 23
	strings:
		$1 = { 8B 50 04 81 FA 00 08 00 00 7D 03 8B C2 C3 81 EA 00 08 00 00 8B C2 C3 }
	condition:
		$1
}

rule function_13052_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteDataObject"
		size = 198
		refs = "000d TDBXJSonStreamWriter.DataStart 0014 TDBXJSonStreamWriter.WriteBytes 0076 TDBXJSonStreamWriter.WriteInt 008f TDBXJSonStreamWriter.WriteSpace 009e TDBXJSonStreamWriter.WriteValueSeparator 00a8 TDBXJSonStreamWriter.WriteArrayEnd 00af TDBXJSonStreamWriter.WriteObjectEnd 00b6 TDBXJSonStreamWriter.Flush"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B8 0A 00 00 00 8B 73 10 03 F0 8D 46 01 8B 53 04 2B D0 83 EA 02 89 54 24 08 8B 54 24 08 52 8B C8 8B 53 08 8B 44 24 04 8B 38 FF 17 8B F8 C6 44 24 04 00 3B 7C 24 08 7C 0C 8B 04 24 8B 10 FF 52 04 84 C0 74 25 8B 04 24 8B 10 FF 52 04 84 C0 74 07 83 FF FF 75 02 33 FF 8B D7 F7 DA 8B C3 E8 ?? ?? ?? ?? C6 44 24 04 01 EB 12 8B D7 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 8B C6 48 3B 43 10 7F F1 8B C3 E8 ?? ?? ?? ?? 01 7B 10 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 44 24 04 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13053_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteClientNextObject"
		size = 111
		refs = "000e TDBXJSonStreamWriter.MethodStart 0015 TDBXJSonStreamWriter.WriteBytes 001b TDBXJSonStreamWriter.Next 0029 TDBXJSonStreamWriter.WriteParamsStart 0032 TDBXJSonStreamWriter.WriteInt 0039 TDBXJSonStreamWriter.WriteValueSeparator 0046 TDBXJSonStreamWriter.WriteLong 005d TDBXJSonStreamWriter.WriteArrayEnd 0064 TDBXJSonStreamWriter.WriteObjectEnd"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13054_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteServerNextObject"
		size = 98
		refs = "000f TDBXJSonStreamWriter.WriteObjectStart 0015 TDBXJSonStreamWriter.NextStart 001c TDBXJSonStreamWriter.WriteBytes 0025 TDBXJSonStreamWriter.WriteInt 002c TDBXJSonStreamWriter.WriteValueSeparator 0039 TDBXJSonStreamWriter.WriteLong 0050 TDBXJSonStreamWriter.WriteArrayEnd 0057 TDBXJSonStreamWriter.WriteObjectEnd"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13055_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteNextResultObject"
		size = 65
		refs = "0008 TDBXJSonStreamWriter.MethodStart 000f TDBXJSonStreamWriter.WriteBytes 0015 TDBXJSonStreamWriter.NextResult 0023 TDBXJSonStreamWriter.WriteParamsStart 002c TDBXJSonStreamWriter.WriteInt 0033 TDBXJSonStreamWriter.WriteArrayEnd 003a TDBXJSonStreamWriter.WriteObjectEnd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13057_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteObjectEnd"
		size = 34
		refs = "0012 TDBXJSonStreamWriter.FlushFullBuffer"
		altNames = "TDBXJSonStreamWriter.WriteResultEnd"
	strings:
		$1 = { 53 8B D8 8D 43 10 FF 00 8B 00 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 7D 5B C3 }
	condition:
		$1
}

rule function_13058_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteResultObject"
		size = 102
		refs = "0008 TDBXJSonStreamWriter.ResultStart 000f TDBXJSonStreamWriter.WriteBytes 001c TDBXJSonStreamWriter.WriteLong 002f TDBXJSonStreamWriter.FlushFullBuffer 005d TDBXJSonStreamWriter.Flush"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8D 43 10 FF 00 8B 00 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 5D 8D 43 10 FF 00 8B 00 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 7D 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13059_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteRpcError"
		size = 196
		refs = "0013 TDBXJSonStreamWriter.ErrorStart 001a TDBXJSonStreamWriter.WriteBytes 0023 TDBXJSonStreamWriter.WriteString 002a TDBXJSonStreamWriter.WriteValueSeparator 0030 TDBXJSonStreamWriter.CodeLabel 0041 TDBXJSonStreamWriter.WriteInt 004e TDBXJSonStreamWriter.MessageLabel 006a @DynArrayLength 007a TDBXJSonStreamWriter.WriteRpcError 0088 TDBXJSonStreamWriter.WriteNameSeparator 008f TDBXJSonStreamWriter.WriteObjectStart 0096 TDBXJSonStreamWriter.WriteObjectEnd"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 85 F6 74 33 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 28 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 72 00 72 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_13060_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteNamedString"
		size = 32
		refs = "0009 TDBXJSonStreamWriter.WriteString 0010 TDBXJSonStreamWriter.WriteNameSeparator"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13061_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteObjectStart"
		size = 34
		refs = "0012 TDBXJSonStreamWriter.FlushFullBuffer"
	strings:
		$1 = { 53 8B D8 8D 43 10 FF 00 8B 00 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 7B 5B C3 }
	condition:
		$1
}

rule function_13063_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteArrayStart"
		size = 34
		refs = "0012 TDBXJSonStreamWriter.FlushFullBuffer"
	strings:
		$1 = { 53 8B D8 8D 43 10 FF 00 8B 00 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 5B 5B C3 }
	condition:
		$1
}

rule function_13064_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteArrayEnd"
		size = 34
		refs = "0012 TDBXJSonStreamWriter.FlushFullBuffer"
	strings:
		$1 = { 53 8B D8 8D 43 10 FF 00 8B 00 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 5D 5B C3 }
	condition:
		$1
}

rule function_13066_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteValueSeparator"
		size = 34
		refs = "0012 TDBXJSonStreamWriter.FlushFullBuffer"
	strings:
		$1 = { 53 8B D8 8D 43 10 FF 00 8B 00 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 2C 5B C3 }
	condition:
		$1
}

rule function_13067_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteNameSeparator"
		size = 34
		refs = "0012 TDBXJSonStreamWriter.FlushFullBuffer"
	strings:
		$1 = { 53 8B D8 8D 43 10 FF 00 8B 00 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 3A 5B C3 }
	condition:
		$1
}

rule function_13068_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteBytes"
		size = 87
		refs = "000e @DynArrayLength 002e TDBXJSonStreamWriter.FlushFullBuffer 0046 Incr"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B EA 8B D8 8B C5 E8 ?? ?? ?? ?? 89 44 24 04 C7 04 24 FF FF FF FF EB 24 8D 73 10 FF 06 8B 3E 3B 7B 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 04 24 0F B6 44 05 00 8B 53 08 8B 4B 10 88 04 0A 8B C4 E8 ?? ?? ?? ?? 3B 44 24 04 7C CF 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13069_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteDataBytes"
		size = 244
		refs = "001c TDBXJSonStreamWriter.WriteDataBytes 0045 TDBXJSonStreamWriter.Flush 0066 TArray<System.Byte> 006b @DynArrayAsg 00a8 Move 00df @FinalizeArray 00e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 5D F8 8B F1 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7D 08 89 75 F0 85 FF 0F 8E 8F 00 00 00 8B 43 10 40 8B 73 04 2B F0 83 FE 01 7D 10 8B C3 E8 ?? ?? ?? ?? 8B 43 10 40 8B 73 04 2B F0 3B FE 7D 05 89 7B 14 EB 03 89 73 14 8D 45 FC 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 10 40 89 45 EC 8B 43 14 89 45 E8 83 7D E8 00 7E 19 8B 45 F8 8B 55 EC 8D 14 10 8B 45 FC 8B 4D F0 03 C1 8B 4D E8 E8 ?? ?? ?? ?? 2B 7B 14 8B 43 14 01 45 F0 8B 43 14 01 43 10 85 FF 0F 8F 71 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13070_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteString"
		size = 1043
		refs = "002d TDBXJSonStreamWriter.FlushFullBuffer 02f8 TDBXJSonStreamWriter.Hex"
	strings:
		$1 = { 53 56 57 55 83 C4 90 89 14 24 8B D8 8B 04 24 85 C0 74 05 83 E8 04 8B 00 89 44 24 04 33 F6 8D 43 10 FF 00 8B 00 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 22 3B 74 24 04 0F 8D A9 03 00 00 8D 7B 10 FF 07 8B 07 89 44 24 0C 8B 44 24 0C 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8D 46 01 8B 14 24 0F B7 6C 42 FE 0F B7 C5 83 F8 0C 7F 22 0F 84 F7 00 00 00 83 E8 08 0F 84 AE 00 00 00 48 0F 84 A7 01 00 00 48 0F 84 20 01 00 00 E9 DB 01 00 00 83 E8 0D 0F 84 52 01 00 00 83 E8 15 74 0A 83 E8 3A 74 46 E9 C3 01 00 00 8B 43 08 8B 53 10 C6 04 10 5C 8D 43 10 89 44 24 10 8B 44 24 10 FF 00 8B 44 24 10 8B 00 89 44 24 14 8B 44 24 14 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 8B CD 88 0C 10 E9 F5 02 00 00 8B 43 08 8B 53 10 8B CD 88 0C 10 8D 43 10 89 44 24 18 8B 44 24 18 FF 00 8B 44 24 18 8B 00 89 44 24 1C 8B 44 24 1C 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 8B CD 88 0C 10 E9 B3 02 00 00 8B 43 08 8B 53 10 C6 04 10 5C 8D 43 10 89 44 24 20 8B 44 24 20 FF 00 8B 44 24 20 8B 00 89 44 24 24 8B 44 24 24 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 62 E9 73 02 00 00 8B 43 08 8B 53 10 C6 04 10 5C 8D 43 10 89 44 24 28 8B 44 24 28 FF 00 8B 44 24 28 8B 00 89 44 24 2C 8B 44 24 2C 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 66 E9 33 02 00 00 8B 43 08 8B 53 10 C6 04 10 5C 8D 43 10 89 44 24 30 8B 44 24 30 FF 00 8B 44 24 30 8B 00 89 44 24 34 8B 44 24 34 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 6E E9 F3 01 00 00 8B 43 08 8B 53 10 C6 04 10 5C 8D 43 10 89 44 24 38 8B 44 24 38 FF 00 8B 44 24 38 8B 00 89 44 24 3C 8B 44 24 3C 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 72 E9 B3 01 00 00 8B 43 08 8B 53 10 C6 04 10 5C 8D 43 10 89 44 24 40 8B 44 24 40 FF 00 8B 44 24 40 8B 00 89 44 24 44 8B 44 24 44 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 74 E9 73 01 00 00 66 83 FD 20 72 0B 66 81 FD FF 00 0F 86 57 01 00 00 8B 43 08 8B 53 10 C6 04 10 5C 8D 43 10 89 44 24 48 8B 44 24 48 FF 00 8B 44 24 48 8B 00 89 44 24 4C 8B 44 24 4C 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 75 8D 43 10 89 44 24 50 8B 44 24 50 FF 00 8B 44 24 50 8B 00 89 44 24 54 8B 44 24 54 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 0F B7 C5 89 44 24 08 8B 44 24 08 25 00 F0 00 00 C1 E8 0C 8B 15 ?? ?? ?? ?? 0F B6 04 02 8B 53 08 8B 4B 10 88 04 0A 8D 43 10 89 44 24 58 8B 44 24 58 FF 00 8B 44 24 58 8B 00 89 44 24 5C 8B 44 24 5C 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 25 00 0F 00 00 C1 E8 08 8B 15 ?? ?? ?? ?? 0F B6 04 02 8B 53 08 8B 4B 10 88 04 0A 8D 43 10 89 44 24 60 8B 44 24 60 FF 00 8B 44 24 60 8B 00 89 44 24 64 8B 44 24 64 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 25 F0 00 00 00 C1 E8 04 8B 15 ?? ?? ?? ?? 0F B6 04 02 8B 53 08 8B 4B 10 88 04 0A 8D 43 10 89 44 24 68 8B 44 24 68 FF 00 8B 44 24 68 8B 00 89 44 24 6C 8B 44 24 6C 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 83 E0 0F 8B 15 ?? ?? ?? ?? 0F B6 04 02 8B 53 08 8B 4B 10 88 04 0A EB 0B 8B 43 08 8B 53 10 8B CD 88 0C 10 46 3B 74 24 04 0F 8C 57 FC FF FF 8D 43 10 FF 00 8B 00 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 22 83 C4 70 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13071_0 {
	meta:
		name = "TDBXJSonStreamWriter.BytesToString"
		size = 212
		refs = "001c TDBXJSonStreamWriter.BytesToString 002a @UStrClr 0051 @UStrCat 005c IntToStr 0073 @UStrFromWChar 008f @UStrAsg 00a9 @UStrArrayClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 33 F6 3B 75 F8 7D 53 8B 47 08 0F B6 1C 30 66 83 FB 20 72 06 66 83 FB 7E 76 25 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 0F B7 C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? EB 15 8D 45 EC 8B D3 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 46 3B 75 F8 7C AD 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_13073_0 {
	meta:
		name = "TDBXJSonStreamWriter.Flush"
		size = 43
		refs = "001d TDBXJSonStreamWriter.TraceWrite"
	strings:
		$1 = { 53 56 8B D8 8B 43 10 40 50 33 C9 8B 53 08 8B 43 18 8B 30 FF 56 0C 8B 53 10 42 8B C3 E8 ?? ?? ?? ?? C7 43 10 FF FF FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_13074_0 {
	meta:
		name = "TDBXJSonStreamWriter.FlushFullBuffer"
		size = 39
		refs = "001b TDBXJSonStreamWriter.TraceWrite"
	strings:
		$1 = { 53 56 8B D8 8B 43 10 50 33 C9 8B 53 08 8B 43 18 8B 30 FF 56 0C 8B 53 10 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 10 5E 5B C3 }
	condition:
		$1
}

rule function_13075_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteInt"
		size = 284
		refs = "0014 TDBXJSonStreamWriter.WriteInt 0028 TArray<System.Byte> 002d @DynArrayAsg 0035 @DynArrayLength 0055 TDBXJSonStreamWriter.FlushFullBuffer 00e9 Incr 0109 @DynArrayClear 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F2 8D 45 FC 8B 53 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 89 45 F4 85 F6 7D 1F 8D 43 10 FF 00 8B 00 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 2D F7 DE 83 FE 0A 7D 23 8D 43 10 FF 00 8B 00 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 8B CE 80 C1 30 88 0C 10 EB 65 85 F6 74 29 FF 4D F4 8B 7D F4 8B C6 B9 0A 00 00 00 99 F7 F9 80 C2 30 8B 45 FC 88 14 38 B9 0A 00 00 00 8B C6 99 F7 F9 89 C6 85 F6 75 D7 FF 4D F4 EB 26 8D 73 10 FF 06 8B 3E 3B 7B 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 0F B6 04 10 8B 53 08 8B 4B 10 88 04 0A 8D 45 F4 E8 ?? ?? ?? ?? 3B 45 F8 7C CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13076_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteByte"
		size = 9
		refs = "0004 TDBXJSonStreamWriter.WriteInt"
	strings:
		$1 = { 0F B6 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13131_0 {
	meta:
		name = "TDBXRowBuffer.WriteByte"
		size = 9
		refs = "0004 TDBXRowBuffer.WriteShort"
	strings:
		$1 = { 0F B6 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13077_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteSpace"
		size = 34
		refs = "0012 TDBXJSonStreamWriter.FlushFullBuffer"
	strings:
		$1 = { 53 8B D8 8D 43 10 FF 00 8B 00 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 20 5B C3 }
	condition:
		$1
}

rule function_13078_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteShort"
		size = 9
		refs = "0004 TDBXJSonStreamWriter.WriteInt"
	strings:
		$1 = { 0F BF D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13079_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteLong"
		size = 353
		refs = "0014 TDBXJSonStreamWriter.WriteLong 0032 TArray<System.Byte> 0037 @DynArrayAsg 003f @DynArrayLength 006b TDBXJSonStreamWriter.FlushFullBuffer 00d0 @_llmod 00e7 @_lldiv 012c Incr 014c @DynArrayClear 0152 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 8D 45 FC 8B 53 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 89 45 E8 83 7D F4 00 75 08 83 7D F0 00 73 34 EB 02 7D 30 8D 43 10 FF 00 8B 00 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 2D 8B 45 F0 8B 55 F4 F7 D8 83 D2 00 F7 DA 89 45 F0 89 55 F4 83 7D F4 00 75 08 83 7D F0 0A 73 59 EB 02 7D 55 8D 43 10 FF 00 8B 00 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 04 30 8B 53 08 8B 4B 10 88 04 0A EB 76 FF 4D E8 8B 75 E8 6A 00 6A 0A 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 04 30 8B 55 FC 88 04 32 6A 00 6A 0A 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 83 7D F4 00 75 C8 83 7D F0 00 75 C2 FF 4D E8 EB 26 8D 73 10 FF 06 8B 3E 3B 7B 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 E8 0F B6 04 10 8B 53 08 8B 4B 10 88 04 0A 8D 45 E8 E8 ?? ?? ?? ?? 3B 45 EC 7C CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_13080_0 {
	meta:
		name = "TActiveScriptObjectFactory.CreateComponentObject"
		size = 7
		altNames = "TActiveXControl.GetPropertyValue TBaseAdapterErrorsList.AddError TChartSeries.PrepareLegendCanvas TComponent.UpdateRegistry TCustomGrid.SetEditText TDBXJSonStreamWriter.WriteFloat TDSNullResponseHandler.PopulateContent TGridLayout.ImplLayoutTable TIWBase.CheckBaseForm TIWBase.ConvertToBaseAddress TOleContainer.OnClose TOleContainer.OnSave TSeStyleObject.MouseDouble TSeStyleObject.MouseDown TSeStyleObject.MouseMove TSeStyleObject.MouseUp TUtilsCustomTranscoder.CodecWriteEventHandler TWebBrowserEvents2Dispatch.DoUpdatePageStatus"
	strings:
		$1 = { 55 8B EC 5D C2 04 00 }
	condition:
		$1
}

rule function_13082_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteBoolean"
		size = 28
		refs = "0006 TDBXJSonStreamWriter.TrueValue 000b TDBXJSonStreamWriter.WriteBytes 0012 TDBXJSonStreamWriter.FalseValue"
	strings:
		$1 = { 84 D2 74 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13084_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteMetadata"
		size = 172
		refs = "000f TDBXJSonStreamWriter.WriteMetadata 002b TArray<System.Byte> 0030 @DynArraySetLength 0048 TDBXJSonStreamWriter.WriteObjectStart 004e TDBXJSonStreamWriter.MetadataStart 0055 TDBXJSonStreamWriter.WriteBytes 005e TDBXJSonStreamWriter.WriteInt 0065 TDBXJSonStreamWriter.WriteValueSeparator 0072 TDBXJSonStreamWriter.WriteDataBytes 0079 TDBXJSonStreamWriter.WriteArrayEnd 0080 TDBXJSonStreamWriter.WriteObjectEnd 009b @DynArrayClear 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 04 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C9 8B 55 FC 8B C6 8B 30 FF 56 08 8B F0 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13085_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteCallback"
		size = 172
		refs = "000f TDBXJSonStreamWriter.WriteCallback 002b TArray<System.Byte> 0030 @DynArraySetLength 0048 TDBXJSonStreamWriter.WriteObjectStart 004e TDBXJSonStreamWriter.CallbackStart 0055 TDBXJSonStreamWriter.WriteBytes 005e TDBXJSonStreamWriter.WriteInt 0065 TDBXJSonStreamWriter.WriteValueSeparator 0072 TDBXJSonStreamWriter.WriteDataBytes 0079 TDBXJSonStreamWriter.WriteArrayEnd 0080 TDBXJSonStreamWriter.WriteObjectEnd 009b @DynArrayClear 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 04 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C9 8B 55 FC 8B C6 8B 30 FF 56 08 8B F0 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13086_0 {
	meta:
		name = "TDBXJSonStreamWriter.WriteCallbackResponse"
		size = 165
		refs = "000f TDBXJSonStreamWriter.WriteCallbackResponse 002b TArray<System.Byte> 0030 @DynArraySetLength 0047 TDBXJSonStreamWriter.DataStart 004e TDBXJSonStreamWriter.WriteBytes 0057 TDBXJSonStreamWriter.WriteInt 005e TDBXJSonStreamWriter.WriteValueSeparator 006b TDBXJSonStreamWriter.WriteDataBytes 0072 TDBXJSonStreamWriter.WriteArrayEnd 0079 TDBXJSonStreamWriter.WriteObjectEnd 0094 @DynArrayClear 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 04 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C9 8B 55 FC 8B C6 8B 30 FF 56 08 8B F0 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13091_0 {
	meta:
		name = "TDBXFilterSocketChannel.IsConnectionLost"
		size = 32
		altNames = "TDBXJSonStreamWriter.IsConnectionLost"
	strings:
		$1 = { 53 56 8B D8 8B 73 18 85 F6 74 0B 8B C6 8B 10 FF 52 10 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_13092_0 {
	meta:
		name = "TDBXJSonStreamWriter.CreateBuffers"
		size = 75
		refs = "0025 TArray<System.Byte> 002a @DynArraySetLength"
	strings:
		$1 = { 53 8B D8 C7 43 10 FF FF FF FF 83 7B 04 00 75 07 C7 43 04 00 20 00 00 8B 43 04 50 8D 43 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 14 8D 43 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5B C3 }
	condition:
		$1
}

rule function_13093_0 {
	meta:
		name = "TDBXJSonStreamWriter.Skip"
		size = 4
	strings:
		$1 = { 01 50 10 C3 }
	condition:
		$1
}

rule function_13094_0 {
	meta:
		name = "TDBXJSonStreamWriter.Destroy"
		size = 64
		refs = "0003 @BeforeDestruction 0010 TArray<System.Byte> 0015 @DynArrayClear 002e TObject.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13095_0 {
	meta:
		name = "TDBXRowBlobStreamReader.Init"
		size = 76
		refs = "0011 TDBXRowBlobStreamReader.InitBufferTo"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B DA 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? C6 47 39 00 C6 47 38 01 84 DB 74 0E 8B 45 08 89 47 40 8B 45 0C 89 47 44 EB 16 C7 47 40 FF FF FF FF C7 47 44 FF FF FF FF 89 77 30 33 C0 89 47 34 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13096_0 {
	meta:
		name = "TDBXRowBlobStreamReader.InitBufferTo"
		size = 50
		refs = "0010 @DynArrayLength 0023 TArray<System.Byte> 0028 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 2C 00 74 0C 8B 43 2C E8 ?? ?? ?? ?? 3B F0 7E 17 56 8D 43 2C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_13097_0 {
	meta:
		name = "TDBXRowBlobStreamReader.Store"
		size = 166
		refs = "001a TDBXRowBlobStreamReader.Store 0029 TDBXRowBlobStreamReader.InitBufferTo 0034 TArray<System.Byte> 0039 @DynArrayAsg 0069 Move 0091 @FinalizeArray 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 2C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C6 85 C0 7E 17 8B 4D FC 8B 7D F4 03 CF 51 8B 4D F8 8D 14 11 8B C8 58 E8 ?? ?? ?? ?? 89 73 30 33 C0 89 43 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13098_0 {
	meta:
		name = "TDBXRowBlobStreamReader.Store"
		size = 40
		refs = "000b TDBXRowBlobStreamReader.InitBufferTo 0019 TDBXJSonStreamReader.ReadDataBytes"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 56 33 C9 8B 53 2C 8B 43 04 E8 ?? ?? ?? ?? 89 73 30 33 C0 89 43 34 5E 5B C3 }
	condition:
		$1
}

rule function_13099_0 {
	meta:
		name = "TDBXRowBlobStreamReader.Read"
		size = 552
		refs = "001f TDBXRowBlobStreamReader.Read 0049 SCommandClosed 004e LoadResString 005e _Dn_TDBXError 0063 TDBXError.Create 0068 @RaiseExcept 0085 TArray<System.Byte> 008a @DynArrayAsg 00bb Move 0113 TDBXJSonStreamWriter.WriteClientMoreBlobObject 011b TDBXJSonStreamReader.NextResultObjectStart 0128 TDBXJSonStreamReader.Next 0148 TDBXJSonStreamWriter.WriteServerMoreBlobObject 016a TDBXJSonStreamReader.ReadStringCode 018c TDBXJSonStreamReader.ReadInt 01be TDBXJSonStreamReader.ReadDataBytes 01cd TDBXRowBlobStreamReader.Store 01d5 TDBXJSonStreamReader.SkipToEndOfObject 01fe @UStrClr 0211 @FinalizeArray 0217 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D FC 89 5D F8 8B F1 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 75 F0 8B 45 08 89 45 EC 33 C0 89 45 E8 80 7B 28 00 74 2F 8B 43 0C 83 38 00 7D 27 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 B9 04 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 30 85 C0 7E 69 8B F0 3B 75 EC 7E 03 8B 75 EC 8D 45 FC 8B 53 2C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C6 85 C0 7E 17 8B 4D FC 8B 7B 34 03 CF 51 8B 4D F8 8D 14 11 8B C8 58 E8 ?? ?? ?? ?? 01 75 F0 01 73 34 29 73 30 01 75 E8 29 75 EC 83 7D EC 01 7D 08 8B 5D E8 E9 11 01 00 00 80 7B 38 00 75 0C C6 43 39 01 8B 5D E8 E9 FF 00 00 00 80 7B 28 00 74 3A 8B 43 14 50 FF 73 24 FF 73 20 8B 43 18 50 0F B6 43 29 50 8B 43 0C 8B 10 8B 4B 10 8B 43 08 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? BA 04 00 00 00 8B 43 04 E8 ?? ?? ?? ?? EB 1E 8B 43 14 50 FF 73 24 FF 73 20 8B 43 18 50 8B 43 0C 8B 10 8B 4B 10 8B 43 08 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 43 04 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B 43 04 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? BA 0C 00 00 00 8B 43 04 E8 ?? ?? ?? ?? BA 04 00 00 00 8B 43 04 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8B F8 BA 0D 00 00 00 8B 43 04 E8 ?? ?? ?? ?? 85 FF 7F 06 C6 43 38 00 F7 DF 8B F7 3B 75 EC 7E 03 8B 75 EC 56 8B 4D F0 8B 55 F4 8B 43 04 E8 ?? ?? ?? ?? 2B FE 85 FF 7E 09 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 80 7B 28 00 74 08 8B 43 04 E8 ?? ?? ?? ?? 01 75 E8 8B 5D E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13103_0 {
	meta:
		name = "TDBXRowBlobStreamReader.Destroy"
		size = 64
		refs = "0003 @BeforeDestruction 0010 TArray<System.Byte> 0015 @DynArrayClear 001e TDBXInt32s 002e TObject.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 2C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13104_0 {
	meta:
		name = "TDBXRowBuffer.Create"
		size = 170
		refs = "000a @ClassCreate 0017 TDBXBinaryStream.Create 0027 TDBXInt32s 002c @DynArraySetLength 004e _DV_TDBXStringDecoder 0053 TObject.Create 005d _DV_TDBXStringEncoder 0062 TDBXStringEncoder.Create 0097 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 01 8D 46 38 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 10 8D 46 6C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C C7 46 74 00 04 00 00 8B 46 38 C7 00 FF FF FF FF 33 C0 89 86 84 00 00 00 C6 86 80 00 00 00 00 33 C0 89 86 88 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13105_0 {
	meta:
		name = "TDBXRowBuffer.Destroy"
		size = 121
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0049 TDBXInt32s 004e @DynArrayClear 0067 TDBXBinaryStream.Destroy 0072 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 4C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 46 38 C7 00 FF FF FF FF 8D 46 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 6C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13106_0 {
	meta:
		name = "TDBXRowBuffer.SetPreventDecoderGrowth"
		size = 7
	strings:
		$1 = { 8B 40 50 88 50 19 C3 }
	condition:
		$1
}

rule function_13107_0 {
	meta:
		name = "TDBXRowBuffer.GrowRowOffsets"
		size = 189
		refs = "0011 TDBXRowBuffer.GrowRowOffsets 002c TDBXInt32s 0031 @DynArraySetLength 0045 @DynArrayAsg 0060 @DynArrayLength 007a Move 00ab @FinalizeArray 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 68 83 C0 10 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F8 8B 53 6C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 F6 8B 43 6C E8 ?? ?? ?? ?? 8B 55 F8 33 C9 8D 14 8A 8B C8 03 C9 03 C9 8B 45 F4 8D 04 B0 92 E8 ?? ?? ?? ?? 8D 43 6C 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13108_0 {
	meta:
		name = "TDBXRowBuffer.MakePositionValid"
		size = 35
	strings:
		$1 = { 80 B8 80 00 00 00 00 74 19 8B 90 84 00 00 00 89 50 10 C6 80 80 00 00 00 00 8B 90 88 00 00 00 89 50 14 C3 }
	condition:
		$1
}

rule function_13109_0 {
	meta:
		name = "TDBXRowBuffer.NextRow"
		size = 134
		refs = "0021 TDBXBinaryStream.SkipField 005d @DynArrayLength 0068 TDBXRowBuffer.GrowRowOffsets"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 10 FF 12 8B 43 10 3B 43 70 7D 6F 8B 43 14 8B 73 64 4E 2B F0 7C 0B 46 8B C3 E8 ?? ?? ?? ?? 4E 75 F6 33 C0 89 43 14 8B 43 10 3B 43 70 7D 48 8B 43 58 8B 53 5C 83 C0 01 83 D2 00 89 43 58 89 53 5C 8D 43 60 FF 00 8B 00 3B 43 68 7E 25 8B 73 60 89 73 68 8B 43 6C E8 ?? ?? ?? ?? 3B F0 7C 07 8B C3 E8 ?? ?? ?? ?? 8B 43 6C 8B 53 60 8B 4B 10 89 0C 90 B0 01 5E 5B C3 33 C0 EB 02 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_13110_0 {
	meta:
		name = "TDBXRowBuffer.GoToRow"
		size = 42
		refs = "001a TDBXRowBuffer.NextRow"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 3B 77 68 7E 16 EB 09 3B 77 60 75 04 B3 01 EB 0D 8B C7 E8 ?? ?? ?? ?? 84 C0 75 EC 33 DB 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13111_0 {
	meta:
		name = "TDBXRowBuffer.GoToField"
		size = 51
		refs = "0027 TDBXBinaryStream.SkipField"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 12 3B 73 14 7D 1A 33 C0 89 43 14 8B 43 6C 8B 53 60 8B 04 90 89 43 10 EB 07 8B C3 E8 ?? ?? ?? ?? 3B 73 14 7F F4 5E 5B C3 }
	condition:
		$1
}

rule function_13112_0 {
	meta:
		name = "TDBXRowBuffer.IsNull"
		size = 14
	strings:
		$1 = { 8B 50 08 8B 40 10 F6 04 02 80 0F 95 C0 C3 }
	condition:
		$1
}

rule function_13113_0 {
	meta:
		name = "TDBXRowBuffer.IsCallback"
		size = 14
	strings:
		$1 = { 8B 50 08 8B 40 10 80 3C 02 02 0F 94 C0 C3 }
	condition:
		$1
}

rule function_13114_0 {
	meta:
		name = "TDBXRowBuffer.IsLastParameterBlobSegment"
		size = 30
	strings:
		$1 = { 8B 50 08 8B 40 10 0F B6 04 02 A8 40 75 0A 83 F8 08 74 05 83 F8 0C 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_13115_0 {
	meta:
		name = "TDBXRowBuffer.ReadParameterBlobSize"
		size = 102
	strings:
		$1 = { 53 56 8B 50 08 8B 48 10 0F B6 14 0A 89 88 84 00 00 00 C6 80 80 00 00 00 01 8B 48 14 89 88 88 00 00 00 F6 C2 20 74 05 83 E2 1F EB 2F 8D 50 10 FF 02 8B 12 8D 48 10 FF 01 8B 09 8B 58 08 0F B6 14 13 80 E2 FF 0F B6 F2 C1 E6 08 8B 50 08 0F B6 14 0A 80 E2 FF 0F B6 D2 0B F2 8B D6 FF 40 10 FF 40 14 8B C2 5E 5B C3 }
	condition:
		$1
}

rule function_13116_0 {
	meta:
		name = "TDBXRowBuffer.ReadReaderBlobSize"
		size = 157
		refs = "0081 TDBXFieldPacker.GetBlobLength 008e TDBXFieldPacker.GetBlobHeaderLength"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B 43 10 89 83 84 00 00 00 C6 83 80 00 00 00 01 8B 43 14 89 83 88 00 00 00 8D 43 10 8B 10 FF 00 8B 43 08 0F B6 04 10 A8 20 74 09 BE 1F 00 00 00 23 F0 EB 5B BA 10 00 00 00 23 D0 83 FA 10 75 2D 8D 53 10 8B 02 FF 02 8D 4B 10 8B 11 FF 01 8B 4B 08 0F B6 04 01 24 FF 0F B6 F0 C1 E6 08 8B 43 08 0F B6 04 10 24 FF 0F B6 C0 0B F0 EB 22 A8 08 74 1E FF 4B 10 8B 53 10 8B 43 08 E8 ?? ?? ?? ?? 8B F0 8B 53 10 8B 43 08 E8 ?? ?? ?? ?? 01 43 10 FF 43 14 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13117_0 {
	meta:
		name = "TDBXRowBuffer.IsBlobHeader"
		size = 23
	strings:
		$1 = { 8B 50 08 8B 40 10 0F B6 04 02 83 E0 78 83 C8 40 83 F8 48 0F 94 C0 C3 }
	condition:
		$1
}

rule function_13118_0 {
	meta:
		name = "TDBXRowBuffer.ReadBytes"
		size = 153
		refs = "001a TDBXRowBuffer.ReadBytes 002c TArray<System.Byte> 0031 @DynArrayAsg 0061 Move 0084 @FinalizeArray 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C6 85 C0 7E 17 8B 4D FC 8B 7B 10 03 CF 51 8B 4D F8 8D 14 11 8B C8 58 E8 ?? ?? ?? ?? 01 73 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13119_0 {
	meta:
		name = "TDBXRowBuffer.ReadNull"
		size = 50
	strings:
		$1 = { FF 40 10 FF 40 14 C6 80 80 00 00 00 00 8B 50 10 89 90 84 00 00 00 8B 50 14 89 90 88 00 00 00 8B 50 08 8B 40 10 F6 44 02 FF C0 74 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_13120_0 {
	meta:
		name = "TDBXRowBuffer.ReadCallback"
		size = 32
	strings:
		$1 = { FF 40 10 FF 40 14 C6 80 80 00 00 00 00 8B 50 10 89 90 84 00 00 00 8B 50 14 89 90 88 00 00 00 C3 }
	condition:
		$1
}

rule function_13121_0 {
	meta:
		name = "TDBXRowBuffer.GetEncodedStringLength"
		size = 20
		refs = "000a TDBXRowBuffer.ReadEncodedStringLength"
	strings:
		$1 = { 53 56 8B D8 8B 73 10 8B C3 E8 ?? ?? ?? ?? 89 73 10 5E 5B C3 }
	condition:
		$1
}

rule function_13122_0 {
	meta:
		name = "TDBXRowBuffer.ReadEncodedStringLength"
		size = 276
		refs = "000d TDBXRowBuffer.ReadEncodedStringLength 0087 TDBXBinaryStream.SkipNullTermString 00b3 TDBXFieldPacker.GetBlobLength 00c0 TDBXFieldPacker.GetBlobHeaderLength 00cf SUnexpectedHeader 00d4 LoadResString 00e1 TDBXContext.Error 0101 @UStrClr 0107 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 89 83 84 00 00 00 8D 43 10 8B 10 FF 00 8B 43 08 0F B6 04 10 A8 20 74 0C BE 1F 00 00 00 23 F0 E9 A9 00 00 00 BA 10 00 00 00 23 D0 83 FA 10 75 2D 8D 53 10 8B 02 FF 02 8D 4B 10 8B 11 FF 01 8B 4B 08 0F B6 04 01 24 FF 0F B6 F0 C1 E6 08 8B 43 08 0F B6 04 10 24 FF 0F B6 C0 0B F0 EB 70 85 C0 75 2A FF 4B 10 80 7B 04 00 74 0F 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 83 EE 02 EB 0D 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 83 EE 04 FF 43 10 EB 42 A8 08 74 20 FF 4B 10 8B 53 10 8B 43 08 E8 ?? ?? ?? ?? 8B F0 8B 53 10 8B 43 08 E8 ?? ?? ?? ?? 01 43 10 EB 1E 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B 43 54 E8 ?? ?? ?? ?? 33 F6 C6 83 80 00 00 00 01 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13123_0 {
	meta:
		name = "TDBXRowBuffer.ReadChars"
		size = 368
		refs = "0015 TDBXStringDecoder.InitWideCharsDecoder 001d TDBXRowBuffer.IsLastParameterBlobSegment 0029 TDBXRowBuffer.ReadEncodedStringLength 0046 TDBXCharDecoder.Decode 0090 TDBXRowBuffer.IsBlobHeader 009e TDBXRowBuffer.GetRowBlobStreamReader 00b1 TDBXRowBuffer.ReadBlobStreamReader 00c0 TDBXRowBuffer.ReadChars 00e5 TArray<System.Byte> 00ea @DynArraySetLength 00fa @DynArrayLength 014c TObject.Free 0152 @HandleFinally 0163 TDBXCharDecoder.AddNullChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B DA 89 45 FC 8B 45 FC 8B 40 50 8B D1 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 5E 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 50 8B 45 FC 8B 48 10 8B 45 FC 8B 50 08 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B 45 FC 01 58 10 8B 45 FC FF 40 14 8B 45 FC C6 80 80 00 00 00 00 8B 45 FC 8B 40 10 8B 55 FC 89 82 84 00 00 00 8B 45 FC 8B 40 14 8B 55 FC 89 82 88 00 00 00 E9 D5 00 00 00 8B 45 FC 80 78 34 00 75 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 13 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 C6 45 F7 00 EB 11 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 C6 45 F7 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 78 48 00 75 51 68 00 80 00 00 8B 45 FC 83 C0 48 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 31 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 50 48 33 C9 8B 45 F8 8B 18 FF 13 8B D8 53 8B 45 FC 8B 50 48 8B 45 FC 8B 40 50 33 C9 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 04 84 C0 74 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F7 00 74 0D 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 FC 8B 40 50 8B 58 10 43 E8 ?? ?? ?? ?? 8B C3 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13124_0 {
	meta:
		name = "TDBXRowBuffer.ReadInlineAnsiChars"
		size = 204
		refs = "0015 TDBXRowBuffer.ReadInlineAnsiChars 0024 TDBXRowBuffer.IsLastParameterBlobSegment 002f TDBXRowBuffer.ReadEncodedStringLength 003d TArray<System.Byte> 0042 @DynArrayAsg 0072 Move 00b5 @FinalizeArray 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6B 8B C3 E8 ?? ?? ?? ?? 8B F8 8D 45 FC 8B 53 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C7 85 C0 7E 17 8B 4D FC 8B 73 10 03 CE 51 8B 4D F8 8D 14 11 8B C8 58 E8 ?? ?? ?? ?? 8B F7 01 7B 10 FF 43 14 C6 83 80 00 00 00 00 8B 43 10 89 83 84 00 00 00 8B 43 14 89 83 88 00 00 00 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13125_0 {
	meta:
		name = "TDBXRowBuffer.ReadString"
		size = 479
		refs = "001b TDBXRowBuffer.ReadString 002c TDBXCharDecoder.InitDecoder 0034 TDBXRowBuffer.IsLastParameterBlobSegment 0040 TDBXRowBuffer.ReadEncodedStringLength 005a TDBXCharDecoder.Decode 009b TDBXRowBuffer.IsBlobHeader 00a9 TDBXRowBuffer.GetRowBlobStreamReader 00bc TDBXRowBuffer.ReadBlobStreamReader 00f0 TArray<System.Byte> 00f5 @DynArraySetLength 0105 @DynArrayLength 0157 TObject.Free 015d @HandleFinally 0171 TDBXWideChars 0176 @DynArrayAsg 0186 @UStrSetLength 0192 @UniqueStringU 01a0 Move 01ab @UStrAsg 01c0 @UStrClr 01ce @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D FC 89 5D F8 89 4D F0 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 50 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 5B 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 53 8B 45 F4 8B 48 10 8B 45 F4 8B 50 08 8B 45 F4 8B 40 50 E8 ?? ?? ?? ?? 8B 45 F4 FF 40 14 8B 45 F4 01 58 10 8B 45 F4 C6 80 80 00 00 00 00 8B 45 F4 8B 40 10 8B 55 F4 89 82 84 00 00 00 8B 45 F4 8B 40 14 8B 55 F4 89 82 88 00 00 00 E9 CC 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 13 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC C6 45 EB 00 EB 11 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC C6 45 EB 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 83 78 48 00 75 51 68 00 01 00 00 8B 45 F4 83 C0 48 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 31 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 50 8B 45 F4 8B 50 48 33 C9 8B 45 EC 8B 18 FF 13 8B D8 53 8B 45 F4 8B 50 48 8B 45 F4 8B 40 50 33 C9 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 04 84 C0 74 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D EB 00 74 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8D 45 FC 8B 55 F4 8B 5A 50 8B 53 14 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 10 40 8B D8 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 85 DB 7E 16 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B CB 03 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13126_0 {
	meta:
		name = "TDBXRowBuffer.ReadStringBytes"
		size = 429
		refs = "0013 TDBXRowBuffer.IsLastParameterBlobSegment 0025 TDBXRowBuffer.ReadEncodedStringLength 0043 TDBXStringDecoder.DecodeToWideBytes 007e TDBXRowBuffer.IsBlobHeader 008c TDBXRowBuffer.GetRowBlobStreamReader 009f TDBXRowBuffer.ReadBlobStreamReader 00c5 TArray<System.Byte> 00ca @DynArraySetLength 00d5 TDBXRowBuffer.ReadStringBytes 00f2 @DynArrayLength 014f TDBXStringDecoder.DecodeBytes 017b TObject.Free 0181 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D F8 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 5F 8B 45 FC FF 40 14 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 F8 50 53 8B 45 FC 8B 48 10 8B 45 FC 8B 50 08 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B 45 FC 01 58 10 8B 45 FC C6 80 80 00 00 00 00 8B 45 FC 8B 40 10 8B 55 FC 89 82 84 00 00 00 8B 45 FC 8B 40 14 8B 55 FC 89 82 88 00 00 00 E9 0D 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 13 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 C6 45 F3 00 EB 11 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 C6 45 F3 01 8B 45 FC 83 78 48 00 75 1E 68 00 01 00 00 8B 45 FC 83 C0 48 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 10 FF 52 04 84 C0 75 74 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 50 48 33 C9 8B 45 F4 8B 18 FF 13 8B D8 8B 45 F8 50 53 8B 45 FC 8B 50 48 8B 45 FC 8B 40 50 33 C9 E8 ?? ?? ?? ?? EB 31 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 50 48 33 C9 8B 45 F4 8B 18 FF 13 8B D8 53 8B 45 FC 8B 50 48 8B 45 FC 8B 40 50 33 C9 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 04 84 C0 74 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F3 00 74 0D 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 FC 8B 40 50 8B 40 24 2B 45 08 8B 55 F8 C6 44 02 01 00 8B 55 F8 C6 44 02 02 00 83 C0 02 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13127_0 {
	meta:
		name = "TDBXRowBuffer.ReadAnsiStringBytes"
		size = 603
		refs = "0028 TDBXRowBuffer.ReadAnsiStringBytes 003a TDBXRowBuffer.IsLastParameterBlobSegment 0048 TDBXRowBuffer.ReadEncodedStringLength 0057 TArray<System.Byte> 005c @DynArrayAsg 008c Move 00b7 TDBXRowBuffer.IsBlobHeader 00c4 TDBXRowBuffer.GetRowBlobStreamReader 00d6 TDBXRowBuffer.ReadBlobStreamReader 00fb @DynArraySetLength 0124 @DynArrayLength 020e TObject.Free 0214 @HandleFinally 0244 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 5D F0 89 5D EC 89 5D E8 89 4D E4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 DC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 72 FF 43 14 8B C3 E8 ?? ?? ?? ?? 89 45 DC 8D 45 FC 8B 53 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 45 DC 85 C0 7E 15 8B 4B 10 8B 75 FC 8D 0C 0E 8B 75 F8 8D 14 16 91 E8 ?? ?? ?? ?? 8B 45 DC 01 43 10 C6 83 80 00 00 00 00 8B 43 10 89 83 84 00 00 00 8B 43 14 89 83 88 00 00 00 E9 66 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 E0 C6 45 DB 00 EB 10 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 E0 C6 45 DB 01 83 7B 48 00 75 1B 68 00 01 00 00 8D 43 48 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 E0 8B 10 FF 52 04 84 C0 0F 85 D2 00 00 00 8B 43 48 E8 ?? ?? ?? ?? 50 8B 53 48 33 C9 8B 45 E0 8B 30 FF 16 8B F0 8D 45 F4 8B 53 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 55 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 03 55 DC 8B C6 85 C0 7E 16 8B 4D F4 33 FF 03 CF 51 8B 4D F0 8D 14 11 8B C8 58 E8 ?? ?? ?? ?? 01 75 DC EB 66 8B 43 48 E8 ?? ?? ?? ?? 50 8B 53 48 33 C9 8B 45 E0 8B 30 FF 16 8B F0 8D 45 EC 8B 53 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 55 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 03 45 DC 89 45 D4 89 75 D0 83 7D D0 00 7E 18 8B 45 E8 8B 55 D4 8D 14 10 8B 45 EC 33 C9 03 C1 8B 4D D0 E8 ?? ?? ?? ?? 01 75 DC 8B 45 E0 8B 10 FF 52 04 84 C0 74 8E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D DB 00 74 0D 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 E4 8B 55 DC C6 04 10 00 8B 5D DC 43 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13128_0 {
	meta:
		name = "TDBXRowBuffer.ReadStringBytes"
		size = 479
		refs = "0019 TDBXRowBuffer.ReadStringBytes 0027 TDBXRowBuffer.IsLastParameterBlobSegment 0033 TDBXRowBuffer.ReadEncodedStringLength 0047 TDBXStringDecoder.InitByteDecoder 005f TDBXStringDecoder.DecodeBytes 00a0 TDBXRowBuffer.IsBlobHeader 00ae TDBXRowBuffer.GetRowBlobStreamReader 00c1 TDBXRowBuffer.ReadBlobStreamReader 00d0 TDBXRowBuffer.ReadReaderBlobSize 010c TArray<System.Byte> 0111 @DynArraySetLength 0133 @DynArrayLength 018b TObject.Free 0191 @HandleFinally 01a1 TDBXStringDecoder.ExtractDecodeByteBuffer 01b2 @DynArrayAsg 01cd @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D EC 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 6D 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8D 46 01 8B D0 03 D2 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 56 8B 45 FC 8B 48 10 8B 45 FC 8B 50 08 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B 45 FC FF 40 14 8B 45 FC 01 70 10 8B 45 FC C6 80 80 00 00 00 00 8B 45 FC 8B 40 10 8B 55 FC 89 82 84 00 00 00 8B 45 FC 8B 40 14 8B 55 FC 89 82 88 00 00 00 E9 FB 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 13 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 C6 45 F7 00 EB 11 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 C6 45 F7 01 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 78 48 00 75 1E 68 00 01 00 00 8B 45 FC 83 C0 48 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 46 01 8B D0 03 D2 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? EB 31 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 50 48 33 C9 8B 45 F0 8B 18 FF 13 8B D8 53 8B 45 FC 8B 50 48 8B 45 FC 8B 40 50 33 C9 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 04 84 C0 74 C3 8B 45 FC 01 70 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F7 00 74 0D 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8D 55 EC 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13129_0 {
	meta:
		name = "TDBXRowBuffer.GetStringBytesLength"
		size = 8
	strings:
		$1 = { 8B 40 50 8B 40 24 40 C3 }
	condition:
		$1
}

rule function_13130_0 {
	meta:
		name = "TDBXRowBuffer.WriteBoolean"
		size = 64
		refs = "0016 TDBXBinaryStream.Growbuf"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 10 3B 46 0C 7C 0C BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 11 8D 46 10 8B 10 FF 00 8B 46 08 C6 04 10 60 5E 5B C3 8D 46 10 8B 10 FF 00 8B 46 08 C6 04 10 20 5E 5B C3 }
	condition:
		$1
}

rule function_13132_0 {
	meta:
		name = "TDBXRowBuffer.WriteShort"
		size = 51
		refs = "0019 TDBXBinaryStream.Growbuf 0029 TDBXFieldPacker.PackAsciiShort"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 83 C0 03 3B 43 0C 7E 0C BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 6A 01 0F BF CE 8B 53 10 8B 43 08 E8 ?? ?? ?? ?? 01 43 10 5E 5B C3 }
	condition:
		$1
}

rule function_13133_0 {
	meta:
		name = "TDBXRowBuffer.WriteInt32"
		size = 50
		refs = "0019 TDBXBinaryStream.Growbuf 0028 TDBXFieldPacker.PackAsciiInt"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 83 C0 05 3B 43 0C 7E 0C BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 6A 01 8B CE 8B 53 10 8B 43 08 E8 ?? ?? ?? ?? 01 43 10 5E 5B C3 }
	condition:
		$1
}

rule function_13134_0 {
	meta:
		name = "TDBXRowBuffer.WriteNull"
		size = 40
		refs = "0014 TDBXBinaryStream.Growbuf"
	strings:
		$1 = { 53 8B D8 8B 43 10 40 3B 43 0C 7E 0C BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 43 10 8B 10 FF 00 8B 43 08 C6 04 10 C0 5B C3 }
	condition:
		$1
}

rule function_13135_0 {
	meta:
		name = "TDBXRowBuffer.WriteCallback"
		size = 40
		refs = "0014 TDBXBinaryStream.Growbuf"
	strings:
		$1 = { 53 8B D8 8B 43 10 40 3B 43 0C 7E 0C BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 43 10 8B 10 FF 00 8B 43 08 C6 04 10 02 5B C3 }
	condition:
		$1
}

rule function_13136_0 {
	meta:
		name = "TDBXRowBuffer.AvailableInline"
		size = 60
	strings:
		$1 = { 53 8B 48 10 8B D9 8B 50 74 03 DA 83 C3 03 3B 58 2C 7E 05 89 50 7C EB 0B 8B 50 0C 2B D1 83 EA 03 89 50 7C 8B 50 7C 81 FA FF FF 00 00 7C 05 BA FF FF 00 00 8B CA 89 48 7C 8B C1 5B C3 }
	condition:
		$1
}

rule function_13137_0 {
	meta:
		name = "TDBXRowBuffer.WriteBytes"
		size = 164
		refs = "001f TDBXBinaryStream.Growbuf 0026 TDBXRowBuffer.AvailableInline"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 53 10 83 C2 03 8B 43 74 03 D0 3B 53 0C 7E 0C 8B D0 83 C2 03 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B 4B 10 83 C1 03 8B 53 08 8B C7 8B 30 FF 16 8B F0 83 FE 01 7D 10 8D 43 10 8B 10 FF 00 8B 43 08 C6 04 10 20 EB 4D 8B C7 8B 10 FF 52 04 84 C0 74 0C 8B 43 08 8B 53 10 C6 04 10 10 EB 0A 8B 43 08 8B 53 10 C6 04 10 50 8B 43 08 8B 53 10 8B CE C1 E9 08 80 E1 FF 88 4C 10 01 8B 43 08 8B 53 10 8B CE 80 E1 FF 88 4C 10 02 8B 43 10 03 C6 83 C0 03 89 43 10 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13138_0 {
	meta:
		name = "TDBXRowBuffer.PrepareJSONByteBlock"
		size = 117
		refs = "0019 TDBXBinaryStream.Growbuf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 03 C6 83 C0 05 3B 43 0C 7E 0A 8D 56 05 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 10 C6 04 10 40 8B 43 08 8B 53 10 8B CE C1 E9 18 80 E1 FF 88 4C 10 01 8B 43 08 8B 53 10 8B CE C1 E9 10 80 E1 FF 88 4C 10 02 8B 43 08 8B 53 10 8B CE C1 E9 08 80 E1 FF 88 4C 10 03 8B 43 08 8B 53 10 8B CE 80 E1 FF 88 4C 10 04 8B 43 10 83 C0 05 5E 5B C3 }
	condition:
		$1
}

rule function_13139_0 {
	meta:
		name = "TDBXRowBuffer.EncodeJSONByteBlockSize"
		size = 107
	strings:
		$1 = { 53 8B 48 08 8B 58 10 C6 04 19 40 8B 48 08 8B 58 10 8D 4C 19 01 51 8B CA C1 E9 18 80 E1 FF 5B 88 0B 8B 48 08 8B 58 10 8D 4C 19 02 51 8B CA C1 E9 10 80 E1 FF 5B 88 0B 8B 48 08 8B 58 10 8D 4C 19 03 51 8B CA C1 E9 08 80 E1 FF 5B 88 0B 8B 48 08 8B 58 10 8D 4C 19 04 51 8B CA 80 E1 FF 5B 88 0B 03 50 10 83 C2 05 89 50 10 5B C3 }
	condition:
		$1
}

rule function_13140_0 {
	meta:
		name = "TDBXRowBuffer.DecodeJSONByteBlockSize"
		size = 171
		refs = "000c TDBXRowBuffer.DecodeJSONByteBlockSize 0058 TDBXRowBuffer.IsNull 0068 SInvalidJSONHeaderByte 006d LoadResString 007a _Dn_TDBXError 007f TDBXError.Create 0084 @RaiseExcept 0099 @UStrClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 08 8B 43 10 80 3C 02 40 75 33 8B 53 08 0F B6 54 02 01 C1 E2 18 8B 4B 08 0F B6 4C 01 02 C1 E1 10 0B D1 8B 4B 08 0F B6 4C 01 03 C1 E1 08 0B D1 8B 4B 08 0F B6 44 01 04 0B D0 8B DA EB 33 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 24 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_13141_0 {
	meta:
		name = "TDBXRowBuffer.JsonByteBlockOffset"
		size = 128
		refs = "000c TDBXRowBuffer.JsonByteBlockOffset 002c TDBXRowBuffer.IsNull 003d SInvalidJSONHeaderByte 0042 LoadResString 004f _Dn_TDBXError 0054 TDBXError.Create 0059 @RaiseExcept 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 08 8B 43 10 80 3C 02 40 75 07 83 C0 05 8B D8 EB 34 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 83 CB FF EB 24 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_13142_0 {
	meta:
		name = "TDBXRowBuffer.WriteInt64"
		size = 56
		refs = "0019 TDBXBinaryStream.Growbuf 002c TDBXFieldPacker.PackAsciiLong"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 43 10 83 C0 09 3B 43 0C 7E 0C BA 09 00 00 00 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 B1 01 8B 53 10 8B 43 08 E8 ?? ?? ?? ?? 01 43 10 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13143_0 {
	meta:
		name = "TDBXRowBuffer.WriteDouble"
		size = 56
		refs = "0019 TDBXBinaryStream.Growbuf 002c TDBXFieldPacker.PackDouble"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 43 10 83 C0 09 3B 43 0C 7E 0C BA 09 00 00 00 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 33 C9 8B 53 10 8B 43 08 E8 ?? ?? ?? ?? 01 43 10 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13144_0 {
	meta:
		name = "TDBXRowBuffer.WriteSingle"
		size = 53
		refs = "0019 TDBXBinaryStream.Growbuf 0029 TDBXFieldPacker.PackFloat"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 43 10 83 C0 05 3B 43 0C 7E 0C BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? FF 75 08 33 C9 8B 53 10 8B 43 08 E8 ?? ?? ?? ?? 01 43 10 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13145_0 {
	meta:
		name = "TDBXRowBuffer.WriteTimestamp"
		size = 101
		refs = "001d TDBXBinaryStream.Growbuf 0033 TDBXRowBuffer.WriteInt64 0044 TDBXFieldPacker.PackInt"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B D8 8B 43 10 83 C0 0E 3B 43 0C 7E 0C BA 0E 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 43 10 8B 10 FF 00 8B F2 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 85 FF 74 11 8B CF 8B 53 10 8B 43 08 E8 ?? ?? ?? ?? 83 43 10 04 8B C6 0F B6 53 10 2A D0 80 C2 20 4A 8B 43 08 88 14 30 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13146_0 {
	meta:
		name = "TDBXRowBuffer.WriteString"
		size = 406
		refs = "0020 TDBXRowBuffer.WriteString 0050 TDBXBinaryStream.Growbuf 0057 TDBXRowBuffer.AvailableInline 007c TDBXStringEncoder.Encode 00b2 TArray<System.Byte> 00b7 @DynArrayAsg 00e3 Move 00f5 TDBXFieldPacker.PackStringHeader 0181 @FinalizeArray 0187 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D FC 89 4D F8 89 4D F4 89 4D F0 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 8B F0 8B 53 10 8B 43 74 03 D0 83 C2 0E 3B 53 0C 7E 0C 8B D0 83 C2 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 83 FE 1F 7F 06 8B 73 10 46 EB 06 8B 73 10 83 C6 03 56 57 6A 00 8B 4B 08 8B 55 EC 8B 43 4C E8 ?? ?? ?? ?? 34 01 88 45 EB 8B 43 4C 8B 40 0C 89 45 E4 8B 45 E4 2B C6 89 45 E0 80 7D EB 00 74 65 83 7D E0 1F 7E 49 8B 43 10 40 3B F0 75 41 8D 45 FC 8B 53 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 56 02 8B 45 E0 85 C0 7E 11 8B 4D F8 8D 14 11 8B 4D FC 03 CE 91 E8 ?? ?? ?? ?? 83 45 E4 02 8B 4D E0 8B 53 10 8B 43 08 E8 ?? ?? ?? ?? 8B 45 E4 89 43 10 EB 60 8D 45 F4 8B 53 4C 8B 52 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 53 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C7 85 C0 7E 16 8B 4D F4 33 F6 03 CE 51 8B 4D F0 8D 14 11 8B C8 58 E8 ?? ?? ?? ?? 8B 73 10 8B CF 8B 53 10 8B 43 08 E8 ?? ?? ?? ?? 89 43 10 8B 43 08 80 0C 30 40 01 7B 10 0F B6 5D EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13147_0 {
	meta:
		name = "TDBXRowBuffer.GetOverflowStringBytes"
		size = 196
		refs = "0014 TDBXRowBuffer.GetOverflowStringBytes 0032 TArray<System.Byte> 0037 @DynArraySetLength 004e @DynArrayAsg 0081 Move 00b2 @FinalizeArray 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 4C 8B 40 0C 2B 43 7C 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F8 8B 53 4C 8B 52 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 43 4C 8B 40 0C 8B 73 7C 2B C6 85 C0 7E 11 8B 4D F8 03 CE 8B 5D F4 8D 14 13 91 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13148_0 {
	meta:
		name = "TDBXRowBuffer.Cancel"
		size = 30
		altNames = "TDBXRowBuffer.Post"
	strings:
		$1 = { 33 D2 89 50 10 C6 80 80 00 00 00 00 8B 50 10 89 90 84 00 00 00 33 D2 89 90 88 00 00 00 C3 }
	condition:
		$1
}

rule function_13150_0 {
	meta:
		name = "TDBXRowBuffer.SetReadSize"
		size = 49
	strings:
		$1 = { 89 50 70 33 D2 89 50 14 33 D2 89 50 60 33 D2 89 50 10 33 D2 89 50 68 C6 80 80 00 00 00 00 8B 50 10 89 90 84 00 00 00 8B 50 14 89 90 88 00 00 00 C3 }
	condition:
		$1
}

rule function_13151_0 {
	meta:
		name = "TDBXRowBuffer.InitRowBlobStreamReader"
		size = 123
		refs = "0038 TDBXRowBuffer.IsBlobHeader 0041 TDBXRowBuffer.ReadReaderBlobSize 005c TDBXRowBlobStreamReader.Init 006e TDBXRowBlobStreamReader.Store"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B F2 8B E8 8B 45 58 89 46 20 8B 45 5C 89 46 24 8B 45 14 89 46 18 8D 45 3C FF 00 8B 00 89 46 14 0F B6 45 78 88 46 29 8B 04 24 89 46 10 8B C5 E8 ?? ?? ?? ?? 8B D8 8B C5 E8 ?? ?? ?? ?? 8B F8 B9 00 04 00 00 3B F9 7E 02 8B CF 8B C7 99 52 50 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 75 11 57 8B 4D 10 8B 55 08 8B C6 E8 ?? ?? ?? ?? 01 7D 10 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13152_0 {
	meta:
		name = "TDBXRowBuffer.ReadDataBytes"
		size = 57
		refs = "0008 TDBXJSonStreamReader.ReadInt 0013 TDBXBinaryStream.SetMinBufferSize 001b TDBXJSonStreamReader.NextValueSeparator 0024 TDBXRowBuffer.SetReadSize 0032 TDBXJSonStreamReader.ReadDataBytes"
	strings:
		$1 = { 53 56 8B D8 8B 43 40 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 56 33 C9 8B 53 08 8B 43 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13153_0 {
	meta:
		name = "TDBXRowBuffer.ReadBlobStreamReader"
		size = 74
		refs = "000a _DV_TDBXRowBlobStreamReader 000f TObject.Create 0024 TDBXInt32s 0029 @DynArrayAsg 0040 TDBXRowBuffer.InitRowBlobStreamReader"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 0F B6 46 34 88 43 28 8D 43 0C 8B 56 38 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 40 89 43 04 8B 46 44 89 43 08 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13154_0 {
	meta:
		name = "TDBXRowBuffer.GetRowBlobStreamReader"
		size = 113
		refs = "0022 TObject.Free 0029 _DV_TDBXRowBlobStreamReader 002e TObject.Create 0046 TDBXInt32s 004b @DynArrayAsg 0066 TDBXRowBuffer.InitRowBlobStreamReader"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 30 85 C0 74 08 8B 40 0C 83 38 00 7D 48 8D 43 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 30 0F B6 43 34 88 46 28 8D 46 0C 8B 53 38 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 30 8B 53 40 89 50 04 8B 53 44 89 50 08 8B CF 8B 53 30 8B C3 E8 ?? ?? ?? ?? 8B 43 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13155_0 {
	meta:
		name = "TBaseSocket.SetBytesSent"
		size = 4
		altNames = "TCustomChartElement.SetParentChart TDBXRowBuffer.SetDbxStreamReader"
	strings:
		$1 = { 89 50 40 C3 }
	condition:
		$1
}

rule function_13156_0 {
	meta:
		name = "TDBXRowBuffer.SetDbxStreamWriter"
		size = 4
		altNames = "TDSServerConnectionHandler.SetTransport TDdeSrvrItem.SetHszItem"
	strings:
		$1 = { 89 50 44 C3 }
	condition:
		$1
}

rule function_13157_0 {
	meta:
		name = "TDBXStringDecoder.InitWideCharsDecoder"
		size = 42
		refs = "000d TDBXWideChars 0012 @DynArrayAsg 0019 @DynArrayLength 0023 TDBXCharDecoder.InitDecoder"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 14 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 43 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13158_0 {
	meta:
		name = "TDBXStringDecoder.InitByteDecoder"
		size = 31
	strings:
		$1 = { 8B 50 24 3B 50 1C 7E 03 89 50 1C C7 40 24 FF FF FF FF C6 40 04 00 C6 40 05 00 C6 40 18 00 C3 }
	condition:
		$1
}

rule function_13159_0 {
	meta:
		name = "TDBXStringDecoder.GrowDecodeByteBuf"
		size = 204
		refs = "0011 TDBXStringDecoder.GrowDecodeByteBuf 003d TArray<System.Byte> 0042 @DynArraySetLength 005c @DynArrayAsg 0089 Move 00ba @FinalizeArray 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 08 03 F6 83 FE 01 7D 05 BE 10 00 00 00 3B 73 28 7E 6F 89 73 08 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 7B 14 00 74 3E 8D 45 F8 8B 53 20 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 43 10 85 C0 7E 13 8B 4D F8 33 F6 03 CE 8B 75 F4 8D 14 16 91 E8 ?? ?? ?? ?? 8D 43 20 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13160_0 {
	meta:
		name = "TDBXStringDecoder.InitByteDecoder"
		size = 42
		refs = "0011 TArray<System.Byte> 0016 @DynArraySetLength 0023 TDBXStringDecoder.InitByteDecoder"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8D 43 20 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 89 73 28 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13161_0 {
	meta:
		name = "TDBXStringDecoder.DecodeToWideBytes"
		size = 74
		refs = "0018 TArray<System.Byte> 001d @DynArrayAsg 0024 @DynArrayLength 002e TDBXStringDecoder.InitByteDecoder 003e TDBXStringDecoder.DecodeBytes"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 0C 8D 43 20 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 43 28 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_13162_0 {
	meta:
		name = "TDBXStringDecoder.DecodeBytes"
		size = 273
		refs = "003b TDBXStringDecoder.DecodeCharsToBytes 00b1 TDBXStringDecoder.GrowDecodeByteBuf 00db Incr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 55 FC 8B F0 89 4D F4 8B 45 F4 03 45 08 89 45 EC 8B 46 24 89 45 E8 80 7E 04 00 74 21 8B 46 20 50 8B 45 E8 50 8B 45 EC 50 8B 4D F4 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 88 45 FB E9 BD 00 00 00 FF 4D F4 E9 88 00 00 00 8B 45 FC 8B 55 F4 0F B6 1C 10 84 DB 75 15 80 7E 0C 00 74 0F 8B 45 E8 89 46 24 C6 45 FB 01 E9 92 00 00 00 80 FB FF 75 2C C6 46 04 01 FF 45 F4 8B 46 20 50 8B 45 E8 50 8B 45 EC 50 8B 4D F4 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 88 45 F3 0F B6 45 F3 88 45 FB EB 61 8B 45 E8 83 C0 02 3B 46 28 7C 07 8B C6 E8 ?? ?? ?? ?? FF 45 E8 8B 7D E8 8B 46 20 80 E3 FF 88 1C 38 FF 45 E8 8B 45 E8 89 45 E4 8B 46 20 8B 55 E4 C6 04 10 00 8D 45 F4 E8 ?? ?? ?? ?? 3B 45 EC 0F 8C 67 FF FF FF 8B 45 E8 83 C0 02 3B 46 28 7C 07 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 89 46 24 C6 45 FB 01 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13163_0 {
	meta:
		name = "TDBXStringDecoder.DecodeCharsToBytes"
		size = 368
		refs = "005b TDBXStringDecoder.GrowDecodeByteBuf"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D FC 8B FA 8B D8 8B 45 FC 89 45 F4 8B 45 0C 89 45 F0 8B 45 08 89 45 EC 8B 45 F4 FF 4D F4 83 6D EC 02 80 7B 05 00 74 5A 8D 43 24 FF 00 8B 00 3B 43 28 7C 0F 8B 45 F0 89 43 24 C6 45 FB 00 E9 16 01 00 00 8B 45 F0 83 C0 02 3B 43 28 7C 07 8B C3 E8 ?? ?? ?? ?? FF 45 F0 8B 45 F0 8B 55 10 0F B6 4B 06 88 0C 02 FF 45 F0 8B 45 F0 FF 45 F4 8B 55 F4 0F B6 14 17 80 E2 FF 8B 4D 10 88 14 01 C6 43 05 00 8B 45 F4 3B 45 EC 0F 8D 96 00 00 00 FF 45 F4 8B 45 F4 89 45 E8 FF 45 F4 8B 45 F4 89 45 E4 8B 45 E8 0F B6 04 07 24 FF 0F B6 F0 C1 E6 08 8B 45 E4 0F B6 04 07 66 25 FF 00 66 0B F0 66 85 F6 75 15 80 7B 0C 00 74 0F 8B 45 F0 89 43 24 C6 45 FB 01 E9 82 00 00 00 8B 45 F0 83 C0 02 3B 43 28 7C 07 8B C3 E8 ?? ?? ?? ?? FF 45 F0 8B 45 F0 89 45 E0 8B 45 10 8B 55 E0 B1 FF 66 23 CE 88 0C 10 FF 45 F0 8B 45 F0 89 45 DC 8B 45 10 8B 55 DC 0F B7 CE C1 E9 08 88 0C 10 8B 45 F4 3B 45 EC 0F 8C 6A FF FF FF 8B 45 F4 3B 45 EC 75 11 FF 45 F4 8B 45 F4 0F B6 04 07 88 43 06 C6 43 05 01 8B 45 F0 83 C0 02 3B 43 28 7C 07 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 43 24 C6 45 FB 01 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_13164_0 {
	meta:
		name = "TDBXStringDecoder.ExtractDecodeByteBuffer"
		size = 112
		refs = "000f TDBXStringDecoder.ExtractDecodeByteBuffer 0021 TArray<System.Byte> 0026 @DynArrayAsg 002f TDBXWideChars 0034 @DynArrayClear 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 20 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13166_0 {
	meta:
		name = "TDBXStringEncoder.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TObject.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 04 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13167_0 {
	meta:
		name = "TDBXStringEncoder.GrowEncodeBufTo"
		size = 191
		refs = "0014 TDBXStringEncoder.GrowEncodeBufTo 0034 TArray<System.Byte> 0039 @DynArraySetLength 0050 @DynArrayAsg 0081 Move 00ac @FinalizeArray 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 04 7E 1D 89 73 04 83 C6 02 56 8D 43 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 FF 74 41 8D 45 FC 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 43 0C 40 8B 73 10 2B C6 85 C0 7E 11 8B 4D FC 03 CE 8B 75 F8 8D 14 16 91 E8 ?? ?? ?? ?? 8B 43 10 29 43 0C 33 C0 89 43 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13168_0 {
	meta:
		name = "TDBXStringEncoder.ExtractEncodeBuffer"
		size = 129
		refs = "000f TDBXStringEncoder.ExtractEncodeBuffer 0032 TArray<System.Byte> 0037 @DynArrayAsg 0045 @DynArrayClear 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 43 04 FF FF FF FF 33 C0 89 43 0C 33 C0 89 43 10 8D 45 FC 8B 53 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13169_0 {
	meta:
		name = "TDBXStringEncoder.Encode"
		size = 540
		refs = "001c TDBXStringEncoder.Encode 002d TArray<System.Byte> 0032 @DynArrayAsg 0067 TDBXStringEncoder.GrowEncodeBufTo 0156 Decr 0203 @DynArrayClear 0209 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 DB 89 5D FC 8B F9 89 55 F8 8B D8 8B 75 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 89 45 F0 89 73 10 89 73 0C 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 89 45 EC 8B 45 EC 89 45 E8 8B 45 EC 3B 45 F0 7E 23 8B 4D EC 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 53 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 89 45 F0 FF 4B 0C FF 45 EC C7 45 E4 FF FF FF FF E9 27 01 00 00 FF 45 E4 8B 45 E4 40 8B 55 F8 0F B7 74 42 FE 66 81 FE FE 00 0F 86 FF 00 00 00 8B 45 E8 03 45 EC 40 89 45 E0 8B 45 E0 3B 45 F0 7E 1E 8B 4D E0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 53 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 0C 89 45 DC 8B 45 DC FF 00 8B 45 DC 8B 00 89 45 D8 8B 45 FC 8B 55 D8 C6 04 10 FF FF 45 EC FF 4D E4 EB 4F FF 45 E4 8B 45 E4 89 45 D4 8B 45 D4 40 8B 55 F8 0F B7 74 42 FE 8D 7B 0C FF 07 8B 07 89 45 D0 8B 45 FC 8B 55 D0 0F B7 CE C1 E9 08 88 0C 10 8D 43 0C 89 45 CC 8B 45 CC FF 00 8B 45 CC 8B 00 89 45 C8 8B 45 FC 8B 55 C8 B1 FF 66 23 CE 88 0C 10 8D 45 EC E8 ?? ?? ?? ?? 85 C0 7F A5 80 7D 08 00 74 3A 8D 43 0C 89 45 C4 8B 45 C4 FF 00 8B 45 C4 8B 00 89 45 C0 8B 45 FC 8B 55 C0 C6 04 10 00 8D 43 0C 89 45 BC 8B 45 BC FF 00 8B 45 BC 8B 00 89 45 B8 8B 45 FC 8B 55 B8 C6 04 10 00 FF 43 0C 8B 45 FC 3B 43 08 0F 94 45 F7 EB 3F FF 43 0C 8B 45 FC 8B 53 0C 8B CE 88 0C 10 8D 45 EC E8 ?? ?? ?? ?? 85 C0 0F 8F C9 FE FF FF 80 7D 08 00 74 0E 8D 43 0C FF 00 8B 00 8B 55 FC C6 04 02 00 FF 43 0C 8B 45 FC 3B 43 08 0F 94 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_13170_0 {
	meta:
		name = "TDBXStringEncoder.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0010 TArray<System.Byte> 0015 @DynArrayClear 0020 TObject.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13171_0 {
	meta:
		name = "Finalization"
		size = 612
		refs = "0007 Finalization 0013 _DV_71 001e TDBXJSonStreamWriter.Hex 0024 TArray<System.Byte> 0029 @DynArrayClear 002e TDBXJSonStreamWriter.MethodStart 003e TDBXJSonStreamWriter.ParamsStart 004e TDBXJSonStreamWriter.Connect 005e TDBXJSonStreamWriter.Disconnect 006e TDBXJSonStreamWriter.Prepare 007e TDBXJSonStreamWriter.Parameters 008e TDBXJSonStreamWriter.ParameterMetadataStart 009e TDBXJSonStreamWriter.Execute 00ae TDBXJSonStreamWriter.CommandClose 00be TDBXJSonStreamWriter.ReaderClose 00ce TDBXJSonStreamWriter.ResultStart 00de TDBXJSonStreamWriter.ErrorStart 00ee TDBXJSonStreamWriter.CodeLabel 00fe TDBXJSonStreamWriter.MessageLabel 010e TDBXJSonStreamWriter.NullValue 011e TDBXJSonStreamWriter.TrueValue 012e TDBXJSonStreamWriter.FalseValue 013e TDBXJSonStreamWriter.ColumnsStart 014e TDBXJSonStreamWriter.TableStart 015e TDBXJSonStreamWriter.SessionStart 016e TDBXJSonStreamWriter.RowsStart 017e TDBXJSonStreamWriter.DataStart 018e TDBXJSonStreamWriter.Next 019e TDBXJSonStreamWriter.NextStart 01ae TDBXJSonStreamWriter.HandleStart 01be TDBXJSonStreamWriter.FieldsStart 01ce TDBXJSonStreamWriter.Txbegin 01de TDBXJSonStreamWriter.Txend 01ee TDBXJSonStreamWriter.MoreBlob 01fe TDBXJSonStreamWriter.MoreBlobStart 020e TDBXJSonStreamWriter.NextResult 021e TDBXJSonStreamWriter.VendorProperty 022e TDBXJSonStreamWriter.CallbackStart 023e TDBXJSonStreamWriter.MetadataStart 025c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 30 02 00 00 B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_13173_0 {
	meta:
		name = "TDBXJSonReader.Create"
		size = 132
		refs = "000d @ClassCreate 0020 TDBXReader.Create 006e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 24 50 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 20 89 46 34 8B 45 1C 89 46 30 8B 45 14 89 46 38 8B 45 10 89 46 3C 8B 45 0C 89 46 40 8B 55 18 8B C6 8B 08 FF 51 08 C7 46 28 FF FF FF FF C7 46 2C FF FF FF FF 8B C6 8B 10 FF 52 1C 8B 56 40 89 42 64 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 20 00 }
	condition:
		$1
}

rule function_13174_0 {
	meta:
		name = "TDBXJSonReader.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TDBXReader.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13175_0 {
	meta:
		name = "TDBXJSonReader.ReadFirstData"
		size = 19
		refs = "000b TDBXJSonReader.ReadData"
	strings:
		$1 = { 80 78 4C 00 75 0A C6 40 4C 01 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_13177_0 {
	meta:
		name = "TDBXJSonReader.GetByteReader"
		size = 53
		refs = "0024 _Dn_TDBXJSonByteReader 0029 TDBXJSonByteReader.Create"
	strings:
		$1 = { 53 8B D8 83 7B 48 00 75 27 8B C3 8B 10 FF 52 38 50 53 8B 43 38 50 8B 43 3C 50 8B 43 40 50 8B 4B 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 48 8B 43 48 5B C3 }
	condition:
		$1
}

rule function_13178_0 {
	meta:
		name = "TDBXJSonReader.DerivedClose"
		size = 45
		refs = "0017 TDBXJSonStreamWriter.WriteReaderCloseObject 0027 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 3C 85 C0 74 11 83 7B 34 00 7C 0B 8B 4B 30 8B 53 34 E8 ?? ?? ?? ?? 8D 43 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13179_0 {
	meta:
		name = "TDBXJSonReader.DerivedNext"
		size = 204
		refs = "0034 TDBXRowBuffer.NextRow 007d TDBXJSonStreamWriter.WriteClientNextObject 009b TDBXJSonStreamWriter.WriteServerNextObject 00a3 TDBXJSonStreamWriter.Flush 00aa TDBXJSonReader.ReadData"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 08 83 7B 28 00 73 21 EB 02 7D 1D C7 43 28 00 00 00 00 C7 43 2C 00 00 00 00 8B 43 40 83 78 70 00 0F 9F C0 E9 9A 00 00 00 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 16 8B 43 28 8B 53 2C 83 C0 01 83 D2 00 89 43 28 89 53 2C B0 01 EB 78 80 7B 45 00 74 04 33 C0 EB 6E 8B 43 40 80 78 34 00 74 1E 8B 43 28 8B 53 2C 83 C0 01 83 D2 00 52 50 8B 4B 30 8B 53 34 8B 43 3C E8 ?? ?? ?? ?? EB 1C 8B 43 28 8B 53 2C 83 C0 01 83 D2 00 52 50 8B 4B 30 8B 53 34 8B 43 3C E8 ?? ?? ?? ?? 8B 43 3C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 8B 43 28 8B 53 2C 83 C0 01 83 D2 00 89 43 28 89 53 2C B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_13180_0 {
	meta:
		name = "TBaseAdapterAction.ImplInIterator"
		size = 5
		altNames = "TDBXJSonReader.IsUpdateable"
	strings:
		$1 = { 0F B6 40 44 C3 }
	condition:
		$1
}

rule function_13181_0 {
	meta:
		name = "TDBXJSonReader.ReadData"
		size = 318
		refs = "0013 TDBXJSonReader.ReadData 002a TDBXJSonStreamReader.Next 003f TDBXJSonStreamReader.ReadStringCode 006a TDBXJSonStreamReader.ReadInt 008f TArray<System.Byte> 0094 @DynArrayAsg 009c @DynArrayLength 00b4 TDBXBinaryStream.Growbuf 00e6 TDBXJSonStreamReader.ReadDataBytes 00f4 TDBXRowBuffer.SetReadSize 0103 TDBXJSonStreamReader.ReadErrorBody 010b TDBXJSonStreamReader.SkipToEndOfObject 012a @DynArrayClear 0130 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 BA 02 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B 43 38 E8 ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 83 F8 0F 0F 85 AE 00 00 00 BA 0C 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 04 00 00 00 8B 43 38 E8 ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 06 C6 43 45 00 EB 06 C6 43 45 01 F7 DE 85 F6 74 6A 8D 45 FC 8B 53 40 8B 52 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3B F0 7E 28 8B 45 FC E8 ?? ?? ?? ?? 8B D6 2B D0 8B 43 40 E8 ?? ?? ?? ?? 8D 45 FC 8B 53 40 8B 52 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 0D 00 00 00 8B 43 38 E8 ?? ?? ?? ?? 56 8B 43 40 8B 50 08 33 C9 8B 43 38 E8 ?? ?? ?? ?? C6 45 FB 01 8B D6 8B 43 40 E8 ?? ?? ?? ?? EB 0D 83 F8 03 75 08 8B 43 38 E8 ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 0F B6 5D FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13184_0 {
	meta:
		name = "TDBXJSonRow.CanRead"
		size = 65
		refs = "000a TDBXDriverHelp.IsReadOnlyValueType"
	strings:
		$1 = { 53 56 8B F0 8B 5A 04 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 B0 01 5E 5B C3 8B C3 8B 10 FF 52 40 48 74 07 83 E8 02 74 0D EB 0F 8B 46 24 0F B6 40 34 34 01 EB 0B B0 01 EB 07 8B 46 24 0F B6 40 34 5E 5B C3 }
	condition:
		$1
}

rule function_13185_0 {
	meta:
		name = "TDBXJSonRow.ClearParameters"
		size = 9
		refs = "0004 TDBXRowBuffer.Cancel"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96999_0 {
	meta:
		name = "TAdapterErrorsList.ImplDefineLabel"
		size = 9
		refs = "0004 TStrings.SetValue"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13232_0 {
	meta:
		name = "TDBXJSonRow.SetNull"
		size = 9
		refs = "0004 TDBXRowBuffer.WriteNull"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49535_0 {
	meta:
		name = "TWebServExp.SetImportLocation"
		size = 9
		refs = "0004 TDOMStrings.Insert"
	strings:
		$1 = { 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13186_0 {
	meta:
		name = "TDBXJSonRow.Create"
		size = 84
		refs = "000d @ClassCreate 001a TDBXStreamerRow.Create 003e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 14 89 46 1C 8B 45 10 89 46 20 8B 45 0C 89 46 24 0F B6 45 08 88 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_13187_0 {
	meta:
		name = "TDBXJSonRow.GetAnsiString"
		size = 18
		refs = "0009 TDBXRow.GetAnsiString"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_76399_0 {
	meta:
		name = "TControl.Perform"
		size = 18
		refs = "0009 TControl.Perform"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_50646_0 {
	meta:
		name = "TCustomWebServer.HTTPServerCommandGet"
		size = 18
		refs = "0009 TCustomWebServer.ExecuteHTTPRequest"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_50647_0 {
	meta:
		name = "TCustomWebServer.HTTPServerCommandOther"
		size = 18
		refs = "0009 TCustomWebServer.ExecuteHTTPRequest"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_48849_0 {
	meta:
		name = "TInvokableClassRegistry.RegisterExceptionMethod"
		size = 18
		refs = "0009 TInvokableClassRegistry.InternalRegisterException"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_75567_0 {
	meta:
		name = "TToolBar.Perform"
		size = 18
		refs = "0009 TControl.Perform"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_114875_0 {
	meta:
		name = "TXmlIniFile.WriteString"
		size = 18
		refs = "0009 TXmlIniFile.WriteXmlString"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13188_0 {
	meta:
		name = "TDBXJSonRow.GetBcd"
		size = 448
		refs = "0025 TDBXJSonRow.GetBcd 003d TDBXRowBuffer.GoToField 0045 TDBXRowBuffer.IsNull 006a TDBXBinaryStream.ReadBigDecimalBuffer 0072 TDBXBinaryStream.BigDecimalFitsInInt64 007e TDBXBinaryStream.GetBigDecimalBufferAsInt64 0092 IntToStr 009d StrToBcd 00dc _Dn_TDBXError 00e1 TDBXError.Create 00e6 @RaiseExcept 00f8 TDBXWideChars 00fd @DynArraySetLength 010e TDBXStringDecoder.InitWideCharsDecoder 011c TDBXRowBuffer.ReadString 012b GetUSFormat 0164 TFormatSettings 0169 @FinalizeRecord 0176 @UStrArrayClr 0184 @DynArrayClear 018a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 1F 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 0B C7 06 FF FF FF FF E9 F7 00 00 00 33 C0 89 06 83 7B 2C 01 0F 85 86 00 00 00 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 55 8B 43 24 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 FF 75 F4 FF 75 F0 8D 45 C8 E8 ?? ?? ?? ?? 8B 45 C8 8D 55 CC E8 ?? ?? ?? ?? 8B 45 F8 8D 75 CC 8B F8 B9 08 00 00 00 F3 A5 66 A5 8B 53 24 83 7A 24 00 7D 04 B0 80 EB 02 33 C0 02 42 20 8B 55 F8 88 42 01 E9 80 00 00 00 68 ?? ?? ?? ?? B9 0E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 63 6A 40 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 24 8B 40 50 8B 55 FC E8 ?? ?? ?? ?? 8D 4D C4 8B 53 0C 8B 43 24 E8 ?? ?? ?? ?? 8B 45 C4 50 8D 85 00 FF FF FF E8 ?? ?? ?? ?? 8D 95 00 FF FF FF 8D 4D CC 58 E8 ?? ?? ?? ?? 8B 45 F8 8D 75 CC 8B F8 B9 08 00 00 00 F3 A5 66 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 00 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 42 00 43 00 44 00 20 00 74 00 6F 00 20 00 62 00 69 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_13189_0 {
	meta:
		name = "TDBXJSonRow.GetBoolean"
		size = 84
		refs = "001f TDBXRowBuffer.GoToField 0027 TDBXRowBuffer.IsNull 003f TDBXBinaryStream.ReadBoolean"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 08 C7 06 FF FF FF FF EB 15 33 C0 89 06 8B 43 24 E8 ?? ?? ?? ?? F6 D8 1B C0 8B 55 FC 89 02 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13190_0 {
	meta:
		name = "TDBXJSonRow.GetByteLength"
		size = 152
		refs = "001f TDBXRowBuffer.GoToField 0028 TDBXJSonRow.CanRead 0034 TDBXRowBuffer.IsNull 0059 TDBXRowBuffer.IsBlobHeader 0065 TDBXRowBuffer.IsLastParameterBlobSegment 0083 TDBXRowBuffer.ReadReaderBlobSize"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 60 8B 43 24 E8 ?? ?? ?? ?? F6 D8 1B C0 89 07 83 3F 00 75 4D 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 75 1E 8B 43 24 E8 ?? ?? ?? ?? 84 C0 75 12 8B 45 FC C7 00 FF FF FF FF C7 40 04 FF FF FF FF EB 11 8B 43 24 E8 ?? ?? ?? ?? 99 8B 4D FC 89 01 89 51 04 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13191_0 {
	meta:
		name = "TDBXJSonRow.GetBytes"
		size = 166
		refs = "0023 _Dn_TDBXStreamValue 0028 @AsClass 0056 TDBXJSonRow.GetBytes 0091 TObject.Free 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 8B 5D 08 8B 45 FC 8B 10 FF 52 08 8B F8 53 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8D 4D F4 8B C6 8B 30 FF 96 D0 00 00 00 83 3B 00 74 12 8B 45 0C C7 00 00 00 00 00 C7 40 04 00 00 00 00 EB 4B 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 10 50 8B 4D 18 8B 55 F8 8B 45 F4 8B 18 FF 53 1C 99 8B 4D 0C 89 01 89 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule function_13192_0 {
	meta:
		name = "TDBXJSonRow.GetDate"
		size = 155
		refs = "0021 TDBXRowBuffer.GoToField 0029 TDBXRowBuffer.IsNull 0041 TDBXBinaryStream.ReadInt64 0074 EncodeDate 0086 DateTimeToTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 08 C7 06 FF FF FF FF EB 59 33 C0 89 06 8B 43 24 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 8B 45 F0 8B 55 F4 0F AC D0 05 C1 EA 05 66 83 E0 0F 50 8B 45 F0 8B 55 F4 0F AC D0 09 C1 EA 09 0F B7 4D F0 66 83 E1 1F 5A E8 ?? ?? ?? ?? DD 5D E8 9B FF 75 EC FF 75 E8 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E4 8B 55 FC 89 02 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13193_0 {
	meta:
		name = "TDBXJSonRow.GetSingle"
		size = 81
		refs = "001f TDBXRowBuffer.GoToField 0027 TDBXRowBuffer.IsNull 003f TDBXBinaryStream.ReadSingle"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 08 C7 06 FF FF FF FF EB 12 33 C0 89 06 8B 43 24 E8 ?? ?? ?? ?? 8B 45 FC D9 18 9B 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13194_0 {
	meta:
		name = "TDBXJSonRow.GetDouble"
		size = 110
		refs = "001f TDBXRowBuffer.GoToField 0027 TDBXRowBuffer.IsNull 004c TDBXBinaryStream.ReadSingle 005c TDBXBinaryStream.ReadDouble"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 08 C7 07 FF FF FF FF EB 2F 33 C0 89 07 8B 46 04 8B 10 FF 52 54 83 F8 1B 75 10 8B 43 24 E8 ?? ?? ?? ?? 8B 45 FC DD 18 9B EB 0E 8B 43 24 E8 ?? ?? ?? ?? 8B 45 FC DD 18 9B 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13195_0 {
	meta:
		name = "TDBXJSonRow.GetInt16"
		size = 81
		refs = "001f TDBXRowBuffer.GoToField 0027 TDBXRowBuffer.IsNull 003f TDBXBinaryStream.ReadInt16"
		altNames = "TDBXJSonRow.GetUInt16"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 08 C7 06 FF FF FF FF EB 12 33 C0 89 06 8B 43 24 E8 ?? ?? ?? ?? 8B 55 FC 66 89 02 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13196_0 {
	meta:
		name = "TDBXJSonRow.GetInt32"
		size = 80
		refs = "001f TDBXRowBuffer.GoToField 0027 TDBXRowBuffer.IsNull 003f TDBXBinaryStream.ReadInt32"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 08 C7 06 FF FF FF FF EB 11 33 C0 89 06 8B 43 24 E8 ?? ?? ?? ?? 8B 55 FC 89 02 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13197_0 {
	meta:
		name = "TDBXJSonRow.GetInt64"
		size = 83
		refs = "001f TDBXRowBuffer.GoToField 0027 TDBXRowBuffer.IsNull 003f TDBXBinaryStream.ReadInt64"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 08 C7 06 FF FF FF FF EB 14 33 C0 89 06 8B 43 24 E8 ?? ?? ?? ?? 8B 4D FC 89 01 89 51 04 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13198_0 {
	meta:
		name = "TDBXJSonRow.GetInt8"
		size = 80
		refs = "001f TDBXRowBuffer.GoToField 0027 TDBXRowBuffer.IsNull 003f TDBXBinaryStream.ReadInt8"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 08 C7 06 FF FF FF FF EB 11 33 C0 89 06 8B 43 24 E8 ?? ?? ?? ?? 8B 55 FC 88 02 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13211_0 {
	meta:
		name = "TDBXJSonRow.GetUInt8"
		size = 80
		refs = "001f TDBXRowBuffer.GoToField 0027 TDBXRowBuffer.IsNull 003f TDBXBinaryStream.ReadByte"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 08 C7 06 FF FF FF FF EB 11 33 C0 89 06 8B 43 24 E8 ?? ?? ?? ?? 8B 55 FC 88 02 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13200_0 {
	meta:
		name = "TDBXJSonRow.GetStream"
		size = 299
		refs = "0018 TDBXJSonRow.GetStream 0027 TDBXJSonRow.CanRead 0041 TDBXRowBuffer.GoToField 0049 TDBXRowBuffer.IsNull 006a TDBXRowBuffer.IsBlobHeader 0076 TDBXRowBuffer.IsLastParameterBlobSegment 0085 TDBXRowBuffer.ReadBlobStreamReader 00a1 _Dn_TDBXStreamReaderStream 00a6 TDBXStreamReaderStream.Create 00b2 TDBXRowBuffer.ReadReaderBlobSize 00cb TArray<System.Byte> 00d0 @DynArraySetLength 00e4 TDBXRowBuffer.ReadBytes 00f4 _Dn_TDBXBytesStream 00f9 TDBXBytesStream.Create 0116 @DynArrayClear 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 CC 00 00 00 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 08 C7 00 FF FF FF FF E9 A0 00 00 00 8B 45 08 33 D2 89 10 8B 43 24 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 43 24 E8 ?? ?? ?? ?? 84 C0 75 30 8B 53 0C 8B 43 24 E8 ?? ?? ?? ?? 8B C8 8B 43 1C 8B 40 50 99 89 45 F0 89 55 F4 FF 75 F4 FF 75 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 07 EB 51 8B 43 24 E8 ?? ?? ?? ?? 99 89 45 F0 89 55 F4 8B 45 F0 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F0 50 33 C9 8B 55 FC 8B 43 24 E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13201_0 {
	meta:
		name = "TDBXJSonRow.GetStream"
		size = 177
		refs = "0018 TDBXJSonRow.GetStream 0027 TDBXJSonRow.CanRead 0033 TDBXRowBuffer.IsNull 005b TDBXRowBuffer.ReadStringBytes 0063 TDBXRowBuffer.GetStringBytesLength 007a _Dn_TDBXBytesStream 007f TDBXBytesStream.Create 0097 TArray<System.Byte> 009c @DynArrayClear 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 56 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 C7 00 FF FF FF FF 33 C0 89 07 EB 3B 8B 45 08 33 D2 89 10 8D 4D FC 8B 53 0C 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 99 89 45 F0 89 55 F4 FF 75 F4 FF 75 F0 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13202_0 {
	meta:
		name = "TDBXJSonRow.CreateCustomValue"
		size = 121
		refs = "001f _Dn_TDBXWideCharsValue 0024 TDBXWideCharsValue.Create 0031 _Dn_TDBXAnsiCharsValue 0036 TDBXAnsiCharsValue.Create"
	strings:
		$1 = { 53 56 8B DA 33 F6 8B C3 8B 10 FF 52 50 48 74 1C 83 E8 02 74 29 83 E8 17 75 5A 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 48 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 36 8B C3 8B 10 FF 52 54 83 E8 16 74 08 83 E8 0A 74 15 48 75 22 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 10 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13203_0 {
	meta:
		name = "TDBXJSonRow.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0038 TObject.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 28 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 80 7E 30 00 74 10 8D 46 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13204_0 {
	meta:
		name = "TDBXJSonRow.GetStreamBytes"
		size = 36
		refs = "001b TDBXRow.GetStreamBytes"
	strings:
		$1 = { 55 8B EC 53 FF 75 20 FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_13205_0 {
	meta:
		name = "TDBXJSonRow.GetStreamLength"
		size = 20
		refs = "000b TDBXRow.GetStreamLength"
	strings:
		$1 = { 55 8B EC 53 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13206_0 {
	meta:
		name = "TDBXJSonRow.GetDBXReader"
		size = 82
		refs = "001b TDBXRowBuffer.GoToField 0023 TDBXRowBuffer.IsNull 003b TDBXBinaryStream.ReadInt32"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 8B 7D 08 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 08 C7 07 FF FF FF FF EB 18 33 C0 89 07 8B 43 24 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 C8 01 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13207_0 {
	meta:
		name = "TDBXJSonRow.GetTime"
		size = 237
		refs = "0021 TDBXRowBuffer.GoToField 0029 TDBXRowBuffer.IsNull 0044 TDBXBinaryStream.ReadInt64 005c @_llmod 0070 @_lldiv 00c6 EncodeTime 00d8 DateTimeToTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 0B C7 06 FF FF FF FF E9 A8 00 00 00 33 C0 89 06 8B 43 24 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 6A 00 68 E8 03 00 00 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8B F0 6A 00 68 E8 03 00 00 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 6A 00 6A 3C 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 6A 00 6A 3C 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 6A 00 6A 3C 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8B F8 6A 00 6A 3C 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 56 8B CB 8B D7 E8 ?? ?? ?? ?? DD 5D E8 9B FF 75 EC FF 75 E8 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 8B 55 FC 89 02 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13208_0 {
	meta:
		name = "TDBXJSonRow.GetTimeStamp"
		size = 368
		refs = "0024 TDBXRowBuffer.GoToField 002c TDBXRowBuffer.IsNull 0047 TDBXBinaryStream.ReadTimestamp 0076 @_lldiv 0095 @_llmod 00c8 TDBXJSonRow.GetTimeStamp 00da DateTimeToSQLTimeStamp 00ed TDBXBinaryStream.ReadTimestampNanos"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 08 8B 45 FC 8B 40 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 0B C7 07 FF FF FF FF E9 23 01 00 00 33 C0 89 07 8B 43 24 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 8B 45 F0 8B 55 F4 05 00 DC 4A 5C 81 D2 02 02 00 00 89 45 F0 89 55 F4 6A 00 68 00 5C 26 05 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 89 45 D8 89 55 DC DF 6D D8 DD 5D E0 9B 6A 00 68 00 5C 26 05 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 83 7D EC 00 75 08 83 7D E8 00 73 25 EB 02 7D 21 8B 45 E8 8B 55 EC 05 00 5C 26 05 83 D2 00 89 45 E8 89 55 EC DD 45 E0 D8 25 ?? ?? ?? ?? DD 5D E0 9B FF 75 E4 FF 75 E0 8D 45 C8 E8 ?? ?? ?? ?? 56 8B FE 8D 75 C8 A5 A5 A5 A5 5E 8B 43 24 E8 ?? ?? ?? ?? B9 40 42 0F 00 99 F7 F9 89 46 0C 6A 00 68 E8 03 00 00 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 6A 00 6A 3C 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 66 89 46 0A 6A 00 6A 3C 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 6A 00 6A 3C 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 66 89 46 08 6A 00 6A 3C 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 66 89 46 06 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_13209_0 {
	meta:
		name = "TDBXJSonRow.GetTimeStampOffset"
		size = 201
		refs = "0025 TDBXJSonRow.GetTimeStampOffset 003d TDBXRowBuffer.GoToField 0045 TDBXRowBuffer.IsNull 0063 TDBXRowBuffer.ReadString 0072 GetUSFormat 0081 StrToSQLTimeStampOffset 00a7 TFormatSettings 00ac @FinalizeRecord 00b4 @UStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 1B 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 08 C7 06 FF FF FF FF EB 3D 33 C0 89 06 8D 4D E4 8B 53 0C 8B 43 24 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 8D 95 20 FF FF FF 8D 4D E8 58 E8 ?? ?? ?? ?? 8B 45 FC 8D 75 E8 8B F8 A5 A5 A5 A5 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 20 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13212_0 {
	meta:
		name = "TDBXJSonRow.GetJSONValue"
		size = 107
		refs = "001f TDBXRowBuffer.GoToField 0027 TDBXRowBuffer.IsNull 003f TDBXRowBuffer.DecodeJSONByteBlockSize 0048 TDBXRowBuffer.JsonByteBlockOffset"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 08 C7 07 FF FF FF FF EB 2C 33 C0 89 07 8B 43 24 E8 ?? ?? ?? ?? 50 8B 43 24 E8 ?? ?? ?? ?? 8B C8 8B 43 24 8B 50 08 8B C6 8B 18 FF 93 CC 01 00 00 8B 55 FC 89 02 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13213_0 {
	meta:
		name = "TDBXJSonRow.GetCallbackValue"
		size = 92
		refs = "001f TDBXRowBuffer.GoToField 0027 TDBXRowBuffer.IsNull"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 08 C7 07 FF FF FF FF EB 1D 33 C0 89 07 8B 46 04 8B 10 FF 52 4C 8B D0 8B C6 8B 08 FF 91 CC 01 00 00 8B 55 FC 89 02 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13214_0 {
	meta:
		name = "TDBXJSonRow.GetWideChars"
		size = 174
		refs = "0024 TDBXRowBuffer.GoToField 002c TDBXRowBuffer.IsNull 0044 TDBXRowBuffer.GetEncodedStringLength 0053 @DynArrayLength 0069 TDBXWideChars 006e @DynArraySetLength 007f TDBXRowBuffer.ReadChars 00a1 @DynArrayAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 89 55 FC 8B D8 8B 75 08 8B 45 FC 8B 40 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 08 C7 06 FF FF FF FF EB 69 33 C0 89 06 8B 43 24 E8 ?? ?? ?? ?? 8B F0 8D 46 01 89 45 F8 8B 07 E8 ?? ?? ?? ?? 3B 45 F8 7D 19 8B 45 F8 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 56 8B 0F 8B 53 0C 8B 43 24 E8 ?? ?? ?? ?? 8B 55 0C 89 02 8B 45 0C 3B 30 7D 16 8B C7 8B 53 24 8B 52 50 8B 52 14 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_13215_0 {
	meta:
		name = "TDBXJSonRow.GetAnsiChars"
		size = 635
		refs = "0028 TDBXJSonRow.GetAnsiChars 0040 TDBXRowBuffer.GoToField 0048 TDBXRowBuffer.IsNull 0063 TDBXRowBuffer.GetEncodedStringLength 008b @DynArrayLength 00a2 TDBXAnsiChars 00a7 @DynArraySetLength 00d7 TDBXRowBuffer.IsLastParameterBlobSegment 00ea TArray<System.Byte> 0101 TDBXRowBuffer.ReadInlineAnsiChars 0117 @DynArrayAsg 0146 Move 0183 TDBXRowBuffer.ReadBlobStreamReader 022b TObject.Free 0231 @HandleFinally 0253 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F0 89 5D F4 89 5D EC 89 4D E8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 0B C7 06 FF FF FF FF E9 DC 01 00 00 33 C0 89 06 8B 43 24 E8 ?? ?? ?? ?? 8B F0 8D 46 01 89 45 E4 8B 47 04 8B 10 FF 52 68 83 FA 00 75 07 83 F8 01 73 2D EB 02 7D 29 8B 45 E8 8B 00 E8 ?? ?? ?? ?? 3B 45 E4 7D 1A 8B 45 E4 50 8B 45 E8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 E8 8B 00 E8 ?? ?? ?? ?? 3B F0 7E 17 56 8B 45 E8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 70 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 56 8B 53 0C 8B 43 24 8B 4D FC E8 ?? ?? ?? ?? 8B 55 0C 89 02 8D 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 55 E8 8B 12 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 8B 55 0C 8B 12 8B 4D F8 33 DB 03 CB 8B 5D F0 8D 04 03 91 87 CA E8 ?? ?? ?? ?? E9 E8 00 00 00 8B 43 24 8B 40 2C 89 45 DC 8B 45 DC 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 75 DC 8B 45 0C 33 D2 89 10 8B 53 0C 8B 43 24 E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7E 7E 8B 45 DC 50 33 C9 8B 55 FC 8B 45 E0 8B 18 FF 13 8B F0 85 F6 7E 64 8B 45 0C 8B 00 03 C6 50 8B 45 E8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 55 E8 8B 12 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D 0C 8B 1B 89 75 D8 8B 45 EC 8D 14 18 8B 45 F4 33 C9 03 C1 8B 4D D8 E8 ?? ?? ?? ?? 8B 45 0C 01 30 85 F6 7F 82 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_13216_0 {
	meta:
		name = "TDBXJSonRow.ProcessStringOverFlow"
		size = 133
		refs = "000f TDBXJSonRow.ProcessStringOverFlow 0020 TDBXRowBuffer.GetOverflowStringBytes 002a @DynArrayLength 0035 _Dn_TDBXByteStreamReader 003a TDBXByteStreamReader.Create 004d _Dn_TDBXByteArrayValue 0052 @AsClass 0059 TDBXByteArrayValue.SetOverflowBytes 006f TArray<System.Byte> 0074 @DynArrayClear 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 24 E8 ?? ?? ?? ?? 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C6 8B 10 FF 52 08 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13217_0 {
	meta:
		name = "TDBXJSonRow.ProcessStringOverFlow"
		size = 133
		refs = "000f TDBXJSonRow.ProcessStringOverFlow 0020 TDBXRowBuffer.GetOverflowStringBytes 002a @DynArrayLength 0035 _Dn_TDBXByteStreamReader 003a TDBXByteStreamReader.Create 004d _Dn_TDBXWideStringValue 0052 @AsClass 0059 TDBXWideStringValue.SetOverflowBytes 006f TArray<System.Byte> 0074 @DynArrayClear 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 24 E8 ?? ?? ?? ?? 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C6 8B 10 FF 52 08 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13218_0 {
	meta:
		name = "TDBXJSonRow.ProcessStringOverFlow"
		size = 133
		refs = "000f TDBXJSonRow.ProcessStringOverFlow 0020 TDBXRowBuffer.GetOverflowStringBytes 002a @DynArrayLength 0035 _Dn_TDBXByteStreamReader 003a TDBXByteStreamReader.Create 004d _Dn_TDBXAnsiStringValue 0052 @AsClass 0059 TDBXAnsiStringValue.SetOverflowBytes 006f TArray<System.Byte> 0074 @DynArrayClear 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 24 E8 ?? ?? ?? ?? 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C6 8B 10 FF 52 08 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13219_0 {
	meta:
		name = "TDBXJSonRow.SetBCD"
		size = 130
		refs = "001e TDBXJSonRow.SetBCD 002f GetUSFormat 003f BcdToStr 004a TDBXRowBuffer.WriteString 0063 TFormatSettings 0068 @FinalizeRecord 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 18 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8D 95 38 FF FF FF 8D 4D FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13220_0 {
	meta:
		name = "TDBXJSonRow.SetBoolean"
		size = 11
		refs = "0006 TDBXRowBuffer.WriteBoolean"
	strings:
		$1 = { 8B D1 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13229_0 {
	meta:
		name = "TDBXJSonRow.SetInt32"
		size = 11
		refs = "0006 TDBXRowBuffer.WriteInt32"
	strings:
		$1 = { 8B D1 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13233_0 {
	meta:
		name = "TDBXJSonRow.SetStream"
		size = 11
		refs = "0006 TDBXRowBuffer.WriteBytes"
	strings:
		$1 = { 8B D1 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13221_0 {
	meta:
		name = "TDBXJSonRow.SetJSONValue"
		size = 71
		refs = "000f TDBXRowBuffer.WriteNull 0022 TDBXRowBuffer.PrepareJSONByteBlock 003f TDBXRowBuffer.EncodeJSONByteBlockSize"
	strings:
		$1 = { 53 56 57 8B F1 8B D8 85 F6 75 0A 8B 43 24 E8 ?? ?? ?? ?? EB 2E 8B C6 8B 10 FF 52 04 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B F8 8B 43 24 8B 50 08 8B CF 8B C6 8B 30 FF 56 08 8B D0 2B D7 8B 43 24 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13222_0 {
	meta:
		name = "TDBXJSonRow.SetCallbackValue"
		size = 22
		refs = "0008 TDBXRowBuffer.WriteNull 0011 TDBXRowBuffer.WriteCallback"
	strings:
		$1 = { 85 C9 75 09 8B 40 24 E8 ?? ?? ?? ?? C3 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13223_0 {
	meta:
		name = "TDBXJSonRow.IsStoredNull"
		size = 35
		refs = "0014 TDBXRowBuffer.GoToField 001c TDBXRowBuffer.IsNull"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 04 8B 10 FF 52 4C 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13224_0 {
	meta:
		name = "TDBXJSonRow.SetDate"
		size = 94
		refs = "0012 TimeStampToDateTime 0030 DecodeDate 0055 TDBXRowBuffer.WriteInt64"
	strings:
		$1 = { 53 83 C4 E8 8B D8 33 C0 89 04 24 89 4C 24 04 8B C4 E8 ?? ?? ?? ?? DD 5C 24 08 9B FF 74 24 0C FF 74 24 0C 8D 4C 24 1A 8D 54 24 18 8D 44 24 1C E8 ?? ?? ?? ?? 0F B7 44 24 14 C1 E0 09 0F B7 54 24 10 C1 E2 05 0B C2 0F B7 54 24 12 0B C2 33 D2 52 50 8B 43 24 E8 ?? ?? ?? ?? 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_13225_0 {
	meta:
		name = "TDBXJSonRow.SetSingle"
		size = 18
		refs = "000a TDBXRowBuffer.WriteSingle"
	strings:
		$1 = { 55 8B EC FF 75 08 8B 40 24 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_13226_0 {
	meta:
		name = "TDBXJSonRow.SetDouble"
		size = 62
		refs = "0024 TDBXRowBuffer.WriteSingle 0034 TDBXRowBuffer.WriteDouble"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 46 04 8B 10 FF 52 54 83 F8 1B 75 14 DD 45 08 83 C4 FC D9 1C 24 9B 8B 43 24 E8 ?? ?? ?? ?? EB 0E FF 75 0C FF 75 08 8B 43 24 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13227_0 {
	meta:
		name = "TDBXJSonRow.SetDynamicBytes"
		size = 32
		refs = "0017 TDBXRow.SetDynamicBytes"
	strings:
		$1 = { 55 8B EC 53 FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_13228_0 {
	meta:
		name = "TDBXJSonRow.SetInt16"
		size = 12
		refs = "0007 TDBXRowBuffer.WriteInt32"
	strings:
		$1 = { 0F BF D1 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13230_0 {
	meta:
		name = "TDBXJSonRow.SetInt64"
		size = 21
		refs = "000d TDBXRowBuffer.WriteInt64"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 24 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_13231_0 {
	meta:
		name = "TDBXJSonRow.SetInt8"
		size = 12
		refs = "0007 TDBXRowBuffer.WriteInt32"
	strings:
		$1 = { 0F BE D1 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13234_0 {
	meta:
		name = "TDBXJSonRow.SetString"
		size = 23
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 8B 18 FF 93 E8 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13235_0 {
	meta:
		name = "TDBXJSonRow.SetDBXReader"
		size = 39
		refs = "0016 TDBXRowBuffer.WriteInt32 0020 TDBXStreamerRow.RecordDBXReaderSet"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 92 C4 01 00 00 8B D0 8B 43 24 E8 ?? ?? ?? ?? 8B 56 04 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13236_0 {
	meta:
		name = "TDBXJSonRow.SetTime"
		size = 120
		refs = "0014 TimeStampToDateTime 0037 DecodeTime 006f TDBXRowBuffer.WriteInt64"
	strings:
		$1 = { 53 83 C4 E8 8B D8 89 0C 24 C7 44 24 04 5A 95 0A 00 8B C4 E8 ?? ?? ?? ?? DD 5C 24 08 9B FF 74 24 0C FF 74 24 0C 8D 44 24 1E 50 8D 4C 24 20 8D 54 24 1E 8D 44 24 1C E8 ?? ?? ?? ?? 0F B7 44 24 10 69 C0 80 EE 36 00 0F B7 54 24 12 69 D2 60 EA 00 00 03 C2 0F B7 54 24 14 69 D2 E8 03 00 00 03 C2 0F B7 54 24 16 03 C2 33 D2 52 50 8B 43 24 E8 ?? ?? ?? ?? 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_13237_0 {
	meta:
		name = "TDBXJSonRow.SetTimestamp"
		size = 163
		refs = "000d SQLTimeStampToDateTime 001b @TRUNC 0032 @_llmul 0098 TDBXRowBuffer.WriteTimestamp"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D9 8B F8 8B C3 E8 ?? ?? ?? ?? DD 5C 24 08 9B DD 44 24 08 E8 ?? ?? ?? ?? 8B F0 81 EE E1 63 00 00 6A 00 68 00 5C 26 05 8B C6 99 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 0F B7 43 06 6B C0 3C 6B C0 3C 69 C0 E8 03 00 00 33 D2 01 04 24 11 54 24 04 0F B7 43 08 6B C0 3C 69 C0 E8 03 00 00 33 D2 01 04 24 11 54 24 04 0F B7 43 0A 69 C0 E8 03 00 00 33 D2 01 04 24 11 54 24 04 FF 74 24 04 FF 74 24 04 69 43 0C E8 03 00 00 69 D0 E8 03 00 00 8B 47 24 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13238_0 {
	meta:
		name = "TDBXJSonRow.SetTimestampOffset"
		size = 188
		refs = "001e TDBXJSonRow.SetTimestampOffset 0033 GetUSFormat 0045 SQLTimeStampOffsetToStr 0050 TDBXRowBuffer.WriteString 0069 TFormatSettings 006e @FinalizeRecord 0076 @UStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 18 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8D 8D 38 FF FF FF 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 13 00 00 00 6D 00 2F 00 64 00 2F 00 79 00 79 00 79 00 79 00 20 00 68 00 3A 00 6E 00 6E 00 3A 00 73 00 73 00 3A 00 7A 00 7A 00 00 00 }
	condition:
		$1
}

rule function_13239_0 {
	meta:
		name = "TDBXJSonRow.SetUInt16"
		size = 12
		refs = "0007 TDBXRowBuffer.WriteInt32"
	strings:
		$1 = { 0F B7 D1 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13240_0 {
	meta:
		name = "TDBXJSonRow.SetUInt8"
		size = 12
		refs = "0007 TDBXRowBuffer.WriteInt32"
	strings:
		$1 = { 0F B6 D1 8B 40 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13242_0 {
	meta:
		name = "TDBXJSonRow.SetWideChars"
		size = 36
		refs = "000f TDBXRowBuffer.WriteString 001c TDBXJSonRow.ProcessStringOverFlow"
		altNames = "TDBXJSonRow.SetWideMemo"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B D6 8B 43 24 E8 ?? ?? ?? ?? 84 C0 75 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13243_0 {
	meta:
		name = "TDBXJSonRow.SetAnsiChars"
		size = 97
		refs = "0012 TDBXJSonRow.SetAnsiChars 0022 @UStrFromLStr 002d TDBXRowBuffer.WriteString 003a TDBXJSonRow.ProcessStringOverFlow 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 24 E8 ?? ?? ?? ?? 84 C0 75 09 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13244_0 {
	meta:
		name = "TDBXJSonRow.SetAnsiMemo"
		size = 97
		refs = "0012 TDBXJSonRow.SetAnsiMemo 0022 @UStrFromLStr 002d TDBXRowBuffer.WriteString 003a TDBXJSonRow.ProcessStringOverFlow 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 24 E8 ?? ?? ?? ?? 84 C0 75 09 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13250_0 {
	meta:
		name = "TDBXSybaseASAProperties.Create"
		size = 2620
		refs = "0015 @ClassCreate 0021 TDBXSybaseASAProperties.Create 0030 TDBXProperties.Create 0041 TDBXProperties.SetValue 005a _Dn_TDBXPlatform 005f TDBXPlatform.GetPublicKeyToken 006f @UStrCat3 01dc @UStrArrayClr 01e2 @HandleFinally 01ef @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 53 00 79 00 62 00 61 00 73 00 65 00 41 00 53 00 41 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 32 00 00 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 2C 00 44 00 42 00 58 00 53 00 79 00 62 00 61 00 73 00 65 00 41 00 53 00 41 00 44 00 72 00 69 00 76 00 65 00 72 00 31 00 36 00 30 00 2E 00 62 00 70 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 73 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 2C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 43 00 6F 00 6D 00 6D 00 6F 00 6E 00 44 00 72 00 69 00 76 00 65 00 72 00 2C 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 31 00 36 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 2C 00 43 00 75 00 6C 00 74 00 75 00 72 00 65 00 3D 00 6E 00 65 00 75 00 74 00 72 00 61 00 6C 00 2C 00 50 00 75 00 62 00 6C 00 69 00 63 00 4B 00 65 00 79 00 54 00 6F 00 6B 00 65 00 6E 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 41 00 73 00 73 00 65 00 6D 00 62 00 6C 00 79 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3D 00 00 00 54 00 44 00 42 00 58 00 53 00 79 00 62 00 61 00 73 00 65 00 41 00 53 00 41 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 2C 00 44 00 62 00 78 00 53 00 79 00 62 00 61 00 73 00 65 00 41 00 53 00 41 00 44 00 72 00 69 00 76 00 65 00 72 00 31 00 36 00 30 00 2E 00 62 00 70 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 81 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 54 00 44 00 42 00 58 00 53 00 79 00 62 00 61 00 73 00 65 00 41 00 53 00 41 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 2C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 53 00 79 00 62 00 61 00 73 00 65 00 41 00 53 00 41 00 44 00 72 00 69 00 76 00 65 00 72 00 2C 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 31 00 36 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 2C 00 43 00 75 00 6C 00 74 00 75 00 72 00 65 00 3D 00 6E 00 65 00 75 00 74 00 72 00 61 00 6C 00 2C 00 50 00 75 00 62 00 6C 00 69 00 63 00 4B 00 65 00 79 00 54 00 6F 00 6B 00 65 00 6E 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 41 00 73 00 73 00 65 00 6D 00 62 00 6C 00 79 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 67 00 65 00 74 00 53 00 51 00 4C 00 44 00 72 00 69 00 76 00 65 00 72 00 41 00 53 00 41 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 44 00 72 00 69 00 76 00 65 00 72 00 46 00 75 00 6E 00 63 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 64 00 62 00 78 00 61 00 73 00 61 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 6C 00 69 00 62 00 73 00 71 00 6C 00 61 00 73 00 61 00 2E 00 64 00 79 00 6C 00 69 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 4F 00 73 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 64 00 62 00 6F 00 64 00 62 00 63 00 2A 00 2E 00 64 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 57 00 69 00 6E 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 6C 00 69 00 62 00 64 00 62 00 6F 00 64 00 62 00 63 00 31 00 32 00 2E 00 64 00 79 00 6C 00 69 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 4F 00 73 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 42 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 42 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 75 00 73 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 45 00 72 00 72 00 6F 00 72 00 52 00 65 00 73 00 6F 00 75 00 72 00 63 00 65 00 46 00 69 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 6F 00 63 00 61 00 6C 00 65 00 43 00 6F 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 61 00 64 00 43 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 4C 00 65 00 76 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_13252_0 {
	meta:
		name = "TDBXSybaseASAProperties.GetSybaseASATransIsolation"
		size = 76
		refs = "0009 TDBXSybaseASAProperties.GetSybaseASATransIsolation 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 12 00 00 00 41 00 53 00 41 00 20 00 54 00 72 00 61 00 6E 00 73 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_13254_0 {
	meta:
		name = "TDBXSybaseASAProperties.GetDBHostName"
		size = 60
		refs = "0009 TDBXSybaseASAProperties.GetDBHostName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 42 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13258_0 {
	meta:
		name = "TDBXSybaseASAProperties.SetSybaseASATransIsolation"
		size = 68
		refs = "0003 TDBXSybaseASAProperties.SetSybaseASATransIsolation 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 41 00 53 00 41 00 20 00 54 00 72 00 61 00 6E 00 73 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_13260_0 {
	meta:
		name = "TDBXSybaseASAProperties.SetDBHostName"
		size = 52
		refs = "0003 TDBXSybaseASAProperties.SetDBHostName 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 42 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13264_0 {
	meta:
		name = "Data.DbxSybaseASA"
		size = 48
		refs = "0002 _DV_3 000b _DV_TDBXSybaseASADriver 0010 Data.DbxSybaseASA 0015 TDBXDriverRegistry.RegisterDriverClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 53 00 41 00 00 00 }
	condition:
		$1
}

rule function_13265_0 {
	meta:
		name = "Finalization"
		size = 96
		refs = "0002 _DV_1 000a _Dn_TDBXSybaseASAMetaDataWriter 000f Finalization 0014 _Dn_TDBXMetaDataWriterFactory 0019 TDBXMetaDataWriterFactory.UnRegisterWriter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 15 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 41 00 64 00 61 00 70 00 74 00 69 00 76 00 65 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 20 00 41 00 6E 00 79 00 77 00 68 00 65 00 72 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13266_0 {
	meta:
		name = "Data.DBXSybaseASAMetaData"
		size = 96
		refs = "0002 _DV_1 000b _Dn_TDBXSybaseASAMetaDataWriter 0010 Data.DBXSybaseASAMetaData 0015 _Dn_TDBXMetaDataWriterFactory 001a TDBXMetaDataWriterFactory.RegisterWriter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 18 00 00 00 41 00 64 00 61 00 70 00 74 00 69 00 76 00 65 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 20 00 41 00 6E 00 79 00 77 00 68 00 65 00 72 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13267_0 {
	meta:
		name = "TDBXSybaseASACustomMetaDataReader.FetchForeignKeyColumns"
		size = 920
		refs = "0018 TDBXSybaseASACustomMetaDataReader.FetchForeignKeyColumns 0051 TDBXBaseMetaDataReader.FetchForeignKeyColumns 0068 TDBXStringArray 006d @DynArraySetLength 007d @UStrAsg 019f TDBXMetaDataCollectionColumns.CreateForeignKeyColumnsColumns 01ad _DV_TDBXSybaseASACustomMetaDataReader.TDBXSybaseASAForeignKeyColumnsCursor 01b2 TDBXSybaseASACustomMetaDataReader.TDBXSybaseASAForeignKeyColumnsCursor.Create 01c9 @UStrClr 01d2 TDBXValueTypeArray 01d7 @DynArrayClear 01ea @FinalizeArray 01f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 5C 85 C0 7C 2A 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 5C 01 00 00 6A 08 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 08 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 1C E8 ?? ?? ?? ?? 8B 45 F8 83 C0 0C 8B 55 18 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 10 8B 55 14 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 14 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 18 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 83 C0 1C 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 08 01 00 00 8B 45 F0 50 8B C3 8B 10 FF 52 0C 8B 4D FC 5A 8B 30 FF 56 04 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C2 18 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 31 00 30 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_13268_0 {
	meta:
		name = "TDBXSybaseASACustomMetaDataReader.TDBXSybaseASAForeignKeyColumnsCursor.Create"
		size = 164
		refs = "000e @ClassCreate 0019 TDBXSybaseASACustomMetaDataReader.TDBXSybaseASAForeignKeyColumnsCursor.Create 0033 TDBXCustomMetaDataTable.Create 003b @UStrClr 005c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 68 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B C6 8B 10 FF 52 0C 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 38 E8 ?? ?? ?? ?? 8D 47 40 E8 ?? ?? ?? ?? C7 47 48 FF FF FF FF C7 47 4C FF FF FF FF 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_13269_0 {
	meta:
		name = "TDBXSybaseASACustomMetaDataReader.TDBXSybaseASAForeignKeyColumnsCursor.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDBXCustomMetaDataTable.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 5C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13270_0 {
	meta:
		name = "TDBXSybaseASACustomMetaDataReader.TDBXSybaseASAForeignKeyColumnsCursor.Next"
		size = 375
		refs = "000e TDBXSybaseASACustomMetaDataReader.TDBXSybaseASAForeignKeyColumnsCursor.Next 0039 TDBXCustomMetaDataTable.GetWritableValue 0041 TDBXValueType.Clone 0046 TDBXValue.CreateValue 0054 @UStrAsg 00f2 @UStrEqual 0164 @UStrArrayClr 016a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 24 8B 10 FF 52 48 84 C0 75 07 33 DB E9 23 01 00 00 83 7B 5C 00 75 1C BA 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 5C 8D 43 3C 8B 53 38 E8 ?? ?? ?? ?? 8D 43 44 8B 53 40 E8 ?? ?? ?? ?? 8B 43 48 89 43 50 8B 43 4C 89 43 54 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 51 28 8B 55 FC 8D 43 38 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 51 28 8B 55 F8 8D 43 40 E8 ?? ?? ?? ?? BA 0B 00 00 00 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 58 84 C0 74 10 C7 43 48 FF FF FF FF C7 43 4C FF FF FF FF EB 18 BA 0B 00 00 00 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 24 89 43 48 89 53 4C 8B 43 38 8B 53 3C E8 ?? ?? ?? ?? 75 26 8B 43 40 8B 53 44 E8 ?? ?? ?? ?? 75 19 8B 43 48 8B 53 4C 3B 53 54 75 0E 3B 43 50 75 09 8D 43 58 8B 10 FF 00 EB 07 C7 43 58 01 00 00 00 83 7B 4C FF 75 04 83 7B 48 FF 74 10 8B 53 58 8B 43 5C 8B 08 FF 91 1C 01 00 00 EB 0B 8B 43 5C 8B 10 FF 92 58 01 00 00 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13271_0 {
	meta:
		name = "TDBXSybaseASACustomMetaDataReader.TDBXSybaseASAForeignKeyColumnsCursor.GetWritableValue"
		size = 15
		refs = "000a TDBXCustomMetaDataTable.GetWritableValue"
	strings:
		$1 = { 83 FA 0A 75 04 8B 40 5C C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13272_0 {
	meta:
		name = "TDBXSybaseASACustomMetaDataReader.SetContext"
		size = 416
		refs = "0014 TDBXSybaseASACustomMetaDataReader.SetContext 0023 TDBXBaseMetaDataReader.SetContext 003d @UStrAsg 0059 @UStrEqual 00bd @UStrArrayClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 20 8B 55 FC 8D 43 18 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 20 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 88 43 1C 8D 4D F4 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 20 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 88 43 1D 8D 4D F0 BA ?? ?? ?? ?? 8B C6 8B 30 FF 56 20 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 88 43 1E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 50 00 61 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 4E 00 4C 00 53 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 73 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 68 00 61 00 72 00 73 00 65 00 74 00 55 00 54 00 46 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 73 00 43 00 68 00 61 00 72 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 00 00 }
	condition:
		$1
}

rule function_13273_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.GetProductName"
		size = 84
		refs = "0006 TDBXSybaseASAMetaDataReader.GetProductName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 41 00 64 00 61 00 70 00 74 00 69 00 76 00 65 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 20 00 41 00 6E 00 79 00 77 00 68 00 65 00 72 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13274_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.GetTableType"
		size = 44
		refs = "0006 TDBXSybaseASAMetaDataReader.GetTableType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 41 00 53 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_13276_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.GetSystemTableType"
		size = 44
		refs = "0006 TDBXSybaseASAMetaDataReader.GetSystemTableType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 41 00 53 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_13282_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.GetSqlForSchemas"
		size = 196
		refs = "0006 TDBXSybaseASAMetaDataReader.GetSqlForSchemas 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 50 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 55 00 53 00 45 00 52 00 4C 00 49 00 53 00 54 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 52 00 45 00 53 00 4F 00 55 00 52 00 43 00 45 00 41 00 55 00 54 00 48 00 3D 00 27 00 59 00 27 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_13283_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.GetSqlForTables"
		size = 1484
		refs = "0006 TDBXSybaseASAMetaDataReader.GetSqlForTables 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF D5 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 2C 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 20 00 3D 00 20 00 27 00 53 00 59 00 53 00 27 00 20 00 4F 00 52 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 20 00 3D 00 20 00 27 00 72 00 73 00 5F 00 73 00 79 00 73 00 74 00 61 00 62 00 67 00 72 00 6F 00 75 00 70 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 27 00 20 00 45 00 4E 00 44 00 20 00 7C 00 7C 00 20 00 43 00 41 00 53 00 45 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 27 00 42 00 41 00 53 00 45 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 54 00 41 00 42 00 4C 00 45 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 56 00 49 00 45 00 57 00 27 00 20 00 45 00 4E 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 4C 00 45 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 49 00 4E 00 20 00 28 00 27 00 42 00 41 00 53 00 45 00 27 00 2C 00 27 00 56 00 49 00 45 00 57 00 27 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 41 00 42 00 4C 00 45 00 5F 00 54 00 59 00 50 00 45 00 3D 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 20 00 3D 00 20 00 27 00 53 00 59 00 53 00 27 00 20 00 4F 00 52 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 20 00 3D 00 20 00 27 00 72 00 73 00 5F 00 73 00 79 00 73 00 74 00 61 00 62 00 67 00 72 00 6F 00 75 00 70 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 3A 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 45 00 4C 00 53 00 45 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 45 00 4E 00 44 00 20 00 4F 00 52 00 20 00 54 00 41 00 42 00 4C 00 45 00 5F 00 54 00 59 00 50 00 45 00 3D 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 20 00 3D 00 20 00 27 00 53 00 59 00 53 00 27 00 20 00 4F 00 52 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 20 00 3D 00 20 00 27 00 72 00 73 00 5F 00 73 00 79 00 73 00 74 00 61 00 62 00 67 00 72 00 6F 00 75 00 70 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 3A 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 56 00 49 00 45 00 57 00 53 00 20 00 45 00 4C 00 53 00 45 00 20 00 3A 00 56 00 49 00 45 00 57 00 53 00 20 00 45 00 4E 00 44 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 00 00 }
	condition:
		$1
}

rule function_13284_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.GetSqlForViews"
		size = 532
		refs = "0006 TDBXSybaseASAMetaDataReader.GetSqlForViews 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF F8 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 56 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 2C 00 20 00 56 00 49 00 45 00 57 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 56 00 49 00 45 00 57 00 54 00 45 00 58 00 54 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 56 00 49 00 45 00 57 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 56 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 56 00 49 00 45 00 57 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 56 00 49 00 45 00 57 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 56 00 49 00 45 00 57 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_13285_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.GetSqlForColumns"
		size = 1260
		refs = "0006 TDBXSybaseASAMetaDataReader.GetSqlForColumns 000b @UStrAsg"
	strings:
		$1 = {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}
	condition:
		$1
}

rule function_13287_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.GetSqlForIndexes"
		size = 3172
		refs = "000f TDBXSybaseASAMetaDataReader.GetSqlForIndexes 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 31 00 30 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 60 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 2C 00 20 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 43 00 41 00 54 00 45 00 47 00 4F 00 52 00 59 00 20 00 57 00 48 00 45 00 4E 00 20 00 31 00 20 00 54 00 48 00 45 00 4E 00 20 00 31 00 20 00 45 00 4C 00 53 00 45 00 20 00 30 00 20 00 45 00 4E 00 44 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 49 00 2E 00 22 00 55 00 4E 00 49 00 51 00 55 00 45 00 22 00 20 00 49 00 4E 00 20 00 28 00 31 00 2C 00 32 00 29 00 20 00 54 00 48 00 45 00 4E 00 20 00 31 00 20 00 45 00 4C 00 53 00 45 00 20 00 30 00 20 00 45 00 4E 00 44 00 2C 00 20 00 31 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 49 00 44 00 58 00 20 00 49 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 20 00 54 00 20 00 4F 00 4E 00 20 00 49 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 4C 00 45 00 46 00 54 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 20 00 43 00 20 00 4F 00 4E 00 20 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 49 00 44 00 3D 00 54 00 2E 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 2E 00 52 00 45 00 46 00 5F 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 49 00 44 00 3D 00 49 00 2E 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 49 00 44 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 49 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 43 00 41 00 54 00 45 00 47 00 4F 00 52 00 59 00 20 00 49 00 4E 00 20 00 28 00 31 00 2C 00 33 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 2C 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 79 03 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 2C 00 20 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 30 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 49 00 2E 00 22 00 55 00 4E 00 49 00 51 00 55 00 45 00 22 00 20 00 49 00 4E 00 20 00 28 00 27 00 59 00 27 00 2C 00 27 00 55 00 27 00 29 00 20 00 54 00 48 00 45 00 4E 00 20 00 31 00 20 00 45 00 4C 00 53 00 45 00 20 00 30 00 20 00 45 00 4E 00 44 00 2C 00 20 00 31 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 49 00 4E 00 44 00 45 00 58 00 20 00 49 00 20 00 4C 00 45 00 46 00 54 00 20 00 4F 00 55 00 54 00 45 00 52 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 20 00 43 00 20 00 4F 00 4E 00 20 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 49 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 49 00 44 00 3D 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 49 00 44 00 2C 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 4C 00 45 00 20 00 54 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 49 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 55 00 4E 00 49 00 4F 00 4E 00 20 00 41 00 4C 00 4C 00 20 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 2C 00 20 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 31 00 2C 00 20 00 31 00 2C 00 20 00 31 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 20 00 43 00 2C 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 4C 00 45 00 20 00 54 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 54 00 59 00 50 00 45 00 3D 00 27 00 50 00 27 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 2C 00 34 00 00 00 }
	condition:
		$1
}

rule function_13288_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.GetSqlForIndexColumns"
		size = 3716
		refs = "000f TDBXSybaseASAMetaDataReader.GetSqlForIndexColumns 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 31 00 30 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 7F 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 2C 00 20 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 43 00 2E 00 53 00 45 00 51 00 55 00 45 00 4E 00 43 00 45 00 2B 00 31 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 49 00 43 00 2E 00 22 00 4F 00 52 00 44 00 45 00 52 00 22 00 3D 00 27 00 41 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 31 00 20 00 45 00 4C 00 53 00 45 00 20 00 30 00 20 00 45 00 4E 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 49 00 44 00 58 00 43 00 4F 00 4C 00 20 00 49 00 43 00 2C 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 49 00 44 00 58 00 20 00 49 00 2C 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 43 00 4F 00 4C 00 20 00 43 00 2C 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 20 00 54 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 49 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 49 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 49 00 43 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 49 00 44 00 3D 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 49 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 49 00 44 00 3D 00 49 00 43 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 20 00 41 00 4E 00 44 00 20 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 43 00 41 00 54 00 45 00 47 00 4F 00 52 00 59 00 20 00 49 00 4E 00 20 00 28 00 31 00 2C 00 33 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 2C 00 34 00 2C 00 36 00 00 00 B0 04 02 00 FF FF FF FF 6B 04 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 2C 00 20 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 43 00 2E 00 53 00 45 00 51 00 55 00 45 00 4E 00 43 00 45 00 2B 00 31 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 49 00 43 00 2E 00 22 00 4F 00 52 00 44 00 45 00 52 00 22 00 3D 00 27 00 41 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 31 00 20 00 45 00 4C 00 53 00 45 00 20 00 30 00 20 00 45 00 4E 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 49 00 58 00 43 00 4F 00 4C 00 20 00 49 00 43 00 2C 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 49 00 4E 00 44 00 45 00 58 00 20 00 49 00 2C 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 20 00 43 00 2C 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 4C 00 45 00 20 00 54 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 49 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 49 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 49 00 43 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 49 00 44 00 3D 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 49 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 49 00 44 00 3D 00 49 00 43 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 55 00 4E 00 49 00 4F 00 4E 00 20 00 41 00 4C 00 4C 00 20 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 2C 00 20 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 53 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 49 00 44 00 2C 00 20 00 31 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 20 00 43 00 2C 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 4C 00 45 00 20 00 54 00 2C 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 20 00 53 00 43 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 53 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 53 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 54 00 59 00 50 00 45 00 3D 00 27 00 50 00 27 00 20 00 41 00 4E 00 44 00 20 00 43 00 2E 00 50 00 4B 00 45 00 59 00 3D 00 27 00 59 00 27 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 53 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 2C 00 34 00 2C 00 36 00 00 00 }
	condition:
		$1
}

rule function_13289_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.GetSqlForForeignKeys"
		size = 2036
		refs = "000f TDBXSybaseASAMetaDataReader.GetSqlForForeignKeys 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 31 00 30 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 44 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 46 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 2C 00 20 00 46 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 46 00 4B 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 46 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 46 00 4B 00 45 00 59 00 20 00 46 00 4B 00 20 00 20 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 4C 00 45 00 20 00 46 00 54 00 20 00 4F 00 4E 00 20 00 46 00 4B 00 2E 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 46 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 20 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 49 00 44 00 58 00 20 00 46 00 49 00 20 00 4F 00 4E 00 20 00 46 00 4B 00 2E 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 46 00 49 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 46 00 4B 00 2E 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 49 00 4E 00 44 00 45 00 58 00 5F 00 49 00 44 00 3D 00 46 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 49 00 44 00 20 00 20 00 20 00 4C 00 45 00 46 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 20 00 46 00 4B 00 43 00 20 00 4F 00 4E 00 20 00 46 00 54 00 2E 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 49 00 44 00 3D 00 46 00 4B 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 46 00 49 00 2E 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 49 00 44 00 3D 00 46 00 4B 00 43 00 2E 00 52 00 45 00 46 00 5F 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 49 00 44 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 46 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 2C 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 5D 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 46 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 2C 00 20 00 46 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 46 00 4B 00 2E 00 52 00 4F 00 4C 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 4B 00 45 00 59 00 20 00 46 00 4B 00 2C 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 4C 00 45 00 20 00 46 00 54 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 46 00 4B 00 2E 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 46 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 46 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 2C 00 34 00 00 00 }
	condition:
		$1
}

rule function_13290_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.GetSqlForForeignKeyColumns"
		size = 6956
		refs = "000f TDBXSybaseASAMetaDataReader.GetSqlForForeignKeyColumns 002c @UStrCmp 003a @UStrAsg 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 72 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 31 00 30 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF F3 06 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 46 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 2C 00 20 00 46 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 46 00 4B 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 46 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 2C 00 20 00 46 00 43 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 50 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 2C 00 20 00 50 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 50 00 4B 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 50 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 2C 00 20 00 50 00 43 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 46 00 49 00 43 00 2E 00 53 00 45 00 51 00 55 00 45 00 4E 00 43 00 45 00 2B 00 31 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 46 00 4B 00 45 00 59 00 20 00 46 00 4B 00 20 00 20 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 4C 00 45 00 20 00 46 00 54 00 20 00 4F 00 4E 00 20 00 46 00 4B 00 2E 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 46 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 20 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 54 00 41 00 42 00 4C 00 45 00 20 00 50 00 54 00 20 00 4F 00 4E 00 20 00 46 00 4B 00 2E 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 50 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 20 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 49 00 44 00 58 00 20 00 46 00 49 00 20 00 4F 00 4E 00 20 00 46 00 4B 00 2E 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 46 00 49 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 46 00 4B 00 2E 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 49 00 4E 00 44 00 45 00 58 00 5F 00 49 00 44 00 3D 00 46 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 49 00 44 00 20 00 20 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 49 00 44 00 58 00 20 00 50 00 49 00 20 00 4F 00 4E 00 20 00 46 00 4B 00 2E 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 50 00 49 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 46 00 4B 00 2E 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 49 00 4E 00 44 00 45 00 58 00 5F 00 49 00 44 00 3D 00 50 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 49 00 44 00 20 00 20 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 49 00 44 00 58 00 43 00 4F 00 4C 00 20 00 46 00 49 00 43 00 20 00 4F 00 4E 00 20 00 46 00 49 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 46 00 49 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 46 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 49 00 44 00 3D 00 46 00 49 00 43 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 49 00 44 00 20 00 20 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 49 00 44 00 58 00 43 00 4F 00 4C 00 20 00 50 00 49 00 43 00 20 00 4F 00 4E 00 20 00 50 00 49 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 50 00 49 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 50 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 49 00 44 00 3D 00 50 00 49 00 43 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 50 00 49 00 43 00 2E 00 53 00 45 00 51 00 55 00 45 00 4E 00 43 00 45 00 3D 00 46 00 49 00 43 00 2E 00 53 00 45 00 51 00 55 00 45 00 4E 00 43 00 45 00 20 00 20 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 20 00 46 00 43 00 20 00 4F 00 4E 00 20 00 46 00 49 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 46 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 46 00 49 00 43 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 49 00 44 00 3D 00 46 00 43 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 49 00 44 00 20 00 20 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 20 00 50 00 43 00 20 00 4F 00 4E 00 20 00 50 00 49 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 3D 00 50 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 50 00 49 00 43 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 49 00 44 00 3D 00 50 00 43 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 49 00 44 00 20 00 20 00 20 00 4C 00 45 00 46 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 20 00 46 00 4B 00 43 00 20 00 4F 00 4E 00 20 00 46 00 54 00 2E 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 49 00 44 00 3D 00 46 00 4B 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 46 00 49 00 2E 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 49 00 44 00 3D 00 46 00 4B 00 43 00 2E 00 52 00 45 00 46 00 5F 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 49 00 44 00 20 00 20 00 20 00 4C 00 45 00 46 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 20 00 50 00 4B 00 43 00 20 00 4F 00 4E 00 20 00 50 00 54 00 2E 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 49 00 44 00 3D 00 50 00 4B 00 43 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 50 00 49 00 2E 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 49 00 44 00 3D 00 50 00 4B 00 43 00 2E 00 52 00 45 00 46 00 5F 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 49 00 44 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 46 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 46 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 46 00 4B 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 46 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 3D 00 20 00 3A 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 50 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 20 00 3D 00 20 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 50 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 50 00 4B 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 50 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 3D 00 20 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 2C 00 34 00 2C 00 31 00 31 00 00 00 B0 04 02 00 FF FF FF FF 4B 06 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 46 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 2C 00 20 00 46 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 46 00 4B 00 2E 00 52 00 4F 00 4C 00 45 00 2C 00 20 00 46 00 43 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 50 00 54 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 2C 00 20 00 50 00 54 00 2E 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 4F 00 41 00 4C 00 45 00 53 00 43 00 45 00 28 00 49 00 2E 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 43 00 2E 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 2C 00 20 00 50 00 43 00 2E 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 }
	condition:
		$1
}

rule function_13292_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.GetSqlForProcedures"
		size = 740
		refs = "0006 TDBXSybaseASAMetaDataReader.GetSqlForProcedures 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 60 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 2C 00 20 00 50 00 52 00 4F 00 43 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 50 00 52 00 4F 00 43 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_13293_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.GetSqlForProcedureSources"
		size = 644
		refs = "0006 TDBXSybaseASAMetaDataReader.GetSqlForProcedureSources 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 30 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 2C 00 20 00 50 00 52 00 4F 00 43 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 2C 00 20 00 50 00 52 00 4F 00 43 00 5F 00 44 00 45 00 46 00 4E 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 50 00 52 00 4F 00 43 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_13294_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.GetSqlForProcedureParameters"
		size = 1364
		refs = "0006 TDBXSybaseASAMetaDataReader.GetSqlForProcedureParameters 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 99 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 50 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 2C 00 20 00 50 00 2E 00 50 00 52 00 4F 00 43 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 2E 00 50 00 41 00 52 00 4D 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 50 00 41 00 52 00 4D 00 5F 00 54 00 59 00 50 00 45 00 3E 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 52 00 45 00 53 00 55 00 4C 00 54 00 27 00 20 00 57 00 48 00 45 00 4E 00 20 00 50 00 41 00 52 00 4D 00 5F 00 4D 00 4F 00 44 00 45 00 5F 00 49 00 4E 00 3D 00 27 00 59 00 27 00 20 00 41 00 4E 00 44 00 20 00 50 00 41 00 52 00 4D 00 5F 00 4D 00 4F 00 44 00 45 00 5F 00 4F 00 55 00 54 00 3D 00 27 00 59 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 49 00 4E 00 4F 00 55 00 54 00 27 00 20 00 57 00 48 00 45 00 4E 00 20 00 50 00 41 00 52 00 4D 00 5F 00 4D 00 4F 00 44 00 45 00 5F 00 4F 00 55 00 54 00 3D 00 27 00 59 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 4F 00 55 00 54 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 49 00 4E 00 27 00 20 00 45 00 4E 00 44 00 2C 00 20 00 44 00 2E 00 44 00 4F 00 4D 00 41 00 49 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 2E 00 57 00 49 00 44 00 54 00 48 00 2C 00 20 00 43 00 2E 00 53 00 43 00 41 00 4C 00 45 00 2C 00 20 00 43 00 2E 00 50 00 41 00 52 00 4D 00 5F 00 49 00 44 00 2C 00 20 00 43 00 2E 00 22 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 22 00 2C 00 20 00 31 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 20 00 50 00 2C 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 50 00 52 00 4F 00 43 00 50 00 41 00 52 00 4D 00 20 00 43 00 2C 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 44 00 4F 00 4D 00 41 00 49 00 4E 00 20 00 44 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 50 00 2E 00 50 00 52 00 4F 00 43 00 5F 00 49 00 44 00 20 00 3D 00 20 00 43 00 2E 00 50 00 52 00 4F 00 43 00 5F 00 49 00 44 00 20 00 41 00 4E 00 44 00 20 00 43 00 2E 00 44 00 4F 00 4D 00 41 00 49 00 4E 00 5F 00 49 00 44 00 3D 00 44 00 2E 00 44 00 4F 00 4D 00 41 00 49 00 4E 00 5F 00 49 00 44 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 50 00 2E 00 43 00 52 00 45 00 41 00 54 00 4F 00 52 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 50 00 2E 00 50 00 52 00 4F 00 43 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 43 00 2E 00 50 00 41 00 52 00 4D 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 2C 00 43 00 2E 00 50 00 41 00 52 00 4D 00 5F 00 49 00 44 00 00 00 }
	condition:
		$1
}

rule function_13299_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.GetSqlForUsers"
		size = 164
		refs = "0006 TDBXSybaseASAMetaDataReader.GetSqlForUsers 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 40 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 55 00 53 00 45 00 52 00 4C 00 49 00 53 00 54 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 55 00 53 00 45 00 52 00 5F 00 47 00 52 00 4F 00 55 00 50 00 3D 00 27 00 4E 00 27 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_13300_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.GetSqlForRoles"
		size = 204
		refs = "0006 TDBXSybaseASAMetaDataReader.GetSqlForRoles 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 55 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 53 00 59 00 53 00 2E 00 53 00 59 00 53 00 55 00 53 00 45 00 52 00 4C 00 49 00 53 00 54 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 55 00 53 00 45 00 52 00 5F 00 47 00 52 00 4F 00 55 00 50 00 3D 00 27 00 59 00 27 00 20 00 41 00 4E 00 44 00 20 00 4E 00 41 00 4D 00 45 00 20 00 3C 00 3E 00 20 00 27 00 50 00 55 00 42 00 4C 00 49 00 43 00 27 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 00 00 }
	condition:
		$1
}

rule function_13301_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.GetDataTypeDescriptions"
		size = 2988
		refs = "000f TDBXSybaseASAMetaDataReader.GetDataTypeDescriptions 0025 TDBXDataTypeDescriptionArray 002a @DynArraySetLength 0057 _Dn_TDBXDataTypeDescription 005c TDBXDataTypeDescription.Create 065b @DynArrayAsg 0676 @DynArrayClear 067c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 17 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 12 6A 00 6A 13 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 6A 09 6A 00 68 FF 7F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 68 C4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 6A 04 6A 00 6A 01 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 84 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 80 7B 1E 00 74 43 6A 1A 6A 00 68 FF 1F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 CC 11 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C EB 41 6A 01 6A 00 68 FF 7F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 CC 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 6A 1A 6A 00 68 FF 1F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 68 CC 11 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 6A 02 6A 00 6A 04 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 6A 08 6A 00 6A 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 26 6A 00 6A 00 6A 00 6A 00 6A 00 68 D4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 6A 07 6A 00 6A 35 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 6A 1B 6A 00 6A 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 6A 06 6A 00 6A 0A 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 6A 03 6A 00 68 FF FF FF 7F 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 68 E0 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 80 7B 1E 00 74 3D 6A 1A 6A 00 68 FF FF FF 7F 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 68 E0 11 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C EB 3B 6A 01 6A 00 68 FF FF FF 7F 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 68 E0 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 6A 1A 6A 00 68 FF FF FF 7F 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 6A 00 68 ?? ?? ?? ?? 68 E0 11 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 6A 08 6A 00 6A 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 26 6A 00 6A 00 6A 00 6A 00 6A 00 68 D5 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 6A 05 6A 00 6A 05 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 38 6A 0A 6A 00 6A 08 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C6 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 3C 6A 18 6A 00 6A 08 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C4 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 40 6A 1D 6A 00 6A 01 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D4 02 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 44 6A 0F 6A 00 68 FF 7F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 68 C0 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 48 80 7B 1E 00 74 43 6A 1A 6A 00 68 FF 1F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C0 11 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 4C EB 41 6A 01 6A 00 68 FF 7F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C0 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 4C 6A 1A 6A 00 68 FF 1F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 68 C0 11 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 50 6A 1A 6A 00 68 FF FF FF 7F 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 68 E0 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 54 6A 24 6A 00 6A 22 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C4 08 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 58 8B C6 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 69 00 67 00 69 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 62 00 69 00 6E 00 61 00 72 00 79 00 28 00 7B 00 30 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 30 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 62 00 69 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 68 00 61 00 72 00 28 00 7B 00 30 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 68 00 61 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6E 00 63 00 68 00 61 00 72 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 31 00 30 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6E 00 63 00 68 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 64 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 64 00 65 00 63 00 69 00 6D 00 61 00 6C 00 28 00 7B 00 30 00 7D 00 2C 00 20 00 7B 00 31 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 2C 00 53 00 63 00 61 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 63 00 69 00 6D 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 66 00 6C 00 6F 00 61 00 74 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 6C 00 6F 00 61 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 69 00 6E 00 74 00 65 00 67 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 6C 00 6F 00 6E 00 67 00 20 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6C 00 6F 00 6E 00 67 00 20 00 76 00 61 00 72 00 63 00 68 00 61 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 6C 00 6F 00 6E 00 67 00 20 00 6E 00 76 00 61 00 72 00 63 00 68 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 6E 00 75 00 6D 00 65 00 72 00 69 00 63 00 28 00 7B 00 30 00 7D 00 2C 00 20 00 7B 00 31 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6E 00 75 00 6D 00 65 00 72 00 69 00 63 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 6D 00 61 00 6C 00 6C 00 69 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 74 00 69 00 6D 00 65 00 73 00 74 00 61 00 6D 00 70 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 74 00 69 00 6E 00 79 00 69 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 76 00 61 00 72 00 62 00 69 00 6E 00 61 00 72 00 79 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 76 00 61 00 72 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 76 00 61 00 72 00 63 00 68 00 61 00 72 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 76 00 61 00 72 00 63 00 68 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 6E 00 76 00 61 00 72 00 63 00 68 00 61 00 72 00 28 00 7B 00 30 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6E 00 76 00 61 00 72 00 63 00 68 00 61 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 78 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 54 00 49 00 4D 00 45 00 53 00 54 00 41 00 4D 00 50 00 28 00 7B 00 30 00 7D 00 20 00 57 00 49 00 54 00 48 00 20 00 54 00 49 00 4D 00 45 00 20 00 5A 00 4F 00 4E 00 45 00 29 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 7B 00 74 00 73 00 20 00 27 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 54 00 49 00 4D 00 45 00 53 00 54 00 41 00 4D 00 50 00 20 00 57 00 49 00 54 00 48 00 20 00 54 00 49 00 4D 00 45 00 20 00 5A 00 4F 00 4E 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_13302_0 {
	meta:
		name = "TDBXSybaseASAMetaDataReader.GetReservedWords"
		size = 10172
		refs = "000c TDBXSybaseASAMetaDataReader.GetReservedWords 0025 TDBXStringArray 002a @DynArraySetLength 003a @UStrAsg 0fa8 @DynArrayAsg 0fc3 @DynArrayClear 0fc9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 DF 00 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 28 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 34 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 3C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 60 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 6C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 70 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 74 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 78 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 7C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 61 00 64 00 64 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 61 00 6C 00 6C 00 00 00 B0 04 02 00 }
	condition:
		$1
}

rule function_13305_0 {
	meta:
		name = "TDBXSybaseASACustomMetaDataWriter.MakeSqlNullable"
		size = 144
		refs = "0021 TDBXSybaseASACustomMetaDataWriter.MakeSqlNullable 0028 TDBXStringBuffer.Append"
	strings:
		$1 = { 53 56 8B F1 8B DA BA 09 00 00 00 8B C6 8B 08 FF 51 24 B2 01 8B 08 FF 91 D4 00 00 00 84 C0 75 18 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 4F 00 54 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 55 00 4C 00 4C 00 00 00 00 00 }
	condition:
		$1
}

rule function_13306_0 {
	meta:
		name = "TDBXSybaseASACustomMetaDataWriter.MakeSqlDropSecondaryIndex"
		size = 412
		refs = "001b TDBXSybaseASACustomMetaDataWriter.MakeSqlDropSecondaryIndex 0038 TDBXStringBuffer.Append 0118 @UStrArrayClr 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 3C 89 45 F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 F8 8B 08 FF 51 24 8D 4D F4 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D F4 8B D3 8B C6 8B 38 FF 57 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 45 F8 8B 08 FF 51 24 8D 4D F0 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D F0 8B D3 8B C6 8B 38 FF 57 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 03 00 00 00 8B 45 F8 8B 08 FF 51 24 8D 4D EC 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D EC 8B D3 8B C6 8B 30 FF 56 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 52 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 44 00 45 00 58 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_13315_0 {
	meta:
		name = "TDBXSybaseASAMetaDataWriter.GetSqlAutoIncrementKeyword"
		size = 76
		refs = "0006 TDBXSybaseASAMetaDataWriter.GetSqlAutoIncrementKeyword 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 20 00 41 00 55 00 54 00 4F 00 49 00 4E 00 43 00 52 00 45 00 4D 00 45 00 4E 00 54 00 00 00 }
	condition:
		$1
}

rule function_13316_0 {
	meta:
		name = "TDBXSybaseASAMetaDataWriter.GetSqlRenameTable"
		size = 152
		refs = "0006 TDBXSybaseASAMetaDataWriter.GetSqlRenameTable 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 3B 00 00 00 41 00 4C 00 54 00 45 00 52 00 20 00 54 00 41 00 42 00 4C 00 45 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 2E 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 52 00 45 00 4E 00 41 00 4D 00 45 00 20 00 3A 00 4E 00 45 00 57 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_13323_0 {
	meta:
		name = "TDBXSybaseASEProperties.Create"
		size = 2572
		refs = "0015 @ClassCreate 0021 TDBXSybaseASEProperties.Create 0030 TDBXProperties.Create 0041 TDBXProperties.SetValue 005a _Dn_TDBXPlatform 005f TDBXPlatform.GetPublicKeyToken 006f @UStrCat3 01cb @UStrArrayClr 01d1 @HandleFinally 01de @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 11 00 00 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 53 00 79 00 62 00 61 00 73 00 65 00 41 00 53 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 32 00 00 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 2C 00 44 00 42 00 58 00 53 00 79 00 62 00 61 00 73 00 65 00 41 00 53 00 45 00 44 00 72 00 69 00 76 00 65 00 72 00 31 00 36 00 30 00 2E 00 62 00 70 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 73 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 54 00 44 00 42 00 58 00 44 00 79 00 6E 00 61 00 6C 00 69 00 6E 00 6B 00 44 00 72 00 69 00 76 00 65 00 72 00 4C 00 6F 00 61 00 64 00 65 00 72 00 2C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 43 00 6F 00 6D 00 6D 00 6F 00 6E 00 44 00 72 00 69 00 76 00 65 00 72 00 2C 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 31 00 36 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 2C 00 43 00 75 00 6C 00 74 00 75 00 72 00 65 00 3D 00 6E 00 65 00 75 00 74 00 72 00 61 00 6C 00 2C 00 50 00 75 00 62 00 6C 00 69 00 63 00 4B 00 65 00 79 00 54 00 6F 00 6B 00 65 00 6E 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 41 00 73 00 73 00 65 00 6D 00 62 00 6C 00 79 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3D 00 00 00 54 00 44 00 42 00 58 00 53 00 79 00 62 00 61 00 73 00 65 00 41 00 53 00 45 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 2C 00 44 00 62 00 78 00 53 00 79 00 62 00 61 00 73 00 65 00 41 00 53 00 45 00 44 00 72 00 69 00 76 00 65 00 72 00 31 00 36 00 30 00 2E 00 62 00 70 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 81 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 54 00 44 00 42 00 58 00 53 00 79 00 62 00 61 00 73 00 65 00 41 00 53 00 45 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 2C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 61 00 74 00 61 00 2E 00 44 00 62 00 78 00 53 00 79 00 62 00 61 00 73 00 65 00 41 00 53 00 45 00 44 00 72 00 69 00 76 00 65 00 72 00 2C 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 31 00 36 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 2C 00 43 00 75 00 6C 00 74 00 75 00 72 00 65 00 3D 00 6E 00 65 00 75 00 74 00 72 00 61 00 6C 00 2C 00 50 00 75 00 62 00 6C 00 69 00 63 00 4B 00 65 00 79 00 54 00 6F 00 6B 00 65 00 6E 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 41 00 73 00 73 00 65 00 6D 00 62 00 6C 00 79 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 67 00 65 00 74 00 53 00 51 00 4C 00 44 00 72 00 69 00 76 00 65 00 72 00 41 00 53 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 44 00 72 00 69 00 76 00 65 00 72 00 46 00 75 00 6E 00 63 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 64 00 62 00 78 00 61 00 73 00 65 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 6C 00 69 00 62 00 63 00 74 00 2E 00 64 00 6C 00 6C 00 3B 00 6C 00 69 00 62 00 63 00 73 00 2E 00 64 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 6C 00 69 00 62 00 63 00 74 00 36 00 34 00 2E 00 64 00 6C 00 6C 00 3B 00 6C 00 69 00 62 00 63 00 73 00 36 00 34 00 2E 00 64 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 57 00 69 00 6E 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 20 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 75 00 73 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 45 00 72 00 72 00 6F 00 72 00 52 00 65 00 73 00 6F 00 75 00 72 00 63 00 65 00 46 00 69 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 6F 00 63 00 61 00 6C 00 65 00 43 00 6F 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 61 00 64 00 43 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 4C 00 65 00 76 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 35 00 31 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 44 00 53 00 50 00 61 00 63 00 6B 00 65 00 74 00 53 00 69 00 7A 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 41 00 70 00 70 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_13325_0 {
	meta:
		name = "TDBXSybaseASEProperties.GetClientAppName"
		size = 68
		refs = "0009 TDBXSybaseASEProperties.GetClientAppName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 20 00 41 00 70 00 70 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13326_0 {
	meta:
		name = "TDBXSybaseASEProperties.GetClientHostName"
		size = 68
		refs = "0009 TDBXSybaseASEProperties.GetClientHostName 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 20 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_13328_0 {
	meta:
		name = "TDBXSybaseASEProperties.GetSybaseASETransIsolation"
		size = 76
		refs = "0009 TDBXSybaseASEProperties.GetSybaseASETransIsolation 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 12 00 00 00 41 00 53 00 45 00 20 00 54 00 72 00 61 00 6E 00 73 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_13329_0 {
	meta:
		name = "TDBXSybaseASEProperties.GetTDSPacketSize"
		size = 132
		refs = "000c TDBXSybaseASEProperties.GetTDSPacketSize 0021 TDBXProperties.GetValue 002e StrToIntDef 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA 00 02 00 00 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 44 00 53 00 20 00 50 00 61 00 63 00 6B 00 65 00 74 00 20 00 53 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_13334_0 {
	meta:
		name = "TDBXSybaseASEProperties.SetClientAppName"
		size = 60
		refs = "0003 TDBXSybaseASEProperties.SetClientAppName 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 20 00 41 00 70 00 70 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13335_0 {
	meta:
		name = "TDBXSybaseASEProperties.SetClientHostName"
		size = 60
		refs = "0003 TDBXSybaseASEProperties.SetClientHostName 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 20 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_13337_0 {
	meta:
		name = "TDBXSybaseASEProperties.SetSybaseASETransIsolation"
		size = 68
		refs = "0003 TDBXSybaseASEProperties.SetSybaseASETransIsolation 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 41 00 53 00 45 00 20 00 54 00 72 00 61 00 6E 00 73 00 49 00 73 00 6F 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_13338_0 {
	meta:
		name = "TDBXSybaseASEProperties.SetTDSPacketSize"
		size = 128
		refs = "000f TDBXSybaseASEProperties.SetTDSPacketSize 001f IntToStr 002e TDBXProperties.SetValue 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 44 00 53 00 20 00 50 00 61 00 63 00 6B 00 65 00 74 00 20 00 53 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_13343_0 {
	meta:
		name = "Data.DbxSybaseASE"
		size = 48
		refs = "0002 _DV_3 000b _DV_TDBXSybaseASEDriver 0010 Data.DbxSybaseASE 0015 TDBXDriverRegistry.RegisterDriverClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 53 00 45 00 00 00 }
	condition:
		$1
}

rule function_13344_0 {
	meta:
		name = "Finalization"
		size = 80
		refs = "0002 _DV_1 000a _Dn_TDBXSybaseASEMetaDataWriter 000f Finalization 0014 _Dn_TDBXMetaDataWriterFactory 0019 TDBXMetaDataWriterFactory.UnRegisterWriter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 15 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 53 00 79 00 62 00 61 00 73 00 65 00 20 00 53 00 51 00 4C 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_13345_0 {
	meta:
		name = "Data.DBXSybaseASEMetaData"
		size = 80
		refs = "0002 _DV_1 000b _Dn_TDBXSybaseASEMetaDataWriter 0010 Data.DBXSybaseASEMetaData 0015 _Dn_TDBXMetaDataWriterFactory 001a TDBXMetaDataWriterFactory.RegisterWriter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 53 00 79 00 62 00 61 00 73 00 65 00 20 00 53 00 51 00 4C 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_13347_0 {
	meta:
		name = "TDBXSybaseASECustomMetaDataReader.FetchForeignKeyColumns"
		size = 872
		refs = "001a TDBXSybaseASECustomMetaDataReader.FetchForeignKeyColumns 0030 TDBXStringArray 0035 @DynArraySetLength 0045 @UStrAsg 018e TDBXMetaDataCollectionColumns.CreateForeignKeyColumnsColumns 019d _DV_TDBXSybaseASECustomMetaDataReader.TDBXSybaseASEForeignKeyColumnsCursor 01a2 TDBXSybaseASECustomMetaDataReader.TDBXSybaseASEForeignKeyColumnsCursor.Create 01be @UStrArrayClr 01c7 TDBXValueTypeArray 01cc @DynArrayClear 01df @FinalizeArray 01e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 08 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 08 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 08 8B 55 1C E8 ?? ?? ?? ?? 8B 45 F8 83 C0 0C 8B 55 18 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 10 8B 55 14 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 14 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 18 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 83 C0 1C 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 8B 08 FF 91 08 01 00 00 8B 45 F0 50 8B C3 8B 10 FF 52 0C 8B 4D FC 5A 8B 30 FF 56 04 8B F0 8B 45 F8 50 8D 55 EC 8B C3 8B 08 FF 91 38 01 00 00 8B 45 EC 50 8B C3 8B 10 FF 52 0C 8B 4D FC 5A 8B 38 FF 57 04 8B F8 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 56 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 8B C3 5F 5E 5B 8B E5 5D C2 18 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 4B 00 45 00 59 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_13348_0 {
	meta:
		name = "TDBXSybaseASECustomMetaDataReader.TDBXSybaseASEForeignKeyColumnsCursor.Create"
		size = 236
		refs = "0015 @ClassCreate 0024 TDBXSybaseASECustomMetaDataReader.TDBXSybaseASEForeignKeyColumnsCursor.Create 0049 TDBXCustomMetaDataTable.Create 0056 _Dn_TDBXSingleValueRow 005b TDBXSingleValueRow.Create 008a TDBXValueTypeArray 008f @DynArrayClear 0095 @HandleFinally 00a4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B C6 8B 10 FF 52 0C 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 43 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 44 8D 55 F8 8B C3 8B 08 FF 51 28 8B 55 F8 8B C6 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 0C 00 B0 04 02 00 FF FF FF FF 11 00 00 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_13349_0 {
	meta:
		name = "TDBXSybaseASECustomMetaDataReader.TDBXSybaseASEForeignKeyColumnsCursor.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TDBXCustomMetaDataTable.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13350_0 {
	meta:
		name = "TDBXSybaseASECustomMetaDataReader.TDBXSybaseASEForeignKeyColumnsCursor.Next"
		size = 367
		refs = "000f TDBXSybaseASECustomMetaDataReader.TDBXSybaseASEForeignKeyColumnsCursor.Next 002b TDBXCustomMetaDataTable.Next 015b @UStrArrayClr 0161 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 3C 8B 10 FF 00 8B 43 3C 3B 43 40 7C 3F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 0B 01 00 00 8B 43 38 8B 10 FF 52 48 84 C0 75 07 33 DB E9 F8 00 00 00 33 C0 89 43 3C BA 0A 00 00 00 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 20 89 43 40 8B 73 3C 3B 73 40 7D AA 8B D6 83 C2 0B 8B 43 24 8B 08 FF 51 24 8B 10 FF 52 58 84 C0 74 17 BA 04 00 00 00 8B 43 44 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 EB 30 8B 53 3C 83 C2 0B 8B 43 24 8B 08 FF 51 24 8D 55 FC 8B 08 FF 51 28 8B 45 FC 50 BA 04 00 00 00 8B 43 44 8B 08 FF 51 24 5A 8B 08 FF 91 24 01 00 00 8B 53 3C 83 C2 0B 8B 43 38 8B 08 FF 51 24 8B 10 FF 52 58 84 C0 74 17 BA 09 00 00 00 8B 43 44 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 EB 30 8B 53 3C 83 C2 0B 8B 43 38 8B 08 FF 51 24 8D 55 F8 8B 08 FF 51 28 8B 45 F8 50 BA 09 00 00 00 8B 43 44 8B 08 FF 51 24 5A 8B 08 FF 91 24 01 00 00 BA 0A 00 00 00 8B 43 44 8B 08 FF 51 24 8B 53 3C 42 8B 08 FF 91 1C 01 00 00 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13351_0 {
	meta:
		name = "TDBXSybaseASECustomMetaDataReader.TDBXSybaseASEForeignKeyColumnsCursor.GetWritableValue"
		size = 30
		refs = "0019 TDBXCustomMetaDataTable.GetWritableValue"
	strings:
		$1 = { 8B CA 83 E9 04 74 08 83 C1 FB 83 E9 02 73 09 8B 40 44 8B 08 FF 51 24 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13352_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.GetProductName"
		size = 68
		refs = "0006 TDBXSybaseASEMetaDataReader.GetProductName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 53 00 79 00 62 00 61 00 73 00 65 00 20 00 53 00 51 00 4C 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_13366_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.GetSqlForSchemas"
		size = 292
		refs = "0006 TDBXSybaseASEMetaDataReader.GetSqlForSchemas 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 81 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 49 00 53 00 54 00 49 00 4E 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 75 00 69 00 64 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 74 00 79 00 70 00 65 00 20 00 49 00 4E 00 20 00 28 00 27 00 55 00 27 00 2C 00 20 00 27 00 56 00 27 00 2C 00 20 00 27 00 53 00 27 00 2C 00 20 00 27 00 50 00 27 00 2C 00 20 00 27 00 46 00 4E 00 27 00 2C 00 20 00 27 00 49 00 46 00 27 00 2C 00 20 00 27 00 54 00 46 00 27 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 00 00 }
	condition:
		$1
}

rule function_13367_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.GetSqlForTables"
		size = 888
		refs = "0006 TDBXSybaseASEMetaDataReader.GetSqlForTables 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF AA 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 75 00 69 00 64 00 29 00 2C 00 20 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 74 00 79 00 70 00 65 00 3D 00 27 00 55 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 54 00 41 00 42 00 4C 00 45 00 27 00 20 00 57 00 48 00 45 00 4E 00 20 00 74 00 79 00 70 00 65 00 3D 00 27 00 56 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 56 00 49 00 45 00 57 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 54 00 41 00 42 00 4C 00 45 00 27 00 20 00 45 00 4E 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 74 00 79 00 70 00 65 00 20 00 49 00 4E 00 20 00 28 00 27 00 55 00 27 00 2C 00 20 00 27 00 56 00 27 00 2C 00 20 00 27 00 53 00 27 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 75 00 69 00 64 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 20 00 28 00 74 00 79 00 70 00 65 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 53 00 20 00 4F 00 52 00 20 00 74 00 79 00 70 00 65 00 20 00 3D 00 20 00 3A 00 56 00 49 00 45 00 57 00 53 00 20 00 4F 00 52 00 20 00 74 00 79 00 70 00 65 00 20 00 3D 00 20 00 3A 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 54 00 41 00 42 00 4C 00 45 00 53 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 2C 00 20 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_13368_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.GetSqlForViews"
		size = 704
		refs = "0006 TDBXSybaseASEMetaDataReader.GetSqlForViews 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 4E 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 75 00 69 00 64 00 29 00 2C 00 20 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 74 00 65 00 78 00 74 00 2C 00 20 00 63 00 6F 00 6C 00 69 00 64 00 20 00 41 00 53 00 20 00 53 00 4F 00 55 00 52 00 43 00 45 00 5F 00 4C 00 49 00 4E 00 45 00 5F 00 4E 00 55 00 4D 00 42 00 45 00 52 00 20 00 46 00 52 00 4F 00 4D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 6F 00 2C 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6D 00 6D 00 65 00 6E 00 74 00 73 00 20 00 63 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 6F 00 2E 00 69 00 64 00 20 00 3D 00 20 00 63 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 74 00 79 00 70 00 65 00 20 00 3D 00 20 00 27 00 56 00 27 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 75 00 69 00 64 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 56 00 49 00 45 00 57 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 56 00 49 00 45 00 57 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 2C 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_13369_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.GetSqlForColumns"
		size = 1452
		refs = "0006 TDBXSybaseASEMetaDataReader.GetSqlForColumns 000b @UStrAsg"
	strings:
		$1 = {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}
	condition:
		$1
}

rule function_13371_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.GetSqlForIndexes"
		size = 876
		refs = "0006 TDBXSybaseASEMetaDataReader.GetSqlForIndexes 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF A4 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 6F 00 2E 00 75 00 69 00 64 00 29 00 2C 00 20 00 6F 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 69 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 73 00 74 00 61 00 74 00 75 00 73 00 26 00 32 00 20 00 3E 00 20 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 69 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 45 00 4C 00 53 00 45 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4E 00 44 00 2C 00 20 00 73 00 74 00 61 00 74 00 75 00 73 00 26 00 32 00 30 00 34 00 38 00 2C 00 20 00 73 00 74 00 61 00 74 00 75 00 73 00 26 00 32 00 2C 00 20 00 31 00 20 00 46 00 52 00 4F 00 4D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 6F 00 2C 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 69 00 6E 00 64 00 65 00 78 00 65 00 73 00 20 00 69 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 6F 00 2E 00 74 00 79 00 70 00 65 00 20 00 49 00 4E 00 20 00 28 00 27 00 55 00 27 00 2C 00 27 00 53 00 27 00 29 00 20 00 41 00 4E 00 44 00 20 00 69 00 2E 00 69 00 64 00 20 00 3D 00 20 00 6F 00 2E 00 69 00 64 00 20 00 61 00 6E 00 64 00 20 00 6B 00 65 00 79 00 63 00 6E 00 74 00 20 00 3C 00 3E 00 20 00 30 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 6F 00 72 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 6F 00 2E 00 75 00 69 00 64 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 6F 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_13372_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.GetSqlForIndexColumns"
		size = 1256
		refs = "0006 TDBXSybaseASEMetaDataReader.GetSqlForIndexColumns 000b @UStrAsg"
	strings:
		$1 = {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}
	condition:
		$1
}

rule function_13373_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.GetSqlForForeignKeys"
		size = 748
		refs = "0006 TDBXSybaseASEMetaDataReader.GetSqlForForeignKeys 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 65 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 66 00 74 00 2E 00 75 00 69 00 64 00 29 00 2C 00 20 00 66 00 74 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 66 00 6B 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 46 00 52 00 4F 00 4D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 72 00 65 00 66 00 65 00 72 00 65 00 6E 00 63 00 65 00 73 00 20 00 72 00 2C 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 66 00 6B 00 2C 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 66 00 74 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 72 00 2E 00 74 00 61 00 62 00 6C 00 65 00 69 00 64 00 3D 00 66 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 72 00 2E 00 63 00 6F 00 6E 00 73 00 74 00 72 00 69 00 64 00 3D 00 66 00 6B 00 2E 00 69 00 64 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 66 00 74 00 2E 00 75 00 69 00 64 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 66 00 74 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 20 00 32 00 2C 00 20 00 33 00 2C 00 20 00 34 00 00 00 }
	condition:
		$1
}

rule function_13374_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.GetSqlForForeignKeyColumns"
		size = 5676
		refs = "0006 TDBXSybaseASEMetaDataReader.GetSqlForForeignKeyColumns 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 0B 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 66 00 74 00 2E 00 75 00 69 00 64 00 29 00 2C 00 20 00 66 00 74 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 66 00 6B 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 70 00 74 00 2E 00 75 00 69 00 64 00 29 00 2C 00 20 00 70 00 74 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 70 00 69 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 72 00 2E 00 6B 00 65 00 79 00 63 00 6E 00 74 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 31 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 66 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 31 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 32 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 66 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 32 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 33 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 66 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 33 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 34 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 66 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 34 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 35 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 66 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 35 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 36 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 66 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 36 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 37 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 66 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 37 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 38 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 66 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 38 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 39 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 66 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 39 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 31 00 30 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 66 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 31 00 30 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 31 00 31 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 66 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 31 00 31 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 31 00 32 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 66 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 31 00 32 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 31 00 33 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 66 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 31 00 33 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 31 00 34 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 66 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 31 00 34 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 31 00 35 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 66 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 31 00 35 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 66 00 6F 00 6B 00 65 00 79 00 31 00 36 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 66 00 74 00 2E 00 69 00 64 00 20 00 41 00 }
	condition:
		$1
}

rule function_13375_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.GetSqlForForeignKeyColumnsPart2"
		size = 5740
		refs = "0006 TDBXSybaseASEMetaDataReader.GetSqlForForeignKeyColumnsPart2 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 24 0B 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 66 00 74 00 2E 00 75 00 69 00 64 00 29 00 2C 00 20 00 66 00 74 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 66 00 6B 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 70 00 74 00 2E 00 75 00 69 00 64 00 29 00 2C 00 20 00 70 00 74 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 70 00 69 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 72 00 2E 00 6B 00 65 00 79 00 63 00 6E 00 74 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 31 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 70 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 31 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 32 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 70 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 32 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 33 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 70 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 33 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 34 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 70 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 34 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 35 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 70 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 35 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 36 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 70 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 36 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 37 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 70 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 37 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 38 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 70 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 38 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 39 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 70 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 39 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 31 00 30 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 70 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 31 00 30 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 31 00 31 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 70 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 31 00 31 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 31 00 32 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 70 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 31 00 32 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 31 00 33 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 70 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 31 00 33 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 31 00 34 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 70 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 31 00 34 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 31 00 35 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 63 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 63 00 2E 00 69 00 64 00 3D 00 70 00 74 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 63 00 2E 00 63 00 6F 00 6C 00 69 00 64 00 3D 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 31 00 35 00 29 00 20 00 45 00 4E 00 44 00 2C 00 20 00 20 00 20 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 72 00 2E 00 72 00 65 00 66 00 6B 00 65 00 79 00 31 00 36 00 3D 00 30 00 20 00 54 00 48 00 45 00 4E 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 45 00 4C 00 53 00 45 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 63 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 64 00 62 00 6F 00 2E 00 }
	condition:
		$1
}

rule function_13377_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.GetSqlForProcedures"
		size = 936
		refs = "0006 TDBXSybaseASEMetaDataReader.GetSqlForProcedures 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF C2 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 75 00 69 00 64 00 29 00 2C 00 20 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 74 00 79 00 70 00 65 00 3D 00 27 00 46 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 20 00 45 00 4E 00 44 00 20 00 46 00 52 00 4F 00 4D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 74 00 79 00 70 00 65 00 20 00 69 00 6E 00 20 00 28 00 27 00 50 00 27 00 2C 00 20 00 27 00 46 00 27 00 2C 00 20 00 27 00 58 00 50 00 27 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 75 00 69 00 64 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 74 00 79 00 70 00 65 00 3D 00 27 00 46 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 20 00 45 00 4E 00 44 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 54 00 59 00 50 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_13378_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.GetSqlForProcedureSources"
		size = 888
		refs = "0006 TDBXSybaseASEMetaDataReader.GetSqlForProcedureSources 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF AB 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 2C 00 20 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 75 00 69 00 64 00 29 00 2C 00 20 00 6E 00 61 00 6D 00 65 00 2C 00 20 00 43 00 41 00 53 00 45 00 20 00 57 00 48 00 45 00 4E 00 20 00 74 00 79 00 70 00 65 00 3D 00 27 00 46 00 27 00 20 00 54 00 48 00 45 00 4E 00 20 00 27 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 27 00 20 00 45 00 4C 00 53 00 45 00 20 00 27 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 27 00 20 00 45 00 4E 00 44 00 2C 00 20 00 74 00 65 00 78 00 74 00 2C 00 20 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 63 00 6F 00 6C 00 69 00 64 00 20 00 41 00 53 00 20 00 53 00 4F 00 55 00 52 00 43 00 45 00 5F 00 4C 00 49 00 4E 00 45 00 5F 00 4E 00 55 00 4D 00 42 00 45 00 52 00 20 00 46 00 52 00 4F 00 4D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 6F 00 2C 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 63 00 6F 00 6D 00 6D 00 65 00 6E 00 74 00 73 00 20 00 63 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 6F 00 2E 00 69 00 64 00 20 00 3D 00 20 00 63 00 2E 00 69 00 64 00 20 00 41 00 4E 00 44 00 20 00 74 00 79 00 70 00 65 00 20 00 49 00 4E 00 20 00 28 00 27 00 50 00 27 00 2C 00 27 00 46 00 27 00 2C 00 27 00 58 00 50 00 27 00 29 00 20 00 20 00 41 00 4E 00 44 00 20 00 28 00 44 00 42 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 29 00 20 00 3D 00 20 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 43 00 41 00 54 00 41 00 4C 00 4F 00 47 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 28 00 6F 00 2E 00 75 00 69 00 64 00 29 00 20 00 3D 00 20 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 53 00 43 00 48 00 45 00 4D 00 41 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 41 00 4E 00 44 00 20 00 28 00 6F 00 2E 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 20 00 28 00 3A 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 31 00 2C 00 32 00 2C 00 33 00 2C 00 63 00 6F 00 6C 00 69 00 64 00 00 00 }
	condition:
		$1
}

rule function_13379_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.GetSqlForProcedureParameters"
		size = 1256
		refs = "0006 TDBXSybaseASEMetaDataReader.GetSqlForProcedureParameters 000b @UStrAsg"
	strings:
		$1 = {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}
	condition:
		$1
}

rule function_13384_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.GetSqlForUsers"
		size = 152
		refs = "0006 TDBXSybaseASEMetaDataReader.GetSqlForUsers 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 3A 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 6E 00 61 00 6D 00 65 00 20 00 46 00 52 00 4F 00 4D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 75 00 73 00 65 00 72 00 73 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 75 00 69 00 64 00 20 00 3E 00 20 00 30 00 20 00 41 00 4E 00 44 00 20 00 73 00 75 00 69 00 64 00 20 00 3E 00 3D 00 20 00 2D 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_13385_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.GetSqlForRoles"
		size = 128
		refs = "0006 TDBXSybaseASEMetaDataReader.GetSqlForRoles 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 6E 00 61 00 6D 00 65 00 20 00 46 00 52 00 4F 00 4D 00 20 00 64 00 62 00 6F 00 2E 00 73 00 79 00 73 00 75 00 73 00 65 00 72 00 73 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 73 00 75 00 69 00 64 00 20 00 3C 00 20 00 2D 00 31 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_13386_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.GetDataTypeDescriptions"
		size = 3144
		refs = "000c TDBXSybaseASEMetaDataReader.GetDataTypeDescriptions 0022 TDBXDataTypeDescriptionArray 0027 @DynArraySetLength 0060 _Dn_TDBXDataTypeDescription 0065 TDBXDataTypeDescription.Create 0712 @DynArrayAsg 072d @DynArrayClear 0733 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 1D 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 09 6A 00 68 A8 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 6A 00 68 C4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 6A 09 6A 00 68 18 1F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 6A 00 68 ?? ?? ?? ?? 68 C4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 6A 04 6A 00 6A 01 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 84 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 6A 01 6A 00 68 A8 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 CC 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 6A 01 6A 00 68 18 1F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 68 CC 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 6A 18 6A 00 6A 17 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C4 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 6A 08 6A 00 6A 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 26 6A 00 6A 00 6A 00 6A 00 6A 00 68 D4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 6A 07 6A 00 6A 35 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 6A 03 6A 00 68 FF FF FF 7F 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 60 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 6A 06 6A 00 6A 0A 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 6A 08 6A 00 6A 13 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 6A 08 6A 00 6A 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 26 6A 00 6A 00 6A 00 6A 00 6A 00 68 D5 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 6A 1A 6A 00 68 C0 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 C4 11 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 6A 1A 6A 00 68 78 0F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 68 C4 11 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 6A 1A 6A 00 68 C0 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 C0 11 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 38 6A 1A 6A 00 68 78 0F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 68 C0 11 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 3C 6A 1B 6A 00 6A 07 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 C4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 40 6A 18 6A 00 6A 10 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C4 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 44 6A 05 6A 00 6A 05 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 48 6A 08 6A 00 6A 0A 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D4 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 4C 6A 01 6A 00 6A 1E 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 68 C8 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 50 6A 01 6A 00 68 FF FF FF 7F 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 60 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 54 6A 1A 6A 00 68 FF FF FF 3F 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 68 60 10 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 58 6A 09 6A 00 6A 08 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 68 84 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 5C 6A 1D 6A 00 6A 03 68 ?? ?? ?? ?? 6A 00 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 68 D4 02 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 60 6A 0F 6A 00 68 A8 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 6A 00 68 C0 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 64 6A 0F 6A 00 68 18 1F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 6A 00 6A 00 68 ?? ?? ?? ?? 68 C0 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 68 6A 01 6A 00 68 A8 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 C0 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 6C 6A 01 6A 00 68 18 1F 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A FF 6A FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 68 C0 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 70 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 62 00 69 00 6E 00 61 00 72 00 79 00 28 00 7B 00 30 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 30 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 31 00 32 00 2E 00 30 00 34 00 2E 00 39 00 39 00 39 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 31 00 32 00 2E 00 30 00 35 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 62 00 69 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 68 00 61 00 72 00 28 00 7B 00 30 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 68 00 61 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 64 00 61 00 74 00 65 00 74 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 7B 00 74 00 73 00 20 00 27 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 64 00 65 00 63 00 69 00 6D 00 61 00 6C 00 28 00 7B 00 30 00 7D 00 2C 00 20 00 7B 00 31 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 2C 00 53 00 63 00 61 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 63 00 69 00 6D 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 64 00 6F 00 75 00 62 00 6C 00 65 00 20 00 70 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 6D 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 69 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6D 00 6F 00 6E 00 65 00 79 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 6E 00 75 00 6D 00 65 00 72 00 69 00 63 00 28 00 7B 00 30 00 7D 00 2C 00 20 00 7B 00 31 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6E 00 75 00 6D 00 65 00 72 00 69 00 63 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 75 00 6E 00 69 00 63 00 68 00 61 00 72 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4E 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 75 00 6E 00 69 00 63 00 68 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 75 00 6E 00 69 00 76 00 61 00 72 00 63 00 68 00 61 00 72 00 28 00 7B 00 30 00 7D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 75 00 6E 00 69 00 76 00 61 00 72 00 63 00 68 00 61 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 72 00 65 00 61 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 73 00 6D 00 61 00 6C 00 6C 00 64 00 61 00 74 00 65 00 74 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 6D 00 61 00 6C 00 6C 00 69 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 6D 00 61 00 6C 00 6C 00 6D 00 6F 00 6E 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 73 00 79 00 73 00 6E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 75 00 6E 00 69 00 74 00 65 00 78 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 31 00 35 00 2E 00 30 00 30 00 2E 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 74 00 69 00 6D 00 65 00 73 00 74 00 61 00 6D 00 70 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 74 00 69 00 6E 00 79 00 69 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 76 00 61 00 72 00 62 00 69 00 6E 00 61 00 72 00 79 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 76 00 61 00 72 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 76 00 61 00 72 00 63 00 68 00 61 00 72 00 28 00 7B 00 30 00 7D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 76 00 61 00 72 00 63 00 68 00 61 00 72 00 00 00 }
	condition:
		$1
}

rule function_13387_0 {
	meta:
		name = "TDBXSybaseASEMetaDataReader.GetReservedWords"
		size = 14964
		refs = "000c TDBXSybaseASEMetaDataReader.GetReservedWords 0025 TDBXStringArray 002a @DynArraySetLength 003a @UStrAsg 169e @DynArrayAsg 16b9 @DynArrayClear 16bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 42 01 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 28 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 34 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 3C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 60 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 6C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 70 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 74 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 78 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 7C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 98 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 CC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 D8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 DC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 EC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 F8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 FC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 00 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 04 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 08 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 0C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 10 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 14 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 18 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 1C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 20 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 24 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 28 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 2C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 30 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 34 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 38 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 3C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 40 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 44 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 48 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 4C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 50 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 54 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 58 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 5C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 60 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 64 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 68 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 6C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 70 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 74 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 78 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 7C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 80 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 84 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 88 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 90 03 00 00 BA ?? }
	condition:
		$1
}

rule function_13390_0 {
	meta:
		name = "TDBXSybaseASECustomMetaDataWriter.MakeSqlCreate"
		size = 116
		refs = "000d TDBXSybaseASECustomMetaDataWriter.MakeSqlCreate 0014 TDBXStringBuffer.Append 0023 TDBXBaseMetaDataWriter.MakeSqlCreate"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 53 00 45 00 54 00 20 00 51 00 55 00 4F 00 54 00 45 00 44 00 5F 00 49 00 44 00 45 00 4E 00 54 00 49 00 46 00 49 00 45 00 52 00 20 00 4F 00 4E 00 3B 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_13391_0 {
	meta:
		name = "TDBXSybaseASECustomMetaDataWriter.MakeSqlAlter"
		size = 116
		refs = "000d TDBXSybaseASECustomMetaDataWriter.MakeSqlAlter 0014 TDBXStringBuffer.Append 0023 TDBXBaseMetaDataWriter.MakeSqlAlter"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 53 00 45 00 54 00 20 00 51 00 55 00 4F 00 54 00 45 00 44 00 5F 00 49 00 44 00 45 00 4E 00 54 00 49 00 46 00 49 00 45 00 52 00 20 00 4F 00 4E 00 3B 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_13392_0 {
	meta:
		name = "TDBXSybaseASECustomMetaDataWriter.MakeSqlDrop"
		size = 104
		refs = "000a TDBXSybaseASECustomMetaDataWriter.MakeSqlDrop 0011 TDBXStringBuffer.Append 001c TDBXBaseMetaDataWriter.MakeSqlDrop"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 1A 00 00 00 53 00 45 00 54 00 20 00 51 00 55 00 4F 00 54 00 45 00 44 00 5F 00 49 00 44 00 45 00 4E 00 54 00 49 00 46 00 49 00 45 00 52 00 20 00 4F 00 4E 00 3B 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_13393_0 {
	meta:
		name = "TDBXSybaseASECustomMetaDataWriter.MakeSqlColumnTypeCast"
		size = 320
		refs = "001c TDBXSybaseASECustomMetaDataWriter.MakeSqlColumnTypeCast 0039 TDBXStringBuffer.Append 00ce @UStrArrayClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 3C 89 45 F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 BA 04 00 00 00 8B 45 FC 8B 08 FF 51 24 8D 55 F4 8B 08 FF 51 28 8B 4D F4 8B D3 8B C6 8B 38 FF 57 68 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 03 00 00 00 8B 45 F8 8B 08 FF 51 24 8D 4D F0 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D F0 8B D3 8B C6 8B 30 FF 56 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 4F 00 4E 00 56 00 45 00 52 00 54 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_13394_0 {
	meta:
		name = "TDBXSybaseASECustomMetaDataWriter.MakeSqlDropSecondaryIndex"
		size = 364
		refs = "001c TDBXSybaseASECustomMetaDataWriter.MakeSqlDropSecondaryIndex 0039 TDBXStringBuffer.Append 00e7 @UStrArrayClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 3C 89 45 F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 45 F8 8B 08 FF 51 24 8D 4D F4 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D F4 8B D3 8B C6 8B 38 FF 57 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 03 00 00 00 8B 45 F8 8B 08 FF 51 24 8D 4D F0 33 D2 8B 38 FF 97 D0 00 00 00 8B 4D F0 8B D3 8B C6 8B 30 FF 56 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 52 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 44 00 45 00 58 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_13447_0 {
	meta:
		name = "TDBXTraceConnection.BeginTransaction"
		size = 188
		refs = "0010 TDBXTraceConnection.BeginTransaction 001d TDBXDelegateConnection.BeginTransaction 002c TDBXContext.IsTracing 003e TDBXTraceConnection.GetName 005d TDBXTraceConnection.Trace 0077 @UStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 BA 20 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 34 8B 38 FF 57 18 8B 4D FC BA 20 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 10 00 00 00 42 00 65 00 67 00 69 00 6E 00 54 00 72 00 61 00 6E 00 73 00 61 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_13449_0 {
	meta:
		name = "TDBXTraceConnection.Close"
		size = 160
		refs = "000f TDBXTraceConnection.Close 001c TDBXDelegateConnection.Close 0029 TDBXContext.IsTracing 003b TDBXTraceConnection.GetName 005a TDBXTraceConnection.Trace 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 10 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 34 8B 30 FF 56 18 8B 4D FC BA 10 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6C 00 6F 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_13450_0 {
	meta:
		name = "TDBXTraceConnection.Commit"
		size = 164
		refs = "000f TDBXTraceConnection.Commit 001c TDBXDelegateConnection.Commit 0029 TDBXContext.IsTracing 003b TDBXTraceConnection.GetName 005a TDBXTraceConnection.Trace 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 20 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 34 8B 30 FF 56 18 8B 4D FC BA 20 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 6F 00 6D 00 6D 00 69 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_13451_0 {
	meta:
		name = "TDBXTraceConnection.CommitFreeAndNil"
		size = 184
		refs = "000f TDBXTraceConnection.CommitFreeAndNil 001c TDBXDelegateConnection.CommitFreeAndNil 0029 TDBXContext.IsTracing 003b TDBXTraceConnection.GetName 005a TDBXTraceConnection.Trace 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 20 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 34 8B 30 FF 56 18 8B 4D FC BA 20 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6D 00 6D 00 69 00 74 00 46 00 72 00 65 00 65 00 41 00 6E 00 64 00 4E 00 69 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_13452_0 {
	meta:
		name = "TDBXTraceConnection.Create"
		size = 332
		refs = "0016 @ClassCreate 0028 TDBXTraceConnection.Create 0035 TDBXConnectionBuilder.CreateDelegateeConnection 0041 TDBXDelegateConnection.Create 0048 TDBXConnectionBuilder.GetConnectionProperties 0052 TDBXProperties.GetBoolean 005c TDBXTraceOutput.LogDriverTrace 008d IntToStr 009d @UStrCat3 00ba TDBXTraceConnection.LogError 00d6 @UStrClr 00dc @HandleFinally 00eb @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 57 68 ?? ?? ?? ?? 8B 43 30 8B 10 FF 52 1C 8B 45 14 89 43 58 89 7B 5C 8B 47 10 89 43 34 8B 45 08 89 43 38 8B 45 0C 89 43 3C FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D F8 8D 43 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B 43 30 8B 08 FF 51 28 8B 45 F0 89 43 50 8B 45 F4 89 43 54 53 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 14 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 72 00 61 00 63 00 65 00 44 00 72 00 69 00 76 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 43 00 00 00 }
	condition:
		$1
}

rule function_13453_0 {
	meta:
		name = "TDBXTraceConnection.CreateAndBeginTransaction"
		size = 204
		refs = "0010 TDBXTraceConnection.CreateAndBeginTransaction 001d TDBXDelegateConnection.CreateAndBeginTransaction 002c TDBXContext.IsTracing 003e TDBXTraceConnection.GetName 005d TDBXTraceConnection.Trace 0077 @UStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 BA 20 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 34 8B 38 FF 57 18 8B 4D FC BA 20 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 19 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 41 00 6E 00 64 00 42 00 65 00 67 00 69 00 6E 00 54 00 72 00 61 00 6E 00 73 00 61 00 63 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_13454_0 {
	meta:
		name = "TDBXTraceConnection.CreateCommand"
		size = 244
		refs = "0012 TDBXTraceConnection.CreateCommand 003b TDBXDelegateConnection.CreateCommand 0044 _DV_TDBXTraceCommand 0049 TDBXTraceCommand.Create 0058 TDBXContext.IsTracing 006f TDBXTraceConnection.GetName 007d TDBXTraceCommand.GetName 0098 TDBXTraceConnection.Trace 00b4 @UStrArrayClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 43 48 01 83 53 4C 00 8B 43 28 50 8B 43 34 50 FF 73 3C FF 73 38 FF 73 4C FF 73 48 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA 08 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 3C 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 34 59 8B 38 FF 57 1C 8B 4D FC BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_13455_0 {
	meta:
		name = "TDBXTraceConnection.CreateMorphCommand"
		size = 192
		refs = "0010 TDBXTraceConnection.CreateMorphCommand 001d TDBXDelegateConnection.CreateMorphCommand 002c TDBXContext.IsTracing 003e TDBXTraceConnection.GetName 005d TDBXTraceConnection.Trace 0077 @UStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 BA 08 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 34 8B 38 FF 57 18 8B 4D FC BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 12 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 4D 00 6F 00 72 00 70 00 68 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_13456_0 {
	meta:
		name = "TDBXTraceConnection.DerivedCreateCommand"
		size = 196
		refs = "0010 TDBXTraceConnection.DerivedCreateCommand 001d TDBXDelegateConnection.DerivedCreateCommand 002c TDBXContext.IsTracing 003e TDBXTraceConnection.GetName 005d TDBXTraceConnection.Trace 0077 @UStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 BA 08 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 34 8B 38 FF 57 18 8B 4D FC BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 65 00 72 00 69 00 76 00 65 00 64 00 43 00 72 00 65 00 61 00 74 00 65 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_13457_0 {
	meta:
		name = "TDBXTraceConnection.DerivedGetCommands"
		size = 196
		refs = "0014 TDBXTraceConnection.DerivedGetCommands 0024 TDBXDelegateConnection.DerivedGetCommands 0031 TDBXContext.IsTracing 0043 TDBXTraceConnection.GetName 0062 TDBXTraceConnection.Trace 007c @UStrArrayClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B C3 E8 ?? ?? ?? ?? BA 08 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 34 8B 30 FF 56 18 8B 4D F8 BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 65 00 72 00 69 00 76 00 65 00 64 00 47 00 65 00 74 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_13458_0 {
	meta:
		name = "TDBXTraceConnection.DerivedGetCommandTypes"
		size = 196
		refs = "000f TDBXTraceConnection.DerivedGetCommandTypes 001c TDBXDelegateConnection.DerivedGetCommandTypes 0029 TDBXContext.IsTracing 003b TDBXTraceConnection.GetName 005a TDBXTraceConnection.Trace 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 08 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 34 8B 30 FF 56 18 8B 4D FC BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 65 00 72 00 69 00 76 00 65 00 64 00 47 00 65 00 74 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 54 00 79 00 70 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_13459_0 {
	meta:
		name = "TDBXTraceConnection.DerivedOpen"
		size = 172
		refs = "000f TDBXTraceConnection.DerivedOpen 001c TDBXDelegateConnection.DerivedOpen 0029 TDBXContext.IsTracing 003b TDBXTraceConnection.GetName 005a TDBXTraceConnection.Trace 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 10 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 34 8B 30 FF 56 18 8B 4D FC BA 10 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 65 00 72 00 69 00 76 00 65 00 64 00 4F 00 70 00 65 00 6E 00 00 00 }
	condition:
		$1
}

rule function_13460_0 {
	meta:
		name = "TDBXTraceConnection.Destroy"
		size = 268
		refs = "000d @BeforeDestruction 001a TDBXTraceConnection.Destroy 003a TDBXContext.IsTracing 005e TDBXTraceConnection.GetName 007c @UStrCatN 008b TDBXTraceConnection.Trace 009a TDBXTraceDriver.ReleaseTraceOutput 00ad TDBXDelegateConnection.Destroy 00c7 @UStrArrayClr 00cd @HandleFinally 00dc @ClassDestroy"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 64 8B 73 28 85 F6 74 5D 8B C6 BA 10 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 4D 8D 45 F4 50 8B 43 34 B9 ?? ?? ?? ?? 33 D2 8B 30 FF 56 20 FF 75 F4 8D 55 F0 8B C3 E8 ?? ?? ?? ?? FF 75 F0 8D 55 EC 8B 43 34 8B 08 FF 51 70 FF 75 EC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 BA 10 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 58 85 C0 74 08 8B 53 5C E8 ?? ?? ?? ?? 33 C0 89 43 5C 0F B6 55 FF 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 80 7D FF 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 72 00 65 00 65 00 41 00 6E 00 64 00 4E 00 69 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_13461_0 {
	meta:
		name = "TDBXTraceConnection.Open"
		size = 160
		refs = "000f TDBXTraceConnection.Open 001c TDBXDelegateConnection.Open 0029 TDBXContext.IsTracing 003b TDBXTraceConnection.GetName 005a TDBXTraceConnection.Trace 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 10 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 34 8B 30 FF 56 18 8B 4D FC BA 10 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4F 00 70 00 65 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_13462_0 {
	meta:
		name = "TDBXTraceConnection.Rollback"
		size = 168
		refs = "000f TDBXTraceConnection.Rollback 001c TDBXDelegateConnection.Rollback 0029 TDBXContext.IsTracing 003b TDBXTraceConnection.GetName 005a TDBXTraceConnection.Trace 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 20 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 34 8B 30 FF 56 18 8B 4D FC BA 20 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 6F 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_13463_0 {
	meta:
		name = "TDBXTraceConnection.RollbackFreeAndNil"
		size = 188
		refs = "000f TDBXTraceConnection.RollbackFreeAndNil 001c TDBXDelegateConnection.RollbackFreeAndNil 0029 TDBXContext.IsTracing 003b TDBXTraceConnection.GetName 005a TDBXTraceConnection.Trace 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 20 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 34 8B 30 FF 56 18 8B 4D FC BA 20 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 6F 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 46 00 72 00 65 00 65 00 41 00 6E 00 64 00 4E 00 69 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_13464_0 {
	meta:
		name = "TDBXTraceConnection.RollbackIncompleteFreeAndNil"
		size = 208
		refs = "000f TDBXTraceConnection.RollbackIncompleteFreeAndNil 001c TDBXDelegateConnection.RollbackIncompleteFreeAndNil 0029 TDBXContext.IsTracing 003b TDBXTraceConnection.GetName 005a TDBXTraceConnection.Trace 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 20 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 34 8B 30 FF 56 18 8B 4D FC BA 20 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 52 00 6F 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 49 00 6E 00 63 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 46 00 72 00 65 00 65 00 41 00 6E 00 64 00 4E 00 69 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_13466_0 {
	meta:
		name = "TDBXTraceConnection.GetProductName"
		size = 184
		refs = "0011 TDBXTraceConnection.GetProductName 0020 TDBXDelegateConnection.GetProductName 002d TDBXContext.IsTracing 003f TDBXTraceConnection.GetName 005e TDBXTraceConnection.Trace 0078 @UStrArrayClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? BA 00 10 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 34 8B 30 FF 56 18 8B 4D FC BA 00 10 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 64 00 75 00 63 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13467_0 {
	meta:
		name = "TDBXTraceConnection.GetProductVersion"
		size = 188
		refs = "0011 TDBXTraceConnection.GetProductVersion 0020 TDBXDelegateConnection.GetProductVersion 002d TDBXContext.IsTracing 003f TDBXTraceConnection.GetName 005e TDBXTraceConnection.Trace 0078 @UStrArrayClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? BA 00 10 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 34 8B 30 FF 56 18 8B 4D FC BA 00 10 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 64 00 75 00 63 00 74 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_13468_0 {
	meta:
		name = "TDBXTraceConnection.GetConnectionProperties"
		size = 200
		refs = "0010 TDBXTraceConnection.GetConnectionProperties 001d TDBXDelegateConnection.GetConnectionProperties 002c TDBXContext.IsTracing 003e TDBXTraceConnection.GetName 005d TDBXTraceConnection.Trace 0077 @UStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 BA 10 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 34 8B 38 FF 57 18 8B 4D FC BA 10 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 17 00 00 00 47 00 65 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_13469_0 {
	meta:
		name = "TDBXTraceConnection.GetConnectionProperty"
		size = 200
		refs = "0014 TDBXTraceConnection.GetConnectionProperty 0025 TDBXDelegateConnection.GetConnectionProperty 0032 TDBXContext.IsTracing 0044 TDBXTraceConnection.GetName 0063 TDBXTraceConnection.Trace 007d @UStrArrayClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? BA 10 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 34 8B 30 FF 56 18 8B 4D FC BA 10 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 15 00 00 00 47 00 65 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 00 00 }
	condition:
		$1
}

rule function_13470_0 {
	meta:
		name = "TDBXTraceConnection.GetDatabaseMetaData"
		size = 192
		refs = "0010 TDBXTraceConnection.GetDatabaseMetaData 001d TDBXDelegateConnection.GetDatabaseMetaData 002c TDBXContext.IsTracing 003e TDBXTraceConnection.GetName 005d TDBXTraceConnection.Trace 0077 @UStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 BA 00 10 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 34 8B 38 FF 57 18 8B 4D FC BA 00 10 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 13 00 00 00 47 00 65 00 74 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 00 00 }
	condition:
		$1
}

rule function_13473_0 {
	meta:
		name = "TDBXTraceConnection.GetIsOpen"
		size = 180
		refs = "0010 TDBXTraceConnection.GetIsOpen 001d TDBXDelegateConnection.GetIsOpen 002c TDBXContext.IsTracing 0044 TDBXTraceConnection.GetName 0063 TDBXTraceConnection.Trace 007d @UStrArrayClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 BA 10 00 00 00 8B 46 28 E8 ?? ?? ?? ?? 84 C0 74 33 83 7E 5C 00 74 2D 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 46 34 8B 38 FF 57 18 8B 4D FC BA 10 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 49 00 73 00 4F 00 70 00 65 00 6E 00 00 00 }
	condition:
		$1
}

rule function_13474_0 {
	meta:
		name = "TDBXTraceConnection.SetConnectionProperties"
		size = 196
		refs = "000f TDBXTraceConnection.SetConnectionProperties 001c TDBXDelegateConnection.SetConnectionProperties 0029 TDBXContext.IsTracing 003b TDBXTraceConnection.GetName 005a TDBXTraceConnection.Trace 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 10 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 34 8B 30 FF 56 18 8B 4D FC BA 10 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 53 00 65 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_13476_0 {
	meta:
		name = "TDBXTraceConnection.SetDBXFormatter"
		size = 32
		refs = "000b TDBXDelegateConnection.SetDBXFormatter 0019 TDBXContext.SetDBXFormatter"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 28 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13481_0 {
	meta:
		name = "TDBXTraceConnection.SetTraceFlags"
		size = 32
		refs = "000b TDBXDelegateConnection.SetTraceFlags 0019 TDBXContext.SetTraceFlags"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 28 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13477_0 {
	meta:
		name = "TDBXTraceConnection.SetErrorEvent"
		size = 42
		refs = "000f TDBXDelegateConnection.SetErrorEvent 0021 TDBXContext.SetOnError"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B 43 28 85 C0 74 0B FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13482_0 {
	meta:
		name = "TDBXTraceConnection.SetTraceInfoEvent"
		size = 42
		refs = "000f TDBXDelegateConnection.SetTraceInfoEvent 0021 TDBXContext.SetOnTrace"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B 43 28 85 C0 74 0B FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13479_0 {
	meta:
		name = "TDBXTraceConnection.GetVendorProperty"
		size = 192
		refs = "0014 TDBXTraceConnection.GetVendorProperty 0025 TDBXDelegateConnection.GetVendorProperty 0032 TDBXContext.IsTracing 0044 TDBXTraceConnection.GetName 0063 TDBXTraceConnection.Trace 007d @UStrArrayClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? BA 00 20 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 34 8B 30 FF 56 18 8B 4D FC BA 00 20 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 11 00 00 00 47 00 65 00 74 00 56 00 65 00 6E 00 64 00 6F 00 72 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 00 00 }
	condition:
		$1
}

rule function_13480_0 {
	meta:
		name = "TDBXTraceConnection.LogError"
		size = 184
		refs = "0014 TDBXTraceConnection.LogError 0027 TDBXContext.IsTracing 0036 TDBXError.ErrorCodeToString 004e @UStrCatN 006b TDBXContext.Trace 0094 @UStrArrayClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 04 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 4F 8D 55 F4 8B 46 18 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF 76 1C 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 43 34 8B 38 FF 17 8B 4D FC BA 04 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 66 83 7B 52 00 74 08 8B D6 8B 43 54 FF 53 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_13483_0 {
	meta:
		name = "TDBXTraceConnection.Trace"
		size = 82
		refs = "0011 @UStrAddRef 0019 TDBXTraceConnection.Trace 002c TDBXContext.Trace 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D6 8B 43 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13513_0 {
	meta:
		name = "TDBXTraceCommand.Trace"
		size = 82
		refs = "0011 @UStrAddRef 0019 TDBXTraceCommand.Trace 002c TDBXContext.Trace 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D6 8B 43 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13484_0 {
	meta:
		name = "TDBXTraceCommand.Create"
		size = 304
		refs = "0011 @ClassCreate 001d TDBXTraceCommand.Create 0030 TDBXDelegateCommand.Create 0061 IntToStr 0087 @UStrCatN 0097 @UStrCat3 00b1 @UStrArrayClr 00b7 @HandleFinally 00c4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 51 33 D2 8B C6 8B 4D 1C E8 ?? ?? ?? ?? 8B 45 18 89 46 30 8B 45 10 89 46 40 8B 45 14 89 46 44 8B 45 08 89 46 48 8B 45 0C 89 46 4C 68 ?? ?? ?? ?? FF 75 14 FF 75 10 8D 45 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? FF 75 F8 8D 46 50 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 56 50 8D 46 54 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 59 5D C2 18 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 2E 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_13485_0 {
	meta:
		name = "TDBXTraceCommand.CreateParameter"
		size = 37
		refs = "001a _DV_TDBXTraceParameter 001f TDBXTraceParameter.Create"
	strings:
		$1 = { 53 8B D8 8B 43 2C 8B 10 FF 52 70 50 8B 43 30 50 8B 43 54 50 8B 4B 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13487_0 {
	meta:
		name = "TDBXTraceCommand.CreateParameters"
		size = 188
		refs = "0012 TDBXTraceCommand.CreateParameters 0025 TDBXContext.IsTracing 0037 TDBXTraceCommand.GetName 0056 TDBXTraceCommand.Trace 005f TDBXDelegateCommand.CreateParameters 0079 @UStrArrayClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 00 02 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 30 8B 38 FF 57 18 8B 4D FC BA 00 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_13488_0 {
	meta:
		name = "TDBXTraceCommand.DerivedClearParameters"
		size = 196
		refs = "000f TDBXTraceCommand.DerivedClearParameters 0022 TDBXContext.IsTracing 0034 TDBXTraceCommand.GetName 0053 TDBXTraceCommand.Trace 005a TDBXDelegateCommand.DerivedClearParameters 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 08 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 30 8B 30 FF 56 18 8B 4D FC BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 65 00 72 00 69 00 76 00 65 00 64 00 43 00 6C 00 65 00 61 00 72 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_13489_0 {
	meta:
		name = "TDBXTraceCommand.DerivedClose"
		size = 176
		refs = "000f TDBXTraceCommand.DerivedClose 0022 TDBXContext.IsTracing 0034 TDBXTraceCommand.GetName 0053 TDBXTraceCommand.Trace 005a TDBXDelegateCommand.DerivedClose 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 08 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 30 8B 30 FF 56 18 8B 4D FC BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 65 00 72 00 69 00 76 00 65 00 64 00 43 00 6C 00 6F 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13490_0 {
	meta:
		name = "TDBXTraceCommand.DerivedExecuteQuery"
		size = 224
		refs = "000f TDBXTraceCommand.DerivedExecuteQuery 0022 TDBXContext.IsTracing 0039 TDBXTraceCommand.GetName 0058 TDBXTraceCommand.Trace 005f TDBXDelegateCommand.DerivedExecuteQuery 007b @UStrArrayClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 02 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 32 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 30 8B 30 FF 56 1C 8B 4D FC BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 65 00 72 00 69 00 76 00 65 00 64 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 51 00 75 00 65 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_13491_0 {
	meta:
		name = "TDBXTraceCommand.DerivedExecuteUpdate"
		size = 192
		refs = "000f TDBXTraceCommand.DerivedExecuteUpdate 0022 TDBXContext.IsTracing 0034 TDBXTraceCommand.GetName 0053 TDBXTraceCommand.Trace 005a TDBXDelegateCommand.DerivedExecuteUpdate 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 02 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 30 8B 30 FF 56 18 8B 4D FC BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 65 00 72 00 69 00 76 00 65 00 64 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 55 00 70 00 64 00 61 00 74 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13492_0 {
	meta:
		name = "TDBXTraceCommand.DerivedGetNextReader"
		size = 228
		refs = "000f TDBXTraceCommand.DerivedGetNextReader 0022 TDBXContext.IsTracing 0039 TDBXTraceCommand.GetName 0058 TDBXTraceCommand.Trace 005f TDBXDelegateCommand.DerivedGetNextReader 007b @UStrArrayClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 00 04 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 32 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 30 8B 30 FF 56 1C 8B 4D FC BA 00 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 65 00 72 00 69 00 76 00 65 00 64 00 47 00 65 00 74 00 4E 00 65 00 78 00 74 00 52 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_13493_0 {
	meta:
		name = "TDBXTraceCommand.DerivedOpen"
		size = 172
		refs = "000f TDBXTraceCommand.DerivedOpen 0022 TDBXContext.IsTracing 0034 TDBXTraceCommand.GetName 0053 TDBXTraceCommand.Trace 005a TDBXDelegateCommand.DerivedOpen 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 08 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 30 8B 30 FF 56 18 8B 4D FC BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 65 00 72 00 69 00 76 00 65 00 64 00 4F 00 70 00 65 00 6E 00 00 00 }
	condition:
		$1
}

rule function_13494_0 {
	meta:
		name = "TDBXTraceCommand.DerivedPrepare"
		size = 180
		refs = "000f TDBXTraceCommand.DerivedPrepare 0022 TDBXContext.IsTracing 0034 TDBXTraceCommand.GetName 0053 TDBXTraceCommand.Trace 005a TDBXDelegateCommand.DerivedPrepare 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 01 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 30 8B 30 FF 56 18 8B 4D FC BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 65 00 72 00 69 00 76 00 65 00 64 00 50 00 72 00 65 00 70 00 61 00 72 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13495_0 {
	meta:
		name = "TDBXTraceCommand.Destroy"
		size = 228
		refs = "000d @BeforeDestruction 0019 TDBXTraceCommand.Destroy 002c TDBXContext.IsTracing 0050 TDBXTraceCommand.GetName 006e @UStrCatN 007d TDBXTraceCommand.Trace 0088 TDBXDelegateCommand.Destroy 00a2 @UStrArrayClr 00a8 @HandleFinally 00b5 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 28 BA 08 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 4D 8D 45 F8 50 8B 46 30 B9 ?? ?? ?? ?? 33 D2 8B 38 FF 57 20 FF 75 F8 8D 55 F4 8B C6 E8 ?? ?? ?? ?? FF 75 F4 8D 55 F0 8B 46 30 8B 08 FF 51 70 FF 75 F0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA 08 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 72 00 65 00 65 00 41 00 6E 00 64 00 4E 00 69 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_13496_0 {
	meta:
		name = "TDBXTraceCommand.ExecuteQuery"
		size = 380
		refs = "0013 TDBXTraceCommand.ExecuteQuery 002e TDBXContext.IsTracing 0045 IntToStr 0081 @UStrCatN 0094 TDBXTraceCommand.GetName 00b1 TDBXTraceCommand.Trace 00b8 TDBXDelegateCommand.ExecuteQuery 00f0 _DV_TDBXTraceReader 00f5 TDBXTraceReader.Create 0111 @UStrArrayClr 0117 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 43 38 01 83 53 3C 00 BA 02 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 7F 68 ?? ?? ?? ?? FF 73 44 FF 73 40 8D 45 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 73 4C FF 73 48 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF 73 3C FF 73 38 8D 45 F0 E8 ?? ?? ?? ?? FF 75 F0 8D 45 FC BA 06 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 EC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 4D E8 8B 55 FC 8B 43 30 8B 30 FF 56 1C 8B 4D EC BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 39 BA 00 04 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 28 56 8B 43 30 50 FF 73 44 FF 73 40 FF 73 4C FF 73 48 FF 73 3C FF 73 38 8B 4B 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 65 00 61 00 64 00 65 00 72 00 43 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 51 00 75 00 65 00 72 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_13497_0 {
	meta:
		name = "TDBXTraceCommand.ExecuteUpdate"
		size = 176
		refs = "000f TDBXTraceCommand.ExecuteUpdate 0022 TDBXContext.IsTracing 0034 TDBXTraceCommand.GetName 0053 TDBXTraceCommand.Trace 005a TDBXDelegateCommand.ExecuteUpdate 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 02 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 30 8B 30 FF 56 18 8B 4D FC BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 55 00 70 00 64 00 61 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_13498_0 {
	meta:
		name = "TDBXTraceCommand.GetRowsAffected"
		size = 424
		refs = "0018 TDBXTraceCommand.GetRowsAffected 002b TDBXContext.IsTracing 0042 IntToStr 0068 @UStrCatN 007b TDBXTraceCommand.GetName 0098 TDBXTraceCommand.Trace 009f TDBXDelegateCommand.GetRowsAffected 0112 @UStrArrayClr 011a @UStrClr 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 02 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 69 68 ?? ?? ?? ?? FF 73 44 FF 73 40 8D 45 EC E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? FF 73 4C FF 73 48 8D 45 E8 E8 ?? ?? ?? ?? FF 75 E8 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E4 50 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 4D E0 8B 55 FC 8B 43 30 8B 30 FF 56 10 8B 4D E4 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 BA 02 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 42 FF 75 FC 68 ?? ?? ?? ?? FF 75 F4 FF 75 F0 8D 45 D4 E8 ?? ?? ?? ?? FF 75 D4 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8D 4D DC 8B 43 30 8B 30 FF 16 8B 4D DC BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F0 8B 55 F4 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 6F 00 77 00 73 00 41 00 66 00 66 00 65 00 63 00 74 00 65 00 64 00 43 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 6F 00 77 00 73 00 41 00 66 00 66 00 65 00 63 00 74 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 3D 00 20 00 00 00 }
	condition:
		$1
}

rule function_13503_0 {
	meta:
		name = "TDBXTraceCommand.Open"
		size = 160
		refs = "000f TDBXTraceCommand.Open 0022 TDBXContext.IsTracing 0034 TDBXTraceCommand.GetName 0053 TDBXTraceCommand.Trace 005a TDBXDelegateCommand.Open 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 08 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 30 8B 30 FF 56 18 8B 4D FC BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4F 00 70 00 65 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_13504_0 {
	meta:
		name = "TDBXTraceCommand.GetName"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TDSServerTransport.GetIPImplementationID TIWTimer.GetSubmitParam"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49618_0 {
	meta:
		name = "TDocumented.GetDocumentationCollection"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111425_0 {
	meta:
		name = "TDomAttr.GetPrefix"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111449_0 {
	meta:
		name = "TDomElement.GetNamespaceURI"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49405_0 {
	meta:
		name = "THTTPReqResp.GetMimeBoundary"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45429_0 {
	meta:
		name = "TIWLayoutMgrHTML.GetHTMLEditor"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115210_0 {
	meta:
		name = "TXMLSchemaDef.GetAnnotations"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13506_0 {
	meta:
		name = "TDBXTraceCommand.GetParameters"
		size = 64
		refs = "002f _DV_TDBXTraceParameterList 0034 TDBXTraceParameterList.Create"
	strings:
		$1 = { 53 8B D8 83 7B 24 00 75 32 8B 43 2C 8B 10 FF 52 34 50 8B 43 28 50 8B 43 30 50 8B 43 50 50 FF 73 44 FF 73 40 FF 73 4C FF 73 48 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 24 8B 43 24 5B C3 }
	condition:
		$1
}

rule function_13507_0 {
	meta:
		name = "TDBXTraceCommand.Prepare"
		size = 164
		refs = "000f TDBXTraceCommand.Prepare 0022 TDBXContext.IsTracing 0034 TDBXTraceCommand.GetName 0053 TDBXTraceCommand.Trace 005a TDBXDelegateCommand.Prepare 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 01 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 30 8B 30 FF 56 18 8B 4D FC BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 72 00 65 00 70 00 61 00 72 00 65 00 00 00 }
	condition:
		$1
}

rule function_13508_0 {
	meta:
		name = "TDBXTraceCommand.SetMaxBlobSize"
		size = 204
		refs = "0011 TDBXTraceCommand.SetMaxBlobSize 0024 TDBXContext.IsTracing 004d TDBXTraceCommand.GetName 006c TDBXTraceCommand.Trace 0079 TDBXDelegateCommand.SetMaxBlobSize 0093 @UStrArrayClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 08 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 44 FF 75 0C FF 75 08 8D 4D F8 33 D2 8B 43 30 8B 30 FF 56 4C 8B 45 F8 50 8D 45 FC 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 30 8B 30 FF 56 14 8B 4D FC BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 42 00 6C 00 6F 00 62 00 73 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_13509_0 {
	meta:
		name = "TDBXTraceCommand.SetRowSetSize"
		size = 204
		refs = "0011 TDBXTraceCommand.SetRowSetSize 0024 TDBXContext.IsTracing 004d TDBXTraceCommand.GetName 006c TDBXTraceCommand.Trace 0079 TDBXDelegateCommand.SetRowSetSize 0093 @UStrArrayClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 08 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 44 FF 75 0C FF 75 08 8D 4D F8 33 D2 8B 43 30 8B 30 FF 56 4C 8B 45 F8 50 8D 45 FC 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 30 8B 30 FF 56 14 8B 4D FC BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 6F 00 77 00 53 00 65 00 74 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13510_0 {
	meta:
		name = "TDBXTraceCommand.SetCommandTimeout"
		size = 208
		refs = "0014 TDBXTraceCommand.SetCommandTimeout 0027 TDBXContext.IsTracing 004d TDBXTraceCommand.GetName 006c TDBXTraceCommand.Trace 0075 TDBXDelegateCommand.SetCommandTimeout 008f @UStrArrayClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 08 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 41 8D 45 F8 50 33 C9 8B D6 8B 43 30 8B 38 FF 57 48 8B 45 F8 50 8D 45 FC 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 30 8B 38 FF 57 14 8B 4D FC BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_13511_0 {
	meta:
		name = "TDBXTraceCommand.SetCommandType"
		size = 196
		refs = "0014 TDBXTraceCommand.SetCommandType 0027 TDBXContext.IsTracing 004a TDBXTraceCommand.GetName 0069 TDBXTraceCommand.Trace 0072 TDBXDelegateCommand.SetCommandType 008c @UStrArrayClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 08 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 3E 8D 4D F8 8B D6 8B 43 30 8B 38 FF 57 78 8B 45 F8 50 8D 45 FC 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 30 8B 38 FF 57 14 8B 4D FC BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 54 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_13512_0 {
	meta:
		name = "TDBXTraceCommand.SetText"
		size = 184
		refs = "0014 TDBXTraceCommand.SetText 0027 TDBXContext.IsTracing 004a TDBXTraceCommand.GetName 0069 TDBXTraceCommand.Trace 0072 TDBXDelegateCommand.SetText 008c @UStrArrayClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 08 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 3E 8D 4D F8 8B D6 8B 43 30 8B 38 FF 57 78 8B 45 F8 50 8D 45 FC 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 30 8B 38 FF 57 14 8B 4D FC BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 65 00 78 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_13514_0 {
	meta:
		name = "TDBXTraceDriver.AddTraceOutput"
		size = 20
	strings:
		$1 = { 53 56 8B F0 8B CA 8B 46 30 8B 52 04 8B 18 FF 53 3C 5E 5B C3 }
	condition:
		$1
}

rule function_13516_0 {
	meta:
		name = "TDBXTraceDriver.Create"
		size = 177
		refs = "0011 @ClassCreate 0026 TDBXDriverDef 002b @AddRefRecord 0033 TDBXTraceDriver.Create 0045 TDBXDriver.Create 004f _DV_TDBXTraceProperties 0054 TDBXTraceProperties.Create 0064 _Dn_TStringList 0069 TStringList.Create 0087 @FinalizeRecord 008d @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F4 A5 A5 A5 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13517_0 {
	meta:
		name = "TDBXTraceDriver.CreateConnection"
		size = 1852
		refs = "002a TDBXTraceDriver.CreateConnection 0041 TDBXConnectionBuilder.GetConnectionProperties 0054 TDBXProperties.GetRequiredValue 0066 @UStrEqual 0073 _Dn_TStringList 0078 TStringList.Create 0095 TStrings.SetDelimiter 00a0 TStrings.SetDelimitedText 0234 SINVALID_TRACE_FLAG 0239 LoadResString 032a Format 033a TDBXContext.Error 035c TObject.Free 0362 @HandleFinally 0371 @UStrLAsg 0381 TDBXProperties.GetValue 039d TDBXTraceDriver.GetTraceOutput 03be _DV_TDBXConsoleTraceOutput 03c3 TDBXTraceOutput.Create 03cf _DV_TDBXFileTraceOutput 03f7 @UStrAsg 0406 TDBXTraceOutput.AddReference 043d TDBXTraceDriver.AddTraceOutput 0458 TDBXContext.SetTraceFlags 0471 TDBXTraceOutput.LogTrace 0479 TDBXContext.SetOnTrace 04b7 _DV_TDBXTraceConnection 04bc TDBXTraceConnection.Create 04e1 TDBXTraceDriver.ReleaseTraceOutput 0515 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 48 FF FF FF 53 56 57 33 C9 89 4D C4 89 4D C0 89 4D FC 89 4D F8 89 4D F4 89 4D F0 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 40 1C 89 45 E0 8B 45 E8 E8 ?? ?? ?? ?? 89 45 DC 8D 4D FC BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 33 C0 89 45 D4 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 F8 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 BA 3B 00 8B 45 D8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C 8F 02 00 00 43 33 F6 8D 4D F8 8B D6 8B 45 D8 8B 38 FF 57 0C 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 83 4D D4 01 E9 5F 02 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 83 4D D4 02 E9 47 02 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 83 4D D4 04 E9 2F 02 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 83 4D D4 08 E9 17 02 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 83 4D D4 10 E9 FF 01 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 83 4D D4 20 E9 E7 01 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 83 4D D4 40 E9 CF 01 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C 81 4D D4 80 00 00 00 E9 B4 01 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C 81 4D D4 00 01 00 00 E9 99 01 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C 81 4D D4 00 02 00 00 E9 7E 01 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C 81 4D D4 00 04 00 00 E9 63 01 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C 81 4D D4 00 08 00 00 E9 48 01 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C 81 4D D4 00 10 00 00 E9 2D 01 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C 81 4D D4 00 40 00 00 E9 12 01 00 00 8D 45 C4 50 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 50 8B 45 F8 89 85 48 FF FF FF C6 85 4C FF FF FF 11 B8 ?? ?? ?? ?? 89 85 50 FF FF FF C6 85 54 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 58 FF FF FF C6 85 5C FF FF FF 11 B8 ?? ?? ?? ?? 89 85 60 FF FF FF C6 85 64 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 68 FF FF FF C6 85 6C FF FF FF 11 B8 ?? ?? ?? ?? 89 85 70 FF FF FF C6 85 74 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 78 FF FF FF C6 85 7C FF FF FF 11 B8 ?? ?? ?? ?? 89 45 80 C6 45 84 11 B8 ?? ?? ?? ?? 89 45 88 C6 45 8C 11 B8 ?? ?? ?? ?? 89 45 90 C6 45 94 11 B8 ?? ?? ?? ?? 89 45 98 C6 45 9C 11 B8 ?? ?? ?? ?? 89 45 A0 C6 45 A4 11 B8 ?? ?? ?? ?? 89 45 A8 C6 45 AC 11 B8 ?? ?? ?? ?? 89 45 B0 C6 45 B4 11 B8 ?? ?? ?? ?? 89 45 B8 C6 45 BC 11 8D 95 48 FF FF FF B9 0E 00 00 00 58 E8 ?? ?? ?? ?? 8B 4D C4 BA 09 00 00 00 8B 45 E0 E8 ?? ?? ?? ?? 46 4B 0F 85 74 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 33 D2 89 55 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 83 7D F4 00 75 0B 8D 45 F4 8B 55 F0 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 89 45 CC 83 7D CC 00 0F 85 95 00 00 00 8B 45 F4 8B 55 F0 E8 ?? ?? ?? ?? 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC EB 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC C6 45 CB 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 CC 83 C0 04 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 CC 8B 10 FF 12 8B 45 CC E8 ?? ?? ?? ?? C6 45 CB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D CB 00 75 0D 8B 45 CC 33 D2 89 55 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 55 CC 8B 45 EC E8 ?? ?? ?? ?? EB 08 8B 45 CC E8 ?? ?? ?? ?? 8B 45 E0 8B 50 18 0B 55 D4 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 66 83 78 12 00 74 06 C6 45 D3 00 EB 15 8B 45 CC 50 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C6 45 D3 01 C6 45 CB 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 83 40 28 01 83 50 2C 00 8B 45 CC 50 8B 45 EC 50 6A 00 8B 45 EC FF 70 2C FF 70 28 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 C6 45 CB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D CB 00 75 0B 8B 55 CC 8B 45 EC E8 ?? ?? ?? ?? 80 7D D3 00 74 0C 6A 00 6A 00 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 E4 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 72 00 61 00 63 00 65 00 46 00 6C 00 61 00 67 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 4F 00 4E 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 52 00 45 00 50 00 41 00 52 00 45 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 58 00 45 00 43 00 55 00 54 00 45 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 45 00 52 00 52 00 4F 00 52 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 4F 00 4D 00 4D 00 41 00 4E 00 44 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 4F 00 4E 00 4E 00 45 00 43 00 54 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 52 00 41 00 4E 00 53 00 41 00 43 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 4C 00 4F 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 49 00 53 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 56 00 45 00 4E 00 44 00 4F 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 41 00 44 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 52 00 49 00 56 00 45 00 52 00 5F 00 4C 00 4F 00 41 00 44 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 45 00 54 00 41 00 44 00 41 00 54 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 55 00 53 00 54 00 4F 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3A 00 63 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 72 00 61 00 63 00 65 00 46 00 69 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_13518_0 {
	meta:
		name = "TDBXTraceDriver.Destroy"
		size = 93
		refs = "0005 @BeforeDestruction 002a TObject.Free 0049 TDBXDriver.Destroy 0054 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 30 8B 10 FF 52 14 8B E8 4D 85 ED 7C 16 45 33 FF 8B 46 30 8B D7 8B 08 FF 51 18 E8 ?? ?? ?? ?? 47 4D 75 ED 8D 46 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13519_0 {
	meta:
		name = "TDBXTraceDriver.GetDriverName"
		size = 52
		refs = "0006 TDBXTraceDriver.GetDriverName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 42 00 58 00 54 00 72 00 61 00 63 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13520_0 {
	meta:
		name = "TDBXTraceDriver.GetDriverVersion"
		size = 72
		refs = "0006 TDBXTraceDriver.GetDriverVersion 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 42 00 58 00 54 00 72 00 61 00 63 00 65 00 44 00 72 00 69 00 76 00 65 00 72 00 20 00 31 00 2E 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_13521_0 {
	meta:
		name = "TDBXTraceDriver.GetTraceDriver"
		size = 60
		refs = "000a TDBXTraceDriver.GetTraceDriver 000f TDBXProperties.GetBoolean"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 12 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 72 00 61 00 63 00 65 00 44 00 72 00 69 00 76 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_13522_0 {
	meta:
		name = "TDBXTraceDriver.GetTraceFile"
		size = 60
		refs = "000f TDBXTraceDriver.GetTraceFile 0014 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 12 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 72 00 61 00 63 00 65 00 46 00 69 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_13523_0 {
	meta:
		name = "TDBXTraceDriver.GetTraceFlags"
		size = 60
		refs = "000a TDBXTraceDriver.GetTraceFlags 000f TDBXProperties.GetInteger"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 12 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 72 00 61 00 63 00 65 00 46 00 6C 00 61 00 67 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_13524_0 {
	meta:
		name = "TDBXTraceDriver.GetTraceOutput"
		size = 102
		refs = "000f @UStrAddRef 0017 TDBXTraceDriver.GetTraceOutput 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 30 8B 08 FF 51 54 8B F0 85 F6 7D 04 33 DB EB 0C 8B D6 8B 43 30 8B 08 FF 51 18 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13525_0 {
	meta:
		name = "TDBXTraceDriver.ReleaseTraceOutput"
		size = 64
		refs = "000d TDBXTraceDriver.GetTraceOutput 0018 TDBXTraceOutput.RemoveReference 0038 TObject.Free"
	strings:
		$1 = { 56 57 55 8B F2 8B F8 8B 56 04 8B C7 E8 ?? ?? ?? ?? 3B F0 75 27 8B C6 E8 ?? ?? ?? ?? 48 7D 1D 8B 56 04 8B 6F 30 8B C5 8B 08 FF 51 54 8B D0 8B C5 8B 08 FF 51 48 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E C3 }
	condition:
		$1
}

rule function_13526_0 {
	meta:
		name = "TDBXTraceDriver.SetTraceDriver"
		size = 128
		refs = "000f TDBXTraceDriver.SetTraceDriver 0021 BoolToStr 0036 TDBXProperties.SetValue 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 8B 10 FF 12 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 72 00 61 00 63 00 65 00 44 00 72 00 69 00 76 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_13527_0 {
	meta:
		name = "TDBXTraceDriver.SetTraceFile"
		size = 116
		refs = "000e @UStrAddRef 0016 TDBXTraceDriver.SetTraceFile 002f TDBXProperties.SetValue 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 12 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 72 00 61 00 63 00 65 00 46 00 69 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_13528_0 {
	meta:
		name = "TDBXTraceDriver.SetTraceFlags"
		size = 128
		refs = "000f TDBXTraceDriver.SetTraceFlags 001f IntToStr 0034 TDBXProperties.SetValue 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 8B 10 FF 12 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 72 00 61 00 63 00 65 00 46 00 6C 00 61 00 67 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_13530_0 {
	meta:
		name = "TDBXTraceFormatter.Create"
		size = 159
		refs = "000e @ClassCreate 001d @UStrAddRef 002d TDBXTraceFormatter.Create 003c TObject.Create 0047 @UStrAsg 006d @UStrClr 007b @HandleFinally 0088 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 8D 46 08 8B 55 0C E8 ?? ?? ?? ?? 8B 45 08 89 46 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_13531_0 {
	meta:
		name = "TDBXTracePascalFormatter.ArrayProperty"
		size = 152
		refs = "0015 @UStrAddRef 001d TDBXTracePascalFormatter.ArrayProperty 0035 IntToStr 004a @UStrCatN 0064 @UStrArrayClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC 68 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B 45 08 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 }
	condition:
		$1
}

rule function_13532_0 {
	meta:
		name = "TDBXTracePascalFormatter.CallFunction"
		size = 232
		refs = "0014 @UStrAddRef 002c TDBXTracePascalFormatter.CallFunction 0054 @UStrCatN 0094 @UStrArrayClr 009c @UStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 75 1E FF 75 FC 68 ?? ?? ?? ?? FF 75 0C 68 ?? ?? ?? ?? 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 24 FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 0C 68 ?? ?? ?? ?? 8B C3 BA 06 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 59 59 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 3A 00 3D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_13533_0 {
	meta:
		name = "TDBXTracePascalFormatter.CallOpenFunction"
		size = 232
		refs = "0014 @UStrAddRef 002c TDBXTracePascalFormatter.CallOpenFunction 0054 @UStrCatN 0094 @UStrArrayClr 009c @UStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 75 1E FF 75 FC 68 ?? ?? ?? ?? FF 75 0C 68 ?? ?? ?? ?? 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 24 FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 0C 68 ?? ?? ?? ?? 8B C3 BA 06 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 59 59 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 3A 00 3D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_13534_0 {
	meta:
		name = "TDBXTracePascalFormatter.CallOpenProcedure"
		size = 172
		refs = "0014 @UStrAddRef 0024 TDBXTracePascalFormatter.CallOpenProcedure 003f @UStrCat3 005d @UStrCatN 0077 @UStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 11 8B C3 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? EB 1C FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_13535_0 {
	meta:
		name = "TDBXTracePascalFormatter.CallProcedure"
		size = 172
		refs = "0014 @UStrAddRef 0024 TDBXTracePascalFormatter.CallProcedure 003f @UStrCat3 005d @UStrCatN 0077 @UStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 11 8B C3 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? EB 1C FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_13537_0 {
	meta:
		name = "TDBXTracePascalFormatter.CloseFunction"
		size = 40
		refs = "0006 TDBXTracePascalFormatter.CloseFunction 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_13538_0 {
	meta:
		name = "TDBXTracePascalFormatter.CloseProcedure"
		size = 40
		refs = "0006 TDBXTracePascalFormatter.CloseProcedure 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_13539_0 {
	meta:
		name = "TDBXTracePascalFormatter.Comment"
		size = 90
		refs = "0011 @UStrAddRef 0019 TDBXTracePascalFormatter.Comment 0034 @UStrCatN 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 73 04 FF 75 FC FF 73 08 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13540_0 {
	meta:
		name = "TDBXTracePascalFormatter.CommentValue"
		size = 136
		refs = "0013 @UStrAddRef 0023 TDBXTracePascalFormatter.CommentValue 0047 @UStrCatN 0061 @UStrArrayClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 73 04 FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 FF 73 08 8B 45 08 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 3D 00 20 00 00 00 }
	condition:
		$1
}

rule function_13541_0 {
	meta:
		name = "TDBXTracePascalFormatter.GetProperty"
		size = 172
		refs = "0010 @UStrAddRef 0028 TDBXTracePascalFormatter.GetProperty 004e @UStrCatN 0068 @UStrArrayClr 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 0C 8B 45 08 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 59 59 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 3A 00 3D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_13542_0 {
	meta:
		name = "TDBXTracePascalFormatter.OpenComment"
		size = 58
		refs = "000d TDBXTracePascalFormatter.OpenComment 001d @UStrAsg 0030 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 53 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5E 5B 5D C3 }
	condition:
		$1
}

rule function_13543_0 {
	meta:
		name = "TDBXTracePascalFormatter.ParamBcd"
		size = 264
		refs = "0028 @UStrAddRef 0030 TDBXTracePascalFormatter.ParamBcd 004b @UStrCat3 005d BcdToStr 0074 @UStrCatN 0089 @UStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 8B F2 8D 7D DA 51 B9 08 00 00 00 F3 A5 59 66 A5 89 4D FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D DA 00 75 11 8B C3 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 27 68 ?? ?? ?? ?? 8D 55 D4 8D 45 DA E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? FF 75 FC 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 74 00 72 00 54 00 6F 00 42 00 63 00 64 00 28 00 27 00 30 00 27 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 74 00 72 00 54 00 6F 00 42 00 63 00 64 00 28 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_13544_0 {
	meta:
		name = "TDBXTracePascalFormatter.ParamBoolean"
		size = 106
		refs = "0015 @UStrAddRef 001d TDBXTracePascalFormatter.ParamBoolean 002f BoolToStr 003d @UStrCat3 0057 @UStrArrayClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 4D FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13545_0 {
	meta:
		name = "TDBXTracePascalFormatter.ParamBytes"
		size = 468
		refs = "0026 @UStrAddRef 002e TDBXTracePascalFormatter.ParamBytes 0054 TDBXWideChars 0059 @DynArraySetLength 006d @_llmul 0126 @DynArrayAsg 0130 @UStrSetLength 013c @UniqueStringU 014a Move 0158 @UStrCat3 016d @UStrClr 0180 @FinalizeArray 018e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D9 85 DB 78 0A C1 EB 02 8B 34 9A 4B 56 79 F9 8B D4 8B F1 8B FA 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 14 00 75 08 83 7D 10 01 73 1E EB 02 7D 1A 6A 06 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 2C 6A 00 6A 04 8B 45 10 8B 55 14 E8 ?? ?? ?? ?? 83 C0 02 83 D2 00 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 66 C7 40 02 5B 00 BB 02 00 00 00 8B 45 20 2B F0 7C 6C 46 8D 14 07 0F B6 02 8B 4D FC 66 C7 04 59 24 00 43 0F B6 C8 C1 E9 04 85 C9 75 16 0F B6 C8 C1 E9 04 BF ?? ?? ?? ?? 0F B7 0C 4F 8B 7D FC 66 89 0C 5F 0F B6 C8 C1 E9 04 BF ?? ?? ?? ?? 0F B7 0C 4F 8B 7D FC 66 89 0C 5F 43 24 0F 0F B6 C0 B9 ?? ?? ?? ?? 0F B7 04 41 8B 4D FC 66 89 04 59 43 8B 45 FC 66 C7 04 58 2C 00 43 42 4E 75 98 8B 45 FC 66 C7 44 58 FE 5D 00 8D 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 85 DB 7E 16 8D 45 F4 E8 ?? ?? ?? ?? 8B D0 8B CB 03 C9 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 4D 0C 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B 7D E8 8B 75 EC 8B 5D F0 8B E5 5D C2 20 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 30 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 41 00 42 00 43 00 44 00 45 00 46 00 00 00 00 00 }
	condition:
		$1
}

rule function_13546_0 {
	meta:
		name = "TDBXTracePascalFormatter.ParamDate"
		size = 172
		refs = "001b @UStrAddRef 0023 TDBXTracePascalFormatter.ParamDate 0039 TimeStampToDateTime 004b CurrencyString 0050 DateToStr 005a IntToStr 0076 @UStrCatN 008b @UStrClr 0098 @UStrArrayClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 5D F8 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 75 F4 33 C0 89 45 F0 8D 45 F0 E8 ?? ?? ?? ?? DD 5D E8 9B FF 75 EC FF 75 E8 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8B C6 E8 ?? ?? ?? ?? FF 75 E4 FF 73 04 FF 75 F8 FF 73 08 FF 75 FC 8B 45 08 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13547_0 {
	meta:
		name = "TDBXTracePascalFormatter.ParamDouble"
		size = 124
		refs = "0015 @UStrAddRef 001d TDBXTracePascalFormatter.ParamDouble 003d CurrencyString 0042 FloatToStr 004f @UStrCat3 0069 @UStrArrayClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 DB 89 5D F8 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 4D FC 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_13548_0 {
	meta:
		name = "TDBXTracePascalFormatter.ParamInt16"
		size = 105
		refs = "0015 @UStrAddRef 001d TDBXTracePascalFormatter.ParamInt16 002e IntToStr 003c @UStrCat3 0056 @UStrArrayClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 0F BF C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 4D FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13549_0 {
	meta:
		name = "TDBXTracePascalFormatter.ParamInt32"
		size = 104
		refs = "0015 @UStrAddRef 001d TDBXTracePascalFormatter.ParamInt32 002d IntToStr 003b @UStrCat3 0055 @UStrArrayClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 4D FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13550_0 {
	meta:
		name = "TDBXTracePascalFormatter.ParamInt64"
		size = 107
		refs = "0015 @UStrAddRef 001d TDBXTracePascalFormatter.ParamInt64 0031 IntToStr 003e @UStrCat3 0058 @UStrArrayClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 4D FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_13551_0 {
	meta:
		name = "TDBXTracePascalFormatter.ParamInt8"
		size = 105
		refs = "0015 @UStrAddRef 001d TDBXTracePascalFormatter.ParamInt8 002e IntToStr 003c @UStrCat3 0056 @UStrArrayClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 0F BE C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 4D FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13552_0 {
	meta:
		name = "TDBXTracePascalFormatter.ParamString"
		size = 118
		refs = "0018 @UStrAddRef 0028 TDBXTracePascalFormatter.ParamString 0049 @UStrCat3 0063 @UStrArrayClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B 55 FC 8B C3 8B 18 FF 53 78 8B 55 F4 8B 45 08 8B 4D F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13558_0 {
	meta:
		name = "TDBXTracePascalFormatter.ParamWideString"
		size = 118
		refs = "0018 @UStrAddRef 0028 TDBXTracePascalFormatter.ParamWideString 0049 @UStrCat3 0063 @UStrArrayClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B 55 FC 8B C3 8B 18 FF 53 78 8B 55 F4 8B 45 08 8B 4D F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13553_0 {
	meta:
		name = "TDBXTracePascalFormatter.ParamTime"
		size = 174
		refs = "001b @UStrAddRef 0023 TDBXTracePascalFormatter.ParamTime 003b TimeStampToDateTime 004d CurrencyString 0052 TimeToStr 005c IntToStr 0078 @UStrCatN 008d @UStrClr 009a @UStrArrayClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 5D F8 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 5A 95 0A 00 89 75 F0 8D 45 F0 E8 ?? ?? ?? ?? DD 5D E8 9B FF 75 EC FF 75 E8 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8B C6 E8 ?? ?? ?? ?? FF 75 E4 FF 73 04 FF 75 F8 FF 73 08 FF 75 FC 8B 45 08 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13554_0 {
	meta:
		name = "TDBXTracePascalFormatter.ParamTimeStamp"
		size = 228
		refs = "0023 @UStrAddRef 002b TDBXTracePascalFormatter.ParamTimeStamp 0043 SQLTimeStampToStr 0068 @UStrCatN 0082 @UStrArrayClr 008a @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E8 89 5D E4 8B F2 8D 7D EC A5 A5 A5 A5 89 4D FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 4D E4 8D 55 EC 33 C0 E8 ?? ?? ?? ?? 8B 55 E4 8D 4D E8 8B C3 8B 18 FF 53 78 FF 75 E8 68 ?? ?? ?? ?? FF 75 FC 8B 45 08 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 53 00 74 00 72 00 54 00 6F 00 53 00 51 00 4C 00 54 00 69 00 6D 00 65 00 53 00 54 00 61 00 6D 00 70 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_13555_0 {
	meta:
		name = "TDBXTracePascalFormatter.ParamTimeStampOffset"
		size = 240
		refs = "0024 @UStrAddRef 002c TDBXTracePascalFormatter.ParamTimeStampOffset 0044 SQLTimeStampOffsetToStr 0069 @UStrCatN 0083 @UStrArrayClr 008b @UStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E4 89 5D E0 8B F2 8D 7D E8 A5 A5 A5 A5 A5 89 4D FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 4D E0 8D 55 E8 33 C0 E8 ?? ?? ?? ?? 8B 55 E0 8D 4D E4 8B C3 8B 18 FF 53 78 FF 75 E4 68 ?? ?? ?? ?? FF 75 FC 8B 45 08 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 18 00 00 00 53 00 74 00 72 00 54 00 6F 00 53 00 51 00 4C 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 4F 00 66 00 66 00 73 00 65 00 74 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_13556_0 {
	meta:
		name = "TDBXTracePascalFormatter.ParamUInt16"
		size = 105
		refs = "0015 @UStrAddRef 001d TDBXTracePascalFormatter.ParamUInt16 002e IntToStr 003c @UStrCat3 0056 @UStrArrayClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 0F B7 C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 4D FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13557_0 {
	meta:
		name = "TDBXTracePascalFormatter.ParamUInt8"
		size = 105
		refs = "0015 @UStrAddRef 001d TDBXTracePascalFormatter.ParamUInt8 002e IntToStr 003c @UStrCat3 0056 @UStrArrayClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 0F B6 C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 4D FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13559_0 {
	meta:
		name = "TDBXTracePascalFormatter.QuoteString"
		size = 548
		refs = "0023 @UStrAddRef 002b TDBXTracePascalFormatter.QuoteString 0038 _Dn_TStringList 003d TStringList.Create 0058 TStrings.SetLineBreak 00ac @UStrCopy 00cb IntToStr 00e0 @UStrCatN 0195 TObject.Free 019b @HandleFinally 01b7 @UStrArrayClr 01bf @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 DB 89 5D D8 89 5D DC 89 5D E4 89 5D E0 89 5D E8 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 8B 45 F4 E8 ?? ?? ?? ?? BE 01 00 00 00 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 38 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 89 45 EC BB 01 00 00 00 3B 5D EC 0F 8F BF 00 00 00 8B 45 FC 0F B7 44 58 FE 66 89 45 F2 66 83 7D F2 20 73 51 8D 45 E8 50 8B CB 2B CE 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 8B 08 FF 51 38 8D 73 01 68 ?? ?? ?? ?? 8D 55 E0 0F B7 45 F2 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F4 8B 08 FF 51 38 66 83 7D F2 0A 75 15 8D 43 01 3B 45 EC 7D 0D BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 38 8B C3 2B C6 83 F8 64 7E 2C 8D 45 DC 50 8B CB 2B CE 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F4 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 38 8B F3 43 3B 5D EC 0F 8E 41 FF FF FF 8D 45 D8 50 8B CB 2B CE 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F4 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 38 8B 55 F8 8B 45 F4 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 23 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 27 00 0D 00 0A 00 2B 00 27 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 27 00 2B 00 27 00 00 00 }
	condition:
		$1
}

rule function_13560_0 {
	meta:
		name = "TDBXTracePascalFormatter.SetProperty"
		size = 192
		refs = "0010 @UStrAddRef 0028 TDBXTracePascalFormatter.SetProperty 0053 @UStrCatN 006d @UStrArrayClr 0075 @UStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 0C 68 ?? ?? ?? ?? 8B 45 08 BA 06 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 59 59 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 3A 00 3D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_13563_0 {
	meta:
		name = "TDBXTraceParameterList.Create"
		size = 163
		refs = "000e @ClassCreate 001c @UStrAddRef 0024 TDBXTraceParameterList.Create 003b TDBXDelegateParameterList.Create 0064 @UStrAsg 0079 @UStrClr 007f @HandleFinally 008c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 45 24 50 8B 4D 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 1C 89 47 18 8B 45 10 89 47 20 8B 45 14 89 47 24 8B 45 08 89 47 28 8B 45 0C 89 47 2C 8D 47 1C 8B 55 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 20 00 }
	condition:
		$1
}

rule function_13576_0 {
	meta:
		name = "TDBXConsoleTraceWriter.WriteTrace"
		size = 115
		refs = "0017 TDBXTraceInfo 001c @AddRefRecord 0024 TDBXConsoleTraceWriter.WriteTrace 002f Output 0037 @Write0UString 003c @WriteLn 0041 @_IOTest 005e @FinalizeRecord 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13577_0 {
	meta:
		name = "TDBXTraceWritableValue.Create"
		size = 141
		refs = "000d @ClassCreate 0019 @UStrAddRef 0021 TDBXTraceWritableValue.Create 0037 TDBXDelegateWritableValue.Create 0048 @UStrAsg 0064 @UStrClr 006a @HandleFinally 0077 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B 4D 14 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 89 46 20 8D 46 24 8B 55 08 E8 ?? ?? ?? ?? C7 46 2C FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_13580_0 {
	meta:
		name = "TDBXTraceWritableValue.GetBcd"
		size = 360
		refs = "0015 TDBXTraceWritableValue.GetBcd 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 0043 TDBXTraceWritableValue.GetValueDisplayName 0069 TDBXContext.Trace 0072 TDBXDelegateWritableValue.GetBcd 00b6 @UStrCat 00f2 @UStrArrayClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 8B D6 33 C9 8B 43 20 8B 30 FF 56 54 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 20 59 8B 30 FF 56 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 47 00 65 00 74 00 42 00 63 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 42 00 63 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 42 00 63 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_13581_0 {
	meta:
		name = "TDBXTraceWritableValue.GetBoolean"
		size = 388
		refs = "0015 TDBXTraceWritableValue.GetBoolean 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 0043 TDBXTraceWritableValue.GetValueDisplayName 0069 TDBXContext.Trace 0072 TDBXDelegateWritableValue.GetBoolean 00b8 @UStrCat 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 46 20 8B 38 FF 57 10 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D3 8B 46 20 8B 38 FF 57 34 8B 45 F0 50 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 46 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_13582_0 {
	meta:
		name = "TDBXTraceWritableValue.GetBoolean"
		size = 384
		refs = "0013 TDBXTraceWritableValue.GetBoolean 0020 TDBXValue.GetDbxContext 002a TDBXContext.IsTracing 0041 TDBXTraceWritableValue.GetValueDisplayName 0067 TDBXContext.Trace 006e TDBXDelegateWritableValue.GetBoolean 00b4 @UStrCat 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 46 20 8B 18 FF 53 10 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D3 8B 46 20 8B 38 FF 57 34 8B 45 F0 50 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 46 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_13583_0 {
	meta:
		name = "TDBXTraceWritableValue.GetBytes"
		size = 432
		refs = "0017 TDBXTraceWritableValue.GetBytes 0024 TDBXValue.GetDbxContext 002e TDBXContext.IsTracing 0045 TDBXTraceWritableValue.GetValueDisplayName 006b TDBXContext.Trace 0086 TDBXDelegateWritableValue.GetBytes 00c4 @DynArrayHigh 00eb @UStrCat 0127 @UStrArrayClr 012d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 10 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 6C 8D 45 EC 50 FF 75 14 FF 75 10 FF 75 0C FF 75 08 FF 75 FC FF 75 F8 6A 00 8D 45 E8 50 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 20 8B 30 FF 56 68 8B 45 E8 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 43 20 59 8B 30 FF 56 04 8B 45 EC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 8B 55 FC 5F 5E 5B 8B E5 5D C2 18 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 42 00 79 00 74 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 42 00 79 00 74 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 42 00 79 00 74 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_13584_0 {
	meta:
		name = "TDBXTraceWritableValue.GetDate"
		size = 364
		refs = "0013 TDBXTraceWritableValue.GetDate 0020 TDBXValue.GetDbxContext 002a TDBXContext.IsTracing 0041 TDBXTraceWritableValue.GetValueDisplayName 0067 TDBXContext.Trace 006e TDBXDelegateWritableValue.GetDate 00b4 @UStrCat 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 58 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 47 00 65 00 74 00 44 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 44 00 61 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_13585_0 {
	meta:
		name = "TDBXTraceWritableValue.GetDBXConnection"
		size = 256
		refs = "000f TDBXTraceWritableValue.GetDBXConnection 001c TDBXValue.GetDbxContext 0026 TDBXContext.IsTracing 003d TDBXTraceWritableValue.GetValueDisplayName 0063 TDBXContext.Trace 006a TDBXDelegateWritableValue.GetDBXConnection 0086 @UStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 47 00 65 00 74 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_13586_0 {
	meta:
		name = "TDBXTraceWritableValue.GetDBXReader"
		size = 244
		refs = "0012 TDBXTraceWritableValue.GetDBXReader 001f TDBXValue.GetDbxContext 0029 TDBXContext.IsTracing 0040 TDBXTraceWritableValue.GetValueDisplayName 0066 TDBXContext.Trace 006f TDBXDelegateWritableValue.GetDBXReader 008b @UStrArrayClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 46 20 8B 38 FF 57 10 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 47 00 65 00 74 00 44 00 42 00 58 00 52 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 44 00 42 00 58 00 52 00 65 00 61 00 64 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_13587_0 {
	meta:
		name = "TDBXTraceWritableValue.GetDouble"
		size = 380
		refs = "0014 TDBXTraceWritableValue.GetDouble 0021 TDBXValue.GetDbxContext 002b TDBXContext.IsTracing 0042 TDBXTraceWritableValue.GetValueDisplayName 0068 TDBXContext.Trace 006f TDBXDelegateWritableValue.GetDouble 00ba @UStrCat 00f6 @UStrArrayClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 10 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? DD 5D F8 9B 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 54 8D 45 EC 50 FF 75 FC FF 75 F8 8D 4D E8 33 D2 8B 43 20 8B 30 FF 56 50 8B 45 E8 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 43 20 59 8B 30 FF 56 04 8B 45 EC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB DD 45 F8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_13588_0 {
	meta:
		name = "TDBXTraceWritableValue.GetInt16"
		size = 372
		refs = "0013 TDBXTraceWritableValue.GetInt16 0020 TDBXValue.GetDbxContext 002a TDBXContext.IsTracing 0041 TDBXTraceWritableValue.GetValueDisplayName 0067 TDBXContext.Trace 006e TDBXDelegateWritableValue.GetInt16 00b4 @UStrCat 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 44 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 49 00 6E 00 74 00 31 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 31 00 36 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 31 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_13589_0 {
	meta:
		name = "TDBXTraceWritableValue.GetInt32"
		size = 372
		refs = "0013 TDBXTraceWritableValue.GetInt32 0020 TDBXValue.GetDbxContext 002a TDBXContext.IsTracing 0041 TDBXTraceWritableValue.GetValueDisplayName 0067 TDBXContext.Trace 006e TDBXDelegateWritableValue.GetInt32 00b4 @UStrCat 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 48 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 49 00 6E 00 74 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 33 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 33 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_13590_0 {
	meta:
		name = "TDBXTraceWritableValue.GetInt64"
		size = 380
		refs = "0014 TDBXTraceWritableValue.GetInt64 0021 TDBXValue.GetDbxContext 002b TDBXContext.IsTracing 0042 TDBXTraceWritableValue.GetValueDisplayName 0068 TDBXContext.Trace 006f TDBXDelegateWritableValue.GetInt64 00bc @UStrCat 00f8 @UStrArrayClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 10 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 54 8D 45 EC 50 FF 75 FC FF 75 F8 8D 4D E8 33 D2 8B 43 20 8B 30 FF 56 4C 8B 45 E8 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 43 20 59 8B 30 FF 56 04 8B 45 EC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 8B 55 FC 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 49 00 6E 00 74 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 36 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_13591_0 {
	meta:
		name = "TDBXTraceWritableValue.GetAnsiString"
		size = 396
		refs = "0016 TDBXTraceWritableValue.GetAnsiString 0023 TDBXValue.GetDbxContext 002d TDBXContext.IsTracing 0044 TDBXTraceWritableValue.GetValueDisplayName 006a TDBXContext.Trace 0073 TDBXDelegateWritableValue.GetAnsiString 009a @UStrFromLStr 00c2 @UStrCat 00fe @UStrArrayClr 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 5C 8D 45 F4 50 8D 45 F0 50 8D 45 EC 8B 16 E8 ?? ?? ?? ?? 8B 55 EC 33 C9 8B 43 20 8B 30 FF 56 2C 8B 45 F0 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 43 20 59 8B 30 FF 56 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 41 00 6E 00 73 00 69 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_13592_0 {
	meta:
		name = "TDBXTraceWritableValue.GetAsBcd"
		size = 364
		refs = "0015 TDBXTraceWritableValue.GetAsBcd 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 0043 TDBXTraceWritableValue.GetValueDisplayName 0069 TDBXContext.Trace 0072 TDBXDelegateWritableValue.GetAsBcd 00b6 @UStrCat 00f2 @UStrArrayClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 8B D6 33 C9 8B 43 20 8B 30 FF 56 54 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 20 59 8B 30 FF 56 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 41 00 73 00 42 00 63 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 42 00 63 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 42 00 63 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_13593_0 {
	meta:
		name = "TDBXTraceWritableValue.GetAsBoolean"
		size = 388
		refs = "0013 TDBXTraceWritableValue.GetAsBoolean 0020 TDBXValue.GetDbxContext 002a TDBXContext.IsTracing 0041 TDBXTraceWritableValue.GetValueDisplayName 0067 TDBXContext.Trace 006e TDBXDelegateWritableValue.GetAsBoolean 00b4 @UStrCat 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 46 20 8B 18 FF 53 10 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D3 8B 46 20 8B 38 FF 57 34 8B 45 F0 50 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 46 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 47 00 65 00 74 00 41 00 73 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_13594_0 {
	meta:
		name = "TDBXTraceWritableValue.GetAsDate"
		size = 368
		refs = "0013 TDBXTraceWritableValue.GetAsDate 0020 TDBXValue.GetDbxContext 002a TDBXContext.IsTracing 0041 TDBXTraceWritableValue.GetValueDisplayName 0067 TDBXContext.Trace 006e TDBXDelegateWritableValue.GetAsDate 00b4 @UStrCat 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 58 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 41 00 73 00 44 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 44 00 61 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_13595_0 {
	meta:
		name = "TDBXTraceWritableValue.GetAsDouble"
		size = 384
		refs = "0014 TDBXTraceWritableValue.GetAsDouble 0021 TDBXValue.GetDbxContext 002b TDBXContext.IsTracing 0042 TDBXTraceWritableValue.GetValueDisplayName 0068 TDBXContext.Trace 006f TDBXDelegateWritableValue.GetAsDouble 00ba @UStrCat 00f6 @UStrArrayClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 10 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? DD 5D F8 9B 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 54 8D 45 EC 50 FF 75 FC FF 75 F8 8D 4D E8 33 D2 8B 43 20 8B 30 FF 56 50 8B 45 E8 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 43 20 59 8B 30 FF 56 04 8B 45 EC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB DD 45 F8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 41 00 73 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_13596_0 {
	meta:
		name = "TDBXTraceWritableValue.GetAsInt16"
		size = 376
		refs = "0013 TDBXTraceWritableValue.GetAsInt16 0020 TDBXValue.GetDbxContext 002a TDBXContext.IsTracing 0041 TDBXTraceWritableValue.GetValueDisplayName 0067 TDBXContext.Trace 006e TDBXDelegateWritableValue.GetAsInt16 00b4 @UStrCat 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 44 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 41 00 73 00 49 00 6E 00 74 00 31 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 31 00 36 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 31 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_13597_0 {
	meta:
		name = "TDBXTraceWritableValue.GetAsInt32"
		size = 376
		refs = "0013 TDBXTraceWritableValue.GetAsInt32 0020 TDBXValue.GetDbxContext 002a TDBXContext.IsTracing 0041 TDBXTraceWritableValue.GetValueDisplayName 0067 TDBXContext.Trace 006e TDBXDelegateWritableValue.GetInt32 00b4 @UStrCat 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 48 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 41 00 73 00 49 00 6E 00 74 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 33 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 33 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_13598_0 {
	meta:
		name = "TDBXTraceWritableValue.GetAsInt64"
		size = 384
		refs = "0014 TDBXTraceWritableValue.GetAsInt64 0021 TDBXValue.GetDbxContext 002b TDBXContext.IsTracing 0042 TDBXTraceWritableValue.GetValueDisplayName 0068 TDBXContext.Trace 006f TDBXDelegateWritableValue.GetInt64 00bc @UStrCat 00f8 @UStrArrayClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 10 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 54 8D 45 EC 50 FF 75 FC FF 75 F8 8D 4D E8 33 D2 8B 43 20 8B 30 FF 56 4C 8B 45 E8 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 43 20 59 8B 30 FF 56 04 8B 45 EC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 8B 55 FC 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 41 00 73 00 49 00 6E 00 74 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 36 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_13599_0 {
	meta:
		name = "TDBXTraceWritableValue.GetAsInt8"
		size = 368
		refs = "0013 TDBXTraceWritableValue.GetAsInt8 0020 TDBXValue.GetDbxContext 002a TDBXContext.IsTracing 0041 TDBXTraceWritableValue.GetValueDisplayName 0067 TDBXContext.Trace 006e TDBXDelegateWritableValue.GetAsInt8 00b4 @UStrCat 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 46 20 8B 18 FF 53 10 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D3 8B 46 20 8B 38 FF 57 3C 8B 45 F0 50 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 46 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 41 00 73 00 49 00 6E 00 74 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 38 00 00 00 }
	condition:
		$1
}

rule function_13600_0 {
	meta:
		name = "TDBXTraceWritableValue.GetAsSingle"
		size = 388
		refs = "0013 TDBXTraceWritableValue.GetAsSingle 0020 TDBXValue.GetDbxContext 002a TDBXContext.IsTracing 0041 TDBXTraceWritableValue.GetValueDisplayName 0067 TDBXContext.Trace 006e TDBXDelegateWritableValue.GetAsSingle 00bd @UStrCat 00f9 @UStrArrayClr 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 10 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? D9 5D FC 9B 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 58 8D 45 F0 50 D9 45 FC 83 C4 F8 DD 1C 24 9B 8D 4D EC 33 D2 8B 43 20 8B 30 FF 56 50 8B 45 EC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 43 20 59 8B 30 FF 56 04 8B 45 F0 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB D9 45 FC 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 41 00 73 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_13601_0 {
	meta:
		name = "TDBXTraceWritableValue.GetAsString"
		size = 380
		refs = "0015 TDBXTraceWritableValue.GetAsString 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 0043 TDBXTraceWritableValue.GetValueDisplayName 0069 TDBXContext.Trace 0072 TDBXDelegateWritableValue.GetAsString 00b6 @UStrCat 00f2 @UStrArrayClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 8B 16 33 C9 8B 43 20 8B 30 FF 56 2C 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 20 59 8B 30 FF 56 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 41 00 73 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_13602_0 {
	meta:
		name = "TDBXTraceWritableValue.GetAsTime"
		size = 368
		refs = "0013 TDBXTraceWritableValue.GetAsTime 0020 TDBXValue.GetDbxContext 002a TDBXContext.IsTracing 0041 TDBXTraceWritableValue.GetValueDisplayName 0067 TDBXContext.Trace 006e TDBXDelegateWritableValue.GetAsTime 00b4 @UStrCat 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 5C 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 41 00 73 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 54 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 54 00 69 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_13603_0 {
	meta:
		name = "TDBXTraceWritableValue.GetAsTimeStamp"
		size = 400
		refs = "0015 TDBXTraceWritableValue.GetAsTimeStamp 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 0043 TDBXTraceWritableValue.GetValueDisplayName 0069 TDBXContext.Trace 0072 TDBXDelegateWritableValue.GetAsTimeStamp 00b6 @UStrCat 00f2 @UStrArrayClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 8B D6 33 C9 8B 43 20 8B 30 FF 56 60 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 20 59 8B 30 FF 56 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 47 00 65 00 74 00 41 00 73 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_13604_0 {
	meta:
		name = "TDBXTraceWritableValue.GetAsUInt16"
		size = 380
		refs = "0013 TDBXTraceWritableValue.GetAsUInt16 0020 TDBXValue.GetDbxContext 002a TDBXContext.IsTracing 0041 TDBXTraceWritableValue.GetValueDisplayName 0067 TDBXContext.Trace 006e TDBXDelegateWritableValue.GetAsUInt16 00b4 @UStrCat 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 40 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 41 00 73 00 55 00 49 00 6E 00 74 00 31 00 36 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 55 00 49 00 6E 00 74 00 31 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 55 00 49 00 6E 00 74 00 31 00 36 00 00 00 }
	condition:
		$1
}

rule function_13605_0 {
	meta:
		name = "TDBXTraceWritableValue.GetAsUInt8"
		size = 376
		refs = "0013 TDBXTraceWritableValue.GetAsUInt8 0020 TDBXValue.GetDbxContext 002a TDBXContext.IsTracing 0041 TDBXTraceWritableValue.GetValueDisplayName 0067 TDBXContext.Trace 006e TDBXDelegateWritableValue.GetAsUInt8 00b4 @UStrCat 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 46 20 8B 18 FF 53 10 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D3 8B 46 20 8B 38 FF 57 38 8B 45 F0 50 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 46 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 41 00 73 00 55 00 49 00 6E 00 74 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 55 00 49 00 6E 00 74 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 55 00 49 00 6E 00 74 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_13606_0 {
	meta:
		name = "TDBXTraceWritableValue.GetTime"
		size = 364
		refs = "0013 TDBXTraceWritableValue.GetTime 0020 TDBXValue.GetDbxContext 002a TDBXContext.IsTracing 0041 TDBXTraceWritableValue.GetValueDisplayName 0067 TDBXContext.Trace 006e TDBXDelegateWritableValue.GetTime 00b4 @UStrCat 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 5C 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 47 00 65 00 74 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 54 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 54 00 69 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_13607_0 {
	meta:
		name = "TDBXTraceWritableValue.GetTimeStamp"
		size = 396
		refs = "0015 TDBXTraceWritableValue.GetTimeStamp 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 0043 TDBXTraceWritableValue.GetValueDisplayName 0069 TDBXContext.Trace 0072 TDBXDelegateWritableValue.GetTimeStamp 00b6 @UStrCat 00f2 @UStrArrayClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 8B D6 33 C9 8B 43 20 8B 30 FF 56 60 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 20 59 8B 30 FF 56 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 47 00 65 00 74 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_13608_0 {
	meta:
		name = "TDBXTraceWritableValue.GetTimeStampOffset"
		size = 432
		refs = "0015 TDBXTraceWritableValue.GetTimeStampOffset 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 0043 TDBXTraceWritableValue.GetValueDisplayName 0069 TDBXContext.Trace 0072 TDBXDelegateWritableValue.GetTimeStampOffset 00b6 @UStrCat 00f2 @UStrArrayClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 8B D6 33 C9 8B 43 20 8B 30 FF 56 64 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 20 59 8B 30 FF 56 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 47 00 65 00 74 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 4F 00 66 00 66 00 73 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 4F 00 66 00 66 00 73 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 4F 00 66 00 66 00 73 00 65 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_13609_0 {
	meta:
		name = "TDBXTraceWritableValue.GetUInt16"
		size = 376
		refs = "0013 TDBXTraceWritableValue.GetUInt16 0020 TDBXValue.GetDbxContext 002a TDBXContext.IsTracing 0041 TDBXTraceWritableValue.GetValueDisplayName 0067 TDBXContext.Trace 006e TDBXDelegateWritableValue.GetUInt16 00b4 @UStrCat 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 40 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 55 00 49 00 6E 00 74 00 31 00 36 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 55 00 49 00 6E 00 74 00 31 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 55 00 49 00 6E 00 74 00 31 00 36 00 00 00 }
	condition:
		$1
}

rule function_13610_0 {
	meta:
		name = "TDBXTraceWritableValue.GetUInt16"
		size = 380
		refs = "0015 TDBXTraceWritableValue.GetUInt16 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 0043 TDBXTraceWritableValue.GetValueDisplayName 0069 TDBXContext.Trace 0072 TDBXDelegateWritableValue.GetUInt16 00b8 @UStrCat 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 40 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 55 00 49 00 6E 00 74 00 31 00 36 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 55 00 49 00 6E 00 74 00 31 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 55 00 49 00 6E 00 74 00 31 00 36 00 00 00 }
	condition:
		$1
}

rule function_13611_0 {
	meta:
		name = "TDBXTraceWritableValue.GetUInt8"
		size = 376
		refs = "0015 TDBXTraceWritableValue.GetUInt8 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 0043 TDBXTraceWritableValue.GetValueDisplayName 0069 TDBXContext.Trace 0072 TDBXDelegateWritableValue.GetUInt8 00b8 @UStrCat 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 46 20 8B 38 FF 57 10 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D3 8B 46 20 8B 38 FF 57 38 8B 45 F0 50 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 46 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 55 00 49 00 6E 00 74 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 55 00 49 00 6E 00 74 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 55 00 49 00 6E 00 74 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_13612_0 {
	meta:
		name = "TDBXTraceWritableValue.GetUInt8"
		size = 372
		refs = "0013 TDBXTraceWritableValue.GetUInt8 0020 TDBXValue.GetDbxContext 002a TDBXContext.IsTracing 0041 TDBXTraceWritableValue.GetValueDisplayName 0067 TDBXContext.Trace 006e TDBXDelegateWritableValue.GetUInt8 00b4 @UStrCat 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 46 20 8B 18 FF 53 10 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D3 8B 46 20 8B 38 FF 57 38 8B 45 F0 50 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 46 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 55 00 49 00 6E 00 74 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 55 00 49 00 6E 00 74 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 55 00 49 00 6E 00 74 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_13613_0 {
	meta:
		name = "TDBXTraceWritableValue.GetValueDisplayName"
		size = 184
		refs = "000f TDBXTraceWritableValue.GetValueDisplayName 003a IntToStr 004f @UStrCatN 0064 @UStrAsg 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 10 FF 52 4C 3B 43 2C 74 38 FF 73 24 68 ?? ?? ?? ?? 8B 43 04 8B 10 FF 52 4C 8D 55 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 43 28 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 10 FF 52 4C 89 43 2C 8B C6 8B 53 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 5D 00 2E 00 56 00 61 00 6C 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_13614_0 {
	meta:
		name = "TDBXTraceWritableValue.GetValueSize"
		size = 420
		refs = "0014 TDBXTraceWritableValue.GetValueSize 0021 TDBXValue.GetDbxContext 002b TDBXContext.IsTracing 0042 TDBXTraceWritableValue.GetValueDisplayName 0068 TDBXContext.Trace 006f TDBXDelegateWritableValue.GetValueSize 00bc @UStrCat 00f8 @UStrArrayClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 10 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 54 8D 45 EC 50 FF 75 FC FF 75 F8 8D 4D E8 33 D2 8B 43 20 8B 30 FF 56 4C 8B 45 E8 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 43 20 59 8B 30 FF 56 04 8B 45 EC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 8B 55 FC 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 47 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 53 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 47 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 53 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 47 00 65 00 74 00 42 00 6C 00 6F 00 62 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_13615_0 {
	meta:
		name = "TDBXTraceWritableValue.GetWideString"
		size = 416
		refs = "001d @UStrAddRef 0025 TDBXTraceWritableValue.GetWideString 0032 TDBXValue.GetDbxContext 003c TDBXContext.IsTracing 0053 TDBXTraceWritableValue.GetValueDisplayName 0079 TDBXContext.Trace 0085 TDBXDelegateWritableValue.GetWideString 00c9 @UStrCat 0105 @UStrArrayClr 010b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 10 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F0 50 8D 45 EC 50 8B 16 33 C9 8B 43 20 8B 30 FF 56 30 8B 45 EC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 43 20 59 8B 30 FF 56 04 8B 45 F0 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_13616_0 {
	meta:
		name = "TDBXTraceWritableValue.GetWideString"
		size = 400
		refs = "0015 TDBXTraceWritableValue.GetWideString 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 0043 TDBXTraceWritableValue.GetValueDisplayName 0069 TDBXContext.Trace 0072 TDBXDelegateWritableValue.GetWideString 00b6 @UStrCat 00f2 @UStrArrayClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 8B 16 33 C9 8B 43 20 8B 30 FF 56 30 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 20 59 8B 30 FF 56 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_13617_0 {
	meta:
		name = "TDBXTraceWritableValue.IsNull"
		size = 356
		refs = "0014 TDBXTraceWritableValue.IsNull 0021 TDBXValue.GetDbxContext 002b TDBXContext.IsTracing 0042 TDBXTraceWritableValue.GetValueDisplayName 005d @UStrCat 007f TDBXContext.Trace 0086 TDBXDelegateWritableValue.IsNull 0108 @UStrArrayClr 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 50 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 46 20 59 8B 18 FF 53 10 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F0 50 8D 45 EC 50 33 C9 8B D3 8B 46 20 8B 38 FF 57 34 8B 45 EC 50 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 46 20 59 8B 38 FF 57 04 8B 45 F0 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 73 00 4E 00 75 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 73 00 4E 00 75 00 6C 00 6C 00 00 00 }
	condition:
		$1
}

rule function_13618_0 {
	meta:
		name = "TDBXTraceWritableValue.SetBcd"
		size = 232
		refs = "0015 TDBXTraceWritableValue.SetBcd 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetBcd 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 8B D6 33 C9 8B 43 20 8B 38 FF 57 54 FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 74 00 42 00 63 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_13619_0 {
	meta:
		name = "TDBXTraceWritableValue.SetBoolean"
		size = 240
		refs = "0015 TDBXTraceWritableValue.SetBoolean 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetBoolean 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 46 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 33 C9 8B D3 8B 46 20 8B 38 FF 57 34 FF 75 F0 8D 55 EC 8B 46 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 74 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_13620_0 {
	meta:
		name = "TDBXTraceWritableValue.SetDate"
		size = 232
		refs = "0015 TDBXTraceWritableValue.SetDate 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetDate 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 58 FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 65 00 74 00 44 00 61 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_13621_0 {
	meta:
		name = "TDBXTraceWritableValue.SetDBXConnection"
		size = 200
		refs = "0012 TDBXTraceWritableValue.SetDBXConnection 001f TDBXValue.GetDbxContext 0029 TDBXContext.IsTracing 003b TDBXTraceWritableValue.GetValueDisplayName 0061 TDBXContext.Trace 006a TDBXDelegateWritableValue.SetDBXConnection 0084 @UStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 34 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 18 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 65 00 74 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_13622_0 {
	meta:
		name = "TDBXTraceWritableValue.SetDBXReader"
		size = 256
		refs = "001d TDBXTraceWritableValue.SetDBXReader 002a TDBXValue.GetDbxContext 0034 TDBXContext.IsTracing 0046 TDBXTraceWritableValue.GetValueDisplayName 0087 @UStrCatN 009d TDBXContext.Trace 00a9 TDBXDelegateWritableValue.SetDBXReader 00c3 @UStrArrayClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F4 50 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 B9 ?? ?? ?? ?? 8B 46 20 8B 38 FF 57 20 FF 75 F4 8D 45 EC 50 33 C9 8B D3 8B 46 20 8B 38 FF 57 34 FF 75 EC 8D 55 E8 8B 46 20 8B 08 FF 51 70 FF 75 E8 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B CB 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 65 00 74 00 44 00 42 00 58 00 52 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_13623_0 {
	meta:
		name = "TDBXTraceWritableValue.SetDouble"
		size = 240
		refs = "0012 TDBXTraceWritableValue.SetDouble 001f TDBXValue.GetDbxContext 0029 TDBXContext.IsTracing 003b TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 00a2 TDBXDelegateWritableValue.SetDouble 00bc @UStrArrayClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 68 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 20 FF 75 F8 FF 75 0C FF 75 08 8D 4D F0 33 D2 8B 43 20 8B 30 FF 56 50 FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 65 00 74 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_13624_0 {
	meta:
		name = "TDBXTraceWritableValue.SetDynamicBytes"
		size = 392
		refs = "0018 TDBXTraceWritableValue.SetDynamicBytes 0025 TDBXValue.GetDbxContext 002f TDBXContext.IsTracing 0045 TDBXTraceWritableValue.GetValueDisplayName 0093 @DynArrayHigh 00ec @UStrCatN 0102 TDBXContext.Trace 011d TDBXDelegateWritableValue.SetDynamicBytes 0137 @UStrArrayClr 013d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 CB 00 00 00 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 20 FF 75 F8 FF 75 1C FF 75 18 8D 4D F0 BA ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 4C FF 75 F0 FF 75 14 FF 75 10 FF 75 0C FF 75 08 FF 75 0C FF 75 08 68 ?? ?? ?? ?? 8D 45 EC 50 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 20 8B 38 FF 57 68 FF 75 EC FF 75 14 FF 75 10 8D 4D E8 BA ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 4C FF 75 E8 FF 75 0C FF 75 08 8D 4D E4 33 D2 8B 43 20 8B 38 FF 57 4C FF 75 E4 8D 55 E0 8B 43 20 8B 08 FF 51 70 FF 75 E0 8D 45 FC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 18 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 65 00 74 00 44 00 79 00 6E 00 61 00 6D 00 69 00 63 00 42 00 79 00 74 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_13625_0 {
	meta:
		name = "TDBXTraceWritableValue.SetInt16"
		size = 236
		refs = "0015 TDBXTraceWritableValue.SetInt16 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetInt16 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 44 FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 65 00 74 00 49 00 6E 00 74 00 31 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_13626_0 {
	meta:
		name = "TDBXTraceWritableValue.SetInt32"
		size = 236
		refs = "0015 TDBXTraceWritableValue.SetInt32 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetInt32 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 48 FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 65 00 74 00 49 00 6E 00 74 00 33 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_13627_0 {
	meta:
		name = "TDBXTraceWritableValue.SetInt64"
		size = 240
		refs = "0012 TDBXTraceWritableValue.SetInt64 001f TDBXValue.GetDbxContext 0029 TDBXContext.IsTracing 003b TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 00a2 TDBXDelegateWritableValue.SetInt64 00bc @UStrArrayClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 68 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 20 FF 75 F8 FF 75 0C FF 75 08 8D 4D F0 33 D2 8B 43 20 8B 30 FF 56 4C FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 65 00 74 00 49 00 6E 00 74 00 36 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_13628_0 {
	meta:
		name = "TDBXTraceWritableValue.SetInt8"
		size = 232
		refs = "0015 TDBXTraceWritableValue.SetInt8 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetInt8 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 46 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 33 C9 8B D3 8B 46 20 8B 38 FF 57 3C FF 75 F0 8D 55 EC 8B 46 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 65 00 74 00 49 00 6E 00 74 00 38 00 00 00 }
	condition:
		$1
}

rule function_13629_0 {
	meta:
		name = "TDBXTraceWritableValue.SetNull"
		size = 176
		refs = "000f TDBXTraceWritableValue.SetNull 001c TDBXValue.GetDbxContext 0026 TDBXContext.IsTracing 0038 TDBXTraceWritableValue.GetValueDisplayName 005e TDBXContext.Trace 0065 TDBXDelegateWritableValue.SetNull 007f @UStrArrayClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 34 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 18 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 65 00 74 00 4E 00 75 00 6C 00 6C 00 00 00 }
	condition:
		$1
}

rule function_13630_0 {
	meta:
		name = "TDBXTraceWritableValue.SetPendingValue"
		size = 192
		refs = "000f TDBXTraceWritableValue.SetPendingValue 001c TDBXValue.GetDbxContext 0026 TDBXContext.IsTracing 0038 TDBXTraceWritableValue.GetValueDisplayName 005e TDBXContext.Trace 0065 TDBXDelegateWritableValue.SetPendingValue 007f @UStrArrayClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 34 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 18 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 65 00 74 00 50 00 65 00 6E 00 64 00 69 00 6E 00 67 00 56 00 61 00 6C 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_13631_0 {
	meta:
		name = "TDBXTraceWritableValue.SetSingle"
		size = 244
		refs = "0012 TDBXTraceWritableValue.SetSingle 001f TDBXValue.GetDbxContext 0029 TDBXContext.IsTracing 003b TDBXTraceWritableValue.GetValueDisplayName 0083 @UStrCatN 0099 TDBXContext.Trace 00a3 TDBXDelegateWritableValue.SetSingle 00bd @UStrArrayClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 6C 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 20 FF 75 F8 D9 45 08 83 C4 F8 DD 1C 24 9B 8D 4D F0 33 D2 8B 43 20 8B 30 FF 56 50 FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? FF 75 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 65 00 74 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_13632_0 {
	meta:
		name = "TDBXTraceWritableValue.SetStaticBytes"
		size = 400
		refs = "0021 TDBXTraceWritableValue.SetStaticBytes 002e TDBXValue.GetDbxContext 0038 TDBXContext.IsTracing 004e TDBXTraceWritableValue.GetValueDisplayName 00ef @UStrCatN 0105 TDBXContext.Trace 0123 TDBXDelegateWritableValue.SetStaticBytes 013d @UStrArrayClr 0143 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 C5 00 00 00 8D 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 20 FF 75 F4 FF 75 1C FF 75 18 8D 4D EC BA ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 4C FF 75 EC FF 75 14 FF 75 10 FF 75 0C FF 75 08 FF 75 0C FF 75 08 68 ?? ?? ?? ?? 8D 45 E8 50 8B D6 8B 4D FC 8B 43 20 8B 38 FF 57 68 FF 75 E8 FF 75 14 FF 75 10 8D 4D E4 BA ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 4C FF 75 E4 FF 75 0C FF 75 08 8D 4D E0 33 D2 8B 43 20 8B 38 FF 57 4C FF 75 E0 8D 55 DC 8B 43 20 8B 08 FF 51 70 FF 75 DC 8D 45 F8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B D6 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 18 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 65 00 74 00 53 00 74 00 61 00 74 00 69 00 63 00 42 00 79 00 74 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_13633_0 {
	meta:
		name = "TDBXTraceWritableValue.SetStream"
		size = 248
		refs = "001d TDBXTraceWritableValue.SetStream 002a TDBXValue.GetDbxContext 0034 TDBXContext.IsTracing 0046 TDBXTraceWritableValue.GetValueDisplayName 0087 @UStrCatN 009d TDBXContext.Trace 00a9 TDBXDelegateWritableValue.SetStream 00c3 @UStrArrayClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F4 50 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 B9 ?? ?? ?? ?? 8B 46 20 8B 38 FF 57 20 FF 75 F4 8D 45 EC 50 33 C9 8B D3 8B 46 20 8B 38 FF 57 34 FF 75 EC 8D 55 E8 8B 46 20 8B 08 FF 51 70 FF 75 E8 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B CB 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 65 00 74 00 53 00 74 00 72 00 65 00 61 00 6D 00 00 00 }
	condition:
		$1
}

rule function_13634_0 {
	meta:
		name = "TDBXTraceWritableValue.SetString"
		size = 236
		refs = "0015 TDBXTraceWritableValue.SetString 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetString 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 2C FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 65 00 74 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_13635_0 {
	meta:
		name = "TDBXTraceWritableValue.SetAnsiString"
		size = 256
		refs = "0016 TDBXTraceWritableValue.SetAnsiString 0023 TDBXValue.GetDbxContext 002d TDBXContext.IsTracing 003f TDBXTraceWritableValue.GetValueDisplayName 0060 @UStrFromLStr 008b @UStrCatN 00a1 TDBXContext.Trace 00aa TDBXDelegateWritableValue.SetAnsiString 00c4 @UStrArrayClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 70 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 8D 45 EC 8B D6 E8 ?? ?? ?? ?? 8B 55 EC 33 C9 8B 43 20 8B 38 FF 57 2C FF 75 F0 8D 55 E8 8B 43 20 8B 08 FF 51 70 FF 75 E8 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 65 00 74 00 41 00 6E 00 73 00 69 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_13636_0 {
	meta:
		name = "TDBXTraceWritableValue.SetAsBcd"
		size = 236
		refs = "0015 TDBXTraceWritableValue.SetAsBcd 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetAsBcd 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 8B D6 33 C9 8B 43 20 8B 38 FF 57 54 FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 65 00 74 00 41 00 73 00 42 00 63 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_13637_0 {
	meta:
		name = "TDBXTraceWritableValue.SetAsBoolean"
		size = 244
		refs = "0015 TDBXTraceWritableValue.SetAsBoolean 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetAsBoolean 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 46 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 33 C9 8B D3 8B 46 20 8B 38 FF 57 34 FF 75 F0 8D 55 EC 8B 46 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 65 00 74 00 41 00 73 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_13638_0 {
	meta:
		name = "TDBXTraceWritableValue.SetAsDate"
		size = 236
		refs = "0015 TDBXTraceWritableValue.SetAsDate 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetAsDate 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 58 FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 65 00 74 00 41 00 73 00 44 00 61 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_13639_0 {
	meta:
		name = "TDBXTraceWritableValue.SetAsDouble"
		size = 244
		refs = "0012 TDBXTraceWritableValue.SetAsDouble 001f TDBXValue.GetDbxContext 0029 TDBXContext.IsTracing 003b TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 00a2 TDBXDelegateWritableValue.SetAsDouble 00bc @UStrArrayClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 68 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 20 FF 75 F8 FF 75 0C FF 75 08 8D 4D F0 33 D2 8B 43 20 8B 30 FF 56 50 FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 74 00 41 00 73 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_13640_0 {
	meta:
		name = "TDBXTraceWritableValue.SetAsInt16"
		size = 240
		refs = "0015 TDBXTraceWritableValue.SetAsInt16 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetAsInt16 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 44 FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 74 00 41 00 73 00 49 00 6E 00 74 00 31 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_13641_0 {
	meta:
		name = "TDBXTraceWritableValue.SetAsInt32"
		size = 240
		refs = "0015 TDBXTraceWritableValue.SetAsInt32 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetAsInt32 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 48 FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 74 00 41 00 73 00 49 00 6E 00 74 00 33 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_13642_0 {
	meta:
		name = "TDBXTraceWritableValue.SetAsInt64"
		size = 244
		refs = "0012 TDBXTraceWritableValue.SetAsInt64 001f TDBXValue.GetDbxContext 0029 TDBXContext.IsTracing 003b TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 00a2 TDBXDelegateWritableValue.SetAsInt64 00bc @UStrArrayClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 68 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 20 FF 75 F8 FF 75 0C FF 75 08 8D 4D F0 33 D2 8B 43 20 8B 30 FF 56 4C FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 74 00 41 00 73 00 49 00 6E 00 74 00 36 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_13643_0 {
	meta:
		name = "TDBXTraceWritableValue.SetAsInt8"
		size = 236
		refs = "0015 TDBXTraceWritableValue.SetAsInt8 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetAsInt8 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 46 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 33 C9 8B D3 8B 46 20 8B 38 FF 57 3C FF 75 F0 8D 55 EC 8B 46 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 65 00 74 00 41 00 73 00 49 00 6E 00 74 00 38 00 00 00 }
	condition:
		$1
}

rule function_13644_0 {
	meta:
		name = "TDBXTraceWritableValue.SetAsSingle"
		size = 248
		refs = "0012 TDBXTraceWritableValue.SetAsSingle 001f TDBXValue.GetDbxContext 0029 TDBXContext.IsTracing 003b TDBXTraceWritableValue.GetValueDisplayName 0083 @UStrCatN 0099 TDBXContext.Trace 00a3 TDBXDelegateWritableValue.SetAsSingle 00bd @UStrArrayClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 6C 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 20 FF 75 F8 D9 45 08 83 C4 F8 DD 1C 24 9B 8D 4D F0 33 D2 8B 43 20 8B 30 FF 56 50 FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? FF 75 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 74 00 41 00 73 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_13645_0 {
	meta:
		name = "TDBXTraceWritableValue.SetAsString"
		size = 240
		refs = "0015 TDBXTraceWritableValue.SetAsString 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetAsString 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 2C FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 74 00 41 00 73 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_13646_0 {
	meta:
		name = "TDBXTraceWritableValue.SetAsTime"
		size = 236
		refs = "0015 TDBXTraceWritableValue.SetAsTime 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetAsTime 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 5C FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 65 00 74 00 41 00 73 00 54 00 69 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_13647_0 {
	meta:
		name = "TDBXTraceWritableValue.SetAsTimeStamp"
		size = 248
		refs = "0015 TDBXTraceWritableValue.SetAsTimeStamp 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetAsTimeStamp 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 8B D6 33 C9 8B 43 20 8B 38 FF 57 60 FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 65 00 74 00 41 00 73 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_13648_0 {
	meta:
		name = "TDBXTraceWritableValue.SetAsUInt16"
		size = 240
		refs = "0015 TDBXTraceWritableValue.SetAsUInt16 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetAsUInt16 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 40 FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 74 00 41 00 73 00 55 00 49 00 6E 00 74 00 31 00 36 00 00 00 }
	condition:
		$1
}

rule function_13649_0 {
	meta:
		name = "TDBXTraceWritableValue.SetAsUInt8"
		size = 240
		refs = "0015 TDBXTraceWritableValue.SetAsUInt8 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetAsUInt8 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 46 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 33 C9 8B D3 8B 46 20 8B 38 FF 57 38 FF 75 F0 8D 55 EC 8B 46 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 74 00 41 00 73 00 55 00 49 00 6E 00 74 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_13650_0 {
	meta:
		name = "TDBXTraceWritableValue.SetTime"
		size = 232
		refs = "0015 TDBXTraceWritableValue.SetTime 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetTime 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 5C FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 65 00 74 00 54 00 69 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_13651_0 {
	meta:
		name = "TDBXTraceWritableValue.SetTimeStamp"
		size = 244
		refs = "0015 TDBXTraceWritableValue.SetTimeStamp 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetTimeStamp 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 8B D6 33 C9 8B 43 20 8B 38 FF 57 60 FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 65 00 74 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_13652_0 {
	meta:
		name = "TDBXTraceWritableValue.SetTimeStampOffset"
		size = 256
		refs = "0015 TDBXTraceWritableValue.SetTimeStampOffset 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetTimeStampOffset 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 8B D6 33 C9 8B 43 20 8B 38 FF 57 64 FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 12 00 00 00 53 00 65 00 74 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 4F 00 66 00 66 00 73 00 65 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_13653_0 {
	meta:
		name = "TDBXTraceWritableValue.SetUInt16"
		size = 236
		refs = "0015 TDBXTraceWritableValue.SetUInt16 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetUInt16 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 40 FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 65 00 74 00 55 00 49 00 6E 00 74 00 31 00 36 00 00 00 }
	condition:
		$1
}

rule function_13654_0 {
	meta:
		name = "TDBXTraceWritableValue.SetUInt8"
		size = 236
		refs = "0015 TDBXTraceWritableValue.SetUInt8 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetUInt8 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 46 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 33 C9 8B D3 8B 46 20 8B 38 FF 57 38 FF 75 F0 8D 55 EC 8B 46 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 65 00 74 00 55 00 49 00 6E 00 74 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_13655_0 {
	meta:
		name = "TDBXTraceWritableValue.SetValue"
		size = 184
		refs = "0012 TDBXTraceWritableValue.SetValue 001f TDBXValue.GetDbxContext 0029 TDBXContext.IsTracing 003b TDBXTraceWritableValue.GetValueDisplayName 0061 TDBXContext.Trace 006a TDBXDelegateWritableValue.SetValue 0084 @UStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 34 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 18 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13656_0 {
	meta:
		name = "TDBXTraceWritableValue.SetWideString"
		size = 244
		refs = "0015 TDBXTraceWritableValue.SetWideString 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 003e TDBXTraceWritableValue.GetValueDisplayName 007f @UStrCatN 0095 TDBXContext.Trace 009e TDBXDelegateWritableValue.SetWideString 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 20 FF 75 F8 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 30 FF 75 F0 8D 55 EC 8B 43 20 8B 08 FF 51 70 FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 65 00 74 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_13657_0 {
	meta:
		name = "TDBXTraceWritableValue.GetInt16"
		size = 376
		refs = "0015 TDBXTraceWritableValue.GetInt16 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 0043 TDBXTraceWritableValue.GetValueDisplayName 0069 TDBXContext.Trace 0072 TDBXDelegateWritableValue.GetInt16 00b8 @UStrCat 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 44 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 49 00 6E 00 74 00 31 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 31 00 36 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 31 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_13658_0 {
	meta:
		name = "TDBXTraceWritableValue.GetInt32"
		size = 376
		refs = "0015 TDBXTraceWritableValue.GetInt32 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 0043 TDBXTraceWritableValue.GetValueDisplayName 0069 TDBXContext.Trace 0072 TDBXDelegateWritableValue.GetInt32 00b8 @UStrCat 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D6 8B 43 20 8B 38 FF 57 48 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 49 00 6E 00 74 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 33 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 33 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_13659_0 {
	meta:
		name = "TDBXTraceWritableValue.GetInt64"
		size = 388
		refs = "0014 TDBXTraceWritableValue.GetInt64 0021 TDBXValue.GetDbxContext 002b TDBXContext.IsTracing 0042 TDBXTraceWritableValue.GetValueDisplayName 0068 TDBXContext.Trace 0075 TDBXDelegateWritableValue.GetInt64 00c2 @UStrCat 00fe @UStrArrayClr 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 10 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 54 8D 45 EC 50 FF 75 FC FF 75 F8 8D 4D E8 33 D2 8B 43 20 8B 30 FF 56 4C 8B 45 E8 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 43 20 59 8B 30 FF 56 04 8B 45 EC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 8B 55 FC 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 49 00 6E 00 74 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 36 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_13660_0 {
	meta:
		name = "TDBXTraceWritableValue.GetInt8"
		size = 368
		refs = "0015 TDBXTraceWritableValue.GetInt8 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 0043 TDBXTraceWritableValue.GetValueDisplayName 0069 TDBXContext.Trace 0072 TDBXDelegateWritableValue.GetInt8 00b8 @UStrCat 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 46 20 8B 38 FF 57 10 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D3 8B 46 20 8B 38 FF 57 3C 8B 45 F0 50 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 46 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 47 00 65 00 74 00 49 00 6E 00 74 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 38 00 00 00 }
	condition:
		$1
}

rule function_13661_0 {
	meta:
		name = "TDBXTraceWritableValue.GetInt8"
		size = 364
		refs = "0013 TDBXTraceWritableValue.GetInt8 0020 TDBXValue.GetDbxContext 002a TDBXContext.IsTracing 0041 TDBXTraceWritableValue.GetValueDisplayName 0067 TDBXContext.Trace 006e TDBXDelegateWritableValue.GetInt8 00b4 @UStrCat 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 46 20 8B 18 FF 53 10 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 33 C9 8B D3 8B 46 20 8B 38 FF 57 3C 8B 45 F0 50 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 46 20 59 8B 38 FF 57 04 8B 45 F4 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 47 00 65 00 74 00 49 00 6E 00 74 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 38 00 00 00 }
	condition:
		$1
}

rule function_13662_0 {
	meta:
		name = "TDBXTraceWritableValue.GetNonDelegate"
		size = 236
		refs = "000f TDBXTraceWritableValue.GetNonDelegate 001c TDBXValue.GetDbxContext 0026 TDBXContext.IsTracing 003d TDBXTraceWritableValue.GetValueDisplayName 0063 TDBXContext.Trace 006a TDBXDelegateWritableValue.GetNonDelegate 0086 @UStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 47 00 65 00 74 00 4E 00 6F 00 6E 00 44 00 65 00 6C 00 65 00 67 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 56 00 61 00 6C 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_13663_0 {
	meta:
		name = "TDBXTraceWritableValue.GetSingle"
		size = 384
		refs = "0013 TDBXTraceWritableValue.GetSingle 0020 TDBXValue.GetDbxContext 002a TDBXContext.IsTracing 0041 TDBXTraceWritableValue.GetValueDisplayName 0067 TDBXContext.Trace 006e TDBXDelegateWritableValue.GetSingle 00bd @UStrCat 00f9 @UStrArrayClr 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B 43 20 8B 30 FF 56 10 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? D9 5D FC 9B 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 58 8D 45 F0 50 D9 45 FC 83 C4 F8 DD 1C 24 9B 8D 4D EC 33 D2 8B 43 20 8B 30 FF 56 50 8B 45 EC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 43 20 59 8B 30 FF 56 04 8B 45 F0 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB D9 45 FC 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_13664_0 {
	meta:
		name = "TDBXTraceWritableValue.GetStream"
		size = 232
		refs = "0012 TDBXTraceWritableValue.GetStream 001f TDBXValue.GetDbxContext 0029 TDBXContext.IsTracing 0040 TDBXTraceWritableValue.GetValueDisplayName 0066 TDBXContext.Trace 006f TDBXDelegateWritableValue.GetStream 008b @UStrArrayClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 46 20 8B 38 FF 57 10 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 53 00 74 00 72 00 65 00 61 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 53 00 74 00 72 00 65 00 61 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_13665_0 {
	meta:
		name = "TDBXTraceWritableValue.GetString"
		size = 376
		refs = "0015 TDBXTraceWritableValue.GetString 0022 TDBXValue.GetDbxContext 002c TDBXContext.IsTracing 0043 TDBXTraceWritableValue.GetValueDisplayName 0069 TDBXContext.Trace 0072 TDBXDelegateWritableValue.GetString 00b6 @UStrCat 00f2 @UStrArrayClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 39 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 20 8B 38 FF 57 10 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F4 50 8D 45 F0 50 8B 16 33 C9 8B 43 20 8B 30 FF 56 2C 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 43 20 59 8B 30 FF 56 04 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? BA 00 02 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_13666_0 {
	meta:
		name = "TDBXTraceParameter.Clone"
		size = 152
		refs = "000d TDBXTraceParameter.Clone 003f @UStrCat3 004d _DV_TDBXTraceParameter 0052 TDBXTraceParameter.Create 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 58 85 F6 74 0E 8B C6 8B 10 FF 92 88 00 00 00 8B F0 EB 02 33 F6 56 8B 43 64 50 8D 45 FC B9 ?? ?? ?? ?? 8B 53 68 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 4B 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 43 00 6C 00 6F 00 6E 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13667_0 {
	meta:
		name = "TDBXTraceParameter.Create"
		size = 137
		refs = "000e @ClassCreate 001c @UStrAddRef 0024 TDBXTraceParameter.Create 0039 TDBXDelegateParameter.Create 004a @UStrAsg 005f @UStrClr 0065 @HandleFinally 0072 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 0C 89 47 64 8D 47 68 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_13669_0 {
	meta:
		name = "TDBXTraceParameter.GetValue"
		size = 69
		refs = "002d _DV_TDBXTraceWritableValue 0032 TDBXTraceWritableValue.Create 003c TDBXDelegateParameter.GetValue"
	strings:
		$1 = { 53 8B D8 83 7B 60 00 75 30 8B 43 58 8B 10 FF 52 7C 85 C0 74 24 53 8B 43 58 8B 10 FF 52 7C 50 8B 43 64 50 8B 43 68 50 8B 4B 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 60 8B C3 E8 ?? ?? ?? ?? 8B 43 60 5B C3 }
	condition:
		$1
}

rule function_13671_0 {
	meta:
		name = "TDBXTraceOutput.Create"
		size = 132
		refs = "000a @ClassCreate 0017 TObject.Create 001c TDBXTraceOutput.Create 002d _DV_TDBXTracePascalFormatter 0032 TDBXTraceFormatter.Create 003c _Dn_TCriticalSection 0041 TCriticalSection.Create 004f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 C8 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 }
	condition:
		$1
}

rule function_13673_0 {
	meta:
		name = "TDBXTraceOutput.LogDriverTrace"
		size = 171
		refs = "001e TDBXTraceInfo 0023 @AddRefRecord 0031 @InitializeRecord 0039 TDBXTraceOutput.LogDriverTrace 0062 @UStrLAsg 006c TDBXTraceOutput.LogTrace 0083 @UStrClr 0096 @FinalizeArray 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D DC 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 0D 00 20 00 00 89 45 E4 8D 4D DC 8B 55 F0 8B 43 10 8B 30 FF 16 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13674_0 {
	meta:
		name = "TDBXTraceOutput.LogTrace"
		size = 320
		refs = "0025 TDBXTraceInfo 002a @AddRefRecord 0032 TDBXTraceOutput.LogTrace 0046 TDBXTraceOutput.TraceFlagToString 0061 @UStrSetLength 006f @UniqueStringU 00a4 @UStrCatN 00e5 @HandleFinally 00fe @UStrClr 010c @FinalizeRecord 0119 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 89 4D FC 89 4D F8 8B F2 8D 7D E8 A5 A5 A5 A5 89 45 E4 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 55 EC 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 8D 45 FC BA 0F 00 00 00 E8 ?? ?? ?? ?? 43 83 FB 0F 7F 15 8D 45 FC E8 ?? ?? ?? ?? 66 C7 44 58 FE 20 00 43 83 FB 10 75 EB 8D 4D E0 8B 45 E4 8B 40 10 8B 55 FC 8B 18 FF 13 FF 75 E0 68 ?? ?? ?? ?? FF 75 E8 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 8B 40 0C 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 E4 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 8B 40 0C 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_13675_0 {
	meta:
		name = "TDBXTraceOutput.RemoveReference"
		size = 7
	strings:
		$1 = { FF 48 08 8B 40 08 C3 }
	condition:
		$1
}

rule function_13676_0 {
	meta:
		name = "TDBXTraceOutput.TraceFlagToString"
		size = 948
		refs = "0014 TDBXTraceOutput.TraceFlagToString 0040 @UStrCat3 00e6 @UStrAsg 01b1 IntToStr 01c5 @UStrCatN 01df @UStrArrayClr 01e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 C7 20 74 26 8D 4D FC 8B D3 81 EA 00 20 00 00 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 80 01 00 00 8B C3 83 F8 40 7F 40 0F 84 EE 00 00 00 83 F8 08 7F 1E 0F 84 B0 00 00 00 48 74 7A 48 0F 84 84 00 00 00 83 E8 02 0F 84 8C 00 00 00 E9 2D 01 00 00 83 E8 10 0F 84 A0 00 00 00 83 E8 10 0F 84 A8 00 00 00 E9 16 01 00 00 3D 00 04 00 00 7F 2C 0F 84 DF 00 00 00 2D 80 00 00 00 0F 84 AA 00 00 00 2D 80 00 00 00 0F 84 AD 00 00 00 2D 00 01 00 00 0F 84 B0 00 00 00 E9 E3 00 00 00 2D 00 08 00 00 0F 84 BC 00 00 00 2D 00 08 00 00 0F 84 BF 00 00 00 E9 C8 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DA 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C9 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B8 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A7 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 96 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 85 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 77 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 69 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5B 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4D 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3F 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 31 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 23 68 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 52 00 49 00 56 00 45 00 52 00 20 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 52 00 45 00 50 00 41 00 52 00 45 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 58 00 45 00 43 00 55 00 54 00 45 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 45 00 52 00 52 00 4F 00 52 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 4F 00 4D 00 4D 00 41 00 4E 00 44 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 4F 00 4E 00 4E 00 45 00 43 00 54 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 52 00 41 00 4E 00 53 00 41 00 43 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 4C 00 4F 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 49 00 53 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 56 00 45 00 4E 00 44 00 4F 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 41 00 44 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 52 00 49 00 56 00 45 00 52 00 5F 00 4C 00 4F 00 41 00 44 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 45 00 54 00 41 00 44 00 41 00 54 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 4E 00 4B 00 4E 00 4F 00 57 00 4E 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_13677_0 {
	meta:
		name = "TDBXFileTraceOutput.Destroy"
		size = 49
		refs = "0003 @BeforeDestruction 000f @Close 0014 @_IOTest 001f TDBXTraceOutput.Destroy 002a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13678_0 {
	meta:
		name = "TDBXFileTraceOutput.Open"
		size = 200
		refs = "000c @AssignText 0011 @_IOTest 001b FileExists 0027 @Append 0036 @RewritText 0040 TDBXFileTraceOutput.Open"
	strings:
		$1 = { 53 8B D8 33 C9 8B 53 04 8D 43 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 0F 8D 43 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 43 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 04 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 35 00 00 00 4C 00 6F 00 67 00 20 00 4F 00 70 00 65 00 6E 00 65 00 64 00 20 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 3D 00 00 00 }
	condition:
		$1
}

rule function_13679_0 {
	meta:
		name = "TDBXFileTraceOutput.WriteTraceln"
		size = 86
		refs = "000e @UStrAddRef 0016 TDBXFileTraceOutput.WriteTraceln 0027 @Write0UString 002c @WriteLn 0031 @_IOTest 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8D 43 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_13682_0 {
	meta:
		name = "TDBXConsoleTraceOutput.WriteTraceln"
		size = 84
		refs = "000b @UStrAddRef 0013 TDBXConsoleTraceOutput.WriteTraceln 001e Output 0026 @Write0UString 002b @WriteLn 0030 @_IOTest 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_13683_0 {
	meta:
		name = "TDBXTraceReader.Create"
		size = 308
		refs = "0013 @ClassCreate 001f TDBXTraceReader.Create 0032 TDBXDelegateReader.Create 006f IntToStr 00ab @UStrCatN 00b8 TDBXContext.IsTracing 00c3 TDBXTraceReader.PrintColumns 00dd @UStrArrayClr 00e3 @HandleFinally 00f0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 24 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 20 89 46 28 8B 45 18 89 46 38 8B 45 1C 89 46 3C 8B 45 10 89 46 40 8B 45 14 89 46 44 8B 45 08 89 46 48 8B 45 0C 89 46 4C 68 ?? ?? ?? ?? FF 75 1C FF 75 18 8D 45 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 14 FF 75 10 8D 45 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 8D 46 50 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 46 14 BA 00 04 00 00 E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C2 20 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 65 00 61 00 64 00 65 00 72 00 43 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 }
	condition:
		$1
}

rule function_13684_0 {
	meta:
		name = "TDBXTraceReader.Destroy"
		size = 396
		refs = "000e @BeforeDestruction 001a TDBXTraceReader.Destroy 002d TDBXContext.IsTracing 0056 IntToStr 006b @UStrCatN 007b TDBXContext.Trace 00ca TDBXDelegateReader.Destroy 00e4 @UStrArrayClr 00ea @HandleFinally 00f7 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 14 BA 00 04 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 8A 00 00 00 80 7E 54 00 75 40 68 ?? ?? ?? ?? FF 76 50 68 ?? ?? ?? ?? FF 76 34 FF 76 30 8D 45 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B 46 14 BA 00 04 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 46 28 B9 ?? ?? ?? ?? 33 D2 8B 38 FF 57 20 FF 75 F0 FF 76 50 8D 55 EC 8B 46 28 8B 08 FF 51 70 FF 75 EC 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8B 46 14 BA 00 04 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 7B 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 63 00 6C 00 6F 00 73 00 65 00 64 00 2E 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 20 00 72 00 6F 00 77 00 28 00 73 00 29 00 20 00 72 00 65 00 61 00 64 00 20 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 72 00 65 00 65 00 41 00 6E 00 64 00 4E 00 69 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_13685_0 {
	meta:
		name = "TDBXTraceReader.Next"
		size = 284
		refs = "000f TDBXTraceReader.Next 001c TDBXDelegateReader.Next 003f TDBXContext.IsTracing 005e IntToStr 0073 @UStrCatN 0083 TDBXContext.Trace 00a1 @UStrArrayClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 0A 83 46 30 01 83 56 34 00 EB 5B 80 7E 54 00 75 55 BA 00 04 00 00 8B 46 14 E8 ?? ?? ?? ?? 84 C0 74 40 68 ?? ?? ?? ?? FF 76 50 68 ?? ?? ?? ?? FF 76 34 FF 76 30 8D 45 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA 00 04 00 00 8B 46 14 E8 ?? ?? ?? ?? C6 46 54 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 7B 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 63 00 6C 00 6F 00 73 00 65 00 64 00 2E 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 20 00 72 00 6F 00 77 00 28 00 73 00 29 00 20 00 72 00 65 00 61 00 64 00 20 00 7D 00 00 00 00 00 }
	condition:
		$1
}

rule function_13686_0 {
	meta:
		name = "TDBXTraceReader.PrintColumns"
		size = 248
		refs = "0016 TDBXTraceReader.PrintColumns 0075 @UStrCatN 0085 TDBXContext.Trace 00a7 @UStrArrayClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F4 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 1C 48 85 C0 7C 65 40 89 45 F8 C7 45 FC 00 00 00 00 8B 55 FC 8B C3 8B 08 FF 51 18 8B F0 68 ?? ?? ?? ?? FF 76 04 68 ?? ?? ?? ?? 8B C6 8B 10 FF 52 50 8B D0 8D 4D F0 8B 43 28 8B 30 FF 56 6C FF 75 F0 68 ?? ?? ?? ?? 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 BA 00 04 00 00 8B 43 14 E8 ?? ?? ?? ?? FF 45 FC FF 4D F8 75 A6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 7D 00 00 00 00 00 }
	condition:
		$1
}

rule function_13687_0 {
	meta:
		name = "TDBXTraceProperties.Create"
		size = 288
		refs = "000f @ClassCreate 001b TDBXTraceProperties.Create 002a TDBXProperties.Create 0038 TDBXTraceProperties.SetTraceFlags 0049 TDBXProperties.SetValue 0055 BoolToStr 0079 @UStrClr 007f @HandleFinally 008c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 4D FC B2 01 B0 01 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 00 00 FF 0F 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 54 00 72 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 65 00 6C 00 65 00 67 00 61 00 74 00 65 00 44 00 72 00 69 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_13688_0 {
	meta:
		name = "TDBXTraceProperties.GetTraceDriver"
		size = 120
		refs = "000c TDBXTraceProperties.GetTraceDriver 0021 TDBXProperties.GetValue 002b StrToBoolDef 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 72 00 61 00 63 00 65 00 44 00 72 00 69 00 76 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_13689_0 {
	meta:
		name = "TDBXTraceProperties.GetTraceFile"
		size = 56
		refs = "0009 TDBXTraceProperties.GetTraceFile 0010 TDBXProperties.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 72 00 61 00 63 00 65 00 46 00 69 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_13690_0 {
	meta:
		name = "TDBXTraceProperties.GetTraceFlags"
		size = 124
		refs = "000d TDBXTraceProperties.GetTraceFlags 0022 TDBXProperties.GetValue 002c TDBXTraceProperties.StrtoTraceFlags 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 72 00 61 00 63 00 65 00 46 00 6C 00 61 00 67 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_13691_0 {
	meta:
		name = "TDBXTraceProperties.SetTraceDriver"
		size = 124
		refs = "000f TDBXTraceProperties.SetTraceDriver 0021 BoolToStr 0030 TDBXProperties.SetValue 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 72 00 61 00 63 00 65 00 44 00 72 00 69 00 76 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_13692_0 {
	meta:
		name = "TDBXTraceProperties.SetTraceFile"
		size = 48
		refs = "0003 TDBXTraceProperties.SetTraceFile 0008 TDBXProperties.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 72 00 61 00 63 00 65 00 46 00 69 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_13693_0 {
	meta:
		name = "TDBXTraceProperties.SetTraceFlags"
		size = 132
		refs = "0016 TDBXTraceProperties.SetTraceFlags 002a TDBXTraceProperties.TraceFlagsToStr 0039 TDBXProperties.SetValue 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 66 89 55 FE 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 72 00 61 00 63 00 65 00 46 00 6C 00 61 00 67 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_13694_0 {
	meta:
		name = "TDBXTraceProperties.StrtoTraceFlags"
		size = 392
		refs = "0017 @UStrAddRef 001f TDBXTraceProperties.StrtoTraceFlags 002a TTraceFlag 0034 _Dn_TStringList 0039 TStringList.Create 0056 @UStrToPWChar 0067 ExtractStrings 007a TStrings.GetEnumerator 00a9 @UStrLAsg 00b4 GetEnumValue 00cb TStringsEnumerator.MoveNext 00f2 @HandleFinally 0109 TObject.Free 012b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D F8 89 4D F4 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 89 45 E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 45 F2 8B 45 EC E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 36 8B 75 E4 8D 4D F4 8B 56 04 8B 46 08 8B 18 FF 53 0C 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 80 FB 0F 77 08 83 E3 7F 66 0F AB 5D F2 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B7 45 F2 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_13695_0 {
	meta:
		name = "TDBXTraceProperties.TraceFlagsToStr"
		size = 180
		refs = "0018 TDBXTraceProperties.TraceFlagsToStr 0023 TTraceFlag 002d @UStrClr 0049 EmptyStr 0050 @UStrEqual 005e @UStrCat 006c GetEnumName 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 66 89 55 FE 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 89 45 F8 8B C7 E8 ?? ?? ?? ?? 0F B7 75 FE 33 DB 8B C3 3C 0F 77 06 83 E0 7F 0F A3 C6 73 35 8B 07 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0C 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 0F B6 D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 43 80 FB 10 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_13697_0 {
	meta:
		name = "Data.DBXTrace"
		size = 60
		refs = "0002 _DV_81 000b _DV_TDBXTraceDriver 0010 Data.DBXTrace 0015 TDBXDriverRegistry.RegisterDriverClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 42 00 58 00 54 00 72 00 61 00 63 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13711_0 {
	meta:
		name = "TDBXChannelInfo.GetInfo"
		size = 18
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 DC 5E 5B C3 }
	condition:
		$1
}

rule function_13712_0 {
	meta:
		name = "TDBXCommunicationLayerFactory.Instance"
		size = 32
		refs = "0002 TDBXCommunicationLayerFactory.FSingleton 000c _DV_TDBXCommunicationLayerFactory 0011 TDBXCommunicationLayerFactory.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90469_0 {
	meta:
		name = "CheckTeeAnimationTypes"
		size = 32
		refs = "0002 TeeAnimationTypes 000c _DV_TTeeToolTypes 0011 TObject.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90452_0 {
	meta:
		name = "CheckTeeSeriesTypes"
		size = 32
		refs = "0002 TeeSeriesTypes 000c _DV_TTeeSeriesTypes 0011 TObject.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90466_0 {
	meta:
		name = "CheckTeeToolTypes"
		size = 32
		refs = "0002 TeeToolTypes 000c _DV_TTeeToolTypes 0011 TObject.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74262_0 {
	meta:
		name = "Clipboard"
		size = 32
		refs = "0002 FClipboard 000c _DV_TClipboard 0011 TObject.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70927_0 {
	meta:
		name = "ComClassManager"
		size = 32
		refs = "0002 ComClassManagerVar 000c _DV_TComClassManager 0011 TComClassManager.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95835_0 {
	meta:
		name = "ContentParsers"
		size = 32
		refs = "0002 FContentParsers 000c _Dn_TClassList 0011 TObject.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50880_0 {
	meta:
		name = "Controller"
		size = 32
		refs = "0002 _SyncController 000c _DV_TSyncController 0011 TSyncController.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_114850_0 {
	meta:
		name = "DOMVendorList"
		size = 32
		refs = "0002 DOMVendors 000c _DV_TDOMVendorList 0011 TObject.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83610_0 {
	meta:
		name = "FadeManager"
		size = 32
		refs = "0002 FFadeManager 000c _DV_TFadeManager 0011 TFadeManager.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81455_0 {
	meta:
		name = "GetAppExtensionList"
		size = 32
		refs = "0002 AppExtensionList 000c _DV_TAppExtensionList 0011 TAppExtensionList.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80410_0 {
	meta:
		name = "GetClipboardFormats"
		size = 32
		refs = "0002 ClipboardFormats 000c _DV_TClipboardFormats 0011 TClipboardFormats.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81406_0 {
	meta:
		name = "GetExtensionList"
		size = 32
		refs = "0002 ExtensionList 000c _DV_TExtensionList 0011 TExtensionList.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80409_0 {
	meta:
		name = "GetFileFormats"
		size = 32
		refs = "0002 FileFormats 000c _DV_TFileFormatsList 0011 TFileFormatsList.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69479_0 {
	meta:
		name = "Languages"
		size = 32
		refs = "0002 FLanguages 000c _DV_TLanguages 0011 TLanguages.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83138_0 {
	meta:
		name = "Printer"
		size = 32
		refs = "0002 FPrinter 000c _DV_TPrinter 0011 TPrinter.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22637_0 {
	meta:
		name = "TDSProxyWriterFactory.Instance"
		size = 32
		refs = "0002 TDSProxyWriterFactory.FSingleton 000c _DV_TDSProxyWriterFactory 0011 TDSProxyWriterFactory.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65699_0 {
	meta:
		name = "TIStringComparer.Ordinal"
		size = 32
		refs = "0002 TIStringComparer.FOrdinal 000c _DV_TOrdinalIStringComparer 0011 TObject.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28381_0 {
	meta:
		name = "TLeaseManager.Instance"
		size = 32
		refs = "0002 LeaseManagerInstance 000c _DV_TLeaseManager 0011 TLeaseManager.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63036_0 {
	meta:
		name = "TObserverMapping.Instance"
		size = 32
		refs = "0002 TObserverMapping.FInstance 000c _DV_TObserverMapping 0011 TObserverMapping.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65695_0 {
	meta:
		name = "TStringComparer.Ordinal"
		size = 32
		refs = "0002 TStringComparer.FOrdinal 000c _DV_TOrdinalStringComparer 0011 TObject.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13772_0 {
	meta:
		name = "TTransportFilterFactory.Instance"
		size = 32
		refs = "0002 TTransportFilterFactory.FSingleton 000c _DV_TTransportFilterFactory 0011 TTransportFilterFactory.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94312_0 {
	meta:
		name = "TeeSources"
		size = 32
		refs = "0002 FTeeSources 000c _Dn_TList 0011 TObject.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13713_0 {
	meta:
		name = "TDBXCommunicationLayerFactory.RegisterLayer"
		size = 28
		refs = "0007 TDBXCommunicationLayerFactory.Instance 0010 TDBXCommunicationLayerFactory.FRegisteredLayers 0015 TDBXObjectStore.SetObjectByName"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B CE 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22638_0 {
	meta:
		name = "TDSProxyWriterFactory.RegisterWriter"
		size = 28
		refs = "0007 TDSProxyWriterFactory.Instance 0010 TDSProxyWriterFactory.FRegisteredWriters 0015 TDBXObjectStore.SetObjectByName"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B CE 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13774_0 {
	meta:
		name = "TTransportFilterFactory.RegisterFilter"
		size = 28
		refs = "0007 TTransportFilterFactory.Instance 0010 TTransportFilterFactory.FRegisteredFilters 0015 TDBXObjectStore.SetObjectByName"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B CE 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13714_0 {
	meta:
		name = "TDBXCommunicationLayerFactory.UnregisterLayer"
		size = 53
		refs = "0006 TDBXCommunicationLayerFactory.FRegisteredLayers 002a TDBXCommunicationLayerFactory.Instance 002f TObject.Free"
	strings:
		$1 = { 53 8B D8 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 54 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 48 A1 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 75 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13715_0 {
	meta:
		name = "TDBXCommunicationLayerFactory.CommunicationLayer"
		size = 99
		refs = "000b TDBXCommunicationLayerFactory.FRegisteredLayers 0010 TDBXObjectStore.GetObjectFromName 001e TDBXCommunicationLayerFactory.CommunicationLayer 0043 @HandleOnException 004b _Dn_Exception 0054 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 42 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 8B C3 FF 10 64 8F 05 00 00 00 00 83 C4 08 EB 24 33 C0 5A 59 59 64 89 10 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 EB 02 33 C0 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_13716_0 {
	meta:
		name = "TDBXCommunicationLayerFactory.RegisteredLayerList"
		size = 204
		refs = "0017 TDBXCommunicationLayerFactory.RegisteredLayerList 0022 TDBXCommunicationLayerFactory.FRegisteredLayers 0036 TDBXStringArray 003b @DynArraySetLength 004d TDBXObjectStore.Keys 007b @UStrAsg 0082 TStringsEnumerator.MoveNext 0097 @DynArrayAsg 00ac @UStrClr 00ba @DynArrayClear 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 10 FF 52 14 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 2A 8B 45 F0 89 45 EC FF 45 F0 8B DE 8D 4D F8 8B 53 04 8B 43 08 8B 18 FF 53 0C 8B 45 FC 8B 55 EC 8D 04 90 8B 55 F8 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 CB 8B 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13778_0 {
	meta:
		name = "TTransportFilterFactory.RegisteredFiltersId"
		size = 204
		refs = "0017 TTransportFilterFactory.RegisteredFiltersId 0022 TTransportFilterFactory.FRegisteredFilters 0036 TDBXStringArray 003b @DynArraySetLength 004d TDBXObjectStore.Keys 007b @UStrAsg 0082 TStringsEnumerator.MoveNext 0097 @DynArrayAsg 00ac @UStrClr 00ba @DynArrayClear 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 10 FF 52 14 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 2A 8B 45 F0 89 45 EC FF 45 F0 8B DE 8D 4D F8 8B 53 04 8B 43 08 8B 18 FF 53 0C 8B 45 FC 8B 55 EC 8D 04 90 8B 55 F8 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 CB 8B 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13717_0 {
	meta:
		name = "TDBXCommunicationLayerFactory.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TDBXObjectStore 0023 TStringList.Create 0028 TDBXCommunicationLayerFactory.FRegisteredLayers 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_22643_0 {
	meta:
		name = "TDSProxyWriterFactory.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TDBXObjectStore 0023 TStringList.Create 0028 TDSProxyWriterFactory.FRegisteredWriters 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13779_0 {
	meta:
		name = "TTransportFilterFactory.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TDBXObjectStore 0023 TStringList.Create 0028 TTransportFilterFactory.FRegisteredFilters 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13718_0 {
	meta:
		name = "TDBXCommunicationLayerFactory.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 000c TDBXCommunicationLayerFactory.FRegisteredLayers 0019 TObject.Free 0020 TDBXCommunicationLayerFactory.FSingleton 002b TObject.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22644_0 {
	meta:
		name = "TDSProxyWriterFactory.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 000c TDSProxyWriterFactory.FRegisteredWriters 0019 TObject.Free 0020 TDSProxyWriterFactory.FSingleton 002b TObject.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13780_0 {
	meta:
		name = "TTransportFilterFactory.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 000c TTransportFilterFactory.FRegisteredFilters 0019 TObject.Free 0020 TTransportFilterFactory.FSingleton 002b TObject.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13719_0 {
	meta:
		name = "TDBXLocalChannel.Create"
		size = 83
		refs = "000b @ClassCreate 001a TObject.Create 0024 _DV_TDBXSocketChannelInfo 0029 TDBXSocketChannelInfo.Create 003f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 56 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 C6 47 18 00 C6 47 28 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13720_0 {
	meta:
		name = "TDBXLocalChannel.Destroy"
		size = 64
		refs = "0003 @BeforeDestruction 0010 TArray<System.Byte> 0015 @DynArrayClear 002e TDbxChannel.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13724_0 {
	meta:
		name = "TDBXLocalChannel.Read"
		size = 251
		refs = "001f TDBXLocalChannel.Read 0033 SNoReadDataAvailable 0038 LoadResString 0045 _Dn_TDBXError 004a TDBXError.Create 004f @RaiseExcept 0066 TArray<System.Byte> 006b @DynArrayAsg 009c Move 00b6 @DynArrayClear 00d1 @UStrClr 00e4 @FinalizeArray 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F0 89 55 F4 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 28 00 75 24 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F7 8B 43 20 3B F8 7E 02 8B F0 8D 45 FC 8B 53 1C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C6 85 C0 7E 17 8B 4D FC 8B 7B 24 03 CF 51 8B 4D F8 8D 14 11 8B C8 58 E8 ?? ?? ?? ?? 29 73 20 01 73 24 83 7B 20 00 75 12 8D 43 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 28 00 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13725_0 {
	meta:
		name = "TDBXLocalChannel.WriteLocalData"
		size = 151
		refs = "001c TDBXLocalChannel.WriteLocalData 0030 SNoWriteDataAvailable 0035 LoadResString 0042 _Dn_TDBXError 0047 TDBXError.Create 004c @RaiseExcept 0057 TArray<System.Byte> 005c @DynArrayAsg 0080 @UStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 28 00 74 24 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 1C 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 28 01 89 73 20 8B 45 FC 89 43 24 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_13726_0 {
	meta:
		name = "TDBXLocalChannel.Write"
		size = 251
		refs = "001e TDBXLocalChannel.Write 0032 SNoWriteDataAvailable 0037 LoadResString 0044 _Dn_TDBXError 0049 TDBXError.Create 004e @RaiseExcept 0061 TArray<System.Byte> 0066 @DynArraySetLength 007a @DynArrayAsg 00ae Move 00d1 @UStrClr 00e4 @FinalizeArray 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 F4 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 18 00 74 24 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 2B C7 50 8D 43 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 FC 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F0 8B C6 85 C0 7E 18 8B 55 F8 8B 4D F0 03 D1 52 8B 55 FC 03 D7 8B C8 8B C2 5A E8 ?? ?? ?? ?? C6 43 18 01 89 73 10 33 C0 89 43 14 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13727_0 {
	meta:
		name = "TDBXLocalChannel.ReadLocalData"
		size = 251
		refs = "001f TDBXLocalChannel.ReadLocalData 0033 SNoReadDataAvailable 0038 LoadResString 0045 _Dn_TDBXError 004a TDBXError.Create 004f @RaiseExcept 0066 TArray<System.Byte> 006b @DynArrayAsg 009c Move 00b6 @DynArrayClear 00d1 @UStrClr 00e4 @FinalizeArray 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F0 89 55 F4 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 18 00 75 24 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F7 8B 43 10 3B F8 7E 02 8B F0 8D 45 FC 8B 53 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C6 85 C0 7E 17 8B 4D FC 8B 7B 14 03 CF 51 8B 4D F8 8D 14 11 8B C8 58 E8 ?? ?? ?? ?? 29 73 10 01 73 14 83 7B 10 00 75 12 8D 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 18 00 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13729_0 {
	meta:
		name = "TDBXLocalChannel.HasWriteData"
		size = 5
		altNames = "TDSProxyMethod.HasParametersWithUserType TTestResult.ShouldStop TTestResult.WasStopped"
	strings:
		$1 = { 0F B6 40 28 C3 }
	condition:
		$1
}

rule function_13730_0 {
	meta:
		name = "TDBXSocketChannelInfo.Create"
		size = 70
		refs = "000d @ClassCreate 001a TDBXChannelInfo.Create 0025 @UStrAsg 0030 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 18 8B 55 08 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_13732_0 {
	meta:
		name = "TTransportFilter.Encode"
		size = 251
		refs = "001b TTransportFilter.Encode 0028 _Dn_TDBXStringBuffer 002d TDBXStringBuffer.Create 003e @DynArrayLength 005d TJSONString.Hex 0068 @UStrFromWChar 0073 TDBXStringBuffer.Append 00b9 TObject.Free 00c4 @UStrAsg 00de @UStrArrayClr 00e6 @UStrClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B C3 85 DB 7D 08 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 4F 2B FE 7C 5C 47 8B 45 F8 0F B6 1C 30 80 E3 F0 0F B6 DB C1 EB 04 8B C3 E8 ?? ?? ?? ?? 0F B6 D0 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 0F B6 1C 30 80 E3 0F 0F B6 DB 8B C3 E8 ?? ?? ?? ?? 0F B6 D0 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 46 4F 75 A5 8D 55 FC 8B 45 F4 8B 08 FF 51 DC 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13733_0 {
	meta:
		name = "TTransportFilter.Decode"
		size = 219
		refs = "0017 TTransportFilter.Decode 0039 TArray<System.Byte> 003e @DynArraySetLength 005e TJSONObject.HexToDecimal 0097 @UStrLen 00ad @DynArrayAsg 00c8 @DynArrayClear 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F3 85 F6 74 05 83 EE 04 8B 36 D1 EE 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 F4 33 C0 89 45 F0 EB 43 8B 7D F0 FF 45 F0 47 0F B7 44 7B FE E8 ?? ?? ?? ?? 8B F0 C1 E6 04 8B 45 F0 89 45 EC FF 45 F0 8B 45 EC 40 0F B7 44 43 FE E8 ?? ?? ?? ?? 0B F0 8B 45 F4 89 45 E8 FF 45 F4 8B 45 FC 8B 55 E8 8B CE 88 0C 10 8B C3 E8 ?? ?? ?? ?? 3B 45 F0 7F B1 8B 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13734_0 {
	meta:
		name = "TTransportFilter.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TFactoryObject.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 0C 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13743_0 {
	meta:
		name = "TTransportFilter.IsClientInstance"
		size = 14
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 38 34 01 5B C3 }
	condition:
		$1
}

rule function_13746_0 {
	meta:
		name = "TIWTestFramework.StartRecording"
		size = 5
		altNames = "TIdClassIP.SetDestroyed TTransportFilter.StartHandshake"
	strings:
		$1 = { C6 40 0C 01 C3 }
	condition:
		$1
}

rule function_13748_0 {
	meta:
		name = "TTransportFilter.HandshakeComplete"
		size = 7
	strings:
		$1 = { C6 40 0C 00 B0 01 C3 }
	condition:
		$1
}

rule function_13749_0 {
	meta:
		name = "TTransportFilter.GetCollectionFilter"
		size = 18
	strings:
		$1 = { 8B 48 08 85 C9 74 08 8B C1 8B 08 FF 51 38 C3 33 C0 C3 }
	condition:
		$1
}

rule function_13750_0 {
	meta:
		name = "TTransportCypherFilter.GetParameterValue"
		size = 416
		refs = "001a TTransportCypherFilter.GetParameterValue 002c @UStrEqual 0039 TTransportCypherFilter.GetClearKey 005f TArray<System.Byte> 0064 @DynArraySetLength 0075 TTransportCypherFilter.SetUp 007f @DynArrayLength 0092 TPC1Cypher.Cypher 00a6 TTransportCypherFilter.TearDown 00be TTransportFilter.Encode 00db @UStrAsg 00e5 @UStrClr 0100 @DynArrayClear 0106 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F4 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 75 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 A7 00 00 00 B8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 75 74 68 00 01 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 50 10 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 16 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 88 04 1A 43 4E 75 ED 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 25 B8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 75 0F 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4B 00 65 00 79 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 4F 00 44 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 69 00 6C 00 74 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 62 00 78 00 53 00 6F 00 63 00 6B 00 65 00 74 00 43 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 4E 00 61 00 74 00 69 00 76 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_13751_0 {
	meta:
		name = "TTransportCypherFilter.GetClearKey"
		size = 171
		refs = "0015 TTransportCypherFilter.GetClearKey 002e TTransportCypherFilter.SetUp 004a TPC1Cypher.GetEncryptionKey 0058 @UStrAsg 0070 TTransportCypherFilter.TearDown 0076 @HandleFinally 009b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 10 00 75 54 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 83 C0 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 8B 55 FC 8B 52 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_13752_0 {
	meta:
		name = "TTransportCypherFilter.GetUserParameters"
		size = 136
		refs = "000c TTransportCypherFilter.GetUserParameters 0022 TDBXStringArray 0027 @DynArraySetLength 0037 @UStrAsg 0047 @DynArrayAsg 0062 @DynArrayClear 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4B 00 65 00 79 00 00 00 }
	condition:
		$1
}

rule function_13753_0 {
	meta:
		name = "TTransportCypherFilter.GetParameters"
		size = 228
		refs = "000c TTransportCypherFilter.GetParameters 0022 TDBXStringArray 0027 @DynArraySetLength 0037 @UStrAsg 0067 @DynArrayAsg 0082 @DynArrayClear 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4B 00 65 00 79 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 4F 00 44 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 69 00 6C 00 74 00 65 00 72 00 55 00 6E 00 69 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_13754_0 {
	meta:
		name = "TTransportCypherFilter.ProcessInput"
		size = 101
		refs = "001a TTransportCypherFilter.SetUp 0023 @DynArrayLength 0038 TPC1Cypher.Cypher 0049 TTransportCypherFilter.TearDown 0055 TArray<System.Byte> 005a @DynArrayAsg"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 8B F2 89 04 24 8B 04 24 8B 50 10 8B 04 24 E8 ?? ?? ?? ?? 8B E8 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 15 47 33 DB 0F B6 14 1E 8B C5 E8 ?? ?? ?? ?? 88 04 1E 43 4F 75 EE 8B D5 8B 04 24 E8 ?? ?? ?? ?? 8B 44 24 04 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13755_0 {
	meta:
		name = "TTransportCypherFilter.ProcessOutput"
		size = 101
		refs = "001a TTransportCypherFilter.SetUp 0023 @DynArrayLength 0038 TPC1Cypher.Decypher 0049 TTransportCypherFilter.TearDown 0055 TArray<System.Byte> 005a @DynArrayAsg"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 8B F2 89 04 24 8B 04 24 8B 50 14 8B 04 24 E8 ?? ?? ?? ?? 8B E8 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 15 47 33 DB 0F B6 14 1E 8B C5 E8 ?? ?? ?? ?? 88 04 1E 43 4F 75 EE 8B D5 8B 04 24 E8 ?? ?? ?? ?? 8B 44 24 04 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13756_0 {
	meta:
		name = "TTransportCypherFilter.SetParameterValue"
		size = 60
		refs = "000a TTransportCypherFilter.SetParameterValue 0011 @UStrEqual 001d @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 B8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 75 0A 8D 43 10 8B D7 E8 ?? ?? ?? ?? B0 01 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4B 00 65 00 79 00 00 00 }
	condition:
		$1
}

rule function_13757_0 {
	meta:
		name = "TTransportCypherFilter.SetConfederateParameter"
		size = 264
		refs = "001b TTransportCypherFilter.SetConfederateParameter 002e @UStrEqual 003b TTransportFilter.Decode 0049 TTransportCypherFilter.SetUp 0053 @DynArrayLength 006b TPC1Cypher.Decypher 0079 TTransportCypherFilter.TearDown 00a8 @UStrAsg 00c0 TArray<System.Byte> 00c5 @DynArrayClear 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 75 5B 8D 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 14 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 27 46 33 DB 8B 45 FC 0F B6 14 18 8B C7 E8 ?? ?? ?? ?? 3A C3 74 0E 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 33 DB EB 2D 43 4E 75 DC 8B D7 8B 45 F8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 75 0E 8B 45 F8 83 C0 14 8B 55 F0 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 4F 00 44 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4B 00 65 00 79 00 00 00 }
	condition:
		$1
}

rule function_13758_0 {
	meta:
		name = "TTransportCypherFilter.SetUp"
		size = 37
		refs = "000a _Dn_TPC1Cypher 000f TPC1Cypher.Create"
	strings:
		$1 = { 53 8B DA 85 DB 75 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13760_0 {
	meta:
		name = "TTransportCypherFilter.Id"
		size = 40
		refs = "0006 TTransportCypherFilter.Id 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 43 00 31 00 00 00 }
	condition:
		$1
}

rule function_13761_0 {
	meta:
		name = "TTransportFilterCollection.Create"
		size = 59
		refs = "000a @ClassCreate 0014 _DV_TTransportFilterItem 001d TCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32913_0 {
	meta:
		name = "TIdDBList.Create"
		size = 59
		refs = "000a @ClassCreate 0014 _DV_TIdDBInfo 001d TCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32905_0 {
	meta:
		name = "TIdDefinitions.Create"
		size = 59
		refs = "000a @ClassCreate 0014 _DV_TIdDefinition 001d TCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_33388_0 {
	meta:
		name = "TIdFSPListItems.Create"
		size = 59
		refs = "000a @ClassCreate 0014 _DV_TIdFSPListItem 001d TCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_33648_0 {
	meta:
		name = "TIdFTPListItems.Create"
		size = 59
		refs = "000a @ClassCreate 0014 _DV_TIdFTPListItem 001d TCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_34744_0 {
	meta:
		name = "TIdGopherMenu.Create"
		size = 59
		refs = "000a @ClassCreate 0014 _DV_TIdGopherMenuItem 001d TCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32923_0 {
	meta:
		name = "TIdMatchList.Create"
		size = 59
		refs = "000a @ClassCreate 0014 _DV_TIdMatchItem 001d TCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36080_0 {
	meta:
		name = "TIdMessageBuilderAttachments.Create"
		size = 59
		refs = "000a @ClassCreate 0014 _DV_TIdMessageBuilderAttachment 001d TCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_37362_0 {
	meta:
		name = "TIdSSLRegistry.Create"
		size = 59
		refs = "000a @ClassCreate 0014 _DV_TIdSSLRegEntry 001d TCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32918_0 {
	meta:
		name = "TIdStrategyList.Create"
		size = 59
		refs = "000a @ClassCreate 0014 _DV_TIdStrategy 001d TCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_41407_0 {
	meta:
		name = "TInSSLRegistry.Create"
		size = 59
		refs = "000a @ClassCreate 0014 _DV_TInSSLRegEntry 001d TCollection.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13762_0 {
	meta:
		name = "TTransportFilterCollection.AddFilter"
		size = 165
		refs = "0027 TCollection.Add 0031 TTransportFilterCollection.AddFilter 004a TBaseTransportFilterItem.OnChangeNotify 0052 TBaseTransportFilterCollection.NotifyChange 0075 @HandleOnException 007d _Dn_Exception 0093 TCollection.Delete 0098 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 85 DB 0F 84 88 00 00 00 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 74 79 8B 45 FC E8 ?? ?? ?? ?? 8B F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B C6 8B 08 FF 51 20 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 40 08 48 64 8F 05 00 00 00 00 83 C4 08 EB 33 33 C0 5A 59 59 64 89 10 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 50 08 4A 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C8 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13763_0 {
	meta:
		name = "TTransportFilterCollection.AddFilter"
		size = 47
		refs = "000d TCollection.Add 001b TBaseTransportFilterCollection.NotifyChange"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 1F 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 2C 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 40 08 48 5E 5B C3 83 C8 FF 5E 5B C3 }
	condition:
		$1
}

rule function_13764_0 {
	meta:
		name = "TTransportFilterCollection.RemoveFilter"
		size = 46
		refs = "001b TCollection.Delete 0022 TBaseTransportFilterCollection.NotifyChange"
	strings:
		$1 = { 53 8B D8 85 D2 7C 0B 8B 43 08 3B 50 08 0F 9C C0 EB 02 33 C0 84 C0 74 12 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_13765_0 {
	meta:
		name = "TTransportFilterCollection.GetFilter"
		size = 40
		refs = "0017 TBaseTransportFilterCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 19 8B 43 08 3B 70 08 7D 11 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 28 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_13766_0 {
	meta:
		name = "TTransportFilterCollection.GetFilter"
		size = 138
		refs = "0017 TTransportFilterCollection.GetFilter 004b @UStrEqual 0076 @UStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B 70 08 4E 85 F6 7C 34 46 33 DB 8B D3 8B 45 FC 8B 08 FF 51 34 8D 55 F4 8B 08 FF 51 04 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 75 0E 8B D3 8B 45 FC 8B 08 FF 51 34 8B D8 EB 06 43 4E 75 CF 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13767_0 {
	meta:
		name = "TTransportFilterCollection.GetFilterIdList"
		size = 188
		refs = "001a TTransportFilterCollection.GetFilterIdList 0038 TDBXStringArray 003d @DynArraySetLength 0048 @DynArrayLength 0072 @UStrAsg 0087 @DynArrayAsg 009c @UStrClr 00aa @DynArrayClear 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 8B 40 08 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 27 46 33 DB 8B D3 8B 45 F8 8B 08 FF 51 34 8D 55 F0 8B 08 FF 51 04 8B 55 F0 8B 45 FC 8D 04 98 E8 ?? ?? ?? ?? 43 4E 75 DC 8B 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13768_0 {
	meta:
		name = "TTransportFilterCollection.HandshakeComplete"
		size = 59
	strings:
		$1 = { 53 56 57 51 8B F8 C6 04 24 01 8B 47 08 8B 58 08 4B 85 DB 7C 1D 43 33 F6 8B D6 8B C7 8B 08 FF 51 34 8B 10 FF 52 20 84 C0 75 04 C6 04 24 00 46 4B 75 E6 0F B6 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13769_0 {
	meta:
		name = "TTransportFilterCollection.StartHandshake"
		size = 41
	strings:
		$1 = { 53 56 57 8B F8 8B 47 08 8B 58 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 8B 08 FF 51 34 8B 10 FF 52 1C 46 4B 75 EE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13770_0 {
	meta:
		name = "TTransportFilterCollection.ToJSON"
		size = 390
		refs = "0021 TTransportFilterCollection.ToJSON 002e _Dn_TJSONObject 0033 TJSONObject.Create 007b TBaseTransportFilterCollection.GetItem 0095 TJSONObject.AddPair 00bf TBaseFilterProperties.GetValue 00cf TBaseFilterProperties.GetName 0102 TArray<System.Byte> 0107 @DynArraySetLength 012f TObject.Free 0135 @HandleFinally 0146 _Dn_TDBXPlatform 014b TDBXPlatform.StringOf 0165 @UStrArrayClr 0173 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D D8 89 4D D4 89 4D DC 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 8B 40 08 48 85 C0 0F 8C 95 00 00 00 40 89 45 E0 C7 45 E8 00 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8D 55 DC 8B C3 8B 08 FF 51 24 8B 55 DC 8B 4D EC 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 34 8B D8 85 DB 74 3D 8B C3 8B 10 FF 52 14 8B F8 4F 85 FF 7C 2F 47 33 F6 8D 4D D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 50 8D 4D D4 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 EC 59 E8 ?? ?? ?? ?? 46 4F 75 D4 FF 45 E8 FF 4D E0 0F 85 76 FF FF FF 8B 45 F0 8B 10 FF 52 04 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C9 8B 55 FC 8B 45 F0 8B 18 FF 53 08 89 45 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 50 8B 4D E4 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13771_0 {
	meta:
		name = "TTransportFilterCollection.FromJSON"
		size = 384
		refs = "001d TTransportFilterCollection.FromJSON 0032 BytesOf 003e TJSONObject.ParseJSONValue 0052 _DV_TTransportFilterCollection 0057 TTransportFilterCollection.Create 0062 TJSONObject.Size 0081 TJSONObject.Get 0086 TJSONPair.GetJsonString 00a2 _DV_TFilterProperties 00a7 TStringList.Create 00ba TJSONPair.GetJsonValue 0105 TBaseFilterProperties.Add 0114 TBaseTransportFilterCollection.GetItem 0124 TObject.Free 0150 @UStrClr 015d @UStrArrayClr 0166 TArray<System.Byte> 016b @DynArrayClear 0171 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 D8 89 55 FC 89 55 F8 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 8D 55 FC 8B C3 E8 ?? ?? ?? ?? B1 01 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 0F 84 ED 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 E8 E8 ?? ?? ?? ?? 48 85 C0 0F 8C C5 00 00 00 40 89 45 DC C7 45 E4 00 00 00 00 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D8 8B 08 FF 11 8B 55 D8 8B 45 EC 8B 08 FF 51 28 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 3F 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 11 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 11 8B 4D F4 8B 55 F8 8B 45 E0 E8 ?? ?? ?? ?? 43 4F 75 C4 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E0 8B 08 FF 51 30 8B 45 E0 E8 ?? ?? ?? ?? FF 45 E4 FF 4D DC 0F 85 46 FF FF FF 8B 45 E8 E8 ?? ?? ?? ?? 8B 5D EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13773_0 {
	meta:
		name = "TTransportFilterFactory.CreateFilter"
		size = 112
		refs = "000a TTransportFilterFactory.FSingleton 0018 TTransportFilterFactory.FRegisteredFilters 001d TDBXObjectStore.GetObjectFromName 002b TTransportFilterFactory.CreateFilter 0050 @HandleOnException 0058 _Dn_Exception 0061 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 83 3D ?? ?? ?? ?? 00 75 04 33 C0 EB 56 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 42 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 8B C3 FF 10 64 8F 05 00 00 00 00 83 C4 08 EB 24 33 C0 5A 59 59 64 89 10 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 EB 02 33 C0 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_13775_0 {
	meta:
		name = "TTransportFilterFactory.RegisterFilter"
		size = 116
		refs = "000c TTransportFilterFactory.RegisterFilter 0017 TTransportFilterFactory.Instance 0027 _Dn_TBaseTransportFactoryTools 002c TBaseTransportFactoryTools.InvokeStringFunction 0036 TTransportFilterFactory.FRegisteredFilters 003b TDBXObjectStore.SetObjectByName 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 45 FC 50 B9 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CB A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_13776_0 {
	meta:
		name = "TTransportFilterFactory.UnregisterFilter"
		size = 54
		refs = "0003 TTransportFilterFactory.FRegisteredFilters 002c TTransportFilterFactory.Instance 0031 TObject.Free"
	strings:
		$1 = { 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 54 83 F8 FF 7E 0C 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 48 A1 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 75 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_13777_0 {
	meta:
		name = "TTransportFilterFactory.UnregisterFilter"
		size = 152
		refs = "000c TTransportFilterFactory.UnregisterFilter 0022 _Dn_TBaseTransportFactoryTools 0027 TBaseTransportFactoryTools.InvokeStringFunction 002f TTransportFilterFactory.FRegisteredFilters 0058 TTransportFilterFactory.Instance 005d TObject.Free 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 B9 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? 8B 08 FF 51 54 83 F8 FF 7E 0C 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 48 A1 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 75 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_13781_0 {
	meta:
		name = "TTransportFilterItem.Create"
		size = 95
		refs = "000b @ClassCreate 001c TBaseTransportFilterItem.Create 0025 TBaseTransportFilterItem.OnChangeNotify 002c _DV_TFilterProperties 0031 TStringList.Create 0040 TTransportFilterItem.OnFilterPropertiesChange 004b @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 20 89 7E 44 C7 46 40 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13782_0 {
	meta:
		name = "TTransportFilterItem.OnFilterPropertiesChange"
		size = 5
	strings:
		$1 = { C6 40 24 01 C3 }
	condition:
		$1
}

rule function_13783_0 {
	meta:
		name = "TTransportFilterItem.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TCollectionItem.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13784_0 {
	meta:
		name = "TTransportFilterItem.SetFilterId"
		size = 162
		refs = "0010 TTransportFilterItem.SetFilterId 0020 @UStrEqual 0032 TObject.Free 0039 TTransportFilterFactory.CreateFilter 004a SIllegalArgument 004f LoadResString 0059 _Dn_Exception 005e Exception.Create 0063 @RaiseExcept 006d @UStrAsg 0074 TTransportFilterItem.UpdateFilterProperties 007b TBaseTransportFilterItem.NotifyChange 0090 @UStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 53 18 E8 ?? ?? ?? ?? 74 59 8D 43 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 1C 85 FF 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 18 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13786_0 {
	meta:
		name = "TTransportFilterItem.GetFilter"
		size = 27
		refs = "0012 TTransportFilterItem.UpdateFilter"
	strings:
		$1 = { 53 8B D8 83 7B 1C 00 74 0D 80 7B 24 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B 43 1C 5B C3 }
	condition:
		$1
}

rule function_13787_0 {
	meta:
		name = "TTransportFilterItem.SetFilter"
		size = 113
		refs = "000f TTransportFilterItem.SetFilter 0025 TObject.Free 003d @UStrAsg 0044 TTransportFilterItem.UpdateFilterProperties 004b TBaseTransportFilterItem.NotifyChange 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 89 73 1C 8D 55 FC 8B C6 8B 08 FF 51 04 8B 55 FC 8D 43 18 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_13788_0 {
	meta:
		name = "TTransportFilterItem.SetProperties"
		size = 20
		refs = "000e TBaseTransportFilterItem.NotifyChange"
	strings:
		$1 = { 53 8B D8 8B 43 20 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_13789_0 {
	meta:
		name = "TTransportFilterItem.UpdateFilterProperties"
		size = 166
		refs = "0012 TTransportFilterItem.UpdateFilterProperties 0039 @DynArrayLength 0066 TBaseFilterProperties.Add 0085 @UStrClr 008e TDBXStringArray 0093 @DynArrayClear 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 8B 10 FF 52 44 8B 73 1C 85 F6 74 45 8D 55 FC 8B C6 8B 08 FF 51 2C 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 2E 40 89 45 F4 33 F6 8D 4D F8 8B 45 FC 8B 14 B0 8B 43 1C 8B 38 FF 57 08 8B 45 FC 8B 14 B0 8B 4D F8 8B 43 20 E8 ?? ?? ?? ?? 46 FF 4D F4 75 D8 C6 43 24 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13790_0 {
	meta:
		name = "TTransportFilterItem.UpdateFilter"
		size = 146
		refs = "0012 TTransportFilterItem.UpdateFilter 003e TBaseFilterProperties.GetValue 004f TBaseFilterProperties.GetName 007f @UStrArrayClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 1C 00 74 43 8B 43 20 8B 10 FF 52 14 48 85 C0 7C 36 40 89 45 FC 33 F6 8D 4D F8 8B D6 8B 43 20 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 4D F4 8B D6 8B 43 20 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 1C 59 8B 38 FF 57 0C 46 FF 4D FC 75 D0 C6 43 24 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13792_0 {
	meta:
		name = "TTransportFilterTools.FilterQuery"
		size = 47
		refs = "0009 @DynArrayLength 0023 TArray<System.Byte> 0028 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 0B 40 33 D2 C6 04 13 05 42 48 75 F8 8B C6 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13793_0 {
	meta:
		name = "TTransportFilterTools.IsFilterQuery"
		size = 36
		refs = "0006 @DynArrayLength"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 11 40 33 D2 80 3C 13 05 74 04 33 C0 5B C3 42 48 75 F2 B0 01 5B C3 }
	condition:
		$1
}

rule function_13794_0 {
	meta:
		name = "TTransportFilterTools.NoFilter"
		size = 43
		refs = "001f TArray<System.Byte> 0024 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 C6 03 06 C6 43 01 00 C6 43 02 00 C6 43 03 00 C6 43 04 00 8B C6 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_13795_0 {
	meta:
		name = "TTransportFilterTools.HasNoFilter"
		size = 35
	strings:
		$1 = { 80 38 06 75 18 80 78 01 00 75 12 80 78 02 00 75 0C 80 78 03 00 75 06 80 78 04 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_13796_0 {
	meta:
		name = "TTransportFilterTools.HasPublicKey"
		size = 7
	strings:
		$1 = { 80 38 07 0F 94 C0 C3 }
	condition:
		$1
}

rule function_13797_0 {
	meta:
		name = "TTransportFilterTools.HasPublicKeyCryptography"
		size = 57
	strings:
		$1 = { 53 56 57 55 8B E8 8B 45 08 8B 58 08 4B 85 DB 7C 21 43 33 FF 8B D7 8B C5 8B 08 FF 51 34 8B F0 8B C6 8B 10 FF 52 34 84 C0 74 04 B0 01 EB 06 47 4B 75 E2 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13798_0 {
	meta:
		name = "TTransportFilterTools.EncodeDataLength"
		size = 43
	strings:
		$1 = { C6 00 0D 8B CA C1 E9 18 80 E1 FF 88 48 01 8B CA C1 E9 10 80 E1 FF 88 48 02 8B CA C1 E9 08 80 E1 FF 88 48 03 80 E2 FF 88 50 04 C3 }
	condition:
		$1
}

rule function_13799_0 {
	meta:
		name = "TTransportFilterTools.EncodePublicKeyLength"
		size = 43
	strings:
		$1 = { C6 00 07 8B CA C1 E9 18 80 E1 FF 88 48 01 8B CA C1 E9 10 80 E1 FF 88 48 02 8B CA C1 E9 08 80 E1 FF 88 48 03 80 E2 FF 88 50 04 C3 }
	condition:
		$1
}

rule function_13800_0 {
	meta:
		name = "TTransportFilterTools.DecodeDataLen"
		size = 74
	strings:
		$1 = { 0F B6 10 80 FA 0D 74 05 80 FA 07 75 39 0F B6 50 04 80 E2 FF 0F B6 D2 0F B6 48 01 80 E1 FF 0F B6 C9 C1 E1 18 0B D1 0F B6 48 02 80 E1 FF 0F B6 C9 C1 E1 10 0B D1 0F B6 40 03 24 FF 0F B6 C0 C1 E0 08 0B D0 8B C2 C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_13804_0 {
	meta:
		name = "TChartBrush.HasImage"
		size = 8
		altNames = "TDBXFilterSocketChannel.HasLeftover TDSProxyMethod.HasReturnValue TObjectWrapper.GetAttached"
	strings:
		$1 = { 83 78 20 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_13806_0 {
	meta:
		name = "TDBXFilterSocketChannel.ConsumeLeftover"
		size = 215
		refs = "0020 TDBXFilterSocketChannel.ConsumeLeftover 002e @DynArrayLength 0045 TArray<System.Byte> 004a @DynArrayAsg 007b Move 009e @DynArrayClear 00c0 @FinalizeArray 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F0 89 55 F4 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 E8 ?? ?? ?? ?? 8B F0 2B 73 24 3B FE 7D 02 8B F7 8D 45 FC 8B 53 20 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C6 85 C0 7E 17 8B 4D FC 8B 7B 24 03 CF 51 8B 4D F8 8D 14 11 8B C8 58 E8 ?? ?? ?? ?? 01 73 24 8B 43 20 E8 ?? ?? ?? ?? 3B 43 24 7F 13 33 C0 89 43 24 8D 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13807_0 {
	meta:
		name = "TDBXFilterSocketChannel.SetLeftover"
		size = 32
		refs = "0010 TArray<System.Byte> 0015 @DynArrayAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8D 43 20 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 7B 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13808_0 {
	meta:
		name = "TDBXFilterSocketChannel.FilterParameters"
		size = 495
		refs = "001e TDBXFilterSocketChannel.FilterParameters 002b _Dn_TJSONObject 0030 TJSONObject.Create 008a _Dn_TJSONPair 008f TJSONPair.Create 009b TJSONObject.AddPair 00af _Dn_TJSONString 00b4 TJSONString.Create 00bd TJSONPair.SetJsonString 00d6 TJSONPair.SetJsonValue 00f2 @DynArrayLength 017c _Dn_TJSONNull 0181 TJSONAncestor.Create 01c4 @UStrClr 01d5 TDBXStringArray 01da @DynArrayClear 01e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D D4 89 4D FC 89 4D F8 88 55 F3 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 F4 8B 50 0C 85 D2 0F 84 6B 01 00 00 8B 42 08 8B 40 08 85 C0 0F 8E 5D 01 00 00 48 85 C0 0F 8C 54 01 00 00 40 89 45 DC C7 45 E8 00 00 00 00 8B 45 F4 8B 40 0C 8B 55 E8 8B 08 FF 51 34 8B F0 8B C6 8B 10 FF 52 34 3A 45 F3 0F 85 1D 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8D 55 D4 8B C6 8B 08 FF 51 04 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 8B 08 FF 51 28 83 7D FC 00 0F 84 B6 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 8E A6 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 0F 8C 95 00 00 00 40 89 45 D8 C7 45 E0 00 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 55 E0 8B 0C 90 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 E0 8B 14 90 8D 4D F8 8B C6 8B 38 FF 57 08 83 7D F8 00 74 1A 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 15 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 45 E4 E8 ?? ?? ?? ?? FF 45 E0 FF 4D D8 0F 85 76 FF FF FF FF 45 E8 FF 4D DC 0F 85 B7 FE FF FF 8B 5D EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13809_0 {
	meta:
		name = "TDBXFilterSocketChannel.RestoreFilterList"
		size = 684
		refs = "002d TDBXFilterSocketChannel.RestoreFilterList 0047 _Dn_TTransportFilterCollection 004c TTransportFilterCollection.Create 0060 _Dn_TJSONObject 0065 TJSONObject.Create 0074 TJSONObject.Parse 0080 TObject.Free 008f TJSONObject.Size 00a7 TJSONObject.Get 00b0 TJSONPair.GetJsonString 00d3 TTransportFilterFactory.CreateFilter 00ed SFilterNotRegistered 00f2 LoadResString 010b Format 0118 _Dn_TDBXError 011d TDBXError.Create 0122 @RaiseExcept 014a TJSONPair.GetJsonValue 01a0 @UStrClr 01fc SInvalidFilterParameter 0276 @UStrArrayClr 029e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 33 DB 89 5D C4 89 5D A8 89 5D A4 89 5D D4 89 5D D0 89 5D FC 89 5D F8 89 5D F4 8B F1 8B DA 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 8B 45 F0 83 78 0C 00 75 19 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 89 42 0C 8B 45 F0 C6 40 10 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B CE 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 7F 0F 8B 45 E8 E8 ?? ?? ?? ?? 33 DB E9 D5 01 00 00 8B 45 E8 E8 ?? ?? ?? ?? 48 83 F8 00 0F 8C B9 01 00 00 89 45 E4 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 11 8B 45 F0 8B 40 0C 8B 55 FC 8B 08 FF 51 38 8B F0 85 F6 75 5B 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 75 49 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 D4 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 8B 45 FC 89 45 C8 C6 45 CC 11 8D 55 C8 33 C9 58 E8 ?? ?? ?? ?? 8B 45 D4 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 EF 01 33 D2 8B C6 8B 08 FF 51 30 8B 45 F0 8B 50 0C 8B C6 8B 08 FF 51 44 8B C6 8B 10 FF 52 1C 8B C3 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 E8 ?? ?? ?? ?? 48 85 C0 0F 8C D4 00 00 00 40 89 45 D8 C7 45 DC 00 00 00 00 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 11 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 14 84 C0 74 0A 8D 45 F4 E8 ?? ?? ?? ?? EB 09 8D 55 F4 8B C3 8B 08 FF 11 8B 4D F4 8B 55 F8 8B C6 8B 18 FF 53 10 84 C0 75 6A 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 C4 50 8D 55 A8 8B C6 8B 08 FF 51 04 8B 45 A8 89 45 AC C6 45 B0 11 8B 45 F8 89 45 B4 C6 45 B8 11 8B 45 F4 89 45 BC C6 45 C0 11 8D 45 AC 50 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A4 B9 02 00 00 00 5A E8 ?? ?? ?? ?? 8B 45 C4 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 DC FF 4D D8 0F 85 37 FF FF FF 80 7D EF 00 74 0D 8B 45 F0 8B 40 0C 8B D6 8B 08 FF 51 2C FF 4D E4 83 7D E4 FF 0F 85 4A FE FF FF 8B 45 E8 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13810_0 {
	meta:
		name = "TDBXFilterSocketChannel.Create"
		size = 116
		refs = "000a @ClassCreate 0015 TDBXFilterSocketChannel.Pendant 001b TDBXFilterSocketChannel.Filtered 0025 TDBXFilterSocketChannel.Regular 0032 TObject.Create 0042 TArray<System.Byte> 0047 @DynArraySetLength 0061 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 A3 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 C7 05 ?? ?? ?? ?? FF FF FF FF 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 05 8D 46 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? 89 46 1C C6 46 10 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_13811_0 {
	meta:
		name = "TDBXFilterSocketChannel.Create"
		size = 93
		refs = "000b @ClassCreate 0018 TDBXFilterSocketChannel.Pendant 001e TDBXFilterSocketChannel.Filtered 0028 TDBXFilterSocketChannel.Regular 0035 TDBXFilterSocketChannel.Create 0049 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 A3 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 C7 05 ?? ?? ?? ?? FF FF FF FF 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 8B 08 FF 51 30 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13813_0 {
	meta:
		name = "TDBXFilterSocketChannel.Destroy"
		size = 117
		refs = "0004 @BeforeDestruction 002b TBaseTransportFilterCollection.GetItem 0030 TObject.Free 0062 TDbxChannel.Destroy 006d @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 80 7F 10 00 74 38 8B 47 0C 85 C0 74 31 8B 40 08 8B 70 08 4E 83 FE 00 7C 15 8B 47 0C 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4E 83 FE FF 75 EB 8D 47 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 47 18 85 C0 74 0A E8 ?? ?? ?? ?? 33 C0 89 47 18 B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13814_0 {
	meta:
		name = "TDBXFilterSocketChannel.SetFilterList"
		size = 303
		refs = "001e TDBXFilterSocketChannel.SetFilterList 0041 TObject.Free 0048 _Dn_TTransportFilterCollection 004d TTransportFilterCollection.Create 0098 TTransportFilterFactory.CreateFilter 00ae @DynArrayLength 010e @UStrArrayClr 0117 TDBXStringArray 011c @DynArrayClear 0122 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D DC 89 4D E0 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 80 78 10 00 74 14 8B 45 F8 83 78 0C 00 74 0B 8B 45 F8 8B 40 0C E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C 8B 45 F8 C6 40 10 01 8B 45 F4 8B 40 08 8B 40 08 48 85 C0 0F 8C 88 00 00 00 40 89 45 E4 C7 45 E8 00 00 00 00 8B 55 E8 8B 45 F4 8B 08 FF 51 34 89 45 EC 8D 55 E0 8B 45 EC 8B 08 FF 51 04 8B 45 E0 E8 ?? ?? ?? ?? 89 45 F0 8D 55 FC 8B 45 EC 8B 08 FF 51 2C 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 29 46 33 DB 8D 4D DC 8B 45 FC 8B 14 98 8B 45 EC 8B 38 FF 57 08 8B 4D DC 8B 45 FC 8B 14 98 8B 45 F0 8B 38 FF 57 0C 43 4E 75 DA 8B 45 F8 8B 40 0C 8B 55 F0 8B 08 FF 51 2C FF 45 E8 FF 4D E4 75 83 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13815_0 {
	meta:
		name = "TDBXFilterSocketChannel.HasFilters"
		size = 21
	strings:
		$1 = { 8B 50 0C 85 D2 74 0B 8B 42 08 83 78 08 00 0F 95 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_13816_0 {
	meta:
		name = "TDBXFilterSocketChannel.FillBuffer"
		size = 85
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 89 55 F8 89 45 FC 33 DB 3B 5D 08 7D 2D 8B 45 08 2B C3 50 8B 4D F4 03 CB 8B 45 FC 8B 40 18 8B 55 F8 8B 30 FF 56 08 8B F0 83 FE FF 75 06 C6 45 F3 00 EB 0B 03 DE 3B 5D 08 7C D3 C6 45 F3 01 0F B6 45 F3 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13817_0 {
	meta:
		name = "TDBXFilterSocketChannel.Read"
		size = 792
		refs = "0021 TDBXFilterSocketChannel.Read 0030 TDBXFilterSocketChannel.Pendant 0044 TDBXFilterSocketChannel.FillBuffer 0058 TTransportFilterTools.IsFilterQuery 0074 TDBXFilterSocketChannel.Filtered 0087 TTransportFilterTools.HasPublicKeyCryptography 0099 TDBXFilterSocketChannel.SendFilterParameters 00c8 TDBXFilterSocketChannel.ReceiveAndSetConfederateFilterParameters 0137 TDBXFilterSocketChannel.Regular 0147 TTransportFilterTools.NoFilter 01a0 TArray<System.Byte> 01a5 @DynArrayAsg 01d5 Move 022c TDBXFilterSocketChannel.ConsumeLeftover 0255 TTransportFilterTools.DecodeDataLen 0274 @DynArraySetLength 029f TDBXFilterSocketChannel.FilterDataRead 02ab TDBXFilterSocketChannel.SetLeftover 02ef @DynArrayClear 0302 @FinalizeArray 0308 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D E8 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 1C 3B 05 ?? ?? ?? ?? 0F 85 CB 01 00 00 6A 05 33 C9 8B 53 14 8B C3 E8 ?? ?? ?? ?? 84 C0 75 08 83 CB FF E9 84 02 00 00 8B 43 14 E8 ?? ?? ?? ?? 84 C0 0F 84 19 01 00 00 8B C3 8B 10 FF 52 24 84 C0 0F 84 C3 00 00 00 A1 ?? ?? ?? ?? 89 43 1C 8B 43 0C 8B 10 FF 52 40 8B 43 0C E8 ?? ?? ?? ?? 88 45 E7 80 7D E7 00 74 44 B2 01 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 08 83 CB FF E9 2F 02 00 00 6A 05 33 C9 8B 53 14 8B C3 E8 ?? ?? ?? ?? 84 C0 75 08 83 CB FF E9 15 02 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 08 83 CB FF E9 00 02 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 08 83 CB FF E9 EB 01 00 00 6A 05 33 C9 8B 53 14 8B C3 E8 ?? ?? ?? ?? 84 C0 75 08 83 CB FF E9 D1 01 00 00 0F B6 55 E7 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 08 83 CB FF E9 BA 01 00 00 8B 43 0C 8B 10 FF 52 3C 84 C0 0F 85 D7 00 00 00 83 CB FF E9 A2 01 00 00 A1 ?? ?? ?? ?? 89 43 1C 6A 05 8D 55 E0 8B 43 14 E8 ?? ?? ?? ?? 8B 55 E0 33 C9 8B 43 18 8B 30 FF 56 0C 85 C0 7D 08 83 CB FF E9 74 01 00 00 8B 45 08 50 8B 4D E8 8B 55 EC 8B 43 18 8B 18 FF 53 08 8B D8 E9 5B 01 00 00 8B C3 8B 10 FF 52 24 84 C0 74 08 83 CB FF E9 48 01 00 00 A1 ?? ?? ?? ?? 89 43 1C 8D 45 F4 8B 53 14 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 B8 05 00 00 00 85 C0 7E 13 8B 4D F4 33 F6 03 CE 8B 75 F0 8D 14 16 91 E8 ?? ?? ?? ?? 8B 45 08 83 E8 05 50 8B 4D E8 83 C1 05 8B 55 EC 8B 43 18 8B 18 FF 53 08 85 C0 7D 08 83 CB FF E9 DB 00 00 00 8D 58 05 E9 D3 00 00 00 8B 43 1C 3B 05 ?? ?? ?? ?? 0F 85 B0 00 00 00 8B C3 8B 10 FF 52 20 84 C0 74 18 8B 45 08 50 8B 4D E8 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 A1 00 00 00 6A 05 33 C9 8B 53 14 8B C3 E8 ?? ?? ?? ?? 84 C0 75 08 83 CB FF E9 87 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 05 83 CB FF EB 74 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 56 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 05 83 CB FF EB 47 6A 00 8D 45 F8 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C9 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D E8 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 14 8B 45 08 50 8B 4D E8 8B 55 EC 8B 43 18 8B 18 FF 53 08 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 8B C3 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13818_0 {
	meta:
		name = "TDBXFilterSocketChannel.SendFilterParameters"
		size = 372
		refs = "0016 TDBXFilterSocketChannel.SendFilterParameters 002c TArray<System.Byte> 0031 @DynArraySetLength 004d TDBXFilterSocketChannel.FilterParameters 008d TObject.Free 00a5 TDBXFilterSocketChannel.FilterDataWrite 00b6 @DynArrayAsg 00be @DynArrayLength 00ca TTransportFilterTools.EncodeDataLength 00d6 TTransportFilterTools.EncodePublicKeyLength 011d @HandleOnException 0125 _Dn_TDBXError 012e @DoneExcept 014c @DynArrayClear 015f @FinalizeArray 0165 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 88 55 F7 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 05 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 55 F7 8B C6 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 8B 10 FF 52 04 8B D8 53 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C9 8B 55 F8 8B 45 F0 8B 18 FF 53 08 8B D8 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? 80 7D F7 00 75 39 6A 01 8D 45 EC 50 8B CB 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 6A 05 8B 46 18 33 C9 8B 55 FC 8B 38 FF 57 0C 85 C0 7D 0D 83 CB FF 33 C0 5A 59 59 64 89 10 EB 3B 53 8B 46 18 33 C9 8B 55 F8 8B 18 FF 53 0C 8B D8 33 C0 5A 59 59 64 89 10 EB 21 33 C0 5A 59 59 64 89 10 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_13819_0 {
	meta:
		name = "TDBXFilterSocketChannel.Write"
		size = 680
		refs = "0029 TDBXFilterSocketChannel.Write 0043 TDBXFilterSocketChannel.Pendant 0056 TTransportFilterTools.FilterQuery 007d TDBXFilterSocketChannel.FillBuffer 008d TTransportFilterTools.HasNoFilter 0099 TTransportFilterTools.HasPublicKey 00fd SNoMatchingFilter 0102 LoadResString 010d Format 011a _Dn_TDBXError 011f TDBXError.Create 0124 @RaiseExcept 013b TDBXFilterSocketChannel.Regular 0148 TDBXFilterSocketChannel.Filtered 015a TDBXFilterSocketChannel.ReceiveAndSetConfederateFilterParameters 016f TDBXFilterSocketChannel.SendFilterParameters 01ff TDBXFilterSocketChannel.FilterDataWrite 0207 @DynArrayLength 0211 TTransportFilterTools.EncodeDataLength 026d @UStrArrayClr 0275 @UStrClr 027e TArray<System.Byte> 0283 @DynArrayClear 0297 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D E4 89 5D D8 89 5D D4 89 5D E8 89 5D FC 89 4D F4 89 55 F8 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 07 33 DB E9 19 02 00 00 8B 43 1C 3B 05 ?? ?? ?? ?? 0F 85 99 01 00 00 6A 05 8D 55 E8 8B 43 14 E8 ?? ?? ?? ?? 8B 55 E8 33 C9 8B 43 18 8B 38 FF 57 0C 85 C0 7D 08 83 CB FF E9 E4 01 00 00 6A 05 33 C9 8B 53 14 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 58 01 00 00 8B 43 14 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 43 14 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 EF 80 7D EF 00 75 7E 8B 43 0C 85 C0 74 77 8B 40 08 8B 78 08 4F 83 FF 00 7C 6B 8B D7 8B 43 0C 8B 08 FF 51 34 89 45 F0 8B 45 F0 8B 10 FF 52 34 3C 01 75 4C 8D 45 E4 50 8D 55 D8 8B 45 F0 8B 08 FF 51 04 8B 45 D8 89 45 DC C6 45 E0 11 8D 45 DC 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 33 C9 5A E8 ?? ?? ?? ?? 8B 45 E4 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4F 83 FF FF 75 95 8B 43 14 E8 ?? ?? ?? ?? 84 C0 74 0D A1 ?? ?? ?? ?? 89 43 1C E9 9F 00 00 00 A1 ?? ?? ?? ?? 89 43 1C 80 7D EF 00 74 51 33 D2 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 08 83 CB FF E9 ED 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 08 83 CB FF E9 D8 00 00 00 6A 05 33 C9 8B 53 14 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D B2 01 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 1D 83 CB FF E9 B1 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 08 83 CB FF E9 9C 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 08 83 CB FF E9 87 00 00 00 8B 43 0C 8B 10 FF 52 3C 84 C0 75 0A 83 CB FF EB 76 83 CB FF EB 71 8B 43 1C 3B 05 ?? ?? ?? ?? 75 55 6A 00 8D 45 FC 50 8B CE 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 43 14 E8 ?? ?? ?? ?? 6A 05 33 C9 8B 53 14 8B 43 18 8B 30 FF 56 0C 40 75 05 83 CB FF EB 2B 8B 45 FC E8 ?? ?? ?? ?? 50 33 C9 8B 55 FC 8B 43 18 8B 18 FF 53 0C 8B D8 EB 11 56 8B 4D F4 8B 55 F8 8B 43 18 8B 18 FF 53 0C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C7 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_13820_0 {
	meta:
		name = "TDBXFilterSocketChannel.ReceiveAndSetConfederateFilterParameters"
		size = 203
		refs = "0012 TDBXFilterSocketChannel.ReceiveAndSetConfederateFilterParameters 0020 TTransportFilterTools.DecodeDataLen 003a TArray<System.Byte> 003f @DynArraySetLength 004f TDBXFilterSocketChannel.FillBuffer 006e TDBXFilterSocketChannel.FilterDataRead 007f @DynArrayAsg 008b TDBXFilterSocketChannel.RestoreFilterList 00b6 @FinalizeArray 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 14 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 05 83 CB FF EB 6B 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 56 33 C9 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 84 C0 75 05 83 CB FF EB 3E 84 DB 74 23 6A 01 8D 45 F8 50 8B CE 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 84 C0 75 05 83 CB FF EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_13821_0 {
	meta:
		name = "TDBXFilterSocketChannel.FilterDataRead"
		size = 289
		refs = "001c TDBXFilterSocketChannel.FilterDataRead 0031 TArray<System.Byte> 0036 @DynArraySetLength 0049 @DynArrayAsg 0075 Move 00fa @DynArrayClear 010d @FinalizeArray 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 8B F2 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C3 85 C0 7E 13 8B 4D F8 33 DB 03 CB 8B 5D F4 8D 14 13 91 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C 8B 40 08 8B 70 08 4E 85 F6 7C 48 46 C7 45 EC 00 00 00 00 8B 45 F0 8B 40 0C 8B 55 EC 8B 08 FF 51 34 8B D8 8B C3 8B 10 FF 52 34 3A 45 0C 75 1E 8D 4D E8 8B 55 FC 8B C3 8B 18 FF 53 18 8B 55 E8 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 EC 4E 75 C0 8B 45 08 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_13822_0 {
	meta:
		name = "TDBXFilterSocketChannel.FilterDataWrite"
		size = 289
		refs = "001c TDBXFilterSocketChannel.FilterDataWrite 0031 TArray<System.Byte> 0036 @DynArraySetLength 0049 @DynArrayAsg 0075 Move 00fa @DynArrayClear 010d @FinalizeArray 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 8B F2 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C3 85 C0 7E 13 8B 4D F8 33 DB 03 CB 8B 5D F4 8D 14 13 91 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C 8B 40 08 8B 70 08 4E 85 F6 7C 48 46 C7 45 EC 00 00 00 00 8B 45 F0 8B 40 0C 8B 55 EC 8B 08 FF 51 34 8B D8 8B C3 8B 10 FF 52 34 3A 45 0C 75 1E 8D 4D E8 8B 55 FC 8B C3 8B 18 FF 53 14 8B 55 E8 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 EC 4E 75 C0 8B 45 08 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_13823_0 {
	meta:
		name = "TDBXFilterSocketChannel.Close"
		size = 9
	strings:
		$1 = { 8B 40 18 8B 10 FF 52 04 C3 }
	condition:
		$1
}

rule function_13825_0 {
	meta:
		name = "TDBXFilterSocketChannel.Open"
		size = 8
	strings:
		$1 = { 8B 40 18 8B 10 FF 12 C3 }
	condition:
		$1
}

rule function_13827_0 {
	meta:
		name = "TDBXFilterSocketChannel.SetDBXProperties"
		size = 144
		refs = "000f TDBXFilterSocketChannel.SetDBXProperties 002e TDBXProperties.GetValue 0046 TTransportFilterCollection.FromJSON 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 43 18 8B 08 FF 51 1C 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 45 FC E8 ?? ?? ?? ?? 89 43 0C C6 43 10 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 46 00 69 00 6C 00 74 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_13830_0 {
	meta:
		name = "TDBXCatalogsTableStorage.Create"
		size = 192
		refs = "0010 @ClassCreate 001c TDBXCatalogsTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreateCatalogsColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_13831_0 {
	meta:
		name = "TDBXCatalogsTableStorage.Create"
		size = 69
		refs = "000b @ClassCreate 001a TDBXDelegateTable.Create 0031 @AfterConstruction"
		altNames = "TDBXColumnConstraintsTableStorage.Create TDBXColumnsTableStorage.Create TDBXDataTypesTableStorage.Create TDBXForeignKeyColumnsTableStorage.Create TDBXForeignKeysTableStorage.Create TDBXIndexColumnsTableStorage.Create TDBXIndexesTableStorage.Create TDBXPackageProcedureParametersTableStorage.Create TDBXPackageProceduresTableStorage.Create TDBXPackageSourcesTableStorage.Create TDBXPackagesTableStorage.Create TDBXProcedureParametersTableStorage.Create TDBXProcedureSourcesTableStorage.Create TDBXProceduresTableStorage.Create TDBXReservedWordsTableStorage.Create TDBXRolesTableStorage.Create TDBXSchemasTableStorage.Create TDBXSynonymsTableStorage.Create TDBXTablesTableStorage.Create TDBXUsersTableStorage.Create TDBXViewsTableStorage.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_13832_0 {
	meta:
		name = "TDBXCatalogsTableStorage.GetCatalogName"
		size = 25
		altNames = "TDBXColumnConstraintsTableStorage.GetCatalogName TDBXColumnsTableStorage.GetCatalogName TDBXDataTypesTableStorage.GetTypeName TDBXForeignKeyColumnsTableStorage.GetCatalogName TDBXForeignKeysTableStorage.GetCatalogName TDBXIndexColumnsTableStorage.GetCatalogName TDBXIndexesTableStorage.GetCatalogName TDBXPackageProcedureParametersTableStorage.GetCatalogName TDBXPackageProceduresTableStorage.GetCatalogName TDBXPackageSourcesTableStorage.GetCatalogName TDBXPackagesTableStorage.GetCatalogName TDBXProcedureParametersTableStorage.GetCatalogName TDBXProcedureSourcesTableStorage.GetCatalogName TDBXProceduresTableStorage.GetCatalogName TDBXReservedWordsTableStorage.GetReservedWord TDBXRolesTableStorage.GetRoleName TDBXSchemasTableStorage.GetCatalogName TDBXSynonymsTableStorage.GetCatalogName TDBXTablesTableStorage.GetCatalogName TDBXUsersTableStorage.GetUserName TDBXViewsTableStorage.GetCatalogName"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 51 28 5E 5B C3 }
	condition:
		$1
}

rule function_13833_0 {
	meta:
		name = "TDBXCatalogsTableStorage.SetCatalogName"
		size = 28
		altNames = "TDBXColumnConstraintsTableStorage.SetCatalogName TDBXColumnsTableStorage.SetCatalogName TDBXDataTypesTableStorage.SetTypeName TDBXForeignKeyColumnsTableStorage.SetCatalogName TDBXForeignKeysTableStorage.SetCatalogName TDBXIndexColumnsTableStorage.SetCatalogName TDBXIndexesTableStorage.SetCatalogName TDBXPackageProcedureParametersTableStorage.SetCatalogName TDBXPackageProceduresTableStorage.SetCatalogName TDBXPackageSourcesTableStorage.SetCatalogName TDBXPackagesTableStorage.SetCatalogName TDBXProcedureParametersTableStorage.SetCatalogName TDBXProcedureSourcesTableStorage.SetCatalogName TDBXProceduresTableStorage.SetCatalogName TDBXReservedWordsTableStorage.SetReservedWord TDBXRolesTableStorage.SetRoleName TDBXSchemasTableStorage.SetCatalogName TDBXSynonymsTableStorage.SetCatalogName TDBXTablesTableStorage.SetCatalogName TDBXUsersTableStorage.SetUserName TDBXViewsTableStorage.SetCatalogName"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13834_0 {
	meta:
		name = "TDBXColumnConstraintsTableStorage.Create"
		size = 208
		refs = "0010 @ClassCreate 001c TDBXColumnConstraintsTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreateColumnConstraintsColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 43 00 6F 00 6E 00 73 00 74 00 72 00 61 00 69 00 6E 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_13838_0 {
	meta:
		name = "TDBXColumnConstraintsTableStorage.GetSchemaName"
		size = 28
		altNames = "TDBXColumnsTableStorage.GetSchemaName TDBXForeignKeyColumnsTableStorage.GetSchemaName TDBXForeignKeysTableStorage.GetSchemaName TDBXIndexColumnsTableStorage.GetSchemaName TDBXIndexesTableStorage.GetSchemaName TDBXPackageProcedureParametersTableStorage.GetSchemaName TDBXPackageProceduresTableStorage.GetSchemaName TDBXPackageSourcesTableStorage.GetSchemaName TDBXPackagesTableStorage.GetSchemaName TDBXProcedureParametersTableStorage.GetSchemaName TDBXProcedureSourcesTableStorage.GetSchemaName TDBXProceduresTableStorage.GetSchemaName TDBXSchemasTableStorage.GetSchemaName TDBXSynonymsTableStorage.GetSchemaName TDBXTablesTableStorage.GetSchemaName TDBXViewsTableStorage.GetSchemaName"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 01 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 51 28 5E 5B C3 }
	condition:
		$1
}

rule function_13839_0 {
	meta:
		name = "TDBXColumnConstraintsTableStorage.SetSchemaName"
		size = 31
		altNames = "TDBXColumnsTableStorage.SetSchemaName TDBXForeignKeyColumnsTableStorage.SetSchemaName TDBXForeignKeysTableStorage.SetSchemaName TDBXIndexColumnsTableStorage.SetSchemaName TDBXIndexesTableStorage.SetSchemaName TDBXPackageProcedureParametersTableStorage.SetSchemaName TDBXPackageProceduresTableStorage.SetSchemaName TDBXPackageSourcesTableStorage.SetSchemaName TDBXPackagesTableStorage.SetSchemaName TDBXProcedureParametersTableStorage.SetSchemaName TDBXProcedureSourcesTableStorage.SetSchemaName TDBXProceduresTableStorage.SetSchemaName TDBXSchemasTableStorage.SetSchemaName TDBXSynonymsTableStorage.SetSchemaName TDBXTablesTableStorage.SetSchemaName TDBXViewsTableStorage.SetSchemaName"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 01 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13840_0 {
	meta:
		name = "TDBXColumnConstraintsTableStorage.GetTableName"
		size = 28
		altNames = "TDBXColumnsTableStorage.GetTableName TDBXForeignKeyColumnsTableStorage.GetTableName TDBXForeignKeysTableStorage.GetTableName TDBXIndexColumnsTableStorage.GetTableName TDBXIndexesTableStorage.GetTableName TDBXPackageProcedureParametersTableStorage.GetPackageName TDBXPackageProceduresTableStorage.GetPackageName TDBXPackageSourcesTableStorage.GetPackageName TDBXPackagesTableStorage.GetPackageName TDBXProcedureParametersTableStorage.GetProcedureName TDBXProcedureSourcesTableStorage.GetProcedureName TDBXProceduresTableStorage.GetProcedureName TDBXSynonymsTableStorage.GetSynonymName TDBXTablesTableStorage.GetTableName TDBXViewsTableStorage.GetViewName"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 02 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 51 28 5E 5B C3 }
	condition:
		$1
}

rule function_13841_0 {
	meta:
		name = "TDBXColumnConstraintsTableStorage.SetTableName"
		size = 31
		altNames = "TDBXColumnsTableStorage.SetTableName TDBXForeignKeyColumnsTableStorage.SetTableName TDBXForeignKeysTableStorage.SetTableName TDBXIndexColumnsTableStorage.SetTableName TDBXIndexesTableStorage.SetTableName TDBXPackageProcedureParametersTableStorage.SetPackageName TDBXPackageProceduresTableStorage.SetPackageName TDBXPackageSourcesTableStorage.SetPackageName TDBXPackagesTableStorage.SetPackageName TDBXProcedureParametersTableStorage.SetProcedureName TDBXProcedureSourcesTableStorage.SetProcedureName TDBXProceduresTableStorage.SetProcedureName TDBXSynonymsTableStorage.SetSynonymName TDBXTablesTableStorage.SetTableName TDBXViewsTableStorage.SetViewName"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 02 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13842_0 {
	meta:
		name = "TDBXColumnConstraintsTableStorage.GetConstraintName"
		size = 28
		altNames = "TDBXColumnsTableStorage.GetColumnName TDBXDataTypesTableStorage.GetCreateFormat TDBXForeignKeyColumnsTableStorage.GetForeignKeyName TDBXForeignKeysTableStorage.GetForeignKeyName TDBXIndexColumnsTableStorage.GetIndexName TDBXIndexesTableStorage.GetIndexName TDBXPackageProcedureParametersTableStorage.GetProcedureName TDBXPackageProceduresTableStorage.GetProcedureName TDBXPackageSourcesTableStorage.GetDefinition TDBXProcedureParametersTableStorage.GetParameterName TDBXProcedureSourcesTableStorage.GetProcedureType TDBXProceduresTableStorage.GetProcedureType TDBXSynonymsTableStorage.GetTableCatalogName TDBXTablesTableStorage.GetTableType TDBXViewsTableStorage.GetDefinition"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 03 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 51 28 5E 5B C3 }
	condition:
		$1
}

rule function_13843_0 {
	meta:
		name = "TDBXColumnConstraintsTableStorage.SetConstraintName"
		size = 31
		altNames = "TDBXColumnsTableStorage.SetColumnName TDBXDataTypesTableStorage.SetCreateFormat TDBXForeignKeyColumnsTableStorage.SetForeignKeyName TDBXForeignKeysTableStorage.SetForeignKeyName TDBXIndexColumnsTableStorage.SetIndexName TDBXIndexesTableStorage.SetIndexName TDBXPackageProcedureParametersTableStorage.SetProcedureName TDBXPackageProceduresTableStorage.SetProcedureName TDBXPackageSourcesTableStorage.SetDefinition TDBXProcedureParametersTableStorage.SetParameterName TDBXProcedureSourcesTableStorage.SetProcedureType TDBXProceduresTableStorage.SetProcedureType TDBXSynonymsTableStorage.SetTableCatalogName TDBXTablesTableStorage.SetTableType TDBXViewsTableStorage.SetDefinition"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 03 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13844_0 {
	meta:
		name = "TDBXColumnConstraintsTableStorage.GetColumnName"
		size = 28
		altNames = "TDBXColumnsTableStorage.GetTypeName TDBXDataTypesTableStorage.GetCreateParameters TDBXForeignKeyColumnsTableStorage.GetColumnName TDBXIndexColumnsTableStorage.GetColumnName TDBXIndexesTableStorage.GetConstraintName TDBXPackageProcedureParametersTableStorage.GetParameterName TDBXPackageProceduresTableStorage.GetProcedureType TDBXProcedureParametersTableStorage.GetParameterMode TDBXProcedureSourcesTableStorage.GetDefinition TDBXSynonymsTableStorage.GetTableSchemaName"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 04 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 51 28 5E 5B C3 }
	condition:
		$1
}

rule function_13845_0 {
	meta:
		name = "TDBXColumnConstraintsTableStorage.SetColumnName"
		size = 31
		altNames = "TDBXColumnsTableStorage.SetTypeName TDBXDataTypesTableStorage.SetCreateParameters TDBXForeignKeyColumnsTableStorage.SetColumnName TDBXIndexColumnsTableStorage.SetColumnName TDBXIndexesTableStorage.SetConstraintName TDBXPackageProcedureParametersTableStorage.SetParameterName TDBXPackageProceduresTableStorage.SetProcedureType TDBXProcedureParametersTableStorage.SetParameterMode TDBXProcedureSourcesTableStorage.SetDefinition TDBXSynonymsTableStorage.SetTableSchemaName"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 04 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13846_0 {
	meta:
		name = "TDBXColumnsTableStorage.Create"
		size = 188
		refs = "0010 @ClassCreate 001c TDBXColumnsTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreateColumnsColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_13858_0 {
	meta:
		name = "TDBXColumnsTableStorage.GetPrecision"
		size = 22
		altNames = "TDBXIndexColumnsTableStorage.GetColumnOrdinal"
	strings:
		$1 = { 53 8B D8 BA 05 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 20 5B C3 }
	condition:
		$1
}

rule function_13859_0 {
	meta:
		name = "TDBXColumnsTableStorage.SetPrecision"
		size = 31
		altNames = "TDBXIndexColumnsTableStorage.SetColumnOrdinal"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 05 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 1C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13860_0 {
	meta:
		name = "TDBXColumnsTableStorage.GetScale"
		size = 22
		altNames = "TDBXProcedureParametersTableStorage.GetPrecision"
	strings:
		$1 = { 53 8B D8 BA 06 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 20 5B C3 }
	condition:
		$1
}

rule function_13861_0 {
	meta:
		name = "TDBXColumnsTableStorage.SetScale"
		size = 31
		altNames = "TDBXProcedureParametersTableStorage.SetPrecision"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 06 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 1C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13862_0 {
	meta:
		name = "TDBXColumnsTableStorage.GetColumnOrdinal"
		size = 22
		altNames = "TDBXPackageProcedureParametersTableStorage.GetPrecision TDBXProcedureParametersTableStorage.GetScale"
	strings:
		$1 = { 53 8B D8 BA 07 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 20 5B C3 }
	condition:
		$1
}

rule function_13863_0 {
	meta:
		name = "TDBXColumnsTableStorage.SetColumnOrdinal"
		size = 31
		altNames = "TDBXPackageProcedureParametersTableStorage.SetPrecision TDBXProcedureParametersTableStorage.SetScale"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 07 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 1C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13864_0 {
	meta:
		name = "TDBXColumnsTableStorage.GetDefaultValue"
		size = 28
		altNames = "TDBXForeignKeyColumnsTableStorage.GetPrimaryKeyName"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 08 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 51 28 5E 5B C3 }
	condition:
		$1
}

rule function_13865_0 {
	meta:
		name = "TDBXColumnsTableStorage.SetDefaultValue"
		size = 31
		altNames = "TDBXForeignKeyColumnsTableStorage.SetPrimaryKeyName"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 08 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13866_0 {
	meta:
		name = "TDBXColumnsTableStorage.IsNullable"
		size = 22
		altNames = "TDBXDataTypesTableStorage.IsFixedLength TDBXProcedureParametersTableStorage.IsNullable"
	strings:
		$1 = { 53 8B D8 BA 09 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_13867_0 {
	meta:
		name = "TDBXColumnsTableStorage.SetNullable"
		size = 31
		altNames = "TDBXDataTypesTableStorage.SetFixedLength TDBXProcedureParametersTableStorage.SetNullable"
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 09 00 00 00 8B C6 8B 08 FF 51 24 8B D3 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13868_0 {
	meta:
		name = "TDBXColumnsTableStorage.IsAutoIncrement"
		size = 22
		altNames = "TDBXDataTypesTableStorage.IsFixedPrecisionScale TDBXPackageProcedureParametersTableStorage.IsNullable"
	strings:
		$1 = { 53 8B D8 BA 0A 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_13869_0 {
	meta:
		name = "TDBXColumnsTableStorage.SetAutoIncrement"
		size = 31
		altNames = "TDBXDataTypesTableStorage.SetFixedPrecisionScale TDBXPackageProcedureParametersTableStorage.SetNullable"
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 0A 00 00 00 8B C6 8B 08 FF 51 24 8B D3 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13870_0 {
	meta:
		name = "TDBXColumnsTableStorage.GetMaxInline"
		size = 22
		altNames = "TDBXPackageProcedureParametersTableStorage.GetDbxDataType"
	strings:
		$1 = { 53 8B D8 BA 0B 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 20 5B C3 }
	condition:
		$1
}

rule function_13871_0 {
	meta:
		name = "TDBXColumnsTableStorage.SetMaxInline"
		size = 31
		altNames = "TDBXPackageProcedureParametersTableStorage.SetDbxDataType"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 0B 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 1C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13872_0 {
	meta:
		name = "TDBXColumnsTableStorage.GetDbxDataType"
		size = 22
	strings:
		$1 = { 53 8B D8 BA 0C 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 20 5B C3 }
	condition:
		$1
}

rule function_13873_0 {
	meta:
		name = "TDBXColumnsTableStorage.SetDbxDataType"
		size = 31
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 0C 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 1C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13874_0 {
	meta:
		name = "TDBXColumnsTableStorage.IsFixedLength"
		size = 22
		altNames = "TDBXDataTypesTableStorage.IsSearchable TDBXPackageProcedureParametersTableStorage.IsUnicode TDBXProcedureParametersTableStorage.IsLong"
	strings:
		$1 = { 53 8B D8 BA 0D 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_13875_0 {
	meta:
		name = "TDBXColumnsTableStorage.SetFixedLength"
		size = 31
		altNames = "TDBXDataTypesTableStorage.SetSearchable TDBXPackageProcedureParametersTableStorage.SetUnicode TDBXProcedureParametersTableStorage.SetLong"
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 0D 00 00 00 8B C6 8B 08 FF 51 24 8B D3 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13876_0 {
	meta:
		name = "TDBXColumnsTableStorage.IsUnicode"
		size = 22
		altNames = "TDBXDataTypesTableStorage.IsSearchableWithLike TDBXPackageProcedureParametersTableStorage.IsLong TDBXProcedureParametersTableStorage.IsUnsigned"
	strings:
		$1 = { 53 8B D8 BA 0E 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_13877_0 {
	meta:
		name = "TDBXColumnsTableStorage.SetUnicode"
		size = 31
		altNames = "TDBXDataTypesTableStorage.SetSearchableWithLike TDBXPackageProcedureParametersTableStorage.SetLong TDBXProcedureParametersTableStorage.SetUnsigned"
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 0E 00 00 00 8B C6 8B 08 FF 51 24 8B D3 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13878_0 {
	meta:
		name = "TDBXColumnsTableStorage.IsLong"
		size = 22
		altNames = "TDBXDataTypesTableStorage.IsUnsigned TDBXPackageProcedureParametersTableStorage.IsUnsigned"
	strings:
		$1 = { 53 8B D8 BA 0F 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_13879_0 {
	meta:
		name = "TDBXColumnsTableStorage.SetLong"
		size = 31
		altNames = "TDBXDataTypesTableStorage.SetUnsigned TDBXPackageProcedureParametersTableStorage.SetUnsigned"
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 0F 00 00 00 8B C6 8B 08 FF 51 24 8B D3 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13880_0 {
	meta:
		name = "TDBXColumnsTableStorage.IsUnsigned"
		size = 22
	strings:
		$1 = { 53 8B D8 BA 10 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_13881_0 {
	meta:
		name = "TDBXColumnsTableStorage.SetUnsigned"
		size = 31
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 10 00 00 00 8B C6 8B 08 FF 51 24 8B D3 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13882_0 {
	meta:
		name = "TDBXDataTypesTableStorage.Create"
		size = 192
		refs = "0010 @ClassCreate 001c TDBXDataTypesTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreateDataTypesColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_13886_0 {
	meta:
		name = "TDBXDataTypesTableStorage.GetDbxDataType"
		size = 22
	strings:
		$1 = { 53 8B D8 BA 01 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 20 5B C3 }
	condition:
		$1
}

rule function_13887_0 {
	meta:
		name = "TDBXDataTypesTableStorage.SetDbxDataType"
		size = 31
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 01 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 1C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13888_0 {
	meta:
		name = "TDBXDataTypesTableStorage.GetColumnSize"
		size = 44
	strings:
		$1 = { 53 83 C4 F8 8B D8 BA 02 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 92 8C 00 00 00 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_13889_0 {
	meta:
		name = "TDBXDataTypesTableStorage.SetColumnSize"
		size = 37
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 BA 02 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 92 94 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_13894_0 {
	meta:
		name = "TDBXDataTypesTableStorage.GetDataType"
		size = 28
		altNames = "TDBXForeignKeyColumnsTableStorage.GetPrimaryCatalogName TDBXPackageProcedureParametersTableStorage.GetParameterMode TDBXProcedureParametersTableStorage.GetTypeName TDBXProcedureSourcesTableStorage.GetExternalDefinition TDBXSynonymsTableStorage.GetTableName"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 05 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 51 28 5E 5B C3 }
	condition:
		$1
}

rule function_13895_0 {
	meta:
		name = "TDBXDataTypesTableStorage.SetDataType"
		size = 31
		altNames = "TDBXForeignKeyColumnsTableStorage.SetPrimaryCatalogName TDBXPackageProcedureParametersTableStorage.SetParameterMode TDBXProcedureParametersTableStorage.SetTypeName TDBXProcedureSourcesTableStorage.SetExternalDefinition TDBXSynonymsTableStorage.SetTableName"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 05 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13896_0 {
	meta:
		name = "TDBXDataTypesTableStorage.IsAutoIncrementable"
		size = 22
		altNames = "TDBXIndexColumnsTableStorage.IsAscending TDBXIndexesTableStorage.IsUnique"
	strings:
		$1 = { 53 8B D8 BA 06 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_13897_0 {
	meta:
		name = "TDBXDataTypesTableStorage.SetAutoIncrementable"
		size = 31
		altNames = "TDBXIndexColumnsTableStorage.SetAscending TDBXIndexesTableStorage.SetUnique"
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 06 00 00 00 8B C6 8B 08 FF 51 24 8B D3 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13898_0 {
	meta:
		name = "TDBXDataTypesTableStorage.IsBestMatch"
		size = 22
		altNames = "TDBXIndexesTableStorage.IsAscending"
	strings:
		$1 = { 53 8B D8 BA 07 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_13899_0 {
	meta:
		name = "TDBXDataTypesTableStorage.SetBestMatch"
		size = 31
		altNames = "TDBXIndexesTableStorage.SetAscending"
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 07 00 00 00 8B C6 8B 08 FF 51 24 8B D3 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13900_0 {
	meta:
		name = "TDBXDataTypesTableStorage.IsCaseSensitive"
		size = 22
	strings:
		$1 = { 53 8B D8 BA 08 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_13901_0 {
	meta:
		name = "TDBXDataTypesTableStorage.SetCaseSensitive"
		size = 31
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 08 00 00 00 8B C6 8B 08 FF 51 24 8B D3 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13906_0 {
	meta:
		name = "TDBXDataTypesTableStorage.IsLong"
		size = 22
		altNames = "TDBXProcedureParametersTableStorage.IsFixedLength"
	strings:
		$1 = { 53 8B D8 BA 0B 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_13907_0 {
	meta:
		name = "TDBXDataTypesTableStorage.SetLong"
		size = 31
		altNames = "TDBXProcedureParametersTableStorage.SetFixedLength"
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 0B 00 00 00 8B C6 8B 08 FF 51 24 8B D3 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13908_0 {
	meta:
		name = "TDBXDataTypesTableStorage.IsNullable"
		size = 22
		altNames = "TDBXPackageProcedureParametersTableStorage.IsFixedLength TDBXProcedureParametersTableStorage.IsUnicode"
	strings:
		$1 = { 53 8B D8 BA 0C 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_13909_0 {
	meta:
		name = "TDBXDataTypesTableStorage.SetNullable"
		size = 31
		altNames = "TDBXPackageProcedureParametersTableStorage.SetFixedLength TDBXProcedureParametersTableStorage.SetUnicode"
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 0C 00 00 00 8B C6 8B 08 FF 51 24 8B D3 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13916_0 {
	meta:
		name = "TDBXDataTypesTableStorage.GetMaximumScale"
		size = 25
	strings:
		$1 = { 53 8B D8 BA 10 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 92 84 00 00 00 5B C3 }
	condition:
		$1
}

rule function_13917_0 {
	meta:
		name = "TDBXDataTypesTableStorage.SetMaximumScale"
		size = 31
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 10 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 8C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13918_0 {
	meta:
		name = "TDBXDataTypesTableStorage.GetMinimumScale"
		size = 25
	strings:
		$1 = { 53 8B D8 BA 11 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 92 84 00 00 00 5B C3 }
	condition:
		$1
}

rule function_13919_0 {
	meta:
		name = "TDBXDataTypesTableStorage.SetMinimumScale"
		size = 31
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 11 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 8C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13920_0 {
	meta:
		name = "TDBXDataTypesTableStorage.IsConcurrencyType"
		size = 22
	strings:
		$1 = { 53 8B D8 BA 12 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_13921_0 {
	meta:
		name = "TDBXDataTypesTableStorage.SetConcurrencyType"
		size = 31
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 12 00 00 00 8B C6 8B 08 FF 51 24 8B D3 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13922_0 {
	meta:
		name = "TDBXDataTypesTableStorage.GetMaximumVersion"
		size = 28
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 13 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 51 28 5E 5B C3 }
	condition:
		$1
}

rule function_13923_0 {
	meta:
		name = "TDBXDataTypesTableStorage.SetMaximumVersion"
		size = 31
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 13 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13924_0 {
	meta:
		name = "TDBXDataTypesTableStorage.GetMinimumVersion"
		size = 28
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 14 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 51 28 5E 5B C3 }
	condition:
		$1
}

rule function_13925_0 {
	meta:
		name = "TDBXDataTypesTableStorage.SetMinimumVersion"
		size = 31
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 14 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13926_0 {
	meta:
		name = "TDBXDataTypesTableStorage.IsLiteralSupported"
		size = 22
	strings:
		$1 = { 53 8B D8 BA 15 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_13927_0 {
	meta:
		name = "TDBXDataTypesTableStorage.SetLiteralSupported"
		size = 31
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 15 00 00 00 8B C6 8B 08 FF 51 24 8B D3 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13928_0 {
	meta:
		name = "TDBXDataTypesTableStorage.GetLiteralPrefix"
		size = 28
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 16 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 51 28 5E 5B C3 }
	condition:
		$1
}

rule function_13929_0 {
	meta:
		name = "TDBXDataTypesTableStorage.SetLiteralPrefix"
		size = 31
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 16 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13930_0 {
	meta:
		name = "TDBXDataTypesTableStorage.GetLiteralSuffix"
		size = 28
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 17 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 51 28 5E 5B C3 }
	condition:
		$1
}

rule function_13931_0 {
	meta:
		name = "TDBXDataTypesTableStorage.SetLiteralSuffix"
		size = 31
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 17 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13932_0 {
	meta:
		name = "TDBXDataTypesTableStorage.IsUnicode"
		size = 22
	strings:
		$1 = { 53 8B D8 BA 18 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_13933_0 {
	meta:
		name = "TDBXDataTypesTableStorage.SetUnicode"
		size = 31
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 18 00 00 00 8B C6 8B 08 FF 51 24 8B D3 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13934_0 {
	meta:
		name = "TDBXDataTypesTableStorage.GetProviderDbType"
		size = 22
	strings:
		$1 = { 53 8B D8 BA 19 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 20 5B C3 }
	condition:
		$1
}

rule function_13935_0 {
	meta:
		name = "TDBXDataTypesTableStorage.SetProviderDbType"
		size = 31
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 19 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 1C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13936_0 {
	meta:
		name = "TDBXForeignKeyColumnsTableStorage.Create"
		size = 208
		refs = "0010 @ClassCreate 001c TDBXForeignKeyColumnsTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreateForeignKeyColumnsColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 11 00 00 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_13950_0 {
	meta:
		name = "TDBXForeignKeyColumnsTableStorage.GetPrimarySchemaName"
		size = 28
		altNames = "TDBXPackageProcedureParametersTableStorage.GetTypeName"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 06 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 51 28 5E 5B C3 }
	condition:
		$1
}

rule function_13951_0 {
	meta:
		name = "TDBXForeignKeyColumnsTableStorage.SetPrimarySchemaName"
		size = 31
		altNames = "TDBXPackageProcedureParametersTableStorage.SetTypeName"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 06 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13952_0 {
	meta:
		name = "TDBXForeignKeyColumnsTableStorage.GetPrimaryTableName"
		size = 28
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 07 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 51 28 5E 5B C3 }
	condition:
		$1
}

rule function_13953_0 {
	meta:
		name = "TDBXForeignKeyColumnsTableStorage.SetPrimaryTableName"
		size = 31
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 07 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13956_0 {
	meta:
		name = "TDBXForeignKeyColumnsTableStorage.GetPrimaryColumnName"
		size = 28
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 09 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 51 28 5E 5B C3 }
	condition:
		$1
}

rule function_13957_0 {
	meta:
		name = "TDBXForeignKeyColumnsTableStorage.SetPrimaryColumnName"
		size = 31
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 09 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13958_0 {
	meta:
		name = "TDBXForeignKeyColumnsTableStorage.GetColumnOrdinal"
		size = 22
		altNames = "TDBXProcedureParametersTableStorage.GetDbxDataType"
	strings:
		$1 = { 53 8B D8 BA 0A 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 20 5B C3 }
	condition:
		$1
}

rule function_13959_0 {
	meta:
		name = "TDBXForeignKeyColumnsTableStorage.SetColumnOrdinal"
		size = 31
		altNames = "TDBXProcedureParametersTableStorage.SetDbxDataType"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 0A 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 1C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_13960_0 {
	meta:
		name = "TDBXForeignKeysTableStorage.Create"
		size = 196
		refs = "0010 @ClassCreate 001c TDBXForeignKeysTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreateForeignKeysColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 46 00 6F 00 72 00 65 00 69 00 67 00 6E 00 4B 00 65 00 79 00 73 00 00 00 }
	condition:
		$1
}

rule function_13970_0 {
	meta:
		name = "TDBXIndexColumnsTableStorage.Create"
		size = 200
		refs = "0010 @ClassCreate 001c TDBXIndexColumnsTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreateIndexColumnsColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 6E 00 64 00 65 00 78 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_13986_0 {
	meta:
		name = "TDBXIndexesTableStorage.Create"
		size = 188
		refs = "0010 @ClassCreate 001c TDBXIndexesTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreateIndexesColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 6E 00 64 00 65 00 78 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_13998_0 {
	meta:
		name = "TDBXIndexesTableStorage.IsPrimary"
		size = 22
	strings:
		$1 = { 53 8B D8 BA 05 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_13999_0 {
	meta:
		name = "TDBXIndexesTableStorage.SetPrimary"
		size = 31
	strings:
		$1 = { 53 56 8B DA 8B F0 BA 05 00 00 00 8B C6 8B 08 FF 51 24 8B D3 8B 08 FF 91 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_14004_0 {
	meta:
		name = "TDBXPackageProcedureParametersTableStorage.Create"
		size = 228
		refs = "0010 @ClassCreate 001c TDBXPackageProcedureParametersTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreatePackageProcedureParametersColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 1A 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_14022_0 {
	meta:
		name = "TDBXPackageProcedureParametersTableStorage.GetScale"
		size = 22
		altNames = "TDBXProcedureParametersTableStorage.GetColumnOrdinal"
	strings:
		$1 = { 53 8B D8 BA 08 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 20 5B C3 }
	condition:
		$1
}

rule function_14023_0 {
	meta:
		name = "TDBXPackageProcedureParametersTableStorage.SetScale"
		size = 31
		altNames = "TDBXProcedureParametersTableStorage.SetColumnOrdinal"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 08 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 1C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_14024_0 {
	meta:
		name = "TDBXPackageProcedureParametersTableStorage.GetColumnOrdinal"
		size = 22
	strings:
		$1 = { 53 8B D8 BA 09 00 00 00 8B C3 8B 08 FF 51 24 8B 10 FF 52 20 5B C3 }
	condition:
		$1
}

rule function_14025_0 {
	meta:
		name = "TDBXPackageProcedureParametersTableStorage.SetColumnOrdinal"
		size = 31
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 09 00 00 00 8B C3 8B 08 FF 51 24 8B D6 8B 08 FF 91 1C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_14038_0 {
	meta:
		name = "TDBXPackageProceduresTableStorage.Create"
		size = 208
		refs = "0010 @ClassCreate 001c TDBXPackageProceduresTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreatePackageProceduresColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_14050_0 {
	meta:
		name = "TDBXPackageSourcesTableStorage.Create"
		size = 204
		refs = "0010 @ClassCreate 001c TDBXPackageSourcesTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreatePackageSourcesColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_14060_0 {
	meta:
		name = "TDBXPackagesTableStorage.Create"
		size = 192
		refs = "0010 @ClassCreate 001c TDBXPackagesTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreatePackagesColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_14068_0 {
	meta:
		name = "TDBXProcedureParametersTableStorage.Create"
		size = 212
		refs = "0010 @ClassCreate 001c TDBXProcedureParametersTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreateProcedureParametersColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_14100_0 {
	meta:
		name = "TDBXProcedureSourcesTableStorage.Create"
		size = 208
		refs = "0010 @ClassCreate 001c TDBXProcedureSourcesTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreateProcedureSourcesColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_14114_0 {
	meta:
		name = "TDBXProceduresTableStorage.Create"
		size = 196
		refs = "0010 @ClassCreate 001c TDBXProceduresTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreateProceduresColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_14124_0 {
	meta:
		name = "TDBXReservedWordsTableStorage.Create"
		size = 200
		refs = "0010 @ClassCreate 001c TDBXReservedWordsTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreateReservedWordsColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 73 00 65 00 72 00 76 00 65 00 64 00 57 00 6F 00 72 00 64 00 73 00 00 00 }
	condition:
		$1
}

rule function_14128_0 {
	meta:
		name = "TDBXRolesTableStorage.Create"
		size = 184
		refs = "0010 @ClassCreate 001c TDBXRolesTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreateRolesColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 6F 00 6C 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_14132_0 {
	meta:
		name = "TDBXSchemasTableStorage.Create"
		size = 188
		refs = "0010 @ClassCreate 001c TDBXSchemasTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreateSchemasColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 73 00 00 00 }
	condition:
		$1
}

rule function_14138_0 {
	meta:
		name = "TDBXSynonymsTableStorage.Create"
		size = 192
		refs = "0010 @ClassCreate 001c TDBXSynonymsTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreateSynonymsColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_14152_0 {
	meta:
		name = "TDBXTablesTableStorage.Create"
		size = 188
		refs = "0010 @ClassCreate 001c TDBXTablesTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreateTablesColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_14162_0 {
	meta:
		name = "TDBXUsersTableStorage.Create"
		size = 184
		refs = "0010 @ClassCreate 001c TDBXUsersTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreateUsersColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 73 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_14166_0 {
	meta:
		name = "TDBXViewsTableStorage.Create"
		size = 184
		refs = "0010 @ClassCreate 001c TDBXViewsTableStorage.Create 002b TDBXDelegateTable.Create 0030 TDBXTableFactory.CreateDBXTable 0052 TDBXMetaDataCollectionColumns.CreateViewsColumns 0072 TDBXValueTypeArray 0077 @DynArrayClear 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 8B D6 8B C7 8B 08 FF 91 9C 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 69 00 65 00 77 00 73 00 00 00 }
	condition:
		$1
}

rule function_14178_0 {
	meta:
		name = "TVariantStreamer.ReadArray"
		size = 886
		refs = "0022 TVariantStreamer.ReadArray 0030 @VarClear 005c :TVariantStreamer.:1 0061 @DynArraySetLength 0118 @DynArrayHigh 012b VarArrayCreate 0136 @OleVarFromVar 0151 @Finalize 0157 @HandleFinally 018e VarArrayLock 01be VarArrayUnlock 0227 TVariantStreamer.ReadVariant 0242 SafeArrayPutElement 0247 SafeArrayCheck 029c @TryFinallyExit 0347 @VarClr 035a @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D D4 89 55 D8 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8D 55 CC B9 04 00 00 00 8B 45 D4 8B 18 FF 53 0C 8B 45 CC 03 C0 03 C0 89 45 C8 8B 45 CC 50 8D 45 E8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 CC 50 8D 45 E4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 55 E8 8B 4D C8 8B 45 D4 8B 18 FF 53 0C 8B 55 E4 8B 4D C8 8B 45 D4 8B 18 FF 53 0C 8B 45 CC 03 C0 50 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 CC 48 85 C0 7C 24 40 33 DB 8B 4D E8 8B 0C 99 8B D3 03 D2 8B 75 EC 89 0C 96 8B 4D E4 8B 0C 99 8B 75 EC 89 4C 96 04 43 48 75 DF 8D 45 B4 50 8B 45 EC E8 ?? ?? ?? ?? 8B D0 0F B7 4D D8 66 81 E1 FF 0F 8B 45 EC E8 ?? ?? ?? ?? 8D 55 B4 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 D8 25 FF 0F 00 00 83 C0 FE 83 E8 06 72 0D 83 E8 03 74 08 83 C0 FB 83 E8 04 73 50 8D 55 C8 B9 04 00 00 00 8B 45 D4 8B 18 FF 53 0C 8B 45 08 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B 4D C8 8B 45 D4 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 8B 40 08 89 45 C4 8B 45 CC 50 8D 45 E0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 CC 48 85 C0 7C 13 40 33 DB 8B 55 E8 8B 14 9A 8B 4D E0 89 14 99 43 48 75 F0 8B 75 E0 8D 45 F0 50 8D 55 D3 8B 4D D4 8B 45 DC E8 ?? ?? ?? ?? 8B 45 D8 25 FF 0F 00 00 83 F8 0C 75 15 8D 45 F0 50 56 8B 45 C4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B 45 F8 50 56 8B 45 C4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8B 55 CC FF 44 90 FC 8B 45 E0 8B 55 CC 8B 44 90 FC 8B 55 E4 8B 4D CC 3B 44 8A FC 7E 99 8B 5D CC 4B 83 FB 00 7C 90 8B 45 E0 8B 04 98 8B 55 E4 3B 04 9A 7E 2B 85 DB 75 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 87 00 00 00 8B 45 E0 FF 44 98 FC 8B 45 E8 8B 04 98 8B 55 E0 89 04 9A 4B 83 FB FF 75 C1 E9 4C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14179_0 {
	meta:
		name = "TVariantStreamer.ReadVariant"
		size = 496
		refs = "002c TVariantStreamer.ReadVariant 0039 @VarClear 00ae TVariantStreamer.ReadArray 0108 Null 0112 @OleVarFromVar 0132 @WStrSetLength 013a @WStrToPWChar 0153 @VarFromWStr 0165 IntToHex 017b SBadVariantType 0182 _DV_EInterpreterError 0187 Exception.CreateResFmt 018c @RaiseExcept 01a5 VariantSize 01c5 @UStrClr 01cd @VarClr 01d5 @WStrClr 01db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D D8 89 5D DC 89 5D E0 89 5D E4 89 5D FC 89 4D F4 8B DA 89 45 F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 03 8D 55 EC B9 04 00 00 00 8B 45 F4 8B 38 FF 57 0C 8B 45 EC 25 00 40 00 00 3D 00 40 00 00 75 03 80 0B 01 81 7D EC 00 40 00 00 75 17 80 0B 02 56 8D 55 EB 8B 4D F4 8B 45 F8 E8 ?? ?? ?? ?? E9 2C 01 00 00 F6 03 01 74 07 81 75 EC 00 40 00 00 8B 45 EC 25 00 20 00 00 3D 00 20 00 00 75 14 56 8B 4D F4 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? E9 FD 00 00 00 8B 45 EC 25 FF 0F 00 00 83 F8 0D 0F 87 CA 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 02 00 00 00 00 00 00 03 04 00 00 00 04 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 B0 00 00 00 8D 45 D8 E8 ?? ?? ?? ?? 8D 55 D8 8B C6 E8 ?? ?? ?? ?? E9 99 00 00 00 8D 55 F0 B9 04 00 00 00 8B 45 F4 8B 18 FF 53 0C 8D 45 FC 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 4D F0 03 C9 8B 45 F4 8B 18 FF 53 0C 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 5B 8D 4D CC BA 04 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 0F B7 45 EC 66 89 06 8B 45 EC 25 FF 0F 00 00 0F B7 0C 45 ?? ?? ?? ?? 8D 56 08 8B 45 F4 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14180_0 {
	meta:
		name = "TVariantStreamer.WriteArray"
		size = 947
		refs = "002d TVariantStreamer.WriteArray 003b FindVarData 0069 VarArrayDimCount 0098 :TVariantStreamer.:2 009d @DynArraySetLength 00ec VarArrayLowBound 00fd VarArrayHighBound 014e SafeArrayGetElemSize 0187 VarArrayLock 01c9 VarArrayUnlock 01cf @HandleFinally 0238 SafeArrayGetElement 023d SafeArrayCheck 027d TVariantStreamer.WriteVariant 0292 @VarClear 02e2 @TryFinallyExit 032a @Finalize 0398 @FinalizeArray 03a0 @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 DB 89 5D EC 89 5D E8 89 5D E4 89 5D F0 89 5D F4 89 5D F8 89 5D FC 89 4D D8 89 55 DC 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC E8 ?? ?? ?? ?? 8B F0 8D 7D B4 A5 A5 A5 A5 0F B7 45 B4 89 45 D4 8B 45 BC 89 45 C8 8D 55 D4 B9 04 00 00 00 8B 45 D8 8B 18 FF 53 10 8B 45 DC E8 ?? ?? ?? ?? 89 45 CC 8D 55 CC B9 04 00 00 00 8B 45 D8 8B 18 FF 53 10 8B 45 CC 03 C0 03 C0 89 45 D0 8B 45 CC 50 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 CC 50 8D 45 E8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 75 CC 85 F6 7E 2B BB 01 00 00 00 8B 45 DC 8B D3 E8 ?? ?? ?? ?? 8B 55 EC 89 44 9A FC 8B 45 DC 8B D3 E8 ?? ?? ?? ?? 8B 55 E8 89 44 9A FC 43 4E 75 DA 8B 55 EC 8B 4D D0 8B 45 D8 8B 18 FF 53 10 8B 55 E8 8B 4D D0 8B 45 D8 8B 18 FF 53 10 8B 45 D4 25 FF 0F 00 00 83 C0 FE 83 E8 06 72 11 83 E8 03 74 0C 83 C0 FB 83 E8 04 0F 83 8C 00 00 00 8B 45 C8 50 E8 ?? ?? ?? ?? C7 45 D0 01 00 00 00 8B 75 CC 4E 85 F6 7C 1B 46 33 DB 8B 55 E8 8B 14 9A 8B 4D EC 2B 14 99 42 0F AF 55 D0 89 55 D0 43 4E 75 E8 0F AF 45 D0 89 45 D0 8B 45 DC E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D0 B9 04 00 00 00 8B 45 D8 8B 30 FF 56 10 8B D3 8B 4D D0 8B 45 D8 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 CC 50 8D 45 E4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 CC 4E 85 F6 7C 13 46 33 DB 8B 45 EC 8B 04 98 8B 55 E4 89 04 9A 43 4E 75 F0 8B 45 E4 89 45 C4 8B 45 D4 25 FF 0F 00 00 83 F8 0C 74 24 8B 45 F8 50 8B 45 C4 50 8B 45 C8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 D4 66 25 FF 0F 66 89 45 F0 EB 16 8D 45 F0 50 8B 45 C4 50 8B 45 C8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 4D D8 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 E4 8B 55 CC FF 44 90 FC 8B 45 E4 8B 55 CC 8B 44 90 FC 8B 55 E8 8B 4D CC 3B 44 8A FC 0F 8E 5C FF FF FF 8B 5D CC 4B 83 FB 00 0F 8C 4F FF FF FF 8B 45 E4 8B 04 98 8B 55 E8 3B 04 9A 7E 2B 85 DB 75 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 87 00 00 00 8B 45 E4 FF 44 98 FC 8B 45 EC 8B 04 98 8B 55 E4 89 04 9A 4B 83 FB FF 75 C1 E9 0B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14181_0 {
	meta:
		name = "TVariantStreamer.WriteVariant"
		size = 572
		refs = "0022 TVariantStreamer.WriteVariant 0040 TVariantStreamer.WriteArray 00a5 @VarToWStr 00de @WStrToPWChar 0111 IntToHex 0127 SBadVariantType 012e _DV_EInterpreterError 0133 Exception.CreateResFmt 0138 @RaiseExcept 015a @OleVarFromVar 01d4 VariantSize 0211 @UStrClr 0219 @VarClr 0229 @WStrClr 022f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 03 89 45 F0 F6 45 F1 20 74 11 8B D3 8B 4D F8 8B C6 E8 ?? ?? ?? ?? E9 B7 01 00 00 8B 45 F0 25 FF 0F 00 00 83 F8 0D 0F 87 4F 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 01 00 00 00 00 00 00 02 04 00 00 03 04 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F0 B9 04 00 00 00 8B 45 F8 8B 18 FF 53 10 E9 61 01 00 00 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 89 45 F4 8D 55 F0 B9 04 00 00 00 8B 45 F8 8B 18 FF 53 10 8D 55 F4 B9 04 00 00 00 8B 45 F8 8B 18 FF 53 10 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 4D F4 03 C9 8B 45 F8 8B 18 FF 53 10 E9 0A 01 00 00 8B 45 F0 25 00 40 00 00 3D 00 40 00 00 74 37 8D 4D E4 BA 04 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 F4 00 40 00 00 8D 55 F4 B9 04 00 00 00 8B 45 F8 8B 38 FF 57 10 8D 45 D4 8B 53 08 E8 ?? ?? ?? ?? 8D 55 D4 8B 4D F8 8B C6 E8 ?? ?? ?? ?? E9 90 00 00 00 8D 4D D0 BA 04 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 D0 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 57 8D 55 F0 B9 04 00 00 00 8B 45 F8 8B 30 FF 56 10 8B 45 F0 25 00 40 00 00 3D 00 40 00 00 75 1D 8B 45 F0 25 FF 0F 00 00 0F B7 0C 45 ?? ?? ?? ?? 8B 53 08 8B 45 F8 8B 18 FF 53 10 EB 1B 8B 45 F0 25 FF 0F 00 00 0F B7 0C 45 ?? ?? ?? ?? 8D 53 08 8B 45 F8 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14182_0 {
	meta:
		name = "StrListToVarArray"
		size = 226
		refs = "0030 StrListToVarArray 0041 _Dn_TStringList 0046 TStringList.Create 0061 TStrings.SetStrictDelimiter 006b TStrings.SetCommaText 0076 VarArrayFromStrings 0081 @OleVarFromVar 0096 TObject.Free 009c @HandleFinally 00a6 Null 00c7 Variant 00d1 @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 89 55 FC 8B D8 8B 45 FC 8B 55 FC 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 64 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 D8 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14183_0 {
	meta:
		name = "VarArrayToStrings"
		size = 247
		refs = "0017 VarArrayToStrings 0025 TStrings.BeginUpdate 0042 VarIsArray 004d VarArrayDimCount 005c VarArrayLowBound 006a VarArrayHighBound 008d @VarArrayGet 009b @VarToUStr 00bf TStrings.EndUpdate 00c5 @HandleFinally 00dc @VarClr 00e4 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 8B C6 E8 ?? ?? ?? ?? 84 C0 74 64 8B C6 E8 ?? ?? ?? ?? 48 75 5A 8B C6 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C6 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F8 8B D7 2B D3 42 8B 45 FC 8B 08 FF 51 28 2B FB 7C 2D 47 87 DF 57 6A 01 56 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 38 47 4B 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14184_0 {
	meta:
		name = "DataPacketToStream"
		size = 222
		refs = "0011 VarIsNull 0021 VarIsEmpty 0036 VarArrayHighBound 0044 VarArrayLowBound 0058 TStream.GetPosition 0080 VarArrayLock 0088 DataPacketToStream 00af VarArrayUnlock 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 9E 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 8E 00 00 00 8B 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D0 58 2B C2 40 99 89 45 F0 89 55 F4 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 83 C0 08 03 D0 8B C3 8B 08 FF 51 04 8D 55 F0 B9 08 00 00 00 8B C3 8B 30 FF 56 10 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B 4D F0 8B C3 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 8D 55 F0 B9 08 00 00 00 8B C3 8B 18 FF 53 10 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14185_0 {
	meta:
		name = "StreamToDataPacket"
		size = 261
		refs = "0031 StreamToDataPacket 006f VarArrayCreate 007a @OleVarFromVar 0082 VarArrayLock 00a6 TStream.SetPosition 00bb VarArrayUnlock 00c1 @HandleFinally 00cb Null 00eb @VarClr"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 89 55 FC 8B F0 8B 45 FC 8B 55 FC 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 B9 08 00 00 00 8B C6 8B 18 FF 53 0C 8B 45 F0 8B D8 85 DB 7E 74 8D 45 E0 50 33 C0 89 45 D8 8B C3 48 89 45 DC 8D 45 D8 66 B9 11 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B CB 8B C6 8B 18 FF 53 0C 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 C8 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14186_0 {
	meta:
		name = "VariantToStream"
		size = 157
		refs = "000f TStream.SetPosition 0039 DataPacketToStream 0056 _DV_TVariantStreamer 005b TVariantStreamer.WriteVariant 0062 TStream.GetPosition"
	strings:
		$1 = { 53 56 57 51 8B DA 8B F0 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 0F B7 06 25 11 20 00 00 3D 11 20 00 00 75 1D C6 04 24 03 8B D4 B9 01 00 00 00 8B C3 8B 38 FF 57 10 8B C6 8B D3 E8 ?? ?? ?? ?? EB 4E C6 04 24 02 8B D4 B9 01 00 00 00 8B C3 8B 38 FF 57 10 8B D6 8B CB A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 FA 00 75 22 83 F8 01 75 1D 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? C6 04 24 01 8B D4 B9 01 00 00 00 8B C3 8B 30 FF 56 10 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14187_0 {
	meta:
		name = "StreamToVariant"
		size = 181
		refs = "002d StreamToVariant 0042 TStream.SetPosition 0065 _DV_TVariantStreamer 006a TVariantStreamer.ReadVariant 0075 @VarCopy 0085 @VarClr 008e StreamToDataPacket 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 89 55 FC 8B D8 8B 45 FC 8B 55 FC 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 57 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8D 55 FA B9 01 00 00 00 8B C3 8B 30 FF 56 0C 80 7D FA 02 75 20 8D 45 E8 50 8D 55 FB 8B CB A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? EB 17 80 7D FA 03 75 11 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14191_0 {
	meta:
		name = "BcdErrorFmt"
		size = 44
		refs = "0019 _DV_EBcdException 001e Exception.CreateFmt 0023 @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 89 34 24 C6 44 24 04 11 54 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14193_0 {
	meta:
		name = "IsZero"
		size = 53
	strings:
		$1 = { 0F B6 08 D1 E9 49 85 C9 7C 10 41 8D 50 02 80 3A 00 74 03 33 C0 C3 42 49 75 F4 0F B6 10 F6 C2 01 74 10 0F B6 D2 42 D1 EA F6 44 10 01 F0 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_14194_0 {
	meta:
		name = "RequiredDigits"
		size = 175
	strings:
		$1 = { 53 56 57 83 C4 DC 8B F0 8D 3C 24 51 B9 08 00 00 00 F3 A5 59 66 A5 0F B6 44 24 01 24 3F 0F B6 C0 89 01 0F B6 04 24 0F B6 D8 2B 19 89 1A 0F B6 F0 D1 EE 4E 85 F6 7C 27 46 8D 44 24 02 80 38 00 75 05 83 2A 02 EB 09 F6 00 F0 75 13 FF 0A EB 0F 83 3A 00 7F 06 33 C0 89 02 EB 04 40 4E 75 DE 83 39 00 7E 45 0F B6 44 24 01 24 3F 0F B6 F0 85 F6 7E 37 BF 01 00 00 00 0F B6 04 24 2B C7 A8 01 75 10 D1 F8 79 03 83 D0 00 0F B6 44 04 02 24 F0 EB 0E D1 F8 79 03 83 D0 00 0F B6 44 04 02 24 0F 84 C0 75 06 FF 09 47 4E 75 CE 83 C4 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14195_0 {
	meta:
		name = "Compact"
		size = 252
		refs = "0012 IsZero 0020 BcdZero 00dd NormalizeBcd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B FA 8B F0 33 C0 89 07 8B C6 E8 ?? ?? ?? ?? 84 C0 74 18 8B 04 24 8B F8 BE ?? ?? ?? ?? B9 08 00 00 00 F3 A5 66 A5 E9 C5 00 00 00 33 C0 EB 27 8B D0 D1 FA 79 03 83 D2 00 0F B6 54 16 02 A8 01 75 05 F6 C2 F0 75 17 B9 01 00 00 00 23 C8 49 75 05 F6 C2 0F 75 08 40 0F B6 16 3B C2 7C D2 0F B6 1E 4B 3B C3 7D 2C 8B D3 D1 FA 79 03 83 D2 00 0F B6 54 16 02 F6 C3 01 75 05 F6 C2 F0 75 14 B9 01 00 00 00 23 CB 49 75 05 F6 C2 0F 75 05 4B 3B C3 7C D4 0F B6 56 01 80 E2 3F 0F B6 D2 0F B6 0E 2B CA 2B C8 49 89 0F 8B 14 24 56 83 C6 02 8D 7A 02 B9 08 00 00 00 F3 A5 5E 8B D3 42 8B 0C 24 88 11 8B 14 24 C6 42 01 00 6A 00 8D 4B 01 2B C8 8B 54 24 04 8B 44 24 04 E8 ?? ?? ?? ?? 8B 04 24 0F B6 00 48 0F B6 56 01 80 E2 80 0A C2 8B 14 24 88 42 01 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14196_0 {
	meta:
		name = "NormalizePair"
		size = 222
		refs = "0057 RequiredDigits 00c2 NormalizeBcd"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F1 89 55 FC 8B 5D 08 56 8B FE 8B F0 B9 08 00 00 00 F3 A5 66 A5 5E 8B 45 FC 56 8B F0 8B FB B9 08 00 00 00 F3 A5 66 A5 5E 0F B6 06 3A 03 75 15 0F B6 46 01 24 3F 0F B6 53 01 80 E2 3F 3A C2 0F 84 87 00 00 00 8D 4D F4 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 4D EC 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F0 7E 05 8B 45 F8 EB 03 8B 45 F0 85 C0 75 05 B8 01 00 00 00 8B 55 F4 3B 55 EC 7E 05 8B 55 F4 EB 03 8B 55 EC BF 40 00 00 00 2B F8 3B D7 7E 02 8B D7 89 55 E8 8B F8 03 7D E8 83 FF 40 7D 0C F7 C7 01 00 00 00 74 04 47 FF 45 E8 8B 45 E8 50 8B D6 8B C6 8B CF E8 ?? ?? ?? ?? 8B 45 E8 50 8B D3 8B C3 8B CF E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14197_0 {
	meta:
		name = "PackedBCDAdd"
		size = 54
	strings:
		$1 = { 53 05 66 66 66 00 8D 1C 02 03 19 33 D0 8B C2 33 C3 F7 D0 25 10 11 11 01 8B D0 C1 EA 02 C1 E8 03 0B D0 8B C2 2B D8 8B C3 8B D0 C1 EA 18 89 11 25 FF FF FF 00 5B C3 }
	condition:
		$1
}

rule function_14198_0 {
	meta:
		name = "DoAdd"
		size = 507
		refs = "001a DoAdd 00e7 PackedBCDAdd 0181 BcdOverflowChecks 01b4 NormalizeBcd 01c0 SBcdOverflow 01c5 LoadResString 01cd OverflowError 01e6 @UStrClr 01ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 8B F1 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 0F B6 00 89 45 F4 33 C0 89 45 E8 83 7D F4 00 0F 8E 1A 01 00 00 8B 5D F4 43 D1 FB 79 03 83 D3 00 4B 85 DB 75 16 8B 45 FC 0F B6 40 02 89 45 F0 8B 45 F8 0F B6 40 02 89 45 EC EB 7B 83 FB 01 75 2E 8B 45 FC 0F B6 40 02 C1 E0 08 8B 55 FC 0F B6 52 03 03 C2 89 45 F0 8B 45 F8 0F B6 40 02 C1 E0 08 8B 55 F8 0F B6 52 03 03 C2 89 45 EC EB 48 8B 45 FC 0F B6 04 18 C1 E0 10 8B 55 FC 0F B6 54 1A 01 C1 E2 08 03 C2 8B 55 FC 0F B6 54 1A 02 03 C2 89 45 F0 8B 45 F8 0F B6 04 18 C1 E0 10 8B 55 F8 0F B6 54 1A 01 C1 E2 08 03 C2 8B 55 F8 0F B6 54 1A 02 03 C2 89 45 EC 8D 4D E8 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 85 DB 75 11 8B C7 C1 E8 08 89 45 E8 8B C7 24 FF 88 46 02 EB 46 83 FB 01 75 1E 8B C7 C1 E8 10 89 45 E8 B8 00 FF 00 00 23 C7 C1 E8 08 88 46 02 8B C7 24 FF 88 46 03 EB 23 B8 00 00 FF 00 23 C7 C1 E8 10 88 04 1E B8 00 FF 00 00 23 C7 C1 E8 08 88 44 1E 01 8B C7 24 FF 88 44 1E 02 83 6D F4 06 83 7D F4 00 0F 8F E6 FE FF FF 8B 45 FC 0F B6 40 01 88 46 01 8B 45 FC 0F B6 00 88 06 80 7D 08 00 75 67 83 7D E8 01 75 61 80 3E 40 75 28 F6 46 01 3F 76 22 80 3D ?? ?? ?? ?? 00 74 06 F6 46 21 0F 75 13 FE 0E 0F B6 46 01 8B D0 80 E2 80 24 3F 48 0A D0 88 56 01 0F B6 46 01 24 3F 0F B6 C0 50 0F B6 0E 41 8B D6 8B C6 E8 ?? ?? ?? ?? 84 C0 75 15 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 80 4E 02 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14199_0 {
	meta:
		name = "TensComplement"
		size = 100
		refs = "0010 BcdOne 0015 NormalizeBcd 0057 DoAdd"
	strings:
		$1 = { 56 83 C4 DC 8B F0 6A 00 0F B6 0E 8D 54 24 04 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 16 D1 EA 4A 85 D2 7C 0E 42 8D 46 02 B1 99 2A 08 88 08 40 4A 75 F6 0F B6 06 A8 01 74 14 0F B6 D0 D1 EA 0F B6 44 16 02 24 F0 B1 90 2A C8 88 4C 16 02 6A 01 8B CE 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 80 76 01 80 83 C4 24 5E C3 }
	condition:
		$1
}

rule function_14200_0 {
	meta:
		name = "TBcd.&op_Implicit"
		size = 105
		refs = "000f TBcd.&op_Implicit 001e TryStrToBcd 002a SInvalidInput 002f LoadResString 0039 _DV_EBcdException 003e Exception.Create 0043 @RaiseExcept 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14724_0 {
	meta:
		name = "StrToSQLTimeStamp"
		size = 105
		refs = "000f StrToSQLTimeStamp 001e TryStrToSQLTimeStamp 002a SCouldNotParseTimeStamp 002f LoadResString 0039 _Dn_EConvertError 003e Exception.Create 0043 @RaiseExcept 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14737_0 {
	meta:
		name = "StrToSQLTimeStampOffset"
		size = 105
		refs = "000f StrToSQLTimeStampOffset 001e TryStrToSQLTimeStampOffset 002a SCouldNotParseTimeStamp 002f LoadResString 0039 _Dn_EConvertError 003e Exception.Create 0043 @RaiseExcept 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14202_0 {
	meta:
		name = "TBcd.&op_Implicit"
		size = 105
		refs = "0012 TBcd.&op_Implicit 0032 CurrencyString 0037 FloatToStr 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14203_0 {
	meta:
		name = "BcdToStr"
		size = 24
		refs = "000a CurrencyString 0011 BcdToStr"
		altNames = "TBcd.&op_Explicit"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14204_0 {
	meta:
		name = "TBcd.&op_Explicit"
		size = 77
		refs = "000c TBcd.&op_Explicit 0024 StrToInt 003b @UStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_34494_0 {
	meta:
		name = "IndyStrToInt"
		size = 77
		refs = "000c IndyStrToInt 001c Trim 0024 StrToInt 003b @UStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_14209_0 {
	meta:
		name = "TBcd.&op_Equality"
		size = 23
		refs = "000b BcdCompare"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_68904_0 {
	meta:
		name = "AnsiSameStr"
		size = 23
		refs = "000b AnsiCompareStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_68906_0 {
	meta:
		name = "AnsiSameText"
		size = 23
		refs = "000b AnsiCompareText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_73408_0 {
	meta:
		name = "TActiveXControl.PropRequestEdit"
		size = 23
		refs = "000b TActiveXControl.DoPropRequestEdit"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_34565_0 {
	meta:
		name = "TextIsSame"
		size = 23
		refs = "000b AnsiCompareText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_68922_0 {
	meta:
		name = "WideSameStr"
		size = 23
		refs = "000b WideCompareStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_68924_0 {
	meta:
		name = "WideSameText"
		size = 23
		refs = "000b WideCompareText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_14210_0 {
	meta:
		name = "TBcd.&op_UnaryNegation"
		size = 22
	strings:
		$1 = { 56 57 8B F0 8B FA B9 08 00 00 00 F3 A5 66 A5 80 72 01 80 5F 5E C3 }
	condition:
		$1
}

rule function_14211_0 {
	meta:
		name = "TBcd.&op_Inequality"
		size = 23
		refs = "000b BcdCompare"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_64243_0 {
	meta:
		name = "@IntfIsClass"
		size = 23
		refs = "000b @SafeIntfAsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_69461_0 {
	meta:
		name = "Supports"
		size = 23
		refs = "000b TObject.GetInterfaceEntry"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_98264_0 {
	meta:
		name = "TAdapterActionsListHelper.IsActionInUse"
		size = 23
		refs = "000b TAdapterActionsListHelper.FindAction"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_98058_0 {
	meta:
		name = "TAdapterControlGroup.IsFieldInUse"
		size = 23
		refs = "000b TAdapterControlGroup.FindField"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_54765_0 {
	meta:
		name = "TBindingGraph.IsTopologicMarked"
		size = 23
		refs = "000b TBindingGraph.GetTopologicLevel"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_74224_0 {
	meta:
		name = "TCheckListBox.HaveWrapper"
		size = 23
		refs = "000b TCheckListBox.ExtractWrapper"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_71237_0 {
	meta:
		name = "TRegistry.ReadBool"
		size = 23
		refs = "000b TRegistry.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_14212_0 {
	meta:
		name = "TBcd.&op_GreaterThan"
		size = 23
		refs = "000b BcdCompare"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 5E 5B C3 }
	condition:
		$1
}

rule function_14213_0 {
	meta:
		name = "TBcd.&op_LessThan"
		size = 23
		refs = "000b BcdCompare"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9C C0 5E 5B C3 }
	condition:
		$1
}

rule function_14215_0 {
	meta:
		name = "TBcd.&op_LessThanOrEqual"
		size = 23
		refs = "000b BcdCompare"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9E C0 5E 5B C3 }
	condition:
		$1
}

rule function_14216_0 {
	meta:
		name = "BcdFromBytes"
		size = 29
		refs = "0018 Move"
	strings:
		$1 = { 0F B6 08 88 0A 0F B6 48 01 88 4A 01 83 C0 02 83 C2 02 B9 20 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14217_0 {
	meta:
		name = "BcdToBytes"
		size = 66
		refs = "0011 TArray<System.Byte> 0016 @DynArraySetLength 003b Move"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 22 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 0F B6 06 8B 13 88 02 0F B6 46 01 8B 13 88 42 01 8B 03 8D 50 02 8D 46 02 B9 20 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14218_0 {
	meta:
		name = "BcdPrecision"
		size = 20
		refs = "0006 BcdScale"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 0F B6 03 5A 66 2B C2 5B C3 }
	condition:
		$1
}

rule function_14219_0 {
	meta:
		name = "BcdScale"
		size = 10
	strings:
		$1 = { 0F B6 40 01 24 3F 0F B6 C0 C3 }
	condition:
		$1
}

rule function_14220_0 {
	meta:
		name = "IsBcdNegative"
		size = 8
	strings:
		$1 = { F6 40 01 80 0F 95 C0 C3 }
	condition:
		$1
}

rule function_14221_0 {
	meta:
		name = "BcdAdd"
		size = 148
		refs = "0012 NormalizePair 0019 BcdZero 005c TensComplement 0076 DoAdd"
	strings:
		$1 = { 53 56 57 83 C4 BC 8B D9 8D 4C 24 22 51 8D 4C 24 04 E8 ?? ?? ?? ?? 8B FB BE ?? ?? ?? ?? B9 08 00 00 00 F3 A5 66 A5 0F B6 44 24 01 3A 44 24 23 74 4B 33 C0 EB 01 40 0F B6 14 24 42 D1 EA 3B C2 7D 0B 0F B6 54 04 02 3A 54 04 24 74 E9 0F B6 54 04 02 3A 54 04 24 72 0B 8D 44 24 22 E8 ?? ?? ?? ?? EB 07 8B C4 E8 ?? ?? ?? ?? 6A 01 8B CB 8D 54 24 26 8D 44 24 04 E8 ?? ?? ?? ?? EB 11 6A 00 8B CB 8D 54 24 26 8D 44 24 04 E8 ?? ?? ?? ?? 83 C4 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14222_0 {
	meta:
		name = "BcdSubtract"
		size = 42
		refs = "001f BcdAdd"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B D9 8B F2 8B FC B9 08 00 00 00 F3 A5 66 A5 80 74 24 01 80 8B CB 8B D4 E8 ?? ?? ?? ?? 83 C4 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14223_0 {
	meta:
		name = "BcdMultiply"
		size = 541
		refs = "001b BcdMultiply 0028 IsZero 007d Compact 00ea BcdZero 010c SBcdOverflow 0111 LoadResString 0119 OverflowError 0156 TBcd.&op_Addition 01da NormalizeBcd 0202 @UStrClr 0210 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 84 53 56 57 33 DB 89 5D 84 89 5D AC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B FE 8B F3 B9 08 00 00 00 F3 A5 66 A5 E9 AF 01 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 74 14 8B C7 8B FE 8B F0 B9 08 00 00 00 F3 A5 66 A5 E9 90 01 00 00 0F B6 43 01 24 80 0F B6 57 01 80 E2 80 3A C2 0F 95 45 F7 8D 4D D5 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 4D B3 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 0F B6 45 D6 24 3F 0F B6 C0 29 45 FC 0F B6 45 B4 24 3F 0F B6 C0 29 45 F8 C6 45 D6 00 C6 45 B4 00 0F B6 45 D5 3A 45 B3 73 2F 56 8B FE 8D 75 D5 B9 08 00 00 00 F3 A5 66 A5 5E 56 8D 75 B3 8D 7D D5 B9 08 00 00 00 F3 A5 66 A5 5E 56 8D 7D B3 B9 08 00 00 00 F3 A5 66 A5 5E 56 8B FE BE ?? ?? ?? ?? B9 08 00 00 00 F3 A5 66 A5 5E 0F B6 7D B3 4F 83 FF 00 7C 78 80 7D D5 40 76 15 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC E8 ?? ?? ?? ?? F7 C7 01 00 00 00 75 13 8B C7 D1 F8 79 03 83 D0 00 0F B6 5C 05 B5 C1 EB 04 EB 11 8B C7 D1 F8 79 03 83 D0 00 0F B6 5C 05 B5 80 E3 0F 84 DB 76 24 8D 4D 88 8B C6 8D 55 D5 E8 ?? ?? ?? ?? 56 57 8B FE 8D 75 88 B9 08 00 00 00 F3 A5 66 A5 5F 5E 4B 84 DB 77 DC FE 45 D5 4F 83 FF FF 75 88 8B 45 F8 01 45 FC 83 7D FC 00 7E 30 0F B6 46 01 3B 45 FC 7F 07 29 45 FC C6 46 01 00 0F B6 45 FC 00 06 80 3E 40 76 15 8D 55 84 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 84 E8 ?? ?? ?? ?? 83 7D FC 00 7D 2B 0F B6 16 0F B6 4E 01 2B D1 B8 01 00 00 00 2B 45 FC 3B D0 7D 0D 6A 00 8B C8 8B D6 8B C6 E8 ?? ?? ?? ?? 0F B6 45 FC F6 D8 00 46 01 80 7D F7 00 74 04 80 4E 01 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14224_0 {
	meta:
		name = "BcdDivide"
		size = 452
		refs = "001c BcdDivide 002a IsZero 0036 SDivByZero 003b LoadResString 0043 BcdError 0082 Compact 00a1 BcdZero 00e7 BcdAdd 01b1 @UStrClr 01b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 88 53 56 57 33 DB 89 5D 88 8B F1 89 55 FC 8B D8 8D 7D D1 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 88 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 88 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B FE 8B F3 B9 08 00 00 00 F3 A5 66 A5 E9 3C 01 00 00 0F B6 43 01 24 80 8B 55 FC 0F B6 52 01 80 E2 80 3A C2 0F 95 45 F3 8B CF 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 4D AF 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 80 67 01 3F 80 4D B0 80 56 57 8B FE BE ?? ?? ?? ?? B9 08 00 00 00 F3 A5 66 A5 5F 5E 8B 45 F4 29 45 F8 83 7D F8 00 0F 8D B8 00 00 00 0F B6 45 F8 F6 D8 88 06 0F B6 45 F8 F6 D8 48 88 46 01 33 C0 89 45 F8 E9 9C 00 00 00 33 DB 8D 4D 8D 8D 55 AF 8B C7 E8 ?? ?? ?? ?? EB 1E 56 57 8D 75 8D B9 08 00 00 00 F3 A5 66 A5 5F 5E 43 8D 4D 8D 8D 55 AF 8B C7 E8 ?? ?? ?? ?? F6 45 8E 80 74 DC FE 06 F6 06 01 74 10 0F B6 06 D1 E8 8B D3 C1 E2 04 88 54 06 02 EB 0F 0F B6 06 48 D1 F8 79 03 83 D0 00 08 5C 06 02 0F B6 06 8B 55 F8 42 3B C2 7E 03 FE 46 01 80 3E 40 74 3D 0F B6 06 8B 55 F8 83 C2 0A 42 3B C2 7D 2F 80 3F 40 73 12 0F B6 07 8B 55 F8 83 C2 0A 42 3B C2 7D 04 FE 07 EB 09 80 7F 01 00 76 03 FE 4F 01 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 55 FF FF FF 0F B6 06 3B 45 F8 7F 07 0F B6 45 F8 40 88 06 80 7D F3 00 74 04 80 4E 01 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14225_0 {
	meta:
		name = "NormalizeBcd"
		size = 633
		refs = "024a @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D F8 40 7E 09 C6 45 F7 00 E9 4C 02 00 00 8B 45 FC 56 8B F8 B9 08 00 00 00 F3 A5 66 A5 5E C6 45 F7 01 8B 45 FC 0F B6 00 3B 45 F8 75 15 8B 45 FC 0F B6 40 01 24 3F 0F B6 C0 3B 45 08 0F 84 BC 01 00 00 0F B6 46 01 24 3F 0F B6 C0 2B 45 08 48 85 C0 7C 42 40 89 45 EC 33 C0 0F B6 16 2B D0 F6 C2 01 75 12 42 D1 FA 79 03 83 D2 00 0F B6 54 16 01 80 E2 0F EB 10 42 D1 FA 79 03 83 D2 00 0F B6 54 16 01 C1 EA 04 84 D2 74 06 C6 45 F7 00 EB 06 40 FF 4D EC 75 C4 0F B6 46 01 24 3F 0F B6 C0 0F B6 16 2B D0 8B 45 F8 2B 45 08 2B D0 89 55 F0 83 7D F0 00 0F 8D 80 00 00 00 8B 45 F8 48 83 F8 00 0F 8C 39 01 00 00 8B D0 03 55 F0 85 D2 7D 04 33 D2 EB 25 F6 C2 01 75 11 D1 FA 79 03 83 D2 00 0F B6 54 16 02 C1 EA 04 EB 0F D1 FA 79 03 83 D2 00 0F B6 54 16 02 80 E2 0F A8 01 75 22 8B F8 D1 FF 79 03 83 D7 00 8B 4D FC 0F B6 4C 39 02 80 E1 0F C1 E2 04 0A CA 8B 55 FC 88 4C 3A 02 EB 10 8B C8 D1 F9 79 03 83 D1 00 8B 5D FC 88 54 0B 02 48 83 F8 FF 75 92 E9 C6 00 00 00 83 7D F0 00 0F 8E BC 00 00 00 8B 45 F0 48 85 C0 7C 3E 40 89 45 EC 33 C0 A8 01 75 13 8B D0 D1 FA 79 03 83 D2 00 0F B6 54 16 02 C1 EA 04 EB 11 8B D0 D1 FA 79 03 83 D2 00 0F B6 54 16 02 80 E2 0F 84 D2 74 06 C6 45 F7 00 EB 06 40 FF 4D EC 75 C8 8B 45 F8 48 85 C0 7C 6E 40 89 45 EC 33 C0 8B D0 03 55 F0 0F B6 0E 3B D1 7E 04 33 D2 EB 25 F6 C2 01 75 11 D1 FA 79 03 83 D2 00 0F B6 54 16 02 C1 EA 04 EB 0F D1 FA 79 03 83 D2 00 0F B6 54 16 02 80 E2 0F A8 01 75 19 8B C8 D1 F9 79 03 83 D1 00 8B 5D FC 8D 4C 0B 02 51 C1 E2 04 59 88 11 EB 10 8B C8 D1 F9 79 03 83 D1 00 8B 5D FC 08 54 0B 02 40 FF 4D EC 75 98 F6 45 F8 01 74 12 8B 45 F8 D1 F8 79 03 83 D0 00 8B 55 FC 80 64 02 02 F0 83 7D F8 40 7D 20 8B 45 F8 40 D1 F8 79 03 83 D0 00 BA 20 00 00 00 2B D0 8B 4D FC 8D 44 01 02 33 C9 E8 ?? ?? ?? ?? 0F B6 45 F8 8B 55 FC 88 02 0F B6 46 01 24 80 0F B6 55 08 80 E2 3F 02 C2 8B 55 FC 88 42 01 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14226_0 {
	meta:
		name = "BcdCompare"
		size = 58
		refs = "0010 TBcd.&op_Subtraction 0017 IsZero"
	strings:
		$1 = { 53 56 83 C4 DC 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 11 F6 44 24 01 80 75 07 B8 01 00 00 00 EB 03 83 C8 FF 83 C4 24 5E 5B C3 }
	condition:
		$1
}

rule function_14228_0 {
	meta:
		name = "PutChar"
		size = 9
	strings:
		$1 = { 8B 08 66 89 11 83 00 02 C3 }
	condition:
		$1
}

rule function_14229_0 {
	meta:
		name = "BcdToStr"
		size = 612
		refs = "0035 TFormatSettings 003a @AddRefRecord 0042 BcdToStr 005d @UStrAsg 007f SBcdOverflow 0084 LoadResString 008f OverflowError 00dc PutChar 0218 @UStrFromPWChar 0230 @UStrClr 0241 @FinalizeRecord 0247 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 A8 FE FF FF 53 56 57 33 DB 89 9D A8 FE FF FF 8B F2 8D BD 3C FF FF FF 51 B9 31 00 00 00 F3 A5 59 89 8D 38 FF FF FF 8B F0 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 3E 00 75 15 8B 85 38 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B6 01 00 00 0F B6 06 3C 40 77 0B 0F B6 56 01 80 E2 3F 3A C2 73 1B 8D 95 A8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 A8 FE FF FF E8 ?? ?? ?? ?? 8D 85 AE FE FF FF 89 85 34 FF FF FF 0F B6 56 01 80 E2 3F 0F B6 06 8B C8 2A CA 88 8D 33 FF FF FF 0F B6 F8 4F 85 FF 0F 8C 88 00 00 00 47 33 DB 0F B6 85 33 FF FF FF 3B D8 75 22 85 DB 75 0F 8D 85 34 FF FF FF 66 BA 30 00 E8 ?? ?? ?? ?? 8D 85 34 FF FF FF 0F B7 55 FA E8 ?? ?? ?? ?? F6 C3 01 75 28 8B C3 D1 F8 79 03 83 D0 00 0F B6 54 06 02 80 E2 F0 0F B6 D2 C1 EA 04 66 83 C2 30 8D 85 34 FF FF FF E8 ?? ?? ?? ?? EB 23 8B C3 D1 F8 79 03 83 D0 00 0F B6 54 06 02 80 E2 0F 0F B6 D2 66 83 C2 30 8D 85 34 FF FF FF E8 ?? ?? ?? ?? 43 4F 0F 85 7B FF FF FF 83 AD 34 FF FF FF 02 0F B6 1E EB 08 83 AD 34 FF FF FF 02 4B 0F B6 85 33 FF FF FF 3B D8 7E 0C 8B 85 34 FF FF FF 66 83 38 30 74 E1 8B 85 34 FF FF FF 0F B7 00 66 3B 45 FA 75 0D 8B 85 34 FF FF FF 66 C7 00 00 00 EB 0C 8B 85 34 FF FF FF 66 C7 40 02 00 00 8D 85 AE FE FF FF 89 85 34 FF FF FF EB 07 83 85 34 FF FF FF 02 8B 85 34 FF FF FF 66 83 38 30 74 ED 8B 85 34 FF FF FF 0F B7 00 66 85 C0 74 06 66 3B 45 FA 75 07 83 AD 34 FF FF FF 02 0F B6 46 01 24 80 3C 80 75 2B 8B 85 34 FF FF FF 66 83 38 30 75 0D 8B 85 34 FF FF FF 66 83 78 02 00 74 12 83 AD 34 FF FF FF 02 8B 85 34 FF FF FF 66 C7 00 2D 00 8B 85 38 FF FF FF 8B 95 34 FF FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A8 FE FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_14230_0 {
	meta:
		name = "StrToBcd"
		size = 101
		refs = "000f StrToBcd 001b CurrencyString 0024 TryStrToBcd 0030 SInvalidBcdValue 0035 LoadResString 003f BcdErrorFmt 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14231_0 {
	meta:
		name = "StrToBcd"
		size = 176
		refs = "0031 TFormatSettings 0036 @AddRefRecord 003e StrToBcd 0053 TryStrToBcd 0062 SInvalidBcdValue 0067 LoadResString 0074 BcdErrorFmt 008c @UStrClr 009d @FinalizeRecord 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 38 FF FF FF 53 56 57 33 DB 89 9D 38 FF FF FF 8B F2 8D BD 3C FF FF FF 51 B9 31 00 00 00 F3 A5 59 8B F1 8B D8 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8D 8D 3C FF FF FF 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1D 8D 95 38 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 38 FF FF FF 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14233_0 {
	meta:
		name = "TryStrToBcd"
		size = 1108
		refs = "0033 TFormatSettings 0038 @AddRefRecord 0040 TryStrToBcd 0058 @FillChar 005f @UStrToPWChar 0073 CharInSet 020a @UStrFromPWChar 021b TryStrToInt 02d0 NormalizeBcd 03e7 @UStrClr 03f8 @FinalizeRecord 03fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 18 FF FF FF 53 56 57 33 DB 89 9D 18 FF FF FF 8B F1 8D BD 3C FF FF FF B9 31 00 00 00 F3 A5 89 95 38 FF FF FF 8B D8 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 85 38 FF FF FF 33 C9 BA 22 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 03 83 C6 02 BA ?? ?? ?? ?? 0F B7 06 E8 ?? ?? ?? ?? 84 C0 75 EC 66 83 3E 2D 0F 94 85 36 FF FF FF 0F B7 06 66 83 F8 2D 74 06 66 83 F8 2B 75 08 83 C6 02 EB 03 83 C6 02 66 83 3E 30 74 F7 33 DB C7 85 30 FF FF FF FF FF FF FF E9 22 01 00 00 0F B7 06 66 3B 45 FA 75 26 83 BD 30 FF FF FF FF 74 0C C6 85 37 FF FF FF 00 E9 01 03 00 00 84 DB 75 01 43 0F B6 C3 89 85 30 FF FF FF 83 C6 02 B8 ?? ?? ?? ?? 89 85 28 FF FF FF 8B 85 28 FF FF FF 0F B7 16 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 88 85 27 FF FF FF 80 BD 27 FF FF FF 00 74 04 B0 01 EB 31 B8 ?? ?? ?? ?? 89 85 20 FF FF FF 8B 85 20 FF FF FF 0F B7 16 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 88 85 1F FF FF FF 0F B6 85 1F FF FF FF 84 C0 0F 85 8D 00 00 00 66 83 3E 30 72 06 66 83 3E 39 76 0C C6 85 37 FF FF FF 00 E9 68 02 00 00 80 FB 40 75 15 83 BD 30 FF FF FF FF 75 0C C6 85 37 FF FF FF 00 E9 4E 02 00 00 80 FB 40 73 49 F6 C3 01 75 1A 0F B6 C3 D1 E8 8B 95 38 FF FF FF 0F B7 0E 80 E9 30 C1 E1 04 88 4C 02 02 EB 29 0F B6 C3 D1 E8 8B 95 38 FF FF FF 0F B6 44 02 02 24 F0 0F B7 16 80 EA 30 02 C2 0F B6 D3 D1 EA 8B 8D 38 FF FF FF 88 44 11 02 43 83 C6 02 66 83 3E 00 0F 85 D4 FE FF FF B8 ?? ?? ?? ?? 0F B7 16 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 84 C0 0F 84 28 01 00 00 8D 85 18 FF FF FF 8D 56 02 E8 ?? ?? ?? ?? 8B 85 18 FF FF FF 8D 95 2C FF FF FF E8 ?? ?? ?? ?? 84 C0 75 0C C6 85 37 FF FF FF 00 E9 A4 01 00 00 83 BD 30 FF FF FF 00 7D 0A 0F B6 C3 89 85 30 FF FF FF 43 83 BD 2C FF FF FF 00 0F 8D AC 00 00 00 8B 85 2C FF FF FF F7 D8 3B 85 30 FF FF FF 0F 8E 8A 00 00 00 8B 85 38 FF FF FF 88 18 8B C3 48 8B 95 38 FF FF FF 88 42 01 0F B6 C3 2B 85 2C FF FF FF 89 85 2C FF FF FF 2A 9D 30 FF FF FF 83 BD 2C FF FF FF 40 7E 24 0F B6 85 2C FF FF FF 2C 40 2A D8 8B 85 2C FF FF FF 83 E8 40 89 85 30 FF FF FF C7 85 2C FF FF FF 40 00 00 00 0F B6 C3 50 8B 95 38 FF FF FF 8B 85 38 FF FF FF 8B 8D 2C FF FF FF E8 ?? ?? ?? ?? 84 C0 75 0C C6 85 37 FF FF FF 00 E9 EF 00 00 00 0F B6 9D 2C FF FF FF EB 5E 8B 85 2C FF FF FF 01 85 30 FF FF FF EB 50 8B 85 2C FF FF FF 01 85 30 FF FF FF 0F B6 C3 3B 85 30 FF FF FF 7D 39 0F B6 9D 30 FF FF FF C7 85 30 FF FF FF FF FF FF FF EB 26 83 C6 02 BA ?? ?? ?? ?? 0F B7 06 E8 ?? ?? ?? ?? 84 C0 75 EC 66 83 3E 00 74 0C C6 85 37 FF FF FF 00 E9 88 00 00 00 84 DB 75 15 8B 85 38 FF FF FF C6 00 0A 8B 85 38 FF FF FF C6 40 01 02 EB 68 80 FB 40 76 09 C6 85 37 FF FF FF 00 EB 61 8B 85 38 FF FF FF 88 18 83 BD 30 FF FF FF FF 75 0C 8B 85 38 FF FF FF C6 40 01 00 EB 11 8B C3 2A 85 30 FF FF FF 8B 95 38 FF FF FF 88 42 01 80 E3 01 80 FB 01 75 11 8B 85 38 FF FF FF FE 00 8B 85 38 FF FF FF FE 40 01 80 BD 36 FF FF FF 00 74 0A 8B 85 38 FF FF FF 80 48 01 80 C6 85 37 FF FF FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 18 FF FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 0F B6 85 37 FF FF FF 5F 5E 5B 8B E5 5D C3 00 00 40 64 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 20 00 00 00 20 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14234_0 {
	meta:
		name = "DoubleToBcd"
		size = 124
		refs = "0014 DoubleToBcd 0034 CurrencyString 0039 FloatToStr 0044 StrToBcd 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8D 75 CC 8B FB B9 08 00 00 00 F3 A5 66 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14237_0 {
	meta:
		name = "BcdToDouble"
		size = 100
		refs = "0012 BcdToDouble 0022 BcdToStr 0028 CurrencyString 0030 StrToFloat 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D E0 9B DB 6D E0 DD 5D F0 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14238_0 {
	meta:
		name = "BcdToInteger"
		size = 135
		refs = "0012 BcdToInteger 0038 NormalizeBcd 0053 BcdToStr 005b StrToInt 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D D8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 84 D2 74 09 F6 40 01 3F 0F 97 C2 EB 02 33 D2 84 D2 74 0F 6A 00 0F B6 08 8D 55 DE E8 ?? ?? ?? ?? EB 0E 8B F0 8D 7D DE B9 08 00 00 00 F3 A5 66 A5 8D 55 D8 8D 45 DE E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14239_0 {
	meta:
		name = "CurrToBCD"
		size = 128
		refs = "0014 CurrToBCD 0034 CurrencyString 0039 CurrToStr 0044 TBcd.&op_Implicit 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8D 75 CC 8B FB B9 08 00 00 00 F3 A5 66 A5 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14240_0 {
	meta:
		name = "BCDToCurr"
		size = 109
		refs = "0015 BCDToCurr 0025 TBcd.&op_Explicit 002b CurrencyString 0033 StrToCurr 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DF 7D F0 9B 8B 45 F0 89 06 8B 45 F4 89 46 04 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14241_0 {
	meta:
		name = "OldCurrToBCD"
		size = 139
		refs = "001f Power10"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 89 C6 87 CA 88 0E 88 56 01 83 EA 04 74 1A 77 0F DF 6D 08 D8 34 95 ?? ?? ?? ?? DF 7D 08 EB 09 49 C6 44 29 C0 00 4A 75 F7 8B 45 08 8B 5D 0C 09 DB 79 0B F7 DB F7 D8 83 DB 00 80 4E 01 80 BF 0A 00 00 00 89 C2 09 DA 74 0C 31 D2 09 DB 74 04 93 F7 F7 93 F7 F7 88 54 29 BF 49 75 E7 09 D8 B0 00 75 18 8A 0E 41 D1 E9 66 8B 44 4D BE C0 E0 04 08 E0 88 44 0E 01 49 75 EF B0 01 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14242_0 {
	meta:
		name = "OldBCDToCurr"
		size = 152
		refs = "0051 FConst10 0073 FPower10 007d CWNear"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 57 56 31 DB 89 C7 89 D6 B0 00 0F B6 17 09 D2 74 79 8D 4A 01 D1 E9 8A 44 0F 01 88 C4 C0 E8 04 80 E4 0F 66 89 44 4D BE 49 75 EC 31 C0 8A 44 29 C0 08 C0 75 09 41 39 D1 75 F3 D9 EE EB 33 89 45 BC DB 45 BC 41 39 D1 74 12 D8 8B ?? ?? ?? ?? 8A 44 29 C0 89 45 BC DA 45 BC EB E9 8A 47 01 08 C0 79 02 D9 E0 83 E0 3F 83 E8 04 F7 D8 E8 ?? ?? ?? ?? 9B D9 7D BA D9 AB ?? ?? ?? ?? DF 3E 9B DF E0 F6 D0 24 01 9B DB E2 D9 6D BA 9B 5E 5F 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14243_0 {
	meta:
		name = "BcdToStrF"
		size = 44
		refs = "0011 CurrencyString 0021 BcdToStrF"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B 45 0C 50 A1 ?? ?? ?? ?? 50 8B 45 08 50 8B D3 8B C6 8B CF E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14244_0 {
	meta:
		name = "Increase"
		size = 58
	strings:
		$1 = { 55 8B EC EB 0E 66 83 FA 39 75 05 66 C7 00 30 00 83 E8 02 8B 4D 08 0F B7 49 FE 0F B7 10 66 3B CA 74 E3 66 83 FA 39 74 DD 66 83 38 20 75 07 66 C7 00 31 00 5D C3 66 FF 00 5D C3 }
	condition:
		$1
}

rule function_14245_0 {
	meta:
		name = "AllZeros"
		size = 35
	strings:
		$1 = { 55 8B EC EB 03 83 C0 02 0F B7 10 66 83 FA 30 74 F4 8B 4D 08 66 3B 51 FE 74 EB 66 83 38 00 0F 94 C0 5D C3 }
	condition:
		$1
}

rule function_14246_0 {
	meta:
		name = "FillZeros"
		size = 32
	strings:
		$1 = { 55 8B EC EB 11 8B 4D 08 66 3B 51 FE 74 05 66 C7 00 30 00 83 C0 02 0F B7 10 66 85 D2 75 E7 5D C3 }
	condition:
		$1
}

rule function_14247_0 {
	meta:
		name = "Round"
		size = 796
		refs = "0023 Round 0035 @UStrFromWChar 003f Pos 00a4 @UStrCopy 00b4 @UStrCat3 011d @UniqueStringU 013a GetRoundMode 015b AllZeros 017c Increase 01e9 FillZeros 026f @UStrFromPWChar 02d9 @UStrArrayClr 02e1 @UStrClr 02ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 66 89 55 FE 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 0F B7 55 FE E8 ?? ?? ?? ?? 8B 45 F0 8B 16 E8 ?? ?? ?? ?? 8B D8 85 FF 7F 2C 85 DB 75 04 B0 01 EB 1C 8B 06 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 2B C3 8B D7 F7 DA 3B C2 0F 9E C0 84 C0 0F 85 4E 02 00 00 8B 06 66 83 38 2D 0F 94 45 F7 80 7D F7 00 74 35 8B 06 89 45 EC 8B 5D EC 85 DB 74 05 83 EB 04 8B 1B 8D 45 E8 50 8B 06 8B CB BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 33 8B 06 89 45 EC 8B 5D EC 85 DB 74 05 83 EB 04 8B 1B 8D 45 E4 50 8B 06 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 0F B7 55 FE E8 ?? ?? ?? ?? 8B 45 E0 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0F 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8D 58 01 8D 45 F8 E8 ?? ?? ?? ?? 2B DF 8D 44 58 FE 8B D8 85 FF 7C 09 0F B7 03 66 3B 45 FE 75 03 83 C3 02 E8 ?? ?? ?? ?? 2C 01 72 0B 74 61 FE C8 74 7E E9 98 00 00 00 0F B7 03 66 83 F8 35 75 3B 55 8D 43 02 E8 ?? ?? ?? ?? 59 84 C0 74 1F 8B C3 83 E8 02 0F B7 10 66 3B 55 FE 75 03 83 E8 02 F6 00 01 74 6B 55 E8 ?? ?? ?? ?? 59 EB 62 55 8B C3 83 E8 02 E8 ?? ?? ?? ?? 59 EB 54 66 83 F8 35 76 4E 55 8B C3 83 E8 02 E8 ?? ?? ?? ?? 59 EB 40 80 7D F7 00 74 3A 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 75 2D 55 8B C3 83 E8 02 E8 ?? ?? ?? ?? 59 EB 1F 80 7D F7 00 75 19 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 75 0C 55 8B C3 83 E8 02 E8 ?? ?? ?? ?? 59 55 8B C3 E8 ?? ?? ?? ?? 59 8D 45 DC 0F B7 55 FE E8 ?? ?? ?? ?? 8B 45 DC 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 74 3D 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 E8 ?? ?? ?? ?? 8D 44 58 FE 8B D8 EB 03 83 EB 02 66 83 3B 30 74 F7 0F B7 03 66 3B 45 FE 75 07 66 C7 03 00 00 EB 08 83 C3 02 66 C7 03 00 00 8B 45 F8 66 83 38 20 75 3A 80 7D F7 00 74 20 8D 45 F8 E8 ?? ?? ?? ?? 66 C7 00 2D 00 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 4E 8D 45 F8 E8 ?? ?? ?? ?? 8D 50 02 8B C6 E8 ?? ?? ?? ?? EB 3A 80 7D F7 00 74 23 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 45 D8 E8 ?? ?? ?? ?? 8B 4D D8 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_14248_0 {
	meta:
		name = "BCDRoundTo"
		size = 176
		refs = "001f TFormatSettings 0024 @InitializeRecord 002c BCDRoundTo 003e CurrencyString 0049 @CopyRecord 0059 BcdToStr 0067 Round 0077 StrToBcd 0095 @FinalizeRecord 009d @UStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 38 FF FF FF 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D FC 8B C3 8D 95 38 FF FF FF E8 ?? ?? ?? ?? 8D 45 FC 8B CE 0F B7 55 F6 E8 ?? ?? ?? ?? 8B CF 8D 95 38 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14249_0 {
	meta:
		name = "RoundPrecision"
		size = 292
		refs = "0019 RoundPrecision 0029 @UStrFromWChar 0036 Pos 005f @UniqueStringU 008d CharInSet 00d9 Round 00ee @UStrClr 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D F4 8B F9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC 8B 12 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 18 8B 45 FC 8B 00 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 40 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 03 83 C3 02 56 57 BE ?? ?? ?? ?? 8D 7D D0 B9 08 00 00 00 F3 A5 5F 5E 8B C6 0F B6 C0 0F AB 45 D0 8D 55 D0 0F B7 03 E8 ?? ?? ?? ?? 84 C0 75 D2 EB 12 4F 66 83 3B 00 74 12 83 C3 02 66 3B 33 75 03 83 C3 02 8B C7 48 85 C0 7F E7 8B 45 FC E8 ?? ?? ?? ?? 83 C3 02 2B D8 D1 FB 79 03 83 D3 00 29 5D F8 83 7D F8 00 7E 03 FF 4D F8 8B 45 FC 8B 4D F8 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 20 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14250_0 {
	meta:
		name = "AddCurrencySymbol"
		size = 240
		refs = "003b AddCurrencySymbol 0040 Format"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 8B D8 80 E9 01 72 0F 74 33 FE C9 74 55 FE C9 74 77 E9 96 00 00 00 8B 45 08 50 89 75 F0 C6 45 F4 11 89 5D F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 70 8B 45 08 50 89 5D F0 C6 45 F4 11 89 75 F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4A 8B 45 08 50 89 75 F0 C6 45 F4 11 89 5D F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 8B 45 08 50 89 5D F0 C6 45 F4 11 89 75 F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_14251_0 {
	meta:
		name = "AddNegCurrencySymbol"
		size = 1016
		refs = "001b AddNegCurrencySymbol 007f Format"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 8B D8 0F B6 C1 83 F8 0F 0F 87 C9 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 50 89 75 F0 C6 45 F4 11 89 5D F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 59 02 00 00 8B 45 08 50 89 75 F0 C6 45 F4 11 89 5D F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 30 02 00 00 8B 45 08 50 89 75 F0 C6 45 F4 11 89 5D F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 07 02 00 00 8B 45 08 50 89 75 F0 C6 45 F4 11 89 5D F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DE 01 00 00 8B 45 08 50 89 5D F0 C6 45 F4 11 89 75 F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B5 01 00 00 8B 45 08 50 89 5D F0 C6 45 F4 11 89 75 F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8C 01 00 00 8B 45 08 50 89 5D F0 C6 45 F4 11 89 75 F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 63 01 00 00 8B 45 08 50 89 5D F0 C6 45 F4 11 89 75 F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3A 01 00 00 8B 45 08 50 89 5D F0 C6 45 F4 11 89 75 F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 11 01 00 00 8B 45 08 50 89 75 F0 C6 45 F4 11 89 5D F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E8 00 00 00 8B 45 08 50 89 5D F0 C6 45 F4 11 89 75 F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BF 00 00 00 8B 45 08 50 89 75 F0 C6 45 F4 11 89 5D F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 96 00 00 00 8B 45 08 50 89 75 F0 C6 45 F4 11 89 5D F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 70 8B 45 08 50 89 5D F0 C6 45 F4 11 89 75 F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4A 8B 45 08 50 89 75 F0 C6 45 F4 11 89 5D F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 8B 45 08 50 89 5D F0 C6 45 F4 11 89 75 F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 28 00 25 00 73 00 25 00 73 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2D 00 25 00 73 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2D 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 25 00 73 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2D 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 20 00 25 00 73 00 2D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 20 00 2D 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 28 00 25 00 73 00 2D 00 20 00 25 00 73 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 28 00 25 00 73 00 20 00 25 00 73 00 29 00 00 00 }
	condition:
		$1
}

rule function_14252_0 {
	meta:
		name = "BcdExponentString"
		size = 620
		refs = "002a BcdExponentString 0051 @UStrDelete 005d @UStrFromWChar 0067 Pos 00b1 @UStrLen 0102 StringOfChar 010c @UStrCat 015c @UStrInsert 0180 @UStrCat3 01ae Format 01fd @UStrClr 020a @UStrArrayClr 0218 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D E0 89 5D E4 89 5D E8 89 5D F0 66 89 4D FC 88 55 FF 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 66 83 38 2D 0F 94 45 FB 80 7D FB 00 74 11 8B C3 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 0F B7 55 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 13 E8 ?? ?? ?? ?? 8B F0 83 EE 02 83 FE FE 75 16 8B 03 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 8B F0 4E EB 35 8D 56 02 8B C3 B9 01 00 00 00 E8 ?? ?? ?? ?? EB 12 4E 8B C3 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 48 7E 08 8B 03 66 83 38 30 74 DC 8B 13 8B C2 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 3B 45 0C 7D 38 8B C2 89 45 EC 8B 45 EC 89 45 F4 83 7D F4 00 74 0B 8B 45 F4 83 E8 04 8B 00 89 45 F4 8D 4D E8 8B 55 0C 2B 55 F4 66 B8 30 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 13 8B C2 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 3B 45 0C 7E 1D 8B C2 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 8B 55 0C 42 8B CB 91 E8 ?? ?? ?? ?? 8D 45 E4 0F B7 55 FC E8 ?? ?? ?? ?? 8B 45 E4 8B D3 B9 02 00 00 00 E8 ?? ?? ?? ?? 83 FF 04 7E 05 BF 04 00 00 00 85 FF 7D 02 33 FF 80 7D FB 00 74 0E 8B 0B 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7C 36 80 7D FF 01 75 30 8D 45 E0 50 89 7D D0 C6 45 D4 00 89 75 D8 C6 45 DC 00 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? EB 2E 8D 45 CC 50 89 7D D0 C6 45 D4 00 89 75 D8 C6 45 DC 00 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 45 00 2B 00 25 00 2E 00 2A 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 45 00 25 00 2E 00 2A 00 64 00 00 00 }
	condition:
		$1
}

rule function_14253_0 {
	meta:
		name = "BcdNumberString"
		size = 652
		refs = "005f TFormatSettings 0064 @AddRefRecord 006c BcdNumberString 007c @UStrLAsg 009b Round 00aa @UStrFromWChar 00b8 Pos 00fd StringOfChar 010f @UStrCatN 011b @UStrAsg 016c @UStrCat3 018f BcdExponentString 01c1 @UStrInsert 01f2 @UStrDelete 020a AddNegCurrencySymbol 0234 AddCurrencySymbol 025e @UStrArrayClr 026f @FinalizeRecord 0277 @UStrClr 027d @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 10 FF FF FF 53 56 57 33 DB 89 9D 10 FF FF FF 89 9D 14 FF FF FF 89 9D 18 FF FF FF 89 9D 1C FF FF FF 89 9D 24 FF FF FF 89 9D 20 FF FF FF 89 9D 28 FF FF FF 89 5D FC 8B 75 08 8D BD 38 FF FF FF 51 B9 31 00 00 00 F3 A5 59 89 8D 34 FF FF FF 8B DA 8B F0 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 16 E8 ?? ?? ?? ?? 8B 45 FC 66 83 38 2D 0F 94 85 33 FF FF FF 8B 4D 0C F7 D9 8D 45 FC 0F B7 55 F6 E8 ?? ?? ?? ?? 8D 85 28 FF FF FF 0F B7 55 F6 E8 ?? ?? ?? ?? 8B 85 28 FF FF FF 8B 55 FC E8 ?? ?? ?? ?? 8B F8 85 FF 75 5F 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 78 01 83 7D 0C 00 7E 3E FF 75 FC 8D 85 24 FF FF FF 0F B7 55 F6 E8 ?? ?? ?? ?? FF B5 24 FF FF FF 8D 8D 20 FF FF FF 8B 55 0C 66 B8 30 00 E8 ?? ?? ?? ?? FF B5 20 FF FF FF 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 5B 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 4F 8B 45 FC 89 85 2C FF FF FF 83 BD 2C FF FF FF 00 74 11 8B 85 2C FF FF FF 83 E8 04 8B 00 89 85 2C FF FF FF 8B 85 2C FF FF FF 2B C7 8B 55 0C 2B D0 8D 8D 1C FF FF FF 66 B8 30 00 E8 ?? ?? ?? ?? 8B 8D 1C FF FF FF 8B C6 8B 55 FC E8 ?? ?? ?? ?? 8B C7 48 3B 85 34 FF FF FF 7E 1D 8B 85 34 FF FF FF 50 8B 45 0C 50 8B D3 8B C6 0F B7 4D F6 E8 ?? ?? ?? ?? E9 AD 00 00 00 80 FB 03 74 05 80 FB 04 75 35 83 EF 03 EB 21 8D 85 18 FF FF FF 0F B7 55 F4 E8 ?? ?? ?? ?? 8B 85 18 FF FF FF 8B D6 8B CF E8 ?? ?? ?? ?? 83 EF 03 83 FF 01 7E 0A 8B 06 66 83 7C 78 FC 2D 75 D0 80 FB 04 75 69 80 BD 33 FF FF FF 00 74 38 8B C6 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 85 14 FF FF FF 50 8B 06 0F B6 4D FA 8B 95 38 FF FF FF E8 ?? ?? ?? ?? 8B 95 14 FF FF FF 8B C6 E8 ?? ?? ?? ?? EB 28 8D 85 10 FF FF FF 50 8B 06 0F B6 8D 3C FF FF FF 8B 95 38 FF FF FF E8 ?? ?? ?? ?? 8B 95 10 FF FF FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 10 FF FF FF BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14254_0 {
	meta:
		name = "BcdToStrF"
		size = 374
		refs = "003b TFormatSettings 0040 @AddRefRecord 0048 BcdToStrF 0074 BcdToStr 0097 RoundPrecision 00a6 @UStrFromWChar 00b3 Pos 010c BcdExponentString 0138 BcdNumberString 0150 @UStrClr 0161 @FinalizeRecord 0167 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 0C FF FF FF 53 56 57 33 DB 89 9D 10 FF FF FF 8B 75 0C 8D BD 3C FF FF FF 51 B9 31 00 00 00 F3 A5 59 89 8D 38 FF FF FF 8B DA 8B F0 8B 7D 08 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 57 8D BD 16 FF FF FF B9 08 00 00 00 F3 A5 66 A5 5F 5E 8B CF 8D 85 16 FF FF FF 8D 95 3C FF FF FF E8 ?? ?? ?? ?? 83 BD 38 FF FF FF 00 7E 08 8B B5 38 FF FF FF EB 05 0F B6 06 8B F0 8B C7 8B CE 0F B7 55 FA E8 ?? ?? ?? ?? 8D 85 10 FF FF FF 0F B7 55 FA E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 8B 17 E8 ?? ?? ?? ?? 8B D3 80 EA 01 72 0A 74 52 4A 80 EA 03 72 60 EB 74 85 C0 75 1E 8B 17 89 95 0C FF FF FF 8B 95 0C FF FF FF 85 D2 74 05 83 EA 04 8B 12 3B F2 0F 9C C2 EB 02 33 D2 84 D2 74 04 B0 01 EB 06 48 3B F0 0F 9C C0 84 C0 74 3E 56 8B 45 10 50 8B D3 8B C7 0F B7 4D FA E8 ?? ?? ?? ?? EB 2A 56 8B 45 10 50 8B D3 8B C7 0F B7 4D FA E8 ?? ?? ?? ?? EB 16 8B 45 10 50 8D 85 3C FF FF FF 50 8B D3 8B C7 8B CE E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 10 FF FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_14255_0 {
	meta:
		name = "ScanSection"
		size = 277
	strings:
		$1 = { 53 56 57 33 C9 89 4A 04 C7 42 08 FF FF FF FF C7 42 0C FF FF FF FF 33 C9 89 4A 10 C6 02 00 C6 42 01 00 E9 97 00 00 00 0F B7 D9 83 FB 2E 7F 16 74 5A 83 EB 22 74 3C 4B 74 1D 83 EB 04 74 34 83 EB 05 74 43 EB 70 83 EB 30 74 11 83 EB 15 74 4A 83 EB 20 74 45 EB 5F FF 42 04 EB 5A FF 42 04 83 7A 0C FF 75 06 8B 4A 04 89 4A 0C 8B 4A 04 89 4A 10 EB 43 8B F9 83 C0 02 0F B7 30 66 85 F6 74 36 66 3B FE 75 F0 EB 2F C6 02 01 EB 2A 83 7A 08 FF 75 24 8B 4A 04 89 4A 08 EB 1C 83 C0 02 66 83 38 2D 74 06 66 83 38 2B 75 0D C6 42 01 01 83 C0 02 66 83 38 30 74 F7 66 83 38 00 74 03 83 C0 02 0F B7 08 66 85 C9 76 0A 66 83 F9 3B 0F 85 57 FF FF FF 83 7A 08 FF 75 06 8B 42 04 89 42 08 8B 42 0C 83 F8 FF 75 07 33 C0 89 42 0C EB 09 8B 4A 08 2B C8 41 89 4A 0C 83 7A 0C 00 7D 05 33 C0 89 42 0C 8B 42 08 2B 42 10 89 42 10 85 C0 7E 05 33 C0 89 42 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14256_0 {
	meta:
		name = "FindSection"
		size = 117
	strings:
		$1 = { 56 57 55 83 C4 F8 89 54 24 04 89 14 24 EB 39 66 83 FE 3B 75 09 48 8D 4A 02 89 0C 24 EB 21 0F B7 2A 66 83 FD 27 74 06 66 83 FD 22 75 12 8B FD 83 C2 02 0F B7 0A 66 85 C9 74 05 66 3B F9 75 F0 66 83 3A 00 74 03 83 C2 02 0F B7 32 66 85 F6 76 07 0F B6 C8 85 C9 7F B8 0F B7 02 66 85 C0 74 06 66 83 F8 3B 75 07 8B 44 24 04 89 04 24 8B 04 24 59 5A 5D 5F 5E C3 }
	condition:
		$1
}

rule function_14257_0 {
	meta:
		name = "PutFmtDigit"
		size = 396
		refs = "0047 PutChar"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 83 C3 F8 8B 75 08 8B 76 08 8B 7D 08 83 C7 F0 8B 45 08 FF 48 FC 83 3B 00 7C 6B 8B 45 08 8B 40 FC 3B 03 7E 61 8B 45 08 8B 40 FC 3B 46 0C 0F 8D 4B 01 00 00 8B 45 08 8B 40 F4 66 BA 30 00 E8 ?? ?? ?? ?? 80 3E 00 0F 84 33 01 00 00 8B 45 08 83 78 FC 01 0F 8E 26 01 00 00 8B 45 08 8B 40 FC B9 03 00 00 00 99 F7 F9 85 D2 0F 85 10 01 00 00 0F B7 96 D0 00 00 00 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? E9 F9 00 00 00 83 3B FF 0F 85 84 00 00 00 83 7E 10 00 75 14 8B 07 66 83 38 00 74 76 83 7E 0C 00 75 06 83 7E 08 01 75 6A 0F B7 96 D2 00 00 00 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? EB 56 8B 07 0F B7 10 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 83 07 02 80 3E 00 74 25 83 3B 01 7E 20 8B 03 B9 03 00 00 00 99 F7 F9 85 D2 75 12 0F B7 96 D0 00 00 00 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? FF 0B 83 3B FF 75 12 0F B7 96 D2 00 00 00 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 03 3B 46 0C 7D A3 8B 03 3B 46 0C 7D 5E 8B 07 0F B7 00 66 85 C0 74 12 8B D0 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 83 07 02 EB 16 8B 03 3B 46 10 7C 0F 8B 45 08 8B 40 F4 66 BA 30 00 E8 ?? ?? ?? ?? 80 3E 00 74 25 83 3B 01 7E 20 8B 03 B9 03 00 00 00 99 F7 F9 85 D2 75 12 0F B7 96 D0 00 00 00 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? FF 0B 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_14258_0 {
	meta:
		name = "ApplyFormat"
		size = 840
		refs = "001f ApplyFormat 003d BcdToStr 005e RoundPrecision 007e Round 0099 @UStrDelete 00ab @UStrFromWChar 00b6 Pos 011f @UniqueStringU 018b PutFmtDigit 01a4 PutChar 0256 Format 028a Move 02e3 StrPCopy 030b @UStrClr 0318 @UStrArrayClr 031e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D D0 89 5D EC 89 5D E8 8B F1 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 00 89 45 E0 8D 4D EC 8B 55 08 83 C2 14 8B C6 E8 ?? ?? ?? ?? 8B 45 08 80 78 01 00 74 1A 8B 4D 08 8B 49 04 8B 55 08 0F B7 92 D2 00 00 00 8D 45 EC E8 ?? ?? ?? ?? EB 1E 8B 4D 08 8B 49 08 8B 45 08 2B 48 04 8B 55 08 0F B7 92 D2 00 00 00 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 66 83 38 2D 75 12 8D 45 EC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 8B 55 08 0F B7 92 D2 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 8B 55 EC E8 ?? ?? ?? ?? 83 E8 02 89 45 F8 83 7D F8 FE 75 10 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 48 89 45 F8 8B 55 F8 83 C2 02 8D 45 EC B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 80 78 01 00 74 20 EB 15 8D 45 EC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 4D F8 8B 45 EC 66 83 38 30 74 E2 8B 45 08 8B 40 08 89 45 FC 8D 45 EC E8 ?? ?? ?? ?? 89 45 F0 8B 45 08 83 78 0C 00 0F 85 8B 01 00 00 8B 45 EC 66 83 38 30 0F 85 7E 01 00 00 83 45 F0 02 FF 4D F8 E9 72 01 00 00 0F B7 C6 83 F8 2E 7F 21 0F 84 61 01 00 00 83 E8 22 74 36 48 74 27 83 E8 04 74 2E 83 E8 05 0F 84 4B 01 00 00 E9 3C 01 00 00 83 E8 30 74 0F 83 E8 15 74 4C 83 E8 20 74 47 E9 28 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 26 01 00 00 66 89 75 E6 83 C3 02 EB 0D 8B 45 F4 8B D7 E8 ?? ?? ?? ?? 83 C3 02 0F B7 3B 66 85 FF 74 06 66 3B 7D E6 75 E5 66 83 3B 00 0F 85 F8 00 00 00 83 EB 02 E9 F0 00 00 00 8B 45 F4 8B D6 E8 ?? ?? ?? ?? 66 83 7B 02 2B 74 0B 66 83 7B 02 2D 0F 85 D4 00 00 00 8B 45 08 8B 40 08 48 29 45 F8 83 7D F8 00 7C 13 66 83 7B 02 2B 75 0C 8B 45 F4 66 BA 2B 00 E8 ?? ?? ?? ?? 83 C3 04 33 C0 89 45 FC EB 06 FF 45 FC 83 C3 02 66 83 3B 30 74 F4 83 7D FC 04 7E 07 C7 45 FC 04 00 00 00 83 EB 02 8D 45 E8 50 8B 45 FC 89 45 C0 C6 45 C4 00 8B 45 F8 89 45 C8 C6 45 CC 00 8D 55 C0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 89 45 D8 8B 45 E8 89 45 DC 83 7D DC 00 74 0B 8B 45 DC 83 E8 04 8B 00 89 45 DC 8B 4D DC 03 C9 8B 55 F4 8B 12 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 E8 89 45 D4 83 7D D4 00 74 0B 8B 45 D4 83 E8 04 8B 00 89 45 D4 8B 45 D4 03 C0 8B 55 F4 01 02 EB 0A 8B 45 F4 8B D6 E8 ?? ?? ?? ?? 83 C3 02 0F B7 33 66 85 F6 74 0A 66 83 FE 3B 0F 85 7C FE FF FF 8B 45 F4 8B 00 3B 45 E0 75 20 8B 45 F4 8B 00 8B 55 EC E8 ?? ?? ?? ?? 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 03 C0 8B 55 F4 01 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 2E 00 2A 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_14259_0 {
	meta:
		name = "FormatBcd"
		size = 51
		refs = "001d CurrencyString 0028 FormatBcd"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B F2 8D 3C 24 51 B9 08 00 00 00 F3 A5 59 66 A5 8B F1 8B D8 56 8B 0D ?? ?? ?? ?? 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 83 C4 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14260_0 {
	meta:
		name = "FormatBcd"
		size = 388
		refs = "0036 TFormatSettings 003b @AddRefRecord 0047 TFormatFloatOptions 004c @InitializeRecord 0054 FormatBcd 006c @FillChar 0088 @UStrToPWChar 0093 FindSection 00a8 PutChar 00b5 IsZero 00ec ScanSection 0103 @CopyRecord 011d ApplyFormat 0140 @UStrFromPWCharLen 015e @FinalizeRecord 0175 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 3C FC FF FF 53 56 57 8B F1 8D BD 3C FF FF FF B9 31 00 00 00 F3 A5 8B F2 8D BD 3E FE FF FF B9 08 00 00 00 F3 A5 66 A5 8B F0 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 64 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 3E FC FF FF 33 C9 BA 00 02 00 00 E8 ?? ?? ?? ?? 8D 85 3E FC FF FF 89 85 60 FE FF FF F6 85 3F FE FF FF 80 74 29 8B C6 E8 ?? ?? ?? ?? 8B F8 8B D7 B0 01 E8 ?? ?? ?? ?? 8B D8 3B FB 75 46 8D 85 60 FE FF FF 66 BA 2D 00 E8 ?? ?? ?? ?? EB 35 8D 85 3E FE FF FF E8 ?? ?? ?? ?? 84 C0 74 14 8B C6 E8 ?? ?? ?? ?? 8B D0 B0 02 E8 ?? ?? ?? ?? 8B D8 EB 12 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C0 E8 ?? ?? ?? ?? 8B D8 8D 95 64 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 78 FE FF FF 8D 95 3C FF FF FF 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 64 FE FF FF 50 8D 8D 3E FE FF FF 8D 95 60 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 3E FC FF FF 8B 8D 60 FE FF FF 2B C8 D1 F9 79 03 83 D1 00 8D 95 3E FC FF FF 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 64 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14261_0 {
	meta:
		name = "BcdMultiply"
		size = 46
		refs = "0016 TBcd.&op_Implicit 0022 BcdMultiply"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8D 45 DC E8 ?? ?? ?? ?? 8D 55 DC 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14265_0 {
	meta:
		name = "BcdDivide"
		size = 46
		refs = "0016 TBcd.&op_Implicit 0022 BcdDivide"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8D 45 DC E8 ?? ?? ?? ?? 8D 55 DC 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14262_0 {
	meta:
		name = "BcdMultiply"
		size = 39
		refs = "0011 TBcd.&op_Implicit 001c BcdMultiply"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B F9 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D4 8B CF 8B C3 E8 ?? ?? ?? ?? 83 C4 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14266_0 {
	meta:
		name = "BcdDivide"
		size = 39
		refs = "0011 TBcd.&op_Implicit 001c BcdDivide"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B F9 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D4 8B CF 8B C3 E8 ?? ?? ?? ?? 83 C4 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14263_0 {
	meta:
		name = "BcdMultiply"
		size = 121
		refs = "0013 @UStrAddRef 0023 BcdMultiply 0034 TBcd.&op_Implicit 0068 @UStrArrayClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 8B D9 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 D4 50 8D 55 B0 8B 45 FC E8 ?? ?? ?? ?? 8D 45 B0 8B CB 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14264_0 {
	meta:
		name = "BcdDivide"
		size = 121
		refs = "0013 @UStrAddRef 0023 BcdDivide 0034 TBcd.&op_Implicit 0068 @UStrArrayClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 8B D9 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 D4 50 8D 55 B0 8B 45 FC E8 ?? ?? ?? ?? 8D 45 B0 8B CB 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14267_0 {
	meta:
		name = "TComplexVariantType.Clear"
		size = 22
		refs = "0011 TObject.Free"
		altNames = "TFMTBcdVariantType.Clear TSQLTimeStampOffsetVariantType.Clear TSQLTimeStampVariantType.Clear"
	strings:
		$1 = { 66 C7 02 00 00 8D 42 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14268_0 {
	meta:
		name = "TFMTBcdVariantType.Copy"
		size = 79
		refs = "0017 TCustomVariantType.VarDataIsByRef 0026 TCustomVariantType.VarDataCopyNoInd 003c _DV_TFMTBcdData 0041 TFMTBcdData.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 80 7D 08 00 74 1A 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? EB 1C 0F B7 43 04 66 89 07 8B 46 08 8D 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_14269_0 {
	meta:
		name = "TFMTBcdVariantType.Cast"
		size = 310
		refs = "0018 TFMTBcdVariantType.Cast 0029 TCustomVariantType.VarDataInit 0044 TCustomVariantType.VarDataCopyNoInd 004f TCustomVariantType.VarDataIsStr 0065 TCustomVariantType.VarDataToStr 006f _DV_TFMTBcdData 0074 TFMTBcdData.Create 00a5 TCustomVariantType.VarDataCastTo 00db TCustomVariantType.VarDataClear 00e1 @HandleFinally 0125 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 33 DB 89 5D D4 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 29 6A 20 6A 08 8D 4D D4 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 08 EB 67 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 05 8D 4D E8 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? FF 75 E4 FF 75 E0 6A 08 66 B9 20 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 0F B7 40 04 8B 55 F8 66 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14270_0 {
	meta:
		name = "TFMTBcdVariantType.CastTo"
		size = 380
		refs = "0028 TFMTBcdVariantType.CastTo 0062 TBcd.&op_Explicit 006d @WStrFromUStr 007a TCustomVariantType.VarDataFromOleStr 009d @LStrFromUStr 00aa TCustomVariantType.VarDataFromLStr 00ca TCustomVariantType.VarDataFromStr 00d7 TCustomVariantType.VarDataInit 00f6 BcdToDouble 0108 TCustomVariantType.VarDataCastTo 0120 TCustomVariantType.VarDataClear 0126 @HandleFinally 0135 TCustomVariantType.CastTo 014f @UStrArrayClr 0157 @LStrClr 015f @UStrClr 0167 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D E0 89 5D DC 89 5D E8 89 5D E4 8B D9 8B FA 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 03 8B 55 FC 66 3B 42 04 0F 85 EA 00 00 00 8B C6 66 83 E8 08 74 0E 66 2D F8 00 74 33 66 83 E8 02 74 5D EB 78 8D 55 E4 8B 43 08 83 C0 04 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 4D E8 8B D7 8B 45 FC E8 ?? ?? ?? ?? E9 B6 00 00 00 8D 55 DC 8B 43 08 83 C0 04 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D E0 8B D7 8B 45 FC E8 ?? ?? ?? ?? E9 86 00 00 00 8D 55 D8 8B 43 08 83 C0 04 E8 ?? ?? ?? ?? 8B 4D D8 8B D7 8B 45 FC E8 ?? ?? ?? ?? EB 69 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 45 EC 05 00 8B 43 08 83 C0 04 E8 ?? ?? ?? ?? DD 5D F4 9B 56 8D 4D EC 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 56 8B CB 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14271_0 {
	meta:
		name = "TFMTBcdVariantType.BinaryOp"
		size = 140
		refs = "002b BcdAdd 0046 BcdSubtract 0061 BcdMultiply 007c BcdDivide 0083 TCustomVariantType.RaiseInvalidOp"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 EB 01 72 0A 74 23 4B 74 3B 4B 74 53 EB 6C 8B 42 08 8D 58 04 8B 49 08 83 C1 04 83 C0 04 93 8B D1 8B CB E8 ?? ?? ?? ?? EB 56 8B 42 08 8D 58 04 8B 49 08 83 C1 04 83 C0 04 93 8B D1 8B CB E8 ?? ?? ?? ?? EB 3B 8B 42 08 8D 58 04 8B 49 08 83 C1 04 83 C0 04 93 8B D1 8B CB E8 ?? ?? ?? ?? EB 20 8B 42 08 8D 58 04 8B 49 08 83 C1 04 83 C0 04 93 8B D1 8B CB E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_14272_0 {
	meta:
		name = "TFMTBcdVariantType.Compare"
		size = 31
		refs = "0010 TFMTBcdData.Compare"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 56 08 8B 43 08 E8 ?? ?? ?? ?? 8B 55 08 88 02 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_14658_0 {
	meta:
		name = "TSQLTimeStampOffsetVariantType.Compare"
		size = 31
		refs = "0010 TSQLTimeStampOffsetData.Compare"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 56 08 8B 43 08 E8 ?? ?? ?? ?? 8B 55 08 88 02 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_14697_0 {
	meta:
		name = "TSQLTimeStampVariantType.Compare"
		size = 31
		refs = "0010 TSQLTimeStampData.Compare"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 56 08 8B 43 08 E8 ?? ?? ?? ?? 8B 55 08 88 02 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_14273_0 {
	meta:
		name = "TFMTBcdData.Create"
		size = 72
		refs = "000b @ClassCreate 001a TObject.Create 0029 Move 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 57 04 8B C6 B9 22 00 00 00 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14274_0 {
	meta:
		name = "TFMTBcdData.Create"
		size = 91
		refs = "0010 @ClassCreate 002c CurrToBCD 0038 TFMTBcdData.Create 0043 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 FF 75 0C FF 75 08 8D 45 DE B9 04 00 00 00 BA 20 00 00 00 E8 ?? ?? ?? ?? 8D 4D DE 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14275_0 {
	meta:
		name = "TFMTBcdData.Create"
		size = 174
		refs = "0016 @ClassCreate 0024 TFMTBcdData.Create 0034 StrToBcd 0048 NormalizeBcd 0054 SBcdOverflow 0059 LoadResString 0061 OverflowError 0082 @UStrClr 0088 @HandleFinally 0095 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 DB 89 5D B8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 DE 8B C6 E8 ?? ?? ?? ?? 0F B7 45 08 50 0F B7 4D 0C 8D 55 BC 8D 45 DE E8 ?? ?? ?? ?? 84 C0 75 15 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 8D 4D BC 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14276_0 {
	meta:
		name = "TFMTBcdData.Create"
		size = 294
		refs = "001c @ClassCreate 002e TFMTBcdData.Create 004c SBcdOverflow 0051 LoadResString 0059 OverflowError 0080 CurrencyString 0094 FloatToStrF 009f StrToBcd 00b1 NormalizeBcd 00f0 @UStrArrayClr 00f8 @UStrClr 00fe @HandleFinally 010d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 DB 89 5D 98 89 5D 9C 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 8B F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 85 DB 74 0B 66 83 FB 40 77 05 66 3B DE 73 15 8D 55 9C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C E8 ?? ?? ?? ?? DD 45 0C DB 7D F0 9B C6 45 EF 02 0F B7 C3 89 45 E8 0F B7 C6 89 45 E4 0F B7 45 F8 50 FF 75 F4 FF 75 F0 A1 ?? ?? ?? ?? 50 8D 45 FC 50 0F B6 45 EF 8B 4D E4 8B 55 E8 E8 ?? ?? ?? ?? 8D 55 C2 8B 45 FC E8 ?? ?? ?? ?? 0F B7 C6 50 0F B7 CB 8D 55 A0 8D 45 C2 E8 ?? ?? ?? ?? 84 C0 75 15 8D 55 98 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 E8 ?? ?? ?? ?? 8D 4D A0 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C7 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_14277_0 {
	meta:
		name = "TFMTBcdData.Compare"
		size = 21
		refs = "000d BcdCompare"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 56 04 8D 43 04 E8 ?? ?? ?? ?? 40 5E 5B C3 }
	condition:
		$1
}

rule function_14278_0 {
	meta:
		name = "TComplexVariantType.GetInstance"
		size = 4
		altNames = "TFMTBcdVariantType.GetInstance TSQLTimeStampOffsetVariantType.GetInstance TSQLTimeStampVariantType.GetInstance"
	strings:
		$1 = { 8B 42 08 C3 }
	condition:
		$1
}

rule function_14279_0 {
	meta:
		name = "VarFMTBcdCreate"
		size = 45
		refs = "0009 @VarClear 000e FMTBcdVariantType 001e _DV_TFMTBcdData 0023 TFMTBcdData.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F B7 40 04 66 89 03 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_14701_0 {
	meta:
		name = "VarSQLTimeStampCreate"
		size = 45
		refs = "0009 @VarClear 000e SQLTimeStampVariantType 001e _DV_TSQLTimeStampData 0023 TSQLTimeStampData.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F B7 40 04 66 89 03 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_14713_0 {
	meta:
		name = "VarSQLTimeStampOffsetCreate"
		size = 45
		refs = "0009 @VarClear 000e SQLTimeStampOffsetVariantType 001e _DV_TSQLTimeStampOffsetData 0023 TSQLTimeStampOffsetData.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F B7 40 04 66 89 03 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_14281_0 {
	meta:
		name = "VarFMTBcdCreate"
		size = 68
		refs = "0015 @VarClear 001a FMTBcdVariantType 0030 _DV_TFMTBcdData 0035 TFMTBcdData.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FE 8B FA 8B F0 8B 5D 08 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F B7 40 04 66 89 03 57 0F B7 45 FE 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_14282_0 {
	meta:
		name = "VarFMTBcdCreate"
		size = 62
		refs = "000f @VarClear 0014 FMTBcdVariantType 002b _DV_TFMTBcdData 0030 TFMTBcdData.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B FA 8B F0 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F B7 40 04 66 89 03 FF 75 0C FF 75 08 57 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14284_0 {
	meta:
		name = "VarIsFMTBcd"
		size = 17
		refs = "0005 FMTBcdVariantType"
	strings:
		$1 = { 0F B7 00 8B 15 ?? ?? ?? ?? 66 3B 42 04 0F 94 C0 C3 }
	condition:
		$1
}

rule function_14705_0 {
	meta:
		name = "VarIsSQLTimeStamp"
		size = 17
		refs = "0005 SQLTimeStampVariantType"
	strings:
		$1 = { 0F B7 00 8B 15 ?? ?? ?? ?? 66 3B 42 04 0F 94 C0 C3 }
	condition:
		$1
}

rule function_14717_0 {
	meta:
		name = "VarIsSQLTimeStampOffset"
		size = 17
		refs = "0005 SQLTimeStampOffsetVariantType"
	strings:
		$1 = { 0F B7 00 8B 15 ?? ?? ?? ?? 66 3B 42 04 0F 94 C0 C3 }
	condition:
		$1
}

rule function_14285_0 {
	meta:
		name = "VarFMTBcd"
		size = 10
		refs = "0001 FMTBcdVariantType"
	strings:
		$1 = { A1 ?? ?? ?? ?? 0F B7 40 04 C3 }
	condition:
		$1
}

rule function_70198_0 {
	meta:
		name = "VarComplex"
		size = 10
		refs = "0001 ComplexVariantType"
	strings:
		$1 = { A1 ?? ?? ?? ?? 0F B7 40 04 C3 }
	condition:
		$1
}

rule function_70251_0 {
	meta:
		name = "VarConvert"
		size = 10
		refs = "0001 ConvertVariantType"
	strings:
		$1 = { A1 ?? ?? ?? ?? 0F B7 40 04 C3 }
	condition:
		$1
}

rule function_14704_0 {
	meta:
		name = "VarSQLTimeStamp"
		size = 10
		refs = "0001 SQLTimeStampVariantType"
	strings:
		$1 = { A1 ?? ?? ?? ?? 0F B7 40 04 C3 }
	condition:
		$1
}

rule function_14716_0 {
	meta:
		name = "VarSQLTimeStampOffset"
		size = 10
		refs = "0001 SQLTimeStampOffsetVariantType"
	strings:
		$1 = { A1 ?? ?? ?? ?? 0F B7 40 04 C3 }
	condition:
		$1
}

rule function_14286_0 {
	meta:
		name = "VarToBcd"
		size = 154
		refs = "0010 VarToBcd 001f FMTBcdVariantType 0045 @VarToCurrency 005d CurrToBCD 0069 @VarToUStr 0073 StrToBcd 0088 @UStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 03 8B 15 ?? ?? ?? ?? 66 3B 42 04 75 13 8B 43 08 8B FE 8D 70 04 B9 08 00 00 00 F3 A5 66 A5 EB 3B 66 83 F8 06 75 21 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C6 B9 04 00 00 00 BA 20 00 00 00 E8 ?? ?? ?? ?? EB 14 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14287_0 {
	meta:
		name = "RoundChar"
		size = 180
		refs = "001c RoundChar 004d @UniqueStringU"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 0F BF C3 8B 55 08 8B 52 FC 8B 12 0F B7 44 42 FE BE ?? ?? ?? ?? 66 3D FF 00 77 06 0F B7 C0 0F A3 06 0F 92 C0 84 C0 74 5A 0F BF C3 8B 55 08 8B 52 FC 8B 12 66 83 7C 42 FE 39 75 1D 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 0F BF D3 66 C7 44 50 FE 30 00 8B 45 FC C6 00 01 EB 2A 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 0F BF D3 0F BF CB 8B 5D 08 8B 5B FC 8B 1B 0F B6 4C 4B FE 41 66 89 4C 50 FE 8B 45 FC C6 00 00 5E 5B 59 5D C3 00 00 00 00 00 00 00 00 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14288_0 {
	meta:
		name = "RoundAt"
		size = 680
		refs = "0022 RoundAt 0041 @UStrAsg 004b CurrencyString 0071 @UStrCopy 007e @UStrLAsg 0092 @UStrClr 009e @UStrFromWChar 00ab Pos 0123 @UStrCat3 01a9 RoundChar 0220 @UStrCatN 0265 @UStrArrayClr 027b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0F 8B 45 FC 8B D3 E8 ?? ?? ?? ?? E9 05 02 00 00 A1 ?? ?? ?? ?? 0F B7 80 BE 00 00 00 66 89 45 F6 66 83 3B 2D 75 24 8B 45 FC 50 B9 FF FF FF 7F BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 EC 0F B7 55 F6 E8 ?? ?? ?? ?? 8B 45 EC 8B 55 FC 8B 12 E8 ?? ?? ?? ?? 8B F0 66 85 F6 7E 19 8B 45 FC 8B 00 89 45 E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 66 2B C6 EB 02 33 C0 66 85 F6 74 05 66 3B F8 7C 0F 8B 45 FC 8B D3 E8 ?? ?? ?? ?? E9 65 01 00 00 0F BF DE 0F BF D7 03 DA 8B 55 FC 8B 12 66 83 3C 5A 35 73 56 66 85 FF 75 29 8D 45 E4 50 8B CB 49 8B 45 FC 8B 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? E9 23 01 00 00 8D 45 E0 50 8B CB 8B 45 FC 8B 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 4D E0 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? E9 FB 00 00 00 C6 45 F3 00 66 BB 01 00 03 C6 8D 54 37 01 66 2B D0 7F 7E 4A 66 89 55 F0 66 89 45 F4 0F BF 45 F4 8B 55 FC 8B 12 0F B7 44 42 FE 0F B7 5D F4 4B 0F BF D3 8B 4D FC 8B 09 0F B7 54 51 FE 66 3B 55 F6 75 02 4B 4F 3C 35 0F 93 C0 0A 45 F3 74 0C 55 8D 55 F3 8B C3 E8 ?? ?? ?? ?? 59 66 FF 4D F4 66 FF 45 F0 75 B8 EB 2B 66 3B F3 7F 01 4F 4B 66 85 DB 74 25 0F BF C3 8B 55 FC 8B 12 0F B7 44 42 FE 66 3B 45 F6 74 0C 55 8D 55 F3 8B C3 E8 ?? ?? ?? ?? 59 80 7D F3 00 75 CF 80 7D F3 00 74 35 FF 75 F8 68 ?? ?? ?? ?? 8D 45 DC 50 0F BF CE 0F BF C7 03 C8 8B 45 FC 8B 00 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 DC 8B 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 29 8D 45 D8 50 0F BF CE 0F BF C7 03 C8 8B 45 FC 8B 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 4D D8 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 }
	condition:
		$1
}

rule function_14289_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_3 0009 FMTBcdVariantType 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43232_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_01 0009 GSessionCountCS 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98568_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_01 0009 ActiveScriptEngine 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97959_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_81 0009 RegisteredRequestIdentifiers 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96599_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_2 0009 ThreadPool 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92923_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_4 0009 TeeExportFormats 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78158_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_6 0009 ddeMgr 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70266_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_1 0009 ConvertVariantType 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48197_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_7 0009 Sessions 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46477_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_2 0009 gURLMappingList 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45438_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_2 0009 GLayoutMgrJpegOptions 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45415_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_3 0009 GLicense 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45110_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_2 0009 GFormListManager 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44041_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_2 0009 gContentTypes 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43324_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_4 0009 GPaintHandlers 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43147_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_3 0009 gDefaltURLs 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28390_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_71 0009 LeaseManagerInstance 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41410_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_5 0009 GSSLRegistry 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41165_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_5 0009 GIOHandlerClassList 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32194_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_4 0009 AuthList 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37781_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_9 0009 FFailedFunctionLoadList 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37365_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_5 0009 GSSLRegistry 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36882_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_2 0009 GlobalSASLList 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41826_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_9 0009 FFailedFunctionLoadList 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33765_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_9 0009 GParserList 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34870_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_3 0009 GHeaderCoderList 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35557_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_5 0009 GIOHandlerClassList 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54421_0 {
	meta:
		name = "TBindingScopeFactory.Destroy@"
		size = 27
		refs = "0002 TBindingScopeFactory.$ClassInitFlag 0009 TBindingScopeFactory.FScopeTuples 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17075_0 {
	meta:
		name = "TDSHTTP.Destroy@"
		size = 27
		refs = "0002 TDSHTTP.$ClassInitFlag 0009 TDSHTTP.FProtocols 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35132_0 {
	meta:
		name = "TIdHTTPWebBrokerBridgeRequestHandler.Destroy@"
		size = 27
		refs = "0002 TIdHTTPWebBrokerBridgeRequestHandler.$ClassInitFlag 0009 TIdHTTPWebBrokerBridgeRequestHandler.FWebRequestHandler 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41058_0 {
	meta:
		name = "TInHTTPWebBrokerBridgeRequestHandler.Destroy@"
		size = 27
		refs = "0002 TInHTTPWebBrokerBridgeRequestHandler.$ClassInitFlag 0009 TInHTTPWebBrokerBridgeRequestHandler.FWebRequestHandler 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69478_0 {
	meta:
		name = "TLanguages.Destroy@"
		size = 27
		refs = "0002 TLanguages.$ClassInitFlag 0009 FLanguages 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63033_0 {
	meta:
		name = "TObserverMapping.Destroy@"
		size = 27
		refs = "0002 TObserverMapping.$ClassInitFlag 0009 TObserverMapping.FInstance 0016 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14290_0 {
	meta:
		name = "Data.FmtBcd"
		size = 34
		refs = "0002 _DV_3 000c _DV_TFMTBcdVariantType 0011 TCustomVariantType.Create 0016 FMTBcdVariantType 001c BcdOverflowChecks"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_14293_0 {
	meta:
		name = "GetTableScope"
		size = 268
		refs = "000a @UStrClr 0017 GetTableScope 0028 @UStrCatN"
	strings:
		$1 = { 53 51 8B DA 88 04 24 8B C3 E8 ?? ?? ?? ?? F6 04 24 04 74 18 FF 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? F6 04 24 08 74 18 FF 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? F6 04 24 02 74 18 FF 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? F6 04 24 01 74 18 FF 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 5A 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 61 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 56 00 69 00 65 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 54 00 61 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 79 00 6E 00 6F 00 6E 00 79 00 6D 00 00 00 }
	condition:
		$1
}

rule function_14294_0 {
	meta:
		name = "GetRegistryFile"
		size = 376
		refs = "0019 @UStrAddRef 0029 GetRegistryFile 0037 @UStrClr 003e _Dn_TRegistry 0043 TRegistry.Create 0061 TRegistry.SetRootKey 006e TRegistry.OpenKeyReadOnly 0080 TRegistry.ReadString 0095 TObject.Free 009b @HandleFinally 00af ParamStr 00ba ExtractFileDir 00d2 @UStrCatN 00ec @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F0 89 5D EC 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 01 00 00 80 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 4D 08 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 83 38 00 75 2D 8D 55 EC 33 C0 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 75 F8 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 27 00 00 00 5C 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 45 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 5C 00 42 00 44 00 53 00 5C 00 39 00 2E 00 30 00 5C 00 64 00 62 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_14295_0 {
	meta:
		name = "GetDriverRegistryFile"
		size = 128
		refs = "000a GetDriverRegistryFile 0014 GetRegistryFile"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B CB BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 64 00 62 00 78 00 64 00 72 00 69 00 76 00 65 00 72 00 73 00 2E 00 69 00 6E 00 69 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 20 00 52 00 65 00 67 00 69 00 73 00 74 00 72 00 79 00 20 00 46 00 69 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_14296_0 {
	meta:
		name = "GetConnectionRegistryFile"
		size = 144
		refs = "000a GetConnectionRegistryFile 0014 GetRegistryFile"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B CB BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 12 00 00 00 64 00 62 00 78 00 63 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 73 00 2E 00 69 00 6E 00 69 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 52 00 65 00 67 00 69 00 73 00 74 00 72 00 79 00 20 00 46 00 69 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_14297_0 {
	meta:
		name = "GetBlobLength"
		size = 120
		refs = "0067 TCustomSQLDataSet.SetCurrentBlobSize"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 C7 04 24 00 00 00 00 C7 44 24 04 00 00 00 00 80 BB A9 00 00 00 00 75 3B 83 BB CC 01 00 00 00 74 41 8D 44 24 08 50 8B 83 34 02 00 00 8B 10 FF 52 2C 8D 4C 24 04 8B D6 4A 8B 30 FF 56 3C 83 7C 24 08 00 74 0F C7 04 24 00 00 00 00 C7 44 24 04 00 00 00 00 FF 74 24 04 FF 74 24 04 8B C3 E8 ?? ?? ?? ?? 8B 04 24 8B 54 24 04 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_14298_0 {
	meta:
		name = "NextPiece"
		size = 432
		refs = "0014 @UStrAddRef 001c NextPiece 0138 @UStrClr 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 BE ?? ?? ?? ?? 8D 7D C3 B9 08 00 00 00 F3 A5 5E B8 02 00 00 00 8B 55 FC 85 D2 74 05 83 EA 04 8B 12 89 55 F4 33 D2 89 55 F8 66 89 75 F2 E9 B4 00 00 00 8B 55 FC 0F B7 74 42 FE 66 83 FE 27 74 06 66 3B 75 F2 75 08 80 F3 01 E9 97 00 00 00 84 DB 0F 85 8F 00 00 00 8B D6 66 81 FA FF 00 77 07 0F B7 D2 0F A3 55 C3 73 7D 80 7D 08 00 74 2B BA ?? ?? ?? ?? 89 55 EC 8B 55 EC 8B CE 66 81 F9 FF 00 77 06 0F B7 C9 0F A3 0A 0F 92 C2 88 55 EB 80 7D EB 00 75 51 89 45 F8 EB 4C 66 83 FE 3A 75 34 BA ?? ?? ?? ?? 89 55 E4 8B 55 FC 0F B7 54 42 FC 8B 4D E4 66 81 FA FF 00 77 06 0F B7 D2 0F A3 11 0F 92 C2 88 55 E3 80 7D E3 00 74 1A 8B D0 4A 89 55 F8 EB 12 3B 45 F4 7D 0D 8B 55 FC 66 83 3C 42 3A 75 03 89 45 F8 40 83 7D F8 00 75 14 3B 45 F4 7F 0F 8B 55 FC 66 83 7C 42 FE 00 0F 85 32 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 00 24 00 00 01 12 00 74 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 74 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 01 13 00 20 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14299_0 {
	meta:
		name = "FixParams"
		size = 460
		refs = "001e @UStrAddRef 002e FixParams 007a @UStrLAsg 008a NextPiece 00b3 @UStrCopy 012a StringReplace 015a @UStrAsg 016f @UStrClr 017c @UStrArrayClr 0182 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D F4 89 5D F0 89 4D F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 06 8B 45 F8 0F B7 38 B8 ?? ?? ?? ?? 8B D7 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 84 C0 74 04 66 BF 27 00 C6 45 EB 00 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 6A 00 8B CF 0F B6 55 EB 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E BB 00 00 00 8B 75 F0 85 F6 74 05 83 EE 04 8B 36 8D 45 F0 50 8B CE 2B CB 8D 53 01 8B 45 F0 E8 ?? ?? ?? ?? 6A 01 8B CF 0F B6 55 EB 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 2D 8B 45 F0 89 45 E4 83 7D E4 00 74 0B 8B 45 E4 83 E8 04 8B 00 89 45 E4 8D 45 F4 50 8B 4D E4 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? EB 15 8D 45 F4 50 8B 4D EC 49 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E0 50 B9 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 6A 00 8B CF 0F B6 55 EB 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8F 45 FF FF FF 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 01 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 3F 00 20 00 00 00 }
	condition:
		$1
}

rule function_14300_0 {
	meta:
		name = "GetProfileString"
		size = 242
		refs = "0014 @UStrAddRef 002c GetProfileString 0039 _Dn_TStringList 003e TStringList.Create 0059 _Dn_TMemIniFile 005e TMemIniFile.Create 008b TStrings.GetValue 00a0 TObject.Free 00a6 @HandleFinally 00df @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 4D EC 8B 55 FC 8B 45 F0 8B 18 FF 53 54 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14301_0 {
	meta:
		name = "GetDriverNames"
		size = 73
		refs = "000c GetDriverNames 001a GetConnectionAdmin 0039 @IntfClear 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14302_0 {
	meta:
		name = "GetDelegateDriverNames"
		size = 73
		refs = "000c GetDelegateDriverNames 001a GetConnectionAdmin 0039 @IntfClear 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14303_0 {
	meta:
		name = "GetConnectionNames"
		size = 102
		refs = "0015 @UStrAddRef 001d GetConnectionNames 002b GetConnectionAdmin 004d @IntfClear 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D FC 8B D3 8B 45 F8 8B 18 FF 53 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14304_0 {
	meta:
		name = "GetParamData"
		size = 194
		refs = "0021 GetParamData 0032 TParam.GetDataType 0048 TParam.GetAsVariant 0053 VarToStr 005e @UStrAsg 0067 TParam.GetData 007e TParam.GetAsFMTBCD 0088 TPlatformRecordBuffer.SetFMTBcd 00a8 @VarClr 00b0 @UStrClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 33 DB 89 5D FC 89 5D EC 89 5D F0 89 5D F4 89 5D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 68 8B C3 E8 ?? ?? ?? ?? 2C 01 74 08 2C 0F 74 04 2C 07 75 2B 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 10 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? EB 2A 8B C3 E8 ?? ?? ?? ?? 3C 08 75 16 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 8D 55 C8 8B C6 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14305_0 {
	meta:
		name = "CalcUnits"
		size = 367
		refs = "0032 _DV_SPParamDesc 0037 TObject.Create 0049 CalcUnits 0064 TList.Get 0073 TParams.GetItem 008f @UStrAsg 0096 TParam.GetParamType 00a3 TParam.GetDataType 00c6 TParam.GetDataSize 0137 TCollection.GetCount 015a TObject.Free 0160 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 7D 10 8B 5D F4 43 8B 07 66 C7 40 0E 00 00 8B 07 66 C7 40 10 00 00 83 7D F8 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 EB 05 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 DB 00 00 00 83 7D F8 00 74 0F 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 EB 63 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B F0 0F B7 46 08 40 8B 55 F0 66 89 42 04 8B 45 F0 83 C0 08 8B 56 34 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 88 42 0C 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 88 42 0D 0F B7 46 28 8B 55 F0 66 89 42 0E 0F B7 46 2C 8B 55 F0 66 89 42 10 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 89 42 14 8B 45 F0 0F B7 40 04 8B 17 66 3B 42 04 75 64 8B 07 66 FF 40 0E 8B 07 66 FF 40 10 8B 45 0C 8B D3 66 2B 55 F4 66 89 14 58 8B 45 F0 80 78 0D 1A 75 31 8D 45 F0 50 8B 45 0C 50 8B 45 08 50 8B CB 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 0F B7 40 10 8B 17 66 01 42 10 8B 45 F0 0F BF 40 10 03 D8 EB 01 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 0F 8C 15 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 75 08 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_14306_0 {
	meta:
		name = "CopyParamBytesToByteBuffer"
		size = 164
		refs = "0013 CopyParamBytesToByteBuffer 0023 TParam.GetAsVariant 002b VarIsArray 0037 VarArrayLock 0054 VarArrayHighBound 0060 TDBByteBuffer.Append 0075 VarArrayUnlock 007b @HandleFinally 0092 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 4E 8D 45 F0 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C8 41 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14307_0 {
	meta:
		name = "SetQueryProcParams"
		size = 3295
		refs = "0020 SetQueryProcParams 0043 :91 0048 @DynArraySetLength 0052 _DV_SPParamDesc 0057 TObject.Create 0092 TParams.GetItem 00a9 TParam.GetParamType 00b6 TParam.SetParamType 00c1 TParam.GetDataType 00cb FldTypeMap 00fd FldSubTypeMap 010a TParam.GetIsNull 011f SNoParameterValue 0124 LoadResString 013d DatabaseErrorFmt 015d TList.Get 0178 @UStrAsg 01eb STooManyActualParam 0285 TParam.GetDataSize 0496 @DynArrayHigh 04a5 CalcUnits 04c5 SObjectTypenameRequired 04d4 DatabaseError 06ca TParam.GetAsAnsiString 06ed TParam.GetAsWideString 0715 TParam.GetAsInteger 0789 TParam.GetAsLargeInt 07a6 TParam.GetAsDateTime 07b5 DateTimeToTimeStamp 080a TParam.GetAsFMTBCD 082d TParam.GetAsSingle 085b TParam.GetAsFloat 08da TParam.GetAsSQLTimeStamp 0903 TParam.GetAsSQLTimeStampOffset 092e TParam.GetAsBoolean 094f _Dn_TJSONConverters 0954 TJSONConverters.GetJSONMarshaler 096c TParam.GetAsObject 099e TObject.Free 09a4 @HandleFinally 09d4 TParam.GetAsVariant 09e5 @OleVarFromVar 0a0b _Dn_TDBByteBuffer 0a10 TDBByteBuffer.Create 0a1d CopyParamBytesToByteBuffer 0a28 TDBByteBuffer.GetBytes 0a38 @DynArrayLength 0a77 TParam.GetAsBytes 0a85 TDBByteBuffer.Append 0ae3 TParam.GetAsStream 0b18 TParam.GetAsParams 0b21 _Dn_TDBXParamsReader 0b26 TDBXParamsReader.Create 0b5d TParam.GetAsDataset 0b66 _Dn_TDBXDataSetReader 0b6b TDBXDataSetReader.Create 0b99 TDBXValueType.DataTypeName 0bd1 SUnknownDataType 0be7 Format 0c62 @UStrArrayClr 0c6e TArray<System.Byte> 0c73 @DynArrayClear 0c7e @VarClr 0c91 @UStrClr 0c99 @LStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 1C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F0 89 55 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 D4 8B 5D F0 8B 43 08 8B 40 08 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 08 8B 40 08 48 85 C0 0F 8C B1 0B 00 00 40 89 45 CC C7 45 EC 00 00 00 00 33 C0 89 45 E8 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C6 E8 ?? ?? ?? ?? 84 C0 75 09 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 5D EC 43 8B C6 E8 ?? ?? ?? ?? 83 E0 7F 0F B6 80 ?? ?? ?? ?? 66 89 45 DE 66 C7 45 DC 00 00 0F B7 45 DE 66 83 E8 01 74 0C 66 83 E8 02 74 06 66 83 E8 17 75 18 8B C6 E8 ?? ?? ?? ?? 83 E0 7F 0F B7 04 45 ?? ?? ?? ?? 66 89 45 DC EB 3A 8B C6 E8 ?? ?? ?? ?? 84 C0 75 2F 66 83 7D DE 00 75 28 6A 00 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 50 8B 46 34 89 45 C0 C6 45 C4 11 8D 55 C0 33 C9 58 E8 ?? ?? ?? ?? 83 7D 08 00 0F 84 BC 00 00 00 8B 45 08 8B 40 08 3B 45 EC 7E 5E 8B 55 EC 8B 45 08 E8 ?? ?? ?? ?? 8B F8 0F B7 47 04 8B 55 D8 66 89 42 04 8B 45 D8 83 C0 08 8B 57 08 E8 ?? ?? ?? ?? 0F B6 47 0C 8B 55 D8 88 42 0C 0F B6 47 0D 8B 55 D8 88 42 0D 0F B7 47 0E 8B 55 D8 66 89 42 0E 0F B7 47 10 8B 55 D8 66 89 42 10 8B 47 14 8B 55 D8 89 42 14 E9 DB 00 00 00 6A 00 8D 55 A4 8B 45 F4 8B 08 FF 51 0C 8B 45 A4 89 45 A8 C6 45 AC 11 8B 45 EC 40 89 45 B0 C6 45 B4 00 8B 45 08 8B 40 08 89 45 B8 C6 45 BC 00 8D 45 A8 50 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 B9 02 00 00 00 5A E8 ?? ?? ?? ?? E9 88 00 00 00 8B 45 D8 66 89 58 04 8B 45 D8 83 C0 08 8B 56 34 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 D8 88 42 0C 8B C6 E8 ?? ?? ?? ?? 8B 55 D8 88 42 0D 0F B7 46 28 8B 55 D8 66 89 42 0E 0F B7 46 2C 8B 55 D8 66 89 42 10 8B C6 E8 ?? ?? ?? ?? 3C 04 74 21 8B C6 E8 ?? ?? ?? ?? 84 C0 75 16 8B C6 E8 ?? ?? ?? ?? 3C 02 74 0B 8B C6 E8 ?? ?? ?? ?? 3C 20 75 0A 8B 45 D8 33 D2 89 50 14 EB 0D 8B C6 E8 ?? ?? ?? ?? 8B 55 D8 89 42 14 8B 45 D8 0F B6 40 0D 0F B6 80 ?? ?? ?? ?? 66 89 45 DE 8B C6 E8 ?? ?? ?? ?? 3C 02 74 34 8B C6 E8 ?? ?? ?? ?? 3C 04 74 29 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C6 E8 ?? ?? ?? ?? 3C 20 75 07 33 C0 89 45 E4 EB 15 8B C6 E8 ?? ?? ?? ?? 89 45 E4 EB 09 8B 45 D8 8B 40 14 89 45 E4 8B C6 E8 ?? ?? ?? ?? 2C 01 74 04 2C 02 75 17 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C C7 45 E8 01 00 00 00 E9 E3 01 00 00 83 7D E4 00 0F 8E 9B 01 00 00 33 C0 89 45 E8 8B C6 E8 ?? ?? ?? ?? 3C 01 75 05 33 C0 89 46 3C 8B C6 E8 ?? ?? ?? ?? 3C 02 75 3C 0F B7 45 DE 66 83 E8 07 74 32 66 83 E8 14 74 2C 0F B7 45 DE 66 83 E8 08 74 06 66 83 E8 11 75 0F 8B 45 D8 0F BF 40 0E 89 46 3C E9 8A 01 00 00 8B 45 D8 33 D2 89 50 14 E9 7D 01 00 00 0F B7 45 DE 83 F8 1B 0F 87 70 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 02 00 01 00 00 00 04 05 02 00 00 00 00 00 02 00 00 00 00 06 06 00 00 00 05 00 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 D8 8B 55 E4 89 50 14 8B 45 D8 66 C7 40 10 00 00 8B 45 E4 89 46 3C E9 0D 01 00 00 8B 45 D8 8B 55 E4 89 50 14 8B 45 D8 66 C7 40 10 00 00 8B C6 E8 ?? ?? ?? ?? 3C 01 75 16 66 83 7D DE 01 0F 84 E5 00 00 00 8B 45 E4 89 46 3C E9 DA 00 00 00 8B C6 E8 ?? ?? ?? ?? 3C 03 0F 85 CB 00 00 00 8B 46 3C 3B 45 E4 0F 8D BF 00 00 00 8B 45 E4 89 46 3C E9 B4 00 00 00 8B 45 D8 C7 40 14 04 00 00 00 E9 A5 00 00 00 83 7E 28 04 75 0F 8B 45 D8 C7 40 14 04 00 00 00 E9 90 00 00 00 8B 45 D8 C7 40 14 08 00 00 00 E9 81 00 00 00 66 C7 45 DE 08 00 83 7E 3C 00 74 75 0F B7 46 2C 8B 55 D8 66 89 42 10 EB 68 8D 45 D8 50 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 4D EC 8B 55 08 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 D8 8B 55 E4 89 50 14 EB 3E 0F B7 45 DE 83 C0 EC 66 83 E8 02 73 17 8D 55 9C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 33 D2 E8 ?? ?? ?? ?? 0F B7 45 DE 66 F7 D0 66 83 E8 17 74 06 66 83 E8 0A 75 07 C7 45 E8 01 00 00 00 8B 45 FC 8B 55 EC 0F B7 04 50 4B 2B D8 89 5D E0 8B 45 F4 8B 10 FF 52 34 8B 55 E0 8B 08 FF 51 04 8B F8 85 FF 75 1C 8B 45 F4 8B 10 FF 52 70 8B F8 8B 45 F4 8B 10 FF 52 34 8B CF 8B 55 E0 8B 18 FF 53 14 8B 45 FC 8B 55 EC 0F B7 14 50 8B C7 8B 08 FF 51 24 8B 45 D8 0F B6 50 0C 8B C7 8B 08 FF 51 04 66 83 7D DE 07 75 18 8B C7 8B 10 FF 52 50 83 F8 1B 74 36 8B C7 8B 10 FF 52 50 83 F8 19 74 2A 66 83 7D DE 25 75 18 8B C7 8B 10 FF 52 50 83 F8 25 74 17 8B C7 8B 10 FF 52 50 83 F8 26 74 0B 0F B7 55 DE 8B C7 8B 08 FF 51 14 8B C7 8B 10 FF 52 54 85 C0 75 0B 0F B7 55 DC 8B C7 8B 08 FF 51 18 8B 45 D8 8B 40 14 33 D2 52 50 8B C7 8B 10 FF 52 30 8B 46 3C 99 52 50 8B C7 8B 10 FF 52 1C 8B 45 D8 0F BF 50 10 8B C7 8B 08 FF 51 20 8B C7 8B 10 FF 52 40 48 74 10 8B C7 8B 10 FF 52 40 83 F8 03 0F 85 00 06 00 00 83 7D E8 00 74 14 8B C7 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 E9 E6 05 00 00 8B 45 D8 0F B6 40 0D 83 F8 33 0F 87 D6 05 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 05 06 05 0F 0C 0C 0A 09 08 0D 12 12 06 13 01 13 13 13 13 13 00 01 02 07 01 00 00 17 13 13 11 00 00 00 0D 0A 02 02 00 00 00 04 03 00 00 16 15 0E 10 0B ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 98 8B C6 E8 ?? ?? ?? ?? 8B 45 98 50 8B C7 8B 10 FF 52 7C 5A 8B 08 FF 91 68 01 00 00 E9 11 05 00 00 8D 55 94 8B C6 E8 ?? ?? ?? ?? 8B 45 94 50 8B C7 8B 10 FF 52 7C 5A 8B 08 FF 91 78 01 00 00 E9 EE 04 00 00 8B C7 8B 10 FF 52 7C 50 8B C6 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 80 01 00 00 E9 CF 04 00 00 8B C7 8B 10 FF 52 7C 50 8B C6 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 84 01 00 00 E9 B0 04 00 00 8B C7 8B 10 FF 52 7C 50 8B C6 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 8C 01 00 00 E9 91 04 00 00 8B C7 8B 10 FF 52 7C 50 8B C6 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 90 01 00 00 E9 72 04 00 00 8B C6 E8 ?? ?? ?? ?? 52 50 8B C7 8B 10 FF 52 7C 8B 10 FF 92 94 01 00 00 E9 55 04 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 C0 E8 ?? ?? ?? ?? 8B 45 C0 50 8B C7 8B 10 FF 52 7C 5A 8B 08 FF 91 74 01 00 00 E9 26 04 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 C0 E8 ?? ?? ?? ?? 8B 45 C4 50 8B C7 8B 10 FF 52 7C 5A 8B 08 FF 91 70 01 00 00 E9 F7 03 00 00 8D 95 70 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 8B C7 8B 10 FF 52 7C 5A 8B 08 FF 91 64 01 00 00 E9 CE 03 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8B C7 8B 10 FF 52 7C 8B 10 FF 92 98 01 00 00 E9 AC 03 00 00 8B C7 8B 10 FF 52 50 83 F8 1B 75 22 8B C6 E8 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8B C7 8B 10 FF 52 7C 8B 10 FF 92 98 01 00 00 E9 7E 03 00 00 8B C7 8B 10 FF 52 50 83 F8 19 75 29 8D 95 70 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 8B C7 8B 10 FF 52 7C 5A 8B 08 FF 91 64 01 00 00 E9 49 03 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C7 8B 10 FF 52 7C 8B 10 FF 92 9C 01 00 00 E9 27 03 00 00 8D 95 60 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 50 8B C7 8B 10 FF 52 7C 5A 8B 08 FF 91 5C 01 00 00 E9 FE 02 00 00 8D 95 4C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8D 85 4C FF FF FF 50 8B C7 8B 10 FF 52 7C 5A 8B 08 FF 91 60 01 00 00 E9 D5 02 00 00 8B C7 8B 10 FF 52 7C 50 8B C6 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 6C 01 00 00 E9 B6 02 00 00 8B C7 8B 10 FF 52 54 83 F8 28 75 5C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 D0 8B 08 FF 51 0C 50 8B C7 8B 10 FF 52 7C B1 01 5A 8B 18 FF 93 B8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 8B 10 FF 52 7C 50 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C9 58 8B 18 FF 93 B8 01 00 00 E9 2D 02 00 00 8D 95 2C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8D 95 2C FF FF FF 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF 50 8B C7 8B 10 FF 52 7C 5A 8B 08 FF 91 4C 01 00 00 E9 F3 01 00 00 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 8B 55 D4 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 D4 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 99 52 50 8B C7 8B 10 FF 52 7C 8B 55 F8 8B 08 FF 91 A4 01 00 00 E9 A2 01 00 00 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 83 7D E4 00 7E 1B 8D 95 28 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 95 28 FF FF FF 8B 45 D4 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 D4 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 99 52 50 8B C7 8B 10 FF 52 7C 8B 55 F8 8B 08 FF 91 A4 01 00 00 E9 3A 01 00 00 8B C6 E8 ?? ?? ?? ?? 3C 01 74 0F 8B C6 E8 ?? ?? ?? ?? 3C 03 0F 85 20 01 00 00 8B C7 8B 10 FF 52 7C 50 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C9 58 8B 18 FF 93 AC 01 00 00 E9 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 3C 01 74 0F 8B C6 E8 ?? ?? ?? ?? 3C 03 0F 85 E5 00 00 00 6A 00 8B C6 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C7 8B 10 FF 52 7C B1 01 5A 8B 18 FF 93 A8 01 00 00 E9 B6 00 00 00 8B C6 E8 ?? ?? ?? ?? 3C 01 74 0B 8B C6 E8 ?? ?? ?? ?? 3C 03 75 2C 6A 00 8B C6 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C7 8B 10 FF 52 7C B1 01 5A 8B 18 FF 93 A8 01 00 00 EB 74 8D 85 24 FF FF FF 50 8B C7 8B 10 FF 52 50 8D 95 20 FF FF FF E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 89 85 60 FF FF FF C6 85 64 FF FF FF 11 8B 45 D8 8B 40 08 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8D 85 60 FF FF FF 50 8D 95 1C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 1C FF FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 85 24 FF FF FF 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D4 00 74 0D 8B 45 D4 33 D2 89 55 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 FF 45 EC FF 4D CC 0F 85 5A F4 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 1C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 28 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 2C FF FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 80 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14308_0 {
	meta:
		name = "FreeProcParams"
		size = 56
		refs = "001c TList.Get 0021 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F0 83 3E 00 74 2A 8B 06 8B 58 08 4B 85 DB 7C 15 43 33 FF 8B 06 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 EE 8B 06 33 D2 89 16 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14309_0 {
	meta:
		name = "LoadParamListItems"
		size = 127
		refs = "0024 TList.Get 002e TCollection.Add 003b @UStrAsg 0046 TParam.SetParamType 0051 TParam.SetDataType 0066 TParam.GetParamType"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 54 24 04 89 04 24 8B 44 24 04 8B 78 08 4F 85 FF 7C 5E 47 33 ED 8B D5 8B 44 24 04 E8 ?? ?? ?? ?? 8B F0 8B 04 24 E8 ?? ?? ?? ?? 8B D8 8D 43 34 8B 56 08 E8 ?? ?? ?? ?? 0F B6 56 0C 8B C3 E8 ?? ?? ?? ?? 0F B6 56 0D 8B C3 E8 ?? ?? ?? ?? 0F BF 46 10 89 43 2C 0F BF 46 0E 89 43 28 8B C3 E8 ?? ?? ?? ?? 3C 01 74 06 8B 46 14 89 43 3C 45 4F 75 A5 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14310_0 {
	meta:
		name = "TSQLBlobStream.Create"
		size = 201
		refs = "0016 @ClassCreate 0025 TSQLBlobStream.Create 0034 TObject.Create 003c TDataSet.GetActive 0048 SDataSetClosed 004d LoadResString 0057 DatabaseError 0065 _DV_TCustomSQLDataSet 006a @AsClass 0086 TSQLBlobStream.ReadBlobSize 009b @UStrClr 00a1 @HandleFinally 00b0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 84 C0 75 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 8B FE 89 7B 18 8B 47 3C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 14 8B 43 18 8B 10 FF 92 A8 00 00 00 89 43 1C C6 43 20 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_14312_0 {
	meta:
		name = "TSQLBlobStream.ReadBlobSize"
		size = 67
		refs = "0009 TMemoryStream.Clear 0014 GetBlobLength"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 1C 8B 43 14 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 83 7C 24 04 00 75 08 83 3C 24 00 76 13 EB 02 7E 0F FF 74 24 04 FF 74 24 04 8B C3 8B 10 FF 52 08 59 5A 5B C3 }
	condition:
		$1
}

rule function_14313_0 {
	meta:
		name = "TSQLBlobStream.ReadBlobData"
		size = 72
		refs = "003c TStream.SetPosition"
	strings:
		$1 = { 53 56 57 8B D8 8B 7B 14 8B B7 90 01 00 00 6A 01 8B CE 8B 53 18 8B C7 8B 38 FF 97 94 02 00 00 84 C0 74 12 8B 43 14 8B 88 B0 01 00 00 8B D6 8B C3 8B 30 FF 56 10 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? C6 43 20 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14314_0 {
	meta:
		name = "TSQLBlobStream.Read"
		size = 37
		refs = "0012 TSQLBlobStream.ReadBlobData 001d TCustomMemoryStream.Read"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 7B 20 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14315_0 {
	meta:
		name = "TSQLParams.Create"
		size = 85
		refs = "000d @ClassCreate 001a TParams.Create 0025 _Dn_TStringList 002a TStringList.Create 003f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 20 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 1C 0F B6 45 08 88 46 21 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_14316_0 {
	meta:
		name = "TIWScriptEvents.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TCollection.Destroy 0022 TObject.Free 002d @ClassDestroy"
		altNames = "TSQLParams.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14317_0 {
	meta:
		name = "TAdapterErrorsList.GetMessage"
		size = 25
		altNames = "TSQLParams.GetFieldName"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 1C 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14318_0 {
	meta:
		name = "TSQLParams.Parse"
		size = 384
		refs = "001c TSQLParams.Parse 0033 TParams.ParseSQL 003d @UStrAsg 0052 @UStrCopy 005d LowerCase 006a @UStrEqual 0078 TSQLParams.ParseSelect 00b1 TSQLParams.ParseInsert 00cd TSQLParams.ParseUpdate 00d6 @UStrClr 00f0 @UStrArrayClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 88 4D FB 8B DA 8B F0 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8B 13 0F B6 4D FB 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 03 B9 06 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 57 8B 13 33 C9 8B C6 E8 ?? ?? ?? ?? EB 5C 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 57 8B 13 B1 01 8B C6 E8 ?? ?? ?? ?? EB 3F 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8B CF 8B 13 8B C6 E8 ?? ?? ?? ?? EB 23 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8B CF 8B 13 8B C6 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 65 00 6C 00 65 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 69 00 6E 00 73 00 65 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 75 00 70 00 64 00 61 00 74 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_14319_0 {
	meta:
		name = "Platform_NextSQLToken"
		size = 91
		refs = "0018 @UStrToPWChar 0032 @UStrClr 0040 NextSQLTokenEx"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 06 03 C0 03 C3 83 E8 02 89 45 FC 0F B6 45 08 50 8B C7 E8 ?? ?? ?? ?? 8B D0 0F B6 4D 0C 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 2B D3 D1 FA 79 03 83 D2 00 42 89 16 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_14320_0 {
	meta:
		name = "PosEx"
		size = 101
		refs = "0012 PosEx 001f @UStrToPWChar 0030 @UStrFromPWChar 003a Pos 0051 @UStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D0 4F 8B C7 03 C0 03 D0 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14321_0 {
	meta:
		name = "GetIdOption"
		size = 88
		refs = "0012 TSQLConnection.GetMetaData 0020 GetIdOption 0025 @UStrEqual"
	strings:
		$1 = { 53 56 B3 01 85 C0 74 35 83 B8 9C 00 00 00 00 74 2C E8 ?? ?? ?? ?? 8B F0 85 F6 74 21 8B 46 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 80 7E 20 00 75 04 B3 03 EB 08 80 7E 21 00 75 02 B3 02 8B C3 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_14322_0 {
	meta:
		name = "TSQLParams.ParseInsert"
		size = 500
		refs = "001b @UStrAddRef 0023 TSQLParams.ParseInsert 0030 @UStrClr 0037 TCollection.Owner 0048 _DV_TCustomSQLDataSet 004d @IsClass 0092 LowerCase 009f Pos 00ca Platform_NextSQLToken 0144 @UStrAsg 0177 @UStrEqual 0197 @UStrArrayClr 01aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 74 4C 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 36 8B C6 E8 ?? ?? ?? ?? 66 83 B8 22 02 00 00 00 74 25 8D 46 20 50 57 8B C6 E8 ?? ?? ?? ?? 8B D8 8D 56 1C 8B 4D FC 8B 83 24 02 00 00 FF 93 20 02 00 00 E9 F6 00 00 00 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 0F 8F D7 00 00 00 C7 45 F4 01 00 00 00 33 DB 53 0F B6 46 21 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 53 0F B6 46 21 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 53 0F B6 46 21 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 3B 45 F4 7C 29 8B 45 FC 8B 55 F4 66 83 7C 50 FE 2E 75 1B 53 0F B6 46 21 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B C7 8B 55 F8 E8 ?? ?? ?? ?? 53 0F B6 46 21 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 46 20 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 20 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 76 00 61 00 6C 00 75 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_14323_0 {
	meta:
		name = "TSQLParams.ParseSelect"
		size = 852
		refs = "0022 @UStrAddRef 002a TSQLParams.ParseSelect 0038 @UStrClr 0041 TCollection.Owner 0056 _DV_TCustomSQLDataSet 005b @IsClass 00ea LowerCase 00fc PosEx 011d Pos 0146 @UStrCopy 0156 @UStrCat3 018a Platform_NextSQLToken 01e9 @UStrAsg 0265 @UStrEqual 027a TCollection.GetCount 029a @WStrFromUStr 02a9 GetTableNameFromSQLEx 02b4 @UStrFromWStr 02ce @WStrArrayClr 02db @UStrArrayClr 02ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 88 4D F3 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 33 DB 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 88 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 72 80 7D F3 00 75 34 8B C6 E8 ?? ?? ?? ?? 66 83 B8 0A 02 00 00 00 74 23 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B D8 8D 56 1C 8B 4D FC 8B 83 0C 02 00 00 FF 93 08 02 00 00 B3 01 EB 38 80 7D F3 00 74 32 8B C6 E8 ?? ?? ?? ?? 66 83 B8 1A 02 00 00 00 74 21 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B D8 8D 56 1C 8B 4D FC 8B 83 1C 02 00 00 FF 93 18 02 00 00 B3 01 84 DB 0F 85 DB 01 00 00 80 7D F3 00 75 26 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 B9 09 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 0F 8F B1 01 00 00 EB 51 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 0F 8F 90 01 00 00 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 DC 50 8B CB 83 E9 07 BA 08 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 4D DC 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 EC 01 00 00 00 C6 45 EB 00 C6 45 EA 00 C6 45 F2 00 33 FF 0F B6 45 EB 50 0F B6 46 21 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 80 FB 07 75 0A C6 45 F2 01 C6 45 EA 07 EB 5D 80 FB 01 75 4B 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 3B 45 EC 7C 2D 8B 45 FC 8B 55 EC 66 83 7C 50 FE 2E 75 1F 0F B6 45 EB 50 0F B6 46 21 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? EB 0D 80 FB 10 75 08 80 7D EA 07 75 02 B3 02 8B C3 04 FB 2C 09 73 03 88 5D EB 8B C3 2C 02 74 08 2C 0C 0F 85 5A FF FF FF 80 7D F2 00 74 41 80 FB 02 75 3C 0F B6 45 EB 50 0F B6 46 21 50 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 04 FB 2C 09 73 03 88 5D EB 8B C3 2C 02 74 0A 2C 0C 74 06 04 FE 2C 03 73 C4 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C 8B 55 F8 8B 46 1C 8B 08 FF 51 38 47 8B C6 E8 ?? ?? ?? ?? 3B F8 74 09 80 FB 0E 0F 85 E4 FE FF FF 8B 45 08 83 38 00 75 25 8D 45 D4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 D4 0F B6 56 21 8D 4D D8 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 20 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 2A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_14324_0 {
	meta:
		name = "TSQLParams.ParseUpdate"
		size = 728
		refs = "0021 @UStrAddRef 0029 TSQLParams.ParseUpdate 0036 @UStrClr 003d TCollection.Owner 004e _DV_TCustomSQLDataSet 0053 @IsClass 0094 LowerCase 00a1 Pos 00d2 Platform_NextSQLToken 0131 @UStrAsg 020e @UStrEqual 0223 TCollection.GetCount 024a @UStrArrayClr 025d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 74 48 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 32 8B C6 E8 ?? ?? ?? ?? 66 83 B8 12 02 00 00 00 74 21 57 8B C6 E8 ?? ?? ?? ?? 8B D8 8D 56 1C 8B 4D FC 8B 83 14 02 00 00 FF 93 10 02 00 00 E9 A7 01 00 00 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 0F 8F 88 01 00 00 C7 45 F0 01 00 00 00 C6 45 EF 00 0F B6 5D EF 53 0F B6 46 21 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 53 0F B6 46 21 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 3B 45 F0 7C 29 8B 45 FC 8B 55 F0 66 83 7C 50 FE 2E 75 1B 53 0F B6 46 21 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B C7 8B 55 F8 E8 ?? ?? ?? ?? 53 0F B6 46 21 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 33 FF C6 45 EF 05 0F B6 45 EF 50 0F B6 46 21 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 04 FB 2C 09 73 03 88 5D EF 8B C3 2C 02 74 04 2C 0C 75 CA 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 78 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 5C 80 FB 02 75 3C 0F B6 45 EF 50 0F B6 46 21 50 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 04 FB 2C 09 73 03 88 5D EF 8B C3 2C 02 74 0A 2C 0C 74 06 04 FE 2C 03 73 C4 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C 8B 55 F8 8B 46 1C 8B 08 FF 51 38 47 8B C6 E8 ?? ?? ?? ?? 3B F8 74 09 80 FB 0E 0F 85 22 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 20 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 76 00 61 00 6C 00 75 00 65 00 73 00 28 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_14325_0 {
	meta:
		name = "TSQLMonitor.Create"
		size = 81
		refs = "000b @ClassCreate 0018 _Dn_TStringList 001d TStringList.Create 0032 TComponent.Create 003d @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 64 C7 47 44 FF FF FF FF 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14326_0 {
	meta:
		name = "TSQLMonitor.Destroy"
		size = 76
		refs = "0003 @BeforeDestruction 0016 TSQLMonitor.SetActive 001f TSQLMonitor.SetSQLConnection 002a TComponent.Destroy 003a TObject.Free 0045 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 38 00 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8D 46 64 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14328_0 {
	meta:
		name = "TSQLMonitor.CheckInactive"
		size = 107
		refs = "000c TSQLMonitor.CheckInactive 002d TSQLMonitor.SetActive 0037 SMonitorActive 003c LoadResString 0046 DatabaseError 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 38 00 74 2E F6 43 1C 10 75 06 F6 43 1C 01 74 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14329_0 {
	meta:
		name = "TSQLMonitor.SetSQLConnection"
		size = 72
		refs = "0013 TSQLMonitor.CheckInactive 0027 TSQLConnection.UnregisterTraceMonitor 0037 TSQLConnection.RegisterTraceMonitor 0040 TSQLMonitor.SetActive"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 3B 77 58 74 38 0F B6 5F 38 8B C7 E8 ?? ?? ?? ?? 8B 47 58 85 C0 74 0D 80 7F 40 00 75 07 8B D7 E8 ?? ?? ?? ?? 8B C6 89 47 58 85 C0 74 10 8B D7 E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14330_0 {
	meta:
		name = "TSQLMonitor.SwitchConnection"
		size = 62
		refs = "0018 TSQLMonitor.SetActive 0021 TSQLMonitor.SetSQLConnection"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 C6 46 40 01 0F B6 5E 38 84 DB 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0D 85 FF 74 09 B2 01 8B C6 E8 ?? ?? ?? ?? C6 46 40 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14331_0 {
	meta:
		name = "TSQLMonitor.Trace"
		size = 115
		refs = "001c TDBXTraceInfo 0021 @AddRefRecord 0029 TSQLMonitor.Trace 0060 @FinalizeRecord 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 88 4D EF 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 4A 00 74 0F 8D 45 EF 50 8D 4D F0 8B D3 8B 43 4C FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14332_0 {
	meta:
		name = "TSQLMonitor.InvokeCallBack"
		size = 221
		refs = "001e TDBXTraceInfo 0023 @AddRefRecord 002b TSQLMonitor.InvokeCallBack 0060 @UStrLAsg 006d TSQLMonitor.GetTraceCount 00a4 TSQLMonitor.SaveToFile 00bf @FinalizeRecord 00c7 @UStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D FC 8B F2 8D 7D EC A5 A5 A5 A5 8B F0 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E8 F6 46 1C 08 75 68 8B 45 F0 23 46 60 0F 94 C3 8B CB 8D 55 EC 8B C6 8B 38 FF 57 40 84 DB 74 4F 8D 45 FC 8B 55 EC E8 ?? ?? ?? ?? 83 7E 44 FF 74 0C 8B C6 E8 ?? ?? ?? ?? 3B 46 44 7D 0B 8B 55 FC 8B 46 64 8B 08 FF 51 38 66 83 7E 52 00 74 0B 8D 4D EC 8B D6 8B 46 54 FF 56 50 80 7E 39 00 74 0F 83 7E 3C 00 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B 45 E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14333_0 {
	meta:
		name = "TSQLMonitor.UpdateTraceCallBack"
		size = 43
		refs = "0012 TSQLMonitor.InvokeCallBack 0019 TSQLConnection.SetTraceEvent"
	strings:
		$1 = { 8B 50 58 85 D2 74 23 83 BA 9C 00 00 00 00 74 0F 50 68 ?? ?? ?? ?? 8B C2 E8 ?? ?? ?? ?? EB 0B 6A 00 6A 00 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14334_0 {
	meta:
		name = "TSQLMonitor.SetActive"
		size = 251
		refs = "0018 TSQLMonitor.SetActive 0049 SConnectionNameMissing 004e LoadResString 0058 DatabaseError 006e FileExists 007a FileCreate 0089 SCannotCreateFile 00a7 DatabaseErrorFmt 00af CloseHandle 00c1 TSQLMonitor.UpdateTraceCallBack 00cc TSQLConnection.SetTraceEvent 00e9 @UStrArrayClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 5E 38 0F 84 A8 00 00 00 F6 46 1C 02 74 08 88 5E 5C E9 9A 00 00 00 F6 46 1C 08 75 1F 83 7E 58 00 75 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? EB 75 84 DB 74 51 83 7E 3C 00 74 4B B2 01 8B 46 3C E8 ?? ?? ?? ?? 84 C0 75 3D 8B 46 3C E8 ?? ?? ?? ?? 83 F8 FF 75 2A 6A 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 46 3C 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? EB 06 50 E8 ?? ?? ?? ?? 8B 46 58 85 C0 74 16 84 DB 74 09 8B C6 E8 ?? ?? ?? ?? EB 09 6A 00 6A 00 E8 ?? ?? ?? ?? 88 5E 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14335_0 {
	meta:
		name = "TSQLMonitor.SetStreamedActive"
		size = 14
		refs = "0009 TSQLMonitor.SetActive"
	strings:
		$1 = { 80 78 5C 00 74 07 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14336_0 {
	meta:
		name = "TSQLMonitor.GetTraceCount"
		size = 9
	strings:
		$1 = { 8B 40 64 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_14337_0 {
	meta:
		name = "TSQLMonitor.LoadFromFile"
		size = 139
		refs = "0015 @UStrAddRef 001d TSQLMonitor.LoadFromFile 0051 SFileNameBlank 0056 LoadResString 0060 DatabaseError 007a @UStrArrayClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 0D 8B 55 FC 8B 43 64 8B 08 FF 51 68 EB 2A 83 7B 3C 00 74 0D 8B 53 3C 8B 43 64 8B 08 FF 51 68 EB 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14338_0 {
	meta:
		name = "TSQLMonitor.SaveToFile"
		size = 139
		refs = "0015 @UStrAddRef 001d TSQLMonitor.SaveToFile 0051 SFileNameBlank 0056 LoadResString 0060 DatabaseError 007a @UStrArrayClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 0D 8B 55 FC 8B 43 64 8B 08 FF 51 7C EB 2A 83 7B 3C 00 74 0D 8B 53 3C 8B 43 64 8B 08 FF 51 7C EB 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14339_0 {
	meta:
		name = "TSQLMonitor.SetTraceList"
		size = 88
		refs = "0015 TStrings.BeginUpdate 001d TSQLMonitor.SetTraceList 0048 TStrings.EndUpdate 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F2 89 45 FC 8B 45 FC 8B 40 64 3B F0 74 40 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 64 8B D6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 59 5D C3 }
	condition:
		$1
}

rule function_14340_0 {
	meta:
		name = "TSQLConnection.Create"
		size = 404
		refs = "0016 @ClassCreate 0024 TSQLConnection.Create 0034 TCustomConnection.Create 003e _DV_TConnectionData 0043 TConnectionData.Create 0053 _Dn_TStringList 0058 TStringList.Create 0070 TSQLConnection.DoParamsChange 0097 GetConnectionRegistryFile 00a7 @UStrAsg 00b6 @HandleAnyException 00c3 @UStrClr 00c8 @DoneExcept 00d9 _Dn_TList 00de TObject.Create 0166 @HandleFinally 0176 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 04 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 B8 00 00 00 8B 45 FC 89 43 44 C7 43 40 ?? ?? ?? ?? 8B 45 FC C6 40 78 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 1C 10 0F 95 C0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 05 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 05 88 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 80 A0 00 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 AC 00 00 00 8B 45 FC C6 80 D8 00 00 00 01 8B 45 FC 05 C4 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 C8 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 15 ?? ?? ?? ?? 88 90 E0 00 00 00 8B 45 FC C6 40 44 01 8B 45 FC 05 F8 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 9C 00 00 00 8B 45 FC 33 D2 89 90 10 01 00 00 89 90 14 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C3 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_14341_0 {
	meta:
		name = "TSQLConnection.Destroy"
		size = 149
		refs = "0003 @BeforeDestruction 000e TComponent.Destroying 0015 TSQLConnection.ClearConnectionUsers 001c TCustomConnection.Close 0023 TSQLConnection.ClearMonitors 0036 TObject.Free 005d TCustomConnection.Destroy 008e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 83 BE 9C 00 00 00 00 74 13 8D 86 9C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8D 86 B8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 04 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14342_0 {
	meta:
		name = "TSQLConnection.ClearConnectionUsers"
		size = 83
		refs = "000a TSQLConnection.GetDataSet 000f TDataSet.GetActive 0021 TDataSet.Close 002f TCustomSQLDataSet.FreeCommand"
	strings:
		$1 = { 53 8B D8 EB 41 33 D2 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 33 D2 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 91 D0 02 00 00 8B C3 8B 10 FF 52 50 85 C0 7F B4 5B C3 }
	condition:
		$1
}

rule function_14343_0 {
	meta:
		name = "TSQLConnection.ClearMonitors"
		size = 100
		refs = "0028 TList.Get 0030 TSQLMonitor.SwitchConnection 0046 TSQLMonitor.SetActive"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 AC 00 00 00 8B 78 08 4F 85 FF 7C 4D 47 33 F6 80 BB 98 00 00 00 00 74 17 8B D6 8B 83 AC 00 00 00 E8 ?? ?? ?? ?? 8B 53 7C E8 ?? ?? ?? ?? EB 26 8B D6 8B 83 AC 00 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B D6 8B 83 AC 00 00 00 E8 ?? ?? ?? ?? 33 D2 89 50 58 46 4F 75 B6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14344_0 {
	meta:
		name = "TSQLConnection.RegisterTraceMonitor"
		size = 12
		refs = "0007 TList.Add"
	strings:
		$1 = { 8B 80 AC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14346_0 {
	meta:
		name = "TSQLConnection.UnregisterTraceMonitor"
		size = 14
		refs = "0009 TList.RemoveItem"
	strings:
		$1 = { 8B 80 AC 00 00 00 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14347_0 {
	meta:
		name = "TSQLConnection.SQLError"
		size = 596
		refs = "0018 TSQLConnection.SQLError 0026 @UStrClr 005e SNODATA 0063 LoadResString 0079 SDBXError 0089 Format 009c SSQLERROR 00e5 DbxError 0105 @UStrLAsg 0121 SSQLServerError 0194 @UStrCatN 019f @UStrCat 01bd IntToStr 01d3 SDBXUNKNOWNERROR 01f0 TObject.Free 01fa DatabaseError 0214 @UStrArrayClr 0227 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 8B 58 18 85 DB 0F 8E B3 00 00 00 83 FB 64 0F 8F AA 00 00 00 83 FB 64 75 39 8D 45 FC 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 11 8D 45 E4 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 33 C9 5A E8 ?? ?? ?? ?? EB 6C 83 FB 65 75 39 8D 45 FC 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 89 45 E4 C6 45 E8 11 8D 45 E4 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 33 C9 5A E8 ?? ?? ?? ?? EB 2E 8D 45 FC 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 8B 04 9D ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 EC 8B 52 1C E8 ?? ?? ?? ?? 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 2A 8D 45 F8 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 F0 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0B 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 35 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1A FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 75 34 8D 45 F4 50 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 8B 45 C8 89 45 E4 C6 45 E8 11 8D 45 E4 50 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 33 C9 5A E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_14348_0 {
	meta:
		name = "TSQLConnection.CheckConnection"
		size = 35
		refs = "0010 TCustomConnection.Close 001c TCustomConnection.Open"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 48 2C 02 73 07 8B C6 E8 ?? ?? ?? ?? 80 EB 02 73 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14349_0 {
	meta:
		name = "Login"
		size = 62
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 66 83 B8 B2 00 00 00 00 0F 95 C3 84 DB 74 1E 8B 45 08 8B 70 FC 8B 45 08 8B 48 F8 8B 45 08 8B 50 FC 8B 86 B4 00 00 00 FF 96 B0 00 00 00 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_14350_0 {
	meta:
		name = "TSQLConnection.Login"
		size = 340
		refs = "001b TSQLConnection.Login 0027 Login 0040 TStrings.GetValue 0045 LoginDialogExProc 0058 TSQLConnection.SetCursor 0065 TSQLConnection.GetConnectionName 009f SLoginError 00a4 LoadResString 00af DatabaseErrorFmt 00cc TStrings.SetValue 00f6 @UStrArrayClr 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 84 C0 0F 85 AC 00 00 00 8D 4D F4 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 0F 84 8E 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8B 1D ?? ?? ?? ?? 8B 1B 8D 4D F0 8D 55 F4 FF D3 84 C0 75 33 6A 00 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 11 8D 45 E4 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 33 C9 5A E8 ?? ?? ?? ?? BA F5 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 41 00 53 00 53 00 57 00 4F 00 52 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_14351_0 {
	meta:
		name = "TSQLConnection.CheckLoginParams"
		size = 476
		refs = "0013 TSQLConnection.CheckLoginParams 002b TSQLConnection.LoadParamsFromIniFile 0045 GetProfileString 0053 @UStrAsg 0064 SMissingDriverName 0069 LoadResString 0073 DatabaseError 0078 TDBXConnectionFactory.GetConnectionFactory 0083 TDBXConnectionFactory.GetDriverProperties 009d TDBXProperties.GetValue 0115 TList.Get 011a TSQLMonitor.SetStreamedActive 0138 @UStrArrayClr 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB A8 00 00 00 00 74 31 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 8B 88 00 00 00 BA ?? ?? ?? ?? 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 8C 00 00 00 E8 ?? ?? ?? ?? 83 BB 8C 00 00 00 00 75 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 93 8C 00 00 00 E8 ?? ?? ?? ?? 8B F0 80 BB A8 00 00 00 00 74 1D 8D 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 83 A4 00 00 00 E8 ?? ?? ?? ?? 80 BB A8 00 00 00 00 74 1D 8D 4D F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8D 83 F4 00 00 00 E8 ?? ?? ?? ?? 80 BB A8 00 00 00 00 74 1D 8D 4D EC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8D 83 90 00 00 00 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 8B 70 08 4E 85 F6 7C 19 46 33 FF 8B D7 8B 83 AC 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 44 00 72 00 69 00 76 00 65 00 72 00 46 00 75 00 6E 00 63 00 00 00 }
	condition:
		$1
}

rule function_14352_0 {
	meta:
		name = "TSQLConnection.GetQuoteChar"
		size = 80
		refs = "0009 TSQLConnection.GetMetaData 001e @UStrAsg 0027 TSQLConnection.GetQuoteChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 13 8B C3 E8 ?? ?? ?? ?? 8B 50 04 8B C6 E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 C4 00 00 00 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_14353_0 {
	meta:
		name = "TSQLConnection.SetCursor"
		size = 38
		refs = "000f ScreenCursorProc"
	strings:
		$1 = { 53 80 B8 D8 00 00 00 00 75 04 85 D2 75 16 A1 ?? ?? ?? ?? 83 38 00 74 0C 8B 1D ?? ?? ?? ?? 8B 1B 8B C2 FF D3 5B C3 }
	condition:
		$1
}

rule function_14354_0 {
	meta:
		name = "TSQLConnection.ConnectionOptions"
		size = 228
		refs = "000c TSQLConnection.ConnectionOptions 001c TSQLConnection.GetQuoteChar 002a @UStrAsg 0031 TSQLConnection.GetMetaData 00c3 @UStrClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 C4 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 4F 8B C3 E8 ?? ?? ?? ?? 8B 50 08 8D 83 C8 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 78 0C 01 F5 1B C0 89 83 F0 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 78 0D 01 F5 1B C0 89 83 DC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 10 89 83 C0 00 00 00 EB 2A 8D 83 C8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 83 F0 00 00 00 FF FF FF FF 33 C0 89 83 DC 00 00 00 33 C0 89 83 C0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_14355_0 {
	meta:
		name = "DesignerDataStored"
		size = 65
		refs = "0024 @UStrEqual"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 20 85 DB 74 1D 8B 83 08 01 00 00 8B 55 08 8B 52 F8 8B 92 08 01 00 00 E8 ?? ?? ?? ?? 0F 95 C0 5B 5D C3 8B 45 08 8B 40 F8 83 B8 08 01 00 00 00 0F 95 C0 5B 5D C3 }
	condition:
		$1
}

rule function_14356_0 {
	meta:
		name = "TSQLConnection.DefineProperties"
		size = 104
		refs = "0014 TComponent.DefineProperties 001d TSQLConnection.ReadUniqueId 0026 TSQLConnection.WriteUniqueId 002c DesignerDataStored 0034 TSQLConnection.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 6E 00 69 00 71 00 75 00 65 00 49 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_16137_0 {
	meta:
		name = "TDSCustomRestConnection.DefineProperties"
		size = 104
		refs = "0014 TComponent.DefineProperties 001d TDSCustomRestConnection.ReadUniqueId 0026 TDSCustomRestConnection.WriteUniqueId 002c DesignerDataStored 0034 TDSCustomRestConnection.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 6E 00 69 00 71 00 75 00 65 00 49 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_14357_0 {
	meta:
		name = "TSQLConnection.ReadUniqueId"
		size = 83
		refs = "000f TSQLConnection.ReadUniqueId 001f TReader.ReadString 002d @UStrAsg 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 08 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14358_0 {
	meta:
		name = "TSQLConnection.WriteUniqueId"
		size = 13
		refs = "0008 TWriter.WriteString"
	strings:
		$1 = { 8B 80 08 01 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14359_0 {
	meta:
		name = "TSQLConnection.DoConnect"
		size = 1732
		refs = "0019 TSQLConnection.DoConnect 002b _Dn_TStringList 0030 TStringList.Create 0057 TDBXConnectionFactory.GetConnectionFactory 0064 TSQLConnection.GetConnectionName 006e TDBXConnectionFactory.GetConnectionProperties 0079 TDBXProperties.Clone 0088 _Dn_TDBXProperties 008d TDBXProperties.Create 00b4 @HandleAnyException 00bb _Dn_TDBXMemoryConnectionFactory 00c0 TDBXMemoryConnectionFactory.Create 00d2 @DoneExcept 00e3 TDBXProperties.AddProperties 00f9 TDBXProperties.Add 0104 TSQLConnection.GetVendorLib 011f TSQLConnection.GetLibraryName 014d TSQLConnection.CheckLoginParams 0162 TSQLConnection.GetLoginParams 0172 TStrings.GetValue 0186 TDBXProperties.GetValue 018f @UStrEqual 01b1 TDBXProperties.SetValue 01be TSQLConnection.SetCursor 01c3 GDAL 01cf IntToStr 01ff @UStrAsg 0252 TDBXProperties.SetComponentOwner 0271 TEventsCollection.SetEvent 027b TDBXConnectionFactory.GetConnection 02a8 TList.Get 02ad TSQLMonitor.UpdateTraceCallBack 02c8 TSQLConnection.RegisterTraceCallback 02d5 @UStrClr 0343 TDBXConnectionFactory.GetDriverProperties 0383 TStrings.SetDelimiter 038e TStrings.SetDelimitedText 040c TObject.Free 0412 @HandleFinally 04b3 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 89 45 E4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F4 80 B8 A8 00 00 00 00 74 2F E8 ?? ?? ?? ?? 8B F0 8D 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F0 E9 C4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8B 75 E4 8B C6 8B 10 FF 52 28 E8 ?? ?? ?? ?? 8B 45 F4 8B 90 B8 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 8B 88 8C 00 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D DC BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D D8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 8B 88 90 00 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 C6 80 80 00 00 00 02 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8D 4D D4 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D4 50 8D 4D D0 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 D0 58 E8 ?? ?? ?? ?? 74 20 8D 4D CC BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 4D CC BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? BA F5 FF FF FF 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 52 50 8D 45 C8 E8 ?? ?? ?? ?? 8B 4D C8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 4D C4 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 55 C4 8B 45 F4 05 F8 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 83 B8 F8 00 00 00 00 74 16 8B 45 F4 8B 88 F8 00 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 83 7D F8 00 74 10 8B 4D F8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 FF B0 14 01 00 00 FF B0 10 01 00 00 8B 45 F0 8B 40 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 89 82 9C 00 00 00 8B 45 F4 8B 80 AC 00 00 00 8B 58 08 4B 85 DB 7C 1C 43 33 FF 8B 45 F4 8B 80 AC 00 00 00 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 E7 BA F5 FF FF FF 8B 45 F4 E8 ?? ?? ?? ?? B2 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 05 00 01 00 00 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 F4 8B 80 9C 00 00 00 8B 08 FF 51 5C 8B 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8B 45 F4 05 00 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 83 7D FC 00 75 33 8B 45 F4 80 B8 A8 00 00 00 00 74 27 8D 4D BC BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 BC 8B C6 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 BA 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 BA 2E 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 14 83 F8 02 75 5C 8D 4D B8 33 D2 8B 45 E8 8B 18 FF 53 0C 8B 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 20 8D 4D B4 33 D2 8B 45 E8 8B 18 FF 53 0C 8B 45 B4 8B 55 F4 8B 92 F8 00 00 00 E8 ?? ?? ?? ?? 75 20 8D 4D B0 BA 01 00 00 00 8B 45 E8 8B 18 FF 53 0C 8B 55 B0 8B 45 F4 05 00 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B 10 FF 52 64 8B 45 F4 C6 80 80 00 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 80 B8 80 00 00 00 02 75 2B 8B 45 F4 C6 80 80 00 00 00 00 8B 45 F4 83 B8 9C 00 00 00 00 74 15 8B 45 F4 05 9C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 0D 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 44 00 72 00 69 00 76 00 65 00 72 00 46 00 75 00 6E 00 63 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 55 00 4E 00 4C 00 49 00 43 00 45 00 4E 00 53 00 45 00 44 00 5F 00 44 00 52 00 49 00 56 00 45 00 52 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 56 00 61 00 6C 00 69 00 64 00 61 00 74 00 65 00 50 00 65 00 65 00 72 00 43 00 65 00 72 00 74 00 69 00 66 00 69 00 63 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 42 00 6C 00 61 00 63 00 6B 00 66 00 69 00 73 00 68 00 53 00 51 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 5F 00 53 00 43 00 48 00 45 00 4D 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4F 00 76 00 65 00 72 00 72 00 69 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 }
	condition:
		$1
}

rule function_14360_0 {
	meta:
		name = "TSQLConnection.GetLoginUsername"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 F8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14361_0 {
	meta:
		name = "TSQLConnection.GetMetaData"
		size = 12
	strings:
		$1 = { 8B 80 9C 00 00 00 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_14362_0 {
	meta:
		name = "TSQLConnection.GetLoginParams"
		size = 460
		refs = "001c TSQLConnection.GetLoginParams 002a TStrings.BeginUpdate 0047 _Dn_TStringList 004c TStringList.Create 0062 TDBXConnectionFactory.GetConnectionFactory 0070 TDBXConnectionFactory.GetDriverProperties 00a2 TStrings.GetValue 00b2 TStrings.SetValue 0107 TObject.Free 010d @HandleFinally 0124 TStrings.EndUpdate 0140 TSQLConnection.Login 015a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 56 33 C9 89 4D E8 89 4D EC 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 8C 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 90 B8 00 00 00 8B 45 F4 8B 08 FF 51 40 85 F6 74 0B 8B 56 08 8B 45 F4 8B 08 FF 51 40 8D 4D F0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D EC BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D E8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 78 44 00 74 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_14364_0 {
	meta:
		name = "TSQLConnection.GetConnected"
		size = 34
	strings:
		$1 = { 83 B8 9C 00 00 00 00 74 13 0F B6 80 80 00 00 00 84 C0 74 08 2C 02 74 04 2C 03 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_14365_0 {
	meta:
		name = "TSQLConnection.DoDisconnect"
		size = 100
		refs = "0016 TSQLConnection.CloseDataSets 001f TSQLConnection.RegisterTraceCallback 0043 TObject.Free"
	strings:
		$1 = { 53 8B D8 83 BB 9C 00 00 00 00 74 4F C6 83 80 00 00 00 05 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 83 BB 9C 00 00 00 00 74 1B 33 C0 89 83 94 00 00 00 8D 83 9C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 89 83 D4 00 00 00 C6 83 80 00 00 00 00 33 C0 89 43 70 C6 83 BC 00 00 00 00 5B C3 }
	condition:
		$1
}

rule function_14366_0 {
	meta:
		name = "TSQLConnection.DoParamsChange"
		size = 137
		refs = "0011 TConnectionData.GetProperties 0023 TConnectionData.BeginUpdate 002f TSQLConnection.DoParamsChange 0048 TDBXProperties.Clear 005f TConnectionData.AddProperties 007a TConnectionData.EndUpdate 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 04 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 6D 8B 45 FC 8B 80 04 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 5B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 04 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 90 B8 00 00 00 8B 45 FC 8B 80 04 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 04 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 59 5D C3 }
	condition:
		$1
}

rule function_14367_0 {
	meta:
		name = "TSQLConnection.CloseDataSets"
		size = 127
		refs = "001b TSQLConnection.GetDataSet 0020 TDataSet.GetActive 0032 TDataSet.Close 0040 TCustomSQLDataSet.FreeCommand 006b TList.Get 0073 TSQLMonitor.SwitchConnection"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 8B 10 FF 52 50 8B F8 4F 85 FF 7C 35 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 CE 8B 83 AC 00 00 00 8B 78 08 4F 85 FF 7C 25 47 33 F6 80 BB 98 00 00 00 00 74 15 8B D6 8B 83 AC 00 00 00 E8 ?? ?? ?? ?? 8B 53 7C E8 ?? ?? ?? ?? 46 4F 75 DE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14368_0 {
	meta:
		name = "TSQLConnection.CheckDisconnect"
		size = 92
		refs = "001c TSQLConnection.GetInTransaction 0040 TSQLConnection.GetDataSet 0054 TCustomConnection.Close"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 8B 10 FF 52 48 84 C0 74 48 80 BB A0 00 00 00 00 75 3F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 34 F6 43 1C 01 75 2E 8B C3 8B 10 FF 52 50 8B F0 4E 85 F6 7C 19 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 80 B8 A5 00 00 00 00 75 0B 47 4E 75 EA 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14369_0 {
	meta:
		name = "TSQLConnection.CheckInactive"
		size = 102
		refs = "000c TSQLConnection.CheckInactive 0028 TCustomConnection.Close 0032 SDatabaseOpen 0037 LoadResString 0041 DatabaseError 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 9C 00 00 00 00 74 26 F6 43 1C 10 74 09 8B C3 E8 ?? ?? ?? ?? EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14370_0 {
	meta:
		name = "TSQLConnection.CheckActive"
		size = 87
		refs = "000c TSQLConnection.CheckActive 0023 SDatabaseClosed 0028 LoadResString 0032 DatabaseError 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 9C 00 00 00 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14371_0 {
	meta:
		name = "TSQLConnection.GetConnectionForStatement"
		size = 36
		refs = "001f TSQLConnection.CloneConnection"
	strings:
		$1 = { 8B 90 C0 00 00 00 85 D2 76 19 3B 50 70 77 14 83 B8 94 00 00 00 00 7F 0B 80 78 78 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14372_0 {
	meta:
		name = "TSQLConnection.ExecuteDirect"
		size = 500
		refs = "0021 TSQLConnection.ExecuteDirect 0031 TSQLConnection.CheckConnection 0048 GetIdOption 0051 @UStrClr 005e Platform_NextSQLToken 0073 TSQLConnection.GetConnectionForStatement 00b0 TStrings.GetValue 00e5 Trim 00ed StrToInt 00fe @HandleAnyException 0108 @DoneExcept 0110 TSQLConnection.GetMetaData 016d TObject.Free 0195 @HandleFinally 01b1 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D D8 89 4D D4 89 4D DC 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 F8 E8 ?? ?? ?? ?? BE 14 00 00 00 33 DB C7 45 E0 01 00 00 00 53 8B 45 F8 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8D 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 80 FB 05 75 06 8B 45 F8 FF 40 70 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 8B 80 9C 00 00 00 8B 10 FF 52 7C 89 45 EC 33 C0 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D DC 8B 45 F8 8B 80 B8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D DC 00 74 52 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D D4 8B 45 F8 8B 80 B8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BE 14 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 1B 8B 45 F8 E8 ?? ?? ?? ?? 80 78 14 00 74 0D 8B C6 99 52 50 8B 45 EC 8B 10 FF 52 14 8B 55 F4 8B 45 EC 8B 08 FF 51 10 8B 45 EC 8B 10 FF 52 60 8B 45 EC 8B 10 FF 52 64 89 45 E8 8B 45 EC 8B 10 FF 52 1C 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 83 7D E4 00 74 14 8B 45 E4 80 B8 98 00 00 00 00 74 08 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 6F 00 77 00 73 00 65 00 74 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_14373_0 {
	meta:
		name = "TSQLConnection.Execute"
		size = 656
		refs = "0022 TSQLConnection.Execute 0036 _DV_TCustomSQLDataSet 003b TCustomSQLDataSet.Create 0056 TSQLConnection.CheckConnection 0063 TSQLConnection.SetCursor 00a0 TSQLConnection.GetQuoteChar 00b2 FixParams 00d7 @UStrCopy 00e9 @UStrAsg 00f9 TCustomSQLDataSet.CheckStatement 0142 SetQueryProcParams 018c Format 0199 TParams.GetItem 019e TParam.GetDataType 01af TParams.CreateParam 01c0 TParam.GetAsVariant 01da TParam.SetAsVariant 01e9 TCustomSQLDataSet.SetMaxBlobSize 021b TObject.Free 0228 TPlatformPSResult.SetPSResult 0238 @HandleFinally 024f @VarClr 025c @UStrArrayClr 0264 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 8B FA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 8B 45 F8 E8 ?? ?? ?? ?? BA F5 FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F0 8B 08 FF 91 D0 02 00 00 8B 45 F8 C6 80 80 00 00 00 03 85 DB 74 0C 8B 43 08 83 78 08 00 0F 9F C0 EB 02 33 C0 84 C0 74 29 8D 45 FC 50 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D EC 8B F3 8B 46 08 8B 50 08 8B C7 E8 ?? ?? ?? ?? 8B 46 08 8B 78 08 EB 1F 8B F7 85 F6 74 05 83 EE 04 8B 36 8D 45 FC 50 8B CE BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 33 FF 8B 45 F0 05 A0 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 83 7D 08 00 75 72 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B B0 2C 02 00 00 8B 55 FC 8B C6 8B 08 FF 51 10 85 DB 74 12 8B C6 8B 10 FF 52 34 8B 53 08 8B 52 08 8B 08 FF 51 0C 8B C6 8B 10 FF 52 60 85 FF 7E 15 6A 00 8B 45 F0 8B 90 2C 02 00 00 8B CB 8B 45 F8 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 64 8B 55 F0 89 82 34 02 00 00 8B C6 8B 10 FF 52 1C 89 45 F4 E9 95 00 00 00 85 FF 7E 79 4F 85 FF 7C 74 47 33 F6 6A 01 8D 45 E8 50 8D 46 01 89 45 E0 C6 45 E4 00 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 80 E0 01 00 00 59 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 D0 E8 ?? ?? ?? ?? 8D 45 D0 50 8B 45 F0 8B 80 E0 01 00 00 8B D6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 46 4F 75 8F 83 CA FF 8B 45 F0 E8 ?? ?? ?? ?? B2 01 8B 45 F0 8B 08 FF 91 B4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 83 7D 08 00 75 0A 8B 45 F0 E8 ?? ?? ?? ?? EB 0B 8D 45 08 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 F8 C6 80 80 00 00 00 01 C3 E9 ?? ?? ?? ?? EB C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 25 00 64 00 00 00 }
	condition:
		$1
}

rule function_14374_0 {
	meta:
		name = "TSQLConnection.CloneConnection"
		size = 384
		refs = "0017 TSQLConnection.CloneConnection 0036 _DV_TSQLConnection 003b TSQLConnection.Create 0066 @UStrAsg 0087 @UStrCat3 00ce TSQLConnection.GetVendorLib 0110 TList.Get 0117 TSQLMonitor.SwitchConnection 0147 @UStrClr 0155 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE 98 00 00 00 00 74 05 8B 7E 7C EB 02 8B FE 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 C6 83 98 00 00 00 01 0F B6 86 A8 00 00 00 88 83 A8 00 00 00 C6 43 44 00 8D 83 8C 00 00 00 8B 97 8C 00 00 00 E8 ?? ?? ?? ?? 8D 83 84 00 00 00 8B 97 84 00 00 00 E8 ?? ?? ?? ?? 8B 57 08 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 8B 08 FF 51 24 8B 97 B8 00 00 00 8B 83 B8 00 00 00 8B 08 FF 51 40 8D 83 90 00 00 00 8B 97 90 00 00 00 E8 ?? ?? ?? ?? 8D 83 A4 00 00 00 8B 97 A4 00 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 55 F0 8D 83 F4 00 00 00 E8 ?? ?? ?? ?? 0F B6 87 E0 00 00 00 88 83 E0 00 00 00 8B 86 AC 00 00 00 8B 40 08 48 85 C0 7C 28 40 89 45 F8 C7 45 FC 00 00 00 00 8B 55 FC 8B 86 AC 00 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? FF 45 FC FF 4D F8 75 E3 8B C6 8B 10 FF 52 48 8B D0 8B C3 8B 08 FF 51 58 89 7B 7C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 6C 00 6F 00 6E 00 65 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_14375_0 {
	meta:
		name = "TSQLConnection.OpenSchemaTable"
		size = 126
		refs = "0011 @UStrAddRef 0029 TSQLConnection.OpenSchemaTable 005c @UStrClr 0069 @UStrArrayClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 45 08 50 6A 00 8B D3 8B 4D FC 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_14376_0 {
	meta:
		name = "TSQLConnection.OpenSchemaTable"
		size = 268
		refs = "0013 @UStrAddRef 0033 TSQLConnection.OpenSchemaTable 0043 TSQLConnection.CheckConnection 004c _DV_TCustomSQLDataSet 0051 TCustomSQLDataSet.Create 0090 TCustomSQLDataSet.SetSchemaInfo 009b TCustomSQLDataSet.SetSchemaName 00cc TSQLConnection.FreeSchemaTable 00d2 @HandleFinally 00e9 @UStrClr 00f6 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D FC 8B DA 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 FF 40 70 8B 55 F8 8B 45 F0 8B 08 FF 91 D0 02 00 00 8B 45 10 50 8B 45 0C 50 8B D3 8B 4D FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 08 8B 45 F0 E8 ?? ?? ?? ?? B2 01 8B 45 F0 8B 08 FF 91 B4 01 00 00 8B 45 F0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 75 0B 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F4 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_14377_0 {
	meta:
		name = "TSQLConnection.FreeSchemaTable"
		size = 41
		refs = "001c TObject.Free"
	strings:
		$1 = { 53 56 8B F0 FF 4E 70 0F B6 9E A0 00 00 00 C6 86 A0 00 00 00 01 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? 88 9E A0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_14378_0 {
	meta:
		name = "TSQLConnection.OpenSchema"
		size = 89
		refs = "0011 @UStrAddRef 0019 TSQLConnection.OpenSchema 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 08 50 8B D3 8B 4D FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_14379_0 {
	meta:
		name = "GetTableFieldName"
		size = 156
		refs = "0019 GetTableFieldName 001e @UStrEqual 002c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B 80 9C 00 00 00 8B 10 FF 52 0C 8B D8 85 DB 74 1E 8B 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_14380_0 {
	meta:
		name = "GetProcedureFieldName"
		size = 160
		refs = "0019 GetProcedureFieldName 001e @UStrEqual 002c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B 80 9C 00 00 00 8B 10 FF 52 0C 8B D8 85 DB 74 1E 8B 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 52 00 4F 00 43 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_14381_0 {
	meta:
		name = "GetColumnFieldName"
		size = 160
		refs = "0019 GetColumnFieldName 001e @UStrEqual 002c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B 80 9C 00 00 00 8B 10 FF 52 0C 8B D8 85 DB 74 1E 8B 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_14382_0 {
	meta:
		name = "GetIndexFieldName"
		size = 156
		refs = "0019 GetIndexFieldName 001e @UStrEqual 002c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B 80 9C 00 00 00 8B 10 FF 52 0C 8B D8 85 DB 74 1E 8B 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 64 00 65 00 78 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_14383_0 {
	meta:
		name = "GetSchemaFieldName"
		size = 160
		refs = "0019 GetSchemaFieldName 001e @UStrEqual 002c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B 80 9C 00 00 00 8B 10 FF 52 0C 8B D8 85 DB 74 1E 8B 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_14384_0 {
	meta:
		name = "GetPackageFieldName"
		size = 160
		refs = "0019 GetPackageFieldName 001e @UStrEqual 002c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B 80 9C 00 00 00 8B 10 FF 52 0C 8B D8 85 DB 74 1E 8B 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_14385_0 {
	meta:
		name = "IsResultSetParameterType"
		size = 244
		refs = "0010 IsResultSetParameterType 0036 @UStrEqual 0044 TDataSet.FieldByName 004c TPlatformField.AsWideString 0057 @UStrFromWStr 007c @WStrClr 0084 @UStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 DB 8B 80 9C 00 00 00 8B 10 FF 52 0C 8B F0 85 F6 74 3E 8B 46 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2F BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 6F 00 64 00 65 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 53 00 55 00 4C 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_14386_0 {
	meta:
		name = "GetParameterType"
		size = 544
		refs = "0022 @VarAddRef 002a GetParameterType 0052 @UStrEqual 0064 TDataSet.FieldByName 006c TPlatformField.AsWideString 0077 @UStrFromWStr 00fc VarIsNull 010c @VarToInteger 0123 @WStrClr 012b @VarClr 0133 @UStrClr 0139 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D FC 8B F1 8D 7D E8 A5 A5 A5 A5 8B F2 8B D8 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 9C 00 00 00 8B 10 FF 52 0C 8B D8 85 DB 0F 84 98 00 00 00 8B 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 85 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 01 E9 81 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 02 EB 6E 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 03 EB 5B 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 04 EB 48 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 04 EB 35 33 DB EB 31 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 91 90 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 0A 8D 45 E8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 6F 00 64 00 65 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4F 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 4F 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 53 00 55 00 4C 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 54 00 55 00 52 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 41 00 52 00 41 00 4D 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_14387_0 {
	meta:
		name = "GetParameterDataTypeFieldName"
		size = 168
		refs = "0019 GetParameterDataTypeFieldName 001e @UStrEqual 002c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B 80 9C 00 00 00 8B 10 FF 52 0C 8B D8 85 DB 74 1E 8B 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 62 00 78 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 41 00 52 00 41 00 4D 00 5F 00 44 00 41 00 54 00 41 00 54 00 59 00 50 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_14388_0 {
	meta:
		name = "IsParameterFixedStringType"
		size = 360
		refs = "0028 @VarAddRef 0030 IsParameterFixedStringType 0054 @UStrEqual 0062 TDataSet.FieldByName 0075 VarIsNull 0085 @VarToBool 00bf @VarFromInt 00ca @VarCmpEQ 00e3 Variant 00ed @FinalizeArray 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D EC 8B F1 8D 7D F0 A5 A5 A5 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 9C 00 00 00 8B 10 FF 52 0C 8B D8 85 DB 74 42 8B 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 33 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 91 90 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 50 8D 45 F0 E8 ?? ?? ?? ?? 8B D8 EB 44 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 91 90 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 1D 8D 45 E0 BA 1F 00 00 00 B1 01 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 73 00 46 00 69 00 78 00 65 00 64 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 41 00 52 00 41 00 4D 00 5F 00 53 00 55 00 42 00 54 00 59 00 50 00 45 00 00 00 }
	condition:
		$1
}

rule function_14389_0 {
	meta:
		name = "GetParameterPositionFieldName"
		size = 160
		refs = "0019 GetParameterPositionFieldName 001e @UStrEqual 002c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B 80 9C 00 00 00 8B 10 FF 52 0C 8B D8 85 DB 74 1E 8B 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 72 00 64 00 69 00 6E 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 41 00 52 00 41 00 4D 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_14390_0 {
	meta:
		name = "GetParameterPrecisionFieldName"
		size = 164
		refs = "0019 GetParameterPrecisionFieldName 001e @UStrEqual 002c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B 80 9C 00 00 00 8B 10 FF 52 0C 8B D8 85 DB 74 1E 8B 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 50 00 41 00 52 00 41 00 4D 00 5F 00 50 00 52 00 45 00 43 00 49 00 53 00 49 00 4F 00 4E 00 00 00 }
	condition:
		$1
}

rule function_14391_0 {
	meta:
		name = "GetParameterScaleFieldName"
		size = 148
		refs = "0019 GetParameterScaleFieldName 001e @UStrEqual 002c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B 80 9C 00 00 00 8B 10 FF 52 0C 8B D8 85 DB 74 1E 8B 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 63 00 61 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 41 00 52 00 41 00 4D 00 5F 00 53 00 43 00 41 00 4C 00 45 00 00 00 }
	condition:
		$1
}

rule function_14392_0 {
	meta:
		name = "GetParameterLengthFieldName"
		size = 160
		refs = "0019 GetParameterLengthFieldName 001e @UStrEqual 002c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B 80 9C 00 00 00 8B 10 FF 52 0C 8B D8 85 DB 74 1E 8B 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 41 00 52 00 41 00 4D 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 00 00 00 00 }
	condition:
		$1
}

rule function_14393_0 {
	meta:
		name = "GetParameterNameFieldName"
		size = 164
		refs = "0019 GetParameterNameFieldName 001e @UStrEqual 002c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B 80 9C 00 00 00 8B 10 FF 52 0C 8B D8 85 DB 74 1E 8B 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 41 00 52 00 41 00 4D 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_14394_0 {
	meta:
		name = "TSQLConnection.OpenSchema"
		size = 789
		refs = "0021 @UStrAddRef 0031 TSQLConnection.OpenSchema 0041 TSQLConnection.CheckConnection 0055 SConnectionNameMissing 005a LoadResString 0064 DatabaseError 007b @UStrLAsg 0083 TSQLConnection.CheckActive 0090 TSQLConnection.SetCursor 00b5 TSQLConnection.OpenSchemaTable 0104 GetColumnFieldName 010f TDataSet.FieldByName 0121 GetProcedureFieldName 013b GetPackageFieldName 0155 GetIndexFieldName 016f GetTableFieldName 0189 GetSchemaFieldName 01ad _Dn_TStringList 01b2 TStringList.Create 01d9 TStrings.BeginUpdate 01ea TStringList.SetCaseSensitive 020c TDataSet.Next 0222 TStringList.SetSorted 0237 TStrings.EndUpdate 023d @HandleFinally 029a TObject.Free 02ca TSQLConnection.FreeSchemaTable 02ec @UStrArrayClr 0301 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D FC 8B DA 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 83 B8 9C 00 00 00 00 75 17 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 D2 E8 ?? ?? ?? ?? 33 C0 89 45 F0 33 F6 80 FB 03 75 0B 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? BA F5 FF FF FF 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 F8 50 8B 45 0C 50 8B D3 8B 4D FC 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 0F 84 E0 01 00 00 0F B6 C3 83 F8 08 0F 87 C8 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 E9 80 00 00 00 8D 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 EB 66 8D 55 DC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 EB 4C 8D 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 EB 32 8D 55 D4 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 EB 18 8D 55 D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 8B 45 F0 80 B8 A9 00 00 00 00 0F 85 FC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC C6 40 39 00 33 D2 8B 45 EC E8 ?? ?? ?? ?? EB 20 8D 55 CC 8B C6 8B 08 FF 91 80 00 00 00 8B 55 CC 8B 45 EC 8B 08 FF 51 38 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 80 B8 A9 00 00 00 00 74 D4 B2 01 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 8B 10 FF 52 44 8B 55 EC 8B 45 08 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 83 7D F0 00 74 0B 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14395_0 {
	meta:
		name = "TSQLConnection.GetFieldNames"
		size = 11
		refs = "0006 TSQLConnection.OpenSchema"
	strings:
		$1 = { 51 B1 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14396_0 {
	meta:
		name = "TSQLConnection.GetFieldNames"
		size = 90
		refs = "0011 @UStrAddRef 0019 TSQLConnection.GetFieldNames 0032 TSQLConnection.OpenSchema 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 45 08 50 8B CE B2 04 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_14397_0 {
	meta:
		name = "TSQLConnection.GetFieldNames"
		size = 164
		refs = "0018 TSQLConnection.GetFieldNames 0025 _Dn_TStringList 002a TStringList.Create 0049 @UStrFromWStr 0055 TSQLConnection.OpenSchema 0074 TObject.Free 007a @HandleFinally 0091 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 4D F8 B2 04 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14398_0 {
	meta:
		name = "TSQLConnection.GetFieldNames"
		size = 205
		refs = "001b @WStrAddRef 0023 TSQLConnection.GetFieldNames 0030 _Dn_TStringList 0035 TStringList.Create 0051 @UStrFromWStr 006f TSQLConnection.OpenSchema 008f TObject.Free 0095 @HandleFinally 00b1 @UStrArrayClr 00b9 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F4 89 5D F0 89 4D FC 8B F2 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8B 4D F0 B2 04 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14399_0 {
	meta:
		name = "TSQLConnection.GetProcedureNames"
		size = 11
		refs = "0006 TSQLConnection.OpenSchema"
	strings:
		$1 = { 52 33 C9 B2 03 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14400_0 {
	meta:
		name = "TSQLConnection.GetProcedureNames"
		size = 13
		refs = "0008 TSQLConnection.OpenSchema"
	strings:
		$1 = { 6A 00 51 B1 03 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14401_0 {
	meta:
		name = "TSQLConnection.GetProcedureNames"
		size = 21
		refs = "000d TSQLConnection.OpenSchema"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 51 B1 03 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_14402_0 {
	meta:
		name = "TSQLConnection.GetProcedureNames"
		size = 98
		refs = "000d _Dn_TStringList 0012 TStringList.Create 001d TSQLConnection.GetProcedureNames 0032 TSQLConnection.OpenSchema 0051 TObject.Free 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 33 C9 B2 03 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14403_0 {
	meta:
		name = "TSQLConnection.GetProcedureNames"
		size = 104
		refs = "0010 _Dn_TStringList 0015 TStringList.Create 0020 TSQLConnection.GetProcedureNames 0037 TSQLConnection.OpenSchema 0056 TObject.Free 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 FC 50 8B CE B2 03 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14404_0 {
	meta:
		name = "TSQLConnection.GetProcedureNames"
		size = 106
		refs = "0010 _Dn_TStringList 0015 TStringList.Create 0020 TSQLConnection.GetProcedureNames 0036 TSQLConnection.OpenSchema 0056 TObject.Free 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8B 45 FC 50 8B CE B2 03 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_14405_0 {
	meta:
		name = "TSQLConnection.GetPackageNames"
		size = 11
		refs = "0006 TSQLConnection.OpenSchema"
	strings:
		$1 = { 52 33 C9 B2 07 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14406_0 {
	meta:
		name = "TSQLConnection.GetSchemaNames"
		size = 11
		refs = "0006 TSQLConnection.OpenSchema"
	strings:
		$1 = { 52 33 C9 B2 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14407_0 {
	meta:
		name = "TSQLConnection.GetPackageNames"
		size = 98
		refs = "000d _Dn_TStringList 0012 TStringList.Create 001d TSQLConnection.GetPackageNames 0032 TSQLConnection.OpenSchema 0051 TObject.Free 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 33 C9 B2 07 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14408_0 {
	meta:
		name = "TSQLConnection.GetSchemaNames"
		size = 98
		refs = "000d _Dn_TStringList 0012 TStringList.Create 001d TSQLConnection.GetSchemaNames 0032 TSQLConnection.OpenSchema 0051 TObject.Free 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 33 C9 B2 08 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14409_0 {
	meta:
		name = "TSQLConnection.GetTableNames"
		size = 9
		refs = "0004 TSQLConnection.GetTableNames"
	strings:
		$1 = { 51 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15324_0 {
	meta:
		name = "TCustomClientDataSet.SaveToStream"
		size = 9
		refs = "0004 TCustomClientDataSet.WriteDataPacket"
	strings:
		$1 = { 51 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17618_0 {
	meta:
		name = "TDSClientCallbackChannelManager.RegisterCallback"
		size = 9
		refs = "0004 TDSClientCallbackChannelManager.RegisterCallback"
	strings:
		$1 = { 51 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33473_0 {
	meta:
		name = "TIdFTP.ExtListItem"
		size = 9
		refs = "0004 TIdFTP.ExtListItem"
	strings:
		$1 = { 51 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35258_0 {
	meta:
		name = "TIdIMAP4.RetrieveEnvelopeRaw"
		size = 9
		refs = "0004 TIdIMAP4.InternalRetrieveEnvelope"
	strings:
		$1 = { 51 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35261_0 {
	meta:
		name = "TIdIMAP4.UIDRetrieveEnvelopeRaw"
		size = 9
		refs = "0004 TIdIMAP4.UIDInternalRetrieveEnvelope"
	strings:
		$1 = { 51 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45799_0 {
	meta:
		name = "TsdCodecStream.Read"
		size = 9
		refs = "0004 TsdCodecStream.InternalRead"
	strings:
		$1 = { 51 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45805_0 {
	meta:
		name = "TsdCodecStream.Write"
		size = 9
		refs = "0004 TsdCodecStream.InternalWrite"
	strings:
		$1 = { 51 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14410_0 {
	meta:
		name = "TSQLConnection.GetTableNames"
		size = 99
		refs = "0011 @UStrAddRef 0019 TSQLConnection.GetTableNames 003b TSQLConnection.OpenSchema 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 00 74 04 B0 02 EB 02 B0 01 8B 55 FC 52 56 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_14411_0 {
	meta:
		name = "TSQLConnection.GetTableNames"
		size = 100
		refs = "0010 _Dn_TStringList 0015 TStringList.Create 0020 TSQLConnection.GetTableNames 0052 TObject.Free 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B F2 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 33 C9 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14412_0 {
	meta:
		name = "TSQLConnection.GetTableNames"
		size = 184
		refs = "0018 @WStrAddRef 0020 TSQLConnection.GetTableNames 002d _Dn_TStringList 0032 TStringList.Create 0053 @UStrFromWStr 007f TObject.Free 0085 @HandleFinally 009c @UStrClr 00a4 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D FC 8B F2 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 08 50 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14413_0 {
	meta:
		name = "TSQLConnection.GetIndexNames"
		size = 13
		refs = "0008 TSQLConnection.OpenSchema"
	strings:
		$1 = { 6A 00 51 B1 06 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14414_0 {
	meta:
		name = "TSQLConnection.GetIndexNames"
		size = 21
		refs = "000d TSQLConnection.OpenSchema"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 51 B1 06 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_14415_0 {
	meta:
		name = "TSQLConnection.GetIndexNames"
		size = 104
		refs = "0010 _Dn_TStringList 0015 TStringList.Create 0020 TSQLConnection.GetIndexNames 0037 TSQLConnection.OpenSchema 0056 TObject.Free 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 FC 50 8B CE B2 06 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14416_0 {
	meta:
		name = "TSQLConnection.GetIndexNames"
		size = 106
		refs = "0010 _Dn_TStringList 0015 TStringList.Create 0020 TSQLConnection.GetIndexNames 0036 TSQLConnection.OpenSchema 0056 TObject.Free 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8B 45 FC 50 8B CE B2 06 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_14417_0 {
	meta:
		name = "AdjustProcedureDataLength"
		size = 298
		refs = "001a AdjustProcedureDataLength"
	strings:
		$1 = { 83 78 14 00 0F 85 1F 01 00 00 0F B6 50 0D 83 FA 33 0F 87 FC 00 00 00 0F B6 92 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 01 02 05 07 08 09 0C 0A 0A 0C 0C 0C 00 00 0A 00 00 00 00 00 00 00 00 02 02 06 00 00 00 00 00 00 00 00 00 00 0C 0A 02 00 0E 0E 00 04 03 00 00 00 00 0D 00 0B ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 40 14 28 00 00 00 EB 7C C7 40 14 D0 07 00 00 EB 73 C7 40 14 01 00 00 00 EB 6A C7 40 14 01 00 00 00 EB 61 C7 40 14 02 00 00 00 EB 58 C7 40 14 08 00 00 00 EB 4F C7 40 14 04 00 00 00 EB 46 C7 40 14 02 00 00 00 EB 3D C7 40 14 04 00 00 00 EB 34 C7 40 14 22 00 00 00 EB 2B C7 40 14 04 00 00 00 EB 22 C7 40 14 08 00 00 00 EB 19 C7 40 14 14 00 00 00 EB 10 C7 40 14 10 00 00 00 EB 07 C7 40 14 40 1F 00 00 66 83 78 0E 00 75 08 0F B7 50 14 66 89 50 0E C3 }
	condition:
		$1
}

rule function_14418_0 {
	meta:
		name = "TSQLConnection.GetProcedureParams"
		size = 82
		refs = "0011 @UStrAddRef 0019 TSQLConnection.GetProcedureParams 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14419_0 {
	meta:
		name = "TSQLConnection.GetProcedureParams"
		size = 105
		refs = "0013 @UStrAddRef 0023 TSQLConnection.GetProcedureParams 0056 @UStrArrayClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_14420_0 {
	meta:
		name = "TSQLConnection.GetProcedureParams"
		size = 972
		refs = "0026 @UStrAddRef 0041 TSQLConnection.GetProcedureParams 0071 TSQLConnection.OpenSchemaTable 0080 _DV_SPParamDesc 0085 TObject.Create 0092 GetParameterPositionFieldName 009d TDataSet.FieldByName 00b0 @VarToInteger 00c4 GetParameterType 00d4 GetParameterDataTypeFieldName 00f5 IsResultSetParameterType 0108 @VarFromInt 0113 @VarCmpEQ 0122 TObject.Free 012f VarIsNull 0155 @VarCmpLT 0166 DataTypeMap 0181 IsParameterFixedStringType 01ae GetParameterPrecisionFieldName 01f3 GetParameterScaleFieldName 0246 GetParameterLengthFieldName 0292 @VarToInt64 029e AdjustProcedureDataLength 02a9 GetParameterNameFieldName 02da @UStrAsg 02e9 @VarToUStr 02f2 TList.Add 02fa TDataSet.Next 0322 TSQLConnection.FreeSchemaTable 0328 @HandleFinally 033f @UStrClr 0347 @VarClr 0354 @UStrArrayClr 035d Variant 0367 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 0F 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 89 55 FC 89 45 E4 8B 7D 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8D 5D DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 F8 50 8B 45 0C 50 8B 4D FC B2 05 8B 45 E4 E8 ?? ?? ?? ?? 89 45 E0 E9 81 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8D 55 C8 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 CC 8B 08 FF 91 90 00 00 00 8D 45 CC E8 ?? ?? ?? ?? 8B 13 66 89 42 04 8D 4D E8 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 8B 13 88 42 0C 8D 55 C4 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 91 90 00 00 00 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 2E 8D 45 B4 BA 1E 00 00 00 B1 01 E8 ?? ?? ?? ?? 8D 55 B4 8D 45 E8 E8 ?? ?? ?? ?? 75 12 8B 33 33 C0 89 03 8B C6 E8 ?? ?? ?? ?? E9 CB 01 00 00 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 08 8B 03 C6 40 0D 00 EB 38 8D 45 A4 BA 27 00 00 00 B1 01 E8 ?? ?? ?? ?? 8D 55 A4 8D 45 E8 E8 ?? ?? ?? ?? 7D 16 8D 45 E8 E8 ?? ?? ?? ?? 0F B6 80 ?? ?? ?? ?? 8B 13 88 42 0D EB 06 8B 03 C6 40 0D 00 8D 4D E8 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 03 80 78 0D 01 75 08 8B 03 C6 40 0D 17 EB 0E 8B 03 80 78 0D 18 75 06 8B 03 C6 40 0D 26 8D 55 A0 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 A0 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 91 90 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 03 66 C7 40 0E 00 00 EB 0E 8D 45 E8 E8 ?? ?? ?? ?? 8B 13 66 89 42 0E 8D 55 9C 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 9C 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 91 90 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 03 66 C7 40 10 00 00 EB 0E 8D 45 E8 E8 ?? ?? ?? ?? 8B 13 66 89 42 10 8B 03 80 78 0D 08 75 06 8B 03 C6 40 0D 25 8D 55 98 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 98 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 91 90 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 19 8D 45 88 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 55 88 8D 45 E8 E8 ?? ?? ?? ?? 7D 09 8B 03 33 D2 89 50 14 EB 0D 8D 45 E8 E8 ?? ?? ?? ?? 8B 13 89 42 14 8B 03 E8 ?? ?? ?? ?? 8D 55 84 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 84 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 91 90 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 11 8B 03 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 03 83 C0 08 8D 55 E8 E8 ?? ?? ?? ?? 8B 13 8B C7 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 80 B8 A9 00 00 00 00 0F 84 6F FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 98 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 96 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_14421_0 {
	meta:
		name = "TSQLConnection.SetTraceEvent"
		size = 61
		refs = "0034 TSQLConnection.RegisterTraceCallback"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 89 83 E8 00 00 00 8B 45 0C 89 83 EC 00 00 00 8B C3 8B 10 FF 52 48 84 C0 74 15 F6 43 1C 01 75 0F 66 83 7D 0A 00 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14422_0 {
	meta:
		name = "TSQLConnection.AddConnectNotification"
		size = 18
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 08 FF 51 54 5D C2 08 00 }
	condition:
		$1
}

rule function_14423_0 {
	meta:
		name = "TSQLConnection.RemoveConnectNotification"
		size = 6
	strings:
		$1 = { 8B 08 FF 51 5C C3 }
	condition:
		$1
}

rule function_14425_0 {
	meta:
		name = "TSQLConnection.RegisterTraceCallback"
		size = 71
	strings:
		$1 = { 56 8B F0 84 D2 74 23 66 83 BE EA 00 00 00 00 74 34 FF B6 EC 00 00 00 FF B6 E8 00 00 00 8B 86 9C 00 00 00 8B 10 FF 52 1C 5E C3 8B 86 9C 00 00 00 85 C0 74 11 FF B6 EC 00 00 00 FF B6 E8 00 00 00 8B 10 FF 52 1C 5E C3 }
	condition:
		$1
}

rule function_14426_0 {
	meta:
		name = "TSQLConnection.GetInTransaction"
		size = 11
	strings:
		$1 = { 83 B8 94 00 00 00 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_14428_0 {
	meta:
		name = "TSQLConnection.StartTransaction"
		size = 67
		refs = "0039 TSQLConnection.BeginTransaction"
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A4 0F B6 54 24 08 80 EA 01 72 08 74 0A FE CA 74 0D EB 12 33 D2 EB 10 BA 01 00 00 00 EB 09 BA 02 00 00 00 EB 02 33 D2 8B CA 8B D4 E8 ?? ?? ?? ?? 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_14429_0 {
	meta:
		name = "TSQLConnection.BeginTransaction"
		size = 369
		refs = "0023 TSQLConnection.BeginTransaction 0038 TSQLConnection.CheckConnection 0060 TSQLConnection.CheckActive 0068 TSQLConnection.GetInTransaction 0083 _DV_TTransactionItem 0088 TObject.Create 00fc TObject.Free 0102 @HandleFinally 0117 SActiveTrans 011c LoadResString 0127 DatabaseError 0131 SDatabaseClosed 015b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 8B F2 8D 7D E7 A5 A5 A5 A4 8B F1 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 48 84 C0 0F 84 E1 00 00 00 8B 45 FC 83 B8 F0 00 00 00 00 0F 84 E9 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 FC 83 B8 DC 00 00 00 00 0F 84 93 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 56 8D 78 08 8D 75 E7 A5 A5 A5 A4 5E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 9C 00 00 00 8B D6 8B 08 FF 51 68 8B D8 8B 45 F4 89 58 04 89 5D F8 8B 45 FC 8B 80 FC 00 00 00 8B 55 F4 89 42 18 8B 45 FC 8B 55 F4 89 90 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 83 78 04 00 75 08 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B 45 FC FF 80 94 00 00 00 EB 32 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8B 55 FC E8 ?? ?? ?? ?? EB 18 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14430_0 {
	meta:
		name = "TSQLConnection.BeginTransaction"
		size = 54
		refs = "0020 TSQLConnection.BeginTransaction"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B 83 94 00 00 00 40 89 04 24 83 BB F0 00 00 00 00 74 16 8B CA 8B C3 8B D4 E8 ?? ?? ?? ?? 8B 83 FC 00 00 00 8B 40 04 EB 02 33 C0 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_14431_0 {
	meta:
		name = "TSQLConnection.HasTransaction"
		size = 41
	strings:
		$1 = { 56 8B F2 8B 88 FC 00 00 00 85 C9 74 16 3B 71 04 75 04 B2 01 EB 0F 8B 90 FC 00 00 00 8B 4A 18 85 C9 75 EA 33 D2 8B C2 5E C3 }
	condition:
		$1
}

rule function_14432_0 {
	meta:
		name = "TSQLConnection.EndFreeAndNilTransaction"
		size = 146
		refs = "0014 TSQLConnection.EndFreeAndNilTransaction 004b TSQLConnection.EndAndFreeTransaction 005c SInvalidTransaction 0061 LoadResString 006b DatabaseError 0080 @UStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 55 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 90 FC 00 00 00 8B F2 85 D2 74 19 8B F2 8B 5D FC 8B 1B 3B 5A 04 74 0D 8B 90 FC 00 00 00 8B 52 18 85 D2 75 E7 85 F6 74 11 8D 56 08 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 10 EB 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14433_0 {
	meta:
		name = "TSQLConnection.EndAndFreeTransaction"
		size = 37
		refs = "001f TSQLConnection.EndFreeAndNilTransaction"
	strings:
		$1 = { 51 83 B8 F0 00 00 00 00 74 19 8B 88 FC 00 00 00 85 C9 74 0F 8B 49 04 89 0C 24 8B CC 87 CA E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_14434_0 {
	meta:
		name = "TSQLConnection.EndAndFreeTransaction"
		size = 322
		refs = "0023 TSQLConnection.EndAndFreeTransaction 003d TSQLConnection.GetInTransaction 008c TObject.Free 00e6 SDatabaseClosed 00eb LoadResString 00f5 DatabaseError 00ff SNoActiveTrans 012f @UStrArrayClr 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 8B F2 8D 7D E7 A5 A5 A5 A4 88 4D FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE F0 00 00 00 00 0F 84 DF 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 B2 00 00 00 83 BE 9C 00 00 00 00 0F 84 8C 00 00 00 8B 86 FC 00 00 00 89 45 F4 33 C0 89 45 F8 33 FF 33 DB EB 29 8B 45 F4 8B 78 18 8B 45 F4 8B 40 04 89 45 F8 8B 45 F4 8B 40 08 3B 45 E7 75 04 B3 01 EB 0B 8B 45 F4 E8 ?? ?? ?? ?? 89 7D F4 84 DB 75 06 83 7D F4 00 75 CD 83 7D F8 00 74 37 80 7D FF 00 74 10 8D 55 F8 8B 86 9C 00 00 00 8B 08 FF 51 70 EB 0E 8D 55 F8 8B 86 9C 00 00 00 8B 08 FF 51 74 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? 89 BE FC 00 00 00 FF 8E 94 00 00 00 EB 30 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8B D6 E8 ?? ?? ?? ?? EB 17 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B D6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14437_0 {
	meta:
		name = "TSQLConnection.RollbackIncompleteFreeAndNil"
		size = 35
		refs = "000b TSQLConnection.HasTransaction 0018 TSQLConnection.RollbackFreeAndNil"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 16 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 89 06 5E 5B C3 }
	condition:
		$1
}

rule function_14438_0 {
	meta:
		name = "TSQLConnection.Commit"
		size = 29
		refs = "0013 TSQLConnection.EndAndFreeTransaction"
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A4 B1 01 8B D4 E8 ?? ?? ?? ?? 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_14439_0 {
	meta:
		name = "TSQLConnection.Rollback"
		size = 29
		refs = "0013 TSQLConnection.EndAndFreeTransaction"
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A4 33 C9 8B D4 E8 ?? ?? ?? ?? 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_14441_0 {
	meta:
		name = "TSQLConnection.SetDriverName"
		size = 676
		refs = "0019 @UStrAddRef 0021 TSQLConnection.SetDriverName 0035 @UStrEqual 0042 TSQLConnection.CheckInactive 0056 @UStrClr 007e _Dn_TStringList 0083 TStringList.Create 00a0 EmptyStr 00c5 @UStrAsg 00e3 TDBXConnectionFactory.GetConnectionFactory 00ee TDBXConnectionFactory.GetDriverProperties 0105 TConnectionData.SetProperties 0110 TConnectionData.GetProperties 0117 TDBXProperties.SetComponentOwner 0136 TStrings.GetValueFromIndex 0147 TStrings.GetName 015d TDBXProperties.SetValue 019c TDBXProperties.GetValue 01fb TObject.Free 0201 @HandleFinally 021d @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 8C 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 0F 84 C8 01 00 00 8B C3 E8 ?? ?? ?? ?? 83 BB 84 00 00 00 00 75 2C 8D 83 F4 00 00 00 E8 ?? ?? ?? ?? 8D 83 A4 00 00 00 E8 ?? ?? ?? ?? 8D 83 90 00 00 00 E8 ?? ?? ?? ?? 8B 83 B8 00 00 00 8B 10 FF 52 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 8C 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 0E 8B 93 B8 00 00 00 8B 45 F4 8B 08 FF 51 08 8D 83 8C 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 83 8C 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 08 01 00 00 E8 ?? ?? ?? ?? 8B 93 8C 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 6C 8B 83 04 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 83 04 01 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 8B F8 4F 85 FF 7C 4A 47 33 F6 8D 4D F0 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 4D EC 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 83 04 01 00 00 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 46 4F 75 C8 EB 0D 8B 83 04 01 00 00 33 D2 E8 ?? ?? ?? ?? F6 43 1C 10 74 70 F6 43 1C 01 75 6A C6 83 BC 00 00 00 00 83 BB 8C 00 00 00 00 74 5A 8D 4D E8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 8D 83 F4 00 00 00 E8 ?? ?? ?? ?? 8D 4D E4 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8D 83 A4 00 00 00 E8 ?? ?? ?? ?? 8D 4D E0 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E0 8D 83 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 56 00 65 00 6E 00 64 00 6F 00 72 00 4C 00 69 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 44 00 72 00 69 00 76 00 65 00 72 00 46 00 75 00 6E 00 63 00 00 00 }
	condition:
		$1
}

rule function_14442_0 {
	meta:
		name = "TOPToSoapDomConvert.GetEncoding"
		size = 22
		refs = "000f @UStrAsg"
		altNames = "TOpenDialog.GetInitialDir TQueryText.GetText TSQLConnection.GetConnectionName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 84 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115222_0 {
	meta:
		name = "TXMLSchemaDef.GetSchemaImports"
		size = 22
		refs = "000f @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 84 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14443_0 {
	meta:
		name = "TSQLConnection.SetConnectionName"
		size = 348
		refs = "0015 @UStrAddRef 001d TSQLConnection.SetConnectionName 0031 @UStrEqual 006b @UStrClr 0096 @UStrAsg 00a3 TSQLConnection.CloseDataSets 00e9 GetProfileString 0103 TSQLConnection.SetDriverName 010c TSQLConnection.LoadParamsFromIniFile 0126 @UStrArrayClr 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 84 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 0F 84 D5 00 00 00 F6 43 1C 01 75 14 8B C3 8B 10 FF 52 48 84 C0 74 09 33 D2 8B C3 8B 08 FF 51 58 83 BB 8C 00 00 00 00 75 27 83 7D FC 00 75 21 8D 83 F4 00 00 00 E8 ?? ?? ?? ?? 8D 83 A4 00 00 00 E8 ?? ?? ?? ?? 8B 83 B8 00 00 00 8B 10 FF 52 44 C6 83 BC 00 00 00 00 8D 83 84 00 00 00 8B 55 FC E8 ?? ?? ?? ?? F6 43 1C 01 75 07 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 74 63 F6 43 1C 01 75 5D 83 7D FC 00 75 14 80 BB A8 00 00 00 00 74 0B 8B 83 B8 00 00 00 8B 10 FF 52 44 83 7D FC 00 74 3D 8D 45 F8 50 8B 8B 88 00 00 00 BA ?? ?? ?? ?? 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 93 8C 00 00 00 E8 ?? ?? ?? ?? 74 0A 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_14444_0 {
	meta:
		name = "TSQLConnection.GetVendorLib"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 F4 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14445_0 {
	meta:
		name = "TSQLConnection.GetLibraryName"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 A4 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14446_0 {
	meta:
		name = "TSQLConnection.LoadParamsFromIniFile"
		size = 482
		refs = "001c @UStrAddRef 0024 TSQLConnection.LoadParamsFromIniFile 004e SConnectionNameMissing 0053 LoadResString 005d DatabaseError 0064 _Dn_TStringList 0069 TStringList.Create 0091 @UStrLAsg 00a8 _Dn_TMemIniFile 00ad TMemIniFile.Create 00c8 FileExists 00ee TStrings.BeginUpdate 0136 TStrings.EndUpdate 013c @HandleFinally 0148 SMissingDriverRegFile 0166 DatabaseErrorFmt 017b TObject.Free 01c4 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 C9 89 4D E4 89 4D E8 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 80 B8 BC 00 00 00 00 0F 85 70 01 00 00 8B 45 F4 83 B8 84 00 00 00 00 75 17 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 D2 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 13 8D 45 F8 8B 55 F4 8B 92 88 00 00 00 E8 ?? ?? ?? ?? EB 0B 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 72 8B 45 F4 8B 90 84 00 00 00 8B 4D EC 8B 45 F0 8B 18 FF 53 54 8B 45 F4 8B 80 B8 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 80 B8 00 00 00 8B 10 FF 52 44 8B 45 F4 8B 80 B8 00 00 00 8B 55 EC 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 80 B8 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 6A 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 F8 89 45 DC C6 45 E0 11 8D 55 DC 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 C6 80 BC 00 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14447_0 {
	meta:
		name = "TSQLConnection.SetLocaleCode"
		size = 132
		refs = "000f TSQLConnection.SetLocaleCode 0024 IntToHex 0037 TStrings.SetValue 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 6F 00 63 00 61 00 6C 00 65 00 43 00 6F 00 64 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_14448_0 {
	meta:
		name = "TSQLConnection.GetLocaleCode"
		size = 180
		refs = "0010 TSQLConnection.GetLocaleCode 0029 TStrings.GetValue 004b HexDisplayPrefix 0055 @UStrCat3 005d StrToInt 007d @UStrArrayClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 32 8D 4D F4 BA ?? ?? ?? ?? 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8B 15 ?? ?? ?? ?? 8B 12 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 6F 00 63 00 61 00 6C 00 65 00 43 00 6F 00 64 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_14449_0 {
	meta:
		name = "TSQLConnection.SetKeepConnection"
		size = 33
		refs = "001c TCustomConnection.Close"
	strings:
		$1 = { 3A 90 A0 00 00 00 74 18 88 90 A0 00 00 00 84 D2 75 0E 83 B8 D0 00 00 00 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14450_0 {
	meta:
		name = "TSQLConnection.SetParams"
		size = 29
		refs = "0009 TSQLConnection.CheckInactive"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D7 8B 86 B8 00 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_14453_0 {
	meta:
		name = "TSQLConnection.GetServerMethodNames"
		size = 76
		refs = "0009 TSQLConnection.GetServerMethodNames 000e TDBXConnection.GetCommands"
	strings:
		$1 = { 8B CA 8B 80 9C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 }
	condition:
		$1
}

rule function_14454_0 {
	meta:
		name = "TSQLConnection.GetDefaultSchemaName"
		size = 31
		refs = "000b TSQLConnection.CheckConnection 0018 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 93 CC 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14460_0 {
	meta:
		name = "TCustomSQLDataSet.Create"
		size = 236
		refs = "000d @ClassCreate 001b TDataSet.Create 0024 _Dn_TParams 0029 TParams.Create 0038 _DV_TSQLDataLink 003d TSQLDataLink.Create 004c _Dn_TIndexDefs 0051 TIndexDefs.Create 0069 TCustomSQLDataSet.Create 006e @UStrAsg 0079 @UStrClr 00ad TDataSet.SetObjectView 00ba @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 E0 01 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B8 01 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 C4 01 00 00 C6 83 A4 01 00 00 01 8D 83 A8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 A0 01 00 00 E8 ?? ?? ?? ?? C6 83 DA 01 00 00 01 C7 83 EC 01 00 00 FF FF FF FF C7 83 DC 01 00 00 FF FF FF FF C6 83 F4 01 00 00 00 8B C3 C6 80 90 00 00 00 01 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 62 00 78 00 2E 00 53 00 51 00 4C 00 00 00 }
	condition:
		$1
}

rule function_14461_0 {
	meta:
		name = "TCustomSQLDataSet.Destroy"
		size = 154
		refs = "0003 @BeforeDestruction 000e TDataSet.Close 001e TCustomSQLDataSet.FreeReader 002e TCustomSQLDataSet.FreeCommand 0041 TObject.Free 006b FreeProcParams 0076 TDataSet.Destroy 0088 TCustomSQLDataSet.FreeBuffers 0093 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 83 BE 34 02 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? 83 BE 2C 02 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? 8D 86 E0 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 C4 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 91 D0 02 00 00 8D 86 E8 01 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 B8 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14462_0 {
	meta:
		name = "TCustomSQLDataSet.CheckConnection"
		size = 107
		refs = "0009 TCustomSQLDataSet.CheckConnection 0020 TSQLConnection.CheckConnection 0038 SMissingSQLConnection 003d LoadResString 0047 DatabaseError 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 88 30 02 00 00 85 C9 74 09 8B C1 E8 ?? ?? ?? ?? EB 25 80 EA 02 73 20 80 B8 C1 01 00 00 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_14463_0 {
	meta:
		name = "TCustomSQLDataSet.SetConnection"
		size = 372
		refs = "0015 TCustomSQLDataSet.SetConnection 0062 TCustomSQLDataSet.SetSchemaName 00ab TStrings.GetValue 00e6 Trim 00ee StrToInt 0106 @HandleAnyException 0118 @DoneExcept 0141 @UStrArrayClr 0147 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 C4 00 00 00 8B 45 FC 8B 80 30 02 00 00 85 C0 74 08 8B 55 FC 8B 08 FF 51 5C 8B 45 FC 89 98 30 02 00 00 8B 45 FC F6 40 1C 01 75 15 8B 45 FC 3B 98 30 02 00 00 74 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 30 02 00 00 85 C0 0F 84 B4 00 00 00 6A 00 6A 00 8B 55 FC 8B 08 FF 51 54 8B 45 FC 83 B8 CC 01 00 00 00 0F 85 98 00 00 00 8D 4D F8 8B 45 FC 8B 80 30 02 00 00 8B 80 B8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 69 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B 45 FC 8B 80 30 02 00 00 8B 80 B8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 FC 89 82 CC 01 00 00 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 8B 45 FC C7 80 CC 01 00 00 FF FF FF FF E8 ?? ?? ?? ?? EB 0D 8B 45 FC C7 80 CC 01 00 00 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 42 00 6C 00 6F 00 62 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_14464_0 {
	meta:
		name = "TCustomSQLDataSet.GetInternalConnection"
		size = 20
	strings:
		$1 = { 8B 90 9C 01 00 00 85 D2 74 03 8B C2 C3 8B 80 30 02 00 00 C3 }
	condition:
		$1
}

rule function_14465_0 {
	meta:
		name = "TCustomSQLDataSet.GetObjectTypeNames"
		size = 296
		refs = "0018 TCustomSQLDataSet.GetObjectTypeNames 0026 TFields.GetCount 003f TFields.GetField 0045 _Dn_TObjectField 004a @IsClass 008a @UStrAsg 0115 @UStrClr 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 48 85 C0 0F 8C D1 00 00 00 40 89 45 F4 33 F6 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A4 00 00 00 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 A8 00 00 00 8B D0 4A 8D 4D F0 8B 45 FC 8B 80 34 02 00 00 8B 38 FF 57 44 8B 55 F0 8D 83 F8 00 00 00 E8 ?? ?? ?? ?? 0F B6 43 48 04 E6 2C 02 73 62 80 7B 48 1B 75 48 8B 45 FC 80 B8 B2 00 00 00 00 74 3C 8B C3 8B 10 FF 92 34 01 00 00 33 D2 E8 ?? ?? ?? ?? 80 78 48 1A 75 25 8B C3 8B 10 FF 92 34 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B 10 FF 92 34 01 00 00 8B D0 8B 45 FC E8 ?? ?? ?? ?? EB 14 8B C3 8B 10 FF 92 34 01 00 00 8B D0 8B 45 FC E8 ?? ?? ?? ?? 46 FF 4D F4 0F 85 35 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14466_0 {
	meta:
		name = "TCustomSQLDataSet.InternalOpen"
		size = 175
		refs = "000c TCustomSQLDataSet.InternalOpen 0019 TCustomSQLDataSet.ExecuteStatement 0029 TCustomSQLDataSet.FreeCommand 003a SNoCursor 003f LoadResString 0049 DatabaseError 0051 TFieldDefs.Update 0083 TCustomSQLDataSet.GetObjectTypeNames 008a TCustomSQLDataSet.InitBuffers 009f @UStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 BB 34 02 00 00 00 75 27 8B C3 E8 ?? ?? ?? ?? 80 BB C0 01 00 00 00 75 58 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 80 BB AE 00 00 00 00 74 0A 8B C3 8B 10 FF 92 D8 00 00 00 B2 01 8B C3 8B 08 FF 91 B4 00 00 00 80 BB B1 00 00 00 00 74 0A 8B 53 38 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14467_0 {
	meta:
		name = "TCustomSQLDataSet.IsCursorOpen"
		size = 11
	strings:
		$1 = { 83 B8 34 02 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_14468_0 {
	meta:
		name = "TCustomSQLDataSet.OpenCursor"
		size = 185
		refs = "000c TCustomSQLDataSet.OpenCursor 0035 SNoSqlStatement 003a LoadResString 0044 DatabaseError 004d TCustomSQLDataSet.CheckConnection 0056 TCustomSQLDataSet.SetPrepared 005d TCustomSQLDataSet.CheckPrepareError 0070 TCustomSQLDataSet.SetParamsFromCursor 0094 TDataSet.OpenCursor 00a9 @UStrClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB F4 01 00 00 00 75 29 83 BB A0 01 00 00 00 75 20 80 BB C1 01 00 00 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 B8 01 00 00 83 78 04 00 74 07 8B C3 E8 ?? ?? ?? ?? 80 BB F4 01 00 00 00 75 12 83 BB 30 02 00 00 00 74 09 8B 83 30 02 00 00 FF 40 74 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14469_0 {
	meta:
		name = "TCustomSQLDataSet.CloseCursor"
		size = 65
		refs = "0006 TDataSet.CloseCursor 003b TCustomSQLDataSet.InternalFreeCommand"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB F4 01 00 00 00 75 12 83 BB 30 02 00 00 00 74 09 8B 83 30 02 00 00 FF 48 74 8B 83 30 02 00 00 85 C0 74 10 83 B8 C0 00 00 00 00 76 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14470_0 {
	meta:
		name = "TCustomSQLDataSet.FreeReader"
		size = 68
		refs = "0037 TObject.Free"
	strings:
		$1 = { 53 8B D8 83 BB 34 02 00 00 00 74 36 80 BB C1 01 00 00 00 74 13 80 BB C2 01 00 00 00 75 0A 33 C0 89 83 34 02 00 00 EB 13 8D 83 34 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C6 83 38 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_14471_0 {
	meta:
		name = "TCustomSQLDataSet.FreeCommand"
		size = 30
		refs = "0006 TCustomSQLDataSet.InternalFreeCommand 0018 TCustomSQLDataSet.ClearIndexDefs"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 40 85 C0 74 04 C6 40 20 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14472_0 {
	meta:
		name = "TCustomSQLDataSet.CloseStatement"
		size = 52
		refs = "002f TObject.Free"
	strings:
		$1 = { C6 80 E4 01 00 00 00 C7 80 DC 01 00 00 FF FF FF FF C6 80 38 02 00 00 00 83 B8 2C 02 00 00 00 74 12 05 2C 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14473_0 {
	meta:
		name = "TCustomSQLDataSet.InternalClose"
		size = 310
		refs = "0034 TCustomSQLDataSet.FreeBuffers 004d _Dn_TObjectList 0052 TObjectList.Create 005d TCustomSQLDataSet.InternalClose 008f TList.Get 0099 _DV_TCustomSQLDataSet 009e @IsClass 00b7 TDataSet.Close 00ce TCustomSQLDataSet.SetPrepared 00e7 TObject.Free 00ed @HandleFinally 011f TCustomSQLDataSet.FreeReader"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC 33 D2 8B 45 FC 8B 08 FF 91 B4 00 00 00 8B 45 FC 80 B8 AE 00 00 00 00 74 0B 8B 45 FC 8B 10 FF 92 EC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 8C 01 00 00 00 0F 85 AB 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F8 8B 45 FC 8B 08 FF 91 80 02 00 00 8B 45 F8 8B 70 08 4E 85 F6 7C 56 46 33 DB 8B 7D F8 89 5D F4 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B F8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2C 8B 7D F8 89 5D F0 8B 55 F0 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7D F8 89 5D EC 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 43 4E 75 AD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 83 B8 30 02 00 00 00 74 26 8B 45 FC 8B 98 30 02 00 00 80 BB A0 00 00 00 00 75 0A 8B C3 8B 10 FF 52 50 48 7E 0A 8B 45 FC E8 ?? ?? ?? ?? EB 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14474_0 {
	meta:
		name = "TCustomSQLDataSet.InternalFreeCommand"
		size = 77
		refs = "000f TCustomSQLDataSet.FreeReader 0016 TCustomSQLDataSet.CloseStatement 003c TObject.Free"
	strings:
		$1 = { 53 8B D8 83 BB 2C 02 00 00 00 74 3F 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 30 02 00 00 85 C0 74 27 83 BB 9C 01 00 00 00 74 15 8D 83 9C 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 09 83 78 70 00 76 03 FF 48 70 5B C3 }
	condition:
		$1
}

rule function_14476_0 {
	meta:
		name = "TCustomSQLDataSet.InternalRefresh"
		size = 109
		refs = "0015 TCustomSQLDataSet.InternalRefresh 0025 TDataSet.SetState 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 80 8C 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 D4 00 00 00 33 D2 8B 45 FC 8B 08 FF 91 A8 01 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 8C 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_14477_0 {
	meta:
		name = "TCustomSQLDataSet.InitBuffers"
		size = 81
		refs = "0021 TArray<System.Byte> 0026 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B D8 8B B3 CC 01 00 00 85 F6 7E 1F 8B C6 C1 E0 0A 50 8D 83 90 01 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 73 70 85 F6 7E 1A 56 8D 83 94 01 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_14478_0 {
	meta:
		name = "TCustomSQLDataSet.ClearIndexDefs"
		size = 23
		refs = "000a TCollection.Clear"
	strings:
		$1 = { 53 8B D8 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? C6 83 C8 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_14479_0 {
	meta:
		name = "TCustomSQLDataSet.FreeBuffers"
		size = 184
		refs = "001b TArray<System.Byte> 0020 @DynArraySetLength 0034 @DynArrayClear"
	strings:
		$1 = { 53 8B D8 83 BB 90 01 00 00 00 74 1B 6A 00 8D 83 90 01 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 83 90 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BB 88 01 00 00 00 74 1B 6A 00 8D 83 88 01 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 83 88 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 83 B0 01 00 00 00 00 00 00 C7 83 B4 01 00 00 00 00 00 00 83 BB 94 01 00 00 00 74 2C 6A 00 8D 83 94 01 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 83 94 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14482_0 {
	meta:
		name = "TCustomSQLDataSet.AddFieldDesc"
		size = 1168
		refs = "0020 @DynArrayAddRef 0028 TCustomSQLDataSet.AddFieldDesc 003f @UStrLAsg 004a @UStrAsg 0076 Format 008b TDefCollection.IndexOf 00a3 DataTypeMap 0123 TBits.GetBit 023b BlobTypeMap 0245 TFieldDefs.AddFieldDef 025e TNamedItem.SetDisplayName 0269 TFieldDef.SetDataType 0272 TFieldDef.SetSize 027c TFieldDef.SetPrecision 0290 TFieldDef.SetAttributes 0318 TFieldDef.GetSize 0338 TCustomSQLDataSet.SetMaxBlobSize 0370 TFieldDef.GetFieldNo 0383 TCustomSQLDataSet.LoadFieldDef 0392 TFieldDef.GetChildDefs 03eb @UStrCat3 0426 @UStrClr 0437 TFieldDescList 043c @DynArrayClear 0442 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D E4 89 5D F8 8B D9 89 55 FC 89 45 F4 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 1C 98 8D 45 F8 8B 53 08 E8 ?? ?? ?? ?? 8D 43 08 8B 55 F8 E8 ?? ?? ?? ?? 33 FF EB 33 47 8D 45 E4 50 8B 45 F8 89 45 D4 C6 45 D8 11 89 7D DC C6 45 E0 00 8D 55 D4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 43 08 E8 ?? ?? ?? ?? 8B 53 08 8B C6 E8 ?? ?? ?? ?? 85 C0 7D BF 0F B7 43 0C 66 83 F8 27 73 0F 0F B7 D0 0F B6 92 ?? ?? ?? ?? 88 55 F3 EB 04 C6 45 F3 00 66 83 E8 08 74 06 66 83 E8 11 75 4A 0F BF 43 12 99 33 C2 2B C2 8B C8 66 89 4B 12 66 3B 4B 10 7E 04 66 89 4B 10 66 83 7B 10 0E 7F 13 66 83 7B 12 04 7F 0C 8B 45 F4 80 B8 D9 01 00 00 00 74 17 C6 45 F3 25 66 C7 43 0C 08 00 66 83 7B 10 20 7E 06 66 C7 43 10 20 00 33 FF 33 C0 89 45 EC 8B 45 0C 8B 40 04 8B 55 10 3B 02 7E 12 8B 55 10 8B 12 8B 45 0C E8 ?? ?? ?? ?? 88 45 F2 EB 04 C6 45 F2 00 0F B7 43 0C 83 F8 1A 0F 87 05 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 00 09 00 04 05 06 07 03 00 00 04 00 00 03 00 00 00 00 08 08 03 00 00 07 02 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B7 43 10 66 85 C0 75 09 C6 45 F3 00 E9 A2 00 00 00 0F BF F8 E9 9A 00 00 00 0F B7 43 10 66 85 C0 75 09 C6 45 F3 00 E9 88 00 00 00 0F BF F8 E9 80 00 00 00 0F B7 43 10 66 85 C0 75 06 C6 45 F3 00 EB 71 0F BF F8 EB 6C 83 7B 18 02 74 66 C6 45 F3 00 EB 60 66 83 7B 0E 1D 75 59 C6 45 F3 0E C6 45 F2 00 EB 4F 66 83 7B 0E 15 75 48 C6 45 F3 07 EB 42 0F BF 43 12 99 33 C2 2B C2 8B F8 0F BF 43 10 89 45 EC EB 2E 0F BF 7B 12 0F BF 43 10 89 45 EC EB 21 0F BF 7B 10 0F B7 43 0E 66 83 F8 16 72 13 66 83 F8 24 77 0D 0F B7 C0 0F B6 80 ?? ?? ?? ?? 88 45 F3 8B C6 E8 ?? ?? ?? ?? 8B F0 8B 45 10 8B 00 89 46 1C 8B 45 10 FF 00 8B 53 08 8B C6 E8 ?? ?? ?? ?? 0F B6 55 F3 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 80 7D F2 00 74 0E 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7B 24 01 75 11 0F B6 15 ?? ?? ?? ?? 0A 56 26 8B C6 E8 ?? ?? ?? ?? 66 83 7B 0E 1F 75 11 0F B6 15 ?? ?? ?? ?? 0A 56 26 8B C6 E8 ?? ?? ?? ?? 66 83 7B 28 01 1B C0 40 88 46 24 0F B6 45 F3 83 C0 F1 83 F8 18 0F 87 37 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 01 01 01 01 01 00 00 00 00 00 02 03 00 00 01 01 00 00 00 00 00 00 00 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 3B 82 CC 01 00 00 0F 8E EA 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? E9 D4 00 00 00 66 83 7B 0E 23 75 11 0F B6 15 ?? ?? ?? ?? 0A 56 26 8B C6 E8 ?? ?? ?? ?? 0F BF 43 10 85 C0 0F 8E B0 00 00 00 89 45 E8 BF 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 66 03 D7 8B 45 FC 8D 48 04 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B C6 E8 ?? ?? ?? ?? 50 B9 01 00 00 00 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 47 FF 4D E8 75 C0 EB 66 0F BF 43 10 85 C0 7E 5E 89 45 E8 BF 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 66 03 D7 8B 45 FC 8D 48 04 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 83 C0 08 B9 ?? ?? ?? ?? 8B 53 08 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B C6 E8 ?? ?? ?? ?? 50 B9 01 00 00 00 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 47 FF 4D E8 75 AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 5F 00 25 00 64 00 00 00 04 00 00 00 02 00 00 00 20 00 00 00 10 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 5B 00 30 00 5D 00 00 00 }
	condition:
		$1
}

rule function_14483_0 {
	meta:
		name = "TCustomSQLDataSet.LoadFieldDef"
		size = 243
		refs = "0027 @UStrAsg 006e TDBXValueType.IsReadOnly"
	strings:
		$1 = { 53 56 57 8B F1 8B F8 8B 06 66 89 50 04 8B 87 34 02 00 00 0F B7 D2 4A 8B 08 FF 51 18 8B D8 8B 06 83 C0 08 8B 53 04 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 50 8B 16 66 89 42 0C 8B C3 8B 10 FF 52 54 8B 16 66 89 42 0E 8B C3 8B 10 FF 52 68 8B 16 89 42 18 8B C3 8B 10 FF 52 58 8B 16 66 89 42 10 8B C3 8B 10 FF 52 5C 8B 16 66 89 42 12 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B 06 C7 40 24 01 00 00 00 8B 06 66 83 78 10 00 75 67 8B C3 8B 10 FF 52 50 48 74 38 83 E8 08 74 41 83 E8 06 74 3C 83 E8 0B 75 4E 8B 06 83 78 18 00 77 13 83 BF 2C 02 00 00 00 75 0A 8B 06 66 C7 40 10 80 00 EB 33 8B 06 0F B7 40 18 8B 16 66 89 42 10 EB 25 8B 06 0F B7 40 18 8B 16 66 89 42 10 EB 17 8B 06 0F B7 40 12 8B 16 66 89 42 10 8B 06 0F BF 40 12 8B 16 89 42 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14484_0 {
	meta:
		name = "TCustomSQLDataSet.InternalInitFieldDefs"
		size = 503
		refs = "0017 TCustomSQLDataSet.InternalInitFieldDefs 0031 _Dn_TBits 0036 TObject.Create 0069 TFieldDescList 006e @DynArraySetLength 0083 _DV_TFLDDesc 00b3 TBits.SetSize 00bb TCollection.Clear 00e2 TDBXValueType.IsNullable 00f2 TBits.SetBit 0100 TCustomSQLDataSet.LoadFieldDef 0135 TCustomSQLDataSet.AddFieldDesc 0171 TObject.Free 0185 @DynArrayClear 018b @HandleFinally 01b2 SDataSetClosed 01b7 LoadResString 01c1 DatabaseError 01d6 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 EC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 34 02 00 00 00 0F 84 80 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 83 34 02 00 00 8B 10 FF 52 1C 66 89 45 F2 0F B7 75 F2 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 F6 7E 23 C7 45 F8 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 4D F8 89 44 8A FC FF 45 F8 4E 75 E4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 0F B7 55 F2 42 8B 45 F4 E8 ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? C7 45 F8 01 00 00 00 0F B7 45 F2 89 83 D0 01 00 00 EB 67 8B 55 F8 4A 8B 83 34 02 00 00 8B 08 FF 51 18 E8 ?? ?? ?? ?? 84 C0 0F 94 C1 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D FC 0F B7 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 30 8B 7E 18 3B BB D0 01 00 00 76 0D 66 83 7E 0C 03 74 06 01 BB D0 01 00 00 8D 45 F8 50 8B 45 F4 50 8B 43 40 50 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B7 45 F2 3B 45 F8 7D 90 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B7 75 F2 85 F6 7E 24 C7 45 F8 01 00 00 00 8B 45 FC 8B 55 F8 8D 44 90 FC 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? FF 45 F8 4E 75 E3 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14485_0 {
	meta:
		name = "NormalizeBcdData"
		size = 283
		refs = "001f @DynArrayAddRef 0027 NormalizeBcdData 004a BcdFromBytes 007e NormalizeBcd 00b1 BcdToBytes 00bd TArray<System.Byte> 00c2 @DynArrayAsg 00d8 Move 00f3 @DynArrayClear 0106 @FinalizeArray 010c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 DB 89 5D B0 89 5D F8 8B F1 8B DA 89 45 FC 8B 7D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 A3 00 00 00 66 83 FE 20 76 04 66 BE 20 00 8D 55 D6 8B 45 FC E8 ?? ?? ?? ?? 80 7D B5 26 75 44 66 B8 3F 00 66 23 C7 66 85 C0 74 06 66 83 E8 26 75 32 66 F7 C7 80 00 74 17 68 86 00 00 00 8D 55 B4 8D 45 D6 B9 20 00 00 00 E8 ?? ?? ?? ?? EB 26 6A 06 8D 55 B4 8D 45 D6 B9 20 00 00 00 E8 ?? ?? ?? ?? EB 12 0F B7 C7 50 0F B7 CE 8D 55 B4 8D 45 D6 E8 ?? ?? ?? ?? 8D 55 B0 8D 45 B4 E8 ?? ?? ?? ?? 8B 55 B0 8D 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 BA 22 00 00 00 8B 4D F8 33 DB 03 CB 91 87 CA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14486_0 {
	meta:
		name = "TCustomSQLDataSet.GetFieldData"
		size = 6582
		refs = "0029 TCustomSQLDataSet.GetFieldData 0043 SDataSetClosed 0048 LoadResString 0055 DatabaseError 00ea @DynArrayLength 0106 TArray<System.Byte> 010b @DynArraySetLength 01e0 @FillChar 0256 @LStrFromUStr 0264 TDBXPlatform.AnsiStrToBytes 0283 @DynArrayAsg 02d2 Move 035c TFields.FieldByNumber 0427 @UStrLAsg 0490 @UStrToPWChar 0b46 TDBXPlatform.SingleToInt32Bits 0c34 _Dn_TDBXPlatform 0c39 TDBXPlatform.DoubleToInt64Bits 0f10 NormalizeBcdData 1970 @LStrClr 197b @UStrClr 198b @UStrArrayClr 19a1 @FinalizeArray 19a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 42 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 8D 50 FF FF FF 89 95 54 FF FF FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE 34 02 00 00 00 75 1D 8D 95 EC FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 EC FD FF FF 8B D6 E8 ?? ?? ?? ?? 83 BD 54 FF FF FF 01 7D 07 33 DB E9 F3 18 00 00 80 BE A9 00 00 00 00 74 10 80 BE A8 00 00 00 00 75 07 33 DB E9 DA 18 00 00 80 BE A9 00 00 00 00 74 1C 80 BE A8 00 00 00 00 74 13 8B 86 34 02 00 00 80 78 10 00 74 07 33 DB E9 B5 18 00 00 C7 85 4C FF FF FF FF FF FF FF 8B 85 54 FF FF FF 48 89 85 3C FF FF FF 8B 95 3C FF FF FF 8B 86 34 02 00 00 8B 08 FF 51 18 8B D8 8B C3 8B 10 FF 52 68 8B F8 8B C3 8B 10 FF 52 50 8B D8 8B 86 88 01 00 00 E8 ?? ?? ?? ?? 3B F8 7E 20 66 83 FB 03 74 1A 57 8D 86 88 01 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 86 34 02 00 00 8B 10 FF 52 2C 89 85 40 FF FF FF 0F B7 C3 83 F8 24 0F 87 20 18 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 86 88 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 86 88 01 00 00 33 C9 E8 ?? ?? ?? ?? 83 BD 40 FF FF FF 00 74 24 6A 00 8D 85 4C FF FF FF 50 8B 8E 88 01 00 00 8B 95 3C FF FF FF 8B 85 40 FF FF FF 8B 18 FF 13 E9 D9 00 00 00 8B 95 3C FF FF FF 8B 86 34 02 00 00 8B 08 FF 51 10 8D 95 5C FF FF FF 8B 08 FF 51 28 8B 85 5C FF FF FF 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E A6 00 00 00 8D 85 E8 FD FF FF 8B 95 5C FF FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 E8 FD FF FF 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 85 38 FF FF FF 8D 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 85 2C FF FF FF 8B 85 38 FF FF FF 89 85 28 FF FF FF 83 BD 28 FF FF FF 00 7E 1E 8B 45 F4 8B 95 2C FF FF FF 8D 14 10 8B 45 F8 33 C9 03 C1 8B 8D 28 FF FF FF E8 ?? ?? ?? ?? 83 BD 38 FF FF FF 00 0F 94 C0 F6 D8 1B C0 89 85 4C FF FF FF 83 BD 4C FF FF FF 00 0F 85 58 16 00 00 8D 45 F0 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 89 85 24 FF FF FF 89 BD 20 FF FF FF 8B 45 F0 33 D2 03 C2 8B 95 24 FF FF FF 8B 8D 20 FF FF FF E8 ?? ?? ?? ?? E9 15 16 00 00 89 B5 1C FF FF FF 8B 85 54 FF FF FF 89 85 18 FF FF FF 8B 85 1C FF FF FF 8B 40 38 8B 95 18 FF FF FF E8 ?? ?? ?? ?? 89 85 14 FF FF FF 8B 85 14 FF FF FF 8B 10 FF 92 9C 00 00 00 8B D8 8B 86 88 01 00 00 E8 ?? ?? ?? ?? 3B D8 7E 1A 53 8D 86 88 01 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 86 88 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 86 88 01 00 00 33 C9 E8 ?? ?? ?? ?? 83 BD 40 FF FF FF 00 74 25 6A 00 8D 85 4C FF FF FF 50 8B 8E 88 01 00 00 8B 95 3C FF FF FF 8B 85 40 FF FF FF 8B 38 FF 57 04 E9 4C 01 00 00 8B 95 3C FF FF FF 8B 86 34 02 00 00 8B 08 FF 51 10 8D 95 5C FF FF FF 8B 08 FF 51 28 8B 85 5C FF FF FF 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 19 01 00 00 8D 85 58 FF FF FF 8B 95 5C FF FF FF E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 89 85 0C FF FF FF 83 BD 0C FF FF FF 00 74 11 8B 85 0C FF FF FF 83 E8 04 8B 00 89 85 0C FF FF FF 8B 85 0C FF FF FF 03 C0 89 85 10 FF FF FF 8B 85 10 FF FF FF 50 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 BD 10 FF FF FF 00 7E 1B 8B 45 EC 50 8B 85 58 FF FF FF E8 ?? ?? ?? ?? 8B 8D 10 FF FF FF 5A E8 ?? ?? ?? ?? 8D 45 FC 8B 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 85 38 FF FF FF 8D 45 E8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 85 08 FF FF FF 8B 85 38 FF FF FF 89 85 04 FF FF FF 83 BD 04 FF FF FF 00 7E 1E 8B 45 E4 8B 95 08 FF FF FF 8D 14 10 8B 45 E8 33 C9 03 C1 8B 8D 04 FF FF FF E8 ?? ?? ?? ?? 83 BD 38 FF FF FF 00 0F 94 C0 F6 D8 1B C0 89 85 4C FF FF FF 83 BD 4C FF FF FF 00 0F 85 0F 14 00 00 8D 45 E0 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 89 85 00 FF FF FF 89 9D FC FE FF FF 8B 45 E0 33 D2 03 C2 8B 95 00 FF FF FF 8B 8D FC FE FF FF E8 ?? ?? ?? ?? E9 CC 13 00 00 83 BD 40 FF FF FF 00 74 22 6A 00 8D 85 4C FF FF FF 50 8B 8E 88 01 00 00 8B 95 3C FF FF FF 8B 85 40 FF FF FF 8B 18 FF 53 08 EB 47 8B 95 3C FF FF FF 8B 86 34 02 00 00 8B 08 FF 51 10 8B 10 FF 52 10 88 85 FB FE FF FF 8D 45 DC 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 33 D2 0F B6 8D FB FE FF FF 88 0C 10 33 C0 89 85 4C FF FF FF 83 BD 4C FF FF FF 00 0F 85 4D 13 00 00 8D 45 D8 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 89 85 F4 FE FF FF 89 BD F0 FE FF FF 8B 45 D8 33 D2 03 C2 8B 95 F4 FE FF FF 8B 8D F0 FE FF FF E8 ?? ?? ?? ?? E9 0A 13 00 00 83 BD 40 FF FF FF 00 74 22 6A 00 8D 85 4C FF FF FF 50 8B 8E 88 01 00 00 8B 95 3C FF FF FF 8B 85 40 FF FF FF 8B 18 FF 53 0C EB 47 8B 95 3C FF FF FF 8B 86 34 02 00 00 8B 08 FF 51 10 8B 10 FF 52 14 88 85 EF FE FF FF 8D 45 D4 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 33 D2 0F B6 8D EF FE FF FF 88 0C 10 33 C0 89 85 4C FF FF FF 83 BD 4C FF FF FF 00 0F 85 8B 12 00 00 8D 45 D0 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 89 85 E8 FE FF FF 89 BD E4 FE FF FF 8B 45 D0 33 D2 03 C2 8B 95 E8 FE FF FF 8B 8D E4 FE FF FF E8 ?? ?? ?? ?? E9 48 12 00 00 83 BD 40 FF FF FF 00 74 22 6A 00 8D 85 4C FF FF FF 50 8B 8E 88 01 00 00 8B 95 3C FF FF FF 8B 85 40 FF FF FF 8B 18 FF 53 14 EB 5B 8B 95 3C FF FF FF 8B 86 34 02 00 00 8B 08 FF 51 10 8B 10 FF 52 1C 66 89 85 E2 FE FF FF 8D 45 CC 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 33 D2 0F B6 8D E2 FE FF FF 88 0C 10 8B 45 CC 33 D2 0F BF 8D E2 FE FF FF C1 E9 08 88 4C 10 01 33 C0 89 85 4C FF FF FF 83 BD 4C FF FF FF 00 0F 85 B5 11 00 00 8D 45 C8 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 89 85 DC FE FF FF 89 BD D8 FE FF FF 8B 45 C8 33 D2 03 C2 8B 95 DC FE FF FF 8B 8D D8 FE FF FF E8 ?? ?? ?? ?? E9 72 11 00 00 83 BD 40 FF FF FF 00 74 22 6A 00 8D 85 4C FF FF FF 50 8B 8E 88 01 00 00 8B 95 3C FF FF FF 8B 85 40 FF FF FF 8B 18 FF 53 14 EB 5B 8B 95 3C FF FF FF 8B 86 34 02 00 00 8B 08 FF 51 10 8B 10 FF 52 18 66 89 85 D6 FE FF FF 8D 45 C4 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 33 D2 0F B6 8D D6 FE FF FF 88 0C 10 8B 45 C4 33 D2 0F B7 8D D6 FE FF FF C1 E9 08 88 4C 10 01 33 C0 89 85 4C FF FF FF 83 BD 4C FF FF FF 00 0F 85 DF 10 00 00 8D 45 C0 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 89 85 D0 FE FF FF 89 BD CC FE FF FF 8B 45 C0 33 D2 03 C2 8B 95 D0 FE FF FF 8B 8D CC FE FF FF E8 ?? ?? ?? ?? E9 9C 10 00 00 83 BD 40 FF FF FF 00 74 22 6A 00 8D 85 4C FF FF FF 50 8B 8E 88 01 00 00 8B 95 3C FF FF FF 8B 85 40 FF FF FF 8B 18 FF 53 18 EB 64 8B 95 3C FF FF FF 8B 86 34 02 00 00 8B 08 FF 51 10 8B 10 FF 52 20 8B D8 8D 45 BC 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 33 D2 88 1C 10 8B 45 BC 33 D2 8B CB C1 E9 08 88 4C 10 01 8B 45 BC 33 D2 8B CB C1 E9 10 88 4C 10 02 8B 45 BC 33 D2 C1 EB 18 88 5C 10 03 33 C0 89 85 4C FF FF FF 83 BD 4C FF FF FF 00 0F 85 00 10 00 00 8D 45 B8 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 89 85 C8 FE FF FF 89 BD C4 FE FF FF 8B 45 B8 33 D2 03 C2 8B 95 C8 FE FF FF 8B 8D C4 FE FF FF E8 ?? ?? ?? ?? E9 BD 0F 00 00 83 BD 40 FF FF FF 00 74 25 6A 00 8D 85 4C FF FF FF 50 8B 8E 88 01 00 00 8B 95 3C FF FF FF 8B 85 40 FF FF FF 8B 18 FF 53 1C E9 ED 00 00 00 8B 95 3C FF FF FF 8B 86 34 02 00 00 8B 08 FF 51 10 8B 10 FF 52 24 89 85 B8 FE FF FF 89 95 BC FE FF FF 8D 45 B4 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 B8 FE FF FF 8B 55 B4 33 C9 88 04 0A 8B 85 B8 FE FF FF 8B 95 BC FE FF FF 0F AC D0 08 C1 EA 08 8B 55 B4 33 C9 88 44 0A 01 8B 85 B8 FE FF FF 8B 95 BC FE FF FF 0F AC D0 10 C1 EA 10 8B 55 B4 33 C9 88 44 0A 02 8B 85 B8 FE FF FF 8B 95 BC FE FF FF 0F AC D0 18 C1 EA 18 8B 55 B4 33 C9 88 44 0A 03 8B 85 BC FE FF FF 33 D2 8B 55 B4 33 C9 88 44 0A 04 8B 85 BC FE FF FF C1 E8 08 33 D2 8B 55 B4 33 C9 88 44 0A 05 8B 85 BC FE FF FF C1 E8 10 33 D2 8B 55 B4 33 C9 88 44 0A 06 8B 85 BC FE FF FF C1 E8 18 33 D2 8B 55 B4 33 C9 88 44 0A 07 33 C0 89 85 4C FF FF FF 83 BD 4C FF FF FF 00 0F 85 95 0E 00 00 8D 45 B0 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 89 85 B4 FE FF FF 89 BD B0 FE FF FF 8B 45 B0 33 D2 03 C2 8B 95 B4 FE FF FF 8B 8D B0 FE FF FF E8 ?? ?? ?? ?? E9 52 0E 00 00 83 BD 40 FF FF FF 00 74 22 6A 00 8D 85 4C FF FF FF 50 8B 8E 88 01 00 00 8B 95 3C FF FF FF 8B 85 40 FF FF FF 8B 18 FF 53 20 EB 70 8B 95 3C FF FF FF 8B 86 34 02 00 00 8B 08 FF 51 10 8B 10 FF 52 2C 83 C4 FC D9 1C 24 9B E8 ?? ?? ?? ?? 8B D8 8D 45 AC 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC 33 D2 88 1C 10 8B 45 AC 33 D2 8B CB C1 E9 08 88 4C 10 01 8B 45 AC 33 D2 8B CB C1 E9 10 88 4C 10 02 8B 45 AC 33 D2 C1 EB 18 88 5C 10 03 33 C0 89 85 4C FF FF FF 83 BD 4C FF FF FF 00 0F 85 AA 0D 00 00 8D 45 A8 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 89 85 AC FE FF FF 89 BD A8 FE FF FF 8B 45 A8 33 D2 03 C2 8B 95 AC FE FF FF 8B 8D A8 FE FF FF E8 ?? ?? ?? ?? E9 67 0D 00 00 83 BD 40 FF FF FF 00 74 25 6A 00 8D 85 4C FF FF FF 50 8B 8E 88 01 00 00 8B 95 3C FF FF FF 8B 85 40 FF FF FF 8B 18 FF 53 24 E9 FE 00 00 00 8B 95 3C FF FF FF 8B 86 34 02 00 00 8B 08 FF 51 10 8B 10 FF 52 30 83 C4 F8 DD 1C 24 9B A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 A0 FE FF FF 89 95 A4 FE FF FF 8D 45 A4 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 A0 FE FF FF 8B 55 A4 33 C9 88 04 0A 8B 85 A0 FE FF FF 8B 95 A4 FE FF FF 0F AC D0 08 C1 EA 08 8B 55 A4 33 C9 88 44 0A 01 8B 85 A0 FE FF FF 8B 95 A4 FE FF FF 0F AC D0 10 C1 EA 10 8B 55 A4 33 C9 88 44 0A 02 8B 85 A0 FE FF FF 8B 95 A4 FE FF FF 0F AC D0 18 C1 EA 18 8B 55 A4 33 C9 88 44 0A 03 8B 85 A4 FE FF FF 33 D2 8B 55 A4 33 C9 88 44 0A 04 8B 85 A4 FE FF FF C1 E8 08 33 D2 8B 55 A4 33 C9 88 44 0A 05 8B 85 A4 FE FF FF C1 E8 10 33 D2 8B 55 A4 33 C9 88 44 0A 06 8B 85 A4 FE FF FF C1 E8 18 33 D2 8B 55 A4 33 C9 88 44 0A 07 33 C0 89 85 4C FF FF FF 83 BD 4C FF FF FF 00 0F 85 2E 0C 00 00 8D 45 A0 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 89 85 9C FE FF FF 89 BD 98 FE FF FF 8B 45 A0 33 D2 03 C2 8B 95 9C FE FF FF 8B 8D 98 FE FF FF E8 ?? ?? ?? ?? E9 EB 0B 00 00 89 B5 94 FE FF FF 8B 85 54 FF FF FF 89 85 90 FE FF FF 8B 85 94 FE FF FF 8B 40 38 8B 95 90 FE FF FF E8 ?? ?? ?? ?? 89 85 8C FE FF FF 8B 85 8C FE FF FF 89 85 48 FF FF FF 8B 85 48 FF FF FF 8B 10 FF 92 9C 00 00 00 8B D8 8B 86 88 01 00 00 E8 ?? ?? ?? ?? 3B D8 7E 28 8B 85 48 FF FF FF 8B 10 FF 92 9C 00 00 00 50 8D 86 88 01 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 BD 40 FF FF FF 00 74 22 6A 00 8D 85 4C FF FF FF 50 8B 8E 88 01 00 00 8B 95 3C FF FF FF 8B 85 40 FF FF FF 8B 18 FF 53 28 EB 6C 8B 95 3C FF FF FF 8B 86 34 02 00 00 8B 08 FF 51 10 8D 95 F2 FD FF FF 8B 08 FF 51 34 8D 45 9C 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 8B 55 9C 0F B6 8D F2 FD FF FF 88 0C 02 8B 55 9C 0F B6 8D F3 FD FF FF 88 4C 02 01 8B 55 9C 8D 54 02 02 8D 85 F4 FD FF FF B9 20 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 85 4C FF FF FF 83 BD 4C FF FF FF 00 0F 85 C8 0A 00 00 83 BD 48 FF FF FF 00 0F 84 BB 0A 00 00 8B 85 48 FF FF FF 80 78 48 08 75 2B 8B 85 48 FF FF FF 0F B7 80 10 01 00 00 66 89 85 46 FF FF FF 8B 85 48 FF FF FF 8B 10 FF 92 B4 00 00 00 66 89 85 44 FF FF FF EB 29 8B 85 48 FF FF FF 0F B7 80 04 01 00 00 66 89 85 46 FF FF FF 8B 85 48 FF FF FF 8B 10 FF 92 B4 00 00 00 66 89 85 44 FF FF FF 0F B7 85 44 FF FF FF 50 0F B7 8D 46 FF FF FF 8B 95 50 FF FF FF 8B 86 88 01 00 00 E8 ?? ?? ?? ?? E9 36 0A 00 00 83 BD 40 FF FF FF 00 74 22 6A 00 8D 85 4C FF FF FF 50 8B 8E 88 01 00 00 8B 95 3C FF FF FF 8B 85 40 FF FF FF 8B 18 FF 53 38 EB 64 8B 95 3C FF FF FF 8B 86 34 02 00 00 8B 08 FF 51 10 8B 10 FF 52 38 8B D8 8D 45 98 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 33 D2 88 1C 10 8B 45 98 33 D2 8B CB C1 E9 08 88 4C 10 01 8B 45 98 33 D2 8B CB C1 E9 10 88 4C 10 02 8B 45 98 33 D2 C1 EB 18 88 5C 10 03 33 C0 89 85 4C FF FF FF 83 BD 4C FF FF FF 00 0F 85 9A 09 00 00 8D 45 94 8B 96 88 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 89 85 88 FE FF FF 89 BD 84 FE FF FF 8B 45 94 33 D2 03 C2 8B 95 88 FE FF FF 8B 8D 84 FE FF FF E8 ?? ?? ?? ?? E9 57 09 00 00 83 BD 40 FF FF FF 00 74 }
	condition:
		$1
}

rule function_14487_0 {
	meta:
		name = "TCustomSQLDataSet.GetFieldData"
		size = 386
		refs = "0019 TCustomSQLDataSet.GetFieldData 0026 TDataSet.GetActive 0032 SDataSetClosed 0037 LoadResString 0041 DatabaseError 00ca TPlatformValueBuffer.CreateValueBuffer 011b TCustomSQLDataSet.GetCalculatedField 014e TPlatformValueBuffer.Free 0154 @HandleFinally 016b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 75 17 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 33 D2 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A8 00 00 00 8B F8 83 7D FC 00 0F 85 92 00 00 00 8B 03 FF 90 28 01 00 00 84 C0 74 3E 80 BE A9 00 00 00 00 74 09 C7 45 E4 FF FF FF FF EB 1B 8D 45 E4 50 8B 86 34 02 00 00 8B 10 FF 52 2C 8D 4D E8 0F B7 D7 4A 8B 18 FF 53 3C 83 7D E4 01 1B C0 40 34 01 88 45 FB E9 B5 00 00 00 8B C3 8B 10 FF 92 B4 00 00 00 50 8B C3 8B 10 FF 92 9C 00 00 00 5A 3B D0 7E 14 8B C3 8B 10 FF 92 B4 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 EB 12 8B C3 8B 10 FF 92 9C 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 89 45 F0 EB 0B 8B 45 FC 89 45 F0 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 A8 00 00 00 48 7D 11 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 88 45 FB EB 13 0F B7 D7 8B 4D F0 8B C6 8B 18 FF 93 90 02 00 00 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14488_0 {
	meta:
		name = "TCustomSQLDataSet.SetCurrentBlobSize"
		size = 84
		refs = "0031 TArray<System.Byte> 0036 @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 55 0C 3B 93 B4 01 00 00 75 0A 3B 83 B0 01 00 00 76 21 EB 02 7E 1D 8B 45 08 50 8D 83 90 01 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 89 83 B0 01 00 00 8B 45 0C 89 83 B4 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14489_0 {
	meta:
		name = "TCustomSQLDataSet.GetBlobFieldData"
		size = 256
		refs = "0016 TCustomSQLDataSet.GetBlobFieldData 002b GetBlobLength 003c SDataSetClosed 0041 LoadResString 004b DatabaseError 0068 @DynArrayLength 0092 TArray<System.Byte> 0097 @DynArraySetLength 00ea @UStrClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8B F2 4E 8B C3 E8 ?? ?? ?? ?? 83 BB 34 02 00 00 00 75 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B D3 E8 ?? ?? ?? ?? 83 BB B4 01 00 00 00 75 0B 83 BB B0 01 00 00 00 76 78 EB 02 7E 74 8B 07 E8 ?? ?? ?? ?? 33 D2 3B 93 B4 01 00 00 75 0A 3B 83 B0 01 00 00 73 20 EB 02 7D 1C 8B 83 B0 01 00 00 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 00 6A 00 6A 00 FF B3 B4 01 00 00 FF B3 B0 01 00 00 8D 45 F8 50 8B 83 34 02 00 00 8B 10 FF 52 2C 8B 0F 8B D6 8B 30 FF 56 40 83 7D F8 00 75 09 8B 83 B0 01 00 00 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14490_0 {
	meta:
		name = "TCustomSQLDataSet.Create"
		size = 91
		refs = "000e @ClassCreate 0044 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 8B DA 8B F0 8B CF 33 D2 8B C6 8B 38 FF 57 38 C6 86 C1 01 00 00 01 0F B6 45 08 88 86 C2 01 00 00 8B 45 0C 89 86 34 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14492_0 {
	meta:
		name = "TCustomSQLDataSet.SetFieldData"
		size = 181
		refs = "0014 TCustomSQLDataSet.SetFieldData 0029 TArray<System.Byte> 002e @DynArrayAsg 0076 Move 00a2 @FinalizeArray 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 96 94 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A8 00 00 00 48 7D 47 85 FF 74 39 8B 45 FC 8B 53 54 C6 04 10 01 8D 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 8B 53 54 42 8B 4D F8 8D 14 11 8B CF 91 E8 ?? ?? ?? ?? EB 0A 8B 45 FC 8B 53 54 C6 04 10 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14493_0 {
	meta:
		name = "TCustomSQLDataSet.GetCalculatedField"
		size = 183
		refs = "0017 TCustomSQLDataSet.GetCalculatedField 002e TArray<System.Byte> 0033 @DynArrayAsg 0080 Move 00a2 @FinalizeArray 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 8B 96 94 01 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 A8 00 00 00 48 7D 42 8B 45 FC 8B 57 54 80 3C 10 00 74 36 8D 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D F4 8B 1B 8B C7 8B 10 FF 92 9C 00 00 00 8B 57 54 42 8B 4D F8 8D 14 11 8B CB 92 87 CA E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14495_0 {
	meta:
		name = "TCustomSQLDataSet.GetCommandNames"
		size = 27
		refs = "0016 TDBXConnection.GetCommands"
	strings:
		$1 = { 8B 88 30 02 00 00 8B 89 9C 00 00 00 8B 80 A8 01 00 00 91 87 D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14496_0 {
	meta:
		name = "TCustomSQLDataSet.GetRecord"
		size = 79
		refs = "002f @DynArrayLength 003f TPlatformRecordBuffer.Copy"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 83 34 02 00 00 8B 10 FF 52 3C 84 C0 74 2F 8B D6 8B C3 8B 08 FF 91 58 01 00 00 85 F6 74 1B 8B 83 94 01 00 00 E8 ?? ?? ?? ?? 50 33 C9 8B 93 94 01 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 EB 02 B0 02 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_14497_0 {
	meta:
		name = "TCustomSQLDataSet.SetFCommandText"
		size = 43
		refs = "0019 @UStrAsg 0024 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 C4 00 00 00 8D 83 A0 01 00 00 8B D6 E8 ?? ?? ?? ?? 8D 83 D4 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14498_0 {
	meta:
		name = "TCustomSQLDataSet.SetCommandText"
		size = 224
		refs = "000f TCustomSQLDataSet.SetCommandText 0022 @UStrEqual 0039 TCustomSQLDataSet.PropertyChanged 0043 Trim 0051 @UStrAsg 0086 _DV_TCustomSQLDataSet 008b @IsClass 00ac TCustomSQLDataSet.SetParamsFromSQL 00cf @UStrClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A0 01 00 00 8B D6 E8 ?? ?? ?? ?? 0F 84 92 00 00 00 8B C3 8B 10 FF 92 C4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 A0 01 00 00 E8 ?? ?? ?? ?? 83 BB 30 02 00 00 00 74 52 85 F6 74 4E 80 BB DA 01 00 00 00 74 45 80 BB A4 01 00 00 02 74 3C 8B 83 B8 01 00 00 8B 70 04 85 F6 74 12 8B 46 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 74 05 8B 56 38 EB 02 33 D2 8B C8 80 F1 01 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 08 8B C3 8B 18 FF 93 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14499_0 {
	meta:
		name = "TCustomSQLDataSet.GetDataSetFromSQL"
		size = 500
		refs = "0019 @UStrAddRef 0021 TCustomSQLDataSet.GetDataSetFromSQL 0055 @UStrCopy 0065 @UStrCat3 0070 @WStrFromUStr 007f GetIdOption 008a GetTableNameFromSQLEx 0095 @UStrFromWStr 00ae _DV_TCustomSQLDataSet 00b3 TCustomSQLDataSet.Create 00e3 TSQLConnection.GetQuoteChar 0108 @UStrCatN 0132 @HandleAnyException 013f TObject.Free 0144 @DoneExcept 015e @UStrArrayClr 016b @WStrArrayClr 017e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 68 8B B3 A0 01 00 00 85 F6 74 05 83 EE 04 8B 36 8D 45 E4 50 8B CE 83 E9 07 8B 83 A0 01 00 00 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 50 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4D F0 58 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 0A 33 C0 89 45 F4 E9 9F 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 93 30 02 00 00 8B 45 F4 8B 08 FF 91 D0 02 00 00 8D 55 F8 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 FF 75 FC FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 8B 08 FF 91 E4 02 00 00 B2 01 8B 45 F4 8B 08 FF 91 B4 01 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 20 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 2A 00 20 00 66 00 72 00 6F 00 6D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 30 00 20 00 3D 00 20 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_14500_0 {
	meta:
		name = "TCustomSQLDataSet.GetProcParams"
		size = 97
		refs = "0028 _Dn_TList 002d TObject.Create 0054 TSQLConnection.GetProcedureParams"
	strings:
		$1 = { 53 56 8B D8 8B 83 30 02 00 00 8B 10 FF 52 48 84 C0 74 45 83 BB E8 01 00 00 00 75 3C 80 BB DA 01 00 00 00 74 33 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 E8 01 00 00 8B 83 3C 02 00 00 50 56 8B 8B 00 02 00 00 8B 93 A0 01 00 00 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 8B 83 E8 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_14501_0 {
	meta:
		name = "TCustomSQLDataSet.SetParamsFromServerMethod"
		size = 812
		refs = "0021 TCustomSQLDataSet.SetParamsFromServerMethod 002e _Dn_TParams 0033 TParams.Create 0068 TParams.AssignValues 0081 FreeProcParams 0088 _Dn_TList 008d TObject.Create 00a4 TCustomConnection.Open 011c _DV_SPParamDesc 013c @UStrAsg 0154 TCustomSQLDataSet.GetProcParams 015b TList.Add 01a4 DataTypeMap 01de AdjustProcedureDataLength 0208 LoadParamListItems 0247 @VarFromUStr 0255 TParams.GetItem 025b TParam.SetAsVariant 0270 @HandleAnyException 0282 @DoneExcept 02b4 TObject.Free 02c2 @HandleFinally 02d9 @UStrClr 02e1 @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 D2 89 55 D8 89 55 DC 89 55 E0 89 55 E4 89 55 D4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 90 E0 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 E8 01 00 00 00 74 0D 8B 45 FC 05 E8 01 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 E8 01 00 00 8B 45 FC 8B 80 30 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 30 02 00 00 8B 80 9C 00 00 00 8B 10 FF 52 7C 89 45 F4 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 04 8B 45 FC 8B 90 A0 01 00 00 8B 45 F4 8B 08 FF 51 10 8B 45 F4 8B 10 FF 52 60 8B 45 F4 8B 10 FF 52 34 89 45 F0 8B 45 F0 8B 10 FF 52 08 89 45 EC 8B 45 EC 48 85 C0 0F 8C F4 00 00 00 40 89 45 E8 33 FF 8B D7 8B 45 F0 8B 08 FF 51 04 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 66 89 7E 04 8B C3 8B 10 FF 52 40 88 46 0C 8D 46 08 8B 53 04 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 50 83 F8 17 75 18 C6 46 0D 1D 8B 45 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E9 8D 00 00 00 83 F8 22 75 15 C6 46 0D 2E 8B 45 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? EB 73 83 F8 21 75 15 C6 46 0D 0F 8B 45 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? EB 59 83 F8 27 7D 10 85 C0 7C 0C 0F B6 80 ?? ?? ?? ?? 88 46 0D EB 04 C6 46 0D 00 8B C3 8B 10 FF 52 58 66 89 46 0E 8B C3 8B 10 FF 52 5C 66 89 46 10 80 7E 0D 08 75 04 C6 46 0D 25 8B C3 8B 10 FF 52 68 89 46 14 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 47 FF 4D E8 0F 85 12 FF FF FF 8B 45 FC 8B 90 E8 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC 48 85 C0 7C 51 40 89 45 E8 33 FF 8B D7 8B 45 F0 8B 08 FF 51 04 8B D8 8B C3 8B 10 FF 52 74 84 C0 74 2E 8B C3 8B 10 FF 52 7C 8D 55 D4 8B 08 FF 51 28 8B 55 D4 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 D8 50 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 47 FF 4D E8 75 B5 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 05 E8 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 83 78 08 00 7E 11 8B 45 FC 8B 80 E0 01 00 00 8B 55 F8 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 }
	condition:
		$1
}

rule function_14502_0 {
	meta:
		name = "TCustomSQLDataSet.SetParamsFromProcedure"
		size = 284
		refs = "000f _Dn_TParams 0014 TParams.Create 001f TCustomSQLDataSet.SetParamsFromProcedure 0044 TParams.AssignValues 005d FreeProcParams 0064 _Dn_TList 0069 TObject.Create 0084 TCustomSQLDataSet.GetProcParams 00a5 TSQLConnection.GetProcedureParams 00b6 LoadParamListItems 00c5 @HandleAnyException 00d7 @DoneExcept 0109 TObject.Free 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 E0 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 E8 01 00 00 00 74 0D 8B 45 FC 05 E8 01 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 E8 01 00 00 8B 45 FC 8B 80 3C 02 00 00 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC 8B 88 00 02 00 00 8B 45 FC 8B 90 A0 01 00 00 8B 45 FC 8B 80 30 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 E8 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 05 E8 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 83 78 08 00 7E 11 8B 45 FC 8B 80 E0 01 00 00 8B 55 F8 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14503_0 {
	meta:
		name = "TCustomSQLDataSet.SetParamsFromSQL"
		size = 837
		refs = "001e TCustomSQLDataSet.SetParamsFromSQL 0058 @UStrCopy 006e TCustomSQLDataSet.SetParamsFromProcedure 007f TCustomSQLDataSet.SetParamsFromServerMethod 0092 GetIdOption 009d _DV_TSQLParams 00a2 TSQLParams.Create 00ca TSQLParams.Parse 00db TParams.AssignValues 0124 TCustomSQLDataSet.GetDataSetFromSQL 013b TDataSet.GetActive 0172 TParams.GetItem 0179 TParam.SetParamType 019f TFields.GetCount 01ec TFields.GetField 0212 TSQLParams.GetFieldName 021d TDataSet.FieldByName 0259 TParam.SetDataType 029f @HandleAnyException 02a4 @DoneExcept 02ea TCollection.Clear 02ff TObject.Free 0313 @HandleFinally 032a @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D FC 88 4D F3 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EA 00 8B 45 F8 8B 98 A0 01 00 00 85 DB 74 05 83 EB 04 8B 1B 8B 45 F8 05 D4 01 00 00 50 8B 45 F8 8B 80 A0 01 00 00 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 0F B6 80 A4 01 00 00 3C 03 75 0D 8B 45 F8 E8 ?? ?? ?? ?? E9 A2 02 00 00 3C 04 75 0D 8B 45 F8 E8 ?? ?? ?? ?? E9 91 02 00 00 8B 45 F8 8B 80 30 02 00 00 E8 ?? ?? ?? ?? 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 FC 50 8B 45 F8 8D 90 D4 01 00 00 B1 01 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F8 8B 90 E0 01 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F8 83 B8 30 02 00 00 00 74 0F 8B 45 EC 8B 40 08 83 78 08 00 0F 9F C0 EB 02 33 C0 84 C0 0F 84 DC 01 00 00 C6 45 EB 01 83 7D F4 00 75 29 83 7D FC 00 74 47 8B 45 F8 F6 40 1C 10 74 3E 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 2A C6 45 EA 01 EB 24 8B 45 F4 E8 ?? ?? ?? ?? 88 45 EB 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 0D B2 01 8B 45 F4 8B 08 FF 91 B4 01 00 00 8B 45 EC 8B 40 08 8B 58 08 4B 85 DB 7C 18 43 33 F6 8B D6 8B 45 EC E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 46 4B 75 EB 83 7D F4 00 0F 84 1D 01 00 00 8B 45 EC 80 78 20 00 75 04 B0 01 EB 17 8B 45 F4 8B 40 38 E8 ?? ?? ?? ?? 8B 55 EC 8B 52 08 3B 42 08 0F 94 C0 84 C0 0F 84 F1 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 08 8B 58 08 4B 85 DB 0F 8C BD 00 00 00 43 33 F6 8B 45 EC 80 78 20 00 74 11 8B 45 F4 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8B F8 EB 4C 8B 45 EC 8B 40 1C 8B 10 FF 52 14 3B F0 7D 3B 80 7D F3 00 74 1C 8D 4D E4 8B D6 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8B F8 EB 1B 8B D6 8B 45 EC E8 ?? ?? ?? ?? 8B 50 34 8B 45 F4 E8 ?? ?? ?? ?? 8B F8 EB 02 33 FF 85 FF 74 48 80 7F 48 01 74 15 8B D6 8B 45 EC E8 ?? ?? ?? ?? 0F B6 57 48 E8 ?? ?? ?? ?? EB 2D 80 BF F0 00 00 00 00 74 13 8B D6 8B 45 EC E8 ?? ?? ?? ?? B2 17 E8 ?? ?? ?? ?? EB 11 8B D6 8B 45 EC E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 46 4B 0F 85 46 FF FF FF 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 40 08 83 78 08 00 7E 11 8B 45 F8 8B 80 E0 01 00 00 8B 55 EC 8B 08 FF 51 08 83 7D F4 00 74 23 80 7D EB 00 75 1D 33 D2 8B 45 F4 8B 08 FF 91 B4 01 00 00 EB 0E 8B 45 F8 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 80 7D EA 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14504_0 {
	meta:
		name = "TCustomSQLDataSet.RefreshParams"
		size = 114
		refs = "000c TDataSet.DisableControls 0014 TCustomSQLDataSet.RefreshParams 0038 TDataSet.GetActive 004d TDataSet.Refresh 0062 TDataSet.EnableControls 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 B8 01 00 00 8B 40 04 85 C0 74 23 8B 58 38 85 DB 74 1C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 80 BB A5 00 00 00 04 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14505_0 {
	meta:
		name = "TCustomSQLDataSet.SetParamsFromCursor"
		size = 224
		refs = "0014 TCustomSQLDataSet.SetParamsFromCursor 0064 TParams.GetItem 0083 TDataSet.FieldByName 008c TParam.AssignField 00a5 Null 00ae TParam.SetAsVariant 00cd @VarClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 B8 01 00 00 8B 50 04 85 D2 0F 84 8D 00 00 00 8B 83 E0 01 00 00 8B 40 08 8B 40 08 85 C0 7E 7D 8B 52 38 89 55 F8 83 7D F8 00 74 71 8B F8 4F 85 FF 7C 6A 47 C7 45 FC 00 00 00 00 8B 55 FC 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B F0 80 7E 39 00 75 46 8B 45 F8 80 B8 A9 00 00 00 00 75 16 8B 56 34 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 20 8B 55 FC 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 50 8D 45 E8 E8 ?? ?? ?? ?? 8D 55 E8 58 E8 ?? ?? ?? ?? C6 46 39 00 FF 45 FC 4F 75 9E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14506_0 {
	meta:
		name = "TCustomSQLDataSet.ParamByName"
		size = 12
		refs = "0007 TParams.ParamByName"
	strings:
		$1 = { 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14510_0 {
	meta:
		name = "TCustomSQLDataSet.SetParameters"
		size = 12
		refs = "0007 TParams.AssignValues"
	strings:
		$1 = { 8B 80 E0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14507_0 {
	meta:
		name = "TCustomSQLDataSet.GetDataSetOutputParam"
		size = 319
		refs = "001a TCustomSQLDataSet.GetDataSetOutputParam 002e _Dn_TDataSet 0033 TObject.ClassName 003e @VarFromUStr 0048 TParam.SetAsVariant 0065 TParam.SetDataSet 0071 TParam.GetAsDataset 007f _DV_TCustomSQLDataSet 0084 @IsClass 00a2 @AsClass 00fb TCustomSQLDataSet.Create 0104 TDataSet.Open 0124 @UStrClr 012c @VarClr 0132 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 1C 10 74 27 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? E9 C2 00 00 00 8B 47 04 8B 10 FF 52 40 83 F8 04 75 10 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? E9 A5 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 67 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 56 8B 47 04 8B 10 FF 52 40 83 F8 03 75 49 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 D2 8B C3 8B 08 FF 91 B4 01 00 00 33 D2 8B C7 8B 08 FF 91 A8 00 00 00 89 83 34 02 00 00 C6 83 C1 01 00 00 01 C6 83 C2 01 00 00 01 B2 01 8B C3 8B 08 FF 91 B4 01 00 00 EB 31 33 D2 8B C7 8B 08 FF 91 A8 00 00 00 50 6A 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? B1 01 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14508_0 {
	meta:
		name = "TCustomSQLDataSet.GetParamsOutputParam"
		size = 213
		refs = "001a TCustomSQLDataSet.GetParamsOutputParam 002e _Dn_TParams 0033 TObject.ClassName 003e @VarFromUStr 0048 TParam.SetAsVariant 0051 TParam.GetAsParams 005e TParam.GetParamType 0075 TDBXParamsReader.CopyReaderToParams 0099 TDBXParamsReader.ToParams 00a6 TParam.SetParams 00bb @UStrClr 00c3 @VarClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 F6 40 1C 10 74 24 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? EB 5C 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 20 8B C3 E8 ?? ?? ?? ?? 3C 04 0F 95 C2 8B 45 FC 8B 08 FF 91 A8 00 00 00 8B D6 E8 ?? ?? ?? ?? EB 2F 8B C3 E8 ?? ?? ?? ?? 3C 04 0F 95 C2 8B 45 FC 8B 08 FF 91 A8 00 00 00 8B D0 33 C9 33 C0 E8 ?? ?? ?? ?? 8B F0 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14509_0 {
	meta:
		name = "TCustomSQLDataSet.GetOutputParams"
		size = 2588
		refs = "001c TCustomSQLDataSet.GetOutputParams 002f _DV_SPParamDesc 0034 TObject.Create 0080 TList.Get 0099 TParams.GetItem 00b5 @UStrAsg 00bc TParam.GetParamType 00c9 TParam.GetDataType 00fb TParam.GetIsNull 0110 TParam.GetDataSize 01d5 FldTypeMap 0230 Null 023a TParam.SetAsVariant 0250 _Dn_TStream 0255 TObject.ClassName 0260 @VarFromUStr 0298 TParam.SetStream 02ed TArray<System.Byte> 02f2 @DynArraySetLength 0367 @DynArrayLength 0373 TParam.SetBlobData 03d0 TParam.SetAsObject 04b6 _Dn_TJSONConverters 04bb TJSONConverters.GetJSONUnMarshaler 04e7 TJSONUnMarshal.Unmarshal 0505 TObject.Free 050b @HandleFinally 0545 TParam.SetAsAnsiString 0563 TParam.SetAsWord 057e TParam.SetAsByte 0599 TParam.SetAsShortInt 05b7 TParam.SetAsSmallInt 05da @VarFromInt 0608 @VarFromInt64 0638 TimeStampToDateTime 0646 TParam.SetAsTime 0675 TParam.SetAsDate 0694 TParam.SetAsDateTime 06bb TParam.SetAsSQLTimeStamp 06e2 TParam.SetAsSQLTimeStampOffset 070a BCDToCurr 071b TParam.SetAsBCD 0752 TParam.SetAsFMTBCD 0798 TParam.SetAsSingle 07c6 TParam.SetAsFloat 0802 TParam.SetAsBoolean 082a @UStrFromLStr 0837 TParam.SetAsMemo 085b TParam.SetAsWideString 08da TCustomSQLDataSet.GetParamsOutputParam 08ef TCustomSQLDataSet.GetDataSetOutputParam 0900 SBadFieldType 0905 LoadResString 092a DatabaseErrorFmt 0976 @UStrArrayClr 0981 @VarClr 098c @UStrClr 0997 @LStrClr 09b9 Variant 09c3 @FinalizeArray 0a07 @DynArrayClear"
	strings:
		$1 = { 55 8B EC B9 23 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC EB 05 33 C0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 E0 01 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C D2 08 00 00 40 89 45 D0 C7 45 F0 00 00 00 00 83 7D F4 00 74 13 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC E9 8E 00 00 00 8B 45 F8 8B 80 E0 01 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B D8 0F B7 45 F0 40 8B 55 EC 66 89 42 04 8B 45 EC 83 C0 08 8B 53 34 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 88 42 0C 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 88 42 0D 0F B7 43 28 8B 55 EC 66 89 42 0E 0F B7 43 2C 8B 55 EC 66 89 42 10 8B 45 F8 8B 80 E0 01 00 00 8B 55 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 EC 33 D2 89 50 14 EB 0D 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 89 42 14 8B 45 F8 8B 80 E0 01 00 00 8B 55 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 04 FE 2C 03 0F 83 F4 07 00 00 8B 45 EC 80 78 0D 16 0F 84 E7 07 00 00 8B 45 F8 8B 80 E0 01 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 8B 80 2C 02 00 00 8B 10 FF 52 34 8B 55 F0 8B 08 FF 51 04 8B F0 8B C3 E8 ?? ?? ?? ?? 0F B6 D0 8B C6 8B 08 FF 51 04 8B C3 E8 ?? ?? ?? ?? 3C 06 75 0C 8B C6 8B 10 FF 52 50 83 F8 1B 74 46 8B C3 E8 ?? ?? ?? ?? 3C 25 75 0C 8B C6 8B 10 FF 52 50 83 F8 08 74 2F 8B C3 E8 ?? ?? ?? ?? 3C 07 75 0C 8B C6 8B 10 FF 52 50 83 F8 19 74 18 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 0F B6 90 ?? ?? ?? ?? 8B C6 8B 08 FF 51 14 8B 43 3C 99 52 50 8B C6 8B 10 FF 52 1C 8B C3 E8 ?? ?? ?? ?? 2C 0C 74 14 2C 03 74 10 04 FE 2C 05 72 0A 04 F8 2C 02 0F 83 88 01 00 00 8B 45 F8 80 B8 A4 01 00 00 04 0F 85 85 00 00 00 8B C6 8B 10 FF 52 7C 8B 10 FF 52 58 84 C0 74 17 8D 45 C0 E8 ?? ?? ?? ?? 8D 55 C0 8B C3 E8 ?? ?? ?? ?? E9 EB 06 00 00 8B 45 F8 F6 40 1C 10 74 27 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 8D 45 B0 E8 ?? ?? ?? ?? 8D 55 B0 8B C3 E8 ?? ?? ?? ?? E9 BB 06 00 00 8B C6 8B 10 FF 52 7C 8B 10 FF 52 5C 50 8B C6 8B 10 FF 52 7C 33 D2 8B 08 FF 91 B4 00 00 00 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? E9 8D 06 00 00 8B 45 F8 8B 80 E0 01 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B 40 3C 99 52 50 8B C6 8B 10 FF 52 30 8B C3 E8 ?? ?? ?? ?? 3C 0C 74 0B 8B C3 E8 ?? ?? ?? ?? 3C 0D 75 26 8B C6 8B 10 FF 52 68 83 C0 02 83 D2 00 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 1E 8B C6 8B 10 FF 52 68 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 00 6A 00 6A 00 8B C6 8B 10 FF 52 68 52 50 8B C6 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 98 00 00 00 8B C6 8B 10 FF 52 7C 8B 10 FF 52 58 84 C0 74 17 8D 45 9C E8 ?? ?? ?? ?? 8D 55 9C 8B C3 E8 ?? ?? ?? ?? E9 CB 05 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 E9 9A 05 00 00 8B C3 E8 ?? ?? ?? ?? 3C 32 74 11 8B 45 EC 8B 40 14 33 D2 52 50 8B C6 8B 10 FF 52 30 8B C6 8B 10 FF 52 7C 8B 10 FF 52 58 84 C0 74 30 8B C3 E8 ?? ?? ?? ?? 3C 32 75 0E 33 D2 8B C3 E8 ?? ?? ?? ?? E9 55 05 00 00 8D 45 8C E8 ?? ?? ?? ?? 8D 55 8C 8B C3 E8 ?? ?? ?? ?? E9 3E 05 00 00 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 33 0F 87 F2 04 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 02 06 07 03 13 12 0E 0E 0A 09 0B 00 00 07 00 14 00 00 00 00 00 00 02 15 08 00 00 00 18 00 00 10 00 00 00 0C 0F 15 15 00 00 00 05 04 00 00 17 16 0D 01 11 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 8B 10 FF 52 54 83 F8 28 75 5C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 7C B2 01 8B 08 FF 91 C0 00 00 00 8B D0 8B 45 D4 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 8B 10 FF 52 7C 33 D2 8B 08 FF 91 C0 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? E9 FE 03 00 00 8B C6 8B 10 FF 52 7C 8D 55 88 8B 08 FF 51 60 8B 55 88 8B C3 E8 ?? ?? ?? ?? E9 E0 03 00 00 8B C6 8B 10 FF 52 7C 8B 10 FF 92 80 00 00 00 0F B7 D0 8B C3 E8 ?? ?? ?? ?? E9 C2 03 00 00 8B C6 8B 10 FF 52 7C 8B 10 FF 52 78 0F B6 D0 8B C3 E8 ?? ?? ?? ?? E9 A7 03 00 00 8B C6 8B 10 FF 52 7C 8B 10 FF 52 7C 0F BE D0 8B C3 E8 ?? ?? ?? ?? E9 8C 03 00 00 8B C6 8B 10 FF 52 7C 8B 10 FF 92 84 00 00 00 0F BF D0 8B C3 E8 ?? ?? ?? ?? E9 6E 03 00 00 8B C6 8B 10 FF 52 7C 8B 10 FF 92 88 00 00 00 8B D0 8D 85 78 FF FF FF B1 FC E8 ?? ?? ?? ?? 8D 95 78 FF FF FF 8B C3 E8 ?? ?? ?? ?? E9 3E 03 00 00 8B C6 8B 10 FF 52 7C 8B 10 FF 92 8C 00 00 00 52 50 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8D 95 68 FF FF FF 8B C3 E8 ?? ?? ?? ?? E9 10 03 00 00 8B C6 8B 10 FF 52 7C 8B 10 FF 52 6C 89 45 E4 C7 45 E8 5A 95 0A 00 8D 45 E4 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 DF 02 00 00 33 C0 89 45 E4 8B C6 8B 10 FF 52 7C 8B 10 FF 52 64 89 45 E8 8D 45 E4 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 B0 02 00 00 8B C6 8B 10 FF 52 7C 8B 10 FF 52 44 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 91 02 00 00 8B C6 8B 10 FF 52 7C 8D 95 58 FF FF FF 8B 08 FF 91 9C 00 00 00 8D 95 58 FF FF FF 8B C3 E8 ?? ?? ?? ?? E9 6A 02 00 00 8B C6 8B 10 FF 52 7C 8D 95 44 FF FF FF 8B 08 FF 91 A0 00 00 00 8D 95 44 FF FF FF 8B C3 E8 ?? ?? ?? ?? E9 43 02 00 00 8B C6 8B 10 FF 52 7C 8D 95 20 FF FF FF 8B 08 FF 91 A4 00 00 00 8D 85 20 FF FF FF 8D 55 D8 E8 ?? ?? ?? ?? 84 C0 74 12 FF 75 DC FF 75 D8 8B C3 E8 ?? ?? ?? ?? E9 0A 02 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? E9 FA 01 00 00 8B C6 8B 10 FF 52 7C 8D 95 20 FF FF FF 8B 08 FF 91 A4 00 00 00 8D 95 20 FF FF FF 8B C3 E8 ?? ?? ?? ?? E9 D3 01 00 00 8B C6 8B 10 FF 52 7C 8D 95 10 FF FF FF 8B 08 FF 51 4C 8D 95 10 FF FF FF 8B C3 E8 ?? ?? ?? ?? E9 AF 01 00 00 8B C6 8B 10 FF 52 7C 8B 10 FF 92 90 00 00 00 83 C4 FC D9 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 8D 01 00 00 8B C6 8B 10 FF 52 50 83 F8 1B 75 22 8B C6 8B 10 FF 52 7C 8B 10 FF 92 90 00 00 00 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 5F 01 00 00 8B C6 8B 10 FF 52 7C 8B 10 FF 92 94 00 00 00 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 3D 01 00 00 8B C6 8B 10 FF 52 7C 8B 10 FF 52 68 8B D0 8B C3 E8 ?? ?? ?? ?? E9 23 01 00 00 8B C6 8B 10 FF 52 7C 8D 95 08 FF FF FF 8B 08 FF 51 60 8B 95 08 FF FF FF 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 8B 95 0C FF FF FF 8B C3 E8 ?? ?? ?? ?? E9 EE 00 00 00 8B C6 8B 10 FF 52 7C 8D 95 04 FF FF FF 8B 08 FF 51 70 8B 95 04 FF FF FF 8B C3 E8 ?? ?? ?? ?? E9 CA 00 00 00 8B 45 F8 F6 40 1C 10 74 33 8D 95 F0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F0 FE FF FF 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 95 F4 FE FF FF 8B C3 E8 ?? ?? ?? ?? E9 8E 00 00 00 8B C6 8B 10 FF 52 7C 8B 10 FF 52 5C 50 8B C6 8B 10 FF 52 7C 33 D2 8B 08 FF 91 B4 00 00 00 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? EB 63 8B C6 8B 10 FF 52 7C 8B C8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? EB 4E 8B C6 8B 10 FF 52 7C 8B C8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? EB 39 8B 45 F8 50 8D 95 EC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 EC FE FF FF 50 8B 46 04 89 85 E4 FE FF FF C6 85 E8 FE FF FF 11 8D 95 E4 FE FF FF 33 C9 58 E8 ?? ?? ?? ?? FF 45 F0 FF 4D D0 0F 85 39 F7 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 75 08 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 85 04 FF FF FF E8 ?? ?? ?? ?? 8D 85 08 FF FF FF E8 ?? ?? ?? ?? 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 8D 85 10 FF FF FF E8 ?? ?? ?? ?? 8D 85 68 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 54 FF FF FF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14511_0 {
	meta:
		name = "TCustomSQLDataSet.SetPrepared"
		size = 489
		refs = "0018 TCustomSQLDataSet.SetPrepared 002e TCustomSQLDataSet.CheckConnection 005d TCustomSQLDataSet.FreeReader 0079 TCustomSQLDataSet.CheckStatement 0086 TCustomSQLDataSet.FreeCommand 00ce SSQLDataSetOpen 00d3 LoadResString 00de DatabaseError 013b @HandleFinally 015f TCustomSQLDataSet.GetRowsAffected 0191 @HandleAnyException 01b4 @DoneExcept 01d6 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D FB 00 74 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 C0 01 00 00 00 75 0C 8B 45 FC 80 B8 C1 01 00 00 00 74 0F 8B 45 FC 0F B6 55 FB 88 90 E4 01 00 00 EB 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 F4 01 00 00 00 74 22 80 7D FB 00 74 0F B2 01 8B 45 FC E8 ?? ?? ?? ?? E9 43 01 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 36 01 00 00 8B 45 FC 0F B6 80 E4 01 00 00 3A 45 FB 0F 84 23 01 00 00 C6 45 FA 00 80 7D FB 00 0F 84 91 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 2C 02 00 00 00 74 18 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC C7 80 F0 01 00 00 FF FF FF FF 8B 45 FC C6 80 98 01 00 00 01 8B 45 FC 8B 10 FF 92 EC 02 00 00 C6 45 FA 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FA 00 75 1E 8B 45 FC 83 B8 2C 02 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 E4 01 00 00 00 C3 E9 ?? ?? ?? ?? EB D4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 80 B8 98 01 00 00 00 74 11 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 F0 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 30 02 00 00 85 C0 74 05 8B 10 FF 52 60 33 C0 5A 59 59 64 89 10 EB 28 E9 ?? ?? ?? ?? 8B 45 FC 83 B8 2C 02 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 E4 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 55 FB 88 90 E4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14512_0 {
	meta:
		name = "TCustomSQLDataSet.CheckStatement"
		size = 680
		refs = "001b TCustomSQLDataSet.CheckStatement 003a SMissingSQLConnection 003f LoadResString 0049 DatabaseError 007b TSQLConnection.CloneConnection 00a5 TSQLConnection.LoadParamsFromIniFile 00b9 TCustomSQLDataSet.FreeCommand 00cd SDatabaseOpen 0103 SEmptySQLStatement 0158 TStrings.GetValue 0193 Trim 019b StrToInt 01ac @HandleAnyException 01b6 @DoneExcept 01be TSQLConnection.GetMetaData 021b TSQLConnection.GetQuoteChar 022e FixParams 023e @UStrAsg 0270 @UStrArrayClr 0276 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 14 00 00 00 8B 45 FC 83 B8 30 02 00 00 00 75 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 30 02 00 00 8B 90 C0 00 00 00 85 D2 76 30 3B 50 70 77 2B 83 78 70 00 76 25 83 B8 94 00 00 00 00 7F 1C 80 78 78 00 74 16 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 55 F8 89 90 9C 01 00 00 EB 03 89 45 F8 8B 45 F8 80 B8 A8 00 00 00 00 74 0A 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 2C 02 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 83 B8 9C 00 00 00 00 75 18 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? 84 DB 0F 85 71 01 00 00 8B 45 FC 8B 80 A0 01 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 75 18 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 80 9C 00 00 00 8B 10 FF 52 7C 8B D8 8B 45 FC 89 98 2C 02 00 00 8B 45 FC 8B 90 A8 01 00 00 8B C3 8B 08 FF 51 04 8D 4D E8 8B 45 FC 8B 80 30 02 00 00 8B 80 B8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E8 00 74 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E0 8B 45 FC 8B 80 30 02 00 00 8B 80 B8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BE 14 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 21 8B 45 F8 E8 ?? ?? ?? ?? 80 78 14 00 74 13 8B C6 99 52 50 8B 45 FC 8B 80 2C 02 00 00 8B 10 FF 52 14 8B 45 FC C6 80 38 02 00 00 01 8B 45 FC 83 B8 D4 01 00 00 00 75 5D 8B 45 FC 8B 80 E0 01 00 00 8B 40 08 8B 58 08 85 DB 7E 34 8D 45 DC 50 8D 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D D8 8B D3 8B 45 FC 8B 80 A0 01 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 05 D4 01 00 00 E8 ?? ?? ?? ?? EB 16 8B 45 FC 05 D4 01 00 00 8B 55 FC 8B 92 A0 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 6F 00 77 00 73 00 65 00 74 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_14513_0 {
	meta:
		name = "TCustomSQLDataSet.GetQueryFromType"
		size = 688
		refs = "0016 TCustomSQLDataSet.GetQueryFromType 0070 @UStrCatN 007c TCustomSQLDataSet.QuoteIdentifier 011a Trim 0172 @UStrCat3 01cc @UStrAsg 01e5 LowerCase 01f2 Pos 023c @UStrArrayClr 0242 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 83 A4 01 00 00 2C 02 74 15 FE C8 0F 84 48 01 00 00 FE C8 0F 84 88 01 00 00 E9 92 01 00 00 83 BB 28 02 00 00 00 76 70 83 BB 3C 02 00 00 00 74 30 8D 45 FC 50 FF B3 3C 02 00 00 68 ?? ?? ?? ?? FF B3 A0 01 00 00 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 33 C9 8B C3 E8 ?? ?? ?? ?? EB 13 8D 45 FC 50 33 C9 8B 93 A0 01 00 00 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF B3 28 02 00 00 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? E9 6D 01 00 00 83 BB D4 01 00 00 00 75 4E 83 BB 3C 02 00 00 00 74 30 8D 45 FC 50 FF B3 3C 02 00 00 68 ?? ?? ?? ?? FF B3 A0 01 00 00 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 33 C9 8B C3 E8 ?? ?? ?? ?? EB 6C 8D 45 FC 50 33 C9 8B 93 A0 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 57 8D 55 F0 8B 83 3C 02 00 00 E8 ?? ?? ?? ?? 83 7D F0 00 74 30 8D 45 FC 50 FF B3 3C 02 00 00 68 ?? ?? ?? ?? FF B3 D4 01 00 00 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 33 C9 8B C3 E8 ?? ?? ?? ?? EB 13 8D 45 FC 50 33 C9 8B 93 D4 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AB 00 00 00 83 BB 3C 02 00 00 00 74 2D 56 FF B3 3C 02 00 00 68 ?? ?? ?? ?? FF B3 A0 01 00 00 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 B1 01 8B C3 E8 ?? ?? ?? ?? EB 75 56 B1 01 8B 93 A0 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 63 8B C6 8B 93 A0 01 00 00 E8 ?? ?? ?? ?? EB 54 83 BB 28 02 00 00 00 76 3E 8D 55 E4 8B 83 A0 01 00 00 E8 ?? ?? ?? ?? 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 1F FF B3 D4 01 00 00 68 ?? ?? ?? ?? FF B3 28 02 00 00 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0D 8B C6 8B 93 D4 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 20 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 2A 00 20 00 66 00 72 00 6F 00 6D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 6F 00 72 00 64 00 65 00 72 00 20 00 62 00 79 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_14514_0 {
	meta:
		name = "TCustomSQLDataSet.CheckDetail"
		size = 220
		refs = "0016 TCustomSQLDataSet.CheckDetail 0025 @UStrAsg 0031 Pos 003f LowerCase 0060 @WStrFromUStr 0070 AddParamSQLForDetail 007a @UStrFromWStr 0094 @WStrArrayClr 009c @UStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B D3 E8 ?? ?? ?? ?? 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 45 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 2A 6A 00 8D 45 F8 50 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 55 F4 B1 01 8B 86 E0 01 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_14515_0 {
	meta:
		name = "TCustomSQLDataSet.PrepareStatement"
		size = 388
		refs = "0013 TCustomSQLDataSet.PrepareStatement 0034 SEmptySQLStatement 0039 LoadResString 0043 DatabaseError 004e GetIdOption 005d TCustomSQLDataSet.CheckStatement 0088 @UStrClr 0095 Platform_NextSQLToken 00da @UStrLAsg 0165 @UStrArrayClr 0178 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 A0 01 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 75 17 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B D6 E8 ?? ?? ?? ?? 8B 86 30 02 00 00 E8 ?? ?? ?? ?? 8B D8 C6 45 F7 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 8B 08 FF 91 CC 02 00 00 80 BE A4 01 00 00 03 74 7A C7 45 F0 01 00 00 00 0F B6 45 F7 50 53 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 88 45 F7 80 7D F7 05 74 09 80 BE A4 01 00 00 02 75 09 8B 86 30 02 00 00 FF 40 70 8B 86 E0 01 00 00 8B 40 08 83 78 08 00 7E 1B 8D 4D E8 8B 55 FC 8B C6 8B 18 FF 93 C0 02 00 00 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8B 96 A8 01 00 00 8B 86 2C 02 00 00 8B 08 FF 51 04 EB 11 8B 96 A8 01 00 00 8B 86 2C 02 00 00 8B 08 FF 51 04 8B 55 FC 8B 86 2C 02 00 00 8B 08 FF 51 10 8B 86 E0 01 00 00 8B 40 08 83 78 08 00 7E 25 80 BE A4 01 00 00 04 74 1C 8B 86 2C 02 00 00 8B 10 FF 52 34 8B 96 E0 01 00 00 8B 52 08 8B 52 08 8B 08 FF 51 0C 8B 86 2C 02 00 00 8B 10 FF 52 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14516_0 {
	meta:
		name = "TCustomSQLDataSet.CheckPrepareError"
		size = 165
		refs = "0010 TCustomSQLDataSet.CheckPrepareError 0044 TCustomSQLDataSet.GetSortFieldNames 0052 SPrepareError 0057 LoadResString 0061 DatabaseError 006b SObjectNameError 0094 @UStrArrayClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 2C 02 00 00 00 75 5B 80 BB F4 01 00 00 00 75 52 80 BB C1 01 00 00 00 75 49 80 BB A4 01 00 00 01 74 10 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 19 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? EB 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14517_0 {
	meta:
		name = "TCustomSQLDataSet.ExecSQL"
		size = 396
		refs = "001d TCustomSQLDataSet.CheckConnection 0038 TCustomSQLDataSet.ExecSQL 0048 TCustomSQLDataSet.CheckStatement 00a9 TCustomSQLDataSet.SetParamsFromCursor 00b1 TCustomSQLDataSet.GetRowsAffected 00d5 TCustomSQLDataSet.FreeReader 00dd TCustomSQLDataSet.FreeCommand 00e5 TCustomSQLDataSet.CloseStatement 00eb @HandleFinally 0112 TCustomSQLDataSet.SetPrepared 011a TCustomSQLDataSet.CheckPrepareError 0122 TCustomSQLDataSet.ExecuteStatement"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B DA 89 45 FC 8B 45 FC 8B 10 FF 92 C4 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 F0 01 00 00 84 DB 0F 84 BD 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 A8 01 00 00 8B 45 FC 8B 80 2C 02 00 00 8B 08 FF 51 04 8B 45 FC 8B 90 A0 01 00 00 8B 45 FC 8B 80 2C 02 00 00 8B 08 FF 51 10 8B 45 FC 8B 80 2C 02 00 00 8B 10 FF 52 60 8B 45 FC 8B 80 2C 02 00 00 8B 10 FF 52 64 8B D8 8B 45 FC 89 98 34 02 00 00 85 DB 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 B8 34 02 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 8B 45 FC 0F B6 80 E4 01 00 00 88 45 F7 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 34 02 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 B8 34 02 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 80 7D F7 00 75 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14518_0 {
	meta:
		name = "UseParams"
		size = 149
		refs = "000c UseParams 005b @WStrFromUStr 0063 SQLRequiresParams 007a @UStrClr 0082 @WStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 E0 01 00 00 8B 40 08 8B 40 08 85 C0 0F 95 C3 84 DB 74 38 8B 45 08 8B 40 FC 80 B8 A4 01 00 00 02 75 29 8D 55 F8 8B 45 08 8B 40 FC 8B 80 2C 02 00 00 8B 08 FF 51 0C 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14519_0 {
	meta:
		name = "TCustomSQLDataSet.ExecuteStatement"
		size = 542
		refs = "0041 TCustomSQLDataSet.GetProcParams 005b SetQueryProcParams 0063 UseParams 009e TDataSet.GetActive 00dd TObject.Free 0161 TCustomSQLDataSet.GetOutputParams"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 80 B8 F4 01 00 00 00 0F 85 E0 01 00 00 8B 45 FC 8B 98 E0 01 00 00 85 DB 74 69 8B 45 FC 80 B8 C0 01 00 00 00 75 5D 8B 45 FC 80 B8 A4 01 00 00 03 75 24 8B 45 FC E8 ?? ?? ?? ?? 50 8B CB 8B 45 FC 8B 90 2C 02 00 00 8B 45 FC 8B 80 30 02 00 00 E8 ?? ?? ?? ?? EB 2D 55 E8 ?? ?? ?? ?? 59 84 C0 74 22 6A 00 8B 45 FC 8B 88 E0 01 00 00 8B 45 FC 8B 90 2C 02 00 00 8B 45 FC 8B 80 30 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 C1 01 00 00 00 74 22 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 59 01 00 00 33 D2 8B 45 FC 8B 08 FF 91 B4 01 00 00 E9 47 01 00 00 8B 45 FC 80 B8 C0 01 00 00 00 0F 84 C0 00 00 00 8B 45 FC 05 34 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 2C 02 00 00 8B 10 FF 52 6C 8B D8 8B 45 FC 89 98 34 02 00 00 85 DB 74 2E 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 12 33 D2 8B 45 FC 8B 08 FF 91 B4 01 00 00 E9 E7 00 00 00 8B 45 FC 8B 10 FF 92 D4 00 00 00 E9 D7 00 00 00 8B 45 FC 0F B6 80 A4 01 00 00 3C 03 74 04 3C 04 75 2C 8B 45 FC 8B 80 E0 01 00 00 8B 40 08 83 78 08 00 0F 8E AF 00 00 00 8B 45 FC 8B 90 E8 01 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 99 00 00 00 8B 45 FC 8B 80 E0 01 00 00 8B 40 08 83 78 08 00 0F 8E 83 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 77 8B 45 FC 8B 80 2C 02 00 00 8B 10 FF 52 64 8B 55 FC 89 82 34 02 00 00 8B 45 FC 0F B6 80 A4 01 00 00 3C 03 74 04 3C 04 75 25 8B 45 FC 8B 80 E0 01 00 00 8B 40 08 83 78 08 00 7E 3C 8B 45 FC 8B 90 E8 01 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 29 8B 45 FC 8B 80 E0 01 00 00 8B 40 08 83 78 08 00 7E 17 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 0B 8B 45 FC 8B 10 FF 92 E0 02 00 00 8B 45 FC C6 80 38 02 00 00 01 8B 45 FC C7 80 EC 01 00 00 FF FF FF FF 5B 59 5D C3 }
	condition:
		$1
}

rule function_14520_0 {
	meta:
		name = "TCustomSQLDataSet.GetObjectProcParamCount"
		size = 81
		refs = "000a TCustomSQLDataSet.GetProcParams 0033 TList.Get"
	strings:
		$1 = { 53 56 57 55 51 8B E8 8B C5 E8 ?? ?? ?? ?? 33 C0 89 04 24 33 F6 8B 85 E0 01 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 22 43 33 FF 8B C5 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 0F B7 50 04 3B F2 74 03 FF 04 24 8B F2 47 4B 75 E1 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14521_0 {
	meta:
		name = "TCustomSQLDataSet.GetParamCount"
		size = 117
		refs = "003d TParams.GetItem 0042 TParam.GetDataType"
	strings:
		$1 = { 53 56 57 55 8B F0 8B 9E DC 01 00 00 83 FB FF 75 5D 33 DB 8B 86 E0 01 00 00 85 C0 74 51 80 BE A4 01 00 00 03 75 38 8B 40 08 8B 78 08 4F 85 FF 7C 2D 47 33 ED 8B D5 8B 86 E0 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 04 E6 2C 02 73 0E 8B C6 8B 10 FF 92 C4 02 00 00 8B D8 EB 04 45 4F 75 D6 85 DB 75 0C 8B 86 E0 01 00 00 8B 40 08 8B 58 08 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14522_0 {
	meta:
		name = "GetRows"
		size = 253
		refs = "0015 @UStrAddRef 001d GetRows 0033 _DV_TSQLDataSet 0038 TSQLDataSet.Create 008a TFields.GetField 00a7 TObject.Free 00b5 SNOTSUPPORTED 00ba LoadResString 00c4 DatabaseError 00ca @HandleFinally 00e1 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 33 C9 89 4D F0 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 FF FF FF FF 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F4 8B 08 FF 91 D0 02 00 00 8B 55 FC 8B 45 F4 8B 08 FF 91 E4 02 00 00 B2 01 8B 45 F4 8B 08 FF 91 B4 01 00 00 8B 45 F4 80 B8 A9 00 00 00 00 75 15 8B 45 F4 8B 40 38 33 D2 E8 ?? ?? ?? ?? 8B 10 FF 52 70 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 7D F8 FF 75 17 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_14523_0 {
	meta:
		name = "TCustomSQLDataSet.GetRecordCount"
		size = 848
		refs = "0019 TCustomSQLDataSet.GetRecordCount 003a TCustomSQLDataSet.CheckConnection 004b SNoSqlStatement 0050 LoadResString 005a DatabaseError 007a SNOTSUPPORTED 0095 TCustomSQLDataSet.GetInternalConnection 00a8 TCustomSQLDataSet.QuoteIdentifier 00b8 @UStrCat3 00c8 GetIdOption 00d7 @WStrFromUStr 00e3 GetTableNameFromSQLEx 00ee @UStrFromWStr 0131 LowerCase 013e Pos 014f @UStrLAsg 01bc @UStrCatN 020e @UStrCopy 025e GetRows 0282 @UStrArrayClr 028f @WStrArrayClr 02a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 EC 01 00 00 83 F8 FF 74 07 8B D8 E9 37 02 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 83 BB A0 01 00 00 00 75 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 0F B6 83 A4 01 00 00 FE C8 74 58 FE C8 74 25 48 2C 02 0F 83 DE 01 00 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? E9 C2 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 EC 50 33 C9 8B 93 A0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 93 01 00 00 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 50 8D 45 E4 8B 93 A0 01 00 00 E8 ?? ?? ?? ?? 8B 45 E4 8D 4D E8 5A E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 04 B0 01 EB 10 8B 83 E0 01 00 00 8B 40 08 83 78 08 00 0F 9F C0 84 C0 74 17 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 33 D2 E8 ?? ?? ?? ?? 8D 55 DC 8B 83 A0 01 00 00 E8 ?? ?? ?? ?? 8B 55 DC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 33 D2 E8 ?? ?? ?? ?? 8D 55 D4 8B 83 A0 01 00 00 E8 ?? ?? ?? ?? 8B 55 D4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 38 FF 75 F8 8D 55 D0 8B C3 8B 08 FF 91 E8 02 00 00 FF 75 D0 FF 75 FC 8D 55 CC 8B C3 8B 08 FF 91 E8 02 00 00 FF 75 CC 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? E9 8F 00 00 00 8B BB A0 01 00 00 85 FF 74 05 83 EF 04 8B 3F FF 75 F8 8D 55 C8 8B C3 8B 08 FF 91 E8 02 00 00 FF 75 C8 FF 75 FC 8D 55 C4 8B C3 8B 08 FF 91 E8 02 00 00 FF 75 C4 8D 45 C0 50 8B C6 48 8B CF 2B C8 8B D6 8B 83 A0 01 00 00 E8 ?? ?? ?? ?? FF 75 C0 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 55 BC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 BC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7E 14 8D 45 F8 50 8B CE 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 93 30 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 89 B3 EC 01 00 00 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 63 00 6F 00 75 00 6E 00 74 00 28 00 2A 00 29 00 20 00 66 00 72 00 6F 00 6D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 64 00 69 00 73 00 74 00 69 00 6E 00 63 00 74 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 6F 00 72 00 64 00 65 00 72 00 20 00 62 00 79 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_14524_0 {
	meta:
		name = "TCustomSQLDataSet.GetRowsAffected"
		size = 48
	strings:
		$1 = { 53 56 8B D8 8B 83 F0 01 00 00 85 C0 7F 1F 8B B3 2C 02 00 00 85 F6 74 09 8B C6 8B 10 FF 52 1C EB 02 33 C0 8B D0 89 93 F0 01 00 00 8B C2 5E 5B C3 }
	condition:
		$1
}

rule function_14525_0 {
	meta:
		name = "TCustomSQLDataSet.SetDataSource"
		size = 113
		refs = "000f TCustomSQLDataSet.SetDataSource 001e TDataSet.IsLinkedTo 002a SCircularDataLink 002f LoadResString 0039 DatabaseError 004b TDataLink.SetDataSource 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 83 B8 01 00 00 3B 70 04 74 07 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14526_0 {
	meta:
		name = "TCustomSQLDataSet.SetDbxCommandType"
		size = 240
		refs = "0009 TCustomSQLDataSet.SetDbxCommandType 000e @UStrEqual 005b @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 C6 83 A4 01 00 00 03 EB 35 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 C6 83 A4 01 00 00 04 EB 1E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 C6 83 A4 01 00 00 02 EB 07 C6 83 A4 01 00 00 01 8D 83 A8 01 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 62 00 78 00 2E 00 53 00 74 00 6F 00 72 00 65 00 64 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 62 00 78 00 2E 00 54 00 61 00 62 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_14527_0 {
	meta:
		name = "TCustomSQLDataSet.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 B8 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_14529_0 {
	meta:
		name = "TCustomSQLDataSet.GetDetailLinkFields"
		size = 155
		refs = "0064 TParams.GetItem 006f AddFieldToList"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B D8 8B C5 8B 10 FF 52 08 8B 04 24 8B 10 FF 52 08 8B C3 8B 10 FF 92 60 01 00 00 85 C0 74 6C 8B C3 8B 10 FF 92 60 01 00 00 83 78 38 00 74 5C 8B 83 E0 01 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 4B 47 33 F6 8B C3 8B 10 FF 92 60 01 00 00 8B 40 38 50 8B D6 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 40 34 8B CD 5A E8 ?? ?? ?? ?? 84 C0 74 1A 8B D6 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 40 34 8B 0C 24 8B D3 E8 ?? ?? ?? ?? 46 4F 75 B8 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14530_0 {
	meta:
		name = "TCustomSQLDataSet.GetSortFieldNames"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 28 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14531_0 {
	meta:
		name = "TCustomSQLDataSet.SetSortFieldNames"
		size = 79
		refs = "000e @UStrAddRef 0016 TCustomSQLDataSet.SetSortFieldNames 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 28 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14532_0 {
	meta:
		name = "TCustomSQLDataSet.SetMaxBlobSize"
		size = 7
	strings:
		$1 = { 89 90 CC 01 00 00 C3 }
	condition:
		$1
}

rule function_14533_0 {
	meta:
		name = "TCustomSQLDataSet.SetCommandType"
		size = 312
		refs = "0037 TCustomSQLDataSet.SetCommandType 003c @UStrAsg 0079 TCustomSQLDataSet.PropertyChanged"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E A4 01 00 00 74 7D 8B C6 8B 10 FF 92 C4 00 00 00 88 9E A4 01 00 00 FE CB 74 0E FE CB 74 1C FE CB 74 2A FE CB 74 38 EB 46 8D 86 A8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 34 8D 86 A8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 8D 86 A8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8D 86 A8 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 08 8B C6 8B 18 FF 93 E4 00 00 00 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 62 00 78 00 2E 00 53 00 51 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 62 00 78 00 2E 00 54 00 61 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 62 00 78 00 2E 00 53 00 74 00 6F 00 72 00 65 00 64 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 }
	condition:
		$1
}

rule function_14534_0 {
	meta:
		name = "TCustomSQLDataSet.PropertyChanged"
		size = 156
		refs = "000c TCustomSQLDataSet.PropertyChanged 0021 TCustomSQLDataSet.SetPrepared 002c @UStrClr 003d TCustomSQLDataSet.FreeCommand 0047 TCustomSQLDataSet.GetSortFieldNames 0077 TCollection.Clear 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 1C 01 75 5F 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 83 D4 01 00 00 E8 ?? ?? ?? ?? C7 83 EC 01 00 00 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 0B 8D 83 28 02 00 00 E8 ?? ?? ?? ?? 83 BB A0 01 00 00 00 74 0B 8D 83 A0 01 00 00 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14536_0 {
	meta:
		name = "DesignerDataStored"
		size = 65
		refs = "0024 @UStrEqual"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 20 85 DB 74 1D 8B 83 BC 01 00 00 8B 55 08 8B 52 F8 8B 92 BC 01 00 00 E8 ?? ?? ?? ?? 0F 95 C0 5B 5D C3 8B 45 08 8B 40 F8 83 B8 BC 01 00 00 00 0F 95 C0 5B 5D C3 }
	condition:
		$1
}

rule function_14537_0 {
	meta:
		name = "TCustomSQLDataSet.DefineProperties"
		size = 112
		refs = "0014 TComponent.DefineProperties 001d TCustomSQLDataSet.ReadDesignerData 0026 TCustomSQLDataSet.WriteDesignerData 002c DesignerDataStored 0034 TCustomSQLDataSet.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 65 00 73 00 69 00 67 00 6E 00 65 00 72 00 44 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_14997_0 {
	meta:
		name = "TCustomADODataSet.DefineProperties"
		size = 112
		refs = "0014 TComponent.DefineProperties 001d TCustomADODataSet.ReadDesignerData 0026 TCustomADODataSet.WriteDesignerData 002c DesignerDataStored 0034 TCustomADODataSet.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 65 00 73 00 69 00 67 00 6E 00 65 00 72 00 44 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_14538_0 {
	meta:
		name = "TCustomSQLDataSet.ReadDesignerData"
		size = 83
		refs = "000f TCustomSQLDataSet.ReadDesignerData 001f TReader.ReadString 002d @UStrAsg 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 BC 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14539_0 {
	meta:
		name = "TCustomSQLDataSet.WriteDesignerData"
		size = 13
		refs = "0008 TWriter.WriteString"
	strings:
		$1 = { 8B 80 BC 01 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14541_0 {
	meta:
		name = "TCustomSQLDataSet.UpdateIndexDefs"
		size = 10
		refs = "0005 TCustomSQLDataSet.AddIndexDefs"
	strings:
		$1 = { 33 C9 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14542_0 {
	meta:
		name = "TCustomSQLDataSet.CheckFieldNames"
		size = 143
		refs = "0014 TCustomSQLDataSet.CheckFieldNames 0026 @UStrLAsg 003d ExtractFieldName 0047 TDataSet.FindField 0058 @UStrLen 0072 @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8D 45 FC 8B D7 E8 ?? ?? ?? ?? C7 45 F8 01 00 00 00 EB 1D 8D 4D F4 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 74 0D 8B 45 FC E8 ?? ?? ?? ?? 3B 45 F8 7D D2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14543_0 {
	meta:
		name = "DontUseIndex"
		size = 150
		refs = "000a DontUseIndex 0054 @WStrFromUStr 005c IsMultiTableQuery 0084 @WStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 0F B6 80 A4 01 00 00 2C 01 74 0A 04 FE 2C 02 72 04 33 DB EB 02 B3 01 84 DB 74 2D 8B 45 08 8B 40 FC 80 B8 A4 01 00 00 01 75 1E 8D 45 FC 8B 55 08 8B 52 FC 8B 92 A0 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 74 0D 8B 45 08 8B 40 FC C6 80 C8 01 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_14544_0 {
	meta:
		name = "TCustomSQLDataSet.AddIndexDefs"
		size = 2076
		refs = "0023 @UStrAddRef 002b TCustomSQLDataSet.AddIndexDefs 006d DontUseIndex 0093 @UStrLAsg 00a3 GetIdOption 00b5 @WStrFromUStr 00c1 GetTableNameFromSQLEx 00cc @UStrFromWStr 00e5 TSQLConnection.OpenSchemaTable 011a @UStrEqual 013e TCollection.Clear 0171 GetIndexFieldName 017c TDataSet.FieldByName 01bc _DV_TDBXIndexColumns 01c1 TDBXIndexColumns.Create 01f1 @UStrAsg 0208 TDBXIndexColumns.Open 021e TDBXIndexColumns.HasAllFieldNames 0246 @VarToBool 02aa TIndexDefs.Add 02c6 TObject.Free 02cc @HandleFinally 0332 TDefCollection.Find 0342 TIndexDef.GetFields 0372 @UStrCatN 037c TIndexDef.SetFields 03b3 TDataSet.Next 0407 @VarToUStr 042f TDefCollection.IndexOf 044a GetColumnFieldName 047f TCustomSQLDataSet.CheckFieldNames 04ad @VarToInteger 0547 TIndexDefs.Find 0566 @UStrCat 0577 @VarFromUStr 05ba @VarAdd 061b TSQLConnection.FreeSchemaTable 0645 @UStrClr 0650 @VarClr 067d Variant 0687 @FinalizeArray 06bd @UStrArrayClr 06ea @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 1C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 89 55 E4 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 D8 01 00 00 00 75 0A 8B 45 FC C6 80 C8 01 00 00 01 8B 45 FC 80 B8 C8 01 00 00 00 0F 85 D6 05 00 00 8B 45 FC 80 B8 F4 01 00 00 00 0F 85 C6 05 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 0F 85 B7 05 00 00 8B 45 FC 80 B8 A4 01 00 00 02 75 13 8D 45 F4 8B 55 FC 8B 92 A0 01 00 00 E8 ?? ?? ?? ?? EB 37 8B 45 FC 8B 80 30 02 00 00 E8 ?? ?? ?? ?? 50 8D 45 CC 8B 55 FC 8B 92 A0 01 00 00 E8 ?? ?? ?? ?? 8B 45 CC 8D 4D D0 5A E8 ?? ?? ?? ?? 8B 55 D0 8D 45 F4 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 45 FC 8B 80 30 02 00 00 8B 4D F4 B2 06 E8 ?? ?? ?? ?? 89 45 E0 8B 45 FC 8B 80 30 02 00 00 8B 80 9C 00 00 00 8B 10 FF 52 0C 89 45 DC 33 C0 89 45 D8 83 7D DC 00 74 16 8B 45 DC 8B 40 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 01 EB 02 33 DB 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 84 DB 0F 84 8C 04 00 00 E9 5A 02 00 00 0F B6 1D ?? ?? ?? ?? 8D 55 C8 8B 45 FC 8B 80 30 02 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 91 80 00 00 00 83 7D F8 00 74 11 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 0F 85 0D 02 00 00 83 7D F0 00 0F 84 03 02 00 00 8B 45 DC 80 78 29 00 0F 85 19 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 C4 8B 45 E0 8B 80 2C 02 00 00 8B 08 FF 51 0C 8B 55 C4 8B 45 D8 83 C0 04 E8 ?? ?? ?? ?? 8B 45 E0 8B 80 30 02 00 00 8B 55 D8 89 42 08 8B 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 45 D7 50 8B 4D E4 8B 55 F0 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 0F 84 84 00 00 00 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 B4 8B 08 FF 91 90 00 00 00 8D 45 B4 E8 ?? ?? ?? ?? 84 C0 74 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 A4 8B 08 FF 91 90 00 00 00 8D 45 A4 E8 ?? ?? ?? ?? 84 C0 74 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 80 7D D7 00 75 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 53 8B 45 FC 8B 80 C4 01 00 00 8B 4D E8 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 7D D8 33 C0 89 45 D8 8B C7 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 10 FF 52 54 84 C0 75 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 A0 8B 08 FF 91 80 00 00 00 8B 45 A0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 8B 45 FC 8B 80 C4 01 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B F0 85 F6 74 46 8D 55 98 8B C6 E8 ?? ?? ?? ?? FF 75 98 68 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 94 8B 08 FF 91 80 00 00 00 FF 75 94 8D 45 9C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 9C 8B C6 E8 ?? ?? ?? ?? EB 2D 53 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 90 8B 08 FF 91 80 00 00 00 8B 4D 90 8B 45 FC 8B 80 C4 01 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 80 B8 A9 00 00 00 00 0F 84 96 FD FF FF E9 28 02 00 00 0F B6 1D ?? ?? ?? ?? 8D 95 7C FF FF FF 8B 45 FC 8B 80 30 02 00 00 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 80 8B 08 FF 91 90 00 00 00 8D 55 80 8D 45 F0 E8 ?? ?? ?? ?? 83 7D F8 00 74 11 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 0F 85 BA 01 00 00 8B 45 FC 8B 80 C4 01 00 00 8B 55 F0 E8 ?? ?? ?? ?? 40 0F 85 00 01 00 00 8D 95 68 FF FF FF 8B 45 FC 8B 80 30 02 00 00 E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? 8D 95 6C FF FF FF 8B 08 FF 91 90 00 00 00 8D 95 6C FF FF FF 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 0F 84 51 01 00 00 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8D 95 58 FF FF FF 8B 08 FF 91 90 00 00 00 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 8B F8 B8 04 00 00 00 23 C7 83 F8 04 75 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 83 E7 02 83 FF 02 75 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8D 95 48 FF FF FF 8B 08 FF 91 90 00 00 00 8D 95 48 FF FF FF 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 53 8B 45 FC 8B 80 C4 01 00 00 8B 4D E8 8B 55 F0 E8 ?? ?? ?? ?? E9 A2 00 00 00 8B 45 FC 8B 80 C4 01 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B F0 8D 95 30 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8D 85 30 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 30 FF FF FF 8D 85 34 FF FF FF E8 ?? ?? ?? ?? 8D 85 34 FF FF FF 50 8D 95 1C FF FF FF 8B 45 FC 8B 80 30 02 00 00 E8 ?? ?? ?? ?? 8B 95 1C FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? 8D 95 20 FF FF FF 8B 08 FF 91 90 00 00 00 8D 95 20 FF FF FF 58 E8 ?? ?? ?? ?? 8D 95 34 FF FF FF 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 8B 95 44 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 80 B8 A9 00 00 00 00 0F 84 D8 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 33 D2 89 55 D8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 30 02 00 00 8B 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 8B 45 FC C6 80 C8 01 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 1C FF FF FF E8 ?? ?? ?? ?? 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 8D 85 34 FF FF FF E8 ?? ?? ?? ?? 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 8D 85 48 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 90 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 38 FF FF FF 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 73 00 50 00 72 00 69 00 6D 00 61 00 72 00 79 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 73 00 55 00 6E 00 69 00 71 00 75 00 65 00 00 00 00 00 02 00 00 00 04 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 73 00 63 00 44 00 65 00 73 00 63 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 44 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 4E 00 44 00 45 00 58 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 4F 00 52 00 54 00 5F 00 4F 00 52 00 44 00 45 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_14545_0 {
	meta:
		name = "TCustomSQLDataSet.AddMetadataQuotes"
		size = 224
		refs = "0019 @UStrAddRef 0021 TCustomSQLDataSet.AddMetadataQuotes 003b @UStrLAsg 0071 @UStrCat3 007f StringReplace 0091 @UStrCatN 009d @UStrAsg 00b7 @UStrArrayClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 89 55 FC 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 93 30 02 00 00 8B 92 C4 00 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 75 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 3F FF 75 F8 0F B6 05 ?? ?? ?? ?? 50 8D 45 F4 50 8D 45 F0 8B 4D F8 8B 55 F8 E8 ?? ?? ?? ?? 8B 4D F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? FF 75 F4 FF 75 F8 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_14546_0 {
	meta:
		name = "TCustomSQLDataSet.GetKeyFieldNames"
		size = 213
		refs = "0017 TCustomSQLDataSet.GetKeyFieldNames 0031 TCustomSQLDataSet.AddIndexDefs 0048 TStrings.BeginUpdate 0076 TIndexDefs.GetIndexDef 007e TIndexDef.GetFields 00a2 TStrings.EndUpdate 00a8 @HandleFinally 00bf @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE C8 01 00 00 00 75 0B 33 C9 8B D6 8B C6 E8 ?? ?? ?? ?? 8B 86 C4 01 00 00 8B 40 08 8B 40 08 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 8B 5D F8 4B 85 DB 7C 27 43 33 FF 8B 86 C4 01 00 00 8B D7 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 38 47 4B 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14547_0 {
	meta:
		name = "TCustomSQLDataSet.GetKeyFieldNames"
		size = 102
		refs = "000f _Dn_TStringList 0014 TStringList.Create 001f TCustomSQLDataSet.GetKeyFieldNames 0051 TObject.Free 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 89 45 FC 8B 55 F8 8B C6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14548_0 {
	meta:
		name = "TCustomSQLDataSet.SetSchemaInfo"
		size = 155
		refs = "0011 @UStrAddRef 0029 TCustomSQLDataSet.SetSchemaInfo 0036 TCustomSQLDataSet.FreeCommand 004a @UStrAsg 007b @UStrClr 0088 @UStrArrayClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 88 9E F4 01 00 00 8D 86 F8 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8D 86 FC 01 00 00 8B 55 0C E8 ?? ?? ?? ?? 8D 86 00 02 00 00 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_14549_0 {
	meta:
		name = "ExtractObjectName"
		size = 312
		refs = "0016 @UStrAddRef 001e ExtractObjectName 002e @UStrAsg 0056 @UStrEqual 006c @UStrCat3 0077 Pos 00ba @UStrCopy 0103 @UStrArrayClr 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 08 8B 40 FC 8B 08 FF 91 E8 02 00 00 83 7D F8 00 0F 84 A0 00 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 8D 00 00 00 8D 45 F4 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B D8 85 DB 75 1D 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 4B 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 56 8B CF 2B CB 8D 53 02 8B 45 FC E8 ?? ?? ?? ?? 8B 16 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 21 8B 06 89 45 EC 8B 5D EC 85 DB 74 05 83 EB 04 8B 1B 56 8B CB 49 8B 06 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_14550_0 {
	meta:
		name = "MakeDbxMetadataCommand"
		size = 204
		refs = "0028 @UStrAddRef 0035 string 003a @AddRefArray 0042 MakeDbxMetadataCommand 0052 @UStrAsg 0072 @UStrCatN 008d @UStrClr 009f @FinalizeArray 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 4D F4 89 55 FC 89 45 F8 8B 7D 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F4 41 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 55 F8 E8 ?? ?? ?? ?? 8B 75 F4 85 F6 7C 1F 46 8B 5D FC FF 37 68 ?? ?? ?? ?? FF 33 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C3 04 4E 75 E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 4D F4 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 7D E8 8B 75 EC 8B 5D F0 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_14551_0 {
	meta:
		name = "AppendToIdentifier"
		size = 168
		refs = "000e @UStrAddRef 0016 AppendToIdentifier 0033 @UStrCat 0044 @UStrAsg 005c @UStrCatN 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 13 83 3B 00 74 35 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 27 83 3B 00 75 0C 8B C3 8B 55 FC E8 ?? ?? ?? ?? EB 16 FF 33 68 ?? ?? ?? ?? FF 75 FC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 25 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_14552_0 {
	meta:
		name = "TCustomSQLDataSet.OpenSchema"
		size = 2220
		refs = "001a TCustomSQLDataSet.OpenSchema 0034 SConnectionNameMissing 0039 LoadResString 0043 DatabaseError 0054 @UStrLAsg 005c TCustomSQLDataSet.GetInternalConnection 007c @UStrEqual 00bc @UStrClr 0110 TCustomSQLDataSet.SetSchemaOption 0121 TCustomSQLDataSet.AddMetadataQuotes 012c AppendToIdentifier 017b GetTableScope 019d MakeDbxMetadataCommand 063a @HandleFinally 0659 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 11 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 30 02 00 00 00 75 17 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 33 D2 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 92 FC 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 87 9C 00 00 00 8B 10 FF 52 0C 8B F0 85 F6 74 13 8B 46 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 01 EB 02 33 DB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 9C 00 00 00 8B 10 FF 52 7C 8B F0 8B 45 FC 89 B0 2C 02 00 00 8B C6 BA ?? ?? ?? ?? 8B 08 FF 51 04 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 80 F4 01 00 00 83 F8 08 0F 87 28 05 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 4D EC 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8D 45 DC 50 33 C9 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 D8 50 33 C9 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 D4 50 33 C9 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 0F B6 80 E0 00 00 00 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 E8 89 45 CC 8B 45 F8 89 45 D0 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5D 04 00 00 8D 4D EC 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8D 45 C8 50 33 C9 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C8 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 C4 50 33 C9 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C4 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 C0 50 33 C9 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C0 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 E8 89 45 CC B8 ?? ?? ?? ?? 89 45 D0 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D2 03 00 00 8D 4D EC 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8D 45 BC 50 33 C9 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 BC 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 B8 50 33 C9 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 B8 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 B4 50 8B 45 FC 8B 90 F8 01 00 00 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 55 B4 8D 45 E8 E8 ?? ?? ?? ?? 84 DB 75 1C 8D 45 B0 50 33 C9 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 B0 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 E8 89 45 AC 8D 55 AC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2C 03 00 00 8D 4D EC 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8D 45 A8 50 33 C9 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 A8 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 A4 50 33 C9 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 A4 8D 45 E8 E8 ?? ?? ?? ?? 84 DB 74 2E 8B 45 FC 83 B8 00 02 00 00 00 74 22 8D 45 A0 50 8B 45 FC 8B 90 00 02 00 00 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 55 A0 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 9C 50 B1 01 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 9C 8D 45 E8 E8 ?? ?? ?? ?? 84 DB 74 2A 8B 45 FC 83 B8 00 02 00 00 00 74 1E 8D 45 E4 50 8B 45 E8 89 45 AC 8D 55 AC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6A 02 00 00 8D 45 E4 50 8B 45 E8 89 45 CC 8B 45 FC 8B 80 00 02 00 00 89 45 D0 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3D 02 00 00 8D 45 98 50 8D 55 98 83 C9 FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 98 8D 45 E4 E8 ?? ?? ?? ?? E9 19 02 00 00 84 DB 74 20 8D 45 E4 50 B8 ?? ?? ?? ?? 89 45 AC 8D 55 AC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F5 01 00 00 8D 45 94 50 8D 55 98 83 C9 FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 8D 45 E4 E8 ?? ?? ?? ?? E9 D1 01 00 00 8D 4D EC 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8D 45 90 50 33 C9 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 90 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 8C 50 33 C9 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 8C 8D 45 E8 E8 ?? ?? ?? ?? 84 DB 74 2E 8B 45 FC 83 B8 00 02 00 00 00 74 22 8D 45 88 50 8B 45 FC 8B 90 00 02 00 00 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 55 88 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 84 50 8B 45 FC 8B 90 F8 01 00 00 B1 01 8B 45 FC E8 ?? ?? ?? ?? 8B 55 84 8D 45 E8 E8 ?? ?? ?? ?? 84 DB 74 48 8B 45 FC 83 B8 00 02 00 00 00 74 1E 8D 45 E4 50 8B 45 E8 89 45 AC 8D 55 AC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 09 01 00 00 8D 45 E4 50 8B 45 E8 89 45 AC 8D 55 AC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EB 00 00 00 8D 45 80 50 33 C9 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 80 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 E8 89 45 CC 8B 45 FC 8B 80 00 02 00 00 89 45 D0 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A2 00 00 00 8D 4D EC 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8D 85 7C FF FF FF 50 33 C9 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8D 45 E8 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 50 33 C9 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8D 45 E8 E8 ?? ?? ?? ?? 8D 85 74 FF FF FF 50 8B 45 FC 8B 90 F8 01 00 00 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 E8 89 45 CC 8B 45 FC 8B 80 00 02 00 00 89 45 D0 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 2C 02 00 00 8B 55 E4 8B 08 FF 51 10 8B 45 FC 8B 80 2C 02 00 00 8B 10 FF 52 64 8B 55 FC 89 82 34 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 74 FF FF FF BA 0E 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 62 00 78 00 2E 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 54 00 61 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 47 00 65 00 74 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 53 00 63 00 68 00 65 00 6D 00 61 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 55 00 73 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 47 00 65 00 74 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 49 00 6E 00 64 00 65 00 78 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_14553_0 {
	meta:
		name = "TCustomSQLDataSet.PSEndTransaction"
		size = 12
		refs = "0007 TSQLConnection.EndAndFreeTransaction"
	strings:
		$1 = { 8B 80 30 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14572_0 {
	meta:
		name = "TCustomSQLDataSet.PSStartTransaction"
		size = 12
		refs = "0007 TSQLConnection.BeginTransaction"
	strings:
		$1 = { 8B 80 30 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14554_0 {
	meta:
		name = "TCustomSQLDataSet.PSExecute"
		size = 11
		altNames = "TSQLStoredProc.ExecProc TSqlServerMethod.ExecuteMethod"
	strings:
		$1 = { 33 D2 8B 08 FF 91 DC 02 00 00 C3 }
	condition:
		$1
}

rule function_14555_0 {
	meta:
		name = "TCustomSQLDataSet.PSExecuteStatement"
		size = 148
		refs = "001a TCustomSQLDataSet.PSExecuteStatement 002f @UStrFromWStr 0040 TSQLConnection.Execute 007d @UStrArrayClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 20 56 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 8B D8 EB 1F 6A 00 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D FC 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14556_0 {
	meta:
		name = "TCustomSQLDataSet.PSGetAttributes"
		size = 136
		refs = "000c TDataSet.PSGetAttributes 0012 TPacketAttribute 001c @New 0027 TList.Add 0032 TCustomSQLDataSet.PSGetAttributes 0037 @UStrAsg 0048 TSQLConnection.GetLocaleCode 0054 @OleVarFromInt"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 20 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C3 8B D8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B BE 30 02 00 00 85 FF 74 15 8B C7 E8 ?? ?? ?? ?? 8B D0 8D 43 08 B1 FC E8 ?? ?? ?? ?? EB 0C 8D 43 08 33 D2 B1 FC E8 ?? ?? ?? ?? C6 43 18 00 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 43 00 49 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_14557_0 {
	meta:
		name = "TCustomSQLDataSet.PSGetIndexDefs"
		size = 74
		refs = "0032 TCustomSQLDataSet.AddIndexDefs 0043 TDataSet.GetIndexDefs"
	strings:
		$1 = { 53 51 88 14 24 8B D8 80 BB C8 01 00 00 00 75 26 80 BB A4 01 00 00 03 74 1D 80 BB A4 01 00 00 04 74 14 80 BB F4 01 00 00 00 75 0B 33 C9 8B D3 8B C3 E8 ?? ?? ?? ?? 0F B6 0C 24 8B 93 C4 01 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_14558_0 {
	meta:
		name = "FieldsInQuery"
		size = 320
		refs = "0018 @UStrAddRef 0020 FieldsInQuery 0031 _Dn_TStringList 0036 TStringList.Create 0052 TStrings.SetCommaText 0080 TFields.GetFieldNames 008b TStrings.GetCommaText 00b5 Pos 00c2 @TryFinallyExit 00e2 TObject.Free 00e8 @HandleFinally 011c @UStrClr 0129 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 E8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 38 8B 55 EC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 14 8B D8 4B 85 DB 7C 33 43 33 F6 8D 4D E8 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 75 10 C6 45 F7 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3E 46 4B 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14559_0 {
	meta:
		name = "TCustomSQLDataSet.PSGetDefaultOrder"
		size = 343
		refs = "0013 TCustomSQLDataSet.PSGetDefaultOrder 0021 TDataSet.PSGetDefaultOrder 0040 @WStrFromUStr 004b GetIndexForOrderBy 009e TCustomSQLDataSet.AddIndexDefs 00c5 TIndexDefs.GetIndexDef 00e4 TIndexDef.GetFields 00ec FieldsInQuery 00fa _Dn_TIndexDef 00ff TCollectionItem.Create 013a @UStrArrayClr 0142 @WStrClr 0148 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 75 26 8D 55 F4 8B 45 FC 8B 08 FF 91 CC 02 00 00 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B F0 85 F6 0F 85 CB 00 00 00 8B 45 FC 80 B8 A4 01 00 00 03 0F 84 BB 00 00 00 8B 45 FC 80 B8 A4 01 00 00 04 0F 84 AB 00 00 00 8B 45 FC 80 B8 F4 01 00 00 00 0F 85 9B 00 00 00 8B 45 FC 80 B8 C8 01 00 00 00 75 0D 33 C9 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 01 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 6E 47 33 DB 8B 45 FC 8B 80 C4 01 00 00 8B D3 E8 ?? ?? ?? ?? F6 40 24 01 74 51 55 8B 45 FC 8B 80 C4 01 00 00 8B D3 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 59 84 C0 74 2B 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 C4 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 08 EB 04 43 4F 75 95 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14560_0 {
	meta:
		name = "TCustomSQLDataSet.PSGetKeyFieldsW"
		size = 388
		refs = "001c TCustomSQLDataSet.PSGetKeyFieldsW 004f TWideDataSet.PSGetKeyFieldsW 005a @WStrEqual 0081 TCustomSQLDataSet.AddIndexDefs 00af TIndexDefs.GetIndexDef 00df TIndexDef.GetFields 00e9 @WStrFromUStr 00f3 TFields.GetCount 010f @UStrFromWStr 011d ExtractFieldName 0127 TDataSet.FindField 0137 @WStrLen 0157 @WStrClr 0171 @UStrArrayClr 0177 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D EC 89 4D E8 89 4D F0 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 86 A4 01 00 00 3C 03 0F 84 26 01 00 00 3C 04 0F 84 1E 01 00 00 80 BE F4 01 00 00 00 0F 85 11 01 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? 33 DB 8B 07 33 D2 E8 ?? ?? ?? ?? 0F 85 F7 00 00 00 80 BE F4 01 00 00 00 0F 85 EA 00 00 00 80 BE C8 01 00 00 00 75 0B 33 C9 8B D6 8B C6 E8 ?? ?? ?? ?? 8B 86 C4 01 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C B6 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 8B 55 F8 8B 86 C4 01 00 00 E8 ?? ?? ?? ?? F6 40 24 02 75 14 8B 55 F8 8B 86 C4 01 00 00 E8 ?? ?? ?? ?? F6 40 24 01 74 77 8B 55 F8 8B 86 C4 01 00 00 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 40 38 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 75 40 C7 45 FC 01 00 00 00 EB 2B 8D 45 E8 8B 17 E8 ?? ?? ?? ?? 8B 45 E8 8D 4D EC 8D 55 FC E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 74 0C 8B 07 E8 ?? ?? ?? ?? 3B 45 FC 7D C9 84 DB 75 0C FF 45 F8 FF 4D F4 0F 85 55 FF FF FF 84 DB 75 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14561_0 {
	meta:
		name = "TCustomSQLDataSet.PSGetParams"
		size = 7
	strings:
		$1 = { 8B 80 E0 01 00 00 C3 }
	condition:
		$1
}

rule function_14563_0 {
	meta:
		name = "TCustomSQLDataSet.PSGetQuoteCharW"
		size = 50
		refs = "000a @WStrClr 002a @WStrFromUStr"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C7 E8 ?? ?? ?? ?? 8B B3 30 02 00 00 85 F6 74 16 83 BE C4 00 00 00 00 74 0D 8B C7 8B 96 C4 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14564_0 {
	meta:
		name = "TCustomSQLDataSet.PSReset"
		size = 39
		refs = "0006 TDataSet.PSReset 000d TDataSet.GetActive 0021 TDataSet.First"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 80 BB A8 00 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14565_0 {
	meta:
		name = "TCustomSQLDataSet.PSGetTableNameW"
		size = 120
		refs = "000f TCustomSQLDataSet.PSGetTableNameW 002b @WStrFromUStr 0038 GetIdOption 0052 GetTableNameFromSQLEx 0067 @WStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB A4 01 00 00 02 75 0F 8B C6 8B 93 A0 01 00 00 E8 ?? ?? ?? ?? EB 25 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 50 8D 45 FC 8B 93 A0 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B CE 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14566_0 {
	meta:
		name = "TCustomSQLDataSet.PSGetUpdateException"
		size = 106
		refs = "000f TCustomSQLDataSet.PSGetUpdateException 0021 SErrorMappingError 0026 LoadResString 0030 _Dn_EDatabaseError 0035 Exception.Create 0040 TDataSet.PSGetUpdateException 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 D2 75 1E 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14567_0 {
	meta:
		name = "TCustomSQLDataSet.PSInTransaction"
		size = 35
		refs = "0011 TSQLConnection.GetInTransaction"
	strings:
		$1 = { 53 56 8B D8 8B B3 30 02 00 00 85 F6 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_14568_0 {
	meta:
		name = "TCustomSQLDataSet.PSIsSQLBased"
		size = 200
		refs = "000d TCustomSQLDataSet.PSIsSQLBased 0057 CompareText 0076 @UStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 86 30 02 00 00 85 C0 74 42 83 B8 9C 00 00 00 00 74 37 8D 4D FC 8B 86 30 02 00 00 8B 80 9C 00 00 00 BA ?? ?? ?? ?? 8B 30 FF 96 80 00 00 00 83 7D FC 00 74 17 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 06 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 73 00 53 00 51 00 4C 00 42 00 61 00 73 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_14570_0 {
	meta:
		name = "TCustomSQLDataSet.PSSetParams"
		size = 96
		refs = "002e TCustomSQLDataSet.PSSetParams 0033 Pos 0040 TCustomSQLDataSet.SetPrepared 0047 TDataSet.Close"
	strings:
		$1 = { 56 57 8B F0 8B 42 08 83 78 08 00 74 37 8B BE E0 01 00 00 3B D7 74 2D 8B C7 8B 08 FF 51 08 80 BE E4 01 00 00 00 74 1D 8B 96 D4 01 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_14571_0 {
	meta:
		name = "TCustomSQLDataSet.PSSetCommandText"
		size = 93
		refs = "000f TCustomSQLDataSet.PSSetCommandText 001e @WStrEqual 002a @UStrFromWStr 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 33 D2 E8 ?? ?? ?? ?? 74 17 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 E4 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14574_0 {
	meta:
		name = "TCustomSQLDataSet.QuoteIdentifier"
		size = 468
		refs = "001a @UStrAddRef 0022 TCustomSQLDataSet.QuoteIdentifier 0042 TSQLConnection.GetMetaData 0055 @UStrEqual 0062 @UStrLAsg 00d6 @UStrAsg 00f0 TCustomSQLDataSet.ParseIdentifier 0132 @UStrCatN 019a @UStrArrayClr 01a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 30 02 00 00 85 F6 74 67 83 BE 9C 00 00 00 00 74 5E 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 74 27 8B 46 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 18 8D 45 F8 8B 56 18 E8 ?? ?? ?? ?? 8D 45 F4 8B 56 1C E8 ?? ?? ?? ?? EB 4C 8D 45 F8 8B 93 30 02 00 00 8B 92 C4 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 93 30 02 00 00 8B 92 C4 00 00 00 E8 ?? ?? ?? ?? EB 22 8D 45 F8 8B 96 C4 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 93 30 02 00 00 8B 92 C4 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 75 10 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? E9 A5 00 00 00 8D 45 EC 50 8D 45 E8 50 8D 4D F0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 34 FF 75 F8 FF 75 F0 FF 75 F4 68 ?? ?? ?? ?? FF 75 F8 FF 75 EC FF 75 F4 68 ?? ?? ?? ?? FF 75 F8 FF 75 E8 FF 75 F4 8B 45 08 BA 0B 00 00 00 E8 ?? ?? ?? ?? EB 4C 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 26 FF 75 F8 FF 75 EC FF 75 F4 68 ?? ?? ?? ?? FF 75 F8 FF 75 E8 FF 75 F4 8B 45 08 BA 07 00 00 00 E8 ?? ?? ?? ?? EB 16 FF 75 F8 FF 75 E8 FF 75 F4 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_14575_0 {
	meta:
		name = "TCustomSQLDataSet.PSGetCommandText"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 A0 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14576_0 {
	meta:
		name = "TCustomSQLDataSet.PSGetCommandType"
		size = 8
	strings:
		$1 = { 0F B6 80 A4 01 00 00 C3 }
	condition:
		$1
}

rule function_14577_0 {
	meta:
		name = "SameValue"
		size = 326
		refs = "002e @VarAddRef 003e SameValue 0053 VarCompareValue 006e @VarToUStr 0098 @UStrCopy 00a3 @VarFromUStr 00b0 @VarCopy 00cc LowerCase 00ef @UStrEqual 00ff @VarCmpEQ 011c @UStrArrayClr 0125 Variant 012f @FinalizeArray 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F2 8D 7D E0 A5 A5 A5 A5 8B F0 8D 7D F0 A5 A5 A5 A5 8B D9 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 75 15 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 94 C3 E9 A5 00 00 00 80 7D 08 00 74 42 8D 45 CC 8D 55 E0 E8 ?? ?? ?? ?? 8B 5D CC 85 DB 74 05 83 EB 04 8B 1B 8D 45 C8 50 8D 45 C4 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 C4 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8D 45 D0 E8 ?? ?? ?? ?? EB 0B 8D 45 D0 8D 55 F0 E8 ?? ?? ?? ?? 80 7D 0C 00 74 3E 8D 45 BC 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 BC 8D 55 C0 E8 ?? ?? ?? ?? 8B 45 C0 50 8D 45 B4 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 B4 8D 55 B8 E8 ?? ?? ?? ?? 8B 55 B8 58 E8 ?? ?? ?? ?? 0F 94 C3 EB 0E 8D 45 D0 8D 55 E0 E8 ?? ?? ?? ?? 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14578_0 {
	meta:
		name = "CheckValues"
		size = 280
		refs = "002a @VarAddRef 0032 CheckValues 006e TDataSet.FieldByName 009b @VarArrayGet 00bf SameValue 00e5 Variant 00ef @FinalizeArray 00f7 @UStrClr 00ff @VarClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 88 4D EB 89 45 EC 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EA 01 8B 45 EC 8B 10 FF 52 14 48 85 C0 0F 8C 82 00 00 00 40 89 45 E4 33 DB 8D 4D E0 8B D3 8B 45 EC 8B 30 FF 56 0C 8B 55 E0 8B 45 0C 8B 40 FC E8 ?? ?? ?? ?? 8B F0 0F B6 45 EB 50 0F B6 45 08 50 8D 55 D0 8B C6 8B 08 FF 91 90 00 00 00 8D 45 D0 50 53 6A 01 8D 45 F0 50 8D 45 C0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 C0 0F B6 46 48 2C 01 74 0E 04 EA 2C 02 72 08 2C 0D 74 04 33 C9 EB 02 B1 01 58 E8 ?? ?? ?? ?? 84 C0 75 06 C6 45 EA 00 EB 06 43 FF 4D E4 75 84 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 0F B6 45 EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14579_0 {
	meta:
		name = "TCustomSQLDataSet.LocateRecord"
		size = 604
		refs = "0021 TCustomSQLDataSet.LocateRecord 002f TDataSet.CheckBrowseMode 0040 _Dn_TStringList 0045 TStringList.Create 0082 StringReplace 008d TStrings.SetCommaText 00a5 VarIsArray 00b3 @VarCopy 00c9 VarArrayOf 00d4 TFields.GetCount 00f3 VarArrayCreate 0118 TFields.GetField 0130 @VarArrayPut 0157 TDataSet.First 016a CheckValues 0177 TDataSet.Next 01df TObject.Free 01ed @HandleFinally 0204 @VarClr 020c @UStrClr 0215 Variant 021f @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 60 FF FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 05 ?? ?? ?? ?? 50 8D 45 C4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 CC E8 ?? ?? ?? ?? F6 45 0C 02 0F 95 C3 F6 45 0C 01 0F 95 C0 88 45 CB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8D 45 E8 8B D6 E8 ?? ?? ?? ?? EB 14 8D 7D B4 A5 A5 A5 A5 8D 45 B4 8D 4D E8 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B F0 8D 45 D8 50 33 C0 89 45 AC 89 75 B0 8D 45 AC 66 B9 0C 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 4A 46 33 FF 57 6A 01 8B 45 FC 8B 40 38 8B D7 E8 ?? ?? ?? ?? 8D 55 9C 8B 08 FF 91 90 00 00 00 8D 45 9C 50 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 FC 8B 40 38 8B D7 E8 ?? ?? ?? ?? 8B 50 40 8B 45 D0 8B 08 FF 51 38 47 4E 75 B9 8B 45 FC E8 ?? ?? ?? ?? EB 1E 55 53 0F B6 4D CB 8D 55 E8 8B 45 CC E8 ?? ?? ?? ?? 59 84 C0 75 14 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A9 00 00 00 00 74 D6 8B 45 FC 0F B6 98 A9 00 00 00 80 F3 01 84 DB 75 33 8B 45 FC E8 ?? ?? ?? ?? EB 1D 55 6A 00 33 C9 8D 55 D8 8B 45 D0 E8 ?? ?? ?? ?? 59 84 C0 75 14 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A9 00 00 00 00 74 D7 88 5D D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 0F B6 45 D7 5F 5E 5B 8B E5 5D C2 08 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_14581_0 {
	meta:
		name = "TCustomSQLDataSet.Lookup"
		size = 144
		refs = "0014 Null 001b TCustomSQLDataSet.Lookup 002a TCustomSQLDataSet.LocateRecord 0038 TDataSet.SetTempState 0060 TDataSet.GetFieldValue 0077 TDataSet.RestoreState 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 51 B2 05 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC 8B 08 FF 91 B8 00 00 00 8B CB 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 59 5D C2 08 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14582_0 {
	meta:
		name = "TCustomSQLDataSet.SetSchemaName"
		size = 44
		refs = "000f @UStrEqual 0018 TCustomSQLDataSet.PropertyChanged 0025 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 3C 02 00 00 8B D6 E8 ?? ?? ?? ?? 74 14 8B C3 E8 ?? ?? ?? ?? 8D 83 3C 02 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14583_0 {
	meta:
		name = "TCustomSQLDataSet.ParseIdentifier"
		size = 265
		refs = "0015 @UStrAddRef 001d TCustomSQLDataSet.ParseIdentifier 002b @UStrClr 0053 Platform_NextSQLToken 007c @UStrAsg 00fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 89 55 FC 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? C7 45 F4 01 00 00 00 B3 01 6A 01 53 8B C6 E8 ?? ?? ?? ?? 8B C8 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 3B 45 F4 7E 2F 8B 45 FC 8B 55 F4 66 83 7C 50 FE 2E 75 21 8B 45 0C 8B 16 E8 ?? ?? ?? ?? 6A 01 53 8B C6 E8 ?? ?? ?? ?? 8B C8 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 3B 45 F4 7E 3C 8B 45 FC 8B 55 F4 66 83 7C 50 FE 2E 75 2E 8B 45 F8 8B 55 0C 8B 12 E8 ?? ?? ?? ?? 8B 45 0C 8B 16 E8 ?? ?? ?? ?? 6A 01 53 8B C6 E8 ?? ?? ?? ?? 8B C8 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14584_0 {
	meta:
		name = "TCustomSQLDataSet.SetSchemaOption"
		size = 448
		refs = "001c TCustomSQLDataSet.SetSchemaOption 002a @UStrClr 003f @UStrLAsg 005a TCustomSQLDataSet.ParseIdentifier 0079 TCustomSQLDataSet.GetInternalConnection 008c TStrings.GetValue 0097 @UStrAsg 0106 TSQLConnection.GetLoginUsername 0163 @UStrArrayClr 0171 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 96 F8 01 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 15 53 8D 86 F8 01 00 00 50 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 00 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 75 25 8B C6 E8 ?? ?? ?? ?? 8B 80 B8 00 00 00 8D 4D F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 03 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0D 8B C3 8B 96 3C 02 00 00 E8 ?? ?? ?? ?? 8B 03 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 75 7B 8B C6 E8 ?? ?? ?? ?? 8B 90 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 03 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 7F 52 8B C6 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 03 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 7F 24 8B C6 E8 ?? ?? ?? ?? 8B 80 B8 00 00 00 8D 4D E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_14585_0 {
	meta:
		name = "TSQLDataSet.Create"
		size = 67
		refs = "000a @ClassCreate 0017 TCustomSQLDataSet.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 A4 01 00 00 01 C6 86 D8 01 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_14587_0 {
	meta:
		name = "TSQLQuery.Create"
		size = 101
		refs = "000a @ClassCreate 0017 TCustomSQLDataSet.Create 0025 _Dn_TStringList 002a TStringList.Create 0047 TSQLQuery.QueryChanged 0052 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 A4 01 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 40 02 00 00 C6 86 D8 01 00 00 00 8B 86 40 02 00 00 89 70 44 C7 40 40 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_14588_0 {
	meta:
		name = "TSQLQuery.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TCustomSQLDataSet.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 40 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14590_0 {
	meta:
		name = "TSQLQuery.PrepareStatement"
		size = 294
		refs = "0011 TSQLQuery.PrepareStatement 002d TSQLQuery.SetSQL 0048 SEmptySQLStatement 004d LoadResString 0057 DatabaseError 006c GetIdOption 0075 @UStrClr 0085 Platform_NextSQLToken 009e TCustomSQLDataSet.CheckStatement 00ac @UStrLAsg 0114 @UStrArrayClr 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE A0 01 00 00 00 75 0D 8B 96 40 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 A0 01 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 75 17 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B D6 E8 ?? ?? ?? ?? 33 DB C7 45 F4 01 00 00 00 53 8B 86 30 02 00 00 E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8D 55 F4 8B 86 A0 01 00 00 E8 ?? ?? ?? ?? 8B D8 80 FB 05 75 09 8B 86 30 02 00 00 FF 40 70 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 8B 96 D4 01 00 00 E8 ?? ?? ?? ?? 8B 96 A8 01 00 00 8B 86 2C 02 00 00 8B 08 FF 51 04 8B 55 FC 8B 86 2C 02 00 00 8B 08 FF 51 10 8B 86 2C 02 00 00 8B 10 FF 52 34 8B 96 E0 01 00 00 8B 52 08 8B 52 08 8B 08 FF 51 0C 8B 86 2C 02 00 00 8B 10 FF 52 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14591_0 {
	meta:
		name = "TSQLQuery.QueryChanged"
		size = 271
		refs = "0011 TSQLQuery.QueryChanged 0028 TDataSet.Close 0031 TCustomSQLDataSet.SetPrepared 005c @UStrAsg 0078 TCustomSQLDataSet.SetParamsFromSQL 00c8 TParams.ParseSQL 00e3 TCustomSQLDataSet.SetFCommandText 00fd @UStrArrayClr 0103 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 1C 02 0F 85 85 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BB DA 01 00 00 00 75 06 F6 43 1C 10 74 3A 8D 55 FC 8B 83 40 02 00 00 8B 08 FF 51 1C 8B 55 FC 8D 83 A0 01 00 00 E8 ?? ?? ?? ?? 8D 83 44 02 00 00 8B 93 A0 01 00 00 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? EB 1C 8D 55 F8 8B 83 40 02 00 00 8B 08 FF 51 1C 8B 55 F8 8D 83 44 02 00 00 E8 ?? ?? ?? ?? 33 C9 B2 08 8B C3 8B 30 FF 96 E4 00 00 00 EB 30 8D 45 F4 50 8D 55 F0 8B 83 40 02 00 00 8B 08 FF 51 1C 8B 55 F0 33 C9 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8D 83 44 02 00 00 E8 ?? ?? ?? ?? 8B 93 44 02 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14592_0 {
	meta:
		name = "TSQLQuery.SetSQL"
		size = 197
		refs = "0013 TSQLQuery.SetSQL 0041 @UStrEqual 004b TDataSet.Close 0059 TStrings.BeginUpdate 0092 TStrings.EndUpdate 0098 @HandleFinally 00b4 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 56 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 80 40 02 00 00 8B 08 FF 51 1C 8B 45 F8 50 8D 55 F4 8B C6 8B 08 FF 51 1C 8B 55 F4 58 E8 ?? ?? ?? ?? 74 57 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 40 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 40 02 00 00 8B D6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 40 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_14593_0 {
	meta:
		name = "TSQLStoredProc.Create"
		size = 67
		refs = "000a @ClassCreate 0017 TCustomSQLDataSet.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 A4 01 00 00 03 C6 86 D8 01 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_14595_0 {
	meta:
		name = "TSQLStoredProc.PrepareStatement"
		size = 424
		refs = "0011 TSQLStoredProc.PrepareStatement 002d TSQLStoredProc.SetStoredProcName 0048 SEmptySQLStatement 004d LoadResString 0057 DatabaseError 0060 TCustomSQLDataSet.CheckStatement 0097 @UStrCatN 00a7 @UStrLAsg 00db TCustomSQLDataSet.QuoteIdentifier 0152 @UStrArrayClr 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB A0 01 00 00 00 75 0D 8B 93 40 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 A0 01 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 75 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 2C 02 00 00 8B 08 FF 51 04 83 BB 44 02 00 00 00 74 20 FF B3 44 02 00 00 68 ?? ?? ?? ?? FF B3 D4 01 00 00 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 93 D4 01 00 00 E8 ?? ?? ?? ?? 83 BB 3C 02 00 00 00 74 38 8D 45 F4 50 FF B3 3C 02 00 00 68 ?? ?? ?? ?? FF 75 FC 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 B1 01 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? EB 1B 8D 45 EC 50 B1 01 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 2C 02 00 00 8B 08 FF 51 10 8B 83 2C 02 00 00 8B 10 FF 52 34 8B 93 E0 01 00 00 8B 52 08 8B 52 08 8B 08 FF 51 0C 8B 83 2C 02 00 00 8B 10 FF 52 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 62 00 78 00 2E 00 53 00 74 00 6F 00 72 00 65 00 64 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_14596_0 {
	meta:
		name = "TSQLStoredProc.SetStoredProcName"
		size = 112
		refs = "000e @UStrAddRef 0016 TSQLStoredProc.SetStoredProcName 002a @UStrAsg 004b FreeProcParams 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 40 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 E4 02 00 00 83 BB E8 01 00 00 00 74 0B 8D 83 E8 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14597_0 {
	meta:
		name = "TSQLStoredProc.SetPackageName"
		size = 152
		refs = "000e @UStrAddRef 0016 TSQLStoredProc.SetPackageName 002a @UStrEqual 003a @UStrAsg 005c FreeProcParams 0067 @UStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 44 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 74 47 8D 83 44 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8D 83 00 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 83 BB E8 01 00 00 00 74 0B 8D 83 E8 01 00 00 E8 ?? ?? ?? ?? 8D 83 40 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 E4 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14598_0 {
	meta:
		name = "TSQLStoredProc.NextRecordSet"
		size = 133
		refs = "0017 TDataSet.SetState 0038 TSQLStoredProc.NextRecordSet 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 80 C0 01 00 00 01 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 D4 00 00 00 8B 45 FC 8B 40 40 85 C0 74 04 C6 40 20 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC 8B 08 FF 91 B4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 C0 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 83 B8 34 02 00 00 00 74 06 8B 45 FC 59 5D C3 33 C0 59 5D C3 }
	condition:
		$1
}

rule function_14599_0 {
	meta:
		name = "TSQLTable.Create"
		size = 115
		refs = "000a @ClassCreate 0017 TCustomSQLDataSet.Create 0038 _Dn_TMasterDataLink 003d TMasterDataLink.Create 004a _Dn_TList 004f TObject.Create 0060 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 A4 01 00 00 02 C6 86 D8 01 00 00 01 C7 86 58 02 00 00 FF FF FF FF 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 50 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 44 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_14600_0 {
	meta:
		name = "TSQLTable.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 001a TObject.Free 0038 TCustomSQLDataSet.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 50 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 44 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14601_0 {
	meta:
		name = "TSQLTable.DeleteRecords"
		size = 128
		refs = "000c TSQLTable.DeleteRecords 0025 @UStrCat3 0033 TSQLConnection.ExecuteDirect 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 8B 54 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 64 00 65 00 6C 00 65 00 74 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_14602_0 {
	meta:
		name = "TSQLTable.GetIndexField"
		size = 52
		refs = "0020 TSQLTable.RefreshIndexFields 002d TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 4C 02 00 00 00 75 05 33 C0 5E 5B C3 83 BB 58 02 00 00 FF 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 44 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14603_0 {
	meta:
		name = "TSQLTable.GetIndexFieldCount"
		size = 35
		refs = "001d TSQLTable.RefreshIndexFields"
	strings:
		$1 = { 53 8B D8 83 BB 4C 02 00 00 00 75 04 33 C0 5B C3 8B 83 58 02 00 00 85 C0 7D 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14604_0 {
	meta:
		name = "TSQLTable.GetIndexNames"
		size = 21
		refs = "0010 TSQLConnection.GetIndexNames"
	strings:
		$1 = { 8B CA 8B 90 30 02 00 00 8B 80 54 02 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14605_0 {
	meta:
		name = "TSQLTable.OpenCursor"
		size = 41
		refs = "0006 TCustomSQLDataSet.OpenCursor 0023 TCustomSQLDataSet.AddIndexDefs"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 40 02 00 00 00 75 14 80 BB C8 01 00 00 00 75 0B 33 C9 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14606_0 {
	meta:
		name = "TSQLTable.AddParamsToQuery"
		size = 540
		refs = "001a TSQLTable.AddParamsToQuery 0030 Pos 005d TParams.GetItem 0062 TParam.GetIsNull 0073 @UStrLAsg 00d6 Format 00e4 @UStrAsg 0161 @UStrClr 016e @UStrArrayClr 0174 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 D2 89 55 D4 89 55 F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 93 D4 01 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 14 01 00 00 8B 83 E0 01 00 00 8B 40 08 8B 78 08 4F 85 FF 0F 8C FF 00 00 00 47 33 F6 8B D6 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 75 60 8D 45 F8 50 8B 83 D4 01 00 00 89 45 D8 C6 45 DC 11 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8B D6 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 40 34 89 45 E8 C6 45 EC 11 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 D8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 83 D4 01 00 00 E8 ?? ?? ?? ?? EB 5E 8D 45 D4 50 8B 83 D4 01 00 00 89 45 D8 C6 45 DC 11 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8B D6 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 40 34 89 45 E8 C6 45 EC 11 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 D8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8D 83 D4 01 00 00 E8 ?? ?? ?? ?? 46 4F 0F 85 04 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 69 00 73 00 20 00 4E 00 55 00 4C 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3D 00 20 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 25 00 73 00 25 00 73 00 28 00 25 00 73 00 20 00 25 00 73 00 29 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 61 00 6E 00 64 00 20 00 00 00 }
	condition:
		$1
}

rule function_14608_0 {
	meta:
		name = "TSQLTable.GetQueryFromType"
		size = 43
		refs = "0018 @UStrAsg 0024 TCustomSQLDataSet.GetQueryFromType"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB D4 01 00 00 00 74 10 8B C6 8B 93 D4 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14609_0 {
	meta:
		name = "GetFieldsForIndexName"
		size = 852
		refs = "001b @UStrAddRef 0023 GetFieldsForIndexName 004e TSQLConnection.OpenSchemaTable 008d @UStrEqual 00ac GetIndexFieldName 00b7 TDataSet.FieldByName 00cd @VarToUStr 00e5 _DV_TDBXIndexColumns 00ea TDBXIndexColumns.Create 011a @UStrAsg 0131 TDBXIndexColumns.Open 013f TDBXIndexColumns.GetFieldNames 0144 @TryFinallyExit 0163 TObject.Free 0169 @HandleFinally 0173 TDataSet.Next 01ea GetColumnFieldName 021f @UStrCat3 022a @VarFromUStr 0261 @VarAdd 02a5 TSQLConnection.FreeSchemaTable 02c2 @UStrClr 02ca @VarClr 0307 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0F 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 F4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 8B 45 08 8B 40 FC 8B 88 54 02 00 00 8B 45 08 8B 40 FC 8B 80 30 02 00 00 B2 06 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 30 02 00 00 8B 80 9C 00 00 00 8B 10 FF 52 0C 8B D8 85 DB 0F 84 F4 01 00 00 8B 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 E1 01 00 00 E9 DB 00 00 00 8D 55 D8 8B 45 08 8B 40 FC 8B 80 30 02 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 DC 8B 08 FF 91 90 00 00 00 8D 55 DC 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 0F 85 8D 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D4 8B 45 F0 8B 80 2C 02 00 00 8B 08 FF 51 0C 8B 55 D4 8B 45 EC 83 C0 04 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 30 02 00 00 8B 55 EC 89 42 08 8B 45 EC E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5F 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 80 B8 A9 00 00 00 00 0F 84 15 FF FF FF E9 FC 00 00 00 8D 55 C0 8B 45 08 8B 40 FC 8B 80 30 02 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 C4 8B 08 FF 91 90 00 00 00 8D 55 C4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 0F 85 9E 00 00 00 8B 45 F4 83 38 00 75 37 8D 55 AC 8B 45 08 8B 40 FC 8B 80 30 02 00 00 E8 ?? ?? ?? ?? 8B 55 AC 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 B0 8B 08 FF 91 90 00 00 00 8D 55 B0 8B 45 F4 E8 ?? ?? ?? ?? EB 5F 8B 55 F4 8B 12 8D 45 98 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 98 8D 45 9C E8 ?? ?? ?? ?? 8D 45 9C 50 8D 55 84 8B 45 08 8B 40 FC 8B 80 30 02 00 00 E8 ?? ?? ?? ?? 8B 55 84 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 88 8B 08 FF 91 90 00 00 00 8D 55 88 58 E8 ?? ?? ?? ?? 8D 55 9C 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 80 B8 A9 00 00 00 00 0F 84 04 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 30 02 00 00 8B 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 96 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_14610_0 {
	meta:
		name = "GetIndexFieldNames"
		size = 138
		refs = "0013 @UStrAddRef 0023 GetIndexFieldNames 003c @UStrClr 004e @UStrAsg 005e GetFieldsForIndexName 0079 @UStrArrayClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D9 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 0F 83 7D F8 00 75 09 8B C3 E8 ?? ?? ?? ?? EB 21 83 7D FC 00 74 0C 8B C3 8B 55 FC E8 ?? ?? ?? ?? EB 0F 8B 45 08 50 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14611_0 {
	meta:
		name = "TSQLTable.PrepareStatement"
		size = 1100
		refs = "0017 TSQLTable.PrepareStatement 003b SEmptySQLStatement 0040 LoadResString 004b DatabaseError 0079 TSQLTable.GetMasterFields 00bc @UStrLAsg 00cf ExtractFieldName 0104 @UStrCat 0125 @UStrCatN 014b @UStrLen 017a TCustomSQLDataSet.QuoteIdentifier 01c5 GetIndexFieldNames 0246 @UStrCat3 0273 StringReplace 02a4 TSQLTable.AddParamsToQuery 02ba TCustomSQLDataSet.CheckStatement 0343 @UStrAsg 035d @UStrArrayClr 0370 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 53 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 54 02 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 75 18 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 D4 01 00 00 00 0F 85 2F 02 00 00 8B 45 FC 8B 80 B8 01 00 00 83 78 04 00 0F 84 32 01 00 00 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 83 7D CC 00 0F 84 1D 01 00 00 8B 45 FC C6 80 40 02 00 00 01 C7 45 D8 01 00 00 00 C7 45 D4 01 00 00 00 BB 01 00 00 00 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E0 8B 55 FC 8B 92 48 02 00 00 E8 ?? ?? ?? ?? E9 82 00 00 00 8D 4D EC 8D 55 D8 8B 45 E4 E8 ?? ?? ?? ?? 8D 4D E8 8D 55 D4 8B 45 E0 E8 ?? ?? ?? ?? 83 7D EC 00 74 71 83 FB 01 75 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E8 00 75 1D FF 75 F8 FF 75 EC 68 ?? ?? ?? ?? FF 75 EC 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 1B FF 75 F8 FF 75 E8 68 ?? ?? ?? ?? FF 75 EC 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 43 8B 45 E4 E8 ?? ?? ?? ?? 3B 45 D8 0F 8D 6D FF FF FF 8B 45 FC C6 80 A4 01 00 00 01 68 ?? ?? ?? ?? 8D 45 C4 50 8B 45 FC 8B 90 54 02 00 00 33 C9 8B 45 FC E8 ?? ?? ?? ?? FF 75 C4 FF 75 F8 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 FC 8B 08 FF 91 E4 02 00 00 E9 04 01 00 00 8B 45 FC C6 80 40 02 00 00 00 55 8D 4D C0 8B 45 FC 8B 90 4C 02 00 00 8B 45 FC 8B 80 48 02 00 00 E8 ?? ?? ?? ?? 59 8B 55 C0 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 3C 02 00 00 00 74 37 8D 45 DC 50 8B 45 FC FF B0 3C 02 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 54 02 00 00 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 BC 33 C9 8B 45 FC E8 ?? ?? ?? ?? EB 17 8D 45 DC 50 8B 45 FC 8B 90 54 02 00 00 33 C9 8B 45 FC E8 ?? ?? ?? ?? 83 7D F0 00 75 17 8B 45 FC 05 A0 01 00 00 8B 4D DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5C 68 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 B8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? FF 75 B8 8B 45 FC 05 A0 01 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 1A 8B 45 FC 8B 80 E0 01 00 00 8B 40 08 83 78 08 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 30 02 00 00 FF 40 70 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 92 D4 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 A8 01 00 00 8B 45 FC 8B 80 2C 02 00 00 8B 08 FF 51 04 8B 45 FC 8B 80 2C 02 00 00 8B 55 F4 8B 08 FF 51 10 8B 45 FC 8B 80 2C 02 00 00 8B 10 FF 52 34 8B 55 FC 8B 92 E0 01 00 00 8B 52 08 8B 52 08 8B 08 FF 51 0C 8B 45 FC 8B 80 2C 02 00 00 8B 10 FF 52 60 8B 45 FC C6 80 A4 01 00 00 02 8B 45 FC 05 A0 01 00 00 8B 55 FC 8B 92 54 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 61 00 6E 00 64 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 3D 00 20 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 20 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 2A 00 20 00 66 00 72 00 6F 00 6D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 6F 00 72 00 64 00 65 00 72 00 20 00 62 00 79 00 20 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_14612_0 {
	meta:
		name = "TSQLTable.RefreshIndexFields"
		size = 266
		refs = "0017 TSQLTable.RefreshIndexFields 0036 TCustomSQLDataSet.AddIndexDefs 0066 TIndexDefs.GetIndexDef 0074 CompareText 008d TIndexDef.GetFields 00a4 ExtractFieldName 00ae TDataSet.FindField 00c1 TList.Add 00cc @UStrLen 00ec @UStrClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 80 BB C8 01 00 00 00 75 0B 33 C9 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 83 44 02 00 00 8B 10 FF 52 08 8B 83 C4 01 00 00 8B 40 08 8B 70 08 4E 85 F6 0F 8C 81 00 00 00 46 33 FF 8B D7 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 8B 40 0C 8B 93 4C 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 5B 8B D7 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? C7 45 F4 01 00 00 00 EB 2E 8D 4D F0 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 23 8B D6 8B 83 44 02 00 00 E8 ?? ?? ?? ?? FF 45 F8 8B 45 FC E8 ?? ?? ?? ?? 3B 45 F4 7D C5 EB 04 47 4E 75 82 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14613_0 {
	meta:
		name = "TSQLTable.GetMasterFields"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 50 02 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14614_0 {
	meta:
		name = "TSQLTable.SetMasterFields"
		size = 121
		refs = "000e @UStrAddRef 0016 TSQLTable.SetMasterFields 002a TMasterDataLink.SetFieldNames 0037 TDataSet.Close 003e TCustomSQLDataSet.FreeCommand 0049 @UStrClr 0054 TCollection.Clear 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 83 50 02 00 00 E8 ?? ?? ?? ?? F6 43 1C 01 75 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 83 D4 01 00 00 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14615_0 {
	meta:
		name = "TSQLTable.SetTableName"
		size = 119
		refs = "000e @UStrAddRef 0016 TSQLTable.SetTableName 002a @UStrEqual 0037 @UStrClr 0045 @UStrAsg 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 54 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 74 26 8D 83 D4 01 00 00 E8 ?? ?? ?? ?? 8D 83 54 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 E4 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14616_0 {
	meta:
		name = "TSQLTable.SetIndexFieldNames"
		size = 196
		refs = "0015 @UStrAddRef 001d TSQLTable.SetIndexFieldNames 0031 @UStrEqual 0056 SNoTableName 005b LoadResString 0065 DatabaseError 0073 @UStrAsg 0085 TSQLTable.SetIndexName 0090 @UStrClr 0099 TCustomSQLDataSet.SetPrepared 00b3 @UStrArrayClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 48 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 74 66 F6 43 1C 10 74 2C F6 43 1C 01 75 26 83 BB 54 02 00 00 00 75 1D 83 7D FC 00 74 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D3 E8 ?? ?? ?? ?? 8D 83 48 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 83 BB 48 02 00 00 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 83 D4 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14618_0 {
	meta:
		name = "TSQLTable.SetIndexName"
		size = 236
		refs = "0015 @UStrAddRef 001d TSQLTable.SetIndexName 0046 SNoTableName 004b LoadResString 0055 DatabaseError 0063 @UStrEqual 0073 @UStrAsg 007e @UStrClr 0096 TSQLTable.SetIndexFieldNames 00ae TCustomSQLDataSet.AddIndexDefs 00b7 TCustomSQLDataSet.SetPrepared 00db @UStrArrayClr 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 1C 10 74 2C F6 43 1C 01 75 26 83 BB 54 02 00 00 00 75 1D 83 7D FC 00 74 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 83 4C 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 74 52 8D 83 4C 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8D 83 D4 01 00 00 E8 ?? ?? ?? ?? 83 BB 30 02 00 00 00 74 27 83 7D FC 00 74 21 33 D2 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 74 12 F6 43 1C 01 75 0C 8B 4D FC 8B D3 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? C7 83 58 02 00 00 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14619_0 {
	meta:
		name = "TDBXIndexColumns.Create"
		size = 76
		refs = "000b @ClassCreate 0018 TObject.Create 001f _Dn_TObjectList 0024 TObjectList.Create 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 0C C6 46 10 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14621_0 {
	meta:
		name = "TDBXIndexColumns.GetFieldNames"
		size = 204
		refs = "0016 @UStrAddRef 001e TDBXIndexColumns.GetFieldNames 002c @UStrClr 0050 TList.Get 005d @UStrEqual 0072 @UStrAsg 008e @UStrCatN 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 70 08 4E 85 F6 7C 58 46 33 FF 8B 45 F8 8B 58 0C 89 7D F0 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 43 04 8B 55 FC E8 ?? ?? ?? ?? 75 2F 8B 45 F4 83 38 00 75 0D 8B 45 F4 8B 53 08 E8 ?? ?? ?? ?? EB 1A 8B 45 F4 FF 30 68 ?? ?? ?? ?? FF 73 08 8B 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 47 4E 75 AB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_14622_0 {
	meta:
		name = "TDBXIndexColumns.HasAllFieldNames"
		size = 316
		refs = "0016 @UStrAddRef 001e TDBXIndexColumns.HasAllFieldNames 0056 TList.Get 0063 @UStrEqual 0070 TDataSet.FindField 0093 @UStrClr 00dc @UStrAsg 00f8 @UStrCatN 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 FF FF FF FF C7 45 EC FF FF FF FF 8B 45 F8 8B 40 0C 8B 78 08 4F 85 FF 7C 4B 47 33 DB 8B 45 F8 8B 70 0C 89 5D E8 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 8B F0 8B 46 04 8B 55 FC E8 ?? ?? ?? ?? 75 22 8B 56 08 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 75 07 33 DB E9 83 00 00 00 83 7D F0 FF 75 03 89 5D F0 89 5D EC 43 4F 75 B8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 C6 00 01 83 7D F0 00 7D 04 33 DB EB 5B 8B 5D F0 8B 7D EC 2B FB 7C 4F 47 8B 45 F8 8B 70 0C 89 5D E4 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 8B F0 3B 5D F0 75 16 8B 45 08 0F B6 56 10 88 10 8B 45 0C 8B 56 08 E8 ?? ?? ?? ?? EB 1A 8B 45 0C FF 30 68 ?? ?? ?? ?? FF 76 08 8B 45 0C BA 03 00 00 00 E8 ?? ?? ?? ?? 43 4F 75 B2 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_14623_0 {
	meta:
		name = "TDBXIndexColumns.Open"
		size = 680
		refs = "001d TDBXIndexColumns.Open 0035 TSQLConnection.GetConnectionForStatement 007d @UStrCopy 008d @UStrCat3 00bc _DV_TDBXIndexColumn 00c1 TObject.Create 00e3 @UStrAsg 0144 TList.Add 0171 TObject.Free 019e @HandleFinally 01ba @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 D8 89 55 DC 89 55 E4 89 55 E0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 33 C0 89 45 FC 8B 46 08 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 80 9C 00 00 00 8B 10 FF 52 7C 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BB 0A 00 00 00 8B 46 04 85 C0 74 05 83 E8 04 8B 00 8B F8 2B FB 8D 45 E0 50 8D 53 01 8B 46 04 8B CF E8 ?? ?? ?? ?? 8B 4D E0 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 8B 08 FF 51 10 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 04 8B 45 F8 8B 10 FF 52 64 89 45 FC E9 92 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 14 8D 55 DC 8B 08 FF 51 70 8B 55 DC 8D 43 04 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 14 8D 55 D8 8B 08 FF 51 70 8B 55 D8 8D 43 08 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 14 8B 10 FF 92 88 00 00 00 89 43 0C BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 14 8B 10 FF 52 68 88 43 10 8B 46 0C 89 45 F0 89 5D EC 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC 8B 10 FF 52 3C 84 C0 0F 85 5E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 83 7D F4 00 74 14 8B 45 F4 80 B8 98 00 00 00 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 47 00 65 00 74 00 49 00 6E 00 64 00 65 00 78 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 62 00 78 00 2E 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 64 00 65 00 78 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 72 00 64 00 69 00 6E 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 73 00 41 00 73 00 63 00 65 00 6E 00 64 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_14625_0 {
	meta:
		name = "TSqlServerMethod.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TCustomSQLDataSet.Create 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 04 8B C6 8B 08 FF 91 D4 02 00 00 C6 86 D8 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_14626_0 {
	meta:
		name = "TSqlServerMethod.SetServerMethodName"
		size = 108
		refs = "000e @UStrAddRef 0016 TSqlServerMethod.SetServerMethodName 002a @UStrEqual 003a @UStrAsg 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 93 40 02 00 00 E8 ?? ?? ?? ?? 74 1B 8D 83 40 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 E4 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14629_0 {
	meta:
		name = "TConnectionData.AddProperties"
		size = 520
		refs = "0019 TConnectionData.AddProperties 0041 TStrings.GetName 004d TStrings.GetValueFromIndex 0058 TConnectionData.IsMyProperty 006b @UStrLAsg 009f CompareText 00c6 @UStrCatN 00d3 TStrings.GetValue 00dc EmptyStr 00e3 @UStrEqual 00ea TDBXConnectionFactory.GetConnectionFactory 00f2 TDBXConnectionFactory.GetDriverProperties 010b _DV_TConnectionData 0110 TConnectionData.Create 0123 TConnectionData.SetProperties 0131 TConnectionData.SetDriverName 013f TConnectionData.SetConnectionName 0156 TConnectionData.GetProperties 0161 TDBXProperties.Add 0180 @UStrClr 018d @UStrArrayClr 0193 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B F2 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 14 48 85 C0 0F 8C 3C 01 00 00 40 89 45 E4 33 DB 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 84 01 01 00 00 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 A2 00 00 00 FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8D 4D F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 7C E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B F8 85 FF 74 69 8B 45 E8 83 78 1C 00 75 15 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 89 42 1C 8B 45 E8 8B 40 1C 8B D7 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 1C 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 1C 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 1C 8B D6 E8 ?? ?? ?? ?? EB 13 8B 45 E8 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 43 FF 4D E4 0F 85 CA FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 65 00 6C 00 65 00 67 00 61 00 74 00 65 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_14630_0 {
	meta:
		name = "TConnectionData.BeginUpdate"
		size = 14
	strings:
		$1 = { 0F B6 50 20 80 F2 01 C6 40 20 01 8B C2 C3 }
	condition:
		$1
}

rule function_14632_0 {
	meta:
		name = "TConnectionData.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TPersistent.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16717_0 {
	meta:
		name = "TDSMethodInfo.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TObject.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14633_0 {
	meta:
		name = "TConnectionData.DoChange"
		size = 208
		refs = "0020 TConnectionData.DoChange 0052 TStrings.BeginUpdate 0074 TConnectionData.GetFullParams 0092 TStrings.EndUpdate 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 89 45 FC 8B 45 FC 80 78 20 00 0F 85 B7 00 00 00 8B 45 FC C6 40 20 01 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 40 04 85 C0 74 6A 8B B0 B8 00 00 00 85 F6 74 6B 8B C6 8B 10 FF 52 44 8B 45 FC 8B 40 04 8B 80 B8 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 90 B8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 80 B8 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B 45 FC C6 40 21 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 20 00 C3 E9 ?? ?? ?? ?? EB F1 5E 59 5D C3 }
	condition:
		$1
}

rule function_14634_0 {
	meta:
		name = "TConnectionData.EndUpdate"
		size = 9
	strings:
		$1 = { C6 40 20 00 C6 40 21 00 C3 }
	condition:
		$1
}

rule function_14635_0 {
	meta:
		name = "TConnectionData.GetConectionName"
		size = 39
		refs = "0013 TSQLConnection.GetConnectionName 001f @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 04 85 FF 74 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 14 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14636_0 {
	meta:
		name = "TConnectionData.GetDriverName"
		size = 43
		refs = "0017 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 04 85 FF 74 0F 8B C6 8B 97 8C 00 00 00 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14637_0 {
	meta:
		name = "TConnectionData.GetFullParams"
		size = 576
		refs = "001b TConnectionData.GetFullParams 002b TConnectionData.GetDriverName 0034 EmptyStr 003b @UStrEqual 0054 TDBXConnectionFactory.GetConnectionFactory 005a TDBXConnectionFactory.GetDriverProperties 006b TDBXProperties.GetCount 008b TStrings.GetName 0096 TConnectionData.GetProperties 00ad TConnectionData.GetPrefix 00cb @UStrCat 0176 TStrings.SetValue 0187 TConnectionData.GetConectionName 01d3 @UStrArrayClr 01d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 78 01 00 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 79 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 6A 46 C7 45 F8 00 00 00 00 8D 4D E8 8B 45 F4 8B 40 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 E8 50 8B C3 E8 ?? ?? ?? ?? 8B 40 08 5A 8B 08 FF 51 58 85 C0 7D 33 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 45 E4 50 8D 4D E0 8B 45 F4 8B 40 08 8B 55 F8 8B 38 FF 57 0C 8B 55 E0 58 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 08 FF 51 38 FF 45 F8 4E 75 9E 8B C3 E8 ?? ?? ?? ?? 85 C0 74 58 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 45 46 C7 45 F8 00 00 00 00 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8D 45 DC 50 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8D 4D D8 8B 55 F8 8B 38 FF 57 0C 8B 55 D8 58 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 8B 08 FF 51 38 FF 45 F8 4E 75 C3 83 7B 08 00 74 31 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B 45 FC 59 E8 ?? ?? ?? ?? 83 7B 1C 00 74 3D 8D 55 CC 8B 43 1C E8 ?? ?? ?? ?? 8B 45 CC 50 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B 45 FC 59 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 65 00 6C 00 65 00 67 00 61 00 74 00 65 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_14638_0 {
	meta:
		name = "TConnectionData.GetIsModified"
		size = 251
		refs = "0012 TConnectionData.GetIsModified 003a TConnectionData.GetOriginalProperties 0048 TDBXProperties.GetCount 008c TStrings.GetValueFromIndex 00a0 TStrings.GetName 00ad TDBXProperties.GetValue 00b6 @UStrEqual 00e6 @UStrArrayClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 21 00 0F 85 A6 00 00 00 C6 43 21 01 83 7B 0C 00 75 07 33 DB E9 99 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 16 8B 43 0C E8 ?? ?? ?? ?? 8B F0 8B C7 E8 ?? ?? ?? ?? 48 3B F0 75 04 33 C0 EB 02 B0 01 88 43 22 80 7B 22 00 75 63 85 FF 74 5F 8B 43 0C E8 ?? ?? ?? ?? 48 85 C0 7C 52 40 89 45 FC 33 F6 8D 4D F8 8B 43 0C 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 4D F0 8B 43 0C 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F4 8B C7 E8 ?? ?? ?? ?? 8B 55 F4 58 E8 ?? ?? ?? ?? 0F 95 C0 88 43 22 80 7B 22 00 75 06 46 FF 4D FC 75 B4 0F B6 5B 22 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14639_0 {
	meta:
		name = "TConnectionData.GetOriginalProperties"
		size = 264
		refs = "0011 TConnectionData.GetOriginalProperties 002d TDBXProperties.GetValue 0038 EmptyStr 003f @UStrLAsg 0049 TConnectionData.GetConectionName 0054 @UStrEqual 0066 TObject.Free 0095 TDBXConnectionFactory.GetConnectionFactory 009b TDBXConnectionFactory.HasConnectionProperties 00a8 TDBXProperties.Clone 00c8 @UStrArrayClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 10 85 F6 74 11 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 10 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 74 55 8D 43 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 29 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B F0 85 F6 74 0A 8B C6 E8 ?? ?? ?? ?? 89 43 10 8B 5B 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_14640_0 {
	meta:
		name = "TConnectionData.GetPrefix"
		size = 64
		refs = "0010 EmptyStr 0017 @UStrAsg 0021 TConnectionData.GetPrefix 0029 @UStrCat3"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 04 00 74 12 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 B9 ?? ?? ?? ?? 8B 53 14 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_14642_0 {
	meta:
		name = "TConnectionData.IsMyProperty"
		size = 168
		refs = "0013 TConnectionData.IsMyProperty 0029 @UStrLAsg 0041 AnsiContainsText 0068 AnsiStartsText 0084 @UStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 04 00 74 29 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 80 F3 01 EB 22 8D 45 F4 8B 53 14 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_14643_0 {
	meta:
		name = "TConnectionData.RefreshProperties"
		size = 17
		refs = "0007 TDBXProperties.Clear"
	strings:
		$1 = { 53 8B D8 8B 43 10 E8 ?? ?? ?? ?? C6 43 21 00 5B C3 }
	condition:
		$1
}

rule function_14644_0 {
	meta:
		name = "TConnectionData.ReloadProperties"
		size = 104
		refs = "0008 TDBXProperties.Clear 000f TConnectionData.GetOriginalProperties 001a TDBXProperties.AddProperties 0027 TConnectionData.ReloadProperties"
	strings:
		$1 = { 56 57 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 50 08 8B 46 0C E8 ?? ?? ?? ?? 8B 46 0C 8B 78 08 8B C7 BA ?? ?? ?? ?? 8B 08 FF 51 58 8B D0 8B C7 8B 08 FF 51 48 5F 5E C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_14645_0 {
	meta:
		name = "TConnectionData.SetConnectionName"
		size = 44
		refs = "0010 TSQLConnection.SetConnectionName 001c @UStrAsg 0025 TConnectionData.DoChange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 85 C0 74 09 8B D6 E8 ?? ?? ?? ?? EB 0A 8D 43 14 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14646_0 {
	meta:
		name = "TConnectionData.SetDelegateConnection"
		size = 37
		refs = "0012 TObject.Free 001e TConnectionData.DoChange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 89 73 1C 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14647_0 {
	meta:
		name = "TConnectionData.SetDriverName"
		size = 44
		refs = "0010 TSQLConnection.SetDriverName 001c @UStrAsg 0025 TConnectionData.DoChange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 85 C0 74 09 8B D6 E8 ?? ?? ?? ?? EB 0A 8D 43 18 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14648_0 {
	meta:
		name = "TConnectionData.SetProperties"
		size = 133
		refs = "0042 TObject.Free 004d TDBXProperties.Clone 005c TConnectionData.DoChange 0065 TDBXProperties.Clear 0070 TDBXProperties.AddProperties"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 0C 85 FF 74 04 85 F6 75 04 B0 01 EB 1C 8B 17 89 D0 8B 0E 89 CA 3B D0 74 0E 8B 43 04 F6 40 1C 10 0F 95 C0 34 01 EB 02 33 C0 84 C0 74 2C 8D 43 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 85 F6 74 2A 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 0C 89 5F 1C C7 47 18 ?? ?? ?? ?? EB 12 8B C7 E8 ?? ?? ?? ?? 8B 56 08 8B 43 0C E8 ?? ?? ?? ?? C6 43 21 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14649_0 {
	meta:
		name = "TConnectionData.UpdateProperties"
		size = 190
		refs = "0015 TConnectionData.UpdateProperties 0023 TDBXProperties.Clear 0042 TStrings.GetName 004c TConnectionData.IsMyProperty 005d TStrings.GetValueFromIndex 007a TDBXProperties.Add 00ab @UStrArrayClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B F8 4F 85 FF 7C 4C 47 33 DB 8D 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2A 8D 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 50 8D 4D F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 46 0C 59 E8 ?? ?? ?? ?? 43 4F 75 B7 8B 46 1C 85 C0 74 08 8B 55 FC E8 ?? ?? ?? ?? C6 46 21 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14650_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_51 001a DbxError 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 1D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_50724_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_8 001a CGIServerVariables 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 1D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_96582_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_3 001a ServerVariables 0025 AnsiString 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 1D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_14651_0 {
	meta:
		name = "Data.SqlExpr"
		size = 20
		refs = "0002 _DV_51 000a _Nn__BD0 000f @InitResStringImports"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30392_0 {
	meta:
		name = "IBCustomDataSet"
		size = 20
		refs = "0002 _DV_9 000a _Nn__75D 000f @InitImports"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31016_0 {
	meta:
		name = "IBInstall"
		size = 20
		refs = "0002 _DV_8 000a _Nn__1B0 000f @InitResStringImports"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32529_0 {
	meta:
		name = "IdComponent"
		size = 20
		refs = "0002 _DV_3 000a _Nn__7F 000f @InitResStringImports"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33095_0 {
	meta:
		name = "IdDNSCommon"
		size = 20
		refs = "0002 _DV_22 000a _Nn__3A8 000f @InitResStringImports"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34344_0 {
	meta:
		name = "IdFTPServer"
		size = 20
		refs = "0002 _DV_21 000a _Nn__6D9 000f @InitImports"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35911_0 {
	meta:
		name = "IdLogBase"
		size = 20
		refs = "0002 _DV_2 000a _Nn__98 000f @InitResStringImports"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39258_0 {
	meta:
		name = "InComponent"
		size = 20
		refs = "0002 _DV_3 000a _Nn__7D 000f @InitResStringImports"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46924_0 {
	meta:
		name = "MidasLib"
		size = 20
		refs = "0002 _DV_1 000a DllGetDataSnapClassObject 000f RegisterMidasLib"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49171_0 {
	meta:
		name = "Soap.OPToSOAPDomConv"
		size = 20
		refs = "0002 _DV_5 000a _Nn__818 000f @InitWideStrings"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49303_0 {
	meta:
		name = "Soap.SOAPConst"
		size = 20
		refs = "0002 _DV_8 000a _Nn__1C7 000f @InitWideStrings"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50441_0 {
	meta:
		name = "Soap.XSBuiltIns"
		size = 20
		refs = "0002 _DV_61 000a _Nn__45F 000f @InitResStringImports"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50802_0 {
	meta:
		name = "SvrLogFrame"
		size = 20
		refs = "0002 _DV_2 000a _Nn__1AB 000f @InitResStringImports"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79370_0 {
	meta:
		name = "Vcl.ExtDlgs"
		size = 20
		refs = "0002 _DV_6 000a _Nn__1D9 000f @InitResStringImports"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83158_0 {
	meta:
		name = "Vcl.recerror"
		size = 20
		refs = "0002 _DV_4 000a _Nn__15D 000f @InitResStringImports"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112334_0 {
	meta:
		name = "Xml.Internal.AdomCore_4_3"
		size = 20
		refs = "0002 _DV_712 000a _Nn__1C0F 000f @InitWideStrings"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14652_0 {
	meta:
		name = "IsSQLTimeStampBlank"
		size = 53
	strings:
		$1 = { 66 83 38 00 75 29 66 83 78 02 00 75 22 66 83 78 04 00 75 1B 66 83 78 06 00 75 14 66 83 78 08 00 75 0D 66 83 78 0A 00 75 06 83 78 0C 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_14653_0 {
	meta:
		name = "IsSQLTimeStampOffsetBlank"
		size = 67
	strings:
		$1 = { 66 83 38 00 75 37 66 83 78 02 00 75 30 66 83 78 04 00 75 29 66 83 78 06 00 75 22 66 83 78 08 00 75 1B 66 83 78 0A 00 75 14 83 78 0C 00 75 0E 66 83 78 10 00 75 07 66 83 78 12 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_14655_0 {
	meta:
		name = "TSQLTimeStampOffsetVariantType.Cast"
		size = 300
		refs = "0018 TSQLTimeStampOffsetVariantType.Cast 0029 TCustomVariantType.VarDataInit 0044 TCustomVariantType.VarDataCopyNoInd 004f TCustomVariantType.VarDataIsStr 0061 TCustomVariantType.VarDataToStr 006b _DV_TSQLTimeStampOffsetData 0070 TSQLTimeStampOffsetData.Create 00a1 TCustomVariantType.VarDataCastTo 00d1 TCustomVariantType.VarDataClear 00d7 @HandleFinally 011b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 33 DB 89 5D D4 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 25 8D 4D D4 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 08 EB 61 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 07 8D 4D E8 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? FF 75 E4 FF 75 E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 0F B7 40 04 8B 55 F8 66 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14691_0 {
	meta:
		name = "TSQLTimeStampVariantType.Cast"
		size = 300
		refs = "0018 TSQLTimeStampVariantType.Cast 0029 TCustomVariantType.VarDataInit 0044 TCustomVariantType.VarDataCopyNoInd 004f TCustomVariantType.VarDataIsStr 0061 TCustomVariantType.VarDataToStr 006b _DV_TSQLTimeStampData 0070 TSQLTimeStampData.Create 00a1 TCustomVariantType.VarDataCastTo 00d1 TCustomVariantType.VarDataClear 00d7 @HandleFinally 011b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 33 DB 89 5D D4 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 25 8D 4D D4 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 08 EB 61 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 07 8D 4D E8 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? FF 75 E4 FF 75 E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 0F B7 40 04 8B 55 F8 66 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14656_0 {
	meta:
		name = "TSQLTimeStampOffsetVariantType.CastTo"
		size = 368
		refs = "0028 TSQLTimeStampOffsetVariantType.CastTo 005f TSQLTimeStampOffsetData.GetAsString 006a @WStrFromUStr 0077 TCustomVariantType.VarDataFromOleStr 0097 @LStrFromUStr 00a4 TCustomVariantType.VarDataFromLStr 00c1 TCustomVariantType.VarDataFromStr 00ce TCustomVariantType.VarDataInit 00ea TSQLTimeStampOffsetData.GetAsDateTime 00fc TCustomVariantType.VarDataCastTo 0114 TCustomVariantType.VarDataClear 011a @HandleFinally 0129 TCustomVariantType.CastTo 0143 @UStrArrayClr 014b @LStrClr 0153 @UStrClr 015b @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D E0 89 5D DC 89 5D E8 89 5D E4 8B D9 8B FA 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 03 8B 55 FC 66 3B 42 04 0F 85 DE 00 00 00 8B C6 66 83 E8 08 74 0E 66 2D F8 00 74 30 66 83 E8 02 74 57 EB 6F 8D 55 E4 8B 43 08 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 4D E8 8B D7 8B 45 FC E8 ?? ?? ?? ?? E9 AD 00 00 00 8D 55 DC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D E0 8B D7 8B 45 FC E8 ?? ?? ?? ?? E9 80 00 00 00 8D 55 D8 8B 43 08 E8 ?? ?? ?? ?? 8B 4D D8 8B D7 8B 45 FC E8 ?? ?? ?? ?? EB 66 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 45 EC 07 00 8B 43 08 E8 ?? ?? ?? ?? DD 5D F4 9B 56 8D 4D EC 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 56 8B CB 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14692_0 {
	meta:
		name = "TSQLTimeStampVariantType.CastTo"
		size = 368
		refs = "0028 TSQLTimeStampVariantType.CastTo 005f TSQLTimeStampData.GetAsString 006a @WStrFromUStr 0077 TCustomVariantType.VarDataFromOleStr 0097 @LStrFromUStr 00a4 TCustomVariantType.VarDataFromLStr 00c1 TCustomVariantType.VarDataFromStr 00ce TCustomVariantType.VarDataInit 00ea TSQLTimeStampData.GetAsDateTime 00fc TCustomVariantType.VarDataCastTo 0114 TCustomVariantType.VarDataClear 011a @HandleFinally 0129 TCustomVariantType.CastTo 0143 @UStrArrayClr 014b @LStrClr 0153 @UStrClr 015b @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D E0 89 5D DC 89 5D E8 89 5D E4 8B D9 8B FA 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 03 8B 55 FC 66 3B 42 04 0F 85 DE 00 00 00 8B C6 66 83 E8 08 74 0E 66 2D F8 00 74 30 66 83 E8 02 74 57 EB 6F 8D 55 E4 8B 43 08 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 4D E8 8B D7 8B 45 FC E8 ?? ?? ?? ?? E9 AD 00 00 00 8D 55 DC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D E0 8B D7 8B 45 FC E8 ?? ?? ?? ?? E9 80 00 00 00 8D 55 D8 8B 43 08 E8 ?? ?? ?? ?? 8B 4D D8 8B D7 8B 45 FC E8 ?? ?? ?? ?? EB 66 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 45 EC 07 00 8B 43 08 E8 ?? ?? ?? ?? DD 5D F4 9B 56 8D 4D EC 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 56 8B CB 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14659_0 {
	meta:
		name = "TSQLTimeStampOffsetVariantType.Copy"
		size = 76
		refs = "0017 TCustomVariantType.VarDataIsByRef 0026 TCustomVariantType.VarDataCopyNoInd 0039 _DV_TSQLTimeStampOffsetData 003e TSQLTimeStampOffsetData.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 80 7D 08 00 74 1A 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? EB 19 0F B7 43 04 66 89 07 8B 4E 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_70186_0 {
	meta:
		name = "TComplexVariantType.Copy"
		size = 76
		refs = "0017 TCustomVariantType.VarDataIsByRef 0026 TCustomVariantType.VarDataCopyNoInd 0039 _DV_TComplexData 003e TComplexData.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 80 7D 08 00 74 1A 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? EB 19 0F B7 43 04 66 89 07 8B 4E 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_14693_0 {
	meta:
		name = "TSQLTimeStampVariantType.Copy"
		size = 76
		refs = "0017 TCustomVariantType.VarDataIsByRef 0026 TCustomVariantType.VarDataCopyNoInd 0039 _DV_TSQLTimeStampData 003e TSQLTimeStampData.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 80 7D 08 00 74 1A 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? EB 19 0F B7 43 04 66 89 07 8B 4E 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_14661_0 {
	meta:
		name = "TSQLTimeStampData.GetIsBlank"
		size = 9
		refs = "0004 IsSQLTimeStampBlank"
	strings:
		$1 = { 83 C0 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64619_0 {
	meta:
		name = "TInterfacedObject.AfterConstruction"
		size = 9
		refs = "0004 InterlockedDecrement"
	strings:
		$1 = { 83 C0 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14662_0 {
	meta:
		name = "TSQLTimeStampData.AdjustMonths"
		size = 50
		refs = "000c IncrementAmount 0018 AdjustAmt"
	strings:
		$1 = { 56 EB 1D 8B F2 83 E6 7F 0F B7 0C B5 ?? ?? ?? ?? 66 01 48 04 0F B7 0C B5 ?? ?? ?? ?? 66 01 48 06 0F B7 48 06 66 83 F9 01 72 D9 66 83 F9 0C 77 D3 5E C3 }
	condition:
		$1
}

rule function_14663_0 {
	meta:
		name = "TSQLTimeStampData.AdjustDays"
		size = 88
		refs = "000b TSQLTimeStampData.DaysInMonth 001a IncrementAmount 0035 TSQLTimeStampData.AdjustMonths"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 EB 2F 0F B6 C3 0F B7 04 85 ?? ?? ?? ?? 66 01 47 06 84 DB 74 06 66 29 77 08 EB 04 66 01 77 08 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 0F B7 6F 08 66 83 FD 01 72 C7 0F B7 C5 3B F0 7C C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14664_0 {
	meta:
		name = "TSQLTimeStampData.AdjustHours"
		size = 70
		refs = "0013 IncrementAmount 001f AdjustAmt 002c TSQLTimeStampData.AdjustDays"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 EB 26 8B EB 83 E5 7F 0F B7 04 AD ?? ?? ?? ?? 66 01 46 08 0F B7 04 AD ?? ?? ?? ?? 66 01 46 0A 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B7 7E 0A 66 83 FF 17 77 D0 0F B7 C7 85 C0 7C C9 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14665_0 {
	meta:
		name = "TSQLTimeStampData.AdjustMinutes"
		size = 70
		refs = "0013 IncrementAmount 001f AdjustAmt 002c TSQLTimeStampData.AdjustHours"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 EB 26 8B EB 83 E5 7F 0F B7 04 AD ?? ?? ?? ?? 66 01 46 0A 0F B7 04 AD ?? ?? ?? ?? 66 01 46 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B7 7E 0C 66 83 FF 3B 77 D0 0F B7 C7 85 C0 7C C9 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14666_0 {
	meta:
		name = "TSQLTimeStampData.AdjustSeconds"
		size = 70
		refs = "0013 IncrementAmount 001f AdjustAmt 002c TSQLTimeStampData.AdjustMinutes"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 EB 26 8B EB 83 E5 7F 0F B7 04 AD ?? ?? ?? ?? 66 01 46 0C 0F B7 04 AD ?? ?? ?? ?? 66 01 46 0E 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B7 7E 0E 66 83 FF 3B 77 D0 0F B7 C7 85 C0 7C C9 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14667_0 {
	meta:
		name = "TSQLTimeStampData.AdjustDate"
		size = 106
		refs = "000f TSQLTimeStampData.AdjustSeconds 0018 TSQLTimeStampData.AdjustMinutes 0021 TSQLTimeStampData.AdjustHours 002a TSQLTimeStampData.AdjustDays 0033 TSQLTimeStampData.AdjustMonths"
	strings:
		$1 = { 53 56 8B DA 8B F0 84 DB 74 30 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14668_0 {
	meta:
		name = "TSQLTimeStampData.DaysInMonth"
		size = 21
		refs = "000c DaysInAMonth"
	strings:
		$1 = { 53 8B D8 0F B7 53 06 0F B7 43 04 E8 ?? ?? ?? ?? 0F B7 C0 5B C3 }
	condition:
		$1
}

rule function_14669_0 {
	meta:
		name = "TSQLTimeStampData.DoSubtract"
		size = 62
		refs = "0039 TSQLTimeStampData.AdjustDate"
	strings:
		$1 = { 0F B7 4A 04 66 29 48 04 0F B7 4A 06 66 29 48 06 0F B7 4A 08 66 29 48 08 0F B7 4A 0A 66 29 48 0A 0F B7 4A 0C 66 29 48 0C 0F B7 4A 0E 66 29 48 0E 8B 52 10 29 50 10 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14670_0 {
	meta:
		name = "TSQLTimeStampData.DoAdd"
		size = 92
		refs = "0011 IsSQLTimeStampBlank 0054 TSQLTimeStampData.AdjustDate"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 89 1C 24 8B 04 24 83 C0 04 E8 ?? ?? ?? ?? 84 C0 75 3F 0F B7 46 04 66 01 43 04 0F B7 46 06 66 01 43 06 0F B7 46 08 66 01 43 08 0F B7 46 0A 66 01 43 0A 0F B7 46 0C 66 01 43 0C 0F B7 46 0E 66 01 43 0E 8B 46 10 01 43 10 33 D2 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14671_0 {
	meta:
		name = "TSQLTimeStampData.Compare"
		size = 125
	strings:
		$1 = { 53 0F B7 48 04 0F B7 5A 04 2B CB 85 C9 75 0A 0F B7 48 06 0F B7 5A 06 2B CB 85 C9 75 0A 0F B7 48 08 0F B7 5A 08 2B CB 85 C9 75 0A 0F B7 48 0A 0F B7 5A 0A 2B CB 85 C9 75 0A 0F B7 48 0A 0F B7 5A 0A 2B CB 85 C9 75 0A 0F B7 48 0C 0F B7 5A 0C 2B CB 85 C9 75 0A 0F B7 48 0E 0F B7 5A 0E 2B CB 85 C9 75 06 8B 48 10 2B 4A 10 85 C9 75 04 B0 01 5B C3 85 C9 7E 04 B0 02 EB 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_14672_0 {
	meta:
		name = "TSQLTimeStampData.GetAsString"
		size = 21
		refs = "000e SQLTimeStampToStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8D 53 04 33 C0 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14754_0 {
	meta:
		name = "TSQLTimeStampOffsetData.GetAsString"
		size = 21
		refs = "000e SQLTimeStampOffsetToStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8D 53 04 33 C0 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14673_0 {
	meta:
		name = "TSQLTimeStampData.GetAsDateTime"
		size = 21
		refs = "0007 SQLTimeStampToDateTime"
	strings:
		$1 = { 83 C4 F8 83 C0 04 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_68857_0 {
	meta:
		name = "TDateTimeInfoRec.GetCreationTime"
		size = 21
		refs = "0007 InternalFileTimeToDateTime"
	strings:
		$1 = { 83 C4 F8 83 C0 04 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_14674_0 {
	meta:
		name = "TSQLTimeStampData.SetAsString"
		size = 35
		refs = "000f StrToSQLTimeStamp"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 8B F4 8D 7B 04 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14675_0 {
	meta:
		name = "TSQLTimeStampData.SetAsDateTime"
		size = 44
		refs = "0015 DateTimeToSQLTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D8 FF 75 0C FF 75 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 75 F0 8D 7B 04 A5 A5 A5 A5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14676_0 {
	meta:
		name = "TSQLTimeStampData.Create"
		size = 77
		refs = "000b @ClassCreate 001a TObject.Create 0024 NullSQLTimeStamp 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 56 57 83 C7 04 BE ?? ?? ?? ?? A5 A5 A5 A5 5F 5E 66 89 77 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14678_0 {
	meta:
		name = "TSQLTimeStampData.Create"
		size = 92
		refs = "0011 @ClassCreate 001e TObject.Create 002c DateTimeToSQLTimeStamp 0043 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 45 F0 E8 ?? ?? ?? ?? 56 8D 7E 04 8D 75 F0 A5 A5 A5 A5 5E 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14679_0 {
	meta:
		name = "TSQLTimeStampData.Create"
		size = 88
		refs = "0011 @ClassCreate 0021 StrToSQLTimeStamp 002a TObject.Create 0041 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 57 83 C7 04 8D 75 F0 A5 A5 A5 A5 5F 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14680_0 {
	meta:
		name = "TSQLTimeStampData.Create"
		size = 93
		refs = "0011 @ClassCreate 0024 StrToSQLTimeStamp 002d TObject.Create 0044 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 4D F0 8B 55 08 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 57 83 C7 04 8D 75 F0 A5 A5 A5 A5 5F 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14681_0 {
	meta:
		name = "TSQLTimeStampData.Create"
		size = 79
		refs = "000b @ClassCreate 0018 CheckSqlTimeStamp 0021 TObject.Create 0030 Move 003b @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 57 04 8B C6 B9 10 00 00 00 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14682_0 {
	meta:
		name = "TSQLTimeStampData.Create"
		size = 58
		refs = "000a @ClassCreate 001c TSQLTimeStampData.Create 0027 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 41 04 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_14750_0 {
	meta:
		name = "TSQLTimeStampOffsetData.Create"
		size = 58
		refs = "000a @ClassCreate 001c TSQLTimeStampOffsetData.Create 0027 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 41 04 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_14683_0 {
	meta:
		name = "TSQLTimeStampData.SetDay"
		size = 5
		altNames = "TXSBaseTime.SetHour"
	strings:
		$1 = { 66 89 50 08 C3 }
	condition:
		$1
}

rule function_14685_0 {
	meta:
		name = "TSQLTimeStampData.SetHour"
		size = 5
	strings:
		$1 = { 66 89 50 0A C3 }
	condition:
		$1
}

rule function_14686_0 {
	meta:
		name = "TSQLTimeStampData.SetMinute"
		size = 5
		altNames = "TXSBaseTime.SetMinute"
	strings:
		$1 = { 66 89 50 0C C3 }
	condition:
		$1
}

rule function_14687_0 {
	meta:
		name = "TDNSHeader.SetBitCode"
		size = 5
		altNames = "TSQLTimeStampData.SetMonth TUnicodeCodec.SetDecodeReplaceChar TXSBaseDate.SetDay"
	strings:
		$1 = { 66 89 50 06 C3 }
	condition:
		$1
}

rule function_14688_0 {
	meta:
		name = "TGIFGraphicControlExtension.SetDelay"
		size = 5
		altNames = "TSQLTimeStampData.SetSecond"
	strings:
		$1 = { 66 89 50 0E C3 }
	condition:
		$1
}

rule function_14689_0 {
	meta:
		name = "TSQLTimeStampData.SetYear"
		size = 5
		altNames = "TXSBaseDate.SetMonth"
	strings:
		$1 = { 66 89 50 04 C3 }
	condition:
		$1
}

rule function_14694_0 {
	meta:
		name = "TSQLTimeStampVariantType.RightPromotion"
		size = 48
		refs = "000d VarSQLTimeStampOffset 0025 TCustomVariantType.RightPromotion"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 66 3B 06 75 04 33 C0 EB 0F 8B 45 08 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_14696_0 {
	meta:
		name = "TSQLTimeStampVariantType.BinaryOp"
		size = 52
		refs = "0017 TSQLTimeStampData.DoAdd 0024 TSQLTimeStampData.DoSubtract 002b TCustomVariantType.RaiseInvalidOp"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 EB 01 72 04 74 0F EB 1A 8B 42 08 8B 51 08 E8 ?? ?? ?? ?? EB 12 8B 42 08 8B 51 08 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_14698_0 {
	meta:
		name = "VarSQLTimeStampCreate"
		size = 45
		refs = "0009 @VarClear 000e SQLTimeStampVariantType 001e _DV_TSQLTimeStampData 0023 TSQLTimeStampData.Create"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F B7 40 04 66 89 03 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_14710_0 {
	meta:
		name = "VarSQLTimeStampOffsetCreate"
		size = 45
		refs = "0009 @VarClear 000e SQLTimeStampOffsetVariantType 001e _DV_TSQLTimeStampOffsetData 0023 TSQLTimeStampOffsetData.Create"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F B7 40 04 66 89 03 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_14699_0 {
	meta:
		name = "VarSQLTimeStampCreate"
		size = 50
		refs = "000c @VarClear 0011 SQLTimeStampVariantType 0022 _DV_TSQLTimeStampData 0027 TSQLTimeStampData.Create"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F B7 40 04 66 89 03 57 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14711_0 {
	meta:
		name = "VarSQLTimeStampOffsetCreate"
		size = 50
		refs = "000c @VarClear 0011 SQLTimeStampOffsetVariantType 0022 _DV_TSQLTimeStampOffsetData 0027 TSQLTimeStampOffsetData.Create"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F B7 40 04 66 89 03 57 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14700_0 {
	meta:
		name = "VarSQLTimeStampCreate"
		size = 51
		refs = "0009 @VarClear 000e SQLTimeStampVariantType 0022 _DV_TSQLTimeStampData 0027 TSQLTimeStampData.Create"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F B7 40 04 66 89 03 FF 75 0C FF 75 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14712_0 {
	meta:
		name = "VarSQLTimeStampOffsetCreate"
		size = 51
		refs = "0009 @VarClear 000e SQLTimeStampOffsetVariantType 0022 _DV_TSQLTimeStampOffsetData 0027 TSQLTimeStampOffsetData.Create"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F B7 40 04 66 89 03 FF 75 0C FF 75 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14706_0 {
	meta:
		name = "GetSQLTimeStampFromStringVariant"
		size = 151
		refs = "0016 GetSQLTimeStampFromStringVariant 0026 @VarToUStr 0030 _DV_TSQLTimeStampData 0035 TSQLTimeStampData.Create 0067 TObject.Free 006d @HandleFinally 0084 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B FE 8D 70 04 A5 A5 A5 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14707_0 {
	meta:
		name = "VarToSQLTimeStamp"
		size = 215
		refs = "0010 VarToSQLTimeStamp 0026 NullSQLTimeStamp 004d GetSQLTimeStampFromStringVariant 0065 @VarToReal 0073 DateTimeToSQLTimeStamp 007b SQLTimeStampVariantType 0097 SInvalidVarCast 009c LoadResString 00a6 _Dn_EVariantError 00ab Exception.Create 00b0 @RaiseExcept 00c5 @UStrClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 03 66 83 E8 02 73 10 8B FE BE ?? ?? ?? ?? A5 A5 A5 A5 E9 81 00 00 00 0F B7 03 66 3D 00 01 74 0C 66 3D 02 01 74 06 66 83 F8 08 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 61 0F B7 03 66 83 F8 05 74 06 66 83 F8 07 75 17 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? EB 3B 8B 15 ?? ?? ?? ?? 66 3B 42 04 75 0E 8B 43 08 8B FE 8D 70 04 A5 A5 A5 A5 EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14708_0 {
	meta:
		name = "GetSQLTimeStampOffsetFromStringVariant"
		size = 152
		refs = "0016 GetSQLTimeStampOffsetFromStringVariant 0026 @VarToUStr 0030 _DV_TSQLTimeStampOffsetData 0035 TSQLTimeStampOffsetData.Create 0068 TObject.Free 006e @HandleFinally 0085 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B FE 8D 70 04 A5 A5 A5 A5 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14709_0 {
	meta:
		name = "VarToSQLTimeStampOffset"
		size = 217
		refs = "0010 VarToSQLTimeStampOffset 0026 NullSQLTimeStampOffset 004e GetSQLTimeStampOffsetFromStringVariant 0066 @VarToReal 0074 DateTimeToSQLTimeStampOffset 007c SQLTimeStampOffsetVariantType 0099 SInvalidVarCast 009e LoadResString 00a8 _Dn_EVariantError 00ad Exception.Create 00b2 @RaiseExcept 00c7 @UStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 03 66 83 E8 02 73 11 8B FE BE ?? ?? ?? ?? A5 A5 A5 A5 A5 E9 82 00 00 00 0F B7 03 66 3D 00 01 74 0C 66 3D 02 01 74 06 66 83 F8 08 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 62 0F B7 03 66 83 F8 05 74 06 66 83 F8 07 75 17 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? EB 3C 8B 15 ?? ?? ?? ?? 66 3B 42 04 75 0F 8B 43 08 8B FE 8D 70 04 A5 A5 A5 A5 A5 EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14718_0 {
	meta:
		name = "SQLTimeStampToStr"
		size = 133
		refs = "001f SQLTimeStampToStr 002d SQLTimeStampToDateTime 003b @UStrLAsg 0053 CurrencyString 005d DateTimeToString 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D FC 8B F2 8D 7D D8 A5 A5 A5 A5 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D8 E8 ?? ?? ?? ?? DD 5D F0 9B 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 E8 8B 45 F4 89 45 EC FF 75 EC FF 75 E8 8B 0D ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14719_0 {
	meta:
		name = "SQLTimeStampToStr"
		size = 61
		refs = "001a SQLTimeStampToDateTime 0030 DateTimeToString"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F2 8D 7D E8 A5 A5 A5 A5 8B F1 8B D8 8D 45 E8 E8 ?? ?? ?? ?? DD 5D F8 9B FF 75 FC FF 75 F8 8B CE 8B 45 08 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14720_0 {
	meta:
		name = "IsSqlTimeStampValid"
		size = 61
		refs = "0014 DaysInAMonth"
	strings:
		$1 = { 53 56 8B D8 0F B7 73 02 66 83 FE 0C 77 25 8B D6 0F B7 03 E8 ?? ?? ?? ?? 66 3B 43 04 72 15 66 83 7B 06 17 77 0E 66 83 7B 08 3B 77 07 66 83 7B 0A 3B 76 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_14721_0 {
	meta:
		name = "ExtractMSecFromString"
		size = 928
		refs = "001a ExtractMSecFromString 0032 TryStrToDateTime 0052 DecodeTime 0069 IntToStr 0079 @UStrFromWChar 0085 @UStrCat3 008f Pos 0109 @WStrFromUStr 011c MidStr 0127 @UStrFromWStr 021c @UStrCatN 0276 @UStrClr 02b3 @UStrCat 02bc @UStrLen 02d2 CharInSet 02e4 StrToInt 030a @WStrArrayClr 0317 @UStrArrayClr 035e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0D 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 45 F6 00 00 8B CE 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 AE 02 00 00 FF 75 EC FF 75 E8 8D 45 F6 50 8D 4D E2 8D 55 E4 8D 45 E6 E8 ?? ?? ?? ?? 66 83 7D F6 00 0F 85 8B 02 00 00 8D 55 D8 0F B7 45 E6 E8 ?? ?? ?? ?? 8B 45 D8 50 8D 45 D4 0F B7 56 08 E8 ?? ?? ?? ?? 8B 4D D4 8D 45 FC 5A E8 ?? ?? ?? ?? 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 75 40 66 83 7D E6 0C 76 39 66 83 6D E6 0C 8D 55 D0 0F B7 45 E6 E8 ?? ?? ?? ?? 8B 45 D0 50 8D 45 CC 0F B7 56 08 E8 ?? ?? ?? ?? 8B 4D CC 8D 45 FC 5A E8 ?? ?? ?? ?? 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 75 0B 66 C7 45 F6 00 00 E9 04 02 00 00 8B 45 FC 89 45 DC 83 7D DC 00 74 0B 8B 45 DC 83 E8 04 8B 00 89 45 DC 8D 45 C8 50 8D 45 C4 8B D7 E8 ?? ?? ?? ?? 8B 45 C4 8B D3 03 55 DC 4A B9 FF FF FF 7F E8 ?? ?? ?? ?? 8B 55 C8 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 C0 0F B7 45 E4 E8 ?? ?? ?? ?? 8B 45 C0 50 8D 45 BC 0F B7 56 08 E8 ?? ?? ?? ?? 8B 4D BC 8D 45 FC 5A E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 75 0B 66 C7 45 F6 00 00 E9 7D 01 00 00 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 8D 45 B8 50 8D 45 B4 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 B4 8D 14 1F 4A B9 FF FF FF 7F E8 ?? ?? ?? ?? 8B 55 B8 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 B0 0F B7 45 E2 E8 ?? ?? ?? ?? 8B 45 B0 50 8D 45 AC 0F B7 56 08 E8 ?? ?? ?? ?? 8B 55 AC 8D 45 FC 59 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 75 4E 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 02 75 3D 8D 45 A8 0F B7 56 08 E8 ?? ?? ?? ?? FF 75 A8 68 ?? ?? ?? ?? 8D 55 A4 0F B7 45 E2 E8 ?? ?? ?? ?? FF 75 A4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 75 0B 66 C7 45 F6 00 00 E9 B0 00 00 00 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 8D 45 A0 50 8D 45 9C 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 9C 8D 14 1F B9 FF FF FF 7F E8 ?? ?? ?? ?? 8B 55 A0 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 48 7E 51 8B 45 F8 0F B7 00 66 3B 46 08 75 45 BB 02 00 00 00 EB 1C 8D 45 98 8B 55 F8 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 55 98 8D 45 FC E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7F 16 BA ?? ?? ?? ?? 8B 45 F8 0F B7 44 58 FE E8 ?? ?? ?? ?? 84 C0 75 C2 83 7D FC 00 74 0C 8B 45 FC E8 ?? ?? ?? ?? 66 89 45 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 95 0F B7 45 F6 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 00 00 00 00 00 00 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14722_0 {
	meta:
		name = "TryStrToSQLTimeStamp"
		size = 180
		refs = "0017 TryStrToSQLTimeStamp 0028 @UStrLAsg 002e CurrencyString 0039 TryStrToDateTime 004d DateTimeToSQLTimeStamp 006c ExtractMSecFromString 0079 IsSqlTimeStampValid 0086 NullSQLTimeStamp 009f @UStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D FC 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 74 3C FF 75 F4 FF 75 F0 8D 45 E0 E8 ?? ?? ?? ?? 56 8B FE 8D 75 E0 A5 A5 A5 A5 5E 83 7E 0C 00 75 14 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 0F B7 C0 89 46 0C 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 0B 8B FE BE ?? ?? ?? ?? A5 A5 A5 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14723_0 {
	meta:
		name = "TryStrToSQLTimeStamp"
		size = 108
		refs = "0013 TryStrToDateTime 0028 DateTimeToSQLTimeStamp 0045 ExtractMSecFromString 0052 IsSqlTimeStampValid 005d NullSQLTimeStamp"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F9 8B DA 8B F0 8B CF 8B D4 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3B FF 74 24 04 FF 74 24 04 8D 44 24 10 E8 ?? ?? ?? ?? 56 57 8D 74 24 10 8B FB A5 A5 A5 A5 5F 5E 83 7B 0C 00 75 0F 8B D7 8B C6 E8 ?? ?? ?? ?? 0F B7 C0 89 43 0C 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B FB BE ?? ?? ?? ?? A5 A5 A5 A5 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14725_0 {
	meta:
		name = "StrToSQLTimeStamp"
		size = 111
		refs = "0012 StrToSQLTimeStamp 0023 TryStrToSQLTimeStamp 002f SCouldNotParseTimeStamp 0034 LoadResString 003e _Dn_EConvertError 0043 Exception.Create 0048 @RaiseExcept 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14738_0 {
	meta:
		name = "StrToSQLTimeStampOffset"
		size = 111
		refs = "0012 StrToSQLTimeStampOffset 0023 TryStrToSQLTimeStampOffset 002f SCouldNotParseTimeStamp 0034 LoadResString 003e _Dn_EConvertError 0043 Exception.Create 0048 @RaiseExcept 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14726_0 {
	meta:
		name = "DateTimeToSQLTimeStamp"
		size = 63
		refs = "0016 DecodeDate 002e DecodeTime"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 FF 75 0C FF 75 08 8D 4B 04 8D 53 02 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 45 FE 50 8D 4B 0A 8D 53 08 8D 43 06 E8 ?? ?? ?? ?? 0F B7 45 FE 89 43 0C 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_14727_0 {
	meta:
		name = "SQLTimeStampToDateTime"
		size = 136
		refs = "0009 IsSQLTimeStampBlank 0028 EncodeDate 0035 SQLTimeStampToDateTime 0051 EncodeTime"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 33 C0 89 04 24 89 44 24 04 EB 5F 0F B7 4B 04 0F B7 53 02 0F B7 03 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 1F 0F B7 43 0C 50 0F B7 4B 0A 0F B7 53 08 0F B7 43 06 E8 ?? ?? ?? ?? DC 04 24 DD 1C 24 9B EB 1D 0F B7 43 0C 50 0F B7 4B 0A 0F B7 53 08 0F B7 43 06 E8 ?? ?? ?? ?? DC 2C 24 DD 1C 24 9B DD 04 24 59 5A 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14731_0 {
	meta:
		name = "SQLTimeStampOffsetToDateTime"
		size = 136
		refs = "0009 IsSQLTimeStampOffsetBlank 0028 EncodeDate 0035 SQLTimeStampOffsetToDateTime 0051 EncodeTime"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 33 C0 89 04 24 89 44 24 04 EB 5F 0F B7 4B 04 0F B7 53 02 0F B7 03 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 1F 0F B7 43 0C 50 0F B7 4B 0A 0F B7 53 08 0F B7 43 06 E8 ?? ?? ?? ?? DC 04 24 DD 1C 24 9B EB 1D 0F B7 43 0C 50 0F B7 4B 0A 0F B7 53 08 0F B7 43 06 E8 ?? ?? ?? ?? DC 2C 24 DD 1C 24 9B DD 04 24 59 5A 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14728_0 {
	meta:
		name = "SQLDayOfWeek"
		size = 31
		refs = "0004 SQLTimeStampToDateTime 0015 DayOfWeek"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? DD 1C 24 9B FF 74 24 04 FF 74 24 04 E8 ?? ?? ?? ?? 0F B7 C0 59 5A C3 }
	condition:
		$1
}

rule function_14729_0 {
	meta:
		name = "DateTimeToSQLTimeStampOffset"
		size = 225
		refs = "000c TTimeZone.FLocal 0015 Now 002a TTimeZone.GetUtcOffsetInSeconds 0042 TTimeSpan.FromSeconds 0062 TTimeSpan.GetHours 00c9 TTimeSpan.GetMinutes 00d4 DateTimeToSQLTimeStampOffset"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 8B F0 A1 ?? ?? ?? ?? 8B 00 8B F8 E8 ?? ?? ?? ?? DD 5D E0 9B 33 DB FF 75 E4 FF 75 E0 8B D3 8B C7 E8 ?? ?? ?? ?? 89 45 B0 89 55 B4 DF 6D B0 83 C4 F8 DD 1C 24 9B 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 89 45 E8 8B 45 DC 89 45 EC 8B 45 E8 89 45 F8 8B 45 EC 89 45 FC 8D 45 F8 E8 ?? ?? ?? ?? 8B D8 A1 ?? ?? ?? ?? 8B 00 8B F8 E8 ?? ?? ?? ?? DD 5D C8 9B C6 45 C7 00 FF 75 CC FF 75 C8 0F B6 55 C7 8B C7 E8 ?? ?? ?? ?? 89 45 B0 89 55 B4 DF 6D B0 83 C4 F8 DD 1C 24 9B 8D 45 B8 E8 ?? ?? ?? ?? 8B 45 B8 89 45 D0 8B 45 BC 89 45 D4 FF 75 0C FF 75 08 8B 45 D0 89 45 F0 8B 45 D4 89 45 F4 8D 45 F0 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14730_0 {
	meta:
		name = "DateTimeToSQLTimeStampOffset"
		size = 99
		refs = "0019 DateTimeToSQLTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D9 8B FA 8B F0 FF 75 0C FF 75 08 8D 45 F0 E8 ?? ?? ?? ?? 0F B7 45 F0 66 89 03 0F B7 45 F2 66 89 43 02 0F B7 45 F4 66 89 43 04 0F B7 45 F6 66 89 43 06 0F B7 45 F8 66 89 43 08 0F B7 45 FA 66 89 43 0A 8B 45 FC 89 43 0C 66 89 73 10 66 89 7B 12 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14732_0 {
	meta:
		name = "SQLTimeStampOffsetToStr"
		size = 336
		refs = "0026 SQLTimeStampOffsetToStr 0034 SQLTimeStampOffsetToDateTime 0042 @UStrLAsg 005a CurrencyString 0064 DateTimeToString 007a EncodeTime 00cb @UStrCatN 00fd @UStrArrayClr 0103 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 8B F2 8D 7D BC A5 A5 A5 A5 A5 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 BC E8 ?? ?? ?? ?? DD 5D E8 9B 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 E8 89 45 D8 8B 45 EC 89 45 DC FF 75 DC FF 75 D8 8B 0D ?? ?? ?? ?? 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 6A 00 0F BF 45 CC 99 33 C2 2B C2 33 C9 0F B7 55 CE E8 ?? ?? ?? ?? DD 5D E0 9B 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 89 45 D0 8B 45 E4 89 45 D4 FF 75 D4 FF 75 D0 8B 0D ?? ?? ?? ?? 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 66 83 7D CC 00 7D 18 FF 33 68 ?? ?? ?? ?? FF 75 FC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 16 FF 33 68 ?? ?? ?? ?? FF 75 FC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 68 00 68 00 3A 00 6E 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 2D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 2B 00 00 00 00 00 }
	condition:
		$1
}

rule function_14733_0 {
	meta:
		name = "SQLTimeStampOffsetToStr"
		size = 312
		refs = "0026 SQLTimeStampOffsetToStr 0034 SQLTimeStampOffsetToDateTime 0049 DateTimeToString 005f EncodeTime 0070 @UStrLAsg 0088 CurrencyString 00b0 @UStrCatN 00e2 @UStrArrayClr 00e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D FC 89 5D F8 8B F2 8D 7D CC A5 A5 A5 A5 A5 8B F9 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 CC E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 8B CF 8B C3 8B D6 E8 ?? ?? ?? ?? 6A 00 0F BF 45 DC 99 33 C2 2B C2 33 C9 0F B7 55 DE E8 ?? ?? ?? ?? DD 5D E8 9B 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 89 45 E0 8B 45 EC 89 45 E4 FF 75 E4 FF 75 E0 8B 0D ?? ?? ?? ?? 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 66 83 7D DC 00 7D 18 FF 33 68 ?? ?? ?? ?? FF 75 FC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 16 FF 33 68 ?? ?? ?? ?? FF 75 FC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 68 00 68 00 3A 00 6E 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 2D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 2B 00 00 00 00 00 }
	condition:
		$1
}

rule function_14734_0 {
	meta:
		name = "IsSqlTimeStampOffsetValid"
		size = 96
		refs = "0014 DaysInAMonth"
	strings:
		$1 = { 53 56 8B D8 0F B7 73 02 66 83 FE 0C 77 48 8B D6 0F B7 03 E8 ?? ?? ?? ?? 66 3B 43 04 72 38 66 83 7B 06 17 77 31 66 83 7B 08 3B 77 2A 66 83 7B 0A 3B 77 23 66 83 7B 10 0E 7F 1C 66 83 7B 10 F4 7C 15 66 83 7B 12 3B 7F 0E 66 83 7B 10 0E 75 0C 66 83 7B 12 00 7E 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_14735_0 {
	meta:
		name = "TryStrToSQLTimeStampOffset"
		size = 403
		refs = "0028 TryStrToSQLTimeStampOffset 0040 @UStrLAsg 0046 CurrencyString 0051 TryStrToDateTime 0065 @WStrFromUStr 0075 RightStr 00a0 @UStrFromWStr 00b9 StrToDateTime 00db DateTimeToSQLTimeStampOffset 00fc ExtractMSecFromString 011a DecodeTime 0145 IsSqlTimeStampOffsetValid 0152 NullSQLTimeStampOffset 0171 @WStrArrayClr 017e @UStrArrayClr 0184 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 C9 89 4D C4 89 4D C0 89 4D CC 89 4D C8 89 4D FC 89 4D F8 89 4D F4 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 75 04 33 DB EB 1D 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 84 EC 00 00 00 8D 45 C8 8B D7 E8 ?? ?? ?? ?? 8B 45 C8 8D 4D CC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 CC 0F B7 18 8D 45 C0 8B D7 E8 ?? ?? ?? ?? 8B 45 C0 8D 4D C4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? DD 5D D0 9B 8B 45 D0 89 45 E0 8B 45 D4 89 45 E4 FF 75 EC FF 75 E8 8D 4D AC 33 D2 33 C0 E8 ?? ?? ?? ?? 56 57 8B FE 8D 75 AC A5 A5 A5 A5 A5 5F 5E 83 7E 0C 00 75 13 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 0F B7 C0 89 46 0C FF 75 E4 FF 75 E0 8D 45 D8 50 8D 4D DA 8D 55 DC 8D 45 DE E8 ?? ?? ?? ?? 66 83 FB 2D 75 0E 0F B7 45 DE 8B D0 F7 D8 66 89 46 10 EB 08 0F B7 45 DE 66 89 46 10 0F B7 45 DC 66 89 46 12 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 0C 8B FE BE ?? ?? ?? ?? A5 A5 A5 A5 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14736_0 {
	meta:
		name = "TryStrToSQLTimeStampOffset"
		size = 386
		refs = "0028 TryStrToSQLTimeStampOffset 0043 TryStrToDateTime 005f DateTimeToSQLTimeStampOffset 007d ExtractMSecFromString 008d @WStrFromUStr 009d RightStr 00c8 @UStrFromWStr 00d3 @UStrLAsg 00d9 CurrencyString 00e1 StrToDateTime 0109 DecodeTime 0134 IsSqlTimeStampOffsetValid 0141 NullSQLTimeStampOffset 0160 @WStrArrayClr 016d @UStrArrayClr 0173 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 DB 89 5D B0 89 5D AC 89 5D B8 89 5D B4 89 5D FC 89 5D F8 89 4D F4 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 75 04 33 DB EB 0F 8B 4D F4 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 84 E9 00 00 00 FF 75 EC FF 75 E8 8D 4D BC 33 D2 33 C0 E8 ?? ?? ?? ?? 56 57 8B FE 8D 75 BC A5 A5 A5 A5 A5 5F 5E 83 7E 0C 00 75 10 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 0F B7 C0 89 46 0C 8D 45 B4 8B D7 E8 ?? ?? ?? ?? 8B 45 B4 8D 4D B8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 B8 0F B7 18 8D 45 AC 8B D7 E8 ?? ?? ?? ?? 8B 45 AC 8D 4D B0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 B0 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DD 5D D0 9B 8B 45 D0 89 45 E0 8B 45 D4 89 45 E4 FF 75 E4 FF 75 E0 8D 45 D8 50 8D 4D DA 8D 55 DC 8D 45 DE E8 ?? ?? ?? ?? 66 83 FB 2D 75 0E 0F B7 45 DE 8B D0 F7 D8 66 89 46 10 EB 08 0F B7 45 DE 66 89 46 10 0F B7 45 DC 66 89 46 12 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 0C 8B FE BE ?? ?? ?? ?? A5 A5 A5 A5 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14739_0 {
	meta:
		name = "CheckSqlTimeStamp"
		size = 265
		refs = "000f CheckSqlTimeStamp 006c DaysInAMonth 007a SInvalidSqlTimeStamp 007f LoadResString 0089 _Dn_EConvertError 008e Exception.Create 0093 @RaiseExcept 00f7 @UStrArrayClr 00fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 03 0F B7 53 02 03 C2 0F B7 53 04 03 C2 8B D0 0F B7 4B 06 03 D1 0F B7 4B 08 03 D1 0F B7 4B 0A 03 D1 85 D2 0F 86 9D 00 00 00 85 C0 76 4F 0F B7 33 66 85 F6 74 26 66 83 7B 02 00 74 1F 66 83 7B 04 00 74 18 66 83 7B 02 0C 77 11 0F B7 53 02 8B C6 E8 ?? ?? ?? ?? 66 3B 43 04 73 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 43 06 0F B7 53 08 03 C2 0F B7 53 0A 03 C2 85 C0 76 36 66 83 7B 06 17 77 0E 66 83 7B 0A 3B 77 07 66 83 7B 08 3B 76 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14740_0 {
	meta:
		name = "CheckSqlTimeStampOffset"
		size = 341
		refs = "000f CheckSqlTimeStampOffset 007d DaysInAMonth 008b SInvalidSqlTimeStamp 0090 LoadResString 009a _Dn_EConvertError 009f Exception.Create 00a4 @RaiseExcept 0143 @UStrArrayClr 0149 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F BF 43 10 99 33 C2 2B C2 0F B7 0B 0F B7 53 02 03 CA 0F B7 53 04 03 CA 8B D1 0F B7 73 06 03 D6 0F B7 73 08 03 D6 0F B7 73 0A 03 D6 03 C2 0F BF 53 12 03 C2 85 C0 0F 8E D8 00 00 00 85 C9 76 4F 0F B7 33 66 85 F6 74 26 66 83 7B 02 00 74 1F 66 83 7B 04 00 74 18 66 83 7B 02 0C 77 11 0F B7 53 02 8B C6 E8 ?? ?? ?? ?? 66 3B 43 04 73 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BF 43 10 99 33 C2 2B C2 0F B7 53 06 0F B7 4B 08 03 D1 0F B7 4B 0A 03 D1 03 C2 0F BF 53 12 03 C2 85 C0 7E 60 66 83 7B 06 17 77 38 66 83 7B 0A 3B 77 31 66 83 7B 08 3B 77 2A 0F BF 43 10 99 33 C2 2B C2 83 F8 0E 7F 1C 0F BF 43 10 99 33 C2 2B C2 83 F8 0E 75 07 66 83 7B 12 00 7F 07 66 83 7B 12 3B 7E 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14741_0 {
	meta:
		name = "LocalToUTC"
		size = 191
		refs = "0007 SQLTimeStampToDateTime 0010 TTimeZone.FLocal 0030 TTimeZone.GetUtcOffsetInSeconds 007b @_llmul 0082 IncMilliSecond 00b6 DateTimeToSQLTimeStamp"
	strings:
		$1 = { 56 83 C4 C0 8B F2 E8 ?? ?? ?? ?? DD 1C 24 9B A1 ?? ?? ?? ?? 8B 00 8B 14 24 89 54 24 10 8B 54 24 04 89 54 24 14 33 D2 FF 74 24 14 FF 74 24 14 E8 ?? ?? ?? ?? 89 44 24 20 89 54 24 24 8B 44 24 10 89 44 24 28 8B 44 24 14 89 44 24 2C 8B 44 24 20 8B 54 24 24 F7 D8 83 D2 00 F7 DA 89 44 24 30 89 54 24 34 FF 74 24 2C FF 74 24 2C 6A 00 68 E8 03 00 00 8B 44 24 40 8B 54 24 44 E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 5C 24 38 9B 8B 44 24 38 89 44 24 18 8B 44 24 3C 89 44 24 1C 8B 44 24 18 89 44 24 08 8B 44 24 1C 89 44 24 0C FF 74 24 0C FF 74 24 0C 8B C6 E8 ?? ?? ?? ?? 83 C4 40 5E C3 }
	condition:
		$1
}

rule function_14742_0 {
	meta:
		name = "UTCToLocal"
		size = 60
		refs = "0007 SQLTimeStampToDateTime 0018 TTimeZone.FLocal 001f TTimeZone.ToLocalTime 0033 DateTimeToSQLTimeStamp"
	strings:
		$1 = { 53 83 C4 F0 8B DA E8 ?? ?? ?? ?? DD 1C 24 9B FF 74 24 04 FF 74 24 04 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? DD 5C 24 08 9B FF 74 24 0C FF 74 24 0C 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_14743_0 {
	meta:
		name = "TSQLTimeStampOffsetData.Create"
		size = 57
		refs = "000b @ClassCreate 0015 NullSQLTimeStampOffset 0027 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 8D 78 04 BE ?? ?? ?? ?? A5 A5 A5 A5 A5 66 89 58 08 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14745_0 {
	meta:
		name = "TSQLTimeStampOffsetData.Create"
		size = 84
		refs = "0011 @ClassCreate 0023 DateTimeToSQLTimeStampOffset 003b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 FF 75 0C FF 75 08 8D 45 EC E8 ?? ?? ?? ?? 56 8D 7E 04 8D 75 EC A5 A5 A5 A5 A5 5E 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14746_0 {
	meta:
		name = "TSQLTimeStampOffsetData.Create"
		size = 89
		refs = "0011 @ClassCreate 0020 TObject.Create 002a StrToSQLTimeStampOffset 0042 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 57 8D 75 EC 83 C7 04 A5 A5 A5 A5 A5 5F 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14747_0 {
	meta:
		name = "TSQLTimeStampOffsetData.Create"
		size = 94
		refs = "0011 @ClassCreate 0020 TObject.Create 002d StrToSQLTimeStampOffset 0045 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 4D EC 8B 55 08 8B C6 E8 ?? ?? ?? ?? 57 8D 75 EC 83 C7 04 A5 A5 A5 A5 A5 5F 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14748_0 {
	meta:
		name = "TSQLTimeStampOffsetData.Create"
		size = 143
		refs = "0011 @ClassCreate 002b LocalToUTC 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 57 8D 7D F0 A5 A5 A5 A5 5F 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 0F B7 45 E0 66 89 47 04 0F B7 45 E2 66 89 47 06 0F B7 45 E4 66 89 47 08 0F B7 45 E6 66 89 47 0A 0F B7 45 E8 66 89 47 0C 0F B7 45 EA 66 89 47 0E 8B 45 EC 89 47 10 66 C7 47 14 00 00 66 C7 47 16 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14749_0 {
	meta:
		name = "TSQLTimeStampOffsetData.Create"
		size = 79
		refs = "000b @ClassCreate 0018 CheckSqlTimeStampOffset 0021 TObject.Create 0030 Move 003b @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 57 04 8B C6 B9 14 00 00 00 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14751_0 {
	meta:
		name = "TSQLTimeStampOffsetData.ConvertToUTC"
		size = 366
		refs = "005c EncodeDate 00c5 IncHour 0147 DecodeDate"
	strings:
		$1 = { 53 56 57 83 C4 D8 8B F1 8B DA 0F B7 03 66 89 06 0F B7 43 02 66 89 46 02 0F B7 43 04 66 89 46 04 0F B7 43 06 66 89 46 06 0F B7 43 08 66 89 46 08 0F B7 43 0A 66 89 46 0A 8B 43 0C 89 46 0C 66 83 7B 10 00 75 0B 66 83 7B 12 00 0F 84 17 01 00 00 0F B7 4E 04 0F B7 56 02 0F B7 06 E8 ?? ?? ?? ?? DD 1C 24 9B 0F B7 43 06 6B F8 3C 0F B7 43 08 03 F8 0F B7 43 10 66 85 C0 7E 10 0F BF C0 6B C0 3C 2B F8 0F BF 43 12 2B F8 EB 0E 0F BF C0 6B C0 3C 2B F8 0F BF 43 12 03 F8 85 FF 7D 49 8B 04 24 89 44 24 08 8B 44 24 04 89 44 24 0C 83 C9 FF FF 74 24 0C FF 74 24 0C 8B C1 03 C0 03 C0 03 C0 8D 04 40 99 52 50 E8 ?? ?? ?? ?? DD 5C 24 10 9B 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 81 C7 A0 05 00 00 EB 51 81 FF A0 05 00 00 7C 49 8B 04 24 89 44 24 18 8B 44 24 04 89 44 24 1C B9 01 00 00 00 FF 74 24 1C FF 74 24 1C 8B C1 03 C0 03 C0 03 C0 8D 04 40 99 52 50 E8 ?? ?? ?? ?? DD 5C 24 20 9B 8B 44 24 20 89 04 24 8B 44 24 24 89 44 24 04 81 EF A0 05 00 00 FF 74 24 04 FF 74 24 04 8D 4E 04 8D 56 02 8B C6 E8 ?? ?? ?? ?? 8B C7 B9 3C 00 00 00 99 F7 F9 66 89 46 06 8B C7 B9 3C 00 00 00 99 F7 F9 66 89 56 08 83 C4 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14752_0 {
	meta:
		name = "TSQLTimeStampOffsetData.GetAsDateTime"
		size = 18
		refs = "0004 TSQLTimeStampOffsetData.GetLocalDateTime"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_61912_0 {
	meta:
		name = "GetNumericValue"
		size = 18
		refs = "0004 TCharacter.GetNumericValue"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_69202_0 {
	meta:
		name = "GetTime"
		size = 18
		refs = "0004 Time"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_63274_0 {
	meta:
		name = "StartOfADay"
		size = 18
		refs = "0004 EncodeDateDay"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_63272_0 {
	meta:
		name = "StartOfAWeek"
		size = 18
		refs = "0004 EncodeDateWeek"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_71245_0 {
	meta:
		name = "TRegistry.ReadDate"
		size = 18
		refs = "0004 TRegistry.ReadDateTime"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_71247_0 {
	meta:
		name = "TRegistry.ReadTime"
		size = 18
		refs = "0004 TRegistry.ReadDateTime"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_63247_0 {
	meta:
		name = "Today"
		size = 18
		refs = "0004 Date"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_70485_0 {
	meta:
		name = "VarToDateTime"
		size = 18
		refs = "0004 @VarToDate"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_14753_0 {
	meta:
		name = "TSQLTimeStampOffsetData.SetAsDateTime"
		size = 45
		refs = "0015 DateTimeToSQLTimeStampOffset"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B D8 FF 75 0C FF 75 08 8D 45 EC E8 ?? ?? ?? ?? 8D 75 EC 8D 7B 04 A5 A5 A5 A5 A5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14755_0 {
	meta:
		name = "TSQLTimeStampOffsetData.SetAsString"
		size = 36
		refs = "000f StrToSQLTimeStampOffset"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 8B F4 8D 7B 04 A5 A5 A5 A5 A5 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14756_0 {
	meta:
		name = "TSQLTimeStampOffsetData.GetLocalDateTime"
		size = 38
		refs = "000d TSQLTimeStampOffsetData.GetLocalTimeStamp 0016 SQLTimeStampToDateTime"
	strings:
		$1 = { 53 83 C4 E8 8B D8 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 8D 44 24 08 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_14758_0 {
	meta:
		name = "TSQLTimeStampOffsetData.GetUTCDateTime"
		size = 38
		refs = "000d TSQLTimeStampOffsetData.GetUTCTimeStamp 0016 SQLTimeStampToDateTime"
	strings:
		$1 = { 53 83 C4 E8 8B D8 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 8D 44 24 08 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_14757_0 {
	meta:
		name = "TSQLTimeStampOffsetData.GetLocalTimeStamp"
		size = 33
		refs = "000e TSQLTimeStampOffsetData.GetUTCTimeStamp 0017 UTCToLocal"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C4 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_14759_0 {
	meta:
		name = "TSQLTimeStampOffsetData.GetUTCTimeStamp"
		size = 21
		refs = "000e TSQLTimeStampOffsetData.ConvertToUTC"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8D 53 04 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14760_0 {
	meta:
		name = "TSQLTimeStampOffsetData.Compare"
		size = 178
		refs = "0011 TSQLTimeStampOffsetData.ConvertToUTC"
	strings:
		$1 = { 53 56 83 C4 E0 8B F2 8B D8 8B CC 8D 53 04 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 10 8D 56 04 8B C3 E8 ?? ?? ?? ?? 0F B7 04 24 0F B7 54 24 10 2B C2 85 C0 75 0C 0F B7 44 24 02 0F B7 54 24 12 2B C2 85 C0 75 0C 0F B7 44 24 04 0F B7 54 24 14 2B C2 85 C0 75 0C 0F B7 44 24 06 0F B7 54 24 16 2B C2 85 C0 75 0C 0F B7 44 24 06 0F B7 54 24 16 2B C2 85 C0 75 0C 0F B7 44 24 08 0F B7 54 24 18 2B C2 85 C0 75 0C 0F B7 44 24 0A 0F B7 54 24 1A 2B C2 85 C0 75 08 8B 44 24 0C 2B 44 24 1C 85 C0 75 04 B0 01 EB 0A 85 C0 7E 04 B0 02 EB 02 33 C0 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_14762_0 {
	meta:
		name = "Data.SqlTimSt"
		size = 44
		refs = "0002 _DV_1 000c _DV_TSQLTimeStampVariantType 0011 TCustomVariantType.Create 0016 SQLTimeStampVariantType 001d _DV_TSQLTimeStampOffsetVariantType 0027 SQLTimeStampOffsetVariantType"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23374_0 {
	meta:
		name = "Datasnap.DSServer"
		size = 44
		refs = "0002 _DV_11 000c _Dn_TDBXArrayList 0011 TDBXArrayList.Create 0016 TDSServer.FServerList 001d _DV_TDSCallbackTunnelManagerInternal 0022 TDSCallbackTunnelManager.Create 0027 TDSCallbackTunnelManager.FInstance"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43233_0 {
	meta:
		name = "IWApplication"
		size = 44
		refs = "0002 _DV_01 000c _DV_TIWSessions 0011 TIWSessions.Create 0016 GSessions 001d _Dn_TCriticalSection 0022 TCriticalSection.Create 0027 GSessionCountCS"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93391_0 {
	meta:
		name = "VCLTee.TeeHtml"
		size = 44
		refs = "0002 _DV_1 000c _Dn_TStringList 0011 TStringList.Create 0016 State 0027 StateFont"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14763_0 {
	meta:
		name = "EditConnectionString"
		size = 436
		refs = "0023 EditConnectionString 0033 Application 003c _DV_TConnEditForm 0041 TCustomForm.Create 005e SEditConnectionStringTitle 0063 LoadResString 0079 DotSep 00a6 Format 00b1 TControl.SetText 00c2 GetPropInfo 00d6 GetUnicodeStrProp 00e1 @WStrFromUStr 00ef TConnEditForm.Edit 00fa @WStrEqual 0107 @UStrFromWStr 0113 SetUnicodeStrProp 012c TObject.Free 0132 @HandleFinally 0149 @UStrClr 0156 @UStrArrayClr 016b @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 D2 89 55 BC 89 55 E4 89 55 E0 89 55 FC 89 55 F8 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 50 8D 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 43 04 8B 40 08 89 45 C0 C6 45 C4 11 A1 ?? ?? ?? ?? 8B 00 89 45 C8 C6 45 CC 11 8B 43 08 89 45 D0 C6 45 D4 11 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8D 55 C0 B9 03 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 EC E8 ?? ?? ?? ?? 8B 03 83 C0 B8 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B FB 89 75 E8 8D 4D F4 8B 55 E8 8B C7 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8D 4D FC 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 74 1B 8D 45 BC 8B 55 FC E8 ?? ?? ?? ?? 8B 4D BC 8B C3 8B D6 E8 ?? ?? ?? ?? C6 45 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 0F B6 45 F3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_14764_0 {
	meta:
		name = "TConnEditForm.Edit"
		size = 708
		refs = "0021 @WStrAddRef 0029 TConnEditForm.Edit 0039 @WStrAsg 0056 Pos 006f @WStrCopy 007a @UStrFromWStr 0085 ExtractFilePath 0091 DataLinkDir 009e @UStrCat 00a7 @UStrEqual 00b4 ExtractFileName 00c2 TControl.SetText 0106 TConnEditForm.SourceButtonClick 0137 TControl.GetText 0141 @WStrFromUStr 01b0 @UStrCatN 01da @UStrCat3 01ed @WStrClr 0202 @UStrClr 021f @UStrArrayClr 0267 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 55 FC E8 ?? ?? ?? ?? B2 01 8B 83 A0 03 00 00 8B 08 FF 91 FC 00 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 7B 8D 45 F4 50 B9 04 01 00 00 BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 58 E8 ?? ?? ?? ?? 75 1B 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? EB 39 8B 55 F8 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? EB 29 8D 45 E4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E4 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 A4 03 00 00 8B 08 FF 91 FC 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 20 01 00 00 48 0F 85 D6 00 00 00 8B 83 A4 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 1D 8D 55 E0 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? E9 A7 00 00 00 8D 55 DC 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 83 7D DC 00 0F 84 88 00 00 00 8D 55 D4 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 E8 ?? ?? ?? ?? 83 7D D8 00 75 3F 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? 8D 55 C8 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? FF 75 C8 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B C6 E8 ?? ?? ?? ?? EB 31 8D 55 C0 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B 4D C0 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 91 5E 5B 8B E5 5D C3 00 14 00 00 00 46 00 49 00 4C 00 45 00 20 00 4E 00 41 00 4D 00 45 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 49 00 4C 00 45 00 20 00 4E 00 41 00 4D 00 45 00 3D 00 00 00 00 00 }
	condition:
		$1
}

rule function_14765_0 {
	meta:
		name = "TConnEditForm.FormCreate"
		size = 36
		refs = "000b TControl.SetHelpContext 001e GetDataLinkFiles"
	strings:
		$1 = { 53 8B D8 BA 86 6A 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 A8 03 00 00 8B 80 B4 02 00 00 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14766_0 {
	meta:
		name = "TConnEditForm.HelpButtonClick"
		size = 21
		refs = "0002 Application 0010 TApplication.HelpContext"
		altNames = "TMessageForm.HelpButtonClick TSelectDirDlg.HelpButtonClick"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 8B 80 70 01 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14767_0 {
	meta:
		name = "TConnEditForm.BrowseClick"
		size = 151
		refs = "0010 TConnEditForm.BrowseClick 0024 TControl.GetText 002f @WStrFromUStr 003a TWinControl.GetHandle 0043 PromptDataLinkFile 004e @UStrFromWStr 005c TControl.SetText 0071 @UStrClr 007e @WStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 5A E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14768_0 {
	meta:
		name = "TConnEditForm.BuildClick"
		size = 151
		refs = "0010 TConnEditForm.BuildClick 0024 TControl.GetText 002f @WStrFromUStr 003a TWinControl.GetHandle 0043 PromptDataSource 004e @UStrFromWStr 005c TControl.SetText 0071 @UStrClr 007e @WStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 5A E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14769_0 {
	meta:
		name = "TConnEditForm.SourceButtonClick"
		size = 225
		refs = "0035 EnabledColor 003c TControl.SetColor 00ca TCustomForm.SetActiveControl"
	strings:
		$1 = { 53 56 8B D8 8B 83 A0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 A8 03 00 00 8B 08 FF 91 80 00 00 00 8B B3 A8 03 00 00 8B C6 8B 10 FF 52 68 83 E0 7F 8B 14 85 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 A8 03 00 00 8B 10 FF 52 68 8B D0 8B 83 AC 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 A4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 B0 03 00 00 8B 08 FF 91 80 00 00 00 8B B3 B0 03 00 00 8B C6 8B 10 FF 52 68 83 E0 7F 8B 14 85 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 B0 03 00 00 8B 10 FF 52 68 8B D0 8B 83 B4 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 A8 03 00 00 8B 10 FF 52 68 84 C0 74 10 8B 93 A8 03 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 93 B0 03 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14774_0 {
	meta:
		name = "CreateADOObject"
		size = 100
		refs = "0010 @IntfClear 0016 CreateADOObject 0020 CoCreateInstance 0032 SADOCreateError 0039 _Dn_Exception 003e Exception.CreateRes 0043 @RaiseExcept 004a OleCheck"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 D9 7D FE 8B C6 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 05 6A 00 53 E8 ?? ?? ?? ?? DB E2 D9 6D FE 3D 54 01 04 80 75 19 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14775_0 {
	meta:
		name = "ADOTypeToFieldType"
		size = 550
		refs = "001e ADOTypeToFieldType"
	strings:
		$1 = { 55 8B EC 83 F8 48 0F 8F 1A 01 00 00 0F 84 EE 01 00 00 83 F8 40 0F 87 05 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D 89 00 00 00 7F 3D 0F 84 95 00 00 00 83 C0 80 83 F8 08 0F 87 E1 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D CA 00 00 00 7F 1D 74 65 2D 8A 00 00 00 74 7A 48 0F 84 83 00 00 00 83 E8 3D 74 4A 48 74 53 E9 92 00 00 00 2D CB 00 00 00 74 4B 48 74 54 48 74 49 E9 80 00 00 00 33 C0 EB 7E B0 02 EB 7A B0 03 EB 76 B0 19 EB 72 B0 04 EB 6E B0 06 EB 6A B0 08 EB 66 B0 05 EB 62 B0 09 EB 5E B0 0A EB 5A B0 0B EB 56 B0 17 EB 52 B0 01 EB 4E B0 26 EB 4A B0 18 EB 46 B0 10 EB 42 B0 27 EB 3E B0 0F EB 3A B0 0C EB 36 B0 0D EB 32 B0 1D EB 2E B0 20 EB 2A B0 21 EB 26 B0 22 EB 22 B0 23 EB 1E 80 7D 08 00 74 12 83 F9 04 7F 05 83 FA 13 7E 04 B0 25 EB 0A B0 08 EB 06 B0 06 EB 02 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_14776_0 {
	meta:
		name = "FieldTypeToADOType"
		size = 498
		refs = "0012 FieldTypeToADOType 01a1 SNoMatchingADOType 01a6 LoadResString 01b3 FieldTypeNames 01c8 DatabaseErrorFmt 01df @UStrClr 01e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 C3 83 F8 27 0F 87 73 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 DB E9 F8 00 00 00 BB C8 00 00 00 E9 EE 00 00 00 BB CA 00 00 00 E9 E4 00 00 00 BB 02 00 00 00 E9 DA 00 00 00 BB 03 00 00 00 E9 D0 00 00 00 BB 12 00 00 00 E9 C6 00 00 00 BB 0B 00 00 00 E9 BC 00 00 00 BB 05 00 00 00 E9 B2 00 00 00 BB 06 00 00 00 E9 A8 00 00 00 BB 85 00 00 00 E9 9E 00 00 00 BB 86 00 00 00 E9 94 00 00 00 BB 87 00 00 00 E9 8A 00 00 00 BB 80 00 00 00 E9 80 00 00 00 BB CC 00 00 00 EB 79 BB C9 00 00 00 EB 72 BB CB 00 00 00 EB 6B BB CD 00 00 00 EB 64 BB 81 00 00 00 EB 5D BB 82 00 00 00 EB 56 BB 14 00 00 00 EB 4F BB 0C 00 00 00 EB 48 BB 0D 00 00 00 EB 41 BB 09 00 00 00 EB 3A BB 48 00 00 00 EB 33 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 0F B6 C3 8B 15 ?? ?? ?? ?? 8B 04 82 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14777_0 {
	meta:
		name = "StringToVarArray"
		size = 186
		refs = "0017 StringToVarArray 004a VarArrayCreate 0055 @OleVarFromVar 005d VarArrayLock 0076 Move 008b VarArrayUnlock 0091 @HandleFinally 00a8 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D8 8D 45 EC 50 33 C0 89 45 E4 8B C3 48 89 45 E8 8D 45 E4 66 B9 11 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B C6 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14778_0 {
	meta:
		name = "VarDataSize"
		size = 92
		refs = "0007 VarIsNull 0018 VarIsArray 0028 VarArrayHighBound"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 83 C8 FF 5A 5B C3 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 40 EB 2A 66 83 3B 08 75 1F 8D 43 08 8B 00 89 04 24 8B 04 24 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 75 0A 83 C8 FF EB 05 B8 10 00 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_14779_0 {
	meta:
		name = "OleEnumToOrd"
		size = 59
	strings:
		$1 = { 55 8B EC 53 56 57 8B DA 85 DB 78 07 8B 34 98 4B 56 79 F9 8B C4 8B F2 85 F6 7C 0E 46 33 FF 3B 08 74 0A 47 83 C0 04 4E 75 F5 8B FA 47 8B C7 8B 7D F4 8B 75 F8 8B 5D FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_14780_0 {
	meta:
		name = "GetStates"
		size = 104
		refs = "0009 GetStates 0013 ObjectStateValues"
	strings:
		$1 = { 53 56 57 51 8B F8 0F B6 05 ?? ?? ?? ?? 88 04 24 B3 01 BE ?? ?? ?? ?? 85 3E 74 1D 8B C3 3C 07 77 17 83 E0 7F 8B D4 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F AB 02 43 83 C6 04 80 FB 05 75 D6 0F B6 05 ?? ?? ?? ?? 3A 04 24 75 0A 0F B6 05 ?? ?? ?? ?? 88 04 24 0F B6 04 24 5A 5F 5E 5B C3 00 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_14781_0 {
	meta:
		name = "ExecuteOptionsToOrd"
		size = 68
		refs = "000b ExecuteOptionsToOrd 0017 ExecuteOptionValues"
	strings:
		$1 = { 53 56 51 88 04 24 33 F6 0F B6 05 ?? ?? ?? ?? 3A 04 24 74 26 33 C0 BA ?? ?? ?? ?? 8B C8 80 F9 07 77 0A 83 E1 7F 0F B6 1C 24 0F A3 CB 73 04 8B 0A 03 F1 40 83 C2 04 3C 04 75 E1 8B C6 5A 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_14782_0 {
	meta:
		name = "OrdToExecuteOptions"
		size = 84
		refs = "0009 OrdToExecuteOptions 0017 ExecuteOptionValues"
	strings:
		$1 = { 53 56 57 51 8B F8 0F B6 05 ?? ?? ?? ?? 88 04 24 85 FF 74 31 33 DB BE ?? ?? ?? ?? 85 3E 74 1D 8B C3 3C 07 77 17 83 E0 7F 8B D4 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F AB 02 43 83 C6 04 80 FB 04 75 D6 0F B6 04 24 5A 5F 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14783_0 {
	meta:
		name = "ExtractFieldName"
		size = 81
		refs = "0012 @WStrLen 002c @WStrCopy"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 8B 1F EB 01 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 08 66 83 7C 5E FE 3B 75 EC 55 8B CB 2B 0F 8B 17 8B C6 E8 ?? ?? ?? ?? 8B C6 85 C0 74 07 83 E8 04 8B 00 D1 E8 3B C3 7C 09 66 83 7C 5E FE 3B 75 01 43 89 1F 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14784_0 {
	meta:
		name = "GetFilterStr"
		size = 696
		refs = "0027 @VarAddRef 002f GetFilterStr 003d @WStrClr 004a @WStrLAsg 0055 @WStrFromUStr 0062 Pos 0083 WideFormat 0096 VarIsNull 00a2 VarIsClear 00b3 @VarFromUStr 0100 @VarCmpNE 010d @VarCopy 0119 @VarFromWChar 0124 @VarAdd 0147 @VarToUStr 01a4 VarToWideStr 01e3 @UStrClr 01ec Variant 01f6 @FinalizeArray 0206 @VarClr 0213 @WStrArrayClr 0219 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 10 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F2 8D 7D E0 A5 A5 A5 A5 8B D9 8B F0 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 56 40 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 28 8D 45 DC 50 8B 45 F8 89 45 D4 C6 45 D8 0F 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 75 0C 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 74 12 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BC 00 00 00 0F B6 46 48 FE C8 74 27 04 F8 2C 03 72 0F 04 F5 2C 02 72 1B 2C 0D 74 17 E9 9F 00 00 00 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8D 00 00 00 84 DB 74 51 8D 45 C4 33 D2 E8 ?? ?? ?? ?? 8D 55 C4 8D 45 E0 E8 ?? ?? ?? ?? 74 3A 8D 55 E0 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 A4 66 BA 2A 00 E8 ?? ?? ?? ?? 8D 55 A4 8D 45 B4 E8 ?? ?? ?? ?? 8D 55 B4 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A0 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 A0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 F8 89 45 80 C6 45 84 0F 8B 45 FC 89 45 88 C6 45 8C 0F 8B 45 F4 89 45 90 C6 45 94 0F 8D 95 7C FF FF FF 8D 45 E0 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 89 45 98 C6 45 9C 0F 8D 55 80 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 5F 5E 5B 8B E5 5D C2 04 00 02 00 00 00 3D 00 00 00 02 00 00 00 20 00 00 00 08 00 00 00 5B 00 25 00 73 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 75 00 6C 00 6C 00 00 00 00 00 02 00 00 00 23 00 00 00 0C 00 00 00 20 00 6C 00 69 00 6B 00 65 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 02 00 00 00 27 00 00 00 1C 00 00 00 28 00 25 00 73 00 25 00 73 00 25 00 73 00 25 00 73 00 25 00 32 00 3A 00 73 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_14785_0 {
	meta:
		name = "PropertyExists"
		size = 202
		refs = "0017 PropertyExists 002c @CheckAutoResult 003d @WStrClr 0046 @IntfClear 0053 @OleVarFromInt 0082 @WStrEqual 00a5 @VarClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 56 8B 06 FF 50 1C E8 ?? ?? ?? ?? 8B 5D FC 4B 83 FB 00 7C 59 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8D 45 E4 8B D3 B1 FC E8 ?? ?? ?? ?? FF 75 F0 FF 75 EC FF 75 E8 FF 75 E4 56 8B 06 FF 50 28 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 F8 8B D7 E8 ?? ?? ?? ?? 75 04 B3 01 EB 08 4B 83 FB FF 75 A7 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14786_0 {
	meta:
		name = "FieldListCheckSum"
		size = 66
		refs = "000c TFields.GetCount 0020 TFields.GetField"
	strings:
		$1 = { 53 56 57 55 8B F8 33 ED 8B 47 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 24 46 33 DB 8B 47 38 8B D3 E8 ?? ?? ?? ?? 8B CB 81 E1 0F 00 00 80 79 05 49 83 C9 F0 41 D3 E8 03 E8 43 4E 75 DF 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14787_0 {
	meta:
		name = "CreateUDLFile"
		size = 296
		refs = "0021 CreateUDLFile 002f CLSID_DATALINKS 0034 CreateComObject 0044 @IntfCast 0068 Format 0073 @WStrFromUStr 007d @WStrToPWChar 0094 OleCheck 00a9 @UStrClr 00b1 @IntfClear 00c1 @WStrClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D F0 89 5D F4 89 5D FC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 89 75 E0 C6 45 E4 0F 89 7D E8 C6 45 EC 0F 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 B1 CC 06 22 C1 19 D1 11 89 E0 00 C0 4F D7 A8 29 B0 04 02 00 FF FF FF FF 1A 00 00 00 50 00 72 00 6F 00 76 00 69 00 64 00 65 00 72 00 3D 00 25 00 73 00 3B 00 44 00 61 00 74 00 61 00 20 00 53 00 6F 00 75 00 72 00 63 00 65 00 3D 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_14788_0 {
	meta:
		name = "GetProviderNames"
		size = 628
		refs = "0018 GetProviderNames 0026 CLASS_Recordset 002b CreateADOObject 003b @IntfCast 0053 CLSID_OLEDB_ENUMERATOR 0058 CreateComObject 0070 @IntfClear 008a OleCheck 009c @CheckAutoResult 00a5 _DV_TADODataSet 00aa TCustomADODataSet.Create 00c6 TCustomADODataSet.SetRecordset 00ce TDataSet.First 00db TDataSet.FieldByName 00f4 TWideStrings.BeginUpdate 0126 @WStrFromUStr 0139 TDataSet.Next 015a TWideStrings.EndUpdate 0160 @HandleFinally 0177 TObject.Free 0194 @UStrClr 019c @WStrClr 01a5 IInterface 01af @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 6A 00 68 ?? ?? ?? ?? 6A 00 8B 45 F4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 8B 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 35 8B C3 8B 10 FF 52 70 48 75 23 8D 55 D8 8B C6 8B 08 FF 91 84 00 00 00 8B 55 D8 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 EC 8B 08 FF 51 38 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 80 B8 A9 00 00 00 00 74 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 5E 5B 8B E5 5D C3 00 00 00 56 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 83 02 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 1E 3A 73 0C 1C 2A CE 11 AD E5 00 AA 00 44 77 3D 7C 3A 73 0C 1C 2A CE 11 AD E5 00 AA 00 44 77 3D B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 4F 00 55 00 52 00 43 00 45 00 53 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 4F 00 55 00 52 00 43 00 45 00 53 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_14789_0 {
	meta:
		name = "GetProviderNames"
		size = 290
		refs = "0019 GetProviderNames 0026 _Dn_TWideStringList 002b TWideStringList.Create 004c TStrings.BeginUpdate 0054 TWideStrings.GetEnumerator 0083 @WStrLAsg 008e @UStrFromWStr 00a1 TWideStringsEnumerator.MoveNext 00c8 @HandleFinally 00d2 TStrings.EndUpdate 00e7 TObject.Free 0104 @UStrClr 0111 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 E8 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 32 8B 5D EC 8D 4D F8 8B 53 04 8B 43 08 8B 18 FF 53 0C 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 8B 08 FF 51 38 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14790_0 {
	meta:
		name = "PromptDataSource"
		size = 360
		refs = "001e @WStrAddRef 0026 PromptDataSource 0036 @WStrAsg 003e CLSID_DATALINKS 0043 CreateComObject 0053 @IntfCast 005d @WStrEqual 0070 @WStrToPWChar 00e6 @WStrFromPWChar 00fc IInterface 0106 @FinalizeArray 010e @IntfClear 0126 @WStrClr 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 89 55 FC 8B F0 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 74 1F 8D 45 F0 50 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 6A 01 6A 00 8B 45 F8 50 8B 00 FF 50 0C 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 02 56 6A 00 8B 45 F4 50 8B 00 FF 50 0C A9 00 00 00 80 0F 94 C0 84 C0 74 22 33 C0 89 45 EC 8D 45 EC 50 6A 01 8B 45 F0 50 8B 45 F8 50 8B 00 FF 50 10 8B C3 8B 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5E 5B 8B E5 5D C3 B1 CC 06 22 C1 19 D1 11 89 E0 00 C0 4F D7 A8 29 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 B0 CC 06 22 C1 19 D1 11 89 E0 00 C0 4F D7 A8 29 }
	condition:
		$1
}

rule function_14791_0 {
	meta:
		name = "PromptDataLinkFile"
		size = 292
		refs = "001e @WStrAddRef 0026 PromptDataLinkFile 0036 @WStrAsg 003e CLSID_DATALINKS 0043 CreateComObject 0053 @IntfCast 005d @WStrEqual 006a @UStrFromWStr 0075 ExtractFilePath 0080 @WStrFromUStr 008d @WStrLAsg 00bb @WStrFromPWChar 00d5 @UStrArrayClr 00dd @IntfClear 00f2 @WStrArrayClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 89 55 FC 8B F0 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 74 21 8D 45 E4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 FC 50 8B 45 F8 50 6A 00 56 8B 45 F4 50 8B 00 FF 50 10 A9 00 00 00 80 0F 94 C0 84 C0 74 0A 8B C3 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5E 5B 8B E5 5D C3 B0 CC 06 22 C1 19 D1 11 89 E0 00 C0 4F D7 A8 29 0A 00 00 00 2A 00 2E 00 75 00 64 00 6C 00 00 00 }
	condition:
		$1
}

rule function_14792_0 {
	meta:
		name = "DataLinkDir"
		size = 412
		refs = "0018 DataLinkDir 0025 @UStrClr 003c RegOpenKeyEx 0072 RegQueryValueEx 008c @UStrFromWArray 009e @UStrCat3 00b4 RegCloseKey 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FD FF FF 53 33 D2 89 95 E8 FD FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 6A 01 6A 00 68 ?? ?? ?? ?? 68 02 00 00 80 E8 ?? ?? ?? ?? 85 C0 75 7C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 0A 02 00 00 8D 45 F8 50 8D 85 EE FD FF FF 50 6A 00 6A 00 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 85 C0 75 28 8D 85 E8 FD FF FF 8D 95 EE FD FF FF B9 05 01 00 00 E8 ?? ?? ?? ?? 8B 95 E8 FD FF FF 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 00 00 00 53 00 4F 00 46 00 54 00 57 00 41 00 52 00 45 00 5C 00 4D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 5C 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 5C 00 43 00 75 00 72 00 72 00 65 00 6E 00 74 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 43 00 6F 00 6D 00 6D 00 6F 00 6E 00 46 00 69 00 6C 00 65 00 73 00 44 00 69 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 5C 00 53 00 79 00 73 00 74 00 65 00 6D 00 5C 00 4F 00 4C 00 45 00 20 00 44 00 42 00 5C 00 44 00 61 00 74 00 61 00 20 00 4C 00 69 00 6E 00 6B 00 73 00 00 00 }
	condition:
		$1
}

rule function_14793_0 {
	meta:
		name = "GetDataLinkFiles"
		size = 388
		refs = "0025 @UStrAddRef 0031 TSearchRec 0036 @InitializeRecord 003e GetDataLinkFiles 004f TWideStrings.BeginUpdate 0076 DataLinkDir 0089 @UStrCat3 009f FindFirst 00bf @WStrFromUStr 00db FindNext 00ec FindClose 0104 TWideStrings.EndUpdate 010a @HandleFinally 0131 @WStrClr 013c @UStrClr 014d @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 81 C4 7C FD FF FF 53 33 C9 89 8D 7C FD FF FF 89 8D 80 FD FF FF 89 55 FC 89 85 84 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8D 85 88 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 85 84 FD FF FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 85 84 FD FF FF 8B 10 FF 52 48 83 7D FC 00 75 08 8D 45 FC E8 ?? ?? ?? ?? 8D 85 80 FD FF FF B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 85 80 FD FF FF 8D 8D 88 FD FF FF BA FF 01 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 75 3C F6 85 98 FD FF FF 10 75 22 8D 85 7C FD FF FF 8B 95 9C FD FF FF E8 ?? ?? ?? ?? 8B 95 7C FD FF FF 8B 85 84 FD FF FF 8B 08 FF 51 38 8D 85 88 FD FF FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 C4 8D 85 88 FD FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 85 84 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 85 84 FD FF FF 8B 10 FF 52 14 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FD FF FF E8 ?? ?? ?? ?? 8D 85 80 FD FF FF E8 ?? ?? ?? ?? 8D 85 88 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 8B C3 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 5C 00 2A 00 2E 00 75 00 64 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_14794_0 {
	meta:
		name = "GetDataLinkFiles"
		size = 324
		refs = "001c @UStrAddRef 0024 GetDataLinkFiles 0031 _Dn_TWideStringList 0036 TWideStringList.Create 005a TWideStrings.BeginUpdate 0062 TWideStrings.GetEnumerator 0091 @WStrLAsg 009c @UStrFromWStr 00af TWideStringsEnumerator.MoveNext 00d6 @HandleFinally 00e0 TWideStrings.EndUpdate 00f5 TObject.Free 011c @UStrClr 0129 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 C9 89 4D E4 89 4D F8 89 4D F4 89 55 FC 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 32 8B 5D E8 8D 4D F4 8B 53 04 8B 43 08 8B 18 FF 53 0C 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 E4 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F0 8B 08 FF 51 38 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 10 FF 52 14 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14796_0 {
	meta:
		name = "TADOConnection.Create"
		size = 288
		refs = "0013 @ClassCreate 001f TADOConnection.Create 002e TCustomConnection.Create 0036 CLASS_Connection 003b CreateADOObject 004b @IntfCast 0076 TADOConnection.ConnectionPoint 0084 OleCheck 008b _Dn_TList 0090 TObject.Create 00a7 TADOConnection.SetCursorLocation 00c3 @IntfClear 00cc IInterface 00d6 @FinalizeArray 00dc @HandleFinally 00e9 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 46 74 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 78 50 8D 45 F8 8B D6 85 D2 74 06 81 EA 20 FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 70 C6 46 44 01 C6 86 8D 00 00 00 04 B2 01 8B C6 E8 ?? ?? ?? ?? C6 86 94 00 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 00 50 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14797_0 {
	meta:
		name = "TADOConnection.Destroy"
		size = 181
		refs = "000d @BeforeDestruction 001a TADOConnection.Destroy 0027 TComponent.Destroying 002e TCustomConnection.Close 0035 TADOConnection.ClearRefs 0045 TObject.Free 0059 TADOConnection.ConnectionPoint 0067 OleCheck 0074 @IntfClear 0082 TCustomConnection.Destroy 009d @HandleFinally 00ac @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 43 70 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 83 7B 78 00 7E 1C 8B 43 78 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 89 43 78 8D 43 74 E8 ?? ?? ?? ?? 0F B6 55 FF 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FF 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14798_0 {
	meta:
		name = "TADOConnection.Loaded"
		size = 66
		refs = "000e TADOConnection.Loaded 001c TCustomConnection.Loaded 002b @HandleAnyException 0033 ApplicationHandleException 0038 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14970_0 {
	meta:
		name = "TCustomADODataSet.Loaded"
		size = 66
		refs = "000e TCustomADODataSet.Loaded 001c TDataSet.Loaded 002b @HandleAnyException 0033 ApplicationHandleException 0038 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14799_0 {
	meta:
		name = "TADOConnection.CheckActive"
		size = 30
		refs = "0011 TCustomConnection.Open"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 48 84 C0 75 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 64 5B C3 }
	condition:
		$1
}

rule function_14800_0 {
	meta:
		name = "TADOConnection.CheckInactive"
		size = 29
		refs = "0017 TCustomConnection.Close"
		altNames = "TRDSConnection.CheckInactive"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 48 84 C0 74 0D F6 43 1C 10 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14801_0 {
	meta:
		name = "TADOConnection.ClearRefs"
		size = 72
		refs = "0011 TList.Get 0018 TADOCommand.SetConnection 002c TADOConnection.GetADODataSet"
	strings:
		$1 = { 53 56 8B D8 83 7B 70 00 74 30 EB 10 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 73 70 83 7E 08 00 7F E7 EB 13 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 91 D0 02 00 00 8B C3 8B 10 FF 52 50 85 C0 7F E2 5E 5B C3 }
	condition:
		$1
}

rule function_14802_0 {
	meta:
		name = "TADOConnection.BeginTrans"
		size = 31
		refs = "000f @CheckAutoResult"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 74 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 8B 04 24 89 83 90 00 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_14803_0 {
	meta:
		name = "TADOConnection.CommitTrans"
		size = 41
		refs = "000d @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 8B 46 74 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 83 BE 90 00 00 00 00 7E 06 FF 8E 90 00 00 00 8B C6 8B 10 FF 52 60 5E C3 }
	condition:
		$1
}

rule function_14804_0 {
	meta:
		name = "TADOConnection.RollbackTrans"
		size = 41
		refs = "000d @CheckAutoResult"
	strings:
		$1 = { 56 8B F0 8B 46 74 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 83 BE 90 00 00 00 00 7E 06 FF 8E 90 00 00 00 8B C6 8B 10 FF 52 60 5E C3 }
	condition:
		$1
}

rule function_14805_0 {
	meta:
		name = "TADOConnection.Cancel"
		size = 18
		refs = "000d @CheckAutoResult"
	strings:
		$1 = { 8B 40 74 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14806_0 {
	meta:
		name = "TADOConnection.WaitForConnectComplete"
		size = 51
		refs = "000d DBApplication 0026 @CheckAutoResult"
	strings:
		$1 = { 53 51 8B D8 83 7B 74 00 74 26 EB 0C A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 10 54 8B 43 74 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? 83 3C 24 02 74 DC 5A 5B C3 }
	condition:
		$1
}

rule function_14807_0 {
	meta:
		name = "TADOConnection.DoConnect"
		size = 161
		refs = "000c TADOConnection.DoConnect 0020 ConnectOptionValues 0037 @WStrClr 0046 @CheckAutoResult 0065 @WStrEqual 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 83 8C 00 00 00 8B 04 85 ?? ?? ?? ?? 50 8B 83 88 00 00 00 50 8B 83 84 00 00 00 50 8D 45 FC E8 ?? ?? ?? ?? 50 8B 43 74 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 74 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 8B 83 80 00 00 00 33 D2 E8 ?? ?? ?? ?? 74 15 8B 83 80 00 00 00 50 8B 43 74 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_14808_0 {
	meta:
		name = "TADOConnection.DoDisconnect"
		size = 45
		refs = "000e TADOConnection.RollbackTrans 0015 TADOConnection.GetInTransaction 0027 @CheckAutoResult"
	strings:
		$1 = { 53 8B D8 83 7B 74 00 74 22 EB 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 EE 8B 43 74 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14809_0 {
	meta:
		name = "TADOConnection.CheckDisconnect"
		size = 92
		refs = "001c TADOConnection.GetInTransaction 0040 TADOConnection.GetADODataSet 0054 TCustomConnection.Close"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 8B 10 FF 52 48 84 C0 74 48 80 BB 94 00 00 00 00 75 3F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 34 F6 43 1C 01 75 2E 8B C3 8B 10 FF 52 50 8B F0 4E 85 F6 7C 19 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 80 B8 A5 00 00 00 00 75 0B 47 4E 75 EA 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14810_0 {
	meta:
		name = "TADOConnection.Execute"
		size = 143
		refs = "001a TADOConnection.Execute 0027 TADOConnection.CheckActive 002f @IntfClear 0039 ExecuteOptionsToOrd 0043 @VarClr 0053 @CheckAutoResult 005b @VarToInteger 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 50 0F B6 45 08 E8 ?? ?? ?? ?? 40 50 8D 45 F0 E8 ?? ?? ?? ?? 50 56 8B 43 74 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 89 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14811_0 {
	meta:
		name = "TADOConnection.Execute"
		size = 132
		refs = "0018 TADOConnection.Execute 0025 TADOConnection.CheckActive 002d @IntfClear 0037 ExecuteOptionsToOrd 0041 CommandTypeValues 004a @VarClr 005a @CheckAutoResult 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 50 0F B6 45 0C E8 ?? ?? ?? ?? 0F B6 D3 03 04 95 ?? ?? ?? ?? 50 8D 45 F0 E8 ?? ?? ?? ?? 50 56 8B 47 74 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_14812_0 {
	meta:
		name = "TADOConnection.Open"
		size = 119
		refs = "0018 @WStrAsg 002f TADOConnection.Open 0059 @WStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC 05 84 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 05 88 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC 8B 08 FF 51 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 84 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 88 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14813_0 {
	meta:
		name = "TADOConnection.OpenSchema"
		size = 161
		refs = "0019 TADOConnection.OpenSchema 0026 TADOConnection.CheckActive 003d @IntfClear 006c @CheckAutoResult 0077 TCustomADODataSet.SetRecordset 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 80 FB 27 75 05 83 CE FF EB 05 8B F3 83 E6 7F 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 0C FF 70 0C FF 70 08 FF 70 04 FF 30 8B 45 FC FF 70 0C FF 70 08 FF 70 04 FF 30 56 8B 47 74 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_14814_0 {
	meta:
		name = "TADOConnection.GetProcedureNames"
		size = 316
		refs = "001a TADOConnection.GetProcedureNames 0027 TADOConnection.CheckActive 0030 _DV_TADODataSet 0035 TCustomADODataSet.Create 004e EmptyParam 006a TADOConnection.OpenSchema 0077 TDataSet.FieldByName 0093 @WStrFromUStr 00a5 TDataSet.Next 00c6 TObject.Free 00cc @HandleFinally 00e3 @UStrClr 00eb @WStrClr 00f4 OleVariant 00fe @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 FC 50 8D 45 DC E8 ?? ?? ?? ?? 8D 4D DC B2 10 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 2A 8D 55 D4 8B C3 8B 08 FF 91 84 00 00 00 8B 55 D4 8D 45 D8 E8 ?? ?? ?? ?? 8B 55 D8 8B C6 8B 08 FF 51 38 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A9 00 00 00 00 74 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_14815_0 {
	meta:
		name = "TADOConnection.GetProcedureNames"
		size = 294
		refs = "001b TADOConnection.GetProcedureNames 0028 _Dn_TWideStringList 002d TWideStringList.Create 0050 TStrings.BeginUpdate 0058 TWideStrings.GetEnumerator 0087 @WStrLAsg 0092 @UStrFromWStr 00a5 TWideStringsEnumerator.MoveNext 00cc @HandleFinally 00d6 TStrings.EndUpdate 00eb TObject.Free 0108 @UStrClr 0115 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D E8 89 4D FC 89 4D F8 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 32 8B 5D EC 8D 4D F8 8B 53 04 8B 43 08 8B 18 FF 53 0C 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 8B 08 FF 51 38 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14816_0 {
	meta:
		name = "TADOConnection.GetFieldNames"
		size = 660
		refs = "0022 TADOConnection.GetFieldNames 002f TADOConnection.CheckActive 0037 @IntfClear 0040 EmptyParam 0054 Null 0087 @VarFromWStr 00a4 VarArrayOf 00af @OleVarFromVar 00ce @CheckAutoResult 00d6 TWideStrings.BeginUpdate 00fc @VarClr 0119 @OleVarFromUStr 017e VarToWideStr 01d5 TWideStrings.EndUpdate 01db @HandleFinally 0221 @WStrClr 022d Variant 0237 @FinalizeArray 0248 OleVariant"
	strings:
		$1 = { 55 8B EC 51 B9 18 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 E8 E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 FF 75 EC FF 75 E8 8D 45 88 E8 ?? ?? ?? ?? 56 8D 75 88 8D 7D 98 A5 A5 A5 A5 5E 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 56 8D B5 78 FF FF FF 8D 7D A8 A5 A5 A5 A5 5E 8D 85 68 FF FF FF 8B D6 E8 ?? ?? ?? ?? 8D B5 68 FF FF FF 8D 7D B8 A5 A5 A5 A5 8D 45 98 8D 4D C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 55 C8 8D 45 D8 E8 ?? ?? ?? ?? FF 75 E4 FF 75 E0 FF 75 DC FF 75 D8 6A 04 8B 43 74 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 48 E9 AC 00 00 00 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 50 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 50 8D 85 40 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF B5 4C FF FF FF FF B5 48 FF FF FF FF B5 44 FF FF FF FF B5 40 FF FF FF 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 85 3C FF FF FF 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8D 85 54 FF FF FF 8D 95 64 FF FF FF E8 ?? ?? ?? ?? 8B 95 64 FF FF FF 8B 45 F8 8B 08 FF 51 38 8B 45 FC 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 8D 85 38 FF FF FF 50 8B 45 FC 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 66 83 BD 38 FF FF FF 00 0F 84 31 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 8D 85 68 FF FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 88 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_14817_0 {
	meta:
		name = "TADOConnection.GetFieldNames"
		size = 319
		refs = "001e TADOConnection.GetFieldNames 002b _Dn_TWideStringList 0030 TWideStringList.Create 004b @WStrFromUStr 0060 TStrings.BeginUpdate 0068 TWideStrings.GetEnumerator 0097 @WStrLAsg 00a2 @UStrFromWStr 00b5 TWideStringsEnumerator.MoveNext 00dc @HandleFinally 00e6 TStrings.EndUpdate 00fb TObject.Free 0118 @UStrClr 0120 @WStrClr 012d @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B D6 E8 ?? ?? ?? ?? 8B 55 E8 8B 4D F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 32 8B 5D EC 8D 4D F8 8B 53 04 8B 43 08 8B 18 FF 53 0C 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 E4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F4 8B 08 FF 51 38 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14818_0 {
	meta:
		name = "TADOConnection.GetTableNames"
		size = 584
		refs = "0020 TADOConnection.GetTableNames 002d TADOConnection.CheckActive 0036 _DV_TADODataSet 003b TCustomADODataSet.Create 0054 EmptyParam 0070 TADOConnection.OpenSchema 007d TDataSet.FieldByName 0097 TWideStrings.BeginUpdate 00c7 @WStrFromUStr 00d4 @WStrEqual 0124 TDataSet.Next 0149 TWideStrings.EndUpdate 014f @HandleFinally 0166 TObject.Free 0183 @UStrClr 018b @WStrClr 019c OleVariant 01a6 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B D9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 F0 50 8D 45 D0 E8 ?? ?? ?? ?? 8D 4D D0 B2 14 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 48 EB 75 8D 55 CC 8B C6 8B 08 FF 91 84 00 00 00 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 22 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 13 84 DB 74 33 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 24 8D 55 C4 8B 45 F4 8B 08 FF 91 84 00 00 00 8B 55 C4 8D 45 C8 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F8 8B 08 FF 51 38 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 80 B8 A9 00 00 00 00 0F 84 7B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 00 00 08 00 00 00 56 00 49 00 45 00 57 00 00 00 00 00 18 00 00 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 54 00 41 00 42 00 4C 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_14819_0 {
	meta:
		name = "TADOConnection.GetTableNames"
		size = 99
		refs = "0010 _Dn_TWideStringList 0015 TWideStringList.Create 0020 TADOConnection.GetTableNames 0051 TObject.Free 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B F2 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14820_0 {
	meta:
		name = "TADOConnection.ConnectionPoint"
		size = 132
		refs = "000f TADOConnection.ConnectionPoint 001d @IntfClear 0030 OleCheck 003d DIID_ConnectionEvents 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 43 74 50 8B 00 FF 10 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 84 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_14821_0 {
	meta:
		name = "TADOConnection.BeginTransComplete"
		size = 124
		refs = "0012 TADOConnection.BeginTransComplete 0029 EventStatusValues 0033 OleEnumToOrd 006e @HandleAutoException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 14 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 9A 00 00 00 00 74 3A 8B 0E B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 8B 45 10 50 8D 45 FF 50 8B 4D 0C 8B D3 8B 83 9C 00 00 00 FF 93 98 00 00 00 0F B6 45 FF 8B 04 85 ?? ?? ?? ?? 89 06 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_14822_0 {
	meta:
		name = "TADOConnection.CommitTransComplete"
		size = 120
		refs = "0012 TADOConnection.CommitTransComplete 0029 EventStatusValues 0033 OleEnumToOrd 006a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 10 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB AA 00 00 00 00 74 36 8B 0E B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 8D 45 FF 50 8B 4D 0C 8B D3 8B 83 AC 00 00 00 FF 93 A8 00 00 00 0F B6 45 FF 8B 04 85 ?? ?? ?? ?? 89 06 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_14823_0 {
	meta:
		name = "TADOConnection.ConnectComplete"
		size = 120
		refs = "0012 TADOConnection.ConnectComplete 0029 EventStatusValues 0033 OleEnumToOrd 006a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 10 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB A2 00 00 00 00 74 36 8B 0E B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 8D 45 FF 50 8B 4D 0C 8B D3 8B 83 A4 00 00 00 FF 93 A0 00 00 00 0F B6 45 FF 8B 04 85 ?? ?? ?? ?? 89 06 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_14824_0 {
	meta:
		name = "TADOConnection.Disconnect"
		size = 174
		refs = "0011 TADOConnection.Disconnect 002b EventStatusValues 0035 OleEnumToOrd 0076 TADOConnection.GetADODataSet 007f TCustomADODataSet.GetRecordsetState 008a TDataSet.Close 00a0 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 0C FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 66 83 B8 BA 00 00 00 00 74 36 8B 0B B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 8D 4D FF 8B 75 08 8B 55 08 8B 86 BC 00 00 00 FF 96 B8 00 00 00 0F B6 45 FF 8B 04 85 ?? ?? ?? ?? 89 03 8B 45 08 8B 10 FF 52 50 8B F0 4E 85 F6 7C 25 46 33 FF 8B D7 8B 45 08 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? A8 01 74 07 8B C3 E8 ?? ?? ?? ?? 47 4E 75 DE 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_14825_0 {
	meta:
		name = "CheckForAsyncExecute"
		size = 180
		refs = "000b CheckForAsyncExecute 003b @CheckAutoResult 0063 TADOConnection.GetADODataSet 007a TCustomADODataSet.GetExecuteOptions 0085 TDataSet.OpenCursorComplete 009a @HandleAnyException 00a5 ApplicationHandleException 00aa @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 78 10 00 75 71 8B 45 08 83 78 1C 00 74 68 8D 45 FC 50 8B 45 08 8B 40 1C 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? F6 45 FC 01 74 4A 8B 45 08 8B 40 08 8B 10 FF 52 50 8B F0 4E 85 F6 7C 38 46 33 FF 8B 45 08 8B 40 08 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 83 80 01 00 00 8B 55 08 3B 42 1C 75 14 8B C3 E8 ?? ?? ?? ?? A8 01 74 09 8B C3 E8 ?? ?? ?? ?? EB 04 47 4E 75 CB 33 C0 5A 59 59 64 89 10 EB 15 E9 ?? ?? ?? ?? 8B 45 08 8B 40 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14826_0 {
	meta:
		name = "TADOConnection.ExecuteComplete"
		size = 145
		refs = "0011 TADOConnection.ExecuteComplete 002b EventStatusValues 0035 OleEnumToOrd 0070 CheckForAsyncExecute 0083 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 14 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 66 83 B8 D2 00 00 00 00 74 46 8B 0B B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 8B 45 10 50 8D 45 FF 50 8B 45 18 50 8B 45 1C 50 8B 75 08 8B 4D 0C 8B 55 08 8B 86 D4 00 00 00 FF 96 D0 00 00 00 0F B6 45 FF 8B 04 85 ?? ?? ?? ?? 89 03 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 1C 00 }
	condition:
		$1
}

rule function_14827_0 {
	meta:
		name = "TADOConnection.InfoMessage"
		size = 120
		refs = "0012 TADOConnection.InfoMessage 0029 EventStatusValues 0033 OleEnumToOrd 006a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 10 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB C2 00 00 00 00 74 36 8B 0E B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 8D 45 FF 50 8B 4D 0C 8B D3 8B 83 C4 00 00 00 FF 93 C0 00 00 00 0F B6 45 FF 8B 04 85 ?? ?? ?? ?? 89 06 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_14828_0 {
	meta:
		name = "TADOConnection.RollbackTransComplete"
		size = 120
		refs = "0012 TADOConnection.RollbackTransComplete 0029 EventStatusValues 0033 OleEnumToOrd 006a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 10 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB B2 00 00 00 00 74 36 8B 0E B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 8D 45 FF 50 8B 4D 0C 8B D3 8B 83 B4 00 00 00 FF 93 B0 00 00 00 0F B6 45 FF 8B 04 85 ?? ?? ?? ?? 89 06 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_14829_0 {
	meta:
		name = "ExtractUserID"
		size = 220
		refs = "0015 @UStrAddRef 001d ExtractUserID 002e AnsiUpperCase 003b Pos 0058 @UStrCopy 007e @UStrClr 0098 @UStrArrayClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 C3 08 83 FB 08 7E 32 8D 45 F4 50 B9 FF 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 4F 56 8B CF 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 53 00 45 00 52 00 20 00 49 00 44 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_14830_0 {
	meta:
		name = "GetUserName"
		size = 340
		refs = "0017 @UStrAddRef 001f GetUserName 003b @UStrCopy 0048 CompareText 0054 CLSID_DATALINKS 0059 CreateComObject 0069 @IntfCast 008a @WStrFromUStr 0096 @WStrToPWChar 00b7 @UStrFromPWChar 00c1 ExtractUserID 00e7 @UStrArrayClr 00ef @IntfClear 00f7 @UStrClr 00ff @WStrClr 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 50 B9 0A 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 77 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 50 B9 04 01 00 00 BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 1C A9 00 00 00 80 0F 94 C0 84 C0 74 21 8D 45 E0 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 E0 8B D3 E8 ?? ?? ?? ?? EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C3 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 49 00 4C 00 45 00 20 00 4E 00 41 00 4D 00 45 00 3D 00 00 00 00 00 B1 CC 06 22 C1 19 D1 11 89 E0 00 C0 4F D7 A8 29 }
	condition:
		$1
}

rule function_14831_0 {
	meta:
		name = "TADOConnection.WillConnect"
		size = 371
		refs = "0019 TADOConnection.WillConnect 0033 EventStatusValues 003d OleEnumToOrd 004a ConnectOptionValues 00a4 @WStrEqual 00b0 @UStrFromWStr 00c8 GetUserName 00cd LoginDialogExProc 00f5 @WStrFromUStr 014a @HandleAutoException 0157 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B 75 10 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB CA 00 00 00 00 74 6C 8B 4D 1C 8B 09 B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 F7 8B 4D 18 8B 09 B8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 88 45 F6 56 8B 45 14 50 8D 45 F6 50 8D 45 F7 50 8B 4D 0C 8B D3 8B 83 CC 00 00 00 FF 93 C8 00 00 00 0F B6 45 F7 8B 04 85 ?? ?? ?? ?? 8B 55 1C 89 02 0F B6 45 F6 8B 04 85 ?? ?? ?? ?? 8B 55 18 89 02 80 7B 44 00 74 70 8B 06 33 D2 E8 ?? ?? ?? ?? 75 0A 8D 45 F8 8B 16 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 0C 8B 12 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 74 39 6A 00 8B 3D ?? ?? ?? ?? 8B 3F 8D 4D FC 8D 55 F8 8B 43 08 FF D7 84 C0 74 17 8B C6 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 14 8B 55 FC E8 ?? ?? ?? ?? EB 09 8B 45 1C C7 00 04 00 00 00 66 83 7B 6A 00 74 26 8D 45 EC 8B 55 14 8B 12 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 E8 8B 16 E8 ?? ?? ?? ?? 8B 4D E8 8B D3 8B 43 6C FF 53 68 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule function_14832_0 {
	meta:
		name = "ExtractCommandType"
		size = 37
		refs = "0006 CommandTypeValues"
	strings:
		$1 = { 55 8B EC 33 D2 B8 ?? ?? ?? ?? 8B 4D 08 8B 49 18 8B 09 23 08 75 0B 42 83 C0 04 80 FA 06 75 EB B2 01 8B C2 5D C3 }
	condition:
		$1
}

rule function_14833_0 {
	meta:
		name = "TADOConnection.WillExecute"
		size = 277
		refs = "0014 TADOConnection.WillExecute 002f CursorTypeValues 0039 OleEnumToOrd 0046 LockTypeValues 0059 ExtractCommandType 0067 OrdToExecuteOptions 0074 EventStatusValues 00d4 ExecuteOptionsToOrd 00df CommandTypeValues 0106 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 75 10 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB DA 00 00 00 00 0F 84 CC 00 00 00 8B 0E B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 8B 4D 14 8B 09 B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 FE 55 E8 ?? ?? ?? ?? 59 88 45 FB 8B 45 18 8B 00 E8 ?? ?? ?? ?? 88 45 FC 8B 4D 1C 8B 09 B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 FD 8D 45 FF 50 8D 45 FE 50 8D 45 FB 50 8D 45 FC 50 8D 45 FD 50 8B 45 20 50 8B 45 24 50 8B 4D 0C 8B D3 8B 83 DC 00 00 00 FF 93 D8 00 00 00 0F B6 45 FF 8B 04 85 ?? ?? ?? ?? 89 06 0F B6 45 FE 8B 04 85 ?? ?? ?? ?? 8B 55 14 89 02 0F B6 45 FC E8 ?? ?? ?? ?? 0F B6 55 FB 03 04 95 ?? ?? ?? ?? 8B 55 18 89 02 0F B6 45 FD 8B 04 85 ?? ?? ?? ?? 8B 55 1C 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 24 00 }
	condition:
		$1
}

rule function_14834_0 {
	meta:
		name = "TADOConnection.GetAttributes"
		size = 108
		refs = "0009 TADOConnection.GetAttributes 001f @CheckAutoResult 002e XactAttributeValues"
	strings:
		$1 = { 53 56 57 83 C4 F8 0F B6 15 ?? ?? ?? ?? 88 14 24 8D 54 24 04 52 8B 40 74 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? 8B 7C 24 04 85 FF 74 31 33 DB BE ?? ?? ?? ?? 85 3E 74 1D 8B C3 3C 07 77 17 83 E0 7F 8B D4 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F AB 02 43 83 C6 04 80 FB 02 75 D6 0F B6 04 24 59 5A 5F 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14835_0 {
	meta:
		name = "TADOConnection.SetAttributes"
		size = 84
		refs = "000e TADOConnection.SetAttributes 001a XactAttributeValues 0046 @CheckAutoResult"
	strings:
		$1 = { 53 56 57 51 88 14 24 8B F8 33 F6 0F B6 05 ?? ?? ?? ?? 3A 04 24 74 24 33 C0 BA ?? ?? ?? ?? 8B C8 80 F9 07 77 0A 83 E1 7F 0F B6 1C 24 0F A3 CB 73 02 03 32 40 83 C2 04 3C 02 75 E3 56 8B 47 74 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_14836_0 {
	meta:
		name = "TADOConnection.GetCommandTimeout"
		size = 21
		refs = "000c @CheckAutoResult"
	strings:
		$1 = { 51 54 8B 40 74 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_14837_0 {
	meta:
		name = "TADOConnection.SetCommandTimeout"
		size = 16
		refs = "000b @CheckAutoResult"
	strings:
		$1 = { 52 8B 40 74 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14838_0 {
	meta:
		name = "TADOConnection.GetConnected"
		size = 51
		refs = "001f @CheckAutoResult"
	strings:
		$1 = { 53 51 8B D8 8B C3 8B 10 FF 52 64 83 7B 74 00 74 18 54 8B 43 74 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? F6 04 24 01 75 05 33 C0 5A 5B C3 B0 01 5A 5B C3 }
	condition:
		$1
}

rule function_14839_0 {
	meta:
		name = "TADOConnection.SetConnectionObject"
		size = 204
		refs = "0013 TADOConnection.SetConnectionObject 0020 TADOConnection.CheckInactive 0032 TADOConnection.ConnectionPoint 0040 OleCheck 004a @IntfCopy 0067 @IntfCast 0098 @IntfClear 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 F6 74 5F 8B 43 78 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 8D 43 74 8B D6 E8 ?? ?? ?? ?? 8D 43 78 50 8D 45 F8 8B D3 85 D2 74 06 81 EA 20 FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_14840_0 {
	meta:
		name = "TADOConnection.GetConnectionString"
		size = 61
		refs = "001d @WStrAsg 0027 @WStrClr 0036 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 04 74 18 8B C3 8B 10 FF 52 48 84 C0 74 0D 8B C6 8B 53 7C E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 50 8B 43 74 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14841_0 {
	meta:
		name = "TADOConnection.SetConnectionString"
		size = 113
		refs = "000f TADOConnection.SetConnectionString 001f TADOConnection.GetConnectionString 0029 @WStrEqual 0032 TADOConnection.CheckInactive 0041 @CheckAutoResult 004b @WStrAsg 0060 @WStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 74 20 8B C3 E8 ?? ?? ?? ?? 56 8B 43 74 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8D 43 7C 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14842_0 {
	meta:
		name = "TADOConnection.GetConnectionTimeout"
		size = 21
		refs = "000c @CheckAutoResult"
	strings:
		$1 = { 51 54 8B 40 74 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_14843_0 {
	meta:
		name = "TADOConnection.SetConnectionTimeout"
		size = 42
		refs = "0009 TADOConnection.GetConnectionTimeout 0014 TADOConnection.CheckInactive 0023 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 74 16 8B C3 E8 ?? ?? ?? ?? 56 8B 43 74 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14844_0 {
	meta:
		name = "TADOConnection.SetConnectOptions"
		size = 30
		refs = "0011 TADOConnection.CheckInactive"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E 8C 00 00 00 74 0D 8B C6 E8 ?? ?? ?? ?? 88 9E 8C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_14845_0 {
	meta:
		name = "TADOConnection.GetCursorLocation"
		size = 40
		refs = "000f @CheckAutoResult 0017 CursorLocationValues 0021 OleEnumToOrd"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 74 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? 8B 0C 24 B8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_14846_0 {
	meta:
		name = "TADOConnection.SetCursorLocation"
		size = 26
		refs = "0006 CursorLocationValues 0015 @CheckAutoResult"
	strings:
		$1 = { 83 E2 7F 8B 14 95 ?? ?? ?? ?? 52 8B 40 74 50 8B 00 FF 50 74 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14847_0 {
	meta:
		name = "TADOConnection.RegisterClient"
		size = 75
		refs = "0014 TCustomConnection.RegisterClient 001c _DV_TADOCommand 0021 @IsClass 002e _DV_TCustomADODataSet 0041 TList.Add"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B F0 FF 75 0C FF 75 08 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0A 8B D3 8B 46 70 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_14848_0 {
	meta:
		name = "TADOConnection.UnRegisterClient"
		size = 65
		refs = "000b TCustomConnection.UnRegisterClient 0013 _DV_TADOCommand 0018 @IsClass 0025 _DV_TCustomADODataSet 003a TList.RemoveItem"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0C 8B 46 70 8B D3 33 C9 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14849_0 {
	meta:
		name = "TADOConnection.GetCommand"
		size = 19
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 70 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14850_0 {
	meta:
		name = "TADOConnection.GetCommandCount"
		size = 7
	strings:
		$1 = { 8B 40 70 8B 40 08 C3 }
	condition:
		$1
}

rule function_14851_0 {
	meta:
		name = "TADOConnection.GetADODataSet"
		size = 29
		refs = "0011 _DV_TCustomADODataSet 0016 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 4C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14852_0 {
	meta:
		name = "TADOConnection.IsDefaultDatabaseStored"
		size = 21
		refs = "000c @WStrEqual"
	strings:
		$1 = { 53 8B D8 8B 83 80 00 00 00 33 D2 E8 ?? ?? ?? ?? 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_14853_0 {
	meta:
		name = "TADOConnection.GetDefaultDatabase"
		size = 97
		refs = "0019 TADOConnection.GetDefaultDatabase 0026 @WStrClr 0035 @CheckAutoResult 0044 @HandleAnyException 0049 @DoneExcept 0058 @WStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 8B C3 8B 10 FF 52 48 84 C0 74 3A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8B 43 74 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B C6 8B 93 80 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_14854_0 {
	meta:
		name = "TADOConnection.SetDefaultDatabase"
		size = 120
		refs = "000f TADOConnection.SetDefaultDatabase 001f TADOConnection.GetDefaultDatabase 0029 @WStrEqual 0038 @WStrAsg 0052 @CheckAutoResult 0067 @WStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 74 27 8D 83 80 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 48 84 C0 74 0F 56 8B 43 74 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14855_0 {
	meta:
		name = "TADOConnection.GetErrors"
		size = 31
		refs = "0009 @IntfClear 0018 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 74 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14856_0 {
	meta:
		name = "TADOConnection.GetInTransaction"
		size = 11
	strings:
		$1 = { 83 B8 90 00 00 00 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_14857_0 {
	meta:
		name = "TADOConnection.GetIsolationLevel"
		size = 69
		refs = "0010 @CheckAutoResult 0024 IsolationLevelValues 0037 OleEnumToOrd"
	strings:
		$1 = { 53 56 51 8B D8 54 8B 43 74 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 8B 34 24 0F B6 83 8D 00 00 00 0F B6 D0 3B 34 95 ?? ?? ?? ?? 74 17 B8 ?? ?? ?? ?? 8B CE BA 08 00 00 00 E8 ?? ?? ?? ?? 88 83 8D 00 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14858_0 {
	meta:
		name = "TADOConnection.SetIsolationLevel"
		size = 40
		refs = "000c IsolationLevelValues 001b @CheckAutoResult"
	strings:
		$1 = { 53 56 8B DA 8B F0 0F B6 C3 8B 04 85 ?? ?? ?? ?? 50 8B 46 74 50 8B 00 FF 50 64 E8 ?? ?? ?? ?? 88 9E 8D 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_14859_0 {
	meta:
		name = "TADOConnection.GetMode"
		size = 40
		refs = "000f @CheckAutoResult 0017 ConnectModeValues 0021 OleEnumToOrd"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 74 50 8B 00 FF 50 78 E8 ?? ?? ?? ?? 8B 0C 24 B8 ?? ?? ?? ?? BA 07 00 00 00 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_14860_0 {
	meta:
		name = "TADOConnection.SetMode"
		size = 52
		refs = "0009 TADOConnection.GetMode 0014 TADOConnection.CheckInactive 001e ConnectModeValues 002d @CheckAutoResult"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 20 8B C6 E8 ?? ?? ?? ?? 0F B6 C3 8B 04 85 ?? ?? ?? ?? 50 8B 46 74 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14861_0 {
	meta:
		name = "TADOConnection.GetProperties"
		size = 31
		refs = "0009 @IntfClear 0018 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 74 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14862_0 {
	meta:
		name = "TADOConnection.GetProvider"
		size = 34
		refs = "0009 @WStrClr 001b @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 74 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14863_0 {
	meta:
		name = "TADOConnection.SetProvider"
		size = 106
		refs = "000f TADOConnection.SetProvider 001f TADOConnection.GetProvider 0029 @WStrEqual 0032 TADOConnection.CheckInactive 0044 @CheckAutoResult 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 74 19 8B C3 E8 ?? ?? ?? ?? 56 8B 43 74 50 8B 00 FF 90 84 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14864_0 {
	meta:
		name = "TADOConnection.IsProviderStored"
		size = 180
		refs = "000e TADOConnection.IsProviderStored 0029 TADOConnection.GetProvider 0036 @WStrEqual 0073 @WStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 48 84 C0 74 1E 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 95 C0 8B D8 EB 1C 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 00 00 12 00 00 00 4D 00 53 00 44 00 41 00 53 00 51 00 4C 00 2E 00 31 00 00 00 0E 00 00 00 4D 00 53 00 44 00 41 00 53 00 51 00 4C 00 00 00 }
	condition:
		$1
}

rule function_14865_0 {
	meta:
		name = "TADOConnection.GetState"
		size = 39
		refs = "0013 @CheckAutoResult 001b GetStates"
	strings:
		$1 = { 53 56 51 8B F0 54 8B 46 74 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 8B D8 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14866_0 {
	meta:
		name = "TADOConnection.GetVersion"
		size = 31
		refs = "0009 @WStrClr 0018 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 74 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14867_0 {
	meta:
		name = "TADOConnection.SetKeepConnection"
		size = 26
	strings:
		$1 = { 56 8B F0 3A 96 94 00 00 00 74 0D 88 96 94 00 00 00 8B C6 8B 10 FF 52 60 5E C3 }
	condition:
		$1
}

rule function_14868_0 {
	meta:
		name = "TRDSConnection.Create"
		size = 116
		refs = "000a @ClassCreate 0017 TCustomConnection.Create 001c TRDSConnection.Create 0023 TRDSConnection.SetServerName 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 2A 00 00 00 52 00 44 00 53 00 53 00 65 00 72 00 76 00 65 00 72 00 2E 00 44 00 61 00 74 00 61 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 00 00 }
	condition:
		$1
}

rule function_81877_0 {
	meta:
		name = "TChunkgAMA.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TChunk.Create 0023 TChunkgAMA.SetValue 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81171_0 {
	meta:
		name = "TGrayScaleLookup.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TColorLookup.Create 0023 TColorLookup.SetColors 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 00 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81169_0 {
	meta:
		name = "TGrayWindowsLookup.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TSlowColorLookup.Create 0023 TColorLookup.SetColors 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36685_0 {
	meta:
		name = "TIdEtherAddr.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TIdStruct.Create 0023 TIdUnion.SetBytesLen 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 06 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36662_0 {
	meta:
		name = "TIdIPOptions.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TIdStruct.Create 0023 TIdUnion.SetBytesLen 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 28 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_37986_0 {
	meta:
		name = "TIdLongWord.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TIdStruct.Create 0023 TIdUnion.SetBytesLen 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36671_0 {
	meta:
		name = "TIdTCPOptions.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TIdStruct.Create 0023 TIdUnion.SetBytesLen 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 28 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36708_0 {
	meta:
		name = "TIdicmp6_un.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TIdStruct.Create 0023 TIdUnion.SetBytesLen 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36646_0 {
	meta:
		name = "TIdicmp_dun.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TIdStruct.Create 0023 TIdUnion.SetBytesLen 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 0C 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36623_0 {
	meta:
		name = "TIdicmp_hun.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TIdStruct.Create 0023 TIdUnion.SetBytesLen 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81173_0 {
	meta:
		name = "TMonochromeLookup.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TColorLookup.Create 0023 TColorLookup.SetColors 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81167_0 {
	meta:
		name = "TNetscapeColorLookup.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TColorLookup.Create 0023 TColorLookup.SetColors 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA D8 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83921_0 {
	meta:
		name = "TRibbonGripItem.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TCustomActionControl.Create 0023 TControl.SetHeight 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38969_0 {
	meta:
		name = "TWebBrowserCut.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0023 TCustomWebBrowserAction.SetCmdID 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 10 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38968_0 {
	meta:
		name = "TWebBrowserOverrideCursor.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TWebBrowserToggleAction.Create 0023 TCustomWebBrowserAction.SetCmdID 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 74 09 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39109_0 {
	meta:
		name = "TWebBrowserOverwrite.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0023 TCustomWebBrowserAction.SetCmdID 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 0A 09 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39001_0 {
	meta:
		name = "TWebBrowserRefresh.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0023 TCustomWebBrowserAction.SetCmdID 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA FC 08 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39045_0 {
	meta:
		name = "TWebBrowserSearchFind.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0023 TCustomWebBrowserAction.SetCmdID 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 43 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_14869_0 {
	meta:
		name = "TRDSConnection.Destroy"
		size = 65
		refs = "0003 @BeforeDestruction 000e TComponent.Destroying 0015 TCustomConnection.Close 001c TRDSConnection.ClearRefs 0024 @IntfClear 002f TCustomConnection.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 46 70 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14871_0 {
	meta:
		name = "TRDSConnection.ClearRefs"
		size = 68
		refs = "001e _DV_TADODataSet 0023 @IsClass 0037 TADODataSet.SetRDSConnection"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 10 FF 52 50 8B D8 4B 83 FB 00 7C 2E 8B D3 8B C6 8B 08 FF 51 4C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B D3 8B C6 8B 08 FF 51 4C 33 D2 E8 ?? ?? ?? ?? 4B 83 FB FF 75 D2 5E 5B C3 }
	condition:
		$1
}

rule function_14872_0 {
	meta:
		name = "TRDSConnection.DoConnect"
		size = 188
		refs = "0011 TRDSConnection.DoConnect 0025 CLASS_DataSpace 002a CreateADOObject 003a @IntfCast 004f @CheckAutoResult 0057 @VarClr 007c @VarCopy 0099 @IntfClear 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 70 00 75 1D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 43 70 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 90 00 00 00 50 8B 43 70 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 50 8B 43 74 50 8B 43 78 50 8B 43 70 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8D 55 EC 8D 83 80 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 56 C5 96 BD A3 65 D0 11 98 3A 00 C0 4F C2 9E 34 }
	condition:
		$1
}

rule function_14873_0 {
	meta:
		name = "TRDSConnection.DoDisconnect"
		size = 11
		refs = "0006 @VarClear"
	strings:
		$1 = { 05 80 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_101669_0 {
	meta:
		name = "CI_ROUNDINDEX"
		size = 11
		refs = "0006 CI_GETINDEX"
	strings:
		$1 = { 05 80 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14874_0 {
	meta:
		name = "TRDSConnection.GetConnected"
		size = 18
		refs = "000a VarIsClear"
	strings:
		$1 = { 53 8B D8 8D 83 80 00 00 00 E8 ?? ?? ?? ?? 34 01 5B C3 }
	condition:
		$1
}

rule function_14875_0 {
	meta:
		name = "GetFromDataFactory"
		size = 168
		refs = "0011 GetFromDataFactory 0041 @DispInvoke 004f @VarToIntf 005e @IntfCast 0073 @VarClr 007b @IntfClear 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 08 8B 40 F8 50 8B 45 08 83 C0 FC 50 68 ?? ?? ?? ?? 8B 45 08 8B 40 F4 05 80 00 00 00 50 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 18 8D 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 01 03 00 88 08 03 51 75 65 72 79 00 56 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_14876_0 {
	meta:
		name = "GetFromProperty"
		size = 332
		refs = "0025 tagEXCEPINFO 002a @InitializeRecord 0032 GetFromProperty 004c @VarToIntf 005c @IntfCast 006b @FillChar 007f GUID_NULL 008e OleCheck 00c2 DispatchInvokeError 00f2 IInterface 00fc @FinalizeArray 010a @FinalizeRecord 0112 @VarClr 011a @IntfClear 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 33 D2 89 55 AC 89 55 B0 89 55 E8 89 55 EC 89 55 F0 89 55 F4 89 55 FC 8B D8 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 B0 8B 55 08 8B 52 F4 81 C2 80 00 00 00 E8 ?? ?? ?? ?? 8B 55 B0 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B4 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 50 6A 00 6A 01 8B 45 08 83 C0 F8 50 A1 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 6A 00 8D 45 C8 50 8D 45 E8 50 8D 45 B4 50 6A 02 68 00 04 00 00 A1 ?? ?? ?? ?? 50 8B 45 C4 50 8B 45 FC 50 8B 00 FF 50 18 85 C0 74 08 8D 55 C8 E8 ?? ?? ?? ?? 8D 45 AC 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 AC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C7 5B 8B E5 5D C3 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 56 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_14877_0 {
	meta:
		name = "TRDSConnection.GetRecordset"
		size = 178
		refs = "001f @WStrAddRef 0027 TRDSConnection.GetRecordset 0041 TCustomConnection.Open 0056 GetFromProperty 0061 @IntfCopy 006c GetFromDataFactory 008d _Recordset 0097 @FinalizeArray 009f @WStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 89 5D F0 89 4D FC 89 55 F8 89 45 F4 8B 5D 08 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 48 84 C0 75 08 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 80 B8 94 00 00 00 00 74 16 55 8D 45 F0 E8 ?? ?? ?? ?? 59 8B 55 F0 8B C3 E8 ?? ?? ?? ?? EB 14 55 8D 45 EC E8 ?? ?? ?? ?? 59 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14879_0 {
	meta:
		name = "TRDSConnection.SetServerName"
		size = 200
		refs = "0013 TRDSConnection.SetServerName 0020 TRDSConnection.CheckInactive 002a @WStrAsg 0037 UpperCase 0045 @UStrFromWStr 0059 Pos 007d @UStrArrayClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 43 78 8B D6 E8 ?? ?? ?? ?? 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 48 0F 95 C0 88 83 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 15 00 00 00 52 00 44 00 53 00 53 00 65 00 72 00 76 00 65 00 72 00 2E 00 44 00 61 00 74 00 61 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 00 00 }
	condition:
		$1
}

rule function_14880_0 {
	meta:
		name = "TParameters.Create_Parameter"
		size = 177
		refs = "0020 TParameters.Create_Parameter 002e @IntfClear 0037 Null 0042 @OleVarFromVar 005d ValidDirectionValues 0068 DataTypeValues 0071 TParameters.GetCommand 007f @CheckAutoResult 0094 @VarClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 50 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 45 0C 50 0F B6 45 10 8B 04 85 ?? ?? ?? ?? 50 0F B6 C3 8B 04 85 ?? ?? ?? ?? 50 56 8B C7 E8 ?? ?? ?? ?? 8B 40 38 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_14881_0 {
	meta:
		name = "TParameters.Refresh"
		size = 120
		refs = "000e TParameters.GetCommand 0022 TParameters.Refresh 003f TParameters.InternalRefresh 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? B1 01 BA 04 00 00 00 8B 18 FF 53 4C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 40 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C9 BA 04 00 00 00 8B 18 FF 53 4C C3 E9 ?? ?? ?? ?? EB E4 0F B6 45 FB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14882_0 {
	meta:
		name = "RefreshFromOleDB"
		size = 816
		refs = "0017 RefreshFromOleDB 0025 @IntfClear 0031 TParameters.GetCommand 0041 @IntfCast 004f @CheckAutoResult 0117 IntToStr 0127 @UStrCat3 0132 @WStrFromUStr 013e @WStrFromPWChar 0187 EmptyParam 0206 TParameters.AddParameter 0211 @IntfCopy 0246 GlobalMalloc 0267 @HandleFinally 027e @VarClr 028b @UStrArrayClr 02c3 @WStrClr"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D8 E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 50 38 8D 45 D4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 55 D8 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 10 6A 00 6A 00 6A 00 8B 45 F0 50 8B 00 FF 50 14 83 7D F0 00 0F 84 DB 01 00 00 33 C0 89 45 E4 33 C0 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 10 83 7D EC 00 74 0B 6A 00 8B 45 EC 50 8B 00 FF 50 0C 8D 45 E0 50 8D 45 E4 50 8D 45 E8 50 8B 45 F0 50 8B 00 FF 50 0C 85 C0 0F 85 31 01 00 00 8B 45 E8 48 85 C0 0F 8C 25 01 00 00 40 89 45 DC 33 F6 8D 04 76 8B 55 E4 8D 1C C2 8B 7B 08 85 FF 75 28 8D 55 CC 8D 46 01 E8 ?? ?? ?? ?? 8B 4D CC 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8D 45 FC E8 ?? ?? ?? ?? EB 0A 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 66 81 7B 14 80 00 75 06 66 C7 43 14 CC 00 66 81 7B 14 81 00 75 06 66 C7 43 14 C8 00 66 81 7B 14 82 00 75 06 66 C7 43 14 CA 00 8B 3B 83 E7 0F 85 FF 75 05 BF 01 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 BC E8 ?? ?? ?? ?? FF 75 C8 FF 75 C4 FF 75 C0 FF 75 BC 8B 43 10 50 57 0F B7 43 14 50 8B 45 FC 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 40 38 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 0F B6 43 16 50 8B 45 F8 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8D 04 76 8B 55 E4 0F B6 44 C2 17 50 8B 45 F8 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 8B 03 83 E0 F0 50 8B 45 F8 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 83 C0 0C 8B 55 F8 E8 ?? ?? ?? ?? 46 FF 4D DC 0F 85 E1 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 09 8B 45 EC 50 8B 00 FF 50 10 83 7D E4 00 74 0F 8B 45 E4 50 A1 ?? ?? ?? ?? 50 8B 00 FF 50 14 83 7D E0 00 74 0F 8B 45 E0 50 A1 ?? ?? ?? ?? 50 8B 00 FF 50 14 C3 E9 ?? ?? ?? ?? EB BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AB 5F 5E 5B 8B E5 5D C3 00 00 17 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 63 3A 73 0C 1C 2A CE 11 AD E5 00 AA 00 44 77 3D 64 3A 73 0C 1C 2A CE 11 AD E5 00 AA 00 44 77 3D 26 3A 73 0C 1C 2A CE 11 AD E5 00 AA 00 44 77 3D B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 61 00 72 00 61 00 6D 00 00 00 }
	condition:
		$1
}

rule function_14883_0 {
	meta:
		name = "RefreshFromADO"
		size = 631
		refs = "0017 RefreshFromADO 0028 TParameters.GetCommand 0033 @IntfCopy 0049 @IntfClear 0058 @CheckAutoResult 00b3 @OleVarFromInt 00f5 EmptyParam 014b @WStrClr 01e5 TParameters.AddParameter 0207 @HandleAnyException 020c @DoneExcept 0229 @VarClr 025a _Parameter 0264 @FinalizeArray 026a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 50 38 8D 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 5D EC 4B 85 DB 0F 8C 5D 01 00 00 43 33 F6 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 D8 8B D6 B1 FC E8 ?? ?? ?? ?? FF 75 E4 FF 75 E0 FF 75 DC FF 75 D8 8D 45 D4 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 8B 45 D4 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 C4 E8 ?? ?? ?? ?? FF 75 D0 FF 75 CC FF 75 C8 FF 75 C4 8D 45 EC 50 8B 45 F8 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 C0 50 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 C0 50 8D 45 BC 50 8B 45 F8 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 45 BC 50 8D 45 B8 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 45 F4 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 8D 45 B4 50 8B 45 F8 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 0F B6 45 B4 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8D 45 B4 50 8B 45 F8 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 0F B6 45 B4 50 8B 45 FC 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 F8 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 83 C0 0C 8B 55 FC E8 ?? ?? ?? ?? 46 4B 0F 85 A6 FE FF FF 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14884_0 {
	meta:
		name = "TParameters.InternalRefresh"
		size = 123
		refs = "0015 TParameters.InternalRefresh 0023 TCollection.Clear 002b TParameters.GetCommand 0030 TADOCommand.GetCommandType 003a RefreshFromOleDB 0043 RefreshFromADO 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 01 75 09 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 08 83 78 08 00 0F 9F 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_14885_0 {
	meta:
		name = "TParameters.Update"
		size = 5
	strings:
		$1 = { C6 40 1C 01 C3 }
	condition:
		$1
}

rule function_14887_0 {
	meta:
		name = "TParameters.AppendParameters"
		size = 396
		refs = "0019 TParameters.AppendParameters 0051 TParameters.Create_Parameter 0060 TParameters.GetParamCollection 006e @CheckAutoResult 00a0 @OleVarFromInt 00da @HandleAnyException 00df @DoneExcept 00fa TParameters.GetItem 0102 TParameter.GetParameter 013f @IntfClear 0157 @VarClr 0175 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 1C 00 0F 84 FE 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 45 F8 50 B1 03 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 5D F0 4B 83 FB 00 7C 37 8D 45 DC 8B D3 B1 FC E8 ?? ?? ?? ?? FF 75 E8 FF 75 E4 FF 75 E0 FF 75 DC 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 4B 83 FB FF 75 C9 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 70 08 4E 85 F6 7C 36 46 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D0 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 43 4E 75 CD 8B 45 FC C6 40 1C 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5F 5E 5B 8B E5 5D C3 00 00 02 00 00 00 5F 00 00 00 }
	condition:
		$1
}

rule function_14888_0 {
	meta:
		name = "TParameters.CreateParameter"
		size = 189
		refs = "0023 @VarAddRef 002b TParameters.CreateParameter 0038 TParameters.AddParameter 0054 TParameters.Create_Parameter 005f @IntfCopy 0089 @CheckAutoResult 009e @IntfClear 00a6 @VarClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 8B 75 08 8D 7D F0 A5 A5 A5 A5 88 4D EF 8B FA 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 0F B6 45 10 50 8B 45 0C 50 8D 45 E8 50 0F B6 4D EF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 46 0C E8 ?? ?? ?? ?? 66 83 7D F0 0A 75 09 81 7D F8 04 00 02 80 74 1A FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 46 0C 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_14889_0 {
	meta:
		name = "TParameters.AssignValues"
		size = 145
		refs = "0018 TParameters.AssignValues 0039 TParameters.GetItem 0041 TParameter.GetName 004c TParameters.FindParam 007e @WStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 8B 78 08 4F 85 FF 7C 3D 47 33 DB 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 74 13 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 08 43 4F 75 C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14891_0 {
	meta:
		name = "TParameters.FindParam"
		size = 171
		refs = "0017 TParameters.FindParam 0038 TCollection.GetItem 0044 TParameter.GetName 004f @UStrFromWStr 0067 CompareText 0086 @UStrClr 008e @WStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B 58 08 4B 85 DB 7C 44 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 EC 58 E8 ?? ?? ?? ?? 85 C0 74 06 47 4B 75 BF 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14892_0 {
	meta:
		name = "GetComponent"
		size = 58
		refs = "000b TParameters.GetCommand 001a _DV_TCustomADODataSet 001f @IsClass"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 20 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 58 04 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_14893_0 {
	meta:
		name = "TParameters.ParamByName"
		size = 128
		refs = "0016 TParameters.ParamByName 0026 TParameters.FindParam 0032 GetComponent 003c SParameterNotFound 0041 LoadResString 0057 DatabaseErrorFmt 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 75 2B 55 E8 ?? ?? ?? ?? 59 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 75 F0 C6 45 F4 0F 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14895_0 {
	meta:
		name = "TParameters.GetParamValue"
		size = 276
		refs = "001e TParameters.GetParamValue 0030 Pos 003f _Dn_TList 0044 TObject.Create 0061 TParameters.GetParamList 0082 VarArrayCreate 009d TList.Get 00a5 TParameter.GetValue 00af @VarArrayPut 00cb TObject.Free 00d1 @HandleFinally 00dc TParameters.ParamByName 00f8 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 9B 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 57 33 C0 89 45 F4 8B 45 FC 8B 40 08 48 89 45 F8 8D 45 F4 66 B9 0C 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 70 08 4E 85 F6 7C 29 46 33 DB 53 6A 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8D 45 E4 50 57 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 02 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_14896_0 {
	meta:
		name = "TParameters.SetParamValue"
		size = 236
		refs = "001a TParameters.SetParamValue 002c Pos 0037 _Dn_TList 003c TObject.Create 0059 TParameters.GetParamList 0071 TList.Get 007f @VarArrayGet 008b TParameter.SetValue 00a4 TObject.Free 00aa @HandleFinally 00b5 TParameters.ParamByName 00d1 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 7C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 70 08 4E 85 F6 7C 2B 46 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 53 6A 01 57 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 EC 58 E8 ?? ?? ?? ?? 43 4E 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 02 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_14898_0 {
	meta:
		name = "TParameters.ParseSQL"
		size = 536
		refs = "0024 TParameters.ParseSQL 0032 @WStrClr 0040 TCollection.Clear 0048 @WStrToPWChar 00fe @WStrCopy 0113 @WStrCatN 014c NameDelimiter 0172 @UStrFromPWCharLen 0188 TParameters.AddParameter 0194 @WStrFromUStr 019d TParameter.SetName 01d6 @WStrCat 01f3 @WStrArrayClr 01fb @UStrClr 0201 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 89 5D E0 89 5D FC 88 4D F3 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 80 7D F3 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 89 45 E8 8B 5D EC 0F B7 03 83 F8 27 7F 0E 74 1B 83 E8 01 72 16 83 E8 21 74 11 EB 0A 83 E8 3A 74 0A 83 E8 26 74 05 83 C3 02 EB DB 0F B7 03 83 F8 27 7F 12 74 1C 83 E8 01 0F 82 19 01 00 00 83 E8 21 74 0E EB C1 83 E8 3A 74 2C 83 E8 26 74 02 EB B5 0F B7 33 83 C3 02 EB 03 83 C3 02 66 83 3B 00 74 05 66 3B 33 75 F2 66 83 3B 00 0F 84 E6 00 00 00 83 C3 02 EB 90 83 C3 02 66 83 3B 3A 75 05 83 C3 02 EB 82 8B 45 08 FF 30 8D 45 E0 50 8B CB 2B 4D EC D1 F9 79 03 83 D1 00 49 8B 55 EC 2B 55 E8 D1 FA 79 03 83 D2 00 42 8B 45 F4 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 F6 0F B7 03 66 83 E8 22 74 0C 66 83 E8 05 74 06 66 83 E8 39 75 06 0F B7 33 83 C3 02 89 5D E4 0F B7 3B 66 85 FF 74 20 66 3B F7 74 1B 66 85 F6 75 0B 8B C7 E8 ?? ?? ?? ?? 84 C0 75 0B 83 C3 02 0F B7 3B 66 85 FF 75 E0 8B CB 2B 4D E4 D1 F9 79 03 83 D1 00 8D 45 FC 8B 55 E4 E8 ?? ?? ?? ?? 66 85 F6 74 03 83 C3 02 80 7D F3 00 74 1D 8B 45 F8 E8 ?? ?? ?? ?? 50 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 8B 55 DC 58 E8 ?? ?? ?? ?? 89 5D EC E9 AF FE FF FF 8D 45 D8 50 8B CB 2B 4D EC D1 F9 79 03 83 D1 00 8B 55 EC 2B 55 E8 D1 FA 79 03 83 D2 00 42 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 02 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_14901_0 {
	meta:
		name = "TParameters.GetItemAttr"
		size = 189
		refs = "001d TParameters.GetItemAttr 0035 TParameters.GetItem 003d TParameter.GetName 0047 @UStrFromWStr 0055 IntToStr 0068 TParameter.GetValue 0073 VarToWideStr 0086 @UStrClr 009b @VarClr 00a8 @WStrArrayClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 EA 01 72 04 74 2D EB 53 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 83 3E 00 75 3A 8B D6 8B C7 E8 ?? ?? ?? ?? EB 2F 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8D 45 E8 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14902_0 {
	meta:
		name = "TParameters.GetCommand"
		size = 29
		refs = "000b @CallDynaInst 0011 _DV_TADOCommand 0016 @AsClass"
	strings:
		$1 = { 53 56 8B D8 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78920_0 {
	meta:
		name = "TCellCollection.Owner"
		size = 29
		refs = "000b @CallDynaInst 0011 _DV_TCustomGridPanel 0016 @AsClass"
	strings:
		$1 = { 53 56 8B D8 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111511_0 {
	meta:
		name = "TDomXPathNamespace.GetOwnerSet"
		size = 29
		refs = "000b @CallDynaInst 0011 _DV_TDomXPathNodeSetResult 0016 @AsClass"
	strings:
		$1 = { 53 56 8B D8 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_112269_0 {
	meta:
		name = "TDomXPathSyntaxNode.GetOwnerSyntaxTree"
		size = 29
		refs = "000b @CallDynaInst 0011 _DV_TDomXPathSyntaxTree 0016 @AsClass"
	strings:
		$1 = { 53 56 8B D8 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14905_0 {
	meta:
		name = "TParameters.GetParamCollection"
		size = 38
		refs = "0009 @IntfClear 0011 TParameters.GetCommand 001f @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 40 38 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14906_0 {
	meta:
		name = "TParameter.AppendChunk"
		size = 127
		refs = "001d @VarAddRef 0025 TParameter.AppendChunk 0041 TParameter.GetParameter 004f @CheckAutoResult 0064 @IntfClear 006c @VarClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14907_0 {
	meta:
		name = "AssignParameter"
		size = 224
		refs = "0018 AssignParameter 0025 TParameter.GetAttributes 002e TParameter.SetAttributes 0035 TParameter.GetDataType 0049 TParameter.SetDataType 0050 TParameter.GetParameterDirection 0059 TParameter.SetParameterDirection 0063 TParameter.GetName 006d TParameter.SetName 0074 TParameter.GetNumericScale 007d TParameter.SetNumericScale 0084 TParameter.GetPrecision 008d TParameter.SetPrecision 0094 TParameter.GetSize 009d TParameter.SetSize 00a7 TParameter.GetValue 00b1 TParameter.SetValue 00c6 @VarClr 00ce @WStrClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 8B 75 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 06 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 06 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 06 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 06 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 06 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 06 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 06 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 55 EC 8B 06 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14908_0 {
	meta:
		name = "AssignField"
		size = 125
		refs = "0010 AssignField 0025 TParameter.SetDataType 003c TParameter.SetSize 0057 TParameter.SetValue 006c @VarClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 53 48 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 B4 00 00 00 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 91 90 00 00 00 8D 55 F0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14909_0 {
	meta:
		name = "AssignParam"
		size = 236
		refs = "0018 AssignParam 0025 TParam.GetParamType 0032 TParameter.SetParameterDirection 004f @WStrFromUStr 0059 TParameter.SetName 0067 TParameter.SetAttributes 0072 TParameter.SetNumericScale 007d TParameter.SetPrecision 0087 TParameter.SetSize 0091 TParam.GetAsVariant 009b TParameter.SetValue 00a2 TParameter.GetDataType 00ad TParam.GetDataType 00b6 TParameter.SetDataType 00cb @VarClr 00d3 @WStrClr 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 8B 75 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 06 B2 01 E8 ?? ?? ?? ?? EB 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 06 E8 ?? ?? ?? ?? 8D 45 FC 8B 53 34 E8 ?? ?? ?? ?? 8B 55 FC 8B 06 E8 ?? ?? ?? ?? 8B 06 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 0F B6 53 2C E8 ?? ?? ?? ?? 8B 06 0F B6 53 28 E8 ?? ?? ?? ?? 8B 06 8B 53 3C E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 55 EC 8B 06 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 84 C0 75 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 06 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14911_0 {
	meta:
		name = "LoadFromStrings"
		size = 117
		refs = "0011 LoadFromStrings 002c @VarFromUStr 003a TParameter.SetValue 0047 TParameter.SetDataType 005c @UStrClr 0064 @VarClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C3 8B 08 FF 51 1C 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14912_0 {
	meta:
		name = "TParameter.Assign"
		size = 244
		refs = "0015 TParameter.Assign 0023 _DV_TParameter 0028 @IsClass 0034 AssignParameter 0042 _Dn_TField 0053 AssignField 005e _Dn_TParam 006f AssignParam 007a _Dn_TStrings 008b LoadFromStrings 0096 @IntfClear 00a4 Supports 00b1 LoadFromStreamPersist 00be TPersistent.Assign 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 55 8B C3 E8 ?? ?? ?? ?? 59 E9 84 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 55 8B C3 E8 ?? ?? ?? ?? 59 EB 68 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 55 8B C3 E8 ?? ?? ?? ?? 59 EB 4C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 55 8B C3 E8 ?? ?? ?? ?? 59 EB 30 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 55 8B 45 F8 E8 ?? ?? ?? ?? 59 EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 A3 12 CD B8 7A 26 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_14913_0 {
	meta:
		name = "AssignToParam"
		size = 186
		refs = "0018 AssignToParam 0028 TParameter.GetName 0033 @UStrFromWStr 003a TParameter.GetParameterDirection 0043 TParam.SetParamType 004a TParameter.GetDataType 0053 TParam.SetDataType 005a TParameter.GetSize 0064 TParameter.GetPrecision 0071 TParameter.GetNumericScale 0081 TParameter.GetValue 008b TParam.SetAsVariant 00a0 @VarClr 00a8 @WStrClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 8B 75 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 34 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 89 43 3C 8B 06 E8 ?? ?? ?? ?? 0F B6 C0 89 43 28 8B 06 E8 ?? ?? ?? ?? 0F B6 C0 89 43 2C 8D 55 EC 8B 06 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14914_0 {
	meta:
		name = "TParameter.AssignTo"
		size = 145
		refs = "0014 TParameter.AssignTo 0022 _Dn_TField 0027 @IsClass 0036 TParameter.GetValue 004d _Dn_TParam 005e AssignToParam 006b TPersistent.AssignTo 0080 @VarClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B C3 8B 08 FF 91 00 01 00 00 EB 26 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 55 8B C3 E8 ?? ?? ?? ?? 59 EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14916_0 {
	meta:
		name = "TParameter.LoadFromStream"
		size = 397
		refs = "0021 TParameter.LoadFromStream 0032 TParameter.SetDataType 003d TStream.SetPosition 0075 @LStrSetLength 0081 TStream.ReadBuffer 008c @VarFromLStr 0096 TParameter.SetValue 00ac @WStrSetLength 00c3 @VarFromWStr 00ef VarArrayCreate 00fa @OleVarFromVar 0102 VarArrayLock 013a VarArrayUnlock 0140 @HandleFinally 0158 Variant 0162 @FinalizeArray 016a @VarClr 0172 @WStrClr 017a @LStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 88 4D E7 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 55 E7 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 00 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 12 8B D8 0F B6 45 E7 83 F8 17 7F 0C 74 19 48 74 16 83 E8 0F 74 11 EB 75 83 E8 18 74 3C 83 C0 F2 83 E8 02 72 34 EB 66 8D 45 FC 33 C9 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 8B CB 8B C7 E8 ?? ?? ?? ?? 8D 45 D4 8B 55 FC E8 ?? ?? ?? ?? 8D 55 D4 8B C6 E8 ?? ?? ?? ?? E9 A7 00 00 00 8B D3 D1 FA 79 03 83 D2 00 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B CB 8B C7 E8 ?? ?? ?? ?? 8D 45 C4 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 C4 8B C6 E8 ?? ?? ?? ?? EB 73 8D 45 B4 50 33 C0 89 45 AC 8B C3 48 89 45 B0 8D 45 AC 66 B9 11 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 B4 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B CB 8B C7 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14917_0 {
	meta:
		name = "TParameter.IsEqual"
		size = 389
		refs = "001a TParameter.IsEqual 002a TParameter.GetValue 0053 VarIsClear 0078 @VarCmpEQ 0092 TParameter.GetName 00a9 @WStrEqual 00bb TParameter.GetDataType 00d8 TParameter.GetParameterDirection 00f5 TParameter.GetNumericScale 0112 TParameter.GetPrecision 012f TParameter.GetSize 015d @WStrArrayClr 0166 Variant 0170 @FinalizeArray 0176 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 0F B7 7D F0 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 0F B7 45 E0 66 3B C7 75 41 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 84 C0 75 27 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 8D 45 C0 50 8D 55 B0 8B C6 E8 ?? ?? ?? ?? 8D 55 B0 58 E8 ?? ?? ?? ?? 74 04 33 C0 EB 06 B0 01 EB 02 33 C0 84 C0 74 26 8D 55 AC 8B C3 E8 ?? ?? ?? ?? 8B 45 AC 50 8D 55 A8 8B C6 E8 ?? ?? ?? ?? 8B 55 A8 58 E8 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 84 C0 74 17 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 3A D0 0F 94 C0 EB 02 33 C0 84 C0 74 17 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 3A D0 0F 94 C0 EB 02 33 C0 84 C0 74 17 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 3A D0 0F 94 C0 EB 02 33 C0 84 C0 74 17 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 3A D0 0F 94 C0 EB 02 33 C0 84 C0 74 17 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 3B D8 0F 94 C0 EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14918_0 {
	meta:
		name = "TParameter.GetAttributes"
		size = 172
		refs = "0014 TParameter.GetAttributes 0032 TParameter.GetParameter 0040 @CheckAutoResult 004e ParameterAttributeValues 008e @IntfClear 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 88 45 FF 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 8B 7D F8 85 FF 74 32 33 DB BE ?? ?? ?? ?? 85 3E 74 1E 8B C3 3C 07 77 18 83 E0 7F 8D 55 FF 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F AB 02 43 83 C6 04 80 FB 03 75 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14919_0 {
	meta:
		name = "TParameter.SetAttributes"
		size = 160
		refs = "0017 TParameter.SetAttributes 0032 ParameterAttributeValues 005b TParameter.GetParameter 0069 @CheckAutoResult 0073 TCollectionItem.Changed 0088 @IntfClear 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 0F B6 05 ?? ?? ?? ?? 3A 45 FB 74 24 33 C0 BA ?? ?? ?? ?? 8B C8 80 F9 07 77 0A 83 E1 7F 0F B6 5D FB 0F A3 CB 73 02 03 32 40 83 C2 04 3C 03 75 E3 56 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14920_0 {
	meta:
		name = "TParameter.GetDataType"
		size = 194
		refs = "0018 TParameter.GetDataType 002e TParameter.GetParameter 003c @CheckAutoResult 0088 ADOTypeToFieldType 009f @IntfClear 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 E8 89 55 F0 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 0F B6 45 FC 50 8D 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 0F B6 45 F4 50 8D 45 EC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 45 EC 5A 59 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14921_0 {
	meta:
		name = "TParameter.SetDataType"
		size = 103
		refs = "000f TParameter.SetDataType 001f DataTypeValues 002a TParameter.GetParameter 0038 @CheckAutoResult 0041 TCollectionItem.Changed 0056 @IntfClear 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 C3 8B 04 85 ?? ?? ?? ?? 50 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14924_0 {
	meta:
		name = "TParameter.SetName"
		size = 93
		refs = "000f TParameter.SetName 0020 TParameter.GetParameter 002e @CheckAutoResult 0037 TCollectionItem.Changed 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14925_0 {
	meta:
		name = "TParameter.GetNumericScale"
		size = 96
		refs = "0012 TParameter.GetNumericScale 0026 TParameter.GetParameter 0034 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 0F B6 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14926_0 {
	meta:
		name = "TParameter.SetNumericScale"
		size = 93
		refs = "000f TParameter.SetNumericScale 0020 TParameter.GetParameter 002e @CheckAutoResult 0037 TCollectionItem.Changed 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14927_0 {
	meta:
		name = "TParameter.GetParameter"
		size = 110
		refs = "000f TParameter.GetParameter 002a TParameter.GetParameters 0033 TParameters.Create_Parameter 003e @IntfCopy 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 75 23 6A 01 6A 00 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 0C E8 ?? ?? ?? ?? 8B C6 8B 53 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14928_0 {
	meta:
		name = "TParameter.GetParameterDirection"
		size = 112
		refs = "0012 TParameter.GetParameterDirection 0026 TParameter.GetParameter 0034 @CheckAutoResult 003c ParameterDirectionValues 0046 OleEnumToOrd 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 4D FC B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14929_0 {
	meta:
		name = "TParameter.SetParameterDirection"
		size = 103
		refs = "000f TParameter.SetParameterDirection 001f ParameterDirectionValues 002a TParameter.GetParameter 0038 @CheckAutoResult 0041 TCollectionItem.Changed 0056 @IntfClear 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 C3 8B 04 85 ?? ?? ?? ?? 50 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14931_0 {
	meta:
		name = "TParameter.GetPrecision"
		size = 96
		refs = "0012 TParameter.GetPrecision 0026 TParameter.GetParameter 0034 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 0F B6 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14932_0 {
	meta:
		name = "TParameter.SetPrecision"
		size = 93
		refs = "000f TParameter.SetPrecision 0020 TParameter.GetParameter 002e @CheckAutoResult 0037 TCollectionItem.Changed 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14934_0 {
	meta:
		name = "TParameter.GetSize"
		size = 95
		refs = "0012 TParameter.GetSize 0026 TParameter.GetParameter 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48255_0 {
	meta:
		name = "TInternetExplorer.Get_Left"
		size = 95
		refs = "0012 TInternetExplorer.Get_Left 0026 TInternetExplorer.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48342_0 {
	meta:
		name = "TInternetExplorerMedium.Get_Left"
		size = 95
		refs = "0012 TInternetExplorerMedium.Get_Left 0026 TInternetExplorerMedium.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14935_0 {
	meta:
		name = "TParameter.SetSize"
		size = 93
		refs = "000f TParameter.SetSize 0020 TParameter.GetParameter 002e @CheckAutoResult 0037 TCollectionItem.Changed 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14937_0 {
	meta:
		name = "TParameter.SetValue"
		size = 336
		refs = "0019 TParameter.SetValue 0026 VarIsClear 0031 VarIsNull 003d Null 0048 @OleVarFromVar 0051 TParameter.GetDataType 005d VarTypeToDataType 0066 TParameter.SetDataType 008b @VarToUStr 0096 StringToVarArray 00cc VarDataSize 00d5 TParameter.GetSize 00ed TParameter.SetSize 0103 TParameter.GetParameter 0111 @CheckAutoResult 0126 @IntfClear 012e @UStrClr 0136 @VarClr 0144 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 15 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? EB 58 8B C3 E8 ?? ?? ?? ?? 84 C0 75 11 0F B7 06 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3C 0F 75 0A 66 81 3E 00 01 0F 94 C0 EB 02 33 C0 84 C0 74 17 8D 45 DC 8B D6 E8 ?? ?? ?? ?? 8B 45 DC 8D 55 F0 E8 ?? ?? ?? ?? EB 0A 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 2C 02 72 17 04 F6 2C 02 72 11 48 2C 02 72 0C 04 FA 2C 02 72 06 04 F3 2C 02 73 29 8D 45 F0 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14938_0 {
	meta:
		name = "TADOCommand.Create"
		size = 236
		refs = "000f @ClassCreate 001b TADOCommand.Create 002a TComponent.Create 0032 CLASS_Command 0037 CreateADOObject 0047 @IntfCast 004c _DV_TParameter 0056 _DV_TParameters 005b TOwnedCollection.Create 006b TADOCommand.SetComandType 0078 @UStrAsg 0090 @IntfClear 0096 @HandleFinally 00a3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 46 38 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 54 C6 46 5A 01 B2 01 8B C6 E8 ?? ?? ?? ?? 8D 46 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 76 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 BD 00 84 B0 D1 F9 02 4D B8 56 71 D5 DB A1 23 E9 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 54 00 65 00 78 00 74 00 00 00 }
	condition:
		$1
}

rule function_14939_0 {
	meta:
		name = "TADOCommand.Destroy"
		size = 69
		refs = "0003 @BeforeDestruction 0012 TComponent.Destroy 001b TADOCommand.SetConnection 0023 @IntfClear 0033 TObject.Free 003e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 38 E8 ?? ?? ?? ?? 8D 46 54 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14940_0 {
	meta:
		name = "TADOCommand.Assign"
		size = 134
		refs = "000a _DV_TADOCommand 000f @IsClass 0023 TADOCommand.SetConnection 002f TADOCommand.SetConnectionString 0036 TADOCommand.GetCommandTimeOut 003f TADOCommand.SetCommandTimeOut 0046 TADOCommand.GetCommandType 004f TADOCommand.SetComandType 0060 TADOCommand.GetPrepared 0069 TADOCommand.SetPrepared 0073 TADOCommand.SetParameters 007f TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 63 8B 46 3C 85 C0 74 0B 8B D0 8B C3 E8 ?? ?? ?? ?? EB 0A 8B 56 40 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 56 44 8B C3 8B 08 FF 51 48 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 56 54 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14941_0 {
	meta:
		name = "TADOCommand.Cancel"
		size = 15
		refs = "000a @CheckAutoResult"
	strings:
		$1 = { 8B 40 38 50 8B 00 FF 50 64 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14942_0 {
	meta:
		name = "TADOCommand.CheckCommandText"
		size = 116
		refs = "0012 TADOCommand.CheckCommandText 0022 @WStrEqual 0030 SMissingCommandText 0035 LoadResString 004e DatabaseErrorFmt 0063 @UStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 44 33 D2 E8 ?? ?? ?? ?? 75 2A 8B 43 4C 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 48 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14943_0 {
	meta:
		name = "TADOCommand.SetConnectionFlag"
		size = 124
		refs = "0026 TADOCommand.SetConnectionFlag"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 8B C3 83 F8 0F 77 05 66 0F A3 46 58 0F 92 C0 88 04 24 84 C9 74 26 80 3C 24 00 75 4B 0F B7 05 ?? ?? ?? ?? 66 3B 46 58 75 07 8B C6 8B 10 FF 52 44 83 FB 0F 77 32 66 0F AB 5E 58 EB 2B 80 3C 24 00 74 25 83 FB 0F 77 05 66 0F B3 5E 58 0F B7 05 ?? ?? ?? ?? 66 3B 46 58 75 0E 83 7E 3C 00 74 08 8B 46 3C 8B 10 FF 52 60 0F B6 04 24 5A 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14944_0 {
	meta:
		name = "TADOCommand.OpenConnection"
		size = 216
		refs = "0012 TADOCommand.OpenConnection 0020 @IntfClear 002f @CheckAutoResult 003f @WStrEqual 004c @VarFromWStr 0074 TADOConnection.CheckActive 0093 SMissingConnection 0098 LoadResString 00a2 DatabaseError 00b7 @UStrClr 00bf @VarClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 43 38 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 83 7D FC 00 75 6D 8B 43 40 33 D2 E8 ?? ?? ?? ?? 74 27 8D 45 EC 8B 53 40 E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8B 43 38 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? EB 3A 8B 43 3C 85 C0 74 1C E8 ?? ?? ?? ?? 8B 43 3C 8B 40 74 50 8B 43 38 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? EB 17 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14945_0 {
	meta:
		name = "TADOCommand.ComponentLoading"
		size = 25
	strings:
		$1 = { F6 40 1C 01 75 10 8B 50 04 85 D2 74 06 F6 42 1C 01 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_14946_0 {
	meta:
		name = "TADOCommand.Execute"
		size = 84
		refs = "0013 TADOCommand.Execute 0021 EmptyParam 0042 @VarClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14947_0 {
	meta:
		name = "TADOCommand.Execute"
		size = 34
		refs = "0019 TADOCommand.Execute"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 33 C0 89 04 24 57 8B CE 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14948_0 {
	meta:
		name = "TADOCommand.Execute"
		size = 237
		refs = "001d TADOCommand.Execute 0052 @IntfClear 0068 @CheckAutoResult 0077 ExecuteOptionsToOrd 0083 @VarClr 009d @VarToInteger 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 BA 02 00 00 00 8B 45 EC 8B 38 FF 57 4C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 EC 8B 08 FF 51 40 8B 45 08 E8 ?? ?? ?? ?? 50 8D 45 E8 50 8B 45 EC 8B 40 38 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 7D E8 8B 45 EC 0F B6 40 50 E8 ?? ?? ?? ?? 03 F8 57 56 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 EC 8B 40 38 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 89 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 02 00 00 00 8B 45 EC 8B 18 FF 53 4C C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_14949_0 {
	meta:
		name = "TADOCommand.Initialize"
		size = 392
		refs = "0013 TADOCommand.Initialize 0020 TADOCommand.CheckCommandText 002f TADOCommand.GetCommandType 0046 Pos 0066 @WStrLAsg 0095 WideStringReplace 00b2 @WStrCat3 00fb @WStrCat 010d @CheckAutoResult 0115 TParameters.AppendParameters 012f @WStrArrayClr 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 DB 0F 84 ED 00 00 00 8B C6 E8 ?? ?? ?? ?? 04 FE 2C 02 0F 83 D4 00 00 00 8B 56 44 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E BF 00 00 00 8B 46 44 66 83 38 5B 0F 84 B2 00 00 00 8D 45 FC 8B 56 44 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 2B 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? EB 10 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 2B 0F B6 05 ?? ?? ?? ?? 50 8D 45 F4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 46 38 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 46 54 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 02 00 00 00 20 00 00 00 02 00 00 00 2E 00 00 00 00 00 00 00 04 00 00 00 2E 00 5B 00 00 00 00 00 02 00 00 00 5B 00 00 00 02 00 00 00 3B 00 00 00 04 00 00 00 5D 00 3B 00 00 00 00 00 02 00 00 00 5D 00 00 00 }
	condition:
		$1
}

rule function_14950_0 {
	meta:
		name = "TADOCommand.GetActiveConnection"
		size = 31
		refs = "0009 @IntfClear 0018 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 38 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14951_0 {
	meta:
		name = "InitParameters"
		size = 672
		refs = "0012 InitParameters 001d _DV_TParameter 002b _DV_TParameters 0030 TOwnedCollection.Create 0055 TParameters.ParseSQL 0066 TParameters.AssignValues 007e @CheckAutoResult 00a7 @WStrEqual 00e9 TParameters.InternalRefresh 0127 TParameters.GetItem 012c TParameter.GetDataType 013d TParameter.SetDataType 0152 TParameter.GetSize 0163 TParameter.SetSize 0178 TParameter.GetNumericScale 0189 TParameter.SetNumericScale 019e TParameter.GetPrecision 01af TParameter.SetPrecision 01c4 TParameter.GetParameterDirection 01d5 TParameter.SetParameterDirection 01ea TParameter.GetAttributes 01fb TParameter.SetAttributes 0228 @HandleFinally 0239 @HandleAnyException 023e @DoneExcept 0270 TObject.Free 028d @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 50 8B 45 08 8B 48 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 45 FC 50 8B 45 08 8B 50 F8 B1 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 50 54 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 08 8B 40 FC 8B 40 38 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 45 08 80 78 F7 00 0F 85 D0 01 00 00 8B 45 08 8B 40 FC 83 78 3C 00 75 16 8B 45 08 8B 40 FC 8B 40 40 33 D2 E8 ?? ?? ?? ?? 0F 84 AE 01 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 08 8B 40 FC B1 01 BA 04 00 00 00 8B 18 FF 53 4C 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 08 8B 40 FC 8B 40 54 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 54 8B 40 08 8B 50 08 8B 45 F8 8B 40 08 8B 40 08 3B D0 0F 85 FA 00 00 00 8B F0 4E 85 F6 0F 8C EF 00 00 00 46 33 DB 8B 45 08 8B 40 FC 8B 40 54 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 54 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 54 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 54 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 54 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 54 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 43 4E 0F 85 14 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 33 C9 BA 04 00 00 00 8B 18 FF 53 4C C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 83 78 08 00 7E 11 8B 45 08 8B 40 FC 8B 40 54 8B 55 F8 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14952_0 {
	meta:
		name = "TADOCommand.AssignCommandText"
		size = 99
		refs = "0013 TADOCommand.GetCommandType 0021 @WStrEqual 0032 InitParameters 004a @CheckAutoResult 005b TCollection.Clear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 88 4D F7 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 3C 01 75 1E 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 74 12 8B 45 FC 80 78 5A 00 74 09 55 E8 ?? ?? ?? ?? 59 EB 26 8B 45 F8 50 8B 45 FC 8B 40 38 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 80 7D F7 00 75 0B 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_14953_0 {
	meta:
		name = "TADOCommand.SetCommandText"
		size = 37
		refs = "000c @WStrAsg 0013 TADOCommand.ComponentLoading 001e TADOCommand.AssignCommandText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 44 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14954_0 {
	meta:
		name = "TADOCommand.GetCommandTimeOut"
		size = 21
		refs = "000c @CheckAutoResult"
	strings:
		$1 = { 51 54 8B 40 38 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_14955_0 {
	meta:
		name = "TADOCommand.SetCommandTimeOut"
		size = 16
		refs = "000b @CheckAutoResult"
	strings:
		$1 = { 52 8B 40 38 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14956_0 {
	meta:
		name = "TADOCommand.GetCommandType"
		size = 40
		refs = "000f @CheckAutoResult 0017 CommandTypeValues 0021 OleEnumToOrd"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 38 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 0C 24 B8 ?? ?? ?? ?? BA 05 00 00 00 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_14957_0 {
	meta:
		name = "TADOCommand.SetComandType"
		size = 26
		refs = "0006 CommandTypeValues 0015 @CheckAutoResult"
	strings:
		$1 = { 83 E2 7F 8B 14 95 ?? ?? ?? ?? 52 8B 40 38 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14958_0 {
	meta:
		name = "TADOCommand.ClearActiveConnection"
		size = 17
		refs = "000c @CheckAutoResult"
	strings:
		$1 = { 6A 00 8B 40 38 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14959_0 {
	meta:
		name = "TADOCommand.ConnectionStateChange"
		size = 10
		refs = "0005 TADOCommand.ClearActiveConnection"
	strings:
		$1 = { 84 C9 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14960_0 {
	meta:
		name = "TADOCommand.SetConnection"
		size = 65
		refs = "000f @WStrClr 002c TADOCommand.ConnectionStateChange 003a TADOCommand.ClearActiveConnection"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 3C 74 33 8D 43 40 E8 ?? ?? ?? ?? 8B 43 3C 85 C0 74 07 8B D3 8B 08 FF 51 5C 8B C6 89 43 3C 85 C0 74 0D 53 68 ?? ?? ?? ?? 8B D3 8B 08 FF 51 54 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14961_0 {
	meta:
		name = "TADOCommand.SetConnectionString"
		size = 47
		refs = "000c @WStrEqual 0017 TADOCommand.SetConnection 0021 @WStrAsg 0028 TADOCommand.ClearActiveConnection"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 40 8B D6 E8 ?? ?? ?? ?? 74 1A 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 40 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14962_0 {
	meta:
		name = "TADOCommand.SetParameters"
		size = 13
		altNames = "TDSServerTransport.SetFilters"
	strings:
		$1 = { 56 8B F0 8B 46 54 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_14963_0 {
	meta:
		name = "TADOCommand.GetPrepared"
		size = 22
		refs = "000c @CheckAutoResult"
	strings:
		$1 = { 51 54 8B 40 38 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 0F B7 04 24 5A C3 }
	condition:
		$1
}

rule function_14964_0 {
	meta:
		name = "TADOCommand.SetPrepared"
		size = 16
		refs = "000b @CheckAutoResult"
	strings:
		$1 = { 52 8B 40 38 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_14965_0 {
	meta:
		name = "TADOCommand.GetState"
		size = 36
		refs = "0010 @CheckAutoResult 0018 GetStates"
	strings:
		$1 = { 53 56 51 8B F0 54 8B 46 38 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 8B D8 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14966_0 {
	meta:
		name = "TADOCommand.GetProperties"
		size = 31
		refs = "0009 @IntfClear 0018 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 38 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14967_0 {
	meta:
		name = "InitializeMasterFields"
		size = 424
		refs = "0015 InitializeMasterFields 0022 TCustomADODataSet.GetParameters 0081 TParameters.GetItem 0086 TParameter.GetParameterDirection 00a4 TParameter.GetName 00af @UStrFromWStr 00c3 TDataSet.FindField 0100 @UStrCatN 0128 @UStrCopy 0133 @WStrFromUStr 013d TCustomADODataSet.SetMasterFields 0144 TCustomADODataSet.SetParamsFromCursor 0159 @UStrClr 0166 @WStrArrayClr 0176 @WStrClr 0183 @UStrArrayClr 0189 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 7E 0F 8B 83 E0 01 00 00 83 78 04 00 0F 95 C0 EB 02 33 C0 84 C0 0F 84 FF 00 00 00 8B 83 E0 01 00 00 8B 40 04 83 78 38 00 0F 84 EC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F8 4F 85 FF 0F 8C 98 00 00 00 47 33 F6 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 2C 01 74 04 2C 02 75 72 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 E0 01 00 00 8B 40 04 8B 40 38 E8 ?? ?? ?? ?? 85 C0 74 39 FF 75 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 46 4F 0F 85 6B FF FF FF 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 E4 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_14968_0 {
	meta:
		name = "TCustomADODataSet.Create"
		size = 251
		refs = "000e @ClassCreate 001c TDataSet.Create 0025 _DV_TADOCommand 002a TADOCommand.Create 003e _Dn_TIndexDefs 0043 TIndexDefs.Create 0050 _Dn_TList 0055 TObject.Create 0095 TCustomADODataSet.SetCommandType 009a _DV_TADODataSet 00a9 _Dn_TMasterDataLink 00ae TMasterDataLink.Create 00e6 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A8 01 00 00 89 5E 4C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D0 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 C4 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 CC 01 00 00 C6 83 E6 01 00 00 02 C6 83 E7 01 00 00 03 C6 83 E5 01 00 00 01 C7 83 B4 01 00 00 01 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 83 98 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 E0 01 00 00 89 5E 2C 8B 03 8B 80 C4 02 00 00 89 46 28 89 5E 34 8B 03 8B 80 C8 02 00 00 89 46 30 C6 83 F5 01 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14969_0 {
	meta:
		name = "TCustomADODataSet.Destroy"
		size = 176
		refs = "0003 @BeforeDestruction 000e TComponent.Destroying 0015 TDataSet.Close 0034 TObject.Free 009e TDataSet.Destroy 00a9 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 91 D0 02 00 00 8D 86 A8 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 C4 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 D0 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 CC 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 E0 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 D4 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14971_0 {
	meta:
		name = "TCustomADODataSet.SetConnectionFlag"
		size = 24
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B 86 A8 01 00 00 8B 18 FF 53 4C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14972_0 {
	meta:
		name = "InitializeConnection"
		size = 404
		refs = "0019 InitializeConnection 0026 TCustomADODataSet.GetConnection 0031 TCustomADODataSet.GetExecuteOptions 004a SConnectionRequired 004f LoadResString 0059 DatabaseError 006a EmptyParam 0078 @VarCopy 007f TCustomADODataSet.GetCommandType 00b3 InitializeMasterFields 00c9 @VarFromDisp 00e5 TCustomConnection.Open 0106 TCustomADODataSet.GetConnectionString 0110 @WStrEqual 012a @VarFromWStr 0137 TADOCommand.CheckCommandText 0141 TCustomADODataSet.GetCommandText 0169 @WStrArrayClr 0171 @VarClr 0179 @UStrClr 017f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B 5D 08 83 C3 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 E8 ?? ?? ?? ?? 85 C0 75 2F 8B 03 E8 ?? ?? ?? ?? 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 03 C6 80 F6 01 00 00 00 8D 45 EC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 08 83 C0 E8 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 04 FC 2C 02 0F 92 C0 34 01 84 C0 74 42 8B 03 B1 01 BA 01 00 00 00 8B 30 FF 96 D4 02 00 00 8B 03 8B 80 A8 01 00 00 B2 01 8B 08 FF 51 40 8B 03 E8 ?? ?? ?? ?? 8B 45 08 83 C0 D8 8B 13 8B 92 A8 01 00 00 8B 52 38 E8 ?? ?? ?? ?? E9 81 00 00 00 8B 03 E8 ?? ?? ?? ?? 85 C0 74 23 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 50 74 8B 45 08 83 C0 E8 E8 ?? ?? ?? ?? EB 2E 8D 55 E8 8B 03 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 E8 ?? ?? ?? ?? 74 18 8D 55 E4 8B 03 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 08 83 C0 E8 E8 ?? ?? ?? ?? 8B 03 8B 80 A8 01 00 00 E8 ?? ?? ?? ?? 8D 55 E0 8B 03 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 08 83 C0 D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 00 07 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14973_0 {
	meta:
		name = "InitializeRecordset"
		size = 496
		refs = "0018 InitializeRecordset 0026 CLASS_Recordset 002b CreateADOObject 003f @IntfCast 004f CursorLocationValues 0066 @CheckAutoResult 00ad @WStrEqual 00d5 TCustomADODataSet.RefreshIndexFields 00dc TCustomADODataSet.EnableEvents 0122 @IntfClear 0169 @VarFromDisp 01bd @VarClr 01d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B 5D 08 83 C3 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 03 05 80 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 0F B6 80 E5 01 00 00 8B 04 85 ?? ?? ?? ?? 50 8B 03 8B 80 80 01 00 00 50 8B 00 FF 90 F0 00 00 00 E8 ?? ?? ?? ?? 8B 03 8B 80 B4 01 00 00 50 8B 03 8B 80 80 01 00 00 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 8B 03 8B 80 C0 01 00 00 50 8B 03 8B 80 80 01 00 00 50 8B 00 FF 50 64 E8 ?? ?? ?? ?? 8B 03 8B 80 D8 01 00 00 33 D2 E8 ?? ?? ?? ?? 74 26 8B 03 8B 80 D8 01 00 00 50 8B 03 8B 80 80 01 00 00 50 8B 00 FF 90 48 01 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 03 66 83 B8 52 02 00 00 00 0F 84 B4 00 00 00 8B 45 08 66 83 78 E8 09 75 24 8B 45 08 FF 70 F4 FF 70 F0 FF 70 EC FF 70 E8 8B 03 8B 80 80 01 00 00 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? EB 6E 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 03 8B 80 A8 01 00 00 8B 40 38 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 83 7D F8 00 74 49 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 03 8B 80 A8 01 00 00 8B 40 38 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 FF 75 EC FF 75 E8 8B 03 8B 80 80 01 00 00 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 33 8B 03 8B 88 80 01 00 00 8B 13 8B 86 54 02 00 00 FF 96 50 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 56 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_14974_0 {
	meta:
		name = "TCustomADODataSet.OpenCursor"
		size = 495
		refs = "001a TCustomADODataSet.OpenCursor 0036 InitializeConnection 003d InitializeRecordset 0046 TCustomADODataSet.GetExecuteOptions 004b ExecuteOptionsToOrd 0055 TCustomADODataSet.GetCommandType 005f CommandTypeValues 0071 LockTypeValues 0083 CursorTypeValues 00b3 @CheckAutoResult 00ce @IntfClear 00d7 @VarClr 00ff @IntfCopy 0110 Abort 011f @HandleAnyException 0127 SNoResultSet 012c LoadResString 0137 DatabaseError 013c @DoneExcept 016b TCustomADODataSet.EnableEvents 01a2 TDataSet.SetState 01ac TDataSet.OpenCursor 01c1 @UStrClr 01d2 OleVariant 01dc @FinalizeArray 01e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 80 01 00 00 00 0F 85 33 01 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 83 E0 7F 03 1C 85 ?? ?? ?? ?? 53 8B 45 FC 0F B6 80 E7 01 00 00 8B 04 85 ?? ?? ?? ?? 50 8B 45 FC 0F B6 80 E6 01 00 00 8B 04 85 ?? ?? ?? ?? 50 FF 75 F4 FF 75 F0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 DC FF 75 D8 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 90 A0 00 00 00 E8 ?? ?? ?? ?? E9 84 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C4 E8 ?? ?? ?? ?? 50 8D 45 C8 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 90 F4 00 00 00 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 FC 05 80 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 80 01 00 00 00 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 BC 50 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 83 7D BC 00 0F 84 57 FF FF FF EB 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? A8 01 74 2B 8D 45 BC 50 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? F6 45 BC 04 74 0A B2 0C 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14975_0 {
	meta:
		name = "TCustomADODataSet.InternalOpen"
		size = 162
		refs = "000a TCustomADODataSet.GetCursorType 002f @CheckAutoResult 0050 TFieldDefs.Update 006a FieldListCheckSum 0084 TFields.GetCount"
	strings:
		$1 = { 53 56 51 8B D8 8B F3 8B C3 E8 ?? ?? ?? ?? 3C 01 0F 94 C0 88 86 90 00 00 00 54 68 00 20 00 00 8B 83 80 01 00 00 50 8B 00 FF 90 F8 00 00 00 E8 ?? ?? ?? ?? 66 83 3C 24 00 74 09 C7 43 6C 10 00 00 00 EB 05 33 C0 89 43 6C 8B 43 40 C6 40 20 00 E8 ?? ?? ?? ?? 80 BB AE 00 00 00 00 74 0A 8B C3 8B 10 FF 92 D8 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 83 9C 00 00 00 B2 01 8B C3 8B 08 FF 91 B4 00 00 00 8B 43 38 E8 ?? ?? ?? ?? C1 E0 04 83 C0 19 89 83 B0 01 00 00 8B C3 8B 10 FF 92 CC 02 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_14976_0 {
	meta:
		name = "TCustomADODataSet.InternalClose"
		size = 225
		refs = "000d TCustomADODataSet.InternalClose 004e TCustomADODataSet.GetRecordsetState 006c TCustomADODataSet.ConnectionPoint 007a OleCheck 008d @IntfClear 00aa @UStrClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 8B 08 FF 91 B4 00 00 00 80 BE AE 00 00 00 00 74 0A 8B C6 8B 10 FF 92 EC 00 00 00 8B 86 CC 01 00 00 8B 10 FF 52 08 8B C6 8B 10 FF 92 C0 02 00 00 8B C6 E8 ?? ?? ?? ?? A8 02 74 30 83 BE A4 01 00 00 00 7E 27 8B 86 A4 01 00 00 50 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 89 86 A4 01 00 00 8D 86 84 01 00 00 E8 ?? ?? ?? ?? 8D 86 80 01 00 00 E8 ?? ?? ?? ?? C6 86 E4 01 00 00 00 8D 86 B8 01 00 00 E8 ?? ?? ?? ?? 33 C9 BA 01 00 00 00 8B C6 8B 18 FF 93 D4 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14977_0 {
	meta:
		name = "TCustomADODataSet.InternalRefresh"
		size = 88
		refs = "001a @CheckAutoResult 0043 TCustomADODataSet.InternalRefresh 004a TCustomADODataSet.InternalRequery"
	strings:
		$1 = { 53 51 8B D8 54 68 00 00 02 00 8B 83 80 01 00 00 50 8B 00 FF 90 F8 00 00 00 E8 ?? ?? ?? ?? 66 83 3C 24 00 74 1B 6A 02 6A 03 8B 83 80 01 00 00 50 8B 00 FF 90 40 01 00 00 E8 ?? ?? ?? ?? 5A 5B C3 0F B6 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_14978_0 {
	meta:
		name = "TCustomADODataSet.InternalRequery"
		size = 229
		refs = "0018 TCustomADODataSet.InternalRequery 0032 SCantRequery 0037 LoadResString 0041 DatabaseError 0058 ExecuteOptionsToOrd 0070 @CheckAutoResult 007f @HandleAnyException 00a8 TDataSet.Close 00ad @RaiseAgain 00b2 @DoneExcept 00d2 @UStrClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 F6 01 00 00 00 74 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 FB E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 38 E9 ?? ?? ?? ?? 8D 45 F0 50 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 83 7D F0 00 75 08 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 C0 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14979_0 {
	meta:
		name = "TCustomADODataSet.Requery"
		size = 35
		refs = "000a TDataSet.CheckBrowseMode 0015 TCustomADODataSet.InternalRequery 001c TDataSet.First"
	strings:
		$1 = { 53 51 88 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 14 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_14980_0 {
	meta:
		name = "TCustomADODataSet.CheckActive"
		size = 35
		refs = "0006 DBApplication 001d TDataSet.CheckActive"
	strings:
		$1 = { 53 8B D8 EB 0C A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 10 80 BB A5 00 00 00 0C 74 EB 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_14981_0 {
	meta:
		name = "TCustomADODataSet.CheckFieldCompatibility"
		size = 100
		refs = "005e TDataSet.CheckFieldCompatibility"
	strings:
		$1 = { 56 8B F0 0F B6 42 48 83 F8 18 7F 0F 74 33 48 74 30 83 C0 FB 83 E8 03 72 12 EB 3A 83 E8 20 74 07 83 E8 05 74 06 EB 2E B0 01 EB 2C 0F B6 41 25 04 FA 2C 03 72 08 2C 1C 74 04 33 C0 EB 1A B0 01 EB 16 0F B6 41 25 2C 01 74 08 2C 17 74 04 33 C0 EB 06 B0 01 EB 02 33 C0 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_14982_0 {
	meta:
		name = "TCustomADODataSet.IsCursorOpen"
		size = 17
		refs = "0006 TCustomADODataSet.GetRecordsetState"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A8 02 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_14983_0 {
	meta:
		name = "TCustomADODataSet.DefChanged"
		size = 8
	strings:
		$1 = { C6 80 F4 01 00 00 01 C3 }
	condition:
		$1
}

rule function_14984_0 {
	meta:
		name = "AddFieldDef"
		size = 1168
		refs = "001b @IntfAddRef 0023 AddFieldDef 0049 @CheckAutoResult 0081 ADOTypeToFieldType 009f TFieldDefs.AddFieldDef 00b4 @WStrClr 00e7 @WStrEqual 0103 WideFormat 015e @UStrFromWStr 0168 TDefCollection.IndexOf 0185 TNamedItem.SetDisplayName 02a4 @VarClr 02ad @IntfClear 02b7 SIsAutoInc 02bc @VarFromWStr 0309 @VarFromBool 0312 @VarCmpEQ 034a TFieldDef.SetAttributes 03ad TFieldDef.SetDataType 03b7 TFieldDef.SetSize 03c1 TFieldDef.SetPrecision 03d5 TFields.GetCount 03e6 TDataSet.SetObjectView 0428 @UStrArrayClr 044e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 10 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B FA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 0F B6 80 F5 01 00 00 50 8D 45 E8 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 0F B6 45 E8 50 8D 45 E4 50 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 0F B6 45 E4 50 8D 45 E0 50 8B 45 FC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 45 E0 5A 59 E8 ?? ?? ?? ?? 88 45 F7 80 7D F7 00 0F 84 58 03 00 00 33 C0 89 45 F0 33 C0 89 45 EC 8B C7 E8 ?? ?? ?? ?? 8B D8 8B 47 08 8B 40 08 89 43 1C 33 F6 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? EB 7E 46 8D 45 DC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 45 DC 33 D2 E8 ?? ?? ?? ?? 75 1C 8D 45 F8 50 89 75 D4 C6 45 D8 00 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3E 8D 45 F8 50 8D 45 C0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 45 C0 89 45 C4 C6 45 C8 0F 89 75 CC C6 45 D0 00 8D 55 C4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 0F 84 72 FF FF FF 8D 45 BC 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 BC 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 8D 55 FF FF FF 8D 45 B8 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 B8 8B C3 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 FC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 81 7D E0 83 00 00 00 75 34 8D 45 E8 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 80 7D E8 00 75 1C 8D 45 E4 50 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 80 7D E4 0A 73 04 C6 45 F7 03 0F B6 45 F7 83 F8 26 0F 87 40 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 00 03 00 00 00 00 02 00 00 00 01 01 00 00 00 00 00 00 00 00 00 01 01 00 00 00 00 00 00 00 00 00 00 04 00 02 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 E0 50 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F0 E9 DA 00 00 00 8D 45 E8 50 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 0F B6 45 E8 89 45 EC 8D 45 E8 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 0F BE 45 E8 89 45 F0 83 7D F0 00 0F 8D 9E 00 00 00 C7 45 F0 04 00 00 00 E9 92 00 00 00 8B 45 08 80 78 FB 00 0F 84 85 00 00 00 8D 45 A8 E8 ?? ?? ?? ?? 50 8D 45 A4 E8 ?? ?? ?? ?? 50 8D 45 94 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 A0 FF 75 9C FF 75 98 FF 75 94 8D 45 90 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 90 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 A4 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8D 45 A8 50 8D 45 80 B2 01 E8 ?? ?? ?? ?? 8D 55 80 58 E8 ?? ?? ?? ?? 75 0D C6 45 F7 0E EB 07 C7 45 F0 26 00 00 00 8D 45 E0 50 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? F6 45 E1 01 74 11 0F B6 15 ?? ?? ?? ?? 0A 53 26 8B C3 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? F6 45 E0 10 74 11 0F B6 15 ?? ?? ?? ?? 0A 53 26 8B C3 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? F6 45 E0 0C 74 06 80 7D F7 0E 75 11 0F B6 15 ?? ?? ?? ?? 0A 53 26 8B C3 E8 ?? ?? ?? ?? 0F B6 55 F7 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 80 7B 25 1D 75 1F 8B 45 08 8B 40 FC 8B 40 38 E8 ?? ?? ?? ?? 85 C0 75 0D 8B 45 08 8B 40 FC B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 B8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A3 5F 5E 5B 8B E5 5D C3 00 10 00 00 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 25 00 64 00 00 00 00 00 0A 00 00 00 25 00 73 00 5F 00 25 00 64 00 00 00 01 00 00 00 20 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_14985_0 {
	meta:
		name = "TCustomADODataSet.InternalInitFieldDefs"
		size = 411
		refs = "0019 TCustomADODataSet.InternalInitFieldDefs 002a TCollection.Clear 0036 @IntfClear 004b @CheckAutoResult 007e @OleVarFromInt 00cc SIsAutoInc 00d1 PropertyExists 0137 AddFieldDef 0159 @VarClr 018f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 5D F4 85 DB 7E 74 8D 45 EC E8 ?? ?? ?? ?? 50 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 45 D8 33 D2 B1 01 E8 ?? ?? ?? ?? FF 75 E4 FF 75 E0 FF 75 DC FF 75 D8 8D 45 D4 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 FB 4B 85 DB 7C 63 43 33 F6 55 8D 45 D0 E8 ?? ?? ?? ?? 50 8D 45 C0 8B D6 B1 FC E8 ?? ?? ?? ?? FF 75 CC FF 75 C8 FF 75 C4 FF 75 C0 8D 45 BC E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 D0 8B 55 FC 8B 52 40 E8 ?? ?? ?? ?? 59 46 4B 75 A0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14986_0 {
	meta:
		name = "InitBinding"
		size = 109
		refs = "0013 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 33 C9 BA 34 00 00 00 E8 ?? ?? ?? ?? C7 43 1C 07 00 00 00 8B 46 08 89 03 0F B7 46 14 66 89 43 30 8B 07 89 43 0C 8B 07 83 C0 04 89 43 08 8B 07 83 C0 08 89 43 04 66 81 7B 30 82 00 75 10 83 7E 10 FF 74 0A 8B 46 10 03 C0 89 43 28 EB 06 8B 46 10 89 43 28 8B 43 28 83 C0 0F 83 E0 F8 01 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14987_0 {
	meta:
		name = "SetupBindings"
		size = 364
		refs = "0014 SetupBindings 003d @IntfCast 0057 OleCheck 007c :TCustomADODataSet.:1 0081 @DynArraySetLength 00ad InitBinding 0109 GlobalMalloc 0124 @HandleFinally 0141 @DynArrayClear 0149 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 33 C0 89 45 EC 8D 45 FC 8B 55 08 8B 52 FC 8B 92 90 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 8D 45 E8 50 8D 45 F4 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 75 F4 4E 85 F6 72 25 46 33 DB 8B C3 03 C0 8D 04 40 8B 55 E8 8D 14 C2 6B C3 0D 8B 4D F8 8D 04 81 8D 4D F0 E8 ?? ?? ?? ?? 43 4E 75 DE 6A 00 8B 45 08 8B 40 FC 05 9C 01 00 00 50 8B 45 F0 50 8B 45 F8 50 8B 45 F4 50 6A 02 8B 45 08 8B 40 FC 8B 80 94 01 00 00 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 F0 89 90 A0 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 A1 ?? ?? ?? ?? 50 8B 00 FF 50 14 8B 45 E8 50 A1 ?? ?? ?? ?? 50 8B 00 FF 50 14 C3 E9 ?? ?? ?? ?? EB DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 00 11 3A 73 0C 1C 2A CE 11 AD E5 00 AA 00 44 77 3D }
	condition:
		$1
}

rule function_14988_0 {
	meta:
		name = "TCustomADODataSet.InitOleDBAccess"
		size = 384
		refs = "0010 TCustomADODataSet.InitOleDBAccess 0026 @IntfClear 003d @IntfCast 004b @CheckAutoResult 00a8 SetupBindings 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 D2 0F 84 8D 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F4 8B 55 FC 8B 92 80 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 05 90 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 94 01 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 8B 80 90 01 00 00 50 8B 00 FF 10 8B 45 FC 05 98 01 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 8B 80 90 01 00 00 50 8B 00 FF 10 55 E8 ?? ?? ?? ?? 59 EB 65 8B 45 FC 83 B8 94 01 00 00 00 74 32 8B 45 FC 83 B8 9C 01 00 00 00 74 26 6A 00 8B 45 FC 8B 80 9C 01 00 00 50 8B 45 FC 8B 80 94 01 00 00 50 8B 00 FF 50 18 8B 45 FC 33 D2 89 90 9C 01 00 00 8B 45 FC 05 94 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 98 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 90 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 00 00 00 83 02 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 7C 3A 73 0C 1C 2A CE 11 AD E5 00 AA 00 44 77 3D 8C 3A 73 0C 1C 2A CE 11 AD E5 00 AA 00 44 77 3D 9D 3A 73 0C 1C 2A CE 11 AD E5 00 AA 00 44 77 3D }
	condition:
		$1
}

rule function_14989_0 {
	meta:
		name = "TCustomADODataSet.PrepareCursor"
		size = 280
		refs = "0010 TCustomADODataSet.PrepareCursor 0040 StringReplace 004b @WStrFromUStr 0055 TCustomADODataSet.InternalSetSort 0068 TCustomADODataSet.GetParameters 0079 TCustomADODataSet.SetDetailFilter 0098 TCustomADODataSet.ActivateTextFilter 00b5 @CheckAutoResult 00db @UStrClr 00e3 @WStrClr 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB BC 01 00 00 00 74 36 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 80 78 15 00 74 18 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 75 07 8B C3 E8 ?? ?? ?? ?? 80 BB B0 00 00 00 00 74 16 83 BB 80 00 00 00 00 74 0D 8B 93 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 50 68 00 22 00 00 8B 83 80 01 00 00 50 8B 00 FF 90 F8 00 00 00 E8 ?? ?? ?? ?? 66 83 7D F4 00 74 0A 8B C3 8B 10 FF 92 04 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_14991_0 {
	meta:
		name = "TCustomADODataSet.LoadFromFile"
		size = 50
		refs = "0009 TDataSet.Close 0012 TCustomADODataSet.SetCommandType 001b TCustomADODataSet.SetLockType 0024 TCustomADODataSet.SetCommandText 002b TDataSet.Open"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? B2 04 8B C3 E8 ?? ?? ?? ?? B2 04 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_14992_0 {
	meta:
		name = "TCustomADODataSet.SaveToFile"
		size = 268
		refs = "0020 TCustomADODataSet.SaveToFile 002d TDataSet.CheckBrowseMode 0037 @UStrFromWStr 0041 FileExists 0057 DeleteFile 006c ExtractFileExt 0077 LowerCase 0084 @UStrEqual 0096 @VarFromWStr 00b6 @CheckAutoResult 00d4 @VarClr 00e1 @UStrArrayClr 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC B2 01 E8 ?? ?? ?? ?? 84 C0 74 12 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 EC 8B D6 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 02 B3 01 0F B6 C3 50 8D 45 DC 8B D6 E8 ?? ?? ?? ?? FF 75 E8 FF 75 E4 FF 75 E0 FF 75 DC 8B 87 80 01 00 00 50 8B 00 FF 90 50 01 00 00 E8 ?? ?? ?? ?? 8B C7 C7 40 60 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 78 00 6D 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_14993_0 {
	meta:
		name = "TCustomADODataSet.Clone"
		size = 195
		refs = "0019 TCustomADODataSet.Clone 0027 TDataSet.Close 002f @IntfClear 003a LockTypeValues 004f @CheckAutoResult 005f @IntfCopy 0075 TDataSet.Open 0084 @HandleAnyException 0096 @RaiseAgain 009b @DoneExcept 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 0F B6 C3 8B 04 85 ?? ?? ?? ?? 50 8B 86 80 01 00 00 50 8B 00 FF 90 3C 01 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 05 80 01 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 05 80 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_14994_0 {
	meta:
		name = "TCustomADODataSet.NextRecordset"
		size = 124
		refs = "0018 TCustomADODataSet.NextRecordset 0025 TDataSet.CheckBrowseMode 002c @IntfClear 0035 @VarClr 004a @CheckAutoResult 0052 @VarToInteger 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 83 80 01 00 00 50 8B 00 FF 90 F4 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 89 06 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_14995_0 {
	meta:
		name = "TCustomADODataSet.DataEvent"
		size = 89
		refs = "0022 TDataSet.GetActive 0036 FieldListCheckSum 0051 TDataSet.DataEvent"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B C3 2C 04 74 10 2C 04 75 37 8B 86 D0 01 00 00 C6 40 20 00 EB 2B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 20 83 BE 9C 00 00 00 00 74 17 8B C6 E8 ?? ?? ?? ?? 3B 86 9C 00 00 00 74 08 33 C0 89 86 9C 00 00 00 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_14996_0 {
	meta:
		name = "DesignerDataStored"
		size = 65
		refs = "0024 @UStrEqual"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 20 85 DB 74 1D 8B 83 DC 01 00 00 8B 55 08 8B 52 F8 8B 92 DC 01 00 00 E8 ?? ?? ?? ?? 0F 95 C0 5B 5D C3 8B 45 08 8B 40 F8 83 B8 DC 01 00 00 00 0F 95 C0 5B 5D C3 }
	condition:
		$1
}

rule function_14998_0 {
	meta:
		name = "TCustomADODataSet.ReadDesignerData"
		size = 83
		refs = "000f TCustomADODataSet.ReadDesignerData 001f TReader.ReadString 002d @UStrAsg 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 DC 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_14999_0 {
	meta:
		name = "TCustomADODataSet.WriteDesignerData"
		size = 13
		refs = "0008 TWriter.WriteString"
	strings:
		$1 = { 8B 80 DC 01 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15000_0 {
	meta:
		name = "TCustomADODataSet.MasterChanged"
		size = 67
		refs = "0006 TDataSet.GetActive 0011 TCustomADODataSet.GetParameters 0022 TDataSet.CheckBrowseMode 0029 TCustomADODataSet.SetDetailFilter 0034 TDataSet.First 003d TCustomADODataSet.RefreshParams"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 33 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 75 1B 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15001_0 {
	meta:
		name = "TCustomADODataSet.MasterDisabled"
		size = 36
		refs = "0006 TCustomADODataSet.GetParameters 0017 TDataSet.CheckBrowseMode 001e TCustomADODataSet.DeactivateFilters"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 75 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15002_0 {
	meta:
		name = "FieldValueChanged"
		size = 175
		refs = "0011 FieldValueChanged 0036 VarToStr 0067 CompareStr 007c @VarCmpNE 009b @UStrArrayClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 3B 0E 75 04 B0 01 EB 07 66 83 3E 0E 0F 94 C0 84 C0 74 47 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 80 F3 01 EB 0E 8B C3 8B D6 E8 ?? ?? ?? ?? 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15003_0 {
	meta:
		name = "MasterFieldsChanged"
		size = 231
		refs = "0016 MasterFieldsChanged 0056 TList.Get 0074 TCustomADODataSet.GetParameters 0080 @WStrFromUStr 0089 TParameters.ParamByName 0091 TParameter.GetValue 009a FieldValueChanged 00bd @WStrClr 00c6 Variant 00d0 @FinalizeArray 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B 45 08 8B 40 FC 8B 80 E0 01 00 00 83 78 04 00 74 76 8B 40 24 8B 70 08 4E 85 F6 7C 6B 46 33 FF 8B 45 08 8B 40 FC 8B 80 E0 01 00 00 8B 40 24 8B D7 E8 ?? ?? ?? ?? 8B D8 8D 55 EC 8B C3 8B 08 FF 91 90 00 00 00 8D 45 EC 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 8D 45 D8 8B 53 40 E8 ?? ?? ?? ?? 8B 55 D8 58 E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8D 45 DC 5A E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 FF 01 EB 04 47 4E 75 98 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15004_0 {
	meta:
		name = "TCustomADODataSet.RefreshParams"
		size = 144
		refs = "000c TDataSet.DisableControls 0014 TCustomADODataSet.RefreshParams 0038 TDataSet.GetActive 004b MasterFieldsChanged 0058 TCustomADODataSet.SetParamsFromCursor 0067 TCustomADODataSet.Requery 007c TDataSet.EnableControls 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 E0 01 00 00 8B 40 04 85 C0 74 3D 8B 58 38 85 DB 74 36 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2B 80 BB A5 00 00 00 04 74 22 55 E8 ?? ?? ?? ?? 59 84 C0 74 17 8B 45 FC E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_15005_0 {
	meta:
		name = "TCustomADODataSet.SetParamsFromCursor"
		size = 169
		refs = "0014 TCustomADODataSet.SetParamsFromCursor 0044 TList.Get 005f TCustomADODataSet.GetParameters 006e @WStrFromUStr 0077 TParameters.ParamByName 0096 @WStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 E0 01 00 00 83 78 04 00 74 5B 8B 40 24 8B 78 08 4F 85 FF 7C 50 47 33 F6 8B 83 E0 01 00 00 8B 40 24 8B D6 E8 ?? ?? ?? ?? 89 45 FC 8B 83 E0 01 00 00 8B 40 24 8B D6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8D 45 F8 8B 55 FC 8B 52 40 E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 46 4F 75 B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15006_0 {
	meta:
		name = "TCustomADODataSet.SetDetailFilter"
		size = 344
		refs = "0019 TCustomADODataSet.SetDetailFilter 003e TCustomADODataSet.GetIndexFieldCount 004b TCustomADODataSet.GetIndexField 0060 TList.Get 008f GetFilterStr 009a @UStrFromWStr 00b8 @UStrCatN 00c5 @UStrLAsg 00db @UStrEqual 00f3 @UStrAsg 00fd TCustomADODataSet.ActivateTextFilter 0112 @VarClr 011a @WStrClr 0127 @UStrArrayClr 012d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 E0 01 00 00 8B 40 24 8B 78 08 4F 85 FF 0F 8C 99 00 00 00 47 33 F6 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 0E 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 F0 EB 13 8B 83 E0 01 00 00 8B 40 24 8B D6 E8 ?? ?? ?? ?? 89 45 F0 8D 45 EC 50 8B 83 E0 01 00 00 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8D 55 DC 8B 08 FF 91 90 00 00 00 8D 55 DC 33 C9 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 74 1A FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0B 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 46 4F 0F 85 6A FF FF FF 8B 83 B8 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 0F 95 45 F7 80 7D F7 00 74 18 8D 83 B8 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 41 00 4E 00 44 00 20 00 00 00 }
	condition:
		$1
}

rule function_15007_0 {
	meta:
		name = "TCustomADODataSet.DoOnNewRecord"
		size = 167
		refs = "0049 TCustomADODataSet.GetIndexFieldCount 0056 TCustomADODataSet.GetIndexField 006a TList.Get 0074 TDataSet.FindField 009e TDataSet.DoOnNewRecord"
	strings:
		$1 = { 53 56 57 55 8B D8 8B C3 8B 50 5C 8B 40 64 8B 04 90 C7 40 11 01 00 00 00 8B 83 C4 01 00 00 8B 10 FF 52 08 8B 83 E0 01 00 00 80 78 15 00 74 6C 8B 50 24 83 7A 08 00 7E 63 8B 40 24 8B 68 08 4D 85 ED 7C 58 45 33 F6 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 0D 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 1C 8B 83 E0 01 00 00 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B 50 40 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 19 8B 83 E0 01 00 00 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 08 46 4D 75 AB 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15008_0 {
	meta:
		name = "TCustomADODataSet.InternalGotoBookmark"
		size = 29
		refs = "0018 @CheckAutoResult"
	strings:
		$1 = { FF 72 0C FF 72 08 FF 72 04 FF 32 8B 80 80 01 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15009_0 {
	meta:
		name = "TCustomADODataSet.InternalSetToRecord"
		size = 35
	strings:
		$1 = { 56 57 8B F0 8B FA 0F B6 47 10 84 C0 74 04 2C 03 75 0E 8B C7 8B D0 8B C6 8B 08 FF 91 08 02 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_15010_0 {
	meta:
		name = "TCustomADODataSet.GetBookmarkFlag"
		size = 5
	strings:
		$1 = { 0F B6 42 10 C3 }
	condition:
		$1
}

rule function_15011_0 {
	meta:
		name = "TCustomADODataSet.SetBookmarkFlag"
		size = 4
	strings:
		$1 = { 88 4A 10 C3 }
	condition:
		$1
}

rule function_15012_0 {
	meta:
		name = "TCustomADODataSet.GetBookmarkData"
		size = 35
		refs = "000d OleVariant 0012 @Initialize 001b @VarCopy"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F3 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15013_0 {
	meta:
		name = "TCustomADODataSet.SetBookmarkData"
		size = 29
		refs = "000f @VarCopy"
	strings:
		$1 = { 53 56 8B D9 8B F2 85 DB 74 0C 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 C6 46 10 04 5E 5B C3 }
	condition:
		$1
}

rule function_15014_0 {
	meta:
		name = "TCustomADODataSet.BookmarkValid"
		size = 182
		refs = "0012 @DynArrayAddRef 001a TCustomADODataSet.BookmarkValid 0032 VarIsNull 0063 @CheckAutoResult 007f @HandleAnyException 0084 @DoneExcept 009a TArray<System.Byte> 009f @DynArrayClear 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 83 7D FC 00 74 5A 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 4E 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC FF 70 0C FF 70 08 FF 70 04 FF 30 8B 83 80 01 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B C3 C7 40 60 FF FF FF FF C6 45 FB 01 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 FB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15015_0 {
	meta:
		name = "TCustomADODataSet.CompareBookmarks"
		size = 264
		refs = "0015 @DynArrayAddRef 0025 TCustomADODataSet.CompareBookmarks 0046 RetCodes 0095 @CheckAutoResult 00a5 @VarToInteger 00cc @HandleAnyException 00d3 @DoneExcept 00e9 TArray<System.Byte> 00f3 @FinalizeArray 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 0F 94 C0 83 E0 7F 83 7D FC 00 0F 94 C2 83 E2 7F 8D 14 55 ?? ?? ?? ?? 0F BE 1C 02 83 FB 02 0F 85 80 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F4 50 8B 45 F8 FF 70 0C FF 70 08 FF 70 04 FF 30 8B 7D FC FF 77 0C FF 77 08 FF 77 04 FF 37 8B 86 80 01 00 00 50 8B 00 FF 90 38 01 00 00 E8 ?? ?? ?? ?? 8B 5D F4 4B 83 FB 01 7E 1F 8B C7 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 E8 ?? ?? ?? ?? 3B C3 7D 07 BB 01 00 00 00 EB 03 83 CB FF 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15016_0 {
	meta:
		name = "TCustomADODataSet.GetRecordSize"
		size = 8
	strings:
		$1 = { 0F B7 80 B0 01 00 00 C3 }
	condition:
		$1
}

rule function_15017_0 {
	meta:
		name = "TCustomADODataSet.AllocRecordBuffer"
		size = 59
		refs = "000b AllocMem 0015 TRecInfo 001a @Initialize 0022 TFields.GetCount 002d TVariantList 0032 @InitializeArray"
	strings:
		$1 = { 53 56 8B D8 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 8B C8 8D 46 19 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15018_0 {
	meta:
		name = "TCustomADODataSet.FreeRecordBuffer"
		size = 67
		refs = "000a TRecInfo 000f @Finalize 0017 TFields.GetCount 0030 TVariantList 0035 @FinalizeArray 003c @FreeMem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 06 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 85 C0 7E 1A 8B 43 38 E8 ?? ?? ?? ?? 8B C8 8B 06 83 C0 19 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15019_0 {
	meta:
		name = "TCustomADODataSet.InternalGetRecord"
		size = 770
		refs = "0023 TCustomADODataSet.InternalGetRecord 003a TDataSet.GetActive 0107 @CheckAutoResult 0152 TFields.GetCount 0168 TVariantList 016d @FinalizeArray 0241 @VarClr 025d @VarCopy 02c4 @HandleAnyException 02cf @RaiseAgain 02d6 @DoneExcept 02f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D EC 88 4D FB 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 9E EC 01 00 00 85 DB 74 2B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 8B 96 EC 01 00 00 8B C2 8B 48 5C 3B 48 58 7C 04 B0 01 EB 0E 80 BA A5 00 00 00 03 0F 94 C0 EB 02 33 C0 84 C0 74 04 B0 01 EB 45 8B 86 E0 01 00 00 80 78 15 00 74 37 8B C6 8B 10 FF 92 60 01 00 00 8B 40 38 8B 50 5C 3B 50 58 0F 9D C0 84 C0 74 04 B0 01 EB 1B 8B C6 8B 10 FF 92 60 01 00 00 8B 40 38 80 B8 A5 00 00 00 03 0F 94 C0 EB 02 33 C0 84 C0 74 07 B3 02 E9 1E 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 0F B6 45 FB 2C 01 0F 82 EE 00 00 00 74 0D FE C8 0F 84 94 00 00 00 E9 1B 01 00 00 80 BE A5 00 00 00 00 75 06 83 7E 6C 00 7E 30 8D 45 F4 50 8B 86 80 01 00 00 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 66 83 7D F4 00 75 14 8B 86 80 01 00 00 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 86 80 01 00 00 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 66 83 7D F4 00 74 02 B3 02 83 7E 6C 00 0F 85 B4 00 00 00 8B 46 38 E8 ?? ?? ?? ?? 8B C8 8B FE 8B 47 5C 8B 57 64 8B 04 82 83 C0 19 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8C 00 00 00 8D 45 F4 50 8B 86 80 01 00 00 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 66 83 7D F4 00 75 14 8B 86 80 01 00 00 50 8B 00 FF 90 94 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 86 80 01 00 00 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 66 83 7D F4 00 74 40 B3 01 EB 3C 8D 45 F4 50 8B 86 80 01 00 00 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 66 83 7D F4 00 74 02 B3 01 8D 45 F4 50 8B 86 80 01 00 00 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 66 83 7D F4 00 74 02 B3 02 84 DB 0F 85 AF 00 00 00 8B 45 FC 8B F8 8D 45 F0 50 8B 86 80 01 00 00 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 89 47 11 83 7E 6C 00 7E 5A F6 47 11 04 75 54 C6 47 10 00 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 86 80 01 00 00 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 83 7E 78 00 74 09 C7 47 15 FE FF FF FF EB 21 8D 45 F0 50 8B 86 80 01 00 00 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 F0 89 47 15 EB 04 C6 47 10 04 8B 46 38 E8 ?? ?? ?? ?? 8B C8 8B 45 FC 83 C0 19 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 91 58 01 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 80 7D 08 00 74 05 E8 ?? ?? ?? ?? B3 03 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15020_0 {
	meta:
		name = "TCustomADODataSet.GetRecord"
		size = 325
		refs = "001a TCustomADODataSet.GetRecord 003a SBookmarksRequired 003f LoadResString 0049 DatabaseError 007d TDataSet.SetTempState 00a5 TCustomADODataSet.InternalGetRecord 00e7 @HandleAnyException 00ef ApplicationHandleException 00f6 @DoneExcept 0102 TDataSet.RestoreState 012e @UStrClr 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 88 4D FB 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 6C 00 75 20 8B 45 FC 83 78 54 01 7E 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B0 00 00 00 00 0F 84 AB 00 00 00 8B 45 FC 66 83 B8 72 01 00 00 00 0F 84 9A 00 00 00 8B 45 FC 89 B0 AC 01 00 00 B2 06 8B 45 FC E8 ?? ?? ?? ?? 88 45 F9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FA 01 0F B6 45 08 50 0F B6 4D FB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 75 23 8D 4D FA 8B 7D FC 8B 55 FC 8B 87 74 01 00 00 FF 97 70 01 00 00 80 7D FA 00 75 08 80 7D FB 00 75 02 B3 03 80 7D FA 00 75 04 84 DB 74 BA 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B3 03 E8 ?? ?? ?? ?? 0F B6 55 F9 8B 45 FC E8 ?? ?? ?? ?? EB 15 0F B6 45 08 50 0F B6 4D FB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15021_0 {
	meta:
		name = "TCustomADODataSet.InternalInitRecord"
		size = 114
		refs = "0014 TCustomADODataSet.InternalInitRecord 0022 TFields.GetCount 0034 Null 0046 @OleVarFromVar 005f @VarClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 38 E8 ?? ?? ?? ?? 48 85 C0 7C 23 40 89 C3 33 F6 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 03 C0 8D 4F 19 8D 04 C1 E8 ?? ?? ?? ?? 46 4B 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15022_0 {
	meta:
		name = "TCustomADODataSet.ClearCalcFields"
		size = 162
		refs = "0017 TCustomADODataSet.ClearCalcFields 002b TFields.GetCount 0045 TFields.GetField 0057 TField.GetIndex 006b Null 0074 @OleVarFromVar 008f @VarClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7F 70 00 7E 57 8B 47 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 48 46 C7 45 F8 00 00 00 00 8B 47 38 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 0F B6 43 4A 48 2C 02 73 24 8B C3 E8 ?? ?? ?? ?? 03 C0 8B 55 FC 83 C2 19 8D 04 C2 50 8D 45 E8 E8 ?? ?? ?? ?? 8D 55 E8 58 E8 ?? ?? ?? ?? FF 45 F8 4E 75 C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15023_0 {
	meta:
		name = "TCustomADODataSet.GetActiveRecBuf"
		size = 191
		refs = "001a TCustomADODataSet.GetActiveRecBuf 0067 @CheckAutoResult"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 0F B6 83 A5 00 00 00 83 F8 0B 0F 87 9A 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 02 02 00 03 04 02 00 00 01 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 8B 50 5C 3B 50 58 7C 04 B0 01 EB 25 83 7B 6C 00 75 19 54 8B 83 80 01 00 00 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 66 83 3C 24 00 75 04 33 C0 EB 02 B0 01 84 C0 74 06 33 C0 89 06 EB 33 8B C3 8B 50 5C 8B 40 64 8B 04 90 89 06 EB 24 8B C3 8B 50 5C 8B 40 64 8B 04 90 89 06 EB 15 8B 43 68 89 06 EB 0E 8B 83 AC 01 00 00 89 06 EB 04 33 C0 89 06 83 3E 00 0F 95 C0 5A 5E 5B C3 }
	condition:
		$1
}

rule function_15024_0 {
	meta:
		name = "TCustomADODataSet.UpdateRecordSetPosition"
		size = 253
		refs = "0016 TCustomADODataSet.UpdateRecordSetPosition 0048 @CheckAutoResult 0073 @VarClr 008f @VarCmpNE 00a2 TDataSet.GetActive 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB A5 00 00 00 05 0F 84 AC 00 00 00 83 7B 6C 00 0F 8E A2 00 00 00 8D 45 FC 50 8B 83 80 01 00 00 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 66 83 7D FC 00 75 42 8D 45 F8 50 8B 83 80 01 00 00 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 66 83 7D F8 00 75 26 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 83 80 01 00 00 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8D 45 E8 8B D6 E8 ?? ?? ?? ?? 74 44 8B BB EC 01 00 00 85 FF 74 25 8B C7 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 93 EC 01 00 00 8B 4A 5C 8B 52 64 8B 14 8A 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 18 02 00 00 8B C3 C7 40 60 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15026_0 {
	meta:
		name = "TCustomADODataSet.GetFieldData"
		size = 19
	strings:
		$1 = { 53 56 8B F0 6A 01 8B C6 8B 18 FF 93 94 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15027_0 {
	meta:
		name = "CurrToBuffer"
		size = 69
	strings:
		$1 = { 55 8B EC 53 8B 45 10 80 78 08 00 74 22 8B 45 10 8B 40 E4 50 6A 01 8D 4D 08 8B 45 10 8B 50 E8 8B 45 10 8B 40 EC 8B 18 FF 93 E0 00 00 00 EB 11 8B 45 10 8B 40 E4 8B 55 08 89 10 8B 55 0C 89 50 04 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15028_0 {
	meta:
		name = "VarToBuffer"
		size = 978
		refs = "0015 VarToBuffer 00e2 SysStringLen 00ee WideCharToMultiByte 0104 WStrCopy 017c @VarToInteger 01b7 @VarToReal 01d3 VarToBcd 0208 CurrToBuffer 021d @VarToCurrency 02d0 @VarCopy 02e6 @VarToIntf 02fc @VarToDisp 031f @_llmul 0364 FieldTypeNames 037c TField.GetDisplayName 0392 SUsupportedFieldType 0397 LoadResString 03a5 DatabaseErrorFmt 03bf @UStrArrayClr 03c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 C0 89 45 C8 89 45 C4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 E8 0F B6 40 48 83 F8 27 0F 87 24 03 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 03 05 04 09 06 06 08 0A 0A 0A 0B 0B 05 0F 0F 0F 0F 0F 0F 0F 00 01 02 0E 00 00 00 00 00 00 0F 0C 0D 01 00 07 02 0F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 8B 40 E8 8B 10 FF 92 B4 00 00 00 8B 55 08 8B 52 E4 C6 04 02 00 6A 00 6A 00 8B 45 08 8B 40 E8 8B 10 FF 92 B4 00 00 00 50 8B 45 08 8B 40 E4 50 8B 45 08 8B 58 F8 53 E8 ?? ?? ?? ?? 40 50 53 6A 00 6A 00 E8 ?? ?? ?? ?? E9 B2 02 00 00 8B 45 08 8B 50 F8 8B 45 08 8B 40 E4 E8 ?? ?? ?? ?? E9 9C 02 00 00 8B 45 08 66 83 78 F0 11 75 15 8B 45 08 0F B6 40 F8 8B 55 08 8B 52 E4 66 89 02 E9 7D 02 00 00 8B 45 08 0F B7 40 F8 8B 55 08 8B 52 E4 66 89 02 E9 68 02 00 00 8B 45 08 66 83 78 F0 11 75 15 8B 45 08 0F B6 40 F8 8B 55 08 8B 52 E4 66 89 02 E9 49 02 00 00 8B 45 08 0F B7 40 F8 8B 55 08 8B 52 E4 66 89 02 E9 34 02 00 00 8B 45 08 83 C0 F0 E8 ?? ?? ?? ?? 8B 55 08 8B 52 E4 89 02 E9 1C 02 00 00 8B 45 08 66 83 78 F0 05 75 19 8B 45 08 8B 40 E4 8B 55 08 8B 4A F8 89 08 8B 4A FC 89 48 04 E9 F9 01 00 00 8B 45 08 83 C0 F0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E4 DD 18 9B E9 E0 01 00 00 8D 55 DC 8B 45 08 83 C0 F0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E4 8D 75 DC 8B F8 B9 08 00 00 00 F3 A5 66 A5 E9 B9 01 00 00 8B 45 08 66 83 78 F0 06 75 18 8B 45 08 50 8B 45 08 FF 70 FC FF 70 F8 E8 ?? ?? ?? ?? 59 E9 97 01 00 00 8B 45 08 50 8B 45 08 83 C0 F0 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B E8 ?? ?? ?? ?? 59 E9 76 01 00 00 8B 45 08 0F B7 40 F8 8B 55 08 8B 52 E4 66 89 02 E9 61 01 00 00 8B 45 08 80 78 08 00 74 28 8B 45 08 8B 40 E4 50 6A 01 8B 45 08 8D 48 F8 8B 45 08 8B 50 E8 8B 45 08 8B 40 EC 8B 18 FF 93 E0 00 00 00 E9 30 01 00 00 8B 45 08 8B 40 E4 8B 55 08 8B 4A F8 89 08 8B 4A FC 89 48 04 E9 17 01 00 00 8B 45 08 80 78 08 00 74 28 8B 45 08 8B 40 E4 50 6A 01 8B 45 08 8D 48 F0 8B 45 08 8B 50 E8 8B 45 08 8B 40 EC 8B 18 FF 93 E0 00 00 00 E9 E6 00 00 00 8B 45 08 8B 40 E4 8B 55 08 83 C2 F0 E8 ?? ?? ?? ?? E9 D0 00 00 00 8B 45 08 8B 40 E4 8B 55 08 83 C2 F0 E8 ?? ?? ?? ?? E9 BA 00 00 00 8B 45 08 8B 40 E4 8B 55 08 83 C2 F0 E8 ?? ?? ?? ?? E9 A4 00 00 00 8B 45 08 8D 58 F0 80 7B 03 00 76 1F FF 73 0C FF 73 08 B8 FF FF FF FF 8B D0 E8 ?? ?? ?? ?? 8B 4D 08 8B 49 E4 89 01 89 51 04 EB 79 8B 45 08 8B 40 E4 8B 53 08 89 10 8B 53 0C 89 50 04 EB 66 8B 45 08 8B 40 E4 8B 55 08 83 C2 F0 E8 ?? ?? ?? ?? EB 53 6A 00 8B 45 08 8B 40 E8 0F B6 40 48 8B 15 ?? ?? ?? ?? 8B 04 82 89 45 CC C6 45 D0 11 8D 55 C8 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 8B 45 C8 89 45 D4 C6 45 D8 11 8D 45 CC 50 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15029_0 {
	meta:
		name = "RefreshBuffers"
		size = 64
		refs = "000a FieldListCheckSum 0021 TDataSet.UpdateCursorPos 002e RefreshBuffers"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 EC E8 ?? ?? ?? ?? 8B 55 08 8B 52 EC 89 82 9C 00 00 00 8B 45 08 8B 40 EC E8 ?? ?? ?? ?? 8B 45 08 8B 40 EC 0F B6 15 ?? ?? ?? ?? 8B 08 FF 91 B4 02 00 00 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_15030_0 {
	meta:
		name = "TCustomADODataSet.GetFieldData"
		size = 435
		refs = "0022 TCustomADODataSet.GetFieldData 003a RefreshBuffers 0046 TCustomADODataSet.GetActiveRecBuf 0058 TField.GetIndex 006b @VarCopy 0073 VarIsClear 00a2 TCustomADODataSet.UpdateRecordSetPosition 00aa @VarClr 00b3 @IntfClear 00cc @OleVarFromInt 00f5 @CheckAutoResult 0125 Null 0130 @OleVarFromVar 0153 VarIsNull 0168 VarToBuffer 01a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 89 4D E4 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 83 B8 9C 00 00 00 00 75 07 55 E8 ?? ?? ?? ?? 59 8D 55 E0 8B 45 EC E8 ?? ?? ?? ?? 8B D8 84 DB 0F 84 19 01 00 00 8B 45 E8 E8 ?? ?? ?? ?? 03 C0 8B 55 E0 83 C2 19 8D 14 C2 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 D0 00 00 00 8B 45 E8 8B 10 FF 92 A8 00 00 00 85 C0 0F 8E BD 00 00 00 8B 45 E0 F6 40 11 04 75 7A 8B 55 E0 8B 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 45 DC E8 ?? ?? ?? ?? 50 8B 45 E8 8B 10 FF 92 A8 00 00 00 8B D0 4A 8D 45 CC B1 FC E8 ?? ?? ?? ?? FF 75 D8 FF 75 D4 FF 75 D0 FF 75 CC 8D 45 C8 E8 ?? ?? ?? ?? 50 8B 45 EC 8B 80 80 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 13 8D 45 B8 E8 ?? ?? ?? ?? 8D 55 B8 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 03 C0 8B 55 E0 83 C2 19 8D 04 C2 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B D8 80 F3 01 84 DB 74 0D 83 7D E4 00 74 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B C3 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15031_0 {
	meta:
		name = "TCustomADODataSet.GetFieldData"
		size = 33
		refs = "000c TFields.FieldByNumber"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 8B 40 38 E8 ?? ?? ?? ?? 8B CE 8B D0 8B C3 8B 18 FF 93 8C 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15032_0 {
	meta:
		name = "TCustomADODataSet.GetStateFieldValue"
		size = 430
		refs = "0021 TCustomADODataSet.GetStateFieldValue 0050 Null 005c TDataSet.UpdateCursorPos 0075 @VarClr 007e @IntfClear 0097 @OleVarFromInt 00bd @CheckAutoResult 015e TDataSet.GetStateFieldValue 01a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 89 4D F8 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 50 5C 3B 50 58 7C 04 B0 01 EB 0F 0F B6 83 A5 00 00 00 48 2C 02 0F 92 C0 34 01 84 C0 74 0D 8B 45 08 E8 ?? ?? ?? ?? E9 09 01 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 45 FF 2C 08 74 09 FE C8 74 76 E9 DF 00 00 00 8B 45 08 E8 ?? ?? ?? ?? 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F8 8B 10 FF 92 A8 00 00 00 8B D0 4A 8D 45 E4 B1 FC E8 ?? ?? ?? ?? FF 75 F0 FF 75 EC FF 75 E8 FF 75 E4 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 83 80 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? E9 80 00 00 00 8B 45 08 E8 ?? ?? ?? ?? 50 8D 45 DC E8 ?? ?? ?? ?? 50 8B 45 F8 8B 10 FF 92 A8 00 00 00 8B D0 4A 8D 45 CC B1 FC E8 ?? ?? ?? ?? FF 75 D8 FF 75 D4 FF 75 D0 FF 75 CC 8D 45 C8 E8 ?? ?? ?? ?? 50 8B 83 80 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? EB 12 8B 45 08 50 0F B6 55 FF 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15033_0 {
	meta:
		name = "TCustomADODataSet.SetFieldData"
		size = 25
	strings:
		$1 = { 53 56 57 8B FA 8B F0 6A 01 8B D7 8B C6 8B 18 FF 93 28 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15034_0 {
	meta:
		name = "BcdToOleVariant"
		size = 129
		refs = "0014 BcdToOleVariant 0021 @VarClear 002b BcdToStr 0036 @OleVarFromUStr 0049 VariantChangeTypeEx 0052 VarResultCheck 0067 @UStrClr 006f @VarClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 6A 0E 6A 00 68 00 04 00 00 8D 45 F0 50 53 A1 ?? ?? ?? ?? 8B 00 FF D0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15035_0 {
	meta:
		name = "BufferToVar"
		size = 776
		refs = "001b BufferToVar 00bd @LStrFromPChar 00c7 @OleVarFromLStr 00da @WStrFromPWChar 00e4 @VarFromWStr 00fa @OleVarFromInt 0144 @VarFromBool 0158 @VarFromReal 016a @OleVarFromVar 017e @VarFromIntf 0192 @VarFromDisp 01d4 @VarFromTDateTime 01e6 BcdToOleVariant 0228 @VarFromCurr 0262 @VarCopy 0278 @OleVarFromInt64 028c FieldTypeNames 02a4 TField.GetDisplayName 02ba SUsupportedFieldType 02bf LoadResString 02cd DatabaseErrorFmt 02e7 @UStrArrayClr 02ef @WStrClr 02f7 @LStrClr 02fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 D2 89 55 E4 89 55 E0 89 55 F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 0F B6 40 48 83 F8 27 0F 87 46 02 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 04 03 05 06 07 07 0D 0B 0B 0B 0E 0E 03 08 08 08 00 00 00 00 00 01 02 0F 00 00 00 00 00 00 08 09 0A 01 00 0C 02 08 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 FC 8B 55 08 8B 52 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 01 02 00 00 8D 45 F8 8B 55 08 8B 52 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? E9 E4 01 00 00 8B C3 8B 55 08 8B 52 F8 8B 12 B1 FC E8 ?? ?? ?? ?? E9 CE 01 00 00 8B C3 8B 55 08 8B 52 F8 0F BF 12 B1 FE E8 ?? ?? ?? ?? E9 B7 01 00 00 8B C3 8B 55 08 8B 52 F8 0F B7 12 B1 02 E8 ?? ?? ?? ?? E9 A0 01 00 00 8B C3 8B 55 08 8B 52 F8 0F B7 12 66 F7 DA 1B D2 F7 DA E8 ?? ?? ?? ?? E9 84 01 00 00 8B 45 08 8B 40 F8 DD 00 8B C3 E8 ?? ?? ?? ?? E9 70 01 00 00 8B C3 8B 55 08 8B 52 F8 E8 ?? ?? ?? ?? E9 5E 01 00 00 8B C3 8B 55 08 8B 52 F8 8B 12 E8 ?? ?? ?? ?? E9 4A 01 00 00 8B C3 8B 55 08 8B 52 F8 8B 12 E8 ?? ?? ?? ?? E9 36 01 00 00 8B 45 08 80 78 08 00 74 25 8D 43 08 50 6A 00 8B 45 08 8B 48 F8 8B 45 08 8B 50 FC 8B 45 08 8B 40 F4 8B 18 FF 93 E0 00 00 00 E9 08 01 00 00 8B 45 08 8B 40 F8 DD 00 8B C3 E8 ?? ?? ?? ?? E9 F4 00 00 00 8B D3 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 E2 00 00 00 8B 45 08 80 78 08 00 74 25 8D 43 08 50 6A 00 8B 45 08 8B 48 F8 8B 45 08 8B 50 FC 8B 45 08 8B 40 F4 8B 18 FF 93 E0 00 00 00 E9 B4 00 00 00 8B 45 08 8B 40 F8 DF 28 8B C3 E8 ?? ?? ?? ?? E9 A0 00 00 00 8B 45 08 80 78 08 00 74 1F 53 6A 00 8B 45 08 8B 48 F8 8B 45 08 8B 50 FC 8B 45 08 8B 40 F4 8B 18 FF 93 E0 00 00 00 EB 78 8B C3 8B 55 08 8B 52 F8 E8 ?? ?? ?? ?? EB 69 8B 45 08 8B 40 F8 8B 50 04 8B 00 52 50 8B C3 E8 ?? ?? ?? ?? EB 53 6A 00 8B 45 08 8B 40 FC 0F B6 40 48 8B 15 ?? ?? ?? ?? 8B 04 82 89 45 E8 C6 45 EC 11 8D 55 E4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 C6 45 F4 11 8D 45 E8 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15036_0 {
	meta:
		name = "TCustomADODataSet.SetFieldData"
		size = 405
		refs = "0022 TCustomADODataSet.SetFieldData 0044 SNotEditing 0049 LoadResString 0054 DatabaseError 005f TCustomADODataSet.GetActiveRecBuf 0096 TField.GetDisplayName 00ac SFieldReadOnly 00bc DatabaseErrorFmt 00c7 TField.Validate 00d8 TList.IndexOf 00ec TList.Add 00fa Null 0105 @OleVarFromVar 0110 BufferToVar 0119 TField.GetIndex 012c @VarCopy 0165 @VarClr 0172 @UStrArrayClr 017a @UStrClr 0188 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 89 4D F8 89 55 FC 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 0F B6 80 A5 00 00 00 04 FE 2C 06 72 1C 2C 03 74 18 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 8B 55 F4 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 A8 00 00 00 85 C0 7E 7E 8B 45 FC 80 78 49 00 74 45 8B 45 F4 0F B6 80 A5 00 00 00 2C 04 74 37 2C 02 74 33 6A 00 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 8D 45 D0 50 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 33 C9 5A E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 80 C4 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 40 75 11 8B 45 F4 8B 80 C4 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 83 7D F8 00 75 15 8D 45 B8 E8 ?? ?? ?? ?? 8D 55 B8 8D 45 E0 E8 ?? ?? ?? ?? EB 0A 55 8D 45 E0 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 03 C0 8B 55 DC 83 C2 19 8D 04 C2 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 F4 0F B6 80 A5 00 00 00 04 FB 2C 03 72 14 2C 03 74 10 8B 4D FC 33 D2 8B 45 F4 8B 18 FF 93 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15038_0 {
	meta:
		name = "TCustomADODataSet.SetBlockReadSize"
		size = 20
		refs = "0006 TDataSet.SetBlockReadSize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 F0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_15039_0 {
	meta:
		name = "TCustomADODataSet.InternalFirst"
		size = 138
		refs = "0014 @CheckAutoResult"
	strings:
		$1 = { 53 83 C4 F8 8B D8 54 8B 83 80 01 00 00 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 66 83 3C 24 00 75 67 8B 83 80 01 00 00 50 8B 00 FF 90 98 00 00 00 E8 ?? ?? ?? ?? 54 68 00 02 00 00 8B 83 80 01 00 00 50 8B 00 FF 90 F8 00 00 00 E8 ?? ?? ?? ?? 66 83 3C 24 00 74 32 8D 44 24 04 50 8B 83 80 01 00 00 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 66 83 7C 24 04 00 75 14 8B 83 80 01 00 00 50 8B 00 FF 90 94 00 00 00 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_15040_0 {
	meta:
		name = "TCustomADODataSet.InternalLast"
		size = 97
		refs = "0012 @CheckAutoResult"
	strings:
		$1 = { 53 51 8B D8 54 8B 83 80 01 00 00 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 66 83 3C 24 00 75 41 8B 83 80 01 00 00 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 54 8B 83 80 01 00 00 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 66 83 3C 24 00 75 14 8B 83 80 01 00 00 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_15041_0 {
	meta:
		name = "TCustomADODataSet.GetCanModify"
		size = 41
		refs = "001a @CheckAutoResult"
	strings:
		$1 = { 53 51 8B D8 54 68 00 80 00 01 8B 83 80 01 00 00 50 8B 00 FF 90 F8 00 00 00 E8 ?? ?? ?? ?? 66 83 3C 24 01 1B C0 40 5A 5B C3 }
	condition:
		$1
}

rule function_15042_0 {
	meta:
		name = "TCustomADODataSet.InternalEdit"
		size = 683
		refs = "0017 TCustomADODataSet.InternalEdit 003d @CheckAutoResult 004e TDataSet.UpdateCursorPos 0056 @IntfClear 007b @IntfCopy 0083 @VarClr 0109 @OleVarFromInt 029f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0F 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 C4 01 00 00 8B 10 FF 52 08 8D 45 F8 50 8B 83 80 01 00 00 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 83 7D F8 02 0F 85 DD 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 50 6A FF 8B 83 80 01 00 00 50 8B 00 FF 90 3C 01 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8D 83 8C 01 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 83 80 01 00 00 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? FF 75 F0 FF 75 EC FF 75 E8 FF 75 E4 8B 83 8C 01 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 45 F8 50 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 83 8C 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 F8 48 85 C0 0F 8C 3A 01 00 00 40 89 45 FC 33 F6 8D 45 F8 50 8D 45 DC E8 ?? ?? ?? ?? 50 8D 45 CC 8B D6 B1 FC E8 ?? ?? ?? ?? FF 75 D8 FF 75 D4 FF 75 D0 FF 75 CC 8D 45 C8 E8 ?? ?? ?? ?? 50 8B 83 80 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? F6 45 F8 0C 0F 84 C5 00 00 00 8D 45 B8 E8 ?? ?? ?? ?? 50 8D 45 B4 E8 ?? ?? ?? ?? 50 8D 45 A4 8B D6 B1 FC E8 ?? ?? ?? ?? FF 75 B0 FF 75 AC FF 75 A8 FF 75 A4 8D 45 A0 E8 ?? ?? ?? ?? 50 8B 83 8C 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 A0 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 B4 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? FF 75 C4 FF 75 C0 FF 75 BC FF 75 B8 8D 45 9C E8 ?? ?? ?? ?? 50 8D 45 8C 8B D6 B1 FC E8 ?? ?? ?? ?? FF 75 98 FF 75 94 FF 75 90 FF 75 8C 8D 45 88 E8 ?? ?? ?? ?? 50 8B 83 8C 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 88 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 9C 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? EB 0A 46 FF 4D FC 0F 85 CC FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 90 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15044_0 {
	meta:
		name = "TCustomADODataSet.InternalAddRecord"
		size = 39
	strings:
		$1 = { 53 56 57 8B FA 8B F0 84 C9 74 0E B1 02 8B D7 8B C6 8B 18 FF 93 1C 02 00 00 8B C6 8B 10 FF 92 14 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15045_0 {
	meta:
		name = "UpdateData"
		size = 709
		refs = "0017 UpdateData 0074 TList.Get 007e @VarClear 0089 @OleVarFromVar 0090 TField.GetIndex 00a0 @VarCopy 00a8 VarIsClear 00bc @IntfClear 00d4 @OleVarFromInt 0100 @CheckAutoResult 01d0 EmptyParam 0215 TCustomADODataSet.ReleaseLock 0224 @HandleAnyException 024d @RaiseAgain 0252 @DoneExcept 0268 OleVariant 0272 @FinalizeArray 0282 @VarClr 02b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0F 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 FC 8B 50 5C 8B 40 64 8B 04 90 83 C0 19 89 45 D8 8B 45 08 8B 40 FC 8B 80 C4 01 00 00 8B 70 08 4E 85 F6 0F 8C 48 01 00 00 46 C7 45 DC 00 00 00 00 8B 45 08 8B 40 FC 8B 80 C4 01 00 00 8B 55 DC E8 ?? ?? ?? ?? 8B D8 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 8D 55 E0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 03 C0 8B 55 D8 8D 14 C2 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 85 E6 00 00 00 8D 45 D4 50 8D 45 D0 E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 92 A8 00 00 00 8B D0 4A 8D 45 C0 B1 FC E8 ?? ?? ?? ?? FF 75 CC FF 75 C8 FF 75 C4 FF 75 C0 8D 45 BC E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC 8B 80 80 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 D0 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? F6 45 D4 0C 74 74 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 45 B8 E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 92 A8 00 00 00 8B D0 4A 8D 45 A8 B1 FC E8 ?? ?? ?? ?? FF 75 B4 FF 75 B0 FF 75 AC FF 75 A8 8D 45 A4 E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC 8B 80 80 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 A4 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? FF 45 DC 4E 0F 85 C0 FE FF FF 8D 45 D4 50 8B 45 08 8B 40 FC 8B 80 80 01 00 00 50 8B 00 FF 90 B8 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 8D 04 40 85 C0 74 42 8D 45 94 E8 ?? ?? ?? ?? FF 75 A0 FF 75 9C FF 75 98 FF 75 94 8D 45 84 E8 ?? ?? ?? ?? FF 75 90 FF 75 8C FF 75 88 FF 75 84 8B 45 08 8B 40 FC 8B 80 80 01 00 00 50 8B 00 FF 90 AC 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 33 E9 ?? ?? ?? ?? 8B 45 08 8B 40 FC C7 40 60 FF FF FF FF 8B 45 08 8B 40 FC 8B 80 80 01 00 00 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 84 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15046_0 {
	meta:
		name = "CheckForFlyAway"
		size = 388
		refs = "0012 CheckForFlyAway 003e @VarClr 0056 @CheckAutoResult 013b TDataSet.UpdateCursorPos 014a @HandleAnyException 015c @DoneExcept 0177 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 83 78 6C 00 0F 8E 34 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC 8B 80 80 01 00 00 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 45 08 8B 40 FC 8B 80 80 01 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 08 8B 40 FC 8B 80 80 01 00 00 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 66 83 7D EC 00 75 22 8D 45 E8 50 8B 45 08 8B 40 FC 8B 80 80 01 00 00 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 66 83 7D E8 00 74 7E 8D 45 EC 50 8B 45 08 8B 40 FC 8B 80 80 01 00 00 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 66 83 7D EC 00 75 44 8D 45 E8 50 68 00 02 00 00 8B 45 08 8B 40 FC 8B 80 80 01 00 00 50 8B 00 FF 90 F8 00 00 00 E8 ?? ?? ?? ?? 66 83 7D E8 00 74 1A 8B 45 08 8B 40 FC 8B 80 80 01 00 00 50 8B 00 FF 90 94 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC C7 40 60 FF FF FF FF 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 08 8B 40 FC C7 40 60 FF FF FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15047_0 {
	meta:
		name = "TCustomADODataSet.InternalPost"
		size = 421
		refs = "0019 TCustomADODataSet.InternalPost 0027 TDataSet.InternalPost 002f TDataSet.UpdateCursorPos 004f UpdateData 005d EmptyParam 0091 @CheckAutoResult 00b8 @HandleAnyException 013c @RaiseAgain 0141 @DoneExcept 0150 @HandleOnException 0158 _Dn_Exception 0166 DatabaseError 0171 CheckForFlyAway 0188 OleVariant 0192 @FinalizeArray 0198 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 80 B8 A5 00 00 00 02 75 0C 55 E8 ?? ?? ?? ?? 59 E9 EC 00 00 00 8D 45 EC E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8D 45 DC E8 ?? ?? ?? ?? FF 75 E8 FF 75 E4 FF 75 E0 FF 75 DC 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 50 78 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 E9 8E 00 00 00 E9 ?? ?? ?? ?? 8D 45 D8 50 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 66 83 7D D8 00 74 60 8D 45 D4 50 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 66 83 7D D4 00 74 41 8D 45 D0 50 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? 83 7D D0 00 7E 23 8B 45 FC 80 B8 A9 00 00 00 00 74 17 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 40 04 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15048_0 {
	meta:
		name = "DoRecordsetDelete"
		size = 226
		refs = "000e DoRecordsetDelete 001e AffectRecordsValues 0036 @CheckAutoResult 003e TCustomADODataSet.GetCacheSize 00a7 @HandleOnException 00af _Dn_Exception 00d3 DatabaseError 00d8 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 0F B6 C2 8B 04 85 ?? ?? ?? ?? 50 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 90 84 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 48 7E 40 8B 45 FC 8B 50 5C 8B 40 64 8B 04 90 83 78 15 01 74 2E 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 90 94 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 36 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 8B 43 04 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15050_0 {
	meta:
		name = "TCustomADODataSet.DeleteRecords"
		size = 68
		refs = "0013 TDataSet.UpdateCursorPos 0025 DoRecordsetDelete 002c TCustomADODataSet.DeleteRecords"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 92 BC 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 C7 40 60 FF FF FF FF 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15051_0 {
	meta:
		name = "TCustomADODataSet.ReleaseLock"
		size = 42
		refs = "0019 @CheckAutoResult 0024 @IntfClear"
	strings:
		$1 = { 53 8B D8 83 BB 8C 01 00 00 00 74 1C 8B 83 8C 01 00 00 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 8D 83 8C 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15054_0 {
	meta:
		name = "TCustomADODataSet.CancelBatch"
		size = 200
		refs = "0016 TDataSet.UpdateCursorPos 0020 AffectRecordsValues 0035 @CheckAutoResult 00ad TCustomADODataSet.CancelBatch"
	strings:
		$1 = { 53 56 83 C4 F4 8B DA 8B F0 8B C6 8B 10 FF 92 68 02 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 C3 8B 04 85 ?? ?? ?? ?? 50 8B 86 80 01 00 00 50 8B 00 FF 90 E8 00 00 00 E8 ?? ?? ?? ?? 54 8B 86 80 01 00 00 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 66 83 3C 24 00 74 51 8D 44 24 04 50 8B 86 80 01 00 00 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 66 83 7C 24 04 00 74 33 8D 44 24 08 50 8B 86 80 01 00 00 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? 83 7C 24 08 00 7E 16 8B 86 80 01 00 00 50 8B 00 FF 90 98 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 83 C4 0C 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15055_0 {
	meta:
		name = "TCustomADODataSet.UpdateBatch"
		size = 76
		refs = "0009 TDataSet.CheckBrowseMode 0013 AffectRecordsValues 0028 @CheckAutoResult 002f TDataSet.UpdateCursorPos 0036 TCustomADODataSet.UpdateBatch"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 0F B6 C3 8B 04 85 ?? ?? ?? ?? 50 8B 86 80 01 00 00 50 8B 00 FF 90 E4 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_15056_0 {
	meta:
		name = "TCustomADODataSet.ActivateTextFilter"
		size = 162
		refs = "0016 TCustomADODataSet.ActivateTextFilter 0034 @OleVarFromUStr 0057 @CheckAutoResult 0066 @HandleAnyException 0075 @RaiseAgain 007a @DoneExcept 008f @VarClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 EC 8B D3 E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 90 C0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 8B 45 FC C7 40 60 FF FF FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15057_0 {
	meta:
		name = "TCustomADODataSet.DeactivateFilters"
		size = 102
		refs = "0010 TCustomADODataSet.DeactivateFilters 0020 @OleVarFromUStr 0040 @CheckAutoResult 0055 @VarClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 33 D2 E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 83 80 01 00 00 50 8B 00 FF 90 C0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15058_0 {
	meta:
		name = "TCustomADODataSet.SetFilterOptions"
		size = 100
		refs = "0012 TCustomADODataSet.SetFilterOptions 002c SNoFilterOptions 0031 LoadResString 003b DatabaseError 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C9 89 4D F8 88 55 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 3A 45 FF 74 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_15059_0 {
	meta:
		name = "TCustomADODataSet.SetFilterText"
		size = 246
		refs = "0011 TCustomADODataSet.SetFilterText 0024 @UStrEqual 0031 TCustomADODataSet.GetParameters 0052 TCustomADODataSet.GetMasterFields 005c @WStrEqual 0066 SNoDetailFilter 006b LoadResString 0075 DatabaseError 007c TDataSet.GetActive 0090 TDataSet.CheckBrowseMode 009d TCustomADODataSet.ActivateTextFilter 00a6 TCustomADODataSet.DeactivateFilters 00b7 TDataSet.First 00c0 TDataSet.SetFilterText 00dc @UStrClr 00e4 @WStrClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 80 00 00 00 8B D6 E8 ?? ?? ?? ?? 0F 84 9D 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 75 07 85 F6 0F 95 C0 EB 02 33 C0 84 C0 74 2D 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 74 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 37 80 BB B0 00 00 00 00 74 2E 8B C3 E8 ?? ?? ?? ?? 85 F6 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 C0 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? C6 83 E4 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15060_0 {
	meta:
		name = "TCustomADODataSet.SetFiltered"
		size = 228
		refs = "0013 TCustomADODataSet.SetFiltered 002c TDataSet.GetActive 003b TDataSet.CheckBrowseMode 0063 FilterGroupValues 006a @OleVarFromInt 008a @CheckAutoResult 0099 TCustomADODataSet.ActivateTextFilter 00a2 TCustomADODataSet.DeactivateFilters 00ab TDataSet.SetFiltered 00b2 TDataSet.First 00d2 @VarClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E B0 00 00 00 0F 84 98 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 80 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 C0 02 00 00 84 DB 74 52 80 BE E4 01 00 00 00 74 3A 8D 45 F0 0F B6 96 E4 01 00 00 8B 14 95 ?? ?? ?? ?? B1 FC E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 86 80 01 00 00 50 8B 00 FF 90 C0 00 00 00 E8 ?? ?? ?? ?? EB 16 8B 96 80 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15061_0 {
	meta:
		name = "TCustomADODataSet.GetFilterGroup"
		size = 263
		refs = "0016 TCustomADODataSet.GetFilterGroup 0023 TDataSet.GetActive 0040 @VarClr 0055 @CheckAutoResult 0068 @OleVarFromInt 0073 @VarCmpGE 0098 @VarCmpLE 00ab @VarToInt64 00b2 FilterGroupValues 00bc OleEnumToOrd 00ea OleVariant 00f4 @FinalizeArray 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A0 00 00 00 80 BB B0 00 00 00 00 0F 84 93 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 83 80 01 00 00 50 8B 00 FF 90 BC 00 00 00 E8 ?? ?? ?? ?? 66 83 7D F0 03 75 1C 8D 45 E0 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 0F 9D C0 EB 02 33 C0 84 C0 74 1F 8D 45 D0 BA 05 00 00 00 B1 01 E8 ?? ?? ?? ?? 8D 55 D0 8D 45 F0 E8 ?? ?? ?? ?? 0F 9E C0 EB 02 33 C0 84 C0 74 21 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 B8 ?? ?? ?? ?? BA 06 00 00 00 E8 ?? ?? ?? ?? 88 83 E4 01 00 00 EB 07 C6 83 E4 01 00 00 00 0F B6 83 E4 01 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15062_0 {
	meta:
		name = "TCustomADODataSet.SetFilterGroup"
		size = 165
		refs = "0013 TCustomADODataSet.SetFilterGroup 0020 TDataSet.CheckBrowseMode 0029 TDataSet.SetFilterText 0050 FilterGroupValues 0057 @OleVarFromInt 0077 @CheckAutoResult 007e TDataSet.First 0093 @VarClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 88 9E E4 01 00 00 0F B6 9E E4 01 00 00 84 DB 74 44 80 BE B0 00 00 00 00 74 3B 8D 45 F0 0F B6 D3 8B 14 95 ?? ?? ?? ?? B1 FC E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 86 80 01 00 00 50 8B 00 FF 90 C0 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15063_0 {
	meta:
		name = "TCustomADODataSet.FilterOnBookmarks"
		size = 331
		refs = "0035 TCustomADODataSet.FilterOnBookmarks 0043 TDataSet.CheckBrowseMode 0062 VarArrayCreate 006d @OleVarFromVar 0086 @VarArrayPut 009a TDataSet.SetFilterText 00e0 @CheckAutoResult 00e8 TDataSet.First 00f2 TDataSet.SetFiltered 0101 @HandleAnyException 0110 @RaiseAgain 0115 @DoneExcept 012a @VarClr 0138 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 03 DB 43 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 8B D9 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? 8D 45 D8 50 33 C0 89 45 D0 8B F3 89 75 D4 8D 45 D0 66 B9 0C 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 D8 8D 45 F0 E8 ?? ?? ?? ?? 85 F6 7C 1F 46 33 FF 8B 5D E8 57 6A 01 8B 03 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 47 83 C3 08 4E 75 E7 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC C6 80 E4 01 00 00 00 8B 45 EC 8B 10 FF 92 C0 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 45 EC 8B 80 80 01 00 00 50 8B 00 FF 90 C0 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? B2 01 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 33 D2 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 7D C4 8B 75 C8 8B 5D CC 8B E5 5D C3 }
	condition:
		$1
}

rule function_15064_0 {
	meta:
		name = "TCustomADODataSet.FindRecord"
		size = 664
		refs = "0023 TCustomADODataSet.FindRecord 0031 TDataSet.CheckBrowseMode 0043 TDataSet.UpdateCursorPos 0079 @IntfClear 00a7 @CheckAutoResult 00b7 @IntfCopy 00c8 @OleVarFromUStr 00f9 @VarClr 022e @HandleAnyException 0233 @DoneExcept 023b TDataSet.GetFound 0262 OleVariant 026c @FinalizeArray 0282 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 88 4D F7 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 C6 80 AD 00 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 C7 40 60 FF FF FF FF 8B 45 F8 8B 10 FF 92 34 01 00 00 8B 45 F8 80 B8 B0 00 00 00 00 0F 85 D9 00 00 00 84 DB 74 0D 8B 45 F8 05 84 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 83 B8 84 01 00 00 00 75 68 8D 45 F0 E8 ?? ?? ?? ?? 50 6A 01 8B 45 F8 8B 80 80 01 00 00 50 8B 00 FF 90 3C 01 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 05 84 01 00 00 E8 ?? ?? ?? ?? 8D 45 E0 8B 55 F8 8B 92 80 00 00 00 E8 ?? ?? ?? ?? FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 8B 45 F8 8B 80 84 01 00 00 50 8B 00 FF 90 C0 00 00 00 E8 ?? ?? ?? ?? EB 41 84 DB 75 3D 8D 45 D0 E8 ?? ?? ?? ?? 50 8B 45 F8 8B 80 80 01 00 00 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 8B 45 F8 8B 80 84 01 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 8B 92 84 01 00 00 E8 ?? ?? ?? ?? EB 11 8D 45 FC 8B 55 F8 8B 92 80 01 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7D F7 00 74 2A 84 DB 74 13 8B 45 FC 50 8B 00 FF 90 98 00 00 00 E8 ?? ?? ?? ?? EB 3B 8B 45 FC 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? EB 28 84 DB 74 13 8B 45 FC 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? EB 11 8B 45 FC 50 8B 00 FF 90 94 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 80 01 00 00 3B 45 FC 74 3D 8D 45 C0 E8 ?? ?? ?? ?? 50 8B 45 F8 8B 80 84 01 00 00 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? FF 75 CC FF 75 C8 FF 75 C4 FF 75 C0 8B 45 F8 8B 80 80 01 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 45 F8 8B 08 FF 91 B4 02 00 00 8B 45 F8 C6 80 AD 00 00 00 01 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8B 45 F8 8B 10 FF 92 10 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_15065_0 {
	meta:
		name = "TCustomADODataSet.DestroyLookupCursor"
		size = 27
		refs = "000a @IntfClear"
	strings:
		$1 = { 53 8B D8 8D 83 88 01 00 00 E8 ?? ?? ?? ?? 8D 83 84 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15066_0 {
	meta:
		name = "TCustomADODataSet.LocateRecord"
		size = 1764
		refs = "0023 TCustomADODataSet.LocateRecord 0031 TDataSet.CheckBrowseMode 0039 TDataSet.UpdateCursorPos 0063 _Dn_TList 0068 TObject.Create 00a0 TDataSet.GetFieldList 00b4 @IntfClear 00ce @CheckAutoResult 00de @IntfCopy 00e6 TCustomADODataSet.GetCursorLocation 010a TList.Get 0119 Pos 0147 Format 0152 @UStrLAsg 01a8 @UStrSetLength 01b0 @WStrClr 01d3 @UStrFromWStr 01de @UStrEqual 01eb @WStrFromUStr 0210 @OleVarFromUStr 0249 TDataSet.SetTempState 0278 EmptyParam 0297 TDataSet.FieldByName 02a3 GetFilterStr 02f3 @VarArrayGet 033e @UStrCatN 03a3 TDataSet.RestoreState 03a9 @HandleFinally 03c0 TObject.Free 0414 @VarClr 04c1 TFields.GetCount 04dc TFields.GetField 04f4 TField.GetIndex 0533 @OleVarFromInt 0599 @VarCopy 05b0 @HandleAnyException 05b9 @DoneExcept 0620 @WStrArrayClr 0629 OleVariant 0633 @FinalizeArray 064d @UStrArrayClr 0655 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 1B 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E8 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 C7 40 60 FF FF FF FF 8B 45 F0 8B 50 58 8B 40 64 8B 04 90 89 45 DC F6 45 0C 02 0F 95 C0 88 45 DB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8B 45 F0 8B 10 FF 92 34 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D EC 8B 55 E0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 83 B8 88 01 00 00 00 75 32 8D 45 D0 E8 ?? ?? ?? ?? 50 6A 01 8B 45 F0 8B 80 80 01 00 00 50 8B 00 FF 90 3C 01 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F0 05 88 01 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 3C 01 0F 85 18 01 00 00 8B 45 E0 8B 70 08 4E 85 F6 0F 8C 94 00 00 00 46 33 DB 8B D3 8B 45 E0 E8 ?? ?? ?? ?? 8B F8 8B 57 40 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 37 8D 45 CC 50 8B 45 FC 89 45 BC C6 45 C0 11 8B 47 40 89 45 C4 C6 45 C8 11 8D 55 BC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? EB 35 8D 45 B8 50 8B 45 FC 89 45 BC C6 45 C0 11 8B 47 40 89 45 C4 C6 45 C8 11 8D 55 BC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8D 45 FC E8 ?? ?? ?? ?? 43 4E 0F 85 6F FF FF FF 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D0 4A 8D 45 FC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 50 8B 45 F0 8B 80 88 01 00 00 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 8B 55 B0 8D 45 B4 E8 ?? ?? ?? ?? 8B 45 B4 8B 55 FC E8 ?? ?? ?? ?? 74 26 8D 45 AC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 AC 50 8B 45 F0 8B 80 88 01 00 00 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8D 45 9C 33 D2 E8 ?? ?? ?? ?? FF 75 A8 FF 75 A4 FF 75 A0 FF 75 9C 8B 45 F0 8B 80 88 01 00 00 50 8B 00 FF 90 C0 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 DC 89 90 AC 01 00 00 B2 06 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 DC 8B 45 F0 8B 08 FF 91 94 01 00 00 8B 45 E0 8B 78 08 83 FF 01 75 53 8D 45 8C E8 ?? ?? ?? ?? FF 75 98 FF 75 94 FF 75 90 FF 75 8C 6A 01 6A 00 8D 45 88 50 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 E8 0F B6 4D DB E8 ?? ?? ?? ?? 8B 45 88 50 8B 45 F0 8B 80 88 01 00 00 50 8B 00 FF 90 0C 01 00 00 E8 ?? ?? ?? ?? E9 C9 00 00 00 8B F7 4E 85 F6 0F 8C 81 00 00 00 46 33 DB 8D 45 84 50 8B D3 8B 45 E0 E8 ?? ?? ?? ?? 50 53 6A 01 8B 45 E8 50 8D 85 74 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 8D 95 74 FF FF FF 80 7D DB 00 74 07 8B C7 48 3B D8 74 04 33 C9 EB 02 B1 01 58 E8 ?? ?? ?? ?? 8B 55 84 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F4 00 74 1A FF 75 F4 68 ?? ?? ?? ?? FF 75 F8 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0B 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 43 4E 75 82 8D 85 64 FF FF FF 8B 55 F4 E8 ?? ?? ?? ?? FF B5 70 FF FF FF FF B5 6C FF FF FF FF B5 68 FF FF FF FF B5 64 FF FF FF 8B 45 F0 8B 80 88 01 00 00 50 8B 00 FF 90 C0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 85 60 FF FF FF 50 8B 45 F0 8B 80 88 01 00 00 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 0F B7 85 60 FF FF FF 66 83 F8 01 1B C0 F7 D8 88 45 E7 80 7D E7 00 0F 84 A2 01 00 00 80 7D 08 00 0F 84 AD 00 00 00 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 F0 8B 80 88 01 00 00 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? FF B5 5C FF FF FF FF B5 58 FF FF FF FF B5 54 FF FF FF FF B5 50 FF FF FF 8B 45 F0 8B 80 80 01 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 50 8B 45 F0 8B 80 80 01 00 00 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 66 83 BD 60 FF FF FF 00 75 29 8D 85 4C FF FF FF 50 8B 45 F0 8B 80 80 01 00 00 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 66 83 BD 4C FF FF FF 00 0F 84 FE 00 00 00 C6 45 E7 00 8B 45 F0 C7 40 60 FF FF FF FF E9 EB 00 00 00 8B 45 F0 8B 40 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C D5 00 00 00 46 33 DB 8B 45 F0 8B 40 38 8B D3 E8 ?? ?? ?? ?? 89 45 D4 8B 45 D4 80 78 4A 00 0F 85 AD 00 00 00 8B 45 D4 E8 ?? ?? ?? ?? 03 C0 8B 55 DC 83 C2 19 8D 04 C2 50 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 50 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 D4 8B 10 FF 92 A8 00 00 00 8B D0 4A 8D 85 28 FF FF FF B1 FC E8 ?? ?? ?? ?? FF B5 34 FF FF FF FF B5 30 FF FF FF FF B5 2C FF FF FF FF B5 28 FF FF FF 8D 85 24 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 F0 8B 80 88 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 85 24 FF FF FF 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 85 38 FF FF FF 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8D 95 3C FF FF FF 58 E8 ?? ?? ?? ?? 43 4E 0F 85 2E FF FF FF 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 E7 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 24 FF FF FF E8 ?? ?? ?? ?? 8D 85 28 FF FF FF E8 ?? ?? ?? ?? 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 45 84 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 8C 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 51 FF FF FF 0F B6 45 E7 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 5B 00 25 00 73 00 5D 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 25 00 73 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 41 00 4E 00 44 00 20 00 00 00 }
	condition:
		$1
}

rule function_15067_0 {
	meta:
		name = "TCustomADODataSet.Lookup"
		size = 220
		refs = "001e TCustomADODataSet.Lookup 002b Null 003f @OleVarFromVar 004c TCustomADODataSet.LocateRecord 005a TDataSet.SetTempState 008c TDataSet.GetFieldValue 00a3 TDataSet.RestoreState 00a9 @HandleFinally 00c0 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B DA 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 8D 45 EC 8B D7 E8 ?? ?? ?? ?? 8D 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 5B B2 05 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7D FC 8B 47 58 8B 57 64 8B 14 82 8B 45 FC 8B 08 FF 91 B8 00 00 00 8B CE 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15068_0 {
	meta:
		name = "TCustomADODataSet.Locate"
		size = 152
		refs = "0018 TCustomADODataSet.Locate 0039 @OleVarFromVar 0045 TCustomADODataSet.LocateRecord 007b @VarClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 92 34 01 00 00 0F B6 45 08 50 6A 01 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 1B 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 8B C6 8B 10 FF 92 10 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_15069_0 {
	meta:
		name = "TCustomADODataSet.Seek"
		size = 276
		refs = "001d TCustomADODataSet.Seek 0036 TDataSet.CheckBrowseMode 004e SeekOptionValues 0059 @OleVarFromVar 007c @CheckAutoResult 00af @HandleAnyException 00b6 @DoneExcept 00f8 @VarClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 34 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 C3 8B 04 85 ?? ?? ?? ?? 50 8D 45 EC 8B D6 E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 90 44 01 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 0F B7 5D E8 66 83 FB 01 1B DB F7 DB 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 84 DB 74 1F 0F B6 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 B4 02 00 00 8B 45 FC 8B 10 FF 92 10 01 00 00 EB 0A 8B 45 FC C7 40 60 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_15070_0 {
	meta:
		name = "TCustomADODataSet.UpdateIndexDefs"
		size = 2940
		refs = "001a TCustomADODataSet.UpdateIndexDefs 0039 TFieldDefs.Update 0047 TCollection.Clear 004f TCustomADODataSet.GetCommandType 0066 TCustomADODataSet.GetCommandText 0070 @WStrEqual 00a7 TADOCommand.GetActiveConnection 00af @VarClear 00cf @IntfClear 00d8 EmptyParam 0137 @VarFromWStr 015a VarArrayOf 0165 @OleVarFromVar 0184 @CheckAutoResult 0194 @VarClr 01b1 @OleVarFromUStr 0210 VarIsNull 032e @VarToUStr 0342 TIndexDefs.Find 0358 TIndexDef.GetFields 040f Format 041c TIndexDef.SetFields 042f TIndexDefs.AddIndexDef 04be VarToWideStr 04cf @UStrFromWStr 04dc TNamedItem.SetDisplayName 0617 @VarFromBool 0623 @VarCmpEQ 0636 TIndexDef.SetOptions 07ed @HandleFinally 07fe @HandleAnyException 0803 @DoneExcept 0848 OleVariant 0852 @FinalizeArray 08ec @WStrClr 08f7 @UStrClr 0a4c Variant"
	strings:
		$1 = { 55 8B EC B9 55 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 B4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 B4 8B 40 40 E8 ?? ?? ?? ?? 8B 45 B4 8B 80 D0 01 00 00 E8 ?? ?? ?? ?? 8B 45 B4 E8 ?? ?? ?? ?? 2C 02 74 08 2C 03 0F 85 94 07 00 00 8D 55 B0 8B 45 B4 E8 ?? ?? ?? ?? 8B 45 B0 33 D2 E8 ?? ?? ?? ?? 0F 84 79 07 00 00 B1 01 BA 03 00 00 00 8B 45 B4 8B 18 FF 93 D4 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 B4 8B 80 A8 01 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 A0 E8 ?? ?? ?? ?? FF 75 AC FF 75 A8 FF 75 A4 FF 75 A0 8D 75 E8 8D BD 30 FF FF FF A5 A5 A5 A5 8D 75 D8 8D BD 40 FF FF FF A5 A5 A5 A5 8D 75 C8 8D BD 50 FF FF FF A5 A5 A5 A5 8D 75 B8 8D BD 60 FF FF FF A5 A5 A5 A5 8D 95 1C FF FF FF 8B 45 B4 E8 ?? ?? ?? ?? 8B 95 1C FF FF FF 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 8D B5 20 FF FF FF 8D BD 70 FF FF FF A5 A5 A5 A5 8D 85 30 FF FF FF 8D 4D 80 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 55 80 8D 45 90 E8 ?? ?? ?? ?? FF 75 9C FF 75 98 FF 75 94 FF 75 90 6A 0C 8B 45 F8 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? E9 1C 06 00 00 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 50 8D 85 08 FF FF FF E8 ?? ?? ?? ?? 50 8D 85 F8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF B5 04 FF FF FF FF B5 00 FF FF FF FF B5 FC FE FF FF FF B5 F8 FE FF FF 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 85 08 FF FF FF 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 84 C0 0F 85 7C 05 00 00 8D 85 E4 FE FF FF E8 ?? ?? ?? ?? 50 8D 85 E0 FE FF FF E8 ?? ?? ?? ?? 50 8D 85 D0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF B5 DC FE FF FF FF B5 D8 FE FF FF FF B5 D4 FE FF FF FF B5 D0 FE FF FF 8D 85 CC FE FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 85 CC FE FF FF 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 85 E0 FE FF FF 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 83 BD EC FE FF FF 01 0F 86 80 01 00 00 8D 85 B8 FE FF FF E8 ?? ?? ?? ?? 50 8D 85 B4 FE FF FF E8 ?? ?? ?? ?? 50 8D 85 A4 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF B5 B0 FE FF FF FF B5 AC FE FF FF FF B5 A8 FE FF FF FF B5 A4 FE FF FF 8D 85 A0 FE FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 85 A0 FE FF FF 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 85 B4 FE FF FF 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8D 95 B8 FE FF FF 8D 85 C8 FE FF FF E8 ?? ?? ?? ?? 8B 95 C8 FE FF FF 8B 45 B4 8B 80 D0 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 85 9C FE FF FF 50 8D 95 88 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 88 FE FF FF 89 85 8C FE FF FF C6 85 90 FE FF FF 11 8D 85 78 FE FF FF E8 ?? ?? ?? ?? 50 8D 85 74 FE FF FF E8 ?? ?? ?? ?? 50 8D 85 64 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF B5 70 FE FF FF FF B5 6C FE FF FF FF B5 68 FE FF FF FF B5 64 FE FF FF 8D 85 60 FE FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 85 60 FE FF FF 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 85 74 FE FF FF 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8D 85 78 FE FF FF 89 85 94 FE FF FF C6 85 98 FE FF FF 0D 8D 95 8C FE FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 9C FE FF FF 8B C6 E8 ?? ?? ?? ?? E9 73 03 00 00 8B 45 B4 8B 80 D0 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 85 48 FE FF FF E8 ?? ?? ?? ?? 50 8D 85 44 FE FF FF E8 ?? ?? ?? ?? 50 8D 85 34 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF B5 40 FE FF FF FF B5 3C FE FF FF FF B5 38 FE FF FF FF B5 34 FE FF FF 8D 85 30 FE FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 85 30 FE FF FF 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 85 44 FE FF FF 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8D 85 48 FE FF FF 8D 95 58 FE FF FF E8 ?? ?? ?? ?? 8B 95 58 FE FF FF 8D 85 5C FE FF FF E8 ?? ?? ?? ?? 8B 95 5C FE FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 18 FE FF FF E8 ?? ?? ?? ?? 50 8D 85 14 FE FF FF E8 ?? ?? ?? ?? 50 8D 85 04 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF B5 10 FE FF FF FF B5 0C FE FF FF FF B5 08 FE FF FF FF B5 04 FE FF FF 8D 85 00 FE FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 85 00 FE FF FF 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 85 14 FE FF FF 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8D 85 18 FE FF FF 8D 95 28 FE FF FF E8 ?? ?? ?? ?? 8B 95 28 FE FF FF 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 8B 95 2C FE FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 F0 FD FF FF E8 ?? ?? ?? ?? 50 8D 85 EC FD FF FF E8 ?? ?? ?? ?? 50 8D 85 DC FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF B5 E8 FD FF FF FF B5 E4 FD FF FF FF B5 E0 FD FF FF FF B5 DC FD FF FF 8D 85 D8 FD FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 85 D8 FD FF FF 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 85 EC FD FF FF 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8D 85 F0 FD FF FF 50 8D 85 C8 FD FF FF B2 01 E8 ?? ?? ?? ?? 8D 95 C8 FD FF FF 58 E8 ?? ?? ?? ?? 75 11 0F B6 53 24 0A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 85 B8 FD FF FF E8 ?? ?? ?? ?? 50 8D 85 B4 FD FF FF E8 ?? ?? ?? ?? 50 8D 85 A4 FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF B5 B0 FD FF FF FF B5 AC FD FF FF FF B5 A8 FD FF FF FF B5 A4 FD FF FF 8D 85 A0 FD FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 85 A0 FD FF FF 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 85 B4 FD FF FF 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8D 85 B8 FD FF FF 50 8D 85 90 FD FF FF B2 01 E8 ?? ?? ?? ?? 8D 95 90 FD FF FF 58 E8 ?? ?? ?? ?? 75 11 0F B6 53 24 0A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 85 80 FD FF FF E8 ?? ?? ?? ?? 50 8D 85 7C FD FF FF E8 ?? ?? ?? ?? 50 8D 85 6C FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF B5 78 FD FF FF FF B5 74 FD FF FF FF B5 70 FD FF FF FF B5 6C FD FF FF 8D 85 68 FD FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 85 68 FD FF FF 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 85 7C FD FF FF 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8D 85 80 FD FF FF 50 8D 85 58 FD FF FF 33 D2 E8 ?? ?? ?? ?? 8D 95 58 FD FF FF 58 E8 ?? ?? ?? ?? 75 11 0F B6 53 24 0A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 8D 85 54 FD FF FF 50 8B 45 FC 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 66 83 BD 54 FD FF FF 00 0F 84 C1 F9 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 8B 45 B4 8B 18 FF 93 D4 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 58 FD FF FF E8 ?? ?? ?? ?? 8D 85 68 FD FF FF E8 ?? ?? ?? ?? 8D 85 6C FD FF FF E8 ?? ?? ?? ?? 8D 85 7C FD FF FF E8 ?? ?? ?? ?? 8D 85 80 FD FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 A0 FD FF FF E8 ?? ?? ?? ?? 8D 85 A4 FD FF FF E8 ?? ?? ?? ?? 8D 85 B4 FD FF FF E8 ?? ?? ?? ?? 8D 85 B8 FD FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 D8 FD FF FF E8 ?? ?? ?? ?? 8D 85 DC FD FF FF E8 ?? ?? ?? ?? 8D 85 EC FD FF FF E8 ?? ?? ?? ?? 8D 85 F0 FD FF FF E8 ?? ?? ?? ?? 8D 85 00 FE FF FF E8 ?? ?? ?? ?? 8D 85 04 FE FF FF E8 ?? ?? ?? ?? 8D 85 14 FE FF FF E8 ?? ?? ?? ?? 8D 85 18 FE FF FF E8 ?? ?? ?? ?? 8D 85 28 FE FF FF E8 ?? ?? ?? ?? 8D 85 2C FE FF FF E8 ?? ?? ?? ?? 8D 85 30 FE FF FF E8 ?? ?? ?? ?? 8D 85 34 FE FF FF E8 ?? ?? ?? ?? 8D 85 44 FE FF FF E8 ?? ?? ?? ?? 8D 85 48 FE FF FF E8 ?? ?? ?? ?? 8D 85 58 FE FF FF E8 ?? ?? ?? ?? 8D 85 5C FE FF FF E8 ?? ?? ?? ?? 8D 85 60 FE FF FF E8 ?? ?? ?? ?? 8D 85 64 FE FF FF E8 ?? ?? ?? ?? 8D 85 74 FE FF FF E8 ?? ?? ?? ?? 8D 85 78 FE FF FF E8 ?? ?? ?? ?? 8D 85 88 FE FF FF E8 ?? ?? ?? ?? 8D 85 9C FE FF FF E8 ?? ?? ?? ?? 8D 85 A0 FE FF FF E8 ?? ?? ?? ?? 8D 85 A4 FE FF FF E8 ?? ?? ?? ?? 8D 85 B4 FE FF FF E8 ?? ?? ?? ?? 8D 85 B8 FE FF FF E8 ?? ?? ?? ?? 8D 85 C8 FE FF FF E8 ?? ?? ?? ?? 8D 85 CC FE FF FF E8 ?? ?? ?? ?? 8D 85 D0 FE FF FF E8 ?? ?? ?? ?? 8D 85 E0 FE FF FF E8 ?? ?? ?? ?? 8D 85 E4 FE FF FF E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 85 08 FF FF FF E8 ?? ?? ?? ?? 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 8D 85 1C FF FF FF E8 ?? ?? ?? ?? 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 90 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 9F FD FF FF 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4F 00 52 00 44 00 49 00 4E 00 41 00 4C 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 4F 00 4C 00 55 00 4D 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3B 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 4B 00 45 00 59 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 4E 00 49 00 51 00 55 00 45 00 00 00 00 00 02 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 41 00 55 00 54 00 4F 00 5F 00 55 00 50 00 44 00 41 00 54 00 45 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_15071_0 {
	meta:
		name = "TCustomADODataSet.EnableEvents"
		size = 308
		refs = "0010 TCustomADODataSet.EnableEvents 008b TCustomADODataSet.GetCommandType 0096 TCustomADODataSet.GetCursorLocation 00a2 SEventsNotSupported 00a7 LoadResString 00b1 DatabaseError 00d1 @IntfCast 00df TCustomADODataSet.ConnectionPoint 00ed OleCheck 0102 @IntfClear 0112 @UStrClr 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB FA 01 00 00 00 75 64 66 83 BB 02 02 00 00 00 75 5A 66 83 BB 0A 02 00 00 00 75 50 66 83 BB 12 02 00 00 00 75 46 66 83 BB 1A 02 00 00 00 75 3C 66 83 BB 22 02 00 00 00 75 32 66 83 BB 2A 02 00 00 00 75 28 66 83 BB 32 02 00 00 00 75 1E 66 83 BB 3A 02 00 00 00 75 14 66 83 BB 42 02 00 00 00 75 0A 66 83 BB 4A 02 00 00 00 74 69 8B C3 E8 ?? ?? ?? ?? 3C 05 75 22 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8D 83 A4 01 00 00 50 8D 45 F8 8B D3 85 D2 74 06 81 EA A8 FD FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_15072_0 {
	meta:
		name = "TCustomADODataSet.ConnectionPoint"
		size = 136
		refs = "000f TCustomADODataSet.ConnectionPoint 001d @IntfClear 0033 OleCheck 0040 DIID_RecordsetEvents 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 80 01 00 00 50 8B 00 FF 10 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 84 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_15073_0 {
	meta:
		name = "TCustomADODataSet.WillChangeField"
		size = 148
		refs = "0011 @VarAddRef 001a TCustomADODataSet.WillChangeField 0031 EventStatusValues 003b OleEnumToOrd 007e @HandleAutoException 0086 @VarClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 20 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB FA 01 00 00 00 74 3C 8B 0E B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 8D 45 10 50 8D 45 FF 50 8B 4D 0C 8B D3 8B 83 FC 01 00 00 FF 93 F8 01 00 00 0F B6 45 FF 8B 04 85 ?? ?? ?? ?? 89 06 EB 06 C7 06 05 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 20 00 }
	condition:
		$1
}

rule function_15074_0 {
	meta:
		name = "TCustomADODataSet.FieldChangeComplete"
		size = 152
		refs = "0011 @VarAddRef 001a TCustomADODataSet.FieldChangeComplete 0031 EventStatusValues 003b OleEnumToOrd 0082 @HandleAutoException 008a @VarClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 24 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 02 02 00 00 00 74 40 8B 0E B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 8D 45 10 50 8B 45 20 50 8D 45 FF 50 8B 4D 0C 8B D3 8B 83 04 02 00 00 FF 93 00 02 00 00 0F B6 45 FF 8B 04 85 ?? ?? ?? ?? 89 06 EB 06 C7 06 05 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 24 00 }
	condition:
		$1
}

rule function_15075_0 {
	meta:
		name = "TCustomADODataSet.WillChangeRecord"
		size = 149
		refs = "0012 TCustomADODataSet.WillChangeRecord 0029 EventStatusValues 0033 OleEnumToOrd 0043 EventReasonValues 0087 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 14 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 0A 02 00 00 00 74 4D 8B 0E B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 8B 45 10 50 8D 45 FF 50 B8 ?? ?? ?? ?? 8B 4D 0C BA 0E 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 0C 02 00 00 FF 93 08 02 00 00 0F B6 45 FF 8B 04 85 ?? ?? ?? ?? 89 06 EB 06 C7 06 05 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_15076_0 {
	meta:
		name = "TCustomADODataSet.RecordChangeComplete"
		size = 153
		refs = "0012 TCustomADODataSet.RecordChangeComplete 0029 EventStatusValues 0033 OleEnumToOrd 0047 EventReasonValues 008b @HandleAutoException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 18 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 12 02 00 00 00 74 51 8B 0E B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 8B 45 10 50 8B 45 14 50 8D 45 FF 50 B8 ?? ?? ?? ?? 8B 4D 0C BA 0E 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 14 02 00 00 FF 93 10 02 00 00 0F B6 45 FF 8B 04 85 ?? ?? ?? ?? 89 06 EB 06 C7 06 05 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_15077_0 {
	meta:
		name = "TCustomADODataSet.WillChangeRecordset"
		size = 145
		refs = "0012 TCustomADODataSet.WillChangeRecordset 0029 EventStatusValues 0033 OleEnumToOrd 003f EventReasonValues 0083 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 10 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 1A 02 00 00 00 74 49 8B 0E B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 8D 45 FF 50 B8 ?? ?? ?? ?? 8B 4D 0C BA 0E 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 1C 02 00 00 FF 93 18 02 00 00 0F B6 45 FF 8B 04 85 ?? ?? ?? ?? 89 06 EB 06 C7 06 05 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_15078_0 {
	meta:
		name = "TCustomADODataSet.RecordsetChangeComplete"
		size = 149
		refs = "0012 TCustomADODataSet.RecordsetChangeComplete 0029 EventStatusValues 0033 OleEnumToOrd 0043 EventReasonValues 0087 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 14 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 22 02 00 00 00 74 4D 8B 0E B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 8B 45 10 50 8D 45 FF 50 B8 ?? ?? ?? ?? 8B 4D 0C BA 0E 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 24 02 00 00 FF 93 20 02 00 00 0F B6 45 FF 8B 04 85 ?? ?? ?? ?? 89 06 EB 06 C7 06 05 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_15079_0 {
	meta:
		name = "TCustomADODataSet.WillMove"
		size = 145
		refs = "0012 TCustomADODataSet.WillMove 0029 EventStatusValues 0033 OleEnumToOrd 003f EventReasonValues 0083 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 10 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 2A 02 00 00 00 74 49 8B 0E B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 8D 45 FF 50 B8 ?? ?? ?? ?? 8B 4D 0C BA 0E 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 2C 02 00 00 FF 93 28 02 00 00 0F B6 45 FF 8B 04 85 ?? ?? ?? ?? 89 06 EB 06 C7 06 05 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_15080_0 {
	meta:
		name = "TCustomADODataSet.MoveComplete"
		size = 149
		refs = "0012 TCustomADODataSet.MoveComplete 0029 EventStatusValues 0033 OleEnumToOrd 0043 EventReasonValues 0087 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 14 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 32 02 00 00 00 74 4D 8B 0E B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 8B 45 10 50 8D 45 FF 50 B8 ?? ?? ?? ?? 8B 4D 0C BA 0E 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 34 02 00 00 FF 93 30 02 00 00 0F B6 45 FF 8B 04 85 ?? ?? ?? ?? 89 06 EB 06 C7 06 05 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_15081_0 {
	meta:
		name = "TCustomADODataSet.EndOfRecordset"
		size = 128
		refs = "0012 TCustomADODataSet.EndOfRecordset 0029 EventStatusValues 0033 OleEnumToOrd 0072 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 10 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 3A 02 00 00 00 74 38 8B 0E B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 8D 45 FF 50 8B 4D 0C 8B D3 8B 83 3C 02 00 00 FF 93 38 02 00 00 0F B6 45 FF 8B 04 85 ?? ?? ?? ?? 89 06 EB 06 C7 06 05 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_15082_0 {
	meta:
		name = "TCustomADODataSet.FetchComplete"
		size = 128
		refs = "0012 TCustomADODataSet.FetchComplete 0029 EventStatusValues 0033 OleEnumToOrd 0072 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 10 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 42 02 00 00 00 74 38 8B 0E B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 8D 45 FF 50 8B 4D 0C 8B D3 8B 83 44 02 00 00 FF 93 40 02 00 00 0F B6 45 FF 8B 04 85 ?? ?? ?? ?? 89 06 EB 06 C7 06 05 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_15083_0 {
	meta:
		name = "TCustomADODataSet.FetchProgress"
		size = 142
		refs = "0012 TCustomADODataSet.FetchProgress 0029 EventStatusValues 0033 OleEnumToOrd 0080 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 14 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 4A 02 00 00 00 74 3C 8B 0E B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 8B 45 10 50 8D 45 FF 50 8B 4D 0C 8B D3 8B 83 4C 02 00 00 FF 93 48 02 00 00 0F B6 45 FF 8B 04 85 ?? ?? ?? ?? 89 06 EB 10 66 83 BB 42 02 00 00 00 75 06 C7 06 05 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_15084_0 {
	meta:
		name = "TCustomADODataSet.GetRecordCount"
		size = 38
		refs = "001c @CheckAutoResult"
	strings:
		$1 = { 53 51 8B D8 8B C3 8B 10 FF 92 BC 00 00 00 54 8B 83 80 01 00 00 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_15085_0 {
	meta:
		name = "TCustomADODataSet.GetRecNo"
		size = 124
		refs = "006f @CheckAutoResult"
	strings:
		$1 = { 53 56 51 8B D8 8B C3 8B 10 FF 92 BC 00 00 00 8B D3 8B 72 5C 3B 72 58 7C 04 B0 01 EB 0A 80 BB A5 00 00 00 03 0F 94 C0 84 C0 74 05 83 CA FF EB 46 80 BB A5 00 00 00 05 75 05 8B 43 68 EB 06 8B 42 64 8B 04 B0 8B 50 15 83 FA FE 75 2A 8B D0 8B C3 8B 08 FF 91 18 02 00 00 8B C3 C7 40 60 FF FF FF FF 54 8B 83 80 01 00 00 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 14 24 8B C2 5A 5E 5B C3 }
	condition:
		$1
}

rule function_15086_0 {
	meta:
		name = "TCustomADODataSet.SetRecNo"
		size = 84
		refs = "002c @CheckAutoResult 0033 TCustomADODataSet.SetRecNo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 8C 01 00 00 3B F0 74 37 8B C3 8B 10 FF 92 34 01 00 00 56 8B 83 80 01 00 00 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 B4 02 00 00 8B C3 8B 10 FF 92 10 01 00 00 5E 5B C3 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_15087_0 {
	meta:
		name = "TCustomADODataSet.IsSequenced"
		size = 76
		refs = "0023 @CheckAutoResult 0031 TCustomADODataSet.GetCursorLocation"
	strings:
		$1 = { 53 51 8B D8 83 BB 80 01 00 00 00 74 35 54 68 00 40 00 00 8B 83 80 01 00 00 50 8B 00 FF 90 F8 00 00 00 E8 ?? ?? ?? ?? 66 83 3C 24 00 74 14 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 80 BB B0 00 00 00 00 74 05 33 C0 5A 5B C3 B0 01 5A 5B C3 }
	condition:
		$1
}

rule function_15088_0 {
	meta:
		name = "TCustomADODataSet.Supports"
		size = 97
		refs = "001a CursorOptionValues 004f @CheckAutoResult"
	strings:
		$1 = { 56 57 83 C4 F8 66 89 14 24 8B F8 8B C7 8B 10 FF 92 BC 00 00 00 33 F6 33 C0 BA ?? ?? ?? ?? 8B C8 80 F9 0F 77 08 83 E1 7F 66 0F A3 0C 24 73 02 03 32 40 83 C2 04 3C 0D 75 E5 8D 44 24 04 50 56 8B 87 80 01 00 00 50 8B 00 FF 90 F8 00 00 00 E8 ?? ?? ?? ?? 66 83 7C 24 04 01 1B C0 40 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_15089_0 {
	meta:
		name = "TCustomADODataSet.PropertyChanged"
		size = 27
	strings:
		$1 = { 53 56 8B F0 F6 46 1C 02 75 0E 33 C9 B2 08 8B C6 8B 18 FF 93 E4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15090_0 {
	meta:
		name = "TCustomADODataSet.GetCacheSize"
		size = 49
		refs = "001b @CheckAutoResult"
	strings:
		$1 = { 53 51 8B D8 83 BB 80 01 00 00 00 74 1B 54 8B 83 80 01 00 00 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 04 24 89 83 B4 01 00 00 8B 83 B4 01 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_15091_0 {
	meta:
		name = "TCustomADODataSet.SetCacheSize"
		size = 38
		refs = "0020 @CheckAutoResult"
	strings:
		$1 = { 56 8B F2 89 B0 B4 01 00 00 83 B8 80 01 00 00 00 74 12 56 8B 80 80 01 00 00 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_15092_0 {
	meta:
		name = "TCustomADODataSet.GetCommandText"
		size = 25
		refs = "0012 @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 A8 01 00 00 8B 52 44 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15093_0 {
	meta:
		name = "TCustomADODataSet.SetCommandText"
		size = 111
		refs = "000f TCustomADODataSet.SetCommandText 001f TCustomADODataSet.GetCommandText 0029 @WStrEqual 0049 TCustomADODataSet.PropertyChanged 005e @WStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 74 1E 8B C3 8B 10 FF 92 C4 00 00 00 8B D6 8B 83 A8 01 00 00 8B 08 FF 51 48 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15094_0 {
	meta:
		name = "TCustomADODataSet.GetCommandTimeout"
		size = 12
		refs = "0007 TADOCommand.GetCommandTimeOut"
	strings:
		$1 = { 8B 80 A8 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15095_0 {
	meta:
		name = "TCustomADODataSet.SetCommandTimeout"
		size = 12
		refs = "0007 TADOCommand.SetCommandTimeOut"
	strings:
		$1 = { 8B 80 A8 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15096_0 {
	meta:
		name = "TCustomADODataSet.GetCommandType"
		size = 33
		refs = "001b TADOCommand.GetCommandType"
	strings:
		$1 = { 53 8B D8 0F B6 83 E9 01 00 00 8B D0 80 C2 FC 80 EA 02 72 0B 8B 83 A8 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15097_0 {
	meta:
		name = "TCustomADODataSet.SetCommandType"
		size = 83
		refs = "0009 TCustomADODataSet.GetCommandType 0036 TADOCommand.SetComandType 004c TCustomADODataSet.PropertyChanged"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 3F 8B C6 8B 10 FF 92 C4 00 00 00 8B C3 88 86 E9 01 00 00 8B D3 80 C2 FC 80 EA 02 72 0F 8B D0 8B 86 A8 01 00 00 E8 ?? ?? ?? ?? EB 0D 33 D2 8B 86 A8 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15098_0 {
	meta:
		name = "TCustomADODataSet.GetConnection"
		size = 17
	strings:
		$1 = { 8B 90 A8 01 00 00 85 D2 74 04 8B 42 3C C3 33 C0 C3 }
	condition:
		$1
}

rule function_15099_0 {
	meta:
		name = "TCustomADODataSet.SetConnection"
		size = 278
		refs = "0013 TCustomADODataSet.SetConnection 0020 TCustomADODataSet.GetConnection 003f TDataSet.GetActive 0067 @CheckAutoResult 0091 TADOCommand.SetConnection 00be @VarFromDisp 0104 @VarClr 010a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 3B D8 0F 84 C7 00 00 00 F6 46 1C 10 74 0A 8B C6 8B 10 FF 92 C4 00 00 00 8B C6 E8 ?? ?? ?? ?? 88 86 F6 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 85 DB 75 13 6A 00 8B 86 80 01 00 00 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 5C 8B 86 A8 01 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 DB 74 46 6A 00 6A 00 8B D6 8B C3 8B 08 FF 51 54 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2E 83 7B 74 00 74 28 8D 45 F0 8B 53 74 E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 86 80 01 00 00 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? F6 46 1C 01 75 0E 33 C9 B2 08 8B C6 8B 18 FF 93 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15100_0 {
	meta:
		name = "TCustomADODataSet.GetConnectionString"
		size = 25
		refs = "0012 @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 A8 01 00 00 8B 52 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15101_0 {
	meta:
		name = "TCustomADODataSet.SetConnectionString"
		size = 116
		refs = "000f TCustomADODataSet.SetConnectionString 001f TCustomADODataSet.GetConnectionString 0029 @WStrEqual 004e TADOCommand.SetConnectionString 0063 @WStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 74 23 8B C3 8B 10 FF 92 C4 00 00 00 33 D2 8B C3 8B 08 FF 91 D0 02 00 00 8B D6 8B 83 A8 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15102_0 {
	meta:
		name = "TCustomADODataSet.GetCursorLocation"
		size = 68
		refs = "001e @CheckAutoResult 0026 CursorLocationValues 0030 OleEnumToOrd"
	strings:
		$1 = { 53 51 8B D8 83 BB 80 01 00 00 00 74 2D 54 8B 83 80 01 00 00 50 8B 00 FF 90 EC 00 00 00 E8 ?? ?? ?? ?? 8B 0C 24 B8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 88 83 E5 01 00 00 0F B6 83 E5 01 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_15103_0 {
	meta:
		name = "TCustomADODataSet.SetCursorLocation"
		size = 43
		refs = "0009 TCustomADODataSet.GetCursorLocation 0024 TCustomADODataSet.PropertyChanged"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 17 8B C6 8B 10 FF 92 C4 00 00 00 88 9E E5 01 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15104_0 {
	meta:
		name = "TCustomADODataSet.GetCursorType"
		size = 65
		refs = "001b @CheckAutoResult 0023 CursorTypeValues 002d OleEnumToOrd"
	strings:
		$1 = { 53 51 8B D8 83 BB 80 01 00 00 00 74 2A 54 8B 83 80 01 00 00 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 8B 0C 24 B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 83 E6 01 00 00 0F B6 83 E6 01 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_15105_0 {
	meta:
		name = "TCustomADODataSet.SetCursorType"
		size = 43
		refs = "0009 TCustomADODataSet.GetCursorType 0024 TCustomADODataSet.PropertyChanged"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 17 8B C6 8B 10 FF 92 C4 00 00 00 88 9E E6 01 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15106_0 {
	meta:
		name = "TCustomADODataSet.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 E0 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_15107_0 {
	meta:
		name = "TCustomADODataSet.SetDataSource"
		size = 108
		refs = "000f TCustomADODataSet.SetDataSource 001e TDataSet.IsLinkedTo 002a SCircularDataLink 002f LoadResString 0039 DatabaseError 0046 TDataLink.SetDataSource 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B D6 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15108_0 {
	meta:
		name = "TCustomADODataSet.GetExecuteOptions"
		size = 13
	strings:
		$1 = { 8B 80 A8 01 00 00 0F B6 50 50 8B C2 C3 }
	condition:
		$1
}

rule function_15109_0 {
	meta:
		name = "TCustomADODataSet.SetExecuteOptions"
		size = 19
	strings:
		$1 = { 51 88 14 24 8B 80 A8 01 00 00 0F B6 14 24 88 50 50 5A C3 }
	condition:
		$1
}

rule function_15110_0 {
	meta:
		name = "TCustomADODataSet.GetLockType"
		size = 65
		refs = "001b @CheckAutoResult 0023 LockTypeValues 002d OleEnumToOrd"
	strings:
		$1 = { 53 51 8B D8 83 BB 80 01 00 00 00 74 2A 54 8B 83 80 01 00 00 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 8B 0C 24 B8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 88 83 E7 01 00 00 0F B6 83 E7 01 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_15111_0 {
	meta:
		name = "TCustomADODataSet.SetLockType"
		size = 36
		refs = "0009 TCustomADODataSet.GetLockType"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 10 8B C6 8B 10 FF 92 C4 00 00 00 88 9E E7 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15112_0 {
	meta:
		name = "TCustomADODataSet.GetMarshalOptions"
		size = 68
		refs = "001e @CheckAutoResult 0026 MarshalOptionValues 0030 OleEnumToOrd"
	strings:
		$1 = { 53 51 8B D8 83 BB 80 01 00 00 00 74 2D 54 8B 83 80 01 00 00 50 8B 00 FF 90 04 01 00 00 E8 ?? ?? ?? ?? 8B 0C 24 B8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 88 83 E8 01 00 00 0F B6 83 E8 01 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_15113_0 {
	meta:
		name = "TCustomADODataSet.SetMarshalOptions"
		size = 61
		refs = "0017 MarshalOptionValues 002c @CheckAutoResult"
	strings:
		$1 = { 56 51 88 14 24 8B F0 83 BE 80 01 00 00 00 74 20 0F B6 04 24 8B 04 85 ?? ?? ?? ?? 50 8B 86 80 01 00 00 50 8B 00 FF 90 08 01 00 00 E8 ?? ?? ?? ?? 0F B6 04 24 88 86 E8 01 00 00 5A 5E C3 }
	condition:
		$1
}

rule function_15114_0 {
	meta:
		name = "TCustomADODataSet.GetMasterFields"
		size = 25
		refs = "0012 @WStrFromUStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 E0 01 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15115_0 {
	meta:
		name = "TCustomADODataSet.SetMasterFields"
		size = 134
		refs = "0011 TCustomADODataSet.SetMasterFields 0020 @WStrEqual 0033 SNoDetailFilter 0038 LoadResString 0042 DatabaseError 004c @UStrFromWStr 005a TMasterDataLink.SetFieldNames 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 33 D2 E8 ?? ?? ?? ?? 74 20 83 BB 80 00 00 00 00 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15116_0 {
	meta:
		name = "TCustomADODataSet.GetMaxRecords"
		size = 49
		refs = "001b @CheckAutoResult"
	strings:
		$1 = { 53 51 8B D8 83 BB 80 01 00 00 00 74 1B 54 8B 83 80 01 00 00 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 8B 04 24 89 83 C0 01 00 00 8B 83 C0 01 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_15117_0 {
	meta:
		name = "TCustomADODataSet.SetMaxRecords"
		size = 36
		refs = "0009 TCustomADODataSet.GetMaxRecords"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 74 10 8B C3 8B 10 FF 92 C4 00 00 00 89 B3 C0 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15118_0 {
	meta:
		name = "TCustomADODataSet.GetParamCheck"
		size = 11
	strings:
		$1 = { 8B 80 A8 01 00 00 0F B6 40 5A C3 }
	condition:
		$1
}

rule function_15119_0 {
	meta:
		name = "TCustomADODataSet.SetParamCheck"
		size = 10
	strings:
		$1 = { 8B 80 A8 01 00 00 88 50 5A C3 }
	condition:
		$1
}

rule function_15120_0 {
	meta:
		name = "TCustomADODataSet.GetParameters"
		size = 10
	strings:
		$1 = { 8B 80 A8 01 00 00 8B 40 54 C3 }
	condition:
		$1
}

rule function_15121_0 {
	meta:
		name = "TCustomADODataSet.SetParameters"
		size = 19
	strings:
		$1 = { 56 8B F0 8B 86 A8 01 00 00 8B 40 54 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_15122_0 {
	meta:
		name = "TCustomADODataSet.GetPrepared"
		size = 23
		refs = "000a TADOCommand.GetPrepared"
	strings:
		$1 = { 53 8B D8 8B 83 A8 01 00 00 E8 ?? ?? ?? ?? 66 83 F8 01 1B C0 40 5B C3 }
	condition:
		$1
}

rule function_15123_0 {
	meta:
		name = "TCustomADODataSet.SetPrepared"
		size = 18
		refs = "000d TADOCommand.SetPrepared"
	strings:
		$1 = { 80 FA 01 F5 1B D2 8B 80 A8 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15124_0 {
	meta:
		name = "TCustomADODataSet.GetProperties"
		size = 53
		refs = "0012 @IntfClear 0024 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 80 01 00 00 00 74 1C 8B C6 E8 ?? ?? ?? ?? 50 8B 83 80 01 00 00 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15125_0 {
	meta:
		name = "TCustomADODataSet.SetRecordset"
		size = 199
		refs = "0017 TCustomADODataSet.SetRecordset 0025 TDataSet.Close 0049 @CheckAutoResult 0057 SRecordsetNotOpen 005c LoadResString 0067 DatabaseError 0076 @IntfCopy 007e TDataSet.Open 008d @HandleAnyException 009a @RaiseAgain 009f @DoneExcept 00b4 @UStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 85 DB 74 76 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 53 8B 03 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? F6 45 F8 01 75 18 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 05 80 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15126_0 {
	meta:
		name = "TCustomADODataSet.GetRecordsetState"
		size = 64
		refs = "001f @CheckAutoResult 0027 GetStates 0032 TCustomADODataSet.GetRecordsetState"
	strings:
		$1 = { 53 56 51 8B F0 83 BE 80 01 00 00 00 74 21 54 8B 86 80 01 00 00 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 8B D8 EB 07 0F B6 1D ?? ?? ?? ?? 8B C3 5A 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_15127_0 {
	meta:
		name = "TCustomADODataSet.GetRecordStatus"
		size = 96
		refs = "0012 TCustomADODataSet.GetRecordStatus 0038 RecordStatusValues"
	strings:
		$1 = { 53 56 57 55 8B D8 8B C3 8B 10 FF 92 BC 00 00 00 8B 2D ?? ?? ?? ?? 80 BB A5 00 00 00 05 75 08 8B 43 68 8B 78 11 EB 0E 8B C3 8B 50 5C 8B 40 64 8B 04 90 8B 78 11 33 DB BE ?? ?? ?? ?? 85 3E 74 0C 8B C3 3C 1F 77 06 83 E0 7F 0F AB C5 43 83 C6 04 80 FB 12 75 E7 8B C5 5D 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_15128_0 {
	meta:
		name = "TCustomADODataSet.GetSort"
		size = 56
		refs = "0012 @WStrClr 0027 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 80 01 00 00 00 74 1F 8B C6 E8 ?? ?? ?? ?? 50 8B 83 80 01 00 00 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15129_0 {
	meta:
		name = "TCustomADODataSet.InternalSetSort"
		size = 96
		refs = "000e @WStrAddRef 0016 TCustomADODataSet.InternalSetSort 0034 @CheckAutoResult 003b TCustomADODataSet.RefreshIndexFields 0050 @WStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 83 80 01 00 00 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15130_0 {
	meta:
		name = "TCustomADODataSet.SetSort"
		size = 56
		refs = "0013 TDataSet.UpdateCursorPos 001c TCustomADODataSet.InternalSetSort 0023 TCustomADODataSet.SetSort"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 92 BC 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_15131_0 {
	meta:
		name = "TCustomADODataSet.GetIndexFieldNames"
		size = 416
		refs = "0016 TCustomADODataSet.GetIndexFieldNames 0023 TDataSet.GetActive 0038 @WStrEqual 004c TCustomADODataSet.Supports 005c @WStrClr 0071 @CheckAutoResult 0088 TIndexDefs.Update 00b0 @UStrFromWStr 00be TIndexDefs.Find 00c6 TIndexDef.GetFields 00d4 @UStrAsg 00ec TCustomADODataSet.GetSort 0109 StringReplace 0146 @UStrArrayClr 0169 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 EC 00 00 00 8B 83 D8 01 00 00 33 D2 E8 ?? ?? ?? ?? 0F 85 D9 00 00 00 0F B7 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 82 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 8B 83 80 01 00 00 50 8B 00 FF 90 4C 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 74 59 8B 83 D0 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 83 80 01 00 00 50 8B 00 FF 90 4C 01 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 83 D0 01 00 00 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 83 BC 01 00 00 E8 ?? ?? ?? ?? EB 41 0F B6 05 ?? ?? ?? ?? 50 8D 45 EC 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B C6 8B 93 BC 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5E 5B 8B E5 5D C3 00 00 00 00 10 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_15132_0 {
	meta:
		name = "TCustomADODataSet.SetIndexFieldNames"
		size = 328
		refs = "0013 TCustomADODataSet.SetIndexFieldNames 0023 TCustomADODataSet.GetIndexFieldNames 002d @UStrEqual 003a TDataSet.GetActive 0050 TCustomADODataSet.Supports 005f TIndexDefs.Update 006c TIndexDefs.FindIndexForFields 0077 @WStrFromUStr 008f @CheckAutoResult 0096 TDataSet.First 00b5 StringReplace 00ca TCustomADODataSet.SetSort 00d7 @UStrAsg 00e2 @WStrClr 00f7 @UStrClr 0104 @WStrArrayClr 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 0F 84 AF 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 88 00 00 00 0F B7 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 44 8B 83 D0 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 D0 01 00 00 E8 ?? ?? ?? ?? 8B 50 0C 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 83 80 01 00 00 50 8B 00 FF 90 48 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 32 0F B6 05 ?? ?? ?? ?? 50 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 83 BC 01 00 00 8B D6 E8 ?? ?? ?? ?? 8D 83 D8 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 00 00 00 10 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_15133_0 {
	meta:
		name = "TCustomADODataSet.GetIndexField"
		size = 22
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 CC 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43423_0 {
	meta:
		name = "TIWBaseHTMLControl.get_OnHTMLTag"
		size = 22
		refs = "000f TIWBaseHTMLComponentImplementation.getOnHTMLTag"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 CC 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15135_0 {
	meta:
		name = "TCustomADODataSet.GetIndexFieldCount"
		size = 21
		refs = "0006 TCustomADODataSet.RefreshIndexFields"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 CC 01 00 00 8B 40 08 5B C3 }
	condition:
		$1
}

rule function_15136_0 {
	meta:
		name = "TCustomADODataSet.RefreshIndexFields"
		size = 580
		refs = "0017 TCustomADODataSet.RefreshIndexFields 0024 TDataSet.GetActive 0032 TCustomADODataSet.GetIndexName 003c @WStrEqual 0049 TIndexDefs.Update 005e @UStrFromWStr 006c TIndexDefs.Find 007c TIndexDef.GetFields 0089 @UStrClr 00a4 TCustomADODataSet.GetSort 00c1 StringReplace 00e7 @UStrLAsg 0174 TDataSet.GetFieldList 018e @UStrArrayClr 0196 @WStrClr 01c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 66 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 74 50 8B 83 D0 01 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 83 D0 01 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0F 8D 55 FC 8B C6 E8 ?? ?? ?? ?? E9 D8 00 00 00 8D 45 FC E8 ?? ?? ?? ?? E9 CB 00 00 00 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E4 50 33 C9 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E0 50 33 C9 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 DC 50 33 C9 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 D8 50 33 C9 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 8B 83 CC 01 00 00 8B 10 FF 52 08 8B 4D FC 8B 93 CC 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 5E 5B 8B E5 5D C3 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 44 00 45 00 53 00 43 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 41 00 53 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 }
	condition:
		$1
}

rule function_15137_0 {
	meta:
		name = "TCustomADODataSet.GetIndexName"
		size = 179
		refs = "0011 TCustomADODataSet.GetIndexName 001e TDataSet.GetActive 002a @WStrClr 003f @CheckAutoResult 004d @WStrEqual 007a @WStrAsg 00a1 @WStrArrayClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 58 8D 45 FC E8 ?? ?? ?? ?? 50 8B 83 80 01 00 00 50 8B 00 FF 90 4C 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 D8 01 00 00 E8 ?? ?? ?? ?? 74 2B 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 83 80 01 00 00 50 8B 00 FF 90 4C 01 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8D 83 D8 01 00 00 E8 ?? ?? ?? ?? 8B C6 8B 93 D8 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15138_0 {
	meta:
		name = "TCustomADODataSet.SetIndexName"
		size = 108
		refs = "0009 TDataSet.GetActive 002e @CheckAutoResult 0035 TCustomADODataSet.SetIndexName 004c @WStrAsg 0057 @UStrClr 005e TCustomADODataSet.RefreshIndexFields"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 33 D2 8B C3 8B 08 FF 91 D4 01 00 00 56 8B 83 80 01 00 00 50 8B 00 FF 90 48 01 00 00 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 B4 02 00 00 8D 83 D8 01 00 00 8B D6 E8 ?? ?? ?? ?? 8D 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15139_0 {
	meta:
		name = "TCustomADODataSet.UpdateStatus"
		size = 46
		refs = "0007 TCustomADODataSet.GetRecordStatus"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 F6 C3 08 74 05 B0 03 5E 5B C3 F6 C3 02 74 04 B0 02 EB 0B F6 C3 04 74 04 B0 01 EB 02 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_15140_0 {
	meta:
		name = "GetIdx"
		size = 254
		refs = "0015 GetIdx 0057 TIndexDefs.GetIndexDef 009a TIndexDef.GetFields 00aa TDataSet.GetFieldList 00c1 @HandleAnyException 00c8 @DoneExcept 00e9 @UStrClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 88 45 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 08 8B 40 FC 8B 80 D0 01 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C 9C 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 8B 45 08 8B 40 FC 8B 80 D0 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 0F B6 55 FF 80 FA 07 77 0A 83 E2 7F 0F B6 40 24 0F A3 D0 73 5C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 D0 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 20 33 C0 5A 59 59 64 89 10 E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? FF 45 F8 FF 4D F4 0F 85 6F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15141_0 {
	meta:
		name = "TCustomADODataSet.PSGetDefaultOrder"
		size = 356
		refs = "0016 TCustomADODataSet.PSGetDefaultOrder 002c TIndexDefs.Update 0045 TCustomADODataSet.GetIndexName 004f @WStrEqual 0067 @UStrFromWStr 0078 TIndexDefs.Find 0087 TCustomADODataSet.GetIndexFieldNames 00ab TIndexDefs.GetIndexForFields 00bb TIndexDef.GetFields 00c8 TDataSet.GetFieldList 00d7 @HandleAnyException 00de @DoneExcept 00ea GetIdx 0109 _Dn_TIndexDef 010e TCollectionItem.Create 0137 @UStrArrayClr 013f @WStrClr 0147 @UStrClr 0155 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 FC 8B 80 D0 01 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 74 2B 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 D0 01 00 00 E8 ?? ?? ?? ?? 8B D8 EB 31 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 83 7D EC 00 74 20 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 8B 80 D0 01 00 00 33 C9 E8 ?? ?? ?? ?? 8B D8 85 DB 74 17 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 4D E4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 85 DB 75 0B 55 33 C0 E8 ?? ?? ?? ?? 59 8B D8 85 DB 75 0B 55 B0 01 E8 ?? ?? ?? ?? 59 8B D8 85 DB 74 1B 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 51 08 EB 02 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15142_0 {
	meta:
		name = "TCustomADODataSet.PSExecute"
		size = 65
		refs = "0009 TCustomADODataSet.PSExecute 001d TADOCommand.Execute 0032 @IntfClear 0038 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC 8B 80 A8 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_15143_0 {
	meta:
		name = "TCustomADODataSet.PSExecuteStatement"
		size = 720
		refs = "0022 TCustomADODataSet.PSExecuteStatement 0055 _DV_TADOCommand 005a TADOCommand.Create 0073 @IntfClear 008b @CheckAutoResult 0096 @VarFromDisp 00c4 @WStrFromUStr 00e8 TParameters.Refresh 0132 TParameters.GetItem 0137 TParameter.GetDataType 0142 TParams.GetItem 0147 TParam.GetDataType 016f TParameter.SetDataType 0181 TParam.GetAsVariant 0198 TParameter.SetValue 01bb @HandleAnyException 01ce @DoneExcept 01df TADOCommand.Execute 01e8 _DV_TADODataSet 01ed TCustomADODataSet.Create 01fe TCustomADODataSet.SetRecordset 0219 EmptyParam 023c TObject.Free 0242 @HandleFinally 0282 @VarClr 029a @WStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F4 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 BA 05 00 00 00 8B 45 F8 8B 18 FF 93 D4 02 00 00 88 45 EB 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 D4 E8 ?? ?? ?? ?? 50 8B 45 F8 8B 80 A8 01 00 00 8B 40 38 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 D8 E8 ?? ?? ?? ?? FF 75 E4 FF 75 E0 FF 75 DC FF 75 D8 8B 45 EC 8B 40 38 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 EC C6 40 5A 00 8D 45 D0 8B D6 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 EC 8B 08 FF 51 48 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 40 54 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 EC 8B 40 54 8B 40 08 8B 40 08 8B 55 F4 8B 52 08 3B 42 08 0F 94 C0 EB 02 33 C0 84 C0 0F 84 8E 00 00 00 8B 45 F4 8B 40 08 8B 70 08 4E 85 F6 0F 8C 8A 00 00 00 46 33 DB 8B 45 EC 8B 40 54 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D3 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 3A D0 74 23 8B D3 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 EC 8B 40 54 8B D3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 C0 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 EC 8B 40 54 8B D3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 43 4E 75 89 EB 0E 8B 45 EC 8B 40 54 8B 55 F4 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 EC 8B 40 54 8B 55 F4 8B 08 FF 51 08 E8 ?? ?? ?? ?? 83 7D 08 00 74 2C 8D 55 FC 8B 45 EC E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 08 89 18 8B C3 8B 55 FC E8 ?? ?? ?? ?? EB 27 8B 45 EC 0F B6 15 ?? ?? ?? ?? 88 50 50 8D 45 BC 50 8D 45 AC E8 ?? ?? ?? ?? 8D 4D AC 8D 55 F0 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 4D EB BA 05 00 00 00 8B 45 F8 8B 18 FF 93 D4 02 00 00 C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 8B 45 F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_15144_0 {
	meta:
		name = "TCustomADODataSet.PSGetKeyFields"
		size = 312
		refs = "001c TCustomADODataSet.PSGetKeyFields 002b TDataSet.PSGetKeyFields 0041 TIndexDefs.Update 006f TIndexDefs.GetIndexDef 008a TIndexDef.GetFields 0094 TFields.GetCount 00b0 @WStrFromUStr 00be ExtractFieldName 00c9 @UStrFromWStr 00d3 TDataSet.FindField 00e3 @UStrLen 0103 @UStrClr 011d @WStrArrayClr 012b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F0 89 4D EC 89 4D E8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C6 E8 ?? ?? ?? ?? 83 3F 00 0F 85 CF 00 00 00 33 DB 8B 86 D0 01 00 00 E8 ?? ?? ?? ?? 8B 86 D0 01 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C A2 00 00 00 40 89 45 F4 C7 45 FC 00 00 00 00 8B 55 FC 8B 86 D0 01 00 00 E8 ?? ?? ?? ?? F6 40 24 02 74 77 8B 55 FC 8B 86 D0 01 00 00 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B C6 8B 40 38 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 75 4B C7 45 F8 01 00 00 00 EB 36 8D 45 E8 8B 17 E8 ?? ?? ?? ?? 8B 45 E8 8D 4D EC 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 74 0C 8B 07 E8 ?? ?? ?? ?? 3B 45 F8 7D BE 84 DB 75 0C FF 45 FC FF 4D F4 0F 85 69 FF FF FF 84 DB 75 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15145_0 {
	meta:
		name = "TCustomADODataSet.PSGetParams"
		size = 60
		refs = "0011 _Dn_TParams 0016 TParams.Create 0023 TCustomADODataSet.GetParameters"
	strings:
		$1 = { 53 8B D8 83 BB D4 01 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D4 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 D4 01 00 00 8B 08 FF 51 08 8B 83 D4 01 00 00 5B C3 }
	condition:
		$1
}

rule function_15146_0 {
	meta:
		name = "TCustomADODataSet.PSGetTableName"
		size = 148
		refs = "0013 TCustomADODataSet.PSGetTableName 0020 TCustomADODataSet.GetCommandType 0034 TCustomADODataSet.GetCommandText 003e @UStrFromWStr 0055 GetTableNameFromSQL 0068 @UStrClr 0082 @WStrArrayClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 2C 02 72 1C 74 04 2C 03 75 37 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 28 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15148_0 {
	meta:
		name = "InMTSTransaction"
		size = 138
		refs = "0012 InMTSTransaction 0032 GetObjectContext 0059 @HandleAnyException 005e @DoneExcept 0073 @IntfClear 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 12 8B 45 FC 50 8B 00 FF 50 20 83 F8 01 1B C0 40 88 45 FB 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15149_0 {
	meta:
		name = "TCustomADODataSet.PSInTransaction"
		size = 41
		refs = "0006 TCustomADODataSet.GetConnection 0016 TADOConnection.GetInTransaction 0023 InMTSTransaction"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 75 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15150_0 {
	meta:
		name = "TCustomADODataSet.PSStartTransaction"
		size = 192
		refs = "0015 TCustomADODataSet.PSStartTransaction 0047 @IntfClear 005f @CheckAutoResult 007c @HandleAnyException 0093 @RaiseAgain 0098 @DoneExcept 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 BA 05 00 00 00 8B 45 FC 8B 18 FF 93 D4 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 A8 01 00 00 8B 40 38 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 33 C9 BA 05 00 00 00 8B 45 FC 8B 18 FF 93 D4 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15151_0 {
	meta:
		name = "TCustomADODataSet.PSEndTransaction"
		size = 190
		refs = "0015 TCustomADODataSet.PSEndTransaction 0023 @IntfClear 003b @CheckAutoResult 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 8B 80 A8 01 00 00 8B 40 38 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 83 7D FC 00 74 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 10 8B 45 FC 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? EB 0E 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 BA 05 00 00 00 8B 45 F8 8B 18 FF 93 D4 02 00 00 C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15154_0 {
	meta:
		name = "TCustomADODataSet.PSSetCommandText"
		size = 83
		refs = "000f TCustomADODataSet.PSSetCommandText 0023 @WStrFromUStr 002d TCustomADODataSet.SetCommandText 0042 @WStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 14 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15155_0 {
	meta:
		name = "SetTableFilter"
		size = 288
		refs = "0012 SetTableFilter 0023 TDataSet.Open 004a TParams.GetItem 0052 TParam.GetAsVariant 0071 TDataSet.FieldByName 0079 GetFilterStr 0084 @UStrFromWStr 00a2 @UStrCatN 00af @UStrLAsg 00c1 TCustomADODataSet.ActivateTextFilter 00cc TDataSet.First 00e1 @VarClr 00e9 @WStrClr 00f6 @UStrArrayClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 7D 46 33 DB 8D 45 F4 50 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 8B 50 34 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 74 1A FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0B 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 43 4E 75 86 8B 45 08 8B 40 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 41 00 4E 00 44 00 20 00 00 00 }
	condition:
		$1
}

rule function_15156_0 {
	meta:
		name = "TCustomADODataSet.PSSetParams"
		size = 88
		refs = "001c TCustomADODataSet.GetCommandType 002a SetTableFilter 0035 TCustomADODataSet.GetParameters 0045 TDataSet.Close"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 40 08 83 78 08 00 7E 31 8B 45 FC E8 ?? ?? ?? ?? 2C 02 74 04 2C 03 75 09 55 E8 ?? ?? ?? ?? 59 EB 18 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 51 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_15157_0 {
	meta:
		name = "TCustomADODataSet.PSGetIndexDefs"
		size = 21
		refs = "000f TDataSet.GetIndexDefs"
	strings:
		$1 = { 51 88 14 24 0F B6 0C 24 8B 90 D0 01 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_15159_0 {
	meta:
		name = "TCustomADODataSet.PSGetUpdateException"
		size = 77
		refs = "000d _Dn_EOleException 0012 @IsClass 0033 _Dn_EUpdateError 0038 EUpdateError.Create 0045 TDataSet.PSGetUpdateException"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 85 FF 74 05 8B 47 18 EB 02 33 C0 6A 00 8B 53 18 52 50 53 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15163_0 {
	meta:
		name = "TCustomADODataSet.PSGetCommandType"
		size = 42
		refs = "0007 TADOCommand.GetCommandType"
	strings:
		$1 = { 8B 80 A8 01 00 00 E8 ?? ?? ?? ?? FE C8 74 0F FE C8 74 0E FE C8 74 0D 48 2C 02 72 05 EB 09 B0 01 C3 B0 02 C3 B0 03 C3 33 C0 C3 }
	condition:
		$1
}

rule function_15165_0 {
	meta:
		name = "TCustomADODataSet.GetDetailLinkFields"
		size = 668
		refs = "0023 TCustomADODataSet.GetDetailLinkFields 0066 TCustomADODataSet.GetParameters 00ab TParameters.GetItem 00b3 TParameter.GetName 00be @UStrFromWStr 00ca AddFieldToList 010f TCustomADODataSet.GetMasterFields 0119 @WStrEqual 0153 TDataSet.GetFieldList 0167 TCustomADODataSet.GetIndexName 0196 TIndexDefs.Find 01a5 TCustomADODataSet.GetIndexFieldNames 01c5 TIndexDefs.GetIndexForFields 01eb TIndexDefs.GetIndexDef 0218 TIndexDef.GetFields 023f @UStrArrayClr 0247 @WStrClr 024f @UStrClr 025c @WStrArrayClr 028f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 08 8B 45 F8 8B 10 FF 52 08 8B C3 8B 10 FF 92 60 01 00 00 85 C0 0F 84 DA 01 00 00 8B C3 8B 10 FF 92 60 01 00 00 83 78 38 00 0F 84 C6 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 0F 8E 91 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F8 4F 85 FF 0F 8C 99 01 00 00 47 33 F6 8B C3 8B 10 FF 92 60 01 00 00 8B 40 38 50 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 4D FC 5A E8 ?? ?? ?? ?? 84 C0 74 2E 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 8B 4D F8 8B D3 E8 ?? ?? ?? ?? 46 4F 75 8F E9 20 01 00 00 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 E8 ?? ?? ?? ?? 0F 84 06 01 00 00 33 C0 89 45 F4 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 DC E8 ?? ?? ?? ?? 8B 45 DC 50 8B C3 8B 10 FF 92 60 01 00 00 8B 40 38 8B 55 FC 59 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 E4 01 00 00 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 33 D2 E8 ?? ?? ?? ?? 74 28 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 55 CC 8D 45 D0 E8 ?? ?? ?? ?? 8B 55 D0 8B 83 D0 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 EB 6C 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 83 7D C8 00 74 1F 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8B 55 C4 33 C9 8B 83 D0 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 EB 3D 8B 83 D0 01 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 2C 47 33 F6 8B D6 8B 83 D0 01 00 00 E8 ?? ?? ?? ?? F6 40 24 01 74 12 8B D6 8B 83 D0 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 EB 04 46 4F 75 D7 83 7D F4 00 74 18 8D 55 C0 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D C0 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A1 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15166_0 {
	meta:
		name = "CreateFields"
		size = 265
		refs = "0010 CreateFields 0049 TFieldDefs.GetFieldDef 006f TFieldDef.GetSize 007f TFieldDef.SetSize 0091 FieldTypeToADOType 009d @WStrFromUStr 00a9 @IntfClear 00c1 @CheckAutoResult 00f6 @WStrClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 40 8B 40 08 8B 40 08 8B F0 4E 85 F6 0F 8C A9 00 00 00 46 C7 45 FC 00 00 00 00 8B 45 08 8B 40 FC 8B 40 40 8B 55 FC E8 ?? ?? ?? ?? 8B D8 F6 43 26 04 74 04 33 FF EB 05 BF 60 00 00 00 0F B6 43 25 04 F1 2C 02 72 04 2C 16 75 17 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0C BA FF FF FF 7F 8B C3 E8 ?? ?? ?? ?? 57 8B C3 E8 ?? ?? ?? ?? 50 0F B6 43 25 E8 ?? ?? ?? ?? 50 8D 45 F8 8B 53 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC 8B 80 80 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? FF 45 FC 4E 0F 85 5F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15167_0 {
	meta:
		name = "TADODataSet.CreateDataSet"
		size = 320
		refs = "0019 TADODataSet.CreateDataSet 0032 TDataSet.InitFieldDefsFromFields 003a CLASS_Recordset 003f CreateADOObject 0054 @IntfCast 007b @CheckAutoResult 0081 CreateFields 0090 EmptyParam 00cf TDataSet.Open 00de @HandleAnyException 00eb @IntfClear 00f0 @RaiseAgain 00f5 @DoneExcept 010b OleVariant 0115 @FinalizeArray 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 C4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 05 80 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 03 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 90 F0 00 00 00 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 6A 00 6A FF 6A FF 8D 45 E8 E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 FF 75 EC FF 75 E8 8D 45 D8 E8 ?? ?? ?? ?? FF 75 E4 FF 75 E0 FF 75 DC FF 75 D8 8B 45 FC 8B 80 80 01 00 00 50 8B 00 FF 90 A0 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 05 80 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 56 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_15168_0 {
	meta:
		name = "TADODataSet.DataEvent"
		size = 196
		refs = "001b TDataSet.CheckBrowseMode 0038 TDataSet.First 0055 TDataSet.UpdateCursorPos 005c TADODataSet.DataEvent 006f TDataSet.GetActive 0087 TCustomADODataSet.GetCursorLocation 00a4 @CheckAutoResult 00ad TDataSet.Close 00b8 TCustomADODataSet.DataEvent"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B C3 2C 0B 74 09 FE C8 74 59 E9 99 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 EC 01 00 00 8B 10 FF 92 8C 01 00 00 3B 86 C8 01 00 00 74 1D 8B C6 E8 ?? ?? ?? ?? 8B 86 EC 01 00 00 8B 10 FF 92 8C 01 00 00 89 86 C8 01 00 00 EB 5F 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 EB 45 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3A 85 FF 75 36 83 BE 60 02 00 00 00 74 2D 8B C6 E8 ?? ?? ?? ?? 3C 01 75 1B F6 46 1C 08 75 15 6A 00 8B 86 80 01 00 00 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_15169_0 {
	meta:
		name = "TADODataSet.GetIndexNames"
		size = 33
		refs = "000d TIndexDefs.Update 001a TDefCollection.GetItemNames"
		altNames = "TADOTable.GetIndexNames"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 D0 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 D0 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15170_0 {
	meta:
		name = "TADODataSet.OpenCursor"
		size = 680
		refs = "001b TADODataSet.OpenCursor 004b _DV_TCustomADODataSet 0050 @AsClass 0065 TDataSet.OpenParentDataSet 0083 @CheckAutoResult 00c6 EmptyParam 0116 @VarClr 011f @IntfClear 0134 @OleVarFromUStr 018a @VarToIntf 019f @IntfCast 01d2 @HandleFinally 01f0 TCustomADODataSet.GetConnectionString 01ff TCustomADODataSet.GetCommandText 020a TRDSConnection.GetRecordset 021a @IntfCopy 0226 TCustomADODataSet.OpenCursor 0240 @WStrArrayClr 0279 OleVariant 0283 @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 0D 00 00 00 6A 00 6A 00 49 75 F9 53 56 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 80 01 00 00 00 0F 85 E9 01 00 00 8B 45 FC 8B 98 8C 00 00 00 85 DB 0F 84 92 01 00 00 8B 43 3C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 B0 EC 01 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 FC 8B 80 EC 01 00 00 8B 80 80 01 00 00 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 66 83 7D F4 00 74 25 8D 45 F0 50 8B 45 FC 8B 80 EC 01 00 00 8B 80 80 01 00 00 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 66 83 7D F0 00 75 04 33 C0 EB 02 B0 01 88 45 FA 80 7D FA 00 74 42 8D 45 E0 E8 ?? ?? ?? ?? FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 8D 45 D0 E8 ?? ?? ?? ?? FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 8B 45 FC 8B 80 EC 01 00 00 8B 80 80 01 00 00 50 8B 00 FF 50 78 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 BC E8 ?? ?? ?? ?? 50 8D 45 B8 E8 ?? ?? ?? ?? 50 8D 45 A8 8B 55 FC 8B 92 8C 00 00 00 8B 52 40 E8 ?? ?? ?? ?? FF 75 B4 FF 75 B0 FF 75 AC FF 75 A8 8D 45 A4 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 EC 01 00 00 8B 80 80 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 A4 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8D 55 BC 8D 45 CC E8 ?? ?? ?? ?? 8B 55 CC 8B 45 FC 05 80 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FA 00 74 1A 8B 45 FC 8B 80 EC 01 00 00 8B 80 80 01 00 00 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B 45 FC 8B 98 60 02 00 00 85 DB 74 39 8D 45 A0 50 8D 55 9C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 9C 50 8D 55 98 8B 45 FC E8 ?? ?? ?? ?? 8B 55 98 8B C3 59 E8 ?? ?? ?? ?? 8B 55 A0 8B 45 FC 05 80 01 00 00 E8 ?? ?? ?? ?? 0F B6 55 FB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A8 5E 5B 8B E5 5D C3 00 00 00 56 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_15171_0 {
	meta:
		name = "TADODataSet.SetConnection"
		size = 37
		refs = "0015 TADODataSet.SetRDSConnection 001e TCustomADODataSet.SetConnection"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 06 F6 43 1C 08 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15172_0 {
	meta:
		name = "TADODataSet.SetRDSConnection"
		size = 65
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 0C 33 D2 8B C3 8B 08 FF 91 D0 02 00 00 8B 83 60 02 00 00 85 C0 74 07 8B D3 8B 08 FF 51 5C 8B C6 89 83 60 02 00 00 85 C0 74 0B 6A 00 6A 00 8B D3 8B 08 FF 51 54 5E 5B C3 }
	condition:
		$1
}

rule function_15173_0 {
	meta:
		name = "TADODataSet.SetDataSetField"
		size = 68
		refs = "000d TDataSet.Close 0016 TCustomADODataSet.SetConnectionString 002b TCustomADODataSet.SetCommandText 0034 TCustomADODataSet.SetCursorLocation 003d TDataSet.SetDataSetField"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 2E 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 D0 02 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15174_0 {
	meta:
		name = "TADOTable.Create"
		size = 116
		refs = "000a @ClassCreate 0017 TCustomADODataSet.Create 0020 TCustomADODataSet.SetCommandType 002e TADOTable.Create 0033 @UStrAsg 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 02 8B C6 E8 ?? ?? ?? ?? 8B 86 A8 01 00 00 83 C0 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_15175_0 {
	meta:
		name = "TADOTable.GetReadOnly"
		size = 17
		refs = "0006 TCustomADODataSet.GetLockType"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 01 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_70774_0 {
	meta:
		name = "IsUTF8String"
		size = 17
		refs = "0006 DetectUTF8Encoding"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 01 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_15176_0 {
	meta:
		name = "TADOTable.SetReadOnly"
		size = 20
		refs = "0007 TCustomADODataSet.SetLockType"
	strings:
		$1 = { 84 D2 74 08 B2 01 E8 ?? ?? ?? ?? C3 B2 03 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15177_0 {
	meta:
		name = "TADOTable.GetTableDirect"
		size = 17
		refs = "0006 TCustomADODataSet.GetCommandType"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 05 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_15178_0 {
	meta:
		name = "TADOTable.SetTableDirect"
		size = 20
		refs = "0007 TCustomADODataSet.SetCommandType"
	strings:
		$1 = { 84 D2 74 08 B2 05 E8 ?? ?? ?? ?? C3 B2 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15180_0 {
	meta:
		name = "TADOQuery.Create"
		size = 132
		refs = "000e @ClassCreate 001c TCustomADODataSet.Create 0023 _Dn_TStringList 0028 TStringList.Create 003a TADOQuery.QueryChanged 0048 TADOQuery.Create 004d @UStrAsg 005a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 60 02 00 00 89 5E 44 C7 46 40 ?? ?? ?? ?? 8B 83 A8 01 00 00 83 C0 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 51 00 4C 00 00 00 }
	condition:
		$1
}

rule function_15181_0 {
	meta:
		name = "TADOQuery.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 0012 TCustomADODataSet.Destroy 0025 TObject.Free 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8D 86 60 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15182_0 {
	meta:
		name = "TADOQuery.ExecSQL"
		size = 116
		refs = "0011 TADOQuery.ExecSQL 001e InitializeMasterFields 002a EmptyParam 003e TADOCommand.Execute 0059 @VarClr 0061 @IntfClear 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 45 EC E8 ?? ?? ?? ?? 8D 4D EC 8D 93 64 02 00 00 8B 83 A8 01 00 00 E8 ?? ?? ?? ?? 8B 9B 64 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15183_0 {
	meta:
		name = "TADOQuery.QueryChanged"
		size = 114
		refs = "000e TADOQuery.QueryChanged 0021 TDataSet.Close 003a @WStrFromUStr 0044 TCustomADODataSet.SetCommandText 0059 @UStrClr 0061 @WStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 1C 01 75 07 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B 83 60 02 00 00 8B 08 FF 51 1C 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15184_0 {
	meta:
		name = "TADOQuery.GetSQL"
		size = 7
	strings:
		$1 = { 8B 80 60 02 00 00 C3 }
	condition:
		$1
}

rule function_15185_0 {
	meta:
		name = "TADOQuery.SetSQL"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 60 02 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_15186_0 {
	meta:
		name = "TADOStoredProc.Create"
		size = 128
		refs = "000a @ClassCreate 0017 TCustomADODataSet.Create 0024 TADOCommand.SetComandType 0032 TADOStoredProc.Create 0037 @UStrAsg 0042 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 86 A8 01 00 00 B2 03 E8 ?? ?? ?? ?? 8B 86 A8 01 00 00 83 C0 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_15187_0 {
	meta:
		name = "TADOStoredProc.ExecProc"
		size = 76
		refs = "000c TADOStoredProc.ExecProc 0019 InitializeMasterFields 0027 TADOCommand.Execute 003c @IntfClear 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 A8 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15188_0 {
	meta:
		name = "TADOBlobStream.Create"
		size = 363
		refs = "001f @ClassCreate 002f TADOBlobStream.Create 0054 _DV_TCustomADODataSet 0059 @AsClass 0064 Null 006f @VarCopy 008d TCustomADODataSet.GetActiveRecBuf 00ad TField.GetDisplayName 00c3 SFieldReadOnly 00c8 LoadResString 00d3 DatabaseErrorFmt 00eb SNotEditing 00fb DatabaseError 0107 TADOBlobStream.Truncate 0110 TADOBlobStream.ReadBlobData 012a @UStrArrayClr 0133 Variant 013d @FinalizeArray 0143 @HandleFinally 0152 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F9 89 7E 14 8B C7 8B 10 FF 92 A8 00 00 00 48 89 46 20 8B 46 14 8B 40 3C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 8D 45 EC E8 ?? ?? ?? ?? 8D 55 EC 8D 46 38 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 55 DC 8D 46 28 E8 ?? ?? ?? ?? 8D 56 1C 8B 46 18 E8 ?? ?? ?? ?? 84 C0 74 7F 84 DB 74 66 8B 46 14 80 78 49 00 74 35 8B 46 18 50 8D 55 D0 8B 46 14 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 8D 45 D4 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 33 C9 5A E8 ?? ?? ?? ?? 8B 46 18 0F B6 80 A5 00 00 00 04 FE 2C 02 72 18 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 8B 56 18 E8 ?? ?? ?? ?? 80 FB 01 75 09 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15189_0 {
	meta:
		name = "TADOBlobStream.Destroy"
		size = 168
		refs = "000a @BeforeDestruction 0021 TADOBlobStream.Destroy 004e TBlobField.SetModified 0073 @HandleAnyException 007b ApplicationHandleException 0080 @DoneExcept 008f TMemoryStream.Destroy 009d @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 80 78 24 00 74 67 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8D 48 28 8B 45 FC 8B 50 14 8B 45 FC 8B 40 18 8B 18 FF 93 24 02 00 00 8B 45 FC 8B 40 14 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 48 14 8B 45 FC 8B 40 18 33 D2 8B 18 FF 93 E4 00 00 00 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15190_0 {
	meta:
		name = "TADOBlobStream.ReadBlobData"
		size = 273
		refs = "0013 TADOBlobStream.ReadBlobData 0034 VarIsNull 0050 TBlobField.GetBlobType 005f @VarToWStr 007d TStream.SetSize64 008a @VarToLStr 0095 @VarFromLStr 00bc VarArrayHighBound 00cf Null 00da @VarCopy 00ef @VarClr 00f7 @WStrClr 00ff @LStrClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 4B 38 8B 53 14 8B 43 18 8B 30 FF 96 94 02 00 00 8D 43 38 E8 ?? ?? ?? ?? 84 C0 0F 85 9E 00 00 00 8D 43 38 0F B7 00 66 83 F8 08 75 67 8B 43 14 E8 ?? ?? ?? ?? 3C 27 75 2B 8D 45 F8 8D 53 38 E8 ?? ?? ?? ?? 8B 4D F8 85 C9 74 09 83 E9 04 8B 01 D1 E8 8B C8 8B C1 03 C0 99 52 50 8B C3 E8 ?? ?? ?? ?? EB 48 8D 45 FC 8D 53 38 E8 ?? ?? ?? ?? 8D 43 38 8B 55 FC E8 ?? ?? ?? ?? 8B 4D FC 85 C9 74 05 83 E9 04 8B 09 8B C1 99 52 50 8B C3 E8 ?? ?? ?? ?? EB 18 8D 43 38 BA 01 00 00 00 E8 ?? ?? ?? ?? 40 99 52 50 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 55 E8 8D 43 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15191_0 {
	meta:
		name = "VarAlloc"
		size = 288
		refs = "0014 VarAlloc 0026 VarIsNull 0034 @VarToLStr 0046 @LStrSetLength 0050 @VarFromLStr 006f @VarToWStr 0086 @WStrSetLength 0090 @VarFromWStr 0099 VarIsClear 00ce VarArrayCreate 00d8 @VarCopy 00ea @VarArrayRedim 00ff @VarClr 0107 @LStrClr 010f @WStrClr 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 FA 10 75 36 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 08 8B 50 FC 8B 12 8D 45 F8 33 C9 E8 ?? ?? ?? ?? 8B C3 8B 55 F8 E8 ?? ?? ?? ?? E9 95 00 00 00 80 FA 27 75 38 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 08 8B 50 FC 8B 12 D1 FA 79 03 83 D2 00 8D 45 FC E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? EB 58 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 8D 45 E8 50 33 C0 89 45 E0 8B 45 08 8B 40 FC 8B 00 48 89 45 E4 8D 45 E0 66 B9 11 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? EB 10 8B 45 08 8B 50 FC 8B 12 4A 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15192_0 {
	meta:
		name = "TADOBlobStream.Realloc"
		size = 201
		refs = "0015 TADOBlobStream.Realloc 0030 VarIsArray 003c VarArrayUnlock 004c Null 0057 @VarCopy 0063 VarIsNull 0077 VarAlloc 0099 VarArrayLock 00b5 @VarClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 04 8B 45 FC 8B 00 3B 43 10 74 78 8D 43 28 E8 ?? ?? ?? ?? 84 C0 74 08 8D 43 28 E8 ?? ?? ?? ?? 8B 45 FC 83 38 00 75 17 8D 45 EC E8 ?? ?? ?? ?? 8D 55 EC 8D 43 28 E8 ?? ?? ?? ?? 33 F6 EB 45 8D 43 38 E8 ?? ?? ?? ?? 84 C0 74 13 55 8B 43 14 0F B6 50 48 8D 43 28 E8 ?? ?? ?? ?? 59 EB 0B 8D 43 28 8D 53 38 E8 ?? ?? ?? ?? 8D 43 28 E8 ?? ?? ?? ?? 84 C0 74 0C 8D 43 28 E8 ?? ?? ?? ?? 8B F0 EB 03 8B 73 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15193_0 {
	meta:
		name = "TADOBlobStream.Write"
		size = 16
		refs = "0006 TMemoryStream.Write"
		altNames = "TClientBlobStream.Write"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 24 01 5B C3 }
	condition:
		$1
}

rule function_15194_0 {
	meta:
		name = "TADOBlobStream.Truncate"
		size = 16
		refs = "0006 TMemoryStream.Clear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 24 01 5B C3 }
	condition:
		$1
}

rule function_72726_0 {
	meta:
		name = "TActionClientsCollection.AfterConstruction"
		size = 16
		refs = "0006 TObject.AfterConstruction"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 24 01 5B C3 }
	condition:
		$1
}

rule function_15514_0 {
	meta:
		name = "TClientBlobStream.Truncate"
		size = 16
		refs = "0006 TMemoryStream.Clear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 24 01 5B C3 }
	condition:
		$1
}

rule function_15195_0 {
	meta:
		name = "Finalization"
		size = 78
		refs = "0007 Finalization 0013 _DV_31 001a GlobalMalloc 001f @IntfClear 002e SIsAutoInc 0033 @WStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1E B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_33292_0 {
	meta:
		name = "Finalization"
		size = 78
		refs = "0007 Finalization 0013 _DV_4 001a IETF_ATEXT 001f @UStrClr 0024 IETF_ATEXT_SPACE 002e IETF_QUOTABLE 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1E B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_73051_0 {
	meta:
		name = "Finalization"
		size = 78
		refs = "0007 Finalization 0013 _DV_13 001a cDefaultSchedule 001f @UStrClr 0024 ActionBarDesigner 0029 @IntfClear 002e DefaultActnBarStyle 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1E B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15196_0 {
	meta:
		name = "Data.Win.ADODB"
		size = 82
		refs = "0007 Data.Win.ADODB 0013 _DV_31 001b _Nn__C41 0020 @InitWideStrings 0025 GlobalMalloc 002a @IntfClear 0032 CoGetMalloc 0037 OleCheck 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 21 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 01 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15197_0 {
	meta:
		name = "RegisterPooled"
		size = 488
		refs = "001e RegisterPooled 0038 @UStrCat3 004a CreateRegKey 0059 IntToStr 0118 @UStrArrayClr 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 00 00 80 8D 45 FC 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 00 00 00 80 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 68 00 00 00 80 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 80 7D 08 00 74 28 68 00 00 00 80 8D 45 E8 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 68 00 00 00 80 8D 45 E4 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 6F 00 6F 00 6C 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 61 00 78 00 4F 00 62 00 6A 00 65 00 63 00 74 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 69 00 6E 00 67 00 6C 00 65 00 74 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_15198_0 {
	meta:
		name = "DeleteRegValue"
		size = 68
		refs = "0012 @UStrToPWChar 001d RegOpenKeyEx 0033 RegDeleteValue 003c RegCloseKey"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 68 06 00 02 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 68 00 00 00 80 E8 ?? ?? ?? ?? 85 C0 75 1B 8B C6 E8 ?? ?? ?? ?? 50 8B 44 24 04 50 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_15199_0 {
	meta:
		name = "UnregisterPooled"
		size = 332
		refs = "0010 UnregisterPooled 0025 @UStrCat3 0032 DeleteRegValue 00a0 @UStrArrayClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 6F 00 6F 00 6C 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 61 00 78 00 4F 00 62 00 6A 00 65 00 63 00 74 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 69 00 6E 00 67 00 6C 00 65 00 74 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_15200_0 {
	meta:
		name = "EnableSocketTransport"
		size = 168
		refs = "000c EnableSocketTransport 0026 @UStrCat3 0038 CreateRegKey 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 00 00 80 8D 45 FC 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 6F 00 63 00 6B 00 65 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_15201_0 {
	meta:
		name = "DisableSocketTransport"
		size = 140
		refs = "000c DisableSocketTransport 0021 @UStrCat3 002e DeleteRegValue 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 6F 00 63 00 6B 00 65 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_15202_0 {
	meta:
		name = "EnableWebTransport"
		size = 160
		refs = "000c EnableWebTransport 0026 @UStrCat3 0038 CreateRegKey 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 00 00 80 8D 45 FC 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 57 00 65 00 62 00 00 00 }
	condition:
		$1
}

rule function_15203_0 {
	meta:
		name = "DisableWebTransport"
		size = 132
		refs = "000c DisableWebTransport 0021 @UStrCat3 002e DeleteRegValue 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 57 00 65 00 62 00 00 00 }
	condition:
		$1
}

rule function_15204_0 {
	meta:
		name = "TRemoteDataModule.Create"
		size = 74
		refs = "000b @ClassCreate 0018 _Dn_TObject 001d TObject.Create 002b TProviderDataModule.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 68 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15205_0 {
	meta:
		name = "TRemoteDataModule.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TProviderDataModule.Destroy 001a TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 68 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15206_0 {
	meta:
		name = "TRemoteDataModule.Lock"
		size = 26
		refs = "0005 TMonitor.CheckMonitorSupport 000c TMonitor.GetMonitor 0014 TMonitor.Enter"
	strings:
		$1 = { 53 8B 58 68 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15207_0 {
	meta:
		name = "TRemoteDataModule.Unlock"
		size = 9
		refs = "0004 TMonitor.Exit"
	strings:
		$1 = { 8B 40 68 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95920_0 {
	meta:
		name = "TCustomWebDispatcher.GetAction"
		size = 9
		refs = "0004 TWebActionItems.GetActionItem"
	strings:
		$1 = { 8B 40 68 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15208_0 {
	meta:
		name = "TRemoteDataModule.AS_GetProviderNames"
		size = 135
		refs = "0024 TRemoteDataModule.AS_GetProviderNames 004b TProviderDataModule.ProviderNamesToVariant 0066 @HandleFinally 007a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 10 FF 52 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 0C 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 10 FF 52 5C C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15209_0 {
	meta:
		name = "TRemoteDataModule.AS_ApplyUpdates"
		size = 196
		refs = "000c @VarAddRef 002e TRemoteDataModule.AS_ApplyUpdates 0061 @UStrFromWStr 0077 TCustomProvider.ApplyUpdates 0092 @HandleFinally 00a6 @HandleAutoException 00ae @UStrClr 00b6 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8D 45 10 E8 ?? ?? ?? ?? 8B 45 2C 8B 55 2C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 10 FF 52 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 24 50 8B 45 28 50 8B 45 2C 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 08 FF 51 4C 8D 55 10 8B 4D 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 10 FF 52 5C C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 28 00 }
	condition:
		$1
}

rule function_15210_0 {
	meta:
		name = "TRemoteDataModule.AS_GetRecords"
		size = 188
		refs = "0026 TRemoteDataModule.AS_GetRecords 0061 @UStrFromWStr 0077 TCustomProvider.GetRecords 0092 @HandleFinally 00a6 @HandleAutoException 00ae @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 45 28 8B 55 28 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 10 FF 52 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 50 8B 45 1C 50 8B 45 20 50 8B 45 24 50 8B 45 28 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 08 FF 51 4C 8B 4D 14 8B 55 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 10 FF 52 5C C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 24 00 }
	condition:
		$1
}

rule function_15211_0 {
	meta:
		name = "TRemoteDataModule.AS_RowRequest"
		size = 195
		refs = "000c @VarAddRef 002e TRemoteDataModule.AS_RowRequest 005d @UStrFromWStr 0091 @HandleFinally 00a5 @HandleAutoException 00ad @UStrClr 00b5 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8D 45 10 E8 ?? ?? ?? ?? 8B 45 28 8B 55 28 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 10 FF 52 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 24 50 8B 45 28 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 08 FF 51 4C 8D 55 10 8B 4D 20 8B 18 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 10 FF 52 5C C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 24 00 }
	condition:
		$1
}

rule function_15212_0 {
	meta:
		name = "TRemoteDataModule.AS_DataRequest"
		size = 187
		refs = "000c @VarAddRef 002e TRemoteDataModule.AS_DataRequest 0055 @UStrFromWStr 0089 @HandleFinally 009d @HandleAutoException 00a5 @UStrClr 00ad @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8D 45 10 E8 ?? ?? ?? ?? 8B 45 20 8B 55 20 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 10 FF 52 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 08 FF 51 4C 8B 4D 20 8D 55 10 8B 18 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 10 FF 52 5C C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 1C 00 }
	condition:
		$1
}

rule function_15213_0 {
	meta:
		name = "TRemoteDataModule.AS_GetParams"
		size = 171
		refs = "0026 TRemoteDataModule.AS_GetParams 004d @UStrFromWStr 0081 @HandleFinally 0095 @HandleAutoException 009d @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 45 14 8B 55 14 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 10 FF 52 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 08 FF 51 4C 8B 4D 14 8B 55 10 8B 18 FF 93 8C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 10 FF 52 5C C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_15214_0 {
	meta:
		name = "TRemoteDataModule.AS_Execute"
		size = 152
		refs = "000f TRemoteDataModule.AS_Execute 003a @UStrFromWStr 006e @HandleFinally 0082 @HandleAutoException 008a @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 10 FF 52 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 08 FF 51 4C 8B 4D 14 8B 55 10 8B 18 FF 93 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 10 FF 52 5C C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_15215_0 {
	meta:
		name = "TRemoteDataModule.UpdateRegistry"
		size = 1280
		refs = "001e TRemoteDataModule.UpdateRegistry 002c @IntfClear 003b CLSID_StdComponentCategoryMgr 0041 CoCreateInstance 0055 CATID_MIDASAppServer 0082 StringToWideChar 0099 OleCheck 00ae StringToGUID 0118 Format 0128 DeleteRegKey 014a GUIDToString 0160 @UStrCat3 0175 CreateRegKey 0298 GetRegStringValue 0329 @UStrArrayClr 0334 @UStrClr 034a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 2C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 01 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A9 00 00 00 80 0F 85 E1 00 00 00 84 DB 74 78 A1 ?? ?? ?? ?? 56 8B F0 8D BD E4 FE FF FF A5 A5 A5 A5 5E C7 85 F4 FE FF FF 09 04 00 00 8D 95 F8 FE FF FF B9 25 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 E4 FE FF FF 50 6A 01 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 6A 01 8D 95 D4 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8D 85 D4 FE FF FF 50 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? E9 A4 01 00 00 A1 ?? ?? ?? ?? 50 6A 01 8D 95 D4 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8D 85 D4 FE FF FF 50 8B 45 FC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 8D 85 D0 FE FF FF 50 89 B5 C8 FE FF FF C6 85 CC FE FF FF 11 8D 95 C8 FE FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D0 FE FF FF BA 00 00 00 80 E8 ?? ?? ?? ?? E9 3F 01 00 00 84 DB 0F 84 A5 00 00 00 68 00 00 00 80 8D 95 C0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D C0 FE FF FF 8D 85 C4 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 C4 FE FF FF B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 00 00 00 80 8D 85 BC FE FF FF 50 89 B5 D4 FE FF FF C6 85 D8 FE FF FF 11 8D 95 B8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 B8 FE FF FF 89 85 DC FE FF FF C6 85 E0 FE FF FF 11 8D 95 D4 FE FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 BC FE FF FF 33 C9 33 D2 E8 ?? ?? ?? ?? E9 92 00 00 00 8D 85 B4 FE FF FF 50 89 B5 D4 FE FF FF C6 85 D8 FE FF FF 11 8D 95 B0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 B0 FE FF FF 89 85 DC FE FF FF C6 85 E0 FE FF FF 11 8D 95 D4 FE FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 B4 FE FF FF BA 00 00 00 80 E8 ?? ?? ?? ?? 8D 85 AC FE FF FF 50 89 B5 C8 FE FF FF C6 85 CC FE FF FF 11 8D 95 C8 FE FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 AC FE FF FF BA 00 00 00 80 E8 ?? ?? ?? ?? 84 DB 74 7A 8D 45 F8 50 8D 85 A8 FE FF FF 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 A8 FE FF FF B9 00 00 00 80 33 D2 E8 ?? ?? ?? ?? 68 00 00 00 80 8D 85 A4 FE FF FF 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 A4 FE FF FF 8B 4D F8 33 D2 E8 ?? ?? ?? ?? 68 00 00 00 80 8D 85 A0 FE FF FF 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 A0 FE FF FF 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 8D 85 9C FE FF FF 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 9C FE FF FF BA 00 00 00 80 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 9C FE FF FF BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 85 D0 FE FF FF E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 12 E0 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 B0 04 02 00 FF FF FF FF 24 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 20 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 20 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 25 00 73 00 5C 00 49 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 65 00 64 00 20 00 43 00 61 00 74 00 65 00 67 00 6F 00 72 00 69 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 43 00 6F 00 6D 00 70 00 6F 00 6E 00 65 00 6E 00 74 00 20 00 43 00 61 00 74 00 65 00 67 00 6F 00 72 00 69 00 65 00 73 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 30 00 39 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 25 00 73 00 5C 00 49 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 65 00 64 00 20 00 43 00 61 00 74 00 65 00 67 00 6F 00 72 00 69 00 65 00 73 00 5C 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 70 00 70 00 49 00 44 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 70 00 70 00 49 00 44 00 00 00 }
	condition:
		$1
}

rule function_15216_0 {
	meta:
		name = "TProviderDataModule.CleanProviders"
		size = 9
		refs = "0004 TObject.Free"
	strings:
		$1 = { 8B 40 60 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15228_0 {
	meta:
		name = "TCRemoteDataModule.RegisterProvider"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 60 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93545_0 {
	meta:
		name = "TChartAxis.SetGridCentered"
		size = 9
		refs = "0004 TAxisGridPen.SetCentered"
	strings:
		$1 = { 8B 40 60 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15222_0 {
	meta:
		name = "TProviderDataModule.RegisterProvider"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 60 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49308_0 {
	meta:
		name = "TSoapDataModule.RegisterProvider"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 60 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15217_0 {
	meta:
		name = "TProviderDataModule.Create"
		size = 74
		refs = "000b @ClassCreate 0018 _Dn_TList 001d TObject.Create 002b TDataModule.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 60 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15218_0 {
	meta:
		name = "TProviderDataModule.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 0012 TDataModule.Destroy 0019 TProviderDataModule.CleanProviders 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15219_0 {
	meta:
		name = "TProviderDataModule.GetProvider"
		size = 135
		refs = "0022 TList.Get 002d AnsiCompareText 0068 SProviderNotExported 006f _Dn_Exception 0074 Exception.CreateResFmt 0079 @RaiseExcept"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 14 24 8B F8 33 ED 8B 47 60 8B 70 08 4E 85 F6 7C 36 46 33 DB 8B 47 60 8B D3 E8 ?? ?? ?? ?? 8B 40 08 8B 14 24 E8 ?? ?? ?? ?? 85 C0 75 16 8B 47 60 8B D3 E8 ?? ?? ?? ?? 8B E8 80 7D 38 00 75 08 33 ED EB 04 43 4E 75 CD 85 ED 75 2A 8B 04 24 89 44 24 04 C6 44 24 08 11 8D 44 24 04 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C5 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15231_0 {
	meta:
		name = "TCRemoteDataModule.GetProvider"
		size = 135
		refs = "0022 TList.Get 002d AnsiCompareStr 0068 SProviderNotExported 006f _Dn_Exception 0074 Exception.CreateResFmt 0079 @RaiseExcept"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 14 24 8B F8 33 ED 8B 47 60 8B 70 08 4E 85 F6 7C 36 46 33 DB 8B 47 60 8B D3 E8 ?? ?? ?? ?? 8B 40 08 8B 14 24 E8 ?? ?? ?? ?? 85 C0 75 16 8B 47 60 8B D3 E8 ?? ?? ?? ?? 8B E8 80 7D 38 00 75 08 33 ED EB 04 43 4E 75 CD 85 ED 75 2A 8B 04 24 89 44 24 04 C6 44 24 08 11 8D 44 24 04 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C5 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49310_0 {
	meta:
		name = "TSoapDataModule.GetProvider"
		size = 135
		refs = "0022 TList.Get 002d AnsiCompareStr 0068 SProviderNotExported 006f _Dn_Exception 0074 Exception.CreateResFmt 0079 @RaiseExcept"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 14 24 8B F8 33 ED 8B 47 60 8B 70 08 4E 85 F6 7C 36 46 33 DB 8B 47 60 8B D3 E8 ?? ?? ?? ?? 8B 40 08 8B 14 24 E8 ?? ?? ?? ?? 85 C0 75 16 8B 47 60 8B D3 E8 ?? ?? ?? ?? 8B E8 80 7D 38 00 75 08 33 ED EB 04 43 4E 75 CD 85 ED 75 2A 8B 04 24 89 44 24 04 C6 44 24 08 11 8D 44 24 04 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C5 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15220_0 {
	meta:
		name = "TCRemoteDataModule.GetProviderCount"
		size = 7
		altNames = "TProviderDataModule.GetProviderCount TServerWinSocket.GetActiveConnections TSoapDataModule.GetProviderCount"
	strings:
		$1 = { 8B 40 60 8B 40 08 C3 }
	condition:
		$1
}

rule function_15221_0 {
	meta:
		name = "TProviderDataModule.ProviderNamesToVariant"
		size = 215
		refs = "0017 TProviderDataModule.ProviderNamesToVariant 0024 _Dn_TStringList 0029 TStringList.Create 0052 TList.Get 0087 VarArrayFromStrings 0092 @OleVarFromVar 00a7 TObject.Free 00ad @HandleFinally 00c4 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 60 8B 70 08 4E 85 F6 7C 2C 46 33 DB 8B 47 60 8B D3 E8 ?? ?? ?? ?? 80 78 38 00 74 15 8B 47 60 8B D3 E8 ?? ?? ?? ?? 8B 50 08 8B 45 F8 8B 08 FF 51 38 43 4E 75 D7 8B 45 F8 8B 10 FF 92 A0 00 00 00 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15223_0 {
	meta:
		name = "TCRemoteDataModule.UnRegisterProvider"
		size = 11
		refs = "0006 TList.RemoveItem"
		altNames = "TProviderDataModule.UnRegisterProvider TSoapDataModule.UnRegisterProvider"
	strings:
		$1 = { 8B 40 60 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15224_0 {
	meta:
		name = "TCRemoteDataModule.Create"
		size = 89
		refs = "000b @ClassCreate 0018 _Dn_TObject 001d TObject.Create 0027 _Dn_TList 003a TDataModule.Create 0045 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 64 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 60 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49304_0 {
	meta:
		name = "TSoapDataModule.Create"
		size = 89
		refs = "000b @ClassCreate 0018 _Dn_TCriticalSection 001d TCriticalSection.Create 0027 _Dn_TList 002c TObject.Create 003a TDataModule.Create 0045 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 64 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 60 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15225_0 {
	meta:
		name = "TCRemoteDataModule.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TDataModule.Destroy 001a TObject.Free 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 60 E8 ?? ?? ?? ?? 8B 46 64 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15226_0 {
	meta:
		name = "TCRemoteDataModule.Lock"
		size = 26
		refs = "0005 TMonitor.CheckMonitorSupport 000c TMonitor.GetMonitor 0014 TMonitor.Enter"
	strings:
		$1 = { 53 8B 58 64 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15227_0 {
	meta:
		name = "TCRemoteDataModule.UnLock"
		size = 9
		refs = "0004 TMonitor.Exit"
	strings:
		$1 = { 8B 40 64 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93771_0 {
	meta:
		name = "TSeriesMarks.GetItem"
		size = 9
		refs = "0004 TMarksItems.Get"
	strings:
		$1 = { 8B 40 64 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15230_0 {
	meta:
		name = "TCRemoteDataModule.CRDMGetProviderNames"
		size = 420
		refs = "001d TCRemoteDataModule.CRDMGetProviderNames 0040 _Dn_TStringList 0045 TStringList.Create 0074 TList.Get 00d3 VarArrayCreate 00de @OleVarFromVar 010b @WStrFromUStr 0116 @VarFromWStr 0123 @VarArrayPut 013f TObject.Free 0145 @HandleFinally 0179 @UStrClr 0181 @WStrClr 0189 @VarClr"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 54 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 60 8B 58 08 4B 85 DB 7C 32 43 33 F6 8B 45 FC 8B 40 60 8B D6 E8 ?? ?? ?? ?? 80 78 38 00 74 18 8B 45 FC 8B 40 60 8B D6 E8 ?? ?? ?? ?? 8B 50 08 8B 45 F4 8B 08 FF 51 38 46 4B 75 D1 8B 45 F4 8B 10 FF 92 A0 00 00 00 8B 45 F4 8B 10 FF 52 14 85 C0 7E 7D 8D 45 E4 50 33 C0 89 45 DC 8B 45 F4 8B 10 FF 52 14 48 89 45 E0 8D 45 DC 66 B9 08 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 8B D8 4B 85 DB 7C 3D 43 33 F6 56 6A 01 8D 4D C4 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 55 C4 8D 45 C8 E8 ?? ?? ?? ?? 8B 55 C8 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 10 46 4B 75 C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 58 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15235_0 {
	meta:
		name = "EDBClient.Create"
		size = 126
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 EDBClient.Create 003f Exception.Create 0054 @UStrClr 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 45 08 66 89 46 18 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15236_0 {
	meta:
		name = "EReconcileError.Create"
		size = 158
		refs = "000e @ClassCreate 001d @UStrAddRef 002d EReconcileError.Create 003e @UStrAsg 0057 EDBClient.Create 006c @UStrClr 007a @HandleFinally 0087 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 1C 8B 55 10 E8 ?? ?? ?? ?? 0F B7 45 08 66 89 46 20 0F B7 45 0C 50 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_15237_0 {
	meta:
		name = "PackageParams"
		size = 1032
		refs = "0023 PackageParams 0031 Null 003c @OleVarFromVar 0059 TParams.GetItem 005e TParam.GetParamType 009e VarArrayCreate 00ef TParam.GetAsVariant 00f7 VarIsCustom 0113 @VarFromUStr 0145 VarToStr 0171 TParam.GetDataType 0183 @VarFromInt 023b VarArrayOf 0248 @VarArrayPut 03a4 Variant 03ae @FinalizeArray 03b9 @UStrClr 03fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 39 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 33 F6 8B 45 FC 8B 40 08 8B 58 08 4B 85 DB 7C 27 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 07 77 0A 83 E0 7F 0F B6 55 FB 0F A3 C2 73 01 46 47 4B 75 DC 85 F6 0F 8E 10 03 00 00 33 C0 89 45 F0 8D 45 D0 50 33 C0 89 45 C8 4E 89 75 CC 8D 45 C8 66 B9 0C 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 58 08 4B 85 DB 0F 8C D0 02 00 00 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 3C 07 77 0A 83 E0 7F 0F B6 55 FB 0F A3 C2 0F 83 9E 02 00 00 8D 55 B8 8B C6 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 84 C0 0F 84 51 01 00 00 8B 45 F0 50 6A 01 8D 85 28 FF FF FF 8B 56 34 E8 ?? ?? ?? ?? 56 57 8D B5 28 FF FF FF 8D BD 38 FF FF FF A5 A5 A5 A5 5F 5E 8D 95 04 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8D 85 04 FF FF FF 8D 95 14 FF FF FF E8 ?? ?? ?? ?? 8B 95 14 FF FF FF 8D 85 18 FF FF FF E8 ?? ?? ?? ?? 56 57 8D B5 18 FF FF FF 8D BD 48 FF FF FF A5 A5 A5 A5 5F 5E 8B C6 E8 ?? ?? ?? ?? 8B D0 0F BE D2 8D 85 F4 FE FF FF B1 FF E8 ?? ?? ?? ?? 56 57 8D B5 F4 FE FF FF 8D BD 58 FF FF FF A5 A5 A5 A5 5F 5E 8B C6 E8 ?? ?? ?? ?? 8B D0 0F BE D2 8D 85 E4 FE FF FF B1 FF E8 ?? ?? ?? ?? 56 57 8D B5 E4 FE FF FF 8D BD 68 FF FF FF A5 A5 A5 A5 5F 5E 8D 85 D4 FE FF FF 8B 56 3C B1 FC E8 ?? ?? ?? ?? 56 57 8D B5 D4 FE FF FF 8D BD 78 FF FF FF A5 A5 A5 A5 5F 5E 8D 85 C4 FE FF FF 8B 56 28 B1 FC E8 ?? ?? ?? ?? 56 57 8D B5 C4 FE FF FF 8D 7D 88 A5 A5 A5 A5 5F 5E 8D 85 B4 FE FF FF 8B 56 2C B1 FC E8 ?? ?? ?? ?? 57 8D B5 B4 FE FF FF 8D 7D 98 A5 A5 A5 A5 5F 8D 85 38 FF FF FF 8D 4D A8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 50 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 10 E9 30 01 00 00 8B 45 F0 50 6A 01 8D 85 94 FE FF FF 8B 56 34 E8 ?? ?? ?? ?? 56 57 8D B5 94 FE FF FF 8D BD 38 FF FF FF A5 A5 A5 A5 5F 5E 8D 95 84 FE FF FF 8B C6 E8 ?? ?? ?? ?? 56 57 8D B5 84 FE FF FF 8D BD 48 FF FF FF A5 A5 A5 A5 5F 5E 8B C6 E8 ?? ?? ?? ?? 8B D0 0F BE D2 8D 85 74 FE FF FF B1 FF E8 ?? ?? ?? ?? 56 57 8D B5 74 FE FF FF 8D BD 58 FF FF FF A5 A5 A5 A5 5F 5E 8B C6 E8 ?? ?? ?? ?? 8B D0 0F BE D2 8D 85 64 FE FF FF B1 FF E8 ?? ?? ?? ?? 56 57 8D B5 64 FE FF FF 8D BD 68 FF FF FF A5 A5 A5 A5 5F 5E 8D 85 54 FE FF FF 8B 56 3C B1 FC E8 ?? ?? ?? ?? 56 57 8D B5 54 FE FF FF 8D BD 78 FF FF FF A5 A5 A5 A5 5F 5E 8D 85 44 FE FF FF 8B 56 28 B1 FC E8 ?? ?? ?? ?? 56 57 8D B5 44 FE FF FF 8D 7D 88 A5 A5 A5 A5 5F 5E 8D 85 34 FE FF FF 8B 56 2C B1 FC E8 ?? ?? ?? ?? 57 8D B5 34 FE FF FF 8D 7D 98 A5 A5 A5 A5 5F 8D 85 38 FF FF FF 8D 8D A4 FE FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 85 A4 FE FF FF 50 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 10 FF 45 F0 47 4B 0F 85 33 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 34 FE FF FF 8B 15 ?? ?? ?? ?? B9 0E 00 00 00 E8 ?? ?? ?? ?? 8D 85 14 FF FF FF E8 ?? ?? ?? ?? 8D 85 18 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9B 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15238_0 {
	meta:
		name = "UnpackParams"
		size = 731
		refs = "001b UnpackParams 0028 VarIsNull 0037 VarIsArray 004d @VarArrayGet 0067 _Dn_TParams 006c TParams.Create 0089 VarArrayHighBound 00be TCollection.Add 00f3 @VarToUStr 0124 @VarToInteger 012e TParam.SetDataType 016f TParam.SetParamType 0273 TParam.SetAsVariant 029d TObject.Free 02a3 @HandleFinally 02be Variant 02c8 @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 22 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 75 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 66 02 00 00 6A 00 6A 01 53 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 84 45 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8C EC 01 00 00 40 89 45 F4 33 F6 56 6A 01 53 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 D0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F8 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 6A 00 6A 01 56 6A 01 53 8D 45 B0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 B0 50 8D 45 C0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 C0 8B 45 F0 83 C0 34 E8 ?? ?? ?? ?? 83 FF 01 7E 36 6A 02 6A 01 56 6A 01 53 8D 45 90 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 90 50 8D 45 A0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 A0 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 83 FF 02 7E 3C 6A 03 6A 01 56 6A 01 53 8D 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 8D 85 70 FF FF FF 50 8D 45 80 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 80 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 83 FF 03 7E 3E 6A 04 6A 01 56 6A 01 53 8D 85 50 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 8D 85 50 FF FF FF 50 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8B 55 F0 89 42 3C 83 FF 04 7E 3E 6A 05 6A 01 56 6A 01 53 8D 85 30 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 8D 85 30 FF FF FF 50 8D 85 40 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 8B 55 F0 89 42 28 83 FF 05 7E 3E 6A 06 6A 01 56 6A 01 53 8D 85 10 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 8D 85 10 FF FF FF 50 8D 85 20 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 8B 55 F0 89 42 2C 6A 01 6A 01 56 6A 01 53 8D 85 F0 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 8D 85 F0 FE FF FF 50 8D 85 00 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 8D 95 00 FF FF FF 8B 45 F0 E8 ?? ?? ?? ?? 46 FF 4D F4 0F 85 1A FE FF FF 8B 55 F8 8B 45 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FE FF FF 8B 15 ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15240_0 {
	meta:
		name = "TCustomRemoteServer.GetServerList"
		size = 78
		refs = "0010 TCustomRemoteServer.GetServerList 001e Null 0028 @OleVarFromVar 003d @VarClr 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15242_0 {
	meta:
		name = "TCustomRemoteServer.GetProviderNames"
		size = 356
		refs = "0019 TCustomRemoteServer.GetProviderNames 0030 @VarClear 0056 @VarClr 0065 @CheckAutoResult 0083 @DispInvoke 0095 @HandleAnyException 009a @DoneExcept 00a2 VarIsArray 00ae VarArrayDimCount 00be VarArrayLowBound 00cd VarArrayHighBound 00e4 @VarArrayGet 00f2 @VarToUStr 011c @UStrClr 0125 Variant 012f @FinalizeArray 0137 @IntfClear 013d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 8B 08 FF 51 58 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 68 83 7D FC 00 74 19 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? EB 1F 68 ?? ?? ?? ?? 8D 55 D8 8B C3 8B 08 FF 51 60 8D 45 D8 50 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 59 8D 45 E8 E8 ?? ?? ?? ?? 48 75 4E 8D 45 E8 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 8D 45 E8 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 2B DE 7C 2C 43 56 6A 01 8D 45 E8 50 8D 45 C4 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 C4 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 0C FF 55 08 46 4B 75 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C2 08 00 01 00 00 41 53 5F 47 65 74 50 72 6F 76 69 64 65 72 4E 61 6D 65 73 00 00 }
	condition:
		$1
}

rule function_15243_0 {
	meta:
		name = "TCustomRemoteServer.GetAppServer"
		size = 19
		refs = "000c @VarCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8D 53 70 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15244_0 {
	meta:
		name = "TCustomRemoteServer.SetAppServer"
		size = 89
		refs = "0018 @VarAddRef 0020 TCustomRemoteServer.SetAppServer 0031 @VarCopy 0046 @VarClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 70 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15245_0 {
	meta:
		name = "TCustomClientDataSet.Create"
		size = 209
		refs = "000e @ClassCreate 001c TDataSet.Create 002c _Dn_TMasterDataLink 0031 TMasterDataLink.Create 0043 TCustomClientDataSet.MasterChanged 004d TCustomClientDataSet.MasterDisabled 0067 _Dn_TParams 006c TParams.Create 007b _DV_TAggregates 0080 TAggregates.Create 008d _Dn_TList 0092 TObject.Create 00af TDataSet.SetObjectView 00bc @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 04 03 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F0 01 00 00 89 5E 2C C7 46 28 ?? ?? ?? ?? 89 5E 34 C7 46 30 ?? ?? ?? ?? C7 83 70 02 00 00 FF FF FF FF C6 83 9B 02 00 00 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 CC 01 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 9C 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 80 01 00 00 C6 83 99 02 00 00 00 C6 83 A8 01 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15246_0 {
	meta:
		name = "TCustomClientDataSet.Destroy"
		size = 167
		refs = "0003 @BeforeDestruction 0019 TDataSet.Destroy 0020 TCustomClientDataSet.ClearSavedPacket 002b FreeDataPacket 0040 TCustomClientDataSet.SetConnectionBroker 0057 TObject.Free 007f TCustomClientDataSet.ClearActiveAggs 00a0 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 86 9D 02 00 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 86 C8 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 91 30 03 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 91 24 03 00 00 8B 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B 86 D0 01 00 00 E8 ?? ?? ?? ?? 8B 86 CC 01 00 00 E8 ?? ?? ?? ?? 8B 86 9C 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 80 01 00 00 E8 ?? ?? ?? ?? 8B 86 84 01 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15247_0 {
	meta:
		name = "TCustomClientDataSet.CreateDSBase"
		size = 88
		refs = "0006 @IntfClear 000d TCustomClientDataSet.CreateDSBase 0012 CLSID_DSBase 0017 CreateDbClientObject 001c DefaultSystemCodePage"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 6A 1B 8B 03 50 8B 00 FF 50 50 6A 01 6A 19 8B 03 50 8B 00 FF 50 50 6A 01 6A 1A 8B 03 50 8B 00 FF 50 50 5B C3 00 A2 2F 8D 9E 1C 59 D0 11 BF 52 00 20 AF 32 BD 64 }
	condition:
		$1
}

rule function_15248_0 {
	meta:
		name = "TCustomClientDataSet.CreateDSCursor"
		size = 164
		refs = "0011 @IntfAddRef 0019 TCustomClientDataSet.CreateDSCursor 0026 @IntfClear 0032 CLSID_DSCursor 0037 CreateDbClientObject 0052 TCustomClientDataSet.Check 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 17 8B 45 FC 50 8B 06 50 8B 00 FF 50 10 8B D0 8B C3 E8 ?? ?? ?? ?? EB 18 8B 83 AC 01 00 00 50 8B 06 50 8B 00 FF 50 0C 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 A4 2F 8D 9E 1C 59 D0 11 BF 52 00 20 AF 32 BD 64 }
	condition:
		$1
}

rule function_15249_0 {
	meta:
		name = "TCustomClientDataSet.SetCommandText"
		size = 321
		refs = "0015 @WStrAddRef 001d TCustomClientDataSet.SetCommandText 0031 @WStrEqual 0045 @WStrAsg 005e _Dn_TParams 0063 TParams.Create 0097 @WStrCopy 00a2 @UStrFromWStr 00b3 TParams.ParseSQL 00c1 TParams.AssignValues 00cc TCollection.Clear 00ef TObject.Free 00f5 @HandleFinally 0117 @UStrClr 011f @WStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A4 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 0F 84 CB 00 00 00 8D 83 A4 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 0F 84 A2 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 FC 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 F0 50 8B CE BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 EC 50 B1 01 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 93 CC 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 83 CC 01 00 00 E8 ?? ?? ?? ?? 8B 83 CC 01 00 00 8B 55 F4 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 83 CC 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15250_0 {
	meta:
		name = "TCustomClientDataSet.SetDisableStringTrim"
		size = 25
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 92 C4 00 00 00 88 9E A8 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15251_0 {
	meta:
		name = "TCustomClientDataSet.SetParams"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 CC 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_15252_0 {
	meta:
		name = "TCustomClientDataSet.SetOptionalParam"
		size = 21
		refs = "000c TCustomClientDataSet.InternalSetOptionalParam"
	strings:
		$1 = { 55 8B EC 53 0F B6 5D 08 53 6A 00 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_38838_0 {
	meta:
		name = "CompressStream"
		size = 21
		refs = "000c DoCompressStreamEx"
	strings:
		$1 = { 55 8B EC 53 0F B6 5D 08 53 6A 00 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_15253_0 {
	meta:
		name = "TCustomClientDataSet.InternalSetOptionalParam"
		size = 929
		refs = "0035 TCustomClientDataSet.InternalSetOptionalParam 007c VarIsArray 00c9 ParamTypeMap 00d3 ParamTypeSize 00e7 VarToStr 00f0 CurrencyString 00f9 @UStrFromWChar 0104 Pos 0134 TryStrToSQLTimeStamp 0157 @VarToWStr 0162 UTF8Encode 016a @LStrToPChar 01a5 VarArrayHighBound 01b4 VarArrayLowBound 01cf TArray<System.Byte> 01d4 @DynArraySetLength 01e7 VarArrayLock 0207 Move 0220 VarArrayUnlock 0226 @HandleFinally 026f @UStrLAsg 0285 @LStrLAsg 02d6 TCustomClientDataSet.Check 0328 SInvalidOptParamType 032d LoadResString 0338 DatabaseError 034d @UStrClr 0355 @WStrClr 0362 @UStrArrayClr 0378 @DynArrayClear 038d @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 33 DB 89 5D A0 89 5D A4 89 5D A8 89 5D AC 89 5D FC 89 5D F0 89 5D F8 89 5D EC 89 5D E8 89 5D F4 89 4D DC 89 55 E0 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 83 B8 AC 01 00 00 00 75 0B 8B 45 E4 8B 10 FF 92 BC 00 00 00 8B 45 DC 0F B7 00 66 25 FF 0F 83 C0 FE 66 83 E8 07 72 0F 66 83 E8 02 74 09 83 C0 FA 66 83 E8 04 73 23 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 04 B0 01 EB 15 8B 45 DC 0F B7 00 66 25 FF 0F 66 83 F8 11 0F 94 C0 EB 02 33 C0 84 C0 0F 84 7F 02 00 00 C6 45 C3 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 55 DC 0F B7 12 8B C2 66 25 FF 0F 0F B7 C0 8B 0C 85 ?? ?? ?? ?? 89 4D D8 8B 04 85 ?? ?? ?? ?? 89 45 D4 66 83 FA 08 75 6A 8D 55 F0 8B 45 DC E8 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? 0F B7 52 08 E8 ?? ?? ?? ?? 8B 45 AC 8B 55 F0 E8 ?? ?? ?? ?? 85 C0 7F 21 8D 45 A8 8B 15 ?? ?? ?? ?? 0F B7 52 06 E8 ?? ?? ?? ?? 8B 45 A8 8B 55 F0 E8 ?? ?? ?? ?? 85 C0 7E 1D 8D 55 B0 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 0E C7 45 D8 08 00 00 00 C7 45 D4 10 00 00 00 83 7D D8 09 75 35 8D 45 A4 8B 55 DC E8 ?? ?? ?? ?? 8B 45 A4 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 40 89 45 D4 E9 CA 00 00 00 8B 45 DC E8 ?? ?? ?? ?? 84 C0 0F 84 9C 00 00 00 C7 45 D8 0B 00 00 00 8B 45 DC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 DC BA 01 00 00 00 E8 ?? ?? ?? ?? 2B D8 43 89 5D D4 8B 45 D4 83 C0 04 50 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 EC 8B 55 D4 89 10 8B 45 DC E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8D 50 04 8B C3 8B 4D D4 E8 ?? ?? ?? ?? 83 45 D4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 5D EC EB 1E 8B 45 DC 0F B7 00 66 25 00 40 66 3D 00 40 75 08 8B 5D DC 8B 5B 08 EB 06 8B 5D DC 83 C3 08 8B 45 D8 C1 E0 10 0B 45 D4 89 45 D8 80 7D 0C 00 74 07 81 4D D8 00 00 00 80 8D 45 E8 8B 55 E0 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8B 75 F8 89 75 C8 8D 45 C4 50 8D 45 CC 50 8D 45 D0 50 8D 45 C8 50 8B 45 08 50 6A 00 8B 45 E4 8B 80 AC 01 00 00 50 8B 00 FF 50 18 66 85 C0 75 21 56 8B 45 08 50 8B 45 E4 8B 80 AC 01 00 00 50 8B 00 FF 90 8C 00 00 00 8B D0 8B 45 E4 E8 ?? ?? ?? ?? 53 8B 45 D4 50 8B 45 D8 50 56 8B 45 08 50 8B 45 E4 8B 80 AC 01 00 00 50 8B 00 FF 50 1C 8B D0 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D C3 00 74 08 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 8B 55 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B0 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_15254_0 {
	meta:
		name = "TCustomClientDataSet.GetOptionalParam"
		size = 25
		refs = "0011 TCustomClientDataSet.InternalGetOptionalParam"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95644_0 {
	meta:
		name = "TCopyParser.SkipTo"
		size = 25
		refs = "0011 TCopyParser.CopySkipTo"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65989_0 {
	meta:
		name = "TDirectory.GetDirectories"
		size = 25
		refs = "0011 TDirectory.GetDirectories"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65997_0 {
	meta:
		name = "TDirectory.GetFiles"
		size = 25
		refs = "0011 TDirectory.GetFiles"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_44197_0 {
	meta:
		name = "TIWCopyParser.SkipTo"
		size = 25
		refs = "0011 TIWCopyParser.CopySkipTo"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48864_0 {
	meta:
		name = "TInvokableClassRegistry.GetInterfaceExternalName"
		size = 25
		refs = "0011 TInvokableClassRegistry.GetInterfaceExternalName"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48867_0 {
	meta:
		name = "TInvokableClassRegistry.GetWSDLEncoding"
		size = 25
		refs = "0011 TInvokableClassRegistry.GetWSDLEncoding"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15255_0 {
	meta:
		name = "TCustomClientDataSet.InternalGetOptionalParam"
		size = 820
		refs = "0021 TCustomClientDataSet.InternalGetOptionalParam 0042 @VarClear 004c @UStrLAsg 0057 UTF8Encode 0062 @LStrLAsg 00d6 VarArrayCreate 00e1 @OleVarFromVar 00e9 VarArrayLock 010a Move 011f VarArrayUnlock 0125 @HandleFinally 01b9 @OleVarFromInt 01fc @VarFromBool 020e @VarFromReal 0232 @VarFromCurr 028c VarSQLTimeStampCreate 02a4 VarSQLTimeStampOffsetCreate 02bc UTF8ToUnicodeString 02c7 @OleVarFromUStr 02e6 @UStrClr 02ef Variant 02f9 @FinalizeArray 0301 @VarClr 0316 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB AC 01 00 00 00 75 0A 8B C3 8B 10 FF 92 BC 00 00 00 8B 45 08 E8 ?? ?? ?? ?? 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 89 45 E4 8D 45 E8 50 8D 45 EC 50 8D 45 F0 50 8D 45 E4 50 57 6A 00 8B 83 AC 01 00 00 50 8B 00 FF 50 18 66 85 C0 0F 85 41 02 00 00 8B 45 F0 25 00 00 3F 00 C1 E8 10 89 45 F0 83 7D F0 0B 74 0F 8B 45 F0 48 83 E8 02 73 7A 83 7D EC 04 76 74 8D 45 D4 50 33 C0 89 45 CC 8B 45 EC 83 E8 04 89 45 D0 8D 45 CC 66 B9 11 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D EC 83 E9 04 8B D0 8B 45 E8 83 C0 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 83 F8 24 0F 87 96 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 01 02 04 05 06 07 08 0B 0B 00 00 00 00 00 00 09 00 00 00 00 00 00 00 00 00 03 00 00 00 00 00 00 00 00 0A ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 EC 48 74 0D 48 74 1F 83 E8 02 74 2F E9 28 01 00 00 8B 45 08 8B 55 E8 0F B6 12 B1 01 E8 ?? ?? ?? ?? E9 13 01 00 00 8B 45 08 8B 55 E8 0F BF 12 B1 FE E8 ?? ?? ?? ?? E9 FE 00 00 00 8B 45 08 8B 55 E8 8B 12 B1 FC E8 ?? ?? ?? ?? E9 EA 00 00 00 8B 45 08 8B 55 E8 0F B7 12 66 F7 DA 1B D2 F7 DA E8 ?? ?? ?? ?? E9 D0 00 00 00 8B 45 E8 D9 00 8B 45 08 E8 ?? ?? ?? ?? E9 BE 00 00 00 8B 45 E8 DD 00 8B 45 08 E8 ?? ?? ?? ?? E9 AC 00 00 00 8B 45 E8 DF 28 8B 45 08 E8 ?? ?? ?? ?? E9 9A 00 00 00 8B 45 08 8B 55 E8 8B 12 81 EA 5A 95 0A 00 B1 FC E8 ?? ?? ?? ?? E9 80 00 00 00 8B 45 E8 DB 00 D8 35 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 6B 8B 45 E8 DD 00 D8 35 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 50 8D 55 BC 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 BC 8B 45 08 E8 ?? ?? ?? ?? EB 38 8D 55 AC 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 AC 8B 45 08 E8 ?? ?? ?? ?? EB 20 8D 55 A8 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 08 E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5F 5E 5B 8B E5 5D C2 04 00 00 80 CB A4 4C A0 55 29 49 }
	condition:
		$1
}

rule function_15256_0 {
	meta:
		name = "CheckCircularLinks"
		size = 258
		refs = "0011 CheckCircularLinks 0073 TComponent.FindComponent 0081 _Dn_TDataSetProvider 0086 @IsClass 00ce SCircularDataLink 00d3 LoadResString 00dc DatabaseError 00f1 @UStrClr 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 75 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 8B 10 FF 92 60 01 00 00 85 C0 0F 84 B3 00 00 00 8B 06 83 78 04 00 0F 84 A7 00 00 00 8B 06 8B 10 FF 92 1C 03 00 00 85 C0 0F 85 95 00 00 00 8B 06 83 B8 68 02 00 00 00 0F 84 86 00 00 00 8B 06 83 B8 00 03 00 00 00 75 7B 8B 06 8B 90 68 02 00 00 8B 06 8B 40 04 E8 ?? ?? ?? ?? 8B D8 85 DB 74 63 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 52 8B 06 8B 10 FF 92 60 01 00 00 83 78 38 00 74 42 83 BB 00 01 00 00 00 74 39 8B 06 8B 10 FF 92 60 01 00 00 8B 40 38 3B 83 00 01 00 00 75 24 8B 06 8B 10 FF 92 60 01 00 00 8B 40 38 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15257_0 {
	meta:
		name = "TCustomClientDataSet.OpenCursor"
		size = 776
		refs = "001b TCustomClientDataSet.OpenCursor 003b CheckCircularLinks 0064 FileExists 007a _Dn_TFileStream 007f TFileStream.Create 009d TCustomClientDataSet.ReadDataPacket 00b2 TObject.Free 00b8 @HandleFinally 00d4 _DV_TCustomClientDataSet 00d9 @AsClass 00ee TDataSet.OpenParentDataSet 00fb @IntfClear 012c TCustomClientDataSet.Check 0147 TFieldDefs.SetHiddenFields 019a PackageParams 01c1 VarToDataPacket 01e9 SNoDataProvider 01ee LoadResString 01f9 DatabaseError 0204 TCustomClientDataSet.CreateDSBase 0214 @IntfCopy 021c TCustomClientDataSet.GetProviderEOF 0247 TDataSet.OpenCursor 028b TCustomClientDataSet.SyncCursors 02af TCustomClientDataSet.ClearSavedPacket 02d6 @UStrClr 02df OleVariant 02e9 @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 9A 02 00 00 01 8B 45 FC C6 80 9D 02 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC 80 B8 99 02 00 00 00 75 72 8B 45 FC 83 B8 E0 01 00 00 00 74 66 8B 45 FC 8B 80 E0 01 00 00 B2 01 E8 ?? ?? ?? ?? 84 C0 74 52 6A 20 8B 45 FC 8B 88 E0 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 98 8C 00 00 00 85 DB 0F 84 81 00 00 00 8B 43 3C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 B0 7C 02 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 AC 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 8C 00 00 00 8B 10 FF 92 A8 00 00 00 50 8B 45 FC 8B 98 7C 02 00 00 8B 83 AC 01 00 00 50 8B 00 FF 50 74 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 7C 02 00 00 8B 40 40 0F B6 50 3C 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? E9 EF 00 00 00 8B 45 FC 83 B8 AC 01 00 00 00 0F 85 DF 00 00 00 8B 45 FC 8B 80 C4 01 00 00 85 C0 74 04 8B F0 EB 70 0F B6 1D ?? ?? ?? ?? 0F B6 C3 50 8B 45 FC 8B 80 A4 01 00 00 50 8D 4D D0 8B 45 FC 8B 80 CC 01 00 00 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 50 8D 45 E0 50 8D 4D F4 8B 45 FC 8B 90 70 02 00 00 8B 45 FC 8B 18 FF 93 E4 02 00 00 8D 45 E0 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 70 02 00 00 3B 45 F4 0F 95 C2 8B 45 FC 8B 08 FF 91 2C 03 00 00 85 F6 75 18 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 8B 55 FC E8 ?? ?? ?? ?? 8D 55 C8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C8 8B 45 FC 05 AC 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? F6 D8 1B C0 50 56 8B 45 FC 8B 80 AC 01 00 00 50 8B 00 FF 50 14 8B D0 8B 45 FC E8 ?? ?? ?? ?? 0F B6 55 FB 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 75 5A 8B 45 FC 83 B8 BC 01 00 00 00 74 4E 8B 45 FC 8B 80 BC 01 00 00 80 B8 A8 00 00 00 00 75 3C 8B 45 FC 8B 80 BC 01 00 00 8B 88 B0 01 00 00 8B 45 FC 8B 90 B0 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 60 FF FF FF FF 0F B6 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 B4 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 9D 02 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 00 01 00 00 00 1F 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15258_0 {
	meta:
		name = "TCustomClientDataSet.DoAfterGetParams"
		size = 31
		altNames = "TCustomForm.DoClose"
	strings:
		$1 = { 53 66 83 B8 FA 02 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 FC 02 00 00 FF 93 F8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_15259_0 {
	meta:
		name = "TCustomClientDataSet.DoBeforeGetParams"
		size = 31
	strings:
		$1 = { 53 66 83 B8 F2 02 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 F4 02 00 00 FF 93 F0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_15260_0 {
	meta:
		name = "TCustomClientDataSet.FetchParams"
		size = 191
		refs = "0016 TCustomClientDataSet.FetchParams 0031 @VarClr 0044 @WStrFromUStr 0063 @CheckAutoResult 0071 UnpackParams 0093 @IntfClear 009b @WStrClr 00a4 OleVariant 00ae @FinalizeArray 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 91 D8 02 00 00 8D 45 E0 E8 ?? ?? ?? ?? 50 8D 45 F0 50 8D 45 DC 8B 93 68 02 00 00 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 55 D8 8B C3 8B 08 FF 91 14 03 00 00 8B 45 D8 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8D 45 E0 8B 93 CC 01 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 91 D4 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15261_0 {
	meta:
		name = "TCustomClientDataSet.Check"
		size = 179
		refs = "0018 TCustomClientDataSet.Check 0062 UTF8ToString 0077 @UStrFromArray 0082 _DV_EDBClient 0087 EDBClient.Create 008c @RaiseExcept 00a1 @UStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 F7 FF FF 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 85 F6 74 69 8D 85 F7 F7 FF FF 50 56 8B 83 AC 01 00 00 50 8B 00 FF 50 44 8D 45 F8 50 6A 1A 8B 83 AC 01 00 00 50 8B 00 FF 50 4C 83 7D F8 00 74 15 8D 4D FC 8D 85 F7 F7 FF FF BA 00 08 00 00 E8 ?? ?? ?? ?? EB 13 8D 45 FC 8D 95 F7 F7 FF FF B9 01 08 00 00 E8 ?? ?? ?? ?? 56 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15262_0 {
	meta:
		name = "TCustomClientDataSet.CloseCursor"
		size = 476
		refs = "0018 TCustomClientDataSet.CloseCursor 0062 FileExists 0075 TCustomClientDataSet.SaveToFile 007c TDataSet.CloseCursor 0083 TCustomClientDataSet.GetHasAppServer 00bb Null 00c6 @OleVarFromVar 00d0 @VarClear 012a @IntfClear 0159 TCustomClientDataSet.SaveDataPacket 0181 TCustomClientDataSet.SetAltRecBuffers 0197 OleVariant 01a1 @FinalizeArray 01a9 @VarClr 01b2 Variant 01ca @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0D 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 C4 01 00 00 00 83 BE AC 01 00 00 00 74 12 8D 45 C4 50 6A 18 8B 86 AC 01 00 00 50 8B 00 FF 50 4C 83 BE E0 01 00 00 00 74 2C F6 46 1C 10 75 26 83 7D C4 00 75 11 B2 01 8B 86 E0 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 0F 33 C9 8B 96 E0 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 A1 00 00 00 F6 46 1C 08 0F 85 C4 00 00 00 8B 86 F0 01 00 00 80 78 15 00 74 27 8B 40 24 83 78 08 00 7E 1E 83 BE 70 02 00 00 00 75 15 8D 45 B4 E8 ?? ?? ?? ?? 8D 55 B4 8D 45 F0 E8 ?? ?? ?? ?? EB 13 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 8D 55 E0 E8 ?? ?? ?? ?? F6 86 B4 01 00 00 08 75 3B 0F B6 05 ?? ?? ?? ?? 88 45 CB 8D 45 D0 E8 ?? ?? ?? ?? 0F B6 45 CB 50 6A 00 8D 45 94 8D 55 D0 E8 ?? ?? ?? ?? 8D 45 94 50 8D 45 A4 50 8D 4D CC 33 D2 8B C6 8B 18 FF 93 E4 02 00 00 8D 86 64 02 00 00 E8 ?? ?? ?? ?? EB 2D 80 BE 9D 02 00 00 00 74 24 83 BE E0 01 00 00 00 75 1B 83 BE 68 02 00 00 00 75 12 83 BE 7C 02 00 00 00 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 BC 01 00 00 33 C0 89 86 7C 02 00 00 6A 00 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 5E 5B 8B E5 5D C3 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_15263_0 {
	meta:
		name = "TCustomClientDataSet.DefChanged"
		size = 8
		altNames = "TToolBar.CanvasChanged"
	strings:
		$1 = { C6 80 9C 02 00 00 01 C3 }
	condition:
		$1
}

rule function_15264_0 {
	meta:
		name = "TCustomClientDataSet.InternalInitFieldDefs"
		size = 217
		refs = "0015 TCustomClientDataSet.InternalInitFieldDefs 0047 TCustomClientDataSet.Check 0059 TFieldDescList 005e @DynArraySetLength 0082 TCollection.Clear 00a5 TCustomClientDataSet.AddFieldDesc 00c8 @DynArrayClear 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 AC FE FF FF 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 0B 8B 83 AC 01 00 00 50 8B 00 FF 50 50 8D 85 AF FE FF FF 50 8B 83 AC 01 00 00 50 8B 00 FF 50 20 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 B4 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 50 8B 83 AC 01 00 00 50 8B 00 FF 50 24 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 33 C0 89 45 F4 C7 45 F8 01 00 00 00 EB 15 8D 45 F8 50 8B 43 40 50 8D 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 3B 45 B4 7C E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15265_0 {
	meta:
		name = "GetTypeName"
		size = 256
		refs = "0012 GetTypeName 0038 TCustomClientDataSet.InternalGetOptionalParam 0040 VarIsNull 004c VarIsClear 005e @VarToUStr 006f TObjectField.GetFieldCount 008a TFields.GetField 0090 _Dn_TObjectField 0095 @IsClass 00cd @VarClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B C3 8B 10 FF 92 A8 00 00 00 8B C8 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 1A 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 0E 8D 83 F8 00 00 00 8D 55 F0 E8 ?? ?? ?? ?? 0F B6 43 48 04 E6 2C 02 73 50 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 42 47 33 F6 8B C3 8B 10 FF 92 34 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 08 50 8B C3 8B 10 FF 92 34 01 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4F 75 C1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 59 00 50 00 45 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_15266_0 {
	meta:
		name = "TCustomClientDataSet.CheckFieldProps"
		size = 872
		refs = "001f TCustomClientDataSet.CheckFieldProps 002c _Dn_TMemoryStream 0031 TObject.Create 004d TFields.GetCount 006f TFields.GetField 0075 _Dn_TObjectField 007a @IsClass 0092 GetTypeName 00bc TCustomClientDataSet.InternalGetOptionalParam 00c4 VarIsNull 00d0 VarIsClear 00f3 VarToStr 00fc @UStrAsg 0159 @VarToInteger 01ad VarIsArray 01c2 VarArrayHighBound 01cd TStream.SetSize64 01d5 VarArrayLock 01f1 TStream.SetPosition 0225 VarArrayUnlock 022b @HandleFinally 0235 Null 0244 _DV_TPropReader 0249 TFiler.Create 0264 TReader.CheckValue 027e TReader.ReadProperty 0286 TReader.EndOfList 029f TMemoryStream.Clear 02a7 TObject.Free 02ed @UStrClr 02f5 @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 33 D2 89 55 D4 89 55 E8 89 55 EC 89 55 F0 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 65 02 00 00 40 89 45 D8 C7 45 DC 00 00 00 00 8B 45 FC 8B 40 38 8B 55 DC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 55 8B 45 FC 8B 40 38 8B 55 DC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 45 E8 50 8B 45 FC 8B 40 38 8B 55 DC E8 ?? ?? ?? ?? 8B 10 FF 92 A8 00 00 00 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 34 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 28 8B 45 FC 8B 40 38 8B 55 DC E8 ?? ?? ?? ?? 05 98 00 00 00 50 8D 55 D4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 D4 58 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 FC 8B 40 38 8B 55 DC E8 ?? ?? ?? ?? 8B 10 FF 92 A8 00 00 00 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 2B 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 1F 8B 45 FC 8B 40 38 8B 55 DC E8 ?? ?? ?? ?? 05 9C 00 00 00 50 8D 45 E8 E8 ?? ?? ?? ?? 5A 88 02 8D 45 E8 50 8B 45 FC 8B 40 38 8B 55 DC E8 ?? ?? ?? ?? 8B 10 FF 92 A8 00 00 00 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 85 1A 01 00 00 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 85 0A 01 00 00 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 84 FA 00 00 00 8D 45 E8 BA 01 00 00 00 E8 ?? ?? ?? ?? 99 52 50 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 8B 10 FF 12 8B C8 8B D3 8B 45 E4 8B 18 FF 53 10 6A 00 6A 00 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 E8 E8 ?? ?? ?? ?? 68 00 04 00 00 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 B2 01 E8 ?? ?? ?? ?? EB 18 8B 45 FC 8B 40 38 8B 55 DC E8 ?? ?? ?? ?? 8B D0 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 74 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 FF 45 DC FF 4D D8 0F 85 A6 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 52 00 49 00 47 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 52 00 4F 00 56 00 46 00 4C 00 41 00 47 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 49 00 45 00 4C 00 44 00 50 00 52 00 4F 00 50 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_15267_0 {
	meta:
		name = "GetBoolParam"
		size = 130
		refs = "0010 GetBoolParam 0026 TCustomClientDataSet.GetOptionalParam 002e VarIsNull 003a VarIsClear 0058 @VarToBool 006f @VarClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 16 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 0A 66 83 7D F0 0B 0F 94 C0 EB 02 33 C0 8B D8 84 DB 74 0A 8D 45 F0 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15268_0 {
	meta:
		name = "TCustomClientDataSet.InternalOpen"
		size = 1128
		refs = "002f TCustomClientDataSet.InternalOpen 0054 TCustomClientDataSet.CreateDSCursor 0066 @IntfCopy 007f TCustomClientDataSet.SetupInternalCalcFields 00fd TCustomClientDataSet.Check 0117 GetBoolParam 01b4 TArray<System.Byte> 01b9 @DynArraySetLength 01dc TFieldDefs.Update 01e6 TFlatList.Update 01ed TCustomClientDataSet.GetIndexDefs 01fa TCustomClientDataSet.GetIndexInfo 0222 TCustomClientDataSet.CheckFieldProps 0229 TCustomClientDataSet.AllocKeyBuffers 025e TCustomClientDataSet.CalcFieldsCallBack 0288 @WStrEqual 02ac @UStrFromWStr 02c1 TCustomClientDataSet.SortOnFields 02e3 TCustomClientDataSet.SwitchToIndex 02ea TCustomClientDataSet.CheckMasterRange 0334 TCustomClientDataSet.ResetAllAggs 0346 TCustomClientDataSet.ActivateFilters 034f TCustomClientDataSet.InitBufferPointers 0376 TCustomClientDataSet.SetupConstraints 0393 @UStrArrayClr 039f IDSCursor 03a9 @FinalizeArray 03af @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 A4 FE FF FF 53 56 33 D2 89 95 A4 FE FF FF 89 95 A8 FE FF FF 89 95 AC FE FF FF 89 95 B0 FE FF FF 89 45 FC 8D 5D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B B0 BC 01 00 00 85 F6 74 27 8D 8D B0 FE FF FF 8B 96 B0 01 00 00 8B 03 E8 ?? ?? ?? ?? 8B 95 B0 FE FF FF 8B 03 05 B0 01 00 00 E8 ?? ?? ?? ?? EB 38 8B 03 8B 10 FF 92 18 03 00 00 84 C0 75 09 B2 01 8B 03 E8 ?? ?? ?? ?? 8D 8D AC FE FF FF 33 D2 8B 03 E8 ?? ?? ?? ?? 8B 95 AC FE FF FF 8B 03 05 B0 01 00 00 E8 ?? ?? ?? ?? 8B 03 83 B8 8C 00 00 00 00 74 52 8B 03 8B B0 7C 02 00 00 80 BE A5 00 00 00 00 75 1A 8B 86 B0 01 00 00 50 8B 00 FF 50 38 6A 01 8B 86 B0 01 00 00 50 8B 00 FF 50 40 8B 03 8B 80 B0 01 00 00 50 6A 00 6A 00 6A 00 8B 86 B0 01 00 00 50 8B 00 FF 90 CC 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 03 0F B6 15 ?? ?? ?? ?? 88 90 B4 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 09 8B 03 80 88 B4 01 00 00 04 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 09 8B 03 80 88 B4 01 00 00 01 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 09 8B 03 80 88 B4 01 00 00 02 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 09 8B 03 80 88 B4 01 00 00 08 8D 85 B7 FE FF FF 50 8B 03 8B 80 B0 01 00 00 50 8B 00 FF 50 14 8B D0 8B 03 E8 ?? ?? ?? ?? 8B 03 8B 55 C0 89 90 84 02 00 00 8B 03 8B 75 C4 89 70 6C 56 8B 03 05 EC 01 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 C8 83 F8 01 1B C0 F7 D8 8B 13 88 82 96 02 00 00 8B 03 8B 40 40 C6 40 20 00 E8 ?? ?? ?? ?? 8B 03 8B 40 44 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? C6 40 20 00 33 D2 8B 03 E8 ?? ?? ?? ?? 8B 03 80 B8 AE 00 00 00 00 74 0A 8B 03 8B 10 FF 92 D8 00 00 00 B2 01 8B 03 8B 08 FF 91 B4 00 00 00 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 03 8B 80 B0 01 00 00 50 8B 00 FF 50 38 8B 03 83 B8 BC 01 00 00 00 0F 85 00 01 00 00 8B 03 80 B8 AC 00 00 00 00 74 28 8B 03 F6 40 1C 10 75 20 B8 ?? ?? ?? ?? 50 8B 03 50 8B 03 8B 80 AC 01 00 00 50 8B 00 FF 50 54 8B D0 8B 03 E8 ?? ?? ?? ?? 8B 03 8B 80 D4 01 00 00 33 D2 E8 ?? ?? ?? ?? 74 59 8B 03 80 B8 95 02 00 00 00 74 2E 6A 00 6A 00 8D 85 A8 FE FF FF 8B 13 8B 92 D4 01 00 00 E8 ?? ?? ?? ?? 8B 8D A8 FE FF FF 8B 03 8B 90 B0 01 00 00 8B 03 E8 ?? ?? ?? ?? EB 20 8D 85 A4 FE FF FF 8B 13 8B 92 D4 01 00 00 E8 ?? ?? ?? ?? 8B 95 A4 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 03 80 B8 A8 01 00 00 00 74 12 6A 01 6A 17 8B 03 8B 80 AC 01 00 00 50 8B 00 FF 50 50 8B 03 80 B8 94 02 00 00 00 74 12 6A 01 6A 01 8B 03 8B 80 AC 01 00 00 50 8B 00 FF 50 50 8B 03 0F B6 90 A0 01 00 00 8B 03 E8 ?? ?? ?? ?? 8B 03 80 B8 B0 00 00 00 00 74 07 8B 03 E8 ?? ?? ?? ?? 33 D2 8B 03 E8 ?? ?? ?? ?? 8B 03 83 B8 8C 00 00 00 00 74 15 8B 03 80 B8 9B 02 00 00 00 74 0A 8B 03 8B 10 FF 92 04 03 00 00 8B 03 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A4 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 AC FE FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5E 5B 8B E5 5D C3 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 49 00 53 00 41 00 42 00 4C 00 45 00 5F 00 45 00 44 00 49 00 54 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 49 00 53 00 41 00 42 00 4C 00 45 00 5F 00 49 00 4E 00 53 00 45 00 52 00 54 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 49 00 53 00 41 00 42 00 4C 00 45 00 5F 00 44 00 45 00 4C 00 45 00 54 00 45 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4E 00 4F 00 5F 00 52 00 45 00 53 00 45 00 54 00 5F 00 43 00 41 00 4C 00 4C 00 00 00 }
	condition:
		$1
}

rule function_15269_0 {
	meta:
		name = "TCustomClientDataSet.InternalClose"
		size = 135
		refs = "000f TCustomClientDataSet.DeactivateFilters 0016 TCustomClientDataSet.FreeKeyBuffers 002d TCustomClientDataSet.SetupInternalCalcFields 0053 TCustomClientDataSet.CloseAggs 006f @IntfClear"
	strings:
		$1 = { 53 8B D8 80 BB B0 00 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 18 03 00 00 84 C0 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 B4 00 00 00 80 BB AE 00 00 00 00 74 0A 8B C3 8B 10 FF 92 EC 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 5C 02 00 00 66 C7 83 80 02 00 00 00 00 8D 83 B0 01 00 00 E8 ?? ?? ?? ?? 8D 83 B8 01 00 00 E8 ?? ?? ?? ?? C6 83 98 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_15270_0 {
	meta:
		name = "TCustomClientDataSet.InternalRefresh"
		size = 441
		refs = "0019 TCustomClientDataSet.InternalRefresh 0026 TDataSet.CheckBrowseMode 002d TCustomClientDataSet.GetChangeCount 0043 SRefreshError 0048 LoadResString 0052 DatabaseError 00b8 TCustomClientDataSet.GetProviderEOF 00de @VarClear 00e5 Options 00f3 @OleVarFromVar 0112 VarToDataPacket 0166 TCustomClientDataSet.Check 018c OleVariant 0196 @FinalizeArray 019e @UStrClr 01a6 @VarClr 01ac @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 FA 00 75 07 83 F8 00 76 1B EB 02 7E 17 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B D6 E8 ?? ?? ?? ?? 8B 86 F0 01 00 00 80 78 15 00 74 43 8B 40 24 83 78 08 00 7E 3A 83 BE 8C 00 00 00 00 75 09 83 BE 70 02 00 00 FF 74 28 8B 86 AC 01 00 00 50 8B 00 FF 50 6C 80 BE 9B 02 00 00 00 0F 84 E4 00 00 00 8B C6 8B 10 FF 92 04 03 00 00 E9 D5 00 00 00 8D 45 EC 50 8B 86 B0 01 00 00 50 8B 00 FF 50 2C 8B C6 E8 ?? ?? ?? ?? 84 C0 75 17 8D 45 E8 50 6A 05 8B 86 AC 01 00 00 50 8B 00 FF 50 4C 8B 7D E8 EB 03 83 CF FF 8D 45 F0 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 8D 45 BC 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 BC 50 8D 45 CC 50 8D 4D E4 8B D7 8B C6 8B 18 FF 93 E4 02 00 00 8D 45 CC E8 ?? ?? ?? ?? 89 45 E0 3B 7D E4 0F 95 C2 8B C6 8B 08 FF 91 2C 03 00 00 8B 86 AC 01 00 00 50 8B 00 FF 50 6C 6A 00 6A 04 8B 86 AC 01 00 00 50 8B 00 FF 50 50 8B C6 E8 ?? ?? ?? ?? F6 D8 1B C0 50 8B 45 E0 50 8B 86 AC 01 00 00 50 8B 00 FF 50 14 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 86 B0 01 00 00 50 8B 00 FF 50 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15271_0 {
	meta:
		name = "TCustomClientDataSet.IsCursorOpen"
		size = 11
	strings:
		$1 = { 83 B8 B0 01 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_15273_0 {
	meta:
		name = "TCustomClientDataSet.GetData"
		size = 97
		refs = "000a TDataSet.GetActive 0015 TDataSet.CheckBrowseMode 003b TCustomClientDataSet.Check 004a SafeArrayCopy 004f SafeArrayCheck 0059 DataPacketToVariant"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2F 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 13 8B 83 AC 01 00 00 50 8B 00 FF 50 50 54 8B 83 AC 01 00 00 50 8B 00 FF 50 30 8B D0 8B C3 E8 ?? ?? ?? ?? EB 12 54 8B 83 C4 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 04 24 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_15274_0 {
	meta:
		name = "TCustomClientDataSet.SetData"
		size = 73
		refs = "0010 TDataSet.Close 0017 TCustomClientDataSet.ClearSavedPacket 001e VarIsNull 0030 VarToDataPacket 0036 SafeArrayCopy 003b SafeArrayCheck 0042 TDataSet.Open"
	strings:
		$1 = { 53 56 8B F2 8B D8 C6 83 9D 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 20 8D 83 C4 01 00 00 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15275_0 {
	meta:
		name = "TCustomClientDataSet.GetXMLData"
		size = 185
		refs = "0016 TCustomClientDataSet.GetXMLData 0023 TDataSet.GetActive 002e TDataSet.CheckBrowseMode 0057 TCustomClientDataSet.Check 0062 DataPacketToVariant 006d VariantArrayToString 0078 UTF8ToUnicodeString 0082 @UStrAsg 0097 @VarClr 009f @UStrClr 00a7 @LStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5B 8B C3 E8 ?? ?? ?? ?? 6A 0D 6A 13 8B 83 AC 01 00 00 50 8B 00 FF 50 50 8D 45 E4 50 8B 83 AC 01 00 00 50 8B 00 FF 50 30 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 E4 E8 ?? ?? ?? ?? 8D 55 FC 8D 45 E8 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15276_0 {
	meta:
		name = "TCustomClientDataSet.SetXMLData"
		size = 224
		refs = "0016 TCustomClientDataSet.SetXMLData 003f @UStrCopy 004c @UStrEqual 0066 @UStrCat3 0071 UTF8Encode 0088 StringToVariantArray 0092 TCustomClientDataSet.SetData 00a7 @VarClr 00b4 @UStrArrayClr 00bc @LStrClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 85 C0 74 05 83 E8 04 8B 00 48 7E 27 8D 45 F8 50 B9 01 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 95 C0 EB 02 33 C0 84 C0 74 1C 8D 45 F4 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8D 55 FC E8 ?? ?? ?? ?? EB 0A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 FF FE 00 00 }
	condition:
		$1
}

rule function_15277_0 {
	meta:
		name = "TCustomClientDataSet.ClearSavedPacket"
		size = 11
		refs = "0006 FreeDataPacket"
	strings:
		$1 = { 05 C4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15278_0 {
	meta:
		name = "TCustomClientDataSet.SaveDataPacket"
		size = 83
		refs = "001b StreamMode 0031 TCustomClientDataSet.ClearSavedPacket 004d TCustomClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 83 BB AC 01 00 00 00 74 45 83 BB 8C 00 00 00 00 75 3C 0F B6 C2 8B 04 85 ?? ?? ?? ?? 50 6A 13 8B 83 AC 01 00 00 50 8B 00 FF 50 50 8B C3 E8 ?? ?? ?? ?? 8D 83 C4 01 00 00 50 8B 83 AC 01 00 00 50 8B 00 FF 50 30 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15279_0 {
	meta:
		name = "TCustomClientDataSet.GetDataSize"
		size = 86
		refs = "0015 TDataSet.GetActive 0022 TCustomClientDataSet.SaveDataPacket 002d DataPacketSize 0036 TCustomClientDataSet.ClearSavedPacket"
	strings:
		$1 = { 53 56 8B D8 83 BB 8C 00 00 00 00 74 05 83 CE FF EB 3F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 83 C4 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? EB 15 8B 83 C4 01 00 00 85 C0 74 09 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15280_0 {
	meta:
		name = "TCustomClientDataSet.FetchMoreData"
		size = 192
		refs = "001b TCustomClientDataSet.FetchMoreData 003c @VarClear 004b @OleVarFromVar 009b OleVariant 00a5 @FinalizeArray 00ad @VarClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 05 83 CE FF EB 06 8B B7 70 02 00 00 85 F6 74 51 8D 45 F0 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 CC 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 CC 50 8D 45 DC 50 8D 4D EC 8B D6 8B C7 8B 18 FF 93 E4 02 00 00 8D 55 DC 3B 75 EC 0F 95 C1 8B C7 8B 18 FF 93 00 03 00 00 3B 75 EC 0F 95 C2 8B C7 8B 08 FF 91 2C 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15281_0 {
	meta:
		name = "TCustomClientDataSet.InternalFetch"
		size = 336
		refs = "001a TCustomClientDataSet.InternalFetch 003a TDataSet.UpdateCursorPos 007c TCustomClientDataSet.Check 0087 DataPacketToVariant 00b7 @VarCopy 00c6 VarToDataPacket 00e6 TDataSet.GetActive 0131 @VarClr 013f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 88 55 EF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB B0 01 00 00 00 75 0A 8B C3 8B 10 FF 92 BC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 50 6A FF F6 45 EF 04 0F 95 C0 F6 D8 1B C0 50 F6 45 EF 02 0F 95 C0 F6 D8 1B C0 50 F6 45 EF 01 0F 95 C0 F6 D8 1B C0 50 8B 83 B0 01 00 00 50 8B 00 FF 90 DC 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 8B F3 EB 02 8B F0 8B 86 7C 02 00 00 85 C0 75 F4 8D 45 D8 50 0F B6 4D EF 8D 55 F0 8B C6 8B 30 FF 96 F0 02 00 00 8D 55 D8 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 83 B0 01 00 00 50 8B 00 FF 90 E0 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 8B C3 8B 50 5C 8B 40 64 8B 04 90 50 8B 83 B0 01 00 00 50 8B 00 FF 50 20 0F B6 05 ?? ?? ?? ?? 3A 45 EF 75 0E 33 C9 B2 02 8B C3 8B 18 FF 93 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_15282_0 {
	meta:
		name = "TCustomClientDataSet.FetchBlobs"
		size = 20
		refs = "0003 TCustomClientDataSet.FetchBlobs 0008 TCustomClientDataSet.InternalFetch"
	strings:
		$1 = { 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_15283_0 {
	meta:
		name = "TCustomClientDataSet.FetchDetails"
		size = 20
		refs = "0003 TCustomClientDataSet.FetchDetails 0008 TCustomClientDataSet.InternalFetch"
	strings:
		$1 = { 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_15284_0 {
	meta:
		name = "TCustomClientDataSet.RefreshRecord"
		size = 44
		refs = "0006 TCustomClientDataSet.RefreshRecord 000d TCustomClientDataSet.InternalFetch"
	strings:
		$1 = { 56 8B F0 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 5E C3 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15285_0 {
	meta:
		name = "TCustomClientDataSet.CheckProviderEOF"
		size = 57
		refs = "0006 TCustomClientDataSet.GetHasAppServer 0011 TCustomClientDataSet.GetProviderEOF"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 29 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1E 80 BB 9B 02 00 00 00 74 15 83 BB 70 02 00 00 00 74 0C B2 01 8B C3 8B 08 FF 91 10 03 00 00 5B C3 }
	condition:
		$1
}

rule function_15286_0 {
	meta:
		name = "TCustomClientDataSet.AddDataPacket"
		size = 49
		refs = "0013 VarToDataPacket 0029 TCustomClientDataSet.Check"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 80 FB 01 F5 1B C0 50 8B C6 E8 ?? ?? ?? ?? 50 8B 87 AC 01 00 00 50 8B 00 FF 50 14 8B D0 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15287_0 {
	meta:
		name = "TCustomClientDataSet.AppendData"
		size = 128
		refs = "000c TDataSet.GetActive 0019 TCustomClientDataSet.SetData 0057 TDataSet.First 0060 TDataSet.UpdateCursorPos 0067 TCustomClientDataSet.AppendData"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B D7 8B C6 E8 ?? ?? ?? ?? 84 DB 75 54 6A 00 6A 04 8B 86 AC 01 00 00 50 8B 00 FF 50 50 EB 42 8B D7 8B CB 8B C6 8B 18 FF 93 00 03 00 00 80 BE A5 00 00 00 01 75 2B 8B C6 8B 50 5C 3B 50 58 7C 09 8B C6 E8 ?? ?? ?? ?? EB 18 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15288_0 {
	meta:
		name = "TCustomClientDataSet.GetNextPacket"
		size = 296
		refs = "0018 TCustomClientDataSet.GetNextPacket 002f TCustomClientDataSet.GetProviderEOF 0044 TDataSet.UpdateCursorPos 007c @VarClear 008b @OleVarFromVar 00fc OleVariant 0106 @FinalizeArray 010e @VarClr 0114 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 92 BC 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 33 C0 89 45 EC E9 A9 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 BE 70 02 00 00 00 75 27 8B 86 F0 01 00 00 80 78 15 00 74 1B 8B 86 F0 01 00 00 8B 40 24 83 78 08 00 7E 0C 8B C6 8B 10 FF 92 04 03 00 00 EB 61 8D 45 F0 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 CC 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 CC 50 8D 45 DC 50 8D 4D EC 8B 96 70 02 00 00 8B C6 8B 18 FF 93 E4 02 00 00 8D 55 DC 8B 45 EC 3B 86 70 02 00 00 0F 95 C1 8B C6 8B 18 FF 93 00 03 00 00 8B 45 EC 3B 86 70 02 00 00 0F 95 C2 8B C6 8B 08 FF 91 2C 03 00 00 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 EC 5E 5B 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_15289_0 {
	meta:
		name = "TCustomClientDataSet.SetProviderName"
		size = 69
		refs = "000f @UStrEqual 0026 TCustomClientDataSet.ClearSavedPacket 0031 @IntfClear 003e @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 68 02 00 00 E8 ?? ?? ?? ?? 74 2D 85 F6 74 11 8B C3 8B 10 FF 92 C4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 64 02 00 00 E8 ?? ?? ?? ?? 8D 83 68 02 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15290_0 {
	meta:
		name = "TCustomClientDataSet.SetProvider"
		size = 126
		refs = "000a _Dn_TCustomProvider 000f @IsClass 001c _Dn_TLocalAppServer 0021 TLocalAppServer.Create 003f _Dn_TDataSet"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B C6 8B 08 FF 91 24 03 00 00 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B C6 8B 08 FF 91 24 03 00 00 EB 0C 33 D2 8B C6 8B 08 FF 91 24 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15291_0 {
	meta:
		name = "TCustomClientDataSet.GetAppServer"
		size = 400
		refs = "0014 TCustomClientDataSet.GetAppServer 0021 TCustomClientDataSet.GetHasAppServer 0064 @IntfCopy 009f TComponent.FindComponent 00ad _Dn_TCustomProvider 00b2 @IsClass 00c2 GetObjectProperty 00d2 SNoCircularReference 00d7 LoadResString 00e1 DatabaseError 00ea _Dn_TLocalAppServer 00ef TLocalAppServer.Create 0116 SNoDataProvider 014c @UStrArrayClr 0155 IAppServer 015f @FinalizeArray 0165 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 FC 00 00 00 83 BB 68 02 00 00 00 0F 84 CD 00 00 00 8B C3 8B 10 FF 92 1C 03 00 00 85 C0 74 25 8B C3 8B 10 FF 92 1C 03 00 00 8D 55 FC 8B 08 FF 51 68 8B 55 FC 8D 83 64 02 00 00 E8 ?? ?? ?? ?? E9 9A 00 00 00 8B BB 00 03 00 00 85 FF 74 1A 8D 55 F8 8B C7 8B 08 FF 51 68 8B 55 F8 8D 83 64 02 00 00 E8 ?? ?? ?? ?? EB 76 8B 43 04 85 C0 74 6F 8B 93 68 02 00 00 E8 ?? ?? ?? ?? 8B F8 85 FF 74 5E 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4D BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 C0 74 1B 3B D8 75 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B D3 E8 ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8D 83 64 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B D3 E8 ?? ?? ?? ?? 8B C6 8B 93 64 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_15292_0 {
	meta:
		name = "TCustomClientDataSet.GetHasAppServer"
		size = 11
	strings:
		$1 = { 83 B8 64 02 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_15293_0 {
	meta:
		name = "TCustomClientDataSet.SetAppServer"
		size = 92
		refs = "000e @IntfAddRef 0016 TCustomClientDataSet.SetAppServer 002a @IntfCopy 0037 TCustomClientDataSet.ClearSavedPacket 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 64 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15294_0 {
	meta:
		name = "TCustomClientDataSet.SetProviderEOF"
		size = 46
	strings:
		$1 = { 56 57 51 88 14 24 8B F0 0F B6 04 24 88 86 9A 02 00 00 8B BE BC 01 00 00 85 FF 74 0E 0F B6 14 24 8B C7 8B 08 FF 91 2C 03 00 00 5A 5F 5E C3 }
	condition:
		$1
}

rule function_15295_0 {
	meta:
		name = "TCustomClientDataSet.GetProviderEOF"
		size = 37
		refs = "0011 TCustomClientDataSet.GetProviderEOF"
	strings:
		$1 = { 53 56 8B D8 8B B3 BC 01 00 00 85 F6 74 0D 8B C6 E8 ?? ?? ?? ?? 88 83 9A 02 00 00 0F B6 83 9A 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15296_0 {
	meta:
		name = "TCustomClientDataSet.GetRemoteServer"
		size = 7
	strings:
		$1 = { 8B 80 6C 02 00 00 C3 }
	condition:
		$1
}

rule function_15297_0 {
	meta:
		name = "TCustomClientDataSet.SetRemoteServer"
		size = 123
		refs = "0020 TCustomClientDataSet.SetConnectionBroker 0065 TCustomClientDataSet.ClearSavedPacket 006e TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 6C 02 00 00 74 6A 85 F6 74 12 83 BB 00 03 00 00 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 24 03 00 00 8B 83 6C 02 00 00 85 C0 74 07 8B D3 8B 08 FF 51 5C 89 B3 6C 02 00 00 85 F6 74 27 8B C3 8B 10 FF 92 C4 00 00 00 6A 00 6A 00 8B D3 8B C6 8B 08 FF 51 54 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 89 B3 6C 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15298_0 {
	meta:
		name = "TCustomClientDataSet.Notification"
		size = 114
		refs = "0010 TComponent.Notification 0047 TCustomClientDataSet.GetProviderEOF"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1A 8B C7 8B 10 FF 92 1C 03 00 00 3B F0 75 0C 33 D2 8B C7 8B 08 FF 91 30 03 00 00 80 FB 01 75 21 3B B7 BC 01 00 00 75 19 8B 87 BC 01 00 00 E8 ?? ?? ?? ?? 88 87 9A 02 00 00 33 C0 89 87 BC 01 00 00 80 FB 01 75 10 3B B7 00 03 00 00 75 08 33 C0 89 87 00 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15299_0 {
	meta:
		name = "TCustomClientDataSet.DataEvent"
		size = 97
		refs = "0024 TCustomClientDataSet.MasterChanged 0033 TCustomClientDataSet.SetAltRecBuffers 0059 TDataSet.DataEvent"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B C3 04 FE 2C 02 72 19 2C 05 74 24 2C 02 74 06 FE C8 74 25 EB 33 8B D6 8B C6 E8 ?? ?? ?? ?? EB 28 6A 00 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? EB 19 C6 86 88 01 00 00 00 EB 10 85 FF 75 0C 33 D2 8B C6 8B 08 FF 91 24 03 00 00 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15300_0 {
	meta:
		name = "TCustomClientDataSet.GetDelta"
		size = 170
		refs = "0015 TCustomClientDataSet.GetDelta 0022 TDataSet.CheckBrowseMode 002a @IntfClear 0040 TCustomClientDataSet.Check 004b FreeDataPacket 0074 SafeArrayCopy 0079 SafeArrayCheck 0083 DataPacketToVariant 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 8B 83 AC 01 00 00 50 8B 00 FF 50 2C 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 83 C8 01 00 00 E8 ?? ?? ?? ?? 8D 83 C8 01 00 00 50 8B 45 FC 50 8B 00 FF 50 30 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 83 C8 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15301_0 {
	meta:
		name = "TCustomClientDataSet.Execute"
		size = 100
		refs = "0010 TCustomClientDataSet.Execute 002b PackageParams 004d @VarClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 0F B6 15 ?? ?? ?? ?? 8B 83 CC 01 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 91 FC 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 1F 00 00 00 }
	condition:
		$1
}

rule function_15302_0 {
	meta:
		name = "TCustomClientDataSet.ExecuteCommand"
		size = 336
		refs = "0018 TCustomClientDataSet.ExecuteCommand 0028 @UStrLAsg 005c CompareText 00cf TCustomClientDataSet.CancelUpdates 00e9 @UStrArrayClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 1C 8B 45 08 40 48 75 04 8B 07 EB 03 83 C8 FF 8B D0 8B C6 8B 08 FF 91 34 03 00 00 EB 4E 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 41 00 70 00 70 00 6C 00 79 00 55 00 70 00 64 00 61 00 74 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 61 00 6E 00 63 00 65 00 6C 00 55 00 70 00 64 00 61 00 74 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_15303_0 {
	meta:
		name = "TCustomClientDataSet.DataRequest"
		size = 169
		refs = "0022 @VarAddRef 002a TCustomClientDataSet.DataRequest 0037 @VarClr 0052 @WStrFromUStr 0071 @CheckAutoResult 0086 @IntfClear 008e @WStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 8B F2 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 45 EC 8B 93 68 02 00 00 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E8 8B C3 8B 08 FF 91 14 03 00 00 8B 45 E8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15304_0 {
	meta:
		name = "TCustomClientDataSet.ApplyUpdates"
		size = 174
		refs = "001a TCustomClientDataSet.ApplyUpdates 0027 TDataSet.CheckBrowseMode 003c TCustomClientDataSet.GetChangeCount 005f TCustomClientDataSet.GetDelta 0079 TCustomClientDataSet.Reconcile 008f OleVariant 0099 @FinalizeArray 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? EB 02 8B D8 8B 83 7C 02 00 00 85 C0 75 F4 8B C3 E8 ?? ?? ?? ?? 83 FA 00 75 0C 83 F8 00 75 07 33 C0 89 45 F8 EB 2C 8D 45 F8 50 8D 45 E8 50 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8D 55 D8 8B 4D FC 8B C3 8B 30 FF 96 D0 02 00 00 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15305_0 {
	meta:
		name = "TCustomClientDataSet.MergeChangeLog"
		size = 52
		refs = "0006 TDataSet.CheckBrowseMode 0019 TDataSet.UpdateCursorPos 0020 TCustomClientDataSet.MergeChangeLog"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 AC 01 00 00 50 8B 00 FF 50 34 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 5E C3 00 00 00 00 }
	condition:
		$1
}

rule function_15306_0 {
	meta:
		name = "TCustomClientDataSet.SetAltRecBuffers"
		size = 28
	strings:
		$1 = { 55 8B EC 89 90 54 02 00 00 89 88 50 02 00 00 8B 55 08 89 90 58 02 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_15307_0 {
	meta:
		name = "TCustomClientDataSet.ReconcileCallback"
		size = 494
		refs = "001b TCustomClientDataSet.ReconcileCallback 006f TDataSet.First 007a @UStrFromPChar 009d _DV_EReconcileError 00a2 EReconcileError.Create 00cd TFields.FieldByNumber 00d3 _Dn_TDataSetField 00d8 @AsClass 00dd TDataSetField.GetNestedDataSet 00fc TCustomClientDataSet.SetAltRecBuffers 0174 TObject.Free 017a @HandleFinally 018b @HandleAnyException 0190 ApplicationHandleException 01ae @DoneExcept 01d7 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C0 89 45 E4 89 45 E0 8B 7D 34 8B 45 10 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 08 C6 82 97 02 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 3C 02 75 06 C6 45 FE 02 EB 0E 3C 04 75 06 C6 45 FE 01 EB 04 C6 45 FE 00 83 7D 14 01 75 06 C6 45 FF 00 EB 04 C6 45 FF 01 8B 45 08 8B 80 C0 01 00 00 E8 ?? ?? ?? ?? 8D 45 E4 8B 55 20 E8 ?? ?? ?? ?? 8B 45 E4 50 0F B7 45 18 50 0F B7 45 0C 50 8D 45 E0 8B 55 1C E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 98 C0 01 00 00 8B 75 30 85 F6 7E 22 8B 17 8B 43 38 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 C7 04 4E 75 DE 80 7D FE 02 75 13 8B 45 2C 50 8B 4D 28 8B 55 24 8B C3 E8 ?? ?? ?? ?? EB 11 8B 45 2C 50 8B 4D 24 8B 55 28 8B C3 E8 ?? ?? ?? ?? 89 5D E8 0F B6 45 FE 88 45 EC 8B 45 F8 89 45 F0 8D 45 FF 89 45 F4 8D 4D E8 B2 0D 8B 45 08 8B 30 FF 96 E4 00 00 00 8B 45 08 66 83 B8 A2 02 00 00 00 74 1D 0F B6 45 FE 50 8D 45 FF 50 8B 75 08 8B 4D F8 8B D3 8B 86 A4 02 00 00 FF 96 A0 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 28 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 66 83 78 02 00 74 0E 8B 1D ?? ?? ?? ?? 8B 55 08 8B 43 04 FF 13 C6 45 FF 01 E8 ?? ?? ?? ?? 0F B6 5D FF 43 8B 45 08 C6 80 97 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule function_15308_0 {
	meta:
		name = "AddFieldProps"
		size = 367
		refs = "001d AddFieldProps 0039 TDataSet.Open 0044 TFields.GetCount 0066 TFields.GetField 0071 TDataSet.FindField 0096 FieldPropNames 00a4 GetPropInfo 00b7 GetPropValue 00bf VarIsNull 00de @VarCmpNE 00ed SetPropValue 010e _Dn_TDataSetField 0113 @AsClass 0118 TDataSetField.GetNestedDataSet 0154 @VarClr 0162 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 50 08 8B 45 EC 8B 08 FF 51 24 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8B 40 38 E8 ?? ?? ?? ?? 48 85 C0 0F 8C F2 00 00 00 40 89 45 DC C7 45 E4 00 00 00 00 8B 45 EC 8B 40 38 8B 55 E4 E8 ?? ?? ?? ?? 8B 50 40 8B 45 E8 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 B8 00 00 00 8B 45 EC 8B 40 38 8B 55 E4 E8 ?? ?? ?? ?? 89 45 E0 BF 0E 00 00 00 BB ?? ?? ?? ?? 8B 06 83 C0 B8 8B 00 8B 13 E8 ?? ?? ?? ?? 85 C0 74 45 8D 45 F0 50 B1 01 8B 13 8B C6 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 2A 8D 45 CC 50 B1 01 8B 13 8B 45 E0 E8 ?? ?? ?? ?? 8D 45 CC 8D 55 F0 E8 ?? ?? ?? ?? 74 0D 8D 4D F0 8B 13 8B 45 E0 E8 ?? ?? ?? ?? 83 C3 04 4F 75 A3 80 7E 48 1D 75 3A 8B 45 E0 80 78 48 1D 75 31 8B 45 08 50 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 59 FF 45 E4 FF 4D DC 0F 85 19 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15309_0 {
	meta:
		name = "TCustomClientDataSet.Reconcile"
		size = 328
		refs = "000f VarIsNull 001b TCustomClientDataSet.MergeChangeLog 0028 TDataSet.UpdateCursorPos 002d TCustomClientDataSet.ReconcileCallback 0037 _DV_TCustomClientDataSet 003c TCustomClientDataSet.Create 004f TCustomClientDataSet.Reconcile 007e TCustomClientDataSet.Check 008e TDataSet.SetObjectView 00a0 AddFieldProps 00ad VarToDataPacket 00ff TObject.Free 0110 @HandleFinally 012c TCustomClientDataSet.GetChangeCount"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 FC E8 ?? ?? ?? ?? E9 04 01 00 00 8B 45 FC E8 ?? ?? ?? ?? BE ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 FC 89 B8 C0 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 87 AC 01 00 00 50 6A 00 6A FF 6A 00 8B 45 FC 8B 80 AC 01 00 00 50 8B 00 FF 90 84 00 00 00 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 01 00 00 B2 01 E8 ?? ?? ?? ?? 55 8B 45 FC 8B 80 C0 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 59 56 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 C8 01 00 00 50 8B 45 FC 8B 80 C0 01 00 00 8B 80 AC 01 00 00 50 8B 45 FC 8B 80 AC 01 00 00 50 8B 00 FF 90 88 00 00 00 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 C0 01 00 00 C3 E9 ?? ?? ?? ?? EB DF 0F B6 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 B4 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 FA 00 75 03 83 F8 00 0F 94 C0 5F 5E 5B 59 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15310_0 {
	meta:
		name = "TCustomClientDataSet.NotifyCallback"
		size = 96
		refs = "000d TCustomClientDataSet.NotifyCallback 0023 TDataSet.UpdateCursorPos 004a @HandleAnyException 004f @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB A5 00 00 00 01 75 1F 8B C3 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 B4 02 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15311_0 {
	meta:
		name = "TCustomClientDataSet.SetNotifyCallback"
		size = 52
		refs = "000d TCustomClientDataSet.NotifyCallback 0027 TCustomClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 80 BB 98 02 00 00 00 75 26 B8 ?? ?? ?? ?? 50 53 8B 83 B0 01 00 00 50 8B 00 FF 90 9C 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? C6 83 98 02 00 00 01 5B C3 }
	condition:
		$1
}

rule function_15312_0 {
	meta:
		name = "TCustomClientDataSet.CloneCursor"
		size = 644
		refs = "001c TCustomClientDataSet.CloneCursor 0033 TDataSet.Close 0044 @IntfCopy 004b TDataSet.UpdateCursorPos 0092 TCustomClientDataSet.SetIndexName 009b TCustomClientDataSet.SetDataSource 00a4 TCustomClientDataSet.SetMasterFields 00ad TCustomClientDataSet.SetReadOnly 00c2 TCustomClientDataSet.SetProviderName 012f TCustomClientDataSet.GetIndexName 0139 @WStrEqual 015b TCustomClientDataSet.GetIndexFieldNames 0165 TCustomClientDataSet.SetIndexFieldNames 0182 TCustomClientDataSet.GetMasterFields 01c4 TCustomClientDataSet.GetHasAppServer 01e9 TDataSet.Open 022a TCustomClientDataSet.CancelRange 0242 TCustomClientDataSet.SetNotifyCallback 025e @IntfClear 026b @WStrArrayClr 0271 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 88 4D FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 92 BC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 AC 01 00 00 8B 96 AC 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 B3 BC 01 00 00 8B 86 7C 02 00 00 89 83 7C 02 00 00 80 7D FF 00 74 70 33 D2 8B C3 8B 08 FF 91 CC 01 00 00 33 D2 8B C3 8B 08 FF 91 D4 01 00 00 6A 00 6A 00 8B C3 8B 10 FF 92 D8 01 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 30 03 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 24 03 00 00 E9 0F 01 00 00 80 7D 08 00 0F 85 05 01 00 00 8B 96 80 00 00 00 8B C3 8B 08 FF 91 D4 01 00 00 FF B6 74 01 00 00 FF B6 70 01 00 00 8B C3 8B 10 FF 92 D8 01 00 00 0F B6 96 A4 00 00 00 8B C3 8B 08 FF 91 D0 01 00 00 0F B6 96 B0 00 00 00 8B C3 8B 08 FF 91 CC 01 00 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 74 16 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? EB 14 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 60 01 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 0F B6 96 94 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 1C 03 00 00 8B D0 8B C3 8B 08 FF 91 30 03 00 00 8B 96 68 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1A 8D 55 E8 8B C6 8B 08 FF 91 14 03 00 00 8B 55 E8 8B C3 8B 08 FF 91 24 03 00 00 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 4C 8B 86 D8 01 00 00 85 C0 74 10 50 8B 83 B0 01 00 00 50 8B 00 FF 90 88 00 00 00 8B 86 DC 01 00 00 85 C0 74 10 50 8B 83 B0 01 00 00 50 8B 00 FF 90 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 B4 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15313_0 {
	meta:
		name = "TCustomClientDataSet.EncodeFieldDesc"
		size = 319
		refs = "0015 TCustomClientDataSet.EncodeFieldDesc 0029 @FillChar 0033 @UStrLAsg 003e UTF8Encode 0046 @LStrToPChar 0054 StrLCopy 005c FieldTypeMap 0074 FldSubTypeMap 0122 @LStrClr 012a @UStrClr 0130 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B 5D 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 33 C9 BA 4C 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C6 B9 1F 00 00 00 E8 ?? ?? ?? ?? 0F B6 D3 A1 ?? ?? ?? ?? 0F B6 04 10 89 46 20 83 F8 1A 75 07 C7 46 20 07 10 00 00 A1 ?? ?? ?? ?? 0F B7 04 50 89 46 24 80 7D 0C 01 F5 1B C0 89 46 40 0F B6 45 08 89 46 44 0F B6 C3 83 F8 27 77 79 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 00 00 00 00 00 00 03 00 00 00 01 01 00 01 01 01 01 01 01 01 00 01 02 00 01 01 00 01 01 01 00 00 00 01 00 03 02 02 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 14 89 46 28 EB 2B 8B 45 14 03 C0 89 46 28 EB 21 83 7D 10 00 7E 0E 83 7D 10 20 7F 08 8B 45 10 89 46 28 EB 07 C7 46 28 20 00 00 00 8B 45 14 89 46 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C2 14 00 }
	condition:
		$1
}

rule function_15314_0 {
	meta:
		name = "GetFieldDefCount"
		size = 93
		refs = "002d TFieldDefs.GetFieldDef 0036 TFieldDef.HasChildDefs 0045 TFieldDef.GetChildDefs 004d GetFieldDefCount"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC 8B 40 08 8B 40 08 8B 55 F8 01 02 8B F0 4E 85 F6 7C 32 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 59 47 4E 75 D1 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15315_0 {
	meta:
		name = "EncodeFieldDescs"
		size = 245
		refs = "0015 @DynArrayAddRef 001d EncodeFieldDescs 0048 TFieldDefs.GetFieldDef 0056 TFieldDef.GetSize 0079 TCustomClientDataSet.EncodeFieldDesc 0082 TFieldDef.HasChildDefs 0097 TFieldDef.GetChildDefs 00a6 GetFieldDefCount 00dd TFieldDescList 00e2 @DynArrayClear 00e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 8B 78 08 4F 85 FF 0F 8C 92 00 00 00 47 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 0F B6 43 25 50 8B C3 E8 ?? ?? ?? ?? 50 8B 43 18 50 6A 00 0F B6 43 26 50 6B 06 13 8B 55 FC 8D 14 82 8B 45 08 8B 40 FC 8B 4B 0C E8 ?? ?? ?? ?? FF 06 8B C3 E8 ?? ?? ?? ?? 84 C0 74 37 80 7B 25 1D 75 1B 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 6B 16 13 8B 4D FC 8D 54 91 E0 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 55 FC E8 ?? ?? ?? ?? 59 FF 45 F4 4F 0F 85 76 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15316_0 {
	meta:
		name = "CheckLongFieldNames"
		size = 248
		refs = "0012 CheckLongFieldNames 0047 TFieldDefs.GetFieldDef 0054 @UStrLAsg 005f UTF8Encode 0079 TFieldDef.GetFieldNo 0085 @OleVarFromUStr 0098 TCustomClientDataSet.InternalSetOptionalParam 00b3 @VarClr 00bb @LStrClr 00c3 @UStrClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 40 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 70 46 C7 45 F4 00 00 00 00 8B 45 08 8B 40 FC 8B 40 40 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 53 0C E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 83 F8 20 7C 28 6A 01 8B C3 E8 ?? ?? ?? ?? 50 8D 45 E4 8B 53 0C E8 ?? ?? ?? ?? 8D 4D E4 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F4 4E 75 98 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 46 00 49 00 45 00 4C 00 44 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_15317_0 {
	meta:
		name = "CreateIndexes"
		size = 342
		refs = "0030 CreateIndexes 0041 TCustomClientDataSet.GetIndexDefs 0067 TIndexDefs.GetIndexDef 0076 TIndexDef.GetFields 0087 @WStrFromUStr 00e2 TCustomClientDataSet.EncodeIndexDesc 0108 TCustomClientDataSet.Check 012d @WStrArrayClr 0138 @UStrClr 0143 @WStrClr 0149 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 00 FF FF FF 53 56 57 33 C0 89 85 10 FF FF FF 89 85 0C FF FF FF 89 85 08 FF FF FF 89 85 04 FF FF FF 89 85 00 FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F0 4E 85 F6 0F 8C BE 00 00 00 46 33 FF 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B D8 8D 95 0C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 0C FF FF FF 8D 85 10 FF FF FF E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 50 8D 85 08 FF FF FF 8B 53 1C E8 ?? ?? ?? ?? 8B 85 08 FF FF FF 50 8D 85 04 FF FF FF 8B 53 20 E8 ?? ?? ?? ?? 8B 85 04 FF FF FF 50 0F B6 43 24 50 8D 85 00 FF FF FF 8B 53 0C E8 ?? ?? ?? ?? 8B 8D 00 FF FF FF 8D 95 14 FF FF FF 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 85 14 FF FF FF 50 8B 45 08 8B 40 FC 8B 80 AC 01 00 00 50 8B 00 FF 50 3C 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 47 4E 0F 85 45 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 00 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 8D 85 10 FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15318_0 {
	meta:
		name = "TCustomClientDataSet.CreateDataSet"
		size = 405
		refs = "0017 TCustomClientDataSet.CreateDataSet 0030 TDataSet.InitFieldDefsFromFields 0044 GetFieldDefCount 0053 SCannotCreateDataSet 0058 LoadResString 0062 DatabaseError 0074 TFieldDescList 0079 @DynArraySetLength 0093 EncodeFieldDescs 009f TCustomClientDataSet.CreateDSBase 00af @IntfCopy 00cb @UStrLAsg 00d6 UTF8Encode 00de @LStrToPChar 0100 TCustomClientDataSet.Check 0106 CheckLongFieldNames 010d CreateIndexes 011d @HandleAnyException 012a @IntfClear 013a @RaiseAgain 013f @DoneExcept 0147 TDataSet.Open 0164 @UStrClr 016c @LStrClr 0182 @DynArrayClear 0188 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 C4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 EC 55 8D 55 EC 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 59 83 7D EC 00 75 17 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 33 D2 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 E8 55 8D 4D E8 8B 45 FC 8B 40 40 8B 55 F8 E8 ?? ?? ?? ?? 59 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC 05 AC 01 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 EC 50 8B 45 FC 8B 80 AC 01 00 00 50 8B 00 FF 50 0C 8B D0 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 EB 27 E9 ?? ?? ?? ?? 8B 45 FC 05 AC 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15319_0 {
	meta:
		name = "TCustomClientDataSet.EmptyDataSet"
		size = 104
		refs = "0006 TDataSet.CheckBrowseMode 001b TCustomClientDataSet.Check 003e TCustomClientDataSet.EmptyDataSet"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 AC 01 00 00 50 8B 00 FF 50 6C 8B D0 8B C3 E8 ?? ?? ?? ?? 6A 01 6A 18 8B 83 AC 01 00 00 50 8B 00 FF 50 50 B2 01 8B C3 8B 08 FF 91 2C 03 00 00 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 B4 02 00 00 8B C3 8B 50 5C 8B 40 64 8B 14 90 8B C3 8B 08 FF 91 94 01 00 00 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_15320_0 {
	meta:
		name = "TCustomClientDataSet.SetupInternalCalcFields"
		size = 272
		refs = "0024 TFields.GetCount 003c TFields.GetField 0092 TCustomClientDataSet.SetupInternalCalcFields 00a1 TCustomClientDataSet.EncodeFieldDesc 00bb TCustomClientDataSet.Check"
	strings:
		$1 = { 53 56 57 55 83 C4 B0 8B D8 84 D2 0F 84 B8 00 00 00 80 BB AE 00 00 00 00 0F 85 AB 00 00 00 8B C3 8B 40 38 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 0F 8C CF 00 00 00 45 33 F6 8B D6 8B 43 38 E8 ?? ?? ?? ?? 80 78 4A 03 75 79 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B F8 0F B6 47 48 2C 08 74 04 2C 1D 75 15 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B 80 10 01 00 00 89 04 24 EB 05 33 C0 89 04 24 0F B6 47 48 50 8B C7 8B 10 FF 92 B4 00 00 00 50 8B 44 24 08 50 6A 01 0F B6 05 ?? ?? ?? ?? 50 8B 4F 40 8D 54 24 18 8B C3 E8 ?? ?? ?? ?? 8D 44 24 04 50 8B 83 AC 01 00 00 50 8B 00 FF 50 10 8B D0 8B C3 E8 ?? ?? ?? ?? 46 4D 0F 85 6F FF FF FF EB 39 80 BB AC 00 00 00 00 74 30 6A 00 6A 00 8B 83 AC 01 00 00 50 8B 00 FF 50 54 8B D0 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 83 AC 01 00 00 50 8B 00 FF 50 10 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C4 50 5D 5F 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15321_0 {
	meta:
		name = "TCustomClientDataSet.WriteDataPacket"
		size = 241
		refs = "0014 TDataSet.GetActive 0020 TDataSet.CheckBrowseMode 0046 TCustomClientDataSet.SaveDataPacket 005e DataPacketSize 0074 SafeArrayAccessData 0079 SafeArrayCheck 0081 TCustomClientDataSet.WriteDataPacket 00c3 SafeArrayUnaccessData 00ce @HandleFinally 00e4 TCustomClientDataSet.ClearSavedPacket"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 40 02 00 00 84 C0 74 17 8B 45 FC 8B 10 FF 92 08 03 00 00 0F B6 55 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B B8 C4 01 00 00 85 FF 0F 84 8D 00 00 00 8B C7 E8 ?? ?? ?? ?? 89 45 F8 8D 45 F4 50 8B 45 FC 8B 80 C4 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 0F 8D 55 F8 B9 04 00 00 00 8B C6 8B 18 FF 53 10 8B 55 F4 8B 4D F8 8B C6 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15322_0 {
	meta:
		name = "TCustomClientDataSet.ReadDataPacket"
		size = 273
		refs = "001d TStream.ReadBuffer 002e TStream.GetPosition 0045 TCustomClientDataSet.ClearSavedPacket 0054 @FillChar 0067 SafeArrayCreate 007b VarArrayCreateError 0083 TCustomClientDataSet.ReadDataPacket 009c SafeArrayAccessData 00a1 SafeArrayCheck 00d8 SafeArrayUnaccessData 00e3 @HandleFinally 00f4 @HandleAnyException 0101 @RaiseAgain 0106 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B DA 89 45 FC 84 C9 74 11 8D 55 F8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 14 8B C3 8B 10 FF 12 8B F0 8B C3 E8 ?? ?? ?? ?? 2B F0 89 75 F8 83 7D F8 00 0F 8E C9 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 EC 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 89 45 EC 8D 45 EC 50 6A 01 6A 11 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 B0 C4 01 00 00 85 F6 75 05 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8B 45 FC 8B 80 C4 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 4D F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 01 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15323_0 {
	meta:
		name = "TCustomClientDataSet.LoadFromStream"
		size = 34
		refs = "0009 TDataSet.Close 0014 TCustomClientDataSet.ReadDataPacket 001b TDataSet.Open"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15325_0 {
	meta:
		name = "TCustomClientDataSet.LoadFromFile"
		size = 185
		refs = "0010 TDataSet.Close 0026 _Dn_TFileStream 002b TFileStream.Create 004b TCustomClientDataSet.LoadFromFile 0074 TCustomClientDataSet.LoadFromStream 0091 @HandleFinally 00a8 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 85 DB 75 1C 6A 00 8B 45 FC 8B 88 E0 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 13 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 99 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 99 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15326_0 {
	meta:
		name = "TCustomClientDataSet.SaveToFile"
		size = 296
		refs = "0018 TCustomClientDataSet.SaveToFile 0025 TDataSet.GetActive 0055 @UStrLAsg 0070 _Dn_TFileStream 0075 TFileStream.Create 0095 ExtractFileExt 00a0 LowerCase 00ad @UStrEqual 00bd TCustomClientDataSet.SaveToStream 00d2 TObject.Free 00d8 @HandleFinally 00f4 @UStrArrayClr 00fc @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1A 83 BE AC 01 00 00 00 0F 84 A4 00 00 00 83 BE 8C 00 00 00 00 0F 85 97 00 00 00 85 FF 75 10 8D 45 FC 8B 96 E0 01 00 00 E8 ?? ?? ?? ?? EB 0A 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 68 00 FF 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 75 27 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 02 B3 01 8B CB 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 78 00 6D 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_15327_0 {
	meta:
		name = "TCustomClientDataSet.SetLogChanges"
		size = 43
		refs = "0009 TDataSet.CheckBrowseMode 0024 TCustomClientDataSet.Check"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 0F B6 C3 50 6A 00 8B 86 AC 01 00 00 50 8B 00 FF 50 50 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15328_0 {
	meta:
		name = "TCustomClientDataSet.GetLogChanges"
		size = 41
		refs = "0007 TDataSet.CheckBrowseMode 001f TCustomClientDataSet.Check"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 54 6A 00 8B 83 AC 01 00 00 50 8B 00 FF 50 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_15329_0 {
	meta:
		name = "TCustomClientDataSet.GetCanModify"
		size = 24
	strings:
		$1 = { 80 B8 96 02 00 00 00 74 09 80 B8 94 02 00 00 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_15330_0 {
	meta:
		name = "TCustomClientDataSet.SetReadOnly"
		size = 60
		refs = "002c TCustomClientDataSet.Check"
	strings:
		$1 = { 53 56 8B DA 8B F0 88 9E 94 02 00 00 83 BE AC 01 00 00 00 74 24 0F B6 C3 50 6A 01 8B 86 AC 01 00 00 50 8B 00 FF 50 50 8B D0 8B C6 E8 ?? ?? ?? ?? 80 F3 01 88 9E 96 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15331_0 {
	meta:
		name = "TCustomClientDataSet.ConstraintsDisabled"
		size = 11
	strings:
		$1 = { 83 B8 74 02 00 00 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_15332_0 {
	meta:
		name = "TCustomClientDataSet.DisableConstraints"
		size = 45
		refs = "0021 TCustomClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 83 BB 74 02 00 00 00 75 19 6A 01 6A 03 8B 83 AC 01 00 00 50 8B 00 FF 50 50 8B D0 8B C3 E8 ?? ?? ?? ?? FF 83 74 02 00 00 5B C3 }
	condition:
		$1
}

rule function_15333_0 {
	meta:
		name = "TCustomClientDataSet.EnableConstraints"
		size = 54
		refs = "0030 TCustomClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 83 BB 74 02 00 00 00 74 28 FF 8B 74 02 00 00 83 BB 74 02 00 00 00 75 19 6A 00 6A 03 8B 83 AC 01 00 00 50 8B 00 FF 50 50 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15334_0 {
	meta:
		name = "TCustomClientDataSet.InitBufferPointers"
		size = 157
		refs = "0020 TCustomClientDataSet.Check 003c TArray<System.Byte> 0041 @DynArraySetLength"
	strings:
		$1 = { 53 56 81 C4 B8 FE FF FF 8B D8 84 D2 74 47 54 8B 83 B0 01 00 00 50 8B 00 FF 50 14 8B D0 8B C3 E8 ?? ?? ?? ?? 8B B4 24 0D 01 00 00 89 73 6C 56 8D 83 EC 01 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 84 24 09 01 00 00 89 83 84 02 00 00 8B 83 84 02 00 00 03 43 70 89 83 8C 02 00 00 8B D0 83 C2 06 89 93 88 02 00 00 8B C2 03 43 6C 89 83 90 01 00 00 8B D0 03 93 98 01 00 00 89 93 94 01 00 00 03 93 8C 01 00 00 89 93 90 02 00 00 81 C4 48 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15335_0 {
	meta:
		name = "TCustomClientDataSet.AllocRecordBuffer"
		size = 12
		refs = "0007 AllocMem"
	strings:
		$1 = { 8B 80 90 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15336_0 {
	meta:
		name = "TCustomClientDataSet.FreeRecordBuffer"
		size = 8
		refs = "0003 @FreeMem"
	strings:
		$1 = { 8B 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_110943_0 {
	meta:
		name = "Tox4DOMImplementation.FreeDocument"
		size = 8
		refs = "0003 TObject.Free"
	strings:
		$1 = { 8B 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15337_0 {
	meta:
		name = "TCustomClientDataSet.InternalInitRecord"
		size = 31
		refs = "0018 TCustomClientDataSet.Check"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 83 B0 01 00 00 50 8B 00 FF 50 70 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15338_0 {
	meta:
		name = "TCustomClientDataSet.ClearCalcFields"
		size = 20
		refs = "000f @FillChar"
	strings:
		$1 = { 8B 88 84 02 00 00 03 D1 33 C9 8B 40 70 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15339_0 {
	meta:
		name = "TCustomClientDataSet.InitRecord"
		size = 40
		refs = "000b TDataSet.InitRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 03 83 8C 02 00 00 C6 40 04 03 C7 00 FF FF FF FF C6 40 05 04 5E 5B C3 }
	condition:
		$1
}

rule function_15340_0 {
	meta:
		name = "TCustomClientDataSet.GetRecord"
		size = 377
		refs = "0019 TCustomClientDataSet.GetRecord 002d @IntfCopy 0056 TCustomClientDataSet.GetProviderEOF 00c8 TFields.GetCount 00de TCustomClientDataSet.GetAggFieldData 0126 TCustomClientDataSet.Check 0160 @IntfClear 0166 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 88 4D FB 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 93 B0 01 00 00 E8 ?? ?? ?? ?? 0F B6 45 FB FE C8 74 06 FE C8 74 50 EB 5D 6A 01 8B 45 FC 50 8B 00 FF 50 40 8B F0 66 81 FE 02 22 75 4B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 40 80 BB 9B 02 00 00 00 74 37 6A FF 8B 45 FC 50 8B 00 FF 50 40 33 D2 8B C3 8B 08 FF 91 10 03 00 00 6A 01 8B 45 FC 50 8B 00 FF 50 40 8B F0 EB 11 6A FF 8B 45 FC 50 8B 00 FF 50 40 8B F0 EB 02 33 F6 66 85 F6 75 0C 57 8B 45 FC 50 8B 00 FF 50 20 8B F0 8B C6 66 83 E8 01 72 0D 66 2D 00 22 74 73 66 FF C8 74 74 EB 78 8B 43 3C E8 ?? ?? ?? ?? 85 C0 7E 12 80 BB A0 01 00 00 00 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F7 03 B3 8C 02 00 00 C6 46 04 00 56 8B 45 FC 50 8B 00 FF 50 2C 8D 46 05 50 8B 45 FC 50 8B 00 FF 50 30 8B D7 8B C3 8B 08 FF 91 58 01 00 00 03 BB 88 02 00 00 57 8B 45 FC 50 8B 00 FF 50 28 8B D0 8B C3 E8 ?? ?? ?? ?? C6 45 FA 00 EB 1F C6 45 FA 01 EB 19 C6 45 FA 02 EB 13 C6 45 FA 03 80 7D 08 00 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FA 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15341_0 {
	meta:
		name = "TCustomClientDataSet.GetCurrentRecord"
		size = 86
		refs = "0033 TDataSet.UpdateCursorPos"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B D8 8B F3 8B 7E 5C 3B 7E 58 7D 17 8B 46 64 8B 14 B8 8B C3 8B 08 FF 91 F4 01 00 00 84 C0 0F 94 C0 EB 02 33 C0 84 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 8B 04 24 50 8B 83 B0 01 00 00 50 8B 00 FF 50 20 66 85 C0 0F 94 C0 EB 02 33 C0 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15342_0 {
	meta:
		name = "TCustomClientDataSet.GetRecordCount"
		size = 72
		refs = "0022 TDataSet.UpdateCursorPos 003e TCustomClientDataSet.Check"
	strings:
		$1 = { 53 51 8B D8 8B C3 8B 10 FF 92 BC 00 00 00 8B 83 7C 02 00 00 85 C0 74 0E 80 B8 A5 00 00 00 03 74 05 E8 ?? ?? ?? ?? 54 8B 83 B0 01 00 00 50 8B 00 FF 50 34 66 3D 0A 40 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_15343_0 {
	meta:
		name = "TCustomClientDataSet.GetRecNo"
		size = 59
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 BC 00 00 00 0F B6 83 A5 00 00 00 3C 0B 75 05 83 C8 FF 5B C3 3C 05 75 05 8B 43 68 EB 0B 8B C3 8B 50 5C 8B 40 64 8B 04 90 03 83 8C 02 00 00 8B 00 5B C3 }
	condition:
		$1
}

rule function_15344_0 {
	meta:
		name = "TCustomClientDataSet.SetRecNo"
		size = 96
		refs = "0009 TDataSet.CheckBrowseMode 0037 TCustomClientDataSet.Check 003e TCustomClientDataSet.SetRecNo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 8C 01 00 00 3B F0 74 3B 8B C3 8B 10 FF 92 34 01 00 00 56 8B 83 B0 01 00 00 50 8B 00 FF 50 44 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 B4 02 00 00 8B C3 8B 10 FF 92 10 01 00 00 5E 5B C3 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_15345_0 {
	meta:
		name = "TCustomClientDataSet.GetRecordSize"
		size = 8
	strings:
		$1 = { 0F B7 80 84 02 00 00 C3 }
	condition:
		$1
}

rule function_15346_0 {
	meta:
		name = "GetOriginalBuffer"
		size = 82
		refs = "000b TDataSet.UpdateCursorPos"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 50 64 8B 40 58 8B 04 82 8B D8 53 6A 03 8B 45 08 8B 40 FC 8B 80 B0 01 00 00 50 8B 00 FF 90 A8 00 00 00 66 85 C0 74 10 8B 45 08 8B 40 FC 8B D3 8B 08 FF 91 7C 02 00 00 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_15347_0 {
	meta:
		name = "TCustomClientDataSet.GetActiveRecBuf"
		size = 243
		refs = "0020 TCustomClientDataSet.GetActiveRecBuf 00c9 GetOriginalBuffer"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 0F B6 80 A5 00 00 00 83 F8 0B 0F 87 C8 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 50 5C 3B 50 58 7C 09 33 C0 89 03 E9 81 00 00 00 8B 40 64 8B 04 90 89 03 EB 77 8B 45 FC 8B 50 5C 8B 40 64 8B 04 90 89 03 EB 67 8B 45 FC 8B 80 4C 02 00 00 83 C0 08 89 03 EB 57 8B 45 FC 8B 40 68 89 03 EB 4D 8B 45 FC 8B 80 E4 01 00 00 89 03 EB 40 8B 45 FC 8B 80 50 02 00 00 89 03 EB 33 8B 45 FC 8B 80 54 02 00 00 85 C0 74 04 89 03 EB 22 55 E8 ?? ?? ?? ?? 59 89 03 EB 17 8B 45 FC 8B 80 58 02 00 00 89 03 EB 0A 33 C0 89 03 EB 04 33 C0 89 03 83 3B 00 0F 95 C0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15348_0 {
	meta:
		name = "TCustomClientDataSet.GetChangeCount"
		size = 67
		refs = "0018 TDataSet.GetActive 0034 TCustomClientDataSet.Check"
	strings:
		$1 = { 53 83 C4 F8 8B D8 C7 04 24 00 00 00 00 C7 44 24 04 00 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 54 6A 02 8B 83 AC 01 00 00 50 8B 00 FF 50 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_15349_0 {
	meta:
		name = "TCustomClientDataSet.GetCommandStates"
		size = 348
		refs = "0013 TCustomClientDataSet.GetCommandStates 0023 @UStrLAsg 0057 CompareText 00b9 TCustomClientDataSet.GetChangeCount 00ed @UStrArrayClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 43 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 21 0F B6 1D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 FA 00 75 07 83 F8 00 76 10 EB 02 7E 0C 80 CB 02 EB 07 0F B6 1D ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 41 00 70 00 70 00 6C 00 79 00 55 00 70 00 64 00 61 00 74 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 61 00 6E 00 63 00 65 00 6C 00 55 00 70 00 64 00 61 00 74 00 65 00 73 00 00 00 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15350_0 {
	meta:
		name = "TCustomClientDataSet.UpdateStatus"
		size = 86
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 BC 00 00 00 0F B6 83 A5 00 00 00 3C 0B 75 04 33 C0 5B C3 3C 05 75 05 8B 43 68 EB 0B 8B C3 8B 50 5C 8B 40 64 8B 04 90 03 83 8C 02 00 00 0F B6 40 05 A8 08 74 04 B0 01 EB 12 A8 02 74 04 B0 03 EB 0A A8 04 74 04 B0 02 EB 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_15351_0 {
	meta:
		name = "TCustomClientDataSet.AddFieldDesc"
		size = 1068
		refs = "0028 @DynArrayAddRef 0030 TCustomClientDataSet.AddFieldDesc 0074 @LStrFromArray 007f UTF8ToUnicodeString 008a @UStrLAsg 00a0 @PCharLen 00b8 TCustomClientDataSet.InternalGetOptionalParam 00c0 VarIsNull 00cc VarIsClear 00db VarToStr 0149 Format 0153 TDefCollection.IndexOf 0164 DataTypeMap 02b5 BlobTypeMap 02da TFieldDefs.AddFieldDef 02ed TNamedItem.SetDisplayName 02f8 TFieldDef.SetDataType 0302 TFieldDef.SetSize 030c TFieldDef.SetPrecision 0317 TFieldDef.SetAttributes 0361 TFieldDef.GetChildDefs 03b1 @VarClr 03be @LStrArrayClr 03cb @UStrArrayClr 03d4 TFieldDescList 03d9 @DynArrayClear 03df @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 14 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 89 55 FC 89 45 CC 8B 5D 08 8B 75 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6B 07 13 8B 55 FC 56 57 8D 34 82 8D BD 6C FF FF FF B9 13 00 00 00 F3 A5 5F 5E FF 07 F6 45 B0 08 74 07 FF 06 E9 3D 03 00 00 8D 45 E4 8D 95 6C FF FF FF B9 20 00 00 00 6A 00 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 83 F8 1F 75 36 8D 45 D0 50 8B 0E BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 84 C0 75 17 8D 45 D0 E8 ?? ?? ?? ?? 84 C0 75 0B 8D 55 F8 8D 45 D0 E8 ?? ?? ?? ?? 33 C0 89 45 C4 EB 67 FF 45 C4 8D 45 E0 8D 95 6C FF FF FF B9 20 00 00 00 6A 00 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 E0 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 E8 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 EC 89 85 5C FF FF FF C6 85 60 FF FF FF 11 8B 45 C4 89 85 64 FF FF FF C6 85 68 FF FF FF 00 8D 95 5C FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 8B 8B 4D 8C 83 F9 1B 7D 0E A1 ?? ?? ?? ?? 0F B6 04 08 88 45 C3 EB 3E 81 F9 07 10 00 00 75 06 C6 45 C3 18 EB 30 83 F9 24 75 06 C6 45 C3 31 EB 25 83 F9 1C 75 06 C6 45 C3 2B EB 1A 83 F9 1D 75 06 C6 45 C3 2C EB 0F 83 F9 1B 75 06 C6 45 C3 33 EB 04 C6 45 C3 00 33 C0 89 45 BC 33 C0 89 45 C8 8B C1 83 F8 09 7F 36 74 67 83 F8 08 0F 87 02 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 17 7F 1D 0F 84 C2 00 00 00 83 E8 0C 74 4B 83 E8 03 74 1E 83 C0 FB 83 E8 02 72 16 E9 B5 00 00 00 83 E8 19 74 58 2D EE 0F 00 00 74 1E E9 A4 00 00 00 8B 45 94 89 45 BC 83 7D 90 26 0F 85 94 00 00 00 C6 45 C3 23 E9 8B 00 00 00 8B 45 94 D1 F8 79 03 83 D0 00 89 45 BC EB 7C 83 7D 9C 02 74 76 C6 45 C3 00 EB 70 83 7D 90 1D 75 6A C6 45 C3 0E EB 64 83 7D 90 15 75 5E C6 45 C3 07 EB 58 8B 45 98 99 33 C2 2B C2 89 45 BC 8B 45 94 89 45 C8 83 F9 19 75 42 C6 45 C3 25 EB 3C 8B 45 94 89 45 BC 8B 45 90 83 F8 16 7C 05 83 F8 1C 7E 0F 83 F8 20 74 0A 83 F8 21 74 05 83 F8 22 75 1A 8B 15 ?? ?? ?? ?? 0F B6 44 02 EA 88 45 C3 EB 0A 83 7D 90 46 75 04 C6 45 C3 1C 80 7D C3 00 0F 84 C9 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 06 89 43 1C FF 06 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 0F B6 55 C3 8B C3 E8 ?? ?? ?? ?? 8B 55 BC 8B C3 E8 ?? ?? ?? ?? 8B 55 C8 8B C3 E8 ?? ?? ?? ?? 0F B6 55 B0 8B C3 E8 ?? ?? ?? ?? 83 7D 90 1F 75 11 0F B6 15 ?? ?? ?? ?? 0A 53 26 8B C3 E8 ?? ?? ?? ?? 83 7D AC 01 1B C0 40 88 43 24 0F B6 45 C3 2C 1A 74 06 FE C8 74 35 EB 56 8B 45 94 48 85 C0 7C 4E 40 89 45 B8 C7 45 C4 00 00 00 00 56 8B C3 E8 ?? ?? ?? ?? 50 8B CF 8B 55 FC 8B 45 CC E8 ?? ?? ?? ?? FF 45 C4 FF 4D B8 75 E2 EB 23 8B 06 89 45 C4 8D 45 C4 50 8B C3 E8 ?? ?? ?? ?? 50 8B CF 8B 55 FC 8B 45 CC E8 ?? ?? ?? ?? 8B 45 98 01 06 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 46 00 49 00 45 00 4C 00 44 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 5F 00 25 00 64 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_15352_0 {
	meta:
		name = "TCustomClientDataSet.GetFieldData"
		size = 174
		refs = "0016 TCustomClientDataSet.GetActiveRecBuf 0051 TCustomClientDataSet.Check 00a1 Move"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 8B FA 8B F0 33 DB 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 83 00 00 00 0F B6 47 4A 84 C0 74 04 2C 03 75 33 54 55 8B C7 8B 10 FF 92 A8 00 00 00 50 8B 44 24 10 50 8B 86 B0 01 00 00 50 8B 00 FF 50 5C 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 1C 24 83 FB 01 1B DB F7 DB EB 44 0F B6 86 A5 00 00 00 48 2C 03 72 04 2C 01 75 34 8B 47 54 03 86 84 02 00 00 01 44 24 04 8B 44 24 04 0F B6 18 84 DB 74 1C 85 ED 74 18 8B C7 8B 10 FF 92 9C 00 00 00 8B C8 8B D5 8B 44 24 04 40 E8 ?? ?? ?? ?? 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15353_0 {
	meta:
		name = "TCustomClientDataSet.GetFieldData"
		size = 75
		refs = "0011 TCustomClientDataSet.GetActiveRecBuf 0036 TCustomClientDataSet.Check"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2C 8D 44 24 04 50 57 56 8B 44 24 0C 50 8B 83 B0 01 00 00 50 8B 00 FF 50 5C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 83 F8 01 1B C0 F7 D8 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15354_0 {
	meta:
		name = "CheckNotChanged"
		size = 197
		refs = "0014 CheckNotChanged 005c TCustomClientDataSet.Check 006a @VarClear 0074 @VarCopy 0083 Null 009e TDataSet.GetStateFieldValue 00b3 @VarClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 09 C7 45 EC 02 00 00 00 EB 35 8D 45 EC 50 6A 00 8B 45 08 8B 40 F8 8B 10 FF 92 A8 00 00 00 50 53 8B 45 08 8B 40 FC 8B 80 B0 01 00 00 50 8B 00 FF 50 5C 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 83 7D EC 02 75 14 8D 45 F0 E8 ?? ?? ?? ?? 8B C6 8D 55 F0 E8 ?? ?? ?? ?? EB 28 83 7D EC 01 75 09 8B C6 E8 ?? ?? ?? ?? EB 19 56 8B 45 08 0F B6 50 F7 8B 45 08 8B 48 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15355_0 {
	meta:
		name = "TCustomClientDataSet.GetStateFieldValue"
		size = 289
		refs = "0025 TCustomClientDataSet.GetStateFieldValue 007b CheckNotChanged 0086 @VarCopy 00a4 @HandleFinally 00ed TDataSet.GetStateFieldValue 0103 Variant 010d @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F8 88 55 F7 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 F7 2C 07 74 0D 2C 02 0F 84 83 00 00 00 E9 9D 00 00 00 8B 45 FC 8B B0 50 02 00 00 85 F6 75 59 8B 45 FC 8B 50 5C 8B 40 64 8B 34 90 8B 45 FC 89 B0 50 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 59 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 50 02 00 00 C3 E9 ?? ?? ?? ?? EB ED 55 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 59 8D 55 D4 8B C3 E8 ?? ?? ?? ?? EB 2F 55 8D 55 C4 8B 45 FC 8B 80 58 02 00 00 E8 ?? ?? ?? ?? 59 8D 55 C4 8B C3 E8 ?? ?? ?? ?? EB 10 53 0F B6 55 F7 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15356_0 {
	meta:
		name = "TCustomClientDataSet.SetFieldData"
		size = 542
		refs = "0020 TCustomClientDataSet.SetFieldData 003f SNotEditing 0044 LoadResString 004e DatabaseError 0075 TField.GetIsIndexField 0085 TField.GetDisplayName 009b SNotIndexField 00ab DatabaseErrorFmt 00b5 TCustomClientDataSet.GetActiveRecBuf 00fc SFieldReadOnly 0115 TField.Validate 0146 TCustomClientDataSet.Check 018b TBits.SetBit 01ca Move 0203 @UStrArrayClr 020b @UStrClr 0211 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 83 A5 00 00 00 04 FE 2C 06 72 1B 2C 03 74 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D3 E8 ?? ?? ?? ?? 80 BB A5 00 00 00 04 75 54 8B C6 8B 10 FF 92 A8 00 00 00 85 C0 7C 14 83 BB 5C 02 00 00 00 7E 3D 8B C6 E8 ?? ?? ?? ?? 84 C0 75 32 6A 00 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 C9 5A E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B6 46 4A 84 C0 74 08 2C 03 0F 85 C8 00 00 00 80 7E 49 00 74 41 0F B6 83 A5 00 00 00 2C 04 74 36 2C 02 74 32 6A 00 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 C6 45 F4 11 8D 45 F0 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 33 C9 5A E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 0F B6 83 A5 00 00 00 04 FE 2C 02 73 24 57 8B C6 8B 10 FF 92 A8 00 00 00 50 8B 83 B0 01 00 00 50 8B 00 FF 90 A4 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 57 8B C6 8B 10 FF 92 A8 00 00 00 50 8B 45 FC 50 8B 83 B0 01 00 00 50 8B 00 FF 50 60 8B D0 8B C3 E8 ?? ?? ?? ?? 8B BB 84 01 00 00 85 FF 74 55 8B C6 8B 10 FF 92 A8 00 00 00 8B D0 4A B1 01 8B C7 E8 ?? ?? ?? ?? EB 3D 80 BB A5 00 00 00 0B 74 53 8B 83 84 02 00 00 03 46 54 01 45 FC 83 FF 01 1B C0 40 8B 55 FC 88 02 84 C0 74 19 8B C6 8B 10 FF 92 9C 00 00 00 8B C8 8B 45 FC 8D 50 01 8B C7 E8 ?? ?? ?? ?? 0F B6 83 A5 00 00 00 04 FB 2C 03 72 12 2C 03 74 0E 8B CE 33 D2 8B C3 8B 18 FF 93 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15357_0 {
	meta:
		name = "TCustomClientDataSet.CreateBlobStream"
		size = 112
		refs = "0013 TCustomClientDataSet.GetActiveRecBuf 004a TCustomClientDataSet.FetchBlobs 0053 _Dn_TBlobField 0058 @AsClass 0061 _DV_TClientBlobStream 0066 TClientBlobStream.Create"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D9 8B F2 8B F8 8D 54 24 04 8B C7 E8 ?? ?? ?? ?? 84 C0 74 33 54 8B C6 8B 10 FF 92 A8 00 00 00 50 8B 44 24 0C 50 8B 87 B0 01 00 00 50 8B 00 FF 50 64 66 3D 09 40 75 10 80 BF 9B 02 00 00 00 74 07 8B C7 E8 ?? ?? ?? ?? 53 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15358_0 {
	meta:
		name = "TCustomClientDataSet.RefreshInternalCalcFields"
		size = 21
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B C6 8B 08 FF 91 B8 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_15359_0 {
	meta:
		name = "TCustomClientDataSet.CalcFieldsCallBack"
		size = 125
		refs = "000b TCustomClientDataSet.CalcFieldsCallBack 001b TDataSet.SetTempState 0053 TDataSet.RestoreState 0059 @HandleFinally 006a @HandleAnyException 006f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 0B 8B 45 08 E8 ?? ?? ?? ?? 88 45 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 0C 8B 45 08 8B 08 FF 91 B8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 FF 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_15360_0 {
	meta:
		name = "TCustomClientDataSet.DataConvert"
		size = 156
		refs = "0023 @PWCharLen 005a Move 008f TDataSet.DataConvert"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 8B F2 89 45 FC 8B 45 08 8B 7D 0C 80 7E 48 18 75 69 84 C0 74 40 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B C6 8B 10 FF 92 B4 00 00 00 3B 45 F8 7D 0D 8B C6 8B 10 FF 92 B4 00 00 00 89 45 F8 0F B7 45 F8 03 C0 66 89 07 0F B7 C8 8B D7 83 C2 02 8B C3 E8 ?? ?? ?? ?? EB 33 0F B7 33 8B D7 8B C3 83 C0 02 8B CE E8 ?? ?? ?? ?? D1 FE 79 03 83 D6 00 8B C6 03 C0 03 C7 66 C7 00 00 00 EB 0E 57 50 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_15361_0 {
	meta:
		name = "TCustomClientDataSet.InternalFirst"
		size = 26
		refs = "0014 TCustomClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 8B 83 B0 01 00 00 50 8B 00 FF 50 38 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15362_0 {
	meta:
		name = "TCustomClientDataSet.InternalLast"
		size = 36
		refs = "001e TCustomClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 08 03 00 00 8B 83 B0 01 00 00 50 8B 00 FF 50 3C 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15363_0 {
	meta:
		name = "TCustomClientDataSet.InternalPost"
		size = 117
		refs = "0007 TDataSet.InternalPost 0031 TCustomClientDataSet.Check 006e TCustomClientDataSet.DoAggUpdates"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB A5 00 00 00 02 75 23 8B F3 8B 46 5C 8B 56 64 8B 04 82 50 8B 83 B0 01 00 00 50 8B 00 FF 50 78 8B D0 8B C3 E8 ?? ?? ?? ?? EB 21 8B F3 8B 46 5C 8B 56 64 8B 04 82 50 8B 83 B0 01 00 00 50 8B 00 FF 50 7C 8B D0 8B C3 E8 ?? ?? ?? ?? 80 BB A0 01 00 00 00 74 11 80 BB A5 00 00 00 02 0F 94 C2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15364_0 {
	meta:
		name = "TCustomClientDataSet.InternalCancel"
		size = 24
	strings:
		$1 = { 83 78 7C 00 7E 11 6A 00 8B 80 AC 01 00 00 50 8B 00 FF 90 80 00 00 00 C3 }
	condition:
		$1
}

rule function_15365_0 {
	meta:
		name = "TCustomClientDataSet.InternalDelete"
		size = 126
		refs = "000c TCustomClientDataSet.InternalDelete 0023 SNoDeletesAllowed 0028 LoadResString 0032 DatabaseError 0047 TCustomClientDataSet.Check 0059 TCustomClientDataSet.DoAggUpdates 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 83 B4 01 00 00 02 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 50 8B 00 FF 50 74 8B D0 8B C3 E8 ?? ?? ?? ?? 80 BB A0 01 00 00 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15366_0 {
	meta:
		name = "TCustomClientDataSet.InternalEdit"
		size = 87
		refs = "000c TCustomClientDataSet.InternalEdit 0023 SNoEditsAllowed 0028 LoadResString 0032 DatabaseError 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 83 B4 01 00 00 04 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15367_0 {
	meta:
		name = "TCustomClientDataSet.DoBeforeInsert"
		size = 128
		refs = "000d TCustomClientDataSet.DoBeforeInsert 0024 SNoInsertsAllowed 0029 LoadResString 0033 DatabaseError 003a TDataSet.DoBeforeInsert 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 86 B4 01 00 00 01 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 8C 00 00 00 85 C0 74 16 8B 78 3C 80 BF A5 00 00 00 03 75 0A 8B C7 8B 10 FF 92 B0 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 59 5D C3 }
	condition:
		$1
}

rule function_15368_0 {
	meta:
		name = "TCustomClientDataSet.InternalInsert"
		size = 33
	strings:
		$1 = { 53 8B D8 6A 00 6A 02 8B 83 B0 01 00 00 50 8B 00 FF 90 D4 00 00 00 8B C3 C7 40 60 FF FF FF FF 5B C3 }
	condition:
		$1
}

rule function_15369_0 {
	meta:
		name = "TCustomClientDataSet.Post"
		size = 115
		refs = "001b TCustomClientDataSet.Check 0039 TDataSet.UpdateRecord 004c TDataSet.SetState 0055 TDataSet.Post 0067 TCustomClientDataSet.PostKeyBuffer"
	strings:
		$1 = { 53 81 C4 B8 FE FF FF 8B D8 54 8B 83 AC 01 00 00 50 8B 00 FF 50 20 8B D0 8B C3 E8 ?? ?? ?? ?? 83 BC 24 1D 01 00 00 00 74 29 0F B6 83 A5 00 00 00 04 FE 2C 02 73 1C 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 14 02 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? EB 19 8B C3 E8 ?? ?? ?? ?? 80 BB A5 00 00 00 04 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 81 C4 48 01 00 00 5B C3 }
	condition:
		$1
}

rule function_15371_0 {
	meta:
		name = "TCustomClientDataSet.InternalAddRecord"
		size = 47
		refs = "0028 TCustomClientDataSet.Check"
	strings:
		$1 = { 53 56 8B F2 8B D8 84 C9 74 0C 8B 83 B0 01 00 00 50 8B 00 FF 50 3C 56 8B 83 B0 01 00 00 50 8B 00 FF 50 7C 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15372_0 {
	meta:
		name = "TCustomClientDataSet.InternalGotoBookmark"
		size = 31
		refs = "0018 TCustomClientDataSet.Check"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 83 B0 01 00 00 50 8B 00 FF 50 48 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15373_0 {
	meta:
		name = "TCustomClientDataSet.InternalSetToRecord"
		size = 15
	strings:
		$1 = { 03 90 88 02 00 00 8B 08 FF 91 08 02 00 00 C3 }
	condition:
		$1
}

rule function_15374_0 {
	meta:
		name = "TCustomClientDataSet.GetBookmarkFlag"
		size = 11
	strings:
		$1 = { 03 90 8C 02 00 00 0F B6 42 04 C3 }
	condition:
		$1
}

rule function_15375_0 {
	meta:
		name = "TCustomClientDataSet.SetBookmarkFlag"
		size = 10
	strings:
		$1 = { 03 90 8C 02 00 00 88 4A 04 C3 }
	condition:
		$1
}

rule function_15376_0 {
	meta:
		name = "TCustomClientDataSet.GetBookmarkData"
		size = 22
		refs = "0010 Move"
	strings:
		$1 = { 53 8B 98 88 02 00 00 03 D3 8B 40 6C 92 87 CA E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15377_0 {
	meta:
		name = "TCustomClientDataSet.SetBookmarkData"
		size = 31
		refs = "0019 Move"
	strings:
		$1 = { 53 8B D0 8B 5A 5C 8B 52 64 8B 14 9A 8B 98 88 02 00 00 03 D3 8B 40 6C 91 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15378_0 {
	meta:
		name = "TCustomClientDataSet.CompareBookmarks"
		size = 177
		refs = "0013 @DynArrayAddRef 0023 TCustomClientDataSet.CompareBookmarks 0044 RetCodes 0072 TCustomClientDataSet.Check 0093 TArray<System.Byte> 009d @FinalizeArray 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 0F 94 C0 83 E0 7F 83 7D FC 00 0F 94 C2 83 E2 7F 8D 14 55 ?? ?? ?? ?? 0F BE 04 02 89 45 F4 83 7D F4 02 75 2C 8D 45 F4 50 8B 45 F8 50 8B 45 FC 50 8B 83 B0 01 00 00 50 8B 00 FF 50 50 8B D0 8B C3 E8 ?? ?? ?? ?? 83 7D F4 02 75 05 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15379_0 {
	meta:
		name = "TCustomClientDataSet.BookmarkValid"
		size = 144
		refs = "000f @DynArrayAddRef 0017 TCustomClientDataSet.BookmarkValid 0078 TArray<System.Byte> 007d @DynArrayClear 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE B0 01 00 00 00 0F 95 C3 84 DB 74 37 8B C6 C7 40 60 FF FF FF FF 8B 45 FC 50 8B 86 B0 01 00 00 50 8B 00 FF 50 48 66 85 C0 75 13 6A 00 8B 86 B0 01 00 00 50 8B 00 FF 50 20 66 85 C0 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15380_0 {
	meta:
		name = "TCustomClientDataSet.SyncCursors"
		size = 112
		refs = "0010 @IntfAddRef 0020 TCustomClientDataSet.SyncCursors 0056 IDSCursor 0060 @FinalizeArray 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 50 8B 45 F8 50 8B 00 FF 50 28 8D 45 E4 50 8B 45 FC 50 8B 00 FF 50 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B E5 5D C3 }
	condition:
		$1
}

rule function_15381_0 {
	meta:
		name = "TCustomClientDataSet.UndoLastChange"
		size = 108
		refs = "0014 TDataSet.CheckBrowseMode 001b TDataSet.UpdateCursorPos 0052 TCustomClientDataSet.UndoLastChange"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 8B C6 8B 10 FF 92 68 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 FB 01 F5 1B C0 50 8B 86 B0 01 00 00 50 8B 00 FF 90 80 00 00 00 66 85 C0 0F 94 04 24 80 3C 24 00 74 1E 84 DB 74 09 8B C6 C7 40 60 FF FF FF FF 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 0F B6 04 24 5A 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_15382_0 {
	meta:
		name = "TCustomClientDataSet.RevertRecord"
		size = 76
		refs = "0010 TDataSet.CheckBrowseMode 0017 TDataSet.UpdateCursorPos 002f TCustomClientDataSet.Check 0036 TCustomClientDataSet.RevertRecord"
	strings:
		$1 = { 56 8B F0 8B C6 8B 10 FF 92 68 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 B0 01 00 00 50 8B 00 FF 90 AC 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 5E C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15383_0 {
	meta:
		name = "TCustomClientDataSet.GetSavePoint"
		size = 54
		refs = "0018 TDataSet.CheckBrowseMode"
	strings:
		$1 = { 53 83 C4 F8 8B D8 C7 04 24 00 00 00 00 C7 44 24 04 00 00 00 00 8B C3 E8 ?? ?? ?? ?? 54 6A 0A 8B 83 AC 01 00 00 50 8B 00 FF 50 4C 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_15384_0 {
	meta:
		name = "TCustomClientDataSet.SetSavePoint"
		size = 92
		refs = "0013 TDataSet.CheckBrowseMode 001a TDataSet.UpdateCursorPos 0033 TCustomClientDataSet.Check 0043 TCustomClientDataSet.SetSavePoint"
	strings:
		$1 = { 55 8B EC 56 8B F0 8B C6 8B 10 FF 92 68 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 08 50 8B 86 AC 01 00 00 50 8B 00 FF 50 70 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 C7 40 60 FF FF FF FF 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 5E 5D C2 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15385_0 {
	meta:
		name = "TCustomClientDataSet.CancelUpdates"
		size = 10
		refs = "0005 TCustomClientDataSet.SetSavePoint"
	strings:
		$1 = { 6A 00 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_109974_0 {
	meta:
		name = "ExitWindows"
		size = 10
		refs = "0005 ExitWindowsEx"
	strings:
		$1 = { 6A 00 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95044_0 {
	meta:
		name = "LoadChartFromFile"
		size = 10
		refs = "0005 LoadChartFromFileCheck"
	strings:
		$1 = { 6A 00 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46272_0 {
	meta:
		name = "TIWRenderStream.WriteRenderStream"
		size = 10
		refs = "0005 TStream.CopyFrom"
	strings:
		$1 = { 6A 00 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15386_0 {
	meta:
		name = "TCustomClientDataSet.UpdateIndexDefs"
		size = 392
		refs = "0023 TCustomClientDataSet.UpdateIndexDefs 0036 TCustomClientDataSet.GetIndexDefs 004b TDataSet.GetActive 006c TFieldDefs.Update 0088 TCustomClientDataSet.Check 009a :TCustomClientDataSet.:2 009f @DynArraySetLength 00ae TCollection.Clear 00fb TCustomClientDataSet.DecodeIndexDesc 0107 TIndexDefs.AddIndexDef 0113 TNamedItem.SetDisplayName 011d TIndexDef.SetFields 0127 TIndexDef.SetDescFields 0131 TIndexDef.SetCaseInsFields 013c TIndexDef.SetOptions 0167 @UStrArrayClr 0175 @DynArrayClear 017b @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 A0 FE FF FF 53 56 57 33 D2 89 55 FC 89 55 F8 89 55 F4 89 55 F0 89 55 EC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 46 1C 10 74 15 8B C6 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 0F 8F 09 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 FA 00 00 00 8B C6 E8 ?? ?? ?? ?? 80 78 20 00 0F 85 E9 00 00 00 8B 46 40 E8 ?? ?? ?? ?? 8D 85 A2 FE FF FF 50 8B 86 B0 01 00 00 50 8B 00 FF 50 14 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 B7 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 86 AC 01 00 00 50 8B 00 FF 50 28 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 7D B7 4F 85 FF 7C 73 47 C7 45 E8 00 00 00 00 8D 45 F4 50 8D 45 F0 50 8D 45 EC 50 8D 45 E7 50 6B 45 E8 3B 8B 55 FC 8D 14 82 8D 4D F8 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 0F B6 55 E7 8B C3 E8 ?? ?? ?? ?? FF 45 E8 4F 75 95 8B C6 E8 ?? ?? ?? ?? C6 40 20 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15388_0 {
	meta:
		name = "CheckOption"
		size = 71
		refs = "0015 @UStrEqual 003e @UStrClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 85 FF 74 32 8B 06 8B D7 E8 ?? ?? ?? ?? 75 27 8B 45 08 8B 40 08 80 FB 07 77 15 83 E3 7F 8B D0 83 E2 03 2B C2 03 D2 03 D2 03 D2 03 DA 0F AB 18 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_15389_0 {
	meta:
		name = "FindNameFromId"
		size = 273
		refs = "0011 FindNameFromId 003a TFieldDefList.GetFieldDef 003f TFieldDef.GetFieldNo 0061 @UStrAsg 00dd @UStrClr 00fd @UStrArrayClr 0103 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 44 8B 10 FF 52 14 3B D8 7F 3A 8B D3 4A 8B 45 08 8B 40 FC 8B 40 44 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B D8 75 20 8D 4D FC 8B D3 4A 8B 45 08 8B 40 FC 8B 40 44 8B 18 FF 53 0C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 7A 8B 45 08 8B 40 FC 80 B8 AC 00 00 00 00 74 64 8B 45 08 8B 40 FC 83 B8 7C 02 00 00 00 74 55 8B 45 08 8B 40 FC 8B 40 44 8B 10 FF 52 14 8B D3 83 EA 02 3B C2 7E 3E 8B D3 83 EA 02 8B 45 08 8B 40 FC 8B 40 44 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B D8 75 22 8D 4D F8 8B D3 83 EA 02 8B 45 08 8B 40 FC 8B 40 44 8B 18 FF 53 0C 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 83 3E 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15390_0 {
	meta:
		name = "TCustomClientDataSet.DecodeIndexDesc"
		size = 356
		refs = "0025 TCustomClientDataSet.DecodeIndexDesc 0036 TFlatList.Update 0048 @LStrFromArray 0059 @LStrLAsg 0064 UTF8ToUnicodeString 006f @UStrLAsg 0079 @UStrAsg 0080 @UStrClr 00ad FindNameFromId 00bc ConcatField 010f CheckOption 0133 @LStrClr 0148 @UStrArrayClr 014e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 E8 89 45 FC 8B 7D 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? 8D 45 E4 8B 55 E8 B9 20 00 00 00 6A 00 E8 ?? ?? ?? ?? 8B 75 E4 8D 45 EC 89 75 E0 8B 55 E0 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F0 E8 ?? ?? ?? ?? 8B C3 8B 55 F4 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 75 E8 8B 76 20 4E 85 F6 7C 4C 46 8B 5D E8 83 C3 24 55 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 59 84 C0 74 2F 8B C7 8B 55 F8 E8 ?? ?? ?? ?? 83 7B 48 00 74 0B 8B 45 10 8B 55 F8 E8 ?? ?? ?? ?? 83 BB 88 00 00 00 00 74 0B 8B 45 0C 8B 55 F8 E8 ?? ?? ?? ?? 83 C3 04 4E 75 BB 8B 45 08 0F B6 15 ?? ?? ?? ?? 88 10 8B 45 E8 83 78 68 00 74 06 8B 45 08 80 08 02 55 8B 55 10 8B 07 B1 02 E8 ?? ?? ?? ?? 59 55 8B 55 0C 8B 07 B1 03 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15391_0 {
	meta:
		name = "TCustomClientDataSet.GetIndexNames"
		size = 35
		refs = "0009 TCustomClientDataSet.GetIndexDefs 000e TIndexDefs.Update 001c TDefCollection.GetItemNames"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15392_0 {
	meta:
		name = "TCustomClientDataSet.GetIndexDefs"
		size = 40
		refs = "0011 _Dn_TIndexDefs 0016 TIndexDefs.Create"
	strings:
		$1 = { 53 8B D8 83 BB D0 01 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D0 01 00 00 8B 83 D0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_15394_0 {
	meta:
		name = "TCustomClientDataSet.GetIndexInfo"
		size = 201
		refs = "0015 @UStrAddRef 001d TCustomClientDataSet.GetIndexInfo 0071 TCustomClientDataSet.GetIndexDefs 0079 TDefCollection.IndexOf 008e TIndexDefs.GetIndexDef 00b6 @UStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 10 FF FF FF 53 56 57 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 10 FF FF FF 50 6A FF 8B 83 B0 01 00 00 50 8B 00 FF 50 18 66 85 C0 75 2D 8B 85 30 FF FF FF 89 83 5C 02 00 00 8D B5 34 FF FF FF 8D BB F4 01 00 00 B9 10 00 00 00 F3 A5 0F B7 85 74 FF FF FF 66 89 83 80 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 19 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 28 89 83 60 02 00 00 EB 08 33 C0 89 83 60 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15395_0 {
	meta:
		name = "TCustomClientDataSet.SwitchToIndex"
		size = 472
		refs = "0040 TCustomClientDataSet.SwitchToIndex 004d TCustomClientDataSet.ResetCursorRange 0057 @UStrLAsg 0062 UTF8Encode 006a @LStrToPChar 0094 TCustomClientDataSet.GetIndexDefs 009b TIndexDefs.Find 00aa TIndexDef.GetFields 00bb @WStrFromUStr 0112 TCustomClientDataSet.EncodeIndexDesc 012e TCustomClientDataSet.Check 0178 TCustomClientDataSet.GetIndexInfo 0195 @WStrArrayClr 01a0 @UStrClr 01ab @WStrClr 01b8 @LStrArrayClr 01c5 @UStrArrayClr 01cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 56 57 33 C9 89 8D 00 FF FF FF 89 8D FC FE FF FF 89 8D F8 FE FF FF 89 8D F4 FE FF FF 89 8D F0 FE FF FF 89 4D FC 89 4D F4 89 4D F8 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 83 B0 01 00 00 50 8B 00 FF 90 98 00 00 00 66 85 C0 0F 84 EC 00 00 00 66 3D 0D 27 0F 85 D9 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F8 8D 95 FC FE FF FF 8B C7 E8 ?? ?? ?? ?? 8B 95 FC FE FF FF 8D 85 00 FF FF FF E8 ?? ?? ?? ?? 8B 85 00 FF FF FF 50 8D 85 F8 FE FF FF 8B 57 1C E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 50 8D 85 F4 FE FF FF 8B 57 20 E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 50 0F B6 47 24 50 8D 85 F0 FE FF FF 8B 57 0C E8 ?? ?? ?? ?? 8B 8D F0 FE FF FF 8D 95 04 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 04 FF FF FF 50 8B 83 AC 01 00 00 50 8B 00 FF 50 3C 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 83 B0 01 00 00 50 8B 00 FF 90 98 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? EB 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 FC FE FF FF E8 ?? ?? ?? ?? 8D 85 00 FF FF FF E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15396_0 {
	meta:
		name = "TCustomClientDataSet.SetIndex"
		size = 516
		refs = "001b TCustomClientDataSet.SetIndex 0029 TDataSet.GetActive 0039 TDataSet.CheckBrowseMode 0041 TDataSet.UpdateCursorPos 005c @WStrEqual 007f @UStrFromWStr 0093 TCustomClientDataSet.SortOnFields 00aa TCustomClientDataSet.SwitchToIndex 00b9 @WStrAsg 00dd @IntfCopy 012c TCustomClientDataSet.ResetAllAggs 0143 TCustomClientDataSet.InitBufferPointers 0172 @HandleAnyException 017c TDataSet.SetState 018c @RaiseAgain 0191 @DoneExcept 0199 TCustomClientDataSet.ResetCursorRange 01a1 TCustomClientDataSet.CheckMasterRange 01e5 @UStrArrayClr 01ed @IntfClear 01f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 82 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 08 03 00 00 8B 45 F8 8B 80 D4 01 00 00 8B D6 E8 ?? ?? ?? ?? 75 0F 8B 45 F8 3A 98 95 02 00 00 0F 84 46 01 00 00 84 DB 74 24 6A 00 6A 00 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8B 4D F0 8B 45 F8 8B 90 B0 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 15 8D 45 EC 8B D6 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 05 D4 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 88 98 95 02 00 00 8B 45 F8 8B B8 7C 02 00 00 85 FF 74 31 8D 45 FC 8B 97 B0 01 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 FC 50 8B 00 FF 50 2C 8B 45 FC 50 8B 00 FF 50 38 8B 45 F4 50 8B 45 FC 50 8B 00 FF 50 44 8B 45 F8 80 B8 A0 01 00 00 00 0F 84 81 00 00 00 8B 45 F8 C6 80 88 01 00 00 00 8B 45 F8 0F B6 90 A0 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 91 C0 01 00 00 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 50 54 42 8B 45 F8 8B 08 FF 91 C0 01 00 00 33 C0 5A 59 59 64 89 10 EB 24 E9 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 D4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 45 F8 8B 08 FF 91 B4 02 00 00 8B 45 F8 05 D4 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 88 98 95 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_15397_0 {
	meta:
		name = "IndexFieldOfs"
		size = 176
		refs = "0014 IndexFieldOfs 002b TFieldDefs.Find 0030 TFieldDef.GetFieldNo 0066 SIndexFieldMissing 006b LoadResString 0084 DatabaseErrorFmt 009c @UStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 40 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 50 F8 8B 52 20 4A 85 D2 7C 17 42 33 DB 8B 45 08 8B 40 F8 83 C0 24 3B 30 74 37 43 83 C0 04 4A 75 F5 8B 45 08 8B 40 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15398_0 {
	meta:
		name = "TCustomClientDataSet.EncodeIndexDesc"
		size = 513
		refs = "002d TCustomClientDataSet.EncodeIndexDesc 0042 @FillChar 004d @UStrFromWStr 0058 UTF8Encode 0060 @LStrToPChar 006f StrLCopy 008f @WStrEqual 00dd ExtractFieldName 00eb TFieldDefList.FieldByName 00f0 TFieldDef.GetFieldNo 012d @WStrLen 0165 IndexFieldOfs 01dc @UStrArrayClr 01e4 @LStrClr 01ec @UStrClr 01f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D EC 89 55 F8 89 45 FC 8B 75 0C 8B 5D 10 8B 7D 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 33 C9 BA EC 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 EC E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 B9 1F 00 00 00 E8 ?? ?? ?? ?? F6 45 08 02 0F 95 C0 F6 D8 1B C0 8B 55 F8 89 42 68 F6 45 08 04 74 0B 8B C3 33 D2 E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 F6 D8 1B C0 89 45 E4 F6 45 08 08 74 0B 8B C6 33 D2 E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 F6 D8 1B C0 89 45 E0 C7 45 E8 01 00 00 00 EB 61 8D 45 D8 8B D7 E8 ?? ?? ?? ?? 8B 45 D8 8D 4D DC 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 52 20 8B 4D F8 89 44 91 24 8B 45 F8 8B 40 20 8B 55 F8 8B 4D E4 89 4C 82 6C 8B 45 F8 8B 40 20 8B 55 F8 8B 4D E0 89 8C 82 AC 00 00 00 8B 45 F8 FF 40 20 8B C7 E8 ?? ?? ?? ?? 3B 45 E8 7C 09 8B 45 F8 83 78 20 10 7C 8A C7 45 E8 01 00 00 00 EB 2D 55 8D 45 D0 8B D3 E8 ?? ?? ?? ?? 8B 45 D0 8D 4D D4 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 59 8B 55 F8 C7 44 82 6C FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 3B 45 E8 7D C7 C7 45 E8 01 00 00 00 EB 30 55 8D 45 C8 8B D6 E8 ?? ?? ?? ?? 8B 45 C8 8D 4D CC 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 59 8B 55 F8 C7 84 82 AC 00 00 00 FF FF FF FF 8B C6 E8 ?? ?? ?? ?? 3B 45 E8 7D C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_15399_0 {
	meta:
		name = "TCustomClientDataSet.AddIndex"
		size = 310
		refs = "0030 TCustomClientDataSet.AddIndex 003d TDataSet.CheckBrowseMode 0045 TFieldDefs.Update 0052 @WStrFromUStr 00a8 TCustomClientDataSet.EncodeIndexDesc 00cd TCustomClientDataSet.Check 00da TCustomClientDataSet.GetIndexDefs 00df TIndexDefs.Update 00ed TIndexDefs.Find 0121 @WStrArrayClr 0127 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 FF FF FF 53 56 57 33 DB 89 9D 10 FF FF FF 89 9D 0C FF FF FF 89 9D 08 FF FF FF 89 9D 04 FF FF FF 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 8D 85 10 FF FF FF 8B D7 E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 50 8D 85 0C FF FF FF 8B 55 10 E8 ?? ?? ?? ?? 8B 85 0C FF FF FF 50 8D 85 08 FF FF FF 8B 55 0C E8 ?? ?? ?? ?? 8B 85 08 FF FF FF 50 0F B6 45 14 50 8D 85 04 FF FF FF 8B D6 E8 ?? ?? ?? ?? 8B 8D 04 FF FF FF 8D 95 14 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B C3 C7 40 60 FF FF FF FF 8D 85 14 FF FF FF 50 8B 83 AC 01 00 00 50 8B 00 FF 50 3C 8B D0 8B C3 E8 ?? ?? ?? ?? 83 7D 08 00 7E 26 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 85 C0 74 13 8B 55 08 89 50 28 EB 0B 8B C3 E8 ?? ?? ?? ?? C6 40 20 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 04 FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_15400_0 {
	meta:
		name = "TCustomClientDataSet.DeleteIndex"
		size = 201
		refs = "0013 TCustomClientDataSet.DeleteIndex 0020 TDataSet.CheckBrowseMode 002a TCustomClientDataSet.GetIndexName 0035 @UStrFromWStr 003f AnsiCompareText 004c TCustomClientDataSet.SetIndexName 0056 @UStrLAsg 0061 UTF8Encode 0069 @LStrToPChar 007f TCustomClientDataSet.Check 0086 TCustomClientDataSet.GetIndexDefs 009f @WStrClr 00a7 @UStrClr 00af @LStrClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 85 C0 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 83 AC 01 00 00 50 8B 00 FF 50 40 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 40 20 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15401_0 {
	meta:
		name = "TCustomClientDataSet.GetIndexField"
		size = 221
		refs = "0015 TCustomClientDataSet.GetIndexField 002f SFieldIndexError 0034 LoadResString 003e DatabaseError 0051 TFields.FieldByNumber 0070 TFieldDefs.GetFieldDef 007b @UStrLAsg 0087 IntToStr 0090 SIndexFieldMissing 00ae DatabaseErrorFmt 00c8 @UStrArrayClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 08 3B B3 5C 02 00 00 7C 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D3 E8 ?? ?? ?? ?? 8B B4 B3 F4 01 00 00 8B C3 8B D6 8B 40 38 E8 ?? ?? ?? ?? 8B F8 85 FF 75 57 8B C6 48 8B 53 40 8B 52 08 3B 42 08 7D 18 8B D6 4A 8B 43 40 E8 ?? ?? ?? ?? 8B 50 0C 8D 45 FC E8 ?? ?? ?? ?? EB 0A 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 53 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15402_0 {
	meta:
		name = "TCustomClientDataSet.GetIsIndexField"
		size = 80
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C6 04 24 00 8B C5 8B 10 FF 92 A8 00 00 00 85 C0 7E 2B 8B 9F 5C 02 00 00 4B 85 DB 7C 20 43 33 F6 8B C5 8B 10 FF 92 A8 00 00 00 3B 84 B7 F4 01 00 00 75 06 C6 04 24 01 EB 04 46 4B 75 E3 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15403_0 {
	meta:
		name = "TCustomClientDataSet.GetIndexName"
		size = 41
		refs = "0012 @WStrClr 0022 @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 95 02 00 00 00 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 D4 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15404_0 {
	meta:
		name = "TCustomClientDataSet.SetFileName"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 E0 01 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15407_0 {
	meta:
		name = "TCustomClientDataSet.GetIndexFieldNames"
		size = 41
		refs = "0018 @WStrAsg 0022 @WStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 95 02 00 00 00 74 10 8B C6 8B 93 D4 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15408_0 {
	meta:
		name = "TCustomClientDataSet.SetIndexFieldNames"
		size = 30
		refs = "000b @WStrEqual 0017 TCustomClientDataSet.SetIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 33 D2 E8 ?? ?? ?? ?? 0F 95 C1 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15409_0 {
	meta:
		name = "TCustomClientDataSet.GetIndexFieldCount"
		size = 7
	strings:
		$1 = { 8B 80 5C 02 00 00 C3 }
	condition:
		$1
}

rule function_15410_0 {
	meta:
		name = "GetFlags"
		size = 44
	strings:
		$1 = { 55 8B EC 85 C0 75 04 33 C0 5D C3 8B 45 08 8B 40 FC 8B 48 08 49 85 C9 7C 0F 41 8B C2 C7 00 FF FF FF FF 83 C0 04 49 75 F4 8B C2 5D C3 }
	condition:
		$1
}

rule function_15411_0 {
	meta:
		name = "TCustomClientDataSet.SortOnFields"
		size = 352
		refs = "001f @IntfAddRef 0027 TCustomClientDataSet.SortOnFields 0034 _Dn_TList 0039 TObject.Create 0056 TDataSet.GetFieldList 006e TList.Get 0098 TList.Put 00a5 SFieldIndexError 00aa LoadResString 00b7 DatabaseError 00ce GetFlags 0105 TCustomClientDataSet.Check 010e TCustomClientDataSet.GetIndexInfo 0123 TObject.Free 0129 @HandleFinally 0143 @UStrClr 014b @IntfClear"
	strings:
		$1 = { 55 8B EC 81 C4 74 FF FF FF 53 56 57 33 DB 89 9D 74 FF FF FF 8B D9 89 55 F8 8B F8 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 70 08 4E 85 F6 7C 5A 46 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 92 A8 00 00 00 85 C0 7E 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 92 A8 00 00 00 8B C8 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1D 8D 95 74 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 8B D7 E8 ?? ?? ?? ?? 43 4E 75 A9 55 8D 95 78 FF FF FF 80 7D 0C 01 F5 1B C0 E8 ?? ?? ?? ?? 59 50 55 8D 55 B8 80 7D 08 01 F5 1B C0 E8 ?? ?? ?? ?? 59 50 8B 45 FC 8B 40 04 50 8B 45 FC 8B 40 08 50 8B 45 F8 50 8B 00 FF 90 94 00 00 00 8B D0 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_15412_0 {
	meta:
		name = "TCustomClientDataSet.AllocKeyBuffers"
		size = 161
		refs = "000e TCustomClientDataSet.AllocKeyBuffers 0027 AllocMem 0070 Move 0085 @HandleAnyException 008d TCustomClientDataSet.FreeKeyBuffers 0092 @RaiseAgain 0097 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 FC 8B 80 84 02 00 00 83 C0 08 E8 ?? ?? ?? ?? 8B 55 FC 89 84 9A 34 02 00 00 43 83 FB 06 75 DF 8B 45 FC 83 B8 BC 01 00 00 00 74 33 33 DB 8B 45 FC 8B 94 98 34 02 00 00 8B 45 FC 8B 80 BC 01 00 00 8B 84 98 34 02 00 00 8B 4D FC 8B 89 84 02 00 00 83 C1 08 E8 ?? ?? ?? ?? 43 83 FB 06 75 CF 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15413_0 {
	meta:
		name = "TCustomClientDataSet.GetKeyBuffer"
		size = 8
	strings:
		$1 = { 8B 84 90 34 02 00 00 C3 }
	condition:
		$1
}

rule function_15414_0 {
	meta:
		name = "TCustomClientDataSet.FreeKeyBuffers"
		size = 36
		refs = "0017 DisposeMem"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B 96 84 02 00 00 83 C2 08 8D 84 9E 34 02 00 00 E8 ?? ?? ?? ?? 43 83 FB 06 75 E5 5E 5B C3 }
	condition:
		$1
}

rule function_15415_0 {
	meta:
		name = "TCustomClientDataSet.InitKeyBuffer"
		size = 56
		refs = "0014 @FillChar 002f TCustomClientDataSet.Check"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 93 84 02 00 00 83 C2 08 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 83 C0 08 50 8B 83 B0 01 00 00 50 8B 00 FF 50 70 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15417_0 {
	meta:
		name = "TCustomClientDataSet.SetCursorRange"
		size = 261
		refs = "0021 CompareMem 00b9 TCustomClientDataSet.Check 00d3 Move"
	strings:
		$1 = { 53 56 57 55 51 8B F8 33 DB 8B 87 38 02 00 00 8B 97 40 02 00 00 8B B7 84 02 00 00 83 C6 08 8B CE E8 ?? ?? ?? ?? 84 C0 74 1E 8B 87 3C 02 00 00 8B 97 44 02 00 00 8B B7 84 02 00 00 83 C6 08 8B CE E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 0F 85 AC 00 00 00 8B C7 8B 10 FF 92 08 03 00 00 8B B7 38 02 00 00 8B 9F 3C 02 00 00 8B EE 83 C5 08 80 3E 00 75 02 33 ED 8B C3 83 C0 08 89 04 24 80 3B 00 75 05 33 C0 89 04 24 0F B6 43 01 34 01 F6 D8 1B C0 50 8B 44 24 04 50 0F B6 46 01 34 01 F6 D8 1B C0 50 55 8B 46 04 50 8B 87 B0 01 00 00 50 8B 00 FF 90 8C 00 00 00 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 8F 84 02 00 00 83 C1 08 8B 97 40 02 00 00 8B 87 38 02 00 00 E8 ?? ?? ?? ?? 8B 8F 84 02 00 00 83 C1 08 8B 97 44 02 00 00 8B 87 3C 02 00 00 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 0C 03 00 00 B3 01 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15418_0 {
	meta:
		name = "TCustomClientDataSet.ResetCursorRange"
		size = 91
		refs = "002f TCustomClientDataSet.Check 003c TCustomClientDataSet.InitKeyBuffer"
	strings:
		$1 = { 53 8B D8 33 C0 8B 93 40 02 00 00 80 3A 00 75 0B 8B 93 44 02 00 00 80 3A 00 74 3E 8B 83 B0 01 00 00 50 8B 00 FF 90 90 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 93 40 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 44 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 0C 03 00 00 B0 01 5B C3 }
	condition:
		$1
}

rule function_15419_0 {
	meta:
		name = "TCustomClientDataSet.SetLinkRanges"
		size = 203
		refs = "0014 TDataSet.SetTempState 001f TCustomClientDataSet.SetLinkRanges 0036 TCustomClientDataSet.InitKeyBuffer 0058 TList.Get 0063 TCustomClientDataSet.GetIndexField 0095 TDataSet.RestoreState 009b @HandleFinally 00c0 Move"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 89 45 FC B2 04 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 38 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 4C 02 00 00 C6 03 01 8B 77 08 4E 85 F6 7C 21 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 43 4E 75 E2 8B 47 08 8B 55 FC 8B 92 4C 02 00 00 89 42 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 FB 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 8B 45 FC 8B 88 84 02 00 00 83 C1 08 8B 45 FC 8B 90 3C 02 00 00 8B 45 FC 8B 80 38 02 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15420_0 {
	meta:
		name = "TCustomClientDataSet.SetKeyBuffer"
		size = 110
		refs = "000c TDataSet.CheckBrowseMode 002d Move 003e TCustomClientDataSet.InitKeyBuffer 0047 TDataSet.SetState"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 84 BE 34 02 00 00 89 86 4C 02 00 00 8B 8E 84 02 00 00 83 C1 08 8B 96 48 02 00 00 E8 ?? ?? ?? ?? 84 DB 74 0D 8B 96 4C 02 00 00 8B C6 E8 ?? ?? ?? ?? B2 04 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 96 4C 02 00 00 0F B6 12 88 90 AA 00 00 00 33 C9 B2 02 8B C6 8B 18 FF 93 E4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15421_0 {
	meta:
		name = "TCustomClientDataSet.PostKeyBuffer"
		size = 95
		refs = "0040 Move 0049 TDataSet.SetState"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 33 C9 B2 07 8B C6 8B 38 FF 97 E4 00 00 00 84 DB 74 11 8B 86 4C 02 00 00 0F B6 96 AA 00 00 00 88 10 EB 1A 8B 8E 84 02 00 00 83 C1 08 8B 96 4C 02 00 00 8B 86 48 02 00 00 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 02 8B C6 8B 18 FF 93 E4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15422_0 {
	meta:
		name = "TCustomClientDataSet.GetKeyExclusive"
		size = 22
		refs = "0006 TCustomClientDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 4C 02 00 00 0F B6 40 01 5B C3 }
	condition:
		$1
}

rule function_15423_0 {
	meta:
		name = "TCustomClientDataSet.SetKeyExclusive"
		size = 25
		refs = "0009 TCustomClientDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 4C 02 00 00 88 58 01 5E 5B C3 }
	condition:
		$1
}

rule function_15424_0 {
	meta:
		name = "TCustomClientDataSet.GetKeyFieldCount"
		size = 21
		refs = "0006 TCustomClientDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 4C 02 00 00 8B 40 04 5B C3 }
	condition:
		$1
}

rule function_15425_0 {
	meta:
		name = "TCustomClientDataSet.SetKeyFieldCount"
		size = 25
		refs = "0009 TCustomClientDataSet.CheckSetKeyMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 4C 02 00 00 89 70 04 5E 5B C3 }
	condition:
		$1
}

rule function_15426_0 {
	meta:
		name = "TCustomClientDataSet.SetKeyFields"
		size = 332
		refs = "0019 TCustomClientDataSet.SetKeyFields 0033 SNoFieldIndexes 0038 LoadResString 0043 DatabaseError 004d TDataSet.SetTempState 0070 TCustomClientDataSet.InitKeyBuffer 0099 TCustomClientDataSet.GetIndexField 00a0 TField.AssignValue 011a TDataSet.RestoreState 0120 @HandleFinally 0137 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 5C 02 00 00 00 75 18 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? B2 04 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 94 98 34 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 4C 02 00 00 8B 45 FC 83 B8 7C 02 00 00 00 75 34 8B 5D 08 85 DB 7C 1B 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 47 83 C6 08 4B 75 E8 8B 45 08 40 8B 55 FC 8B 92 4C 02 00 00 89 42 04 EB 33 8B 5D 08 85 DB 7C 1C 43 33 FF 8D 57 01 8B 45 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 47 83 C6 08 4B 75 E7 8B 45 08 40 8B 55 FC 8B 92 4C 02 00 00 89 42 04 8B 45 FC 0F B6 80 AA 00 00 00 8B 55 FC 8B 92 4C 02 00 00 88 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 FB 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15429_0 {
	meta:
		name = "TCustomClientDataSet.GotoKey"
		size = 124
		refs = "0008 TDataSet.CheckBrowseMode 0058 TCustomClientDataSet.GotoKey"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 34 01 00 00 8B C7 C7 40 60 FF FF FF FF 8B C7 8B 10 FF 92 08 03 00 00 8B B7 34 02 00 00 8B DE 83 C3 08 6A 00 53 6A 00 8B 46 04 50 8B 87 B0 01 00 00 50 8B 00 FF 50 58 66 85 C0 0F 94 C0 8B D8 84 DB 74 1B 0F B6 15 ?? ?? ?? ?? 8B C7 8B 08 FF 91 B4 02 00 00 8B C7 8B 10 FF 92 10 01 00 00 8B C3 5F 5E 5B C3 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_15430_0 {
	meta:
		name = "TCustomClientDataSet.GotoNearest"
		size = 128
		refs = "0009 TDataSet.CheckBrowseMode 0057 TCustomClientDataSet.Check 005e TCustomClientDataSet.GotoNearest"
	strings:
		$1 = { 53 56 57 55 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 34 01 00 00 8B C3 8B 10 FF 92 08 03 00 00 8B B3 34 02 00 00 8B EE 83 C5 08 80 7E 01 00 74 07 BF 01 00 00 00 EB 05 BF 02 00 00 00 55 6A 00 8B 46 04 50 57 8B 83 B0 01 00 00 50 8B 00 FF 50 4C 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 B4 02 00 00 8B C3 8B 10 FF 92 10 01 00 00 5D 5F 5E 5B C3 00 02 00 00 00 }
	condition:
		$1
}

rule function_15433_0 {
	meta:
		name = "TCustomClientDataSet.ApplyRange"
		size = 37
		refs = "0006 TDataSet.CheckBrowseMode 000d TCustomClientDataSet.SetCursorRange 0018 TDataSet.First"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? C6 83 04 03 00 00 01 5B C3 }
	condition:
		$1
}

rule function_15434_0 {
	meta:
		name = "TCustomClientDataSet.CancelRange"
		size = 60
		refs = "0006 TDataSet.CheckBrowseMode 000d TDataSet.UpdateCursorPos 0014 TCustomClientDataSet.ResetCursorRange 001f TCustomClientDataSet.CancelRange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 B4 02 00 00 C6 83 04 03 00 00 00 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15440_0 {
	meta:
		name = "TCustomClientDataSet.CheckDetailRecords"
		size = 599
		refs = "0018 TCustomClientDataSet.CheckDetailRecords 0059 TCustomClientDataSet.FetchDetails 006b TCustomClientDataSet.GetHasAppServer 0076 TCustomClientDataSet.GetProviderEOF 00eb VarArrayCreate 00f6 @OleVarFromVar 011e TList.Get 012d TCustomClientDataSet.GetIndexField 0138 @VarFromUStr 0182 @VarFromInt 01a3 VarArrayOf 01b0 @VarArrayPut 01f3 TDataSet.GetActive 01fe TDataSet.First 0216 @VarClr 0222 Variant 022c @FinalizeArray 024a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 16 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 50 8B 83 B0 01 00 00 50 8B 00 FF 50 34 83 BB 8C 00 00 00 00 74 27 66 3D 0A 40 0F 85 BD 01 00 00 80 BB 9B 02 00 00 00 0F 84 B0 01 00 00 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? E9 A0 01 00 00 83 7D EC 00 75 39 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2E 8B C3 E8 ?? ?? ?? ?? 84 C0 75 23 83 BB 70 02 00 00 00 75 1A 8B C3 8B 10 FF 92 60 01 00 00 8B 40 38 8B 50 5C 3B 50 58 0F 9D C0 34 01 EB 02 33 C0 84 C0 0F 84 57 01 00 00 8B C3 8B 10 FF 92 60 01 00 00 8B 40 38 80 B8 A5 00 00 00 03 0F 84 3D 01 00 00 8D 45 D8 50 33 C0 89 45 D0 8B 83 F0 01 00 00 8B 40 24 8B 40 08 48 89 45 D4 8D 45 D0 66 B9 0C 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 D8 8D 45 F0 E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 8B 40 24 8B 78 08 4F 85 FF 0F 8C B0 00 00 00 47 33 F6 8B 83 F0 01 00 00 8B 40 24 8B D6 E8 ?? ?? ?? ?? 89 45 E8 56 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 50 40 8D 45 80 E8 ?? ?? ?? ?? 56 57 8D 75 80 8D 7D 90 A5 A5 A5 A5 5F 5E 8D 95 70 FF FF FF 8B 45 E8 8B 08 FF 91 90 00 00 00 56 57 8D B5 70 FF FF FF 8D 7D A0 A5 A5 A5 A5 5F 5E 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 50 48 8D 85 60 FF FF FF B1 01 E8 ?? ?? ?? ?? 56 57 8D B5 60 FF FF FF 8D 7D B0 A5 A5 A5 A5 5F 5E 8D 45 90 8D 4D C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 46 4F 0F 85 53 FF FF FF 6A 00 6A 00 8D 45 F0 50 8D 85 50 FF FF FF 50 8D 4D EC 83 CA FF 8B C3 8B 30 FF 96 E4 02 00 00 8D 95 50 FF FF FF 33 C9 8B C3 8B 30 FF 96 00 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15441_0 {
	meta:
		name = "TCustomClientDataSet.CheckMasterRange"
		size = 62
		refs = "001e TCustomClientDataSet.SetLinkRanges 0025 TCustomClientDataSet.SetCursorRange"
	strings:
		$1 = { 53 8B D8 8B 83 F0 01 00 00 80 78 15 00 74 2D 8B 50 24 83 7A 08 00 7E 24 8B 50 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 BB 9B 02 00 00 00 74 0A 8B C3 8B 10 FF 92 04 03 00 00 5B C3 }
	condition:
		$1
}

rule function_15442_0 {
	meta:
		name = "TCustomClientDataSet.MasterChanged"
		size = 248
		refs = "0008 TDataSet.CheckBrowseMode 0021 TCustomClientDataSet.SetLinkRanges 0028 TCustomClientDataSet.ApplyRange 005a TDataSet.First 0085 CompareMem 00cf Move 00d8 TDataSet.UpdateCursorPos 00df TCustomClientDataSet.MasterChanged"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 83 BE 8C 00 00 00 00 75 33 8B 86 F0 01 00 00 8B 50 24 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 BE 9B 02 00 00 00 0F 84 B4 00 00 00 8B C6 8B 10 FF 92 04 03 00 00 E9 A5 00 00 00 8B 9E 7C 02 00 00 80 BB A5 00 00 00 03 75 0C 8B C6 E8 ?? ?? ?? ?? E9 8A 00 00 00 8B BE 7C 02 00 00 8B 47 5C 8B 57 64 8B 04 82 8B 93 88 02 00 00 8D 14 10 8B 4B 6C 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 48 80 BE 9B 02 00 00 00 74 0A 8B C6 8B 10 FF 92 04 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B 96 7C 02 00 00 8B 4A 5C 8B 52 64 8B 14 8A 8B 86 7C 02 00 00 8B 88 88 02 00 00 03 D1 8B 48 6C 8B 86 EC 01 00 00 92 E8 ?? ?? ?? ?? EB 18 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15444_0 {
	meta:
		name = "TCustomClientDataSet.SetDataSetField"
		size = 59
		refs = "000d TDataSet.Close 0016 TCustomClientDataSet.SetProviderName 002b TCustomClientDataSet.SetFileName 0034 TDataSet.SetDataSetField"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 25 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 30 03 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15445_0 {
	meta:
		name = "TCustomClientDataSet.Loaded"
		size = 39
		refs = "0006 TDataSet.Loaded 000d TDataSet.GetActive 0021 TDataSet.Open"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 83 BB C4 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15448_0 {
	meta:
		name = "TCustomClientDataSet.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 F0 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_15449_0 {
	meta:
		name = "TCustomClientDataSet.SetDataSource"
		size = 206
		refs = "0011 TCustomClientDataSet.SetDataSource 002c SNoNestedMasterSource 0031 LoadResString 003b DatabaseError 0044 TDataSet.IsLinkedTo 0050 SCircularDataLink 006c TDataLink.SetDataSource 00bc @UStrArrayClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 20 83 BB 8C 00 00 00 00 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D3 E8 ?? ?? ?? ?? 8B D6 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? F6 43 1C 10 74 30 F6 43 1C 01 75 2A 85 F6 74 13 83 BB 70 02 00 00 FF 75 1D 33 C0 89 83 70 02 00 00 EB 13 83 BB 70 02 00 00 00 75 0A C7 83 70 02 00 00 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15450_0 {
	meta:
		name = "TCustomClientDataSet.GetMasterFields"
		size = 25
		refs = "0012 @WStrFromUStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 F0 01 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15451_0 {
	meta:
		name = "TCustomClientDataSet.SetMasterFields"
		size = 83
		refs = "000f TCustomClientDataSet.SetMasterFields 001f @UStrFromWStr 002d TMasterDataLink.SetFieldNames 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15452_0 {
	meta:
		name = "TCustomClientDataSet.DoOnNewRecord"
		size = 130
		refs = "003d TList.Get 0048 TCustomClientDataSet.SetIndexField 0054 TFields.GetCount 0073 TCustomClientDataSet.GetAggFieldData 007a TDataSet.DoOnNewRecord"
	strings:
		$1 = { 53 56 57 8B D8 83 BB 8C 00 00 00 00 75 42 8B 83 F0 01 00 00 80 78 15 00 74 36 8B 50 24 83 7A 08 00 7E 2D 8B 40 24 8B 78 08 4F 85 FF 7C 22 47 33 F6 8B 83 F0 01 00 00 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 46 4F 75 E1 8B 43 3C E8 ?? ?? ?? ?? 85 C0 7E 1B 80 BB A0 01 00 00 00 74 12 8B C3 8B 50 5C 8B 40 64 8B 14 90 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15453_0 {
	meta:
		name = "DataStored"
		size = 174
		refs = "000b TDataSet.GetActive 0029 TCustomClientDataSet.GetHasAppServer 0090 TCustomClientDataSet.GetDataSize"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 3C 8B 45 08 8B 40 FC 83 B8 8C 00 00 00 00 75 2D 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 75 1E 8B 45 08 8B 40 FC 83 B8 68 02 00 00 00 75 0F 8B 45 08 8B 40 FC 83 B8 BC 01 00 00 00 74 04 33 C0 EB 02 B0 01 84 C0 74 52 8B 55 08 8B 52 F8 83 7A 20 00 74 46 8B 45 08 8B 40 F8 8B 58 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 30 8B C3 E8 ?? ?? ?? ?? 84 C0 75 25 83 BB 68 02 00 00 00 75 1C 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3B D8 75 04 33 C0 EB 02 B0 01 5B 5D C3 }
	condition:
		$1
}

rule function_15454_0 {
	meta:
		name = "TCustomClientDataSet.DefineProperties"
		size = 96
		refs = "0014 TComponent.DefineProperties 001d TCustomClientDataSet.ReadData 0026 TCustomClientDataSet.WriteData 002c DataStored 0034 TCustomClientDataSet.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 53 08 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_15455_0 {
	meta:
		name = "TCustomClientDataSet.ActivateFilters"
		size = 112
		refs = "000c TCustomClientDataSet.ActivateFilters 0029 @WStrFromUStr 003a TCustomClientDataSet.AddExprFilter 004b TCustomClientDataSet.AddFuncFilter 0060 @WStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 80 00 00 00 00 74 1F 8D 45 FC 8B 93 80 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 0F B6 8B A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 66 83 BB 72 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_15456_0 {
	meta:
		name = "TCustomClientDataSet.DeactivateFilters"
		size = 73
	strings:
		$1 = { 53 8B D8 8B 83 DC 01 00 00 85 C0 74 18 50 8B 83 B0 01 00 00 50 8B 00 FF 90 88 00 00 00 33 C0 89 83 DC 01 00 00 8B 83 D8 01 00 00 85 C0 74 18 50 8B 83 B0 01 00 00 50 8B 00 FF 90 88 00 00 00 33 C0 89 83 D8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_15457_0 {
	meta:
		name = "TCustomClientDataSet.AddExprFilter"
		size = 208
		refs = "002e @WStrEqual 0041 TCustomClientDataSet.AddExprFilter 004b FieldTypeMap 0057 _Dn_TExprParser 005c TExprParser.Create 00a4 TCustomClientDataSet.Check 00b9 TObject.Free 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 88 4D FF 8B F2 8B D8 8B 83 D8 01 00 00 85 C0 74 10 50 8B 83 B0 01 00 00 50 8B 00 FF 90 88 00 00 00 8B C6 33 D2 E8 ?? ?? ?? ?? 0F 84 8D 00 00 00 56 0F B6 45 FF 50 0F B6 05 ?? ?? ?? ?? 50 6A 00 6A 00 A1 ?? ?? ?? ?? 50 6A 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 08 03 00 00 8D 83 D8 01 00 00 50 8B 45 F8 8B 40 64 50 8B 45 F8 8B 40 5C 50 8B 83 B0 01 00 00 50 8B 00 FF 90 84 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_15458_0 {
	meta:
		name = "TCustomClientDataSet.FilterCallback"
		size = 144
		refs = "000d TDataSet.SetTempState 0024 TCustomClientDataSet.FilterCallback 0052 @HandleAnyException 0057 ApplicationHandleException 0071 @DoneExcept 007d TDataSet.RestoreState"
	strings:
		$1 = { 55 8B EC 51 53 56 57 B2 06 8B 45 08 E8 ?? ?? ?? ?? 88 45 FF 8B 45 08 8B 55 0C 89 90 E4 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FE 01 8D 4D FE 8B 5D 08 8B 55 08 8B 83 74 01 00 00 FF 93 70 01 00 00 33 C0 5A 59 59 64 89 10 EB 24 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 66 83 78 02 00 74 0E 8B 1D ?? ?? ?? ?? 8B 55 08 8B 43 04 FF 13 E8 ?? ?? ?? ?? 0F B6 55 FF 8B 45 08 E8 ?? ?? ?? ?? 80 7D FE 01 F5 1B C0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_15459_0 {
	meta:
		name = "TCustomClientDataSet.AddFuncFilter"
		size = 79
		refs = "002f TCustomClientDataSet.FilterCallback 0049 TCustomClientDataSet.Check"
	strings:
		$1 = { 53 8B D8 8B 83 DC 01 00 00 85 C0 74 10 50 8B 83 B0 01 00 00 50 8B 00 FF 90 88 00 00 00 8B C3 8B 10 FF 92 08 03 00 00 8D 83 DC 01 00 00 50 B8 ?? ?? ?? ?? 50 53 8B 83 B0 01 00 00 50 8B 00 FF 90 A0 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15460_0 {
	meta:
		name = "TCustomClientDataSet.SetFilterData"
		size = 184
		refs = "0018 TCustomClientDataSet.SetFilterData 0025 TDataSet.GetActive 0039 TDataSet.CheckBrowseMode 0046 @UStrEqual 005e @WStrFromUStr 006c TCustomClientDataSet.AddExprFilter 007d TDataSet.First 0086 TDataSet.SetFilterText 0091 TDataSet.SetFilterOptions 00a6 @WStrClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 88 4D FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 54 80 BB B0 00 00 00 00 74 4B 8B C3 E8 ?? ?? ?? ?? 8B 83 80 00 00 00 8B D6 E8 ?? ?? ?? ?? 75 0C 0F B6 45 FF 3A 83 A4 00 00 00 74 18 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 0F B6 4D FF 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 0C 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 55 FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15463_0 {
	meta:
		name = "TCustomClientDataSet.SetOnFilterRecord"
		size = 142
		refs = "0009 TDataSet.GetActive 001d TDataSet.CheckBrowseMode 0048 TDataSet.SetOnFilterRecord 004f TCustomClientDataSet.AddFuncFilter 0078 TDataSet.First"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6B 80 BB B0 00 00 00 00 74 62 8B C3 E8 ?? ?? ?? ?? 66 83 BB 72 01 00 00 00 0F 95 C2 0F B7 45 0A 66 85 C0 0F 95 C1 3A D1 74 31 66 85 C0 74 16 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 16 8B 83 DC 01 00 00 50 8B 83 B0 01 00 00 50 8B 00 FF 90 88 00 00 00 8B C3 8B 10 FF 92 0C 03 00 00 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15464_0 {
	meta:
		name = "TCustomClientDataSet.SetFiltered"
		size = 124
		refs = "0009 TDataSet.GetActive 0014 TDataSet.CheckBrowseMode 003d TCustomClientDataSet.ActivateFilters 0046 TCustomClientDataSet.DeactivateFilters 004d TCustomClientDataSet.SetFiltered 0054 TCustomClientDataSet.SetStatusFilter 005d TDataSet.SetFiltered 0064 TDataSet.First"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 5A 8B C6 E8 ?? ?? ?? ?? 3A 9E B0 00 00 00 74 41 8B C6 8B 10 FF 92 0C 03 00 00 8B 86 B0 01 00 00 50 8B 00 FF 50 38 84 DB 74 09 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_15465_0 {
	meta:
		name = "TCustomClientDataSet.SetStatusFilter"
		size = 332
		refs = "0016 TCustomClientDataSet.SetStatusFilter 0023 TDataSet.CheckBrowseMode 006f TCustomClientDataSet.SetIndexName 0087 TCustomClientDataSet.Check 0093 TCustomClientDataSet.GetIndexName 00a0 @WStrEqual 00f7 @WStrClr 00fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 3A 45 FF 74 5A 33 DB F6 45 FF 02 74 05 BB 08 00 00 00 F6 45 FF 04 74 03 83 C3 04 F6 45 FF 08 74 03 83 C3 02 80 BE B0 00 00 00 00 74 0C 33 D2 8B C6 8B 08 FF 91 CC 01 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 53 6A 10 8B 86 AC 01 00 00 50 8B 00 FF 50 50 8B D0 8B C6 E8 ?? ?? ?? ?? EB 3E 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 10 8B 86 AC 01 00 00 50 8B 00 FF 50 50 8B D0 8B C6 E8 ?? ?? ?? ?? 0F B6 45 FF 88 86 A8 02 00 00 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 00 00 00 00 16 00 00 00 43 00 48 00 41 00 4E 00 47 00 45 00 49 00 4E 00 44 00 45 00 58 00 00 00 1A 00 00 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 5F 00 4F 00 52 00 44 00 45 00 52 00 00 00 }
	condition:
		$1
}

rule function_15466_0 {
	meta:
		name = "TCustomClientDataSet.FindRecord"
		size = 544
		refs = "001c TCustomClientDataSet.FindRecord 002a TDataSet.CheckBrowseMode 003c TDataSet.UpdateCursorPos 007f @IntfClear 0093 TCustomClientDataSet.ActivateFilters 00b5 TCustomClientDataSet.CreateDSCursor 00c5 @IntfCopy 00da TCustomClientDataSet.DeactivateFilters 00e0 @HandleFinally 0102 TCustomClientDataSet.SyncCursors 0145 TCustomClientDataSet.Check 01d8 TDataSet.GetFound"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 5D FC 88 4D F6 88 55 F7 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 C6 80 AD 00 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 C7 40 60 FF FF FF FF 8B 45 F8 8B 10 FF 92 08 03 00 00 8B 45 F8 8B 10 FF 92 34 01 00 00 8B 45 F8 80 B8 B0 00 00 00 00 0F 85 A9 00 00 00 80 7D F7 00 74 0D 8B 45 F8 05 B8 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 83 B8 B8 01 00 00 00 75 57 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B 45 F8 8B 90 B0 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 05 B8 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F7 00 75 1A 8B 45 F8 8B 88 B0 01 00 00 8B 45 F8 8B 90 B8 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 8B 92 B8 01 00 00 E8 ?? ?? ?? ?? EB 11 8D 45 FC 8B 55 F8 8B 92 B0 01 00 00 E8 ?? ?? ?? ?? 80 7D F6 00 74 26 80 7D F7 00 74 13 8B 45 FC 50 8B 00 FF 50 38 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 6A 01 8B 45 FC 50 8B 00 FF 50 40 EB 24 80 7D F7 00 74 13 8B 45 FC 50 8B 00 FF 50 3C 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 6A FF 8B 45 FC 50 8B 00 FF 50 40 8B 55 F8 8B 92 B0 01 00 00 3B 55 FC 74 2B 8B 45 F8 8B 88 B8 01 00 00 8B 45 F8 8B 90 B0 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 8B 45 F8 8B 80 B0 01 00 00 50 8B 00 FF 50 20 66 85 C0 75 1C 0F B6 15 ?? ?? ?? ?? 8B 45 F8 8B 08 FF 91 B4 02 00 00 8B 45 F8 C6 80 AD 00 00 00 01 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8B 45 F8 8B 10 FF 92 10 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_15467_0 {
	meta:
		name = "TCustomClientDataSet.DestroyLookupCursor"
		size = 16
		refs = "000a @IntfClear"
	strings:
		$1 = { 53 8B D8 8D 83 B8 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15468_0 {
	meta:
		name = "TCustomClientDataSet.LocateRecord"
		size = 1108
		refs = "0021 TCustomClientDataSet.LocateRecord 002e TDataSet.CheckBrowseMode 0035 TDataSet.UpdateCursorPos 004f _Dn_TList 0054 TObject.Create 0071 TDataSet.GetFieldList 0079 @UStrClr 009c VarIsArray 00ab @VarCopy 00bd @VarArrayGet 00ca TList.Get 0145 VarToStr 0152 @UStrCat 015d QuotedStr 01a2 Format 01d3 SBadFieldType 01d8 LoadResString 01e3 DatabaseErrorFmt 01fe VarIsNull 02a5 @WStrFromUStr 02bb FieldTypeMap 02c7 _Dn_TExprParser 02cc TExprParser.Create 033e TObject.Free 0344 @HandleFinally 0380 @WStrClr 038d @UStrArrayClr 03a2 @VarClr"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 C7 40 60 FF FF FF FF 8B C6 8B 10 FF 92 08 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CB 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 E0 8B 78 08 4F 85 FF 0F 8C F5 01 00 00 47 33 DB 8B 45 E0 83 78 08 01 75 19 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 45 E8 8B 55 E4 E8 ?? ?? ?? ?? EB 13 53 6A 01 8B 45 E4 50 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 10 8B D3 8B 45 E0 E8 ?? ?? ?? ?? 0F B6 40 48 83 F8 33 0F 87 DA 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 03 03 03 03 03 03 03 02 02 02 00 00 03 00 00 00 00 00 00 00 00 01 01 03 00 00 00 00 00 00 00 00 00 01 02 03 01 00 00 00 03 03 03 00 00 00 00 02 00 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 E0 8B 40 08 48 3B D8 75 2E F6 45 0C 02 74 28 8D 55 D4 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 8D 55 FC E8 ?? ?? ?? ?? E9 81 00 00 00 8D 55 D0 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 D0 8D 55 FC E8 ?? ?? ?? ?? EB 69 8D 45 FC 50 8D 55 C4 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 C4 89 45 C8 C6 45 CC 11 8D 55 C8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3F 8D 55 FC 8D 45 E8 E8 ?? ?? ?? ?? EB 32 6A 00 8B D3 8B 45 E0 E8 ?? ?? ?? ?? 8B 40 40 89 45 C8 C6 45 CC 11 8D 45 C8 50 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 33 C9 5A E8 ?? ?? ?? ?? 83 7D F8 00 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 34 8D 45 BC 50 8B D3 8B 45 E0 E8 ?? ?? ?? ?? 8B 40 40 89 45 C8 C6 45 CC 11 8D 55 C8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8D 45 F8 E8 ?? ?? ?? ?? EB 3F 8D 45 B8 50 8B D3 8B 45 E0 E8 ?? ?? ?? ?? 8B 40 40 89 45 A8 C6 45 AC 11 8B 45 FC 89 45 B0 C6 45 B4 11 8D 55 A8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8D 45 F8 E8 ?? ?? ?? ?? 43 4F 0F 85 0E FE FF FF 0F B6 1D ?? ?? ?? ?? F6 45 0C 01 74 07 0F B6 1D ?? ?? ?? ?? F6 45 0C 02 75 03 80 CB 02 8D 45 A4 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 A4 50 53 0F B6 05 ?? ?? ?? ?? 50 6A 00 6A 00 A1 ?? ?? ?? ?? 50 6A 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 86 B0 01 00 00 50 8B 00 FF 50 38 8B 45 D8 8B 40 64 50 8B 45 D8 8B 40 5C 50 8B 86 B0 01 00 00 50 8B 00 FF 90 B0 00 00 00 66 89 45 DE 66 83 7D DE 00 75 18 8B C6 8B 50 58 8B 40 64 8B 04 90 50 8B 86 B0 01 00 00 50 8B 00 FF 50 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 66 83 7D DE 00 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 B8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C1 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 27 00 25 00 73 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 61 00 6E 00 64 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 5B 00 25 00 73 00 5D 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 5B 00 25 00 73 00 5D 00 3D 00 25 00 73 00 00 00 00 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_15471_0 {
	meta:
		name = "TCustomClientDataSet.GotoCurrent"
		size = 115
		refs = "000f TCustomClientDataSet.GotoCurrent 001c TDataSet.CheckBrowseMode 0047 TDataSet.GotoBookmark 005d TArray<System.Byte> 0062 @DynArrayClear 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 08 03 00 00 8B C6 8B 10 FF 92 BC 00 00 00 8D 55 FC 8B C6 8B 08 FF 91 78 02 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15472_0 {
	meta:
		name = "AggValueAsVariant"
		size = 600
		refs = "0015 AggValueAsVariant 00c2 @VarFromInt 0128 @VarFromInt64 013e @VarFromBool 014c @VarFromReal 0169 BCDToCurr 0173 @VarFromCurr 0193 VarFromDateTime 01d7 VarSQLTimeStampCreate 01e2 VarSQLTimeStampOffsetCreate 01f3 @LStrFromPChar 01fd @VarFromLStr 0206 @VarClear 021d @UStrFromPWCharLen 0226 Null 023b @LStrClr 0241 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 8B D9 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 40 74 83 F8 33 0F 87 F7 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 11 05 06 02 08 0A 00 0B 0C 0D 0E 00 00 00 00 00 00 00 00 00 00 00 00 12 07 00 00 00 00 00 00 00 00 00 11 0F 0B 00 00 00 00 03 04 01 00 00 00 00 10 00 09 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 0F B6 16 B1 01 E8 ?? ?? ?? ?? E9 5F 01 00 00 8B C3 0F B7 16 B1 02 E8 ?? ?? ?? ?? E9 4E 01 00 00 8B C3 8B 16 B1 04 E8 ?? ?? ?? ?? E9 3E 01 00 00 8B C3 0F BE 16 B1 FF E8 ?? ?? ?? ?? E9 2D 01 00 00 8B C3 0F BF 16 B1 FE E8 ?? ?? ?? ?? E9 1C 01 00 00 8B C3 8B 16 B1 FC E8 ?? ?? ?? ?? E9 0C 01 00 00 8B 06 8B 56 04 52 50 8B C3 E8 ?? ?? ?? ?? E9 F9 00 00 00 8B C3 0F B7 16 66 F7 DA 1B D2 F7 DA E8 ?? ?? ?? ?? E9 E3 00 00 00 D9 06 8B C3 E8 ?? ?? ?? ?? E9 D5 00 00 00 DD 06 8B C3 E8 ?? ?? ?? ?? E9 C7 00 00 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? DF 6D F8 8B C3 E8 ?? ?? ?? ?? E9 AE 00 00 00 8B 06 2D 5A 95 0A 00 89 45 F4 DB 45 F4 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 8E 00 00 00 DB 06 D8 35 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 76 DD 06 D8 35 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 58 8B D3 8B C6 E8 ?? ?? ?? ?? EB 4D 8B D3 8B C6 E8 ?? ?? ?? ?? EB 42 8D 45 F0 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? EB 27 8B C3 E8 ?? ?? ?? ?? 66 C7 03 02 01 0F B7 0E D1 E9 8B D6 83 C2 02 8D 43 08 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 80 CB A4 4C A0 55 29 49 }
	condition:
		$1
}

rule function_15473_0 {
	meta:
		name = "TCustomClientDataSet.SetAggregates"
		size = 16
		altNames = "TCustomSeries.SetPointer"
	strings:
		$1 = { 56 8B F0 8B 86 9C 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_15474_0 {
	meta:
		name = "TCustomClientDataSet.SetAggsActive"
		size = 96
		refs = "001d TDataSet.GetActive 002f TCustomClientDataSet.ResetAllAggs 0037 TFields.GetCount 0042 TDataSet.UpdateCursorPos 0049 TCustomClientDataSet.SetAggsActive"
	strings:
		$1 = { 56 8B F0 3A 96 A0 01 00 00 74 4C 88 96 A0 01 00 00 80 BE A0 01 00 00 00 74 3D 8B C6 E8 ?? ?? ?? ?? 84 C0 74 32 0F B6 96 A0 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 85 C0 7E 18 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 5E C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15475_0 {
	meta:
		name = "TCustomClientDataSet.ClearActiveAggs"
		size = 80
		refs = "0023 TList.Get 0039 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 80 01 00 00 85 C0 74 32 8B 78 08 4F 85 FF 7C 2A 47 33 F6 8B D6 8B 83 80 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 12 8B D6 8B 83 80 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 D9 8B 83 80 01 00 00 8B 10 FF 52 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15476_0 {
	meta:
		name = "TCustomClientDataSet.CloseAggs"
		size = 226
		refs = "0023 TAggregates.GetItem 0084 TFields.GetCount 0098 TFields.GetField 009e _Dn_TAggregateField 00a3 @AsClass 00c2 TObject.Free"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 83 9C 01 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 69 47 33 F6 8B D6 8B 83 9C 01 00 00 E8 ?? ?? ?? ?? 83 78 5C 00 74 29 83 BB B0 01 00 00 00 74 20 8B D6 8B 83 9C 01 00 00 E8 ?? ?? ?? ?? 8B 40 5C 50 8B 83 B0 01 00 00 50 8B 00 FF 90 B8 00 00 00 8B D6 8B 83 9C 01 00 00 E8 ?? ?? ?? ?? 33 D2 89 50 5C 8B D6 8B 83 9C 01 00 00 E8 ?? ?? ?? ?? C6 80 84 00 00 00 00 46 4F 75 9A 8B 43 3C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 47 47 33 F6 8B D6 8B 43 3C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B C5 8B 10 FF 92 38 01 00 00 85 C0 74 1B 8B C5 8B 10 FF 92 38 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B C5 8B 08 FF 91 34 01 00 00 46 4F 75 BC C6 83 88 01 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15477_0 {
	meta:
		name = "HasAggs"
		size = 85
		refs = "0038 TAggregates.GetItem"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 C6 45 FF 00 8B 45 08 8B 40 FC 8B 80 9C 01 00 00 8B 40 08 8B 40 08 8B D8 4B 85 DB 7C 25 43 33 F6 8B 45 08 8B 40 FC 8B 80 9C 01 00 00 8B D6 E8 ?? ?? ?? ?? 3B 78 64 75 06 C6 45 FF 01 EB 04 46 4B 75 DE 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15478_0 {
	meta:
		name = "TCustomClientDataSet.ResetGrouping"
		size = 210
		refs = "0015 TCustomClientDataSet.ResetGrouping 005d HasAggs 0070 TAggregates.Add 007b TAggregate.SetGroupingLevel 008c @UStrFromWStr 0096 TAggregate.SetIndexName 009f TAggregate.SetActive 00a6 TAggregate.Activate 00bf @UStrClr 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 78 02 00 00 8B 55 FC 89 82 E8 01 00 00 8B 55 FC 8B 92 60 02 00 00 3B C2 7D 09 8B 45 FC 89 90 E8 01 00 00 8B 45 FC 8B B8 E8 01 00 00 85 FF 7E 5A BE 01 00 00 00 55 8B C6 E8 ?? ?? ?? ?? 59 84 C0 75 44 8B 45 FC 8B 80 9C 01 00 00 E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC 8B 92 D4 01 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 46 4F 75 AB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15479_0 {
	meta:
		name = "TCustomClientDataSet.ResetAgg"
		size = 384
		refs = "0016 TCustomClientDataSet.ResetAgg 0044 TList.Get 004b TList.IndexOf 006e TList.Delete 0075 TList.Pack 007f TList.SetCapacity 00a2 @UStrFromWStr 00ad AnsiCompareText 00c7 TAggregate.Activate 00e8 _Dn_TList 00ed TObject.Create 00f6 TList.Add 016d @UStrClr 0173 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 C9 74 67 8B 86 80 01 00 00 8B 58 08 4B 85 DB 7C 59 43 C7 45 FC 00 00 00 00 8B 55 FC 8B 86 80 01 00 00 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 FF 74 2D 8B 55 FC 8B 86 80 01 00 00 E8 ?? ?? ?? ?? 8B D8 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 53 08 8B C3 E8 ?? ?? ?? ?? EB 06 FF 45 FC 4B 75 AF 80 BF 85 00 00 00 00 0F 84 8D 00 00 00 8D 45 F4 8B 96 D4 01 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 47 6C E8 ?? ?? ?? ?? 85 C0 74 06 83 7F 64 00 75 6A 83 7F 68 00 75 03 89 77 68 8B C7 E8 ?? ?? ?? ?? C6 87 84 00 00 00 01 8B 47 64 3B 86 78 02 00 00 7E 1D 89 86 78 02 00 00 EB 15 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 9E 80 01 00 00 8B 43 08 3B 47 64 7E DD 83 7F 0C 00 74 3A 8B 57 64 8B 86 80 01 00 00 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? EB 23 C6 87 84 00 00 00 00 8B 47 5C 85 C0 74 15 50 8B 86 B0 01 00 00 50 8B 00 FF 90 B8 00 00 00 33 C0 89 47 5C 8B 86 78 02 00 00 3B 86 E8 01 00 00 7E 06 89 86 E8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15480_0 {
	meta:
		name = "CreateAggsFromAggFields"
		size = 401
		refs = "0012 CreateAggsFromAggFields 0039 TFields.GetCount 005d TFields.GetField 0063 _Dn_TAggregateField 0068 @AsClass 0088 @UStrFromWStr 0096 @UStrEqual 00c2 _DV_TAggregate 00c7 TAggregate.Create 00ea TAggregate.SetActive 017e @UStrClr 0184 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 08 8B 40 FC 33 D2 89 90 8C 01 00 00 8B 45 08 8B 40 FC 8B 40 3C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 09 01 00 00 47 C7 45 FC 00 00 00 00 8B 45 08 8B 40 FC 8B 40 3C 8B 55 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B B3 00 01 00 00 85 F6 74 28 8D 45 F4 8B 55 08 8B 52 FC 8B 92 D4 01 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 83 04 01 00 00 E8 ?? ?? ?? ?? 0F 85 A7 00 00 00 3B 75 F8 7E 03 89 75 F8 8B C3 8B 10 FF 92 38 01 00 00 85 C0 75 59 8B 45 08 8B 40 FC 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 51 08 80 BE 85 00 00 00 00 75 18 83 7E 0C 00 74 12 B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 34 01 00 00 0F B6 46 74 88 83 10 01 00 00 EB 16 8B C3 8B 10 FF 92 38 01 00 00 8B F0 0F B6 46 74 88 83 10 01 00 00 8B 45 08 8B 40 FC 8B 80 8C 01 00 00 89 86 80 00 00 00 8B 46 78 40 8B 55 08 8B 52 FC 01 82 8C 01 00 00 FF 45 FC 4F 0F 85 FF FE FF FF 8B 45 F8 8B 55 08 8B 52 FC 89 82 98 01 00 00 8B 45 08 8B 40 FC C6 80 88 01 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15481_0 {
	meta:
		name = "TCustomClientDataSet.ResetAllAggs"
		size = 472
		refs = "0018 TCustomClientDataSet.ResetAllAggs 003d TCustomClientDataSet.ClearActiveAggs 0050 _Dn_TBits 0055 TObject.Create 0069 TFields.GetCount 00a8 CreateAggsFromAggFields 00f0 TAggregates.GetItem 0102 TCustomClientDataSet.ResetAgg 0131 TFields.GetField 0137 _Dn_TAggregateField 013c @AsClass 0166 @UStrFromWStr 0174 @UStrEqual 01a6 TCustomClientDataSet.ResetGrouping 01b0 TCustomClientDataSet.DoAggUpdates 01c5 @UStrClr 01cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 7C 02 00 00 85 C0 74 0A F6 40 1C 01 0F 85 7B 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 84 01 00 00 00 75 15 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 84 01 00 00 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B 55 FC 8B 92 9C 01 00 00 8B 52 08 03 42 08 85 C0 0F 84 30 01 00 00 8B 45 FC 33 D2 89 90 E8 01 00 00 8B 45 FC 33 D2 89 90 78 02 00 00 8B 45 FC 80 B8 88 01 00 00 00 75 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC 83 B8 B0 01 00 00 00 0F 84 F7 00 00 00 8B 45 FC 80 B8 A0 01 00 00 00 0F 84 E7 00 00 00 8B 45 FC 8B 80 9C 01 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 32 43 33 F6 8B 45 FC 8B 80 9C 01 00 00 8B D6 E8 ?? ?? ?? ?? 80 7D FB 00 74 0E 33 C9 8B D0 8B 45 FC E8 ?? ?? ?? ?? EB 07 C6 80 84 00 00 00 00 46 4B 75 D1 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 7D 43 33 F6 8B 45 FC 8B 40 3C 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C7 8B 10 FF 92 38 01 00 00 85 C0 74 4E 83 BF 00 01 00 00 00 74 34 8D 45 F4 8B 55 FC 8B 92 D4 01 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 87 04 01 00 00 E8 ?? ?? ?? ?? 74 13 8B C7 8B 10 FF 92 38 01 00 00 C6 80 84 00 00 00 00 EB 11 8B C7 8B 10 FF 92 38 01 00 00 C6 80 84 00 00 00 01 46 4B 75 86 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15482_0 {
	meta:
		name = "TCustomClientDataSet.InternalGetGroupState"
		size = 152
		refs = "0042 TCustomClientDataSet.InternalGetGroupState"
	strings:
		$1 = { 56 83 C4 F8 8B F0 8D 44 24 04 50 52 8B 86 B0 01 00 00 50 8B 00 FF 90 C8 00 00 00 66 85 C0 74 0C 66 3D 01 22 74 06 66 3D 02 22 75 43 8B 44 24 04 83 E8 01 72 0A 74 14 48 74 1D 48 74 26 EB 3A 0F B6 05 ?? ?? ?? ?? 88 04 24 EB 2E 0F B6 05 ?? ?? ?? ?? 88 04 24 EB 22 0F B6 05 ?? ?? ?? ?? 88 04 24 EB 16 0F B6 05 ?? ?? ?? ?? 88 04 24 EB 0A 0F B6 05 ?? ?? ?? ?? 88 04 24 0F B6 04 24 59 5A 5E C3 00 00 00 02 00 00 00 01 00 00 00 04 00 00 00 05 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15483_0 {
	meta:
		name = "TCustomClientDataSet.GetGroupState"
		size = 160
		refs = "0010 TCustomClientDataSet.GetGroupState 001d TDataSet.GetActive 0037 @WStrEqual 0052 SAggsNoSuchLevel 0057 LoadResString 0061 DatabaseError 0068 TDataSet.UpdateCursorPos 0071 TCustomClientDataSet.InternalGetGroupState 0088 @UStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 84 C0 74 18 80 BF A0 01 00 00 00 74 0F 8B 87 D4 01 00 00 33 D2 E8 ?? ?? ?? ?? 75 09 0F B6 1D ?? ?? ?? ?? EB 31 3B B7 E8 01 00 00 7E 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_15484_0 {
	meta:
		name = "TCustomClientDataSet.GetActiveAggs"
		size = 35
		refs = "0017 TList.Get"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B BB 80 01 00 00 3B 77 08 7D 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15485_0 {
	meta:
		name = "Intersect"
		size = 66
		refs = "001c TBits.GetBit"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F8 8B 77 04 4E 85 F6 7C 26 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 12 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 06 43 4E 75 DD 33 C0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15486_0 {
	meta:
		name = "TCustomClientDataSet.DoAggUpdates"
		size = 157
		refs = "0027 TAggregates.GetItem 0059 Intersect 008f TBits.SetBit"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B E8 8B 85 9C 01 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 58 46 33 FF 8B 85 9C 01 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 66 83 BB 8A 00 00 00 00 74 38 80 BB 85 00 00 00 00 74 2F 80 BB 84 00 00 00 00 74 26 80 3C 24 00 74 12 8B 85 84 01 00 00 8B 53 7C E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B 83 8C 00 00 00 FF 93 88 00 00 00 47 4E 75 AB 8B 85 84 01 00 00 8B 70 04 4E 85 F6 7C 16 46 33 FF 8B 85 84 01 00 00 33 C9 8B D7 E8 ?? ?? ?? ?? 47 4E 75 ED 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15487_0 {
	meta:
		name = "TCustomClientDataSet.GetAggFieldData"
		size = 178
		refs = "0010 TFields.GetCount 0028 TFields.GetField"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 14 24 8B F0 8B 46 3C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 8B 00 00 00 47 33 ED 8B D5 8B 46 3C E8 ?? ?? ?? ?? 8B 10 FF 92 38 01 00 00 8B D8 85 DB 74 68 80 BB 84 00 00 00 00 74 5F 8B 04 24 03 86 94 01 00 00 03 83 80 00 00 00 89 44 24 08 80 BB 84 00 00 00 00 74 3C 80 BB 85 00 00 00 00 74 33 8D 44 24 04 50 8B 44 24 0C 40 50 8B 43 5C 50 8B 86 B0 01 00 00 50 8B 00 FF 90 BC 00 00 00 66 85 C0 75 10 83 7C 24 04 00 75 09 8B 44 24 08 C6 00 00 EB 07 8B 44 24 08 C6 00 01 45 4F 0F 85 78 FF FF FF 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15488_0 {
	meta:
		name = "TCustomClientDataSet.GetAggregateValue"
		size = 123
		refs = "000d Null 001f TCustomClientDataSet.GetActiveRecBuf 0069 AggValueAsVariant"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 8B C7 E8 ?? ?? ?? ?? 80 BB A0 01 00 00 00 74 5C 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4F 8B C6 8B 10 FF 92 38 01 00 00 8B F0 85 F6 74 3F 80 BE 84 00 00 00 00 74 2F 8B 83 94 01 00 00 03 86 80 00 00 00 01 04 24 8B 04 24 80 38 01 75 09 8B C7 E8 ?? ?? ?? ?? EB 16 8B CF 8B 14 24 42 8B C6 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15489_0 {
	meta:
		name = "TCustomClientDataSet.ResetAggField"
		size = 119
		refs = "0010 TFields.GetCount 0024 TFields.GetField 0039 _Dn_TAggregateField 003e @AsClass 005d TAggregate.SetActive"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F8 8B 47 3C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 55 46 33 DB 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 3B 04 24 75 3F 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 04 8B 44 24 04 8B 10 FF 92 38 01 00 00 8B E8 85 ED 74 14 33 D2 8B C5 E8 ?? ?? ?? ?? 8B 54 24 04 8B C5 8B 08 FF 51 08 43 4E 75 AE 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15490_0 {
	meta:
		name = "TCustomClientDataSet.DoAfterApplyUpdates"
		size = 31
	strings:
		$1 = { 53 66 83 B8 BA 02 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 BC 02 00 00 FF 93 B8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_15491_0 {
	meta:
		name = "TCustomClientDataSet.DoBeforeApplyUpdates"
		size = 31
	strings:
		$1 = { 53 66 83 B8 B2 02 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 B4 02 00 00 FF 93 B0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_15492_0 {
	meta:
		name = "TCustomClientDataSet.DoApplyUpdates"
		size = 224
		refs = "0028 @VarAddRef 0030 TCustomClientDataSet.DoApplyUpdates 004b @VarClr 006f @WStrFromUStr 008e @CheckAutoResult 00b0 @IntfClear 00b8 @WStrClr 00c1 OleVariant 00cb @FinalizeArray 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B C3 8B 08 FF 91 CC 02 00 00 8B 45 08 E8 ?? ?? ?? ?? 50 8D 45 E0 50 8B 45 0C 50 56 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 45 DC 8B 93 68 02 00 00 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 55 D8 8B C3 8B 08 FF 91 14 03 00 00 8B 45 D8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8D 55 E0 8B C3 8B 08 FF 91 C8 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_15493_0 {
	meta:
		name = "TCustomClientDataSet.DoBeforeGetRecords"
		size = 31
	strings:
		$1 = { 53 66 83 B8 C2 02 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 C4 02 00 00 FF 93 C0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_15494_0 {
	meta:
		name = "TCustomClientDataSet.DoAfterGetRecords"
		size = 31
	strings:
		$1 = { 53 66 83 B8 CA 02 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 CC 02 00 00 FF 93 C8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_15495_0 {
	meta:
		name = "TCustomClientDataSet.DoGetRecords"
		size = 292
		refs = "002b @VarAddRef 0033 TCustomClientDataSet.DoGetRecords 004e VarIsEmpty 0072 PackageParams 007a @VarClr 009e @WStrFromUStr 00bd @CheckAutoResult 00cb UnpackParams 00ed @IntfClear 00f5 @WStrClr 00fe OleVariant 0108 @FinalizeArray 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B 75 0C 8D 7D F0 A5 A5 A5 A5 89 4D DC 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B C3 8B 08 FF 91 E0 02 00 00 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 20 8B BB CC 01 00 00 8B 47 08 83 78 08 00 7E 11 8D 4D F0 0F B6 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 50 8D 45 E0 50 8D 45 F0 50 8B 45 10 50 8B 45 14 50 8B 45 DC 50 56 8D 45 D8 8B 93 68 02 00 00 E8 ?? ?? ?? ?? 8B 45 D8 50 8D 55 D4 8B C3 8B 08 FF 91 14 03 00 00 8B 45 D4 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 45 F0 8B 93 CC 01 00 00 E8 ?? ?? ?? ?? 8D 55 E0 8B C3 8B 08 FF 91 DC 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 1F 00 00 00 }
	condition:
		$1
}

rule function_15496_0 {
	meta:
		name = "TCustomClientDataSet.DoAfterRowRequest"
		size = 31
	strings:
		$1 = { 53 66 83 B8 DA 02 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 DC 02 00 00 FF 93 D8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_15497_0 {
	meta:
		name = "TCustomClientDataSet.DoBeforeRowRequest"
		size = 31
	strings:
		$1 = { 53 66 83 B8 D2 02 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 D4 02 00 00 FF 93 D0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_15498_0 {
	meta:
		name = "TCustomClientDataSet.DoRowRequest"
		size = 220
		refs = "0028 @VarAddRef 0030 TCustomClientDataSet.DoRowRequest 004b @VarClr 006b @WStrFromUStr 008a @CheckAutoResult 00ac @IntfClear 00b4 @WStrClr 00bd OleVariant 00c7 @FinalizeArray 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B C3 8B 08 FF 91 EC 02 00 00 8B 45 08 E8 ?? ?? ?? ?? 50 8D 45 E0 50 56 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 45 DC 8B 93 68 02 00 00 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 55 D8 8B C3 8B 08 FF 91 14 03 00 00 8B 45 D8 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8D 55 E0 8B C3 8B 08 FF 91 E8 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15499_0 {
	meta:
		name = "TCustomClientDataSet.DoAfterExecute"
		size = 31
	strings:
		$1 = { 53 66 83 B8 EA 02 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 EC 02 00 00 FF 93 E8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_15500_0 {
	meta:
		name = "TCustomClientDataSet.DoBeforeExecute"
		size = 31
		altNames = "TCustomRichEdit.RequestSize"
	strings:
		$1 = { 53 66 83 B8 E2 02 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 E4 02 00 00 FF 93 E0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_15501_0 {
	meta:
		name = "TCustomClientDataSet.DoExecute"
		size = 214
		refs = "0021 @VarAddRef 0029 TCustomClientDataSet.DoExecute 0059 @WStrFromUStr 0078 @CheckAutoResult 0086 UnpackParams 00a8 @IntfClear 00b0 @WStrClr 00b9 OleVariant 00c3 @FinalizeArray 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B C3 8B 08 FF 91 F8 02 00 00 8D 45 E0 50 8D 45 F0 50 8B 83 A4 01 00 00 50 8D 45 DC 8B 93 68 02 00 00 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 55 D8 8B C3 8B 08 FF 91 14 03 00 00 8B 45 D8 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8D 45 F0 8B 93 CC 01 00 00 E8 ?? ?? ?? ?? 8D 55 E0 8B C3 8B 08 FF 91 F4 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15503_0 {
	meta:
		name = "AddSQLExprAttr"
		size = 784
		refs = "0035 AddSQLExprAttr 005c TArray<System.Byte> 0061 @DynArraySetLength 006f @TryFinallyExit 009b SConstraintFailed 00a0 LoadResString 00b2 SField 00e7 Format 00f2 UTF8Encode 019d @WStrFromUStr 01be TExprParser.SetExprParams 01d7 Move 01ee @DynArrayLength 01fb @LStrToPChar 0209 StrLCopy 0213 TypeStr 0220 Attr 0243 TCustomClientDataSet.Check 025e @DynArrayClear 0264 @HandleFinally 0280 @WStrArrayClr 0288 @UStrClr 0295 @UStrArrayClr 02b3 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 33 DB 89 5D A4 89 5D A0 89 5D BC 89 5D A8 89 5D E8 89 5D C4 89 5D C0 89 5D FC 89 5D F8 8B F1 89 55 F0 89 45 F4 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 00 10 00 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 7D F0 00 75 0A E8 ?? ?? ?? ?? E9 F2 01 00 00 80 FB 02 0F 84 BB 00 00 00 85 F6 0F 85 B3 00 00 00 84 DB 75 6B 83 7D 14 00 74 65 8D 45 E8 50 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 89 45 C8 C6 45 CC 11 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 89 45 D0 C6 45 D4 11 8B 45 14 89 45 D8 C6 45 DC 11 8B 45 F0 89 45 E0 C6 45 E4 11 8D 55 C8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 55 FC E8 ?? ?? ?? ?? EB 4E 8D 45 BC 50 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 89 45 AC C6 45 B0 11 8B 45 F0 89 45 B4 C6 45 B8 11 8D 55 AC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 8D 55 FC E8 ?? ?? ?? ?? EB 0A 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 01 46 8B 45 F8 89 30 8B 55 10 89 50 04 0F B6 55 08 88 50 08 0F B6 05 ?? ?? ?? ?? 88 45 EF 80 FB 02 75 04 80 4D EF 04 80 FB 01 75 04 80 4D EF 08 83 7D 14 00 74 04 80 4D EF 10 0F B6 45 EF 50 8D 45 A4 8B 55 14 E8 ?? ?? ?? ?? 8B 45 A4 50 8D 45 A0 8B 55 F0 E8 ?? ?? ?? ?? 8B 55 A0 0F B6 0D ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 46 09 8B 55 F8 03 D0 8B 45 F4 8B 48 64 8B 45 F4 8B 40 5C E8 ?? ?? ?? ?? 8B 45 F4 8B 78 64 83 C7 09 03 FE 85 F6 7E 23 8B 45 F8 E8 ?? ?? ?? ?? 83 E8 09 48 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 83 C0 09 59 E8 ?? ?? ?? ?? 0F B6 C3 8B 1C 85 ?? ?? ?? ?? 8B 45 F8 50 83 C7 04 57 A1 ?? ?? ?? ?? 50 53 6A 00 8B 45 18 8B 40 FC 8B 80 AC 01 00 00 50 8B 00 FF 50 1C 8B D0 8B 45 18 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 5F 5E 5B 8B E5 5D C2 10 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 25 00 73 00 20 00 25 00 73 00 3A 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 20 00 25 00 73 00 00 00 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15504_0 {
	meta:
		name = "TCustomClientDataSet.SetupConstraints"
		size = 1532
		refs = "0019 TCustomClientDataSet.SetupConstraints 003a FieldTypeMap 0047 _Dn_TExprParser 004c TExprParser.Create 009c TCheckConstraints.GetItem 00b5 AddSQLExprAttr 00e4 @HandleAnyException 0106 SRecConstFail 010b LoadResString 0127 Format 013b ExceptObject 0141 _Dn_Exception 0146 @IsClass 0169 _Dn_EDSWriter 016e Exception.CreateFmt 0173 @RaiseExcept 019d @DoneExcept 01c3 TFieldList.GetField 01e0 TField.GetFullName 023c SDefExprFail 0420 SFieldConstFail 0569 TObject.Free 056f @HandleFinally 058b @UStrArrayClr 05a0 @UStrClr"
	strings:
		$1 = { 55 8B EC B9 0F 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 0F B6 05 ?? ?? ?? ?? 50 0F B6 05 ?? ?? ?? ?? 50 6A 00 6A 00 A1 ?? ?? ?? ?? 50 6A 01 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 88 00 00 00 8B 40 08 8B 40 08 85 C0 0F 8E 29 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D8 4B 85 DB 7C 49 43 33 F6 8B 45 FC 8B 80 88 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B F8 55 6A 00 6A 00 6A 01 6A 00 8B 4F 14 8B 57 0C 8B 45 F4 E8 ?? ?? ?? ?? 59 55 6A 00 6A 00 6A 01 6A 00 8B 4F 14 8B 57 10 8B 45 F4 E8 ?? ?? ?? ?? 59 46 4B 75 BA 33 C0 5A 59 59 64 89 10 E9 BE 00 00 00 E9 ?? ?? ?? ?? 8B 45 FC 83 78 08 00 74 3C 8D 45 F8 50 8B 45 FC 8B 40 08 89 45 E0 C6 45 E4 11 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 89 45 E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B E8 ?? ?? ?? ?? 8B 40 04 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 23 33 C0 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 48 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C A1 03 00 00 43 33 F6 8B 45 FC 8B 40 48 8B D6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 55 D0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 D0 50 8B 45 F0 8B 10 FF 92 A8 00 00 00 50 6A 02 6A 00 8B 45 F0 8B 90 94 00 00 00 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 E9 53 01 00 00 E9 ?? ?? ?? ?? 8B 45 F0 83 78 08 00 74 3F 8D 45 F8 50 8B 45 F0 8B 40 08 89 45 E0 C6 45 E4 11 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 89 45 E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9F 00 00 00 8B 45 F0 8B 40 3C 83 78 08 00 74 51 8D 45 F8 50 8B 45 F0 8B 40 08 89 45 B4 C6 45 B8 11 8D 55 B0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 B0 89 45 BC C6 45 C0 11 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC 89 45 C4 C6 45 C8 11 8D 55 B4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 42 8D 45 F8 50 8D 55 A8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 A8 89 45 E0 C6 45 E4 11 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A4 89 45 E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B E8 ?? ?? ?? ?? 8B 40 04 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 23 33 C0 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 55 A0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 A0 50 8B 45 F0 8B 10 FF 92 A8 00 00 00 50 6A 00 6A 00 8B 45 F0 8B 88 90 00 00 00 8B 45 F0 8B 90 8C 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 59 55 8D 55 9C 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 9C 50 8B 45 F0 8B 10 FF 92 A8 00 00 00 50 6A 00 6A 00 8B 45 F0 8B 88 90 00 00 00 8B 45 F0 8B 90 88 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 E9 53 01 00 00 E9 ?? ?? ?? ?? 8B 45 F0 83 78 08 00 74 3F 8D 45 F8 50 8B 45 F0 8B 40 08 89 45 E0 C6 45 E4 11 8D 55 98 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 89 45 E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9F 00 00 00 8B 45 F0 8B 40 3C 83 78 08 00 74 51 8D 45 F8 50 8B 45 F0 8B 40 08 89 45 B4 C6 45 B8 11 8D 55 94 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 94 89 45 BC C6 45 C0 11 8D 55 90 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 90 89 45 C4 C6 45 C8 11 8D 55 B4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 42 8D 45 F8 50 8D 55 8C 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 8C 89 45 E0 C6 45 E4 11 8D 55 88 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 88 89 45 E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B E8 ?? ?? ?? ?? 8B 40 04 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 23 33 C0 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 0F 85 62 FC FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 88 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 3A 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 25 00 73 00 2E 00 25 00 73 00 3A 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_15505_0 {
	meta:
		name = "TCustomClientDataSet.SetConnectionBroker"
		size = 70
		refs = "0033 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 00 03 00 00 85 C0 74 07 8B D6 8B 08 FF 51 5C 89 9E 00 03 00 00 85 DB 74 22 6A 00 6A 00 8B D6 8B C3 8B 08 FF 51 54 8B D6 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 91 30 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_15506_0 {
	meta:
		name = "TCustomClientDataSet.PSGetIndexDefs"
		size = 30
		refs = "000a TCustomClientDataSet.GetIndexDefs 0017 TDataSet.GetIndexDefs"
	strings:
		$1 = { 53 51 88 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 0F B6 0C 24 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_15507_0 {
	meta:
		name = "TCustomClientDataSet.PSGetCommandText"
		size = 22
		refs = "000f @UStrFromWStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 A4 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15509_0 {
	meta:
		name = "TCustomClientDataSet.GetIsClone"
		size = 45
		refs = "000b _DV_TCustomClientDataSet 0010 @AsClass"
	strings:
		$1 = { 53 56 8B D8 EB 10 8B 46 3C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B B3 8C 00 00 00 85 F6 75 E6 83 BB BC 01 00 00 00 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_15510_0 {
	meta:
		name = "TClientBlobStream.Create"
		size = 306
		refs = "001c @ClassCreate 002c TClientBlobStream.Create 0050 _DV_TCustomClientDataSet 0055 @AsClass 0074 TField.GetDisplayName 008a SFieldReadOnly 008f LoadResString 009a DatabaseErrorFmt 00b6 SNotEditing 00c6 DatabaseError 00d1 TCustomClientDataSet.GetActiveRecBuf 00e1 TClientBlobStream.Truncate 00ea TClientBlobStream.ReadBlobData 0104 @UStrArrayClr 010a @HandleFinally 0119 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D F0 89 5D EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F9 89 7E 14 8B C7 8B 10 FF 92 A8 00 00 00 89 46 20 8B 46 14 8B 40 3C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 84 DB 74 6A 8B 46 14 80 78 49 00 74 35 8B 46 18 50 8D 55 F0 8B 46 14 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 46 18 0F B6 80 A5 00 00 00 04 FE 2C 02 72 1C 2C 03 74 18 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 56 18 E8 ?? ?? ?? ?? 8D 56 1C 8B 46 18 E8 ?? ?? ?? ?? 84 C0 74 15 80 FB 01 75 09 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_15511_0 {
	meta:
		name = "TClientBlobStream.Destroy"
		size = 222
		refs = "000a @BeforeDestruction 0025 TClientBlobStream.Destroy 0065 TCustomClientDataSet.Check 0072 TBlobField.SetModified 0097 @HandleAnyException 009c ApplicationHandleException 00b6 @DoneExcept 00c5 TMemoryStream.Destroy 00d3 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 80 78 24 00 0F 84 99 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 12 50 8B 45 FC 8B 40 04 50 6A 00 8B 45 FC 8B 40 20 50 8B 45 FC 8B 40 1C 50 8B 45 FC 8B 58 18 8B 83 B0 01 00 00 50 8B 00 FF 50 6C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 48 14 8B 45 FC 8B 40 18 33 D2 8B 18 FF 93 E4 00 00 00 33 C0 5A 59 59 64 89 10 EB 24 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 66 83 78 02 00 74 0E 8B 1D ?? ?? ?? ?? 8B 55 FC 8B 43 04 FF 13 E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15512_0 {
	meta:
		name = "TClientBlobStream.ReadBlobData"
		size = 112
		refs = "0022 TCustomClientDataSet.Check 0033 TStream.SetPosition"
	strings:
		$1 = { 53 56 51 8B D8 54 8B 43 20 50 8B 43 1C 50 8B 73 18 8B 86 B0 01 00 00 50 8B 00 FF 50 64 8B D0 8B C6 E8 ?? ?? ?? ?? 83 3C 24 00 76 40 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B 04 24 33 D2 52 50 8B C3 8B 10 FF 52 08 54 8B 43 04 50 6A 00 8B 43 20 50 8B 43 1C 50 8B 73 18 8B 86 B0 01 00 00 50 8B 00 FF 50 68 8B D0 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_15515_0 {
	meta:
		name = "TAggregates.Create"
		size = 66
		refs = "000b @ClassCreate 0017 _DV_TAggregate 0020 TCollection.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78020_0 {
	meta:
		name = "TDataBindings.Create"
		size = 66
		refs = "000b @ClassCreate 0017 _DV_TDataBindItem 0020 TCollection.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74608_0 {
	meta:
		name = "THeaderSections.Create"
		size = 66
		refs = "000b @ClassCreate 0017 _DV_THeaderSection 0020 TCollection.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36270_0 {
	meta:
		name = "TIdFormDataFields.Create"
		size = 66
		refs = "000b @ClassCreate 0017 _DV_TIdFormDataField 0020 TCollection.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75124_0 {
	meta:
		name = "TListColumns.Create"
		size = 66
		refs = "000b @ClassCreate 0017 _DV_TListColumn 0020 TCollection.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75916_0 {
	meta:
		name = "TListGroups.Create"
		size = 66
		refs = "000b @ClassCreate 0017 _DV_TListGroup 0020 TCollection.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84353_0 {
	meta:
		name = "TScreenTipsCollection.Create"
		size = 66
		refs = "000b @ClassCreate 0017 _DV_TScreenTipItem 0020 TCollection.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111953_0 {
	meta:
		name = "TXmlHandlers.Create"
		size = 66
		refs = "000b @ClassCreate 0017 _DV_TXmlHandlerItem 0020 TCollection.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15516_0 {
	meta:
		name = "TAggregates.Add"
		size = 34
		refs = "0008 TCollection.Add 0015 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 89 47 68 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15517_0 {
	meta:
		name = "TAggregates.Clear"
		size = 41
		refs = "0007 TCollection.Clear 0012 @CallDynaInst 0022 TCustomClientDataSet.ResetAllAggs"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 85 C0 74 0C 0F B6 90 A0 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15521_0 {
	meta:
		name = "TAggregates.IndexOf"
		size = 124
		refs = "0017 TAggregates.IndexOf 0034 TAggregates.GetItem 0047 AnsiCompareText 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 08 8B 58 08 4B 85 DB 7C 27 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 51 0C 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 85 C0 74 07 46 4B 75 DC 83 CE FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15522_0 {
	meta:
		name = "TAggregates.Find"
		size = 29
		refs = "0006 TAggregates.IndexOf 0017 TAggregates.GetItem"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 C0 5B C3 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_15523_0 {
	meta:
		name = "TAggregate.Create"
		size = 65
		refs = "000d @ClassCreate 0020 TCollectionItem.Create 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 89 46 68 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_15524_0 {
	meta:
		name = "TAggregate.Destroy"
		size = 169
		refs = "0006 @BeforeDestruction 0020 TFields.GetCount 0037 TFields.GetField 0084 TObject.Free 0092 TCollectionItem.Destroy 009f @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 51 E8 ?? ?? ?? ?? 88 14 24 8B D8 8B 73 68 85 F6 74 66 83 7E 3C 00 74 60 8B 46 3C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 51 47 33 ED 8B 43 68 8B 40 3C 8B D5 E8 ?? ?? ?? ?? 8B F0 83 7B 5C 00 74 1B 8B 43 5C 50 8B 43 68 8B 80 B0 01 00 00 50 8B 00 FF 90 B8 00 00 00 33 C0 89 43 5C 8B C6 8B 10 FF 92 38 01 00 00 3B D8 75 0C 33 D2 8B C6 8B 08 FF 91 34 01 00 00 45 4F 75 B2 8B 43 7C 85 C0 74 05 E8 ?? ?? ?? ?? 0F B6 14 24 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15525_0 {
	meta:
		name = "TAggregate.Activate"
		size = 516
		refs = "0013 TAggregate.Activate 0047 TCustomClientDataSet.Check 006a _Dn_TBits 006f TObject.Create 0087 @WStrFromUStr 00a6 FieldTypeMap 00b3 _Dn_TExprParser 00b8 TExprParser.Create 012f TArray<System.Byte> 0134 @DynArraySetLength 0145 DataTypeMap 01a6 TObject.Free 01ac @HandleFinally 01ea @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 87 00 00 00 00 74 2A 83 7B 5C 00 74 24 8B 43 5C 50 8B 73 68 8B 86 B0 01 00 00 50 8B 00 FF 90 B8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 89 43 5C C6 83 87 00 00 00 00 83 7B 5C 00 0F 85 78 01 00 00 83 7B 7C 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 7C 83 7B 0C 00 0F 84 32 01 00 00 8D 45 F8 8B 53 0C E8 ?? ?? ?? ?? 8B 45 F8 50 0F B6 05 ?? ?? ?? ?? 50 0F B6 05 ?? ?? ?? ?? 50 6A 00 8B 43 7C 50 A1 ?? ?? ?? ?? 50 6A 01 8B 4B 68 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 43 5C 50 8B 45 FC 8B 40 5C 50 8B 45 FC 8B 40 64 50 8B 43 64 50 8B 73 68 8B 86 B0 01 00 00 50 8B 00 FF 90 B4 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8D 43 10 50 8B 43 5C 50 8B 73 68 8B 86 B0 01 00 00 50 8B 00 FF 90 C0 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 43 40 50 8D 43 70 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 30 83 F8 1B 7D 0F 8B 15 ?? ?? ?? ?? 0F B6 04 02 88 43 74 EB 3D 3D 07 10 00 00 75 06 C6 43 74 18 EB 30 83 F8 24 75 06 C6 43 74 31 EB 25 83 F8 1B 75 06 C6 43 74 33 EB 1A 83 F8 1C 75 06 C6 43 74 2B EB 0F 83 F8 1D 75 06 C6 43 74 2C EB 04 C6 43 74 00 8B 43 40 89 43 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 43 5C 50 6A 00 6A 00 8B 43 64 50 8B 73 68 8B 86 B0 01 00 00 50 8B 00 FF 90 B4 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_15526_0 {
	meta:
		name = "TAggregate.Assign"
		size = 263
		refs = "0010 TAggregate.Assign 001e _DV_TAggregate 0023 @IsClass 0052 TAggregate.SetExpression 005c TAggregate.SetIndexName 0066 TAggregate.SetGroupingLevel 0074 TAggregate.SetActive 007e _Dn_TAggregateField 00e0 TPersistent.Assign 00f5 @UStrClr 00fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4F 8D 55 FC 8B C3 8B 08 FF 51 0C 8B 55 FC 8B C6 8B 08 FF 51 18 0F B6 83 86 00 00 00 88 86 86 00 00 00 8B 53 0C 8B C6 E8 ?? ?? ?? ?? 8B 53 6C 8B C6 E8 ?? ?? ?? ?? 8B 53 64 8B C6 E8 ?? ?? ?? ?? 0F B6 93 85 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 6A 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 50 8B FB 8B 97 F4 00 00 00 8B C6 8B 08 FF 51 18 0F B6 47 4C 88 86 86 00 00 00 8B 97 FC 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 97 04 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 97 00 01 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 97 F0 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15527_0 {
	meta:
		name = "TAggregate.GetDisplayName"
		size = 48
		refs = "000c @UStrAsg 0029 TCollectionItem.GetDisplayName"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 56 60 E8 ?? ?? ?? ?? 83 3B 00 75 0A 8B C3 8B 56 0C E8 ?? ?? ?? ?? 83 3B 00 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15528_0 {
	meta:
		name = "TAggregate.SetActive"
		size = 114
		refs = "0035 TAggregate.SetActive 0045 TCustomClientDataSet.ResetAgg 0054 @HandleAnyException 0063 @RaiseAgain 0068 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 3A 90 85 00 00 00 74 57 8B 45 FC 88 90 85 00 00 00 8B 45 FC 8B 40 68 85 C0 74 44 83 B8 B0 01 00 00 00 74 3B 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B1 01 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 8B 45 FC C6 80 85 00 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15529_0 {
	meta:
		name = "TAggregate.SetExpression"
		size = 148
		refs = "0010 TAggregate.SetExpression 0027 @UStrEqual 0040 SAggActive 0045 LoadResString 0050 DatabaseError 006d @UStrAsg 0082 @UStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 68 85 FF 74 33 8B 43 0C 8B D6 E8 ?? ?? ?? ?? 74 27 80 BB 85 00 00 00 00 74 1E F6 47 1C 01 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 53 68 E8 ?? ?? ?? ?? 8B C6 8B 53 0C E8 ?? ?? ?? ?? 74 07 C6 83 87 00 00 00 01 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15530_0 {
	meta:
		name = "TAggregate.SetGroupingLevel"
		size = 125
		refs = "000f TAggregate.SetGroupingLevel 0038 SAggActive 003d LoadResString 0048 DatabaseError 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 68 85 C0 74 2C 3B 73 64 74 27 80 BB 85 00 00 00 00 74 1E F6 40 1C 01 75 18 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 53 68 E8 ?? ?? ?? ?? 3B 73 64 74 07 C6 83 87 00 00 00 01 89 73 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15531_0 {
	meta:
		name = "TAggregate.SetIndexName"
		size = 150
		refs = "0016 @UStrAddRef 001e TAggregate.SetIndexName 0036 @UStrEqual 004f SAggActive 0054 LoadResString 005f DatabaseError 006a @UStrAsg 0084 @UStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 68 85 F6 74 34 8B 43 6C 8B 55 FC E8 ?? ?? ?? ?? 74 27 80 BB 85 00 00 00 00 74 1E F6 46 1C 01 75 18 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 53 68 E8 ?? ?? ?? ?? 8D 43 6C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15532_0 {
	meta:
		name = "TAggregate.Value"
		size = 104
		refs = "000a Null 002a TDataSet.UpdateCursorPos 0060 AggValueAsVariant"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 80 BB 84 00 00 00 00 74 4D 80 BB 85 00 00 00 00 74 44 83 7B 68 00 74 3E 8B 43 68 E8 ?? ?? ?? ?? 54 8B 43 70 50 8B 43 5C 50 8B 43 68 8B 80 B0 01 00 00 50 8B 00 FF 90 BC 00 00 00 83 3C 24 00 74 09 8B C6 E8 ?? ?? ?? ?? EB 0C 8B CE 8B 53 70 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_15533_0 {
	meta:
		name = "TConnectionBroker.Create"
		size = 58
		refs = "000a @ClassCreate 0017 TCustomRemoteServer.Create 001c RCS 0027 @AfterConstruction"
		altNames = "TSharedConnection.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32196_0 {
	meta:
		name = "TIdDigestAuthentication.Create"
		size = 58
		refs = "000a @ClassCreate 0017 TIdAuthentication.Create 001c CheckMD5Permitted 0027 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15534_0 {
	meta:
		name = "TConnectionBroker.GetServer"
		size = 39
		refs = "001f @IntfClear"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B BB 88 00 00 00 85 FF 74 0B 8B D6 8B C7 8B 08 FF 51 68 EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15535_0 {
	meta:
		name = "TConnectionBroker.GetAppServer"
		size = 115
		refs = "000f TConnectionBroker.GetAppServer 0024 SNoParentConnection 002b _Dn_Exception 0030 Exception.CreateRes 0035 @RaiseExcept 004d @VarFromDisp 0062 @IntfClear 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 88 00 00 00 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B 83 88 00 00 00 8B 08 FF 51 68 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15536_0 {
	meta:
		name = "TConnectionBroker.GetConnected"
		size = 31
		refs = "0007 TCustomConnection.GetConnected"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 88 00 00 00 85 F6 74 07 8B C6 8B 10 FF 52 48 5E 5B C3 }
	condition:
		$1
}

rule function_15537_0 {
	meta:
		name = "TConnectionBroker.Notification"
		size = 46
		refs = "0010 TComponent.Notification 0026 TConnectionBroker.SetConnection"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 11 3B B7 88 00 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26040_0 {
	meta:
		name = "TSharedConnection.Notification"
		size = 46
		refs = "0010 TComponent.Notification 0026 TSharedConnection.SetParentConnection"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 11 3B B7 88 00 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15538_0 {
	meta:
		name = "TConnectionBroker.Loaded"
		size = 27
		refs = "0006 TCustomConnection.Loaded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 45 00 74 09 B2 01 8B C3 8B 08 FF 51 58 5B C3 }
	condition:
		$1
}

rule function_15539_0 {
	meta:
		name = "TConnectionBroker.SetConnected"
		size = 153
		refs = "000f TConnectionBroker.SetConnected 0039 SConnectionMissing 003e LoadResString 0048 _Dn_Exception 004d Exception.Create 0052 @RaiseExcept 0062 TCustomConnection.SetConnected 0088 @UStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 46 1C 01 74 09 C6 86 8C 00 00 00 01 EB 4F 84 DB 74 2A 83 BE 88 00 00 00 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 8C 00 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 86 88 00 00 00 85 C0 74 07 8B D3 8B 08 FF 51 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15540_0 {
	meta:
		name = "TConnectionBroker.SetConnection"
		size = 174
		refs = "0011 TConnectionBroker.SetConnection 002b SNoCircularConnection 0030 LoadResString 003a _Dn_Exception 003f Exception.Create 0044 @RaiseExcept 0052 _DV_TConnectionBroker 0057 @IsClass 0063 SNoConnectToBroker 009c @UStrArrayClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B B3 88 00 00 00 74 63 3B DE 75 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 36 85 F6 74 32 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 B3 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15541_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_01 001a FieldPropNames 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 0E 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_66624_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_3 001a Special 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 0E 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_15543_0 {
	meta:
		name = "TRoleAuth.Create"
		size = 187
		refs = "000e @ClassCreate 001d @UStrAddRef 002d TRoleAuth.Create 003e _Dn_TStringList 0043 TStringList.Create 0060 TStrings.SetCommaText 0070 Now 0089 @UStrClr 0097 @HandleFinally 00a4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 46 04 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 8B 46 10 8B 55 FC E8 ?? ?? ?? ?? 8B 46 14 8B 55 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5E 08 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15544_0 {
	meta:
		name = "TRoleAuth.Create"
		size = 137
		refs = "000f @ClassCreate 002b _Dn_TStringList 0030 TStringList.Create 0060 Now 0071 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 0C 0F B6 45 08 88 43 04 85 F6 74 19 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B 43 10 8B D6 8B 08 FF 51 08 85 FF 74 1A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 14 8B C6 8B D7 8B 08 FF 51 08 E8 ?? ?? ?? ?? DD 5B 08 9B 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_15545_0 {
	meta:
		name = "TIdIPHdr.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TObject.Destroy 003d @ClassDestroy"
		altNames = "TIdMimeTable.Destroy TRoleAuth.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33168_0 {
	meta:
		name = "TIdDNTreeNode.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TIdMWayTreeNode.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15546_0 {
	meta:
		name = "TDSCustomRoleItem.AssignTo"
		size = 85
		refs = "0009 _DV_TDSCustomRoleItem 0010 TObject.InheritsFrom 004d TPersistent.AssignTo"
	strings:
		$1 = { 56 57 55 8B FA 8B F0 8B 15 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 84 C0 74 30 8B EF 8B 45 0C 8B 56 0C 8B 08 FF 51 08 8B 45 10 8B 56 10 8B 08 FF 51 08 8B 45 14 8B 56 14 8B 08 FF 51 08 8B 45 18 8B 56 18 8B 08 FF 51 08 EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E C3 }
	condition:
		$1
}

rule function_15548_0 {
	meta:
		name = "TDSCustomRoleItem.Create"
		size = 113
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 001e _Dn_TStringList 0023 TStringList.Create 005e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36696_0 {
	meta:
		name = "TIdARPHdr.Create"
		size = 113
		refs = "000a @ClassCreate 0017 TIdStruct.Create 001e _DV_TIdEtherAddr 0023 TIdEtherAddr.Create 002d _DV_TIdInAddr 0032 TIdLongWord.Create 005e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15549_0 {
	meta:
		name = "TDSCustomRoleItem.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 000f TObject.Free 0032 TCollectionItem.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15550_0 {
	meta:
		name = "TDSCustomRoleItem.GetDisplayName"
		size = 199
		refs = "0021 TDSCustomRoleItem.GetDisplayName 0033 TStrings.GetDelimitedText 0088 sFormatRoleItem 008d LoadResString 009b Format 00b5 @UStrArrayClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 C9 89 4D DC 89 4D D8 89 4D D4 89 4D D0 89 4D CC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 DC 8B 43 14 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 8D 55 D8 8B 43 18 E8 ?? ?? ?? ?? 8B 45 D8 89 45 E8 C6 45 EC 11 8D 55 D4 8B 43 10 E8 ?? ?? ?? ?? 8B 45 D4 89 45 F0 C6 45 F4 11 8D 55 D0 8B 43 0C E8 ?? ?? ?? ?? 8B 45 D0 89 45 F8 C6 45 FC 11 8D 45 E0 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC B9 03 00 00 00 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15551_0 {
	meta:
		name = "TDSCustomRoleItem.SetApplyTo"
		size = 26
		refs = "0009 TDSCustomRoleItem.Changed"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D7 8B 46 14 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_15552_0 {
	meta:
		name = "TDSCustomRoleItem.SetAuthorizedRoles"
		size = 26
		refs = "0009 TDSCustomRoleItem.Changed"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D7 8B 46 10 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_15553_0 {
	meta:
		name = "TDSCustomRoleItem.SetDeniedRoles"
		size = 26
		refs = "0009 TDSCustomRoleItem.Changed"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D7 8B 46 0C 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_15554_0 {
	meta:
		name = "TDSCustomRoleItem.SetExclude"
		size = 26
		refs = "0009 TDSCustomRoleItem.Changed"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D7 8B 46 18 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_15555_0 {
	meta:
		name = "TDSRoleItems.Create"
		size = 71
		refs = "000a @ClassCreate 0016 Now 0020 _DV_TDSRoleItem 0029 TCollection.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 18 E8 ?? ?? ?? ?? DD 5E 20 9B 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15558_0 {
	meta:
		name = "TDSRoleItems.MarkUpdated"
		size = 14
		refs = "0004 Now"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? DD 5B 20 9B 5B C3 }
	condition:
		$1
}

rule function_15560_0 {
	meta:
		name = "TDSCustomAuthenticationManager.Authenticate"
		size = 56
	strings:
		$1 = { 55 8B EC 51 53 C6 45 FF 01 66 83 78 3A 00 74 1E 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8D 55 FF 52 8B 55 08 52 8B D8 8B D0 8B 43 3C FF 53 38 0F B6 45 FF 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_15561_0 {
	meta:
		name = "TDSCustomAuthenticationManager.SessionUserRoles"
		size = 24
		refs = "0004 _Dn_TDSSessionManager 0009 TDSSessionManager.GetThreadSession"
	strings:
		$1 = { 53 33 DB A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 03 8B 58 2C 8B C3 5B C3 }
	condition:
		$1
}

rule function_15562_0 {
	meta:
		name = "TDSCustomAuthenticationManager.Authorize"
		size = 71
		refs = "001a TDSCustomAuthenticationManager.CompareRoles"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 46 2C 50 8B C3 8B 10 FF 52 4C 8B D0 8B 4E 28 8B 03 E8 ?? ?? ?? ?? 48 2C 02 73 06 C6 04 24 01 EB 04 C6 04 24 00 66 83 7B 42 00 74 0B 54 8B CE 8B D3 8B 43 44 FF 53 40 0F B6 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_15563_0 {
	meta:
		name = "TDSCustomAuthenticationManager.Create"
		size = 78
		refs = "000a @ClassCreate 0017 TComponent.Create 0028 _DV_TDSRoleItems 002d TDSRoleItems.Create 003b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 48 89 46 4C 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_15564_0 {
	meta:
		name = "ShareData"
		size = 155
		refs = "0018 ShareData 0086 @UStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 85 C0 74 0C 8B 45 F8 8B 10 FF 52 14 85 C0 75 04 33 DB EB 37 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 26 43 33 F6 8D 4D F4 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 55 F4 8B 45 F8 8B 08 FF 51 54 40 74 04 B3 01 EB 06 46 4B 75 DD 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15565_0 {
	meta:
		name = "TDSCustomAuthenticationManager.CompareRoles"
		size = 109
		refs = "0047 ShareData"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B DA 8B 7D 08 85 F6 74 0B 8B C6 8B 10 FF 52 14 85 C0 75 13 85 FF 74 0B 8B C7 8B 10 FF 52 14 85 C0 75 04 B0 01 EB 37 85 DB 74 0B 8B C3 8B 10 FF 52 14 85 C0 75 04 33 C0 EB 24 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 04 B0 03 EB 13 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 B0 02 EB 02 B0 04 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_15566_0 {
	meta:
		name = "TDSCustomAuthenticationManager.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TComponent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15567_0 {
	meta:
		name = "TDSCustomAuthenticationManager.GetAuthRole"
		size = 488
		refs = "001d TDSCustomAuthenticationManager.GetAuthRole 0051 _Dn_TStringList 0056 TStringList.Create 009e TDSRoleItems.GetItem 00e0 @UStrCatN 0186 _DV_TRoleAuth 018b TRoleAuth.Create 019b TObject.Free 01c2 @UStrArrayClr 01c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 33 C0 89 45 EC 33 C0 89 45 E8 8B 47 50 85 C0 0F 84 6B 01 00 00 8B 40 08 83 78 08 00 0F 8E 5E 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 EC C6 40 39 00 8B 45 E8 C6 40 39 00 8B 47 50 8B 40 08 8B 40 08 48 85 C0 0F 8C D6 00 00 00 40 89 45 E4 C7 45 F0 00 00 00 00 8B 55 F0 8B 47 50 E8 ?? ?? ?? ?? 8B F0 8B 46 14 8B 10 FF 52 14 85 C0 74 42 8B 55 FC 8B 46 14 8B 08 FF 51 54 40 7F 34 8B 55 F8 8B 46 14 8B 08 FF 51 54 40 7F 26 FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 46 14 8B 08 FF 51 54 40 7E 64 8B 46 18 8B 10 FF 52 14 85 C0 74 42 8B 55 FC 8B 46 18 8B 08 FF 51 54 40 75 4A 8B 55 F8 8B 46 18 8B 08 FF 51 54 40 75 3C FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 46 18 8B 08 FF 51 54 40 75 16 8B 56 10 8B 45 EC 8B 08 FF 51 40 8B 56 0C 8B 45 E8 8B 08 FF 51 40 FF 45 F0 FF 4D E4 0F 85 35 FF FF FF 8B 45 EC 8B 10 FF 52 14 85 C0 75 0C 8B 45 E8 8B 10 FF 52 14 85 C0 74 18 8B 45 E8 50 6A 01 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_15568_0 {
	meta:
		name = "TDSCustomAuthenticationManager.GetOnUserAuthenticate"
		size = 12
	strings:
		$1 = { 8B 48 38 89 0A 8B 48 3C 89 4A 04 C3 }
	condition:
		$1
}

rule function_15569_0 {
	meta:
		name = "TDSCustomAuthenticationManager.GetOnUserAuthorize"
		size = 12
	strings:
		$1 = { 8B 48 40 89 0A 8B 48 44 89 4A 04 C3 }
	condition:
		$1
}

rule function_15570_0 {
	meta:
		name = "TDSCustomAuthenticationManager.GetValidateCertificateEvent"
		size = 12
		altNames = "TDSCustomCertFiles.GetOnGetPEMFilePasskey"
	strings:
		$1 = { 8B 48 48 89 0A 8B 48 4C 89 4A 04 C3 }
	condition:
		$1
}

rule function_15571_0 {
	meta:
		name = "TDSCustomAuthenticationManager.HasUserAuthenticateEvent"
		size = 9
	strings:
		$1 = { 66 83 78 3A 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_15572_0 {
	meta:
		name = "TDSCustomAuthenticationManager.SetRoleItems"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 50 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_15574_0 {
	meta:
		name = "TDSCustomAuthenticationManager.ValidatePeerCertificate"
		size = 38
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 78 4A 00 74 12 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 43 4C FF 53 48 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_15575_0 {
	meta:
		name = "TDSCustomAuthenticationManager.Authenticate"
		size = 157
		refs = "0014 TDSCustomAuthenticationManager.Authenticate 0025 @UStrLAsg 0086 @UStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 14 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 10 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 4C 85 C0 74 19 57 8B 55 FC 52 8B 55 F8 52 50 8B CE 33 D2 8B C3 8B 18 FF 53 50 8B D8 EB 18 57 8B 45 FC 50 8B 45 F8 50 6A 00 8B CE 33 D2 8B C3 8B 18 FF 53 50 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_15576_0 {
	meta:
		name = "TDSCustomAuthenticationManager.Authenticate"
		size = 392
		refs = "0018 TDSCustomAuthenticationManager.Authenticate 003c TDBXProperties.GetValue 006b EmptyStr 00c3 @UStrArrayClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 48 84 C0 75 04 B3 01 EB 7C 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 4C 85 C0 74 23 8B 15 ?? ?? ?? ?? 8B 12 52 8B 55 FC 52 8B 55 F8 52 50 8B 4D F4 8B 55 F0 8B C3 8B 18 FF 53 50 8B D8 EB 21 A1 ?? ?? ?? ?? 8B 00 50 8B 45 FC 50 8B 45 F8 50 6A 00 8B 4D F4 8B 55 F0 8B C3 8B 18 FF 53 50 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 53 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 55 00 73 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 44 00 53 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 43 00 6F 00 6D 00 6D 00 75 00 6E 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 50 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 00 00 }
	condition:
		$1
}

rule function_15588_0 {
	meta:
		name = "TDSConnectionMetaDataProvider.GetProvider$396$ActRec.$0$Body"
		size = 47
		refs = "001d TCustomConnection.Open"
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 40 38 83 B8 9C 00 00 00 00 0F 95 C0 88 43 10 8B 43 0C 8B 40 38 E8 ?? ?? ?? ?? 8B 43 0C 8B 40 38 8B 80 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_15589_0 {
	meta:
		name = "TDSConnectionMetaDataProvider.GetProvider$396$ActRec.$1$Body"
		size = 18
		refs = "000d TCustomConnection.Close"
	strings:
		$1 = { 80 78 10 00 74 0B 8B 40 0C 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15590_0 {
	meta:
		name = "TDSConnectionMetaDataProvider.GetProvider"
		size = 174
		refs = "0017 TDSConnectionMetaDataProvider.GetProvider 0024 _DV_TDSConnectionMetaDataProvider.GetProvider$396$ActRec 0029 TObject.Create 003c @IntfCopy 0066 _Dn_TDSProxyMetaDataLoader 006b TDSProxyMetaDataLoader.Create 0086 @IntfClear 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B FE 89 7B 0C 8B C7 8B 10 FF 52 40 84 C0 74 32 8B C3 85 C0 74 03 83 E8 EC 50 8B CB 85 C9 74 03 83 E9 E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8B 45 F8 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15592_0 {
	meta:
		name = "TBasicAction.Notification"
		size = 39
		refs = "0010 TComponent.Notification"
		altNames = "TComComponentReference.Notification TCustomContentProducer.Notification TCustomWebBrowserComponent.Notification TDSConnectionMetaDataProvider.Notification TDSHTTPServiceComponent.Notification TDSRestMetaDataProvider.Notification TDSServerMetaDataProvider.Notification TXmlCustomParser.Notification TXmlStandardHandler.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0A 3B 77 38 75 05 33 C0 89 47 38 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15593_0 {
	meta:
		name = "TDSConnectionMetaDataProvider.SetConnection"
		size = 43
		refs = "0014 TComponent.RemoveFreeNotification 0024 TComponent.FreeNotification"
		altNames = "TDSRestMetaDataProvider.SetConnection TDSServerMetaDataProvider.SetServer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 3B F0 74 1B 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 89 73 38 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15594_0 {
	meta:
		name = "TDSRestMetaDataProvider.GetProvider"
		size = 61
		refs = "0017 _Dn_TDSRestProxyMetaDataLoader 001c TDSRestProxyMetaDataLoader.Create 002c @IntfCopy 0036 @IntfClear"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 40 84 C0 74 22 8B 4B 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15598_0 {
	meta:
		name = "TDSServerMetaDataProvider.GetProvider$406$ActRec.$0$Body"
		size = 92
		refs = "000c _Dn_TDBXProperties 0011 TDBXProperties.Create 001c TDSServerMetaDataProvider.GetProvider$406$ActRec.$0$Body 0048 TObject.Free 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 40 38 8B 55 F8 8B 08 FF 51 48 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15599_0 {
	meta:
		name = "TDSServerMetaDataProvider.GetProvider$406$ActRec.$1$Body"
		size = 9
		refs = "0004 TObject.Free"
	strings:
		$1 = { 8B 42 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_15600_0 {
	meta:
		name = "TDSServerMetaDataProvider.GetProvider"
		size = 239
		refs = "001a TDSServerMetaDataProvider.GetProvider 0027 _DV_TDSServerMetaDataProvider.GetProvider$406$ActRec 002c TObject.Create 003f @IntfCopy 0076 SNoMetaDataAtDesignTime 007b LoadResString 0085 _Dn_TDSProxyException 008a Exception.CreateFmt 008f @RaiseExcept 00a9 _Dn_TDSProxyMetaDataLoader 00ae TDSProxyMetaDataLoader.Create 00d4 @UStrClr 00dc @IntfClear 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B FE 89 7B 0C 8B C7 8B 10 FF 52 40 84 C0 74 70 8B 43 0C F6 40 1C 10 74 37 8B 43 0C 8B 40 38 8B 40 08 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 F0 50 8B CB 85 C9 74 03 83 E9 EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15604_0 {
	meta:
		name = "TDSCustomProxyGenerator.GetStreams"
		size = 808
		refs = "0024 TDSCustomProxyGenerator.GetStreams 0031 _Dn_TStringList 0036 TStringList.Create 0071 TDSCustomProxyGenerator.FileDescriptions 0079 @DynArrayLength 0095 IncludeTrailingPathDelimiter 00a6 @UStrCat3 00c7 ExtractFileExt 00ea ChangeFileExt 00f5 @UStrLAsg 0139 @TryFinallyExit 0170 Trim 0181 ExpandFileName 01a2 _DV_TObjectDictionary<System.string,System.Classes.TStream> 01a7 TObjectDictionary<System.string,System.Classes.TStream>.Create 021e _Dn_TFileStream 0223 TFileStream.Create 0242 TDictionary<System.string,System.Classes.TStream>.Add 026c TObject.Free 0272 @HandleFinally 0283 @HandleAnyException 0292 @RaiseAgain 0297 @DoneExcept 02ad TDSProxyFileDescriptions 02b7 @FinalizeArray 02c4 @UStrArrayClr 02d2 @DynArrayClear 02f5 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 0F 8C 80 00 00 00 43 33 F6 8D 55 DC 8B 45 F8 8B 40 38 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 8B 48 3C 8D 45 FC E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 48 7F 11 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 83 7D D4 00 75 28 8D 55 CC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 CC 8B 54 F0 04 8D 4D D0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D0 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 E8 8B 08 FF 51 38 46 4B 75 83 8B 45 F0 C6 00 00 8B 45 F8 66 83 78 62 00 74 13 8B 45 F0 50 8B 5D F8 8B 4D E8 8B 55 F8 8B 43 64 FF 53 60 8B 45 F0 80 38 00 74 17 33 C0 89 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 51 01 00 00 8B 45 E8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 3D 43 33 F6 8D 4D FC 8B D6 8B 45 E8 8B 38 FF 57 0C 8D 55 C8 8B 45 FC E8 ?? ?? ?? ?? 83 7D C8 00 74 18 8D 55 C4 8B 45 FC E8 ?? ?? ?? ?? 8B 4D C4 8B D6 8B 45 E8 8B 38 FF 57 20 46 4B 75 C6 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8D 55 C0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 0F 8C 8F 00 00 00 43 33 F6 8D 4D FC 8B D6 8B 45 E8 8B 38 FF 57 0C 83 7D FC 00 74 71 8B 45 F8 66 83 78 6A 00 74 27 8B 45 FC 50 8D 45 E4 50 8D 55 BC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 BC 8D 0C F0 8B 7D F8 8B 55 F8 8B 47 6C FF 57 68 EB 17 68 00 FF 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8D 55 B8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B8 8B 14 F0 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F4 8B 00 8B 55 FC 8B 08 FF 51 38 46 4B 0F 85 74 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 8B 45 F4 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 91 8B 45 EC 5F 5E 5B 8B E5 5D C3 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_15605_0 {
	meta:
		name = "TDSCustomProxyGenerator.GetProxyWriter"
		size = 302
		refs = "001a @IntfAddRef 0022 TDSCustomProxyGenerator.GetProxyWriter 002d TDSProxyWriterFactory.Instance 0035 TDSProxyWriterFactory.GetWriter 0084 @TryFinallyExit 00d4 TObject.Free 00da @HandleFinally 010f TDSProxyWriterProperties 0114 @FinalizeRecord 011c @IntfClear"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 04 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 7A 00 74 25 C6 45 F3 00 8D 45 F3 50 8B 4D F4 8B D3 8B 43 7C FF 53 78 80 7D F3 00 74 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6E 8D 55 D0 8B 45 F8 8B 08 FF 51 08 8D 55 D0 8B 4D F4 8B 45 FC 8B 30 FF 56 0C 66 83 BB 82 00 00 00 00 74 11 8B 4D F4 8B D3 8B 83 84 00 00 00 FF 93 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15606_0 {
	meta:
		name = "TDSCustomProxyGenerator.GetMetaDataLoaderIntf"
		size = 133
		refs = "0010 TDSCustomProxyGenerator.GetMetaDataLoaderIntf 0026 @IntfCopy 0045 SNoMetaData 004a LoadResString 0054 _Dn_TDSProxyException 0059 Exception.Create 005e @RaiseExcept 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 70 00 74 0C 8B C6 8B 53 70 E8 ?? ?? ?? ?? EB 10 8B 7B 54 85 FF 74 09 8B D6 8B C7 8B 08 FF 51 44 83 3E 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15607_0 {
	meta:
		name = "TDSCustomProxyGenerator.WriteToStreams"
		size = 283
		refs = "0016 @IntfAddRef 001e TDSCustomProxyGenerator.WriteToStreams 005a SStreamNotFound 005f LoadResString 0069 _Dn_TDSProxyException 006e Exception.Create 0073 @RaiseExcept 00c7 TObject.Free 00cd @HandleFinally 0101 @UStrClr 0109 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8D 4D F7 8D 55 F0 8B C3 8B 30 FF 56 40 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 75 29 80 7D F7 00 75 7D 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 08 FF 51 0C 83 7D F0 00 74 1E 8B 45 F0 8B 10 FF 52 14 85 C0 7E 12 66 83 7B 5A 00 74 0B 8B 4D F0 8B D3 8B 43 5C FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15608_0 {
	meta:
		name = "TDSCustomProxyGenerator.Write$416$ActRec.$0$Body$417$ActRec.$0$0$Body"
		size = 26
		refs = "0014 TDSCustomProxyGenerator.WriteToStreams"
	strings:
		$1 = { 56 8B 70 30 8B 4E 0C 51 52 8B 56 10 8B 48 0C 83 C0 10 92 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_15609_0 {
	meta:
		name = "TDSCustomProxyGenerator.Write$416$ActRec.$0$Body"
		size = 198
		refs = "0025 TDSProxyWriterProperties 002a @AddRefRecord 0032 TDSCustomProxyGenerator.Write$416$ActRec.$0$Body 003f _DV_TDSCustomProxyGenerator.Write$416$ActRec.$0$Body$417$ActRec 0044 TObject.Create 0057 @IntfCopy 007f @CopyRecord 0090 TDSCustomProxyGenerator.WriteToStreams 00ab @FinalizeRecord 00b3 @IntfClear 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D FC 8B F2 8D 7D DC 51 B9 08 00 00 00 F3 A5 59 8B F9 8B F0 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 30 8D 43 34 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 7B 0C 8D 43 10 8D 55 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 85 D2 74 03 83 EA C8 8B 46 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15610_0 {
	meta:
		name = "TDSCustomProxyGenerator.Write"
		size = 144
		refs = "0016 @IntfAddRef 001e TDSCustomProxyGenerator.Write 002b _DV_TDSCustomProxyGenerator.Write$416$ActRec 0030 TObject.Create 0043 @IntfCopy 0061 TDSCustomProxyGenerator.GetProxyWriter 0076 @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8D 43 0C 8B 55 FC E8 ?? ?? ?? ?? 8B C6 89 43 10 8B D3 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24366_0 {
	meta:
		name = "TDSSessionManager.ForEachSession"
		size = 144
		refs = "0016 @IntfAddRef 001e TDSSessionManager.ForEachSession 002b _DV_TDSSessionManager.ForEachSession$289$ActRec 0030 TObject.Create 0043 @IntfCopy 0061 Synchronized 0076 @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8D 43 0C 8B 55 FC E8 ?? ?? ?? ?? 8B C6 89 43 10 8B D3 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15612_0 {
	meta:
		name = "TDSCustomProxyGenerator.Write"
		size = 107
		refs = "000d TDSCustomProxyGenerator.Write 001a _DV_TDSCustomProxyGenerator.Write$419$ActRec 001f TObject.Create 0032 @IntfCopy 0045 TDSCustomProxyGenerator.WriteToStreams 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 89 43 0C 8B D3 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15613_0 {
	meta:
		name = "TDSCustomProxyGenerator.Notification"
		size = 39
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0A 3B 77 54 75 05 33 C0 89 47 54 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15614_0 {
	meta:
		name = "TDSCustomProxyGenerator.SetMetaDataProvider"
		size = 51
		refs = "0014 TComponent.RemoveFreeNotification 0023 @IntfClear 002c TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 54 3B F0 74 23 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 89 73 54 85 F6 74 11 8D 43 70 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_15615_0 {
	meta:
		name = "TDSCustomProxyGenerator.WriteToStreams$423$ActRec.$0$Body"
		size = 118
		refs = "0020 TDSProxyWriterProperties 0025 @AddRefRecord 002d TDSCustomProxyGenerator.WriteToStreams$423$ActRec.$0$Body 0048 TDSCustomProxyGenerator.WriteToStreams 0063 @FinalizeRecord 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F2 8D 7D E0 51 B9 08 00 00 00 F3 A5 59 8B F1 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 50 8B 43 0C 50 8B CE 8D 55 E0 8B 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15617_0 {
	meta:
		name = "TDSCustomProxyGenerator.WriteToStreams$425$ActRec.$0$Body"
		size = 118
		refs = "0020 TDSProxyWriterProperties 0025 @AddRefRecord 002d TDSCustomProxyGenerator.WriteToStreams$425$ActRec.$0$Body 0048 TDSCustomProxyGenerator.WriteToStreams 0063 @FinalizeRecord 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F2 8D 7D E0 51 B9 08 00 00 00 F3 A5 59 8B F1 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 50 8B 43 0C 50 8B CE 8D 55 E0 8B 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_15616_0 {
	meta:
		name = "TDSCustomProxyGenerator.WriteToStreams"
		size = 151
		refs = "0019 @IntfAddRef 0021 TDSCustomProxyGenerator.WriteToStreams 002e _DV_TDSCustomProxyGenerator.WriteToStreams$423$ActRec 0033 TObject.Create 0046 @IntfCopy 0067 TDSCustomProxyGenerator.GetProxyWriter 007c @IntfClear 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 7B 0C 8D 43 10 8B 55 FC E8 ?? ?? ?? ?? 8B C6 89 43 14 8B D3 85 D2 74 03 83 EA E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15618_0 {
	meta:
		name = "TDSCustomProxyGenerator.WriteToStreams"
		size = 149
		refs = "0012 TDSCustomProxyGenerator.WriteToStreams 001f _DV_TDSCustomProxyGenerator.WriteToStreams$425$ActRec 0024 TObject.Create 0037 @IntfCopy 0065 TDSCustomProxyGenerator.GetProxyWriter 007a @IntfClear 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 7B 0C 8B FE 89 7B 14 8D 55 F8 8B C7 8B 08 FF 51 44 8B 55 F8 8D 43 10 E8 ?? ?? ?? ?? 8B D3 85 D2 74 03 83 EA E8 8B 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15619_0 {
	meta:
		name = "TDSCustomProxyGenerator.AssignTo"
		size = 210
		refs = "000b _DV_TDSCustomProxyGenerator 0010 @IsClass 0025 @UStrAsg 0071 TDSCustomProxyGenerator.SetMetaDataProvider 00ca TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A9 00 00 00 8B FE 8D 47 38 8B 53 38 E8 ?? ?? ?? ?? 8D 47 3C 8B 53 3C E8 ?? ?? ?? ?? 8D 47 44 8B 53 44 E8 ?? ?? ?? ?? 8D 47 40 8B 53 40 E8 ?? ?? ?? ?? 8D 47 4C 8B 53 4C E8 ?? ?? ?? ?? 8D 47 48 8B 53 48 E8 ?? ?? ?? ?? 8D 47 50 8B 53 50 E8 ?? ?? ?? ?? 8B 53 54 8B C7 E8 ?? ?? ?? ?? F6 43 1C 10 75 53 8B 43 60 89 47 60 8B 43 64 89 47 64 8B 43 58 89 47 58 8B 43 5C 89 47 5C 8B 43 68 89 47 68 8B 43 6C 89 47 6C 8B 83 80 00 00 00 89 87 80 00 00 00 8B 83 84 00 00 00 89 87 84 00 00 00 8B 43 78 89 47 78 8B 43 7C 89 47 7C EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_15621_0 {
	meta:
		name = "TDSCustomProxyGenerator.FileDescriptions"
		size = 84
		refs = "000b TDSProxyWriterFactory.Instance 0013 TDSProxyWriterFactory.GetWriter 001e TDSCustomProxyGenerator.FileDescriptions 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15622_0 {
	meta:
		name = "TDSCustomProxyGenerator.WriterProperties"
		size = 84
		refs = "000b TDSProxyWriterFactory.Instance 0013 TDSProxyWriterFactory.GetWriter 001e TDSCustomProxyGenerator.WriterProperties 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_15623_0 {
	meta:
		name = "ExtractToArray"
		size = 344
		refs = "001a ExtractToArray 002a Trim 003b _Dn_TStringList 0040 TStringList.Create 005c @UStrToPWChar 006d ExtractStrings 0090 TDBXStringArray 0095 @DynArraySetLength 00c7 @UStrAsg 00e0 TObject.Free 00e6 @HandleFinally 0102 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 B4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 85 C0 7E 52 8B 45 F8 8B 10 FF 52 14 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 24 46 33 DB 8D 4D F0 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 55 F0 8B 45 FC 8B 00 8D 04 98 E8 ?? ?? ?? ?? 43 4E 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 10 00 08 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_15624_0 {
	meta:
		name = "TDSCustomProxyGenerator.WriteToStreams"
		size = 636
		refs = "003e TDSProxyWriterProperties 0043 @AddRefRecord 004b @IntfAddRef 0054 TPair<System.string,System.Classes.TStream> 0059 @InitializeRecord 0061 TDSCustomProxyGenerator.WriteToStreams 0075 @UStrAsg 0080 ExtractToArray 008b TDSCustomProxyWriter.SetIncludeClasses 00a1 TDSCustomProxyWriter.SetIncludeMethods 00ac Trim 00c8 TDSCustomProxyWriter.SetExcludeClasses 0107 TDSCustomProxyWriter.SetExcludeMethods 012f TEncoding.GetANSI 013c TDSCustomProxyWriter.SetMetaDataLoader 0144 TDictionary<System.string,System.Classes.TStream>.GetEnumerator 0162 TDictionary<System.string,System.Classes.TStream>.TPairEnumerator.GetCurrent 0171 _Dn_TDSProxyStreamWriter 0176 TDSProxyStreamWriter.Create 018c @IntfCast 019d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Add 01a5 TDictionary<System.string,System.Classes.TStream>.TPairEnumerator.MoveNext 01cc @HandleFinally 01ea @IntfClear 01f3 TDBXStringArray 01fd @FinalizeArray 0205 @UStrClr 0241 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 DB 89 5D AC 89 5D B0 89 5D B4 89 5D B8 89 5D BC 89 5D C0 89 5D C4 89 5D C8 89 5D CC 8B F2 8D 7D D8 51 B9 08 00 00 00 F3 A5 59 89 4D D4 8B D8 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D4 83 C0 0C 8B 53 3C E8 ?? ?? ?? ?? 8D 55 CC 8B 43 40 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 D4 E8 ?? ?? ?? ?? 8D 55 C8 8B 43 48 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 D4 E8 ?? ?? ?? ?? 8D 55 C4 8B 43 44 E8 ?? ?? ?? ?? 83 7D C4 00 75 18 8D 55 C0 8B 45 DC E8 ?? ?? ?? ?? 8B 55 C0 8B 45 D4 E8 ?? ?? ?? ?? EB 16 8D 55 BC 8B 43 44 E8 ?? ?? ?? ?? 8B 55 BC 8B 45 D4 E8 ?? ?? ?? ?? 8D 55 B8 8B 43 4C E8 ?? ?? ?? ?? 83 7D B8 00 75 18 8D 55 B4 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 B4 8B 45 D4 E8 ?? ?? ?? ?? EB 16 8D 55 B0 8B 43 4C E8 ?? ?? ?? ?? 8B 55 B0 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 E4 85 C0 74 04 8B D8 EB 07 E8 ?? ?? ?? ?? 8B D8 8B 55 0C 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 46 8D 55 F8 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 FC 50 53 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 AC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D AC 8B 45 D4 8B 40 34 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 84 C0 75 AE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D0 00 74 0A B2 01 8B 45 D0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 D4 8B 10 FF 12 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 83 5F 5E 5B 8B E5 5D C2 08 00 28 A4 40 08 D6 9B 76 4F BE F4 96 90 13 CD AB CC }
	condition:
		$1
}

rule function_15723_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.RehashAdd"
		size = 85
		refs = "001a TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetBucketIndex 0039 @UStrAsg 0048 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 08 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_31180_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.RehashAdd"
		size = 85
		refs = "001a TDictionary<System.string,IBIntf.IGDSLibrary>.GetBucketIndex 0039 @UStrAsg 0048 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 08 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_60540_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.RehashAdd"
		size = 85
		refs = "001a TDictionary<System.string,System.IInterface>.GetBucketIndex 0039 @UStrAsg 0048 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 08 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_28463_0 {
	meta:
		name = "TDictionary<System.string,System.string>.RehashAdd"
		size = 85
		refs = "001a TDictionary<System.string,System.string>.GetBucketIndex 0039 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 08 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_15724_0 {
	meta:
		name = "TDictionary<T>.DoAdd"
		size = 83
		refs = "001e @UStrAsg 002d @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B D8 8D 3C 76 8B 43 04 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 0C E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 08 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B 55 0C 8B C3 8B 30 FF 56 08 33 C9 8B 55 08 8B C3 8B 18 FF 53 0C 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_15726_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.DoRemove"
		size = 262
		refs = "0014 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetBucketIndex 0022 @IntfClear 0043 @IntfCopy 004e @DynArrayLength 0081 InCircularRange 009d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.TItem 00a2 @CopyRecord 00cc @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0D 8B 45 08 E8 ?? ?? ?? ?? E9 D2 00 00 00 8D 3C 76 8B 43 04 C7 04 B8 FF FF FF FF 8B 45 08 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F8 83 7D F8 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F8 89 45 F4 8B CE 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B0 08 E8 ?? ?? ?? ?? FF 4B 08 0F B6 4D 0C 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 0C 8B 55 08 8B 12 8B C3 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_31183_0 {
	meta:
		name = "TDictionary<System.string,IBIntf.IGDSLibrary>.DoRemove"
		size = 262
		refs = "0014 TDictionary<System.string,IBIntf.IGDSLibrary>.GetBucketIndex 0022 @IntfClear 0043 @IntfCopy 004e @DynArrayLength 0081 InCircularRange 009d TDictionary<System.string,IBIntf.IGDSLibrary>.TItem 00a2 @CopyRecord 00cc @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0D 8B 45 08 E8 ?? ?? ?? ?? E9 D2 00 00 00 8D 3C 76 8B 43 04 C7 04 B8 FF FF FF FF 8B 45 08 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F8 83 7D F8 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F8 89 45 F4 8B CE 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B0 08 E8 ?? ?? ?? ?? FF 4B 08 0F B6 4D 0C 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 0C 8B 55 08 8B 12 8B C3 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_60543_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.DoRemove"
		size = 262
		refs = "0014 TDictionary<System.string,System.IInterface>.GetBucketIndex 0022 @IntfClear 0043 @IntfCopy 004e @DynArrayLength 0081 InCircularRange 009d TDictionary<System.string,System.IInterface>.TItem 00a2 @CopyRecord 00cc @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0D 8B 45 08 E8 ?? ?? ?? ?? E9 D2 00 00 00 8D 3C 76 8B 43 04 C7 04 B8 FF FF FF FF 8B 45 08 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F8 83 7D F8 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F8 89 45 F4 8B CE 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B0 08 E8 ?? ?? ?? ?? FF 4B 08 0F B6 4D 0C 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 0C 8B 55 08 8B 12 8B C3 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_28466_0 {
	meta:
		name = "TDictionary<System.string,System.string>.DoRemove"
		size = 262
		refs = "0014 TDictionary<System.string,System.string>.GetBucketIndex 0022 @UStrClr 0043 @UStrAsg 004e @DynArrayLength 0081 InCircularRange 009d TDictionary<System.string,System.string>.TItem 00a2 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0D 8B 45 08 E8 ?? ?? ?? ?? E9 D2 00 00 00 8D 3C 76 8B 43 04 C7 04 B8 FF FF FF FF 8B 45 08 8B 53 04 8B 54 BA 08 E8 ?? ?? ?? ?? 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F8 83 7D F8 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F8 89 45 F4 8B CE 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B0 08 E8 ?? ?? ?? ?? FF 4B 08 0F B6 4D 0C 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 0C 8B 55 08 8B 12 8B C3 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_15738_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.ExtractPair"
		size = 141
		refs = "0019 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.ExtractPair 0028 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Hash 0035 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetBucketIndex 0045 TPair<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 0058 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.DoRemove 007a @IntfClear 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0E 8B 45 FC 33 C9 8B D3 E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 F8 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53937_0 {
	meta:
		name = "TDictionary<System.TObject,System.string>.ExtractPair"
		size = 141
		refs = "0019 TDictionary<System.TObject,System.string>.ExtractPair 0028 TDictionary<System.TObject,System.string>.Hash 0035 TDictionary<System.TObject,System.string>.GetBucketIndex 0045 TPair<System.TObject,System.string>.Create 0058 TDictionary<System.TObject,System.string>.DoRemove 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0E 8B 45 FC 33 C9 8B D3 E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 F8 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59579_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.ExtractPair"
		size = 141
		refs = "0019 TDictionary<System.string,System.IInterface>.ExtractPair 0028 TDictionary<System.string,System.IInterface>.Hash 0035 TDictionary<System.string,System.IInterface>.GetBucketIndex 0045 TPair<System.string,System.IInterface>.Create 0058 TDictionary<System.string,System.IInterface>.DoRemove 007a @IntfClear 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0E 8B 45 FC 33 C9 8B D3 E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 F8 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_26786_0 {
	meta:
		name = "TDictionary<System.string,System.string>.ExtractPair"
		size = 141
		refs = "0019 TDictionary<System.string,System.string>.ExtractPair 0028 TDictionary<System.string,System.string>.Hash 0035 TDictionary<System.string,System.string>.GetBucketIndex 0045 TPair<System.string,System.string>.Create 0058 TDictionary<System.string,System.string>.DoRemove 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0E 8B 45 FC 33 C9 8B D3 E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 F8 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_15773_0 {
	meta:
		name = "TDictionary<T>.TPairEnumerator.GetCurrent"
		size = 56
		refs = "0019 @UStrAsg 0031 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8D 14 52 8B 4B 04 8B 49 04 8B 54 91 04 E8 ?? ?? ?? ?? 8D 46 04 8B 53 08 8D 14 52 8B 4B 04 8B 49 04 8B 54 91 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16085_0 {
	meta:
		name = "TComboBoxItemEditorObject.Create"
		size = 35
		refs = "0008 @ClassCreate 0014 @AfterConstruction"
		altNames = "TDSRestCacheCommand.Create TDSRestCommand.Create TListBoxItemEditorObject.Create"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 08 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_16086_0 {
	meta:
		name = "TDSRestCommand.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000f TObject.Free 002a TObject.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16087_0 {
	meta:
		name = "IsKnownJSONTypeName"
		size = 132
		refs = "000c IsKnownJSONTypeName 002b @UStrCopy 0038 CompareText 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 2A 8D 45 FC 50 B9 05 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 04 B3 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 00 00 }
	condition:
		$1
}

rule function_16088_0 {
	meta:
		name = "TDSRestCommand.DetermineRequestType"
		size = 764
		refs = "0048 TDSRestParameterMetaData 004d @AddRefArray 005b @InitializeRecord 0063 TDSRestCommand.DetermineRequestType 008a @CopyRecord 00c2 @UStrLAsg 00ca IsKnownJSONTypeName 0118 CompareText 01fe @UStrAsg 0227 @FinalizeRecord 0234 @UStrArrayClr 0246 @FinalizeArray 024c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D F8 89 5D F4 89 5D F0 89 5D EC 89 5D E8 89 5D E4 89 5D E0 8B D9 03 DB 03 DB 83 C3 03 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 4D CC 89 55 FC 8B 7D 08 8B 4D CC 41 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 F6 E9 71 01 00 00 8D 45 D0 8B D6 03 D2 8B 4D FC 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 48 74 09 83 E8 02 0F 85 49 01 00 00 8B 45 D8 83 E8 17 74 0F 83 E8 0A 74 0A 83 E8 04 74 0C E9 2E 01 00 00 B3 01 E9 27 01 00 00 8D 45 F8 8B 55 DC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 07 B3 01 E9 09 01 00 00 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 06 C6 45 CB 01 EB 23 83 7D F4 00 74 06 83 7D F0 00 75 06 C6 45 CB 00 EB 11 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 45 CB 80 7D CB 00 74 06 C6 45 C9 01 EB 50 8D 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 75 06 C6 45 CA 01 EB 23 83 7D EC 00 74 06 83 7D E8 00 75 06 C6 45 CA 00 EB 11 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 45 CA 0F B6 45 CA 88 45 C9 80 7D C9 00 74 06 C6 45 C7 01 EB 50 8D 45 E4 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 3B 45 E0 75 06 C6 45 C8 01 EB 23 83 7D E4 00 74 06 83 7D E0 00 75 06 C6 45 C8 00 EB 11 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 45 C8 0F B6 45 C8 88 45 C7 80 7D C7 00 74 02 B3 01 84 DB 75 0C 46 8B 45 CC 3B F0 0F 8E 84 FE FF FF 84 DB 74 0E 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 4D CC 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 8B 7D B8 8B 75 BC 8B 5D C0 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 41 00 72 00 72 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 }
	condition:
		$1
}

rule function_16089_0 {
	meta:
		name = "TDSRestCommand.Prepare"
		size = 198
		refs = "0034 TDSRestParameterMetaData 0039 @AddRefArray 0041 TDSRestCommand.Prepare 0057 TObject.Free 0064 TDSRestCommand.CreateParameters 007e TDSRestCommand.DetermineRequestType 0089 @UStrAsg 009e @UStrClr 00b0 @FinalizeArray 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B D9 03 DB 03 DB 83 C3 03 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 4D F8 89 55 FC 8B D8 8B 4D F8 41 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 55 FC 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 89 43 10 83 7B 14 00 75 1C 8D 45 F4 50 8B 55 FC 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 4D F8 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 75 EC 8B 5D F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_16090_0 {
	meta:
		name = "TDSRestCommand.Prepare"
		size = 97
		refs = "000f TDSRestCommand.Prepare 0021 TDSRestCommand.BuildParameterMetaDataArray 0029 @DynArrayHigh 004b TArray<Datasnap.DSClientRest.TDSRestParameterMetaData> 0050 @DynArrayClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16091_0 {
	meta:
		name = "TDSRestCommand.Prepare"
		size = 91
		refs = "000c TDSRestCommand.Prepare 001c TDSRestCommand.BuildParameterMetaDataArray 0024 @DynArrayHigh 0046 TArray<Datasnap.DSClientRest.TDSRestParameterMetaData> 004b @DynArrayClear 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_16092_0 {
	meta:
		name = "TDSRestCommand.BuildParameterMetaDataArray"
		size = 948
		refs = "0023 TDSRestCommand.BuildParameterMetaDataArray 0034 @UStrLAsg 0049 @UStrClr 005b AnsiReplaceStr 0073 Pos 0091 sInvalidServerMethodName 0096 LoadResString 00a0 _DV_TDSRestException 00a5 Exception.CreateFmt 00aa @RaiseExcept 00b8 AnsiLeftStr 00d3 AnsiRightStr 00de @UStrEqual 00ff @UStrCat3 0198 CompareText 0227 TArray<Datasnap.DSClientRest.TDSRestParameterMetaData> 022c @DynArraySetLength 0242 @UStrAsg 027d @DynArrayAsg 02c7 @UStrArrayClr 02d5 @DynArrayClear 02e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D C8 89 55 CC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 53 0C E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 4D E4 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 8D 45 FC 8B 55 E0 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 7D 31 8B 43 0C 89 45 B4 C6 45 B8 11 8D 45 B4 50 6A 00 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 8B D7 4A 8B 45 FC E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 4D F4 8B D6 2B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 53 0C E8 ?? ?? ?? ?? 75 61 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8D 45 F4 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 40 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8D 45 F4 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1F 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 10 8D 45 F4 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 8B 40 04 89 45 C4 83 7D C4 00 0F 84 51 01 00 00 8D 45 DC 8B 55 C4 8B 52 04 E8 ?? ?? ?? ?? 8D 45 D8 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 DC 3B 45 D8 75 06 C6 45 BF 01 EB 23 83 7D DC 00 74 06 83 7D D8 00 75 06 C6 45 BF 00 EB 11 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 85 C0 0F 94 45 BF 80 7D BF 00 0F 84 EA 00 00 00 8B 45 C4 8B 40 08 89 45 C0 83 7D C0 00 0F 84 D7 00 00 00 8D 45 D4 8B 55 C0 8B 52 0C E8 ?? ?? ?? ?? 8D 45 D0 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 D4 3B 45 D0 75 06 C6 45 BE 01 EB 23 83 7D D4 00 74 06 83 7D D0 00 75 06 C6 45 BE 00 EB 11 8B 55 D0 8B 45 D4 E8 ?? ?? ?? ?? 85 C0 0F 94 45 BE 80 7D BE 00 74 74 8B 45 C0 8B 58 04 33 F6 85 DB 74 55 46 56 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B FE 03 FF 8B 45 F0 8D 44 F8 F0 8B 53 10 E8 ?? ?? ?? ?? 8B 45 F0 8B 53 08 89 54 F8 F4 8B 45 F0 8B 53 0C 89 54 F8 F8 8B 45 F0 8D 44 F8 FC 8B 53 14 E8 ?? ?? ?? ?? 8B 5B 04 85 DB 75 AB 8B 45 C8 8B 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 8B 45 C0 8B 40 14 89 45 C0 83 7D C0 00 0F 85 29 FF FF FF 8B 45 C4 8B 40 10 89 45 C4 83 7D C4 00 0F 85 AF FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 D0 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 70 00 64 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 61 00 6E 00 63 00 65 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_16093_0 {
	meta:
		name = "TDSRestCommand.BuildParameterMetaDataArray"
		size = 303
		refs = "0015 TDSRestCommand.BuildParameterMetaDataArray 002c @UStrLAsg 0043 _Dn_TDSRestProxyMetaDataLoader 0048 TDSRestProxyMetaDataLoader.Create 0059 @IntfCopy 0067 SUnableToRetrieveServerMethodParameters 006c LoadResString 0076 _DV_TDSRestException 007b Exception.Create 0080 @RaiseExcept 0087 _Dn_TDSProxyMetadata 008c TObject.Create 00ca TObject.Free 00d0 @HandleFinally 00f0 @UStrAsg 010d @UStrClr 0115 @IntfClear"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F4 8B 5A 08 8B 53 60 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F0 8B 45 F8 8B 08 FF 51 0C 8B CE 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 08 83 C0 60 8B 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16094_0 {
	meta:
		name = "TDSRestCommand.CreateParameters"
		size = 466
		refs = "0039 TDSRestParameterMetaData 003e @AddRefArray 004c @InitializeRecord 0054 TDSRestCommand.CreateParameters 006a _Dn_TDBXContext 006f TDBXContext.Create 0088 TDBXValueTypeArray 008d @DynArraySetLength 00b0 @CopyRecord 00bd _Dn_TDBXParameter 00c2 TDBXParameter.Create 00fd @UStrAsg 0120 _Dn_TDBXMemoryRow 0125 TDBXMemoryRow.Create 012f _Dn_TDBXParameterList 0134 TDBXParameterList.Create 0147 @DynArrayAsg 0163 @DynArrayLength 0175 @DynArrayClear 0192 @FinalizeRecord 01a5 @FinalizeArray 01bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D F8 89 5D F4 8B D9 03 DB 03 DB 83 C3 03 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 4D DC 89 55 FC 89 45 E0 8B 4D DC 41 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 83 78 04 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 89 42 04 8B 5D DC 43 53 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 4B 85 DB 7C 7A 43 C7 45 D8 00 00 00 00 8B 7D FC 8D 45 E4 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 55 EC 8B C6 8B 08 FF 51 14 8B 55 E8 8B C6 8B 08 FF 51 04 8B 55 E4 8B C6 8B 08 FF 51 08 8B 55 D8 8B C6 8B 08 FF 51 10 8B 45 E0 89 46 4C 8D 46 50 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 D8 89 34 90 FF 45 D8 83 C7 10 4B 75 91 8B 45 F8 50 8B 45 E0 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 45 F4 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 10 8B 45 F4 8B 34 98 8B D6 8B C7 8B 08 FF 51 10 43 8B 45 F4 E8 ?? ?? ?? ?? 3B D8 7C E4 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 4D DC 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 8B C3 8B 7D CC 8B 75 D0 8B 5D D4 8B E5 5D C3 }
	condition:
		$1
}

rule function_16095_0 {
	meta:
		name = "TDSRestCommand.Execute"
		size = 110
		refs = "000f TDSRestCommand.BeforeExecute 0017 TDSRestCommand.Execute 003c Abort 0048 ExecuteCommand 005d TDSRestCommand.AfterExecute 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 08 8B 43 58 80 78 0C 00 74 10 8B C3 8B 10 FF 52 40 84 C0 75 05 E8 ?? ?? ?? ?? 33 C9 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16096_0 {
	meta:
		name = "TDSRestCommand.BeforeExecute"
		size = 29
		refs = "000f TObject.Free"
	strings:
		$1 = { 53 8B D8 8D 43 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 43 08 8B 10 FF 52 44 5B C3 }
	condition:
		$1
}

rule function_16097_0 {
	meta:
		name = "TDSRestCommand.AfterExecute"
		size = 9
	strings:
		$1 = { 8B 40 08 8B 10 FF 52 48 C3 }
	condition:
		$1
}

rule function_16098_0 {
	meta:
		name = "TDSRestCommand.ExecuteCache"
		size = 168
		refs = "001a TDSRestCommand.ExecuteCache 003f Abort 004e ExecuteCommand 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC 8B 40 08 8B 10 FF 52 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 08 8B 43 58 80 78 0C 00 74 10 8B C3 8B 10 FF 52 40 84 C0 75 05 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 10 FF 52 48 C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 72 00 65 00 73 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_16101_0 {
	meta:
		name = "TDSRestCommand.FreeOnExecute"
		size = 62
		refs = "0010 _Dn_TObjectList 0015 TObjectList.Create 0028 TList.IndexOf 0036 TList.Add"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 83 7B 18 00 75 15 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 18 C6 47 10 01 8B 43 18 8B D6 E8 ?? ?? ?? ?? 85 C0 7D 0A 8B 43 18 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16103_0 {
	meta:
		name = "TDSRestCacheCommand.DeleteCommand"
		size = 172
		refs = "0010 TDSRestCacheCommand.DeleteCommand 0020 TDSRestCacheCommand.GetCommandPath 002e sMissingCommandPath 0033 LoadResString 003d _DV_TDSRestException 0042 Exception.Create 0047 @RaiseExcept 0064 TDSRestCacheCommand.Execute 007e @UStrArrayClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_16105_0 {
	meta:
		name = "TDSRestCacheCommand.Execute"
		size = 89
		refs = "0010 @IntfAddRef 0018 TDSRestCacheCommand.Execute 0031 ExecuteCacheCommand 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_16106_0 {
	meta:
		name = "TDSRestCacheCommand.GetCommand"
		size = 184
		refs = "0013 @IntfAddRef 001b TDSRestCacheCommand.GetCommand 002b TDSRestCacheCommand.GetCommandPath 0039 sMissingCommandPath 003e LoadResString 0048 _DV_TDSRestException 004d Exception.Create 0052 @RaiseExcept 0071 TDSRestCacheCommand.Execute 008b @UStrArrayClr 0093 @IntfClear 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 6A 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 }
	condition:
		$1
}

rule function_16107_0 {
	meta:
		name = "TDSRestCacheCommand.GetCommand$212$ActRec.$0$Body"
		size = 376
		refs = "001a TDSRestCacheCommand.GetCommand$212$ActRec.$0$Body 0033 TStream.SetPosition 0053 IPProcs 0070 BytesOf 007c TJSONObject.ParseJSONValue 009a _Dn_TJSONObject 009f @IsClass 00af TJSONObject.Get 00c6 TJSONPair.GetJsonValue 010d TObject.Free 0113 @HandleFinally 012b TArray<System.Byte> 0130 @DynArrayClear 0138 @UStrClr 0140 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 ED 00 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F0 8B 45 F8 8B 40 18 8B 40 08 8B 08 FF 51 74 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B CE 8B D3 8B 18 FF 53 4C 8B 45 08 C6 00 01 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC B1 01 33 D2 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 89 58 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 52 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 10 8B 45 F8 8B 58 10 85 DB 74 36 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8B 45 F8 8B 40 10 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 89 58 0C 85 DB 74 09 8B C3 33 D2 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_16108_0 {
	meta:
		name = "TDSRestCacheCommand.GetCommand"
		size = 118
		refs = "000d TDSRestCacheCommand.GetCommand 001a _DV_TDSRestCacheCommand.GetCommand$212$ActRec 001f TObject.Create 0032 @IntfCopy 0063 @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 18 33 C0 89 43 0C 8B D3 85 D2 74 03 83 EA E4 8B 43 18 E8 ?? ?? ?? ?? 8B 5B 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16109_0 {
	meta:
		name = "TDSRestCacheCommand.GetCommandPath"
		size = 72
		refs = "000b TDSRestCacheCommand.GetCommandPath 0010 LastDelimiter 0027 @UStrCopy 0030 @UStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 53 04 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7E 13 57 8B CE 49 BA 01 00 00 00 8B 43 04 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_16110_0 {
	meta:
		name = "TDSRestCacheCommand.GetParameter$215$ActRec.$0$Body"
		size = 348
		refs = "001a TDSRestCacheCommand.GetParameter$215$ActRec.$0$Body 0033 TStream.SetPosition 0053 IPProcs 0070 BytesOf 007c TJSONObject.ParseJSONValue 009a _Dn_TJSONObject 009f @IsClass 00af TJSONObject.Get 00c2 TJSONPair.GetJsonValue 00ef TObject.Free 00f5 @HandleFinally 010d TArray<System.Byte> 0112 @DynArrayClear 011a @UStrClr 0122 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 CF 00 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F0 8B 45 F8 8B 40 18 8B 40 08 8B 08 FF 51 74 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B CE 8B D3 8B 18 FF 53 4C 8B 45 08 C6 00 01 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC B1 01 33 D2 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 89 58 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 F8 89 70 10 85 F6 74 1C 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 89 58 0C 85 DB 74 09 8B C3 33 D2 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_16111_0 {
	meta:
		name = "TDSRestCacheCommand.GetParameter"
		size = 135
		refs = "0019 TDSRestCacheCommand.GetParameter 0026 _DV_TDSRestCacheCommand.GetParameter$215$ActRec 002b TObject.Create 003e @IntfCopy 0074 @IntfClear 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 18 33 C0 89 43 0C 8B D3 85 D2 74 03 83 EA E4 8B 4D F8 8B 43 18 E8 ?? ?? ?? ?? 8B 43 0C 89 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16112_0 {
	meta:
		name = "TDSRestCacheCommand.GetParameter$217$ActRec.$0$Body"
		size = 420
		refs = "001a TDSRestCacheCommand.GetParameter$217$ActRec.$0$Body 002b TStream.SetPosition 004b IPProcs 0065 @UStrAsg 0073 BytesOf 007f TJSONObject.ParseJSONValue 009d _Dn_TJSONObject 00a2 @IsClass 00b2 TJSONObject.Get 00c9 TJSONPair.GetJsonValue 00cf _Dn_TJSONArray 00f2 TDBXJSONTools.JSONToStream 0137 TObject.Free 013d @HandleFinally 0155 TArray<System.Byte> 015a @DynArrayClear 0162 @UStrClr 016a @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 F0 8B 45 FC 8B 40 20 8B 40 08 8B 08 FF 51 74 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B CB 8B D6 8B 18 FF 53 4C 8B 55 F8 8B 45 FC 83 C0 24 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 EC B1 01 33 D2 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 1C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 54 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 8B 45 FC 8B 58 18 85 DB 74 5D 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 47 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 14 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 EB 25 85 DB 75 21 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 89 70 10 8B 45 FC 0F B6 40 0C 84 C0 74 05 8B 55 08 88 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_16113_0 {
	meta:
		name = "TDSRestCacheCommand.GetParameter"
		size = 144
		refs = "0019 TDSRestCacheCommand.GetParameter 0026 _DV_TDSRestCacheCommand.GetParameter$217$ActRec 002b TObject.Create 003e @IntfCopy 007b @IntfClear 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 88 4D FB 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 0F B6 45 FB 88 43 0C 89 73 20 33 C0 89 43 10 8B D3 85 D2 74 03 83 EA D8 8B 4D 08 8B 43 20 E8 ?? ?? ?? ?? 8B 43 10 89 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16114_0 {
	meta:
		name = "TDSRestCacheCommand.GetParameter"
		size = 164
		refs = "0018 @IntfAddRef 0020 TDSRestCacheCommand.GetParameter 0034 sMissingParameterPath 0039 LoadResString 0043 _DV_TDSRestException 0048 Exception.Create 004d @RaiseExcept 0061 TDSRestCacheCommand.Execute 0076 @UStrClr 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 04 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 56 8B 4B 04 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 }
	condition:
		$1
}

rule function_16115_0 {
	meta:
		name = "EncodeCharSet"
		size = 208
		refs = "002a @UStrSetLength 0031 @UStrToPWChar 006f EncodeCharSet 007b FormatBuf"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B F2 8D 3C 24 51 B9 08 00 00 00 F3 A5 59 8B E9 8B D8 8B C3 85 C0 74 05 83 E8 04 8B 00 8D 14 40 8B C5 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 45 00 E8 ?? ?? ?? ?? 8B F0 EB 45 8B C7 66 3D FF 00 77 07 0F B7 C0 0F A3 04 24 72 05 66 89 3E EB 29 6A 06 0F B7 C7 89 44 24 24 C6 44 24 28 00 8D 44 24 24 50 6A 00 B9 ?? ?? ?? ?? BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C6 04 83 C6 02 83 C3 02 0F B7 3B 66 85 FF 75 B3 8B 45 00 E8 ?? ?? ?? ?? 8B D6 2B D0 D1 FA 79 03 83 D2 00 8B C5 E8 ?? ?? ?? ?? 83 C4 28 5D 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 25 00 25 00 2E 00 32 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_16116_0 {
	meta:
		name = "EncodeURIComponent"
		size = 152
		refs = "0016 EncodeURIComponent 002a IPProcs 0046 EncodeCharSet 005b @IntfClear 0063 @UStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 33 C9 8B D3 8B 18 FF 53 50 8B 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 50 98 00 AC 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_16117_0 {
	meta:
		name = "EncodeURIComponent"
		size = 200
		refs = "0012 EncodeURIComponent 004c TDBXPlatform.JsonFloat 006b @UStrLAsg 009d @UStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 83 C0 F9 83 E8 02 72 0A 83 E8 10 74 05 83 E8 02 75 1D 8B C3 8B 10 FF 52 7C 8B 10 FF 52 30 83 C4 F8 DD 1C 24 9B 8D 45 FC E8 ?? ?? ?? ?? EB 2E 8B C3 8B 10 FF 52 7C 8B 10 FF 52 58 84 C0 74 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0F 8B C3 8B 10 FF 52 7C 8D 55 FC 8B 08 FF 51 28 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 75 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_16118_0 {
	meta:
		name = "IsUrlParameter"
		size = 592
		refs = "0017 IsUrlParameter 0028 @UStrLAsg 0074 @UStrCopy 00a8 CompareText 01b8 @UStrArrayClr 01be @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 50 83 F8 17 75 07 33 DB E9 63 01 00 00 8B C3 8B 10 FF 52 50 83 F8 21 75 07 33 DB E9 50 01 00 00 8B C3 8B 10 FF 52 50 83 F8 25 0F 85 3E 01 00 00 8D 45 F8 50 B9 05 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 07 33 DB E9 E6 00 00 00 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 04 B0 01 EB 20 83 7D E8 00 74 06 83 7D E4 00 75 04 33 C0 EB 10 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 E0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 3B 45 DC 75 04 B0 01 EB 20 83 7D E0 00 74 06 83 7D DC 00 75 04 33 C0 EB 10 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 41 00 72 00 72 00 61 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_16119_0 {
	meta:
		name = "ExecuteCacheCommand$229$ActRec.$0$Body"
		size = 12
		altNames = "ExecuteCommand$224$ActRec.$0$Body"
	strings:
		$1 = { 8B 40 0C 8B 40 08 8B 10 FF 52 4C C3 }
	condition:
		$1
}

rule function_16120_0 {
	meta:
		name = "ExecuteCommand$224$ActRec.$1$Body"
		size = 88
		refs = "000e @UStrAddRef 0016 ExecuteCommand$224$ActRec.$1$Body 0033 @UStrAsg 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 11 8B 43 0C 8B 40 08 83 C0 60 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_16128_0 {
	meta:
		name = "ExecuteCacheCommand$229$ActRec.$1$Body"
		size = 88
		refs = "000e @UStrAddRef 0016 ExecuteCacheCommand$229$ActRec.$1$Body 0033 @UStrAsg 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 11 8B 43 0C 8B 40 08 83 C0 60 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_16121_0 {
	meta:
		name = "ExecuteCommand"
		size = 804
		refs = "0023 ExecuteCommand 0030 _DV_ExecuteCommand$224$ActRec 0035 TObject.Create 0048 @IntfCopy 0069 @UStrLAsg 008c TDSCustomRestConnection.GetHTTP 0094 TDSHTTP.GetProtocol 00d0 @UStrCat3 00de IntToStr 010c StringReplace 017a EncodeURIComponent 01a5 @UStrCatN 0201 ExecuteRequest 021b @UStrArrayClr 0223 @IntfClear 0236 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D D0 89 55 D4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 D8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 0C 8D 55 DC 8B 46 08 8B 08 FF 51 74 8D 45 FC 8B 53 0C 8B 72 08 8B 56 44 E8 ?? ?? ?? ?? 8B 7E 40 8D 45 F8 8B 56 3C E8 ?? ?? ?? ?? 8D 45 EC 8B 53 0C 8B 52 0C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 83 7D E4 00 75 0D 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 75 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 10 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 7E 1A 8D 55 CC 8B C7 E8 ?? ?? ?? ?? 8B 4D CC 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 C8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 55 C8 8D 45 EC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 C4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 55 C4 8D 45 EC E8 ?? ?? ?? ?? 8D 45 E8 8B 53 0C 8B 52 08 8B 52 54 E8 ?? ?? ?? ?? 83 7D E8 00 75 0D 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 4D C0 8B 55 DC 8B 45 F8 E8 ?? ?? ?? ?? FF 75 C0 FF 75 F4 FF 75 FC 68 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F0 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 8B 53 0C 8B 52 08 8B 52 60 E8 ?? ?? ?? ?? 8B 73 0C 8B 46 08 8B 78 58 8B 47 04 50 8B 47 08 50 8B 46 10 50 8B 45 D4 50 8B 45 D0 50 8D 45 E0 50 8B C3 85 C0 74 03 83 E8 EC 50 8B C3 85 C0 74 03 83 E8 F0 50 8B 43 0C 8B 40 08 E8 ?? ?? ?? ?? 8B 4E 14 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 74 00 74 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6C 00 6F 00 63 00 61 00 6C 00 68 00 6F 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 25 00 32 00 32 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 64 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 2F 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 72 00 65 00 73 00 74 00 2F 00 00 00 }
	condition:
		$1
}

rule function_16122_0 {
	meta:
		name = "ParameterToJSon"
		size = 189
		refs = "002c _Dn_TJSONNull 0031 TJSONAncestor.Create 0080 TDBXJSONTools.TableToJSON 009d TDBXJSONTools.StreamToJSON 00b6 TDBXJSONTools.DBXToJSON"
	strings:
		$1 = { 56 57 8B FA 8B F0 C6 07 01 8B C6 8B 10 FF 52 7C 85 C0 75 05 33 C0 5F 5E C3 8B C6 8B 10 FF 52 7C 8B 10 FF 52 58 84 C0 74 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 80 00 00 00 8B C6 8B 10 FF 52 50 83 E8 03 74 40 83 E8 14 74 1E 83 E8 0A 74 36 83 E8 04 75 4E 8B C6 8B 10 FF 52 7C 8B 10 FF 92 BC 00 00 00 C6 07 00 EB 51 8B C6 8B 10 FF 52 7C 8B 10 FF 92 AC 00 00 00 33 C9 BA FF FF FF 7F E8 ?? ?? ?? ?? EB 34 8B C6 8B 10 FF 52 7C 8B 10 FF 92 B8 00 00 00 B9 FF FF FF 7F 33 D2 E8 ?? ?? ?? ?? EB 17 8B C6 8B 10 FF 52 50 50 8B C6 8B 10 FF 52 7C B1 01 5A E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_16123_0 {
	meta:
		name = "ExecuteRequest"
		size = 2360
		refs = "0032 @IntfAddRef 0042 ExecuteRequest 0052 @UStrLAsg 0059 _DV_TList<Data.DBXCommon.TDBXParameter> 005e TList<Data.DBXCommon.TDBXParameter>.Create 00b8 TList<Data.DBXCommon.TDBXParameter>.Add 00c9 @UStrEqual 00e8 TList<Data.DBXCommon.TDBXParameter>.GetEnumerator 0103 TList<Data.DBXCommon.TDBXParameter>.TEnumerator.GetCurrent 0118 EncodeURIComponent 012d @UStrCatN 0135 TList<Data.DBXCommon.TDBXParameter>.TEnumerator.MoveNext 015c @HandleFinally 01a3 IsUrlParameter 0245 AnsiEndsText 0256 @UStrCat 028e _DV_TDSRestRequest 0293 TDSRestRequest.Create 02ba TDSRestRequest.open 02f7 TList<Data.DBXCommon.TDBXParameter>.GetItem 02ff ParameterToJSon 031a _Dn_TJSONArray 031f TJSONArray.Create 035d TJSONArray.AddElement 03a4 _Dn_TJSONObject 03a9 TJSONObject.Create 03ba TJSONObject.AddPair 03de TObject.Free 03fa @UStrAsg 041e TDSRestRequest.setRequestHeader 044a @UStrCat3 0455 TDSRestRequest.setRequestPragma 0460 TDSRestRequest.send 049d TDSRestRequestResponse.GetStringValue 04a8 BytesOf 04b4 TJSONObject.ParseJSONValue 04dc TJSONObject.Get 04e5 TJSONPair.GetJsonValue 04f0 @IsClass 0571 TJSONArray.Size 057e TJSONArray.Get 05d0 TDBXJSONTools.JSONToDBX 067d TDSRestRequestResponse.GetStream 0727 @UStrClr 0730 TArray<System.Byte> 0735 @DynArrayClear 0742 @UStrArrayClr 0757 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 DB 89 5D 9C 89 5D 98 89 5D A0 89 5D A4 89 5D A8 89 5D FC 89 5D F8 89 5D F4 89 5D F0 89 4D E8 8B DA 89 45 EC 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D 1C 00 74 42 8B 45 1C 8B 10 FF 52 08 8B F8 4F 85 FF 7C 33 47 33 F6 8B D6 8B 45 1C 8B 08 FF 51 04 8B D8 8B C3 8B 10 FF 52 40 48 74 0C 8B C3 8B 10 FF 52 40 83 F8 03 75 0A 8B D3 8B 45 E4 E8 ?? ?? ?? ?? 46 4F 75 D0 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 15 83 7D E8 00 74 0F 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 7E 8B 45 E4 E8 ?? ?? ?? ?? 89 45 B4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 32 8B 45 B4 E8 ?? ?? ?? ?? 8B D8 FF 75 FC 8D 4D A8 8B 45 EC 8B 50 4C 8B C3 E8 ?? ?? ?? ?? FF 75 A8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 B4 E8 ?? ?? ?? ?? 84 C0 75 C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D B4 00 74 0A B2 01 8B 45 B4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 C6 45 DF 01 8B 45 E4 E8 ?? ?? ?? ?? 89 45 B0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 5F 8B 45 B0 E8 ?? ?? ?? ?? 8B D8 80 7D DF 00 74 45 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2A FF 75 FC 8D 4D A4 8B 45 EC 8B 50 4C 8B C3 E8 ?? ?? ?? ?? FF 75 A4 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 1A 8B D3 8B 45 E0 E8 ?? ?? ?? ?? C6 45 DF 00 EB 0A 8B D3 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? 84 C0 75 95 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D B0 00 74 0A B2 01 8B 45 B0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 83 7D 18 00 74 62 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 18 66 83 38 3F 75 0D 8D 45 FC 8B 55 18 E8 ?? ?? ?? ?? EB 18 FF 75 FC 68 ?? ?? ?? ?? FF 75 18 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 24 50 8B 45 20 50 8B 4D FC 8B 55 E8 8B 45 D8 E8 ?? ?? ?? ?? 83 7D E0 00 0F 84 22 01 00 00 8B 45 E0 83 78 08 00 0F 8E 15 01 00 00 33 C0 89 45 B8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 83 78 08 01 75 26 33 D2 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 BF E8 ?? ?? ?? ?? 8B F0 80 7D BF 00 0F 84 B4 00 00 00 89 75 B8 E9 AC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C0 8B 45 E0 E8 ?? ?? ?? ?? 89 45 AC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2F 8B 45 AC E8 ?? ?? ?? ?? 8B D8 8D 55 BF 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 45 C0 E8 ?? ?? ?? ?? 80 7D BF 00 75 09 33 D2 8B C6 8B 08 FF 51 1C 8B 45 AC E8 ?? ?? ?? ?? 84 C0 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D AC 00 74 0A B2 01 8B 45 AC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 4D C0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F3 89 5D B8 8D 55 F8 8B C6 8B 08 FF 51 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D 14 00 74 10 8B 45 D8 83 C0 38 8B 55 14 E8 ?? ?? ?? ?? EB 10 8B 45 D8 83 C0 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 10 83 38 00 74 1D 8B 4D 10 8B 09 8D 45 A0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 8B 45 D8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 D8 E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D4 80 78 18 00 74 0A 8B 45 0C 8B 10 FF 52 0C EB 0E 8B 45 D4 8B 50 14 8B 45 08 8B 08 FF 51 0C 8D 55 98 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 98 8D 55 9C E8 ?? ?? ?? ?? 8B 45 9C B1 01 33 D2 E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D D0 00 0F 84 50 01 00 00 BA ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? 89 45 C8 EB 05 33 C0 89 45 C8 83 7D C8 00 0F 84 87 01 00 00 33 C0 89 45 C4 83 7D 1C 00 0F 84 78 01 00 00 8B 45 1C 8B 10 FF 52 08 8B F8 4F 85 FF 0F 8C 65 01 00 00 47 33 F6 8B D6 8B 45 1C 8B 08 FF 51 04 8B D8 33 C0 89 45 CC 8B C3 8B 10 FF 52 40 83 F8 04 74 18 8B C3 8B 10 FF 52 40 83 F8 03 74 0C 8B C3 8B 10 FF 52 40 83 F8 02 75 2B 8B 45 C8 E8 ?? ?? ?? ?? 48 75 0F 33 D2 8B 45 C8 E8 ?? ?? ?? ?? 89 45 CC EB 11 8B 55 C4 8B 45 C8 E8 ?? ?? ?? ?? 89 45 CC FF 45 C4 83 7D CC 00 74 7B 8B C3 8B 10 FF 52 50 83 E8 17 74 07 83 E8 0E 74 27 EB 4A 6A 01 6A 01 8B C3 8B 10 FF 52 50 50 8B C3 8B 10 FF 52 7C 50 8B 45 CC 8B 10 FF 52 0C 5A 59 E8 ?? ?? ?? ?? EB 43 6A 01 6A 01 8B C3 8B 10 FF 52 50 50 8B C3 8B 10 FF 52 7C 50 8B 45 CC 8B 10 FF 52 0C 5A 59 E8 ?? ?? ?? ?? EB 1E 6A 01 6A 00 8B C3 8B 10 FF 52 50 50 8B C3 8B 10 FF 52 7C 8B D0 8B 45 CC 59 E8 ?? ?? ?? ?? 46 4F 0F 85 17 FF FF FF EB 77 83 7D 1C 00 74 71 8B 45 1C 8B 10 FF 52 08 8B F8 4F 85 FF 7C 62 47 33 F6 8B D6 8B 45 1C 8B 08 FF 51 04 8B D8 8B C3 8B 10 FF 52 40 83 F8 04 74 18 8B C3 8B 10 FF 52 40 83 F8 03 74 0C 8B C3 8B 10 FF 52 40 83 F8 02 75 2B 8B C3 8B 10 FF 52 50 83 F8 21 75 1F 33 D2 8B 45 D4 E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 52 7C B1 01 5A 8B 18 FF 93 AC 01 00 00 EB 04 46 4F 75 A1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 5F 5E 5B 8B E5 5D C2 20 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 5F 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 4A 00 53 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 74 00 65 00 78 00 74 00 2F 00 70 00 6C 00 61 00 69 00 6E 00 3B 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 55 00 54 00 46 00 2D 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 4D 00 6F 00 6E 00 2C 00 20 00 31 00 20 00 4F 00 63 00 74 00 20 00 31 00 39 00 39 00 30 00 20 00 30 00 35 00 3A 00 30 00 30 00 3A 00 30 00 30 00 20 00 47 00 4D 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 66 00 2D 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 53 00 69 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 64 00 73 00 73 00 65 00 73 00 73 00 69 00 6F 00 6E 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_16129_0 {
	meta:
		name = "ExecuteCacheCommand"
		size = 664
		refs = "0022 @IntfAddRef 002a ExecuteCacheCommand 0037 _DV_ExecuteCacheCommand$229$ActRec 003c TObject.Create 004f @IntfCopy 0070 @UStrLAsg 0085 TDSCustomRestConnection.GetHTTP 008d TDSHTTP.GetProtocol 00c9 @UStrCat3 00d7 IntToStr 0121 EncodeURIComponent 0149 @UStrCatN 01a5 ExecuteCacheRequest 01bf @UStrArrayClr 01c7 @IntfClear 01e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D D4 89 55 D8 8B F8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 DC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 0C 8D 55 E0 8B 46 08 8B 08 FF 51 74 8D 45 FC 8B 53 0C 8B 72 08 8B 56 44 E8 ?? ?? ?? ?? 8B 7E 40 8D 45 F8 8B 56 3C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 83 7D E8 00 75 0D 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 75 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 10 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 7E 1A 8D 55 D0 8B C7 E8 ?? ?? ?? ?? 8B 4D D0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 53 0C 8B 52 08 8B 52 54 E8 ?? ?? ?? ?? 83 7D EC 00 75 0D 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 4D CC 8B 55 E0 8B 45 F8 E8 ?? ?? ?? ?? FF 75 CC FF 75 F4 FF 75 FC 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F0 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 8B 53 0C 8B 52 08 8B 52 60 E8 ?? ?? ?? ?? 8B 43 0C 8B 40 08 8B 70 58 8B 46 04 50 8B 46 08 50 8B 45 08 50 8B 45 D4 50 8D 45 E4 50 8B C3 85 C0 74 03 83 E8 EC 50 8B C3 85 C0 74 03 83 E8 F0 50 8B 45 0C 50 8B 43 0C 8B 40 08 E8 ?? ?? ?? ?? 8B 4D F0 8B 55 D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 74 00 74 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6C 00 6F 00 63 00 61 00 6C 00 68 00 6F 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 64 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 2F 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 61 00 63 00 68 00 65 00 00 00 }
	condition:
		$1
}

rule function_16130_0 {
	meta:
		name = "ExecuteCacheRequest"
		size = 920
		refs = "0029 @IntfAddRef 0041 ExecuteCacheRequest 0052 @UStrLAsg 005d @UStrCat 0084 AnsiEndsText 00bd @UStrCatN 00c6 _DV_TDSRestRequest 00cb TDSRestRequest.Create 00f2 TDSRestRequest.open 0102 @UStrAsg 0114 TDSRestRequest.setRequestHeader 013a @UStrCat3 0145 TDSRestRequest.setRequestPragma 014f TDSRestRequest.send 0199 TDSRestRequestResponse.GetStream 01ce TObject.Free 01d4 @HandleFinally 0208 @UStrClr 0215 @UStrArrayClr 021d @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D FC 89 5D F8 89 5D F4 89 4D EC 89 55 F0 8B F8 8B 75 14 8B 5D 1C 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 EC E8 ?? ?? ?? ?? 8D 45 FC 8B 55 18 E8 ?? ?? ?? ?? 85 DB 74 5C 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 3B 3F 75 0C 8D 45 FC 8B D3 E8 ?? ?? ?? ?? EB 16 FF 75 FC 68 ?? ?? ?? ?? 53 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 24 50 8B 45 20 50 8B 4D FC 8B 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 83 C0 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 83 3E 00 74 1A 8B 0E 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 E8 E8 ?? ?? ?? ?? 33 D2 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 80 78 18 00 74 0A 8B 45 10 8B 10 FF 52 0C EB 0E 8B 45 E4 8B 50 14 8B 45 0C 8B 08 FF 51 0C 83 7D 08 00 74 32 C6 45 E3 00 8D 45 E3 50 B2 01 8B 45 E4 E8 ?? ?? ?? ?? 8B D0 8B 45 E4 8B 48 1C 8B 45 08 8B 18 FF 53 0C 80 7D E3 00 75 0A 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5F 5E 5B 8B E5 5D C2 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 4A 00 53 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 74 00 65 00 78 00 74 00 2F 00 70 00 6C 00 61 00 69 00 6E 00 3B 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 55 00 54 00 46 00 2D 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 4D 00 6F 00 6E 00 2C 00 20 00 31 00 20 00 4F 00 63 00 74 00 20 00 31 00 39 00 39 00 30 00 20 00 30 00 35 00 3A 00 30 00 30 00 3A 00 30 00 30 00 20 00 47 00 4D 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 66 00 2D 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 53 00 69 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 64 00 73 00 73 00 65 00 73 00 73 00 69 00 6F 00 6E 00 3D 00 00 00 00 00 }
	condition:
		$1
}

rule function_16131_0 {
	meta:
		name = "TBaseAdapterPageProducer.DoAfterGetContent"
		size = 29
		altNames = "TCustomIpClient.DoDisconnect TCustomTcpServer.GetThread TDSCustomRestConnection.AfterExecute TXMLDocument.DoBeforeOpen"
	strings:
		$1 = { 53 66 83 B8 9A 00 00 00 00 74 10 8B D8 8B D0 8B 83 9C 00 00 00 FF 93 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_16132_0 {
	meta:
		name = "TDSCustomRestConnection.AssignTo"
		size = 259
		refs = "0019 TDSCustomRestConnection.AssignTo 0027 _DV_TDSCustomRestConnection 002c @IsClass 0041 @UStrAsg 005c TDSCustomRestConnection.GetUserName 0066 TDSCustomRestConnection.SetUserName 0070 TDSCustomRestConnection.GetPassword 007a TDSCustomRestConnection.SetPassword 0084 TDSCustomRestConnection.SetContext 00be TDSCustomRestConnection.GetOnValidatePeerCertificate 00cb TDSCustomRestConnection.SetOnValidatePeerCertificate 00d6 TPersistent.AssignTo 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 99 00 00 00 8B FE 8D 47 3C 8B 53 3C E8 ?? ?? ?? ?? 8B 43 40 89 47 40 8D 47 44 8B 53 44 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 53 54 8B C7 E8 ?? ?? ?? ?? 8D 47 60 8B 53 60 E8 ?? ?? ?? ?? 0F B6 83 A0 00 00 00 88 87 A0 00 00 00 8B 83 80 00 00 00 89 87 80 00 00 00 8B 83 84 00 00 00 89 87 84 00 00 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 8B C7 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16133_0 {
	meta:
		name = "TDSCustomRestConnection.BeforeExecute"
		size = 46
		refs = "0010 @UStrClr"
	strings:
		$1 = { 53 8B D8 80 BB A0 00 00 00 00 75 08 8D 43 60 E8 ?? ?? ?? ?? 66 83 BB 92 00 00 00 00 74 0E 8B D3 8B 83 94 00 00 00 FF 93 90 00 00 00 5B C3 }
	condition:
		$1
}

rule function_16134_0 {
	meta:
		name = "TDSCustomRestConnection.Create"
		size = 148
		refs = "000a @ClassCreate 0017 TComponent.Create 0025 _DV_TDSRestLoginProperties 002a TObject.Create 003d TDSCustomRestConnection.SetLoginPrompt 0045 @UStrClr 004d TDSCustomRestConnection.Create 0052 @UStrAsg 005d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 68 B8 22 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 58 C6 86 A0 00 00 00 01 B2 01 8B C6 E8 ?? ?? ?? ?? 8D 46 74 E8 ?? ?? ?? ?? 8D 46 78 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 4B 00 65 00 65 00 70 00 2D 00 41 00 6C 00 69 00 76 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16136_0 {
	meta:
		name = "DesignerDataStored"
		size = 56
		refs = "001e @UStrEqual"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 20 85 DB 74 17 8B 43 50 8B 55 08 8B 52 F8 8B 52 50 E8 ?? ?? ?? ?? 0F 95 C0 5B 5D C3 8B 45 08 8B 40 F8 83 78 50 00 0F 95 C0 5B 5D C3 }
	condition:
		$1
}

rule function_16138_0 {
	meta:
		name = "TDSCustomRestConnection.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TComponent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 58 E8 ?? ?? ?? ?? 8B 46 5C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65801_0 {
	meta:
		name = "THashedStringList.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TStringList.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 58 E8 ?? ?? ?? ?? 8B 46 5C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16139_0 {
	meta:
		name = "TDSCustomRestConnection.GetConnection"
		size = 102
		refs = "000f TDSCustomRestConnection.GetConnection 0022 TDSCustomRestConnection.GetHTTP 002a TDSHTTP.GetRequest 0040 @UStrAsg 0055 @IntfClear 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 5C 00 74 1B 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 5C EB 0A 8B C6 8B 53 78 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16140_0 {
	meta:
		name = "TDSCustomRestConnection.GetHTTP"
		size = 328
		refs = "0014 TDSCustomRestConnection.GetHTTP 002e TDSCustomRestConnection.DefaultProtocol 003a TDSHTTP.ProtocolClass 0062 TDSHTTP.GetRequest 007c TDSHTTP.SetHTTPOptions 0087 TDSHTTP.GetProxyParams 00ec EmptyStr 00f3 @UStrEqual 0115 IIPProxyConnectionInfo 011f @FinalizeArray 0127 @IntfClear 012f @UStrClr 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 5C 00 0F 85 D8 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 43 74 50 8B 45 FC E8 ?? ?? ?? ?? 33 C9 B2 01 FF 50 48 8B F0 89 73 5C 8B 83 88 00 00 00 89 46 40 8B 83 8C 00 00 00 89 46 44 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 53 78 8B 08 FF 51 60 0F B6 15 ?? ?? ?? ?? 8B 43 5C E8 ?? ?? ?? ?? 8D 55 F4 8B 43 5C E8 ?? ?? ?? ?? 8B 45 F4 8B 53 64 8B 08 FF 51 20 8D 55 F0 8B 43 5C E8 ?? ?? ?? ?? 8B 45 F0 8B 53 68 8B 08 FF 51 18 8D 55 EC 8B 43 5C E8 ?? ?? ?? ?? 8B 45 EC 8B 53 6C 8B 08 FF 51 28 8D 55 E8 8B 43 5C E8 ?? ?? ?? ?? 8B 45 E8 8B 53 70 8B 08 FF 51 30 8D 55 E4 8B 43 5C E8 ?? ?? ?? ?? 8B 45 E4 50 8B 43 6C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 95 C2 58 8B 08 FF 51 38 8B 5B 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B C3 5E 5B 8B E5 5D C3 00 02 00 00 00 }
	condition:
		$1
}

rule function_16141_0 {
	meta:
		name = "TDSCustomRestConnection.GetLoginPrompt"
		size = 19
	strings:
		$1 = { F6 40 1C 10 75 08 8B 40 58 0F B6 40 0C C3 0F B6 40 7C C3 }
	condition:
		$1
}

rule function_16142_0 {
	meta:
		name = "TDSCustomRestConnection.GetPassword"
		size = 41
		refs = "0015 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 10 75 10 8B C6 8B 53 58 8B 52 08 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 4C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16143_0 {
	meta:
		name = "TDSCustomRestConnection.GetProxyHost"
		size = 102
		refs = "000f TDSCustomRestConnection.GetProxyHost 0022 TDSCustomRestConnection.GetHTTP 002a TDSHTTP.GetProxyParams 0040 @UStrAsg 0055 @IntfClear 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 5C 00 74 1B 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 1C EB 0A 8B C6 8B 53 64 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16144_0 {
	meta:
		name = "TDSCustomRestConnection.GetProxyPassword"
		size = 102
		refs = "000f TDSCustomRestConnection.GetProxyPassword 0022 TDSCustomRestConnection.GetHTTP 002a TDSHTTP.GetProxyParams 0040 @UStrAsg 0055 @IntfClear 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 5C 00 74 1B 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 2C EB 0A 8B C6 8B 53 70 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16145_0 {
	meta:
		name = "TDSCustomRestConnection.GetIPImplementationID"
		size = 45
		refs = "000f TDSCustomRestConnection.GetHTTP 0019 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 5C 00 74 14 8B C3 E8 ?? ?? ?? ?? 8B 50 4C 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 74 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16146_0 {
	meta:
		name = "TDSCustomRestConnection.GetProxyPort"
		size = 93
		refs = "000c TDSCustomRestConnection.GetProxyPort 001f TDSCustomRestConnection.GetHTTP 0027 TDSHTTP.GetProxyParams 004b @IntfClear 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 5C 00 74 1B 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B D8 EB 03 8B 5B 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_16147_0 {
	meta:
		name = "TDSCustomRestConnection.GetProxyUsername"
		size = 102
		refs = "000f TDSCustomRestConnection.GetProxyUsername 0022 TDSCustomRestConnection.GetHTTP 002a TDSHTTP.GetProxyParams 0040 @UStrAsg 0055 @IntfClear 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 5C 00 74 1B 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 24 EB 0A 8B C6 8B 53 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16148_0 {
	meta:
		name = "TDSCustomRestConnection.DefaultProtocol"
		size = 64
		refs = "000f TDSCustomRestConnection.DefaultProtocol 0014 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 38 00 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 38 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 74 00 74 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_16149_0 {
	meta:
		name = "TDSCustomRestConnection.GetUserName"
		size = 41
		refs = "0015 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 10 75 10 8B C6 8B 53 58 8B 52 04 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16150_0 {
	meta:
		name = "TDSCustomRestConnection.GetOnValidatePeerCertificate"
		size = 40
	strings:
		$1 = { 53 8B 58 5C 85 DB 74 0D 8B 43 40 89 02 8B 43 44 89 42 04 5B C3 8B 88 88 00 00 00 89 0A 8B 88 8C 00 00 00 89 4A 04 5B C3 }
	condition:
		$1
}

rule function_16151_0 {
	meta:
		name = "TDSCustomRestConnection.ReadUniqueId"
		size = 80
		refs = "000f TDSCustomRestConnection.ReadUniqueId 001f TReader.ReadString 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16152_0 {
	meta:
		name = "TDSCustomRestConnection.SessionExpired"
		size = 13
		refs = "0007 @UStrClr"
	strings:
		$1 = { 53 8B D8 8D 43 60 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16153_0 {
	meta:
		name = "TDSCustomRestConnection.SetConnection"
		size = 100
		refs = "000f TDSCustomRestConnection.SetConnection 001f @UStrAsg 002c TDSCustomRestConnection.GetHTTP 0034 TDSHTTP.GetRequest 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 78 8B D6 E8 ?? ?? ?? ?? 83 7B 5C 00 74 19 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16154_0 {
	meta:
		name = "TDSCustomRestConnection.SetContext"
		size = 96
		refs = "000a EmptyStr 0011 @UStrEqual 0037 TDSCustomRestConnection.SetContext 003c @UStrCat 0049 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 16 8B C6 85 C0 74 05 83 E8 04 8B 00 66 83 7C 46 FE 2F 0F 95 C0 EB 02 33 C0 84 C0 74 10 8D 43 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8D 43 54 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_16155_0 {
	meta:
		name = "TDSCustomRestConnection.SetLoginPrompt"
		size = 10
	strings:
		$1 = { 88 50 7C 8B 40 58 88 50 0C C3 }
	condition:
		$1
}

rule function_16156_0 {
	meta:
		name = "TDSCustomRestConnection.SetPassword"
		size = 32
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 4C 8B D6 E8 ?? ?? ?? ?? 8B 43 58 83 C0 08 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16157_0 {
	meta:
		name = "TDSCustomRestConnection.SetProtocol"
		size = 38
		refs = "000c @UStrEqual 0015 TDSCustomRestConnection.Reset 001f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 8B D6 E8 ?? ?? ?? ?? 74 07 8B C3 E8 ?? ?? ?? ?? 8D 43 38 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16158_0 {
	meta:
		name = "TDSCustomRestConnection.SetProxyHost"
		size = 100
		refs = "000f TDSCustomRestConnection.SetProxyHost 001f @UStrAsg 002c TDSCustomRestConnection.GetHTTP 0034 TDSHTTP.GetProxyParams 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 64 8B D6 E8 ?? ?? ?? ?? 83 7B 5C 00 74 19 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16159_0 {
	meta:
		name = "TDSCustomRestConnection.SetProxyPassword"
		size = 100
		refs = "000f TDSCustomRestConnection.SetProxyPassword 001f @UStrAsg 002c TDSCustomRestConnection.GetHTTP 0034 TDSHTTP.GetProxyParams 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 70 8B D6 E8 ?? ?? ?? ?? 83 7B 5C 00 74 19 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16160_0 {
	meta:
		name = "TDSCustomRestConnection.SetIPImplementationID"
		size = 120
		refs = "000f TDSCustomRestConnection.SetIPImplementationID 001f @UStrEqual 002f sCannotChangeIPImplID 0034 LoadResString 003e _DV_TDSRestException 0043 Exception.Create 0048 @RaiseExcept 0052 @UStrAsg 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 74 8B D6 E8 ?? ?? ?? ?? 74 31 83 7B 5C 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 74 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16161_0 {
	meta:
		name = "TDSCustomRestConnection.SetProxyPort"
		size = 93
		refs = "000f TDSCustomRestConnection.SetProxyPort 0025 TDSCustomRestConnection.GetHTTP 002d TDSHTTP.GetProxyParams 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 73 68 83 7B 5C 00 74 19 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16162_0 {
	meta:
		name = "TDSCustomRestConnection.SetProxyUsername"
		size = 157
		refs = "0011 TDSCustomRestConnection.SetProxyUsername 0021 @UStrAsg 002e TDSCustomRestConnection.GetHTTP 0036 TDSHTTP.GetProxyParams 005b EmptyStr 0062 @UStrEqual 0081 IIPProxyConnectionInfo 008b @FinalizeArray 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 6C 8B D6 E8 ?? ?? ?? ?? 83 7B 5C 00 74 44 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 28 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 95 C2 58 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16163_0 {
	meta:
		name = "TDSCustomRestConnection.Reset"
		size = 17
		refs = "000c TObject.Free"
	strings:
		$1 = { 83 C0 5C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16164_0 {
	meta:
		name = "TDSCustomRestConnection.SetUserName"
		size = 52
		refs = "000c @UStrEqual 0016 @UStrClr 0020 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 48 8B D6 E8 ?? ?? ?? ?? 74 1F 8D 43 60 E8 ?? ?? ?? ?? 8D 43 48 8B D6 E8 ?? ?? ?? ?? 8B 43 58 83 C0 04 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16165_0 {
	meta:
		name = "TDSCustomRestConnection.SetOnValidatePeerCertificate"
		size = 44
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 88 00 00 00 8B 55 0C 89 90 8C 00 00 00 8B 50 5C 85 D2 74 0C 8B 45 08 89 42 40 8B 45 0C 89 42 44 5D C2 08 00 }
	condition:
		$1
}

rule function_16166_0 {
	meta:
		name = "TDSCustomRestConnection.TestConnection"
		size = 316
		refs = "001b TDSCustomRestConnection.TestConnection 0050 _Dn_TDSAdminRestClient 0055 TDSAdminRestClient.Create 0071 TDSAdminRestClient.GetPlatformName 007f sUnexpectedResult 0084 LoadResString 008e _DV_TDSRestException 0093 Exception.Create 0098 @RaiseExcept 00ad TObject.Free 00b3 @HandleFinally 00eb TDSCustomRestConnection.GetHTTP 00f0 TDSHTTP.Disconnect 00ff @HandleAnyException 0104 @DoneExcept 0121 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D FC 88 55 F7 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 58 0F B6 50 0C 88 55 F6 F6 45 F7 01 74 04 C6 40 0C 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 83 7D FC 00 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? F6 45 F7 01 74 0D 8B 45 F8 8B 40 58 0F B6 55 F6 88 50 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16167_0 {
	meta:
		name = "TDSCustomRestConnection.WriteUniqueId"
		size = 10
		refs = "0005 TWriter.WriteString"
	strings:
		$1 = { 8B 40 50 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16168_0 {
	meta:
		name = "Login"
		size = 87
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 F8 F6 40 1C 10 75 10 8B 45 08 8B 40 F8 66 83 B8 82 00 00 00 00 75 04 33 DB EB 02 B3 01 84 DB 74 26 8B 45 08 48 50 8B 45 08 8B 70 F8 8B 45 08 8B 40 F8 8B 48 58 8B 45 08 8B 50 F8 8B 86 84 00 00 00 FF 96 80 00 00 00 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_16169_0 {
	meta:
		name = "TDSCustomRestConnection.Login"
		size = 75
		refs = "000f Login 001a DSRestLoginDialogProc 0026 TDSCustomRestConnection.LoginDialogTestConnection"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 F8 C6 45 FF 00 55 E8 ?? ?? ?? ?? 59 84 C0 75 29 83 3D ?? ?? ?? ?? 00 74 20 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 8D 50 58 8B 45 F8 FF 15 ?? ?? ?? ?? 84 C0 75 04 C6 45 FF 01 0F B6 45 FF 34 01 59 59 5D C3 }
	condition:
		$1
}

rule function_16170_0 {
	meta:
		name = "TDSCustomRestConnection.LoginDialogTestConnection"
		size = 20
		refs = "0003 TDSCustomRestConnection.LoginDialogTestConnection 0008 TDSCustomRestConnection.TestConnection"
	strings:
		$1 = { 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_16171_0 {
	meta:
		name = "TDSRestRequest.open"
		size = 135
		refs = "0012 TDSRestRequest.open 0021 _DV_TDictionary<System.string,System.string> 0026 TDictionary<System.string,System.string>.Create 0033 UpperCase 003e @UStrAsg 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 1C E8 ?? ?? ?? ?? 8D 43 20 8B D7 E8 ?? ?? ?? ?? 8D 43 28 8B 55 0C E8 ?? ?? ?? ?? 8D 43 24 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_16172_0 {
	meta:
		name = "TDSRestRequest.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001a TObject.Free 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 80 7E 34 00 74 08 8B 46 08 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16173_0 {
	meta:
		name = "TDSRestRequest.send"
		size = 968
		refs = "0021 TDSRestRequest.send 004f _Dn_TMemoryStream 0054 TObject.Create 006a @UStrEqual 007d @UStrClr 008f TDSRestRequest.SendGetRequest 00ab TEncoding.GetUTF8 00b7 _Dn_TStringStream 00bc TStringStream.Create 00dd TDSRestRequest.SendPutRequest 012b TDSRestRequest.SendPostRequest 0159 TDSRestRequest.SendDeleteRequest 0176 SUnexpectedRequestType 017b LoadResString 0185 _DV_TDSRestException 018a Exception.CreateFmt 018f @RaiseExcept 01b4 TDSRestRequest.GetResponseStream 01bd _DV_TDSRestRequestResponse 01c2 TDSRestRequestResponse.Create 01e7 @UStrAsg 01f2 TDSRestRequestResponse.GetStringValue 01fd BytesOf 0209 TJSONObject.ParseJSONValue 0217 _Dn_TJSONObject 021c @IsClass 022c TJSONObject.Get 0251 TObject.Free 0257 @HandleFinally 0288 _DV_TDSRestProtocolException 028d TDSRestProtocolException.Create 0312 TArray<System.Byte> 0317 @DynArrayClear 032c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 C9 89 4D DC 89 4D D8 89 4D E0 89 4D FC 89 4D F8 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 33 C0 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 83 78 08 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 42 08 8B 45 F4 8B 40 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 09 8B 45 F4 83 78 1C 00 75 1F 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F4 8D 48 18 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? E9 FB 00 00 00 8B 45 F4 8B 40 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3C E8 ?? ?? ?? ?? 50 6A 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 F4 83 C0 18 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 4D FC 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? E9 AD 00 00 00 8B 45 F4 8B 40 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 39 E8 ?? ?? ?? ?? 50 6A 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 F4 83 C0 18 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 4D FC 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? EB 62 8B 45 F4 8B 40 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1C 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F4 8D 48 18 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? EB 34 8B 45 F4 8B 40 1C 89 45 E4 C6 45 E8 11 8D 45 E4 50 6A 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 81 78 18 93 01 00 00 0F 85 BA 00 00 00 8B 45 F4 8B 40 0C 50 6A 00 6A 00 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 83 C0 20 8B 55 F4 8B 52 2C 8B 52 4C E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 45 DC B1 01 33 D2 E8 ?? ?? ?? ?? 8B D8 85 DB 74 28 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 07 8B 45 F4 C6 40 14 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 8B 58 18 81 FB C8 00 00 00 74 2B 81 FB C9 00 00 00 74 23 81 FB CA 00 00 00 74 1B 8B 45 FC 50 8B 45 F8 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C 50 8B 45 F4 8B 40 10 50 8B 45 F4 0F B6 40 14 50 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 83 C0 20 8B 55 F4 8B 52 2C 8B 52 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 8B 45 F0 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 45 00 78 00 70 00 69 00 72 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_16174_0 {
	meta:
		name = "TDSRestRequest.setRequestHeader"
		size = 53
		refs = "000f TDictionary<System.string,System.string>.ContainsKey 001f TDictionary<System.string,System.string>.Add 002d TDictionary<System.string,System.string>.SetItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 84 C0 75 0E 8B CF 8B D6 8B 43 04 E8 ?? ?? ?? ?? EB 0C 8B CF 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16175_0 {
	meta:
		name = "TDSRestRequest.setRequestPragma"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 30 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16176_0 {
	meta:
		name = "TDSRestRequest.Create"
		size = 39
		refs = "0008 @ClassCreate 0018 @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? C6 40 34 01 89 48 2C 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_16177_0 {
	meta:
		name = "TDSRestRequest.GetHTTP"
		size = 554
		refs = "0019 TPair<System.string,System.string> 001e @InitializeRecord 0026 TDSRestRequest.GetHTTP 0040 TDSHTTP.GetRequest 00d4 TDSHTTP.SetBasicAuthentication 00e3 TStream.SetSize64 010c TDictionary<System.string,System.string>.GetEnumerator 012a TDictionary<System.string,System.string>.TPairEnumerator.GetCurrent 0156 TDictionary<System.string,System.string>.TPairEnumerator.MoveNext 017d @HandleFinally 01ae IIPHTTPRequest 01b8 @FinalizeArray 01c0 @IntfClear 0216 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 2C 89 45 F0 8D 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 F4 8B 52 38 8B 08 FF 91 98 00 00 00 8D 55 E0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 8B 08 FF 91 8C 00 00 00 83 7D E4 00 74 50 8D 55 D8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC 8B 08 FF 91 8C 00 00 00 8B 45 DC 8B 55 F4 8B 52 28 8B 08 FF 51 18 8D 55 D0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 D0 8D 55 D4 8B 08 FF 91 8C 00 00 00 8B 45 D4 8B 55 F4 8B 52 24 8B 08 FF 51 20 EB 14 8B 45 F4 8B 48 24 8B 45 F4 8B 50 28 8B 45 F0 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 C8 8D 55 CC 8B 08 FF 51 4C 8B 45 CC 8B 10 FF 52 2C 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2F 8D 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8D 55 C0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 C0 8D 55 C4 8B 08 FF 51 4C 8B 45 C4 8B 4D FC 8B 55 F8 8B 18 FF 53 14 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8D 55 BC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 BC 8B 55 F4 8B 52 30 8B 08 FF 51 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 87 8B 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16178_0 {
	meta:
		name = "TDSRestRequest.GetResponseStream"
		size = 18
	strings:
		$1 = { 8B 48 08 85 C9 74 08 84 D2 75 04 C6 40 34 00 8B C1 C3 }
	condition:
		$1
}

rule function_16179_0 {
	meta:
		name = "TDSRestRequest.DoRequest"
		size = 464
		refs = "0029 @IntfAddRef 0031 TDSRestRequest.DoRequest 003f @UStrClr 0046 TDSRestRequest.GetHTTP 006a TDSHTTP.GetResponse 0080 @UStrAsg 0087 TDSHTTP.GetResponseCode 00ae Pos 00c8 @UStrCopy 00ea @UStrDelete 010e @HandleOnException 0116 _Dn_EIPHTTPProtocolExceptionPeer 011e _Dn_Exception 0149 @RaiseAgain 014e @DoneExcept 0164 IIPHTTPResponse 016e @FinalizeArray 0186 @IntfClear 018c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 89 55 F8 8B F0 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B 45 08 8B 08 FF 51 0C 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 8B 08 FF 51 64 8B 55 F0 8D 46 0C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 89 02 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 FC 8B 08 FF 51 54 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 43 8D 45 FC 50 8D 53 0A B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 0F 8D 45 FC B9 FF FF FF 7F 8B D3 E8 ?? ?? ?? ?? 8D 46 10 8B 55 FC E8 ?? ?? ?? ?? EB 08 8D 46 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 45 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 43 20 8B 55 F4 89 02 8B 45 0C 8B 53 1C E8 ?? ?? ?? ?? 8B 45 F8 8B 53 04 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 64 00 73 00 73 00 65 00 73 00 73 00 69 00 6F 00 6E 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_16180_0 {
	meta:
		name = "TDSRestRequest.SendGetRequest$282$ActRec.$0$Body"
		size = 75
		refs = "000a TDSRestRequest.SendGetRequest$282$ActRec.$0$Body 0026 TDSHTTP.Get 003b @UStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 5D FC 53 8B 48 0C 8B 59 20 8B 49 08 8B C2 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_16186_0 {
	meta:
		name = "TDSRestRequest.SendDeleteRequest$288$ActRec.$0$Body"
		size = 75
		refs = "000a TDSRestRequest.SendDeleteRequest$288$ActRec.$0$Body 0026 TDSHTTP.Delete 003b @UStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 5D FC 53 8B 48 0C 8B 59 20 8B 49 08 8B C2 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_16181_0 {
	meta:
		name = "TDSRestRequest.SendGetRequest"
		size = 153
		refs = "0025 TDSRestRequest.SendGetRequest 0032 _DV_TDSRestRequest.SendGetRequest$282$ActRec 0037 TObject.Create 004a @IntfCopy 0057 @UStrClr 006f TDSRestRequest.DoRequest 0084 @IntfClear 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B F0 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B FE 89 7B 0C 8B 45 08 E8 ?? ?? ?? ?? 50 8B C3 85 C0 74 03 83 E8 F0 50 8B 4D F4 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16187_0 {
	meta:
		name = "TDSRestRequest.SendDeleteRequest"
		size = 153
		refs = "0025 TDSRestRequest.SendDeleteRequest 0032 _DV_TDSRestRequest.SendDeleteRequest$288$ActRec 0037 TObject.Create 004a @IntfCopy 0057 @UStrClr 006f TDSRestRequest.DoRequest 0084 @IntfClear 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B F0 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B FE 89 7B 0C 8B 45 08 E8 ?? ?? ?? ?? 50 8B C3 85 C0 74 03 83 E8 F0 50 8B 4D F4 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16182_0 {
	meta:
		name = "TDSRestRequest.SendPutRequest$284$ActRec.$0$Body"
		size = 24
		refs = "0012 TDSHTTP.Put"
	strings:
		$1 = { 53 8B 48 10 8B 59 08 53 8B 49 20 8B 40 0C 87 CA 91 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16184_0 {
	meta:
		name = "TDSRestRequest.SendPostRequest$286$ActRec.$0$Body"
		size = 24
		refs = "0012 TDSHTTP.Post"
	strings:
		$1 = { 53 8B 48 10 8B 59 08 53 8B 49 20 8B 40 0C 87 CA 91 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16183_0 {
	meta:
		name = "TDSRestRequest.SendPutRequest"
		size = 155
		refs = "0024 TDSRestRequest.SendPutRequest 0031 _DV_TDSRestRequest.SendPutRequest$284$ActRec 0036 TObject.Create 0049 @IntfCopy 0059 @UStrClr 0071 TDSRestRequest.DoRequest 0086 @IntfClear 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B F0 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 7B 0C 8B FE 89 7B 10 8B 45 08 E8 ?? ?? ?? ?? 50 8B C3 85 C0 74 03 83 E8 EC 50 8B 4D 0C 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_16185_0 {
	meta:
		name = "TDSRestRequest.SendPostRequest"
		size = 155
		refs = "0024 TDSRestRequest.SendPostRequest 0031 _DV_TDSRestRequest.SendPostRequest$286$ActRec 0036 TObject.Create 0049 @IntfCopy 0059 @UStrClr 0071 TDSRestRequest.DoRequest 0086 @IntfClear 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B F0 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 7B 0C 8B FE 89 7B 10 8B 45 08 E8 ?? ?? ?? ?? 50 8B C3 85 C0 74 03 83 E8 EC 50 8B 4D 0C 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_16188_0 {
	meta:
		name = "TDSRestRequestResponse.Create"
		size = 101
		refs = "000e @ClassCreate 0023 TStream.SetPosition 0031 @UStrAsg 004e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 C6 47 04 01 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 89 77 0C 8D 47 1C 8B 55 10 E8 ?? ?? ?? ?? 8D 47 14 8B 55 0C E8 ?? ?? ?? ?? 0F B6 45 08 88 47 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_16189_0 {
	meta:
		name = "TDSRestRequestResponse.GetStringValue"
		size = 144
		refs = "0012 TDSRestRequestResponse.GetStringValue 002e TStream.SetPosition 003d IPProcs 0056 @UStrAsg 0075 @IntfClear 007d @UStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 10 00 75 38 C6 43 10 01 6A 00 6A 00 8B 43 0C E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B 43 20 E8 ?? ?? ?? ?? 8B 45 F8 8B 4B 1C 8B 53 0C 8B 38 FF 57 4C 8B 55 FC 8D 43 08 E8 ?? ?? ?? ?? 8B C6 8B 53 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16190_0 {
	meta:
		name = "TDSRestRequestResponse.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001d TObject.Free 0028 TObject.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 04 00 74 10 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16191_0 {
	meta:
		name = "TDSRestRequestResponse.GetStream"
		size = 14
	strings:
		$1 = { 8B 48 0C 84 D2 75 04 C6 40 04 00 8B C1 C3 }
	condition:
		$1
}

rule function_16192_0 {
	meta:
		name = "TDSRestLoginProperties.AssignTo"
		size = 70
		refs = "000b _DV_TDSRestLoginProperties 0010 @IsClass 0021 @UStrAsg 003e TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B FE 8D 47 04 8B 53 04 E8 ?? ?? ?? ?? 8D 47 08 8B 53 08 E8 ?? ?? ?? ?? 0F B6 43 0C 88 47 0C EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16193_0 {
	meta:
		name = "TDSRestClientChannel.Create"
		size = 111
		refs = "000e @ClassCreate 0023 _DV_TObjectList<Datasnap.DSClientRest.TDSRestClientCallback> 0028 TObjectList<Datasnap.DSClientRest.TDSRestClientCallback>.Create 0036 @UStrAsg 0058 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 89 47 04 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 24 8D 47 2C 8B 55 0C E8 ?? ?? ?? ?? 33 C0 89 47 08 8D 47 28 8B D6 E8 ?? ?? ?? ?? 33 C0 89 47 18 89 47 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_16194_0 {
	meta:
		name = "TDSRestClientChannel.RegisterCallback"
		size = 323
		refs = "0016 TDSRestClientChannel.RegisterCallback 0024 TDSRestClientChannel.GetConnected 0032 TDSRestClientChannel.Connect 0042 TMonitor.CheckMonitorSupport 0049 TMonitor.GetMonitor 0051 TMonitor.Enter 0079 TList<Datasnap.DSClientRest.TDSRestClientCallback>.Contains 008a TList<Datasnap.DSClientRest.TDSRestClientCallback>.Add 0099 _Dn_TDSAdminRestClient 009e TDSAdminRestClient.Create 00ba TStrings.GetCommaText 00cf TDSAdminRestClient.RegisterClientCallbackServer 00df TDSRestClientChannel.NotifyEvent 00f4 TObject.Free 00fa @HandleFinally 0114 TMonitor.Exit 0131 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0F 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 E5 00 00 00 8B 45 FC 8B 70 24 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 08 00 0F 84 90 00 00 00 8B 45 FC 8B 40 24 8B D3 E8 ?? ?? ?? ?? 84 C0 75 0D 8B 45 FC 8B 40 24 8B D3 E8 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 43 08 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 4B 04 8B 45 FC 8B 50 28 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0C 8B CB B2 03 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16195_0 {
	meta:
		name = "TDSRestClientChannel.UnregisterCallback"
		size = 258
		refs = "0016 TDSRestClientChannel.UnregisterCallback 0027 TMonitor.CheckMonitorSupport 002e TMonitor.GetMonitor 0036 TMonitor.Enter 004f @UStrLAsg 005b TDSRestClientChannel.NotifyEvent 0068 TList<Datasnap.DSClientRest.TDSRestClientCallback>.Remove 0077 _Dn_TDSAdminRestClient 007c TDSAdminRestClient.Create 009e TDSAdminRestClient.UnregisterClientCallback 00b3 TObject.Free 00b9 @HandleFinally 00d3 TMonitor.Exit 00f0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 70 24 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? 8B CB B2 04 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 24 8B D3 E8 ?? ?? ?? ?? 6A 00 8B 45 F8 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 50 28 8B 4D FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 24 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16196_0 {
	meta:
		name = "TDSRestClientChannel.Connect"
		size = 197
		refs = "0012 TMonitor.CheckMonitorSupport 0019 TMonitor.GetMonitor 0021 TMonitor.Enter 0029 TDSRestClientChannel.Connect 003e TDSRestCallbackLoop.Stop 0051 TObject.Free 005c TList<Datasnap.DSClientRest.TDSRestClientCallback>.Clear 0069 TList<Datasnap.DSClientRest.TDSRestClientCallback>.Add 007a _DV_TDSRestCallbackLoop 007f TDSRestCallbackLoop.Create 0090 TDSRestCallbackLoop.Start 009c TDSRestClientChannel.NotifyEvent 00b4 TMonitor.Exit 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B 45 FC 8B 70 24 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 40 08 85 C0 74 18 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 70 08 8B C6 8B D3 E8 ?? ?? ?? ?? 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16197_0 {
	meta:
		name = "TDSRestClientChannel.Disconnect"
		size = 94
		refs = "000c TDSRestClientChannel.Disconnect 0023 TDSRestCallbackLoop.GetStopped 0032 TDSRestCallbackLoop.Stop 004e TList<Datasnap.DSClientRest.TDSRestClientCallback>.Clear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 58 08 85 DB 74 16 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 24 85 C0 74 05 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 5B 59 5D C3 }
	condition:
		$1
}

rule function_16198_0 {
	meta:
		name = "TDSRestClientChannel.UnregisterAllCallbacks"
		size = 117
		refs = "000f TMonitor.CheckMonitorSupport 0016 TMonitor.GetMonitor 001e TMonitor.Enter 0026 TDSRestClientChannel.UnregisterAllCallbacks 0037 TList<Datasnap.DSClientRest.TDSRestClientCallback>.GetItem 0041 TDSRestClientChannel.UnregisterCallback 0065 TMonitor.Exit 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 58 24 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B C3 33 D2 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 58 24 83 7B 08 00 7F E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_16199_0 {
	meta:
		name = "TDSRestClientChannel.EnumerateCallbacks"
		size = 244
		refs = "0011 @IntfAddRef 0019 TDSRestClientChannel.EnumerateCallbacks 002a TMonitor.CheckMonitorSupport 0031 TMonitor.GetMonitor 0039 TMonitor.Enter 0052 TList<Datasnap.DSClientRest.TDSRestClientCallback>.GetEnumerator 006d TList<Datasnap.DSClientRest.TDSRestClientCallback>.TEnumerator.GetCurrent 0085 TList<Datasnap.DSClientRest.TDSRestClientCallback>.TEnumerator.MoveNext 00ac @HandleFinally 00c6 TMonitor.Exit 00e3 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 58 24 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 24 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B D3 8B 45 FC 8B 08 FF 51 0C 84 C0 74 0C 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 24 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16200_0 {
	meta:
		name = "TDSRestClientChannel.EnumerateCallbacks"
		size = 240
		refs = "0011 @IntfAddRef 0019 TDSRestClientChannel.EnumerateCallbacks 002a TMonitor.CheckMonitorSupport 0031 TMonitor.GetMonitor 0039 TMonitor.Enter 0052 TList<Datasnap.DSClientRest.TDSRestClientCallback>.GetEnumerator 006d TList<Datasnap.DSClientRest.TDSRestClientCallback>.TEnumerator.GetCurrent 0081 TList<Datasnap.DSClientRest.TDSRestClientCallback>.TEnumerator.MoveNext 00a8 @HandleFinally 00c2 TMonitor.Exit 00df @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 58 24 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 24 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 14 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B D3 8B 45 FC 8B 08 FF 51 0C 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 24 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16201_0 {
	meta:
		name = "TDSRestClientChannel.GetConnected"
		size = 32
		refs = "000e TDSRestCallbackLoop.GetStopped"
	strings:
		$1 = { 53 56 8B D8 8B 73 08 85 F6 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_16202_0 {
	meta:
		name = "TDSRestClientChannel.GetSessionId"
		size = 46
		refs = "0013 TDSRestCallbackLoop.GetSessionId 0026 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 08 85 F6 74 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 11 8B 73 04 85 F6 74 0A 8B C7 8B 56 60 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16203_0 {
	meta:
		name = "TDSRestClientChannel.Destroy"
		size = 95
		refs = "0004 @BeforeDestruction 0016 TDSRestCallbackLoop.GetStopped 0021 TDSRestClientChannel.Disconnect 0031 TObject.Free 004c TObject.Destroy 0057 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 7E 08 85 FF 74 12 8B C7 E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 8D 46 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16204_0 {
	meta:
		name = "TDSRestClientChannel.Broadcast"
		size = 210
		refs = "0013 @UStrAddRef 001b TDSRestClientChannel.Broadcast 002a EmptyStr 0031 @UStrEqual 003e @UStrLAsg 0060 _Dn_TDSAdminRestClient 0065 TDSAdminRestClient.Create 0083 TDSAdminRestClient.BroadcastToChannel 009b TObject.Free 00a1 @HandleFinally 00bc @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 0B 8D 45 FC 8B 53 2C E8 ?? ?? ?? ?? 85 F6 74 61 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 4F 6A 00 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 C6 45 FB 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16205_0 {
	meta:
		name = "TDSRestClientChannel.Notify"
		size = 368
		refs = "002f @UStrEqual 0040 TMonitor.CheckMonitorSupport 0047 TMonitor.GetMonitor 004f TMonitor.Enter 0057 TDSRestClientChannel.Notify 0068 TList<Datasnap.DSClientRest.TDSRestClientCallback>.GetEnumerator 0083 TList<Datasnap.DSClientRest.TDSRestClientCallback>.TEnumerator.GetCurrent 00a6 @TryFinallyExit 00b8 TList<Datasnap.DSClientRest.TDSRestClientCallback>.TEnumerator.MoveNext 00df @HandleFinally 00f9 TMonitor.Exit 0116 _Dn_TDSAdminRestClient 011b TDSAdminRestClient.Create 0140 TDSAdminRestClient.NotifyCallback 0158 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B F1 8B DA 89 45 FC 85 DB 74 0A 85 F6 74 06 83 7D 08 00 75 09 C6 45 FB 00 E9 3E 01 00 00 8B C3 8B 55 FC 8B 52 28 E8 ?? ?? ?? ?? 0F 85 D2 00 00 00 8B 45 FC 8B 58 24 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 35 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8B 43 04 8B D6 E8 ?? ?? ?? ?? 75 1F 8B 43 0C 33 C9 8B 55 08 8B 18 FF 53 0C 88 45 FB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B0 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED C6 45 FB 00 EB 59 6A 00 8B 45 FC 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 45 F4 50 8B CE 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16206_0 {
	meta:
		name = "TDSRestClientChannel.NotifyEvent"
		size = 210
		refs = "0014 TDSRESTChannelEventItem 0019 @InitializeRecord 0021 TDSRestClientChannel.NotifyEvent 0059 @UStrLAsg 009f @HandleAnyException 00a4 @DoneExcept 00bf @FinalizeRecord 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B DA 8B F0 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 20 00 74 04 84 DB 75 73 80 FB 01 74 09 80 FB 02 74 04 33 C0 EB 02 B0 01 88 46 20 66 83 7E 1A 00 74 59 88 5D E8 8D 45 F0 8B 56 28 E8 ?? ?? ?? ?? 8D 45 F4 8B 56 2C E8 ?? ?? ?? ?? 89 75 EC 89 7D FC 85 FF 74 0B 8D 45 F8 8B 57 04 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 46 1C FF 56 18 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16207_0 {
	meta:
		name = "TDSRestCallbackLoop.Create"
		size = 118
		refs = "0011 @ClassCreate 004a @UStrClr 005d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 8B 75 08 8B 06 89 C7 33 C9 B2 01 8B C7 FF 50 38 89 43 08 8B 43 08 8B D6 8B 08 FF 51 08 8B 73 08 80 BE A0 00 00 00 00 75 08 8D 46 60 E8 ?? ?? ?? ?? 8B 45 F8 89 43 04 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16209_0 {
	meta:
		name = "TDSRestCallbackLoop.GetSessionId"
		size = 28
		refs = "0014 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 08 85 F6 74 0A 8B C7 8B 56 60 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16210_0 {
	meta:
		name = "TDSRestCallbackLoop.GetStopped"
		size = 19
	strings:
		$1 = { 8B 50 0C 85 D2 74 09 80 7A 10 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_16211_0 {
	meta:
		name = "TDSRestCallbackLoop.Callback$313$ActRec.$0$Body"
		size = 17
	strings:
		$1 = { 53 33 C9 8B 52 0C 8B 40 24 92 8B 18 FF 53 0C 5B C3 }
	condition:
		$1
}

rule function_16212_0 {
	meta:
		name = "TDSRestCallbackLoop.Callback$313$ActRec.$1$Body"
		size = 43
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 20 00 75 0E 8B 53 1C 8B 46 08 8B 08 FF 51 54 40 7E 0E 8B 4B 14 8B 53 18 8B 46 0C 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_16213_0 {
	meta:
		name = "TDSRestCallbackLoop.Callback$313$ActRec.$2$Body"
		size = 48
		refs = "000d @UStrEqual"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 04 8B 53 10 E8 ?? ?? ?? ?? 75 18 8B 4B 14 8B 53 18 8B 46 0C 8B 30 FF 56 0C 8B 53 0C 88 02 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_16214_0 {
	meta:
		name = "TDSRestCallbackLoop.Callback$313$ActRec.$3$Body"
		size = 44
		refs = "0002 TDSRestCallbackLoop.Callback$313$ActRec.$3$Body"
	strings:
		$1 = { 53 B9 ?? ?? ?? ?? 8B 52 0C 8B 40 24 92 8B 18 FF 53 0C 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 72 00 72 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_16215_0 {
	meta:
		name = "TDSRestCallbackLoop.Callback"
		size = 1028
		refs = "001d TDSRestCallbackLoop.Callback 002a _DV_TDSRestCallbackLoop.Callback$313$ActRec 002f TObject.Create 0042 @IntfCopy 0055 TDSRestCallbackLoop.GetStopped 006d _Dn_TJSONObject 0072 @IsClass 0082 TJSONObject.Get 0097 TJSONPair.GetJsonValue 00a1 _Dn_TJSONArray 00b3 TJSONArray.Get 00da TDSRestClientChannel.EnumerateCallbacks 00ec TDSRestClientChannel.NotifyEvent 015b @UStrAsg 0197 @UStrEqual 02ed @UStrArrayClr 02f5 @IntfClear 02fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 08 C6 00 00 8B 45 F8 C6 00 01 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 85 59 02 00 00 85 F6 0F 84 51 02 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 74 13 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 33 D2 8B C6 E8 ?? ?? ?? ?? 8B F0 89 73 24 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 85 C0 74 28 8B D3 85 D2 74 03 83 EA CC 8B 47 04 E8 ?? ?? ?? ?? 8B 45 08 C6 00 01 8B 47 04 33 C9 B2 02 E8 ?? ?? ?? ?? E9 E2 01 00 00 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 85 C0 0F 84 B3 00 00 00 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 89 43 18 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 85 C0 74 26 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 11 8B 55 F4 8D 43 1C E8 ?? ?? ?? ?? EB 0E 8D 43 1C 8B 57 04 8B 52 2C E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 11 8B 55 F0 8D 43 14 E8 ?? ?? ?? ?? 8B 43 1C 8B 57 04 8B 52 2C E8 ?? ?? ?? ?? 0F 94 C0 88 43 20 8B D3 85 D2 74 03 83 EA D0 8B 47 04 E8 ?? ?? ?? ?? 8B 45 F8 C6 00 01 E9 1A 01 00 00 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 85 C0 74 78 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 55 EC 8B 08 FF 11 8B 55 EC 8D 43 10 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 43 18 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 11 8B 55 E8 8D 43 14 E8 ?? ?? ?? ?? 8B 45 F8 89 43 0C 8B D3 85 D2 74 03 83 EA D4 8B 47 04 E8 ?? ?? ?? ?? E9 91 00 00 00 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 85 C0 74 25 8B D3 85 D2 74 03 83 EA D8 8B 47 04 E8 ?? ?? ?? ?? 8B 45 08 C6 00 01 8B 47 04 33 C9 B2 02 E8 ?? ?? ?? ?? EB 5B BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 85 C0 75 19 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 85 C0 75 08 8B 45 F8 C6 00 00 EB 31 8B 45 08 C6 00 01 8B 47 04 33 C9 B2 01 E8 ?? ?? ?? ?? EB 1D 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 47 04 33 C9 B2 02 E8 ?? ?? ?? ?? 8B 45 08 C6 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 45 00 78 00 70 00 69 00 72 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 62 00 72 00 6F 00 61 00 64 00 63 00 61 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 69 00 6E 00 76 00 6F 00 6B 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 72 00 72 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 6C 00 6F 00 73 00 65 00 43 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 6F 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_16216_0 {
	meta:
		name = "TCallbackLoopThread.Create"
		size = 204
		refs = "000e @ClassCreate 001c @UStrAddRef 003c TCallbackLoopThread.Create 005c @UStrAsg 0088 TThread.Create 00a2 @UStrArrayClr 00a8 @HandleFinally 00b5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 14 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 89 47 58 8B 45 1C 89 47 5C 89 77 40 8D 47 44 8B 55 14 E8 ?? ?? ?? ?? 8D 47 48 8B 55 10 E8 ?? ?? ?? ?? 8D 47 4C 8B 55 0C E8 ?? ?? ?? ?? 8D 47 50 8B 55 08 E8 ?? ?? ?? ?? B1 01 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_16217_0 {
	meta:
		name = "TCallbackLoopThread.Execute"
		size = 444
		refs = "000d _Dn_TJSONTrue 0012 TJSONAncestor.Create 001c _Dn_TJSONFalse 0033 _Dn_TDSAdminRestClient 0038 TDSAdminRestClient.Create 0043 TCallbackLoopThread.Execute 006d TDSAdminRestClient.ConsumeClientChannel 00a6 TObject.Free 00ac @HandleFinally 00e7 EmptyStr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 6A 00 8B 45 FC 8B 48 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 4C 50 8B 45 FC 8B 40 50 50 6A 00 8B 45 FC 8B 48 48 8B 45 FC 8B 50 44 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F2 50 8D 4D F3 8B 5D FC 8B 55 F4 8B 43 5C FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F3 00 74 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC EB 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 50 A1 ?? ?? ?? ?? 8B 00 50 8B 45 EC 50 8B 45 FC 8B 48 48 8B 45 FC 8B 50 44 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F2 50 8D 4D F3 8B 5D FC 8B 55 F4 8B 43 5C FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F2 00 0F 84 3C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 FC 83 78 60 00 74 0B 8B 45 FC 8B 40 60 8B 10 FF 52 0C C3 E9 ?? ?? ?? ?? EB CC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16219_0 {
	meta:
		name = "TDSRestCallbackLoop.Start"
		size = 257
		refs = "0015 TDSRestCallbackLoop.Start 0022 _DV_TDSRestCallbackLoop.Start$320$ActRec 0027 TObject.Create 003a @IntfCopy 0045 TDSRestCallbackLoop.GetStopped 0069 TObject.Free 0072 TDSRestCallbackLoop.Callback 0092 TStrings.GetCommaText 00a0 _DV_TCallbackLoopThread 00a5 TCallbackLoopThread.Create 00d1 TThread.Start 00e6 @UStrClr 00ee @IntfClear 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 0C 8B 43 0C E8 ?? ?? ?? ?? 84 C0 0F 84 84 00 00 00 8B 43 0C 83 78 04 00 74 7B 8B 43 0C 83 C0 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 73 0C 56 68 ?? ?? ?? ?? 8B 7E 04 8B 47 2C 50 8B 47 28 50 8B 45 F8 8B 40 04 50 8D 55 F4 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 4E 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 0C 89 42 0C 8B 43 0C 8B 40 0C 83 C0 60 8B D3 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 8B 43 0C 8B 40 0C C6 40 0F 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16220_0 {
	meta:
		name = "TDSRestCallbackLoop.OnThreadTerminateDirect"
		size = 39
		refs = "000c TDSRestClientChannel.NotifyEvent"
	strings:
		$1 = { 53 56 8B D8 33 C9 B2 02 8B 43 04 E8 ?? ?? ?? ?? 8B 43 04 66 83 78 12 00 74 0A 8B F0 8B D0 8B 46 14 FF 56 10 5E 5B C3 }
	condition:
		$1
}

rule function_16221_0 {
	meta:
		name = "TDSRestCallbackLoop.Stop"
		size = 361
		refs = "0024 TDSRestCallbackLoop.Stop 0032 TDSRestCallbackLoop.GetStopped 0090 @UStrClr 009c _Dn_TDSAdminRestClient 00a1 TDSAdminRestClient.Create 00c3 TDSAdminRestClient.CloseClientChannel 00d1 TList<Datasnap.DSClientRest.TDSRestClientCallback>.Clear 00e6 TObject.Free 00ec @HandleFinally 012e TThread.WaitFor 013d @HandleAnyException 0142 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 FC 80 78 10 00 0F 85 49 01 00 00 8B 45 FC C6 40 10 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 D1 00 00 00 8B 45 FC 83 78 04 00 0F 84 C4 00 00 00 8B 45 FC 8B 40 08 8B 00 89 C3 33 C9 B2 01 8B C3 FF 50 38 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 08 8B 45 F4 8B 08 FF 51 08 8B 45 F4 80 B8 A0 00 00 00 00 75 0B 8B 45 F4 83 C0 60 E8 ?? ?? ?? ?? 6A 00 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 50 28 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 0C 85 C0 74 0B 80 78 10 00 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 10 00 C3 E9 ?? ?? ?? ?? EB F1 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16222_0 {
	meta:
		name = "TDSRestClientCallback.Create"
		size = 160
		refs = "000f @ClassCreate 0021 @IntfAddRef 0029 TDSRestClientCallback.Create 003d @UStrAsg 0048 @IntfCopy 0056 _Dn_TStringList 005b TStringList.Create 0073 @IntfClear 0079 @HandleFinally 0088 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 7B 10 8D 43 04 8B 55 10 E8 ?? ?? ?? ?? 8D 43 0C 8B 55 0C E8 ?? ?? ?? ?? 89 73 08 85 F6 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_16223_0 {
	meta:
		name = "TDSRestCachedItem.Create"
		size = 75
		refs = "000b @ClassCreate 001b @UStrAsg 0024 _Dn_TObjectList 0029 TObjectList.Create 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 0C 8B D6 E8 ?? ?? ?? ?? B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16224_0 {
	meta:
		name = "TDSRestCachedItem.DeleteCommand"
		size = 154
		refs = "0012 TDSRestCachedItem.DeleteCommand 001f _DV_TDSRestCacheCommand 0026 TDSRestCacheCommand.Create 0041 TDSRestCachedItem.GetItemPath 004f @UStrAsg 0057 TDSRestCacheCommand.DeleteCommand 006c TObject.Free 0072 @HandleFinally 0089 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 83 C0 04 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16225_0 {
	meta:
		name = "TBaseBindListListBoxEditor.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TObject.Destroy 0025 @ClassDestroy"
		altNames = "TBindListListViewEditor.Destroy TDSProxyStreamWriter.Destroy TDSRestCachedItem.Destroy TDictionaryScope.TWrappersEnumerator.Destroy TFadeItem.Destroy TGIFBitReader.Destroy TIBInputRawFile.Destroy TIBOutputDelimitedFile.Destroy TIBOutputRawFile.Destroy TObjectMemberGroupScope.TWrappersEnumerator.Destroy TXMLRowSet.Destroy Tox4DOMNodeList.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81266_0 {
	meta:
		name = "TGIFHeader.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TPersistent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94414_0 {
	meta:
		name = "TSeriesGroup.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TCollectionItem.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72283_0 {
	meta:
		name = "TUTF8ContentParser.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TContentParser.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16226_0 {
	meta:
		name = "TDSRestCachedItem.GetCommand"
		size = 181
		refs = "0015 TDSRestCachedItem.GetCommand 0022 _DV_TDSRestCacheCommand 0029 TDSRestCacheCommand.Create 0044 TDSRestCachedItem.GetItemPath 0052 @UStrAsg 005c TDSRestCacheCommand.GetCommand 006e TList.Add 0083 TObject.Free 0089 @HandleFinally 00a0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 83 C0 04 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 84 DB 74 0B 8B 46 10 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16228_0 {
	meta:
		name = "TDSRestCachedItem.GetJSONValueCallback"
		size = 297
		refs = "0018 @IntfAddRef 0020 TDSRestCachedItem.GetJSONValueCallback 0038 _DV_TDSRestCacheCommand 003d TDSRestCacheCommand.Create 0058 TDSRestCachedItem.GetItemPath 0066 @UStrAsg 0074 TDSRestCacheCommand.GetParameter 00b0 TList.Add 00d0 TObject.Free 00d6 @HandleFinally 010a @UStrClr 0112 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D EC 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 33 C0 89 45 F8 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 83 C0 04 E8 ?? ?? ?? ?? 8D 55 F8 8B 4D 08 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D FC 00 74 10 8B 55 F8 8B 45 FC 8B 08 FF 51 0C 88 45 F3 EB 04 C6 45 F3 01 0F B6 45 F3 22 45 0C 74 0B 8B 43 10 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F3 00 75 0D 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_16230_0 {
	meta:
		name = "TDSRestCachedItem.GetJSONValue"
		size = 19
		refs = "000b TDSRestCachedItem.GetJSONValueCallback"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 51 33 C9 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_16232_0 {
	meta:
		name = "TDSRestCachedJSONObject.GetValue"
		size = 135
		refs = "0019 TDSRestCachedJSONObject.GetValue 0026 _DV_TDSRestCachedJSONObject.GetValue$333$ActRec 002b TObject.Create 003e @IntfCopy 0059 TDSRestCachedItem.GetJSONValueCallback 0070 @IntfClear 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 88 4D FB 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 0F B6 45 FB 50 8B 45 08 50 8B CB 85 C9 74 03 83 E9 F4 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16234_0 {
	meta:
		name = "TDSRestCachedJSONArray.GetValue"
		size = 135
		refs = "0019 TDSRestCachedJSONArray.GetValue 0026 _DV_TDSRestCachedJSONArray.GetValue$335$ActRec 002b TObject.Create 003e @IntfCopy 0059 TDSRestCachedItem.GetJSONValueCallback 0070 @IntfClear 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 88 4D FB 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 0F B6 45 FB 50 8B 45 08 50 8B CB 85 C9 74 03 83 E9 F4 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16236_0 {
	meta:
		name = "TDSRestCachedJSONValue.GetValue"
		size = 135
		refs = "0019 TDSRestCachedJSONValue.GetValue 0026 _DV_TDSRestCachedJSONValue.GetValue$337$ActRec 002b TObject.Create 003e @IntfCopy 0059 TDSRestCachedItem.GetJSONValueCallback 0070 @IntfClear 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 88 4D FB 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 0F B6 45 FB 50 8B 45 08 50 8B CB 85 C9 74 03 83 E9 F4 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16235_0 {
	meta:
		name = "TDSRestCachedJSONValue.GetValue$337$ActRec.$0$Body"
		size = 6
	strings:
		$1 = { 85 D2 0F 95 C0 C3 }
	condition:
		$1
}

rule function_16237_0 {
	meta:
		name = "TDSRestCachedStream.GetValue"
		size = 198
		refs = "0015 TDSRestCachedStream.GetValue 0027 _DV_TDSRestCacheCommand 002e TDSRestCacheCommand.Create 0049 TDSRestCachedItem.GetItemPath 0057 @UStrAsg 0068 TDSRestCacheCommand.GetParameter 007d TList.Add 0092 TObject.Free 0098 @HandleFinally 00af @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 83 C0 04 E8 ?? ?? ?? ?? 8B 45 08 50 8D 55 FC 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 84 DB 74 11 83 7D FC 00 74 0B 8B 46 10 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16239_0 {
	meta:
		name = "TDSRestCachedDataSet.GetValue"
		size = 322
		refs = "0019 TDSRestCachedDataSet.GetValue 0026 _DV_TDSRestCachedDataSet.GetValue$340$ActRec 002b TObject.Create 003e @IntfCopy 005b TDSRestCachedItem.GetJSONValueCallback 0085 _Dn_TDBXJSONTableReader 008a TDBXJSONTableReader.Create 00b5 _Dn_TCustomSQLDataSet 00ba TCustomSQLDataSet.Create 00ca TDataSet.Open 00db TList.Add 00f0 TObject.Free 00f6 @HandleFinally 012a @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 88 4D FB 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 33 C0 89 45 F4 6A 00 8B 45 08 50 8B CB 85 C9 74 03 83 E9 F4 8B D7 8B C6 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D EC 00 0F 84 82 00 00 00 8B 45 EC 50 6A 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F0 00 74 35 8B 45 F0 50 6A 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 89 45 F0 8B 45 F4 E8 ?? ?? ?? ?? 80 7D FB 00 74 0B 8B 46 10 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16241_0 {
	meta:
		name = "TDSRestCachedParams.GetValue"
		size = 296
		refs = "0019 TDSRestCachedParams.GetValue 0026 _DV_TDSRestCachedParams.GetValue$342$ActRec 002b TObject.Create 003e @IntfCopy 005b TDSRestCachedItem.GetJSONValueCallback 0081 _Dn_TDBXJSONTableReader 0086 TDBXJSONTableReader.Create 00a8 TDBXParamsReader.ToParams 00c1 TList.Add 00d6 TObject.Free 00dc @HandleFinally 0110 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 88 4D FB 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 33 C0 89 45 F4 6A 00 8B 45 08 50 8B CB 85 C9 74 03 83 E9 F4 8B D7 8B C6 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D EC 00 74 6C 8B 45 EC 50 6A 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 8B 55 F0 33 C0 E8 ?? ?? ?? ?? 89 45 F4 33 C0 89 45 F0 80 7D FB 00 74 0B 8B 46 10 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_16243_0 {
	meta:
		name = "TDSRestCachedDBXReader.GetValue"
		size = 177
		refs = "0019 TDSRestCachedDBXReader.GetValue 0026 _DV_TDSRestCachedDBXReader.GetValue$344$ActRec 002b TObject.Create 003e @IntfCopy 0056 TDSRestCachedItem.GetJSONValueCallback 0066 _Dn_TDBXJSONTableReader 006b TDBXJSONTableReader.Create 0081 TList.Add 009a @IntfClear 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 88 4D FB 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 6A 00 8B 45 08 50 8B CB 85 C9 74 03 83 E9 F4 8B D7 8B C6 E8 ?? ?? ?? ?? 85 C0 74 29 50 6A 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 95 C0 22 45 FB 74 0E 8B 46 10 8B D3 E8 ?? ?? ?? ?? EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16245_0 {
	meta:
		name = "TDSRestProtocolException.Create"
		size = 80
		refs = "000e @ClassCreate 0020 Exception.Create 002e @UStrAsg 0039 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 0C 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8D 47 1C 8B 55 08 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_16246_0 {
	meta:
		name = "TDSRestClientCallback.Destroy"
		size = 109
		refs = "000a @BeforeDestruction 0018 TDSRestClientCallback.Destroy 0031 TObject.Free 0040 @HandleAnyException 0045 @DoneExcept 0054 TObject.Destroy 0062 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 83 C0 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16558_0 {
	meta:
		name = "TDSMethodParametersEntity.Create"
		size = 72
		refs = "000e @ClassCreate 001b TDSMethodParametersEntity.CreateMethodTable 0026 TDBXTableEntity.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 53 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16907_0 {
	meta:
		name = "TDSClassEntity.Create"
		size = 72
		refs = "000e @ClassCreate 001b TDSClassEntity.CreateClassTable 0026 TDBXTableEntity.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 53 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16918_0 {
	meta:
		name = "TDSConnectionEntity.Create"
		size = 72
		refs = "000e @ClassCreate 001b TDSConnectionEntity.CreateClassTable 0026 TDBXTableEntity.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 53 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16929_0 {
	meta:
		name = "TDSMethodEntity.Create"
		size = 72
		refs = "000e @ClassCreate 001b TDSMethodEntity.CreateMethodTable 0026 TDBXTableEntity.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 53 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16940_0 {
	meta:
		name = "TDSPackageEntity.Create"
		size = 72
		refs = "000e @ClassCreate 001b TDSPackageEntity.CreatePackageTable 0026 TDBXTableEntity.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 53 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16945_0 {
	meta:
		name = "TDSProcedureEntity.Create"
		size = 72
		refs = "000e @ClassCreate 001b TDSProcedureEntity.CreateProcedureTable 0026 TDBXTableEntity.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 53 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16956_0 {
	meta:
		name = "TDSProcedureParametersEntity.Create"
		size = 72
		refs = "000e @ClassCreate 001b TDSProcedureParametersEntity.CreateProcedureParmetersTable 0026 TDBXTableEntity.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 53 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16559_0 {
	meta:
		name = "TDSMethodParametersEntity.CreateMethodTable"
		size = 1228
		refs = "0012 TDSMethodParametersEntity.CreateMethodTable 001d TDBXTableFactory.CreateDBXTable 0034 _Dn_TDBXValueType 0039 TDBXValueType.Create 0292 TDBXValueTypeArray 0297 @DynArraySetLength 030a @DynArrayClear 0310 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 89 45 F8 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 0C BA 1A 00 00 00 8B C3 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B C3 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 0C BA 1A 00 00 00 8B C6 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B C6 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 0C BA 1A 00 00 00 8B C7 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B C7 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 0C BA 1A 00 00 00 8B 45 F4 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B 45 F4 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 0C BA 1A 00 00 00 8B 45 F0 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B 45 F0 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC BA ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 0C BA 1A 00 00 00 8B 45 EC 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B 45 EC 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 BA ?? ?? ?? ?? 8B 45 E8 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B 45 E8 8B 08 FF 51 0C BA 06 00 00 00 8B 45 E8 8B 08 FF 51 14 6A 00 6A 04 8B 45 E8 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 BA ?? ?? ?? ?? 8B 45 E4 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B 45 E4 8B 08 FF 51 0C BA 06 00 00 00 8B 45 E4 8B 08 FF 51 14 6A 00 6A 04 8B 45 E4 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 BA ?? ?? ?? ?? 8B 45 E0 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B 45 E0 8B 08 FF 51 0C BA 06 00 00 00 8B 45 E0 8B 08 FF 51 14 6A 00 6A 04 8B 45 E0 8B 10 FF 52 30 6A 09 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 89 18 8B 45 FC 89 70 04 8B 45 FC 89 78 08 8B 45 FC 8B 55 F4 89 50 0C 8B 45 FC 8B 55 F0 89 50 10 8B 45 FC 8B 55 EC 89 50 14 8B 45 FC 8B 55 E8 89 50 18 8B 45 FC 8B 55 E4 89 50 1C 8B 45 FC 8B 55 E0 89 50 20 8B 55 FC 8B 45 F8 8B 08 FF 51 30 8B 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 65 00 74 00 68 00 6F 00 64 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 54 00 61 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 65 00 74 00 68 00 6F 00 64 00 41 00 6C 00 69 00 61 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6C 00 61 00 73 00 73 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 65 00 74 00 68 00 6F 00 64 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 54 00 79 00 70 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 54 00 79 00 70 00 65 00 55 00 6E 00 69 00 74 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 44 00 69 00 72 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 42 00 58 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 42 00 58 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 44 00 69 00 72 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_16560_0 {
	meta:
		name = "TDSMethodParametersEntity.GetMethodAlias"
		size = 80
		refs = "0008 TDSMethodParametersEntity.GetMethodAlias"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 65 00 74 00 68 00 6F 00 64 00 41 00 6C 00 69 00 61 00 73 00 00 00 }
	condition:
		$1
}

rule function_16931_0 {
	meta:
		name = "TDSMethodEntity.GetMethodAlias"
		size = 80
		refs = "0008 TDSMethodEntity.GetMethodAlias"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 65 00 74 00 68 00 6F 00 64 00 41 00 6C 00 69 00 61 00 73 00 00 00 }
	condition:
		$1
}

rule function_16561_0 {
	meta:
		name = "TDSMethodParametersEntity.SetMethodAlias"
		size = 84
		refs = "0008 TDSMethodParametersEntity.SetMethodAlias"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 65 00 74 00 68 00 6F 00 64 00 41 00 6C 00 69 00 61 00 73 00 00 00 }
	condition:
		$1
}

rule function_16932_0 {
	meta:
		name = "TDSMethodEntity.SetMethodAlias"
		size = 84
		refs = "0008 TDSMethodEntity.SetMethodAlias"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 65 00 74 00 68 00 6F 00 64 00 41 00 6C 00 69 00 61 00 73 00 00 00 }
	condition:
		$1
}

rule function_16562_0 {
	meta:
		name = "TDSMethodParametersEntity.GetServerClassName"
		size = 88
		refs = "0008 TDSMethodParametersEntity.GetServerClassName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6C 00 61 00 73 00 73 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16933_0 {
	meta:
		name = "TDSMethodEntity.GetServerClassName"
		size = 88
		refs = "0008 TDSMethodEntity.GetServerClassName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6C 00 61 00 73 00 73 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16563_0 {
	meta:
		name = "TDSMethodParametersEntity.SetServerClassName"
		size = 92
		refs = "0008 TDSMethodParametersEntity.SetServerClassName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6C 00 61 00 73 00 73 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16934_0 {
	meta:
		name = "TDSMethodEntity.SetServerClassName"
		size = 92
		refs = "0008 TDSMethodEntity.SetServerClassName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6C 00 61 00 73 00 73 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16564_0 {
	meta:
		name = "TDSMethodParametersEntity.GetServerMethodName"
		size = 80
		refs = "0008 TDSMethodParametersEntity.GetServerMethodName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 65 00 74 00 68 00 6F 00 64 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16935_0 {
	meta:
		name = "TDSMethodEntity.GetServerMethodName"
		size = 80
		refs = "0008 TDSMethodEntity.GetServerMethodName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 65 00 74 00 68 00 6F 00 64 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16565_0 {
	meta:
		name = "TDSMethodParametersEntity.SetServerMethodName"
		size = 84
		refs = "0008 TDSMethodParametersEntity.SetServerMethodName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 65 00 74 00 68 00 6F 00 64 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16936_0 {
	meta:
		name = "TDSMethodEntity.SetServerMethodName"
		size = 84
		refs = "0008 TDSMethodEntity.SetServerMethodName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 65 00 74 00 68 00 6F 00 64 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16566_0 {
	meta:
		name = "TDSMethodParametersEntity.GetParameterName"
		size = 68
		refs = "0008 TDSMethodParametersEntity.GetParameterName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16567_0 {
	meta:
		name = "TDSMethodParametersEntity.SetParameterName"
		size = 72
		refs = "0008 TDSMethodParametersEntity.SetParameterName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16568_0 {
	meta:
		name = "TDSMethodParametersEntity.GetParameterTypeName"
		size = 92
		refs = "0008 TDSMethodParametersEntity.GetParameterTypeName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 54 00 79 00 70 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16569_0 {
	meta:
		name = "TDSMethodParametersEntity.SetParameterTypeName"
		size = 96
		refs = "0008 TDSMethodParametersEntity.SetParameterTypeName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 54 00 79 00 70 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16570_0 {
	meta:
		name = "TDSMethodParametersEntity.GetParameterTypeUnit"
		size = 140
		refs = "0010 TDSMethodParametersEntity.GetParameterTypeUnit 0045 @HandleAnyException 004d @UStrClr 0052 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 04 8B C6 BA ?? ?? ?? ?? 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B 55 FC 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 54 00 79 00 70 00 65 00 55 00 6E 00 69 00 74 00 00 00 }
	condition:
		$1
}

rule function_16571_0 {
	meta:
		name = "TDSMethodParametersEntity.SetParameterTypeUnit"
		size = 96
		refs = "0008 TDSMethodParametersEntity.SetParameterTypeUnit"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 54 00 79 00 70 00 65 00 55 00 6E 00 69 00 74 00 00 00 }
	condition:
		$1
}

rule function_16572_0 {
	meta:
		name = "TDSMethodParametersEntity.GetParameterDirection"
		size = 88
		refs = "0005 TDSMethodParametersEntity.GetParameterDirection"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B 10 FF 52 20 5E 5B C3 B0 04 02 00 FF FF FF FF 12 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 44 00 69 00 72 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_16573_0 {
	meta:
		name = "TDSMethodParametersEntity.SetParameterDirection"
		size = 100
		refs = "0008 TDSMethodParametersEntity.SetParameterDirection"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 1C 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 44 00 69 00 72 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_16574_0 {
	meta:
		name = "TDSMethodParametersEntity.GetParameterDBXDataType"
		size = 84
		refs = "0005 TDSMethodParametersEntity.GetParameterDBXDataType"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D8 8B C3 8B 10 FF 52 58 84 C0 74 05 33 C0 5E 5B C3 8B C3 8B 10 FF 52 20 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 42 00 58 00 54 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_16575_0 {
	meta:
		name = "TDSMethodParametersEntity.SetParameterDBXDataType"
		size = 76
		refs = "0008 TDSMethodParametersEntity.SetParameterDBXDataType"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 1C 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 42 00 58 00 54 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_16576_0 {
	meta:
		name = "TDSMethodParametersEntity.GetDBXParameterDirection"
		size = 92
		refs = "0005 TDSMethodParametersEntity.GetDBXParameterDirection"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B 10 FF 52 20 5E 5B C3 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 42 00 58 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 44 00 69 00 72 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_16577_0 {
	meta:
		name = "TDSMethodParametersEntity.SetDBXParameterDirection"
		size = 104
		refs = "0008 TDSMethodParametersEntity.SetDBXParameterDirection"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 1C 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 42 00 58 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 44 00 69 00 72 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_16578_0 {
	meta:
		name = "TDSProxyClass.Destroy"
		size = 90
		refs = "0008 @BeforeDestruction 002d TObject.Free 0042 TObject.Destroy 004f @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 E8 ?? ?? ?? ?? 88 14 24 8B F8 8D 5C 24 04 8B 47 08 89 03 83 3B 00 74 19 8B 03 8B 68 14 8B 33 33 C0 89 03 8B C6 E8 ?? ?? ?? ?? 89 2B 83 3B 00 75 E7 0F B6 14 24 80 E2 FC 8B C7 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C7 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16579_0 {
	meta:
		name = "TDSProxyClass.AddMethod"
		size = 23
	strings:
		$1 = { 83 78 08 00 75 07 89 50 08 89 50 0C C3 8B 48 0C 89 51 14 89 50 0C C3 }
	condition:
		$1
}

rule function_16580_0 {
	meta:
		name = "TDSProxyMetadata.AddClass"
		size = 23
	strings:
		$1 = { 83 78 04 00 75 07 89 50 04 89 50 08 C3 8B 48 08 89 51 10 89 50 08 C3 }
	condition:
		$1
}

rule function_16582_0 {
	meta:
		name = "TDSProxyMetadata.Clear"
		size = 67
		refs = "0026 TObject.Free"
	strings:
		$1 = { 53 56 57 55 51 8B F8 8B EC 8B 47 04 89 45 00 83 7D 00 00 74 1E 8B 45 00 8B 58 10 8B 75 00 33 C0 89 45 00 8B C6 E8 ?? ?? ?? ?? 89 5D 00 83 7D 00 00 75 E2 33 C0 89 47 04 33 C0 89 47 08 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16583_0 {
	meta:
		name = "TDSProxyMetadata.LoadMetadata"
		size = 493
		refs = "001b TDSProxyMetadata.LoadMetadata 0029 TDSProxyMetadata.Clear 0035 _DV_TDSProxyClass 003a TObject.Create 0048 TDSProxyMetadata.AddClass 0052 TDSMethodParametersEntity.GetServerClassName 0060 @UStrAsg 006c _DV_TDSProxyMethod 007d TDSProxyClass.AddMethod 0087 TDSMethodParametersEntity.GetMethodAlias 009c TDSMethodParametersEntity.GetServerMethodName 00b3 TDSMethodParametersEntity.GetDBXParameterDirection 00bd TDSMethodParametersEntity.GetParameterDBXDataType 00c8 _DV_TDSProxyParameter 00d8 TDSProxyMethod.AddParameter 00f2 TDSMethodParametersEntity.GetParameterName 0107 TDSMethodParametersEntity.GetParameterTypeName 011c TDSMethodParametersEntity.GetParameterTypeUnit 0151 @UStrEqual 0175 TDSProxyMethod.InitParameters 01da @UStrArrayClr 01e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? E9 82 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 83 C0 04 E8 ?? ?? ?? ?? E9 10 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8D 47 10 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 47 0C E8 ?? ?? ?? ?? E9 81 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B C3 E8 ?? ?? ?? ?? 85 C0 74 64 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 46 0C 8B 45 F4 89 46 08 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 46 10 E8 ?? ?? ?? ?? 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8D 46 14 E8 ?? ?? ?? ?? 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8B C6 8B 08 FF 11 8B 43 04 8B 10 FF 52 48 8B 43 04 8B 10 FF 52 44 84 C0 74 35 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 75 1B 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 55 D4 8B 47 0C E8 ?? ?? ?? ?? 0F 84 3E FF FF FF 8B C7 E8 ?? ?? ?? ?? 8B 43 04 8B 10 FF 52 44 84 C0 74 1E 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 0F 84 C6 FE FF FF 8B 45 F8 83 78 08 00 75 08 8B 43 04 8B 10 FF 52 48 8B 43 04 8B 10 FF 52 44 84 C0 0F 85 6E FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16584_0 {
	meta:
		name = "TDSProxyMethod.Destroy"
		size = 90
		refs = "0008 @BeforeDestruction 002d TObject.Free 0042 TObject.Destroy 004f @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 E8 ?? ?? ?? ?? 88 14 24 8B F8 8D 5C 24 04 8B 47 04 89 03 83 3B 00 74 19 8B 03 8B 68 04 8B 33 33 C0 89 03 8B C6 E8 ?? ?? ?? ?? 89 2B 83 3B 00 75 E7 0F B6 14 24 80 E2 FC 8B C7 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C7 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16585_0 {
	meta:
		name = "TDSProxyMethod.AddParameter"
		size = 23
	strings:
		$1 = { 83 78 04 00 75 07 89 50 04 89 50 08 C3 8B 48 08 89 51 04 89 50 08 C3 }
	condition:
		$1
}

rule function_16587_0 {
	meta:
		name = "TDSProxyMethod.InitParameters"
		size = 113
	strings:
		$1 = { 53 56 8B F0 33 C0 89 46 20 33 C0 89 46 18 33 C0 89 46 1C 33 C0 89 46 24 C6 46 28 00 8B 5E 04 85 DB 74 4B FF 46 24 8B 43 08 48 74 0B 48 74 15 48 74 0A 48 74 14 EB 15 FF 46 18 EB 10 FF 46 18 FF 46 1C EB 08 FF 46 1C EB 03 89 5E 20 80 7E 28 00 75 15 83 7B 0C 25 75 0F 8B C3 8B 10 FF 52 08 84 C0 75 04 C6 46 28 01 8B 5B 04 85 DB 75 B5 5E 5B C3 }
	condition:
		$1
}

rule function_16589_0 {
	meta:
		name = "TDSProxyParameter.SetTypeUnit"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "THTTPFile.SetTmpStreamName THeaderInfo.SetEncodingStyle TIdUserAccount.SetPassword TStreamLoader.SetPassword TWebServExp.SetServiceAddress"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 18 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22659_0 {
	meta:
		name = "TDSCustomProxyWriter.SetMetaDataLoader"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 18 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16591_0 {
	meta:
		name = "TDSProxyParameter.IsKnownJSONTypeName"
		size = 132
		refs = "000c TDSProxyParameter.IsKnownJSONTypeName 002e @UStrCopy 003b CompareText 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 14 00 74 2B 8D 45 FC 50 B9 05 00 00 00 BA 01 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 04 B3 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 00 00 }
	condition:
		$1
}

rule function_16592_0 {
	meta:
		name = "TDSProxyStreamWriter.Create"
		size = 144
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TDSProxyStreamWriter.Create 0036 @UStrAsg 0049 _Dn_TStreamWriter 004e TStreamWriter.Create 0066 @UStrClr 006c @HandleFinally 0079 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 50 68 00 04 00 00 8B 4D 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_16595_0 {
	meta:
		name = "TDSProxyStreamWriter.Write"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 10 8B 08 FF 51 28 5E C3 }
	condition:
		$1
}

rule function_16596_0 {
	meta:
		name = "TDSProxyStreamWriter.WriteLine"
		size = 9
	strings:
		$1 = { 8B 40 10 8B 10 FF 52 3C C3 }
	condition:
		$1
}

rule function_16598_0 {
	meta:
		name = "TDSProxyMetaDataLoader.Create"
		size = 144
		refs = "000e @ClassCreate 001d @IntfAddRef 002d TDSProxyMetaDataLoader.Create 003e @IntfCopy 005e @IntfClear 006c @HandleFinally 0079 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 14 8B 55 FC E8 ?? ?? ?? ?? 8D 46 18 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16600_0 {
	meta:
		name = "TDSProxyMetaDataLoader.Load"
		size = 374
		refs = "0018 TDSProxyMetaDataLoader.Load 0040 Trim 004d _Dn_TDBXProperties 0052 TDBXProperties.Create 006e TDBXProperties.SetProperties 0073 TDBXConnectionFactory.GetConnectionFactory 007b TDBXConnectionFactory.GetConnection 008e TDSProxyMetaDataLoader.LoadFromConnection 00a3 TObject.Free 00a9 @HandleFinally 00fe @TryFinallyExit 010e SNoConnection 0113 LoadResString 011d _DV_TDSProxyException 0122 Exception.Create 0127 @RaiseExcept 0164 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC C6 45 FB 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 43 10 E8 ?? ?? ?? ?? 83 7D F0 00 74 65 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 10 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 89 45 FC C6 45 FB 01 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 43 0C 89 45 FC 83 7D FC 00 74 0E 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 3B 83 7B 14 00 74 35 8B 43 14 8B 10 FF 52 0C 89 45 FC 83 7D FC 00 74 24 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7B 18 00 74 0B 8B 43 18 8B 55 FC 8B 08 FF 51 0C E8 ?? ?? ?? ?? EB 4A 83 7D FC 00 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16601_0 {
	meta:
		name = "TDSProxyMetaDataLoader.LoadFromConnection"
		size = 340
		refs = "0021 TDSProxyMetaDataLoader.LoadFromConnection 0060 _Dn_TDBXReaderTable 0065 TDBXReaderTable.Create 0074 _DV_TDSMethodParametersEntity 0079 TDSMethodParametersEntity.Create 008b TDSProxyMetadata.LoadMetadata 00a0 TObject.Free 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 8B F1 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 89 45 F0 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C2 8B 10 FF 52 7C 89 45 FC BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 10 8B 45 FC 8B 10 FF 52 64 89 45 F8 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 01 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 89 45 F0 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 47 00 65 00 74 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_16618_0 {
	meta:
		name = "TDSConfiguration.CopyConfiguration"
		size = 29
		refs = "0006 _DV_TDSConfiguration 000b TObject.Create"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 04 89 50 04 8B 53 08 89 50 08 5B C3 }
	condition:
		$1
}

rule function_16619_0 {
	meta:
		name = "TDSConfiguration.GetClassTable"
		size = 15
		refs = "0006 TDSConfiguration.CreateClassTable"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 04 5B C3 }
	condition:
		$1
}

rule function_16621_0 {
	meta:
		name = "TDSConfiguration.GetMethodTable"
		size = 15
		refs = "0006 TDSConfiguration.CreateMethodTable"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 08 5B C3 }
	condition:
		$1
}

rule function_32667_0 {
	meta:
		name = "TIdThreadSafeMimeTable.Lock"
		size = 15
		refs = "0006 TIdThreadSafe.Lock"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 08 5B C3 }
	condition:
		$1
}

rule function_38298_0 {
	meta:
		name = "TIdThreadSafeStringList.Lock"
		size = 15
		refs = "0006 TIdThreadSafe.Lock"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 08 5B C3 }
	condition:
		$1
}

rule function_39339_0 {
	meta:
		name = "TInThreadSafeMimeTable.Lock"
		size = 15
		refs = "0006 TInThreadSafe.Lock"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 08 5B C3 }
	condition:
		$1
}

rule function_42156_0 {
	meta:
		name = "TInThreadSafeStringList.Lock"
		size = 15
		refs = "0006 TInThreadSafe.Lock"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 08 5B C3 }
	condition:
		$1
}

rule function_16623_0 {
	meta:
		name = "TDSConfiguration.CreateClassTable"
		size = 604
		refs = "0014 TDSConfiguration.CreateClassTable 0029 TDBXTableFactory.CreateDBXTable 0041 _Dn_TDBXValueType 0046 TDBXValueType.Create 0154 TDBXValueTypeArray 0159 @DynArraySetLength 019f @DynArrayClear 01a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 04 00 0F 85 60 01 00 00 E8 ?? ?? ?? ?? 8B F0 89 73 04 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 0C BA 1A 00 00 00 8B C6 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B C6 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 0C BA 1A 00 00 00 8B C7 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B C7 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 0C BA 1A 00 00 00 8B 45 F8 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B 45 F8 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 0C BA 1A 00 00 00 8B 45 F4 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B 45 F4 8B 10 FF 52 30 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 89 30 8B 45 FC 89 78 04 8B 45 FC 8B 55 F8 89 50 08 8B 45 FC 8B 55 F4 89 50 0C 8B 55 FC 8B 43 04 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6C 00 61 00 73 00 73 00 54 00 61 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6C 00 61 00 73 00 73 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 6F 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4C 00 69 00 66 00 65 00 43 00 79 00 63 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_16624_0 {
	meta:
		name = "TDSConfiguration.CreateMethodTable"
		size = 504
		refs = "0014 TDSConfiguration.CreateMethodTable 0029 TDBXTableFactory.CreateDBXTable 0041 _Dn_TDBXValueType 0046 TDBXValueType.Create 010f TDBXValueTypeArray 0114 @DynArraySetLength 0151 @DynArrayClear 0157 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 00 0F 85 12 01 00 00 E8 ?? ?? ?? ?? 8B F0 89 73 08 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 0C BA 1A 00 00 00 8B C6 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B C6 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 0C BA 1A 00 00 00 8B C7 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B C7 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 0C BA 1A 00 00 00 8B 45 F8 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B 45 F8 8B 10 FF 52 30 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 89 30 8B 45 FC 89 78 04 8B 45 FC 8B 55 F8 89 50 08 8B 55 FC 8B 43 08 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 65 00 74 00 68 00 6F 00 64 00 54 00 61 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6C 00 61 00 73 00 73 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 65 00 74 00 68 00 6F 00 64 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 6F 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16627_0 {
	meta:
		name = "TDSCustomAdmin.GetDSServerName"
		size = 50
		refs = "000e _Dn_TDSServer 0013 @IsClass 0021 @UStrAsg 002a @UStrClr"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 3C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B C6 8B 57 08 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16628_0 {
	meta:
		name = "TDSCustomAdmin.GetDBXContext"
		size = 14
	strings:
		$1 = { 8B 50 40 85 D2 75 03 33 C0 C3 8B 42 08 C3 }
	condition:
		$1
}

rule function_16629_0 {
	meta:
		name = "TDSCustomAdmin.SetServerConnection"
		size = 16
	strings:
		$1 = { 83 78 3C 00 75 09 8B 4A 1C 89 48 3C 89 50 40 C3 }
	condition:
		$1
}

rule function_16631_0 {
	meta:
		name = "DSAdmin.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 0017 TObject.Free 001f @UStrClr 002a TComponent.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 48 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16632_0 {
	meta:
		name = "DSAdmin.GetPlatformName"
		size = 73
		refs = "000c DSAdmin.GetPlatformName 001a TDSPlatform.PlatformName 0024 @UStrFromWStr 0039 @WStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_16633_0 {
	meta:
		name = "DSAdmin.ClearResources"
		size = 9
	strings:
		$1 = { 8B 40 40 8B 10 FF 52 24 C3 }
	condition:
		$1
}

rule function_16634_0 {
	meta:
		name = "DSAdmin.FindPackages"
		size = 272
		refs = "0014 DSAdmin.FindPackages 003b _Dn_TDSPackageEntity 0040 TDSPackageEntity.Create 004a _Dn_TDSPackage 004f TDSPackage.Create 005d TDSPackage.GetDSPackages 0065 @DynArrayLength 0088 TDSPackageEntity.SetPackageName 00b5 TObject.Free 00c3 @HandleFinally 00d1 TDSCustomAdmin.GetDBXContext 00da _Dn_TDBXTableReader 00df TDBXTableReader.Create 00f7 TDBXStringArray 00fc @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 33 C0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8D 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2B 43 33 F6 8B 45 F0 8B 40 04 8B 10 FF 52 58 8B 45 FC 8B 14 B0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 04 8B 10 FF 52 5C 46 4B 75 D8 8B 45 F0 8B 40 04 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16635_0 {
	meta:
		name = "DSAdmin.FindClasses"
		size = 306
		refs = "0019 DSAdmin.FindClasses 0040 _Dn_TDSClassEntity 0045 TDSClassEntity.Create 004f _Dn_TDSPackage 0054 TDSPackage.Create 0069 C_Conditional 0077 TDSPackage.GetDSClasses 007f @DynArrayLength 00a2 TDSClassEntity.SetServerClassName 00cf TObject.Free 00dd @HandleFinally 00eb TDSCustomAdmin.GetDBXContext 00f4 _Dn_TDBXTableReader 00f9 TDBXTableReader.Create 0110 @UStrClr 0119 TDBXStringArray 011e @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D FC 8B D9 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 33 C0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8D 45 E8 50 85 DB 0F 94 C0 8B CB 33 D2 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D FC 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2B 43 33 F6 8B 45 F0 8B 40 04 8B 10 FF 52 58 8B 45 FC 8B 14 B0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 04 8B 10 FF 52 5C 46 4B 75 D8 8B 45 F0 8B 40 04 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16636_0 {
	meta:
		name = "DSAdmin.FindMethods"
		size = 800
		refs = "0032 DSAdmin.FindMethods 0050 TDSMethodArray 0055 @DynArrayClear 0063 LowerCase 006d @UStrClr 0084 _Dn_TDSMethodEntity 0089 TDSMethodEntity.Create 0093 _Dn_TDSPackage 0098 TDSPackage.Create 00a8 TDSPackage.GetDSClasses 00b0 @DynArrayLength 00d5 TDSPackage.CreateDSClass 00e3 TDSClass.GetClassLoadError 0103 TDSClass.GetMethods 0114 @UStrLAsg 0121 StringLastIndexOf 0130 StringIndexOf 0158 @UStrCopy 0189 TDSMethod.GetDSMethodName 01e9 @UStrCatN 01f4 TDSMethodEntity.SetMethodAlias 01ff TDSMethodEntity.SetServerClassName 020a TDSMethodEntity.SetServerMethodName 022a TObject.Free 0232 FreeObjectArray 0283 TDBXStringArray 028e @HandleFinally 029c TDSCustomAdmin.GetDBXContext 02a5 _Dn_TDBXTableReader 02aa TDBXTableReader.Create 02c6 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 DB 89 5D B8 89 5D BC 89 5D C4 89 5D FC 89 5D F8 89 5D F4 89 5D F0 89 5D EC 89 5D E8 8B F1 89 45 E4 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 DC 33 C0 89 45 D8 33 C0 89 45 D4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 74 0C 8D 55 F4 8B C3 E8 ?? ?? ?? ?? EB 08 8D 45 F4 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 8D 4D FC 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 0F 8C 85 01 00 00 40 89 45 C8 C7 45 CC 00 00 00 00 8B 45 FC 8B 55 CC 8B 14 90 8B 45 D8 E8 ?? ?? ?? ?? 89 45 D4 8D 55 C4 8B 45 D4 E8 ?? ?? ?? ?? 8B 75 C4 89 75 C0 83 7D C0 00 0F 94 C0 84 C0 0F 84 25 01 00 00 8D 55 F8 8B 45 D4 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 FC 8B 4D CC 8B 14 8A E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 89 45 D0 66 BA 2E 00 8B 45 E8 E8 ?? ?? ?? ?? 40 7E 27 8B 7D E8 85 FF 74 05 83 EF 04 8B 3F 8D 45 EC 50 8B 45 D0 40 8B CF 2B C8 8B 55 D0 42 42 8B 45 E8 E8 ?? ?? ?? ?? EB 0B 8D 45 EC 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C A5 00 00 00 47 33 F6 8B 45 F8 8B 04 B0 8D 55 F0 E8 ?? ?? ?? ?? 85 DB 75 04 B0 01 EB 0F 8B C3 85 C0 74 05 83 E8 04 8B 00 48 0F 9C C0 84 C0 74 04 B0 01 EB 1A 8D 55 BC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 BC 8B 55 F4 E8 ?? ?? ?? ?? 40 0F 9F C0 84 C0 74 4F 8B 45 DC 8B 40 04 8B 10 FF 52 58 FF 75 EC 68 ?? ?? ?? ?? FF 75 F0 8D 45 B8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 DC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 DC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC 8B 40 04 8B 10 FF 52 5C 46 4F 0F 85 5E FF FF FF 8B 45 D4 33 D2 89 55 D4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? FF 45 CC FF 4D C8 0F 85 86 FE FF FF 8B 45 DC 8B 40 04 89 45 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 8B 45 E0 50 8B 45 E4 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BA 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_16637_0 {
	meta:
		name = "DSAdmin.CreateServerClasses"
		size = 138
		refs = "0017 DSAdmin.CreateServerClasses 0024 _Dn_TDBXReaderTable 002b TDBXReaderTable.Create 003a _Dn_TDSClassEntity 003f TDSClassEntity.Create 005c TDSCustomServer.CreateServerClasses 0071 TObject.Free 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 40 04 8B 10 FF 52 48 84 C0 74 0B 8B 43 3C 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16639_0 {
	meta:
		name = "DSAdmin.CreateServerMethods"
		size = 138
		refs = "0017 DSAdmin.CreateServerMethods 0024 _Dn_TDBXReaderTable 002b TDBXReaderTable.Create 003a _Dn_TDSMethodEntity 003f TDSMethodEntity.Create 005c TDSCustomServer.CreateServerMethods 0071 TObject.Free 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 40 04 8B 10 FF 52 48 84 C0 74 0B 8B 43 3C 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16638_0 {
	meta:
		name = "DSAdmin.DropServerClasses"
		size = 138
		refs = "0017 DSAdmin.DropServerClasses 0024 _Dn_TDBXReaderTable 002b TDBXReaderTable.Create 003a _Dn_TDSClassEntity 003f TDSClassEntity.Create 005c TDSCustomServer.DropServerClasses 0071 TObject.Free 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 40 04 8B 10 FF 52 48 84 C0 74 0B 8B 43 3C 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16640_0 {
	meta:
		name = "DSAdmin.DropServerMethods"
		size = 128
		refs = "000c _Dn_TDBXReaderTable 0013 TDBXReaderTable.Create 0022 _Dn_TDSMethodEntity 0027 TDSMethodEntity.Create 0032 DSAdmin.DropServerMethods 0052 TDSCustomServer.DropServerMethods 0067 TObject.Free 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 04 8B 10 FF 52 48 84 C0 74 0B 8B 43 3C 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16641_0 {
	meta:
		name = "DSAdmin.GetServerClasses"
		size = 151
		refs = "0017 DSAdmin.GetServerClasses 0026 _Dn_TDSClassEntity 002b TDSClassEntity.Create 003c TDSCustomServer.GetServerClasses 0050 TDSCustomAdmin.GetDBXContext 0059 _Dn_TDBXTableReader 005e TDBXTableReader.Create 007b TObject.Free 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D8 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 53 40 8B 43 3C 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 89 45 F8 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16647_0 {
	meta:
		name = "DSAdmin.GetServerMethodParameters"
		size = 151
		refs = "0017 DSAdmin.GetServerMethodParameters 0026 _Dn_TDSMethodParametersEntity 002b TDSMethodParametersEntity.Create 003c TDSCustomServer.GetServerMethodParameters 0050 TDSCustomAdmin.GetDBXContext 0059 _Dn_TDBXTableReader 005e TDBXTableReader.Create 007b TObject.Free 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D8 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 53 40 8B 43 3C 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 89 45 F8 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16646_0 {
	meta:
		name = "DSAdmin.GetServerMethods"
		size = 151
		refs = "0017 DSAdmin.GetServerMethods 0026 _Dn_TDSMethodEntity 002b TDSMethodEntity.Create 003c TDSCustomServer.GetServerMethods 0050 TDSCustomAdmin.GetDBXContext 0059 _Dn_TDBXTableReader 005e TDBXTableReader.Create 007b TObject.Free 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D8 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 53 40 8B 43 3C 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 89 45 F8 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16642_0 {
	meta:
		name = "DSAdmin.ListClasses"
		size = 33
		refs = "0007 _Dn_TJSONArray 000c TJSONArray.Create 0018 TDSCustomServer.GetServerClasses"
	strings:
		$1 = { 53 56 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D3 8B 46 3C E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_16643_0 {
	meta:
		name = "DSAdmin.DescribeClass"
		size = 39
		refs = "000a _Dn_TJSONObject 000f TJSONObject.Create 001d TDSCustomServer.GetServerClass"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B CB 8B D7 8B 46 3C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16645_0 {
	meta:
		name = "DSAdmin.DescribeMethod"
		size = 39
		refs = "000a _Dn_TJSONObject 000f TJSONObject.Create 001d TDSCustomServer.GetServerMethod"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B CB 8B D7 8B 46 3C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16644_0 {
	meta:
		name = "DSAdmin.ListMethods"
		size = 39
		refs = "000a _Dn_TJSONArray 000f TJSONArray.Create 001d TDSCustomServer.GetServerMethods"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B CB 8B D7 8B 46 3C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16648_0 {
	meta:
		name = "DSAdmin.GetConnection"
		size = 82
		refs = "0017 @UStrEqual 0030 TDSPlatform.GetDatabaseConnection 003a TObject.Free 0047 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 83 7B 48 00 75 04 B0 01 EB 0F 8B 43 48 8B D6 E8 ?? ?? ?? ?? 0F 94 C0 34 01 84 C0 74 27 8B 43 40 8B 48 14 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B F8 8B 43 44 E8 ?? ?? ?? ?? 89 7B 44 8D 43 48 8B D6 E8 ?? ?? ?? ?? 8B 43 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16649_0 {
	meta:
		name = "DSAdmin.GetDatabaseConnectionProperties"
		size = 145
		refs = "0017 DSAdmin.GetDatabaseConnectionProperties 0026 _Dn_TDSConnectionEntity 002b TDSConnectionEntity.Create 0036 TDSPlatform.GetConnectionProperties 004a TDSCustomAdmin.GetDBXContext 0053 _Dn_TDBXTableReader 0058 TDBXTableReader.Create 0075 TObject.Free 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D8 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 89 45 F8 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16650_0 {
	meta:
		name = "TDSCustomServer.Create"
		size = 121
		refs = "000e @ClassCreate 001c TComponent.Create 0023 _DV_TDSConfiguration 0028 TObject.Create 0032 _Dn_TDBXArrayList 0037 TDBXArrayList.Create 0041 _Dn_TDBXContext 0046 TDBXContext.Create 0057 TDBXContext.SetTraceLevel 0064 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 38 8B C6 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16652_0 {
	meta:
		name = "TDSCustomServer.Destroy"
		size = 100
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0052 TComponent.Destroy 005d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16653_0 {
	meta:
		name = "TDSCustomServer.GetServerClassList"
		size = 77
		refs = "000e TDBXArrayList.GetCount 0022 TDBXArrayList.GetValue 002c _DV_TDSCustomServerClass 0031 @IsClass 003f TDBXArrayList.Add"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B 45 48 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2E 46 33 FF 8B 45 48 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 04 24 E8 ?? ?? ?? ?? 47 4E 75 D5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16654_0 {
	meta:
		name = "TDSCustomServer.RemoveServerComponent"
		size = 19
		refs = "000e TDBXArrayList.Remove"
	strings:
		$1 = { 85 D2 74 0E 83 78 48 00 74 08 8B 40 48 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16655_0 {
	meta:
		name = "TDSCustomServer.AddServerComponent"
		size = 59
		refs = "000c TDBXArrayList.GetCount 0020 TDBXArrayList.GetValue 0032 TDBXArrayList.Add"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 48 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 15 43 33 F6 8B 47 48 8B D6 E8 ?? ?? ?? ?? 3B E8 74 0E 46 4B 75 EE 8B 47 48 8B D5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16656_0 {
	meta:
		name = "TDSCustomServer.StartTransports"
		size = 75
		refs = "000a TDBXArrayList.GetCount 001e TDBXArrayList.GetValue 0028 _DV_TDSServerTransport 002d @IsClass"
	strings:
		$1 = { 53 56 57 55 8B F8 8B 47 48 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 31 46 33 ED 8B 47 48 8B D5 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B C3 8B 57 38 89 50 40 8B 10 FF 52 40 45 4E 75 D2 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16657_0 {
	meta:
		name = "TDSCustomServer.StopTransports"
		size = 69
		refs = "000a TDBXArrayList.GetCount 001e TDBXArrayList.GetValue 0028 _DV_TDSServerTransport 002d @IsClass"
	strings:
		$1 = { 53 56 57 55 8B E8 8B 45 48 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2B 46 33 FF 8B 45 48 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 8B 10 FF 52 44 47 4E 75 D8 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16658_0 {
	meta:
		name = "TDSCustomServer.Stop"
		size = 88
		refs = "0014 TDSCustomServer.Stop 0022 TDSCustomServer.StopTransports 0035 TObject.Free 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 80 78 3C 00 74 45 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 C0 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 3C 00 C3 E9 ?? ?? ?? ?? EB F1 59 5D C3 }
	condition:
		$1
}

rule function_16659_0 {
	meta:
		name = "TDSCustomServer.Start"
		size = 159
		refs = "0019 TDSCustomServer.Start 0027 TDSCustomServer.StartTransports 002e _DV_TDSServerMethodProvider 0033 TDSServerMethodProvider.Create 0048 TDSServerMethodProvider.Open 006d TDSCustomServer.StopTransports 007c TDSServerMethodProvider.Close 008f TObject.Free 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 80 78 3C 00 0F 85 86 00 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 44 8B 45 FC 89 43 28 8B C3 E8 ?? ?? ?? ?? 8B 45 FC C6 40 3C 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 78 3C 00 75 2A 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 44 85 C0 74 18 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5B 59 5D C3 }
	condition:
		$1
}

rule function_16660_0 {
	meta:
		name = "TDSCustomServer.GetClassTable"
		size = 9
		refs = "0004 TDSConfiguration.GetClassTable"
	strings:
		$1 = { 8B 40 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96745_0 {
	meta:
		name = "TCustomAdapter.ImplGetVisibleActions"
		size = 9
		refs = "0004 TWebContainerComponent.GetWebComponents"
	strings:
		$1 = { 8B 40 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93880_0 {
	meta:
		name = "TCustomChartSeries.GalleryChanged3D"
		size = 9
		refs = "0004 TCustomTeePanel.SetView3D"
	strings:
		$1 = { 8B 40 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76979_0 {
	meta:
		name = "TCustomHintShowHideThread.QueHintWindow"
		size = 9
		refs = "0004 TThreadList.Add"
	strings:
		$1 = { 8B 40 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16662_0 {
	meta:
		name = "TDSCustomServer.GetMethodTable"
		size = 9
		refs = "0004 TDSConfiguration.GetMethodTable"
	strings:
		$1 = { 8B 40 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30482_0 {
	meta:
		name = "TIBTransaction.GetSQLObject"
		size = 9
		refs = "0004 TList<IBDatabase.TIBBase>.GetItem"
	strings:
		$1 = { 8B 40 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_114073_0 {
	meta:
		name = "TUtilsUCS4Reader.SetEncoding"
		size = 9
		refs = "0004 TUtilsAutodetectInputStream.ChangeEncoding"
	strings:
		$1 = { 8B 40 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16664_0 {
	meta:
		name = "TDSCustomServer.GetServerClass"
		size = 9
		refs = "0004 TDSServerMethodProvider.GetServerClasses"
		altNames = "TDSCustomServer.GetServerClasses"
	strings:
		$1 = { 8B 40 44 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16668_0 {
	meta:
		name = "TDSCustomServer.GetServerMethod"
		size = 9
		refs = "0004 TDSServerMethodProvider.GetServerMethod"
	strings:
		$1 = { 8B 40 44 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16672_0 {
	meta:
		name = "TDSCustomServer.GetServerMethodParameters"
		size = 9
		refs = "0004 TDSServerMethodProvider.GetServerMethodParameters"
	strings:
		$1 = { 8B 40 44 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16667_0 {
	meta:
		name = "TDSCustomServer.GetServerMethods"
		size = 9
		refs = "0004 TDSServerMethodProvider.GetServerMethods"
	strings:
		$1 = { 8B 40 44 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31481_0 {
	meta:
		name = "TIBScript.DropDatabase"
		size = 9
		refs = "0004 TIBDatabase.DropDatabase"
	strings:
		$1 = { 8B 40 44 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16669_0 {
	meta:
		name = "TDSCustomServer.CreateServerClasses"
		size = 279
		refs = "0014 TDSCustomServer.CreateServerClasses 0039 _DV_TDSClassInfo 003e TObject.Create 004b TDSClassEntity.GetServerClassName 0059 @UStrAsg 0063 TDSClassEntity.GetPackageName 007b TDSClassEntity.GetLifeCycle 0093 TDSClassEntity.GetRoleName 00ac TDSServerMethodProvider.AddServerClass 00e3 TObject.Free 00e9 @HandleFinally 0105 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E9 82 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 83 C0 04 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 83 C0 14 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 83 C0 10 E8 ?? ?? ?? ?? 8B 46 44 8B 55 FC E8 ?? ?? ?? ?? 8B 43 04 8B 10 FF 52 48 8B 43 04 8B 10 FF 52 44 84 C0 0F 85 6E FF FF FF 33 C0 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16670_0 {
	meta:
		name = "TDSCustomServer.DropServerClasses"
		size = 102
		refs = "000f TDSCustomServer.DropServerClasses 0021 TDSClassEntity.GetServerClassName 002c TDSServerMethodProvider.DropServerClass 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 46 44 E8 ?? ?? ?? ?? 8B 43 04 8B 10 FF 52 48 8B 43 04 8B 10 FF 52 44 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16673_0 {
	meta:
		name = "TDSCustomServer.CreateServerMethods"
		size = 282
		refs = "0015 TDSCustomServer.CreateServerMethods 003a _DV_TDSMethodInfo 003f TDSMethodInfo.Create 004c TDSMethodEntity.GetMethodAlias 0057 TDSMethodInfo.SetMethodAlias 0061 TDSMethodEntity.GetServerMethodName 006f @UStrAsg 0079 TDSMethodEntity.GetRoleName 0095 TDSMethodEntity.GetServerClassName 00a2 TDSServerMethodProvider.GetClassInfo 00ae TDSServerMethodProvider.CreateServerMethod 00e5 TObject.Free 00eb @HandleFinally 0107 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E9 83 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 83 C0 14 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 83 C0 10 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B 7E 44 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 4D FC E8 ?? ?? ?? ?? 8B 43 04 8B 10 FF 52 48 8B 43 04 8B 10 FF 52 44 84 C0 0F 85 6D FF FF FF 33 C0 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16674_0 {
	meta:
		name = "TDSCustomServer.DropServerMethods"
		size = 94
		refs = "000f TDSCustomServer.DropServerMethods 0021 TDSMethodEntity.GetMethodAlias 002c TDSServerMethodProvider.DropSeverMethod 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 46 44 E8 ?? ?? ?? ?? 8B 43 04 8B 10 FF 52 44 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16675_0 {
	meta:
		name = "TDSDefaultCommandHandler.Create"
		size = 80
		refs = "000d @ClassCreate 001a TDBXCommandHandler.Create 0021 _Dn_TDBXActiveTableReaderList 0026 TObject.Create 003a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 1C 8B 45 08 89 46 20 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_16676_0 {
	meta:
		name = "TDSDefaultCommandHandler.DbxErrorMessage"
		size = 9
	strings:
		$1 = { 8B 40 20 92 8B 08 FF 11 C3 }
	condition:
		$1
}

rule function_16677_0 {
	meta:
		name = "TDSDefaultCommandHandler.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TDBXCommandHandler.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16678_0 {
	meta:
		name = "TDSDefaultCommandHandler.DbxExecute"
		size = 292
		refs = "0010 TDSDefaultCommandHandler.DbxExecute 0023 CompareText 003a @UStrAsg 0059 TDSServerMethodProvider.PrepareMethod 0067 TDBXServerParameterList.NewRowGeneration 0071 TDSServerMethod.Invoke 0084 SUnsupportedOperation 0089 LoadResString 0093 _Dn_Exception 0098 Exception.Create 009d @RaiseExcept 00b2 @UStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 85 C0 75 55 83 7B 18 00 75 2F 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 1C 50 8B 43 20 8B 10 FF 52 20 50 8B 7B 14 8B 47 1C 8B 40 44 8B CE 8B D7 E8 ?? ?? ?? ?? 89 43 18 8B 43 18 8B 40 20 E8 ?? ?? ?? ?? 8B D6 8B 43 18 E8 ?? ?? ?? ?? 8B D6 8B 43 20 8B 08 FF 11 EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 53 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 2E 00 47 00 65 00 74 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16685_0 {
	meta:
		name = "TDSDefaultDatabaseConnectionHandler.Create"
		size = 71
		refs = "000d @ClassCreate 001a TDBXConnectionHandler.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 89 46 14 8B 45 08 89 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_16688_0 {
	meta:
		name = "TDSDefaultDatabaseConnectionHandler.DbxErrorMessage"
		size = 9
	strings:
		$1 = { 8B 40 18 8B 08 FF 51 1C C3 }
	condition:
		$1
}

rule function_16689_0 {
	meta:
		name = "TDSDefaultDatabaseConnectionHandler.GetProductName"
		size = 52
		refs = "0006 TDSDefaultDatabaseConnectionHandler.GetProductName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_16690_0 {
	meta:
		name = "TDSDefaultDatabaseConnectionHandler.AcquireCommandHandler"
		size = 28
		refs = "000b _DV_TDSDefaultCommandHandler 0010 TDSDefaultCommandHandler.Create"
	strings:
		$1 = { 53 8B D8 6A 00 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 14 89 50 14 5B C3 }
	condition:
		$1
}

rule function_16695_0 {
	meta:
		name = "TDSDefaultDatabaseConnectionHandler.DbxVendorProperty"
		size = 13
		refs = "0007 @UStrClr"
	strings:
		$1 = { 53 8B DA 8D 43 08 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16703_0 {
	meta:
		name = "TDSEventObject.Create"
		size = 84
		refs = "000e @ClassCreate 001d TObject.Create 003d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 8B 45 10 89 47 0C 8B 45 0C 89 47 08 8B 45 08 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_16704_0 {
	meta:
		name = "TDSAuthenticateEventObject.Create"
		size = 71
		refs = "000d @ClassCreate 0026 TDSEventObject.Create 0031 @AfterConstruction"
		altNames = "TDSCreateInstanceEventObject.Create TDSDestroyInstanceEventObject.Create TDSErrorEventObject.Create TDSServerMethodEventObject.Create"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 10 50 8B 45 0C 50 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_16723_0 {
	meta:
		name = "TDSServerMethodUserEventObject.Create"
		size = 71
		refs = "000d @ClassCreate 0026 TDSServerMethodEventObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 10 50 8B 45 0C 50 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_16707_0 {
	meta:
		name = "TDSConnectEventObject.Create"
		size = 83
		refs = "000d @ClassCreate 0026 TDSEventObject.Create 003d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 18 50 8B 45 14 50 8B 45 0C 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 18 8B 45 10 89 46 1C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_16708_0 {
	meta:
		name = "TDSHashtableInstanceProvider.Create"
		size = 107
		refs = "000e @ClassCreate 001d TObject.Create 0024 _Dn_TDBXObjectStore 0029 TStringList.Create 0041 _DV_TDSDestroyInstanceEventObject 0046 TDSDestroyInstanceEventObject.Create 0054 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_16709_0 {
	meta:
		name = "TDSHashtableInstanceProvider.Destroy"
		size = 96
		refs = "0004 @BeforeDestruction 0016 TInstanceProviderItem.DestroyInstance 002d TObject.Free 004d TObject.Destroy 0058 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 7E 08 85 FF 74 0E 8B C7 E8 ?? ?? ?? ?? 8B 7F 04 85 FF 75 F2 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 89 46 08 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16710_0 {
	meta:
		name = "TDSHashtableInstanceProvider.GetInstance"
		size = 228
		refs = "0019 TDSHashtableInstanceProvider.GetInstance 002a @UStrLAsg 0035 TDBXObjectStore.GetObjectFromName 0054 TDSServerConnectionHandler.CreateInstance 0063 @UStrEqual 0080 _DV_TInstanceProviderItem 0085 TInstanceProviderItem.Create 009b TDBXObjectStore.SetObjectByName 00b2 @UStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 57 08 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B F0 85 F6 74 05 8B 5E 18 EB 5D 8B 47 20 89 45 F4 8B 4F 18 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 47 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 05 8B 43 0C EB 06 8B 45 F8 8B 40 50 50 8B 45 F4 50 56 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 89 50 04 89 43 08 8B C8 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_16713_0 {
	meta:
		name = "DSMetadata.GetProcedures"
		size = 604
		refs = "0019 DSMetadata.GetProcedures 003b _Dn_TDSProcedureEntity 0040 TDSProcedureEntity.Create 005e TDSServerMethodProvider.GetProcedures 00b1 @UStrCatN 0161 TObject.Free 0174 @HandleFinally 0185 TDSCustomAdmin.GetDBXContext 018e _Dn_TDBXTableReader 0193 TDBXTableReader.Create 01d0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D FC 8B D9 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 53 8B 45 F4 50 8B 45 F8 8B 50 40 8B 45 F8 8B 40 3C 8B 40 44 8B CE E8 ?? ?? ?? ?? 8B 45 F8 8B 40 40 8B 78 40 85 FF 0F 84 07 01 00 00 8B C7 8B 10 FF 52 7C 89 45 EC 33 C0 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 04 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 16 FF 75 FC 68 ?? ?? ?? ?? 53 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 EC 8B 08 FF 51 10 8B 45 EC 8B 10 FF 52 64 89 45 E8 8B 45 F4 8B 40 04 89 45 E4 EB 44 8B 45 E4 8B 10 FF 52 58 8B 45 E8 8B 10 FF 52 1C 8B F0 4E 85 F6 7C 25 46 33 DB 8B D3 8B 45 E8 8B 08 FF 51 10 50 8B D3 8B 45 E4 8B 08 FF 51 24 5A 8B 08 FF 91 C0 01 00 00 43 4E 75 DE 8B 45 E4 8B 10 FF 52 5C 8B 45 E8 8B 10 FF 52 3C 84 C0 75 B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 F4 8B 40 04 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 5D F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 62 00 78 00 2E 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_16714_0 {
	meta:
		name = "DSMetadata.GetProcedureParameters"
		size = 536
		refs = "0016 DSMetadata.GetProcedureParameters 0038 _Dn_TDSProcedureParametersEntity 003d TDSProcedureParametersEntity.Create 005b TDSServerMethodProvider.GetProcedureParameters 00a5 @UStrCat3 0130 TObject.Free 0143 @HandleFinally 0154 TDSCustomAdmin.GetDBXContext 015d _Dn_TDBXTableReader 0162 TDBXTableReader.Create 019f @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D E4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 53 8B 45 F8 50 8B 45 FC 8B 50 40 8B 45 FC 8B 40 3C 8B 40 44 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 70 40 85 F6 0F 84 D9 00 00 00 8B C6 8B 10 FF 52 7C 89 45 F0 33 C0 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 04 8D 45 E4 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F0 8B 08 FF 51 10 8B 45 F0 8B 10 FF 52 64 89 45 EC 8B 45 F8 8B 40 04 89 45 E8 EB 44 8B 45 E8 8B 10 FF 52 58 8B 45 EC 8B 10 FF 52 1C 8B F0 4E 85 F6 7C 25 46 33 DB 8B D3 8B 45 EC 8B 08 FF 51 10 50 8B D3 8B 45 E8 8B 08 FF 51 24 5A 8B 08 FF 91 C0 01 00 00 43 4E 75 DE 8B 45 E8 8B 10 FF 52 5C 8B 45 EC 8B 10 FF 52 3C 84 C0 75 B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 F8 8B 40 04 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 5D F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 62 00 78 00 2E 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 20 00 00 00 }
	condition:
		$1
}

rule function_16715_0 {
	meta:
		name = "DSMetadata.GetDatabase"
		size = 2144
		refs = "0015 DSMetadata.GetDatabase 0020 TDBXTableFactory.CreateDBXTable 0029 _Dn_TDBXValueType 002e TDBXValueType.Create 02df TDBXValueTypeArray 02e4 @DynArraySetLength 04ce TDSCustomAdmin.GetDBXContext 04d7 _Dn_TDBXTableReader 04dc TDBXTableReader.Create 04f9 @DynArrayClear 04ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 08 BA 1A 00 00 00 8B C6 8B 08 FF 51 14 6A 00 6A 10 8B C6 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 08 BA 1A 00 00 00 8B C7 8B 08 FF 51 14 6A 00 6A 10 8B C7 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 08 BA 06 00 00 00 8B 45 F4 8B 08 FF 51 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 08 BA 04 00 00 00 8B 45 F0 8B 08 FF 51 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC BA ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 08 BA 04 00 00 00 8B 45 EC 8B 08 FF 51 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 BA ?? ?? ?? ?? 8B 45 E8 8B 08 FF 51 08 BA 04 00 00 00 8B 45 E8 8B 08 FF 51 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 BA ?? ?? ?? ?? 8B 45 E4 8B 08 FF 51 08 BA 1A 00 00 00 8B 45 E4 8B 08 FF 51 14 6A 00 68 80 00 00 00 8B 45 E4 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 BA ?? ?? ?? ?? 8B 45 E0 8B 08 FF 51 08 BA 1A 00 00 00 8B 45 E0 8B 08 FF 51 14 6A 00 68 80 00 00 00 8B 45 E0 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC BA ?? ?? ?? ?? 8B 45 DC 8B 08 FF 51 08 BA 1A 00 00 00 8B 45 DC 8B 08 FF 51 14 6A 00 6A 10 8B 45 DC 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 BA ?? ?? ?? ?? 8B 45 D8 8B 08 FF 51 08 BA 1A 00 00 00 8B 45 D8 8B 08 FF 51 14 6A 00 6A 10 8B 45 D8 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 BA ?? ?? ?? ?? 8B 45 D4 8B 08 FF 51 08 BA 04 00 00 00 8B 45 D4 8B 08 FF 51 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 BA ?? ?? ?? ?? 8B 45 D0 8B 08 FF 51 08 BA 04 00 00 00 8B 45 D0 8B 08 FF 51 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC BA ?? ?? ?? ?? 8B 45 CC 8B 08 FF 51 08 BA 04 00 00 00 8B 45 CC 8B 08 FF 51 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 BA ?? ?? ?? ?? 8B 45 C8 8B 08 FF 51 08 BA 04 00 00 00 8B 45 C8 8B 08 FF 51 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C4 BA ?? ?? ?? ?? 8B 45 C4 8B 08 FF 51 08 BA 04 00 00 00 8B 45 C4 8B 08 FF 51 14 6A 0F 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 89 30 8B 45 FC 89 78 04 8B 45 FC 8B 55 F4 89 50 08 8B 45 FC 8B 55 F0 89 50 0C 8B 45 FC 8B 55 EC 89 50 10 8B 45 FC 8B 55 E8 89 50 14 8B 45 FC 8B 55 E4 89 50 18 8B 45 FC 8B 55 E0 89 50 1C 8B 45 FC 8B 55 DC 89 50 20 8B 45 FC 8B 55 D8 89 50 24 8B 45 FC 8B 55 D4 89 50 28 8B 45 FC 8B 55 D0 89 50 2C 8B 45 FC 8B 55 CC 89 50 30 8B 45 FC 8B 55 C8 89 50 34 8B 45 FC 8B 55 C4 89 50 38 8B 55 FC 8B C3 8B 08 FF 51 30 8B C3 8B 10 FF 52 58 33 D2 8B C3 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B 08 FF 91 24 01 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B 08 FF 91 24 01 00 00 BA 02 00 00 00 8B C3 8B 08 FF 51 24 BA FF FF FF 7F 8B 08 FF 91 1C 01 00 00 BA 03 00 00 00 8B C3 8B 08 FF 51 24 33 D2 8B 08 FF 91 08 01 00 00 BA 04 00 00 00 8B C3 8B 08 FF 51 24 33 D2 8B 08 FF 91 08 01 00 00 BA 05 00 00 00 8B C3 8B 08 FF 51 24 33 D2 8B 08 FF 91 08 01 00 00 BA 06 00 00 00 8B C3 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B 08 FF 91 24 01 00 00 BA 07 00 00 00 8B C3 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B 08 FF 91 24 01 00 00 BA 08 00 00 00 8B C3 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B 08 FF 91 24 01 00 00 BA 09 00 00 00 8B C3 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B 08 FF 91 24 01 00 00 BA 0A 00 00 00 8B C3 8B 08 FF 51 24 33 D2 8B 08 FF 91 08 01 00 00 BA 0B 00 00 00 8B C3 8B 08 FF 51 24 33 D2 8B 08 FF 91 08 01 00 00 BA 0C 00 00 00 8B C3 8B 08 FF 51 24 33 D2 8B 08 FF 91 08 01 00 00 BA 0D 00 00 00 8B C3 8B 08 FF 51 24 33 D2 8B 08 FF 91 08 01 00 00 8B C3 8B 10 FF 52 5C 53 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 51 00 75 00 6F 00 74 00 65 00 43 00 68 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 51 00 75 00 6F 00 74 00 65 00 43 00 68 00 61 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 78 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 73 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 54 00 72 00 61 00 6E 00 73 00 61 00 63 00 74 00 69 00 6F 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 4E 00 65 00 73 00 74 00 65 00 64 00 54 00 72 00 61 00 6E 00 73 00 61 00 63 00 74 00 69 00 6F 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 52 00 6F 00 77 00 53 00 65 00 74 00 53 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 72 00 6F 00 64 00 75 00 63 00 74 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 72 00 6F 00 64 00 75 00 63 00 74 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 51 00 75 00 6F 00 74 00 65 00 50 00 72 00 65 00 66 00 69 00 78 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 51 00 75 00 6F 00 74 00 65 00 53 00 75 00 66 00 66 00 69 00 78 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 4C 00 6F 00 77 00 65 00 72 00 43 00 61 00 73 00 65 00 49 00 64 00 65 00 6E 00 74 00 69 00 66 00 69 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 55 00 70 00 70 00 65 00 72 00 43 00 61 00 73 00 65 00 49 00 64 00 65 00 6E 00 74 00 69 00 66 00 69 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 53 00 50 00 52 00 65 00 74 00 75 00 72 00 6E 00 43 00 6F 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 46 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 32 00 30 00 30 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_16716_0 {
	meta:
		name = "TDSMethodInfo.Create"
		size = 37
		refs = "0008 @ClassCreate 0016 @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 33 C9 89 48 1C 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_16718_0 {
	meta:
		name = "TDSMethodInfo.SetMethodAlias"
		size = 90
		refs = "000f TDSMethodInfo.SetMethodAlias 001f @UStrAsg 0029 UpperCase 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 04 8B D6 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16719_0 {
	meta:
		name = "TDSMethodInfo.GetDSMethod"
		size = 31
		refs = "0013 TDSClass.CreateMethod"
	strings:
		$1 = { 53 8B D8 83 7B 0C 00 75 11 8B 43 08 8B 40 18 8B 53 14 E8 ?? ?? ?? ?? 89 43 0C 8B 43 0C 5B C3 }
	condition:
		$1
}

rule function_16720_0 {
	meta:
		name = "TDSMethodInfo.SetAuthRole"
		size = 86
		refs = "0018 TObject.Free 0020 _Dn_TRoleAuth 0025 @IsClass 0046 TRoleAuth.Create"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 3B 73 1C 74 46 8D 43 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 8B FE 80 7F 04 00 75 1A 8B 47 14 50 6A 00 8B 4F 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 1C EB 03 89 73 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16722_0 {
	meta:
		name = "TDSServerMethodUserEventObject.GetUserName"
		size = 124
		refs = "0013 @UStrAsg 002c TDSServerMethodUserEventObject.GetUserName 0031 TDBXProperties.GetValue 003a @UStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 83 7B 30 00 74 0C 8B C7 8B 53 30 E8 ?? ?? ?? ?? EB 25 8B 73 14 85 F6 74 17 83 7E 14 00 74 11 8B CF 8B 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 53 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 55 00 73 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_16724_0 {
	meta:
		name = "TDSServerMethodUserEventObject.Destroy"
		size = 84
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0042 TObject.Destroy 004d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 28 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 2C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16726_0 {
	meta:
		name = "TDSServerCommand.Create"
		size = 71
		refs = "000d @ClassCreate 001a TDBXCommand.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 2C 8B 45 0C 89 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_16729_0 {
	meta:
		name = "TDSServerCommand.DerivedPrepare"
		size = 288
		refs = "0017 TDSServerCommand.DerivedPrepare 002e TDBXPrepareMessage.Reset 0043 @UStrAsg 0064 TDSServerConnectionHandler.AcquireNewCommandHandler 006e TDBXPrepareMessage.HandleMessage 00c2 _Dn_TDBXParameter 00c7 TDBXParameter.Create 010d @UStrArrayClr 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 E8 89 55 EC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 30 8B 58 38 C6 43 24 01 8B C3 E8 ?? ?? ?? ?? 8D 55 EC 8B C6 8B 08 FF 51 0C 8B 55 EC 8D 43 10 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 8B 08 FF 51 08 8B 55 E8 8D 43 0C E8 ?? ?? ?? ?? 33 C9 8B D3 8B 46 2C E8 ?? ?? ?? ?? 8B 56 2C 8B C3 E8 ?? ?? ?? ?? 8B 43 18 89 45 F8 8B 45 F8 89 46 40 8B C6 8B 10 FF 52 34 89 45 FC 8B C6 8B 10 FF 52 34 8B 10 FF 52 24 8B 45 F8 8B 10 FF 52 08 48 85 C0 7C 56 40 89 45 F0 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 F8 8B 08 FF 51 04 8B F8 6A 00 57 8B 4E 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D3 8B 45 FC 8B 08 FF 51 10 8B C7 8B 10 FF 52 7C 50 8B C3 8B 10 FF 52 7C 5A 8B 08 FF 91 C0 01 00 00 FF 45 F4 FF 4D F0 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16730_0 {
	meta:
		name = "TDSServerCommand.Execute"
		size = 386
		refs = "0016 TDSServerCommand.Execute 0093 @UStrAsg 00d2 TDBXExecuteMessage.HandleMessage 0170 @UStrArrayClr 0176 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 D2 89 55 E8 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 30 8B 40 3C 89 45 F4 80 7B 11 00 75 07 8B C3 8B 10 FF 52 60 8B C3 8B 10 FF 52 34 8B 10 FF 52 08 48 85 C0 7C 38 40 89 45 F0 33 F6 8B C3 8B 10 FF 52 34 8B D6 8B 08 FF 51 04 8B 10 FF 52 7C 50 8B D6 8B 43 40 8B 08 FF 51 04 8B 10 FF 52 7C 5A 8B 08 FF 91 C0 01 00 00 46 FF 4D F0 75 CE 8D 55 EC 8B C3 8B 08 FF 51 0C 8B 55 EC 8B 45 F4 83 C0 10 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 08 FF 51 08 8B 55 E8 8B 45 F4 83 C0 0C E8 ?? ?? ?? ?? 8B 43 30 8B 40 38 8B 40 04 8B 55 F4 89 42 04 8B C3 8B 10 FF 52 34 8B 55 F4 89 42 18 8B 53 2C 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 18 89 45 FC 8B C3 8B 10 FF 52 34 89 45 F8 83 7D FC 00 74 5C 8B 45 FC 8B 10 FF 52 08 85 C0 7E 50 48 85 C0 7C 4B 40 89 45 F0 33 F6 8B D6 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 7C 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 7C 5A 8B 08 FF 91 C0 01 00 00 8B D6 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 46 FF 4D F0 75 BB 8B 45 F4 8B 50 48 89 53 38 8B 50 4C 89 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16731_0 {
	meta:
		name = "TDSServerCommand.DerivedExecuteQuery"
		size = 108
		refs = "0007 TDSServerCommand.Execute"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 34 8B D8 85 DB 74 4F 8B C3 8B 10 FF 52 08 85 C0 7E 44 8B C3 8B 10 FF 52 08 8B D0 4A 8B C3 8B 08 FF 51 04 8B F0 8B C6 8B 10 FF 52 50 83 F8 17 75 25 8B C6 8B 10 FF 52 7C 8B 10 FF 92 AC 00 00 00 8B D8 8B C6 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 8B C3 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_16733_0 {
	meta:
		name = "TDSServerCommand.DerivedClose"
		size = 25
		refs = "0014 TDBXCommandCloseMessage.HandleMessage"
	strings:
		$1 = { 8B 48 30 8B 51 40 8B 49 38 8B 49 04 89 4A 04 8B 40 2C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16734_0 {
	meta:
		name = "TDSServerCommand.DerivedGetNextReader"
		size = 31
		refs = "0016 TDBXNextResultMessage.HandleMessage"
	strings:
		$1 = { 53 8B 50 30 8B 5A 4C 8B 52 38 8B 52 04 89 53 04 8B 50 2C 8B C3 E8 ?? ?? ?? ?? 8B 43 18 5B C3 }
	condition:
		$1
}

rule function_16735_0 {
	meta:
		name = "TDSServerCommand.GetRowsAffected"
		size = 26
		altNames = "TXmlCustomTokenizer.GetEndLineNumber TXmlDoctypeDeclTokenizer.GetEndLineNumber"
	strings:
		$1 = { 83 C4 F8 8B 50 38 89 14 24 8B 50 3C 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_16739_0 {
	meta:
		name = "TDSServerCommandHandler.DbxErrorMessage"
		size = 35
		refs = "0013 _Dn_TDBXError 0018 TDBXError.Create 001d @RaiseExcept"
		altNames = "TDSVoidConnectionHandler.DbxErrorMessage"
	strings:
		$1 = { 53 8B DA 8B 43 0C 50 8B 43 04 50 B9 1E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16749_0 {
	meta:
		name = "TDSServerComponent.SetServer"
		size = 39
		refs = "0010 TDSCustomServer.RemoveServerComponent 001d TDSCustomServer.AddServerComponent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 89 73 38 5E 5B C3 }
	condition:
		$1
}

rule function_16751_0 {
	meta:
		name = "TDSServerConnection.Create"
		size = 173
		refs = "000a @ClassCreate 0017 TDBXConnection.Create 001e _Dn_TDBXPrepareMessage 0023 TObject.Create 002d _Dn_TDBXExecuteMessage 003c _Dn_TDBXCommandCloseMessage 004b _Dn_TDBXConnectMessage 005a _Dn_TDBXDisconnectMessage 0069 _Dn_TDBXNextResultMessage 0078 _Dn_TDBXTxBeginMessage 0087 _Dn_TDBXTxEndMessage 009a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 54 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16752_0 {
	meta:
		name = "TDSServerConnection.Destroy"
		size = 187
		refs = "0003 @BeforeDestruction 001e TObject.Free 00a9 TDBXConnection.Destroy 00b4 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 64 8D 46 34 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 4C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 54 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16753_0 {
	meta:
		name = "TDSServerConnection.InitSharedConnectionHandler"
		size = 9
		refs = "0004 TDSServerConnectionHandler.InitSharedConnectionHandler"
	strings:
		$1 = { 8B 40 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75852_0 {
	meta:
		name = "TComboBoxExStrings.Delete"
		size = 9
		refs = "0004 TCollection.Delete"
	strings:
		$1 = { 8B 40 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75867_0 {
	meta:
		name = "TComboBoxExStrings.SetSortType"
		size = 9
		refs = "0004 TListControlItems.SetSortType"
	strings:
		$1 = { 8B 40 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62511_0 {
	meta:
		name = "TWriter.AddAncestor"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16754_0 {
	meta:
		name = "TDSServerConnection.CreateCommand"
		size = 21
		refs = "000b _DV_TDSServerCommand 0010 TDSServerCommand.Create"
	strings:
		$1 = { 50 8B 50 30 52 8B 48 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16755_0 {
	meta:
		name = "TDSServerConnection.DerivedOpen"
		size = 688
		refs = "0022 TDBXClientInfo 0027 @InitializeRecord 002f TDSServerConnection.DerivedOpen 004c TMonitor.CheckMonitorSupport 0053 TMonitor.GetMonitor 005b TMonitor.Enter 0083 _DV_TDSVoidConnectionHandler 0088 TDSVoidConnectionHandler.Create 0098 _Dn_TDSSessionManager 009d TDSSessionManager.GetThreadSession 00c4 TDSSession.GetData 00ce _Dn_TDBXLocalChannel 00d3 TDBXLocalChannel.Create 00fa @UStrLAsg 013f @CopyRecord 014e @HandleAnyException 0153 @DoneExcept 016b _DV_TDSServerConnectionHandler 0170 TDSServerConnectionHandler.Create 0182 TDSServerConnectionHandler.SetServerConnection 0195 TDBXProperties.GetValue 019d TDSCustomServer.FindCustomServer 01c8 TMonitor.Exit 01ce @HandleFinally 01ea @UStrArrayClr 01f8 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 D2 89 55 D4 89 55 D8 89 55 DC 89 55 E0 89 55 E4 89 45 EC 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 2C 8B 55 EC 8B 52 44 89 42 04 8B 5D EC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 83 78 30 00 0F 85 3D 01 00 00 8B 45 EC 8B 48 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 89 42 34 33 C0 89 45 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 AC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 8B 10 FF 52 14 8B F0 8B 45 E8 8B 10 FF 52 14 8D 55 E0 8B 08 FF 11 8B 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 8D 4D DC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 E8 ?? ?? ?? ?? 8D 4D D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 8D 46 08 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 40 34 50 8B 45 E8 50 8B 45 EC 8B 48 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 EC 89 58 30 8B C3 8B 55 EC E8 ?? ?? ?? ?? 8D 4D D4 8B 45 EC 8B 40 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B 55 EC 8B 5A 30 89 43 1C 8B 45 EC 8B 50 44 8B C3 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 65 00 6D 00 6F 00 74 00 65 00 49 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 43 00 6F 00 6D 00 6D 00 75 00 6E 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 50 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 6D 00 6F 00 74 00 65 00 41 00 70 00 70 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16757_0 {
	meta:
		name = "TDSServerConnection.Commit"
		size = 20
		altNames = "TDSServerConnection.Rollback"
	strings:
		$1 = { 56 8B 70 54 C6 46 04 01 8B D6 8B 40 30 8B 08 FF 51 3C 5E C3 }
	condition:
		$1
}

rule function_16761_0 {
	meta:
		name = "TDSServerConnection.DerivedClose"
		size = 12
	strings:
		$1 = { 8B 50 48 8B 40 30 8B 08 FF 51 34 C3 }
	condition:
		$1
}

rule function_16762_0 {
	meta:
		name = "TDSServerConnectionHandler.Create"
		size = 110
		refs = "000d @ClassCreate 001a TDBXConnectionHandler.Create 002a TDBXCommandHandlerArray 002f @DynArraySetLength 0045 _Dn_TDBXErrorMessage 004a TObject.Create 0058 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 10 8D 46 2C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 0C 89 46 34 8B 45 08 89 46 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_16763_0 {
	meta:
		name = "TDSServerConnectionHandler.Destroy"
		size = 201
		refs = "0003 @BeforeDestruction 0015 TDSServerTransport.RemoveConnection 0025 TObject.Free 003d FreeObjectArray 0046 TDBXCommandHandlerArray 004b @DynArrayClear 0072 TDSServerConnectionHandler.DestroyEventObjects 00b7 TDBXCommandHandler.Destroy 00c2 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 44 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8D 46 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 28 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 2C E8 ?? ?? ?? ?? 8D 46 2C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 68 85 C0 74 23 8B 40 30 3B F0 75 12 8D 46 68 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 0A E8 ?? ?? ?? ?? 33 C0 89 46 68 8D 46 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16764_0 {
	meta:
		name = "TDSServerConnectionHandler.ClearResources"
		size = 59
		refs = "000c @DynArrayLength"
	strings:
		$1 = { 53 56 57 55 8B F8 B3 01 8B 47 2C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1D 46 33 ED 8B 47 2C 83 3C A8 00 74 0D 8B 47 2C 8B 04 A8 8B 10 FF 52 24 22 D8 45 4E 75 E6 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16765_0 {
	meta:
		name = "TDSServerConnectionHandler.SetServerConnection"
		size = 97
		refs = "000f TMonitor.CheckMonitorSupport 0016 TMonitor.GetMonitor 001e TMonitor.Enter 0026 TDSServerConnectionHandler.SetServerConnection 0050 TMonitor.Exit 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 5D FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 68 00 75 06 8B 45 FC 89 70 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16766_0 {
	meta:
		name = "TDSServerConnectionHandler.InitSharedConnectionHandler"
		size = 102
		refs = "000f TMonitor.CheckMonitorSupport 0016 TMonitor.GetMonitor 001e TMonitor.Enter 0026 TDSServerConnectionHandler.InitSharedConnectionHandler 0055 TMonitor.Exit 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 5D FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 6C 00 75 0B 3B 75 FC 74 06 8B 45 FC 89 70 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16767_0 {
	meta:
		name = "TDSServerConnectionHandler.FetchServerConnection"
		size = 194
		refs = "0017 TMonitor.CheckMonitorSupport 001e TMonitor.GetMonitor 0026 TMonitor.Enter 002e TDSServerConnectionHandler.FetchServerConnection 0044 _Dn_TDBXProperties 0049 TDBXProperties.Create 007a TDSServerConnection.InitSharedConnectionHandler 0094 TObject.Free 009a @HandleFinally 00b1 TMonitor.Exit"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC 83 78 68 00 75 17 8B 5D FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 78 68 00 75 5F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 1C 8B 55 F8 8B 08 FF 51 48 8B D8 8B 45 FC 89 58 68 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16768_0 {
	meta:
		name = "TDSServerConnectionHandler.CreateInstance"
		size = 44
		refs = "0025 TDSClass.CreateInstance"
	strings:
		$1 = { 53 56 8B F1 8B D8 85 D2 74 18 8B 43 4C 33 C9 89 48 18 92 8B 08 FF 51 54 8B 43 4C 8B 40 18 85 C0 75 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16769_0 {
	meta:
		name = "TDSServerConnectionHandler.DestroyInstance"
		size = 55
		refs = "001e TObject.Free"
	strings:
		$1 = { 53 56 8B D8 85 D2 74 25 8B 73 50 89 4E 18 8B C2 8B D6 8B 08 FF 51 58 8B 43 50 8B 40 18 E8 ?? ?? ?? ?? 8B 43 50 33 D2 89 50 18 5E 5B C3 8B C1 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16770_0 {
	meta:
		name = "TDSServerConnectionHandler.InitServerMethodEventObject"
		size = 194
		refs = "0019 @UStrAsg 0038 TObject.Free 0062 _Dn_TStringList 0067 TStringList.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B 7D 10 8B 5D 18 8D 46 18 8B 55 FC E8 ?? ?? ?? ?? 8B 43 14 89 46 1C 8B 43 18 89 46 20 8D 46 30 8B 55 14 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 33 C0 89 46 24 33 C0 89 46 28 33 C0 89 46 2C 85 FF 74 19 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 8B D7 8B 46 24 8B 08 FF 51 40 83 7D 0C 00 74 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7E 28 8B 55 0C 8B C7 8B 08 FF 51 40 83 7D 08 00 74 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7E 2C 8B 55 08 8B C7 8B 08 FF 51 40 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_16771_0 {
	meta:
		name = "TDSServerConnectionHandler.GetAuthorizeMethodEventObject"
		size = 44
		refs = "0020 TDSServerConnectionHandler.InitServerMethodEventObject"
	strings:
		$1 = { 55 8B EC 53 8B D8 52 51 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 42 0C 8B 48 04 8B C3 8B 53 5C E8 ?? ?? ?? ?? 8B 43 5C 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_16772_0 {
	meta:
		name = "TDSServerConnectionHandler.PrepareServerMethod"
		size = 66
		refs = "001f TDSServerConnectionHandler.InitServerMethodEventObject"
	strings:
		$1 = { 55 8B EC 56 8B F0 51 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B C6 8B 4E 54 87 CA E8 ?? ?? ?? ?? 8B 56 54 8B 42 1C 85 C0 74 05 8B 08 FF 51 5C 8B 56 54 8B 46 1C 8B 08 FF 51 54 5E 5D C2 10 00 }
	condition:
		$1
}

rule function_16773_0 {
	meta:
		name = "TDSServerConnectionHandler.GetSQLScanner"
		size = 60
		refs = "000a TDSServerConnectionHandler.GetSQLScanner 001b _Dn_TDBXSqlScanner 0020 TDBXSqlScanner.Create"
	strings:
		$1 = { 53 8B D8 83 7B 3C 00 75 1E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C 8B 43 3C 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_16775_0 {
	meta:
		name = "TDSServerConnectionHandler.GetProductName"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 20 8B 08 FF 51 50 5E 5B C3 }
	condition:
		$1
}

rule function_16776_0 {
	meta:
		name = "TDSServerConnectionHandler.AddCommandHandler"
		size = 206
		refs = "0016 TDSServerConnectionHandler.AddCommandHandler 0024 @DynArrayLength 0052 TDBXCommandHandlerArray 0057 @DynArraySetLength 0085 @DynArrayAsg 00ba @DynArrayClear 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 2C E8 ?? ?? ?? ?? 8B F0 EB 0C 8B 53 2C 83 3C 82 00 74 0A FF 43 30 8B 43 30 3B F0 7F ED 3B 73 30 75 45 8D 46 08 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D6 4A 85 D2 7C 13 42 33 C0 8B 4B 2C 8B 0C 81 8B 75 FC 89 0C 86 40 4A 75 F0 8D 43 2C 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 2C 8B 53 30 8B 4D F8 89 0C 90 8B 53 30 8B 45 F8 8B 08 FF 51 2C 8B 5B 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16777_0 {
	meta:
		name = "TDSServerConnectionHandler.FreeCommandHandler"
		size = 39
		refs = "0020 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 28 3B 43 30 7D 03 89 43 30 8B 53 2C 33 C9 89 0C 82 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16778_0 {
	meta:
		name = "TDSServerConnectionHandler.GetCommandHandler"
		size = 236
		refs = "0015 TDSServerConnectionHandler.GetCommandHandler 0027 SCommandClosed 002c LoadResString 003c _Dn_TDBXError 0041 TDBXError.Create 0046 @RaiseExcept 004e @DynArrayLength 0069 IntToStr 007f SInvalidCommandHandle 008f Format 00cb @UStrArrayClr 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7D 27 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 B9 04 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 3B D8 7D 09 8B 46 2C 83 3C 98 00 75 50 8D 45 F8 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 C9 5A E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 B9 1D 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 2C 8B 1C 98 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16779_0 {
	meta:
		name = "TDSServerConnectionHandler.DbxOpen"
		size = 10
		refs = "0005 TDBXOpenMessage.HandleMessage"
	strings:
		$1 = { 8B 40 34 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16780_0 {
	meta:
		name = "TDSServerConnectionHandler.GetInstance"
		size = 73
		refs = "0010 TDSServerConnectionHandler.GetInstance 002f _DV_TDSHashtableInstanceProvider 0034 TDSHashtableInstanceProvider.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 6C 85 C0 74 0A 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 28 00 75 1E 8B 43 1C 50 8B 43 44 50 8B 43 40 50 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B CE 8B D3 8B 43 28 8B 18 FF 13 5E 5B C3 }
	condition:
		$1
}

rule function_16781_0 {
	meta:
		name = "TDSServerConnectionHandler.IsCall"
		size = 193
	strings:
		$1 = { 53 56 57 8B C2 85 C0 74 05 83 E8 04 8B 00 8B D8 8B CB 49 85 C9 0F 8C 9F 00 00 00 41 33 C0 8D 70 01 0F B7 7C 72 FE 83 FF 20 7F 15 0F 84 81 00 00 00 83 C7 F7 83 EF 02 72 79 83 EF 02 74 74 EB 6D 83 EF 43 74 07 83 EF 20 74 02 EB 61 2B D8 83 FB 05 7E 55 0F B7 0C 72 66 83 F9 41 74 06 66 83 F9 61 75 45 8D 48 01 0F B7 4C 4A 02 66 83 F9 4C 74 06 66 83 F9 6C 75 31 8D 48 01 0F B7 4C 4A 04 66 83 F9 4C 74 06 66 83 F9 6C 75 1D 8D 48 01 0F B7 54 4A 06 83 C2 F7 66 83 EA 02 72 21 66 83 EA 02 74 1B 66 83 EA 13 74 15 83 C8 FF EB 10 83 C8 FF EB 0B 40 49 0F 85 64 FF FF FF 83 C8 FF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16782_0 {
	meta:
		name = "TDSServerConnectionHandler.FirstToken"
		size = 167
		refs = "007f @UStrCopy"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B F2 8B C6 85 C0 74 05 83 E8 04 8B 00 8B E8 33 DB 33 FF 3B EB 7E 70 8D 43 01 0F B7 44 46 FE 83 C0 F7 66 83 E8 02 72 5A 66 83 E8 02 74 54 66 83 E8 13 74 4E 66 83 E8 02 74 48 8B FB 43 3B EB 7E 41 8D 43 01 0F B7 44 46 FE 83 F8 20 7F 11 74 19 83 C0 F7 83 E8 02 72 11 83 E8 02 74 0C EB 1E 83 E8 22 74 05 83 E8 06 75 14 8B 04 24 50 8B CB 2B CF 8D 57 01 8B C6 E8 ?? ?? ?? ?? EB 1C 43 3B EB 7F BF 43 3B EB 7F 90 8B 04 24 50 8B CB 2B CF 8D 57 01 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16783_0 {
	meta:
		name = "TDSServerConnectionHandler.ScanMetaDataParameter"
		size = 172
		refs = "0014 TDSServerConnectionHandler.ScanMetaDataParameter 0024 @UStrLAsg 002c TDBXSqlScanner.NextToken 003c TDBXSqlScanner.GetId 0047 @UStrCat 006d @UStrAsg 0087 @UStrArrayClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 43 3C E8 ?? ?? ?? ?? 83 F8 FE 75 32 8D 55 F8 8B 43 3C E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 43 3C E8 ?? ?? ?? ?? 83 F8 FC 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB C1 8B C7 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_16784_0 {
	meta:
		name = "TDSServerConnectionHandler.ConvertMetaDataCommandToServerMethodHandler"
		size = 980
		refs = "001b TDSServerConnectionHandler.ConvertMetaDataCommandToServerMethodHandler 002c @UStrLAsg 0049 @UStrEqual 0081 _Dn_TDBXSqlScanner 0086 TDBXSqlScanner.Create 00a9 TDSServerConnectionHandler.GetSQLScanner 00c9 TDBXSqlScanner.Init 00d1 TDBXSqlScanner.NextToken 00e5 TDBXSqlScanner.GetId 00f2 CompareText 0111 TDSServerConnectionHandler.ScanMetaDataParameter 0129 @UStrCat 015a @UStrAsg 016e @TryFinallyExit 01fe TObject.Free 020d @HandleFinally 022b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 0C E8 ?? ?? ?? ?? 8D 45 F8 8B 53 10 E8 ?? ?? ?? ?? 33 C0 89 45 F0 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 C0 01 00 00 8B 45 F4 8B 70 40 85 F6 74 48 8B C6 8B 10 FF 52 0C 85 C0 74 3D 8B 45 F4 8B 40 40 8B 10 FF 52 0C 8B 50 18 52 8B 50 1C 52 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 F4 8B 40 3C 89 45 F0 8B 45 F4 8B 55 EC 89 50 3C C6 45 EB 00 EB 0F 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC C6 45 EB 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 83 F8 FE 0F 85 09 01 00 00 8D 55 E4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 7D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E0 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D DC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 10 8B 55 F8 E8 ?? ?? ?? ?? 8D 43 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 E8 ?? ?? ?? ?? E9 9E 00 00 00 8D 55 D8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 54 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D D4 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 10 8B 55 F8 E8 ?? ?? ?? ?? 8D 43 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 E8 ?? ?? ?? ?? EB 2E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D EB 00 75 11 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F0 89 50 3C C3 E9 ?? ?? ?? ?? EB E1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 62 00 78 00 2E 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 44 00 53 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 2E 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 28 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 22 00 2C 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 44 00 53 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 2E 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 28 00 22 00 00 00 }
	condition:
		$1
}

rule function_16785_0 {
	meta:
		name = "TDSServerConnectionHandler.AcquireNewCommandHandler"
		size = 932
		refs = "001f TDSServerConnectionHandler.AcquireNewCommandHandler 0033 @UStrLAsg 0048 TDSServerConnectionHandler.IsCall 008d @UStrCopy 009a CompareText 00a9 @UStrAsg 00b8 TDSServerConnectionHandler.FirstToken 00c6 TDSServerMethodProvider.HasServerMethod 0160 _DV_TDSServerMethodCommandHandler 0165 TDSServerMethodCommandHandler.Create 0173 TDSServerConnectionHandler.AddCommandHandler 0193 TDSServerConnectionHandler.ConvertMetaDataCommandToServerMethodHandler 01eb @UStrEqual 023a SUnrecognizedCommandType 023f LoadResString 0258 Format 0268 _Dn_TDBXError 026d TDBXError.Create 0272 @RaiseExcept 028c @UStrArrayClr 029f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 4D F0 8D 45 FC 8B 56 0C E8 ?? ?? ?? ?? 8D 45 F8 8B 56 10 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F8 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? C6 45 EF 00 83 FF FF 7E 72 8B 45 F8 89 45 E8 83 7D E8 00 74 0B 8B 45 E8 83 E8 04 8B 00 89 45 E8 8D 45 F4 50 8D 47 05 8B 4D E8 2B C8 8D 57 05 42 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 0D 8D 46 10 8B 55 F4 E8 ?? ?? ?? ?? EB 59 8D 4D E4 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B 43 1C 8B 40 44 E8 ?? ?? ?? ?? 84 C0 74 3A C6 45 EF 01 EB 34 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 23 8D 4D E0 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8B 43 1C 8B 40 44 E8 ?? ?? ?? ?? 84 C0 74 04 C6 45 EF 01 80 7D EF 00 74 23 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 8D 46 10 8B 55 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 46 83 7D F0 00 75 0D 8B D6 8B 43 34 8B 08 FF 51 48 89 45 F0 53 8B 45 F0 50 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 5F 14 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 28 89 46 04 8B DF E9 EE 00 00 00 80 7B 24 00 74 43 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B D6 8B C3 8B 08 FF 51 48 8B D8 E9 CB 00 00 00 8B D6 8B 43 20 8B 08 FF 51 48 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 28 89 46 04 8B DF E9 A5 00 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 36 8B 46 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 27 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 48 8B D8 EB 5E 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B D6 8B C3 8B 08 FF 51 48 8B D8 EB 44 8D 45 DC 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 50 8B 46 0C 89 45 D0 C6 45 D4 11 8D 55 D0 33 C9 58 E8 ?? ?? ?? ?? 8B 45 DC 50 B9 1E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 62 00 78 00 2E 00 53 00 74 00 6F 00 72 00 65 00 64 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 62 00 78 00 2E 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 53 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 2E 00 47 00 65 00 74 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16786_0 {
	meta:
		name = "TDSServerConnectionHandler.AcquireCommandHandler"
		size = 22
		refs = "0011 TDSServerConnectionHandler.AcquireNewCommandHandler"
	strings:
		$1 = { 8B 4A 04 85 C9 7C 07 8B 40 2C 8B 04 88 C3 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16788_0 {
	meta:
		name = "TDSServerConnectionHandler.DbxErrorMessage"
		size = 110
		refs = "0013 TDSServerConnectionHandler.DbxErrorMessage 0044 @HandleOnException 004c _Dn_Exception 0055 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F8 8B 52 04 8B 45 FC 8B 40 64 89 50 18 8B D0 8B 45 FC 8B 40 1C 8B 08 FF 51 58 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 34 8B 55 F8 8B 08 FF 51 1C 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16789_0 {
	meta:
		name = "TDSServerConnectionHandler.DbxError"
		size = 23
		refs = "0007 TDBXErrorMessage.SetError"
	strings:
		$1 = { 53 8B D8 8B 43 38 E8 ?? ?? ?? ?? 8B 53 38 8B C3 8B 08 FF 51 1C 5B C3 }
	condition:
		$1
}

rule function_16790_0 {
	meta:
		name = "TDSServerConnectionHandler.DestroyEventObjects"
		size = 117
		refs = "000f TObject.Free"
	strings:
		$1 = { 53 8B D8 8D 43 4C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 54 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 60 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 64 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 5C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16791_0 {
	meta:
		name = "TDSServerConnectionHandler.CreateEventObjects"
		size = 284
		refs = "001a TDSServerConnectionHandler.DestroyEventObjects 0030 _DV_TDSCreateInstanceEventObject 0035 TDSCreateInstanceEventObject.Create 0053 _DV_TDSDestroyInstanceEventObject 0058 TDSDestroyInstanceEventObject.Create 0076 _DV_TDSPrepareEventObject 007b TDSServerMethodUserEventObject.Create 009e _DV_TDSConnectEventObject 00a3 TDSConnectEventObject.Create 00c1 _DV_TDSErrorEventObject 00c6 TDSErrorEventObject.Create 00e4 _DV_TDSAuthorizeEventObject 0107 _DV_TDSAuthenticateEventObject 010c TDSAuthenticateEventObject.Create"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 48 85 C0 75 04 33 F6 EB 07 8B 10 FF 52 14 8B F0 8B C3 E8 ?? ?? ?? ?? 8B 43 1C 50 8B 43 44 50 8B 43 40 50 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 4C 89 5F 14 8B 43 1C 50 8B 43 44 50 8B 43 40 50 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 50 89 5F 14 8B 43 1C 50 8B 43 44 50 8B 43 40 50 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 54 89 5F 14 8B 43 1C 50 8B 43 44 50 56 8B 43 40 50 8B 43 14 50 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 60 89 5F 14 8B 43 1C 50 8B 43 44 50 8B 43 40 50 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 64 89 5E 14 8B 43 1C 50 8B 43 44 50 8B 43 40 50 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 5C 89 5E 14 8B 43 1C 50 8B 43 44 50 8B 43 40 50 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 58 89 5E 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16792_0 {
	meta:
		name = "TDSServerConnectionHandler.SetDbxConnection"
		size = 182
		refs = "001f TObject.Free 0027 TDSServerConnectionHandler.SetDbxConnection 0045 _Dn_TDBXDatabaseConnectionHandler 004a TDBXDatabaseConnectionHandler.Create 007b _DV_TDSDefaultDatabaseConnectionHandler 0080 TDSDefaultDatabaseConnectionHandler.Create 00a6 TDSServerConnectionHandler.CreateEventObjects 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 89 58 40 8B 45 FC 83 C0 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 74 2B 8B 45 FC 8B 40 34 50 8B 45 FC 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 58 14 8B 55 FC 89 42 20 8B 45 FC C6 40 24 01 EB 35 8B 45 FC C6 40 24 00 8B 45 FC 50 8B 45 FC 8B 40 34 50 8B 45 FC 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 20 8B C3 33 D2 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_16793_0 {
	meta:
		name = "TDSServerConnectionHandler.InitDatabaseConnectionHandler"
		size = 448
		refs = "0017 TDSServerConnectionHandler.InitDatabaseConnectionHandler 002d TDBXProperties.GetValue 003c TDSServerConnectionHandler.SetDbxConnection 004f SCloseCommands 0054 LoadResString 0066 _Dn_TDBXError 006b TDBXError.Create 0070 @RaiseExcept 0077 TDSServerConnectionHandler.FetchServerConnection 011d TObject.Free 0123 @HandleFinally 013a @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 75 0E 33 D2 8B C6 E8 ?? ?? ?? ?? E9 E4 00 00 00 83 7E 30 00 7E 29 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 6A 00 B9 1E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 68 8B 10 FF 52 7C 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 45 F8 8B 08 FF 51 10 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 04 8B 45 F8 8B 10 FF 52 68 8B 45 F8 8B 10 FF 52 34 8B D8 33 FF 8B C3 8B 10 FF 52 08 85 C0 7E 33 8B C3 8B 10 FF 52 08 8B D0 4A 8B C3 8B 08 FF 51 04 89 45 F4 8B 45 F4 8B 10 FF 52 50 83 F8 22 75 12 8B 45 F4 8B 10 FF 52 7C 8B 10 FF 92 B0 00 00 00 8B F8 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 }
	condition:
		$1
}

rule function_16794_0 {
	meta:
		name = "TDSServerConnectionHandler.DbxConnect"
		size = 252
		refs = "0018 TDSServerConnectionHandler.DbxConnect 0045 TDSServerConnectionHandler.CreateEventObjects 005e TDSServerConnectionHandler.InitDatabaseConnectionHandler 007a @UStrAsg 0094 TDBXConnectMessage.HandleMessage 00a3 @HandleOnException 00ab _Dn_Exception 00be TObject.Free 00cf TDSServerConnectionHandler.DbxError 00d4 @DoneExcept 00e9 @UStrClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 04 8B 55 FC 89 42 14 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 50 60 8B 45 FC 8B 40 1C 8B 08 FF 51 4C 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC 8B 40 20 8B 08 FF 51 50 8B 55 F0 8B 45 F8 83 C0 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 8B 55 F8 89 42 08 8B 45 FC 8B 50 34 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 36 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? 8B 45 F8 C6 40 10 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16795_0 {
	meta:
		name = "TDSServerConnectionHandler.DbxDisconnect"
		size = 70
		refs = "001d TDBXDisconnectMessage.HandleMessage 0035 TDSServerTransport.RemoveConnection"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 53 60 8B 43 1C 8B 08 FF 51 50 8B 43 20 85 C0 74 09 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 43 44 85 C0 74 11 8B D3 8B 08 FF 51 50 8B D3 8B 43 44 E8 ?? ?? ?? ?? 8B 53 34 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16797_0 {
	meta:
		name = "TDSServerConnectionHandler.DbxExecute"
		size = 114
		refs = "001d TDSServerConnectionHandler.GetCommandHandler 006b TDSServerConnectionHandler.SetDbxConnection"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 43 04 85 C0 7D 0B 8B D3 8B C6 8B 08 FF 51 48 EB 09 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 11 8B 5B 18 85 DB 74 41 8B C3 8B 10 FF 52 08 85 C0 7E 36 8B D0 4A 8B C3 8B 08 FF 51 04 8B D8 8B C3 8B 10 FF 52 50 83 F8 22 75 1E 83 7E 6C 00 75 18 8B C3 8B 10 FF 52 7C 8B 10 FF 92 B0 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16798_0 {
	meta:
		name = "TDSServerConnectionHandler.DbxNextResult"
		size = 20
		refs = "0007 TDSServerConnectionHandler.GetCommandHandler"
	strings:
		$1 = { 53 8B DA 8B 53 04 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 08 5B C3 }
	condition:
		$1
}

rule function_16799_0 {
	meta:
		name = "TDSServerConnectionHandler.DbxPrepare"
		size = 33
		refs = "0014 TDSServerConnectionHandler.GetCommandHandler"
	strings:
		$1 = { 53 8B DA 8B 53 04 85 D2 7D 09 8B D3 8B 08 FF 51 48 EB 05 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 04 5B C3 }
	condition:
		$1
}

rule function_16800_0 {
	meta:
		name = "TDSServerConnectionHandler.DbxNext"
		size = 20
		refs = "0007 TDSServerConnectionHandler.GetCommandHandler"
	strings:
		$1 = { 53 8B DA 8B 53 04 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 0C 5B C3 }
	condition:
		$1
}

rule function_16801_0 {
	meta:
		name = "TDSServerConnectionHandler.DbxMoreBlob"
		size = 20
		refs = "0007 TDSServerConnectionHandler.GetCommandHandler"
	strings:
		$1 = { 53 8B DA 8B 53 04 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 10 5B C3 }
	condition:
		$1
}

rule function_16802_0 {
	meta:
		name = "TDSServerConnectionHandler.DbxCommandClose"
		size = 41
		refs = "000d TDSServerConnectionHandler.GetCommandHandler 0021 TDSServerConnectionHandler.FreeCommandHandler"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 57 04 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D7 8B C6 8B 08 FF 51 14 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16803_0 {
	meta:
		name = "TDSServerConnectionHandler.DbxReaderClose"
		size = 20
		refs = "0007 TDSServerConnectionHandler.GetCommandHandler"
	strings:
		$1 = { 53 8B DA 8B 53 08 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 18 5B C3 }
	condition:
		$1
}

rule function_16804_0 {
	meta:
		name = "TDSServerConnectionHandler.DbxTxBegin"
		size = 29
		refs = "0016 TDBXTxBeginMessage.HandleMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 20 8B 08 FF 51 38 8B 53 34 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16805_0 {
	meta:
		name = "TDSServerConnectionHandler.DbxTxEnd"
		size = 29
		refs = "0016 TDBXTxEndMessage.HandleMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 20 8B 08 FF 51 3C 8B 53 34 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16806_0 {
	meta:
		name = "TDSServerConnectionHandler.DbxVendorProperty"
		size = 29
		refs = "0016 TDBXVendorPropertyMessage.HandleMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 20 8B 08 FF 51 40 8B 53 34 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16809_0 {
	meta:
		name = "TDSServerMethod.Destroy"
		size = 184
		refs = "0004 @BeforeDestruction 0018 TDSServerMethod.Destroy 001d @UStrEqual 0027 _Dn_TDSProviderDataModuleAdapter 002c @IsClass 0045 TObject.Free 006e TDBXParameterArray 0073 @DynArrayClear 007e TObject.Destroy 0089 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 77 1C 3B 77 18 74 35 8B 47 34 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 26 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 33 C0 89 46 08 8D 47 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 47 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 47 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 47 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 6E 00 76 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_16810_0 {
	meta:
		name = "TDSServerMethod.Invoke"
		size = 825
		refs = "001d TDSServerMethod.Invoke 00d9 TDBXExecuteMessage.GetTableReader 0138 _Dn_TDBXCallbackDelegate 013d @IsClass 0188 _Dn_TDBXServerCallback 018d TObject.Create 01b5 TDSMethodValues.AssignParameterValues 01c3 TDSMethod.Invoke 01d0 TInvocationMetadataDelegate.WriteMetadata 0220 TDSMethodValues.GetOutValue 025b TDSServerConnectionHandler.SetDbxConnection 0280 TDBXWritableValue.MarkAsPending 029f TDSMethodValues.GetReturnValue 0304 TDBXServerParameterList.SetOutParameters 0319 TDBXExecuteMessage.FreeTableReaders 0326 TInvocationMetadataDelegate.ClearMetadata 032c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 55 FC 8B F8 8B 47 20 8B 10 FF 52 08 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 F0 8B 45 F4 48 85 C0 0F 8C 76 01 00 00 40 89 45 EC C7 45 F8 00 00 00 00 8B 47 20 8B 55 F8 8B 08 FF 51 04 8B F0 8B C6 8B 10 FF 52 40 83 F8 02 75 14 8B C6 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 E9 32 01 00 00 8B C6 8B 10 FF 52 50 83 E8 17 74 13 83 E8 0B 74 72 83 E8 04 0F 84 99 00 00 00 E9 13 01 00 00 8B 47 20 8B 55 F8 8B 08 FF 51 04 8B 10 FF 52 40 83 F8 01 74 09 83 F8 03 0F 85 F5 00 00 00 8B 45 FC 83 78 2C 00 0F 8E E8 00 00 00 8B C6 8B 10 FF 52 7C 8B F0 8B C6 8B 10 FF 52 58 84 C0 0F 85 D0 00 00 00 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B D0 33 C9 8B C6 8B 18 FF 93 A8 01 00 00 FF 45 F0 E9 AF 00 00 00 8B C6 8B 10 FF 52 7C 8B F0 8B 47 04 8B 40 40 85 C0 75 0F 8B C6 8B 10 FF 92 58 01 00 00 E9 8D 00 00 00 8B D0 8B C6 8B 08 FF 91 B0 01 00 00 EB 7F 8B C6 8B 10 FF 52 7C 8B F0 8B C6 8B 10 FF 92 C4 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5D 8B 45 FC 8B 10 FF 52 04 50 8B C6 8B 10 FF 92 C4 00 00 00 5A 8B 08 FF 51 10 8B C6 8B 10 FF 92 C4 00 00 00 8B 55 F8 8B 08 FF 51 18 8B C6 8B 10 FF 92 C4 00 00 00 8B 57 04 8B 52 1C 8B 08 FF 51 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C6 8B 10 FF 92 C4 00 00 00 5A 8B 08 FF 51 20 FF 45 F8 FF 4D EC 0F 85 95 FE FF FF 8B 57 24 8B 47 10 E8 ?? ?? ?? ?? 8B 4F 10 8B 57 18 8B 47 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 E8 ?? ?? ?? ?? 8B 45 FC C6 40 36 00 8B 45 F4 48 85 C0 0F 8C FD 00 00 00 40 89 45 EC C7 45 F8 00 00 00 00 8B 47 20 8B 55 F8 8B 08 FF 51 04 8B F0 8B C6 8B 10 FF 52 40 83 E8 02 74 0F 48 74 53 48 0F 84 84 00 00 00 E9 BE 00 00 00 8B 47 10 8B D6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 50 83 E8 17 74 0A 83 E8 0B 74 11 E9 9E 00 00 00 8B 45 FC C6 40 36 01 E9 92 00 00 00 8B C6 8B 10 FF 52 7C 8B 10 FF 92 B0 00 00 00 8B D0 8B 47 04 E8 ?? ?? ?? ?? EB 77 8B C6 8B 10 FF 52 70 84 C0 75 0C 8B 47 10 8B D6 E8 ?? ?? ?? ?? EB 0C 8B C6 8B 10 FF 52 7C E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 50 83 F8 17 75 48 8B 45 FC C6 40 36 01 EB 3F 8B 47 10 8B D6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 50 83 E8 17 74 07 83 E8 0B 74 0B EB 22 8B 45 FC C6 40 36 01 EB 19 8B C6 8B 10 FF 52 7C 8B 10 FF 92 B0 00 00 00 8B D0 8B 47 04 E8 ?? ?? ?? ?? FF 45 F8 FF 4D EC 0F 85 0E FF FF FF 0F B6 47 2C 8B 55 FC 88 42 35 8B 47 30 8B 55 FC 89 42 38 8B 47 20 8B 55 FC 89 42 18 8B 47 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16812_0 {
	meta:
		name = "TDSServerMethod.SetParameters"
		size = 128
		refs = "0044 TDBXParameterArray 0049 @DynArraySetLength 0057 @DynArrayLength"
	strings:
		$1 = { 53 56 57 51 8B F2 89 04 24 8B 04 24 89 70 20 8B C6 8B 10 FF 52 08 8B D8 85 DB 7E 15 8B D3 4A 8B C6 8B 08 FF 51 04 8B 10 FF 52 40 83 F8 04 75 01 4B 85 F6 74 46 53 8B 44 24 04 83 C0 24 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 04 24 8B 40 24 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 19 47 33 DB 8B D3 8B C6 8B 08 FF 51 04 8B 14 24 8B 52 24 89 04 9A 43 4F 75 EA 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16814_0 {
	meta:
		name = "TDSServerMethodCommandHandler.Create"
		size = 71
		refs = "000d @ClassCreate 001a TDBXCommandHandler.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 89 46 14 8B 45 08 89 46 1C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_16816_0 {
	meta:
		name = "TDSServerMethodCommandHandler.DestroyInstance"
		size = 95
		refs = "0029 TDSServerConnectionHandler.DestroyInstance 0037 _Dn_TDSProviderDataModuleAdapter 003c @IsClass"
	strings:
		$1 = { 53 56 57 8B D8 8B 53 18 85 D2 74 4F 8B 42 18 85 C0 74 48 3B 42 1C 75 05 33 C9 89 4A 1C 8B 53 18 8B 52 14 8B C8 8B 43 14 E8 ?? ?? ?? ?? 8B 73 18 8B 7E 1C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B C7 8B 50 08 3B 56 18 75 05 33 D2 89 50 08 8B 43 18 33 D2 89 50 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16817_0 {
	meta:
		name = "TDSServerMethodCommandHandler.DestroyServerMethod"
		size = 34
		refs = "000c TDSServerMethodCommandHandler.DestroyInstance 001c TObject.Free"
	strings:
		$1 = { 53 8B D8 80 7B 20 00 74 07 8B C3 E8 ?? ?? ?? ?? 8D 43 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16818_0 {
	meta:
		name = "TDSServerMethodCommandHandler.InitInvocationLifeCycle"
		size = 152
		refs = "000c TDSServerMethodCommandHandler.InitInvocationLifeCycle 0026 @UStrLAsg 0039 @UStrEqual 0063 @UStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 18 8B 52 0C 8B 52 08 8B 52 14 E8 ?? ?? ?? ?? 83 7D FC 00 74 12 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 84 C0 74 06 C6 43 20 01 EB 04 C6 43 20 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 6E 00 76 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_16819_0 {
	meta:
		name = "TDSServerMethodCommandHandler.ClearResources"
		size = 17
	strings:
		$1 = { 8B 50 18 85 D2 74 07 8B C2 8B 10 FF 12 C3 B0 01 C3 }
	condition:
		$1
}

rule function_16820_0 {
	meta:
		name = "TDSServerMethodCommandHandler.DbxExecute"
		size = 600
		refs = "001a TDSServerMethodCommandHandler.DbxExecute 0028 TDBXCommandHandler.GetActiveStreamerRowList 002d TDBXActiveTableReaderList.CloseAllActiveTableReaders 0060 TDSServerMethodProvider.PrepareMethod 006e TDSServerMethodCommandHandler.InitInvocationLifeCycle 0096 TDSServerMethodCommandHandler.DestroyInstance 00a4 TObject.Free 00c0 TDSServerMethodProvider.GetServerMethodInstance 00d1 TDSMethodInfo.GetDSMethod 00df TDSMethod.GetClassInstance 00f6 TDBXServerParameterList.NewRowGeneration 0102 _Dn_TDSSessionManager 0107 TDSSessionManager.GetThreadSession 0175 TDSServerConnectionHandler.GetAuthorizeMethodEventObject 018e SAuthorizationFail 0193 LoadResString 01ac Format 01bc _Dn_TDBXError 01c1 TDBXError.Create 01c6 @RaiseExcept 01d3 TDSServerMethod.Invoke 01eb TDBXExecuteMessage.HandleMessage 0223 TDSServerMethodCommandHandler.DestroyInstanceIfNotNeeded 0229 @HandleFinally 0245 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D F0 89 4D EC 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 78 18 00 75 3D 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 1C 8B 10 FF 52 20 50 8B 45 FC 8B 58 14 8B D3 8B 43 1C 8B 40 44 8B CE E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 8B 45 FC E8 ?? ?? ?? ?? E9 83 00 00 00 8B 45 FC 80 78 20 00 74 6C 8B 45 FC 80 78 21 00 74 63 8B 45 FC 83 78 18 00 74 5A 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 8B 40 1C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 8B 48 0C 8B 45 FC 8B 58 14 8B D3 8B 43 1C 8B 40 44 E8 ?? ?? ?? ?? 8B 55 FC 8B 7A 18 89 47 1C 8B 47 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 52 18 8B 52 1C E8 ?? ?? ?? ?? 8B 55 FC 8B 52 18 89 42 18 8B 45 FC 8B 40 18 8B 40 20 E8 ?? ?? ?? ?? 8B 45 FC C6 40 21 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 89 45 F8 33 C0 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 0F 84 9D 00 00 00 8B 45 FC 8B 40 18 8B 50 0C 8B C3 8B 08 FF 51 20 84 C0 0F 84 85 00 00 00 8D 45 F4 50 8D 4D F8 8B 45 FC 8B 50 18 8B C3 8B 38 FF 57 24 8B 43 2C 50 8B 45 F8 50 8B 45 F4 50 8B 4B 1C 8B 45 FC 8B 50 18 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 1C 84 C0 75 44 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 43 1C 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 45 F0 50 B9 71 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 8B D6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 46 40 8B 45 FC 8B 50 1C 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 80 78 20 00 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16821_0 {
	meta:
		name = "TDSServerMethodCommandHandler.DbxPrepare"
		size = 98
		refs = "000a TDSServerMethodCommandHandler.DestroyServerMethod 0011 TDBXCommandHandler.GetActiveStreamerRowList 002d TDSServerMethodProvider.PrepareMethod 003b TDSServerMethodCommandHandler.InitInvocationLifeCycle 0047 TDSServerMethod.SetServerSideCommand 005a TDBXPrepareMessage.HandleMessage"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B 43 1C 8B 10 FF 52 20 50 8B 7B 14 8B 47 1C 8B 40 44 8B CE 8B D7 E8 ?? ?? ?? ?? 89 43 18 C6 43 21 00 8B C3 E8 ?? ?? ?? ?? 0F B6 56 24 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 8B 40 20 89 46 18 8B 53 1C 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16822_0 {
	meta:
		name = "TDSServerMethodCommandHandler.DbxNextResult"
		size = 10
		refs = "0005 TDBXNextResultMessage.HandleMessage"
	strings:
		$1 = { 8B 40 1C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16826_0 {
	meta:
		name = "TDSServerMethodCommandHandler.DbxCommandClose"
		size = 10
		refs = "0005 TDBXCommandCloseMessage.HandleMessage"
	strings:
		$1 = { 8B 40 1C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16827_0 {
	meta:
		name = "TDSServerMethodCommandHandler.DbxReaderClose"
		size = 10
		refs = "0005 TDBXReaderCloseMessage.HandleMessage"
	strings:
		$1 = { 8B 40 1C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88644_0 {
	meta:
		name = "TGestureCollectionItem.WriteName"
		size = 10
		refs = "0005 TWriter.WriteString"
	strings:
		$1 = { 8B 40 1C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_16823_0 {
	meta:
		name = "TDSServerMethodCommandHandler.DestroyInstanceIfNotNeeded"
		size = 38
		refs = "0007 TDBXCommandHandler.GetActiveStreamerRowList 0014 TDBXActiveTableReaderList.IsEos 001f TDSServerMethodCommandHandler.DestroyInstance"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16824_0 {
	meta:
		name = "TDSServerMethodCommandHandler.DbxNext"
		size = 42
		refs = "0009 TDBXCommandHandler.GetActiveStreamerRowList 0016 TDBXNextMessage.HandleMessage 0023 TDSServerMethodCommandHandler.DestroyInstanceIfNotNeeded"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 46 18 8B 53 1C 8B C6 E8 ?? ?? ?? ?? 80 7B 20 00 74 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16825_0 {
	meta:
		name = "TDSServerMethodCommandHandler.DbxMoreBlob"
		size = 110
		refs = "000b TDBXCommandHandler.GetActiveStreamerRowList 0013 TDBXActiveTableReaderList.FindStreamerRowItem 003d TDBXDriverHelp.GetStreamReader 004a TDBXMoreBlobMessage.HandleMessage 005e TDBXActiveTableReaderItem.SetParameterEos 0065 TDSServerMethodCommandHandler.DestroyInstanceIfNotNeeded"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 53 08 E8 ?? ?? ?? ?? 8B F8 8B 6F 10 85 ED 74 11 8B C5 8B 53 18 8B 08 FF 51 04 8B 10 FF 52 7C EB 0B 8B 47 14 8B 53 18 8B 08 FF 51 10 E8 ?? ?? ?? ?? 89 43 20 8B 56 1C 8B C3 E8 ?? ?? ?? ?? 80 7E 20 00 74 15 0F B6 4B 24 8B 53 18 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16828_0 {
	meta:
		name = "TDSServerMethodCommandHandler.DbxErrorMessage"
		size = 9
	strings:
		$1 = { 8B 40 1C 92 8B 08 FF 11 C3 }
	condition:
		$1
}

rule function_16830_0 {
	meta:
		name = "TDSServerMethodProvider.Destroy"
		size = 148
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0082 TObject.Destroy 008d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16831_0 {
	meta:
		name = "TDSServerMethodProvider.GetClassInfo"
		size = 15
		refs = "0004 TDBXObjectStore.GetObjectFromName"
	strings:
		$1 = { 8B 40 10 E8 ?? ?? ?? ?? 85 C0 75 02 33 C0 C3 }
	condition:
		$1
}

rule function_16832_0 {
	meta:
		name = "TDSServerMethodProvider.GetServerClasses"
		size = 191
		refs = "0016 TDSServerMethodProvider.GetServerClasses 0056 TDBXObjectStore.GetObjectFromName 006a TDSClassEntity.SetLifeCycle 0074 TDSClassEntity.SetPackageName 007e TDSClassEntity.SetRoleName 0088 TDSClassEntity.SetServerClassName 00ad @UStrClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 8B D9 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 8B 10 FF 52 14 48 85 C0 7C 6C 40 89 45 F4 C7 45 F8 00 00 00 00 8D 4D F0 8B 45 FC 8B 40 14 8B 55 F8 8B 30 FF 56 0C 8B 55 F0 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 8B F0 8B 43 04 8B 10 FF 52 58 8B 56 14 8B C3 E8 ?? ?? ?? ?? 8B 56 04 8B C3 E8 ?? ?? ?? ?? 8B 56 10 8B C3 E8 ?? ?? ?? ?? 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B 43 04 8B 10 FF 52 5C FF 45 F8 FF 4D F4 75 9F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16833_0 {
	meta:
		name = "TDSServerMethodProvider.GetServerClasses"
		size = 150
		refs = "0017 TDSServerMethodProvider.GetServerClasses 004d TDBXObjectStore.GetObjectFromName 0059 _Dn_TJSONString 005e TJSONString.Create 0068 TJSONArray.AddElement 0083 @UStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 14 8B 10 FF 52 14 8B F0 4E 85 F6 7C 42 46 C7 45 F8 00 00 00 00 8D 4D F4 8B 55 F8 8B 43 14 8B 38 FF 57 0C 8B 55 F4 8B 43 10 E8 ?? ?? ?? ?? 8B F8 8B 4F 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? FF 45 F8 4E 75 C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16834_0 {
	meta:
		name = "TDSServerMethodProvider.GetServerClass"
		size = 276
		refs = "0012 TDBXObjectStore.GetObjectFromName 0023 _Dn_TJSONObject 0028 TJSONObject.Create 0033 _Dn_TJSONString 0038 TJSONString.Create 0044 TJSONObject.AddPair 0059 TDSServerMethodProvider.GetServerClass 0076 _Dn_TJSONArray 007b TJSONArray.Create 00a4 TDSServerMethodProvider.GetServerMethods 00bc _Dn_TJSONNull 00c1 TJSONAncestor.Create"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B DA 8B F0 8B D3 8B 46 10 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 8A 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B CD 8B 04 24 E8 ?? ?? ?? ?? 8B 4F 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C5 59 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B CF 8B C5 E8 ?? ?? ?? ?? 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? EB 27 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 44 24 04 5A E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4C 00 69 00 66 00 65 00 43 00 79 00 63 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6D 00 65 00 74 00 68 00 6F 00 64 00 73 00 00 00 }
	condition:
		$1
}

rule function_16835_0 {
	meta:
		name = "TDSServerMethodProvider.AddServerClass"
		size = 297
		refs = "0018 TDSServerMethodProvider.AddServerClass 0029 @UStrLAsg 0034 TDBXObjectStore.GetObjectFromName 0052 TDSPackage.CreateDSClass 005e TDSClass.GetClassLoadError 0089 _Dn_TDBXError 008e TDBXError.Create 0093 @RaiseExcept 00a3 TDBXObjectStore.SetObjectByName 00bc SServerClassExists 00c1 LoadResString 00da Format 010e @UStrArrayClr 0116 @UStrClr 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 08 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 10 E8 ?? ?? ?? ?? 85 C0 75 78 8B 7E 18 85 FF 75 57 8B 56 04 8B 43 0C E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B F8 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 83 7D F8 00 0F 94 C0 84 C0 75 24 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 45 F0 50 B9 68 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 7E 18 8B CE 8B 55 FC 8B 43 10 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 14 8B 08 FF 51 38 EB 44 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 58 E8 ?? ?? ?? ?? 8B 45 EC 50 B9 66 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16836_0 {
	meta:
		name = "TDSServerMethodProvider.DropServerClass"
		size = 367
		refs = "0020 TDSServerMethodProvider.DropServerClass 0031 TDBXObjectStore.GetObjectFromName 0041 SServerClassMissing 0046 LoadResString 005f Format 006f _Dn_TDBXError 0074 TDBXError.Create 0079 @RaiseExcept 00c0 TDSServerMethodProvider.DropServerMethod 00d2 TDSClassInfo.Close 00df TObject.Free 0109 @UStrEqual 014f @UStrArrayClr 0162 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D D8 89 4D DC 89 4D EC 89 4D E8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 10 E8 ?? ?? ?? ?? 85 C0 75 44 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 58 E8 ?? ?? ?? ?? 8B 45 EC 50 B9 68 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 43 1C 8B 10 FF 52 14 89 45 F0 33 F6 3B 75 F0 7D 3C 8D 4D DC 8B D6 8B 43 1C 8B 38 FF 57 0C 8B 55 DC 8B 43 18 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 40 08 3B 45 F8 75 10 8B CE 8B 55 F4 8B C3 E8 ?? ?? ?? ?? FF 4D F0 4E 46 3B 75 F0 7C C4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 8B 43 14 8B 10 FF 52 14 89 45 F0 33 F6 3B 75 F0 7D 2E 8D 4D D8 8B D6 8B 43 14 8B 38 FF 57 0C 8B 45 D8 8B 55 FC E8 ?? ?? ?? ?? 75 0E 8B D6 8B 43 14 8B 08 FF 51 48 FF 4D F0 4E 46 3B 75 F0 7C D2 8B 55 FC 8B 73 10 8B C6 8B 08 FF 51 54 8B D0 8B C6 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16837_0 {
	meta:
		name = "TDSServerMethodProvider.IsCallableMethod"
		size = 37
		refs = "0006 TDSMethod.IsPublicMethod 0015 TDSMethod.IsStaticMethod"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_16838_0 {
	meta:
		name = "TDSServerMethodProvider.CreateMethodAlias"
		size = 240
		refs = "0017 TDSServerMethodProvider.CreateMethodAlias 0024 TDSMethod.GetMethodClass 0039 TDSClass.GetDSClassName 0046 StringLastIndexOf 0057 @UStrLAsg 007c @UStrCopy 008e TDSMethod.GetDSMethodName 009e @UStrCatN 00a9 @UStrAsg 00be @UStrClr 00cb @UStrArrayClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B D8 8B 43 08 85 C0 74 02 8B D8 8D 55 F8 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 0D 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? EB 23 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 8D 45 FC 50 8D 43 01 8B CE 2B C8 8D 53 01 42 8B 45 F8 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 F0 8B C7 E8 ?? ?? ?? ?? FF 75 F0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_16839_0 {
	meta:
		name = "TDSServerMethodProvider.AddAllMethods"
		size = 504
		refs = "0028 TRttiContext 002d @AddRefRecord 0035 TDSServerMethodProvider.AddAllMethods 0044 TDSMethodArray 0049 @DynArrayClear 006c TDSClass.GetMethods 0093 @UStrCatN 009e TRttiContext.FindType 00bf TDSServerMethodProvider.GetAuthRole 00d5 @DynArrayLength 00fb TDSServerMethodProvider.IsCallableMethod 0106 _DV_TDSMethodInfo 010b TDSMethodInfo.Create 011d TDSServerMethodProvider.CreateMethodAlias 0127 TDSMethodInfo.SetMethodAlias 0131 TDSMethod.GetDSMethodName 013c @UStrAsg 0157 TDSServerMethodProvider.CreateServerMethod 0160 TObject.Free 0187 @HandleFinally 01a3 @UStrArrayClr 01ac TArray<System.TCustomAttribute> 01b9 @UStrClr 01d5 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 89 5D DC 89 5D E0 89 5D F8 89 4D F0 89 55 FC 89 45 F4 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 8B 58 18 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 83 78 18 00 74 53 8B 45 F0 FF 70 0C 68 ?? ?? ?? ?? 8B 45 F0 FF 70 08 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 74 26 8D 55 DC 8B 45 E8 8B 08 FF 51 04 8B 55 DC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 74 0A 89 45 E4 EB 05 33 C0 89 45 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 86 00 00 00 47 C7 45 EC 00 00 00 00 8B 45 F8 8B 55 EC 8B 1C 90 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 5A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 5E 0C 8D 4D D8 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D8 8B C6 E8 ?? ?? ?? ?? 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 55 D4 8D 46 14 E8 ?? ?? ?? ?? 8B 45 F0 89 46 08 8B 45 E8 50 8B 45 E4 50 8B CE 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? FF 45 EC 4F 75 82 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B9 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_16840_0 {
	meta:
		name = "TDSServerMethodProvider.AddBuiltinMethods"
		size = 256
		refs = "0019 TRttiContext 001e @AddRefRecord 0026 TDSServerMethodProvider.AddBuiltinMethods 0033 _DV_TDSClassInfo 0038 TObject.Create 0045 @UStrAsg 0087 TDSServerMethodProvider.AddServerClass 0093 TDSServerMethodProvider.AddAllMethods 00b0 @FinalizeRecord 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F0 8B 5D 08 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 47 04 8B 55 F8 E8 ?? ?? ?? ?? 8D 47 08 8B 55 0C E8 ?? ?? ?? ?? 8D 47 0C 8B 55 10 E8 ?? ?? ?? ?? 84 DB 74 12 8D 47 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 5F 1C EB 0D 8D 47 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B CF 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 59 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_16841_0 {
	meta:
		name = "TDSServerMethodProvider.AddRegisteredServerClasses"
		size = 383
		refs = "001c TRttiContext 0021 @AddRefRecord 0029 TDSServerMethodProvider.AddRegisteredServerClasses 0036 _Dn_TDBXArrayList 003b TDBXArrayList.Create 005a TDSCustomServer.GetServerClassList 0062 TDBXArrayList.GetCount 0081 TDBXArrayList.GetValue 0096 TDSClass.GetDSClassName 00b2 TObject.UnitName 00c6 _DV_TDSClassInfo 00cb TObject.Create 00db @UStrAsg 0109 TDSServerMethodProvider.AddServerClass 0116 TDSServerMethodProvider.AddAllMethods 013c TObject.Free 0142 @HandleFinally 015e @UStrArrayClr 016c @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D F8 89 4D F4 89 55 FC 89 45 F0 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 8B 40 28 8B 55 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 48 85 C0 0F 8C B7 00 00 00 40 89 45 E4 C7 45 E8 00 00 00 00 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 52 50 8B F8 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 5F 08 85 DB 74 17 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 43 04 E8 ?? ?? ?? ?? EB 0B 8D 55 F4 8B 47 04 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 73 20 8D 43 08 8B 55 F8 E8 ?? ?? ?? ?? 8D 43 14 8B 56 3C E8 ?? ?? ?? ?? 8D 43 10 8B 56 40 E8 ?? ?? ?? ?? 89 7B 18 8D 43 0C 8B 55 F4 E8 ?? ?? ?? ?? 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B CB 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? FF 45 E8 FF 4D E4 0F 85 54 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16842_0 {
	meta:
		name = "TDSServerMethodProvider.GetAuthRole"
		size = 156
		refs = "000e TDSServerMethodProvider.GetAuthRole 0021 TArray<System.TCustomAttribute> 0026 @DynArrayAsg 0038 _Dn_TRoleAuth 003d @IsClass 004e @AsClass 005b @DynArrayLength 006d @DynArrayClear 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F9 8D 45 FC 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 29 8B 45 FC 8B 34 98 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 EB 1B 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C CB 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16843_0 {
	meta:
		name = "TDSServerMethodProvider.CreateServerMethod"
		size = 285
		refs = "0022 TDSServerMethodProvider.CreateServerMethod 0033 @UStrLAsg 0044 TDBXObjectStore.GetObjectFromName 0054 SServerMethodExists 0059 LoadResString 0072 Format 0082 _Dn_TDBXError 0087 TDBXError.Create 008c @RaiseExcept 0099 TDBXObjectStore.SetObjectByName 00cf TDSServerMethodProvider.GetAuthRole 00d8 TDSMethodInfo.SetAuthRole 00ee TArray<System.TCustomAttribute> 00f3 @DynArrayClear 0100 @UStrArrayClr 0108 @UStrClr 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 F8 8B D8 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 18 E8 ?? ?? ?? ?? 8B 45 F8 89 46 08 8B 55 FC 8B 43 18 E8 ?? ?? ?? ?? 85 C0 74 44 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 45 F4 50 B9 67 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CE 8B 55 FC 8B 43 18 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 1C 8B 08 FF 51 38 85 FF 74 30 8B 56 14 8B C7 8B 08 FF 51 24 8B F8 85 FF 74 20 8D 55 E4 8B C7 8B 08 FF 51 04 8B 55 E4 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_16844_0 {
	meta:
		name = "TDSServerMethodProvider.DropServerMethod"
		size = 50
		refs = "002a TObject.Free"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D1 8B 43 1C 8B 08 FF 51 48 8B 56 18 8B 7B 18 8B C7 8B 08 FF 51 54 8B D0 8B C7 8B 08 FF 51 48 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16845_0 {
	meta:
		name = "TDSServerMethodProvider.DropSeverMethod"
		size = 241
		refs = "0020 TDSServerMethodProvider.DropSeverMethod 0051 CompareText 006d TDBXObjectStore.GetObjectFromName 0078 TDSServerMethodProvider.DropServerMethod 008c SServerMethodMissing 0091 LoadResString 00aa Format 00ba _Dn_TDBXError 00bf TDBXError.Create 00c4 @RaiseExcept 00de @UStrArrayClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D EC 89 4D E8 89 4D F0 89 4D F4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 1C 8B 10 FF 52 14 48 85 C0 7C 4D 40 89 45 F8 33 F6 8D 4D F4 8B D6 8B 43 1C 8B 38 FF 57 0C 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 85 C0 75 25 8D 4D F0 8B D6 8B 43 1C 8B 38 FF 57 0C 8B 55 F0 8B 43 18 E8 ?? ?? ?? ?? 8B CE 8B D0 8B C3 E8 ?? ?? ?? ?? EB 4A 46 FF 4D F8 75 B9 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 58 E8 ?? ?? ?? ?? 8B 45 EC 50 B9 69 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16846_0 {
	meta:
		name = "TDSServerMethodProvider.GetServerMethods"
		size = 194
		refs = "0016 TDSServerMethodProvider.GetServerMethods 0056 TDBXObjectStore.GetObjectFromName 006a TDSMethodEntity.SetMethodAlias 0074 TDSMethodEntity.SetRoleName 0081 TDSMethodEntity.SetServerClassName 008b TDSMethodEntity.SetServerMethodName 00b0 @UStrClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 8B D9 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 1C 8B 10 FF 52 14 48 85 C0 7C 6F 40 89 45 F4 C7 45 F8 00 00 00 00 8D 4D F0 8B 45 FC 8B 40 1C 8B 55 F8 8B 30 FF 56 0C 8B 55 F0 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B F0 8B 43 04 8B 10 FF 52 58 8B 56 04 8B C3 E8 ?? ?? ?? ?? 8B 56 10 8B C3 E8 ?? ?? ?? ?? 8B 46 08 8B 50 08 8B C3 E8 ?? ?? ?? ?? 8B 56 14 8B C3 E8 ?? ?? ?? ?? 8B 43 04 8B 10 FF 52 5C FF 45 F8 FF 4D F4 75 9C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16847_0 {
	meta:
		name = "TDSServerMethodProvider.GetServerMethods"
		size = 276
		refs = "001e TDSServerMethodProvider.GetServerMethods 002c @UStrClr 003a UpperCase 0047 @UStrCat 0078 TDBXObjectStore.GetObjectFromName 008f @UStrLAsg 00a5 Pos 00b7 _Dn_TJSONString 00bc TJSONString.Create 00c6 TJSONArray.AddElement 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F0 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 85 DB 74 17 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 1C 8B 10 FF 52 14 48 85 C0 7C 7A 40 89 45 E8 C7 45 EC 00 00 00 00 8D 4D E4 8B 55 EC 8B 46 1C 8B 18 FF 53 0C 8B 55 E4 8B 46 18 E8 ?? ?? ?? ?? 8B D8 83 7D FC 00 75 04 B0 01 EB 25 8D 45 F8 8B 53 18 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 48 0F 94 C0 84 C0 74 19 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? FF 45 EC FF 4D E8 75 91 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_16848_0 {
	meta:
		name = "TDSServerMethodProvider.GetServerMethod"
		size = 187
		refs = "0019 TDSServerMethodProvider.GetServerMethod 0029 UpperCase 0034 TDBXObjectStore.GetObjectFromName 003f _Dn_TJSONObject 0044 TJSONObject.Create 004f _Dn_TJSONString 0054 TJSONString.Create 0060 TJSONObject.AddPair 006b TDSServerMethodProvider.GetServerMethodParameters 0083 _Dn_TJSONNull 0088 TJSONAncestor.Create 00a8 @UStrClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 46 18 E8 ?? ?? ?? ?? 85 C0 74 35 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B CF 8B 45 FC E8 ?? ?? ?? ?? 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? EB 26 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 FC 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16849_0 {
	meta:
		name = "TDSServerMethodProvider.InsertServerMethodParameter"
		size = 178
		refs = "0016 TDSServerMethodProvider.InsertServerMethodParameter 0035 @DynArrayLength 0049 TDSMethodParametersEntity.SetMethodAlias 0056 TDSMethodParametersEntity.SetServerClassName 0060 TDSMethodParametersEntity.SetServerMethodName 009a TDBXValueTypeArray 009f @DynArrayClear 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 89 45 FC 8D 55 F8 8B 45 FC 8B 08 FF 51 2C 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 8B 43 04 8B 10 FF 52 58 8B 56 04 8B C3 E8 ?? ?? ?? ?? 8B 46 08 8B 50 08 8B C3 E8 ?? ?? ?? ?? 8B 56 14 8B C3 E8 ?? ?? ?? ?? 8B DF 4B 83 EB 03 7C 1C 43 BE 03 00 00 00 8B D6 8B 45 FC 8B 08 FF 51 24 8B 10 FF 92 58 01 00 00 46 4B 75 EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16850_0 {
	meta:
		name = "TDSServerMethodProvider.GetServerMethodParameters"
		size = 700
		refs = "0029 TDSServerMethodProvider.GetServerMethodParameters 0058 _Dn_TDBXParameter 005d TDBXParameter.Create 0093 TDBXObjectStore.GetObjectFromName 009e TDSMethodInfo.GetDSMethod 00ac TDSMethod.GetParameterNames 00b7 TDSMethod.GetParameterTypes 00bf @DynArrayLength 00e3 TDSServerMethodProvider.InsertServerMethodParameter 00f0 TDSMethodParametersEntity.SetParameterName 0100 TDSClass.GetDbxType 0111 TDSMethodParametersEntity.SetParameterDBXDataType 011b TDSClass.GetDSClassName 0125 TDSMethodParametersEntity.SetParameterTypeName 012f TDSClass.GetTypeUnit 0139 TDSMethodParametersEntity.SetParameterTypeUnit 014b TDSMethodParametersEntity.SetDBXParameterDirection 0157 TDSMethodParametersEntity.SetParameterDirection 0163 TDSServerMethodProvider.GetDbxParameterDirection 0199 TDSMethod.GetReturnType 01a2 TDSClass.IsVoidReturn 026b TObject.Free 0271 @HandleFinally 028d @UStrArrayClr 0296 TDSClassArray 029b @DynArrayClear 02a4 TDBXStringArray"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D C8 89 5D CC 89 5D D0 89 5D D4 89 5D D8 89 5D FC 89 5D F8 8B D9 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 1C 8B 10 FF 52 14 8B F0 33 C0 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 4E 85 F6 0F 8C E8 01 00 00 46 89 75 E0 C7 45 E4 00 00 00 00 8D 4D D8 8B 45 F4 8B 40 1C 8B 55 E4 8B 30 FF 56 0C 8B 55 D8 8B 45 F4 8B 40 18 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC 8D 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 8E CA 00 00 00 48 85 C0 0F 8C C1 00 00 00 40 89 45 DC 33 FF 8B CB 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 14 B8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 34 B8 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 50 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 8B 55 D0 8B C3 E8 ?? ?? ?? ?? 80 7E 18 00 74 1A BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 26 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 04 8B 10 FF 52 5C 47 FF 4D DC 0F 85 45 FF FF FF 8B 45 EC E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 72 8B CB 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 50 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 CC 8B C6 E8 ?? ?? ?? ?? 8B 55 CC 8B C3 E8 ?? ?? ?? ?? 8D 55 C8 8B C6 E8 ?? ?? ?? ?? 8B 55 C8 8B C3 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 04 8B 10 FF 52 5C EB 2D 8B CB 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 04 8B 10 FF 52 5C FF 45 E4 FF 4D E0 0F 85 23 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16851_0 {
	meta:
		name = "TDSServerMethodProvider.GetServerMethodParameters"
		size = 676
		refs = "0021 TDSServerMethodProvider.GetServerMethodParameters 0031 UpperCase 003c TDBXObjectStore.GetObjectFromName 0049 TDSMethodInfo.GetDSMethod 0057 TDSMethod.GetParameterTypes 0062 TDSMethod.GetParameterNames 006a @DynArrayLength 008c @UStrLAsg 0093 TDSClass.IsOutParameter 00ad TDSClass.IsInOutParameter 00c5 _Dn_TJSONObject 00ca TJSONObject.Create 00d6 _Dn_TJSONString 00db TJSONString.Create 00e9 TJSONObject.AddPair 00f3 TDSClass.GetDSClassName 0132 TDSMethod.GetReturnType 013b TDSClass.IsVoidReturn 01bc @UStrArrayClr 01c4 @UStrClr 01cd TDBXStringArray 01d2 @DynArrayClear 01db TDSClassArray 01e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 55 E4 8B 43 18 E8 ?? ?? ?? ?? 85 C0 0F 84 5E 01 00 00 E8 ?? ?? ?? ?? 89 45 EC 8D 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 0F 8C B7 00 00 00 40 89 45 E8 33 FF 8B 45 FC 8B 34 B8 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 14 B8 8B CB 8B 45 F0 E8 ?? ?? ?? ?? 47 FF 4D E8 0F 85 4F FF FF FF 8B 45 EC E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 63 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B CB BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C7 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4F 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 4F 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 64 00 69 00 72 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 65 00 74 00 75 00 72 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_16852_0 {
	meta:
		name = "TDSServerMethodProvider.GetProcedures"
		size = 452
		refs = "001a TDSServerMethodProvider.GetProcedures 003e @UStrEqual 0085 TDBXObjectStore.GetObjectFromName 00bd StringIndexOf 00cd TDSMethodInfo.GetDSMethod 00d2 TDSMethod.GetReturnType 00d7 TDSClass.IsVoidReturn 00fc TDSProcedureEntity.SetCatalogName 0107 TDSProcedureEntity.SetSchemaName 0112 TDSProcedureEntity.SetProcedureName 0123 TDSProcedureEntity.SetProcedureType 015e @UStrClr 0164 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D FC 8B F0 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 1C 8B 10 FF 52 14 8B D8 C6 45 FB 01 C6 45 FA 01 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 06 C6 45 FA 00 EB 12 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 45 FB 00 4B 85 DB 0F 8C E8 00 00 00 43 89 5D F0 C7 45 F4 00 00 00 00 8D 4D EC 8B 46 1C 8B 55 F4 8B 18 FF 53 0C 8B 55 EC 8B 46 18 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 48 7D 04 B0 01 EB 10 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 84 C0 74 04 B0 01 EB 10 8B 47 04 8B 55 FC E8 ?? ?? ?? ?? 85 C0 0F 9D C0 84 C0 74 77 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 5D FB 75 09 8B C3 34 01 22 45 FA 74 56 8B 45 08 8B 40 04 8B 10 FF 52 58 33 D2 8B 45 08 E8 ?? ?? ?? ?? 8B 57 10 8B 45 08 E8 ?? ?? ?? ?? 8B 57 04 8B 45 08 E8 ?? ?? ?? ?? 84 DB 74 0F BA ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 0D BA ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 8B 40 04 8B 10 FF 52 5C FF 45 F4 FF 4D F0 0F 85 23 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 }
	condition:
		$1
}

rule function_16853_0 {
	meta:
		name = "TDSServerMethodProvider.GetParameterMode"
		size = 172
		refs = "0004 TDSServerMethodProvider.GetDbxParameterDirection 0018 TDSServerMethodProvider.GetParameterMode 001d @UStrAsg"
	strings:
		$1 = { 53 8B D9 E8 ?? ?? ?? ?? 83 E8 02 74 16 48 74 05 48 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 4F 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4F 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 53 00 55 00 4C 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_16854_0 {
	meta:
		name = "TDSServerMethodProvider.AddParameter"
		size = 399
		refs = "001f TDSServerMethodProvider.AddParameter 0032 _Dn_TDBXParameter 0037 TDBXParameter.Create 0052 TDSClass.GetDbxType 0062 TDBXValueType.DataTypeName 0073 TDSProcedureParametersEntity.SetCatalogName 007d TDSProcedureParametersEntity.SetSchemaName 0087 TDSProcedureParametersEntity.SetProceduredName 0091 TDSProcedureParametersEntity.SetParameterName 009d TDSServerMethodProvider.GetParameterMode 00a7 TDSProcedureParametersEntity.SetParameterMode 00b1 TDSProcedureParametersEntity.SetTypeName 00bb TDSProcedureParametersEntity.SetPrecision 00c5 TDSProcedureParametersEntity.SetScale 00cf TDSProcedureParametersEntity.SetOrdinal 00da TDSProcedureParametersEntity.SetNullable 00eb TDSProcedureParametersEntity.SetDBXDataType 00f4 TDSProcedureParametersEntity.SetFixedLength 0109 TDSProcedureParametersEntity.SetUnicode 011f TDSProcedureParametersEntity.SetLong 0133 TDSProcedureParametersEntity.SetUnsigned 0155 TObject.Free 015b @HandleFinally 0172 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D FC 8B F1 89 55 F8 8B F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 50 8D 55 FC E8 ?? ?? ?? ?? 8B 43 04 8B 10 FF 52 58 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 55 14 8B C3 E8 ?? ?? ?? ?? 8B 55 10 8B C3 E8 ?? ?? ?? ?? 8B 55 18 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 83 CA FF 8B C3 E8 ?? ?? ?? ?? 83 CA FF 8B C3 E8 ?? ?? ?? ?? 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 0F B6 56 18 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 50 8B D0 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 50 83 F8 1A 0F 94 C2 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 50 83 E8 21 75 0B B2 01 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 04 8B 10 FF 52 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_16855_0 {
	meta:
		name = "TDSServerMethodProvider.GetProcedureParameters"
		size = 476
		refs = "0021 TDSServerMethodProvider.GetProcedureParameters 0065 TDBXObjectStore.GetObjectFromName 0085 StringIndexOf 00c4 TDSMethodInfo.GetDSMethod 00cc TDSMethod.GetParameterTypes 00db TDSMethod.GetParameterNames 00e9 @DynArrayLength 0118 TDSServerMethodProvider.AddParameter 0128 TDSMethod.GetReturnType 012d TDSClass.IsVoidReturn 0185 @UStrClr 018e TDBXStringArray 0193 @DynArrayClear 019c TDSClassArray 01a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 1C 8B 10 FF 52 14 48 85 C0 0F 8C 35 01 00 00 40 89 45 E4 C7 45 E8 00 00 00 00 8D 4D E0 8B 45 F4 8B 40 1C 8B 55 E8 8B 18 FF 53 0C 8B 55 E0 8B 45 F4 8B 40 18 E8 ?? ?? ?? ?? 8B D8 8B 45 0C 85 C0 74 05 83 E8 04 8B 00 48 7D 04 B0 01 EB 10 8B 43 04 8B 55 0C E8 ?? ?? ?? ?? 85 C0 0F 9D C0 84 C0 0F 84 D2 00 00 00 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 48 7D 04 B0 01 EB 10 8B 43 10 8B 55 EC E8 ?? ?? ?? ?? 85 C0 0F 9D C0 84 C0 0F 84 A7 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 83 7D FC 00 74 3B 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2C 47 33 F6 8B 45 F8 8B 04 B0 50 8B 43 10 50 8B 43 04 50 56 8B 45 08 50 8B 45 FC 8B 0C B0 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 46 4F 75 D7 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 33 68 ?? ?? ?? ?? 8B 43 10 50 8B 43 04 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? FF 45 E8 FF 4D E4 0F 85 D6 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 74 00 75 00 72 00 6E 00 56 00 61 00 6C 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_16858_0 {
	meta:
		name = "TDSServerMethodProvider.UpdateConfiguration"
		size = 36
		refs = "0011 TDSServerMethodProvider.CheckConfiguration 001a TDSServerMethodProvider.ProcessConfiguration"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 08 00 74 12 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 04 5E 5B C3 }
	condition:
		$1
}

rule function_16859_0 {
	meta:
		name = "TDSServerMethodProvider.UnknownLifeCycle"
		size = 152
		refs = "000c TDSServerMethodProvider.UnknownLifeCycle 0021 @UStrCat3 0030 _Dn_TDBXError 0035 TDBXError.Create 003a @RaiseExcept 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 14 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 4C 00 69 00 66 00 65 00 43 00 79 00 63 00 6C 00 65 00 3A 00 20 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_16860_0 {
	meta:
		name = "TDSServerMethodProvider.GetServerInstance"
		size = 122
		refs = "0017 TMonitor.CheckMonitorSupport 001e TMonitor.GetMonitor 0026 TMonitor.Enter 002e TDSServerMethodProvider.GetServerInstance 004a @TryFinallyExit 0064 TMonitor.Exit 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC 8B 58 24 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 24 8B CF 8B D6 8B 18 FF 13 89 45 F8 E8 ?? ?? ?? ?? EB 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16861_0 {
	meta:
		name = "TDSServerMethodProvider.GetServerMethodInstance"
		size = 348
		refs = "001a TDSServerMethodProvider.GetServerMethodInstance 0031 @UStrLAsg 0062 @UStrEqual 0075 TDSServerMethodProvider.GetServerInstance 0092 TDSServerConnectionHandler.GetInstance 00a4 TDSCustomAdmin.SetServerConnection 00c3 TDSServerConnectionHandler.CreateInstance 00d3 TDSServerMethodProvider.UnknownLifeCycle 00e8 @UStrClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 78 08 8D 45 FC 8B 57 14 E8 ?? ?? ?? ?? 33 DB 83 7D FC 00 75 04 B0 01 EB 10 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 48 0F 9C C0 84 C0 74 04 B0 01 EB 10 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 84 C0 74 10 8B CF 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 4C 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1E 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 80 7F 1C 00 74 2B 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 1F 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 10 8B 4F 18 8B 57 20 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 6E 00 76 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_16862_0 {
	meta:
		name = "TDSServerMethodProvider.GetDbxParameterDirection"
		size = 48
		refs = "000c TDSClass.IsInOutParameter 001e TDSClass.IsOutParameter"
	strings:
		$1 = { 53 56 8B F2 BB 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 BB 03 00 00 00 EB 10 8B C6 E8 ?? ?? ?? ?? 84 C0 74 05 BB 02 00 00 00 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_16863_0 {
	meta:
		name = "TDSServerMethodProvider.CreateServerParameter"
		size = 103
		refs = "001b _Dn_TDBXParameter 0020 TDBXParameter.Create 0031 TDSServerMethodProvider.GetDbxParameterDirection 0050 TDSClass.GetDbxType"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B F0 8B 45 08 50 8B 45 FC 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 43 4C 8B D7 8B C6 E8 ?? ?? ?? ?? 8B F0 83 FE 03 75 0F 80 7F 18 00 74 09 B2 01 8B C3 8B 08 FF 51 38 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 04 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_16864_0 {
	meta:
		name = "TDSServerMethodProvider.PrepareParameters"
		size = 480
		refs = "001f TDSServerMethodProvider.PrepareParameters 0036 TDSMethodInfo.GetDSMethod 003e TDSMethod.GetParameterTypes 004d TDSMethod.GetParameterNames 0055 @DynArrayLength 0069 _Dn_TDBXServerParameterList 006e TDBXServerParameterList.Create 007d TDSMethod.GetReturnType 008a TDBXActiveTableReaderItem.SetParameterList 0092 TDSClass.IsVoidReturn 00cc TDSServerMethodProvider.CreateServerParameter 0163 TDSServerMethod.SetParameters 016a _Dn_TDSMethodValues 016f TDSMethodValues.Create 018b TDBXStringArray 0190 @DynArrayClear 0199 TDSClassArray 01a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 DB 89 5D FC 89 5D F8 8B D9 89 55 F0 89 45 F4 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 04 89 45 E0 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 E4 8B 45 E0 50 8B 45 F0 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 03 FF 45 E4 8B 55 E4 8B 45 EC 8B 08 FF 51 0C 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 54 40 89 45 DC 33 F6 8B 45 E0 50 8B 45 FC 8B 0C B0 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 8B 14 B0 8B C3 8B 08 FF 51 08 8B C3 8B 10 FF 52 40 83 F8 03 74 05 83 F8 02 75 07 8B 45 0C C6 40 2C 01 8B CB 8B D6 8B 45 EC 8B 18 FF 53 14 46 FF 4D DC 75 B2 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 47 8B 45 0C C6 40 2C 01 8B 45 E0 50 8B 4D E8 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 08 BA 04 00 00 00 8B C3 8B 08 FF 51 04 8B 45 0C 89 58 28 8B 55 E4 4A 8B CB 8B 45 EC 8B 18 FF 53 14 8B 55 EC 8B 45 0C E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 0C 89 42 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 65 00 74 00 75 00 72 00 6E 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_16865_0 {
	meta:
		name = "TDSServerMethodProvider.HasServerMethod"
		size = 89
		refs = "000f TDSServerMethodProvider.HasServerMethod 001f UpperCase 002a TDBXObjectStore.GetObjectFromName 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 18 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16866_0 {
	meta:
		name = "TDSServerMethodProvider.PrepareMethod"
		size = 936
		refs = "002f TDSServerMethodProvider.PrepareMethod 0040 _DV_TDSServerMethod 0045 TDSServerMethod.Create 0062 @UStrLAsg 0081 UpperCase 008f TDBXObjectStore.GetObjectFromName 009b TDSServerConnectionHandler.GetSQLScanner 00a9 TDBXSqlScanner.Init 00b1 @UStrClr 00b9 TDBXSqlScanner.NextToken 00cd TDBXSqlScanner.GetId 00d8 @UStrCat 0118 SServerMethodMissing 011d LoadResString 0136 Format 0146 _Dn_TDBXError 014b TDBXError.Create 0150 @RaiseExcept 016d TDSMethodInfo.GetDSMethod 0190 TDSServerMethodProvider.GetServerMethodInstance 01a9 TDSMethod.GetClassInstance 01c3 @UStrAsg 01c8 _Dn_TDSSessionManager 01cd TDSSessionManager.GetThreadSession 0231 TDSServerConnectionHandler.PrepareServerMethod 024b TObject.Free 025e @HandleFinally 0271 TDBXActiveTableReaderList.AddDBXStreamerRow 0292 TDSServerMethodProvider.PrepareParameters 029d TDBXServerParameterList.NewRowGeneration 0373 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 33 DB 89 5D AC 89 5D BC 89 5D B8 89 5D C0 89 5D C4 89 5D C8 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E3 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 89 45 DC C7 45 D8 F7 FF FF FF 8D 45 FC 8B 55 EC 8B 52 10 E8 ?? ?? ?? ?? 8B 45 08 89 45 D4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 C8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F4 8B 40 18 E8 ?? ?? ?? ?? 85 C0 75 75 8B 45 F0 E8 ?? ?? ?? ?? 89 45 DC 8B 55 FC 8B 45 DC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 FE 75 18 8D 55 C4 8B 45 DC E8 ?? ?? ?? ?? 8B 55 C4 8D 45 FC E8 ?? ?? ?? ?? EB D7 83 7D D8 FC 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB C2 8D 55 C0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F4 8B 40 18 E8 ?? ?? ?? ?? 85 C0 75 44 8D 45 BC 50 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 50 8B 45 FC 89 45 B0 C6 45 B4 11 8D 55 B0 33 C9 58 E8 ?? ?? ?? ?? 8B 45 BC 50 B9 69 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 E4 8B 55 E8 89 50 0C 8B 45 E4 8B 55 F0 89 50 04 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 E4 89 42 08 8B 45 E8 8B 40 08 8B 40 20 8B 55 E4 89 42 14 8B 4D E8 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E4 89 42 1C 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 E4 8B 52 1C E8 ?? ?? ?? ?? 8B 55 E4 89 42 18 8B 45 E4 83 C0 34 8B 55 E8 8B 52 08 8B 52 14 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 21 8D 45 F8 8B 56 1C E8 ?? ?? ?? ?? 8B 5E 2C 8D 45 CC 50 8D 4D D0 8B 55 E4 8B C6 8B 30 FF 56 24 EB 14 8D 45 F8 E8 ?? ?? ?? ?? 33 DB 33 C0 89 45 D0 33 C0 89 45 CC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 50 53 8B 45 D0 50 8B 45 CC 50 8B 4D E4 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 33 D2 89 55 D0 E8 ?? ?? ?? ?? 8B 45 CC 33 D2 89 55 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 6A 00 6A 01 33 C9 8B 55 D4 8B 45 0C E8 ?? ?? ?? ?? 8B 55 E4 8B 4D D4 89 4A 30 33 D2 89 55 D4 8B 55 E4 52 50 8B 4D E8 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E4 8B 40 20 E8 ?? ?? ?? ?? 83 7D DC 00 74 7C 33 F6 83 7D D8 FA 75 74 C7 45 D8 FD FF FF FF 83 7D D8 FD 75 67 8B 45 DC E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 FE 74 06 83 7D D8 F8 75 4A 8B 45 E4 8B 40 20 8B D6 8B 08 FF 51 04 8B D8 8D 55 AC 8B 45 DC E8 ?? ?? ?? ?? 8B 45 AC 50 8B C3 8B 10 FF 52 7C 5A 8B 08 FF 91 24 01 00 00 B2 01 8B C3 8B 08 FF 51 3C 8B 45 EC C6 40 14 01 8B 45 DC E8 ?? ?? ?? ?? 89 45 D8 46 83 7D D8 FD 74 99 C6 45 E3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D E3 00 75 10 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B 5D E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B C3 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_16867_0 {
	meta:
		name = "TDSServerMethodProvider.Open"
		size = 642
		refs = "0018 TRttiContext 001d @InitializeRecord 0025 TDSServerMethodProvider.Open 0043 _Dn_TDBXObjectStore 0048 TStringList.Create 0067 _Dn_TStringList 00bd _DV_TDSHashtableInstanceProvider 00c2 TDSHashtableInstanceProvider.Create 00cf _Dn_TDSPackage 00d4 TDSPackage.Create 00ec TDSPlatform.DefaultPackageName 00f7 @UStrFromWStr 011a TDBXObjectStore.SetObjectByName 0129 TDSPlatform.DataSnapAdminUnitName 0135 TDSPlatform.DataSnapAdminClassName 0167 TDSServerMethodProvider.AddBuiltinMethods 016f TDSPlatform.MetadataUnitName 017b TDSPlatform.MetadataClassName 01b8 TDSServerMethodProvider.AddRegisteredServerClasses 01c6 TDSServerMethodProvider.UpdateConfiguration 01e5 TDSServerMethodProvider.Close 01f2 @HandleFinally 0209 @WStrClr 0211 @UStrClr 0226 @UStrArrayClr 0271 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 89 45 F8 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 F8 80 78 08 00 0F 85 B8 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 20 8B 45 F8 8B 58 28 53 6A 00 6A 00 8B 4B 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 04 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 40 0C 8B CB E8 ?? ?? ?? ?? 8B 45 F8 C6 40 08 01 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 50 6A 01 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 D8 E8 ?? ?? ?? ?? 8B 4D D8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8B 45 D0 50 8D 45 C8 E8 ?? ?? ?? ?? 8B 55 C8 8D 45 CC E8 ?? ?? ?? ?? 8B 45 CC 50 6A 01 8D 45 C0 E8 ?? ?? ?? ?? 8B 55 C0 8D 45 C4 E8 ?? ?? ?? ?? 8B 4D C4 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 04 8B 45 F8 E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F7 00 75 0F 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 C6 40 08 00 C3 E9 ?? ?? ?? ?? EB E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 88 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16868_0 {
	meta:
		name = "TDSServerMethodProvider.Close"
		size = 89
		refs = "000f TObject.Free"
	strings:
		$1 = { 53 8B D8 8D 43 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C6 43 08 00 5B C3 }
	condition:
		$1
}

rule function_16869_0 {
	meta:
		name = "TDSServerTransport.Create"
		size = 137
		refs = "000a @ClassCreate 0017 TDSServerComponent.Create 0027 TDBXConnectionHandlerArray 002c @DynArraySetLength 0036 _Dn_TDBXOpenMessage 003b TObject.Create 0045 _Dn_TDBXDisconnectMessage 005b _Dn_TTransportFilterCollection 0060 TTransportFilterCollection.Create 006b @UStrClr 0076 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 0A 8D 46 3C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 C7 46 4C 20 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 54 8D 46 50 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_16870_0 {
	meta:
		name = "TDSServerTransport.Destroy"
		size = 136
		refs = "0004 @BeforeDestruction 0018 TObject.Free 0041 TBaseTransportFilterCollection.GetItem 0065 TDBXConnectionHandlerArray 006a @DynArrayClear 0075 TComponent.Destroy 0080 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 46 54 8B 40 08 8B 78 08 4F 83 FF 00 7C 15 8B 46 54 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4F 83 FF FF 75 EB 8D 46 54 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 3C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16872_0 {
	meta:
		name = "TDSServerTransport.AddConnection"
		size = 248
		refs = "0012 TDSServerTransport.AddConnection 0024 TDBXConnectionHandlerArray 0029 @DynArrayAsg 0031 @DynArrayLength 0057 TDBXOpenMessage.HandleMessage 007c @DynArraySetLength 00e5 @FinalizeArray 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 3C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7E 27 BA 01 00 00 00 8B 4D FC 83 3C 91 00 75 15 8B 45 FC 89 34 90 8B 43 44 89 50 04 8B D6 E8 ?? ?? ?? ?? EB 6C 42 48 75 DE 8B 45 FC E8 ?? ?? ?? ?? 83 C0 20 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 14 40 33 D2 8B 4D FC FF 34 91 8B 4D F8 5F 89 3C 91 42 48 75 EF 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 89 34 82 8B 45 FC E8 ?? ?? ?? ?? 8B 7B 44 89 47 04 8B C7 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16873_0 {
	meta:
		name = "TDSServerTransport.RemoveConnection"
		size = 122
		refs = "000f TDSServerTransport.RemoveConnection 0021 TDBXConnectionHandlerArray 0026 @DynArrayAsg 002e @DynArrayLength 0069 @DynArrayClear 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 3C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 19 42 33 C0 8B 4D FC 3B 1C 81 75 0A 8B 55 FC 33 C9 89 0C 82 EB 04 40 4A 75 EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_16874_0 {
	meta:
		name = "TDSServerTransport.CloseConnections"
		size = 134
		refs = "0014 TDSServerTransport.CloseConnections 0029 TDBXConnectionHandlerArray 002e @DynArrayAsg 0036 @DynArrayLength 0074 @DynArrayClear 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F8 8B 52 3C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1C 46 33 DB 8B 45 FC 8B 04 98 85 C0 74 0B 8B 55 F8 8B 52 48 8B 08 FF 51 34 43 4E 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_16875_0 {
	meta:
		name = "TDSServerTransport.WaitForClosedConnections"
		size = 86
		refs = "0017 @DynArrayLength 0045 Decr"
	strings:
		$1 = { 53 56 57 51 8B F0 C7 04 24 0A 00 00 00 83 7E 3C 00 74 3E 8B 46 3C E8 ?? ?? ?? ?? 8B F8 EB 23 33 FF 33 DB EB 0B 8B 46 3C 83 3C 98 00 74 01 47 43 83 3C 24 00 7E 0C 8B 46 3C E8 ?? ?? ?? ?? 3B D8 7C E3 8B C4 E8 ?? ?? ?? ?? 85 C0 7E 04 85 FF 7F CE 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16876_0 {
	meta:
		name = "TDSServerTransport.SetBufferKBSize"
		size = 34
	strings:
		$1 = { 83 FA 01 7D 08 C7 40 4C 01 00 00 00 C3 81 FA E8 03 00 00 7E 09 C7 40 4C E8 03 00 00 EB 03 89 50 4C C3 }
	condition:
		$1
}

rule function_16877_0 {
	meta:
		name = "TBoundLabel.GetHeight"
		size = 4
		altNames = "TCustomFileDialog.GetFiles TDSServerTransport.GetFilters TIWBaseContainer.get_Height TIWProgressIndicator.GetBGColor TIWVCLBaseControl.get_Height"
	strings:
		$1 = { 8B 40 54 C3 }
	condition:
		$1
}

rule function_16880_0 {
	meta:
		name = "TDSHTTPServiceProxyDispatcher.SetRequiredProxyFilesPath"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TDSServerTransport.SetIPImplementationID"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 50 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49404_0 {
	meta:
		name = "THTTPReqResp.SetMimeBoundary"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 50 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16900_0 {
	meta:
		name = "TInstanceProviderItem.Create"
		size = 131
		refs = "000e @ClassCreate 001d TObject.Create 0027 @UStrAsg 004d _DV_TInstanceProviderItem.TServerClassNotifier 0052 TInstanceProviderItem.TServerClassNotifier.Create 0061 TComponent.FreeNotification 006c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 8B 45 10 89 47 10 8B 45 0C 89 47 14 8B 45 08 89 47 18 33 C0 89 47 08 83 7F 14 00 74 1D 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 08 8B D6 8B 47 14 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_16901_0 {
	meta:
		name = "TInstanceProviderItem.DestroyInstance"
		size = 59
		refs = "000f TObject.Free"
	strings:
		$1 = { 53 8B D8 8D 43 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 43 10 8B 53 18 89 50 18 8B 53 14 85 D2 74 06 92 8B 08 FF 51 58 8B 43 10 8B 40 18 E8 ?? ?? ?? ?? 33 C0 89 43 18 5B C3 }
	condition:
		$1
}

rule function_16902_0 {
	meta:
		name = "TInstanceProviderItem.TServerClassNotifier.Create"
		size = 62
		refs = "000b @ClassCreate 001c TComponent.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 38 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16903_0 {
	meta:
		name = "TInstanceProviderItem.TServerClassNotifier.Notification"
		size = 51
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 16 83 7F 38 00 74 10 8B 47 38 3B 70 14 75 08 8B 47 38 33 D2 89 50 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_16908_0 {
	meta:
		name = "TDSClassEntity.CreateClassTable"
		size = 588
		refs = "0012 TDSClassEntity.CreateClassTable 001d TDBXTableFactory.CreateDBXTable 0034 _Dn_TDBXValueType 0039 TDBXValueType.Create 0142 TDBXValueTypeArray 0147 @DynArraySetLength 018d @DynArrayClear 0193 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 89 45 F8 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 0C BA 1A 00 00 00 8B C3 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B C3 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 0C BA 1A 00 00 00 8B C6 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B C6 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 0C BA 1A 00 00 00 8B C7 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B C7 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 0C BA 1A 00 00 00 8B 45 F4 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B 45 F4 8B 10 FF 52 30 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 89 18 8B 45 FC 89 70 04 8B 45 FC 89 78 08 8B 45 FC 8B 55 F4 89 50 0C 8B 55 FC 8B 45 F8 8B 08 FF 51 30 8B 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6C 00 61 00 73 00 73 00 54 00 61 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6C 00 61 00 73 00 73 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 6F 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4C 00 69 00 66 00 65 00 43 00 79 00 63 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_16909_0 {
	meta:
		name = "TDSClassEntity.GetPackageName"
		size = 80
		refs = "0008 TDSClassEntity.GetPackageName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16942_0 {
	meta:
		name = "TDSPackageEntity.GetPackageName"
		size = 80
		refs = "0008 TDSPackageEntity.GetPackageName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16910_0 {
	meta:
		name = "TDSClassEntity.SetPackageName"
		size = 84
		refs = "0008 TDSClassEntity.SetPackageName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16943_0 {
	meta:
		name = "TDSPackageEntity.SetPackageName"
		size = 84
		refs = "0008 TDSPackageEntity.SetPackageName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16911_0 {
	meta:
		name = "TDSClassEntity.GetServerClassName"
		size = 76
		refs = "0008 TDSClassEntity.GetServerClassName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6C 00 61 00 73 00 73 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16912_0 {
	meta:
		name = "TDSClassEntity.SetServerClassName"
		size = 80
		refs = "0008 TDSClassEntity.SetServerClassName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6C 00 61 00 73 00 73 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16913_0 {
	meta:
		name = "TDSClassEntity.GetRoleName"
		size = 76
		refs = "0008 TDSClassEntity.GetRoleName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 6F 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16937_0 {
	meta:
		name = "TDSMethodEntity.GetRoleName"
		size = 76
		refs = "0008 TDSMethodEntity.GetRoleName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 6F 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16914_0 {
	meta:
		name = "TDSClassEntity.SetRoleName"
		size = 80
		refs = "0008 TDSClassEntity.SetRoleName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 6F 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16938_0 {
	meta:
		name = "TDSMethodEntity.SetRoleName"
		size = 80
		refs = "0008 TDSMethodEntity.SetRoleName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 6F 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16915_0 {
	meta:
		name = "TDSClassEntity.GetLifeCycle"
		size = 76
		refs = "0008 TDSClassEntity.GetLifeCycle"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4C 00 69 00 66 00 65 00 43 00 79 00 63 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_16916_0 {
	meta:
		name = "TDSClassEntity.SetLifeCycle"
		size = 80
		refs = "0008 TDSClassEntity.SetLifeCycle"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4C 00 69 00 66 00 65 00 43 00 79 00 63 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_16919_0 {
	meta:
		name = "TDSConnectionEntity.CreateClassTable"
		size = 648
		refs = "0012 TDSConnectionEntity.CreateClassTable 001d TDBXTableFactory.CreateDBXTable 0034 _Dn_TDBXValueType 0039 TDBXValueType.Create 0142 TDBXValueTypeArray 0147 @DynArraySetLength 018d @DynArrayClear 0193 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 89 45 F8 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 0C BA 1A 00 00 00 8B C3 8B 08 FF 51 14 6A 00 68 80 00 00 00 8B C3 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 0C BA 1A 00 00 00 8B C6 8B 08 FF 51 14 6A 00 68 00 08 00 00 8B C6 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 0C BA 1A 00 00 00 8B C7 8B 08 FF 51 14 6A 00 68 80 00 00 00 8B C7 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 0C BA 1A 00 00 00 8B 45 F4 8B 08 FF 51 14 6A 00 68 00 08 00 00 8B 45 F4 8B 10 FF 52 30 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 89 18 8B 45 FC 89 70 04 8B 45 FC 89 78 08 8B 45 FC 8B 55 F4 89 50 0C 8B 55 FC 8B 45 F8 8B 08 FF 51 30 8B 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 54 00 61 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_16920_0 {
	meta:
		name = "TDSConnectionEntity.GetConnectionName"
		size = 88
		refs = "0008 TDSConnectionEntity.GetConnectionName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16921_0 {
	meta:
		name = "TDSConnectionEntity.SetConnectionName"
		size = 92
		refs = "0008 TDSConnectionEntity.SetConnectionName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16922_0 {
	meta:
		name = "TDSConnectionEntity.GetConnectionProperties"
		size = 100
		refs = "0008 TDSConnectionEntity.GetConnectionProperties"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_16923_0 {
	meta:
		name = "TDSConnectionEntity.SetConnectionProperties"
		size = 104
		refs = "0008 TDSConnectionEntity.SetConnectionProperties"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_16924_0 {
	meta:
		name = "TDSConnectionEntity.GetDriverName"
		size = 80
		refs = "0008 TDSConnectionEntity.GetDriverName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16925_0 {
	meta:
		name = "TDSConnectionEntity.SetDriverName"
		size = 84
		refs = "0008 TDSConnectionEntity.SetDriverName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16926_0 {
	meta:
		name = "TDSConnectionEntity.GetDriverProperties"
		size = 92
		refs = "0008 TDSConnectionEntity.GetDriverProperties"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_16927_0 {
	meta:
		name = "TDSConnectionEntity.SetDriverProperties"
		size = 96
		refs = "0008 TDSConnectionEntity.SetDriverProperties"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_16930_0 {
	meta:
		name = "TDSMethodEntity.CreateMethodTable"
		size = 604
		refs = "0012 TDSMethodEntity.CreateMethodTable 001d TDBXTableFactory.CreateDBXTable 0034 _Dn_TDBXValueType 0039 TDBXValueType.Create 0142 TDBXValueTypeArray 0147 @DynArraySetLength 018d @DynArrayClear 0193 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 89 45 F8 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 0C BA 1A 00 00 00 8B C3 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B C3 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 0C BA 1A 00 00 00 8B C6 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B C6 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 0C BA 1A 00 00 00 8B C7 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B C7 8B 10 FF 52 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 0C BA 1A 00 00 00 8B 45 F4 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B 45 F4 8B 10 FF 52 30 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 89 18 8B 45 FC 89 70 04 8B 45 FC 89 78 08 8B 45 FC 8B 55 F4 89 50 0C 8B 55 FC 8B 45 F8 8B 08 FF 51 30 8B 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 65 00 74 00 68 00 6F 00 64 00 54 00 61 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 65 00 74 00 68 00 6F 00 64 00 41 00 6C 00 69 00 61 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6C 00 61 00 73 00 73 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 65 00 74 00 68 00 6F 00 64 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 6F 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16941_0 {
	meta:
		name = "TDSPackageEntity.CreatePackageTable"
		size = 264
		refs = "000b TDSPackageEntity.CreatePackageTable 0016 TDBXTableFactory.CreateDBXTable 002b _Dn_TDBXValueType 0030 TDBXValueType.Create 0074 TDBXValueTypeArray 0079 @DynArraySetLength 00a8 @DynArrayClear 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 0C BA 1A 00 00 00 8B C3 8B 08 FF 51 14 6A 00 68 00 01 00 00 8B C3 8B 10 FF 52 30 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 89 18 8B 55 FC 8B C6 8B 08 FF 51 30 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 54 00 61 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16946_0 {
	meta:
		name = "TDSProcedureEntity.CreateProcedureTable"
		size = 144
		refs = "000a TDSProcedureEntity.CreateProcedureTable 0015 TDBXTableFactory.CreateDBXTable 002b TDBXMetaDataCollectionColumns.CreateProceduresColumns 004b TDBXValueTypeArray 0050 @DynArrayClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 54 00 61 00 62 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_16947_0 {
	meta:
		name = "TDSProcedureEntity.GetCatalogName"
		size = 80
		refs = "0008 TDSProcedureEntity.GetCatalogName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16958_0 {
	meta:
		name = "TDSProcedureParametersEntity.GetCatalogName"
		size = 80
		refs = "0008 TDSProcedureParametersEntity.GetCatalogName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16948_0 {
	meta:
		name = "TDSProcedureEntity.SetCatalogName"
		size = 84
		refs = "0008 TDSProcedureEntity.SetCatalogName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16959_0 {
	meta:
		name = "TDSProcedureParametersEntity.SetCatalogName"
		size = 84
		refs = "0008 TDSProcedureParametersEntity.SetCatalogName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16949_0 {
	meta:
		name = "TDSProcedureEntity.GetSchemaName"
		size = 80
		refs = "0008 TDSProcedureEntity.GetSchemaName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16960_0 {
	meta:
		name = "TDSProcedureParametersEntity.GetSchemaName"
		size = 80
		refs = "0008 TDSProcedureParametersEntity.GetSchemaName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16950_0 {
	meta:
		name = "TDSProcedureEntity.SetSchemaName"
		size = 84
		refs = "0008 TDSProcedureEntity.SetSchemaName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16961_0 {
	meta:
		name = "TDSProcedureParametersEntity.SetSchemaName"
		size = 84
		refs = "0008 TDSProcedureParametersEntity.SetSchemaName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16951_0 {
	meta:
		name = "TDSProcedureEntity.GetProcedureName"
		size = 84
		refs = "0008 TDSProcedureEntity.GetProcedureName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16962_0 {
	meta:
		name = "TDSProcedureParametersEntity.GetProcedureName"
		size = 84
		refs = "0008 TDSProcedureParametersEntity.GetProcedureName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16952_0 {
	meta:
		name = "TDSProcedureEntity.SetProcedureName"
		size = 88
		refs = "0008 TDSProcedureEntity.SetProcedureName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16963_0 {
	meta:
		name = "TDSProcedureParametersEntity.SetProceduredName"
		size = 88
		refs = "0008 TDSProcedureParametersEntity.SetProceduredName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16953_0 {
	meta:
		name = "TDSProcedureEntity.GetProcedureType"
		size = 84
		refs = "0008 TDSProcedureEntity.GetProcedureType"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 54 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_16954_0 {
	meta:
		name = "TDSProcedureEntity.SetProcedureType"
		size = 88
		refs = "0008 TDSProcedureEntity.SetProcedureType"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 54 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_16957_0 {
	meta:
		name = "TDSProcedureParametersEntity.CreateProcedureParmetersTable"
		size = 152
		refs = "000a TDSProcedureParametersEntity.CreateProcedureParmetersTable 0015 TDBXTableFactory.CreateDBXTable 002b TDBXMetaDataCollectionColumns.CreateProcedureParametersColumns 004b TDBXValueTypeArray 0050 @DynArrayClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 34 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_16964_0 {
	meta:
		name = "TDSProcedureParametersEntity.GetParameterName"
		size = 84
		refs = "0008 TDSProcedureParametersEntity.GetParameterName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16965_0 {
	meta:
		name = "TDSProcedureParametersEntity.SetParameterName"
		size = 88
		refs = "0008 TDSProcedureParametersEntity.SetParameterName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_16966_0 {
	meta:
		name = "TDSProcedureParametersEntity.GetParameterMode"
		size = 84
		refs = "0008 TDSProcedureParametersEntity.GetParameterMode"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 6F 00 64 00 65 00 00 00 }
	condition:
		$1
}

rule function_16967_0 {
	meta:
		name = "TDSProcedureParametersEntity.SetParameterMode"
		size = 88
		refs = "0008 TDSProcedureParametersEntity.SetParameterMode"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 6F 00 64 00 65 00 00 00 }
	condition:
		$1
}

rule function_16968_0 {
	meta:
		name = "TDSProcedureParametersEntity.GetTypeName"
		size = 76
		refs = "0008 TDSProcedureParametersEntity.GetTypeName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 51 28 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 79 00 70 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16969_0 {
	meta:
		name = "TDSProcedureParametersEntity.SetTypeName"
		size = 80
		refs = "0008 TDSProcedureParametersEntity.SetTypeName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 24 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 79 00 70 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16970_0 {
	meta:
		name = "TDSProcedureParametersEntity.GetPrecision"
		size = 68
		refs = "0005 TDSProcedureParametersEntity.GetPrecision"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B 10 FF 52 20 5E 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_16971_0 {
	meta:
		name = "TDSProcedureParametersEntity.SetPrecision"
		size = 80
		refs = "0008 TDSProcedureParametersEntity.SetPrecision"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 1C 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 72 00 65 00 63 00 69 00 73 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_16972_0 {
	meta:
		name = "TDSProcedureParametersEntity.GetScale"
		size = 60
		refs = "0005 TDSProcedureParametersEntity.GetScale"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B 10 FF 52 20 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 63 00 61 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_16973_0 {
	meta:
		name = "TDSProcedureParametersEntity.SetScale"
		size = 72
		refs = "0008 TDSProcedureParametersEntity.SetScale"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 1C 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 63 00 61 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_16974_0 {
	meta:
		name = "TDSProcedureParametersEntity.GetOrdinal"
		size = 64
		refs = "0005 TDSProcedureParametersEntity.GetOrdinal"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B 10 FF 52 20 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 72 00 64 00 69 00 6E 00 61 00 6C 00 00 00 }
	condition:
		$1
}

rule function_16975_0 {
	meta:
		name = "TDSProcedureParametersEntity.SetOrdinal"
		size = 76
		refs = "0008 TDSProcedureParametersEntity.SetOrdinal"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 1C 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 72 00 64 00 69 00 6E 00 61 00 6C 00 00 00 }
	condition:
		$1
}

rule function_16976_0 {
	meta:
		name = "TDSProcedureParametersEntity.IsNullable"
		size = 72
		refs = "0005 TDSProcedureParametersEntity.IsNullable"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B 10 FF 52 68 5E 5B C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 73 00 4E 00 75 00 6C 00 6C 00 61 00 62 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16977_0 {
	meta:
		name = "TDSProcedureParametersEntity.SetNullable"
		size = 84
		refs = "0008 TDSProcedureParametersEntity.SetNullable"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 BA ?? ?? ?? ?? 8B 77 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D3 8B 08 FF 91 08 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 73 00 4E 00 75 00 6C 00 6C 00 61 00 62 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_16978_0 {
	meta:
		name = "TDSProcedureParametersEntity.GetDBXDataType"
		size = 72
		refs = "0005 TDSProcedureParametersEntity.GetDBXDataType"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B 10 FF 52 20 5E 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 62 00 78 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_16979_0 {
	meta:
		name = "TDSProcedureParametersEntity.SetDBXDataType"
		size = 84
		refs = "0008 TDSProcedureParametersEntity.SetDBXDataType"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D7 8B 08 FF 91 1C 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 62 00 78 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_16980_0 {
	meta:
		name = "TDSProcedureParametersEntity.IsFixedLength"
		size = 76
		refs = "0005 TDSProcedureParametersEntity.IsFixedLength"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B 10 FF 52 68 5E 5B C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 73 00 46 00 69 00 78 00 65 00 64 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_16981_0 {
	meta:
		name = "TDSProcedureParametersEntity.SetFixedLength"
		size = 88
		refs = "0008 TDSProcedureParametersEntity.SetFixedLength"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 BA ?? ?? ?? ?? 8B 77 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D3 8B 08 FF 91 08 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 73 00 46 00 69 00 78 00 65 00 64 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_16982_0 {
	meta:
		name = "TDSProcedureParametersEntity.IsUnicode"
		size = 68
		refs = "0005 TDSProcedureParametersEntity.IsUnicode"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B 10 FF 52 68 5E 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 73 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 00 00 }
	condition:
		$1
}

rule function_16983_0 {
	meta:
		name = "TDSProcedureParametersEntity.SetUnicode"
		size = 80
		refs = "0008 TDSProcedureParametersEntity.SetUnicode"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 BA ?? ?? ?? ?? 8B 77 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D3 8B 08 FF 91 08 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 73 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 00 00 }
	condition:
		$1
}

rule function_16984_0 {
	meta:
		name = "TDSProcedureParametersEntity.IsLong"
		size = 64
		refs = "0005 TDSProcedureParametersEntity.IsLong"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B 10 FF 52 68 5E 5B C3 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 73 00 4C 00 6F 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_16985_0 {
	meta:
		name = "TDSProcedureParametersEntity.SetLong"
		size = 76
		refs = "0008 TDSProcedureParametersEntity.SetLong"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 BA ?? ?? ?? ?? 8B 77 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D3 8B 08 FF 91 08 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 73 00 4C 00 6F 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_16986_0 {
	meta:
		name = "TDSProcedureParametersEntity.GetUnsigned"
		size = 72
		refs = "0005 TDSProcedureParametersEntity.GetUnsigned"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B 73 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B 10 FF 52 68 5E 5B C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 73 00 55 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_16987_0 {
	meta:
		name = "TDSProcedureParametersEntity.SetUnsigned"
		size = 84
		refs = "0008 TDSProcedureParametersEntity.SetUnsigned"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 BA ?? ?? ?? ?? 8B 77 04 8B C6 8B 08 FF 51 20 8B D0 8B C6 8B 08 FF 51 24 8B D3 8B 08 FF 91 08 01 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 73 00 55 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_16990_0 {
	meta:
		name = "TDSProviderConnection.ConnectChange"
		size = 33
	strings:
		$1 = { 56 8B F0 3B 96 90 00 00 00 75 14 84 C9 74 09 8B C6 8B 10 FF 52 40 EB 07 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_16991_0 {
	meta:
		name = "TDSProviderConnection.Create"
		size = 96
		refs = "000a @ClassCreate 0017 TCustomRemoteServer.Create 002b TDSProviderConnection.Create 0030 @IntfCast 003b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 88 00 00 00 8B D6 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 20 CC EF 1A 24 7A D2 11 98 B0 C6 9B EB 4B 5B 6D }
	condition:
		$1
}

rule function_16992_0 {
	meta:
		name = "TDSProviderConnection.Destroy"
		size = 54
		refs = "0003 @BeforeDestruction 0012 @IntfClear 0019 TDSProviderConnection.FreeCommands 0024 TCustomConnection.Destroy 002f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 88 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_16993_0 {
	meta:
		name = "TDSProviderConnection.DoConnect"
		size = 101
		refs = "0010 TDSProviderConnection.DoConnect 0035 @VarFromDisp 0054 @VarClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 90 00 00 00 85 C0 74 07 B2 01 8B 08 FF 51 58 8D 45 F0 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 51 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16994_0 {
	meta:
		name = "TDSProviderConnection.DoDisconnect"
		size = 85
		refs = "0010 TDSProviderConnection.DoDisconnect 001e Null 002f TDSProviderConnection.FreeCommands 0044 @VarClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 51 64 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_16995_0 {
	meta:
		name = "TDSProviderConnection.FreeCommands"
		size = 157
		refs = "0012 TObject.Free"
	strings:
		$1 = { 53 8B D8 8D 83 94 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 83 98 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 83 9C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 83 A0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 83 A4 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 83 A8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 83 AC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 83 B0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_16996_0 {
	meta:
		name = "TDSProviderConnection.GetCommandObject"
		size = 244
		refs = "0016 TDSProviderConnection.GetCommandObject 002c TDSProviderConnection.GetDBXConnection 0069 Format 008f @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 8B 08 FF 51 58 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 7C 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 04 8D 45 FC 50 8B 83 8C 00 00 00 89 45 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 10 8B C6 8B 10 FF 52 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2E 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_16997_0 {
	meta:
		name = "TDSProviderConnection.GetConnected"
		size = 35
	strings:
		$1 = { 53 56 8B D8 8B B3 90 00 00 00 85 F6 74 0B 8B C6 8B 10 FF 52 48 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_16998_0 {
	meta:
		name = "TDSProviderConnection.GetDBXConnection"
		size = 20
	strings:
		$1 = { 8B 90 90 00 00 00 85 D2 74 07 8B 82 9C 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_16999_0 {
	meta:
		name = "TDSProviderConnection.GetServer"
		size = 106
		refs = "0013 TDSProviderConnection.GetServer 002f @IntfCopy 0039 @VarFromDisp 0058 @VarClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 8B 08 FF 51 58 8B C6 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 16 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 51 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17000_0 {
	meta:
		name = "TDSProviderConnection.AS_ApplyUpdates"
		size = 512
		refs = "0017 @VarAddRef 0037 TDSProviderConnection.AS_ApplyUpdates 0052 TDSProviderConnection.GetCommandObject 007d @UStrFromWStr 017a @VarCopy 01aa @HandleAutoException 01b2 @VarClr 01ba @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B 75 24 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 8B 45 2C 8B 55 2C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 94 00 00 00 00 75 12 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 83 94 00 00 00 8B 9B 94 00 00 00 8B C3 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 58 8B 08 FF 91 78 01 00 00 8B C3 8B 10 FF 52 34 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 10 8B 08 FF 91 4C 01 00 00 8B C3 8B 10 FF 52 34 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 20 8B 08 FF 91 90 01 00 00 8B C3 8B 10 FF 52 34 BA 03 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 16 8B 08 FF 91 90 01 00 00 8B C3 8B 10 FF 52 34 BA 04 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 28 8B 08 FF 91 4C 01 00 00 8B C3 8B 10 FF 52 34 BA 05 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 8B C3 8B 10 FF 52 68 8B C3 8B 10 FF 52 34 BA 03 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 92 88 00 00 00 89 06 8B C3 8B 10 FF 52 34 BA 04 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 EC 8B 08 FF 51 4C 8D 55 EC 8B 45 28 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 34 BA 05 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 2C 8B 08 FF 51 4C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 28 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 41 00 53 00 5F 00 41 00 70 00 70 00 6C 00 79 00 55 00 70 00 64 00 61 00 74 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_17001_0 {
	meta:
		name = "TDSProviderConnection.AS_DataRequest"
		size = 324
		refs = "000f @VarAddRef 002f TDSProviderConnection.AS_DataRequest 004a TDSProviderConnection.GetCommandObject 0075 @UStrFromWStr 00f7 @HandleAutoException 00ff @UStrClr 0107 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 8B 45 20 8B 55 20 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 9C 00 00 00 00 75 12 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 83 9C 00 00 00 8B 9B 9C 00 00 00 8B C3 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 58 8B 08 FF 91 78 01 00 00 8B C3 8B 10 FF 52 34 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 10 8B 08 FF 91 4C 01 00 00 8B C3 8B 10 FF 52 34 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 8B C3 8B 10 FF 52 68 8B C3 8B 10 FF 52 34 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 20 8B 08 FF 51 4C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 1C 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 41 00 53 00 5F 00 44 00 61 00 74 00 61 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_17002_0 {
	meta:
		name = "TDSProviderConnection.AS_Execute"
		size = 412
		refs = "001d TDSProviderConnection.AS_Execute 0038 TDSProviderConnection.GetCommandObject 0063 @UStrFromWStr 010d @VarCopy 0148 @HandleAutoException 0151 OleVariant 015b @FinalizeArray 0168 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B 75 14 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB AC 00 00 00 00 75 12 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 83 AC 00 00 00 8B 9B AC 00 00 00 8B C3 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 58 8B 08 FF 91 78 01 00 00 8B C3 8B 10 FF 52 34 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 50 8D 45 F8 8B 55 10 E8 ?? ?? ?? ?? 8B 55 F8 58 8B 08 FF 91 78 01 00 00 8B C3 8B 10 FF 52 34 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B D6 8B 08 FF 91 4C 01 00 00 8B C3 8B 10 FF 52 34 BA 03 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 18 8B 08 FF 91 4C 01 00 00 8B C3 8B 10 FF 52 68 8B C3 8B 10 FF 52 34 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 E8 8B 08 FF 51 4C 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 34 BA 03 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 D8 8B 08 FF 51 4C 8D 55 D8 8B 45 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 14 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 41 00 53 00 5F 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_17003_0 {
	meta:
		name = "TDSProviderConnection.AS_GetParams"
		size = 360
		refs = "002f TDSProviderConnection.AS_GetParams 004a TDSProviderConnection.GetCommandObject 0075 @UStrFromWStr 00ee @VarCopy 011e @HandleAutoException 0126 @VarClr 012e @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B 75 10 8B 5D 08 8B 45 14 8B 55 14 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB A4 00 00 00 00 75 12 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 83 A4 00 00 00 8B 9B A4 00 00 00 8B C3 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 58 8B 08 FF 91 78 01 00 00 8B C3 8B 10 FF 52 34 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B D6 8B 08 FF 91 4C 01 00 00 8B C3 8B 10 FF 52 34 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 8B C3 8B 10 FF 52 68 8B C3 8B 10 FF 52 34 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 EC 8B 08 FF 51 4C 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 34 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 14 8B 08 FF 51 4C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 41 00 53 00 5F 00 47 00 65 00 74 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_17004_0 {
	meta:
		name = "TDSProviderConnection.AS_GetProviderNames"
		size = 256
		refs = "0027 TDSProviderConnection.AS_GetProviderNames 0042 TDSProviderConnection.GetCommandObject 0097 @VarClr 009f StrListToVarArray 00b1 @HandleAutoException 00b9 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB A0 00 00 00 00 75 12 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 83 A0 00 00 00 8B 9B A0 00 00 00 8B C3 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 8B C3 8B 10 FF 52 68 8B C3 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 FC 8B 08 FF 51 70 8B 45 FC 50 8B 45 0C E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 41 00 53 00 5F 00 47 00 65 00 74 00 50 00 72 00 6F 00 76 00 69 00 64 00 65 00 72 00 4E 00 61 00 6D 00 65 00 73 00 3A 00 00 00 00 00 }
	condition:
		$1
}

rule function_17005_0 {
	meta:
		name = "TDSProviderConnection.AS_GetRecords"
		size = 632
		refs = "0034 TDSProviderConnection.AS_GetRecords 004f TDSProviderConnection.GetCommandObject 007a @UStrFromWStr 01c6 @VarCopy 021f @HandleAutoException 0228 OleVariant 0232 @FinalizeArray 023f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B 75 14 8B 5D 08 8B 45 28 8B 55 28 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 98 00 00 00 00 75 12 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 83 98 00 00 00 8B 9B 98 00 00 00 8B C3 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 58 8B 08 FF 91 78 01 00 00 8B C3 8B 10 FF 52 34 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 10 8B 08 FF 91 90 01 00 00 8B C3 8B 10 FF 52 34 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 16 8B 08 FF 91 90 01 00 00 8B C3 8B 10 FF 52 34 BA 03 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 18 8B 08 FF 91 90 01 00 00 8B C3 8B 10 FF 52 34 BA 04 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 50 8D 45 F8 8B 55 1C E8 ?? ?? ?? ?? 8B 55 F8 58 8B 08 FF 91 78 01 00 00 8B C3 8B 10 FF 52 34 BA 05 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 20 8B 08 FF 91 4C 01 00 00 8B C3 8B 10 FF 52 34 BA 06 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 24 8B 08 FF 91 4C 01 00 00 8B C3 8B 10 FF 52 34 BA 07 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 8B C3 8B 10 FF 52 68 8B C3 8B 10 FF 52 34 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 92 88 00 00 00 89 06 8B C3 8B 10 FF 52 34 BA 05 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 E8 8B 08 FF 51 4C 8D 55 E8 8B 45 20 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 34 BA 06 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 D8 8B 08 FF 51 4C 8D 55 D8 8B 45 24 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 34 BA 07 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 28 8B 08 FF 51 4C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 24 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 53 00 5F 00 47 00 65 00 74 00 52 00 65 00 63 00 6F 00 72 00 64 00 73 00 00 00 }
	condition:
		$1
}

rule function_17006_0 {
	meta:
		name = "TDSProviderConnection.AS_RowRequest"
		size = 440
		refs = "0017 @VarAddRef 0037 TDSProviderConnection.AS_RowRequest 0052 TDSProviderConnection.GetCommandObject 007d @UStrFromWStr 0138 @VarCopy 0168 @HandleAutoException 0170 @VarClr 0178 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B 75 24 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 8B 45 28 8B 55 28 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB A8 00 00 00 00 75 12 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 83 A8 00 00 00 8B 9B A8 00 00 00 8B C3 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 58 8B 08 FF 91 78 01 00 00 8B C3 8B 10 FF 52 34 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 10 8B 08 FF 91 4C 01 00 00 8B C3 8B 10 FF 52 34 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 20 8B 08 FF 91 90 01 00 00 8B C3 8B 10 FF 52 34 BA 03 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B D6 8B 08 FF 91 4C 01 00 00 8B C3 8B 10 FF 52 34 BA 04 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 8B C3 8B 10 FF 52 68 8B C3 8B 10 FF 52 34 BA 03 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8D 55 EC 8B 08 FF 51 4C 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 34 BA 04 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 28 8B 08 FF 51 4C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 24 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 53 00 5F 00 52 00 6F 00 77 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 00 00 }
	condition:
		$1
}

rule function_17007_0 {
	meta:
		name = "TDSProviderConnection.SafeCallException"
		size = 36
		refs = "0005 TDSProviderConnection.SafeCallException 000c HandleSafeCallException"
	strings:
		$1 = { 6A 00 6A 00 B8 ?? ?? ?? ?? 91 92 E8 ?? ?? ?? ?? C3 00 00 00 20 CC EF 1A 24 7A D2 11 98 B0 C6 9B EB 4B 5B 6D }
	condition:
		$1
}

rule function_26011_0 {
	meta:
		name = "TDispatchAppServer.SafeCallException"
		size = 36
		refs = "0005 TDispatchAppServer.SafeCallException 000c HandleSafeCallException"
	strings:
		$1 = { 6A 00 6A 00 B8 ?? ?? ?? ?? 91 92 E8 ?? ?? ?? ?? C3 00 00 00 20 CC EF 1A 24 7A D2 11 98 B0 C6 9B EB 4B 5B 6D }
	condition:
		$1
}

rule function_25990_0 {
	meta:
		name = "TLocalAppServer.SafeCallException"
		size = 36
		refs = "0005 TLocalAppServer.SafeCallException 000c HandleSafeCallException"
	strings:
		$1 = { 6A 00 6A 00 B8 ?? ?? ?? ?? 91 92 E8 ?? ?? ?? ?? C3 00 00 00 20 CC EF 1A 24 7A D2 11 98 B0 C6 9B EB 4B 5B 6D }
	condition:
		$1
}

rule function_26252_0 {
	meta:
		name = "TLocalConnection.SafeCallException"
		size = 36
		refs = "0005 TLocalConnection.SafeCallException 000c HandleSafeCallException"
	strings:
		$1 = { 6A 00 6A 00 B8 ?? ?? ?? ?? 91 92 E8 ?? ?? ?? ?? C3 00 00 00 20 CC EF 1A 24 7A D2 11 98 B0 C6 9B EB 4B 5B 6D }
	condition:
		$1
}

rule function_49275_0 {
	meta:
		name = "TSOAPAppServerAdapter.SafeCallException"
		size = 36
		refs = "0005 TSOAPAppServerAdapter.SafeCallException 000c HandleSafeCallException"
	strings:
		$1 = { 6A 00 6A 00 B8 ?? ?? ?? ?? 91 92 E8 ?? ?? ?? ?? C3 00 00 00 20 CC EF 1A 24 7A D2 11 98 B0 C6 9B EB 4B 5B 6D }
	condition:
		$1
}

rule function_49338_0 {
	meta:
		name = "TSoapDataModule.SafeCallException"
		size = 36
		refs = "0005 TSoapDataModule.SafeCallException 000c HandleSafeCallException"
	strings:
		$1 = { 6A 00 6A 00 B8 ?? ?? ?? ?? 91 92 E8 ?? ?? ?? ?? C3 00 00 00 20 CC EF 1A 24 7A D2 11 98 B0 C6 9B EB 4B 5B 6D }
	condition:
		$1
}

rule function_17008_0 {
	meta:
		name = "TDSProviderConnection.InterfaceSupportsErrorInfo"
		size = 52
		refs = "0007 TDSProviderConnection.InterfaceSupportsErrorInfo 000c IsEqualGUID"
	strings:
		$1 = { 55 8B EC 8B 55 0C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 05 B8 01 00 00 00 5D C2 08 00 00 00 00 20 CC EF 1A 24 7A D2 11 98 B0 C6 9B EB 4B 5B 6D }
	condition:
		$1
}

rule function_115293_0 {
	meta:
		name = "TLocalAppServer.InterfaceSupportsErrorInfo"
		size = 52
		refs = "0007 TLocalAppServer.InterfaceSupportsErrorInfo 000c IsEqualGUID"
	strings:
		$1 = { 55 8B EC 8B 55 0C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 05 B8 01 00 00 00 5D C2 08 00 00 00 00 20 CC EF 1A 24 7A D2 11 98 B0 C6 9B EB 4B 5B 6D }
	condition:
		$1
}

rule function_17009_0 {
	meta:
		name = "TDSProviderConnection.Notification"
		size = 45
		refs = "0010 TComponent.Notification"
		altNames = "TIdServerIOHandler.Notification TInServerIOHandler.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 90 00 00 00 75 08 33 C0 89 87 90 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17010_0 {
	meta:
		name = "TDSProviderConnection.SetConnected"
		size = 99
		refs = "0040 SMissingServerSettings 0047 _Dn_Exception 004c Exception.CreateResFmt 0051 @RaiseExcept 005a TCustomConnection.SetConnected"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 F6 46 1C 02 75 46 84 DB 74 42 8B C6 8B 10 FF 52 48 84 C0 75 37 83 BE 8C 00 00 00 00 74 09 83 BE 90 00 00 00 00 75 25 8B 46 08 89 04 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_17011_0 {
	meta:
		name = "TDSProviderConnection.SetServerClassName"
		size = 44
		refs = "000f @UStrEqual 0018 TDSProviderConnection.FreeCommands 0025 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 8C 00 00 00 E8 ?? ?? ?? ?? 74 14 8B C3 E8 ?? ?? ?? ?? 8D 83 8C 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17012_0 {
	meta:
		name = "TDSProviderConnection.SetSQLConnection"
		size = 73
		refs = "0013 TComponent.RemoveFreeNotification 0020 TSQLConnection.RemoveConnectNotification 0033 TComponent.FreeNotification 0039 TDSProviderConnection.ConnectChange 0042 TSQLConnection.AddConnectNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 90 00 00 00 85 C0 74 14 8B D3 E8 ?? ?? ?? ?? 8B D3 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 89 B3 90 00 00 00 85 F6 74 18 8B D3 8B C6 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17015_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.Create"
		size = 336
		refs = "000a @ClassCreate 0016 TDSCustomConnectorProxyWriter.Create 001b @UStrAsg 0072 TDSCustomProxyWriter.Create 0081 @UStrClr 008c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 3C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 14 02 00 00 00 8D 46 10 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 75 00 70 00 64 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 61 00 63 00 63 00 65 00 70 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 61 00 6E 00 63 00 65 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_17016_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.GetAssignmentString"
		size = 36
		refs = "0006 TDSCustomConnectorProxyWriter.GetAssignmentString 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_19310_0 {
	meta:
		name = "TDSCustomCppProxyWriter.GetAssignmentString"
		size = 36
		refs = "0006 TDSCustomCppProxyWriter.GetAssignmentString 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_19605_0 {
	meta:
		name = "TDSCustomCppRestProxyWriter.GetAssignmentString"
		size = 36
		refs = "0006 TDSCustomCppRestProxyWriter.GetAssignmentString 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_21993_0 {
	meta:
		name = "TDSCustomJavaScriptProxyWriter.GetAssignmentString"
		size = 36
		refs = "0006 TDSCustomJavaScriptProxyWriter.GetAssignmentString 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_17017_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.GetGetter"
		size = 2704
		refs = "000e TDSCustomConnectorProxyWriter.IsDBXValueTypeParameter 0019 TDSCustomConnectorProxyWriter.GetGetter 001e @UStrAsg 00e2 _Dn_EDSProxyException 00e7 Exception.Create 00ec @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 34 03 00 00 8B 47 0C 83 F8 27 0F 87 1C 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5A 02 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 55 02 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 44 02 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 33 02 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 22 02 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 11 02 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 00 02 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EF 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DE 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CD 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BC 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AB 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9A 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 89 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 78 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 67 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 56 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 45 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 34 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 23 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 12 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 01 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F0 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DF 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CE 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BD 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AC 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9B 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8A 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 60 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 52 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 36 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 41 00 73 00 44 00 42 00 58 00 56 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 43 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 67 00 65 00 74 00 20 00 67 00 65 00 74 00 74 00 65 00 72 00 20 00 66 00 6F 00 72 00 20 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 20 00 55 00 4E 00 4B 00 4E 00 4F 00 57 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 47 00 65 00 74 00 41 00 73 00 41 00 6E 00 73 00 69 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 41 00 73 00 54 00 44 00 42 00 58 00 44 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 41 00 73 00 42 00 6C 00 6F 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 47 00 65 00 74 00 41 00 73 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 41 00 73 00 49 00 6E 00 74 00 31 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 41 00 73 00 49 00 6E 00 74 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 41 00 73 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 41 00 73 00 42 00 63 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 41 00 73 00 42 00 79 00 74 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 41 00 73 00 54 00 44 00 42 00 58 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 41 00 73 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 41 00 73 00 55 00 49 00 6E 00 74 00 31 00 36 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 41 00 73 00 55 00 49 00 6E 00 74 00 33 00 32 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 3C 00 4E 00 4F 00 54 00 20 00 53 00 55 00 50 00 50 00 4F 00 52 00 54 00 45 00 44 00 20 00 56 00 41 00 52 00 42 00 59 00 54 00 45 00 53 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 3C 00 4E 00 4F 00 54 00 20 00 53 00 55 00 50 00 50 00 4F 00 52 00 54 00 45 00 44 00 20 00 43 00 55 00 52 00 53 00 4F 00 52 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 41 00 73 00 49 00 6E 00 74 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 41 00 73 00 55 00 49 00 6E 00 74 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 3C 00 4E 00 4F 00 54 00 20 00 53 00 55 00 50 00 50 00 4F 00 52 00 54 00 45 00 44 00 20 00 41 00 44 00 54 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 3C 00 4E 00 4F 00 54 00 20 00 53 00 55 00 50 00 50 00 4F 00 52 00 54 00 45 00 44 00 20 00 41 00 52 00 52 00 41 00 59 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 3C 00 4E 00 4F 00 54 00 20 00 53 00 55 00 50 00 50 00 4F 00 52 00 54 00 45 00 44 00 20 00 52 00 45 00 46 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 41 00 73 00 54 00 61 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 47 00 65 00 74 00 41 00 73 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 41 00 73 00 43 00 75 00 72 00 72 00 65 00 6E 00 63 00 79 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 41 00 73 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 41 00 73 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 41 00 73 00 49 00 6E 00 74 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 41 00 73 00 55 00 49 00 6E 00 74 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 41 00 73 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 3C 00 4E 00 4F 00 54 00 20 00 53 00 55 00 50 00 50 00 4F 00 52 00 54 00 45 00 44 00 20 00 43 00 48 00 41 00 52 00 41 00 52 00 52 00 41 00 59 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 3C 00 4E 00 4F 00 54 00 20 00 53 00 55 00 50 00 50 00 4F 00 52 00 54 00 45 00 44 00 20 00 49 00 4E 00 54 00 45 00 52 00 56 00 41 00 4C 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 74 00 41 00 73 00 53 00 74 00 72 00 65 00 61 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 3C 00 4E 00 4F 00 54 00 20 00 53 00 55 00 50 00 50 00 4F 00 52 00 54 00 45 00 44 00 20 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 47 00 65 00 74 00 41 00 73 00 56 00 61 00 72 00 69 00 61 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 3C 00 4E 00 4F 00 54 00 20 00 53 00 55 00 50 00 50 00 4F 00 52 00 54 00 45 00 44 00 20 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 4F 00 66 00 66 00 73 00 65 00 74 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 47 00 65 00 74 00 41 00 73 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 3C 00 4E 00 4F 00 54 00 20 00 53 00 55 00 50 00 50 00 4F 00 52 00 54 00 45 00 44 00 20 00 43 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 3C 00 4E 00 4F 00 54 00 20 00 53 00 55 00 50 00 50 00 4F 00 52 00 54 00 45 00 44 00 20 00 4D 00 61 00 78 00 42 00 61 00 73 00 65 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 3C 00 4E 00 4F 00 54 00 20 00 53 00 55 00 50 00 50 00 4F 00 52 00 54 00 45 00 44 00 20 00 3F 00 3F 00 3F 00 3E 00 00 00 }
	condition:
		$1
}

rule function_17018_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.GetMethodRequestType"
		size = 516
		refs = "0020 TDSCustomConnectorProxyWriter.GetMethodRequestType 0031 @UStrLAsg 0052 Pos 0081 @UStrAsg 013a CompareText 018e TDSCustomConnectorProxyWriter.Contains 01c0 TDBXInt32s 01c5 @DynArrayClear 01d2 @UStrArrayClr 01d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 0C E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 8B 53 4C E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 48 0F 94 C0 84 C0 74 2C 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 53 4C 85 D2 74 05 83 EA 04 8B 12 3B D0 7D 10 8B 45 08 8B 53 40 E8 ?? ?? ?? ?? E9 24 01 00 00 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC 8B 53 48 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 48 0F 94 C0 84 C0 74 2C 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 53 48 85 D2 74 05 83 EA 04 8B 12 3B D0 7D 10 8B 45 08 8B 53 3C E8 ?? ?? ?? ?? E9 CF 00 00 00 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E4 8B 53 50 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 E4 E8 ?? ?? ?? ?? 48 0F 94 C0 84 C0 74 29 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 53 50 85 D2 74 05 83 EA 04 8B 12 3B D0 7D 0D 8B 45 08 8B 53 44 E8 ?? ?? ?? ?? EB 7D 8B 57 04 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 61 83 7E 24 00 7E 5B C6 45 E3 00 8B 76 04 8B C6 85 C0 74 1E 85 C0 74 13 8B 50 08 83 FA 01 74 05 83 FA 03 75 06 C6 45 E3 01 8B F0 8B 40 04 85 C0 75 E2 8B 76 0C 80 7D E3 00 74 27 8D 55 DC 8B C3 8B 08 FF 51 48 8B 55 DC 8B CE 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 08 8B 53 3C E8 ?? ?? ?? ?? EB 0B 8B 45 08 8B 53 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 }
	condition:
		$1
}

rule function_17019_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.GetNonURLTypes"
		size = 210
		refs = "001d TDBXInt32s 0022 @DynArraySetLength 00ca @DynArrayAsg"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 83 7B 5C 00 0F 85 AD 00 00 00 6A 09 8D 43 5C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 04 24 8B 04 24 FF 04 24 8B 53 5C C7 04 82 25 00 00 00 8B 04 24 FF 04 24 8B 53 5C C7 04 82 1E 00 00 00 8B 04 24 FF 04 24 8B 53 5C C7 04 82 17 00 00 00 8B 04 24 FF 04 24 8B 53 5C C7 04 82 09 00 00 00 8B 04 24 FF 04 24 8B 53 5C C7 04 82 0F 00 00 00 8B 04 24 FF 04 24 8B 53 5C C7 04 82 15 00 00 00 8B 04 24 FF 04 24 8B 53 5C C7 04 82 1F 00 00 00 8B 04 24 FF 04 24 8B 53 5C C7 04 82 03 00 00 00 8B 04 24 FF 04 24 8B 53 5C C7 04 82 21 00 00 00 8B C6 8B 53 5C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_17020_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.GetSetter"
		size = 1912
		refs = "000e TDSCustomConnectorProxyWriter.IsDBXValueTypeParameter 0019 TDSCustomConnectorProxyWriter.GetSetter 001e @UStrAsg 00e2 _Dn_EDSProxyException 00e7 Exception.Create 00ec @RaiseExcept 02ac @UStrCatN"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 11 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 89 02 00 00 8B 43 0C 83 F8 27 0F 87 7D 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BB 01 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AA 01 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 99 01 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 88 01 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 77 01 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 66 01 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 55 01 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 44 01 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 33 01 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 22 01 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 11 01 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 00 01 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EF 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DE 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CD 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BC 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AB 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9A 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 89 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7B 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6D 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5F 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 51 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 43 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 35 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 27 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 19 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 65 00 74 00 41 00 73 00 44 00 42 00 58 00 56 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 43 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 67 00 65 00 74 00 20 00 73 00 65 00 74 00 74 00 65 00 72 00 20 00 66 00 6F 00 72 00 20 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 20 00 55 00 4E 00 4B 00 4E 00 4F 00 57 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 65 00 74 00 41 00 73 00 41 00 6E 00 73 00 69 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 65 00 74 00 41 00 73 00 54 00 44 00 42 00 58 00 44 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 65 00 74 00 41 00 73 00 42 00 6C 00 6F 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 65 00 74 00 41 00 73 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 74 00 41 00 73 00 49 00 6E 00 74 00 31 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 74 00 41 00 73 00 49 00 6E 00 74 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 74 00 41 00 73 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 65 00 74 00 41 00 73 00 42 00 63 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 74 00 41 00 73 00 42 00 79 00 74 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 65 00 74 00 41 00 73 00 54 00 44 00 42 00 58 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 65 00 74 00 41 00 73 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 74 00 41 00 73 00 55 00 49 00 6E 00 74 00 31 00 36 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 74 00 41 00 73 00 55 00 49 00 6E 00 74 00 33 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 74 00 41 00 73 00 49 00 6E 00 74 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 74 00 41 00 73 00 55 00 49 00 6E 00 74 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 74 00 41 00 73 00 54 00 61 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 65 00 74 00 41 00 73 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 65 00 74 00 41 00 73 00 43 00 75 00 72 00 72 00 65 00 6E 00 63 00 79 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 74 00 41 00 73 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 74 00 41 00 73 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 65 00 74 00 41 00 73 00 49 00 6E 00 74 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 74 00 41 00 73 00 55 00 49 00 6E 00 74 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 74 00 41 00 73 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 74 00 41 00 73 00 53 00 74 00 72 00 65 00 61 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 65 00 74 00 41 00 73 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 3C 00 4E 00 4F 00 54 00 20 00 53 00 55 00 50 00 50 00 4F 00 52 00 54 00 45 00 44 00 20 00 4D 00 61 00 78 00 42 00 61 00 73 00 65 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 57 00 41 00 52 00 4E 00 49 00 4E 00 47 00 21 00 20 00 54 00 79 00 70 00 65 00 20 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 20 00 69 00 73 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_17021_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.GetSupportedTypes"
		size = 405
		refs = "0020 TDBXInt32s 0025 @DynArraySetLength 018c @DynArrayAsg"
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 8B F4 83 7B 58 00 0F 85 6C 01 00 00 6A 18 8D 43 58 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 06 8B 06 FF 06 8B 53 58 C7 04 82 01 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 1A 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 04 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 1C 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 05 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 06 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 12 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 1D 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 0C 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 0D 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 13 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 07 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 1B 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 19 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 08 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 02 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 0B 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 0A 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 18 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 25 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 15 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 1E 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 17 00 00 00 8B 06 FF 06 8B 53 58 C7 04 82 21 00 00 00 8B C7 8B 53 58 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17022_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.HasOnlyURLParams"
		size = 185
		refs = "0017 TDSCustomConnectorProxyWriter.HasOnlyURLParams 0052 TDSCustomConnectorProxyWriter.Contains 0098 TDBXInt32s 00a2 @FinalizeArray 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 85 D2 74 03 8B 5A 04 85 DB 74 54 8B 7B 08 83 FF 03 74 03 4F 75 42 8B 43 0C 89 45 F8 8D 55 F4 8B C6 8B 08 FF 51 4C 8B 55 F4 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 8D 55 F0 8B C6 8B 08 FF 51 48 8B 55 F0 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 FF 00 EB 0B 8B 5B 04 85 DB 75 AC C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19890_0 {
	meta:
		name = "TDSCustomCsharpSilverlightProxyWriter.HasOnlyURLParams"
		size = 185
		refs = "0017 TDSCustomCsharpSilverlightProxyWriter.HasOnlyURLParams 0052 TDSCustomConnectorProxyWriter.Contains 0098 TDBXInt32s 00a2 @FinalizeArray 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 85 D2 74 03 8B 5A 04 85 DB 74 54 8B 7B 08 83 FF 03 74 03 4F 75 42 8B 43 0C 89 45 F8 8D 55 F4 8B C6 8B 08 FF 51 4C 8B 55 F4 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 8D 55 F0 8B C6 8B 08 FF 51 48 8B 55 F0 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 FF 00 EB 0B 8B 5B 04 85 DB 75 AC C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_21160_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.HasOnlyURLParams"
		size = 185
		refs = "0017 TDSCustomFreePascaliOSProxyWriter.HasOnlyURLParams 0052 TDSCustomConnectorProxyWriter.Contains 0098 TDBXInt32s 00a2 @FinalizeArray 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 85 D2 74 03 8B 5A 04 85 DB 74 54 8B 7B 08 83 FF 03 74 03 4F 75 42 8B 43 0C 89 45 F8 8D 55 F4 8B C6 8B 08 FF 51 4C 8B 55 F4 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 8D 55 F0 8B C6 8B 08 FF 51 48 8B 55 F0 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 FF 00 EB 0B 8B 5B 04 85 DB 75 AC C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22300_0 {
	meta:
		name = "TDSCustomObjectiveCiOSProxyWriter.HasOnlyURLParams"
		size = 185
		refs = "0017 TDSCustomObjectiveCiOSProxyWriter.HasOnlyURLParams 0052 TDSCustomConnectorProxyWriter.Contains 0098 TDBXInt32s 00a2 @FinalizeArray 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 85 D2 74 03 8B 5A 04 85 DB 74 54 8B 7B 08 83 FF 03 74 03 4F 75 42 8B 43 0C 89 45 F8 8D 55 F4 8B C6 8B 08 FF 51 4C 8B 55 F4 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 8D 55 F0 8B C6 8B 08 FF 51 48 8B 55 F0 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 FF 00 EB 0B 8B 5B 04 85 DB 75 AC C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17023_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.IsProcedure"
		size = 13
		refs = "0001 TDSCustomConnectorProxyWriter.GetReturnParam"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 0F 95 C0 34 01 C3 }
	condition:
		$1
}

rule function_17024_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.IsDBXValueTypeParameter"
		size = 96
		refs = "0007 TDSCustomConnectorProxyWriter.IsDBXValueTypeParameter 000c AnsiStartsStr 001d AnsiEndsStr"
	strings:
		$1 = { 53 8B DA 8B 53 14 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 53 14 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 44 00 42 00 58 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 61 00 6C 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_17025_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.IsInputParameter"
		size = 19
	strings:
		$1 = { 8B 42 08 83 E8 01 74 08 83 E8 02 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_17026_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.IsOutputParameter"
		size = 13
	strings:
		$1 = { 8B 42 08 83 C0 FE 83 E8 03 0F 92 C0 C3 }
	condition:
		$1
}

rule function_17027_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.IsPrimitiveJSONType"
		size = 320
		refs = "000c @UStrAddRef 0014 TDSCustomConnectorProxyWriter.IsPrimitiveJSONType 0027 @UStrEqual 0080 @UStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 40 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 31 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 22 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 13 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 54 00 72 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 46 00 61 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4E 00 75 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4E 00 75 00 6D 00 62 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_22007_0 {
	meta:
		name = "TDSCustomJavaScriptProxyWriter.IsPrimitiveJSONType"
		size = 320
		refs = "000c @UStrAddRef 0014 TDSCustomJavaScriptProxyWriter.IsPrimitiveJSONType 0027 @UStrEqual 0080 @UStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 40 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 31 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 22 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 13 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 54 00 72 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 46 00 61 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4E 00 75 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4E 00 75 00 6D 00 62 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_17028_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.GetParameterDirection"
		size = 408
		refs = "0015 TDSCustomConnectorProxyWriter.GetParameterDirection 0042 @UStrCat3 00a1 _Dn_Exception 00a6 Exception.Create 00ab @RaiseExcept 00c5 @UStrArrayClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 4A 74 0B 4A 74 23 4A 74 3B 4A 74 53 EB 6C 8D 55 FC 8B C3 8B 08 FF 51 60 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 55 F8 8B C3 8B 08 FF 51 60 8B 55 F8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4C 8D 55 F4 8B C3 8B 08 FF 51 60 8B 55 F4 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 31 8D 55 F0 8B C3 8B 08 FF 51 60 8B 55 F0 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 70 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 75 00 74 00 70 00 75 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 6E 00 70 00 75 00 74 00 4F 00 75 00 74 00 70 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 74 00 75 00 72 00 6E 00 56 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 50 00 61 00 72 00 61 00 6D 00 20 00 64 00 69 00 72 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 6E 00 6F 00 74 00 20 00 61 00 6C 00 6C 00 6F 00 77 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_17029_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.GetParameterDirectionPrefix"
		size = 76
		refs = "0006 TDSCustomConnectorProxyWriter.GetParameterDirectionPrefix 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 53 00 52 00 45 00 53 00 54 00 50 00 61 00 72 00 61 00 6D 00 44 00 69 00 72 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2E 00 00 00 }
	condition:
		$1
}

rule function_17030_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.GetParameterType"
		size = 2656
		refs = "001d TDSCustomConnectorProxyWriter.GetParameterType 00ec @UStrCat3 049f @UStrAsg 053b @UStrArrayClr 0541 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 11 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FA 27 0F 87 F2 04 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 51 70 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2D 04 00 00 8D 55 F8 8B C3 8B 08 FF 51 70 8B 55 F8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0F 04 00 00 8D 55 F4 8B C3 8B 08 FF 51 70 8B 55 F4 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F1 03 00 00 8D 55 F0 8B C3 8B 08 FF 51 70 8B 55 F0 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D3 03 00 00 8D 55 EC 8B C3 8B 08 FF 51 70 8B 55 EC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B5 03 00 00 8D 55 E8 8B C3 8B 08 FF 51 70 8B 55 E8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 97 03 00 00 8D 55 E4 8B C3 8B 08 FF 51 70 8B 55 E4 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 79 03 00 00 8D 55 E0 8B C3 8B 08 FF 51 70 8B 55 E0 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5B 03 00 00 8D 55 DC 8B C3 8B 08 FF 51 70 8B 55 DC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3D 03 00 00 8D 55 D8 8B C3 8B 08 FF 51 70 8B 55 D8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1F 03 00 00 8D 55 D4 8B C3 8B 08 FF 51 70 8B 55 D4 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 01 03 00 00 8D 55 D0 8B C3 8B 08 FF 51 70 8B 55 D0 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E3 02 00 00 8D 55 CC 8B C3 8B 08 FF 51 70 8B 55 CC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C5 02 00 00 8D 55 C8 8B C3 8B 08 FF 51 70 8B 55 C8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A7 02 00 00 8D 55 C4 8B C3 8B 08 FF 51 70 8B 55 C4 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 89 02 00 00 8D 55 C0 8B C3 8B 08 FF 51 70 8B 55 C0 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6B 02 00 00 8D 55 BC 8B C3 8B 08 FF 51 70 8B 55 BC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4D 02 00 00 8D 55 B8 8B C3 8B 08 FF 51 70 8B 55 B8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2F 02 00 00 8D 55 B4 8B C3 8B 08 FF 51 70 8B 55 B4 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 11 02 00 00 8D 55 B0 8B C3 8B 08 FF 51 70 8B 55 B0 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F3 01 00 00 8D 55 AC 8B C3 8B 08 FF 51 70 8B 55 AC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D5 01 00 00 8D 55 A8 8B C3 8B 08 FF 51 70 8B 55 A8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B7 01 00 00 8D 55 A4 8B C3 8B 08 FF 51 70 8B 55 A4 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 99 01 00 00 8D 55 A0 8B C3 8B 08 FF 51 70 8B 55 A0 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7B 01 00 00 8D 55 9C 8B C3 8B 08 FF 51 70 8B 55 9C 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5D 01 00 00 8D 55 98 8B C3 8B 08 FF 51 70 8B 55 98 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3F 01 00 00 8D 55 94 8B C3 8B 08 FF 51 70 8B 55 94 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 21 01 00 00 8D 55 90 8B C3 8B 08 FF 51 70 8B 55 90 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 03 01 00 00 8D 55 8C 8B C3 8B 08 FF 51 70 8B 55 8C 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E5 00 00 00 8D 55 88 8B C3 8B 08 FF 51 70 8B 55 88 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C7 00 00 00 8D 55 84 8B C3 8B 08 FF 51 70 8B 55 84 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A9 00 00 00 8D 55 80 8B C3 8B 08 FF 51 70 8B 55 80 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8B 00 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7D 8D 95 7C FF FF FF 8B C3 8B 08 FF 51 70 8B 95 7C FF FF FF 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5C 8D 95 78 FF FF FF 8B C3 8B 08 FF 51 70 8B 95 78 FF FF FF 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3B 8D 95 74 FF FF FF 8B C3 8B 08 FF 51 70 8B 95 74 FF FF FF 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 74 FF FF FF BA 23 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 41 00 6E 00 73 00 69 00 53 00 74 00 72 00 69 00 6E 00 67 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 65 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 42 00 6C 00 6F 00 62 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 74 00 31 00 36 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 74 00 33 00 32 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 6F 00 75 00 62 00 6C 00 65 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 63 00 64 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 42 00 79 00 74 00 65 00 73 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 69 00 6D 00 65 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 55 00 49 00 6E 00 74 00 31 00 36 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 55 00 49 00 6E 00 74 00 33 00 32 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 56 00 61 00 72 00 42 00 79 00 74 00 65 00 73 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 75 00 72 00 73 00 6F 00 72 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 74 00 36 00 34 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 55 00 49 00 6E 00 74 00 36 00 34 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 64 00 74 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 41 00 72 00 72 00 61 00 79 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 65 00 66 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 61 00 62 00 6C 00 65 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 75 00 72 00 72 00 65 00 6E 00 63 00 79 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 69 00 6E 00 67 00 6C 00 65 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 6E 00 74 00 38 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 49 00 6E 00 74 00 38 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4F 00 62 00 6A 00 65 00 63 00 74 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 68 00 61 00 72 00 41 00 72 00 72 00 61 00 79 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 6E 00 74 00 65 00 72 00 76 00 61 00 6C 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 42 00 69 00 6E 00 61 00 72 00 79 00 42 00 6C 00 6F 00 62 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4E 00 4F 00 54 00 20 00 41 00 4C 00 4C 00 4F 00 57 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 56 00 61 00 72 00 69 00 61 00 6E 00 74 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 4F 00 66 00 66 00 73 00 65 00 74 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4A 00 73 00 6F 00 6E 00 56 00 61 00 6C 00 75 00 65 00 54 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_17031_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.GetParameterTypePrefix"
		size = 60
		refs = "0006 TDSCustomConnectorProxyWriter.GetParameterTypePrefix 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 42 00 58 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 73 00 2E 00 00 00 }
	condition:
		$1
}

rule function_17032_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.GetReturnParam$28$ActRec.$0$Body"
		size = 10
	strings:
		$1 = { 83 7A 08 04 75 03 89 50 0C C3 }
	condition:
		$1
}

rule function_17033_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.GetReturnParam"
		size = 115
		refs = "0010 TDSCustomConnectorProxyWriter.GetReturnParam 001d _DV_TDSCustomConnectorProxyWriter.GetReturnParam$28$ActRec 0022 TObject.Create 0035 @IntfCopy 0047 TDSCustomConnectorProxyWriter.ForEachOutputParameter 005f @IntfClear 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 5B 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17034_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.GetOutputParametersCount"
		size = 41
		refs = "0013 TDSCustomConnectorProxyWriter.IsOutputParameter"
	strings:
		$1 = { 53 56 57 8B F0 33 FF 8B 5A 04 85 DB 74 15 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 01 47 8B 5B 04 85 DB 75 EB 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17035_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.ExtendedIncludeClass"
		size = 164
		refs = "0018 TDSCustomConnectorProxyWriter.ExtendedIncludeClass 001d CompareText 0046 TDSCustomConnectorProxyWriter.ExtendedIncludeMethod"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B D3 8B C6 8B 08 FF 51 20 84 C0 74 45 8B 53 04 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 11 8B 53 04 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 04 33 DB EB 21 8B 7B 08 85 FF 74 18 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 09 8B 7F 14 85 FF 75 E8 33 DB 8B C3 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 53 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 }
	condition:
		$1
}

rule function_17036_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.Contains"
		size = 40
		refs = "0009 @DynArrayLength"
		altNames = "TDSCustomJavaScriptProxyWriter.Contains"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 11 40 33 D2 3B 34 93 75 05 B0 01 5E 5B C3 42 48 75 F2 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_17037_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.ExtendedIncludeMethod"
		size = 260
		refs = "0015 TDSCustomConnectorProxyWriter.ExtendedIncludeMethod 004c TDSCustomConnectorProxyWriter.Contains 006c @UStrLAsg 0077 @WStrFromUStr 0082 WideLowerCase 008f @WStrEqual 00c2 @WStrArrayClr 00cb TDBXInt32s 00d0 @DynArrayClear 00d8 @UStrClr 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 8B 08 FF 51 24 84 C0 74 7C 8B 5B 04 85 DB 74 6F 85 DB 74 6B 8B 7B 0C 8D 55 F4 8B C6 8B 08 FF 51 4C 8B 55 F4 8B CF 8B C6 E8 ?? ?? ?? ?? 84 C0 75 06 C6 45 FB 00 EB 52 83 7B 08 04 75 3B 83 FF 1A 75 36 8D 45 FC 8B 53 14 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 06 C6 45 FB 00 EB 11 8B 5B 04 85 DB 75 95 C6 45 FB 01 EB 04 C6 45 FB 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 00 0C 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_17038_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.ForEachParameter"
		size = 89
		refs = "000e @IntfAddRef 0016 TDSCustomConnectorProxyWriter.ForEachParameter 0049 @IntfClear 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5B 04 85 DB 74 11 8B D3 8B 45 FC 8B 08 FF 51 0C 8B 5B 04 85 DB 75 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_17039_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.ForEachOutputParameter"
		size = 106
		refs = "0011 @IntfAddRef 0019 TDSCustomConnectorProxyWriter.ForEachOutputParameter 002f TDSCustomConnectorProxyWriter.IsOutputParameter 0059 @IntfClear 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5B 04 85 DB 74 1E 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 0C 8B 5B 04 85 DB 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17040_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.ForEachInputParameter"
		size = 106
		refs = "0011 @IntfAddRef 0019 TDSCustomConnectorProxyWriter.ForEachInputParameter 002f TDSCustomConnectorProxyWriter.IsInputParameter 0059 @IntfClear 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5B 04 85 DB 74 1E 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 0C 8B 5B 04 85 DB 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17041_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.GetFirstClass"
		size = 15
		refs = "0006 TDSCustomProxyWriter.GetMetadata"
		altNames = "TDSCustomJavaScriptProxyWriter.GetFirstClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 04 5B C3 }
	condition:
		$1
}

rule function_95293_0 {
	meta:
		name = "TCustomGridBehavior.GetGridsizeX"
		size = 15
		refs = "0006 TCustomGridBehavior.GetInfo"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 04 5B C3 }
	condition:
		$1
}

rule function_67157_0 {
	meta:
		name = "TRttiArrayType.GetTotalElementCount"
		size = 15
		refs = "0006 TRttiType.GetTypeData"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 04 5B C3 }
	condition:
		$1
}

rule function_67136_0 {
	meta:
		name = "TRttiRecordField.GetOffset"
		size = 15
		refs = "0006 TRttiRecordField.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 04 5B C3 }
	condition:
		$1
}

rule function_17042_0 {
	meta:
		name = "TDSCustomConnectorProxyWriter.GetMethodRequestName"
		size = 308
		refs = "0017 TDSCustomConnectorProxyWriter.GetMethodRequestName 0038 @UStrLAsg 004a CompareText 005d @UStrEqual 00db @UStrCopy 00e6 @UStrAsg 0100 @UStrArrayClr 0106 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CE 8B 55 F4 8B C3 8B 38 FF 57 44 8D 45 F8 8B 56 0C E8 ?? ?? ?? ?? 33 F6 8B 45 F4 8B 50 04 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 89 00 00 00 8B 43 40 8B 55 FC E8 ?? ?? ?? ?? 75 10 8B 43 4C 85 C0 74 05 83 E8 04 8B 00 8B F0 EB 38 8B 43 3C 8B 55 FC E8 ?? ?? ?? ?? 75 10 8B 43 48 85 C0 74 05 83 E8 04 8B 00 8B F0 EB 1B 8B 43 44 8B 55 FC E8 ?? ?? ?? ?? 75 0E 8B 43 50 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 30 8B 55 F8 8B C2 85 C0 74 05 83 E8 04 8B 00 3B C6 7E 1E 8B DA 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 8B CB 2B CE 8D 56 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 }
	condition:
		$1
}

rule function_17055_0 {
	meta:
		name = "TDSHTTPServerIndy.Create"
		size = 148
		refs = "000b @ClassCreate 001c TDSHTTPServer.Create 0026 @UStrAsg 002e TDSHTTPServerIndy.Create 003e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 6C 8B D6 E8 ?? ?? ?? ?? 8D 47 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 48 00 54 00 54 00 50 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 2F 00 32 00 30 00 31 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_17056_0 {
	meta:
		name = "TDSHTTPServerIndy.InitializeServer"
		size = 88
		refs = "0036 TDSHTTPServerIndy.DoIndyCommand"
	strings:
		$1 = { 53 8B D8 83 7B 60 00 74 4D 33 D2 8B 43 60 8B 08 FF 51 68 B2 01 8B 43 60 8B 08 FF 51 70 8B 53 68 8B 43 60 8B 08 FF 51 78 0F B7 53 64 8B 43 60 8B 08 FF 51 20 53 68 ?? ?? ?? ?? 8B 43 60 8B 10 FF 92 80 00 00 00 53 68 ?? ?? ?? ?? 8B 43 60 8B 10 FF 92 88 00 00 00 5B C3 }
	condition:
		$1
}

rule function_17057_0 {
	meta:
		name = "TDSHTTPServerIndy.Decode"
		size = 110
		refs = "0018 @UStrAddRef 0020 TDSHTTPServerIndy.Decode 0032 IPProcs 0054 @IntfClear 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 F8 8B 43 30 E8 ?? ?? ?? ?? 8B 45 F8 33 C9 8B 55 FC 8B 18 FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17058_0 {
	meta:
		name = "TDSHTTPServerIndy.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 0012 TDSHTTPServer.Destroy 002a @IntfClear 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 83 7E 60 00 74 12 8B 46 60 33 D2 8B 08 FF 51 18 8D 46 60 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17059_0 {
	meta:
		name = "TDSHTTPServerIndy.DoIndyCommand"
		size = 235
		refs = "0013 @IntfAddRef 002b TDSHTTPServerIndy.DoIndyCommand 003b _DV_TDSHTTPRequestIndy 0040 TDSHTTPRequestIndy.Create 004d _DV_TDSHTTPResponseIndy 0052 TDSHTTPResponseIndy.Create 005f _DV_TDSHTTPContextIndy 0064 TDSHTTPContextIndy.Create 0086 TDSHTTPServer.DoCommand 009b TObject.Free 00b1 @HandleFinally 00c8 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 4D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 50 8B 4D F4 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17060_0 {
	meta:
		name = "TDSHTTPServerIndy.DoCommandOtherContext"
		size = 83
		refs = "0047 TDSHTTPServer.DoCommandOtherContext"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B F2 8B D8 C6 45 FB 00 66 83 7B 5A 00 74 17 8B 45 0C 50 8B 45 08 50 8D 45 FB 50 8B 4D FC 8B D6 8B 43 5C FF 53 58 80 7D FB 00 75 14 8B 45 0C 50 8B 45 08 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_17061_0 {
	meta:
		name = "TDSHTTPServerIndy.GetActive"
		size = 18
	strings:
		$1 = { 83 78 60 00 74 09 8B 40 60 8B 10 FF 52 14 C3 33 C0 C3 }
	condition:
		$1
}

rule function_17062_0 {
	meta:
		name = "TDSHTTPServerIndy.GetDefaultPort"
		size = 20
	strings:
		$1 = { 83 78 60 00 74 09 8B 40 60 8B 10 FF 52 1C C3 0F B7 40 64 C3 }
	condition:
		$1
}

rule function_17063_0 {
	meta:
		name = "TDSHTTPServerIndy.GetServerSoftware"
		size = 38
		refs = "001f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 60 00 74 0D 8B D6 8B 43 60 8B 08 FF 51 74 5E 5B C3 8B C6 8B 53 68 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17064_0 {
	meta:
		name = "TDSHTTPServerIndy.SetActive"
		size = 148
		refs = "000f TDSHTTPServerIndy.SetActive 002a PeerFactory 0037 TIPPeerFactory.CreatePeer 0047 @IntfCast 0073 @IntfClear 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 35 83 7E 60 00 75 2F 6A 00 8D 45 FC 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 56 6C E8 ?? ?? ?? ?? 8B 55 FC 8D 46 60 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 08 83 7E 60 00 74 0A 8B D3 8B 46 60 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 50 8F 56 D8 92 B7 16 45 8B 0B 4E 3E B8 86 81 94 }
	condition:
		$1
}

rule function_17065_0 {
	meta:
		name = "TDSHTTPServerIndy.SetDefaultPort"
		size = 20
	strings:
		$1 = { 83 78 60 00 74 09 8B 40 60 8B 08 FF 51 20 C3 66 89 50 64 C3 }
	condition:
		$1
}

rule function_17066_0 {
	meta:
		name = "TDSHTTPServerIndy.SetServerSoftware"
		size = 38
		refs = "001f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 60 00 74 0D 8B D6 8B 43 60 8B 08 FF 51 78 5E 5B C3 8D 43 68 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17068_0 {
	meta:
		name = "TDSHTTP.Create"
		size = 65
		refs = "000e @ClassCreate 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 51 33 D2 8B C3 33 C9 8B 30 FF 56 48 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17069_0 {
	meta:
		name = "TDSHTTP.Delete"
		size = 213
		refs = "0019 @UStrAddRef 0021 TDSHTTP.Delete 002e _Dn_TMemoryStream 0033 TObject.Create 0067 TStream.SetPosition 0075 IPProcs 009d TObject.Free 00a3 @HandleFinally 00ba @IntfClear 00c2 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 50 8D 45 F8 50 6A FF 8B 43 38 33 C9 8B 55 FC 8B 38 FF 57 70 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 56 8D 55 F4 8B 43 4C E8 ?? ?? ?? ?? 8B 45 F4 83 C9 FF 8B 55 F8 8B 18 FF 53 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17070_0 {
	meta:
		name = "TDSHTTP.Create@"
		size = 29
		refs = "0002 TDSHTTP.$ClassInitFlag 000e _DV_TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass> 0013 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Create 0018 TDSHTTP.FProtocols"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_58836_0 {
	meta:
		name = "TBindingMethodsFactory.Create@"
		size = 29
		refs = "0002 TBindingMethodsFactory.$ClassInitFlag 000e _DV_TDictionary<System.string,System.Bindings.Methods.TMethodDescription> 0013 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Create 0018 TBindingMethodsFactory.FRegisteredMethods"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86129_0 {
	meta:
		name = "TStyleEngine.Create@"
		size = 29
		refs = "0002 TStyleEngine.$ClassInitFlag 000e _DV_TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook> 0013 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Create 0018 TStyleEngine.FControls"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17071_0 {
	meta:
		name = "TDSHTTP.Create"
		size = 64
		refs = "000e @ClassCreate 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 6A 00 33 D2 8B C3 8B 30 FF 56 48 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17072_0 {
	meta:
		name = "TDSHTTP.Create"
		size = 184
		refs = "0015 @ClassCreate 0025 TDSHTTP.Create 0034 TComponent.Create 003e @UStrAsg 0049 PeerFactory 0055 TIPPeerFactory.CreatePeer 0065 @IntfCast 007a @IntfClear 0080 @HandleFinally 008f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 4C 8B D6 E8 ?? ?? ?? ?? 6A 00 8D 45 F8 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 38 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 04 00 00 D8 5B BD B8 9D C3 F1 4D BB 14 62 5F C8 60 29 DB }
	condition:
		$1
}

rule function_17074_0 {
	meta:
		name = "TDSHTTP.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f @IntfClear 001a TComponent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 38 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17076_0 {
	meta:
		name = "TDSHTTP.Disconnect"
		size = 9
	strings:
		$1 = { 8B 40 38 8B 10 FF 52 20 C3 }
	condition:
		$1
}

rule function_17078_0 {
	meta:
		name = "TDSHTTP.Get"
		size = 82
		refs = "0011 @UStrAddRef 0019 TDSHTTP.Get 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B 43 38 8B 18 FF 53 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17085_0 {
	meta:
		name = "TDSHTTP.GetURL"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 38 8B 08 FF 91 AC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17089_0 {
	meta:
		name = "TDSHTTP.Put"
		size = 148
		refs = "0013 @UStrAddRef 001b TDSHTTP.Put 0028 _Dn_TMemoryStream 002d TObject.Create 0065 TObject.Free 006b @HandleFinally 0082 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 43 38 8B 4D F8 8B 55 FC 8B 18 FF 93 8C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17090_0 {
	meta:
		name = "TDSHTTP.RegisterProtocol"
		size = 84
		refs = "000f TDSHTTP.RegisterProtocol 001f LowerCase 0029 TDSHTTP.FProtocols 002e TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Add 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B CE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17091_0 {
	meta:
		name = "TDSHTTP.SetAuthentication"
		size = 117
		refs = "0015 @IntfAddRef 001d TDSHTTP.SetAuthentication 002e @IntfCopy 005c @IntfClear 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 48 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 43 38 8B 08 FF 51 54 8B 45 F8 8B 55 FC 8B 08 FF 91 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17092_0 {
	meta:
		name = "TDSHTTP.SetBasicAuthentication"
		size = 176
		refs = "0014 TDSHTTP.SetBasicAuthentication 0023 PeerFactory 0030 TIPPeerFactory.CreatePeer 0040 @IntfCast 0082 @IntfClear 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 53 4C E8 ?? ?? ?? ?? 8B 55 FC 8D 43 48 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B 43 48 8B 08 FF 51 20 8B D6 8B 43 48 8B 08 FF 51 18 8D 55 F8 8B 43 38 8B 08 FF 51 54 8B 45 F8 8B 53 48 8B 08 FF 91 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 00 00 AF 03 49 B4 07 A3 D5 47 AA 2C 6C 79 67 74 1C 9D }
	condition:
		$1
}

rule function_17094_0 {
	meta:
		name = "TDSHTTP.UnregisterProtocol"
		size = 87
		refs = "000c TDSHTTP.UnregisterProtocol 0018 TDSHTTP.FProtocols 0025 LowerCase 0032 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.Remove 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 17 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_17095_0 {
	meta:
		name = "TDSHTTP.RegisteredProtocolList"
		size = 239
		refs = "0016 TDSHTTP.RegisteredProtocolList 0021 TDSHTTP.FProtocols 0033 TArray<System.string> 0038 @DynArraySetLength 0047 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.GetKeys 004c TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TKeyCollection.GetEnumerator 006a TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TKeyEnumerator.GetCurrent 0078 @UStrAsg 0081 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.TKeyEnumerator.MoveNext 00a8 @HandleFinally 00bb @DynArrayAsg 00d0 @UStrClr 00de @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 40 08 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1A 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 98 8B 55 F8 E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17096_0 {
	meta:
		name = "TDSHTTP.Post"
		size = 91
		refs = "0011 @UStrAddRef 0019 TDSHTTP.Post 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CE 8B 55 FC 8B 43 38 8B 18 FF 93 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_17097_0 {
	meta:
		name = "TDSHTTP.Post"
		size = 91
		refs = "0011 @UStrAddRef 0019 TDSHTTP.Post 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CE 8B 55 FC 8B 43 38 8B 18 FF 93 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_17098_0 {
	meta:
		name = "TDSHTTP.ProtocolClass"
		size = 82
		refs = "000c TDSHTTP.ProtocolClass 001c LowerCase 0024 TDSHTTP.FProtocols 0029 TDictionary<System.string,Datasnap.DSHTTP.TDSHTTPClass>.GetItem 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_17099_0 {
	meta:
		name = "TDSHTTP.Put"
		size = 91
		refs = "0011 @UStrAddRef 0019 TDSHTTP.Put 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CE 8B 55 FC 8B 43 38 8B 18 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_17100_0 {
	meta:
		name = "TDSHTTP.Put"
		size = 91
		refs = "0011 @UStrAddRef 0019 TDSHTTP.Put 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CE 8B 55 FC 8B 43 38 8B 18 FF 93 8C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_17101_0 {
	meta:
		name = "TDSHTTPS.Create"
		size = 57
		refs = "000b @ClassCreate 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 33 D2 8B C6 8B 38 FF 57 44 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17102_0 {
	meta:
		name = "TDSHTTPS.Create"
		size = 280
		refs = "0015 @ClassCreate 0024 TDSHTTPS.Create 0035 TDSHTTP.Create 004c PeerFactory 0058 TIPPeerFactory.CreatePeer 0068 @IntfCast 006e TDSHTTPS.IdValidateCertificate 00b0 @IntfClear 00c6 @HandleFinally 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FB 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 38 BA ?? ?? ?? ?? 8B 08 FF 51 44 53 8D 45 F4 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 60 8D 55 F0 8B 45 FC 8B 08 FF 51 64 8B 45 F0 0F B6 15 ?? ?? ?? ?? 8B 08 FF 51 18 8B 43 38 8B 55 FC 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 68 00 74 00 74 00 70 00 73 00 00 00 A0 64 D1 19 B6 81 35 45 98 89 F1 78 48 6E FE FA 04 00 00 00 }
	condition:
		$1
}

rule function_17104_0 {
	meta:
		name = "TDSHTTPS.IdValidateCertificate"
		size = 167
		refs = "0010 @IntfAddRef 0018 TDSHTTPS.IdValidateCertificate 0035 _Dn_TX509CertificateIndy 003a TX509CertificateIndy.Create 0073 TObject.Free 0079 @HandleFinally 0090 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 66 83 7B 42 00 74 52 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8D 45 FB 50 8B 4D F4 8B D3 8B 43 44 FF 53 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_17105_0 {
	meta:
		name = "TDSHTTPService.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TDSHTTPServerTransport.Create 002a _Dn_TComponentList 002f TComponentList.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 A0 00 00 00 50 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 98 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17106_0 {
	meta:
		name = "TDSHTTPService.RemoveComponent"
		size = 27
		refs = "0016 TList.RemoveItem"
	strings:
		$1 = { 85 D2 74 16 83 B8 98 00 00 00 00 74 0D 8B 80 98 00 00 00 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17107_0 {
	meta:
		name = "TDSHTTPService.AddComponent"
		size = 42
		refs = "0012 TList.IndexOf 0022 TList.Add"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 83 98 00 00 00 8B FE 8B D7 E8 ?? ?? ?? ?? 40 75 0D 8B 83 98 00 00 00 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17108_0 {
	meta:
		name = "TDSHTTPService.CreateHttpServer"
		size = 144
		refs = "000f TDSHTTPService.CreateHttpServer 0032 _DV_TDSHTTPSServerIndy 0037 TDSHTTPServerIndy.Create 004d _DV_TDSHTTPServerIndy 007c @UStrArrayClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 9C 00 00 00 00 74 1B 8D 55 FC 8B C3 8B 08 FF 51 5C 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 19 8D 55 F8 8B C3 8B 08 FF 51 5C 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 58 5C 8B 13 8B 92 88 00 00 00 89 50 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17109_0 {
	meta:
		name = "TDSHTTPService.HTTPOtherContext"
		size = 131
		refs = "003c TList.Get 0046 _DV_TDSHTTPServiceComponent 004b @IsClass"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 80 98 00 00 00 8B 70 08 4E 85 F6 7C 57 46 C7 45 F0 00 00 00 00 8B 45 FC 8B 98 98 00 00 00 8B 7D F0 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D F4 8B 55 F8 8B C3 8B 18 FF 53 40 8B 45 08 80 38 00 75 06 FF 45 F0 4E 75 B1 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_17110_0 {
	meta:
		name = "TDSHTTPService.Destroy"
		size = 76
		refs = "0003 @BeforeDestruction 000c TDSSessionManager.FInstance 0015 TDSSessionManager.TerminateAllSessions 001c TDSHTTPServerTransport.ServerCloseAllTunnelSessions 002f TObject.Free 003a TDSHTTPServerTransport.Destroy 0045 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 86 98 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17111_0 {
	meta:
		name = "TDSHTTPService.GetHttpPort"
		size = 23
		refs = "000a TDSHTTPServerIndy.GetDefaultPort"
	strings:
		$1 = { 8B 50 58 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 0F B7 80 A0 00 00 00 C3 }
	condition:
		$1
}

rule function_17112_0 {
	meta:
		name = "TDSHTTPService.SetHttpPort"
		size = 24
		refs = "0013 TDSHTTPServerIndy.SetDefaultPort"
	strings:
		$1 = { 0F B7 CA 89 88 A0 00 00 00 8B 48 58 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17113_0 {
	meta:
		name = "TDSHTTPService.InitializeHttpServer"
		size = 60
		refs = "0006 TDSHTTPServerTransport.InitializeHttpServer 0027 TDSHTTPServerIndy.SetDefaultPort 0036 TDSHTTPServerIndy.SetActive"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 85 C0 74 08 8B 53 58 8B 08 FF 51 40 0F B7 93 A0 00 00 00 8B 43 58 E8 ?? ?? ?? ?? 0F B6 93 A4 00 00 00 8B 43 58 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17114_0 {
	meta:
		name = "TDSHTTPService.IsActive"
		size = 23
		refs = "000a TDSHTTPServerIndy.GetActive"
	strings:
		$1 = { 8B 50 58 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 0F B6 80 A4 00 00 00 C3 }
	condition:
		$1
}

rule function_17115_0 {
	meta:
		name = "TDSHTTPService.SetActive"
		size = 64
		refs = "000d TDSHTTPServerTransport.ServerCloseAllTunnelSessions 0025 TDSHTTPServerIndy.SetActive 0039 TDSHTTPServerTransport.RequiresServer"
	strings:
		$1 = { 53 56 8B DA 8B F0 84 DB 75 07 8B C6 E8 ?? ?? ?? ?? 8B C3 88 86 A4 00 00 00 8B 56 58 85 D2 74 0C 8B C2 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 F6 46 1C 01 75 0B 84 C0 74 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17116_0 {
	meta:
		name = "TDSHTTPService.SetCertFiles"
		size = 53
		refs = "0019 TComponent.RemoveFreeNotification 002e TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 9C 00 00 00 3B F0 74 22 85 C0 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 89 83 9C 00 00 00 85 C0 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17117_0 {
	meta:
		name = "TDSHTTPService.Notification"
		size = 45
		refs = "0010 TDSHTTPServerTransport.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 9C 00 00 00 75 08 33 C0 89 87 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26014_0 {
	meta:
		name = "TDispatchConnection.Notification"
		size = 45
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 9C 00 00 00 75 08 33 C0 89 87 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17118_0 {
	meta:
		name = "TDSHTTPService.GetServerSoftware"
		size = 49
		refs = "0010 TDSHTTPServerTransport.RequiresServer 0020 TDSHTTPServerIndy.GetServerSoftware 0029 @UStrClr"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 1C 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B 7B 58 85 FF 74 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17119_0 {
	meta:
		name = "TDSHTTPService.SetIPImplementationID"
		size = 115
		refs = "000f TDSHTTPService.SetIPImplementationID 002b sCannotChangeIPImplID 0030 LoadResString 003a _Dn_Exception 003f Exception.Create 0044 @RaiseExcept 004d TDSServerTransport.SetIPImplementationID 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 94 00 00 00 84 C0 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17120_0 {
	meta:
		name = "TDSHTTPService.Stop"
		size = 31
		refs = "0004 TDSSessionManager.FInstance 000d TDSSessionManager.TerminateAllSessions"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_17121_0 {
	meta:
		name = "TDSHTTPService.Start"
		size = 26
		refs = "0006 TDSHTTPServerTransport.RequiresServer 0014 TDSHTTPServerIndy.SetActive"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 58 85 C0 74 07 B2 01 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17122_0 {
	meta:
		name = "TDSHTTPResponseIndy.Create"
		size = 115
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TDSHTTPResponseIndy.Create 0036 @IntfCopy 004b @IntfClear 0051 @HandleFinally 005e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17142_0 {
	meta:
		name = "TDSHTTPRequestIndy.Create"
		size = 115
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TDSHTTPRequestIndy.Create 0036 @IntfCopy 004b @IntfClear 0051 @HandleFinally 005e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46534_0 {
	meta:
		name = "TIWVar.Create"
		size = 115
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TIWVar.Create 0036 @UStrAsg 004b @UStrClr 0051 @HandleFinally 005e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17123_0 {
	meta:
		name = "TDSHTTPResponseIndy.SetHeaderAuthentication"
		size = 120
		refs = "000c TDSHTTPResponseIndy.SetHeaderAuthentication 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D1 8B 43 04 8B 08 FF 91 A0 00 00 00 8D 55 FC 8B 43 04 8B 08 FF 91 8C 00 00 00 8B 45 FC BA ?? ?? ?? ?? 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 61 00 73 00 69 00 63 00 00 00 }
	condition:
		$1
}

rule function_17124_0 {
	meta:
		name = "TDSHTTPResponseIndy.GetCloseConnection"
		size = 12
	strings:
		$1 = { 8B 40 04 8B 10 FF 92 A4 00 00 00 C3 }
	condition:
		$1
}

rule function_17125_0 {
	meta:
		name = "TDSHTTPResponseIndy.GetContentLength"
		size = 28
	strings:
		$1 = { 83 C4 F8 8B 40 04 8B 10 FF 52 44 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_17126_0 {
	meta:
		name = "TDSHTTPResponseIndy.GetContentStream"
		size = 12
	strings:
		$1 = { 8B 40 04 8B 10 FF 92 AC 00 00 00 C3 }
	condition:
		$1
}

rule function_17127_0 {
	meta:
		name = "TDSHTTPResponseIndy.GetContentText"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 91 B4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17128_0 {
	meta:
		name = "TDSHTTPResponseIndy.GetContentType"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 51 14 5E 5B C3 }
	condition:
		$1
}

rule function_17129_0 {
	meta:
		name = "TDSHTTPResponseIndy.GetFreeContentStream"
		size = 12
	strings:
		$1 = { 8B 40 04 8B 10 FF 92 BC 00 00 00 C3 }
	condition:
		$1
}

rule function_17130_0 {
	meta:
		name = "TDSHTTPRequestIndy.GetPragma"
		size = 19
		altNames = "TDSHTTPResponseIndy.GetPragma"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 51 54 5E 5B C3 }
	condition:
		$1
}

rule function_17131_0 {
	meta:
		name = "TDSHTTPRequestIndy.GetPostStream"
		size = 12
		altNames = "TDSHTTPResponseIndy.GetResponseNo"
	strings:
		$1 = { 8B 40 04 8B 10 FF 92 C4 00 00 00 C3 }
	condition:
		$1
}

rule function_17132_0 {
	meta:
		name = "TDSHTTPRequestIndy.GetRemoteIP"
		size = 22
		altNames = "TDSHTTPResponseIndy.GetResponseText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 91 CC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17133_0 {
	meta:
		name = "TDSHTTPNativeClient.SetReadTimeout"
		size = 12
		altNames = "TDSHTTPResponseIndy.SetCloseConnection"
	strings:
		$1 = { 8B 40 04 8B 08 FF 91 A8 00 00 00 C3 }
	condition:
		$1
}

rule function_17134_0 {
	meta:
		name = "TDSHTTPResponseIndy.SetContentLength"
		size = 21
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 04 8B 10 FF 52 48 5D C2 08 00 }
	condition:
		$1
}

rule function_17135_0 {
	meta:
		name = "TDSHTTPResponseIndy.SetContentStream"
		size = 12
	strings:
		$1 = { 8B 40 04 8B 08 FF 91 B0 00 00 00 C3 }
	condition:
		$1
}

rule function_17136_0 {
	meta:
		name = "TDSHTTPResponseIndy.SetContentText"
		size = 12
	strings:
		$1 = { 8B 40 04 8B 08 FF 91 B8 00 00 00 C3 }
	condition:
		$1
}

rule function_17137_0 {
	meta:
		name = "TDSHTTPResponseIndy.SetContentType"
		size = 9
		altNames = "TDtdValidationAgent.FindEntityDecl"
	strings:
		$1 = { 8B 40 04 8B 08 FF 51 18 C3 }
	condition:
		$1
}

rule function_17138_0 {
	meta:
		name = "TDSHTTPResponseIndy.SetFreeContentStream"
		size = 12
	strings:
		$1 = { 8B 40 04 8B 08 FF 91 C0 00 00 00 C3 }
	condition:
		$1
}

rule function_17139_0 {
	meta:
		name = "TDSHTTPResponseIndy.SetPragma"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 04 8B 08 FF 51 58 5E C3 }
	condition:
		$1
}

rule function_17140_0 {
	meta:
		name = "TDSHTTPResponseIndy.SetResponseNo"
		size = 12
	strings:
		$1 = { 8B 40 04 8B 08 FF 91 C8 00 00 00 C3 }
	condition:
		$1
}

rule function_17141_0 {
	meta:
		name = "TDSHTTPResponseIndy.SetResponseText"
		size = 12
	strings:
		$1 = { 8B 40 04 8B 08 FF 91 D0 00 00 00 C3 }
	condition:
		$1
}

rule function_17143_0 {
	meta:
		name = "TDSHTTPRequestIndy.GetAccept"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 91 8C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17144_0 {
	meta:
		name = "TDSHTTPRequestIndy.GetAuthPassword"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 91 A8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17145_0 {
	meta:
		name = "TDSHTTPRequestIndy.GetAuthUserName"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 91 AC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17146_0 {
	meta:
		name = "TDSHTTPRequestIndy.GetCommand"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 91 B0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17147_0 {
	meta:
		name = "TDSHTTPRequestIndy.GetCommandType"
		size = 170
		refs = "000a TDSHTTPRequestIndy.GetCommandType 006a sUnknownCommandType 006f LoadResString 0079 _Dn_Exception 007e Exception.Create 0083 @RaiseExcept 0098 @UStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 04 8B 10 FF 92 B4 00 00 00 83 E0 7F 83 F8 07 77 3F FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 DB EB 35 B3 01 EB 31 B3 02 EB 2D B3 03 EB 29 B3 04 EB 25 B3 05 EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_17148_0 {
	meta:
		name = "TDSHTTPRequestIndy.GetDocument"
		size = 316
		refs = "001c TDSHTTPRequestIndy.GetDocument 002b EmptyStr 0032 @UStrEqual 0066 @LStrSetLength 00a6 @UStrAsg 00bb @UniqueStringA 00d1 @LStrLAsg 00dc UTF8ToUnicodeString 010c @UStrArrayClr 0114 @UStrClr 0129 @LStrArrayClr 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 85 AF 00 00 00 8D 55 E8 8B 43 04 8B 08 FF 91 B8 00 00 00 8B 45 E8 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 8B F0 8D 45 FC 33 C9 8B D6 E8 ?? ?? ?? ?? 4E 85 F6 7C 5B 46 89 75 EC 33 F6 8D 55 E0 8B 43 04 8B 08 FF 91 B8 00 00 00 8B 45 E0 0F B7 3C 70 66 81 FF FF 00 7E 26 8D 55 DC 8B 43 04 8B 08 FF 91 B8 00 00 00 8B 55 DC 8D 43 08 E8 ?? ?? ?? ?? 8B 45 F0 8B 53 08 E8 ?? ?? ?? ?? EB 3F 8D 45 FC E8 ?? ?? ?? ?? 8B D7 88 14 30 46 FF 4D EC 75 AB 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 43 08 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F0 8B 53 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17149_0 {
	meta:
		name = "TDSHTTPRequestIndy.GetParams"
		size = 12
	strings:
		$1 = { 8B 40 04 8B 10 FF 92 C0 00 00 00 C3 }
	condition:
		$1
}

rule function_17153_0 {
	meta:
		name = "TDSHTTPRequestIndy.GetURI"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 91 D0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17154_0 {
	meta:
		name = "TDSHTTPRequestIndy.GetUserAgent"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 91 94 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17155_0 {
	meta:
		name = "TDSHTTPRequestIndy.GetProtocolVersion"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 91 D4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17156_0 {
	meta:
		name = "TDSHTTPContextIndy.Connected"
		size = 78
		refs = "000c TDSHTTPContextIndy.Connected 003c @IntfClear 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 04 8B 08 FF 51 24 8B 45 FC 8B 10 FF 52 14 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_17157_0 {
	meta:
		name = "TDSHTTPContextIndy.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TDSHTTPContextIndy.Create 0034 TObject.Create 003f @IntfCopy 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97255_0 {
	meta:
		name = "TUpdateFileList.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TUpdateFileList.Create 0034 TObject.Create 003f @IntfCopy 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17158_0 {
	meta:
		name = "TDSHTTPServiceComponent.SetService"
		size = 72
		refs = "0016 TComponent.RemoveFreeNotification 0023 TComponent.FreeNotification 0031 TDSHTTPService.RemoveComponent 003e TDSHTTPService.AddComponent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 3B F0 74 1A 85 C0 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 38 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 89 73 38 5E 5B C3 }
	condition:
		$1
}

rule function_17160_0 {
	meta:
		name = "TIndyDispatchFileRequest.Create"
		size = 87
		refs = "000e @ClassCreate 0020 TDispatchFileRequest.Create 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4E 3C 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 14 8B 45 10 89 47 08 8B 45 0C 89 47 0C 8B 45 08 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_17161_0 {
	meta:
		name = "TIndyDispatchFileRequest.IsGetRequest"
		size = 24
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 40 04 8B 10 FF 92 B4 00 00 00 3C 02 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_17162_0 {
	meta:
		name = "TIndyDispatchFileRequest.IsHeadRequest"
		size = 24
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 40 04 8B 10 FF 92 B4 00 00 00 3C 01 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_17163_0 {
	meta:
		name = "TIndyDispatchFileRequest.SetErrorCode"
		size = 15
	strings:
		$1 = { 8B 40 10 8B 40 04 8B 08 FF 91 C8 00 00 00 C3 }
	condition:
		$1
}

rule function_17164_0 {
	meta:
		name = "TIndyDispatchFileRequest.GetIfModifiedSince"
		size = 216
		refs = "0013 TIndyDispatchFileRequest.GetIfModifiedSince 0057 IPProcs 0079 @UStrClr 0081 @IntfClear 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 43 0C 8B 40 04 8B 08 FF 51 50 8B 45 F0 8D 4D F4 BA ?? ?? ?? ?? 8B 30 FF 56 20 8B 45 F4 50 8D 55 E8 8B 43 0C 8B 40 04 8B 08 FF 91 A0 00 00 00 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC 5A 8B 08 FF 51 58 DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 DD 45 F8 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 66 00 2D 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 53 00 69 00 6E 00 63 00 65 00 00 00 }
	condition:
		$1
}

rule function_17165_0 {
	meta:
		name = "TIndyDispatchFileRequest.SetContentStream"
		size = 15
	strings:
		$1 = { 8B 40 10 8B 40 04 8B 08 FF 91 B0 00 00 00 C3 }
	condition:
		$1
}

rule function_17166_0 {
	meta:
		name = "TIndyDispatchFileRequest.SetContentLength"
		size = 23
	strings:
		$1 = { 53 8B DA 8B C8 8B C3 99 52 50 8B 41 10 8B 40 04 8B 10 FF 52 48 5B C3 }
	condition:
		$1
}

rule function_17167_0 {
	meta:
		name = "TIndyDispatchFileRequest.SetContentType"
		size = 12
	strings:
		$1 = { 8B 40 10 8B 40 04 8B 08 FF 51 18 C3 }
	condition:
		$1
}

rule function_17168_0 {
	meta:
		name = "TIndyDispatchFileRequest.SetLastModified"
		size = 24
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 0C 8B 40 04 8B 10 FF 52 70 5D C2 08 00 }
	condition:
		$1
}

rule function_17170_0 {
	meta:
		name = "TIndyDispatchFileRequest.DoBeforeDispatch"
		size = 40
	strings:
		$1 = { 53 56 8B 70 14 66 83 7E 42 00 74 19 8B 58 08 53 8B 58 0C 53 8B 58 10 53 51 8B C6 8B CA 8B D0 8B 46 44 FF 56 40 5E 5B C3 }
	condition:
		$1
}

rule function_17171_0 {
	meta:
		name = "TIndyDispatchFileRequest.DoAfterDispatch"
		size = 174
		refs = "0016 TIndyDispatchFileRequest.DoAfterDispatch 009c @UStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 14 66 83 78 4A 00 74 1C 8B 4E 08 51 8B 4E 0C 51 8B 4E 10 51 8B 4D FC 51 8B D8 8B CA 8B D0 8B 43 4C FF 53 48 8B 46 10 8B 40 04 8B 10 FF 92 D4 00 00 00 84 C0 75 33 8D 55 F8 8B 46 10 8B 40 04 8B 08 FF 91 B4 00 00 00 83 7D F8 00 75 1C 8B 46 10 8B 40 04 8B 10 FF 92 DC 00 00 00 8B 46 10 8B 40 04 8B 10 FF 92 E0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17172_0 {
	meta:
		name = "TIndyDispatchFileRequest.GetRequestPathInfo"
		size = 19
		altNames = "TWebPageInfoWrapper.GetPageName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_17174_0 {
	meta:
		name = "TDSCustomHTTPServiceFileDispatcher.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TComponent.Create 0020 _Dn_TWebFileDispatcherProperties 0025 TWebFileDispatcherProperties.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17175_0 {
	meta:
		name = "TDSCustomHTTPServiceFileDispatcher.DoCommand"
		size = 127
		refs = "001a _DV_TDSHTTPContextIndy 001f @IsClass 0035 _DV_TIndyDispatchFileRequest 003a TIndyDispatchFileRequest.Create 0045 TDSCustomHTTPServiceFileDispatcher.DoCommand 0053 TDispatchFileRequest.DispatchFileRequest 006a TObject.Free 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 C6 07 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4F 56 8B 45 FC 50 8B 45 10 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 88 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_17176_0 {
	meta:
		name = "TDSCustomHTTPServiceFileDispatcher.GetWebDirectories"
		size = 7
	strings:
		$1 = { 8B 40 3C 8B 40 44 C3 }
	condition:
		$1
}

rule function_17178_0 {
	meta:
		name = "TDSCustomHTTPServiceFileDispatcher.GetWebFileExtensions"
		size = 7
		altNames = "TIdThreadComponent.GetData"
	strings:
		$1 = { 8B 40 3C 8B 40 40 C3 }
	condition:
		$1
}

rule function_17179_0 {
	meta:
		name = "TDSCustomHTTPServiceFileDispatcher.SetWebDirectories"
		size = 9
		refs = "0004 TWebFileDispatcherProperties.SetWebDirectories"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94959_0 {
	meta:
		name = "TChartShape.GetGradient"
		size = 9
		refs = "0004 TChartBrush.GetGradient"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90891_0 {
	meta:
		name = "TCircledSeries.GetCircleGradient"
		size = 9
		refs = "0004 TChartBrush.GetGradient"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96744_0 {
	meta:
		name = "TCustomAdapter.ImplGetVisibleFields"
		size = 9
		refs = "0004 TWebContainerComponent.GetWebComponents"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90798_0 {
	meta:
		name = "TCustomBarSeries.GetGradient"
		size = 9
		refs = "0004 TChartBrush.GetGradient"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90634_0 {
	meta:
		name = "TCustomSeries.SetLineBrush"
		size = 9
		refs = "0004 TBrush.SetStyle"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17181_0 {
	meta:
		name = "TDSCustomHTTPServiceFileDispatcher.SetWebFileExtensions"
		size = 9
		refs = "0004 TWebFileDispatcherProperties.SetWebFileExtension"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49514_0 {
	meta:
		name = "THTTPSoapDispatcher.DispatchMask"
		size = 9
		refs = "0004 TWebDispatch.GetMask"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30485_0 {
	meta:
		name = "TIBTransaction.FindDatabase"
		size = 9
		refs = "0004 TList<IBDatabase.TIBDatabase>.IndexOf"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30480_0 {
	meta:
		name = "TIBTransaction.GetDatabase"
		size = 9
		refs = "0004 TList<IBDatabase.TIBDatabase>.GetItem"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43204_0 {
	meta:
		name = "TIWApplication.TryLock"
		size = 9
		refs = "0004 TIWFlexLock.TryEnter"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38247_0 {
	meta:
		name = "TIdThreadComponent.GetHandle"
		size = 9
		refs = "0004 GetThreadHandle"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38266_0 {
	meta:
		name = "TIdThreadComponent.WaitFor"
		size = 9
		refs = "0004 TThread.WaitFor"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82301_0 {
	meta:
		name = "TMenu.GetHandle"
		size = 9
		refs = "0004 TMenuItem.GetHandle"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94790_0 {
	meta:
		name = "TTeeCustomShape.GetShadowSize"
		size = 9
		refs = "0004 TTeeShadow.GetSize"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94804_0 {
	meta:
		name = "TTeeCustomShape.SetShadowColor"
		size = 9
		refs = "0004 TTeeShadow.SetColor"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94805_0 {
	meta:
		name = "TTeeCustomShape.SetShadowSize"
		size = 9
		refs = "0004 TTeeShadow.SetSize"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50194_0 {
	meta:
		name = "TWSDLHTMLPublish.DispatchMask"
		size = 9
		refs = "0004 TWebDispatch.GetMask"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97753_0 {
	meta:
		name = "TWebContainedContainerComponent.IsDefaultField"
		size = 9
		refs = "0004 TWebContainedComponentHelper.IsDefaultField"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97757_0 {
	meta:
		name = "TWebContainedContainerComponent.SetWebParent"
		size = 9
		refs = "0004 TWebContainedComponentHelper.SetWebParent"
	strings:
		$1 = { 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17180_0 {
	meta:
		name = "TDSCustomHTTPServiceFileDispatcher.SetRootDirectory"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 3C 83 C0 38 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17182_0 {
	meta:
		name = "TDSCustomCertFiles.GetCertFile"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 38 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48050_0 {
	meta:
		name = "TScriptManager.GetVars"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 38 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80602_0 {
	meta:
		name = "TWICImage.GetHandle"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 38 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17186_0 {
	meta:
		name = "TDSCustomCertFiles.SetCertFile"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TDdeClientConv.SetService"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 38 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95236_0 {
	meta:
		name = "TCustomElementBehavior.SetBehaviorSite"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 38 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17189_0 {
	meta:
		name = "TDSCustomCertFiles.SetRootCertFile"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TIWHTMLControlImplementation.setCss"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 40 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17190_0 {
	meta:
		name = "TDSCustomCertFiles.SetServerProperties"
		size = 265
		refs = "0017 TDSCustomCertFiles.SetServerProperties 0025 _DV_TDSHTTPSServerIndy 002a @IsClass 0038 TDSCustomCertFiles.GetCertFile 0042 TDSHTTPSServerIndy.SetCertFile 004c TDSCustomCertFiles.GetKeyFile 0056 TDSHTTPSServerIndy.SetKeyFile 0060 TDSCustomCertFiles.GetRootCertFile 006a TDSHTTPSServerIndy.SetRootCertFile 0074 TDSCustomCertFiles.GetOnGetPEMFilePasskey 0096 TObject.ClassName 00ac SUnknownServerType 00b1 LoadResString 00bc Format 00c6 _Dn_TDSServiceException 00cb Exception.Create 00d0 @RaiseExcept 00ea @UStrArrayClr 00fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 86 80 00 00 00 8B 45 F0 89 86 84 00 00 00 EB 48 8D 45 E8 50 8D 55 E4 8B 06 E8 ?? ?? ?? ?? 8B 45 E4 89 45 EC C6 45 F0 11 8D 45 EC 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 33 C9 5A E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17192_0 {
	meta:
		name = "TDSHTTPSServerIndy.GetSSLOptions"
		size = 188
		refs = "0013 TDSHTTPSServerIndy.GetSSLOptions 0036 @IntfClear 0043 Supports 004f sUnsupportedServerIOHandler 0054 LoadResString 005e _Dn_Exception 0063 Exception.Create 0068 @RaiseExcept 0087 @UStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 60 00 74 53 8D 55 F8 8B 43 60 8B 08 FF 51 24 8B 45 F8 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 45 FC 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 E8 20 AC 1D 25 A9 9F 40 AD 04 5E 7F 34 DA A8 38 }
	condition:
		$1
}

rule function_17193_0 {
	meta:
		name = "TDSHTTPSServerIndy.GetCertFile"
		size = 121
		refs = "0011 TDSHTTPSServerIndy.GetCertFile 0021 TDSHTTPSServerIndy.GetSSLOptions 0047 @UStrAsg 005d IIPSSLOptions 0067 @FinalizeArray 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 51 1C EB 0A 8B C6 8B 53 70 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17194_0 {
	meta:
		name = "TDSHTTPSServerIndy.GetKeyFile"
		size = 121
		refs = "0011 TDSHTTPSServerIndy.GetKeyFile 0021 TDSHTTPSServerIndy.GetSSLOptions 0047 @UStrAsg 005d IIPSSLOptions 0067 @FinalizeArray 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 51 24 EB 0A 8B C6 8B 53 74 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17195_0 {
	meta:
		name = "TDSHTTPSServerIndy.GetRootCertFile"
		size = 121
		refs = "0011 TDSHTTPSServerIndy.GetRootCertFile 0021 TDSHTTPSServerIndy.GetSSLOptions 0047 @UStrAsg 005d IIPSSLOptions 0067 @FinalizeArray 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 51 2C EB 0A 8B C6 8B 53 78 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17196_0 {
	meta:
		name = "TDSHTTPSServerIndy.InitializeServer"
		size = 328
		refs = "0013 TDSHTTPSServerIndy.InitializeServer 0020 TDSHTTPServerIndy.InitializeServer 0038 _Dn_TComponent 003d @AsClass 0047 PeerFactory 0054 TIPPeerFactory.CreatePeer 0064 @IntfCast 00d6 TDSHTTPSServerIndy.OnGetPassword 00ef TDSHTTPSServerIndy.ServerOnConnect 010d IIPSSLOptions 0117 @FinalizeArray 011f @IntfClear 012d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7B 60 00 0F 84 CD 00 00 00 8B 43 60 8B 10 FF 52 5C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 45 F8 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 53 30 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 08 FF 51 24 8B 45 F4 B2 03 8B 08 FF 51 40 8D 55 F0 8B 45 FC 8B 08 FF 51 24 8B 45 F0 B2 02 8B 08 FF 51 38 8D 55 EC 8B 45 FC 8B 08 FF 51 24 8B 45 EC 8B 53 70 8B 08 FF 51 20 8D 55 E8 8B 45 FC 8B 08 FF 51 24 8B 45 E8 8B 53 78 8B 08 FF 51 30 8D 55 E4 8B 45 FC 8B 08 FF 51 24 8B 45 E4 8B 53 74 8B 08 FF 51 28 53 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 2C 8B 55 FC 8B 43 60 8B 08 FF 51 28 53 68 ?? ?? ?? ?? 8B 43 60 8B 10 FF 52 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5B 8B E5 5D C3 E8 20 AC 1D 25 A9 9F 40 AD 04 5E 7F 34 DA A8 38 }
	condition:
		$1
}

rule function_17197_0 {
	meta:
		name = "TDSHTTPSServerIndy.OnGetPassword"
		size = 12
	strings:
		$1 = { 53 8B CA 8B D0 8B 18 FF 53 0C 5B C3 }
	condition:
		$1
}

rule function_17198_0 {
	meta:
		name = "TCustomApplicationEvents.DoMinimize"
		size = 27
		altNames = "TDSHTTPSServerIndy.DoGetPEMFilePasskey"
	strings:
		$1 = { 53 66 83 B8 82 00 00 00 00 74 0E 8B D8 8B 83 84 00 00 00 FF 93 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_17199_0 {
	meta:
		name = "TDSHTTPSServerIndy.ServerOnConnect"
		size = 212
		refs = "0011 @IntfAddRef 0019 TDSHTTPSServerIndy.ServerOnConnect 0041 @IntfClear 004e Supports 005a sUnsupportedServerIOHandler 005f LoadResString 0069 _Dn_Exception 006e Exception.Create 0073 @RaiseExcept 0092 @UStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC 8B 08 FF 51 24 8B 45 F0 8D 55 F4 8B 08 FF 51 18 8B 45 F4 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 51 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B E5 5D C3 00 00 B9 E6 97 2A BB 6F DA 46 BB 9C 1C 31 A0 FD 56 44 }
	condition:
		$1
}

rule function_17200_0 {
	meta:
		name = "TDSHTTPSServerIndy.SetCertFile"
		size = 121
		refs = "0011 TDSHTTPSServerIndy.SetCertFile 0021 TDSHTTPSServerIndy.GetSSLOptions 0047 @UStrAsg 005d IIPSSLOptions 0067 @FinalizeArray 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 51 20 EB 0A 8D 43 70 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17201_0 {
	meta:
		name = "TDSHTTPSServerIndy.SetKeyFile"
		size = 121
		refs = "0011 TDSHTTPSServerIndy.SetKeyFile 0021 TDSHTTPSServerIndy.GetSSLOptions 0047 @UStrAsg 005d IIPSSLOptions 0067 @FinalizeArray 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 51 28 EB 0A 8D 43 74 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17202_0 {
	meta:
		name = "TDSHTTPSServerIndy.SetRootCertFile"
		size = 121
		refs = "0011 TDSHTTPSServerIndy.SetRootCertFile 0021 TDSHTTPSServerIndy.GetSSLOptions 0047 @UStrAsg 005d IIPSSLOptions 0067 @FinalizeArray 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 51 30 EB 0A 8D 43 78 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17203_0 {
	meta:
		name = "Finalization"
		size = 88
		refs = "0002 _DV_21 0009 Finalization 000e _DV_TDSHTTP 0013 TDSHTTP.UnregisterProtocol 001d _DV_TDSHTTPS"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 1E BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 74 00 74 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 68 00 74 00 74 00 70 00 73 00 00 00 }
	condition:
		$1
}

rule function_17204_0 {
	meta:
		name = "Datasnap.DSHTTP"
		size = 100
		refs = "0002 _DV_21 000b _DV_TDSHTTP 0010 Datasnap.DSHTTP 001a TDSHTTP.RegisterProtocol 0020 _DV_TDSHTTPS"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 2A 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 74 00 74 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 68 00 74 00 74 00 70 00 73 00 00 00 }
	condition:
		$1
}

rule function_17525_0 {
	meta:
		name = "LoadSessionUpdate$419$ActRec.$0$Body"
		size = 420
		refs = "0012 LoadSessionUpdate$419$ActRec.$0$Body 0022 _Dn_TDSRESTSession 0027 TDSRESTSession.Create 0049 EmptyStr 0050 @UStrEqual 006c TDSSession.PutData 00cb @UStrArrayClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 10 89 46 38 8B 7B 0C 85 FF 74 7B 8D 55 FC 8B C7 8B 08 FF 51 28 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 1A 8D 55 F8 8B 43 0C 8B 08 FF 51 28 8B 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 43 0C 8B 08 FF 51 2C 8B 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B 43 0C 8B 08 FF 51 30 8B 4D F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 65 00 6D 00 6F 00 74 00 65 00 49 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 6D 00 6F 00 74 00 65 00 41 00 70 00 70 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 43 00 6F 00 6D 00 6D 00 75 00 6E 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 50 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 72 00 65 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 50 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 53 00 75 00 62 00 54 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_17526_0 {
	meta:
		name = "LoadSessionUpdate"
		size = 255
		refs = "001d LoadSessionUpdate 002a _DV_LoadSessionUpdate$419$ActRec 002f TObject.Create 0042 @IntfCopy 0059 _Dn_TDSSessionManager 005e TDSSessionManager.ClearThreadSession 0073 TDSSessionManager.FInstance 007d TDSSessionManager.CreateSession<Datasnap.DSService.TDSRESTSession> 0092 TDSSession.ScheduleInactiveTerminationEvent 00a5 TDSSessionManager.GetSession 00c1 TDSSession.MarkActivity 00d1 TDSSessionManager.SetAsThreadSession 00e8 @IntfClear 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B F0 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 0C 89 43 0C 8B 45 14 89 43 10 8B 45 10 89 43 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 75 32 C6 07 01 8B D3 85 D2 74 03 83 EA E8 A1 ?? ?? ?? ?? 8B 00 8B 4D F8 E8 ?? ?? ?? ?? 8B D8 83 7D F4 00 7E 3C 8B 45 F4 89 43 10 8B C3 E8 ?? ?? ?? ?? EB 2D C6 07 00 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0B 8B C3 8B 10 FF 52 28 84 C0 75 04 33 DB EB 19 8B C3 E8 ?? ?? ?? ?? 85 DB 74 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_17528_0 {
	meta:
		name = "TDSHTTPServer.Create$422$ActRec.$0$Body"
		size = 22
		refs = "000e TDSHTTPServer.CloseSessionTunnels"
	strings:
		$1 = { 55 8B EC FE C9 75 0B 8B 55 08 8B 40 0C E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_17529_0 {
	meta:
		name = "TDSHTTPServer.Create"
		size = 254
		refs = "0016 @ClassCreate 0025 TDSHTTPServer.Create 0032 _DV_TDSHTTPServer.Create$422$ActRec 0037 TObject.Create 004a @IntfCopy 0063 @UStrAsg 008c _Dn_TDSTunnelService 0091 TDSTunnelService.Create 00b6 TDSSessionManager.FInstance 00bd TDSSessionManager.AddSessionEvent 00d2 @IntfClear 00d8 @HandleFinally 00e7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FB 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C7 89 43 0C 33 D2 E8 ?? ?? ?? ?? 8B 43 0C 83 C0 30 8B D6 E8 ?? ?? ?? ?? 8B 73 0C 33 C0 89 46 50 89 46 54 33 C0 89 46 28 8B 46 0C 50 8B 46 10 50 8B 43 0C 8B 40 28 50 8B 4E 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 0C 89 42 40 8B 43 0C 83 C0 24 8B D3 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 8B 43 0C 8B 50 24 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17530_0 {
	meta:
		name = "TDSHTTPServer.Destroy"
		size = 89
		refs = "0003 @BeforeDestruction 0015 TDSSessionManager.FInstance 001c TDSSessionManager.RemoveSessionEvent 002c TObject.Free 0047 TObject.Destroy 0052 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 24 00 74 0F 8B 56 24 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 46 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 28 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17531_0 {
	meta:
		name = "TDSHTTPServer.CreateProtocolHandlerFactory"
		size = 58
		refs = "0014 TObject.Free 001e _Dn_TDSJSONProtocolHandlerFactory 0023 TDSJSONProtocolHandlerFactory.Create 002f TDSHTTPServer.GetTunnelService"
	strings:
		$1 = { 53 56 51 89 14 24 8B D8 8D 43 28 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 0C 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 28 8B C3 E8 ?? ?? ?? ?? 89 70 08 5A 5E 5B C3 }
	condition:
		$1
}

rule function_17532_0 {
	meta:
		name = "TDSHTTPServer.ClearProtocolHandlerFactory"
		size = 33
		refs = "000f TObject.Free 0016 TDSHTTPServer.GetTunnelService"
	strings:
		$1 = { 53 8B D8 8D 43 28 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 89 50 08 5B C3 }
	condition:
		$1
}

rule function_17533_0 {
	meta:
		name = "TDSHTTPServer.GetTunnelService"
		size = 44
		refs = "001b _Dn_TDSTunnelService 0020 TDSTunnelService.Create"
	strings:
		$1 = { 53 8B D8 83 7B 40 00 75 1E 8B 43 0C 50 8B 43 10 50 8B 43 28 50 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 8B 43 40 5B C3 }
	condition:
		$1
}

rule function_17534_0 {
	meta:
		name = "TDSHTTPServer.CloseAllTunnelSessions"
		size = 15
		refs = "000a TDSTunnelService.TerminateAllSessions"
	strings:
		$1 = { 8B 50 40 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30493_0 {
	meta:
		name = "TIBTransaction.RemoveSQLObjects"
		size = 15
		refs = "000a TList<IBDatabase.TIBBase>.Clear"
	strings:
		$1 = { 8B 50 40 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17535_0 {
	meta:
		name = "TDSHTTPServer.CloseRESTSession"
		size = 224
		refs = "000e TDSHTTPServer.CloseRESTSession 002b TDSSessionManager.FInstance 0035 TDSSessionManager.CloseSession 005c @HandleAnyException 0061 @DoneExcept 0077 SSessionExpiredMsg 007c LoadResString 009b @UStrClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 D2 74 4B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 8B 52 20 E8 ?? ?? ?? ?? BA C8 00 00 00 8B C3 8B 08 FF 51 10 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 EB 2F E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 23 BA 90 01 00 00 8B C3 8B 08 FF 51 10 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 7B 00 22 00 72 00 65 00 73 00 75 00 6C 00 74 00 22 00 3A 00 5B 00 74 00 72 00 75 00 65 00 5D 00 7D 00 00 00 }
	condition:
		$1
}

rule function_17536_0 {
	meta:
		name = "TDSHTTPServer.GetCacheContext"
		size = 40
		refs = "0009 TDSHTTPServer.GetCacheContext 0011 @UStrCat3"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 B9 ?? ?? ?? ?? 8B 53 3C E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_17537_0 {
	meta:
		name = "TDSHTTPServer.IsClosingSession"
		size = 124
		refs = "000c @UStrAddRef 0014 TDSHTTPServer.IsClosingSession 0027 AnsiStartsText 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 2F 00 43 00 6C 00 6F 00 73 00 65 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_17538_0 {
	meta:
		name = "TDSHTTPServer.IsClosingClientChannel"
		size = 264
		refs = "000c @UStrAddRef 0014 TDSHTTPServer.IsClosingClientChannel 0027 AnsiStartsText 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 15 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 2F 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2F 00 43 00 6C 00 6F 00 73 00 65 00 43 00 6C 00 69 00 65 00 6E 00 74 00 43 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 2F 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2F 00 25 00 32 00 32 00 43 00 6C 00 6F 00 73 00 65 00 43 00 6C 00 69 00 65 00 6E 00 74 00 43 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 25 00 32 00 32 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_17539_0 {
	meta:
		name = "TDSHTTPServer.IsOpeningClientChannel"
		size = 272
		refs = "000c @UStrAddRef 0014 TDSHTTPServer.IsOpeningClientChannel 0027 AnsiStartsText 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 15 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 2F 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2F 00 43 00 6F 00 6E 00 73 00 75 00 6D 00 65 00 43 00 6C 00 69 00 65 00 6E 00 74 00 43 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 2F 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2F 00 25 00 32 00 32 00 43 00 6F 00 6E 00 73 00 75 00 6D 00 65 00 43 00 6C 00 69 00 65 00 6E 00 74 00 43 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 25 00 32 00 32 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_17540_0 {
	meta:
		name = "TDSHTTPServer.GetClientChannelInfo"
		size = 433
		refs = "0022 @UStrAddRef 004b TDSHTTPServer.GetClientChannelInfo 005f TDSHTTPServer.IsOpeningClientChannel 006f TDSHTTPServer.IsClosingClientChannel 007e _Dn_TStringList 0083 TStringList.Create 0092 TStrings.SetDelimiter 009d TStrings.SetDelimitedText 00e8 @UStrAsg 014a EmptyStr 0151 @UStrEqual 016f TObject.Free 0175 @HandleFinally 0191 @UStrArrayClr 0199 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D EC 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 04 33 D2 89 10 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 12 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 00 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 66 BA 2F 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 84 DB 74 0D 8B 45 F0 8B 10 FF 52 14 83 F8 07 7F 11 8B 45 F0 8B 10 FF 52 14 83 F8 05 0F 8E 88 00 00 00 8D 4D EC BA 03 00 00 00 8B 45 F0 8B 30 FF 56 0C 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D E8 BA 04 00 00 00 8B 45 F0 8B 30 FF 56 0C 8B 55 E8 8B 45 0C E8 ?? ?? ?? ?? 84 DB 74 1D 8D 4D E4 BA 07 00 00 00 8B 45 F0 8B 18 FF 53 0C 8B 55 E4 8B 45 08 E8 ?? ?? ?? ?? EB 1B 8D 4D E0 BA 05 00 00 00 8B 45 F0 8B 18 FF 53 0C 8B 55 E0 8B 45 08 E8 ?? ?? ?? ?? 8B 45 0C 8B 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 95 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_17541_0 {
	meta:
		name = "TDSHTTPServer.GetDsContext"
		size = 40
		refs = "0009 TDSHTTPServer.GetDsContext 0011 @UStrCat3"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 B9 ?? ?? ?? ?? 8B 53 38 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_17542_0 {
	meta:
		name = "TDSHTTPServer.GetRestContext"
		size = 40
		refs = "0009 TDSHTTPServer.GetRestContext 0011 @UStrCat3"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 B9 ?? ?? ?? ?? 8B 53 34 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_17543_0 {
	meta:
		name = "TDSHTTPServer.SetAuthenticationManager"
		size = 14
	strings:
		$1 = { 89 50 2C 8B 48 40 85 C9 74 03 89 51 58 C3 }
	condition:
		$1
}

rule function_17544_0 {
	meta:
		name = "TDSHTTPServer.SetCacheContext"
		size = 98
		refs = "000b EmptyStr 0012 @UStrEqual 004e @UStrCopy 005a @UStrAsg"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 16 8B C3 85 C0 74 05 83 E8 04 8B 00 66 83 7C 43 FE 2F 0F 94 C0 EB 02 33 C0 84 C0 74 20 8B F3 85 F6 74 05 83 EE 04 8B 36 8D 47 3C 50 8B CE 49 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0A 8D 47 3C 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17545_0 {
	meta:
		name = "TDSHTTPServer.SetDsContext"
		size = 98
		refs = "000b EmptyStr 0012 @UStrEqual 004e @UStrCopy 005a @UStrAsg"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 16 8B C3 85 C0 74 05 83 E8 04 8B 00 66 83 7C 43 FE 2F 0F 94 C0 EB 02 33 C0 84 C0 74 20 8B F3 85 F6 74 05 83 EE 04 8B 36 8D 47 38 50 8B CE 49 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0A 8D 47 38 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17546_0 {
	meta:
		name = "TDSHTTPServer.SetDSHostname"
		size = 91
		refs = "000e @UStrAddRef 0016 TDSHTTPServer.SetDSHostname 0027 @UStrAsg 002e TDSHTTPServer.GetTunnelService 0036 TDSTunnelService.SetDSHostname 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 08 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_17547_0 {
	meta:
		name = "TDSHTTPServer.SetDSPort"
		size = 26
		refs = "000c TDSHTTPServer.GetTunnelService 0013 TDSTunnelService.SetDSPort"
	strings:
		$1 = { 53 56 8B F2 8B D8 89 73 0C 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17548_0 {
	meta:
		name = "TDSHTTPServer.SetDSServerName"
		size = 109
		refs = "000e @UStrAddRef 0016 TDSHTTPServer.SetDSServerName 0027 @UStrAsg 002e TDSHTTPServer.GetTunnelService 003b EmptyStr 0042 @UStrEqual 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 04 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 14 50 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 95 C0 5A 88 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_17549_0 {
	meta:
		name = "TDSHTTPServer.SetFilters"
		size = 22
		refs = "000c TDSHTTPServer.GetTunnelService"
	strings:
		$1 = { 53 56 8B F2 8B D8 89 73 10 8B C3 E8 ?? ?? ?? ?? 89 70 04 5E 5B C3 }
	condition:
		$1
}

rule function_17550_0 {
	meta:
		name = "TDSHTTPServer.SetRestContext"
		size = 98
		refs = "000b EmptyStr 0012 @UStrEqual 004e @UStrCopy 005a @UStrAsg"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 16 8B C3 85 C0 74 05 83 E8 04 8B 00 66 83 7C 43 FE 2F 0F 94 C0 EB 02 33 C0 84 C0 74 20 8B F3 85 F6 74 05 83 EE 04 8B 36 8D 47 34 50 8B CE 49 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0A 8D 47 34 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17551_0 {
	meta:
		name = "TDSHTTPServer.CloseSessionTunnels"
		size = 532
		refs = "0018 TDSSessionTunnelInfo 001d @InitializeRecord 0025 TDSHTTPServer.CloseSessionTunnels 003c TDSSession.HasObject 004c TDSSession.GetObject 0056 _DV_TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo> 005b @IsClass 009c TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.GetItem 00c6 Format 00d4 TDSHTTPServer.CreateRESTService 00e3 _DV_TDSResponseHandlerFactory 00e8 TDSResponseHandlerFactory.CreateResponseHandler 0128 @HandleAnyException 012d @DoneExcept 0147 TObject.Free 014d @HandleFinally 0176 @FinalizeRecord 017e @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 C9 89 4D FC 8B DA 89 45 E4 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 DC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 03 89 75 DC 85 DB 0F 84 F1 00 00 00 83 7D DC 00 0F 84 E7 00 00 00 8B 45 DC 8B 40 08 48 85 C0 0F 8C D8 00 00 00 40 89 45 D4 C7 45 D8 00 00 00 00 8D 4D E8 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 8D 45 FC 50 8B 45 EC 89 45 C4 C6 45 C8 11 8B 45 F0 89 45 CC C6 45 D0 11 8D 55 C4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8B 55 F4 8B 45 E4 E8 ?? ?? ?? ?? 8B D8 6A 01 6A 00 33 C9 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 E0 50 33 C9 8B 55 FC 8B C3 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB FF 45 D8 FF 4D D4 0F 85 33 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 74 00 75 00 6E 00 6E 00 65 00 6C 00 69 00 6E 00 66 00 6F 00 6C 00 69 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 2F 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2F 00 43 00 6C 00 6F 00 73 00 65 00 43 00 6C 00 69 00 65 00 6E 00 74 00 43 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_17552_0 {
	meta:
		name = "TDSHTTPServer.UpdateSessionTunnelHook"
		size = 576
		refs = "0025 @UStrAddRef 002e TDSSessionTunnelInfo 0033 @InitializeRecord 003b TDSHTTPServer.UpdateSessionTunnelHook 004b TDSHTTPServer.IsOpeningClientChannel 005b @UStrClr 0079 TDSHTTPServer.GetClientChannelInfo 008c @UStrLAsg 00da TDSSession.HasObject 00e5 _DV_TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo> 00ea TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Create 00f8 TDSSession.PutObject 0104 TDSSession.GetObject 0113 @IsClass 0125 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Add 0134 TDSHTTPServer.IsClosingClientChannel 019e TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.GetItem 01a9 @UStrEqual 01c1 TList<Datasnap.DSHTTPCommon.TDSSessionTunnelInfo>.Delete 01e1 @UStrArrayClr 01ef @FinalizeRecord 0202 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 89 5D F8 89 5D F4 89 5D F0 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 D7 00 00 00 8D 45 F4 E8 ?? ?? ?? ?? 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 46 01 00 00 8D 45 DC 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 E0 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 E4 8B 55 F0 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 08 8B 08 FF 51 14 8B 55 D8 8D 45 E8 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 08 8B 08 FF 51 18 8B 55 D4 8D 45 EC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 AC 00 00 00 8D 55 DC 8B C3 E8 ?? ?? ?? ?? E9 9D 00 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 8B 00 00 00 8D 45 F4 E8 ?? ?? ?? ?? 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 61 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 42 8B FB 8B 77 08 4E 85 F6 7C 38 46 33 DB 8D 4D DC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 E0 E8 ?? ?? ?? ?? 75 18 8B 45 F0 8B 55 E4 E8 ?? ?? ?? ?? 75 0B 8B D3 8B C7 E8 ?? ?? ?? ?? EB 04 43 4E 75 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 74 00 75 00 6E 00 6E 00 65 00 6C 00 69 00 6E 00 66 00 6F 00 6C 00 69 00 73 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_17553_0 {
	meta:
		name = "TDSHTTPServer.ByteContent"
		size = 178
		refs = "000f TDSHTTPServer.ByteContent 0021 TArray<System.Byte> 0026 @DynArrayClear 0042 @DynArraySetLength 0050 TStream.SetPosition 0086 @DynArrayAsg 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 0F 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5E 8B C3 8B 10 FF 12 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 12 83 FA 00 75 07 83 F8 00 76 16 EB 02 7E 12 8B C3 8B 10 FF 12 8B C8 8B 55 FC 8B C3 8B 18 FF 53 0C 8B C6 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29177_0 {
	meta:
		name = "TTAzureTableDialog.ByteContent"
		size = 178
		refs = "000f TTAzureTableDialog.ByteContent 0021 TArray<System.Byte> 0026 @DynArrayClear 0042 @DynArraySetLength 0050 TStream.SetPosition 0086 @DynArrayAsg 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 0F 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5E 8B C3 8B 10 FF 12 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 12 83 FA 00 75 07 83 F8 00 76 16 EB 02 7E 12 8B C3 8B 10 FF 12 8B C8 8B 55 FC 8B C3 8B 18 FF 53 0C 8B C6 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17554_0 {
	meta:
		name = "TDSHTTPServer.ByteContent"
		size = 146
		refs = "000f TDSHTTPServer.ByteContent 002b TArray<System.Byte> 0030 @DynArraySetLength 0066 @DynArrayAsg 0081 @DynArrayClear 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 04 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C9 8B 55 FC 8B C3 8B 18 FF 53 08 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17713_0 {
	meta:
		name = "TDSHTTPCacheContextService.ByteContent"
		size = 146
		refs = "000f TDSHTTPCacheContextService.ByteContent 002b TArray<System.Byte> 0030 @DynArraySetLength 0066 @DynArrayAsg 0081 @DynArrayClear 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 04 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C9 8B 55 FC 8B C3 8B 18 FF 53 08 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17555_0 {
	meta:
		name = "TDSHTTPServer.GetRequestSessionId"
		size = 304
		refs = "0013 TDSHTTPServer.GetRequestSessionId 0021 @UStrClr 0039 TStrings.GetValue 0070 _Dn_TStringList 0075 TStringList.Create 0083 TStrings.SetCommaText 00a0 TObject.Free 00ab @UStrAsg 00c5 @UStrArrayClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 84 DB 74 2E 8B C6 8B 10 FF 52 0C 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 75 14 8B C6 8B 10 FF 52 0C 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 75 47 8D 55 F8 8B C6 8B 08 FF 51 20 83 7D F8 00 74 37 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 45 00 53 00 53 00 49 00 4F 00 4E 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 73 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 64 00 73 00 73 00 65 00 73 00 73 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_17559_0 {
	meta:
		name = "TDSHTTPServer.LoadSession$450$ActRec.$0$Body"
		size = 32
		refs = "000c _Dn_TDSRESTSession 0011 TDSRESTSession.Create"
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 48 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 0C 8B 52 40 89 50 38 5B C3 }
	condition:
		$1
}

rule function_17560_0 {
	meta:
		name = "TDSHTTPServer.LoadSession"
		size = 243
		refs = "0019 TDSHTTPServer.LoadSession 0026 _DV_TDSHTTPServer.LoadSession$450$ActRec 002b TObject.Create 003e @IntfCopy 0046 _Dn_TDSSessionManager 004b TDSSessionManager.ClearThreadSession 0063 TDSSessionManager.FInstance 006d TDSSessionManager.CreateSession<Datasnap.DSService.TDSRESTSession> 0083 TDSSession.ScheduleInactiveTerminationEvent 0099 TDSSessionManager.GetSession 00b5 TDSSession.MarkActivity 00c5 TDSSessionManager.SetAsThreadSession 00dc @IntfClear 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 5E 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 75 36 8B 45 08 C6 00 01 8B D6 85 D2 74 03 83 EA F0 A1 ?? ?? ?? ?? 8B 00 8B 4D F8 E8 ?? ?? ?? ?? 8B D8 8B 46 0C 8B 40 20 85 C0 7E 3C 89 43 10 8B C3 E8 ?? ?? ?? ?? EB 30 8B 45 08 C6 00 00 A1 ?? ?? ?? ?? 8B 00 8B D7 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0B 8B C3 8B 10 FF 52 28 84 C0 75 04 33 DB EB 19 8B C3 E8 ?? ?? ?? ?? 85 DB 74 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_17561_0 {
	meta:
		name = "TDSHTTPServer.DoDSCacheCommand"
		size = 736
		refs = "0021 @UStrAddRef 0029 TDSHTTPServer.DoDSCacheCommand 004f TDSHTTPServer.GetRequestSessionId 0078 LoadSessionUpdate 0081 _Dn_TDSSessionManager 0086 TDSSessionManager.GetThreadSession 0094 TObject.Free 00c5 SSessionExpiredTitle 00ca LoadResString 00e2 SSessionExpiredMsg 00fc @UStrCatN 011a _DV_TDSHTTPCacheContextService 011f TDSHTTPCacheContextService.Create 014a TStrings.GetName 015d TStrings.GetValue 016b TDSRequestFilterManager.ProcessQueryParameter 0181 @HandleFinally 01b5 TDSHTTPCacheContextService.ProcessGETRequest 01c9 TDSHTTPCacheContextService.ProcessDELETERequest 01fc SCommandNotSupported 020c Format 0240 TDSSessionManager.ClearThreadSession 0262 @UStrArrayClr 0284 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F0 89 55 F4 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E8 8B 45 F4 8B 10 FF 52 04 88 45 EF 8D 45 FC 50 B1 01 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 43 40 50 8B 43 2C 50 8B 45 F4 50 8D 45 EE 50 8D 55 E0 8B 45 F4 8B 08 FF 51 14 8B 55 E0 8B 4B 20 8B 45 FC E8 ?? ?? ?? ?? 34 01 8B D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 0D 8B 46 34 E8 ?? ?? ?? ?? 33 C0 89 46 34 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 94 C0 0A D8 74 5C BA 93 01 00 00 8B 45 F0 8B 08 FF 51 10 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F0 8B 08 FF 51 14 68 ?? ?? ?? ?? 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F0 8B 08 FF 51 1C E9 0B 01 00 00 0F B6 45 08 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 89 45 E4 EB 5A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 0C 8D 4D F8 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 0C 8D 4D D0 8B 55 F8 E8 ?? ?? ?? ?? 8B 4D D0 8B 55 F8 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? FF 45 E4 C3 E9 ?? ?? ?? ?? EB F5 8B 45 F4 8B 10 FF 52 0C 8B 10 FF 52 14 3B 45 E4 7F 94 0F B6 45 EF FE C8 74 06 2C 02 74 16 EB 28 8B 45 0C 50 8B 4D F0 8B 55 F4 8B 45 E8 E8 ?? ?? ?? ?? EB 60 8B 45 0C 50 8B 4D F0 8B 55 F4 8B 45 E8 E8 ?? ?? ?? ?? EB 4C BA F5 01 00 00 8B 45 F0 8B 08 FF 51 10 8D 45 CC 50 8D 55 C0 8B 45 F4 8B 08 FF 11 8B 45 C0 89 45 C4 C6 45 C8 11 8D 45 C4 50 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 33 C9 5A E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F0 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? B2 01 8B 45 F0 8B 08 FF 51 2C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 13 00 00 00 7B 00 22 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 45 00 78 00 70 00 69 00 72 00 65 00 64 00 22 00 3A 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 7D 00 00 00 00 00 }
	condition:
		$1
}

rule function_17562_0 {
	meta:
		name = "TDSHTTPServer.CreateRESTService"
		size = 79
		refs = "0017 _Dn_TDSRESTService 0024 TDSService.Create"
	strings:
		$1 = { 53 80 78 14 00 74 23 8B 58 08 53 8B 58 0C 53 52 51 8B 50 30 52 8B 15 ?? ?? ?? ?? B1 01 8B 40 04 92 87 CA E8 ?? ?? ?? ?? 5B C3 8B 50 08 52 8B 50 0C 52 8B 50 18 52 8B 50 1C 52 8B 50 30 52 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17563_0 {
	meta:
		name = "TDSHTTPServer.DoDSRESTCommand"
		size = 2112
		refs = "0023 @UStrAddRef 002b TDSHTTPServer.DoDSRESTCommand 006f TDSHTTPServer.CreateRESTService 008a TStrings.GetName 0095 UpperCase 00a2 @UStrEqual 00d0 TStrings.GetValue 00e6 TStrings.GetValueFromIndex 00f4 TDSRequestFilterManager.ProcessQueryParameter 0159 SCannotProcessParam 015e LoadResString 016c Format 01a6 TDSRequestFilterManager.CheckConvertersForConsistency 01bf SConflictQueryParam 01d8 EmptyStr 01f1 TDSHTTPServer.GetRequestSessionId 021f LoadSessionUpdate 0229 _Dn_TDSSessionManager 022e TDSSessionManager.GetThreadSession 023c TObject.Free 0255 TDSHTTPServer.UpdateSessionTunnelHook 0266 TDSHTTPServer.IsClosingSession 0285 TDSHTTPServer.CloseRESTSession 02a9 TDSSessionManager.ClearThreadSession 02af @HandleFinally 02da SSessionExpiredTitle 02f7 SSessionExpiredMsg 0311 @UStrCatN 0379 TDSHTTPServer.GetRestContext 03ff @UStrCat3 042d TDSSession.ExpiresIn 043c IntToStr 0474 _DV_TDSResponseHandlerFactory 0479 TDSResponseHandlerFactory.CreateResponseHandler 04b3 GetInvocationMetadata 0508 TDSHTTPServer.ByteContent 05cd SCommandNotSupported 05ec @UStrAsg 0679 TDSSessionManager.FInstance 0680 TDSSessionManager.CloseSession 06b2 @UStrArrayClr 06bd @UStrClr 06c9 TArray<System.Byte> 06d3 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 15 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F0 8B DA 89 45 F4 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 DB 01 33 C0 89 45 DC 8B C3 8B 10 FF 52 04 88 45 EF C7 45 E8 C8 00 00 00 8D 55 D4 8B C3 8B 08 FF 51 18 8B 45 D4 50 8D 55 D0 8B C3 8B 08 FF 51 14 8B 55 D0 8B 45 F4 59 E8 ?? ?? ?? ?? 89 45 E4 33 F6 E9 FF 00 00 00 8B C3 8B 10 FF 52 0C 8D 4D FC 8B D6 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1A 8D 55 C8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 17 8B C3 8B 10 FF 52 0C 8D 4D F8 8B 55 FC E8 ?? ?? ?? ?? E9 A2 00 00 00 8B C3 8B 10 FF 52 0C 8D 4D C4 8B D6 E8 ?? ?? ?? ?? 8B 4D C4 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 7F C7 45 E8 99 01 00 00 8D 45 C0 50 8B C3 8B 10 FF 52 0C 8D 4D AC 8B D6 E8 ?? ?? ?? ?? 8B 45 AC 89 45 B0 C6 45 B4 11 8B C3 8B 10 FF 52 0C 8D 4D A4 8B D6 E8 ?? ?? ?? ?? 8B 45 A4 50 8B C3 8B 10 FF 52 0C 8D 4D A8 5A E8 ?? ?? ?? ?? 8B 45 A8 89 45 B8 C6 45 BC 11 8D 45 B0 50 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F0 8B 08 FF 51 14 46 8B C3 8B 10 FF 52 0C 8B 10 FF 52 14 3B F0 7D 0D 81 7D E8 2C 01 00 00 0F 8C E4 FE FF FF 81 7D E8 2C 01 00 00 7D 31 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 25 BA 99 01 00 00 8B 45 F0 8B 08 FF 51 10 8D 55 9C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B 45 F0 8B 08 FF 51 14 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 10 8D 45 F8 50 33 C9 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 40 50 8B 45 F4 8B 40 2C 50 53 8D 45 E3 50 8D 55 98 8B C3 8B 08 FF 51 14 8B 55 98 8B 45 F4 8B 48 20 8B 45 F8 E8 ?? ?? ?? ?? 34 01 88 45 E2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 21 8B 46 34 E8 ?? ?? ?? ?? 33 C0 89 46 34 80 7D E2 00 75 0E 53 8B CE 8B 55 08 8B 45 F4 E8 ?? ?? ?? ?? 80 7D E2 00 75 56 8B 55 08 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 47 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F0 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7D E2 00 74 5C BA 93 01 00 00 8B 45 F0 8B 08 FF 51 10 8D 55 94 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 8B 45 F0 8B 08 FF 51 14 68 ?? ?? ?? ?? 8D 55 8C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 8C 68 ?? ?? ?? ?? 8D 45 90 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 90 8B 45 F0 8B 08 FF 51 1C E9 DF 02 00 00 81 7D E8 2C 01 00 00 7C 10 8B 55 E8 8B 45 F0 8B 08 FF 51 10 E9 C6 02 00 00 8B 45 F4 83 78 2C 00 0F 95 C0 22 45 E3 0F 84 9B 00 00 00 8D 55 88 8B C3 8B 08 FF 51 14 8B 45 88 50 8D 55 84 8B C3 8B 08 FF 51 18 8B 45 84 50 53 8B 45 F0 50 8D 55 80 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D 80 8B 45 F4 8B 40 2C BA ?? ?? ?? ?? 8B 38 FF 57 54 84 C0 75 58 8D 95 7C FF FF FF 8B C3 8B 08 FF 51 14 8B 85 7C FF FF FF 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 12 BA 93 01 00 00 8B 45 F0 8B 08 FF 51 10 E9 3C 02 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 48 BA 91 01 00 00 8B 45 F0 8B 08 FF 51 10 E9 18 02 00 00 85 F6 74 74 8B 4E 20 8D 85 78 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8B 45 F0 8B 08 FF 51 34 8D 95 70 FF FF FF 8B 45 F0 8B 08 FF 51 30 FF B5 70 FF FF FF 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 D2 52 50 8D 85 6C FF FF FF E8 ?? ?? ?? ?? FF B5 6C FF FF FF 8D 85 74 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8B 45 F0 8B 08 FF 51 34 C6 45 DB 00 6A 00 8B 45 F4 50 8B CB 8B 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 83 7D DC 00 75 12 BA 96 01 00 00 8B 45 F0 8B 08 FF 51 10 E9 6C 01 00 00 8B C3 8B 10 FF 52 0C 8B 10 FF 52 14 85 C0 7E 18 8B C3 8B 10 FF 52 0C 50 B0 01 E8 ?? ?? ?? ?? 8B 40 18 5A 8B 08 FF 51 40 0F B6 45 EF FE C8 74 15 FE C8 74 29 FE C8 0F 84 97 00 00 00 FE C8 74 58 E9 A3 00 00 00 6A 00 8B 45 DC 50 33 C9 8B 55 08 8B 45 E4 8B 18 FF 53 10 E9 FB 00 00 00 8B C3 8B 10 FF 52 10 8B D0 8D 8D 68 FF FF FF 8B 45 F4 E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 50 8B 45 DC 50 8B C3 8B 10 FF 52 0C 8B C8 8B 55 08 8B 45 E4 8B 18 FF 53 18 E9 C0 00 00 00 8B C3 8B 10 FF 52 10 8B D0 8D 8D 64 FF FF FF 8B 45 F4 E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 50 8B 45 DC 50 8B C3 8B 10 FF 52 0C 8B C8 8B 55 08 8B 45 E4 8B 18 FF 53 14 E9 85 00 00 00 6A 00 8B 45 DC 50 33 C9 8B 55 08 8B 45 E4 8B 18 FF 53 1C EB 70 B0 01 E8 ?? ?? ?? ?? C7 40 04 F5 01 00 00 B0 01 E8 ?? ?? ?? ?? 83 C0 0C 50 8D 85 60 FF FF FF 50 8D 95 54 FF FF FF 8B C3 8B 08 FF 11 8B 85 54 FF FF FF 89 85 58 FF FF FF C6 85 5C FF FF FF 11 8D 85 58 FF FF FF 50 8D 95 50 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 33 C9 5A E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 58 E8 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B C8 8B 55 F0 8B 45 DC 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 75 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 83 7D DC 00 74 08 8B 45 DC 8B 10 FF 52 24 80 7D DB 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 85 C0 74 34 B0 01 E8 ?? ?? ?? ?? 80 78 14 00 74 27 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 19 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 20 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 78 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 50 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 85 64 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF BA 11 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 95 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 45 00 53 00 53 00 49 00 4F 00 4E 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 7B 00 22 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 45 00 78 00 70 00 69 00 72 00 65 00 64 00 22 00 3A 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 64 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 45 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 61 00 73 00 69 00 63 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 64 00 73 00 73 00 65 00 73 00 73 00 69 00 6F 00 6E 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 2C 00 64 00 73 00 73 00 65 00 73 00 73 00 69 00 6F 00 6E 00 65 00 78 00 70 00 69 00 72 00 65 00 73 00 3D 00 00 00 00 00 }
	condition:
		$1
}

rule function_17564_0 {
	meta:
		name = "TDSHTTPServer.DoJSONCommand"
		size = 984
		refs = "0022 @UStrAddRef 002a TDSHTTPServer.DoJSONCommand 0068 _Dn_TDSJSONService 006d TDSService.Create 00a7 TDSHTTPServer.GetRequestSessionId 00cc LoadSessionUpdate 00de _DV_TDSResponseHandlerFactory 00e3 TDSResponseHandlerFactory.CreateResponseHandler 0114 SSessionExpiredTitle 0119 LoadResString 0131 SSessionExpiredMsg 014b @UStrCatN 01b4 TDSHTTPServer.ByteContent 0256 GetInvocationMetadata 028b SCommandNotSupported 029b Format 02a4 @UStrAsg 02c7 @HandleOnException 02cf _Dn_Exception 02f2 @DoneExcept 0312 TObject.Free 0326 @HandleFinally 0342 @UStrArrayClr 034a @UStrClr 0353 TArray<System.Byte> 035d @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 8B F2 8B F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7F 14 00 74 3C 8B 47 08 50 8B 47 0C 50 8D 55 E8 8B C6 8B 08 FF 51 14 8B 45 E8 50 8D 55 E4 8B C6 8B 08 FF 51 18 8B 45 E4 50 8B 47 30 50 8B 4F 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 EB 26 8B 47 08 50 8B 47 0C 50 8B 47 18 50 8B 47 1C 50 8B 47 30 50 8B 4F 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 45 FC 50 B1 01 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 47 40 50 8B 47 2C 50 56 8D 45 EF 50 8D 55 E0 8B C6 8B 08 FF 51 14 8B 55 E0 8B 4F 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 80 F3 01 6A 00 57 8B CE 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B C6 8B 10 FF 52 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 84 DB 74 5C BA 93 01 00 00 8B 45 F8 8B 08 FF 51 10 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 8B 08 FF 51 14 68 ?? ?? ?? ?? 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F8 8B 08 FF 51 1C E9 97 01 00 00 83 7D F0 00 75 12 BA 96 01 00 00 8B 45 F8 8B 08 FF 51 10 E9 7F 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F0 C6 42 0D 01 FE C8 74 15 FE C8 74 3E FE C8 0F 84 8D 00 00 00 FE C8 74 5F E9 AE 00 00 00 8B C6 8B 10 FF 52 10 8B D0 8D 4D D0 8B C7 E8 ?? ?? ?? ?? 8B 45 D0 50 8B 45 F0 50 33 C9 8B 55 08 8B 45 F4 8B 18 FF 53 10 E9 D6 00 00 00 8B C6 8B 10 FF 52 10 8B D0 8D 4D CC 8B C7 E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 F0 50 33 C9 8B 55 08 8B 45 F4 8B 18 FF 53 18 E9 A9 00 00 00 8B C6 8B 10 FF 52 10 8B D0 8D 4D C8 8B C7 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 45 F0 50 33 C9 8B 55 08 8B 45 F4 8B 18 FF 53 14 EB 7F 8B C6 8B 10 FF 52 10 8B D0 8D 4D C4 8B C7 E8 ?? ?? ?? ?? 8B 45 C4 50 8B 45 F0 50 33 C9 8B 55 08 8B 45 F4 8B 18 FF 53 1C EB 55 B0 01 E8 ?? ?? ?? ?? C7 40 04 F5 01 00 00 B0 01 E8 ?? ?? ?? ?? 83 C0 0C 50 8D 45 C0 50 8D 55 B4 8B C6 8B 08 FF 11 8B 45 B4 89 45 B8 C6 45 BC 11 8D 45 B8 50 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 33 C9 5A E8 ?? ?? ?? ?? 8B 55 C0 58 E8 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 45 F0 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 EB 30 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 BA F4 01 00 00 8B 45 F8 8B 08 FF 51 10 8B 53 04 8B 45 F8 8B 08 FF 51 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 75 0D 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? 83 7D F0 00 74 08 8B 45 F0 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B3 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 7B 00 22 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 45 00 78 00 70 00 69 00 72 00 65 00 64 00 22 00 3A 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 7D 00 00 00 00 00 }
	condition:
		$1
}

rule function_17565_0 {
	meta:
		name = "TDSHTTPServer.DoTunnelCommand"
		size = 1140
		refs = "0023 TDBXClientInfo 0028 @InitializeRecord 0030 TDSHTTPServer.DoTunnelCommand 0060 TDSTunnelService.NeedsAuthentication 0082 @UStrLAsg 00c3 TDSTunnelService.InitializeSession 017b TDSTunnelService.ProcessGET 01be SNoServerData 01c3 LoadResString 01f9 TDSHTTPServer.ByteContent 0210 TDSTunnelService.ProcessPOST 0252 SProtocolCommandNotSupported 0262 Format 02fa StringOf 0314 @HandleOnException 031c _Dn_Exception 0349 @DoneExcept 035e TObject.Free 0386 _Dn_TDSTunnelService 038b TDSTunnelService.TerminateSession 03c5 @HandleFinally 03dd TArray<System.Byte> 03e2 @DynArrayClear 03ef @UStrArrayClr 03f7 @UStrClr 0420 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 51 B9 0D 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E8 89 55 EC 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E0 8B 45 E8 8B 10 FF 52 04 88 45 E7 8B 5E 40 80 7B 14 00 75 15 8B 45 E8 8B 10 FF 52 0C 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 8D 55 D4 8B 45 E8 8B 08 FF 51 28 8B 55 D4 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 E8 8B 08 FF 51 30 8B 55 D0 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 E8 8B 08 FF 51 2C 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 0C 8B D0 8B 46 40 8D 4D F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 2C 00 0F 95 C0 84 D8 74 4E 8D 55 C8 8B 45 E8 8B 08 FF 51 14 8B 45 C8 50 8D 55 C4 8B 45 E8 8B 08 FF 51 18 8B 45 C4 50 8B 45 E8 50 8B 45 08 50 8B 46 2C B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 18 FF 53 54 84 C0 75 12 BA 91 01 00 00 8B 45 08 8B 08 FF 51 10 E9 CD 01 00 00 0F B6 45 E7 FE C8 74 1D FE C8 0F 84 95 00 00 00 FE C8 0F 84 D1 00 00 00 FE C8 0F 84 85 00 00 00 E9 1C 01 00 00 33 C0 89 45 DC 8D 45 DB 50 8B 45 E8 8B 10 FF 52 0C 8B D0 8D 4D DC 8B 46 40 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 08 FF 51 0C 8B 45 DC 99 52 50 8B 45 08 8B 10 FF 52 24 0F B6 55 DB 8B 45 08 8B 08 FF 51 2C 83 7D DC 00 0F 85 26 01 00 00 BA F4 01 00 00 8B 45 08 8B 08 FF 51 10 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8B 45 08 8B 08 FF 51 14 B2 01 8B 45 08 8B 08 FF 51 2C E9 F2 00 00 00 8D 45 E0 50 8D 45 DB 50 8B 45 E8 8B 10 FF 52 10 8B D0 8D 4D BC 8B C6 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 45 E8 8B 10 FF 52 0C 8B D0 8B 46 40 59 E8 ?? ?? ?? ?? 0F B6 55 DB 8B 45 08 8B 08 FF 51 2C E9 AE 00 00 00 BA F5 01 00 00 8B 45 08 8B 08 FF 51 10 8D 45 B8 50 8D 55 AC 8B 45 E8 8B 08 FF 11 8B 45 AC 89 45 B0 C6 45 B4 11 8D 45 B0 50 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 33 C9 5A E8 ?? ?? ?? ?? 8B 55 B8 8B 45 08 8B 08 FF 51 14 B2 01 8B 45 08 8B 08 FF 51 2C EB 56 BA F5 01 00 00 8B 45 08 8B 08 FF 51 10 8D 45 A4 50 8D 55 A0 8B 45 E8 8B 08 FF 11 8B 45 A0 89 45 B0 C6 45 B4 11 8D 45 B0 50 8D 55 9C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 33 C9 5A E8 ?? ?? ?? ?? 8B 55 A4 8B 45 08 8B 08 FF 51 14 B2 01 8B 45 08 8B 08 FF 51 2C 83 7D E0 00 74 30 BA C8 00 00 00 8B 45 08 8B 08 FF 51 10 8D 4D 94 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 94 8D 55 98 E8 ?? ?? ?? ?? 8B 55 98 8B 45 08 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 EB 3A E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 BA F4 01 00 00 8B 45 08 8B 08 FF 51 10 8B 53 04 8B 45 08 8B 08 FF 51 14 B2 01 8B 45 08 8B 08 FF 51 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 10 FF 12 84 C0 75 14 8B 45 E8 8B 10 FF 52 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2A E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 98 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AC 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 74 00 75 00 6E 00 6E 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 64 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_17566_0 {
	meta:
		name = "TDSHTTPServer.DoCommand"
		size = 684
		refs = "0025 TDSHTTPServer.DoCommand 0030 CoInitFlags 003e CoInitializeEx 0077 @UStrClr 0085 TDSHTTPServer.Consume 0098 @UStrLAsg 00c4 TDSHTTPServer.DoJSONCommand 00f5 TDSHTTPServer.DoTunnelCommand 0124 TDSHTTPServer.DoDSRESTCommand 0150 EmptyStr 0157 @UStrEqual 0167 TDSHTTPServer.DoDSCacheCommand 0177 Trim 0191 SProtocolRestEmpty 0196 LoadResString 01af SProtocolNotSupported 01da Format 022d ClearInvocationMetadata 0232 CoUninitialize 0238 @HandleFinally 0254 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D EC 89 5D E8 89 5D FC 89 5D F8 89 5D F4 8B F1 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 FF 75 0F 6A 00 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 EB 13 A1 ?? ?? ?? ?? 8B 00 50 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 1C 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 53 38 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 64 01 00 00 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 F8 50 8B 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? E9 3B 01 00 00 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 08 50 8B CE 8B 55 F0 8B C3 E8 ?? ?? ?? ?? E9 0A 01 00 00 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 53 34 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 F8 50 8B 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? E9 DB 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 53 3C 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 29 8B 45 F8 50 8B 43 04 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 95 C0 50 8B 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? E9 98 00 00 00 8D 55 F4 8B 43 34 E8 ?? ?? ?? ?? 8B 45 F4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 0D 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA F5 01 00 00 8B 45 08 8B 08 FF 51 10 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 89 45 D8 C6 45 DC 11 8B 45 F4 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 08 8B 08 FF 51 1C B2 01 8B 45 08 8B 08 FF 51 2C EB 13 8B 45 08 50 8B 45 FC 50 8B CE 8B 55 F0 8B C3 8B 38 FF 17 66 83 7B 4A 00 74 10 56 8B 45 08 50 8B 4D F0 8B D3 8B 43 4C FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6A 00 73 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 74 00 75 00 6E 00 6E 00 65 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_17567_0 {
	meta:
		name = "TDSHTTPServer.DoCommandOtherContext"
		size = 146
		refs = "0016 TDSHTTPServer.DoCommandOtherContext 0034 SInvalidDatasnapServerContext 0039 LoadResString 0052 Format 007f @UStrArrayClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D FC 89 5D F8 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 94 01 00 00 8B C3 8B 08 FF 51 10 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 08 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 14 B2 01 8B C3 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_17568_0 {
	meta:
		name = "TDSHTTPServer.Consume"
		size = 328
		refs = "0028 TDSHTTPServer.Consume 003e @UStrAsg 0058 Pos 0076 PosEx 00b3 @UStrCopy 00cc AnsiCompareText 0108 @UStrClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D FC 8B F1 89 55 F4 89 45 F8 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 75 11 8B 45 08 8B D6 E8 ?? ?? ?? ?? B3 01 E9 AE 00 00 00 C7 45 F0 01 00 00 00 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 FB 01 75 19 C7 45 F0 02 00 00 00 8B 4D F0 41 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 12 8B 4D F0 41 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 0E 8B C6 85 C0 74 05 83 E8 04 8B 00 8D 58 01 8D 45 EC 50 8B CB 2B 4D F0 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8D 4D FC 8B 45 F8 8B 38 FF 57 04 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 75 21 8B FE 85 FF 74 05 83 EF 04 8B 3F 8B 45 08 50 8B CF 2B CB 41 8B D3 8B C6 E8 ?? ?? ?? ?? B3 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_17569_0 {
	meta:
		name = "TDSHTTPServerTransport.Create"
		size = 284
		refs = "000a @ClassCreate 0017 TDSServerTransport.Create 001f TDSHTTPServerTransport.Create 0024 @UStrAsg 0066 EmptyStr 0096 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 74 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 70 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 6C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 7C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 46 78 D3 00 00 00 C6 46 5C 00 C7 46 60 80 4F 12 00 8D 46 68 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 46 64 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 33 C0 89 86 90 00 00 00 89 86 94 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 72 00 65 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 61 00 63 00 68 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 64 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6C 00 6F 00 63 00 61 00 6C 00 68 00 6F 00 73 00 74 00 00 00 }
	condition:
		$1
}

rule function_17570_0 {
	meta:
		name = "TDSHTTPServerTransport.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 0020 TObject.Free 002b TDSServerTransport.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 8B 08 FF 51 4C 8D 46 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17571_0 {
	meta:
		name = "TDSHTTPServerTransport.GetResultEvent"
		size = 40
	strings:
		$1 = { 53 8B 58 58 85 DB 74 0D 8B 43 50 89 02 8B 43 54 89 42 04 5B C3 8B 88 90 00 00 00 89 0A 8B 88 94 00 00 00 89 4A 04 5B C3 }
	condition:
		$1
}

rule function_17572_0 {
	meta:
		name = "TDSHTTPServerTransport.SetResultEvent"
		size = 44
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 90 00 00 00 8B 55 0C 89 90 94 00 00 00 8B 50 58 85 D2 74 0C 8B 45 08 89 42 50 8B 45 0C 89 42 54 5D C2 08 00 }
	condition:
		$1
}

rule function_17573_0 {
	meta:
		name = "TDSHTTPServerTransport.GetRESTContext"
		size = 60
		refs = "0013 TDSHTTPServer.GetRestContext 001c TDSHTTPServerTransport.GetRESTContext 0024 @UStrCat3"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 58 85 FF 74 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 0F 8B C6 B9 ?? ?? ?? ?? 8B 53 74 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_17574_0 {
	meta:
		name = "TDSHTTPServerTransport.SetRESTContext"
		size = 112
		refs = "000b EmptyStr 0012 @UStrEqual 004e @UStrCopy 005a @UStrAsg 0068 TDSHTTPServer.SetRestContext"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 16 8B C3 85 C0 74 05 83 E8 04 8B 00 66 83 7C 43 FE 2F 0F 94 C0 EB 02 33 C0 84 C0 74 20 8B FB 85 FF 74 05 83 EF 04 8B 3F 8D 46 74 50 8B CF 49 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0A 8D 46 74 8B D3 E8 ?? ?? ?? ?? 8B 46 58 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17575_0 {
	meta:
		name = "TDSHTTPServerTransport.Notification"
		size = 86
		refs = "0010 TComponent.Notification 003e TDSHTTPServer.SetAuthenticationManager"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 29 8B C7 8B 10 FF 52 48 3B F0 75 0B 33 D2 8B C7 8B 08 FF 51 4C EB 13 8B 47 58 85 C0 74 0C 3B 70 2C 75 07 33 D2 E8 ?? ?? ?? ?? 3B B7 80 00 00 00 75 08 33 C0 89 87 80 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17576_0 {
	meta:
		name = "TDSHTTPServerTransport.SetTraceEvent"
		size = 44
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 88 00 00 00 8B 55 0C 89 90 8C 00 00 00 8B 50 58 85 D2 74 0C 8B 45 08 89 42 48 8B 45 0C 89 42 4C 5D C2 08 00 }
	condition:
		$1
}

rule function_17577_0 {
	meta:
		name = "TDSHTTPServerTransport.GetTraceEvent"
		size = 40
	strings:
		$1 = { 53 8B 58 58 85 DB 74 0D 8B 43 48 89 02 8B 43 4C 89 42 04 5B C3 8B 88 88 00 00 00 89 0A 8B 88 8C 00 00 00 89 4A 04 5B C3 }
	condition:
		$1
}

rule function_17578_0 {
	meta:
		name = "TDSHTTPServerTransport.InitializeHttpServer"
		size = 180
		refs = "0011 TDSHTTPServer.SetFilters 0026 @UStrAsg 0045 TDSHTTPServer.SetDSPort 0050 TDSHTTPServer.SetDSHostname 005b TDSHTTPServer.SetDsContext 0066 TDSHTTPServer.SetCacheContext 0071 TDSHTTPServer.SetRestContext 0091 TDSHTTPServer.SetAuthenticationManager 00ad TDSHTTPServerTransport.UpdateDSServerName"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 10 FF 52 54 8B D0 8B 43 58 E8 ?? ?? ?? ?? 8B 73 58 0F B6 43 5C 88 46 14 8D 46 18 8B 53 68 E8 ?? ?? ?? ?? 8B 43 58 83 C0 1C 8B 53 64 E8 ?? ?? ?? ?? 8B 43 58 8B 53 60 89 50 20 8B 53 78 E8 ?? ?? ?? ?? 8B 53 7C 8B 43 58 E8 ?? ?? ?? ?? 8B 53 6C 8B 43 58 E8 ?? ?? ?? ?? 8B 53 70 8B 43 58 E8 ?? ?? ?? ?? 8B 53 74 8B 43 58 E8 ?? ?? ?? ?? 8B 43 58 8B 93 90 00 00 00 89 50 50 8B 93 94 00 00 00 89 50 54 8B 93 80 00 00 00 E8 ?? ?? ?? ?? 8B 43 58 8B 93 88 00 00 00 89 50 48 8B 93 8C 00 00 00 89 50 4C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17580_0 {
	meta:
		name = "TDSHTTPServerTransport.SetAuthenticationManager"
		size = 21
		refs = "0010 TDSHTTPServer.SetAuthenticationManager"
	strings:
		$1 = { 89 90 80 00 00 00 8B 48 58 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17581_0 {
	meta:
		name = "TDSHTTPServerTransport.SetCacheContext"
		size = 112
		refs = "000b EmptyStr 0012 @UStrEqual 004e @UStrCopy 005a @UStrAsg 0068 TDSHTTPServer.SetCacheContext"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 16 8B C3 85 C0 74 05 83 E8 04 8B 00 66 83 7C 43 FE 2F 0F 94 C0 EB 02 33 C0 84 C0 74 20 8B FB 85 FF 74 05 83 EF 04 8B 3F 8D 46 70 50 8B CF 49 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0A 8D 46 70 8B D3 E8 ?? ?? ?? ?? 8B 46 58 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17582_0 {
	meta:
		name = "TDSHTTPServerTransport.SetDSContext"
		size = 112
		refs = "000b EmptyStr 0012 @UStrEqual 004e @UStrCopy 005a @UStrAsg 0068 TDSHTTPServer.SetDsContext"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 16 8B C3 85 C0 74 05 83 E8 04 8B 00 66 83 7C 43 FE 2F 0F 94 C0 EB 02 33 C0 84 C0 74 20 8B FB 85 FF 74 05 83 EF 04 8B 3F 8D 46 6C 50 8B CF 49 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0A 8D 46 6C 8B D3 E8 ?? ?? ?? ?? 8B 46 58 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17583_0 {
	meta:
		name = "TDSHTTPServerTransport.SetDSHostname"
		size = 91
		refs = "000e @UStrAddRef 0016 TDSHTTPServerTransport.SetDSHostname 0027 @UStrAsg 0036 TDSHTTPServer.SetDSHostname 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 7C 8B 55 FC E8 ?? ?? ?? ?? 8B 43 58 85 C0 74 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_17584_0 {
	meta:
		name = "TDSHTTPServerTransport.GetAuthenticationManager"
		size = 18
	strings:
		$1 = { 8B 50 58 85 D2 74 04 8B 42 2C C3 8B 80 80 00 00 00 C3 }
	condition:
		$1
}

rule function_17585_0 {
	meta:
		name = "TDSHTTPServerTransport.GetCacheContext"
		size = 60
		refs = "0013 TDSHTTPServer.GetCacheContext 001c TDSHTTPServerTransport.GetCacheContext 0024 @UStrCat3"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 58 85 FF 74 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 0F 8B C6 B9 ?? ?? ?? ?? 8B 53 70 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_17586_0 {
	meta:
		name = "TDSHTTPServerTransport.GetDSContext"
		size = 60
		refs = "0013 TDSHTTPServer.GetDsContext 001c TDSHTTPServerTransport.GetDSContext 0024 @UStrCat3"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 58 85 FF 74 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 0F 8B C6 B9 ?? ?? ?? ?? 8B 53 6C E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_17587_0 {
	meta:
		name = "TDSHTTPServerTransport.GetDSHostname"
		size = 40
		refs = "0014 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 58 85 FF 74 0C 8B C6 8B 57 08 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 7C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17588_0 {
	meta:
		name = "TDSHTTPServerTransport.SetDSPort"
		size = 18
		refs = "000d TDSHTTPServer.SetDSPort"
	strings:
		$1 = { 89 50 78 8B 48 58 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17589_0 {
	meta:
		name = "TDSHTTPServerTransport.SetServer"
		size = 80
		refs = "0026 TComponent.RemoveFreeNotification 0033 TComponent.FreeNotification 003c TDSServerComponent.SetServer 0049 TDSHTTPServerTransport.UpdateDSServerName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 48 3B F0 74 3C 8B C3 8B 10 FF 52 48 85 C0 74 0E 8B C3 8B 10 FF 52 48 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7B 58 00 74 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17590_0 {
	meta:
		name = "TDSHTTPServerTransport.UpdateDSServerName"
		size = 70
		refs = "001c TDSHTTPServer.SetDSServerName 0026 TDSHTTPServer.CreateProtocolHandlerFactory 002e EmptyStr 0040 TDSHTTPServer.ClearProtocolHandlerFactory"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 48 85 C0 74 1E 8B C3 8B 10 FF 52 48 8B 50 08 8B 43 58 E8 ?? ?? ?? ?? 8B D3 8B 43 58 E8 ?? ?? ?? ?? 5B C3 8B 15 ?? ?? ?? ?? 8B 12 8B 43 58 E8 ?? ?? ?? ?? 8B 43 58 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_17591_0 {
	meta:
		name = "TDSHTTPServerTransport.GetDSPort"
		size = 15
	strings:
		$1 = { 8B 50 58 85 D2 74 04 8B 42 0C C3 8B 40 78 C3 }
	condition:
		$1
}

rule function_17592_0 {
	meta:
		name = "TDSHTTPServerTransport.RequiresServer"
		size = 28
	strings:
		$1 = { 53 8B D8 83 7B 58 00 75 11 8B C3 8B 10 FF 52 64 89 43 58 8B C3 8B 10 FF 52 68 5B C3 }
	condition:
		$1
}

rule function_17593_0 {
	meta:
		name = "TDSHTTPServerTransport.GetHttpServer"
		size = 15
		refs = "0006 TDSHTTPServerTransport.RequiresServer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 58 5B C3 }
	condition:
		$1
}

rule function_17594_0 {
	meta:
		name = "TDSHTTPServerTransport.SetFilters"
		size = 37
		refs = "0007 TDSServerTransport.SetFilters 001e TDSHTTPServer.SetFilters"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 73 58 85 F6 74 10 8B C3 8B 10 FF 52 54 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17595_0 {
	meta:
		name = "TDSHTTPServerTransport.ServerCloseAllTunnelSessions"
		size = 15
		refs = "000a TDSHTTPServer.CloseAllTunnelSessions"
	strings:
		$1 = { 8B 50 58 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17596_0 {
	meta:
		name = "TDSHTTPServerTransport.GetCredentialsPassThrough"
		size = 17
	strings:
		$1 = { 8B 50 58 85 D2 74 05 0F B6 42 14 C3 0F B6 40 5C C3 }
	condition:
		$1
}

rule function_17597_0 {
	meta:
		name = "TDSHTTPServerTransport.GetDSAuthPassword"
		size = 40
		refs = "0014 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 58 85 FF 74 0C 8B C6 8B 57 1C E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 64 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17598_0 {
	meta:
		name = "TDSHTTPServerTransport.GetDSAuthUser"
		size = 40
		refs = "0014 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 58 85 FF 74 0C 8B C6 8B 57 18 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 68 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17599_0 {
	meta:
		name = "TDSHTTPServerTransport.SetCredentialsPassThrough"
		size = 14
	strings:
		$1 = { 88 50 5C 8B 48 58 85 C9 74 03 88 51 14 C3 }
	condition:
		$1
}

rule function_17600_0 {
	meta:
		name = "TDSHTTPServerTransport.SetDSAuthPassword"
		size = 38
		refs = "000d @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8D 43 64 8B D6 E8 ?? ?? ?? ?? 8B 7B 58 85 FF 74 0A 8D 47 1C 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17601_0 {
	meta:
		name = "TDSHTTPServerTransport.SetDSAuthUser"
		size = 38
		refs = "000d @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8D 43 68 8B D6 E8 ?? ?? ?? ?? 8B 7B 58 85 FF 74 0A 8D 47 18 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17602_0 {
	meta:
		name = "TDSHTTPServerTransport.SetSessionTimeout"
		size = 14
	strings:
		$1 = { 89 50 60 8B 48 58 85 C9 74 03 89 51 20 C3 }
	condition:
		$1
}

rule function_17603_0 {
	meta:
		name = "TDSHTTPServerTransport.GetSessionTimeout"
		size = 15
	strings:
		$1 = { 8B 50 58 85 D2 74 04 8B 42 20 C3 8B 40 60 C3 }
	condition:
		$1
}

rule function_17604_0 {
	meta:
		name = "TDSHTTPServerTransport.GetIPImplementationID"
		size = 39
		refs = "0014 @UStrAsg 001f TDSServerTransport.GetIPImplementationID"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 58 85 FF 74 0C 8B C6 8B 57 30 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17605_0 {
	meta:
		name = "TDSClientCallbackChannelManager.Broadcast"
		size = 293
		refs = "0014 @UStrAddRef 001c TDSClientCallbackChannelManager.Broadcast 002d TMonitor.CheckMonitorSupport 0034 TMonitor.GetMonitor 003c TMonitor.Enter 0055 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.GetValues 005a TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TValueCollection.GetEnumerator 007f @UStrEqual 009c TDSCallbackItem.ListeningOn 00b5 TObject.Free 00bd TEnumerator<Datasnap.DSHTTPCommon.TDSCallbackItem>.MoveNext 00dc @HandleFinally 00f6 TMonitor.Exit 0113 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D FC 8B F2 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 58 7C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 7C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 14 8B 45 F8 8B 40 4C 8B 55 FC E8 ?? ?? ?? ?? 74 04 33 DB EB 30 B3 01 EB 2C 84 DB 75 13 8B 45 F4 8B 10 FF 12 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 F4 8B 10 FF 12 8B 40 08 8B D6 8B 08 FF 11 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 7C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17606_0 {
	meta:
		name = "TDSClientCallbackChannelManager.BroadcastObject"
		size = 349
		refs = "0013 @UStrAddRef 001b TDSClientCallbackChannelManager.BroadcastObject 002b TDSClientCallbackChannelManager.UnMarshalJSON 0047 TMonitor.CheckMonitorSupport 004e TMonitor.GetMonitor 0056 TMonitor.Enter 006f TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.GetValues 0074 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TValueCollection.GetEnumerator 0099 @UStrEqual 00b6 TDSCallbackItem.ListeningOn 00d1 TObject.Free 00d9 TEnumerator<Datasnap.DSHTTPCommon.TDSCallbackItem>.MoveNext 00f8 @HandleFinally 0112 TMonitor.Exit 014c @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D FC 8B DA 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 58 7C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 7C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 14 8B 45 F8 8B 40 4C 8B 55 FC E8 ?? ?? ?? ?? 74 04 33 DB EB 32 B3 01 EB 2E 84 DB 75 13 8B 45 F4 8B 10 FF 12 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 17 8B 45 F4 8B 10 FF 12 8B 40 08 8B 55 F0 8B 08 FF 51 04 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 7C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17607_0 {
	meta:
		name = "TDSClientCallbackChannelManager.CloseClientChannel$498$ActRec.$0$Body"
		size = 68
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 10 8B 52 50 8B 08 FF 91 24 01 00 00 BA 01 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 10 8B 52 38 8B 08 FF 91 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17608_0 {
	meta:
		name = "TDSClientCallbackChannelManager.BroadcastObjectToChannel$524$ActRec.$1$Body"
		size = 34
		altNames = "TDSClientCallbackChannelManager.BroadcastToChannel$521$ActRec.$1$Body TDSClientCallbackChannelManager.CloseClientChannel$498$ActRec.$1$Body TDSClientCallbackChannelManager.UnregisterCallback$516$ActRec.$3$Body"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 02 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 0C 88 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_17609_0 {
	meta:
		name = "TDSClientCallbackChannelManager.CloseClientChannel"
		size = 344
		refs = "0014 TDSClientCallbackChannelManager.CloseClientChannel 0021 _DV_TDSClientCallbackChannelManager.CloseClientChannel$498$ActRec 0026 TObject.Create 0039 @IntfCopy 007a TDSClientCallbackChannelManager.ExecuteRemote 0090 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Clear 00a6 EmptyStr 00ad @UStrAsg 00c1 TDSClientCallbackChannelManager.NotifyChange 00d0 @HandleAnyException 00d9 @DoneExcept 00ee @IntfClear 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 89 43 10 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 B8 A8 00 00 00 01 75 25 8B D3 85 D2 74 03 83 EA E8 52 8B D3 85 D2 74 03 83 EA EC 52 6A 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 43 0C 88 45 FB 84 C0 74 3C 8B 43 10 8B 40 7C E8 ?? ?? ?? ?? 8B 73 10 C6 86 A8 00 00 00 00 8D 86 AC 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 6A 00 8B 0D ?? ?? ?? ?? 8B 09 8B 43 10 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 FB 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 43 00 6C 00 6F 00 73 00 65 00 43 00 6C 00 69 00 65 00 6E 00 74 00 43 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 }
	condition:
		$1
}

rule function_17610_0 {
	meta:
		name = "TDSClientCallbackChannelManager.Copy"
		size = 235
		refs = "0009 _DV_TDSClientCallbackChannelManager 000e TDSClientCallbackChannelManager.Create 001b @UStrAsg"
	strings:
		$1 = { 53 56 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 3C 8B 53 3C E8 ?? ?? ?? ?? 8D 46 40 8B 53 40 E8 ?? ?? ?? ?? 8D 46 44 8B 53 44 E8 ?? ?? ?? ?? 8D 46 48 8B 53 48 E8 ?? ?? ?? ?? 8D 46 4C 8B 53 4C E8 ?? ?? ?? ?? 8D 46 54 8B 53 54 E8 ?? ?? ?? ?? 8D 46 58 8B 53 58 E8 ?? ?? ?? ?? 8D 46 60 8B 53 60 E8 ?? ?? ?? ?? 8D 46 64 8B 53 64 E8 ?? ?? ?? ?? 8D 46 68 8B 53 68 E8 ?? ?? ?? ?? 8B 43 6C 89 46 6C 8D 46 70 8B 53 70 E8 ?? ?? ?? ?? 8D 46 74 8B 53 74 E8 ?? ?? ?? ?? 8B 83 98 00 00 00 89 86 98 00 00 00 8B 83 9C 00 00 00 89 86 9C 00 00 00 8B 83 90 00 00 00 89 86 90 00 00 00 8B 83 94 00 00 00 89 86 94 00 00 00 8B 83 80 00 00 00 89 86 80 00 00 00 8B 83 84 00 00 00 89 86 84 00 00 00 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17611_0 {
	meta:
		name = "TDSClientCallbackChannelManager.Create"
		size = 404
		refs = "0015 @ClassCreate 0022 TDSClientCallbackChannelManager.Create 0031 TComponent.Create 0039 @UStrClr 0041 TDSSession.GenerateSessionId 004c @UStrAsg 005c _DV_TObjectDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem> 0061 TObjectDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Create 006a TDSClientCallbackChannelManager.Invoke 0070 TDSClientCallbackChannelManager.InvokeObject 0076 TDSClientCallbackChannelManager.Broadcast 007c TDSClientCallbackChannelManager.BroadcastObject 0083 _DV_TDSClientCallbackChannelManager.TDSChannelCallback 0088 TDSClientCallbackChannelManager.TDSChannelCallback.Create 00a7 _DV_TObjectDictionary<System.string,Data.DBXJSONReflect.TConverterEvent> 00ac TObjectDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create 00c2 _DV_TObjectDictionary<System.string,Data.DBXJSONReflect.TReverterEvent> 00c7 TObjectDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create 00d7 Random 00df IntToStr 0109 @UStrCatN 012a EmptyStr 0152 @UStrArrayClr 0158 @HandleFinally 0167 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 78 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 50 E8 ?? ?? ?? ?? 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 7C 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 88 00 00 00 8B C6 8B 10 FF 52 08 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A0 00 00 00 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A4 00 00 00 B8 A0 86 01 00 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? B8 A0 86 01 00 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 8D 43 38 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 80 00 00 00 89 83 84 00 00 00 C6 83 A8 00 00 00 00 8D 83 AC 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? C7 43 6C B8 22 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C3 00 00 00 02 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_17612_0 {
	meta:
		name = "TDSClientCallbackChannelManager.DBXConnectionProperties"
		size = 880
		refs = "0010 TDSClientCallbackChannelManager.DBXConnectionProperties 001f _Dn_TDBXDatasnapProperties 0024 TDBXDatasnapProperties.Create 0037 TDBXProperties.SetValue 00ab IntToStr 010f @UStrClr 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 4E 3C BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 4E 48 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 4E 40 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 4E 44 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 4E 60 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 4E 64 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 4E 68 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8D 55 FC 8B 46 6C E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 4E 70 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 4E 74 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 DB 75 1E 8B 4E 54 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 4E 58 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 43 00 6F 00 6D 00 6D 00 75 00 6E 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 50 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 52 00 4C 00 50 00 61 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 53 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 55 00 73 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 44 00 53 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 48 00 6F 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 50 00 6F 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 55 00 73 00 65 00 72 00 6E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 43 00 6F 00 6D 00 6D 00 75 00 6E 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_17613_0 {
	meta:
		name = "TDSClientCallbackChannelManager.Destroy"
		size = 173
		refs = "000a @BeforeDestruction 0018 TDSClientCallbackChannelManager.Destroy 0026 TDSClientCallbackChannelManager.CloseClientChannel 0035 @HandleAnyException 003a @DoneExcept 004d TObject.Free 0094 TComponent.Destroy 00a2 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 7C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 00 00 00 8B 10 FF 52 0C 8B 45 FC 05 A0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 05 A4 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17614_0 {
	meta:
		name = "TDSClientCallbackChannelManager.ExecuteRemote"
		size = 556
		refs = "0018 @IntfAddRef 0028 TDSClientCallbackChannelManager.ExecuteRemote 0039 TDSClientCallbackChannelManager.DBXConnectionProperties 004f TDBXConnectionFactory.GetConnectionFactory 0057 TDBXConnectionFactory.GetConnection 00b2 Format 0123 @HandleAnyException 0128 @DoneExcept 0130 TObject.Free 0136 @HandleFinally 01b1 @UStrClr 01ba TDSClientCallbackChannelManager.TParamSetup 01c4 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D F0 8B F1 8B DA 8B F8 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 55 08 8B C7 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 7C 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 04 8D 45 F0 50 89 5D E0 C6 45 E4 11 89 75 E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 8B 08 FF 51 10 8B 45 F4 8B 10 FF 52 60 8B 45 F4 8B 10 FF 52 34 8B D0 8B 45 10 8B 08 FF 51 0C 8B 45 F4 8B 10 FF 52 68 8B 45 F4 8B 10 FF 52 34 8B D0 8B 45 0C 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 5C 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 64 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2E 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_17615_0 {
	meta:
		name = "TDSClientCallbackChannelManager.Invoke"
		size = 379
		refs = "001c TDSClientCallbackChannelManager.Invoke 002d TMonitor.CheckMonitorSupport 0034 TMonitor.GetMonitor 003c TMonitor.Enter 005a TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TryGetValue 009b _DV_TDSClientCallbackChannelManager.TDSExecuteThread 00a0 TDSClientCallbackChannelManager.TDSExecuteThread.Create 00b0 TMonitor.Wait 00bc TThread.Terminate 00dc TMonitor.Exit 00e9 TObject.Free 00ef @HandleFinally 00fd SNoRegisteredCallbackForId 0102 LoadResString 0118 Format 0122 _Dn_TDSServiceException 0127 Exception.Create 012c @RaiseExcept 0166 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D EC 89 5D E8 8B F9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 7C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D F8 8B 45 FC 8B 40 7C 8B D6 E8 ?? ?? ?? ?? 84 C0 0F 84 8F 00 00 00 8B 45 F8 8B 40 08 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 5D F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 57 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 BA 88 13 00 00 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 08 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 48 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 89 75 E0 C6 45 E4 11 8D 55 E0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 7C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17616_0 {
	meta:
		name = "TDSClientCallbackChannelManager.InvokeObject"
		size = 360
		refs = "0019 TDSClientCallbackChannelManager.InvokeObject 0029 TDSClientCallbackChannelManager.UnMarshalJSON 0045 TMonitor.CheckMonitorSupport 004c TMonitor.GetMonitor 0054 TMonitor.Enter 0072 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TryGetValue 00a0 TDSClientCallbackChannelManager.MarshalData 00ba TObject.Free 00c0 @HandleFinally 00ce SNoRegisteredCallbackForId 00d3 LoadResString 00e9 Format 00f3 _Dn_TDSServiceException 00f8 Exception.Create 00fd @RaiseExcept 0115 TMonitor.Exit 0154 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D EC 89 5D E8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D1 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 58 7C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D F8 8B 45 FC 8B 40 7C 8B D6 E8 ?? ?? ?? ?? 84 C0 74 4C 8B 45 F8 8B 40 08 8B 55 F0 8B 08 FF 51 04 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 89 75 E0 C6 45 E4 11 8D 55 E0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 7C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17617_0 {
	meta:
		name = "TDSClientCallbackChannelManager.RegisterCallback"
		size = 90
		refs = "0012 TDSClientCallbackChannelManager.RegisterCallback 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C6 8B 08 FF 51 20 8B 55 FC 8B CF 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17619_0 {
	meta:
		name = "TDSClientCallbackChannelManager.RegisterCallback$510$ActRec.$0$Body$511$ActRec.$0$0$Body"
		size = 207
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 0C 8B 52 18 8B 52 4C 8B 08 FF 91 24 01 00 00 BA 01 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 0C 8B 52 18 8B 52 50 8B 08 FF 91 24 01 00 00 BA 02 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 0C 8B 52 14 8B 08 FF 91 24 01 00 00 BA 03 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 0C 8B 52 10 8B 08 FF 91 24 01 00 00 BA 04 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 0C 8B 52 18 8B 52 38 8B 08 FF 91 24 01 00 00 BA 05 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 0C 8B 52 18 8B 92 88 00 00 00 8B 08 FF 91 BC 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17621_0 {
	meta:
		name = "TDSClientCallbackChannelManager.RegisterCallback$510$ActRec.$0$Body"
		size = 364
		refs = "0015 TDSClientCallbackChannelManager.RegisterCallback$510$ActRec.$0$Body 0022 _DV_TDSClientCallbackChannelManager.RegisterCallback$510$ActRec.$0$Body$511$ActRec 0027 TObject.Create 003a @IntfCopy 0089 TDSClientCallbackChannelManager.ExecuteRemote 0098 @HandleOnException 00a0 _Dn_Exception 00ba TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Remove 00d5 @UStrAsg 00ea TDSClientCallbackChannelManager.NotifyChange 00ef @DoneExcept 0104 @IntfClear 010a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F8 89 43 0C 8D 43 10 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 85 C0 74 03 83 E8 E8 50 85 DB 74 03 83 EB EC 53 6A 01 8B 45 F8 8B 40 18 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 5C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 F8 8B 50 14 8B 45 F8 8B 40 18 8B 40 7C E8 ?? ?? ?? ?? 8B 45 F8 8B 70 18 C6 86 A8 00 00 00 02 8D 86 AC 00 00 00 8B 53 04 E8 ?? ?? ?? ?? 6A 00 8B 45 F8 8B 48 14 8B 45 F8 8B 40 18 B2 02 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 14 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 43 00 6C 00 69 00 65 00 6E 00 74 00 43 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 }
	condition:
		$1
}

rule function_17622_0 {
	meta:
		name = "TDSClientCallbackChannelManager.RegisterCallback$510$ActRec.$1$Body"
		size = 158
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 18 8B 52 50 8B 08 FF 91 24 01 00 00 BA 01 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 14 8B 08 FF 91 24 01 00 00 BA 02 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 10 8B 08 FF 91 24 01 00 00 BA 03 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 18 8B 52 38 8B 08 FF 91 24 01 00 00 BA 04 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 18 8B 92 88 00 00 00 8B 08 FF 91 BC 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17623_0 {
	meta:
		name = "TDSClientCallbackChannelManager.RegisterCallback$510$ActRec.$2$Body"
		size = 34
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 05 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 0C 88 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_17624_0 {
	meta:
		name = "TDSClientCallbackChannelManager.RegisterCallback"
		size = 644
		refs = "0018 TDSClientCallbackChannelManager.RegisterCallback 0025 _DV_TDSClientCallbackChannelManager.RegisterCallback$510$ActRec 002a TObject.Create 003f @IntfCopy 004c @UStrAsg 0069 TMonitor.CheckMonitorSupport 0070 TMonitor.GetMonitor 0078 TMonitor.Enter 009a TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.ContainsKey 00bd _DV_TDSCallbackItem 00c2 TDSCallbackItem.Create 00da TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Add 00fc EmptyStr 011b _DV_TDSClientCallbackChannelManager.TDSChannelThread 0120 TDSClientCallbackChannelManager.TDSChannelThread.Create 013e TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TryGetValue 0159 TDSClientCallbackChannelManager.NotifyChange 018f TDSClientCallbackChannelManager.ExecuteRemote 01c9 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Remove 01f4 TMonitor.Exit 01fa @HandleFinally 0211 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 45 FC 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 83 C0 10 8B D7 E8 ?? ?? ?? ?? 8B 45 F0 83 C0 14 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 89 42 18 8B 58 7C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 50 14 8B 45 F0 8B 40 18 8B 40 7C E8 ?? ?? ?? ?? 84 C0 0F 85 33 01 00 00 8B 45 08 50 8B 45 F0 8B 40 10 50 8B 45 F0 8B 40 18 8B 48 4C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F0 8B 50 14 8B 45 F0 8B 40 18 8B 40 7C 8B CB E8 ?? ?? ?? ?? 8B 45 F0 8B 70 18 8B 46 7C 83 78 08 01 75 72 C6 86 A8 00 00 00 01 8D 86 AC 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 18 50 8B 4D F0 85 C9 74 03 83 E9 DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 C6 40 0C 01 8D 4D F4 8B 45 F0 8B 50 14 8B 45 F0 8B 40 18 8B 40 7C E8 ?? ?? ?? ?? 84 C0 74 6A 8B 45 F4 50 8B 45 F0 8B 48 14 8B 45 F0 8B 40 18 33 D2 E8 ?? ?? ?? ?? EB 51 8B 45 F0 C6 40 0C 00 8B 45 F0 85 C0 74 03 83 E8 E0 50 8B 45 F0 85 C0 74 03 83 E8 E4 50 6A 00 8B 45 F0 8B 40 18 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 80 78 0C 00 74 14 53 8B 45 F0 8B 48 14 8B 45 F0 8B 40 18 B2 03 E8 ?? ?? ?? ?? 8B 45 F0 80 78 0C 00 75 14 8B 45 F0 8B 50 14 8B 45 F0 8B 40 18 8B 40 7C E8 ?? ?? ?? ?? 8B 45 F0 0F B6 40 0C 88 45 FB EB 04 C6 45 FB 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 40 18 8B 40 7C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 52 00 65 00 67 00 69 00 73 00 74 00 65 00 72 00 43 00 6C 00 69 00 65 00 6E 00 74 00 43 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 }
	condition:
		$1
}

rule function_17625_0 {
	meta:
		name = "TDSClientCallbackChannelManager.UnregisterCallback$516$ActRec.$0$Body"
		size = 96
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 14 8B 52 50 8B 08 FF 91 24 01 00 00 BA 01 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 10 8B 08 FF 91 24 01 00 00 BA 02 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 14 8B 52 38 8B 08 FF 91 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17626_0 {
	meta:
		name = "TDSClientCallbackChannelManager.UnregisterCallback$516$ActRec.$1$Body"
		size = 34
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 03 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 0C 88 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_17627_0 {
	meta:
		name = "TDSClientCallbackChannelManager.UnregisterCallback$516$ActRec.$2$Body"
		size = 68
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 14 8B 52 50 8B 08 FF 91 24 01 00 00 BA 01 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 14 8B 52 38 8B 08 FF 91 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17629_0 {
	meta:
		name = "TDSClientCallbackChannelManager.UnregisterCallback"
		size = 624
		refs = "0015 TDSClientCallbackChannelManager.UnregisterCallback 0022 _DV_TDSClientCallbackChannelManager.UnregisterCallback$516$ActRec 0027 TObject.Create 003c @IntfCopy 0049 @UStrAsg 0059 TMonitor.CheckMonitorSupport 0060 TMonitor.GetMonitor 0068 TMonitor.Enter 008a TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.ContainsKey 00bf TDSClientCallbackChannelManager.ExecuteRemote 00e3 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TryGetValue 00fa TDSClientCallbackChannelManager.NotifyChange 010e TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Remove 0166 EmptyStr 01ad TMonitor.Exit 01b3 @HandleFinally 01ca @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 45 FC 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 83 C0 10 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 89 42 14 8B 58 7C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 8B 50 10 8B 45 F0 8B 40 14 8B 40 7C E8 ?? ?? ?? ?? 84 C0 0F 84 FC 00 00 00 8B 45 F0 85 C0 74 03 83 E8 DC 50 8B 45 F0 85 C0 74 03 83 E8 E0 50 6A 00 8B 45 F0 8B 40 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 80 78 0C 00 0F 84 B6 00 00 00 8D 4D F4 8B 45 F0 8B 50 10 8B 45 F0 8B 40 14 8B 40 7C E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F0 8B 48 10 8B 45 F0 8B 40 14 B2 04 E8 ?? ?? ?? ?? 8B 45 F0 8B 50 10 8B 45 F0 8B 40 14 8B 40 7C E8 ?? ?? ?? ?? 8B 45 F0 8B 40 14 8B 50 7C 83 7A 08 00 75 65 8B 55 F0 85 D2 74 03 83 EA E4 52 8B 55 F0 85 D2 74 03 83 EA E8 52 6A 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 80 78 0C 00 74 35 8B 45 F0 8B 58 14 C6 83 A8 00 00 00 00 8D 83 AC 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 6A 00 8B 45 F0 8B 48 10 8B 45 F0 8B 40 14 B2 01 E8 ?? ?? ?? ?? 8B 45 F0 0F B6 40 0C 88 45 FB EB 04 C6 45 FB 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 40 14 8B 40 7C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 18 00 00 00 55 00 6E 00 72 00 65 00 67 00 69 00 73 00 74 00 65 00 72 00 43 00 6C 00 69 00 65 00 6E 00 74 00 43 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 43 00 6C 00 6F 00 73 00 65 00 43 00 6C 00 69 00 65 00 6E 00 74 00 43 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_17630_0 {
	meta:
		name = "TDSClientCallbackChannelManager.BroadcastToChannel$521$ActRec.$0$Body"
		size = 64
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 14 8B 08 FF 91 24 01 00 00 BA 01 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C B1 01 8B 53 10 8B 18 FF 93 B4 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17632_0 {
	meta:
		name = "TDSClientCallbackChannelManager.BroadcastToChannel"
		size = 292
		refs = "0019 @UStrAddRef 0021 TDSClientCallbackChannelManager.BroadcastToChannel 002e _DV_TDSClientCallbackChannelManager.BroadcastToChannel$521$ActRec 0033 TObject.Create 0046 @IntfCopy 0054 @UStrAsg 005d EmptyStr 0064 @UStrEqual 009c TDSClientCallbackChannelManager.ExecuteRemote 00b5 @IntfClear 00bd @UStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 7B 10 8D 43 14 8B 55 FC E8 ?? ?? ?? ?? 8B 43 14 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 0B 8D 43 14 8B 56 4C E8 ?? ?? ?? ?? C6 43 0C 00 8B C3 85 C0 74 03 83 E8 E4 50 8B C3 85 C0 74 03 83 E8 E8 50 6A 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 5B 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 42 00 72 00 6F 00 61 00 64 00 63 00 61 00 73 00 74 00 54 00 6F 00 43 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 }
	condition:
		$1
}

rule function_17633_0 {
	meta:
		name = "TDSClientCallbackChannelManager.BroadcastObjectToChannel$524$ActRec.$0$Body"
		size = 84
		refs = "0038 TDSClientCallbackChannelManager.MarshalData 004d TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 18 8B 08 FF 91 24 01 00 00 BA 01 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 50 8B 53 10 8B 43 14 E8 ?? ?? ?? ?? 8B D0 B1 01 58 8B 30 FF 96 B4 01 00 00 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17635_0 {
	meta:
		name = "TDSClientCallbackChannelManager.BroadcastObjectToChannel"
		size = 312
		refs = "0019 @UStrAddRef 0021 TDSClientCallbackChannelManager.BroadcastObjectToChannel 002e _DV_TDSClientCallbackChannelManager.BroadcastObjectToChannel$524$ActRec 0033 TObject.Create 0046 @IntfCopy 0057 @UStrAsg 0060 EmptyStr 0067 @UStrEqual 00a3 TDSClientCallbackChannelManager.ExecuteRemote 00bc @IntfClear 00c4 @UStrClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 7B 10 89 73 14 8D 43 18 8B 55 FC E8 ?? ?? ?? ?? 8B 43 18 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 0E 8D 43 18 8B 53 14 8B 52 4C E8 ?? ?? ?? ?? C6 43 0C 00 8B C3 85 C0 74 03 83 E8 E0 50 8B C3 85 C0 74 03 83 E8 E4 50 6A 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 0F B6 5B 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 42 00 72 00 6F 00 61 00 64 00 63 00 61 00 73 00 74 00 4F 00 62 00 6A 00 65 00 63 00 74 00 54 00 6F 00 43 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 }
	condition:
		$1
}

rule function_17636_0 {
	meta:
		name = "TDSClientCallbackChannelManager.NotifyCallback$527$ActRec.$0$Body"
		size = 92
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 1C 8B 08 FF 91 24 01 00 00 BA 01 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 18 8B 08 FF 91 24 01 00 00 BA 02 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C B1 01 8B 53 14 8B 18 FF 93 B4 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_17637_0 {
	meta:
		name = "TDSClientCallbackChannelManager.NotifyCallback$527$ActRec.$1$Body"
		size = 62
		altNames = "TDSClientCallbackChannelManager.NotifyObjectCallback$531$ActRec.$1$Body"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 03 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 92 BC 00 00 00 89 43 10 BA 04 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 0C 88 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_17638_0 {
	meta:
		name = "TDSClientCallbackChannelManager.NotifyCallback"
		size = 260
		refs = "0019 TDSClientCallbackChannelManager.NotifyCallback 0026 _DV_TDSClientCallbackChannelManager.NotifyCallback$527$ActRec 002b TObject.Create 003e @IntfCopy 004e @UStrAsg 0084 TDSClientCallbackChannelManager.ExecuteRemote 00a5 @IntfClear 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 0C 89 43 14 8D 43 18 8B D7 E8 ?? ?? ?? ?? 8D 43 1C 8B 55 F8 E8 ?? ?? ?? ?? C6 43 0C 00 8B C3 85 C0 74 03 83 E8 DC 50 8B C3 85 C0 74 03 83 E8 E0 50 6A 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 53 10 89 10 0F B6 5B 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4E 00 6F 00 74 00 69 00 66 00 79 00 43 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 }
	condition:
		$1
}

rule function_17639_0 {
	meta:
		name = "TDSClientCallbackChannelManager.NotifyChange"
		size = 221
		refs = "0014 TDSClientChannelEventItem 0019 @InitializeRecord 0021 TDSClientCallbackChannelManager.NotifyChange 005c @UStrLAsg 00a8 @HandleAnyException 00ad @DoneExcept 00c8 @FinalizeRecord 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B DA 8B F0 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 5C 00 74 04 84 DB 75 7C 80 FB 01 74 09 80 FB 02 74 04 33 C0 EB 02 B0 01 88 46 5C 66 83 BE 82 00 00 00 00 74 5F 88 5D E8 8D 45 EC 8B 56 50 E8 ?? ?? ?? ?? 89 75 F0 8D 45 F4 8B 56 4C E8 ?? ?? ?? ?? 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 45 08 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 8B D6 8B 86 84 00 00 00 FF 96 80 00 00 00 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17640_0 {
	meta:
		name = "TDSClientCallbackChannelManager.NotifyObjectCallback$531$ActRec.$0$Body"
		size = 112
		refs = "0054 TDSClientCallbackChannelManager.MarshalData 0069 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 20 8B 08 FF 91 24 01 00 00 BA 01 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 8B 53 1C 8B 08 FF 91 24 01 00 00 BA 02 00 00 00 8B C6 8B 08 FF 51 04 8B 10 FF 52 7C 50 8B 53 14 8B 43 18 E8 ?? ?? ?? ?? 8B D0 B1 01 58 8B 30 FF 96 B4 01 00 00 8B 43 14 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17642_0 {
	meta:
		name = "TDSClientCallbackChannelManager.NotifyObjectCallback"
		size = 344
		refs = "0018 TDSClientCallbackChannelManager.NotifyObjectCallback 0025 _DV_TDSClientCallbackChannelManager.NotifyObjectCallback$531$ActRec 002a TObject.Create 003f @IntfCopy 005b @UStrAsg 00aa TDSClientCallbackChannelManager.ExecuteRemote 00bb TDSClientCallbackChannelManager.UnMarshalJSON 00d8 TObject.Free 00de @HandleFinally 00fc @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8D 45 FC 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 0C 89 50 14 8B 45 F8 89 58 18 8B 45 F8 83 C0 1C 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 20 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 C6 40 0C 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 85 C0 74 03 83 E8 D8 50 8B 45 F8 85 C0 74 03 83 E8 DC 50 6A 00 8B 45 F8 8B 40 18 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 50 10 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 0F B6 58 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4E 00 6F 00 74 00 69 00 66 00 79 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 }
	condition:
		$1
}

rule function_17643_0 {
	meta:
		name = "TDSClientCallbackChannelManager.GetCallbackIds"
		size = 47
		refs = "0011 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.GetKeys 0022 TArray<System.string> 0027 @DynArrayClear"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 7C 85 FF 74 10 8B C7 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 04 EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17644_0 {
	meta:
		name = "TDSClientCallbackChannelManager.GetCallbackItem"
		size = 51
		refs = "0021 TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.TryGetValue"
	strings:
		$1 = { 53 56 57 55 51 8B F1 89 14 24 8B E8 33 DB 33 C0 89 06 8B 7D 7C 85 FF 74 12 8B CE 8B 14 24 8B C7 E8 ?? ?? ?? ?? 84 C0 74 02 B3 01 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17645_0 {
	meta:
		name = "TDSClientCallbackChannelManager.GetIPImplementationID"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TXMLDocument.GetNodeIndentStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 78 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98314_0 {
	meta:
		name = "TCustomWebAppDataModule.GetWebAppServices"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 78 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50247_0 {
	meta:
		name = "TXMLInspection.Get_Service"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 78 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50227_0 {
	meta:
		name = "TXMLServiceType.Get_Name"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 78 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17648_0 {
	meta:
		name = "TDSClientCallbackChannelManager.AddConverter"
		size = 95
		refs = "000f TDSClientCallbackChannelManager.AddConverter 0024 _Dn_TJSONMarshal 0029 TTypeMarshaller<Data.DBXJSON.TJSONValue>.ComposeKey 0039 TDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Add 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 4B 08 8B 53 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CB 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17649_0 {
	meta:
		name = "TDSClientCallbackChannelManager.AddReverter"
		size = 95
		refs = "000f TDSClientCallbackChannelManager.AddReverter 0024 _Dn_TJSONMarshal 0029 TTypeMarshaller<Data.DBXJSON.TJSONValue>.ComposeKey 0039 TDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Add 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 4B 08 8B 53 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CB 8B 86 A4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17650_0 {
	meta:
		name = "TDSClientCallbackChannelManager.MarshalData"
		size = 81
		refs = "000a TDSClientCallbackChannelManager.GetJSONMarshaler 0015 TDSClientCallbackChannelManager.MarshalData 003d TObject.Free 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 8B 08 FF 51 0C 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23297_0 {
	meta:
		name = "TDSServer.MarshalData"
		size = 81
		refs = "000a TDSServer.GetJSONMarshaler 0015 TDSServer.MarshalData 003d TObject.Free 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 8B 08 FF 51 0C 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17651_0 {
	meta:
		name = "TDSClientCallbackChannelManager.UnMarshalJSON"
		size = 81
		refs = "000a TDSClientCallbackChannelManager.GetJSONUnMarshaler 0015 TDSClientCallbackChannelManager.UnMarshalJSON 0025 TJSONUnMarshal.Unmarshal 003d TObject.Free 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23307_0 {
	meta:
		name = "TDSServer.UnMarshalJSON"
		size = 81
		refs = "000a TDSServer.GetJSONUnMarshaler 0015 TDSServer.UnMarshalJSON 0025 TJSONUnMarshal.Unmarshal 003d TObject.Free 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17653_0 {
	meta:
		name = "TDSClientCallbackChannelManager.SetIPImplementationID"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TXMLDocument.SetNodeIndentStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 78 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17654_0 {
	meta:
		name = "TDSClientCallbackChannelManager.TDSChannelCallback.Create"
		size = 86
		refs = "000b @ClassCreate 0044 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 4D 20 89 48 08 8B 4D 24 89 48 0C 8B 4D 18 89 48 10 8B 4D 1C 89 48 14 8B 4D 10 89 48 18 8B 4D 14 89 48 1C 8B 4D 08 89 48 20 8B 4D 0C 89 48 24 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 5D C2 20 00 }
	condition:
		$1
}

rule function_17656_0 {
	meta:
		name = "TDSClientCallbackChannelManager.TDSChannelCallback.Execute"
		size = 800
		refs = "001b TDSClientCallbackChannelManager.TDSChannelCallback.Execute 0029 _Dn_TJSONObject 002e @IsClass 003a SJSONValueNotObject 003f LoadResString 0049 _Dn_TDSServiceException 004e Exception.Create 0053 @RaiseExcept 0061 TJSONObject.Get 0092 TJSONPair.GetJsonString 00a6 AnsiCompareText 00b5 TJSONPair.GetJsonValue 00bb _Dn_TJSONArray 00c0 @AsClass 00ca TJSONArray.Get 00d0 _Dn_TJSONNumber 00da TJSONNumber.GetAsInt 0242 _Dn_TJSONTrue 0247 TJSONAncestor.Create 0258 SCommandNotImplemented 027a Format 02a8 @UStrArrayClr 02b0 @UStrClr 02b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F3 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 85 DB 0F 84 F8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 11 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 D5 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 02 75 52 8D 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8D 55 EC 8B 08 FF 11 8B 45 EC 50 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C8 5A 8B 47 14 FF 57 10 E9 5D 01 00 00 8D 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 11 8B 45 E8 50 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C8 5A 8B 47 0C FF 57 08 E9 0B 01 00 00 85 DB 0F 84 C1 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 8B 08 FF 11 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 9E 00 00 00 85 F6 74 0E 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 11 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 02 75 26 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B D0 8B 4D FC 8B 47 24 FF 57 20 EB 24 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B D0 8B 4D FC 8B 47 1C FF 57 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 42 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B C3 E8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 07 8D 55 D4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 69 00 6E 00 76 00 6F 00 6B 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 62 00 72 00 6F 00 61 00 64 00 63 00 61 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 00 00 }
	condition:
		$1
}

rule function_17657_0 {
	meta:
		name = "TDSClientCallbackChannelManager.TDSChannelThread.Create"
		size = 138
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TDSClientCallbackChannelManager.TDSChannelThread.Create 0036 @IntfCopy 004b TThread.Create 0060 @IntfClear 0066 @HandleFinally 0073 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 40 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 89 46 44 C6 46 0F 01 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_17658_0 {
	meta:
		name = "TDSClientCallbackChannelManager.TDSChannelThread.Destroy"
		size = 112
		refs = "0007 @BeforeDestruction 0015 TDSClientCallbackChannelManager.TDSChannelThread.Destroy 002d EmptyStr 0036 TDSClientCallbackChannelManager.NotifyChange 0052 TThread.Destroy 0058 @HandleFinally 0068 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 44 85 C0 74 11 6A 00 8B 0D ?? ?? ?? ?? 8B 09 B2 02 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_17659_0 {
	meta:
		name = "TDSClientCallbackChannelManager.TDSChannelThread.Execute"
		size = 48
		refs = "0007 TDSClientCallbackChannelManager.TDSChannelThread.Execute 0028 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 40 8B 10 FF 52 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_17660_0 {
	meta:
		name = "TDSDefaultResponseHandler.Close"
		size = 145
		refs = "000d TDSDefaultResponseHandler.Close 001e TDSSessionManager.FInstance 0027 TDSSessionManager.GetThreadSession 0035 SNoSessionFound 003a LoadResString 0044 _Dn_TDSServiceException 0049 Exception.Create 004e @RaiseExcept 005a TObject.Free 0080 @UStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 20 00 74 4B A1 ?? ?? ?? ?? 8B 00 8B 00 E8 ?? ?? ?? ?? 8B F0 85 F6 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 34 85 C0 74 0A E8 ?? ?? ?? ?? 33 C0 89 46 34 89 5E 34 EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17661_0 {
	meta:
		name = "TDSDefaultResponseHandler.Create"
		size = 81
		refs = "000e @ClassCreate 0028 TDSJsonResponseHandler.Create 003a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 75 10 56 0F B6 45 08 50 0F B6 4D 0C 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 20 00 89 77 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_17662_0 {
	meta:
		name = "TDSDefaultResponseHandler.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 0019 TDSJsonResponseHandler.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 08 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85451_0 {
	meta:
		name = "TseBitmapList.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 0019 TList.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 08 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17663_0 {
	meta:
		name = "TDSDefaultResponseHandler.HandleParameter"
		size = 100
		refs = "0049 _Dn_TJSONNull 004e TJSONAncestor.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B D8 8B 7D 08 8B 43 10 80 78 08 00 75 45 80 7B 15 00 74 3F 8B C6 8B 10 FF 52 50 83 F8 21 75 33 8B C6 8B 10 FF 52 7C B2 01 8B 08 FF 91 B4 00 00 00 89 07 83 3F 00 74 06 C6 43 20 01 EB 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 0C 89 02 B0 01 EB 02 33 C0 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_17664_0 {
	meta:
		name = "TDSDefaultResponseHandler.PopulateContent"
		size = 161
		refs = "001e TDSDefaultResponseHandler.PopulateContent 0046 StringOf 0081 TArray<System.Byte> 0086 @DynArrayClear 008e @UStrClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B D8 8B 45 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 C0 75 2B 83 7D F8 00 74 25 8D 4D F0 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 1C EB 18 85 C0 74 14 8B D0 8B 45 FC 8B 08 FF 51 0C 33 D2 8B 45 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17665_0 {
	meta:
		name = "TDSResponseHandlerFactory.CreateResponseHandler"
		size = 268
		refs = "0013 TDSResponseHandlerFactory.CreateResponseHandler 0048 _DV_TDSNullResponseHandler 004d TDSNullResponseHandler.Create 005e AnsiContainsStr 006e _DV_TDSCacheResponseHandler 0073 TDSCacheResponseHandler.Create 0089 _DV_TDSDefaultResponseHandler 008e TDSDefaultResponseHandler.Create 00c4 @UStrClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 0A 8D 55 FC 8B C6 8B 08 FF 51 24 84 DB 75 0D 85 F6 74 09 8B C6 8B 10 FF 52 04 8B D8 85 F6 75 15 53 6A 01 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 5E BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 15 53 6A 01 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 38 57 53 6A 01 0F B6 4F 08 80 F1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 7D 08 00 74 19 8B 45 08 66 83 78 52 00 74 0F 8B 45 08 8B 50 50 89 53 18 8B 50 54 89 53 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 72 00 65 00 73 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_17666_0 {
	meta:
		name = "TDSServiceResponseHandler.Create"
		size = 79
		refs = "000d @ClassCreate 001b _DV_TList<Datasnap.DSHTTPCommon.TDSExecutionResponse> 0020 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Create 0039 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 88 4E 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 0F B6 45 08 88 46 0C C6 46 0D 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17667_0 {
	meta:
		name = "TDSServiceResponseHandler.Destroy"
		size = 152
		refs = "000a @BeforeDestruction 0018 TDSServiceResponseHandler.Destroy 0047 TObject.Free 0056 @HandleAnyException 005b @DoneExcept 0077 TObject.Destroy 007d @HandleFinally 008d @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 10 FF 52 08 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 83 C0 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17668_0 {
	meta:
		name = "TDSServiceResponseHandler.GetOKStatus"
		size = 31
	strings:
		$1 = { 0F B6 40 04 48 2C 03 72 04 74 08 EB 0C B8 C8 00 00 00 C3 B8 C9 00 00 00 C3 B8 F5 01 00 00 C3 }
	condition:
		$1
}

rule function_17669_0 {
	meta:
		name = "TDSServiceResponseHandler.GetResultCount"
		size = 287
		refs = "0017 TMonitor.CheckMonitorSupport 001e TMonitor.GetMonitor 0026 TMonitor.Enter 002e TDSServiceResponseHandler.GetResultCount 003f TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.GetEnumerator 005a TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.TEnumerator.GetCurrent 00c7 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.TEnumerator.MoveNext 00ee @HandleFinally 010a TMonitor.Exit"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 45 FC 33 C0 89 45 F0 8B 45 FC 8B 58 08 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 6D 8B 45 E8 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 83 78 04 00 75 05 FF 45 F0 EB 54 8B 45 F8 8B 40 04 89 45 F4 8B 45 F4 8B 10 FF 52 34 8B 10 FF 52 08 8B F0 4E 85 F6 7C 37 46 C7 45 EC 00 00 00 00 8B 45 F4 8B 10 FF 52 34 8B 55 EC 8B 08 FF 51 04 8B 10 FF 52 40 8B D8 83 FB 02 74 0A 83 FB 03 74 05 83 FB 04 75 03 FF 45 F0 FF 45 EC 4E 75 D1 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 87 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 64 8F 05 00 00 00 00 83 C4 08 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B 45 F0 C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17670_0 {
	meta:
		name = "TDSServiceResponseHandler.AddCommand"
		size = 136
		refs = "001d TMonitor.CheckMonitorSupport 0024 TMonitor.GetMonitor 002c TMonitor.Enter 0034 TDSServiceResponseHandler.AddCommand 004c _DV_TDSExecutionResponse 0051 TDSExecutionResponse.Create 005e TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Add 0076 TMonitor.Exit 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 89 45 FC 85 DB 74 70 85 F6 74 6C 8B 45 FC 8B 78 08 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 45 FC 0F B6 40 0C 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17671_0 {
	meta:
		name = "TDSServiceResponseHandler.ClearCommands"
		size = 194
		refs = "0011 TMonitor.CheckMonitorSupport 0018 TMonitor.GetMonitor 0020 TMonitor.Enter 0028 TDSServiceResponseHandler.ClearCommands 0039 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.GetEnumerator 0054 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.TEnumerator.GetCurrent 005d TObject.Free 0065 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.TEnumerator.MoveNext 008c @HandleFinally 0099 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Clear 00b1 TMonitor.Exit"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC 8B 58 08 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 11 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17672_0 {
	meta:
		name = "TDSServiceResponseHandler.AddCommandError"
		size = 175
		refs = "0011 @UStrAddRef 0019 TDSServiceResponseHandler.AddCommandError 0030 TMonitor.CheckMonitorSupport 0037 TMonitor.GetMonitor 003f TMonitor.Enter 0057 _DV_TDSExecutionResponse 005c TDSExecutionResponse.Create 0069 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.Add 0081 TMonitor.Exit 0087 @HandleFinally 009e @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 64 8B 45 F8 8B 58 08 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17673_0 {
	meta:
		name = "TDSServiceResponseHandler.ByteContent"
		size = 150
		refs = "000f TDSServiceResponseHandler.ByteContent 002f TArray<System.Byte> 0034 @DynArraySetLength 006a @DynArrayAsg 0085 @DynArrayClear 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 41 8B C3 8B 10 FF 52 04 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C9 8B 55 FC 8B C3 8B 18 FF 53 08 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17674_0 {
	meta:
		name = "TDSExecutionResponse.Create"
		size = 74
		refs = "000d @ClassCreate 0029 @UStrClr 0034 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 8B 45 0C 89 46 08 0F B6 45 08 88 46 10 8D 46 0C E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_17675_0 {
	meta:
		name = "TDSExecutionResponse.Create"
		size = 125
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TDSExecutionResponse.Create 0040 @UStrAsg 0055 @UStrClr 005b @HandleFinally 0068 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 46 04 33 C0 89 46 08 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17676_0 {
	meta:
		name = "TDSExecutionResponse.Destroy"
		size = 107
		refs = "0004 @BeforeDestruction 002c TObject.Free 0058 TObject.Destroy 0063 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 77 04 85 F6 74 07 8B C6 8B 10 FF 52 5C 8B 77 08 85 F6 74 07 8B C6 8B 10 FF 52 64 8B 47 04 E8 ?? ?? ?? ?? 80 7F 10 00 74 13 83 7F 08 00 74 0D 8B 47 08 8B 40 30 E8 ?? ?? ?? ?? EB 08 8B 47 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17677_0 {
	meta:
		name = "TDSCacheResponseHandler.Create"
		size = 76
		refs = "000d @ClassCreate 0024 TDSJsonResponseHandler.Create 0036 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 0F B6 45 08 50 0F B6 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 24 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_17679_0 {
	meta:
		name = "TDSCacheResponseHandler.GetCacheObject"
		size = 31
		refs = "000e _DV_TDSCacheResultCommandHandler 0013 TDSCacheResultCommandHandler.Create"
	strings:
		$1 = { 53 8B D8 83 7B 20 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 8B 43 20 5B C3 }
	condition:
		$1
}

rule function_17680_0 {
	meta:
		name = "TDSCacheResponseHandler.GetComplexParams"
		size = 171
		refs = "0024 TDSCacheResponseHandler.GetCacheObject 0044 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.GetItem 007f _DV_TDSCommandComplexParams 0084 TDSCommandComplexParams.Create 0098 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Add"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 C0 89 45 F0 8B 45 F4 C7 00 FF FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 8B 78 08 4F 85 FF 7C 2D 47 33 F6 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B D8 8B 43 04 3B 45 F8 75 0A 8B 45 F4 89 30 89 5D F0 EB 43 46 4F 75 D6 80 7D 08 00 74 39 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B 55 F4 89 02 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 8B D3 E8 ?? ?? ?? ?? 89 5D F0 8B 45 F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17681_0 {
	meta:
		name = "TDSCacheResponseHandler.Close"
		size = 12
		refs = "0007 TObject.Free"
	strings:
		$1 = { 83 78 24 FF 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_17682_0 {
	meta:
		name = "TDSCacheResponseHandler.HandleParameter"
		size = 856
		refs = "0023 TDSCacheResponseHandler.HandleParameter 0032 _Dn_TDSSessionManager 0037 TDSSessionManager.GetThreadSession 0077 @UStrLAsg 00ab CompareText 0169 @UStrCopy 01dc TDSCacheResponseHandler.GetComplexParams 01eb TDSCommandComplexParams.AddParameter 0212 TDSCacheResponseHandler.GetCacheObject 021b TDSSessionCache.AddItem 023a IntToStr 026f @UStrCatN 0279 _Dn_TJSONString 027e TJSONString.Create 029d @UStrArrayClr 02b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 89 55 D4 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 D3 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 42 02 00 00 85 DB 0F 84 3A 02 00 00 8B C3 8B 10 FF 52 50 8B F0 83 FE 17 74 05 83 FE 1E 75 07 B0 01 E9 45 01 00 00 83 FE 25 0F 85 3A 01 00 00 8D 45 F8 8B 53 50 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 F0 8B 53 50 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 07 B0 01 E9 A1 00 00 00 8D 45 E8 8B 53 50 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 04 B0 01 EB 20 83 7D E8 00 74 06 83 7D E4 00 75 04 33 C0 EB 10 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 55 8D 45 E0 50 B9 05 00 00 00 BA 01 00 00 00 8B 43 50 E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 3B 45 DC 75 04 B0 01 EB 20 83 7D E0 00 74 06 83 7D DC 00 75 04 33 C0 EB 10 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 34 01 EB 02 33 C0 84 C0 74 04 B0 01 EB 06 83 FE 03 0F 94 C0 84 C0 74 04 B0 01 EB 06 83 FE 21 0F 94 C0 84 C0 0F 84 B7 00 00 00 6A 01 8D 4D CC 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 84 9F 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B D8 8B 77 30 85 F6 0F 84 8B 00 00 00 83 FB FF 0F 8E 82 00 00 00 8B 45 D8 83 78 24 FF 75 17 8B 45 D8 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 55 D8 89 42 24 8B 45 D8 8B 70 24 83 FE FF 7E 57 C6 45 D3 01 8D 55 C8 8B C6 E8 ?? ?? ?? ?? FF 75 C8 68 ?? ?? ?? ?? 8D 55 C4 8B 45 CC E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 8D 55 C0 8B C3 E8 ?? ?? ?? ?? FF 75 C0 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 D3 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 41 00 72 00 72 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_17683_0 {
	meta:
		name = "TDSCacheResponseHandler.PopulateContent"
		size = 184
		refs = "0016 TDSCacheResponseHandler.PopulateContent 0037 StringOf 0065 TArray<System.Byte> 006a @DynArrayClear 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 2F 8D 4D F4 8B D6 8B C3 8B 18 FF 53 0C 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 1C BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 72 00 65 00 73 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_17684_0 {
	meta:
		name = "TDSCacheResponseHandler.ProcessResultObject"
		size = 212
		refs = "0034 TDSCacheResponseHandler.GetComplexParams 0044 _Dn_TJSONNumber 0049 TJSONNumber.Create 004f TDSCacheResponseHandler.ProcessResultObject 0056 _Dn_TJSONPair 005b TJSONPair.Create 0064 TJSONObject.AddPair"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 83 3E 00 0F 84 82 00 00 00 83 7B 20 00 74 7C 8B 43 20 8B 40 08 83 78 08 00 7E 70 83 7B 24 FF 7E 6A 6A 00 8D 44 24 04 8B D1 8B CB 91 E8 ?? ?? ?? ?? 83 3C 24 FF 7E 54 8B 4B 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 06 E8 ?? ?? ?? ?? 8B 0C 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 06 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 61 00 63 00 68 00 65 00 49 00 64 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 6D 00 64 00 49 00 6E 00 64 00 65 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_17685_0 {
	meta:
		name = "TDSJsonResponseHandler.Create"
		size = 170
		refs = "0015 @ClassCreate 0025 TDSJsonResponseHandler.Create 0037 SRESTServiceMissing 003c LoadResString 0046 _Dn_TDSServiceException 004b Exception.Create 0050 @RaiseExcept 005e TDSServiceResponseHandler.Create 007d @UStrClr 0083 @HandleFinally 0092 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 46 10 50 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 10 0F B6 45 08 88 43 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_17686_0 {
	meta:
		name = "TDSJsonResponseHandler.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001d TObject.Free 0028 TDSServiceResponseHandler.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 14 00 74 10 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17687_0 {
	meta:
		name = "TDSJsonResponseHandler.GetCommandResponse"
		size = 820
		refs = "001d TDSJsonResponseHandler.GetCommandResponse 0051 _Dn_TJSONArray 0056 TJSONArray.Create 0066 _DV_TObjectList<Datasnap.DSService.TDBXRequestFilter> 006b TObjectList<Datasnap.DSService.TDBXRequestFilter>.Create 00be TList<Datasnap.DSService.TDBXRequestFilter>.Clear 010e @SetElem 011d TDSRequestFilterManager.FiltersForCriteria 0149 TList<Datasnap.DSService.TDBXRequestFilter>.GetItem 017e SCannotConvertParam 0183 LoadResString 0191 Format 019b _Dn_TDSServiceException 01a0 Exception.Create 01a5 @RaiseExcept 0212 TDBXJSONTools.DBXToJSON 0226 TJSONArray.AddElement 026d _Dn_TJSONString 0272 TJSONString.Create 027b _Dn_TJSONPair 0280 TJSONPair.Create 0289 _Dn_TJSONObject 028e TJSONObject.Create 02cf TObject.Free 02e3 @HandleFinally 02fa @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 33 DB 89 5D C8 89 5D B4 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 C6 45 EB 00 33 C0 89 45 E4 8B 45 08 33 D2 89 10 C6 45 DF 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 C6 45 EB 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8B 45 F8 8B 10 FF 52 34 8B 10 FF 52 08 48 85 C0 0F 8C AC 01 00 00 40 89 45 D8 33 DB 8B 45 F8 8B 10 FF 52 34 8B D3 8B 08 FF 51 04 8B 10 FF 52 40 83 F8 02 74 0E 83 F8 03 74 09 83 F8 04 0F 85 75 01 00 00 33 C0 89 45 EC 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 08 50 8B 45 F8 8B 10 FF 52 34 8B D3 8B 08 FF 51 04 8B C8 8B 55 F8 8B 45 FC 8B 30 FF 56 28 84 C0 0F 85 2B 01 00 00 8D 45 E4 50 8B 45 F8 8B 10 FF 52 34 8B 10 FF 52 08 48 3B D8 0F 94 C0 50 8B D3 8D 45 CC B1 09 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 FC 8B 40 10 59 E8 ?? ?? ?? ?? 8B 45 E4 83 78 08 01 0F 85 AF 00 00 00 8B 45 F8 8B 10 FF 52 34 8B D3 8B 08 FF 51 04 8B 10 FF 52 7C 50 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 0C 84 C0 75 52 8D 45 C8 50 89 5D B8 C6 45 BC 00 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 8B 40 04 89 45 C0 C6 45 C4 11 8D 45 B8 50 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 34 8B D3 8B 08 FF 51 04 8B 10 FF 52 7C 50 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 FC 8B 52 10 0F B6 4A 10 5A 8B 30 FF 56 10 89 45 EC EB 3C 8B 45 F8 8B 10 FF 52 34 8B D3 8B 08 FF 51 04 8B 10 FF 52 50 50 8B 45 F8 8B 10 FF 52 34 8B D3 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 52 10 0F B6 4A 10 5A E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 74 0B 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 43 FF 4D D8 0F 85 5A FE FF FF 8B 45 F0 89 45 EC 8B 45 FC 66 83 78 1A 00 74 17 8B 45 F8 50 8D 45 DF 50 8D 4D EC 8B 5D FC 8B 55 FC 8B 43 1C FF 53 18 80 7D DF 00 75 4C 8B 45 EC 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8D 55 E0 8B 4D F8 8B 45 FC 8B 18 FF 53 30 8B 45 F4 8B 55 E0 89 10 EB 08 8B 45 F4 8B 55 EC 89 10 C6 45 EB 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 80 7D EB 00 74 08 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_17688_0 {
	meta:
		name = "TDSJsonResponseHandler.GetResponse"
		size = 520
		refs = "003c _Dn_TJSONArray 0041 TJSONArray.Create 004c TDSJsonResponseHandler.GetResponse 005d TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.GetEnumerator 007b TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.TEnumerator.GetCurrent 0090 _Dn_TJSONObject 0095 TJSONObject.Create 00a7 _Dn_TJSONPair 00ac TJSONPair.Create 00b5 TJSONObject.AddPair 00c5 TJSONArray.AddElement 00fb TDSJsonResponseHandler.GetCommandResponse 010a @HandleOnException 0112 _Dn_Exception 012c _Dn_TJSONString 0131 TJSONString.Create 0139 @DoneExcept 0154 TObject.Free 0181 TList<Datasnap.DSHTTPCommon.TDSExecutionResponse>.TEnumerator.MoveNext 01ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 08 C6 00 00 8B 45 F4 33 D2 89 10 33 C0 89 45 EC 8B 45 FC 80 78 0D 00 75 0C 8B 45 FC 8B 40 08 83 78 08 01 7E 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 06 01 00 00 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 83 7B 04 00 75 51 8B 45 08 C6 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 0C 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 83 7D EC 00 74 0F 8B D6 8B 45 EC E8 ?? ?? ?? ?? E9 AF 00 00 00 8B 45 F8 89 30 E9 B5 00 00 00 33 C0 89 45 F0 8B 7B 04 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 50 8D 4D F0 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 34 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 45 E4 8B 45 08 C6 00 01 8B 45 E4 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 83 38 00 74 15 8B 45 F0 89 45 E0 33 C0 89 45 F0 8B 45 E0 E8 ?? ?? ?? ?? EB 23 83 7D EC 00 74 13 83 7D F0 00 74 17 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? EB 0A 8B 45 F8 8B 55 F0 89 10 EB 10 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 85 EA FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 83 38 00 75 10 83 7D EC 00 74 0A 8B 45 F8 8B 55 EC 89 10 EB 08 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 72 00 72 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_17689_0 {
	meta:
		name = "TDSJsonResponseHandler.PopulateResponse"
		size = 440
		refs = "001c TDSJsonResponseHandler.PopulateResponse 004e SCommandUnassigned 0053 LoadResString 005d _Dn_TDSServiceException 0062 Exception.Create 0067 @RaiseExcept 008c @UStrEqual 0096 @UStrClr 0170 TObject.Free 0176 @HandleFinally 0192 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E8 89 5D EC 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 C6 45 F3 00 8B C6 8B 10 FF 52 10 48 0F 94 C0 88 46 15 8B 46 08 85 C0 74 06 83 78 08 00 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 74 54 83 7B 0C 00 74 4E 8B 43 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 08 8D 43 0C E8 ?? ?? ?? ?? 8B 53 0C 8B 45 FC 8B 08 FF 51 1C 8D 55 E8 8B 45 FC 8B 08 FF 51 18 8B 45 E8 89 45 E4 8B 4D E4 85 C9 74 05 83 E9 04 8B 09 8B C1 99 52 50 8B 45 FC 8B 10 FF 52 24 EB 22 8D 45 F3 50 8D 4D F4 8D 55 F8 8B C6 8B 38 FF 57 1C 8B 45 F4 50 8B 4D F8 8B 55 FC 8B C6 8B 38 FF 57 2C 85 DB 74 13 83 7B 04 00 74 0D 8B 53 04 8B 45 FC 8B 08 FF 51 10 EB 26 80 7D F3 00 74 0F BA F4 01 00 00 8B 45 FC 8B 08 FF 51 10 EB 11 8B C6 8B 10 FF 52 14 8B D0 8B 45 FC 8B 08 FF 51 10 85 DB 74 11 83 7B 08 00 74 0B 8B 53 08 8B 45 FC 8B 08 FF 51 14 85 DB 74 11 83 7B 10 00 74 0B 8B 53 10 8B 45 FC 8B 08 FF 51 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_17691_0 {
	meta:
		name = "TDSCommandComplexParams.Create"
		size = 149
		refs = "000f @ClassCreate 001b TDSCommandComplexParams.Create 002d SCommandUnassigned 0032 LoadResString 003c _Dn_TDSServiceException 0041 Exception.Create 0046 @RaiseExcept 0050 _DV_TList<Data.DBXCommon.TDBXParameter> 0055 TList<Data.DBXCommon.TDBXParameter>.Create 006d @UStrClr 0073 @HandleFinally 0080 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 C9 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 4E 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17692_0 {
	meta:
		name = "TDSCommandComplexParams.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000f TList<Data.DBXCommon.TDBXParameter>.Clear 001f TObject.Free 002a TObject.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_17693_0 {
	meta:
		name = "TDSCommandComplexParams.AddParameter"
		size = 18
		refs = "000a TList<Data.DBXCommon.TDBXParameter>.Add"
	strings:
		$1 = { 56 8B 48 08 8B 71 08 8B C1 E8 ?? ?? ?? ?? 8B C6 5E C3 }
	condition:
		$1
}

rule function_17694_0 {
	meta:
		name = "TDSCommandComplexParams.GetParameter"
		size = 26
		refs = "0011 TList<Data.DBXCommon.TDBXParameter>.GetItem"
	strings:
		$1 = { 83 FA FF 7E 12 8B 48 08 3B 51 08 7D 0A 8B 40 08 E8 ?? ?? ?? ?? EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_17696_0 {
	meta:
		name = "TDSCacheResultCommandHandler.Create"
		size = 62
		refs = "000a @ClassCreate 0018 _DV_TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams> 001d TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Create 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_70953_0 {
	meta:
		name = "TConnectionPoints.Create"
		size = 62
		refs = "000a @ClassCreate 0018 _Dn_TList 001d TObject.Create 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_17697_0 {
	meta:
		name = "TDSCacheResultCommandHandler.Destroy"
		size = 197
		refs = "0008 @BeforeDestruction 0019 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.GetEnumerator 0024 TDSCacheResultCommandHandler.Destroy 0034 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.TEnumerator.GetCurrent 003d TObject.Free 0045 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.TEnumerator.MoveNext 006c @HandleFinally 0079 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.Clear 00ae TObject.Destroy 00bc @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 11 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17698_0 {
	meta:
		name = "TDSCacheResultCommandHandler.GetCommand"
		size = 42
		refs = "001b TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 FE FF 7E 1A 8B C3 8B 10 FF 12 3B F0 7D 10 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B 40 04 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_17700_0 {
	meta:
		name = "TDSCacheResultCommandHandler.GetCommandParameter"
		size = 158
		refs = "001f TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.GetEnumerator 002a TDSCacheResultCommandHandler.GetCommandParameter 003a TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.TEnumerator.GetCurrent 0048 TDSCommandComplexParams.GetParameterCount 0055 TDSCommandComplexParams.GetParameter 005d @TryFinallyExit 0067 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.TEnumerator.MoveNext 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 33 D2 89 55 FC 85 F6 74 7E 83 FF FF 7E 79 8B 40 08 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2D 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 3B 73 04 75 1E 8B C3 E8 ?? ?? ?? ?? 3B F8 7D 1F 8B D7 8B C3 E8 ?? ?? ?? ?? 89 45 FC E8 ?? ?? ?? ?? EB 31 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_17701_0 {
	meta:
		name = "TDSCacheResultCommandHandler.GetCommandParameter"
		size = 49
		refs = "001e TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.GetItem 0025 TDSCommandComplexParams.GetParameter"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 83 FE FF 7E 1D 8B C3 8B 10 FF 12 3B F0 7D 13 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17702_0 {
	meta:
		name = "TDSCacheResultCommandHandler.GetParameterCount"
		size = 42
		refs = "0019 TList<Datasnap.DSHTTPCommon.TDSCommandComplexParams>.GetItem 001e TDSCommandComplexParams.GetParameterCount"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 08 85 C0 74 12 8B D6 8B 43 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_17703_0 {
	meta:
		name = "TDSHTTPCacheContextService.Create"
		size = 73
		refs = "000e @ClassCreate 001d TDSRequestFilterManager.Create 0032 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 0F B6 45 08 88 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62807_0 {
	meta:
		name = "TStreamAdapter.Create"
		size = 73
		refs = "000e @ClassCreate 001d TObject.Create 0032 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 0F B6 45 08 88 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17704_0 {
	meta:
		name = "TDSHTTPCacheContextService.ParseRequst"
		size = 592
		refs = "001e @UStrAddRef 0026 TDSHTTPCacheContextService.ParseRequst 0058 Pos 0085 PosEx 00ca @UStrCopy 00d2 StrToInt 00e6 @HandleAnyException 00ef @DoneExcept 021f @UStrArrayClr 0227 @UStrClr 022d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 5D F0 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 C7 00 FF FF FF FF 8B 45 0C C7 00 FF FF FF FF 8B 45 08 C7 00 FF FF FF FF C6 45 F7 01 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 09 C6 45 F7 01 E9 9E 01 00 00 83 FB 01 7E 09 8B FB BB 01 00 00 00 EB 12 8D 4B 01 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B F7 83 FE 01 7D 0F 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 70 01 8D 43 01 3B F0 0F 8E 5D 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B CE 2B CB 49 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F8 89 02 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? C6 45 F7 00 E8 ?? ?? ?? ?? E9 11 01 00 00 E8 ?? ?? ?? ?? 3B F7 0F 85 04 01 00 00 8D 4F 01 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B DF 8B FE 3B DE 7E 0F 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 70 01 8D 43 01 3B F0 0F 8E D0 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 50 8B CE 2B CB 49 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? C6 45 F7 00 E8 ?? ?? ?? ?? E9 84 00 00 00 E8 ?? ?? ?? ?? 3B F7 75 7B 8D 4F 01 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B DF 3B DE 7E 0F 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 70 01 8D 7B 01 3B F7 7E 4D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 50 8B CE 2B CB 49 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 EB 15 E9 ?? ?? ?? ?? C6 45 F7 00 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_17705_0 {
	meta:
		name = "TDSHTTPCacheContextService.GetCacheContents"
		size = 245
		refs = "0016 TDSHTTPCacheContextService.GetCacheContents 0023 _Dn_TJSONObject 0028 TJSONObject.Create 0035 TDSSessionCache.GetItemIDs 0040 TList<System.Integer>.GetEnumerator 005b TList<System.Integer>.TEnumerator.GetCurrent 0069 TDSHTTPCacheContextService.GetCacheItemContents 0077 IntToStr 0081 _Dn_TJSONPair 0086 TJSONPair.Create 008f TJSONObject.AddPair 0097 TList<System.Integer>.TEnumerator.MoveNext 00be @HandleFinally 00cd TObject.Free 00e2 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 07 8B 46 0C 8B 40 30 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 3C 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 07 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 B8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17706_0 {
	meta:
		name = "TDSHTTPCacheContextService.GetCacheItemContents"
		size = 224
		refs = "0017 TDSSessionCache.GetItem 0024 _Dn_TJSONNull 0029 TJSONAncestor.Create 003a _Dn_TJSONArray 003f TJSONArray.Create 0069 TDSHTTPCacheContextService.GetCommandContents 007d TJSONArray.Add 0088 _Dn_TJSONObject 008d TJSONObject.Create 009c TDSHTTPCacheContextService.GetCacheItemContents 00a3 _Dn_TJSONPair 00a8 TJSONPair.Create 00b4 TJSONObject.AddPair"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 0C 24 8B EA 8B F8 8B 47 0C 8B 40 30 8B D5 E8 ?? ?? ?? ?? 8B D8 85 DB 75 16 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 14 24 89 02 E9 81 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 04 8B C3 8B 10 FF 12 48 85 C0 7C 33 40 89 C3 33 F6 33 C0 89 44 24 08 8D 44 24 08 50 8B CE 8B D5 8B C7 E8 ?? ?? ?? ?? 83 7C 24 08 00 74 0D 8B 54 24 08 8B 44 24 04 E8 ?? ?? ?? ?? 46 4B 75 D2 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 14 24 89 02 8B 44 24 04 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 04 24 8B 00 E8 ?? ?? ?? ?? 83 C4 0C 5D 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_17707_0 {
	meta:
		name = "TDSHTTPCacheContextService.GetCommandContents"
		size = 216
		refs = "0012 TDSSessionCache.GetItem 0022 _Dn_TJSONNull 0027 TJSONAncestor.Create 0042 _Dn_TJSONObject 0047 TJSONObject.Create 0053 _Dn_TJSONArray 0058 TJSONArray.Create 0081 TJSONArray.Add 0090 TDSHTTPCacheContextService.GetCommandContents 0097 _Dn_TJSONPair 009c TJSONPair.Create 00a8 TJSONObject.AddPair"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B 40 0C 8B 40 30 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 13 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 7A 8B 55 FC 8B 45 F8 8B 08 FF 51 04 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 02 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 4B 85 DB 7C 27 43 C7 45 F0 00 00 00 00 8B 4D F0 8B 55 FC 8B 45 F8 8B 30 FF 56 0C 8B 50 04 8B 45 F4 E8 ?? ?? ?? ?? FF 45 F0 4B 75 E1 8B 45 F4 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 00 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_17708_0 {
	meta:
		name = "TDSHTTPCacheContextService.GetOriginalParamIndex"
		size = 82
	strings:
		$1 = { 53 56 57 55 51 8B E9 8B FA C7 04 24 FF FF FF FF 85 FF 74 35 85 ED 74 31 8B C7 8B 10 FF 52 34 8B 10 FF 52 08 8B F0 4E 85 F6 7C 1E 46 33 DB 8B C7 8B 10 FF 52 34 8B D3 8B 08 FF 51 04 3B E8 75 05 89 1C 24 EB 04 43 4E 75 E5 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_17709_0 {
	meta:
		name = "TDSHTTPCacheContextService.InvalidRequest"
		size = 158
		refs = "0018 @UStrAddRef 0020 TDSHTTPCacheContextService.InvalidRequest 0042 SInvalidRequest 0047 LoadResString 0060 Format 008d @UStrArrayClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F8 89 5D F4 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 49 BA 90 01 00 00 8B C3 8B 08 FF 51 10 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 14 B2 01 8B C3 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_17710_0 {
	meta:
		name = "TDSHTTPCacheContextService.ProcessDELETERequest"
		size = 159
		refs = "0010 @UStrAddRef 0018 TDSHTTPCacheContextService.ProcessDELETERequest 0033 TDSHTTPCacheContextService.ParseRequst 004f TDSHTTPCacheContextService.InvalidRequest 0064 TDSSessionCache.ClearAllItems 0076 TDSSessionCache.RemoveItem 008b @UStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 45 F4 50 8D 4D FC 8B 55 08 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 83 7D F8 FF 75 06 83 7D F4 FF 74 0E 8B 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? EB 25 83 7D FC FF 75 0F 8B 43 0C 8B 40 30 B2 01 E8 ?? ?? ?? ?? EB 10 8B 43 0C 8B 40 30 B1 01 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_17711_0 {
	meta:
		name = "TDSHTTPCacheContextService.StreamsAsJSON"
		size = 256
		refs = "0012 TDSHTTPCacheContextService.StreamsAsJSON 0030 TStrings.GetValue 004c StrToBool 005e @HandleAnyException 0063 @DoneExcept 007c AnsiContainsStr 0098 @UStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B C3 8B 10 FF 52 0C 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 2F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8D 55 F4 8B C3 8B 08 FF 51 24 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 FB 0F B6 5D FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6A 00 73 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 6A 00 73 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_17712_0 {
	meta:
		name = "TDSHTTPCacheContextService.GetParameterValue"
		size = 787
		refs = "0028 TDSHTTPCacheContextService.GetParameterValue 003b TDSSessionCache.GetItem 0056 SNoCachItem 005b LoadResString 006f Format 0079 _Dn_TJSONString 007e TJSONString.Create 00ae SNoCacheParameter 0100 TDSHTTPCacheContextService.StreamsAsJSON 0139 _Dn_TJSONNull 013e TJSONAncestor.Create 0151 _DV_TObjectList<Datasnap.DSService.TDBXRequestFilter> 0156 TObjectList<Datasnap.DSService.TDBXRequestFilter>.Create 0173 TDSHTTPCacheContextService.GetOriginalParamIndex 01bc @SetElem 01c7 TDSRequestFilterManager.FiltersForCriteria 01f4 TList<Datasnap.DSService.TDBXRequestFilter>.GetItem 022c SCannotConvertParam 0249 _Dn_TDSServiceException 024e Exception.Create 0253 @RaiseExcept 02a3 TDBXJSONTools.DBXToJSON 02c2 TObject.Free 02c8 @HandleFinally 02e4 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 DB 89 5D B4 89 5D B0 89 5D D8 89 5D D4 89 5D E8 89 5D E4 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 0C 8B 40 30 8B D3 E8 ?? ?? ?? ?? 89 45 F8 8B 45 08 C6 00 00 83 7D F8 00 75 44 8D 45 E8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 89 5D DC C6 45 E0 00 8D 55 DC 33 C9 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 10 89 02 8B 45 08 C6 00 01 E9 3C 02 00 00 8B 4D 14 8B 55 18 8B 45 F8 8B 18 FF 53 0C 8B D8 85 DB 75 54 8D 45 D8 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 8B 55 18 89 55 C4 C6 45 C8 00 8B 55 14 89 55 CC C6 45 D0 00 8D 55 C4 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 10 89 02 8B 45 08 C6 00 01 E9 D4 01 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 75 44 8B C3 8B 10 FF 52 50 83 F8 21 75 38 8B C3 8B 10 FF 52 7C B2 01 8B 08 FF 91 B4 00 00 00 8B 55 0C 89 02 8B 45 0C 83 38 00 0F 85 98 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 10 89 02 E9 82 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 55 18 8B 45 F8 8B 08 FF 51 08 89 45 F4 8B CB 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 10 33 D2 89 10 83 7D EC FF 0F 8E ED 00 00 00 8D 45 F0 50 8B 45 F4 8B 10 FF 52 34 8B 10 FF 52 08 48 3B 45 EC 0F 94 C0 50 8B 55 EC 42 8D 45 B8 B1 09 E8 ?? ?? ?? ?? 8D 55 B8 8B C6 59 E8 ?? ?? ?? ?? 8B 45 F0 83 78 08 01 0F 85 AE 00 00 00 8B 45 F4 8B 10 FF 52 34 8B 55 EC 8B 08 FF 51 04 8B 10 FF 52 7C 50 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 0C 84 C0 75 55 8D 45 B4 50 8B 45 EC 89 45 C4 C6 45 C8 00 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 04 89 45 CC C6 45 D0 11 8D 45 C4 50 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D B4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 34 8B 55 EC 8B 08 FF 51 04 8B 10 FF 52 7C 50 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 0F B6 4E 10 5A 8B 38 FF 57 10 8B 55 10 89 02 8B 45 10 83 38 00 75 1E 8B C3 8B 10 FF 52 50 50 8B C3 8B 10 FF 52 7C 0F B6 4E 10 5A E8 ?? ?? ?? ?? 8B 55 10 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_17714_0 {
	meta:
		name = "TDSHTTPCacheContextService.ProcessGETRequest"
		size = 536
		refs = "001e @UStrAddRef 0026 TDSHTTPCacheContextService.ProcessGETRequest 0054 TDSHTTPCacheContextService.ParseRequst 0064 TDSHTTPCacheContextService.InvalidRequest 0079 TDSHTTPCacheContextService.GetCacheContents 008e TDSHTTPCacheContextService.GetCacheItemContents 00a7 TDSHTTPCacheContextService.GetCommandContents 00c9 TDSHTTPCacheContextService.GetParameterValue 010b @UStrLAsg 0121 _Dn_TJSONObject 0126 TJSONObject.Create 0137 _Dn_TJSONPair 013c TJSONPair.Create 0146 TJSONObject.AddPair 0153 TDSHTTPCacheContextService.ByteContent 015e StringOf 0183 TObject.Free 0199 @HandleFinally 01b1 TArray<System.Byte> 01b6 @DynArrayClear 01be @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D DC 89 5D D8 89 5D FC 8B F1 8B FA 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 33 C0 89 45 E8 33 C0 89 45 E4 C6 45 E3 00 8D 45 F4 50 8D 45 F0 50 8D 4D F8 8B 55 08 8B C3 E8 ?? ?? ?? ?? 84 C0 75 11 8B 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? E9 32 01 00 00 83 7D F8 FF 75 0C 8D 55 E8 8B C3 E8 ?? ?? ?? ?? EB 4E 83 7D F4 FF 75 0F 8D 4D E8 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 39 83 7D F0 FF 75 13 8D 45 E8 50 8B 4D F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 20 8B 45 F4 50 8B 45 F0 50 8D 45 E8 50 8D 45 E4 50 8D 45 E3 50 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D E4 00 74 15 8B 55 E4 8B C6 8B 08 FF 51 0C 33 D2 8B C6 8B 08 FF 51 44 EB 76 83 7D E8 00 74 70 80 7D E3 00 74 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 E8 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 EC E8 ?? ?? ?? ?? 8D 4D D8 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC 8B C6 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A 8B 45 EC E8 ?? ?? ?? ?? EB 0E 83 7D E8 00 74 08 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 72 00 72 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_17715_0 {
	meta:
		name = "TDSClientCallbackChannelManager.TDSExecuteThread.Create"
		size = 77
		refs = "000d @ClassCreate 002c TThread.Create 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 46 0F 00 89 4E 40 8B 45 08 89 46 44 33 C0 89 46 48 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_17717_0 {
	meta:
		name = "TDSClientCallbackChannelManager.TDSExecuteThread.Execute"
		size = 126
		refs = "000f TMonitor.CheckMonitorSupport 0016 TMonitor.GetMonitor 001e TMonitor.Enter 0029 TMonitor.Exit 0031 TDSClientCallbackChannelManager.TDSExecuteThread.Execute 006e TMonitor.Pulse 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 58 40 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 44 8B 45 FC 8B 40 40 8B 08 FF 11 8B 55 FC 89 42 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 78 0D 00 75 0B 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 5B 59 5D C3 }
	condition:
		$1
}

rule function_17719_0 {
	meta:
		name = "TDSNullResponseHandler.Create"
		size = 69
		refs = "000d @ClassCreate 0024 TDSJsonResponseHandler.Create 002f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 0F B6 45 08 50 0F B6 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_17720_0 {
	meta:
		name = "TActiveXControl.EnableModeless"
		size = 9
		altNames = "TAdapterNotifier.OnRequestEdit TCustomBinaryElementBehavior._create TCustomElementBehavior.GetFocusRect TCustomElementBehavior.GetLayoutInfo TCustomElementBehavior.GetTextDescent TCustomElementBehaviorFactory._create TCustomPaintedBehavior.GetEventTarget TDSNullResponseHandler.HandleParameter TElementNamespaceFactory._create TInvokeableVariantType.DoFunction TOleContainer.ContextSensitiveHelp TOleControl.ContextSensitiveHelp TOleControl.EnableModeless TOleControl.OnRequestEdit TOleControl.OnShowWindow TOleControl.SetStatusText TOleForm.ContextSensitiveHelp TOleForm.EnableModeless TStreamAdapter.Commit TWebBrowserEx.OnDocWindowActivate"
	strings:
		$1 = { 55 8B EC 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_17722_0 {
	meta:
		name = "TDSCallbackItem.Create"
		size = 129
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TDSCallbackItem.Create 0036 @UStrAsg 0057 @UStrClr 005d @HandleFinally 006a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 8B 45 0C 89 46 08 8B 45 08 89 46 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_17723_0 {
	meta:
		name = "TDSCallbackItem.Create"
		size = 191
		refs = "000f @ClassCreate 001e @UStrAddRef 002e TDSCallbackItem.Create 003f @UStrAsg 0053 EmptyStr 005a @UStrEqual 0063 _Dn_TStringList 0068 TStringList.Create 0077 TStrings.SetCommaText 008c @UStrClr 009a @HandleFinally 00a7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 47 04 8B 55 FC E8 ?? ?? ?? ?? 8B 45 0C 89 47 08 33 C0 89 47 0C 8B 45 08 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 0C 8B C6 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_17725_0 {
	meta:
		name = "TDSCallbackItem.ListeningOn"
		size = 116
		refs = "000f @UStrAddRef 0017 TDSCallbackItem.ListeningOn 0028 @UStrEqual 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 53 04 E8 ?? ?? ?? ?? 74 1E 8B 73 0C 85 F6 74 13 83 7D FC 00 74 0D 8B 55 FC 8B C6 8B 08 FF 51 54 40 7F 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_17812_0 {
	meta:
		name = "TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Hash 001c TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.GetBucketIndex 002b TPair<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.Create 003a TDictionary<System.string,Datasnap.DSHTTPCommon.TDSCallbackItem>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 8B C5 33 C9 8B D3 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57229_0 {
	meta:
		name = "TDictionary<System.IInterface,System.Pointer>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.IInterface,System.Pointer>.Hash 001c TDictionary<System.IInterface,System.Pointer>.GetBucketIndex 002b TPair<System.IInterface,System.Pointer>.Create 003a TDictionary<System.IInterface,System.Pointer>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 8B C5 33 C9 8B D3 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18927_0 {
	meta:
		name = "TDBXHTTPLayer.Create"
		size = 92
		refs = "000a @ClassCreate 0017 TFactoryObject.Create 001f TDBXHTTPLayer.Create 0024 @UStrAsg 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 24 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_18928_0 {
	meta:
		name = "TDBXHTTPLayer.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 001e TObject.Free 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 10 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18929_0 {
	meta:
		name = "TDBXHTTPLayer.HTTPProtocol"
		size = 44
		refs = "0006 TDBXHTTPLayer.HTTPProtocol 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 74 00 74 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_18930_0 {
	meta:
		name = "TDBXHTTPLayer.Close"
		size = 316
		refs = "0018 TDBXHTTPLayer.Close 002e @UStrEqual 003b _Dn_TStringList 0040 TStringList.Create 0056 @UStrCat3 0066 TStrings.SetValue 00a9 @HandleAnyException 00ae @DoneExcept 00c3 TObject.Free 00c9 @HandleFinally 00db @UStrAsg 00f5 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 A7 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 48 14 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 45 FC 8B 50 10 8B 45 FC 8B 40 18 8B 4D F8 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 83 C0 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_18931_0 {
	meta:
		name = "TDBXHTTPLayer.Open"
		size = 1768
		refs = "001a TDBXHTTPLayer.Open 0036 TDBXProperties.GetValue 0041 @UStrAsg 0063 @UStrCat 007f @UStrEqual 008a EmptyStr 0091 @UStrLAsg 0127 Format 0136 IPProcs 0167 Trim 0199 StrToIntDef 02c6 CompareText 0329 StrToInt 03b0 IIPProxyConnectionInfo 03ba @FinalizeArray 03c7 @UStrArrayClr 03cf @IntfClear 03fc @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 12 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 10 8D 4D CC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 CC 8D 43 1C E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8D 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? EB 24 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 66 83 7C 42 FE 2F 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C4 50 8D 55 98 8B C3 8B 08 FF 51 28 8B 45 98 89 45 9C C6 45 A0 11 8D 4D 94 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 94 89 45 A4 C6 45 A8 11 8D 4D 90 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 90 89 45 AC C6 45 B0 11 8B 45 FC 89 45 B4 C6 45 B8 11 8B 45 F8 89 45 BC C6 45 C0 11 8D 55 9C B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 50 8D 55 8C 8B 43 1C E8 ?? ?? ?? ?? 8B 45 8C 8D 4D C8 5A 8B 38 FF 57 44 8B 55 C8 8D 43 10 E8 ?? ?? ?? ?? 8D 4D 88 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 88 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 EE 00 00 00 8D 4D 84 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 84 BA B8 22 00 00 E8 ?? ?? ?? ?? 89 45 D0 83 7D D0 00 0F 8E C5 00 00 00 8D 4D E0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 4D DC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 80 8B 43 18 8B 40 04 8B 08 FF 51 5C 8B 45 80 8B 55 E4 8B 08 FF 51 20 8D 95 7C FF FF FF 8B 43 18 8B 40 04 8B 08 FF 51 5C 8B 85 7C FF FF FF 8B 55 D0 8B 08 FF 51 18 8D 95 78 FF FF FF 8B 43 18 8B 40 04 8B 08 FF 51 5C 8B 85 78 FF FF FF 8B 55 E0 8B 08 FF 51 28 8D 95 74 FF FF FF 8B 43 18 8B 40 04 8B 08 FF 51 5C 8B 85 74 FF FF FF 8B 55 DC 8B 08 FF 51 30 8D 95 70 FF FF FF 8B 43 18 8B 40 04 8B 08 FF 51 5C 8B 85 70 FF FF FF 50 8B 45 E0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 95 C2 58 8B 08 FF 51 38 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 45 D8 8B 55 E8 E8 ?? ?? ?? ?? 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 3B 45 D4 75 04 B0 01 EB 20 83 7D D8 00 74 06 83 7D D4 00 75 04 33 C0 EB 10 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 32 8D 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7D F4 00 74 0E 8B 4D F0 8B 55 F4 8B 43 18 8B 38 FF 57 1C 8D 4D EC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7D EC 00 75 0B 33 D2 8B C3 8B 08 FF 51 04 EB 38 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 04 8B C3 8B 10 FF 52 08 85 C0 7D 0B 33 D2 8B C3 8B 08 FF 51 04 EB 11 8B C3 8B 10 FF 52 08 8B D0 8B 43 18 8B 08 FF 51 14 8D 4D EC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7D EC 00 75 07 33 C0 89 43 0C EB 22 8B 45 EC E8 ?? ?? ?? ?? 8B F0 89 73 0C 85 F6 7D 07 33 C0 89 43 0C EB 0A 8B D6 8B 43 18 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 70 FF FF FF 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 84 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 50 00 49 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 52 00 4C 00 50 00 61 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 43 00 6F 00 6E 00 74 00 65 00 78 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 25 00 73 00 3A 00 2F 00 2F 00 25 00 73 00 3A 00 25 00 73 00 2F 00 25 00 73 00 25 00 73 00 74 00 75 00 6E 00 6E 00 65 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 48 00 6F 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 50 00 6F 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 55 00 73 00 65 00 72 00 6E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 53 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 53 00 63 00 68 00 65 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 62 00 61 00 73 00 69 00 63 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 53 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 55 00 73 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 44 00 53 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 43 00 6F 00 6D 00 6D 00 75 00 6E 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_18932_0 {
	meta:
		name = "TDBXHTTPLayer.Write"
		size = 820
		refs = "0022 TDBXHTTPLayer.Write 0034 _Dn_TDBXBytesStream 0039 TDBXBytesStream.Create 007b IntToStr 008b @UStrCatN 00a8 @HandleOnException 00b0 _Dn_Exception 00c0 _Dn_TDBXError 00c5 Exception.Create 00ca @RaiseExcept 00cf @DoneExcept 00ec BytesOf 00f8 TJSONObject.ParseJSONValue 010d SProtocolErrorJSON 0112 LoadResString 012b Format 0157 TJSONObject.Get 015c TJSONPair.GetJsonString 0170 @UStrEqual 0181 TJSONPair.GetJsonValue 01b6 TJSONArray.Get 01c8 @UStrAsg 01e3 StrToInt 01f5 SProtocolErrorWrite 0241 TObject.Free 0247 @HandleFinally 029a @UStrClr 02a7 @UStrArrayClr 02bd TArray<System.Byte> 02c2 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B CA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 99 52 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 FF 73 10 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? FF 75 E8 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 43 18 8B 4D F4 8B 38 FF 57 0C 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 18 8B 10 FF 12 3D C8 00 00 00 0F 85 68 01 00 00 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 B1 01 33 D2 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 3E 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 FC 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D0 8B 08 FF 11 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2A 33 D2 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 CC 8B 08 FF 11 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 C8 8B 08 FF 11 8B 55 C8 8D 43 14 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8D 55 C4 8B 08 FF 11 8B 45 C4 E8 ?? ?? ?? ?? 8B D8 3B F3 7E 43 8D 45 C0 50 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 89 75 AC C6 45 B0 00 89 5D B4 C6 45 B8 00 8D 55 AC B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 A8 8B 43 18 8B 08 FF 51 04 8B 4D A8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 BC BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B3 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3F 00 64 00 73 00 73 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 26 00 63 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 72 00 72 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_18933_0 {
	meta:
		name = "TDBXHTTPLayer.Read"
		size = 416
		refs = "0022 TDBXHTTPLayer.Read 0047 IntToStr 0057 @UStrCatN 00a8 SProtocolErrorSize 00ad LoadResString 00ce Format 00d8 _Dn_TDBXError 00dd Exception.Create 00e2 @RaiseExcept 0130 TObject.Free 0136 @HandleFinally 015a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D EC 89 5D E8 89 5D F4 89 5D F0 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC FF 73 10 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? FF 75 F0 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 18 8B 08 FF 51 10 89 45 F8 83 7D F8 00 0F 84 D1 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 12 52 50 8B C6 99 3B 54 24 04 75 09 3B 04 24 5A 58 73 4C EB 04 5A 58 7D 46 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 55 F8 89 55 D8 C6 45 DC 07 89 75 E0 C6 45 E4 00 8D 55 D8 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 12 8B C8 8B D7 8B 45 F8 8B 18 FF 53 04 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 C3 E9 ?? ?? ?? ?? EB C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3F 00 64 00 73 00 73 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 26 00 63 00 3D 00 00 00 }
	condition:
		$1
}

rule function_18935_0 {
	meta:
		name = "TDBXHTTPLayer.InitHTTPClient"
		size = 23
		refs = "0009 _DV_TDSHTTPNativeClient 000e TDSHTTPNativeClient.Create"
	strings:
		$1 = { 53 8B D8 8B 4B 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 5B C3 }
	condition:
		$1
}

rule function_18952_0 {
	meta:
		name = "TDBXHTTPSLayer.InitHTTPClient"
		size = 23
		refs = "0009 _DV_TDSHTTPSNativeClient 000e TDSHTTPSNativeClient.Create"
	strings:
		$1 = { 53 8B D8 8B 4B 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 5B C3 }
	condition:
		$1
}

rule function_18936_0 {
	meta:
		name = "TDSHTTPNativeClient.Create"
		size = 188
		refs = "0010 @ClassCreate 001e TDSHTTPNativeClient.Create 002d TObject.Create 0037 @UStrAsg 0042 PeerFactory 004f TIPPeerFactory.CreatePeer 005f @IntfCast 0081 @IntfClear 0087 @HandleFinally 0094 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 6A 00 8D 45 FC 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 57 0C E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 04 33 D2 8B 08 FF 91 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 00 00 D8 5B BD B8 9D C3 F1 4D BB 14 62 5F C8 60 29 DB }
	condition:
		$1
}

rule function_18937_0 {
	meta:
		name = "TDSHTTPNativeClient.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f @IntfClear 001a TObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18938_0 {
	meta:
		name = "TDSHTTPNativeClient.Get"
		size = 229
		refs = "001a @UStrAddRef 0022 TDSHTTPNativeClient.Get 002f _Dn_TMemoryStream 0034 TObject.Create 0063 TStream.SetPosition 0083 _DV_TDSHTTPNativeResponseStream 0088 TDSHTTPNativeResponseStream.Create 0099 @HandleAnyException 00a1 TObject.Free 00a6 @RaiseAgain 00ab @DoneExcept 00c0 @IntfClear 00c8 @UStrClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8B 43 04 8B 4D F8 8B 55 FC 8B 30 FF 56 7C 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F0 8B 43 04 8B 08 FF 51 50 8B 45 F0 8B 10 FF 52 44 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_18940_0 {
	meta:
		name = "TDSHTTPNativeClient.GetResponseText"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 51 4C 5E 5B C3 }
	condition:
		$1
}

rule function_18941_0 {
	meta:
		name = "TDSHTTPNativeClient.Post"
		size = 91
		refs = "0011 @UStrAddRef 0019 TDSHTTPNativeClient.Post 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CE 8B 55 FC 8B 43 04 8B 18 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_18942_0 {
	meta:
		name = "TDSHTTPNativeClient.Put"
		size = 91
		refs = "0011 @UStrAddRef 0019 TDSHTTPNativeClient.Put 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CE 8B 55 FC 8B 43 04 8B 18 FF 93 8C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_18943_0 {
	meta:
		name = "TDSHTTPNativeClient.SetBasicAuthentication"
		size = 176
		refs = "0014 TDSHTTPNativeClient.SetBasicAuthentication 0023 PeerFactory 0030 TIPPeerFactory.CreatePeer 0040 @IntfCast 0082 @IntfClear 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 53 0C E8 ?? ?? ?? ?? 8B 55 FC 8D 43 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B 43 08 8B 08 FF 51 20 8B D6 8B 43 08 8B 08 FF 51 18 8D 55 F8 8B 43 04 8B 08 FF 51 54 8B 45 F8 8B 53 08 8B 08 FF 91 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 00 00 AF 03 49 B4 07 A3 D5 47 AA 2C 6C 79 67 74 1C 9D }
	condition:
		$1
}

rule function_18944_0 {
	meta:
		name = "TDSHTTPNativeClient.SetConnectTimeout"
		size = 12
	strings:
		$1 = { 8B 40 04 8B 08 FF 91 A0 00 00 00 C3 }
	condition:
		$1
}

rule function_18947_0 {
	meta:
		name = "TDSHTTPNativeResponseStream.Create"
		size = 67
		refs = "000d @ClassCreate 002d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B CA 8B D8 8B 45 08 89 43 04 8B C6 99 89 43 08 89 53 0C 8B C3 84 C9 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_18948_0 {
	meta:
		name = "TDSHTTPNativeResponseStream.Destroy"
		size = 41
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_18949_0 {
	meta:
		name = "TDSHTTPNativeResponseStream.GetContentLength"
		size = 26
		altNames = "TXmlSignal.GetEndByteNumber"
	strings:
		$1 = { 83 C4 F8 8B 50 08 89 14 24 8B 50 0C 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_18950_0 {
	meta:
		name = "TDSHTTPNativeResponseStream.Read"
		size = 92
		refs = "0011 @DynArrayAddRef 0019 TDSHTTPNativeResponseStream.Read 0044 TArray<System.Byte> 0049 @DynArrayClear 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B CE 8B 43 04 8B 18 FF 53 0C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_18951_0 {
	meta:
		name = "TDBXHTTPSLayer.HTTPProtocol"
		size = 44
		refs = "0006 TDBXHTTPSLayer.HTTPProtocol 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 68 00 74 00 74 00 70 00 73 00 00 00 }
	condition:
		$1
}

rule function_18953_0 {
	meta:
		name = "TDBXHTTPSLayer.Open"
		size = 124
		refs = "000e TDBXHTTPLayer.Open 0018 TDBXHTTPSLayer.Open 001d TEventsCollection.GetEvent"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CC 8B 46 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 7C 24 02 00 74 10 FF 74 24 04 FF 74 24 04 8B 43 18 8B 10 FF 52 24 59 5A 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 56 00 61 00 6C 00 69 00 64 00 61 00 74 00 65 00 50 00 65 00 65 00 72 00 43 00 65 00 72 00 74 00 69 00 66 00 69 00 63 00 61 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_18954_0 {
	meta:
		name = "TDSHTTPSNativeClient.Create"
		size = 272
		refs = "0015 @ClassCreate 0024 TDSHTTPSNativeClient.Create 0035 TDSHTTPNativeClient.Create 004b _Dn_TComponent 0050 @AsClass 005a PeerFactory 0066 TIPPeerFactory.CreatePeer 0076 @IntfCast 007c TDSHTTPSNativeClient.IdValidateCertificate 00be @IntfClear 00d4 @HandleFinally 00e3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FB 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 10 89 43 14 8B 43 04 8B 10 FF 52 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 45 F4 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 60 8D 55 F0 8B 45 FC 8B 08 FF 51 64 8B 45 F0 0F B6 15 ?? ?? ?? ?? 8B 08 FF 51 18 8B 43 04 8B 55 FC 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C3 00 00 00 A0 64 D1 19 B6 81 35 45 98 89 F1 78 48 6E FE FA 04 00 00 00 }
	condition:
		$1
}

rule function_18955_0 {
	meta:
		name = "TDSHTTPSNativeClient.IdValidateCertificate"
		size = 167
		refs = "0010 @IntfAddRef 0018 TDSHTTPSNativeClient.IdValidateCertificate 0035 _Dn_TX509CertificateIndy 003a TX509CertificateIndy.Create 0073 TObject.Free 0079 @HandleFinally 0090 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 66 83 7B 12 00 74 52 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8D 45 FB 50 8B 4D F4 8B D3 8B 43 14 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_18956_0 {
	meta:
		name = "TDSHTTPSNativeClient.SetPeerCertificateValidation"
		size = 19
		altNames = "TIWBaseHTMLComponentImplementation.setOnHTMLTag"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 10 8B 55 0C 89 50 14 5D C2 08 00 }
	condition:
		$1
}

rule function_18959_0 {
	meta:
		name = "Finalization"
		size = 80
		refs = "0002 _DV_5 0009 Finalization 000e TDBXCommunicationLayerFactory.UnregisterLayer"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 14 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 74 00 74 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 68 00 74 00 74 00 70 00 73 00 00 00 }
	condition:
		$1
}

rule function_18960_0 {
	meta:
		name = "Datasnap.DSHTTPLayer"
		size = 92
		refs = "0002 _DV_5 000b _DV_TDBXHTTPLayer 0010 Datasnap.DSHTTPLayer 0015 TDBXCommunicationLayerFactory.RegisterLayer 001b _DV_TDBXHTTPSLayer"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 20 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 74 00 74 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 68 00 74 00 74 00 70 00 73 00 00 00 }
	condition:
		$1
}

rule function_18967_0 {
	meta:
		name = "TDSHTTPServiceProxyDispatcher.Create"
		size = 400
		refs = "000a @ClassCreate 0017 TDSCustomHTTPServiceFileDispatcher.Create 001c TDSHTTPServiceProxyDispatcher.Create 0023 TDSCustomHTTPServiceFileDispatcher.SetRootDirectory 002a TDSCustomHTTPServiceFileDispatcher.GetWebDirectories 002f TCollection.Clear 0036 TDSCustomHTTPServiceFileDispatcher.GetWebFileExtensions 0052 _Dn_TWebDirectoryItem 0057 TWebDirectoryItem.Create 007f TDSHTTPServiceProxyDispatcher.SetRequiredProxyFilesPath 0099 _Dn_TWebFileExtensionItem 009e TWebFileExtensionItem.Create 00a8 TDSHTTPServiceProxyDispatcher.OnBeforeDispatch 00b3 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 76 44 C7 46 40 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5C 00 70 00 72 00 6F 00 78 00 79 00 5C 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 5C 00 70 00 72 00 6F 00 78 00 79 00 5C 00 2A 00 5C 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 70 00 72 00 6F 00 78 00 79 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 2D 00 7A 00 69 00 70 00 2D 00 63 00 6F 00 6D 00 70 00 72 00 65 00 73 00 73 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 7A 00 69 00 70 00 00 00 }
	condition:
		$1
}

rule function_20944_0 {
	meta:
		name = "TDSProxyDispatcher.Create"
		size = 400
		refs = "000a @ClassCreate 0017 TCustomWebFileDispatcher.Create 001c TDSProxyDispatcher.Create 0023 TCustomWebFileDispatcher.SetRootDirectory 002a TCustomWebFileDispatcher.GetWebDirectories 002f TCollection.Clear 0036 TCustomWebFileDispatcher.GetWebFileExtensions 0052 _Dn_TWebDirectoryItem 0057 TWebDirectoryItem.Create 007f TDSProxyDispatcher.SetRequiredProxyFilesPath 0099 _Dn_TWebFileExtensionItem 009e TWebFileExtensionItem.Create 00a8 TDSProxyDispatcher.OnBeforeDispatch 00b3 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 76 44 C7 46 40 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5C 00 70 00 72 00 6F 00 78 00 79 00 5C 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 5C 00 70 00 72 00 6F 00 78 00 79 00 5C 00 2A 00 5C 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 70 00 72 00 6F 00 78 00 79 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 2D 00 7A 00 69 00 70 00 2D 00 63 00 6F 00 6D 00 70 00 72 00 65 00 73 00 73 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 7A 00 69 00 70 00 00 00 }
	condition:
		$1
}

rule function_18968_0 {
	meta:
		name = "TDSHTTPServiceProxyDispatcher.CreateZipFile"
		size = 96
		refs = "0010 @UStrAddRef 0020 TDSHTTPServiceProxyDispatcher.CreateZipFile 0031 _Dn_TDSProxyUtils 0036 TDSProxyUtils.CompressDirectory 0050 @UStrArrayClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_20945_0 {
	meta:
		name = "TDSProxyDispatcher.CreateZipFile"
		size = 96
		refs = "0010 @UStrAddRef 0020 TDSProxyDispatcher.CreateZipFile 0031 _Dn_TDSProxyUtils 0036 TDSProxyUtils.CompressDirectory 0050 @UStrArrayClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_18969_0 {
	meta:
		name = "TDSHTTPServiceProxyDispatcher.BuildAvailableProxies"
		size = 271
		refs = "0017 TDSHTTPServiceProxyDispatcher.BuildAvailableProxies 0033 _DV_TDictionary<System.string,System.string> 0038 TDictionary<System.string,System.string>.Create 0046 TDSProxyWriterFactory.RegisteredWritersList 005e @UStrLAsg 0066 TDSProxyWriterFactory.GetWriter 0093 TDictionary<System.string,System.string>.AddOrSetValue 00a8 TObject.Free 00ae @HandleFinally 00bb @DynArrayLength 00c9 TDBXStringArray 00ce @DynArrayClear 00e4 TDSProxyWriterProperties 00e9 @FinalizeRecord 00ff @UStrClr"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 78 54 00 0F 85 A4 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 42 54 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 EC EB 66 8D 45 FC 8B 55 F8 8B 4D EC 8B 14 8A E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 CC 8B 45 F0 8B 08 FF 51 08 8B 55 E4 8B 45 F4 8B 40 54 8B 4D FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 EC 8B 45 F8 E8 ?? ?? ?? ?? 3B 45 EC 7F 8D 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 8B E5 5D C3 }
	condition:
		$1
}

rule function_18970_0 {
	meta:
		name = "TDSHTTPServiceProxyDispatcher.isSupportedProxy"
		size = 51
		refs = "0017 TDSHTTPServiceProxyDispatcher.BuildAvailableProxies 001e @UStrClr 002a TDictionary<System.string,System.string>.TryGetValue"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B C3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 54 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_18971_0 {
	meta:
		name = "TDSHTTPServiceProxyDispatcher.Notification"
		size = 39
		refs = "0010 TDSHTTPServiceComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0A 3B 77 58 75 05 33 C0 89 47 58 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98062_0 {
	meta:
		name = "TAdapterControlGroup.Notification"
		size = 39
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0A 3B 77 58 75 05 33 C0 89 47 58 5F 5E 5B C3 }
	condition:
		$1
}

rule function_18972_0 {
	meta:
		name = "TDSHTTPServiceProxyDispatcher.GetLanguage"
		size = 132
		refs = "0011 TDSHTTPServiceProxyDispatcher.GetLanguage 0021 LowerCase 0031 SplitString 003d @UStrAsg 0052 @UStrClr 005b TStringDynArray 0060 @DynArrayClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC 8B 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_20948_0 {
	meta:
		name = "TDSProxyDispatcher.GetLanguage"
		size = 132
		refs = "0011 TDSProxyDispatcher.GetLanguage 0021 LowerCase 0031 SplitString 003d @UStrAsg 0052 @UStrClr 005b TStringDynArray 0060 @DynArrayClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC 8B 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_18973_0 {
	meta:
		name = "TDSHTTPServiceProxyDispatcher.OnBeforeDispatch"
		size = 980
		refs = "001e TDSHTTPServiceProxyDispatcher.OnBeforeDispatch 004d WebApplicationDirectory 0062 ExtractFileName 0072 @UStrCatN 0094 TDSHTTPServiceProxyDispatcher.GetLanguage 009c @UStrClr 00a8 TDSHTTPServiceProxyDispatcher.isSupportedProxy 00bc FileExists 00d3 FileAge 00df WebApplicationFileName 0118 @UStrAsg 0122 DirectoryExists 0131 IncludeTrailingPathDelimiter 013f @UStrCat3 0177 TDSCustomProxyGenerator.WriterProperties 01a0 TDSCustomProxyGenerator.FileDescriptions 01be TDSCustomProxyGenerator.Write 01c6 DeleteFile 01d3 TDSHTTPServiceProxyDispatcher.CreateZipFile 01e1 _Dn_Exception 01e6 Exception.Create 01eb @RaiseExcept 01fa @HandleOnException 0202 _Dn_EFCreateError 026f @DoneExcept 0285 TDSProxyFileDescriptions 028a @DynArrayClear 0293 TDSProxyWriterProperties 0298 @FinalizeRecord 02a5 @UStrArrayClr 02b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 0C 8B 08 FF 51 3C 8B 45 08 C6 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 D4 E8 ?? ?? ?? ?? FF 75 D4 FF 77 50 68 ?? ?? ?? ?? 8D 55 D0 8B C6 E8 ?? ?? ?? ?? FF 75 D0 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 83 7F 58 00 0F 84 6F 01 00 00 8D 55 CC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 CC 8D 4D FC 8B C7 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 25 01 00 00 33 DB B2 01 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 02 B3 01 84 DB 75 3C 8D 55 E0 B1 01 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 25 8D 45 C8 E8 ?? ?? ?? ?? 8B 45 C8 8D 55 D8 B1 01 E8 ?? ?? ?? ?? 84 C0 74 0C DD 45 E0 DC 5D D8 9B DF E0 9E 72 04 33 DB EB 02 B3 01 84 DB 0F 84 E1 00 00 00 8B 47 58 83 C0 50 8B 55 F8 E8 ?? ?? ?? ?? 8B 47 50 B2 01 E8 ?? ?? ?? ?? 84 C0 74 1B 8D 55 C4 8B 47 50 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F0 8B 4D FC E8 ?? ?? ?? ?? EB 23 8D 45 C0 E8 ?? ?? ?? ?? FF 75 C0 FF 77 50 68 ?? ?? ?? ?? FF 75 FC 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 55 A0 8B 47 58 E8 ?? ?? ?? ?? FF 75 B4 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 47 58 83 C0 38 8B 55 EC E8 ?? ?? ?? ?? 8D 55 9C 8B 47 58 E8 ?? ?? ?? ?? 8B 45 9C 8B 48 04 8B 47 58 83 C0 3C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 58 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F0 8B C7 E8 ?? ?? ?? ?? EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 7A E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 C6 00 01 BA F4 01 00 00 8B 45 0C 8B 08 FF 51 10 BA ?? ?? ?? ?? 8B 45 0C 8B 08 FF 51 3C BA ?? ?? ?? ?? 8B 45 0C 8B 08 FF 51 14 EB 2D 89 C3 8B 45 08 C6 00 01 BA F4 01 00 00 8B 45 0C 8B 08 FF 51 10 BA ?? ?? ?? ?? 8B 45 0C 8B 08 FF 51 3C 8B 53 04 8B 45 0C 8B 08 FF 51 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 5F 5E 5B 8B E5 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 6F 00 63 00 74 00 65 00 74 00 2D 00 73 00 74 00 72 00 65 00 61 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 4C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 74 00 65 00 78 00 74 00 2F 00 70 00 6C 00 61 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 43 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 63 00 72 00 65 00 61 00 74 00 65 00 20 00 70 00 72 00 6F 00 78 00 79 00 20 00 66 00 69 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_18974_0 {
	meta:
		name = "TDSHTTPServiceProxyDispatcher.SetDSProxyGenerator"
		size = 4
		altNames = "TIWProgressIndicator.SetBoxColor"
	strings:
		$1 = { 89 50 58 C3 }
	condition:
		$1
}

rule function_19162_0 {
	meta:
		name = "GetDataSnapWebModule"
		size = 12
		refs = "0001 @GetTls 0007 DataSnapWebModule"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48821_0 {
	meta:
		name = "GetRemotableDataContext"
		size = 12
		refs = "0001 @GetTls 0007 RemotableDataContext"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49509_0 {
	meta:
		name = "GetSOAPWebModule"
		size = 12
		refs = "0001 @GetTls 0007 SOAPWebModule"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45311_0 {
	meta:
		name = "GetWebApplicationThreadVar"
		size = 12
		refs = "0001 @GetTls 0007 WebApplication"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96446_0 {
	meta:
		name = "GetWebContext"
		size = 12
		refs = "0001 @GetTls 0007 WebContext"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63983_0 {
	meta:
		name = "RaiseList"
		size = 12
		refs = "0001 @GetTls 0007 RaiseListPtr"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96650_0 {
	meta:
		name = "TCustomIpClient.GetThreadObject"
		size = 12
		refs = "0001 @GetTls 0007 ThreadObject"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24355_0 {
	meta:
		name = "TDSSessionManager.GetThreadSession"
		size = 12
		refs = "0001 @GetTls 0007 VDSSession"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19163_0 {
	meta:
		name = "TDSHTTPWebDispatcher.Create"
		size = 128
		refs = "000e @ClassCreate 001c TDSHTTPServerTransport.Create 0025 _Dn_TWebDispatch 002a TWebDispatch.Create 0039 TDSHTTPWebDispatcher.Create 003e TWebDispatch.SetPathInfo 004b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 98 00 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 64 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 2A 00 00 00 }
	condition:
		$1
}

rule function_19165_0 {
	meta:
		name = "TDSHTTPWebDispatcher.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TDSHTTPServerTransport.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 98 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71432_0 {
	meta:
		name = "TClientSocket.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TComponent.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 98 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71436_0 {
	meta:
		name = "TCustomServerSocket.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TComponent.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 98 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19168_0 {
	meta:
		name = "TCustomAdapterGrid.SetRowAttributes"
		size = 12
		altNames = "TDSHTTPWebDispatcher.SetWebDispatch TIdResponseHeaderInfo.SetProxyAuthenticate"
	strings:
		$1 = { 8B 80 98 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_19170_0 {
	meta:
		name = "TDSHTTPWebDispatcher.DispatchMask"
		size = 12
		refs = "0007 TWebDispatch.GetMask"
	strings:
		$1 = { 8B 80 98 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71435_0 {
	meta:
		name = "TClientSocket.SetClientType"
		size = 12
		refs = "0007 TClientWinSocket.SetClientType"
	strings:
		$1 = { 8B 80 98 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71439_0 {
	meta:
		name = "TCustomServerSocket.SetServerType"
		size = 12
		refs = "0007 TServerWinSocket.SetServerType"
	strings:
		$1 = { 8B 80 98 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71445_0 {
	meta:
		name = "TCustomServerSocket.SetThreadCacheSize"
		size = 12
		refs = "0007 TServerWinSocket.SetThreadCacheSize"
	strings:
		$1 = { 8B 80 98 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19171_0 {
	meta:
		name = "TDSHTTPWebDispatcher.DispatchMethodType"
		size = 11
	strings:
		$1 = { 8B 80 98 00 00 00 0F B6 40 08 C3 }
	condition:
		$1
}

rule function_19172_0 {
	meta:
		name = "TDSHTTPWebDispatcher.DispatchRequest"
		size = 227
		refs = "000f TDSHTTPWebDispatcher.DispatchRequest 0020 _Dn_TWebModule 0025 @IsClass 002e @GetTls 0034 DataSnapWebModule 0057 TDSHTTPServerTransport.RequiresServer 0064 TDSHTTPServerWebBroker.DispatchDataSnap 0077 @HandleOnException 007f _Dn_Exception 0099 @DoneExcept 00a8 @HandleAnyException 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B E8 ?? ?? ?? ?? 89 B0 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? 8B 43 58 8B 4D 08 8B D7 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 EB 27 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? BA F4 01 00 00 8B 45 08 8B 08 FF 51 28 C6 45 FF 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 FF 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_19173_0 {
	meta:
		name = "TDSHTTPServerWebBroker.Decode"
		size = 75
		refs = "000e @UStrAddRef 0016 TDSHTTPServerWebBroker.Decode 0026 @UStrAsg 003b @UStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_19174_0 {
	meta:
		name = "TDSHTTPServerWebBroker.DispatchDataSnap"
		size = 143
		refs = "000f _DV_TDSHTTPRequestWebBroker 0016 TDSHTTPRequestWebBroker.Create 0022 _DV_TDSHTTPResponseWebBroker 0027 TDSHTTPResponseWebBroker.Create 0031 _DV_TDSHTTPContextWebBroker 0036 TObject.Create 0041 TDSHTTPServerWebBroker.DispatchDataSnap 0058 TDSHTTPServer.DoCommand 006d TObject.Free 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B D8 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8B 4D FC 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19175_0 {
	meta:
		name = "TAggregatedObject.Create"
		size = 35
		refs = "0008 @ClassCreate 0014 @AfterConstruction"
		altNames = "TAutoDispatch.Create TDSHTTPRequestWebBroker.Create TDSHTTPResponseWebBroker.Create TDispatchFileRequest.Create TEventDispatch.Create TReleaseObject.Create TSeStyleDrawing.Create TSeStyleMetrics.Create"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 04 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_19176_0 {
	meta:
		name = "TBaseWebModuleFactory.GetCacheMode"
		size = 5
		altNames = "TDSHTTPResponseWebBroker.GetCloseConnection TMatch.GetSuccess TWebContainedComponentHelper.IsDefaultField"
	strings:
		$1 = { 0F B6 40 08 C3 }
	condition:
		$1
}

rule function_19177_0 {
	meta:
		name = "TDSHTTPResponseWebBroker.GetContentLength"
		size = 35
	strings:
		$1 = { 53 83 C4 F8 8B D8 33 D2 8B 43 04 8B 08 FF 51 10 99 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_19180_0 {
	meta:
		name = "TDSHTTPResponseWebBroker.GetContentType"
		size = 64
		refs = "0009 TDSHTTPResponseWebBroker.GetContentType 0011 TWebResponse.GetCustomHeader"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_19181_0 {
	meta:
		name = "TDSHTTPResponseWebBroker.GetFreeContentStream"
		size = 8
	strings:
		$1 = { 8B 40 04 0F B6 40 04 C3 }
	condition:
		$1
}

rule function_19182_0 {
	meta:
		name = "TDSHTTPResponseWebBroker.GetPragma"
		size = 52
		refs = "0009 TDSHTTPResponseWebBroker.GetPragma 0011 TWebResponse.GetCustomHeader"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 72 00 61 00 67 00 6D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_19183_0 {
	meta:
		name = "TDSHTTPResponseWebBroker.GetResponseNo"
		size = 9
	strings:
		$1 = { 8B 40 04 8B 10 FF 52 24 C3 }
	condition:
		$1
}

rule function_19184_0 {
	meta:
		name = "TDSHTTPResponseWebBroker.GetResponseText"
		size = 84
		refs = "000f TDSHTTPResponseWebBroker.GetResponseText 002e @UStrFromLStr 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA 01 00 00 00 8B 43 04 8B 18 FF 13 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19185_0 {
	meta:
		name = "TDSHTTPResponseWebBroker.SetCloseConnection"
		size = 4
		altNames = "TDomTreeWalker.SetExpandEntityReferences TTIWComboboxes.SetBackColors TTIWHTMLEdGlyphs.SetBold TUnicodeCodec.SetReadLFOption"
	strings:
		$1 = { 88 50 08 C3 }
	condition:
		$1
}

rule function_19186_0 {
	meta:
		name = "TDSHTTPResponseWebBroker.SetContentLength"
		size = 22
	strings:
		$1 = { 55 8B EC 53 8B 4D 08 33 D2 8B 40 04 8B 18 FF 53 14 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19187_0 {
	meta:
		name = "TDSHTTPResponseWebBroker.SetContentStream"
		size = 9
	strings:
		$1 = { 8B 40 04 8B 08 FF 51 20 C3 }
	condition:
		$1
}

rule function_19189_0 {
	meta:
		name = "TDSHTTPResponseWebBroker.SetContentType"
		size = 56
		refs = "0006 TDSHTTPResponseWebBroker.SetContentType 000b TWebResponse.SetCustomHeader"
	strings:
		$1 = { 8B CA 8B 40 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_19190_0 {
	meta:
		name = "TDSHTTPResponseWebBroker.SetFreeContentStream"
		size = 7
	strings:
		$1 = { 8B 40 04 88 50 04 C3 }
	condition:
		$1
}

rule function_19191_0 {
	meta:
		name = "TDSHTTPResponseWebBroker.SetPragma"
		size = 44
		refs = "0006 TDSHTTPResponseWebBroker.SetPragma 000b TWebResponse.SetCustomHeader"
	strings:
		$1 = { 8B CA 8B 40 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 72 00 61 00 67 00 6D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_19192_0 {
	meta:
		name = "TDSHTTPResponseWebBroker.SetHeaderAuthentication"
		size = 135
		refs = "0016 TDSHTTPResponseWebBroker.SetHeaderAuthentication 002b @LStrFromUStr 0075 @LStrArrayClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 BA 03 00 00 00 8B 43 04 8B 30 FF 56 04 8D 45 F4 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 BA 04 00 00 00 8B 43 04 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19193_0 {
	meta:
		name = "TDSHTTPResponseWebBroker.SetResponseNo"
		size = 9
	strings:
		$1 = { 8B 40 04 8B 08 FF 51 28 C3 }
	condition:
		$1
}

rule function_19194_0 {
	meta:
		name = "TDSHTTPResponseWebBroker.SetResponseText"
		size = 90
		refs = "000f TDSHTTPResponseWebBroker.SetResponseText 0024 @LStrFromUStr 0049 @LStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA 01 00 00 00 8B 43 04 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19196_0 {
	meta:
		name = "TContentParser.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
		altNames = "TDSHTTPRequestWebBroker.Destroy TMultipartContentParser.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19197_0 {
	meta:
		name = "Base64DecodeToStream"
		size = 446
		refs = "002d cPaddingChar 006e @LStrToPChar 009c LDecodeMap 00c7 TStream.WriteBuffer"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B FA 8B F0 89 74 24 08 8B 44 24 08 85 C0 74 05 83 E8 04 8B 00 8B D8 33 C0 89 04 24 83 FB 01 75 14 0F B6 06 3A 05 ?? ?? ?? ?? 75 38 C7 04 24 01 00 00 00 EB 2F 83 FB 01 7E 2A 0F B6 44 1E FF 3A 05 ?? ?? ?? ?? 75 1D 0F B6 44 1E FE 3A 05 ?? ?? ?? ?? 75 09 C7 04 24 02 00 00 00 EB 07 C7 04 24 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B E8 8D 34 2B 4E 2B 34 24 3B F5 0F 82 33 01 00 00 8B C6 2B C5 40 83 E8 02 74 08 48 74 40 E9 95 00 00 00 0F B6 45 00 0F B6 80 ?? ?? ?? ?? 03 C0 03 C0 0F B6 55 01 0F B6 92 ?? ?? ?? ?? C1 EA 04 80 E2 03 0A C2 88 44 24 04 8D 54 24 04 B9 01 00 00 00 8B C7 E8 ?? ?? ?? ?? E9 E6 00 00 00 0F B6 45 00 0F B6 80 ?? ?? ?? ?? 03 C0 03 C0 0F B6 55 01 0F B6 9A ?? ?? ?? ?? 0F B6 D3 C1 EA 04 80 E2 03 0A C2 88 44 24 04 80 E3 0F C1 E3 04 0F B6 45 02 0F B6 80 ?? ?? ?? ?? C1 E8 02 24 0F 0A D8 88 5C 24 05 8D 54 24 04 B9 02 00 00 00 8B C7 E8 ?? ?? ?? ?? E9 8C 00 00 00 0F B6 45 00 0F B6 80 ?? ?? ?? ?? 03 C0 03 C0 0F B6 55 01 0F B6 92 ?? ?? ?? ?? C1 EA 04 80 E2 03 0A C2 88 44 24 04 0F B6 45 01 0F B6 80 ?? ?? ?? ?? 24 0F C1 E0 04 0F B6 55 02 0F B6 92 ?? ?? ?? ?? C1 EA 02 80 E2 0F 0A C2 88 44 24 05 0F B6 45 02 0F B6 80 ?? ?? ?? ?? 24 03 C1 E0 06 0F B6 55 03 0F B6 92 ?? ?? ?? ?? 80 E2 3F 0A C2 88 44 24 06 8D 54 24 04 B9 03 00 00 00 8B C7 E8 ?? ?? ?? ?? 83 C5 04 3B F5 0F 83 CD FE FF FF 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_19198_0 {
	meta:
		name = "Base64DecodeToString"
		size = 141
		refs = "000d _Dn_TMemoryStream 0012 TObject.Create 001d Base64DecodeToString 002d Base64DecodeToStream 004d @LStrSetLength 005c @UniqueStringA 007c TObject.Free 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 00 33 D2 8B 45 FC 8B 08 FF 51 18 8B 45 FC 8B 10 FF 12 8B D0 8B C3 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 12 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 59 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19199_0 {
	meta:
		name = "Trim"
		size = 97
		refs = "003a @LStrClr 0056 @LStrCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B F8 89 7D F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B F0 BB 01 00 00 00 EB 01 43 3B F3 7C 07 80 7C 1F FF 20 76 F4 3B F3 7D 0B 8B 45 FC E8 ?? ?? ?? ?? EB 1A 4E 80 7C 37 FF 20 76 F8 8B 45 FC 50 8B CE 2B CB 41 8B D3 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19200_0 {
	meta:
		name = "TDSHTTPRequestWebBroker.UpdateAuthStrings"
		size = 264
		refs = "0013 TDSHTTPRequestWebBroker.UpdateAuthStrings 004d @LStrCopy 0055 @LStrToPChar 005f AnsiStrComp 0084 Trim 008f Base64DecodeToString 00a2 AnsiStrScan 00eb @LStrArrayClr 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 18 00 0F 85 AE 00 00 00 C6 43 18 01 8D 4D FC BA 1C 00 00 00 8B 43 04 8B 30 FF 56 04 8D 45 F4 50 B9 05 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 6E 8D 45 EC 50 B9 FF FF FF 7F BA 06 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 8B C7 B2 3A E8 ?? ?? ?? ?? 8B F0 85 F6 74 29 2B F7 8D 43 10 50 8B CE BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 43 14 50 8D 56 02 B9 FF FF FF 7F 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 42 61 73 69 63 00 00 00 }
	condition:
		$1
}

rule function_19201_0 {
	meta:
		name = "TDSHTTPRequestWebBroker.GetAuthPassword"
		size = 26
		refs = "0009 TDSHTTPRequestWebBroker.UpdateAuthStrings 0013 @UStrFromLStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 14 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19202_0 {
	meta:
		name = "TDSHTTPRequestWebBroker.GetAuthUserName"
		size = 26
		refs = "0009 TDSHTTPRequestWebBroker.UpdateAuthStrings 0013 @UStrFromLStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19203_0 {
	meta:
		name = "TDSHTTPRequestWebBroker.GetCommand"
		size = 82
		refs = "000f TDSHTTPRequestWebBroker.GetCommand 002c @UStrFromLStr 0041 @LStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 33 D2 8B 43 04 8B 18 FF 53 04 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19204_0 {
	meta:
		name = "TDSHTTPRequestWebBroker.GetCommandType"
		size = 212
		refs = "000f TDSHTTPRequestWebBroker.GetCommandType 002a @LStrToPChar 0034 AnsiStrComp 007f sUnknownCommandType 0084 LoadResString 008e _Dn_Exception 0093 Exception.Create 0098 @RaiseExcept 00ad @UStrClr 00b5 @LStrClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 33 D2 8B 43 04 8B 30 FF 56 04 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 04 B3 03 EB 5C 8B 43 04 0F B6 40 08 83 F8 04 77 2F FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 DB EB 31 B3 05 EB 2D B3 01 EB 29 B3 02 EB 25 B3 04 EB 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 00 00 00 44 45 4C 45 54 45 00 00 }
	condition:
		$1
}

rule function_19205_0 {
	meta:
		name = "TDSHTTPRequestWebBroker.GetDocument"
		size = 80
		refs = "000f TDSHTTPRequestWebBroker.GetDocument 002a @UStrFromLStr 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 04 8B 08 FF 51 10 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19206_0 {
	meta:
		name = "TDSHTTPRequestWebBroker.GetParams"
		size = 76
		refs = "000d _Dn_TStringList 0012 TStringList.Create 001f TWebRequest.GetQueryFields 0038 TWebRequest.GetContentFields"
	strings:
		$1 = { 56 57 8B F0 83 7E 0C 00 75 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7E 0C 8B 46 04 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 40 8B 7E 04 80 7F 08 03 75 11 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 46 0C 8B 08 FF 51 40 8B 46 0C 5F 5E C3 }
	condition:
		$1
}

rule function_19207_0 {
	meta:
		name = "TDSHTTPRequestWebBroker.GetPostStream"
		size = 229
		refs = "0012 TDSHTTPRequestWebBroker.GetPostStream 0029 _Dn_TMemoryStream 002e TObject.Create 0091 @LStrToPChar 00c8 @LStrArrayClr 00d0 @LStrClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 00 0F 85 89 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 8D 4D FC BA 19 00 00 00 8B 43 04 8B 30 FF 56 04 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 54 8D 4D F4 BA 19 00 00 00 8B 43 04 8B 30 FF 56 04 8B 45 F4 89 45 F8 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 8D 4D F0 BA 19 00 00 00 8B 43 04 8B 38 FF 57 04 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 43 08 8B 30 FF 56 10 6A 00 6A 00 33 D2 8B 43 08 8B 08 FF 51 18 8B 5B 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19208_0 {
	meta:
		name = "TDSHTTPRequestWebBroker.GetPragma"
		size = 108
		refs = "000f TDSHTTPRequestWebBroker.GetPragma 002f @UStrFromLStr 0044 @LStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B 43 04 8B 18 FF 53 34 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 06 00 00 00 50 72 61 67 6D 61 00 00 }
	condition:
		$1
}

rule function_19209_0 {
	meta:
		name = "TDSHTTPRequestWebBroker.GetRemoteIP"
		size = 18
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 11 5E 5B C3 }
	condition:
		$1
}

rule function_19210_0 {
	meta:
		name = "TDSHTTPRequestWebBroker.GetAccept"
		size = 108
		refs = "000f TDSHTTPRequestWebBroker.GetAccept 002f @UStrFromLStr 0044 @LStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B 43 04 8B 18 FF 53 34 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 06 00 00 00 41 63 63 65 70 74 00 00 }
	condition:
		$1
}

rule function_19211_0 {
	meta:
		name = "TDSHTTPRequestWebBroker.GetURI"
		size = 80
		refs = "000f TDSHTTPRequestWebBroker.GetURI 002a @UStrFromLStr 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 04 8B 08 FF 51 14 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19212_0 {
	meta:
		name = "TDSHTTPRequestWebBroker.GetUserAgent"
		size = 85
		refs = "000f TDSHTTPRequestWebBroker.GetUserAgent 002f @UStrFromLStr 0044 @LStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA 0D 00 00 00 8B 43 04 8B 18 FF 53 04 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19213_0 {
	meta:
		name = "TDSHTTPRequestWebBroker.GetProtocolVersion"
		size = 85
		refs = "000f TDSHTTPRequestWebBroker.GetProtocolVersion 002f @UStrFromLStr 0044 @LStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA 01 00 00 00 8B 43 04 8B 18 FF 53 04 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19217_0 {
	meta:
		name = "CheckDbClient"
		size = 548
		refs = "001a CheckDbClient 0026 DbClientHandle 0033 Loading 0038 TMonitor.CheckMonitorSupport 003f TMonitor.GetMonitor 0047 TMonitor.Enter 0074 @UStrSetLength 0080 @UStrToPWChar 008f GUIDToString 00a8 Format 00bb RegQueryValue 00d9 @UStrLAsg 00ef RegisterComServer 00fe @HandleAnyException 0103 @DoneExcept 0111 LoadLibrary 0125 SErrorLoadingMidas 012c _Dn_Exception 0131 Exception.CreateRes 0136 @RaiseExcept 0146 GetProcAddress 014b DllGetClassObject 0162 TMonitor.Exit 0168 @HandleFinally 017f @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 F4 89 55 E8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 0F 85 3D 01 00 00 8B 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 0F 85 E9 00 00 00 C7 45 F8 00 01 00 00 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 F4 50 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 68 00 00 00 80 E8 ?? ?? ?? ?? 85 C0 75 0D 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? EB 37 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 25 00 73 00 5C 00 49 00 6E 00 50 00 72 00 6F 00 63 00 53 00 65 00 72 00 76 00 65 00 72 00 33 00 32 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 49 00 44 00 41 00 53 00 2E 00 44 00 4C 00 4C 00 00 00 44 00 6C 00 6C 00 47 00 65 00 74 00 43 00 6C 00 61 00 73 00 73 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 }
	condition:
		$1
}

rule function_19218_0 {
	meta:
		name = "CreateDbClientObject"
		size = 116
		refs = "0012 CreateDbClientObject 001f CheckDbClient 002f DllGetClassObject 0051 @IntfClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 68 ?? ?? ?? ?? 53 FF 15 ?? ?? ?? ?? 57 56 6A 00 8B 45 FC 50 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 01 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_19219_0 {
	meta:
		name = "FreeDataPacket"
		size = 27
		refs = "000c SafeArrayDestroy 0011 SafeArrayCheck"
	strings:
		$1 = { 53 8B D8 83 3B 00 74 11 8B 03 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 03 5B C3 }
	condition:
		$1
}

rule function_19220_0 {
	meta:
		name = "VarToDataPacket"
		size = 126
		refs = "000c VarToDataPacket 0019 VarIsNull 0028 VarIsArray 0038 VarArrayHighBound 0045 SInvalidDataPacket 004a LoadResString 0054 DatabaseError 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 36 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 F8 14 7F 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 5B 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_19221_0 {
	meta:
		name = "DataPacketSize"
		size = 27
		refs = "0009 SafeArrayGetUBound 000e SafeArrayCheck"
	strings:
		$1 = { 53 51 8B D8 54 6A 01 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_19222_0 {
	meta:
		name = "DataPacketToVariant"
		size = 103
		refs = "0013 DataPacketToVariant 0024 @VarClear 0036 Null 0040 @OleVarFromVar 0055 @VarClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 11 8B C3 E8 ?? ?? ?? ?? 66 C7 03 11 20 89 73 08 EB 12 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19223_0 {
	meta:
		name = "VariantArrayToString"
		size = 174
		refs = "000f @LStrClr 0017 VarIsArray 003c VarArrayHighBound 004b VarArrayLowBound 005d @LStrSetLength 0065 VarArrayLock 006f VariantArrayToString 007c @UniqueStringA 0087 Move 009c VarArrayUnlock 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 85 00 00 00 8B 45 FC 0F B7 00 66 25 FF 0F 66 83 F8 11 75 75 8B 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 2B F0 46 85 F6 7E 52 8B C3 33 C9 8B D6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 8B CE E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19224_0 {
	meta:
		name = "StringToVariantArray"
		size = 263
		refs = "001b StringToVariantArray 0029 Null 0034 @OleVarFromVar 0078 VarArrayCreate 008b VarArrayLock 00b1 @LStrToPChar 00ba Move 00cf VarArrayUnlock 00d5 @HandleFinally 00ec @VarClr"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 89 5D E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 8C 00 00 00 89 5D E8 8B 75 E8 85 F6 74 05 83 EE 04 8B 36 8D 45 D8 50 33 C0 89 45 D0 4E 89 75 D4 8D 45 D0 66 B9 11 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D E8 8B 75 E8 85 F6 74 05 83 EE 04 8B 36 8B C3 E8 ?? ?? ?? ?? 8B D7 8B CE E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19225_0 {
	meta:
		name = "RegisterMidasLib"
		size = 16
		refs = "0001 DllGetClassObject 0007 DbClientHandle"
	strings:
		$1 = { A3 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 C3 }
	condition:
		$1
}

rule function_19226_0 {
	meta:
		name = "Finalization"
		size = 39
		refs = "0002 _DV_1 000a DbClientHandle 0018 FreeLibrary 001d Loading 0022 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 1E 83 3D ?? ?? ?? ?? 20 76 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19228_0 {
	meta:
		name = "LoginDialog$490$ActRec.$0$Body"
		size = 62
		refs = "0017 @UStrAsg"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 C6 45 FF 01 8D 43 1C 8B D6 E8 ?? ?? ?? ?? 8D 43 18 8B D7 E8 ?? ?? ?? ?? 66 83 7B 12 00 74 06 8B 43 14 FF 53 10 0F B6 45 FF 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_19229_0 {
	meta:
		name = "LoginDialog"
		size = 154
		refs = "000e LoginDialog 001b _DV_LoginDialog$490$ActRec 0020 TObject.Create 0033 @IntfCopy 004f TLoginCredentialService.GetLoginCredentials 0062 @UStrAsg 0084 @IntfClear 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 08 89 46 10 8B 45 0C 89 46 14 8B D6 85 D2 74 03 83 EA E0 33 C0 E8 ?? ?? ?? ?? 8B D8 84 DB 74 1A 8B 07 83 C0 04 8B 56 1C E8 ?? ?? ?? ?? 8B 07 83 C0 08 8B 56 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_19235_0 {
	meta:
		name = "TDSPlatform.DataSnapAdminUnitName"
		size = 64
		refs = "0006 TDSPlatform.DataSnapAdminUnitName 000b @UStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 53 00 43 00 6F 00 6D 00 6D 00 6F 00 6E 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_19242_0 {
	meta:
		name = "TDSPlatform.MetadataUnitName"
		size = 64
		refs = "0006 TDSPlatform.MetadataUnitName 000b @UStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 53 00 43 00 6F 00 6D 00 6D 00 6F 00 6E 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_19237_0 {
	meta:
		name = "TDSPlatform.GetConnectionProperties"
		size = 464
		refs = "001e TDSPlatform.GetConnectionProperties 0029 TDBXConnectionFactory.GetConnectionFactory 0033 _Dn_TStringList 0038 TStringList.Create 0054 TDBXConnectionFactory.GetConnectionItems 0094 TDSConnectionEntity.SetConnectionName 009f TDBXConnectionFactory.GetConnectionProperties 00ac TStrings.GetDelimitedText 00b7 TDSConnectionEntity.SetConnectionProperties 00c6 TDBXProperties.GetValue 00d1 TDSConnectionEntity.SetDriverName 00fa TDBXConnectionFactory.GetDriverProperties 0110 TDSConnectionEntity.SetDriverProperties 011f @HandleOnException 0127 _Dn_Exception 013b @DoneExcept 0167 TObject.Free 016d @HandleFinally 0189 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 D2 89 55 DC 89 55 E0 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 48 85 C0 0F 8C ED 00 00 00 40 89 45 E4 C7 45 E8 00 00 00 00 8B 45 F4 8B 40 04 8B 10 FF 52 58 8D 4D FC 8B 55 E8 8B 45 EC 8B 18 FF 53 0C 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8D 55 E0 8B 43 08 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 5A 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 08 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 50 04 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 04 8B 10 FF 52 5C FF 45 E8 FF 4D E4 0F 85 1E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_19238_0 {
	meta:
		name = "TDSPlatform.GetDatabaseConnection"
		size = 124
		refs = "0016 @UStrAddRef 001e TDSPlatform.GetDatabaseConnection 0029 TDBXConnectionFactory.GetConnectionFactory 0036 @UStrLAsg 0040 TDBXConnectionFactory.GetConnectionPropertiesItem 004c TDBXConnectionFactory.GetConnection 0068 @UStrArrayClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 48 04 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19239_0 {
	meta:
		name = "TDSPlatform.DataSnapAdminClassName"
		size = 40
		refs = "0006 TDSPlatform.DataSnapAdminClassName 000b @WStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 0E 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 }
	condition:
		$1
}

rule function_19240_0 {
	meta:
		name = "TDSPlatform.PlatformName"
		size = 36
		refs = "0006 TDSPlatform.PlatformName 000b @WStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 0A 00 00 00 77 00 69 00 6E 00 33 00 32 00 00 00 }
	condition:
		$1
}

rule function_19241_0 {
	meta:
		name = "TDSPlatform.MetadataClassName"
		size = 48
		refs = "0006 TDSPlatform.MetadataClassName 000b @WStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 14 00 00 00 44 00 53 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_19243_0 {
	meta:
		name = "TDBXServerComponent.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TComponent.Create 0026 @AfterConstruction"
		altNames = "TIWAuther.Create TTeeSeriesSource.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 38 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_19244_0 {
	meta:
		name = "TDBXServerComponent.ConsumeAllClientChannel$1079$ActRec.$0$Body"
		size = 42
		refs = "0014 @UStrEqual 0021 TMonitor.Pulse"
	strings:
		$1 = { 55 8B EC 53 8B D8 FE C9 75 1B 8B 43 10 8B 55 08 8B 52 20 E8 ?? ?? ?? ?? 75 0B 8B 43 0C 8B 40 10 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_19245_0 {
	meta:
		name = "TDBXServerComponent.ConsumeAllClientChannel"
		size = 1628
		refs = "0019 TDBXServerComponent.ConsumeAllClientChannel 0026 _DV_TDBXServerComponent.ConsumeAllClientChannel$1079$ActRec 002b TObject.Create 0040 @IntfCopy 004d _Dn_TDBXCallbackDelegate 0052 @IsClass 0068 @AsClass 0073 _Dn_TDBXServerCallback 0087 _Dn_TDSServer 00a7 TDSServer.CreateChannelTunnel 00bc _Dn_TDSSessionManager 00c1 TDSSessionManager.GetThreadSession 00db @UStrAsg 00f2 TDSSessionManager.FInstance 00fc TDSSessionManager.AddSessionEvent 012d TMonitor.CheckMonitorSupport 0134 TMonitor.GetMonitor 013c TMonitor.Enter 0161 TMonitor.Wait 018d TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.PopItem 01c7 TMonitor.Exit 01cd @HandleFinally 0207 EmptyStr 020e @UStrEqual 0221 _Dn_TJSONString 0226 TJSONString.Create 022f _Dn_TJSONArray 0234 TJSONArray.Create 023c TJSONArray.Add 0249 _Dn_TJSONPair 024e TJSONPair.Create 0257 _Dn_TJSONObject 025c TJSONObject.Create 02e5 TJSONObject.AddPair 0301 TObject.Free 0310 @HandleAnyException 032c InternalRemoveCallbackTunnel 0340 @DoneExcept 0345 @RaiseAgain 041f @HandleOnException 0427 _Dn_Exception 0475 TMonitor.Pulse 04af @TryFinallyExit 053d TDSSessionManager.RemoveSessionEvent 059c TDSCallbackTunnelManager.FInstance 05a3 TDSCallbackTunnelManagerInternal.CloseChannelTunnel 05cd @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D FC 89 5D F8 8B F9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 8D 45 F8 8B 55 D8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? C6 45 E3 00 8B 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 5C 05 00 00 8B 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 28 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 18 50 8B 45 10 50 8B 45 14 50 8B CF 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 45 D8 89 58 0C 85 DB 0F 84 FB 04 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 83 7D DC 00 74 32 8B 45 D8 83 C0 10 8B 55 DC 8B 52 20 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 D8 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 F0 C6 45 EB 00 C7 45 EC 01 00 00 00 33 C0 89 45 E4 8B 45 D8 8B 40 0C 8B 58 10 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 D8 8B 40 0C 8B 40 10 83 78 08 00 75 0D 8B 55 08 E8 ?? ?? ?? ?? 88 45 EA EB 04 C6 45 EA 01 80 7D EA 00 74 3C 8B 45 D8 8B 40 0C 8B 40 10 83 78 08 00 7E 2D 8B 45 D8 8B 40 0C 8B 40 10 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 8B 40 0C 89 45 F0 8B 45 E4 0F B6 40 10 88 45 EB 8B 45 E4 8B 40 18 89 45 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 8B 40 0C 8B 40 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 80 7D EA 00 0F 84 02 03 00 00 83 7D F0 00 0F 84 F8 02 00 00 80 7D EB 00 0F 84 86 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E4 8B 40 08 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 50 8B 45 F0 50 8B 45 E4 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 39 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 E4 8B 40 04 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 37 8B 45 E4 8B 40 04 8B 55 D8 8B 52 0C 8B 52 04 E8 ?? ?? ?? ?? 74 21 8B 45 E4 8B 40 04 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 0C 8B 08 FF 11 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3F E9 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D8 8B 50 0C 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 C6 40 11 00 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 83 7D E4 00 0F 84 8E 01 00 00 8B 5D E4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 50 8B 45 E4 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 0C 8B 08 FF 11 8B 55 E4 89 42 14 33 C0 5A 59 59 64 89 10 E9 9C 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 E4 C6 40 1C 01 8B 43 04 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 89 42 14 8B 45 0C 8B 10 FF 52 1C 84 C0 74 48 C6 45 E3 01 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D8 8B 50 0C 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6A E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D8 8B 50 0C 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D EA 00 74 0A 83 7D F0 00 0F 85 EF FB FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0F A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? 80 7D E3 00 75 3F 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? EB 3F 8B C3 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 74 20 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 83 78 0C 00 75 0F 8B 75 E4 33 C0 89 45 E4 8B C6 E8 ?? ?? ?? ?? 8B 45 D8 8B 40 0C 8B 58 10 83 7B 08 00 7F C1 8B 45 D8 8B 50 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 7A FF FF FF B3 01 EB 06 33 DB EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C2 14 00 B0 04 02 00 FF FF FF FF 06 00 00 00 69 00 6E 00 76 00 6F 00 6B 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 62 00 72 00 6F 00 61 00 64 00 63 00 61 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 72 00 72 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_19246_0 {
	meta:
		name = "TDBXServerComponent.ConsumeClientChannel"
		size = 32
		refs = "0017 TDBXServerComponent.ConsumeClientChannelTimeout"
	strings:
		$1 = { 55 8B EC 53 8B 5D 14 53 8B 5D 10 53 8B 5D 0C 53 6A FF 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_19247_0 {
	meta:
		name = "TDBXServerComponent.ConsumeClientChannelTimeout"
		size = 194
		refs = "002f EmptyStr 0036 @UStrEqual 0051 _Dn_TStringList 0056 TStringList.Create 0064 TStrings.SetCommaText 006c TDBXServerComponent.ConsumeClientChannelTimeout 008d TDBXServerComponent.ConsumeOneClientChannel 00aa TObject.Free 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 55 FC 8B F0 8B 45 0C 8B 7D 18 85 C0 7D 05 83 CB FF EB 06 69 D8 E8 03 00 00 33 C0 89 45 F0 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 2C 8B 45 14 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 1A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 55 14 8B 45 F0 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 57 8B 45 10 50 8B 45 F0 50 8B 45 08 50 53 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_19248_0 {
	meta:
		name = "TDBXServerComponent.ConsumeOneClientChannel"
		size = 1884
		refs = "0026 TDBXServerComponent.ConsumeOneClientChannel 0043 TDSServer.FindServer 0049 _Dn_TDSServer 004e @AsClass 0060 EmptyStr 0067 @UStrEqual 0083 TDSServer.CreateChannelTunnel 00aa @UStrCatN 00b4 _Dn_TJSONString 00b9 TJSONString.Create 00c6 _Dn_TJSONPair 00cb TJSONPair.Create 00d4 _Dn_TJSONObject 00d9 TJSONObject.Create 00f6 _Dn_TJSONTrue 00fb TJSONAncestor.Create 0116 TJSONObject.AddPair 0128 _Dn_TDSCallbackTunnelBufferItem 012d TDSCallbackTunnelBufferItem.Create 013f TDSServer.CallbackTunnelOf 015c TMonitor.Pulse 0166 TDSCallbackTunnel.SetState 018e _Dn_TJSONNull 01ac _Dn_TJSONValue 01cc TObject.Free 024b TMonitor.CheckMonitorSupport 0252 TMonitor.GetMonitor 025a TMonitor.Enter 0288 TMonitor.Wait 02eb TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.PopItem 033f TMonitor.Exit 0345 @HandleFinally 03dc _Dn_TJSONArray 03e1 TJSONArray.Create 03e9 TJSONArray.Add 04a1 @TryFinallyExit 0551 TDSCallbackTunnelManager.FInstance 055b TDSCallbackTunnelManagerInternal.CloseChannelTunnel 0648 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D C8 89 5D CC 89 5D D0 89 5D D4 89 4D F8 89 55 FC 8B F0 8B 7D 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 DC 8D 55 D4 8B C6 8B 08 FF 51 40 8B 45 D4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 9A 05 00 00 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 C8 00 00 00 57 8B 45 10 50 8B 45 14 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 55 FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 57 8D 45 D0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E9 4D 05 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 57 6A 00 53 6A 01 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC E9 F6 00 00 00 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 1E 8B 45 F0 80 78 1C 00 75 0B 8B 45 F0 8B 40 10 E8 ?? ?? ?? ?? 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 83 7D F0 00 74 6A 8B 45 F0 83 78 14 00 74 61 8B 45 F0 8B 40 14 80 78 10 00 75 46 83 7D 0C 00 75 17 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 52 14 89 42 14 EB 1C 8B 45 0C 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 52 14 89 42 14 8B 45 F0 8B 40 14 E8 ?? ?? ?? ?? EB 64 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 50 14 EB 55 83 7D F0 00 75 4F FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E9 03 04 00 00 33 C0 89 45 EC C6 45 EB 00 33 C0 89 45 E4 C7 45 E0 01 00 00 00 8B 45 F0 8B 58 10 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D DC 00 75 21 8B 45 F0 8B 40 10 83 78 08 00 75 15 8B 45 F0 8B 40 10 8B 55 08 E8 ?? ?? ?? ?? 34 01 88 45 EA EB 04 C6 45 EA 00 8B 45 F0 8B 40 10 80 78 1C 00 75 12 80 7D EA 00 75 0C 83 7D DC 00 75 06 83 78 08 00 74 04 33 C0 EB 02 B0 01 88 45 DB 80 7D EA 00 75 67 83 7D DC 00 75 0C 8B 45 F0 8B 40 10 83 78 08 00 7E 55 83 7D DC 00 74 08 8B 45 DC 89 45 E4 EB 0E 8B 45 F0 8B 40 10 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 74 33 83 7D DC 00 75 09 8B 45 F0 8B 55 E4 89 50 14 8B 45 E4 8B 40 0C 89 45 EC 8B 45 E4 33 D2 89 50 0C 8B 45 E4 0F B6 40 10 88 45 EB 8B 45 E4 8B 40 18 89 45 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 40 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 80 7D DB 00 74 39 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E9 A8 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7D EB 00 0F 84 08 01 00 00 83 7D EC 00 0F 84 FE 00 00 00 8B 45 E4 8B 40 08 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 50 8B 45 EC 50 8B 45 E4 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 39 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 E4 8B 40 04 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 34 8B 45 E4 8B 40 04 8B 55 F0 8B 52 04 E8 ?? ?? ?? ?? 74 21 8B 45 E4 8B 40 04 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? B2 01 8B 45 F0 E8 ?? ?? ?? ?? 89 5D F4 E8 ?? ?? ?? ?? E9 88 01 00 00 83 7D E4 00 74 69 83 7D EC 00 74 63 B2 01 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 E4 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? E9 19 01 00 00 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 83 7D E4 00 74 27 8B 45 F0 8B 40 14 3B 45 E4 75 08 8B 45 F0 33 D2 89 50 14 8B 45 E4 C6 40 11 01 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 F0 E8 ?? ?? ?? ?? 80 7D EA 00 74 39 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? E9 94 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? EB 5E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8D 55 C8 8B C6 8B 08 FF 51 40 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C2 14 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 72 00 72 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 72 00 65 00 61 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 74 00 75 00 6E 00 6E 00 65 00 6C 00 5F 00 72 00 65 00 70 00 6C 00 61 00 63 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 69 00 6E 00 76 00 6F 00 6B 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 62 00 72 00 6F 00 61 00 64 00 63 00 61 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 74 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 6F 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_19249_0 {
	meta:
		name = "TDBXServerComponent.BroadcastToChannel"
		size = 126
		refs = "0012 TDBXServerComponent.BroadcastToChannel 002a TDSServer.FindServer 0030 _Dn_TDSServer 0035 @AsClass 004f TDSServer.BroadcastMessage 006a @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 40 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 18 6A 01 8B C7 8B 10 FF 52 0C 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19250_0 {
	meta:
		name = "TDBXServerComponent.BroadcastObjectToChannel"
		size = 120
		refs = "0018 TDBXServerComponent.BroadcastObjectToChannel 0030 TDSServer.FindServer 0036 _Dn_TDSServer 003b @AsClass 0049 TDSServer.BroadcastObject 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 40 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0E 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19251_0 {
	meta:
		name = "TDBXServerComponent.NotifyCallback"
		size = 136
		refs = "0012 TDBXServerComponent.NotifyCallback 002a TDSServer.FindServer 0030 _Dn_TDSServer 0035 @AsClass 0057 TDSServer.NotifyCallback 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 40 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 20 8B 45 0C 8B 10 FF 52 0C 50 8B 45 08 50 6A FF 6A 01 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_19252_0 {
	meta:
		name = "TDBXServerComponent.NotifyObject"
		size = 132
		refs = "0018 TDBXServerComponent.NotifyObject 0030 TDSServer.FindServer 0036 _Dn_TDSServer 003b @AsClass 0053 TDSServer.NotifyObject 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 40 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 18 8B 55 0C 52 8B 55 08 52 6A FF 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_19253_0 {
	meta:
		name = "TDBXServerComponent.CloseClientChannel"
		size = 167
		refs = "0019 TDBXServerComponent.CloseClientChannel 0031 TDSServer.FindServer 0037 _Dn_TDSServer 003c @AsClass 005a TDSServer.UnregisterChannelCallback 0069 @HandleAnyException 0070 @DoneExcept 0092 @UStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 40 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 3B 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 13 E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? EB 0B E8 ?? ?? ?? ?? B3 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19254_0 {
	meta:
		name = "TDBXServerComponent.ConnectClientChannel"
		size = 134
		refs = "0012 _Dn_TStringList 0017 TStringList.Create 0025 TStrings.SetCommaText 002d TDBXServerComponent.ConnectClientChannel 0050 TDBXServerComponent.ConsumeAllClientChannel 006d TObject.Free 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 55 10 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 14 50 8B 45 0C 50 8B 45 F8 50 8B 45 08 50 6A FF 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_19255_0 {
	meta:
		name = "TDBXServerComponent.ConnectClientChannelTimeout"
		size = 153
		refs = "0025 _Dn_TStringList 002a TStringList.Create 0038 TStrings.SetCommaText 0040 TDBXServerComponent.ConnectClientChannelTimeout 0063 TDBXServerComponent.ConsumeAllClientChannel 0080 TObject.Free 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B F0 8B 45 08 85 C0 7D 05 83 CB FF EB 06 69 D8 E8 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 55 14 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 18 50 8B 45 10 50 8B 45 F4 50 8B 45 0C 50 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_19256_0 {
	meta:
		name = "TDBXServerComponent.Create"
		size = 59
		refs = "000a @ClassCreate 0019 TComponent.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 38 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_19257_0 {
	meta:
		name = "TDBXServerComponent.RegisterClientCallback"
		size = 208
		refs = "0014 _Dn_TDBXCallbackDelegate 0019 @IsClass 002e @AsClass 0039 _Dn_TDBXServerCallback 004d _Dn_TDSServer 005b _Dn_TStringList 0060 TStringList.Create 006e TStrings.SetCommaText 0076 TDBXServerComponent.RegisterClientCallback 008f TDSServer.RegisterChannelCallback 0097 @TryFinallyExit 00b3 TObject.Free 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B 5D 08 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9A 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 28 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 55 10 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 50 8B 45 0C 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 88 45 FF E8 ?? ?? ?? ?? EB 26 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB C6 45 FF 00 0F B6 45 FF 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_19258_0 {
	meta:
		name = "TDBXServerComponent.RegisterClientCallbackServer"
		size = 259
		refs = "0018 TDBXServerComponent.RegisterClientCallbackServer 0030 TDSServer.FindServer 0036 _Dn_TDSServer 003b @AsClass 005a _Dn_TStringList 005f TStringList.Create 006d TStrings.SetCommaText 008e TDSServer.RegisterChannelCallback 0095 @TryFinallyExit 00b9 TObject.Free 00bf @HandleFinally 00d0 @HandleAnyException 00d5 @DoneExcept 00ec @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 40 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 90 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_19259_0 {
	meta:
		name = "TDBXServerComponent.UnregisterClientCallback"
		size = 171
		refs = "0019 TDBXServerComponent.UnregisterClientCallback 0031 TDSServer.FindServer 0037 _Dn_TDSServer 003c @AsClass 005c TDSServer.UnregisterChannelCallback 006b @HandleAnyException 0072 @DoneExcept 0094 @UStrClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 40 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 3D 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 13 E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? EB 0B E8 ?? ?? ?? ?? B3 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_19261_0 {
	meta:
		name = "Datasnap.DSPlatform"
		size = 30
		refs = "0002 _DV_3 000a _Dn_DSAdmin 000f RegisterClass 0014 _Dn_DSMetadata"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33853_0 {
	meta:
		name = "IdFTPListParseMPEiX"
		size = 30
		refs = "0002 _DV_5 000a _DV_TIdFTPLPMPiX 000f RegisterFTPListParser 0014 _DV_TIdFTPLPMPiXWithPOSIX"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33920_0 {
	meta:
		name = "IdFTPListParseNovellNetwarePSU"
		size = 30
		refs = "0002 _DV_5 000a _DV_TIdFTPLPNetwarePSUDos 000f RegisterFTPListParser 0014 _DV_TIdFTPLPNetwarePSUNFS"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34031_0 {
	meta:
		name = "IdFTPListParseUnix"
		size = 30
		refs = "0002 _DV_5 000a _DV_TIdFTPLPUnix 000f RegisterFTPListParser 0014 _DV_TIdFTPLPUnitree"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_19262_0 {
	meta:
		name = "TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.Create"
		size = 143
		refs = "000e @ClassCreate 001d TObject.Create 002c :TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.:1 0031 @DynArraySetLength 003b _Dn_TObject 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 56 8D 47 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 14 8B 45 0C 89 47 20 8B 45 08 89 47 24 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_19263_0 {
	meta:
		name = "TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.Destroy"
		size = 67
		refs = "0003 @BeforeDestruction 000e TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.DoShutDown 0016 TObject.Free 0031 TObject.Destroy 003c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19264_0 {
	meta:
		name = "TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.Grow"
		size = 127
		refs = "0012 TMonitor.CheckMonitorSupport 0019 TMonitor.GetMonitor 0021 TMonitor.Enter 0029 TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.Grow 003a @DynArrayLength 004e :TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.:1 0053 @DynArraySetLength 006e TMonitor.Exit 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC 8B 58 18 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 03 F0 56 8B 45 FC 83 C0 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19265_0 {
	meta:
		name = "TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.PushItem"
		size = 22
		refs = "000e TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.PushItem"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_19266_0 {
	meta:
		name = "TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.PushItem"
		size = 264
		refs = "0017 TMonitor.CheckMonitorSupport 001e TMonitor.GetMonitor 0026 TMonitor.Enter 002e TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.PushItem 0051 TMonitor.Wait 006a @DynArrayLength 008f @TryFinallyExit 00e7 TMonitor.Exit 00ed @HandleFinally 00fa TMonitor.Pulse"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 8B F2 89 45 FC 8B 45 FC 8B 58 18 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 EB 1F 8B 45 FC 8B 48 20 8B 45 FC 8B 50 18 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 84 C0 75 04 C6 45 F7 01 80 7D F7 00 75 1C 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 55 FC 3B 42 08 75 09 8B 45 FC 80 78 1C 00 74 BF 8B 45 FC 80 78 1C 00 75 06 80 7D F7 00 74 07 E8 ?? ?? ?? ?? EB 69 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 0C 8B 55 FC 03 42 08 5A 8B CA 99 F7 F9 8B 45 FC 8B 40 04 89 34 90 8B 45 FC FF 40 08 8B 45 FC FF 40 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 55 F8 89 02 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 0F B6 45 F7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19267_0 {
	meta:
		name = "TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.PopItem"
		size = 20
		refs = "000a TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.PopItem"
	strings:
		$1 = { 83 C4 F8 8B CC 8D 54 24 04 E8 ?? ?? ?? ?? 8B 04 24 59 5A C3 }
	condition:
		$1
}

rule function_19268_0 {
	meta:
		name = "TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.PopItem"
		size = 25
		refs = "000e TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.PopItem"
	strings:
		$1 = { 83 C4 F8 89 14 24 8D 4C 24 04 8B 14 24 E8 ?? ?? ?? ?? 8B 44 24 04 59 5A C3 }
	condition:
		$1
}

rule function_19269_0 {
	meta:
		name = "TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.PopItem"
		size = 278
		refs = "001b TMonitor.CheckMonitorSupport 0022 TMonitor.GetMonitor 002a TMonitor.Enter 0032 TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.PopItem 0055 TMonitor.Wait 0092 @TryFinallyExit 00c2 @DynArrayLength 00f5 TMonitor.Exit 00fb @HandleFinally 0108 TMonitor.Pulse"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B D9 89 55 F8 89 45 FC 33 C0 89 03 8B 45 FC 8B 70 18 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 EB 1F 8B 45 FC 8B 48 24 8B 45 FC 8B 50 18 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 84 C0 75 04 C6 45 F7 01 80 7D F7 00 75 12 8B 45 FC 83 78 08 00 75 09 8B 45 FC 80 78 1C 00 74 C9 8B 45 FC 80 78 1C 00 74 09 8B 45 FC 83 78 08 00 74 06 80 7D F7 00 74 07 E8 ?? ?? ?? ?? EB 74 8B 45 FC 8B 40 0C 8B 55 FC 8B 52 04 8B 04 82 89 03 8B 45 FC FF 48 08 8B 45 FC FF 40 0C 8B 45 FC FF 40 2C 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 55 FC 3B 42 0C 75 08 8B 45 FC 33 D2 89 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 55 F8 89 02 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 0F B6 45 F7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_19270_0 {
	meta:
		name = "TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.PopItem"
		size = 27
		refs = "0013 TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.PopItem"
	strings:
		$1 = { 53 83 C4 F8 89 14 24 8B D8 8B 0C 24 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_19271_0 {
	meta:
		name = "TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.DoShutDown"
		size = 113
		refs = "000f TMonitor.CheckMonitorSupport 0016 TMonitor.GetMonitor 001e TMonitor.Enter 0026 TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.DoShutDown 004b TMonitor.Exit 0051 @HandleFinally 005e TMonitor.PulseAll"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 58 18 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 1C 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_19272_0 {
	meta:
		name = "TDSAdminClient.GetPlatformName"
		size = 216
		refs = "001b TDSAdminClient.GetPlatformName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 83 7B 14 00 75 2E 8B 43 04 8B 10 FF 52 7C 8B F0 89 73 14 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 43 14 8B 08 FF 51 10 8B 43 14 8B 10 FF 52 60 8B 43 14 8B 10 FF 52 68 8B 43 14 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B D7 8B 08 FF 51 70 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 47 00 65 00 74 00 50 00 6C 00 61 00 74 00 66 00 6F 00 72 00 6D 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_19273_0 {
	meta:
		name = "TDSAdminClient.ClearResources"
		size = 208
		refs = "0018 TDSAdminClient.ClearResources"
	strings:
		$1 = { 53 56 8B D8 83 7B 18 00 75 2E 8B 43 04 8B 10 FF 52 7C 8B F0 89 73 18 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 10 8B 43 18 8B 10 FF 52 60 8B 43 18 8B 10 FF 52 68 8B 43 18 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 68 5E 5B C3 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 43 00 6C 00 65 00 61 00 72 00 52 00 65 00 73 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_19274_0 {
	meta:
		name = "TDSAdminClient.FindPackages"
		size = 212
		refs = "0018 TDSAdminClient.FindPackages"
	strings:
		$1 = { 53 56 8B D8 83 7B 1C 00 75 2E 8B 43 04 8B 10 FF 52 7C 8B F0 89 73 1C BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 43 1C 8B 08 FF 51 10 8B 43 1C 8B 10 FF 52 60 8B 43 1C 8B 10 FF 52 68 8B 43 1C 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 08 8B 08 FF 91 A8 00 00 00 5E 5B C3 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 46 00 69 00 6E 00 64 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_19275_0 {
	meta:
		name = "TDSAdminClient.FindClasses"
		size = 360
		refs = "0014 @UStrAddRef 0024 TDSAdminClient.FindClasses 00e6 @UStrArrayClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 20 00 75 2E 8B 43 04 8B 10 FF 52 7C 8B F0 89 73 20 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 43 20 8B 08 FF 51 10 8B 43 20 8B 10 FF 52 60 8B 43 20 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 8B 43 20 8B 10 FF 52 34 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 F8 8B 08 FF 91 78 01 00 00 8B 43 20 8B 10 FF 52 68 8B 43 20 8B 10 FF 52 34 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 08 8B 08 FF 91 A8 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 46 00 69 00 6E 00 64 00 43 00 6C 00 61 00 73 00 73 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_19276_0 {
	meta:
		name = "TDSAdminClient.FindMethods"
		size = 412
		refs = "0014 @UStrAddRef 002c TDSAdminClient.FindMethods 0110 @UStrArrayClr 0118 @UStrClr 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 24 00 75 2E 8B 43 04 8B 10 FF 52 7C 8B F0 89 73 24 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 43 24 8B 08 FF 51 10 8B 43 24 8B 10 FF 52 60 8B 43 24 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 8B 43 24 8B 10 FF 52 34 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 F8 8B 08 FF 91 78 01 00 00 8B 43 24 8B 10 FF 52 34 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 08 8B 08 FF 91 78 01 00 00 8B 43 24 8B 10 FF 52 68 8B 43 24 8B 10 FF 52 34 BA 03 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 08 8B 08 FF 91 A8 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 46 00 69 00 6E 00 64 00 4D 00 65 00 74 00 68 00 6F 00 64 00 73 00 00 00 }
	condition:
		$1
}

rule function_19277_0 {
	meta:
		name = "TDSAdminClient.GetServerMethods"
		size = 220
		refs = "0018 TDSAdminClient.GetServerMethods"
	strings:
		$1 = { 53 56 8B D8 83 7B 28 00 75 2E 8B 43 04 8B 10 FF 52 7C 8B F0 89 73 28 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 43 28 8B 08 FF 51 10 8B 43 28 8B 10 FF 52 60 8B 43 28 8B 10 FF 52 68 8B 43 28 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 08 8B 08 FF 91 A8 00 00 00 5E 5B C3 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 47 00 65 00 74 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_19278_0 {
	meta:
		name = "TDSAdminClient.GetServerMethodParameters"
		size = 236
		refs = "0018 TDSAdminClient.GetServerMethodParameters"
	strings:
		$1 = { 53 56 8B D8 83 7B 2C 00 75 2E 8B 43 04 8B 10 FF 52 7C 8B F0 89 73 2C BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 43 2C 8B 08 FF 51 10 8B 43 2C 8B 10 FF 52 60 8B 43 2C 8B 10 FF 52 68 8B 43 2C 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 08 8B 08 FF 91 A8 00 00 00 5E 5B C3 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 47 00 65 00 74 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_19279_0 {
	meta:
		name = "TDSAdminClient.GetDatabaseConnectionProperties"
		size = 248
		refs = "0018 TDSAdminClient.GetDatabaseConnectionProperties"
	strings:
		$1 = { 53 56 8B D8 83 7B 30 00 75 2E 8B 43 04 8B 10 FF 52 7C 8B F0 89 73 30 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 43 30 8B 08 FF 51 10 8B 43 30 8B 10 FF 52 60 8B 43 30 8B 10 FF 52 68 8B 43 30 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 08 8B 08 FF 91 A8 00 00 00 5E 5B C3 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 47 00 65 00 74 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_19280_0 {
	meta:
		name = "TDSAdminClient.BroadcastToChannel"
		size = 360
		refs = "0014 @UStrAddRef 001c TDSAdminClient.BroadcastToChannel 00d6 @UStrClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 34 00 75 2E 8B 43 04 8B 10 FF 52 7C 8B F0 89 73 34 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 43 34 8B 08 FF 51 10 8B 43 34 8B 10 FF 52 60 8B 43 34 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 8B 43 34 8B 10 FF 52 34 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 4B 08 8B 55 F8 8B 30 FF 96 B4 01 00 00 8B 43 34 8B 10 FF 52 68 8B 43 34 8B 10 FF 52 34 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 68 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 42 00 72 00 6F 00 61 00 64 00 63 00 61 00 73 00 74 00 54 00 6F 00 43 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_19281_0 {
	meta:
		name = "TDSAdminClient.BroadcastObjectToChannel"
		size = 560
		refs = "0014 @UStrAddRef 001c TDSAdminClient.BroadcastObjectToChannel 00cf TDBXClientCommand.GetJSONMarshaler 0128 TObject.Free 014e @HandleFinally 0191 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 78 38 00 75 3A 8B 45 F8 8B 40 04 8B 10 FF 52 7C 8B F0 8B 45 F8 89 70 38 8B C6 BA ?? ?? ?? ?? 8B 08 FF 51 04 8B 45 F8 8B 40 38 BA ?? ?? ?? ?? 8B 08 FF 51 10 8B 45 F8 8B 40 38 8B 10 FF 52 60 8B 45 F8 8B 40 38 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 85 DB 75 27 8B 45 F8 8B 40 38 8B 10 FF 52 34 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 E9 9E 00 00 00 8B 45 F8 8B 40 38 8B 10 FF 52 34 BA 01 00 00 00 8B 08 FF 51 04 8B 40 4C E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F8 8B 40 38 8B 10 FF 52 34 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 50 8B 45 F8 8B 40 0C 8B D3 8B 08 FF 51 0C 8B D0 B1 01 58 8B 30 FF 96 B4 01 00 00 8B 45 F8 80 78 08 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 83 C0 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 F8 8B 40 38 8B 10 FF 52 68 8B 45 F8 8B 40 38 8B 10 FF 52 34 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 68 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 42 00 72 00 6F 00 61 00 64 00 63 00 61 00 73 00 74 00 4F 00 62 00 6A 00 65 00 63 00 74 00 54 00 6F 00 43 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_19282_0 {
	meta:
		name = "TDSAdminClient.NotifyCallback"
		size = 440
		refs = "0014 @UStrAddRef 0024 TDSAdminClient.NotifyCallback 012d @UStrArrayClr 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 3C 00 75 2E 8B 43 04 8B 10 FF 52 7C 8B F0 89 73 3C BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 43 3C 8B 08 FF 51 10 8B 43 3C 8B 10 FF 52 60 8B 43 3C 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 8B 43 3C 8B 10 FF 52 34 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 F8 8B 08 FF 91 78 01 00 00 8B 43 3C 8B 10 FF 52 34 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 4B 08 8B 55 0C 8B 30 FF 96 B4 01 00 00 8B 43 3C 8B 10 FF 52 68 8B 43 3C 8B 10 FF 52 34 BA 03 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 08 8B 08 FF 91 C0 00 00 00 8B 55 08 89 02 8B 43 3C 8B 10 FF 52 34 BA 04 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 68 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 4E 00 6F 00 74 00 69 00 66 00 79 00 43 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_19283_0 {
	meta:
		name = "TDSAdminClient.NotifyObject"
		size = 776
		refs = "0018 @UStrAddRef 0028 TDSAdminClient.NotifyObject 0100 TDBXClientCommand.GetJSONMarshaler 0159 TObject.Free 017f @HandleFinally 01d0 TDBXClientCommand.GetJSONUnMarshaler 0213 TJSONUnMarshal.Unmarshal 0282 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 89 55 FC 89 45 F4 8B 5D 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 78 40 00 75 3A 8B 45 F4 8B 40 04 8B 10 FF 52 7C 8B F0 8B 45 F4 89 70 40 8B C6 BA ?? ?? ?? ?? 8B 08 FF 51 04 8B 45 F4 8B 40 40 BA ?? ?? ?? ?? 8B 08 FF 51 10 8B 45 F4 8B 40 40 8B 10 FF 52 60 8B 45 F4 8B 40 40 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 8B 45 F4 8B 40 40 8B 10 FF 52 34 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 F8 8B 08 FF 91 78 01 00 00 85 DB 75 27 8B 45 F4 8B 40 40 8B 10 FF 52 34 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 E9 9E 00 00 00 8B 45 F4 8B 40 40 8B 10 FF 52 34 BA 02 00 00 00 8B 08 FF 51 04 8B 40 4C E8 ?? ?? ?? ?? 8B 55 F4 89 42 0C 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F4 8B 40 40 8B 10 FF 52 34 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 50 8B 45 F4 8B 40 0C 8B D3 8B 08 FF 51 0C 8B D0 B1 01 58 8B 30 FF 96 B4 01 00 00 8B 45 F4 80 78 08 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 83 C0 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 F4 8B 40 40 8B 10 FF 52 68 8B 45 F4 8B 40 40 8B 10 FF 52 34 BA 03 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 58 84 C0 0F 85 8D 00 00 00 8B 45 F4 8B 40 40 8B 10 FF 52 34 BA 03 00 00 00 8B 08 FF 51 04 8B 40 4C E8 ?? ?? ?? ?? 8B D8 8B 45 F4 89 58 10 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F4 8B 40 40 8B 10 FF 52 34 BA 03 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C B2 01 8B 08 FF 91 C0 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 83 C0 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 08 33 D2 89 10 8B 45 F4 8B 40 40 8B 10 FF 52 34 BA 04 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 68 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 4E 00 6F 00 74 00 69 00 66 00 79 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_19284_0 {
	meta:
		name = "TDSAdminClient.ListClasses"
		size = 208
		refs = "0018 TDSAdminClient.ListClasses"
	strings:
		$1 = { 53 56 8B D8 83 7B 44 00 75 2E 8B 43 04 8B 10 FF 52 7C 8B F0 89 73 44 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 43 44 8B 08 FF 51 10 8B 43 44 8B 10 FF 52 60 8B 43 44 8B 10 FF 52 68 8B 43 44 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 08 8B 08 FF 91 C0 00 00 00 5E 5B C3 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 4C 00 69 00 73 00 74 00 43 00 6C 00 61 00 73 00 73 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_19285_0 {
	meta:
		name = "TDSAdminClient.DescribeClass"
		size = 312
		refs = "000f @UStrAddRef 0017 TDSAdminClient.DescribeClass 00b2 @UStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 48 00 75 2E 8B 43 04 8B 10 FF 52 7C 8B F0 89 73 48 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 43 48 8B 08 FF 51 10 8B 43 48 8B 10 FF 52 60 8B 43 48 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 8B 43 48 8B 10 FF 52 68 8B 43 48 8B 10 FF 52 34 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 08 8B 08 FF 91 C0 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 44 00 65 00 73 00 63 00 72 00 69 00 62 00 65 00 43 00 6C 00 61 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_19286_0 {
	meta:
		name = "TDSAdminClient.ListMethods"
		size = 308
		refs = "000f @UStrAddRef 0017 TDSAdminClient.ListMethods 00b2 @UStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 4C 00 75 2E 8B 43 04 8B 10 FF 52 7C 8B F0 89 73 4C BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 43 4C 8B 08 FF 51 10 8B 43 4C 8B 10 FF 52 60 8B 43 4C 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 8B 43 4C 8B 10 FF 52 68 8B 43 4C 8B 10 FF 52 34 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 08 8B 08 FF 91 C0 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 4C 00 69 00 73 00 74 00 4D 00 65 00 74 00 68 00 6F 00 64 00 73 00 00 00 }
	condition:
		$1
}

rule function_19287_0 {
	meta:
		name = "TDSAdminClient.DescribeMethod"
		size = 316
		refs = "000f @UStrAddRef 0017 TDSAdminClient.DescribeMethod 00b2 @UStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 50 00 75 2E 8B 43 04 8B 10 FF 52 7C 8B F0 89 73 50 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 04 BA ?? ?? ?? ?? 8B 43 50 8B 08 FF 51 10 8B 43 50 8B 10 FF 52 60 8B 43 50 8B 10 FF 52 34 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 8B 43 50 8B 10 FF 52 68 8B 43 50 8B 10 FF 52 34 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 08 8B 08 FF 91 C0 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 44 00 65 00 73 00 63 00 72 00 69 00 62 00 65 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_19288_0 {
	meta:
		name = "TDSAdminClient.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDSAdminClient.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 01 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_22602_0 {
	meta:
		name = "TDSRestClient.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TDSRestClient.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 01 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_19289_0 {
	meta:
		name = "TDSAdminClient.Create"
		size = 252
		refs = "000e @ClassCreate 001d TObject.Create 0026 TDSAdminClient.Create 002d _Dn_EInvalidOperation 0032 Exception.Create 0037 @RaiseExcept 004c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 77 04 0F B6 45 08 88 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 44 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 63 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 62 00 65 00 20 00 6E 00 69 00 6C 00 2E 00 20 00 20 00 4D 00 61 00 6B 00 65 00 20 00 73 00 75 00 72 00 65 00 20 00 74 00 68 00 65 00 20 00 63 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 68 00 61 00 73 00 20 00 62 00 65 00 65 00 6E 00 20 00 6F 00 70 00 65 00 6E 00 65 00 64 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_19290_0 {
	meta:
		name = "TDSAdminClient.Destroy"
		size = 314
		refs = "0005 @BeforeDestruction 001a TObject.Free 0124 TObject.Destroy 0131 @ClassDestroy"
	strings:
		$1 = { 53 83 C4 F4 E8 ?? ?? ?? ?? 88 14 24 8B D8 8D 43 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 28 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 2C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 34 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 4C 8B 10 89 54 24 04 33 D2 89 10 8B 44 24 04 E8 ?? ?? ?? ?? 8D 43 50 8B 10 89 54 24 08 33 D2 89 10 8B 44 24 08 E8 ?? ?? ?? ?? 0F B6 14 24 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C3 E8 ?? ?? ?? ?? 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_19291_0 {
	meta:
		name = "TDSAdminClient.NotifyCallback"
		size = 108
		refs = "000e @UStrAddRef 001e TDSAdminClient.NotifyCallback 0050 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 45 08 50 8B 4D 10 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_19292_0 {
	meta:
		name = "TDSAdminClient.NotifyObject"
		size = 108
		refs = "000e @UStrAddRef 001e TDSAdminClient.NotifyObject 0050 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 45 08 50 8B 4D 10 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_19298_0 {
	meta:
		name = "TDSCustomCppProxyWriter.Create"
		size = 161
		refs = "0011 @ClassCreate 001d TDSCustomCppProxyWriter.Create 002c TDSCustomProxyWriter.Create 003b @UStrClr 0046 ExtractFileName 0053 ChangeFileExt 005e @UStrAsg 0078 @UStrArrayClr 007e @HandleFinally 008b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 14 02 00 00 00 8D 46 10 E8 ?? ?? ?? ?? 8D 55 F8 8B 46 0C E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19299_0 {
	meta:
		name = "TDSCustomCppProxyWriter.WriteProxy"
		size = 105
		refs = "000e TDSCustomCppProxyWriter.WriteProxy 001f ExtractFileName 002c ChangeFileExt 0037 @UStrAsg 003e TDSCustomProxyWriter.WriteProxy 0058 @UStrArrayClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 43 0C E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 38 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_20167_0 {
	meta:
		name = "TDSCustomDelphiProxyWriter.WriteProxy"
		size = 105
		refs = "000e TDSCustomDelphiProxyWriter.WriteProxy 001f ExtractFileName 002c ChangeFileExt 0037 @UStrAsg 003e TDSCustomProxyWriter.WriteProxy 0058 @UStrArrayClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 43 0C E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 38 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19300_0 {
	meta:
		name = "TDSCustomCppProxyWriter.WriteFileHeader"
		size = 164
		refs = "000c TDSCustomCppProxyWriter.WriteFileHeader 0019 TDSCustomProxyWriter.WriteFileHeader 0033 @UStrCatN 003d TDSCustomProxyWriter.WriteLine 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 38 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 23 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 68 00 22 00 00 00 }
	condition:
		$1
}

rule function_19301_0 {
	meta:
		name = "TDSCustomCppProxyWriter.GetDelphiTypeName"
		size = 2284
		refs = "001a TDSCustomCppProxyWriter.GetDelphiTypeName 002e @UStrLAsg 006d CompareText 0082 @UStrAsg 0094 @UStrEqual 02e6 CanMarshal 031c TDSCustomProxyWriter.GetDelphiTypeName 032b @UStrCat3 0340 @UStrClr 034d @UStrArrayClr 0353 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 89 55 F0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F0 8B 52 14 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A4 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 84 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 64 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 44 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 24 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 04 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E4 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C4 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A4 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 84 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 64 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 44 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 24 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 04 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E4 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C4 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A4 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 84 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4A E8 ?? ?? ?? ?? 84 C0 75 25 8B 45 F0 83 78 0C 25 75 1C 8B 55 FC 8B C6 8B 08 FF 51 30 84 C0 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8D 4D EC 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 3A 00 3A 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 3A 00 3A 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 41 00 6E 00 73 00 69 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 3A 00 3A 00 41 00 6E 00 73 00 69 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 3A 00 3A 00 54 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 75 00 72 00 72 00 65 00 6E 00 63 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 3A 00 3A 00 43 00 75 00 72 00 72 00 65 00 6E 00 63 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 68 00 6F 00 72 00 74 00 49 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 3A 00 3A 00 53 00 68 00 6F 00 72 00 74 00 49 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 79 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 3A 00 3A 00 42 00 79 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4F 00 6C 00 65 00 56 00 61 00 72 00 69 00 61 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 3A 00 3A 00 4F 00 6C 00 65 00 56 00 61 00 72 00 69 00 61 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 42 00 58 00 54 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 62 00 78 00 63 00 6F 00 6D 00 6D 00 6F 00 6E 00 3A 00 3A 00 54 00 44 00 42 00 58 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 42 00 58 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 62 00 78 00 63 00 6F 00 6D 00 6D 00 6F 00 6E 00 3A 00 3A 00 54 00 44 00 42 00 58 00 44 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 49 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 68 00 6F 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6F 00 6F 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 74 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 5F 00 5F 00 69 00 6E 00 74 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 6C 00 6F 00 61 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 6E 00 74 00 65 00 67 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 69 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 57 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 75 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 20 00 73 00 68 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 44 00 42 00 58 00 52 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 44 00 42 00 58 00 52 00 65 00 61 00 64 00 65 00 72 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 54 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_19302_0 {
	meta:
		name = "TDSCustomCppProxyWriter.WriteHeaderUses"
		size = 440
		refs = "0004 TDSCustomCppProxyWriter.WriteHeaderUses 000b TDSCustomProxyWriter.WriteLine"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 23 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 20 00 22 00 44 00 42 00 58 00 43 00 6F 00 6D 00 6D 00 6F 00 6E 00 2E 00 68 00 70 00 70 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 23 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 20 00 22 00 43 00 6C 00 61 00 73 00 73 00 65 00 73 00 2E 00 68 00 70 00 70 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 23 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 20 00 22 00 53 00 79 00 73 00 55 00 74 00 69 00 6C 00 73 00 2E 00 68 00 70 00 70 00 22 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 23 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 20 00 22 00 44 00 42 00 2E 00 68 00 70 00 70 00 22 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 23 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 20 00 22 00 53 00 71 00 6C 00 45 00 78 00 70 00 72 00 2E 00 68 00 70 00 70 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 23 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 20 00 22 00 44 00 42 00 58 00 44 00 42 00 52 00 65 00 61 00 64 00 65 00 72 00 73 00 2E 00 68 00 70 00 70 00 22 00 00 00 }
	condition:
		$1
}

rule function_19303_0 {
	meta:
		name = "TDSCustomCppProxyWriter.WriteMethodSignature"
		size = 684
		refs = "001f TDSCustomCppProxyWriter.WriteMethodSignature 0038 TDSProxyMethod.HasReturnValue 005f @UStrCat3 006e @UStrLAsg 007b @UStrCat 00ac @UStrCatN 019c TDSCustomProxyWriter.WriteLine 01b1 @UStrClr 01be @UStrArrayClr 01c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 DB 89 5D DC 89 5D FC 89 5D F8 8B F1 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 89 45 E4 8B 46 24 89 45 EC 8B C6 E8 ?? ?? ?? ?? 84 C0 74 25 FF 4D EC 8B 5E 20 8D 4D DC 8B D3 8B 45 F4 8B 18 FF 53 34 8B 55 DC 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D 08 00 74 0D 8D 45 FC 8B 56 0C E8 ?? ?? ?? ?? EB 1E FF 75 FC 8B 45 F0 FF 70 04 68 ?? ?? ?? ?? FF 76 0C 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 83 7D EC 00 0F 8E BB 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D E4 33 C0 89 45 E8 E9 82 00 00 00 8D 4D F8 8B D3 8B 45 F4 8B 30 FF 56 34 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 8B 45 F8 66 83 7C 70 FE 2A 0F 94 45 E3 FF 75 FC FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 80 7D E3 00 75 18 8B 43 08 83 C0 FE 83 E8 02 73 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 10 E8 ?? ?? ?? ?? FF 45 E8 8B 45 E8 3B 45 EC 7D 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5B 04 85 DB 74 0C 8B 45 E8 3B 45 EC 0F 8C 6E FF FF FF 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D 08 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 6F 00 69 00 64 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 5F 00 5F 00 66 00 61 00 73 00 74 00 63 00 61 00 6C 00 6C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 3A 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 26 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 28 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_19304_0 {
	meta:
		name = "TDSCustomCppProxyWriter.WriteClassInterface"
		size = 1192
		refs = "0016 TDSCustomCppProxyWriter.WriteClassInterface 002c @UStrCat3 0033 TDSCustomProxyWriter.Indent 004d @UStrCatN 0057 TDSCustomProxyWriter.WriteLine 00d4 TDSCustomProxyWriter.Outdent 018c TDSCustomCppProxyWriter.WriteMethodSignature 01ce @UStrArrayClr 01d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 57 04 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 5F 08 85 DB 74 38 8B D3 8B C6 8B 08 FF 51 24 84 C0 74 24 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 5B 14 85 DB 75 C8 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 5F 08 85 DB 74 21 8B D3 8B C6 8B 08 FF 51 24 84 C0 74 0D 6A 01 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 5B 14 85 DB 75 DF 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 6C 00 61 00 73 00 73 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 20 00 3A 00 20 00 70 00 75 00 62 00 6C 00 69 00 63 00 20 00 54 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 72 00 69 00 76 00 61 00 74 00 65 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 54 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 2A 00 46 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 62 00 6F 00 6F 00 6C 00 20 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 54 00 44 00 42 00 58 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 20 00 2A 00 46 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 5F 00 5F 00 66 00 61 00 73 00 74 00 63 00 61 00 6C 00 6C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 28 00 54 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 2A 00 41 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 36 00 00 00 28 00 54 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 2A 00 41 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2C 00 20 00 62 00 6F 00 6F 00 6C 00 20 00 41 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 3A 00 7E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 28 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 7D 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_19305_0 {
	meta:
		name = "TDSCustomCppProxyWriter.WriteInterface"
		size = 336
		refs = "000f TDSCustomCppProxyWriter.WriteInterface 0036 @UStrCatN 0040 TDSCustomProxyWriter.WriteLine 0072 TDSCustomCppProxyWriter.WriteHeaderUses 0080 TDSCustomProxyWriter.GetMetadata 009d TDSCustomCppProxyWriter.WriteClassInterface 00d1 @UStrArrayClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 48 68 ?? ?? ?? ?? FF 76 38 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 76 38 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 58 04 85 DB 74 1D 8B D3 8B C6 8B 08 FF 51 20 84 C0 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 5B 10 85 DB 75 E3 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 23 00 69 00 66 00 6E 00 64 00 65 00 66 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 48 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 23 00 64 00 65 00 66 00 69 00 6E 00 65 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 23 00 65 00 6E 00 64 00 69 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_19306_0 {
	meta:
		name = "TDSCustomCppProxyWriter.WriteMethodImplementation"
		size = 2584
		refs = "001f TDSCustomCppProxyWriter.WriteMethodImplementation 0031 TDSCustomCppProxyWriter.WriteMethodSignature 003d TDSCustomProxyWriter.WriteLine 0044 TDSCustomProxyWriter.Indent 0061 @UStrCatN 00a8 @UStrCat3 0117 TDSCustomProxyWriter.Outdent 013d TDSProxyMethod.HasReturnValue 01c7 IntToStr 0268 TDSCustomProxyWriter.GetSetter 0385 TDSCustomProxyWriter.GetGetter 03ab TDSCustomCppProxyWriter.WriteOutgoingParameter 0538 @UStrArrayClr 054b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 10 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 4D F0 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F0 FF 70 0C 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 DC B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 8D 45 D8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 D8 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B 45 F0 FF 70 10 68 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 8D 45 D0 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 04 89 45 E8 8B 45 F0 8B 40 24 89 45 EC 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 03 FF 4D EC 8B 45 F0 8B 40 18 8B 55 F0 8B 52 1C 89 55 E4 85 C0 0F 8E 38 01 00 00 8B 75 E8 33 FF 85 F6 0F 84 2B 01 00 00 83 7E 08 03 74 0A 83 7E 08 01 0F 85 0F 01 00 00 8B 56 14 8B C3 8B 08 FF 51 2C 84 C0 0F 84 B8 00 00 00 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 CC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 C4 8B C7 E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 8D 45 C8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 BC 8B C7 E8 ?? ?? ?? ?? FF 75 BC 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 C0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 45 FF 75 FC 68 ?? ?? ?? ?? 8D 55 B4 8B C7 E8 ?? ?? ?? ?? FF 75 B4 68 ?? ?? ?? ?? 8D 4D B0 8B D6 8B C3 E8 ?? ?? ?? ?? FF 75 B0 68 ?? ?? ?? ?? 8D 45 B8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 B8 8B C3 E8 ?? ?? ?? ?? 47 8B 76 04 85 F6 0F 85 D5 FE FF FF 8D 45 AC B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 AC 8B C3 E8 ?? ?? ?? ?? 83 7D E4 00 0F 8E 00 01 00 00 8B 75 E8 33 FF 85 F6 0F 84 F3 00 00 00 83 7E 08 03 74 0A 83 7E 08 02 0F 85 D7 00 00 00 8B 56 14 8B C3 8B 08 FF 51 2C 84 C0 74 6D 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 A8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 A8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 A0 8B C7 E8 ?? ?? ?? ?? FF 75 A0 68 ?? ?? ?? ?? 8D 45 A4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 A4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 5C 8D 45 F4 B9 ?? ?? ?? ?? 8B 56 10 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 9C 8B C7 E8 ?? ?? ?? ?? FF 75 9C 68 ?? ?? ?? ?? 8D 4D 98 8B D6 8B C3 E8 ?? ?? ?? ?? FF 75 98 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 56 8B 45 FC 50 8B 46 10 50 8B 4D F8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 47 8B 76 04 85 F6 0F 85 0D FF FF FF 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 3A 01 00 00 8B 45 F0 8B 70 20 83 7E 0C 22 75 11 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 1D 01 00 00 8B 56 14 8B C3 8B 08 FF 51 2C 84 C0 0F 84 85 00 00 00 8D 4D 90 8B 45 F0 8B 50 20 8B C3 8B 30 FF 56 34 FF 75 90 68 ?? ?? ?? ?? 8B 45 F0 8B 40 20 FF 70 14 68 ?? ?? ?? ?? 8D 45 94 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 94 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 88 8B 45 EC E8 ?? ?? ?? ?? FF 75 88 68 ?? ?? ?? ?? 8D 45 8C BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 8C 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 86 00 00 00 8D 4D 84 8B 45 F0 8B 50 20 8B C3 8B 30 FF 56 34 8B 55 84 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 70 20 FF 75 FC 68 ?? ?? ?? ?? 8D 55 80 8B 45 EC E8 ?? ?? ?? ?? FF 75 80 68 ?? ?? ?? ?? 8D 8D 7C FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? FF B5 7C FF FF FF 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 56 8B 45 FC 50 68 ?? ?? ?? ?? 8B 4D F8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 1A 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 46 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 69 00 66 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 3D 00 3D 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 20 00 3D 00 20 00 46 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2D 00 3E 00 43 00 72 00 65 00 61 00 74 00 65 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 28 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 2D 00 3E 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 54 00 79 00 70 00 65 00 20 00 3D 00 20 00 54 00 44 00 42 00 58 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 54 00 79 00 70 00 65 00 73 00 5F 00 44 00 53 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 2D 00 3E 00 54 00 65 00 78 00 74 00 20 00 3D 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 2D 00 3E 00 50 00 72 00 65 00 70 00 61 00 72 00 65 00 28 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 3D 00 3D 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 2D 00 3E 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 2D 00 3E 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 5B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 5D 00 2D 00 3E 00 56 00 61 00 6C 00 75 00 65 00 2D 00 3E 00 53 00 65 00 74 00 4E 00 75 00 6C 00 6C 00 28 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 5D 00 2D 00 3E 00 56 00 61 00 6C 00 75 00 65 00 2D 00 3E 00 53 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 28 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 5D 00 2D 00 3E 00 56 00 61 00 6C 00 75 00 65 00 2D 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 2D 00 3E 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 55 00 70 00 64 00 61 00 74 00 65 00 28 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 21 00 3D 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 2D 00 3E 00 53 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 28 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 5D 00 2D 00 3E 00 56 00 61 00 6C 00 75 00 65 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 46 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 20 00 72 00 65 00 73 00 75 00 6C 00 74 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 28 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 2D 00 3E 00 53 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 28 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 5D 00 2D 00 3E 00 56 00 61 00 6C 00 75 00 65 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 72 00 65 00 73 00 75 00 6C 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 72 00 65 00 73 00 75 00 6C 00 74 00 20 00 3D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_19307_0 {
	meta:
		name = "TDSCustomCppProxyWriter.WriteOutgoingParameter"
		size = 1356
		refs = "0024 TDSCustomCppProxyWriter.WriteOutgoingParameter 0034 @UStrLAsg 005d CompareText 007b @UStrCatN 009d TDSCustomProxyWriter.WriteLine 00ad @UStrCat3 013d TDSCustomProxyWriter.Indent 016b TDSCustomProxyWriter.Outdent 027c AnsiContainsText 02e0 @UStrArrayClr 02f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 89 55 E4 8B D8 8B 75 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 83 7E 0C 17 0F 85 32 01 00 00 8B 56 14 8B C3 8B 08 FF 51 28 84 C0 0F 84 20 01 00 00 BA ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 85 C0 75 58 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 E4 FF 75 FC 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 8D 45 DC B9 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? EB 71 BA ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 85 C0 75 3E 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 E4 FF 75 FC 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B C3 E8 ?? ?? ?? ?? EB 22 FF 75 E4 FF 75 FC 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 0C 68 ?? ?? ?? ?? FF 75 08 68 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 56 01 00 00 8B 46 0C 83 F8 17 74 05 83 F8 21 75 27 FF 75 E4 FF 75 FC 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 CC 8B C3 E8 ?? ?? ?? ?? E9 22 01 00 00 83 F8 25 0F 85 AC 00 00 00 8D 4D F8 8B D6 8B C3 8B 30 FF 56 34 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 34 FF 75 E4 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 C8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8B C3 E8 ?? ?? ?? ?? E9 91 00 00 00 FF 75 E4 FF 75 FC 68 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 C4 8B C3 E8 ?? ?? ?? ?? EB 6D 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 24 FF 75 E4 FF 75 FC 68 ?? ?? ?? ?? 8D 45 C0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8B C3 E8 ?? ?? ?? ?? EB 22 FF 75 E4 FF 75 FC 68 ?? ?? ?? ?? 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 BC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 6E 00 65 00 77 00 20 00 54 00 43 00 75 00 73 00 74 00 6F 00 6D 00 53 00 51 00 4C 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 28 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 28 00 46 00 61 00 6C 00 73 00 65 00 29 00 2C 00 20 00 54 00 72 00 75 00 65 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2D 00 3E 00 4F 00 70 00 65 00 6E 00 28 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 54 00 44 00 42 00 58 00 50 00 61 00 72 00 61 00 6D 00 73 00 52 00 65 00 61 00 64 00 65 00 72 00 3A 00 3A 00 54 00 6F 00 50 00 61 00 72 00 61 00 6D 00 73 00 28 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 69 00 66 00 20 00 28 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 2D 00 3E 00 46 00 72 00 65 00 65 00 4F 00 6E 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 28 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2D 00 3E 00 47 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 28 00 29 00 3B 00 00 00 }
	condition:
		$1
}

rule function_19598_0 {
	meta:
		name = "TDSCustomCppRestProxyWriter.WriteOutgoingParameter"
		size = 1356
		refs = "0024 TDSCustomCppRestProxyWriter.WriteOutgoingParameter 0034 @UStrLAsg 005d CompareText 007b @UStrCatN 009d TDSCustomProxyWriter.WriteLine 00ad @UStrCat3 013d TDSCustomProxyWriter.Indent 016b TDSCustomProxyWriter.Outdent 027c AnsiContainsText 02e0 @UStrArrayClr 02f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 89 55 E4 8B D8 8B 75 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 83 7E 0C 17 0F 85 32 01 00 00 8B 56 14 8B C3 8B 08 FF 51 28 84 C0 0F 84 20 01 00 00 BA ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 85 C0 75 58 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 E4 FF 75 FC 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 8D 45 DC B9 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? EB 71 BA ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 85 C0 75 3E 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 E4 FF 75 FC 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B C3 E8 ?? ?? ?? ?? EB 22 FF 75 E4 FF 75 FC 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 0C 68 ?? ?? ?? ?? FF 75 08 68 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 56 01 00 00 8B 46 0C 83 F8 17 74 05 83 F8 21 75 27 FF 75 E4 FF 75 FC 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 CC 8B C3 E8 ?? ?? ?? ?? E9 22 01 00 00 83 F8 25 0F 85 AC 00 00 00 8D 4D F8 8B D6 8B C3 8B 30 FF 56 34 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 34 FF 75 E4 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 C8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8B C3 E8 ?? ?? ?? ?? E9 91 00 00 00 FF 75 E4 FF 75 FC 68 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 C4 8B C3 E8 ?? ?? ?? ?? EB 6D 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 24 FF 75 E4 FF 75 FC 68 ?? ?? ?? ?? 8D 45 C0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8B C3 E8 ?? ?? ?? ?? EB 22 FF 75 E4 FF 75 FC 68 ?? ?? ?? ?? 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 BC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 6E 00 65 00 77 00 20 00 54 00 43 00 75 00 73 00 74 00 6F 00 6D 00 53 00 51 00 4C 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 28 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 28 00 46 00 61 00 6C 00 73 00 65 00 29 00 2C 00 20 00 54 00 72 00 75 00 65 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2D 00 3E 00 4F 00 70 00 65 00 6E 00 28 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 54 00 44 00 42 00 58 00 50 00 61 00 72 00 61 00 6D 00 73 00 52 00 65 00 61 00 64 00 65 00 72 00 3A 00 3A 00 54 00 6F 00 50 00 61 00 72 00 61 00 6D 00 73 00 28 00 4E 00 55 00 4C 00 4C 00 2C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 69 00 66 00 20 00 28 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 2D 00 3E 00 46 00 72 00 65 00 65 00 4F 00 6E 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 28 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2D 00 3E 00 47 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 28 00 29 00 3B 00 00 00 }
	condition:
		$1
}

rule function_19308_0 {
	meta:
		name = "TDSCustomCppProxyWriter.WriteClassImplementation"
		size = 1620
		refs = "0018 TDSCustomCppProxyWriter.WriteClassImplementation 003d TDSCustomCppProxyWriter.WriteMethodImplementation 004b TDSCustomProxyWriter.WriteLine 006d @UStrCatN 008a TDSCustomProxyWriter.Indent 0092 SConError 0097 LoadResString 00d5 TDSCustomProxyWriter.Outdent 02a4 @UStrArrayClr 02aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 77 08 85 F6 74 1F 8B D6 8B C3 8B 08 FF 51 24 84 C0 74 0B 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 76 14 85 F6 75 E1 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 77 08 85 F6 74 52 8B D6 8B C3 8B 08 FF 51 24 84 C0 74 3E 68 ?? ?? ?? ?? FF 76 0C 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 76 14 85 F6 75 AE 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 5F 00 5F 00 66 00 61 00 73 00 74 00 63 00 61 00 6C 00 6C 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 3A 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 28 00 54 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 2A 00 41 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 69 00 66 00 20 00 28 00 41 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 3D 00 3D 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 74 00 68 00 72 00 6F 00 77 00 20 00 45 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 4F 00 70 00 65 00 72 00 61 00 74 00 69 00 6F 00 6E 00 28 00 22 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 46 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 3D 00 20 00 41 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 20 00 3D 00 20 00 54 00 72 00 75 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 3B 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 28 00 54 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 2A 00 41 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2C 00 20 00 62 00 6F 00 6F 00 6C 00 20 00 41 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 69 00 66 00 20 00 28 00 41 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 3D 00 3D 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 20 00 3D 00 20 00 41 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 3A 00 3A 00 7E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 28 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 46 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 6C 00 65 00 74 00 65 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_19309_0 {
	meta:
		name = "TDSCustomCppProxyWriter.WriteImplementation"
		size = 50
		refs = "0007 TDSCustomProxyWriter.GetMetadata 0024 TDSCustomCppProxyWriter.WriteClassImplementation"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 58 04 85 DB 74 1D 8B D3 8B C6 8B 08 FF 51 20 84 C0 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 5B 10 85 DB 75 E3 5E 5B C3 }
	condition:
		$1
}

rule function_19604_0 {
	meta:
		name = "TDSCustomCppRestProxyWriter.WriteImplementation"
		size = 50
		refs = "0007 TDSCustomProxyWriter.GetMetadata 0024 TDSCustomCppRestProxyWriter.WriteClassImplementation"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 58 04 85 DB 74 1D 8B D3 8B C6 8B 08 FF 51 20 84 C0 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 5B 10 85 DB 75 E3 5E 5B C3 }
	condition:
		$1
}

rule function_19603_0 {
	meta:
		name = "TDSCustomCppRestProxyWriter.WriteTDSRestParameterMetaData"
		size = 50
		refs = "0007 TDSCustomProxyWriter.GetMetadata 0024 TDSCustomCppRestProxyWriter.WriteClassTDSRestParameterMetaData"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 58 04 85 DB 74 1D 8B D3 8B C6 8B 08 FF 51 20 84 C0 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 5B 10 85 DB 75 E3 5E 5B C3 }
	condition:
		$1
}

rule function_19311_0 {
	meta:
		name = "TDSCustomCppProxyWriter.GetCreateDataSetReader"
		size = 160
		refs = "0007 TDSCustomCppProxyWriter.GetCreateDataSetReader 001b @UStrCatN"
	strings:
		$1 = { 53 56 8B F1 8B DA 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 28 00 6E 00 65 00 77 00 20 00 54 00 44 00 42 00 58 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 52 00 65 00 61 00 64 00 65 00 72 00 28 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 2C 00 20 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 2C 00 20 00 54 00 72 00 75 00 65 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_19606_0 {
	meta:
		name = "TDSCustomCppRestProxyWriter.GetCreateDataSetReader"
		size = 160
		refs = "0007 TDSCustomCppRestProxyWriter.GetCreateDataSetReader 001b @UStrCatN"
	strings:
		$1 = { 53 56 8B F1 8B DA 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 28 00 6E 00 65 00 77 00 20 00 54 00 44 00 42 00 58 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 52 00 65 00 61 00 64 00 65 00 72 00 28 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 2C 00 20 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 2C 00 20 00 54 00 72 00 75 00 65 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_19312_0 {
	meta:
		name = "TDSCustomCppProxyWriter.GetCreateParamsReader"
		size = 160
		refs = "0007 TDSCustomCppProxyWriter.GetCreateParamsReader 001b @UStrCatN"
	strings:
		$1 = { 53 56 8B F1 8B DA 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 28 00 6E 00 65 00 77 00 20 00 54 00 44 00 42 00 58 00 50 00 61 00 72 00 61 00 6D 00 73 00 52 00 65 00 61 00 64 00 65 00 72 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 2C 00 20 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 2C 00 20 00 54 00 72 00 75 00 65 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_19607_0 {
	meta:
		name = "TDSCustomCppRestProxyWriter.GetCreateParamsReader"
		size = 160
		refs = "0007 TDSCustomCppRestProxyWriter.GetCreateParamsReader 001b @UStrCatN"
	strings:
		$1 = { 53 56 8B F1 8B DA 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 28 00 6E 00 65 00 77 00 20 00 54 00 44 00 42 00 58 00 50 00 61 00 72 00 61 00 6D 00 73 00 52 00 65 00 61 00 64 00 65 00 72 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 2C 00 20 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 2C 00 20 00 54 00 72 00 75 00 65 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_19313_0 {
	meta:
		name = "TDSCppProxyWriter.DerivedWrite"
		size = 248
		refs = "0012 TDSCppProxyWriter.DerivedWrite 0040 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem 008e IDSProxyWriter 0098 @FinalizeArray 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 44 00 74 2E 8B 7B 40 85 FF 74 0B 8B D6 8B C7 8B 08 FF 51 28 EB 48 8D 4D FC BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 10 EB 2C 8B 7B 3C 85 FF 74 0B 8B D6 8B C7 8B 08 FF 51 28 EB 1A 8D 4D F8 BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_19314_0 {
	meta:
		name = "TDSCppProxyWriter.DerivedWriteLine"
		size = 236
		refs = "000f TDSCppProxyWriter.DerivedWriteLine 003b TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem 0083 IDSProxyWriter 008d @FinalizeArray 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 44 00 74 2A 8B 73 40 85 F6 74 09 8B C6 8B 10 FF 52 3C EB 42 8D 4D FC BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 EB 28 8B 73 3C 85 F6 74 09 8B C6 8B 10 FF 52 3C EB 18 8D 4D F8 BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_19315_0 {
	meta:
		name = "TDSCppProxyWriter.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TDSCustomProxyWriter.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37198_0 {
	meta:
		name = "TSNMPInfo.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TObject.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19316_0 {
	meta:
		name = "TDSCppProxyWriter.EndCppHeader"
		size = 5
	strings:
		$1 = { C6 40 44 00 C3 }
	condition:
		$1
}

rule function_19317_0 {
	meta:
		name = "TDSCppProxyWriter.StartCppHeader"
		size = 5
	strings:
		$1 = { C6 40 44 01 C3 }
	condition:
		$1
}

rule function_19320_0 {
	meta:
		name = "TDSClientProxyWriterCpp.FileDescriptions"
		size = 208
		refs = "000e TDSProxyFileDescriptions 0013 @DynArraySetLength 001d TDSClientProxyWriterCpp.FileDescriptions 0022 @UStrAsg"
	strings:
		$1 = { 53 8B DA 6A 02 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 63 00 70 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_19615_0 {
	meta:
		name = "TDSClientProxyWriterCppRest.FileDescriptions"
		size = 208
		refs = "000e TDSProxyFileDescriptions 0013 @DynArraySetLength 001d TDSClientProxyWriterCppRest.FileDescriptions 0022 @UStrAsg"
	strings:
		$1 = { 53 8B DA 6A 02 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 63 00 70 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_19321_0 {
	meta:
		name = "TDSClientProxyWriterCpp.Properties"
		size = 268
		refs = "0006 TDSClientProxyWriterCpp.Properties 000b @UStrAsg 003a @UStrClr 0056 TEncoding.GetUTF8"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 14 E8 ?? ?? ?? ?? 8D 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 43 1C E8 ?? ?? ?? ?? 89 43 0C 5B C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 43 00 70 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 3B 00 44 00 53 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 53 00 5F 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 43 00 2B 00 2B 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_19322_0 {
	meta:
		name = "Finalization"
		size = 64
		refs = "0002 _DV_4 0009 Finalization 000e TDSProxyWriterFactory.UnregisterWriter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 2B 00 2B 00 42 00 75 00 69 00 6C 00 64 00 65 00 72 00 20 00 44 00 42 00 58 00 00 00 00 00 }
	condition:
		$1
}

rule function_19323_0 {
	meta:
		name = "Datasnap.DSProxyCpp"
		size = 72
		refs = "0002 _DV_4 000b _DV_TDSClientProxyWriterCpp 0010 Datasnap.DSProxyCpp 0015 TDSProxyWriterFactory.RegisterWriter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 2B 00 2B 00 42 00 75 00 69 00 6C 00 64 00 65 00 72 00 20 00 44 00 42 00 58 00 00 00 00 00 }
	condition:
		$1
}

rule function_19586_0 {
	meta:
		name = "TDSCustomCppRestProxyWriter.Create"
		size = 161
		refs = "0011 @ClassCreate 001d TDSCustomCppRestProxyWriter.Create 002c TDSCustomProxyWriter.Create 003b @UStrClr 0046 ExtractFileName 0053 ChangeFileExt 005e @UStrAsg 0078 @UStrArrayClr 007e @HandleFinally 008b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 14 02 00 00 00 8D 46 10 E8 ?? ?? ?? ?? 8D 55 F8 8B 46 0C E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_20458_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.Create"
		size = 161
		refs = "0011 @ClassCreate 001d TDSCustomDelphiRestProxyWriter.Create 002c TDSCustomProxyWriter.Create 003b @UStrClr 0046 ExtractFileName 0053 ChangeFileExt 005e @UStrAsg 0078 @UStrArrayClr 007e @HandleFinally 008b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 14 02 00 00 00 8D 46 10 E8 ?? ?? ?? ?? 8D 55 F8 8B 46 0C E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19587_0 {
	meta:
		name = "TDSCustomCppRestProxyWriter.WriteProxy"
		size = 105
		refs = "000e TDSCustomCppRestProxyWriter.WriteProxy 001f ExtractFileName 002c ChangeFileExt 0037 @UStrAsg 003e TDSCustomProxyWriter.WriteProxy 0058 @UStrArrayClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 43 0C E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 3C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_20459_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.WriteProxy"
		size = 105
		refs = "000e TDSCustomDelphiRestProxyWriter.WriteProxy 001f ExtractFileName 002c ChangeFileExt 0037 @UStrAsg 003e TDSCustomProxyWriter.WriteProxy 0058 @UStrArrayClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 43 0C E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 3C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_19588_0 {
	meta:
		name = "TDSCustomCppRestProxyWriter.WriteFileHeader"
		size = 168
		refs = "000c TDSCustomCppRestProxyWriter.WriteFileHeader 0019 TDSCustomProxyWriter.WriteFileHeader 0033 @UStrCatN 003d TDSCustomProxyWriter.WriteLine 004b TDSCustomCppRestProxyWriter.WriteTDSRestParameterMetaData 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 3C 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 23 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 68 00 22 00 00 00 }
	condition:
		$1
}

rule function_19589_0 {
	meta:
		name = "TDSCustomCppRestProxyWriter.GetCacheValueInterfaceTypeName"
		size = 48
		refs = "000b TDSCustomCppRestProxyWriter.GetCacheValueInterfaceTypeName 0010 @UStrCat3"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C6 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 5F 00 64 00 69 00 5F 00 49 00 00 00 }
	condition:
		$1
}

rule function_19590_0 {
	meta:
		name = "TDSCustomCppRestProxyWriter.GetDelphiTypeName"
		size = 2288
		refs = "001a TDSCustomCppRestProxyWriter.GetDelphiTypeName 002e @UStrLAsg 006d CompareText 0082 @UStrAsg 0094 @UStrEqual 031e TDSCustomProxyWriter.GetDelphiTypeName 032d @UStrCat3 0342 @UStrClr 034f @UStrArrayClr 0355 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 89 55 F0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F0 8B 52 14 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A6 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 86 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 66 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 46 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 26 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 06 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E6 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C6 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A6 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 86 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 66 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 46 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 26 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 06 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E6 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C6 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A6 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 86 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 69 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4C 8B C6 8B 10 FF 52 48 84 C0 75 25 8B 45 F0 83 78 0C 25 75 1C 8B 55 FC 8B C6 8B 08 FF 51 30 84 C0 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8D 4D EC 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 3A 00 3A 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 3A 00 3A 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 41 00 6E 00 73 00 69 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 3A 00 3A 00 41 00 6E 00 73 00 69 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 3A 00 3A 00 54 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 75 00 72 00 72 00 65 00 6E 00 63 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 3A 00 3A 00 43 00 75 00 72 00 72 00 65 00 6E 00 63 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 68 00 6F 00 72 00 74 00 49 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 3A 00 3A 00 53 00 68 00 6F 00 72 00 74 00 49 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 79 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 3A 00 3A 00 42 00 79 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4F 00 6C 00 65 00 56 00 61 00 72 00 69 00 61 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 3A 00 3A 00 4F 00 6C 00 65 00 56 00 61 00 72 00 69 00 61 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 42 00 58 00 54 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 62 00 78 00 63 00 6F 00 6D 00 6D 00 6F 00 6E 00 3A 00 3A 00 54 00 44 00 42 00 58 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 42 00 58 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 62 00 78 00 63 00 6F 00 6D 00 6D 00 6F 00 6E 00 3A 00 3A 00 54 00 44 00 42 00 58 00 44 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 49 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 68 00 6F 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6F 00 6F 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 74 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 5F 00 5F 00 69 00 6E 00 74 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 6C 00 6F 00 61 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 6E 00 74 00 65 00 67 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 69 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 57 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 75 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 20 00 73 00 68 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 44 00 42 00 58 00 52 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 44 00 42 00 58 00 52 00 65 00 61 00 64 00 65 00 72 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 54 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_19591_0 {
	meta:
		name = "TDSCustomCppRestProxyWriter.WriteHeaderUses"
		size = 520
		refs = "0004 TDSCustomCppRestProxyWriter.WriteHeaderUses 000b TDSCustomProxyWriter.WriteLine"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 23 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 20 00 22 00 44 00 42 00 58 00 43 00 6F 00 6D 00 6D 00 6F 00 6E 00 2E 00 68 00 70 00 70 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 23 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 20 00 22 00 43 00 6C 00 61 00 73 00 73 00 65 00 73 00 2E 00 68 00 70 00 70 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 23 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 20 00 22 00 53 00 79 00 73 00 55 00 74 00 69 00 6C 00 73 00 2E 00 68 00 70 00 70 00 22 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 23 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 20 00 22 00 44 00 42 00 2E 00 68 00 70 00 70 00 22 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 23 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 20 00 22 00 53 00 71 00 6C 00 45 00 78 00 70 00 72 00 2E 00 68 00 70 00 70 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 23 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 20 00 22 00 44 00 42 00 58 00 44 00 42 00 52 00 65 00 61 00 64 00 65 00 72 00 73 00 2E 00 68 00 70 00 70 00 22 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 23 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 20 00 22 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 52 00 65 00 73 00 74 00 2E 00 68 00 70 00 70 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_19592_0 {
	meta:
		name = "TDSCustomCppRestProxyWriter.WriteMethodSignature"
		size = 1380
		refs = "0023 TDSCustomCppRestProxyWriter.WriteMethodSignature 0043 TDSProxyMethod.HasReturnValue 006c @UStrCat3 007a @UStrClr 0085 TDSCustomNativeRestProxyWriter.IsCachableParameter 0096 TDSCustomCppRestProxyWriter.GetCacheValueInterfaceTypeName 00d3 @UStrLAsg 00e0 @UStrCat 0117 @UStrCatN 0134 TDSCustomNativeRestProxyWriter.SupportsRequestFilter 038d TDSCustomProxyWriter.WriteLine 03a7 @UStrArrayClr 03ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E8 89 55 EC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 40 04 89 45 DC 8B 45 E8 8B 40 24 89 45 E4 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 7F FF 4D E4 8B 45 E8 8B 58 20 8D 4D D0 8B D3 8B C6 8B 38 FF 57 34 8B 55 D0 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 08 01 74 36 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1F 8D 4D CC 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8D 4D C8 8B D3 8B C6 8B 18 FF 53 34 8B 55 C8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D 0C 00 74 10 8D 45 FC 8B 55 E8 8B 52 0C E8 ?? ?? ?? ?? EB 21 FF 75 FC 8B 45 EC FF 70 04 68 ?? ?? ?? ?? 8B 45 E8 FF 70 0C 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? F6 45 08 01 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 88 45 DA 80 7D DA 00 74 22 80 7D 0C 00 74 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E4 00 0F 8E D5 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D DC 33 C0 89 45 E0 E9 78 01 00 00 83 7B 08 02 75 4A F6 45 08 01 74 44 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2D FF 75 FC 8D 4D C4 8B 55 F0 8B C6 E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? FF 73 10 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? E9 0D 01 00 00 8D 4D F8 8B D3 8B C6 8B 38 FF 57 34 8B 45 F8 89 45 D4 83 7D D4 00 74 0B 8B 45 D4 83 E8 04 8B 00 89 45 D4 8B 45 F8 8B 55 D4 66 83 7C 50 FE 2A 0F 94 45 DB FF 75 FC FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 80 7D DB 00 75 54 8B 43 08 83 E8 02 74 05 48 74 11 EB 47 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 38 8B 53 14 8B C6 8B 08 FF 51 2C 84 C0 75 2A F6 45 08 01 74 17 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 10 E8 ?? ?? ?? ?? F6 45 08 01 74 57 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 40 83 7B 08 03 75 3A 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC 8D 4D C0 8B 55 F0 8B C6 E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? FF 45 E0 8B 45 E0 3B 45 E4 7D 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5B 04 85 DB 74 0C 8B 45 E0 3B 45 E4 0F 8C 78 FE FF FF 80 7D DA 00 74 1E 83 7D E0 00 7E 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 80 7D DA 00 74 1F FF 75 FC 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D 0C 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 6F 00 69 00 64 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 5F 00 5F 00 66 00 61 00 73 00 74 00 63 00 61 00 6C 00 6C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 3A 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 43 00 61 00 63 00 68 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 63 00 6F 00 6E 00 73 00 74 00 20 00 53 00 74 00 72 00 69 00 6E 00 67 00 26 00 20 00 41 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 46 00 69 00 6C 00 74 00 65 00 72 00 20 00 3D 00 20 00 53 00 74 00 72 00 69 00 6E 00 67 00 28 00 29 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 63 00 6F 00 6E 00 73 00 74 00 20 00 53 00 74 00 72 00 69 00 6E 00 67 00 26 00 20 00 41 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 46 00 69 00 6C 00 74 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 26 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 28 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_19593_0 {
	meta:
		name = "TDSCustomCppRestProxyWriter.WriteClassInterface"
		size = 1200
		refs = "0018 TDSCustomCppRestProxyWriter.WriteClassInterface 002a TDSCustomNativeRestProxyWriter.GetAncestor 003a @UStrCat3 0041 TDSCustomProxyWriter.Indent 005e @UStrCatN 0068 TDSCustomProxyWriter.WriteLine 00c8 TDSCustomNativeRestProxyWriter.IncludeCacheMethod 00fe TDSCustomProxyWriter.Outdent 01be TDSCustomCppRestProxyWriter.WriteMethodSignature 0222 @UStrArrayClr 0228 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 57 04 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 5F 08 85 DB 74 69 8B D3 8B C6 8B 08 FF 51 24 84 C0 74 24 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 24 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 5B 14 85 DB 75 97 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 E0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 5F 08 85 DB 74 4B 8B D3 8B C6 8B 08 FF 51 24 84 C0 74 15 6A 01 0F B6 05 ?? ?? ?? ?? 50 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 15 6A 01 0F B6 05 ?? ?? ?? ?? 50 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 5B 14 85 DB 75 B5 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 6C 00 61 00 73 00 73 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 3A 00 20 00 70 00 75 00 62 00 6C 00 69 00 63 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 72 00 69 00 76 00 61 00 74 00 65 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 54 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 20 00 2A 00 46 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 5F 00 43 00 61 00 63 00 68 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 5F 00 5F 00 66 00 61 00 73 00 74 00 63 00 61 00 6C 00 6C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 28 00 54 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 2A 00 41 00 52 00 65 00 73 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 39 00 00 00 28 00 54 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 2A 00 41 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2C 00 20 00 62 00 6F 00 6F 00 6C 00 20 00 41 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 3A 00 7E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 28 00 29 00 3B 00 00 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 7D 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_19594_0 {
	meta:
		name = "TDSCustomCppRestProxyWriter.WriteInterface"
		size = 336
		refs = "000f TDSCustomCppRestProxyWriter.WriteInterface 0036 @UStrCatN 0040 TDSCustomProxyWriter.WriteLine 0072 TDSCustomCppRestProxyWriter.WriteHeaderUses 0080 TDSCustomProxyWriter.GetMetadata 009d TDSCustomCppRestProxyWriter.WriteClassInterface 00d1 @UStrArrayClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 4C 68 ?? ?? ?? ?? FF 76 3C 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 76 3C 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 58 04 85 DB 74 1D 8B D3 8B C6 8B 08 FF 51 20 84 C0 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 5B 10 85 DB 75 E3 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 23 00 69 00 66 00 6E 00 64 00 65 00 66 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 48 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 23 00 64 00 65 00 66 00 69 00 6E 00 65 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 23 00 65 00 6E 00 64 00 69 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_19595_0 {
	meta:
		name = "TDSCustomCppRestProxyWriter.GetHTTPMethodAndPrefix"
		size = 684
		refs = "0038 TDSCustomCppRestProxyWriter.GetHTTPMethodAndPrefix 0090 @UStrLAsg 00e8 CompareText 01c5 @UStrClr 01d6 @UStrAsg 01ff @UStrArrayClr 0205 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E0 8B F2 8B F8 8B 45 E0 85 C0 74 04 33 D2 89 10 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 46 04 8B 56 24 85 D2 0F 8E 6F 01 00 00 8B F0 85 F6 0F 84 65 01 00 00 8B 46 08 48 74 09 83 E8 02 0F 85 4B 01 00 00 8B 46 0C 83 E8 17 74 0F 83 E8 0A 74 0A 83 E8 04 74 0C E9 30 01 00 00 B3 01 E9 29 01 00 00 8D 45 FC 8B 56 14 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 84 C0 75 07 B3 01 E9 09 01 00 00 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 06 C6 45 DF 01 EB 23 83 7D F8 00 74 06 83 7D F4 00 75 06 C6 45 DF 00 EB 11 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 45 DF 80 7D DF 00 74 06 C6 45 DD 01 EB 50 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 06 C6 45 DE 01 EB 23 83 7D F0 00 74 06 83 7D EC 00 75 06 C6 45 DE 00 EB 11 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 45 DE 0F B6 45 DE 88 45 DD 80 7D DD 00 74 06 C6 45 DB 01 EB 50 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 06 C6 45 DC 01 EB 23 83 7D E8 00 74 06 83 7D E4 00 75 06 C6 45 DC 00 EB 11 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 45 DC 0F B6 45 DC 88 45 DB 80 7D DB 00 74 02 B3 01 84 DB 75 0B 8B 76 04 85 F6 0F 85 9B FE FF FF 8B 45 E0 E8 ?? ?? ?? ?? 84 DB 74 0F 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 41 00 72 00 72 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 }
	condition:
		$1
}

rule function_20464_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.GetHTTPMethodAndPrefix"
		size = 684
		refs = "0038 TDSCustomDelphiRestProxyWriter.GetHTTPMethodAndPrefix 0090 @UStrLAsg 00e8 CompareText 01c5 @UStrClr 01d6 @UStrAsg 01ff @UStrArrayClr 0205 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E0 8B F2 8B F8 8B 45 E0 85 C0 74 04 33 D2 89 10 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 46 04 8B 56 24 85 D2 0F 8E 6F 01 00 00 8B F0 85 F6 0F 84 65 01 00 00 8B 46 08 48 74 09 83 E8 02 0F 85 4B 01 00 00 8B 46 0C 83 E8 17 74 0F 83 E8 0A 74 0A 83 E8 04 74 0C E9 30 01 00 00 B3 01 E9 29 01 00 00 8D 45 FC 8B 56 14 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 30 84 C0 75 07 B3 01 E9 09 01 00 00 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 06 C6 45 DF 01 EB 23 83 7D F8 00 74 06 83 7D F4 00 75 06 C6 45 DF 00 EB 11 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 45 DF 80 7D DF 00 74 06 C6 45 DD 01 EB 50 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 06 C6 45 DE 01 EB 23 83 7D F0 00 74 06 83 7D EC 00 75 06 C6 45 DE 00 EB 11 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 45 DE 0F B6 45 DE 88 45 DD 80 7D DD 00 74 06 C6 45 DB 01 EB 50 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 06 C6 45 DC 01 EB 23 83 7D E8 00 74 06 83 7D E4 00 75 06 C6 45 DC 00 EB 11 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 45 DC 0F B6 45 DC 88 45 DB 80 7D DB 00 74 02 B3 01 84 DB 75 0B 8B 76 04 85 F6 0F 85 9B FE FF FF 8B 45 E0 E8 ?? ?? ?? ?? 84 DB 74 0F 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 41 00 72 00 72 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 }
	condition:
		$1
}

rule function_19596_0 {
	meta:
		name = "QuoteMethodAlias"
		size = 204
		refs = "0014 QuoteMethodAlias 0026 Pos 004b @UStrCopy 007b @UStrCatN 0095 @UStrArrayClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 4F 0F B7 04 5E 66 83 F8 22 74 45 66 83 F8 27 74 3F 8D 45 F8 50 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 F4 50 8D 53 01 B9 FF FF FF 7F 8B C6 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_19597_0 {
	meta:
		name = "TDSCustomCppRestProxyWriter.WriteMethodImplementation"
		size = 3680
		refs = "0022 TDSCustomCppRestProxyWriter.WriteMethodImplementation 0030 @UStrClr 0045 TDSCustomCppRestProxyWriter.GetHTTPMethodAndPrefix 0058 @UStrEqual 0068 QuoteMethodAlias 0078 @UStrLAsg 008b TDSCustomCppRestProxyWriter.WriteMethodSignature 0097 TDSCustomProxyWriter.WriteLine 009e TDSCustomProxyWriter.Indent 00bb @UStrCatN 00ce @UStrCat 0115 @UStrCat3 0193 TDSCustomCppRestProxyWriter.MakeTDSRestParameterMetaDataTypeName 01aa IntToStr 01d0 TDSCustomProxyWriter.Outdent 01f6 TDSProxyMethod.HasReturnValue 0321 TDSCustomProxyWriter.GetSetter 0378 TDSCustomNativeRestProxyWriter.SupportsRequestFilter 0410 TDSCustomNativeRestProxyWriter.IsCachableParameter 0558 TDSCustomProxyWriter.GetGetter 0581 TDSCustomCppRestProxyWriter.WriteOutgoingParameter 05d6 TDSCustomCppRestProxyWriter.GetCacheValueInterfaceTypeName 07e9 @UStrArrayClr 07fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 16 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D DC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC E8 ?? ?? ?? ?? 50 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 83 7D F0 00 75 1F 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 10 8D 55 E8 8B 45 DC 8B 40 10 E8 ?? ?? ?? ?? EB 0E 8D 45 E8 8B 55 DC 8B 52 10 E8 ?? ?? ?? ?? 6A 00 0F B6 45 08 50 8B 4D DC 8B D6 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 DC FF 70 0C 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? F6 45 08 01 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 CC 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 C8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 C8 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 C4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 C4 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 C0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 83 78 24 00 7E 53 FF 75 FC 68 ?? ?? ?? ?? 0F B6 45 08 50 8D 45 B8 50 8B 4D DC 8B D6 8B C3 E8 ?? ?? ?? ?? FF 75 B8 68 ?? ?? ?? ?? 8D 55 B4 8B 45 DC 8B 40 24 48 E8 ?? ?? ?? ?? FF 75 B4 68 ?? ?? ?? ?? 8D 45 BC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 BC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 8B 40 04 89 45 D4 8B 45 DC 8B 40 24 89 45 D8 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 03 FF 4D D8 8B 45 DC 8B 40 18 8B 55 DC 8B 52 1C 89 55 D0 85 C0 0F 8E 38 01 00 00 8B 75 D4 33 FF 85 F6 0F 84 2B 01 00 00 83 7E 08 03 74 0A 83 7E 08 01 0F 85 0F 01 00 00 8B 56 14 8B C3 8B 08 FF 51 2C 84 C0 0F 84 B8 00 00 00 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 B0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 B0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 A8 8B C7 E8 ?? ?? ?? ?? FF 75 A8 68 ?? ?? ?? ?? 8D 45 AC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 AC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 A0 8B C7 E8 ?? ?? ?? ?? FF 75 A0 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 A4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 A4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 45 FF 75 FC 68 ?? ?? ?? ?? 8D 55 98 8B C7 E8 ?? ?? ?? ?? FF 75 98 68 ?? ?? ?? ?? 8D 4D 94 8B D6 8B C3 E8 ?? ?? ?? ?? FF 75 94 68 ?? ?? ?? ?? 8D 45 9C BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 9C 8B C3 E8 ?? ?? ?? ?? 47 8B 76 04 85 F6 0F 85 D5 FE FF FF F6 45 08 01 74 0F 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 29 FF 75 FC 68 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 45 90 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 90 8B C3 E8 ?? ?? ?? ?? EB 27 FF 75 FC 68 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 45 8C BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 8C 8B C3 E8 ?? ?? ?? ?? 83 7D D0 00 0F 8E B7 01 00 00 8B 75 D4 33 FF 85 F6 0F 84 AA 01 00 00 83 7E 08 03 74 0A 83 7E 08 02 0F 85 8E 01 00 00 F6 45 08 01 0F 84 95 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 7E 8D 45 F4 8B 56 10 E8 ?? ?? ?? ?? 83 7E 08 03 75 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 88 8B C7 E8 ?? ?? ?? ?? FF 75 88 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 F8 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 84 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 84 8B C3 E8 ?? ?? ?? ?? E9 EF 00 00 00 8B 56 14 8B C3 8B 08 FF 51 2C 84 C0 74 79 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 80 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 80 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 78 FF FF FF 8B C7 E8 ?? ?? ?? ?? FF B5 78 FF FF FF 68 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 68 8D 45 F4 B9 ?? ?? ?? ?? 8B 56 10 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 74 FF FF FF 8B C7 E8 ?? ?? ?? ?? FF B5 74 FF FF FF 68 ?? ?? ?? ?? 8D 8D 70 FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? FF B5 70 FF FF FF 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 56 8B 45 FC 50 8B 46 10 50 8B 4D F8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 47 8B 76 04 85 F6 0F 85 56 FE FF FF 8B 45 DC E8 ?? ?? ?? ?? 84 C0 0F 84 15 02 00 00 F6 45 08 01 0F 84 AD 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? 8B C8 8B 45 DC 8B 50 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 8E 00 00 00 8D 8D 6C FF FF FF 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 64 FF FF FF 8B 45 D8 E8 ?? ?? ?? ?? FF B5 64 FF FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 68 FF FF FF BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 5E 01 00 00 8B 45 DC 8B 70 20 83 7E 0C 22 75 11 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 41 01 00 00 8B 56 14 8B C3 8B 08 FF 51 2C 84 C0 0F 84 9D 00 00 00 8D 8D 5C FF FF FF 8B 45 DC 8B 50 20 8B C3 8B 30 FF 56 34 FF B5 5C FF FF FF 68 ?? ?? ?? ?? 8B 45 DC 8B 40 20 FF 70 14 68 ?? ?? ?? ?? 8D 85 60 FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 54 FF FF FF 8B 45 D8 E8 ?? ?? ?? ?? FF B5 54 FF FF FF 68 ?? ?? ?? ?? 8D 85 58 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 95 58 FF FF FF 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 92 00 00 00 8D 8D 50 FF FF FF 8B 45 DC 8B 50 20 8B C3 8B 30 FF 56 34 8B 95 50 FF FF FF 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 70 20 FF 75 FC 68 ?? ?? ?? ?? 8D 95 4C FF FF FF 8B 45 D8 E8 ?? ?? ?? ?? FF B5 4C FF FF FF 68 ?? ?? ?? ?? 8D 8D 48 FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? FF B5 48 FF FF FF 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 56 8B 45 FC 50 68 ?? ?? ?? ?? 8B 4D F8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 48 FF FF FF BA 22 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 46 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 43 00 61 00 63 00 68 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 69 00 66 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 3D 00 3D 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 20 00 3D 00 20 00 46 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2D 00 3E 00 43 00 72 00 65 00 61 00 74 00 65 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 28 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 2D 00 3E 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 54 00 79 00 70 00 65 00 20 00 3D 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 2D 00 3E 00 54 00 65 00 78 00 74 00 20 00 3D 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 2D 00 3E 00 50 00 72 00 65 00 70 00 61 00 72 00 65 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 3D 00 3D 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 2D 00 3E 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 2D 00 3E 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 5B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 5D 00 2D 00 3E 00 56 00 61 00 6C 00 75 00 65 00 2D 00 3E 00 53 00 65 00 74 00 4E 00 75 00 6C 00 6C 00 28 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 5D 00 2D 00 3E 00 56 00 61 00 6C 00 75 00 65 00 2D 00 3E 00 53 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 28 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 5D 00 2D 00 3E 00 56 00 61 00 6C 00 75 00 65 00 2D 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 43 00 61 00 63 00 68 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 28 00 41 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 46 00 69 00 6C 00 74 00 65 00 72 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 28 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6E 00 65 00 77 00 20 00 54 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 5D 00 2D 00 3E 00 56 00 61 00 6C 00 75 00 65 00 2D 00 3E 00 47 00 65 00 74 00 53 00 74 00 72 00 69 00 6E 00 67 00 28 00 29 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 2D 00 3E 00 47 00 65 00 74 00 49 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 21 00 3D 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 2D 00 3E 00 53 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 28 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 5D 00 2D 00 3E 00 56 00 61 00 6C 00 75 00 65 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 5F 00 72 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 66 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 2D 00 3E 00 47 00 65 00 74 00 49 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 28 00 5F 00 72 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 66 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 5F 00 72 00 65 00 73 00 75 00 6C 00 74 00 49 00 6E 00 74 00 66 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 46 00 52 00 65 00 73 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 20 00 72 00 65 00 73 00 75 00 6C 00 74 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 2D 00 3E 00 53 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 28 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 5D 00 2D 00 3E 00 56 00 61 00 6C 00 75 00 65 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 72 00 65 00 73 00 75 00 6C 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 72 00 65 00 73 00 75 00 6C 00 74 00 20 00 3D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_19599_0 {
	meta:
		name = "TDSCustomCppRestProxyWriter.WriteClassImplementation"
		size = 1292
		refs = "0018 TDSCustomCppRestProxyWriter.WriteClassImplementation 0045 TDSCustomCppRestProxyWriter.WriteMethodImplementation 004e TDSCustomNativeRestProxyWriter.IncludeCacheMethod 0073 TDSCustomProxyWriter.WriteLine 0094 TDSCustomNativeRestProxyWriter.GetAncestor 00a9 @UStrCatN 0170 TDSCustomProxyWriter.Indent 0223 TDSCustomProxyWriter.Outdent 0250 @UStrArrayClr 0256 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 85 DB 74 47 8B D3 8B C6 8B 08 FF 51 24 84 C0 74 13 0F B6 05 ?? ?? ?? ?? 50 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 0F B6 05 ?? ?? ?? ?? 50 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 5B 14 85 DB 75 B9 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? 8D 4D F4 8B D7 8B C6 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 F8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? 8D 4D EC 8B D7 8B C6 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 5F 08 85 DB 0F 84 A1 00 00 00 8B D3 8B C6 8B 08 FF 51 24 84 C0 74 3E 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3E 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 5B 14 85 DB 0F 85 5F FF FF FF 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 5F 00 5F 00 66 00 61 00 73 00 74 00 63 00 61 00 6C 00 6C 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 3A 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 28 00 54 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 2A 00 41 00 52 00 65 00 73 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 29 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 28 00 41 00 52 00 65 00 73 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 41 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 28 00 54 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 2A 00 41 00 52 00 65 00 73 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2C 00 20 00 62 00 6F 00 6F 00 6C 00 20 00 41 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 28 00 41 00 52 00 65 00 73 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2C 00 20 00 41 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 3A 00 3A 00 7E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 28 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 46 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 6C 00 65 00 74 00 65 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 5F 00 43 00 61 00 63 00 68 00 65 00 00 00 }
	condition:
		$1
}

rule function_19600_0 {
	meta:
		name = "TDSCustomCppRestProxyWriter.MakeTDSRestParameterMetaDataTypeName"
		size = 108
		refs = "0011 TDSCustomCppRestProxyWriter.MakeTDSRestParameterMetaDataTypeName 0020 @UStrCatN 0032 @UStrCat"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B 5D 08 FF 76 04 68 ?? ?? ?? ?? FF 77 0C 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? F6 45 0C 01 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 43 00 61 00 63 00 68 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_20469_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.MakeTDSRestParameterMetaDataTypeName"
		size = 108
		refs = "0011 TDSCustomDelphiRestProxyWriter.MakeTDSRestParameterMetaDataTypeName 0020 @UStrCatN 0032 @UStrCat"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B 5D 08 FF 76 04 68 ?? ?? ?? ?? FF 77 0C 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? F6 45 0C 01 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 43 00 61 00 63 00 68 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_19601_0 {
	meta:
		name = "TDSCustomCppRestProxyWriter.WriteMethodTDSRestParameterMetaData"
		size = 772
		refs = "0021 TDSCustomCppRestProxyWriter.WriteMethodTDSRestParameterMetaData 0039 TDSCustomProxyWriter.Indent 0052 TDSCustomCppRestProxyWriter.MakeTDSRestParameterMetaDataTypeName 006b Format 0075 TDSCustomProxyWriter.WriteLine 00a8 @UStrLAsg 00c5 @UStrCatN 00d3 @UStrClr 00de TDSCustomNativeRestProxyWriter.IsCachableParameter 0129 IntToStr 0192 @UStrCat 01ab TDSCustomProxyWriter.Outdent 01df @UStrArrayClr 01fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 89 55 F0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 24 85 DB 0F 84 93 01 00 00 8B C6 E8 ?? ?? ?? ?? 8D 45 E8 50 0F B6 45 08 50 8D 45 DC 50 8B CF 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 DB 0F 8E 14 01 00 00 8B 5F 04 85 DB 0F 84 09 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? F6 45 08 01 74 3D 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 26 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 08 04 74 07 BF 02 00 00 00 EB 03 8B 7B 08 C7 45 EC 1A 00 00 00 EB 14 8B 7B 08 8B 43 0C 89 45 EC 8D 45 F4 8B 53 14 E8 ?? ?? ?? ?? FF 75 FC 8D 55 D8 8B C7 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 8D 55 D4 8B 45 EC E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 5B 04 85 DB 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 DB 0F 85 F7 FE FF FF 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 73 00 74 00 72 00 75 00 63 00 74 00 20 00 54 00 44 00 53 00 52 00 65 00 73 00 74 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 20 00 25 00 73 00 5B 00 5D 00 20 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 2C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 7D 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_19602_0 {
	meta:
		name = "TDSCustomCppRestProxyWriter.WriteClassTDSRestParameterMetaData"
		size = 100
		refs = "001e TDSCustomCppRestProxyWriter.WriteClassTDSRestParameterMetaData 002a TDSCustomCppRestProxyWriter.WriteMethodTDSRestParameterMetaData 0033 TDSCustomNativeRestProxyWriter.IncludeCacheMethod"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 5F 08 85 DB 74 47 8B D3 8B C6 8B 08 FF 51 24 84 C0 74 13 0F B6 05 ?? ?? ?? ?? 50 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 0F B6 05 ?? ?? ?? ?? 50 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 5B 14 85 DB 75 B9 5F 5E 5B C3 00 00 00 00 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_20471_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.WriteClassTDSRestParameterMetaData"
		size = 100
		refs = "001e TDSCustomDelphiRestProxyWriter.WriteClassTDSRestParameterMetaData 002a TDSCustomDelphiRestProxyWriter.WriteMethodTDSRestParameterMetaData 0033 TDSCustomNativeRestProxyWriter.IncludeCacheMethod"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 5F 08 85 DB 74 47 8B D3 8B C6 8B 08 FF 51 24 84 C0 74 13 0F B6 05 ?? ?? ?? ?? 50 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 0F B6 05 ?? ?? ?? ?? 50 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 5B 14 85 DB 75 B9 5F 5E 5B C3 00 00 00 00 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_19608_0 {
	meta:
		name = "TDSCppRestProxyWriter.DerivedWrite"
		size = 248
		refs = "0012 TDSCppRestProxyWriter.DerivedWrite 0040 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem 008e IDSProxyWriter 0098 @FinalizeArray 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 48 00 74 2E 8B 7B 44 85 FF 74 0B 8B D6 8B C7 8B 08 FF 51 28 EB 48 8D 4D FC BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 10 EB 2C 8B 7B 40 85 FF 74 0B 8B D6 8B C7 8B 08 FF 51 28 EB 1A 8D 4D F8 BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_19609_0 {
	meta:
		name = "TDSCppRestProxyWriter.DerivedWriteLine"
		size = 236
		refs = "000f TDSCppRestProxyWriter.DerivedWriteLine 003b TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem 0083 IDSProxyWriter 008d @FinalizeArray 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 48 00 74 2A 8B 73 44 85 F6 74 09 8B C6 8B 10 FF 52 3C EB 42 8D 4D FC BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 EB 28 8B 73 40 85 F6 74 09 8B C6 8B 10 FF 52 3C EB 18 8D 4D F8 BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_19610_0 {
	meta:
		name = "TDSCppRestProxyWriter.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TDSCustomNativeRestProxyWriter.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19611_0 {
	meta:
		name = "TDSCppRestProxyWriter.EndCppHeader"
		size = 5
	strings:
		$1 = { C6 40 48 00 C3 }
	condition:
		$1
}

rule function_19612_0 {
	meta:
		name = "TCustomHintShowHideThread.HideHint"
		size = 5
		altNames = "TDSCppRestProxyWriter.StartCppHeader"
	strings:
		$1 = { C6 40 48 01 C3 }
	condition:
		$1
}

rule function_19616_0 {
	meta:
		name = "TDSClientProxyWriterCppRest.Properties"
		size = 276
		refs = "0006 TDSClientProxyWriterCppRest.Properties 000b @UStrAsg 003a @UStrClr 0056 TEncoding.GetUTF8"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 14 E8 ?? ?? ?? ?? 8D 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 43 1C E8 ?? ?? ?? ?? 89 43 0C 5B C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 43 00 70 00 70 00 52 00 65 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 3B 00 44 00 53 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 53 00 5F 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 43 00 2B 00 2B 00 00 00 05 00 00 00 }
	condition:
		$1
}

rule function_19617_0 {
	meta:
		name = "Finalization"
		size = 64
		refs = "0002 _DV_4 0009 Finalization 000e TDSProxyWriterFactory.UnregisterWriter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 2B 00 2B 00 42 00 75 00 69 00 6C 00 64 00 65 00 72 00 20 00 52 00 45 00 53 00 54 00 00 00 }
	condition:
		$1
}

rule function_19618_0 {
	meta:
		name = "Datasnap.DSProxyCppRest"
		size = 72
		refs = "0002 _DV_4 000b _DV_TDSClientProxyWriterCppRest 0010 Datasnap.DSProxyCppRest 0015 TDSProxyWriterFactory.RegisterWriter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 2B 00 2B 00 42 00 75 00 69 00 6C 00 64 00 65 00 72 00 20 00 52 00 45 00 53 00 54 00 00 00 }
	condition:
		$1
}

rule function_19878_0 {
	meta:
		name = "TDSCustomCsharpSilverlightProxyWriter.GetCastType"
		size = 1100
		refs = "000e TDSCustomConnectorProxyWriter.IsDBXValueTypeParameter 0017 TDSCustomCsharpSilverlightProxyWriter.GetCastType 002b @UStrCatN 0052 @UStrEqual 0060 @UStrAsg 0176 @UStrCat3 017f @UStrClr"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 1E 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 4F 01 00 00 8B 43 0C 83 E8 17 0F 84 D4 00 00 00 83 E8 0E 0F 85 33 01 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1A 01 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FA 00 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DA 00 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BA 00 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9A 00 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7D 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6F 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 52 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 35 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 8B C6 8B 4B 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 28 00 54 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 41 00 72 00 72 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 28 00 54 00 4A 00 53 00 4F 00 4E 00 41 00 72 00 72 00 61 00 79 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 28 00 54 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 54 00 72 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 28 00 54 00 4A 00 53 00 4F 00 4E 00 54 00 72 00 75 00 65 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 46 00 61 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 28 00 54 00 4A 00 53 00 4F 00 4E 00 46 00 61 00 6C 00 73 00 65 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4E 00 75 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 28 00 54 00 4A 00 53 00 4F 00 4E 00 4E 00 75 00 6C 00 6C 00 29 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 28 00 54 00 50 00 61 00 72 00 61 00 6D 00 73 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 44 00 42 00 58 00 52 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 28 00 54 00 44 00 42 00 58 00 52 00 65 00 61 00 64 00 65 00 72 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 28 00 54 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 4E 00 4B 00 4E 00 4F 00 57 00 4E 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_21436_0 {
	meta:
		name = "TDSCustomJavaAndroidProxyWriter.GetCastType"
		size = 1100
		refs = "000e TDSCustomConnectorProxyWriter.IsDBXValueTypeParameter 0017 TDSCustomJavaAndroidProxyWriter.GetCastType 002b @UStrCatN 0052 @UStrEqual 0060 @UStrAsg 0176 @UStrCat3 017f @UStrClr"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 1E 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 4F 01 00 00 8B 43 0C 83 E8 17 0F 84 D4 00 00 00 83 E8 0E 0F 85 33 01 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1A 01 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FA 00 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DA 00 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BA 00 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9A 00 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7D 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6F 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 52 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 35 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 8B C6 8B 4B 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 28 00 54 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 41 00 72 00 72 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 28 00 54 00 4A 00 53 00 4F 00 4E 00 41 00 72 00 72 00 61 00 79 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 28 00 54 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 54 00 72 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 28 00 54 00 4A 00 53 00 4F 00 4E 00 54 00 72 00 75 00 65 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 46 00 61 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 28 00 54 00 4A 00 53 00 4F 00 4E 00 46 00 61 00 6C 00 73 00 65 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4E 00 75 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 28 00 54 00 4A 00 53 00 4F 00 4E 00 4E 00 75 00 6C 00 6C 00 29 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 28 00 54 00 50 00 61 00 72 00 61 00 6D 00 73 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 44 00 42 00 58 00 52 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 28 00 54 00 44 00 42 00 58 00 52 00 65 00 61 00 64 00 65 00 72 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 28 00 54 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 4E 00 4B 00 4E 00 4F 00 57 00 4E 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_19881_0 {
	meta:
		name = "TDSCustomCsharpSilverlightProxyWriter.WriteInterface"
		size = 288
		refs = "0004 TDSCustomCsharpSilverlightProxyWriter.WriteInterface 000b TDSCustomProxyWriter.WriteLine 003d TDSCustomProxyWriter.Indent"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 75 00 73 00 69 00 6E 00 67 00 20 00 53 00 79 00 73 00 74 00 65 00 6D 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 75 00 73 00 69 00 6E 00 67 00 20 00 53 00 79 00 73 00 74 00 65 00 6D 00 2E 00 54 00 68 00 72 00 65 00 61 00 64 00 69 00 6E 00 67 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 20 00 45 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 2E 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 2E 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 50 00 68 00 6F 00 6E 00 65 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 }
	condition:
		$1
}

rule function_19884_0 {
	meta:
		name = "TDSCustomCsharpSilverlightProxyWriter.GetCsharpType"
		size = 1260
		refs = "0014 TDSCustomCsharpSilverlightProxyWriter.GetCsharpType 002a @UStrAsg 0038 TDSCustomConnectorProxyWriter.IsDBXValueTypeParameter 01bd @UStrEqual 0240 @UStrCatN 029a _Dn_EDSProxyException 029f Exception.Create 02a4 @RaiseExcept 02be @UStrArrayClr 02c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 75 02 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0F 8B C6 8B 53 14 E8 ?? ?? ?? ?? E9 59 02 00 00 8B 43 0C 83 F8 25 0F 87 12 02 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 0D 00 04 06 07 09 0F 00 0C 02 06 07 00 00 00 00 08 08 00 00 00 11 10 0B 01 0A 05 05 00 00 00 03 00 00 00 0E ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C0 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AF 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9E 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8D 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7C 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6B 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5A 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 49 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 38 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 27 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 16 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 05 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F4 00 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 4B 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 3C 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 2D 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B C6 8B 53 14 E8 ?? ?? ?? ?? E9 8B 00 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7D 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 62 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 47 8B C6 8B 53 14 E8 ?? ?? ?? ?? EB 3B 68 ?? ?? ?? ?? 8D 55 F8 8B C3 8B 08 FF 51 04 FF 75 F8 68 ?? ?? ?? ?? FF 73 14 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 76 00 6F 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 53 00 74 00 72 00 65 00 61 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6F 00 6F 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 69 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 6F 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 6C 00 6F 00 61 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 41 00 72 00 72 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 54 00 72 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 46 00 61 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4E 00 75 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3F 00 3F 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 70 00 61 00 72 00 61 00 6D 00 20 00 74 00 79 00 70 00 65 00 20 00 66 00 6F 00 72 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_19885_0 {
	meta:
		name = "TDSCustomCsharpSilverlightProxyWriter.WriteImplementation"
		size = 296
		refs = "000c TDSCustomCsharpSilverlightProxyWriter.WriteImplementation 0029 TDSCustomProxyWriter.Indent 0030 _Dn_TStringList 0035 TStringList.Create 004e TDSCustomConnectorProxyWriter.GetFirstClass 005e TDSCustomConnectorProxyWriter.ExtendedIncludeClass 0093 TObject.Free 0099 @HandleFinally 00a3 TDSCustomProxyWriter.Outdent"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 74 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 74 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 25 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 10 8B 4D F8 8B D3 8B 45 FC 8B 30 FF 96 80 00 00 00 8B 5B 10 85 DB 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 74 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 74 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 14 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 20 00 63 00 6C 00 61 00 73 00 73 00 20 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_19886_0 {
	meta:
		name = "TDSCustomCsharpSilverlightProxyWriter.WriteClassImplementation"
		size = 760
		refs = "0020 TDSCustomCsharpSilverlightProxyWriter.WriteClassImplementation 002d _Dn_TDBXStringBuffer 0032 TDBXStringBuffer.Create 0060 @UStrCatN 007d TDSCustomProxyWriter.Indent 00e2 TDSCustomConnectorProxyWriter.ExtendedIncludeMethod 00ee @UStrClr 012b TDSCustomProxyWriter.Outdent 016e TObject.Free 0174 @HandleFinally 0190 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 ?? ?? ?? ?? 8B 45 F8 FF 70 04 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 8B 08 FF 51 74 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F8 FF 70 04 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 8B 08 FF 51 74 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 8B C6 8B 10 FF 52 78 8B 45 F8 8B 58 08 85 DB 74 4B 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 37 8D 45 FC E8 ?? ?? ?? ?? 50 8B CB 8B 55 F8 8B C6 8B 38 FF 57 7C 8B CB 8B 55 F8 8B C6 8B 38 FF 97 84 00 00 00 8B 45 FC 50 8B CB 8B 55 F8 8B C6 8B 38 FF 97 88 00 00 00 8B 5B 14 85 DB 75 B5 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 8B C6 8B 10 FF 52 78 8D 55 E4 8B 45 F0 8B 08 FF 51 DC 8B 55 E4 8B 45 F4 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 20 00 63 00 6C 00 61 00 73 00 73 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 3A 00 20 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 20 00 00 00 B0 04 02 00 FF FF FF FF 36 00 00 00 28 00 44 00 53 00 52 00 45 00 53 00 54 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2C 00 20 00 45 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 43 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 20 00 45 00 78 00 43 00 61 00 6C 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 20 00 20 00 20 00 20 00 3A 00 20 00 62 00 61 00 73 00 65 00 28 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2C 00 20 00 45 00 78 00 43 00 61 00 6C 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_19887_0 {
	meta:
		name = "TDSCustomCsharpSilverlightProxyWriter.WriteGetterForOutputParams"
		size = 472
		refs = "0015 TDSCustomCsharpSilverlightProxyWriter.WriteGetterForOutputParams 0023 @UStrClr 002d TDSCustomConnectorProxyWriter.GetReturnParam 0049 TDSCustomConnectorProxyWriter.IsDBXValueTypeParameter 0059 TDSCustomCsharpSilverlightProxyWriter.GetCastType 0075 IntToStr 009e @UStrCatN 00d0 @UStrArrayClr 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 77 8B 46 0C 83 E8 17 74 12 83 E8 0E 74 0D 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 8B 40 24 48 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 4D EC 8B D6 8B C3 8B 30 FF 56 58 FF 75 EC 68 ?? ?? ?? ?? 8D 45 F4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 8B 08 FF 51 74 EB 0C BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 63 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 2E 00 44 00 79 00 6E 00 61 00 6D 00 69 00 63 00 49 00 6E 00 76 00 6F 00 6B 00 65 00 28 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 6D 00 64 00 2E 00 67 00 65 00 74 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 28 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 29 00 2E 00 67 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 28 00 29 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 63 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 2E 00 44 00 79 00 6E 00 61 00 6D 00 69 00 63 00 49 00 6E 00 76 00 6F 00 6B 00 65 00 28 00 29 00 3B 00 00 00 }
	condition:
		$1
}

rule function_19888_0 {
	meta:
		name = "TDSCustomCsharpSilverlightProxyWriter.WriteGetterForOutputParams$10$ActRec.$0$Body"
		size = 412
		refs = "0014 TDSCustomCsharpSilverlightProxyWriter.WriteGetterForOutputParams$10$ActRec.$0$Body 0024 TDSCustomConnectorProxyWriter.IsOutputParameter 0044 C_Conditional 004f @UStrAsg 0069 TDSCustomCsharpSilverlightProxyWriter.GetCastType 007c IntToStr 00a6 @UStrCatN 00ce @UStrArrayClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 43 14 E8 ?? ?? ?? ?? 84 C0 0F 84 85 00 00 00 8D 45 FC 50 83 7E 08 04 0F 94 C0 8B 4E 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 43 10 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8D 4D F4 8B D6 8B 43 14 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B 43 0C E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 4D EC 8B D6 8B 43 14 8B 30 FF 56 58 FF 75 EC 68 ?? ?? ?? ?? 8D 45 F8 BA 09 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 14 8B 08 FF 51 74 FF 43 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 56 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 72 00 65 00 74 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 6D 00 64 00 2E 00 67 00 65 00 74 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 28 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 29 00 2E 00 67 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 28 00 29 00 3B 00 00 00 }
	condition:
		$1
}

rule function_21446_0 {
	meta:
		name = "TDSCustomJavaAndroidProxyWriter.WriteGetterForOutputParams$10$ActRec.$0$Body"
		size = 412
		refs = "0014 TDSCustomJavaAndroidProxyWriter.WriteGetterForOutputParams$10$ActRec.$0$Body 0024 TDSCustomConnectorProxyWriter.IsOutputParameter 0044 C_Conditional 004f @UStrAsg 0069 TDSCustomJavaAndroidProxyWriter.GetCastType 007c IntToStr 00a6 @UStrCatN 00ce @UStrArrayClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 43 14 E8 ?? ?? ?? ?? 84 C0 0F 84 85 00 00 00 8D 45 FC 50 83 7E 08 04 0F 94 C0 8B 4E 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 43 10 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8D 4D F4 8B D6 8B 43 14 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B 43 0C E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 4D EC 8B D6 8B 43 14 8B 30 FF 56 58 FF 75 EC 68 ?? ?? ?? ?? 8D 45 F8 BA 09 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 14 8B 08 FF 51 74 FF 43 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 56 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 72 00 65 00 74 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 6D 00 64 00 2E 00 67 00 65 00 74 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 28 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 29 00 2E 00 67 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 28 00 29 00 3B 00 00 00 }
	condition:
		$1
}

rule function_19889_0 {
	meta:
		name = "TDSCustomCsharpSilverlightProxyWriter.WriteGetterForOutputParams"
		size = 316
		refs = "0017 TDSCustomCsharpSilverlightProxyWriter.WriteGetterForOutputParams 0024 _DV_TDSCustomCsharpSilverlightProxyWriter.WriteGetterForOutputParams$10$ActRec 0029 TObject.Create 003c @IntfCopy 0058 @UStrCatN 007c TDSCustomConnectorProxyWriter.ForEachParameter 009e @UStrClr 00a6 @IntfClear 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 14 57 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 14 8B 08 FF 51 74 33 C0 89 43 0C 8B CB 85 C9 74 03 83 E9 E8 8B 55 F8 8B 43 14 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 14 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 72 00 65 00 74 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 28 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 63 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 2E 00 44 00 79 00 6E 00 61 00 6D 00 69 00 63 00 49 00 6E 00 76 00 6F 00 6B 00 65 00 28 00 72 00 65 00 74 00 29 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_19891_0 {
	meta:
		name = "TDSCustomCsharpSilverlightProxyWriter.WriteMethodComment"
		size = 612
		refs = "0018 TDSCustomCsharpSilverlightProxyWriter.WriteMethodComment 004f @UStrLAsg 0062 @UStrClr 00d5 C_Conditional 00f8 @UStrCatN 0133 @UStrArrayClr 0139 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 78 8B 7B 04 85 FF 0F 84 E9 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 85 FF 0F 84 C9 00 00 00 8D 45 FC 8B 57 10 E8 ?? ?? ?? ?? 8D 45 F8 8B 57 14 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 33 DB 83 7F 08 03 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 47 83 7F 08 02 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 83 7F 08 01 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1D 83 7F 08 04 75 17 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F0 FF 75 FC FF 75 F4 68 ?? ?? ?? ?? FF 75 F8 8D 45 EC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 8B 08 FF 51 74 8B 7F 04 85 FF 0F 85 37 FF FF FF BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2F 00 2A 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 5B 00 69 00 6E 00 2F 00 6F 00 75 00 74 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 5B 00 6F 00 75 00 74 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 5B 00 69 00 6E 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 40 00 70 00 61 00 72 00 61 00 6D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 40 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 2A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 20 00 2D 00 20 00 54 00 79 00 70 00 65 00 20 00 6F 00 6E 00 20 00 73 00 65 00 72 00 76 00 65 00 72 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 2A 00 2F 00 00 00 }
	condition:
		$1
}

rule function_21448_0 {
	meta:
		name = "TDSCustomJavaAndroidProxyWriter.WriteMethodComment"
		size = 612
		refs = "0018 TDSCustomJavaAndroidProxyWriter.WriteMethodComment 004f @UStrLAsg 0062 @UStrClr 00d5 C_Conditional 00f8 @UStrCatN 0133 @UStrArrayClr 0139 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 78 8B 7B 04 85 FF 0F 84 E9 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 85 FF 0F 84 C9 00 00 00 8D 45 FC 8B 57 10 E8 ?? ?? ?? ?? 8D 45 F8 8B 57 14 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 33 DB 83 7F 08 03 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 47 83 7F 08 02 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 83 7F 08 01 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1D 83 7F 08 04 75 17 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F0 FF 75 FC FF 75 F4 68 ?? ?? ?? ?? FF 75 F8 8D 45 EC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 8B 08 FF 51 74 8B 7F 04 85 FF 0F 85 37 FF FF FF BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2F 00 2A 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 5B 00 69 00 6E 00 2F 00 6F 00 75 00 74 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 5B 00 6F 00 75 00 74 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 5B 00 69 00 6E 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 40 00 70 00 61 00 72 00 61 00 6D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 40 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 2A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 20 00 2D 00 20 00 54 00 79 00 70 00 65 00 20 00 6F 00 6E 00 20 00 73 00 65 00 72 00 76 00 65 00 72 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 2A 00 2F 00 00 00 }
	condition:
		$1
}

rule function_22301_0 {
	meta:
		name = "TDSCustomObjectiveCiOSProxyWriter.WriteMethodComment"
		size = 612
		refs = "0018 TDSCustomObjectiveCiOSProxyWriter.WriteMethodComment 004f @UStrLAsg 0062 @UStrClr 00d5 C_Conditional 00f8 @UStrCatN 0133 @UStrArrayClr 0139 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 78 8B 7B 04 85 FF 0F 84 E9 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 85 FF 0F 84 C9 00 00 00 8D 45 FC 8B 57 10 E8 ?? ?? ?? ?? 8D 45 F8 8B 57 14 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 33 DB 83 7F 08 03 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 47 83 7F 08 02 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 83 7F 08 01 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1D 83 7F 08 04 75 17 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F0 FF 75 FC FF 75 F4 68 ?? ?? ?? ?? FF 75 F8 8D 45 EC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 8B 08 FF 51 74 8B 7F 04 85 FF 0F 85 37 FF FF FF BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2F 00 2A 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 5B 00 69 00 6E 00 2F 00 6F 00 75 00 74 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 5B 00 6F 00 75 00 74 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 5B 00 69 00 6E 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 40 00 70 00 61 00 72 00 61 00 6D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 40 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 2A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 20 00 2D 00 20 00 54 00 79 00 70 00 65 00 20 00 6F 00 6E 00 20 00 73 00 65 00 72 00 76 00 65 00 72 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 2A 00 2F 00 00 00 }
	condition:
		$1
}

rule function_19892_0 {
	meta:
		name = "TDSCustomCsharpSilverlightProxyWriter.WriteMethodImplementation$14$ActRec.$0$Body"
		size = 176
		refs = "0011 TDSCustomCsharpSilverlightProxyWriter.WriteMethodImplementation$14$ActRec.$0$Body 002a TDBXStringBuffer.Append 0037 TDSCustomCsharpSilverlightProxyWriter.GetCsharpType 004f @UStrCatN 0078 @UStrArrayClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 14 00 75 0D BA ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 8D 4D F8 8B D6 8B 43 0C E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 76 10 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 10 E8 ?? ?? ?? ?? C6 43 14 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_21449_0 {
	meta:
		name = "TDSCustomJavaAndroidProxyWriter.WriteMethodImplementation$13$ActRec.$0$Body"
		size = 176
		refs = "0011 TDSCustomJavaAndroidProxyWriter.WriteMethodImplementation$13$ActRec.$0$Body 002a TDBXStringBuffer.Append 0037 TDSCustomJavaAndroidProxyWriter.GetJavaType 004f @UStrCatN 0078 @UStrArrayClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 14 00 75 0D BA ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 8D 4D F8 8B D6 8B 43 0C E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 76 10 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 10 E8 ?? ?? ?? ?? C6 43 14 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_19893_0 {
	meta:
		name = "TDSCustomCsharpSilverlightProxyWriter.WriteMethodImplementation"
		size = 3132
		refs = "0022 TDSCustomCsharpSilverlightProxyWriter.WriteMethodImplementation 002f _DV_TDSCustomCsharpSilverlightProxyWriter.WriteMethodImplementation$14$ActRec 0034 TObject.Create 0049 @IntfCopy 006e TDSCustomConnectorProxyWriter.IsProcedure 0089 @UStrClr 00c3 @UStrCatN 00e5 TDSCustomConnectorProxyWriter.GetReturnParam 00f1 TDSCustomCsharpSilverlightProxyWriter.GetCsharpType 00fe @UStrEqual 018a _Dn_TDBXStringBuffer 018f TDBXStringBuffer.Create 01c9 TDBXStringBuffer.Append 01e0 TDSCustomConnectorProxyWriter.ForEachInputParameter 0209 @UStrCat3 0232 @UStrCat 025b TDSCustomProxyWriter.Indent 0278 TDSCustomCsharpSilverlightProxyWriter.HasOnlyURLParams 03a6 TDSCustomCsharpSilverlightProxyWriter.WriteGetterForOutputParams 03c0 TDSCustomProxyWriter.Outdent 0479 TDSCustomCsharpSilverlightProxyWriter.WriteSetterForInputParams 04d4 TObject.Free 04da @HandleFinally 04f6 @UStrArrayClr 04fe @IntfClear"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 45 F8 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 8B FB 89 78 0C 8B C7 8B D6 8B 08 FF 51 64 8B D8 83 FB 02 7D 18 8B 45 F0 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 84 C0 74 03 4B 74 04 33 C0 EB 02 B0 01 8B D8 84 DB 74 1C 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 F0 8B 40 0C 8B CE 8B 55 F4 8B 38 FF 97 8C 00 00 00 84 DB 74 35 68 ?? ?? ?? ?? FF 76 0C 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 8B 40 0C 8B 08 FF 51 74 E9 9B 00 00 00 8B 45 F0 8B 78 0C 8B C7 8B D6 E8 ?? ?? ?? ?? 8B D0 8D 4D E8 8B C7 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 49 68 ?? ?? ?? ?? FF 76 0C 68 ?? ?? ?? ?? 8B 45 F0 8B 78 0C 8B C7 8B D6 E8 ?? ?? ?? ?? 8B D0 8D 4D E0 8B C7 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B C7 8B 08 FF 51 74 EB 28 68 ?? ?? ?? ?? FF 76 0C 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F0 8B 40 0C 8B 08 FF 51 74 8B 45 F0 8B 40 0C 8B 10 FF 52 78 8B 45 F0 C6 40 14 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 F0 89 78 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? FF 76 0C 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B C7 E8 ?? ?? ?? ?? 8B 4D F0 85 C9 74 03 83 E9 E8 8B 45 F0 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 8B 45 F0 80 78 14 00 75 10 8B 45 F0 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 0C 8D 45 D4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F0 8B 40 10 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 F0 8B 40 10 8B 08 FF 51 DC 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F0 8B 40 0C 8B 08 FF 51 74 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F0 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 EB 10 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 68 ?? ?? ?? ?? 8B 45 F4 FF 70 04 68 ?? ?? ?? ?? FF 76 0C 68 ?? ?? ?? ?? 8D 45 CC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F0 8B 40 0C 8B 08 FF 51 74 68 ?? ?? ?? ?? FF 75 08 68 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F0 8B 40 0C 8B 08 FF 51 74 68 ?? ?? ?? ?? FF 76 0C 68 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 F0 8B 40 0C 8B 08 FF 51 74 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 84 DB 74 12 8B 45 F0 8B 40 0C 8B 4D FC 8B D6 E8 ?? ?? ?? ?? EB 0D 8B 45 F0 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F0 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 76 0C 68 ?? ?? ?? ?? 8D 45 C0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F0 8B 40 0C 8B 08 FF 51 74 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 40 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 20 00 64 00 65 00 6C 00 65 00 67 00 61 00 74 00 65 00 20 00 76 00 6F 00 69 00 64 00 20 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 28 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 52 00 65 00 74 00 75 00 72 00 6E 00 73 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 76 00 6F 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 52 00 65 00 73 00 75 00 6C 00 74 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 28 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 20 00 76 00 6F 00 69 00 64 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 38 00 00 00 43 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 20 00 63 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 20 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 2C 00 20 00 45 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 43 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 20 00 45 00 78 00 43 00 61 00 6C 00 20 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 34 00 00 00 44 00 53 00 52 00 45 00 53 00 54 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 20 00 63 00 6D 00 64 00 20 00 3D 00 20 00 67 00 65 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 28 00 29 00 2E 00 43 00 72 00 65 00 61 00 74 00 65 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 28 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2A 00 00 00 63 00 6D 00 64 00 2E 00 73 00 65 00 74 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 54 00 79 00 70 00 65 00 28 00 44 00 53 00 48 00 54 00 54 00 50 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 54 00 79 00 70 00 65 00 2E 00 47 00 45 00 54 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2B 00 00 00 63 00 6D 00 64 00 2E 00 73 00 65 00 74 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 54 00 79 00 70 00 65 00 28 00 44 00 53 00 48 00 54 00 54 00 50 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 54 00 79 00 70 00 65 00 2E 00 50 00 4F 00 53 00 54 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 6D 00 64 00 2E 00 73 00 65 00 74 00 54 00 65 00 78 00 74 00 28 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 6D 00 64 00 2E 00 70 00 72 00 65 00 70 00 61 00 72 00 65 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 28 00 29 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 44 00 65 00 6C 00 65 00 67 00 61 00 74 00 65 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 65 00 6C 00 20 00 3D 00 20 00 28 00 29 00 20 00 3D 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 69 00 66 00 20 00 28 00 63 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 20 00 21 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 74 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 63 00 61 00 74 00 63 00 68 00 20 00 28 00 45 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 20 00 65 00 78 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 7F 00 00 00 69 00 66 00 20 00 28 00 45 00 78 00 43 00 61 00 6C 00 20 00 21 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 20 00 67 00 65 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 28 00 29 00 2E 00 73 00 79 00 6E 00 63 00 43 00 6F 00 6E 00 74 00 65 00 78 00 74 00 2E 00 53 00 65 00 6E 00 64 00 28 00 6E 00 65 00 77 00 20 00 53 00 65 00 6E 00 64 00 4F 00 72 00 50 00 6F 00 73 00 74 00 43 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 28 00 78 00 20 00 3D 00 3E 00 20 00 45 00 78 00 43 00 61 00 6C 00 2E 00 44 00 79 00 6E 00 61 00 6D 00 69 00 63 00 49 00 6E 00 76 00 6F 00 6B 00 65 00 28 00 65 00 78 00 2E 00 49 00 6E 00 6E 00 65 00 72 00 45 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 29 00 29 00 2C 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 75 00 00 00 65 00 6C 00 73 00 65 00 20 00 67 00 65 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 28 00 29 00 2E 00 73 00 79 00 6E 00 63 00 43 00 6F 00 6E 00 74 00 65 00 78 00 74 00 2E 00 53 00 65 00 6E 00 64 00 28 00 6E 00 65 00 77 00 20 00 53 00 65 00 6E 00 64 00 4F 00 72 00 50 00 6F 00 73 00 74 00 43 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 28 00 78 00 20 00 3D 00 3E 00 20 00 42 00 61 00 73 00 65 00 45 00 78 00 43 00 61 00 6C 00 2E 00 44 00 79 00 6E 00 61 00 6D 00 69 00 63 00 49 00 6E 00 76 00 6F 00 6B 00 65 00 28 00 65 00 78 00 2E 00 49 00 6E 00 6E 00 65 00 72 00 45 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 29 00 29 00 2C 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 7D 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 67 00 65 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 28 00 29 00 2E 00 65 00 78 00 65 00 63 00 75 00 74 00 65 00 28 00 63 00 6D 00 64 00 2C 00 20 00 74 00 68 00 69 00 73 00 2C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 65 00 6C 00 2C 00 20 00 45 00 78 00 43 00 61 00 6C 00 29 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_19894_0 {
	meta:
		name = "TDSCustomCsharpSilverlightProxyWriter.WriteMethodParametersMetadata"
		size = 1264
		refs = "002c TDSCustomCsharpSilverlightProxyWriter.WriteMethodParametersMetadata 004f @UStrCatN 00aa TDSCustomProxyWriter.Indent 00f1 @UStrCat3 01d0 TDSCustomProxyWriter.Outdent 0250 @UStrArrayClr 0256 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 8B FA 8B D8 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 77 04 68 ?? ?? ?? ?? FF 76 0C 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 8B 08 FF 51 74 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 8B 08 FF 51 74 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 74 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 8B 08 FF 51 74 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 74 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E8 8B C3 8B 08 FF 51 74 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 74 8B C3 E8 ?? ?? ?? ?? 8B 76 04 85 F6 0F 84 B0 00 00 00 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 8D 4D E4 8B 56 08 8B C3 8B 38 FF 57 5C FF 75 E4 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 8D 4D E0 8B 56 0C 8B C3 8B 38 FF 57 6C FF 75 E0 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 76 14 68 ?? ?? ?? ?? 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B C3 8B 08 FF 51 74 8B 76 04 85 F6 0F 85 50 FF FF FF 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 74 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 74 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B C3 8B 08 FF 51 74 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 74 8B 45 08 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 5F 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 70 00 72 00 69 00 76 00 61 00 74 00 65 00 20 00 44 00 53 00 52 00 45 00 53 00 54 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 5B 00 5D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 70 00 72 00 69 00 76 00 61 00 74 00 65 00 20 00 44 00 53 00 52 00 45 00 53 00 54 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 5B 00 5D 00 20 00 67 00 65 00 74 00 5F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 28 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 69 00 66 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 3D 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 44 00 53 00 52 00 45 00 53 00 54 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 5B 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 2C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 6E 00 65 00 77 00 20 00 44 00 53 00 52 00 45 00 53 00 54 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 7D 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 67 00 65 00 74 00 5F 00 00 00 00 00 }
	condition:
		$1
}

rule function_19895_0 {
	meta:
		name = "TDSCustomCsharpSilverlightProxyWriter.WriteSetterForInputParams$17$ActRec.$0$Body"
		size = 816
		refs = "0018 TDSCustomCsharpSilverlightProxyWriter.WriteSetterForInputParams$17$ActRec.$0$Body 0028 TDSCustomConnectorProxyWriter.IsInputParameter 003a TDSCustomConnectorProxyWriter.IsDBXValueTypeParameter 005c @UStrCatN 007c TDSCustomProxyWriter.Indent 008c IntToStr 00c1 TDSCustomProxyWriter.Outdent 01ac @UStrArrayClr 01b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 43 10 E8 ?? ?? ?? ?? 84 C0 0F 84 62 01 00 00 8B D6 8B 43 10 E8 ?? ?? ?? ?? 84 C0 0F 84 00 01 00 00 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 10 8B 08 FF 51 74 BA ?? ?? ?? ?? 8B 43 10 8B 08 FF 51 74 8B 43 10 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F4 8B 43 0C E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 F8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 10 8B 08 FF 51 74 8B 43 10 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 10 8B 08 FF 51 74 BA ?? ?? ?? ?? 8B 43 10 8B 08 FF 51 74 BA ?? ?? ?? ?? 8B 43 10 8B 08 FF 51 74 8B 43 10 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 EC 8B 43 0C E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? FF 76 14 68 ?? ?? ?? ?? 8D 45 F0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 43 10 8B 08 FF 51 74 8B 43 10 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 10 8B 08 FF 51 74 FF 43 0C EB 50 68 ?? ?? ?? ?? 8D 55 E4 8B 43 0C E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 4D E0 8B D6 8B 43 10 8B 38 FF 57 54 FF 75 E0 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 E8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 43 10 8B 08 FF 51 74 FF 43 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 69 00 66 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 21 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 6D 00 64 00 2E 00 67 00 65 00 74 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 28 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 29 00 2E 00 67 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 65 00 74 00 41 00 73 00 44 00 42 00 58 00 56 00 61 00 6C 00 75 00 65 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 29 00 2E 00 67 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 28 00 29 00 2E 00 53 00 65 00 74 00 54 00 44 00 42 00 58 00 4E 00 75 00 6C 00 6C 00 28 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 }
	condition:
		$1
}

rule function_19896_0 {
	meta:
		name = "TDSCustomCsharpSilverlightProxyWriter.WriteSetterForInputParams"
		size = 119
		refs = "0010 TDSCustomCsharpSilverlightProxyWriter.WriteSetterForInputParams 001d _DV_TDSCustomCsharpSilverlightProxyWriter.WriteSetterForInputParams$17$ActRec 0022 TObject.Create 0035 @IntfCopy 0050 TDSCustomConnectorProxyWriter.ForEachParameter 0065 @IntfClear 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 10 33 C0 89 43 0C 8B CB 85 C9 74 03 83 E9 EC 8B D7 8B 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_21167_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.WriteSetterForInputParams"
		size = 119
		refs = "0010 TDSCustomFreePascaliOSProxyWriter.WriteSetterForInputParams 001d _DV_TDSCustomFreePascaliOSProxyWriter.WriteSetterForInputParams$26$ActRec 0022 TObject.Create 0035 @IntfCopy 0050 TDSCustomConnectorProxyWriter.ForEachParameter 0065 @IntfClear 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 10 33 C0 89 43 0C 8B CB 85 C9 74 03 83 E9 EC 8B D7 8B 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_21453_0 {
	meta:
		name = "TDSCustomJavaAndroidProxyWriter.WriteSetterForInputParams"
		size = 119
		refs = "0010 TDSCustomJavaAndroidProxyWriter.WriteSetterForInputParams 001d _DV_TDSCustomJavaAndroidProxyWriter.WriteSetterForInputParams$16$ActRec 0022 TObject.Create 0035 @IntfCopy 0050 TDSCustomConnectorProxyWriter.ForEachParameter 0065 @IntfClear 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 10 33 C0 89 43 0C 8B CB 85 C9 74 03 83 E9 EC 8B D7 8B 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_19897_0 {
	meta:
		name = "TDSCustomCsharpSilverlightProxyWriter.WriteResultObjectClass$19$ActRec.$0$Body"
		size = 256
		refs = "0012 TDSCustomCsharpSilverlightProxyWriter.WriteResultObjectClass$19$ActRec.$0$Body 002b @UStrAsg 004c TDSCustomCsharpSilverlightProxyWriter.GetCsharpType 0069 @UStrCatN 008d @UStrArrayClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 08 04 75 0F 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8D 43 10 8B 56 10 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F8 8B D6 8B 7B 0C 8B C7 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 56 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_21454_0 {
	meta:
		name = "TDSCustomJavaAndroidProxyWriter.WriteResultObjectClass$18$ActRec.$0$Body"
		size = 256
		refs = "0012 TDSCustomJavaAndroidProxyWriter.WriteResultObjectClass$18$ActRec.$0$Body 002b @UStrAsg 004c TDSCustomJavaAndroidProxyWriter.GetJavaType 0069 @UStrCatN 008d @UStrArrayClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 08 04 75 0F 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8D 43 10 8B 56 10 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F8 8B D6 8B 7B 0C 8B C7 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 56 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_19898_0 {
	meta:
		name = "TDSCustomCsharpSilverlightProxyWriter.WriteResultObjectClass"
		size = 328
		refs = "001d TDSCustomCsharpSilverlightProxyWriter.WriteResultObjectClass 002a _DV_TDSCustomCsharpSilverlightProxyWriter.WriteResultObjectClass$19$ActRec 002f TObject.Create 0042 @IntfCopy 0055 @UStrCat3 0087 TDSCustomProxyWriter.Indent 009a TDSCustomConnectorProxyWriter.ForEachOutputParameter 00a2 TDSCustomProxyWriter.Outdent 00c4 @UStrClr 00cc @IntfClear 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F0 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 0C 8B 57 0C 8B 45 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 08 8B 09 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 43 0C 8B 08 FF 51 74 BA ?? ?? ?? ?? 8B 43 0C 8B 08 FF 51 74 8B 43 0C E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 EC 8B D7 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 0C 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 65 00 74 00 75 00 72 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 20 00 63 00 6C 00 61 00 73 00 73 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_19899_0 {
	meta:
		name = "TDSCsharpSilverlightProxyWriter.DerivedWrite"
		size = 152
		refs = "0010 TDSCsharpSilverlightProxyWriter.DerivedWrite 003b TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B BB 80 00 00 00 85 FF 74 0B 8B D6 8B C7 8B 08 FF 51 28 EB 1A 8D 4D FC BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_19900_0 {
	meta:
		name = "TDSCsharpSilverlightProxyWriter.DerivedWriteLine"
		size = 144
		refs = "000d TDSCsharpSilverlightProxyWriter.DerivedWriteLine 0036 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 80 00 00 00 85 F6 74 09 8B C6 8B 10 FF 52 3C EB 18 8D 4D FC BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_19901_0 {
	meta:
		name = "TDSCsharpSilverlightProxyWriter.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TDSCustomProxyWriter.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 80 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_19903_0 {
	meta:
		name = "TDSClientProxyWriterCsharpSilverlight.FileDescriptions"
		size = 120
		refs = "000e TDSProxyFileDescriptions 0013 @DynArraySetLength 001d TDSClientProxyWriterCsharpSilverlight.FileDescriptions 0022 @UStrAsg"
	strings:
		$1 = { 53 8B DA 6A 01 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 63 00 73 00 00 00 }
	condition:
		$1
}

rule function_19904_0 {
	meta:
		name = "TDSClientProxyWriterCsharpSilverlight.Properties"
		size = 344
		refs = "0006 TDSClientProxyWriterCsharpSilverlight.Properties 000b @UStrAsg 003a @UStrClr 0056 TEncoding.GetUTF8"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 14 E8 ?? ?? ?? ?? 8D 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 43 1C E8 ?? ?? ?? ?? 89 43 0C 5B C3 00 B0 04 02 00 FF FF FF FF 21 00 00 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 2E 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 43 00 73 00 68 00 61 00 72 00 70 00 53 00 69 00 6C 00 76 00 65 00 72 00 6C 00 69 00 67 00 68 00 74 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 53 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 2C 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 53 00 5F 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 63 00 73 00 68 00 61 00 72 00 70 00 5F 00 73 00 69 00 6C 00 76 00 65 00 72 00 6C 00 69 00 67 00 68 00 74 00 00 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_19905_0 {
	meta:
		name = "Finalization"
		size = 72
		refs = "0002 _DV_4 0009 Finalization 000e TDSProxyWriterFactory.UnregisterWriter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 23 00 20 00 53 00 69 00 6C 00 76 00 65 00 72 00 6C 00 69 00 67 00 68 00 74 00 20 00 52 00 45 00 53 00 54 00 00 00 }
	condition:
		$1
}

rule function_19906_0 {
	meta:
		name = "Datasnap.DSProxyCsharpSilverlight"
		size = 80
		refs = "0002 _DV_4 000b _DV_TDSClientProxyWriterCsharpSilverlight 0010 Datasnap.DSProxyCsharpSilverlight 0015 TDSProxyWriterFactory.RegisterWriter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 23 00 20 00 53 00 69 00 6C 00 76 00 65 00 72 00 6C 00 69 00 67 00 68 00 74 00 20 00 52 00 45 00 53 00 54 00 00 00 }
	condition:
		$1
}

rule function_20166_0 {
	meta:
		name = "TDSCustomDelphiProxyWriter.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TDSCustomProxyWriter.Create 0026 @UStrClr 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 14 02 00 00 00 8D 46 10 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_20168_0 {
	meta:
		name = "TDSCustomDelphiProxyWriter.WriteInterfaceUses"
		size = 748
		refs = "0018 TDSCustomDelphiProxyWriter.WriteInterfaceUses 002b @UStrLAsg 0033 TDSCustomProxyWriter.GetMetadata 008a CompareText 00a8 @UStrCatN 00b3 StringIndexOf 00c2 @UStrCat 00fb TDSCustomProxyWriter.WriteLine 0115 @UStrArrayClr 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 04 89 45 F0 83 7D F0 00 0F 84 A0 00 00 00 8B 55 F0 8B 45 F4 8B 08 FF 51 20 84 C0 74 7E 8B 45 F0 8B 78 08 85 FF 74 74 8B 5F 04 85 DB 74 66 8D 55 FC 8B C3 8B 08 FF 51 04 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 85 F6 7E 45 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 34 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7F 0B 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 5B 04 85 DB 75 9A 8B 7F 14 85 FF 75 8C 8B 45 F0 8B 40 10 89 45 F0 83 7D F0 00 0F 85 60 FF FF FF 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF A1 00 00 00 75 00 73 00 65 00 73 00 20 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 43 00 6F 00 6D 00 6D 00 6F 00 6E 00 2C 00 20 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 43 00 6C 00 69 00 65 00 6E 00 74 00 2C 00 20 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2C 00 20 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 4A 00 53 00 4F 00 4E 00 2C 00 20 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 2E 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 2C 00 20 00 53 00 79 00 73 00 74 00 65 00 6D 00 2E 00 43 00 6C 00 61 00 73 00 73 00 65 00 73 00 2C 00 20 00 53 00 79 00 73 00 74 00 65 00 6D 00 2E 00 53 00 79 00 73 00 55 00 74 00 69 00 6C 00 73 00 2C 00 20 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 2C 00 20 00 44 00 61 00 74 00 61 00 2E 00 53 00 71 00 6C 00 45 00 78 00 70 00 72 00 2C 00 20 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 44 00 42 00 52 00 65 00 61 00 64 00 65 00 72 00 73 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 79 00 73 00 74 00 65 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 20 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 4A 00 53 00 4F 00 4E 00 52 00 65 00 66 00 6C 00 65 00 63 00 74 00 3B 00 00 00 }
	condition:
		$1
}

rule function_20169_0 {
	meta:
		name = "TDSCustomDelphiProxyWriter.WriteMethodSignature"
		size = 684
		refs = "0020 TDSCustomDelphiProxyWriter.WriteMethodSignature 003d TDSProxyMethod.HasReturnValue 0051 @UStrLAsg 0074 @UStrCat 0094 @UStrCatN 0182 @UStrCat3 018d TDSCustomProxyWriter.WriteLine 01a7 @UStrArrayClr 01af @UStrClr 01b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 58 04 8B 45 F4 8B 40 24 89 45 F0 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 12 FF 4D F0 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D 08 00 74 10 8D 45 FC 8B 55 F4 8B 52 0C E8 ?? ?? ?? ?? EB 1E FF 75 FC FF 76 04 68 ?? ?? ?? ?? 8B 45 F4 FF 70 0C 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 83 7D F0 00 0F 8E 9D 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 F6 EB 76 8B 43 08 83 E8 02 74 05 48 74 11 EB 2B 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B 53 14 8B 45 F8 8B 08 FF 51 2C 84 C0 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC FF 73 10 68 ?? ?? ?? ?? 8D 4D EC 8B D3 8B 45 F8 8B 38 FF 57 34 FF 75 EC 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 46 3B 75 F0 7D 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5B 04 85 DB 74 05 3B 75 F0 7C 81 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 2B 8B 45 F4 8B 58 20 FF 75 FC 68 ?? ?? ?? ?? 8D 4D E8 8B D3 8B 45 F8 8B 18 FF 53 34 FF 75 E8 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 09 00 00 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 70 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6F 00 75 00 74 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 76 00 61 00 72 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_20170_0 {
	meta:
		name = "TDSCustomDelphiProxyWriter.WriteClassInterface"
		size = 944
		refs = "0012 TDSCustomDelphiProxyWriter.WriteClassInterface 001f TDSCustomProxyWriter.Indent 002f @UStrCat3 0039 TDSCustomProxyWriter.WriteLine 007a @UStrCatN 0092 TDSCustomProxyWriter.Outdent 00ea TDSCustomDelphiProxyWriter.WriteMethodSignature 012c @UStrArrayClr 0132 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 57 04 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 5F 08 85 DB 74 38 8B D3 8B C6 8B 08 FF 51 24 84 C0 74 24 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 5B 14 85 DB 75 C8 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 5F 08 85 DB 74 21 8B D3 8B C6 8B 08 FF 51 24 84 C0 74 0D 6A 01 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 5B 14 85 DB 75 DF 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 20 00 3D 00 20 00 63 00 6C 00 61 00 73 00 73 00 28 00 54 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 43 00 6C 00 69 00 65 00 6E 00 74 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 70 00 72 00 69 00 76 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 46 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 3A 00 20 00 54 00 44 00 42 00 58 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3D 00 00 00 63 00 6F 00 6E 00 73 00 74 00 72 00 75 00 63 00 74 00 6F 00 72 00 20 00 43 00 72 00 65 00 61 00 74 00 65 00 28 00 41 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 54 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 29 00 3B 00 20 00 6F 00 76 00 65 00 72 00 6C 00 6F 00 61 00 64 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 56 00 00 00 63 00 6F 00 6E 00 73 00 74 00 72 00 75 00 63 00 74 00 6F 00 72 00 20 00 43 00 72 00 65 00 61 00 74 00 65 00 28 00 41 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 54 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 3B 00 20 00 41 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 3A 00 20 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 29 00 3B 00 20 00 6F 00 76 00 65 00 72 00 6C 00 6F 00 61 00 64 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 64 00 65 00 73 00 74 00 72 00 75 00 63 00 74 00 6F 00 72 00 20 00 44 00 65 00 73 00 74 00 72 00 6F 00 79 00 3B 00 20 00 6F 00 76 00 65 00 72 00 72 00 69 00 64 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6E 00 64 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_20171_0 {
	meta:
		name = "TDSCustomDelphiProxyWriter.WriteInterface"
		size = 284
		refs = "000d TDSCustomDelphiProxyWriter.WriteInterface 002d @UStrCatN 0037 TDSCustomProxyWriter.WriteLine 0058 TDSCustomDelphiProxyWriter.WriteInterfaceUses 0072 TDSCustomProxyWriter.GetMetadata 008f TDSCustomDelphiProxyWriter.WriteClassInterface 00ab @UStrClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? FF 76 38 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 58 04 85 DB 74 1D 8B D3 8B C6 8B 08 FF 51 20 84 C0 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 5B 10 85 DB 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 75 00 6E 00 69 00 74 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_20172_0 {
	meta:
		name = "TDSCustomDelphiProxyWriter.WriteMethodImplementation"
		size = 4976
		refs = "0021 TDSCustomDelphiProxyWriter.WriteMethodImplementation 0035 TDSCustomDelphiProxyWriter.WriteMethodSignature 0041 TDSCustomProxyWriter.WriteLine 0048 TDSCustomProxyWriter.Indent 0062 @UStrCatN 00a9 @UStrCat3 0115 TDSCustomProxyWriter.Outdent 0134 TDSProxyMethod.HasReturnValue 01bc IntToStr 0407 TDSCustomProxyWriter.GetSetter 0722 TDSCustomProxyWriter.GetGetter 074b TDSCustomDelphiProxyWriter.WriteOutgoingParameter 09d9 @UStrLAsg 0a6d @UStrArrayClr 0a80 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 1B 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CF 8B 55 F0 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 77 0C 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 D8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 D8 8B C3 E8 ?? ?? ?? ?? 8D 45 D4 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 77 10 68 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B C3 E8 ?? ?? ?? ?? 8D 45 CC B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 CC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 47 04 89 45 E8 8B 47 24 89 45 EC 8B C7 E8 ?? ?? ?? ?? 84 C0 74 03 FF 4D EC 8B 47 18 8B 57 1C 89 55 E4 85 C0 0F 8E E8 02 00 00 8B 75 E8 33 C0 89 45 E0 85 F6 0F 84 D8 02 00 00 83 7E 08 03 74 0A 83 7E 08 01 0F 85 BA 02 00 00 8B 56 14 8B C3 8B 08 FF 51 2C 84 C0 0F 84 BD 00 00 00 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 C0 8B 45 E0 E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? 8D 45 C4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 C4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 B8 8B 45 E0 E8 ?? ?? ?? ?? FF 75 B8 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 BC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 BC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 EB 01 00 00 83 7E 0C 25 0F 85 9B 01 00 00 8B 56 14 8B C3 8B 08 FF 51 30 84 C0 0F 85 89 01 00 00 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 B4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 B4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 AC 8B 45 E0 E8 ?? ?? ?? ?? FF 75 AC 68 ?? ?? ?? ?? 8D 45 B0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 B0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 A4 8B 45 E0 E8 ?? ?? ?? ?? FF 75 A4 68 ?? ?? ?? ?? 8D 45 A8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 A8 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 9C 8B 45 E0 E8 ?? ?? ?? ?? FF 75 9C 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 A0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 A0 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 98 B9 ?? ?? ?? ?? 8B 56 10 E8 ?? ?? ?? ?? 8B 55 98 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 46 FF 75 FC 68 ?? ?? ?? ?? 8D 55 90 8B 45 E0 E8 ?? ?? ?? ?? FF 75 90 68 ?? ?? ?? ?? 8D 4D 8C 8B D6 8B C3 E8 ?? ?? ?? ?? FF 75 8C 68 ?? ?? ?? ?? 8D 45 94 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 94 8B C3 E8 ?? ?? ?? ?? FF 45 E0 8B 76 04 85 F6 0F 85 28 FD FF FF 8D 45 88 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 88 8B C3 E8 ?? ?? ?? ?? 83 7D E4 00 0F 8E 01 03 00 00 8B 75 E8 33 C0 89 45 E0 85 F6 0F 84 F1 02 00 00 83 7E 08 03 74 0A 83 7E 08 02 0F 85 D3 02 00 00 8B 56 14 8B C3 8B 08 FF 51 2C 84 C0 74 77 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 84 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 84 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? FF B5 7C FF FF FF 68 ?? ?? ?? ?? 8D 45 80 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 80 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 4E 02 00 00 83 7E 0C 25 0F 85 DB 01 00 00 8B 56 14 8B C3 8B 08 FF 51 30 84 C0 0F 85 C9 01 00 00 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 74 FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? FF B5 74 FF FF FF 68 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 6C FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? FF B5 6C FF FF FF 68 ?? ?? ?? ?? 8D 85 70 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? FF 76 14 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 64 FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? FF B5 64 FF FF FF 68 ?? ?? ?? ?? 8D 85 68 FF FF FF BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 85 60 FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 85 5C FF FF FF B9 ?? ?? ?? ?? 8B 56 10 E8 ?? ?? ?? ?? 8B 95 5C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 69 8D 45 F4 B9 ?? ?? ?? ?? 8B 56 10 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 58 FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? FF B5 58 FF FF FF 68 ?? ?? ?? ?? 8D 8D 54 FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? FF B5 54 FF FF FF 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 56 8B 45 FC 50 8B 46 10 50 8B 4D F8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? FF 45 E0 8B 76 04 85 F6 0F 85 0F FD FF FF 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 CE 02 00 00 8B 77 20 83 7E 0C 22 75 11 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 B4 02 00 00 8B 56 14 8B C3 8B 08 FF 51 2C 84 C0 74 75 68 ?? ?? ?? ?? 8B 47 20 FF 70 14 68 ?? ?? ?? ?? 8D 85 50 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 48 FF FF FF 8B 45 EC E8 ?? ?? ?? ?? FF B5 48 FF FF FF 68 ?? ?? ?? ?? 8D 85 4C FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 95 4C FF FF FF 8B C3 E8 ?? ?? ?? ?? E9 31 02 00 00 8B 77 20 83 7E 0C 25 0F 85 BA 01 00 00 8B 56 14 8B C3 8B 08 FF 51 30 84 C0 0F 85 A8 01 00 00 8B 77 20 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 40 FF FF FF 8B 45 EC E8 ?? ?? ?? ?? FF B5 40 FF FF FF 68 ?? ?? ?? ?? 8D 85 44 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 95 44 FF FF FF 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 38 FF FF FF 8B 45 EC E8 ?? ?? ?? ?? FF B5 38 FF FF FF 68 ?? ?? ?? ?? 8D 85 3C FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 95 3C FF FF FF 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 76 14 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 30 FF FF FF 8B 45 EC E8 ?? ?? ?? ?? FF B5 30 FF FF FF 68 ?? ?? ?? ?? 8D 85 34 FF FF FF BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 95 34 FF FF FF 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 85 2C FF FF FF B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 95 2C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 6A 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 77 20 FF 75 FC 68 ?? ?? ?? ?? 8D 95 28 FF FF FF 8B 45 EC E8 ?? ?? ?? ?? FF B5 28 FF FF FF 68 ?? ?? ?? ?? 8D 8D 24 FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? FF B5 24 FF FF FF 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 56 8B 45 FC 50 68 ?? ?? ?? ?? 8B 4D F8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 24 FF FF FF BA 2F 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 62 00 65 00 67 00 69 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 46 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 69 00 66 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 3D 00 20 00 6E 00 69 00 6C 00 20 00 74 00 68 00 65 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 20 00 3A 00 3D 00 20 00 46 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2E 00 43 00 72 00 65 00 61 00 74 00 65 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 2E 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 54 00 79 00 70 00 65 00 20 00 3A 00 3D 00 20 00 54 00 44 00 42 00 58 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 54 00 79 00 70 00 65 00 73 00 2E 00 44 00 53 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 2E 00 54 00 65 00 78 00 74 00 20 00 3A 00 3D 00 20 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2E 00 50 00 72 00 65 00 70 00 61 00 72 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6E 00 64 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 2E 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 5B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 5D 00 2E 00 56 00 61 00 6C 00 75 00 65 00 2E 00 53 00 65 00 74 00 4E 00 75 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 5D 00 2E 00 56 00 61 00 6C 00 75 00 65 00 2E 00 53 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 28 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 69 00 66 00 20 00 6E 00 6F 00 74 00 20 00 41 00 73 00 73 00 69 00 67 00 6E 00 65 00 64 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 29 00 20 00 74 00 68 00 65 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 46 00 4D 00 61 00 72 00 73 00 68 00 61 00 6C 00 20 00 3A 00 3D 00 20 00 54 00 44 00 42 00 58 00 43 00 6C 00 69 00 65 00 6E 00 74 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 5D 00 2E 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 48 00 61 00 6E 00 64 00 6C 00 65 00 72 00 29 00 2E 00 47 00 65 00 74 00 4A 00 53 00 4F 00 4E 00 4D 00 61 00 72 00 73 00 68 00 61 00 6C 00 65 00 72 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 74 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 5D 00 2E 00 56 00 61 00 6C 00 75 00 65 00 2E 00 53 00 65 00 74 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 28 00 46 00 4D 00 61 00 72 00 73 00 68 00 61 00 6C 00 2E 00 4D 00 61 00 72 00 73 00 68 00 61 00 6C 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 29 00 2C 00 20 00 54 00 72 00 75 00 65 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 69 00 66 00 20 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 20 00 74 00 68 00 65 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2E 00 46 00 72 00 65 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 66 00 69 00 6E 00 61 00 6C 00 6C 00 79 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 46 00 72 00 65 00 65 00 41 00 6E 00 64 00 4E 00 69 00 6C 00 28 00 46 00 4D 00 61 00 72 00 73 00 68 00 61 00 6C 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 65 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5D 00 2E 00 56 00 61 00 6C 00 75 00 65 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 2E 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 55 00 70 00 64 00 61 00 74 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 3C 00 3E 00 20 00 6E 00 69 00 6C 00 20 00 74 00 68 00 65 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 2E 00 53 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 5D 00 2E 00 56 00 61 00 6C 00 75 00 65 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 }
	condition:
		$1
}

rule function_20173_0 {
	meta:
		name = "TDSCustomDelphiProxyWriter.WriteOutgoingParameter"
		size = 1100
		refs = "0025 TDSCustomDelphiProxyWriter.WriteOutgoingParameter 0035 @UStrLAsg 005e CompareText 007c @UStrCatN 009e TDSCustomProxyWriter.WriteLine 00ae @UStrCat3 013e TDSCustomProxyWriter.Indent 016c TDSCustomProxyWriter.Outdent 0214 @UStrArrayClr 021c @UStrClr 0222 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 89 55 F8 8B D8 8B 75 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 83 7E 0C 17 0F 85 32 01 00 00 8B 56 14 8B C3 8B 08 FF 51 28 84 C0 0F 84 20 01 00 00 BA ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 85 C0 75 58 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? EB 71 BA ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 85 C0 75 3E 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? EB 22 FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 0C 68 ?? ?? ?? ?? FF 75 08 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 89 00 00 00 8B 46 0C 83 F8 17 74 05 83 F8 21 75 24 FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? EB 58 83 F8 25 75 31 FF 75 F8 FF 76 14 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 DC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? EB 22 FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 54 00 43 00 75 00 73 00 74 00 6F 00 6D 00 53 00 51 00 4C 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 2E 00 43 00 72 00 65 00 61 00 74 00 65 00 28 00 6E 00 69 00 6C 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 28 00 46 00 61 00 6C 00 73 00 65 00 29 00 2C 00 20 00 54 00 72 00 75 00 65 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2E 00 4F 00 70 00 65 00 6E 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 54 00 44 00 42 00 58 00 50 00 61 00 72 00 61 00 6D 00 73 00 52 00 65 00 61 00 64 00 65 00 72 00 2E 00 54 00 6F 00 50 00 61 00 72 00 61 00 6D 00 73 00 28 00 6E 00 69 00 6C 00 2C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 69 00 66 00 20 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 20 00 74 00 68 00 65 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 2E 00 46 00 72 00 65 00 65 00 4F 00 6E 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 28 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 28 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 28 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_20467_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.WriteOutgoingParameter"
		size = 1100
		refs = "0025 TDSCustomDelphiRestProxyWriter.WriteOutgoingParameter 0035 @UStrLAsg 005e CompareText 007c @UStrCatN 009e TDSCustomProxyWriter.WriteLine 00ae @UStrCat3 013e TDSCustomProxyWriter.Indent 016c TDSCustomProxyWriter.Outdent 0214 @UStrArrayClr 021c @UStrClr 0222 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 89 55 F8 8B D8 8B 75 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 83 7E 0C 17 0F 85 32 01 00 00 8B 56 14 8B C3 8B 08 FF 51 28 84 C0 0F 84 20 01 00 00 BA ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 85 C0 75 58 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? EB 71 BA ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 85 C0 75 3E 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? EB 22 FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 0C 68 ?? ?? ?? ?? FF 75 08 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 89 00 00 00 8B 46 0C 83 F8 17 74 05 83 F8 21 75 24 FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? EB 58 83 F8 25 75 31 FF 75 F8 FF 76 14 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 DC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? EB 22 FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 54 00 43 00 75 00 73 00 74 00 6F 00 6D 00 53 00 51 00 4C 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 2E 00 43 00 72 00 65 00 61 00 74 00 65 00 28 00 6E 00 69 00 6C 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 28 00 46 00 61 00 6C 00 73 00 65 00 29 00 2C 00 20 00 54 00 72 00 75 00 65 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2E 00 4F 00 70 00 65 00 6E 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 54 00 44 00 42 00 58 00 50 00 61 00 72 00 61 00 6D 00 73 00 52 00 65 00 61 00 64 00 65 00 72 00 2E 00 54 00 6F 00 50 00 61 00 72 00 61 00 6D 00 73 00 28 00 6E 00 69 00 6C 00 2C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 69 00 66 00 20 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 20 00 74 00 68 00 65 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 2E 00 46 00 72 00 65 00 65 00 4F 00 6E 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 28 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 28 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 28 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_20174_0 {
	meta:
		name = "TDSCustomDelphiProxyWriter.WriteClassImplementation"
		size = 1204
		refs = "0014 TDSCustomDelphiProxyWriter.WriteClassImplementation 0039 TDSCustomDelphiProxyWriter.WriteMethodImplementation 0047 TDSCustomProxyWriter.WriteLine 0061 @UStrCatN 007e TDSCustomProxyWriter.Indent 0091 TDSCustomProxyWriter.Outdent 01c5 @UStrArrayClr 01cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 85 DB 74 1F 8B D3 8B C6 8B 08 FF 51 24 84 C0 74 0B 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 5B 14 85 DB 75 E1 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 5F 08 85 DB 74 38 8B D3 8B C6 8B 08 FF 51 24 84 C0 74 24 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 5B 14 85 DB 75 C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 6F 00 6E 00 73 00 74 00 72 00 75 00 63 00 74 00 6F 00 72 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 2E 00 43 00 72 00 65 00 61 00 74 00 65 00 28 00 41 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 54 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 62 00 65 00 67 00 69 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 69 00 6E 00 68 00 65 00 72 00 69 00 74 00 65 00 64 00 20 00 43 00 72 00 65 00 61 00 74 00 65 00 28 00 41 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6E 00 64 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 47 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 2E 00 43 00 72 00 65 00 61 00 74 00 65 00 28 00 41 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 54 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 3B 00 20 00 41 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 3A 00 20 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 31 00 00 00 69 00 6E 00 68 00 65 00 72 00 69 00 74 00 65 00 64 00 20 00 43 00 72 00 65 00 61 00 74 00 65 00 28 00 41 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2C 00 20 00 41 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 64 00 65 00 73 00 74 00 72 00 75 00 63 00 74 00 6F 00 72 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 2E 00 44 00 65 00 73 00 74 00 72 00 6F 00 79 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 46 00 72 00 65 00 65 00 41 00 6E 00 64 00 4E 00 69 00 6C 00 28 00 46 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 6E 00 68 00 65 00 72 00 69 00 74 00 65 00 64 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_20175_0 {
	meta:
		name = "TDSCustomDelphiProxyWriter.WriteImplementation"
		size = 152
		refs = "0005 TDSCustomDelphiProxyWriter.WriteImplementation 000c TDSCustomProxyWriter.WriteLine 001a TDSCustomProxyWriter.GetMetadata 0037 TDSCustomDelphiProxyWriter.WriteClassImplementation"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 58 04 85 DB 74 1D 8B D3 8B C6 8B 08 FF 51 20 84 C0 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 5B 10 85 DB 75 E3 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6E 00 64 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_20473_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.WriteImplementation"
		size = 152
		refs = "0005 TDSCustomDelphiRestProxyWriter.WriteImplementation 000c TDSCustomProxyWriter.WriteLine 001a TDSCustomProxyWriter.GetMetadata 0037 TDSCustomDelphiRestProxyWriter.WriteClassImplementation"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 58 04 85 DB 74 1D 8B D3 8B C6 8B 08 FF 51 20 84 C0 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 5B 10 85 DB 75 E3 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6E 00 64 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_20176_0 {
	meta:
		name = "TDSCustomDelphiProxyWriter.GetAssignmentString"
		size = 40
		refs = "0006 TDSCustomDelphiProxyWriter.GetAssignmentString 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 3D 00 00 00 00 00 }
	condition:
		$1
}

rule function_20474_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.GetAssignmentString"
		size = 40
		refs = "0006 TDSCustomDelphiRestProxyWriter.GetAssignmentString 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 3D 00 00 00 00 00 }
	condition:
		$1
}

rule function_20177_0 {
	meta:
		name = "TDSCustomDelphiProxyWriter.GetCreateDataSetReader"
		size = 168
		refs = "0007 TDSCustomDelphiProxyWriter.GetCreateDataSetReader 001b @UStrCatN"
	strings:
		$1 = { 53 56 8B F1 8B DA 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 28 00 54 00 44 00 42 00 58 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 52 00 65 00 61 00 64 00 65 00 72 00 2E 00 43 00 72 00 65 00 61 00 74 00 65 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 2C 00 20 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 2C 00 20 00 54 00 72 00 75 00 65 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_20480_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.GetCreateDataSetReader"
		size = 168
		refs = "0007 TDSCustomDelphiRestProxyWriter.GetCreateDataSetReader 001b @UStrCatN"
	strings:
		$1 = { 53 56 8B F1 8B DA 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 28 00 54 00 44 00 42 00 58 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 52 00 65 00 61 00 64 00 65 00 72 00 2E 00 43 00 72 00 65 00 61 00 74 00 65 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 2C 00 20 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 2C 00 20 00 54 00 72 00 75 00 65 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_20178_0 {
	meta:
		name = "TDSCustomDelphiProxyWriter.GetCreateParamsReader"
		size = 164
		refs = "0007 TDSCustomDelphiProxyWriter.GetCreateParamsReader 001b @UStrCatN"
	strings:
		$1 = { 53 56 8B F1 8B DA 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 28 00 54 00 44 00 42 00 58 00 50 00 61 00 72 00 61 00 6D 00 73 00 52 00 65 00 61 00 64 00 65 00 72 00 2E 00 43 00 72 00 65 00 61 00 74 00 65 00 28 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 2C 00 20 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 2C 00 20 00 54 00 72 00 75 00 65 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_20481_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.GetCreateParamsReader"
		size = 164
		refs = "0007 TDSCustomDelphiRestProxyWriter.GetCreateParamsReader 001b @UStrCatN"
	strings:
		$1 = { 53 56 8B F1 8B DA 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 28 00 54 00 44 00 42 00 58 00 50 00 61 00 72 00 61 00 6D 00 73 00 52 00 65 00 61 00 64 00 65 00 72 00 2E 00 43 00 72 00 65 00 61 00 74 00 65 00 28 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 2C 00 20 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 2C 00 20 00 54 00 72 00 75 00 65 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_20179_0 {
	meta:
		name = "TDSDelphiProxyWriter.DerivedWrite"
		size = 152
		refs = "0010 TDSDelphiProxyWriter.DerivedWrite 0038 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 3C 85 FF 74 0B 8B D6 8B C7 8B 08 FF 51 28 EB 1A 8D 4D FC BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_20180_0 {
	meta:
		name = "TDSDelphiProxyWriter.DerivedWriteLine"
		size = 144
		refs = "000d TDSDelphiProxyWriter.DerivedWriteLine 0033 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 3C 85 F6 74 09 8B C6 8B 10 FF 52 3C EB 18 8D 4D FC BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_20183_0 {
	meta:
		name = "TDSClientProxyWriterDelphi.Properties"
		size = 300
		refs = "0006 TDSClientProxyWriterDelphi.Properties 000b @UStrAsg 003a @UStrClr 0056 TEncoding.GetUTF8"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 14 E8 ?? ?? ?? ?? 8D 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 43 1C E8 ?? ?? ?? ?? 89 43 0C 5B C3 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 2E 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 44 00 65 00 6C 00 70 00 68 00 69 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 53 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 3B 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 53 00 5F 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 65 00 6C 00 70 00 68 00 69 00 00 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_20184_0 {
	meta:
		name = "TDSClientProxyWriterDelphi.FileDescriptions"
		size = 124
		refs = "000e TDSProxyFileDescriptions 0013 @DynArraySetLength 001d TDSClientProxyWriterDelphi.FileDescriptions 0022 @UStrAsg"
	strings:
		$1 = { 53 8B DA 6A 01 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 70 00 61 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_21172_0 {
	meta:
		name = "TDSClientProxyWriterFreePascaliOS42.FileDescriptions"
		size = 124
		refs = "000e TDSProxyFileDescriptions 0013 @DynArraySetLength 001d TDSClientProxyWriterFreePascaliOS42.FileDescriptions 0022 @UStrAsg"
	strings:
		$1 = { 53 8B DA 6A 01 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 70 00 61 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_20185_0 {
	meta:
		name = "TDSCustomExtendedProxyWriter.GetClassNameSuffix"
		size = 48
		refs = "0006 TDSCustomExtendedProxyWriter.GetClassNameSuffix 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_20186_0 {
	meta:
		name = "TDSCustomExtendedProxyWriter.GetProxyClassNames"
		size = 184
		refs = "0010 TDSCustomExtendedProxyWriter.GetProxyClassNames 0025 TArray<System.string> 002a @DynArraySetLength 0034 TDSCustomProxyWriter.GetMetadata 004f @DynArrayLength 008a @UStrCat3 00a6 @UStrClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 E8 ?? ?? ?? ?? 8B 58 04 85 DB 74 56 8B D3 8B C7 8B 08 FF 51 20 84 C0 74 42 8B 06 E8 ?? ?? ?? ?? 40 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 FC 8B C7 8B 08 FF 51 40 8B 45 FC 50 8B 06 E8 ?? ?? ?? ?? 8B 16 8D 44 82 FC 8B 53 04 59 E8 ?? ?? ?? ?? 8B 5B 10 85 DB 75 AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_20187_0 {
	meta:
		name = "Finalization"
		size = 56
		refs = "0002 _DV_5 0009 Finalization 000e TDSProxyWriterFactory.UnregisterWriter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 65 00 6C 00 70 00 68 00 69 00 20 00 44 00 42 00 58 00 00 00 00 00 }
	condition:
		$1
}

rule function_20188_0 {
	meta:
		name = "Datasnap.DSProxyDelphi"
		size = 64
		refs = "0002 _DV_5 000b _DV_TDSClientProxyWriterDelphi 0010 Datasnap.DSProxyDelphi 0015 TDSProxyWriterFactory.RegisterWriter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 65 00 6C 00 70 00 68 00 69 00 20 00 44 00 42 00 58 00 00 00 00 00 }
	condition:
		$1
}

rule function_20460_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.WriteInterfaceUses"
		size = 840
		refs = "0018 TDSCustomDelphiRestProxyWriter.WriteInterfaceUses 002b @UStrLAsg 0033 TDSCustomProxyWriter.GetMetadata 008a CompareText 00a8 @UStrCatN 00b3 StringIndexOf 00c2 @UStrCat 00fb TDSCustomProxyWriter.WriteLine 0115 @UStrArrayClr 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 04 89 45 F0 83 7D F0 00 0F 84 A0 00 00 00 8B 55 F0 8B 45 F4 8B 08 FF 51 20 84 C0 74 7E 8B 45 F0 8B 78 08 85 FF 74 74 8B 5F 04 85 DB 74 66 8D 55 FC 8B C3 8B 08 FF 51 04 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 85 F6 7E 45 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 34 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7F 0B 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 5B 04 85 DB 75 9A 8B 7F 14 85 FF 75 8C 8B 45 F0 8B 40 10 89 45 F0 83 7D F0 00 0F 85 60 FF FF FF 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF CE 00 00 00 75 00 73 00 65 00 73 00 20 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 2E 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 52 00 65 00 73 00 74 00 2C 00 20 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 2E 00 44 00 53 00 43 00 6C 00 69 00 65 00 6E 00 74 00 52 00 65 00 73 00 74 00 2C 00 20 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 43 00 6F 00 6D 00 6D 00 6F 00 6E 00 2C 00 20 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 43 00 6C 00 69 00 65 00 6E 00 74 00 2C 00 20 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2C 00 20 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 4A 00 53 00 4F 00 4E 00 2C 00 20 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 2E 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 2C 00 20 00 53 00 79 00 73 00 74 00 65 00 6D 00 2E 00 43 00 6C 00 61 00 73 00 73 00 65 00 73 00 2C 00 20 00 53 00 79 00 73 00 74 00 65 00 6D 00 2E 00 53 00 79 00 73 00 55 00 74 00 69 00 6C 00 73 00 2C 00 20 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 2C 00 20 00 44 00 61 00 74 00 61 00 2E 00 53 00 71 00 6C 00 45 00 78 00 70 00 72 00 2C 00 20 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 44 00 42 00 52 00 65 00 61 00 64 00 65 00 72 00 73 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 79 00 73 00 74 00 65 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 20 00 44 00 61 00 74 00 61 00 2E 00 44 00 42 00 58 00 4A 00 53 00 4F 00 4E 00 52 00 65 00 66 00 6C 00 65 00 63 00 74 00 3B 00 00 00 }
	condition:
		$1
}

rule function_20461_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.WriteMethodSignature"
		size = 1324
		refs = "0025 TDSCustomDelphiRestProxyWriter.WriteMethodSignature 0042 TDSProxyMethod.HasReturnValue 0056 @UStrLAsg 0077 @UStrCat 009a @UStrCatN 00b7 TDSCustomNativeRestProxyWriter.SupportsRequestFilter 0117 @UStrClr 0122 TDSCustomNativeRestProxyWriter.IsCachableParameter 0314 @UStrCat3 031e TDSCustomProxyWriter.WriteLine 0338 @UStrArrayClr 034b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D EC 89 55 F0 8B F0 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 78 04 8B 45 EC 8B 40 24 89 45 E8 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 12 FF 4D E8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 10 8D 45 FC 8B 55 EC 8B 52 0C E8 ?? ?? ?? ?? EB 21 FF 75 FC 8B 45 F0 FF 70 04 68 ?? ?? ?? ?? 8B 45 EC FF 70 0C 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? F6 45 08 01 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 88 45 E3 80 7D E3 00 74 20 84 DB 74 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E8 00 0F 8E 8A 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B DF 33 C0 89 45 E4 E9 2E 01 00 00 83 7B 08 02 75 42 F6 45 08 01 74 3C 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 25 FF 75 FC 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? E9 CB 00 00 00 8B 43 08 83 E8 02 74 05 48 74 11 EB 47 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 38 8B 53 14 8B C6 8B 08 FF 51 2C 84 C0 75 2A F6 45 08 01 74 17 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC FF 73 10 68 ?? ?? ?? ?? 8D 4D DC 8B D3 8B C6 8B 38 FF 57 34 FF 75 DC 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? F6 45 08 01 74 4A 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 33 83 7B 08 03 75 2D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? FF 45 E4 8B 45 E4 3B 45 E8 7D 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5B 04 85 DB 74 0C 8B 45 E4 3B 45 E8 0F 8C C2 FE FF FF 80 7D E3 00 74 1E 83 7D E4 00 7E 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 23 80 7D E3 00 74 1D FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 61 8B 45 EC 8B 58 20 F6 45 08 01 74 31 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1A FF 75 FC 68 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 24 FF 75 FC 68 ?? ?? ?? ?? 8D 4D D8 8B D3 8B C6 8B 18 FF 53 34 FF 75 D8 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 D4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 70 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 43 00 61 00 63 00 68 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 63 00 6F 00 6E 00 73 00 74 00 20 00 41 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 46 00 69 00 6C 00 74 00 65 00 72 00 3A 00 20 00 73 00 74 00 72 00 69 00 6E 00 67 00 20 00 3D 00 20 00 27 00 27 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 63 00 6F 00 6E 00 73 00 74 00 20 00 41 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 46 00 69 00 6C 00 74 00 65 00 72 00 3A 00 20 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6F 00 75 00 74 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 20 00 49 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 76 00 61 00 72 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 5F 00 43 00 61 00 63 00 68 00 65 00 3A 00 20 00 49 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_20462_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.WriteClassInterface"
		size = 1156
		refs = "0014 TDSCustomDelphiRestProxyWriter.WriteClassInterface 0021 TDSCustomProxyWriter.Indent 002d TDSCustomNativeRestProxyWriter.GetAncestor 004a @UStrCatN 0054 TDSCustomProxyWriter.WriteLine 00a8 TDSCustomNativeRestProxyWriter.IncludeCacheMethod 00de TDSCustomProxyWriter.Outdent 013e TDSCustomDelphiRestProxyWriter.WriteMethodSignature 01a2 @UStrArrayClr 01a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 5F 08 85 DB 74 69 8B D3 8B C6 8B 08 FF 51 24 84 C0 74 24 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 24 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 5B 14 85 DB 75 97 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 5F 08 85 DB 74 4B 8B D3 8B C6 8B 08 FF 51 24 84 C0 74 15 6A 01 0F B6 05 ?? ?? ?? ?? 50 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 15 6A 01 0F B6 05 ?? ?? ?? ?? 50 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 5B 14 85 DB 75 B5 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 20 00 3D 00 20 00 63 00 6C 00 61 00 73 00 73 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 70 00 72 00 69 00 76 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 46 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 3A 00 20 00 54 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 5F 00 43 00 61 00 63 00 68 00 65 00 3A 00 20 00 54 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 41 00 00 00 63 00 6F 00 6E 00 73 00 74 00 72 00 75 00 63 00 74 00 6F 00 72 00 20 00 43 00 72 00 65 00 61 00 74 00 65 00 28 00 41 00 52 00 65 00 73 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 54 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 29 00 3B 00 20 00 6F 00 76 00 65 00 72 00 6C 00 6F 00 61 00 64 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 5A 00 00 00 63 00 6F 00 6E 00 73 00 74 00 72 00 75 00 63 00 74 00 6F 00 72 00 20 00 43 00 72 00 65 00 61 00 74 00 65 00 28 00 41 00 52 00 65 00 73 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 54 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 3B 00 20 00 41 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 3A 00 20 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 29 00 3B 00 20 00 6F 00 76 00 65 00 72 00 6C 00 6F 00 61 00 64 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 64 00 65 00 73 00 74 00 72 00 75 00 63 00 74 00 6F 00 72 00 20 00 44 00 65 00 73 00 74 00 72 00 6F 00 79 00 3B 00 20 00 6F 00 76 00 65 00 72 00 72 00 69 00 64 00 65 00 3B 00 00 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6E 00 64 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_20463_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.WriteInterface"
		size = 392
		refs = "0013 TDSCustomDelphiRestProxyWriter.WriteInterface 0036 @UStrCatN 0041 TDSCustomProxyWriter.WriteLine 0066 TDSCustomDelphiRestProxyWriter.WriteInterfaceUses 0083 TDSCustomDelphiRestProxyWriter.GetCachedObjectTypes 00a1 TDSCustomDelphiRestProxyWriter.WriteCachedObjectTypes 00a9 TDSCustomProxyWriter.GetMetadata 00c8 TDSCustomDelphiRestProxyWriter.WriteClassInterface 00f1 TObject.Free 00f7 @HandleFinally 0101 TDSCustomDelphiRestProxyWriter.WriteTDSRestParameterMetaData 0116 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 FC FF 70 3C 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 58 04 85 DB 74 1F 8B D3 8B 45 FC 8B 08 FF 51 20 84 C0 74 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 5B 10 85 DB 75 E1 33 C9 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 75 00 6E 00 69 00 74 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_20465_0 {
	meta:
		name = "QuoteMethodAlias"
		size = 200
		refs = "0014 QuoteMethodAlias 0026 Pos 004b @UStrCopy 007b @UStrCatN 0095 @UStrArrayClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 4F 0F B7 04 5E 66 83 F8 22 74 45 66 83 F8 27 74 3F 8D 45 F8 50 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 F4 50 8D 53 01 B9 FF FF FF 7F 8B C6 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_20466_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.WriteMethodImplementation"
		size = 5676
		refs = "0020 TDSCustomDelphiRestProxyWriter.WriteMethodImplementation 002e @UStrClr 0042 TDSCustomDelphiRestProxyWriter.GetHTTPMethodAndPrefix 0055 @UStrEqual 0062 QuoteMethodAlias 006f @UStrLAsg 0081 TDSCustomDelphiRestProxyWriter.WriteMethodSignature 008d TDSCustomProxyWriter.WriteLine 0094 TDSCustomProxyWriter.Indent 00ae @UStrCatN 00c1 @UStrCat 0108 @UStrCat3 0182 TDSCustomDelphiRestProxyWriter.MakeTDSRestParameterMetaDataTypeName 01a8 TDSCustomProxyWriter.Outdent 01c7 TDSProxyMethod.HasReturnValue 024f IntToStr 04a3 TDSCustomProxyWriter.GetSetter 04fe TDSCustomNativeRestProxyWriter.SupportsRequestFilter 05a5 TDSCustomNativeRestProxyWriter.IsCachableParameter 08fa TDSCustomProxyWriter.GetGetter 0923 TDSCustomDelphiRestProxyWriter.WriteOutgoingParameter 0ccf @UStrArrayClr 0ce2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 20 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC E8 ?? ?? ?? ?? 50 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C3 E8 ?? ?? ?? ?? 83 7D F0 00 75 1C 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0D 8D 55 E8 8B 47 10 E8 ?? ?? ?? ?? EB 0B 8D 45 E8 8B 57 10 E8 ?? ?? ?? ?? 6A 00 0F B6 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 77 0C 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? F6 45 08 01 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 CC 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 C8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 C8 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 C4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 C4 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 C0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8B C3 E8 ?? ?? ?? ?? 83 7F 24 00 7E 3B FF 75 FC 68 ?? ?? ?? ?? 0F B6 45 08 50 8D 45 B8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? FF 75 B8 68 ?? ?? ?? ?? 8D 45 BC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 BC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 47 04 89 45 D8 8B 47 24 89 45 DC 8B C7 E8 ?? ?? ?? ?? 84 C0 74 03 FF 4D DC 8B 47 18 8B 57 1C 89 55 D4 85 C0 0F 8E F4 02 00 00 8B 75 D8 33 C0 89 45 D0 85 F6 0F 84 E4 02 00 00 83 7E 08 03 74 0A 83 7E 08 01 0F 85 C6 02 00 00 8B 56 14 8B C3 8B 08 FF 51 2C 84 C0 0F 84 BD 00 00 00 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 B4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 B4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 AC 8B 45 D0 E8 ?? ?? ?? ?? FF 75 AC 68 ?? ?? ?? ?? 8D 45 B0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 B0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 A4 8B 45 D0 E8 ?? ?? ?? ?? FF 75 A4 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 A8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 A8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 F7 01 00 00 83 7E 0C 25 0F 85 9B 01 00 00 8B 56 14 8B C3 8B 08 FF 51 30 84 C0 0F 85 89 01 00 00 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 A0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 A0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 98 8B 45 D0 E8 ?? ?? ?? ?? FF 75 98 68 ?? ?? ?? ?? 8D 45 9C BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 9C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 90 8B 45 D0 E8 ?? ?? ?? ?? FF 75 90 68 ?? ?? ?? ?? 8D 45 94 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 94 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 88 8B 45 D0 E8 ?? ?? ?? ?? FF 75 88 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 8C BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 8C 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 84 B9 ?? ?? ?? ?? 8B 56 10 E8 ?? ?? ?? ?? 8B 55 84 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 52 FF 75 FC 68 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B 45 D0 E8 ?? ?? ?? ?? FF B5 7C FF FF FF 68 ?? ?? ?? ?? 8D 8D 78 FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? FF B5 78 FF FF FF 68 ?? ?? ?? ?? 8D 45 80 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 80 8B C3 E8 ?? ?? ?? ?? FF 45 D0 8B 76 04 85 F6 0F 85 1C FD FF FF F6 45 08 01 74 0F 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2F FF 75 FC 68 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 85 74 FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8B C3 E8 ?? ?? ?? ?? EB 2D FF 75 FC 68 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 85 70 FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 8B C3 E8 ?? ?? ?? ?? 83 7D D4 00 0F 8E C9 03 00 00 8B 75 D8 33 C0 89 45 D0 85 F6 0F 84 B9 03 00 00 83 7E 08 03 74 0A 83 7E 08 02 0F 85 9B 03 00 00 F6 45 08 01 0F 84 AE 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 93 00 00 00 8D 45 F4 8B 56 10 E8 ?? ?? ?? ?? 83 7E 08 03 75 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 6C FF FF FF 8B 45 D0 E8 ?? ?? ?? ?? FF B5 6C FF FF FF 68 ?? ?? ?? ?? 8D 45 F8 BA 07 00 00 00 E8 ?? ?? ?? ?? FF 75 F4 FF 75 F8 68 ?? ?? ?? ?? 8D 85 68 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8B C3 E8 ?? ?? ?? ?? E9 E3 02 00 00 8B 56 14 8B C3 8B 08 FF 51 2C 84 C0 0F 84 83 00 00 00 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 85 64 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 64 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 5C FF FF FF 8B 45 D0 E8 ?? ?? ?? ?? FF B5 5C FF FF FF 68 ?? ?? ?? ?? 8D 85 60 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 4E 02 00 00 83 7E 0C 25 0F 85 DB 01 00 00 8B 56 14 8B C3 8B 08 FF 51 30 84 C0 0F 85 C9 01 00 00 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 54 FF FF FF 8B 45 D0 E8 ?? ?? ?? ?? FF B5 54 FF FF FF 68 ?? ?? ?? ?? 8D 85 58 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 95 58 FF FF FF 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 4C FF FF FF 8B 45 D0 E8 ?? ?? ?? ?? FF B5 4C FF FF FF 68 ?? ?? ?? ?? 8D 85 50 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? FF 76 14 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 44 FF FF FF 8B 45 D0 E8 ?? ?? ?? ?? FF B5 44 FF FF FF 68 ?? ?? ?? ?? 8D 85 48 FF FF FF BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 95 48 FF FF FF 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 85 40 FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 95 40 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 85 3C FF FF FF B9 ?? ?? ?? ?? 8B 56 10 E8 ?? ?? ?? ?? 8B 95 3C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 69 8D 45 F4 B9 ?? ?? ?? ?? 8B 56 10 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 38 FF FF FF 8B 45 D0 E8 ?? ?? ?? ?? FF B5 38 FF FF FF 68 ?? ?? ?? ?? 8D 8D 34 FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? FF B5 34 FF FF FF 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 56 8B 45 FC 50 8B 46 10 50 8B 4D F8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? FF 45 D0 8B 76 04 85 F6 0F 85 47 FC FF FF 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 58 03 00 00 F6 45 08 01 0F 84 8D 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? 8B C8 8B 57 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 75 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 30 FF FF FF 8B 45 DC E8 ?? ?? ?? ?? FF B5 30 FF FF FF 68 ?? ?? ?? ?? 8D 45 F8 BA 07 00 00 00 E8 ?? ?? ?? ?? FF 75 F4 FF 75 F8 68 ?? ?? ?? ?? 8D 85 2C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 2C FF FF FF 8B C3 E8 ?? ?? ?? ?? E9 C1 02 00 00 8B 77 20 83 7E 0C 22 0F 84 B4 02 00 00 8B 56 14 8B C3 8B 08 FF 51 2C 84 C0 74 75 68 ?? ?? ?? ?? 8B 47 20 FF 70 14 68 ?? ?? ?? ?? 8D 85 28 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 28 FF FF FF 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 20 FF FF FF 8B 45 DC E8 ?? ?? ?? ?? FF B5 20 FF FF FF 68 ?? ?? ?? ?? 8D 85 24 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 95 24 FF FF FF 8B C3 E8 ?? ?? ?? ?? E9 31 02 00 00 8B 77 20 83 7E 0C 25 0F 85 BA 01 00 00 8B 56 14 8B C3 8B 08 FF 51 30 84 C0 0F 85 A8 01 00 00 8B 77 20 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 18 FF FF FF 8B 45 DC E8 ?? ?? ?? ?? FF B5 18 FF FF FF 68 ?? ?? ?? ?? 8D 85 1C FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 95 1C FF FF FF 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 10 FF FF FF 8B 45 DC E8 ?? ?? ?? ?? FF B5 10 FF FF FF 68 ?? ?? ?? ?? 8D 85 14 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 95 14 FF FF FF 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 76 14 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 08 FF FF FF 8B 45 DC E8 ?? ?? ?? ?? FF B5 08 FF FF FF 68 ?? ?? ?? ?? 8D 85 0C FF FF FF BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 95 0C FF FF FF 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 85 04 FF FF FF B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 95 04 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 6A 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 77 20 FF 75 FC 68 ?? ?? ?? ?? 8D 95 00 FF FF FF 8B 45 DC E8 ?? ?? ?? ?? FF B5 00 FF FF FF 68 ?? ?? ?? ?? 8D 8D FC FE FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? FF B5 FC FE FF FF 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 56 8B 45 FC 50 68 ?? ?? ?? ?? 8B 4D F8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FE FF FF BA 35 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 62 00 65 00 67 00 69 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 46 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 43 00 61 00 63 00 68 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 69 00 66 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 3D 00 20 00 6E 00 69 00 6C 00 20 00 74 00 68 00 65 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 20 00 3A 00 3D 00 20 00 46 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2E 00 43 00 72 00 65 00 61 00 74 00 65 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 2E 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 54 00 79 00 70 00 65 00 20 00 3A 00 3D 00 20 00 27 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 2E 00 54 00 65 00 78 00 74 00 20 00 3A 00 3D 00 20 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2E 00 50 00 72 00 65 00 70 00 61 00 72 00 65 00 28 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6E 00 64 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 2E 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 5B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 5D 00 2E 00 56 00 61 00 6C 00 75 00 65 00 2E 00 53 00 65 00 74 00 4E 00 75 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 5D 00 2E 00 56 00 61 00 6C 00 75 00 65 00 2E 00 53 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 28 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 69 00 66 00 20 00 6E 00 6F 00 74 00 20 00 41 00 73 00 73 00 69 00 67 00 6E 00 65 00 64 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 29 00 20 00 74 00 68 00 65 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 46 00 4D 00 61 00 72 00 73 00 68 00 61 00 6C 00 20 00 3A 00 3D 00 20 00 54 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 28 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 5D 00 2E 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 48 00 61 00 6E 00 64 00 6C 00 65 00 72 00 29 00 }
	condition:
		$1
}

rule function_20468_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.WriteClassImplementation"
		size = 1352
		refs = "0015 TDSCustomDelphiRestProxyWriter.WriteClassImplementation 0042 TDSCustomDelphiRestProxyWriter.WriteMethodImplementation 004b TDSCustomNativeRestProxyWriter.IncludeCacheMethod 0083 @UStrCatN 008d TDSCustomProxyWriter.WriteLine 00a0 TDSCustomProxyWriter.Indent 00b3 TDSCustomProxyWriter.Outdent 020a @UStrArrayClr 0210 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 85 DB 74 47 8B D3 8B C6 8B 08 FF 51 24 84 C0 74 13 0F B6 05 ?? ?? ?? ?? 50 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 0F B6 05 ?? ?? ?? ?? 50 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 5B 14 85 DB 75 B9 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 5F 08 85 DB 74 69 8B D3 8B C6 8B 08 FF 51 24 84 C0 74 24 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 24 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 5B 14 85 DB 75 97 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 6F 00 6E 00 73 00 74 00 72 00 75 00 63 00 74 00 6F 00 72 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 32 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 2E 00 43 00 72 00 65 00 61 00 74 00 65 00 28 00 41 00 52 00 65 00 73 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 54 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 62 00 65 00 67 00 69 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 69 00 6E 00 68 00 65 00 72 00 69 00 74 00 65 00 64 00 20 00 43 00 72 00 65 00 61 00 74 00 65 00 28 00 41 00 52 00 65 00 73 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6E 00 64 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 4B 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 2E 00 43 00 72 00 65 00 61 00 74 00 65 00 28 00 41 00 52 00 65 00 73 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 54 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 3B 00 20 00 41 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 3A 00 20 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 32 00 00 00 69 00 6E 00 68 00 65 00 72 00 69 00 74 00 65 00 64 00 20 00 43 00 72 00 65 00 61 00 74 00 65 00 28 00 41 00 52 00 65 00 73 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2C 00 20 00 41 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 64 00 65 00 73 00 74 00 72 00 75 00 63 00 74 00 6F 00 72 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 2E 00 44 00 65 00 73 00 74 00 72 00 6F 00 79 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 46 00 72 00 65 00 65 00 41 00 6E 00 64 00 4E 00 69 00 6C 00 28 00 46 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 5F 00 43 00 61 00 63 00 68 00 65 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 6E 00 68 00 65 00 72 00 69 00 74 00 65 00 64 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_20470_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.WriteMethodTDSRestParameterMetaData"
		size = 924
		refs = "0021 TDSCustomDelphiRestProxyWriter.WriteMethodTDSRestParameterMetaData 0039 TDSCustomProxyWriter.Indent 0052 TDSCustomDelphiRestProxyWriter.MakeTDSRestParameterMetaDataTypeName 0078 Format 0082 TDSCustomProxyWriter.WriteLine 00b5 @UStrLAsg 00d2 @UStrCatN 00e0 @UStrClr 00eb TDSCustomNativeRestProxyWriter.IsCachableParameter 013b IntToStr 01a9 @UStrCat 01c2 TDSCustomProxyWriter.Outdent 01f6 @UStrArrayClr 0211 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 89 55 F0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 24 85 DB 0F 84 AA 01 00 00 8B C6 E8 ?? ?? ?? ?? 8D 45 E8 50 0F B6 45 08 50 8D 45 D4 50 8B CF 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 D4 89 45 D8 C6 45 DC 11 8B C3 48 89 45 E0 C6 45 E4 00 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 DB 0F 8E 1E 01 00 00 8B 5F 04 85 DB 0F 84 13 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? F6 45 08 01 74 3D 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 26 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 08 04 74 07 BF 02 00 00 00 EB 03 8B 7B 08 C7 45 EC 1A 00 00 00 EB 14 8B 7B 08 8B 43 0C 89 45 EC 8D 45 F4 8B 53 14 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 D0 8B C7 E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 CC 8B 45 EC E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 5B 04 85 DB 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 DB 0F 85 ED FE FF FF 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 2F 00 00 00 25 00 73 00 3A 00 20 00 61 00 72 00 72 00 61 00 79 00 20 00 5B 00 30 00 2E 00 2E 00 25 00 64 00 5D 00 20 00 6F 00 66 00 20 00 54 00 44 00 53 00 52 00 65 00 73 00 74 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 20 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4E 00 61 00 6D 00 65 00 3A 00 20 00 27 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 27 00 3B 00 20 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 69 00 72 00 65 00 63 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 42 00 58 00 54 00 79 00 70 00 65 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 79 00 70 00 65 00 4E 00 61 00 6D 00 65 00 3A 00 20 00 27 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_20472_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.WriteTDSRestParameterMetaData"
		size = 88
		refs = "0005 TDSCustomDelphiRestProxyWriter.WriteTDSRestParameterMetaData 000c TDSCustomProxyWriter.WriteLine 0013 TDSCustomProxyWriter.GetMetadata 0030 TDSCustomDelphiRestProxyWriter.WriteClassTDSRestParameterMetaData"
	strings:
		$1 = { 53 56 8B F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 58 04 85 DB 74 1D 8B D3 8B C6 8B 08 FF 51 20 84 C0 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 5B 10 85 DB 75 E3 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6F 00 6E 00 73 00 74 00 00 00 }
	condition:
		$1
}

rule function_20475_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.GetCachedObjectTypes$18$ActRec.$0$Body$19$ActRec.$0$0$Body$20$ActRec.$0$0$0$Body"
		size = 104
		refs = "0018 @UStrClr 0024 TDSCustomNativeRestProxyWriter.IsCachableParameter 0045 TDictionary<System.string,System.string>.ContainsKey 005d TDictionary<System.string,System.string>.Add"
	strings:
		$1 = { 53 56 57 55 8B FA 8B E8 B3 01 8B 45 0C 8B 70 0C 8D 46 10 50 8D 46 14 E8 ?? ?? ?? ?? 8B C8 8B 46 18 8B D7 E8 ?? ?? ?? ?? 84 C0 74 35 8B 45 0C 8B 40 0C 80 78 10 00 74 29 8B 45 0C 8B 70 0C 8B 56 14 8B 46 0C E8 ?? ?? ?? ?? 84 C0 75 14 8B 4F 14 8B 45 0C 8B 40 0C 8B 50 14 8B 40 0C E8 ?? ?? ?? ?? 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20476_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.GetCachedObjectTypes$18$ActRec.$0$Body$19$ActRec.$0$0$Body"
		size = 166
		refs = "0016 TDSCustomDelphiRestProxyWriter.GetCachedObjectTypes$18$ActRec.$0$Body$19$ActRec.$0$0$Body 0023 _DV_TDSCustomDelphiRestProxyWriter.GetCachedObjectTypes$18$ActRec.$0$Body$19$ActRec.$0$0$Body$20$ActRec 0028 TObject.Create 003b @IntfCopy 007a TDSCustomNativeRestProxyWriter.EnumParams 008f @IntfClear 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 0C 8D 43 10 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? C6 45 FB 01 8B 46 0C 8B 40 18 8B D7 8B 08 FF 51 24 84 C0 74 16 8B CB 85 C9 74 03 83 E9 EC 8B 46 0C 8B 40 18 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_20477_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.GetCachedObjectTypes$18$ActRec.$0$Body"
		size = 160
		refs = "0016 TDSCustomDelphiRestProxyWriter.GetCachedObjectTypes$18$ActRec.$0$Body 0023 _DV_TDSCustomDelphiRestProxyWriter.GetCachedObjectTypes$18$ActRec.$0$Body$19$ActRec 0028 TObject.Create 003b @IntfCopy 0074 TDSCustomNativeRestProxyWriter.EnumMethods 0089 @IntfClear 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 0C 8D 43 10 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? C6 45 FB 01 8B D7 8B 46 18 8B 08 FF 51 20 84 C0 74 13 8B CB 85 C9 74 03 83 E9 EC 8B D7 8B 46 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_20478_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.GetCachedObjectTypes"
		size = 204
		refs = "0014 TDSCustomDelphiRestProxyWriter.GetCachedObjectTypes 0021 _DV_TDSCustomDelphiRestProxyWriter.GetCachedObjectTypes$18$ActRec 0026 TObject.Create 003b @IntfCopy 004a _DV_TDictionary<System.string,System.string> 004f TDictionary<System.string,System.string>.Create 0078 TDSCustomNativeRestProxyWriter.EnumClasses 0087 @HandleAnyException 0092 TObject.Free 0097 @RaiseAgain 009c @DoneExcept 00b7 @IntfClear 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 45 F4 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 89 58 18 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 89 42 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F0 85 D2 74 03 83 EA E4 8B 45 F0 8B 40 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 58 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_20479_0 {
	meta:
		name = "TDSCustomDelphiRestProxyWriter.WriteCachedObjectTypes"
		size = 804
		refs = "001f TPair<System.string,System.string> 0024 @InitializeRecord 002c TDSCustomDelphiRestProxyWriter.WriteCachedObjectTypes 0048 TDSCustomProxyWriter.WriteLine 0050 TDSCustomProxyWriter.Indent 0057 TDictionary<System.string,System.string>.GetEnumerator 0078 TDictionary<System.string,System.string>.TPairEnumerator.GetCurrent 0096 @UStrCatN 0132 TDictionary<System.string,System.string>.TPairEnumerator.MoveNext 015d @HandleFinally 0167 TDSCustomProxyWriter.Outdent 0189 @UStrArrayClr 0197 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 5D E8 89 5D EC 8B D9 8B F2 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 08 00 0F 8E 33 01 00 00 84 DB 74 08 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 BD 00 00 00 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 84 DB 74 2A 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? E9 84 00 00 00 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 85 33 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 49 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 3D 00 20 00 69 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 20 00 3D 00 20 00 69 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 28 00 49 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 61 00 63 00 68 00 65 00 64 00 4F 00 62 00 6A 00 65 00 63 00 74 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3E 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6E 00 64 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 20 00 3D 00 20 00 63 00 6C 00 61 00 73 00 73 00 28 00 54 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 61 00 63 00 68 00 65 00 64 00 4F 00 62 00 6A 00 65 00 63 00 74 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 3E 00 2C 00 20 00 49 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 61 00 63 00 68 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 2C 00 20 00 49 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 61 00 63 00 68 00 65 00 64 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 29 00 00 00 }
	condition:
		$1
}

rule function_20482_0 {
	meta:
		name = "TDSDelphiRestProxyWriter.DerivedWrite"
		size = 152
		refs = "0010 TDSDelphiRestProxyWriter.DerivedWrite 0038 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 40 85 FF 74 0B 8B D6 8B C7 8B 08 FF 51 28 EB 1A 8D 4D FC BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_20483_0 {
	meta:
		name = "TDSDelphiRestProxyWriter.DerivedWriteLine"
		size = 144
		refs = "000d TDSDelphiRestProxyWriter.DerivedWriteLine 0033 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 40 85 F6 74 09 8B C6 8B 10 FF 52 3C EB 18 8D 4D FC BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_20484_0 {
	meta:
		name = "TDSDelphiRestProxyWriter.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDSCustomNativeRestProxyWriter.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32163_0 {
	meta:
		name = "TIdAttachmentMemory.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TIdMessagePart.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34126_0 {
	meta:
		name = "TIdDOSBaseFTPListItem.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TCollectionItem.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37023_0 {
	meta:
		name = "TIdServerInterceptLogFile.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TIdServerInterceptLogBase.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38192_0 {
	meta:
		name = "TIdText.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TIdMessagePart.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20485_0 {
	meta:
		name = "TDSClientProxyWriterDelphi.Properties"
		size = 308
		refs = "0006 TDSClientProxyWriterDelphi.Properties 000b @UStrAsg 003a @UStrClr 0056 TEncoding.GetUTF8"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 14 E8 ?? ?? ?? ?? 8D 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 43 1C E8 ?? ?? ?? ?? 89 43 0C 5B C3 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 2E 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 44 00 65 00 6C 00 70 00 68 00 69 00 52 00 65 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 3B 00 44 00 53 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 53 00 5F 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 65 00 6C 00 70 00 68 00 69 00 00 00 00 00 05 00 00 00 }
	condition:
		$1
}

rule function_20487_0 {
	meta:
		name = "TDSCustomNativeRestProxyWriter.IncludeClass"
		size = 74
		refs = "000c TDSCustomProxyWriter.IncludeClass 002f TDSCustomNativeRestProxyWriter.IncludeCacheMethod"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 2C 8B 7F 08 85 FF 74 25 8B D7 8B C6 8B 08 FF 51 24 84 C0 75 0D 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 09 8B 7F 14 85 FF 75 DB 33 DB 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20488_0 {
	meta:
		name = "TDSCustomNativeRestProxyWriter.IncludeMethod"
		size = 42
		refs = "000b TDSCustomProxyWriter.IncludeMethod 0018 TDSCustomNativeRestProxyWriter.ExtendedIncludeMethod"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_20489_0 {
	meta:
		name = "TDSCustomNativeRestProxyWriter.IncludeCacheMethod"
		size = 156
		refs = "000f TDSCustomNativeRestProxyWriter.IncludeCacheMethod 0025 @UStrCat3 002f TDSCustomProxyWriter.IncludeMethodName 003c TDSCustomNativeRestProxyWriter.ExtendedIncludeMethod 0049 TDSCustomNativeRestProxyWriter.ExtendedIncludeCacheMethod 006a @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC B9 ?? ?? ?? ?? 8B 56 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 43 00 61 00 63 00 68 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_20490_0 {
	meta:
		name = "TDSCustomNativeRestProxyWriter.IsCachableParameter"
		size = 49
		refs = "001c @UStrClr 0027 TDSCustomNativeRestProxyWriter.IsCachableParameter"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8D 45 FF 50 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_20491_0 {
	meta:
		name = "TDSCustomNativeRestProxyWriter.IsCachableParameter"
		size = 1320
		refs = "0030 TDSCustomNativeRestProxyWriter.IsCachableParameter 003e @UStrClr 007a @UStrLAsg 00ae CompareText 00c4 @UStrAsg 017b @UStrCat3 02be @UStrArrayClr 02c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D D0 8B DA 8B F0 8B 7D 08 8B 45 D0 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D0 E8 ?? ?? ?? ?? C6 07 00 8B 43 08 83 C0 FE 83 E8 03 0F 83 4B 02 00 00 8B 43 0C 83 E8 17 74 17 83 E8 0A 0F 84 D4 00 00 00 83 E8 04 0F 84 DD 00 00 00 E9 2C 02 00 00 8D 45 F8 8B 53 14 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 12 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D2 01 00 00 8D 45 F0 8B 53 14 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 12 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 78 01 00 00 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 66 01 00 00 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 54 01 00 00 8D 45 FC 8B 53 14 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 30 84 C0 75 35 8B C6 8B 10 FF 52 48 84 C0 74 18 8B 45 D0 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 07 01 E9 18 01 00 00 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 06 01 00 00 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 04 B0 01 EB 20 83 7D E8 00 74 06 83 7D E4 00 75 04 33 C0 EB 10 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 12 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AC 00 00 00 8D 45 E0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 3B 45 DC 75 04 B0 01 EB 20 83 7D E0 00 74 06 83 7D DC 00 75 04 33 C0 EB 10 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0F 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 55 8D 45 D8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 3B 45 D4 75 04 B0 01 EB 20 83 7D D8 00 74 06 83 7D D4 00 75 04 33 C0 EB 10 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0D 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 83 38 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 61 00 63 00 68 00 65 00 64 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 61 00 63 00 68 00 65 00 64 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 61 00 63 00 68 00 65 00 64 00 44 00 42 00 58 00 52 00 65 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 61 00 63 00 68 00 65 00 64 00 53 00 74 00 72 00 65 00 61 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 61 00 63 00 68 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 61 00 63 00 68 00 65 00 64 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 61 00 63 00 68 00 65 00 64 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 41 00 72 00 72 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 61 00 63 00 68 00 65 00 64 00 4A 00 53 00 4F 00 4E 00 41 00 72 00 72 00 61 00 79 00 00 00 }
	condition:
		$1
}

rule function_20492_0 {
	meta:
		name = "TDSCustomNativeRestProxyWriter.SupportsRequestFilter"
		size = 39
	strings:
		$1 = { 8B 42 04 85 C0 74 1B 85 C0 74 17 8B 50 08 83 C2 FE 83 EA 03 73 05 B2 01 8B C2 C3 8B 40 04 85 C0 75 E9 33 D2 8B C2 C3 }
	condition:
		$1
}

rule function_20494_0 {
	meta:
		name = "TDSCustomNativeRestProxyWriter.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TDSCustomProxyWriter.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 38 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78101_0 {
	meta:
		name = "TDdeClientItem.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TComponent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 38 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78123_0 {
	meta:
		name = "TDdeServerItem.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TComponent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 38 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30367_0 {
	meta:
		name = "TIBDataSetUpdateObject.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TComponent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 38 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49450_0 {
	meta:
		name = "TLinkedWebNode.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TComponent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 38 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26083_0 {
	meta:
		name = "TSimpleObjectBroker.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TComponent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 38 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97734_0 {
	meta:
		name = "TWebContainedComponent.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TComponent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 38 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97712_0 {
	meta:
		name = "TWebContainerComponent.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TComponent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 38 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_20495_0 {
	meta:
		name = "TDSCustomNativeRestProxyWriter.ExtendedIncludeMethod"
		size = 216
		refs = "0012 TDSCustomNativeRestProxyWriter.ExtendedIncludeMethod 002d TDSCustomNativeRestProxyWriter.GetSupportedTypes 0034 TList<System.Integer>.Contains 0054 @UStrLAsg 005f @WStrFromUStr 006a WideLowerCase 0077 @WStrEqual 00a4 @WStrArrayClr 00ac @UStrClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5A 04 85 DB 74 67 85 DB 74 63 8B 73 0C 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 84 C0 75 06 C6 45 FB 00 EB 4C 83 7B 08 04 75 3B 83 FE 1A 75 36 8D 45 FC 8B 53 14 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 06 C6 45 FB 00 EB 0B 8B 5B 04 85 DB 75 9D C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 00 0C 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_20496_0 {
	meta:
		name = "TDSCustomNativeRestProxyWriter.EnumClasses"
		size = 110
		refs = "000f @IntfAddRef 0017 TDSCustomNativeRestProxyWriter.EnumClasses 0024 TDSCustomProxyWriter.GetMetadata 005b @IntfClear 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 70 04 85 F6 74 19 8B D6 8B 45 FC 8B 08 FF 51 0C 84 C0 75 04 33 DB EB 09 8B 76 10 85 F6 75 E7 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_20497_0 {
	meta:
		name = "TDSCustomNativeRestProxyWriter.EnumMethods"
		size = 103
		refs = "000f @IntfAddRef 0017 TDSCustomNativeRestProxyWriter.EnumMethods 0054 @IntfClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 08 85 F6 74 19 8B D6 8B 45 FC 8B 08 FF 51 0C 84 C0 75 04 33 DB EB 09 8B 76 14 85 F6 75 E7 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_20498_0 {
	meta:
		name = "TDSCustomNativeRestProxyWriter.EnumParams"
		size = 103
		refs = "000f @IntfAddRef 0017 TDSCustomNativeRestProxyWriter.EnumParams 0054 @IntfClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 04 85 F6 74 19 8B D6 8B 45 FC 8B 08 FF 51 0C 84 C0 75 04 33 DB EB 09 8B 76 04 85 F6 75 E7 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_20499_0 {
	meta:
		name = "TDSCustomNativeRestProxyWriter.ExtendedIncludeCacheMethod"
		size = 108
		refs = "000e TDSCustomNativeRestProxyWriter.ExtendedIncludeCacheMethod 0027 @UStrClr 0032 TDSCustomNativeRestProxyWriter.IsCachableParameter 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7A 04 85 FF 74 26 85 FF 74 22 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 09 8B 7F 04 85 FF 75 DE 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_20500_0 {
	meta:
		name = "TDSCustomNativeRestProxyWriter.GetAncestor"
		size = 252
		refs = "000a TDSCustomNativeRestProxyWriter.GetAncestor 000f @UStrEqual 002c @UStrAsg"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 54 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 43 00 6C 00 69 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 54 00 44 00 53 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 43 00 6C 00 69 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 6C 00 69 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 54 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 52 00 65 00 73 00 74 00 43 00 6C 00 69 00 65 00 6E 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_20501_0 {
	meta:
		name = "TDSCustomNativeRestProxyWriter.GetSupportedTypes"
		size = 348
		refs = "0011 _DV_TList<System.Integer> 0016 TList<System.Integer>.Create 0027 TList<System.Integer>.Add"
	strings:
		$1 = { 53 56 8B D8 83 7B 38 00 0F 85 48 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 38 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 1A 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 04 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 1C 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 05 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 06 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 12 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 1D 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 0C 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 0D 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 13 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 07 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 1B 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 19 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 08 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 0B 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 18 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 25 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 15 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 1E 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 17 00 00 00 8B 43 38 E8 ?? ?? ?? ?? BA 21 00 00 00 8B 43 38 E8 ?? ?? ?? ?? 8B 43 38 5E 5B C3 }
	condition:
		$1
}

rule function_20502_0 {
	meta:
		name = "Finalization"
		size = 56
		refs = "0002 _DV_5 0009 Finalization 000e TDSProxyWriterFactory.UnregisterWriter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 65 00 6C 00 70 00 68 00 69 00 20 00 52 00 45 00 53 00 54 00 00 00 }
	condition:
		$1
}

rule function_20503_0 {
	meta:
		name = "Datasnap.DSProxyDelphiRest"
		size = 64
		refs = "0002 _DV_5 000b _DV_TDSClientProxyWriterDelphi 0010 Datasnap.DSProxyDelphiRest 0015 TDSProxyWriterFactory.RegisterWriter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 65 00 6C 00 70 00 68 00 69 00 20 00 52 00 45 00 53 00 54 00 00 00 }
	condition:
		$1
}

rule function_20943_0 {
	meta:
		name = "TDSProxyDispatcher.BuildAvailableProxies"
		size = 312
		refs = "0017 TDSProxyDispatcher.BuildAvailableProxies 0033 _DV_TDictionary<System.string,System.string> 0038 TDictionary<System.string,System.string>.Create 0046 TDSProxyWriterFactory.RegisteredWritersList 0061 @UStrLAsg 0069 TDSProxyWriterFactory.GetWriter 0093 TDictionary<System.string,System.string>.ContainsKey 00b3 TDictionary<System.string,System.string>.Add 00c8 TObject.Free 00ce @HandleFinally 00db @DynArrayLength 00ed TDBXStringArray 00f2 @DynArrayClear 0108 TDSProxyWriterProperties 0112 @FinalizeArray 0128 @UStrClr"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 78 58 00 0F 85 C8 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 42 58 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 EC E9 83 00 00 00 8D 45 FC 8B 55 F8 8B 4D EC 8B 14 8A E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 CC 8B 45 F0 8B 08 FF 51 08 8B 55 E4 8B 45 F4 8B 40 58 E8 ?? ?? ?? ?? 84 C0 75 1C 8D 55 AC 8B 45 F0 8B 08 FF 51 08 8B 55 C4 8B 45 F4 8B 40 58 8B 4D FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 EC 8B 45 F8 E8 ?? ?? ?? ?? 3B 45 EC 0F 8F 6C FF FF FF 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B E5 5D C3 }
	condition:
		$1
}

rule function_20949_0 {
	meta:
		name = "TDSProxyDispatcher.isSupportedProxy"
		size = 51
		refs = "0017 TDSProxyDispatcher.BuildAvailableProxies 001e @UStrClr 002a TDictionary<System.string,System.string>.TryGetValue"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B C3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 58 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_20950_0 {
	meta:
		name = "TDSProxyDispatcher.Notification"
		size = 39
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0A 3B 77 5C 75 05 33 C0 89 47 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_20951_0 {
	meta:
		name = "TDSProxyDispatcher.OnBeforeDispatch"
		size = 624
		refs = "001e TDSProxyDispatcher.OnBeforeDispatch 0040 WebApplicationDirectory 0055 ExtractFileName 0065 @UStrCatN 0087 TDSProxyDispatcher.GetLanguage 008f @UStrClr 009b TDSProxyDispatcher.isSupportedProxy 00af FileExists 00c6 FileAge 00d2 WebApplicationFileName 010b @UStrAsg 0115 DirectoryExists 0124 IncludeTrailingPathDelimiter 0132 @UStrCat3 016a TDSCustomProxyGenerator.WriterProperties 0193 TDSCustomProxyGenerator.FileDescriptions 01b1 TDSCustomProxyGenerator.Write 01b9 DeleteFile 01c6 TDSProxyDispatcher.CreateZipFile 01d5 @HandleOnException 01dd _Dn_Exception 01e6 @RaiseAgain 01eb @DoneExcept 0201 TDSProxyFileDescriptions 0206 @DynArrayClear 020f TDSProxyWriterProperties 0214 @FinalizeRecord 0221 @UStrArrayClr 0234 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 C6 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 D4 E8 ?? ?? ?? ?? FF 75 D4 FF 76 60 68 ?? ?? ?? ?? 8D 55 D0 8B C3 E8 ?? ?? ?? ?? FF 75 D0 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 83 7E 5C 00 0F 84 57 01 00 00 8D 55 CC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 CC 8D 4D FC 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 23 01 00 00 33 DB B2 01 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 02 B3 01 84 DB 75 3C 8D 55 E0 B1 01 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 25 8D 45 C8 E8 ?? ?? ?? ?? 8B 45 C8 8D 55 D8 B1 01 E8 ?? ?? ?? ?? 84 C0 74 0C DD 45 E0 DC 5D D8 9B DF E0 9E 72 04 33 DB EB 02 B3 01 84 DB 0F 84 C9 00 00 00 8B 46 5C 83 C0 50 8B 55 F8 E8 ?? ?? ?? ?? 8B 46 60 B2 01 E8 ?? ?? ?? ?? 84 C0 74 1B 8D 55 C4 8B 46 60 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F0 8B 4D FC E8 ?? ?? ?? ?? EB 23 8D 45 C0 E8 ?? ?? ?? ?? FF 75 C0 FF 76 60 68 ?? ?? ?? ?? FF 75 FC 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 55 A0 8B 46 5C E8 ?? ?? ?? ?? FF 75 B4 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 46 5C 83 C0 38 8B 55 EC E8 ?? ?? ?? ?? 8D 55 9C 8B 46 5C E8 ?? ?? ?? ?? 8B 45 9C 8B 48 04 8B 46 5C 83 C0 3C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 5C E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 5F 5E 5B 8B E5 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 00 00 }
	condition:
		$1
}

rule function_20952_0 {
	meta:
		name = "TDSProxyDispatcher.SetDSProxyGenerator"
		size = 20
		refs = "000f TObject.Free"
	strings:
		$1 = { 89 50 5C 83 C0 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_20953_0 {
	meta:
		name = "TDSProxyDispatcher.SetRequiredProxyFilesPath"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 60 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21140_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.GetCastType"
		size = 744
		refs = "000e TDSCustomConnectorProxyWriter.IsDBXValueTypeParameter 001c @UStrAsg 003e TDSCustomFreePascaliOSProxyWriter.GetCastType 0043 @UStrEqual 0167 @UStrCat3 0170 @UStrClr"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0F 8B C6 8B 53 14 E8 ?? ?? ?? ?? E9 4F 01 00 00 8B 43 0C 83 E8 17 0F 84 D4 00 00 00 83 E8 0E 0F 85 33 01 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1A 01 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FA 00 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DA 00 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BA 00 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9A 00 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7D 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6F 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 52 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 35 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 8B C6 8B 4B 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 41 00 72 00 72 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 54 00 72 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 46 00 61 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4E 00 75 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 44 00 53 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 44 00 42 00 58 00 52 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 4E 00 4B 00 4E 00 4F 00 57 00 4E 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_21143_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.WriteInterface"
		size = 812
		refs = "0013 TDSCustomFreePascaliOSProxyWriter.WriteInterface 001b TDSCustomProxyWriter.WriteLine 0038 TDSCustomProxyWriter.Indent 00bd TDSCustomProxyWriter.Outdent 00e1 _Dn_TStringList 00e6 TStringList.Create 00ff TDSCustomConnectorProxyWriter.GetFirstClass 010f TDSCustomConnectorProxyWriter.ExtendedIncludeClass 0144 TObject.Free 014a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC 8B 45 FC C6 40 61 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 25 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 10 8B 4D F8 8B D3 8B 45 FC 8B 30 FF 96 80 00 00 00 8B 5B 10 85 DB 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 75 00 6E 00 69 00 74 00 20 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 75 00 73 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 6C 00 61 00 73 00 73 00 65 00 73 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 42 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 44 00 53 00 52 00 45 00 53 00 54 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 42 00 58 00 46 00 50 00 43 00 4A 00 73 00 6F 00 6E 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 42 00 58 00 56 00 61 00 6C 00 75 00 65 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 42 00 58 00 46 00 50 00 43 00 43 00 6F 00 6D 00 6D 00 6F 00 6E 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 44 00 53 00 52 00 45 00 53 00 54 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2C 00 20 00 44 00 53 00 52 00 65 00 73 00 74 00 54 00 79 00 70 00 65 00 73 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_21146_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.WriteClassInitImplementation"
		size = 54
		refs = "0014 TDSCustomConnectorProxyWriter.ExtendedIncludeMethod"
		altNames = "TDSCustomObjectiveCiOSProxyWriter.WriteClassInitImplementation"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B 5F 08 85 DB 74 22 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0E 8B CB 8B D7 8B C6 8B 28 FF 95 98 00 00 00 8B 5B 14 85 DB 75 DE 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21147_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.WriteClassDeallocImplementation"
		size = 512
		refs = "0012 TDSCustomFreePascaliOSProxyWriter.WriteClassDeallocImplementation 0032 @UStrCatN 004f TDSCustomProxyWriter.Indent 005f TDSCustomConnectorProxyWriter.ExtendedIncludeMethod 00a9 TDSCustomProxyWriter.Outdent 00cf @UStrArrayClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 74 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 8B C6 E8 ?? ?? ?? ?? 8B 5F 08 85 DB 74 40 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2C 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 08 FF 51 74 8B 5B 14 85 DB 75 C0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 64 00 65 00 73 00 74 00 72 00 75 00 63 00 74 00 6F 00 72 00 20 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2E 00 44 00 65 00 73 00 74 00 72 00 6F 00 79 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 62 00 65 00 67 00 69 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 20 00 54 00 44 00 53 00 52 00 45 00 53 00 54 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 2E 00 72 00 65 00 6C 00 65 00 61 00 73 00 65 00 41 00 72 00 72 00 61 00 79 00 28 00 46 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 6E 00 68 00 65 00 72 00 69 00 74 00 65 00 64 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6E 00 64 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_21148_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.WriteParamImplementation"
		size = 1036
		refs = "0021 TDSCustomFreePascaliOSProxyWriter.WriteParamImplementation 0048 @UStrCatN 0087 TDSCustomProxyWriter.Indent 00f3 IntToStr 0158 QuotedStr 01c6 TDSCustomFreePascaliOSProxyWriter.GetFreePascalType 0205 TDSCustomProxyWriter.Outdent 023e @UStrArrayClr 0251 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 8B 08 FF 51 74 FF 77 04 68 ?? ?? ?? ?? FF 76 0C 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 8B 08 FF 51 74 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 74 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 77 04 68 ?? ?? ?? ?? FF 76 0C 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 8B 08 FF 51 74 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 74 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 E0 8B 46 24 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 8B 08 FF 51 74 33 C0 89 45 F0 8B 76 04 85 F6 0F 84 DC 00 00 00 FF 75 F4 68 ?? ?? ?? ?? 8D 55 DC 8B 45 F0 E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 8D 55 D8 8B 46 10 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 8D 4D D4 8B 56 08 8B C3 8B 38 FF 57 5C FF 75 D4 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 8D 4D D0 8B 56 0C 8B C3 8B 38 FF 57 6C FF 75 D0 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 8D 4D C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 C8 8D 55 CC E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 74 FF 45 F0 8B 76 04 85 F6 0F 85 24 FF FF FF 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 74 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 70 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 62 00 65 00 67 00 69 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 46 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 66 00 20 00 4C 00 65 00 6E 00 67 00 74 00 68 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 29 00 20 00 3D 00 20 00 30 00 20 00 74 00 68 00 65 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 74 00 4C 00 65 00 6E 00 67 00 74 00 68 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 2B 00 00 00 5D 00 20 00 3A 00 3D 00 20 00 54 00 44 00 53 00 52 00 45 00 53 00 54 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 2E 00 43 00 72 00 65 00 61 00 74 00 65 00 50 00 61 00 72 00 61 00 6D 00 28 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6E 00 64 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_21150_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.GetFreePascalType"
		size = 1688
		refs = "0014 TDSCustomFreePascaliOSProxyWriter.GetFreePascalType 002a @UStrAsg 0038 TDSCustomConnectorProxyWriter.IsDBXValueTypeParameter 0224 @UStrEqual 02aa @UStrCatN 032a _Dn_EDSProxyException 032f Exception.Create 0334 @RaiseExcept 034e @UStrArrayClr 0354 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 05 03 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0F 8B C6 8B 53 14 E8 ?? ?? ?? ?? E9 E9 02 00 00 8B 43 0C 83 F8 25 0F 87 A2 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2D 02 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1C 02 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0B 02 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FA 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E9 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D8 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C7 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B6 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A5 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 94 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 83 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 72 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 61 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 50 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3F 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2E 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1D 01 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 4B 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 3C 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 2D 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B C6 8B 53 14 E8 ?? ?? ?? ?? E9 B4 00 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A3 00 00 00 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 85 00 00 00 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 6A 8B C6 8B 53 14 E8 ?? ?? ?? ?? 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 16 E8 ?? ?? ?? ?? EB 3B 68 ?? ?? ?? ?? 8D 55 F8 8B C3 8B 08 FF 51 04 FF 75 F8 68 ?? ?? ?? ?? FF 73 14 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6E 00 69 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 53 00 74 00 72 00 65 00 61 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 6E 00 74 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 49 00 6E 00 74 00 38 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 74 00 31 00 36 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 49 00 6E 00 74 00 31 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 74 00 33 00 32 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 49 00 6E 00 74 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 74 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 49 00 6E 00 74 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 69 00 6E 00 67 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 75 00 72 00 72 00 65 00 6E 00 63 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 69 00 6E 00 74 00 65 00 67 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 41 00 72 00 72 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 54 00 72 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 46 00 61 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4E 00 75 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3F 00 3F 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 44 00 53 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 70 00 61 00 72 00 61 00 6D 00 20 00 74 00 79 00 70 00 65 00 20 00 66 00 6F 00 72 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_21151_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.GetGetter"
		size = 228
		refs = "0014 TDSCustomFreePascaliOSProxyWriter.GetGetter 0025 TDSCustomConnectorProxyWriter.GetGetter 0042 StringReplace 004c @UStrAsg 008d @UStrArrayClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 02 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 41 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 47 00 65 00 74 00 41 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_21154_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.GetSetter"
		size = 228
		refs = "0014 TDSCustomFreePascaliOSProxyWriter.GetSetter 0025 TDSCustomConnectorProxyWriter.GetSetter 0042 StringReplace 004c @UStrAsg 008d @UStrArrayClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 02 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 41 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 65 00 74 00 41 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_21155_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.WriteImplementation"
		size = 240
		refs = "0013 TDSCustomFreePascaliOSProxyWriter.WriteImplementation 002c _Dn_TStringList 0031 TStringList.Create 004a TDSCustomConnectorProxyWriter.GetFirstClass 005a TDSCustomConnectorProxyWriter.ExtendedIncludeClass 008c TObject.Free 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC 8B 45 FC C6 40 61 01 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 74 33 D2 8B 45 FC 8B 08 FF 51 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 22 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0D 8B 4D F8 8B D3 8B 45 FC 8B 30 FF 56 7C 8B 5B 10 85 DB 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 74 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6E 00 64 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_21156_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.WriteClassImplementation"
		size = 332
		refs = "001d TDSCustomFreePascaliOSProxyWriter.WriteClassImplementation 0049 @UStrCatN 0074 _Dn_TDBXStringBuffer 0079 TDBXStringBuffer.Create 009d TDSCustomConnectorProxyWriter.ExtendedIncludeMethod 00f6 TObject.Free 00fc @HandleFinally 0118 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 8B 08 FF 51 74 68 ?? ?? ?? ?? 8B 45 FC FF 70 04 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 8B 08 FF 51 74 8B 55 FC 8B C6 8B 08 FF 91 90 00 00 00 8B 55 FC 8B C6 8B 08 FF 91 94 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 58 08 85 DB 74 32 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1E 8B CB 8B 55 FC 8B C6 8B 38 FF 97 84 00 00 00 8B CB 8B 55 FC 8B C6 8B 38 FF 97 88 00 00 00 8B 5B 14 85 DB 75 CE 8D 55 EC 8B 45 F4 8B 08 FF 51 DC 8B 55 EC 8B 45 F8 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_21157_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.WriteClassInterface"
		size = 920
		refs = "0020 TDSCustomFreePascaliOSProxyWriter.WriteClassInterface 002d _Dn_TDBXStringBuffer 0032 TDBXStringBuffer.Create 0056 @UStrCat3 0073 TDSCustomProxyWriter.Indent 0086 TDSCustomConnectorProxyWriter.ExtendedIncludeMethod 00af @UStrCatN 00c7 TDSCustomProxyWriter.Outdent 01d3 TObject.Free 01d9 @HandleFinally 01f5 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 50 04 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C6 8B 08 FF 51 74 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 58 08 85 DB 74 43 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2F 68 ?? ?? ?? ?? 8B 45 FC FF 70 04 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 8B 08 FF 51 74 8B 5B 14 85 DB 75 BD 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 58 08 85 DB 74 43 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2F 68 ?? ?? ?? ?? 8B 45 FC FF 70 04 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 8B 08 FF 51 74 8B 5B 14 85 DB 75 BD 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 8B 45 FC 8B 58 08 85 DB 74 32 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1E 8B CB 8B 55 FC 8B C6 8B 38 FF 97 84 00 00 00 8B CB 8B 55 FC 8B C6 8B 38 FF 97 8C 00 00 00 8B 5B 14 85 DB 75 CE 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 8B C6 8B 10 FF 52 78 8D 55 E4 8B 45 F4 8B 08 FF 51 DC 8B 55 E4 8B 45 F8 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 12 00 00 00 20 00 3D 00 20 00 63 00 6C 00 61 00 73 00 73 00 28 00 54 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 70 00 72 00 69 00 76 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 46 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 3A 00 20 00 54 00 44 00 53 00 52 00 45 00 53 00 54 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 41 00 72 00 72 00 61 00 79 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 70 00 72 00 6F 00 74 00 65 00 63 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 70 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 64 00 65 00 73 00 74 00 72 00 75 00 63 00 74 00 6F 00 72 00 20 00 44 00 65 00 73 00 74 00 72 00 6F 00 79 00 3B 00 6F 00 76 00 65 00 72 00 72 00 69 00 64 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6E 00 64 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_21158_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.WriteGetterForOutputParams$18$ActRec.$0$Body"
		size = 580
		refs = "0017 TDSCustomFreePascaliOSProxyWriter.WriteGetterForOutputParams$18$ActRec.$0$Body 0025 @UStrClr 0037 TDSCustomConnectorProxyWriter.IsOutputParameter 0056 TDSCustomConnectorProxyWriter.IsDBXValueTypeParameter 0067 TDSCustomFreePascaliOSProxyWriter.GetCastType 0077 @UStrCat3 0097 IntToStr 00ac TDSCustomFreePascaliOSProxyWriter.GetGetter 00c4 @UStrCatN 00dc LowerCase 0149 @UStrArrayClr 014f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 14 E8 ?? ?? ?? ?? 85 F6 0F 84 FF 00 00 00 8B D6 8B 43 10 E8 ?? ?? ?? ?? 84 C0 0F 84 ED 00 00 00 8B 46 0C 83 E8 17 74 13 83 E8 0E 74 0E 8B D6 8B 43 10 E8 ?? ?? ?? ?? 84 C0 74 1D 8D 4D FC 8B D6 8B 43 10 E8 ?? ?? ?? ?? 8B 4D FC 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7E 08 04 75 54 33 D2 8B 43 10 8B 08 FF 51 74 68 ?? ?? ?? ?? 8D 55 F4 8B 43 0C E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 4D F0 8B D6 8B 43 10 E8 ?? ?? ?? ?? FF 75 F0 FF 73 14 68 ?? ?? ?? ?? 8D 45 F8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 10 8B 08 FF 51 74 EB 5B 8D 55 E8 8B 46 10 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 8B 43 0C E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 4D E0 8B D6 8B 43 10 E8 ?? ?? ?? ?? FF 75 E0 FF 73 14 68 ?? ?? ?? ?? 8D 45 EC BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 43 10 8B 08 FF 51 74 FF 43 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 61 00 73 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 3A 00 3D 00 20 00 63 00 6D 00 64 00 2E 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 2E 00 69 00 74 00 65 00 6D 00 73 00 5B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5D 00 2E 00 56 00 61 00 6C 00 75 00 65 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 3A 00 3D 00 20 00 20 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 20 00 63 00 6D 00 64 00 2E 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 2E 00 69 00 74 00 65 00 6D 00 73 00 5B 00 00 00 00 00 }
	condition:
		$1
}

rule function_21159_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.WriteGetterForOutputParams"
		size = 119
		refs = "0010 TDSCustomFreePascaliOSProxyWriter.WriteGetterForOutputParams 001d _DV_TDSCustomFreePascaliOSProxyWriter.WriteGetterForOutputParams$18$ActRec 0022 TObject.Create 0035 @IntfCopy 0050 TDSCustomConnectorProxyWriter.ForEachParameter 0065 @IntfClear 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 10 33 C0 89 43 0C 8B CB 85 C9 74 03 83 E9 E8 8B D7 8B 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_21161_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.WriteMethodComment"
		size = 644
		refs = "001b TDSCustomFreePascaliOSProxyWriter.WriteMethodComment 0052 @UStrLAsg 0065 @UStrClr 00de C_Conditional 00fd TDSCustomFreePascaliOSProxyWriter.GetFreePascalType 010d @UStrCatN 0148 @UStrArrayClr 015b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 78 8B 5B 04 85 DB 0F 84 FB 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 85 DB 0F 84 DB 00 00 00 8D 45 FC 8B 53 10 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 14 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C6 45 EF 00 83 7B 08 03 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 49 83 7B 08 02 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 34 83 7B 08 01 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1F 83 7B 08 04 75 19 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 EF 01 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 0F B6 45 EF E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F0 FF 75 FC FF 75 F4 68 ?? ?? ?? ?? 8D 4D E4 8B D3 8B C6 E8 ?? ?? ?? ?? FF 75 E4 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 8B 08 FF 51 74 8B 5B 04 85 DB 0F 85 25 FF FF FF BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 28 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 5B 00 69 00 6E 00 2F 00 6F 00 75 00 74 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 5B 00 6F 00 75 00 74 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 5B 00 69 00 6E 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 40 00 70 00 61 00 72 00 61 00 6D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 40 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 2A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 20 00 2D 00 20 00 54 00 79 00 70 00 65 00 20 00 6F 00 6E 00 20 00 73 00 65 00 72 00 76 00 65 00 72 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 2A 00 29 00 00 00 }
	condition:
		$1
}

rule function_21162_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.WriteMethodImplementation$22$ActRec.$0$Body"
		size = 324
		refs = "0013 TDSCustomFreePascaliOSProxyWriter.WriteMethodImplementation$22$ActRec.$0$Body 002b TDSCustomConnectorProxyWriter.IsInputParameter 0041 @UStrClr 0061 @UStrAsg 0087 LowerCase 009c TDSCustomFreePascaliOSProxyWriter.GetFreePascalType 00b1 @UStrCatN 00bc TDBXStringBuffer.Append 00d6 @UStrArrayClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 9B 00 00 00 8B D3 8B 46 18 E8 ?? ?? ?? ?? 84 C0 75 0A 83 7B 08 02 0F 85 83 00 00 00 8D 46 14 E8 ?? ?? ?? ?? 8D 46 10 E8 ?? ?? ?? ?? 8B 43 08 83 C0 FE 83 E8 03 73 0D 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 08 02 75 0D 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 76 14 68 ?? ?? ?? ?? 8D 55 F8 8B 43 10 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 4D F4 8B D3 8B 46 18 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 FC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 46 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 76 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6F 00 75 00 74 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_21163_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.WriteMethodImplementation"
		size = 1776
		refs = "0021 TDSCustomFreePascaliOSProxyWriter.WriteMethodImplementation 002e _DV_TDSCustomFreePascaliOSProxyWriter.WriteMethodImplementation$22$ActRec 0033 TObject.Create 0048 @IntfCopy 0055 _Dn_TDBXStringBuffer 005a TDBXStringBuffer.Create 0075 TDSProxyMethod.HasReturnValue 009b @UStrCatN 00a9 TDBXStringBuffer.Append 00f2 TDSCustomConnectorProxyWriter.ForEachParameter 010e @UStrAsg 0143 @UniqueStringU 0158 Trim 018b TDSCustomConnectorProxyWriter.GetReturnParam 0197 TDSCustomFreePascaliOSProxyWriter.GetFreePascalType 01cb @UStrCat3 01f4 TDSCustomProxyWriter.Indent 020f TDSCustomProxyWriter.Outdent 0262 TDSCustomFreePascaliOSProxyWriter.HasOnlyURLParams 02b0 QuotedStr 033b TDSCustomFreePascaliOSProxyWriter.WriteSetterForInputParams 0358 TDSCustomFreePascaliOSProxyWriter.WriteGetterForOutputParams 03dc TObject.Free 03e2 @HandleFinally 03fe @UStrArrayClr 0406 @IntfClear"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8D 45 FC 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F8 89 78 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 68 ?? ?? ?? ?? FF 76 04 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 40 0C E8 ?? ?? ?? ?? EB 30 68 ?? ?? ?? ?? FF 76 04 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 F0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 40 0C E8 ?? ?? ?? ?? 8B 4D F8 85 C9 74 03 83 E9 E4 8B 45 F8 8B 40 18 8B D3 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F8 8B 40 0C 8B 08 FF 51 DC 8B 55 EC 8B 45 F8 83 C0 14 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 14 8B C2 85 C0 74 05 83 E8 04 8B 00 8B 4D F8 8B 49 14 66 83 7C 41 FE 3B 75 1D 8B FA 85 FF 74 05 83 EF 04 8B 3F 8B 45 F8 83 C0 14 E8 ?? ?? ?? ?? 66 C7 44 78 FE 20 00 8D 55 E8 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 83 C0 14 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 47 8B 45 F8 FF 70 14 68 ?? ?? ?? ?? 8B 45 F8 8B 78 18 8B C7 8B D3 E8 ?? ?? ?? ?? 8B D0 8D 4D E0 8B C7 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B C7 8B 08 FF 51 74 EB 21 8B 45 F8 8B 50 14 8D 45 DC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 8B 40 18 8B 08 FF 51 74 8B 45 F8 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F8 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 18 8B D3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 F8 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 74 EB 10 8B 45 F8 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 74 68 ?? ?? ?? ?? FF 76 04 68 ?? ?? ?? ?? FF 73 0C 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 8D 55 D4 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F8 8B 40 18 8B 08 FF 51 74 FF 76 04 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 CC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F8 8B 40 18 8B 08 FF 51 74 68 ?? ?? ?? ?? FF 76 04 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 C8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F8 8B 40 18 8B 08 FF 51 74 8B 45 F8 8B 40 18 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F8 8B 40 18 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 70 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 76 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 63 00 6D 00 64 00 3A 00 20 00 54 00 44 00 53 00 52 00 65 00 73 00 74 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 62 00 65 00 67 00 69 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 63 00 6D 00 64 00 20 00 3A 00 3D 00 20 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2E 00 63 00 72 00 65 00 61 00 74 00 65 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 74 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 63 00 6D 00 64 00 2E 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 54 00 79 00 70 00 65 00 20 00 3A 00 3D 00 20 00 47 00 45 00 54 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 63 00 6D 00 64 00 2E 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 54 00 79 00 70 00 65 00 20 00 3A 00 3D 00 20 00 50 00 4F 00 53 00 54 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 6D 00 64 00 2E 00 74 00 65 00 78 00 74 00 20 00 3A 00 3D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 6D 00 64 00 2E 00 70 00 72 00 65 00 70 00 61 00 72 00 65 00 28 00 46 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2E 00 65 00 78 00 65 00 63 00 75 00 74 00 65 00 28 00 63 00 6D 00 64 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 66 00 69 00 6E 00 61 00 6C 00 6C 00 79 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6D 00 64 00 2E 00 66 00 72 00 65 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6E 00 64 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_21164_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.WriteMethodInterface$24$ActRec.$0$Body"
		size = 284
		refs = "0011 TDSCustomFreePascaliOSProxyWriter.WriteMethodInterface$24$ActRec.$0$Body 0025 TDSCustomConnectorProxyWriter.IsInputParameter 0037 @UStrClr 004f @UStrAsg 007a TDSCustomFreePascaliOSProxyWriter.GetFreePascalType 008f @UStrCatN 009a TDBXStringBuffer.Append 00b4 @UStrArrayClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 7F 8B D3 8B 46 14 E8 ?? ?? ?? ?? 84 C0 75 06 83 7B 08 02 75 6B 8D 46 10 E8 ?? ?? ?? ?? 8B 43 08 83 C0 FE 83 E8 03 73 0D 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 08 02 75 0D 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 76 10 FF 73 10 68 ?? ?? ?? ?? 8D 4D F8 8B D3 8B 46 14 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 46 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 76 00 61 00 72 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6F 00 75 00 74 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_21165_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.WriteMethodInterface"
		size = 680
		refs = "001d TDSCustomFreePascaliOSProxyWriter.WriteMethodInterface 002a _DV_TDSCustomFreePascaliOSProxyWriter.WriteMethodInterface$24$ActRec 002f TObject.Create 0044 @IntfCopy 0051 _Dn_TDBXStringBuffer 0056 TDBXStringBuffer.Create 0071 TDSProxyMethod.HasReturnValue 008f @UStrCatN 009d TDBXStringBuffer.Append 00de TDSCustomConnectorProxyWriter.ForEachParameter 00fa @UStrAsg 012f @UniqueStringU 0144 Trim 0177 TDSCustomConnectorProxyWriter.GetReturnParam 0183 TDSCustomFreePascaliOSProxyWriter.GetFreePascalType 01b7 @UStrCat3 01dd TObject.Free 01e3 @HandleFinally 01ff @UStrArrayClr 0207 @IntfClear"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8D 45 FC 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F8 89 70 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2A 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 40 0C E8 ?? ?? ?? ?? EB 28 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 40 0C E8 ?? ?? ?? ?? 8B 4D F8 85 C9 74 03 83 E9 E8 8B 45 F8 8B 40 14 8B D3 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F8 8B 40 0C 8B 08 FF 51 DC 8B 55 EC 8B 45 F8 83 C0 10 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 10 8B C2 85 C0 74 05 83 E8 04 8B 00 8B 4D F8 8B 49 10 66 83 7C 41 FE 3B 75 1D 8B F2 85 F6 74 05 83 EE 04 8B 36 8B 45 F8 83 C0 10 E8 ?? ?? ?? ?? 66 C7 44 70 FE 20 00 8D 55 E8 8B 45 F8 8B 40 10 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 83 C0 10 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 47 8B 45 F8 FF 70 10 68 ?? ?? ?? ?? 8B 45 F8 8B 70 14 8B C6 8B D3 E8 ?? ?? ?? ?? 8B D0 8D 4D E0 8B C6 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 8B 08 FF 51 74 EB 21 8B 45 F8 8B 50 10 8D 45 DC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 8B 40 14 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 70 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_21166_0 {
	meta:
		name = "TDSCustomFreePascaliOSProxyWriter.WriteSetterForInputParams$26$ActRec.$0$Body"
		size = 780
		refs = "0019 TDSCustomFreePascaliOSProxyWriter.WriteSetterForInputParams$26$ActRec.$0$Body 0029 TDSCustomConnectorProxyWriter.IsInputParameter 003b TDSCustomConnectorProxyWriter.IsDBXValueTypeParameter 0053 LowerCase 0068 @UStrCatN 007b TDSCustomProxyWriter.Indent 008b IntToStr 00c1 TDSCustomProxyWriter.Outdent 00f9 QuotedStr 014b TDSCustomFreePascaliOSProxyWriter.GetSetter 019b @UStrArrayClr 01a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 43 10 E8 ?? ?? ?? ?? 84 C0 0F 84 50 01 00 00 8B D6 8B 43 10 E8 ?? ?? ?? ?? 84 C0 0F 84 E3 00 00 00 68 ?? ?? ?? ?? 8D 55 F8 8B 46 10 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 10 8B 08 FF 51 74 8B 43 10 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B 43 0C E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 55 EC 8B 46 10 E8 ?? ?? ?? ?? FF 75 EC 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 10 8B 08 FF 51 74 8B 43 10 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 10 8B 08 FF 51 74 8B 43 10 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 8B 43 0C E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 55 E0 8B 46 14 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 43 10 8B 08 FF 51 74 8B 43 10 E8 ?? ?? ?? ?? FF 43 0C EB 5B 68 ?? ?? ?? ?? 8D 55 D8 8B 43 0C E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 4D D4 8B D6 8B 43 10 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8D 55 D0 8B 46 10 E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 43 10 8B 08 FF 51 74 FF 43 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 0C 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 69 00 66 00 20 00 61 00 73 00 73 00 69 00 67 00 6E 00 65 00 64 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 29 00 20 00 74 00 68 00 65 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 63 00 6D 00 64 00 2E 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 2E 00 69 00 74 00 65 00 6D 00 73 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 5D 00 2E 00 56 00 61 00 6C 00 75 00 65 00 2E 00 41 00 73 00 44 00 42 00 58 00 56 00 61 00 6C 00 75 00 65 00 3A 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 5D 00 2E 00 56 00 61 00 6C 00 75 00 65 00 2E 00 73 00 65 00 74 00 54 00 44 00 42 00 58 00 4E 00 75 00 6C 00 6C 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5D 00 2E 00 56 00 61 00 6C 00 75 00 65 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_21168_0 {
	meta:
		name = "TDSIOSProxyWriter.DerivedWrite"
		size = 204
		refs = "0012 TDSIOSProxyWriter.DerivedWrite 0042 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem 0082 IDSProxyWriter 008c @FinalizeArray 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 64 85 F6 74 0B 8B D7 8B C6 8B 08 FF 51 28 EB 42 0F B6 43 61 3C 01 75 1C 8D 4D FC BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 FC 8B D7 8B 08 FF 51 10 EB 1E 84 C0 75 1A 8D 4D F8 BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 F8 8B D7 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_21169_0 {
	meta:
		name = "TDSIOSProxyWriter.DerivedWriteLine"
		size = 196
		refs = "000f TDSIOSProxyWriter.DerivedWriteLine 003d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem 0079 IDSProxyWriter 0083 @FinalizeArray 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 64 85 F6 74 09 8B C6 8B 10 FF 52 3C EB 3E 0F B6 43 61 3C 01 75 1A 8D 4D FC BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 EB 1C 84 C0 75 18 8D 4D F8 BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_21170_0 {
	meta:
		name = "TDSIOSProxyWriter.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDSCustomProxyWriter.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 64 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21171_0 {
	meta:
		name = "TDSClientProxyWriterFreePascaliOS42.CreateProxyWriter"
		size = 17
		refs = "0003 _DV_TDSIOSProxyWriter 0008 TDSCustomConnectorProxyWriter.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 40 60 01 C3 }
	condition:
		$1
}

rule function_21173_0 {
	meta:
		name = "TDSClientProxyWriterFreePascaliOS42.Properties"
		size = 336
		refs = "0006 TDSClientProxyWriterFreePascaliOS42.Properties 000b @UStrAsg 003a @UStrClr 0056 TEncoding.GetUTF8"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 14 E8 ?? ?? ?? ?? 8D 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 43 1C E8 ?? ?? ?? ?? 89 43 0C 5B C3 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 2E 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 46 00 72 00 65 00 65 00 50 00 61 00 73 00 63 00 61 00 6C 00 5F 00 69 00 4F 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 53 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 2C 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 53 00 5F 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 66 00 72 00 65 00 65 00 70 00 61 00 73 00 63 00 61 00 6C 00 5F 00 69 00 6F 00 73 00 34 00 32 00 00 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_21174_0 {
	meta:
		name = "TDSClientProxyWriterFreePascaliOS50.Properties"
		size = 140
		refs = "0014 TDSClientProxyWriterFreePascaliOS50.Properties 0022 TDSClientProxyWriterFreePascaliOS42.Properties 002f @UStrAsg 0045 TDSProxyWriterProperties 004a @FinalizeRecord 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 E0 E8 ?? ?? ?? ?? 8D 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 66 00 72 00 65 00 65 00 70 00 61 00 73 00 63 00 61 00 6C 00 5F 00 69 00 6F 00 73 00 35 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_21175_0 {
	meta:
		name = "Finalization"
		size = 152
		refs = "0002 _DV_5 0009 Finalization 000e TDSProxyWriterFactory.UnregisterWriter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 14 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 46 00 72 00 65 00 65 00 50 00 61 00 73 00 63 00 61 00 6C 00 20 00 69 00 4F 00 53 00 20 00 34 00 2E 00 32 00 20 00 52 00 45 00 53 00 54 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 46 00 72 00 65 00 65 00 50 00 61 00 73 00 63 00 61 00 6C 00 20 00 69 00 4F 00 53 00 20 00 35 00 2E 00 30 00 20 00 52 00 45 00 53 00 54 00 00 00 }
	condition:
		$1
}

rule function_21176_0 {
	meta:
		name = "Datasnap.DSProxyFreePascal_iOS"
		size = 164
		refs = "0002 _DV_5 000b _DV_TDSClientProxyWriterFreePascaliOS42 0010 Datasnap.DSProxyFreePascal_iOS 0015 TDSProxyWriterFactory.RegisterWriter 001b _DV_TDSClientProxyWriterFreePascaliOS50"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 20 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 46 00 72 00 65 00 65 00 50 00 61 00 73 00 63 00 61 00 6C 00 20 00 69 00 4F 00 53 00 20 00 34 00 2E 00 32 00 20 00 52 00 45 00 53 00 54 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 46 00 72 00 65 00 65 00 50 00 61 00 73 00 63 00 61 00 6C 00 20 00 69 00 4F 00 53 00 20 00 35 00 2E 00 30 00 20 00 52 00 45 00 53 00 54 00 00 00 }
	condition:
		$1
}

rule function_21439_0 {
	meta:
		name = "TDSCustomJavaAndroidProxyWriter.WriteInterface"
		size = 192
		refs = "0004 TDSCustomJavaAndroidProxyWriter.WriteInterface 000b TDSCustomProxyWriter.WriteLine"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 24 00 00 00 70 00 61 00 63 00 6B 00 61 00 67 00 65 00 20 00 63 00 6F 00 6D 00 2E 00 65 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 2E 00 6A 00 61 00 76 00 61 00 61 00 6E 00 64 00 72 00 6F 00 69 00 64 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 6A 00 61 00 76 00 61 00 2E 00 75 00 74 00 69 00 6C 00 2E 00 44 00 61 00 74 00 65 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_21442_0 {
	meta:
		name = "TDSCustomJavaAndroidProxyWriter.GetJavaType"
		size = 1256
		refs = "0014 TDSCustomJavaAndroidProxyWriter.GetJavaType 002a @UStrAsg 0038 TDSCustomConnectorProxyWriter.IsDBXValueTypeParameter 01bd @UStrEqual 0240 @UStrCatN 029a _Dn_EDSProxyException 029f Exception.Create 02a4 @RaiseExcept 02be @UStrArrayClr 02c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 75 02 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0F 8B C6 8B 53 14 E8 ?? ?? ?? ?? E9 59 02 00 00 8B 43 0C 83 F8 25 0F 87 12 02 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 0D 00 04 06 07 09 0F 00 0C 02 06 07 00 00 00 00 08 08 00 00 00 11 10 0B 01 0A 05 05 00 00 00 03 00 00 00 0E ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C0 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AF 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9E 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8D 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7C 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6B 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5A 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 49 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 38 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 27 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 16 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 05 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F4 00 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 4B 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 3C 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 2D 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B C6 8B 53 14 E8 ?? ?? ?? ?? E9 8B 00 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7D 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 62 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 47 8B C6 8B 53 14 E8 ?? ?? ?? ?? EB 3B 68 ?? ?? ?? ?? 8D 55 F8 8B C3 8B 08 FF 51 04 FF 75 F8 68 ?? ?? ?? ?? FF 73 14 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 76 00 6F 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 53 00 74 00 72 00 65 00 61 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 69 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 6F 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 6C 00 6F 00 61 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 41 00 72 00 72 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 54 00 72 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 46 00 61 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4E 00 75 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3F 00 3F 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 70 00 61 00 72 00 61 00 6D 00 20 00 74 00 79 00 70 00 65 00 20 00 66 00 6F 00 72 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_21443_0 {
	meta:
		name = "TDSCustomJavaAndroidProxyWriter.WriteImplementation"
		size = 248
		refs = "000c TDSCustomJavaAndroidProxyWriter.WriteImplementation 001c TDSCustomProxyWriter.Indent 0023 _Dn_TStringList 0028 TStringList.Create 0041 TDSCustomConnectorProxyWriter.GetFirstClass 0051 TDSCustomConnectorProxyWriter.ExtendedIncludeClass 0083 TObject.Free 0089 @HandleFinally 0093 TDSCustomProxyWriter.Outdent"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 74 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 22 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0D 8B 4D F8 8B D3 8B 45 FC 8B 30 FF 56 7C 8B 5B 10 85 DB 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 74 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 20 00 63 00 6C 00 61 00 73 00 73 00 20 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 20 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_21444_0 {
	meta:
		name = "TDSCustomJavaAndroidProxyWriter.WriteClassImplementation"
		size = 712
		refs = "0020 TDSCustomJavaAndroidProxyWriter.WriteClassImplementation 002d _Dn_TDBXStringBuffer 0032 TDBXStringBuffer.Create 0060 @UStrCatN 0071 TDSCustomProxyWriter.Indent 00b2 TDSCustomProxyWriter.Outdent 00d1 TDSCustomConnectorProxyWriter.ExtendedIncludeMethod 00ef @UStrClr 0172 TObject.Free 0178 @HandleFinally 0194 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 ?? ?? ?? ?? 8B 45 F8 FF 70 04 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 8B 08 FF 51 74 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F8 FF 70 04 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 8B 08 FF 51 74 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 74 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 74 8B 45 F8 8B 70 08 85 F6 74 60 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4C 33 D2 8B C3 8B 08 FF 51 74 33 D2 8B C3 8B 08 FF 51 74 8D 45 FC E8 ?? ?? ?? ?? 50 8B CE 8B 55 F8 8B C3 8B 38 FF 97 84 00 00 00 8B CE 8B 55 F8 8B C3 8B 38 FF 97 80 00 00 00 8B 45 FC 50 8B CE 8B 55 F8 8B C3 8B 38 FF 97 88 00 00 00 8B 76 14 85 F6 75 A0 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 74 8B C3 8B 10 FF 52 78 8D 55 E4 8B 45 F0 8B 08 FF 51 DC 8B 55 E4 8B 45 F4 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 14 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 20 00 73 00 74 00 61 00 74 00 69 00 63 00 20 00 63 00 6C 00 61 00 73 00 73 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 20 00 65 00 78 00 74 00 65 00 6E 00 64 00 73 00 20 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 20 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 20 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 28 00 44 00 53 00 52 00 45 00 53 00 54 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 29 00 20 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 73 00 75 00 70 00 65 00 72 00 28 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_21445_0 {
	meta:
		name = "TDSCustomJavaAndroidProxyWriter.WriteGetterForOutputParams"
		size = 404
		refs = "0015 TDSCustomJavaAndroidProxyWriter.WriteGetterForOutputParams 0023 @UStrClr 002d TDSCustomConnectorProxyWriter.GetReturnParam 0049 TDSCustomConnectorProxyWriter.IsDBXValueTypeParameter 0059 TDSCustomJavaAndroidProxyWriter.GetCastType 0075 IntToStr 009e @UStrCatN 00d0 @UStrArrayClr 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 77 8B 46 0C 83 E8 17 74 12 83 E8 0E 74 0D 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 8B 40 24 48 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 4D EC 8B D6 8B C3 8B 30 FF 56 58 FF 75 EC 68 ?? ?? ?? ?? 8D 45 F4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 8B 08 FF 51 74 EB 0C BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 20 00 63 00 6D 00 64 00 2E 00 67 00 65 00 74 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 29 00 2E 00 67 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 28 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 3B 00 00 00 }
	condition:
		$1
}

rule function_21447_0 {
	meta:
		name = "TDSCustomJavaAndroidProxyWriter.WriteGetterForOutputParams"
		size = 280
		refs = "0017 TDSCustomJavaAndroidProxyWriter.WriteGetterForOutputParams 0024 _DV_TDSCustomJavaAndroidProxyWriter.WriteGetterForOutputParams$10$ActRec 0029 TObject.Create 003c @IntfCopy 0058 @UStrCatN 007c TDSCustomConnectorProxyWriter.ForEachParameter 009e @UStrClr 00a6 @IntfClear 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 14 57 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 14 8B 08 FF 51 74 33 C0 89 43 0C 8B CB 85 C9 74 03 83 E9 E8 8B 55 F8 8B 43 14 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 14 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 72 00 65 00 74 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 28 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 72 00 65 00 74 00 3B 00 00 00 }
	condition:
		$1
}

rule function_21450_0 {
	meta:
		name = "TDSCustomJavaAndroidProxyWriter.WriteMethodImplementation"
		size = 1408
		refs = "0022 TDSCustomJavaAndroidProxyWriter.WriteMethodImplementation 002f _DV_TDSCustomJavaAndroidProxyWriter.WriteMethodImplementation$13$ActRec 0034 TObject.Create 0049 @IntfCopy 006e TDSCustomConnectorProxyWriter.IsProcedure 0089 @UStrClr 00ab _Dn_TDBXStringBuffer 00b0 TDBXStringBuffer.Create 00ec @UStrCatN 00f6 TDBXStringBuffer.Append 010a TDSCustomConnectorProxyWriter.GetReturnParam 011a TDSCustomJavaAndroidProxyWriter.GetJavaType 0158 TDSCustomConnectorProxyWriter.ForEachInputParameter 0173 @UStrCat 018c TDSCustomProxyWriter.Indent 01a9 TDSCustomConnectorProxyWriter.HasOnlyURLParams 0237 TDSCustomJavaAndroidProxyWriter.WriteSetterForInputParams 025b TDSCustomJavaAndroidProxyWriter.WriteGetterForOutputParams 0275 TDSCustomProxyWriter.Outdent 029d TObject.Free 02a3 @HandleFinally 02bf @UStrArrayClr 02c7 @IntfClear"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 45 F8 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 8B FB 89 78 0C 8B C7 8B D6 8B 08 FF 51 64 8B D8 83 FB 02 7D 18 8B 45 F0 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 84 C0 74 03 4B 74 04 33 C0 EB 02 B0 01 8B D8 84 DB 74 1C 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 F0 8B 40 0C 8B CE 8B 55 F4 8B 38 FF 97 8C 00 00 00 8B 45 F0 C6 40 14 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 F0 89 78 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 2E 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 76 0C 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? EB 49 68 ?? ?? ?? ?? 8B 45 F0 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 8B D0 8D 4D E4 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? FF 76 0C 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C7 E8 ?? ?? ?? ?? 8B 4D F0 85 C9 74 03 83 E9 E8 8B 45 F0 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F0 8B 40 10 8B 08 FF 51 DC 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F0 8B 40 0C 8B 08 FF 51 74 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F0 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 EB 10 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 68 ?? ?? ?? ?? 8B 45 F4 FF 70 04 68 ?? ?? ?? ?? FF 76 0C 68 ?? ?? ?? ?? 8D 45 DC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F0 8B 40 0C 8B 08 FF 51 74 68 ?? ?? ?? ?? FF 75 08 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F0 8B 40 0C 8B 08 FF 51 74 8B 45 F0 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 84 DB 74 12 8B 45 F0 8B 40 0C 8B 4D FC 8B D6 E8 ?? ?? ?? ?? EB 0D 8B 45 F0 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C BA ?? ?? ?? ?? 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 40 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 29 00 20 00 74 00 68 00 72 00 6F 00 77 00 73 00 20 00 44 00 42 00 58 00 45 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 20 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 34 00 00 00 44 00 53 00 52 00 45 00 53 00 54 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 20 00 63 00 6D 00 64 00 20 00 3D 00 20 00 67 00 65 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 28 00 29 00 2E 00 43 00 72 00 65 00 61 00 74 00 65 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 28 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2A 00 00 00 63 00 6D 00 64 00 2E 00 73 00 65 00 74 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 54 00 79 00 70 00 65 00 28 00 44 00 53 00 48 00 54 00 54 00 50 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 54 00 79 00 70 00 65 00 2E 00 47 00 45 00 54 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2B 00 00 00 63 00 6D 00 64 00 2E 00 73 00 65 00 74 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 54 00 79 00 70 00 65 00 28 00 44 00 53 00 48 00 54 00 54 00 50 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 54 00 79 00 70 00 65 00 2E 00 50 00 4F 00 53 00 54 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 6D 00 64 00 2E 00 73 00 65 00 74 00 54 00 65 00 78 00 74 00 28 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 6D 00 64 00 2E 00 70 00 72 00 65 00 70 00 61 00 72 00 65 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 28 00 29 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 67 00 65 00 74 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 28 00 29 00 2E 00 65 00 78 00 65 00 63 00 75 00 74 00 65 00 28 00 63 00 6D 00 64 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_21451_0 {
	meta:
		name = "TDSCustomJavaAndroidProxyWriter.WriteMethodParametersMetadata"
		size = 1220
		refs = "002c TDSCustomJavaAndroidProxyWriter.WriteMethodParametersMetadata 004f @UStrCatN 009e TDSCustomProxyWriter.Indent 00d9 @UStrCat3 01ac TDSCustomProxyWriter.Outdent 022c @UStrArrayClr 0232 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 8B FA 8B F0 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 77 04 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 8B 08 FF 51 74 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 8B 08 FF 51 74 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 8B 08 FF 51 74 8B C6 E8 ?? ?? ?? ?? 8D 45 E8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E8 8B C6 8B 08 FF 51 74 8B C6 E8 ?? ?? ?? ?? 8B 5B 04 85 DB 0F 84 B0 00 00 00 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 8D 4D E4 8B 53 08 8B C6 8B 38 FF 57 5C FF 75 E4 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 8D 4D E0 8B 53 0C 8B C6 8B 38 FF 57 6C FF 75 E0 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B C6 8B 08 FF 51 74 8B 5B 04 85 DB 0F 85 50 FF FF FF 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B C6 8B 08 FF 51 74 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 8B 45 08 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 5F 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 70 00 72 00 69 00 76 00 61 00 74 00 65 00 20 00 44 00 53 00 52 00 45 00 53 00 54 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 5B 00 5D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 70 00 72 00 69 00 76 00 61 00 74 00 65 00 20 00 44 00 53 00 52 00 45 00 53 00 54 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 5B 00 5D 00 20 00 67 00 65 00 74 00 5F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 28 00 29 00 20 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 69 00 66 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 3D 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 20 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 44 00 53 00 52 00 45 00 53 00 54 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 5B 00 5D 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 2C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 6E 00 65 00 77 00 20 00 44 00 53 00 52 00 45 00 53 00 54 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 7D 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 67 00 65 00 74 00 5F 00 00 00 00 00 }
	condition:
		$1
}

rule function_21452_0 {
	meta:
		name = "TDSCustomJavaAndroidProxyWriter.WriteSetterForInputParams$16$ActRec.$0$Body"
		size = 772
		refs = "0018 TDSCustomJavaAndroidProxyWriter.WriteSetterForInputParams$16$ActRec.$0$Body 0028 TDSCustomConnectorProxyWriter.IsInputParameter 003a TDSCustomConnectorProxyWriter.IsDBXValueTypeParameter 005c @UStrCatN 006f TDSCustomProxyWriter.Indent 007f IntToStr 00b4 TDSCustomProxyWriter.Outdent 0185 @UStrArrayClr 018b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 43 10 E8 ?? ?? ?? ?? 84 C0 0F 84 3B 01 00 00 8B D6 8B 43 10 E8 ?? ?? ?? ?? 84 C0 0F 84 D9 00 00 00 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 10 8B 08 FF 51 74 8B 43 10 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F4 8B 43 0C E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 F8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 10 8B 08 FF 51 74 8B 43 10 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 10 8B 08 FF 51 74 8B 43 10 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 EC 8B 43 0C E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? FF 76 14 68 ?? ?? ?? ?? 8D 45 F0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 43 10 8B 08 FF 51 74 8B 43 10 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 10 8B 08 FF 51 74 FF 43 0C EB 50 68 ?? ?? ?? ?? 8D 55 E4 8B 43 0C E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 4D E0 8B D6 8B 43 10 8B 38 FF 57 54 FF 75 E0 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? 8D 45 E8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 43 10 8B 08 FF 51 74 FF 43 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 69 00 66 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 21 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 20 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 6D 00 64 00 2E 00 67 00 65 00 74 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 28 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 29 00 2E 00 67 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 65 00 74 00 41 00 73 00 44 00 42 00 58 00 56 00 61 00 6C 00 75 00 65 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 7D 00 20 00 65 00 6C 00 73 00 65 00 20 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 29 00 2E 00 67 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 28 00 29 00 2E 00 53 00 65 00 74 00 54 00 44 00 42 00 58 00 4E 00 75 00 6C 00 6C 00 28 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 }
	condition:
		$1
}

rule function_21455_0 {
	meta:
		name = "TDSCustomJavaAndroidProxyWriter.WriteResultObjectClass"
		size = 344
		refs = "001d TDSCustomJavaAndroidProxyWriter.WriteResultObjectClass 002a _DV_TDSCustomJavaAndroidProxyWriter.WriteResultObjectClass$18$ActRec 002f TObject.Create 0042 @IntfCopy 0055 @UStrCat3 0071 @UStrCatN 0084 TDSCustomProxyWriter.Indent 0097 TDSCustomConnectorProxyWriter.ForEachOutputParameter 009f TDSCustomProxyWriter.Outdent 00c1 @UStrClr 00c9 @IntfClear 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F0 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 0C 8B 57 0C 8B 45 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 FF 30 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 0C 8B 08 FF 51 74 8B 43 0C E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 EC 8B D7 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 0C 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 65 00 74 00 75 00 72 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 20 00 73 00 74 00 61 00 74 00 69 00 63 00 20 00 63 00 6C 00 61 00 73 00 73 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_21456_0 {
	meta:
		name = "TDSJavaAndroidProxyWriter.DerivedWrite"
		size = 152
		refs = "0010 TDSJavaAndroidProxyWriter.DerivedWrite 0038 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 60 85 FF 74 0B 8B D6 8B C7 8B 08 FF 51 28 EB 1A 8D 4D FC BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_21727_0 {
	meta:
		name = "TDSJavaBlackBerryProxyWriter.DerivedWrite"
		size = 152
		refs = "0010 TDSJavaBlackBerryProxyWriter.DerivedWrite 0038 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 60 85 FF 74 0B 8B D6 8B C7 8B 08 FF 51 28 EB 1A 8D 4D FC BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_22012_0 {
	meta:
		name = "TDSJavaScriptProxyWriter.DerivedWrite"
		size = 152
		refs = "0010 TDSJavaScriptProxyWriter.DerivedWrite 0038 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 60 85 FF 74 0B 8B D6 8B C7 8B 08 FF 51 28 EB 1A 8D 4D FC BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_21457_0 {
	meta:
		name = "TDSJavaAndroidProxyWriter.DerivedWriteLine"
		size = 144
		refs = "000d TDSJavaAndroidProxyWriter.DerivedWriteLine 0033 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 60 85 F6 74 09 8B C6 8B 10 FF 52 3C EB 18 8D 4D FC BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_21728_0 {
	meta:
		name = "TDSJavaBlackBerryProxyWriter.DerivedWriteLine"
		size = 144
		refs = "000d TDSJavaBlackBerryProxyWriter.DerivedWriteLine 0033 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 60 85 F6 74 09 8B C6 8B 10 FF 52 3C EB 18 8D 4D FC BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_22013_0 {
	meta:
		name = "TDSJavaScriptProxyWriter.DerivedWriteLine"
		size = 144
		refs = "000d TDSJavaScriptProxyWriter.DerivedWriteLine 0033 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 60 85 F6 74 09 8B C6 8B 10 FF 52 3C EB 18 8D 4D FC BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_21458_0 {
	meta:
		name = "TDSJavaAndroidProxyWriter.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDSCustomProxyWriter.Destroy 002d @ClassDestroy"
		altNames = "TDSJavaScriptProxyWriter.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 60 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98312_0 {
	meta:
		name = "TCustomWebDataModule.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TDataModule.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 60 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_21460_0 {
	meta:
		name = "TDSClientProxyWriterJavaAndroid.FileDescriptions"
		size = 124
		refs = "000e TDSProxyFileDescriptions 0013 @DynArraySetLength 001d TDSClientProxyWriterJavaAndroid.FileDescriptions 0022 @UStrAsg"
	strings:
		$1 = { 53 8B DA 6A 01 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2E 00 6A 00 61 00 76 00 61 00 00 00 }
	condition:
		$1
}

rule function_21724_0 {
	meta:
		name = "TDSClientProxyWriterJavaBlackBerry.FileDescriptions"
		size = 124
		refs = "000e TDSProxyFileDescriptions 0013 @DynArraySetLength 001d TDSClientProxyWriterJavaBlackBerry.FileDescriptions 0022 @UStrAsg"
	strings:
		$1 = { 53 8B DA 6A 01 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2E 00 6A 00 61 00 76 00 61 00 00 00 }
	condition:
		$1
}

rule function_21461_0 {
	meta:
		name = "TDSClientProxyWriterJavaAndroid.Properties"
		size = 392
		refs = "0006 TDSClientProxyWriterJavaAndroid.Properties 000b @UStrAsg 005b TEncoding.GetUTF8"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 43 1C E8 ?? ?? ?? ?? 89 43 0C 5B C3 B0 04 02 00 FF FF FF FF 1B 00 00 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 2E 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 4A 00 61 00 76 00 61 00 41 00 6E 00 64 00 72 00 6F 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 53 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 2C 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 53 00 5F 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 63 00 6F 00 6D 00 5C 00 65 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 5C 00 6A 00 61 00 76 00 61 00 61 00 6E 00 64 00 72 00 6F 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6A 00 61 00 76 00 61 00 5F 00 61 00 6E 00 64 00 72 00 6F 00 69 00 64 00 00 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_21462_0 {
	meta:
		name = "Finalization"
		size = 72
		refs = "0002 _DV_4 0009 Finalization 000e TDSProxyWriterFactory.UnregisterWriter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 13 00 00 00 4A 00 61 00 76 00 61 00 20 00 28 00 41 00 6E 00 64 00 72 00 6F 00 69 00 64 00 29 00 20 00 52 00 45 00 53 00 54 00 00 00 }
	condition:
		$1
}

rule function_21463_0 {
	meta:
		name = "Datasnap.DSProxyJavaAndroid"
		size = 80
		refs = "0002 _DV_4 000b _DV_TDSClientProxyWriterJavaAndroid 0010 Datasnap.DSProxyJavaAndroid 0015 TDSProxyWriterFactory.RegisterWriter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 4A 00 61 00 76 00 61 00 20 00 28 00 41 00 6E 00 64 00 72 00 6F 00 69 00 64 00 29 00 20 00 52 00 45 00 53 00 54 00 00 00 }
	condition:
		$1
}

rule function_21725_0 {
	meta:
		name = "TDSClientProxyWriterJavaBlackBerry.Properties"
		size = 412
		refs = "0006 TDSClientProxyWriterJavaBlackBerry.Properties 000b @UStrAsg 005b TEncoding.GetUTF8"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 43 1C E8 ?? ?? ?? ?? 89 43 0C 5B C3 B0 04 02 00 FF FF FF FF 1E 00 00 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 2E 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 4A 00 61 00 76 00 61 00 42 00 6C 00 61 00 63 00 6B 00 42 00 65 00 72 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 53 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 2C 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 53 00 5F 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 63 00 6F 00 6D 00 5C 00 65 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 5C 00 6A 00 61 00 76 00 61 00 62 00 6C 00 61 00 63 00 6B 00 62 00 65 00 72 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 6A 00 61 00 76 00 61 00 5F 00 62 00 6C 00 61 00 63 00 6B 00 62 00 65 00 72 00 72 00 79 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_21726_0 {
	meta:
		name = "TDSCustomJavaBlackBerryProxyWriter.WriteInterface"
		size = 196
		refs = "0004 TDSCustomJavaBlackBerryProxyWriter.WriteInterface 000b TDSCustomProxyWriter.WriteLine"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 27 00 00 00 70 00 61 00 63 00 6B 00 61 00 67 00 65 00 20 00 63 00 6F 00 6D 00 2E 00 65 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 2E 00 6A 00 61 00 76 00 61 00 62 00 6C 00 61 00 63 00 6B 00 62 00 65 00 72 00 72 00 79 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 6A 00 61 00 76 00 61 00 2E 00 75 00 74 00 69 00 6C 00 2E 00 44 00 61 00 74 00 65 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_21729_0 {
	meta:
		name = "Finalization"
		size = 80
		refs = "0002 _DV_1 0009 Finalization 000e TDSProxyWriterFactory.UnregisterWriter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 17 00 00 00 4A 00 61 00 76 00 61 00 20 00 28 00 42 00 6C 00 61 00 63 00 6B 00 20 00 42 00 65 00 72 00 72 00 79 00 29 00 20 00 52 00 45 00 53 00 54 00 00 00 }
	condition:
		$1
}

rule function_21730_0 {
	meta:
		name = "Datasnap.DSProxyJavaBlackBerry"
		size = 88
		refs = "0002 _DV_1 000b _DV_TDSClientProxyWriterJavaBlackBerry 0010 Datasnap.DSProxyJavaBlackBerry 0015 TDSProxyWriterFactory.RegisterWriter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 4A 00 61 00 76 00 61 00 20 00 28 00 42 00 6C 00 61 00 63 00 6B 00 20 00 42 00 65 00 72 00 72 00 79 00 29 00 20 00 52 00 45 00 53 00 54 00 00 00 }
	condition:
		$1
}

rule function_21990_0 {
	meta:
		name = "TDSCustomJavaScriptProxyWriter.GetSupportedTypes"
		size = 405
		refs = "0020 TDBXInt32s 0025 @DynArraySetLength 018c @DynArrayAsg"
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 8B F4 83 7B 38 00 0F 85 6C 01 00 00 6A 18 8D 43 38 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 06 8B 06 FF 06 8B 53 38 C7 04 82 01 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 1A 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 04 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 1C 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 05 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 06 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 12 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 1D 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 0C 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 0D 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 13 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 07 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 1B 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 19 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 08 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 02 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 0B 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 0A 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 18 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 25 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 15 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 1E 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 17 00 00 00 8B 06 FF 06 8B 53 38 C7 04 82 21 00 00 00 8B C7 8B 53 38 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_21991_0 {
	meta:
		name = "TDSCustomJavaScriptProxyWriter.GetNonURLTypes"
		size = 210
		refs = "001d TDBXInt32s 0022 @DynArraySetLength 00ca @DynArrayAsg"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 83 7B 3C 00 0F 85 AD 00 00 00 6A 09 8D 43 3C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 04 24 8B 04 24 FF 04 24 8B 53 3C C7 04 82 25 00 00 00 8B 04 24 FF 04 24 8B 53 3C C7 04 82 1E 00 00 00 8B 04 24 FF 04 24 8B 53 3C C7 04 82 17 00 00 00 8B 04 24 FF 04 24 8B 53 3C C7 04 82 09 00 00 00 8B 04 24 FF 04 24 8B 53 3C C7 04 82 0F 00 00 00 8B 04 24 FF 04 24 8B 53 3C C7 04 82 15 00 00 00 8B 04 24 FF 04 24 8B 53 3C C7 04 82 1F 00 00 00 8B 04 24 FF 04 24 8B 53 3C C7 04 82 03 00 00 00 8B 04 24 FF 04 24 8B 53 3C C7 04 82 21 00 00 00 8B C6 8B 53 3C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_21992_0 {
	meta:
		name = "TDSCustomJavaScriptProxyWriter.Create"
		size = 336
		refs = "000a @ClassCreate 0016 TDSCustomJavaScriptProxyWriter.Create 001b @UStrAsg 0072 TDSCustomProxyWriter.Create 0081 @UStrClr 008c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 14 02 00 00 00 8D 46 10 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 75 00 70 00 64 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 61 00 63 00 63 00 65 00 70 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 61 00 6E 00 63 00 65 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_21999_0 {
	meta:
		name = "TDSCustomJavaScriptProxyWriter.ExtendedIncludeClass"
		size = 116
		refs = "0018 TDSCustomJavaScriptProxyWriter.ExtendedIncludeClass 001d CompareText"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B D3 8B C6 8B 08 FF 51 20 84 C0 74 34 8B 53 04 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 04 33 DB EB 21 8B 7B 08 85 FF 74 18 8B D7 8B C6 8B 08 FF 51 58 84 C0 74 04 B3 01 EB 09 8B 7F 14 85 FF 75 E8 33 DB 8B C3 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 53 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_22001_0 {
	meta:
		name = "TDSCustomJavaScriptProxyWriter.ExtendedIncludeMethod"
		size = 272
		refs = "0016 TDSCustomJavaScriptProxyWriter.ExtendedIncludeMethod 0076 @UStrLAsg 0081 @WStrFromUStr 008c WideLowerCase 0099 @WStrEqual 00cc @WStrArrayClr 00d5 TDBXInt32s 00da @DynArrayClear 00e2 @UStrClr 00e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 8B 08 FF 51 24 84 C0 0F 84 81 00 00 00 8B 5B 04 85 DB 74 74 85 DB 74 70 8B 43 0C 89 45 F4 8D 55 F0 8B C6 8B 08 FF 51 40 8B 55 F0 8B 4D F4 8B C6 8B 38 FF 57 54 84 C0 75 06 C6 45 FB 00 EB 53 83 7B 08 04 75 3C 83 7D F4 1A 75 36 8D 45 FC 8B 53 14 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 06 C6 45 FB 00 EB 11 8B 5B 04 85 DB 75 90 C6 45 FB 01 EB 04 C6 45 FB 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 00 00 00 0C 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_22003_0 {
	meta:
		name = "TDSCustomJavaScriptProxyWriter.WriteImplementation"
		size = 133
		refs = "000c _Dn_TStringList 0011 TStringList.Create 001c TDSCustomJavaScriptProxyWriter.WriteImplementation 0073 TObject.Free 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C6 8B 10 FF 52 5C 8B D8 85 DB 74 20 8B D3 8B C6 8B 08 FF 51 50 84 C0 74 0C 8B 4D FC 8B D3 8B C6 8B 38 FF 57 64 8B 5B 10 85 DB 75 E0 8B 55 FC 8B C6 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22004_0 {
	meta:
		name = "TDSCustomJavaScriptProxyWriter.WriteProxyClassList"
		size = 288
		refs = "0017 TDSCustomJavaScriptProxyWriter.WriteProxyClassList 0030 TDSCustomProxyWriter.Indent 006a @UStrCat 0081 TDSCustomProxyWriter.Outdent 00a9 @UStrClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 48 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 48 85 C0 7C 3D 40 89 45 F4 33 DB 8D 4D FC 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 45 F8 8B 10 FF 52 14 48 3B D8 7D 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 48 43 FF 4D F4 75 C9 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 48 8B C6 8B 10 FF 52 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 18 00 00 00 76 00 61 00 72 00 20 00 4A 00 53 00 50 00 72 00 6F 00 78 00 79 00 43 00 6C 00 61 00 73 00 73 00 4C 00 69 00 73 00 74 00 20 00 3D 00 20 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 7D 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_22005_0 {
	meta:
		name = "TDSCustomJavaScriptProxyWriter.WriteClassImplementation"
		size = 804
		refs = "0022 TDSCustomJavaScriptProxyWriter.WriteClassImplementation 002f _Dn_TDBXStringBuffer 0034 TDBXStringBuffer.Create 0062 @UStrCatN 006d TDBXStringBuffer.Append 00a7 TDSCustomProxyWriter.Indent 014b TDSCustomProxyWriter.Outdent 019b TObject.Free 01a1 @HandleFinally 01bd @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 ?? ?? ?? ?? 8B 45 FC FF 70 04 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC FF 70 04 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 8B 08 FF 51 48 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 48 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC FF 70 04 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 8B 08 FF 51 48 8B 45 FC 8B 58 08 C6 45 F3 01 85 DB 74 68 8B D3 8B C6 8B 08 FF 51 58 84 C0 74 54 80 7D F3 00 75 0D BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8B CB 8B 55 FC 8B C6 8B 38 FF 57 70 8B CB 8B 55 FC 8B C6 8B 38 FF 57 74 C6 45 F3 00 8B 5B 14 85 DB 75 98 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 48 8B C6 8B 10 FF 52 4C BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 F4 8B 08 FF 51 DC 8B 55 DC 8B 45 F8 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 22 00 3A 00 20 00 5B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 28 00 63 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 49 00 6E 00 66 00 6F 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 74 00 68 00 69 00 73 00 2E 00 65 00 78 00 65 00 63 00 75 00 74 00 6F 00 72 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 46 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 45 00 78 00 65 00 63 00 75 00 74 00 6F 00 72 00 28 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 22 00 2C 00 63 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 49 00 6E 00 66 00 6F 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 }
	condition:
		$1
}

rule function_22006_0 {
	meta:
		name = "TDSCustomJavaScriptProxyWriter.HasOnlyURLParams"
		size = 194
		refs = "001a TDSCustomJavaScriptProxyWriter.HasOnlyURLParams 00a1 TDBXInt32s 00ab @FinalizeArray 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D F0 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 83 7D FC 00 74 06 8B 45 FC 8B 58 04 85 DB 74 55 83 7B 08 03 74 06 83 7B 08 01 75 42 8B 43 0C 89 45 F4 8D 55 F0 8B C6 8B 08 FF 51 40 8B 55 F0 8B 4D F4 8B C6 8B 38 FF 57 54 84 C0 74 1B 8D 55 EC 8B C6 8B 08 FF 51 44 8B 55 EC 8B 4D F4 8B C6 8B 38 FF 57 54 84 C0 74 06 C6 45 FB 00 EB 0B 8B 5B 04 85 DB 75 AB C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22008_0 {
	meta:
		name = "TDSCustomJavaScriptProxyWriter.GetMethodRequestType"
		size = 504
		refs = "0020 TDSCustomJavaScriptProxyWriter.GetMethodRequestType 0031 @UStrLAsg 0052 AnsiStartsText 007d @UStrAsg 012e CompareText 01b4 TDBXInt32s 01b9 @DynArrayClear 01c6 @UStrArrayClr 01cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 0C E8 ?? ?? ?? ?? 8D 45 F8 8B 53 54 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 2C 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 53 54 85 D2 74 05 83 EA 04 8B 12 3B D0 7D 10 8B 45 08 8B 53 48 E8 ?? ?? ?? ?? E9 1C 01 00 00 8D 45 F0 8B 53 50 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 2C 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 53 50 85 D2 74 05 83 EA 04 8B 12 3B D0 7D 10 8B 45 08 8B 53 44 E8 ?? ?? ?? ?? E9 CB 00 00 00 8D 45 E8 8B 53 58 E8 ?? ?? ?? ?? 8D 45 E4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 29 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 53 58 85 D2 74 05 83 EA 04 8B 12 3B D0 7D 0D 8B 45 08 8B 53 4C E8 ?? ?? ?? ?? EB 7D 8B 57 04 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 61 83 7E 24 00 7E 5B C6 45 E3 00 8B 76 04 8B C6 85 C0 74 1E 85 C0 74 13 8B 50 08 83 FA 01 74 05 83 FA 03 75 06 C6 45 E3 01 8B F0 8B 40 04 85 C0 75 E2 8B 76 0C 80 7D E3 00 74 27 8D 55 DC 8B C3 8B 08 FF 51 44 8B 55 DC 8B CE 8B C3 8B 30 FF 56 54 84 C0 74 0D 8B 45 08 8B 53 44 E8 ?? ?? ?? ?? EB 0B 8B 45 08 8B 53 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 }
	condition:
		$1
}

rule function_22009_0 {
	meta:
		name = "TDSCustomJavaScriptProxyWriter.GetMethodRequestName"
		size = 308
		refs = "0017 TDSCustomJavaScriptProxyWriter.GetMethodRequestName 0038 @UStrLAsg 004a CompareText 005d @UStrEqual 00db @UStrCopy 00e6 @UStrAsg 0100 @UStrArrayClr 0106 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CE 8B 55 F4 8B C3 8B 38 FF 57 68 8D 45 F8 8B 56 0C E8 ?? ?? ?? ?? 33 F6 8B 45 F4 8B 50 04 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 89 00 00 00 8B 43 48 8B 55 FC E8 ?? ?? ?? ?? 75 10 8B 43 54 85 C0 74 05 83 E8 04 8B 00 8B F0 EB 38 8B 43 44 8B 55 FC E8 ?? ?? ?? ?? 75 10 8B 43 50 85 C0 74 05 83 E8 04 8B 00 8B F0 EB 1B 8B 43 4C 8B 55 FC E8 ?? ?? ?? ?? 75 0E 8B 43 58 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 30 8B 55 F8 8B C2 85 C0 74 05 83 E8 04 8B 00 3B C6 7E 1E 8B DA 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 8B CB 2B CE 8D 56 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 }
	condition:
		$1
}

rule function_22010_0 {
	meta:
		name = "TDSCustomJavaScriptProxyWriter.WriteMethodComment"
		size = 612
		refs = "0018 TDSCustomJavaScriptProxyWriter.WriteMethodComment 004f @UStrLAsg 0062 @UStrClr 00d5 C_Conditional 00f8 @UStrCatN 0133 @UStrArrayClr 0139 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 4C 8B 7B 04 85 FF 0F 84 E9 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 48 85 FF 0F 84 C9 00 00 00 8D 45 FC 8B 57 10 E8 ?? ?? ?? ?? 8D 45 F8 8B 57 14 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 33 DB 83 7F 08 03 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 47 83 7F 08 02 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 83 7F 08 01 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1D 83 7F 08 04 75 17 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F0 FF 75 FC FF 75 F4 68 ?? ?? ?? ?? FF 75 F8 8D 45 EC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 8B 08 FF 51 48 8B 7F 04 85 FF 0F 85 37 FF FF FF BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 5B 00 69 00 6E 00 2F 00 6F 00 75 00 74 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 5B 00 6F 00 75 00 74 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 5B 00 69 00 6E 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 40 00 70 00 61 00 72 00 61 00 6D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 40 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 2A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 20 00 2D 00 20 00 54 00 79 00 70 00 65 00 20 00 6F 00 6E 00 20 00 73 00 65 00 72 00 76 00 65 00 72 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 2A 00 2F 00 00 00 }
	condition:
		$1
}

rule function_22011_0 {
	meta:
		name = "TDSCustomJavaScriptProxyWriter.WriteMethodImplementation"
		size = 3248
		refs = "0022 TDSCustomJavaScriptProxyWriter.WriteMethodImplementation 003d _Dn_TStringList 0042 TStringList.Create 005b @UStrClr 0094 TDSCustomJavaScriptProxyWriter.IsPrimitiveJSONType 00ec @UStrCat3 00ff C_Conditional 013e @UStrCatN 0163 @UStrLAsg 0188 IntToStr 0209 TDSCustomProxyWriter.Indent 0236 @UStrEqual 03e4 TDSCustomProxyWriter.Outdent 0468 TDSCustomProxyWriter.IncludeMethodName 047a TDSCustomJavaScriptProxyWriter.HasOnlyURLParams 054a TObject.Free 0550 @HandleFinally 056f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 10 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D DC 89 55 E0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 CA 00 C6 45 CB 00 8B 45 DC 8B 58 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 D4 33 C0 89 45 D0 85 DB 0F 84 55 01 00 00 8B 7B 0C 83 FF 1E 74 23 83 FF 17 74 1E 83 FF 21 74 19 83 FF 03 74 14 83 7B 0C 25 75 3A 8B 53 14 8B C6 E8 ?? ?? ?? ?? 84 C0 75 2C 83 7B 08 02 74 06 83 7B 08 04 75 06 C6 45 CA 01 EB 1A 83 7B 08 03 75 0A C6 45 CA 01 C6 45 CB 01 EB 0A 83 7B 08 01 75 04 C6 45 CB 01 8D 45 F8 E8 ?? ?? ?? ?? 83 7B 08 03 74 06 83 7B 08 01 75 66 8D 45 BC 50 8D 45 B8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 B8 50 83 7D FC 00 0F 94 C0 33 D2 59 E8 ?? ?? ?? ?? 8B 55 BC 8B 4B 10 8D 45 FC E8 ?? ?? ?? ?? 8B 45 D0 89 45 C4 FF 45 D0 83 7B 08 01 75 22 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 83 7B 08 02 74 0C 83 7B 08 04 74 06 83 7B 08 03 75 56 83 7B 08 04 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8D 45 F4 8B 53 10 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 B4 8B 45 D4 E8 ?? ?? ?? ?? FF 75 B4 68 ?? ?? ?? ?? 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 89 45 C0 FF 45 D4 83 7D F8 00 74 0B 8B 55 F8 8B 45 D8 8B 08 FF 51 38 8B 5B 04 85 DB 0F 85 AB FE FF FF 8D 45 F0 50 8B 4D DC 8B 55 E0 8B C6 8B 18 FF 53 6C 68 ?? ?? ?? ?? 8B 45 DC FF 70 0C 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 B0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 B0 8B C6 8B 08 FF 51 48 8B C6 E8 ?? ?? ?? ?? 83 7D D4 00 0F 9F C3 8D 45 EC 50 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7D CB 00 74 39 8B 45 F0 8B 55 DC 8B 52 0C E8 ?? ?? ?? ?? 75 29 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8D 45 E8 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 4D DC 8B 55 E0 8B C6 8B 38 FF 57 68 FF 75 EC 68 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 A8 8B 45 D0 E8 ?? ?? ?? ?? FF 75 A8 68 ?? ?? ?? ?? 8D 45 A4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 A4 68 ?? ?? ?? ?? 8D 55 A0 8B 45 D0 40 E8 ?? ?? ?? ?? FF 75 A0 68 ?? ?? ?? ?? 8D 55 9C 8B 45 D0 83 C0 02 E8 ?? ?? ?? ?? FF 75 9C 68 ?? ?? ?? ?? 8D 45 AC BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 55 AC 8B C6 8B 08 FF 51 48 84 DB 0F 84 18 01 00 00 68 ?? ?? ?? ?? 8D 55 94 8B 45 D0 E8 ?? ?? ?? ?? FF 75 94 68 ?? ?? ?? ?? 8D 45 98 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 98 8B C6 8B 08 FF 51 48 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 48 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 48 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 48 8B 45 D8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 26 43 C7 45 CC 00 00 00 00 8D 4D 90 8B 55 CC 8B 45 D8 8B 38 FF 57 0C 8B 55 90 8B C6 8B 08 FF 51 48 FF 45 CC 4B 75 E2 80 7D CA 00 74 3E BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 48 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 48 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 48 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 48 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 48 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 48 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 48 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 48 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 48 80 7E 5C 00 0F 84 E5 00 00 00 8B 45 DC 8B 50 0C 8D 45 8C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 8C 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 C0 00 00 00 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 AE 00 00 00 8B C6 8B 10 FF 52 4C 68 ?? ?? ?? ?? 8B 45 DC FF 70 0C 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 88 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 88 8B C6 8B 08 FF 51 48 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 80 50 8B 4D DC 8B 55 E0 8B C6 8B 18 FF 53 68 FF 75 80 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B 45 D0 E8 ?? ?? ?? ?? FF B5 7C FF FF FF 68 ?? ?? ?? ?? 8D 45 84 BA 09 00 00 00 E8 ?? ?? ?? ?? 8B 55 84 8B C6 8B 08 FF 51 48 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 33 D2 89 55 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 11 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 4F 00 62 00 6A 00 65 00 63 00 74 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 20 00 3D 00 20 00 72 00 65 00 73 00 75 00 6C 00 74 00 41 00 72 00 72 00 61 00 79 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5D 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 68 00 69 00 73 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 3D 00 20 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 29 00 20 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 76 00 61 00 72 00 20 00 72 00 65 00 74 00 75 00 72 00 6E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 74 00 68 00 69 00 73 00 2E 00 65 00 78 00 65 00 63 00 75 00 74 00 6F 00 72 00 2E 00 65 00 78 00 65 00 63 00 75 00 74 00 65 00 4D 00 65 00 74 00 68 00 6F 00 64 00 28 00 27 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 27 00 2C 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 22 00 2C 00 20 00 5B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 5D 00 2C 00 20 00 61 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 5D 00 2C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 2C 00 20 00 61 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 5B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 5D 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 66 00 20 00 28 00 61 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 5B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 5D 00 20 00 3D 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 20 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 5A 00 00 00 69 00 66 00 20 00 28 00 72 00 65 00 74 00 75 00 72 00 6E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 20 00 21 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 20 00 26 00 26 00 20 00 72 00 65 00 74 00 75 00 72 00 6E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 2E 00 72 00 65 00 73 00 75 00 6C 00 74 00 20 00 21 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 20 00 26 00 26 00 20 00 69 00 73 00 41 00 72 00 72 00 61 00 79 00 28 00 72 00 65 00 74 00 75 00 72 00 6E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 2E 00 72 00 65 00 73 00 75 00 6C 00 74 00 29 00 29 00 20 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 76 00 61 00 72 00 20 00 72 00 65 00 73 00 75 00 6C 00 74 00 41 00 72 00 72 00 61 00 79 00 20 00 3D 00 20 00 72 00 65 00 74 00 75 00 72 00 6E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 2E 00 72 00 65 00 73 00 75 00 6C 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 76 00 61 00 72 00 20 00 72 00 65 00 73 00 75 00 6C 00 74 00 4F 00 62 00 6A 00 65 00 63 00 74 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 4F 00 62 00 6A 00 65 00 63 00 74 00 28 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 44 00 00 00 69 00 66 00 20 00 28 00 72 00 65 00 74 00 75 00 72 00 6E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 2E 00 63 00 61 00 63 00 68 00 65 00 49 00 64 00 20 00 21 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 20 00 26 00 26 00 20 00 72 00 65 00 74 00 75 00 72 00 6E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 2E 00 63 00 6D 00 64 00 49 00 6E 00 64 00 65 00 78 00 20 00 21 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 20 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 4F 00 62 00 6A 00 65 00 63 00 74 00 2E 00 5F 00 63 00 61 00 63 00 68 00 65 00 49 00 64 00 20 00 3D 00 20 00 72 00 65 00 74 00 75 00 72 00 6E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 2E 00 63 00 61 00 63 00 68 00 65 00 49 00 64 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 2F 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 4F 00 62 00 6A 00 65 00 63 00 74 00 2E 00 5F 00 63 00 6D 00 64 00 49 00 6E 00 64 00 65 00 78 00 20 00 3D 00 20 00 72 00 65 00 74 00 75 00 72 00 6E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 2E 00 63 00 6D 00 64 00 49 00 6E 00 64 00 65 00 78 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 72 00 65 00 73 00 75 00 6C 00 74 00 4F 00 62 00 6A 00 65 00 63 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 72 00 65 00 74 00 75 00 72 00 6E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 7D 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 5F 00 55 00 52 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 5F 00 55 00 52 00 4C 00 20 00 3D 00 20 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 74 00 68 00 69 00 73 00 2E 00 65 00 78 00 65 00 63 00 75 00 74 00 6F 00 72 00 2E 00 67 00 65 00 74 00 4D 00 65 00 74 00 68 00 6F 00 64 00 55 00 52 00 4C 00 28 00 22 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 22 00 2C 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5D 00 29 00 5B 00 30 00 5D 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_22015_0 {
	meta:
		name = "TDSJavaScriptProxyWriter.GetFileName"
		size = 180
		refs = "0014 @UStrAddRef 001c TDSJavaScriptProxyWriter.GetFileName 002c @UStrAsg 0038 LastDelimiter 0066 @UStrCopy 007b @UStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 55 FC E8 ?? ?? ?? ?? 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 43 83 FB 01 7D 05 BB 01 00 00 00 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8D 47 64 50 8B 4D F8 2B CB 8B 06 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 5C 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_22016_0 {
	meta:
		name = "TDSJavaScriptProxyWriter.UpdateJSProxyFile"
		size = 160
		refs = "0018 TDSJavaScriptProxyWriter.UpdateJSProxyFile 002f TDSJavaScriptProxyWriter.GetFileName 0039 _Dn_TFileStream 003e TFileStream.Create 005b TDSJavaScriptProxyWriter.generateJS 0070 TObject.Free 0076 @HandleFinally 008d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 FF 00 00 8D 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22017_0 {
	meta:
		name = "TDSJavaScriptProxyWriter.generateJS"
		size = 277
		refs = "0016 TDSJavaScriptProxyWriter.generateJS 0028 SJSProxyNoConnection 002d LoadResString 0037 _Dn_Exception 003c Exception.Create 0041 @RaiseExcept 004d SJSProxyNoStream 0081 TEncoding.GetUTF8 0090 _Dn_TStreamWriter 0095 TStreamWriter.Create 00a4 _Dn_TDSProxyMetaDataLoader 00a9 TDSProxyMetaDataLoader.Create 00ba TDSCustomProxyWriter.SetMetaDataLoader 00e1 TObject.Free 00e7 @HandleFinally 0103 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 60 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 E8 ?? ?? ?? ?? 50 68 00 04 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 60 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 12 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 C0 60 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22018_0 {
	meta:
		name = "TDSClientProxyWriterJavaScript.CreateProxyWriter"
		size = 17
		refs = "0003 _DV_TDSJavaScriptProxyWriter 0008 TDSCustomJavaScriptProxyWriter.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 40 5C 01 C3 }
	condition:
		$1
}

rule function_22019_0 {
	meta:
		name = "TDSClientProxyWriterJavaScript.FileDescriptions"
		size = 120
		refs = "000e TDSProxyFileDescriptions 0013 @DynArraySetLength 001d TDSClientProxyWriterJavaScript.FileDescriptions 0022 @UStrAsg"
	strings:
		$1 = { 53 8B DA 6A 01 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 6A 00 73 00 00 00 }
	condition:
		$1
}

rule function_22020_0 {
	meta:
		name = "TDSClientProxyWriterJavaScript.Properties"
		size = 300
		refs = "0006 TDSClientProxyWriterJavaScript.Properties 000b @UStrAsg 003a @UStrClr 0056 TEncoding.GetUTF8"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 14 E8 ?? ?? ?? ?? 8D 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 43 1C E8 ?? ?? ?? ?? 89 43 0C 5B C3 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 2E 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 4A 00 61 00 76 00 61 00 53 00 63 00 72 00 69 00 70 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 53 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 53 00 5F 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4A 00 61 00 76 00 61 00 20 00 53 00 63 00 72 00 69 00 70 00 74 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_22021_0 {
	meta:
		name = "Finalization"
		size = 68
		refs = "0002 _DV_4 0009 Finalization 000e TDSProxyWriterFactory.UnregisterWriter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4A 00 61 00 76 00 61 00 20 00 53 00 63 00 72 00 69 00 70 00 74 00 20 00 52 00 45 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_22022_0 {
	meta:
		name = "Datasnap.DSProxyJavaScript"
		size = 76
		refs = "0002 _DV_4 000b _DV_TDSClientProxyWriterJavaScript 0010 Datasnap.DSProxyJavaScript 0015 TDSProxyWriterFactory.RegisterWriter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4A 00 61 00 76 00 61 00 20 00 53 00 63 00 72 00 69 00 70 00 74 00 20 00 52 00 45 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_22282_0 {
	meta:
		name = "TDSCustomObjectiveCiOSProxyWriter.GetCastType"
		size = 1132
		refs = "000e TDSCustomConnectorProxyWriter.IsDBXValueTypeParameter 0017 TDSCustomObjectiveCiOSProxyWriter.GetCastType 002b @UStrCatN 0052 @UStrEqual 0060 @UStrAsg 0176 @UStrCat3 017f @UStrClr"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 1E 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 4F 01 00 00 8B 43 0C 83 E8 17 0F 84 D4 00 00 00 83 E8 0E 0F 85 33 01 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1A 01 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FA 00 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DA 00 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BA 00 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9A 00 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7D 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6F 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 52 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 35 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 8B C6 8B 4B 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2A 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 28 00 54 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 20 00 2A 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 41 00 72 00 72 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 28 00 54 00 4A 00 53 00 4F 00 4E 00 41 00 72 00 72 00 61 00 79 00 20 00 2A 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 28 00 54 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 20 00 2A 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 54 00 72 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 28 00 54 00 4A 00 53 00 4F 00 4E 00 54 00 72 00 75 00 65 00 20 00 2A 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 46 00 61 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 28 00 54 00 4A 00 53 00 4F 00 4E 00 46 00 61 00 6C 00 73 00 65 00 20 00 2A 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4E 00 75 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 28 00 54 00 4A 00 53 00 4F 00 4E 00 4E 00 75 00 6C 00 6C 00 20 00 2A 00 29 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 28 00 54 00 50 00 61 00 72 00 61 00 6D 00 73 00 2A 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 44 00 42 00 58 00 52 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 28 00 54 00 44 00 42 00 58 00 52 00 65 00 61 00 64 00 65 00 72 00 2A 00 29 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 28 00 54 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 2A 00 29 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 4E 00 4B 00 4E 00 4F 00 57 00 4E 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_22285_0 {
	meta:
		name = "TDSCustomObjectiveCiOSProxyWriter.WriteInterface"
		size = 2708
		refs = "000e TDSCustomObjectiveCiOSProxyWriter.WriteInterface 0015 TDSCustomProxyWriter.WriteLine 01a3 _Dn_TStringList 01a8 TStringList.Create 01c0 TDSCustomConnectorProxyWriter.GetFirstClass 01cf TDSCustomConnectorProxyWriter.ExtendedIncludeClass 0203 TObject.Free 0209 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 C6 43 60 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 23 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 4D FC 8B D6 8B C3 8B 38 FF 97 80 00 00 00 8B 76 10 85 F6 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 3C 00 46 00 6F 00 75 00 6E 00 64 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 46 00 6F 00 75 00 6E 00 64 00 61 00 74 00 69 00 6F 00 6E 00 2E 00 68 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 68 00 22 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 44 00 53 00 52 00 45 00 53 00 54 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 2E 00 68 00 22 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 44 00 42 00 45 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 2E 00 68 00 22 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 50 00 61 00 72 00 61 00 6D 00 73 00 2E 00 68 00 22 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 44 00 42 00 58 00 52 00 65 00 61 00 64 00 65 00 72 00 2E 00 68 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 2E 00 68 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 4A 00 53 00 4F 00 4E 00 4E 00 75 00 6C 00 6C 00 2E 00 68 00 22 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 2E 00 68 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 2E 00 68 00 22 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 4A 00 53 00 4F 00 4E 00 41 00 72 00 72 00 61 00 79 00 2E 00 68 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 4A 00 53 00 4F 00 4E 00 54 00 72 00 75 00 65 00 2E 00 68 00 22 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 4A 00 53 00 4F 00 4E 00 46 00 61 00 6C 00 73 00 65 00 2E 00 68 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 44 00 42 00 58 00 50 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 73 00 2E 00 68 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 44 00 42 00 58 00 41 00 6E 00 73 00 69 00 53 00 74 00 72 00 69 00 6E 00 67 00 56 00 61 00 6C 00 75 00 65 00 2E 00 68 00 22 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 44 00 42 00 58 00 41 00 6E 00 73 00 69 00 43 00 68 00 61 00 72 00 73 00 56 00 61 00 6C 00 75 00 65 00 2E 00 68 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 44 00 42 00 58 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 56 00 61 00 6C 00 75 00 65 00 2E 00 68 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 44 00 42 00 58 00 44 00 6F 00 75 00 62 00 6C 00 65 00 56 00 61 00 6C 00 75 00 65 00 2E 00 68 00 22 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 44 00 42 00 58 00 55 00 49 00 6E 00 74 00 38 00 56 00 61 00 6C 00 75 00 65 00 2E 00 68 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 44 00 42 00 58 00 49 00 6E 00 74 00 38 00 56 00 61 00 6C 00 75 00 65 00 2E 00 68 00 22 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 44 00 42 00 58 00 55 00 49 00 6E 00 74 00 31 00 36 00 56 00 61 00 6C 00 75 00 65 00 2E 00 68 00 22 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 44 00 42 00 58 00 49 00 6E 00 74 00 31 00 36 00 56 00 61 00 6C 00 75 00 65 00 2E 00 68 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 44 00 42 00 58 00 49 00 6E 00 74 00 33 00 32 00 56 00 61 00 6C 00 75 00 65 00 2E 00 68 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 44 00 42 00 58 00 49 00 6E 00 74 00 36 00 34 00 56 00 61 00 6C 00 75 00 65 00 2E 00 68 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 44 00 42 00 58 00 53 00 69 00 6E 00 67 00 6C 00 65 00 56 00 61 00 6C 00 75 00 65 00 2E 00 68 00 22 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 44 00 42 00 58 00 53 00 74 00 72 00 69 00 6E 00 67 00 56 00 61 00 6C 00 75 00 65 00 2E 00 68 00 22 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 44 00 42 00 58 00 54 00 69 00 6D 00 65 00 56 00 61 00 6C 00 75 00 65 00 2E 00 68 00 22 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 44 00 42 00 58 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 56 00 61 00 6C 00 75 00 65 00 2E 00 68 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 44 00 42 00 58 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 56 00 61 00 6C 00 75 00 65 00 2E 00 68 00 22 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 44 00 42 00 58 00 44 00 61 00 74 00 65 00 56 00 61 00 6C 00 75 00 65 00 2E 00 68 00 22 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 44 00 42 00 58 00 52 00 65 00 61 00 64 00 65 00 72 00 56 00 61 00 6C 00 75 00 65 00 2E 00 68 00 22 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 44 00 42 00 58 00 53 00 74 00 72 00 65 00 61 00 6D 00 56 00 61 00 6C 00 75 00 65 00 2E 00 68 00 22 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 54 00 44 00 42 00 58 00 42 00 63 00 64 00 56 00 61 00 6C 00 75 00 65 00 2E 00 68 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_22289_0 {
	meta:
		name = "TDSCustomObjectiveCiOSProxyWriter.WriteClassDeallocImplementation"
		size = 168
		refs = "0004 TDSCustomObjectiveCiOSProxyWriter.WriteClassDeallocImplementation 0012 TDSCustomProxyWriter.Indent 0025 TDSCustomProxyWriter.Outdent"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 74 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 74 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 74 5B C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 2D 00 28 00 76 00 6F 00 69 00 64 00 29 00 20 00 64 00 65 00 61 00 6C 00 6C 00 6F 00 63 00 20 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 5B 00 73 00 75 00 70 00 65 00 72 00 20 00 64 00 65 00 61 00 6C 00 6C 00 6F 00 63 00 5D 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_22290_0 {
	meta:
		name = "TDSCustomObjectiveCiOSProxyWriter.WriteParamImplementation"
		size = 896
		refs = "001c TDSCustomObjectiveCiOSProxyWriter.WriteParamImplementation 003a @UStrCatN 0065 TDSCustomProxyWriter.Indent 0090 @UStrLAsg 0124 @UStrCat3 0138 TDSCustomProxyWriter.Outdent 0179 @UStrArrayClr 017f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 77 04 68 ?? ?? ?? ?? FF 73 0C 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 8B 08 FF 51 74 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 8B 5B 04 85 DB 0F 84 C4 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 4D F0 8B 53 08 8B C6 8B 38 FF 57 5C FF 75 F0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 4D EC 8B 53 0C 8B C6 8B 38 FF 57 6C FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E8 8B C6 8B 08 FF 51 74 8B 5B 04 8B C6 E8 ?? ?? ?? ?? 85 DB 0F 85 3C FF FF FF BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2D 00 28 00 69 00 64 00 29 00 20 00 67 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 20 00 5B 00 4E 00 53 00 41 00 72 00 72 00 61 00 79 00 20 00 61 00 72 00 72 00 61 00 79 00 57 00 69 00 74 00 68 00 4F 00 62 00 6A 00 65 00 63 00 74 00 73 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 5B 00 44 00 53 00 52 00 45 00 53 00 54 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 20 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 57 00 69 00 74 00 68 00 4E 00 61 00 6D 00 65 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 40 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 20 00 77 00 69 00 74 00 68 00 44 00 69 00 72 00 65 00 63 00 74 00 69 00 6F 00 6E 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 77 00 69 00 74 00 68 00 44 00 42 00 58 00 54 00 79 00 70 00 65 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 20 00 77 00 69 00 74 00 68 00 54 00 79 00 70 00 65 00 4E 00 61 00 6D 00 65 00 3A 00 40 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6E 00 69 00 6C 00 5D 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_22292_0 {
	meta:
		name = "TDSCustomObjectiveCiOSProxyWriter.GetObjectiveCType"
		size = 1632
		refs = "0014 TDSCustomObjectiveCiOSProxyWriter.GetObjectiveCType 002a @UStrAsg 0038 TDSCustomConnectorProxyWriter.IsDBXValueTypeParameter 004b @UStrCat3 0229 @UStrEqual 02b4 @UStrCatN 0313 _Dn_EDSProxyException 0318 Exception.Create 031d @RaiseExcept 0337 @UStrArrayClr 033d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EE 02 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 14 8B C6 B9 ?? ?? ?? ?? 8B 53 14 E8 ?? ?? ?? ?? E9 CD 02 00 00 8B 43 0C 83 F8 25 0F 87 86 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 11 02 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 00 02 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EF 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DE 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CD 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BC 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AB 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9A 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 89 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 78 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 67 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 56 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 45 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 34 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 23 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 12 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 01 01 00 00 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 4B 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 3C 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 2D 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 14 8B C6 B9 ?? ?? ?? ?? 8B 53 14 E8 ?? ?? ?? ?? E9 93 00 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 82 00 00 00 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 67 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 4C 8B C6 B9 ?? ?? ?? ?? 8B 53 14 E8 ?? ?? ?? ?? EB 3B 68 ?? ?? ?? ?? 8D 55 F8 8B C3 8B 08 FF 51 04 FF 75 F8 68 ?? ?? ?? ?? FF 73 14 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 76 00 6F 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4E 00 53 00 53 00 74 00 72 00 69 00 6E 00 67 00 20 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 53 00 44 00 61 00 74 00 65 00 20 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 53 00 44 00 61 00 74 00 61 00 20 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6F 00 6F 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 69 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 75 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 20 00 69 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 6F 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 75 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 20 00 6C 00 6F 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6C 00 6F 00 6E 00 67 00 20 00 6C 00 6F 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 75 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 20 00 6C 00 6F 00 6E 00 67 00 20 00 6C 00 6F 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 6C 00 6F 00 61 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 41 00 72 00 72 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 54 00 72 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 46 00 61 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4E 00 75 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 20 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3F 00 3F 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 70 00 61 00 72 00 61 00 6D 00 20 00 74 00 79 00 70 00 65 00 20 00 66 00 6F 00 72 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_22295_0 {
	meta:
		name = "TDSCustomObjectiveCiOSProxyWriter.WriteImplementation"
		size = 200
		refs = "000e TDSCustomObjectiveCiOSProxyWriter.WriteImplementation 0025 _Dn_TStringList 002a TStringList.Create 0042 TDSCustomConnectorProxyWriter.GetFirstClass 0051 TDSCustomConnectorProxyWriter.ExtendedIncludeClass 0082 TObject.Free 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F0 C6 46 60 01 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 33 D2 8B C6 8B 08 FF 51 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 20 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 4D FC 8B D3 8B C6 8B 38 FF 57 7C 8B 5B 10 85 DB 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 13 00 00 00 23 00 69 00 6D 00 70 00 6F 00 72 00 74 00 20 00 22 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 2E 00 68 00 22 00 00 00 }
	condition:
		$1
}

rule function_22296_0 {
	meta:
		name = "TDSCustomObjectiveCiOSProxyWriter.WriteClassImplementation"
		size = 388
		refs = "001d TDSCustomObjectiveCiOSProxyWriter.WriteClassImplementation 003d @UStrCat3 0050 TDSCustomProxyWriter.Indent 0072 TDSCustomProxyWriter.Outdent 0079 _Dn_TDBXStringBuffer 007e TDBXStringBuffer.Create 00a0 TDSCustomConnectorProxyWriter.ExtendedIncludeMethod 00f9 TObject.Free 00ff @HandleFinally 0128 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC 8B 08 FF 51 74 8B 4E 04 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 08 FF 51 74 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC 8B 08 FF 91 90 00 00 00 8B D6 8B 45 FC 8B 08 FF 91 94 00 00 00 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 5E 08 85 DB 74 33 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1E 8B CB 8B D6 8B 45 FC 8B 38 FF 97 84 00 00 00 8B CB 8B D6 8B 45 FC 8B 38 FF 97 88 00 00 00 8B 5B 14 85 DB 75 CD 8D 55 EC 8B 45 F4 8B 08 FF 51 DC 8B 55 EC 8B 45 F8 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 40 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 40 00 65 00 6E 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_22297_0 {
	meta:
		name = "TDSCustomObjectiveCiOSProxyWriter.WriteClassInterface"
		size = 420
		refs = "001d TDSCustomObjectiveCiOSProxyWriter.WriteClassInterface 002a _Dn_TDBXStringBuffer 002f TDBXStringBuffer.Create 005d @UStrCatN 006e TDSCustomProxyWriter.Indent 0075 TDSCustomProxyWriter.Outdent 0094 TDSCustomConnectorProxyWriter.ExtendedIncludeMethod 0100 TObject.Free 0106 @HandleFinally 0122 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 ?? ?? ?? ?? 8B 45 FC FF 70 04 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 8B 08 FF 51 74 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 8B 45 FC 8B 58 08 85 DB 74 32 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1E 8B CB 8B 55 FC 8B C6 8B 38 FF 97 84 00 00 00 8B CB 8B 55 FC 8B C6 8B 38 FF 97 8C 00 00 00 8B 5B 14 85 DB 75 CE BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 74 8B C6 8B 10 FF 52 78 8D 55 EC 8B 45 F4 8B 08 FF 51 DC 8B 55 EC 8B 45 F8 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 40 00 69 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 20 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3A 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 40 00 65 00 6E 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_22298_0 {
	meta:
		name = "TDSCustomObjectiveCiOSProxyWriter.WriteGetterForOutputParams$16$ActRec.$0$Body"
		size = 644
		refs = "001a TDSCustomObjectiveCiOSProxyWriter.WriteGetterForOutputParams$16$ActRec.$0$Body 0032 TDSCustomConnectorProxyWriter.IsOutputParameter 0051 TDSCustomConnectorProxyWriter.IsDBXValueTypeParameter 0062 TDSCustomObjectiveCiOSProxyWriter.GetCastType 006d @UStrAsg 00a2 IntToStr 00cc @UStrCatN 00e9 LowerCase 0156 @UStrArrayClr 015c @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 11 01 00 00 8B D6 8B 43 14 E8 ?? ?? ?? ?? 84 C0 0F 84 FF 00 00 00 8B 46 0C 83 E8 17 74 13 83 E8 0E 74 0E 8B D6 8B 43 14 E8 ?? ?? ?? ?? 84 C0 74 18 8D 4D FC 8B D6 8B 43 14 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 10 E8 ?? ?? ?? ?? 83 7E 08 04 75 66 33 D2 8B 43 14 8B 08 FF 51 74 68 ?? ?? ?? ?? 8D 4D F4 8B D6 8B 43 14 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B 43 0C E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 4D EC 8B D6 8B 43 14 8B 30 FF 56 58 FF 75 EC 68 ?? ?? ?? ?? 8D 45 F8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 14 8B 08 FF 51 74 EB 60 68 ?? ?? ?? ?? 8D 55 E4 8B 46 10 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8D 55 E0 8B 43 0C E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 4D DC 8B D6 8B 43 14 8B 30 FF 56 58 FF 75 DC 68 ?? ?? ?? ?? 8D 45 E8 BA 09 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 43 14 8B 08 FF 51 74 FF 43 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 5B 00 5B 00 5B 00 63 00 6D 00 64 00 2E 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 20 00 6F 00 62 00 6A 00 65 00 63 00 74 00 41 00 74 00 49 00 6E 00 64 00 65 00 78 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 5D 00 67 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5D 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 3D 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 20 00 5B 00 5B 00 5B 00 63 00 6D 00 64 00 2E 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 20 00 6F 00 62 00 6A 00 65 00 63 00 74 00 41 00 74 00 49 00 6E 00 64 00 65 00 78 00 3A 00 00 00 }
	condition:
		$1
}

rule function_22299_0 {
	meta:
		name = "TDSCustomObjectiveCiOSProxyWriter.WriteGetterForOutputParams"
		size = 119
		refs = "0010 TDSCustomObjectiveCiOSProxyWriter.WriteGetterForOutputParams 001d _DV_TDSCustomObjectiveCiOSProxyWriter.WriteGetterForOutputParams$16$ActRec 0022 TObject.Create 0035 @IntfCopy 0050 TDSCustomConnectorProxyWriter.ForEachParameter 0065 @IntfClear 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 14 33 C0 89 43 0C 8B CB 85 C9 74 03 83 E9 E8 8B D7 8B 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22307_0 {
	meta:
		name = "TDSCustomObjectiveCiOSProxyWriter.WriteSetterForInputParams"
		size = 119
		refs = "0010 TDSCustomObjectiveCiOSProxyWriter.WriteSetterForInputParams 001d _DV_TDSCustomObjectiveCiOSProxyWriter.WriteSetterForInputParams$24$ActRec 0022 TObject.Create 0035 @IntfCopy 0050 TDSCustomConnectorProxyWriter.ForEachParameter 0065 @IntfClear 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 14 33 C0 89 43 0C 8B CB 85 C9 74 03 83 E9 E8 8B D7 8B 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22302_0 {
	meta:
		name = "TDSCustomObjectiveCiOSProxyWriter.WriteMethodImplementation$20$ActRec.$0$Body"
		size = 448
		refs = "0015 TDSCustomObjectiveCiOSProxyWriter.WriteMethodImplementation$20$ActRec.$0$Body 002d TDSCustomConnectorProxyWriter.IsInputParameter 0043 @UStrClr 0063 @UStrAsg 0091 TDSCustomObjectiveCiOSProxyWriter.GetObjectiveCType 00a7 LowerCase 00bc @UStrCatN 00c7 TDBXStringBuffer.Append 0135 @UStrArrayClr 013b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 F8 00 00 00 8B D6 8B 43 1C E8 ?? ?? ?? ?? 84 C0 75 0A 83 7E 08 02 0F 85 E0 00 00 00 8D 43 18 E8 ?? ?? ?? ?? 8D 43 14 E8 ?? ?? ?? ?? 8B 46 08 83 C0 FE 83 E8 03 73 0D 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7E 08 02 75 0D 8D 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7B 10 00 74 4D 68 ?? ?? ?? ?? FF 73 18 8D 4D F8 8B D6 8B 43 1C E8 ?? ?? ?? ?? FF 75 F8 FF 73 14 68 ?? ?? ?? ?? 8D 55 F4 8B 46 10 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 FC BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? EB 4E 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? FF 73 18 8D 4D EC 8B D6 8B 43 1C E8 ?? ?? ?? ?? FF 75 EC FF 73 14 68 ?? ?? ?? ?? 8D 55 E8 8B 46 10 E8 ?? ?? ?? ?? FF 75 E8 8D 45 F0 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 43 0C E8 ?? ?? ?? ?? C6 43 10 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6F 00 75 00 74 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 20 00 28 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 77 00 69 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_22304_0 {
	meta:
		name = "TDSCustomObjectiveCiOSProxyWriter.WriteMethodInterface$22$ActRec.$0$Body"
		size = 448
		refs = "0015 TDSCustomObjectiveCiOSProxyWriter.WriteMethodInterface$22$ActRec.$0$Body 002d TDSCustomConnectorProxyWriter.IsInputParameter 0043 @UStrClr 0063 @UStrAsg 0091 TDSCustomObjectiveCiOSProxyWriter.GetObjectiveCType 00a7 LowerCase 00bc @UStrCatN 00c7 TDBXStringBuffer.Append 0135 @UStrArrayClr 013b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 F8 00 00 00 8B D6 8B 43 1C E8 ?? ?? ?? ?? 84 C0 75 0A 83 7E 08 02 0F 85 E0 00 00 00 8D 43 18 E8 ?? ?? ?? ?? 8D 43 14 E8 ?? ?? ?? ?? 8B 46 08 83 C0 FE 83 E8 03 73 0D 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7E 08 02 75 0D 8D 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7B 10 00 74 4D 68 ?? ?? ?? ?? FF 73 18 8D 4D F8 8B D6 8B 43 1C E8 ?? ?? ?? ?? FF 75 F8 FF 73 14 68 ?? ?? ?? ?? 8D 55 F4 8B 46 10 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 FC BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? EB 4E 68 ?? ?? ?? ?? FF 76 10 68 ?? ?? ?? ?? FF 73 18 8D 4D EC 8B D6 8B 43 1C E8 ?? ?? ?? ?? FF 75 EC FF 73 14 68 ?? ?? ?? ?? 8D 55 E8 8B 46 10 E8 ?? ?? ?? ?? FF 75 E8 8D 45 F0 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 43 0C E8 ?? ?? ?? ?? C6 43 10 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6F 00 75 00 74 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 20 00 28 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 77 00 69 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_22303_0 {
	meta:
		name = "TDSCustomObjectiveCiOSProxyWriter.WriteMethodImplementation"
		size = 1204
		refs = "0021 TDSCustomObjectiveCiOSProxyWriter.WriteMethodImplementation 002e _DV_TDSCustomObjectiveCiOSProxyWriter.WriteMethodImplementation$20$ActRec 0033 TObject.Create 0048 @IntfCopy 0055 TDSCustomProxyWriter.Indent 0063 _Dn_TDBXStringBuffer 0068 TDBXStringBuffer.Create 0092 TDSCustomConnectorProxyWriter.GetReturnParam 009e TDSCustomObjectiveCiOSProxyWriter.GetObjectiveCType 00b6 @UStrCatN 00c0 TDBXStringBuffer.Append 00d7 TDSCustomConnectorProxyWriter.ForEachParameter 00f2 @UStrCat 0135 TDSCustomObjectiveCiOSProxyWriter.HasOnlyURLParams 01db TDSCustomObjectiveCiOSProxyWriter.WriteSetterForInputParams 0205 TDSCustomObjectiveCiOSProxyWriter.WriteGetterForOutputParams 0210 TDSCustomProxyWriter.Outdent 0238 TObject.Free 023e @HandleFinally 0265 @UStrArrayClr 026d @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 45 FC 8B 55 F4 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 89 42 1C E8 ?? ?? ?? ?? 8B 45 F4 C6 40 10 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 F4 89 70 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 F4 8B 78 1C 8B C7 8B D3 E8 ?? ?? ?? ?? 8B D0 8D 4D EC 8B C7 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? FF 73 0C 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 4D F4 85 C9 74 03 83 E9 E0 8B 45 F4 8B 40 1C 8B D3 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F4 8B 40 0C 8B 08 FF 51 DC 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 8B 40 1C 8B 08 FF 51 74 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 33 D2 8B 08 FF 51 74 8B 45 F4 8B 40 1C BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F4 8B 40 1C 8B D3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 F4 8B 40 1C BA ?? ?? ?? ?? 8B 08 FF 51 74 EB 10 8B 45 F4 8B 40 1C BA ?? ?? ?? ?? 8B 08 FF 51 74 68 ?? ?? ?? ?? 8B 45 F8 FF 70 04 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F4 8B 40 1C 8B 08 FF 51 74 68 ?? ?? ?? ?? 8B 45 F8 FF 70 04 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 E0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 8B 40 1C 8B 08 FF 51 74 8B 45 F4 8B 40 1C 33 D2 8B 08 FF 51 74 8B 45 F4 8B 40 1C 8B D3 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 33 D2 8B 08 FF 51 74 8B 45 F4 8B 40 1C BA ?? ?? ?? ?? 8B 08 FF 51 74 8B 45 F4 8B 40 1C 8B D3 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C BA ?? ?? ?? ?? 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 39 00 00 00 44 00 53 00 52 00 45 00 53 00 54 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 20 00 2A 00 20 00 63 00 6D 00 64 00 20 00 3D 00 20 00 5B 00 5B 00 73 00 65 00 6C 00 66 00 20 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 5D 00 20 00 43 00 72 00 65 00 61 00 74 00 65 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 5D 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 63 00 6D 00 64 00 2E 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 54 00 79 00 70 00 65 00 20 00 3D 00 20 00 20 00 47 00 45 00 54 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 63 00 6D 00 64 00 2E 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 54 00 79 00 70 00 65 00 20 00 3D 00 20 00 20 00 50 00 4F 00 53 00 54 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 6D 00 64 00 2E 00 74 00 65 00 78 00 74 00 3D 00 20 00 40 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 5B 00 63 00 6D 00 64 00 20 00 20 00 70 00 72 00 65 00 70 00 61 00 72 00 65 00 3A 00 5B 00 73 00 65 00 6C 00 66 00 20 00 67 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 5D 00 5D 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 5B 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 65 00 78 00 65 00 63 00 75 00 74 00 65 00 3A 00 20 00 63 00 6D 00 64 00 5D 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_22305_0 {
	meta:
		name = "TDSCustomObjectiveCiOSProxyWriter.WriteMethodInterface"
		size = 400
		refs = "0018 TDSCustomObjectiveCiOSProxyWriter.WriteMethodInterface 0025 _DV_TDSCustomObjectiveCiOSProxyWriter.WriteMethodInterface$22$ActRec 002a TObject.Create 003f @IntfCopy 004c TDSCustomProxyWriter.Indent 005a _Dn_TDBXStringBuffer 005f TDBXStringBuffer.Create 0089 TDSCustomConnectorProxyWriter.GetReturnParam 0095 TDSCustomObjectiveCiOSProxyWriter.GetObjectiveCType 00ad @UStrCatN 00b7 TDBXStringBuffer.Append 00ce TDSCustomConnectorProxyWriter.ForEachParameter 00e9 @UStrCat 010f TObject.Free 0115 @HandleFinally 0122 TDSCustomProxyWriter.Outdent 013c @UStrArrayClr 0144 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8D 45 FC 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 89 42 1C E8 ?? ?? ?? ?? 8B 45 F8 C6 40 10 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 F8 89 70 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 F8 8B 78 1C 8B C7 8B D3 E8 ?? ?? ?? ?? 8B D0 8D 4D F0 8B C7 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 73 0C 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 85 C9 74 03 83 E9 E0 8B 45 F8 8B 40 1C 8B D3 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F8 8B 40 0C 8B 08 FF 51 DC 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 40 1C 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 8B 40 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_22306_0 {
	meta:
		name = "TDSCustomObjectiveCiOSProxyWriter.WriteSetterForInputParams$24$ActRec.$0$Body"
		size = 888
		refs = "001b TDSCustomObjectiveCiOSProxyWriter.WriteSetterForInputParams$24$ActRec.$0$Body 002b TDSCustomConnectorProxyWriter.IsInputParameter 003b @UStrClr 0053 @UStrAsg 005d TDSCustomConnectorProxyWriter.IsDBXValueTypeParameter 0078 LowerCase 008d @UStrCatN 00a0 TDSCustomProxyWriter.Indent 00b0 IntToStr 00ee TDSCustomProxyWriter.Outdent 01cd @UStrArrayClr 01d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 43 14 E8 ?? ?? ?? ?? 84 C0 0F 84 80 01 00 00 8D 43 10 E8 ?? ?? ?? ?? 8B 46 08 83 C0 FE 83 E8 03 73 0D 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 14 E8 ?? ?? ?? ?? 84 C0 0F 84 F0 00 00 00 68 ?? ?? ?? ?? FF 73 10 8D 55 F8 8B 46 10 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 14 8B 08 FF 51 74 8B 43 14 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B 43 0C E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 73 10 8D 55 EC 8B 46 10 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 14 8B 08 FF 51 74 8B 43 14 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 14 8B 08 FF 51 74 8B 43 14 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 8B 43 0C E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? FF 76 14 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 43 14 8B 08 FF 51 74 8B 43 14 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 14 8B 08 FF 51 74 FF 43 0C EB 5E 68 ?? ?? ?? ?? 8D 55 DC 8B 43 0C E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 4D D8 8B D6 8B 43 14 8B 38 FF 57 54 FF 75 D8 68 ?? ?? ?? ?? FF 73 10 8D 55 D4 8B 46 10 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 43 14 8B 08 FF 51 74 FF 43 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 69 00 66 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 29 00 20 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 5B 00 5B 00 5B 00 63 00 6D 00 64 00 2E 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 20 00 6F 00 62 00 6A 00 65 00 63 00 74 00 41 00 74 00 49 00 6E 00 64 00 65 00 78 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 5D 00 67 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 5D 00 20 00 53 00 65 00 74 00 41 00 73 00 44 00 42 00 58 00 56 00 61 00 6C 00 75 00 65 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5D 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 7D 00 20 00 65 00 6C 00 73 00 65 00 20 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 5D 00 67 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 5D 00 20 00 53 00 65 00 74 00 54 00 44 00 42 00 58 00 4E 00 75 00 6C 00 6C 00 3A 00 40 00 22 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 5D 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 5D 00 67 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_22308_0 {
	meta:
		name = "TDSIOSProxyWriter.DerivedWrite"
		size = 236
		refs = "0012 TDSIOSProxyWriter.DerivedWrite 0042 TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem 0082 IDSProxyWriter 008c @FinalizeArray 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 64 85 F6 74 0B 8B D7 8B C6 8B 08 FF 51 28 EB 42 0F B6 43 60 3C 01 75 1C 8D 4D FC BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 FC 8B D7 8B 08 FF 51 10 EB 1E 84 C0 75 1A 8D 4D F8 BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 F8 8B D7 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 00 00 }
	condition:
		$1
}

rule function_22309_0 {
	meta:
		name = "TDSIOSProxyWriter.DerivedWriteLine"
		size = 228
		refs = "000f TDSIOSProxyWriter.DerivedWriteLine 003d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.GetItem 0079 IDSProxyWriter 0083 @FinalizeArray 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 64 85 F6 74 09 8B C6 8B 10 FF 52 3C EB 3E 0F B6 43 60 3C 01 75 1A 8D 4D FC BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 EB 1C 84 C0 75 18 8D 4D F8 BA ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 00 00 }
	condition:
		$1
}

rule function_22311_0 {
	meta:
		name = "TDSClientProxyWriterObjectiveCiOS.CreateProxyWriter"
		size = 17
		refs = "0003 _DV_TDSIOSProxyWriter 0008 TDSCustomConnectorProxyWriter.Create"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 40 54 01 C3 }
	condition:
		$1
}

rule function_22312_0 {
	meta:
		name = "TDSClientProxyWriterObjectiveCiOS.FileDescriptions"
		size = 204
		refs = "000e TDSProxyFileDescriptions 0013 @DynArraySetLength 001d TDSClientProxyWriterObjectiveCiOS.FileDescriptions 0022 @UStrAsg"
	strings:
		$1 = { 53 8B DA 6A 02 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_22313_0 {
	meta:
		name = "TDSClientProxyWriterObjectiveCiOS.Properties"
		size = 336
		refs = "0006 TDSClientProxyWriterObjectiveCiOS.Properties 000b @UStrAsg 003a @UStrClr 0056 TEncoding.GetUTF8"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 14 E8 ?? ?? ?? ?? 8D 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 43 1C E8 ?? ?? ?? ?? 89 43 0C 5B C3 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 2E 00 44 00 53 00 50 00 72 00 6F 00 78 00 79 00 4F 00 62 00 6A 00 65 00 63 00 74 00 69 00 76 00 65 00 5F 00 63 00 5F 00 69 00 6F 00 73 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 53 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 2C 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 53 00 5F 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 6F 00 62 00 6A 00 65 00 63 00 74 00 69 00 76 00 65 00 63 00 5F 00 69 00 6F 00 73 00 34 00 32 00 00 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_22314_0 {
	meta:
		name = "Finalization"
		size = 84
		refs = "0002 _DV_4 0009 Finalization 000e TDSProxyWriterFactory.UnregisterWriter"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 18 00 00 00 4F 00 62 00 6A 00 65 00 63 00 74 00 69 00 76 00 65 00 2D 00 43 00 20 00 69 00 4F 00 53 00 20 00 34 00 2E 00 32 00 20 00 52 00 45 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_22315_0 {
	meta:
		name = "Datasnap.DSProxyObjectiveCiOS"
		size = 92
		refs = "0002 _DV_4 000b _DV_TDSClientProxyWriterObjectiveCiOS 0010 Datasnap.DSProxyObjectiveCiOS 0015 TDSProxyWriterFactory.RegisterWriter"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 4F 00 62 00 6A 00 65 00 63 00 74 00 69 00 76 00 65 00 2D 00 43 00 20 00 69 00 4F 00 53 00 20 00 34 00 2E 00 32 00 20 00 52 00 45 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_22575_0 {
	meta:
		name = "GetSecurityToken"
		size = 188
		refs = "000e GetSecurityToken 0019 GDSProxyRestSecurityToken 0023 @UStrEqual 002f Random 0037 IntToStr 0063 @UStrCatN 0070 @UStrAsg 008a @UStrArrayClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3E B8 A0 86 01 00 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? B8 A0 86 01 00 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? FF 75 F8 B8 ?? ?? ?? ?? BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_22576_0 {
	meta:
		name = "TDSAdminRestClient.GetPlatformName"
		size = 192
		refs = "0011 TDSCustomRestConnection.CreateCommand 001e TDSAdminRestClient.GetPlatformName 0023 @UStrAsg 0038 DSAdmin_GetPlatformName 0042 TDSRestCommand.Prepare 004c TDSRestCommand.Execute"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 83 7B 18 00 75 39 8B 43 08 E8 ?? ?? ?? ?? 8B F0 89 73 18 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 18 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 33 C9 8B 43 18 E8 ?? ?? ?? ?? 33 D2 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 8B 40 10 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B D7 8B 08 FF 51 70 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 47 00 65 00 74 00 50 00 6C 00 61 00 74 00 66 00 6F 00 72 00 6D 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_22577_0 {
	meta:
		name = "TDSAdminRestClient.ClearResources"
		size = 184
		refs = "000e TDSCustomRestConnection.CreateCommand 001b TDSAdminRestClient.ClearResources 0020 @UStrAsg 0035 DSAdmin_ClearResources 003f TDSRestCommand.Prepare 0049 TDSRestCommand.Execute"
	strings:
		$1 = { 53 56 8B D8 83 7B 1C 00 75 39 8B 43 08 E8 ?? ?? ?? ?? 8B F0 89 73 1C 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 1C 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 33 C9 8B 43 1C E8 ?? ?? ?? ?? 33 D2 8B 43 1C E8 ?? ?? ?? ?? 8B 43 1C 8B 40 10 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 68 5E 5B C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 43 00 6C 00 65 00 61 00 72 00 52 00 65 00 73 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_22578_0 {
	meta:
		name = "TDSAdminRestClient.FindPackages"
		size = 188
		refs = "000e TDSCustomRestConnection.CreateCommand 001b TDSAdminRestClient.FindPackages 0020 @UStrAsg 0035 DSAdmin_FindPackages 003f TDSRestCommand.Prepare 0049 TDSRestCommand.Execute"
	strings:
		$1 = { 53 56 8B D8 83 7B 20 00 75 39 8B 43 08 E8 ?? ?? ?? ?? 8B F0 89 73 20 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 20 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 33 C9 8B 43 20 E8 ?? ?? ?? ?? 33 D2 8B 43 20 E8 ?? ?? ?? ?? 8B 43 20 8B 40 10 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 04 8B 08 FF 91 A8 00 00 00 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 46 00 69 00 6E 00 64 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_22579_0 {
	meta:
		name = "TDSAdminRestClient.FindClasses"
		size = 332
		refs = "0014 @UStrAddRef 0024 TDSAdminRestClient.FindClasses 0038 TDSCustomRestConnection.CreateCommand 004a @UStrAsg 005f DSAdmin_FindClasses 006c TDSRestCommand.Prepare 00b3 TDSRestCommand.Execute 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 24 00 75 3C 8B 43 08 E8 ?? ?? ?? ?? 8B F0 89 73 24 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 24 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B9 02 00 00 00 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 8B 40 10 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 8B 43 24 8B 40 10 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 F8 8B 08 FF 91 78 01 00 00 33 D2 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 8B 40 10 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 04 8B 08 FF 91 A8 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 46 00 69 00 6E 00 64 00 43 00 6C 00 61 00 73 00 73 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_22580_0 {
	meta:
		name = "TDSAdminRestClient.FindMethods"
		size = 384
		refs = "0014 @UStrAddRef 002c TDSAdminRestClient.FindMethods 0040 TDSCustomRestConnection.CreateCommand 0052 @UStrAsg 0067 DSAdmin_FindMethods 0074 TDSRestCommand.Prepare 00db TDSRestCommand.Execute 0118 @UStrArrayClr 0120 @UStrClr 0126 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 28 00 75 3C 8B 43 08 E8 ?? ?? ?? ?? 8B F0 89 73 28 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 28 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B9 03 00 00 00 8B 43 28 E8 ?? ?? ?? ?? 8B 43 28 8B 40 10 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 8B 43 28 8B 40 10 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 F8 8B 08 FF 91 78 01 00 00 8B 43 28 8B 40 10 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 08 8B 08 FF 91 78 01 00 00 33 D2 8B 43 28 E8 ?? ?? ?? ?? 8B 43 28 8B 40 10 BA 03 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 04 8B 08 FF 91 A8 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 46 00 69 00 6E 00 64 00 4D 00 65 00 74 00 68 00 6F 00 64 00 73 00 00 00 }
	condition:
		$1
}

rule function_22581_0 {
	meta:
		name = "TDSAdminRestClient.ListClasses"
		size = 184
		refs = "000e TDSCustomRestConnection.CreateCommand 001b TDSAdminRestClient.ListClasses 0020 @UStrAsg 0035 DSAdmin_ListClasses 003f TDSRestCommand.Prepare 0049 TDSRestCommand.Execute"
	strings:
		$1 = { 53 56 8B D8 83 7B 2C 00 75 39 8B 43 08 E8 ?? ?? ?? ?? 8B F0 89 73 2C 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 2C 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 33 C9 8B 43 2C E8 ?? ?? ?? ?? 33 D2 8B 43 2C E8 ?? ?? ?? ?? 8B 43 2C 8B 40 10 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 04 8B 08 FF 91 C0 00 00 00 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 4C 00 69 00 73 00 74 00 43 00 6C 00 61 00 73 00 73 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_22582_0 {
	meta:
		name = "TDSAdminRestClient.DescribeClass"
		size = 288
		refs = "000f @UStrAddRef 0017 TDSAdminRestClient.DescribeClass 002b TDSCustomRestConnection.CreateCommand 003d @UStrAsg 0052 DSAdmin_DescribeClass 005f TDSRestCommand.Prepare 0086 TDSRestCommand.Execute 00be @UStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 30 00 75 3C 8B 43 08 E8 ?? ?? ?? ?? 8B F0 89 73 30 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 30 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B9 01 00 00 00 8B 43 30 E8 ?? ?? ?? ?? 8B 43 30 8B 40 10 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 33 D2 8B 43 30 E8 ?? ?? ?? ?? 8B 43 30 8B 40 10 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 04 8B 08 FF 91 C0 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 44 00 65 00 73 00 63 00 72 00 69 00 62 00 65 00 43 00 6C 00 61 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_22583_0 {
	meta:
		name = "TDSAdminRestClient.ListMethods"
		size = 284
		refs = "000f @UStrAddRef 0017 TDSAdminRestClient.ListMethods 002b TDSCustomRestConnection.CreateCommand 003d @UStrAsg 0052 DSAdmin_ListMethods 005f TDSRestCommand.Prepare 0086 TDSRestCommand.Execute 00be @UStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 34 00 75 3C 8B 43 08 E8 ?? ?? ?? ?? 8B F0 89 73 34 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 34 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B9 01 00 00 00 8B 43 34 E8 ?? ?? ?? ?? 8B 43 34 8B 40 10 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 33 D2 8B 43 34 E8 ?? ?? ?? ?? 8B 43 34 8B 40 10 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 04 8B 08 FF 91 C0 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 4C 00 69 00 73 00 74 00 4D 00 65 00 74 00 68 00 6F 00 64 00 73 00 00 00 }
	condition:
		$1
}

rule function_22584_0 {
	meta:
		name = "TDSAdminRestClient.DescribeMethod"
		size = 292
		refs = "000f @UStrAddRef 0017 TDSAdminRestClient.DescribeMethod 002b TDSCustomRestConnection.CreateCommand 003d @UStrAsg 0052 DSAdmin_DescribeMethod 005f TDSRestCommand.Prepare 0086 TDSRestCommand.Execute 00be @UStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 38 00 75 3C 8B 43 08 E8 ?? ?? ?? ?? 8B F0 89 73 38 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 38 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B9 01 00 00 00 8B 43 38 E8 ?? ?? ?? ?? 8B 43 38 8B 40 10 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 33 D2 8B 43 38 E8 ?? ?? ?? ?? 8B 43 38 8B 40 10 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 04 8B 08 FF 91 C0 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 44 00 65 00 73 00 63 00 72 00 69 00 62 00 65 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_22585_0 {
	meta:
		name = "TDSAdminRestClient.GetServerMethods"
		size = 196
		refs = "000e TDSCustomRestConnection.CreateCommand 001b TDSAdminRestClient.GetServerMethods 0020 @UStrAsg 0035 DSAdmin_GetServerMethods 003f TDSRestCommand.Prepare 0049 TDSRestCommand.Execute"
	strings:
		$1 = { 53 56 8B D8 83 7B 3C 00 75 39 8B 43 08 E8 ?? ?? ?? ?? 8B F0 89 73 3C 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 3C 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 33 C9 8B 43 3C E8 ?? ?? ?? ?? 33 D2 8B 43 3C E8 ?? ?? ?? ?? 8B 43 3C 8B 40 10 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 04 8B 08 FF 91 A8 00 00 00 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 47 00 65 00 74 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_22586_0 {
	meta:
		name = "TDSAdminRestClient.GetServerMethodParameters"
		size = 212
		refs = "000e TDSCustomRestConnection.CreateCommand 001b TDSAdminRestClient.GetServerMethodParameters 0020 @UStrAsg 0035 DSAdmin_GetServerMethodParameters 003f TDSRestCommand.Prepare 0049 TDSRestCommand.Execute"
	strings:
		$1 = { 53 56 8B D8 83 7B 40 00 75 39 8B 43 08 E8 ?? ?? ?? ?? 8B F0 89 73 40 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 40 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 33 C9 8B 43 40 E8 ?? ?? ?? ?? 33 D2 8B 43 40 E8 ?? ?? ?? ?? 8B 43 40 8B 40 10 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 04 8B 08 FF 91 A8 00 00 00 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 47 00 65 00 74 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_22587_0 {
	meta:
		name = "TDSAdminRestClient.GetDatabaseConnectionProperties"
		size = 224
		refs = "000e TDSCustomRestConnection.CreateCommand 001b TDSAdminRestClient.GetDatabaseConnectionProperties 0020 @UStrAsg 0035 DSAdmin_GetDatabaseConnectionProperties 003f TDSRestCommand.Prepare 0049 TDSRestCommand.Execute"
	strings:
		$1 = { 53 56 8B D8 83 7B 44 00 75 39 8B 43 08 E8 ?? ?? ?? ?? 8B F0 89 73 44 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 44 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 33 C9 8B 43 44 E8 ?? ?? ?? ?? 33 D2 8B 43 44 E8 ?? ?? ?? ?? 8B 43 44 8B 40 10 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 04 8B 08 FF 91 A8 00 00 00 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 47 00 65 00 74 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_22588_0 {
	meta:
		name = "TDSAdminRestClient.ConsumeClientChannel"
		size = 540
		refs = "0019 @UStrAddRef 0039 TDSAdminRestClient.ConsumeClientChannel 004d TDSCustomRestConnection.CreateCommand 005f @UStrAsg 0074 DSAdmin_ConsumeClientChannelSecure 0081 TDSRestCommand.Prepare 011c GetSecurityToken 0156 TDSRestCommand.Execute 0193 @UStrArrayClr 01a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 48 00 75 3C 8B 46 08 E8 ?? ?? ?? ?? 8B D8 89 5E 48 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 48 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B9 06 00 00 00 8B 46 48 E8 ?? ?? ?? ?? 8B 46 48 8B 40 10 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 8B 46 48 8B 40 10 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 F8 8B 08 FF 91 78 01 00 00 8B 46 48 8B 40 10 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 10 8B 08 FF 91 78 01 00 00 8B 46 48 8B 40 10 BA 03 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 0C 8B 08 FF 91 78 01 00 00 8B 46 48 8B 40 10 BA 04 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 50 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 58 8B 08 FF 91 78 01 00 00 8B 46 48 8B 40 10 BA 05 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 4E 04 8B 55 08 8B 18 FF 93 B4 01 00 00 33 D2 8B 46 48 E8 ?? ?? ?? ?? 8B 46 48 8B 40 10 BA 06 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 56 04 8B 08 FF 91 C0 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5E 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 22 00 43 00 6F 00 6E 00 73 00 75 00 6D 00 65 00 43 00 6C 00 69 00 65 00 6E 00 74 00 43 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_22589_0 {
	meta:
		name = "TDSAdminRestClient.ConsumeClientChannelTimeout"
		size = 584
		refs = "0019 @UStrAddRef 0039 TDSAdminRestClient.ConsumeClientChannelTimeout 004d TDSCustomRestConnection.CreateCommand 005f @UStrAsg 0074 DSAdmin_ConsumeClientChannelTimeoutSecure 0081 TDSRestCommand.Prepare 011c GetSecurityToken 0176 TDSRestCommand.Execute 01b3 @UStrArrayClr 01c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 4C 00 75 3C 8B 46 08 E8 ?? ?? ?? ?? 8B D8 89 5E 4C 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 4C 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B9 07 00 00 00 8B 46 4C E8 ?? ?? ?? ?? 8B 46 4C 8B 40 10 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 8B 46 4C 8B 40 10 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 F8 8B 08 FF 91 78 01 00 00 8B 46 4C 8B 40 10 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 14 8B 08 FF 91 78 01 00 00 8B 46 4C 8B 40 10 BA 03 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 10 8B 08 FF 91 78 01 00 00 8B 46 4C 8B 40 10 BA 04 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 50 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 58 8B 08 FF 91 78 01 00 00 8B 46 4C 8B 40 10 BA 05 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 0C 8B 08 FF 91 90 01 00 00 8B 46 4C 8B 40 10 BA 06 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 4E 04 8B 55 08 8B 18 FF 93 B4 01 00 00 33 D2 8B 46 4C E8 ?? ?? ?? ?? 8B 46 4C 8B 40 10 BA 07 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 56 04 8B 08 FF 91 C0 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 10 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5E 5B 8B E5 5D C2 10 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 22 00 43 00 6F 00 6E 00 73 00 75 00 6D 00 65 00 43 00 6C 00 69 00 65 00 6E 00 74 00 43 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 22 00 00 00 }
	condition:
		$1
}

rule function_22590_0 {
	meta:
		name = "TDSAdminRestClient.CloseClientChannel"
		size = 348
		refs = "0016 @UStrAddRef 001e TDSAdminRestClient.CloseClientChannel 0032 TDSCustomRestConnection.CreateCommand 0044 @UStrAsg 0059 DSAdmin_CloseClientChannelSecure 0066 TDSRestCommand.Prepare 00a1 GetSecurityToken 00b7 TDSRestCommand.Execute 00ed @UStrArrayClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 50 00 75 3C 8B 43 08 E8 ?? ?? ?? ?? 8B F0 89 73 50 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 50 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B9 02 00 00 00 8B 43 50 E8 ?? ?? ?? ?? 8B 43 50 8B 40 10 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 8B 43 50 8B 40 10 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 50 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 58 8B 08 FF 91 78 01 00 00 33 D2 8B 43 50 E8 ?? ?? ?? ?? 8B 43 50 8B 40 10 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 68 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 43 00 6C 00 6F 00 73 00 65 00 43 00 6C 00 69 00 65 00 6E 00 74 00 43 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_22591_0 {
	meta:
		name = "TDSAdminRestClient.RegisterClientCallbackServer"
		size = 460
		refs = "0019 @UStrAddRef 0031 TDSAdminRestClient.RegisterClientCallbackServer 0045 TDSCustomRestConnection.CreateCommand 0057 @UStrAsg 006c DSAdmin_RegisterClientCallbackServerSecure 0079 TDSRestCommand.Prepare 00f4 GetSecurityToken 010a TDSRestCommand.Execute 0140 @UStrArrayClr 0148 @UStrClr 014e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 54 00 75 3C 8B 43 08 E8 ?? ?? ?? ?? 8B F0 89 73 54 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 54 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B9 04 00 00 00 8B 43 54 E8 ?? ?? ?? ?? 8B 43 54 8B 40 10 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 8B 43 54 8B 40 10 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 F8 8B 08 FF 91 78 01 00 00 8B 43 54 8B 40 10 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 08 8B 08 FF 91 78 01 00 00 8B 43 54 8B 40 10 BA 03 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 50 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 58 8B 08 FF 91 78 01 00 00 33 D2 8B 43 54 E8 ?? ?? ?? ?? 8B 43 54 8B 40 10 BA 04 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 68 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 52 00 65 00 67 00 69 00 73 00 74 00 65 00 72 00 43 00 6C 00 69 00 65 00 6E 00 74 00 43 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_22592_0 {
	meta:
		name = "TDSAdminRestClient.UnregisterClientCallback"
		size = 400
		refs = "0019 @UStrAddRef 0029 TDSAdminRestClient.UnregisterClientCallback 003d TDSCustomRestConnection.CreateCommand 004f @UStrAsg 0064 DSAdmin_UnregisterClientCallbackSecure 0071 TDSRestCommand.Prepare 00cc GetSecurityToken 00e2 TDSRestCommand.Execute 0118 @UStrArrayClr 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 58 00 75 3C 8B 43 08 E8 ?? ?? ?? ?? 8B F0 89 73 58 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 58 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B9 03 00 00 00 8B 43 58 E8 ?? ?? ?? ?? 8B 43 58 8B 40 10 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 8B 43 58 8B 40 10 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 F8 8B 08 FF 91 78 01 00 00 8B 43 58 8B 40 10 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 50 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 58 8B 08 FF 91 78 01 00 00 33 D2 8B 43 58 E8 ?? ?? ?? ?? 8B 43 58 8B 40 10 BA 03 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 68 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 55 00 6E 00 72 00 65 00 67 00 69 00 73 00 74 00 65 00 72 00 43 00 6C 00 69 00 65 00 6E 00 74 00 43 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_22593_0 {
	meta:
		name = "TDSAdminRestClient.BroadcastToChannel"
		size = 340
		refs = "0014 @UStrAddRef 001c TDSAdminRestClient.BroadcastToChannel 0030 TDSCustomRestConnection.CreateCommand 0042 @UStrAsg 0057 DSAdmin_BroadcastToChannel 0064 TDSRestCommand.Prepare 00af TDSRestCommand.Execute 00e0 @UStrClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 5C 00 75 3C 8B 43 08 E8 ?? ?? ?? ?? 8B F0 89 73 5C 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 5C 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B9 02 00 00 00 8B 43 5C E8 ?? ?? ?? ?? 8B 43 5C 8B 40 10 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 8B 43 5C 8B 40 10 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 4B 04 8B 55 F8 8B 30 FF 96 B4 01 00 00 33 D2 8B 43 5C E8 ?? ?? ?? ?? 8B 43 5C 8B 40 10 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 68 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 22 00 42 00 72 00 6F 00 61 00 64 00 63 00 61 00 73 00 74 00 54 00 6F 00 43 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_22594_0 {
	meta:
		name = "TDSAdminRestClient.BroadcastObjectToChannel"
		size = 536
		refs = "0014 @UStrAddRef 001c TDSAdminRestClient.BroadcastObjectToChannel 0036 TDSCustomRestConnection.CreateCommand 004b @UStrAsg 0063 DSAdmin_BroadcastObjectToChannel 0073 TDSRestCommand.Prepare 00d7 TDSRestCommand.GetJSONMarshaler 012e TObject.Free 0154 @HandleFinally 0163 TDSRestCommand.Execute 0197 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 78 60 00 75 48 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 8B F0 8B 45 F8 89 70 60 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 60 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 8B 40 60 B9 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 60 8B 40 10 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 85 DB 75 25 8B 45 F8 8B 40 60 8B 40 10 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 E9 9A 00 00 00 8B 45 F8 8B 40 60 8B 40 10 BA 01 00 00 00 8B 08 FF 51 04 8B 40 4C E8 ?? ?? ?? ?? 8B 55 F8 89 42 10 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F8 8B 40 60 8B 40 10 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 50 8B 45 F8 8B 40 10 8B D3 8B 08 FF 51 0C 8B D0 B1 01 58 8B 30 FF 96 B4 01 00 00 8B 45 F8 80 78 04 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 83 C0 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 F8 8B 40 60 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 60 8B 40 10 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 68 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 22 00 42 00 72 00 6F 00 61 00 64 00 63 00 61 00 73 00 74 00 4F 00 62 00 6A 00 65 00 63 00 74 00 54 00 6F 00 43 00 68 00 61 00 6E 00 6E 00 65 00 6C 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_22595_0 {
	meta:
		name = "TDSAdminRestClient.NotifyCallback"
		size = 420
		refs = "0014 @UStrAddRef 0024 TDSAdminRestClient.NotifyCallback 0038 TDSCustomRestConnection.CreateCommand 004a @UStrAsg 005f DSAdmin_NotifyCallback 006c TDSRestCommand.Prepare 00d7 TDSRestCommand.Execute 0133 @UStrArrayClr 0139 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 64 00 75 3C 8B 43 08 E8 ?? ?? ?? ?? 8B F0 89 73 64 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 64 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B9 04 00 00 00 8B 43 64 E8 ?? ?? ?? ?? 8B 43 64 8B 40 10 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 8B 43 64 8B 40 10 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 F8 8B 08 FF 91 78 01 00 00 8B 43 64 8B 40 10 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 4B 04 8B 55 0C 8B 30 FF 96 B4 01 00 00 33 D2 8B 43 64 E8 ?? ?? ?? ?? 8B 43 64 8B 40 10 BA 03 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 0F B6 53 04 8B 08 FF 91 C0 00 00 00 8B 55 08 89 02 8B 43 64 8B 40 10 BA 04 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 68 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 22 00 4E 00 6F 00 74 00 69 00 66 00 79 00 43 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_22596_0 {
	meta:
		name = "TDSAdminRestClient.NotifyObject"
		size = 748
		refs = "0018 @UStrAddRef 0028 TDSAdminRestClient.NotifyObject 0042 TDSCustomRestConnection.CreateCommand 0057 @UStrAsg 006f DSAdmin_NotifyObject 007f TDSRestCommand.Prepare 0106 TDSRestCommand.GetJSONMarshaler 015d TObject.Free 0183 @HandleFinally 0192 TDSRestCommand.Execute 01d2 TDSRestCommand.GetJSONUnMarshaler 0213 TJSONUnMarshal.Unmarshal 0280 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 89 55 FC 89 45 F4 8B 5D 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 78 68 00 75 48 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B F0 8B 45 F4 89 70 68 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 68 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 8B 40 68 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 68 8B 40 10 33 D2 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 FC 8B 08 FF 91 78 01 00 00 8B 45 F4 8B 40 68 8B 40 10 BA 01 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 55 F8 8B 08 FF 91 78 01 00 00 85 DB 75 25 8B 45 F4 8B 40 68 8B 40 10 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 E9 9A 00 00 00 8B 45 F4 8B 40 68 8B 40 10 BA 02 00 00 00 8B 08 FF 51 04 8B 40 4C E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F4 8B 40 68 8B 40 10 BA 02 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 50 8B 45 F4 8B 40 10 8B D3 8B 08 FF 51 0C 8B D0 B1 01 58 8B 30 FF 96 B4 01 00 00 8B 45 F4 80 78 04 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 83 C0 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 F4 8B 40 68 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 68 8B 40 10 BA 03 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 58 84 C0 0F 85 89 00 00 00 8B 45 F4 8B 40 68 8B 40 10 BA 03 00 00 00 8B 08 FF 51 04 8B 40 4C E8 ?? ?? ?? ?? 8B D8 8B 45 F4 89 58 14 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F4 8B 40 68 8B 40 10 BA 03 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C B2 01 8B 08 FF 91 C0 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 83 C0 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 08 33 D2 89 10 8B 45 F4 8B 40 68 8B 40 10 BA 04 00 00 00 8B 08 FF 51 04 8B 10 FF 52 7C 8B 10 FF 52 68 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 22 00 4E 00 6F 00 74 00 69 00 66 00 79 00 4F 00 62 00 6A 00 65 00 63 00 74 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_22597_0 {
	meta:
		name = "TDSAdminRestClient.ClearSession"
		size = 144
		refs = "000e TDSCustomRestConnection.CreateCommand 001b TDSAdminRestClient.ClearSession 0020 @UStrAsg 003a TDSRestCommand.Execute"
	strings:
		$1 = { 53 56 8B D8 83 7B 6C 00 75 2A 8B 43 08 E8 ?? ?? ?? ?? 8B F0 89 73 6C 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 6C 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 43 6C E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 43 00 6C 00 65 00 61 00 72 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_22600_0 {
	meta:
		name = "TDSAdminRestClient.Destroy"
		size = 482
		refs = "0005 @BeforeDestruction 001a TObject.Free 01cc TObject.Destroy 01d9 @ClassDestroy"
	strings:
		$1 = { 53 83 C4 C4 E8 ?? ?? ?? ?? 88 14 24 8B D8 8D 43 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 28 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 2C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 34 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 38 8B 10 89 54 24 04 33 D2 89 10 8B 44 24 04 E8 ?? ?? ?? ?? 8D 43 3C 8B 10 89 54 24 08 33 D2 89 10 8B 44 24 08 E8 ?? ?? ?? ?? 8D 43 40 8B 10 89 54 24 0C 33 D2 89 10 8B 44 24 0C E8 ?? ?? ?? ?? 8D 43 44 8B 10 89 54 24 10 33 D2 89 10 8B 44 24 10 E8 ?? ?? ?? ?? 8D 43 48 8B 10 89 54 24 14 33 D2 89 10 8B 44 24 14 E8 ?? ?? ?? ?? 8D 43 4C 8B 10 89 54 24 18 33 D2 89 10 8B 44 24 18 E8 ?? ?? ?? ?? 8D 43 50 8B 10 89 54 24 1C 33 D2 89 10 8B 44 24 1C E8 ?? ?? ?? ?? 8D 43 54 8B 10 89 54 24 20 33 D2 89 10 8B 44 24 20 E8 ?? ?? ?? ?? 8D 43 58 8B 10 89 54 24 24 33 D2 89 10 8B 44 24 24 E8 ?? ?? ?? ?? 8D 43 5C 8B 10 89 54 24 28 33 D2 89 10 8B 44 24 28 E8 ?? ?? ?? ?? 8D 43 60 8B 10 89 54 24 2C 33 D2 89 10 8B 44 24 2C E8 ?? ?? ?? ?? 8D 43 64 8B 10 89 54 24 30 33 D2 89 10 8B 44 24 30 E8 ?? ?? ?? ?? 8D 43 68 8B 10 89 54 24 34 33 D2 89 10 8B 44 24 34 E8 ?? ?? ?? ?? 8D 43 6C 8B 10 89 54 24 38 33 D2 89 10 8B 44 24 38 E8 ?? ?? ?? ?? 0F B6 14 24 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C3 E8 ?? ?? ?? ?? 83 C4 3C 5B C3 }
	condition:
		$1
}

rule function_22601_0 {
	meta:
		name = "TDSRestClient.Create"
		size = 48
		refs = "000b @ClassCreate 001e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 08 0F B6 4D 08 88 48 04 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 5D C2 04 00 }
	condition:
		$1
}

rule function_22604_0 {
	meta:
		name = "TDSRestProxyMetaDataLoader.Load"
		size = 106
		refs = "000a TDSRestProxyMetaDataLoader.Load 0020 TDSRestProxyMetaDataLoader.LoadFromConnection 002c SNoConnection 0031 LoadResString 003b _Dn_TDSProxyException 0040 Exception.Create 0045 @RaiseExcept 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 58 0C 85 DB 74 09 8B CA 8B D3 E8 ?? ?? ?? ?? 85 DB 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_22605_0 {
	meta:
		name = "TDSRestProxyMetaDataLoader.LoadFromConnection"
		size = 250
		refs = "001b _DV_TDSAdminRestClient 0020 TDSAdminRestClient.Create 002b TDSRestProxyMetaDataLoader.LoadFromConnection 0039 TDSAdminRestClient.GetServerMethodParameters 0050 _Dn_TDBXReaderTable 0055 TDBXReaderTable.Create 0060 _Dn_TDSMethodParametersEntity 0065 TDSMethodParametersEntity.Create 0072 TDSProxyMetadata.LoadMetadata 0087 TObject.Free 00a9 @UStrClr 00b1 TDSCustomRestConnection.GetHTTP 00b6 TDSHTTP.Disconnect 00c5 @HandleAnyException 00ca @DoneExcept 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 89 55 FC 33 C0 89 45 F4 6A 01 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC F6 40 1C 10 74 3A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 60 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22606_0 {
	meta:
		name = "Finalization"
		size = 566
		refs = "0007 Finalization 0013 _DV_82 001e GDSProxyRestSecurityToken 0023 @UStrClr 0028 DSAdmin_GetPlatformName 0033 TDSRestParameterMetaData 0038 @FinalizeArray 003d DSAdmin_ClearResources 0052 DSAdmin_FindPackages 0067 DSAdmin_FindClasses 007c DSAdmin_FindMethods 0091 DSAdmin_ListClasses 00a6 DSAdmin_DescribeClass 00bb DSAdmin_ListMethods 00d0 DSAdmin_DescribeMethod 00e5 DSAdmin_GetServerMethods 00fa DSAdmin_GetServerMethodParameters 010f DSAdmin_GetDatabaseConnectionProperties 0124 DSAdmin_GetDSServerName 0139 DSAdmin_CloseClientChannel 014e DSAdmin_UnregisterClientCallback 0163 DSAdmin_BroadcastToChannel 0178 DSAdmin_BroadcastObjectToChannel 018d DSAdmin_NotifyCallback 01a2 DSAdmin_NotifyObject 01b7 DSAdmin_ConsumeClientChannelSecure 01cc DSAdmin_ConsumeClientChannelTimeoutSecure 01e1 DSAdmin_CloseClientChannelSecure 01f6 DSAdmin_RegisterClientCallbackServerSecure 020b DSAdmin_UnregisterClientCallbackSecure 022e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 02 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 08 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_22608_0 {
	meta:
		name = "TDSProxyUtils.CompressDirectory"
		size = 81
		refs = "000e @UStrAddRef 0016 TDSProxyUtils.CompressDirectory 0028 TZipFile.ZipDirectoryContents 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 08 8B D3 8B 45 FC E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_22609_0 {
	meta:
		name = "TDSProxyUtils.IsValidZipFile"
		size = 75
		refs = "000c @UStrAddRef 0014 TDSProxyUtils.IsValidZipFile 0022 TZipFile.IsValid 0039 @UStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_22639_0 {
	meta:
		name = "TDSProxyWriterFactory.UnregisterWriter"
		size = 62
		refs = "0004 TDSProxyWriterFactory.Instance 000b TDSProxyWriterFactory.FRegisteredWriters 0038 TObject.Free"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 54 85 C0 7C 24 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 48 A1 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 75 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_22640_0 {
	meta:
		name = "TDSProxyWriterFactory.HasWriter"
		size = 22
		refs = "0006 TDSProxyWriterFactory.FRegisteredWriters 000b TDBXObjectStore.GetObjectFromName"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_22641_0 {
	meta:
		name = "TDSProxyWriterFactory.GetWriter"
		size = 264
		refs = "0017 TDSProxyWriterFactory.GetWriter 0029 SNoWriter 002e LoadResString 0038 _Dn_TDSProxyException 003d Exception.Create 0042 @RaiseExcept 0049 _DV_TDSProxyWriterFactory 004e TDSProxyWriterFactory.HasWriter 0067 SUnknownWriter 007b Exception.CreateFmt 0087 TDSProxyWriterFactory.FRegisteredWriters 008c TDBXObjectStore.GetObjectFromName 00bf @HandleOnException 00c7 _Dn_Exception 00d0 @DoneExcept 00eb @UStrClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 2E 89 5D F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 42 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 8B C3 FF 10 8B D8 33 C0 5A 59 59 64 89 10 EB 24 33 C0 5A 59 59 64 89 10 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22642_0 {
	meta:
		name = "TDSProxyWriterFactory.RegisteredWritersList"
		size = 267
		refs = "0017 TDSProxyWriterFactory.RegisteredWritersList 0022 TDSProxyWriterFactory.Instance 0027 TDSProxyWriterFactory.FRegisteredWriters 004d TDBXStringArray 0052 @DynArraySetLength 0064 TDBXObjectStore.Keys 009c @UStrAsg 00a4 TStringsEnumerator.MoveNext 00bd TObject.Free 00c3 @HandleFinally 00d6 @DynArrayAsg 00eb @UStrClr 00f9 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 0F 8E 91 00 00 00 A1 ?? ?? ?? ?? 8B 10 FF 52 14 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 25 8B 75 F0 FF 45 F0 8B 5D EC 8D 4D F8 8B 53 04 8B 43 08 8B 18 FF 53 0C 8B 45 FC 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_22645_0 {
	meta:
		name = "TDSCustomProxyWriter.WriteFileHeader"
		size = 236
		refs = "0012 TDSCustomProxyWriter.WriteFileHeader 0020 SGeneratedCode 0025 LoadResString 0035 @UStrCat3 004a Trim 006d @UStrLAsg 0077 TDSCustomProxyWriter.WriteLine 00c7 @UStrArrayClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B C3 8B 08 FF 51 10 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 83 7D EC 00 74 10 8D 45 F4 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 83 7D E8 00 74 0A 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 2F 00 2F 00 20 00 00 00 }
	condition:
		$1
}

rule function_22646_0 {
	meta:
		name = "TDSCustomProxyWriter.ClearMasks"
		size = 9
		refs = "0004 TDictionary<System.string,System.Masks.TMask>.Clear"
	strings:
		$1 = { 8B 40 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81361_0 {
	meta:
		name = "TGIFFrame.GetBitsPerPixel"
		size = 9
		refs = "0004 TGIFColorMap.GetBitsPerPixel"
	strings:
		$1 = { 8B 40 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46024_0 {
	meta:
		name = "TIWCompContext.AddScriptFile"
		size = 9
		refs = "0004 TIWPageContext40.AddScriptFile"
	strings:
		$1 = { 8B 40 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46031_0 {
	meta:
		name = "TIWCompContext.AddValidation"
		size = 9
		refs = "0004 TIWPageContext40.AddValidation"
	strings:
		$1 = { 8B 40 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35123_0 {
	meta:
		name = "TIdHTTPAppResponse.SetStatusCode"
		size = 9
		refs = "0004 TIdHTTPResponseInfo.SetResponseNo"
	strings:
		$1 = { 8B 40 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39939_0 {
	meta:
		name = "TIdHTTPResponseInfoPeer.SetCloseConnection"
		size = 9
		refs = "0004 TIdHTTPResponseInfo.SetCloseConnection"
	strings:
		$1 = { 8B 40 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39944_0 {
	meta:
		name = "TIdHTTPResponseInfoPeer.SetResponseNo"
		size = 9
		refs = "0004 TIdHTTPResponseInfo.SetResponseNo"
	strings:
		$1 = { 8B 40 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39947_0 {
	meta:
		name = "TIdHTTPResponseInfoPeer.WriteContent"
		size = 9
		refs = "0004 TIdHTTPResponseInfo.WriteContent"
	strings:
		$1 = { 8B 40 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39948_0 {
	meta:
		name = "TIdHTTPResponseInfoPeer.WriteHeader"
		size = 9
		refs = "0004 TIdHTTPResponseInfo.WriteHeader"
	strings:
		$1 = { 8B 40 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41049_0 {
	meta:
		name = "TInHTTPAppResponse.SetStatusCode"
		size = 9
		refs = "0004 TInHTTPResponseInfo.SetResponseNo"
	strings:
		$1 = { 8B 40 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49534_0 {
	meta:
		name = "TWebServExp.SetImportNamespace"
		size = 9
		refs = "0004 TDOMStrings.Insert"
	strings:
		$1 = { 8B 40 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22647_0 {
	meta:
		name = "TDSCustomProxyWriter.Create"
		size = 100
		refs = "000a @ClassCreate 0017 TObject.Create 0020 TDSCustomProxyWriter.Create 0027 _DV_TObjectDictionary<System.string,System.Masks.TMask> 002c TObjectDictionary<System.string,System.Masks.TMask>.Create 0038 _DV_TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter> 003d TDictionary<System.string,Datasnap.DSCommonProxy.IDSProxyWriter>.Create 004b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 34 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_22648_0 {
	meta:
		name = "IsMatch"
		size = 150
		refs = "0012 IsMatch 002b TDictionary<System.string,System.Masks.TMask>.TryGetValue 0039 Trim 0043 _Dn_TMask 0048 TMask.Create 005e TDictionary<System.string,System.Masks.TMask>.Add 006c TMask.Matches 0083 @UStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 45 08 8B 40 FC 8B 40 20 8B D3 E8 ?? ?? ?? ?? 84 C0 75 2F 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 45 08 8B 40 FC 8B 40 20 8B 4D FC 8B D3 E8 ?? ?? ?? ?? 8B 45 08 8B 50 08 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_22649_0 {
	meta:
		name = "TDSCustomProxyWriter.InclusionTest"
		size = 131
		refs = "001e @DynArrayLength 0034 IsMatch"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 89 55 F8 89 45 FC B3 01 83 7D F4 00 74 2B 8B 45 F4 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 1C 47 33 F6 55 8B 45 F4 8B 04 B0 E8 ?? ?? ?? ?? 59 84 C0 74 04 33 DB EB 04 46 4F 75 E7 83 7D F8 00 74 2D 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 1C 47 33 F6 55 8B 45 F8 8B 04 B0 E8 ?? ?? ?? ?? 59 84 C0 74 04 B3 01 EB 06 46 4F 75 E7 33 DB 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_22650_0 {
	meta:
		name = "TDSCustomProxyWriter.IncludeClassName"
		size = 13
		refs = "0008 TDSCustomProxyWriter.InclusionTest"
	strings:
		$1 = { 52 8B 48 28 8B 50 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22651_0 {
	meta:
		name = "TDSCustomProxyWriter.IncludeMethodName"
		size = 13
		refs = "0008 TDSCustomProxyWriter.InclusionTest"
	strings:
		$1 = { 52 8B 48 30 8B 50 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22652_0 {
	meta:
		name = "TDSCustomProxyWriter.WriteLine"
		size = 89
		refs = "000f TDSCustomProxyWriter.WriteLine 0022 @UStrCat3 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B CE 8B 53 10 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 14 8B C3 8B 10 FF 52 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_22653_0 {
	meta:
		name = "TDSCustomProxyWriter.Indent"
		size = 56
		refs = "0017 TDSCustomProxyWriter.Indent 001c @UStrCat"
	strings:
		$1 = { 53 56 8B D8 8B 43 14 01 43 1C 8B 73 14 4E 85 F6 7C 11 46 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 4E 75 F0 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_22654_0 {
	meta:
		name = "TDSCustomProxyWriter.Outdent"
		size = 64
		refs = "000e @UStrClr 001f TDSCustomProxyWriter.Outdent 0024 @UStrCat"
	strings:
		$1 = { 53 56 8B D8 8B 43 14 29 43 1C 8D 43 10 E8 ?? ?? ?? ?? 8B 73 1C 4E 85 F6 7C 11 46 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 4E 75 F0 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_22655_0 {
	meta:
		name = "TDSCustomProxyWriter.SetExcludeClasses"
		size = 32
		refs = "0009 TDSCustomProxyWriter.ClearMasks 0014 TDBXStringArray 0019 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 28 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22656_0 {
	meta:
		name = "TDSCustomProxyWriter.SetExcludeMethods"
		size = 32
		refs = "0009 TDSCustomProxyWriter.ClearMasks 0014 TDBXStringArray 0019 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 30 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22657_0 {
	meta:
		name = "TDSCustomProxyWriter.SetIncludeClasses"
		size = 32
		refs = "0009 TDSCustomProxyWriter.ClearMasks 0014 TDBXStringArray 0019 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 24 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22658_0 {
	meta:
		name = "TDSCustomProxyWriter.SetIncludeMethods"
		size = 32
		refs = "0009 TDSCustomProxyWriter.ClearMasks 0014 TDBXStringArray 0019 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 2C 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22661_0 {
	meta:
		name = "TDSCustomProxyWriter.WriteProxy"
		size = 26
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 0C 8B C3 8B 10 FF 52 08 8B C3 8B 10 FF 52 04 5B C3 }
	condition:
		$1
}

rule function_22662_0 {
	meta:
		name = "TDSCustomProxyWriter.IsKnownTableTypeName"
		size = 108
		refs = "0008 TDSCustomProxyWriter.IsKnownTableTypeName 000f CompareText"
	strings:
		$1 = { 53 8B DA 85 DB 74 24 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 B0 01 5B C3 33 C0 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 }
	condition:
		$1
}

rule function_22663_0 {
	meta:
		name = "TDSCustomProxyWriter.IsKnownDBXValueTypeName"
		size = 188
		refs = "000c TDSCustomProxyWriter.IsKnownDBXValueTypeName 002b @UStrCopy 0038 CompareText 0048 StringIndexOf 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 4A 8D 45 FC 50 B9 04 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 24 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 85 C0 74 05 83 E8 04 8B 00 83 E8 05 3B D0 75 04 B3 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 44 00 42 00 58 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 61 00 6C 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_22664_0 {
	meta:
		name = "TDSCustomProxyWriter.IsKnownJSONTypeName"
		size = 132
		refs = "000c TDSCustomProxyWriter.IsKnownJSONTypeName 002b @UStrCopy 0038 CompareText 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 2A 8D 45 FC 50 B9 05 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 04 B3 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 4A 00 53 00 4F 00 4E 00 00 00 }
	condition:
		$1
}

rule function_22665_0 {
	meta:
		name = "TDSCustomProxyWriter.Destroy"
		size = 66
		refs = "0003 @BeforeDestruction 000f TObject.Free 0030 TObject.Destroy 003b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 20 E8 ?? ?? ?? ?? 8B 46 34 E8 ?? ?? ?? ?? 80 7E 08 00 74 08 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_22666_0 {
	meta:
		name = "TDSCustomProxyWriter.GetDelphiTypeName"
		size = 1480
		refs = "0014 TDSCustomProxyWriter.GetDelphiTypeName 0025 @UStrLAsg 0035 @UStrAsg 0289 IntToStr 029e @UStrCatN 02c2 @UStrArrayClr 02c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 14 E8 ?? ?? ?? ?? 83 7D FC 00 74 0F 8B C6 8B 55 FC E8 ?? ?? ?? ?? E9 6E 02 00 00 8B 43 0C 83 F8 24 0F 87 33 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AB 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 99 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 87 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 75 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 63 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 51 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3F 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2D 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1B 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 09 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F7 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E5 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D3 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C1 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AF 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9D 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8B 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7C 8B 53 14 8B C7 8B 08 FF 51 28 84 C0 74 0D 8D 45 FC 8B 53 14 E8 ?? ?? ?? ?? EB 61 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 52 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 43 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 34 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 25 68 ?? ?? ?? ?? 8D 55 F8 8B 43 0C E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 41 00 6E 00 73 00 69 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 68 00 6F 00 72 00 74 00 49 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 79 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 49 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 57 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 6E 00 74 00 65 00 67 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 74 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 42 00 63 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 42 00 58 00 54 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 42 00 58 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 53 00 51 00 4C 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 54 00 53 00 51 00 4C 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 4F 00 66 00 66 00 73 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 75 00 72 00 72 00 65 00 6E 00 63 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 44 00 42 00 58 00 52 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 53 00 74 00 72 00 65 00 61 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 61 00 72 00 69 00 61 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 54 00 44 00 42 00 58 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 7B 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 54 00 79 00 70 00 65 00 28 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 7D 00 00 00 00 00 }
	condition:
		$1
}

rule function_22667_0 {
	meta:
		name = "TDSCustomProxyWriter.GetGetter"
		size = 1556
		refs = "0012 TDSCustomProxyWriter.GetGetter 00d6 @UStrLAsg 0261 IntToStr 0276 @UStrCatN 0280 @UStrAsg 029a @UStrArrayClr 02a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 0C 8B C7 83 F8 26 0F 87 2C 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9B 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 89 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 77 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 65 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 53 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 41 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2F 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1D 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0B 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F9 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E7 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D5 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C3 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B1 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9F 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8D 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7E 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 60 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 51 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 42 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 33 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 68 ?? ?? ?? ?? 8D 55 F8 8B C7 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 41 00 6E 00 73 00 69 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 65 00 74 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 47 00 65 00 74 00 49 00 6E 00 74 00 38 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 55 00 49 00 6E 00 74 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 49 00 6E 00 74 00 31 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 55 00 49 00 6E 00 74 00 31 00 36 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 49 00 6E 00 74 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 65 00 74 00 49 00 6E 00 74 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 74 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 47 00 65 00 74 00 42 00 63 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 47 00 65 00 74 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 41 00 73 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 47 00 65 00 74 00 44 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 47 00 65 00 74 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 47 00 65 00 74 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 4F 00 66 00 66 00 73 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 47 00 65 00 74 00 43 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 47 00 65 00 74 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 41 00 73 00 43 00 75 00 72 00 72 00 65 00 6E 00 63 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 47 00 65 00 74 00 44 00 42 00 58 00 52 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 74 00 53 00 74 00 72 00 65 00 61 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 41 00 73 00 56 00 61 00 72 00 69 00 61 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 7B 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 54 00 79 00 70 00 65 00 28 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 7D 00 00 00 00 00 }
	condition:
		$1
}

rule function_22668_0 {
	meta:
		name = "TDSCustomProxyWriter.GetMetadata"
		size = 50
		refs = "000c _Dn_TDSProxyMetadata 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 04 00 75 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 C6 43 08 01 83 7B 18 00 74 0B 8B 53 04 8B 43 18 8B 08 FF 51 0C 8B 43 04 5B C3 }
	condition:
		$1
}

rule function_22669_0 {
	meta:
		name = "TDSCustomProxyWriter.GetSetter"
		size = 2076
		refs = "0021 TDSCustomProxyWriter.GetSetter 00e9 @UStrLAsg 0283 IntToStr 0298 @UStrCatN 02c6 CompareText 02e4 @UStrCat3 0343 TDSCustomProxyWriter.GetGetter 0385 @UStrCat 03cb @UStrAsg 03e5 @UStrArrayClr 03ed @UStrClr 03f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 7B 0C 8B C7 83 F8 26 0F 87 3B 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AA 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 98 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 86 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 74 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 62 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 50 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3E 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2C 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1A 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 08 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F6 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E4 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D2 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C0 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AE 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9C 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8A 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7B 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 F7 01 EB 68 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 59 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 F7 01 EB 46 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 F7 01 EB 33 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 68 ?? ?? ?? ?? 8D 55 F0 8B C7 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 66 83 38 53 0F 85 F1 00 00 00 83 7B 0C 17 75 6E 8B 53 14 8B C6 8B 08 FF 51 28 84 C0 74 60 BA ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 85 C0 75 1F 8D 4D EC 8B D3 8B C6 8B 18 FF 53 38 8B 4D EC 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? E9 E2 00 00 00 BA ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 85 C0 75 1F 8D 4D E8 8B D3 8B C6 8B 18 FF 53 3C 8B 4D E8 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? E9 B2 00 00 00 8B 53 14 8B C6 8B 08 FF 51 2C 84 C0 74 33 FF 75 FC 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8D 4D E4 8B D3 8B C6 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8B 45 F8 BA 06 00 00 00 E8 ?? ?? ?? ?? EB 71 FF 75 FC 68 ?? ?? ?? ?? FF 73 10 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 80 7D F7 00 74 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 39 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2A FF 75 FC 68 ?? ?? ?? ?? 8D 55 E0 8B C6 8B 08 FF 51 1C FF 75 E0 68 ?? ?? ?? ?? FF 73 10 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 65 00 74 00 41 00 6E 00 73 00 69 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 74 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 65 00 74 00 49 00 6E 00 74 00 38 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 65 00 74 00 55 00 49 00 6E 00 74 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 65 00 74 00 49 00 6E 00 74 00 31 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 65 00 74 00 55 00 49 00 6E 00 74 00 31 00 36 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 65 00 74 00 49 00 6E 00 74 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 65 00 74 00 49 00 6E 00 74 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 65 00 74 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 65 00 74 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 65 00 74 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 74 00 42 00 63 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 65 00 74 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 41 00 73 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 65 00 74 00 44 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 65 00 74 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 53 00 65 00 74 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 4F 00 66 00 66 00 73 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 65 00 74 00 43 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 65 00 74 00 4A 00 53 00 4F 00 4E 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 41 00 73 00 43 00 75 00 72 00 72 00 65 00 6E 00 63 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 65 00 74 00 44 00 42 00 58 00 52 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 65 00 74 00 53 00 74 00 72 00 65 00 61 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 41 00 73 00 56 00 61 00 72 00 69 00 61 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 7B 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 54 00 79 00 70 00 65 00 28 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 2E 00 56 00 61 00 6C 00 75 00 65 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 2C 00 20 00 46 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 4F 00 77 00 6E 00 65 00 72 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_22670_0 {
	meta:
		name = "TDSCustomProxyWriter.GetTimeStamp"
		size = 228
		refs = "001b TDSCustomProxyWriter.GetTimeStamp 0026 Now 0033 CurrencyString 003b @UStrLAsg 005e FormatDateTime 00a9 @UStrCatN 00c3 @UStrArrayClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 C9 89 4D FC 89 4D F8 89 4D F4 89 4D F0 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? DD 5D E8 9B 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 52 0C E8 ?? ?? ?? ?? 8B 45 E8 89 45 E0 8B 45 EC 89 45 E4 FF 75 E4 FF 75 E0 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? 8B 52 20 E8 ?? ?? ?? ?? 8B 45 E8 89 45 D8 8B 45 EC 89 45 DC FF 75 DC FF 75 D8 8D 4D F0 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 F0 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_22671_0 {
	meta:
		name = "TDSCustomProxyWriter.IncludeClass"
		size = 9
		refs = "0004 TDSCustomProxyWriter.IncludeClassName"
	strings:
		$1 = { 8B 52 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36688_0 {
	meta:
		name = "TIdEtherAddr.CopyFrom"
		size = 9
		refs = "0004 TIdEtherAddr.SetData"
	strings:
		$1 = { 8B 52 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_22672_0 {
	meta:
		name = "TDSCustomProxyWriter.IncludeMethod"
		size = 9
		refs = "0004 TDSCustomProxyWriter.IncludeMethodName"
	strings:
		$1 = { 8B 52 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23117_0 {
	meta:
		name = "MakeRefVar"
		size = 31
		refs = "000c @VarClear"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B C3 E8 ?? ?? ?? ?? 66 81 CE 00 40 66 89 33 89 7B 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23118_0 {
	meta:
		name = "TDSMethodValues.AssignParameterValues"
		size = 3343
		refs = "001c @DynArrayAddRef 0024 TDSMethodValues.AssignParameterValues 0032 TDSMethodValues.ClearReferenceParameters 003d @DynArrayLength 0065 TArrayOfVariant 006a @DynArraySetLength 0087 TArrayOfObject 0101 @VarFromInt 01c7 @GetMem 01eb MakeRefVar 0200 @VarCopy 047d SQLTimeStampToDateTime 04de BCDToCurr 056e @LStrAsg 05d4 @UStrAsg 06ab TDSMethodValues.SetAllocatedObject 06f8 TDSMethodValues.AssignTableValue 0717 @VarToInteger 0779 TDSMethodValues.PopulateMarshal 0783 TDSMethodValues.JSONToUserObject 0792 TList<System.TObject>.Add 081d SUnknownType 0822 LoadResString 082f _Dn_Exception 0834 Exception.CreateFmt 0839 @RaiseExcept 090d @VarFromBool 09ed @VarFromInt64 0a0f @VarFromReal 0a64 @VarFromTDateTime 0a9d @VarFromCurr 0ac8 @VarFromLStr 0af3 @VarFromUStr 0b3b TDSMethodValues.AssignStreamValue 0bbe TDSMethodValues.AssignJSONValue 0c49 @UStrClr 0c54 @VarClr 0c6a @LStrClr 0c81 Variant 0c8b @FinalizeArray 0cf4 TDBXParameterArray 0cf9 @DynArrayClear 0cff @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 37 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 FC 89 45 E4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 8B 40 0C E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 3B D8 74 44 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 E4 83 C0 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 E4 83 C0 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 0F 8C 91 0B 00 00 40 89 45 CC 33 FF 8B 45 FC 8B 34 B8 8B C6 8B 10 FF 52 7C 89 45 E0 8B C6 8B 10 FF 52 40 83 F8 02 74 0C 8B C6 8B 10 FF 52 40 83 F8 03 75 0B 8B C6 8B 10 FF 52 70 84 C0 74 04 33 DB EB 02 B3 01 8B C6 8B 10 FF 52 70 84 C0 74 1C 8B C7 03 C0 8B 55 E4 8B 52 0C 8D 04 C2 8B 55 E0 B1 FC E8 ?? ?? ?? ?? E9 21 0B 00 00 84 DB 0F 84 30 07 00 00 8B C6 8B 10 FF 52 50 83 F8 25 0F 87 CA 06 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B8 02 00 00 00 E8 ?? ?? ?? ?? 89 45 DC 8B 5D DC 66 C7 03 00 00 8B 45 E0 8B 10 FF 52 68 88 03 8D 4D BC 8B 55 DC 66 B8 0B 00 E8 ?? ?? ?? ?? 8D 55 BC 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 E8 ?? ?? ?? ?? E9 22 0A 00 00 B8 01 00 00 00 E8 ?? ?? ?? ?? 89 45 DC 8B 45 E0 8B 10 FF 52 78 8B 55 DC 88 02 8D 4D AC 8B 55 DC 66 B8 11 00 E8 ?? ?? ?? ?? 8D 55 AC 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 E8 ?? ?? ?? ?? E9 DF 09 00 00 B8 01 00 00 00 E8 ?? ?? ?? ?? 89 45 DC 8B 45 E0 8B 10 FF 52 7C 8B 55 DC 88 02 8D 4D 9C 8B 55 DC 66 B8 10 00 E8 ?? ?? ?? ?? 8D 55 9C 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 E8 ?? ?? ?? ?? E9 9C 09 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 89 45 DC 8B 45 E0 8B 10 FF 92 80 00 00 00 8B 55 DC 66 89 02 8D 4D 8C 8B 55 DC 66 B8 12 00 E8 ?? ?? ?? ?? 8D 55 8C 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 E8 ?? ?? ?? ?? E9 55 09 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 89 45 DC 8B 45 E0 8B 10 FF 92 84 00 00 00 8B 55 DC 66 89 02 8D 8D 7C FF FF FF 8B 55 DC 66 B8 02 00 E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 E8 ?? ?? ?? ?? E9 08 09 00 00 B8 04 00 00 00 E8 ?? ?? ?? ?? 89 45 DC 8B 45 E0 8B 10 FF 92 88 00 00 00 8B 55 DC 89 02 8D 8D 6C FF FF FF 8B 55 DC 66 B8 03 00 E8 ?? ?? ?? ?? 8D 95 6C FF FF FF 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 E8 ?? ?? ?? ?? E9 BC 08 00 00 B8 08 00 00 00 E8 ?? ?? ?? ?? 89 45 DC 8B 45 E0 8B 10 FF 92 8C 00 00 00 8B 4D DC 89 01 89 51 04 8D 8D 5C FF FF FF 8B 55 DC 66 B8 14 00 E8 ?? ?? ?? ?? 8D 95 5C FF FF FF 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 E8 ?? ?? ?? ?? E9 6D 08 00 00 B8 04 00 00 00 E8 ?? ?? ?? ?? 89 45 DC 8B 45 E0 8B 10 FF 92 90 00 00 00 8B 45 DC D9 18 9B 8D 8D 4C FF FF FF 8B 55 DC 66 B8 04 00 E8 ?? ?? ?? ?? 8D 95 4C FF FF FF 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 E8 ?? ?? ?? ?? E9 20 08 00 00 B8 08 00 00 00 E8 ?? ?? ?? ?? 89 45 DC 8B 45 E0 8B 10 FF 92 94 00 00 00 8B 45 DC DD 18 9B 8D 8D 3C FF FF FF 8B 55 DC 66 B8 05 00 E8 ?? ?? ?? ?? 8D 95 3C FF FF FF 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 E8 ?? ?? ?? ?? E9 D3 07 00 00 B8 08 00 00 00 E8 ?? ?? ?? ?? 89 45 DC 8D 95 2C FF FF FF 8B 45 E0 8B 08 FF 91 9C 00 00 00 8D 85 2C FF FF FF E8 ?? ?? ?? ?? 8B 45 DC DD 18 9B 8D 8D 1C FF FF FF 8B 55 DC 66 B8 07 00 E8 ?? ?? ?? ?? 8D 95 1C FF FF FF 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 E8 ?? ?? ?? ?? E9 75 07 00 00 B8 08 00 00 00 E8 ?? ?? ?? ?? 89 45 DC 8D 95 F8 FE FF FF 8B 45 E0 8B 08 FF 91 A4 00 00 00 8D 85 F8 FE FF FF 8B 55 DC E8 ?? ?? ?? ?? 8D 8D E8 FE FF FF 8B 55 DC 66 B8 06 00 E8 ?? ?? ?? ?? 8D 95 E8 FE FF FF 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 E8 ?? ?? ?? ?? E9 1A 07 00 00 B8 04 00 00 00 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 33 D2 89 10 8D 8D D8 FE FF FF 8B 55 DC 66 B8 00 01 E8 ?? ?? ?? ?? 8D 95 D8 FE FF FF 8B DF 03 DB 8B 45 E4 8B 40 0C 8D 04 D8 E8 ?? ?? ?? ?? 8D 95 D4 FE FF FF 8B 45 E0 8B 08 FF 51 60 8B 95 D4 FE FF FF 8B 45 E4 8B 40 0C 8B 44 D8 08 E8 ?? ?? ?? ?? E9 B4 06 00 00 B8 04 00 00 00 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 33 D2 89 10 8D 8D C4 FE FF FF 8B 55 DC 66 B8 02 01 E8 ?? ?? ?? ?? 8D 95 C4 FE FF FF 8B DF 03 DB 8B 45 E4 8B 40 0C 8D 04 D8 E8 ?? ?? ?? ?? 8D 95 C0 FE FF FF 8B 45 E0 8B 08 FF 51 70 8B 95 C0 FE FF FF 8B 45 E4 8B 40 0C 8B 44 D8 08 E8 ?? ?? ?? ?? E9 4E 06 00 00 B8 04 00 00 00 E8 ?? ?? ?? ?? 89 45 DC 8B 45 E0 8B 10 FF 52 6C 8B 55 DC 89 02 8D 8D B0 FE FF FF 8B 55 DC 66 B8 03 00 E8 ?? ?? ?? ?? 8D 95 B0 FE FF FF 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 E8 ?? ?? ?? ?? E9 05 06 00 00 B8 04 00 00 00 E8 ?? ?? ?? ?? 89 45 DC 8B 45 E0 8B 10 FF 52 64 8B 55 DC 89 02 8D 8D A0 FE FF FF 8B 55 DC 66 B8 03 00 E8 ?? ?? ?? ?? 8D 95 A0 FE FF FF 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 E8 ?? ?? ?? ?? E9 BC 05 00 00 8D 55 E8 8B 45 E0 8B 08 FF 51 4C 8B C7 03 C0 8B 55 E4 8B 52 0C 8D 04 C2 8D 55 E8 E8 ?? ?? ?? ?? E9 97 05 00 00 33 D2 8B 45 E0 8B 08 FF 91 B4 00 00 00 8B D8 8B CB 8B D7 8B 45 E4 E8 ?? ?? ?? ?? B8 04 00 00 00 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 89 18 8D 8D 90 FE FF FF 8B 55 DC 66 B8 03 00 E8 ?? ?? ?? ?? 8D 95 90 FE FF FF 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 E8 ?? ?? ?? ?? E9 3B 05 00 00 8B CE 8B D7 8B 45 E4 E8 ?? ?? ?? ?? B8 04 00 00 00 E8 ?? ?? ?? ?? 89 45 DC 8B DF 03 DB 8B 45 E4 8B 40 0C 8D 04 D8 E8 ?? ?? ?? ?? 8B 55 DC 89 02 8D 8D 80 FE FF FF 8B 55 DC 66 B8 03 00 E8 ?? ?? ?? ?? 8D 95 80 FE FF FF 8B 45 E4 8B 40 0C 8D 04 D8 E8 ?? ?? ?? ?? E9 E0 04 00 00 B8 04 00 00 00 E8 ?? ?? ?? ?? 89 45 DC 8B C6 8B 10 FF 52 54 83 F8 28 75 39 B2 01 8B 45 E0 8B 08 FF 91 C0 00 00 00 8B D8 8B D6 8B 45 E4 E8 ?? ?? ?? ?? 8B D3 8B 45 E4 E8 ?? ?? ?? ?? 8B D8 8B 45 E4 8B 40 2C 8B D3 E8 ?? ?? ?? ?? 8B 45 DC 89 18 EB 20 33 D2 8B 45 E0 8B 08 FF 91 C0 00 00 00 8B D8 8B CB 8B D7 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 DC 89 18 8D 8D 70 FE FF FF 8B 55 DC 66 B8 03 00 E8 ?? ?? ?? ?? 8D 95 70 FE FF FF 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 E8 ?? ?? ?? ?? E9 3F 04 00 00 89 BD 2C FF FF FF C6 85 30 FF FF FF 00 8B C6 8B 10 FF 52 50 89 85 34 FF FF FF C6 85 38 FF FF FF 00 8D 85 2C FF FF FF 50 6A 01 8D 95 6C FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 6C FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E9 03 00 00 8B C6 8B 10 FF 52 50 83 F8 26 0F 87 95 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 E0 8B 10 FF 52 68 8B D0 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 E8 ?? ?? ?? ?? E9 15 03 00 00 8B 45 E0 8B 10 FF 52 78 0F B6 D0 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 B1 01 E8 ?? ?? ?? ?? E9 F1 02 00 00 8B 45 E0 8B 10 FF 52 7C 0F BE D0 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 B1 FF E8 ?? ?? ?? ?? E9 CD 02 00 00 8B 45 E0 8B 10 FF 92 80 00 00 00 0F B7 D0 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 B1 02 E8 ?? ?? ?? ?? E9 A6 02 00 00 8B 45 E0 8B 10 FF 92 84 00 00 00 0F BF D0 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 B1 FE E8 ?? ?? ?? ?? E9 7F 02 00 00 8B 45 E0 8B 10 FF 92 88 00 00 00 8B D0 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 B1 FC E8 ?? ?? ?? ?? E9 59 02 00 00 8B 45 E0 8B 10 FF 92 8C 00 00 00 52 50 8B C7 03 C0 8B 55 E4 8B 52 0C 8D 04 C2 E8 ?? ?? ?? ?? E9 35 02 00 00 8B 45 E0 8B 10 FF 92 90 00 00 00 8B C7 03 C0 8B 55 E4 8B 52 0C 8D 04 C2 E8 ?? ?? ?? ?? E9 13 02 00 00 8B 45 E0 8B 10 FF 92 94 00 00 00 8B C7 03 C0 8B 55 E4 8B 52 0C 8D 04 C2 E8 ?? ?? ?? ?? E9 F1 01 00 00 8D 95 2C FF FF FF 8B 45 E0 8B 08 FF 91 9C 00 00 00 8D 85 2C FF FF FF E8 ?? ?? ?? ?? 8B C7 03 C0 8B 55 E4 8B 52 0C 8D 04 C2 E8 ?? ?? ?? ?? E9 BE 01 00 00 8D 95 F8 FE FF FF 8B 45 E0 8B 08 FF 91 A4 00 00 00 8D 85 F8 FE FF FF 8D 55 D0 E8 ?? ?? ?? ?? DF 6D D0 8B C7 03 C0 8B 55 E4 8B 52 0C 8D 04 C2 E8 ?? ?? ?? ?? E9 85 01 00 00 8D 95 68 FE FF FF 8B 45 E0 8B 08 FF 51 60 8B 95 68 FE FF FF 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 E8 ?? ?? ?? ?? E9 5A 01 00 00 8D 95 64 FE FF FF 8B 45 E0 8B 08 FF 51 70 8B 95 64 FE FF FF 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 E8 ?? ?? ?? ?? E9 2F 01 00 00 8B CE 8B D7 8B 45 E4 E8 ?? ?? ?? ?? E9 1E 01 00 00 8B 45 E0 8B 10 FF 92 B0 00 00 00 8B D0 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 B1 FC E8 ?? ?? ?? ?? E9 F8 00 00 00 8B CE 8B D7 8B 45 E4 E8 ?? ?? ?? ?? E9 E7 00 00 00 8B C6 8B 10 FF 52 7C 8D 95 54 FE FF FF 8B 08 FF 51 4C 8D 95 54 FE FF FF 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 E8 ?? ?? ?? ?? E9 B8 00 00 00 8B 45 E0 8B 10 FF 52 6C 8B D0 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 B1 FC E8 ?? ?? ?? ?? E9 95 00 00 00 8B 45 E0 8B 10 FF 52 64 8B D0 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 B1 FC E8 ?? ?? ?? ?? EB 75 8B CE 8B D7 8B 45 E4 E8 ?? ?? ?? ?? EB 67 8B 45 E0 8B 10 FF 92 C4 00 00 00 8B D0 8B C7 03 C0 8B 4D E4 8B 49 0C 8D 04 C1 B1 FC E8 ?? ?? ?? ?? EB 44 8B C6 8B 10 FF 52 50 89 85 4C FE FF FF C6 85 50 FE FF FF 00 8D 85 4C FE FF FF 50 6A 00 8D 95 48 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 48 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 FF 4D CC 0F 85 75 F4 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 48 FE FF FF E8 ?? ?? ?? ?? 8D 85 54 FE FF FF E8 ?? ?? ?? ?? 8D 85 64 FE FF FF E8 ?? ?? ?? ?? 8D 85 68 FE FF FF E8 ?? ?? ?? ?? 8D 85 6C FE FF FF E8 ?? ?? ?? ?? 8D 85 70 FE FF FF 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? 8D 85 C0 FE FF FF E8 ?? ?? ?? ?? 8D 85 C4 FE FF FF E8 ?? ?? ?? ?? 8D 85 D4 FE FF FF E8 ?? ?? ?? ?? 8D 85 D8 FE FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 1C FF FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? B9 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 3A FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23119_0 {
	meta:
		name = "TDSMethodValues.AssignStreamValue"
		size = 196
		refs = "0019 TDSMethodValues.AssignStreamValue 0043 @VarFromInt 0050 @UStrLAsg 0088 TDSMethodValues.SetAllocatedObject 00b1 @UStrClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 10 FF 52 7C 8B 10 FF 52 58 84 C0 74 16 8B 45 F8 03 C0 8B 56 0C 8D 04 C2 33 D2 B1 01 E8 ?? ?? ?? ?? EB 57 8D 45 FC 8B 57 50 E8 ?? ?? ?? ?? 80 7E 20 00 75 15 8B C7 8B 10 FF 52 7C 33 D2 8B 08 FF 91 B4 00 00 00 8B D8 EB 11 8B C7 8B 10 FF 52 7C 8B 10 FF 92 B8 00 00 00 8B D8 8B CB 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 03 C0 8B 56 0C 8D 04 C2 8B D3 B1 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23120_0 {
	meta:
		name = "TDSMethodValues.AssignJSONValue"
		size = 220
		refs = "0029 @VarFromInt 0078 TDSMethodValues.PopulateMarshal 0081 TDSMethodValues.JSONToUserObject 008d TList<System.TObject>.Add 00c0 TDSMethodValues.SetAllocatedObject"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 8B F0 8B C7 8B 10 FF 52 7C 8B 10 FF 52 58 84 C0 74 18 8B C5 03 C0 8B 56 0C 8D 04 C2 33 D2 B1 01 E8 ?? ?? ?? ?? E9 A5 00 00 00 8B C7 8B 10 FF 52 54 83 F8 28 75 68 8B C7 8B 10 FF 52 7C B2 01 8B 08 FF 91 C0 00 00 00 8B D8 85 DB 74 1E 8B C3 8B 10 FF 52 14 84 C0 74 13 8B C7 8B 10 FF 52 7C 33 D2 8B 08 FF 91 C0 00 00 00 8B D8 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 8B D3 8B 46 2C E8 ?? ?? ?? ?? 8B C5 03 C0 8B 56 0C 8D 04 C2 8B D3 B1 FC E8 ?? ?? ?? ?? EB 31 8B C7 8B 10 FF 52 7C 33 D2 8B 08 FF 91 C0 00 00 00 8B D8 8B CB 8B D5 8B C6 E8 ?? ?? ?? ?? 8B C5 03 C0 8B 56 0C 8D 04 C2 8B D3 B1 FC E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23121_0 {
	meta:
		name = "TDSMethodValues.AssignTableValue"
		size = 404
		refs = "0018 TDSMethodValues.AssignTableValue 0041 @VarFromInt 0065 @UStrLAsg 0091 @UStrEqual 00a2 _Dn_TCustomSQLDataSet 00a7 TCustomSQLDataSet.Create 00b0 TDataSet.Open 00bb TDSMethodValues.SetAllocatedObject 00eb TDBXParamsReader.ToParams 0142 @UStrClr 0148 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 7C 8B 10 FF 52 58 84 C0 74 18 8B C7 03 C0 8B 53 0C 8D 04 C2 33 D2 B1 01 E8 ?? ?? ?? ?? E9 E7 00 00 00 8B C6 8B 10 FF 52 7C 33 D2 8B 08 FF 91 A8 00 00 00 89 45 F8 8D 45 FC 8B 56 50 E8 ?? ?? ?? ?? 83 7D FC 00 75 19 8B C7 03 C0 8B 53 0C 8D 04 C2 8B 55 F8 B1 FC E8 ?? ?? ?? ?? E9 A9 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3D 8B 45 F8 50 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C7 03 C0 8B 53 0C 8D 04 C2 8B D6 B1 FC E8 ?? ?? ?? ?? EB 5D 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2E 33 C9 8B 55 F8 33 C0 E8 ?? ?? ?? ?? 8B F0 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C7 03 C0 8B 53 0C 8D 04 C2 8B D6 B1 FC E8 ?? ?? ?? ?? EB 20 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C7 03 C0 8B 53 0C 8D 04 C2 8B 55 F8 B1 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 }
	condition:
		$1
}

rule function_23122_0 {
	meta:
		name = "TDSMethodValues.ClearReferenceParameters"
		size = 521
		refs = "0016 TDSMethodValues.ClearReferenceParameters 0029 @DynArrayLength 0053 @VarCopy 005b VarIsByRef 0079 @LStrClr 0083 @UStrClr 0099 @FreeMem 00a8 @HandleAnyException 00af @DoneExcept 00c2 @VarClear 00f2 TObject.Free 0127 TArrayOfVariant 012c @DynArraySetLength 0142 TArrayOfObject 01c9 TList<System.TObject>.Clear 01f4 @VarClr 01fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 45 EC 8B 40 0C E8 ?? ?? ?? ?? 48 85 C0 0F 8C E2 00 00 00 40 89 45 E4 C7 45 E8 00 00 00 00 8D 45 F0 8B 55 E8 03 D2 8B 4D EC 8B 49 0C 8D 14 D1 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 5B 0F B7 45 F0 66 2D 00 41 74 08 66 83 E8 02 74 0C EB 12 8B 45 F8 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 33 C0 89 45 F8 66 81 75 F0 00 40 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 EC 80 78 20 00 75 3D 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 EC 8B 40 04 8B 55 E8 8D 04 90 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? FF 45 E8 FF 4D E4 0F 85 29 FF FF FF 6A 00 8B 45 EC 83 C0 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8B 45 EC 83 C0 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 EC 83 C0 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 EC 83 C0 28 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 EC 80 78 20 00 75 37 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 EC 83 C0 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23123_0 {
	meta:
		name = "TDSMethodValues.Create"
		size = 70
		refs = "000a @ClassCreate 0017 _DV_TObjectList<System.TObject> 001c TObjectList<System.TObject>.Create 0028 TObject.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 2C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_23124_0 {
	meta:
		name = "TDSMethodValues.Destroy"
		size = 119
		refs = "0003 @BeforeDestruction 000e TDSMethodValues.ClearReferenceParameters 0017 TArrayOfVariant 001c @DynArrayClear 0025 TArrayOfObject 003a TObject.Free 0065 TObject.Destroy 0070 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 46 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 2C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 28 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23125_0 {
	meta:
		name = "TDSMethodValues.GetOutValue"
		size = 33
		refs = "001a TDSMethodValues.SetDBXParameter"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 4C 03 C0 8B 53 0C 8D 0C C2 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23126_0 {
	meta:
		name = "TDSMethodValues.GetReturnValue"
		size = 9
		refs = "0004 TDSMethodValues.SetDBXParameter"
	strings:
		$1 = { 8D 48 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23127_0 {
	meta:
		name = "TDSMethodValues.GetValues"
		size = 25
		refs = "000d TArrayOfVariant 0012 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23142_0 {
	meta:
		name = "TDSMethod.GetParameterNames"
		size = 25
		refs = "000d TDBXStringArray 0012 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67281_0 {
	meta:
		name = "TMethodImplementation.TInvokeInfo.GetParamLocs"
		size = 25
		refs = "000d TArray<System.Rtti.TMethodImplementation.TParamLoc> 0012 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23128_0 {
	meta:
		name = "TDSMethodValues.JSONToUserObject"
		size = 39
		refs = "0020 TJSONUnMarshal.Unmarshal"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 0B 8B C3 8B 10 FF 52 14 84 C0 74 05 33 C0 5E 5B C3 8B D3 8B 46 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23129_0 {
	meta:
		name = "TDSMethodValues.PopulateMarshal"
		size = 87
		refs = "0019 _Dn_TDSServerConnectionHandler 001e @IsClass 002d _Dn_TDSServer 003d TDSServer.GetJSONMarshaler 004b TDSServer.GetJSONUnMarshaler"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 83 7B 24 00 75 44 8B 7E 4C 85 FF 74 3D 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2C 8B 6F 1C 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B C5 E8 ?? ?? ?? ?? 89 43 24 8B 46 4C 8B 40 1C E8 ?? ?? ?? ?? 89 43 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23130_0 {
	meta:
		name = "TDSMethodValues.SetAllocatedObject"
		size = 91
		refs = "000d @DynArrayLength 0032 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7D 29 80 7B 20 00 75 1B 8B 43 04 3B 3C B0 74 13 8B 43 04 8D 04 B0 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 EB 19 80 7B 20 00 75 10 8D 43 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 89 7B 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23131_0 {
	meta:
		name = "TDSMethodValues.SetDBXParameter"
		size = 1055
		refs = "002b @VarAddRef 0033 TDSMethodValues.SetDBXParameter 00fc @VarToBool 011c @VarToInteger 01b4 @VarToInt64 01d2 @VarToReal 0227 DateTimeToSQLTimeStamp 0248 @VarToCurrency 0261 CurrToBCD 0330 TDSMethodValues.SetDBXReaderParameter 033f TDSMethodValues.GetVarObject<Data.DBXCommon.TDBXConnection> 0361 TDSMethodValues.SetDBXJSONValueParameter 0370 TDSMethodValues.GetVarObject<Data.DBXJSON.TDBXCallback> 038f TDSMethodValues.SetDBXStreamParameter 03a4 @OleVarFromVar 03ce SUnknownType 03d3 LoadResString 03dd _Dn_Exception 03e2 Exception.CreateFmt 03e7 @RaiseExcept 03fc @UStrClr 0404 @VarClr 0412 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 33 DB 89 5D A0 89 5D AC 89 5D B0 89 5D B4 89 5D B8 8B F1 8D 7D F0 A5 A5 A5 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 50 83 F8 26 0F 87 69 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 8B 10 FF 52 7C 50 8D 45 F0 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 6C 01 00 00 E9 DB 02 00 00 8B C6 8B 10 FF 52 7C 50 8D 45 F0 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 80 01 00 00 E9 BB 02 00 00 8B C6 8B 10 FF 52 7C 50 8D 45 F0 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 84 01 00 00 E9 9B 02 00 00 8B C6 8B 10 FF 52 7C 50 8D 45 F0 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 88 01 00 00 E9 7B 02 00 00 8B C6 8B 10 FF 52 7C 50 8D 45 F0 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 8C 01 00 00 E9 5B 02 00 00 8B C6 8B 10 FF 52 7C 50 8D 45 F0 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 90 01 00 00 E9 3B 02 00 00 8D 45 F0 E8 ?? ?? ?? ?? 52 50 8B C6 8B 10 FF 52 7C 8B 10 FF 92 94 01 00 00 E9 1D 02 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8B C6 8B 10 FF 52 7C 8B 10 FF 92 98 01 00 00 E9 FA 01 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 8B 10 FF 52 7C 8B 10 FF 92 9C 01 00 00 E9 D7 01 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 BC E8 ?? ?? ?? ?? 8D 45 BC 50 8B C6 8B 10 FF 52 7C 5A 8B 08 FF 91 5C 01 00 00 E9 A7 01 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8D 45 CE B9 04 00 00 00 BA 20 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 7C 8D 55 CE 8B 08 FF 91 64 01 00 00 E9 6F 01 00 00 8B C6 8B 10 FF 52 7C 50 8D 45 F0 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 74 01 00 00 E9 4F 01 00 00 8B C6 8B 10 FF 52 7C 50 8D 45 F0 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 70 01 00 00 E9 2F 01 00 00 F6 45 F1 40 74 19 8B C6 8B 10 FF 52 7C 8B 55 F8 8B 12 8B 08 FF 91 68 01 00 00 E9 10 01 00 00 8B C6 8B 10 FF 52 7C 8B 55 F8 8B 08 FF 91 68 01 00 00 E9 F9 00 00 00 F6 45 F1 40 74 19 8B C6 8B 10 FF 52 7C 8B 55 F8 8B 12 8B 08 FF 91 78 01 00 00 E9 DA 00 00 00 8B C6 8B 10 FF 52 7C 8B 55 F8 8B 08 FF 91 78 01 00 00 E9 C3 00 00 00 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? E9 B2 00 00 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 50 8B C6 8B 10 FF 52 7C 5A 8B 08 FF 91 B0 01 00 00 E9 92 00 00 00 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? E9 81 00 00 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 50 8B C6 8B 10 FF 52 7C 5A 8B 08 FF 91 BC 01 00 00 EB 64 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? EB 56 8B C6 8B 10 FF 52 7C 50 8D 45 AC 8D 55 F0 E8 ?? ?? ?? ?? 8D 55 AC 58 8B 08 FF 91 4C 01 00 00 EB 35 8B C6 8B 10 FF 52 50 89 45 A4 C6 45 A8 00 8D 45 A4 50 6A 00 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23132_0 {
	meta:
		name = "TDSMethodValues.SetDBXJSONValueParameter"
		size = 226
		refs = "001a @VarAddRef 0022 TDSMethodValues.SetDBXJSONValueParameter 0054 TDSMethodValues.PopulateMarshal 005e TDSMethodValues.GetVarObject<System.TObject> 0069 TDSMethodValues.UserObjectToJSON 0076 TList<System.TObject>.Contains 0084 TList<System.TObject>.Add 0090 TDSMethodValues.GetVarObject<Data.DBXJSON.TJSONValue> 00ba TDSMethodValues.SetAllocatedObject 00cf @VarClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 75 11 8B C6 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 EB 7B 8B C6 8B 10 FF 52 54 83 F8 28 75 3B 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 89 45 EC 8B D7 8B 43 2C E8 ?? ?? ?? ?? 84 C0 75 19 8B D7 8B 43 2C E8 ?? ?? ?? ?? EB 0D 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 89 45 EC 8B C6 8B 10 FF 52 7C 33 C9 8B 55 EC 8B 38 FF 97 B4 01 00 00 8B C6 8B 10 FF 52 4C 8B D0 8B 4D EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23134_0 {
	meta:
		name = "TDSMethodValues.SetDBXReaderParameter"
		size = 652
		refs = "001f @VarAddRef 0027 TDSMethodValues.SetDBXReaderParameter 0038 @UStrLAsg 0062 TDSMethodValues.GetVarObject<Data.DBXCommon.TDBXReader> 008c TDSMethodValues.SetAllocatedObject 009e @UStrEqual 00c4 TDSMethodValues.GetVarObject<Data.DBXCommon.TDBXReaderValue> 013b TDSMethodValues.GetVarObject<Data.DB.TDataSet> 014c _Dn_TDBXDataSetReader 0151 TDBXDataSetReader.Create 01ad TDSMethodValues.GetVarObject<Data.DB.TParams> 01b6 TCollection.Owner 01c5 _Dn_TDBXParamsReader 01ca TDBXParamsReader.Create 0209 @UStrClr 0211 @VarClr 0217 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 8B F1 8D 7D F0 A5 A5 A5 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 56 50 E8 ?? ?? ?? ?? 83 7D EC 00 75 53 83 7D F8 00 75 14 8B C6 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 E9 9C 01 00 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 89 45 E8 8B C6 8B 10 FF 52 7C 33 C9 8B 55 E8 8B 38 FF 97 A8 01 00 00 8B C6 8B 10 FF 52 4C 8B D0 8B 4D E8 8B C3 E8 ?? ?? ?? ?? E9 63 01 00 00 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 68 83 7D F8 00 75 14 8B C6 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 E9 3A 01 00 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B F8 33 D2 8B C7 8B 08 FF 91 A8 00 00 00 50 8B C6 8B 10 FF 52 4C 8B D0 8B C3 59 E8 ?? ?? ?? ?? 33 D2 8B C7 8B 08 FF 91 A8 00 00 00 50 8B C6 8B 10 FF 52 7C 33 C9 5A 8B 18 FF 93 A8 01 00 00 E9 EC 00 00 00 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 66 83 7D F8 00 75 14 8B C6 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 E9 C3 00 00 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 83 78 04 00 0F 94 C2 52 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B C6 8B 10 FF 52 4C 8B D0 8B 4D E8 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 7C 33 C9 8B 55 E8 8B 18 FF 93 A8 01 00 00 EB 77 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 68 83 7D F8 00 75 11 8B C6 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 EB 51 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 50 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B C6 8B 10 FF 52 4C 8B D0 8B 4D E8 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 7C 33 C9 8B 55 E8 8B 18 FF 93 A8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 44 00 42 00 58 00 52 00 65 00 61 00 64 00 65 00 72 00 56 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 }
	condition:
		$1
}

rule function_23135_0 {
	meta:
		name = "TDSMethodValues.SetDBXStreamParameter"
		size = 155
		refs = "001a @VarAddRef 0022 TDSMethodValues.SetDBXStreamParameter 0049 TDSMethodValues.GetVarObject<System.Classes.TStream> 0073 TDSMethodValues.SetAllocatedObject 0088 @VarClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 75 11 8B C6 8B 10 FF 52 7C 8B 10 FF 92 58 01 00 00 EB 34 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 89 45 EC 8B C6 8B 10 FF 52 7C 33 C9 8B 55 EC 8B 38 FF 97 AC 01 00 00 8B C6 8B 10 FF 52 4C 8B D0 8B 4D EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23136_0 {
	meta:
		name = "TDSMethodValues.SetServerSideCommand"
		size = 4
		altNames = "TIWXMLTag.SetCDATA"
	strings:
		$1 = { 88 50 20 C3 }
	condition:
		$1
}

rule function_23137_0 {
	meta:
		name = "TDSMethodValues.UserObjectToJSON"
		size = 16
	strings:
		$1 = { 85 D2 75 03 33 C0 C3 8B 40 24 8B 08 FF 51 0C C3 }
	condition:
		$1
}

rule function_23138_0 {
	meta:
		name = "TDSMethod.Create"
		size = 904
		refs = "002b @ClassCreate 003b TDSMethod.Create 004b TObject.Create 005e UTF8ToUnicodeString 006c @UStrAsg 00a1 GetTypeData 00d4 _DV_TDSClass 00d9 TDSClass.Create 013b @UStrFromString 0148 @UStrLAsg 016f CompareText 020b TDSClassArray 0210 @DynArraySetLength 0225 TDBXStringArray 0327 @UStrArrayClr 032d @HandleFinally 033d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 5D F0 89 5D EC 89 5D E8 89 5D E4 89 5D E0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 DB 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC 89 58 04 8D 73 06 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 DC 83 C0 10 8B 55 FC E8 ?? ?? ?? ?? 8B 45 DC 8B 55 08 89 50 14 8B 45 DC C6 40 1C 01 89 5D D4 0F B6 43 06 83 C0 07 01 45 D4 8B 45 D4 8B 40 02 85 C0 74 4E 8B 10 80 3A 07 75 0C 8B C2 E8 ?? ?? ?? ?? 89 45 C4 EB 05 33 C0 89 45 C4 8B 45 D4 8B 40 02 8B 00 8D 58 01 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 C4 50 6A 00 6A 00 6A 01 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 89 42 18 EB 16 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 89 42 18 8B 45 DC C6 40 1E 00 8B 45 DC C6 40 1F 00 8B 7D D4 83 C7 09 33 DB C6 45 CB 00 8B 45 D4 0F B6 40 08 89 45 D0 8B 75 D0 4E 85 F6 0F 8C C4 00 00 00 46 84 DB 74 04 B0 01 EB 44 8D 45 F4 8D 57 07 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 EC 8D 57 07 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 75 04 B0 01 EB 20 83 7D EC 00 74 06 83 7D E8 00 75 04 33 C0 EB 10 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 80 7D CB 00 75 09 F6 07 40 75 04 33 C0 EB 02 B0 01 88 45 CB 0F B6 47 07 83 C0 08 01 C7 0F B7 07 01 C7 4E 0F 85 3D FF FF FF 0F B6 C3 8B 75 D0 2B F0 0F B6 45 CB 2B F0 56 8B 45 DC 83 C0 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 56 8B 45 DC 83 C0 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7D D4 83 C7 09 8B 75 D0 4E 0F B6 45 CB 2B F0 85 F6 0F 8C C8 00 00 00 46 C7 45 CC 00 00 00 00 83 7D CC 00 7F 08 84 DB 0F 85 9A 00 00 00 8B 47 01 8B 00 80 38 07 75 0A E8 ?? ?? ?? ?? 89 45 C4 EB 05 33 C0 89 45 C4 8B 47 01 8B 00 40 89 45 C0 8D 55 E4 8B 45 C0 E8 ?? ?? ?? ?? 8B 45 C4 50 F6 07 04 0F 95 C0 50 F6 07 01 74 05 F6 07 20 74 04 33 C0 EB 02 B0 01 50 F6 07 20 0F 95 C0 50 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 D3 8B 4D CC 2B CA 8B 55 DC 8B 52 08 89 04 8A 8D 47 07 89 45 BC 8D 55 E0 8B 45 BC E8 ?? ?? ?? ?? 0F B6 C3 8B 55 CC 2B D0 8B 45 DC 8B 40 0C 8D 04 90 8B 55 E0 E8 ?? ?? ?? ?? 0F B6 47 07 83 C0 08 01 C7 0F B7 07 01 C7 FF 45 CC 4E 0F 85 40 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 DC 80 7D DB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 DC 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 65 00 6C 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 68 00 69 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_23139_0 {
	meta:
		name = "TDSMethod.Destroy"
		size = 109
		refs = "0005 @BeforeDestruction 0011 TObject.Free 0019 @DynArrayLength 003b TDSClassArray 0040 @DynArrayClear 0049 TDBXStringArray 0059 TObject.Destroy 0064 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 18 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 12 46 33 FF 8B 45 08 8B 04 B8 E8 ?? ?? ?? ?? 47 4E 75 F1 8D 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23143_0 {
	meta:
		name = "TDSMethod.GetParameterTypes"
		size = 25
		refs = "000d TDSClassArray 0012 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23145_0 {
	meta:
		name = "TDSMethod.GetClassInstance"
		size = 16
	strings:
		$1 = { 8B 40 14 80 78 19 00 74 04 8B 42 04 C3 8B C2 C3 }
	condition:
		$1
}

rule function_23147_0 {
	meta:
		name = "TDSMethod.Invoke"
		size = 233
		refs = "0021 TDSMethod.Invoke 0032 TDSMethodValues.GetValues 003a @DynArrayLength 0049 :TDSMethod.:1 004e @DynArraySetLength 0078 @DynArrayHigh 0098 ObjectInvoke 00a6 @VarCopy 00bb @VarClr 00c4 TArrayOfVariant 00c9 @DynArrayClear 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 10 42 33 C0 8D 48 01 8B 75 FC 89 0C 86 40 4A 75 F3 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8D 45 E0 50 8B 53 04 8B 4D FC 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F0 83 C0 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23149_0 {
	meta:
		name = "TDSMethod.IsStaticMethod"
		size = 5
	strings:
		$1 = { 0F B6 40 1D C3 }
	condition:
		$1
}

rule function_23150_0 {
	meta:
		name = "TDSClass.Create"
		size = 73
		refs = "000e @ClassCreate 001d TObject.Create 0032 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 0F B6 45 08 88 47 19 89 77 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_23151_0 {
	meta:
		name = "TAssociateItem.Create"
		size = 72
		refs = "000e @ClassCreate 001d TObject.Create 0031 @AfterConstruction"
		altNames = "TDSClass.Create TIdTCPStream.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 8B 45 08 89 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_23152_0 {
	meta:
		name = "TDSClass.Create"
		size = 1340
		refs = "000f @ClassCreate 001e @UStrAddRef 0026 TDSClass.Create 0035 TObject.Create 0040 @UStrAsg 004d @UStrEqual 0227 _Dn_TDBXWritableValue 022c TObject.InheritsFrom 0249 @UStrClr 024f @HandleFinally 025c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8D 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9C 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8D 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7B 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8D 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5A 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8D 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 39 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8D 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 18 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8D 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F7 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8D 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D6 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8D 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B5 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8D 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 94 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8D 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 76 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8D 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 58 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8D 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8D 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8D 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 14 89 47 14 0F B6 45 10 88 47 10 0F B6 45 0C 88 47 11 0F B6 45 08 88 47 12 8B 77 14 85 F6 74 15 8B 06 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 C6 47 18 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 10 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 68 00 6F 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 49 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6F 00 6F 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 5F 00 5F 00 69 00 6E 00 74 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 74 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 6C 00 6F 00 61 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 69 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 6E 00 74 00 65 00 67 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 75 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 20 00 73 00 68 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 57 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 75 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 20 00 6C 00 6F 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 44 00 57 00 6F 00 72 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 75 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 20 00 63 00 68 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 79 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 73 00 69 00 67 00 6E 00 65 00 64 00 20 00 63 00 68 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 68 00 6F 00 72 00 74 00 49 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 75 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4C 00 6F 00 6E 00 67 00 57 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_23153_0 {
	meta:
		name = "TDSClass.CreateInstance"
		size = 105
		refs = "0013 TDSClass.CreateInstance 0025 _Dn_TComponent 002c TObject.InheritsFrom 0041 @AsClass 005d TObject.Create"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 85 F6 74 59 8B 43 08 85 C0 74 11 E8 ?? ?? ?? ?? 8B C8 B2 01 8B 43 04 FF 50 0C EB 43 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 23 8B 43 04 FF 50 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C9 83 CA FF 8B C3 8B 30 FF 56 38 8B C3 EB 0F B2 01 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_23155_0 {
	meta:
		name = "TDSClass.GetDSClassName"
		size = 39
		refs = "0014 @UStrAsg 001f TObject.ClassName"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 04 85 FF 75 0C 8B C6 8B 53 0C E8 ?? ?? ?? ?? EB 09 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23157_0 {
	meta:
		name = "TDSClass.GetDBXDataType"
		size = 4508
		refs = "0025 TDSClass.GetDBXDataType 003e _Dn_TDBXWideStringValue 0043 TObject.InheritsFrom 005c _Dn_TDBXAnsiStringValue 007a _Dn_TDBXReader 009c TObject.ClassNameIs 00b1 @UStrAsg 00f4 _Dn_TDBXConnection 0112 _Dn_TStream 0130 _Dn_TDBXUInt8Value 014e _Dn_TDBXInt8Value 016c _Dn_TDBXUInt16Value 018a _Dn_TDBXInt16Value 01a8 _Dn_TDBXInt32Value 01c6 _Dn_TDBXInt64Value 01e4 _Dn_TDBXSingleValue 0202 _Dn_TDBXDoubleValue 0220 _Dn_TDBXBcdValue 023e _Dn_TDBXTimeValue 025c _Dn_TDBXDateValue 027a _Dn_TDBXTimeStampValue 0298 _Dn_TDBXTimeStampOffsetValue 02b6 _Dn_TDBXBooleanValue 02d4 _Dn_TDBXReaderValue 02f2 _Dn_TDBXConnectionValue 0310 _Dn_TDBXJSONValue 032e _Dn_TJSONValue 034c _Dn_TDBXCallback 036a _Dn_TDBXStreamValue 03a5 _Dn_TObject 03d8 TObject.ClassName 03ff SUnknownTypeName 0404 LoadResString 0411 _Dn_Exception 0416 Exception.CreateFmt 041b @RaiseExcept 042b @UStrLAsg 045f CompareText 0dfa @UStrArrayClr 0e10 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 1C 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 88 95 2F FF FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 14 85 F6 0F 84 EA 03 00 00 8B 06 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 1A 00 00 00 E9 8C 0D 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 01 00 00 00 E9 6E 0D 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 17 00 00 00 E9 50 0D 00 00 8B 43 14 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 85 FF 74 0D 8D 47 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 17 00 00 00 E9 22 0D 00 00 8B 43 14 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 85 FF 74 0D 8D 47 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 17 00 00 00 E9 F4 0C 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 22 00 00 00 E9 D6 0C 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 21 00 00 00 E9 B8 0C 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 1D 00 00 00 E9 9A 0C 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 1C 00 00 00 E9 7C 0C 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 0C 00 00 00 E9 5E 0C 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 05 00 00 00 E9 40 0C 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 06 00 00 00 E9 22 0C 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 12 00 00 00 E9 04 0C 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 1B 00 00 00 E9 E6 0B 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 07 00 00 00 E9 C8 0B 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 08 00 00 00 E9 AA 0B 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 0A 00 00 00 E9 8C 0B 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 02 00 00 00 E9 6E 0B 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 18 00 00 00 E9 50 0B 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 24 00 00 00 E9 32 0B 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 04 00 00 00 E9 14 0B 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 17 00 00 00 E9 F6 0A 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 22 00 00 00 E9 D8 0A 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 25 00 00 00 E9 BA 0A 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 25 00 00 00 E9 9C 0A 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 26 00 00 00 E9 7E 0A 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 21 00 00 00 E9 60 0A 00 00 8B 43 14 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 23 00 00 00 E9 43 0A 00 00 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A BB 25 00 00 00 E9 25 0A 00 00 80 BD 2F FF FF FF 00 74 07 33 DB E9 15 0A 00 00 8D 95 20 FF FF FF 8B 43 14 8B 00 E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 89 85 24 FF FF FF C6 85 28 FF FF FF 11 8D 85 24 FF FF FF 50 6A 00 8D 95 1C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 1C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BD 09 00 00 8D 45 FC 8B 53 0C E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 06 00 00 00 E9 6B 09 00 00 8D 45 F4 8B 53 0C E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 01 00 00 00 E9 19 09 00 00 8D 45 EC 8B 53 0C E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 75 04 B0 01 EB 20 83 7D EC 00 74 06 83 7D E8 00 75 04 33 C0 EB 10 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 08 0F B6 43 11 34 01 EB 02 33 C0 84 C0 74 08 0F B6 43 12 34 01 EB 02 33 C0 84 C0 74 0A BB 1A 00 00 00 E9 AB 08 00 00 8D 45 E4 8B 53 0C E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 3B 45 E0 75 04 B0 01 EB 20 83 7D E4 00 74 06 83 7D E0 00 75 04 33 C0 EB 10 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 1A 00 00 00 E9 59 08 00 00 8D 45 DC 8B 53 0C E8 ?? ?? ?? ?? 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 3B 45 D8 75 04 B0 01 EB 20 83 7D DC 00 74 06 83 7D D8 00 75 04 33 C0 EB 10 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 0B 00 00 00 E9 07 08 00 00 8D 45 D4 8B 53 0C E8 ?? ?? ?? ?? 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 3B 45 D0 75 04 B0 01 EB 20 83 7D D4 00 74 06 83 7D D0 00 75 04 33 C0 EB 10 8B 55 D0 8B 45 D4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 19 00 00 00 E9 B5 07 00 00 8D 45 CC 8B 53 0C E8 ?? ?? ?? ?? 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 3B 45 C8 75 04 B0 01 EB 20 83 7D CC 00 74 06 83 7D C8 00 75 04 33 C0 EB 10 8B 55 C8 8B 45 CC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 0A 00 00 00 E9 63 07 00 00 8D 45 C4 8B 53 0C E8 ?? ?? ?? ?? 8D 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 3B 45 C0 75 04 B0 01 EB 20 83 7D C4 00 74 06 83 7D C0 00 75 04 33 C0 EB 10 8B 55 C0 8B 45 C4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 02 00 00 00 E9 11 07 00 00 8D 45 BC 8B 53 0C E8 ?? ?? ?? ?? 8D 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 3B 45 B8 75 04 B0 01 EB 20 83 7D BC 00 74 06 83 7D B8 00 75 04 33 C0 EB 10 8B 55 B8 8B 45 BC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 07 00 00 00 E9 BF 06 00 00 8D 45 B4 8B 53 0C E8 ?? ?? ?? ?? 8D 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 3B 45 B0 75 04 B0 01 EB 20 83 7D B4 00 74 06 83 7D B0 00 75 04 33 C0 EB 10 8B 55 B0 8B 45 B4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 1B 00 00 00 E9 6D 06 00 00 8D 45 AC 8B 53 0C E8 ?? ?? ?? ?? 8D 45 A8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC 3B 45 A8 75 04 B0 01 EB 20 83 7D AC 00 74 06 83 7D A8 00 75 04 33 C0 EB 10 8B 55 A8 8B 45 AC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 12 00 00 00 E9 1B 06 00 00 8D 45 A4 8B 53 0C E8 ?? ?? ?? ?? 8D 45 A0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A4 3B 45 A0 75 04 B0 01 EB 20 83 7D A4 00 74 06 83 7D A0 00 75 04 33 C0 EB 10 8B 55 A0 8B 45 A4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 1D 00 00 00 E9 C9 05 00 00 8D 45 9C 8B 53 0C E8 ?? ?? ?? ?? 8D 45 98 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 3B 45 98 75 04 B0 01 EB 20 83 7D 9C 00 74 06 83 7D 98 00 75 04 33 C0 EB 10 8B 55 98 8B 45 9C E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 1C 00 00 00 E9 77 05 00 00 8D 45 94 8B 53 0C E8 ?? ?? ?? ?? 8D 45 90 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 94 3B 45 90 75 04 B0 01 EB 20 83 7D 94 00 74 06 83 7D 90 00 75 04 33 C0 EB 10 8B 55 90 8B 45 94 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 0C 00 00 00 E9 25 05 00 00 8D 45 8C 8B 53 0C E8 ?? ?? ?? ?? 8D 45 88 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 8C 3B 45 88 75 04 B0 01 EB 20 83 7D 8C 00 74 06 83 7D 88 00 75 04 33 C0 EB 10 8B 55 88 8B 45 8C E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 05 00 00 00 E9 D3 04 00 00 8D 45 84 8B 53 0C E8 ?? ?? ?? ?? 8D 45 80 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 84 3B 45 80 75 04 B0 01 EB 20 83 7D 84 00 74 06 83 7D 80 00 75 04 33 C0 EB 10 8B 55 80 8B 45 84 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 04 00 00 00 E9 81 04 00 00 8D 85 7C FF FF FF 8B 53 0C E8 ?? ?? ?? ?? 8D 85 78 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 3B 85 78 FF FF FF 75 04 B0 01 EB 2C 83 BD 7C FF FF FF 00 74 09 83 BD 78 FF FF FF 00 75 04 33 C0 EB 16 8B 95 78 FF FF FF 8B 85 7C FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 25 00 00 00 E9 17 04 00 00 8D 85 74 FF FF FF 8B 53 0C E8 ?? ?? ?? ?? 8D 85 70 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 3B 85 70 FF FF FF 75 04 B0 01 EB 2C 83 BD 74 FF FF FF 00 74 09 83 BD 70 FF FF FF 00 75 04 33 C0 EB 16 8B 95 70 FF FF FF 8B 85 74 FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 25 00 00 00 E9 AD 03 00 00 8D 85 6C FF FF FF 8B 53 0C E8 ?? ?? ?? ?? 8D 85 68 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 3B 85 68 FF FF FF 75 04 B0 01 EB 2C 83 BD 6C FF FF FF 00 74 09 83 BD 68 FF FF FF 00 75 04 33 C0 EB 16 8B 95 68 FF FF FF 8B 85 6C FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 25 00 00 00 E9 43 03 00 00 8D 85 64 FF FF FF 8B 53 0C E8 ?? ?? ?? ?? 8D 85 60 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 3B 85 60 FF FF FF 75 04 B0 01 EB 2C 83 BD 64 FF FF FF 00 74 09 83 BD 60 FF FF FF 00 75 04 33 C0 EB 16 8B 95 60 FF FF FF 8B 85 64 FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 25 00 00 00 E9 D9 02 00 00 8D 85 5C FF FF FF 8B 53 0C E8 ?? ?? ?? ?? 8D 85 58 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 3B 85 58 FF FF FF 75 04 B0 01 EB 2C 83 BD 5C FF FF FF 00 74 09 83 BD 58 FF FF FF 00 75 04 33 C0 EB 16 8B 95 58 FF FF FF 8B 85 5C FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 25 00 00 00 E9 6F 02 00 00 8D 85 54 FF FF FF 8B 53 0C E8 ?? ?? ?? ?? 8D 85 50 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 3B 85 50 FF FF FF 75 04 B0 01 EB 2C 83 BD 54 FF FF FF 00 74 09 83 BD 50 FF FF FF 00 75 04 33 C0 EB 16 8B 95 50 FF FF FF 8B 85 54 FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 25 00 00 00 E9 05 02 00 00 8D 85 4C FF FF FF 8B 53 0C E8 ?? ?? ?? ?? 8D 85 48 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 3B 85 48 FF FF FF 75 04 B0 01 EB 2C 83 BD 4C FF FF FF 00 74 09 83 BD 48 FF FF FF 00 75 04 33 C0 EB 16 8B 95 48 FF FF FF 8B 85 4C FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 25 00 00 00 E9 9B 01 00 00 8D 85 44 FF FF FF 8B 53 0C E8 ?? ?? ?? ?? 8D 85 40 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 44 FF FF FF 3B 85 40 FF FF FF 75 04 B0 01 EB 2C 83 BD 44 FF FF FF 00 74 09 83 BD 40 FF FF FF 00 75 04 33 C0 EB 16 8B 95 40 FF FF FF 8B 85 44 FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 25 00 00 00 E9 31 01 00 00 8D 85 3C FF FF FF 8B 53 0C E8 ?? ?? ?? ?? 8D 85 38 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 3C FF FF FF 3B 85 38 FF FF FF 75 04 B0 01 EB 2C 83 BD 3C FF FF FF 00 74 09 83 BD 38 FF FF FF 00 75 04 33 C0 EB 16 8B 95 38 FF FF FF 8B 85 3C FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 26 00 00 00 E9 C7 00 00 00 8D 85 34 FF FF FF 8B 53 0C E8 ?? ?? ?? ?? 8D 85 30 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 34 FF FF FF 3B 85 30 FF FF FF 75 09 C6 85 2E FF FF FF 01 EB 35 83 BD 34 FF FF FF 00 74 09 83 BD 30 FF FF FF 00 75 09 C6 85 2E FF FF FF 00 EB 1A 8B 95 30 FF FF FF 8B 85 34 FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 85 2E FF FF FF 80 BD 2E FF FF FF 00 74 07 BB 23 00 00 00 EB 4D 80 BD 2F FF FF FF 00 74 04 33 DB EB 40 8B 43 0C 89 85 24 FF FF FF C6 85 28 FF FF FF 11 8D 85 24 FF FF FF 50 6A 00 8D 95 18 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 18 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 18 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 30 FF FF FF BA 34 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4F 00 6C 00 65 00 56 00 61 00 72 00 69 00 61 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 6E 00 74 00 65 00 67 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 41 00 6E 00 73 00 69 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 75 00 72 00 72 00 65 00 6E 00 63 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 42 00 58 00 54 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 42 00 58 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 74 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 79 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 68 00 6F 00 72 00 74 00 49 00 }
	condition:
		$1
}

rule function_23158_0 {
	meta:
		name = "TDSClass.GetDBXSubDataType"
		size = 200
		refs = "000f _Dn_TDBXValue 0014 TObject.InheritsFrom 0023 _Dn_TJSONValue 0037 _Dn_TDBXConnection 004a TDSClass.GetDBXSubDataType 004f TObject.ClassNameIs 0071 _Dn_TDBXCallback"
	strings:
		$1 = { 53 56 8B D8 8B 73 14 85 F6 74 7B 8B 06 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 6A 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 56 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 42 8B 43 14 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 2F 8B 43 14 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1C 8B 43 14 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 08 B8 28 00 00 00 5E 5B C3 33 C0 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 }
	condition:
		$1
}

rule function_23159_0 {
	meta:
		name = "TDSClass.GetDbxType"
		size = 45
		refs = "000d TDSClass.GetDBXDataType 001d TDSClass.GetDBXSubDataType"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 14 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 18 5E 5B C3 }
	condition:
		$1
}

rule function_23160_0 {
	meta:
		name = "TDSClass.CreateMethod"
		size = 207
		refs = "001b @UStrAddRef 0023 TDSClass.CreateMethod 003c @UStrToString 004f GetMethods 0057 @DynArrayLength 0079 @AStrCmp 0088 _DV_TDSMethod 008d TDSMethod.Create 00ac TMethodInfoArray 00b1 @DynArrayClear 00b9 @UStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 56 57 33 C9 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 F0 FE FF FF 8B 55 FC B9 FF 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 F0 8D 55 F8 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 38 46 33 DB 8B 45 F8 8B 3C 98 8D 47 06 8D 95 F0 FE FF FF 0F B6 08 41 E8 ?? ?? ?? ?? 75 17 8B 45 F4 50 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 EB 04 43 4E 75 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23161_0 {
	meta:
		name = "IsMethodSupported"
		size = 256
		refs = "0012 IsMethodSupported 004e TDSClass.IsVoidReturn 005e TDSClass.GetDBXDataType 0070 TDSMethod.GetParameterTypes 0078 @DynArrayLength 00e1 TDSClassArray 00eb @FinalizeArray 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 07 33 DB E9 A8 00 00 00 80 7E 1E 00 75 06 80 7E 1F 00 74 07 33 DB E9 95 00 00 00 8B 46 18 80 78 18 00 74 07 33 DB E9 85 00 00 00 8B 46 18 E8 ?? ?? ?? ?? 84 C0 75 14 33 C9 B2 01 8B 46 18 E8 ?? ?? ?? ?? 85 C0 75 04 33 DB EB 65 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 4A 47 C7 45 FC 00 00 00 00 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC 8B 1C 90 33 C9 B2 01 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 33 DB EB 1E 80 7B 18 00 74 10 80 7B 11 00 75 06 80 7B 12 00 74 04 33 DB EB 08 FF 45 FC 4F 75 BE B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23162_0 {
	meta:
		name = "AddMethods"
		size = 445
		refs = "0018 AddMethods 002e GetMethods 003b @DynArrayLength 005a TDSMethodArray 005f @DynArraySetLength 006a @DynArrayHigh 009f _DV_TDSMethod 00a4 TDSMethod.Create 00bc @HandleAnyException 00d2 TObject.Free 00d7 @DoneExcept 00e5 IsMethodSupported 019c @DynArrayClear 01a5 TMethodInfoArray 01b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 58 04 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 00 E8 ?? ?? ?? ?? 89 45 F0 33 C0 89 45 E8 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 8C 82 00 00 00 40 89 45 E4 C7 45 EC 00 00 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F4 50 8B 45 FC 8B 55 EC 8B 0C 90 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 4D EC 89 04 8A 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 8B 45 F8 8B 55 EC 8D 04 90 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 55 EC 8B 04 90 E8 ?? ?? ?? ?? 84 C0 74 03 FF 45 E8 FF 45 EC FF 4D E4 75 89 8B 45 08 8B 40 FC 8B 00 E8 ?? ?? ?? ?? 03 45 E8 50 8B 45 08 8B 40 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7C 57 40 89 45 E4 C7 45 EC 00 00 00 00 8B 45 F8 8B 55 EC 8B 04 90 E8 ?? ?? ?? ?? 84 C0 74 1C 8B 45 F8 8B 55 EC 8B 04 90 8B 55 08 8B 52 FC 8B 12 8B 4D F0 89 04 8A FF 45 F0 EB 16 8B 45 F8 8B 55 EC 8D 04 90 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? FF 45 EC FF 4D E4 75 B4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23163_0 {
	meta:
		name = "TDSClass.GetMethods"
		size = 51
		refs = "000f TDSMethodArray 0014 @DynArrayClear 0021 AddMethods"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 85 C0 74 07 55 E8 ?? ?? ?? ?? 59 55 8B C3 E8 ?? ?? ?? ?? 59 5B 59 5D C3 }
	condition:
		$1
}

rule function_23164_0 {
	meta:
		name = "TDSClass.GetTypeUnit"
		size = 45
		refs = "0014 @UStrFromString 001e EmptyStr 0025 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 14 85 FF 74 0C 8B C6 8D 57 0A E8 ?? ?? ?? ?? EB 0F 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23166_0 {
	meta:
		name = "TDSClass.IsInOutParameter"
		size = 18
	strings:
		$1 = { 80 78 18 00 75 09 80 78 11 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_23167_0 {
	meta:
		name = "TDSClass.IsOutParameter"
		size = 5
	strings:
		$1 = { 0F B6 40 12 C3 }
	condition:
		$1
}

rule function_23168_0 {
	meta:
		name = "TDSClass.IsVoidReturn"
		size = 23
	strings:
		$1 = { 53 8B D8 83 7B 04 00 75 06 83 7B 0C 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_23170_0 {
	meta:
		name = "TCachedStream.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TObject.Destroy 0025 @ClassDestroy"
		altNames = "TComClassManager.Destroy TDSPackage.Destroy TMimeStreamHolder.Destroy TRegistryIniFile.Destroy TRunningWebAppNotifier.Destroy TSkipPreambleStream.Destroy TWebContainerComponentHelper.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70954_0 {
	meta:
		name = "TConnectionPoints.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f FreeObjectList 001a TObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81470_0 {
	meta:
		name = "TGIFBlock.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f @FreeMem 001a TObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80566_0 {
	meta:
		name = "TIconImage.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TSharedImage.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81606_0 {
	meta:
		name = "TJPEGData.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TSharedImage.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90353_0 {
	meta:
		name = "TLegendItem.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TPersistent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90919_0 {
	meta:
		name = "TPieOtherSlice.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TPersistent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23171_0 {
	meta:
		name = "TDSPackage.GetClassesProc"
		size = 80
		refs = "000f TDSPackage.GetClassesProc 001f TObject.ClassName 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23172_0 {
	meta:
		name = "TDSPackage.CreateDSClass"
		size = 99
		refs = "000c @UStrAddRef 0014 TDSPackage.CreateDSClass 0022 GetClass 0031 _DV_TDSClass 0036 TDSClass.Create 0051 @UStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 14 6A 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_23173_0 {
	meta:
		name = "TDSPackage.GetDSClasses"
		size = 368
		refs = "001e @UStrAddRef 0026 TDSPackage.GetDSClasses 003f _Dn_TPersistent 0046 _Dn_TClassFinder 004b TClassFinder.Create 0065 TDSPackage.GetClassesProc 006d TClassFinder.GetClasses 0082 TObject.Free 0088 @HandleFinally 00a4 TDBXStringArray 00a9 @DynArraySetLength 00cf EmptyStr 00d6 @UStrEqual 00f3 Pos 011a @UStrAsg 0155 @UStrArrayClr 015d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D E8 89 4D F4 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 8B 10 FF 52 44 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 40 08 8B 10 FF 52 14 50 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 EC 8B 45 F8 8B 40 08 8B 10 FF 52 14 8B F0 4E 85 F6 7C 5E 46 33 DB 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 1F 8D 4D E8 8B 45 F8 8B 40 08 8B D3 8B 38 FF 57 0C 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 26 8D 4D E4 8B 45 F8 8B 40 08 8B D3 8B 38 FF 57 0C 8B 55 E4 8B 45 F4 8B 00 8B 4D EC 8D 04 88 E8 ?? ?? ?? ?? FF 45 EC 43 4E 75 A5 8B 45 EC 50 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23174_0 {
	meta:
		name = "TDSPackage.GetDSPackages"
		size = 28
		refs = "000e TDBXStringArray 0013 @DynArraySetLength"
	strings:
		$1 = { 53 8B DA 6A 00 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5B C3 }
	condition:
		$1
}

rule function_33349_0 {
	meta:
		name = "DefFinalHMACInst"
		size = 28
		refs = "000e TArray<System.Byte> 0013 @DynArraySetLength"
	strings:
		$1 = { 53 8B DA 6A 00 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5B C3 }
	condition:
		$1
}

rule function_33344_0 {
	meta:
		name = "DefFinalHashInst"
		size = 28
		refs = "000e TArray<System.Byte> 0013 @DynArraySetLength"
	strings:
		$1 = { 53 8B DA 6A 00 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5B C3 }
	condition:
		$1
}

rule function_34373_0 {
	meta:
		name = "TId8BitEncoding.GetPreamble"
		size = 28
		refs = "000e TArray<System.Byte> 0013 @DynArraySetLength"
	strings:
		$1 = { 53 8B DA 6A 00 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5B C3 }
	condition:
		$1
}

rule function_34364_0 {
	meta:
		name = "TIdASCIIEncoding.GetPreamble"
		size = 28
		refs = "000e TArray<System.Byte> 0013 @DynArraySetLength"
	strings:
		$1 = { 53 8B DA 6A 00 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5B C3 }
	condition:
		$1
}

rule function_67263_0 {
	meta:
		name = "TOrphanPackage.GetTypes"
		size = 28
		refs = "000e TArray<System.Rtti.TRttiType> 0013 @DynArraySetLength"
	strings:
		$1 = { 53 8B DA 6A 00 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5B C3 }
	condition:
		$1
}

rule function_23233_0 {
	meta:
		name = "TDSMethodValues.GetVarObject<Data.DBXCommon.TDBXConnection>"
		size = 98
		refs = "0015 @VarAddRef 001d TDSMethodValues.GetVarObject<Data.DBXCommon.TDBXConnection> 004d @VarClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 F1 40 74 07 8B 45 F8 8B 00 EB 03 8B 45 F8 8D 55 EC 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 EC 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_23239_0 {
	meta:
		name = "TDSMethodValues.GetVarObject<Data.DB.TDataSet>"
		size = 98
		refs = "0015 @VarAddRef 001d TDSMethodValues.GetVarObject<Data.DB.TDataSet> 004d @VarClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 F1 40 74 07 8B 45 F8 8B 00 EB 03 8B 45 F8 8D 55 EC 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 EC 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_23240_0 {
	meta:
		name = "TDSMethodValues.GetVarObject<Data.DB.TParams>"
		size = 98
		refs = "0015 @VarAddRef 001d TDSMethodValues.GetVarObject<Data.DB.TParams> 004d @VarClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 F1 40 74 07 8B 45 F8 8B 00 EB 03 8B 45 F8 8D 55 EC 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 EC 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_23237_0 {
	meta:
		name = "TDSMethodValues.GetVarObject<Data.DBXCommon.TDBXReader>"
		size = 98
		refs = "0015 @VarAddRef 001d TDSMethodValues.GetVarObject<Data.DBXCommon.TDBXReader> 004d @VarClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 F1 40 74 07 8B 45 F8 8B 00 EB 03 8B 45 F8 8D 55 EC 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 EC 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_23238_0 {
	meta:
		name = "TDSMethodValues.GetVarObject<Data.DBXCommon.TDBXReaderValue>"
		size = 98
		refs = "0015 @VarAddRef 001d TDSMethodValues.GetVarObject<Data.DBXCommon.TDBXReaderValue> 004d @VarClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 F1 40 74 07 8B 45 F8 8B 00 EB 03 8B 45 F8 8D 55 EC 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 EC 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_23234_0 {
	meta:
		name = "TDSMethodValues.GetVarObject<Data.DBXJSON.TDBXCallback>"
		size = 98
		refs = "0015 @VarAddRef 001d TDSMethodValues.GetVarObject<Data.DBXJSON.TDBXCallback> 004d @VarClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 F1 40 74 07 8B 45 F8 8B 00 EB 03 8B 45 F8 8D 55 EC 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 EC 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_23236_0 {
	meta:
		name = "TDSMethodValues.GetVarObject<Data.DBXJSON.TJSONValue>"
		size = 98
		refs = "0015 @VarAddRef 001d TDSMethodValues.GetVarObject<Data.DBXJSON.TJSONValue> 004d @VarClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 F1 40 74 07 8B 45 F8 8B 00 EB 03 8B 45 F8 8D 55 EC 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 EC 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_23241_0 {
	meta:
		name = "TDSMethodValues.GetVarObject<System.Classes.TStream>"
		size = 98
		refs = "0015 @VarAddRef 001d TDSMethodValues.GetVarObject<System.Classes.TStream> 004d @VarClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 F1 40 74 07 8B 45 F8 8B 00 EB 03 8B 45 F8 8D 55 EC 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 EC 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_23235_0 {
	meta:
		name = "TDSMethodValues.GetVarObject<System.TObject>"
		size = 98
		refs = "0015 @VarAddRef 001d TDSMethodValues.GetVarObject<System.TObject> 004d @VarClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 F1 40 74 07 8B 45 F8 8B 00 EB 03 8B 45 F8 8D 55 EC 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 EC 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_23277_0 {
	meta:
		name = "TDSServer.BroadcastMessage"
		size = 294
		refs = "0019 TMonitor.CheckMonitorSupport 0020 TMonitor.GetMonitor 0028 TMonitor.Enter 0030 TDSServer.BroadcastMessage 0074 TList<Datasnap.DSServer.TDSCallbackTunnel>.GetItem 0082 TDSCallbackTunnel.ListeningOn 009d _Dn_TJSONValue 00a2 @AsClass 00ae TDSCallbackTunnel.BroadcastMessage 00bf @HandleAnyException 00cf TList<Datasnap.DSServer.TDSCallbackTunnel>.Delete 00d4 @DoneExcept 0102 TObject.Free 010d TMonitor.Exit 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 58 78 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 78 8B 40 08 85 C0 0F 8E A2 00 00 00 C6 45 F3 01 48 83 F8 00 0F 8C 98 00 00 00 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 78 8B 55 EC E8 ?? ?? ?? ?? 8B F0 B3 01 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2A 68 88 13 00 00 8B 45 08 50 8B 45 F4 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 33 DB 8B 45 FC 8B 40 78 8B 55 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 22 5D F3 88 5D F3 FF 4D EC 83 7D EC FF 0F 85 71 FF FF FF EB 04 C6 45 F3 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_23278_0 {
	meta:
		name = "TDSServer.BroadcastMessage"
		size = 290
		refs = "0019 TMonitor.CheckMonitorSupport 0020 TMonitor.GetMonitor 0028 TMonitor.Enter 0030 TDSServer.BroadcastMessage 0066 TList<Datasnap.DSServer.TDSCallbackTunnel>.GetItem 0072 TDSCallbackTunnel.ListeningOn 0099 _Dn_TJSONValue 009e @AsClass 00aa TDSCallbackTunnel.BroadcastMessage 00bf @HandleAnyException 00d1 TList<Datasnap.DSServer.TDSCallbackTunnel>.Delete 00d6 @DoneExcept 00f1 TObject.Free 0109 TMonitor.Exit 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 58 78 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 78 8B 40 08 85 C0 0F 8E 9E 00 00 00 C6 45 F3 01 48 83 F8 00 0F 8C 94 00 00 00 89 45 EC 8B 45 FC 8B 40 78 8B 55 EC E8 ?? ?? ?? ?? 8B D8 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 60 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 88 13 00 00 6A 01 8B 45 0C 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 22 45 F3 88 45 F3 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? C6 45 F3 00 8B 45 FC 8B 40 78 8B 55 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 4D EC 83 7D EC FF 0F 85 75 FF FF FF EB 04 C6 45 F3 00 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_23279_0 {
	meta:
		name = "TDSServer.BroadcastObject"
		size = 35
		refs = "0010 TDSServer.MarshalData 001b TDSServer.BroadcastMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A 02 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23280_0 {
	meta:
		name = "TDSServer.BroadcastObject"
		size = 43
		refs = "0012 TDSServer.MarshalData 0020 TDSServer.BroadcastMessage"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 55 08 8B C3 E8 ?? ?? ?? ?? 50 6A 02 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_23281_0 {
	meta:
		name = "TDSServer.CallbackTunnelOf"
		size = 71
		refs = "001e TList<Datasnap.DSServer.TDSCallbackTunnel>.GetItem 0028 AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 78 8B 40 08 8B F0 4E 85 F6 7C 2B 46 33 DB 8B 47 78 8B D3 E8 ?? ?? ?? ?? 8B 40 0C 8B D5 E8 ?? ?? ?? ?? 85 C0 75 0C 8B 47 78 8B D3 E8 ?? ?? ?? ?? EB 06 43 4E 75 D8 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23282_0 {
	meta:
		name = "TDSServer.Connecting"
		size = 161
		refs = "0016 TDSServer.Connecting 0021 _Dn_TDSSessionManager 0026 TDSSessionManager.GetThreadSession 004e SAuthenticationFailed 0053 LoadResString 0060 _Dn_TDBXError 0065 TDBXError.Create 006a @RaiseExcept 008f @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 3E 8B 45 FC 8B 48 18 8B 45 FC 8B 40 14 8B 50 58 8B C6 8B 30 FF 56 18 84 C0 75 24 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 7B 5A 00 74 09 8B 55 FC 8B 43 5C FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23283_0 {
	meta:
		name = "TDSServer.Create"
		size = 268
		refs = "000d @ClassCreate 001b TDSCustomServer.Create 0020 TDSServer.Create 0042 TDSServer.AddServer 004f _DV_TObjectList<Datasnap.DSServer.TDSCallbackTunnel> 0054 TObjectList<Datasnap.DSServer.TDSCallbackTunnel>.Create 0067 _DV_TObjectDictionary<System.string,Data.DBXJSONReflect.TConverterEvent> 006c TObjectDictionary<System.string,Data.DBXJSONReflect.TConverterEvent>.Create 0082 _DV_TObjectDictionary<System.string,Data.DBXJSONReflect.TReverterEvent> 0087 TObjectDictionary<System.string,Data.DBXJSONReflect.TReverterEvent>.Create 00d2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 C7 83 98 00 00 00 64 00 00 00 C7 83 9C 00 00 00 30 75 00 00 8B C3 E8 ?? ?? ?? ?? C6 43 50 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 78 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 90 00 00 00 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 94 00 00 00 66 83 BB 82 00 00 00 00 74 12 8B 93 90 00 00 00 8B 83 84 00 00 00 FF 93 80 00 00 00 66 83 BB 8A 00 00 00 00 74 12 8B 93 94 00 00 00 8B 83 8C 00 00 00 FF 93 88 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 53 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_23284_0 {
	meta:
		name = "TDSServer.Destroy"
		size = 171
		refs = "0007 @BeforeDestruction 0015 TDSServer.Destroy 0041 TDSServer.RemoveServer 0056 TObject.Free 008d TDSCustomServer.Destroy 0093 @HandleFinally 00a3 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 80 78 3C 00 74 08 8B 45 FC 8B 10 FF 52 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 90 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 05 94 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 78 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A4 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_23285_0 {
	meta:
		name = "TCustomApplicationEvents.DoIdle"
		size = 18
		altNames = "TDSServer.Disconnecting"
	strings:
		$1 = { 53 66 83 78 6A 00 74 08 8B D8 8B 43 6C FF 53 68 5B C3 }
	condition:
		$1
}

rule function_23286_0 {
	meta:
		name = "TCustomApplicationEvents.DoDeactivate"
		size = 18
		altNames = "TDSServer.Error"
	strings:
		$1 = { 53 66 83 78 72 00 74 08 8B D8 8B 43 74 FF 53 70 5B C3 }
	condition:
		$1
}

rule function_23287_0 {
	meta:
		name = "TDSServer.GetAllChannelCallbackId"
		size = 185
		refs = "0012 _DV_TList<System.string> 0017 TList<System.string>.Create 0025 TMonitor.CheckMonitorSupport 002c TMonitor.GetMonitor 0034 TMonitor.Enter 003c TDSServer.GetAllChannelCallbackId 0062 TList<Datasnap.DSServer.TDSCallbackTunnel>.GetItem 006e TDSCallbackTunnel.ListeningOn 0087 TDSCallbackTunnel.AddAllIds 00a3 TMonitor.Exit 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 58 78 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 78 8B 40 08 8B F0 4E 85 F6 7C 39 46 33 DB 8B 45 FC 8B 40 78 8B D3 E8 ?? ?? ?? ?? 8B F8 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 FC 8B 40 78 8B D3 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 43 4E 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23288_0 {
	meta:
		name = "TDSServer.GetCallbackTunnel"
		size = 107
		refs = "0014 TMonitor.CheckMonitorSupport 001b TMonitor.GetMonitor 0023 TMonitor.Enter 002b TDSServer.GetCallbackTunnel 003b TDSServer.CallbackTunnelOf 0056 TMonitor.Exit 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 89 45 FC 8B 45 FC 8B 58 78 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23291_0 {
	meta:
		name = "TDSServer.GetAllChannelClientId"
		size = 188
		refs = "0012 _DV_TList<System.string> 0017 TList<System.string>.Create 0025 TMonitor.CheckMonitorSupport 002c TMonitor.GetMonitor 0034 TMonitor.Enter 003c TDSServer.GetAllChannelClientId 0062 TList<Datasnap.DSServer.TDSCallbackTunnel>.GetItem 006e TDSCallbackTunnel.ListeningOn 008a TList<System.string>.Add 00a6 TMonitor.Exit 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 58 78 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 78 8B 40 08 8B F0 4E 85 F6 7C 3C 46 33 DB 8B 45 FC 8B 40 78 8B D3 E8 ?? ?? ?? ?? 8B F8 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 FC 8B 40 78 8B D3 E8 ?? ?? ?? ?? 8B 50 0C 8B 45 F4 E8 ?? ?? ?? ?? 43 4E 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23292_0 {
	meta:
		name = "TDSServer.GetAllChannelNames"
		size = 257
		refs = "000f _DV_TList<System.string> 0014 TList<System.string>.Create 001f TDSServer.GetAllChannelNames 0030 TMonitor.CheckMonitorSupport 0037 TMonitor.GetMonitor 003f TMonitor.Enter 0058 TList<Datasnap.DSServer.TDSCallbackTunnel>.GetEnumerator 0073 TList<Datasnap.DSServer.TDSCallbackTunnel>.TEnumerator.GetCurrent 0081 TDSCallbackTunnel.AddListeningOnChannelNames 0089 TList<Datasnap.DSServer.TDSCallbackTunnel>.TEnumerator.MoveNext 00b0 @HandleFinally 00ca TMonitor.Exit 00e1 @HandleAnyException 00e9 TObject.Free 00ee @RaiseAgain 00f3 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 78 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8D 55 F8 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23293_0 {
	meta:
		name = "TDSServer.GetServerConnection"
		size = 68
		refs = "0007 TDSServer.GetServerConnection 000e TDBXProperties.SetValue 0013 TDBXConnectionFactory.GetConnectionFactory 001a TDBXConnectionFactory.GetConnection"
	strings:
		$1 = { 53 8B DA 8B 48 08 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_23294_0 {
	meta:
		name = "TDSServer.GetTraceInfoEvent"
		size = 15
	strings:
		$1 = { 8B 40 38 8B 48 10 89 0A 8B 48 14 89 4A 04 C3 }
	condition:
		$1
}

rule function_23295_0 {
	meta:
		name = "TDSServer.HasChannelCallback"
		size = 165
		refs = "001a TMonitor.CheckMonitorSupport 0021 TMonitor.GetMonitor 0029 TMonitor.Enter 0031 TDSServer.HasChannelCallback 0057 TList<Datasnap.DSServer.TDSCallbackTunnel>.GetItem 0063 TDSCallbackTunnel.ListeningOn 0070 @TryFinallyExit 008e TMonitor.Exit 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 89 45 FC C6 45 F7 00 8B 45 FC 8B 58 78 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 78 8B 40 08 8B D8 4B 85 DB 7C 2F 43 33 FF 8B 45 FC 8B 40 78 8B D7 E8 ?? ?? ?? ?? 8B F0 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B C6 45 F7 01 E8 ?? ?? ?? ?? EB 24 47 4B 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23296_0 {
	meta:
		name = "TDSServer.Loaded"
		size = 31
		refs = "0006 TComponent.Loaded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 50 00 74 0D F6 43 1C 10 75 07 8B C3 8B 10 FF 52 44 5B C3 }
	condition:
		$1
}

rule function_23298_0 {
	meta:
		name = "TDSServer.NotifyCallback"
		size = 241
		refs = "0018 TMonitor.CheckMonitorSupport 001f TMonitor.GetMonitor 0027 TMonitor.Enter 002f TDSServer.NotifyCallback 005a TList<Datasnap.DSServer.TDSCallbackTunnel>.GetItem 0064 AnsiCompareText 007d TDSCallbackTunnel.HasId 00a4 @TryFinallyExit 00be TMonitor.Exit 00c4 @HandleFinally 00e0 TDSCallbackTunnel.SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B FA 89 45 FC 8B 45 FC 8B 58 78 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 F4 8B 45 FC 8B 40 78 8B 40 08 8B F0 4E 85 F6 7C 4D 46 33 DB 8B 45 FC 8B 40 78 8B D3 E8 ?? ?? ?? ?? 8B 40 0C 8B D7 E8 ?? ?? ?? ?? 85 C0 75 2B 8B 45 FC 8B 40 78 8B D3 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 FC 8B 40 78 8B D3 E8 ?? ?? ?? ?? 89 45 F4 EB 04 43 4E 75 B6 83 7D F4 00 75 09 33 DB E8 ?? ?? ?? ?? EB 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D 14 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_23299_0 {
	meta:
		name = "TDSServer.NotifyObject"
		size = 29
		refs = "0015 TDSServer.NotifyObject"
	strings:
		$1 = { 55 8B EC 8B 55 10 52 8B 55 0C 52 8B 55 08 52 8B D1 8B 4D 14 E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_23300_0 {
	meta:
		name = "TDSServer.NotifyCallback"
		size = 33
		refs = "0019 TDSServer.NotifyCallback"
	strings:
		$1 = { 55 8B EC 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 55 08 52 8B D1 8B 4D 18 E8 ?? ?? ?? ?? 5D C2 14 00 }
	condition:
		$1
}

rule function_23301_0 {
	meta:
		name = "TDSServer.NotifyObject"
		size = 84
		refs = "0013 TDSServer.MarshalData 0029 TDSServer.NotifyCallback 0039 TDSServer.UnMarshalJSON 0046 TObject.Free"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B DA 8B F0 8B 55 10 8B C6 E8 ?? ?? ?? ?? 50 8D 45 FC 50 8B 45 08 50 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 17 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 0C 89 02 8B 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_23302_0 {
	meta:
		name = "TDSServer.Preparing"
		size = 18
		altNames = "TDSServerClass.Preparing TSOAPDomConv.ObjectMemberNoShow"
	strings:
		$1 = { 53 66 83 78 62 00 74 08 8B D8 8B 43 64 FF 53 60 5B C3 }
	condition:
		$1
}

rule function_23303_0 {
	meta:
		name = "TDSServer.SetTraceInfoEvent"
		size = 21
		refs = "000d TDBXContext.SetOnTrace"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 38 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_97744_0 {
	meta:
		name = "TWebContainedContainerComponent.GetChildren"
		size = 21
		refs = "000d TWebContainerComponentHelper.GetChildren"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 38 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_97713_0 {
	meta:
		name = "TWebContainerComponent.GetChildren"
		size = 21
		refs = "000d TWebContainerComponentHelper.GetChildren"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 38 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_23304_0 {
	meta:
		name = "TDSServer.Start"
		size = 26
		refs = "0006 TDSCustomServer.Start 000c _DV_TDSServerDriver 0014 TDBXDriverRegistry.RegisterDriverClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_23305_0 {
	meta:
		name = "TDSServer.Stop"
		size = 284
		refs = "001e TMonitor.CheckMonitorSupport 0025 TMonitor.GetMonitor 002d TMonitor.Enter 0035 TDSServer.Stop 0066 TList<Datasnap.DSServer.TDSCallbackTunnel>.GetItem 00a2 TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.DoShutDown 00ad TMonitor.Pulse 00c5 TMonitor.Exit 00cb @HandleFinally 00e0 TList<Datasnap.DSServer.TDSCallbackTunnel>.Clear 0108 TDSCustomServer.Stop 0113 TDBXDriverRegistry.UnregisterDriverClass"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 45 FC 8B 45 FC 80 78 3C 00 0F 84 00 01 00 00 8B 45 FC 8B 58 78 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 78 8B 40 08 48 85 C0 0F 8C 88 00 00 00 40 89 45 F0 C7 45 F8 00 00 00 00 8B 45 FC 8B 40 78 8B 55 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 40 10 85 C0 74 5A 8B D8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 10 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED FF 45 F8 FF 4D F0 75 83 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23306_0 {
	meta:
		name = "TDSServer.UnregisterChannelCallback"
		size = 314
		refs = "001a TDSServer.UnregisterChannelCallback 002b TMonitor.CheckMonitorSupport 0032 TMonitor.GetMonitor 003a TMonitor.Enter 006c TList<Datasnap.DSServer.TDSCallbackTunnel>.GetItem 0076 AnsiCompareText 0094 @UStrEqual 009e SAuthSessionFail 00a3 LoadResString 00b0 _Dn_TDBXError 00b5 TDBXError.Create 00ba @RaiseExcept 00c7 TList<Datasnap.DSServer.TDSCallbackTunnel>.Delete 00d9 TDSCallbackTunnel.BroadcastMessage 00e6 TObject.Free 0108 TMonitor.Exit 010e @HandleFinally 0125 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 70 78 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 78 8B 40 08 8B F0 4E 85 F6 0F 8C 94 00 00 00 46 33 FF 8B 45 FC 8B 40 78 8B D7 E8 ?? ?? ?? ?? 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 85 C0 75 6E 8B 45 FC 8B 40 78 8B D7 E8 ?? ?? ?? ?? 8B F0 8B 46 18 8B 55 F8 E8 ?? ?? ?? ?? 74 24 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 78 8B D7 E8 ?? ?? ?? ?? 68 88 13 00 00 6A 01 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 80 7D 08 00 74 11 8B C6 E8 ?? ?? ?? ?? EB 08 47 4E 0F 85 6F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_23308_0 {
	meta:
		name = "TDSServer.UnregisterChannelCallback"
		size = 144
		refs = "0015 TMonitor.CheckMonitorSupport 001c TMonitor.GetMonitor 0024 TMonitor.Enter 002c TDSServer.UnregisterChannelCallback 003f TList<Datasnap.DSServer.TDSCallbackTunnel>.Contains 0059 TDSCallbackTunnel.BroadcastMessage 0066 TList<Datasnap.DSServer.TDSCallbackTunnel>.Remove 007e TMonitor.Exit 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B F2 89 45 FC 8B 45 FC 8B 78 78 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 78 8B D6 E8 ?? ?? ?? ?? 84 C0 74 23 84 DB 74 12 68 88 13 00 00 6A 01 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 78 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23309_0 {
	meta:
		name = "InternalRemoveCallbackTunnel"
		size = 145
		refs = "0013 TMonitor.CheckMonitorSupport 001a TMonitor.GetMonitor 0022 TMonitor.Enter 002a InternalRemoveCallbackTunnel 0050 TList<Datasnap.DSServer.TDSCallbackTunnel>.GetItem 0061 TList<Datasnap.DSServer.TDSCallbackTunnel>.Delete 007f TMonitor.Exit 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 89 45 FC 8B 45 FC 8B 58 78 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 78 8B 40 08 8B F0 4E 85 F6 7C 27 46 33 DB 8B 45 FC 8B 40 78 8B D3 E8 ?? ?? ?? ?? 3B F8 75 0F 8B 45 FC 8B 40 78 8B D3 E8 ?? ?? ?? ?? EB 04 43 4E 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23310_0 {
	meta:
		name = "TDSServer.UnregisterChannelCallback"
		size = 340
		refs = "001b TDSServer.UnregisterChannelCallback 002c TMonitor.CheckMonitorSupport 0033 TMonitor.GetMonitor 003b TMonitor.Enter 006d TList<Datasnap.DSServer.TDSCallbackTunnel>.GetItem 0078 AnsiCompareText 009a @UStrEqual 00a4 SAuthSessionFail 00a9 LoadResString 00b6 _Dn_TDBXError 00bb TDBXError.Create 00c0 @RaiseExcept 00ca TDSCallbackTunnel.HasId 00d8 TDSCallbackTunnelManager.FInstance 00dd TDSCallbackTunnelManagerInternal.RemoveCallbackFromTunnel 00f3 TDSCallbackTunnel.BroadcastMessage 0100 TList<Datasnap.DSServer.TDSCallbackTunnel>.Delete 0122 TMonitor.Exit 0128 @HandleFinally 013f @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 78 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 78 8B 40 08 8B F0 4E 85 F6 0F 8C AD 00 00 00 46 33 DB 8B 45 FC 8B 40 78 8B D3 E8 ?? ?? ?? ?? 8B 40 0C 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 0F 85 82 00 00 00 8B 45 FC 8B 40 78 8B D3 E8 ?? ?? ?? ?? 8B F8 8B 47 18 8B 55 08 E8 ?? ?? ?? ?? 74 24 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 74 34 8B 4D F4 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 68 88 13 00 00 6A 01 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 78 8B D3 E8 ?? ?? ?? ?? EB 08 43 4E 0F 85 56 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_23311_0 {
	meta:
		name = "TDSServer.AddServer"
		size = 97
		refs = "0009 TDSServer.FServerList 0014 TMonitor.CheckMonitorSupport 001b TMonitor.GetMonitor 0023 TMonitor.Enter 002b TDSServer.AddServer 003b TDBXArrayList.Add 0050 TMonitor.Exit 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F0 A1 ?? ?? ?? ?? 89 45 FC 8B 5D FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23312_0 {
	meta:
		name = "TDSServer.CreateChannelTunnel"
		size = 300
		refs = "001d TMonitor.CheckMonitorSupport 0024 TMonitor.GetMonitor 002c TMonitor.Enter 0034 TDSServer.CreateChannelTunnel 005a TList<Datasnap.DSServer.TDSCallbackTunnel>.GetItem 0064 AnsiCompareText 0072 @TryFinallyExit 00ac TDSCallbackTunnelManager.FInstance 00b1 TDSCallbackTunnelManagerInternal.CreateChannelTunnel 00d4 @UStrAsg 00e2 TList<Datasnap.DSServer.TDSCallbackTunnel>.Add 00fa TMonitor.Exit 0114 TDSCallbackTunnelManagerInternal.AddCallbackToTunnel 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 89 55 F8 89 45 FC 33 C0 89 45 F4 8B 45 FC 8B 58 78 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 78 8B 40 08 8B D8 4B 85 DB 7C 31 43 33 F6 8B 45 FC 8B 40 78 8B D6 E8 ?? ?? ?? ?? 8B 40 0C 8B D7 E8 ?? ?? ?? ?? 85 C0 75 0F 33 C0 89 45 F4 E8 ?? ?? ?? ?? E9 A5 00 00 00 46 4B 75 D2 8B 45 FC 83 B8 98 00 00 00 01 7D 0D 8B 45 FC C7 80 98 00 00 00 FF 00 00 00 8B 45 08 50 8B 45 FC 8B 80 98 00 00 00 50 8B CF 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 80 9C 00 00 00 8B 55 F4 89 42 24 8B 45 F4 83 C0 20 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 78 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? 83 7D F4 00 74 14 8B 45 0C 50 8B 4D 10 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 8B 45 F4 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_23313_0 {
	meta:
		name = "TDSServer.RegisterChannelCallback"
		size = 342
		refs = "001a TDSServer.RegisterChannelCallback 002f TMonitor.CheckMonitorSupport 0036 TMonitor.GetMonitor 003e TMonitor.Enter 0070 TList<Datasnap.DSServer.TDSCallbackTunnel>.GetItem 007a AnsiCompareText 0097 TDSCallbackTunnel.HasId 00a6 @UStrEqual 00b0 SAuthSessionFail 00b5 LoadResString 00c2 _Dn_TDBXError 00c7 TDBXError.Create 00cc @RaiseExcept 00da TDSCallbackTunnelManager.FInstance 00df TDSCallbackTunnelManagerInternal.AddCallbackToTunnel 00e8 @TryFinallyExit 0120 TMonitor.Exit 0126 @HandleFinally 013d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F8 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 FC 8B 58 78 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 78 8B 40 08 8B F0 4E 85 F6 0F 8C 9D 00 00 00 46 33 DB 8B 45 FC 8B 40 78 8B D3 E8 ?? ?? ?? ?? 8B 40 0C 8B D7 E8 ?? ?? ?? ?? 85 C0 75 77 8B 45 FC 8B 40 78 8B D3 E8 ?? ?? ?? ?? 8B D8 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 4F 8B 43 18 8B 55 08 E8 ?? ?? ?? ?? 74 24 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 50 8B 4D F8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 F7 01 E8 ?? ?? ?? ?? EB 3E C6 45 F7 00 E8 ?? ?? ?? ?? EB 33 43 4E 0F 85 66 FF FF FF C6 45 F7 00 E8 ?? ?? ?? ?? EB 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_23314_0 {
	meta:
		name = "TDSServer.RemoveServer"
		size = 103
		refs = "0009 TDSServer.FServerList 001a TMonitor.CheckMonitorSupport 0021 TMonitor.GetMonitor 0029 TMonitor.Enter 0031 TDSServer.RemoveServer 0041 TDBXArrayList.Remove 0056 TMonitor.Exit 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F0 A1 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 4C 8B 5D FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_23315_0 {
	meta:
		name = "TDSServer.FindServer"
		size = 251
		refs = "0010 @UStrAddRef 0018 TDSServer.FindServer 0036 TDSServer.FServerList 0041 TMonitor.CheckMonitorSupport 0048 TMonitor.GetMonitor 0050 TMonitor.Enter 0066 TDBXArrayList.GetCount 007a TDBXArrayList.GetValue 0087 @UStrEqual 0091 @TryFinallyExit 00b4 TMonitor.Exit 00ba @HandleFinally 00cb @HandleAnyException 00d0 @DoneExcept 00e5 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 89 45 F4 8B 5D F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 32 46 33 FF 8B D7 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 43 08 8B 55 FC E8 ?? ?? ?? ?? 75 12 89 5D F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 35 47 4E 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23316_0 {
	meta:
		name = "TDSServerClass.Create"
		size = 96
		refs = "000a @ClassCreate 0017 TDSCustomServerClass.Create 001f TDSServerClass.Create 0024 @UStrAsg 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 3C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_23317_0 {
	meta:
		name = "TDSServerClass.CreateInstance"
		size = 65
		refs = "001e _Dn_TProviderDataModule 0025 TObject.InheritsFrom 0032 _DV_TDSProviderDataModuleAdapter 0037 TDSProviderDataModuleAdapter.Create"
	strings:
		$1 = { 53 56 8B F2 66 83 78 52 00 74 33 8B D8 8B D6 8B 43 54 FF 53 50 8B 5E 18 85 DB 74 22 8B 15 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 74 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 5E 5B C3 }
	condition:
		$1
}

rule function_23319_0 {
	meta:
		name = "TDSServerClass.DestroyInstance"
		size = 152
		refs = "001e _DV_TDSProviderDataModuleAdapter 0023 @IsClass 0034 @AsClass 005a TDSServerClass.DestroyInstance 007e TObject.Free 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 FC 8B D8 66 83 7B 5A 00 74 7E 8B 45 FC 8B 70 18 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 26 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 40 08 8B 55 FC 89 42 18 8B 45 F8 33 D2 89 50 08 EB 05 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 5C FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 18 C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23320_0 {
	meta:
		name = "TDSServerClass.GetDSClass"
		size = 206
		refs = "0011 TDSServerClass.GetDSClass 003e _Dn_TProviderDataModule 0046 TObject.InheritsFrom 0058 _Dn_TDSClass 005d TDSClass.Create 006c _DV_TDSProviderDataModuleAdapter 0086 SOnGetClassNotSet 008b LoadResString 009b _Dn_TDBXError 00a0 TDBXError.Create 00a5 @RaiseExcept 00ba @UStrClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 DB 66 83 78 4A 00 74 5A 33 D2 89 55 FC 8D 4D FC 8B F0 8B D0 8B 46 4C FF 56 48 83 7D FC 00 74 42 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 0F B6 45 FB 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 80 7D FB 00 74 15 53 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 27 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 B9 1D 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23321_0 {
	meta:
		name = "TDSServerClass.Notification"
		size = 49
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 14 8B C7 8B 10 FF 52 48 3B F0 75 09 33 D2 8B C7 8B 08 FF 51 4C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23323_0 {
	meta:
		name = "TDSServerClass.SetServer"
		size = 69
		refs = "0028 TComponent.RemoveFreeNotification 0035 TComponent.FreeNotification 003e TDSServerComponent.SetServer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 48 3B F0 74 28 8B C3 8B 10 FF 52 48 85 C0 74 10 8B C3 8B 10 FF 52 48 8B D0 8B C3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23326_0 {
	meta:
		name = "TDSProviderDataModuleAdapter.Create"
		size = 75
		refs = "000b @ClassCreate 001c TDSAdapterClass.Create 0024 _Dn_TProviderDataModule 0029 @AsClass 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23328_0 {
	meta:
		name = "TDSProviderDataModuleAdapter.AS_ApplyUpdates"
		size = 224
		refs = "002f @VarAddRef 0037 TDSProviderDataModuleAdapter.AS_ApplyUpdates 0052 @VarCopy 005a @VarClear 0064 @OleVarFromVar 0078 @UStrFromWStr 008e TCustomProvider.ApplyUpdates 00b0 @UStrClr 00b8 @VarClr 00c1 OleVariant 00cb @FinalizeArray 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 89 55 BC 8B D8 8B 7D 08 8B 75 0C 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D0 8B C6 8B 08 FF 51 4C 8D 45 E0 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8B C7 8D 55 C0 E8 ?? ?? ?? ?? 8B 45 10 50 8D 45 D0 50 57 8D 45 B8 8B 55 BC E8 ?? ?? ?? ?? 8B 55 B8 8B 43 08 8B 08 FF 51 4C 8D 55 E0 8B 4D 14 E8 ?? ?? ?? ?? 8D 55 D0 8B C6 8B 08 FF 91 4C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_23329_0 {
	meta:
		name = "TDSProviderDataModuleAdapter.AS_DataRequest"
		size = 130
		refs = "001f @VarAddRef 0027 TDSProviderDataModuleAdapter.AS_DataRequest 0037 @UStrFromWStr 0065 @UStrClr 006d @VarClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B F1 8D 7D F0 A5 A5 A5 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B D6 E8 ?? ?? ?? ?? 8B 55 EC 8B 43 08 8B 08 FF 51 4C 8B 4D 08 8D 55 F0 8B 18 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_23330_0 {
	meta:
		name = "TDSProviderDataModuleAdapter.AS_Execute"
		size = 192
		refs = "0025 TDSProviderDataModuleAdapter.AS_Execute 004f @UStrFromWStr 0098 @UStrClr 00a1 OleVariant 00ab @FinalizeArray 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D D8 89 55 DC 8B F0 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C7 8B 08 FF 51 4C 8D 55 E0 8B 45 08 8B 08 FF 51 4C 8D 45 E0 50 8D 45 D4 8B 55 DC E8 ?? ?? ?? ?? 8B 55 D4 8B 46 08 8B 08 FF 51 4C 8D 4D F0 8B 55 D8 8B 18 FF 93 88 00 00 00 8D 55 F0 8B C7 8B 08 FF 91 4C 01 00 00 8D 55 E0 8B 45 08 8B 08 FF 91 4C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_23331_0 {
	meta:
		name = "TDSProviderDataModuleAdapter.AS_GetParams"
		size = 169
		refs = "0021 TDSProviderDataModuleAdapter.AS_GetParams 003c @UStrFromWStr 0060 @VarCopy 0082 @UStrClr 008b OleVariant 0095 @FinalizeArray 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 89 55 DC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B C6 8B 08 FF 51 4C 8D 45 D8 8B 55 DC E8 ?? ?? ?? ?? 8B 55 D8 8B 43 08 8B 08 FF 51 4C 8D 4D F0 8D 55 E0 8B 18 FF 93 8C 00 00 00 8B 45 08 8D 55 F0 E8 ?? ?? ?? ?? 8D 55 E0 8B C6 8B 08 FF 91 4C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_23332_0 {
	meta:
		name = "TDSProviderDataModuleAdapter.AS_GetProviderNames"
		size = 165
		refs = "0014 TDSProviderDataModuleAdapter.AS_GetProviderNames 0025 TProviderDataModule.ProviderNamesToVariant 002c _Dn_TStringList 0031 TStringList.Create 004c TStrings.SetStrictDelimiter 0057 VarArrayToStrings 0061 TStrings.GetCommaText 0076 TObject.Free 007c @HandleFinally 0093 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 43 08 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 55 EC E8 ?? ?? ?? ?? 8B D6 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23333_0 {
	meta:
		name = "TDSProviderDataModuleAdapter.AS_GetRecords"
		size = 233
		refs = "0028 TDSProviderDataModuleAdapter.AS_GetRecords 004a Null 0055 @OleVarFromVar 0074 @UStrFromWStr 008a TCustomProvider.GetRecords 00b9 @UStrClr 00c1 @VarClr 00ca OleVariant 00d4 @FinalizeArray 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D D8 89 55 DC 8B D8 8B 7D 0C 8B 75 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C6 8B 08 FF 51 4C 8D 55 E0 8B C7 8B 08 FF 51 4C 8D 45 C8 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 08 E8 ?? ?? ?? ?? 8B 45 18 50 8B 45 14 50 8D 45 F0 50 8D 45 E0 50 8B 45 08 50 8D 45 C4 8B 55 DC E8 ?? ?? ?? ?? 8B 55 C4 8B 43 08 8B 08 FF 51 4C 8B 4D 1C 8B 55 D8 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 8B 08 FF 91 4C 01 00 00 8D 55 E0 8B C7 8B 08 FF 91 4C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_23334_0 {
	meta:
		name = "TDSProviderDataModuleAdapter.AS_RowRequest"
		size = 197
		refs = "002c @VarAddRef 0034 TDSProviderDataModuleAdapter.AS_RowRequest 0045 @VarCopy 0062 @UStrFromWStr 009d @UStrClr 00a6 OleVariant 00b0 @FinalizeArray 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 89 55 CC 8B D8 8B 75 0C 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 8D 55 F0 E8 ?? ?? ?? ?? 8D 55 D0 8B C6 8B 08 FF 51 4C 8D 45 D0 50 8B 45 08 50 8D 45 C8 8B 55 CC E8 ?? ?? ?? ?? 8B 55 C8 8B 43 08 8B 08 FF 51 4C 8D 55 E0 8B 4D 10 8B 18 FF 93 84 00 00 00 8D 55 D0 8B C6 8B 08 FF 91 4C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_23336_0 {
	meta:
		name = "TDSServerDriver.Create"
		size = 179
		refs = "0011 @ClassCreate 0026 TDBXDriverDef 002b @AddRefRecord 0033 TDSServerDriver.Create 0045 TDBXDriver.Create 004a RPR 0051 _Dn_TDBXProperties 0056 TDBXProperties.Create 0065 TDSServerDriver.CreateServerCommand 006e TDBXDriver.AddCommandFactory 0089 @FinalizeRecord 008f @HandleFinally 009c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F4 A5 A5 A5 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 04 56 68 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23338_0 {
	meta:
		name = "TDSServerDriver.CreateServerCommand"
		size = 53
		refs = "000d _Dn_TDSServerConnection 0012 @AsClass 001c TDSServerHelp.GetServerConnectionHandler 0026 _Dn_TDSServerCommand 002b TDSServerCommand.Create"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 8B F2 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 53 8B C3 E8 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_23340_0 {
	meta:
		name = "TDSServerDriver.GetDriverVersion"
		size = 40
		refs = "0006 TDSServerDriver.GetDriverVersion 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 31 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_23341_0 {
	meta:
		name = "TDSServerModuleBase.BeforeDestruction"
		size = 34
		refs = "0006 TComponent.Destroying 000f RemoveFixupReferences"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 80 7B 58 00 75 07 8B C3 8B 10 FF 52 44 5B C3 }
	condition:
		$1
}

rule function_23342_0 {
	meta:
		name = "TDSServerModuleBase.Destroy"
		size = 100
		refs = "0004 @BeforeDestruction 001a RemoveDataModule 0035 TComponent.Destroying 003c TComponent.RemoveFreeNotifications 0043 TComponent.DestroyComponents 004a RemoveFixups 0051 TProviderDataModule.CleanProviders 005c @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 58 00 74 07 8B C6 8B 10 FF 52 44 A1 ?? ?? ?? ?? 66 83 78 02 00 74 0D 8B 3D ?? ?? ?? ?? 8B D6 8B 47 04 FF 17 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_23343_0 {
	meta:
		name = "TDSCallbackTunnel.AddAllIds"
		size = 190
		refs = "0016 TDSCallbackTunnel.AddAllIds 0024 TDSCallbackTunnel.Lock 003d TDictionary<System.string,System.Classes.TStrings>.GetKeys 0042 TDictionary<System.string,System.Classes.TStrings>.TKeyCollection.GetEnumerator 0050 TDictionary<System.string,System.Classes.TStrings>.TKeyEnumerator.GetCurrent 005a TList<System.string>.Contains 0068 TList<System.string>.Add 006f TDictionary<System.string,System.Classes.TStrings>.TKeyEnumerator.MoveNext 007a TObject.Free 008f TDSCallbackTunnel.UnLock 0095 @HandleFinally 00ac @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 22 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 D3 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23344_0 {
	meta:
		name = "TDSCallbackTunnel.AddId"
		size = 161
		refs = "0014 TDSCallbackTunnel.Lock 001c TDSCallbackTunnel.AddId 002f TDictionary<System.string,System.Classes.TStrings>.ContainsKey 003a _Dn_TStringList 003f TStringList.Create 0060 TDictionary<System.string,System.Classes.TStrings>.Add 0069 @TryFinallyExit 008b TDSCallbackTunnel.UnLock 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 57 89 4D F8 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B D6 E8 ?? ?? ?? ?? 84 C0 75 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 83 7D F8 00 74 0A 8B 55 F8 8B C7 8B 08 FF 51 40 8B 45 FC 8B 40 08 8B CF 8B D6 E8 ?? ?? ?? ?? C6 45 F7 01 E8 ?? ?? ?? ?? EB 28 C6 45 F7 00 E8 ?? ?? ?? ?? EB 1D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_23345_0 {
	meta:
		name = "TDSCallbackTunnel.AddListeningOnChannelNames"
		size = 400
		refs = "001b TDSCallbackTunnel.AddListeningOnChannelNames 0030 _DV_TList<System.string> 0035 TList<System.string>.Create 0046 EmptyStr 004d @UStrEqual 0065 TList<System.string>.Contains 0079 TList<System.string>.Add 0081 TDSCallbackTunnel.Lock 009a TDictionary<System.string,System.Classes.TStrings>.GetValues 009f TDictionary<System.string,System.Classes.TStrings>.TValueCollection.GetEnumerator 00ba TDictionary<System.string,System.Classes.TStrings>.TValueEnumerator.GetCurrent 0122 TDictionary<System.string,System.Classes.TStrings>.TValueEnumerator.MoveNext 0149 @HandleFinally 0160 TDSCallbackTunnel.UnLock 017d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D FC 88 4D F3 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 38 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 02 8B 45 F8 8B 40 04 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 2A 80 7D F3 00 75 14 8B 45 F8 8B 50 04 8B 45 F4 8B 00 E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 F8 8B 50 04 8B 45 F4 8B 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 68 8B 45 E4 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 8B 10 FF 52 14 48 89 45 E8 8B 5D E8 85 DB 7C 4A 43 33 F6 8D 4D FC 8B D6 8B 45 EC 8B 38 FF 57 0C 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 24 80 7D F3 00 75 11 8B 45 F4 8B 00 8B 55 FC E8 ?? ?? ?? ?? 84 C0 75 0D 8B 45 F4 8B 00 8B 55 FC E8 ?? ?? ?? ?? 46 4B 75 B9 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 8C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23346_0 {
	meta:
		name = "TDSCallbackTunnel.BroadcastMessage"
		size = 281
		refs = "001a @UStrAddRef 0022 TDSCallbackTunnel.BroadcastMessage 0039 @UStrLAsg 0051 _DV_TDSCallbackTunnelBufferItem 0056 TDSCallbackTunnelBufferItem.Create 0072 TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.PushItem 0083 @HandleAnyException 008b TObject.Free 00a0 SInvalidTunnel 00a5 LoadResString 00af _Dn_Exception 00b4 Exception.Create 00b9 @RaiseExcept 00be @DoneExcept 00e3 TMonitor.Pulse 00fa @UStrClr 0108 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D FC 89 55 F8 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 0B 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? 6A 00 6A 01 8B 45 F8 50 8B 45 08 50 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 10 8B 55 F4 E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 08 EB 40 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? 33 DB EB 0A 8B 43 10 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_23347_0 {
	meta:
		name = "TDSCallbackTunnel.BroadcastMessage"
		size = 279
		refs = "0019 TDSCallbackTunnel.BroadcastMessage 0028 TDSCallbackTunnel.HasId 0034 TObject.Free 004e EmptyStr 0057 _DV_TDSCallbackTunnelBufferItem 005c TDSCallbackTunnelBufferItem.Create 0078 TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.PushItem 0089 @HandleAnyException 00a6 SInvalidTunnel 00ab LoadResString 00b5 _Dn_Exception 00ba Exception.Create 00bf @RaiseExcept 00c4 @DoneExcept 00e9 TMonitor.Pulse 0100 @UStrClr 0106 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0F 8B 45 FC E8 ?? ?? ?? ?? 33 DB E9 B0 00 00 00 56 6A 01 8B 45 FC 50 8B 45 08 50 6A 00 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 10 8B 55 F8 E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 08 EB 40 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 33 DB EB 0A 8B 43 10 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_23349_0 {
	meta:
		name = "TDSCallbackTunnel.Create"
		size = 164
		refs = "000e @ClassCreate 001e @UStrAsg 002c _DV_TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem> 0031 TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.Create 003d TDSCallbackTunnel.Create 0044 _DV_TObjectDictionary<System.string,System.Classes.TStrings> 0049 TObjectDictionary<System.string,System.Classes.TStrings>.Create 006f EmptyStr 0086 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 6A 0A 6A 0A 8B 4D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 8D 47 0C 8B 55 10 E8 ?? ?? ?? ?? 8D 47 18 8B 55 0C E8 ?? ?? ?? ?? C6 47 1C 00 8D 47 20 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 33 C0 89 47 24 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_23350_0 {
	meta:
		name = "TDSCallbackTunnel.GracefullyFreeTunnelItem"
		size = 64
		refs = "0030 TObject.Free 003a TMonitor.Pulse"
	strings:
		$1 = { 51 89 14 24 83 3C 24 00 74 34 8B 14 24 C6 42 11 01 8B 14 24 80 7A 10 00 74 1C 8B 50 14 3B 14 24 75 05 33 D2 89 50 14 8B 04 24 33 D2 89 14 24 E8 ?? ?? ?? ?? EB 08 8B 04 24 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_23351_0 {
	meta:
		name = "TDSCallbackTunnel.Destroy"
		size = 280
		refs = "0008 @BeforeDestruction 0016 TDSCallbackTunnel.GetId 001d TDBXScheduler.FInstance 0024 TDBXScheduler.CancelEvent 002c TMonitor.CheckMonitorSupport 0033 TMonitor.GetMonitor 003b TMonitor.Enter 0043 TDSCallbackTunnel.Destroy 005c TObject.Free 006a TDSCallbackTunnel.GracefullyFreeTunnelItem 0096 TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.PopItem 00af TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.DoShutDown 00d7 TMonitor.Exit 00dd @HandleFinally 0101 TObject.Destroy 010f @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 5D FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 83 C0 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 14 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 78 10 00 74 27 EB 0B 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 58 10 83 7B 08 00 7E 0E 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 DB 8B 45 FC 8B 40 10 85 C0 74 0B 80 78 1C 00 75 05 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 83 C0 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23353_0 {
	meta:
		name = "TDSCallbackTunnel.HasId"
		size = 95
		refs = "0010 TDSCallbackTunnel.Lock 0018 TDSCallbackTunnel.HasId 002b TDictionary<System.string,System.Classes.TStrings>.ContainsKey 0033 @TryFinallyExit 004a TDSCallbackTunnel.UnLock 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B D3 E8 ?? ?? ?? ?? 88 45 FB E8 ?? ?? ?? ?? EB 1D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23354_0 {
	meta:
		name = "TDSCallbackTunnel.ListeningOn"
		size = 252
		refs = "0015 EmptyStr 001c @UStrEqual 0045 TDSCallbackTunnel.Lock 004d TDSCallbackTunnel.ListeningOn 005e TDictionary<System.string,System.Classes.TStrings>.GetValues 0063 TDictionary<System.string,System.Classes.TStrings>.TValueCollection.GetEnumerator 007e TDictionary<System.string,System.Classes.TStrings>.TValueEnumerator.GetCurrent 0099 @TryFinallyExit 00a8 TDictionary<System.string,System.Classes.TStrings>.TValueEnumerator.MoveNext 00cf @HandleFinally 00e6 TDSCallbackTunnel.UnLock"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F2 89 45 FC C6 45 FB 00 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 CC 00 00 00 8B C6 8B 55 FC 8B 52 04 E8 ?? ?? ?? ?? 0F 94 45 FB 80 7D FB 00 0F 85 B1 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2A 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1C 8B D6 8B C3 8B 08 FF 51 54 40 7E 10 C6 45 FB 01 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4E 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23355_0 {
	meta:
		name = "TDSCallbackTunnel.Lock"
		size = 25
		refs = "0004 TMonitor.CheckMonitorSupport 000b TMonitor.GetMonitor 0013 TMonitor.Enter"
		altNames = "TMonitor.Enter"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_23356_0 {
	meta:
		name = "TDSCallbackTunnel.RemoveId"
		size = 126
		refs = "0010 TDSCallbackTunnel.Lock 0018 TDSCallbackTunnel.RemoveId 002e TDictionary<System.string,System.Classes.TStrings>.TryGetValue 003f TDictionary<System.string,System.Classes.TStrings>.Remove 0052 @TryFinallyExit 0069 TDSCallbackTunnel.UnLock 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B 45 FC 8B 40 08 8B D3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 FC 8B 40 08 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 83 78 08 00 0F 9F 45 FB E8 ?? ?? ?? ?? EB 1D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23357_0 {
	meta:
		name = "TDSCallbackTunnel.SendMessage"
		size = 296
		refs = "0022 EmptyStr 002b _DV_TDSCallbackTunnelBufferItem 0030 TDSCallbackTunnelBufferItem.Create 003b TMonitor.CheckMonitorSupport 0042 TMonitor.GetMonitor 004a TMonitor.Enter 0052 TDSCallbackTunnel.SendMessage 0063 TThreadedQueue<Datasnap.DSServer.TDSCallbackTunnelBufferItem>.PushItem 0074 TObject.Free 007d @TryFinallyExit 008a TMonitor.Pulse 0095 TMonitor.Wait 00eb TMonitor.Exit 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B D8 8B 75 10 57 6A 00 8B 45 FC 50 8B 45 08 50 6A 00 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 7D F4 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 10 8B 55 F4 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C6 45 FB 00 E8 ?? ?? ?? ?? E9 95 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 8B 55 0C 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 2C 8B 45 F4 8B 40 14 89 06 83 3E 00 74 09 8B 45 F4 80 78 1C 00 74 0B C6 45 FB 00 E8 ?? ?? ?? ?? EB 5D C6 45 FB 01 E8 ?? ?? ?? ?? EB 52 C6 45 FB 00 E8 ?? ?? ?? ?? EB 47 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 2C 8B 45 F4 E8 ?? ?? ?? ?? 8B 5D F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_23359_0 {
	meta:
		name = "TDSCallbackTunnel.SetState"
		size = 210
		refs = "0017 TDSCallbackTunnel.SetState 0024 _DV_TDSCallbackTunnel.SetState$402$ActRec 0029 TObject.Create 003c @IntfCopy 004e TDBXScheduler.FInstance 005b TDSCallbackTunnel.GetId 0064 TDBXScheduler.CancelEvent 007c EmptyStr 0083 @UStrEqual 00aa TDBXScheduler.AddEvent 00bf @IntfClear 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 88 55 FB 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 0C 0F B6 45 FB 88 46 1C 8B 3D ?? ?? ?? ?? 8B 3F 85 FF 74 56 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 80 7D FB 01 75 40 8B 73 0C 83 7E 24 00 7E 37 8B 46 20 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 25 8B 43 0C 8B 40 24 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CB 85 C9 74 03 83 E9 F0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_23360_0 {
	meta:
		name = "TDSCallbackTunnel.TerminateTimedOutTunnel"
		size = 55
		refs = "000d TDSServer.FindServer 0013 _DV_TDSServer 0018 @AsClass 0025 TDSServer.UnregisterChannelCallback 002c TDSCallbackTunnelManager.FInstance 0031 TDSCallbackTunnelManagerInternal.CloseChannelTunnel"
	strings:
		$1 = { 53 8B D8 80 7B 1C 01 75 2C 8B 43 20 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 15 33 C9 8B D3 E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_23362_0 {
	meta:
		name = "TDSCallbackTunnelBufferItem.Create"
		size = 101
		refs = "000e @ClassCreate 001e @UStrAsg 004e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8D 47 08 8B 55 18 E8 ?? ?? ?? ?? 0F B6 45 14 88 47 10 8B 45 10 89 47 0C 0F B6 45 08 88 47 11 8B 45 0C 89 47 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_23363_0 {
	meta:
		name = "TDSCallbackTunnelBufferItem.Destroy"
		size = 65
		refs = "0003 @BeforeDestruction 001d TObject.Free 002f TObject.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 11 00 74 12 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 05 33 C0 89 46 0C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23364_0 {
	meta:
		name = "TDSCallbackTunnelManager.Create"
		size = 61
		refs = "000a @ClassCreate 0015 _DV_TList<Datasnap.DSServer.TDSCallbackTunnelEvent> 001a TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Create 001f TDSCallbackTunnelManager.FListeners 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_23365_0 {
	meta:
		name = "TDSCallbackTunnelManager.Destroy"
		size = 54
		refs = "0003 @BeforeDestruction 000c TDSCallbackTunnelManager.FListeners 0019 TObject.Free 0024 TObject.Destroy 002f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_23366_0 {
	meta:
		name = "TDSCallbackTunnelManager.AddTunnelEvent"
		size = 91
		refs = "000b @IntfAddRef 0013 TDSCallbackTunnelManager.AddTunnelEvent 0021 TDSCallbackTunnelManager.FListeners 0026 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Contains 0037 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Add 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0D 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_23367_0 {
	meta:
		name = "TDSCallbackTunnelManager.RemoveTunnelEvent"
		size = 95
		refs = "000c @IntfAddRef 0014 TDSCallbackTunnelManager.RemoveTunnelEvent 0020 TDSCallbackTunnelManager.FListeners 0030 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.Remove 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 13 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 0F 9F C3 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_23368_0 {
	meta:
		name = "TDSCallbackTunnelManagerInternal.AddCallbackToTunnel"
		size = 162
		refs = "0014 TDSCallbackTunnelEventItem 0019 @InitializeRecord 0021 TDSCallbackTunnelManagerInternal.AddCallbackToTunnel 0037 TDSCallbackTunnel.AddId 004d @UStrLAsg 0072 TDSCallbackTunnelManagerInternal.NotifyEvents 008d @FinalizeRecord 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B DA 8B F0 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 47 8B 4D 08 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 74 37 C6 45 E8 03 89 5D EC 8D 45 F0 8B 53 0C E8 ?? ?? ?? ?? 8D 45 F4 8B 53 04 E8 ?? ?? ?? ?? 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 45 08 89 45 FC 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_23369_0 {
	meta:
		name = "TDSCallbackTunnelManagerInternal.RemoveCallbackFromTunnel"
		size = 178
		refs = "0015 TDSCallbackTunnelEventItem 001a @InitializeRecord 0022 TDSCallbackTunnelManagerInternal.RemoveCallbackFromTunnel 002f TDSCallbackTunnel.CallbackCount 0041 TDSCallbackTunnel.HasId 004e TDSCallbackTunnel.RemoveId 0062 @UStrLAsg 0082 TDSCallbackTunnelManagerInternal.NotifyEvents 009d @FinalizeRecord 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F9 8B F2 89 45 E4 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 9F C3 84 DB 74 4A 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3D 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 C6 45 E8 04 89 75 EC 8D 45 F0 8B 56 0C E8 ?? ?? ?? ?? 8D 45 F4 8B 56 04 E8 ?? ?? ?? ?? 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23370_0 {
	meta:
		name = "TDSCallbackTunnelManagerInternal.CreateChannelTunnel"
		size = 153
		refs = "0014 TDSCallbackTunnelEventItem 0019 @InitializeRecord 0021 TDSCallbackTunnelManagerInternal.CreateChannelTunnel 0039 _DV_TDSCallbackTunnel 003e TDSCallbackTunnel.Create 0052 @UStrLAsg 0067 TDSCallbackTunnelManagerInternal.NotifyEvents 0082 @FinalizeRecord 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B DA 8B F0 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8B 45 0C 50 8B 45 08 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 C6 45 E8 00 89 5D EC 8D 45 F0 8B 53 0C E8 ?? ?? ?? ?? 8D 45 F4 8B 53 04 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_23371_0 {
	meta:
		name = "TDSCallbackTunnelManagerInternal.CloseChannelTunnel"
		size = 131
		refs = "0011 TDSCallbackTunnelEventItem 0016 @InitializeRecord 001e TDSCallbackTunnelManagerInternal.CloseChannelTunnel 003a @UStrLAsg 004f TDSCallbackTunnelManagerInternal.NotifyEvents 0056 TObject.Free 0071 @FinalizeRecord 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B DA 8B F0 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 2E C6 45 E8 01 89 5D EC 8D 45 F0 8B 53 0C E8 ?? ?? ?? ?? 8D 45 F4 8B 53 04 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23372_0 {
	meta:
		name = "TDSCallbackTunnelManagerInternal.NotifyEvents"
		size = 257
		refs = "0022 TDSCallbackTunnelEventItem 0027 @AddRefRecord 002f TDSCallbackTunnelManagerInternal.NotifyEvents 003b TDSCallbackTunnelManager.FListeners 004c TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.GetEnumerator 006a TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.TEnumerator.GetCurrent 0095 @HandleAnyException 009a @DoneExcept 00a2 TList<Datasnap.DSServer.TDSCallbackTunnelEvent>.TEnumerator.MoveNext 00c9 @HandleFinally 00e6 @FinalizeRecord 00ee @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D FC 8B F2 8D 7D E4 B9 06 00 00 00 F3 A5 89 45 E0 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 0F 84 89 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 3B 8D 55 FC 8B 45 DC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E4 8B 55 E0 8B 45 FC 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0A B2 01 8B 45 DC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_23373_0 {
	meta:
		name = "Finalization"
		size = 37
		refs = "0002 _DV_11 0009 TDSCallbackTunnelManager.FInstance 000e TObject.Free 0013 TDSServer.FServerList"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 1C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86130_0 {
	meta:
		name = "TStyleEngine.Destroy@"
		size = 37
		refs = "0002 TStyleEngine.$ClassInitFlag 0009 _DV_TStyleEngine 000e TStyleEngine.FreeControlHooks 0013 TStyleEngine.FControls 0020 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 1C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_23550_0 {
	meta:
		name = "TDictionary<System.string,System.Classes.TStrings>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.string,System.Classes.TStrings>.Hash 001c TDictionary<System.string,System.Classes.TStrings>.GetBucketIndex 002b TPair<System.string,System.Classes.TStrings>.Create 003a TDictionary<System.string,System.Classes.TStrings>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 8B C5 33 C9 8B D3 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 50 8B C5 8B D3 59 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53535_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Hash 001c TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.GetBucketIndex 002b TPair<System.string,System.Bindings.Expression.TBindingExpression>.Create 003a TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 8B C5 33 C9 8B D3 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 50 8B C5 8B D3 59 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24192_0 {
	meta:
		name = "Synchronized"
		size = 143
		refs = "0011 @IntfAddRef 0019 Synchronized 0027 TMonitor.CheckMonitorSupport 002e TMonitor.GetMonitor 0036 TMonitor.Enter 0061 TMonitor.Exit 0067 @HandleFinally 007e @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24193_0 {
	meta:
		name = "TDSTunnelSession.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TDSSession.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 4C 33 C0 89 46 48 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_24197_0 {
	meta:
		name = "TDSRemoteSession.Create"
		size = 92
		refs = "000f @ClassCreate 001f TDSTunnelSession.Create 0026 _Dn_TDBXSocketChannel 002b TDBXSocketChannel.Create 0046 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 50 8B C6 8B D7 8B 08 FF 51 1C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24199_0 {
	meta:
		name = "TDSRemoteSession.Open"
		size = 16
	strings:
		$1 = { 53 8B D8 8B 43 50 8B 10 FF 12 C6 43 14 04 5B C3 }
	condition:
		$1
}

rule function_24200_0 {
	meta:
		name = "TDSRemoteSession.Reopen"
		size = 118
		refs = "0011 TDSRemoteSession.Reopen 003f TObject.Free 0045 @HandleFinally 004e _Dn_TDBXSocketChannel 0053 TDBXSocketChannel.Create"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 10 FF 52 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 C0 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 50 8B C3 8B 55 F8 8B 08 FF 51 1C 8B 45 FC 8B 10 FF 52 34 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24202_0 {
	meta:
		name = "TDSRemoteSession.Close"
		size = 20
		refs = "0006 TDSSession.Close"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 50 8B 10 FF 52 04 5B C3 }
	condition:
		$1
}

rule function_24203_0 {
	meta:
		name = "TDSRemoteSession.Terminate"
		size = 20
		refs = "0006 TDSSession.Terminate 000e TDBXSocketChannel.Terminate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_24204_0 {
	meta:
		name = "TDSRemoteSession.Read"
		size = 25
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 45 08 50 8B 46 50 8B 18 FF 53 08 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_24205_0 {
	meta:
		name = "TDSRemoteSession.Write"
		size = 25
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 45 08 50 8B 46 50 8B 18 FF 53 0C 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_24206_0 {
	meta:
		name = "TDSSynchronizedLocalChannel.Create"
		size = 169
		refs = "000a @ClassCreate 0017 TDBXLocalChannel.Create 002b _Dn_TSemaphore 0030 TSemaphore.Create 0096 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 00 68 FF FF FF 7F 6A 00 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 2C 6A 01 68 FF FF FF 7F 6A 00 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 6A 00 68 FF FF FF 7F 6A 00 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 34 6A 01 68 FF FF FF 7F 6A 00 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 C6 46 3C 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_24207_0 {
	meta:
		name = "TDSSynchronizedLocalChannel.Destroy"
		size = 100
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0052 TDBXLocalChannel.Destroy 005d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 2C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 34 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24208_0 {
	meta:
		name = "TDSSynchronizedLocalChannel.Terminate"
		size = 41
	strings:
		$1 = { 53 8B D8 C6 43 3C 01 8B 43 38 8B 10 FF 52 04 8B 43 30 8B 10 FF 52 04 8B 43 34 8B 10 FF 52 04 8B 43 2C 8B 10 FF 52 04 5B C3 }
	condition:
		$1
}

rule function_24209_0 {
	meta:
		name = "TDSSynchronizedLocalChannel.Read"
		size = 368
		refs = "0020 TDSSynchronizedLocalChannel.Read 0041 SWaitFailure 0046 LoadResString 0061 Format 006e _Dn_TDBXError 0073 TDBXError.Create 0078 @RaiseExcept 0088 SWaitTimeout 00cd SWaitTerminated 00f9 TDBXLocalChannel.Read 0132 @UStrArrayClr 0145 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CA FF 8B 43 2C 8B 08 FF 51 08 3C 03 75 43 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 45 F8 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 01 75 43 8D 45 E8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 45 E8 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7B 3C 00 74 24 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 8B 10 FF 52 2C 84 C0 75 0A 8B 43 38 8B 10 FF 52 04 EB 08 8B 43 2C 8B 10 FF 52 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C6 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 65 00 61 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_24210_0 {
	meta:
		name = "TDSSynchronizedLocalChannel.WriteLocalData"
		size = 408
		refs = "0020 TDSSynchronizedLocalChannel.WriteLocalData 0034 SWaitTerminated 0039 LoadResString 0046 _Dn_TDBXError 004b TDBXError.Create 0050 @RaiseExcept 006b SWaitFailure 008b Format 00b2 SWaitTimeout 0123 TDBXLocalChannel.WriteLocalData 0147 @UStrArrayClr 015a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 3C 00 74 24 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 CA FF 8B 43 38 8B 08 FF 51 08 3C 03 75 43 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 45 F4 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 01 75 43 8D 45 E4 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 45 E4 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7B 3C 00 74 24 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 43 2C 8B 10 FF 52 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C6 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 57 00 72 00 69 00 74 00 65 00 4C 00 6F 00 63 00 61 00 6C 00 44 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_24211_0 {
	meta:
		name = "TDSSynchronizedLocalChannel.Write"
		size = 344
		refs = "0020 TDSSynchronizedLocalChannel.Write 0041 SWaitFailure 0046 LoadResString 0061 Format 006e _Dn_TDBXError 0073 TDBXError.Create 0078 @RaiseExcept 0088 SWaitTimeout 00cd SWaitTerminated 00f9 TDBXLocalChannel.Write 011d @UStrArrayClr 0130 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CA FF 8B 43 30 8B 08 FF 51 08 3C 03 75 43 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 45 F8 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 01 75 43 8D 45 E8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 45 E8 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7B 3C 00 74 24 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 43 34 8B 10 FF 52 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C6 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 72 00 69 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_24212_0 {
	meta:
		name = "TDSSynchronizedLocalChannel.ReadLocalData"
		size = 424
		refs = "0020 TDSSynchronizedLocalChannel.ReadLocalData 0034 SWaitTerminated 0039 LoadResString 0046 _Dn_TDBXError 004b TDBXError.Create 0050 @RaiseExcept 006b SWaitFailure 008b Format 00b2 SWaitTimeout 0123 TDBXLocalChannel.ReadLocalData 015c @UStrArrayClr 016f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 3C 00 74 24 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 CA FF 8B 43 34 8B 08 FF 51 08 3C 03 75 43 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 45 F4 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 01 75 43 8D 45 E4 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 45 E4 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7B 3C 00 74 24 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 8B 10 FF 52 28 84 C0 75 0A 8B 43 30 8B 10 FF 52 04 EB 08 8B 43 34 8B 10 FF 52 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C6 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 61 00 64 00 4C 00 6F 00 63 00 61 00 6C 00 44 00 61 00 74 00 61 00 00 00 }
	condition:
		$1
}

rule function_24213_0 {
	meta:
		name = "TDSLocalSession.Create"
		size = 72
		refs = "000e @ClassCreate 001d TDSTunnelSession.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 50 8B 45 08 89 47 54 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_24214_0 {
	meta:
		name = "TDSLocalSession.Destroy"
		size = 76
		refs = "0003 @BeforeDestruction 001f TThread.Terminate 002f TObject.Free 003a TDSTunnelSession.Destroy 0045 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 50 33 C0 89 46 54 8B 46 5C 80 78 0D 00 75 05 E8 ?? ?? ?? ?? 8D 46 5C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24215_0 {
	meta:
		name = "TDSLocalSession.Open"
		size = 444
		refs = "0019 TDBXClientInfo 001e @InitializeRecord 0026 TDSLocalSession.Open 003b TDSSession.GetData 0044 EmptyStr 004b @UStrEqual 005a @UStrLAsg 0064 _DV_TDSSynchronizedLocalChannel 0069 TDSSynchronizedLocalChannel.Create 00c4 @CopyRecord 00d7 _DV_TDSLocalServer 00dc TDSLocalServer.Create 00fd @UStrArrayClr 010b @FinalizeRecord 0113 @UStrClr 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 D2 89 55 E4 89 55 E8 89 55 FC 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 58 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F4 E8 ?? ?? ?? ?? 8D 4D E4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F8 E8 ?? ?? ?? ?? 8B 43 58 8B 10 FF 52 14 83 C0 08 8D 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 54 50 8B 43 50 50 53 8B 4B 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 5C C6 43 14 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 65 00 6D 00 6F 00 74 00 65 00 49 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6C 00 6F 00 63 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 43 00 6F 00 6D 00 6D 00 75 00 6E 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 50 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 6D 00 6F 00 74 00 65 00 41 00 70 00 70 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_24216_0 {
	meta:
		name = "TDSLocalSession.Authenticate"
		size = 44
		refs = "0010 TDSSession.Authenticate"
		altNames = "TDSTCPSession.Authenticate"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 40 85 C0 74 0B 8B CF 8B D6 8B 18 FF 53 58 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24217_0 {
	meta:
		name = "TDSLocalSession.Close"
		size = 39
		refs = "000b TDSSynchronizedLocalChannel.Terminate 0013 TThread.Terminate 0021 TThread.WaitFor"
	strings:
		$1 = { 53 8B D8 C6 43 14 01 8B 43 58 E8 ?? ?? ?? ?? 8B 43 5C E8 ?? ?? ?? ?? 8B 43 5C 80 78 10 00 75 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_24218_0 {
	meta:
		name = "TDSLocalSession.Terminate"
		size = 6
	strings:
		$1 = { 8B 10 FF 52 2C C3 }
	condition:
		$1
}

rule function_24219_0 {
	meta:
		name = "TDSLocalSession.Read"
		size = 81
		refs = "0026 TDSLocalServer.HasError 003a _Dn_TDBXError 003f TDBXError.Create 0044 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B D8 8B 45 08 50 8B 4D FC 8B 43 58 8B 30 FF 56 24 8B F0 80 7B 14 04 75 26 8B 43 5C E8 ?? ?? ?? ?? 84 C0 74 1A 8B 43 5C 8B 40 40 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_24220_0 {
	meta:
		name = "TDSLocalSession.Write"
		size = 81
		refs = "0026 TDSLocalServer.HasError 003a _Dn_TDBXError 003f TDBXError.Create 0044 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B D8 8B 45 08 50 8B 4D FC 8B 43 58 8B 30 FF 56 20 8B F0 80 7B 14 04 75 26 8B 43 5C E8 ?? ?? ?? ?? 84 C0 74 1A 8B 43 5C 8B 40 40 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_24221_0 {
	meta:
		name = "TDSLocalServer.Create"
		size = 114
		refs = "000e @ClassCreate 001f TThread.Create 0032 _Dn_TDBXFilterSocketChannel 0037 TDBXFilterSocketChannel.Create 004d TDSJSONProtocolHandlerFactory.CreateProtocolHandler 005b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 08 89 47 4C 89 77 44 8B 4D 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 57 44 8B C6 8B 08 FF 51 2C 8B D6 8B 45 10 E8 ?? ?? ?? ?? 89 47 48 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_24222_0 {
	meta:
		name = "TDSLocalServer.Destroy"
		size = 46
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 89 46 44 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24223_0 {
	meta:
		name = "TDSLocalServer.ConsumeByteStream"
		size = 105
		refs = "000e TDSLocalServer.ConsumeByteStream 002d @HandleOnException 0035 _Dn_Exception 0052 @UStrAsg 005a TThread.Terminate 005f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 48 8B 10 FF 12 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 FC 80 78 0D 00 75 16 8B 45 FC 83 C0 40 8B 53 04 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24224_0 {
	meta:
		name = "TDSLocalServer.Execute"
		size = 119
		refs = "0007 CoInitFlags 0015 CoInitializeEx 0036 TDSLocalServer.Execute 004a _DV_TDSSessionManager 004f TDSSessionManager.SetAsThreadSession 0056 TDSLocalServer.ConsumeByteStream 0068 CoUninitialize 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 A1 ?? ?? ?? ?? 83 38 FF 75 0F 6A 00 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 EB 13 A1 ?? ?? ?? ?? 8B 00 50 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 4C 85 C0 74 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F3 5B 5D C3 }
	condition:
		$1
}

rule function_24225_0 {
	meta:
		name = "TDSLocalServer.HasError"
		size = 24
		refs = "0008 EmptyStr 000f @UStrEqual"
	strings:
		$1 = { 53 8B D8 8B 43 40 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_24226_0 {
	meta:
		name = "TDSTunnelService.Create"
		size = 356
		refs = "0016 @ClassCreate 0025 @UStrAddRef 002d TDSTunnelService.Create 003e @UStrAsg 0059 _Dn_TDBXDatasnapProperties 005e TDBXDatasnapProperties.Create 0074 TDBXProperties.SetValue 008f IntToStr 00b9 @UStrArrayClr 00bf @HandleFinally 00cc @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 47 0C 8B 55 FC E8 ?? ?? ?? ?? 8B 45 10 89 47 10 8B 45 0C 89 47 04 8B 45 08 89 47 08 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 18 8B C6 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4F 0C 8B 47 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B 47 10 E8 ?? ?? ?? ?? 8B 4D F8 8B 47 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 59 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 6F 00 72 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_24227_0 {
	meta:
		name = "TDSTunnelService.Destroy"
		size = 62
		refs = "0003 @BeforeDestruction 0017 TObject.Free 002c TObject.Destroy 0037 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 89 46 04 33 C0 89 46 08 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24228_0 {
	meta:
		name = "TDSTunnelService.AddUserCredentials"
		size = 27
		refs = "000a TDBXDatasnapProperties.SetDSAuthenticationUser 0014 TDBXDatasnapProperties.SetDSAuthenticationPassword"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B 43 18 E8 ?? ?? ?? ?? 8B D6 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24229_0 {
	meta:
		name = "TDSTunnelService.CanCloseSession"
		size = 144
		refs = "000f TDSTunnelService.CanCloseSession 001f @UStrLAsg 0037 Pos 0052 @UStrDelete 006c @UStrArrayClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 16 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 48 0F 94 C0 8B D8 84 DB 74 11 8B C6 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_24230_0 {
	meta:
		name = "TDSTunnelService.CreateSession"
		size = 123
		refs = "0013 @UStrAddRef 001c TDBXClientInfo 0021 @InitializeRecord 0029 TDSTunnelService.CreateSession 003a @UStrLAsg 0061 @FinalizeRecord 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B D6 8D 4D EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24231_0 {
	meta:
		name = "TDSTunnelService.CreateSession$155$ActRec.$0$Body"
		size = 380
		refs = "0017 _DV_TDSLocalSession 001c TDSLocalSession.Create 002a _DV_TDSRemoteSession 002f TDSRemoteSession.Create 0040 EmptyStr 0047 @UStrEqual 0051 TDSTunnelService.CreateSession$155$ActRec.$0$Body 0058 TDSSession.PutData"
	strings:
		$1 = { 53 56 8B D8 8B 43 1C 80 78 14 00 74 17 8B 50 08 52 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 11 8B 48 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 1C 89 46 38 8B 43 0C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 14 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 14 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 18 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0F 8B 4B 18 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 65 00 6D 00 6F 00 74 00 65 00 49 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 43 00 6F 00 6D 00 6D 00 75 00 6E 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 50 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 6D 00 6F 00 74 00 65 00 41 00 70 00 70 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 74 00 75 00 6E 00 6E 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 50 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 53 00 75 00 62 00 54 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_24232_0 {
	meta:
		name = "TDSTunnelService.CreateSession"
		size = 411
		refs = "0024 TDBXClientInfo 0029 @AddRefRecord 0031 TDSTunnelService.CreateSession 003e _DV_TDSTunnelService.CreateSession$155$ActRec 0043 TObject.Create 0058 @IntfCopy 006c @CopyRecord 007f TDBXDatasnapProperties.GetUserName 0091 TDSSessionManager.FInstance 0096 TDSSessionManager.CreateSession<Datasnap.DSService.TDSTunnelSession> 00d3 @HandleOnException 00db _Dn_Exception 0104 TDSTunnelService.DefaultErrorOpenSessionEvent 0113 @HandleAnyException 0125 TDSSessionManager.RemoveSession 0136 TObject.Free 013b @RaiseAgain 0140 @DoneExcept 015d TDSTunnelService.DefaultOpenSessionEvent 0172 @UStrClr 0180 @FinalizeRecord 0188 @IntfClear 018e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D FC 8B F1 8D 7D EC A5 A5 A5 A5 89 55 E8 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8D 45 FC 8B 55 E0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 E0 83 C0 0C 8D 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8B F3 89 70 1C 8D 55 DC 8B 46 18 E8 ?? ?? ?? ?? 8B 4D DC 8B 55 E0 85 D2 74 03 83 EA E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 89 02 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E0 8B 40 1C 8B 40 58 8B 55 E8 8B 12 89 42 40 8B 45 E8 8B 00 8B 10 FF 52 34 33 C0 5A 59 59 64 89 10 EB 77 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 55 E4 52 8B 4D E8 8B 09 8B 55 E0 8B 52 1C 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 32 E9 ?? ?? ?? ?? 8B 45 E8 8B 00 8B 50 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 00 8B 55 E8 33 C9 89 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 55 E4 52 8B 4D E8 8B 09 8B 45 E0 8B 40 1C 8B D0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24233_0 {
	meta:
		name = "TDSTunnelService.CloseSession"
		size = 171
		refs = "0011 @UStrAddRef 0019 TDSTunnelService.CloseSession 0027 TDSSessionManager.FInstance 002c TDSSessionManager.GetSession 003a _DV_TDSTunnelSession 003f @IsClass 0062 TDSTunnelService.DefaultCloseSessionEvent 007c TDSSessionManager.CloseSession 0082 @HandleFinally 0099 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 52 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 41 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 F8 50 8B CB 8B D6 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24234_0 {
	meta:
		name = "TDSTunnelService.TerminateAllSessions"
		size = 187
		refs = "0014 TDSTunnelService.TerminateAllSessions 0021 _Dn_TStringList 0026 TStringList.Create 0041 TDSSessionManager.FInstance 0046 TDSSessionManager.GetOpenSessionKeys 0072 TDSSessionManager.TerminateSession 008b TObject.Free 0091 @HandleFinally 00a8 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 21 43 33 F6 8D 4D F8 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24235_0 {
	meta:
		name = "TDSTunnelService.TerminateSession"
		size = 140
		refs = "000c TDSTunnelService.TerminateSession 0021 TStrings.GetValue 0034 @UStrEqual 003e TDSSessionManager.FInstance 0043 TDSSessionManager.TerminateSession 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 1C 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0D 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_24237_0 {
	meta:
		name = "TDSTunnelService.GetSessionCount"
		size = 101
		refs = "000c _Dn_TStringList 0011 TStringList.Create 001c TDSTunnelService.GetSessionCount 002c TDSSessionManager.FInstance 0031 TDSSessionManager.GetOpenSessionKeys 0051 TObject.Free 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24238_0 {
	meta:
		name = "TDSTunnelService.InitializeSession"
		size = 127
		refs = "0013 @UStrAddRef 001c TDBXClientInfo 0021 @InitializeRecord 0029 TDSTunnelService.InitializeSession 003a @UStrLAsg 0063 @FinalizeRecord 006b @UStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24239_0 {
	meta:
		name = "TDSTunnelService.InitializeSession"
		size = 260
		refs = "0020 TDBXClientInfo 0025 @AddRefRecord 002d TDSTunnelService.InitializeSession 0047 TStrings.GetValue 0054 @UStrEqual 0063 TDSTunnelService.CreateSession 0071 @UStrLAsg 0080 TStrings.SetValue 008c TDSTunnelService.GetSession 009d _DV_TDSSessionManager 00a2 TDSSessionManager.SetAsThreadSession 00c0 @FinalizeRecord 00c8 @UStrClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 8B F1 8D 7D EC A5 A5 A5 A5 8B F2 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E8 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2C 8D 55 E8 8D 4D EC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 E8 8B 52 20 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 0D 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 74 0D 8B 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_24240_0 {
	meta:
		name = "TDSTunnelService.NeedsAuthentication"
		size = 124
		refs = "000c TDSTunnelService.NeedsAuthentication 0021 TStrings.GetValue 002e @UStrEqual 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_24241_0 {
	meta:
		name = "TDSTunnelService.GetOpenSessionKeys"
		size = 13
		refs = "0003 TDSSessionManager.FInstance 0008 TDSSessionManager.GetOpenSessionKeys"
	strings:
		$1 = { 8B C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24242_0 {
	meta:
		name = "TDSTunnelService.ProcessPOST"
		size = 692
		refs = "0026 @DynArrayAddRef 002e TDSTunnelService.ProcessPOST 0043 TStrings.GetValue 005a TDSTunnelService.CanCloseSession 006f TDSTunnelService.CloseSession 0086 TDSTunnelService.InitializeSession 009b _DV_TDSSessionManager 00a0 TDSSessionManager.SetAsThreadSession 00bd @DynArrayLength 00ca StrToInt 00fe @HandleOnException 0106 _Dn_Exception 011f TDSTunnelService.DefaultErrorWriteSessionEvent 0124 @DoneExcept 012b _Dn_TJSONObject 0130 TJSONObject.Create 013c _Dn_TJSONArray 0141 TJSONArray.Create 0150 _Dn_TJSONString 0155 TJSONString.Create 015e _Dn_TJSONPair 0163 TJSONPair.Create 016f TJSONObject.AddPair 0187 TJSONArray.AddElement 0191 _Dn_TJSONNumber 0196 TJSONNumber.Create 01a9 TDSSessionManager.ClearThreadSession 01bf TDSTunnelService.DefaultWriteSessionEvent 01c9 SNoSessionFound 01ce LoadResString 01d8 _DV_TDSServiceException 01dd Exception.Create 01e2 @RaiseExcept 01f0 SNoSessionInRequest 0210 Format 023e @UStrArrayClr 0254 TArray<System.Byte> 0259 @DynArrayClear 025f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D E0 89 5D DC 89 5D E4 89 5D F8 89 5D F4 89 4D FC 8B DA 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 97 01 00 00 8D 55 F8 8B 45 F0 8B 00 E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 08 C6 00 01 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? E9 B0 01 00 00 8B 45 08 C6 00 00 33 C9 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 0F 84 2E 01 00 00 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D F4 00 75 0D 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 EB 0B 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 50 33 C9 8B 55 FC 8B 45 EC 8B 18 FF 53 40 89 45 E8 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 FC 52 8D 55 E8 52 8B 4D EC 8B D0 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 0C 89 02 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 53 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 0C 8B 00 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 E8 50 8B 4D EC 8B 55 F0 8B 45 F0 E8 ?? ?? ?? ?? EB 63 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 40 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 63 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 72 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_24243_0 {
	meta:
		name = "TDSTunnelService.ProcessGET"
		size = 684
		refs = "0023 TDSTunnelService.ProcessGET 003a TStrings.GetValue 0051 TDSTunnelService.CanCloseSession 0060 TDSTunnelService.CloseSession 007d TDSTunnelService.InitializeSession 0092 _DV_TDSSessionManager 0097 TDSSessionManager.SetAsThreadSession 00b8 SNoCountParam 00bd LoadResString 00d4 Format 00de _DV_TDSServiceException 00e3 Exception.Create 00e8 @RaiseExcept 00f2 StrToInt 0107 TArray<System.Byte> 010c @DynArraySetLength 014a @HandleOnException 0152 _Dn_Exception 016b TDSTunnelService.DefaultErrorReadSessionEvent 0170 @DoneExcept 017a TDSSessionManager.ClearThreadSession 0190 TDSTunnelService.DefaultReadSessionEvent 01c0 _Dn_TBytesStream 01c5 TBytesStream.Create 01d1 SNoSessionFound 01f8 SNoSessionInRequest 0246 @UStrArrayClr 0261 @DynArrayClear 0274 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D EC 8B DA 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 A8 01 00 00 8D 55 FC 8B 45 F0 8B 00 E8 ?? ?? ?? ?? 84 C0 74 16 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 08 C6 00 01 E9 C1 01 00 00 8B 45 08 C6 00 00 33 C9 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 0F 84 3F 01 00 00 8B 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 75 3E 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 66 C7 45 D4 63 00 C6 45 D8 09 8D 55 D4 33 C9 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 50 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 EC 8B 55 E4 89 10 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E4 50 33 C9 8B 55 F4 8B 45 E8 8B 18 FF 53 3C 8B 55 EC 89 02 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 F4 52 8B 55 EC 52 8B 4D E8 8B D0 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 EC 50 8B 4D E8 8B 55 F0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC 8B 00 3B 45 E4 7D 1C 8B 45 EC 8B 00 50 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 63 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 40 8D 45 CC 50 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 50 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C3 8B C6 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 63 00 00 00 }
	condition:
		$1
}

rule function_24244_0 {
	meta:
		name = "TDSTunnelService.DefaultOpenSessionEvent"
		size = 101
		refs = "0010 @DynArrayAddRef 0018 TDSTunnelService.DefaultOpenSessionEvent 004d TArray<System.Byte> 0052 @DynArrayClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 22 00 74 12 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B 43 24 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_24245_0 {
	meta:
		name = "TDSTunnelService.DefaultErrorOpenSessionEvent"
		size = 186
		refs = "0012 @DynArrayAddRef 001a TDSTunnelService.DefaultErrorOpenSessionEvent 0043 _Dn_Exception 0048 @IsClass 0056 _DV_TDSServiceException 005b Exception.Create 0060 @RaiseExcept 006a SCommunicationErr 006f LoadResString 0098 @UStrClr 00a1 TArray<System.Byte> 00a6 @DynArrayClear 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 2A 00 74 14 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B 43 2C FF 53 28 EB 48 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B 4E 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_24246_0 {
	meta:
		name = "TDSTunnelService.DefaultCloseSessionEvent"
		size = 101
		refs = "0010 @DynArrayAddRef 0018 TDSTunnelService.DefaultCloseSessionEvent 004d TArray<System.Byte> 0052 @DynArrayClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 32 00 74 12 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B 43 34 FF 53 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_24247_0 {
	meta:
		name = "TDSTunnelService.DefaultWriteSessionEvent"
		size = 101
		refs = "0010 @DynArrayAddRef 0018 TDSTunnelService.DefaultWriteSessionEvent 004d TArray<System.Byte> 0052 @DynArrayClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 3A 00 74 12 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B 43 3C FF 53 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_24248_0 {
	meta:
		name = "TDSTunnelService.DefaultReadSessionEvent"
		size = 101
		refs = "0010 @DynArrayAddRef 0018 TDSTunnelService.DefaultReadSessionEvent 004d TArray<System.Byte> 0052 @DynArrayClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 42 00 74 12 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B 43 44 FF 53 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_24249_0 {
	meta:
		name = "TDSTunnelService.DefaultErrorWriteSessionEvent"
		size = 186
		refs = "0012 @DynArrayAddRef 001a TDSTunnelService.DefaultErrorWriteSessionEvent 0043 _Dn_Exception 0048 @IsClass 0056 _DV_TDSServiceException 005b Exception.Create 0060 @RaiseExcept 006a SCommunicationErr 006f LoadResString 0098 @UStrClr 00a1 TArray<System.Byte> 00a6 @DynArrayClear 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 4A 00 74 14 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B 43 4C FF 53 48 EB 48 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B 4E 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_24250_0 {
	meta:
		name = "TDSTunnelService.DefaultErrorReadSessionEvent"
		size = 186
		refs = "0012 @DynArrayAddRef 001a TDSTunnelService.DefaultErrorReadSessionEvent 0043 _Dn_Exception 0048 @IsClass 0056 _DV_TDSServiceException 005b Exception.Create 0060 @RaiseExcept 006a SCommunicationErr 006f LoadResString 0098 @UStrClr 00a1 TArray<System.Byte> 00a6 @DynArrayClear 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 52 00 74 14 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B 43 54 FF 53 50 EB 48 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B 4E 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_24251_0 {
	meta:
		name = "TDSTunnelService.SetDSHostname"
		size = 124
		refs = "000e @UStrAddRef 0016 TDSTunnelService.SetDSHostname 0027 @UStrAsg 0037 TDBXProperties.SetValue 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 0C 8B 55 FC E8 ?? ?? ?? ?? 8B 4B 0C BA ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_24252_0 {
	meta:
		name = "TDSTunnelService.SetDSPort"
		size = 112
		refs = "000d TDSTunnelService.SetDSPort 0022 IntToStr 0032 TDBXProperties.SetValue 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F2 89 73 10 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 6F 00 72 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_24253_0 {
	meta:
		name = "TDSService.Create"
		size = 183
		refs = "000f @ClassCreate 001e @UStrAddRef 003e TDSService.Create 0077 @UStrClr 0084 @UStrArrayClr 0092 @HandleFinally 009f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 6A 00 8B 4D FC 33 D2 8B C6 8B 38 FF 57 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_24254_0 {
	meta:
		name = "TDSService.Create"
		size = 524
		refs = "0016 @ClassCreate 0025 @UStrAddRef 004d TDSService.Create 005c TDSRequestFilterManager.Create 0065 _Dn_TDBXDatasnapProperties 006a TDBXDatasnapProperties.Create 0078 EmptyStr 007f @UStrEqual 0092 TDBXProperties.SetValue 00ad IntToStr 00e1 TDBXDatasnapProperties.SetDSAuthenticationUser 00ec TDBXDatasnapProperties.SetDSAuthenticationPassword 011a @UStrArrayClr 012f @UStrClr 0135 @HandleFinally 0142 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 18 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 0C 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 42 8B C6 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 0C 8B 4D 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B 45 14 E8 ?? ?? ?? ?? 8B 4D F8 8B 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 47 10 00 EB 13 8B C6 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 47 10 01 8B 47 0C 8B 55 10 E8 ?? ?? ?? ?? 8B 47 0C 8B 55 0C E8 ?? ?? ?? ?? 8B 47 0C 8B 4D 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 47 08 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 59 5D C2 14 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 73 00 6E 00 61 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 6F 00 73 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 50 00 49 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 49 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_24256_0 {
	meta:
		name = "TDSService.ProcessRequest"
		size = 372
		refs = "0024 TDSService.ProcessRequest 0032 TJSONArray.Size 0051 TJSONArray.Get 0058 TJSONObject.Get 005d TJSONPair.GetJsonString 0075 @UStrEqual 009c TJSONPair.GetJsonValue 00a9 TDSService.Execute 00b8 @HandleOnException 00c0 _Dn_Exception 00d3 @DoneExcept 00f8 SInvalidInternalCmd 00fd LoadResString 0108 Format 0138 @UStrArrayClr 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D E4 89 5D D8 89 5D D4 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 48 85 C0 0F 8C E3 00 00 00 40 89 45 EC C7 45 F0 00 00 00 00 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 E8 8B C3 8B 08 FF 11 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5E 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 5F E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 50 04 8B 45 F4 8B 08 FF 11 E8 ?? ?? ?? ?? EB 3D 8D 45 E4 50 8D 55 D8 8B C3 8B 08 FF 11 8B 45 D8 89 45 DC C6 45 E0 11 8D 45 DC 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 33 C9 5A E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F4 8B 08 FF 11 FF 45 F0 FF 4D EC 0F 85 28 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 65 00 78 00 65 00 63 00 75 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_24257_0 {
	meta:
		name = "TDSService.GetInputParameterInstance"
		size = 156
		refs = "002d _Dn_TJSONObject 0032 @IsClass 006c _Dn_TJSONArray"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B F2 89 75 FC 8B 45 08 C6 00 00 8B C3 8B 10 FF 52 50 8B F8 8B C3 8B 10 FF 52 40 83 F8 03 75 68 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2E 83 FF 25 75 1C 8B C3 8B 10 FF 52 7C 8B 40 04 8B 10 FF 52 54 83 F8 28 74 2C 8B 45 08 C6 00 01 EB 24 83 FF 17 75 1F 8B 45 08 C6 00 01 EB 17 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 45 08 C6 00 01 8B 45 08 80 38 00 74 0A 8B C6 8B 10 FF 52 0C 89 45 FC 8B 45 FC 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_24258_0 {
	meta:
		name = "TDSService.Execute"
		size = 932
		refs = "0026 TDSService.Execute 003f TDBXConnectionFactory.GetConnectionFactory 004a TDBXConnectionFactory.GetConnection 007c TJSONObject.Get 0081 TJSONPair.GetJsonString 00a9 TJSONPair.GetJsonValue 00c3 TJSONArray.Size 0104 STooManyParameters 0109 LoadResString 0117 Format 0121 _DV_TDSServiceException 0126 Exception.Create 012b @RaiseExcept 018f TJSONArray.Get 01b2 TDSService.GetInputParameterInstance 0207 TDBXJSONTools.JSONToDBX 0216 @HandleAnyException 0229 TObject.Free 022e @RaiseAgain 0233 @DoneExcept 027d STooManyInputParams 032d @HandleFinally 0349 @UStrArrayClr 0351 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 DB 89 5D B4 89 5D B0 89 5D D4 89 5D B8 89 5D FC 89 4D F4 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC C6 45 DF 00 33 C0 89 45 E8 E8 ?? ?? ?? ?? 8B 55 F8 8B 52 0C E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 8B 10 FF 52 7C 89 45 EC BA ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 04 33 D2 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 11 8B 55 FC 8B 45 EC 8B 08 FF 51 10 8B 45 EC 8B 10 FF 52 60 33 D2 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 EC 8B 10 FF 52 34 8B 10 FF 52 08 8B D8 8B 45 E8 E8 ?? ?? ?? ?? 3B D8 7D 64 8D 45 D4 50 8B 45 FC 89 45 BC C6 45 C0 11 8B 45 EC 8B 10 FF 52 34 8B 10 FF 52 08 89 45 C4 C6 45 C8 00 8B 45 E8 E8 ?? ?? ?? ?? 89 45 CC C6 45 D0 00 8D 45 BC 50 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 B9 02 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 E0 8B 45 EC 8B 10 FF 52 34 8B 10 FF 52 08 48 85 C0 0F 8C F7 00 00 00 40 89 45 D8 33 DB C6 45 DE 00 8B 45 EC 8B 10 FF 52 34 8B D3 8B 08 FF 51 04 8B 10 FF 52 40 83 F8 03 74 07 48 0F 85 C3 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 3B 45 E0 7F 07 33 C0 89 45 E4 EB 34 8B 55 E0 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E4 8D 45 DE 50 8B 45 EC 8B 10 FF 52 34 8B D3 8B 08 FF 51 04 8B C8 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E4 FF 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 0F B6 40 10 50 0F B6 45 DE 50 8B 45 EC 8B 10 FF 52 34 8B D3 8B 08 FF 51 04 8B 10 FF 52 50 50 8B 45 EC 8B 10 FF 52 34 8B D3 8B 08 FF 51 04 8B 10 FF 52 7C 8B D0 8B 45 E4 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 80 7D DE 00 74 0D 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 FF 4D D8 0F 85 0F FF FF FF 8B 45 E8 E8 ?? ?? ?? ?? 3B 45 E0 7E 5A 8D 45 B4 50 8B 45 FC 89 45 BC C6 45 C0 11 8B 45 E0 89 45 C4 C6 45 C8 00 8B 45 E8 E8 ?? ?? ?? ?? 89 45 CC C6 45 D0 00 8D 45 BC 50 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 B9 02 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D B4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 68 8B 4D F0 8B 55 EC 8B 45 F4 8B 18 FF 53 04 33 C0 89 45 EC 33 C0 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D DF 00 74 08 8B 45 E8 E8 ?? ?? ?? ?? 83 7D EC 00 74 08 8B 45 EC 8B 10 FF 52 5C 83 7D F0 00 74 08 8B 45 F0 8B 10 FF 52 64 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F8 80 78 10 00 74 13 83 7D F0 00 74 0D 8B 45 F0 8B 40 30 E8 ?? ?? ?? ?? EB 08 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 }
	condition:
		$1
}

rule function_24259_0 {
	meta:
		name = "TDSRESTService.Create"
		size = 181
		refs = "000e @ClassCreate 001d @UStrAddRef 003d TDSRESTService.Create 0061 TDSRESTService.CreateImpl 0076 @UStrClr 0083 @UStrArrayClr 0091 @HandleFinally 009e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 6A 00 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_24270_0 {
	meta:
		name = "TDSJSONService.Create"
		size = 181
		refs = "000e @ClassCreate 001d @UStrAddRef 003d TDSJSONService.Create 0061 TDSJSONService.CreateImpl 0076 @UStrClr 0083 @UStrArrayClr 0091 @HandleFinally 009e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 6A 00 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_24260_0 {
	meta:
		name = "TDSRESTService.CreateImpl"
		size = 191
		refs = "000e @ClassCreate 001d @UStrAddRef 0045 TDSRESTService.CreateImpl 006b TDSService.Create 0080 @UStrClr 008d @UStrArrayClr 009b @HandleFinally 00a8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 18 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_24271_0 {
	meta:
		name = "TDSJSONService.CreateImpl"
		size = 191
		refs = "000e @ClassCreate 001d @UStrAddRef 0045 TDSJSONService.CreateImpl 006b TDSService.Create 0080 @UStrClr 008d @UStrArrayClr 009b @HandleFinally 00a8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 18 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_24262_0 {
	meta:
		name = "TDSRESTService.BuildParamArray"
		size = 396
		refs = "0018 TDSRESTService.BuildParamArray 0025 _Dn_TJSONArray 002a TJSONArray.Create 0057 TrueBoolStrs 005e @DynArrayHigh 0070 AnsiIndexText 007a _Dn_TJSONTrue 007f TJSONAncestor.Create 008b TJSONArray.AddElement 0095 FalseBoolStrs 00b8 _Dn_TJSONFalse 00d8 AnsiCompareStr 00e3 _Dn_TJSONNull 0101 _Dn_TDBXPlatform 0106 TDBXPlatform.TryJsonToFloat 0114 _Dn_TJSONNumber 0119 TJSONString.Create 0131 _Dn_TJSONString 015f @UStrClr 0165 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 02 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C 08 01 00 00 43 33 F6 8D 4D FC 8B D6 8B 45 F8 8B 38 FF 57 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B C8 8B 15 ?? ?? ?? ?? 8B 12 8B 45 FC E8 ?? ?? ?? ?? 40 7E 1D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 00 E8 ?? ?? ?? ?? E9 B2 00 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B C8 8B 15 ?? ?? ?? ?? 8B 12 8B 45 FC E8 ?? ?? ?? ?? 40 7E 1A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 00 E8 ?? ?? ?? ?? EB 77 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 1A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 00 E8 ?? ?? ?? ?? EB 4C 8D 4D E8 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 00 E8 ?? ?? ?? ?? EB 1B 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 00 E8 ?? ?? ?? ?? 46 4B 0F 85 FB FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 75 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_24263_0 {
	meta:
		name = "TDSRESTService.ParseRequest"
		size = 780
		refs = "0023 TDSRESTService.ParseRequest 0036 Pos 0044 SInvalidRequestFormat 0049 LoadResString 0053 _DV_TDSServiceException 0058 Exception.Create 005d @RaiseExcept 007b PosEx 00db TDBXProperties.GetValue 00f3 @UStrCopy 0102 IPProcs 0118 @UStrAsg 0186 _Dn_TStringList 018b TStringList.Create 01fe EmptyStr 0255 @UStrLen 0272 @IntfClear 027a @UStrClr 028f @UStrArrayClr 02b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F0 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FB 01 7E 09 8B F3 BB 01 00 00 00 EB 38 8D 4B 01 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 83 FE 01 7D 21 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 01 3B F0 75 21 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 8B 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 50 8D 45 D0 50 8B CE 2B CB 49 8D 53 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D0 50 8D 55 CC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 CC 33 C9 5A 8B 18 FF 53 48 8B 55 D4 8B 45 F0 E8 ?? ?? ?? ?? 8B DE 8D 4B 01 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 83 FE 01 7D 0F 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8D 70 01 8D 45 C8 50 8D 45 C4 50 8B CE 2B CB 49 8D 53 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 C4 50 8D 55 C0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 C0 33 C9 5A 8B 18 FF 53 48 8B 55 C8 8B 45 0C E8 ?? ?? ?? ?? 8B DE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 B8 00 00 00 8D 4B 01 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 83 FE 01 7D 1B 8B 45 F4 89 45 EC 83 7D EC 00 74 0B 8B 45 EC 83 E8 04 8B 00 89 45 EC 8B 75 EC 46 8D 43 01 3B F0 75 20 8B 45 F4 89 45 E8 83 7D E8 00 74 0B 8B 45 E8 83 E8 04 8B 00 89 45 E8 3B 75 E8 0F 9E 45 E7 EB 04 C6 45 E7 00 80 7D E7 00 74 14 8B 15 ?? ?? ?? ?? 8B 12 8B 45 08 8B 00 8B 08 FF 51 38 EB 3F 8D 45 FC 50 8D 45 BC 50 8B CE 2B CB 49 8D 53 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 BC 50 8D 55 B8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B8 33 C9 5A 8B 18 FF 53 48 8B 45 08 8B 00 8B 55 FC 8B 08 FF 51 38 8B DE 8B 45 F4 E8 ?? ?? ?? ?? 3B D8 0F 8C 38 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B1 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 50 00 49 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 49 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_24264_0 {
	meta:
		name = "TDSRESTService.ProcessREST"
		size = 744
		refs = "0026 TDSRESTService.ProcessREST 0062 TDSRESTService.ParseRequest 006f TDSRESTService.BuildParamArray 007e @DynArrayLength 0091 TJSONObject.ParseJSONValue 009f TObject.Free 00a7 SNoJSONValue 00ac LoadResString 00b6 _DV_TDSServiceException 00bb Exception.Create 00c0 @RaiseExcept 00c8 _Dn_TJSONObject 00cd @IsClass 00dc TJSONObject.Size 00ec TJSONObject.Get 00f1 TJSONPair.GetJsonString 0105 @UStrEqual 0115 TJSONPair.GetJsonValue 011b _Dn_TJSONArray 013d TJSONArray.Size 0157 TJSONArray.Get 0166 TJSONArray.AddElement 018b TJSONObject.Create 0199 @UStrClr 01a7 TDSRESTService.SetMethodNameWithPrefix 01b5 _Dn_TJSONString 01ba TJSONString.Create 01c3 _Dn_TJSONPair 01c8 TJSONPair.Create 01d1 TJSONObject.AddPair 020d TJSONArray.Create 022c @HandleOnException 0234 _Dn_Exception 0247 @DoneExcept 026a @HandleFinally 0286 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 89 5D FC 89 5D F8 89 5D F4 89 55 F0 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F8 50 8D 45 EC 50 8D 45 FC 8B D1 8B CB 91 E8 ?? ?? ?? ?? 8D 4D E4 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 85 F6 0F 84 08 01 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 8E F9 00 00 00 B1 01 33 D2 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 75 29 8B 45 E4 E8 ?? ?? ?? ?? 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A0 00 00 00 8B C6 E8 ?? ?? ?? ?? 48 0F 85 92 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D4 8B 08 FF 11 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 6E 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 51 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 28 47 C7 45 DC 00 00 00 00 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 8B 10 FF 52 0C 8B D0 8B 45 E4 E8 ?? ?? ?? ?? FF 45 DC 4F 75 E0 8B C6 E8 ?? ?? ?? ?? EB 0A 8B D6 8B 45 E4 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 F8 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 4D FC 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 56 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 4D 08 8B 55 E8 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 50 04 8B 45 08 8B 08 FF 11 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 5F 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 65 00 78 00 65 00 63 00 75 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_24265_0 {
	meta:
		name = "TDSRESTService.SetMethodNameWithPrefix"
		size = 532
		refs = "0028 TDSRESTService.SetMethodNameWithPrefix 0049 @UStrEqual 0075 @UStrLAsg 00df Format 00ea @UStrAsg 00ff @UStrClr 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D F4 89 5D FC 8B D9 89 55 F8 8B 75 0C 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 3E 66 83 FF 22 74 7A 66 83 FF 27 74 74 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 66 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 58 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 89 5D DC C6 45 E0 11 8B 45 FC 89 45 E4 C6 45 E8 11 89 75 EC C6 45 F0 11 8D 55 DC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 53 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 61 00 63 00 63 00 65 00 70 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 75 00 70 00 64 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 61 00 6E 00 63 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 2E 00 25 00 73 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_24266_0 {
	meta:
		name = "TDSRESTService.ProcessGETRequest"
		size = 112
		refs = "000d @DynArrayAddRef 0015 TDSRESTService.ProcessGETRequest 002f TDSRESTService.ProcessREST 0045 TArray<System.Byte> 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 08 50 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 5D C2 08 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 }
	condition:
		$1
}

rule function_24267_0 {
	meta:
		name = "TDSRESTService.ProcessPOSTRequest"
		size = 308
		refs = "0018 @DynArrayAddRef 0020 TDSRESTService.ProcessPOSTRequest 0038 @DynArrayLength 0063 TStrings.GetName 006c EmptyStr 0073 @UStrEqual 008e TStrings.GetValue 0099 BytesOf 00af TDSRESTService.ProcessREST 00e1 @UStrArrayClr 00ea TArray<System.Byte> 00ef @DynArrayClear 00f7 @UStrClr 010b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 0C 00 0F 84 81 00 00 00 8B 45 0C E8 ?? ?? ?? ?? 48 7E 76 8B 45 0C 0F B6 00 2C 5B 74 6C 2C 20 74 68 85 DB 74 64 8B C3 8B 10 FF 52 14 48 75 5A 8D 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 3C 8D 4D F0 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 08 50 8B CF BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 16 8B 45 0C 50 8B 45 08 50 8B CF BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C7 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_24268_0 {
	meta:
		name = "TDSRESTService.ProcessPUTRequest"
		size = 116
		refs = "000d @DynArrayAddRef 0015 TDSRESTService.ProcessPUTRequest 0031 TDSRESTService.ProcessREST 0047 TArray<System.Byte> 004c @DynArrayClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 45 08 50 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 }
	condition:
		$1
}

rule function_24269_0 {
	meta:
		name = "TDSRESTService.ProcessDELETERequest"
		size = 120
		refs = "000d @DynArrayAddRef 0015 TDSRESTService.ProcessDELETERequest 002f TDSRESTService.ProcessREST 0045 TArray<System.Byte> 004a @DynArrayClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 08 50 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 5D C2 08 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_24273_0 {
	meta:
		name = "TDSJSONService.ProcessJSONCommand"
		size = 322
		refs = "0021 @DynArrayAddRef 0029 TDSJSONService.ProcessJSONCommand 003b TJSONObject.ParseJSONValue 004c SNoJSONValue 0051 LoadResString 005b _DV_TDSServiceException 0060 Exception.Create 0065 @RaiseExcept 007c _Dn_TJSONArray 0081 @IsClass 00a4 TObject.ClassName 00ba SJSONArrayExpected 00ca Format 00f3 TObject.Free 00f9 @HandleFinally 0115 @UStrArrayClr 012b TArray<System.Byte> 0130 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D F0 89 5D E4 89 5D E0 89 5D F4 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B CE 8B 55 F8 8B C3 8B 18 FF 53 04 EB 4B 8D 45 F0 50 8D 55 E4 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 8D 45 E8 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 33 C9 5A E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24274_0 {
	meta:
		name = "TDSJSONService.ProcessPOSTRequest"
		size = 216
		refs = "0015 @DynArrayAddRef 001d TDSJSONService.ProcessPOSTRequest 0031 @DynArrayLength 0042 TDSJSONService.ProcessJSONCommand 0050 SNoJSONCmdContent 0055 LoadResString 0070 Format 007a _DV_TDSServiceException 007f Exception.Create 0084 @RaiseExcept 009e @UStrArrayClr 00a7 TArray<System.Byte> 00ac @DynArrayClear 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D FC 89 5D F8 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 0C 00 74 1B 8B 45 0C E8 ?? ?? ?? ?? 85 C0 7E 0F 8B 4D 08 8B 55 0C 8B C3 E8 ?? ?? ?? ?? EB 40 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_24275_0 {
	meta:
		name = "TDSJSONService.ProcessGETRequest"
		size = 176
		refs = "0013 @DynArrayAddRef 001b TDSJSONService.ProcessGETRequest 002d SPOSTExpected 0032 LoadResString 004d Format 0057 _DV_TDSServiceException 005c Exception.Create 0061 @RaiseExcept 007b @UStrArrayClr 0084 TArray<System.Byte> 0089 @DynArrayClear 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D FC 89 5D F8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 }
	condition:
		$1
}

rule function_24276_0 {
	meta:
		name = "TDSJSONService.ProcessPUTRequest"
		size = 176
		refs = "0013 @DynArrayAddRef 001b TDSJSONService.ProcessPUTRequest 002d SPOSTExpected 0032 LoadResString 004d Format 0057 _DV_TDSServiceException 005c Exception.Create 0061 @RaiseExcept 007b @UStrArrayClr 0084 TArray<System.Byte> 0089 @DynArrayClear 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D FC 89 5D F8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 }
	condition:
		$1
}

rule function_24277_0 {
	meta:
		name = "TDSJSONService.ProcessDELETERequest"
		size = 184
		refs = "0013 @DynArrayAddRef 001b TDSJSONService.ProcessDELETERequest 002d SPOSTExpected 0032 LoadResString 004d Format 0057 _DV_TDSServiceException 005c Exception.Create 0061 @RaiseExcept 007b @UStrArrayClr 0084 TArray<System.Byte> 0089 @DynArrayClear 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D FC 89 5D F8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_24278_0 {
	meta:
		name = "TDSSession.Authenticate"
		size = 152
		refs = "000f TDSSession.Authenticate 002a TDBXProperties.GetValue 0035 @UStrAsg 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 1C 00 75 1A 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 1C E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 53 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 55 00 73 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_24280_0 {
	meta:
		name = "TDSSession.CancelScheduledEvent"
		size = 35
		refs = "0006 TDBXScheduler.FInstance 0013 TDSSession.GetId 001c TDBXScheduler.CancelEvent"
	strings:
		$1 = { 53 56 8B D8 8B 35 ?? ?? ?? ?? 8B 36 85 F6 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24281_0 {
	meta:
		name = "TDSSession.Create"
		size = 67
		refs = "000b @ClassCreate 001b @UStrAsg 002f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 20 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C7 8B 08 FF 51 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24282_0 {
	meta:
		name = "TDSSession.Create"
		size = 79
		refs = "000e @ClassCreate 0020 @UStrAsg 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8D 43 1C 8B 55 08 E8 ?? ?? ?? ?? 8B CE 33 D2 8B C3 8B 30 FF 56 10 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_24283_0 {
	meta:
		name = "TDSSession.Create"
		size = 133
		refs = "000a @ClassCreate 001c Now 0029 _DV_TDictionary<System.string,System.string> 002e TDictionary<System.string,System.string>.Create 003a _DV_TDictionary<System.string,System.TObject> 003f TDictionary<System.string,System.TObject>.Create 0049 _Dn_TStringList 004e TStringList.Create 0058 _DV_TDSSessionCache 005d TDSSessionCache.Create 0067 TDSSession.MarkActivity 0072 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 10 C6 46 14 02 E8 ?? ?? ?? ?? DD 5E 08 9B 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_24284_0 {
	meta:
		name = "TDSSession.Destroy"
		size = 342
		refs = "000a @BeforeDestruction 0015 _DV_TDSSessionManager 001a TDSSessionManager.GetThreadSession 0029 TDSSessionManager.ClearThreadSession 0034 TDictionary<System.string,System.TObject>.GetValues 0039 TDictionary<System.string,System.TObject>.TValueCollection.GetEnumerator 0044 TDSSession.Destroy 0062 TDictionary<System.string,System.TObject>.TValueEnumerator.GetCurrent 0067 TObject.Free 0076 @HandleAnyException 007b @DoneExcept 0083 TDictionary<System.string,System.TObject>.TValueEnumerator.MoveNext 00a2 @HandleFinally 013d TObject.Destroy 014b @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 FC 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 83 C0 28 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 2C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 83 78 34 00 74 35 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 83 C0 34 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24285_0 {
	meta:
		name = "TDSSession.ElapsedSinceLastActvity"
		size = 13
		refs = "0004 GetTickCount"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 2B 43 18 5B C3 }
	condition:
		$1
}

rule function_24286_0 {
	meta:
		name = "TDSSession.ExpiresIn"
		size = 27
		refs = "0006 TDSSession.ElapsedSinceLastActvity"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 10 3B C2 7C 04 33 C0 5B C3 2B D0 8B C2 5B C3 }
	condition:
		$1
}

rule function_24287_0 {
	meta:
		name = "TDSSession.GenerateSessionId"
		size = 132
		refs = "000f Random 0053 TDSSession.GenerateSessionId 0058 Format"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B E8 B8 40 42 0F 00 E8 ?? ?? ?? ?? 8B D8 B8 40 42 0F 00 E8 ?? ?? ?? ?? 8B F0 B8 40 42 0F 00 E8 ?? ?? ?? ?? 8B F8 55 89 5C 24 04 C6 44 24 08 00 89 74 24 0C C6 44 24 10 00 89 7C 24 14 C6 44 24 18 00 8D 54 24 04 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 5D 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 64 00 2E 00 25 00 64 00 2E 00 25 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_24288_0 {
	meta:
		name = "TDSSession.HasData"
		size = 104
		refs = "0015 @UStrAddRef 001d TDSSession.HasData 002e AnsiLowerCase 0039 TDictionary<System.string,System.string>.ContainsKey 0055 @UStrArrayClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 43 24 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24289_0 {
	meta:
		name = "TDSSession.HasObject"
		size = 104
		refs = "0015 @UStrAddRef 001d TDSSession.HasObject 002e AnsiLowerCase 0039 TDictionary<System.string,System.TObject>.ContainsKey 0055 @UStrArrayClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 43 28 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24290_0 {
	meta:
		name = "TDSSession.GetObject"
		size = 118
		refs = "0015 @UStrAddRef 001d TDSSession.GetObject 002e AnsiLowerCase 003c TDictionary<System.string,System.TObject>.TryGetValue 005a @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 4D F8 8B 43 28 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24291_0 {
	meta:
		name = "TDSSession.PutObject"
		size = 130
		refs = "0019 @UStrAddRef 0021 TDSSession.PutObject 0033 TDSSession.HasObject 0042 AnsiLowerCase 004f TDictionary<System.string,System.TObject>.Add 006d @UStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1A 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B CF 8B 46 28 E8 ?? ?? ?? ?? EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24292_0 {
	meta:
		name = "TDSSession.RemoveObject"
		size = 162
		refs = "0019 @UStrAddRef 0021 TDSSession.RemoveObject 0033 TDSSession.HasObject 0041 TDSSession.GetObject 004f AnsiLowerCase 005a TDictionary<System.string,System.TObject>.Remove 006b TObject.Free 0085 @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 84 C0 74 39 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 89 45 F8 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 47 28 E8 ?? ?? ?? ?? 84 DB 74 0F 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? EB 03 8B 75 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24293_0 {
	meta:
		name = "TDSSession.GetAuthRoleInternal"
		size = 258
		refs = "0071 _Dn_TRoleAuth 0076 TRoleAuth.Create 009f _Dn_TStringList 00a4 TStringList.Create 00f6 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D FC 8B 45 0C 33 C9 89 08 8B 45 08 33 C9 89 08 C6 45 F7 01 33 C0 89 45 F8 85 D2 74 67 83 7A 0C 00 74 61 8B 5A 0C 83 7D FC 00 74 48 83 7B 08 00 74 42 8B 43 1C 85 C0 74 06 80 78 04 00 75 35 8B 4B 14 8B 43 08 8B 50 08 8B 45 FC 8B 30 FF 56 64 89 45 F8 83 7D F8 00 75 1B 83 7B 1C 00 75 15 6A 00 6A 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 0A 8B 43 1C 89 45 F8 C6 45 F7 00 83 7D F8 00 74 54 8B 45 F8 83 78 10 00 74 21 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 0C 89 02 8B 45 F8 8B 50 10 8B 45 0C 8B 00 8B 08 FF 51 40 8B 45 F8 83 78 14 00 74 21 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 02 8B 45 F8 8B 50 14 8B 45 08 8B 00 8B 08 FF 51 40 80 7D F7 00 74 0D 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_24294_0 {
	meta:
		name = "TDSSession.GetAuthRoles"
		size = 18
	strings:
		$1 = { 55 8B EC 33 C0 89 01 8B 45 08 33 D2 89 10 5D C2 04 00 }
	condition:
		$1
}

rule function_24295_0 {
	meta:
		name = "TDSSession.GetData"
		size = 137
		refs = "0016 @UStrAddRef 001e TDSSession.GetData 002f AnsiLowerCase 003b @UStrClr 0046 TDictionary<System.string,System.string>.TryGetValue 0054 @UStrAsg 0077 @UStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 43 24 5A E8 ?? ?? ?? ?? 84 C0 74 0C 8B C6 8B 55 F8 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24297_0 {
	meta:
		name = "TDSSession.GetSessionStatus"
		size = 53
		refs = "0022 TDSSession.IsIdleMS"
	strings:
		$1 = { 53 56 8B F0 0F B6 5E 14 84 DB 74 0A 80 FB 02 74 05 80 FB 04 75 18 83 7E 10 00 7E 12 8B 56 10 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 C6 46 14 05 0F B6 46 14 5E 5B C3 }
	condition:
		$1
}

rule function_24300_0 {
	meta:
		name = "TDSSession.IsValid"
		size = 44
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 08 84 C0 74 1A 8B C3 8B 10 FF 52 08 3C 02 74 0F 8B C3 8B 10 FF 52 08 3C 04 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_24301_0 {
	meta:
		name = "TDSSession.IsIdle"
		size = 12
		refs = "0007 TDSSession.IsIdleMS"
	strings:
		$1 = { 69 D2 E8 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24302_0 {
	meta:
		name = "TDSSession.IsIdleMS"
		size = 21
		refs = "0009 TDSSession.ElapsedSinceLastActvity"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 92 C0 5E 5B C3 }
	condition:
		$1
}

rule function_24303_0 {
	meta:
		name = "TDSSession.MarkActivity"
		size = 17
		refs = "0008 GetTickCount"
	strings:
		$1 = { 53 8B D8 C6 43 14 00 E8 ?? ?? ?? ?? 89 43 18 5B C3 }
	condition:
		$1
}

rule function_24304_0 {
	meta:
		name = "TDSSession.PutData"
		size = 125
		refs = "0018 @UStrAddRef 0028 TDSSession.PutData 0039 AnsiLowerCase 0044 TDictionary<System.string,System.string>.Remove 0052 TDictionary<System.string,System.string>.Add 006c @UStrArrayClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 43 24 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 F4 8B 43 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24305_0 {
	meta:
		name = "TDSSession.RemoveData"
		size = 100
		refs = "0015 @UStrAddRef 001d TDSSession.RemoveData 002e AnsiLowerCase 0039 TDictionary<System.string,System.string>.Remove 0053 @UStrArrayClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 43 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24306_0 {
	meta:
		name = "TDSSession.RequiresAuthorization"
		size = 168
		refs = "000b TDSSession.RequiresAuthorization 0010 @UStrEqual"
	strings:
		$1 = { 53 8B DA 85 DB 74 1E 8B 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 33 C0 5B C3 B0 01 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 53 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 2E 00 47 00 65 00 74 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 44 00 53 00 41 00 64 00 6D 00 69 00 6E 00 2E 00 47 00 65 00 74 00 50 00 6C 00 61 00 74 00 66 00 6F 00 72 00 6D 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_24307_0 {
	meta:
		name = "TDSSession.TerminateInactiveSession"
		size = 95
		refs = "0014 TDSSession.IsIdleMS 0020 TDSSession.TerminateInactiveSession 0034 TDSSessionManager.FInstance 0039 TDSSessionManager.TerminateSession 0048 @HandleAnyException 004d @DoneExcept 0056 TDSSession.ScheduleInactiveTerminationEvent"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B 73 10 85 F6 7E 44 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 37 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 12 8B 53 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 13 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_24308_0 {
	meta:
		name = "TDSSession.ScheduleInactiveTerminationEvent$232$ActRec.$0$Body"
		size = 9
	strings:
		$1 = { 8B 40 0C 8B 10 FF 52 04 C3 }
	condition:
		$1
}

rule function_24309_0 {
	meta:
		name = "TDSSession.ScheduleInactiveTerminationEvent"
		size = 116
		refs = "000d TDSSession.ScheduleInactiveTerminationEvent 001a _DV_TDSSession.ScheduleInactiveTerminationEvent$232$ActRec 001f TObject.Create 0032 @IntfCopy 004e TDSSession.ScheduleUserEvent 0063 @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 89 43 0C 8B 50 10 85 D2 7E 10 8B CA 8B D3 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24311_0 {
	meta:
		name = "TDSSession.ScheduleTerminationEvent"
		size = 116
		refs = "000d TDSSession.ScheduleTerminationEvent 001a _DV_TDSSession.ScheduleTerminationEvent$234$ActRec 001f TObject.Create 0032 @IntfCopy 004e TDSSession.ScheduleUserEvent 0063 @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 89 43 0C 8B 50 10 85 D2 7E 10 8B CA 8B D3 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24310_0 {
	meta:
		name = "TAbstractObjectMemberInstance.GetParent"
		size = 8
		altNames = "TDSSession.ScheduleTerminationEvent$234$ActRec.$0$Body"
	strings:
		$1 = { 8B 40 0C 8B 10 FF 12 C3 }
	condition:
		$1
}

rule function_24312_0 {
	meta:
		name = "TDSSession.ScheduleUserEvent"
		size = 103
		refs = "0012 @IntfAddRef 001a TDSSession.ScheduleUserEvent 0026 TDBXScheduler.FInstance 0034 TDSSession.GetId 0040 TDBXScheduler.AddEvent 0055 @IntfClear 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 35 ?? ?? ?? ?? 8B 36 85 F6 74 14 57 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 4D FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24315_0 {
	meta:
		name = "TDSSession.TerminateSession"
		size = 5
	strings:
		$1 = { C6 40 14 03 C3 }
	condition:
		$1
}

rule function_24320_0 {
	meta:
		name = "TDBXRequestFilterFactory.CleanUp"
		size = 19
		refs = "0001 TDBXRequestFilterFactory.FInstance 000e TObject.Free"
	strings:
		$1 = { A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24321_0 {
	meta:
		name = "TDBXRequestFilterFactory.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TDBXRequestFilterFactory.Create 001e _DV_TObjectDictionary<System.string,Datasnap.DSService.TDBXRequestFilter> 0023 TObjectDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 02 00 00 00 }
	condition:
		$1
}

rule function_24384_0 {
	meta:
		name = "TDSRequestFilterManager.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TDSRequestFilterManager.Create 001e _DV_TObjectDictionary<System.string,Datasnap.DSService.TDBXRequestFilter> 0023 TObjectDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 02 00 00 00 }
	condition:
		$1
}

rule function_24322_0 {
	meta:
		name = "TDBXRequestFilterFactory.RequestFilter"
		size = 107
		refs = "0010 @UStrAddRef 0018 TDBXRequestFilterFactory.RequestFilter 0029 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.ContainsKey 003b TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TryGetValue 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 10 8D 4D F8 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? EB 05 33 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24324_0 {
	meta:
		name = "TDBXRequestFilterFactory.GetAllWithField"
		size = 178
		refs = "0013 @UStrAddRef 001b TDBXRequestFilterFactory.GetAllWithField 0029 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.GetValues 002e TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TValueCollection.GetEnumerator 0049 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TValueEnumerator.GetCurrent 0062 TList<Datasnap.DSService.TDBXRequestFilter>.Add 006a TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TValueEnumerator.MoveNext 0083 TObject.Free 0089 @HandleFinally 00a0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 21 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 55 FC 8B C3 8B 08 FF 51 08 84 C0 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24325_0 {
	meta:
		name = "TDBXRequestFilterFactory.RegisterRequestFilter"
		size = 14
		refs = "0009 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Add"
	strings:
		$1 = { 8B CA 8B 40 04 8B 52 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24326_0 {
	meta:
		name = "TDBXRequestFilterFactory.SetUp"
		size = 18
		refs = "0003 _DV_TDBXRequestFilterFactory 0008 TDBXRequestFilterFactory.Create 000d TDBXRequestFilterFactory.FInstance"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24327_0 {
	meta:
		name = "TDBXCropRequestFilter.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TDSRequestFilter<Data.DBXCommon.TDBXValue>.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 18 C7 46 1C FF FF FF 7F 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_24328_0 {
	meta:
		name = "TDBXCropRequestFilter.Create"
		size = 71
		refs = "000d @ClassCreate 001a TDSRequestFilter<Data.DBXCommon.TDBXValue>.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 89 46 18 8B 45 08 89 46 1C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_24330_0 {
	meta:
		name = "TDBXCropRequestFilter.HasParameter"
		size = 120
		refs = "0007 TDBXCropRequestFilter.HasParameter 000e AnsiCompareText 0040 TDSRequestFilter<Data.DBXCommon.TDBXValue>.HasParameter"
	strings:
		$1 = { 53 56 8B DA 8B F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 05 B0 01 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 63 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 72 00 00 00 }
	condition:
		$1
}

rule function_24331_0 {
	meta:
		name = "TDBXCropRequestFilter.SetParameterValue"
		size = 376
		refs = "001d @UStrAddRef 002d TDBXCropRequestFilter.SetParameterValue 0040 AnsiCompareText 004c StrToInt 0093 Pos 00c7 @UStrCopy 0122 @UStrArrayClr 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 10 8B 45 F8 E8 ?? ?? ?? ?? 89 43 18 E9 B2 00 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 10 8B 45 F8 E8 ?? ?? ?? ?? 89 43 1C E9 91 00 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 7C 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 83 FE 01 7E 13 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 3B C6 0F 9F C0 EB 02 33 C0 84 C0 74 4B 8D 45 F4 50 8B CE 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 43 18 8B 7D F8 85 FF 74 05 83 EF 04 8B 3F 8D 45 F0 50 8B CF 2B CE 8D 56 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 43 1C EB 08 33 DB EB 06 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 63 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 72 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_24332_0 {
	meta:
		name = "TDBXSubStringRequestFilter.Clone"
		size = 24
		refs = "000e _DV_TDBXSubStringRequestFilter 0013 TDBXCropRequestFilter.Create"
	strings:
		$1 = { 8B 50 18 52 8B 50 1C 52 8B 48 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24336_0 {
	meta:
		name = "TDBXReaderRequestFilter.Clone"
		size = 24
		refs = "000e _DV_TDBXReaderRequestFilter 0013 TDBXCropRequestFilter.Create"
	strings:
		$1 = { 8B 50 18 52 8B 50 1C 52 8B 48 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24333_0 {
	meta:
		name = "TDBXSubStringRequestFilter.CanConvert"
		size = 32
	strings:
		$1 = { 8B 42 04 8B 10 FF 52 50 48 74 0F 83 E8 02 74 0A 83 E8 17 74 05 83 E8 07 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_24334_0 {
	meta:
		name = "TDBXSubStringRequestFilter.ToJSON"
		size = 160
		refs = "0011 TDBXSubStringRequestFilter.ToJSON 0040 TDBXJSONTools.StreamToJSON 0061 @UStrCopy 006b _Dn_TJSONString 0070 TJSONString.Create 008c @UStrArrayClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 10 FF 52 50 83 E8 03 74 05 83 E8 1E 75 1B 33 D2 8B C6 8B 08 FF 91 B4 00 00 00 8B 4B 1C 8B 53 18 E8 ?? ?? ?? ?? 8B D8 EB 2E 8D 45 FC 50 8D 55 F8 8B C6 8B 08 FF 51 28 8B 45 F8 8B 53 18 42 8B 4B 1C E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24335_0 {
	meta:
		name = "TDBXReaderRequestFilter.CanConvert"
		size = 19
	strings:
		$1 = { 53 8B DA 8B 43 04 8B 10 FF 52 50 83 F8 17 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_24337_0 {
	meta:
		name = "TDBXReaderRequestFilter.ToJSON"
		size = 59
		refs = "0032 TDBXJSONTools.TableToJSON"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B F8 8B C2 8B 10 FF 92 AC 00 00 00 8B F0 8B 5F 18 85 DB 7E 0C 8B C6 8B 10 FF 52 3C 4B 85 DB 7F F4 8B 57 1C 0F B6 0C 24 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24338_0 {
	meta:
		name = "TDSSessionManager.CloseSession"
		size = 114
		refs = "000f TDSSessionManager.CloseSession 0021 TDBXScheduler.FInstance 002f TDSSession.GetId 0038 TDBXScheduler.CancelEvent 0044 TDSSessionManager.NotifyEvents 0061 TObject.Free 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 31 8B 35 ?? ?? ?? ?? 8B 36 85 F6 74 11 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24339_0 {
	meta:
		name = "TDSSessionManager.AddSessionEvent"
		size = 200
		refs = "0011 @IntfAddRef 0019 TDSSessionManager.AddSessionEvent 002f _DV_TList<Datasnap.DSService.TDSSessionEvent> 0034 TList<Datasnap.DSService.TDSSessionEvent>.Create 0045 TMonitor.CheckMonitorSupport 004c TMonitor.GetMonitor 0054 TMonitor.Enter 0070 TList<Datasnap.DSService.TDSSessionEvent>.Contains 0082 TList<Datasnap.DSService.TDSSessionEvent>.Add 009a TMonitor.Exit 00a0 @HandleFinally 00b7 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 78 08 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 08 8B 45 F8 8B 58 08 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 84 C0 75 0E 8B 45 F8 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24340_0 {
	meta:
		name = "TDSSessionManager.RemoveSessionEvent"
		size = 176
		refs = "0011 @IntfAddRef 0019 TDSSessionManager.RemoveSessionEvent 0030 TMonitor.CheckMonitorSupport 0037 TMonitor.GetMonitor 003f TMonitor.Enter 005b TList<Datasnap.DSService.TDSSessionEvent>.Remove 0064 @TryFinallyExit 007e TMonitor.Exit 0084 @HandleFinally 009d @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 85 C0 74 5D 8B D8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 40 0F 9F C3 E8 ?? ?? ?? ?? EB 22 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24341_0 {
	meta:
		name = "TDSSessionManager.SetAsThreadSession"
		size = 16
		refs = "0004 @GetTls 000a VDSSession"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_24342_0 {
	meta:
		name = "TDSSessionManager.ClearThreadSession"
		size = 14
		refs = "0001 @GetTls 0009 VDSSession"
	strings:
		$1 = { E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24343_0 {
	meta:
		name = "TDSSessionManager.CloseSession"
		size = 88
		refs = "000e @UStrAddRef 0016 TDSSessionManager.CloseSession 0026 TDSSessionManager.RemoveSession 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 85 C0 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_24344_0 {
	meta:
		name = "TDSSessionManager.Create"
		size = 61
		refs = "000a @ClassCreate 0017 _DV_TDictionary<System.string,Datasnap.DSService.TDSSession> 001c TDictionary<System.string,Datasnap.DSService.TDSSession>.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_24375_0 {
	meta:
		name = "TDSSessionCache.Create"
		size = 61
		refs = "000a @ClassCreate 0017 _DV_TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler> 001c TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_52325_0 {
	meta:
		name = "TValueConverter.Create"
		size = 61
		refs = "000a @ClassCreate 0017 _DV_TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 001c TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_24347_0 {
	meta:
		name = "TDSSessionManager.Destroy"
		size = 342
		refs = "0010 @BeforeDestruction 001e TDSSessionManager.Destroy 002b _Dn_TStringList 0030 TStringList.Create 004c TDSSessionManager.GetOpenSessionKeys 0054 TStrings.GetEnumerator 0083 @UStrLAsg 008e TDSSessionManager.TerminateSession 0096 TStringsEnumerator.MoveNext 00bd @HandleFinally 00d3 TDSSessionManager.FInstance 00e6 TObject.Free 0115 TObject.Destroy 0137 @UStrArrayClr 014d @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D FC 89 4D F8 E8 ?? ?? ?? ?? 88 55 F3 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 27 8B 5D E8 8D 4D F8 8B 53 04 8B 43 08 8B 18 FF 53 0C 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 8B 45 F4 83 C0 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 F4 83 C0 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 0F B6 55 F3 80 E2 FC 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 80 7D F3 00 7E 08 8B 45 F4 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24348_0 {
	meta:
		name = "TDSSessionManager.GetOpenSessionKeys$272$ActRec.$0$Body"
		size = 116
		refs = "000d TDSSessionManager.GetOpenSessionKeys$272$ActRec.$0$Body 001e TDictionary<System.string,Datasnap.DSService.TDSSession>.GetKeys 0023 TDictionary<System.string,Datasnap.DSService.TDSSession>.TKeyCollection.GetEnumerator 0031 TDictionary<System.string,Datasnap.DSService.TDSSession>.TKeyEnumerator.GetCurrent 0043 TDictionary<System.string,Datasnap.DSService.TDSSession>.TKeyEnumerator.MoveNext 004e TObject.Free 0063 @UStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 10 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 15 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 46 0C 8B 08 FF 51 38 8B C3 E8 ?? ?? ?? ?? 84 C0 75 E0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24349_0 {
	meta:
		name = "TDSSessionManager.GetOpenSessionKeys"
		size = 114
		refs = "0010 TDSSessionManager.GetOpenSessionKeys 001d _DV_TDSSessionManager.GetOpenSessionKeys$272$ActRec 0022 TObject.Create 0035 @IntfCopy 004b Synchronized 0060 @IntfClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 7B 0C 8B C6 89 43 10 8B D3 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24350_0 {
	meta:
		name = "TDSSessionManager.GetOpenSessionKeys$274$ActRec.$0$Body"
		size = 78
		refs = "000b TDictionary<System.string,Datasnap.DSService.TDSSession>.GetValues 0010 TDictionary<System.string,Datasnap.DSService.TDSSession>.TValueCollection.GetEnumerator 001b TDictionary<System.string,Datasnap.DSService.TDSSession>.TValueEnumerator.GetCurrent 003c TDictionary<System.string,Datasnap.DSService.TDSSession>.TValueEnumerator.MoveNext 0047 TObject.Free"
	strings:
		$1 = { 53 56 8B F0 8B 46 14 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 21 8B C3 E8 ?? ?? ?? ?? 8B 40 38 3B 46 10 75 12 8B C3 E8 ?? ?? ?? ?? 8B 50 20 8B 46 0C 8B 08 FF 51 38 8B C3 E8 ?? ?? ?? ?? 84 C0 75 D4 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24351_0 {
	meta:
		name = "TDSSessionManager.GetOpenSessionKeys"
		size = 130
		refs = "0019 TDSSessionManager.GetOpenSessionKeys 0026 _DV_TDSSessionManager.GetOpenSessionKeys$274$ActRec 002b TObject.Create 003e @IntfCopy 005a Synchronized 006f @IntfClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 7B 0C 8B 45 F8 89 43 10 8B C6 89 43 14 8B D3 85 D2 74 03 83 EA E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24352_0 {
	meta:
		name = "TDSSessionManager.GetSession"
		size = 155
		refs = "0011 @UStrAddRef 0019 TDSSessionManager.GetSession 0027 TMonitor.CheckMonitorSupport 002e TMonitor.GetMonitor 0036 TMonitor.Enter 0055 TDictionary<System.string,Datasnap.DSService.TDSSession>.TryGetValue 006a TMonitor.Exit 0070 @HandleFinally 0087 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B 45 F8 8B 40 04 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24353_0 {
	meta:
		name = "TDSSessionManager.GetSessionCount$277$ActRec.$0$Body"
		size = 13
	strings:
		$1 = { 8B 50 0C 8B 52 04 8B 52 08 89 50 10 C3 }
	condition:
		$1
}

rule function_24354_0 {
	meta:
		name = "TDSSessionManager.GetSessionCount"
		size = 112
		refs = "000d TDSSessionManager.GetSessionCount 001a _DV_TDSSessionManager.GetSessionCount$277$ActRec 001f TObject.Create 0032 @IntfCopy 0045 Synchronized 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 89 43 0C 8B D3 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 8B 5B 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24356_0 {
	meta:
		name = "TDSSessionManager.GetTunnelSession"
		size = 102
		refs = "000e @UStrAddRef 0016 TDSSessionManager.GetTunnelSession 0026 TDSSessionManager.GetSession 0034 _DV_TDSTunnelSession 0039 @IsClass 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_24357_0 {
	meta:
		name = "TDSSessionManager.GetUniqueSessionId"
		size = 30
		refs = "0009 TDSSession.GenerateSessionId 0013 TDictionary<System.string,Datasnap.DSService.TDSSession>.ContainsKey"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B 13 8B 46 04 E8 ?? ?? ?? ?? 84 C0 75 EB 5E 5B C3 }
	condition:
		$1
}

rule function_24358_0 {
	meta:
		name = "TDSSessionManager.NotifyEvents"
		size = 465
		refs = "001e TDSSessionManager.NotifyEvents 0039 TMonitor.CheckMonitorSupport 0040 TMonitor.GetMonitor 0048 TMonitor.Enter 005d _DV_TList<Datasnap.DSService.TDSSessionEvent> 0062 TList<Datasnap.DSService.TDSSessionEvent>.Create 00b6 TList<Datasnap.DSService.TDSSessionEvent>.GetItem 00c1 TList<Datasnap.DSService.TDSSessionEvent>.Add 00df TMonitor.Exit 00e5 @HandleFinally 012e TList<Datasnap.DSService.TDSSessionEvent>.Contains 0154 @HandleAnyException 0159 @DoneExcept 017c TObject.Free 01b6 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D FC 88 4D F3 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 78 08 00 0F 84 70 01 00 00 8B 5D F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 F8 8B 58 08 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 08 8B 40 08 48 8B D8 85 DB 7C 2A 43 C7 45 EC 00 00 00 00 8D 4D E4 8B 45 F8 8B 40 08 8B 55 EC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? FF 45 EC 4B 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 8B 40 08 48 83 F8 00 7C 61 89 45 EC 8D 4D FC 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 13 8B 45 F4 50 0F B6 4D F3 8B 55 F8 8B 45 FC 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 4D EC 83 7D EC FF 75 A2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24359_0 {
	meta:
		name = "TDSSessionManager.RemoveSession$283$ActRec.$0$Body"
		size = 42
		refs = "0010 TDictionary<System.string,Datasnap.DSService.TDSSession>.TryGetValue 0024 TDictionary<System.string,Datasnap.DSService.TDSSession>.Remove"
	strings:
		$1 = { 53 8B D8 8D 4B 0C 8B 43 14 8B 40 04 8B 53 10 E8 ?? ?? ?? ?? 83 7B 0C 00 74 0E 8B 43 14 8B 40 04 8B 53 10 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_24360_0 {
	meta:
		name = "TDSSessionManager.RemoveSession"
		size = 155
		refs = "0016 @UStrAddRef 001e TDSSessionManager.RemoveSession 002b _DV_TDSSessionManager.RemoveSession$283$ActRec 0030 TObject.Create 0043 @IntfCopy 004e @UStrAsg 0067 Synchronized 007f @IntfClear 0087 @UStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 89 55 F8 8B F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8D 43 10 8B 55 F8 E8 ?? ?? ?? ?? 89 73 14 33 C0 89 43 0C 8B D3 85 D2 74 03 83 EA E8 8B 43 14 E8 ?? ?? ?? ?? 8B 5B 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24361_0 {
	meta:
		name = "TDSSessionManager.TerminateAllSessions$285$ActRec.$0$Body"
		size = 44
		refs = "001b TDSSessionManager.RemoveSession 0025 TList<Datasnap.DSService.TDSSession>.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 18 00 75 08 8B 46 38 3B 43 14 75 15 8B 56 20 8B 43 0C E8 ?? ?? ?? ?? 8B D0 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24362_0 {
	meta:
		name = "TDSSessionManager.TerminateAllSessions"
		size = 308
		refs = "0018 TDSSessionManager.TerminateAllSessions 0025 _DV_TDSSessionManager.TerminateAllSessions$285$ActRec 002a TObject.Create 003f @IntfCopy 0058 _DV_TList<Datasnap.DSService.TDSSession> 005d TList<Datasnap.DSService.TDSSession>.Create 0086 TDSSessionManager.ForEachSession 0091 TList<Datasnap.DSService.TDSSession>.GetEnumerator 00ac TList<Datasnap.DSService.TDSSession>.TEnumerator.GetCurrent 00bb TDSSessionManager.TerminateSession 00c3 TList<Datasnap.DSService.TDSSession>.TEnumerator.MoveNext 00ea @HandleFinally 0104 TObject.Free 0121 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 45 FC 8B 55 F4 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F4 89 78 0C 8B 45 F4 89 70 14 8B 45 F4 88 58 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 85 D2 74 03 83 EA E4 8B 45 F4 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F4 8B 40 10 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24365_0 {
	meta:
		name = "TDSSessionManager.ForEachSession$289$ActRec.$0$Body"
		size = 105
		refs = "000e TDictionary<System.string,Datasnap.DSService.TDSSession>.GetValues 0013 TDictionary<System.string,Datasnap.DSService.TDSSession>.TValueCollection.GetEnumerator 001e TDSSessionManager.ForEachSession$289$ActRec.$0$Body 002e TDictionary<System.string,Datasnap.DSService.TDSSession>.TValueEnumerator.GetCurrent 0040 TDictionary<System.string,Datasnap.DSService.TDSSession>.TValueEnumerator.MoveNext 0059 TObject.Free 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B 43 10 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 43 0C 8B 08 FF 51 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_24367_0 {
	meta:
		name = "TDSSessionManager.TerminateSession"
		size = 114
		refs = "000f TDSSessionManager.TerminateSession 0021 TDBXScheduler.FInstance 002f TDSSession.GetId 0038 TDBXScheduler.CancelEvent 004c TDSSessionManager.NotifyEvents 0061 TObject.Free 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 31 8B 35 ?? ?? ?? ?? 8B 36 85 F6 74 11 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 30 B1 01 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24368_0 {
	meta:
		name = "TDSSessionManager.TerminateSession"
		size = 25
		refs = "0006 TDSSessionManager.RemoveSession 0013 TDSSessionManager.TerminateSession"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_24369_0 {
	meta:
		name = "TDSAuthSession.GetAuthRoles"
		size = 50
		refs = "0027 TDSSession.GetAuthRoleInternal"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 08 33 DB 89 19 33 DB 89 1E 85 D2 74 16 83 7A 0C 00 74 10 8B 78 40 85 FF 74 09 51 56 8B CF E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_24370_0 {
	meta:
		name = "TDSAuthSession.Authorize"
		size = 21
	strings:
		$1 = { 56 8B 70 40 85 F6 74 09 8B C6 8B 08 FF 51 60 5E C3 B0 01 5E C3 }
	condition:
		$1
}

rule function_24372_0 {
	meta:
		name = "TDSRESTSession.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDSSession.Create 0025 @AfterConstruction"
		altNames = "TDSTCPSession.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 40 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_24373_0 {
	meta:
		name = "TDSSessionCache.AddItem"
		size = 276
		refs = "0026 TMonitor.CheckMonitorSupport 002d TMonitor.GetMonitor 0035 TMonitor.Enter 003d TDSSessionCache.AddItem 0055 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.GetKeys 005a TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TKeyCollection.GetEnumerator 0075 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TKeyEnumerator.GetCurrent 0084 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.GetItem 0091 @TryFinallyExit 00a8 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TKeyEnumerator.MoveNext 00cf @HandleFinally 00e5 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Add 0100 TMonitor.Exit"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F8 89 45 FC 83 7D F8 00 75 0C C7 45 F4 FF FF FF FF E9 ED 00 00 00 8B 45 FC 8B 58 04 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 FF FF FF FF 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 33 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 3B 45 F8 75 0F 89 5D F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 70 3B 5D F0 7E 03 89 5D F0 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 C1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 5D F0 43 8B 45 FC 8B 40 04 8B 4D F8 8B D3 E8 ?? ?? ?? ?? 89 5D F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24374_0 {
	meta:
		name = "TDSSessionCache.ClearAllItems"
		size = 257
		refs = "001f TMonitor.CheckMonitorSupport 0026 TMonitor.GetMonitor 002e TMonitor.Enter 0036 TDSSessionCache.ClearAllItems 004f TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.GetValues 0054 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TValueCollection.GetEnumerator 006f TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TValueEnumerator.GetCurrent 0086 TObject.Free 0095 @HandleAnyException 009a @DoneExcept 00a2 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TValueEnumerator.MoveNext 00c9 @HandleFinally 00d6 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Clear 00ee TMonitor.Exit"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 89 45 FC 8B 45 FC 8B 40 04 85 C0 0F 84 DE 00 00 00 8B F0 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 0F 84 87 00 00 00 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 33 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 C1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_24376_0 {
	meta:
		name = "TDSSessionCache.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 0010 TDSSessionCache.ClearAllItems 0020 TObject.Free 002b TObject.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_24377_0 {
	meta:
		name = "TDSSessionCache.GetItem"
		size = 36
		refs = "0012 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TryGetValue"
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 33 F6 8B CC 8B D7 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 03 8B 34 24 8B C6 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_24378_0 {
	meta:
		name = "TDSSessionCache.GetItemID"
		size = 248
		refs = "0030 TMonitor.CheckMonitorSupport 0037 TMonitor.GetMonitor 003f TMonitor.Enter 0047 TDSSessionCache.GetItemID 0058 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.GetKeys 005d TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TKeyCollection.GetEnumerator 0078 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TKeyEnumerator.GetCurrent 0087 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.GetItem 0093 @TryFinallyExit 00a2 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TKeyEnumerator.MoveNext 00c9 @HandleFinally 00e3 TMonitor.Exit"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F2 89 45 FC C7 45 F8 FF FF FF FF 85 F6 0F 84 D3 00 00 00 8B 45 FC 83 78 04 00 0F 84 C6 00 00 00 8B 45 FC 8B 58 04 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2A 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 3B F0 75 0F 89 5D F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 51 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24379_0 {
	meta:
		name = "TDSSessionCache.GetItemIDs"
		size = 217
		refs = "000d _DV_TList<System.Integer> 0012 TList<System.Integer>.Create 0020 TMonitor.CheckMonitorSupport 0027 TMonitor.GetMonitor 002f TMonitor.Enter 0037 TDSSessionCache.GetItemIDs 0048 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.GetKeys 004d TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TKeyCollection.GetEnumerator 0068 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TKeyEnumerator.GetCurrent 0074 TList<System.Integer>.Add 007c TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TKeyEnumerator.MoveNext 00a3 @HandleFinally 00bd TMonitor.Exit 00c5 TList<System.Integer>.Sort"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 58 04 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 14 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24380_0 {
	meta:
		name = "TDSSessionCache.RemoveItem"
		size = 256
		refs = "0031 TMonitor.CheckMonitorSupport 0038 TMonitor.GetMonitor 0040 TMonitor.Enter 0048 TDSSessionCache.RemoveItem 0059 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.GetKeys 005e TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TKeyCollection.GetEnumerator 0079 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TKeyEnumerator.GetCurrent 0088 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.GetItem 0099 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TKeyEnumerator.MoveNext 00c0 @HandleFinally 00ed TMonitor.Exit"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B FA 89 45 FC 85 FF 0F 84 E3 00 00 00 8B 45 FC 83 78 04 00 0F 84 D6 00 00 00 C7 45 F8 FF FF FF FF 8B 45 FC 8B 58 04 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 20 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 8B F0 3B FE 75 03 89 5D F8 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 83 7D F8 FF 7E 0D 33 C9 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24381_0 {
	meta:
		name = "TDSSessionCache.RemoveItem"
		size = 156
		refs = "001c TMonitor.CheckMonitorSupport 0023 TMonitor.GetMonitor 002b TMonitor.Enter 0033 TDSSessionCache.RemoveItem 0049 TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.TryGetValue 005a TDictionary<System.Integer,Data.DBXCommon.TResultCommandHandler>.Remove 0066 TObject.Free 0086 TMonitor.Exit 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 8B F2 89 45 FC 33 C0 89 45 F8 8B 45 FC 8B 78 04 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B 45 FC 8B 40 04 8B D6 E8 ?? ?? ?? ?? 84 C0 74 21 8B 45 FC 8B 40 04 8B D6 E8 ?? ?? ?? ?? 84 DB 74 0A 8B 45 F4 E8 ?? ?? ?? ?? EB 06 8B 45 F4 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24382_0 {
	meta:
		name = "TDSRequestFilterManager.FiltersForCriteria"
		size = 220
		refs = "001a TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.GetValues 001f TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TValueCollection.GetEnumerator 002a TDSRequestFilterManager.FiltersForCriteria 003a TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TValueEnumerator.GetCurrent 0044 @UStrEqual 0065 @SetIntersect 0074 @SetEq 0097 TList<Datasnap.DSService.TDBXRequestFilter>.Add 009f TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TValueEnumerator.MoveNext 00b8 TObject.Free 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8B FA 89 45 FC 8B 5D 0C 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 65 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 14 8B D7 E8 ?? ?? ?? ?? 75 51 56 57 8D 7D EC A5 A5 A4 5F 5E 8B 45 F8 E8 ?? ?? ?? ?? 8D 50 08 8D 45 EC B1 09 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? B1 09 E8 ?? ?? ?? ?? 75 0D 8B 45 F8 E8 ?? ?? ?? ?? 3A 58 11 75 14 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 8F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_24383_0 {
	meta:
		name = "TDSRequestFilterManager.CheckConvertersForConsistency"
		size = 300
		refs = "0010 TDSRequestFilterManager.CheckConvertersForConsistency 002e TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.GetValues 0033 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TValueCollection.GetEnumerator 005b TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TValueEnumerator.GetCurrent 0068 @SetIntersect 0077 @SetEq 0093 @TryFinallyExit 00b4 @SetUnion 00e7 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TValueEnumerator.MoveNext 0108 TObject.Free 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F0 8D 7D EF 8B 05 ?? ?? ?? ?? 89 07 8B 05 ?? ?? ?? ?? 89 47 04 8A 05 ?? ?? ?? ?? 88 47 08 33 DB 8B 46 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 96 00 00 00 57 8B F7 8D 7D E0 A5 A5 A4 5F 8B 45 F8 E8 ?? ?? ?? ?? 8D 50 08 8D 45 E0 B1 09 E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? B1 09 E8 ?? ?? ?? ?? 75 11 84 DB 74 18 8B 45 F8 E8 ?? ?? ?? ?? 3A 58 11 75 0B C6 45 FF 00 E8 ?? ?? ?? ?? EB 7B 57 8B F7 8D 7D E0 A5 A5 A4 5F 8B 45 F8 E8 ?? ?? ?? ?? 8D 50 08 8D 45 E0 B1 09 E8 ?? ?? ?? ?? 8B 45 E0 89 07 8B 45 E4 89 47 04 8A 45 E8 88 47 08 84 DB 75 12 8B 45 F8 E8 ?? ?? ?? ?? 80 78 11 00 75 04 33 C0 EB 02 B0 01 8B D8 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 5A FF FF FF C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_24386_0 {
	meta:
		name = "TDSRequestFilterManager.FiltersForCriteria"
		size = 200
		refs = "001a TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.GetValues 001f TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TValueCollection.GetEnumerator 002a TDSRequestFilterManager.FiltersForCriteria 0044 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TValueEnumerator.GetCurrent 0051 @SetIntersect 0060 @SetEq 0085 TList<Datasnap.DSService.TDBXRequestFilter>.Add 008d TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TValueEnumerator.MoveNext 00a6 TObject.Free 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B D9 8B F2 89 45 FC 8B 7D 08 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 53 56 57 8D 7D EC A5 A5 A4 5F 5E 8B 45 F8 E8 ?? ?? ?? ?? 8D 50 08 8D 45 EC B1 09 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? B1 09 E8 ?? ?? ?? ?? 75 12 84 DB 74 1F 8B 45 F8 E8 ?? ?? ?? ?? 80 78 11 00 74 11 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 07 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 A1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_24387_0 {
	meta:
		name = "FillRange"
		size = 86
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8B FA 8B D8 3B FB 7C 3C 56 57 8D 7D F4 A5 A5 A4 5F 5E 8B C3 83 F8 47 77 15 8D 55 F4 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F AB 02 8B 45 F4 89 06 8B 45 F8 89 46 04 8A 45 FC 88 46 08 43 3B FB 7D C4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_24388_0 {
	meta:
		name = "AddRange"
		size = 368
		refs = "001a AddRange 006c @UStrCopy 0074 StrToInt 00e5 FillRange 010f SBadParamName 0114 LoadResString 0130 Format 013a _Dn_Exception 013f Exception.Create 0144 @RaiseExcept 015e @UStrArrayClr 0164 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 56 57 33 C0 89 45 E8 89 45 E4 89 45 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 55 08 3B 42 F8 0F 8D D1 00 00 00 8B 45 08 80 78 F7 00 75 6C 8B 45 08 8B 40 0C 8B F0 8D 7D F4 A5 A5 A4 8D 45 F0 50 8B 45 08 8B 48 F8 8B 45 08 2B 48 FC 8B 45 08 8B 50 FC 8B 45 08 8B 40 F0 8B 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 83 F8 47 77 15 8D 55 F4 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F AB 02 8B 45 08 8B 40 0C 8B 55 F4 89 10 8B 55 F8 89 50 04 8A 55 FC 88 50 08 EB 45 8D 45 EC 50 8B 45 08 8B 48 F8 8B 45 08 2B 48 FC 8B 45 08 8B 50 FC 8B 45 08 8B 40 F0 8B 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 48 0C 8B 45 08 8B 40 EC E8 ?? ?? ?? ?? 8B 45 08 C6 40 F7 00 8B 45 08 8B 40 F8 40 8B 55 08 89 42 FC 8B 45 08 33 D2 89 50 EC EB 41 8D 45 E8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 08 8B 40 E8 89 45 DC C6 45 E0 11 8D 55 DC 33 C9 58 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_24389_0 {
	meta:
		name = "TDSRequestFilterManager.ParseParamName"
		size = 564
		refs = "003b TDSRequestFilterManager.ParseParamName 004e Pos 0060 EmptyStr 0067 @UStrAsg 007e @UStrCopy 00b1 @UStrEqual 00cd @UStrLen 00e9 CharInSet 0166 AddRange 0196 StrToInt 01e3 @UStrClr 01e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D E0 89 4D F0 89 55 E8 8B 75 08 8B 45 F0 85 C0 74 04 33 D2 89 10 8B 45 14 85 C0 74 04 33 D2 89 10 8B 45 10 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 12 8B 45 F0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? EB 15 8B 45 F0 50 8B 4D FC 49 BA 01 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 5D E8 85 DB 74 05 83 EB 04 8B 1B 8B 45 10 50 8B CB 2B 4D FC 8B 55 FC 42 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 F0 8B 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 14 01 00 00 C7 45 F8 01 00 00 00 EB 03 FF 45 F8 8B 45 F0 8B 00 E8 ?? ?? ?? ?? 3B 45 F8 7C 1B 8B 45 F0 8B 00 8B 55 F8 0F B7 44 50 FE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 D3 8B 45 14 50 8B 4D F8 49 8B 45 F0 8B 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 0C 8B 15 ?? ?? ?? ?? 89 10 8B 15 ?? ?? ?? ?? 89 50 04 8A 15 ?? ?? ?? ?? 88 50 08 8B 45 F0 8B 00 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 3B 45 F8 0F 8C 88 00 00 00 C6 06 00 8B 45 F8 89 45 FC C6 45 F7 00 EB 61 8B 45 F0 8B 00 8B 55 F8 0F B7 5C 50 FE 66 83 FB 2C 75 09 55 E8 ?? ?? ?? ?? 59 EB 42 66 83 FB 2D 75 3C 8B 45 FC 3B 45 F8 7D 24 8D 45 E0 50 8B 4D F8 2B 4D FC 8B 45 F0 8B 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 89 45 EC EB 05 33 C0 89 45 EC 8B 45 F8 40 89 45 FC C6 45 F7 01 FF 45 F8 8B 45 F0 8B 00 E8 ?? ?? ?? ?? 3B 45 F8 7D 90 55 E8 ?? ?? ?? ?? 59 EB 08 C6 06 01 EB 03 C6 06 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 00 00 00 00 00 30 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_24390_0 {
	meta:
		name = "SetupDCParam"
		size = 73
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 F0 8B 55 08 8B 4A F7 89 48 08 8B 4A FB 89 48 0C 8A 4A FF 88 48 10 8B 45 08 0F B6 40 EF 8B 55 08 8B 52 F0 88 42 11 8B 45 08 8B 48 E4 8B 45 08 8B 50 E8 8B 45 08 8B 40 F0 8B 18 FF 53 04 5B 5D C3 }
	condition:
		$1
}

rule function_24391_0 {
	meta:
		name = "TDSRequestFilterManager.ProcessQueryParameter"
		size = 752
		refs = "0023 TDSRequestFilterManager.ProcessQueryParameter 0031 EmptyStr 0038 @UStrEqual 004d AnsiLowerCase 0064 StrToBool 007b @UStrClr 00a3 TDSRequestFilterManager.ParseParamName 00c2 _DV_TObjectList<Datasnap.DSService.TDBXRequestFilter> 00c7 TObjectList<Datasnap.DSService.TDBXRequestFilter>.Create 00e3 TDBXRequestFilterFactory.FInstance 00e8 TDBXRequestFilterFactory.GetAllWithField 0111 TList<Datasnap.DSService.TDBXRequestFilter>.GetItem 014d TDSRequestFilterManager.FiltersForCriteria 01a6 @UStrAsg 01ac SetupDCParam 01c5 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.Add 01e0 TObject.Free 01e6 @HandleFinally 021f TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.ContainsKey 0234 TDictionary<System.string,Datasnap.DSService.TDBXRequestFilter>.TryGetValue 0243 TDBXRequestFilterFactory.RequestFilter 02b7 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 89 5D E0 89 5D DC 89 5D E8 89 4D E4 8B DA 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 09 C6 45 D7 01 E9 52 02 00 00 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 8B 55 C0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 17 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 D8 88 42 08 C6 45 D7 01 E9 22 02 00 00 8D 45 DC E8 ?? ?? ?? ?? 50 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 45 F7 50 8D 45 EF 50 8D 45 E0 E8 ?? ?? ?? ?? 8B C8 8B 45 D8 8B 00 8B D3 E8 ?? ?? ?? ?? 8B 45 DC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 85 58 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D D0 8B 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 D7 01 8B 45 D0 8B 40 08 48 85 C0 0F 8C F9 00 00 00 40 89 45 C4 C7 45 C8 00 00 00 00 8B 55 C8 8B 45 D0 E8 ?? ?? ?? ?? 89 45 F0 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 45 EF 50 8D 45 CC 50 8D 4D F7 8B 45 F0 8B 50 14 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 CC 8B 40 08 85 C0 7E 33 8B D8 4B 85 DB 7C 6D 43 33 F6 8B D6 8B 45 CC E8 ?? ?? ?? ?? 89 45 F0 8B 4D E4 8B 55 E8 8B 45 F0 8B 38 FF 57 04 84 C0 75 04 C6 45 D7 00 46 4B 75 D9 EB 41 8B 45 F0 8B 10 FF 52 14 89 45 F0 8B 45 F0 83 C0 04 8B 55 F0 8B 52 14 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 74 16 8B 45 F0 8B 50 14 8B 45 D8 8B 40 04 8B 4D F0 E8 ?? ?? ?? ?? EB 04 C6 45 D7 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 C8 FF 4D C4 0F 85 12 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 D8 8B 40 04 8B 55 E0 E8 ?? ?? ?? ?? 84 C0 74 13 8D 4D F0 8B 45 D8 8B 40 04 8B 55 E0 E8 ?? ?? ?? ?? EB 55 8B 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 0F 8B 55 E8 8B 45 F0 8B 08 FF 51 08 84 C0 75 06 C6 45 D7 01 EB 34 8B 45 F0 8B 10 FF 52 14 89 45 F0 8B 45 F0 83 C0 04 8B 55 E0 E8 ?? ?? ?? ?? 8B 45 D8 8B 40 04 8B 4D F0 8B 55 E0 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 88 45 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 0F B6 45 D7 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6A 00 73 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_24393_0 {
	meta:
		name = "TDSTCPSession.Create"
		size = 62
		refs = "000e @ClassCreate 0029 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 8B 30 FF 56 34 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_24395_0 {
	meta:
		name = "Finalization"
		size = 29
		refs = "0002 _DV_42 0009 _DV_TDBXRequestFilterFactory 000e TDBXRequestFilterFactory.CleanUp 0013 TDSSessionManager.FInstance 0018 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33852_0 {
	meta:
		name = "Finalization"
		size = 29
		refs = "0002 _DV_5 0009 _DV_TIdFTPLPMPiX 000e UnregisterFTPListParser 0013 _DV_TIdFTPLPMPiXWithPOSIX"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33919_0 {
	meta:
		name = "Finalization"
		size = 29
		refs = "0002 _DV_5 0009 _DV_TIdFTPLPNetwarePSUDos 000e UnregisterFTPListParser 0013 _DV_TIdFTPLPNetwarePSUNFS"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34030_0 {
	meta:
		name = "Finalization"
		size = 29
		refs = "0002 _DV_5 0009 _DV_TIdFTPLPUnix 000e UnregisterFTPListParser 0013 _DV_TIdFTPLPUnitree"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77627_0 {
	meta:
		name = "Finalization"
		size = 29
		refs = "0002 _DV_32 0009 DBScreen 000e @IntfClear 0013 DBApplication"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83086_0 {
	meta:
		name = "Finalization"
		size = 29
		refs = "0002 _DV_2 0009 PlatformDefaultStyle 000e UnRegisterActnBarStyle 0018 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84120_0 {
	meta:
		name = "Finalization"
		size = 29
		refs = "0002 _DV_3 0009 RibbonLunaStyle 000e UnRegisterActnBarStyle 0018 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84127_0 {
	meta:
		name = "Finalization"
		size = 29
		refs = "0002 _DV_3 0009 RibbonObsidianStyle 000e UnRegisterActnBarStyle 0018 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84134_0 {
	meta:
		name = "Finalization"
		size = 29
		refs = "0002 _DV_3 0009 RibbonSilverStyle 000e UnRegisterActnBarStyle 0018 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85373_0 {
	meta:
		name = "Finalization"
		size = 29
		refs = "0002 _DV_2 0009 StandardStyle 000e UnRegisterActnBarStyle 0018 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90112_0 {
	meta:
		name = "Finalization"
		size = 29
		refs = "0002 _DV_2 0009 XPStyle 000e UnRegisterActnBarStyle 0018 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93390_0 {
	meta:
		name = "Finalization"
		size = 29
		refs = "0002 _DV_1 0009 StateFont 000e TObject.Free 0013 State"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_114574_0 {
	meta:
		name = "Finalization"
		size = 29
		refs = "0002 _DV_12 0009 MSXML_DOM 000e UnRegisterDOMVendor 0018 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59828_0 {
	meta:
		name = "TValueRefConverterFactory.Destroy@"
		size = 29
		refs = "0002 TValueRefConverterFactory.$ClassInitFlag 0009 TValueRefConverterFactory.FFreeList 000e TObject.Free 0013 TValueRefConverterFactory.FRegisteredConversions"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_24396_0 {
	meta:
		name = "Datasnap.DSService"
		size = 136
		refs = "0002 _DV_42 000a Randomize 000f _DV_TDBXRequestFilterFactory 0014 TDBXRequestFilterFactory.SetUp 0019 Datasnap.DSService 0020 _DV_TDBXSubStringRequestFilter 0025 TDBXCropRequestFilter.Create 002c TDBXRequestFilterFactory.FInstance 0031 TDBXRequestFilterFactory.RegisterRequestFilter 003d _DV_TDBXReaderRequestFilter 0055 _DV_TDSSessionManager 005a TDSSessionManager.Create 005f TDSSessionManager.FInstance"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 5A E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 02 00 00 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 74 00 00 00 }
	condition:
		$1
}

rule function_24401_0 {
	meta:
		name = "TDSRequestFilter<Data.DBXCommon.TDBXValue>.Create"
		size = 58
		refs = "000b @ClassCreate 001b @UStrAsg 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 14 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25463_0 {
	meta:
		name = "TDSTCPChannelInternal.ChannelSessionEvent"
		size = 78
		refs = "0021 EmptyStr 0028 @UStrEqual"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F8 8B 75 08 8B C7 8B 10 FF 52 10 84 C0 75 2F 85 F6 74 2B 8B 47 1C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 19 80 FB 01 75 14 8B 46 20 8B 57 1C E8 ?? ?? ?? ?? 75 07 8B C7 8B 10 FF 52 04 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_25465_0 {
	meta:
		name = "TDSTCPChannelInternal.Close"
		size = 27
		refs = "0004 TDSSessionManager.FInstance 000e TDSSessionManager.RemoveSessionEvent 0015 TDSTCPChannel.Close"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 8B 00 8B 53 20 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_25466_0 {
	meta:
		name = "TDSTCPChannelInternal.Create$37$ActRec.$0$Body"
		size = 21
		refs = "000c TDSTCPChannelInternal.ChannelSessionEvent"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 40 0C E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_25467_0 {
	meta:
		name = "TDSTCPChannelInternal.Create"
		size = 207
		refs = "0015 @ClassCreate 0025 @IntfAddRef 002d TDSTCPChannelInternal.Create 003a _DV_TDSTCPChannelInternal.Create$37$ActRec 003f TObject.Create 0052 @IntfCopy 0061 TDSTCPChannel.Create 0080 TDSSessionManager.FInstance 0087 TDSSessionManager.AddSessionEvent 009c @IntfClear 00aa @HandleFinally 00b9 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 88 55 F7 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 89 43 0C 8B 4D FC 33 D2 E8 ?? ?? ?? ?? 8B 43 0C 83 C0 20 8B D3 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 8B 43 0C 8B 50 20 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 80 7D F7 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25469_0 {
	meta:
		name = "TDSTCPServerTransport.Create"
		size = 127
		refs = "000a @ClassCreate 0017 TDSServerTransport.Create 0027 _Dn_TDSJSONProtocolHandlerFactory 002c TDSJSONProtocolHandlerFactory.Create 006c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 58 D3 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 64 33 C0 89 46 70 89 46 74 33 C0 89 46 78 89 46 7C C6 86 80 00 00 00 00 C7 86 84 00 00 00 E0 93 04 00 C7 86 88 00 00 00 64 00 00 00 C7 46 60 0A 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_25470_0 {
	meta:
		name = "TDSTCPServerTransport.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 001e TObject.Free 0029 TDSServerTransport.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 44 8D 46 64 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25471_0 {
	meta:
		name = "TDSTCPServerTransport.CreateTcpChannel"
		size = 82
		refs = "000c @IntfAddRef 0014 TDSTCPServerTransport.CreateTcpChannel 0024 _DV_TDSTCPChannelInternal 0029 TDSTCPChannelInternal.Create 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_103632_0 {
	meta:
		name = "TGPBitmap.FromDirectDrawSurface7"
		size = 82
		refs = "000c @IntfAddRef 0014 TGPBitmap.FromDirectDrawSurface7 0024 _DV_TGPBitmap 0029 TGPBitmap.Create 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_50536_0 {
	meta:
		name = "TSockWebRequestHandler.NewRequest"
		size = 82
		refs = "000c @IntfAddRef 0014 TSockWebRequestHandler.NewRequest 0024 _DV_TSockWebRequest 0029 TSockWebRequest.Create 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_25472_0 {
	meta:
		name = "TDSTCPServerTransport.GetTcpChannel"
		size = 32
		refs = "000b _Dn_TDBXFilterSocketChannel 0010 @IsClass"
	strings:
		$1 = { 53 56 33 F6 8B 58 48 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 03 8B 73 18 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_25473_0 {
	meta:
		name = "TDSTCPServerTransport.DoOnConnect$44$ActRec.$0$Body"
		size = 300
		refs = "0011 TDSTCPServerTransport.DoOnConnect$44$ActRec.$0$Body 0024 _Dn_TDSTCPSession 0029 TDSTCPSession.Create 003c TDSSession.PutData 008c @IntfClear 00a4 @UStrClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 10 8B 48 68 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B 46 0C 8B 08 FF 51 24 8B 45 F0 8D 55 F4 8B 08 FF 51 24 8B 45 F4 8D 55 F8 8B 08 FF 51 38 8B 45 F8 8D 55 FC 8B 08 FF 51 20 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 74 00 63 00 70 00 2F 00 69 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 43 00 6F 00 6D 00 6D 00 75 00 6E 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 50 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 65 00 6D 00 6F 00 74 00 65 00 49 00 50 00 00 00 00 00 }
	condition:
		$1
}

rule function_25474_0 {
	meta:
		name = "TDSTCPServerTransport.DoOnConnect"
		size = 601
		refs = "0018 @IntfAddRef 0020 TDSTCPServerTransport.DoOnConnect 002d _DV_TDSTCPServerTransport.DoOnConnect$44$ActRec 0032 TObject.Create 0045 @IntfCopy 0065 _Dn_TDBXFilterSocketChannel 006a TDBXFilterSocketChannel.Create 007e CoInitFlags 008c CoInitializeEx 00c1 TDSJSONProtocolHandlerFactory.CreateProtocolHandler 00d9 _Dn_TDBXJSonServerProtocolHandler 00de @IsClass 00fe TDSSessionManager.FInstance 0107 TDSSessionManager.CreateSession<Datasnap.DSService.TDSTCPSession> 016f _DV_TDSTCPChannel 019a TDSTCPChannel.EnableKeepAlive 01a8 TDSTCPChannel.DisableKeepAlive 01c7 TDSTCPConnectEventObject.Create 0211 @HandleAnyException 0216 @DoneExcept 022c IIPTCPConnection 0236 @FinalizeArray 023e @IntfClear 024c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8D 43 0C 8B 55 FC E8 ?? ?? ?? ?? 8B FE 89 7B 10 8B C7 8B 10 FF 52 54 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 53 0C 8B 43 10 8B 08 FF 51 68 8B F0 A1 ?? ?? ?? ?? 83 38 FF 75 0F 6A 00 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 EB 13 A1 ?? ?? ?? ?? 8B 00 50 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 8B C6 8B 10 FF 12 8B D6 8B C7 8B 08 FF 51 2C 8B 43 10 8B 40 64 8B D7 E8 ?? ?? ?? ?? 8B D0 8B 43 0C 8B 08 FF 51 18 8B 43 0C 8B 10 FF 52 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 32 8B 43 0C 8B 10 FF 52 14 83 78 04 00 75 24 8B D3 85 D2 74 03 83 EA EC A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B F8 8B 43 0C 8B 10 FF 52 14 89 78 04 8B 43 10 66 83 78 72 00 0F 84 F4 00 00 00 83 7B 0C 00 0F 84 EA 00 00 00 8D 55 EC 8B 43 0C 8B 08 FF 51 24 83 7D EC 00 0F 84 D5 00 00 00 8B 43 10 83 B8 8C 00 00 00 00 0F 84 C5 00 00 00 8B 43 10 8B 80 8C 00 00 00 8B 10 FF 52 14 84 C0 0F 84 AF 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 51 8B 43 10 0F B6 90 80 00 00 00 80 FA 01 75 15 8B 88 88 00 00 00 8B 90 84 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 0C 80 FA 02 75 07 8B C6 E8 ?? ?? ?? ?? 8D 55 E8 8B 43 0C 8B 08 FF 51 24 8B 45 E8 8B 10 FF 52 0C 8B D0 8B CE 8D 45 F0 E8 ?? ?? ?? ?? EB 1F 8D 55 E4 8B 43 0C 8B 08 FF 51 24 8B 45 E4 8B 10 FF 52 0C 8B D0 33 C9 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5B 10 8D 55 F0 8B 43 74 FF 53 70 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25475_0 {
	meta:
		name = "TDSTCPServerTransport.DoOnDisconnect"
		size = 257
		refs = "001a @IntfAddRef 0022 TDSTCPServerTransport.DoOnDisconnect 007b TDSTCPDisconnectEventObject.Create 00a1 @HandleAnyException 00a6 @DoneExcept 00c1 TObject.Free 00c6 CoUninitialize 00dc IIPTCPConnection 00e6 @FinalizeArray 00ee @IntfClear 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 7A 00 74 77 83 7D FC 00 74 71 8D 55 F4 8B 45 FC 8B 08 FF 51 24 83 7D F4 00 74 60 83 BB 8C 00 00 00 00 74 57 8B 83 8C 00 00 00 8B 10 FF 52 14 84 C0 74 48 8D 55 F0 8B 45 FC 8B 08 FF 51 24 8B 45 F0 8B 10 FF 52 0C 8B D0 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 43 7C FF 53 78 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B D8 33 D2 8B 45 FC 8B 08 FF 51 18 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25476_0 {
	meta:
		name = "TDSTCPServerTransport.DoOnExecute"
		size = 354
		refs = "001a @IntfAddRef 0022 TDSTCPServerTransport.DoOnExecute 00c8 _Dn_TDSSessionManager 00cd TDSSessionManager.GetThreadSession 00f4 TDSSessionManager.ClearThreadSession 00fa @HandleFinally 0111 @IntfClear"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC 8B 08 FF 51 24 8B 45 F0 8D 55 F4 8B 08 FF 51 18 8B 45 F4 8D 55 F8 8B 08 FF 51 1C 8B 45 F8 8B 10 FF 52 14 85 C0 75 23 8D 55 E8 8B 45 FC 8B 08 FF 51 24 8B 45 E8 8D 55 EC 8B 08 FF 51 18 8B 45 EC BA 0A 00 00 00 8B 08 FF 51 28 8D 55 DC 8B 45 FC 8B 08 FF 51 24 8B 45 DC 8D 55 E0 8B 08 FF 51 18 8B 45 E0 8D 55 E4 8B 08 FF 51 1C 8B 45 E4 8B 10 FF 52 14 85 C0 7E 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B 53 68 8B 08 FF 51 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 58 38 8B 45 FC 8B 10 FF 52 14 8B 10 FF 52 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25477_0 {
	meta:
		name = "TDSTCPServerTransport.Notification"
		size = 61
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 20 8B C6 8B 10 FF 52 48 3B F8 75 0B 33 D2 8B C6 8B 08 FF 51 4C EB 0A 3B 7E 68 75 05 33 C0 89 46 68 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25478_0 {
	meta:
		name = "TDSTCPServerTransport.SetAuthenticationManager"
		size = 39
		refs = "0010 TComponent.RemoveFreeNotification 0020 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 68 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 43 68 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25479_0 {
	meta:
		name = "TDSTCPServerTransport.SetServer"
		size = 75
		refs = "0028 TComponent.RemoveFreeNotification 0035 TComponent.FreeNotification 0044 TDSServerComponent.SetServer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 48 3B F0 74 2E 8B C3 8B 10 FF 52 48 85 C0 74 10 8B C3 8B 10 FF 52 48 8B D0 8B C3 E8 ?? ?? ?? ?? 85 F6 74 0F 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 38 89 43 40 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25480_0 {
	meta:
		name = "TDSTCPServerTransport.SetIPImplementationID"
		size = 101
		refs = "0009 TDSTCPServerTransport.SetIPImplementationID 0020 sCannotChangeIPImplID 0025 LoadResString 0032 _Dn_TDBXError 0037 TDBXError.Create 003c @RaiseExcept 0041 TDSServerTransport.SetIPImplementationID 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 B8 8C 00 00 00 00 74 24 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_25481_0 {
	meta:
		name = "TDSTCPServerTransport.CreateTcpServer"
		size = 140
		refs = "0011 TDSTCPServerTransport.CreateTcpServer 0030 PeerFactory 003b TIPPeerFactory.CreatePeer 004a @IntfCast 005f @UStrClr 0067 @IntfClear 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 50 8D 55 F8 8B C3 8B 08 FF 51 5C 8B 45 F8 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 F9 E2 8D EA 55 90 73 40 81 18 43 72 83 DC 02 D6 }
	condition:
		$1
}

rule function_25482_0 {
	meta:
		name = "TDSTCPServerTransport.Start"
		size = 368
		refs = "0012 TDSTCPServerTransport.Start 0030 @IntfCopy 0036 TDSTCPServerTransport.DoOnConnect 0047 TDSTCPServerTransport.DoOnDisconnect 0058 TDSTCPServerTransport.DoOnExecute 00a6 _Dn_TComponent 00ab @AsClass 00c3 PeerFactory 00ce TIPPeerFactory.CreatePeer 00de @IntfCast 0124 @UStrClr 012c @IntfClear 0152 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 64 8B 55 F8 8D 83 8C 00 00 00 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 8C 00 00 00 8B 10 FF 52 30 53 68 ?? ?? ?? ?? 8B 83 8C 00 00 00 8B 10 FF 52 38 53 68 ?? ?? ?? ?? 8B 83 8C 00 00 00 8B 10 FF 52 40 33 D2 8B 83 8C 00 00 00 8B 08 FF 51 48 8D 55 F0 8B 83 8C 00 00 00 8B 08 FF 51 4C 8B 45 F0 8D 55 F4 8B 08 FF 51 14 8B 45 F4 0F B7 53 58 8B 08 FF 51 18 8B 83 8C 00 00 00 8B 10 FF 52 5C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 45 EC 50 8D 55 E8 8B C3 8B 08 FF 51 5C 8B 45 E8 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 5C 8B 45 FC 8B 08 FF 51 20 8B 53 60 8B 45 FC 8B 08 FF 51 30 8B 55 FC 8B 83 8C 00 00 00 8B 08 FF 51 58 B2 01 8B 83 8C 00 00 00 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5B 8B E5 5D C3 00 00 00 8C 50 3D B1 86 40 6C 43 8A D9 12 B3 53 57 D4 59 }
	condition:
		$1
}

rule function_25483_0 {
	meta:
		name = "TDSTCPServerTransport.Stop"
		size = 38
		refs = "0020 @IntfClear"
	strings:
		$1 = { 53 8B D8 83 BB 8C 00 00 00 00 74 18 33 D2 8B 83 8C 00 00 00 8B 08 FF 51 18 8D 83 8C 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_25484_0 {
	meta:
		name = "TDSTCPChannel.Close"
		size = 192
		refs = "0013 TDSTCPChannel.Close 0069 @HandleOnException 0071 _Dn_Exception 007a @DoneExcept 008d TObject.Free 00a3 IIPTCPConnection 00ad @FinalizeArray 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 0C 00 74 58 8D 55 F8 8B 45 FC 8B 40 0C 8B 08 FF 51 24 83 7D F8 00 74 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC 8B 40 0C 8B 08 FF 51 24 8B 45 F4 8B 10 FF 52 20 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25487_0 {
	meta:
		name = "TDSTCPChannel.DisableKeepAlive"
		size = 372
		refs = "0017 TDSTCPChannel.DisableKeepAlive 003d GStackPeers 0103 @UStrClr 010b @IntfClear 0169 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 0F 84 C7 00 00 00 8D 55 F8 8B 43 0C 8B 08 FF 51 20 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 A7 00 00 00 8D 55 F4 8B 43 0C 8B 08 FF 51 24 83 7D F4 00 0F 84 92 00 00 00 8D 55 EC 8B 43 0C 8B 08 FF 51 24 8B 45 EC 8D 55 F0 8B 08 FF 51 24 83 7D F0 00 74 76 8D 55 E0 8B 43 0C 8B 08 FF 51 24 8B 45 E0 8D 55 E4 8B 08 FF 51 24 8B 45 E4 8D 55 E8 8B 08 FF 51 38 83 7D E8 00 74 4F 6A 00 6A 00 8D 55 D4 8B 43 0C 8B 08 FF 51 24 8B 45 D4 8D 55 D8 8B 08 FF 51 24 8B 45 D8 8D 55 DC 8B 08 FF 51 38 8B 45 DC 8B 10 FF 52 1C 50 8D 55 CC 8B 43 0C 8B 08 FF 51 20 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 33 C9 5A 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 90 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25488_0 {
	meta:
		name = "TDSTCPChannel.EnableKeepAlive"
		size = 393
		refs = "0021 TDSTCPChannel.EnableKeepAlive 0049 GStackPeers 0115 @UStrClr 011d @IntfClear 017b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 83 7E 0C 00 0F 84 CD 00 00 00 8D 55 F0 8B 46 0C 8B 08 FF 51 20 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 AD 00 00 00 8D 55 EC 8B 46 0C 8B 08 FF 51 24 83 7D EC 00 0F 84 98 00 00 00 8D 55 E4 8B 46 0C 8B 08 FF 51 24 8B 45 E4 8D 55 E8 8B 08 FF 51 24 83 7D E8 00 74 7C 8D 55 D8 8B 46 0C 8B 08 FF 51 24 8B 45 D8 8D 55 DC 8B 08 FF 51 24 8B 45 DC 8D 55 E0 8B 08 FF 51 38 83 7D E0 00 74 55 8B 45 FC 50 8B 45 F8 50 8D 55 CC 8B 46 0C 8B 08 FF 51 24 8B 45 CC 8D 55 D0 8B 08 FF 51 24 8B 45 D0 8D 55 D4 8B 08 FF 51 38 8B 45 D4 8B 10 FF 52 1C 50 8D 55 C4 8B 46 0C 8B 08 FF 51 20 8B 45 C4 8D 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 B1 01 5A 8B 18 FF 53 14 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 90 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25490_0 {
	meta:
		name = "TDSTCPChannel.GetConnection"
		size = 88
		refs = "000d TDSTCPChannel.GetConnection 0045 @IntfClear 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 83 7B 0C 00 74 15 8D 55 FC 8B 43 0C 8B 08 FF 51 24 8B 45 FC 8B 10 FF 52 0C 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25492_0 {
	meta:
		name = "TDSTCPChannel.Open"
		size = 492
		refs = "0019 TDBXClientInfo 001e @InitializeRecord 0026 TDSTCPChannel.Open 003c TObject.Free 0081 _Dn_TDBXSocketChannelInfo 0086 TDBXSocketChannelInfo.Create 009c @CopyRecord 00d3 @UStrLAsg 0107 IntToStr 0148 @IntfClear 0160 @UStrClr 0189 IIPTCPConnection 0193 @FinalizeArray 01b9 @FinalizeRecord 01bf @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 55 E0 8B 43 0C 8B 08 FF 51 24 8B 45 E0 8D 55 E4 8B 08 FF 51 24 8B 45 E4 8D 55 E8 8B 08 FF 51 38 8B 45 E8 8D 55 EC 8B 08 FF 51 20 8B 45 EC 50 8D 55 DC 8B 43 0C 8B 08 FF 51 24 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 10 8D 45 F0 8D 56 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 CC 8B 43 0C 8B 08 FF 51 24 8B 45 CC 8D 55 D0 8B 08 FF 51 24 8B 45 D0 8D 55 D4 8B 08 FF 51 38 8B 45 D4 8D 55 D8 8B 08 FF 51 20 8B 55 D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 BC 8B 43 0C 8B 08 FF 51 24 8B 45 BC 8D 55 C0 8B 08 FF 51 24 8B 45 C0 8D 55 C4 8B 08 FF 51 38 8B 45 C4 8B 10 FF 52 24 0F B7 C0 8D 55 C8 E8 ?? ?? ?? ?? 8B 55 C8 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 10 83 C0 08 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 7C FF FF FF 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 74 00 63 00 70 00 2F 00 69 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_25493_0 {
	meta:
		name = "TDSTCPChannel.Read"
		size = 729
		refs = "0025 TDSTCPChannel.Read 0037 EmptyStr 003e @UStrEqual 0049 TDSSessionManager.FInstance 0052 TDSSessionManager.GetThreadSession 006a @UStrAsg 00d7 @HandleAnyException 00e6 SConnectionLost 00eb LoadResString 00f8 _Dn_TDBXError 00fd TDBXError.Create 0102 @RaiseExcept 0107 @DoneExcept 01d1 @DynArrayLength 01e7 TArray<System.Byte> 01ec @DynArraySetLength 022d Move 0242 @IntfClear 029f @UStrArrayClr 02c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 8B F2 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 1C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 85 F0 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 00 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 D8 00 00 00 8B 45 FC 83 C0 1C 8B 57 20 E8 ?? ?? ?? ?? E9 C5 00 00 00 8D 55 F0 8B 45 FC 8B 40 0C 8B 08 FF 51 24 8B 45 F0 8D 55 F4 8B 08 FF 51 18 8B 45 F4 8B 10 FF 52 2C 84 C0 74 75 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC 8B 40 0C 8B 08 FF 51 24 8B 45 E8 8D 55 EC 8B 08 FF 51 18 8B 45 EC BA 0A 00 00 00 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 EB 62 E9 ?? ?? ?? ?? 8B 45 FC C6 40 18 01 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8B 45 FC C6 40 18 01 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D4 8B 45 FC 8B 40 0C 8B 08 FF 51 24 8B 45 D4 8D 55 D8 8B 08 FF 51 18 8B 45 D8 8D 55 DC 8B 08 FF 51 1C 8B 45 DC 8B 10 FF 52 14 85 C0 0F 84 07 FF FF FF 8D 55 C8 8B 45 FC 8B 40 0C 8B 08 FF 51 24 8B 45 C8 8D 55 CC 8B 08 FF 51 18 8B 45 CC 8D 55 D0 8B 08 FF 51 1C 8B 45 D0 8B 10 FF 52 14 3B D8 7E 2E 8D 55 BC 8B 45 FC 8B 40 0C 8B 08 FF 51 24 8B 45 BC 8D 55 C0 8B 08 FF 51 18 8B 45 C0 8D 55 C4 8B 08 FF 51 1C 8B 45 C4 8B 10 FF 52 14 8B D8 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 3B D8 7E 1A 53 8B 45 FC 83 C0 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8D 55 B4 8B 45 FC 8B 40 0C 8B 08 FF 51 24 8B 45 B4 8D 55 B8 8B 08 FF 51 18 8B 45 B8 8B 55 FC 83 C2 14 8B CB 8B 38 FF 57 20 8B 45 F8 8D 14 06 8B 45 FC 8B 40 14 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 70 FF FF FF 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_25494_0 {
	meta:
		name = "TDSTCPChannel.Write"
		size = 129
		refs = "001f TDSTCPChannel.Write 0063 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8D 55 F0 8B 43 0C 8B 08 FF 51 24 8B 45 F0 8D 55 F4 8B 08 FF 51 18 8B 45 F4 8B CE 8B 55 FC 8B 18 FF 53 24 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_25760_0 {
	meta:
		name = "TDSJSONProtocolHandlerFactory.CreateProtocolHandler"
		size = 447
		refs = "0011 _Dn_TDBXJSonStreamReader 0016 TObject.Create 0020 _Dn_TDBXJSonStreamWriter 0025 TDBXJSonStreamWriter.Create 0053 _Dn_TDBXRowBuffer 0058 TDBXRowBuffer.Create 0063 TDBXJSonStreamWriter.CalcRowBufferSize 006d TDBXBinaryStream.SetMinBufferSize 00a2 TDSJSONProtocolHandlerFactory.CreateProtocolHandler 00c2 TDBXJSonStreamReader.Open 00d3 TDBXJSonStreamWriter.Open 00f2 TObject.Free 00fa TDBXJSonStreamReader.Close 010a TDBXJSonStreamWriter.Close 0126 @HandleFinally 013e _Dn_TDBXJSonServerOutputConnectionHandler 0143 TDBXJSonServerOutputConnectionHandler.Create 0154 _Dn_TDSServerConnectionHandler 0159 TDSServerConnectionHandler.Create 0183 TDSServerTransport.AddConnection 019c _Dn_TDBXJSonServerInputConnectionHandler 01a1 TDBXJSonServerInputConnectionHandler.Create 01b0 _Dn_TDBXJSonServerProtocolHandler 01b5 TDBXJSonServerProtocolHandler.Create"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 89 55 F8 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 8B 40 04 8B 40 4C C1 E0 0A 8B 55 F4 89 42 50 8B 45 FC 8B 40 04 8B 40 4C C1 E0 0A 8B 55 F0 89 42 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC C6 40 34 00 8B 55 F4 8B 45 EC 8B 08 FF 51 04 8B 55 F0 8B 45 EC 8B 08 FF 51 08 8B 45 FC 8B 40 04 8B 40 40 89 45 E8 C6 45 E7 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 55 E8 89 50 4C 8B 45 F4 8B 55 F8 89 50 48 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 89 50 18 8B 45 F0 E8 ?? ?? ?? ?? C6 45 E7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D E7 00 75 36 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 83 7D F8 00 74 10 8B 45 F8 8B 10 FF 52 04 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BC 8B 45 F4 50 8B 45 F0 50 8B 45 EC 50 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 56 8B 45 F8 50 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 04 8B 10 FF 52 48 89 43 1C 8B 45 FC 8B 50 04 8B C3 8B 08 FF 51 54 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 6A 01 53 8B 45 F4 50 8B 45 F0 50 8B 45 EC 50 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 58 10 89 73 10 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25772_0 {
	meta:
		name = "GetObjectProperty"
		size = 51
		refs = "000f GetPropInfo 0027 GetOrdProp"
	strings:
		$1 = { 53 56 57 8B F0 33 FF 8B 06 83 C0 B8 8B 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 14 8B 03 8B 00 80 38 07 75 0B 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25773_0 {
	meta:
		name = "GetStringProperty"
		size = 148
		refs = "0012 GetStringProperty 001f @WStrClr 002d GetPropInfo 0052 GetUnicodeStrProp 005c @WStrFromUStr 006d GetWideStrProp 0082 @UStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B 06 83 C0 B8 8B 00 8B D3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 3A 8B 03 8B 00 0F B6 00 8B D0 80 EA 05 74 05 80 EA 05 75 18 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C7 8B 55 FC E8 ?? ?? ?? ?? EB 0F 3C 0B 75 0B 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25774_0 {
	meta:
		name = "VarArrayFromStrings"
		size = 224
		refs = "001c VarArrayFromStrings 002a Null 005c VarArrayCreate 0089 @WStrFromUStr 0094 @VarFromWStr 00a1 @VarArrayPut 00bd @UStrClr 00c5 @WStrClr 00cd @VarClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 85 C0 7E 72 8B 45 F8 50 33 C0 89 45 F0 8B 45 FC 8B 10 FF 52 14 48 89 45 F4 8D 45 F0 66 B9 08 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 3D 46 33 DB 53 6A 01 8D 4D D8 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 55 D8 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25775_0 {
	meta:
		name = "VarArrayFromWideStrings"
		size = 206
		refs = "001d VarArrayFromWideStrings 002b Null 005d VarArrayCreate 008a @VarFromWStr 0097 @VarArrayPut 00b3 @WStrClr 00bb @VarClr 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 85 C0 7E 67 8B 45 F8 50 33 C0 89 45 F0 8B 45 FC 8B 10 FF 52 14 48 89 45 F4 8D 45 F0 66 B9 08 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 32 46 33 DB 53 6A 01 8D 4D DC 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25776_0 {
	meta:
		name = "EDSWriter.Create"
		size = 124
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 EDSWriter.Create 003d Exception.Create 0052 @UStrClr 0058 @HandleFinally 0065 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 89 46 18 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_25777_0 {
	meta:
		name = "TCustomPacketWriter.Create"
		size = 71
		refs = "000a @ClassCreate 0021 TArray<System.Byte> 0026 @DynArraySetLength 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 68 00 20 00 00 8D 46 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_25778_0 {
	meta:
		name = "TCustomPacketWriter.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 000f @IntfClear 0018 TArray<System.Byte> 001d @DynArrayClear 0028 TObject.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 04 E8 ?? ?? ?? ?? 8D 46 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25779_0 {
	meta:
		name = "TCustomPacketWriter.Check"
		size = 138
		refs = "0018 TCustomPacketWriter.Check 004a @UStrFromArray 0057 _DV_EDSWriter 005c EDSWriter.Create 0061 @RaiseExcept 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 F7 FF FF 53 33 C9 89 8D F8 F7 FF FF 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 74 3F 8D 95 FF F7 FF FF 52 53 8B 40 04 50 8B 00 FF 50 34 53 8D 85 F8 F7 FF FF 8D 95 FF F7 FF FF B9 01 08 00 00 E8 ?? ?? ?? ?? 8B 8D F8 F7 FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 F7 FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25780_0 {
	meta:
		name = "TCustomPacketWriter.AddAttribute"
		size = 839
		refs = "002b TCustomPacketWriter.AddAttribute 005e ParamTypeMap 0068 ParamTypeSize 007c @VarToUStr 0087 UTF8Encode 0092 @LStrLAsg 00c5 @DynArrayLength 00dc StrPLCopy 00ef @VarToReal 00fe DateTimeToTimeStamp 0106 TimeStampToMSecs 011b Move 018a VarIsArray 01a2 SInvalidOptParamType 01a7 LoadResString 01b1 _DV_EDSWriter 01b6 EDSWriter.Create 01bb @RaiseExcept 01c8 VarArrayHighBound 0205 VarArrayLock 023d VarArrayUnlock 0243 @HandleFinally 0295 @UStrLAsg 02b7 @LStrToPChar 02d3 TCustomPacketWriter.Check 0312 @UStrArrayClr 031f @LStrArrayClr 0334 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 33 DB 89 5D C0 89 5D C4 89 5D FC 89 5D F8 89 5D F0 89 5D F4 89 5D EC 89 4D E0 89 55 E4 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 0F B7 00 66 25 FF 0F 8B D0 4A 66 83 EA 08 72 10 66 83 EA 02 74 0A 66 83 EA 06 0F 85 81 02 00 00 0F B7 D0 8B 04 95 ?? ?? ?? ?? 89 45 DC 8B 04 95 ?? ?? ?? ?? 89 45 D8 83 7D DC 09 75 70 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F0 E8 ?? ?? ?? ?? C7 45 DC 02 00 49 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 40 89 45 D8 8B 45 E8 8B 40 08 0F B7 55 D8 66 89 10 83 45 D8 02 8B 45 E8 8B 40 08 E8 ?? ?? ?? ?? 8B C8 83 E9 02 49 8B 45 E8 8B 40 08 83 C0 02 8B 55 FC E8 ?? ?? ?? ?? E9 9C 01 00 00 83 7D DC 08 75 45 8B 45 0C E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? DD 5D D0 9B 8B 45 E8 8B 50 08 8D 45 D0 8B 4D D8 E8 ?? ?? ?? ?? 8B 45 DC C1 E0 10 83 C8 08 89 45 DC E9 51 01 00 00 83 7D DC 11 75 25 8B 45 0C 83 C0 08 8B 55 E8 8B 52 08 8B 4D D8 E8 ?? ?? ?? ?? 8B 45 DC C1 E0 10 83 C8 10 89 45 DC E9 26 01 00 00 83 7D DC 24 75 25 8B 45 0C 83 C0 08 8B 55 E8 8B 52 08 8B 4D D8 E8 ?? ?? ?? ?? 8B 45 DC C1 E0 10 83 C8 14 89 45 DC E9 FB 00 00 00 8B 45 0C E8 ?? ?? ?? ?? 84 C0 0F 84 B3 00 00 00 83 7D D8 00 75 23 6A 00 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D0 42 8B 45 D8 8B 4D DC 49 83 E9 02 73 0D 8B C8 81 C9 00 00 82 00 89 4D DC EB 0B 8B C8 81 C9 00 00 8B 00 89 4D DC 8B 4D E8 8B 49 08 89 11 0F AF D0 89 55 D8 8B 45 0C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 E8 8B 52 08 83 C2 04 8B 4D D8 E8 ?? ?? ?? ?? 83 45 D8 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 0C 0F B7 00 66 25 00 40 66 3D 00 40 75 08 8B 45 0C 8B 40 08 EB 06 8B 45 0C 83 C0 08 8B 55 E8 8B 52 08 8B 4D D8 E8 ?? ?? ?? ?? 8B 45 DC C1 E0 10 0B 45 D8 89 45 DC 80 7D 08 00 74 07 81 4D DC 00 00 00 80 8D 45 F4 8B 55 E0 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 08 50 8B 45 D8 50 8B 45 DC 50 8B 45 EC E8 ?? ?? ?? ?? 50 8B 45 E4 50 8B 45 E8 8B 40 04 50 8B 00 FF 50 14 0F B7 D0 8B 45 E8 E8 ?? ?? ?? ?? EB 23 6A 00 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_25782_0 {
	meta:
		name = "TDataPacketWriter.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 0011 TDataPacketWriter.FreeInfoRecords 001a TInfoArray 001f @DynArrayClear 002a TCustomPacketWriter.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 56 10 8B C6 E8 ?? ?? ?? ?? 8D 46 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25783_0 {
	meta:
		name = "TDataPacketWriter.FreeInfoRecords"
		size = 79
		refs = "000d @DynArrayHigh 0030 TDataPacketWriter.FreeInfoRecords 003c TInfoArray 0041 @DynArrayClear"
	strings:
		$1 = { 53 56 57 55 51 8B FA 89 04 24 8B 07 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 32 46 33 DB 8D 2C 9B 8B 07 83 7C E8 24 00 74 1F 8B 07 8D 54 E8 24 8B 04 24 E8 ?? ?? ?? ?? 8B 07 8D 44 E8 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 D1 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25784_0 {
	meta:
		name = "TDataPacketWriter.PutBlobField"
		size = 188
		refs = "002e @DynArrayLength 0045 TArray<System.Byte> 004a @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 14 01 0F 85 93 00 00 00 8D 4B 08 8B 16 8B 46 08 8B 38 FF 97 88 02 00 00 8B F8 89 7E 0C 85 FF 74 69 8B 43 08 E8 ?? ?? ?? ?? 8B 7E 0C 3B C7 7F 18 47 57 8D 43 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 08 8B 56 0C C6 04 10 00 8B 46 04 80 B8 F6 00 00 00 00 74 17 6A 00 8B 7B 08 8B CF 8B D7 8B 46 08 8B 38 FF 97 B8 02 00 00 89 46 0C 8B 43 08 50 8B 46 0C 50 6A 00 8B 43 04 50 8B 00 FF 50 20 EB 25 6A 00 6A 00 6A 01 8B 43 04 50 8B 00 FF 50 20 EB 14 8D 46 0C 50 68 01 00 00 80 6A 00 8B 43 04 50 8B 00 FF 50 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25785_0 {
	meta:
		name = "TDataPacketWriter.PutCalcField"
		size = 165
		refs = "0023 _Dn_TWideStringField 0028 @IsClass 0034 WStrLen 0043 _Dn_TStringField 0076 @PWCharLen"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 4B 08 8B 56 04 8B 46 08 8B 38 FF 97 8C 02 00 00 84 C0 74 76 8B 7E 04 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B 43 08 E8 ?? ?? ?? ?? 03 C0 89 46 0C EB 3E 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 80 BF F1 00 00 00 00 74 19 6A 00 8B 7B 08 8B CF 8B D7 8B 46 08 8B 38 FF 97 B8 02 00 00 89 46 0C EB 0B 8B 43 08 E8 ?? ?? ?? ?? 89 46 0C 8B 43 08 50 8B 46 0C 50 6A 00 8B 43 04 50 8B 00 FF 50 20 EB 0F 6A 00 6A 00 6A 01 8B 43 04 50 8B 00 FF 50 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25786_0 {
	meta:
		name = "TDataPacketWriter.PutField"
		size = 105
		refs = "000b @DynArrayLength 0021 TArray<System.Byte> 0026 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 08 E8 ?? ?? ?? ?? 8B 7E 0C 3B C7 7F 17 57 8D 43 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 4B 08 8B 16 8B 46 08 8B 38 FF 97 90 02 00 00 84 C0 74 15 8B 43 08 50 8B 46 0C 50 6A 00 8B 43 04 50 8B 00 FF 50 20 EB 0F 6A 00 6A 00 6A 01 8B 43 04 50 8B 00 FF 50 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25787_0 {
	meta:
		name = "TDataPacketWriter.PutStringField"
		size = 154
		refs = "000b @DynArrayLength 0022 TArray<System.Byte> 0027 @DynArraySetLength 006b @PWCharLen"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 08 E8 ?? ?? ?? ?? 8B 7E 0C 3B C7 7F 18 47 57 8D 43 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 4B 08 8B 16 8B 46 08 8B 38 FF 97 90 02 00 00 84 C0 74 45 8B 46 04 80 B8 F1 00 00 00 00 74 19 6A 00 8B 7B 08 8B CF 8B D7 8B 46 08 8B 38 FF 97 B8 02 00 00 89 46 0C EB 0B 8B 43 08 E8 ?? ?? ?? ?? 89 46 0C 8B 43 08 50 8B 46 0C 50 6A 00 8B 43 04 50 8B 00 FF 50 20 EB 0F 6A 00 6A 00 6A 01 8B 43 04 50 8B 00 FF 50 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25788_0 {
	meta:
		name = "TDataPacketWriter.PutWideStringField"
		size = 125
		refs = "000b @DynArrayLength 0026 TArray<System.Byte> 002b @DynArraySetLength 004d WStrLen"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 08 E8 ?? ?? ?? ?? 8B 7E 0C 3B C7 7F 1C 47 8B C7 03 C0 50 8D 43 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8B 4B 08 8B 56 04 8B 46 08 8B 38 FF 97 94 02 00 00 84 C0 74 21 8B 43 08 E8 ?? ?? ?? ?? 8B F8 03 FF 89 7E 0C 8B 43 08 50 57 6A 00 8B 43 04 50 8B 00 FF 50 20 EB 0F 6A 00 6A 00 6A 01 8B 43 04 50 8B 00 FF 50 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25789_0 {
	meta:
		name = "TDataPacketWriter.PutVarBytesField"
		size = 114
		refs = "000b @DynArrayLength 0024 TArray<System.Byte> 0029 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 08 E8 ?? ?? ?? ?? 8B 7E 0C 83 C7 02 3B C7 7D 17 57 8D 43 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 4B 08 8B 16 8B 46 08 8B 30 FF 96 90 02 00 00 84 C0 74 1B 8B 43 08 83 C0 02 50 8B 43 08 0F B7 00 50 6A 00 8B 43 04 50 8B 00 FF 50 20 EB 0F 6A 00 6A 00 6A 01 8B 43 04 50 8B 00 FF 50 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25790_0 {
	meta:
		name = "TDataPacketWriter.PutADTField"
		size = 104
		refs = "003b @DynArrayHigh"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B 46 04 8B 10 FF 92 B0 00 00 00 84 C0 74 11 6A 00 6A 00 6A 01 8B 43 04 50 8B 00 FF 50 20 EB 0F 6A 00 6A 00 6A 00 8B 43 04 50 8B 00 FF 50 20 8B 46 24 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 1E 47 33 DB 8D 14 9B 8B 46 24 8D 04 D0 8B 4E 24 8D 14 D1 8B E8 8B 45 1C FF 55 18 43 4F 75 E5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25791_0 {
	meta:
		name = "RefreshInfos"
		size = 252
		refs = "0017 RefreshInfos 0040 _Dn_TADTField 0045 @IsClass 0053 TObject.ClassName 006b SArrayElementError 0070 LoadResString 007a _DV_EDSWriter 007f Exception.CreateFmt 0084 @RaiseExcept 0091 @AsClass 009c TObjectField.GetFieldCount 00bc TFields.GetField 00e9 @UStrArrayClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F0 89 4D EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F2 89 5E 04 8B C3 8B 10 FF 92 A8 00 00 00 89 06 83 7E 24 00 0F 84 97 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 3B 8D 55 F0 8B 03 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2C 47 33 DB 8B 45 08 50 8B 45 FC 8B 10 FF 92 34 01 00 00 8B D3 E8 ?? ?? ?? ?? 8D 14 9B 8B 4E 24 8D 14 D1 E8 ?? ?? ?? ?? 59 43 4F 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25792_0 {
	meta:
		name = "TDataPacketWriter.PutArrayField"
		size = 124
		refs = "003d TObjectField.GetFieldCount 005d TFields.GetField 0065 RefreshInfos"
	strings:
		$1 = { 55 8B EC 53 56 57 8B DA 8B F0 8B 43 04 8B 10 FF 92 B0 00 00 00 84 C0 74 11 6A 00 6A 00 6A 01 8B 46 04 50 8B 00 FF 50 20 EB 0F 6A 00 6A 00 6A 00 8B 46 04 50 8B 00 FF 50 20 8B 43 04 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2F 46 33 FF 8B 6B 24 55 8B 43 04 8B 10 FF 92 34 01 00 00 8B D7 E8 ?? ?? ?? ?? 8B 53 24 E8 ?? ?? ?? ?? 59 8B 53 24 8B 45 1C FF 55 18 47 4E 75 D4 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_25793_0 {
	meta:
		name = "TDataPacketWriter.PutDataSetField"
		size = 235
		refs = "003a TDataSetField.GetNestedDataSet 0080 TDataSet.UpdateCursorPos 0088 TDataSet.First 00a0 TDataPacketWriter.PutDataSetField 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F2 8B D8 8B 7E 04 85 FF 74 2F 8B C7 8B 10 FF 92 B0 00 00 00 84 C0 74 14 6A 00 6A 00 6A 01 8B 43 04 50 8B 00 FF 50 20 E9 AE 00 00 00 8B 46 04 E8 ?? ?? ?? ?? 89 45 F8 EB 06 8B 46 08 89 45 F8 F6 43 14 02 74 09 C7 45 FC 00 00 00 80 EB 07 C7 45 FC FF FF FF FF 8D 45 FC 50 6A 04 6A 00 8B 43 04 50 8B 00 FF 50 20 F6 43 14 02 75 6E 83 7D FC FF 75 68 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? BA FF FF FF 7F 8B 45 F8 8B 08 FF 91 BC 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A FF 8D 4E 24 8B 55 F8 8B C3 8B 30 FF 56 20 8B 43 04 50 8B 00 FF 50 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 91 BC 01 00 00 C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25794_0 {
	meta:
		name = "OpenCloseDetails"
		size = 172
		refs = "0013 @DynArrayAddRef 001b OpenCloseDetails 002d @DynArrayHigh 004f TDataSet.GetActive 0090 TInfoArray 0095 @DynArrayClear 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FA 00 8B 45 FC E8 ?? ?? ?? ?? 8B F8 85 FF 7C 47 47 33 DB 8D 34 9B 8B 45 FC 80 7C F0 10 00 74 33 8B 45 FC 8B 44 F0 08 E8 ?? ?? ?? ?? 3A 45 FB 74 22 8B 45 FC 8B 44 F0 08 0F B6 55 FB 8B 08 FF 91 B4 01 00 00 8B 45 FC 0F B6 55 FB 88 54 F0 11 C6 45 FA 01 43 4F 75 BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 FA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25795_0 {
	meta:
		name = "TDataPacketWriter.WriteDataSet"
		size = 291
		refs = "003a TDataPacketWriter.RefreshPutProcs 0057 OpenCloseDetails 0067 B 0081 @DynArrayHigh 0098 TDataPacketWriter.WriteDataSet 00c9 @HandleAnyException 00ce @DoneExcept 00e9 TDataSet.Next"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 C0 89 45 F0 83 7D 08 FF 75 07 C7 45 08 FF FF FF 7F 8B 45 F8 80 B8 AE 00 00 00 00 74 0E 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 14 02 0F 95 C0 34 01 88 45 EB 8B 45 F4 8B 00 0F B6 55 EB E8 ?? ?? ?? ?? 22 45 EB 88 45 EB E9 87 00 00 00 68 ?? ?? ?? ?? 6A 01 6A 00 8B 45 FC 8B 40 04 50 8B 00 FF 50 20 8B 45 F4 8B 00 E8 ?? ?? ?? ?? 85 C0 7C 51 40 89 45 E4 C7 45 EC 00 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D EC 8D 1C 9B 8B 45 F4 8B 00 8D 74 D8 18 8B 45 F4 8B 00 8D 14 D8 8B 46 04 FF 16 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 EC FF 4D E4 75 BA FF 45 F0 8B 45 F0 3B 45 08 7D 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 A9 00 00 00 00 75 0C 8B 45 F0 3B 45 08 0F 8C 61 FF FF FF 80 7D EB 00 74 0C 8B 45 F4 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_25796_0 {
	meta:
		name = "TDataPacketWriter.AddDataSetAttributes"
		size = 182
		refs = "001e _Dn_TList 0023 TObject.Create 002e TDataPacketWriter.AddDataSetAttributes 005d TList.Get 0084 TPacketAttribute 0089 @Dispose 00a4 TObject.Free 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 89 45 FC 8B 45 FC 66 83 78 1A 00 0F 84 95 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 75 FC 8B 4D F8 8B D3 8B 46 1C FF 56 18 8B 45 F8 8B 40 08 48 85 C0 7C 42 40 89 45 F4 33 DB 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8D 50 08 52 0F B6 50 18 52 8B 08 BA 01 00 00 00 8B 45 FC 8B 30 FF 16 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 FF 4D F4 75 C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25797_0 {
	meta:
		name = "TDataPacketWriter.GetFieldIdx"
		size = 152
		refs = "0017 TDataPacketWriter.GetFieldIdx 002b @DynArrayHigh 0049 @UStrFromWStr 005b @UStrEqual 0082 @UStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F1 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 FF FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 3C 47 33 DB 8D 04 9B 83 7C C6 04 00 74 2B 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 04 9B 8B 44 C6 04 8B 40 40 E8 ?? ?? ?? ?? 75 0C 8D 04 9B 8B 44 C6 20 89 45 F8 EB 04 43 4F 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25798_0 {
	meta:
		name = "WriteProp"
		size = 53
		refs = "000f GetPropInfo 001e IsStoredProp 002d TWriter.WriteProperty"
	strings:
		$1 = { 53 56 57 8B F9 8B F0 8B 06 83 C0 B8 8B 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 18 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25799_0 {
	meta:
		name = "TDataPacketWriter.AddExtraFieldProps"
		size = 332
		refs = "0011 _Dn_TMemoryStream 0016 TObject.Create 0021 TDataPacketWriter.AddExtraFieldProps 0036 _DV_TPropWriter 003b TFiler.Create 0056 TWriter.WriteValue 0060 ExtraFieldProps 006c WriteProp 00ca Move 00fb TCustomPacketWriter.Check 0110 TObject.Free 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B FA 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 04 00 00 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 B2 01 E8 ?? ?? ?? ?? BE 0B 00 00 00 BB ?? ?? ?? ?? 8B 13 8B 4D F8 8B C7 E8 ?? ?? ?? ?? 83 C3 04 4E 75 EE 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 0C 8B 45 F4 8B 10 FF 12 83 FA 00 75 07 83 F8 02 76 66 EB 02 7E 62 BB 01 00 8B 80 8B 45 F4 8B 10 FF 12 8B 55 FC 8B 52 08 89 02 8B 45 F4 8B 10 FF 12 8B C8 8B 45 FC 8B 40 08 8D 50 04 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 50 8B 45 F4 8B 10 FF 12 83 C0 04 50 53 68 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 40 04 50 8B 00 FF 50 14 0F B7 D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 46 49 45 4C 44 50 52 4F 50 53 00 00 }
	condition:
		$1
}

rule function_25800_0 {
	meta:
		name = "AddFieldDesc"
		size = 180
		refs = "001b AddFieldDesc 0030 @FillChar 003a @UStrLAsg 0045 UTF8Encode 004d @LStrToPChar 005c StrLCopy 0084 TCustomPacketWriter.Check 0099 @LStrClr 00a1 @UStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D FC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D2 33 C9 BA 26 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 45 D2 B9 1F 00 00 00 E8 ?? ?? ?? ?? 89 75 F2 66 89 7D F6 8D 45 D2 50 8B 45 08 8B 40 FC 8B 40 04 50 8B 00 FF 50 24 0F B7 D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25801_0 {
	meta:
		name = "ComputeInfoCount"
		size = 140
		refs = "0010 @DynArrayAddRef 0018 ComputeInfoCount 0026 @DynArrayLength 0031 @DynArrayHigh 0071 TInfoArray 0076 @DynArrayClear 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 7C 24 46 33 DB 8D 04 9B 8B 55 FC 8B 7C C2 24 85 FF 74 0F 8B 45 08 50 8B C7 E8 ?? ?? ?? ?? 59 01 45 F8 43 4E 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25802_0 {
	meta:
		name = "AddMinMax"
		size = 892
		refs = "0018 AddMinMax 0083 @OleVarFromInt 00fe @VarFromReal 01e7 @VarFromCurr 0265 VarFMTBcdCreate 0276 @OleVarFromVar 02f8 @VarClr 031a OleVariant 0324 @FinalizeArray 032a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 18 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 43 48 83 F8 25 7F 25 0F 84 FB 01 00 00 83 C0 FE 83 E8 02 72 29 83 C0 FE 83 E8 02 0F 82 FE 00 00 00 0F 84 71 01 00 00 E9 94 02 00 00 83 C0 D5 83 E8 02 72 0A 83 E8 06 74 6D E9 82 02 00 00 8B F3 8B BE 00 01 00 00 85 FF 75 0D 83 BE 04 01 00 00 00 0F 84 69 02 00 00 8D 45 F0 8B D7 B1 FC E8 ?? ?? ?? ?? 8D 45 F0 50 6A 00 8B 45 08 8B 40 FC B9 ?? ?? ?? ?? 33 D2 8B 38 FF 17 8D 45 E0 8B 96 04 01 00 00 B1 FC E8 ?? ?? ?? ?? 8D 45 E0 50 6A 00 8B 45 08 8B 40 FC B9 ?? ?? ?? ?? 33 D2 8B 18 FF 13 E9 1A 02 00 00 8B F3 D9 86 00 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 16 D9 86 04 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 84 F0 01 00 00 D9 83 00 01 00 00 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D0 50 6A 00 8B 45 08 8B 40 FC B9 ?? ?? ?? ?? 33 D2 8B 38 FF 17 D9 86 04 01 00 00 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C0 50 6A 00 8B 45 08 8B 40 FC B9 ?? ?? ?? ?? 33 D2 8B 18 FF 13 E9 A1 01 00 00 8B F3 DD 86 00 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 16 DD 86 08 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 84 77 01 00 00 DD 83 00 01 00 00 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B0 50 6A 00 8B 45 08 8B 40 FC B9 ?? ?? ?? ?? 33 D2 8B 38 FF 17 DD 86 08 01 00 00 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A0 50 6A 00 8B 45 08 8B 40 FC B9 ?? ?? ?? ?? 33 D2 8B 18 FF 13 E9 28 01 00 00 8B F3 DF AE 00 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0D 83 BE 04 01 00 00 00 0F 84 07 01 00 00 DF AB 00 01 00 00 8D 45 90 E8 ?? ?? ?? ?? 8D 45 90 50 6A 00 8B 45 08 8B 40 FC B9 ?? ?? ?? ?? 33 D2 8B 38 FF 17 DF AE 08 01 00 00 8D 45 80 E8 ?? ?? ?? ?? 8D 45 80 50 6A 00 8B 45 08 8B 40 FC B9 ?? ?? ?? ?? 33 D2 8B 18 FF 13 E9 B8 00 00 00 8B F3 83 BE 00 01 00 00 00 75 0D 83 BE FC 00 00 00 00 0F 84 A0 00 00 00 8D 85 60 FF FF FF 50 8B C6 8B 10 FF 92 B4 00 00 00 8B C8 0F B7 96 04 01 00 00 8B 86 FC 00 00 00 E8 ?? ?? ?? ?? 8D 95 60 FF FF FF 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 6A 00 8B 45 08 8B 40 FC B9 ?? ?? ?? ?? 33 D2 8B 38 FF 17 8D 85 40 FF FF FF 50 8B C6 8B 10 FF 92 B4 00 00 00 8B C8 0F B7 96 04 01 00 00 8B 86 00 01 00 00 E8 ?? ?? ?? ?? 8D 95 40 FF FF FF 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 50 6A 00 8B 45 08 8B 40 FC B9 ?? ?? ?? ?? 33 D2 8B 18 FF 13 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 8B 15 ?? ?? ?? ?? B9 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C1 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 49 00 4E 00 56 00 41 00 4C 00 55 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 41 00 58 00 56 00 41 00 4C 00 55 00 45 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_25803_0 {
	meta:
		name = "TDataPacketWriter.AddColumn"
		size = 2608
		refs = "001b TDataPacketWriter.AddColumn 0036 ComputeInfoCount 0055 AddFieldDesc 00be PacketTypeMap 01ef TObjectField.GetFieldCount 026b @UStrLAsg 0276 UTF8Encode 0295 @OleVarFromUStr 02bc @VarFromBool 02f3 @OleVarFromInt 036a _Dn_TBCDField 036f @IsClass 03b6 _Dn_TFMTBCDField 0407 AddMinMax 0598 _Dn_TStringField 05c1 @UStrClr 05ce _Dn_TWideStringField 0664 _Dn_TObjectField 06a9 TDataPacketWriter.AddExtraFieldProps 06c4 @DynArrayHigh 06ec _Dn_TDataSetField 0707 TDataSetField.GetNestedDataSet 072d OleVariant 0737 @FinalizeArray 073f @LStrClr 074c @UStrArrayClr 0752 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 15 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 10 00 74 44 83 7E 04 00 75 3E 55 8B 46 24 E8 ?? ?? ?? ?? 59 8B D8 81 CB 00 00 0E 00 81 CB 00 00 00 01 55 8B 46 08 8B 40 08 33 C9 8B D3 E8 ?? ?? ?? ?? 59 6A 00 8B 4E 24 8B 56 08 8B 45 FC 8B 18 FF 53 1C E9 A9 06 00 00 33 C0 89 45 E8 33 C0 89 45 EC 8B 46 04 80 78 49 00 75 06 80 78 4A 00 74 04 83 4D EC 02 8B 7E 04 80 7F 4D 00 74 0A 80 7F 48 0E 74 04 83 4D EC 04 F6 87 9C 00 00 00 08 74 0C 8B 45 EC 83 C8 01 83 C8 02 89 45 EC 0F B6 47 48 0F B6 D0 8B 1C 95 ?? ?? ?? ?? 83 E0 7F 83 F8 31 0F 87 53 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 03 00 00 00 00 00 00 04 00 00 00 00 03 00 00 00 00 00 00 00 00 00 03 03 00 07 06 08 08 00 00 00 00 00 03 01 05 03 00 00 00 00 00 00 00 00 00 00 02 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C1 E3 10 83 CB 10 E9 12 01 00 00 C1 E3 10 83 CB 14 E9 07 01 00 00 C1 E3 10 81 CB 00 00 40 00 8B 46 0C 3D FF 00 00 00 7D 05 83 CB 01 EB 03 83 CB 02 89 45 E8 E9 E4 00 00 00 8B 87 10 01 00 00 85 C0 75 09 C7 45 E8 20 00 00 00 EB 03 89 45 E8 8B 45 E8 D1 E8 BA 01 00 00 00 23 D0 03 C2 C1 E3 10 83 C0 02 0B D8 E9 B3 00 00 00 8B 87 04 01 00 00 85 C0 75 09 C7 45 E8 20 00 00 00 EB 03 89 45 E8 8B 45 E8 D1 E8 BA 01 00 00 00 23 D0 03 C2 C1 E3 10 83 C0 02 0B D8 E9 82 00 00 00 8B C7 8B 10 FF 92 B4 00 00 00 C1 E3 10 81 CB 00 00 00 01 81 CB 00 00 00 02 0B C3 8B D8 EB 63 8B C7 E8 ?? ?? ?? ?? C1 E3 10 81 CB 00 00 00 01 0B C3 8B D8 EB 4D 55 8B 46 24 E8 ?? ?? ?? ?? 59 C1 E3 10 81 CB 00 00 00 01 81 CB 00 00 00 04 0B C3 8B D8 EB 2E 8B 07 FF 90 28 01 00 00 84 C0 74 1C C1 E3 10 81 CB 00 00 40 00 83 CB 04 8B 46 04 8B 10 FF 92 B4 00 00 00 89 45 E8 EB 06 C1 E3 10 0B 5E 0C 55 8B 46 04 8B 40 40 8B 4D EC 8B D3 E8 ?? ?? ?? ?? 59 8D 45 F4 8B 56 04 8B 52 40 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 83 F8 20 7C 22 8D 45 D8 8B 56 04 8B 52 40 E8 ?? ?? ?? ?? 8D 45 D8 50 6A 01 B9 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 18 FF 13 8B 46 04 80 78 4A 00 74 1E 8D 45 C8 B2 01 E8 ?? ?? ?? ?? 8D 45 C8 50 6A 01 B9 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 18 FF 13 8B 5E 04 0F B6 05 ?? ?? ?? ?? 3A 83 9C 00 00 00 74 25 8D 45 B8 0F B6 93 9C 00 00 00 B1 01 E8 ?? ?? ?? ?? 8D 45 B8 50 6A 01 B9 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 18 FF 13 8B 46 04 83 B8 98 00 00 00 00 74 25 8D 45 A8 8B 56 04 8B 92 98 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 50 6A 01 B9 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 18 FF 13 83 7D E8 00 7E 21 8D 45 98 8B 55 E8 B1 FC E8 ?? ?? ?? ?? 8D 45 98 50 6A 00 B9 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 18 FF 13 8B 5E 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3B 8B C3 8B 10 FF 92 B4 00 00 00 85 C0 74 7D 8B 46 04 8B 10 FF 92 B4 00 00 00 8B D0 8D 45 88 B1 FC E8 ?? ?? ?? ?? 8D 45 88 50 6A 00 B9 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 18 FF 13 EB 50 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3F 8B C3 8B 10 FF 92 B4 00 00 00 85 C0 74 31 8B 46 04 8B 10 FF 92 B4 00 00 00 8B D0 8D 85 78 FF FF FF B1 FC E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 50 6A 00 B9 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 18 FF 13 55 8B 46 04 E8 ?? ?? ?? ?? 59 8B 46 04 0F B6 40 48 83 F8 27 0F 87 0E 02 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 0D 00 00 00 00 00 01 00 00 00 00 00 03 02 03 04 08 06 07 09 0A 00 00 0E 00 0B 00 0C 00 11 10 00 00 00 0F 00 00 00 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 86 01 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 74 01 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 62 01 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 50 01 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3E 01 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2C 01 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1A 01 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 08 01 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F6 00 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E4 00 00 00 8B 46 04 8B 80 A0 00 00 00 85 C0 0F 84 D3 00 00 00 0F B6 40 48 04 E4 2C 02 0F 83 C5 00 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B3 00 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A1 00 00 00 8B 5E 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 80 BB F0 00 00 00 00 74 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 75 8D 45 F8 E8 ?? ?? ?? ?? EB 6B 8B 5E 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 80 BB F0 00 00 00 00 74 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3F 8D 45 F8 E8 ?? ?? ?? ?? EB 35 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 25 8D 85 68 FF FF FF 8B 55 F8 E8 ?? ?? ?? ?? 8D 85 68 FF FF FF 50 6A 00 B9 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 18 FF 13 8B 5E 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 28 8D 85 58 FF FF FF 8B 93 F8 00 00 00 E8 ?? ?? ?? ?? 8D 85 58 FF FF FF 50 6A 00 B9 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 18 FF 13 8B 45 FC F6 40 14 04 74 0B 8B 56 04 8B 45 FC E8 ?? ?? ?? ?? 8B 5E 04 0F B6 43 48 04 E6 2C 02 72 06 2C 02 72 2A EB 58 8B 46 24 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 4A 43 33 FF 8D 04 BF 8B 56 24 8D 14 C2 8B 45 FC 8B 08 FF 51 08 47 4B 75 EB EB 30 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B 46 04 80 78 48 1C 0F 94 C0 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 4E 24 8B 45 FC 8B 18 FF 53 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 58 FF FF FF 8B 15 ?? ?? ?? ?? B9 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 46 00 49 00 45 00 4C 00 44 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 45 00 52 00 56 00 45 00 52 00 5F 00 43 00 41 00 4C 00 43 00 00 00 03 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 52 00 4F 00 56 00 46 00 4C 00 41 00 47 00 53 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 52 00 49 00 47 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 49 00 44 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 45 00 43 00 49 00 4D 00 41 00 4C 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 6F 00 6E 00 65 00 79 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 75 00 74 00 6F 00 69 00 6E 00 63 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 57 00 69 00 64 00 65 00 54 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 46 00 6F 00 72 00 6D 00 61 00 74 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4F 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 72 00 61 00 70 00 68 00 69 00 63 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 64 00 42 00 41 00 53 00 45 00 4F 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 79 00 70 00 65 00 64 00 42 00 69 00 6E 00 61 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 41 00 44 00 54 00 4E 00 65 00 73 00 74 00 65 00 64 00 54 00 61 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 52 00 65 00 66 00 65 00 72 00 65 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 46 00 69 00 78 00 65 00 64 00 43 00 68 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 47 00 75 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 48 00 4D 00 65 00 6D 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 48 00 42 00 69 00 6E 00 61 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 55 00 42 00 54 00 59 00 50 00 45 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 59 00 50 00 45 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_25804_0 {
	meta:
		name = "AddSQLExprAttr"
		size = 696
		refs = "002c AddSQLExprAttr 0063 SConstraintFailed 0068 LoadResString 007a SField 00af Format 00f4 @UStrLAsg 0158 @WStrFromUStr 0179 TExprParser.SetExprParams 019a Move 01c2 @DynArrayLength 01d2 @UStrToPWChar 01e6 StrLCopy 01f0 TypeStr 0203 Attr 0224 TCustomPacketWriter.Check 023e @WStrArrayClr 0246 @UStrClr 0253 @UStrArrayClr 0261 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 DB 89 5D B0 89 5D AC 89 5D B4 89 5D CC 89 5D C8 89 5D FC 8B F1 89 55 F4 89 45 F8 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 0F 84 E8 01 00 00 80 FB 02 0F 84 A5 00 00 00 85 F6 0F 85 9D 00 00 00 84 DB 75 60 83 7D 14 00 74 5A 8D 45 FC 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 89 45 D8 C6 45 DC 11 8B 45 14 89 45 E0 C6 45 E4 11 8B 45 F4 89 45 E8 C6 45 EC 11 8D 55 D0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 43 8D 45 FC 50 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 89 45 B8 C6 45 BC 11 8B 45 F4 89 45 C0 C6 45 C4 11 8D 55 B8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 01 46 8B 45 18 8B 40 FC 8B 40 08 83 C0 04 89 30 8B 55 10 89 50 04 0F B6 55 08 88 50 08 0F B6 05 ?? ?? ?? ?? 88 45 F3 80 FB 02 75 04 80 4D F3 04 80 FB 01 75 04 80 4D F3 08 83 7D 14 00 74 04 80 4D F3 10 0F B6 45 F3 50 8D 45 B0 8B 55 14 E8 ?? ?? ?? ?? 8B 45 B0 50 8D 45 AC 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 AC 0F B6 0D ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 46 09 8B 55 18 8B 52 FC 8B 52 08 8D 54 02 04 8B 45 F8 8B 48 64 8B 45 F8 8B 40 5C E8 ?? ?? ?? ?? 8B 45 F8 8B 78 64 83 C7 09 03 FE 8B 45 18 8B 40 FC 8B 40 08 89 38 85 F6 7E 32 8B 45 18 8B 40 FC 8B 40 08 E8 ?? ?? ?? ?? 83 E8 09 83 E8 04 48 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 18 8B 40 FC 8B 40 08 83 C0 0D 59 E8 ?? ?? ?? ?? 0F B6 C3 8B 1C 85 ?? ?? ?? ?? 8B 45 18 8B 40 FC 8B 40 08 50 83 C7 04 57 A1 ?? ?? ?? ?? 50 53 6A 01 8B 45 18 8B 40 FC 8B 40 04 50 8B 00 FF 50 14 0F B7 D0 8B 45 18 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C2 10 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 25 00 73 00 20 00 25 00 73 00 3A 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 20 00 25 00 73 00 00 00 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_25805_0 {
	meta:
		name = "TDataPacketWriter.AddConstraints"
		size = 1588
		refs = "001c TDataPacketWriter.AddConstraints 003d FieldTypeMap 004a _Dn_TExprParser 004f TExprParser.Create 006d GetObjectProperty 007f _Dn_TCheckConstraints 0084 @IsClass 0099 @AsClass 00c5 TCheckConstraints.GetItem 00de AddSQLExprAttr 010d @HandleAnyException 012f SRecConstFail 0134 LoadResString 0150 Format 0164 ExceptObject 016a _Dn_Exception 0192 _DV_EDSWriter 0197 Exception.CreateFmt 019c @RaiseExcept 01c6 @DoneExcept 01ec TFieldList.GetField 0209 TField.GetFullName 025d SDefExprFail 0431 SFieldConstFail 057d TObject.Free 0583 @HandleFinally 059f @UStrArrayClr 05b4 @UStrClr"
	strings:
		$1 = { 55 8B EC B9 10 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 0F B6 05 ?? ?? ?? ?? 50 0F B6 05 ?? ?? ?? ?? 50 6A 00 6A 00 A1 ?? ?? ?? ?? 50 6A 01 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 4F 01 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 3A 01 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 08 8B 70 08 4E 85 F6 7C 43 46 33 DB 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B F8 55 6A 00 6A 00 6A 01 6A 00 8B 4F 14 8B 57 0C 8B 45 F0 E8 ?? ?? ?? ?? 59 55 6A 00 6A 00 6A 01 6A 00 8B 4F 14 8B 57 10 8B 45 F0 E8 ?? ?? ?? ?? 59 43 4E 75 C0 33 C0 5A 59 59 64 89 10 E9 BE 00 00 00 E9 ?? ?? ?? ?? 8B 45 F4 83 78 08 00 74 3C 8D 45 F8 50 8B 45 F4 8B 40 08 89 45 D8 C6 45 DC 11 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B E8 ?? ?? ?? ?? 8B 40 04 89 45 CC C6 45 D0 11 8D 45 CC 50 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 23 33 C0 89 45 CC C6 45 D0 11 8D 45 CC 50 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 48 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 8C 03 00 00 46 33 DB 8B 45 F4 8B 40 48 8B D3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 55 C8 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 C8 50 8D 43 01 50 6A 02 6A 00 8B 45 E8 8B 90 94 00 00 00 33 C9 8B 45 F0 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 E9 56 01 00 00 E9 ?? ?? ?? ?? 8B 45 E8 83 78 08 00 74 3F 8D 45 F8 50 8B 45 E8 8B 40 08 89 45 D8 C6 45 DC 11 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A2 00 00 00 8B 45 E8 8B 40 3C 83 78 08 00 74 54 8D 45 F8 50 8B 45 E8 8B 40 3C 8B 40 08 89 45 AC C6 45 B0 11 8D 55 A8 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 A8 89 45 B4 C6 45 B8 11 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A4 89 45 BC C6 45 C0 11 8D 55 AC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 42 8D 45 F8 50 8D 55 A0 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 A0 89 45 D8 C6 45 DC 11 8D 55 9C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B E8 ?? ?? ?? ?? 8B 40 04 89 45 CC C6 45 D0 11 8D 45 CC 50 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 23 33 C0 89 45 CC C6 45 D0 11 8D 45 CC 50 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 55 98 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 98 50 8D 7B 01 57 6A 00 6A 00 8B 45 E8 8B 88 90 00 00 00 8B 45 E8 8B 90 8C 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 59 55 8D 55 94 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 94 50 57 6A 00 6A 00 8B 45 E8 8B 88 90 00 00 00 8B 45 E8 8B 90 88 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 E9 56 01 00 00 E9 ?? ?? ?? ?? 8B 45 E8 83 78 08 00 74 3F 8D 45 F8 50 8B 45 E8 8B 40 08 89 45 D8 C6 45 DC 11 8D 55 90 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 90 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A2 00 00 00 8B 45 E8 8B 40 3C 83 78 08 00 74 54 8D 45 F8 50 8B 45 E8 8B 40 3C 8B 40 08 89 45 AC C6 45 B0 11 8D 55 8C 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 8C 89 45 B4 C6 45 B8 11 8D 55 88 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 88 89 45 BC C6 45 C0 11 8D 55 AC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 42 8D 45 F8 50 8D 55 84 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 84 89 45 D8 C6 45 DC 11 8D 55 80 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 80 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B E8 ?? ?? ?? ?? 8B 40 04 89 45 CC C6 45 D0 11 8D 45 CC 50 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 23 33 C0 89 45 CC C6 45 D0 11 8D 45 CC 50 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 0F 85 77 FC FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 80 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6E 00 73 00 74 00 72 00 61 00 69 00 6E 00 74 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 3A 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 25 00 73 00 2E 00 25 00 73 00 3A 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_25806_0 {
	meta:
		name = "GetKeyData"
		size = 475
		refs = "001b GetKeyData 004c TIndexDef.GetFields 0060 TDataSet.GetFieldList 00af VarArrayCreate 00ba @OleVarFromVar 00df TList.Get 00ea @WStrFromUStr 00fe TDataPacketWriter.GetFieldIdx 011a TList.IndexOf 0181 @VarFromInt 018e @VarArrayPut 01b0 @VarClr 01b8 @WStrClr 01c8 @UStrClr 01ce @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 10 FF 52 08 8B 45 08 8B 40 F8 8B 10 FF 52 08 8B 45 08 8B 40 F4 8B 10 FF 52 08 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 4D F4 8B 45 08 8B 50 FC 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 4F 20 8B 45 08 8B 50 F8 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 4F 1C 8B 45 08 8B 50 F4 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8D 45 E4 50 33 C0 89 45 DC 8B 45 08 8B 40 FC 8B 40 08 48 89 45 E0 8D 45 DC 66 B9 03 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 08 48 85 C0 0F 8C CF 00 00 00 40 89 45 F8 33 DB 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 8B 50 40 8D 45 D8 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 08 8B 48 E8 8B 45 08 8B 40 EC E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 40 75 16 85 DB 75 18 8B 45 08 8B 40 FC 83 78 08 01 75 0C F6 47 24 08 74 06 81 CE 00 40 00 00 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 40 75 16 85 DB 75 18 8B 45 08 8B 40 FC 83 78 08 01 75 0C F6 47 24 04 74 06 81 CE 00 80 00 00 53 6A 01 8D 45 C8 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 10 43 FF 4D F8 0F 85 37 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25807_0 {
	meta:
		name = "TDataPacketWriter.AddIndexDefs"
		size = 1168
		refs = "0024 TDataPacketWriter.AddIndexDefs 0031 _Dn_TList 0036 TObject.Create 00a1 @IntfCast 00d3 GetKeyData 00df @VarCopy 010b TObject.Free 0111 @HandleFinally 017e Null 0189 @OleVarFromVar 019c TIndexDefs.GetIndexForFields 01c8 VarIsNull 01e6 TDataSet.GetFieldList 0216 VarArrayCreate 023f TList.Get 024d @WStrFromUStr 025e TDataPacketWriter.GetFieldIdx 026d @VarFromInt 027d @VarArrayPut 02c8 TIndexDefs.GetIndexDef 0394 @VarClr 039f @WStrClr 03ce IProviderSupport 03d8 @FinalizeArray 03e8 @IntfClear 03f8 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 15 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E8 89 55 F0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC F6 40 15 40 75 24 8D 45 C4 8B 55 F0 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 8B 10 FF 52 24 89 45 CC EB 05 33 C0 89 45 CC 83 7D CC 00 74 5A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 55 B4 8B 45 CC E8 ?? ?? ?? ?? 59 8D 55 B4 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D0 50 6A 00 B9 ?? ?? ?? ?? BA 01 00 00 00 8B 45 EC 8B 18 FF 13 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 B0 8B 55 F0 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 8D 55 E4 8B 08 FF 51 28 8D 45 AC 8B 55 F0 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC 0F B6 15 ?? ?? ?? ?? 8B 08 FF 51 38 89 45 C8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D E4 00 0F 84 31 01 00 00 8D 45 9C E8 ?? ?? ?? ?? 8D 55 9C 8D 45 D0 E8 ?? ?? ?? ?? 83 7D C8 00 74 31 33 C9 8B 55 E4 8B 45 C8 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1E 55 8D 55 8C 8B C3 E8 ?? ?? ?? ?? 59 8D 55 8C 8D 45 D0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 84 C0 0F 84 B4 00 00 00 8B 45 FC 8B 10 FF 52 08 8B 4D E4 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8D 85 7C FF FF FF 50 33 C0 89 85 74 FF FF FF 8B 45 FC 8B 40 08 48 89 85 78 FF FF FF 8D 85 74 FF FF FF 66 B9 02 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8D 45 D0 E8 ?? ?? ?? ?? 8B 45 FC 8B 70 08 4E 85 F6 7C 55 46 33 DB 53 6A 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 50 40 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8B 4D E8 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8D 85 64 FF FF FF B1 FC E8 ?? ?? ?? ?? 8D 85 64 FF FF FF 50 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 AE 8D 45 D0 E8 ?? ?? ?? ?? 84 C0 75 17 8D 45 D0 50 6A 00 B9 ?? ?? ?? ?? BA 01 00 00 00 8B 45 EC 8B 18 FF 13 83 7D C8 00 74 5B 8B 45 C8 8B 40 08 8B 70 08 4E 85 F6 7C 4D 46 33 DB 8B D3 8B 45 C8 E8 ?? ?? ?? ?? 55 8B D3 8B 45 C8 E8 ?? ?? ?? ?? 8D 95 50 FF FF FF E8 ?? ?? ?? ?? 59 8D 95 50 FF FF FF 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D0 50 6A 00 B9 ?? ?? ?? ?? BA 01 00 00 00 8B 45 EC 8B 38 FF 17 43 4E 75 B6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 89 5F 5E 5B 8B E5 5D C3 00 84 F6 F8 7A 60 06 B5 47 A1 B3 E1 68 D2 AC B9 08 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 5F 00 4F 00 52 00 44 00 45 00 52 00 00 00 02 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 5F 00 4B 00 45 00 59 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 55 00 4E 00 49 00 51 00 55 00 45 00 5F 00 4B 00 45 00 59 00 00 00 00 00 }
	condition:
		$1
}

rule function_25808_0 {
	meta:
		name = "TDataPacketWriter.AddFieldLinks"
		size = 700
		refs = "001b TDataPacketWriter.AddFieldLinks 0028 _Dn_TList 002d TObject.Create 0063 @DynArrayHigh 00e8 VarArrayCreate 0103 @VarFromInt 0110 @VarArrayPut 0131 TList.Get 013c @WStrFromUStr 014a TDataPacketWriter.GetFieldIdx 01dc @OleVarFromVar 0214 TObject.Free 021a @HandleFinally 024e @VarClr 0256 @WStrClr 026f Variant 0279 @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 0F 00 00 00 6A 00 6A 00 49 75 F9 53 56 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 8C 94 01 00 00 40 89 45 D8 C7 45 DC 00 00 00 00 8B 45 DC 8D 04 80 8B 55 E8 80 7C C2 10 00 0F 84 69 01 00 00 8B 55 E8 83 7C C2 04 00 0F 85 5B 01 00 00 8B 55 E8 8B 44 C2 08 8B 4D E0 8B 55 E4 8B 18 FF 93 84 02 00 00 8B 45 E4 8B 58 08 85 DB 0F 8E 38 01 00 00 8B 45 E0 3B 58 08 0F 8F 2C 01 00 00 8D 45 F0 50 33 C0 89 45 D0 8B C3 03 C0 89 45 D4 8D 45 D0 66 B9 02 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 C0 8B 55 DC 8D 14 92 8B 4D E8 8B 54 D1 20 B1 FC E8 ?? ?? ?? ?? 8D 45 C0 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 E4 8B 70 08 4E 85 F6 7C 4C 46 33 DB 8D 43 01 50 6A 01 8B D3 8B 45 E4 E8 ?? ?? ?? ?? 8B 50 40 8D 45 AC E8 ?? ?? ?? ?? 8B 55 AC 8B 4D E8 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8D 45 B0 B1 FC E8 ?? ?? ?? ?? 8D 45 B0 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 B7 8B 45 E4 8B 70 08 4E 85 F6 7C 5C 46 33 DB 8B 45 E4 8B 40 08 03 C3 40 50 6A 01 8B D3 8B 45 E0 E8 ?? ?? ?? ?? 8B 50 40 8D 45 98 E8 ?? ?? ?? ?? 8B 55 98 8B 45 DC 8D 04 80 8B 4D E8 8B 4C C1 24 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8D 45 9C B1 FC E8 ?? ?? ?? ?? 8D 45 9C 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 A7 8D 45 88 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 88 50 6A 00 B9 ?? ?? ?? ?? BA 01 00 00 00 8B 45 EC 8B 18 FF 13 FF 45 DC FF 4D D8 0F 85 77 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4D 00 44 00 5F 00 46 00 49 00 45 00 4C 00 44 00 4C 00 49 00 4E 00 4B 00 53 00 00 00 }
	condition:
		$1
}

rule function_25809_0 {
	meta:
		name = "TDataPacketWriter.WriteMetaData"
		size = 716
		refs = "0023 TDataPacketWriter.WriteMetaData 0031 @DynArrayHigh 0064 @VarFromBool 015f @OleVarFromInt 01a4 TCustomPacketWriter.Check 01ba OleVariant 01c4 @FinalizeArray 01ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 17 46 33 FF 8D 04 BF 8B 55 F8 8D 14 C2 8B C3 8B 08 FF 51 08 47 4E 75 EC F6 43 14 20 0F 95 C0 0A 45 08 74 20 8D 45 E8 B2 01 E8 ?? ?? ?? ?? 8D 45 E8 50 6A 00 B9 ?? ?? ?? ?? BA 01 00 00 00 8B C3 8B 30 FF 16 F6 43 15 01 74 20 8D 45 D8 B2 01 E8 ?? ?? ?? ?? 8D 45 D8 50 6A 00 B9 ?? ?? ?? ?? BA 01 00 00 00 8B C3 8B 30 FF 16 F6 43 14 80 74 20 8D 45 C8 B2 01 E8 ?? ?? ?? ?? 8D 45 C8 50 6A 00 B9 ?? ?? ?? ?? BA 01 00 00 00 8B C3 8B 30 FF 16 F6 43 15 02 74 20 8D 45 B8 B2 01 E8 ?? ?? ?? ?? 8D 45 B8 50 6A 00 B9 ?? ?? ?? ?? BA 01 00 00 00 8B C3 8B 30 FF 16 F6 43 15 04 74 20 8D 45 A8 B2 01 E8 ?? ?? ?? ?? 8D 45 A8 50 6A 00 B9 ?? ?? ?? ?? BA 01 00 00 00 8B C3 8B 30 FF 16 80 7B 0C 00 74 0A 8B 55 FC 8B C3 8B 08 FF 51 0C 8B 4D F8 8B 55 FC 8B C3 8B 30 FF 56 18 8B 55 F8 8B C3 8B 08 FF 51 14 33 F6 F6 43 14 08 74 05 BE 01 00 00 00 F6 43 14 10 74 03 83 CE 02 85 F6 74 22 8D 45 98 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 45 98 50 6A 01 B9 ?? ?? ?? ?? BA 01 00 00 00 8B C3 8B 30 FF 16 8B 55 FC 8B C3 8B 08 FF 51 10 8B 45 F8 3B 43 10 74 1D 6A 00 6A 00 6A 00 6A 00 6A 01 8B 43 04 50 8B 00 FF 50 14 0F B7 D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 8B 15 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 45 00 41 00 44 00 4F 00 4E 00 4C 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 49 00 53 00 41 00 42 00 4C 00 45 00 5F 00 45 00 44 00 49 00 54 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 49 00 53 00 41 00 42 00 4C 00 45 00 5F 00 49 00 4E 00 53 00 45 00 52 00 54 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 49 00 53 00 41 00 42 00 4C 00 45 00 5F 00 44 00 45 00 4C 00 45 00 54 00 45 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4E 00 4F 00 5F 00 52 00 45 00 53 00 45 00 54 00 5F 00 43 00 41 00 4C 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4D 00 44 00 5F 00 53 00 45 00 4D 00 41 00 4E 00 54 00 49 00 43 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_25810_0 {
	meta:
		name = "RefreshInfo"
		size = 115
		refs = "002e TObjectField.GetFieldCount 004e TFields.GetField 0061 RefreshInfo"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B DA 89 45 FC 89 5F 04 85 DB 75 08 8B 45 FC 89 47 08 EB 4D 8B 43 3C 89 47 08 80 7B 48 1A 75 41 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F8 33 F6 8B 45 08 50 8B C3 8B 10 FF 92 34 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8D 04 B6 8B 4F 24 8D 0C C1 8B 45 FC E8 ?? ?? ?? ?? 59 46 FF 4D F8 75 D1 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25811_0 {
	meta:
		name = "TDataPacketWriter.RefreshPutProcs"
		size = 214
		refs = "0011 _Dn_TList 0016 TObject.Create 0021 TDataPacketWriter.RefreshPutProcs 003e TFields.GetCount 0053 TFields.GetField 0067 RefreshInfo 0092 TList.Get 00c3 TObject.Free 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F8 8B C7 8B 08 FF 91 80 02 00 00 8B C7 8B 40 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 27 46 33 DB 55 8B 47 38 8B D3 E8 ?? ?? ?? ?? 8B D0 8D 04 9B 8B 4D FC 8B 09 8D 0C C1 8B C7 E8 ?? ?? ?? ?? 59 43 4E 75 DC 8B 45 F8 8B 70 08 4E 85 F6 7C 37 46 33 DB 8B C7 8B 40 38 E8 ?? ?? ?? ?? 89 45 F4 55 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 03 D3 8D 14 92 8B 4D FC 8B 09 8D 0C D1 33 D2 E8 ?? ?? ?? ?? 59 43 4E 75 CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25812_0 {
	meta:
		name = "InitInfoStruct"
		size = 104
		refs = "001b @FillChar"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B C3 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? 85 F6 0F 94 C0 88 43 10 89 73 04 8B 45 FC FF 00 8B 07 89 43 20 FF 07 8B 73 04 85 F6 74 23 8B C6 8B 10 FF 92 A8 00 00 00 89 03 8B 43 04 8B 10 FF 92 9C 00 00 00 89 43 0C 8B 43 04 8B 40 3C 89 43 08 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_25813_0 {
	meta:
		name = "InitFieldProc"
		size = 904
		refs = "001f InitFieldProc 0034 InitInfoStruct 0040 TDataSet.GetActive 0053 TDataSet.Open 0069 TDataPacketWriter.PutDataSetField 007d TDataPacketWriter.InitPutProcs 0089 TInfoArray 008e @DynArrayAsg 0119 TDataPacketWriter.PutStringField 0131 TDataPacketWriter.PutWideStringField 0155 TDataPacketWriter.PutVarBytesField 016e TDataPacketWriter.PutADTField 0176 TObjectField.GetFieldCount 018a @DynArraySetLength 01bf TFields.GetField 01ee TDataPacketWriter.PutArrayField 0259 TDataSetField.GetNestedDataSet 027e TFields.GetCount 02f8 TDataPacketWriter.PutField 030a TDataPacketWriter.PutBlobField 0316 SUnknownFieldType 031b LoadResString 0337 DatabaseErrorFmt 0350 TDataPacketWriter.PutCalcField 0365 @UStrClr 0373 @DynArrayClear 0379 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E8 89 5D EC 8B D9 8B F2 89 45 FC 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CF 8B C3 8B D6 E8 ?? ?? ?? ?? 85 F6 75 5B 8B 45 FC E8 ?? ?? ?? ?? 34 01 88 43 11 80 7B 11 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 43 08 8B 45 10 8B 40 FC 89 43 1C C7 43 18 ?? ?? ?? ?? 8D 45 EC 50 8B CF 8B 53 08 8B 45 10 8B 40 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 43 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BD 02 00 00 8B 43 04 0F B6 50 48 83 FA 33 0F 87 69 02 00 00 0F B6 92 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 00 01 07 07 07 07 07 07 07 07 07 07 07 03 07 08 08 08 08 08 08 08 00 01 02 07 04 05 06 06 08 08 00 00 00 01 07 07 00 08 00 00 07 07 07 00 00 00 00 07 00 07 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 10 8B 40 FC 89 43 1C C7 43 18 ?? ?? ?? ?? FF 4B 0C E9 16 02 00 00 8B 45 10 8B 40 FC 89 43 1C C7 43 18 ?? ?? ?? ?? 8B C6 8B 10 FF 92 B4 00 00 00 03 C0 89 43 0C E9 F2 01 00 00 8B 45 10 8B 40 FC 89 43 1C C7 43 18 ?? ?? ?? ?? 83 6B 0C 02 E9 D9 01 00 00 8B 45 10 8B 40 FC 89 43 1C C7 43 18 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 50 8D 43 24 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 99 01 00 00 40 89 45 F4 33 F6 8B 45 10 50 57 8B 45 08 50 8B 43 04 8B 10 FF 92 34 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8D 04 B6 8B 4B 24 8D 0C C1 8B 45 FC E8 ?? ?? ?? ?? 59 46 FF 4D F4 75 CB E9 59 01 00 00 8B 45 10 8B 40 FC 89 43 1C C7 43 18 ?? ?? ?? ?? 6A 01 8D 43 24 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 00 89 45 F8 8B 45 10 50 57 8B 45 08 50 8B 43 04 8B 10 FF 92 34 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B D0 8B 4B 24 8B 45 FC E8 ?? ?? ?? ?? 59 8B 43 04 E8 ?? ?? ?? ?? 48 8B 55 08 8B 12 2B 55 F8 F7 EA 8B 55 08 01 02 E9 E3 00 00 00 E8 ?? ?? ?? ?? 89 45 F0 8B 45 10 8B 40 FC 89 43 1C C7 43 18 ?? ?? ?? ?? C7 45 F8 01 00 00 00 8B 45 F0 8B 40 38 E8 ?? ?? ?? ?? 8B F0 56 8D 43 24 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F0 8B 40 38 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 8C 00 00 00 40 89 45 F4 33 F6 8B 45 10 50 57 8D 45 F8 50 8B 45 F0 8B 40 38 8B D6 E8 ?? ?? ?? ?? 50 8B 43 04 E8 ?? ?? ?? ?? 8D 14 B6 8B 4B 24 8D 0C D1 5A E8 ?? ?? ?? ?? 59 46 FF 4D F4 75 CB EB 4F 8B 45 10 8B 40 FC 89 43 1C C7 43 18 ?? ?? ?? ?? EB 3D 8B 45 10 8B 40 FC 89 43 1C C7 43 18 ?? ?? ?? ?? EB 2B 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 43 04 8B 40 40 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 58 E8 ?? ?? ?? ?? 8B 43 04 80 78 4A 00 74 10 8B 45 10 8B 40 FC 89 43 1C C7 43 18 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_25814_0 {
	meta:
		name = "TDataPacketWriter.InitPutProcs"
		size = 283
		refs = "001b _Dn_TList 0020 TObject.Create 002b TDataPacketWriter.InitPutProcs 0048 TFields.GetCount 005f TInfoArray 0064 @DynArraySetLength 008e TFields.GetField 00a2 InitFieldProc 00d5 TList.Get 0106 TObject.Free 010c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F8 8B FA 89 45 FC C7 45 F4 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F0 8B C7 8B 08 FF 91 80 02 00 00 8B C7 8B 40 38 E8 ?? ?? ?? ?? 8B D8 8B 45 F0 03 58 08 53 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 8B 40 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2F 46 33 DB 55 8B 45 F8 50 8D 45 F4 50 8B 47 38 8B D3 E8 ?? ?? ?? ?? 8B D0 8D 04 9B 8B 4D 08 8B 09 8D 0C C1 8B C7 E8 ?? ?? ?? ?? 59 43 4E 75 D4 8B 45 F0 8B 70 08 4E 85 F6 7C 3F 46 33 DB 8B C7 8B 40 38 E8 ?? ?? ?? ?? 89 45 EC 55 8B 45 F8 50 8D 45 F4 50 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 EC 03 D3 8D 14 92 8B 4D 08 8B 09 8D 0C D1 33 D2 E8 ?? ?? ?? ?? 59 43 4E 75 C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_25815_0 {
	meta:
		name = "CheckMetaData"
		size = 432
		refs = "001d CheckMetaData 0046 @IntfClear 0052 CLSID_DSWriter 0057 CreateDbClientObject 0061 TCustomPacketWriter.SetDSWriter 0075 TDataPacketWriter.FreeInfoRecords 0080 TInfoArray 0085 @DynArrayClear 0095 TDataPacketWriter.InitPutProcs 00a8 @DynArrayAsg 0113 TCustomPacketWriter.Check 0143 SafeArrayDestroy 0148 SafeArrayCheck 0193 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 FC 8B F8 8B 5D 08 83 C3 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 01 00 00 00 8B 03 83 78 10 00 74 0C 8B 03 F6 40 16 01 0F 84 0F 01 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 55 FC E8 ?? ?? ?? ?? 8B 03 83 78 10 00 74 1C 8B 03 8D 50 10 8B 03 E8 ?? ?? ?? ?? 8B 03 83 C0 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8D 4D F8 8B 03 8B D7 E8 ?? ?? ?? ?? 8B 55 F0 8B 03 83 C0 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 F6 40 14 01 74 07 BE 03 00 00 00 EB 05 BE 01 00 00 00 8B 03 F6 40 16 08 74 0F 6A 0D 8B 03 8B 40 04 50 8B 00 FF 50 3C EB 24 8B 03 F6 40 16 04 74 0F 6A 05 8B 03 8B 40 04 50 8B 00 FF 50 3C EB 0D 6A 00 8B 03 8B 40 04 50 8B 00 FF 50 3C 0F B7 45 F8 48 50 56 8B 03 8B 40 04 50 8B 00 FF 50 0C 0F B7 D0 8B 03 E8 ?? ?? ?? ?? 6A 00 8B 03 8B 48 10 8B 03 8B D7 8B 30 FF 56 1C 8B 03 F6 40 16 01 75 22 8D 45 F4 50 8B 03 8B 40 04 50 8B 00 FF 50 18 8B 45 F4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F4 8B 03 F6 40 16 01 75 15 8B 03 8B 40 04 50 8B 00 FF 50 28 0F B7 D0 8B 03 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 A6 2F 8D 9E 1C 59 D0 11 BF 52 00 20 AF 32 BD 64 }
	condition:
		$1
}

rule function_25816_0 {
	meta:
		name = "TDataPacketWriter.GetDataPacket"
		size = 103
		refs = "002a CheckMetaData 005b DataPacketToVariant"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 8B DA 89 45 FC 8B 45 08 8B 55 08 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 55 8B C3 E8 ?? ?? ?? ?? 59 8B 06 50 8B 45 FC 8D 48 10 8B D3 8B 45 FC 8B 18 FF 53 20 89 06 8D 45 F8 50 8B 45 FC 8B 40 04 50 8B 00 FF 50 18 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_25817_0 {
	meta:
		name = "CloseDetailDatasets"
		size = 106
		refs = "000b @DynArrayHigh 0034 TDataSet.GetActive 0044 TDataSet.Close 005c CloseDetailDatasets"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 50 47 33 DB 8D 04 9B 80 7C C6 10 00 74 3F 8D 04 9B 80 7C C6 11 00 75 10 8D 04 9B 8B 44 C6 08 E8 ?? ?? ?? ?? 84 C0 74 25 8D 04 9B 8B 44 C6 08 E8 ?? ?? ?? ?? 8D 04 9B C6 44 C6 11 00 8B 45 08 50 8D 04 9B 8B 44 C6 24 E8 ?? ?? ?? ?? 59 43 4F 75 B3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_25818_0 {
	meta:
		name = "TDataPacketWriter.Reset"
		size = 15
		refs = "0008 CloseDetailDatasets"
	strings:
		$1 = { 55 8B EC 55 8B 40 10 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_25819_0 {
	meta:
		name = "TPacketDataSet.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TCustomClientDataSet.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 9B 02 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_25820_0 {
	meta:
		name = "TPacketDataSet.CreateFromDelta"
		size = 114
		refs = "000f TPacketDataSet.CreateFromDelta 0037 TCustomClientDataSet.Check 0045 @IntfCopy 004c TDataSet.Open 0061 @IntfClear 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 6A 00 6A FF 6A 02 8B 86 AC 01 00 00 50 8B 00 FF 90 84 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8D 83 AC 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25821_0 {
	meta:
		name = "TPacketDataSet.InternalInitRecord"
		size = 65
		refs = "000d TCustomClientDataSet.InternalInitRecord 0017 TFields.GetCount"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B D5 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 40 38 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 1B BE 01 00 00 00 6A 02 56 6A 00 55 8B 87 AC 01 00 00 50 8B 00 FF 50 38 46 4B 75 EA 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25822_0 {
	meta:
		name = "TPacketDataSet.InternalOpen"
		size = 88
		refs = "000c TCustomClientDataSet.InternalOpen"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 E8 01 00 00 89 83 10 03 00 00 8B C3 8B 10 FF 92 E8 01 00 00 89 83 14 03 00 00 54 6A 0C 8B 83 AC 01 00 00 50 8B 00 FF 50 4C 83 24 24 08 8B 04 24 50 6A 0C 8B 83 AC 01 00 00 50 8B 00 FF 50 50 5A 5B C3 }
	condition:
		$1
}

rule function_25823_0 {
	meta:
		name = "TPacketDataSet.InternalClose"
		size = 44
		refs = "0006 TCustomClientDataSet.InternalClose"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 93 10 03 00 00 8B C3 8B 08 FF 91 EC 01 00 00 8D 93 14 03 00 00 8B C3 8B 08 FF 91 EC 01 00 00 5B C3 }
	condition:
		$1
}

rule function_25824_0 {
	meta:
		name = "TPacketDataSet.GetStateFieldValue"
		size = 87
		refs = "0022 TPacketDataSet.HasCurValues 0033 TCustomClientDataSet.GetStateFieldValue 003a VarIsClear"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F8 8B 75 08 80 BF 1C 03 00 00 00 74 28 80 FB 08 75 23 8B C7 E8 ?? ?? ?? ?? 84 C0 74 18 56 8B 4D FC B2 09 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0D 56 8B D3 8B 4D FC 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_25825_0 {
	meta:
		name = "TPacketDataSet.GetStreamMetaData"
		size = 25
	strings:
		$1 = { 51 54 6A 08 8B 80 AC 01 00 00 50 8B 00 FF 50 4C 83 3C 24 00 0F 95 C0 5A C3 }
	condition:
		$1
}

rule function_25826_0 {
	meta:
		name = "TPacketDataSet.SetStreamMetaData"
		size = 22
	strings:
		$1 = { 80 F2 01 83 E2 7F 52 6A 08 8B 80 AC 01 00 00 50 8B 00 FF 50 50 C3 }
	condition:
		$1
}

rule function_25827_0 {
	meta:
		name = "TPacketDataSet.UpdateKind"
		size = 27
	strings:
		$1 = { 8B 10 FF 92 BC 02 00 00 2C 02 74 06 FE C8 74 05 EB 06 B0 01 C3 B0 02 C3 33 C0 C3 }
	condition:
		$1
}

rule function_25828_0 {
	meta:
		name = "TPacketDataSet.DataEvent"
		size = 35
		refs = "001d TCustomClientDataSet.DataEvent"
	strings:
		$1 = { 56 8B F0 8B C2 04 FE 2C 02 73 0F C6 86 1E 03 00 00 00 33 C0 89 86 18 03 00 00 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_25829_0 {
	meta:
		name = "TPacketDataSet.HasCurValues"
		size = 11
	strings:
		$1 = { 83 B8 18 03 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_25830_0 {
	meta:
		name = "TPacketDataSet.InitAltRecBuffers"
		size = 188
		refs = "0049 TDataSet.Next 0093 TCustomClientDataSet.SetAltRecBuffers"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 92 BC 02 00 00 84 C0 74 04 2C 03 75 10 8B 96 10 03 00 00 8B C6 8B 08 FF 91 7C 02 00 00 84 DB 74 3B 8B C6 8B 10 FF 92 BC 02 00 00 84 C0 75 2D 8B C6 8B 10 FF 92 8C 01 00 00 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 BC 02 00 00 3C 01 74 0C 8B D3 8B C6 8B 08 FF 91 DC 01 00 00 8B C6 8B 10 FF 92 BC 02 00 00 3C 02 75 25 8B 96 14 03 00 00 52 8B 56 5C 8B 4E 64 8B 0C 91 8B C6 8B 50 5C 8B 40 64 8B 14 90 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B 96 14 03 00 00 52 8B C6 8B 50 5C 8B 40 64 8B 0C 90 8B 96 10 03 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25831_0 {
	meta:
		name = "TPacketDataSet.SetFieldData"
		size = 91
		refs = "0046 TCustomClientDataSet.Check 0053 TCustomClientDataSet.SetFieldData"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 BB A5 00 00 00 07 75 07 C6 83 1E 03 00 00 01 80 BB 1D 03 00 00 00 74 2A 57 8B C6 8B 10 FF 92 A8 00 00 00 50 8B 83 14 03 00 00 50 8B 83 B0 01 00 00 50 8B 00 FF 50 60 8B D0 8B C3 E8 ?? ?? ?? ?? EB 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25832_0 {
	meta:
		name = "TPacketDataSet.SetWritingCurValues"
		size = 54
		refs = "0029 TPacketDataSet.InitAltRecBuffers"
	strings:
		$1 = { 53 56 8B DA 8B F0 84 DB 74 1A 8B 86 14 03 00 00 89 86 18 03 00 00 8B D0 8B C6 8B 08 FF 91 94 01 00 00 EB 09 B2 01 8B C6 E8 ?? ?? ?? ?? 88 9E 1D 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_25833_0 {
	meta:
		name = "TPacketDataSet.AssignCurValues"
		size = 349
		refs = "001d TPacketDataSet.AssignCurValues 002d TPacketDataSet.SetWritingCurValues 0046 TFields.GetCount 0067 TFields.GetField 0074 TDataSet.FindField 009a TField.GetOldValue 00b4 @VarCmpNE 00c0 TField.GetNewValue 00d2 VarIsClear 0120 @HandleFinally 0138 Variant 0142 @FinalizeArray 014a @VarClr"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 EC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 40 38 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C B2 00 00 00 47 C7 45 E4 00 00 00 00 8B 45 EC 8B 40 38 8B 55 E4 E8 ?? ?? ?? ?? 8B D8 8B 53 40 8B 45 E8 E8 ?? ?? ?? ?? 8B F0 85 F6 74 7F 8B 03 FF 90 28 01 00 00 84 C0 75 73 0F B6 43 48 04 F4 2C 02 72 69 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8D 45 D4 50 8D 55 C4 8B C6 8B 08 FF 91 90 00 00 00 8D 55 C4 58 E8 ?? ?? ?? ?? 74 43 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 55 B4 8B C3 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 84 C0 75 1A 8D 55 A4 8B C6 8B 08 FF 91 90 00 00 00 8D 55 A4 8D 45 F0 E8 ?? ?? ?? ?? 74 09 8B D6 8B C3 8B 08 FF 51 08 FF 45 E4 4F 0F 85 56 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25834_0 {
	meta:
		name = "TPacketDataSet.AssignCurValues"
		size = 466
		refs = "001c TPacketDataSet.AssignCurValues 002c TPacketDataSet.SetWritingCurValues 0041 VarIsNull 0061 VarArrayLowBound 006f VarArrayHighBound 0087 @VarArrayGet 0092 VarIsArray 00e9 @VarToUStr 00f4 TDataSet.FieldByName 0116 TFields.GetField 0121 VarIsClear 0130 TField.GetOldValue 013b @VarCmpNE 017a @HandleFinally 0192 Variant 019c @FinalizeArray 01a4 @UStrClr 01bf @VarClr"
	strings:
		$1 = { 55 8B EC B9 0D 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 EC 33 D2 89 90 18 03 00 00 E9 08 01 00 00 8B C6 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C6 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F8 2B FB 0F 8C E4 00 00 00 47 53 6A 01 56 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 74 63 6A 01 6A 01 53 6A 01 56 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 C8 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 6A 00 6A 01 53 6A 01 56 8D 45 A4 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 A4 50 8D 45 B4 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 B4 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 EC E8 ?? ?? ?? ?? 89 45 E8 EB 20 53 6A 01 56 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 EC 8B 40 38 8B D3 E8 ?? ?? ?? ?? 89 45 E8 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 30 8D 55 94 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 94 8D 55 F0 E8 ?? ?? ?? ?? 74 18 8B 45 EC 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 91 00 01 00 00 43 4F 0F 85 1D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25835_0 {
	meta:
		name = "TPacketDataSet.HasMergeConflicts"
		size = 193
		refs = "0019 TPacketDataSet.HasMergeConflicts 002e TFields.GetCount 0045 TFields.GetField 0051 TField.GetCurValue 0059 VarIsClear 0067 TField.GetNewValue 007e @VarCmpEQ 00a0 Variant 00aa @FinalizeArray 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 DB 00 8B 45 DC 8B 40 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 55 46 33 FF 8B 45 DC 8B 40 38 8B D7 E8 ?? ?? ?? ?? 8B D8 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 29 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 75 13 8D 45 F0 8D 55 E0 E8 ?? ?? ?? ?? 74 06 C6 45 DB 01 EB 04 47 4E 75 AE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 0F B6 45 DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25836_0 {
	meta:
		name = "TPacketDataSet.SetStateFieldValue"
		size = 96
		refs = "0019 VarIsClear 0054 TDataSet.SetStateFieldValue"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F0 8B 7D 08 80 FB 07 75 35 8B C7 E8 ?? ?? ?? ?? 84 C0 74 2A 6A 02 8B 45 FC 8B 10 FF 92 A8 00 00 00 50 6A 00 8B DE 8B 43 5C 8B 53 64 8B 04 82 50 8B 86 AC 01 00 00 50 8B 00 FF 50 38 EB 0D 57 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_25837_0 {
	meta:
		name = "TCustomProvider.Create"
		size = 228
		refs = "0010 @ClassCreate 001e TCustomProvider.Create 002f TComponent.Create 003b _Dn_TProviderDataModule 0040 @IsClass 0057 _Dn_TCRemoteDataModule 0077 @IntfClear 0085 TObject.GetInterface 00ae @HandleFinally 00bb @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 38 01 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D7 8B C6 8B 08 FF 51 50 EB 44 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D7 8B C6 8B 08 FF 51 4C EB 28 85 F6 74 24 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D7 8B 45 FC 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 00 00 00 D4 FF E9 EE 2F 75 D4 11 80 DD 00 C0 4F 6B B8 8C }
	condition:
		$1
}

rule function_25838_0 {
	meta:
		name = "TCustomProvider.Destroy"
		size = 204
		refs = "0009 @BeforeDestruction 0015 TCustomProvider.Destroy 0026 _Dn_TProviderDataModule 002b @IsClass 0042 _Dn_TCRemoteDataModule 0062 @IntfClear 0070 TObject.GetInterface 0089 TComponent.Destroy 00a4 @HandleFinally 00b1 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 77 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B C6 8B D7 8B 08 FF 51 54 EB 44 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B C6 8B D7 8B 08 FF 51 50 EB 28 85 F6 74 24 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D7 8B 45 FC 8B 08 FF 51 10 B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 00 D4 FF E9 EE 2F 75 D4 11 80 DD 00 C0 4F 6B B8 8C }
	condition:
		$1
}

rule function_25839_0 {
	meta:
		name = "TCustomProvider.GetData"
		size = 44
		refs = "000b TCustomProvider.GetData 001e TCustomProvider.GetRecords"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 0F B6 1D ?? ?? ?? ?? 0F B6 C3 50 57 8D 4C 24 08 83 CA FF 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_25840_0 {
	meta:
		name = "TCustomProvider.DoAfterApplyUpdates"
		size = 22
	strings:
		$1 = { 53 66 83 78 72 00 74 0C 8B CA 8B D8 8B D0 8B 43 74 FF 53 70 5B C3 }
	condition:
		$1
}

rule function_25841_0 {
	meta:
		name = "TCustomProvider.DoBeforeApplyUpdates"
		size = 22
	strings:
		$1 = { 53 66 83 78 6A 00 74 0C 8B CA 8B D8 8B D0 8B 43 6C FF 53 68 5B C3 }
	condition:
		$1
}

rule function_25842_0 {
	meta:
		name = "TCustomProvider.ApplyUpdates"
		size = 97
		refs = "001a TCustomProvider.ApplyUpdates 004d @VarClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8D 45 F0 50 8B 45 08 50 8B D6 8B 4D EC 8B C3 8B 18 FF 53 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_25843_0 {
	meta:
		name = "TCustomProvider.ApplyUpdates"
		size = 44
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B D6 8B 4D FC 8B C3 8B 18 FF 53 40 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_25844_0 {
	meta:
		name = "TCustomProvider.DoApplyUpdates"
		size = 374
		refs = "001b TCustomProvider.DoApplyUpdates 002b TCustomProvider.SetActiveUpdateException 0075 @VarCopy 00ba @VarClear 00c8 @OleVarFromVar 00ce @HandleFinally 00df @HandleOnException 00e7 _Dn_Exception 00fa @RaiseAgain 00ff @DoneExcept 0161 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 EC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 66 83 78 62 00 74 0B 8B D3 8B 7D EC 8B 47 64 FF 57 60 8B 55 0C 8B 45 EC 8B 08 FF 51 60 8B 45 EC 83 C0 40 8B 55 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B 45 08 50 8B D3 8B CE 8B 45 EC 8B 18 FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 0C 8B 55 EC 83 C2 40 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 EC 83 C0 40 8D 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 33 C0 5A 59 59 64 89 10 EB 25 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B D0 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 0C 8B 45 EC 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE C3 E9 ?? ?? ?? ?? EB C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_25845_0 {
	meta:
		name = "TCustomProvider.DoAfterGetRecords"
		size = 31
	strings:
		$1 = { 53 66 83 B8 82 00 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 84 00 00 00 FF 93 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_25846_0 {
	meta:
		name = "TCustomProvider.DoBeforeGetRecords"
		size = 29
	strings:
		$1 = { 55 8B EC 53 66 83 78 7A 00 74 0D 8B 4D 08 8B D8 8B D0 8B 43 7C FF 53 78 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_25847_0 {
	meta:
		name = "TCustomProvider.GetRecords"
		size = 120
		refs = "0020 TCustomProvider.GetRecords 005a OleVariant 0064 @FinalizeArray 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D DC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 6A 00 8D 45 F0 50 8D 45 E0 50 8B 45 08 50 8B 4D DC 8B D6 8B C3 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_25848_0 {
	meta:
		name = "TCustomProvider.GetRecords"
		size = 52
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D FC 8B D6 8B C3 8B 18 FF 53 44 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_25849_0 {
	meta:
		name = "TCustomProvider.DoGetRecords"
		size = 244
		refs = "0025 TCustomProvider.DoGetRecords 0032 VarIsArray 0097 @VarCopy 00ca OleVariant 00d4 @FinalizeArray 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 88 45 F7 8B 45 14 50 56 8B 45 0C 50 8B 4D 18 8B 55 FC 8B C3 8B 38 FF 57 78 0F B6 45 18 50 8B 45 14 50 56 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 8B 38 FF 57 4C 8B 55 0C 8B C3 8B 08 FF 51 74 80 7D F7 00 74 3E 83 7D FC 00 7E 1D 8D 4D E4 0F B6 15 ?? ?? ?? ?? 8B C3 8B 18 FF 53 58 8D 55 E4 8B C6 E8 ?? ?? ?? ?? EB 1B 8D 4D D4 0F B6 15 ?? ?? ?? ?? 8B C3 8B 18 FF 53 58 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 14 00 00 00 00 1E 00 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_25850_0 {
	meta:
		name = "TCustomProvider.DoAfterRowRequest"
		size = 31
	strings:
		$1 = { 53 66 83 B8 92 00 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 94 00 00 00 FF 93 90 00 00 00 5B C3 }
	condition:
		$1
}

rule function_25851_0 {
	meta:
		name = "TCustomProvider.DoBeforeRowRequest"
		size = 31
	strings:
		$1 = { 53 66 83 B8 8A 00 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 8C 00 00 00 FF 93 88 00 00 00 5B C3 }
	condition:
		$1
}

rule function_25852_0 {
	meta:
		name = "TCustomProvider.RowRequest"
		size = 68
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 0C 8B D6 8B C3 8B 08 FF 91 80 00 00 00 8B 45 08 50 0F B6 4D F8 8B 55 FC 8B C3 8B 38 FF 57 50 8B D6 8B C3 8B 08 FF 51 7C 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_25853_0 {
	meta:
		name = "TCustomProvider.DoAfterExecute"
		size = 31
	strings:
		$1 = { 53 66 83 B8 A2 00 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 A4 00 00 00 FF 93 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_25854_0 {
	meta:
		name = "TCustomProvider.DoBeforeExecute"
		size = 38
	strings:
		$1 = { 55 8B EC 53 66 83 B8 9A 00 00 00 00 74 13 8B 4D 08 8B D8 8B D0 8B 83 9C 00 00 00 FF 93 98 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_25855_0 {
	meta:
		name = "TCustomProvider.Execute"
		size = 144
		refs = "001b TCustomProvider.Execute 0062 @VarCopy 0077 @VarClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CE 8B 55 FC 8B C3 8B 38 FF 57 68 8B CE 8B 55 FC 8B C3 8B 38 FF 57 54 8B 55 08 8B C3 8B 08 FF 51 64 8D 4D EC 0F B6 15 ?? ?? ?? ?? 8B C3 8B 18 FF 53 58 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 0C 00 00 00 }
	condition:
		$1
}

rule function_25856_0 {
	meta:
		name = "TCustomProvider.DoAfterGetParams"
		size = 31
	strings:
		$1 = { 53 66 83 B8 B2 00 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 B4 00 00 00 FF 93 B0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_25857_0 {
	meta:
		name = "TCustomFileDialog.DoOnShareViolation"
		size = 31
		altNames = "TCustomProvider.DoBeforeGetParams"
	strings:
		$1 = { 53 66 83 B8 AA 00 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 AC 00 00 00 FF 93 A8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_25858_0 {
	meta:
		name = "TCustomProvider.GetParams"
		size = 52
		refs = "0017 TCustomProvider.GetParams"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 70 8B CF 0F B6 15 ?? ?? ?? ?? 8B C3 8B 38 FF 57 58 8B D6 8B C3 8B 08 FF 51 6C 5F 5E 5B C3 00 1F 00 00 00 }
	condition:
		$1
}

rule function_25859_0 {
	meta:
		name = "TCustomProvider.InternalGetParams"
		size = 80
		refs = "0012 TCustomProvider.InternalGetParams 0020 Null 002a @OleVarFromVar 003f @VarClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25861_0 {
	meta:
		name = "TCustomProvider.InternalGetRecords"
		size = 81
		refs = "0010 TCustomProvider.InternalGetRecords 001e Null 0029 @OleVarFromVar 003e @VarClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_25862_0 {
	meta:
		name = "TCustomProvider.InternalRowRequest"
		size = 81
		refs = "0010 TCustomProvider.InternalRowRequest 001e Null 0029 @OleVarFromVar 003e @VarClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_25863_0 {
	meta:
		name = "TCustomProvider.DataRequest"
		size = 141
		refs = "0028 @VarAddRef 0030 TCustomProvider.DataRequest 0053 Null 005d @OleVarFromVar 0072 @VarClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D EC 8B F2 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 5A 00 74 0E 56 8D 4D F0 8B D3 8B 43 5C FF 53 58 EB 12 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25865_0 {
	meta:
		name = "TBaseProvider.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TCustomProvider.Create 001e TBaseProvider.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 86 F8 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 80 00 00 }
	condition:
		$1
}

rule function_25866_0 {
	meta:
		name = "TBaseProvider.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TCustomProvider.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 C0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35004_0 {
	meta:
		name = "TIdHTTPResponse.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TIdResponseHeaderInfo.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 C0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25870_0 {
	meta:
		name = "TBaseProvider.CheckResolver"
		size = 30
	strings:
		$1 = { 53 8B D8 83 BB C0 00 00 00 00 75 10 8B C3 8B 10 FF 92 94 00 00 00 89 83 C0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_25871_0 {
	meta:
		name = "TBaseProvider.FreeResolver"
		size = 24
		refs = "000a TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 83 C0 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 C0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_25872_0 {
	meta:
		name = "TBaseProvider.InternalApplyUpdates"
		size = 134
		refs = "0018 TBaseProvider.InternalApplyUpdates 002f SReadOnlyProvider 0034 LoadResString 003e DatabaseError 0045 TBaseProvider.CheckResolver 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 83 F8 00 00 00 20 74 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B D6 8B 4D FC 8B 83 C0 00 00 00 8B 18 FF 53 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_25873_0 {
	meta:
		name = "TBaseProvider.InternalRowRequest"
		size = 48
		refs = "0010 TBaseProvider.CheckResolver"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B D6 0F B6 4D FF 8B 83 C0 00 00 00 8B 18 FF 53 7C 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_25874_0 {
	meta:
		name = "TBaseProvider.InternalGetRecords"
		size = 87
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 85 F6 74 13 66 83 BB CA 00 00 00 00 74 0D 83 BB B8 00 00 00 00 75 04 80 4D 14 01 89 37 57 8B 45 08 50 0F B7 8B F8 00 00 00 0F B6 55 14 8B C3 8B 30 FF 96 98 00 00 00 8B 55 08 8B C3 8B 08 FF 91 A0 00 00 00 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_25875_0 {
	meta:
		name = "TBaseProvider.DoOnGetData"
		size = 226
		refs = "0013 TBaseProvider.DoOnGetData 003a _DV_TPacketDataSet 003f TPacketDataSet.Create 004e TPacketDataSet.SetStreamMetaData 005d TCustomClientDataSet.AppendData 007c TCustomClientDataSet.GetChangeCount 0095 TCustomClientDataSet.MergeChangeLog 00a3 TCustomClientDataSet.GetData 00ad @VarCopy 00d0 @VarClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB CA 00 00 00 00 0F 84 94 00 00 00 8B 83 B8 00 00 00 85 C0 75 16 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B8 00 00 00 EB 07 33 D2 E8 ?? ?? ?? ?? 8B D6 33 C9 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8B 8B B8 00 00 00 8B D3 8B 83 CC 00 00 00 FF 93 C8 00 00 00 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 83 FA 00 75 07 83 F8 00 76 27 EB 02 7E 23 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 83 B8 00 00 00 8B 10 FF 92 40 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25876_0 {
	meta:
		name = "TBaseProvider.DoOnUpdateData"
		size = 44
		refs = "0015 TCustomClientDataSet.SetLogChanges"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 BB D2 00 00 00 00 74 19 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE 8B D3 8B 83 D4 00 00 00 FF 93 D0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_25878_0 {
	meta:
		name = "TBaseProvider.CreateDataPacket"
		size = 88
		refs = "0010 TBaseProvider.CreateDataPacket 0025 Null 0030 @OleVarFromVar 0045 @VarClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 33 D2 89 10 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_25879_0 {
	meta:
		name = "TBaseProvider.DoBeforeCommit"
		size = 63
		refs = "001b TCustomClientDataSet.SetLogChanges"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 66 83 BB F2 00 00 00 00 74 22 33 D2 8B C6 E8 ?? ?? ?? ?? 57 8B 45 0C 50 8B 45 08 50 8B CE 8B D3 8B 83 F4 00 00 00 FF 93 F0 00 00 00 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_25880_0 {
	meta:
		name = "TBaseProvider.DoAfterUpdateRecord"
		size = 43
	strings:
		$1 = { 55 8B EC 53 66 83 B8 EA 00 00 00 00 74 18 51 0F B6 4D 08 51 8B D8 8B CA 8B D0 8B 83 EC 00 00 00 FF 93 E8 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_25881_0 {
	meta:
		name = "TBaseProvider.DoBeforeUpdateRecord"
		size = 47
	strings:
		$1 = { 55 8B EC 53 66 83 B8 E2 00 00 00 00 74 1C 51 0F B6 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 E4 00 00 00 FF 93 E0 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_25882_0 {
	meta:
		name = "TDataSetProvider.Create"
		size = 90
		refs = "000a @ClassCreate 0017 TBaseProvider.Create 0047 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 1C 01 00 00 00 C6 86 BC 00 00 00 00 33 C0 89 86 08 01 00 00 C6 86 24 01 00 00 01 33 C0 89 86 20 01 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_25883_0 {
	meta:
		name = "TDataSetProvider.Destroy"
		size = 83
		refs = "0003 @BeforeDestruction 001a TObject.Free 0041 TBaseProvider.Destroy 004c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 08 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 83 BE 18 01 00 00 00 74 13 8D 86 18 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25884_0 {
	meta:
		name = "TDataSetProvider.LocateRecord"
		size = 144
		refs = "0018 TDataSetProvider.LocateRecord 0025 TDataSet.GetActive 0037 TDataSet.Open 005a SRecordChanged 005f LoadResString 0069 DatabaseError 007e @UStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0E C6 83 04 01 00 00 01 8B C6 E8 ?? ?? ?? ?? 0F B6 83 BC 00 00 00 50 8B 4D FC 8B D6 8B C3 8B 18 FF 93 C8 00 00 00 84 C0 75 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_25885_0 {
	meta:
		name = "GetFieldList"
		size = 325
		refs = "0021 GetFieldList 0032 TFields.GetCount 004d TFields.GetField 0080 _Dn_TObjectField 0085 @IsClass 00bb TList.Add 00f2 TField.GetNewValue 00fa VarIsClear 0132 @VarClr 0138 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C E0 00 00 00 47 33 F6 8B 45 FC 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8B D8 0F B6 43 48 04 F4 2C 02 0F 82 B8 00 00 00 8B 03 FF 90 28 01 00 00 84 C0 0F 85 A8 00 00 00 8B 43 3C 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 88 00 00 00 0F B6 45 FB 2C 01 72 28 74 48 FE C8 75 7A F6 83 9C 00 00 00 04 74 71 8B 43 3C 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? EB 58 F6 83 9C 00 00 00 02 74 4F 8B 43 3C 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? EB 36 F6 83 9C 00 00 00 04 75 16 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 84 C0 75 17 8B 43 3C 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 46 4F 0F 85 23 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25886_0 {
	meta:
		name = "TDataSetProvider.FindRecord"
		size = 572
		refs = "001f TDataSetProvider.FindRecord 0042 _Dn_TList 0047 TObject.Create 0066 GetFieldList 0093 VarArrayCreate 009b @UStrClr 00b3 TList.Get 00c8 TField.GetOldValue 00d5 @VarArrayPut 010d @UStrCat 01aa SNoKeySpecified 01af LoadResString 01b9 DatabaseError 01ce TObject.Free 01d4 @HandleFinally 01f4 Variant 01fe @FinalizeArray 0206 @VarClr"
	strings:
		$1 = { 55 8B EC 51 B9 0E 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 89 55 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E3 00 8D 45 D8 50 6A 07 8B 83 AC 01 00 00 50 8B 00 FF 50 4C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 55 08 8B 4D DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 8B 58 08 83 FB 01 0F 8E C5 00 00 00 8D 45 E8 50 33 C0 89 45 D0 4B 89 5D D4 8D 45 D0 66 B9 0C 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 DC 8B 78 08 4F 85 FF 7C 76 47 33 DB 8B D3 8B 45 DC E8 ?? ?? ?? ?? 8B F0 83 7D D8 00 74 1F 53 6A 01 8D 55 C0 8B C6 E8 ?? ?? ?? ?? 8D 45 C0 50 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 10 EB 20 53 6A 01 8D 55 B0 8B C6 8B 08 FF 91 90 00 00 00 8D 45 B0 50 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 10 83 7D FC 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 56 40 E8 ?? ?? ?? ?? 43 4F 75 8D 0F B6 05 ?? ?? ?? ?? 50 8D 4D E8 8B 55 FC 8B 45 E4 8B 18 FF 93 A4 02 00 00 88 45 E3 EB 7F 4B 75 65 33 D2 8B 45 DC E8 ?? ?? ?? ?? 8B D8 83 7D D8 00 74 28 0F B6 05 ?? ?? ?? ?? 50 8D 55 A0 8B C3 E8 ?? ?? ?? ?? 8D 4D A0 8B 53 40 8B 45 E4 8B 18 FF 93 A4 02 00 00 88 45 E3 EB 42 0F B6 05 ?? ?? ?? ?? 50 8D 55 90 8B C3 8B 08 FF 91 90 00 00 00 8D 4D 90 8B 53 40 8B 45 E4 8B 18 FF 93 A4 02 00 00 88 45 E3 EB 17 8D 55 8C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 8C 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 0F B6 45 E3 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_25887_0 {
	meta:
		name = "TDataSetProvider.FetchDetails"
		size = 180
		refs = "0012 TDataSet.GetActive 0029 TDataSet.Open 0031 TDataSet.First 003a TDataSet.Insert 004a TFields.GetCount 0064 TFields.GetField 006f TDataSet.FindField 009c TDataSet.Next"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B E9 89 14 24 8B F0 8B 04 24 E8 ?? ?? ?? ?? 8B D8 80 F3 01 88 9E 05 01 00 00 84 DB 74 08 8B 04 24 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? EB 69 8B C5 E8 ?? ?? ?? ?? 89 6C 24 04 8B 44 24 04 8B 40 38 E8 ?? ?? ?? ?? 89 44 24 08 8B 7C 24 08 4F 85 FF 7C 33 47 33 DB 8B 45 38 8B D3 E8 ?? ?? ?? ?? 8B 50 40 8B 04 24 E8 ?? ?? ?? ?? 8B F0 85 F6 74 11 8B 45 38 8B D3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 43 4F 75 D0 8B C5 8B 10 FF 92 B0 02 00 00 8B 04 24 E8 ?? ?? ?? ?? 8B 04 24 80 B8 A9 00 00 00 00 74 8B 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25888_0 {
	meta:
		name = "TDataSetProvider.GetDataSetFromDelta"
		size = 372
		refs = "0022 TDataSetProvider.GetDataSetFromDelta 0034 _Dn_TWideStringList 0039 TWideStringList.Create 0043 _Dn_TParams 0048 TParams.Create 0060 TBaseProvider.CheckResolver 007f @UStrLAsg 0089 @UStrClr 00bf @UStrFromWStr 00ea SRecordChanged 00ef LoadResString 00f9 DatabaseError 010e TObject.Free 011c @HandleFinally 013b @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E8 89 5D E4 89 5D FC 89 4D F8 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B B3 C0 00 00 00 8B 46 48 8B 40 1C 80 78 11 00 74 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 50 0F B6 45 08 50 8B C6 8B 4D F0 8B D7 8B 18 FF 93 94 00 00 00 8D 45 F4 50 8D 55 E4 8B 45 F0 8B 08 FF 51 1C 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 85 C0 74 05 2D 88 FE FF FF 8B 4D EC 8B 18 FF 53 14 8B 45 F4 80 B8 A9 00 00 00 00 74 17 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B 45 F4 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 }
	condition:
		$1
}

rule function_25889_0 {
	meta:
		name = "TDataSetProvider.UpdateRecord"
		size = 316
		refs = "001d TDataSetProvider.UpdateRecord 005b TDataSet.Edit 0066 TFields.GetCount 0082 TFields.GetField 008d TDataSet.FindField 00d5 TField.GetNewValue 00dd VarIsNull 0112 TObject.Free 0127 @VarClr 012d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7D 08 00 74 04 B2 02 EB 07 0F B6 90 BC 00 00 00 8B 4D FC 51 52 8B B0 C0 00 00 00 8B 56 38 8B 46 48 8B CF 92 8B 18 FF 93 C4 00 00 00 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 90 00 00 00 40 89 45 F4 33 F6 8B 45 FC 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8B 50 40 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 74 15 0F B6 43 4A 3C 02 75 04 B0 01 EB 05 3C 01 0F 94 C0 34 01 EB 02 33 C0 84 C0 74 47 80 7D 0C 00 74 2D 8B 03 FF 90 28 01 00 00 84 C0 74 35 8B 45 FC 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 FC 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 08 46 FF 4D F4 0F 85 76 FF FF FF 8B 45 FC 8B 10 FF 92 B0 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_25890_0 {
	meta:
		name = "TDataSetProvider.DoBeforeExecute"
		size = 58
		refs = "002f TCustomProvider.DoBeforeExecute"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 CC 00 00 00 8B D7 8B C3 8B 08 FF 91 D0 00 00 00 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_25891_0 {
	meta:
		name = "TDataSetProvider.InternalExecute"
		size = 112
		refs = "000c TDataSetProvider.InternalExecute 0019 TDataSetProvider.CheckDataSet 0033 @IntfCast 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 93 00 01 00 00 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 84 F6 F8 7A 60 06 B5 47 A1 B3 E1 68 D2 AC B9 08 }
	condition:
		$1
}

rule function_25892_0 {
	meta:
		name = "TDataSetProvider.DoGetTableName"
		size = 32
	strings:
		$1 = { 53 66 83 B8 2A 01 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 2C 01 00 00 FF 93 28 01 00 00 5B C3 }
	condition:
		$1
}

rule function_25893_0 {
	meta:
		name = "TDataSetProvider.Reset"
		size = 200
		refs = "000c TDataSetProvider.Reset 0019 TDataSetProvider.CheckDataSet 002d TDataPacketWriter.Reset 0048 TDataSet.Close 0069 @IntfCast 007c TDataSet.GetActive 008b TDataSet.First 00a8 @IntfClear 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB 05 01 00 00 00 74 12 8B 83 08 01 00 00 E8 ?? ?? ?? ?? C6 83 05 01 00 00 00 80 BB 04 01 00 00 00 74 12 8B 83 00 01 00 00 E8 ?? ?? ?? ?? C6 83 04 01 00 00 00 8D 45 FC 8B 93 00 01 00 00 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 4C 8B 83 00 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 83 00 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 84 F6 F8 7A 60 06 B5 47 A1 B3 E1 68 D2 AC B9 08 }
	condition:
		$1
}

rule function_25894_0 {
	meta:
		name = "TDataSetProvider.SetCommandText"
		size = 192
		refs = "0013 TDataSetProvider.SetCommandText 0022 @WStrEqual 0035 SCannotChangeCommandText 003a LoadResString 0044 DatabaseError 004b TDataSetProvider.CheckDataSet 0055 @UStrFromWStr 0073 @IntfCast 0091 @IntfClear 009e @UStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 33 D2 E8 ?? ?? ?? ?? 74 58 F6 83 F9 00 00 00 20 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 8B 93 00 01 00 00 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 5A 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 84 F6 F8 7A 60 06 B5 47 A1 B3 E1 68 D2 AC B9 08 }
	condition:
		$1
}

rule function_25895_0 {
	meta:
		name = "TDataSetProvider.SetParams"
		size = 296
		refs = "0020 @VarAddRef 0028 TDataSetProvider.SetParams 0036 VarIsClear 0045 TDataSetProvider.CheckDataSet 005f @IntfCast 0079 _Dn_TParams 007e TParams.Create 008f TCollection.Clear 009d UnpackParams 00ae TParams.IsEqual 00f0 IProviderSupport 00fa @FinalizeArray 0102 @VarClr 0108 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 85 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 EC 8B 93 00 01 00 00 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 2C 8B F0 83 BB 18 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 18 01 00 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 93 18 01 00 00 E8 ?? ?? ?? ?? 85 F6 74 11 8B 93 18 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 28 8D 45 E8 8B 93 00 01 00 00 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 93 18 01 00 00 8B 08 FF 51 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 00 00 00 84 F6 F8 7A 60 06 B5 47 A1 B3 E1 68 D2 AC B9 08 }
	condition:
		$1
}

rule function_25896_0 {
	meta:
		name = "TDataSetProvider.InternalGetParams"
		size = 196
		refs = "001c TDataSetProvider.InternalGetParams 0029 TDataSetProvider.CheckDataSet 0043 @IntfCast 006b Null 0075 @OleVarFromVar 0084 PackageParams 0099 @VarClr 00a1 @IntfClear 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 8B 93 00 01 00 00 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 2C 8B D8 85 DB 75 04 B0 01 EB 0A 8B 43 08 83 78 08 00 0F 94 C0 84 C0 74 14 8D 45 E8 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? EB 0D 8B CE 0F B6 55 FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 84 F6 F8 7A 60 06 B5 47 A1 B3 E1 68 D2 AC B9 08 }
	condition:
		$1
}

rule function_25897_0 {
	meta:
		name = "TDataSetProvider.InternalRowRequest"
		size = 236
		refs = "0013 TBaseProvider.CheckResolver 001b TDataSetProvider.CheckDataSet 0041 TDataSetProvider.InternalRowRequest 0055 TDataSet.GetActive 0067 TDataSet.Open 007d TBaseProvider.InternalRowRequest 00bb TDataPacketWriter.Reset 00d9 TDataSet.Close 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 88 4D FB 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 00 01 00 00 8B 45 FC 8B 80 C0 00 00 00 8B 40 48 8B 08 FF 51 08 C6 45 FA 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 00 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 12 8B 45 FC 8B 80 00 01 00 00 E8 ?? ?? ?? ?? C6 45 FA 01 8B 45 08 50 8B D3 0F B6 4D FB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 00 00 00 8B 40 48 33 D2 8B 08 FF 51 08 8B 45 FC 80 B8 05 01 00 00 00 74 1C 8B 45 FC 8B 80 08 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B 45 FC C6 80 05 01 00 00 00 80 7D FA 00 74 0E 8B 45 FC 8B 80 00 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A9 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_25898_0 {
	meta:
		name = "TDataSetProvider.InternalApplyUpdates"
		size = 424
		refs = "001e TDataSetProvider.InternalApplyUpdates 002c TDataSetProvider.CheckDataSet 0049 @IntfCast 00a7 TBaseProvider.CheckResolver 00e0 TBaseProvider.InternalApplyUpdates 0116 @HandleFinally 0178 IProviderSupport 0182 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B FA 89 45 FC 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 92 00 01 00 00 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 40 34 01 8B 55 FC 88 82 25 01 00 00 C6 45 FB 00 8B 45 FC 80 B8 25 01 00 00 00 74 25 8D 45 F0 8B 55 FC 8B 92 00 01 00 00 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 00 01 00 00 8B 45 FC 8B 80 C0 00 00 00 8B 40 48 8B 08 FF 51 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 45 08 50 8B D7 8B CB 8B 45 FC E8 ?? ?? ?? ?? 3B 1E 7D 07 43 74 04 33 C0 EB 02 B0 01 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 00 00 00 8B 40 48 33 D2 8B 08 FF 51 08 C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 B8 25 01 00 00 00 74 29 8D 45 EC 8B 55 FC 8B 92 00 01 00 00 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 0F B6 55 FB 8B 08 FF 51 0C C3 E9 ?? ?? ?? ?? EB C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 00 84 F6 F8 7A 60 06 B5 47 A1 B3 E1 68 D2 AC B9 08 }
	condition:
		$1
}

rule function_25899_0 {
	meta:
		name = "TDataSetProvider.SetDataSet"
		size = 22
		refs = "0011 TComponent.FreeNotification"
	strings:
		$1 = { 8B CA 89 88 00 01 00 00 85 C9 74 09 8B D0 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25900_0 {
	meta:
		name = "TDataSetProvider.SetResolveToDataSet"
		size = 39
		refs = "001a TBaseProvider.FreeResolver"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E 1C 01 00 00 74 10 83 BE C0 00 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? 88 9E 1C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_25901_0 {
	meta:
		name = "TDataSetProvider.CreateResolver"
		size = 39
		refs = "000e _DV_TDataSetResolver 0013 TDataSetResolver.Create 001d _DV_TSQLResolver 0022 TSQLResolver.Create"
	strings:
		$1 = { 80 B8 1C 01 00 00 00 74 0F 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_25902_0 {
	meta:
		name = "TDataSetProvider.CheckDataSet"
		size = 83
		refs = "0009 TDataSetProvider.CheckDataSet 0020 SMissingDataSet 0025 LoadResString 002f DatabaseError 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 B8 00 01 00 00 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_25903_0 {
	meta:
		name = "TDataSetProvider.DoBeforeGetRecords"
		size = 78
		refs = "0043 TCustomProvider.DoBeforeGetRecords"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C7 A8 02 74 04 85 F6 74 1A 8B 55 10 8B C3 8B 08 FF 91 CC 00 00 00 8B 55 0C 8B C3 8B 08 FF 91 D0 00 00 00 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_25904_0 {
	meta:
		name = "TDataSetProvider.InternalGetRecords"
		size = 393
		refs = "0019 TDataSetProvider.InternalGetRecords 002c TDataSetProvider.Reset 004d TDataSet.GetActive 005f TDataSet.Open 0082 TObject.Free 00a6 TDataSet.CheckBrowseMode 00e3 TBaseProvider.InternalGetRecords 0153 TDataSet.Next 0159 @HandleFinally 016a @HandleAnyException 0177 @RaiseAgain 017c @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 5D 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 C3 02 74 1B 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 75 0D 33 C0 5A 59 59 64 89 10 E9 3D 01 00 00 8B 45 FC 8B 80 00 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 18 8B 45 FC 8B 80 00 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 80 04 01 00 00 01 83 7D F8 00 74 05 F6 C3 01 74 24 8B 45 FC 8B 80 B8 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 B8 00 00 00 8B 45 FC 33 D2 89 90 20 01 00 00 8B 45 FC 8B 80 00 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 00 01 00 00 8B 55 F8 8B 08 FF 91 BC 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 00 8B 55 FC 01 82 20 01 00 00 8B 45 F4 8B 00 3B 45 F8 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 00 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 31 8B 45 FC 8B 80 00 01 00 00 33 D2 8B 08 FF 91 BC 01 00 00 83 7D F8 00 74 18 8B 45 F4 8B 00 3B 45 F8 75 0E 8B 45 FC 8B 80 00 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_25905_0 {
	meta:
		name = "TDataSetProvider.DoGetProviderAttributes"
		size = 628
		refs = "0022 TDataSetProvider.DoGetProviderAttributes 003e @IntfCast 005f @VarClr 0078 VarIsArray 008d VarArrayLowBound 009c VarArrayHighBound 00b7 @VarArrayGet 013f TPacketAttribute 0149 @New 0157 TList.Add 018e @VarToUStr 01d1 @OleVarFromVar 020e @VarToBool 0235 Variant 023f @FinalizeArray 0247 @IntfClear 0255 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 17 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 8B D6 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8B 55 EC 8B 08 FF 51 18 66 83 BB 12 01 00 00 00 0F 84 C5 01 00 00 8D 45 F0 E8 ?? ?? ?? ?? 50 8B CE 8B D3 8B 83 14 01 00 00 FF 93 10 01 00 00 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 9C 01 00 00 8D 45 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 8D 45 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 2B F3 0F 8C 76 01 00 00 46 53 6A 01 8D 45 F0 50 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 D0 E8 ?? ?? ?? ?? 84 C0 0F 84 4A 01 00 00 53 6A 01 8D 45 F0 50 8D 45 C0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 C0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F8 53 6A 01 8D 45 F0 50 8D 45 B0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 B0 BA 01 00 00 00 E8 ?? ?? ?? ?? 2B F8 83 FF 02 0F 85 FD 00 00 00 53 6A 01 8D 45 F0 50 8D 45 A0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 A0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F8 8B 15 ?? ?? ?? ?? B8 20 00 00 00 E8 ?? ?? ?? ?? 89 45 E8 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 89 45 E4 57 6A 01 53 6A 01 8D 45 F0 50 8D 45 80 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 80 50 8D 45 90 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 90 8B 45 E4 E8 ?? ?? ?? ?? 8D 47 01 50 6A 01 53 6A 01 8D 45 F0 50 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 8D 85 60 FF FF FF 50 8D 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 8D 95 70 FF FF FF 8B 45 E4 83 C0 08 E8 ?? ?? ?? ?? 83 C7 02 57 6A 01 53 6A 01 8D 45 F0 50 8D 85 40 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 8D 85 40 FF FF FF 50 8D 85 50 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8B 55 E4 88 42 18 43 4E 0F 85 8B FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 40 FF FF FF 8B 15 ?? ?? ?? ?? B9 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5F 5E 5B 8B E5 5D C3 00 00 84 F6 F8 7A 60 06 B5 47 A1 B3 E1 68 D2 AC B9 08 }
	condition:
		$1
}

rule function_25906_0 {
	meta:
		name = "TDataSetProvider.CreateDataPacket"
		size = 119
		refs = "001b _DV_TDataPacketWriter 0020 TCustomPacketWriter.Create 005b @VarClr"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FD 88 55 FF 8B D8 83 BB 08 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 08 01 00 00 8B B3 08 01 00 00 0F B6 83 24 01 00 00 88 46 0C 89 5E 1C 8B 03 8B 80 C0 00 00 00 89 46 18 0F B6 45 FF 88 46 16 0F B7 45 FD 66 89 46 14 8B 45 08 E8 ?? ?? ?? ?? 50 8B 4D 0C 8B 93 00 01 00 00 8B C6 8B 18 FF 53 24 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_25907_0 {
	meta:
		name = "TDataSetProvider.Notification"
		size = 54
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 19 83 BF 00 01 00 00 00 74 10 3B B7 00 01 00 00 75 08 33 C0 89 87 00 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25908_0 {
	meta:
		name = "TUpdateTree.Create"
		size = 136
		refs = "000e @ClassCreate 001d TObject.Create 002f _DV_TPacketDataSet 0034 TPacketDataSet.Create 0042 TDataSet.SetObjectView 004f TFieldDefs.SetHiddenFields 0056 _Dn_TList 0066 @WStrClr 0071 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 08 89 47 20 89 77 14 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 04 8B C6 B2 01 E8 ?? ?? ?? ?? 8B 47 04 8B 40 40 B2 01 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 18 8D 47 24 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_25909_0 {
	meta:
		name = "TUpdateTree.Destroy"
		size = 100
		refs = "0003 @BeforeDestruction 002c TObject.Free 0050 TObject.Destroy 005d @ClassDestroy"
	strings:
		$1 = { 53 51 E8 ?? ?? ?? ?? 88 14 24 8B D8 8B 43 20 85 C0 74 07 8B D3 8B 08 FF 51 68 8B C3 8B 10 FF 12 8D 43 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 83 7B 14 00 75 10 8D 43 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 0F B6 14 24 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_25910_0 {
	meta:
		name = "TUpdateTree.GetIsNested"
		size = 22
	strings:
		$1 = { 8B 50 10 85 D2 74 09 83 BA 8C 00 00 00 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_25911_0 {
	meta:
		name = "TUpdateTree.Clear"
		size = 168
		refs = "0016 TUpdateTree.Clear 0023 TUpdateTree.GetDetailCount 0036 TUpdateTree.GetDetail 003b TObject.Free 004f Null 005a @OleVarFromVar 0065 TCustomClientDataSet.SetData 008d @VarClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 15 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 EE 8B 43 18 8B 10 FF 52 08 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B 43 04 E8 ?? ?? ?? ?? 83 7B 14 00 75 0D 8B 43 08 E8 ?? ?? ?? ?? 33 C0 89 43 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25912_0 {
	meta:
		name = "TUpdateTree.GetTree"
		size = 197
		refs = "0015 TUpdateTree.GetTree 0022 TUpdateTree.GetDetailCount 0035 TUpdateTree.GetDetail 0040 @UStrFromWStr 0058 CompareText 007a _DV_TUpdateTree 007f TUpdateTree.Create 008c @WStrAsg 0096 TList.Add 00b0 @UStrArrayClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 44 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 50 24 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 58 E8 ?? ?? ?? ?? 85 C0 75 0D 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 2D 46 4F 75 BF 8B 43 20 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 24 8B 55 FC E8 ?? ?? ?? ?? 8B D6 8B 43 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25913_0 {
	meta:
		name = "TUpdateTree.InitData"
		size = 474
		refs = "0017 TUpdateTree.InitData 0039 TList.Get 0052 TDataSet.Close 0068 TFields.GetCount 009f TDataSet.Open 00ca TFields.GetField 00fa @WStrFromUStr 0104 TUpdateTree.GetTree 010f TDataSetField.GetNestedDataSet 0124 _Dn_TList 0129 TObject.Create 01a5 TObject.Free 01ab @HandleFinally 01c7 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D F0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 D2 75 3A 8B 46 18 8B 78 08 4F 85 FF 7C 18 47 33 DB 8B 46 18 8B D3 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 08 43 4F 75 EB 80 7E 0C 00 74 08 8B 46 10 E8 ?? ?? ?? ?? C6 46 0C 00 E9 52 01 00 00 8B C2 89 46 10 8B 40 38 E8 ?? ?? ?? ?? 85 C0 75 0C 8B 46 10 0F B6 80 B1 00 00 00 EB 02 33 C0 84 C0 74 0E 8B 46 10 0F B6 80 90 00 00 00 34 01 EB 02 33 C0 8B D0 88 56 0C 84 D2 74 08 8B 46 10 E8 ?? ?? ?? ?? 8B 46 10 80 B8 B1 00 00 00 00 74 72 8B 40 38 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 63 47 33 DB 8B 46 10 8B 40 38 8B D3 E8 ?? ?? ?? ?? 0F B6 40 48 2C 1D 75 47 8B 46 10 8B 40 38 8B D3 E8 ?? ?? ?? ?? 89 45 F4 8B 46 10 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 50 40 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 08 43 4F 75 A0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 10 8B 55 F8 8B 08 FF 91 80 02 00 00 8B 45 F8 8B 78 08 4F 85 FF 7C 3D 47 33 DB 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 50 08 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 08 43 4F 75 C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25914_0 {
	meta:
		name = "TUpdateTree.InitDelta"
		size = 1348
		refs = "0026 TFieldInfo 002b @InitializeRecord 0033 TUpdateTree.InitDelta 004c TObject.Free 005b TCustomClientDataSet.SetLogChanges 0066 _Dn_TMemoryStream 006b TObject.Create 008a TFields.GetCount 00b3 TFields.GetField 00c9 TCustomClientDataSet.InternalGetOptionalParam 00d1 VarIsNull 00dd VarIsClear 0100 @VarToInteger 0164 @VarToUStr 01bf @VarToBool 022e VarIsArray 0243 VarArrayHighBound 024e TStream.SetSize64 0256 VarArrayLock 0272 TStream.SetPosition 02a6 VarArrayUnlock 02ac @HandleFinally 02b6 Null 02c5 _DV_TPropReader 02ca TFiler.Create 02e5 TReader.CheckValue 0302 TReader.ReadProperty 030a TReader.EndOfList 034a @WStrFromUStr 0355 GetFieldInfo 0377 @UStrFromWStr 03aa @UStrAsg 0419 TUpdateTree.GetTree 0422 TDataSetField.GetNestedDataSet 0496 @WStrArrayClr 049e @VarClr 04ac @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 33 C9 89 4D C0 89 4D C4 89 4D E0 89 4D E4 89 4D E8 89 4D EC 8B DA 89 45 DC 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 8B 40 04 85 C0 74 09 3B D8 74 05 E8 ?? ?? ?? ?? 8B 55 DC 8B C3 89 42 04 33 D2 E8 ?? ?? ?? ?? C6 45 D7 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 DC 8B 40 04 8B 40 38 E8 ?? ?? ?? ?? 48 85 C0 0F 8C A4 03 00 00 40 89 45 C8 C7 45 D8 00 00 00 00 8D 45 E0 50 8B 45 DC 8B 58 04 8B 43 38 8B 55 D8 E8 ?? ?? ?? ?? 8B 10 FF 92 A8 00 00 00 8B C8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 75 2E 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 75 22 8B 45 DC 8B 40 04 8B 40 38 8B 55 D8 E8 ?? ?? ?? ?? 05 9C 00 00 00 50 8D 45 E0 E8 ?? ?? ?? ?? 5A 88 02 8D 45 E0 50 8B 45 DC 8B 58 04 8B 43 38 8B 55 D8 E8 ?? ?? ?? ?? 8B 10 FF 92 A8 00 00 00 8B C8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 75 2A 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 75 1E 8B 45 DC 8B 40 04 8B 40 38 8B 55 D8 E8 ?? ?? ?? ?? 05 98 00 00 00 8D 55 E0 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 DC 8B 58 04 8B 43 38 8B 55 D8 E8 ?? ?? ?? ?? 8B 10 FF 92 A8 00 00 00 8B C8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 75 16 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 75 0A 66 83 7D E0 0B 0F 94 C0 EB 02 33 C0 84 C0 74 24 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 DC 8B 40 04 8B 40 38 8B 55 D8 E8 ?? ?? ?? ?? C7 40 0C 01 00 00 00 8D 45 E0 50 8B 45 DC 8B 58 04 8B 43 38 8B 55 D8 E8 ?? ?? ?? ?? 8B 10 FF 92 A8 00 00 00 8B C8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 85 15 01 00 00 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 85 05 01 00 00 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 84 F5 00 00 00 8D 45 E0 BA 01 00 00 00 E8 ?? ?? ?? ?? 99 52 50 8B 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 D0 8B 10 FF 12 8B C8 8B D3 8B 45 D0 8B 18 FF 53 10 6A 00 6A 00 8B 45 D0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 E0 E8 ?? ?? ?? ?? 68 00 04 00 00 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 CC B2 01 E8 ?? ?? ?? ?? EB 1B 8B 45 DC 8B 40 04 8B 40 38 8B 55 D8 E8 ?? ?? ?? ?? 8B D0 8B 45 CC E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 84 C0 74 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 DC 8B 40 04 8B 40 38 8B 55 D8 E8 ?? ?? ?? ?? 8B 90 98 00 00 00 8D 45 C4 E8 ?? ?? ?? ?? 8B 45 C4 8D 55 F4 E8 ?? ?? ?? ?? 84 C0 74 20 8B 45 DC 8B 40 04 8B 40 38 8B 55 D8 E8 ?? ?? ?? ?? 05 98 00 00 00 8B 55 FC E8 ?? ?? ?? ?? EB 31 8B 45 DC 8B 40 04 8B 40 38 8B 55 D8 E8 ?? ?? ?? ?? 05 98 00 00 00 50 8B 45 DC 8B 40 04 8B 40 38 8B 55 D8 E8 ?? ?? ?? ?? 8B 50 40 58 E8 ?? ?? ?? ?? 8B 45 DC 8B 40 04 8B 40 38 8B 55 D8 E8 ?? ?? ?? ?? F6 80 9C 00 00 00 04 74 04 C6 45 D7 01 8B 45 DC 8B 40 04 8B 40 38 8B 55 D8 E8 ?? ?? ?? ?? 80 78 48 1D 75 4C 8B 45 DC 8B 40 04 8B 40 38 8B 55 D8 E8 ?? ?? ?? ?? 8B D8 8B 45 DC 8B 40 04 8B 40 38 8B 55 D8 E8 ?? ?? ?? ?? 8B 50 40 8D 45 C0 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 DC E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 0C FF 45 D8 FF 4D C8 0F 85 67 FC FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 DC 8B 40 20 8B 55 DC 8B 08 FF 51 70 80 7D D7 00 75 14 8B 45 DC 8B 48 04 8B 45 DC 8B 40 20 8B 55 DC 8B 18 FF 53 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 52 00 4F 00 56 00 46 00 4C 00 41 00 47 00 53 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 52 00 49 00 47 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 45 00 52 00 56 00 45 00 52 00 5F 00 43 00 41 00 4C 00 43 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 49 00 45 00 4C 00 44 00 50 00 52 00 4F 00 50 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_25915_0 {
	meta:
		name = "TUpdateTree.InitDelta"
		size = 47
		refs = "000a TDataSet.GetActive 001e TCustomClientDataSet.SetData"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 06 8B C3 8B 10 FF 12 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 53 04 8B C3 8B 08 FF 51 0C 5E 5B C3 }
	condition:
		$1
}

rule function_25918_0 {
	meta:
		name = "NeedsUpdate"
		size = 197
		refs = "0014 NeedsUpdate 0036 TFields.GetCount 004d TFields.GetField 0057 _Dn_TDataSetField 005c @IsClass 006a TField.GetNewValue 0072 VarIsNull 0081 TDataSetField.GetNestedDataSet 00b0 @VarClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 FC 8B 10 FF 92 88 01 00 00 85 C0 74 70 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 5E 46 33 FF 8B 45 FC 8B 40 38 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 84 C0 75 19 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 84 DB 75 04 47 4E 75 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25919_0 {
	meta:
		name = "TUpdateTree.RefreshData"
		size = 454
		refs = "001b TUpdateTree.RefreshData 006f TFields.GetCount 0091 TFields.GetField 00b5 TField.GetNewValue 00bd VarIsNull 00e5 _Dn_TDataSetField 00ea @IsClass 0113 @WStrFromUStr 011d TUpdateTree.GetTree 0180 TDataSet.GotoBookmark 0195 @VarClr 019d @WStrClr 01ae TArray<System.Byte> 01b3 @DynArrayClear 01b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 88 55 FB 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 F6 45 FB 01 74 2B 8B 43 04 8B 10 FF 92 88 01 00 00 85 C0 7E 1C C6 45 F3 01 6A 00 6A 01 8B 43 20 8B 40 38 8B 4B 04 8B 53 10 8B 30 FF 96 B4 00 00 00 8D 55 FC 8B 43 10 8B 08 FF 91 78 02 00 00 8B 43 04 8B 40 38 E8 ?? ?? ?? ?? 48 85 C0 0F 8C FD 00 00 00 40 89 45 EC C7 45 F4 00 00 00 00 8B 43 04 8B 40 38 8B 55 F4 E8 ?? ?? ?? ?? 8B F0 80 7D F3 00 75 44 F6 45 FB 02 74 3E 8B 06 FF 90 28 01 00 00 84 C0 74 32 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 84 C0 74 1C C6 45 F3 01 6A 01 6A 00 8B 43 20 8B 40 38 8B 4B 04 8B 53 10 8B 38 FF 97 B4 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7B 80 7D F3 00 75 14 8B 43 20 8B 40 38 8B 4B 04 8B 53 10 8B 38 FF 97 B0 00 00 00 8D 45 D8 8B 56 40 E8 ?? ?? ?? ?? 8B 55 D8 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 46 8D 55 C8 8B C6 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 84 C0 75 1C 8B 47 04 8B 10 FF 92 88 01 00 00 85 C0 7E 21 0F B6 55 FB 8B C7 8B 08 FF 51 18 EB 14 8B 4F 04 8B 57 10 8B 43 20 8B 40 38 8B 30 FF 96 B8 00 00 00 FF 45 F4 FF 4D EC 0F 85 0E FF FF FF 8B 55 FC 8B 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25920_0 {
	meta:
		name = "TUpdateTree.DoUpdates"
		size = 231
		refs = "000c TDataSet.First 001b TPacketDataSet.InitAltRecBuffers 004f TUpdateTree.GetDetailCount 0062 TUpdateTree.GetDetail 00cc TDataSet.Next"
	strings:
		$1 = { 53 56 57 55 8B F0 B3 01 8B 46 04 E8 ?? ?? ?? ?? E9 BB 00 00 00 33 D2 8B 46 04 E8 ?? ?? ?? ?? 8B D6 8B 46 20 8B 08 FF 51 74 8B 46 04 8B 10 FF 92 BC 02 00 00 3C 02 75 14 8B D6 8B 46 20 8B 08 FF 51 78 8B D8 84 DB 0F 84 94 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 1B 47 33 ED 8B D5 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 04 8B D8 84 DB 74 6F 45 4F 75 E8 8B 46 04 8B 10 FF 92 BC 02 00 00 84 C0 75 0A B2 01 8B 46 04 E8 ?? ?? ?? ?? 8B 46 04 8B 10 FF 92 BC 02 00 00 3C 01 75 0C 8B D6 8B 46 20 8B 08 FF 51 78 8B D8 8B 46 04 8B 10 FF 92 BC 02 00 00 3C 03 75 0C 8B D6 8B 46 20 8B 08 FF 51 78 8B D8 84 DB 74 18 8B 46 04 E8 ?? ?? ?? ?? 8B 46 04 80 B8 A9 00 00 00 00 0F 84 35 FF FF FF 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25921_0 {
	meta:
		name = "TUpdateTree.GetErrorDS"
		size = 155
		refs = "001a _DV_TPacketDataSet 001f TPacketDataSet.Create 002d TDataSet.SetObjectView 0038 TPacketDataSet.CreateFromDelta 0041 TUpdateTree.GetErrorDS 0052 TDataSet.FieldByName 005c _Dn_TDataSetField 0061 @AsClass 0066 TDataSetField.GetNestedDataSet 007e TCustomClientDataSet.SetLogChanges"
	strings:
		$1 = { 53 56 8B D8 83 7B 08 00 0F 85 87 00 00 00 8B 73 14 85 F6 75 29 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 08 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? EB 3A 8B C6 E8 ?? ?? ?? ?? 8B 53 04 8B 92 8C 00 00 00 8B 52 40 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 33 D2 8B 43 08 E8 ?? ?? ?? ?? 6A 01 6A 06 8B 43 08 8B 80 AC 01 00 00 50 8B 00 FF 50 50 8B 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_25922_0 {
	meta:
		name = "TGIFFrame.GetHasBitmap"
		size = 8
		altNames = "TLegendItem.HasFont TUpdateTree.GetHasErrors"
	strings:
		$1 = { 83 78 08 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_25923_0 {
	meta:
		name = "TUpdateTree.InitErrorPacket"
		size = 480
		refs = "002f TUpdateTree.InitErrorPacket 003c TUpdateTree.GetErrorDS 0056 TDataSet.UpdateCursorPos 0081 @VarFromInt 009e TDataSet.Append 00a7 TDataSet.Edit 00c9 TDataSet.SetFields 0195 @VarClr 01a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 DB 89 5D 9C 89 5D A0 89 5D A4 89 5D A8 89 5D E4 89 5D E8 89 5D EC 89 5D F0 88 4D FB 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 46 14 85 C0 74 09 33 C9 33 D2 8B 18 FF 53 14 8B 46 04 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 46 04 8B 80 B0 01 00 00 50 8B 00 FF 90 D8 00 00 00 0F B6 05 ?? ?? ?? ?? 50 8D 45 E4 8B 55 F4 B1 FC E8 ?? ?? ?? ?? 8D 4D E4 BA ?? ?? ?? ?? 8B C7 8B 18 FF 93 A4 02 00 00 84 C0 75 09 8B C7 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 75 73 80 7D FB 00 75 25 8B 45 F4 89 45 DC C6 45 E0 00 8D 55 DC 33 C9 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 B0 02 00 00 E9 A8 00 00 00 8B 45 F4 89 45 AC C6 45 B0 00 33 C0 89 45 B4 C6 45 B8 00 33 C0 89 45 BC C6 45 C0 11 33 C0 89 45 C4 C6 45 C8 11 33 C0 89 45 CC C6 45 D0 00 33 C0 89 45 D4 C6 45 D8 00 8D 55 AC B9 05 00 00 00 8B C7 E8 ?? ?? ?? ?? EB 60 8B 45 F4 89 45 AC C6 45 B0 00 0F B6 45 FB 40 89 45 B4 C6 45 B8 00 8B 45 FC 8B 40 04 89 45 BC C6 45 C0 11 33 C0 89 45 C4 C6 45 C8 11 C7 45 CC 01 00 00 00 C6 45 D0 00 8D 45 9C 8B 55 FC 8B 52 18 B1 04 E8 ?? ?? ?? ?? 8D 45 9C 89 45 D4 C6 45 D8 0D 8D 55 AC B9 05 00 00 00 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 45 00 52 00 52 00 4F 00 52 00 5F 00 52 00 45 00 43 00 4F 00 52 00 44 00 4E 00 4F 00 00 00 00 00 }
	condition:
		$1
}

rule function_25924_0 {
	meta:
		name = "TCustomResolver.Create"
		size = 65
		refs = "000a @ClassCreate 001b _DV_TUpdateTree 0020 TUpdateTree.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 38 56 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_25928_0 {
	meta:
		name = "TCustomResolver.InitKeyFields"
		size = 356
		refs = "001e TCustomResolver.InitKeyFields 003b @IntfCast 0060 ExtractFieldName 006e TFields.GetCount 008e @UStrLAsg 0098 TFields.GetField 00cd CompareText 0111 @UStrLen 012f @IntfClear 013c @UStrArrayClr 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 DC 8B 53 10 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8D 55 FC 8B 08 FF 51 28 C7 45 EC 01 00 00 00 E9 B7 00 00 00 8D 4D F8 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 89 75 E4 8B 45 E4 8B 40 38 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 48 85 C0 0F 8C 8C 00 00 00 40 89 45 E8 33 FF 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8B D7 8B 46 38 E8 ?? ?? ?? ?? 8B 90 98 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B3 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 DB EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 29 8B D7 8B 46 38 E8 ?? ?? ?? ?? 0F B6 98 9C 00 00 00 0A 1D ?? ?? ?? ?? 8B D7 8B 46 38 E8 ?? ?? ?? ?? 88 98 9C 00 00 00 EB 0A 47 FF 4D E8 0F 85 7A FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 3B 45 EC 0F 8D 38 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 84 F6 F8 7A 60 06 B5 47 A1 B3 E1 68 D2 AC B9 08 04 00 00 00 }
	condition:
		$1
}

rule function_25932_0 {
	meta:
		name = "TCustomResolver.InternalUpdateRecord"
		size = 796
		refs = "001b TCustomResolver.InternalUpdateRecord 0051 TPacketDataSet.UpdateKind 007b TPacketDataSet.HasMergeConflicts 0087 SInvalidResponse 008c LoadResString 0096 DatabaseError 0113 @HandleFinally 0147 SNoEditsAllowed 014e _Dn_Exception 0153 Exception.CreateRes 0158 @RaiseExcept 017a SNoDeletesAllowed 01ad SNoInsertsAllowed 022b @HandleAnyException 0230 AcquireExceptionObject 023a TObject.Free 025a @IntfCast 029c @DoneExcept 02ed @IntfClear 02f5 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 33 C0 89 45 E8 8B 45 F8 8B 40 04 C6 80 1C 03 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 88 45 F2 80 7D F2 01 75 0D 8B 45 FC 0F B6 40 3C 04 FE 2C 02 72 18 8B 45 FC 80 78 3C 02 75 26 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 33 D2 E8 ?? ?? ?? ?? C6 45 F3 00 8B 45 F8 8B 40 04 8B 10 FF 92 8C 01 00 00 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 F2 50 8D 45 F3 50 8B 45 F8 8B 48 04 8B 45 F8 8B 50 10 8B 45 FC 8B 40 38 8B 18 FF 93 A8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 04 8B 10 FF 92 8C 01 00 00 3B 45 F4 74 11 8B 45 F8 8B 40 04 8B 55 F4 8B 08 FF 91 DC 01 00 00 C3 E9 ?? ?? ?? ?? EB D4 80 7D F3 00 0F 85 AA 00 00 00 0F B6 45 F2 2C 01 72 0B 74 6F FE C8 74 38 E9 97 00 00 00 8B 45 FC 8B 40 38 F6 80 F9 00 00 00 01 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 54 EB 64 8B 45 FC 8B 40 38 F6 80 F9 00 00 00 02 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 58 EB 31 8B 45 FC 8B 40 38 F6 80 F8 00 00 00 80 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 5C 0F B6 45 F2 50 8B 45 F8 8B 48 04 8B 45 F8 8B 50 10 8B 45 FC 8B 40 38 8B 18 FF 93 AC 00 00 00 8B 45 FC 8B 40 38 F6 80 F9 00 00 00 10 74 1A 8B 45 F8 8B 40 04 80 B8 1E 03 00 00 00 74 0B 8B 55 F8 8B 45 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 E9 94 00 00 00 33 C0 5A 59 59 64 89 10 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC 8D 45 E0 8B 55 F8 8B 52 10 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8B 4D EC 8B D3 8B 18 FF 53 3C 89 45 E8 8B 45 FC 83 C0 44 50 8B 45 FC 83 C0 40 50 8B 4D E8 8B 55 F8 8B 45 FC 8B 18 FF 53 40 84 C0 74 17 8B 45 F8 8B 40 04 C6 80 1C 03 00 00 01 E8 ?? ?? ?? ?? E9 97 FD FF FF E8 ?? ?? ?? ?? EB 0A E8 ?? ?? ?? ?? E9 86 FD FF FF 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 FC C6 40 3C 00 8B 45 FC 8B 40 40 8B 55 FC 3B 42 44 0F 9E C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 00 00 84 F6 F8 7A 60 06 B5 47 A1 B3 E1 68 D2 AC B9 08 }
	condition:
		$1
}

rule function_25933_0 {
	meta:
		name = "TCustomResolver.RowRequest"
		size = 224
		refs = "001b @VarAddRef 0023 TCustomResolver.RowRequest 007b TCustomClientDataSet.GetData 0098 @HandleFinally 00cc @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 88 4D EB 89 45 EC 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 10 FF 52 4C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 EC 8B 40 48 8B 08 FF 51 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 48 0F B6 55 EB 8B 08 FF 51 18 8B 55 08 8B 45 EC 8B 40 48 8B 40 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 40 48 8B 10 FF 12 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 50 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_25934_0 {
	meta:
		name = "TCustomResolver.ApplyUpdates"
		size = 456
		refs = "0029 TCustomResolver.ApplyUpdates 00ba TUpdateTree.GetHasErrors 00cf TUpdateTree.GetErrorDS 00fa TCustomClientDataSet.GetData 0129 TCustomClientDataSet.Check 0133 DataPacketToVariant 013d Null 0147 @OleVarFromVar 017f @HandleFinally 01b3 @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D EC 8B F1 89 55 F8 89 45 FC 8B 5D 08 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 4C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F8 8B 45 FC 8B 40 48 8B 08 FF 51 10 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 48 8B 50 04 8B 45 FC 8B 40 38 8B 08 FF 91 A4 00 00 00 8B 45 FC C6 40 3C 00 8B 55 FC 8B C6 89 42 44 40 75 0A 8B 45 FC C7 40 44 FF FF FF 7F 8B 45 FC 33 D2 89 50 40 8B 45 FC 8B 40 48 8B 10 FF 52 04 8B 45 FC 8B 40 40 89 07 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? 84 C0 74 77 8D 45 F4 50 6A 13 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? 8B 80 AC 01 00 00 50 8B 00 FF 50 4C 0F B7 C0 85 C0 75 06 83 7D F4 00 75 14 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? EB 4B 8D 45 F0 50 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? 8B 80 AC 01 00 00 50 8B 00 FF 50 30 50 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D3 8B 45 F0 E8 ?? ?? ?? ?? EB 12 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 56 53 8B 0F 8B 45 FC 8B 40 48 8B 50 04 8B 45 FC 8B 40 38 8B 18 FF 93 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 48 8B 10 FF 12 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 50 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_25935_0 {
	meta:
		name = "TCustomResolver.HandleUpdateError"
		size = 253
		refs = "0019 TPacketDataSet.UpdateKind 003a TCustomResolver.HandleUpdateError 005a @HandleAnyException 005f @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 88 45 F2 8B 45 08 8B 00 8B 55 0C 3B 02 7D 06 C6 45 F3 00 EB 04 C6 45 F3 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 66 83 B8 DA 00 00 00 00 74 23 8B 55 F4 52 0F B6 55 F2 52 8D 55 F3 52 8B D8 8B 55 F8 8B 4A 04 8B D0 8B 83 DC 00 00 00 FF 93 D8 00 00 00 0F B6 45 F3 2C 02 73 41 8B 45 08 FF 00 8B 45 08 8B 00 8B 55 0C 3B 02 7E 04 C6 45 F3 01 80 7D F3 01 75 0B 8B 45 08 8B 00 48 8B 55 0C 89 02 0F B6 45 F3 2C 02 73 13 0F B6 45 F3 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 18 FF 53 48 0F B6 45 F3 8B 55 FC 88 42 3C 0F B6 45 F3 04 FE 2C 02 0F 92 C0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_25936_0 {
	meta:
		name = "TCustomResolver.LogUpdateRecord"
		size = 241
		refs = "0012 TCustomResolver.LogUpdateRecord 002e TFields.GetCount 0049 TFields.GetField 0081 TField.GetNewValue 0089 VarIsClear 00a5 TUpdateTree.GetErrorDS 00ab TDataSet.FieldByName 00de @VarClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 03 33 D2 8B C6 8B 18 FF 53 14 8B 46 04 8B 40 38 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 81 00 00 00 47 33 DB 8B 46 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 00 FF 90 28 01 00 00 84 C0 75 61 8B 46 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 0F B6 40 48 04 F4 2C 02 72 4A 8B 46 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 29 8B 46 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 40 40 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 91 00 01 00 00 43 4F 75 82 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 B0 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25937_0 {
	meta:
		name = "TCustomResolver.LogUpdateError"
		size = 265
		refs = "0016 TCustomResolver.LogUpdateError 0031 TPacketDataSet.HasCurValues 0044 TFields.GetCount 005f TFields.GetField 0097 TField.GetCurValue 009f VarIsClear 00bb TUpdateTree.GetErrorDS 00c1 TDataSet.FieldByName 00f4 @VarClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 4D 08 8B D3 8B C6 8B 18 FF 53 14 8B 46 04 E8 ?? ?? ?? ?? 84 C0 0F 84 97 00 00 00 8B 46 04 8B 40 38 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 81 00 00 00 47 33 DB 8B 46 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 00 FF 90 28 01 00 00 84 C0 75 61 8B 46 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 0F B6 40 48 04 F4 2C 02 72 4A 8B 46 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 29 8B 46 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 40 40 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 91 00 01 00 00 43 4F 75 82 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 B0 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_25938_0 {
	meta:
		name = "TDataSetResolver.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TCustomResolver.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 50 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_25940_0 {
	meta:
		name = "TDataSetResolver.BeginUpdate"
		size = 168
		refs = "000d TDataSetResolver.BeginUpdate 001a TDataSetResolver.GetProvider 0025 TDataSet.GetActive 0043 TDataSet.Open 004c TArray<System.Byte> 0051 @DynArrayClear 007c @DynArrayAsg 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 80 00 01 00 00 E8 ?? ?? ?? ?? 8B D8 80 F3 01 88 5E 50 84 DB 74 22 8B C6 E8 ?? ?? ?? ?? 8B 80 00 01 00 00 E8 ?? ?? ?? ?? 8D 46 4C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 29 8B C6 E8 ?? ?? ?? ?? 8B 80 00 01 00 00 8D 55 FC 8B 08 FF 91 78 02 00 00 8B 55 FC 8D 46 4C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25941_0 {
	meta:
		name = "TDataSetResolver.EndUpdate"
		size = 96
		refs = "000c TDataSetResolver.GetProvider 0017 TDataSet.Close 0025 @DynArrayLength 005a TDataSet.GotoBookmark"
	strings:
		$1 = { 53 8B D8 80 7B 50 00 74 18 8B C3 E8 ?? ?? ?? ?? 8B 80 00 01 00 00 E8 ?? ?? ?? ?? C6 43 50 00 5B C3 8B 43 4C E8 ?? ?? ?? ?? 85 C0 7E 31 8B C3 E8 ?? ?? ?? ?? 8B 80 00 01 00 00 8B 53 4C 8B 08 FF 91 64 02 00 00 84 C0 74 15 8B C3 E8 ?? ?? ?? ?? 8B 80 00 01 00 00 8B 53 4C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_25942_0 {
	meta:
		name = "TDataSetResolver.InitializeConflictBuffer"
		size = 47
		refs = "000b TDataSetResolver.GetProvider 0028 TPacketDataSet.AssignCurValues"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 02 8B C6 E8 ?? ?? ?? ?? 8B 4B 04 8B 53 10 8B 30 FF 96 C8 00 00 00 84 C0 74 0B 8B 53 10 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25943_0 {
	meta:
		name = "TDataSetResolver.InternalBeforeResolve"
		size = 45
		refs = "0009 TDataSetResolver.GetProvider"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 80 BC 00 00 00 50 8B C3 E8 ?? ?? ?? ?? 8B 4E 04 8B 56 10 8B 18 FF 93 C8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_25944_0 {
	meta:
		name = "PutObjectField"
		size = 254
		refs = "001c PutObjectField 002c TField.GetNewValue 0034 VarIsNull 004f TObjectField.GetFieldCount 006a TFields.GetField 007a VarIsClear 00c6 PutField 00e1 Variant 00eb @FinalizeArray 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 FC 8B 10 FF 92 24 01 00 00 E9 83 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 75 47 33 DB 8B C6 8B 10 FF 92 34 01 00 00 8B D3 E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 84 C0 75 49 8B C6 8B 10 FF 92 34 01 00 00 8B D3 E8 ?? ?? ?? ?? F6 80 9C 00 00 00 01 74 2F 8B 45 08 50 8B 45 FC 8B 10 FF 92 34 01 00 00 8B D3 E8 ?? ?? ?? ?? 50 8B C6 8B 10 FF 92 34 01 00 00 8B D3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 59 43 4F 75 8E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25945_0 {
	meta:
		name = "PutField"
		size = 165
		refs = "0013 PutField 0034 PutObjectField 0043 SNoDataSets 004a _Dn_Exception 004f Exception.CreateRes 0054 @RaiseExcept 0060 TField.GetNewValue 0068 VarIsClear 0093 @VarClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 43 48 8B D0 80 C2 E6 80 EA 02 73 10 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 59 EB 47 04 E4 2C 02 73 19 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 12 F6 83 9C 00 00 00 01 74 09 8B D3 8B C6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25946_0 {
	meta:
		name = "TDataSetResolver.PutRecord"
		size = 194
		refs = "000e TDataSetResolver.PutRecord 0022 TFields.GetCount 003c TFields.GetField 004a TDataSet.FindField 007e PutField 00a0 @HandleAnyException 00b3 @RaiseAgain 00b8 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 04 8B 40 38 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 5A 47 33 DB 8B 45 FC 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 50 40 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 8B F0 85 F6 74 2F 8B 45 FC 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 80 78 48 1D 74 19 55 8B 45 FC 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 59 43 4F 75 A9 8B 45 FC 8B 40 10 8B 10 FF 92 B0 02 00 00 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 10 FF 92 68 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25947_0 {
	meta:
		name = "TDataSetResolver.DoUpdate"
		size = 141
		refs = "0010 TDataSetResolver.DoUpdate 001d TDataSetResolver.GetProvider 0046 SRecordChanged 004b LoadResString 0055 DatabaseError 005d TDataSet.Edit 0066 TDataSetResolver.PutRecord 007b @UStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 0F B6 80 BC 00 00 00 50 8B C3 E8 ?? ?? ?? ?? 8B 4E 04 8B 56 10 8B 38 FF 97 C8 00 00 00 84 C0 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25948_0 {
	meta:
		name = "TDataSetResolver.DoDelete"
		size = 132
		refs = "000f TDataSetResolver.DoDelete 001c TDataSetResolver.GetProvider 0045 TDataSet.Delete 004f SRecordChanged 0054 LoadResString 005e DatabaseError 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 0F B6 80 BC 00 00 00 50 8B C3 E8 ?? ?? ?? ?? 8B 4E 04 8B 56 10 8B 18 FF 93 C8 00 00 00 84 C0 74 0A 8B 46 10 E8 ?? ?? ?? ?? EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25949_0 {
	meta:
		name = "TDataSetResolver.DoInsert"
		size = 26
		refs = "000a TDataSet.Append 0013 TDataSetResolver.PutRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 10 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25950_0 {
	meta:
		name = "TSQLResolver.Create"
		size = 85
		refs = "000a @ClassCreate 0017 TCustomResolver.Create 001e _Dn_TWideStringList 0023 TWideStringList.Create 002f _Dn_TParams 0034 TParams.Create 0042 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_25951_0 {
	meta:
		name = "TSQLResolver.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TCustomResolver.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 4C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25953_0 {
	meta:
		name = "GetQuotedTableName"
		size = 424
		refs = "0019 GetQuotedTableName 0027 @UStrClr 0049 InOpSet 006a @UStrAsg 0090 Pos 009c @UStrToPWChar 00ac @UStrFromPWChar 00d6 @UStrInsert 0138 @UStrCatN 0169 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B C7 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 0F 8E 12 01 00 00 BA ?? ?? ?? ?? 0F B7 07 E8 ?? ?? ?? ?? 84 C0 75 13 BA ?? ?? ?? ?? 0F B7 44 77 FE E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 8B D7 E8 ?? ?? ?? ?? E9 DF 00 00 00 84 DB 0F 84 C3 00 00 00 8B 45 08 8B D7 E8 ?? ?? ?? ?? 8B 55 08 8B 12 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 00 E8 ?? ?? ?? ?? 8B D0 8B C3 03 C0 03 D0 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 02 03 F3 85 DB 74 3C 85 F6 74 38 8B 55 08 8B CE 8B 45 FC E8 ?? ?? ?? ?? 8D 4E 02 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 8D 4B 01 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 8B CB 8B 45 FC E8 ?? ?? ?? ?? EB 1F 85 DB 74 1B 8D 4B 01 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 8B CB 8B 45 FC E8 ?? ?? ?? ?? FF 75 FC 8B 45 08 FF 30 FF 75 FC 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 14 FF 75 FC 57 FF 75 FC 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 00 00 00 00 84 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_25954_0 {
	meta:
		name = "TSQLResolver.InitTreeData"
		size = 684
		refs = "001a TSQLResolver.InitTreeData 002d TSQLInfo 0032 @Dispose 0042 @New 0062 @IntfCast 00b2 @UStrAsg 00bf @UStrClr 00cf TCustomClientDataSet.GetOptionalParam 00da VarToStr 00e5 @WStrFromUStr 00ef @WStrEqual 0151 @UStrFromWStr 0165 GetQuotedTableName 019e @UStrCat3 01b0 TFields.GetCount 01c7 TFields.GetField 01cd _Dn_TObjectField 01d2 @IsClass 0213 @UStrArrayClr 021b @IntfClear 022b @VarClr 0253 @WStrClr 0259 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 1C 85 C0 74 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 14 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 89 43 1C 8D 45 F4 8B 53 10 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 44 8B 55 F8 88 02 8B C6 8B 10 FF 92 80 00 00 00 F6 80 F9 00 00 00 80 74 32 8D 45 EC 8B 53 10 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 8B 08 FF 51 30 8B 55 F0 8B 45 F8 83 C0 04 E8 ?? ?? ?? ?? EB 0B 8B 45 F8 83 C0 04 E8 ?? ?? ?? ?? 8D 4D D8 BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8D 45 D8 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 75 2D 8D 45 D0 8B 53 10 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 8D 55 D4 8B 08 FF 51 34 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 80 00 00 00 8D 4D FC 8B 53 10 8B 30 FF 96 BC 00 00 00 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 74 31 8D 45 CC 50 8D 45 C8 8B 55 FC E8 ?? ?? ?? ?? 8B 4D C8 8B 45 F8 8B 50 04 8B 45 F8 0F B6 00 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F8 83 C0 08 E8 ?? ?? ?? ?? 8B 45 F8 80 38 00 74 0D 8B 45 F8 83 C0 0C E8 ?? ?? ?? ?? EB 16 8B 45 F8 8B 50 08 8B 45 F8 83 C0 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 C6 40 11 00 8B 43 04 8B 40 38 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 42 47 33 F6 8B 43 04 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B 43 04 8B 40 38 8B D6 E8 ?? ?? ?? ?? 83 B8 F8 00 00 00 00 74 09 8B 45 F8 C6 40 11 01 EB 04 46 4F 75 C1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AB 5F 5E 5B 8B E5 5D C3 00 00 84 F6 F8 7A 60 06 B5 47 A1 B3 E1 68 D2 AC B9 08 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_25955_0 {
	meta:
		name = "TSQLResolver.FreeTreeData"
		size = 24
		refs = "0005 TSQLInfo 000d @Dispose"
	strings:
		$1 = { 53 8B DA 8B 15 ?? ?? ?? ?? 8B 43 1C E8 ?? ?? ?? ?? 33 C0 89 43 1C 5B C3 }
	condition:
		$1
}

rule function_25956_0 {
	meta:
		name = "TSQLResolver.DoExecSQL"
		size = 344
		refs = "001c TSQLResolver.DoExecSQL 0039 @UStrFromWStr 0061 @IntfCast 00cd STooManyRecordsModified 00d2 LoadResString 00dc DatabaseError 00e7 SRecordChanged 0110 @UStrArrayClr 0119 IProviderSupport 0123 @FinalizeArray 012b @WStrClr 0133 @UStrClr 0139 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 F8 8B C6 8B 08 FF 51 1C 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 8B 10 FF 92 80 00 00 00 8B 90 00 01 00 00 85 D2 74 03 83 EA CC 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B CF 5A 8B 30 FF 56 14 8B F0 8B C3 8B 10 FF 92 80 00 00 00 F6 80 F8 00 00 00 40 75 5B 83 FE 01 7E 56 8B C3 8B 10 FF 92 80 00 00 00 8B 90 00 01 00 00 85 D2 74 03 83 EA CC 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 D2 8B 08 FF 51 0C 8B C3 8B 10 FF 92 80 00 00 00 C6 80 25 01 00 00 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 4E 7D 17 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C3 00 00 84 F6 F8 7A 60 06 B5 47 A1 B3 E1 68 D2 AC B9 08 }
	condition:
		$1
}

rule function_25957_0 {
	meta:
		name = "TSQLResolver.DoGetValues"
		size = 248
		refs = "0018 TSQLResolver.DoGetValues 003c @UStrFromWStr 0064 @IntfCast 008e TPacketDataSet.AssignCurValues 00a3 TObject.Free 00a9 @HandleFinally 00c0 @IntfClear 00c8 @WStrClr 00d0 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8D 45 FC 50 8D 55 F4 8B C6 8B 08 FF 51 1C 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8B C3 8B 10 FF 92 80 00 00 00 8B 90 00 01 00 00 85 D2 74 03 83 EA CC 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B CF 5A 8B 18 FF 53 14 83 7D FC 00 74 36 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 84 F6 F8 7A 60 06 B5 47 A1 B3 E1 68 D2 AC B9 08 }
	condition:
		$1
}

rule function_25958_0 {
	meta:
		name = "GenConflictSelectSQL"
		size = 648
		refs = "002d GenConflictSelectSQL 005b TFields.GetCount 008f TFields.GetField 00f1 Format 00fc @WStrFromUStr 013e @UStrFromWStr 015e @UStrCopy 01dc @UStrClr 01e4 @WStrClr 01f9 @WStrArrayClr 0217 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 33 C9 89 4D BC 89 4D B8 89 4D C4 89 4D C0 89 4D C8 89 4D E8 89 4D E4 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8B 45 F8 8B 40 1C 89 45 EC BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 38 8B 45 F8 8B 40 04 8B 40 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C AD 00 00 00 46 33 DB 8B 45 08 8B 40 FC 8B 10 FF 92 80 00 00 00 0F B6 80 BC 00 00 00 50 8B 45 F8 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 59 8B 38 FF 97 9C 00 00 00 84 C0 74 67 8D 45 E4 50 8B 45 EC 8B 40 0C 89 45 CC C6 45 D0 11 8B 45 EC 8B 40 04 89 45 D4 C6 45 D8 11 8B 45 F8 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 80 98 00 00 00 89 45 DC C6 45 E0 11 8D 55 CC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 8B 08 FF 51 38 C6 45 F3 01 43 4E 0F 85 56 FF FF FF 80 7D F3 00 0F 84 AA 00 00 00 8B 45 F4 8B 10 FF 52 14 8B D0 4A 8D 4D C8 8B 45 F4 8B 18 FF 53 0C 8B 55 C8 8D 45 FC E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 C0 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C0 8D 45 C4 E8 ?? ?? ?? ?? 8B 45 C4 50 8B 45 F4 8B 10 FF 52 14 8B D0 4A 8B 45 F4 59 8B 18 FF 53 20 8D 45 B8 50 8B 45 EC 8B 40 08 89 45 A8 C6 45 AC 11 8B 45 08 8B 40 F8 89 45 B0 C6 45 B4 11 8D 55 A8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8D 45 BC E8 ?? ?? ?? ?? 8B 55 BC 8B 45 F4 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 0F B6 45 F3 5F 5E 5B 8B E5 5D C3 0C 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 25 00 73 00 25 00 73 00 25 00 73 00 25 00 31 00 3A 00 73 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 66 00 72 00 6F 00 6D 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_25959_0 {
	meta:
		name = "TSQLResolver.InitializeConflictBuffer"
		size = 216
		refs = "0016 TSQLResolver.InitializeConflictBuffer 0032 @UStrLAsg 003c @UStrClr 0052 TCollection.Clear 0060 GenConflictSelectSQL 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 1C 80 78 11 00 74 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 8B 10 FF 52 48 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 55 8B 45 FC 8B 50 4C 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 3B 8B 45 FC 8B 40 50 50 6A 02 8B 45 F8 50 8B 45 FC 8B 48 4C 8B D3 8B 45 FC 8B 30 FF 96 84 00 00 00 8B 43 04 50 8B 45 FC 8B 48 50 8B 45 FC 8B 50 4C 8B 45 FC 8B 18 FF 93 A8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 }
	condition:
		$1
}

rule function_25960_0 {
	meta:
		name = "TSQLResolver.InternalDoUpdate"
		size = 392
		refs = "001b TSQLResolver.InternalDoUpdate 0038 @IntfCast 005f TUpdateTree.GetIsNested 006b SNoTableName 0070 LoadResString 007a DatabaseError 0090 @UStrLAsg 009a @UStrClr 00aa TCollection.Clear 0114 @WStrEqual 013b @WStrClr 014b @IntfClear 0159 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 56 10 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 0F B6 55 FB 8B 4E 04 8B 38 FF 57 5C 84 C0 0F 85 D7 00 00 00 8B 46 1C 83 78 08 00 75 22 8B C6 E8 ?? ?? ?? ?? 84 C0 75 17 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 8B 46 1C 80 78 11 00 74 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B 43 4C 8B 10 FF 52 48 8B 43 50 E8 ?? ?? ?? ?? 0F B6 45 FB 2C 01 72 08 74 1F FE C8 74 30 EB 45 8B 43 50 50 8B 45 FC 50 8B 4B 4C 8B D6 8B C3 8B 30 FF 96 90 00 00 00 EB 2C 8B 43 50 50 8B 4B 4C 8B D6 8B C3 8B 30 FF 96 88 00 00 00 EB 17 8B 43 50 50 8B 45 FC 50 8B 4B 4C 8B D6 8B C3 8B 30 FF 96 8C 00 00 00 8D 55 EC 8B 43 4C 8B 08 FF 51 1C 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 74 10 8B 4B 50 8B 53 4C 8B C3 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 00 84 F6 F8 7A 60 06 B5 47 A1 B3 E1 68 D2 AC B9 08 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 }
	condition:
		$1
}

rule function_25961_0 {
	meta:
		name = "TSQLResolver.DoUpdate"
		size = 13
	strings:
		$1 = { 53 33 C9 8B 18 FF 93 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_25962_0 {
	meta:
		name = "TSQLResolver.DoDelete"
		size = 13
	strings:
		$1 = { 53 B1 02 8B 18 FF 93 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_25963_0 {
	meta:
		name = "TSQLResolver.DoInsert"
		size = 13
	strings:
		$1 = { 53 B1 01 8B 18 FF 93 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_25964_0 {
	meta:
		name = "QuoteFullName"
		size = 300
		refs = "0018 QuoteFullName 003b InOpSet 0051 @WStrToPWChar 0077 Format 0081 @WStrFromUStr 00b1 @WStrInsert 00d6 @UStrClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 85 C0 74 07 83 E8 04 8B 00 D1 E8 48 7E 0F BA ?? ?? ?? ?? 0F B7 03 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 07 8D 43 02 8B D8 EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 50 89 7D EC C6 45 F0 0F 89 5D F4 C6 45 F8 0A 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 06 89 45 E8 8B 45 E8 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 83 FB 01 7C 26 8B 06 66 83 7C 58 FE 2E 75 17 8D 4B 01 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D6 8B CB 8B C7 E8 ?? ?? ?? ?? 4B 85 DB 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 25 00 73 00 25 00 30 00 3A 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_25965_0 {
	meta:
		name = "TSQLResolver.UseFieldInUpdate"
		size = 150
		refs = "0010 TSQLResolver.UseFieldInUpdate 0054 TField.GetNewValue 005c VarIsClear 0083 @VarClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 83 9C 00 00 00 01 74 47 0F B6 43 48 84 C0 74 3F 2C 0E 74 3B 2C 08 74 37 04 FC 2C 04 72 31 80 7B 49 00 75 2B 80 7B 4A 00 75 25 F6 83 9C 00 00 00 08 75 1C 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 06 83 7B 0C 01 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25966_0 {
	meta:
		name = "TSQLResolver.UseFieldInWhere"
		size = 209
		refs = "0018 TSQLResolver.UseFieldInWhere 0081 TField.GetNewValue 0089 VarIsClear 00bd @VarClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 88 4D FF 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 46 48 84 C0 74 22 2C 16 74 1E 04 FC 2C 04 72 18 8B 06 FF 90 28 01 00 00 84 C0 75 0C 80 7E 4A 00 75 06 83 7E 0C 01 75 04 33 DB EB 02 B3 01 84 DB 74 56 0F B6 45 FF 2C 01 72 08 74 12 FE C8 74 3E EB 46 F6 86 9C 00 00 00 02 0F 95 C3 EB 3A F6 86 9C 00 00 00 02 74 16 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 84 C0 74 0D F6 86 9C 00 00 00 04 75 04 33 DB EB 0E B3 01 EB 0A F6 86 9C 00 00 00 04 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_25967_0 {
	meta:
		name = "AddField"
		size = 1148
		refs = "001c AddField 003e TObjectField.GetFieldCount 0061 TFields.GetField 00c6 TField.GetOldValue 00ce VarIsNull 00ed TField.GetFullName 00f8 @WStrFromUStr 0113 QuoteFullName 012f Format 01aa TCollection.Add 01b2 TParam.AssignFieldValue 01f7 @VarToUStr 0320 @WStrClr 032b @VarClr 033b @UStrClr 0344 Variant 034e @FinalizeArray 036b @WStrArrayClr 0396 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 15 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 88 55 FB 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FA 00 8B 45 08 8B 40 FC 8B 40 1C 8B F0 80 7B 48 1A 75 43 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C BF 02 00 00 46 33 FF 8B 45 08 50 8B C3 8B 10 FF 92 34 01 00 00 8B D7 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 59 84 C0 74 04 C6 45 FA 01 47 4E 75 D7 E9 8E 02 00 00 8B 45 08 0F B6 48 0C 8B 45 08 8B 40 F8 8B D3 8B 38 FF 97 9C 00 00 00 84 C0 0F 84 6F 02 00 00 8B C3 8B 10 FF 92 9C 00 00 00 3D 00 20 00 00 0F 8D 5A 02 00 00 C6 45 FA 01 80 7D FB 00 0F 84 FB 00 00 00 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 62 8D 45 FC 50 8B 45 08 8B 40 08 89 45 D8 C6 45 DC 11 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 55 CC 8D 45 D0 E8 ?? ?? ?? ?? 8B 45 D0 50 8D 45 C8 8B 56 04 E8 ?? ?? ?? ?? 8B 55 C8 8D 4D D4 58 E8 ?? ?? ?? ?? 8B 45 D4 89 45 E0 C6 45 E4 0F 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B5 01 00 00 8D 45 FC 50 8B 45 08 8B 40 08 89 45 D8 C6 45 DC 11 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 8B 55 BC 8D 45 C0 E8 ?? ?? ?? ?? 8B 45 C0 50 8D 45 B8 8B 56 04 E8 ?? ?? ?? ?? 8B 55 B8 8D 4D C4 58 E8 ?? ?? ?? ?? 8B 45 C4 89 45 E0 C6 45 E4 0F 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 A8 8B C3 E8 ?? ?? ?? ?? 8D 45 A8 50 8B 45 08 8B 40 10 E8 ?? ?? ?? ?? 8B D3 59 E8 ?? ?? ?? ?? E9 32 01 00 00 8D 55 98 8B C3 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 41 80 3E 00 75 3A 0F B6 43 48 2C 01 74 04 2C 17 75 2E 8D 55 84 8B C3 E8 ?? ?? ?? ?? 8D 55 84 8D 45 94 E8 ?? ?? ?? ?? 8B 45 94 89 45 80 8B 45 80 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 94 C0 EB 02 33 C0 84 C0 74 57 8D 45 FC 50 8B 45 08 8B 40 FC 8B 40 1C 8B 40 0C 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8B 46 04 89 85 70 FF FF FF C6 85 74 FF FF FF 11 8B 83 98 00 00 00 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8D 95 68 FF FF FF B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7C 8D 45 FC 50 8B 45 08 8B 40 FC 8B 40 1C 8B 40 0C 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8B 46 04 89 85 70 FF FF FF C6 85 74 FF FF FF 11 8B 83 98 00 00 00 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8D 95 68 FF FF FF B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 58 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 58 FF FF FF 50 8B 45 08 8B 40 10 E8 ?? ?? ?? ?? 8B D3 59 E8 ?? ?? ?? ?? 8D 85 54 FF FF FF 8B 55 FC E8 ?? ?? ?? ?? 8B 95 54 FF FF FF 8B 45 08 8B 40 F4 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 98 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 7A FF FF FF 0F B6 45 FA 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 20 00 25 00 73 00 2E 00 25 00 73 00 20 00 69 00 73 00 20 00 6E 00 75 00 6C 00 6C 00 20 00 61 00 6E 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 20 00 25 00 73 00 2E 00 25 00 73 00 20 00 3D 00 20 00 3F 00 20 00 61 00 6E 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 20 00 25 00 73 00 25 00 73 00 25 00 73 00 25 00 31 00 3A 00 73 00 20 00 69 00 73 00 20 00 6E 00 75 00 6C 00 6C 00 20 00 61 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 20 00 25 00 73 00 25 00 73 00 25 00 73 00 25 00 31 00 3A 00 73 00 20 00 3D 00 20 00 3F 00 20 00 61 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_25968_0 {
	meta:
		name = "TSQLResolver.GenWhereSQL"
		size = 376
		refs = "0023 @UStrAddRef 002b TSQLResolver.GenWhereSQL 004e TFields.GetCount 0069 TFields.GetField 0077 @UStrEqual 0080 AddField 0097 SNoKeySpecified 009c LoadResString 00a6 DatabaseError 00c7 @UStrFromWStr 00e9 @UStrCopy 00f4 @WStrFromUStr 0121 @UStrClr 012e @WStrArrayClr 013b @UStrArrayClr 0149 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 89 55 FC 89 45 F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 38 33 DB 8B 45 FC 8B 40 04 8B 40 38 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 36 47 33 F6 55 8B 45 FC 8B 40 04 8B 40 38 8B D6 E8 ?? ?? ?? ?? 50 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C2 58 E8 ?? ?? ?? ?? 59 84 C0 74 02 B3 01 46 4F 75 CD 84 DB 75 17 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 8B D0 4A 8D 4D E8 8B 45 F4 8B 18 FF 53 0C 8B 55 E8 8D 45 F0 E8 ?? ?? ?? ?? 8B 5D F0 85 DB 74 05 83 EB 04 8B 1B 8D 45 E0 50 8B CB 83 E9 04 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 F4 8B 10 FF 52 14 8B D0 4A 8B 45 F4 59 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C2 0C 00 0A 00 00 00 77 00 68 00 65 00 72 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 42 00 00 00 }
	condition:
		$1
}

rule function_25969_0 {
	meta:
		name = "AddField"
		size = 1512
		refs = "0022 AddField 008d Format 0098 @UStrAsg 00d7 TObjectField.GetFieldCount 00fc TFields.GetField 0133 @UStrCopy 0142 @UStrCat3 023a VarIsNull 024e InformixLob 02b4 @UStrCat 043d TField.GetNewValue 0445 VarIsClear 0453 TField.GetOldValue 045e TCollection.Add 0468 TParam.AssignFieldValue 0485 @UStrArrayClr 0490 @VarClr 04ba @UStrClr 04d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 12 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 1C 8B F8 0F B6 43 48 04 E6 2C 02 0F 83 06 01 00 00 8D 45 DC 50 8B 45 E4 8B 00 89 45 BC C6 45 C0 11 8B 45 08 8B 40 FC 8B 40 1C 8B 40 0C 89 45 C4 C6 45 C8 11 8B 47 04 89 45 CC C6 45 D0 11 8B 83 98 00 00 00 89 45 D4 C6 45 D8 11 8D 55 BC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 B8 50 8B 06 89 45 A8 C6 45 AC 11 8B FB 8B 87 F8 00 00 00 89 45 B0 C6 45 B4 11 8D 55 A8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 31 40 89 C7 C7 45 E0 00 00 00 00 8B 45 08 50 8B C3 8B 10 FF 92 34 01 00 00 8B 55 E0 E8 ?? ?? ?? ?? 8B CE 8D 55 FC E8 ?? ?? ?? ?? 59 FF 45 E0 4F 75 D9 8B 06 89 45 A4 8B 5D A4 85 DB 74 05 83 EB 04 8B 1B 8D 45 A0 50 8B CB 83 E9 02 8B 06 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 A0 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 21 03 00 00 80 7B 48 1D 0F 85 9F 00 00 00 83 BB F8 00 00 00 00 0F 84 92 00 00 00 8D 45 9C 50 8B 45 E4 8B 00 89 45 BC C6 45 C0 11 8B 45 08 8B 40 FC 8B 40 1C 8B 40 0C 89 45 C4 C6 45 C8 11 8B 47 04 89 45 CC C6 45 D0 11 8B 83 98 00 00 00 89 45 D4 C6 45 D8 11 8D 55 BC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 98 50 8B 06 89 45 A8 C6 45 AC 11 8B 83 F8 00 00 00 89 45 B0 C6 45 B4 11 8D 55 A8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 98 8B C6 E8 ?? ?? ?? ?? E9 78 02 00 00 8B 45 08 8B 40 F8 8B D3 8B 08 FF 91 98 00 00 00 84 C0 75 3E 83 BB A0 00 00 00 00 0F 84 57 02 00 00 8B 83 A0 00 00 00 0F B6 40 48 04 E6 2C 03 0F 83 43 02 00 00 8D 55 88 8B C3 8B 08 FF 91 90 00 00 00 8D 45 88 E8 ?? ?? ?? ?? 84 C0 0F 84 26 02 00 00 80 7B 48 1E 75 71 80 3D ?? ?? ?? ?? 00 75 68 8D 45 84 50 8B 45 E4 8B 00 89 45 BC C6 45 C0 11 8B 45 08 8B 40 FC 8B 40 1C 8B 40 0C 89 45 C4 C6 45 C8 11 8B 47 04 89 45 CC C6 45 D0 11 8B 83 98 00 00 00 89 45 D4 C6 45 D8 11 8D 55 BC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 84 8B 45 E4 E8 ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AF 01 00 00 80 7B 48 1F 75 71 80 3D ?? ?? ?? ?? 00 75 68 8D 45 80 50 8B 45 E4 8B 00 89 45 BC C6 45 C0 11 8B 45 08 8B 40 FC 8B 40 1C 8B 40 0C 89 45 C4 C6 45 C8 11 8B 47 04 89 45 CC C6 45 D0 11 8B 83 98 00 00 00 89 45 D4 C6 45 D8 11 8D 55 BC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 80 8B 45 E4 E8 ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 38 01 00 00 83 BB A0 00 00 00 00 0F 84 8D 00 00 00 8D 95 70 FF FF FF 8B C3 8B 08 FF 91 90 00 00 00 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 84 C0 74 6E 8D 85 6C FF FF FF 50 8B 45 E4 8B 00 89 45 BC C6 45 C0 11 8B 45 08 8B 40 FC 8B 40 1C 8B 40 0C 89 45 C4 C6 45 C8 11 8B 47 04 89 45 CC C6 45 D0 11 8B 83 98 00 00 00 89 45 D4 C6 45 D8 11 8D 55 BC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B 45 E4 E8 ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9E 00 00 00 8D 85 68 FF FF FF 50 8B 45 E4 8B 00 89 45 BC C6 45 C0 11 8B 45 08 8B 40 FC 8B 40 1C 8B 40 0C 89 45 C4 C6 45 C8 11 8B 47 04 89 45 CC C6 45 D0 11 8B 83 98 00 00 00 89 45 D4 C6 45 D8 11 8D 55 BC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8B 45 E4 E8 ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 0A 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 E8 ?? ?? ?? ?? 8D 4D E8 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 68 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 45 80 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 98 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9B 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 25 00 73 00 25 00 73 00 25 00 73 00 25 00 73 00 25 00 32 00 3A 00 73 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 25 00 73 00 28 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 29 00 2C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 25 00 73 00 28 00 29 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 45 00 4D 00 50 00 54 00 59 00 5F 00 42 00 4C 00 4F 00 42 00 28 00 29 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 45 00 4D 00 50 00 54 00 59 00 5F 00 43 00 4C 00 4F 00 42 00 28 00 29 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6E 00 75 00 6C 00 6C 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3F 00 2C 00 20 00 00 00 }
	condition:
		$1
}

rule function_25970_0 {
	meta:
		name = "TSQLResolver.GenInsertSQL"
		size = 1396
		refs = "0023 TSQLResolver.GenInsertSQL 0046 TUpdateTree.GetIsNested 005d @WStrFromUStr 006e QuoteFullName 00a7 Format 012b @UStrLAsg 0144 TFields.GetCount 015f TFields.GetField 016a AddField 018b InformixLob 01c3 @UStrCopy 01d0 @UStrCat 02d3 TField.GetFullName 032d TField.GetNewValue 0335 VarIsClear 0351 TField.GetOldValue 036a TCollection.Add 0373 TParam.AssignFieldValue 03d1 @UStrArrayClr 03d9 @WStrClr 03e1 @UStrClr 040e @WStrArrayClr 0426 @VarClr 0439 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0F 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D DC 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 D4 8B 45 FC 8B 40 1C 8B D8 8B 45 DC 8B 10 FF 52 48 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 9D 00 00 00 8D 45 CC 50 8D 45 AC 8B 53 04 E8 ?? ?? ?? ?? 8B 55 AC 8D 4D B0 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 B0 89 45 B4 C6 45 B8 0F 8B 45 FC 8B 40 14 8B 40 1C 8B 40 08 89 45 BC C6 45 C0 11 66 C7 45 C4 41 00 C6 45 C8 09 8D 55 B4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8D 45 D0 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 DC 8B 08 FF 51 38 8B 45 08 50 6A 02 68 ?? ?? ?? ?? 8B 45 FC 8B 50 14 8B 4D DC 8B 45 F8 8B 18 FF 93 84 00 00 00 BA ?? ?? ?? ?? 8B 45 DC 8B 08 FF 51 38 EB 33 8D 45 A4 50 8B 43 08 89 45 9C C6 45 A0 11 8D 55 9C 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8D 45 A8 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 DC 8B 08 FF 51 38 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 4A 46 33 DB 55 8B 45 FC 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 4D F0 8D 55 F4 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 0F B6 40 48 04 E2 2C 02 73 0C 80 3D ?? ?? ?? ?? 00 75 03 FF 45 D4 43 4E 75 B9 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 45 8B 5D F4 85 DB 74 05 83 EB 04 8B 1B 8D 45 94 50 8B CB 83 E9 02 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 94 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 8D 45 98 E8 ?? ?? ?? ?? 8B 55 98 8B 45 DC 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 DC 8B 08 FF 51 38 8B 5D F0 85 DB 74 05 83 EB 04 8B 1B 8D 45 8C 50 8B CB 83 E9 02 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 8C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 8C 8D 45 90 E8 ?? ?? ?? ?? 8B 55 90 8B 45 DC 8B 08 FF 51 38 83 7D D4 00 0F 8E 75 01 00 00 BA ?? ?? ?? ?? 8B 45 DC 8B 08 FF 51 38 8B 45 D4 89 45 D8 8B 45 FC 8B 40 04 8B 40 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 0D 01 00 00 46 33 DB 8B 45 FC 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 0F B6 40 48 04 E2 2C 02 0F 83 E4 00 00 00 8B 45 FC 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 91 98 00 00 00 84 C0 0F 84 BF 00 00 00 FF 4D D8 8D 45 84 50 8B 45 FC 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 55 80 E8 ?? ?? ?? ?? 8B 45 80 89 45 9C C6 45 A0 11 8D 55 9C 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 84 8D 45 88 E8 ?? ?? ?? ?? 8B 55 88 8B 45 DC 8B 08 FF 51 38 83 7D D8 00 7E 0D BA ?? ?? ?? ?? 8B 45 DC 8B 08 FF 51 38 8B 45 FC 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 FC 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 50 8B 45 08 E8 ?? ?? ?? ?? 8D 4D E0 5A E8 ?? ?? ?? ?? 43 4E 0F 85 F6 FE FF FF BA ?? ?? ?? ?? 8B 45 DC 8B 08 FF 51 38 83 7D D4 00 7E 29 BA ?? ?? ?? ?? 8B 45 DC 8B 08 FF 51 38 FF 4D D4 83 7D D4 00 7E 0D BA ?? ?? ?? ?? 8B 45 DC 8B 08 FF 51 38 83 7D D4 00 7F D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 80 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 89 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 69 00 6E 00 73 00 65 00 72 00 74 00 20 00 69 00 6E 00 74 00 6F 00 20 00 74 00 68 00 65 00 20 00 28 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 25 00 73 00 20 00 46 00 52 00 4F 00 4D 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 02 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6E 00 73 00 65 00 72 00 74 00 20 00 69 00 6E 00 74 00 6F 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 20 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 0C 00 00 00 76 00 61 00 6C 00 75 00 65 00 73 00 00 00 00 00 16 00 00 00 20 00 52 00 45 00 54 00 55 00 52 00 4E 00 49 00 4E 00 47 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 25 00 73 00 20 00 00 00 04 00 00 00 2C 00 20 00 00 00 00 00 0A 00 00 00 49 00 4E 00 54 00 4F 00 20 00 00 00 04 00 00 00 3F 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_25971_0 {
	meta:
		name = "TSQLResolver.GenDeleteSQL"
		size = 668
		refs = "002e @UStrAddRef 0036 TSQLResolver.GenDeleteSQL 004f TUpdateTree.GetIsNested 0064 @UStrLAsg 0073 @WStrFromUStr 0081 QuoteFullName 00b7 Format 0199 @UStrClr 01a1 @WStrClr 01b6 @WStrArrayClr 01d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 DB 89 5D C0 89 5D BC 89 5D D0 89 5D CC 89 5D F8 89 5D F4 89 5D D8 89 5D D4 8B F1 8B DA 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 1C 8B F8 8B C6 8B 10 FF 52 48 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 C4 00 00 00 8D 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8D 45 D4 8B 57 04 E8 ?? ?? ?? ?? 8B 55 D4 8D 4D D8 8B 43 24 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 0F 8B 43 14 8B 40 1C 8B 40 08 89 45 E4 C6 45 E8 11 66 C7 45 EC 41 00 C6 45 F0 09 8D 55 DC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 08 FF 51 38 8B 45 0C 50 6A 02 68 ?? ?? ?? ?? 8B CE 8B 53 14 8B 45 FC 8B 38 FF 97 84 00 00 00 8D 45 CC 50 8B 45 08 89 45 C4 C6 45 C8 11 8D 55 C4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8D 45 D0 E8 ?? ?? ?? ?? 8B 55 D0 8B C6 8B 08 FF 51 38 EB 3F 8D 45 BC 50 8B 47 08 89 45 AC C6 45 B0 11 8B 45 08 89 45 B4 C6 45 B8 11 8D 55 AC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8D 45 C0 E8 ?? ?? ?? ?? 8B 55 C0 8B C6 8B 08 FF 51 38 8B 45 0C 50 8B 45 FC 8B 10 FF 92 80 00 00 00 0F B6 80 BC 00 00 00 50 8B 45 08 50 8B CE 8B D3 8B 45 FC 8B 18 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 42 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 64 00 65 00 6C 00 65 00 74 00 65 00 20 00 74 00 68 00 65 00 20 00 28 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 25 00 73 00 20 00 46 00 52 00 4F 00 4D 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 29 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 64 00 65 00 6C 00 65 00 74 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_25972_0 {
	meta:
		name = "AddField"
		size = 2584
		refs = "0022 AddField 006d Format 0078 @WStrFromUStr 008d TObjectField.GetFieldCount 00b2 TFields.GetField 0100 @UStrFromWStr 0120 @UStrCopy 0174 TField.GetFullName 02a6 TField.GetNewValue 02ae VarIsClear 02bc TField.GetOldValue 02c7 TCollection.Add 02d1 TParam.AssignFieldValue 0306 InformixLob 0371 QuoteFullName 06f2 @UStrClr 06fd @WStrClr 072e @WStrArrayClr 0852 @VarClr 0860 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 1C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 88 4D E6 88 55 E7 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E5 00 C6 45 E4 00 8B 45 08 8B 40 FC 8B 40 1C 8B D8 0F B6 46 48 3C 1A 0F 85 17 01 00 00 80 7D E6 00 74 39 8D 45 DC 50 8B 86 F8 00 00 00 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 08 8B 40 F8 8B 08 FF 51 38 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 3B 47 33 DB 80 7D E5 00 75 29 8B 45 08 50 8B C6 8B 10 FF 92 34 01 00 00 8B D3 E8 ?? ?? ?? ?? 0F B6 4D E6 B2 01 E8 ?? ?? ?? ?? 59 84 C0 75 04 33 C0 EB 02 B0 01 88 45 E5 43 4F 75 C8 80 7D E6 00 0F 84 01 06 00 00 8B 45 08 8B 40 F8 8B 10 FF 52 14 8B D0 4A 8D 4D D0 8B 45 08 8B 40 F8 8B 18 FF 53 0C 8B 55 D0 8D 45 FC E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 C8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C8 8D 45 CC E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 08 8B 40 F8 8B 10 FF 52 14 8B D0 4A 8B 45 08 8B 40 F8 59 8B 18 FF 53 20 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? 8B 08 FF 51 38 E9 7C 05 00 00 3C 1B 0F 85 20 01 00 00 8D 45 C0 50 8D 55 AC 8B C6 E8 ?? ?? ?? ?? 8B 45 AC 89 45 B0 C6 45 B4 11 8B DE 8B 83 F8 00 00 00 89 45 B8 C6 45 BC 11 8D 55 B0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 08 8B 40 F8 8B 08 FF 51 38 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 3B 47 33 DB 80 7D E5 00 75 29 8B 45 08 50 8B C6 8B 10 FF 92 34 01 00 00 8B D3 E8 ?? ?? ?? ?? B1 01 0F B6 55 E7 E8 ?? ?? ?? ?? 59 84 C0 75 04 33 C0 EB 02 B0 01 88 45 E5 43 4F 75 C8 8B 45 08 8B 40 F8 8B 10 FF 52 14 8B D0 4A 8D 4D A8 8B 45 08 8B 40 F8 8B 18 FF 53 0C 8B 55 A8 8D 45 FC E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 A0 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 A0 8D 45 A4 E8 ?? ?? ?? ?? 8B 45 A4 50 8B 45 08 8B 40 F8 8B 10 FF 52 14 8B D0 4A 8B 45 08 8B 40 F8 59 8B 18 FF 53 20 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? 8B 08 FF 51 38 E9 54 04 00 00 80 7D E6 00 74 4E 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? 8B 08 FF 51 38 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 0A 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 8D 4D E8 8B D6 E8 ?? ?? ?? ?? C6 45 E5 01 E9 00 04 00 00 8B 45 08 8B 40 F4 8B D6 8B 08 FF 91 98 00 00 00 84 C0 0F 84 E8 03 00 00 C6 45 E5 01 80 7E 48 1F 0F 85 32 01 00 00 80 3D ?? ?? ?? ?? 00 0F 85 25 01 00 00 C6 45 E4 01 80 7D E7 00 0F 84 AD 00 00 00 8D 45 98 50 8B 45 08 8B 40 08 89 45 80 C6 45 84 11 8D 95 74 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 50 8D 85 70 FF FF FF 8B 53 04 E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 8D 8D 7C FF FF FF 58 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 89 45 88 C6 45 8C 0F 8D 95 6C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 89 45 90 C6 45 94 11 8D 55 80 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 98 8D 45 9C E8 ?? ?? ?? ?? 8B 55 9C 8B 45 08 8B 40 F8 8B 08 FF 51 38 E9 D7 02 00 00 8D 85 64 FF FF FF 50 8B 45 08 8B 40 FC 8B 40 1C 8B 40 0C 89 45 80 C6 45 84 11 8B 43 04 89 45 88 C6 45 8C 11 8B 86 98 00 00 00 89 45 90 C6 45 94 11 8D 55 80 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 64 FF FF FF 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8B 45 08 8B 40 F8 8B 08 FF 51 38 E9 6D 02 00 00 80 7E 48 1E 0F 85 3E 01 00 00 80 3D ?? ?? ?? ?? 00 0F 85 31 01 00 00 C6 45 E4 01 80 7D E7 00 0F 84 B9 00 00 00 8D 85 5C FF FF FF 50 8B 45 08 8B 40 08 89 45 80 C6 45 84 11 8D 95 50 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 50 8D 85 4C FF FF FF 8B 53 04 E8 ?? ?? ?? ?? 8B 95 4C FF FF FF 8D 8D 58 FF FF FF 58 E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 89 45 88 C6 45 8C 0F 8D 95 48 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 89 45 90 C6 45 94 11 8D 55 80 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 5C FF FF FF 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8B 45 08 8B 40 F8 8B 08 FF 51 38 E9 8F 01 00 00 8D 85 40 FF FF FF 50 8B 45 08 8B 40 FC 8B 40 1C 8B 40 0C 89 45 80 C6 45 84 11 8B 43 04 89 45 88 C6 45 8C 11 8B 86 98 00 00 00 89 45 90 C6 45 94 11 8D 55 80 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 40 FF FF FF 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 8B 95 44 FF FF FF 8B 45 08 8B 40 F8 8B 08 FF 51 38 E9 25 01 00 00 80 7D E7 00 0F 84 B6 00 00 00 8D 85 38 FF FF FF 50 8B 45 08 8B 40 08 89 45 80 C6 45 84 11 8D 95 2C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 95 2C FF FF FF 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 8B 85 30 FF FF FF 50 8D 85 28 FF FF FF 8B 53 04 E8 ?? ?? ?? ?? 8B 95 28 FF FF FF 8D 8D 34 FF FF FF 58 E8 ?? ?? ?? ?? 8B 85 34 FF FF FF 89 45 88 C6 45 8C 0F 8D 95 24 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 24 FF FF FF 89 45 90 C6 45 94 11 8D 55 80 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 38 FF FF FF 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 8B 95 3C FF FF FF 8B 45 08 8B 40 F8 8B 08 FF 51 38 EB 65 8D 85 1C FF FF FF 50 8B 45 08 8B 40 FC 8B 40 1C 8B 40 0C 89 45 80 C6 45 84 11 8B 43 04 89 45 88 C6 45 8C 11 8B 86 98 00 00 00 89 45 90 C6 45 94 11 8D 55 80 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 1C FF FF FF 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 8B 95 20 FF FF FF 8B 45 08 8B 40 F8 8B 08 FF 51 38 80 7D E4 00 75 35 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 0A 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 8D 4D E8 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 1C FF FF FF E8 ?? ?? ?? ?? 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 8D 85 24 FF FF FF E8 ?? ?? ?? ?? 8D 85 28 FF FF FF E8 ?? ?? ?? ?? 8D 85 2C FF FF FF E8 ?? ?? ?? ?? 8D 85 30 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 8D 85 48 FF FF FF E8 ?? ?? ?? ?? 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 85 54 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 82 FE FF FF 0F B6 45 E5 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 25 00 73 00 28 00 00 00 00 00 04 00 00 00 29 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 20 00 3D 00 20 00 25 00 73 00 28 00 00 00 00 00 06 00 00 00 20 00 3F 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 20 00 25 00 73 00 2E 00 25 00 73 00 20 00 3D 00 20 00 45 00 4D 00 50 00 54 00 59 00 5F 00 43 00 4C 00 4F 00 42 00 28 00 29 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 20 00 25 00 73 00 25 00 73 00 25 00 73 00 25 00 31 00 3A 00 73 00 20 00 3D 00 20 00 45 00 4D 00 50 00 54 00 59 00 5F 00 43 00 4C 00 4F 00 42 00 28 00 29 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 20 00 25 00 73 00 2E 00 25 00 73 00 20 00 3D 00 20 00 45 00 4D 00 50 00 54 00 59 00 5F 00 42 00 4C 00 4F 00 42 00 28 00 29 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 20 00 25 00 73 00 25 00 73 00 25 00 73 00 25 00 31 00 3A 00 73 00 20 00 3D 00 20 00 45 00 4D 00 50 00 54 00 59 00 5F 00 42 00 4C 00 4F 00 42 00 28 00 29 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 25 00 73 00 2E 00 25 00 73 00 20 00 3D 00 20 00 3F 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 20 00 25 00 73 00 25 00 73 00 25 00 73 00 25 00 31 00 3A 00 73 00 20 00 3D 00 20 00 3F 00 2C 00 00 00 00 00 }
	condition:
		$1
}

rule function_25973_0 {
	meta:
		name = "TSQLResolver.GenUpdateSQL"
		size = 1532
		refs = "0022 @UStrAddRef 002a TSQLResolver.GenUpdateSQL 0045 TUpdateTree.GetIsNested 005a @UStrLAsg 0069 @WStrFromUStr 007a QuoteFullName 00b3 Format 016f TFields.GetCount 018d TFields.GetField 01be InformixLob 01e3 @UStrEqual 01ee AddField 022f @UStrFromWStr 0252 @UStrCopy 034b TField.GetFullName 03b1 TField.GetNewValue 03b9 VarIsClear 03d5 TField.GetOldValue 03ee TCollection.Add 03f7 TParam.AssignFieldValue 0458 @UStrArrayClr 0463 @WStrClr 046e @UStrClr 047e @WStrArrayClr 04bb @VarClr 04d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 12 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F8 89 55 FC 89 45 F4 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 D8 8B 45 FC 8B 40 1C 8B D8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 D0 00 00 00 8D 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC 50 8D 45 AC 8B 53 04 E8 ?? ?? ?? ?? 8B 55 AC 8D 4D B0 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 B0 89 45 B4 C6 45 B8 0F 8B 45 FC 8B 40 14 8B 40 1C 8B 40 08 89 45 BC C6 45 C0 11 66 C7 45 C4 41 00 C6 45 C8 09 8D 55 B4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8D 45 D0 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F8 8B 08 FF 51 38 8B 45 0C 50 6A 02 68 ?? ?? ?? ?? 8B 45 FC 8B 50 14 8B 4D F8 8B 45 F4 8B 18 FF 93 84 00 00 00 8D 45 A4 50 8B 45 08 89 45 9C C6 45 A0 11 8D 55 9C 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8D 45 A8 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 F8 8B 08 FF 51 38 EB 40 8D 45 94 50 8B 43 08 89 45 84 C6 45 88 11 8B 45 08 89 45 8C C6 45 90 11 8D 55 84 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 8D 45 98 E8 ?? ?? ?? ?? 8B 55 98 8B 45 F8 8B 08 FF 51 38 C6 45 D7 00 8B 45 FC 8B 40 04 8B 40 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 81 00 00 00 46 33 DB 8B 45 FC 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 0F B6 40 48 04 E2 2C 02 73 2D 8B 45 FC 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 08 FF 91 98 00 00 00 84 C0 74 0C 80 3D ?? ?? ?? ?? 00 75 03 FF 45 D8 55 8B 45 FC 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 50 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C2 33 C9 58 E8 ?? ?? ?? ?? 59 84 C0 74 04 C6 45 D7 01 43 4E 75 82 80 7D D7 00 75 0D 8B 45 F8 8B 10 FF 52 48 E9 2D 02 00 00 8B 45 F8 8B 10 FF 52 14 8B D0 4A 8D 4D 80 8B 45 F8 8B 18 FF 53 0C 8B 55 80 8D 45 F0 E8 ?? ?? ?? ?? 8B 5D F0 85 DB 74 05 83 EB 04 8B 1B 8D 85 78 FF FF FF 50 8B CB 49 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 50 8B 45 F8 8B 10 FF 52 14 8B D0 4A 8B 45 F8 59 8B 18 FF 53 20 8B 45 0C 50 8B 45 F4 8B 10 FF 92 80 00 00 00 0F B6 80 BC 00 00 00 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B 45 F4 8B 18 FF 93 84 00 00 00 83 7D D8 00 0F 8E 87 01 00 00 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 8B 45 D8 89 45 DC 8B 45 FC 8B 40 04 8B 40 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 1F 01 00 00 46 33 DB 8B 45 FC 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 0F B6 40 48 04 E2 2C 02 0F 83 F6 00 00 00 8B 45 FC 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 08 FF 91 98 00 00 00 84 C0 0F 84 D1 00 00 00 FF 4D DC 8D 85 70 FF FF FF 50 8B 45 FC 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 95 6C FF FF FF E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 89 45 9C C6 45 A0 11 8D 55 9C 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8B 45 F8 8B 08 FF 51 38 83 7D DC 00 7E 0D BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 8B 45 FC 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 FC 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 38 8B D3 E8 ?? ?? ?? ?? 50 8B 45 0C E8 ?? ?? ?? ?? 8D 4D E0 5A E8 ?? ?? ?? ?? 43 4E 0F 85 E4 FE FF FF BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 83 7D D8 00 7E 29 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 FF 4D D8 83 7D D8 00 7E 0D BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 83 7D D8 00 7F D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 6C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 72 FF FF FF 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 42 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 75 00 70 00 64 00 61 00 74 00 65 00 20 00 74 00 68 00 65 00 20 00 28 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 25 00 73 00 20 00 46 00 52 00 4F 00 4D 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 29 00 20 00 25 00 73 00 20 00 73 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 75 00 70 00 64 00 61 00 74 00 65 00 20 00 25 00 73 00 20 00 25 00 73 00 20 00 73 00 65 00 74 00 00 00 00 00 16 00 00 00 20 00 52 00 45 00 54 00 55 00 52 00 4E 00 49 00 4E 00 47 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 25 00 73 00 20 00 00 00 04 00 00 00 2C 00 20 00 00 00 00 00 0A 00 00 00 49 00 4E 00 54 00 4F 00 20 00 00 00 04 00 00 00 3F 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_25974_0 {
	meta:
		name = "TSQLResolver.GenSelectSQL"
		size = 652
		refs = "0030 @UStrAddRef 0038 TSQLResolver.GenSelectSQL 0062 TFields.GetCount 0086 TFields.GetField 00de Format 00e9 @WStrFromUStr 011f @UStrFromWStr 013f @UStrCopy 01d8 @UStrClr 01e0 @WStrClr 01f5 @WStrArrayClr 021b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 33 DB 89 5D B8 89 5D B4 89 5D C0 89 5D BC 89 5D C4 89 5D E4 89 5D E0 89 5D FC 89 4D F0 89 55 F4 89 45 F8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 1C 89 45 E8 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 38 8B 45 F4 8B 40 04 8B 40 38 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 91 00 00 00 47 C7 45 EC 00 00 00 00 8B 45 F4 8B 40 04 8B 40 38 8B 55 EC E8 ?? ?? ?? ?? 8B F0 0F B6 46 48 04 E4 2C 02 72 62 80 7E 4A 00 75 5C F6 86 9C 00 00 00 01 74 53 8D 45 E0 50 8B 45 E8 8B 40 0C 89 45 C8 C6 45 CC 11 8B 45 E8 8B 40 04 89 45 D0 C6 45 D4 11 8B 86 98 00 00 00 89 45 D8 C6 45 DC 11 8D 55 C8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F0 8B 08 FF 51 38 FF 45 EC 4F 0F 85 77 FF FF FF 8B 45 F0 8B 10 FF 52 14 8B D0 4A 8D 4D C4 8B 45 F0 8B 18 FF 53 0C 8B 55 C4 8D 45 FC E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 BC 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 BC 8D 45 C0 E8 ?? ?? ?? ?? 8B 45 C0 50 8B 45 F0 8B 10 FF 52 14 8B D0 4A 8B 45 F0 59 8B 18 FF 53 20 8D 45 B4 50 8B 45 E8 8B 40 08 89 45 A4 C6 45 A8 11 8B 45 0C 89 45 AC C6 45 B0 11 8D 55 A4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8D 45 B8 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 F0 8B 08 FF 51 38 8B 45 10 50 0F B6 45 08 50 8B 45 0C 50 8B 4D F0 8B 55 F4 8B 45 F8 8B 18 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B3 5F 5E 5B 8B E5 5D C2 0C 00 00 00 0C 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 25 00 73 00 25 00 73 00 25 00 73 00 25 00 31 00 3A 00 73 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 66 00 72 00 6F 00 6D 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_25976_0 {
	meta:
		name = "TLocalAppServer.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001d TObject.Free 0028 TObject.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 10 00 74 10 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_25977_0 {
	meta:
		name = "TLocalAppServer.Create"
		size = 98
		refs = "000f @ClassCreate 001f TObject.Create 0028 _DV_TDataSetProvider 002d TDataSetProvider.Create 003b TDataSetProvider.SetDataSet 004c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 0C 8B C6 8B D7 E8 ?? ?? ?? ?? C6 43 10 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_25978_0 {
	meta:
		name = "TActionBarAccessibility.GetTypeInfoCount"
		size = 12
		altNames = "TActiveScriptSite.GetLCID TActiveXControl.ContextSensitiveHelp TActiveXControl.GetSizeMax TActiveXControl.QueryGetData TActiveXControl.SetColorScheme TActiveXControl.Unfreeze TCustomMSHTMLParser.OnRequestEdit TCustomMSHTMLParser.OnShowWindow TDownLoadURL.GetPriority TDownLoadURL.OnLowResource TLocalAppServer.GetTypeInfoCount TMSDOMEventHandler.GetTypeInfoCount TObjectDispatch.GetTypeInfoCount TOleControl.LockInPlaceActive TOleControl.OnFocus TOleControl.SetBorderSpace TOleLinkStub.GetUpdateOptions TOleLinkStub.SetSourceDisplayName TOleLinkStub.SetUpdateOptions TOleLinkStub.Update TPropertyPageImpl.EditProperty TPropertyPageImpl.Help TSOAPAppServerAdapter.GetTypeInfoCount UniUnimplemented"
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 08 00 }
	condition:
		$1
}

rule function_25979_0 {
	meta:
		name = "CmpUnimplemented"
		size = 12
		altNames = "TActionBarAccessibility.GetTypeInfo TActiveXControl.InitFromData TActiveXControl.SetData TDataDispatch.GetTypeInfo TDataObject.SetData TLocalAppServer.GetTypeInfo TMSDOMEventHandler.GetTypeInfo TObjectDispatch.GetTypeInfo TSOAPAppServerAdapter.GetTypeInfo"
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 10 00 }
	condition:
		$1
}

rule function_25980_0 {
	meta:
		name = "TActionBarAccessibility.GetIDsOfNames"
		size = 12
		altNames = "TEventDispatch.GetIDsOfNames TEventDispatchEx.GetIDsOfNames TLocalAppServer.GetIDsOfNames TMSDOMEventHandler.GetIDsOfNames TOleControl.GetIDsOfNames TSOAPAppServerAdapter.GetIDsOfNames TServerEventDispatch.GetIDsOfNames"
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 18 00 }
	condition:
		$1
}

rule function_25981_0 {
	meta:
		name = "TActionBarAccessibility.Invoke"
		size = 12
		altNames = "TLocalAppServer.Invoke TSOAPAppServerAdapter.Invoke"
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 24 00 }
	condition:
		$1
}

rule function_25982_0 {
	meta:
		name = "TLocalAppServer.AS_ApplyUpdates"
		size = 116
		refs = "000d @VarAddRef 002d TLocalAppServer.AS_ApplyUpdates 004d TCustomProvider.ApplyUpdates 005f @HandleAutoException 0067 @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 8B 45 2C 8B 55 2C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 24 50 8B 45 28 50 8B 45 2C 50 8D 55 10 8B 4D 20 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 28 00 }
	condition:
		$1
}

rule function_25983_0 {
	meta:
		name = "TLocalAppServer.AS_GetRecords"
		size = 108
		refs = "0025 TLocalAppServer.AS_GetRecords 004d TCustomProvider.GetRecords 005f @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 28 8B 55 28 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 50 8B 45 1C 50 8B 45 20 50 8B 45 24 50 8B 45 28 50 8B 4D 14 8B 55 10 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 24 00 }
	condition:
		$1
}

rule function_25984_0 {
	meta:
		name = "TLocalAppServer.AS_GetProviderNames"
		size = 108
		refs = "002a TLocalAppServer.AS_GetProviderNames 0038 Null 0043 @OleVarFromVar 0055 @HandleAutoException 005d @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_25985_0 {
	meta:
		name = "TLocalAppServer.AS_DataRequest"
		size = 107
		refs = "000d @VarAddRef 002d TLocalAppServer.AS_DataRequest 0056 @HandleAutoException 005e @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 8B 45 20 8B 55 20 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 20 8D 55 10 8B 43 0C 8B 18 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_25986_0 {
	meta:
		name = "TLocalAppServer.AS_GetParams"
		size = 91
		refs = "0025 TLocalAppServer.AS_GetParams 004e @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 14 8B 55 14 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 14 8B 55 10 8B 43 0C 8B 18 FF 93 8C 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_25987_0 {
	meta:
		name = "TLocalAppServer.AS_RowRequest"
		size = 115
		refs = "000d @VarAddRef 002d TLocalAppServer.AS_RowRequest 005e @HandleAutoException 0066 @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 8B 45 28 8B 55 28 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 24 50 8B 45 28 50 8D 55 10 8B 4D 20 8B 43 0C 8B 18 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 24 00 }
	condition:
		$1
}

rule function_25988_0 {
	meta:
		name = "TLocalAppServer.AS_Execute"
		size = 72
		refs = "000e TLocalAppServer.AS_Execute 003b @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 08 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 50 8B 4D 14 8B 55 10 8B 46 0C 8B 18 FF 93 88 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_25989_0 {
	meta:
		name = "TLocalAppServer.InterfaceSupportsErrorInfo"
		size = 52
		refs = "0008 TLocalAppServer.InterfaceSupportsErrorInfo 000d IsEqualGUID"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 05 B8 01 00 00 00 5D C2 08 00 00 00 20 CC EF 1A 24 7A D2 11 98 B0 C6 9B EB 4B 5B 6D }
	condition:
		$1
}

rule function_26010_0 {
	meta:
		name = "TDispatchAppServer.InterfaceSupportsErrorInfo"
		size = 52
		refs = "0008 TDispatchAppServer.InterfaceSupportsErrorInfo 000d IsEqualGUID"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 05 B8 01 00 00 00 5D C2 08 00 00 00 20 CC EF 1A 24 7A D2 11 98 B0 C6 9B EB 4B 5B 6D }
	condition:
		$1
}

rule function_26251_0 {
	meta:
		name = "TLocalConnection.InterfaceSupportsErrorInfo"
		size = 52
		refs = "0008 TLocalConnection.InterfaceSupportsErrorInfo 000d IsEqualGUID"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 05 B8 01 00 00 00 5D C2 08 00 00 00 20 CC EF 1A 24 7A D2 11 98 B0 C6 9B EB 4B 5B 6D }
	condition:
		$1
}

rule function_25991_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_41 001a ExtraFieldProps 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 0B 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_31015_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_8 001a IBInstallerMessages 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 0B 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_25997_0 {
	meta:
		name = "GetMIDASAppServerList"
		size = 1164
		refs = "001d GetMIDASAppServerList 0033 @IntfClear 0042 CLSID_StdComponentCategoryMgr 0048 CoCreateInstance 0065 CATID_MIDASAppServer 0076 OleCheck 0094 GUIDToString 00ac @UStrCatN 00c3 GetRegStringValue 00d3 @UStrEqual 00f2 ClassIDToProgID 0101 @HandleAnyException 0138 SInvalidRegistration 013d LoadResString 014b Format 0150 @DoneExcept 0195 RegOpenKeyEx 0212 @UStrToPWChar 021c RegQueryValue 023c @UStrSetLength 025f RegQueryValueEx 0279 @UStrClr 02ca @UStrFromWArray 02db StringToGUID 035e RegEnumKey 037c RegCloseKey 0382 @HandleFinally 03a1 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 4D 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 10 FF 52 44 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 01 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A9 00 00 00 80 0F 85 28 01 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 A1 ?? ?? ?? ?? 50 6A 01 8B 45 F8 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? E9 E0 00 00 00 83 7D EC 00 74 58 68 ?? ?? ?? ?? 8D 95 C8 FD FF FF 8D 45 CC E8 ?? ?? ?? ?? FF B5 C8 FD FF FF 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 C4 FD FF FF 50 B9 00 00 00 80 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 85 C4 FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 82 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8D 45 CC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 54 E9 ?? ?? ?? ?? 8D 45 F4 50 8D 95 B8 FD FF FF 8D 45 CC E8 ?? ?? ?? ?? 8B 85 B8 FD FF FF 89 85 BC FD FF FF C6 85 C0 FD FF FF 11 8D 85 BC FD FF FF 50 8D 95 B4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 B4 FD FF FF 33 C9 5A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F0 8B 08 FF 51 38 8D 45 E8 50 8D 45 CC 50 6A 01 8B 45 FC 50 8B 00 FF 50 0C 85 C0 0F 84 05 FF FF FF E9 09 02 00 00 8D 45 DC 50 68 19 00 02 00 6A 00 68 ?? ?? ?? ?? 68 00 00 00 80 E8 ?? ?? ?? ?? 85 C0 0F 84 E7 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E4 E9 90 01 00 00 8D 45 F4 50 8D 85 CC FD FF FF 89 85 A4 FD FF FF C6 85 A8 FD FF FF 0A 8D 95 A0 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 A0 FD FF FF 89 85 AC FD FF FF C6 85 B0 FD FF FF 11 8D 95 A4 FD FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 50 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 DC 50 E8 ?? ?? ?? ?? 85 C0 0F 85 82 00 00 00 83 7D EC 00 74 7C C7 45 E0 00 01 00 00 8D 45 F4 8B 55 E0 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 F4 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? 50 8B 45 DC 50 E8 ?? ?? ?? ?? 85 C0 75 0E 8B 55 E0 4A 8D 45 F4 E8 ?? ?? ?? ?? EB 08 8D 45 F4 E8 ?? ?? ?? ?? 8D 85 9C FD FF FF 50 B9 00 00 00 80 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 85 9C FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 9F 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 98 FD FF FF 8D 95 CC FD FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 8B 85 98 FD FF FF 8D 95 A4 FD FF FF E8 ?? ?? ?? ?? 8D 85 A4 FD FF FF 8D 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 44 E9 ?? ?? ?? ?? 8D 45 F4 50 8D 95 94 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 94 FD FF FF 8D 95 CC FD FF FF 89 95 BC FD FF FF C6 85 C0 FD FF FF 0A 8D 95 BC FD FF FF 33 C9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F0 8B 08 FF 51 38 FF 45 E4 68 00 02 00 00 8D 85 CC FD FF FF 50 8B 45 E4 50 8B 45 DC 50 E8 ?? ?? ?? ?? 85 C0 0F 84 4F FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 94 FD FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 B4 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 C4 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B0 5F 5E 5B 8B E5 5D C3 13 E0 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 43 00 4C 00 53 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 25 00 73 00 5C 00 49 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 65 00 64 00 20 00 43 00 61 00 74 00 65 00 67 00 6F 00 72 00 69 00 65 00 73 00 5C 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_25998_0 {
	meta:
		name = "TDataObject.Create"
		size = 67
		refs = "000b @ClassCreate 001a TObject.Create 0024 @IntfCopy 002f @AfterConstruction"
		altNames = "TDispatchAppServer.Create TSOAPAppServerAdapter.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_25999_0 {
	meta:
		name = "TDispatchAppServer.GetTypeInfoCount"
		size = 23
		altNames = "TDispatchSilencer.GetTypeInfoCount"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 52 8B 40 0C 50 8B 00 FF 50 0C 5D C2 08 00 }
	condition:
		$1
}

rule function_26000_0 {
	meta:
		name = "TDispatchAppServer.GetTypeInfo"
		size = 31
		altNames = "TDispatchSilencer.GetTypeInfo"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 0C 50 8B 00 FF 50 10 5D C2 10 00 }
	condition:
		$1
}

rule function_26001_0 {
	meta:
		name = "TDispatchAppServer.GetIDsOfNames"
		size = 39
		altNames = "TDispatchSilencer.GetIDsOfNames"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 1C 52 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 0C 50 8B 00 FF 50 14 5D C2 18 00 }
	condition:
		$1
}

rule function_26002_0 {
	meta:
		name = "TDispatchAppServer.Invoke"
		size = 52
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 28 52 8B 55 24 52 8B 55 20 52 8B 55 1C 52 0F B7 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 0C 50 8B 00 FF 50 18 5D C2 24 00 }
	condition:
		$1
}

rule function_26003_0 {
	meta:
		name = "TDispatchAppServer.AS_ApplyUpdates"
		size = 156
		refs = "000d @VarAddRef 002d TDispatchAppServer.AS_ApplyUpdates 0061 @IntfDispCall 0076 @HandleAutoException 007e @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 8B 45 2C 8B 55 2C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 28 50 8B 45 24 50 8B 45 20 50 FF 75 1C FF 75 18 FF 75 14 FF 75 10 8B 45 0C 50 68 ?? ?? ?? ?? 8B 43 0C 50 8B 45 2C 50 E8 ?? ?? ?? ?? 83 C4 2C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 28 00 00 00 2D 31 01 0C 01 05 00 08 0C 03 83 8C 00 00 00 }
	condition:
		$1
}

rule function_26004_0 {
	meta:
		name = "TDispatchAppServer.AS_GetRecords"
		size = 140
		refs = "0025 TDispatchAppServer.AS_GetRecords 0059 @IntfDispCall 006e @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 28 8B 55 28 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 24 50 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 68 ?? ?? ?? ?? 8B 43 0C 50 8B 45 28 50 E8 ?? ?? ?? ?? 83 C4 28 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 24 00 00 01 2D 31 01 0C 01 07 00 08 03 83 03 08 8C 8C 00 }
	condition:
		$1
}

rule function_26005_0 {
	meta:
		name = "TDispatchAppServer.AS_DataRequest"
		size = 140
		refs = "000d @VarAddRef 002d TDispatchAppServer.AS_DataRequest 0055 @IntfDispCall 006a @HandleAutoException 0072 @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 8B 45 20 8B 55 20 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 1C FF 75 18 FF 75 14 FF 75 10 8B 45 0C 50 68 ?? ?? ?? ?? 8B 43 0C 50 8B 45 20 50 E8 ?? ?? ?? ?? 83 C4 20 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 1C 00 00 02 2D 31 01 0C 01 02 00 08 0C 00 00 }
	condition:
		$1
}

rule function_26006_0 {
	meta:
		name = "TDispatchAppServer.AS_GetProviderNames"
		size = 104
		refs = "0025 TDispatchAppServer.AS_GetProviderNames 003d @IntfDispCall 0052 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 43 0C 50 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 00 03 2D 31 01 0C 01 00 00 }
	condition:
		$1
}

rule function_26007_0 {
	meta:
		name = "TDispatchAppServer.AS_GetParams"
		size = 116
		refs = "0025 TDispatchAppServer.AS_GetParams 0045 @IntfDispCall 005a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 14 8B 55 14 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B 45 0C 50 68 ?? ?? ?? ?? 8B 43 0C 50 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 14 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 00 04 2D 31 01 0C 01 02 00 08 8C 00 00 }
	condition:
		$1
}

rule function_26008_0 {
	meta:
		name = "TDispatchAppServer.AS_RowRequest"
		size = 148
		refs = "000d @VarAddRef 002d TDispatchAppServer.AS_RowRequest 005d @IntfDispCall 0072 @HandleAutoException 007a @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 8B 45 28 8B 55 28 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 24 50 8B 45 20 50 FF 75 1C FF 75 18 FF 75 14 FF 75 10 8B 45 0C 50 68 ?? ?? ?? ?? 8B 43 0C 50 8B 45 28 50 E8 ?? ?? ?? ?? 83 C4 28 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 24 00 00 05 2D 31 01 0C 01 04 00 08 0C 03 8C }
	condition:
		$1
}

rule function_26009_0 {
	meta:
		name = "TDispatchAppServer.AS_Execute"
		size = 100
		refs = "000e TDispatchAppServer.AS_Execute 0034 @IntfDispCall 0049 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 68 ?? ?? ?? ?? 8B 40 0C 50 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 14 00 00 00 06 2D 31 01 00 01 04 00 08 08 8C 8C }
	condition:
		$1
}

rule function_26012_0 {
	meta:
		name = "TDispatchConnection.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TCustomRemoteServer.Create 001c RCS 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 44 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26013_0 {
	meta:
		name = "TDispatchConnection.GetServerList"
		size = 312
		refs = "001a TDispatchConnection.GetServerList 0028 Null 0033 @OleVarFromVar 003a _Dn_TStringList 003f TStringList.Create 005a GetMIDASAppServerList 008c VarArrayCreate 00c4 @VarFromUStr 00d1 @VarArrayPut 00ed TObject.Free 00f3 @HandleFinally 010a @UStrClr 0112 @VarClr 011b Variant 0125 @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 85 C0 7E 72 8D 45 D8 50 33 C0 89 45 D0 8B 45 F8 8B 10 FF 52 14 48 89 45 D4 8D 45 D0 66 B9 08 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 32 46 33 DB 53 6A 01 8D 4D BC 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 55 BC 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26015_0 {
	meta:
		name = "TDispatchConnection.SetObjectBroker"
		size = 36
		refs = "0017 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 9C 00 00 00 74 13 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 89 B3 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_26016_0 {
	meta:
		name = "TDispatchConnection.GetServerGUID"
		size = 61
		refs = "002c GUIDToString 0036 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 88 00 00 00 00 75 14 66 83 BB 8C 00 00 00 00 75 0A 66 83 BB 8E 00 00 00 00 74 10 8B D6 8D 83 88 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26017_0 {
	meta:
		name = "TDispatchConnection.SetServerGUID"
		size = 121
		refs = "002b @FillChar 0038 StringToGUID 0053 ProgIDFromCLSID 0065 @UStrFromPWChar 006e CoTaskMemFree"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B F2 8B D8 F6 43 1C 01 75 09 33 D2 8B C3 8B 08 FF 51 58 85 F6 75 14 8D 83 88 00 00 00 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? EB 41 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 8D 74 24 04 8D BB 88 00 00 00 A5 A5 A5 A5 54 8D 83 88 00 00 00 50 E8 ?? ?? ?? ?? 85 C0 75 17 8D 83 98 00 00 00 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26018_0 {
	meta:
		name = "TDispatchConnection.SetServerName"
		size = 155
		refs = "000f TDispatchConnection.SetServerName 0022 @UStrEqual 0044 @WStrFromUStr 004c @WStrToPWChar 0052 CLSIDFromProgID 0068 @FillChar 0075 @UStrAsg 008a @WStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 93 98 00 00 00 E8 ?? ?? ?? ?? 74 51 F6 43 1C 01 75 3E 33 D2 8B C3 8B 08 FF 51 58 8D 83 88 00 00 00 50 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 12 8D 83 88 00 00 00 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 83 98 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26019_0 {
	meta:
		name = "TDispatchConnection.GetConnected"
		size = 142
		refs = "0017 TDispatchConnection.GetConnected 002f VarIsNull 0048 @VarToDisp 006b @VarClr 0073 @IntfClear 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 51 60 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 1B 8D 55 DC 8B C3 8B 08 FF 51 60 8D 55 DC 8D 45 EC E8 ?? ?? ?? ?? 83 7D EC 00 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26037_0 {
	meta:
		name = "TSharedConnection.GetConnected"
		size = 142
		refs = "0017 TSharedConnection.GetConnected 002f VarIsNull 0048 @VarToDisp 006b @VarClr 0073 @IntfClear 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 51 60 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 1B 8D 55 DC 8B C3 8B 08 FF 51 60 8D 55 DC 8D 45 EC E8 ?? ?? ?? ?? 83 7D EC 00 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26020_0 {
	meta:
		name = "TDispatchConnection.SetConnected"
		size = 218
		refs = "0015 TDispatchConnection.SetConnected 005f RemoteLoginDialogProc 007d Abort 0088 TCustomConnection.SetConnected 00c7 @UStrArrayClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 88 55 F7 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 46 44 22 45 F7 74 11 8B C6 8B 10 FF 52 48 84 C0 75 06 F6 46 1C 10 74 04 33 DB EB 02 B3 01 84 DB 74 3E 66 83 BE 82 00 00 00 00 74 11 8D 4D FC 8B D6 8B 86 84 00 00 00 FF 96 80 00 00 00 A1 ?? ?? ?? ?? 83 38 00 74 19 8B 3D ?? ?? ?? ?? 8B 3F 8D 55 F8 8D 45 FC FF D7 84 C0 75 05 E8 ?? ?? ?? ?? 0F B6 55 F7 8B C6 E8 ?? ?? ?? ?? 84 DB 74 21 8B C6 8B 10 FF 52 48 84 C0 74 16 66 83 7E 6A 00 74 0F 8B 45 F8 50 8B 4D FC 8B D6 8B 46 6C FF 56 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26021_0 {
	meta:
		name = "TDispatchConnection.DoDisconnect"
		size = 115
		refs = "0014 TDispatchConnection.DoDisconnect 002c VarIsNull 0038 Null 0058 Variant 0062 @FinalizeArray 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 51 60 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 12 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 E0 8B C3 8B 08 FF 51 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26022_0 {
	meta:
		name = "TDispatchConnection.GetServer"
		size = 220
		refs = "001a TDispatchConnection.GetServer 0031 @IntfClear 004c @VarToDisp 0077 _DV_TDispatchAppServer 007c TDispatchAppServer.Create 008d @IntfCopy 00a2 @VarClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 8B 08 FF 51 58 8B 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 08 FF 51 60 8D 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 10 85 C0 74 35 8D 55 D4 8B C3 8B 08 FF 51 60 8D 55 D4 8D 45 E4 E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C3 00 20 CC EF 1A 24 7A D2 11 98 B0 C6 9B EB 4B 5B 6D }
	condition:
		$1
}

rule function_26042_0 {
	meta:
		name = "TSharedConnection.GetServer"
		size = 220
		refs = "001a TSharedConnection.GetServer 0031 @IntfClear 004c @VarToDisp 0077 _DV_TDispatchAppServer 007c TDispatchAppServer.Create 008d @IntfCopy 00a2 @VarClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 8B 08 FF 51 58 8B 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 08 FF 51 60 8D 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 10 85 C0 74 35 8D 55 D4 8B C3 8B 08 FF 51 60 8D 55 D4 8D 45 E4 E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C3 00 20 CC EF 1A 24 7A D2 11 98 B0 C6 9B EB 4B 5B 6D }
	condition:
		$1
}

rule function_26023_0 {
	meta:
		name = "TDispatchConnection.GetServerCLSID"
		size = 111
		refs = "000b GUID_NULL 0018 IsEqualGUID 0039 SServerNameBlank 0040 _Dn_Exception 0045 Exception.CreateResFmt 004a @RaiseExcept 0057 ProgIDToClassID"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 A1 ?? ?? ?? ?? 50 8D 83 88 00 00 00 50 E8 ?? ?? ?? ?? 84 C0 74 3D 83 BB 98 00 00 00 00 75 25 8B 43 08 89 04 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 83 98 00 00 00 E8 ?? ?? ?? ?? EB 0C 8B FE 8D B3 88 00 00 00 A5 A5 A5 A5 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26024_0 {
	meta:
		name = "TCOMConnection.SetConnected"
		size = 118
		refs = "001f GUID_NULL 002b TDispatchConnection.GetServerCLSID 0035 IsEqualGUID 0052 SServerNameBlank 0059 _Dn_Exception 005e Exception.CreateResFmt 0063 @RaiseExcept 006c TDispatchConnection.SetConnected"
	strings:
		$1 = { 53 56 83 C4 E8 8B DA 8B F0 F6 46 1C 02 75 58 84 DB 74 54 8B C6 8B 10 FF 52 48 84 C0 75 49 A1 ?? ?? ?? ?? 50 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 8D 44 24 04 50 E8 ?? ?? ?? ?? 84 C0 74 2A 8B 46 08 89 44 24 10 C6 44 24 14 11 8D 44 24 10 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 83 C4 18 5E 5B C3 }
	condition:
		$1
}

rule function_26025_0 {
	meta:
		name = "TCOMConnection.DoConnect"
		size = 156
		refs = "0016 TCOMConnection.DoConnect 0026 TDispatchConnection.GetServerCLSID 0031 CreateComObject 0041 @IntfCast 004c @VarFromDisp 006b @IntfClear 007b @VarClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8D 45 D8 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 51 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_26027_0 {
	meta:
		name = "TDCOMConnection.SetComputerName"
		size = 46
		refs = "000f @UStrEqual 0027 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 A0 00 00 00 E8 ?? ?? ?? ?? 74 16 33 D2 8B C3 8B 08 FF 51 58 8D 83 A0 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26028_0 {
	meta:
		name = "TDCOMConnection.IsComputerNameStored"
		size = 29
	strings:
		$1 = { 53 8B D8 83 BB 9C 00 00 00 00 75 09 83 BB A0 00 00 00 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_26029_0 {
	meta:
		name = "TDCOMConnection.DoConnect"
		size = 528
		refs = "0019 TDCOMConnection.DoConnect 0046 TDispatchConnection.GetServerCLSID 006a @UStrAsg 0098 @WStrFromUStr 00a4 CreateRemoteComObject 00b4 @IntfCast 00bf @VarFromDisp 00f2 @HandleAnyException 0118 @UStrClr 011d @DoneExcept 0197 TCOMConnection.DoConnect 01ac @WStrClr 01b4 @IntfClear 01c4 @VarClr 01f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 9C 00 00 00 00 0F 84 00 01 00 00 8B 45 FC 83 B8 A0 00 00 00 00 75 2F 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8D 4D F8 8B 45 FC 8B 80 9C 00 00 00 8B 18 FF 53 44 8B 55 F8 8B 45 FC 05 A0 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 50 8D 45 CC 8B 55 FC 8B 92 A0 00 00 00 E8 ?? ?? ?? ?? 8B 45 CC 8D 4D D0 5A E8 ?? ?? ?? ?? 8B 55 D0 8D 45 D4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8D 45 D8 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 08 FF 51 64 8B 45 FC 8B 90 A0 00 00 00 8B 45 FC 8B 80 9C 00 00 00 B1 01 8B 18 FF 53 40 33 C0 5A 59 59 64 89 10 EB 30 E9 ?? ?? ?? ?? 8B 45 FC 8B 90 A0 00 00 00 8B 45 FC 8B 80 9C 00 00 00 33 C9 8B 18 FF 53 40 8B 45 FC 05 A0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 48 84 C0 0F 84 02 FF FF FF EB 68 8B 45 FC 83 B8 A0 00 00 00 00 74 54 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 50 8D 45 B0 8B 55 FC 8B 92 A0 00 00 00 E8 ?? ?? ?? ?? 8B 45 B0 8D 4D B4 5A E8 ?? ?? ?? ?? 8B 55 B4 8D 45 B8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8D 45 BC E8 ?? ?? ?? ?? 8D 55 BC 8B 45 FC 8B 08 FF 51 64 EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B0 5F 5E 5B 8B E5 5D C3 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_26030_0 {
	meta:
		name = "TOLEnterpriseConnection.SetComputerName"
		size = 61
		refs = "000f @UStrEqual 0027 @UStrAsg 0036 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 A0 00 00 00 E8 ?? ?? ?? ?? 74 16 33 D2 8B C3 8B 08 FF 51 58 8D 83 A0 00 00 00 8B D6 E8 ?? ?? ?? ?? 85 F6 74 0B 8D 83 A4 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26031_0 {
	meta:
		name = "TOLEnterpriseConnection.SetBrokerName"
		size = 61
		refs = "000f @UStrEqual 0027 @UStrAsg 0036 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 A4 00 00 00 E8 ?? ?? ?? ?? 74 16 33 D2 8B C3 8B 08 FF 51 58 8D 83 A4 00 00 00 8B D6 E8 ?? ?? ?? ?? 85 F6 74 0B 8D 83 A0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26032_0 {
	meta:
		name = "WriteValue"
		size = 115
		refs = "0010 @UStrAddRef 0020 WriteValue 0034 TRegistry.ValueExists 0049 TRegistry.WriteString 0063 @UStrArrayClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 84 C0 75 11 8B 45 08 8B 40 FC 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_26033_0 {
	meta:
		name = "TOLEnterpriseConnection.DoConnect"
		size = 3604
		refs = "0017 TOLEnterpriseConnection.DoConnect 0024 _Dn_TRegistry 0029 TRegistry.Create 0047 TRegistry.SetRootKey 0056 TRegistry.OpenKey 006b TRegistry.ReadString 0073 TRegistry.CloseKey 009c IsPathDelimiter 00ad @UStrCat 0112 @UStrLAsg 012e TDispatchConnection.GetServerGUID 0147 Format 01c4 AnsiLowerCase 01d1 AnsiPos 01ef ExtractFileName 0236 TRegistry.WriteString 0270 TRegistry.DeleteKey 02f9 TRegistry.MoveKey 0398 WriteValue 0577 IntToStr 05e4 TRegistry.DeleteValue 06a7 TRegistry.CreateKey 06fb TObject.Free 0701 @HandleFinally 070b TCOMConnection.DoConnect 0728 @UStrArrayClr 073d @UStrClr"
	strings:
		$1 = { 55 8B EC B9 14 00 00 00 6A 00 6A 00 49 75 F9 53 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 02 00 00 80 8B 45 FC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 A7 00 00 00 8D 4D F0 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 49 8B 5D F0 85 DB 74 05 83 EB 04 8B 1B 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D DC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 43 8B 5D F0 85 DB 74 05 83 EB 04 8B 1B 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 00 00 00 80 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 D0 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8D 55 CC 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 CC 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 83 B8 A0 00 00 00 00 0F 85 F6 00 00 00 8B 45 E0 83 B8 A4 00 00 00 00 0F 85 E6 00 00 00 33 C9 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 42 05 00 00 8D 4D EC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 C8 8B 45 EC E8 ?? ?? ?? ?? 8B 55 C8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 36 8D 55 C4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 C4 50 8D 55 BC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 BC 8D 55 C0 E8 ?? ?? ?? ?? 8B 45 C0 5A E8 ?? ?? ?? ?? 85 C0 0F 8E DB 04 00 00 33 C9 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 49 8D 4D E8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 4D EC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C9 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D E8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 81 04 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E9 71 04 00 00 33 C9 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 73 8D 4D EC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 B8 8B 45 EC E8 ?? ?? ?? ?? 8B 55 B8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 42 8D 55 B4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 B4 50 8D 55 AC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 AC 8D 55 B0 E8 ?? ?? ?? ?? 8B 45 B0 5A E8 ?? ?? ?? ?? 85 C0 75 10 6A 01 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? B1 01 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 33 D2 8B 45 FC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA 02 00 00 80 8B 45 FC E8 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 83 B8 A4 00 00 00 00 74 76 8D 45 A8 50 8B 45 E0 8B 80 A4 00 00 00 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA 00 00 00 80 8B 45 FC E8 ?? ?? ?? ?? 8D 45 A4 50 8D 55 A0 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 A0 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 33 C9 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1A 8D 4D E4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 B8 00 00 00 8D 45 E4 8B 55 E0 8B 92 98 00 00 00 E8 ?? ?? ?? ?? 83 7D E4 00 75 0D 8D 55 E4 8B 45 E0 E8 ?? ?? ?? ?? EB 4A 8D 45 9C 50 8B 45 E4 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C B1 01 8B 45 FC E8 ?? ?? ?? ?? 8D 55 98 8B 45 E0 E8 ?? ?? ?? ?? 8B 4D 98 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 94 50 8D 55 90 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 90 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 B1 01 8B 45 FC E8 ?? ?? ?? ?? 8B 4D E4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 8C 50 8D 95 78 FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 85 7C FF FF FF C6 45 80 11 8B 45 E4 89 45 84 C6 45 88 11 8D 95 7C FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 8C B1 01 8B 45 FC E8 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 E0 83 B8 A4 00 00 00 00 0F 94 C0 83 E0 7F 8D 95 74 FF FF FF E8 ?? ?? ?? ?? 8B 8D 74 FF FF FF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 E0 83 B8 A4 00 00 00 00 74 0F BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 39 8D 85 70 FF FF FF 50 8B 45 E0 8B 80 A0 00 00 00 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 70 FF FF FF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 55 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 8D 85 6C FF FF FF 50 8D 95 68 FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8D 85 64 FF FF FF 50 8D 95 60 FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 64 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 60 FF FF FF BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 8C BA 12 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E4 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 24 00 00 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 4F 00 70 00 65 00 6E 00 45 00 6E 00 76 00 69 00 72 00 6F 00 6E 00 6D 00 65 00 6E 00 74 00 5C 00 49 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 52 00 6F 00 6F 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 35 00 00 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 4F 00 70 00 65 00 6E 00 45 00 6E 00 76 00 69 00 72 00 6F 00 6E 00 6D 00 65 00 6E 00 74 00 5C 00 4F 00 4C 00 45 00 6E 00 74 00 65 00 72 00 70 00 72 00 69 00 73 00 65 00 5C 00 41 00 75 00 74 00 6F 00 6D 00 61 00 74 00 69 00 6F 00 6E 00 41 00 67 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6F 00 6C 00 65 00 61 00 61 00 6E 00 34 00 30 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 25 00 73 00 5C 00 49 00 6E 00 70 00 72 00 6F 00 63 00 53 00 65 00 72 00 76 00 65 00 72 00 33 00 32 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 25 00 73 00 5C 00 5F 00 49 00 6E 00 70 00 72 00 6F 00 63 00 53 00 65 00 72 00 76 00 65 00 72 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 41 00 70 00 61 00 72 00 74 00 6D 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 54 00 68 00 72 00 65 00 61 00 64 00 69 00 6E 00 67 00 4D 00 6F 00 64 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 4F 00 70 00 65 00 6E 00 45 00 6E 00 76 00 69 00 72 00 6F 00 6E 00 6D 00 65 00 6E 00 74 00 5C 00 4F 00 4C 00 45 00 6E 00 74 00 65 00 72 00 70 00 72 00 69 00 73 00 65 00 5C 00 44 00 61 00 70 00 5C 00 44 00 43 00 45 00 41 00 70 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 6E 00 63 00 61 00 63 00 6E 00 5F 00 69 00 70 00 5F 00 74 00 63 00 70 00 3A 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 72 00 6F 00 6B 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4C 00 6F 00 67 00 4C 00 65 00 76 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 6F 00 67 00 46 00 69 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 4E 00 61 00 6D 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 73 00 65 00 53 00 65 00 63 00 75 00 72 00 69 00 74 00 79 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 6F 00 6E 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 25 00 73 00 5C 00 50 00 72 00 6F 00 67 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 5C 00 43 00 4C 00 53 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 25 00 73 00 5C 00 44 00 61 00 70 00 5C 00 44 00 43 00 45 00 43 00 6C 00 69 00 65 00 6E 00 74 00 5C 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6D 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 45 00 78 00 74 00 65 00 6E 00 64 00 65 00 64 00 49 00 6D 00 70 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 25 00 63 00 65 00 6C 00 6C 00 25 00 2F 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 73 00 2F 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 73 00 2F 00 25 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 25 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 6D 00 70 00 6F 00 72 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 50 00 72 00 6F 00 74 00 65 00 63 00 74 00 69 00 6F 00 6E 00 4C 00 65 00 76 00 65 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6E 00 63 00 61 00 63 00 6E 00 5F 00 69 00 70 00 5F 00 74 00 63 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 72 00 6F 00 74 00 73 00 65 00 71 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 42 00 69 00 6E 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 50 00 72 00 69 00 6E 00 63 00 69 00 70 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 53 00 65 00 74 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 31 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 69 00 6D 00 65 00 72 00 49 00 6E 00 74 00 65 00 72 00 76 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 56 00 65 00 72 00 69 00 66 00 79 00 41 00 76 00 61 00 69 00 6C 00 61 00 62 00 69 00 6C 00 69 00 74 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 25 00 73 00 5C 00 4E 00 6F 00 74 00 49 00 6E 00 73 00 65 00 72 00 74 00 61 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 25 00 73 00 5C 00 50 00 72 00 6F 00 67 00 72 00 61 00 6D 00 6D 00 61 00 62 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_26035_0 {
	meta:
		name = "TSharedConnection.SetParentConnection"
		size = 64
		refs = "0021 TSharedConnection.ConnectEvent 0033 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 88 00 00 00 3B F0 74 2D 85 C0 74 07 8B D3 8B 08 FF 51 5C 85 F6 74 18 53 68 ?? ?? ?? ?? 8B D3 8B C6 8B 08 FF 51 54 8B D3 8B C6 E8 ?? ?? ?? ?? 89 B3 88 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_26036_0 {
	meta:
		name = "TSharedConnection.ConnectEvent"
		size = 31
	strings:
		$1 = { 53 56 8B D9 8B F0 84 DB 74 09 83 BE 8C 00 00 00 00 74 09 8B D3 8B C6 8B 08 FF 51 58 5E 5B C3 }
	condition:
		$1
}

rule function_26038_0 {
	meta:
		name = "TSharedConnection.DoConnect"
		size = 265
		refs = "0016 TSharedConnection.DoConnect 002d SNoParentConnection 0032 LoadResString 003c _Dn_Exception 0041 Exception.Create 0046 @RaiseExcept 0057 SBlankChildName 0096 @VarToDisp 00a8 @WStrFromUStr 00b4 GetDispatchPropValue 00d3 @WStrClr 00db @VarClr 00e3 @IntfClear 00f8 @UStrArrayClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 88 00 00 00 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BB 8C 00 00 00 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 83 88 00 00 00 8B 08 FF 51 58 8D 55 D4 8B 83 88 00 00 00 8B 08 FF 51 60 8D 55 D4 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 45 D0 8B 93 8C 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8D 4D E8 58 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 08 FF 51 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26039_0 {
	meta:
		name = "TSharedConnection.DoDisconnect"
		size = 78
		refs = "0010 TSharedConnection.DoDisconnect 001e Null 003d @VarClr 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 51 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26045_0 {
	meta:
		name = "TMidasConnection.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TDCOMConnection.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 B0 00 00 00 D3 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26046_0 {
	meta:
		name = "InitConnection"
		size = 98
		refs = "000c InitConnection 0025 TDispatchConnection.SetServerName 0033 TDispatchConnection.GetServerGUID 003d TDispatchConnection.SetServerGUID 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 90 98 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_26047_0 {
	meta:
		name = "TMidasConnection.DoConnect"
		size = 624
		refs = "0019 TMidasConnection.DoConnect 0044 TDCOMConnection.DoConnect 0053 _Dn_TOLEnterpriseConnection 0058 TDispatchConnection.Create 007e @AsClass 0088 InitConnection 00a5 TOLEnterpriseConnection.SetBrokerName 00b7 TOLEnterpriseConnection.SetComputerName 00e7 @HandleAnyException 00f5 TObject.Free 00fa @RaiseAgain 00ff @DoneExcept 010e _Dn_TSocketConnection 0113 TSocketConnection.Create 018f TSocketConnection.SetHost 01c2 TSocketConnection.SetAddress 0231 Variant 023b @FinalizeArray 0241 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 0F B6 80 AC 00 00 00 2C 01 72 0F 0F 84 D1 00 00 00 FE C8 74 12 E9 DF 01 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 D2 01 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 B0 A8 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 55 8B C6 E8 ?? ?? ?? ?? 59 8B 45 FC 80 B8 B4 00 00 00 00 74 12 8B 45 FC 8B 90 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 10 8B 45 FC 8B 90 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 58 8D 55 E8 8B C3 8B 08 FF 51 60 8D 55 E8 8B 45 FC 8B 08 FF 51 64 33 C0 5A 59 59 64 89 10 E9 39 01 00 00 E9 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 17 01 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 A8 00 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 80 A0 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 43 BB 01 00 00 00 BE ?? ?? ?? ?? 8B 55 FC 8B 92 A0 00 00 00 0F B7 54 5A FE 66 81 FA FF 00 77 06 0F B7 D2 0F A3 16 0F 92 C2 84 D2 75 13 8B 45 FC 8B 90 A0 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 04 43 48 75 C2 55 8B 45 FC 8B 80 A8 00 00 00 E8 ?? ?? ?? ?? 59 8B 45 F8 83 B8 D4 00 00 00 00 75 11 8B 45 FC 8B 90 A0 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 00 00 00 8B 55 F8 89 82 D8 00 00 00 B2 01 8B 45 F8 8B 08 FF 51 58 8D 55 D8 8B 45 F8 8B 08 FF 51 60 8D 55 D8 8B 45 FC 8B 08 FF 51 64 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 40 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_26048_0 {
	meta:
		name = "TMidasConnection.DoDisconnect"
		size = 31
		refs = "0006 TDispatchConnection.DoDisconnect 0011 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 A8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_26049_0 {
	meta:
		name = "TMidasConnection.SetConnectType"
		size = 32
		altNames = "TSoapConnection.SetUseSoapAdapter"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E AC 00 00 00 74 0F 33 D2 8B C6 8B 08 FF 51 58 88 9E AC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_26050_0 {
	meta:
		name = "TMidasConnection.SetUseBroker"
		size = 22
	strings:
		$1 = { 3A 90 B4 00 00 00 74 0D 88 90 B4 00 00 00 33 D2 8B 08 FF 51 58 C3 }
	condition:
		$1
}

rule function_26053_0 {
	meta:
		name = "TMtsDataModule.Create"
		size = 57
		refs = "000a @ClassCreate 001b TRemoteDataModule.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 46 70 01 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26054_0 {
	meta:
		name = "TMtsDataModule.Activate"
		size = 99
		refs = "0010 TMtsDataModule.Activate 001e GetObjectContext 002c @IntfCopy 004d @HandleAutoException 0055 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 83 88 00 00 00 E8 ?? ?? ?? ?? 66 83 7B 7A 00 74 08 8B D3 8B 43 7C FF 53 78 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_26055_0 {
	meta:
		name = "TMtsDataModule.Deactivate"
		size = 47
		refs = "0026 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 66 83 BB 82 00 00 00 00 74 0E 8B D3 8B 83 84 00 00 00 FF 93 80 00 00 00 8D 83 88 00 00 00 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_26056_0 {
	meta:
		name = "TMtsDataModule.CanBePooled"
		size = 20
	strings:
		$1 = { 55 8B EC 8B 45 08 80 B8 8C 00 00 00 01 F5 1B C0 5D C2 04 00 }
	condition:
		$1
}

rule function_26057_0 {
	meta:
		name = "TMtsDataModule.SetComplete"
		size = 27
		refs = "0016 @CheckAutoResult"
	strings:
		$1 = { 83 B8 88 00 00 00 00 74 11 8B 80 88 00 00 00 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26058_0 {
	meta:
		name = "TMtsDataModule.SetAbort"
		size = 27
		refs = "0016 @CheckAutoResult"
	strings:
		$1 = { 83 B8 88 00 00 00 00 74 11 8B 80 88 00 00 00 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26059_0 {
	meta:
		name = "TMtsDataModule.EnableCommit"
		size = 27
		refs = "0016 @CheckAutoResult"
	strings:
		$1 = { 83 B8 88 00 00 00 00 74 11 8B 80 88 00 00 00 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26060_0 {
	meta:
		name = "TMtsDataModule.DisableCommit"
		size = 27
		refs = "0016 @CheckAutoResult"
	strings:
		$1 = { 83 B8 88 00 00 00 00 74 11 8B 80 88 00 00 00 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26061_0 {
	meta:
		name = "TMtsDataModule.IsInTransaction"
		size = 36
	strings:
		$1 = { 53 8B D8 83 BB 88 00 00 00 00 74 14 8B 83 88 00 00 00 50 8B 00 FF 50 20 83 F8 01 1B C0 40 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_26062_0 {
	meta:
		name = "TMtsDataModule.IsSecurityEnabled"
		size = 36
	strings:
		$1 = { 53 8B D8 83 BB 88 00 00 00 00 74 14 8B 83 88 00 00 00 50 8B 00 FF 50 24 83 F8 01 1B C0 40 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_26063_0 {
	meta:
		name = "TMtsDataModule.IsCallerInRole"
		size = 50
		refs = "001f @CheckAutoResult"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 83 BB 88 00 00 00 00 74 1C 54 56 8B 83 88 00 00 00 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 83 3C 24 01 1B C0 40 EB 02 33 C0 5A 5E 5B C3 }
	condition:
		$1
}

rule function_26064_0 {
	meta:
		name = "TMtsDataModule.CallComplete"
		size = 23
		refs = "000b TMtsDataModule.SetComplete 0012 TMtsDataModule.SetAbort"
	strings:
		$1 = { 80 78 70 00 74 10 84 D2 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26065_0 {
	meta:
		name = "TMtsDataModule.AS_GetProviderNames"
		size = 141
		refs = "0024 TMtsDataModule.AS_GetProviderNames 0040 @VarClr 004a TRemoteDataModule.AS_GetProviderNames 004f @CheckAutoResult 006c @HandleFinally 0080 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C E8 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 08 8B 08 FF 51 64 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_26066_0 {
	meta:
		name = "TMtsDataModule.AS_ApplyUpdates"
		size = 218
		refs = "0010 @VarAddRef 0032 TMtsDataModule.AS_ApplyUpdates 004e @VarClr 006e TRemoteDataModule.AS_ApplyUpdates 0073 @CheckAutoResult 009f @HandleAnyException 00ae @RaiseAgain 00b3 @DoneExcept 00c5 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 24 8B 5D 20 8D 45 10 E8 ?? ?? ?? ?? 8B 45 2C 8B 55 2C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 2C E8 ?? ?? ?? ?? 50 8B 45 28 50 56 53 FF 75 1C FF 75 18 FF 75 14 FF 75 10 8B 45 0C 50 8B 45 08 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 1E 7D 03 43 75 0C B2 01 8B 45 08 8B 08 FF 51 64 EB 0A 33 D2 8B 45 08 8B 08 FF 51 64 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 33 D2 8B 45 08 8B 08 FF 51 64 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 28 00 }
	condition:
		$1
}

rule function_26067_0 {
	meta:
		name = "TMtsDataModule.AS_GetRecords"
		size = 169
		refs = "0024 TMtsDataModule.AS_GetRecords 0040 @VarClr 0066 TRemoteDataModule.AS_GetRecords 006b @CheckAutoResult 0088 @HandleFinally 009c @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 28 8B 55 28 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 28 E8 ?? ?? ?? ?? 50 8B 45 24 50 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 08 8B 08 FF 51 64 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 24 00 }
	condition:
		$1
}

rule function_26068_0 {
	meta:
		name = "TMtsDataModule.AS_DataRequest"
		size = 126
		refs = "000d @VarAddRef 002d TMtsDataModule.AS_DataRequest 003b @VarClr 0052 TRemoteDataModule.AS_DataRequest 0057 @CheckAutoResult 0069 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 8B 45 20 8B 55 20 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 20 E8 ?? ?? ?? ?? 50 FF 75 1C FF 75 18 FF 75 14 FF 75 10 8B 45 0C 50 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_26069_0 {
	meta:
		name = "TMtsDataModule.AS_GetParams"
		size = 149
		refs = "0024 TMtsDataModule.AS_GetParams 0040 @VarClr 0052 TRemoteDataModule.AS_GetParams 0057 @CheckAutoResult 0074 @HandleFinally 0088 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 14 8B 55 14 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 E8 ?? ?? ?? ?? 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 08 8B 08 FF 51 64 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_26070_0 {
	meta:
		name = "TMtsDataModule.AS_RowRequest"
		size = 181
		refs = "000a @VarAddRef 002c TMtsDataModule.AS_RowRequest 0048 @VarClr 006a TRemoteDataModule.AS_RowRequest 006f @CheckAutoResult 008c @HandleFinally 00a0 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8D 45 10 E8 ?? ?? ?? ?? 8B 45 28 8B 55 28 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 28 E8 ?? ?? ?? ?? 50 8B 45 24 50 8B 45 20 50 FF 75 1C FF 75 18 FF 75 14 FF 75 10 8B 45 0C 50 8B 45 08 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 08 8B 08 FF 51 64 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 24 00 }
	condition:
		$1
}

rule function_26071_0 {
	meta:
		name = "TMtsDataModule.AS_Execute"
		size = 125
		refs = "000d TMtsDataModule.AS_Execute 003a TRemoteDataModule.AS_Execute 003f @CheckAutoResult 005c @HandleFinally 0070 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 08 8B 08 FF 51 64 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_26074_0 {
	meta:
		name = "TServerItem.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 18 D3 00 00 00 C6 46 14 00 C6 46 0C 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26077_0 {
	meta:
		name = "TServerCollection.FindServer"
		size = 76
		refs = "0021 TServerCollection.GetItem 002b @UStrEqual"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 33 C0 89 04 24 8B 47 08 8B 70 08 4E 85 F6 7C 2A 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 10 8B D5 E8 ?? ?? ?? ?? 75 0E 8B D3 8B C7 E8 ?? ?? ?? ?? 89 04 24 EB 04 43 4E 75 D9 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26079_0 {
	meta:
		name = "TServerCollection.GetNextName"
		size = 118
		refs = "000b @UStrClr 0022 TServerCollection.GetItem 004a @UStrAsg 005c SNoServers 0063 _DV_EBrokerException 0068 Exception.CreateRes 006d @RaiseExcept"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 8B C5 E8 ?? ?? ?? ?? 8B 46 08 8B 78 08 4F 85 FF 7C 3A 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 14 00 75 24 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 0C 00 74 15 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 10 8B C5 E8 ?? ?? ?? ?? EB 04 43 4F 75 C9 83 7D 00 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26080_0 {
	meta:
		name = "TServerCollection.GetBalancedName"
		size = 239
		refs = "0017 TServerCollection.GetBalancedName 0039 :TServerCollection.:1 003e @DynArraySetLength 0058 TServerCollection.GetItem 0092 SNoServers 0099 _DV_EBrokerException 009e Exception.CreateRes 00a3 @RaiseExcept 00a8 Randomize 00b0 Random 00c1 @UStrAsg 00dc @DynArrayClear 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B DE 8B 43 08 8B 40 08 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 08 8B 78 08 4F 85 FF 7C 3A 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 14 00 75 24 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 0C 00 74 15 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 4D F4 89 04 8A FF 45 F4 43 4F 75 C9 83 7D F4 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 FC 8B 04 82 8B 50 10 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26082_0 {
	meta:
		name = "TSimpleObjectBroker.Create"
		size = 74
		refs = "000a @ClassCreate 0017 TComponent.Create 0024 _DV_TServerCollection 0029 TServerCollection.Create 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 3C 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26084_0 {
	meta:
		name = "TSimpleObjectBroker.GetServerData"
		size = 264
		refs = "001e TSimpleObjectBroker.GetServerData 002b _Dn_TMemoryStream 0030 TObject.Create 004b TSimpleObjectBroker.SaveToStream 006f VarArrayCreate 007a @OleVarFromVar 0082 VarArrayLock 00a8 Move 00bd VarArrayUnlock 00c3 @HandleFinally 00da TObject.Free 00f7 @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 C9 89 4D E8 89 4D EC 89 4D F0 89 4D F4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 50 33 C0 89 45 E0 8B 45 F8 8B 10 FF 12 89 45 E4 8D 45 E0 66 B9 11 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 12 8B C8 8B D3 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26085_0 {
	meta:
		name = "TSimpleObjectBroker.SetServerData"
		size = 235
		refs = "0011 VarIsNull 001d VarIsClear 002c TCollection.Clear 0038 _Dn_TMemoryStream 003d TObject.Create 0048 TSimpleObjectBroker.SetServerData 005b VarArrayHighBound 0066 TStream.SetSize64 006e VarArrayLock 00a6 VarArrayUnlock 00ac @HandleFinally 00ba TStream.SetPosition 00c5 TSimpleObjectBroker.LoadFromStream 00da TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? E9 B1 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 BA 01 00 00 00 E8 ?? ?? ?? ?? 99 52 50 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 12 8B C8 8B D3 8B 45 F4 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26086_0 {
	meta:
		name = "TSimpleObjectBroker.SaveToStream"
		size = 87
		refs = "000f _Dn_TWriter 0016 TFiler.Create 0021 TSimpleObjectBroker.SaveToStream 0032 TWriter.WriteCollection 0047 TObject.Free 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 00 04 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 38 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_26087_0 {
	meta:
		name = "TSimpleObjectBroker.LoadFromStream"
		size = 107
		refs = "000e TCollection.Clear 001c _Dn_TReader 0021 TFiler.Create 002c TSimpleObjectBroker.LoadFromStream 003a TReader.ReadValue 0045 TReader.ReadCollection 005a TObject.Free 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B 43 38 E8 ?? ?? ?? ?? 68 00 04 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 53 38 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26088_0 {
	meta:
		name = "TSimpleObjectBroker.GetNextComputer"
		size = 38
		refs = "0012 TServerCollection.GetBalancedName 001f TServerCollection.GetNextName"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 3C 00 74 0D 8B D6 8B 43 38 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B 43 38 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26091_0 {
	meta:
		name = "TSimpleObjectBroker.GetPortForComputer"
		size = 19
		refs = "0004 TServerCollection.FindServer"
	strings:
		$1 = { 8B 40 38 E8 ?? ?? ?? ?? 85 C0 74 04 8B 40 18 C3 33 C0 C3 }
	condition:
		$1
}

rule function_26092_0 {
	meta:
		name = "TSimpleObjectBroker.IsServersStored"
		size = 14
	strings:
		$1 = { 8B 40 38 8B 40 08 83 78 08 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_26093_0 {
	meta:
		name = "TSimpleObjectBroker.SetConnectStatus"
		size = 90
		refs = "0011 @UStrAddRef 0019 TSimpleObjectBroker.SetConnectStatus 002a TServerCollection.FindServer 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 46 38 E8 ?? ?? ?? ?? 85 C0 74 06 80 F3 01 88 58 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26094_0 {
	meta:
		name = "TCustomWebUserList.SetItems"
		size = 13
		altNames = "TSimpleObjectBroker.SetServers"
	strings:
		$1 = { 56 8B F0 8B 46 38 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_26112_0 {
	meta:
		name = "CheckSignature"
		size = 47
		refs = "0019 SInvalidDataPacket 0020 _Dn_Exception 0025 Exception.CreateRes 002a @RaiseExcept"
	strings:
		$1 = { BA 00 FF 00 00 23 D0 81 FA 00 DA 00 00 74 1F 81 FA 00 DB 00 00 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26113_0 {
	meta:
		name = "LoadWinSock2"
		size = 276
		refs = "0003 hWinSock2 0010 LoadWinSock2 0015 LoadLibrary 0038 GetProcAddress 003d WSACreateEvent 0052 WSAResetEvent 0067 WSACloseEvent 007c WSAEventSelect"
	strings:
		$1 = { 53 83 3D ?? ?? ?? ?? 00 0F 97 C3 84 DB 75 71 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 97 C3 84 DB 74 54 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B C3 5B C3 77 00 73 00 32 00 5F 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 57 00 53 00 41 00 43 00 72 00 65 00 61 00 74 00 65 00 45 00 76 00 65 00 6E 00 74 00 00 00 00 00 57 00 53 00 41 00 52 00 65 00 73 00 65 00 74 00 45 00 76 00 65 00 6E 00 74 00 00 00 57 00 53 00 41 00 43 00 6C 00 6F 00 73 00 65 00 45 00 76 00 65 00 6E 00 74 00 00 00 57 00 53 00 41 00 45 00 76 00 65 00 6E 00 74 00 53 00 65 00 6C 00 65 00 63 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_26114_0 {
	meta:
		name = "GetPacketInterceptorList"
		size = 640
		refs = "0034 GetPacketInterceptorList 0049 @IntfClear 0058 CLSID_StdComponentCategoryMgr 005e CoCreateInstance 0077 CATID_MIDASInterceptor 0088 OleCheck 0098 ClassIDToProgID 00db RegOpenKeyEx 011f GUIDToString 0147 Format 015d @UStrFromWArray 016e StringToGUID 01a3 RegEnumKey 01c1 RegCloseKey 01c7 @HandleFinally 01e6 @UStrArrayClr 01f1 @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 BC FD FF FF 53 56 33 D2 89 95 C0 FD FF FF 89 95 BC FD FF FF 89 95 C4 FD FF FF 89 95 D8 FD FF FF 89 55 FC 89 55 F8 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 44 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 01 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A9 00 00 00 80 75 5C 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 A1 ?? ?? ?? ?? 50 6A 01 8B 45 F8 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? EB 1B 8D 95 D8 FD FF FF 8D 45 DC E8 ?? ?? ?? ?? 8B 95 D8 FD FF FF 8B C3 8B 08 FF 51 38 8D 45 F0 50 8D 45 DC 50 6A 01 8B 45 FC 50 8B 00 FF 50 0C 85 C0 74 CE E9 08 01 00 00 8D 45 EC 50 68 19 00 02 00 6A 00 68 ?? ?? ?? ?? 68 00 00 00 80 E8 ?? ?? ?? ?? 85 C0 0F 84 E6 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 E9 95 00 00 00 8D 45 F4 50 8D 85 DC FD FF FF 89 85 C8 FD FF FF C6 85 CC FD FF FF 0A 8D 95 C4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 C4 FD FF FF 89 85 D0 FD FF FF C6 85 D4 FD FF FF 11 8D 95 C8 FD FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 BC FD FF FF 8D 95 DC FD FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 8B 85 BC FD FF FF 8D 95 C8 FD FF FF E8 ?? ?? ?? ?? 8D 85 C8 FD FF FF 8D 95 C0 FD FF FF E8 ?? ?? ?? ?? 8B 95 C0 FD FF FF 8B C3 8B 08 FF 51 38 46 68 00 02 00 00 8D 85 DC FD FF FF 50 56 8B 45 EC 50 E8 ?? ?? ?? ?? 85 C0 0F 84 4D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 BC FD FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 D8 FD FF FF E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5E 5B 8B E5 5D C3 00 13 E0 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 43 00 4C 00 53 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 25 00 73 00 5C 00 49 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 65 00 64 00 20 00 43 00 61 00 74 00 65 00 67 00 6F 00 72 00 69 00 65 00 73 00 5C 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_26115_0 {
	meta:
		name = "FreeWinSock2"
		size = 56
		refs = "0002 hWinSock2 000c WSACreateEvent 0013 WSAResetEvent 001a WSACloseEvent 0021 WSAEventSelect 002c FreeLibrary"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 76 27 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26116_0 {
	meta:
		name = "OpenRegKey"
		size = 52
		refs = "0018 @UStrToPWChar 001f RegOpenKeyEx"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8D 45 FC 50 68 19 00 02 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 74 05 33 C0 89 45 FC 8B 45 FC 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26117_0 {
	meta:
		name = "EnumRegKey"
		size = 74
		refs = "0024 RegEnumKey 003b @UStrFromWArray"
	strings:
		$1 = { 55 8B EC 81 C4 FC FD FF FF 53 56 57 89 4D FC 8B FA 8B F0 33 DB 68 00 02 00 00 8D 85 FC FD FF FF 50 57 56 E8 ?? ?? ?? ?? 85 C0 75 15 8B 45 FC 8D 95 FC FD FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? B3 01 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26118_0 {
	meta:
		name = "QueryRegKey"
		size = 87
		refs = "002a @UStrToPWChar 0031 RegQueryValue 0048 @UStrFromWArray"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FD FF FF 53 56 57 89 4D FC 8B FA 8B F0 33 DB C7 45 F8 00 02 00 00 8D 45 F8 50 8D 85 F8 FD FF FF 50 8B C7 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 85 C0 75 15 8B 45 FC 8D 95 F8 FD FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? B3 01 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26120_0 {
	meta:
		name = "GetDataBrokerList"
		size = 700
		refs = "001a GetDataBrokerList 0036 OpenRegKey 0072 @UStrCatN 0080 QueryRegKey 008d @UStrEqual 00a3 @UStrCat3 0150 StringToGUID 015b ClassIDToProgID 0173 EnumRegKey 0190 CloseRegKey 0196 @HandleFinally 01b2 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 10 FF 52 44 BA ?? ?? ?? ?? B8 00 00 00 80 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 55 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB E9 0E 01 00 00 85 F6 74 37 FF 75 FC 68 ?? ?? ?? ?? 56 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 D3 00 00 00 8D 45 EC B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F8 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 85 AC 00 00 00 8D 45 E8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 4D F8 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 86 00 00 00 8D 45 E4 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 4D F8 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 64 8D 45 E0 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 4D F8 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 42 8D 45 DC B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 4D F8 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 20 8D 55 C8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 C8 8D 55 D8 E8 ?? ?? ?? ?? 8B 55 D8 8B C7 8B 08 FF 51 38 43 8D 4D FC 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 85 DD FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 4C 00 53 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5C 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 5C 00 50 00 72 00 6F 00 67 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5C 00 54 00 79 00 70 00 65 00 4C 00 69 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5C 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 5C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 20 00 44 00 61 00 74 00 61 00 42 00 72 00 6F 00 6B 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_26121_0 {
	meta:
		name = "TDataBlock.Create"
		size = 78
		refs = "000a @ClassCreate 0017 TObject.Create 0022 _Dn_TMemoryStream 0030 TDataBlock.Clear 003b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 18 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 56 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26122_0 {
	meta:
		name = "TDataBlock.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0015 TObject.Free 0020 TObject.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 18 00 75 08 8B 46 0C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26123_0 {
	meta:
		name = "TDataBlock.GetBytesReserved"
		size = 12
	strings:
		$1 = { 55 8B EC B8 08 00 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_26124_0 {
	meta:
		name = "TDataBlock.GetMemory"
		size = 70
		refs = "0011 TStream.SetPosition 0020 TDataBlock.GetBytesReserved"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 5D 08 6A 00 6A 04 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C 8B 10 FF 12 8B F0 53 E8 ?? ?? ?? ?? 2B F0 89 75 FC 8D 55 FC B9 04 00 00 00 8B 43 0C 8B 30 FF 56 10 8B 43 0C 8B 40 04 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_26125_0 {
	meta:
		name = "TDataBlock.GetSize"
		size = 31
		refs = "0011 TDataBlock.GetBytesReserved"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 43 0C 8B 10 FF 12 50 53 E8 ?? ?? ?? ?? 8B D0 58 2B C2 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_26126_0 {
	meta:
		name = "TDataBlock.SetSize"
		size = 32
		refs = "0009 TDataBlock.GetBytesReserved 0017 TStream.SetSize64"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 E8 ?? ?? ?? ?? 03 45 0C 99 52 50 8B 43 0C E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_26127_0 {
	meta:
		name = "TDataBlock.GetStream"
		size = 79
		refs = "0011 TStream.SetPosition 0020 TDataBlock.GetBytesReserved"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 5D 08 6A 00 6A 04 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C 8B 10 FF 12 8B F0 53 E8 ?? ?? ?? ?? 2B F0 89 75 FC 8D 55 FC B9 04 00 00 00 8B 43 0C 8B 30 FF 56 10 6A 00 6A 00 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_26128_0 {
	meta:
		name = "TDataBlock.GetSignature"
		size = 45
		refs = "0010 TStream.SetPosition"
	strings:
		$1 = { 55 8B EC 51 53 8B 5D 08 6A 00 6A 00 8B 43 0C E8 ?? ?? ?? ?? 8D 55 FC B9 04 00 00 00 8B 43 0C 8B 18 FF 53 0C 8B 45 FC 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_26129_0 {
	meta:
		name = "TDataBlock.SetSignature"
		size = 40
		refs = "000f TStream.SetPosition"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 6A 00 6A 00 8B 43 0C E8 ?? ?? ?? ?? 8D 55 0C B9 04 00 00 00 8B 43 0C 8B 18 FF 53 10 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_26130_0 {
	meta:
		name = "TDataBlock.Clear"
		size = 47
		refs = "0009 TDataBlock.GetBytesReserved 0014 TStream.SetSize64"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 E8 ?? ?? ?? ?? 99 52 50 8B 43 0C E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 89 43 10 53 E8 ?? ?? ?? ?? 89 43 14 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_26131_0 {
	meta:
		name = "TDataBlock.Write"
		size = 57
		refs = "0012 TStream.SetPosition 002a TStream.GetPosition"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8B 43 14 99 52 50 8B 43 0C E8 ?? ?? ?? ?? 8B 55 0C 8B 4D 10 8B 43 0C 8B 30 FF 56 10 8B F0 8B 43 0C E8 ?? ?? ?? ?? 89 43 14 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_26132_0 {
	meta:
		name = "TDataBlock.Read"
		size = 57
		refs = "0012 TStream.SetPosition 002a TStream.GetPosition"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8B 43 10 99 52 50 8B 43 0C E8 ?? ?? ?? ?? 8B 55 0C 8B 4D 10 8B 43 0C 8B 30 FF 56 0C 8B F0 8B 43 0C E8 ?? ?? ?? ?? 89 43 10 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_26133_0 {
	meta:
		name = "TDataBlock.IgnoreStream"
		size = 14
	strings:
		$1 = { 55 8B EC 8B 45 08 C6 40 18 01 5D C2 04 00 }
	condition:
		$1
}

rule function_26134_0 {
	meta:
		name = "TDataBlock.InitData"
		size = 175
		refs = "0016 SInvalidDataPacket 001d _Dn_Exception 0022 Exception.CreateRes 0027 @RaiseExcept 0035 CheckSignature 003c TDataBlock.SetSignature 006f TDataBlock.SetSize 007b TDataBlock.Write 0090 TDataBlock.GetSize"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 0C 8B 75 08 8B D8 83 7D 10 08 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 3B 8B D8 83 C3 04 8B C7 E8 ?? ?? ?? ?? 57 56 E8 ?? ?? ?? ?? 8B 3B 83 C3 04 80 7D 14 00 74 36 8B 45 10 83 E8 08 3B F8 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 57 56 E8 ?? ?? ?? ?? 85 FF 7E 2F 57 53 56 E8 ?? ?? ?? ?? EB 25 8B 45 10 83 E8 08 50 56 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 85 C0 7E 0E 56 E8 ?? ?? ?? ?? 50 53 56 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_26135_0 {
	meta:
		name = "TDataBlockInterpreter.Create"
		size = 168
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 @UStrAddRef 002d TDataBlockInterpreter.Create 003c TObject.Create 0047 @IntfCopy 004e _Dn_TList 0061 @UStrAsg 0076 @IntfClear 007e @UStrClr 0084 @HandleFinally 0091 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 18 8B 55 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8D 46 1C 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_26136_0 {
	meta:
		name = "TDataBlockInterpreter.Destroy"
		size = 87
		refs = "0004 @BeforeDestruction 001e TList.Get 0031 TObject.Free 0039 @IntfClear 0044 TObject.Destroy 004f @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 8B 78 08 4F 83 FF 00 7C 15 8B 46 04 8B D7 E8 ?? ?? ?? ?? 33 D2 89 50 10 4F 83 FF FF 75 EB 8B 46 04 E8 ?? ?? ?? ?? 8D 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26137_0 {
	meta:
		name = "TDataBlockInterpreter.AddDispatch"
		size = 32
		refs = "000c TList.IndexOf 0019 TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 40 75 0A 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26139_0 {
	meta:
		name = "TDataBlockInterpreter.GetVariantPointer"
		size = 46
	strings:
		$1 = { 0F B7 02 66 83 E8 02 72 13 66 83 E8 07 74 10 66 83 E8 03 74 0E 66 FF C8 74 0C EB 0E 33 C0 C3 8B 42 08 C3 8B C2 C3 8B 42 08 C3 8D 42 08 C3 }
	condition:
		$1
}

rule function_26140_0 {
	meta:
		name = "TDataBlockInterpreter.CopyDataByRef"
		size = 335
		refs = "0021 @VarClear 002e SafeArrayCopy 0033 SafeArrayCheck 0052 TDataBlockInterpreter.CopyDataByRef 009d SysAllocString 00bc SysReAllocString 0102 @VarCopy 011f VariantSize 012a Move"
	strings:
		$1 = { 53 56 57 55 51 8B F1 8B DA 89 04 24 0F B7 13 0F B7 FA 8B C2 66 25 00 20 66 3D 00 20 75 1E 8B C6 E8 ?? ?? ?? ?? 8D 46 08 50 8B 43 08 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0A 01 00 00 8B EA 66 81 E5 FF 0F 0F B7 C5 83 F8 0D 0F 87 A6 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 01 00 00 00 00 00 00 02 03 00 00 04 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 BE 00 00 00 0F B7 06 8B D0 66 81 E2 FF 0F 66 83 FA 08 74 11 8B 43 08 50 E8 ?? ?? ?? ?? 89 46 08 E9 9D 00 00 00 66 25 00 40 66 3D 00 40 75 12 8B 43 08 50 8B 46 08 50 E8 ?? ?? ?? ?? E9 81 00 00 00 8B 43 08 50 8D 46 08 50 E8 ?? ?? ?? ?? EB 72 8B 43 08 89 46 08 EB 6A 8B CE 8B 43 08 8B D0 8B 04 24 E8 ?? ?? ?? ?? EB 59 8B 43 08 89 46 08 EB 51 0F B7 06 66 85 C0 75 0B 8B C6 8B D3 E8 ?? ?? ?? ?? EB 3E 66 25 00 40 66 3D 00 40 75 1E 81 CF 00 40 00 00 0F B7 C5 0F B7 0C 45 ?? ?? ?? ?? 8B 56 08 8D 43 08 E8 ?? ?? ?? ?? EB 16 0F B7 C5 0F B7 0C 45 ?? ?? ?? ?? 8D 56 08 8D 43 08 E8 ?? ?? ?? ?? 66 89 3E 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26141_0 {
	meta:
		name = "TDataBlockInterpreter.ReadArray"
		size = 801
		refs = "002f TDataBlockInterpreter.ReadArray 003d @VarClear 005e @GetMem 010c VarArrayCreate 0117 @OleVarFromVar 012c @FreeMem 0132 @HandleFinally 0168 VarArrayLock 0199 VarArrayUnlock 01cd @FillChar 01fa TDataBlockInterpreter.ReadVariant 0215 SafeArrayPutElement 021a SafeArrayCheck 026f @TryFinallyExit 0305 @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 33 DB 89 5D B8 89 5D BC 89 5D C0 89 5D C4 89 5D F0 89 5D F4 89 5D F8 89 5D FC 89 4D E4 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 6A 04 8D 45 CC 50 8B 45 E4 50 8B 00 FF 50 30 8B 45 CC 03 C0 03 C0 89 45 C8 8B 45 C8 E8 ?? ?? ?? ?? 89 45 DC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 C8 E8 ?? ?? ?? ?? 89 45 D8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 C8 50 8B 45 DC 50 8B 45 E4 50 8B 00 FF 50 30 8B 45 C8 50 8B 45 D8 50 8B 45 E4 50 8B 00 FF 50 30 8B 45 C8 03 C0 E8 ?? ?? ?? ?? 89 45 D0 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 CC 48 85 C0 7C 24 40 33 DB 8B 4D DC 8B 0C 99 8B D3 03 D2 8B 75 D0 89 0C 96 8B 4D D8 8B 0C 99 8B 75 D0 89 4C 96 04 43 48 75 DF 8D 45 B8 50 0F B7 4D E8 66 81 E1 FF 0F 8B 55 CC 03 D2 4A 8B 45 D0 E8 ?? ?? ?? ?? 8D 55 B8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 E8 25 FF 0F 00 00 83 C0 FE 83 E8 06 72 0D 83 E8 03 74 08 83 C0 FB 83 E8 04 73 50 6A 04 8D 45 C8 50 8B 45 E4 50 8B 00 FF 50 30 8B 45 08 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 C8 52 50 8B 45 E4 50 8B 00 FF 50 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 75 08 8B 76 08 8B 45 C8 E8 ?? ?? ?? ?? 89 45 D4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 D4 33 C9 8B 55 C8 E8 ?? ?? ?? ?? 8B 45 CC 48 85 C0 7C 13 40 33 DB 8B 55 DC 8B 14 9A 8B 4D D4 89 14 99 43 48 75 F0 8D 45 F0 50 8D 55 E3 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 25 FF 0F 00 00 83 F8 0C 75 15 8D 45 F0 50 8B 45 D4 50 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B 45 F8 50 8B 45 D4 50 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 8B 55 CC FF 44 90 FC 8B 45 D4 8B 55 CC 8B 44 90 FC 8B 55 D8 8B 4D CC 3B 44 8A FC 7E 99 8B 5D CC 4B 83 FB 00 7C 90 8B 45 D4 8B 04 98 8B 55 D8 3B 04 9A 7E 28 85 DB 75 11 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 75 8B 45 D4 FF 44 98 FC 8B 45 DC 8B 04 98 8B 55 D4 89 04 9A 4B 83 FB FF 75 C4 E9 4F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_26142_0 {
	meta:
		name = "TDataBlockInterpreter.WriteArray"
		size = 856
		refs = "0024 TDataBlockInterpreter.WriteArray 0032 FindVarData 005f VarArrayDimCount 0083 @GetMem 00c3 VarArrayLowBound 00d4 VarArrayHighBound 012b SafeArrayGetElemsize 0164 VarArrayLock 01a6 VarArrayUnlock 01ac @HandleFinally 0200 SafeArrayGetElement 0205 SafeArrayCheck 021b @VarClr 024a TDataBlockInterpreter.WriteVariant 025f @VarClear 02af @TryFinallyExit 02ee @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 DB 89 5D F0 89 5D F4 89 5D F8 89 5D FC 89 4D E4 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 E8 ?? ?? ?? ?? 8B F0 8D 7D B8 A5 A5 A5 A5 0F B7 45 B8 89 45 E0 8B 45 C0 89 45 D4 6A 04 8D 45 E0 50 8B 45 E4 50 8B 00 FF 50 2C 8B 45 E8 E8 ?? ?? ?? ?? 89 45 D8 6A 04 8D 45 D8 50 8B 45 E4 50 8B 00 FF 50 2C 8B 45 D8 03 C0 03 C0 89 45 DC 8B 45 DC E8 ?? ?? ?? ?? 89 45 D0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 DC E8 ?? ?? ?? ?? 89 45 CC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 75 D8 85 F6 7E 2B BB 01 00 00 00 8B 45 E8 8B D3 E8 ?? ?? ?? ?? 8B 55 D0 89 44 9A FC 8B 45 E8 8B D3 E8 ?? ?? ?? ?? 8B 55 CC 89 44 9A FC 43 4E 75 DA 8B 45 DC 50 8B 45 D0 50 8B 45 E4 50 8B 00 FF 50 2C 8B 45 DC 50 8B 45 CC 50 8B 45 E4 50 8B 00 FF 50 2C 8B 45 E0 25 FF 0F 00 00 83 C0 FE 83 E8 06 72 11 83 E8 03 74 0C 83 C0 FB 83 E8 04 0F 83 8C 00 00 00 8B 45 D4 50 E8 ?? ?? ?? ?? C7 45 DC 01 00 00 00 8B 75 D8 4E 85 F6 7C 1B 46 33 DB 8B 55 CC 8B 14 9A 8B 4D D0 2B 14 99 42 0F AF 55 DC 89 55 DC 43 4E 75 E8 0F AF 45 DC 89 45 DC 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 DC 50 8B 45 E4 50 8B 00 FF 50 2C 8B 45 DC 50 53 8B 45 E4 50 8B 00 FF 50 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 DC E8 ?? ?? ?? ?? 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 D8 4E 85 F6 7C 13 46 33 DB 8B 45 D0 8B 04 98 8B 55 C8 89 04 9A 43 4E 75 F0 8B 45 E0 25 FF 0F 00 00 83 F8 0C 74 24 8D 45 F8 50 8B 45 C8 50 8B 45 D4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 E0 66 25 FF 0F 66 89 45 F0 EB 1B 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 C8 50 8B 45 D4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 C8 8B 55 D8 FF 44 90 FC 8B 45 C8 8B 55 D8 8B 44 90 FC 8B 55 CC 8B 4D D8 3B 44 8A FC 0F 8E 57 FF FF FF 8B 5D D8 4B 83 FB 00 0F 8C 4A FF FF FF 8B 45 C8 8B 04 98 8B 55 CC 3B 04 9A 7E 28 85 DB 75 11 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 75 8B 45 C8 FF 44 98 FC 8B 45 D0 8B 04 98 8B 55 C8 89 04 9A 4B 83 FB FF 75 C4 E9 09 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26143_0 {
	meta:
		name = "TDataBlockInterpreter.ReadVariant"
		size = 572
		refs = "0024 TDataBlockInterpreter.ReadVariant 0031 @VarClear 00a0 TDataBlockInterpreter.ReadArray 00fe Null 0108 @OleVarFromVar 0124 @WStrSetLength 0132 @WStrToPWChar 0143 @VarFromWStr 0162 _DV_TDataDispatch 0167 TDataDispatch.Create 017d @IntfCast 0187 @VarFromDisp 0199 IntToHex 01af SBadVariantType 01b6 _DV_EInterpreterError 01bb Exception.CreateResFmt 01c0 @RaiseExcept 01d9 VariantSize 01f9 @UStrClr 0201 @IntfClear 0209 @VarClr 0211 @WStrClr 0217 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B DA 89 45 F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 03 6A 04 8D 45 F0 50 57 8B 07 FF 50 30 8B 45 F0 25 00 40 00 00 3D 00 40 00 00 75 03 80 0B 01 81 7D F0 00 40 00 00 75 16 80 0B 02 56 8D 55 EF 8B CF 8B 45 F8 E8 ?? ?? ?? ?? E9 6D 01 00 00 F6 03 01 74 07 81 75 F0 00 40 00 00 8B 45 F0 25 00 20 00 00 3D 00 20 00 00 75 13 56 8B CF 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? E9 3F 01 00 00 8B 45 F0 25 FF 0F 00 00 83 F8 0D 0F 87 0C 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 02 00 00 00 00 00 00 03 04 00 00 00 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 EE 00 00 00 8D 45 DC E8 ?? ?? ?? ?? 8D 55 DC 8B C6 E8 ?? ?? ?? ?? E9 D7 00 00 00 6A 04 8D 45 F4 50 57 8B 07 FF 50 30 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 03 C0 50 8B 45 FC E8 ?? ?? ?? ?? 50 57 8B 07 FF 50 30 8B C6 8B 55 FC E8 ?? ?? ?? ?? E9 9C 00 00 00 6A 04 8D 45 F4 50 57 8B 07 FF 50 30 8B 45 F4 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 D8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B C6 E8 ?? ?? ?? ?? EB 5B 8D 4D CC BA 04 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 0F B7 45 F0 66 89 06 8B 45 F0 25 FF 0F 00 00 0F B7 04 45 ?? ?? ?? ?? 50 8D 46 08 50 57 8B 07 FF 50 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_26144_0 {
	meta:
		name = "TDataBlockInterpreter.CanCreateObject"
		size = 192
		refs = "0013 TDataBlockInterpreter.CanCreateObject 002d GUIDToString 003d @UStrCat3 004d GetRegStringValue 005a @UStrEqual 007e @UStrArrayClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 1C 00 74 41 8D 45 FC 50 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 B9 00 00 00 80 8B 53 1C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 }
	condition:
		$1
}

rule function_26145_0 {
	meta:
		name = "TDataBlockInterpreter.InternalCreateObject"
		size = 160
		refs = "0011 TDataBlockInterpreter.InternalCreateObject 001f @IntfClear 002f CoCreateInstance 0034 OleCheck 0044 @IntfCast 004e @VarFromDisp 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 15 6A 00 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_26146_0 {
	meta:
		name = "TDataBlockInterpreter.CreateObject"
		size = 205
		refs = "0018 TDataBlockInterpreter.CreateObject 004a StringToGUID 0056 ProgIDToClassID 0080 GUIDToString 0096 SObjectNotAvailable 009d _Dn_Exception 00a2 Exception.CreateResFmt 00a7 @RaiseExcept 00bc @UStrClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 DB 89 5D DC 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 3B 7B 75 16 8B C3 85 C0 74 05 83 E8 04 8B 00 66 83 7C 43 FE 7D 0F 94 C0 EB 02 33 C0 84 C0 74 0C 8D 55 E8 8B C3 E8 ?? ?? ?? ?? EB 0A 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 08 FF 51 30 84 C0 74 10 8B 4D F8 8D 55 E8 8B 45 FC 8B 18 FF 53 18 EB 32 8D 55 DC 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 8D 45 E0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26147_0 {
	meta:
		name = "TDataBlockInterpreter.StoreObject"
		size = 235
		refs = "001a TDataBlockInterpreter.StoreObject 0028 VarIsArray 004d VarArrayCreate 0058 @OleVarFromVar 006c @VarArrayGet 0077 VarIsClear 0089 VarArrayHighBound 00a9 @VarArrayRedim 00b6 @VarArrayPut 00ce @VarClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 08 E8 ?? ?? ?? ?? 84 C0 75 2C 8D 45 F0 50 33 C0 89 45 E8 C7 45 EC 0A 00 00 00 8D 45 E8 66 B9 0C 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8D 46 08 E8 ?? ?? ?? ?? 33 DB EB 20 53 6A 01 8D 46 08 50 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 75 12 43 8D 46 08 BA 01 00 00 00 E8 ?? ?? ?? ?? 3B D8 7E CF 8D 46 08 BA 01 00 00 00 E8 ?? ?? ?? ?? 3B D8 7E 0B 8D 53 0A 8D 46 08 E8 ?? ?? ?? ?? 53 6A 01 57 8D 46 08 50 E8 ?? ?? ?? ?? 83 C4 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26148_0 {
	meta:
		name = "TDataBlockInterpreter.LockObject"
		size = 99
		refs = "0018 TDataBlockInterpreter.LockObject 002e @VarArrayGet 003b @VarToDisp 0050 @VarClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 6A 01 8D 43 08 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26150_0 {
	meta:
		name = "TDataBlockInterpreter.ReleaseObject"
		size = 124
		refs = "0013 TDataBlockInterpreter.ReleaseObject 0025 VarIsArray 0036 VarArrayHighBound 0042 @VarClear 0052 @VarArrayPut 006a @VarClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 38 8D 43 08 E8 ?? ?? ?? ?? 84 C0 74 2C 8D 43 08 BA 01 00 00 00 E8 ?? ?? ?? ?? 3B F0 7D 1B 8D 45 F0 E8 ?? ?? ?? ?? 56 6A 01 8D 45 F0 50 8D 43 08 50 E8 ?? ?? ?? ?? 83 C4 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26151_0 {
	meta:
		name = "TDataBlockInterpreter.WriteVariant"
		size = 667
		refs = "0021 TDataBlockInterpreter.WriteVariant 003e TDataBlockInterpreter.WriteArray 00a3 @VarToWStr 00da @WStrToPWChar 0105 IntToHex 011b SBadVariantType 0122 _DV_EInterpreterError 0127 Exception.CreateResFmt 012c @RaiseExcept 01b9 @OleVarFromVar 022e VariantSize 026b @UStrClr 0273 @VarClr 0280 @UStrArrayClr 0288 @WStrClr 028e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 03 89 45 F4 F6 45 F5 20 74 10 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? E9 13 02 00 00 8B 45 F4 25 FF 0F 00 00 83 F8 0D 0F 87 AF 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 01 00 00 00 00 00 00 02 03 00 00 04 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 6A 04 8D 45 F4 50 57 8B 07 FF 50 2C E9 BD 01 00 00 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 89 45 F8 6A 04 8D 45 F4 50 57 8B 07 FF 50 2C 6A 04 8D 45 F8 50 57 8B 07 FF 50 2C 8B 45 F8 03 C0 50 8B 45 FC E8 ?? ?? ?? ?? 50 57 8B 07 FF 50 2C E9 70 01 00 00 8B 45 F4 25 00 40 00 00 3D 00 40 00 00 75 37 8D 4D E8 BA 04 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 8B 08 FF 51 20 89 45 F8 6A 04 8D 45 F4 50 57 8B 07 FF 50 2C 6A 04 8D 45 F8 50 57 8B 07 FF 50 2C E9 01 01 00 00 8B 45 F4 25 00 40 00 00 3D 00 40 00 00 74 37 8D 4D E4 BA 04 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E4 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 F8 00 40 00 00 6A 04 8D 45 F8 50 57 8B 07 FF 50 2C 8D 45 D4 8B 53 08 E8 ?? ?? ?? ?? 8D 55 D4 8B CF 8B C6 E8 ?? ?? ?? ?? E9 8C 00 00 00 8D 4D D0 BA 04 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D0 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 53 6A 04 8D 45 F4 50 57 8B 07 FF 50 2C 8B 45 F4 25 00 40 00 00 3D 00 40 00 00 75 1D 8B 45 F4 25 FF 0F 00 00 0F B7 04 45 ?? ?? ?? ?? 50 8B 43 08 50 57 8B 07 FF 50 2C EB 1B 8B 45 F4 25 FF 0F 00 00 0F B7 04 45 ?? ?? ?? ?? 50 8D 43 08 50 57 8B 07 FF 50 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26152_0 {
	meta:
		name = "TDataBlockInterpreter.CallGetServerList"
		size = 180
		refs = "0013 TDataBlockInterpreter.CallGetServerList 0020 _DV_TDataBlock 0025 TDataBlock.Create 003b @IntfCast 0067 @IntfCopy 0075 TDataBlockInterpreter.ReadVariant 008a @IntfClear 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 12 DA 00 00 8B 45 FC 50 8B 00 FF 50 24 6A 01 8B 45 FC 50 8B 43 18 50 8D 55 F4 52 8B 00 FF 50 0C 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 56 8D 55 FB 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_26153_0 {
	meta:
		name = "TDataBlockInterpreter.CallCreateObject"
		size = 244
		refs = "0020 @UStrAddRef 0028 TDataBlockInterpreter.CallCreateObject 0035 _DV_TDataBlock 003a TDataBlock.Create 0050 @IntfCast 005b @OleVarFromUStr 0068 TDataBlockInterpreter.WriteVariant 0094 @IntfCopy 00a2 TDataBlockInterpreter.ReadVariant 00b7 @IntfClear 00bf @VarClr 00cf @UStrClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B 55 FC E8 ?? ?? ?? ?? 8D 55 E4 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 68 04 DA 00 00 8B 45 F8 50 8B 00 FF 50 24 6A 01 8B 45 F8 50 8B 43 18 50 8D 55 E0 52 8B 00 FF 50 0C 8B 55 E0 8D 45 F8 E8 ?? ?? ?? ?? 56 8D 55 F7 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 00 00 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_26154_0 {
	meta:
		name = "TDataBlockInterpreter.CallFreeObject"
		size = 192
		refs = "0015 TDataBlockInterpreter.CallFreeObject 0022 _DV_TDataBlock 0027 TDataBlock.Create 003d @IntfCast 0049 @OleVarFromInt 0056 TDataBlockInterpreter.WriteVariant 008c @IntfClear 0094 @VarClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 68 05 DA 00 00 8B 45 FC 50 8B 00 FF 50 24 6A 00 8B 45 FC 50 8B 43 18 50 8D 55 E8 52 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_26155_0 {
	meta:
		name = "TDataBlockInterpreter.CallGetIDsOfNames"
		size = 364
		refs = "0018 TDataBlockInterpreter.CallGetIDsOfNames 0035 _DV_TDataBlock 003a TDataBlock.Create 0050 @IntfCast 005d @OleVarFromInt 006a TDataBlockInterpreter.WriteVariant 0077 @WStrFromPWChar 0082 @VarFromWStr 00bb @IntfCopy 00cc TDataBlockInterpreter.ReadVariant 00d4 @VarToInteger 010e OleVariant 0118 @FinalizeArray 0120 @IntfClear 0128 @WStrClr 0149 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 18 01 74 0A BE 01 40 00 80 E9 CA 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 55 0C B1 FC E8 ?? ?? ?? ?? 8D 55 E8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 45 D4 8B 55 14 8B 12 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 D8 E8 ?? ?? ?? ?? 8D 55 D8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 68 03 DA 00 00 8B 45 FC 50 8B 00 FF 50 24 6A 01 8B 45 FC 50 8B 43 18 50 8D 55 D0 52 8B 00 FF 50 0C 8B 55 D0 8D 45 FC E8 ?? ?? ?? ?? 8D 45 C0 50 8D 55 FB 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8B F0 85 F6 75 1E 8D 45 B0 50 8D 55 FB 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8B 55 20 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BA 8B C6 5E 5B 8B E5 5D C2 1C 00 00 00 00 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_26156_0 {
	meta:
		name = "TDataBlockInterpreter.CallInvoke"
		size = 760
		refs = "001a TDataBlockInterpreter.CallInvoke 0027 _DV_TDataBlock 002c TDataBlock.Create 0042 @IntfCast 004f @OleVarFromInt 005c TDataBlockInterpreter.WriteVariant 00a0 @VarFromBool 0173 @IntfCopy 0187 TDataBlockInterpreter.ReadVariant 0192 @VarToInteger 01e5 @VarToWStr 0259 TDataBlockInterpreter.CopyDataByRef 0285 @VarCopy 029e OleVariant 02a8 @FinalizeArray 02b3 @IntfClear 02d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 1A 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 55 0C B1 FC E8 ?? ?? ?? ?? 8D 55 E0 8B 4D FC 8B C7 E8 ?? ?? ?? ?? 8D 45 D0 8B 55 10 B1 FC E8 ?? ?? ?? ?? 8D 55 D0 8B 4D FC 8B C7 E8 ?? ?? ?? ?? 8D 45 C0 0F B7 55 1C B1 02 E8 ?? ?? ?? ?? 8D 55 C0 8B 4D FC 8B C7 E8 ?? ?? ?? ?? 8D 45 B0 83 7D 24 00 0F 95 C2 E8 ?? ?? ?? ?? 8D 55 B0 8B 4D FC 8B C7 E8 ?? ?? ?? ?? 8D 45 A0 8B 55 20 8B 52 08 B1 FC E8 ?? ?? ?? ?? 8D 55 A0 8B 4D FC 8B C7 E8 ?? ?? ?? ?? 8D 45 90 8B 55 20 8B 52 0C B1 FC E8 ?? ?? ?? ?? 8D 55 90 8B 4D FC 8B C7 E8 ?? ?? ?? ?? 8B 45 20 8B 58 0C 4B 85 DB 7C 27 43 33 F6 8D 45 80 8B 55 20 8B 52 04 8B 14 B2 B1 FC E8 ?? ?? ?? ?? 8D 55 80 8B 4D FC 8B C7 E8 ?? ?? ?? ?? 46 4B 75 DC 8B 45 20 8B 58 08 4B 85 DB 7C 1D 43 33 F6 8B C6 03 C0 8B 55 20 8B 12 8D 14 C2 8B 4D FC 8B C7 E8 ?? ?? ?? ?? 46 4B 75 E6 68 02 DA 00 00 8B 45 FC 50 8B 00 FF 50 24 6A 01 8B 45 FC 50 8B 47 18 50 8D 95 7C FF FF FF 52 8B 00 FF 50 0C 8B 95 7C FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 8D 85 6C FF FF FF 50 8D 55 F7 8B 4D FC 8B C7 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 89 45 F8 81 7D F8 09 00 02 80 75 47 8D 85 5C FF FF FF 50 8D 55 F7 8B 4D FC 8B C7 E8 ?? ?? ?? ?? 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 8B 5D 28 89 43 1C 8D 85 4C FF FF FF 50 8D 55 F7 8B 4D FC 8B C7 E8 ?? ?? ?? ?? 8D 95 4C FF FF FF 8D 43 08 E8 ?? ?? ?? ?? 8B 45 20 8B 58 08 4B 85 DB 7C 6D 43 33 F6 8B 45 20 8B D6 03 D2 8B 08 0F B7 14 D1 66 81 E2 00 40 66 81 FA 00 40 75 4D 8B D6 03 D2 8B 08 66 81 3C D1 0C 40 75 0F 8B D6 03 D2 8B 00 8B 44 D0 08 89 45 F0 EB 0C 8B D6 03 D2 8B 00 8D 04 D0 89 45 F0 8D 85 3C FF FF FF 50 8D 55 F7 8B 4D FC 8B C7 E8 ?? ?? ?? ?? 8D 95 3C FF FF FF 8B 4D F0 8B C7 E8 ?? ?? ?? ?? 46 4B 75 96 83 7D 24 00 74 22 8D 85 2C FF FF FF 50 8D 55 F7 8B 4D FC 8B C7 E8 ?? ?? ?? ?? 8D 95 2C FF FF FF 8B 45 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 2C FF FF FF 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 8B 15 ?? ?? ?? ?? B9 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BC 8B 45 F8 5F 5E 5B 8B E5 5D C2 28 00 00 00 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_26157_0 {
	meta:
		name = "TDataBlockInterpreter.InterpretData"
		size = 438
		refs = "001d TDataBlockInterpreter.InterpretData 0045 TDataBlockInterpreter.DoException 00a6 TDataBlockInterpreter.DoInvoke 00b3 TDataBlockInterpreter.DoGetIDsOfNames 00c0 TDataBlockInterpreter.DoCreateObject 00cd TDataBlockInterpreter.DoFreeObject 00da TDataBlockInterpreter.DoGetServerList 00e7 TDataBlockInterpreter.DoGetAppServerList 010d SInvalidAction 0114 _DV_EInterpreterError 0119 Exception.CreateResFmt 011e @RaiseExcept 012d @HandleOnException 0135 _Dn_Exception 014f @OleVarFromUStr 015d TDataBlockInterpreter.WriteVariant 0186 @DoneExcept 019b @IntfClear 01a3 @VarClr 01a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8B 00 FF 50 20 8B D8 BE FF 00 00 00 23 F3 83 FE 01 75 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 83 F8 12 0F 87 8B 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 01 02 03 04 00 00 00 00 00 00 00 00 00 00 05 00 06 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 76 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 69 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 5C 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 4F 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 42 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 35 8B D6 8B 4D F8 8B 45 FC 8B 38 FF 57 3C 84 C0 75 24 89 75 F0 C6 45 F4 00 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 5E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 F8 50 8B 00 FF 50 28 8D 45 E0 8B 53 04 E8 ?? ?? ?? ?? 8D 55 E0 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 68 01 DB 00 00 8B 45 F8 50 8B 00 FF 50 24 6A 00 8B 45 F8 50 8B 45 FC 8B 40 18 50 8D 55 DC 52 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26158_0 {
	meta:
		name = "TDataBlockInterpreter.DoException"
		size = 121
		refs = "0015 TDataBlockInterpreter.DoException 002b TDataBlockInterpreter.ReadVariant 0036 @VarToUStr 0040 _Dn_Exception 0045 Exception.Create 004a @RaiseExcept 005f @VarClr 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 50 8D 55 FF 8B CE 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50589_0 {
	meta:
		name = "TCustomDataBlockInterpreter.DoException"
		size = 121
		refs = "0015 TCustomDataBlockInterpreter.DoException 002b TCustomDataBlockInterpreter.ReadVariant 0036 @VarToUStr 0040 _Dn_Exception 0045 Exception.Create 004a @RaiseExcept 005f @VarClr 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 50 8D 55 FF 8B CE 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26159_0 {
	meta:
		name = "TDataBlockInterpreter.DoGetAppServerList"
		size = 393
		refs = "001d TDataBlockInterpreter.DoGetAppServerList 0033 _Dn_TStringList 0038 TStringList.Create 0057 GetMIDASAppServerList 0089 VarArrayCreate 0094 @OleVarFromVar 00c1 @VarFromUStr 00ce @VarArrayPut 00df Null 00ff TObject.Free 0105 @HandleFinally 0115 TDataBlockInterpreter.WriteVariant 014e @IntfClear 0156 @VarClr 015e @UStrClr"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 50 8B 00 FF 50 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 50 1C 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 8B 10 FF 52 14 85 C0 7E 74 8D 45 D4 50 33 C0 89 45 CC 8B 45 E4 8B 10 FF 52 14 48 89 45 D0 8D 45 CC 66 B9 08 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 D4 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 E4 8B 10 FF 52 14 8B F0 4E 85 F6 7C 47 46 33 DB 53 6A 01 8D 4D B8 8B D3 8B 45 E4 8B 38 FF 57 0C 8B 55 B8 8D 45 BC E8 ?? ?? ?? ?? 8D 45 BC 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 D1 EB 13 8D 45 A8 E8 ?? ?? ?? ?? 8D 55 A8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 F0 8B 4D E8 8B 45 EC E8 ?? ?? ?? ?? 68 12 DB 00 00 8B 45 E8 50 8B 00 FF 50 24 6A 00 8B 45 E8 50 8B 45 EC 8B 40 18 50 8D 55 A4 52 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26160_0 {
	meta:
		name = "TDataBlockInterpreter.DoGetServerList"
		size = 393
		refs = "001d TDataBlockInterpreter.DoGetServerList 0033 _Dn_TStringList 0038 TStringList.Create 0057 GetDataBrokerList 0089 VarArrayCreate 0094 @OleVarFromVar 00c1 @VarFromUStr 00ce @VarArrayPut 00df Null 00ff TObject.Free 0105 @HandleFinally 0115 TDataBlockInterpreter.WriteVariant 014e @IntfClear 0156 @VarClr 015e @UStrClr"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 50 8B 00 FF 50 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 50 1C 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 8B 10 FF 52 14 85 C0 7E 74 8D 45 D4 50 33 C0 89 45 CC 8B 45 E4 8B 10 FF 52 14 48 89 45 D0 8D 45 CC 66 B9 08 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 D4 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 E4 8B 10 FF 52 14 8B F0 4E 85 F6 7C 47 46 33 DB 53 6A 01 8D 4D B8 8B D3 8B 45 E4 8B 38 FF 57 0C 8B 55 B8 8D 45 BC E8 ?? ?? ?? ?? 8D 45 BC 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 D1 EB 13 8D 45 A8 E8 ?? ?? ?? ?? 8D 55 A8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 F0 8B 4D E8 8B 45 EC E8 ?? ?? ?? ?? 68 10 DB 00 00 8B 45 E8 50 8B 00 FF 50 24 6A 00 8B 45 E8 50 8B 45 EC 8B 40 18 50 8D 55 A4 52 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26161_0 {
	meta:
		name = "TDataBlockInterpreter.DoCreateObject"
		size = 245
		refs = "001a TDataBlockInterpreter.DoCreateObject 0030 TDataBlockInterpreter.ReadVariant 003b @VarToUStr 007d @VarToInteger 009a TDataBlockInterpreter.WriteVariant 00ca @IntfClear 00d2 @VarClr 00da @UStrClr 00e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D4 50 8D 55 EF 8B CB 8B C6 E8 ?? ?? ?? ?? 8D 55 D4 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 4D F0 8B C6 8B 38 FF 57 1C 53 8B 03 FF 50 28 0F B7 45 F0 89 45 E8 8B 45 E8 25 FF 0F 00 00 83 F8 03 75 2C C7 45 E8 09 00 00 00 6A 04 8D 45 E8 50 53 8B 03 FF 50 2C 8D 45 F0 E8 ?? ?? ?? ?? 89 45 E8 6A 04 8D 45 E8 50 53 8B 03 FF 50 2C EB 0C 8D 55 F0 8B CB 8B C6 E8 ?? ?? ?? ?? 68 04 DB 00 00 53 8B 03 FF 50 24 6A 00 53 8B 46 18 50 8D 55 D0 52 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26162_0 {
	meta:
		name = "TDataBlockInterpreter.DoFreeObject"
		size = 134
		refs = "0015 TDataBlockInterpreter.DoFreeObject 0039 TDataBlockInterpreter.ReadVariant 0041 @VarToInteger 0059 @HandleAnyException 005e @DoneExcept 0073 @VarClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 50 8D 55 FF 8B CE 8B C3 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26163_0 {
	meta:
		name = "TDataBlockInterpreter.DoGetIDsOfNames"
		size = 362
		refs = "001b TDataBlockInterpreter.DoGetIDsOfNames 0033 TDataBlockInterpreter.ReadVariant 003b @VarToInteger 0077 @VarToWStr 0091 GUID_NULL 00bf @HandleFinally 00ce @OleVarFromInt 00dc TDataBlockInterpreter.WriteVariant 0136 @IntfClear 013f OleVariant 0149 @FinalizeArray 0151 @WStrClr"
	strings:
		$1 = { 55 8B EC B9 0C 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D0 50 8D 55 E3 8B 4D F0 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 89 45 EC 8D 4D FC 8B 55 EC 8B 45 F4 8B 18 FF 53 24 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C0 50 8D 55 E3 8B 4D F0 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 C0 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 28 8D 45 E4 50 6A 00 6A 01 8D 45 F8 50 A1 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 14 89 45 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 4D FC 8B 55 EC 8B 45 F4 8B 18 FF 53 28 C3 E9 ?? ?? ?? ?? EB EA 8D 45 B0 8B 55 E8 B1 FC E8 ?? ?? ?? ?? 8D 55 B0 8B 4D F0 8B 45 F4 E8 ?? ?? ?? ?? 83 7D E8 00 75 1B 8D 45 A0 8B 55 E4 B1 FC E8 ?? ?? ?? ?? 8D 55 A0 8B 4D F0 8B 45 F4 E8 ?? ?? ?? ?? 68 03 DB 00 00 8B 45 F0 50 8B 00 FF 50 24 6A 00 8B 45 F0 50 8B 45 F4 8B 40 18 50 8D 55 9C 52 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26164_0 {
	meta:
		name = "TDataBlockInterpreter.DoInvoke"
		size = 1123
		refs = "001d tagEXCEPINFO 0022 @InitializeRecord 002a TDataBlockInterpreter.DoInvoke 0044 @FillChar 0064 TDataBlockInterpreter.ReadVariant 006c @VarToInteger 00e8 @VarToBool 0154 @GetMem 01bd TVariantArray 01c2 @InitializeArray 01fa @VarCopy 025b TDataBlockInterpreter.GetVariantPointer 02b0 GUID_NULL 02cf @OleVarFromInt 02df TDataBlockInterpreter.WriteVariant 0315 @VarFromWStr 03ae @FreeMem 03c5 @FinalizeArray 03df @HandleFinally 041c @IntfClear 0428 OleVariant 0440 @FinalizeRecord 0448 @VarClr"
	strings:
		$1 = { 55 8B EC B9 22 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 89 45 C4 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 B0 8D 45 C8 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 8D 45 A0 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 45 90 50 8D 55 B6 8B CE 8B 45 C4 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 89 45 C0 8D 4D FC 8B 55 C0 8B 45 C4 8B 18 FF 53 24 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 80 50 8D 55 B6 8B CE 8B 45 C4 E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 89 45 BC 8D 85 70 FF FF FF 50 8D 55 B6 8B CE 8B 45 C4 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 89 45 B8 8D 85 60 FF FF FF 50 8D 55 B6 8B CE 8B 45 C4 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 88 45 B7 8D 85 50 FF FF FF 50 8D 55 B6 8B CE 8B 45 C4 E8 ?? ?? ?? ?? 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 89 45 A8 8D 85 40 FF FF FF 50 8D 55 B6 8B CE 8B 45 C4 E8 ?? ?? ?? ?? 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 89 45 AC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 A4 8B 5D AC 85 DB 7E 42 8B C3 03 C0 03 C0 E8 ?? ?? ?? ?? 89 45 A4 8B 7D AC 4F 85 FF 7C 2C 47 33 DB 8D 85 30 FF FF FF 50 8D 55 B6 8B CE 8B 45 C4 E8 ?? ?? ?? ?? 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 8B 55 A4 89 04 9A 43 4F 75 D7 8B 5D A8 85 DB 0F 8E FA 00 00 00 8B C3 C1 E0 04 E8 ?? ?? ?? ?? 89 45 A0 8B 45 A8 C1 E0 04 E8 ?? ?? ?? ?? 89 45 B0 8B 45 B0 8B 4D A8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7D A8 4F 85 FF 0F 8C C2 00 00 00 47 33 DB 8D 85 20 FF FF FF 50 8D 55 B6 8B CE 8B 45 C4 E8 ?? ?? ?? ?? 8D 95 20 FF FF FF 8B C3 03 C0 8B 4D B0 8D 04 C1 E8 ?? ?? ?? ?? F6 45 B6 01 74 68 F6 45 B6 02 74 23 8B D3 03 D2 8B 45 A0 66 C7 04 D0 0C 40 8B D3 03 D2 8B 4D B0 8D 14 D1 52 8B D3 03 D2 59 89 4C D0 08 EB 5F 8B C3 03 C0 8B 55 B0 8D 04 C2 0F B7 00 8B D3 03 D2 8B 4D A0 8D 14 D1 52 66 0D 00 40 5A 66 89 02 8B C3 03 C0 8B 55 B0 8D 14 C2 8B 45 C4 E8 ?? ?? ?? ?? 8B D3 03 D2 8B 4D A0 89 44 D1 08 EB 20 8B C3 03 C0 8B 55 B0 8D 04 C2 50 8B C3 03 C0 8B 55 A0 59 56 57 8B F1 8D 3C C2 A5 A5 A5 A5 5F 5E 43 4F 0F 85 41 FF FF FF 56 8B 06 FF 50 28 6A 00 8D 45 C8 50 8D 45 E8 50 8D 45 A0 50 0F B7 45 B8 50 6A 00 A1 ?? ?? ?? ?? 50 8B 45 BC 50 8B 45 FC 50 8B 00 FF 50 18 8B D8 8D 85 10 FF FF FF 8B D3 B1 FC E8 ?? ?? ?? ?? 8D 95 10 FF FF FF 8B CE 8B 45 C4 E8 ?? ?? ?? ?? 81 FB 09 00 02 80 75 3E 8D 85 00 FF FF FF 8B 55 E4 B1 FC E8 ?? ?? ?? ?? 8D 95 00 FF FF FF 8B CE 8B 45 C4 E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF 8B 55 D0 E8 ?? ?? ?? ?? 8D 95 F0 FE FF FF 8B CE 8B 45 C4 E8 ?? ?? ?? ?? 83 7D A0 00 74 36 8B 7D A8 4F 85 FF 7C 2E 47 33 DB 8B C3 03 C0 8B 55 A0 0F B7 14 C2 66 81 E2 00 40 66 81 FA 00 40 75 10 8B 55 A0 8D 14 C2 8B CE 8B 45 C4 E8 ?? ?? ?? ?? 43 4F 75 D5 80 7D B7 00 74 0D 8D 55 E8 8B CE 8B 45 C4 E8 ?? ?? ?? ?? 68 02 DB 00 00 56 8B 06 FF 50 24 6A 00 56 8B 45 C4 8B 40 18 50 8D 95 EC FE FF FF 52 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 A4 85 C0 74 05 E8 ?? ?? ?? ?? 83 7D B0 00 74 19 8B 45 B0 8B 4D A8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? 8B 45 A0 85 C0 74 05 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 4D FC 8B 55 C0 8B 45 C4 8B 18 FF 53 28 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF 8B 15 ?? ?? ?? ?? B9 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B9 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26166_0 {
	meta:
		name = "TDataDispatch.Create"
		size = 80
		refs = "000e @ClassCreate 001d TObject.Create 0039 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 08 89 47 0C 89 77 10 8B D7 8B C6 8B 08 FF 11 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_26167_0 {
	meta:
		name = "TDataDispatch.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 002b TObject.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 85 C0 74 12 8B 56 0C 8B 08 FF 51 08 8B 46 10 8B D6 8B 08 FF 51 04 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26168_0 {
	meta:
		name = "TAutoDispatch.GetTypeInfoCount"
		size = 16
		altNames = "TDataDispatch.GetTypeInfoCount TEventDispatch.GetTypeInfoCount TEventDispatchEx.GetTypeInfoCount TOleControl.GetTypeInfoCount TServerEventDispatch.GetTypeInfoCount"
	strings:
		$1 = { 55 8B EC 8B 45 0C 33 D2 89 10 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_26170_0 {
	meta:
		name = "TDataDispatch.GetIDsOfNames"
		size = 43
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 1C 52 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 50 0C 52 8B 40 10 50 8B 00 FF 50 0C 5D C2 18 00 }
	condition:
		$1
}

rule function_26171_0 {
	meta:
		name = "TDataDispatch.Invoke"
		size = 56
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 28 52 8B 55 24 52 8B 55 20 52 8B 55 1C 52 0F B7 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 50 0C 52 8B 40 10 50 8B 00 FF 50 10 5D C2 24 00 }
	condition:
		$1
}

rule function_26172_0 {
	meta:
		name = "TTransportThread.Create"
		size = 150
		refs = "000e @ClassCreate 001c @IntfAddRef 0024 TTransportThread.Create 0038 @IntfCopy 0049 CreateSemaphore 0057 TThread.Create 006c @IntfClear 0072 @HandleFinally 007f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 77 40 8D 47 48 8B 55 08 E8 ?? ?? ?? ?? C6 47 0F 01 6A 00 6A 01 6A 00 6A 00 E8 ?? ?? ?? ?? 89 47 44 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_26173_0 {
	meta:
		name = "TTransportThread.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 CloseHandle 001b TThread.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 44 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26174_0 {
	meta:
		name = "SynchronizeException"
		size = 83
		refs = "0005 AcquireExceptionObject 001b _DV_ESocketConnectionError 0020 @IsClass 004c PostMessage"
	strings:
		$1 = { 55 8B EC 53 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 83 78 48 00 74 22 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 6A 00 8B 45 08 8B 40 FC 8B 40 48 50 8B 00 FF 50 14 53 6A 00 68 03 04 00 00 8B 45 08 8B 40 FC 8B 40 40 50 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_26175_0 {
	meta:
		name = "TTransportThread.Execute"
		size = 722
		refs = "0015 TTransportThread.Execute 0022 CoInitialize 0047 PeekMessage 0057 ReleaseSemaphore 00b7 MsgWaitForMultipleObjects 00d1 WSAResetEvent 010f PostMessage 0117 @IntfClear 0149 @IntfCopy 01e3 DispatchMessage 0216 @HandleAnyException 021c SynchronizeException 0222 @DoneExcept 0268 @HandleFinally 02a2 CoUninitialize"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 68 00 04 00 00 68 00 04 00 00 6A 00 8D 45 D8 50 E8 ?? ?? ?? ?? 6A 00 6A 01 8B 45 FC 8B 40 44 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8B 45 FC 8B 40 48 50 8B 00 FF 50 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 48 50 8B 00 FF 50 0C 89 45 F4 E9 8D 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 FF 04 00 00 6A FF 6A 00 8D 45 F4 50 6A 01 E8 ?? ?? ?? ?? 83 E8 01 72 0B 0F 84 2C 01 00 00 E9 40 01 00 00 8B 45 F4 50 FF 15 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC 8B 40 48 50 8D 55 F8 52 8B 00 FF 50 18 83 7D F8 00 0F 84 18 01 00 00 8B 45 F8 50 8B 00 FF 50 04 8B 45 F8 50 6A 00 68 02 04 00 00 8B 45 FC 8B 40 40 50 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? E9 EB 00 00 00 83 7D D8 00 0F 85 BF 00 00 00 8B 45 DC 2D 01 04 00 00 74 0E 83 E8 04 0F 84 85 00 00 00 E9 9C 00 00 00 8D 45 F8 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 08 8B 45 F8 50 8B 45 FC 8B 40 48 50 8B 00 FF 50 1C 8B D8 83 7D E0 01 75 3D 53 6A 01 8B 45 FC 8B 40 48 50 8D 55 F8 52 8B 00 FF 50 18 8B 45 F8 50 8B 00 FF 50 04 8B 45 F8 50 6A 00 68 02 04 00 00 8B 45 FC 8B 40 40 50 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? EB 47 6A 00 6A 00 68 04 04 00 00 8B 45 FC 8B 40 40 50 E8 ?? ?? ?? ?? EB 30 8B 45 FC 83 C0 48 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 48 50 8B 00 FF 50 08 EB 14 8D 45 D8 50 E8 ?? ?? ?? ?? EB 09 8D 45 D8 50 E8 ?? ?? ?? ?? 6A 01 6A 00 6A 00 6A 00 8D 45 D8 50 E8 ?? ?? ?? ?? 85 C0 0F 85 15 FF FF FF 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 45 FC 80 78 0D 00 75 14 8B 45 FC 8B 40 48 50 8B 00 FF 50 10 84 C0 0F 85 56 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 40 48 50 8B 00 FF 50 14 C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 C0 48 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26176_0 {
	meta:
		name = "TStreamedConnection.Create"
		size = 148
		refs = "000f @ClassCreate 001b TStreamedConnection.Create 002a TDispatchConnection.Create 0032 @IntfClear 0040 TObject.GetInterface 0062 @HandleFinally 006f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C6 86 B4 00 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 43 10 AD 87 0E 47 D1 11 88 D5 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_26177_0 {
	meta:
		name = "TStreamedConnection.Destroy"
		size = 100
		refs = "0003 @BeforeDestruction 001b TObject.Free 002a DeallocateHWnd 0047 @IntfClear 0052 TCustomConnection.Destroy 005d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 8B 08 FF 51 58 8B 86 B0 00 00 00 E8 ?? ?? ?? ?? 8B 86 A4 00 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B 86 A8 00 00 00 85 C0 74 08 33 D2 89 50 18 89 50 1C 8D 86 AC 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26178_0 {
	meta:
		name = "TStreamedConnection.GetInterceptGUID"
		size = 61
		refs = "002c GUIDToString 0036 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB B5 00 00 00 00 75 14 66 83 BB B9 00 00 00 00 75 0A 66 83 BB BB 00 00 00 00 74 10 8B D6 8D 83 B5 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26179_0 {
	meta:
		name = "TStreamedConnection.SetInterceptGUID"
		size = 121
		refs = "002b @FillChar 0038 StringToGUID 0053 ProgIDFromCLSID 0065 @UStrFromPWChar 006e CoTaskMemFree"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B F2 8B D8 F6 43 1C 01 75 09 33 D2 8B C3 8B 08 FF 51 58 85 F6 75 14 8D 83 B5 00 00 00 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? EB 41 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 8D 74 24 04 8D BB B5 00 00 00 A5 A5 A5 A5 54 8D 83 B5 00 00 00 50 E8 ?? ?? ?? ?? 85 C0 75 17 8D 83 C8 00 00 00 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26180_0 {
	meta:
		name = "TStreamedConnection.SetInterceptName"
		size = 155
		refs = "000f TStreamedConnection.SetInterceptName 0022 @UStrEqual 0044 @WStrFromUStr 004c @WStrToPWChar 0052 CLSIDFromProgID 0068 @FillChar 0075 @UStrAsg 008a @WStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 93 C8 00 00 00 E8 ?? ?? ?? ?? 74 51 F6 43 1C 01 75 3E 33 D2 8B C3 8B 08 FF 51 58 8D 83 B5 00 00 00 50 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 12 8D 83 B5 00 00 00 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 83 C8 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26181_0 {
	meta:
		name = "TStreamedConnection.SetSupportCallbacks"
		size = 35
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 48 84 C0 74 09 33 D2 8B C6 8B 08 FF 51 58 88 9E B4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_26182_0 {
	meta:
		name = "TStreamedConnection.InternalOpen"
		size = 184
		refs = "000f TStreamedConnection.InternalOpen 0033 TStreamedConnection.GetHandle 003c _DV_TTransportThread 0041 TTransportThread.Create 0053 TStreamedConnection.TransportTerminated 005e WaitForSingleObject 0078 @IntfCopy 009c ITransport 00a6 @FinalizeArray 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB B4 00 00 00 00 74 42 8D 55 FC 8B C3 8B 08 FF 51 7C 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A8 00 00 00 89 5E 1C C7 46 18 ?? ?? ?? ?? 6A FF 8B 46 44 50 E8 ?? ?? ?? ?? EB 26 8D 55 F8 8B C3 8B 08 FF 51 7C 8B 55 F8 8D 83 AC 00 00 00 E8 ?? ?? ?? ?? 6A 01 8B 83 AC 00 00 00 50 8B 00 FF 50 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_26183_0 {
	meta:
		name = "TStreamedConnection.InternalClose"
		size = 122
		refs = "0016 TThread.Terminate 002e PostThreadMessage 0048 WaitForSingleObject 0074 @IntfClear"
	strings:
		$1 = { 53 8B D8 8B 83 A8 00 00 00 85 C0 74 49 33 D2 89 50 18 89 50 1C E8 ?? ?? ?? ?? 6A 00 6A 00 68 00 04 00 00 8B 83 A8 00 00 00 8B 40 08 50 E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 83 78 48 00 74 0E 68 20 BF 02 00 8B 40 04 50 E8 ?? ?? ?? ?? 33 C0 89 83 A8 00 00 00 5B C3 83 BB AC 00 00 00 00 74 19 6A 00 8B 83 AC 00 00 00 50 8B 00 FF 50 14 8D 83 AC 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_26184_0 {
	meta:
		name = "TStreamedConnection.GetServerList"
		size = 111
		refs = "002b TStreamedConnection.GetServerList 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC 8B 10 FF 52 48 34 01 88 45 FB 80 7D FB 00 74 08 8B 45 FC 8B 10 FF 52 74 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 84 00 00 00 8B D3 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC 8B 10 FF 52 78 C3 E9 ?? ?? ?? ?? EB EA 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_26185_0 {
	meta:
		name = "TStreamedConnection.GetInterceptorList"
		size = 310
		refs = "001a TStreamedConnection.GetInterceptorList 0028 Null 0033 @OleVarFromVar 003a _Dn_TStringList 003f TStringList.Create 0058 GetPacketInterceptorList 008a VarArrayCreate 00c2 @VarFromUStr 00cf @VarArrayPut 00eb TObject.Free 00f1 @HandleFinally 0108 @UStrClr 0110 @VarClr 0119 Variant 0123 @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 85 C0 7E 72 8D 45 D8 50 33 C0 89 45 D0 8B 45 F8 8B 10 FF 52 14 48 89 45 D4 8D 45 D0 66 B9 08 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 32 46 33 DB 53 6A 01 8D 4D BC 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 55 BC 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26186_0 {
	meta:
		name = "TStreamedConnection.GetHandle"
		size = 37
		refs = "000e TStreamedConnection.WndProc 0013 AllocateHWnd"
	strings:
		$1 = { 53 8B D8 83 BB A4 00 00 00 00 75 11 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A4 00 00 00 8B 83 A4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_26187_0 {
	meta:
		name = "TStreamedConnection.WndProc"
		size = 132
		refs = "0010 TStreamedConnection.WndProc 0023 TCustomConnection.Close 003d DefWindowProc 005b @HandleAnyException 0060 ApplicationHandleException 007a @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3B 11 75 27 8B 45 FC E8 ?? ?? ?? ?? 8B 43 08 50 8B 43 04 50 8B 03 50 8B 45 FC 8B 80 A4 00 00 00 50 E8 ?? ?? ?? ?? 89 43 0C EB 0A 8B D3 8B 45 FC 8B 08 FF 51 EC 33 C0 5A 59 59 64 89 10 EB 24 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 66 83 78 02 00 74 0E 8B 1D ?? ?? ?? ?? 8B 55 FC 8B 43 04 FF 13 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26188_0 {
	meta:
		name = "TStreamedConnection.ThreadReceivedStream"
		size = 97
		refs = "000f TStreamedConnection.ThreadReceivedStream 0020 @IntfCopy 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 08 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 08 8B C3 8B 10 FF 92 84 00 00 00 8B 55 FC 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26189_0 {
	meta:
		name = "TStreamedConnection.ThreadException"
		size = 18
	strings:
		$1 = { 56 8B F0 8B 52 08 8B C6 8B 08 FF 91 80 00 00 00 5E C3 }
	condition:
		$1
}

rule function_26191_0 {
	meta:
		name = "TStreamedConnection.TransportTerminated"
		size = 16
	strings:
		$1 = { 33 D2 89 90 A8 00 00 00 33 D2 8B 08 FF 51 58 C3 }
	condition:
		$1
}

rule function_26192_0 {
	meta:
		name = "TStreamedConnection.DoConnect"
		size = 271
		refs = "001a TStreamedConnection.DoConnect 0039 TDispatchConnection.GetServerGUID 005d @UStrLAsg 007c SServerNameBlank 0083 _Dn_Exception 0088 Exception.CreateResFmt 008d @RaiseExcept 00c5 @HandleAnyException 00d2 @RaiseAgain 00d7 @DoneExcept 00ec @VarClr 00f4 @UStrClr 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 83 7D F4 00 74 0D 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 11 8D 45 FC 8B 55 F8 8B 92 98 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 2A 8B 45 F8 8B 40 08 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 74 8B 45 F8 8B 10 FF 92 84 00 00 00 8D 4D DC 8B 55 FC 8B 18 FF 53 34 8D 55 DC 8B 45 F8 8B 08 FF 51 64 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26193_0 {
	meta:
		name = "TStreamedConnection.DoDisconnect"
		size = 19
		refs = "0006 TDispatchConnection.DoDisconnect"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 78 5B C3 }
	condition:
		$1
}

rule function_26195_0 {
	meta:
		name = "TStreamedConnection.GetInterpreter"
		size = 84
		refs = "000d TStreamedConnection.GetInterpreter 0020 _DV_TDataBlockInterpreter 0025 TDataBlockInterpreter.Create"
	strings:
		$1 = { 53 8B D8 83 BB B0 00 00 00 00 75 23 68 ?? ?? ?? ?? 8B CB 85 C9 74 06 81 E9 34 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B0 00 00 00 8B 83 B0 00 00 00 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 6F 00 63 00 6B 00 65 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_26196_0 {
	meta:
		name = "TCanvas3D.QueryInterface"
		size = 38
		refs = "0010 TObject.GetInterface"
		altNames = "TComObject.ObjQueryInterface TComObjectFactory.QueryInterface TContainedObject.QueryInterface TCustomVariantType.QueryInterface TInterfacedObject.QueryInterface TInterfacedPersistent.QueryInterface TLayoutWebContent.QueryInterface TLocalWebModuleContext.QueryInterface TOleControl.QueryInterface TOleServer.QueryInterface TSingletonImplementation.QueryInterface TSocketDispatcherThread.QueryInterface TStreamedConnection.QueryInterface TUtilsNoRefCount.QueryInterface TVirtualWebDir.QueryInterface TWebComponentList.QueryInterface TWebComponentsEditorHelper.QueryInterface TWebSession.QueryInterface TXMLDataSet.QueryInterface"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 4D 10 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 05 B8 02 40 00 80 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_26197_0 {
	meta:
		name = "TStreamedConnection._AddRef"
		size = 22
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 80 A0 00 00 00 8B 80 A0 00 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_26198_0 {
	meta:
		name = "TStreamedConnection._Release"
		size = 22
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 88 A0 00 00 00 8B 80 A0 00 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_26199_0 {
	meta:
		name = "TStreamedConnection.Send"
		size = 381
		refs = "0048 PostThreadMessage 006c GetMessage 0085 @IntfCopy 00d1 SReturnError 00d8 _Dn_Exception 00dd Exception.CreateRes 00e2 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B 75 08 8B 7D 10 8B 5D 0C 80 BB B4 00 00 00 00 0F 84 04 01 00 00 83 BB A8 00 00 00 00 0F 84 48 01 00 00 57 8B 07 FF 50 04 57 0F B6 45 14 50 68 01 04 00 00 8B 83 A8 00 00 00 8B 40 08 50 E8 ?? ?? ?? ?? 80 7D 14 00 0F 84 B1 00 00 00 68 03 04 00 00 68 02 04 00 00 8B 83 A4 00 00 00 50 8D 45 E4 50 E8 ?? ?? ?? ?? 85 C0 74 77 8B 7D E8 81 FF 02 04 00 00 75 3D 8B C6 8B 55 F0 E8 ?? ?? ?? ?? 8B 06 50 8B 00 FF 50 08 8B 06 50 8B 00 FF 50 20 25 00 DB 00 00 3D 00 DB 00 00 0F 84 A5 00 00 00 8B C3 8B 10 FF 92 84 00 00 00 8B 16 8B 08 FF 51 38 EB 9A 85 FF 74 0F 8B 55 F0 8B C3 8B 08 FF 91 80 00 00 00 EB 87 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6B FF FF FF 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4F FF FF FF 68 04 04 00 00 68 04 04 00 00 8B 83 A4 00 00 00 50 8D 45 E4 50 E8 ?? ?? ?? ?? EB 2B 83 BB AC 00 00 00 00 74 48 57 8B 83 AC 00 00 00 50 8B 00 FF 50 1C 8B F8 57 0F B6 45 14 50 8B 83 AC 00 00 00 50 56 8B 00 FF 50 18 83 3E 00 74 21 8B 06 50 8B 00 FF 50 20 25 FF 00 00 00 48 75 11 8B C3 8B 10 FF 92 84 00 00 00 8B 16 8B 08 FF 51 38 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_26200_0 {
	meta:
		name = "TSocketTransport.Create"
		size = 66
		refs = "000a @ClassCreate 0017 TObject.Create 001f @IntfClear 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 28 E8 ?? ?? ?? ?? 33 C0 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26201_0 {
	meta:
		name = "TSocketTransport.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f @IntfClear 0017 TSocketTransport.SetConnected 0022 TObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 28 E8 ?? ?? ?? ?? 6A 00 56 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26202_0 {
	meta:
		name = "TSocketTransport.GetWaitEvent"
		size = 44
		refs = "000a WSACreateEvent 001f WSAEventSelect"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 FF 15 ?? ?? ?? ?? 8B F0 89 73 0C 6A 21 56 8B 43 20 8B 40 04 50 FF 15 ?? ?? ?? ?? 8B 43 0C 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_26203_0 {
	meta:
		name = "TSocketTransport.GetConnected"
		size = 29
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 50 20 85 D2 74 06 80 7A 08 00 75 04 33 C0 EB 02 B0 01 5D C2 04 00 }
	condition:
		$1
}

rule function_26204_0 {
	meta:
		name = "TSocketTransport.SetConnected"
		size = 213
		refs = "000d TSocketTransport.GetConnected 002b sNoAddress 0032 _DV_ESocketConnectionError 0037 Exception.CreateRes 003c @RaiseExcept 0045 _Dn_TClientSocket 004a TClientSocket.Create 0058 TClientSocket.SetClientType 006f TAbstractSocket.SetPort 0080 TAbstractSocket.SetAddress 008d TAbstractSocket.SetHost 0095 TAbstractSocket.Open 00a3 TCustomWinSocket.Close 00b8 TObject.Free 00c6 WSACloseEvent"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 0C 8B 75 08 56 E8 ?? ?? ?? ?? 3A D8 0F 84 B6 00 00 00 84 DB 74 7E 83 7E 10 00 75 1D 83 7E 14 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 5E 1C B2 01 8B C3 E8 ?? ?? ?? ?? 8B 46 1C 8B 80 98 00 00 00 89 46 20 8B 56 18 8B 46 1C E8 ?? ?? ?? ?? 83 7E 10 00 74 0D 8B 56 10 8B 46 1C E8 ?? ?? ?? ?? EB 0B 8B 56 14 8B 46 1C E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? EB 34 8B 46 20 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 89 46 20 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 46 0C 85 C0 74 07 50 FF 15 ?? ?? ?? ?? 33 C0 89 46 0C 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_26205_0 {
	meta:
		name = "TSocketTransport.Receive"
		size = 672
		refs = "001b TSocketTransport.Receive 0029 @IntfClear 0036 FD_ZERO 0047 FD_SET 0057 @GetMem 0077 select 0084 @FreeMem 008e WSAGetLastError 0099 SysErrorMessage 00a6 _DV_ESocketConnectionError 00ab Exception.Create 00b0 @RaiseExcept 00c8 TCustomWinSocket.ReceiveBuf 00d5 SSocketReadError 00e1 Exception.CreateRes 00ee CheckSignature 013e _DV_TDataBlock 0143 TDataBlock.Create 0159 @IntfCast 01a6 WaitForSingleObject 0216 WSAResetEvent 0245 SInvalidDataPacket 0262 TSocketTransport.InterceptIncoming 027a @UStrClr 0280 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 57 33 C0 89 85 EC FE FF FF 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 33 DB 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 8D 95 F0 FE FF FF 8B 46 20 8B 40 04 E8 ?? ?? ?? ?? 80 7D 10 00 75 17 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B D8 33 C0 89 03 C7 43 04 01 00 00 00 53 6A 00 6A 00 8D 85 F0 FE FF FF 50 6A 00 E8 ?? ?? ?? ?? 8B F8 85 DB 74 07 8B C3 E8 ?? ?? ?? ?? 83 FF FF 75 27 E8 ?? ?? ?? ?? 8D 95 EC FE FF FF E8 ?? ?? ?? ?? 8B 8D EC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 0F 84 AA 01 00 00 8D 55 FC B9 04 00 00 00 8B 46 20 E8 ?? ?? ?? ?? 8B D8 83 FB 04 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 B9 04 00 00 00 8B 46 20 E8 ?? ?? ?? ?? 8B D8 85 DB 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FB 04 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B 45 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 08 8B 00 50 8B 00 FF 50 18 8B 45 FC 50 8B 45 08 8B 00 50 8B 00 FF 50 24 8B 45 08 8B 00 50 8B 00 FF 50 10 8B F8 8B 45 08 8B 00 50 8B 00 FF 50 0C 01 C7 8B 46 0C 85 C0 74 0E 83 7D F8 00 7E 08 6A FF 50 E8 ?? ?? ?? ?? C6 45 F7 01 83 7D F8 00 0F 8E 85 00 00 00 8B D7 8B 4D F8 8B 46 20 E8 ?? ?? ?? ?? 8B D8 85 DB 75 21 80 7D F7 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 F7 00 85 DB 7E 05 29 5D F8 01 DF 83 7E 0C 00 74 38 83 7D F8 00 7E 32 6A FF 8B 46 0C 50 E8 ?? ?? ?? ?? 85 C0 75 0C 8B 46 0C 50 FF 15 ?? ?? ?? ?? EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 0F 8F 7B FF FF FF 83 7D F8 00 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 12 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C2 10 00 00 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_26206_0 {
	meta:
		name = "TSocketTransport.Send"
		size = 72
		refs = "0017 TSocketTransport.InterceptOutgoing 0039 TCustomWinSocket.SendBuf"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 0C 8B 75 08 33 C0 89 45 FC 8B D3 8B C6 E8 ?? ?? ?? ?? 53 8B 03 FF 50 10 8B F8 53 8B 03 FF 50 14 50 53 8B 03 FF 50 0C 59 03 C8 8B D7 8B 46 20 E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_26207_0 {
	meta:
		name = "TSocketTransport.CheckInterceptor"
		size = 208
		refs = "0015 TSocketTransport.CheckInterceptor 0059 StringToGUID 0064 CreateComObject 0077 @IntfCast 0086 @HandleAnyException 008b @DoneExcept 00aa @IntfClear 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 E8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 28 00 75 67 8B 45 FC 83 78 24 00 74 5E 8B 45 FC 80 78 2C 00 75 55 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 2C 01 8D 55 EC 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8D 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 83 C0 28 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 78 28 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 00 6B 77 49 B2 29 E4 D1 11 AA A4 00 C0 4F A3 5C FA }
	condition:
		$1
}

rule function_26208_0 {
	meta:
		name = "TSocketTransport.InterceptIncoming"
		size = 30
		refs = "0009 TSocketTransport.CheckInterceptor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 56 8B 43 28 50 8B 00 FF 50 0C 5E 5B C3 }
	condition:
		$1
}

rule function_26209_0 {
	meta:
		name = "TSocketTransport.InterceptOutgoing"
		size = 30
		refs = "0009 TSocketTransport.CheckInterceptor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 56 8B 43 28 50 8B 00 FF 50 10 5E 5B C3 }
	condition:
		$1
}

rule function_26210_0 {
	meta:
		name = "TSocketConnection.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TStreamedConnection.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 D8 00 00 00 D3 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26211_0 {
	meta:
		name = "TSocketConnection.IsAddressStored"
		size = 29
	strings:
		$1 = { 53 8B D8 83 BB 9C 00 00 00 00 75 09 83 BB D0 00 00 00 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_26212_0 {
	meta:
		name = "TSocketConnection.SetAddress"
		size = 96
		refs = "000e @UStrAddRef 0016 TSocketConnection.SetAddress 002d @UStrClr 003b @UStrAsg 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 0B 8D 83 D4 00 00 00 E8 ?? ?? ?? ?? 8D 83 D0 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_26213_0 {
	meta:
		name = "TSocketConnection.IsHostStored"
		size = 29
	strings:
		$1 = { 53 8B D8 83 BB 9C 00 00 00 00 75 09 83 BB D4 00 00 00 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_26214_0 {
	meta:
		name = "TSocketConnection.SetHost"
		size = 96
		refs = "000e @UStrAddRef 0016 TSocketConnection.SetHost 002d @UStrClr 003b @UStrAsg 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 0B 8D 83 D0 00 00 00 E8 ?? ?? ?? ?? 8D 83 D4 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_26215_0 {
	meta:
		name = "TSocketConnection.CreateTransport"
		size = 252
		refs = "0010 TSocketConnection.CreateTransport 0024 LoadWinSock2 002e SNoWinSock2 0035 _Dn_Exception 003a Exception.CreateRes 003f @RaiseExcept 0057 sNoAddress 005e _DV_ESocketConnectionError 006f _DV_TSocketTransport 0074 TSocketTransport.Create 0084 @UStrAsg 00a5 TStreamedConnection.GetInterceptGUID 00c5 @IntfCast 00da @UStrClr 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB B4 00 00 00 00 74 20 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BB D0 00 00 00 00 75 20 83 BB D4 00 00 00 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 14 8B 93 D4 00 00 00 E8 ?? ?? ?? ?? 8D 46 10 8B 93 D0 00 00 00 E8 ?? ?? ?? ?? 8B 83 D8 00 00 00 89 46 18 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 24 E8 ?? ?? ?? ?? 8B C7 8B D6 85 D2 74 03 83 EA F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 C1 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_26216_0 {
	meta:
		name = "TSocketConnection.DoConnect"
		size = 548
		refs = "0018 TSocketConnection.DoConnect 004b @UStrLAsg 0077 TDispatchConnection.GetServerGUID 0088 TDispatchConnection.GetServerCLSID 0150 TSocketConnection.SetHost 015d TSocketConnection.SetAddress 0165 TStreamedConnection.DoConnect 0187 @HandleAnyException 01a7 @UStrClr 01b9 @DoneExcept 01f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 F0 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 B8 9C 00 00 00 00 0F 84 9D 01 00 00 8B 45 F8 83 B8 D0 00 00 00 00 74 13 8D 45 FC 8B 55 F8 8B 92 D0 00 00 00 E8 ?? ?? ?? ?? EB 6B 8B 45 F8 83 B8 D4 00 00 00 00 74 13 8D 45 FC 8B 55 F8 8B 92 D4 00 00 00 E8 ?? ?? ?? ?? EB 4C 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 83 7D F0 00 74 21 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E0 8D 4D FC 8B 45 F8 8B 80 9C 00 00 00 8B 18 FF 53 44 EB 1A 8D 4D FC 8B 45 F8 8D 90 98 00 00 00 8B 45 F8 8B 80 9C 00 00 00 8B 18 FF 53 48 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 8B 45 F8 8B 80 9C 00 00 00 8B 55 FC 8B 08 FF 51 4C 89 45 F4 83 7D F4 00 7E 0C 8B 45 F8 8B 55 F4 89 90 D8 00 00 00 33 C0 89 45 F4 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D0 85 D2 7E 3C B8 01 00 00 00 BE ?? ?? ?? ?? 8B 4D FC 0F B7 4C 41 FE 66 81 F9 FF 00 77 06 0F B7 C9 0F A3 0E 0F 92 C1 84 C9 74 16 8B 4D FC 66 83 7C 41 FE 2E 0F 94 C1 83 E1 7F 01 4D F4 40 4A 75 C9 83 7D F4 03 74 0D 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 0B 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 9C 00 00 00 B1 01 8B 55 FC 8B 18 FF 53 40 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 8B 45 F8 8B 80 9C 00 00 00 33 C9 8B 55 FC 8B 18 FF 53 40 8B 45 F8 05 D0 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 05 D4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 48 84 C0 0F 84 65 FE FF FF EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 40 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_26217_0 {
	meta:
		name = "TWebConnection.Create"
		size = 256
		refs = "000f @ClassCreate 001b TWebConnection.Create 002a TStreamedConnection.Create 0042 _DV_TDataBlockInterpreter 0047 TDataBlockInterpreter.Create 0056 TStreamedConnection.SetSupportCallbacks 0076 @UStrAsg 007e SDefaultURL 0083 LoadResString 008d TWebConnection.SetURL 00a2 @UStrClr 00a8 @HandleFinally 00b5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B CE 85 C9 74 06 81 E9 34 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 00 01 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 F8 00 00 00 33 C0 89 86 FC 00 00 00 8D 86 D0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 57 00 65 00 62 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_26218_0 {
	meta:
		name = "TWebConnection.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 001b TObject.Free 0026 TStreamedConnection.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 8B 08 FF 51 58 8B 86 00 01 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26219_0 {
	meta:
		name = "TWebConnection.GetInterpreter"
		size = 76
		refs = "000d TWebConnection.GetInterpreter 0020 _DV_TDataBlockInterpreter 0025 TDataBlockInterpreter.Create"
	strings:
		$1 = { 53 8B D8 83 BB 00 01 00 00 00 75 23 68 ?? ?? ?? ?? 8B CB 85 C9 74 06 81 E9 34 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 00 01 00 00 8B 83 00 01 00 00 5B C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 57 00 65 00 62 00 00 00 }
	condition:
		$1
}

rule function_26220_0 {
	meta:
		name = "TWebConnection.SetURL"
		size = 291
		refs = "001c @UStrEqual 0038 @FillChar 005e @UStrToPWChar 006b InternetCrackUrl 007d SInvalidURL 0084 _Dn_Exception 0089 Exception.CreateRes 008e @RaiseExcept 00c3 @UStrCopy 00f8 @UStrClr 0118 @UStrAsg"
	strings:
		$1 = { 53 56 57 83 C4 C4 8B F2 8B D8 33 D2 8B C3 8B 08 FF 51 58 8B 83 DC 00 00 00 8B D6 E8 ?? ?? ?? ?? 0F 84 F6 00 00 00 85 F6 0F 84 BB 00 00 00 8B C4 33 C9 BA 3C 00 00 00 E8 ?? ?? ?? ?? C7 04 24 3C 00 00 00 C7 44 24 08 01 00 00 00 C7 44 24 14 01 00 00 00 C7 44 24 30 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 54 6A 00 6A 00 57 E8 ?? ?? ?? ?? 8B 44 24 0C 83 C0 FD 83 E8 02 72 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 0C 89 83 EC 00 00 00 0F B7 44 24 18 89 83 E8 00 00 00 8D 83 E0 00 00 00 50 8B 54 24 14 2B D7 D1 FA 79 03 83 D2 00 42 8B 4C 24 18 8B C6 E8 ?? ?? ?? ?? 8D 83 E4 00 00 00 50 8B 54 24 30 2B D7 D1 FA 79 03 83 D2 00 42 8B 4C 24 34 8B C6 E8 ?? ?? ?? ?? EB 26 33 C0 89 83 E8 00 00 00 8D 83 E0 00 00 00 E8 ?? ?? ?? ?? 8D 83 E4 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 EC 00 00 00 8D 83 DC 00 00 00 8B D6 E8 ?? ?? ?? ?? 83 C4 3C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26221_0 {
	meta:
		name = "TWebConnection.CreateTransport"
		size = 60
		refs = "0011 SURLRequired 0018 _Dn_Exception 001d Exception.CreateRes 0022 @RaiseExcept 0035 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB E0 00 00 00 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B D3 85 D2 74 06 81 EA FC FE FF FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26222_0 {
	meta:
		name = "TWebConnection.IsURLStored"
		size = 29
	strings:
		$1 = { 53 8B D8 83 BB 9C 00 00 00 00 75 09 83 BB DC 00 00 00 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_26223_0 {
	meta:
		name = "TWebConnection.Check"
		size = 308
		refs = "000e TWebConnection.Check 0019 GetLastError 0038 @UStrSetLength 004f @UStrToPWChar 005d GetModuleHandle 0068 FormatMessage 0075 @PWCharLen 009f @UStrLen 00bd CharInSet 00cb _Dn_Exception 00d0 Exception.Create 00d5 @RaiseExcept 00ea @UStrClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B F8 84 DB 0F 84 B2 00 00 00 85 FF 0F 84 AA 00 00 00 8D 45 FC BA 00 01 00 00 E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 6A 00 56 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 57 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 68 00 08 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 92 E8 ?? ?? ?? ?? EB 17 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8B D3 4A 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 1E 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 0F B7 44 42 FE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 BF 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 77 00 69 00 6E 00 69 00 6E 00 65 00 74 00 2E 00 64 00 6C 00 6C 00 00 00 00 24 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_26225_0 {
	meta:
		name = "TWebConnection.Transport_GetConnected"
		size = 20
	strings:
		$1 = { 55 8B EC 8B 45 08 83 B8 FC 00 00 00 00 0F 95 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_26226_0 {
	meta:
		name = "TWebConnection.Transport_SetConnected"
		size = 394
		refs = "004c @UStrToPWChar 0071 InternetOpen 0081 InternetAttemptConnect 008a Abort 00a2 TWebConnection.Check 00aa TWebConnection.Transport_SetConnected 00ff InternetConnect 0129 @HandleAnyException 0138 InternetCloseHandle 013d @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 0C 84 DB 0F 84 32 01 00 00 8B 45 08 8B 10 FF 52 48 84 C0 0F 85 22 01 00 00 8B 45 08 8B 80 F0 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 07 BB 03 00 00 00 EB 02 33 DB 6A 00 8B 45 08 8B 80 F4 00 00 00 E8 ?? ?? ?? ?? 50 8B 45 08 8B 80 F0 00 00 00 E8 ?? ?? ?? ?? 50 53 8B 45 08 8B 80 D0 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 08 89 82 F8 00 00 00 6A 00 E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 8B 45 08 83 B8 F8 00 00 00 00 0F 95 C2 80 F2 01 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 6A 00 6A 03 8B 45 08 8B 80 D8 00 00 00 E8 ?? ?? ?? ?? 50 8B 45 08 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 50 8B 45 08 0F B7 80 E8 00 00 00 50 8B 45 08 8B 80 E0 00 00 00 E8 ?? ?? ?? ?? 50 8B 45 08 8B 80 F8 00 00 00 50 E8 ?? ?? ?? ?? 8B D8 8B 45 08 89 98 FC 00 00 00 85 DB 0F 95 C2 80 F2 01 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 5B E9 ?? ?? ?? ?? 8B 45 08 8B 80 F8 00 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 40 84 DB 75 3C 8B 45 08 8B 80 FC 00 00 00 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 45 08 33 D2 89 90 FC 00 00 00 8B 45 08 8B 80 F8 00 00 00 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 45 08 33 D2 89 90 F8 00 00 00 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_26227_0 {
	meta:
		name = "TWebConnection.Receive"
		size = 548
		refs = "001b TWebConnection.Receive 0046 HttpQueryInfo 005d MaxStatusText 006b @UStrSetLength 007b @UniqueStringU 00b9 _Dn_Exception 00be Exception.CreateFmt 00c3 @RaiseExcept 00d8 InternetQueryDataAvailable 00e8 TWebConnection.Check 0106 :TWebConnection.:1 010b @DynArraySetLength 0122 InternetReadFile 015e _DV_TDataBlock 0163 TDataBlock.Create 0174 @IntfCopy 01bc SInvalidDataPacket 01c8 Exception.CreateRes 01e2 @UStrClr 01f0 @DynArrayClear 01f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C0 89 45 FC 89 45 F8 8B 75 14 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 E8 04 00 00 00 33 C0 89 45 E4 8D 45 E4 50 8D 45 E8 50 8D 45 EC 50 68 13 00 00 20 8B DE 53 E8 ?? ?? ?? ?? 85 C0 74 79 81 7D EC 2C 01 00 00 72 70 33 C0 89 45 E4 A1 ?? ?? ?? ?? 89 45 F4 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 E4 50 8D 45 F4 50 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 14 53 E8 ?? ?? ?? ?? 85 C0 74 3B 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F8 89 45 D4 C6 45 D8 11 8B 45 EC 89 45 DC C6 45 E0 00 8D 45 D4 50 6A 01 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 E8 33 DB 6A 00 6A 00 8D 45 F4 50 56 E8 ?? ?? ?? ?? 8B D0 83 FA 01 1B D2 F7 DA 8B C7 E8 ?? ?? ?? ?? 83 7D F4 00 0F 86 99 00 00 00 8B C3 03 45 F4 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F0 50 8B 45 F4 50 8B 45 FC 03 C3 50 56 E8 ?? ?? ?? ?? 8B D0 83 FA 01 1B D2 F7 DA 8B C7 E8 ?? ?? ?? ?? 8B 45 08 83 38 00 74 15 8B 45 F0 50 8B 45 FC 50 8B 45 08 8B 00 50 8B 00 FF 50 2C EB 3C 03 5D F0 83 FB 08 72 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8B 45 08 E8 ?? ?? ?? ?? 6A 00 53 8B 45 FC 50 8B 45 08 8B 00 50 8B 00 FF 50 38 89 45 E8 33 DB 83 7D F4 00 0F 85 35 FF FF FF 85 DB 76 05 83 FB 08 72 18 8B 45 08 83 38 00 74 27 8B 45 08 8B 00 50 8B 00 FF 50 14 3B 45 E8 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 20 00 28 00 25 00 64 00 29 00 00 00 }
	condition:
		$1
}

rule function_26228_0 {
	meta:
		name = "TWebConnection.Send"
		size = 368
		refs = "0018 TWebConnection.Send 002e :TWebConnection.:2 0033 @DynArraySetLength 0071 @UStrToPWChar 0083 HttpOpenRequest 0094 TWebConnection.Check 00b6 HttpSendRequest 00d1 GetLastError 00d8 GetDesktopWindow 00de InternetErrorDlg 00f7 Abort 0116 @DynArrayClear 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C0 89 45 FC 8B 5D 0C 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B8 ?? ?? ?? ?? 8B 55 FC 89 02 8B 45 FC 33 D2 89 50 04 BE 00 00 40 04 83 BF EC 00 00 00 04 75 06 81 CE 00 00 80 00 57 56 8B 45 FC 50 6A 00 6A 00 8B 87 E4 00 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 87 FC 00 00 00 50 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 95 C2 80 F2 01 8B C7 E8 ?? ?? ?? ?? 53 8B 03 FF 50 14 50 53 8B 03 FF 50 0C 5A 03 D0 52 53 8B 03 FF 50 10 50 6A 00 6A 00 56 E8 ?? ?? ?? ?? 8B D0 83 FA 01 1B D2 F7 DA 8B C7 E8 ?? ?? ?? ?? 8D 45 F4 50 6A 07 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 83 E8 01 72 10 2D C6 04 00 00 74 02 EB A2 E8 ?? ?? ?? ?? EB 9B 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 6F 00 63 00 74 00 65 00 74 00 2D 00 73 00 74 00 72 00 65 00 61 00 6D 00 00 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_26229_0 {
	meta:
		name = "TWebConnection.DoConnect"
		size = 340
		refs = "001b TWebConnection.DoConnect 0048 TDispatchConnection.GetServerGUID 0059 TDispatchConnection.GetServerCLSID 0078 TWebConnection.SetURL 00b5 TStreamedConnection.DoConnect 00dd @HandleAnyException 0105 @DoneExcept 0134 @UStrClr 0141 @UStrArrayClr 0147 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 E0 89 55 F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 9C 00 00 00 00 0F 84 E6 00 00 00 8B 45 FC 83 B8 DC 00 00 00 00 75 62 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 74 2C 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F4 8B 45 FC 8B 80 9C 00 00 00 8B 18 FF 53 44 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 25 8D 4D E0 8B 45 FC 8D 90 98 00 00 00 8B 45 FC 8B 80 9C 00 00 00 8B 18 FF 53 48 8B 55 E0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 DC 00 00 00 8B 45 FC 8B 80 9C 00 00 00 B1 01 8B 18 FF 53 40 33 C0 5A 59 59 64 89 10 EB 2D E9 ?? ?? ?? ?? 8B 45 FC 8B 90 DC 00 00 00 8B 45 FC 8B 80 9C 00 00 00 33 C9 8B 18 FF 53 40 33 D2 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 48 84 C0 0F 84 1C FF FF FF EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26231_0 {
	meta:
		name = "TPacketInterceptFactory.UpdateRegistry"
		size = 1440
		refs = "001a TPacketInterceptFactory.UpdateRegistry 0029 TComObjectFactory.UpdateRegistry 0031 @IntfClear 0040 CLSID_StdComponentCategoryMgr 0046 CoCreateInstance 005a CATID_MIDASInterceptor 0087 StringToWideChar 009e OleCheck 00ec GUIDToString 0111 Format 0121 DeleteRegKey 0159 @UStrCat3 016e CreateRegKey 021a CATID_MIDASAppServer 02e3 GetRegStringValue 03be @UStrArrayClr 03d9 @UStrClr 03ef @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 31 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 01 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A9 00 00 00 80 0F 85 D5 00 00 00 84 DB 74 68 A1 ?? ?? ?? ?? 56 8B F0 8D BD E4 FE FF FF A5 A5 A5 A5 5E C7 85 F4 FE FF FF 09 04 00 00 8D 95 F8 FE FF FF B9 25 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 E4 FE FF FF 50 6A 01 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 6A 01 8D 46 10 50 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? E9 E4 01 00 00 A1 ?? ?? ?? ?? 50 6A 01 8D 46 10 50 8B 45 FC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 8D 85 E0 FE FF FF 50 8D 95 D4 FE FF FF 8D 46 10 E8 ?? ?? ?? ?? 8B 85 D4 FE FF FF 89 85 D8 FE FF FF C6 85 DC FE FF FF 11 8D 95 D8 FE FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E0 FE FF FF BA 00 00 00 80 E8 ?? ?? ?? ?? E9 7B 01 00 00 84 DB 0F 84 B9 00 00 00 68 00 00 00 80 8D 95 CC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D CC FE FF FF 8D 85 D0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D0 FE FF FF B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 00 00 00 80 8D 85 C8 FE FF FF 50 8D 95 B4 FE FF FF 8D 46 10 E8 ?? ?? ?? ?? 8B 85 B4 FE FF FF 89 85 B8 FE FF FF C6 85 BC FE FF FF 11 8D 95 B0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 B0 FE FF FF 89 85 C0 FE FF FF C6 85 C4 FE FF FF 11 8D 95 B8 FE FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 C8 FE FF FF 33 C9 33 D2 E8 ?? ?? ?? ?? E9 BA 00 00 00 8D 85 AC FE FF FF 50 8D 95 A8 FE FF FF 8D 46 10 E8 ?? ?? ?? ?? 8B 85 A8 FE FF FF 89 85 B8 FE FF FF C6 85 BC FE FF FF 11 8D 95 A4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 A4 FE FF FF 89 85 C0 FE FF FF C6 85 C4 FE FF FF 11 8D 95 B8 FE FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 AC FE FF FF BA 00 00 00 80 E8 ?? ?? ?? ?? 8D 85 A0 FE FF FF 50 8D 95 9C FE FF FF 8D 46 10 E8 ?? ?? ?? ?? 8B 85 9C FE FF FF 89 85 D8 FE FF FF C6 85 DC FE FF FF 11 8D 95 D8 FE FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 A0 FE FF FF BA 00 00 00 80 E8 ?? ?? ?? ?? 84 DB 0F 84 C4 00 00 00 8D 45 F8 50 8D 95 94 FE FF FF 8D 46 10 E8 ?? ?? ?? ?? 8B 8D 94 FE FF FF 8D 85 98 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 98 FE FF FF B9 00 00 00 80 33 D2 E8 ?? ?? ?? ?? 68 00 00 00 80 8D 95 8C FE FF FF 8D 46 10 E8 ?? ?? ?? ?? 8B 8D 8C FE FF FF 8D 85 90 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 90 FE FF FF 8B 4D F8 33 D2 E8 ?? ?? ?? ?? 68 00 00 00 80 8D 95 88 FE FF FF 8D 46 10 E8 ?? ?? ?? ?? 8B 85 88 FE FF FF 50 8D 95 80 FE FF FF 8D 46 10 E8 ?? ?? ?? ?? 8B 8D 80 FE FF FF 8D 85 84 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 84 FE FF FF BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 34 8D 95 78 FE FF FF 8D 46 10 E8 ?? ?? ?? ?? 8B 8D 78 FE FF FF 8D 85 7C FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 7C FE FF FF BA 00 00 00 80 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FE FF FF BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 85 C8 FE FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 E0 FE FF FF E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5F 5E 5B 8B E5 5D C3 12 E0 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 B0 04 02 00 FF FF FF FF 24 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 20 00 44 00 61 00 74 00 61 00 53 00 6E 00 61 00 70 00 20 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 25 00 73 00 5C 00 49 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 65 00 64 00 20 00 43 00 61 00 74 00 65 00 67 00 6F 00 72 00 69 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 43 00 6F 00 6D 00 70 00 6F 00 6E 00 65 00 6E 00 74 00 20 00 43 00 61 00 74 00 65 00 67 00 6F 00 72 00 69 00 65 00 73 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 30 00 39 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 25 00 73 00 5C 00 49 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 65 00 64 00 20 00 43 00 61 00 74 00 65 00 67 00 6F 00 72 00 69 00 65 00 73 00 5C 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 70 00 70 00 49 00 44 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 70 00 70 00 49 00 44 00 00 00 }
	condition:
		$1
}

rule function_26234_0 {
	meta:
		name = "TIWApplication.GetFormCount"
		size = 10
		altNames = "TLocalConnection.GetProviderCount"
	strings:
		$1 = { 8B 80 8C 00 00 00 8B 40 08 C3 }
	condition:
		$1
}

rule function_26236_0 {
	meta:
		name = "TLocalConnection.Create"
		size = 212
		refs = "0011 @ClassCreate 0025 TCustomRemoteServer.Create 002a RCS 0031 _Dn_TList 0036 TObject.Create 0056 TLocalConnection.Create 005b @IntfCast 0062 TComponent.GetComponentCount 0075 TComponent.GetComponent 007b _Dn_TCustomProvider 0080 @IsClass 0097 TLocalConnection.RegisterProvider 00a9 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FB 89 45 FC 8B CF 33 D2 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 8C 00 00 00 8B 45 FC 05 88 00 00 00 8B 55 FC 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 32 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 D1 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 59 59 5D C3 00 00 00 20 CC EF 1A 24 7A D2 11 98 B0 C6 9B EB 4B 5B 6D }
	condition:
		$1
}

rule function_26237_0 {
	meta:
		name = "TLocalConnection.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d @IntfClear 0028 TCustomConnection.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 8C 00 00 00 E8 ?? ?? ?? ?? 8D 86 88 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26238_0 {
	meta:
		name = "TLocalConnection.GetServer"
		size = 22
		refs = "000f @IntfCopy"
		altNames = "TXMLSchemaDef.GetSchemaIncludes"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115318_0 {
	meta:
		name = "TXMLBroker.GetErrors"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26239_0 {
	meta:
		name = "TLocalConnection.GetProviderNames"
		size = 267
		refs = "0019 TLocalConnection.GetProviderNames 0030 @VarClear 0046 @VarClr 0058 @CheckAutoResult 0067 @HandleAnyException 006c @DoneExcept 0074 VarIsArray 0080 VarArrayDimCount 0090 VarArrayLowBound 009f VarArrayHighBound 00b6 @VarArrayGet 00c4 @VarToUStr 00ee @UStrClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 8B 08 FF 51 58 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 83 88 00 00 00 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 59 8D 45 F0 E8 ?? ?? ?? ?? 48 75 4E 8D 45 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 8D 45 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 2B DE 7C 2C 43 56 6A 01 8D 45 F0 50 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 DC 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 0C FF 55 08 46 4B 75 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_26240_0 {
	meta:
		name = "TLocalConnection.Notification"
		size = 65
		refs = "0010 TComponent.Notification 0018 _Dn_TCustomProvider 001d @IsClass 002e TLocalConnection.RegisterProvider 0039 TLocalConnection.UnRegisterProvider"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 84 DB 75 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 09 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26241_0 {
	meta:
		name = "TDBXTestCase.FreeOnTearDown"
		size = 12
		refs = "0007 TList.Add"
		altNames = "TLocalConnection.RegisterProvider"
	strings:
		$1 = { 8B 80 8C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26242_0 {
	meta:
		name = "TLocalConnection.UnRegisterProvider"
		size = 14
		refs = "0009 TList.RemoveItem"
	strings:
		$1 = { 8B 80 8C 00 00 00 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26243_0 {
	meta:
		name = "TLocalConnection.AS_GetProviderNames"
		size = 246
		refs = "002c TLocalConnection.AS_GetProviderNames 0039 _Dn_TStringList 003e TStringList.Create 006d TList.Get 00a5 VarArrayFromStrings 00b0 @OleVarFromVar 00c5 TObject.Free 00cb @HandleFinally 00df @HandleAutoException 00e7 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B 7D 08 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 8C 00 00 00 8B 70 08 4E 85 F6 7C 32 46 33 DB 8B 87 8C 00 00 00 8B D3 E8 ?? ?? ?? ?? 80 78 38 00 74 18 8B 87 8C 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B 50 08 8B 45 FC 8B 08 FF 51 38 43 4E 75 D1 8B 45 FC 8B 10 FF 92 A0 00 00 00 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_26244_0 {
	meta:
		name = "TLocalConnection.AS_ApplyUpdates"
		size = 145
		refs = "000f @VarAddRef 002f TLocalConnection.AS_ApplyUpdates 004c @UStrFromWStr 0061 TCustomProvider.ApplyUpdates 0073 @HandleAutoException 007b @UStrClr 0083 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 8B 45 2C 8B 55 2C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 24 50 8B 45 28 50 8B 45 2C 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 74 8D 55 10 8B 4D 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 28 00 }
	condition:
		$1
}

rule function_26245_0 {
	meta:
		name = "TLocalConnection.AS_GetRecords"
		size = 137
		refs = "0027 TLocalConnection.AS_GetRecords 004c @UStrFromWStr 0061 TCustomProvider.GetRecords 0073 @HandleAutoException 007b @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 28 8B 55 28 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 50 8B 45 1C 50 8B 45 20 50 8B 45 24 50 8B 45 28 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 74 8B 4D 14 8B 55 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 24 00 }
	condition:
		$1
}

rule function_26246_0 {
	meta:
		name = "TLocalConnection.AS_RowRequest"
		size = 144
		refs = "000f @VarAddRef 002f TLocalConnection.AS_RowRequest 0048 @UStrFromWStr 0072 @HandleAutoException 007a @UStrClr 0082 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 8B 45 28 8B 55 28 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 24 50 8B 45 28 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 74 8D 55 10 8B 4D 20 8B 18 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 24 00 }
	condition:
		$1
}

rule function_26247_0 {
	meta:
		name = "TLocalConnection.AS_DataRequest"
		size = 136
		refs = "000f @VarAddRef 002f TLocalConnection.AS_DataRequest 0040 @UStrFromWStr 006a @HandleAutoException 0072 @UStrClr 007a @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 8B 45 20 8B 55 20 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 74 8B 4D 20 8D 55 10 8B 18 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 1C 00 }
	condition:
		$1
}

rule function_26248_0 {
	meta:
		name = "TLocalConnection.AS_GetParams"
		size = 120
		refs = "0027 TLocalConnection.AS_GetParams 0038 @UStrFromWStr 0062 @HandleAutoException 006a @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 14 8B 55 14 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 74 8B 4D 14 8B 55 10 8B 18 FF 93 8C 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_26249_0 {
	meta:
		name = "TLocalConnection.AS_Execute"
		size = 101
		refs = "0010 TLocalConnection.AS_Execute 0025 @UStrFromWStr 004f @HandleAutoException 0057 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 75 08 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 74 8B 4D 14 8B 55 10 8B 18 FF 93 88 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_26250_0 {
	meta:
		name = "TLocalConnection.GetProvider"
		size = 144
		refs = "0028 TList.Get 0033 AnsiCompareText 0071 SProviderNotExported 0078 _Dn_Exception 007d Exception.CreateResFmt 0082 @RaiseExcept"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 14 24 8B F8 33 ED 8B 87 8C 00 00 00 8B 70 08 4E 85 F6 7C 3C 46 33 DB 8B 87 8C 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B 40 08 8B 14 24 E8 ?? ?? ?? ?? 85 C0 75 19 8B 87 8C 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B E8 80 7D 38 00 75 08 33 ED EB 04 43 4E 75 C7 85 ED 75 2A 8B 04 24 89 44 24 04 C6 44 24 08 11 8D 44 24 04 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C5 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26255_0 {
	meta:
		name = "TCustomDataSetAdapter.GetDataSet"
		size = 36
	strings:
		$1 = { 53 8B D8 F6 43 1C 01 75 13 80 BB 70 01 00 00 00 75 0A 8B C3 8B 10 FF 92 18 01 00 00 8B 83 58 01 00 00 5B C3 }
	condition:
		$1
}

rule function_26256_0 {
	meta:
		name = "TCustomDataSetAdapter.SetDataSet"
		size = 97
		refs = "0017 TComponent.RemoveFreeNotification 0024 TComponent.FreeNotification 0042 TCustomAdapter.NotifyAdapterChange 005a TDataSource.SetDataSet"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 58 01 00 00 3B F0 74 4E 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 89 B3 58 01 00 00 8B 83 20 01 00 00 8B 10 FF 52 60 F6 43 1C 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B 83 60 01 00 00 85 C0 74 0E 8B 40 04 8B 93 58 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26257_0 {
	meta:
		name = "TCustomDataSetAdapter.Notification"
		size = 90
		refs = "0010 TCustomAdapter.Notification 003d TCustomAdapter.NotifyAdapterChange"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 28 3B B7 58 01 00 00 75 20 33 C0 89 87 58 01 00 00 8B 87 20 01 00 00 8B 10 FF 52 60 F6 47 1C 01 75 07 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 7C 01 00 00 75 08 33 C0 89 87 7C 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26258_0 {
	meta:
		name = "ListDataSetFields"
		size = 438
		refs = "0017 ListDataSetFields 002c TCustomDataSetAdapter.GetDataSet 0045 DesigningComponent 0055 TDataSet.Open 0060 TFields.GetCount 007b TFields.GetField 0083 _Dn_TMemoField 0088 TObject.InheritsFrom 00a1 TField.GetFullName 00aa _DV_TDataSetAdapterMemoField 00d6 DataSetAdapterImageFieldClass 013a _DV_TDataSetAdapterField 01a3 @UStrArrayClr 01a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 55 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C DF 00 00 00 46 33 DB 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 0D ?? ?? ?? ?? 8B 45 FC 8B 38 FF 57 3C E9 8B 00 00 00 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 0F B6 40 48 2C 11 74 04 2C 04 75 31 83 3D ?? ?? ?? ?? 00 74 69 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 0D ?? ?? ?? ?? 8B 45 FC 8B 38 FF 57 3C EB 41 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 0F B6 40 48 04 E6 2C 02 72 2A 2C 01 74 26 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 0D ?? ?? ?? ?? 8B 45 FC 8B 38 FF 57 3C 43 4E 0F 85 24 FF FF FF 8B 45 F8 8B 40 3C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2D 46 33 DB 8B 45 F8 8B 40 3C 8B D3 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 0D ?? ?? ?? ?? 8B 45 FC 8B 38 FF 57 3C 43 4E 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26259_0 {
	meta:
		name = "ListDataSetActions"
		size = 692
		refs = "0009 _DV_TDataSetAdapterDeleteRowAction 000e ListDataSetActions 001b _DV_TDataSetAdapterFirstRowAction 002d _DV_TDataSetAdapterPrevRowAction 003f _DV_TDataSetAdapterNextRowAction 0051 _DV_TDataSetAdapterLastRowAction 0063 _DV_TDataSetAdapterEditRowAction 0075 _DV_TDataSetAdapterBrowseRowAction 0087 _DV_TDataSetAdapterNewRowAction 0099 _DV_TDataSetAdapterCancelRowAction 00ab _DV_TDataSetAdapterApplyRowAction 00bd _DV_TDataSetAdapterRefreshRowAction 00d8 _Dn_TAdapterPrevPageAction 00ea _Dn_TAdapterGotoPageAction 00fc _Dn_TAdapterNextPageAction"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 3C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 3C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 3C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 3C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 3C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 3C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 3C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 3C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 3C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 3C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 3C 83 BE 2C 01 00 00 00 7E 36 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 3C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 3C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 3C 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 65 00 6C 00 65 00 74 00 65 00 52 00 6F 00 77 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 69 00 72 00 73 00 74 00 52 00 6F 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 72 00 65 00 76 00 52 00 6F 00 77 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4E 00 65 00 78 00 74 00 52 00 6F 00 77 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 61 00 73 00 74 00 52 00 6F 00 77 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 64 00 69 00 74 00 52 00 6F 00 77 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 42 00 72 00 6F 00 77 00 73 00 65 00 52 00 6F 00 77 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4E 00 65 00 77 00 52 00 6F 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 61 00 6E 00 63 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 70 00 70 00 6C 00 79 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 65 00 66 00 72 00 65 00 73 00 68 00 52 00 6F 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 72 00 65 00 76 00 50 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 6F 00 74 00 6F 00 50 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 65 00 78 00 74 00 50 00 61 00 67 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_26261_0 {
	meta:
		name = "AddDefaultDataSetFields"
		size = 104
		refs = "000d TCustomDataSetAdapter.GetDataSet 0018 _Dn_TStringList 001d TStringList.Create 0028 AddDefaultDataSetFields 0038 ListDataSetFields 0042 AddDefaultFields 0057 TObject.Free 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 4E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26262_0 {
	meta:
		name = "AddDefaultDataSetActions"
		size = 93
		refs = "000d _Dn_TStringList 0012 TStringList.Create 001d AddDefaultDataSetActions 002d ListDataSetActions 0037 AddDefaultActions 004c TObject.Free 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97286_0 {
	meta:
		name = "AddDefaultPagedAdapterActions"
		size = 93
		refs = "000d _Dn_TStringList 0012 TStringList.Create 001d AddDefaultPagedAdapterActions 002d ListPagedAdapterActions 0037 AddDefaultActions 004c TObject.Free 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45506_0 {
	meta:
		name = "TIWMarkupLanguageElement.Render"
		size = 93
		refs = "000d _Dn_TIWRenderStream 0012 TIWRenderStream.Create 001d TIWMarkupLanguageElement.Render 0037 TIWRenderStream.Extract 004c TObject.Free 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26263_0 {
	meta:
		name = "TCustomDataSetAdapter.Destroy"
		size = 106
		refs = "0004 @BeforeDestruction 0013 TCustomAdapter.Destroy 001e TObject.Free 003a TDataLink.SetDataSource 0062 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 8B 87 64 01 00 00 E8 ?? ?? ?? ?? 8B 87 60 01 00 00 85 C0 74 24 33 D2 89 50 20 89 50 24 8B 70 04 33 D2 E8 ?? ?? ?? ?? 8B 87 60 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 87 80 01 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26264_0 {
	meta:
		name = "TBaseDataSetAdapterField.ImplAsFormatted"
		size = 125
		refs = "000b @UStrClr 001b TBaseDataSetAdapterField.GetDataSet 0024 TDataSet.Open 002b TBaseDataSetAdapterField.FindField 0038 TDataSet.GetActive 0043 DesigningComponent 0074 TField.GetDisplayText"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B C5 E8 ?? ?? ?? ?? 83 BB 88 00 00 00 00 74 60 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 43 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2D 8B C6 E8 ?? ?? ?? ?? 66 83 BB 92 00 00 00 00 74 13 55 8B CF 8B D3 8B 83 94 00 00 00 FF 93 90 00 00 00 EB 09 8B D5 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26265_0 {
	meta:
		name = "TBaseDataSetAdapterField.GetDataSet"
		size = 32
		refs = "0006 TBaseDataSetAdapterField.GetAdapter 0016 TCustomDataSetAdapter.GetDataSet"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_26368_0 {
	meta:
		name = "TCustomDataSetAdapterAction.GetDataSet"
		size = 32
		refs = "0006 TCustomDataSetAdapterAction.GetAdapter 0016 TCustomDataSetAdapter.GetDataSet"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_26266_0 {
	meta:
		name = "TBaseDataSetAdapterField.GetDataSetFieldValue"
		size = 21
	strings:
		$1 = { 53 56 8B F1 8B DA 8B D6 8B C3 8B 08 FF 91 90 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_26267_0 {
	meta:
		name = "TBaseDataSetAdapterField.ImplGetValue"
		size = 212
		refs = "0016 TBaseDataSetAdapterField.ImplGetValue 0024 @VarClear 002f @VarCopy 003f TAdapterNamedField.CheckViewAccess 0046 TBaseDataSetAdapterField.GetDataSet 004f TDataSet.Open 0056 TBaseDataSetAdapterField.FindField 0066 TDataSet.GetActive 0071 DesigningComponent 00c2 @VarClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 83 BB 88 00 00 00 00 74 75 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 74 4E 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 38 8B C6 E8 ?? ?? ?? ?? 66 83 BB 9A 00 00 00 00 74 17 8B 45 EC 50 8B 4D E8 8B D3 8B 83 9C 00 00 00 FF 93 98 00 00 00 EB 10 8B 4D EC 8B 55 E8 8B C3 8B 18 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26268_0 {
	meta:
		name = "TBaseDataSetAdapterField.ImplGetDisplayLabel"
		size = 38
		refs = "0009 @UStrClr 0010 TBaseDataSetAdapterField.FindField 001f TField.GetDisplayLabel"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26269_0 {
	meta:
		name = "TBaseDataSetAdapterField.ImplGetDisplayWidth"
		size = 24
		refs = "0005 TBaseDataSetAdapterField.FindField 000e TField.GetDisplayWidth"
	strings:
		$1 = { 53 83 CB FF E8 ?? ?? ?? ?? 85 C0 74 07 E8 ?? ?? ?? ?? 8B D8 8B C3 5B C3 }
	condition:
		$1
}

rule function_26270_0 {
	meta:
		name = "TBaseDataSetAdapterField.FindField"
		size = 80
		refs = "001a TBaseDataSetAdapterField.GetDataSet 002d TDataSet.FindField 0042 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 57 8B D8 83 BB 84 00 00 00 00 75 38 83 BB 88 00 00 00 00 74 2F 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 22 8B 93 88 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 BB 84 00 00 00 85 FF 74 09 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 83 84 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26271_0 {
	meta:
		name = "TBaseDataSetAdapterField.GetReadOnly"
		size = 20
		refs = "0004 TBaseDataSetAdapterField.FindField"
	strings:
		$1 = { 53 33 DB E8 ?? ?? ?? ?? 85 C0 74 04 0F B6 58 49 8B C3 5B C3 }
	condition:
		$1
}

rule function_26272_0 {
	meta:
		name = "TBaseDataSetAdapterField.ImplSetFieldName"
		size = 96
		refs = "000f TBaseDataSetAdapterField.ImplSetFieldName 0022 @UStrAsg 0030 MakeValidAdapterFieldName 003a TAdapterNamedField.ImplSetFieldName 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 88 00 00 00 8B D6 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26273_0 {
	meta:
		name = "TBaseDataSetAdapterField.GetDisplayStyle"
		size = 44
		refs = "001a AdapterDisplayHTMLElementTypeNames 0024 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 A4 00 00 00 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 14 82 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26274_0 {
	meta:
		name = "TBaseDataSetAdapterField.GetInputStyle"
		size = 44
		refs = "001a AdapterInputHTMLElementTypeNames 0024 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 A0 00 00 00 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 14 82 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26275_0 {
	meta:
		name = "TBaseDataSetAdapterField.GetAdapter"
		size = 49
		refs = "0006 TAdapterNamedField.GetAdapter 0017 _DV_TCustomDataSetAdapter 001c @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_97117_0 {
	meta:
		name = "TAdapterApplicationField.GetAdapter"
		size = 49
		refs = "0006 TAdapterNamedField.GetAdapter 0017 _DV_TCustomApplicationAdapter 001c @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_97122_0 {
	meta:
		name = "TAdapterEndUserField.GetAdapter"
		size = 49
		refs = "0006 TAdapterNamedField.GetAdapter 0017 _DV_TBaseEndUserAdapter 001c @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_97284_0 {
	meta:
		name = "TAdapterLoginField.GetAdapter"
		size = 49
		refs = "0006 TAdapterNamedField.GetAdapter 0017 _DV_TCustomLoginFormAdapter 001c @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_97138_0 {
	meta:
		name = "TBaseValuesListField.GetAdapter"
		size = 49
		refs = "0006 TAdapterNamedField.GetAdapter 0017 _DV_TBaseValuesListAdapter 001c @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_97114_0 {
	meta:
		name = "TCustomApplicationAdapterAction.GetAdapter"
		size = 49
		refs = "0006 TBaseAdapterAction.GetAdapter 0017 _DV_TCustomApplicationAdapter 001c @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_26367_0 {
	meta:
		name = "TCustomDataSetAdapterAction.GetAdapter"
		size = 49
		refs = "0006 TBaseAdapterAction.GetAdapter 0017 _DV_TCustomDataSetAdapter 001c @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_97086_0 {
	meta:
		name = "TCustomEndUserAdapterAction.GetAdapter"
		size = 49
		refs = "0006 TBaseAdapterAction.GetAdapter 0017 _DV_TBaseEndUserAdapter 001c @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_97043_0 {
	meta:
		name = "TCustomLoginFormAdapterAction.GetAdapter"
		size = 49
		refs = "0006 TBaseAdapterAction.GetAdapter 0017 _DV_TCustomLoginFormAdapter 001c @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_97305_0 {
	meta:
		name = "TCustomPagedAdapterAction.GetAdapter"
		size = 49
		refs = "0006 TBaseAdapterAction.GetAdapter 0017 _DV_TDefaultFieldsPagedAdapter 001c @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_26276_0 {
	meta:
		name = "TBaseDataSetAdapterField.SetDataSetField"
		size = 33
		refs = "000f @UStrEqual 001a TAdapterNamedField.SetFieldName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 88 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26277_0 {
	meta:
		name = "TBaseDataSetAdapterField.GetKeyParams"
		size = 36
		refs = "0009 TBaseDataSetAdapterField.GetAdapter 001d TCustomDataSetAdapter.GetKeyParams"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 8B C3 E8 ?? ?? ?? ?? B1 01 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26278_0 {
	meta:
		name = "TBaseDataSetAdapterField.CheckOrigValue"
		size = 84
		refs = "0011 @IntfAddRef 0019 TBaseDataSetAdapterField.CheckOrigValue 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 8B 18 FF 93 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26280_0 {
	meta:
		name = "TBaseDataSetAdapterField.CheckValueChange"
		size = 88
		refs = "0011 @IntfAddRef 0019 TBaseDataSetAdapterField.CheckValueChange 0045 @IntfClear 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 8B 18 FF 93 9C 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26283_0 {
	meta:
		name = "TBaseDataSetAdapterField.UpdateValue"
		size = 84
		refs = "0011 @IntfAddRef 0019 TBaseDataSetAdapterField.UpdateValue 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26286_0 {
	meta:
		name = "TBaseDataSetAdapterField.GetViewModeType"
		size = 64
		refs = "0009 TBaseDataSetAdapterField.GetReadOnly 0019 TBaseDataSetAdapterField.GetAdapter 002b TCustomDataSetAdapter.StringToMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 B0 01 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? EB 02 B0 02 2C 02 75 04 B0 01 EB 02 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_26287_0 {
	meta:
		name = "TBaseDataSetAdapterField.GetViewMode"
		size = 44
		refs = "001a AdapterDisplayViewModeTypeNames 0024 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 A8 00 00 00 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 14 82 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26288_0 {
	meta:
		name = "TBaseDataSetAdapterField.Create"
		size = 88
		refs = "000a @ClassCreate 0017 TWebContainedComponent.Create 001e TBaseDataSetAdapterField.Create 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 86 8C 00 00 00 0F B6 05 ?? ?? ?? ?? 88 86 8D 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 0F 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_26289_0 {
	meta:
		name = "TBaseDataSetAdapterField.ImplGetRequired"
		size = 17
		refs = "0001 TBaseDataSetAdapterField.FindField"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 05 0F B6 40 4D C3 33 C0 C3 }
	condition:
		$1
}

rule function_26290_0 {
	meta:
		name = "TBaseDataSetAdapterField.ImplGetVisible"
		size = 60
		refs = "0007 TBaseDataSetAdapterField.GetAdapter 000c TCustomDataSetAdapter.GetMode 002b TBaseDataSetAdapterField.FindField"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 07 77 0D 83 E0 7F 0F B6 96 8C 00 00 00 0F A3 C2 0F 92 C3 84 DB 74 0F 8B C6 E8 ?? ?? ?? ?? 85 C0 74 04 0F B6 58 4C 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_26291_0 {
	meta:
		name = "TBaseDataSetAdapterField.Notification"
		size = 45
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 84 00 00 00 75 08 33 C0 89 87 84 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26292_0 {
	meta:
		name = "TCustomDataSetAdapterField.ImplGetPrevValue"
		size = 288
		refs = "001a TCustomDataSetAdapterField.ImplGetPrevValue 0028 @VarClear 0032 @VarCopy 0039 TAdapterNamedField.GetEchoActionFieldValue 0047 TAdapterNamedField.GetActionOrigValue 008b TBaseDataSetAdapterField.GetDataSet 0098 DesigningComponent 00a3 TDataSet.GetActive 00b2 TDataSet.Open 00bf TDataSet.FindField 00fb Variant 0105 @FinalizeArray 010d @IntfClear 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3E 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 1A 8B 45 FC 8B 10 FF 52 10 85 C0 7E 0E 8B CE 33 D2 8B 45 FC 8B 18 FF 53 14 EB 7E 8D 45 D8 E8 ?? ?? ?? ?? 8B C6 8D 55 D8 E8 ?? ?? ?? ?? EB 6A 83 BB 88 00 00 00 00 74 61 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 54 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B C7 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 16 8B C7 E8 ?? ?? ?? ?? 8B 93 88 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0E 8B D6 8B C3 8B 08 FF 91 90 00 00 00 EB 12 8D 45 C8 E8 ?? ?? ?? ?? 8B C6 8D 55 C8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26293_0 {
	meta:
		name = "TCustomDataSetAdapterField.GetAdapterValuesList"
		size = 22
		refs = "000f @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 D8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26294_0 {
	meta:
		name = "TCustomDataSetAdapterField.Notification"
		size = 57
		refs = "0010 TBaseDataSetAdapterField.Notification 0022 TComponent.IsImplementorOf 0031 @IntfClear"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1C 8B 97 D8 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8D 87 D8 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26295_0 {
	meta:
		name = "TCustomDataSetAdapterField.SetValuesList"
		size = 52
		refs = "0011 TComponent.ReferenceInterface 001e @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 B1 01 8B 93 D8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 D8 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 C9 8B 93 D8 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26296_0 {
	meta:
		name = "TCustomDataSetAdapterField.ImplGetValue"
		size = 190
		refs = "0015 TCustomDataSetAdapterField.ImplGetValue 0022 TAdapterNamedField.CheckViewAccess 0029 TAdapterNamedField.GetEchoActionFieldValue 0037 TAdapterNamedField.GetActionValue 0060 TBaseDataSetAdapterField.ImplGetValue 006a @VarClear 0074 @VarCopy 007d TBaseDataSetAdapterField.GetAdapter 0082 TCustomDataSetAdapter.GetMode 00a4 @VarClr 00ac @IntfClear 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 49 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 25 8B 45 FC 8B 10 FF 52 10 85 C0 7E 0E 8B CE 33 D2 8B 45 FC 8B 18 FF 53 14 EB 38 8B D6 8B C3 E8 ?? ?? ?? ?? EB 2D 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? EB 19 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 03 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26297_0 {
	meta:
		name = "GetActionFieldValues"
		size = 108
		refs = "000e @IntfAddRef 0016 GetActionFieldValues 0023 @IntfClear 0032 Supports 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 A3 2D 3B 95 6D 7C 01 4F 93 2B 0B D8 B6 C6 DB B2 }
	condition:
		$1
}

rule function_26298_0 {
	meta:
		name = "TCustomDataSetAdapterField.ImplCheckOrigValue"
		size = 470
		refs = "0021 @IntfAddRef 0029 TCustomDataSetAdapterField.ImplCheckOrigValue 0043 TBaseDataSetAdapterField.GetAdapter 0048 TCustomDataSetAdapter.GetDataSet 0058 TCustomDataSetAdapter.RaiseNilDataSet 0063 GetActionFieldValues 0091 TDataSet.Open 00a8 TDataSet.FindField 00c0 TCustomDataSetAdapter.RaiseFieldNotFound 00f1 @OleVarFromVar 00f9 VarIsEmpty 0112 VarIsNull 011e @WStrClr 0138 @VarToWStr 0143 @VarFromWStr 014e @VarCmpNE 015a TAdapterNamedField.GetVariableName 016b TCustomDataSetAdapter.RaiseFieldChangedByAnotherUser 0180 @UStrClr 0188 @VarClr 0191 Variant 019b @FinalizeArray 01ab @IntfClear 01c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 83 8D 00 00 00 02 0F 84 2F 01 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F4 8B D6 8B 45 F0 8B 30 FF 56 28 8B 45 F4 8B 10 FF 52 10 85 C0 0F 8E EB 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 75 12 8B C3 E8 ?? ?? ?? ?? 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 80 7E 4A 01 0F 84 A1 00 00 00 8B 45 F4 8B 10 FF 52 10 48 0F 85 92 00 00 00 8D 4D D0 33 D2 8B 45 F4 8B 38 FF 57 14 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 75 6E 8D 55 C0 8B C6 8B 08 FF 91 90 00 00 00 8D 45 C0 E8 ?? ?? ?? ?? 84 C0 74 0A 8D 45 F8 E8 ?? ?? ?? ?? EB 18 8D 55 B0 8B C6 8B 08 FF 91 90 00 00 00 8D 55 B0 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 A0 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 A0 8D 45 E0 E8 ?? ?? ?? ?? 74 1B 8D 55 9C 8B C3 E8 ?? ?? ?? ?? 8B 45 9C 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26299_0 {
	meta:
		name = "TCustomDataSetAdapterField.ImplUpdateValue"
		size = 430
		refs = "0022 @IntfAddRef 002a TCustomDataSetAdapterField.ImplUpdateValue 0037 TAdapterNamedField.CheckModifyAccess 0042 GetActionFieldValues 0056 TBaseDataSetAdapterField.GetAdapter 005b TCustomDataSetAdapter.GetMode 007a TBaseDataSetAdapterField.FindField 0092 TCustomDataSetAdapter.RaiseFieldNotFound 00e8 @VarToUStr 00f4 TBaseDataSetAdapterInputField.TestValueChange 011e TAdapterNamedField.GetVariableName 0126 RaiseMultipleValuesException 0146 RaiseFileUploadNotSupported 0160 @UStrArrayClr 0169 Variant 0173 @FinalizeArray 017b @UStrClr 0183 @VarClr 018b @IntfClear 01a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F8 8B D6 8B 45 F4 8B 30 FF 56 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 03 0F 84 E3 00 00 00 8B 45 F8 8B 10 FF 52 10 85 C0 0F 8E B5 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 12 8B C3 E8 ?? ?? ?? ?? 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 80 7E 4A 01 74 7C 8B 45 F8 8B 10 FF 52 10 48 75 71 66 83 BB CA 00 00 00 00 74 23 8D 4D E4 33 D2 8B 45 F8 8B 38 FF 57 14 8D 45 E4 50 8B CE 8B D3 8B 83 CC 00 00 00 FF 93 C8 00 00 00 EB 76 8D 4D D0 33 D2 8B 45 F8 8B 38 FF 57 14 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? 8B 4D E0 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4E 8D 4D C0 33 D2 8B 45 F8 8B 18 FF 53 14 8D 55 C0 8B C6 8B 08 FF 91 00 01 00 00 EB 32 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? EB 1E 8B 45 F8 8B 10 FF 52 18 85 C0 7E 12 8D 55 B8 8B C3 E8 ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26300_0 {
	meta:
		name = "TCustomDataSetAdapterField.ImplCheckValueChange"
		size = 294
		refs = "0021 @IntfAddRef 0029 TCustomDataSetAdapterField.ImplCheckValueChange 0047 GetActionFieldValues 00b4 @VarCmpNE 00e2 Variant 00ec @FinalizeArray 00f4 @IntfClear 00fd IActionFieldValue 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 83 8D 00 00 00 02 0F 84 8C 00 00 00 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F8 8B D6 8B 45 F0 8B 18 FF 53 28 8D 4D F4 8B D6 8B 45 F0 8B 18 FF 53 20 8B 45 F4 8B 10 FF 52 10 8B D8 8B 45 F8 8B 10 FF 52 10 3B D8 75 4B C6 45 EF 00 8B 45 F4 8B 10 FF 52 10 8B F0 4E 85 F6 7C 42 46 33 DB 8D 4D DC 8B D3 8B 45 F4 8B 38 FF 57 14 8D 45 DC 50 8D 4D CC 8B D3 8B 45 F8 8B 38 FF 57 14 8D 55 CC 58 E8 ?? ?? ?? ?? 74 06 C6 45 EF 01 EB 10 43 4E 75 CD EB 0A C6 45 EF 00 EB 04 C6 45 EF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 0F B6 45 EF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26301_0 {
	meta:
		name = "TCustomDataSetAdapterField.GetInputStyleType"
		size = 32
		refs = "0019 TBaseDataSetAdapterField.GetInputStyleType"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB D8 00 00 00 00 74 05 B0 03 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26302_0 {
	meta:
		name = "TCustomDataSetAdapterField.GetPrevValue"
		size = 21
		altNames = "TDomCharacterData.GetData TIdQOTD.GetQuote"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 B0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_26304_0 {
	meta:
		name = "TCustomDataSetAdapterField.ImplGetNeedPrevValue"
		size = 46
		refs = "0006 TBaseDataSetAdapterField.GetAdapter 000b TCustomDataSetAdapter.GetMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 2C 01 72 07 74 09 48 2C 02 73 10 33 C0 5B C3 F6 83 8D 00 00 00 02 0F 95 C0 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_26307_0 {
	meta:
		name = "TCustomDataSetAdapter.OnDataSetStateChange"
		size = 12
	strings:
		$1 = { 8B 80 20 01 00 00 8B 10 FF 52 60 C3 }
	condition:
		$1
}

rule function_26309_0 {
	meta:
		name = "TCustomDataSetAdapter.GetAdapterMode"
		size = 52
		refs = "0012 @UStrClr 001c TCustomDataSetAdapter.GetMode 0026 DataSetAdapterModeNames 002d @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 88 01 00 00 00 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8B 14 85 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26310_0 {
	meta:
		name = "TCustomDataSetAdapter.SetAdapterMode"
		size = 46
		refs = "000f TCustomDataSetAdapter.SetInDefaultMode 001b TCustomDataSetAdapter.StringToMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 0C B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 10 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_26312_0 {
	meta:
		name = "TCustomDataSetAdapter.Create"
		size = 114
		refs = "000a @ClassCreate 0017 TCustomAdapter.Create 0027 _Dn_TComponentList 002c TComponentList.Create 0039 _DV_TLocateParamsList 003e TLocateParamsList.Create 004d TCustomDataSetAdapter.SetInDefaultMode 0054 TCustomDataSetAdapter.CreateDataLink 005f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 78 01 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 64 01 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26313_0 {
	meta:
		name = "TCustomDataSetAdapter.CreateDataLink"
		size = 142
		refs = "000e NotifyPossibleHTMLChange 001a DesigningComponent 0029 TWebContainerComponent.GetWebComponents 002e TWebComponentList.GetCount 003b _DV_TDataSetAdapterDataLink 0040 TDataSetAdapterDataLink.Create 0051 _Dn_TDataSource 0056 TDataSource.Create 005f TDataLink.SetDataSource 0073 TDataSource.SetDataSet"
	strings:
		$1 = { 53 56 8B D8 83 BB 60 01 00 00 00 75 7E A1 ?? ?? ?? ?? 83 38 00 75 1F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 69 8B 83 20 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 55 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 60 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 60 01 00 00 8B 40 04 8B 93 58 01 00 00 E8 ?? ?? ?? ?? 8B 83 60 01 00 00 89 58 24 8B 13 8B 92 0C 01 00 00 89 50 20 5E 5B C3 }
	condition:
		$1
}

rule function_26314_0 {
	meta:
		name = "TCustomDataSetAdapter.SetMode"
		size = 75
		refs = "0010 TCustomDataSetAdapter.GetMode 0024 TCustomDataSetAdapter.GetDataSet"
	strings:
		$1 = { 53 56 8B DA 8B F0 C6 86 88 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 3A D8 74 30 80 BE 70 01 00 00 00 74 1A 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0F 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 68 02 00 00 88 9E 71 01 00 00 C6 86 70 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_26315_0 {
	meta:
		name = "TCustomDataSetAdapter.StringToMode"
		size = 233
		refs = "0015 TCustomDataSetAdapter.StringToMode 0037 DataSetAdapterModeNames 0041 @UStrLAsg 0072 CompareText 0099 sUnknownAdapterMode 009e LoadResString 00a8 _Dn_EAdapterException 00ad Exception.CreateFmt 00b2 @RaiseExcept 00c7 @UStrClr 00d4 @UStrArrayClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 11 8B C3 8B 10 FF 92 08 01 00 00 8B D8 E9 82 00 00 00 33 DB BF ?? ?? ?? ?? 8D 45 FC 8B 17 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 37 43 83 C7 04 80 FB 04 75 B3 89 75 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26316_0 {
	meta:
		name = "TCustomDataSetAdapter.GetMode"
		size = 228
		refs = "0011 TCustomDataSetAdapter.GetMode 001e TCustomAdapter.GetEchoActionFieldValues 0027 WebContext 003b @IntfClear 0048 Supports 0067 TCustomDataSetAdapter.StringToMode 00be @UStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 57 E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 51 0C 8B 45 F4 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 1F 8D 4D FC 8B D3 8B 45 F8 8B 30 FF 56 18 84 C0 74 0E 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 2E 8B C3 8B 10 FF 92 08 01 00 00 8B D8 EB 20 80 BB 88 01 00 00 00 74 0E 8B C3 8B 10 FF 92 08 01 00 00 8B D8 EB 09 0F B6 83 71 01 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5E 5B 8B E5 5D C3 00 00 96 89 D4 7F 14 58 D4 11 A4 92 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_26318_0 {
	meta:
		name = "TCustomDataSetAdapter.ImplNotifyDeactivate"
		size = 85
		refs = "0006 TDefaultFieldsPagedAdapter.ImplNotifyDeactivate 0015 TDataSet.Close 001e TCustomDataSetAdapter.SetInDefaultMode 0030 TLocateParamsList.Clear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 58 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? C6 83 70 01 00 00 00 8B 83 64 01 00 00 E8 ?? ?? ?? ?? C6 83 78 01 00 00 00 33 C0 89 83 74 01 00 00 33 C0 89 83 28 01 00 00 33 C0 89 83 84 01 00 00 5B C3 }
	condition:
		$1
}

rule function_26319_0 {
	meta:
		name = "TCustomDataSetAdapter.ImplCanAddActionClass"
		size = 51
		refs = "0010 TDefaultFieldsPagedAdapter.ImplCanAddActionClass 001a _DV_TCustomDataSetAdapterAction 0021 TObject.InheritsFrom"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97048_0 {
	meta:
		name = "TBaseEndUserAdapter.ImplCanAddActionClass"
		size = 51
		refs = "0010 TCustomAdapter.ImplCanAddActionClass 001a _DV_TCustomEndUserAdapterAction 0021 TObject.InheritsFrom"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97049_0 {
	meta:
		name = "TBaseEndUserAdapter.ImplCanAddFieldClass"
		size = 51
		refs = "0010 TCustomAdapter.ImplCanAddFieldClass 001a _DV_TAdapterEndUserField 0021 TObject.InheritsFrom"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97094_0 {
	meta:
		name = "TCustomApplicationAdapter.ImplCanAddActionClass"
		size = 51
		refs = "0010 TCustomAdapter.ImplCanAddActionClass 001a _DV_TCustomApplicationAdapterAction 0021 TObject.InheritsFrom"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97095_0 {
	meta:
		name = "TCustomApplicationAdapter.ImplCanAddFieldClass"
		size = 51
		refs = "0010 TCustomAdapter.ImplCanAddFieldClass 001a _DV_TAdapterApplicationField 0021 TObject.InheritsFrom"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97015_0 {
	meta:
		name = "TCustomLoginFormAdapter.ImplCanAddActionClass"
		size = 51
		refs = "0010 TCustomAdapter.ImplCanAddActionClass 001a _DV_TCustomLoginFormAdapterAction 0021 TObject.InheritsFrom"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97016_0 {
	meta:
		name = "TCustomLoginFormAdapter.ImplCanAddFieldClass"
		size = 51
		refs = "0010 TCustomAdapter.ImplCanAddFieldClass 001a _DV_TAdapterLoginField 0021 TObject.InheritsFrom"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97301_0 {
	meta:
		name = "TDefaultFieldsPagedAdapter.ImplCanAddActionClass"
		size = 51
		refs = "0010 TCustomAdapter.ImplCanAddActionClass 001a _DV_TCustomPagedAdapterAction 0021 TObject.InheritsFrom"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26320_0 {
	meta:
		name = "TCustomDataSetAdapter.ImplCanAddFieldClass"
		size = 68
		refs = "0010 TCustomAdapter.ImplCanAddFieldClass 0019 TCustomDataSetAdapter.ImplCanAddFieldClass 0020 Supports"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 14 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 00 00 E6 12 28 C4 AD D7 0B 49 80 C6 38 34 CE 31 B6 6C }
	condition:
		$1
}

rule function_26321_0 {
	meta:
		name = "TCustomDataSetAdapter.GetKeyFields"
		size = 416
		refs = "0019 TCustomDataSetAdapter.GetKeyFields 0027 TCustomDataSetAdapter.GetDataSet 0037 TCustomAdapter.GetVisibleFields 0040 TWebComponentList.GetCount 0053 TWebComponentList.GetComponent 005c @IntfClear 0069 Supports 0093 @UStrCat 00e8 @UStrFromWStr 012c @WStrClr 0134 @UStrClr 0152 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 84 E8 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 61 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 50 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 37 8D 55 F0 8B 45 F4 8B 08 FF 51 0C 83 7D F0 00 74 26 8B 45 E8 83 38 00 74 10 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 45 E8 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 E8 46 4B 75 A2 8B 45 E8 83 38 00 75 67 8B 45 EC E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 18 8D 55 E4 8B 45 F8 8B 08 FF 51 28 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? EB 2D 8B 45 EC E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 55 E8 8B 45 FC 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 00 DE BB F1 A9 0A 9B E6 49 AF B9 C1 9E 52 A8 4E 83 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 9B 31 98 BA FD A3 6A 4A AC 15 FA D8 3C 28 E2 53 84 F6 F8 7A 60 06 B5 47 A1 B3 E1 68 D2 AC B9 08 }
	condition:
		$1
}

rule function_26322_0 {
	meta:
		name = "TCustomDataSetAdapter.GetKeyParams"
		size = 369
		refs = "001b TCustomDataSetAdapter.GetKeyParams 002f TCustomDataSetAdapter.GetMasterDetailAdapters 0064 TList.Get 006e _DV_TCustomDataSetAdapter 0073 @AsClass 009c TObject.Free 00a2 @HandleFinally 00b5 _Dn_TStringList 00ba TStringList.Create 00d6 TCustomDataSetAdapter.GetKeyParamStrings 00ea TLocateParamsList.Add 00fe @UStrAsg 0128 TLocateParams.AddParam 015e @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 88 4D F7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D F7 00 74 7D 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D F0 00 74 3D 8B 45 F0 8B 58 08 4B 85 DB 7C 36 43 33 F6 8B 7D F0 89 75 E4 8B 55 E4 8B C7 E8 ?? ?? ?? ?? 8B F8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B 55 F8 E8 ?? ?? ?? ?? 46 4B 75 D3 EB 04 C6 45 F7 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F7 00 0F 85 9B 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 85 C0 7E 4A 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 83 C0 04 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1F 43 33 F6 8D 4D E0 8B D6 8B 45 EC 8B 38 FF 57 0C 8B 55 E0 8B 45 E8 E8 ?? ?? ?? ?? 46 4B 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26323_0 {
	meta:
		name = "TCustomDataSetAdapter.GetKeyParamStrings"
		size = 400
		refs = "001d TCustomDataSetAdapter.GetKeyParamStrings 002d TCustomDataSetAdapter.GetKeyFields 003e _Dn_TList 0043 TObject.Create 005b TCustomDataSetAdapter.GetDataSet 0060 TDataSet.GetActive 006b DesigningComponent 007b TDataSet.Open 008d TDataSet.GetFieldList 00c3 TList.Get 00fc Format 011c @HandleAnyException 0121 @DoneExcept 0136 TObject.Free 013c @HandleFinally 0153 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D EC 89 4D D8 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 07 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 85 C0 0F 8E 86 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B F0 4E 85 F6 7C 5D 46 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8D 45 EC 50 8B 43 40 89 45 DC C6 45 E0 11 8D 55 D8 8B C3 8B 08 FF 91 80 00 00 00 8B 45 D8 89 45 E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 08 FF 51 38 FF 45 F0 4E 75 AB 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3D 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_26324_0 {
	meta:
		name = "TCustomDataSetAdapter.Locate"
		size = 145
		refs = "000e TCustomDataSetAdapter.Locate 001c TCustomDataSetAdapter.GetDataSet 0028 TCustomDataSetAdapter.RaiseNilDataSet 003b TCustomDataSetAdapter.SilentLocate 0047 TCustomDataSetAdapter.RaiseRowNotFound 0056 @HandleOnException 005e _Dn_Exception 006c TCustomAdapter.GetAdapterErrorsList 007c @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 64 01 00 00 B1 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 32 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 FC E8 ?? ?? ?? ?? 33 C9 8B D3 8B 18 FF 53 18 33 DB E8 ?? ?? ?? ?? EB 07 E8 ?? ?? ?? ?? B3 01 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26325_0 {
	meta:
		name = "TCustomDataSetAdapter.ApplyAdapterMode"
		size = 336
		refs = "001a @IntfAddRef 0022 TCustomDataSetAdapter.ApplyAdapterMode 0030 @IntfClear 003f Supports 004e TCustomDataSetAdapter.GetMasterDetailAdapters 008b TList.Get 0095 _DV_TCustomDataSetAdapter 009a @AsClass 00b7 TCustomDataSetAdapter.SetAdapterMode 00c0 TCustomDataSetAdapter.RestoreDefaultAdapterMode 00db TObject.Free 00e1 @HandleFinally 0124 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F8 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 C0 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 0F 84 88 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 8B 70 08 4E 85 F6 7C 52 46 C7 45 EC 00 00 00 00 8B 5D F0 8B 7D EC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 4D F8 8B D3 8B 45 F4 8B 38 FF 57 18 84 C0 74 0C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? FF 45 EC 4E 75 B6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 4D F8 8B D3 8B 45 F4 8B 30 FF 56 18 84 C0 74 0C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 96 89 D4 7F 14 58 D4 11 A4 92 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_26326_0 {
	meta:
		name = "CalcAdapterMode"
		size = 176
		refs = "0010 TCustomDataSetAdapter.GetMode 002d TCustomDataSetAdapter.GetMasterDetailAdapters 003e CalcAdapterMode 0062 TList.Get 006c _DV_TCustomDataSetAdapter 0071 @AsClass 0099 TObject.Free 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 88 45 FF 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3C 02 75 7F 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 6B 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 58 08 4B 85 DB 7C 35 43 33 F6 8B 7D F8 89 75 F4 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B F8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 01 75 06 C6 45 FF 01 EB 04 46 4B 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26327_0 {
	meta:
		name = "TCustomDataSetAdapter.LocateAndApply"
		size = 752
		refs = "0018 @IntfAddRef 0020 TCustomDataSetAdapter.LocateAndApply 004e TCustomDataSetAdapter.ApplyAdapterMode 0054 CalcAdapterMode 006c TCustomDataSetAdapter.GetDataSet 0078 TCustomDataSetAdapter.RaiseNilDataSet 008b TCustomDataSetAdapter.SilentLocate 00b5 TDataSet.Open 00c2 TDataSet.Insert 00ea @IntfClear 00f9 Supports 0109 TCustomDataSetAdapter.GetMasterDetailAdapters 013e TList.Get 016a _DV_TCustomDataSetAdapter 016f @AsClass 01af TObject.Free 01b5 @HandleFinally 01e9 TCustomDataSetAdapter.RaiseRowNotFound 0225 TCustomDataSetAdapter.Locate 0237 @HandleOnException 023f _Dn_Exception 024d TCustomAdapter.GetAdapterErrorsList 025f @DoneExcept 0298 TDataSet.GetActive"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 08 FF 51 44 C6 45 F3 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 88 45 EB 0F B6 45 EB 2C 02 0F 83 87 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 64 01 00 00 B1 01 8B 45 FC E8 ?? ?? ?? ?? 88 45 F2 80 7D EB 00 75 44 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 91 E8 00 00 00 88 45 F3 E9 50 01 00 00 80 7D F2 00 0F 84 F9 00 00 00 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 B6 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D EC 00 74 69 8B 45 EC 8B 78 08 4F 85 FF 7C 6F 47 33 F6 8B 5D EC 89 75 E4 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B D8 8B D3 8B 45 F4 8B 08 FF 51 0C 84 C0 74 35 8B 5D EC 89 75 DC 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 91 E8 00 00 00 88 45 F3 80 7D F3 00 74 17 46 4F 75 A7 EB 11 8B 55 F8 8B 45 FC 8B 08 FF 91 E8 00 00 00 88 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F8 8B 45 FC 8B 08 FF 91 E8 00 00 00 88 45 F3 8B 45 FC 8B 90 64 01 00 00 33 C9 8B 45 FC E8 ?? ?? ?? ?? 80 7D F2 00 75 47 8B 45 FC E8 ?? ?? ?? ?? EB 3D 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 80 B8 A9 00 00 00 00 75 0B 8B 45 FC E8 ?? ?? ?? ?? 88 45 F3 33 C0 5A 59 59 64 89 10 EB 34 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 FC E8 ?? ?? ?? ?? 33 C9 8B D3 8B 18 FF 53 18 C6 45 F3 00 E8 ?? ?? ?? ?? EB 48 E8 ?? ?? ?? ?? 80 7D F3 00 74 3D 80 7D EB 00 75 0D B2 01 8B 45 FC 8B 08 FF 91 10 01 00 00 8B 45 FC 83 B8 58 01 00 00 00 74 1E 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0D 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F3 5F 5E 5B 8B E5 5D C3 00 00 00 8E 88 82 F9 49 B0 C0 46 AC 14 86 52 E6 AC 8D 97 }
	condition:
		$1
}

rule function_26328_0 {
	meta:
		name = "Add"
		size = 104
		refs = "0016 TList.Add 0040 TList.Get 004e _DV_TCustomDataSetAdapter 0053 @AsClass 0058 Add"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 80 01 00 00 8B 58 08 4B 85 DB 7C 36 43 33 F6 8B 45 FC 8B B8 80 01 00 00 89 75 F8 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B F8 8B 45 08 50 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 75 CD 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_26329_0 {
	meta:
		name = "TCustomDataSetAdapter.GetMasterDetailAdapters"
		size = 126
		refs = "0028 _Dn_TComponentList 002d TComponentList.Create 0038 TCustomDataSetAdapter.GetMasterDetailAdapters 0054 Add 0064 @HandleAnyException 006c TObject.Free 0071 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 33 C0 89 45 FC 83 BB 7C 01 00 00 00 75 0C 8B 83 80 01 00 00 83 78 08 00 7E 52 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B C3 EB 02 8B C2 8B 90 7C 01 00 00 85 D2 75 F4 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26332_0 {
	meta:
		name = "TLocateParamsWrapper.GetName"
		size = 25
		refs = "0011 TLocateParams.GetParamName"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39610_0 {
	meta:
		name = "TIdHeaderListPeer.GetName"
		size = 25
		refs = "0011 TIdHeaderList.GetName"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39612_0 {
	meta:
		name = "TIdHeaderListPeer.GetValue"
		size = 25
		refs = "0011 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26333_0 {
	meta:
		name = "TLocateParamsWrapper.GetValue"
		size = 25
		refs = "0011 TLocateParams.GetParamValue"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51917_0 {
	meta:
		name = "TScopeSymbols.GetSymbols"
		size = 25
		refs = "0011 TList<System.string>.GetItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50449_0 {
	meta:
		name = "TSockWebRequestAccess.GetFieldByName"
		size = 25
		refs = "0011 TWebRequestDataBlockInterpreter.CallGetFieldByName"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50450_0 {
	meta:
		name = "TSockWebRequestAccess.GetStringVariable"
		size = 25
		refs = "0011 TWebRequestDataBlockInterpreter.CallGetStringVariable"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50453_0 {
	meta:
		name = "TSockWebRequestAccess.TranslateURI"
		size = 25
		refs = "0011 TWebRequestDataBlockInterpreter.CallTranslateURI"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26334_0 {
	meta:
		name = "TCustomDataSetAdapter.SilentLocate"
		size = 310
		refs = "0024 TCustomDataSetAdapter.GetMasterDetailAdapters 002f TCustomDataSetAdapter.SilentLocate 0059 TList.Get 0063 _DV_TCustomDataSetAdapter 0068 @AsClass 0071 TCustomDataSetAdapter.GetMode 00d1 TObject.Free 00d7 @HandleFinally 00f9 TLocateParamsList.ItemByAdapterName 0108 _DV_TLocateParamsWrapper 010d TLocateParamsWrapper.Create 011e TCustomDataSetAdapter.LocateKeyParams"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 88 4D F7 89 55 F8 89 45 FC C6 45 F6 01 80 7D F7 00 0F 84 BD 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D F0 00 74 7D 8B 45 F0 8B 70 08 4E 85 F6 7C 76 46 33 DB 8B 7D F0 89 5D EC 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 8B F8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 47 33 C9 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 88 45 F6 80 7D F6 00 75 28 8B 75 F0 8B FB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 84 01 00 00 EB 0A 43 4E 75 93 EB 04 C6 45 F7 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F7 00 75 48 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3C 8B 45 FC 8B 50 08 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 74 24 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B 45 FC E8 ?? ?? ?? ?? 88 45 F6 EB 04 C6 45 F6 01 0F B6 45 F6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26336_0 {
	meta:
		name = "TCustomDataSetAdapter.RaiseRowNotFound"
		size = 137
		refs = "0010 TCustomDataSetAdapter.RaiseRowNotFound 0027 TCustomDataSetAdapter.GetDataSet 004a sAdapterRowNotFound 004f LoadResString 0059 _Dn_EAdapterException 005e Exception.CreateFmt 0063 @RaiseExcept 0078 @UStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 90 84 01 00 00 85 D2 74 0B 8B C2 E8 ?? ?? ?? ?? 8B D8 EB 07 E8 ?? ?? ?? ?? 8B D8 8B 43 08 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26337_0 {
	meta:
		name = "TCustomDataSetAdapter.RaiseFieldChangedByAnotherUser"
		size = 91
		refs = "000c TCustomDataSetAdapter.RaiseFieldChangedByAnotherUser 001d sFieldChangedByAnotherUser 0022 LoadResString 002c _Dn_EAdapterFieldException 0031 EAdapterFieldException.Create 0036 @RaiseExcept 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_26338_0 {
	meta:
		name = "TCustomDataSetAdapter.RaiseFieldNotFound"
		size = 108
		refs = "0012 TCustomDataSetAdapter.RaiseFieldNotFound 002d sAdapterFieldNotFound 0032 LoadResString 003c _Dn_EAdapterException 0041 Exception.CreateFmt 0046 @RaiseExcept 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26339_0 {
	meta:
		name = "TCustomDataSetAdapter.GetDesigntimeWarnings"
		size = 376
		refs = "001a TCustomDataSetAdapter.GetDesigntimeWarnings 0027 TCustomDataSetAdapter.GetDataSet 0037 sDataSetPropertyIsNil 003c LoadResString 0055 Format 0075 TDataSet.GetActive 0083 TCustomDataSetAdapter.GetKeyFields 00b4 sDataSetUnknownKeyFields 0116 sDataSetNotActive 014c @UStrArrayClr 016c @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 75 33 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 08 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 11 8B C3 E8 ?? ?? ?? ?? 85 C0 74 67 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 01 75 57 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 83 7D EC 00 75 47 8D 45 E8 50 8B 43 08 89 45 D8 C6 45 DC 11 8B C3 E8 ?? ?? ?? ?? 8B 40 08 89 45 E0 C6 45 E4 11 8D 45 D8 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 E8 8B C6 8B 08 FF 11 8B C3 E8 ?? ?? ?? ?? 85 C0 74 57 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 47 8D 45 D0 50 8B 43 08 89 45 D8 C6 45 DC 11 8B C3 E8 ?? ?? ?? ?? 8B 40 08 89 45 E0 C6 45 E4 11 8D 45 D8 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 D0 8B C6 8B 08 FF 11 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26340_0 {
	meta:
		name = "TCustomDataSetAdapter.LocateKeyParams"
		size = 776
		refs = "001d @IntfAddRef 0025 TCustomDataSetAdapter.LocateKeyParams 0033 TCustomDataSetAdapter.GetDataSet 0050 TDataSet.Open 0057 _Dn_TStringList 005c TStringList.Create 009c TDataSet.FindField 0109 VarArrayCreate 0114 @OleVarFromVar 014a @UStrCat 0176 Null 0183 @VarArrayPut 01a3 @VarFromUStr 01d2 @UStrLAsg 021e @OleVarFromUStr 025a TObject.Free 0260 @HandleFinally 027a @UStrClr 0285 @VarClr 0292 @UStrArrayClr 029b Variant 02a5 @FinalizeArray 02da @IntfClear"
	strings:
		$1 = { 55 8B EC B9 11 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 89 45 DC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC E8 ?? ?? ?? ?? 85 C0 0F 95 45 DB 80 7D DB 00 0F 84 1F 02 00 00 8B 45 DC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 8B F0 4E 85 F6 7C 48 46 33 DB 8D 4D F4 8B D3 8B 45 FC 8B 38 FF 57 10 8B 45 DC E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 89 45 D0 83 7D D0 00 74 1B 8D 4D CC 8B D3 8B 45 FC 8B 38 FF 57 14 8B 55 CC 8B 4D D0 8B 45 D4 8B 38 FF 57 3C 43 4E 75 BB 8B 45 D4 8B 10 FF 52 14 85 C0 0F 84 6D 01 00 00 8B 45 D4 8B 10 FF 52 14 48 0F 8E DA 00 00 00 8D 45 BC 50 33 C0 89 45 B4 8B 45 D4 8B 10 FF 52 14 48 89 45 B8 8D 45 B4 66 B9 0C 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 BC 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 D4 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C F7 00 00 00 46 33 DB 8B D3 8B 45 D4 8B 08 FF 51 18 89 45 D0 83 7D F8 00 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 D0 8B 52 40 E8 ?? ?? ?? ?? 8D 4D B0 8B D3 8B 45 D4 8B 38 FF 57 0C 83 7D B0 00 75 1D 53 6A 01 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A0 50 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 10 EB 2B 53 6A 01 8D 4D 8C 8B D3 8B 45 D4 8B 38 FF 57 0C 8B 55 8C 8D 45 90 E8 ?? ?? ?? ?? 8D 45 90 50 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 10 43 4E 0F 85 6F FF FF FF EB 61 33 D2 8B 45 D4 8B 08 FF 51 18 8B 50 40 8D 45 F8 E8 ?? ?? ?? ?? 8D 4D 88 33 D2 8B 45 D4 8B 18 FF 53 0C 83 7D 88 00 75 1B 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 95 78 FF FF FF 8D 45 E0 E8 ?? ?? ?? ?? EB 1E 8D 8D 74 FF FF FF 33 D2 8B 45 D4 8B 18 FF 53 0C 8B 95 74 FF FF FF 8D 45 E0 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8B 45 DC E8 ?? ?? ?? ?? 8D 4D E0 8B 55 F8 8B 18 FF 93 A4 02 00 00 88 45 DB EB 04 C6 45 DB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 45 88 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 90 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8D 0F B6 45 DB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_26343_0 {
	meta:
		name = "TAdapterRecordKeysWrapper.GetName"
		size = 25
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 0C 8B 18 FF 53 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26344_0 {
	meta:
		name = "TAdapterRecordKeysWrapper.GetValue"
		size = 25
		altNames = "THTMLItemsStub.Get_Item"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 0C 8B 18 FF 53 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26345_0 {
	meta:
		name = "TCustomDataSetAdapter.LocateRequestRecord"
		size = 256
		refs = "0018 @IntfAddRef 0020 TCustomDataSetAdapter.LocateRequestRecord 003e @IntfClear 004d Supports 0067 _DV_TAdapterRecordKeysWrapper 006c TAdapterRecordKeysWrapper.Create 007d TCustomDataSetAdapter.LocateKeyParams 008e @HandleOnException 0096 _Dn_Exception 00a4 TCustomAdapter.GetAdapterErrorsList 00b4 @DoneExcept 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2E 8B 45 F8 8B 10 FF 52 0C 85 C0 7E 22 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 32 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 8B D3 8B 18 FF 53 18 33 DB E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 03 96 E7 96 1F E0 94 4F B1 E0 6B 4E 87 A5 D9 54 }
	condition:
		$1
}

rule function_26346_0 {
	meta:
		name = "TCustomDataSetAdapter.UpdateFieldsValidateValues"
		size = 352
		refs = "001b @IntfAddRef 0023 TCustomDataSetAdapter.UpdateFieldsValidateValues 0031 TCustomDataSetAdapter.GetMode 0041 TCustomDataSetAdapter.GetDataSet 0059 TCustomDataSetAdapter.LocateRequestRecord 0098 TList.Get 00a2 @IntfClear 00b0 Supports 00d1 @HandleOnException 00d9 _Dn_Exception 00e7 TCustomAdapter.GetAdapterErrorsList 00f5 @DoneExcept 010e TBaseAdapterErrorsList.GetErrorCount 0120 TCustomAdapter.UpdateFieldsValidateValues 0143 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D F8 89 4D F0 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 3C 03 0F 84 C8 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 80 B8 A5 00 00 00 03 0F 84 B3 00 00 00 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 A0 00 00 00 8B 45 F0 8B 40 08 48 85 C0 0F 8C 91 00 00 00 40 89 45 E8 C7 45 EC 00 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F0 8B 75 EC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 4D EC 8B 55 FC 8B 45 F8 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 8B D3 8B 18 FF 53 18 E8 ?? ?? ?? ?? FF 45 EC FF 4D E8 0F 85 7A FF FF FF 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0E 8B 4D F0 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 CD 5D 6A BE 17 A6 D4 11 A4 FE 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_26347_0 {
	meta:
		name = "TCustomDataSetAdapter.UpdateFieldsGetAnyChanges"
		size = 144
		refs = "0011 @IntfAddRef 0019 TCustomDataSetAdapter.UpdateFieldsGetAnyChanges 0026 TCustomDataSetAdapter.GetMode 0035 TCustomDataSetAdapter.GetDataSet 004c TCustomDataSetAdapter.LocateRequestRecord 005c TCustomAdapter.UpdateFieldsGetAnyChanges 007d @IntfClear 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3C 03 75 04 B3 01 EB 3A 8B C3 E8 ?? ?? ?? ?? 80 B8 A5 00 00 00 03 75 04 B3 01 EB 26 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26348_0 {
	meta:
		name = "TCustomDataSetAdapter.UpdateFieldsUpdateValues"
		size = 219
		refs = "0011 @IntfAddRef 0019 TCustomDataSetAdapter.UpdateFieldsUpdateValues 0026 TCustomDataSetAdapter.GetMode 0036 TCustomAdapter.UpdateFieldsUpdateValues 0042 TCustomDataSetAdapter.LocateRequestRecord 004d TCustomDataSetAdapter.GetDataSet 0052 TDataSet.Edit 0065 TCustomAdapter.GetAdapterErrorsList 006a TBaseAdapterErrorsList.GetErrorCount 00a6 TDataSet.Refresh 00ca @IntfClear 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3C 03 75 0E 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 7D 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6F 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 38 8B C3 E8 ?? ?? ?? ?? 0F B6 80 A5 00 00 00 04 FE 2C 02 73 24 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 B0 02 00 00 80 BB 89 01 00 00 00 74 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 68 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26349_0 {
	meta:
		name = "TCustomDataSetAdapter.UpdateFieldsExecuteValues"
		size = 120
		refs = "0011 @IntfAddRef 0019 TCustomDataSetAdapter.UpdateFieldsExecuteValues 0026 TCustomDataSetAdapter.GetMode 0036 TCustomAdapter.UpdateFieldsUpdateValues 0042 TCustomDataSetAdapter.LocateRequestRecord 0052 TCustomAdapter.UpdateFieldsExecuteValues 0067 @IntfClear 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3C 03 75 0E 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 1A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26351_0 {
	meta:
		name = "TCustomDataSetAdapter.GetAdapterModeNames"
		size = 32
		refs = "0008 DataSetAdapterModeNames"
	strings:
		$1 = { 53 56 57 8B FA B3 04 BE ?? ?? ?? ?? 8B 16 8B C7 8B 08 FF 51 38 83 C6 04 FE CB 75 F0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26352_0 {
	meta:
		name = "TCustomDataSetAdapter.EncodeActionParams"
		size = 88
		refs = "000e @IntfAddRef 0016 TCustomDataSetAdapter.EncodeActionParams 002d TCustomDataSetAdapter.EncodeActionParamsFlags 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 0D ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_26356_0 {
	meta:
		name = "TCustomDataSetAdapter.ExtractRequestParams"
		size = 88
		refs = "000e @IntfAddRef 0016 TCustomDataSetAdapter.ExtractRequestParams 002d TCustomDataSetAdapter.ExtractRequestParamsFlags 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 0D ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_26353_0 {
	meta:
		name = "TCustomDataSetAdapter.EncodeActionParamsFlags"
		size = 648
		refs = "0023 @IntfAddRef 002b TCustomDataSetAdapter.EncodeActionParamsFlags 0042 TDefaultFieldsPagedAdapter.EncodeActionParams 0067 TCustomDataSetAdapter.GetDataSet 009d _DV_TLocateParamsList 00a2 TLocateParamsList.Create 00b2 TCustomDataSetAdapter.GetKeyParams 00c4 TLocateParamsList.GetCount 00e3 TLocateParamsList.GetItem 00ec TLocateParams.GetCount 0113 @UStrEqual 0132 TLocateParams.GetItem 014e Format 01f0 TObject.Free 01f6 @HandleFinally 020d @UStrClr 021a @UStrArrayClr 022a @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 33 DB 89 5D C8 89 5D AC 89 5D E0 89 5D CC 88 4D F7 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 F7 02 74 0B 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? F6 45 F7 01 0F 84 AC 01 00 00 33 C0 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 1F 8B 45 F8 E8 ?? ?? ?? ?? 80 B8 A5 00 00 00 03 75 0E 8B 45 F8 8B 80 64 01 00 00 89 45 E8 EB 28 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 B1 01 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 83 7D E8 00 0F 84 11 01 00 00 8B 45 E8 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 00 01 00 00 40 89 45 E4 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C CA 00 00 00 46 C7 45 EC 00 00 00 00 83 7B 04 00 74 10 8B 43 04 8B 55 F8 8B 52 08 E8 ?? ?? ?? ?? 75 4D 8D 45 E0 50 B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 8D 4D CC 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 89 45 D8 C6 45 DC 11 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 FC 8B 10 FF 52 1C 5A 8B 08 FF 51 38 EB 55 8D 45 C8 50 B8 ?? ?? ?? ?? 89 45 B0 C6 45 B4 11 8B 43 04 89 45 B8 C6 45 BC 11 8D 4D AC 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 AC 89 45 C0 C6 45 C4 11 8D 55 B0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 50 8B 45 FC 8B 10 FF 52 1C 5A 8B 08 FF 51 38 FF 45 EC 4E 0F 85 3E FF FF FF FF 45 F0 FF 4D E4 0F 85 0B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 80 64 01 00 00 3B 45 E8 74 08 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 5F 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2D 00 25 00 73 00 2D 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_26354_0 {
	meta:
		name = "GetAdapterRequestParamsIntf"
		size = 108
		refs = "000e @IntfAddRef 0016 GetAdapterRequestParamsIntf 0023 @IntfClear 0032 Supports 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 0F 04 94 03 4D 41 D4 11 A4 7C 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_26355_0 {
	meta:
		name = "AddLocateParamsString"
		size = 276
		refs = "0018 @UStrAddRef 0030 AddLocateParamsString 0051 @UStrDelete 005e Pos 0091 @UStrCopy 00af TLocateParamsList.ItemByAdapterName 00bc TLocateParamsList.Add 00c9 @UStrAsg 00d6 TLocateParams.AddParam 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 89 55 F8 89 45 FC 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 66 83 38 2D 75 66 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 FB 01 7C 12 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 48 0F 9F C0 EB 02 33 C0 84 C0 74 28 8D 45 FC 50 8B CB 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 53 01 B9 FF FF FF 7F 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 14 8B C6 E8 ?? ?? ?? ?? 8B D8 8D 43 04 8B 55 FC E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_26357_0 {
	meta:
		name = "TCustomDataSetAdapter.ExtractRequestParamsFlags"
		size = 560
		refs = "0023 @IntfAddRef 002b TCustomDataSetAdapter.ExtractRequestParamsFlags 003c GetAdapterRequestParamsIntf 009b @UStrCopy 00a8 @UStrEqual 00bc @UStrLAsg 00fa @UStrDelete 0107 Pos 015f TLocateParamsList.ItemByAdapterName 0176 TLocateParamsList.Add 0187 @UStrAsg 01a2 TLocateParams.AddParam 01bb TDefaultFieldsPagedAdapter.ExtractRequestParams 01d5 @UStrArrayClr 01ea @IntfClear 01f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 88 4D EB 89 55 FC 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? F6 45 EB 01 0F 84 64 01 00 00 8B 45 EC 8B 80 7C 01 00 00 85 C0 74 0F 0F B6 0D ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 35 01 00 00 46 33 DB 8D 45 E0 50 8D 4D DC 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 45 DC B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 F4 00 00 00 8D 45 F0 8B 55 EC 8B 52 08 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 4D D8 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 45 D8 B9 FF FF FF 7F BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 66 83 38 2D 75 66 8D 45 F4 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 83 FF 01 7C 12 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 48 0F 9F C0 EB 02 33 C0 84 C0 74 28 8D 45 F0 50 8B CF 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 57 01 B9 FF FF FF 7F 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 8B 80 64 01 00 00 8B 55 F0 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 75 1F 8B 45 EC 8B 80 64 01 00 00 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 83 C0 04 8B 55 F0 E8 ?? ?? ?? ?? 8D 4D D4 8B D3 8B 45 F8 8B 38 FF 57 10 8B 4D D4 8B 55 F4 8B 45 E4 E8 ?? ?? ?? ?? 43 4E 0F 85 CE FE FF FF F6 45 EB 02 74 0B 8B 55 FC 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5F 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_26358_0 {
	meta:
		name = "TCustomDataSetAdapter.PrepareDataSet"
		size = 208
		refs = "000e TCustomDataSetAdapter.PrepareDataSet 003a TCustomDataSetAdapter.GetDataSet 0054 TCustomAdapter.GetVisibleFields 005d TWebComponentList.GetCount 0070 TWebComponentList.GetComponent 0079 @IntfClear 0086 Supports 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 83 70 01 00 00 01 66 83 BB 6A 01 00 00 00 74 0E 8B D3 8B 83 6C 01 00 00 FF 93 68 01 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 68 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 32 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 0C 46 4B 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 2E 2D 4E 44 A6 F1 5D 48 B0 E3 1C F9 25 A4 71 3B }
	condition:
		$1
}

rule function_26359_0 {
	meta:
		name = "TCustomDataSetAdapter.GetHiddenFieldOptions"
		size = 68
		refs = "0002 TCustomDataSetAdapter.GetMode 0019 TCustomDataSetAdapter.GetHiddenFieldOptions"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 2C 01 72 0C 74 25 FE C8 74 18 FE C8 74 0B EB 22 0F B6 1D ?? ?? ?? ?? EB 19 0F B6 1D ?? ?? ?? ?? EB 10 0F B6 1D ?? ?? ?? ?? EB 07 0F B6 1D ?? ?? ?? ?? 8B C3 5B C3 02 00 00 00 07 00 00 00 }
	condition:
		$1
}

rule function_26360_0 {
	meta:
		name = "TCustomDataSetAdapter.GetEOF"
		size = 25
	strings:
		$1 = { 8B 90 58 01 00 00 85 D2 74 0C 80 BA A9 00 00 00 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_26361_0 {
	meta:
		name = "TCustomDataSetAdapter.GetFirstRecord"
		size = 103
		refs = "0013 TDataSet.GetActive 001e DesigningComponent 0033 TCustomDataSetAdapter.GetDataSet 0038 TDataSet.Open 0043 TDataSet.First"
	strings:
		$1 = { 53 8B D8 83 BB 58 01 00 00 00 74 1A 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 84 C0 74 35 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 74 01 00 00 C6 83 78 01 00 00 01 8B 83 58 01 00 00 0F B6 80 A9 00 00 00 34 01 5B C3 }
	condition:
		$1
}

rule function_26362_0 {
	meta:
		name = "TCustomDataSetAdapter.GetNextRecord"
		size = 61
		refs = "001e TDataSet.Next"
	strings:
		$1 = { 53 8B D8 8B 93 58 01 00 00 85 D2 0F 95 C0 84 C0 74 29 80 BA A9 00 00 00 00 75 07 8B C2 E8 ?? ?? ?? ?? 8B 83 58 01 00 00 0F B6 80 A9 00 00 00 34 01 84 C0 74 06 FF 83 74 01 00 00 5B C3 }
	condition:
		$1
}

rule function_26363_0 {
	meta:
		name = "TCustomDataSetAdapter.GetRecordCount"
		size = 107
		refs = "0031 TCustomDataSetAdapter.GetDataSet 0036 TDataSet.GetActive 0041 DesigningComponent 0050 TDataSet.Open"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 66 83 BB 32 01 00 00 00 74 12 8B CC 8B D3 8B 83 34 01 00 00 FF 93 30 01 00 00 EB 40 83 BB 58 01 00 00 00 74 37 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1C 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 8B 83 58 01 00 00 8B 10 FF 92 88 01 00 00 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_26364_0 {
	meta:
		name = "TCustomDataSetAdapter.GetRecordIndex"
		size = 7
		altNames = "TCustomDataSetAdapter.ImplGetIteratorIndex"
	strings:
		$1 = { 8B 80 74 01 00 00 C3 }
	condition:
		$1
}

rule function_26365_0 {
	meta:
		name = "TCustomDataSetAdapter.ImplEndIterator"
		size = 39
		refs = "0017 TDataSet.GotoBookmark 0020 TDefaultFieldsPagedAdapter.ImplEndIterator"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 58 01 00 00 85 C0 74 0B 8B 93 5C 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26366_0 {
	meta:
		name = "TCustomDataSetAdapter.ImplStartIterator"
		size = 112
		refs = "0010 TCustomDataSetAdapter.ImplStartIterator 003f TDefaultFieldsPagedAdapter.ImplStartIterator 0057 TArray<System.Byte> 005c @DynArrayClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 58 01 00 00 85 F6 74 16 8D 55 FC 8B C6 8B 08 FF 91 78 02 00 00 8B 45 FC 89 83 5C 01 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26369_0 {
	meta:
		name = "TCustomDataSetAdapterAction.ImplWebEnabled"
		size = 50
		refs = "0007 TCustomDataSetAdapterAction.GetDataSet"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 04 24 66 83 BB F2 00 00 00 00 74 10 8B CC 8B D3 8B 83 F4 00 00 00 FF 93 F0 00 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_26370_0 {
	meta:
		name = "TCustomDataSetAdapterAction.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TWebContainedComponent.Create 001e TCustomDataSetAdapterAction.Create 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 86 E8 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 0F 00 00 00 }
	condition:
		$1
}

rule function_26446_0 {
	meta:
		name = "TDataSetAdapterBrowseRowAction.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TCustomDataSetAdapterRowAction.Create 001e TDataSetAdapterBrowseRowAction.Create 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 86 E8 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 0F 00 00 00 }
	condition:
		$1
}

rule function_26445_0 {
	meta:
		name = "TDataSetAdapterEditRowAction.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TCustomDataSetAdapterRowAction.Create 001e TDataSetAdapterEditRowAction.Create 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 86 E8 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 0F 00 00 00 }
	condition:
		$1
}

rule function_26444_0 {
	meta:
		name = "TDataSetAdapterNewRowAction.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TCustomDataSetAdapterRowAction.Create 001e TDataSetAdapterNewRowAction.Create 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 86 E8 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 0F 00 00 00 }
	condition:
		$1
}

rule function_26371_0 {
	meta:
		name = "TCustomDataSetAdapterAction.ImplGetVisible"
		size = 37
		refs = "0006 TCustomDataSetAdapterAction.GetAdapter 000b TCustomDataSetAdapter.GetMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 07 77 0D 83 E0 7F 0F B6 93 E8 00 00 00 0F A3 C2 0F 92 C0 5B C3 }
	condition:
		$1
}

rule function_26372_0 {
	meta:
		name = "TCustomDataSetAdapterRowAction.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TCustomDataSetAdapterAction.Create 001e TCustomDataSetAdapterRowAction.Create 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 86 E8 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 07 00 00 00 }
	condition:
		$1
}

rule function_26373_0 {
	meta:
		name = "TCustomDataSetAdapterRowAction.ImplGetAdapterItemRequestParams"
		size = 96
		refs = "0011 @IntfAddRef 0019 TCustomDataSetAdapterRowAction.ImplGetAdapterItemRequestParams 0026 TCustomDataSetAdapterAction.GetAdapter 003a TCustomAdapterAction.ImplGetAdapterItemRequestParams 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 48 8B D6 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97309_0 {
	meta:
		name = "TCustomAdapterPageAction.ImplGetAdapterItemRequestParams"
		size = 96
		refs = "0011 @IntfAddRef 0019 TCustomAdapterPageAction.ImplGetAdapterItemRequestParams 0026 TCustomPagedAdapterAction.GetAdapter 003a TCustomAdapterAction.ImplGetAdapterItemRequestParams 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 48 8B D6 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26374_0 {
	meta:
		name = "TCustomDataSetAdapterRowAction.ImplWebEnabled"
		size = 97
		refs = "000c TCustomDataSetAdapterRowAction.ImplWebEnabled 0019 TCustomDataSetAdapterAction.ImplWebEnabled 0024 TCustomDataSetAdapterAction.GetAdapter 002c TCustomDataSetAdapter.GetKeyFields 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_26375_0 {
	meta:
		name = "TDataSetAdapterRowAction.ImplExecuteActionRequest"
		size = 212
		refs = "0010 @IntfAddRef 0018 TDataSetAdapterRowAction.ImplExecuteActionRequest 0030 AdapterRequestParamsAsStrings 0048 TCustomDataSetAdapterAction.GetAdapter 005f TCustomDataSetAdapter.ApplyAdapterMode 0085 TObject.Free 008b @HandleFinally 009c TCustomDataSetAdapter.LocateAndApply 00ae TCustomAdapter.SetEchoActionFieldValues 00c3 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB FA 00 00 00 00 74 65 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 44 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 83 FC 00 00 00 FF 93 F8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 84 C0 75 0E 8B C3 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_26376_0 {
	meta:
		name = "TDataSetAdapterRowAction.ImplGetAdapterItemRequestParams"
		size = 81
		refs = "0011 @IntfAddRef 0019 TDataSetAdapterRowAction.ImplGetAdapterItemRequestParams 002b TCustomDataSetAdapterRowAction.ImplGetAdapterItemRequestParams 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96928_0 {
	meta:
		name = "TCustomAdapterAction.ImplGetAdapterItemRequestParams"
		size = 81
		refs = "0011 @IntfAddRef 0019 TCustomAdapterAction.ImplGetAdapterItemRequestParams 002b TBaseAdapterAction.ImplGetAdapterItemRequestParams 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26377_0 {
	meta:
		name = "TDataSetAdapterDeleteRowAction.GetDefaultActionName"
		size = 52
		refs = "0006 TDataSetAdapterDeleteRowAction.GetDefaultActionName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 65 00 6C 00 65 00 74 00 65 00 52 00 6F 00 77 00 00 00 }
	condition:
		$1
}

rule function_26378_0 {
	meta:
		name = "DeleteRow"
		size = 101
		refs = "000c DeleteRow 001d TCustomDataSetAdapterAction.GetDataSet 0022 TDataSet.Delete 0031 @HandleOnException 0039 _Dn_Exception 004a TBaseAdapterAction.GetErrors 005a @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 B3 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C9 8B D3 8B 18 FF 53 18 33 DB E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_26379_0 {
	meta:
		name = "TDataSetAdapterDeleteRowAction.ImplExecuteActionRequest"
		size = 192
		refs = "0010 @IntfAddRef 0018 TDataSetAdapterDeleteRowAction.ImplExecuteActionRequest 0026 TCustomDataSetAdapterAction.GetAdapter 003e TCustomDataSetAdapter.ApplyAdapterMode 004b TCustomDataSetAdapter.GetMode 005c TCustomDataSetAdapter.Locate 0087 DeleteRow 009b TCustomAdapter.SetEchoActionFieldValues 00b0 @IntfClear 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 51 44 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 08 FF 91 10 01 00 00 EB 2B 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 55 E8 ?? ?? ?? ?? 59 84 C0 75 0F 8B 45 FC E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_26380_0 {
	meta:
		name = "TDataSetAdapterDeleteRowAction.ImplIsDefaultAction"
		size = 144
		refs = "000f TDataSetAdapterDeleteRowAction.ImplIsDefaultAction 001c TCustomDataSetAdapterAction.GetAdapter 0021 TCustomDataSetAdapter.GetMode 0034 @IntfClear 0042 Supports 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 03 0F 95 C0 8B D8 84 DB 74 2B 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 FC 8B 10 FF 52 0C A8 02 0F 95 C3 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 63 05 50 CA 98 12 0F 40 81 4D DA 83 6E 08 D8 B4 }
	condition:
		$1
}

rule function_26381_0 {
	meta:
		name = "TDataSetAdapterNextRowAction.GetDefaultActionName"
		size = 48
		refs = "0006 TDataSetAdapterNextRowAction.GetDefaultActionName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4E 00 65 00 78 00 74 00 52 00 6F 00 77 00 00 00 }
	condition:
		$1
}

rule function_26382_0 {
	meta:
		name = "TDataSetAdapterLastRowAction.ImplWebEnabled"
		size = 49
		refs = "0006 TCustomDataSetAdapterRowAction.ImplWebEnabled 0011 TCustomDataSetAdapterAction.GetDataSet"
		altNames = "TDataSetAdapterNextRowAction.ImplWebEnabled"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 8B C3 E8 ?? ?? ?? ?? 80 B8 A9 00 00 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_26383_0 {
	meta:
		name = "TDataSetAdapterNextRowAction.ImplExecuteActionRequest"
		size = 112
		refs = "000e @IntfAddRef 0016 TDataSetAdapterNextRowAction.ImplExecuteActionRequest 0023 TCustomDataSetAdapterAction.GetAdapter 002b TCustomDataSetAdapter.LocateAndApply 0036 TCustomDataSetAdapterAction.GetDataSet 003b TDataSet.Next 004b TCustomAdapter.SetEchoActionFieldValues 0060 @IntfClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8B C3 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_26389_0 {
	meta:
		name = "TDataSetAdapterFirstRowAction.ImplExecuteActionRequest"
		size = 112
		refs = "000e @IntfAddRef 0016 TDataSetAdapterFirstRowAction.ImplExecuteActionRequest 0023 TCustomDataSetAdapterAction.GetAdapter 002b TCustomDataSetAdapter.LocateAndApply 0036 TCustomDataSetAdapterAction.GetDataSet 003b TDataSet.First 004b TCustomAdapter.SetEchoActionFieldValues 0060 @IntfClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8B C3 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_26392_0 {
	meta:
		name = "TDataSetAdapterLastRowAction.ImplExecuteActionRequest"
		size = 112
		refs = "000e @IntfAddRef 0016 TDataSetAdapterLastRowAction.ImplExecuteActionRequest 0023 TCustomDataSetAdapterAction.GetAdapter 002b TCustomDataSetAdapter.LocateAndApply 0036 TCustomDataSetAdapterAction.GetDataSet 003b TDataSet.Last 004b TCustomAdapter.SetEchoActionFieldValues 0060 @IntfClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8B C3 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_26386_0 {
	meta:
		name = "TDataSetAdapterPrevRowAction.ImplExecuteActionRequest"
		size = 112
		refs = "000e @IntfAddRef 0016 TDataSetAdapterPrevRowAction.ImplExecuteActionRequest 0023 TCustomDataSetAdapterAction.GetAdapter 002b TCustomDataSetAdapter.LocateAndApply 0036 TCustomDataSetAdapterAction.GetDataSet 003b TDataSet.Prior 004b TCustomAdapter.SetEchoActionFieldValues 0060 @IntfClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8B C3 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_26384_0 {
	meta:
		name = "TDataSetAdapterPrevRowAction.GetDefaultActionName"
		size = 48
		refs = "0006 TDataSetAdapterPrevRowAction.GetDefaultActionName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 72 00 65 00 76 00 52 00 6F 00 77 00 00 00 }
	condition:
		$1
}

rule function_26385_0 {
	meta:
		name = "TDataSetAdapterFirstRowAction.ImplWebEnabled"
		size = 49
		refs = "0006 TCustomDataSetAdapterRowAction.ImplWebEnabled 0011 TCustomDataSetAdapterAction.GetDataSet"
		altNames = "TDataSetAdapterPrevRowAction.ImplWebEnabled"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 8B C3 E8 ?? ?? ?? ?? 80 B8 A8 00 00 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_26387_0 {
	meta:
		name = "TDataSetAdapterFirstRowAction.GetDefaultActionName"
		size = 52
		refs = "0006 TDataSetAdapterFirstRowAction.GetDefaultActionName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 69 00 72 00 73 00 74 00 52 00 6F 00 77 00 00 00 00 00 }
	condition:
		$1
}

rule function_26390_0 {
	meta:
		name = "TDataSetAdapterLastRowAction.GetDefaultActionName"
		size = 48
		refs = "0006 TDataSetAdapterLastRowAction.GetDefaultActionName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 61 00 73 00 74 00 52 00 6F 00 77 00 00 00 }
	condition:
		$1
}

rule function_26393_0 {
	meta:
		name = "TDataSetAdapterNewRowAction.GetDefaultActionName"
		size = 48
		refs = "0006 TDataSetAdapterNewRowAction.GetDefaultActionName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4E 00 65 00 77 00 52 00 6F 00 77 00 00 00 00 00 }
	condition:
		$1
}

rule function_26395_0 {
	meta:
		name = "TDataSetAdapterNewRowAction.ImplExecuteActionRequest"
		size = 141
		refs = "000e @IntfAddRef 0016 TDataSetAdapterNewRowAction.ImplExecuteActionRequest 0023 TCustomDataSetAdapterAction.GetAdapter 002b TCustomDataSetAdapter.LocateAndApply 0047 TCustomDataSetAdapterAction.GetDataSet 004c TDataSet.Open 0058 TDataSet.Insert 0068 TCustomAdapter.SetEchoActionFieldValues 007d @IntfClear 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 2B 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 91 10 01 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8B C3 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_26396_0 {
	meta:
		name = "TDataSetAdapterCancelRowAction.GetDefaultActionName"
		size = 48
		refs = "0006 TDataSetAdapterCancelRowAction.GetDefaultActionName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 61 00 6E 00 63 00 65 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_26397_0 {
	meta:
		name = "TDataSetAdapterApplyRowAction.ImplWebEnabled"
		size = 38
		refs = "0006 TCustomDataSetAdapterRowAction.ImplWebEnabled 0011 TCustomDataSetAdapterAction.GetAdapter 0016 TCustomDataSetAdapter.GetMode"
		altNames = "TDataSetAdapterCancelRowAction.ImplWebEnabled"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 02 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_26398_0 {
	meta:
		name = "TDataSetAdapterCancelRowAction.ImplExecuteActionRequest"
		size = 157
		refs = "000e @IntfAddRef 0016 TDataSetAdapterCancelRowAction.ImplExecuteActionRequest 0023 TCustomDataSetAdapterAction.GetAdapter 0039 TCustomDataSetAdapter.SetInDefaultMode 0040 TCustomDataSetAdapterAction.GetDataSet 0050 TCustomDataSetAdapter.RaiseNilDataSet 005c TDataSet.Open 0078 TCustomDataSetAdapter.Locate 008d @IntfClear 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 44 8B C3 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 B8 A9 00 00 00 00 75 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_26399_0 {
	meta:
		name = "TDataSetAdapterCancelRowAction.ImplIsDefaultAction"
		size = 160
		refs = "000f TDataSetAdapterCancelRowAction.ImplIsDefaultAction 001c TCustomDataSetAdapterAction.GetAdapter 0021 TCustomDataSetAdapter.GetMode 0034 @IntfClear 0042 Supports 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 03 0F 95 C0 8B D8 84 DB 74 3A 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 45 FC 8B 10 FF 52 0C 8B D8 F6 C3 02 74 05 F6 C3 01 74 04 33 C0 EB 02 B0 01 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 63 05 50 CA 98 12 0F 40 81 4D DA 83 6E 08 D8 B4 }
	condition:
		$1
}

rule function_26415_0 {
	meta:
		name = "TDataSetAdapterApplyRowAction.ImplIsDefaultAction"
		size = 160
		refs = "000f TDataSetAdapterApplyRowAction.ImplIsDefaultAction 001c TCustomDataSetAdapterAction.GetAdapter 0021 TCustomDataSetAdapter.GetMode 0034 @IntfClear 0042 Supports 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 03 0F 95 C0 8B D8 84 DB 74 3A 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 45 FC 8B 10 FF 52 0C 8B D8 F6 C3 02 74 05 F6 C3 01 74 04 33 C0 EB 02 B0 01 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 63 05 50 CA 98 12 0F 40 81 4D DA 83 6E 08 D8 B4 }
	condition:
		$1
}

rule function_26403_0 {
	meta:
		name = "TDataSetAdapterRefreshRowAction.ImplIsDefaultAction"
		size = 160
		refs = "000f TDataSetAdapterRefreshRowAction.ImplIsDefaultAction 001c TCustomDataSetAdapterAction.GetAdapter 0021 TCustomDataSetAdapter.GetMode 0034 @IntfClear 0042 Supports 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 03 0F 95 C0 8B D8 84 DB 74 3A 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 45 FC 8B 10 FF 52 0C 8B D8 F6 C3 02 74 05 F6 C3 01 74 04 33 C0 EB 02 B0 01 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 63 05 50 CA 98 12 0F 40 81 4D DA 83 6E 08 D8 B4 }
	condition:
		$1
}

rule function_26400_0 {
	meta:
		name = "TDataSetAdapterRefreshRowAction.GetDefaultActionName"
		size = 56
		refs = "0006 TDataSetAdapterRefreshRowAction.GetDefaultActionName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 65 00 66 00 72 00 65 00 73 00 68 00 52 00 6F 00 77 00 00 00 00 00 }
	condition:
		$1
}

rule function_26402_0 {
	meta:
		name = "TDataSetAdapterRefreshRowAction.ImplExecuteActionRequest"
		size = 190
		refs = "000e @IntfAddRef 0016 TDataSetAdapterRefreshRowAction.ImplExecuteActionRequest 0023 TCustomDataSetAdapterAction.GetAdapter 003a TCustomDataSetAdapter.ApplyAdapterMode 0046 TCustomDataSetAdapter.GetMode 0057 TCustomDataSetAdapterAction.GetDataSet 0067 TCustomDataSetAdapter.RaiseNilDataSet 0073 TCustomDataSetAdapter.Locate 007f TDataSet.Open 008b TDataSet.Insert 00ae @IntfClear 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 44 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 2C 01 72 06 2C 02 72 3F EB 49 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_26404_0 {
	meta:
		name = "TDataSetAdapterEditRowAction.GetDefaultActionName"
		size = 48
		refs = "0006 TDataSetAdapterEditRowAction.GetDefaultActionName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 64 00 69 00 74 00 52 00 6F 00 77 00 00 00 }
	condition:
		$1
}

rule function_26406_0 {
	meta:
		name = "TDataSetAdapterEditRowAction.ImplExecuteActionRequest"
		size = 117
		refs = "000e @IntfAddRef 0016 TDataSetAdapterEditRowAction.ImplExecuteActionRequest 0023 TCustomDataSetAdapterAction.GetAdapter 002b TCustomDataSetAdapter.LocateAndApply 0050 TCustomAdapter.SetEchoActionFieldValues 0065 @IntfClear 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 13 8B C3 E8 ?? ?? ?? ?? B2 01 8B 08 FF 91 10 01 00 00 EB 0E 8B C3 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_26407_0 {
	meta:
		name = "TDataSetAdapterEditRowAction.ImplIsDefaultAction"
		size = 132
		refs = "000c TDataSetAdapterEditRowAction.ImplIsDefaultAction 001a @IntfClear 0028 Supports 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 45 FC 8B 10 FF 52 0C 8B D8 F6 C3 02 74 05 F6 C3 01 75 04 33 C0 EB 02 B0 01 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 63 05 50 CA 98 12 0F 40 81 4D DA 83 6E 08 D8 B4 }
	condition:
		$1
}

rule function_26411_0 {
	meta:
		name = "TDataSetAdapterBrowseRowAction.ImplIsDefaultAction"
		size = 132
		refs = "000c TDataSetAdapterBrowseRowAction.ImplIsDefaultAction 001a @IntfClear 0028 Supports 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 45 FC 8B 10 FF 52 0C 8B D8 F6 C3 02 74 05 F6 C3 01 75 04 33 C0 EB 02 B0 01 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 63 05 50 CA 98 12 0F 40 81 4D DA 83 6E 08 D8 B4 }
	condition:
		$1
}

rule function_26408_0 {
	meta:
		name = "TDataSetAdapterBrowseRowAction.GetDefaultActionName"
		size = 52
		refs = "0006 TDataSetAdapterBrowseRowAction.GetDefaultActionName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 42 00 72 00 6F 00 77 00 73 00 65 00 52 00 6F 00 77 00 00 00 }
	condition:
		$1
}

rule function_26410_0 {
	meta:
		name = "TDataSetAdapterBrowseRowAction.ImplExecuteActionRequest"
		size = 117
		refs = "000e @IntfAddRef 0016 TDataSetAdapterBrowseRowAction.ImplExecuteActionRequest 0023 TCustomDataSetAdapterAction.GetAdapter 002b TCustomDataSetAdapter.LocateAndApply 0050 TCustomAdapter.SetEchoActionFieldValues 0065 @IntfClear 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 13 8B C3 E8 ?? ?? ?? ?? B2 02 8B 08 FF 91 10 01 00 00 EB 0E 8B C3 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_26412_0 {
	meta:
		name = "TDataSetAdapterApplyRowAction.GetDefaultActionName"
		size = 44
		refs = "0006 TDataSetAdapterApplyRowAction.GetDefaultActionName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 70 00 70 00 6C 00 79 00 00 00 }
	condition:
		$1
}

rule function_26414_0 {
	meta:
		name = "TDataSetAdapterApplyRowAction.ImplExecuteActionRequest"
		size = 98
		refs = "000e @IntfAddRef 0016 TDataSetAdapterApplyRowAction.ImplExecuteActionRequest 0023 TCustomDataSetAdapterAction.GetAdapter 002b TCustomDataSetAdapter.LocateAndApply 003d TCustomAdapter.SetEchoActionFieldValues 0052 @IntfClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 84 C0 75 0E 8B C3 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_26416_0 {
	meta:
		name = "TDataSetAdapterDataLink.Create"
		size = 56
		refs = "000a @ClassCreate 001a TDataLink.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 1C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26417_0 {
	meta:
		name = "TDataSetAdapterDataLink.DataEvent"
		size = 58
		refs = "000b TDataLink.DataEvent 0024 NotifyPossibleHTMLChange"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 80 EB 06 75 23 66 83 7E 22 00 74 08 8B D6 8B 46 24 FF 56 20 A1 ?? ?? ?? ?? 83 38 00 74 0A 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5E 5B C3 }
	condition:
		$1
}

rule function_26418_0 {
	meta:
		name = "TDataSetAdapterDataLink.RecordChanged"
		size = 23
		refs = "0002 NotifyPossibleHTMLChange"
	strings:
		$1 = { 53 A1 ?? ?? ?? ?? 83 38 00 74 0A 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 }
	condition:
		$1
}

rule function_79927_0 {
	meta:
		name = "TApplication.Initialize"
		size = 23
		refs = "0002 InitProc"
	strings:
		$1 = { 53 A1 ?? ?? ?? ?? 83 38 00 74 0A 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 }
	condition:
		$1
}

rule function_96107_0 {
	meta:
		name = "TWebApplication.Initialize"
		size = 23
		refs = "0002 InitProc"
	strings:
		$1 = { 53 A1 ?? ?? ?? ?? 83 38 00 74 0A 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 }
	condition:
		$1
}

rule function_26419_0 {
	meta:
		name = "TCustomDataSetValuesList.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TCustomAdapter.Create 001e _Dn_TNamedVariantsList 0023 TObject.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 3C 01 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26420_0 {
	meta:
		name = "TCustomDataSetValuesList.PrepareDataSet"
		size = 62
		refs = "0025 TCustomDataSetValuesList.GetDataSet"
	strings:
		$1 = { 53 8B D8 C6 83 50 01 00 00 01 66 83 BB 4A 01 00 00 00 74 0E 8B D3 8B 83 4C 01 00 00 FF 93 48 01 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 68 02 00 00 5B C3 }
	condition:
		$1
}

rule function_26421_0 {
	meta:
		name = "TCustomDataSetValuesList.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TCustomAdapter.Destroy 001d TObject.Free 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 3C 01 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26424_0 {
	meta:
		name = "TCustomDataSetValuesList.ImplEndIterator"
		size = 50
	strings:
		$1 = { 53 8B D8 8B 83 3C 01 00 00 8B 10 FF 52 14 3B 83 44 01 00 00 7F 1A 33 C0 89 83 44 01 00 00 8B 83 3C 01 00 00 8B 10 FF 52 2C C6 83 40 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_26425_0 {
	meta:
		name = "TCustomDataSetValuesList.ImplGetListNameOfValue"
		size = 275
		refs = "002a @VarAddRef 0032 TCustomDataSetValuesList.ImplGetListNameOfValue 004c TCustomDataSetValuesList.CacheValuesList 007e TAbstractNamedVariants.GetName 00a8 TAbstractNamedVariants.GetVariant 00b3 @VarCmpEQ 00ce @HandleAnyException 00d3 @DoneExcept 00e3 @UStrClr 00f8 @VarClr 0106 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D D8 89 5D DC 8B F2 8D 7D F0 A5 A5 A5 A5 89 4D E8 89 45 EC 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 80 B8 40 01 00 00 00 75 08 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8B 80 3C 01 00 00 8B 10 FF 52 14 48 85 C0 7C 7C 40 89 45 E0 C7 45 E4 00 00 00 00 8B 4D E8 8B 45 EC 8B 80 3C 01 00 00 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 E8 83 38 00 74 4D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D D0 8B 45 EC 8B 80 3C 01 00 00 8B 55 E4 E8 ?? ?? ?? ?? 8D 45 D0 8D 55 F0 E8 ?? ?? ?? ?? 75 0A 33 C0 5A 59 59 64 89 10 EB 24 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 E4 FF 4D E0 75 8F 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26426_0 {
	meta:
		name = "TCustomDataSetValuesList.ImplGetListName"
		size = 57
		refs = "0028 TAbstractNamedVariants.GetName 0032 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 3C 01 00 00 8B 10 FF 52 14 3B 83 44 01 00 00 7E 16 8B CE 8B 93 44 01 00 00 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26427_0 {
	meta:
		name = "TCustomDataSetValuesList.ImplGetListValue"
		size = 165
		refs = "0014 TCustomDataSetValuesList.ImplGetListValue 0040 TAbstractNamedVariants.GetVariant 004a @VarClear 0054 @VarCopy 005b VarIsEmpty 0076 @VarFromUStr 008b @UStrClr 0093 @VarClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 3C 01 00 00 8B 10 FF 52 14 3B 83 44 01 00 00 7E 15 8B CE 8B 93 44 01 00 00 8B 83 3C 01 00 00 E8 ?? ?? ?? ?? EB 12 8D 45 F0 E8 ?? ?? ?? ?? 8B C6 8D 55 F0 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 EC 8B C3 8B 08 FF 91 00 01 00 00 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26428_0 {
	meta:
		name = "TCustomDataSetValuesList.ImplNextIteration"
		size = 31
	strings:
		$1 = { 53 8B D8 FF 83 44 01 00 00 8B 83 3C 01 00 00 8B 10 FF 52 14 3B 83 44 01 00 00 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_26429_0 {
	meta:
		name = "TCustomDataSetValuesList.ImplStartIterator"
		size = 47
		refs = "000e TCustomDataSetValuesList.CacheValuesList"
	strings:
		$1 = { 53 8B D8 33 C0 89 83 44 01 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 40 01 00 00 01 8B 83 3C 01 00 00 8B 10 FF 52 14 3B 83 44 01 00 00 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_26430_0 {
	meta:
		name = "TCustomDataSetValuesList.CacheValuesList"
		size = 389
		refs = "0019 TCustomDataSetValuesList.CacheValuesList 0031 TCustomDataSetValuesList.GetDataSet 0040 DesigningComponent 0050 TDataSet.Open 005c TDataSet.GetActive 0076 TDataSet.FindField 0099 TDataSet.First 00b7 VarIsNull 00d3 @VarToUStr 00dd @UStrClr 00fb @VarClear 0106 @VarCopy 0123 TDataSet.Next 014d Variant 0157 @FinalizeArray 0178 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 3C 01 00 00 8B 10 FF 52 2C 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 FE 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D3 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 38 01 00 00 E8 ?? ?? ?? ?? 89 45 D4 8B C3 E8 ?? ?? ?? ?? 8B 93 34 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 85 00 00 00 85 F6 74 33 8D 55 C4 8B C6 8B 08 FF 91 90 00 00 00 8D 45 C4 E8 ?? ?? ?? ?? 84 C0 75 1A 8D 55 B4 8B C6 8B 08 FF 91 90 00 00 00 8D 55 B4 8D 45 FC E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 83 7D D4 00 74 10 8D 55 E8 8B 45 D4 8B 08 FF 91 90 00 00 00 EB 13 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 8D 55 D8 E8 ?? ?? ?? ?? 8D 4D E8 8B 55 FC 8B 83 3C 01 00 00 8B 38 FF 57 28 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 B8 A9 00 00 00 00 0F 84 67 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26431_0 {
	meta:
		name = "TCustomDataSetValuesList.SetDataSet"
		size = 36
		refs = "0017 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 30 01 00 00 74 13 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 89 B3 30 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_26432_0 {
	meta:
		name = "TCustomDataSetValuesList.Notification"
		size = 45
		refs = "0010 TCustomAdapter.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 30 01 00 00 75 08 33 C0 89 87 30 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26433_0 {
	meta:
		name = "TCustomDataSetValuesList.GetDataSet"
		size = 33
		refs = "0015 TCustomDataSetValuesList.PrepareDataSet"
	strings:
		$1 = { 53 8B D8 F6 43 1C 01 75 10 80 BB 50 01 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 83 30 01 00 00 5B C3 }
	condition:
		$1
}

rule function_26434_0 {
	meta:
		name = "TCustomDataSetValuesList.ImplNotifyDeactivate"
		size = 34
		refs = "0006 TCustomAdapter.ImplNotifyDeactivate 0015 TDataSet.Close"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 30 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? C6 83 50 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_26435_0 {
	meta:
		name = "TCustomDataSetValuesList.GetDesigntimeWarnings"
		size = 327
		refs = "0024 TCustomDataSetValuesList.GetDesigntimeWarnings 0031 TCustomDataSetValuesList.GetDataSet 0041 sDataSetPropertyIsNil 0046 LoadResString 005f Format 007f TDataSet.GetActive 00ae sDataSetNotActive 00df sValueFieldIsBlank 0120 @UStrArrayClr 0128 @UStrClr 013b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 C9 89 4D D4 89 4D D0 89 4D EC 89 4D D8 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 75 33 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 08 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 11 8B C3 E8 ?? ?? ?? ?? 85 C0 74 57 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 47 8D 45 EC 50 8B 43 08 89 45 DC C6 45 E0 11 8B C3 E8 ?? ?? ?? ?? 8B 40 08 89 45 E4 C6 45 E8 11 8D 45 DC 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 EC 8B C6 8B 08 FF 11 83 BB 38 01 00 00 00 75 33 8D 45 D4 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 8B 43 08 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 55 D4 8B C6 8B 08 FF 11 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26436_0 {
	meta:
		name = "TCustomDataSetAdapterMemoField.ImplAsFormatted"
		size = 244
		refs = "0014 TCustomDataSetAdapterMemoField.ImplAsFormatted 0022 @VarClear 002c @VarToUStr 0040 TBaseDataSetAdapterField.GetDataSet 0051 TDataSet.GetActive 005c DesigningComponent 0067 TDataSet.Open 0074 TDataSet.FindField 00a3 _Dn_TMemoField 00a8 @IsClass 00c3 TField.GetDisplayText 00cc @UStrClr 00e1 @VarClr 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8B C7 8D 55 F0 E8 ?? ?? ?? ?? 83 BB 88 00 00 00 00 0F 84 93 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 82 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 18 8B C6 E8 ?? ?? ?? ?? 8B 93 88 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 85 F6 74 47 66 83 BB 92 00 00 00 00 74 13 57 8B CE 8B D3 8B 83 94 00 00 00 FF 93 90 00 00 00 EB 31 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C6 8B 08 FF 91 80 00 00 00 EB 12 8B D7 8B C6 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26437_0 {
	meta:
		name = "TCustomDataSetAdapterMemoField.ImplGetValue"
		size = 167
		refs = "0015 TCustomDataSetAdapterMemoField.ImplGetValue 0022 TAdapterNamedField.CheckViewAccess 0029 TAdapterNamedField.GetEchoActionFieldValue 0037 TAdapterNamedField.GetActionValue 0053 @VarClear 005d @VarCopy 0066 TBaseDataSetAdapterField.GetAdapter 006b TCustomDataSetAdapter.GetMode 0078 TBaseDataSetAdapterField.ImplGetValue 008d @VarClr 0095 @IntfClear 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 0E 8B CE 33 D2 8B 45 FC 8B 18 FF 53 14 EB 2D 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? EB 19 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 03 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26438_0 {
	meta:
		name = "TCustomDataSetAdapterMemoField.CheckOrUpdateValue"
		size = 465
		refs = "0021 @IntfAddRef 0029 TCustomDataSetAdapterMemoField.CheckOrUpdateValue 003e GetActionFieldValues 0062 TBaseDataSetAdapterField.GetAdapter 0067 TCustomDataSetAdapter.GetDataSet 0077 TCustomDataSetAdapter.RaiseNilDataSet 0088 TDataSet.Open 008f TBaseDataSetAdapterField.FindField 00a7 TCustomDataSetAdapter.RaiseFieldNotFound 00fd @VarToUStr 0109 TBaseDataSetAdapterInputField.TestValueChange 013b TAdapterNamedField.GetVariableName 0143 RaiseMultipleValuesException 0163 RaiseFileUploadNotSupported 017d @UStrArrayClr 0186 Variant 0190 @FinalizeArray 0198 @UStrClr 01a0 @VarClr 01a8 @IntfClear 01be @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F8 8B D6 8B 45 F4 8B 30 FF 56 20 8B 45 F8 8B 10 FF 52 10 85 C0 0F 8E EA 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 12 8B C3 E8 ?? ?? ?? ?? 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 10 48 75 7F 80 7D 08 00 74 2D 66 83 BB CA 00 00 00 00 74 23 8D 4D E0 33 D2 8B 45 F8 8B 38 FF 57 14 8D 45 E0 50 8B CE 8B D3 8B 83 CC 00 00 00 FF 93 C8 00 00 00 EB 7E 8D 4D CC 33 D2 8B 45 F8 8B 38 FF 57 14 8D 55 CC 8D 45 DC E8 ?? ?? ?? ?? 8B 4D DC 8B D6 8B C3 E8 ?? ?? ?? ?? 88 45 F3 0F B6 45 F3 22 45 08 74 4E 8D 4D BC 33 D2 8B 45 F8 8B 18 FF 53 14 8D 55 BC 8B C6 8B 08 FF 91 00 01 00 00 EB 32 8D 55 B8 8B C3 E8 ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? EB 1E 8B 45 F8 8B 10 FF 52 18 85 C0 7E 12 8D 55 B4 8B C3 E8 ?? ?? ?? ?? 8B 45 B4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B0 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_26439_0 {
	meta:
		name = "TCustomDataSetAdapterMemoField.ImplUpdateValue"
		size = 90
		refs = "0011 @IntfAddRef 0019 TCustomDataSetAdapterMemoField.ImplUpdateValue 0026 TAdapterNamedField.CheckModifyAccess 0034 TCustomDataSetAdapterMemoField.CheckOrUpdateValue 0049 @IntfClear 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 6A 01 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26489_0 {
	meta:
		name = "TCustomDataSetAdapterImageField.ImplUpdateValue"
		size = 90
		refs = "0011 @IntfAddRef 0019 TCustomDataSetAdapterImageField.ImplUpdateValue 0026 TAdapterNamedField.CheckModifyAccess 0034 TCustomDataSetAdapterImageField.CheckOrUpdateValue 0049 @IntfClear 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 6A 01 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26440_0 {
	meta:
		name = "TCustomDataSetAdapterMemoField.ImplCheckValueChange"
		size = 87
		refs = "0011 @IntfAddRef 0019 TCustomDataSetAdapterMemoField.ImplCheckValueChange 002d TCustomDataSetAdapterMemoField.CheckOrUpdateValue 0044 @IntfClear 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26491_0 {
	meta:
		name = "TCustomDataSetAdapterImageField.ImplCheckValueChange"
		size = 87
		refs = "0011 @IntfAddRef 0019 TCustomDataSetAdapterImageField.ImplCheckValueChange 002d TCustomDataSetAdapterImageField.CheckOrUpdateValue 0044 @IntfClear 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26442_0 {
	meta:
		name = "TDataSetAdapterMoveRowAction.ImplIsDefaultAction"
		size = 144
		refs = "000f TDataSetAdapterMoveRowAction.ImplIsDefaultAction 001c TCustomDataSetAdapterAction.GetAdapter 0021 TCustomDataSetAdapter.GetMode 0034 @IntfClear 0042 Supports 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 03 0F 95 C0 8B D8 84 DB 74 2B 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 FC 8B 10 FF 52 0C A8 04 0F 95 C3 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 63 05 50 CA 98 12 0F 40 81 4D DA 83 6E 08 D8 B4 }
	condition:
		$1
}

rule function_26447_0 {
	meta:
		name = "TDataSetAdapterCancelRowAction.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TCustomDataSetAdapterRowAction.Create 001e TDataSetAdapterCancelRowAction.Create 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 86 E8 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_26448_0 {
	meta:
		name = "TDataSetAdapterApplyRowAction.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TCustomDataSetAdapterRowAction.Create 001e TDataSetAdapterApplyRowAction.Create 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 86 E8 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_26449_0 {
	meta:
		name = "TCustomDataSetAdapter.SetMasterAdapter"
		size = 70
		refs = "001f TList.RemoveItem 0032 TComponent.FreeNotification 003f TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 7C 01 00 00 3B F0 74 33 85 C0 74 0F 8B 80 80 01 00 00 8B D3 33 C9 E8 ?? ?? ?? ?? 89 B3 7C 01 00 00 85 F6 74 16 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 86 80 01 00 00 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26452_0 {
	meta:
		name = "TLocateParamsList.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TObject.Create 0020 _Dn_TObjectList 0025 TObjectList.Create 0033 @AfterConstruction"
		altNames = "TScriptErrors.Create TScriptObjectFactories.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26456_0 {
	meta:
		name = "TLocateParams.AddParam"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 08 8B 08 FF 51 38 5E C3 }
	condition:
		$1
}

rule function_26457_0 {
	meta:
		name = "TLocateParams.AddParam"
		size = 144
		refs = "0018 TLocateParams.AddParam 0042 Format 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3D 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_48623_0 {
	meta:
		name = "TFormRequirements.DefineVariable"
		size = 144
		refs = "0018 TFormRequirements.DefineVariable 0042 Format 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3D 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_26458_0 {
	meta:
		name = "TLocateParams.Create"
		size = 86
		refs = "000b @ClassCreate 001a TObject.Create 0021 _Dn_TStringList 0026 TStringList.Create 0037 TList.Add 0042 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 85 F6 74 0A 8B 46 04 8B D7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26461_0 {
	meta:
		name = "TGeneratedFunctions.GetName"
		size = 25
		altNames = "TLocateParams.GetItem TScriptGlobalObjects.GetNamedItemName"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 08 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26464_0 {
	meta:
		name = "TLocateParamsList.ItemByAdapterName"
		size = 192
		refs = "001a TLocateParamsList.ItemByAdapterName 0028 TLocateParamsList.GetCount 0042 TLocateParamsList.GetItem 004f @UStrLAsg 0080 CompareText 00ab @UStrArrayClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 4D F8 8B F2 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 60 47 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 08 FF 45 F0 4F 75 A8 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26466_0 {
	meta:
		name = "TCustomDataSetAdapter.ImplInIterator"
		size = 8
	strings:
		$1 = { 0F B6 80 78 01 00 00 C3 }
	condition:
		$1
}

rule function_26467_0 {
	meta:
		name = "TCustomDataSetAdapter.GetRecordKeys"
		size = 23
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 8B 18 FF 93 14 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26468_0 {
	meta:
		name = "TCustomDataSetAdapter.ImplGetRecordKeys"
		size = 25
		refs = "0009 TCustomDataSetAdapter.GetKeyParamStrings 0010 TCustomDataSetAdapter.FullyQualifyInputNames"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 88 06 5E 5B C3 }
	condition:
		$1
}

rule function_26469_0 {
	meta:
		name = "TCustomDataSetAdapter.FullyQualifyInputNames"
		size = 27
	strings:
		$1 = { 83 B8 7C 01 00 00 00 75 0F 8B 80 80 01 00 00 83 78 08 01 7D 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_26470_0 {
	meta:
		name = "TBaseDataSetAdapterField.FullyQualifyInputName"
		size = 38
		refs = "0006 TBaseDataSetAdapterField.GetAdapter 0016 TCustomDataSetAdapter.FullyQualifyInputNames"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_26471_0 {
	meta:
		name = "TBaseDataSetAdapterField.GetKeyName"
		size = 41
		refs = "0018 @UStrAsg 0022 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 83 8D 00 00 00 01 74 10 8B C6 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26472_0 {
	meta:
		name = "TBaseDataSetAdapterInputField.ImplGetEchoActionFieldValue"
		size = 8
	strings:
		$1 = { 0F B6 80 B8 00 00 00 C3 }
	condition:
		$1
}

rule function_26473_0 {
	meta:
		name = "TBaseDataSetAdapterInputField.ImplSetEchoActionFieldValue"
		size = 7
		altNames = "TChartAxis.InternalSetInverted"
	strings:
		$1 = { 88 90 B8 00 00 00 C3 }
	condition:
		$1
}

rule function_26474_0 {
	meta:
		name = "TBaseDataSetAdapterInputField.ValidateValue"
		size = 84
		refs = "0011 @IntfAddRef 0019 TBaseDataSetAdapterInputField.ValidateValue 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 8B 18 FF 93 AC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26475_0 {
	meta:
		name = "TBaseDataSetAdapterInputField.ImplValidateValue"
		size = 212
		refs = "001d @IntfAddRef 0025 TBaseDataSetAdapterInputField.ImplValidateValue 003c TBaseDataSetAdapterField.GetAdapter 0041 TCustomDataSetAdapter.GetDataSet 0051 TCustomDataSetAdapter.RaiseNilDataSet 0062 TDataSet.Open 0069 TBaseDataSetAdapterField.FindField 0076 GetActionFieldValues 00b1 @IntfClear 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F8 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB C2 00 00 00 00 74 67 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D EC 8B 55 F4 8B 45 F8 8B 38 FF 57 20 8B 45 EC 50 8D 45 F3 50 8B CE 8B D3 8B 83 C4 00 00 00 FF 93 C0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26476_0 {
	meta:
		name = "TBaseDataSetAdapterInputField.TestValueChange"
		size = 206
		refs = "001e TBaseDataSetAdapterInputField.TestValueChange 0039 VarIsEmpty 0045 VarIsNull 0073 @VarFromUStr 007e @VarCmpNE 0092 @HandleAnyException 0099 @DoneExcept 00af Variant 00b9 @FinalizeArray 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C6 8B 08 FF 91 90 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 0C 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 12 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 95 C3 EB 3E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 8B D3 E8 ?? ?? ?? ?? 8D 45 E0 8D 55 F0 E8 ?? ?? ?? ?? 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? B3 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26477_0 {
	meta:
		name = "TCustomDataSetAdapter.SetInDefaultMode"
		size = 14
	strings:
		$1 = { 88 90 88 01 00 00 C6 80 71 01 00 00 02 C3 }
	condition:
		$1
}

rule function_26478_0 {
	meta:
		name = "TCustomDataSetAdapter.ImplSetEchoActionFieldValues"
		size = 251
		refs = "0019 TCustomAdapter.GetEchoActionFieldValues 0028 TCustomDataSetAdapter.GetMode 0035 TCustomAdapter.ImplSetEchoActionFieldValues 003c TCustomDataSetAdapter.GetMasterDetailAdapters 0051 TCustomDataSetAdapter.ImplSetEchoActionFieldValues 0080 TList.Get 008a _DV_TCustomDataSetAdapter 008f @AsClass 00c9 TObject.Free 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B DA 8B F8 80 FB 01 0F 85 D5 00 00 00 8B C7 E8 ?? ?? ?? ?? 3A D8 0F 84 C6 00 00 00 8B C7 E8 ?? ?? ?? ?? 3C 02 74 09 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 84 88 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 08 48 85 C0 7C 52 40 89 45 F4 C7 45 FC 00 00 00 00 8B 75 F8 8B 45 FC 89 45 F0 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 3B FE 74 17 8B C6 E8 ?? ?? ?? ?? 3C 02 74 0C 8B D3 8B C6 8B 08 FF 91 80 00 00 00 FF 45 FC FF 4D F4 75 B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 E8 ?? ?? ?? ?? 3C 02 74 14 8B D3 8B C7 E8 ?? ?? ?? ?? EB 09 8B D3 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26479_0 {
	meta:
		name = "TBaseDataSetAdapterField.PrepareDataSet"
		size = 30
		refs = "0010 TComponent.RemoveFreeNotification"
	strings:
		$1 = { 53 8B D8 8B 83 84 00 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 33 C0 89 83 84 00 00 00 5B C3 }
	condition:
		$1
}

rule function_26480_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_13 001a DataSetAdapterModeNames 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_35172_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_9 001a IdentErrorText 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_35963_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_3 001a MailBoxAttributes 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_26482_0 {
	meta:
		name = "TCustomDataSetAdapterImageField.GetAdapterImage"
		size = 31
		refs = "0006 TBaseDataSetAdapterField.GetAdapter 000b TCustomDataSetAdapter.GetMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 2C 01 72 04 2C 02 75 04 33 C0 5B C3 8B C3 5B C3 }
	condition:
		$1
}

rule function_26485_0 {
	meta:
		name = "ConvertBitmapToJpeg"
		size = 276
		refs = "000a _Dn_TBitmap 000f TBitmap.Create 001a ConvertBitmapToJpeg 0035 _Dn_TJPEGImage 003a TJPEGImage.Create 005d _Dn_TMemoryStream 0062 TObject.Create 0090 TObject.Free 00b7 @HandleFinally 00c9 @UStrLAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 50 FC 8B 45 FC 8B 08 FF 51 5C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 8B 08 FF 51 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 F8 8B 45 08 8B 50 F8 8B 45 F8 8B 08 FF 51 60 8B 45 08 8B 40 F8 33 C9 33 D2 8B 18 FF 53 14 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 08 89 42 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 83 C0 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 6D 00 61 00 67 00 65 00 2F 00 6A 00 70 00 65 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_26486_0 {
	meta:
		name = "TCustomDataSetAdapterImageField.RenderAdapterImage"
		size = 1192
		refs = "002f @IntfAddRef 0037 TCustomDataSetAdapterImageField.RenderAdapterImage 0044 TAdapterNamedField.CheckViewAccess 0049 WebContext 006d TBaseDataSetAdapterField.GetAdapter 0092 TCustomDataSetAdapter.SilentLocate 00f4 _Dn_TMemoryStream 00f9 TObject.Create 010b TStream.CopyFrom 012e @HandleAnyException 013c TObject.Free 0151 @RaiseAgain 0156 @DoneExcept 0161 @UStrLAsg 017d TCustomDataSetAdapter.GetDataSet 0188 TDataSet.FindField 019d @UStrClr 01ef sInvalidImageSize 01f4 LoadResString 01fe _Dn_EAdapterFieldException 0203 Exception.CreateFmt 0208 @RaiseExcept 02d5 ConvertBitmapToJpeg 030e TAdapterNamedField.GetVariableName 0320 sUnknownImageType 034f sIncorrectImageFormat 0362 Format 0371 EAdapterFieldException.Create 03a8 TStream.SetPosition 03b8 @LStrFromUStr 03e6 @LStrClr 03f3 @UStrArrayClr 0410 @IntfClear 041e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 33 DB 89 5D A4 89 5D C8 89 5D C4 89 5D B0 89 5D AC 89 5D A8 89 5D CC 89 5D F4 89 5D EC 89 55 F0 8B D8 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 08 8B F0 B9 ?? ?? ?? ?? BA 08 00 00 00 8B C6 8B 38 FF 57 04 33 C0 89 45 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 08 FF 51 44 8B C3 E8 ?? ?? ?? ?? 8B 80 64 01 00 00 50 8B C3 E8 ?? ?? ?? ?? B1 01 5A E8 ?? ?? ?? ?? 84 C0 0F 84 0E 03 00 00 66 83 BB C2 00 00 00 00 0F 84 BF 00 00 00 33 C0 89 45 DC C6 45 DB 01 33 C0 89 45 F8 8D 45 DC 50 8D 45 DB 50 8D 4D EC 8B D3 8B 83 C4 00 00 00 FF 93 C0 00 00 00 83 7D DC 00 0F 84 8E 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D DB 00 75 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 6A 00 6A 00 8B 55 DC 8B 45 F8 E8 ?? ?? ?? ?? EB 06 8B 45 DC 89 45 F8 33 C9 33 D2 8B 45 F8 8B 38 FF 57 14 33 C0 5A 59 59 64 89 10 EB 2D E9 ?? ?? ?? ?? 80 7D DB 00 74 08 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC 3B 45 F8 74 08 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 EC E8 ?? ?? ?? ?? 8B 45 F8 89 45 FC 83 7D FC 00 0F 85 37 02 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 89 45 E0 83 7D E0 00 0F 84 13 02 00 00 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 3C 33 C9 8B 55 E0 8B 38 FF 97 70 02 00 00 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 12 83 FA 00 75 07 83 F8 08 73 36 EB 02 7D 32 C7 45 D0 08 00 00 00 C6 45 D4 00 8D 45 D0 50 6A 00 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 B9 08 00 00 00 8B 45 FC 8B 38 FF 57 0C 80 7D E4 FF 75 18 80 7D E5 D8 75 12 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 40 01 00 00 0F B6 45 E4 66 83 F8 47 75 26 0F B6 45 E5 66 83 F8 49 75 1C 0F B6 45 E6 66 83 F8 46 75 12 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 10 01 00 00 80 7D E4 89 75 3C 80 7D E5 50 75 36 80 7D E6 4E 75 30 80 7D E7 47 75 2A 80 7D E8 0D 75 24 80 7D E9 0A 75 1E 80 7D EA 1A 75 18 80 7D EB 0A 75 12 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CE 00 00 00 80 7D E4 01 75 2D 80 7D E5 00 75 27 80 7D E6 00 75 21 80 7D E7 01 75 1B 33 C9 BA 08 00 00 00 8B 45 FC 8B 18 FF 53 14 55 E8 ?? ?? ?? ?? 59 E9 9B 00 00 00 0F B6 45 E4 66 83 F8 42 75 1F 0F B6 45 E5 66 83 F8 4D 75 15 33 C9 33 D2 8B 45 FC 8B 18 FF 53 14 55 E8 ?? ?? ?? ?? 59 EB 72 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 8B 45 C8 50 6A 00 8D 45 C4 50 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 89 45 B4 C6 45 B8 11 8D 55 AC 8B C3 E8 ?? ?? ?? ?? 8B 45 AC 89 45 BC C6 45 C0 11 8D 45 B4 50 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 A4 8B 55 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D A4 BA 08 00 00 00 8B C6 8B 18 FF 53 04 8B 55 FC 8B C6 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BE 5F 5E 5B 8B E5 5D C3 00 E4 04 01 00 FF FF FF FF 09 00 00 00 74 65 78 74 2F 68 74 6D 6C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 6D 00 61 00 67 00 65 00 2F 00 6A 00 70 00 65 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6D 00 61 00 67 00 65 00 2F 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6D 00 61 00 67 00 65 00 2F 00 70 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_26488_0 {
	meta:
		name = "TCustomDataSetAdapterImageField.CheckOrUpdateValue"
		size = 1028
		refs = "0020 @IntfAddRef 0028 TCustomDataSetAdapterImageField.CheckOrUpdateValue 003d GetActionFieldValues 0061 TBaseDataSetAdapterField.GetAdapter 0066 TCustomDataSetAdapter.GetDataSet 0071 TDataSet.FindField 0089 TCustomDataSetAdapter.RaiseFieldNotFound 00c1 @LStrEqual 00ca _Dn_TBitmap 00cf TBitmap.Create 0118 TObject.Free 011e @HandleFinally 01e1 _Dn_TBlobField 01e6 @AsClass 01ec TBlobField.LoadFromStream 01fb TAdapterNamedField.GetVariableName 0241 sIncorrectImageFormat 0246 LoadResString 0254 Format 025e _Dn_EAdapterFieldException 0263 EAdapterFieldException.Create 0268 @RaiseExcept 0282 RaiseMultipleFilesException 02ab @VarFromUStr 02b4 @VarCmpNE 02ce sFileExpected 0301 @UStrArrayClr 030a Variant 0314 @FinalizeArray 0329 @LStrClr 0343 @LStrArrayClr 034b @IntfClear"
	strings:
		$1 = { 55 8B EC 51 B9 0F 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F8 8B D6 8B 45 F4 8B 30 FF 56 20 8B 45 F8 8B 10 FF 52 18 85 C0 0F 8E 2A 02 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 75 12 8B C3 E8 ?? ?? ?? ?? 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 18 48 0F 85 D8 01 00 00 80 7D 08 00 0F 84 C8 01 00 00 33 D2 8B 45 F8 8B 08 FF 51 1C 8D 55 E8 8B 08 FF 51 0C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 F8 8B 08 FF 51 1C 8B 10 FF 52 08 8B D0 8B 45 EC 8B 08 FF 51 5C 8B 55 EC 8B C6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 D2 8B 45 F8 8B 08 FF 51 1C 8D 55 E4 8B 08 FF 51 0C 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 84 00 00 00 33 D2 8B 45 F8 8B 08 FF 51 1C 8D 55 E0 8B 08 FF 51 0C 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 63 33 D2 8B 45 F8 8B 08 FF 51 1C 8D 55 DC 8B 08 FF 51 0C 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 42 33 D2 8B 45 F8 8B 08 FF 51 1C 8D 55 D8 8B 08 FF 51 0C 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 21 33 D2 8B 45 F8 8B 08 FF 51 1C 8D 55 D4 8B 08 FF 51 0C 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 28 33 D2 8B 45 F8 8B 08 FF 51 1C 8B 10 FF 52 08 50 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? E9 F6 00 00 00 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 45 D0 50 6A 00 8D 45 CC 50 33 D2 8B 45 F8 8B 08 FF 51 1C 8D 55 B8 8B 08 FF 51 0C 8B 45 B8 89 45 BC C6 45 C0 0B 8D 55 B4 8B C3 E8 ?? ?? ?? ?? 8B 45 B4 89 45 C4 C6 45 C8 11 8D 45 BC 50 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7D C6 45 F3 01 EB 77 8D 55 AC 8B C3 E8 ?? ?? ?? ?? 8B 45 AC E8 ?? ?? ?? ?? EB 63 8B 45 F8 8B 10 FF 52 10 85 C0 7E 57 8D 4D 9C 33 D2 8B 45 F8 8B 30 FF 56 14 8D 45 9C 50 8D 45 8C 33 D2 E8 ?? ?? ?? ?? 8D 55 8C 58 E8 ?? ?? ?? ?? 74 31 8D 55 88 8B C3 E8 ?? ?? ?? ?? 8B 45 88 50 6A 00 8D 55 84 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 84 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 84 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 8C 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 91 0F B6 45 F3 5E 5B 8B E5 5D C2 04 00 00 E4 04 01 00 FF FF FF FF 09 00 00 00 69 6D 61 67 65 2F 62 6D 70 00 00 00 E4 04 01 00 FF FF FF FF 0A 00 00 00 69 6D 61 67 65 2F 6A 70 65 67 00 00 E4 04 01 00 FF FF FF FF 0B 00 00 00 69 6D 61 67 65 2F 70 6A 70 65 67 00 E4 04 01 00 FF FF FF FF 09 00 00 00 69 6D 61 67 65 2F 67 69 66 00 00 00 E4 04 01 00 FF FF FF FF 09 00 00 00 69 6D 61 67 65 2F 70 6E 67 00 00 00 E4 04 01 00 FF FF FF FF 0B 00 00 00 69 6D 61 67 65 2F 78 2D 70 6E 67 00 }
	condition:
		$1
}

rule function_26490_0 {
	meta:
		name = "TCustomDataSetAdapterImageField.GetDataSetFieldValue"
		size = 79
		refs = "000f TCustomDataSetAdapterImageField.GetDataSetFieldValue 001f TField.GetDisplayText 0029 @VarFromUStr 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26492_0 {
	meta:
		name = "TCustomDataSetAdapterImageField.ImplWebImageHREF"
		size = 146
		refs = "000f TCustomDataSetAdapterImageField.ImplWebImageHREF 001c DesigningComponent 0025 GetHTMLSampleImage 0041 @UStrAsg 004a @UStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 A1 ?? ?? ?? ?? 83 38 00 74 19 8B 1D ?? ?? ?? ?? 8B 1B 8D 45 FC FF D3 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 21 8B C6 E8 ?? ?? ?? ?? 66 83 BB BA 00 00 00 00 74 10 8B CE 8B D3 8B 83 BC 00 00 00 FF 93 B8 00 00 00 83 3E 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26493_0 {
	meta:
		name = "TCustomDataSetAdapterImageField.WebImageHREF"
		size = 9
	strings:
		$1 = { 8B 08 FF 91 AC 00 00 00 C3 }
	condition:
		$1
}

rule function_26494_0 {
	meta:
		name = "TCustomDataSetAdapterImageField.CreateRequestContext"
		size = 75
		refs = "000e @IntfAddRef 0016 TCustomDataSetAdapterImageField.CreateRequestContext 0026 TCustomDataSetAdapterImageField.ImplCreateRequestContext 003b @IntfClear 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_96894_0 {
	meta:
		name = "TBaseAdapterAction.CreateRequestContext"
		size = 75
		refs = "000e @IntfAddRef 0016 TBaseAdapterAction.CreateRequestContext 0026 TBaseAdapterAction.ImplCreateRequestContext 003b @IntfClear 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_97196_0 {
	meta:
		name = "TCustomAdapterImageField.CreateRequestContext"
		size = 75
		refs = "000e @IntfAddRef 0016 TCustomAdapterImageField.CreateRequestContext 0026 TCustomAdapterImageField.ImplCreateRequestContext 003b @IntfClear 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47138_0 {
	meta:
		name = "TCustomQueryButtons.ImplAddElements"
		size = 75
		refs = "000e @IntfAddRef 0016 TCustomQueryButtons.ImplAddElements 0026 TWebControlGroup.ImplAddElements 003b @IntfClear 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_26495_0 {
	meta:
		name = "TCustomDataSetAdapterImageField.HandleRequest"
		size = 82
		refs = "000e @IntfAddRef 0016 TCustomDataSetAdapterImageField.HandleRequest 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 91 B0 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_26496_0 {
	meta:
		name = "TCustomDataSetAdapterImageField.ImplCreateRequestContext"
		size = 90
		refs = "000b @IntfAddRef 0013 TCustomDataSetAdapterImageField.ImplCreateRequestContext 0023 _Dn_TBasicImageRequestImpl 0028 TBasicImageRequestImpl.Create 0031 _Dn_TBasicImageResponseImpl 0036 TBasicImageResponseImpl.Create 004b @IntfClear 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_96790_0 {
	meta:
		name = "TCustomAdapter.CreateActionRequestContext"
		size = 90
		refs = "000b @IntfAddRef 0013 TCustomAdapter.CreateActionRequestContext 0023 _Dn_TMultiRecordActionRequestImpl 0028 TMultiRecordActionRequestImpl.Create 0031 _Dn_TBasicActionResponseImpl 0036 TBasicActionResponseImpl.Create 004b @IntfClear 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_97198_0 {
	meta:
		name = "TCustomAdapterImageField.ImplCreateRequestContext"
		size = 90
		refs = "000b @IntfAddRef 0013 TCustomAdapterImageField.ImplCreateRequestContext 0023 _Dn_TBasicImageRequestImpl 0028 TBasicImageRequestImpl.Create 0031 _Dn_TBasicImageResponseImpl 0036 TBasicImageResponseImpl.Create 004b @IntfClear 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_26497_0 {
	meta:
		name = "TCustomDataSetAdapterImageField.ImplHandleRequest"
		size = 232
		refs = "0011 TCustomDataSetAdapterImageField.ImplHandleRequest 001c WebContext 0030 @IntfClear 003d Supports 0082 TCustomDataSetAdapterImageField.RenderAdapterImage 0098 IInterface 00a2 @FinalizeArray 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 51 0C 8B 45 F4 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 2A E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 51 10 8B 45 F0 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 84 DB 74 0D 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B C3 5E 5B 8B E5 5D C3 00 00 16 A2 87 93 92 43 FB 48 98 80 BF A8 C5 CC 30 6E 82 E5 9F 73 BA 03 CA 42 AE 02 55 57 CD 38 56 D3 }
	condition:
		$1
}

rule function_26498_0 {
	meta:
		name = "TCustomDataSetAdapterImageField.GetAdapterItemRequestParams"
		size = 132
		refs = "0018 @IntfAddRef 0020 TCustomDataSetAdapterImageField.GetAdapterItemRequestParams 0030 MakeAdapterRequestIdentifier 003a @UStrAsg 0041 TBaseDataSetAdapterField.GetAdapter 0050 TCustomDataSetAdapter.EncodeActionParamsFlags 0065 @UStrClr 006d @IntfClear 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 0D ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_26499_0 {
	meta:
		name = "TCustomDataSetAdapterImageField.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TBaseDataSetAdapterField.Create 001e TCustomDataSetAdapterImageField.Create 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 86 8C 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 07 00 00 00 }
	condition:
		$1
}

rule function_26504_0 {
	meta:
		name = "TDBXCustomDataGenerator.GetColumnCount"
		size = 18
		refs = "000d @DynArrayLength"
	strings:
		$1 = { 83 78 0C 00 75 03 33 C0 C3 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26505_0 {
	meta:
		name = "TDBXCustomDataGenerator.AddColumn"
		size = 203
		refs = "0010 TDBXCustomDataGenerator.AddColumn 002c TDBXDataGeneratorColumnArray 0031 @DynArraySetLength 003e @DynArrayLength 0089 @DynArrayAsg 00b9 @DynArrayClear 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 75 1A 6A 01 8D 43 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 53 8B 43 0C E8 ?? ?? ?? ?? 40 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 0C E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 13 42 33 C0 8B 4B 0C 8B 0C 81 8B 7D FC 89 0C 87 40 4A 75 F0 8D 43 0C 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B 53 0C 89 74 82 FC 8B C6 8B 10 FF 12 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26506_0 {
	meta:
		name = "TDBXCustomDataGenerator.Destroy"
		size = 101
		refs = "0005 @BeforeDestruction 0017 @DynArrayLength 0034 TObject.Free 0041 TDBXDataGeneratorColumnArray 0046 @DynArrayClear 0051 TObject.Destroy 005c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 83 7D 0C 00 74 29 8B 45 0C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1A 46 33 FF 8B 45 0C 8D 04 B8 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 47 4E 75 E9 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26507_0 {
	meta:
		name = "BindingTemplates.GetBindingTemplateArray"
		size = 7
		altNames = "BusinessInfos.GetBusinessInfoArray BusinessServices.GetBusinessServiceArray CategoryBag.GetKeyedReferenceArray Contacts.GetContactArray DiscoveryURLs.GetDiscoveryUrlArray IdentifierBag.GetKeyedReferenceArray ServiceInfos.GetServiceInfoArray TDBXCustomDataGenerator.GetColumn TModelInfos.GetTModelInfoArray TModelInstanceDetails.GetTModelInstanceInfoArray"
	strings:
		$1 = { 8B 40 0C 8B 04 90 C3 }
	condition:
		$1
}

rule function_26508_0 {
	meta:
		name = "TDBXCustomDataGenerator.Open"
		size = 65
		refs = "0014 @DynArrayLength"
	strings:
		$1 = { 53 56 57 8B D8 33 C0 89 43 08 83 7B 0C 00 74 2D 8B 43 0C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 1E 47 33 F6 8B 43 0C 8B 04 B0 8B D3 8B 08 FF 51 4C 8B 43 0C 8B 04 B0 8B 10 FF 12 46 4F 75 E5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26509_0 {
	meta:
		name = "TDBXCustomDataGenerator.ColumnNameString"
		size = 196
		refs = "0019 TDBXCustomDataGenerator.ColumnNameString 0027 @UStrClr 0044 TDBXMetaDataProvider.QuoteIdentifierIfNeeded 004f @UStrCat 0057 @DynArrayLength 007e @UStrAsg 0098 @UStrArrayClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 33 DB EB 3D 8D 55 F0 8B 04 9E 8B 08 FF 51 50 8B 55 F0 8D 4D F4 8B 47 10 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7D 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B D8 7C B8 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_26510_0 {
	meta:
		name = "TDBXCustomDataGenerator.ValueString"
		size = 476
		refs = "001f TDBXCustomDataGenerator.ValueString 002d @UStrClr 007e IntToStr 008e @UStrCat3 0098 _DV_TDBXDataGeneratorException 009d TDBXDataGeneratorException.Create 00a2 @RaiseExcept 00c1 @UStrCat 00ca @DynArrayLength 00f6 @UStrAsg 0110 @UStrArrayClr 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F0 89 55 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 33 F6 E9 A7 00 00 00 8B 45 F0 99 52 50 8D 55 F8 8B 45 F4 8B 04 B0 8B 08 FF 51 04 83 7D F8 00 75 04 B3 01 EB 1E 8B 45 F8 89 45 EC 83 7D EC 00 74 0B 8B 45 EC 83 E8 04 8B 00 89 45 EC 83 7D EC 01 0F 9C C3 84 DB 74 2E 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 4D E4 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 99 52 50 8D 55 E0 8B 45 F4 8B 04 B0 8B 08 FF 51 04 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 46 8B 45 F4 E8 ?? ?? ?? ?? 3B F0 7D 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 3B F0 0F 8C 49 FF FF FF 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 44 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 4E 00 61 00 6D 00 65 00 20 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 20 00 6E 00 6F 00 74 00 20 00 73 00 65 00 74 00 20 00 6F 00 72 00 20 00 73 00 65 00 74 00 20 00 74 00 6F 00 20 00 61 00 6E 00 20 00 65 00 6D 00 70 00 74 00 79 00 20 00 73 00 74 00 72 00 69 00 6E 00 67 00 20 00 66 00 6F 00 72 00 20 00 6F 00 72 00 64 00 69 00 6E 00 61 00 6C 00 3A 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_26511_0 {
	meta:
		name = "TDBXCustomDataGenerator.MarkerString"
		size = 172
		refs = "0010 TDBXCustomDataGenerator.MarkerString 001e @UStrClr 002b @DynArrayLength 003c @UStrCat 0061 @UStrAsg 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 33 DB EB 29 43 8B 46 0C E8 ?? ?? ?? ?? 3B D8 7D 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 3B D8 7C CB 8B C7 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 3F 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_26514_0 {
	meta:
		name = "TDBXCustomDataGenerator.CreateInsertStatement"
		size = 616
		refs = "001c TDBXCustomDataGenerator.CreateInsertStatement 004c _DV_TDBXDataGeneratorException 0051 TDBXDataGeneratorException.Create 0056 @RaiseExcept 0085 TDBXMetaDataProvider.QuoteIdentifierIfNeeded 0099 TDBXCustomDataGenerator.ColumnNameString 00ae @UStrCatN 00be TDBXCustomDataGenerator.MarkerString 00c9 @UStrCat 00dc TDBXCustomDataGenerator.ValueString 00f7 @UStrCat3 0111 @UStrArrayClr 0119 @UStrClr 011f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 04 00 75 04 B0 01 EB 10 8B 43 04 85 C0 74 05 83 E8 04 8B 00 48 0F 9C C0 84 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 10 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F4 8B 53 04 8B 43 10 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 80 7D 0C 00 74 17 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? EB 1C 8D 45 E8 50 8B 4D F8 8B 53 0C 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 34 00 00 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 20 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 20 00 6E 00 6F 00 74 00 20 00 73 00 65 00 74 00 20 00 6F 00 72 00 20 00 73 00 65 00 74 00 20 00 74 00 6F 00 20 00 61 00 6E 00 20 00 65 00 6D 00 70 00 74 00 79 00 20 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 50 00 72 00 6F 00 76 00 69 00 64 00 65 00 72 00 20 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 20 00 6E 00 6F 00 74 00 20 00 73 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 4E 00 53 00 45 00 52 00 54 00 20 00 49 00 4E 00 54 00 4F 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 29 00 20 00 56 00 41 00 4C 00 55 00 45 00 53 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_26515_0 {
	meta:
		name = "TDBXCustomDataGenerator.CreateInsertStatement"
		size = 28
		refs = "0014 TDBXCustomDataGenerator.CreateInsertStatement"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A 00 57 8B CE 8B 53 0C 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26516_0 {
	meta:
		name = "TDBXCustomDataGenerator.CreateInsertStatement"
		size = 36
		refs = "0019 TDBXCustomDataGenerator.CreateInsertStatement"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 6A 00 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_48865_0 {
	meta:
		name = "TInvokableClassRegistry.GetInterfaceExternalName"
		size = 36
		refs = "0019 TInvokableClassRegistry.GetInterfaceExternalName"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 6A 00 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_48868_0 {
	meta:
		name = "TInvokableClassRegistry.GetWSDLEncoding"
		size = 36
		refs = "0019 TInvokableClassRegistry.GetWSDLEncoding"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 6A 00 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_26517_0 {
	meta:
		name = "TDBXCustomDataGenerator.CreateParameterizedInsertStatement"
		size = 25
		refs = "0012 TDBXCustomDataGenerator.CreateInsertStatement"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 56 83 C9 FF 8B 53 0C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26518_0 {
	meta:
		name = "TDBXCustomDataGenerator.CreateParameterizedInsertStatement"
		size = 28
		refs = "0014 TDBXCustomDataGenerator.CreateInsertStatement"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A 01 57 83 C9 FF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26522_0 {
	meta:
		name = "TDBXDataGeneratedReader.Create"
		size = 131
		refs = "000e @ClassCreate 001d _DV_TDBXDataGeneratedRow 0022 TDBXDataGeneratedRow.Create 0030 TDBXReader.Create 0049 TDBXDataGeneratorColumnArray 004e @DynArrayAsg 0061 TDBXDataGeneratedReader.CreateValues 006c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 00 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 28 FF FF FF FF C7 47 2C FF FF FF FF 8D 47 3C 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 89 47 30 8B 45 0C 89 47 34 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_26524_0 {
	meta:
		name = "TDBXDataGeneratedReader.CreateValues"
		size = 232
		refs = "0015 TDBXDataGeneratedReader.CreateValues 0026 @DynArrayLength 0035 TDBXWritableValueArray 003a @DynArraySetLength 006a _Dn_TDBXValueType 006f TDBXValueType.Create 00a3 TDBXValue.CreateValue 00d5 @DynArrayClear 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 3C E8 ?? ?? ?? ?? 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 40 3C E8 ?? ?? ?? ?? 48 85 C0 7C 62 40 89 45 F4 33 FF 8B 45 F8 8B 40 3C 8B 04 B8 8B 10 FF 52 58 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 56 0C 8B C3 8B 08 FF 51 14 8B 46 10 99 52 50 8B C3 8B 10 FF 52 1C 8B 56 14 8B C3 8B 08 FF 51 20 8B 56 04 8B C3 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 04 BA 47 FF 4D F4 75 A4 8B 55 FC 8B 45 F8 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26525_0 {
	meta:
		name = "TDBXDataGeneratedReader.Reset"
		size = 17
	strings:
		$1 = { C7 40 28 FF FF FF FF C7 40 2C FF FF FF FF B0 01 C3 }
	condition:
		$1
}

rule function_26526_0 {
	meta:
		name = "TDBXDataGeneratedReader.GenerateValues"
		size = 59
		refs = "0009 @DynArrayLength"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 3C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 23 47 33 F6 FF 73 2C FF 73 28 8B D6 8B C3 8B 08 FF 51 10 8B D0 8B 43 3C 8B 04 B0 8B 08 FF 51 48 46 4F 75 E0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26527_0 {
	meta:
		name = "TDBXDataGeneratedReader.DerivedNext"
		size = 71
		refs = "002b TDBXDataGeneratedReader.GenerateValues"
	strings:
		$1 = { 8B C8 8B 41 28 8B 51 2C 83 C0 01 83 D2 00 89 41 28 89 51 2C 8B 41 28 8B 51 2C 3B 51 34 75 07 3B 41 30 73 0E EB 02 7D 0A 8B C1 E8 ?? ?? ?? ?? B0 01 C3 8B 41 28 8B 51 2C 83 E8 01 83 DA 00 89 41 28 89 51 2C 33 C0 C3 }
	condition:
		$1
}

rule function_26529_0 {
	meta:
		name = "TDBXDataGeneratedReader.GetPosition"
		size = 26
		altNames = "TDomError.GetEndLineNumber TXmlCustomTokenizer.GetEndColumnNumber TXmlDoctypeDeclTokenizer.GetEndColumnNumber TXmlSignal.GetEndTabsInLine"
	strings:
		$1 = { 83 C4 F8 8B 50 28 89 14 24 8B 50 2C 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_26530_0 {
	meta:
		name = "TDBXDataGeneratedReader.CompareReader"
		size = 199
	strings:
		$1 = { 53 56 57 83 C4 F8 89 14 24 8B F8 8B C7 8B 10 FF 52 40 8B 04 24 8B 10 FF 52 40 C7 47 38 FF FF FF FF 8B 04 24 8B 10 FF 52 1C 8B D8 8B C7 8B 10 FF 52 1C 3B D8 74 5C C6 44 24 04 00 EB 7F 8B 04 24 8B 10 FF 52 3C 84 C0 75 07 C6 44 24 04 00 EB 6C 8B 04 24 8B 10 FF 52 1C 8B F0 4E 85 F6 7C 33 46 33 DB 8B D3 8B C7 8B 08 FF 51 10 50 8B D3 8B 44 24 04 8B 08 FF 51 10 5A 8B 08 FF 91 F0 00 00 00 84 C0 75 0A 89 5F 38 C6 44 24 04 00 EB 2E 43 4E 75 D0 8B C7 8B 10 FF 52 3C 84 C0 75 A0 C7 47 38 FF FF FF FF 8B 04 24 8B 10 FF 52 3C 84 C0 74 07 C6 44 24 04 00 EB 05 C6 44 24 04 01 0F B6 44 24 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26534_0 {
	meta:
		name = "TDBXDataGeneratorColumn.Create"
		size = 74
		refs = "000b @ClassCreate 001a TObject.Create 0023 _Dn_TDBXMetaDataColumn 0028 TDBXMetaDataColumn.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26535_0 {
	meta:
		name = "TDBXDataGeneratorColumn.TypeNotSupported"
		size = 164
		refs = "0001 TDBXDataGeneratorColumn.TypeNotSupported 0008 _DV_TDBXDataGeneratorException 000d TDBXDataGeneratorException.Create"
	strings:
		$1 = { B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 41 00 00 00 54 00 79 00 70 00 65 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 62 00 79 00 20 00 74 00 68 00 69 00 73 00 20 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 20 00 6F 00 66 00 20 00 44 00 61 00 74 00 61 00 47 00 65 00 6E 00 65 00 72 00 61 00 74 00 69 00 6F 00 6E 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 00 00 }
	condition:
		$1
}

rule function_26538_0 {
	meta:
		name = "TDBXDataGeneratorColumn.GetBoolean"
		size = 23
		refs = "0009 TDBXDataGeneratorColumn.TypeNotSupported 000e @RaiseExcept"
		altNames = "TDBXDataGeneratorColumn.GetBytes TDBXDataGeneratorColumn.GetDay TDBXDataGeneratorColumn.GetDecimal TDBXDataGeneratorColumn.GetHour TDBXDataGeneratorColumn.GetInt16 TDBXDataGeneratorColumn.GetInt32 TDBXDataGeneratorColumn.GetInt8 TDBXDataGeneratorColumn.GetMilliseconds TDBXDataGeneratorColumn.GetMinute TDBXDataGeneratorColumn.GetMonth TDBXDataGeneratorColumn.GetSeconds TDBXDataGeneratorColumn.GetYear"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_26542_0 {
	meta:
		name = "TDBXDataGeneratorColumn.GetInt64"
		size = 34
		refs = "000c TDBXDataGeneratorColumn.TypeNotSupported 0011 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_26543_0 {
	meta:
		name = "TDBXDataGeneratorColumn.GetDouble"
		size = 31
		refs = "000c TDBXDataGeneratorColumn.TypeNotSupported 0011 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 45 F8 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_26544_0 {
	meta:
		name = "TDBXDataGeneratorColumn.GetSingle"
		size = 28
		refs = "000a TDBXDataGeneratorColumn.TypeNotSupported 000f @RaiseExcept"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? D9 45 FC 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_26554_0 {
	meta:
		name = "TDBXDataGeneratorColumn.GetColumnName"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 04 8B 52 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26555_0 {
	meta:
		name = "TDBXDataGeneratorColumn.GetDataType"
		size = 7
		altNames = "TFadeManager.GetSteps TIBBlobStream.GetTransaction TSQLVAR_V1.GetSqlInd TSQLVAR_V2.GetSqlData"
	strings:
		$1 = { 8B 40 04 8B 40 0C C3 }
	condition:
		$1
}

rule function_26559_0 {
	meta:
		name = "TDBXBooleanSequenceGenerator.GetBoolean"
		size = 32
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 81 E0 01 00 00 00 33 D2 83 FA 00 75 03 83 F8 01 0F 94 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_26560_0 {
	meta:
		name = "TDBXBooleanSequenceGenerator.GetString"
		size = 108
		refs = "001d TDBXBooleanSequenceGenerator.GetString 0022 @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 08 84 C0 74 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_26561_0 {
	meta:
		name = "TDBXBooleanSequenceGenerator.GetInt8"
		size = 21
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 81 E0 01 00 00 00 33 D2 5D C2 08 00 }
	condition:
		$1
}

rule function_26562_0 {
	meta:
		name = "TDBXBooleanSequenceGenerator.SetValue"
		size = 40
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 08 8B D0 8B C6 8B 08 FF 91 6C 01 00 00 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_26565_0 {
	meta:
		name = "TDBXBlobSequenceGenerator.GetString"
		size = 172
		refs = "0013 TDBXBlobSequenceGenerator.GetString 0028 _Dn_TDBXStringBuffer 002d TDBXStringBuffer.Create 0050 @UStrFromWChar 005a TDBXStringBuffer.Append 006f TObject.Free 007a @UStrAsg 008f @UStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 04 8B 58 10 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 08 8B F0 4B 85 DB 7C 25 43 8B C6 B9 60 00 00 00 99 F7 F9 66 83 C2 20 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 46 4B 75 DC 8D 55 FC 8B C7 8B 08 FF 51 DC 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_26566_0 {
	meta:
		name = "TDBXBlobSequenceGenerator.GetBytes"
		size = 146
		refs = "0013 TDBXBlobSequenceGenerator.GetBytes 002e TArray<System.Byte> 0033 @DynArraySetLength 0064 @DynArrayAsg 007f @DynArrayClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D FC 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 04 8B 58 10 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B D0 8B C3 48 85 C0 7C 11 40 33 C9 8B 5D FC 03 D9 53 5B 88 13 42 41 48 75 F2 8B 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_26567_0 {
	meta:
		name = "TDBXBlobSequenceGenerator.SetValue"
		size = 115
		refs = "000f TDBXBlobSequenceGenerator.SetValue 0035 @DynArrayLength 005b TArray<System.Byte> 0060 @DynArrayClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 55 FC 8B C3 8B 08 FF 51 24 6A 00 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 99 52 50 8B 55 FC 8B C6 8B 08 FF 91 A4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_26570_0 {
	meta:
		name = "TDBXAnsiStringSequenceGenerator.GetString"
		size = 184
		refs = "0011 TDBXAnsiStringSequenceGenerator.GetString 0025 IntToStr 0035 @UStrCat3 004d @UStrCat 0055 @UStrLen 0067 @UStrAsg 0081 @UStrArrayClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 80 78 1F 00 74 1F EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 53 04 3B 42 10 7C E3 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_26571_0 {
	meta:
		name = "TDBXAnsiStringSequenceGenerator.SetValue"
		size = 90
		refs = "000f TDBXAnsiStringSequenceGenerator.SetValue 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 55 FC 8B C3 8B 08 FF 51 04 8B 55 FC 8B C6 8B 08 FF 91 78 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_26579_0 {
	meta:
		name = "TDBXDateSequenceGenerator.SetValue"
		size = 90
		refs = "000f TDBXDateSequenceGenerator.SetValue 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 55 FC 8B C3 8B 08 FF 51 04 8B 55 FC 8B C6 8B 08 FF 91 78 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_26575_0 {
	meta:
		name = "TDBXDateSequenceGenerator.GetYear"
		size = 25
		altNames = "TDBXTimestampSequenceGenerator.GetYear"
	strings:
		$1 = { 55 8B EC 8B 45 08 B9 14 00 00 00 99 F7 F9 8B C2 05 B2 07 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_26576_0 {
	meta:
		name = "TDBXDateSequenceGenerator.GetMonth"
		size = 21
		altNames = "TDBXTimestampSequenceGenerator.GetMonth"
	strings:
		$1 = { 55 8B EC 8B 45 08 B9 0C 00 00 00 99 F7 F9 8B C2 40 5D C2 08 00 }
	condition:
		$1
}

rule function_26577_0 {
	meta:
		name = "TDBXDateSequenceGenerator.GetDay"
		size = 21
		altNames = "TDBXTimestampSequenceGenerator.GetDay"
	strings:
		$1 = { 55 8B EC 8B 45 08 B9 1C 00 00 00 99 F7 F9 8B C2 40 5D C2 08 00 }
	condition:
		$1
}

rule function_26578_0 {
	meta:
		name = "TDBXDateSequenceGenerator.GetString"
		size = 184
		refs = "0013 TDBXDateSequenceGenerator.GetString 0030 IntToStr 0079 @UStrCatN 0093 @UStrArrayClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 30 8D 55 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 8B 10 FF 52 34 8D 55 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 8B 10 FF 52 2C 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 8B C6 BA 06 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_26582_0 {
	meta:
		name = "TDBXDecimalSequenceGenerator.GetDecimal"
		size = 30
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B D6 8B C3 8B 08 FF 51 04 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_26583_0 {
	meta:
		name = "TDBXDecimalSequenceGenerator.GetString"
		size = 83
		refs = "000c TDBXDecimalSequenceGenerator.GetString 0020 IntToStr 002c @UStrCat3 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC 8B C3 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_26603_0 {
	meta:
		name = "TDBXInt64SequenceGenerator.GetString"
		size = 83
		refs = "000c TDBXInt64SequenceGenerator.GetString 0020 IntToStr 002c @UStrCat3 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC 8B C3 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_26584_0 {
	meta:
		name = "TDBXDecimalSequenceGenerator.SetValue"
		size = 90
		refs = "000f TDBXDecimalSequenceGenerator.SetValue 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 55 FC 8B C3 8B 08 FF 51 04 8B 55 FC 8B C6 8B 08 FF 91 24 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_26616_0 {
	meta:
		name = "TDBXTimeSequenceGenerator.SetValue"
		size = 90
		refs = "000f TDBXTimeSequenceGenerator.SetValue 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 55 FC 8B C3 8B 08 FF 51 04 8B 55 FC 8B C6 8B 08 FF 91 24 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_26627_0 {
	meta:
		name = "TDBXTimestampSequenceGenerator.SetValue"
		size = 90
		refs = "000f TDBXTimestampSequenceGenerator.SetValue 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 55 FC 8B C3 8B 08 FF 51 04 8B 55 FC 8B C6 8B 08 FF 91 24 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_26631_0 {
	meta:
		name = "TDBXWideStringSequenceGenerator.SetValue"
		size = 90
		refs = "000f TDBXWideStringSequenceGenerator.SetValue 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 55 FC 8B C3 8B 08 FF 51 04 8B 55 FC 8B C6 8B 08 FF 91 24 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_26587_0 {
	meta:
		name = "TDBXDoubleSequenceGenerator.GetDouble"
		size = 22
	strings:
		$1 = { 55 8B EC 83 C4 F8 DF 6D 08 DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_26588_0 {
	meta:
		name = "TDBXDoubleSequenceGenerator.GetString"
		size = 114
		refs = "0012 TDBXDoubleSequenceGenerator.GetString 0039 CurrencyString 003e FloatToStr 004a @UStrCat3 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 C9 89 4D FC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DF 6D 08 DD 5D F0 9B DD 45 F0 DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 4D FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_26589_0 {
	meta:
		name = "TDBXDoubleSequenceGenerator.SetValue"
		size = 45
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 1C 83 C4 F8 DD 1C 24 9B 8B C6 8B 10 FF 92 9C 01 00 00 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_26592_0 {
	meta:
		name = "TDBXInt16SequenceGenerator.GetInt16"
		size = 10
		altNames = "TDBXInt32SequenceGenerator.GetInt32 TDBXInt8SequenceGenerator.GetInt8"
	strings:
		$1 = { 55 8B EC 8B 45 08 5D C2 08 00 }
	condition:
		$1
}

rule function_26593_0 {
	meta:
		name = "TDBXInt16SequenceGenerator.GetString"
		size = 87
		refs = "000d TDBXInt16SequenceGenerator.GetString 0023 IntToStr 002f @UStrCat3 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 0F BF D8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B C6 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_26594_0 {
	meta:
		name = "TDBXInt16SequenceGenerator.SetValue"
		size = 40
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 10 8B D0 8B C6 8B 08 FF 91 8C 01 00 00 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_26598_0 {
	meta:
		name = "TDBXInt32SequenceGenerator.GetString"
		size = 86
		refs = "000d TDBXInt32SequenceGenerator.GetString 0022 IntToStr 002e @UStrCat3 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B D8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B C6 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_26599_0 {
	meta:
		name = "TDBXInt32SequenceGenerator.SetValue"
		size = 40
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 14 8B D0 8B C6 8B 08 FF 91 1C 01 00 00 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_26602_0 {
	meta:
		name = "TDBXInt64SequenceGenerator.GetInt64"
		size = 30
		altNames = "_DispReturnInt64"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 8B 45 F8 8B 55 FC 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_26604_0 {
	meta:
		name = "TDBXInt64SequenceGenerator.SetValue"
		size = 40
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 18 52 50 8B C6 8B 10 FF 92 94 01 00 00 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_26608_0 {
	meta:
		name = "TDBXInt8SequenceGenerator.GetString"
		size = 97
		refs = "000d TDBXInt8SequenceGenerator.GetString 002d IntToStr 0039 @UStrCat3 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 55 0C 81 E0 FF 00 00 00 33 D2 8B D8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B C6 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_26609_0 {
	meta:
		name = "TDBXInt8SequenceGenerator.SetValue"
		size = 41
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 0C 0F B6 D0 8B C6 8B 08 FF 91 8C 01 00 00 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_26612_0 {
	meta:
		name = "TDBXTimeSequenceGenerator.GetHour"
		size = 20
		altNames = "TDBXTimestampSequenceGenerator.GetHour"
	strings:
		$1 = { 55 8B EC 8B 45 08 B9 18 00 00 00 99 F7 F9 8B C2 5D C2 08 00 }
	condition:
		$1
}

rule function_26613_0 {
	meta:
		name = "TDBXTimeSequenceGenerator.GetMinute"
		size = 20
		altNames = "TDBXTimeSequenceGenerator.GetSeconds TDBXTimestampSequenceGenerator.GetMinute TDBXTimestampSequenceGenerator.GetSeconds"
	strings:
		$1 = { 55 8B EC 8B 45 08 B9 3C 00 00 00 99 F7 F9 8B C2 5D C2 08 00 }
	condition:
		$1
}

rule function_26615_0 {
	meta:
		name = "TDBXTimeSequenceGenerator.GetString"
		size = 184
		refs = "0013 TDBXTimeSequenceGenerator.GetString 0030 IntToStr 0079 @UStrCatN 0093 @UStrArrayClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 38 8D 55 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 8B 10 FF 52 3C 8D 55 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 8B 10 FF 52 40 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 8B C6 BA 06 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_26625_0 {
	meta:
		name = "TDBXTimestampSequenceGenerator.GetMilliseconds"
		size = 20
	strings:
		$1 = { 55 8B EC 8B 45 08 B9 E8 03 00 00 99 F7 F9 8B C2 5D C2 08 00 }
	condition:
		$1
}

rule function_26626_0 {
	meta:
		name = "TDBXTimestampSequenceGenerator.GetString"
		size = 332
		refs = "0016 TDBXTimestampSequenceGenerator.GetString 0033 IntToStr 00eb @UStrCatN 0105 @UStrArrayClr 010b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 30 8D 55 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 8B 10 FF 52 34 8D 55 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 8B 10 FF 52 2C 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 FF 75 0C FF 75 08 8B C3 8B 10 FF 52 38 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 8B 10 FF 52 3C 8D 55 EC E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 8B 10 FF 52 40 8D 55 E8 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 8B 10 FF 52 44 8D 55 E4 E8 ?? ?? ?? ?? FF 75 E4 8B C6 BA 0D 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_26630_0 {
	meta:
		name = "TDBXWideStringSequenceGenerator.GetString"
		size = 184
		refs = "0011 TDBXWideStringSequenceGenerator.GetString 0025 IntToStr 0035 @UStrCat3 004d @UStrCat 0055 @UStrLen 0067 @UStrAsg 0081 @UStrArrayClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 80 78 1F 00 74 1F EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 53 04 3B 42 10 7C E3 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_26634_0 {
	meta:
		name = "TDbxDataGenerator.AddParameters"
		size = 536
		refs = "0059 TDbxDataGenerator.AddParameters"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 54 24 04 89 04 24 8B 04 24 8B 10 FF 52 20 8B F8 4F 85 FF 0F 8C EF 01 00 00 47 C7 44 24 08 00 00 00 00 8B 54 24 08 8B 04 24 8B 08 FF 51 04 8B 10 FF 52 58 8B F0 8B 44 24 04 8B 10 FF 52 70 8B D8 8B 6E 0C 8B C5 83 F8 20 0F 87 65 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 07 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 08 02 03 04 06 05 06 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D5 8B C3 8B 08 FF 51 14 80 7E 20 00 74 11 BA 20 00 00 00 8B C3 8B 08 FF 51 18 E9 FB 00 00 00 80 7E 21 00 74 11 BA 17 00 00 00 8B C3 8B 08 FF 51 18 E9 E4 00 00 00 BA 16 00 00 00 8B C3 8B 08 FF 51 18 E9 D3 00 00 00 BA 1B 00 00 00 8B C3 8B 08 FF 51 14 E9 C2 00 00 00 BA 1C 00 00 00 8B C3 8B 08 FF 51 14 E9 B1 00 00 00 BA 1D 00 00 00 8B C3 8B 08 FF 51 14 E9 A0 00 00 00 BA 03 00 00 00 8B C3 8B 08 FF 51 14 BA 16 00 00 00 8B C3 8B 08 FF 51 18 E9 83 00 00 00 80 7E 21 00 74 1A BA 03 00 00 00 8B C3 8B 08 FF 51 14 BA 16 00 00 00 8B C3 8B 08 FF 51 18 EB 09 8B D5 8B C3 8B 08 FF 51 14 80 7E 1F 00 74 54 BA 1F 00 00 00 8B C3 8B 08 FF 51 18 EB 46 80 7E 21 00 74 1A BA 03 00 00 00 8B C3 8B 08 FF 51 14 BA 20 00 00 00 8B C3 8B 08 FF 51 18 EB 09 8B D5 8B C3 8B 08 FF 51 14 80 7E 1F 00 74 17 BA 1F 00 00 00 8B C3 8B 08 FF 51 18 EB 09 8B D5 8B C3 8B 08 FF 51 14 8B 46 10 99 52 50 8B C3 8B 10 FF 52 1C 8B C3 8B 10 FF 52 58 52 50 8B C3 8B 10 FF 52 30 8B 56 14 8B C3 8B 08 FF 51 20 8B 56 04 8B C3 8B 08 FF 51 08 8B 44 24 04 8B 10 FF 52 34 8B D3 8B 08 FF 51 10 FF 44 24 08 4F 0F 85 1A FE FF FF 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26635_0 {
	meta:
		name = "TDbxDataGenerator.AddParameters"
		size = 1400
		refs = "001c TDbxDataGenerator.AddParameters 0115 TDBXMetaDataProvider.GetDatabaseProduct 0122 @UStrEqual 0130 IntToStr 0143 TParams.CreateParam 045a @UStrCat3 0464 _Dn_TDBXDataGeneratorException 0469 TDBXDataGeneratorException.Create 046e @RaiseExcept 047d TParams.AddParam 048d TParams.GetItem 04c4 @UStrAsg 04e8 @UStrArrayClr 04ee @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0E 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 20 48 85 C0 0F 8C 9B 04 00 00 40 89 45 F4 33 DB 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 58 8B F0 8B 7E 0C 8B C7 83 F8 24 0F 87 E8 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 80 7E 21 00 74 4F 8B 45 FC 8B 10 FF 52 2C 85 C0 74 43 8B 45 FC 8B 10 FF 52 2C 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 24 6A 01 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 4D EC 8B 45 F8 8B 80 E0 01 00 00 B2 10 E8 ?? ?? ?? ?? E9 26 03 00 00 6A 01 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 4D E8 8B 45 F8 8B 80 E0 01 00 00 B2 01 E8 ?? ?? ?? ?? E9 02 03 00 00 6A 01 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 4D E4 8B 45 F8 8B 80 E0 01 00 00 B2 05 E8 ?? ?? ?? ?? E9 DE 02 00 00 80 7E 21 00 74 4F 8B 45 FC 8B 10 FF 52 2C 85 C0 74 43 8B 45 FC 8B 10 FF 52 2C 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 24 6A 01 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 4D DC 8B 45 F8 8B 80 E0 01 00 00 B2 27 E8 ?? ?? ?? ?? E9 89 02 00 00 6A 01 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 4D D8 8B 45 F8 8B 80 E0 01 00 00 B2 18 E8 ?? ?? ?? ?? E9 65 02 00 00 6A 01 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 4D D4 8B 45 F8 8B 80 E0 01 00 00 B2 2C E8 ?? ?? ?? ?? E9 41 02 00 00 6A 01 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 4D D0 8B 45 F8 8B 80 E0 01 00 00 B2 2B E8 ?? ?? ?? ?? E9 1D 02 00 00 6A 01 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 4D CC 8B 45 F8 8B 80 E0 01 00 00 B2 04 E8 ?? ?? ?? ?? E9 F9 01 00 00 6A 01 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 8B 4D C8 8B 45 F8 8B 80 E0 01 00 00 B2 02 E8 ?? ?? ?? ?? E9 D5 01 00 00 6A 01 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8B 4D C4 8B 45 F8 8B 80 E0 01 00 00 B2 03 E8 ?? ?? ?? ?? E9 B1 01 00 00 6A 01 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 8B 4D C0 8B 45 F8 8B 80 E0 01 00 00 B2 19 E8 ?? ?? ?? ?? E9 8D 01 00 00 6A 01 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 8B 4D BC 8B 45 F8 8B 80 E0 01 00 00 B2 33 E8 ?? ?? ?? ?? E9 69 01 00 00 6A 01 8D 55 B8 8B C3 E8 ?? ?? ?? ?? 8B 4D B8 8B 45 F8 8B 80 E0 01 00 00 B2 06 E8 ?? ?? ?? ?? E9 45 01 00 00 6A 01 8D 55 B4 8B C3 E8 ?? ?? ?? ?? 8B 4D B4 8B 45 F8 8B 80 E0 01 00 00 B2 08 E8 ?? ?? ?? ?? E9 21 01 00 00 6A 01 8D 55 B0 8B C3 E8 ?? ?? ?? ?? 8B 4D B0 8B 45 F8 8B 80 E0 01 00 00 B2 09 E8 ?? ?? ?? ?? E9 FD 00 00 00 6A 01 8D 55 AC 8B C3 E8 ?? ?? ?? ?? 8B 4D AC 8B 45 F8 8B 80 E0 01 00 00 B2 0A E8 ?? ?? ?? ?? E9 D9 00 00 00 6A 01 8D 55 A8 8B C3 E8 ?? ?? ?? ?? 8B 4D A8 8B 45 F8 8B 80 E0 01 00 00 B2 24 E8 ?? ?? ?? ?? E9 B5 00 00 00 6A 01 8D 55 A4 8B C3 E8 ?? ?? ?? ?? 8B 4D A4 8B 45 F8 8B 80 E0 01 00 00 B2 31 E8 ?? ?? ?? ?? E9 91 00 00 00 6A 01 8D 55 A0 8B C3 E8 ?? ?? ?? ?? 8B 4D A0 8B 45 F8 8B 80 E0 01 00 00 B2 0F E8 ?? ?? ?? ?? EB 70 6A 01 8D 55 9C 8B C3 E8 ?? ?? ?? ?? 8B 4D 9C 8B 45 F8 8B 80 E0 01 00 00 B2 0D E8 ?? ?? ?? ?? EB 4F 6A 01 8D 55 98 8B C3 E8 ?? ?? ?? ?? 8B 4D 98 8B 45 F8 8B 80 E0 01 00 00 B2 0C E8 ?? ?? ?? ?? EB 2E 8D 55 90 8B C7 E8 ?? ?? ?? ?? 8B 4D 90 8D 45 94 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 94 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 92 E0 01 00 00 92 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 E0 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B 56 10 89 50 28 8B 45 F8 8B 80 E0 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B 56 14 89 50 2C 8B 45 F8 8B 80 E0 01 00 00 8B D3 E8 ?? ?? ?? ?? 83 C0 34 8B 56 04 E8 ?? ?? ?? ?? 43 FF 4D F4 0F 85 6B FB FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 90 BA 19 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 42 00 6C 00 61 00 63 00 6B 00 66 00 69 00 73 00 68 00 53 00 51 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 20 00 63 00 6F 00 75 00 6C 00 64 00 20 00 6E 00 6F 00 74 00 20 00 62 00 65 00 20 00 63 00 72 00 65 00 61 00 74 00 65 00 64 00 20 00 66 00 6F 00 72 00 20 00 00 00 }
	condition:
		$1
}

rule function_26636_0 {
	meta:
		name = "TDbxDataGenerator.SetInsertParameters"
		size = 1448
		refs = "0032 TDbxDataGenerator.SetInsertParameters 027f StrToBcd 02c2 EncodeDate 02d4 DateTimeToTimeStamp 0319 EncodeTime 0479 @DynArrayLength 04a3 IntToStr 04be @UStrCatN 04cb _Dn_TDBXDataGeneratorException 04d0 TDBXDataGeneratorException.Create 04d5 @RaiseExcept 04fc @UStrArrayClr 0512 TArray<System.Byte> 0517 @DynArrayClear 051d @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 53 56 33 DB 89 9D 7C FF FF FF 89 9D 78 FF FF FF 89 5D 80 89 5D A8 89 5D AC 89 5D FC 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 20 48 85 C0 0F 8C 96 04 00 00 40 89 45 D4 33 F6 8B D6 8B 45 F8 8B 08 FF 51 04 8B D8 8B 45 F4 8B 10 FF 52 34 8B D6 8B 08 FF 51 04 8B 10 FF 52 7C 89 45 EC 8B C3 8B 10 FF 52 54 83 F8 24 0F 87 0A 04 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 0D 11 02 07 08 0B 0C 11 0E 00 06 00 00 11 00 00 09 00 00 00 00 00 0F 00 03 0A 05 04 00 00 00 00 00 00 10 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F0 99 52 50 8D 55 AC 8B C3 8B 08 FF 51 04 8B 55 AC 8B 45 EC 8B 08 FF 91 24 01 00 00 E9 B5 03 00 00 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 08 8B D0 8B 45 EC 8B 08 FF 91 6C 01 00 00 E9 96 03 00 00 8B 45 F0 99 52 50 8D 55 A8 8B C3 8B 08 FF 51 04 8B 55 A8 8B 45 EC 8B 08 FF 91 78 01 00 00 E9 73 03 00 00 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 0C 8B D0 8B 45 EC 8B 08 FF 91 80 01 00 00 E9 54 03 00 00 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 0C 8B D0 8B 45 EC 8B 08 FF 91 84 01 00 00 E9 35 03 00 00 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 10 8B D0 8B 45 EC 8B 08 FF 91 88 01 00 00 E9 16 03 00 00 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 10 8B D0 8B 45 EC 8B 08 FF 91 8C 01 00 00 E9 F7 02 00 00 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 14 8B D0 8B 45 EC 8B 08 FF 91 90 01 00 00 E9 D8 02 00 00 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 18 52 50 8B 45 EC 8B 10 FF 92 94 01 00 00 E9 B9 02 00 00 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 20 83 C4 FC D9 1C 24 9B 8B 45 EC 8B 10 FF 92 98 01 00 00 E9 95 02 00 00 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 1C 83 C4 F8 DD 1C 24 9B 8B 45 EC 8B 10 FF 92 9C 01 00 00 E9 71 02 00 00 8B 45 F0 99 52 50 8D 55 80 8B C3 8B 08 FF 51 28 8B 45 80 8D 55 84 E8 ?? ?? ?? ?? 8D 55 84 8B 45 EC 8B 08 FF 91 64 01 00 00 E9 43 02 00 00 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 34 50 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 30 50 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 2C 5A 59 E8 ?? ?? ?? ?? DD 5D E0 9B FF 75 E4 FF 75 E0 8D 45 D8 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 EC 8B 08 FF 91 70 01 00 00 E9 EE 01 00 00 6A 00 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 40 50 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 3C 50 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 38 5A 59 E8 ?? ?? ?? ?? DD 5D E0 9B FF 75 E4 FF 75 E0 8D 45 D8 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 EC 8B 08 FF 91 74 01 00 00 E9 97 01 00 00 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 2C 66 89 45 C4 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 30 66 89 45 C6 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 34 66 89 45 C8 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 38 66 89 45 CA 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 3C 66 89 45 CC 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 40 66 89 45 CE 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 44 89 45 D0 8D 55 C4 8B 45 EC 8B 08 FF 91 5C 01 00 00 E9 0E 01 00 00 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 2C 66 89 45 B0 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 30 66 89 45 B2 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 34 66 89 45 B4 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 38 66 89 45 B6 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 3C 66 89 45 B8 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 40 66 89 45 BA 8B 45 F0 99 52 50 8B C3 8B 10 FF 52 44 89 45 BC 66 C7 45 C0 00 00 66 C7 45 C2 00 00 8D 55 B0 8B 45 EC 8B 08 FF 91 60 01 00 00 EB 7C 8B 45 F0 99 52 50 8D 55 FC 8B C3 8B 08 FF 51 24 6A 00 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 99 52 50 8B 55 FC 8B 45 EC 8B 08 FF 91 A4 01 00 00 EB 49 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 54 8D 95 78 FF FF FF E8 ?? ?? ?? ?? FF B5 78 FF FF FF 68 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 8D 7C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 FF 4D D4 0F 85 70 FB FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 2E 00 20 00 20 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 20 00 77 00 69 00 6C 00 6C 00 20 00 6E 00 6F 00 74 00 20 00 62 00 65 00 20 00 73 00 65 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_26637_0 {
	meta:
		name = "TDbxDataGenerator.SetInsertParameters"
		size = 66
		refs = "0026 TParams.GetItem 0034 TDbxDataGenerator.SetParameter"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F8 8B C7 8B 10 FF 52 20 8B F0 4E 85 F6 7C 22 46 33 DB 8B 85 E0 01 00 00 8B D3 E8 ?? ?? ?? ?? 50 8B 4C 24 04 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 75 E1 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26638_0 {
	meta:
		name = "TDbxDataGenerator.ValidateAnsiString"
		size = 256
		refs = "0015 @UStrAddRef 0025 TDbxDataGenerator.ValidateAnsiString 0036 @UStrEqual 0062 Format 006c _Dn_TDBXDataGeneratorException 0071 TDBXDataGeneratorException.Create 0076 @RaiseExcept 0090 @UStrArrayClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 33 C9 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 74 3E 8D 45 F4 50 8B 45 FC 89 45 E4 C6 45 E8 11 8B 45 F8 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 B0 04 02 00 FF FF FF FF 28 00 00 00 41 00 6E 00 73 00 69 00 53 00 74 00 72 00 69 00 6E 00 67 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 3A 00 20 00 25 00 73 00 20 00 3C 00 3E 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_26639_0 {
	meta:
		name = "TDbxDataGenerator.ValidateWideString"
		size = 256
		refs = "0015 @UStrAddRef 0025 TDbxDataGenerator.ValidateWideString 0036 @UStrEqual 0062 Format 006c _Dn_TDBXDataGeneratorException 0071 TDBXDataGeneratorException.Create 0076 @RaiseExcept 0090 @UStrArrayClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 33 C9 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 74 3E 8D 45 F4 50 8B 45 FC 89 45 E4 C6 45 E8 11 8B 45 F8 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 B0 04 02 00 FF FF FF FF 28 00 00 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 3A 00 20 00 25 00 73 00 20 00 3C 00 3E 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_26640_0 {
	meta:
		name = "TDbxDataGenerator.ValidateBcd"
		size = 304
		refs = "0033 TDbxDataGenerator.ValidateBcd 0044 BcdCompare 0057 BcdToStr 0088 Format 0092 _Dn_TDBXDataGeneratorException 0097 TDBXDataGeneratorException.Create 009c @RaiseExcept 00b6 @UStrArrayClr 00be @UStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 56 57 33 C9 89 4D B8 89 4D A4 89 4D A0 8B F2 8D 7D BC B9 08 00 00 00 F3 A5 66 A5 8B F0 8D 7D DE B9 08 00 00 00 F3 A5 66 A5 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 BC 8D 45 DE E8 ?? ?? ?? ?? 85 C0 74 54 8D 45 B8 50 8D 55 A4 8D 45 DE E8 ?? ?? ?? ?? 8B 45 A4 89 45 A8 C6 45 AC 11 8D 55 A0 8D 45 BC E8 ?? ?? ?? ?? 8B 45 A0 89 45 B0 C6 45 B4 11 8D 55 A8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 8B E5 5D C3 B0 04 02 00 FF FF FF FF 28 00 00 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 3A 00 20 00 25 00 73 00 20 00 3C 00 3E 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_26641_0 {
	meta:
		name = "TDbxDataGenerator.ValidateBoolean"
		size = 268
		refs = "001b TDbxDataGenerator.ValidateBoolean 0036 BoolToStr 006a Format 0074 _Dn_TDBXDataGeneratorException 0079 TDBXDataGeneratorException.Create 007e @RaiseExcept 0098 @UStrArrayClr 00a0 @UStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 C9 89 4D F8 89 4D E4 89 4D E0 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 5D FF 74 58 8D 45 F8 50 8D 4D E4 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 8D 4D E0 33 D2 0F B6 45 FF E8 ?? ?? ?? ?? 8B 45 E0 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 3A 00 20 00 25 00 73 00 20 00 3C 00 3E 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_26642_0 {
	meta:
		name = "TDbxDataGenerator.BytesEquals"
		size = 208
		refs = "001b TDbxDataGenerator.BytesEquals 004a IntToStr 006e @UStrCatN 0076 Output 007b @Write0UString 0080 @WriteLn 0085 @_IOTest 00a9 @UStrArrayClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 48 85 C0 7C 62 40 33 DB 0F B6 14 1E 3A 14 1F 74 52 C6 45 FB 00 68 ?? ?? ?? ?? 8D 55 F0 0F B6 04 1E E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 55 EC 0F B6 04 1F E8 ?? ?? ?? ?? FF 75 EC 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 43 48 75 A1 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_26643_0 {
	meta:
		name = "TDbxDataGenerator.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TObject.Create 0020 _Dn_TParam 0025 TParam.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36220_0 {
	meta:
		name = "TIdMessageItem.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 0020 _Dn_TIdMessage 0025 TIdBaseComponent.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_26645_0 {
	meta:
		name = "TDbxDataGenerator.GetIsFractionsSupported"
		size = 500
		refs = "0012 TDbxDataGenerator.GetIsFractionsSupported 0036 TDBXMetaDataProvider.GetDatabaseProduct 0043 @UStrEqual 0103 @UStrArrayClr 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 2C 85 C0 0F 84 C0 00 00 00 8B C3 8B 10 FF 52 2C 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 96 00 00 00 8B C3 8B 10 FF 52 2C 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 78 8B C3 8B 10 FF 52 2C 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 5A 8B C3 8B 10 FF 52 2C 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 3C 8B C3 8B 10 FF 52 2C 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B C3 8B 10 FF 52 2C 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 33 DB EB 06 B3 01 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 20 00 53 00 51 00 4C 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 74 00 65 00 72 00 42 00 61 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 69 00 72 00 65 00 62 00 69 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 79 00 53 00 51 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 72 00 61 00 63 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 53 00 79 00 62 00 61 00 73 00 65 00 20 00 53 00 51 00 4C 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_26646_0 {
	meta:
		name = "TDbxDataGenerator.PopulateDataset"
		size = 254
		refs = "0022 TDbxDataGenerator.PopulateDataset 0031 _Dn_TParam 0036 TParam.Create 005e TDataSet.Append 0081 TDbxDataGenerator.SetParameter 008c TParam.GetAsVariant 009a TFields.GetField 00ce TObject.Free 00d4 @HandleFinally 00eb @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D EC 8B D9 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 4B 85 DB 7C 6D 43 89 5D F0 C7 45 F8 00 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 20 8B F0 4E 85 F6 7C 3A 46 33 DB 8B 45 F4 50 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 47 38 8B D3 E8 ?? ?? ?? ?? 5A 8B 08 FF 91 00 01 00 00 43 4E 75 C9 8B C7 8B 10 FF 92 B0 02 00 00 FF 45 F8 FF 4D F0 75 9E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26647_0 {
	meta:
		name = "TDbxDataGenerator.PopulateParams"
		size = 55
		refs = "001e TParams.GetItem 002a TDbxDataGenerator.SetParameter"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 8B 10 FF 52 20 8B F0 4E 85 F6 7C 1C 46 33 DB 8B D3 8B C5 E8 ?? ?? ?? ?? 50 33 C9 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 75 E7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26648_0 {
	meta:
		name = "TDbxDataGenerator.ReadBytesFromStream"
		size = 208
		refs = "0021 TArray<System.Byte> 0026 @DynArraySetLength 0046 TDbxDataGenerator.ReadBytesFromStream 00a3 TObject.Free 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 55 FC BE 00 04 00 00 8B FE 56 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 F4 33 D2 8B 45 FC 8B 08 FF 91 B4 00 00 00 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 75 3E 8B 45 F8 8B 00 8B 55 F4 8D 14 10 8B CE 8B 45 F0 8B 18 FF 53 0C 8B F0 01 75 F4 3B FE 75 1C 8B 45 F4 03 C6 50 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 3B F7 74 C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 50 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26649_0 {
	meta:
		name = "TDbxDataGenerator.SetParameter"
		size = 1756
		refs = "001e TDbxDataGenerator.SetParameter 00ff TDBXMetaDataProvider.GetDatabaseProduct 010c @UStrEqual 0129 @VarFromUStr 0134 TParam.SetAsVariant 0154 TParam.SetAsString 0170 TParam.SetAsBoolean 0190 TParam.SetAsWideString 01ad TParam.SetAsByte 01ca TParam.SetAsShortInt 01e7 TParam.SetAsWord 0204 TParam.SetAsSmallInt 0220 TParam.SetAsInteger 023c TParam.SetAsLargeInt 025d TParam.SetAsSingle 027e TParam.SetAsFloat 029e StrToBcd 02a9 TParam.SetAsFMTBCD 02de EncodeDate 02f0 TParam.SetAsDate 0327 EncodeTime 0339 TParam.SetAsTime 03bf TParam.SetAsSQLTimeStamp 0451 TParam.SetAsSQLTimeStampOffset 047b TArray<System.Byte> 0480 @VarFromDynArray 052a _Dn_TBytesStream 052f TBytesStream.Create 0539 TParam.SetAsStream 0552 IntToStr 056d @UStrCatN 057a _Dn_TDBXDataGeneratorException 057f TDBXDataGeneratorException.Create 0584 @RaiseExcept 05a1 @UStrArrayClr 05b7 @FinalizeArray 05c2 @VarClr 05d3 @DynArrayClear 0602 @UStrClr 0625 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 18 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 08 FF 51 04 8B D8 8B C3 8B 10 FF 52 54 83 F8 24 0F 87 FE 04 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 8B 10 FF 52 58 80 78 21 00 74 54 8B C6 8B 10 FF 52 2C 85 C0 74 49 8B C6 8B 10 FF 52 2C 8D 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 2B 8B 45 FC 99 52 50 8D 55 B4 8B C3 8B 08 FF 51 04 8B 55 B4 8D 45 B8 E8 ?? ?? ?? ?? 8D 55 B8 8B 45 08 E8 ?? ?? ?? ?? E9 4B 04 00 00 8B 45 FC 99 52 50 8D 55 B0 8B C3 8B 08 FF 51 04 8B 55 B0 8B 45 08 E8 ?? ?? ?? ?? E9 2B 04 00 00 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 08 8B D0 8B 45 08 E8 ?? ?? ?? ?? E9 0F 04 00 00 8B 45 FC 99 52 50 8D 55 AC 8B C3 8B 08 FF 51 04 8B 55 AC 8B 45 08 E8 ?? ?? ?? ?? E9 EF 03 00 00 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 0C 0F B6 D0 8B 45 08 E8 ?? ?? ?? ?? E9 D2 03 00 00 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 0C 0F B6 D0 8B 45 08 E8 ?? ?? ?? ?? E9 B5 03 00 00 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 10 0F BF D0 8B 45 08 E8 ?? ?? ?? ?? E9 98 03 00 00 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 10 0F BF D0 8B 45 08 E8 ?? ?? ?? ?? E9 7B 03 00 00 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 14 8B D0 8B 45 08 E8 ?? ?? ?? ?? E9 5F 03 00 00 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 18 52 50 8B 45 08 E8 ?? ?? ?? ?? E9 43 03 00 00 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 20 83 C4 FC D9 1C 24 9B 8B 45 08 E8 ?? ?? ?? ?? E9 22 03 00 00 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 1C 83 C4 F8 DD 1C 24 9B 8B 45 08 E8 ?? ?? ?? ?? E9 01 03 00 00 8B 45 FC 99 52 50 8D 55 84 8B C3 8B 08 FF 51 28 8B 45 84 8D 55 88 E8 ?? ?? ?? ?? 8D 55 88 8B 45 08 E8 ?? ?? ?? ?? E9 D6 02 00 00 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 34 50 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 30 50 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 2C 5A 59 E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 8B 45 08 E8 ?? ?? ?? ?? E9 8F 02 00 00 6A 00 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 40 50 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 3C 50 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 38 5A 59 E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 8B 45 08 E8 ?? ?? ?? ?? E9 46 02 00 00 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 2C 66 89 45 E0 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 30 66 89 45 E2 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 34 66 89 45 E4 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 38 66 89 45 E6 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 3C 66 89 45 E8 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 40 66 89 45 EA 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 44 89 45 EC 8D 55 E0 8B 45 08 E8 ?? ?? ?? ?? E9 C0 01 00 00 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 2C 66 89 45 CC 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 30 66 89 45 CE 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 34 66 89 45 D0 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 38 66 89 45 D2 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 3C 66 89 45 D4 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 40 66 89 45 D6 8B 45 FC 99 52 50 8B C3 8B 10 FF 52 44 89 45 D8 66 C7 45 DC 00 00 66 C7 45 DE 00 00 8D 55 CC 8B 45 08 E8 ?? ?? ?? ?? E9 2E 01 00 00 8B 45 FC 99 52 50 8D 95 70 FF FF FF 8B C3 8B 08 FF 51 24 8B 95 70 FF FF FF 8D 85 74 FF FF FF 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 74 FF FF FF 8B 45 08 E8 ?? ?? ?? ?? E9 F1 00 00 00 8B 45 FC 99 52 50 8D 95 5C FF FF FF 8B C3 8B 08 FF 51 24 8B 95 5C FF FF FF 8D 85 60 FF FF FF 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 60 FF FF FF 8B 45 08 E8 ?? ?? ?? ?? E9 B4 00 00 00 8B 45 FC 99 52 50 8D 95 48 FF FF FF 8B C3 8B 08 FF 51 24 8B 95 48 FF FF FF 8D 85 4C FF FF FF 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 4C FF FF FF 8B 45 08 E8 ?? ?? ?? ?? EB 7A 8B 45 FC 99 52 50 8D 95 44 FF FF FF 8B C3 8B 08 FF 51 24 8B 8D 44 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 08 E8 ?? ?? ?? ?? EB 49 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 54 8D 95 3C FF FF FF E8 ?? ?? ?? ?? FF B5 3C FF FF FF 68 ?? ?? ?? ?? 8D 85 40 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 8D 40 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 3C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 44 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 8D 85 5C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 AC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 67 FF FF FF 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 42 00 6C 00 61 00 63 00 6B 00 66 00 69 00 73 00 68 00 53 00 51 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 2E 00 20 00 20 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 20 00 77 00 69 00 6C 00 6C 00 20 00 6E 00 6F 00 74 00 20 00 62 00 65 00 20 00 73 00 65 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_26650_0 {
	meta:
		name = "TDbxDataGenerator.ValidateBytes"
		size = 228
		refs = "0011 @DynArrayAddRef 0021 TDbxDataGenerator.ValidateBytes 002f @DynArrayLength 0052 TDbxDataGenerator.BytesEquals 0062 _Dn_TDBXDataGeneratorException 0067 TDBXDataGeneratorException.Create 006c @RaiseExcept 0082 TArray<System.Byte> 008c @FinalizeArray 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 75 19 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 54 00 42 00 79 00 74 00 65 00 73 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_26651_0 {
	meta:
		name = "TDbxDataGenerator.ValidateDate"
		size = 256
		refs = "001b TDbxDataGenerator.ValidateDate 0033 IntToStr 0063 Format 006d _Dn_TDBXDataGeneratorException 0072 TDBXDataGeneratorException.Create 0077 @RaiseExcept 0091 @UStrArrayClr 0099 @UStrClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D FC 89 4D E8 89 4D E4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F3 74 52 8D 45 FC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 22 00 00 00 44 00 61 00 74 00 65 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 3A 00 20 00 25 00 73 00 20 00 3C 00 3E 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_26652_0 {
	meta:
		name = "TDbxDataGenerator.ValidateSingle"
		size = 304
		refs = "0015 TDbxDataGenerator.ValidateSingle 0041 CurrencyString 0046 FloatToStr 008f Format 0099 _Dn_TDBXDataGeneratorException 009e TDBXDataGeneratorException.Create 00a3 @RaiseExcept 00b8 @UStrClr 00c5 @UStrArrayClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 33 C0 89 45 CC 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 D9 45 0C D8 5D 08 9B DF E0 9E 74 7C D9 45 0C DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? D9 45 08 DB 7D D0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC 50 8B 45 FC 89 45 BC C6 45 C0 11 8B 45 F8 89 45 C4 C6 45 C8 11 8D 55 BC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 53 00 69 00 6E 00 67 00 6C 00 65 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 3A 00 20 00 25 00 73 00 20 00 3C 00 3E 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_26653_0 {
	meta:
		name = "TDbxDataGenerator.ValidateDouble"
		size = 304
		refs = "0015 TDbxDataGenerator.ValidateDouble 0041 CurrencyString 0046 FloatToStr 008f Format 0099 _Dn_TDBXDataGeneratorException 009e TDBXDataGeneratorException.Create 00a3 @RaiseExcept 00b8 @UStrClr 00c5 @UStrArrayClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 33 C0 89 45 CC 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 10 DC 5D 08 9B DF E0 9E 74 7C DD 45 10 DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 45 08 DB 7D D0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC 50 8B 45 FC 89 45 BC C6 45 C0 11 8B 45 F8 89 45 C4 C6 45 C8 11 8D 55 BC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 44 00 6F 00 75 00 62 00 6C 00 65 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 3A 00 20 00 25 00 73 00 20 00 3C 00 3E 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_26654_0 {
	meta:
		name = "TDbxDataGenerator.ValidateInt64"
		size = 272
		refs = "0015 TDbxDataGenerator.ValidateInt64 003d IntToStr 0071 Format 007b _Dn_TDBXDataGeneratorException 0080 TDBXDataGeneratorException.Create 0085 @RaiseExcept 009f @UStrArrayClr 00a7 @UStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 33 C0 89 45 FC 89 45 E8 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 8B 55 14 3B 55 0C 75 03 3B 45 08 74 5A 8D 45 FC 50 FF 75 14 FF 75 10 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 FF 75 0C FF 75 08 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 49 00 6E 00 74 00 36 00 34 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 3A 00 20 00 25 00 73 00 20 00 3C 00 3E 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_26655_0 {
	meta:
		name = "TDbxDataGenerator.ValidateTime"
		size = 256
		refs = "001b TDbxDataGenerator.ValidateTime 0033 IntToStr 0063 Format 006d _Dn_TDBXDataGeneratorException 0072 TDBXDataGeneratorException.Create 0077 @RaiseExcept 0091 @UStrArrayClr 0099 @UStrClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D FC 89 4D E8 89 4D E4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F3 74 52 8D 45 FC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 22 00 00 00 54 00 69 00 6D 00 65 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 3A 00 20 00 25 00 73 00 20 00 3C 00 3E 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_26656_0 {
	meta:
		name = "TDbxDataGenerator.ValidateDateTime"
		size = 308
		refs = "0015 TDbxDataGenerator.ValidateDateTime 0041 CurrencyString 0046 DateTimeToStr 008f Format 0099 _Dn_TDBXDataGeneratorException 009e TDBXDataGeneratorException.Create 00a3 @RaiseExcept 00b8 @UStrClr 00c5 @UStrArrayClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 33 C0 89 45 E4 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 10 DC 5D 08 9B DF E0 9E 74 7C 8B 45 10 89 45 F0 8B 45 14 89 45 F4 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 89 45 E8 8B 45 0C 89 45 EC FF 75 EC FF 75 E8 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 FC 89 45 D4 C6 45 D8 11 8B 45 F8 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 3A 00 20 00 25 00 73 00 20 00 3C 00 3E 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_26657_0 {
	meta:
		name = "TDbxDataGenerator.ValidateTimestamp"
		size = 296
		refs = "0029 TDbxDataGenerator.ValidateTimestamp 003a CompareTimeStamp 004f SQLTimeStampToStr 0082 Format 008c _Dn_TDBXDataGeneratorException 0091 TDBXDataGeneratorException.Create 0096 @RaiseExcept 00b0 @UStrArrayClr 00b8 @UStrClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 56 57 33 C9 89 4D DC 89 4D C8 89 4D C4 8B F2 8D 7D E0 A5 A5 A5 A5 8B F0 8D 7D F0 A5 A5 A5 A5 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 85 C0 74 58 8D 45 DC 50 8D 4D C8 8D 55 F0 33 C0 E8 ?? ?? ?? ?? 8B 45 C8 89 45 CC C6 45 D0 11 8D 4D C4 8D 55 E0 33 C0 E8 ?? ?? ?? ?? 8B 45 C4 89 45 D4 C6 45 D8 11 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 54 00 69 00 6D 00 65 00 73 00 74 00 61 00 6D 00 70 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 3A 00 20 00 25 00 73 00 20 00 3C 00 3E 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_26658_0 {
	meta:
		name = "TDbxDataGenerator.ValidateTimestampOffset"
		size = 296
		refs = "002b TDbxDataGenerator.ValidateTimestampOffset 003c CompareTimeStampOffset 0051 SQLTimeStampOffsetToStr 0084 Format 008e _Dn_TDBXDataGeneratorException 0093 TDBXDataGeneratorException.Create 0098 @RaiseExcept 00b2 @UStrArrayClr 00ba @UStrClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 56 57 33 C9 89 4D D4 89 4D C0 89 4D BC 8B F2 8D 7D D8 A5 A5 A5 A5 A5 8B F0 8D 7D EC A5 A5 A5 A5 A5 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8D 45 EC E8 ?? ?? ?? ?? 85 C0 74 58 8D 45 D4 50 8D 4D C0 8D 55 EC 33 C0 E8 ?? ?? ?? ?? 8B 45 C0 89 45 C4 C6 45 C8 11 8D 4D BC 8D 55 D8 33 C0 E8 ?? ?? ?? ?? 8B 45 BC 89 45 CC C6 45 D0 11 8D 55 C4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 8B E5 5D C3 B0 04 02 00 FF FF FF FF 27 00 00 00 54 00 69 00 6D 00 65 00 73 00 74 00 61 00 6D 00 70 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 3A 00 20 00 25 00 73 00 20 00 3C 00 3E 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_26659_0 {
	meta:
		name = "TDbxDataGenerator.ValidateParameters"
		size = 1712
		refs = "0024 TDbxDataGenerator.ValidateParameters 0119 @UStrFromLStr 0122 TDbxDataGenerator.ValidateAnsiString 0143 TDbxDataGenerator.ValidateBoolean 0170 TDbxDataGenerator.ValidateWideString 0231 TDbxDataGenerator.ValidateInt64 0261 TDbxDataGenerator.ValidateSingle 0291 TDbxDataGenerator.ValidateDouble 02ba StrToBcd 02de TDbxDataGenerator.ValidateBcd 0313 EncodeDate 0328 DateTimeToTimeStamp 0338 TDbxDataGenerator.ValidateDate 037b EncodeTime 0449 TDbxDataGenerator.ValidateTimestamp 04ef TDbxDataGenerator.ValidateTimestampOffset 05b7 TArray<System.Byte> 05bc @DynArraySetLength 05cf @DynArrayLength 0601 TDbxDataGenerator.ValidateBytes 0629 @DynArrayClear 0634 @LStrClr 0644 @UStrArrayClr 066a @UStrClr 06a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 1E 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 20 48 85 C0 0F 8C D0 05 00 00 40 89 45 D4 33 FF 8B D7 8B 45 F8 8B 08 FF 51 04 8B F0 8B 45 F4 8B 10 FF 52 34 8B D7 8B 08 FF 51 04 8B 10 FF 52 7C 89 45 EC 8B C6 8B 10 FF 52 54 83 F8 24 0F 87 8D 05 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 0D 11 02 07 08 0B 0C 00 0E 00 06 00 00 00 00 00 09 00 00 00 00 00 0F 00 03 0A 05 04 00 00 00 00 00 00 10 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F0 99 52 50 8D 55 AC 8B C6 8B 08 FF 51 04 8B 45 AC 50 8D 55 A4 8B 45 EC 8B 08 FF 51 60 8B 55 A4 8D 45 A8 E8 ?? ?? ?? ?? 8B 45 A8 5A E8 ?? ?? ?? ?? E9 DA 04 00 00 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 08 50 8B 45 EC 8B 10 FF 52 68 5A E8 ?? ?? ?? ?? E9 B9 04 00 00 8B 45 F0 99 52 50 8D 55 A0 8B C6 8B 08 FF 51 04 8B 45 A0 50 8D 55 9C 8B 45 EC 8B 08 FF 51 70 8B 45 9C 5A E8 ?? ?? ?? ?? E9 8C 04 00 00 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 0C 8B D0 8B 45 EC 8B 08 FF 91 80 01 00 00 E9 6D 04 00 00 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 0C 8B D0 8B 45 EC 8B 08 FF 91 84 01 00 00 E9 4E 04 00 00 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 10 8B D0 8B 45 EC 8B 08 FF 91 88 01 00 00 E9 2F 04 00 00 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 10 8B D0 8B 45 EC 8B 08 FF 91 8C 01 00 00 E9 10 04 00 00 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 14 8B D0 8B 45 EC 8B 08 FF 91 90 01 00 00 E9 F1 03 00 00 8B 45 EC 8B 10 FF 92 8C 00 00 00 52 50 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 18 52 50 E8 ?? ?? ?? ?? E9 CB 03 00 00 8B 45 EC 8B 10 FF 92 90 00 00 00 83 C4 FC D9 1C 24 9B 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 20 83 C4 FC D9 1C 24 9B E8 ?? ?? ?? ?? E9 9B 03 00 00 8B 45 EC 8B 10 FF 92 94 00 00 00 83 C4 F8 DD 1C 24 9B 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 1C 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? E9 6B 03 00 00 8B 45 F0 99 52 50 8D 95 74 FF FF FF 8B C6 8B 08 FF 51 28 8B 85 74 FF FF FF 8D 95 78 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 50 8D 95 50 FF FF FF 8B 45 EC 8B 08 FF 91 A4 00 00 00 8D 85 50 FF FF FF 5A E8 ?? ?? ?? ?? E9 1E 03 00 00 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 34 50 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 30 50 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 2C 5A 59 E8 ?? ?? ?? ?? DD 5D E0 9B FF 75 E4 FF 75 E0 8D 85 48 FF FF FF E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 64 8B 55 DC E8 ?? ?? ?? ?? E9 C4 02 00 00 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 44 50 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 40 50 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 3C 50 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 38 5A 59 E8 ?? ?? ?? ?? DD 5D E0 9B FF 75 E4 FF 75 E0 8D 85 48 FF FF FF E8 ?? ?? ?? ?? 8B 5D D8 8B D3 8B 45 EC 8B 08 FF 91 74 01 00 00 8B 45 EC 8B 10 FF 52 6C 8B D3 E8 ?? ?? ?? ?? E9 4D 02 00 00 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 2C 66 89 45 C4 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 30 66 89 45 C6 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 34 66 89 45 C8 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 38 66 89 45 CA 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 3C 66 89 45 CC 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 40 66 89 45 CE 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 44 89 45 D0 8D 95 38 FF FF FF 8B 45 EC 8B 08 FF 91 9C 00 00 00 8D 85 38 FF FF FF 8D 55 C4 E8 ?? ?? ?? ?? E9 B3 01 00 00 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 2C 66 89 45 B0 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 30 66 89 45 B2 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 34 66 89 45 B4 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 38 66 89 45 B6 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 3C 66 89 45 B8 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 40 66 89 45 BA 8B 45 F0 99 52 50 8B C6 8B 10 FF 52 44 89 45 BC 66 C7 45 C0 00 00 66 C7 45 C2 00 00 8D 95 24 FF FF FF 8B 45 EC 8B 08 FF 91 A0 00 00 00 8D 85 24 FF FF FF 8D 55 B0 E8 ?? ?? ?? ?? E9 0D 01 00 00 8B 45 EC 8B 40 04 8B 10 FF 52 54 83 F8 16 75 47 8B 45 F0 99 52 50 8D 95 20 FF FF FF 8B C6 8B 08 FF 51 04 8B 85 20 FF FF FF 50 8D 95 18 FF FF FF 8B 45 EC 8B 08 FF 51 60 8B 95 18 FF FF FF 8D 85 1C FF FF FF E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 5A E8 ?? ?? ?? ?? EB 55 8B 45 EC 8B 40 04 8B 10 FF 52 54 83 F8 20 75 45 8B 45 F0 99 52 50 8D 95 14 FF FF FF 8B C6 8B 08 FF 51 04 8B 85 14 FF FF FF 50 8D 95 0C FF FF FF 8B 45 EC 8B 08 FF 51 60 8B 95 0C FF FF FF 8D 85 10 FF FF FF E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 5A E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 5C 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 99 52 50 8B 55 FC 8B 45 EC 8B 08 FF 91 98 00 00 00 8B 45 F0 99 52 50 8D 95 08 FF FF FF 8B C6 8B 08 FF 51 24 8B 95 08 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 47 FF 4D D4 0F 85 36 FA FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 08 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 8D 85 10 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 18 FF FF FF E8 ?? ?? ?? ?? 8D 85 1C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 45 9C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 73 FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26660_0 {
	meta:
		name = "TDbxDataGenerator.ValidateParams"
		size = 52
		refs = "001b TParams.GetItem 0027 TDbxDataGenerator.ValidateParam"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 45 08 8B 70 08 4E 85 F6 7C 1C 46 33 DB 8B D3 8B C5 E8 ?? ?? ?? ?? 50 33 C9 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 75 E7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26661_0 {
	meta:
		name = "TDbxDataGenerator.ValidateParam"
		size = 3096
		refs = "0024 TDbxDataGenerator.ValidateParam 0031 TParam.GetDataType 00f9 TDBXMetaDataProvider.GetDatabaseProduct 0106 @UStrEqual 0149 Trim 0157 TParam.GetAsString 0160 TDbxDataGenerator.ValidateAnsiString 021e TParam.GetAsBoolean 0224 TDbxDataGenerator.ValidateBoolean 02ae TDbxDataGenerator.ValidateWideString 0374 TParam.GetAsInteger 0388 _Dn_TDBXDataGeneratorException 038d TDBXDataGeneratorException.Create 0392 @RaiseExcept 04c4 TDbxDataGenerator.ValidateInt64 04d0 TParam.GetAsSingle 04f8 TDbxDataGenerator.ValidateSingle 0504 TParam.GetAsFloat 052c TDbxDataGenerator.ValidateDouble 0557 IntegerToBcd 056b TParam.GetAsFMTBCD 0577 TDbxDataGenerator.ValidateBcd 05a8 StrToBcd 0615 EncodeDate 0627 DateTimeToTimeStamp 0635 TParam.GetAsDateTime 0653 TDbxDataGenerator.ValidateDate 06a2 EncodeTime 06e0 TDbxDataGenerator.ValidateTime 079a TDbxDataGenerator.GetIsFractionsSupported 07b7 DateTimeToSQLTimeStamp 07c5 TDbxDataGenerator.ValidateTimestamp 07dd SQLTimeStampToStr 08e9 DateTimeToSQLTimeStampOffset 08f7 TDbxDataGenerator.ValidateTimestampOffset 090f SQLTimeStampOffsetToStr 0982 TParam.GetAsBytes 098e TDbxDataGenerator.ValidateBytes 09bf TArray<System.Byte> 09c9 @FinalizeArray 09d9 @UStrArrayClr 09f4 @UStrClr 0a0a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 23 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F8 89 55 FC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 33 0F 87 53 09 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 09 0A 08 03 0D 00 0E 0F 10 00 16 16 00 13 02 00 00 00 00 00 00 00 04 0B 00 00 00 00 00 14 00 00 00 00 11 0E 00 05 00 00 00 07 06 00 00 00 15 12 00 0C ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 8B 10 FF 52 2C 85 C0 0F 84 AF 00 00 00 8B C3 8B 10 FF 52 2C 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B C3 8B 10 FF 52 2C 8D 55 CC E8 ?? ?? ?? ?? 8B 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3F 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8D 55 C4 8B 08 FF 51 04 8B 45 C4 8D 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 50 8D 55 C0 8B C6 E8 ?? ?? ?? ?? 8B 45 C0 5A E8 ?? ?? ?? ?? E9 41 08 00 00 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8D 55 BC 8B 08 FF 51 04 8B 45 BC 50 8D 55 B8 8B C6 E8 ?? ?? ?? ?? 8B 45 B8 5A E8 ?? ?? ?? ?? E9 0D 08 00 00 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8D 55 B4 8B 08 FF 51 04 8B 45 B4 50 8D 55 B0 8B C6 E8 ?? ?? ?? ?? 8B 45 B0 5A E8 ?? ?? ?? ?? E9 D9 07 00 00 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8D 55 AC 8B 08 FF 51 04 8B 45 AC 50 8D 55 A8 8B C6 E8 ?? ?? ?? ?? 8B 45 A8 5A E8 ?? ?? ?? ?? E9 A5 07 00 00 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 08 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? E9 7D 07 00 00 8B C3 8B 10 FF 52 2C 85 C0 0F 84 AF 00 00 00 8B C3 8B 10 FF 52 2C 8D 55 A4 E8 ?? ?? ?? ?? 8B 45 A4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B C3 8B 10 FF 52 2C 8D 55 A0 E8 ?? ?? ?? ?? 8B 45 A0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3F 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8D 55 98 8B 08 FF 51 04 8B 45 98 8D 55 9C E8 ?? ?? ?? ?? 8B 45 9C 50 8D 55 94 8B C6 E8 ?? ?? ?? ?? 8B 45 94 5A E8 ?? ?? ?? ?? E9 F3 06 00 00 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8D 55 90 8B 08 FF 51 04 8B 45 90 50 8D 55 8C 8B C6 E8 ?? ?? ?? ?? 8B 45 8C 5A E8 ?? ?? ?? ?? E9 BF 06 00 00 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8D 55 88 8B 08 FF 51 04 8B 45 88 50 8D 55 84 8B C6 E8 ?? ?? ?? ?? 8B 45 84 5A E8 ?? ?? ?? ?? E9 8B 06 00 00 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8D 55 80 8B 08 FF 51 04 8B 45 80 50 8D 95 7C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 5A E8 ?? ?? ?? ?? E9 51 06 00 00 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 0C 0F B6 D8 8B C6 E8 ?? ?? ?? ?? 3B D8 0F 84 2A 06 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0F 06 00 00 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 0C 0F B6 D8 8B C6 E8 ?? ?? ?? ?? 3B D8 0F 84 E8 05 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CD 05 00 00 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 10 0F BF D8 8B C6 E8 ?? ?? ?? ?? 3B D8 0F 84 A6 05 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8B 05 00 00 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 10 0F BF D8 8B C6 E8 ?? ?? ?? ?? 3B D8 0F 84 64 05 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 49 05 00 00 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 14 8B D8 8B C6 E8 ?? ?? ?? ?? 3B D8 0F 84 23 05 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 08 05 00 00 8B C6 E8 ?? ?? ?? ?? 99 52 50 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 18 52 50 E8 ?? ?? ?? ?? E9 DD 04 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 20 83 C4 FC D9 1C 24 9B E8 ?? ?? ?? ?? E9 A9 04 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 1C 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? E9 75 04 00 00 83 7E 3C 00 75 45 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 14 8D 95 58 FF FF FF E8 ?? ?? ?? ?? 8D 85 58 FF FF FF 50 8D 95 34 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8D 85 34 FF FF FF 5A E8 ?? ?? ?? ?? E9 2A 04 00 00 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8D 95 30 FF FF FF 8B 08 FF 51 28 8B 85 30 FF FF FF 8D 95 58 FF FF FF E8 ?? ?? ?? ?? 8D 85 58 FF FF FF 50 8D 95 34 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8D 85 34 FF FF FF 5A E8 ?? ?? ?? ?? E9 D9 03 00 00 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 34 50 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 30 50 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 2C 5A 59 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 85 28 FF FF FF E8 ?? ?? ?? ?? 8B 85 2C FF FF FF 50 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 8B 85 24 FF FF FF 5A E8 ?? ?? ?? ?? E9 4E 03 00 00 6A 00 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 40 50 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 3C 50 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 38 5A 59 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 85 28 FF FF FF E8 ?? ?? ?? ?? 8B 85 28 FF FF FF 50 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 5A E8 ?? ?? ?? ?? E9 C1 02 00 00 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 2C 66 89 45 E8 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 30 66 89 45 EA 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 34 66 89 45 EC 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 38 66 89 45 EE 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 3C 66 89 45 F0 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 40 66 89 45 F2 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 44 89 45 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2C 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 85 10 FF FF FF E8 ?? ?? ?? ?? 8D 85 10 FF FF FF 8D 55 E8 E8 ?? ?? ?? ?? E9 DC 01 00 00 8D 8D 0C FF FF FF 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 0C FF FF FF 50 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 85 10 FF FF FF E8 ?? ?? ?? ?? 8D 95 10 FF FF FF 8D 8D 08 FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 08 FF FF FF 5A E8 ?? ?? ?? ?? E9 82 01 00 00 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 2C 66 89 45 D4 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 30 66 89 45 D6 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 34 66 89 45 D8 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 38 66 89 45 DA 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 3C 66 89 45 DE 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8B 10 FF 52 44 89 45 E0 66 C7 45 E4 00 00 66 C7 45 E6 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2C 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF 8D 55 D4 E8 ?? ?? ?? ?? E9 AA 00 00 00 8D 8D F0 FE FF FF 8D 55 D4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF 50 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 95 F4 FE FF FF 8D 8D EC FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 EC FE FF FF 5A E8 ?? ?? ?? ?? EB 53 8B 45 F8 99 52 50 8B 55 FC 8B C3 8B 08 FF 51 04 8D 95 E8 FE FF FF 8B 08 FF 51 24 8B 85 E8 FE FF FF 50 8D 95 E4 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 E4 FE FF FF 5A E8 ?? ?? ?? ?? EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E4 FE FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 EC FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 08 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 16 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A7 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 79 00 53 00 51 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 53 00 79 00 62 00 61 00 73 00 65 00 20 00 53 00 51 00 4C 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 42 00 79 00 74 00 65 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 53 00 68 00 6F 00 72 00 74 00 49 00 6E 00 74 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 57 00 6F 00 72 00 64 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 49 00 6E 00 74 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 49 00 6E 00 74 00 65 00 67 00 65 00 72 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 79 00 79 00 79 00 79 00 2D 00 6D 00 6D 00 2D 00 64 00 64 00 20 00 68 00 68 00 3A 00 6E 00 6E 00 3A 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 55 00 6E 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_26662_0 {
	meta:
		name = "TDbxDataGenerator.ValidateRow"
		size = 3808
		refs = "0024 TDbxDataGenerator.ValidateRow 0035 TFields.GetCount 0050 TFields.GetField 0117 TDBXMetaDataProvider.GetDatabaseProduct 0124 @UStrEqual 0168 Trim 018d TDbxDataGenerator.ValidateAnsiString 0286 TDbxDataGenerator.ValidateBoolean 0321 TDbxDataGenerator.ValidateWideString 0428 TEncoding.GetASCII 0434 TEncoding.GetString 051f _Dn_TDBXDataGeneratorException 0524 TDBXDataGeneratorException.Create 0529 @RaiseExcept 0692 TDbxDataGenerator.ValidateInt64 06d1 TDbxDataGenerator.ValidateSingle 0710 TDbxDataGenerator.ValidateDouble 0722 TFieldDefs.GetFieldDef 0727 TFieldDef.GetSize 074b IntegerToBcd 0776 TDbxDataGenerator.ValidateBcd 07a7 StrToBcd 081f EncodeDate 0831 DateTimeToTimeStamp 0868 TDbxDataGenerator.ValidateDate 08b7 EncodeTime 0900 TDbxDataGenerator.ValidateTime 09bb TDbxDataGenerator.GetIsFractionsSupported 09e3 DateTimeToSQLTimeStamp 09f1 TDbxDataGenerator.ValidateTimestamp 0a09 SQLTimeStampToStr 0b45 DateTimeToSQLTimeStampOffset 0b53 TDbxDataGenerator.ValidateTimestampOffset 0b6b SQLTimeStampOffsetToStr 0c09 TArray<System.Byte> 0c0e @VarToDynArray 0c1a TDbxDataGenerator.ValidateBytes 0c54 @VarClr 0c6a @FinalizeArray 0c7a @UStrArrayClr 0c95 @UStrClr 0cb6 @DynArrayClear 0ccc @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 28 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C FA 0B 00 00 46 33 DB 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 0F B6 40 48 83 F8 33 0F 87 BF 0B 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 09 0A 08 03 0D 00 0E 0F 10 00 15 15 00 13 02 00 00 00 00 00 00 00 04 0B 00 00 00 00 00 14 00 00 00 00 11 0E 00 05 00 00 00 07 06 00 00 00 00 12 00 0C ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 2C 85 C0 0F 84 CD 00 00 00 8B 45 FC 8B 10 FF 52 2C 8D 55 CC E8 ?? ?? ?? ?? 8B 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1F 8B 45 FC 8B 10 FF 52 2C 8D 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 4D 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8D 55 C0 8B 08 FF 51 04 8B 45 C0 8D 55 C4 E8 ?? ?? ?? ?? 8B 45 C4 50 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 55 BC 8B 08 FF 91 80 00 00 00 8B 45 BC 5A E8 ?? ?? ?? ?? E9 A0 0A 00 00 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8D 55 B8 8B 08 FF 51 04 8B 45 B8 50 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 55 B4 8B 08 FF 91 80 00 00 00 8B 45 B4 5A E8 ?? ?? ?? ?? E9 5E 0A 00 00 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8D 55 B0 8B 08 FF 51 04 8B 45 B0 50 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 55 AC 8B 08 FF 91 80 00 00 00 8B 45 AC 5A E8 ?? ?? ?? ?? E9 1C 0A 00 00 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8D 55 A8 8B 08 FF 51 04 8B 45 A8 50 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 55 A4 8B 08 FF 91 80 00 00 00 8B 45 A4 5A E8 ?? ?? ?? ?? E9 DA 09 00 00 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 08 50 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 10 FF 52 54 5A E8 ?? ?? ?? ?? E9 A7 09 00 00 8B 45 FC 8B 10 FF 52 2C 85 C0 0F 84 CD 00 00 00 8B 45 FC 8B 10 FF 52 2C 8D 55 A0 E8 ?? ?? ?? ?? 8B 45 A0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1F 8B 45 FC 8B 10 FF 52 2C 8D 55 9C E8 ?? ?? ?? ?? 8B 45 9C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 4D 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8D 55 94 8B 08 FF 51 04 8B 45 94 8D 55 98 E8 ?? ?? ?? ?? 8B 45 98 50 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 55 90 8B 08 FF 91 80 00 00 00 8B 45 90 5A E8 ?? ?? ?? ?? E9 0C 09 00 00 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8D 55 8C 8B 08 FF 51 04 8B 45 8C 50 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 55 88 8B 08 FF 91 80 00 00 00 8B 45 88 5A E8 ?? ?? ?? ?? E9 CA 08 00 00 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8D 55 84 8B 08 FF 51 04 8B 45 84 50 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 55 80 8B 08 FF 91 80 00 00 00 8B 45 80 5A E8 ?? ?? ?? ?? E9 88 08 00 00 8B 45 FC 8B 10 FF 52 2C 85 C0 0F 84 D9 00 00 00 8B 45 FC 8B 10 FF 52 2C 8D 95 7C FF FF FF E8 ?? ?? ?? ?? 8B 85 7C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 66 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8D 95 78 FF FF FF 8B 08 FF 51 04 8B 85 78 FF FF FF 50 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 95 70 FF FF FF 8B 08 FF 91 8C 00 00 00 8B 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 8D 8D 74 FF FF FF 5A E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 5A E8 ?? ?? ?? ?? E9 ED 07 00 00 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8D 95 6C FF FF FF 8B 08 FF 51 04 8B 85 6C FF FF FF 50 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 95 68 FF FF FF 8B 08 FF 91 80 00 00 00 8B 85 68 FF FF FF 5A E8 ?? ?? ?? ?? E9 9F 07 00 00 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8D 95 64 FF FF FF 8B 08 FF 51 04 8B 85 64 FF FF FF 50 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 95 60 FF FF FF 8B 08 FF 91 80 00 00 00 8B 85 60 FF FF FF 5A E8 ?? ?? ?? ?? E9 51 07 00 00 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 0C 0F B6 F8 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 10 FF 52 70 3B F8 0F 84 1F 07 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 04 07 00 00 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 0C 0F B6 F8 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 10 FF 52 70 3B F8 0F 84 D2 06 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B7 06 00 00 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 10 0F BF F8 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 10 FF 52 70 3B F8 0F 84 85 06 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6A 06 00 00 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 10 0F BF F8 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 10 FF 52 70 3B F8 0F 84 38 06 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1D 06 00 00 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 14 8B F8 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 10 FF 52 70 3B F8 0F 84 EC 05 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D1 05 00 00 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 10 FF 52 70 99 52 50 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 18 52 50 E8 ?? ?? ?? ?? E9 9B 05 00 00 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 10 FF 52 64 83 C4 FC D9 1C 24 9B 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 20 83 C4 FC D9 1C 24 9B E8 ?? ?? ?? ?? E9 5C 05 00 00 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 10 FF 52 68 83 C4 F8 DD 1C 24 9B 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 1C 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? E9 1D 05 00 00 8B 45 F8 8B 40 40 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 50 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 14 8D 95 3C FF FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF 50 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 95 18 FF FF FF 8B 08 FF 51 50 8D 85 18 FF FF FF 5A E8 ?? ?? ?? ?? E9 B7 04 00 00 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8D 95 14 FF FF FF 8B 08 FF 51 28 8B 85 14 FF FF FF 8D 95 3C FF FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF 50 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 95 18 FF FF FF 8B 08 FF 51 50 8D 85 18 FF FF FF 5A E8 ?? ?? ?? ?? E9 5B 04 00 00 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 34 50 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 30 50 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 2C 5A 59 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 50 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 10 FF 52 60 83 C4 F8 DD 1C 24 9B 8D 85 04 FF FF FF E8 ?? ?? ?? ?? 8B 85 08 FF FF FF 5A E8 ?? ?? ?? ?? E9 C5 03 00 00 6A 00 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 40 50 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 3C 50 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 38 5A 59 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 8B 85 0C FF FF FF 50 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 10 FF 52 60 83 C4 F8 DD 1C 24 9B 8D 85 04 FF FF FF E8 ?? ?? ?? ?? 8B 85 04 FF FF FF 5A E8 ?? ?? ?? ?? E9 2D 03 00 00 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 2C 66 89 45 E4 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 30 66 89 45 E6 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 34 66 89 45 E8 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 38 66 89 45 EA 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 3C 66 89 45 EC 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 40 66 89 45 EE 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 44 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 37 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 10 FF 52 60 83 C4 F8 DD 1C 24 9B 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF 8D 55 E4 E8 ?? ?? ?? ?? E9 3C 02 00 00 8D 8D F0 FE FF FF 8D 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF 50 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 10 FF 52 60 83 C4 F8 DD 1C 24 9B 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 95 F4 FE FF FF 8D 8D EC FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 EC FE FF FF 5A E8 ?? ?? ?? ?? E9 D7 01 00 00 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 2C 66 89 45 D0 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 30 66 89 45 D2 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 34 66 89 45 D4 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 38 66 89 45 D6 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 3C 66 89 45 D8 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 40 66 89 45 DA 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8B 10 FF 52 44 89 45 DC 66 C7 45 E0 00 00 66 C7 45 E2 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 37 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 10 FF 52 60 83 C4 F8 DD 1C 24 9B 8D 85 D8 FE FF FF E8 ?? ?? ?? ?? 8D 85 D8 FE FF FF 8D 55 D0 E8 ?? ?? ?? ?? E9 DA 00 00 00 8D 8D D4 FE FF FF 8D 55 D0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D4 FE FF FF 50 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 10 FF 52 60 83 C4 F8 DD 1C 24 9B 8D 85 D8 FE FF FF E8 ?? ?? ?? ?? 8D 95 D8 FE FF FF 8D 8D D0 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D0 FE FF FF 5A E8 ?? ?? ?? ?? EB 78 8B 45 F4 99 52 50 8B D3 8B 45 FC 8B 08 FF 51 04 8D 95 CC FE FF FF 8B 08 FF 51 24 8B 85 CC FE FF FF 50 8B 45 F8 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 95 B8 FE FF FF 8B 08 FF 91 90 00 00 00 8D 95 B8 FE FF FF 8D 85 C8 FE FF FF 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 C8 FE FF FF 5A E8 ?? ?? ?? ?? EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 0F 85 09 F4 FF FF B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 B8 FE FF FF E8 ?? ?? ?? ?? 8D 85 C8 FE FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 D0 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 EC FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 14 FF FF FF E8 ?? ?? ?? ?? 8D 85 60 FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 74 FF FF FF BA 17 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 78 FF FF FF 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 79 00 53 00 51 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 53 00 79 00 62 00 61 00 73 00 65 00 20 00 53 00 51 00 4C 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 42 00 79 00 74 00 65 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 53 00 68 00 6F 00 72 00 74 00 49 00 6E 00 74 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 57 00 6F 00 72 00 64 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 49 00 6E 00 74 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 49 00 6E 00 74 00 65 00 67 00 65 00 72 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 79 00 79 00 79 00 79 00 2D 00 6D 00 6D 00 2D 00 64 00 64 00 20 00 68 00 68 00 3A 00 6E 00 6E 00 3A 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 55 00 6E 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_26663_0 {
	meta:
		name = "TDbxDataGenerator.ValidateRow"
		size = 4468
		refs = "0024 TDbxDataGenerator.ValidateRow 0130 _Dn_TDBXDataGeneratorException 0135 TDBXDataGeneratorException.Create 013a @RaiseExcept 01b8 TDbxDataGenerator.ValidateInt64 02dd TDbxDataGenerator.ValidateSingle 031c TDbxDataGenerator.ValidateDouble 0354 IntegerToBcd 0376 TDbxDataGenerator.ValidateBcd 039e StrToBcd 040d EncodeDate 041f DateTimeToTimeStamp 043b TDbxDataGenerator.ValidateDate 046b TDbxDataGenerator.ValidateBoolean 04cf @UStrFromLStr 04db TDbxDataGenerator.ValidateAnsiString 051e TDBXMetaDataProvider.GetDatabaseProduct 052e @UStrEqual 0552 TArray<System.Byte> 0557 @DynArraySetLength 056a @DynArrayLength 05a9 TEncoding.GetUnicode 05b7 TEncoding.GetString 05c3 TDbxDataGenerator.ValidateWideString 0686 TDbxDataGenerator.ReadBytesFromStream 06ea TDbxDataGenerator.ValidateBytes 0775 Trim 08ca EncodeTime 08f8 TDbxDataGenerator.ValidateTime 09b3 TDbxDataGenerator.GetIsFractionsSupported 09dd TDbxDataGenerator.ValidateTimestamp 0a10 SQLTimeStampToStr 0b27 TDbxDataGenerator.ValidateTimestampOffset 0b5a SQLTimeStampOffsetToStr 0d90 IntToStr 0da6 @UStrCat3 0de4 @UStrArrayClr 0df5 @DynArrayClear 0e20 @LStrClr 0eaa @UStrClr 0ebe @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 28 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 1C 8B F8 4F 85 FF 0F 8C 88 0D 00 00 47 33 F6 8B D6 8B 45 F4 8B 08 FF 51 10 8B 40 04 8B 10 FF 52 50 83 F8 24 0F 87 18 0D 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D6 8B 45 F4 8B 08 FF 51 10 8B 10 FF 52 78 50 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 0C 5A 3A D0 0F 84 99 0C 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7E 0C 00 00 8B D6 8B 45 F4 8B 08 FF 51 10 8B 10 FF 52 7C 50 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 0C 5A 3A D0 0F 84 50 0C 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 35 0C 00 00 8B D6 8B 45 F4 8B 08 FF 51 10 8B 10 FF 92 8C 00 00 00 52 50 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 18 52 50 E8 ?? ?? ?? ?? E9 00 0C 00 00 8B D6 8B 45 F4 8B 08 FF 51 10 8B 10 FF 92 88 00 00 00 50 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 14 5A 3B D0 0F 84 CF 0B 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B4 0B 00 00 8B D6 8B 45 F4 8B 08 FF 51 10 8B 10 FF 92 80 00 00 00 50 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 10 5A 66 3B D0 0F 84 82 0B 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 67 0B 00 00 8B D6 8B 45 F4 8B 08 FF 51 10 8B 10 FF 92 84 00 00 00 50 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 10 5A 66 3B D0 0F 84 35 0B 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1A 0B 00 00 8B D6 8B 45 F4 8B 08 FF 51 10 8B 10 FF 92 90 00 00 00 83 C4 FC D9 1C 24 9B 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 20 83 C4 FC D9 1C 24 9B E8 ?? ?? ?? ?? E9 DB 0A 00 00 8B D6 8B 45 F4 8B 08 FF 51 10 8B 10 FF 92 94 00 00 00 83 C4 F8 DD 1C 24 9B 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 1C 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? E9 9C 0A 00 00 8B D6 8B 45 F4 8B 08 FF 51 10 8B 40 04 8B 10 FF 52 5C 85 C0 75 44 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 14 8D 55 A8 E8 ?? ?? ?? ?? 8D 45 A8 50 8B D6 8B 45 F4 8B 08 FF 51 10 8D 55 84 8B 08 FF 91 A4 00 00 00 8D 45 84 5A E8 ?? ?? ?? ?? E9 42 0A 00 00 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8D 55 80 8B 08 FF 51 28 8B 45 80 8D 55 A8 E8 ?? ?? ?? ?? 8D 45 A8 50 8B D6 8B 45 F4 8B 08 FF 51 10 8D 55 84 8B 08 FF 91 A4 00 00 00 8D 45 84 5A E8 ?? ?? ?? ?? E9 F8 09 00 00 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 34 50 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 30 50 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 2C 5A 59 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 50 8B D6 8B 45 F4 8B 08 FF 51 10 8B 10 FF 52 64 5A E8 ?? ?? ?? ?? E9 7D 09 00 00 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 08 50 8B D6 8B 45 F4 8B 08 FF 51 10 8B 10 FF 52 68 5A E8 ?? ?? ?? ?? E9 4D 09 00 00 8B D6 8B 45 F4 8B 08 FF 51 10 8B 40 04 8B 10 FF 52 54 83 F8 16 75 59 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8D 95 74 FF FF FF 8B 08 FF 51 04 8B 85 74 FF FF FF 50 8B D6 8B 45 F4 8B 08 FF 51 10 8D 95 6C FF FF FF 8B 08 FF 51 60 8B 95 6C FF FF FF 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 5A E8 ?? ?? ?? ?? E9 DD 08 00 00 8B D6 8B 45 F4 8B 08 FF 51 10 8B 40 04 8B 10 FF 52 54 83 F8 20 0F 85 C2 08 00 00 8B 45 F8 8B 10 FF 52 2C 85 C0 0F 84 05 01 00 00 8B 45 F8 8B 10 FF 52 2C 8D 95 68 FF FF FF E8 ?? ?? ?? ?? 8B 85 68 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 94 00 00 00 8B D6 8B 45 F4 8B 08 FF 51 10 8B 10 FF 52 5C 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 99 52 50 8B D6 8B 45 F4 8B 08 FF 51 10 8B 55 FC 8B 08 FF 91 98 00 00 00 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8D 95 64 FF FF FF 8B 08 FF 51 04 8B 85 64 FF FF FF 50 E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF 8B 55 FC E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 5A E8 ?? ?? ?? ?? E9 F5 07 00 00 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8D 95 5C FF FF FF 8B 08 FF 51 04 8B 85 5C FF FF FF 50 8B D6 8B 45 F4 8B 08 FF 51 10 8D 95 58 FF FF FF 8B 08 FF 51 70 8B 85 58 FF FF FF 5A E8 ?? ?? ?? ?? E9 AD 07 00 00 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8D 95 54 FF FF FF 8B 08 FF 51 04 8B 85 54 FF FF FF 50 8B D6 8B 45 F4 8B 08 FF 51 10 8D 95 50 FF FF FF 8B 08 FF 51 70 8B 85 50 FF FF FF 5A E8 ?? ?? ?? ?? E9 65 07 00 00 8B D6 8B 45 F4 8B 08 FF 51 10 8B 10 FF 52 5C 8B D8 85 DB 7D 1B 8B D6 8B 45 F4 8B 08 FF 51 10 8B D0 8D 4D FC 8B 45 F8 8B 00 E8 ?? ?? ?? ?? EB 39 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 00 6A 00 6A 00 8B C3 99 52 50 8B D6 8B 45 F4 8B 08 FF 51 10 8B 55 FC 8B 08 FF 91 98 00 00 00 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8D 95 4C FF FF FF 8B 08 FF 51 24 8B 95 4C FF FF FF 8B 45 FC E8 ?? ?? ?? ?? E9 CE 06 00 00 8B 45 F8 8B 10 FF 52 2C 85 C0 0F 84 0D 01 00 00 8B 45 F8 8B 10 FF 52 2C 8D 95 48 FF FF FF E8 ?? ?? ?? ?? 8B 85 48 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 25 8B 45 F8 8B 10 FF 52 2C 8D 95 44 FF FF FF E8 ?? ?? ?? ?? 8B 85 44 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 6A 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8D 95 3C FF FF FF 8B 08 FF 51 04 8B 85 3C FF FF FF 8D 95 40 FF FF FF E8 ?? ?? ?? ?? 8B 85 40 FF FF FF 50 8B D6 8B 45 F4 8B 08 FF 51 10 8D 95 34 FF FF FF 8B 08 FF 51 60 8B 95 34 FF FF FF 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8B 85 38 FF FF FF 5A E8 ?? ?? ?? ?? E9 0A 06 00 00 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8D 95 30 FF FF FF 8B 08 FF 51 04 8B 85 30 FF FF FF 50 8B D6 8B 45 F4 8B 08 FF 51 10 8D 95 28 FF FF FF 8B 08 FF 51 60 8B 95 28 FF FF FF 8D 85 2C FF FF FF E8 ?? ?? ?? ?? 8B 85 2C FF FF FF 5A E8 ?? ?? ?? ?? E9 B1 05 00 00 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8D 95 24 FF FF FF 8B 08 FF 51 04 8B 85 24 FF FF FF 50 8B D6 8B 45 F4 8B 08 FF 51 10 8D 95 1C FF FF FF 8B 08 FF 51 60 8B 95 1C FF FF FF 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 5A E8 ?? ?? ?? ?? E9 58 05 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3D 05 00 00 6A 00 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 40 50 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 3C 50 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 38 5A 59 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 50 8B D6 8B 45 F4 8B 08 FF 51 10 8B 10 FF 52 6C 5A E8 ?? ?? ?? ?? E9 C0 04 00 00 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 2C 66 89 45 E0 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 30 66 89 45 E2 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 34 66 89 45 E4 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 38 66 89 45 E6 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 3C 66 89 45 E8 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 40 66 89 45 EA 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 44 89 45 EC 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 2B 8B D6 8B 45 F4 8B 08 FF 51 10 8D 95 0C FF FF FF 8B 08 FF 91 9C 00 00 00 8D 85 0C FF FF FF 8D 55 E0 E8 ?? ?? ?? ?? E9 DB 03 00 00 8B D6 8B 45 F4 8B 08 FF 51 10 8D 95 0C FF FF FF 8B 08 FF 91 9C 00 00 00 8D 95 0C FF FF FF 8D 8D 08 FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 08 FF FF FF 50 8D 8D 04 FF FF FF 8D 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 04 FF FF FF 58 E8 ?? ?? ?? ?? E9 82 03 00 00 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 2C 66 89 45 CC 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 30 66 89 45 CE 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 34 66 89 45 D0 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 38 66 89 45 D2 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 3C 66 89 45 D4 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 40 66 89 45 D6 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8B 10 FF 52 44 89 45 D8 66 C7 45 DC 00 00 66 C7 45 DE 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 2B 8B D6 8B 45 F4 8B 08 FF 51 10 8D 95 F0 FE FF FF 8B 08 FF 91 A0 00 00 00 8D 85 F0 FE FF FF 8D 55 CC E8 ?? ?? ?? ?? E9 91 02 00 00 8B D6 8B 45 F4 8B 08 FF 51 10 8D 95 F0 FE FF FF 8B 08 FF 91 A0 00 00 00 8D 95 F0 FE FF FF 8D 8D EC FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 EC FE FF FF 50 8D 8D E8 FE FF FF 8D 55 CC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 E8 FE FF FF 58 E8 ?? ?? ?? ?? E9 38 02 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1D 02 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 02 02 00 00 8B 45 F8 8B 10 FF 52 2C 85 C0 0F 84 EB 00 00 00 8B 45 F8 8B 10 FF 52 2C 8D 95 E4 FE FF FF E8 ?? ?? ?? ?? 8B 85 E4 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 25 8B 45 F8 8B 10 FF 52 2C 8D 95 E0 FE FF FF E8 ?? ?? ?? ?? 8B 85 E0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 59 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8D 95 D8 FE FF FF 8B 08 FF 51 04 8B 85 D8 FE FF FF 8D 95 DC FE FF FF E8 ?? ?? ?? ?? 8B 85 DC FE FF FF 50 8B D6 8B 45 F4 8B 08 FF 51 10 8D 95 D4 FE FF FF 8B 08 FF 51 70 8B 85 D4 FE FF FF 5A E8 ?? ?? ?? ?? E9 4F 01 00 00 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8D 95 D0 FE FF FF 8B 08 FF 51 04 8B 85 D0 FE FF FF 50 8B D6 8B 45 F4 8B 08 FF 51 10 8D 95 CC FE FF FF 8B 08 FF 51 70 8B 85 CC FE FF FF 5A E8 ?? ?? ?? ?? E9 07 01 00 00 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8D 95 C8 FE FF FF 8B 08 FF 51 04 8B 85 C8 FE FF FF 50 8B D6 8B 45 F4 8B 08 FF 51 10 8D 95 C4 FE FF FF 8B 08 FF 51 70 8B 85 C4 FE FF FF 5A E8 ?? ?? ?? ?? E9 BF 00 00 00 8B D6 8B 45 F4 8B 08 FF 51 10 8B 10 FF 52 5C 8B D8 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 00 6A 00 6A 00 8B C3 99 52 50 8B D6 8B 45 F4 8B 08 FF 51 10 8B 55 FC 8B 08 FF 91 98 00 00 00 8B 45 F0 99 52 50 8B D6 8B 45 F8 8B 08 FF 51 04 8D 95 C0 FE FF FF 8B 08 FF 51 24 8B 95 C0 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? EB 4A 8B D6 8B 45 F4 8B 08 FF 51 10 8B 40 04 8B 10 FF 52 50 8D 95 B8 FE FF FF E8 ?? ?? ?? ?? 8B 8D B8 FE FF FF 8D 85 BC FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D BC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 0F 85 7B F2 FF FF B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 B8 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 C0 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 C4 FE FF FF BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 85 04 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 1C FF FF FF E8 ?? ?? ?? ?? 8D 85 20 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 28 FF FF FF E8 ?? ?? ?? ?? 8D 85 2C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 34 FF FF FF E8 ?? ?? ?? ?? 8D 85 38 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 85 4C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 50 FF FF FF BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 11 FF FF FF 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 19 00 00 00 55 00 49 00 6E 00 74 00 38 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 6E 00 74 00 38 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 49 00 6E 00 74 00 33 00 32 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 55 00 49 00 6E 00 74 00 31 00 36 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 49 00 6E 00 74 00 31 00 36 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 64 00 6F 00 20 00 }
	condition:
		$1
}

rule function_26666_0 {
	meta:
		name = "TDBXDBMetaData.ToFieldType"
		size = 336
		refs = "000a TDBXDBMetaData.ToFieldType 0110 SUnexpectedMetaDataType 0115 LoadResString 011f _Dn_TDBXError 0124 Exception.Create 0129 @RaiseExcept 013e @UStrClr 0144 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 F8 24 0F 87 EF 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B3 05 EB 71 B3 2C EB 6D B3 2B EB 69 B3 04 EB 65 B3 02 EB 61 B3 03 EB 5D B3 19 EB 59 B3 33 EB 55 B3 06 EB 51 B3 18 EB 4D B3 01 EB 49 B3 09 EB 45 B3 24 EB 41 B3 31 EB 3D B3 0F EB 39 B3 25 EB 35 B3 08 EB 31 B3 0C EB 2D B3 0A EB 29 B3 30 EB 25 B3 0D EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_26667_0 {
	meta:
		name = "TDBXDBMetaData.AddClientDataSetFields"
		size = 316
		refs = "0013 TDBXDBMetaData.AddClientDataSetFields 002d TDataSet.Close 003d TFieldDefs.AddFieldDef 0049 TDBXColumnsTableStorage.GetColumnName 0053 TNamedItem.SetDisplayName 006e TDBXColumnsTableStorage.GetDbxDataType 0073 TDBXDBMetaData.ToFieldType 007c TFieldDef.SetDataType 0086 TDBXColumnsTableStorage.GetPrecision 008f TFieldDef.SetSize 00a2 TFieldDef.GetSize 010f TCustomClientDataSet.CreateDataSet 0129 @UStrArrayClr 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 72 08 8B C6 8B 10 FF 52 4C 33 FF 8B 45 FC E8 ?? ?? ?? ?? E9 C6 00 00 00 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 8B D8 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 8B 08 FF 51 18 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 89 7B 1C 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 80 7B 25 01 74 06 80 7B 25 18 75 20 8B C3 E8 ?? ?? ?? ?? 3D FB FF 00 00 7E 12 B2 0F 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 F8 1A 75 29 8B C6 E8 ?? ?? ?? ?? 85 C0 7F 0E BA 80 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 47 8B C6 8B 10 FF 52 48 8B C6 8B 10 FF 52 44 84 C0 0F 85 2B FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26668_0 {
	meta:
		name = "TDBXDBMetaData.AddParams"
		size = 233
		refs = "0015 TDBXDBMetaData.AddParams 002f TCollection.Clear 003a _Dn_TParam 003f TParam.Create 004b TDBXColumnsTableStorage.GetColumnName 0056 @UStrAsg 0071 TDBXColumnsTableStorage.GetDbxDataType 0076 TDBXDBMetaData.ToFieldType 007f TParam.SetDataType 0088 TParam.SetParamType 008f TDBXColumnsTableStorage.GetPrecision 0099 TDBXColumnsTableStorage.GetScale 00d6 @UStrArrayClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 08 8B C3 8B 10 FF 52 4C 8B C7 E8 ?? ?? ?? ?? EB 7C 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 46 34 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 8B 08 FF 51 18 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 46 28 8B C3 E8 ?? ?? ?? ?? 89 46 2C 8B C3 E8 ?? ?? ?? ?? 89 46 3C 8B C3 8B 10 FF 52 48 8B C3 8B 10 FF 52 44 84 C0 0F 85 75 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26671_0 {
	meta:
		name = "TDBXTestCase.CommitFreeAndNilMetaDataTransaction"
		size = 26
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 10 01 00 00 8B D6 8B 08 FF 51 70 5E 5B C3 }
	condition:
		$1
}

rule function_26672_0 {
	meta:
		name = "TDBXTestCase.Create"
		size = 156
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TDBXTestCase.Create 0037 TTestCaseExtension.Create 003e _Dn_TList 0043 TObject.Create 0057 @UStrAsg 0074 @UStrClr 007a @HandleFinally 0087 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 8C 00 00 00 8D 86 84 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 89 86 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26673_0 {
	meta:
		name = "TDBXTestCase.Destroy"
		size = 100
		refs = "0003 @BeforeDestruction 000e TDBXTestCase.FreeTearDownList 0021 TObject.Free 0052 TTestCaseExtension.Destroy 005d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 86 88 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 8C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 80 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26674_0 {
	meta:
		name = "TDBXTestCase.DropTable"
		size = 147
		refs = "0017 @WStrAddRef 001f TDBXTestCase.DropTable 003a TDBXTestCase.GetMetaDataProvider 0046 @UStrFromWStr 004f TDBXMetaDataProvider.DropTable 005e @HandleAnyException 0063 @DoneExcept 0078 @UStrClr 0080 @WStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_26675_0 {
	meta:
		name = "TDBXTestCase.ExecuteStatement"
		size = 172
		refs = "0015 TDBXTestCase.ExecuteStatement 0046 @UStrFromWStr 0073 TObject.Free 0084 @HandleFinally 009b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 92 10 01 00 00 8B 10 FF 52 7C 89 45 F8 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 08 FF 51 10 8B 45 F8 8B 10 FF 52 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 14 01 00 00 C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26676_0 {
	meta:
		name = "TDBXTestCase.ExecuteStatementIgnoreError"
		size = 62
		refs = "000a TDBXTestCase.ExecuteStatementIgnoreError 0015 TDBXTestCase.ExecuteStatement 0024 @HandleOnException 002c _Dn_Exception 0035 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_26678_0 {
	meta:
		name = "TDBXTestCase.FreeTearDownList"
		size = 74
		refs = "000b TList.Get 0010 TObject.Free 001f TList.Put 002c TList.Delete"
	strings:
		$1 = { 53 56 8B D8 EB 2A 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 33 D2 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 8B B3 8C 00 00 00 83 7E 08 00 7F CA 8B 83 8C 00 00 00 8B 10 FF 52 08 5E 5B C3 }
	condition:
		$1
}

rule function_26679_0 {
	meta:
		name = "TDBXTestCase.GetMetaDataProvider"
		size = 62
		refs = "0010 _Dn_TDBXDataExpressMetaDataProvider 0015 TDBXDataExpressMetaDataProvider.Create 002b TDBXDataExpressMetaDataProvider.Open"
	strings:
		$1 = { 53 56 8B D8 83 BB 88 00 00 00 00 75 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 8B 10 FF 92 10 01 00 00 89 46 0C 8B C6 E8 ?? ?? ?? ?? 89 B3 88 00 00 00 8B 83 88 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_26680_0 {
	meta:
		name = "TDBXTestCase.GetName"
		size = 160
		refs = "000f TDBXTestCase.GetName 001c TTestCaseExtension.GetProperties 0029 TStrings.GetValue 0043 @UStrCatN 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF B3 84 00 00 00 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 63 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 }
	condition:
		$1
}

rule function_26681_0 {
	meta:
		name = "TDBXTestCase.GetDbxConnection"
		size = 160
		refs = "000d TDBXTestCase.GetDbxConnection 0021 TDBXConnectionFactory.GetConnectionFactory 002c TTestCaseExtension.GetProperties 0039 TStrings.GetValue 0045 TDBXConnectionFactory.GetConnection 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 80 00 00 00 00 75 2F E8 ?? ?? ?? ?? 8B F0 6A 00 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 33 C9 8B C6 E8 ?? ?? ?? ?? 89 83 80 00 00 00 8B 9B 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 63 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_26682_0 {
	meta:
		name = "TDBXTestCase.GetHostId"
		size = 440
		refs = "0017 TDBXTestCase.GetHostId 0029 @WStrAsg 0036 GetEnvironmentVariable 0053 @WStrFromUStr 0069 @UStrFromWStr 0078 StringReplace 011c @WStrDelete 0136 @UStrArrayClr 013c @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 17 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F4 50 8D 45 F0 8B 13 E8 ?? ?? ?? ?? 8B 45 F0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 EC 50 8D 45 E8 8B 13 E8 ?? ?? ?? ?? 8B 45 E8 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E4 50 8D 45 E0 8B 13 E8 ?? ?? ?? ?? 8B 45 E0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 13 8B C2 89 45 DC 8B 45 DC 85 C0 74 07 83 E8 04 8B 00 D1 E8 83 F8 08 7E 22 8B C2 89 45 DC 8B 45 DC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D3 8B C8 B8 07 00 00 00 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 0E 00 00 00 55 00 4E 00 4B 00 4E 00 4F 00 57 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 4F 00 4D 00 50 00 55 00 54 00 45 00 52 00 4E 00 41 00 4D 00 45 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_72230_0 {
	meta:
		name = "TTestCaseExtension.GetHostName"
		size = 440
		refs = "0017 TTestCaseExtension.GetHostName 0029 @WStrAsg 0036 GetEnvironmentVariable 0053 @WStrFromUStr 0069 @UStrFromWStr 0078 StringReplace 011c @WStrDelete 0136 @UStrArrayClr 013c @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 17 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F4 50 8D 45 F0 8B 13 E8 ?? ?? ?? ?? 8B 45 F0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 EC 50 8D 45 E8 8B 13 E8 ?? ?? ?? ?? 8B 45 E8 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E4 50 8D 45 E0 8B 13 E8 ?? ?? ?? ?? 8B 45 E0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 13 8B C2 89 45 DC 8B 45 DC 85 C0 74 07 83 E8 04 8B 00 D1 E8 83 F8 08 7E 22 8B C2 89 45 DC 8B 45 DC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D3 8B C8 B8 07 00 00 00 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 0E 00 00 00 55 00 4E 00 4B 00 4E 00 4F 00 57 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 4F 00 4D 00 50 00 55 00 54 00 45 00 52 00 4E 00 41 00 4D 00 45 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_26683_0 {
	meta:
		name = "TDBXTestCase.GetIsCreateTableInMultiStatementTransactionSupported"
		size = 144
		refs = "000c TDBXTestCase.GetIsCreateTableInMultiStatementTransactionSupported 0019 TDBXTestCase.GetMetaDataProvider 0021 TDBXMetaDataProvider.GetDatabaseProduct 002e @UStrEqual 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 53 00 79 00 62 00 61 00 73 00 65 00 20 00 53 00 51 00 4C 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_26684_0 {
	meta:
		name = "TDBXTestCase.IsExtendedMetaDataBeingUsed"
		size = 404
		refs = "0017 @WStrAddRef 001f TDBXTestCase.IsExtendedMetaDataBeingUsed 002a TDBXConnectionFactory.GetConnectionFactory 0037 @UStrFromWStr 0041 TDBXConnectionFactory.GetConnectionProperties 004e TDBXProperties.GetValue 0059 @WStrFromUStr 006e TDBXConnectionFactory.GetDriverProperties 00bd @WStrEqual 00da @UStrArrayClr 00e7 @WStrArrayClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 89 55 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D8 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 E0 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 8D 4D E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 D8 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 D8 8B C3 E8 ?? ?? ?? ?? 8D 4D DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 4D 00 65 00 74 00 61 00 44 00 61 00 74 00 61 00 41 00 73 00 73 00 65 00 6D 00 62 00 6C 00 79 00 4C 00 6F 00 61 00 64 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_26685_0 {
	meta:
		name = "TDBXTestCase.RollbackMetaDataTransaction"
		size = 26
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 10 01 00 00 8B D6 8B 08 FF 51 74 5E 5B C3 }
	condition:
		$1
}

rule function_26686_0 {
	meta:
		name = "TDBXTestCase.CloseDbxConnection"
		size = 43
		refs = "0012 TObject.Free"
	strings:
		$1 = { 53 8B D8 8D 83 88 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 83 80 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_26687_0 {
	meta:
		name = "TDBXTestCase.SetName"
		size = 79
		refs = "000e @UStrAddRef 0016 TDBXTestCase.SetName 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 84 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_26688_0 {
	meta:
		name = "TDBXTestCase.StartMetaDataTransaction"
		size = 20
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 10 01 00 00 8B 10 FF 52 6C 5B C3 }
	condition:
		$1
}

rule function_26689_0 {
	meta:
		name = "TDBXTestCase.TearDown"
		size = 57
		refs = "0006 TAbstractTest.TearDown 000d TDBXTestCase.FreeTearDownList 0020 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 83 88 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 83 80 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_26690_0 {
	meta:
		name = "TDBXTestCase.IsTypeSupported"
		size = 256
		refs = "001a TDBXTestCase.IsTypeSupported 004d IntToStr 0070 @UStrCatN 0079 Pos 009d @UStrArrayClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 10 01 00 00 8D 4D F8 BA ?? ?? ?? ?? 8B 18 FF 93 80 00 00 00 8B 45 F8 50 68 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? FF 75 EC 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 5A E8 ?? ?? ?? ?? 85 C0 74 04 B3 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 72 00 69 00 76 00 65 00 72 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_26695_0 {
	meta:
		name = "TAzACL.cbxDeleteClick"
		size = 54
	strings:
		$1 = { 53 8B D8 8B 83 A8 03 00 00 8B 10 FF 92 F8 00 00 00 8B 93 C8 03 00 00 8D 14 52 8B 8B C4 03 00 00 88 44 91 0A B2 01 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_26696_0 {
	meta:
		name = "TAzACL.cbxListClick"
		size = 54
	strings:
		$1 = { 53 8B D8 8B 83 B0 03 00 00 8B 10 FF 92 F8 00 00 00 8B 93 C8 03 00 00 8D 14 52 8B 8B C4 03 00 00 88 44 91 0B B2 01 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_26697_0 {
	meta:
		name = "TAzACL.cbxReadClick"
		size = 54
	strings:
		$1 = { 53 8B D8 8B 83 A4 03 00 00 8B 10 FF 92 F8 00 00 00 8B 93 C8 03 00 00 8D 14 52 8B 8B C4 03 00 00 88 44 91 08 B2 01 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_26698_0 {
	meta:
		name = "TAzACL.cbxWriteClick"
		size = 54
	strings:
		$1 = { 53 8B D8 8B 83 AC 03 00 00 8B 10 FF 92 F8 00 00 00 8B 93 C8 03 00 00 8D 14 52 8B 8B C4 03 00 00 88 44 91 09 B2 01 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_26699_0 {
	meta:
		name = "TAzACL.DeleteRow"
		size = 234
		refs = "0012 TAzACL.DeleteRow 003d TStringGrid.GetCells 0046 EmptyStr 004d @UStrEqual 0070 TStringGrid.SetCells 008f TAccessPolicy 0094 @CopyRecord 00d7 @UStrArrayClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B BE A0 03 00 00 8B 87 C8 02 00 00 48 3B D8 0F 8D 90 00 00 00 8D 45 FC 50 8D 4B 01 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 6E EB 44 8D 45 F8 50 8D 4B 01 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 50 8B CB 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 04 5B 8B 96 C4 03 00 00 8D 04 82 8D 14 5B 8B 8E C4 03 00 00 8D 54 91 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B BE A0 03 00 00 8B 87 C8 02 00 00 48 3B D8 7C AB A1 ?? ?? ?? ?? 8B 00 50 8B CB 33 D2 8B 86 A0 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_26700_0 {
	meta:
		name = "TAzACL.FormCreate"
		size = 43
		refs = "001d TAccessPolicyArray 0022 @DynArraySetLength"
	strings:
		$1 = { 53 8B D8 8B 83 A0 03 00 00 8B 80 C8 02 00 00 50 8D 83 C4 03 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5B C3 }
	condition:
		$1
}

rule function_26701_0 {
	meta:
		name = "TAzACL.GetAccessPolicy"
		size = 38
		refs = "0019 TAccessPolicy 001e @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 8D 14 76 8B 8B C4 03 00 00 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26702_0 {
	meta:
		name = "TAzACL.GetCount"
		size = 12
		refs = "0007 @DynArrayLength"
	strings:
		$1 = { 8B 80 C4 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26752_0 {
	meta:
		name = "TAzBlockBlob.SetContentEncoding"
		size = 12
		refs = "0007 TControl.SetText"
	strings:
		$1 = { 8B 80 C4 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94465_0 {
	meta:
		name = "TPenDialog.FormDestroy"
		size = 12
		refs = "0007 TObject.Free"
	strings:
		$1 = { 8B 80 C4 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26703_0 {
	meta:
		name = "TAzACL.GetIdentifier"
		size = 97
		refs = "0012 TAzACL.GetIdentifier 002b TStringGrid.GetCells 0035 _Dn_TAzureService 003a TAzureService.Encode 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CE 33 D2 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B CF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26704_0 {
	meta:
		name = "TAzACL.GetPublicDataAccess"
		size = 120
		refs = "001b TAzACL.GetPublicDataAccess 0020 @UStrAsg 0037 @UStrClr"
	strings:
		$1 = { 53 8B DA 8B 80 9C 03 00 00 8B 80 88 02 00 00 83 E8 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6C 00 6F 00 62 00 00 00 00 00 }
	condition:
		$1
}

rule function_26705_0 {
	meta:
		name = "TAzACL.GetRawIdentifier"
		size = 29
		refs = "0015 TStringGrid.GetCells"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B CE 33 D2 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_26706_0 {
	meta:
		name = "TAzACL.lbeExpiryChange"
		size = 112
		refs = "000c TAzACL.lbeExpiryChange 0020 TControl.GetText 003b @UStrAsg 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 C8 03 00 00 8D 04 40 8B 8B C4 03 00 00 8D 44 81 04 E8 ?? ?? ?? ?? B2 01 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_26707_0 {
	meta:
		name = "TAzACL.lbeStartChange"
		size = 111
		refs = "000c TAzACL.lbeStartChange 0020 TControl.GetText 003a @UStrAsg 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 C8 03 00 00 8D 04 40 8B 8B C4 03 00 00 8D 04 81 E8 ?? ?? ?? ?? B2 01 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_26708_0 {
	meta:
		name = "TAzACL.MoveIndex"
		size = 204
		refs = "00a7 TControl.SetText"
	strings:
		$1 = { 53 56 8B D8 8B F2 89 B3 C8 03 00 00 8D 04 76 8B 93 C4 03 00 00 0F B6 54 82 08 8B 83 A4 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 C8 03 00 00 8D 04 40 8B 93 C4 03 00 00 0F B6 54 82 09 8B 83 AC 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 C8 03 00 00 8D 04 40 8B 93 C4 03 00 00 0F B6 54 82 0A 8B 83 A8 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 C8 03 00 00 8D 04 40 8B 93 C4 03 00 00 0F B6 54 82 0B 8B 83 B0 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 C8 03 00 00 8D 04 40 8B 93 C4 03 00 00 8B 14 82 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 83 C8 03 00 00 8D 04 40 8B 93 C4 03 00 00 8B 54 82 04 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26709_0 {
	meta:
		name = "TAzACL.MoveToRow"
		size = 235
		refs = "0015 TAzACL.MoveToRow 002e TStringGrid.GetCells 0037 EmptyStr 003e @UStrEqual 0048 SNewPolicyCaption 004d LoadResString 005b TControl.SetText 0063 TAccessPolicy.Create 0078 TAccessPolicy 007d @CopyRecord 00a9 TAzACL.MoveIndex 00be @UStrClr 00cc @FinalizeRecord 00d9 @UStrArrayClr 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CE 33 D2 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 3F 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 55 EC 8D 04 76 8B 8B C4 03 00 00 8D 04 81 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 45 E8 50 8B CE 33 D2 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26710_0 {
	meta:
		name = "TAzACL.rgPublicDataAccessClick"
		size = 17
		altNames = "TAzBlockProps.lbeCacheChange TAzMetadata.vleMetaStringsChange"
	strings:
		$1 = { B2 01 8B 80 90 03 00 00 8B 08 FF 91 80 00 00 00 C3 }
	condition:
		$1
}

rule function_26711_0 {
	meta:
		name = "TAzACL.SetAccessPolicy"
		size = 169
		refs = "0022 TAccessPolicy 0027 @AddRefRecord 002f TAzACL.SetAccessPolicy 004f @CopyRecord 0059 _Dn_TAzureService 005e TAzureService.Decode 0071 TStringGrid.SetCells 0086 @UStrClr 0094 @FinalizeRecord 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 8B 75 08 8D 7D F4 A5 A5 A5 8B F9 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 04 76 8B 93 C4 03 00 00 8D 04 82 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B CE 33 D2 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_26712_0 {
	meta:
		name = "TAzACL.SetAccessPolicyLength"
		size = 35
		refs = "0014 TAccessPolicyArray 0019 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8D 83 C4 03 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_26713_0 {
	meta:
		name = "TAzACL.SetBaseline"
		size = 17
		altNames = "TAzBlockProps.SetBaseline"
	strings:
		$1 = { 33 D2 8B 80 90 03 00 00 8B 08 FF 91 80 00 00 00 C3 }
	condition:
		$1
}

rule function_26714_0 {
	meta:
		name = "TAzACL.SetPublicDataAccess"
		size = 176
		refs = "0007 TAzACL.SetPublicDataAccess 000e @UStrEqual 0020 TCustomRadioGroup.SetItemIndex 0045 EmptyStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 75 13 BA 01 00 00 00 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 B8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 75 0F 33 D2 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? EB 30 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 75 12 BA 02 00 00 00 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? EB 0E 83 CA FF 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6C 00 6F 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_26715_0 {
	meta:
		name = "TAzACL.sgIdGetEditText"
		size = 37
		refs = "000c TAzACL.MoveToRow 001c @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 8D 83 CC 03 00 00 8B 55 08 8B 12 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_26716_0 {
	meta:
		name = "TAzACL.sgIdSelectCell"
		size = 172
		refs = "001b TAzACL.sgIdSelectCell 003a TStringGrid.GetCells 0043 EmptyStr 004a @UStrEqual 005b TAzACL.MoveToRow 007d @UStrAsg 0097 @UStrArrayClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B D8 8B 7D 08 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7E 28 8D 45 F8 50 8B CE 49 8B 55 FC 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 95 07 80 3F 00 74 2B 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 50 8B CE 8B 55 FC 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8D 83 CC 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_26717_0 {
	meta:
		name = "TAzACL.sgIdSetEditText"
		size = 328
		refs = "001f TAzACL.sgIdSetEditText 003a EmptyStr 0041 @UStrEqual 0053 SAreYouSurePolicy 0058 LoadResString 006f Format 0097 MessageDlgPosHelp 00a5 TAzACL.DeleteRow 00ae TAzACL.MoveToRow 00c6 TStringGrid.SetCells 00d6 @UStrAsg 00e9 TStringGrid.GetCells 00f7 TControl.SetText 011c @UStrClr 0132 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D F4 89 5D FC 8B F9 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B B3 C8 03 00 00 0F 85 D6 00 00 00 8B 45 08 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 85 81 00 00 00 8D 45 FC 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8D 56 01 89 55 EC C6 45 F0 00 8D 55 EC 33 C9 E8 ?? ?? ?? ?? C6 45 FB 00 0F B7 05 ?? ?? ?? ?? 66 89 45 F9 33 C0 50 6A FF 6A FF 6A 00 0F B6 55 FB 0F B7 4D F9 8B 45 FC E8 ?? ?? ?? ?? 83 F8 06 75 14 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? EB 26 8B 83 CC 03 00 00 50 8B CE 8B D7 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? EB 0E 8D 83 CC 03 00 00 8B 55 08 E8 ?? ?? ?? ?? 8D 45 E8 50 8B CE 8B D7 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_26720_0 {
	meta:
		name = "TAzBlock.btnFileClick"
		size = 296
		refs = "0012 TAzBlock.btnFileClick 0021 _Dn_TOpenDialog 0026 TOpenDialog.Create 0030 TWinControl.GetHandle 004f TOpenDialog.GetFileName 0059 _Dn_TFileStream 005e TFileStream.Create 008e SMaxSizeBlock 0093 LoadResString 00af MessageDlgPosHelp 00ca TControl.SetText 00df TObject.Free 00e5 @HandleFinally 0109 @UStrArrayClr 0111 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 54 84 C0 0F 84 A5 00 00 00 6A 00 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 F6 55 68 ?? ?? ?? ?? 64 FF 36 64 89 26 8B 45 F4 8B 10 FF 12 83 FA 00 75 09 3D 00 00 40 00 72 2F EB 02 7C 2B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? EB 19 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_26721_0 {
	meta:
		name = "TAzBlock.Content"
		size = 238
		refs = "0018 TAzBlock.Content 002c TControl.GetText 005c _Dn_TFileStream 0061 TFileStream.Create 0087 TArray<System.Byte> 008c @DynArraySetLength 00a2 TStream.ReadBuffer 00b7 TObject.Free 00bd @HandleFinally 00d4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 7D 6A 00 8D 55 F0 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 12 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 10 FF 12 50 8B 16 8B 45 FC 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26722_0 {
	meta:
		name = "TAzBlock.GetBlockId"
		size = 88
		refs = "000f TAzBlock.GetBlockId 0023 TControl.GetText 002d _Dn_TAzureService 0032 TAzureService.Encode 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B CE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26723_0 {
	meta:
		name = "TAzBlock.GetLeaseId"
		size = 22
		refs = "000f TControl.GetText"
		altNames = "TAzBlockProps.GetMD5 TAzCreateContainerDlg.GetContainerName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26724_0 {
	meta:
		name = "TAzBlock.GetLocation"
		size = 22
		refs = "000f TControl.GetText"
		altNames = "TAzBlockProps.GetEncoding"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26725_0 {
	meta:
		name = "TAzBlock.GetMD5"
		size = 22
		refs = "000f TControl.GetText"
		altNames = "TAzBlockBlob.GetBlobName TAzBlockProps.GetType TAzPageBlob.GetBlobName TTAzureTableRowDialog.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26726_0 {
	meta:
		name = "TAzBlock.SetBlockId"
		size = 88
		refs = "000f TAzBlock.SetBlockId 001f _Dn_TAzureService 0024 TAzureService.Decode 0032 TControl.SetText 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_26727_0 {
	meta:
		name = "TAzBlock.SetLeaseId"
		size = 12
		refs = "0007 TControl.SetText"
		altNames = "TAzBlockProps.SetMD5"
	strings:
		$1 = { 8B 80 A4 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26728_0 {
	meta:
		name = "TAzBlock.SetLocation"
		size = 12
		refs = "0007 TControl.SetText"
		altNames = "TAzBlockProps.SetEncoding"
	strings:
		$1 = { 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74826_0 {
	meta:
		name = "TCustomTreeView.SetChangeDelay"
		size = 12
		refs = "0007 TTimer.SetInterval"
	strings:
		$1 = { 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92514_0 {
	meta:
		name = "TFormTeePage.Chart"
		size = 12
		refs = "0007 TChartPageNavigator.GetChart"
	strings:
		$1 = { 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26729_0 {
	meta:
		name = "TAzBlock.SetMD5"
		size = 12
		refs = "0007 TControl.SetText"
		altNames = "TAzBlockProps.SetType"
	strings:
		$1 = { 8B 80 A0 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26738_0 {
	meta:
		name = "TAzBlockBlob.AssignMetadata"
		size = 204
		refs = "0019 TAzBlockBlob.AssignMetadata 0027 TDictionary<System.string,System.string>.Clear 0032 TValueListEditor.GetStrings 0057 TStrings.GetName 006c TStrings.GetValueFromIndex 009a TDictionary<System.string,System.string>.Add 00ba @UStrArrayClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 86 D4 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 14 48 85 C0 7C 64 40 89 45 F0 33 DB 8B 86 D4 03 00 00 E8 ?? ?? ?? ?? 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 8B 86 D4 03 00 00 E8 ?? ?? ?? ?? 8D 4D F8 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1E 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0E 8B 4D F8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 43 FF 4D F0 75 A2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26739_0 {
	meta:
		name = "TAzBlockBlob.btnAddMetadataClick"
		size = 36
		refs = "0010 TValueListEditor.InsertRow"
	strings:
		$1 = { 53 8B D8 6A 01 33 C9 33 D2 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8B 83 D4 03 00 00 8B 10 FF 92 F4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_26740_0 {
	meta:
		name = "TAzBlockBlob.btnDelMetadataClick"
		size = 54
		refs = "001b TValueListEditor.GetRowCount"
	strings:
		$1 = { 53 56 8B D8 8B 83 D4 03 00 00 8B B0 94 02 00 00 85 F6 7E 1F 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 3B F0 7D 10 8B D6 8B 83 D4 03 00 00 8B 08 FF 91 20 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_26741_0 {
	meta:
		name = "TAzBlockBlob.btnFileClick"
		size = 296
		refs = "0012 TAzBlockBlob.btnFileClick 0021 _Dn_TOpenDialog 0026 TOpenDialog.Create 0030 TWinControl.GetHandle 004f TOpenDialog.GetFileName 0059 _Dn_TFileStream 005e TFileStream.Create 008e SMaxSize 0093 LoadResString 00af MessageDlgPosHelp 00ca TControl.SetText 00df TObject.Free 00e5 @HandleFinally 0109 @UStrArrayClr 0111 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 54 84 C0 0F 84 A5 00 00 00 6A 00 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 F6 55 68 ?? ?? ?? ?? 64 FF 36 64 89 26 8B 45 F4 8B 10 FF 12 83 FA 00 75 09 3D 00 00 00 04 72 2F EB 02 7C 2B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? EB 19 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_26742_0 {
	meta:
		name = "TAzBlockBlob.edtBlobNameChange"
		size = 113
		refs = "0012 TAzBlockBlob.edtBlobNameChange 0026 TControl.GetText 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C2 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27407_0 {
	meta:
		name = "TAzPageBlob.edtBlobNameChange"
		size = 113
		refs = "0012 TAzPageBlob.edtBlobNameChange 0026 TControl.GetText 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C2 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_26744_0 {
	meta:
		name = "TAzBlockBlob.GetContentEncoding"
		size = 22
		refs = "000f TControl.GetText"
		altNames = "TAzPageBlob.GetContentEncoding"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26745_0 {
	meta:
		name = "TAzBlockBlob.GetContentLanguage"
		size = 22
		refs = "000f TControl.GetText"
		altNames = "TAzCopyBlob.GetDestMatch TAzPage.GetLeaseID TAzPageBlob.GetContentLanguage TAzPageProps.GetNumberAction TAzPutBlockList.GetContentEncoding TAzSnapshotBlob.GetMatch"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26746_0 {
	meta:
		name = "TAzBlockBlob.GetContentLocation"
		size = 22
		refs = "000f TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26747_0 {
	meta:
		name = "TAzBlockBlob.GetContentMD5"
		size = 22
		refs = "000f TControl.GetText"
		altNames = "TAzPageBlob.GetContentMD5"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26748_0 {
	meta:
		name = "TAzBlockBlob.GetContentType"
		size = 22
		refs = "000f TControl.GetText"
		altNames = "TAzCopyBlob.GetDestNoneMatch TAzPage.GetContentMD5 TAzPageBlob.GetContentType TAzPutBlockList.GetContentMD5 TAzSnapshotBlob.GetNoneMatch"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26749_0 {
	meta:
		name = "TAzBlockBlob.PopulateWithMetadata"
		size = 177
		refs = "0015 TAzBlockBlob.PopulateWithMetadata 0026 TValueListEditor.GetStrings 0033 TDictionary<System.string,System.string>.GetKeys 0048 TDictionary<System.string,System.string>.TKeyCollection.GetCount 0063 TDictionary<System.string,System.string>.GetItem 0077 TValueListEditor.SetValue 0090 @UStrClr 0099 TArray<System.string> 009e @DynArrayClear 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 D4 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 51 04 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2C 46 33 DB 8D 4D F4 8B 45 FC 8B 14 98 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F4 8B 45 FC 8B 14 98 8B 87 D4 03 00 00 E8 ?? ?? ?? ?? 43 4E 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26750_0 {
	meta:
		name = "TAzBlockBlob.RawMetadata"
		size = 12
		refs = "0007 TValueListEditor.GetStrings"
	strings:
		$1 = { 8B 80 D4 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26751_0 {
	meta:
		name = "TAzBlockBlob.SetBlobName"
		size = 52
		refs = "000f TControl.SetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 94 C2 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_26753_0 {
	meta:
		name = "TAzBlockBlob.SetContentLanguage"
		size = 12
		refs = "0007 TControl.SetText"
		altNames = "TAzPageProps.SetNumberAction"
	strings:
		$1 = { 8B 80 BC 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50855_0 {
	meta:
		name = "TDlgProperties.SetLogFrame"
		size = 12
		refs = "0007 TLogColSettingsFrame.SetLogFrame"
	strings:
		$1 = { 8B 80 BC 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50856_0 {
	meta:
		name = "TDlgProperties.UpdateColumns"
		size = 12
		refs = "0007 TLogColSettingsFrame.UpdateColumns"
	strings:
		$1 = { 8B 80 BC 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26754_0 {
	meta:
		name = "TAzBlockBlob.SetContentMD5"
		size = 12
		refs = "0007 TControl.SetText"
	strings:
		$1 = { 8B 80 C0 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26978_0 {
	meta:
		name = "TAzCopyBlob.RawMetadata"
		size = 12
		refs = "0007 TValueListEditor.GetStrings"
	strings:
		$1 = { 8B 80 C0 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27633_0 {
	meta:
		name = "TAzPutBlockList.RawMetadata"
		size = 12
		refs = "0007 TValueListEditor.GetStrings"
	strings:
		$1 = { 8B 80 C0 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27834_0 {
	meta:
		name = "TAzSnapshotBlob.RawMetadata"
		size = 12
		refs = "0007 TValueListEditor.GetStrings"
	strings:
		$1 = { 8B 80 C0 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93156_0 {
	meta:
		name = "TTeeGalleryForm.FormDestroy"
		size = 12
		refs = "0007 TObject.Free"
	strings:
		$1 = { 8B 80 C0 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26755_0 {
	meta:
		name = "TAzBlockBlob.SetContentType"
		size = 12
		refs = "0007 TControl.SetText"
	strings:
		$1 = { 8B 80 B8 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26756_0 {
	meta:
		name = "TAzBlockBlob.SetOKCaption"
		size = 64
		refs = "0010 TAzBlockBlob.SetOKCaption 001b TControl.SetText"
	strings:
		$1 = { 8B CA 85 C9 74 05 83 E9 04 8B 09 85 C9 75 11 BA ?? ?? ?? ?? 8B 80 90 03 00 00 E8 ?? ?? ?? ?? C3 8B 80 90 03 00 00 E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_26943_0 {
	meta:
		name = "TAzBlockProps.GetCache"
		size = 22
		refs = "000f TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26945_0 {
	meta:
		name = "TAzBlockProps.GetLanguage"
		size = 22
		refs = "000f TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26950_0 {
	meta:
		name = "TAzBlockProps.SetCache"
		size = 12
		refs = "0007 TControl.SetText"
	strings:
		$1 = { 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26952_0 {
	meta:
		name = "TAzBlockProps.SetLanguage"
		size = 12
		refs = "0007 TControl.SetText"
	strings:
		$1 = { 8B 80 AC 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27181_0 {
	meta:
		name = "TAzCreateContainerDlg.RawMetadata"
		size = 12
		refs = "0007 TValueListEditor.GetStrings"
	strings:
		$1 = { 8B 80 AC 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26963_0 {
	meta:
		name = "TAzCopyBlob.AssignMetadata"
		size = 204
		refs = "0019 TAzCopyBlob.AssignMetadata 0027 TDictionary<System.string,System.string>.Clear 0032 TValueListEditor.GetStrings 0057 TStrings.GetName 006c TStrings.GetValueFromIndex 009a TDictionary<System.string,System.string>.Add 00ba @UStrArrayClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 14 48 85 C0 7C 64 40 89 45 F0 33 DB 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? 8D 4D F8 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1E 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0E 8B 4D F8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 43 FF 4D F0 75 A2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27619_0 {
	meta:
		name = "TAzPutBlockList.AssignMetadata"
		size = 204
		refs = "0019 TAzPutBlockList.AssignMetadata 0027 TDictionary<System.string,System.string>.Clear 0032 TValueListEditor.GetStrings 0057 TStrings.GetName 006c TStrings.GetValueFromIndex 009a TDictionary<System.string,System.string>.Add 00ba @UStrArrayClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 14 48 85 C0 7C 64 40 89 45 F0 33 DB 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? 8D 4D F8 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1E 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0E 8B 4D F8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 43 FF 4D F0 75 A2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27826_0 {
	meta:
		name = "TAzSnapshotBlob.AssignMetadata"
		size = 204
		refs = "0019 TAzSnapshotBlob.AssignMetadata 0027 TDictionary<System.string,System.string>.Clear 0032 TValueListEditor.GetStrings 0057 TStrings.GetName 006c TStrings.GetValueFromIndex 009a TDictionary<System.string,System.string>.Add 00ba @UStrArrayClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 14 48 85 C0 7C 64 40 89 45 F0 33 DB 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? 8D 4D F8 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1E 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0E 8B 4D F8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 43 FF 4D F0 75 A2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26964_0 {
	meta:
		name = "TAzCopyBlob.btnAddMetadataClick"
		size = 36
		refs = "0010 TValueListEditor.InsertRow"
		altNames = "TAzPutBlockList.btnAddMetadataClick TAzSnapshotBlob.btnAddMetadataClick"
	strings:
		$1 = { 53 8B D8 6A 01 33 C9 33 D2 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 8B 10 FF 92 F4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_26965_0 {
	meta:
		name = "TAzCopyBlob.btnDelMetadataClick"
		size = 54
		refs = "001b TValueListEditor.GetRowCount"
		altNames = "TAzPutBlockList.btnDelMetadataClick TAzSnapshotBlob.btnDelMetadataClick"
	strings:
		$1 = { 53 56 8B D8 8B 83 C0 03 00 00 8B B0 94 02 00 00 85 F6 7E 1F 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 3B F0 7D 10 8B D6 8B 83 C0 03 00 00 8B 08 FF 91 20 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_26966_0 {
	meta:
		name = "TAzCopyBlob.GetDestModifiedSince"
		size = 22
		refs = "000f TControl.GetText"
		altNames = "TAzPageProps.GetLength TAzPutBlockList.GetContentType TAzSnapshotBlob.GetModifiedSince"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26967_0 {
	meta:
		name = "TAzCopyBlob.GetDestUnmodifiedSince"
		size = 22
		refs = "000f TControl.GetText"
		altNames = "TAzPutBlockList.GetContentLanguage TAzSnapshotBlob.GetUnmodifiedSince"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26968_0 {
	meta:
		name = "TAzCopyBlob.GetSrcMatch"
		size = 22
		refs = "000f TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26969_0 {
	meta:
		name = "TAzCopyBlob.GetSrcModifiedSince"
		size = 22
		refs = "000f TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26970_0 {
	meta:
		name = "TAzCopyBlob.GetSrcNoneMatch"
		size = 22
		refs = "000f TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26971_0 {
	meta:
		name = "TAzCopyBlob.GetSrcUnmodifiedSince"
		size = 22
		refs = "000f TControl.GetText"
		altNames = "TDlgProperties.GetBrowser"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26973_0 {
	meta:
		name = "TAzCopyBlob.GetDestBlob"
		size = 22
		refs = "000f TControl.GetText"
		altNames = "TAzPutBlockList.GetCacheControl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26974_0 {
	meta:
		name = "TAzCopyBlob.GetDestContainer"
		size = 22
		refs = "000f TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_26977_0 {
	meta:
		name = "TAzCopyBlob.PopulateWithMetadata"
		size = 177
		refs = "0015 TAzCopyBlob.PopulateWithMetadata 0026 TValueListEditor.GetStrings 0033 TDictionary<System.string,System.string>.GetKeys 0048 TDictionary<System.string,System.string>.TKeyCollection.GetCount 0063 TDictionary<System.string,System.string>.GetItem 0077 TValueListEditor.SetValue 0090 @UStrClr 0099 TArray<System.string> 009e @DynArrayClear 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 C0 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 51 04 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2C 46 33 DB 8D 4D F4 8B 45 FC 8B 14 98 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F4 8B 45 FC 8B 14 98 8B 87 C0 03 00 00 E8 ?? ?? ?? ?? 43 4E 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27632_0 {
	meta:
		name = "TAzPutBlockList.PopulateWithMetadata"
		size = 177
		refs = "0015 TAzPutBlockList.PopulateWithMetadata 0026 TValueListEditor.GetStrings 0033 TDictionary<System.string,System.string>.GetKeys 0048 TDictionary<System.string,System.string>.TKeyCollection.GetCount 0063 TDictionary<System.string,System.string>.GetItem 0077 TValueListEditor.SetValue 0090 @UStrClr 0099 TArray<System.string> 009e @DynArrayClear 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 C0 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 51 04 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2C 46 33 DB 8D 4D F4 8B 45 FC 8B 14 98 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F4 8B 45 FC 8B 14 98 8B 87 C0 03 00 00 E8 ?? ?? ?? ?? 43 4E 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27833_0 {
	meta:
		name = "TAzSnapshotBlob.PopulateWithMetadata"
		size = 177
		refs = "0015 TAzSnapshotBlob.PopulateWithMetadata 0026 TValueListEditor.GetStrings 0033 TDictionary<System.string,System.string>.GetKeys 0048 TDictionary<System.string,System.string>.TKeyCollection.GetCount 0063 TDictionary<System.string,System.string>.GetItem 0077 TValueListEditor.SetValue 0090 @UStrClr 0099 TArray<System.string> 009e @DynArrayClear 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 C0 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 51 04 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2C 46 33 DB 8D 4D F4 8B 45 FC 8B 14 98 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F4 8B 45 FC 8B 14 98 8B 87 C0 03 00 00 E8 ?? ?? ?? ?? 43 4E 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_26979_0 {
	meta:
		name = "TAzCopyBlob.SetDestContainer"
		size = 12
		refs = "0007 TControl.SetText"
	strings:
		$1 = { 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94589_0 {
	meta:
		name = "TTeePreviewPanel.GetShadowSize"
		size = 12
		refs = "0007 TTeeShadow.GetSize"
	strings:
		$1 = { 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94587_0 {
	meta:
		name = "TTeePreviewPanel.SetShadowColor"
		size = 12
		refs = "0007 TTeeShadow.SetColor"
	strings:
		$1 = { 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94569_0 {
	meta:
		name = "TTeePreviewPanel.SetShadowSize"
		size = 12
		refs = "0007 TTeeShadow.SetSize"
	strings:
		$1 = { 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_26980_0 {
	meta:
		name = "TAzCopyBlob.ValidateCopy"
		size = 160
		refs = "0010 TAzCopyBlob.ValidateCopy 0024 TControl.GetText 0087 @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 27 8D 55 F4 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C0 EB 02 33 C0 8B 93 90 03 00 00 92 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27173_0 {
	meta:
		name = "TAzCreateContainerDlg.AssignMetadata"
		size = 204
		refs = "0019 TAzCreateContainerDlg.AssignMetadata 0027 TDictionary<System.string,System.string>.Clear 0032 TValueListEditor.GetStrings 0057 TStrings.GetName 006c TStrings.GetValueFromIndex 009a TDictionary<System.string,System.string>.Add 00ba @UStrArrayClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 86 AC 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 14 48 85 C0 7C 64 40 89 45 F0 33 DB 8B 86 AC 03 00 00 E8 ?? ?? ?? ?? 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 8B 86 AC 03 00 00 E8 ?? ?? ?? ?? 8D 4D F8 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1E 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0E 8B 4D F8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 43 FF 4D F0 75 A2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27174_0 {
	meta:
		name = "TAzCreateContainerDlg.btnAddMetadataClick"
		size = 36
		refs = "0010 TValueListEditor.InsertRow"
	strings:
		$1 = { 53 8B D8 6A 01 33 C9 33 D2 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 8B 83 AC 03 00 00 8B 10 FF 92 F4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_27175_0 {
	meta:
		name = "TAzCreateContainerDlg.btnDelMetadataClick"
		size = 54
		refs = "001b TValueListEditor.GetRowCount"
	strings:
		$1 = { 53 56 8B D8 8B 83 AC 03 00 00 8B B0 94 02 00 00 85 F6 7E 1F 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 3B F0 7D 10 8B D6 8B 83 AC 03 00 00 8B 08 FF 91 20 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_27176_0 {
	meta:
		name = "TAzCreateContainerDlg.edtContainerNameChange"
		size = 113
		refs = "0012 TAzCreateContainerDlg.edtContainerNameChange 0026 TControl.GetText 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C2 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27178_0 {
	meta:
		name = "TAzCreateContainerDlg.GetPublicDataAccess"
		size = 116
		refs = "0016 TAzCreateContainerDlg.GetPublicDataAccess 001b @UStrAsg 0035 @UStrClr"
	strings:
		$1 = { 53 8B DA 8B 90 A8 03 00 00 8B 92 88 02 00 00 85 D2 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 4A 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6C 00 6F 00 62 00 00 00 00 00 }
	condition:
		$1
}

rule function_27180_0 {
	meta:
		name = "TAzCreateContainerDlg.PopulateWithMetadata"
		size = 177
		refs = "0015 TAzCreateContainerDlg.PopulateWithMetadata 0026 TValueListEditor.GetStrings 0033 TDictionary<System.string,System.string>.GetKeys 0048 TDictionary<System.string,System.string>.TKeyCollection.GetCount 0063 TDictionary<System.string,System.string>.GetItem 0077 TValueListEditor.SetValue 0090 @UStrClr 0099 TArray<System.string> 009e @DynArrayClear 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 AC 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 51 04 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2C 46 33 DB 8D 4D F4 8B 45 FC 8B 14 98 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F4 8B 45 FC 8B 14 98 8B 87 AC 03 00 00 E8 ?? ?? ?? ?? 43 4E 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27182_0 {
	meta:
		name = "TAzCreateContainerDlg.SetContainerName"
		size = 36
		refs = "000d TControl.SetText"
	strings:
		$1 = { 53 56 8B D9 8B F0 8B 86 A4 03 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 A4 03 00 00 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_27183_0 {
	meta:
		name = "TAzCreateContainerDlg.SetPublicDataAccess"
		size = 88
		refs = "0009 TAzCreateContainerDlg.SetPublicDataAccess 000e @UStrEqual 001d TCustomRadioGroup.SetItemIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 10 33 D2 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 BA 01 00 00 00 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_27214_0 {
	meta:
		name = "TDictionary<System.string,System.string>.ExtractPair"
		size = 143
		refs = "0019 TDictionary<System.string,System.string>.ExtractPair 0028 TDictionary<System.string,System.string>.Hash 0035 TDictionary<System.string,System.string>.GetBucketIndex 0045 TPair<System.string,System.string>.Create 0058 TDictionary<System.string,System.string>.DoRemove 007c @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0E 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 20 6A 02 8D 45 F8 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 8B D3 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_56767_0 {
	meta:
		name = "TDictionary<System.string,System.IInterface>.ExtractPair"
		size = 143
		refs = "0019 TDictionary<System.string,System.IInterface>.ExtractPair 0028 TDictionary<System.string,System.IInterface>.Hash 0035 TDictionary<System.string,System.IInterface>.GetBucketIndex 0045 TPair<System.string,System.IInterface>.Create 0058 TDictionary<System.string,System.IInterface>.DoRemove 007c @IntfClear 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0E 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 20 6A 02 8D 45 F8 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 8B D3 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27371_0 {
	meta:
		name = "TAzMetadata.btnAddMetadataClick"
		size = 78
		refs = "000d TCustomGrid.SetCol 0020 TValueListEditor.InsertRow 0029 TCustomGrid.SetRow"
	strings:
		$1 = { 53 56 8B D8 33 D2 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 6A 01 33 C9 33 D2 8B B3 98 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 98 03 00 00 8B 10 FF 92 F4 00 00 00 B2 01 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_27372_0 {
	meta:
		name = "TAzMetadata.btnDelMetadataClick"
		size = 70
		refs = "001b TValueListEditor.GetRowCount"
	strings:
		$1 = { 53 56 8B D8 8B 83 98 03 00 00 8B B0 94 02 00 00 85 F6 7E 2F 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 3B F0 7D 20 8B D6 8B 83 98 03 00 00 8B 08 FF 91 20 01 00 00 B2 01 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_27373_0 {
	meta:
		name = "TAzMetadata.IsMetadata"
		size = 60
		refs = "0006 TAzMetadata.IsMetadata 000b Pos"
	strings:
		$1 = { 53 8B DA 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 0F 94 C0 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6D 00 65 00 74 00 61 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_27374_0 {
	meta:
		name = "TAzMetadata.MetadataName"
		size = 60
		refs = "000b TAzMetadata.MetadataName 0010 @UStrCat3"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C6 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6D 00 65 00 74 00 61 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_27375_0 {
	meta:
		name = "TAzMetadata.PopulateContentFromHeader"
		size = 263
		refs = "001e TAzMetadata.PopulateContentFromHeader 0039 TValueListEditor.GetStrings 003e TStrings.BeginUpdate 0065 TStrings.GetName 006f TAzMetadata.IsMetadata 0080 TStrings.GetValueFromIndex 009e TAzMetadata.ShortName 00b4 TStrings.SetValue 00c8 TStrings.EndUpdate 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 88 4D FB 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B F0 8B 83 98 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B FE 4F 85 FF 7C 63 47 33 F6 8D 4D F4 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 41 8D 4D F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 50 8D 4D E8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 4D EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 46 4F 75 A0 8B 83 98 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 55 FB 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27376_0 {
	meta:
		name = "TAzMetadata.PopulateHeaderFromContainer"
		size = 181
		refs = "0015 TAzMetadata.PopulateHeaderFromContainer 002e TValueListEditor.GetStrings 0052 TStrings.GetValueFromIndex 006b TStrings.GetName 0078 TAzMetadata.MetadataName 0084 TStrings.SetValue 00a2 @UStrArrayClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 14 8B F8 4F 85 FF 7C 4E 47 33 F6 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 8D 4D F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 59 E8 ?? ?? ?? ?? 46 4F 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27377_0 {
	meta:
		name = "TAzMetadata.ShortName"
		size = 27
		refs = "0014 @UStrCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 56 B9 FF FF FF 7F BA 0B 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27381_0 {
	meta:
		name = "TAzPage.btnExplorerClick"
		size = 228
		refs = "0012 TAzPage.btnExplorerClick 0021 _Dn_TOpenDialog 0026 TOpenDialog.Create 002f TWinControl.GetHandle 0046 TOpenDialog.GetFileName 0054 TControl.SetText 006a _Dn_TFileStream 006f TFileStream.Create 0083 @_lldiv 0093 IntToStr 00a8 TObject.Free 00c4 @UStrClr 00d1 @UStrArrayClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 54 84 C0 74 6C 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 6A 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 6A 00 68 00 02 00 00 8B C7 8B 10 FF 12 E8 ?? ?? ?? ?? 83 C0 01 83 D2 00 52 50 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27382_0 {
	meta:
		name = "TAzPage.Content"
		size = 272
		refs = "0018 TAzPage.Content 002c TControl.GetText 0060 _Dn_TFileStream 0065 TFileStream.Create 0090 @_lldiv 009b @_llmul 00a9 TArray<System.Byte> 00ae @DynArraySetLength 00c4 TStream.ReadBuffer 00d9 TObject.Free 00df @HandleFinally 00f6 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 9B 00 00 00 6A 00 8D 55 F0 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 68 00 02 00 00 6A 00 68 00 02 00 00 8B 45 FC 8B 10 FF 12 E8 ?? ?? ?? ?? 83 C0 01 83 D2 00 E8 ?? ?? ?? ?? 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 10 FF 12 50 8B 16 8B 45 FC 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27383_0 {
	meta:
		name = "TAzPage.EndByte"
		size = 156
		refs = "0015 TAzPage.EndByte 0030 TControl.GetText 0038 StrToInt64 005f @_llmul 0085 @UStrArrayClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 68 00 02 00 00 8D 55 F4 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 52 50 8D 55 F0 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 03 04 24 13 54 24 04 83 C4 08 E8 ?? ?? ?? ?? 83 E8 01 83 DA 00 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 8B 55 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27384_0 {
	meta:
		name = "TAzPage.FirstByte"
		size = 108
		refs = "0012 TAzPage.FirstByte 002d TControl.GetText 0035 StrToInt64 003a @_llmul 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 68 00 02 00 00 8D 55 F4 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27387_0 {
	meta:
		name = "TAzPage.SetLeaseID"
		size = 79
		refs = "000e @UStrAddRef 0016 TAzPage.SetLeaseID 002a TControl.SetText 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_27388_0 {
	meta:
		name = "TAzPage.GetModifiedSince"
		size = 47
		refs = "0009 @UStrClr 0028 TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 83 D0 03 00 00 8B 10 FF 92 F8 00 00 00 85 C0 75 0D 8B D6 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27389_0 {
	meta:
		name = "TAzPage.GetPageWrite"
		size = 100
		refs = "0015 TAzPage.GetPageWrite 001a @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B 80 B0 03 00 00 83 B8 88 02 00 00 00 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 75 00 70 00 64 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 65 00 61 00 72 00 00 00 }
	condition:
		$1
}

rule function_27390_0 {
	meta:
		name = "TAzPage.GetSequenceNumberEq"
		size = 48
		refs = "0009 @UStrClr 0029 TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 83 C4 03 00 00 8B 10 FF 92 F8 00 00 00 83 F8 02 75 0D 8B D6 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27391_0 {
	meta:
		name = "TAzPage.GetSequenceNumberLt"
		size = 46
		refs = "0009 @UStrClr 0027 TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 83 C4 03 00 00 8B 10 FF 92 F8 00 00 00 48 75 0D 8B D6 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27392_0 {
	meta:
		name = "TAzPage.GetSequenceNumberLte"
		size = 47
		refs = "0009 @UStrClr 0028 TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 83 C4 03 00 00 8B 10 FF 92 F8 00 00 00 85 C0 75 0D 8B D6 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27393_0 {
	meta:
		name = "TAzPage.GetUnmodifiedSince"
		size = 46
		refs = "0009 @UStrClr 0027 TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 83 D0 03 00 00 8B 10 FF 92 F8 00 00 00 48 75 0D 8B D6 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27394_0 {
	meta:
		name = "TAzPage.IfMatch"
		size = 47
		refs = "0009 @UStrClr 0028 TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 83 DC 03 00 00 8B 10 FF 92 F8 00 00 00 85 C0 75 0D 8B D6 8B 83 E0 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27395_0 {
	meta:
		name = "TAzPage.IfNoneMatch"
		size = 46
		refs = "0009 @UStrClr 0027 TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 83 DC 03 00 00 8B 10 FF 92 F8 00 00 00 48 75 0D 8B D6 8B 83 E0 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_27404_0 {
	meta:
		name = "TAzPageBlob.AssignMetadata"
		size = 204
		refs = "0019 TAzPageBlob.AssignMetadata 0027 TDictionary<System.string,System.string>.Clear 0032 TValueListEditor.GetStrings 0057 TStrings.GetName 006c TStrings.GetValueFromIndex 009a TDictionary<System.string,System.string>.Add 00ba @UStrArrayClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 86 C8 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 14 48 85 C0 7C 64 40 89 45 F0 33 DB 8B 86 C8 03 00 00 E8 ?? ?? ?? ?? 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 8B 86 C8 03 00 00 E8 ?? ?? ?? ?? 8D 4D F8 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1E 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0E 8B 4D F8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 43 FF 4D F0 75 A2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27405_0 {
	meta:
		name = "TAzPageBlob.btnAddMetadataClick"
		size = 36
		refs = "0010 TValueListEditor.InsertRow"
	strings:
		$1 = { 53 8B D8 6A 01 33 C9 33 D2 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 8B 83 C8 03 00 00 8B 10 FF 92 F4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_27406_0 {
	meta:
		name = "TAzPageBlob.btnDelMetadataClick"
		size = 54
		refs = "001b TValueListEditor.GetRowCount"
	strings:
		$1 = { 53 56 8B D8 8B 83 C8 03 00 00 8B B0 94 02 00 00 85 F6 7E 1F 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 3B F0 7D 10 8B D6 8B 83 C8 03 00 00 8B 08 FF 91 20 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_27411_0 {
	meta:
		name = "TAzPageBlob.GetContentLength"
		size = 233
		refs = "0012 TAzPageBlob.GetContentLength 0026 TControl.GetText 002e StrToInt64 005f @_llmul 00d2 @UStrClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8B 83 DC 03 00 00 8B 10 FF 92 F8 00 00 00 48 74 08 48 74 1F 48 74 42 EB 70 6A 00 68 00 04 00 00 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 89 45 F8 89 55 FC EB 56 6A 00 68 00 04 00 00 6A 00 68 00 04 00 00 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 89 55 FC EB 30 6A 00 68 00 04 00 00 6A 00 68 00 04 00 00 6A 00 68 00 04 00 00 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27414_0 {
	meta:
		name = "TAzPageBlob.GetSequenceNumber"
		size = 96
		refs = "0012 TAzPageBlob.GetSequenceNumber 0026 TControl.GetText 002e StrToInt64 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27415_0 {
	meta:
		name = "TAzPageBlob.PopulateWithMetadata"
		size = 177
		refs = "0015 TAzPageBlob.PopulateWithMetadata 0026 TValueListEditor.GetStrings 0033 TDictionary<System.string,System.string>.GetKeys 0048 TDictionary<System.string,System.string>.TKeyCollection.GetCount 0063 TDictionary<System.string,System.string>.GetItem 0077 TValueListEditor.SetValue 0090 @UStrClr 0099 TArray<System.string> 009e @DynArrayClear 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 C8 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 51 04 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2C 46 33 DB 8D 4D F4 8B 45 FC 8B 14 98 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F4 8B 45 FC 8B 14 98 8B 87 C8 03 00 00 E8 ?? ?? ?? ?? 43 4E 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_27416_0 {
	meta:
		name = "TAzPageBlob.RawMetadata"
		size = 12
		refs = "0007 TValueListEditor.GetStrings"
	strings:
		$1 = { 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27446_0 {
	meta:
		name = "TDictionary<System.string,System.string>.ExtractPair"
		size = 141
		refs = "0019 TDictionary<System.string,System.string>.ExtractPair 0028 TDictionary<System.string,System.string>.Hash 0035 TDictionary<System.string,System.string>.GetBucketIndex 0045 TPair<System.string,System.string>.Create 0058 TDictionary<System.string,System.string>.DoRemove 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0E 8B 45 FC 33 C9 8B D3 E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 F8 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_27605_0 {
	meta:
		name = "TAzPageProps.GetSequence"
		size = 136
		refs = "000f TAzPageProps.GetSequence 001c @UStrClr 0026 TAzPageProps.GetNumberAction 0033 @UStrEqual 0042 TControl.GetText 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0D 8B D6 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 63 00 72 00 65 00 6D 00 65 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_27607_0 {
	meta:
		name = "TAzPageProps.SetLength"
		size = 12
		refs = "0007 TControl.SetText"
	strings:
		$1 = { 8B 80 B0 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27608_0 {
	meta:
		name = "TAzPageProps.SetSequence"
		size = 12
		refs = "0007 TControl.SetText"
	strings:
		$1 = { 8B 80 B4 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_27617_0 {
	meta:
		name = "TAzPutBlockList.AddCommittedBlockName"
		size = 53
		refs = "001f TCheckListBox.SetChecked"
	strings:
		$1 = { 56 8B F0 8B 86 DC 03 00 00 8B 80 88 02 00 00 8B 08 FF 51 38 B1 01 8B D0 8B 86 DC 03 00 00 E8 ?? ?? ?? ?? B2 01 8B 86 90 03 00 00 8B 08 FF 91 80 00 00 00 5E C3 }
	condition:
		$1
}

rule function_27618_0 {
	meta:
		name = "TAzPutBlockList.AddUncommittedBlockName"
		size = 39
	strings:
		$1 = { 53 56 8B D8 33 C9 8B 83 E8 03 00 00 8B 30 FF 96 00 01 00 00 B2 01 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_27620_0 {
	meta:
		name = "TAzPutBlockList.BlockListAsXML"
		size = 1124
		refs = "001b TAzPutBlockList.BlockListAsXML 002e @UStrAsg 00a6 @UStrCatN 00b8 TCheckListBox.GetChecked 02b4 @UStrCat 02d1 @UStrArrayClr 02d9 @UStrClr 02df @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 DC 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 48 85 C0 0F 8C 51 01 00 00 40 89 45 F4 33 F6 8B 83 D8 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 4B 8D 4D F0 8B 83 DC 03 00 00 8B 80 88 02 00 00 8B D6 8B 38 FF 57 0C 8B 55 F0 8D 4D FC 8B 83 EC 03 00 00 8B 38 FF 57 0C 8B 45 F8 FF 30 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? E9 E4 00 00 00 8B D6 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 4B 8D 4D EC 8B 83 DC 03 00 00 8B 80 88 02 00 00 8B D6 8B 38 FF 57 0C 8B 55 EC 8D 4D FC 8B 83 EC 03 00 00 8B 38 FF 57 0C 8B 45 F8 FF 30 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? E9 88 00 00 00 8D 4D E8 8B 83 DC 03 00 00 8B 80 88 02 00 00 8B D6 8B 38 FF 57 0C 8B 55 E8 8B 83 E8 03 00 00 8B 80 88 02 00 00 8B 08 FF 51 54 8B F8 83 FF FF 7E 57 8B D7 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 46 8D 4D E4 8B 83 DC 03 00 00 8B 80 88 02 00 00 8B D6 8B 38 FF 57 0C 8B 55 E4 8D 4D FC 8B 83 EC 03 00 00 8B 38 FF 57 0C 8B 45 F8 FF 30 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 46 FF 4D F4 0F 85 B5 FE FF FF 8B 83 E8 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 48 85 C0 0F 8C F4 00 00 00 40 89 45 F4 33 F6 8D 4D E0 8B 83 E8 03 00 00 8B 80 88 02 00 00 8B D6 8B 38 FF 57 0C 8B 55 E0 8B 83 DC 03 00 00 8B 80 88 02 00 00 8B 08 FF 51 54 8B F8 47 0F 85 B1 00 00 00 8B 83 D8 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 48 8D 4D DC 8B 83 E8 03 00 00 8B 80 88 02 00 00 8B D6 8B 38 FF 57 0C 8B 55 DC 8D 4D FC 8B 83 EC 03 00 00 8B 38 FF 57 0C 8B 45 F8 FF 30 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 57 8B D6 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 46 8D 4D D8 8B 83 E8 03 00 00 8B 80 88 02 00 00 8B D6 8B 38 FF 57 0C 8B 55 D8 8D 4D FC 8B 83 EC 03 00 00 8B 38 FF 57 0C 8B 45 F8 FF 30 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 46 FF 4D F4 0F 85 12 FF FF FF 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 31 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 75 00 74 00 66 00 2D 00 38 00 22 00 3F 00 3E 00 3C 00 42 00 6C 00 6F 00 63 00 6B 00 4C 00 69 00 73 00 74 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 4C 00 61 00 74 00 65 00 73 00 74 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 2F 00 4C 00 61 00 74 00 65 00 73 00 74 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 3C 00 43 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 3C 00 2F 00 43 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 3C 00 55 00 6E 00 63 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 3C 00 2F 00 55 00 6E 00 63 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 3C 00 2F 00 42 00 6C 00 6F 00 63 00 6B 00 4C 00 69 00 73 00 74 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_27623_0 {
	meta:
		name = "TAzPutBlockList.cbxCommitLatestClick"
		size = 71
	strings:
		$1 = { 53 8B D8 8B 83 D8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 80 F2 01 8B 83 DC 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 D8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 80 F2 01 8B 83 E8 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_27624_0 {
	meta:
		name = "TAzPutBlockList.clbCommittedClickCheck"
		size = 158
		refs = "000d TAzPutBlockList.clbCommittedClickCheck 002c TCheckListBox.GetChecked 0078 TCheckListBox.SetChecked 008d @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 DC 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 48 8B B3 DC 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D FC 8B 86 88 02 00 00 8B 30 FF 56 0C 8B 83 E8 03 00 00 8B 80 88 02 00 00 8B 55 FC 8B 08 FF 51 54 83 F8 FF 7E 0F 33 C9 8B D0 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_27625_0 {
	meta:
		name = "TAzPutBlockList.clbUncommittedClickCheck"
		size = 158
		refs = "000d TAzPutBlockList.clbUncommittedClickCheck 002c TCheckListBox.GetChecked 0078 TCheckListBox.SetChecked 008d @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 E8 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 48 8B B3 E8 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D FC 8B 86 88 02 00 00 8B 30 FF 56 0C 8B 83 DC 03 00 00 8B 80 88 02 00 00 8B 55 FC 8B 08 FF 51 54 83 F8 FF 7E 0F 33 C9 8B D0 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_27626_0 {
	meta:
		name = "TAzPutBlockList.ClearLists"
		size = 49
	strings:
		$1 = { 53 8B D8 8B 83 DC 03 00 00 8B 10 FF 92 04 01 00 00 8B 83 E8 03 00 00 8B 10 FF 92 04 01 00 00 33 D2 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_28025_0 {
	meta:
		name = "QuickSort"
		size = 287
		refs = "0016 @IntfAddRef 0026 QuickSort 0102 @IntfClear 0110 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 89 55 F4 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B 75 F4 8B 45 F8 03 45 F4 D1 E8 89 45 F0 8D 45 EC 50 8B 4D F0 8B D3 8B 45 FC 8B 38 FF 57 0C 83 7D EC 00 7D 18 43 8D 45 EC 50 8B 4D F0 8B D3 8B 45 FC 8B 38 FF 57 0C 83 7D EC 00 7C E8 8D 45 EC 50 8B 4D F0 8B D6 8B 45 FC 8B 38 FF 57 0C 83 7D EC 00 7E 18 4E 8D 45 EC 50 8B 4D F0 8B D6 8B 45 FC 8B 38 FF 57 0C 83 7D EC 00 7F E8 3B F3 7C 24 3B F3 74 0C 8B CE 8B D3 8B 45 08 8B 38 FF 57 0C 3B 5D F0 75 05 89 75 F0 EB 08 3B 75 F0 75 03 89 5D F0 43 4E 3B F3 0F 8D 72 FF FF FF 3B 75 F8 7E 11 8B 45 08 50 8B 4D FC 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 89 5D F8 3B 5D F4 0F 8C 3F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_28026_0 {
	meta:
		name = "TAzureConnectionString.BlobURL"
		size = 348
		refs = "0015 TAzureConnectionString.BlobURL 002e @UStrLAsg 0053 Format 009c @UStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 38 00 74 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 30 80 7B 44 00 74 1F 8D 45 FC 50 8B 43 3C 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8D 45 FC 8B 53 48 E8 ?? ?? ?? ?? 56 8B 43 54 89 45 E4 C6 45 E8 11 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 31 00 32 00 37 00 2E 00 30 00 2E 00 30 00 2E 00 31 00 3A 00 31 00 30 00 30 00 30 00 30 00 2F 00 64 00 65 00 76 00 73 00 74 00 6F 00 72 00 65 00 61 00 63 00 63 00 6F 00 75 00 6E 00 74 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 25 00 73 00 2E 00 62 00 6C 00 6F 00 62 00 2E 00 63 00 6F 00 72 00 65 00 2E 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2E 00 6E 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 3A 00 2F 00 2F 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_28027_0 {
	meta:
		name = "TAzureConnectionString.Create"
		size = 100
		refs = "000a @ClassCreate 0017 TComponent.Create 0027 TAzureConnectionString.Create 002c @UStrAsg 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 38 00 C6 46 44 01 8D 46 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 74 00 74 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_28029_0 {
	meta:
		name = "TAzureConnectionString.QueueURL"
		size = 348
		refs = "0015 TAzureConnectionString.QueueURL 002e @UStrLAsg 0053 Format 009c @UStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 38 00 74 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 30 80 7B 44 00 74 1F 8D 45 FC 50 8B 43 3C 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8D 45 FC 8B 53 4C E8 ?? ?? ?? ?? 56 8B 43 54 89 45 E4 C6 45 E8 11 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 31 00 32 00 37 00 2E 00 30 00 2E 00 30 00 2E 00 31 00 3A 00 31 00 30 00 30 00 30 00 31 00 2F 00 64 00 65 00 76 00 73 00 74 00 6F 00 72 00 65 00 61 00 63 00 63 00 6F 00 75 00 6E 00 74 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 25 00 73 00 2E 00 71 00 75 00 65 00 75 00 65 00 2E 00 63 00 6F 00 72 00 65 00 2E 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2E 00 6E 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 3A 00 2F 00 2F 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_28030_0 {
	meta:
		name = "TAzureConnectionString.SetUseDevelopmentStorage"
		size = 312
		refs = "000e TAzureConnectionString.SetUseDevelopmentStorage 0013 @UStrAsg 002b EmptyStr"
	strings:
		$1 = { 53 8B D8 88 53 38 84 D2 74 1C 8D 43 3C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 43 3C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 43 40 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 10 00 00 00 64 00 65 00 76 00 73 00 74 00 6F 00 72 00 65 00 61 00 63 00 63 00 6F 00 75 00 6E 00 74 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 58 00 00 00 45 00 62 00 79 00 38 00 76 00 64 00 4D 00 30 00 32 00 78 00 4E 00 4F 00 63 00 71 00 46 00 6C 00 71 00 55 00 77 00 4A 00 50 00 4C 00 6C 00 6D 00 45 00 74 00 6C 00 43 00 44 00 58 00 4A 00 31 00 4F 00 55 00 7A 00 46 00 54 00 35 00 30 00 75 00 53 00 52 00 5A 00 36 00 49 00 46 00 73 00 75 00 46 00 71 00 32 00 55 00 56 00 45 00 72 00 43 00 7A 00 34 00 49 00 36 00 74 00 71 00 2F 00 4B 00 31 00 53 00 5A 00 46 00 50 00 54 00 4F 00 74 00 72 00 2F 00 4B 00 42 00 48 00 42 00 65 00 6B 00 73 00 6F 00 47 00 4D 00 47 00 77 00 3D 00 3D 00 00 00 00 00 }
	condition:
		$1
}

rule function_28031_0 {
	meta:
		name = "TAzureConnectionString.TableURL"
		size = 348
		refs = "0015 TAzureConnectionString.TableURL 002e @UStrLAsg 0053 Format 009c @UStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 38 00 74 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 30 80 7B 44 00 74 1F 8D 45 FC 50 8B 43 3C 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8D 45 FC 8B 53 48 E8 ?? ?? ?? ?? 56 8B 43 54 89 45 E4 C6 45 E8 11 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 31 00 32 00 37 00 2E 00 30 00 2E 00 30 00 2E 00 31 00 3A 00 31 00 30 00 30 00 30 00 32 00 2F 00 64 00 65 00 76 00 73 00 74 00 6F 00 72 00 65 00 61 00 63 00 63 00 6F 00 75 00 6E 00 74 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 25 00 73 00 2E 00 74 00 61 00 62 00 6C 00 65 00 2E 00 63 00 6F 00 72 00 65 00 2E 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2E 00 6E 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 3A 00 2F 00 2F 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_28032_0 {
	meta:
		name = "CreateRecArray"
		size = 118
		refs = "0035 TVarRecArray 003a @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 03 DB 43 85 DB 78 07 8B 34 98 4B 56 79 F9 8B C4 89 4D FC 8B DA 8B F0 33 C0 89 45 F8 8D 43 01 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D3 85 D2 7C 22 42 33 DB 8B C6 8B CB 2B 4D F8 8B 75 FC 8B 36 8B 38 89 3C CE 8B 78 04 89 7C CE 04 43 83 C0 08 4A 75 E3 8B 7D EC 8B 75 F0 8B 5D F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_28033_0 {
	meta:
		name = "StrValueOf"
		size = 116
		refs = "0045 _DV_TAzureService 004a TAzureService.VarRecToString"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 1C 03 DB 43 85 DB 78 07 8B 34 99 4B 56 79 F9 8B CC 8B DA 03 DB 43 85 DB 78 07 8B 34 98 4B 56 79 F9 8B C4 89 4D FC 8B F8 8B 75 08 8B 5D 18 3B 5D 14 7D 14 03 5D 10 8D 14 DF 8B CE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 03 5D 0C 8B 45 FC 8D 14 D8 8B CE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7D F0 8B 75 F4 8B 5D F8 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_28034_0 {
	meta:
		name = "ParamOf"
		size = 79
		refs = "0016 @DynArrayHigh 0046 StrValueOf"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 8B 7D 08 83 C7 FC 8B 07 8B 40 1C E8 ?? ?? ?? ?? 50 53 8B 07 8B 40 14 50 8B 07 8B 40 10 50 8B 07 8B 40 0C 50 56 8B 07 8B 40 20 E8 ?? ?? ?? ?? 8B D0 8B 07 8B 48 1C 8B 07 8B 40 20 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_28035_0 {
	meta:
		name = "ValueOf"
		size = 81
		refs = "0010 @DynArrayHigh 0049 StrValueOf"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 50 53 8B 45 08 8B 40 FC 8B 40 14 50 8B 45 08 8B 40 F0 50 8B 45 08 8B 40 EC 50 56 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 48 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_28036_0 {
	meta:
		name = "TAzureService.CanonicalizedQueryParams$13$ActRec.$2$Body"
		size = 197
		refs = "0014 TAzureService.CanonicalizedQueryParams$13$ActRec.$2$Body 0022 @DynArrayHigh 004f StrValueOf 0091 AnsiCompareStr 00b0 @UStrArrayClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 1C E8 ?? ?? ?? ?? 50 8B 43 18 8B 04 B8 50 8B 43 14 50 8B 43 10 50 8B 43 0C 50 8D 45 FC 50 8B 43 20 E8 ?? ?? ?? ?? 8B D0 8B 4B 1C 8B 43 20 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 1C E8 ?? ?? ?? ?? 50 8B 43 18 8B 04 B0 50 8B 43 14 50 8B 43 10 50 8B 43 0C 50 8D 45 F8 50 8B 43 20 E8 ?? ?? ?? ?? 8B D0 8B 4B 1C 8B 43 20 E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_28037_0 {
	meta:
		name = "TAzureService.CanonicalizedQueryParams$13$ActRec.$3$Body"
		size = 31
	strings:
		$1 = { 53 56 57 8B 58 18 8B 1C 93 8B 70 18 8B 34 8E 8B 78 18 89 34 97 8B 40 18 89 1C 88 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28038_0 {
	meta:
		name = "TAzureService.CanonicalizedQueryParams"
		size = 960
		refs = "0079 TAzureService.CanonicalizedQueryParams 0086 _DV_TAzureService.CanonicalizedQueryParams$13$ActRec 008b TObject.Create 00a0 @IntfCopy 00ac CreateRecArray 00bb TVarRecArray 00c0 @DynArrayAsg 0113 @DynArrayHigh 0151 EmptyStr 0158 @UStrAsg 0182 :TAzureService.:1 0187 @DynArraySetLength 01c8 QuickSort 01d9 ParamOf 01e5 @UStrLAsg 0201 ValueOf 021e Format 0258 AnsiCompareText 0296 @UStrCat 030c @UStrArrayClr 0321 @UStrClr 0334 @FinalizeArray 033c @IntfClear 0362 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B 5D 10 8B 75 0C 03 F6 46 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 10 8B 5D 18 8B 75 14 03 F6 46 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 18 8B 5D 20 8B 75 1C 03 F6 46 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 20 8B D9 03 DB 43 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 8B F1 8B DA 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 45 E0 8B 55 FC 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8D 4D D8 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC 83 C0 20 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 8B 45 20 8B 55 1C E8 ?? ?? ?? ?? 8D 4D D4 8B 45 18 8B 55 14 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC 83 C0 1C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8B 45 10 8B 55 0C E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 10 33 DB 8B 45 FC 8B 40 20 E8 ?? ?? ?? ?? 8B 55 FC 2B 42 10 40 8B 55 FC 89 42 14 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 2B C3 40 8B 55 FC 2B 5A 14 8B 55 FC 89 5A 0C 8B 55 FC 03 42 14 89 45 DC 83 7D DC 00 7F 14 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? E9 95 01 00 00 33 C0 89 45 F0 33 C0 8B 55 FC 2B 42 14 89 45 EC 8B 45 DC 50 8B 45 FC 83 C0 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 75 DC 4E 85 F6 7C 10 46 33 DB 8B 45 FC 8B 40 18 89 1C 98 43 4E 75 F3 83 7D DC 01 7E 20 8B 45 FC 85 C0 74 03 83 E8 DC 50 8B 4D FC 85 C9 74 03 83 E9 D8 8B 55 DC 4A 33 C0 E8 ?? ?? ?? ?? 55 8D 55 D0 8B 45 FC 8B 40 18 8B 00 E8 ?? ?? ?? ?? 59 8B 55 D0 8D 45 E8 E8 ?? ?? ?? ?? 57 8B 45 E8 89 45 C0 C6 45 C4 11 55 8D 55 BC 8B 45 FC 8B 40 18 8B 00 E8 ?? ?? ?? ?? 59 8B 45 BC 89 45 C8 C6 45 CC 11 8D 55 C0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 75 DC 4E 85 F6 0F 8E C8 00 00 00 BB 01 00 00 00 55 8D 55 B8 8B 45 FC 8B 40 18 8B 04 98 E8 ?? ?? ?? ?? 59 8B 55 B8 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 75 3C 8D 45 B4 50 55 8D 55 A8 8B 45 FC 8B 40 18 8B 04 98 E8 ?? ?? ?? ?? 59 8B 45 A8 89 45 AC C6 45 B0 11 8D 55 AC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B C7 E8 ?? ?? ?? ?? EB 52 8D 45 A4 50 8B 45 E4 89 45 C0 C6 45 C4 11 55 8D 55 A0 8B 45 FC 8B 40 18 8B 04 98 E8 ?? ?? ?? ?? 59 8B 45 A0 89 45 C8 C6 45 CC 11 8D 55 C0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8B C7 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 E4 E8 ?? ?? ?? ?? 43 4E 0F 85 3D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9B 8B 7D 94 8B 75 98 8B 5D 9C 8B E5 5D C2 1C 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3A 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2C 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 0A 00 25 00 73 00 3A 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_28039_0 {
	meta:
		name = "TAzureService.CleanUpHeaders"
		size = 159
		refs = "0007 TIdCustomHTTP.GetRequest 000e TIdEntityHeaderInfo.SetContentType 001e @UStrClr"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 83 C0 20 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 83 C0 1C E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? C7 40 30 FF FF FF FF C7 40 34 FF FF FF FF 8B 43 08 E8 ?? ?? ?? ?? C7 40 38 FF FF FF FF C7 40 3C FF FF FF FF 8B 43 08 E8 ?? ?? ?? ?? 83 C0 50 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B 40 0C 8B 10 FF 52 44 8B 43 08 E8 ?? ?? ?? ?? 8B 40 54 8B 10 FF 52 44 8B 43 08 E8 ?? ?? ?? ?? 8B 40 54 C6 40 5D 00 5B C3 }
	condition:
		$1
}

rule function_28040_0 {
	meta:
		name = "TAzureService.Create"
		size = 232
		refs = "0016 @ClassCreate 0025 TAzureService.Create 0034 TObject.Create 003b TAzureService.Reset 0045 _DV_TSharedKeyAuthorization 004a TIdAuthentication.Create 0072 TSharedKeyAuthorization.SetSHAKey 0081 @HandleAnyException 0089 SAzureInvalidAcctKey 008e LoadResString 0098 _Dn_Exception 009d Exception.Create 00a2 @RaiseExcept 00a7 @DoneExcept 00bc @UStrClr 00c2 @HandleFinally 00d1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 73 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 0C 8B 56 3C 8B C7 8B 08 FF 51 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 56 40 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28044_0 {
	meta:
		name = "TAzureService.GetResponse"
		size = 229
		refs = "0013 @UStrAddRef 001b TAzureService.GetResponse 0028 _Dn_TMemoryStream 002d TObject.Create 004c TIdCustomHTTP.Get 0058 TStream.SetPosition 0064 _Dn_TStreamReader 0069 TStreamReader.Create 0099 TObject.Free 009f @HandleFinally 00d3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 6A 01 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F4 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28045_0 {
	meta:
		name = "TAzureService.GetResponseDate"
		size = 34
		refs = "000a TIdCustomHTTP.GetResponse"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B 43 08 E8 ?? ?? ?? ?? 8B 50 58 89 14 24 8B 50 5C 89 54 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_28046_0 {
	meta:
		name = "TAzureService.GetResponseETag"
		size = 27
		refs = "000a TIdCustomHTTP.GetResponse 0014 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 E8 ?? ?? ?? ?? 8B 50 68 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28047_0 {
	meta:
		name = "TAzureService.GetResponseHeader"
		size = 33
		refs = "000d TIdCustomHTTP.GetResponse 0019 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 43 08 E8 ?? ?? ?? ?? 8B 40 0C 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28048_0 {
	meta:
		name = "TAzureService.GetResponseHeaderExists"
		size = 31
		refs = "000a TIdCustomHTTP.GetResponse 0014 TIdHeaderList.IndexOfName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 E8 ?? ?? ?? ?? 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 40 0F 9F C0 5E 5B C3 }
	condition:
		$1
}

rule function_28049_0 {
	meta:
		name = "TAzureService.GetResponseLastModified"
		size = 34
		refs = "000a TIdCustomHTTP.GetResponse"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B 43 08 E8 ?? ?? ?? ?? 8B 50 70 89 14 24 8B 50 74 89 54 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_28050_0 {
	meta:
		name = "TAzureService.GetResponseText"
		size = 30
		refs = "000a TIdCustomHTTP.GetResponse 0017 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 E8 ?? ?? ?? ?? 8B 90 B0 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28051_0 {
	meta:
		name = "TAzureService.PopulateContainer"
		size = 298
		refs = "0020 TAzureService.PopulateContainer 002e TIdCustomHTTP.GetResponse 005f TIdHeaderList.GetName 006a Pos 00b8 @UStrCopy 00c5 @UStrLAsg 00db TIdHeaderList.GetValue 00e9 TStrings.SetValue 0108 @UStrClr 0115 @UStrArrayClr 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D FC 89 5D F8 89 4D F0 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 E8 ?? ?? ?? ?? 8B 40 0C 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C B2 00 00 00 43 C7 45 EC 00 00 00 00 8B 46 08 E8 ?? ?? ?? ?? 8B 40 0C 8D 4D FC 8B 55 EC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 48 75 7C 80 7D 08 00 74 1F 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 F4 85 D2 74 05 83 EA 04 8B 12 3B D0 0F 9C C0 EB 02 33 C0 84 C0 74 22 8B 7D F4 85 FF 74 05 83 EF 04 8B 3F 8D 45 F8 50 8D 57 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? EB 0B 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 40 0C 8D 4D E8 8B 55 FC E8 ?? ?? ?? ?? 8B 4D E8 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? FF 45 EC 4B 0F 85 56 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_28052_0 {
	meta:
		name = "TAzureService.QueryParams"
		size = 648
		refs = "007b TAzureService.QueryParams 0088 @UStrClr 009e @UStrAsg 00e0 TAzureService.VarRecToString 00ed TAzureService.URLEncode 0133 Format 013d @UStrCat 014d @UStrLAsg 021e @UStrArrayClr 0234 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B 5D 10 8B 75 0C 03 F6 46 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 10 8B 5D 18 8B 75 14 03 F6 46 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 18 8B 5D 20 8B 75 1C 03 F6 46 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 20 8B D9 03 DB 43 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 8B F1 89 55 F8 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8D 46 01 8B 55 14 42 03 C2 85 C0 7F 0E 8B C7 8B 17 E8 ?? ?? ?? ?? E9 61 01 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F4 85 F6 0F 8C 9C 00 00 00 46 8B 45 F8 89 45 F0 8D 45 E8 50 8B 45 FC 89 45 D0 C6 45 D4 11 8D 4D C8 8B 45 F0 8B D0 8B 03 E8 ?? ?? ?? ?? 8B 55 C8 8D 4D CC 8B 03 E8 ?? ?? ?? ?? 8B 45 CC 89 45 D8 C6 45 DC 11 8B 45 20 8B 55 F4 8D 14 D0 8D 4D C0 8B 03 E8 ?? ?? ?? ?? 8B 55 C0 8D 4D C4 8B 03 E8 ?? ?? ?? ?? 8B 45 C4 89 45 E0 C6 45 E4 11 8D 55 D0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C7 E8 ?? ?? ?? ?? FF 45 F4 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 45 F0 08 4E 0F 85 6B FF FF FF 33 C0 89 45 F4 8B 75 14 85 F6 0F 8C 9C 00 00 00 46 8B 45 18 89 45 EC 8D 45 BC 50 8B 45 FC 89 45 D0 C6 45 D4 11 8D 4D B4 8B 45 EC 8B D0 8B 03 E8 ?? ?? ?? ?? 8B 55 B4 8D 4D B8 8B 03 E8 ?? ?? ?? ?? 8B 45 B8 89 45 D8 C6 45 DC 11 8B 45 10 8B 55 F4 8D 14 D0 8D 4D AC 8B 03 E8 ?? ?? ?? ?? 8B 55 AC 8D 4D B0 8B 03 E8 ?? ?? ?? ?? 8B 45 B0 89 45 E0 C6 45 E4 11 8D 55 D0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B C7 E8 ?? ?? ?? ?? FF 45 F4 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 45 EC 08 4E 0F 85 6B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B 7D A0 8B 75 A4 8B 5D A8 8B E5 5D C2 1C 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 25 00 73 00 3D 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 }
	condition:
		$1
}

rule function_28053_0 {
	meta:
		name = "TAzureService.QueryParams"
		size = 159
		refs = "003b TAzureService.QueryParams 006f @UStrAsg 0084 @UStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 10 8B 75 0C 03 F6 46 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 10 8B D9 03 DB 43 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B 45 0C 50 8D 45 FC 50 6A FF 8D 45 FC 50 6A FF 8D 45 FC 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 7D F0 8B 75 F4 8B 5D F8 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_28054_0 {
	meta:
		name = "TAzureService.Reset"
		size = 64
		refs = "0010 TObject.Free 0017 _DV_TAzureHTTP 001c TAzureHTTP.Create 002e TAzureService.Reset"
	strings:
		$1 = { 53 56 8B D8 8D 43 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 08 0F B6 86 41 01 00 00 0A 05 ?? ?? ?? ?? 88 86 41 01 00 00 5E 5B C3 00 02 00 00 00 }
	condition:
		$1
}

rule function_28055_0 {
	meta:
		name = "HeaderSortCompare"
		size = 138
		refs = "0018 HeaderSortCompare 002a TStrings.GetName 0035 AnsiLowerCase 0059 AnsiCompareStr 0075 @UStrArrayClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 5A E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28056_0 {
	meta:
		name = "TAzureService.SetUp"
		size = 103
		refs = "0009 TAzureService.SetUp 0014 Load 0019 _DV_TSharedKeyAuthorization 001e TSharedKeyAuthorization.IsHMAC_SHA256Avail 002a SSharedKeyError 002f LoadResString 0039 _Dn_Exception 003e Exception.Create 0043 @RaiseExcept 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_28057_0 {
	meta:
		name = "TAzureService.StringToSign"
		size = 544
		refs = "0025 TAzureService.StringToSign 0039 HeaderSortCompare 005b Format 0076 TAzureService.VarRecToString 0099 @UStrCat 00c2 TStrings.GetName 00cd AnsiLowerCase 00e4 TStrings.GetValueFromIndex 0195 @UStrAsg 01af @UStrArrayClr 01c4 @UStrClr 01ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B DA 89 45 F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 80 78 38 00 75 10 BA ?? ?? ?? ?? 8B 45 14 8B 08 FF 91 A4 00 00 00 56 89 5D F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D 18 85 DB 7C 3D 43 8D 45 EC 50 8D 4D E8 8B D7 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 83 C7 08 4B 75 C4 8B 45 14 8B 10 FF 52 14 8B D8 4B 85 DB 7C 60 43 33 FF 8D 45 E4 50 8D 4D CC 8B D7 8B 45 14 E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 8D 4D C8 8B D7 8B 45 14 E8 ?? ?? ?? ?? 8B 45 C8 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 47 4B 75 A3 8B 5D 0C 85 DB 7C 1A 8D 4D C4 8B 55 10 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 55 C4 8B C6 E8 ?? ?? ?? ?? 85 DB 7E 52 8B 7D 10 83 C7 08 8D 4D FC 8B D7 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 27 8D 45 C0 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8B C6 E8 ?? ?? ?? ?? 83 C7 08 4B 75 B4 8B 45 F8 8B 40 0C 83 C0 14 8B 16 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 25 00 73 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 3A 00 25 00 73 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 0A 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_28058_0 {
	meta:
		name = "TAzureService.URLEncode"
		size = 192
		refs = "0013 TAzureService.URLEncode 002b IntToHex 003b @UStrCat3 0045 _Dn_TIdURI 004a TIdURI.ParamsEncode 0065 StringReplace 006f @UStrAsg 0089 @UStrArrayClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 BA 02 00 00 00 B8 3D 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 33 C9 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F4 50 8B 03 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_28059_0 {
	meta:
		name = "TAzureService.StringToSign"
		size = 540
		refs = "0031 TAzureService.StringToSign 004e Format 006f TAzureService.VarRecToString 0092 @UStrCat 0191 @UStrAsg 01ab @UStrArrayClr 01c0 @UStrClr 01c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 DB 89 5D B4 89 5D B8 89 5D D4 89 5D C0 89 5D BC 89 5D DC 89 5D D8 89 5D FC 89 4D F8 8B DA 8B F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 89 5D E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D 24 85 DB 7C 44 43 8B 45 F8 89 45 F0 8D 45 DC 50 8D 4D D8 8B 45 F0 8B D0 8B 07 E8 ?? ?? ?? ?? 8B 45 D8 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 83 45 F0 08 4B 75 C3 33 C0 89 45 F4 8B 5D 1C 85 DB 7C 67 43 8B 45 20 89 45 EC 8D 45 D4 50 8D 4D C0 8B 45 EC 8B D0 8B 07 E8 ?? ?? ?? ?? 8B 45 C0 89 45 C4 C6 45 C8 11 8B 45 18 8B 55 F4 8D 14 D0 8D 4D BC 8B 07 E8 ?? ?? ?? ?? 8B 45 BC 89 45 CC C6 45 D0 11 8D 55 C4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B C6 E8 ?? ?? ?? ?? FF 45 F4 83 45 EC 08 4B 75 A0 8B 5D 0C 85 DB 7C 17 8D 4D B8 8B 55 10 8B 07 E8 ?? ?? ?? ?? 8B 55 B8 8B C6 E8 ?? ?? ?? ?? 85 DB 7E 56 8B 45 10 83 C0 08 89 45 E8 8D 4D FC 8B 45 E8 8B D0 8B 07 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 27 8D 45 B4 50 8B 45 FC 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B C6 E8 ?? ?? ?? ?? 83 45 E8 08 4B 75 B3 8B 47 0C 83 C0 14 8B 16 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C2 20 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 25 00 73 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 3A 00 25 00 73 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 0A 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_28060_0 {
	meta:
		name = "TAzureService.VarRecToString"
		size = 163
		refs = "001b TAzureService.VarRecToString 003f @UStrFromChar 004b @UStrCat3 005d @UStrFromPWChar 0067 EmptyStr 006e @UStrAsg 007b @UStrFromWChar 0090 @UStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F2 8D 7D F8 A5 A5 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 FC 2C 02 74 0A 2C 07 74 43 2C 08 74 1C EB 48 8D 45 F4 0F B6 55 F8 E8 ?? ?? ?? ?? 8B 4D F4 8B C3 33 D2 E8 ?? ?? ?? ?? EB 2E 8B 75 F8 85 F6 74 0B 8B C3 8B D6 E8 ?? ?? ?? ?? EB 1C 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? EB 0B 8B C3 0F B7 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28062_0 {
	meta:
		name = "TAzureService.XMsVersion"
		size = 56
		refs = "0006 TAzureService.XMsVersion 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 }
	condition:
		$1
}

rule function_28063_0 {
	meta:
		name = "TAzureBlobService.CopyBlob"
		size = 2256
		refs = "0029 TAzureBlobService.CopyBlob 0036 _Dn_TStringList 003b TStringList.Create 0068 TAzureService.XMsDate 007a TAzureConnectionString.BlobURL 00a7 Format 00af TAzureService.CleanUpHeaders 00bf TStrings.SetValue 035d TIdCustomHTTP.GetRequest 036b TIdHeaderList.AddValue 0434 TStrings.GetValueFromIndex 044b TStrings.GetName 045c AnsiLowerCase 04ac TAzureHTTP.Put 04b7 TIdCustomHTTP.GetResponseCode 04cf @HandleAnyException 04d8 @DoneExcept 04fc @HandleFinally 0513 TObject.Free 0538 @UStrArrayClr 0540 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 1A 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F0 8B FA 89 45 F4 8B 5D 18 8B 75 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 83 7D 08 00 74 0B 8B 55 08 8B 45 E8 8B 08 FF 51 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 CC 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 89 7D D8 C6 45 DC 11 8B 45 F0 89 45 E0 C6 45 E4 11 8D 55 D0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 34 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 56 8D 45 C8 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 A8 C6 45 AC 11 8B 45 3C 89 45 B0 C6 45 B4 11 8B 45 38 89 45 B8 C6 45 BC 11 8B 45 34 89 45 C0 C6 45 C4 11 8D 55 A8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? EB 4A 8D 45 A4 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 D0 C6 45 D4 11 8B 45 3C 89 45 D8 C6 45 DC 11 8B 45 38 89 45 E0 C6 45 E4 11 8D 55 D0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A4 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 30 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 30 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 2C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 2C BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 28 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 28 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 24 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 24 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 10 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 10 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 0C BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 6A 0A 8B 45 E8 50 8D 45 94 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 D0 C6 45 D4 11 89 7D D8 C6 45 DC 11 8B 45 F0 89 45 E0 C6 45 E4 11 8D 55 D0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 94 89 45 98 C6 45 9C 11 8D 45 98 50 6A 00 8D 45 A0 50 33 C0 89 85 3C FF FF FF C6 85 40 FF FF FF 11 33 C0 89 85 44 FF FF FF C6 85 48 FF FF FF 11 66 C7 85 4C FF FF FF 30 00 C6 85 50 FF FF FF 09 33 C0 89 85 54 FF FF FF C6 85 58 FF FF FF 11 33 C0 89 85 5C FF FF FF C6 85 60 FF FF FF 11 89 B5 64 FF FF FF C6 85 68 FF FF FF 11 89 9D 6C FF FF FF C6 85 70 FF FF FF 11 8B 45 14 89 85 74 FF FF FF C6 85 78 FF FF FF 11 8B 45 1C 89 85 7C FF FF FF C6 45 80 11 33 C0 89 45 84 C6 45 88 11 33 C0 89 45 8C C6 45 90 11 8D 8D 3C FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 38 FF 57 08 8D 95 38 FF FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 38 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1A 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 1C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1B 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1A 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 14 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1A 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 5B 46 33 DB 8D 8D 34 FF FF FF 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B 85 34 FF FF FF 50 8D 8D 2C FF FF FF 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B 85 2C FF FF FF 8D 95 30 FF FF FF E8 ?? ?? ?? ?? 8B 85 30 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 5A 59 E8 ?? ?? ?? ?? 43 4E 75 A8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 28 FF FF FF 8B 45 F4 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 3D C9 00 00 00 0F 94 45 EF 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 EF 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 28 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 A0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B9 0F B6 45 EF 5F 5E 5B 8B E5 5D C2 38 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 3F 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 3D 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 63 00 6F 00 70 00 79 00 2D 00 73 00 6F 00 75 00 72 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 69 00 66 00 2D 00 6D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 73 00 69 00 6E 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 69 00 66 00 2D 00 75 00 6E 00 6D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 73 00 69 00 6E 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 73 00 6F 00 75 00 72 00 63 00 65 00 2D 00 69 00 66 00 2D 00 6D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 73 00 6F 00 75 00 72 00 63 00 65 00 2D 00 69 00 66 00 2D 00 6E 00 6F 00 6E 00 65 00 2D 00 6D 00 61 00 74 00 63 00 68 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 73 00 6F 00 75 00 72 00 63 00 65 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 66 00 2D 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 53 00 69 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 66 00 2D 00 55 00 6E 00 6D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 53 00 69 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 66 00 2D 00 4D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 66 00 2D 00 4E 00 6F 00 6E 00 65 00 2D 00 4D 00 61 00 74 00 63 00 68 00 00 00 }
	condition:
		$1
}

rule function_28065_0 {
	meta:
		name = "TAzureBlobService.SetBlobMetadata"
		size = 1368
		refs = "0024 TAzureBlobService.SetBlobMetadata 0031 _Dn_TStringList 0036 TStringList.Create 0052 TAzureService.XMsDate 006f TAzureConnectionString.BlobURL 00b6 TAzureService.QueryParams 00d2 Format 00da TAzureService.CleanUpHeaders 00f8 TStrings.SetValue 0199 TAzureService.CanonicalizedQueryParams 0289 TIdCustomHTTP.GetRequest 0297 TIdHeaderList.AddValue 02b9 TStrings.GetValueFromIndex 02d0 TStrings.GetName 02e1 AnsiLowerCase 0335 TAzureHTTP.Put 0340 TIdCustomHTTP.GetResponseCode 0358 @HandleAnyException 0361 @DoneExcept 0385 @HandleFinally 039c TObject.Free 03c1 @UStrArrayClr 03c9 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 1D 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B DA 89 45 F4 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 0C 8B 45 EC 8B 08 FF 51 08 8D 45 FC 50 8D 55 C8 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 C8 89 45 CC C6 45 D0 11 89 5D D4 C6 45 D8 11 89 75 DC C6 45 E0 11 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 8D 45 BC 50 6A 00 8D 45 C4 50 B8 ?? ?? ?? ?? 89 45 B4 C6 45 B8 11 8D 55 B4 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 C4 89 45 E4 C6 45 E8 11 8D 55 CC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B C7 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B CF BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 6A 0A 8B 45 EC 50 8D 45 9C 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 84 C6 45 88 11 89 5D 8C C6 45 90 11 89 75 94 C6 45 98 11 8D 55 84 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 89 45 A0 C6 45 A4 11 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 8D 45 BC 50 6A 00 8D 45 80 50 6A FF 8D 45 80 50 6A FF 8D 45 80 50 B8 ?? ?? ?? ?? 89 45 B4 C6 45 B8 11 8D 55 B4 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 80 89 45 A8 C6 45 AC 11 8D 45 A0 50 6A 01 8D 45 B0 50 33 C0 89 85 28 FF FF FF C6 85 2C FF FF FF 11 33 C0 89 85 30 FF FF FF C6 85 34 FF FF FF 11 66 C7 85 38 FF FF FF 30 00 C6 85 3C FF FF FF 09 33 C0 89 85 40 FF FF FF C6 85 44 FF FF FF 11 33 C0 89 85 48 FF FF FF C6 85 4C FF FF FF 11 33 C0 89 85 50 FF FF FF C6 85 54 FF FF FF 11 33 C0 89 85 58 FF FF FF C6 85 5C FF FF FF 11 33 C0 89 85 60 FF FF FF C6 85 64 FF FF FF 11 33 C0 89 85 68 FF FF FF C6 85 6C FF FF FF 11 33 C0 89 85 70 FF FF FF C6 85 74 FF FF FF 11 33 C0 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8D 8D 28 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 08 8D 95 24 FF FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 24 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 5B 46 33 DB 8D 8D 20 FF FF FF 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 50 8D 8D 18 FF FF FF 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 85 18 FF FF FF 8D 95 1C FF FF FF E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 5A 59 E8 ?? ?? ?? ?? 43 4E 75 A8 C6 45 F3 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 14 FF FF FF 8B 45 F4 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 3D C8 00 00 00 0F 94 45 F3 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 F3 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 14 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B6 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28066_0 {
	meta:
		name = "TAzureBlobService.SetBlobProperties"
		size = 1836
		refs = "0024 TAzureBlobService.SetBlobProperties 0031 _Dn_TStringList 0036 TStringList.Create 0052 TAzureService.XMsDate 0064 TAzureConnectionString.BlobURL 00ab TAzureService.QueryParams 00c7 Format 00cf TAzureService.CleanUpHeaders 00df TStrings.SetValue 022e TAzureService.CanonicalizedQueryParams 031e TIdCustomHTTP.GetRequest 032c TIdHeaderList.AddValue 034e TStrings.GetValueFromIndex 0365 TStrings.GetName 0376 AnsiLowerCase 03ca TAzureHTTP.Put 03d5 TIdCustomHTTP.GetResponseCode 03ed @HandleAnyException 03f6 @DoneExcept 041a @HandleFinally 0431 TObject.Free 0456 @UStrArrayClr 045e @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 1D 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B DA 89 45 F4 8B 7D 1C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 C8 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 C8 89 45 CC C6 45 D0 11 89 5D D4 C6 45 D8 11 89 75 DC C6 45 E0 11 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 8D 45 BC 50 6A 00 8D 45 C4 50 B8 ?? ?? ?? ?? 89 45 B4 C6 45 B8 11 8D 55 B4 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 C4 89 45 E4 C6 45 E8 11 8D 55 CC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 08 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 08 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B C7 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B CF BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 18 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 18 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 14 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 14 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 10 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 10 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 0C BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 6A 0A 8B 45 EC 50 8D 45 9C 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 84 C6 45 88 11 89 5D 8C C6 45 90 11 89 75 94 C6 45 98 11 8D 55 84 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 89 45 A0 C6 45 A4 11 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 8D 45 BC 50 6A 00 8D 45 80 50 6A FF 8D 45 80 50 6A FF 8D 45 80 50 B8 ?? ?? ?? ?? 89 45 B4 C6 45 B8 11 8D 55 B4 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 80 89 45 A8 C6 45 AC 11 8D 45 A0 50 6A 01 8D 45 B0 50 33 C0 89 85 28 FF FF FF C6 85 2C FF FF FF 11 33 C0 89 85 30 FF FF FF C6 85 34 FF FF FF 11 66 C7 85 38 FF FF FF 30 00 C6 85 3C FF FF FF 09 33 C0 89 85 40 FF FF FF C6 85 44 FF FF FF 11 33 C0 89 85 48 FF FF FF C6 85 4C FF FF FF 11 33 C0 89 85 50 FF FF FF C6 85 54 FF FF FF 11 33 C0 89 85 58 FF FF FF C6 85 5C FF FF FF 11 33 C0 89 85 60 FF FF FF C6 85 64 FF FF FF 11 33 C0 89 85 68 FF FF FF C6 85 6C FF FF FF 11 33 C0 89 85 70 FF FF FF C6 85 74 FF FF FF 11 33 C0 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8D 8D 28 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 08 8D 95 24 FF FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 24 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 5B 46 33 DB 8D 8D 20 FF FF FF 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 50 8D 8D 18 FF FF FF 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 85 18 FF FF FF 8D 95 1C FF FF FF E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 5A 59 E8 ?? ?? ?? ?? 43 4E 75 A8 C6 45 F3 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 14 FF FF FF 8B 45 F4 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 3D C8 00 00 00 0F 94 45 F3 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 F3 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 14 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B6 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 18 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 61 00 63 00 68 00 65 00 2D 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6D 00 64 00 35 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28067_0 {
	meta:
		name = "TAzureBlobService.PopulateContainerProperties"
		size = 176
		refs = "0015 TAzureBlobService.PopulateContainerProperties 0023 TIdCustomHTTP.GetResponse 004a TIdHeaderList.GetName 0054 TAzureBlobService.IsProperty 006e TIdHeaderList.GetValue 007c TStrings.SetValue 0095 @UStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 E8 ?? ?? ?? ?? 8B 40 0C 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4E 46 33 FF 8B 43 08 E8 ?? ?? ?? ?? 8B 40 0C 8D 4D FC 8B D7 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 24 8B 43 08 E8 ?? ?? ?? ?? 8B 40 0C 8D 4D F4 8B 55 FC E8 ?? ?? ?? ?? 8B 4D F4 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 47 4E 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28068_0 {
	meta:
		name = "TAzureBlobService.PutBlock"
		size = 1608
		refs = "0024 @DynArrayAddRef 002c TAzureBlobService.PutBlock 003c _Dn_TBytesStream 0041 TBytesStream.Create 004b _Dn_TStringList 0050 TStringList.Create 006c TAzureService.XMsDate 007e TAzureConnectionString.BlobURL 00de TAzureService.QueryParams 00fa Format 0102 TAzureService.CleanUpHeaders 0112 TStrings.SetValue 01f4 TAzureService.CanonicalizedQueryParams 023d IntToStr 02fc TIdCustomHTTP.GetRequest 030a TIdHeaderList.AddValue 032c TStrings.GetValueFromIndex 0343 TStrings.GetName 0354 AnsiLowerCase 03d5 TIdCustomHTTP.Put 03e0 TIdCustomHTTP.GetResponseCode 03f8 @HandleAnyException 0401 @DoneExcept 0425 @HandleFinally 043c TObject.Free 0469 @UStrArrayClr 0474 @UStrClr 04a4 TArray<System.Byte> 04a9 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 51 B9 20 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B DA 89 45 F4 8B 75 08 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 C4 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 C4 89 45 C8 C6 45 CC 11 89 5D D0 C6 45 D4 11 89 7D D8 C6 45 DC 11 B8 ?? ?? ?? ?? 89 45 B0 C6 45 B4 11 8B 45 14 89 45 B8 C6 45 BC 11 8D 45 B0 50 6A 01 8D 45 C0 50 B8 ?? ?? ?? ?? 89 45 A0 C6 45 A4 11 B8 ?? ?? ?? ?? 89 45 A8 C6 45 AC 11 8D 55 A0 B9 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 C0 89 45 E0 C6 45 E4 11 8D 55 C8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 0C BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 6A 0A 8B 45 E8 50 8D 45 98 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 80 C6 45 84 11 89 5D 88 C6 45 8C 11 89 7D 90 C6 45 94 11 8D 55 80 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 89 45 B0 C6 45 B4 11 B8 ?? ?? ?? ?? 89 45 A0 C6 45 A4 11 8B 45 14 89 45 A8 C6 45 AC 11 8D 45 A0 50 6A 01 8D 85 7C FF FF FF 50 6A FF 8D 85 7C FF FF FF 50 6A FF 8D 85 7C FF FF FF 50 B8 ?? ?? ?? ?? 89 85 6C FF FF FF C6 85 70 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 74 FF FF FF C6 85 78 FF FF FF 11 8D 95 6C FF FF FF B9 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 89 45 B8 C6 45 BC 11 8D 45 B0 50 6A 01 8D 45 9C 50 33 C0 89 85 14 FF FF FF C6 85 18 FF FF FF 11 33 C0 89 85 1C FF FF FF C6 85 20 FF FF FF 11 8B 45 EC 8B 10 FF 12 52 50 8D 85 10 FF FF FF E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 89 85 24 FF FF FF C6 85 28 FF FF FF 11 89 B5 2C FF FF FF C6 85 30 FF FF FF 11 33 C0 89 85 34 FF FF FF C6 85 38 FF FF FF 11 33 C0 89 85 3C FF FF FF C6 85 40 FF FF FF 11 33 C0 89 85 44 FF FF FF C6 85 48 FF FF FF 11 33 C0 89 85 4C FF FF FF C6 85 50 FF FF FF 11 33 C0 89 85 54 FF FF FF C6 85 58 FF FF FF 11 33 C0 89 85 5C FF FF FF C6 85 60 FF FF FF 11 33 C0 89 85 64 FF FF FF C6 85 68 FF FF FF 11 8D 8D 14 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 08 8D 95 0C FF FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 0C FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 14 8B F8 4F 85 FF 7C 5B 47 33 DB 8D 8D 08 FF FF FF 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B 85 08 FF FF FF 50 8D 8D 00 FF FF FF 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B 85 00 FF FF FF 8D 95 04 FF FF FF E8 ?? ?? ?? ?? 8B 85 04 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 5A 59 E8 ?? ?? ?? ?? 43 4F 75 A8 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1A 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 F3 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 FC FE FF FF 50 8B 45 F4 8B 40 08 8B 4D EC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 3D C9 00 00 00 0F 94 45 F3 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 F3 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FE FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 98 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A8 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 10 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 62 00 6C 00 6F 00 63 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 6C 00 6F 00 63 00 6B 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4D 00 44 00 35 00 00 00 }
	condition:
		$1
}

rule function_28069_0 {
	meta:
		name = "TAzureBlobService.PutBlockBlob"
		size = 1812
		refs = "0024 @DynArrayAddRef 002c TAzureBlobService.PutBlockBlob 0039 _Dn_TStringList 003e TStringList.Create 005c _Dn_TBytesStream 0061 TBytesStream.Create 007d TAzureService.XMsDate 008f TAzureConnectionString.BlobURL 00b9 Format 00c1 TAzureService.CleanUpHeaders 00d3 TStrings.SetValue 01fa TIdCustomHTTP.GetRequest 0202 TIdEntityHeaderInfo.SetContentType 0218 @UStrAsg 02b9 IntToStr 0387 TIdHeaderList.AddValue 03a9 TStrings.GetValueFromIndex 03c0 TStrings.GetName 03d1 AnsiLowerCase 046f TIdCustomHTTP.Put 047a TIdCustomHTTP.GetResponseCode 04a7 @HandleFinally 04be TObject.Free 04eb @UStrArrayClr 0503 @UStrClr 0526 TArray<System.Byte> 052b @DynArrayClear"
	strings:
		$1 = { 55 8B EC 51 B9 1F 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B DA 89 45 F4 8B 75 0C 8B 45 24 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 83 7D 1C 00 74 0B 8B 55 1C 8B 45 E8 8B 08 FF 51 08 8B 4D 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 CC 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 89 5D D8 C6 45 DC 11 89 7D E0 C6 45 E4 11 8D 55 D0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 20 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 20 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 04 80 78 38 00 0F 84 CA 00 00 00 6A 02 B8 ?? ?? ?? ?? 89 45 B8 C6 45 BC 11 B8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 8D 45 B8 50 6A 01 B8 ?? ?? ?? ?? 89 45 A8 C6 45 AC 11 8B 45 F8 89 45 B0 C6 45 B4 11 8D 45 A8 50 6A 01 8D 45 9C 50 8B 45 F4 8B 40 04 8B 40 3C 89 85 7C FF FF FF C6 45 80 11 8B 45 F4 8B 40 04 8B 40 3C 89 45 84 C6 45 88 11 89 5D 8C C6 45 90 11 89 7D 94 C6 45 98 11 8D 95 7C FF FF FF B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 89 45 A0 C6 45 A4 11 8D 45 A0 50 6A 00 8D 45 C8 50 33 C0 89 45 D0 C6 45 D4 11 33 C0 89 45 D8 C6 45 DC 11 33 C0 89 45 E0 C6 45 E4 11 8D 4D D0 BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 E9 79 01 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 18 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 83 C0 1C 8B 55 14 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 83 C0 20 8B 55 10 E8 ?? ?? ?? ?? 6A 0A 8B 45 E8 50 8D 85 74 FF FF FF 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 D0 C6 45 D4 11 89 5D D8 C6 45 DC 11 89 7D E0 C6 45 E4 11 8D 55 D0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 89 45 A0 C6 45 A4 11 8D 45 A0 50 6A 00 8D 85 78 FF FF FF 50 8B 45 14 89 85 1C FF FF FF C6 85 20 FF FF FF 11 8B 45 10 89 85 24 FF FF FF C6 85 28 FF FF FF 11 8B 45 EC 8B 10 FF 12 52 50 8D 85 18 FF FF FF E8 ?? ?? ?? ?? 8B 85 18 FF FF FF 89 85 2C FF FF FF C6 85 30 FF FF FF 11 89 B5 34 FF FF FF C6 85 38 FF FF FF 11 8B 45 18 89 85 3C FF FF FF C6 85 40 FF FF FF 11 33 C0 89 85 44 FF FF FF C6 85 48 FF FF FF 11 33 C0 89 85 4C FF FF FF C6 85 50 FF FF FF 11 33 C0 89 85 54 FF FF FF C6 85 58 FF FF FF 11 33 C0 89 85 5C FF FF FF C6 85 60 FF FF FF 11 33 C0 89 85 64 FF FF FF C6 85 68 FF FF FF 11 33 C0 89 85 6C FF FF FF C6 85 70 FF FF FF 11 8D 8D 1C FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 08 8D 95 14 FF FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 14 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 14 8B F8 4F 85 FF 7C 5B 47 33 DB 8D 8D 10 FF FF FF 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 50 8D 8D 08 FF FF FF 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B 85 08 FF FF FF 8D 95 0C FF FF FF E8 ?? ?? ?? ?? 8B 85 0C FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 5A 59 E8 ?? ?? ?? ?? 43 4F 75 A8 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1A 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1B 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 F3 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 04 FF FF FF 50 8B 45 F4 8B 40 08 8B 4D EC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 3D C9 00 00 00 0F 94 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 04 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 85 74 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A8 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 20 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 42 00 6C 00 6F 00 63 00 6B 00 42 00 6C 00 6F 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4D 00 44 00 35 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 61 00 63 00 68 00 65 00 2D 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 }
	condition:
		$1
}

rule function_28070_0 {
	meta:
		name = "TAzureBlobService.PutBlockList"
		size = 2028
		refs = "0025 TAzureBlobService.PutBlockList 0032 _Dn_TStringList 0037 TStringList.Create 003f TEncoding.GetUTF8 004a TEncoding.GetBytes 0054 _Dn_TBytesStream 0059 TBytesStream.Create 0075 TAzureService.XMsDate 0087 TAzureConnectionString.BlobURL 00ce TAzureService.QueryParams 00ea Format 00f2 TAzureService.CleanUpHeaders 0113 TStrings.SetValue 0273 TAzureService.CanonicalizedQueryParams 02bc IntToStr 037b TIdCustomHTTP.GetRequest 0389 TIdHeaderList.AddValue 03d4 TStrings.GetValueFromIndex 03eb TStrings.GetName 03fc AnsiLowerCase 0454 TIdCustomHTTP.Put 045f TIdCustomHTTP.GetResponseCode 0477 @HandleAnyException 0480 @DoneExcept 04a4 @HandleFinally 04bb TObject.Free 04e8 @UStrArrayClr 04f3 @UStrClr 0519 TArray<System.Byte> 051e @DynArrayClear"
	strings:
		$1 = { 55 8B EC 51 B9 1E 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 89 45 F4 8B 5D 24 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 E8 ?? ?? ?? ?? 8D 4D E4 8B 55 28 E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 C0 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 C0 89 45 C4 C6 45 C8 11 89 75 CC C6 45 D0 11 89 7D D4 C6 45 D8 11 B8 ?? ?? ?? ?? 89 45 B4 C6 45 B8 11 8D 45 B4 50 6A 00 8D 45 BC 50 B8 ?? ?? ?? ?? 89 45 AC C6 45 B0 11 8D 55 AC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 BC 89 45 DC C6 45 E0 11 8D 55 C4 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 7D 08 00 74 0B 8B 55 08 8B 45 E8 8B 08 FF 51 08 8B 4D F8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 0C BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 20 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 20 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 1C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 1C BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 18 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 18 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 14 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 14 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 10 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 10 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 6A 0A 8B 45 E8 50 8D 45 94 50 8B 45 F4 8B 40 04 8B 40 3C 89 85 7C FF FF FF C6 45 80 11 89 75 84 C6 45 88 11 89 7D 8C C6 45 90 11 8D 95 7C FF FF FF B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 94 89 45 98 C6 45 9C 11 B8 ?? ?? ?? ?? 89 45 B4 C6 45 B8 11 8D 45 B4 50 6A 00 8D 85 78 FF FF FF 50 6A FF 8D 85 78 FF FF FF 50 6A FF 8D 85 78 FF FF FF 50 B8 ?? ?? ?? ?? 89 45 AC C6 45 B0 11 8D 55 AC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 A0 C6 45 A4 11 8D 45 98 50 6A 01 8D 45 A8 50 33 C0 89 85 20 FF FF FF C6 85 24 FF FF FF 11 33 C0 89 85 28 FF FF FF C6 85 2C FF FF FF 11 8B 45 EC 8B 10 FF 12 52 50 8D 85 1C FF FF FF E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 89 85 30 FF FF FF C6 85 34 FF FF FF 11 89 9D 38 FF FF FF C6 85 3C FF FF FF 11 33 C0 89 85 40 FF FF FF C6 85 44 FF FF FF 11 33 C0 89 85 48 FF FF FF C6 85 4C FF FF FF 11 33 C0 89 85 50 FF FF FF C6 85 54 FF FF FF 11 33 C0 89 85 58 FF FF FF C6 85 5C FF FF FF 11 33 C0 89 85 60 FF FF FF C6 85 64 FF FF FF 11 33 C0 89 85 68 FF FF FF C6 85 6C FF FF FF 11 33 C0 89 85 70 FF FF FF C6 85 74 FF FF FF 11 8D 8D 20 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 30 FF 56 08 8D 95 18 FF FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 18 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1A 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 5B 46 33 DB 8D 8D 14 FF FF FF 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B 85 14 FF FF FF 50 8D 8D 0C FF FF FF 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B 85 0C FF FF FF 8D 95 10 FF FF FF E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 5A 59 E8 ?? ?? ?? ?? 43 4E 75 A8 C6 45 F3 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 08 FF FF FF 50 8B 45 F4 8B 40 08 8B 4D EC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 3D C9 00 00 00 0F 94 45 F3 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 F3 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 08 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A5 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 24 00 B0 04 02 00 FF FF FF FF 09 00 00 00 62 00 6C 00 6F 00 63 00 6B 00 6C 00 69 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 61 00 63 00 68 00 65 00 2D 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6D 00 64 00 35 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4D 00 44 00 35 00 00 00 }
	condition:
		$1
}

rule function_28071_0 {
	meta:
		name = "TAzureBlobService.PutPage"
		size = 2476
		refs = "0028 @DynArrayAddRef 0030 @UStrAddRef 0038 TAzureBlobService.PutPage 0045 _Dn_TStringList 004a TStringList.Create 0060 @UStrLAsg 007e _Dn_TBytesStream 0083 TBytesStream.Create 008e @DynArrayLength 0096 IntToStr 00af TAzureService.XMsDate 00c1 TAzureConnectionString.BlobURL 010b TAzureService.QueryParams 0127 Format 012f TAzureService.CleanUpHeaders 013f TStrings.SetValue 02b2 TAzureService.CanonicalizedQueryParams 03a4 TIdCustomHTTP.GetRequest 03b2 TIdHeaderList.AddValue 04a7 TStrings.GetValueFromIndex 04be TStrings.GetName 051c TIdCustomHTTP.Put 0532 TAzureHTTP.Put 053d TIdCustomHTTP.GetResponseCode 0555 @HandleAnyException 055e @DoneExcept 0582 @HandleFinally 0599 TObject.Free 05c6 @UStrArrayClr 05d1 @UStrClr 0611 TArray<System.Byte> 0616 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 51 B9 1F 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D EC 8B FA 89 45 F0 8B 75 14 8B 5D 28 8B 45 40 E8 ?? ?? ?? ?? 8B 45 2C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 83 7D 40 00 75 21 8D 45 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 E4 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 8B 4D 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8B 45 40 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 BC 8B 45 F0 8B 40 04 E8 ?? ?? ?? ?? 8B 45 BC 89 45 C0 C6 45 C4 11 89 7D C8 C6 45 CC 11 8B 45 EC 89 45 D0 C6 45 D4 11 B8 ?? ?? ?? ?? 89 45 B0 C6 45 B4 11 8D 45 B0 50 6A 00 8D 45 B8 50 B8 ?? ?? ?? ?? 89 45 A8 C6 45 AC 11 8D 55 A8 33 C9 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 B8 89 45 D8 C6 45 DC 11 8D 55 C0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8D 45 A4 50 8D 45 38 89 45 94 C6 45 98 10 8D 45 30 89 45 9C C6 45 A0 10 8D 55 94 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A4 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 4D 2C BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 24 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 24 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 20 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 20 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 1C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 1C BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 18 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 18 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 6A 0A 8B 45 E0 50 8D 45 8C 50 8B 45 F0 8B 40 04 8B 40 3C 89 85 74 FF FF FF C6 85 78 FF FF FF 11 89 BD 7C FF FF FF C6 45 80 11 8B 45 EC 89 45 84 C6 45 88 11 8D 95 74 FF FF FF B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 8C 89 45 94 C6 45 98 11 B8 ?? ?? ?? ?? 89 45 B0 C6 45 B4 11 8D 45 B0 50 6A 00 8D 85 70 FF FF FF 50 6A FF 8D 85 70 FF FF FF 50 6A FF 8D 85 70 FF FF FF 50 B8 ?? ?? ?? ?? 89 45 A8 C6 45 AC 11 8D 55 A8 33 C9 8B 45 F0 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 89 45 9C C6 45 A0 11 8D 45 94 50 6A 01 8D 45 90 50 33 C0 89 85 18 FF FF FF C6 85 1C FF FF FF 11 33 C0 89 85 20 FF FF FF C6 85 24 FF FF FF 11 8B 45 F4 89 85 28 FF FF FF C6 85 2C FF FF FF 11 89 9D 30 FF FF FF C6 85 34 FF FF FF 11 33 C0 89 85 38 FF FF FF C6 85 3C FF FF FF 11 33 C0 89 85 40 FF FF FF C6 85 44 FF FF FF 11 89 B5 48 FF FF FF C6 85 4C FF FF FF 11 8B 45 0C 89 85 50 FF FF FF C6 85 54 FF FF FF 11 8B 45 08 89 85 58 FF FF FF C6 85 5C FF FF FF 11 8B 45 10 89 85 60 FF FF FF C6 85 64 FF FF FF 11 33 C0 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8D 8D 18 FF FF FF BA ?? ?? ?? ?? 8B 45 F0 8B 38 FF 57 08 8D 95 14 FF FF FF 8B 45 F0 8B 40 0C 8B 08 FF 51 28 8B 85 14 FF FF FF 50 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1A 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1A 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 10 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1B 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1B 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1B 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4A 46 33 DB 8D 8D 10 FF FF FF 8B D3 8B 45 E0 E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 50 8D 8D 0C FF FF FF 8B D3 8B 45 E0 E8 ?? ?? ?? ?? 8B 85 0C FF FF FF 50 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 5A 59 E8 ?? ?? ?? ?? 43 4E 75 B9 C6 45 EB 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D E4 00 74 1A 8D 85 08 FF FF FF 50 8B 45 F0 8B 40 08 8B 4D E4 8B 55 FC E8 ?? ?? ?? ?? EB 14 8D 8D 04 FF FF FF 8B 45 F0 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 3D C9 00 00 00 0F 94 45 EB 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 EB 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F0 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 04 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 45 8C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 B8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 2C E8 ?? ?? ?? ?? 8D 45 40 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 98 0F B6 45 EB 5F 5E 5B 8B E5 5D C2 3C 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 65 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 70 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 62 00 79 00 74 00 65 00 73 00 3D 00 25 00 64 00 2D 00 25 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 72 00 61 00 6E 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 70 00 61 00 67 00 65 00 2D 00 77 00 72 00 69 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 69 00 66 00 2D 00 73 00 65 00 71 00 75 00 65 00 6E 00 63 00 65 00 2D 00 6E 00 75 00 6D 00 62 00 65 00 72 00 2D 00 6C 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 69 00 66 00 2D 00 73 00 65 00 71 00 75 00 65 00 6E 00 63 00 65 00 2D 00 6E 00 75 00 6D 00 62 00 65 00 72 00 2D 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 69 00 66 00 2D 00 73 00 65 00 71 00 75 00 65 00 6E 00 63 00 65 00 2D 00 6E 00 75 00 6D 00 62 00 65 00 72 00 2D 00 65 00 71 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4D 00 44 00 35 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 66 00 2D 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 53 00 69 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 66 00 2D 00 55 00 6E 00 6D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 53 00 69 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 66 00 2D 00 4D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 66 00 2D 00 4E 00 6F 00 6E 00 65 00 2D 00 4D 00 61 00 74 00 63 00 68 00 00 00 }
	condition:
		$1
}

rule function_28072_0 {
	meta:
		name = "TAzureBlobService.PutPageBlob"
		size = 1492
		refs = "0024 TAzureBlobService.PutPageBlob 0035 TAzureService.XMsDate 0047 TAzureConnectionString.BlobURL 0071 Format 0078 _Dn_TStringList 007d TStringList.Create 00a3 TStrings.SetValue 00c1 IntToStr 0109 TAzureService.CleanUpHeaders 0114 TIdCustomHTTP.GetRequest 011c TIdEntityHeaderInfo.SetContentType 0132 @UStrAsg 0257 TIdHeaderList.AddValue 0279 TStrings.GetValueFromIndex 0290 TStrings.GetName 02a1 AnsiLowerCase 0337 TAzureHTTP.Put 0342 TIdCustomHTTP.GetResponseCode 0360 TObject.Free 0377 @HandleFinally 0396 @UStrArrayClr 039e @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 16 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B DA 89 45 F4 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 D0 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 89 5D DC C6 45 E0 11 89 7D E4 C6 45 E8 11 8D 55 D4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 83 7D 1C 00 74 0B 8B 55 1C 8B 45 EC 8B 08 FF 51 08 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? FF 75 2C FF 75 28 8D 45 CC E8 ?? ?? ?? ?? 8B 4D CC BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? FF 75 24 FF 75 20 8D 45 C8 E8 ?? ?? ?? ?? 8B 4D C8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 18 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 83 C0 1C 8B 55 14 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 83 C0 20 8B 55 10 E8 ?? ?? ?? ?? 6A 0A 8B 45 EC 50 8D 45 B8 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 D4 C6 45 D8 11 89 5D DC C6 45 E0 11 89 7D E4 C6 45 E8 11 8D 55 D4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 89 45 BC C6 45 C0 11 8D 45 BC 50 6A 00 8D 45 C4 50 8B 45 14 89 85 60 FF FF FF C6 85 64 FF FF FF 11 8B 45 10 89 85 68 FF FF FF C6 85 6C FF FF FF 11 66 C7 85 70 FF FF FF 30 00 C6 85 74 FF FF FF 09 89 B5 78 FF FF FF C6 85 7C FF FF FF 11 8B 45 18 89 45 80 C6 45 84 11 33 C0 89 45 88 C6 45 8C 11 33 C0 89 45 90 C6 45 94 11 33 C0 89 45 98 C6 45 9C 11 33 C0 89 45 A0 C6 45 A4 11 33 C0 89 45 A8 C6 45 AC 11 33 C0 89 45 B0 C6 45 B4 11 8D 8D 60 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 08 8D 95 5C FF FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 5C FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 8B F8 4F 85 FF 7C 5B 47 33 DB 8D 8D 58 FF FF FF 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 50 8D 8D 50 FF FF FF 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 8D 95 54 FF FF FF E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 5A 59 E8 ?? ?? ?? ?? 43 4F 75 A8 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1A 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1B 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 4C FF FF FF 8B 45 F4 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 3D C9 00 00 00 0F 94 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 4C FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 28 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 67 00 65 00 42 00 6C 00 6F 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 73 00 65 00 71 00 75 00 65 00 6E 00 63 00 65 00 2D 00 6E 00 75 00 6D 00 62 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4D 00 44 00 35 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 61 00 63 00 68 00 65 00 2D 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 }
	condition:
		$1
}

rule function_28073_0 {
	meta:
		name = "TAzureBlobService.CreateContainer"
		size = 1572
		refs = "0025 @UStrAddRef 002d TAzureBlobService.CreateContainer 003e AnsiLowerCase 0049 @UStrLAsg 0050 _Dn_TStringList 0055 TStringList.Create 007f TAzureService.XMsDate 0091 TAzureConnectionString.BlobURL 00b7 Format 00c7 TStrings.SetValue 00ed TAzureService.CleanUpHeaders 020e TAzureService.CanonicalizedQueryParams 030a TAzureService.QueryParams 0318 @UStrCat 033b TIdCustomHTTP.GetRequest 0349 TIdHeaderList.AddValue 036b TStrings.GetValueFromIndex 0382 TStrings.GetName 03d5 TAzureHTTP.Put 03e0 TIdCustomHTTP.GetResponseCode 0401 @HandleAnyException 041b @DoneExcept 0430 TObject.Free 0436 @HandleFinally 0455 @UStrArrayClr 045d @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 1D 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 89 55 FC 89 45 F0 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 85 F6 74 0A 8B D6 8B 45 E8 8B 08 FF 51 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 D0 8B 45 F0 8B 40 04 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 8B 45 FC 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B CB BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 58 04 80 7B 38 00 0F 84 84 00 00 00 6A 02 8B 45 E8 50 8D 45 C0 50 8B 43 3C 89 45 A8 C6 45 AC 11 8B 45 F0 8B 40 04 8B 40 3C 89 45 B0 C6 45 B4 11 8B 45 FC 89 45 B8 C6 45 BC 11 8D 55 A8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 89 45 C4 C6 45 C8 11 8D 45 C4 50 6A 00 8D 45 CC 50 33 C0 89 45 A8 C6 45 AC 11 33 C0 89 45 B0 C6 45 B4 11 33 C0 89 45 B8 C6 45 BC 11 8D 4D A8 BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 08 E9 97 01 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 6A 0A 8B 45 E8 50 8D 45 A0 50 8B 45 F0 8B 40 04 8B 40 3C 89 45 90 C6 45 94 11 8B 45 FC 89 45 98 C6 45 9C 11 8D 55 90 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 89 45 D4 C6 45 D8 11 B8 ?? ?? ?? ?? 89 45 C4 C6 45 C8 11 8D 45 C4 50 6A 00 8D 45 8C 50 6A FF 8D 45 8C 50 6A FF 8D 45 8C 50 B8 ?? ?? ?? ?? 89 45 84 C6 45 88 11 8D 55 84 33 C9 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 8C 89 45 DC C6 45 E0 11 8D 45 D4 50 6A 01 8D 45 A4 50 33 C0 89 85 2C FF FF FF C6 85 30 FF FF FF 11 33 C0 89 85 34 FF FF FF C6 85 38 FF FF FF 11 66 C7 85 3C FF FF FF 30 00 C6 85 40 FF FF FF 09 33 C0 89 85 44 FF FF FF C6 85 48 FF FF FF 11 33 C0 89 85 4C FF FF FF C6 85 50 FF FF FF 11 33 C0 89 85 54 FF FF FF C6 85 58 FF FF FF 11 33 C0 89 85 5C FF FF FF C6 85 60 FF FF FF 11 33 C0 89 85 64 FF FF FF C6 85 68 FF FF FF 11 33 C0 89 85 6C FF FF FF C6 85 70 FF FF FF 11 33 C0 89 85 74 FF FF FF C6 85 78 FF FF FF 11 33 C0 89 85 7C FF FF FF C6 45 80 11 8D 8D 2C FF FF FF BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 08 B8 ?? ?? ?? ?? 89 45 C4 C6 45 C8 11 8D 45 C4 50 6A 00 8D 85 28 FF FF FF 50 B8 ?? ?? ?? ?? 89 45 84 C6 45 88 11 8D 55 84 33 C9 8B 45 F0 E8 ?? ?? ?? ?? 8B 95 28 FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8D 95 24 FF FF FF 8B 45 F0 8B 40 0C 8B 08 FF 51 28 8B 85 24 FF FF FF 50 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 5B 46 33 DB 8D 8D 20 FF FF FF 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 50 8D 8D 18 FF FF FF 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B 85 18 FF FF FF 8D 95 1C FF FF FF E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 50 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 5A 59 E8 ?? ?? ?? ?? 43 4E 75 A8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 14 FF FF FF 8B 45 F0 8B 40 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B D8 8B 45 F0 89 58 10 81 FB C9 00 00 00 0F 94 45 EF 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? C6 45 EF 00 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F0 89 42 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 14 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 A0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A9 0F B6 45 EF 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 70 00 75 00 62 00 6C 00 69 00 63 00 2D 00 61 00 63 00 63 00 65 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 73 00 74 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28074_0 {
	meta:
		name = "TAzureBlobService.CreateContainer"
		size = 86
		refs = "0011 @UStrAddRef 0019 TAzureBlobService.CreateContainer 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28076_0 {
	meta:
		name = "TAzureBlobService.DeleteBlob"
		size = 1608
		refs = "0025 TAzureBlobService.DeleteBlob 0032 _Dn_TStringList 0037 TStringList.Create 0045 TAzureService.XMsDate 0057 TAzureConnectionString.BlobURL 0081 Format 0089 TAzureService.CleanUpHeaders 0099 TStrings.SetValue 0178 TAzureService.CanonicalizedQueryParams 0256 TAzureService.QueryParams 0264 @UStrCat 0380 TIdCustomHTTP.GetRequest 038e TIdHeaderList.AddValue 03b0 TStrings.GetValueFromIndex 03c7 TStrings.GetName 0417 TAzureHTTP.Delete 0422 TIdCustomHTTP.GetResponseCode 0443 @HandleAnyException 045d @DoneExcept 0472 TObject.Free 0478 @HandleFinally 0497 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 19 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 89 45 F4 8B 5D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 D0 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 89 75 DC C6 45 E0 11 89 7D E4 C6 45 E8 11 8D 55 D4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 0C BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 08 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 08 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 6B 01 00 00 6A 0A 8B 45 EC 50 8D 45 B8 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 D4 C6 45 D8 11 89 75 DC C6 45 E0 11 89 7D E4 C6 45 E8 11 8D 55 D4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 89 45 BC C6 45 C0 11 89 5D AC C6 45 B0 11 8D 45 AC 50 6A 00 8D 45 AC 50 6A FF 8D 45 AC 50 6A FF 8D 45 B4 50 B8 ?? ?? ?? ?? 89 45 A4 C6 45 A8 11 8D 55 A4 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 B4 89 45 C4 C6 45 C8 11 8D 45 BC 50 6A 01 8D 45 CC 50 33 C0 89 85 4C FF FF FF C6 85 50 FF FF FF 11 33 C0 89 85 54 FF FF FF C6 85 58 FF FF FF 11 33 C0 89 85 5C FF FF FF C6 85 60 FF FF FF 11 33 C0 89 85 64 FF FF FF C6 85 68 FF FF FF 11 33 C0 89 85 6C FF FF FF C6 85 70 FF FF FF 11 33 C0 89 85 74 FF FF FF C6 85 78 FF FF FF 11 33 C0 89 85 7C FF FF FF C6 45 80 11 33 C0 89 45 84 C6 45 88 11 33 C0 89 45 8C C6 45 90 11 33 C0 89 45 94 C6 45 98 11 33 C0 89 45 9C C6 45 A0 11 8D 8D 4C FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 30 FF 56 08 89 5D AC C6 45 B0 11 8D 45 AC 50 6A 00 8D 85 48 FF FF FF 50 B8 ?? ?? ?? ?? 89 45 A4 C6 45 A8 11 8D 55 A4 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 95 48 FF FF FF 8D 45 FC E8 ?? ?? ?? ?? E9 F4 00 00 00 6A 0A 8B 45 EC 50 8D 85 40 FF FF FF 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 D4 C6 45 D8 11 89 75 DC C6 45 E0 11 89 7D E4 C6 45 E8 11 8D 55 D4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 40 FF FF FF 89 45 AC C6 45 B0 11 8D 45 AC 50 6A 00 8D 85 44 FF FF FF 50 33 C0 89 85 4C FF FF FF C6 85 50 FF FF FF 11 33 C0 89 85 54 FF FF FF C6 85 58 FF FF FF 11 33 C0 89 85 5C FF FF FF C6 85 60 FF FF FF 11 33 C0 89 85 64 FF FF FF C6 85 68 FF FF FF 11 33 C0 89 85 6C FF FF FF C6 85 70 FF FF FF 11 33 C0 89 85 74 FF FF FF C6 85 78 FF FF FF 11 33 C0 89 85 7C FF FF FF C6 45 80 11 33 C0 89 45 84 C6 45 88 11 33 C0 89 45 8C C6 45 90 11 33 C0 89 45 94 C6 45 98 11 33 C0 89 45 9C C6 45 A0 11 8D 8D 4C FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 08 8D 95 3C FF FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 3C FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4A 46 33 DB 8D 8D 38 FF FF FF 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 85 38 FF FF FF 50 8D 8D 34 FF FF FF 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 85 34 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 5A 59 E8 ?? ?? ?? ?? 43 4E 75 B9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 30 FF FF FF 8B 45 F4 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 89 58 10 81 FB CA 00 00 00 0F 94 45 F3 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? C6 45 F3 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 30 FF FF FF BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C1 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 65 00 6C 00 65 00 74 00 65 00 2D 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28077_0 {
	meta:
		name = "TAzureBlobService.DeleteContainer"
		size = 1388
		refs = "001b TAzureBlobService.DeleteContainer 002c TAzureService.XMsDate 003e TAzureConnectionString.BlobURL 0061 Format 0069 TAzureService.CleanUpHeaders 0074 TIdCustomHTTP.GetRequest 0084 TIdHeaderList.AddValue 0216 TAzureService.CanonicalizedQueryParams 0317 TAzureService.QueryParams 0325 @UStrCat 0378 TAzureHTTP.Delete 0383 TIdCustomHTTP.GetResponseCode 03a5 @HandleAnyException 03bd @DoneExcept 03da @UStrArrayClr 03e5 @UStrClr 041d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 1F 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 E0 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 11 89 5D EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 70 04 80 7E 38 00 0F 84 9F 00 00 00 6A 02 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8B 45 F8 89 45 CC C6 45 D0 11 8D 45 CC 50 6A 00 8D 45 C0 50 8B 46 3C 89 45 A8 C6 45 AC 11 8B 45 F4 8B 40 04 8B 40 3C 89 45 B0 C6 45 B4 11 89 5D B8 C6 45 BC 11 8D 55 A8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 89 45 C4 C6 45 C8 11 8D 45 C4 50 6A 00 8D 45 DC 50 33 C0 89 45 A8 C6 45 AC 11 33 C0 89 45 B0 C6 45 B4 11 33 C0 89 45 B8 C6 45 BC 11 8D 4D A8 BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 E9 F2 01 00 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 0A B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 E4 50 6A 01 8B 45 F8 89 45 94 C6 45 98 11 B8 ?? ?? ?? ?? 89 45 9C C6 45 A0 11 8D 45 94 50 6A 01 8D 45 80 50 8B 45 F4 8B 40 04 8B 40 3C 89 85 70 FF FF FF C6 85 74 FF FF FF 11 89 9D 78 FF FF FF C6 85 7C FF FF FF 11 8D 95 70 FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 80 89 45 84 C6 45 88 11 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8D 85 6C FF FF FF 50 6A FF 8D 85 6C FF FF FF 50 6A FF 8D 85 6C FF FF FF 50 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8D 55 CC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 89 45 8C C6 45 90 11 8D 45 84 50 6A 01 8D 45 A4 50 33 C0 89 85 14 FF FF FF C6 85 18 FF FF FF 11 33 C0 89 85 1C FF FF FF C6 85 20 FF FF FF 11 33 C0 89 85 24 FF FF FF C6 85 28 FF FF FF 11 33 C0 89 85 2C FF FF FF C6 85 30 FF FF FF 11 33 C0 89 85 34 FF FF FF C6 85 38 FF FF FF 11 33 C0 89 85 3C FF FF FF C6 85 40 FF FF FF 11 33 C0 89 85 44 FF FF FF C6 85 48 FF FF FF 11 33 C0 89 85 4C FF FF FF C6 85 50 FF FF FF 11 33 C0 89 85 54 FF FF FF C6 85 58 FF FF FF 11 33 C0 89 85 5C FF FF FF C6 85 60 FF FF FF 11 33 C0 89 85 64 FF FF FF C6 85 68 FF FF FF 11 8D 8D 14 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8D 85 10 FF FF FF 50 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8D 55 CC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 95 10 FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 8D 95 0C FF FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 0C FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 08 FF FF FF 8B 45 F4 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 89 58 10 81 FB CA 00 00 00 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 33 DB 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 08 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AB 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 73 00 74 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28079_0 {
	meta:
		name = "TAzureBlobService.GetBlob"
		size = 2092
		refs = "0025 TAzureBlobService.GetBlob 0036 TAzureService.XMsDate 0048 TAzureConnectionString.BlobURL 0072 Format 0079 _Dn_TStringList 007e TStringList.Create 009f TStrings.SetValue 00a7 TAzureService.CleanUpHeaders 029c TAzureService.CanonicalizedQueryParams 039e TAzureService.QueryParams 03ac @UStrCat 04e3 TIdCustomHTTP.GetRequest 04f1 TIdHeaderList.AddValue 0513 TStrings.GetValueFromIndex 052a TStrings.GetName 0569 TIdCustomHTTP.Get 0574 TIdCustomHTTP.GetResponseCode 05a1 @HandleFinally 05b8 TObject.Free 05dd @UStrArrayClr 05f5 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 1F 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 89 45 F4 8B 5D 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 D0 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 89 75 DC C6 45 E0 11 89 7D E4 C6 45 E8 11 8D 55 D4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D FC BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 04 80 78 38 00 0F 84 AC 00 00 00 6A 02 B8 ?? ?? ?? ?? 89 45 C4 C6 45 C8 11 8D 45 C4 50 6A 00 8B 45 FC 89 45 BC C6 45 C0 11 8D 45 BC 50 6A 00 8D 45 B0 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 90 C6 45 94 11 8B 45 F4 8B 40 04 8B 40 3C 89 45 98 C6 45 9C 11 89 75 A0 C6 45 A4 11 89 7D A8 C6 45 AC 11 8D 55 90 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 89 45 B4 C6 45 B8 11 8D 45 B4 50 6A 00 8D 45 CC 50 33 C0 89 45 D4 C6 45 D8 11 33 C0 89 45 DC C6 45 E0 11 33 C0 89 45 E4 C6 45 E8 11 8D 4D D4 BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 E9 5D 03 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 83 7D 14 00 75 08 83 7D 10 00 76 5C EB 02 7E 58 8D 45 8C 50 8D 45 18 89 85 7C FF FF FF C6 45 80 10 8D 45 10 89 45 84 C6 45 88 10 8D 95 7C FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 8C BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 80 7D 08 00 74 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 0C BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E A1 01 00 00 6A 0A 8B 45 EC 50 8D 85 74 FF FF FF 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 D4 C6 45 D8 11 89 75 DC C6 45 E0 11 89 7D E4 C6 45 E8 11 8D 55 D4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 89 85 7C FF FF FF C6 45 80 11 89 5D C4 C6 45 C8 11 8D 45 C4 50 6A 00 8D 85 70 FF FF FF 50 6A FF 8D 85 70 FF FF FF 50 6A FF 8D 85 70 FF FF FF 50 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 8D 55 BC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 89 45 84 C6 45 88 11 8D 85 7C FF FF FF 50 6A 01 8D 85 78 FF FF FF 50 33 C0 89 85 18 FF FF FF C6 85 1C FF FF FF 11 33 C0 89 85 20 FF FF FF C6 85 24 FF FF FF 11 33 C0 89 85 28 FF FF FF C6 85 2C FF FF FF 11 33 C0 89 85 30 FF FF FF C6 85 34 FF FF FF 11 33 C0 89 85 38 FF FF FF C6 85 3C FF FF FF 11 33 C0 89 85 40 FF FF FF C6 85 44 FF FF FF 11 33 C0 89 85 48 FF FF FF C6 85 4C FF FF FF 11 33 C0 89 85 50 FF FF FF C6 85 54 FF FF FF 11 33 C0 89 85 58 FF FF FF C6 85 5C FF FF FF 11 33 C0 89 85 60 FF FF FF C6 85 64 FF FF FF 11 33 C0 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8D 8D 18 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 30 FF 56 08 89 5D C4 C6 45 C8 11 8D 45 C4 50 6A 00 8D 85 14 FF FF FF 50 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 8D 55 BC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 95 14 FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? E9 0F 01 00 00 6A 0A 8B 45 EC 50 8D 85 0C FF FF FF 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 D4 C6 45 D8 11 89 75 DC C6 45 E0 11 89 7D E4 C6 45 E8 11 8D 55 D4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 0C FF FF FF 89 45 C4 C6 45 C8 11 8D 45 C4 50 6A 00 8D 85 10 FF FF FF 50 33 C0 89 85 18 FF FF FF C6 85 1C FF FF FF 11 33 C0 89 85 20 FF FF FF C6 85 24 FF FF FF 11 33 C0 89 85 28 FF FF FF C6 85 2C FF FF FF 11 33 C0 89 85 30 FF FF FF C6 85 34 FF FF FF 11 33 C0 89 85 38 FF FF FF C6 85 3C FF FF FF 11 33 C0 89 85 40 FF FF FF C6 85 44 FF FF FF 11 33 C0 89 85 48 FF FF FF C6 85 4C FF FF FF 11 33 C0 89 85 50 FF FF FF C6 85 54 FF FF FF 11 33 C0 89 85 58 FF FF FF C6 85 5C FF FF FF 11 33 C0 89 85 60 FF FF FF C6 85 64 FF FF FF 11 33 C0 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8D 8D 18 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 08 8D 95 08 FF FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 08 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4A 46 33 DB 8D 8D 04 FF FF FF 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 85 04 FF FF FF 50 8D 8D 00 FF FF FF 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 85 00 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 5A 59 E8 ?? ?? ?? ?? 43 4E 75 B9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 08 8B 4D 24 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 3D C8 00 00 00 0F 94 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 00 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AE 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 20 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 62 00 79 00 74 00 65 00 73 00 3D 00 25 00 64 00 2D 00 25 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 72 00 61 00 6E 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 72 00 61 00 6E 00 67 00 65 00 2D 00 67 00 65 00 74 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6D 00 64 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28080_0 {
	meta:
		name = "TAzureBlobService.GetBlobMetadata"
		size = 1500
		refs = "0025 TAzureBlobService.GetBlobMetadata 0032 _Dn_TStringList 0037 TStringList.Create 0053 TAzureService.XMsDate 008a CreateRecArray 00f3 TAzureConnectionString.BlobURL 0117 @DynArrayHigh 0131 TAzureService.QueryParams 014d Format 0155 TAzureService.CleanUpHeaders 0175 TStrings.SetValue 020d TAzureService.CanonicalizedQueryParams 02fc TIdCustomHTTP.GetRequest 030a TIdHeaderList.AddValue 032c TStrings.GetValueFromIndex 0343 TStrings.GetName 0393 TIdCustomHTTP.Get 039e TIdCustomHTTP.GetResponseCode 03b6 @HandleAnyException 03bf @DoneExcept 03e3 @HandleFinally 03fa TObject.Free 041f @UStrArrayClr 0427 @UStrClr 043d TVarRecArray 0447 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 1C 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 8B DA 89 45 EC 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8B C7 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 4D B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8D 45 D4 8D 4D F4 BA 01 00 00 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 89 7D DC C6 45 E0 11 8D 45 D4 8D 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 32 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8D 45 CC 8D 4D F4 33 D2 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8D 45 CC 8D 4D F0 33 D2 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 A8 8B 45 EC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 A8 89 45 AC C6 45 B0 11 89 5D B4 C6 45 B8 11 89 75 BC C6 45 C0 11 8B 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 A4 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 A4 89 45 C4 C6 45 C8 11 8D 55 AC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 08 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 08 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 6A 0A 8B 45 E4 50 8D 45 9C 50 8B 45 EC 8B 40 04 8B 40 3C 89 45 84 C6 45 88 11 89 5D 8C C6 45 90 11 89 75 94 C6 45 98 11 8D 55 84 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 89 45 D4 C6 45 D8 11 8B 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 80 50 6A FF 8D 45 80 50 6A FF 8D 45 80 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 80 89 45 DC C6 45 E0 11 8D 45 D4 50 6A 01 8D 45 A0 50 33 C0 89 85 28 FF FF FF C6 85 2C FF FF FF 11 33 C0 89 85 30 FF FF FF C6 85 34 FF FF FF 11 33 C0 89 85 38 FF FF FF C6 85 3C FF FF FF 11 33 C0 89 85 40 FF FF FF C6 85 44 FF FF FF 11 33 C0 89 85 48 FF FF FF C6 85 4C FF FF FF 11 33 C0 89 85 50 FF FF FF C6 85 54 FF FF FF 11 33 C0 89 85 58 FF FF FF C6 85 5C FF FF FF 11 33 C0 89 85 60 FF FF FF C6 85 64 FF FF FF 11 33 C0 89 85 68 FF FF FF C6 85 6C FF FF FF 11 33 C0 89 85 70 FF FF FF C6 85 74 FF FF FF 11 33 C0 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8D 8D 28 FF FF FF BA ?? ?? ?? ?? 8B 45 EC 8B 18 FF 53 08 8D 95 24 FF FF FF 8B 45 EC 8B 40 0C 8B 08 FF 51 28 8B 85 24 FF FF FF 50 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 45 E4 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4A 46 33 DB 8D 8D 20 FF FF FF 8B D3 8B 45 E4 E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 50 8D 8D 1C FF FF FF 8B D3 8B 45 E4 E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 50 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 5A 59 E8 ?? ?? ?? ?? 43 4E 75 B9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 18 FF FF FF 8B 45 EC 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 3D C8 00 00 00 0F 94 45 EB 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 EB 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 55 EC 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 18 FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 9C BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B3 0F B6 45 EB 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28081_0 {
	meta:
		name = "TAzureBlobService.GetBlobProperties"
		size = 1364
		refs = "0024 TAzureBlobService.GetBlobProperties 0031 _Dn_TStringList 0036 TStringList.Create 0052 TAzureService.XMsDate 007a CreateRecArray 00a0 TAzureConnectionString.BlobURL 00c4 @DynArrayHigh 00de TAzureService.QueryParams 00fa Format 0102 TAzureService.CleanUpHeaders 0112 TStrings.SetValue 01ba TAzureService.CanonicalizedQueryParams 02a9 TIdCustomHTTP.GetRequest 02b7 TIdHeaderList.AddValue 02d9 TStrings.GetValueFromIndex 02f0 TStrings.GetName 033a TAzureHTTP.Head 0345 TIdCustomHTTP.GetResponseCode 035d @HandleAnyException 0366 @DoneExcept 038a @HandleFinally 03a1 TObject.Free 03c6 @UStrArrayClr 03ce @UStrClr 03ec TVarRecArray 03f6 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 1C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B DA 89 45 EC 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8B C7 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 2D B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8D 45 DC 8D 4D F4 33 D2 E8 ?? ?? ?? ?? 89 7D DC C6 45 E0 11 8D 45 DC 8D 4D F0 33 D2 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 B8 8B 45 EC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 B8 89 45 BC C6 45 C0 11 89 5D C4 C6 45 C8 11 89 75 CC C6 45 D0 11 8B 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 B4 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 B4 89 45 D4 C6 45 D8 11 8D 55 BC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 08 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 08 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 6A 0A 8B 45 E4 50 8D 45 9C 50 8B 45 EC 8B 40 04 8B 40 3C 89 45 84 C6 45 88 11 89 5D 8C C6 45 90 11 89 75 94 C6 45 98 11 8D 55 84 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 89 45 A0 C6 45 A4 11 8B 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 80 50 6A FF 8D 45 80 50 6A FF 8D 45 80 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 80 89 45 A8 C6 45 AC 11 8D 45 A0 50 6A 01 8D 45 B0 50 33 C0 89 85 28 FF FF FF C6 85 2C FF FF FF 11 33 C0 89 85 30 FF FF FF C6 85 34 FF FF FF 11 33 C0 89 85 38 FF FF FF C6 85 3C FF FF FF 11 33 C0 89 85 40 FF FF FF C6 85 44 FF FF FF 11 33 C0 89 85 48 FF FF FF C6 85 4C FF FF FF 11 33 C0 89 85 50 FF FF FF C6 85 54 FF FF FF 11 33 C0 89 85 58 FF FF FF C6 85 5C FF FF FF 11 33 C0 89 85 60 FF FF FF C6 85 64 FF FF FF 11 33 C0 89 85 68 FF FF FF C6 85 6C FF FF FF 11 33 C0 89 85 70 FF FF FF C6 85 74 FF FF FF 11 33 C0 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8D 8D 28 FF FF FF BA ?? ?? ?? ?? 8B 45 EC 8B 18 FF 53 08 8D 95 24 FF FF FF 8B 45 EC 8B 40 0C 8B 08 FF 51 28 8B 85 24 FF FF FF 50 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 45 E4 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4A 46 33 DB 8D 8D 20 FF FF FF 8B D3 8B 45 E4 E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 50 8D 8D 1C FF FF FF 8B D3 8B 45 E4 E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 50 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 5A 59 E8 ?? ?? ?? ?? 43 4E 75 B9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 3D C8 00 00 00 0F 94 45 EB 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 EB 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 55 EC 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 1C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 B0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AB 0F B6 45 EB 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 45 00 41 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28082_0 {
	meta:
		name = "TAzureBlobService.GetBlockList"
		size = 1680
		refs = "0025 TAzureBlobService.GetBlockList 0032 _Dn_TStringList 0037 TStringList.Create 0053 TAzureService.XMsDate 00aa CreateRecArray 01cf TAzureConnectionString.BlobURL 01f3 @DynArrayHigh 020d TAzureService.QueryParams 0229 Format 0231 TAzureService.CleanUpHeaders 0241 TStrings.SetValue 02e9 TAzureService.CanonicalizedQueryParams 03d5 TIdCustomHTTP.GetRequest 03e3 TIdHeaderList.AddValue 0405 TStrings.GetValueFromIndex 041c TStrings.GetName 0458 TAzureService.GetResponse 0470 TIdCustomHTTP.GetResponseCode 047c @HandleFinally 0493 TObject.Free 04b8 @UStrArrayClr 04ce TVarRecArray 04d8 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 1B 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 8B DA 89 45 EC 8B 7D 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 10 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E C8 00 00 00 8B C7 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 66 B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 45 D0 8D 4D F4 BA 02 00 00 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 8B 45 10 89 45 D8 C6 45 DC 11 89 7D E0 C6 45 E4 11 8D 45 D0 8D 4D F0 BA 02 00 00 00 E8 ?? ?? ?? ?? E9 E1 00 00 00 B8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 8D 45 C0 8D 4D F4 BA 01 00 00 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 8B 45 10 89 45 C8 C6 45 CC 11 8D 45 C0 8D 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? E9 8E 00 00 00 8B C7 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 4D B8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 8D 45 C0 8D 4D F4 BA 01 00 00 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 89 7D C8 C6 45 CC 11 8D 45 C0 8D 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 32 B8 ?? ?? ?? ?? 89 45 B8 C6 45 BC 11 8D 45 B8 8D 4D F4 33 D2 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 B8 C6 45 BC 11 8D 45 B8 8D 4D F0 33 D2 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 94 8B 45 EC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 94 89 45 98 C6 45 9C 11 89 5D A0 C6 45 A4 11 89 75 A8 C6 45 AC 11 8B 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 90 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 90 89 45 B0 C6 45 B4 11 8D 55 98 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 0C BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 6A 0A 8B 45 E8 50 8D 45 88 50 8B 45 EC 8B 40 04 8B 40 3C 89 45 D0 C6 45 D4 11 89 5D D8 C6 45 DC 11 89 75 E0 C6 45 E4 11 8D 55 D0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 88 89 45 C0 C6 45 C4 11 8B 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 84 50 6A FF 8D 45 84 50 6A FF 8D 45 84 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 84 89 45 C8 C6 45 CC 11 8D 45 C0 50 6A 01 8D 45 8C 50 33 C0 89 85 2C FF FF FF C6 85 30 FF FF FF 11 33 C0 89 85 34 FF FF FF C6 85 38 FF FF FF 11 33 C0 89 85 3C FF FF FF C6 85 40 FF FF FF 11 33 C0 89 85 44 FF FF FF C6 85 48 FF FF FF 11 33 C0 89 85 4C FF FF FF C6 85 50 FF FF FF 11 33 C0 89 85 54 FF FF FF C6 85 58 FF FF FF 11 33 C0 89 85 5C FF FF FF C6 85 60 FF FF FF 11 33 C0 89 85 64 FF FF FF C6 85 68 FF FF FF 11 33 C0 89 85 6C FF FF FF C6 85 70 FF FF FF 11 33 C0 89 85 74 FF FF FF C6 85 78 FF FF FF 11 33 C0 89 85 7C FF FF FF C6 45 80 11 8D 8D 2C FF FF FF BA ?? ?? ?? ?? 8B 45 EC 8B 18 FF 53 08 8D 95 28 FF FF FF 8B 45 EC 8B 40 0C 8B 08 FF 51 28 8B 85 28 FF FF FF 50 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4A 46 33 DB 8D 8D 24 FF FF FF 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B 85 24 FF FF FF 50 8D 8D 20 FF FF FF 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 50 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 5A 59 E8 ?? ?? ?? ?? 43 4E 75 B9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B 55 FC 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 55 EC 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 20 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 84 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 5F 5E 5B 8B E5 5D C2 10 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 62 00 6C 00 6F 00 63 00 6B 00 6C 00 69 00 73 00 74 00 74 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 62 00 6C 00 6F 00 63 00 6B 00 6C 00 69 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28083_0 {
	meta:
		name = "TAzureBlobService.GetContainerACL"
		size = 1604
		refs = "0021 TAzureBlobService.GetContainerACL 0032 TAzureService.XMsDate 003f @UStrLAsg 0051 TAzureConnectionString.BlobURL 0074 Format 007c TAzureService.CleanUpHeaders 0087 TIdCustomHTTP.GetRequest 0097 TIdHeaderList.AddValue 0156 @UStrCat 0292 TAzureService.CanonicalizedQueryParams 03c9 TAzureService.QueryParams 0424 TAzureService.GetResponse 043c TIdCustomHTTP.GetResponseCode 0448 @HandleFinally 0467 @UStrArrayClr 0472 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 25 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D EC 8B DA 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 D8 8B 45 F0 8B 40 04 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 89 5D E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 70 04 80 7E 38 00 0F 84 B4 00 00 00 6A 02 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8D 45 CC 50 6A 00 8B 45 FC 89 45 C4 C6 45 C8 11 8D 45 C4 50 6A 00 8D 45 B8 50 8B 46 3C 89 45 98 C6 45 9C 11 8B 45 F0 8B 40 04 8B 40 3C 89 45 A0 C6 45 A4 11 89 5D A8 C6 45 AC 11 8B 45 F4 89 45 B0 C6 45 B4 11 8D 55 98 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 89 45 BC C6 45 C0 11 8D 45 BC 50 6A 00 8D 45 D4 50 33 C0 89 45 80 C6 45 84 11 33 C0 89 45 88 C6 45 8C 11 33 C0 89 45 90 C6 45 94 11 8D 4D 80 BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 04 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? E9 7C 02 00 00 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 0A B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 45 DC 50 6A 01 8B 45 FC 89 85 6C FF FF FF C6 85 70 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 74 FF FF FF C6 85 78 FF FF FF 11 8D 85 6C FF FF FF 50 6A 01 8D 85 58 FF FF FF 50 8B 45 F0 8B 40 04 8B 40 3C 89 85 48 FF FF FF C6 85 4C FF FF FF 11 89 9D 50 FF FF FF C6 85 54 FF FF FF 11 8D 95 48 FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 89 85 5C FF FF FF C6 85 60 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 48 FF FF FF C6 85 4C FF FF FF 11 B8 ?? ?? ?? ?? 89 85 50 FF FF FF C6 85 54 FF FF FF 11 8D 85 48 FF FF FF 50 6A 01 8D 85 44 FF FF FF 50 6A FF 8D 85 44 FF FF FF 50 6A FF 8D 85 44 FF FF FF 50 B8 ?? ?? ?? ?? 89 85 34 FF FF FF C6 85 38 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 3C FF FF FF C6 85 40 FF FF FF 11 8D 95 34 FF FF FF B9 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 85 44 FF FF FF 89 85 64 FF FF FF C6 85 68 FF FF FF 11 8D 85 5C FF FF FF 50 6A 01 8D 85 7C FF FF FF 50 33 C0 89 85 DC FE FF FF C6 85 E0 FE FF FF 11 33 C0 89 85 E4 FE FF FF C6 85 E8 FE FF FF 11 33 C0 89 85 EC FE FF FF C6 85 F0 FE FF FF 11 33 C0 89 85 F4 FE FF FF C6 85 F8 FE FF FF 11 33 C0 89 85 FC FE FF FF C6 85 00 FF FF FF 11 33 C0 89 85 04 FF FF FF C6 85 08 FF FF FF 11 33 C0 89 85 0C FF FF FF C6 85 10 FF FF FF 11 33 C0 89 85 14 FF FF FF C6 85 18 FF FF FF 11 33 C0 89 85 1C FF FF FF C6 85 20 FF FF FF 11 33 C0 89 85 24 FF FF FF C6 85 28 FF FF FF 11 33 C0 89 85 2C FF FF FF C6 85 30 FF FF FF 11 8D 8D DC FE FF FF BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 04 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 45 DC 50 6A 01 8D 85 D8 FE FF FF 50 B8 ?? ?? ?? ?? 89 85 6C FF FF FF C6 85 70 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 74 FF FF FF C6 85 78 FF FF FF 11 8D 95 6C FF FF FF B9 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 95 D8 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8D 95 D4 FE FF FF 8B 45 F0 8B 40 0C 8B 08 FF 51 28 8B 85 D4 FE FF FF 50 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D EC 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F0 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D4 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A5 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 3F 00 63 00 6F 00 6D 00 70 00 3D 00 61 00 63 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 61 00 63 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 73 00 74 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28084_0 {
	meta:
		name = "TAzureBlobService.GetContainerMetadata"
		size = 1660
		refs = "001c TAzureBlobService.GetContainerMetadata 002d TAzureService.XMsDate 003a @UStrLAsg 004c TAzureConnectionString.BlobURL 006f Format 0077 TAzureService.CleanUpHeaders 0082 TIdCustomHTTP.GetRequest 0092 TIdHeaderList.AddValue 0151 @UStrCat 028d TAzureService.CanonicalizedQueryParams 03c1 TAzureService.QueryParams 0422 TIdCustomHTTP.Get 042d TIdCustomHTTP.GetResponseCode 044f @HandleAnyException 0467 @DoneExcept 0484 @UStrArrayClr 048f @UStrClr 04ca @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 25 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 DC 8B 45 F0 8B 40 04 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 89 5D E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 70 04 80 7E 38 00 0F 84 B4 00 00 00 6A 02 B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8B 45 F8 89 45 C8 C6 45 CC 11 8D 45 C8 50 6A 00 8D 45 BC 50 8B 46 3C 89 45 9C C6 45 A0 11 8B 45 F0 8B 40 04 8B 40 3C 89 45 A4 C6 45 A8 11 89 5D AC C6 45 B0 11 8B 45 F4 89 45 B4 C6 45 B8 11 8D 55 9C B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 89 45 C0 C6 45 C4 11 8D 45 C0 50 6A 00 8D 45 D8 50 33 C0 89 45 84 C6 45 88 11 33 C0 89 45 8C C6 45 90 11 33 C0 89 45 94 C6 45 98 11 8D 4D 84 BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 04 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? E9 79 02 00 00 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 0A B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 45 E0 50 6A 01 8B 45 F8 89 85 70 FF FF FF C6 85 74 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8D 85 70 FF FF FF 50 6A 01 8D 85 5C FF FF FF 50 8B 45 F0 8B 40 04 8B 40 3C 89 85 4C FF FF FF C6 85 50 FF FF FF 11 89 9D 54 FF FF FF C6 85 58 FF FF FF 11 8D 95 4C FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 89 85 60 FF FF FF C6 85 64 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 4C FF FF FF C6 85 50 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 54 FF FF FF C6 85 58 FF FF FF 11 8D 85 4C FF FF FF 50 6A 01 8D 85 48 FF FF FF 50 6A FF 8D 85 48 FF FF FF 50 6A FF 8D 85 48 FF FF FF 50 B8 ?? ?? ?? ?? 89 85 38 FF FF FF C6 85 3C FF FF FF 11 B8 ?? ?? ?? ?? 89 85 40 FF FF FF C6 85 44 FF FF FF 11 8D 95 38 FF FF FF B9 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8D 85 60 FF FF FF 50 6A 01 8D 45 80 50 33 C0 89 85 E0 FE FF FF C6 85 E4 FE FF FF 11 33 C0 89 85 E8 FE FF FF C6 85 EC FE FF FF 11 33 C0 89 85 F0 FE FF FF C6 85 F4 FE FF FF 11 33 C0 89 85 F8 FE FF FF C6 85 FC FE FF FF 11 33 C0 89 85 00 FF FF FF C6 85 04 FF FF FF 11 33 C0 89 85 08 FF FF FF C6 85 0C FF FF FF 11 33 C0 89 85 10 FF FF FF C6 85 14 FF FF FF 11 33 C0 89 85 18 FF FF FF C6 85 1C FF FF FF 11 33 C0 89 85 20 FF FF FF C6 85 24 FF FF FF 11 33 C0 89 85 28 FF FF FF C6 85 2C FF FF FF 11 33 C0 89 85 30 FF FF FF C6 85 34 FF FF FF 11 8D 8D E0 FE FF FF BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 04 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 45 E0 50 6A 01 8D 85 DC FE FF FF 50 B8 ?? ?? ?? ?? 89 85 70 FF FF FF C6 85 74 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8D 95 70 FF FF FF B9 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 95 DC FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 8D 95 D8 FE FF FF 8B 45 F0 8B 40 0C 8B 08 FF 51 28 8B 85 D8 FE FF FF 50 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D D4 FE FF FF 8B 45 F0 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B D8 8B 45 F0 89 58 10 81 FB C8 00 00 00 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F0 89 42 10 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D4 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 48 FF FF FF E8 ?? ?? ?? ?? 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A8 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 3F 00 63 00 6F 00 6D 00 70 00 3D 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 73 00 74 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28085_0 {
	meta:
		name = "TAzureBlobService.GetContainerProperties"
		size = 1380
		refs = "001b TAzureBlobService.GetContainerProperties 002c TAzureService.XMsDate 003e TAzureConnectionString.BlobURL 0061 Format 0069 TAzureService.CleanUpHeaders 0074 TIdCustomHTTP.GetRequest 0084 TIdHeaderList.AddValue 0216 TAzureService.CanonicalizedQueryParams 0317 TAzureService.QueryParams 0325 @UStrCat 0378 TIdCustomHTTP.Get 0383 TIdCustomHTTP.GetResponseCode 03a5 @HandleAnyException 03bd @DoneExcept 03da @UStrArrayClr 03e5 @UStrClr 041d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 1F 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 E0 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 11 89 5D EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 70 04 80 7E 38 00 0F 84 9F 00 00 00 6A 02 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8B 45 F8 89 45 CC C6 45 D0 11 8D 45 CC 50 6A 00 8D 45 C0 50 8B 46 3C 89 45 A8 C6 45 AC 11 8B 45 F4 8B 40 04 8B 40 3C 89 45 B0 C6 45 B4 11 89 5D B8 C6 45 BC 11 8D 55 A8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 89 45 C4 C6 45 C8 11 8D 45 C4 50 6A 00 8D 45 DC 50 33 C0 89 45 A8 C6 45 AC 11 33 C0 89 45 B0 C6 45 B4 11 33 C0 89 45 B8 C6 45 BC 11 8D 4D A8 BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 E9 F2 01 00 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 0A B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 E4 50 6A 01 8B 45 F8 89 45 94 C6 45 98 11 B8 ?? ?? ?? ?? 89 45 9C C6 45 A0 11 8D 45 94 50 6A 01 8D 45 80 50 8B 45 F4 8B 40 04 8B 40 3C 89 85 70 FF FF FF C6 85 74 FF FF FF 11 89 9D 78 FF FF FF C6 85 7C FF FF FF 11 8D 95 70 FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 80 89 45 84 C6 45 88 11 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8D 85 6C FF FF FF 50 6A FF 8D 85 6C FF FF FF 50 6A FF 8D 85 6C FF FF FF 50 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8D 55 CC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 89 45 8C C6 45 90 11 8D 45 84 50 6A 01 8D 45 A4 50 33 C0 89 85 14 FF FF FF C6 85 18 FF FF FF 11 33 C0 89 85 1C FF FF FF C6 85 20 FF FF FF 11 33 C0 89 85 24 FF FF FF C6 85 28 FF FF FF 11 33 C0 89 85 2C FF FF FF C6 85 30 FF FF FF 11 33 C0 89 85 34 FF FF FF C6 85 38 FF FF FF 11 33 C0 89 85 3C FF FF FF C6 85 40 FF FF FF 11 33 C0 89 85 44 FF FF FF C6 85 48 FF FF FF 11 33 C0 89 85 4C FF FF FF C6 85 50 FF FF FF 11 33 C0 89 85 54 FF FF FF C6 85 58 FF FF FF 11 33 C0 89 85 5C FF FF FF C6 85 60 FF FF FF 11 33 C0 89 85 64 FF FF FF C6 85 68 FF FF FF 11 8D 8D 14 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8D 85 10 FF FF FF 50 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8D 55 CC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 95 10 FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 8D 95 0C FF FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 0C FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 08 FF FF FF 8B 45 F4 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 89 58 10 81 FB C8 00 00 00 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 08 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AB 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 73 00 74 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28086_0 {
	meta:
		name = "TAzureBlobService.GetPageRegions"
		size = 1576
		refs = "0024 TAzureBlobService.GetPageRegions 0031 _Dn_TStringList 0036 TStringList.Create 0052 TAzureService.XMsDate 0089 CreateRecArray 00f2 TAzureConnectionString.BlobURL 0116 @DynArrayHigh 0130 TAzureService.QueryParams 014c Format 0154 TAzureService.CleanUpHeaders 0164 TStrings.SetValue 0256 TAzureService.CanonicalizedQueryParams 0345 TIdCustomHTTP.GetRequest 0353 TIdHeaderList.AddValue 0375 TStrings.GetValueFromIndex 038c TStrings.GetName 03c8 TAzureService.GetResponse 03e0 TIdCustomHTTP.GetResponseCode 03ec @HandleFinally 0403 TObject.Free 0428 @UStrArrayClr 0430 @UStrClr 0446 TVarRecArray 0450 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 1C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B DA 89 45 EC 8B 7D 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8B C7 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 4D B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 45 D8 8D 4D F4 BA 01 00 00 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 89 7D E0 C6 45 E4 11 8D 45 D8 8D 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 32 B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 8D 45 D0 8D 4D F4 33 D2 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 8D 45 D0 8D 4D F0 33 D2 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 AC 8B 45 EC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 AC 89 45 B0 C6 45 B4 11 89 5D B8 C6 45 BC 11 89 75 C0 C6 45 C4 11 8B 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 A8 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 A8 89 45 C8 C6 45 CC 11 8D 55 B0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 0C BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 83 7D 14 00 75 08 83 7D 10 00 76 3E EB 02 7E 3A 8D 45 A4 50 8D 45 18 89 45 D8 C6 45 DC 10 8D 45 10 89 45 E0 C6 45 E4 10 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A4 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 6A 0A 8B 45 E8 50 8D 45 9C 50 8B 45 EC 8B 40 04 8B 40 3C 89 45 84 C6 45 88 11 89 5D 8C C6 45 90 11 89 75 94 C6 45 98 11 8D 55 84 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 89 45 D8 C6 45 DC 11 8B 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 80 50 6A FF 8D 45 80 50 6A FF 8D 45 80 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 80 89 45 E0 C6 45 E4 11 8D 45 D8 50 6A 01 8D 45 A0 50 33 C0 89 85 28 FF FF FF C6 85 2C FF FF FF 11 33 C0 89 85 30 FF FF FF C6 85 34 FF FF FF 11 33 C0 89 85 38 FF FF FF C6 85 3C FF FF FF 11 33 C0 89 85 40 FF FF FF C6 85 44 FF FF FF 11 33 C0 89 85 48 FF FF FF C6 85 4C FF FF FF 11 33 C0 89 85 50 FF FF FF C6 85 54 FF FF FF 11 33 C0 89 85 58 FF FF FF C6 85 5C FF FF FF 11 33 C0 89 85 60 FF FF FF C6 85 64 FF FF FF 11 33 C0 89 85 68 FF FF FF C6 85 6C FF FF FF 11 33 C0 89 85 70 FF FF FF C6 85 74 FF FF FF 11 33 C0 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8D 8D 28 FF FF FF BA ?? ?? ?? ?? 8B 45 EC 8B 18 FF 53 08 8D 95 24 FF FF FF 8B 45 EC 8B 40 0C 8B 08 FF 51 28 8B 85 24 FF FF FF 50 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4A 46 33 DB 8D 8D 20 FF FF FF 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 50 8D 8D 1C FF FF FF 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 50 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 5A 59 E8 ?? ?? ?? ?? 43 4E 75 B9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B 55 FC 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 55 EC 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 1C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 9C BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B3 5F 5E 5B 8B E5 5D C2 1C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 61 00 67 00 65 00 6C 00 69 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 62 00 79 00 74 00 65 00 73 00 3D 00 25 00 64 00 2D 00 25 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 72 00 61 00 6E 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28087_0 {
	meta:
		name = "TAzureBlobService.IsProperty"
		size = 384
		refs = "000c @UStrAddRef 0014 TAzureBlobService.IsProperty 0029 AnsiStartsStr 003a @UStrEqual 008f @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 4B 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 3C 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 2D 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6D 00 65 00 74 00 61 00 2D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 54 00 72 00 61 00 6E 00 73 00 66 00 65 00 72 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 72 00 65 00 71 00 75 00 65 00 73 00 74 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_28088_0 {
	meta:
		name = "TAzureBlobService.LeaseBlob"
		size = 1372
		refs = "0025 TAzureBlobService.LeaseBlob 0032 _Dn_TStringList 0037 TStringList.Create 0053 TAzureService.XMsDate 0065 TAzureConnectionString.BlobURL 00ac TAzureService.QueryParams 00c8 Format 00d0 TAzureService.CleanUpHeaders 00e0 TStrings.SetValue 019f TAzureService.CanonicalizedQueryParams 028c TIdCustomHTTP.GetRequest 029a TIdHeaderList.AddValue 02bc TStrings.GetValueFromIndex 02d3 TStrings.GetName 02e4 AnsiLowerCase 0326 TAzureHTTP.Put 0331 TIdCustomHTTP.GetResponse 0341 TIdHeaderList.GetValue 0359 TIdCustomHTTP.GetResponseCode 0365 @HandleFinally 037c TObject.Free 03a1 @UStrArrayClr 03a9 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 1C 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 8B DA 89 45 F4 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 CC 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 89 5D D8 C6 45 DC 11 89 75 E0 C6 45 E4 11 B8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 8D 45 C0 50 6A 00 8D 45 C8 50 B8 ?? ?? ?? ?? 89 45 B8 C6 45 BC 11 8D 55 B8 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 C8 89 45 E8 C6 45 EC 11 8D 55 D0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B C7 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B CF BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 4D 10 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 6A 0A 8B 45 F0 50 8D 45 A0 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 88 C6 45 8C 11 89 5D 90 C6 45 94 11 89 75 98 C6 45 9C 11 8D 55 88 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 89 45 A4 C6 45 A8 11 B8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 8D 45 C0 50 6A 00 8D 45 84 50 6A FF 8D 45 84 50 6A FF 8D 45 84 50 B8 ?? ?? ?? ?? 89 45 B8 C6 45 BC 11 8D 55 B8 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 84 89 45 AC C6 45 B0 11 8D 45 A4 50 6A 01 8D 45 B4 50 33 C0 89 85 2C FF FF FF C6 85 30 FF FF FF 11 33 C0 89 85 34 FF FF FF C6 85 38 FF FF FF 11 66 C7 85 3C FF FF FF 30 00 C6 85 40 FF FF FF 09 33 C0 89 85 44 FF FF FF C6 85 48 FF FF FF 11 33 C0 89 85 4C FF FF FF C6 85 50 FF FF FF 11 33 C0 89 85 54 FF FF FF C6 85 58 FF FF FF 11 33 C0 89 85 5C FF FF FF C6 85 60 FF FF FF 11 33 C0 89 85 64 FF FF FF C6 85 68 FF FF FF 11 33 C0 89 85 6C FF FF FF C6 85 70 FF FF FF 11 33 C0 89 85 74 FF FF FF C6 85 78 FF FF FF 11 33 C0 89 85 7C FF FF FF C6 45 80 11 8D 8D 2C FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 08 8D 95 28 FF FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 28 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 14 8B F0 4E 85 F6 7C 5B 46 33 DB 8D 8D 24 FF FF FF 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B 85 24 FF FF FF 50 8D 8D 1C FF FF FF 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 8D 95 20 FF FF FF E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 5A 59 E8 ?? ?? ?? ?? 43 4E 75 A8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 18 FF FF FF 8B 45 F4 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 0C 8B 4D 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 18 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B6 5F 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6C 00 65 00 61 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 61 00 63 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28089_0 {
	meta:
		name = "TAzureBlobService.ListBlobs"
		size = 1676
		refs = "004c TAzureBlobService.ListBlobs 005d TAzureService.XMsDate 006f TAzureConnectionString.BlobURL 0092 Format 009a TAzureService.CleanUpHeaders 00a5 TIdCustomHTTP.GetRequest 00b5 TIdHeaderList.AddValue 00d2 @UStrLAsg 0181 @UStrCat 02b8 TAzureService.CanonicalizedQueryParams 03f9 TAzureService.QueryParams 0454 TAzureService.GetResponse 046c TIdCustomHTTP.GetResponseCode 0478 @HandleFinally 0497 @UStrArrayClr 04a2 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 24 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B 5D 10 8B 75 0C 03 F6 46 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 10 8B 5D 14 03 DB 43 85 DB 78 07 8B 34 99 4B 56 79 F9 8B CC 8B F1 8B DA 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 DC 8B 45 F0 8B 40 04 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 89 5D E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 78 04 80 7F 38 00 0F 84 C1 00 00 00 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8B 45 FC 89 45 C8 C6 45 CC 11 8D 45 C8 50 6A 00 8D 45 BC 50 8B 47 3C 89 45 9C C6 45 A0 11 8B 45 F0 8B 40 04 8B 40 3C 89 45 A4 C6 45 A8 11 89 5D AC C6 45 B0 11 8B 45 F4 89 45 B4 C6 45 B8 11 8D 55 9C B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 89 45 C0 C6 45 C4 11 8D 45 C0 50 6A 00 8D 45 D8 50 33 C0 89 45 84 C6 45 88 11 33 C0 89 45 8C C6 45 90 11 33 C0 89 45 94 C6 45 98 11 8D 4D 84 BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 04 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? E9 81 02 00 00 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 0A B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 45 E0 50 6A 01 8B 45 FC 89 85 70 FF FF FF C6 85 74 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8D 85 70 FF FF FF 50 6A 01 8D 85 5C FF FF FF 50 8B 45 F0 8B 40 04 8B 40 3C 89 85 4C FF FF FF C6 85 50 FF FF FF 11 89 9D 54 FF FF FF C6 85 58 FF FF FF 11 8D 95 4C FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 89 85 60 FF FF FF C6 85 64 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 4C FF FF FF C6 85 50 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 54 FF FF FF C6 85 58 FF FF FF 11 8D 85 4C FF FF FF 50 6A 01 56 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8D 85 48 FF FF FF 50 B8 ?? ?? ?? ?? 89 85 38 FF FF FF C6 85 3C FF FF FF 11 B8 ?? ?? ?? ?? 89 85 40 FF FF FF C6 85 44 FF FF FF 11 8D 95 38 FF FF FF B9 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8D 85 60 FF FF FF 50 6A 01 8D 45 80 50 33 C0 89 85 E0 FE FF FF C6 85 E4 FE FF FF 11 33 C0 89 85 E8 FE FF FF C6 85 EC FE FF FF 11 33 C0 89 85 F0 FE FF FF C6 85 F4 FE FF FF 11 33 C0 89 85 F8 FE FF FF C6 85 FC FE FF FF 11 33 C0 89 85 00 FF FF FF C6 85 04 FF FF FF 11 33 C0 89 85 08 FF FF FF C6 85 0C FF FF FF 11 33 C0 89 85 10 FF FF FF C6 85 14 FF FF FF 11 33 C0 89 85 18 FF FF FF C6 85 1C FF FF FF 11 33 C0 89 85 20 FF FF FF C6 85 24 FF FF FF 11 33 C0 89 85 28 FF FF FF C6 85 2C FF FF FF 11 33 C0 89 85 30 FF FF FF C6 85 34 FF FF FF 11 8D 8D E0 FE FF FF BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 04 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 45 E0 50 6A 01 56 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8D 85 DC FE FF FF 50 B8 ?? ?? ?? ?? 89 85 70 FF FF FF C6 85 74 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8D 95 70 FF FF FF B9 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 95 DC FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8D 95 D8 FE FF FF 8B 45 F0 8B 40 0C 8B 08 FF 51 28 8B 85 D8 FE FF FF 50 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F0 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D8 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 48 FF FF FF E8 ?? ?? ?? ?? 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A8 8B BD CC FE FF FF 8B B5 D0 FE FF FF 8B 9D D4 FE FF FF 8B E5 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 3F 00 63 00 6F 00 6D 00 70 00 3D 00 6C 00 69 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 69 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 73 00 74 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28090_0 {
	meta:
		name = "TAzureBlobService.SetContainerMetadata"
		size = 1620
		refs = "0021 TAzureBlobService.SetContainerMetadata 0032 TAzureService.XMsDate 003f @UStrLAsg 0051 TAzureConnectionString.BlobURL 0074 Format 007c TAzureService.CleanUpHeaders 008b TStrings.SetValue 0136 @UStrCatN 0200 TAzureService.CanonicalizedQueryParams 0323 TAzureService.QueryParams 0331 @UStrCat 0354 TIdCustomHTTP.GetRequest 0362 TIdHeaderList.AddValue 0382 TStrings.GetValueFromIndex 0398 TStrings.GetName 03da TAzureHTTP.Put 03e5 TIdCustomHTTP.GetResponseCode 040d @HandleAnyException 0436 @DoneExcept 0453 @UStrArrayClr 045e @UStrClr 0493 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 20 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B DA 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 DC 8B 45 F0 8B 40 04 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 89 5D E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 8B 78 04 80 7F 38 00 0F 84 A0 00 00 00 6A 02 56 8D 45 CC 50 8B 47 3C 89 45 AC C6 45 B0 11 8B 45 F0 8B 40 04 8B 40 3C 89 45 B4 C6 45 B8 11 89 5D BC C6 45 C0 11 8B 45 F4 89 45 C4 C6 45 C8 11 8D 55 AC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8D 45 D8 50 33 C0 89 45 94 C6 45 98 11 33 C0 89 45 9C C6 45 A0 11 33 C0 89 45 A4 C6 45 A8 11 8D 4D 94 BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 08 FF 75 F8 68 ?? ?? ?? ?? FF 75 F4 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 F6 01 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 0A 56 8D 45 8C 50 8B 45 F0 8B 40 04 8B 40 3C 89 85 7C FF FF FF C6 45 80 11 89 5D 84 C6 45 88 11 8D 95 7C FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 8C 89 45 E0 C6 45 E4 11 B8 ?? ?? ?? ?? 89 85 7C FF FF FF C6 45 80 11 B8 ?? ?? ?? ?? 89 45 84 C6 45 88 11 8D 85 7C FF FF FF 50 6A 01 8D 85 78 FF FF FF 50 6A FF 8D 85 78 FF FF FF 50 6A FF 8D 85 78 FF FF FF 50 B8 ?? ?? ?? ?? 89 85 68 FF FF FF C6 85 6C FF FF FF 11 B8 ?? ?? ?? ?? 89 85 70 FF FF FF C6 85 74 FF FF FF 11 8D 95 68 FF FF FF B9 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 E8 C6 45 EC 11 8D 45 E0 50 6A 01 8D 45 90 50 33 C0 89 85 10 FF FF FF C6 85 14 FF FF FF 11 33 C0 89 85 18 FF FF FF C6 85 1C FF FF FF 11 66 C7 85 20 FF FF FF 30 00 C6 85 24 FF FF FF 09 33 C0 89 85 28 FF FF FF C6 85 2C FF FF FF 11 33 C0 89 85 30 FF FF FF C6 85 34 FF FF FF 11 33 C0 89 85 38 FF FF FF C6 85 3C FF FF FF 11 33 C0 89 85 40 FF FF FF C6 85 44 FF FF FF 11 33 C0 89 85 48 FF FF FF C6 85 4C FF FF FF 11 33 C0 89 85 50 FF FF FF C6 85 54 FF FF FF 11 33 C0 89 85 58 FF FF FF C6 85 5C FF FF FF 11 33 C0 89 85 60 FF FF FF C6 85 64 FF FF FF 11 8D 8D 10 FF FF FF BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 08 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 45 E0 50 6A 01 8D 85 0C FF FF FF 50 B8 ?? ?? ?? ?? 89 85 7C FF FF FF C6 45 80 11 B8 ?? ?? ?? ?? 89 45 84 C6 45 88 11 8D 95 7C FF FF FF B9 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 95 0C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8D 95 08 FF FF FF 8B 45 F0 8B 40 0C 8B 08 FF 51 28 8B 85 08 FF FF FF 50 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 14 8B F8 4F 85 FF 7C 48 47 33 DB 8D 8D 04 FF FF FF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 85 04 FF FF FF 50 8D 8D 00 FF FF FF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 85 00 FF FF FF 50 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 5A 59 E8 ?? ?? ?? ?? 43 4F 75 BB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D FC FE FF FF 8B 45 F0 8B 40 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 3D C8 00 00 00 0F 94 C3 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F0 89 42 10 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 3D C8 00 00 00 0F 94 C3 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F0 89 42 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FE FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 45 8C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AE 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 6F 00 6D 00 70 00 3D 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 3F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 73 00 74 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28091_0 {
	meta:
		name = "TAzureBlobService.SetPageBlobProperties"
		size = 2128
		refs = "0024 TAzureBlobService.SetPageBlobProperties 0031 _Dn_TStringList 0036 TStringList.Create 0052 TAzureService.XMsDate 0064 TAzureConnectionString.BlobURL 00ab TAzureService.QueryParams 00c7 Format 00cf TAzureService.CleanUpHeaders 00df TStrings.SetValue 028e TAzureService.CanonicalizedQueryParams 037e TIdCustomHTTP.GetRequest 038c TIdHeaderList.AddValue 03ae TStrings.GetValueFromIndex 03c5 TStrings.GetName 03d6 AnsiLowerCase 042a TAzureHTTP.Put 0435 TIdCustomHTTP.GetResponseCode 044d @HandleAnyException 0456 @DoneExcept 047a @HandleFinally 0491 TObject.Free 04b6 @UStrArrayClr 04be @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 1D 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B DA 89 45 F4 8B 7D 28 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 C8 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 C8 89 45 CC C6 45 D0 11 89 5D D4 C6 45 D8 11 89 75 DC C6 45 E0 11 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 8D 45 BC 50 6A 00 8D 45 C4 50 B8 ?? ?? ?? ?? 89 45 B4 C6 45 B8 11 8D 55 B4 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 C4 89 45 E4 C6 45 E8 11 8D 55 CC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 08 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 08 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B C7 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B CF BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 24 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 24 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 20 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 20 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 1C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 1C BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 18 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 18 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 14 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 14 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 10 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 10 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 0C BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 6A 0A 8B 45 EC 50 8D 45 9C 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 84 C6 45 88 11 89 5D 8C C6 45 90 11 89 75 94 C6 45 98 11 8D 55 84 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 89 45 A0 C6 45 A4 11 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 8D 45 BC 50 6A 00 8D 45 80 50 6A FF 8D 45 80 50 6A FF 8D 45 80 50 B8 ?? ?? ?? ?? 89 45 B4 C6 45 B8 11 8D 55 B4 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 80 89 45 A8 C6 45 AC 11 8D 45 A0 50 6A 01 8D 45 B0 50 33 C0 89 85 28 FF FF FF C6 85 2C FF FF FF 11 33 C0 89 85 30 FF FF FF C6 85 34 FF FF FF 11 66 C7 85 38 FF FF FF 30 00 C6 85 3C FF FF FF 09 33 C0 89 85 40 FF FF FF C6 85 44 FF FF FF 11 33 C0 89 85 48 FF FF FF C6 85 4C FF FF FF 11 33 C0 89 85 50 FF FF FF C6 85 54 FF FF FF 11 33 C0 89 85 58 FF FF FF C6 85 5C FF FF FF 11 33 C0 89 85 60 FF FF FF C6 85 64 FF FF FF 11 33 C0 89 85 68 FF FF FF C6 85 6C FF FF FF 11 33 C0 89 85 70 FF FF FF C6 85 74 FF FF FF 11 33 C0 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8D 8D 28 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 08 8D 95 24 FF FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 24 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 5B 46 33 DB 8D 8D 20 FF FF FF 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 50 8D 8D 18 FF FF FF 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 85 18 FF FF FF 8D 95 1C FF FF FF E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 5A 59 E8 ?? ?? ?? ?? 43 4E 75 A8 C6 45 F3 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 14 FF FF FF 8B 45 F4 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 3D C8 00 00 00 0F 94 45 F3 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 F3 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 14 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B6 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 24 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 61 00 63 00 68 00 65 00 2D 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6D 00 64 00 35 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 73 00 65 00 71 00 75 00 65 00 6E 00 63 00 65 00 2D 00 6E 00 75 00 6D 00 62 00 65 00 72 00 2D 00 61 00 63 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 73 00 65 00 71 00 75 00 65 00 6E 00 63 00 65 00 2D 00 6E 00 75 00 6D 00 62 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28092_0 {
	meta:
		name = "TAzureBlobService.SnapshotBlob"
		size = 1724
		refs = "0028 TAzureBlobService.SnapshotBlob 0035 _Dn_TStringList 003a TStringList.Create 0067 TAzureService.XMsDate 0079 TAzureConnectionString.BlobURL 00c3 TAzureService.QueryParams 00df Format 00e7 TAzureService.CleanUpHeaders 00f7 TStrings.SetValue 01ab TAzureService.CanonicalizedQueryParams 0299 TIdCustomHTTP.GetRequest 02a7 TIdHeaderList.AddValue 0370 TStrings.GetValueFromIndex 0387 TStrings.GetName 0398 AnsiLowerCase 03da TAzureHTTP.Put 03e5 TIdCustomHTTP.GetResponse 03f5 TIdHeaderList.GetValue 040d TIdCustomHTTP.GetResponseCode 0419 @HandleFinally 0430 TObject.Free 0455 @UStrArrayClr 045d @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 1D 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F0 8B FA 89 45 F4 8B 5D 18 8B 75 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 83 7D 0C 00 74 0B 8B 55 0C 8B 45 EC 8B 08 FF 51 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 C8 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 C8 89 45 CC C6 45 D0 11 89 7D D4 C6 45 D8 11 8B 45 F0 89 45 DC C6 45 E0 11 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 8D 45 BC 50 6A 00 8D 45 C4 50 B8 ?? ?? ?? ?? 89 45 B4 C6 45 B8 11 8D 55 B4 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 C4 89 45 E4 C6 45 E8 11 8D 55 CC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 10 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D 10 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 6A 0A 8B 45 EC 50 8D 45 9C 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 84 C6 45 88 11 89 7D 8C C6 45 90 11 8B 45 F0 89 45 94 C6 45 98 11 8D 55 84 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 89 45 A0 C6 45 A4 11 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 8D 45 BC 50 6A 00 8D 45 80 50 6A FF 8D 45 80 50 6A FF 8D 45 80 50 B8 ?? ?? ?? ?? 89 45 B4 C6 45 B8 11 8D 55 B4 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 80 89 45 A8 C6 45 AC 11 8D 45 A0 50 6A 01 8D 45 B0 50 33 C0 89 85 28 FF FF FF C6 85 2C FF FF FF 11 33 C0 89 85 30 FF FF FF C6 85 34 FF FF FF 11 66 C7 85 38 FF FF FF 30 00 C6 85 3C FF FF FF 09 33 C0 89 85 40 FF FF FF C6 85 44 FF FF FF 11 33 C0 89 85 48 FF FF FF C6 85 4C FF FF FF 11 89 B5 50 FF FF FF C6 85 54 FF FF FF 11 89 9D 58 FF FF FF C6 85 5C FF FF FF 11 8B 45 14 89 85 60 FF FF FF C6 85 64 FF FF FF 11 8B 45 1C 89 85 68 FF FF FF C6 85 6C FF FF FF 11 33 C0 89 85 70 FF FF FF C6 85 74 FF FF FF 11 33 C0 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8D 8D 28 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 38 FF 57 08 8D 95 24 FF FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 24 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1A 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 1C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1B 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1A 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 14 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1A 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 5B 46 33 DB 8D 8D 20 FF FF FF 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 50 8D 8D 18 FF FF FF 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 85 18 FF FF FF 8D 95 1C FF FF FF E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 5A 59 E8 ?? ?? ?? ?? 43 4E 75 A8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 14 FF FF FF 8B 45 F4 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 0C 8B 4D 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 14 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B6 5F 5E 5B 8B E5 5D C2 1C 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 66 00 2D 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 53 00 69 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 66 00 2D 00 55 00 6E 00 6D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 53 00 69 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 66 00 2D 00 4D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 66 00 2D 00 4E 00 6F 00 6E 00 65 00 2D 00 4D 00 61 00 74 00 63 00 68 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 00 00 }
	condition:
		$1
}

rule function_28093_0 {
	meta:
		name = "TAzureBlobService.ListContainers"
		size = 700
		refs = "002b @UStrAddRef 0033 TAzureBlobService.ListContainers 0044 TAzureService.XMsDate 0051 @UStrLAsg 0063 TAzureConnectionString.BlobURL 0089 Format 0091 TAzureService.CleanUpHeaders 009c TIdCustomHTTP.GetRequest 00ac TIdHeaderList.AddValue 0195 TAzureService.GetResponse 01ad TIdCustomHTTP.GetResponseCode 01b9 @HandleFinally 01d0 @UStrClr 01e5 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 33 DB 89 5D 9C 89 5D D4 89 5D B8 89 5D D8 89 5D F8 89 5D F4 89 5D F0 8B D9 89 55 FC 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8D 55 D8 8B 45 EC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 8B 45 FC 89 45 E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8D 45 CC 50 6A 00 8B 45 F8 89 45 C4 C6 45 C8 11 8D 45 C4 50 6A 00 8D 45 B8 50 8B 45 EC 8B 40 04 8B 40 3C 89 45 A0 C6 45 A4 11 8B 45 EC 8B 40 04 8B 40 3C 89 45 A8 C6 45 AC 11 8B 45 F0 89 45 B0 C6 45 B4 11 8D 55 A0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 89 45 BC C6 45 C0 11 8D 45 BC 50 6A 00 8D 45 D4 50 33 C0 89 45 A0 C6 45 A4 11 33 C0 89 45 A8 C6 45 AC 11 33 C0 89 45 B0 C6 45 B4 11 8D 4D A0 BA ?? ?? ?? ?? 8B 45 EC 8B 30 FF 56 04 8D 55 9C 8B 45 EC 8B 40 0C 8B 08 FF 51 28 8B 45 9C 50 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 55 EC 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 3F 00 63 00 6F 00 6D 00 70 00 3D 00 6C 00 69 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28094_0 {
	meta:
		name = "TAzureBlobService.ListContainers"
		size = 228
		refs = "0018 TAzureBlobService.ListContainers 0055 TAzureService.QueryParams 0084 @UStrAsg 0099 @UStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 80 78 38 00 74 3C B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 45 FC 50 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? EB 21 8D 45 E8 50 6A FF 8D 45 E8 50 8D 55 E8 83 C9 FF 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 69 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_28095_0 {
	meta:
		name = "TAzureBlobService.ListContainers"
		size = 1204
		refs = "0063 TAzureBlobService.ListContainers 00ab TAzureService.QueryParams 00c9 TAzureService.XMsDate 00db TAzureConnectionString.BlobURL 0137 Format 013f TAzureService.CleanUpHeaders 014a TIdCustomHTTP.GetRequest 015a TIdHeaderList.AddValue 0216 TAzureService.CanonicalizedQueryParams 031a TAzureService.GetResponse 0332 TIdCustomHTTP.GetResponseCode 033e @HandleFinally 0358 @UStrClr 0365 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 40 FF FF FF 53 56 57 33 DB 89 9D 40 FF FF FF 89 5D C4 89 5D A0 89 5D 9C 89 5D CC 89 5D C8 89 5D F0 89 5D FC 89 5D F8 8B 5D 10 8B 75 0C 03 F6 46 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 10 8B D9 03 DB 43 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 8B F1 8B DA 89 45 F4 8B 7D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 04 80 78 38 00 74 49 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 53 56 57 8B 45 0C 50 8D 45 F0 50 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8B 4D 08 8B 45 F4 E8 ?? ?? ?? ?? E9 82 02 00 00 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 CC 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 53 56 57 8B 45 0C 50 8D 45 C8 50 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 C8 89 45 D8 C6 45 DC 11 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 0A B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8D 45 D0 50 6A 01 8B 45 FC 89 45 B4 C6 45 B8 11 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 8D 45 B4 50 6A 01 8D 45 A0 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 89 45 A4 C6 45 A8 11 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 53 56 57 8B 45 0C 50 8D 45 9C 50 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 9C 89 45 AC C6 45 B0 11 8D 45 A4 50 6A 01 8D 45 C4 50 33 C0 89 85 44 FF FF FF C6 85 48 FF FF FF 11 33 C0 89 85 4C FF FF FF C6 85 50 FF FF FF 11 33 C0 89 85 54 FF FF FF C6 85 58 FF FF FF 11 33 C0 89 85 5C FF FF FF C6 85 60 FF FF FF 11 33 C0 89 85 64 FF FF FF C6 85 68 FF FF FF 11 33 C0 89 85 6C FF FF FF C6 85 70 FF FF FF 11 33 C0 89 85 74 FF FF FF C6 85 78 FF FF FF 11 33 C0 89 85 7C FF FF FF C6 45 80 11 33 C0 89 45 84 C6 45 88 11 33 C0 89 45 8C C6 45 90 11 33 C0 89 45 94 C6 45 98 11 8D 8D 44 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 8D 95 40 FF FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 40 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 8D 45 9C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BE 8B BD 34 FF FF FF 8B B5 38 FF FF FF 8B 9D 3C FF FF FF 8B E5 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 69 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2F 00 25 00 73 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28096_0 {
	meta:
		name = "TAzureBlobService.SetContainerACL"
		size = 2228
		refs = "002e TAccessPolicy 0033 @AddRefRecord 003b TAzureBlobService.SetContainerACL 005c _DV_TSignedIdentifier 0061 TSignedIdentifier.Create 0072 @UStrAsg 008a TAzureService.XMsDate 0097 @UStrLAsg 00a6 TAzureConnectionString.BlobURL 00c9 Format 00d0 TAzureService.CleanUpHeaders 00d8 TIdCustomHTTP.GetRequest 00e8 TIdHeaderList.AddValue 010c @UStrCatN 0115 TEncoding.GetUTF8 011e TEncoding.GetBytes 0128 _Dn_TBytesStream 012d TBytesStream.Create 023b @UStrCat 0391 TAzureService.CanonicalizedQueryParams 03dd IntToStr 04c6 TAzureService.QueryParams 0514 TIdCustomHTTP.Put 051c TIdCustomHTTP.GetResponseCode 053a TObject.Free 0548 @HandleFinally 0567 @UStrArrayClr 0582 @UStrClr 05a0 TArray<System.Byte> 05a5 @DynArrayClear 05bb @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 51 B9 27 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B 75 0C 8D 7D E8 A5 A5 A5 89 4D E4 8B F2 8B D8 8B 7D 08 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 D8 8B 43 04 8B 50 40 52 56 8D 55 E8 52 8B 48 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 83 C0 04 8B 55 E4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 C4 8B 43 04 E8 ?? ?? ?? ?? 8B 45 C4 89 45 C8 C6 45 CC 11 89 75 D0 C6 45 D4 11 8D 55 C8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 B8 8B 45 DC 8B 08 FF 11 FF 75 B8 68 ?? ?? ?? ?? 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 BC 50 E8 ?? ?? ?? ?? 8D 4D C0 5A E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 8B 43 04 80 78 38 00 0F 84 03 01 00 00 8B 43 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 8D 45 C8 50 6A 01 8B 45 FC 89 45 A4 C6 45 A8 11 B8 ?? ?? ?? ?? 89 45 AC C6 45 B0 11 8D 45 A4 50 6A 01 8D 45 98 50 8B 43 04 8B 40 3C 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8B 43 04 8B 40 3C 89 45 80 C6 45 84 11 89 75 88 C6 45 8C 11 8B 45 F4 89 45 90 C6 45 94 11 8D 95 78 FF FF FF B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 89 45 9C C6 45 A0 11 8D 45 9C 50 6A 00 8D 45 B4 50 33 C0 89 85 60 FF FF FF C6 85 64 FF FF FF 11 33 C0 89 85 68 FF FF FF C6 85 6C FF FF FF 11 33 C0 89 85 70 FF FF FF C6 85 74 FF FF FF 11 8D 8D 60 FF FF FF BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 04 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? E9 94 02 00 00 8B 43 08 E8 ?? ?? ?? ?? 8B 40 54 8B CF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 0A B8 ?? ?? ?? ?? 89 85 60 FF FF FF C6 85 64 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 68 FF FF FF C6 85 6C FF FF FF 11 B8 ?? ?? ?? ?? 89 85 70 FF FF FF C6 85 74 FF FF FF 11 8D 85 60 FF FF FF 50 6A 02 89 BD 44 FF FF FF C6 85 48 FF FF FF 11 8B 45 FC 89 85 4C FF FF FF C6 85 50 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 54 FF FF FF C6 85 58 FF FF FF 11 8D 85 44 FF FF FF 50 6A 02 8D 85 40 FF FF FF 50 8B 43 04 8B 40 3C 89 45 A4 C6 45 A8 11 89 75 AC C6 45 B0 11 8D 55 A4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 40 FF FF FF 89 45 C8 C6 45 CC 11 B8 ?? ?? ?? ?? 89 45 A4 C6 45 A8 11 B8 ?? ?? ?? ?? 89 45 AC C6 45 B0 11 8D 45 A4 50 6A 01 8D 85 3C FF FF FF 50 6A FF 8D 85 3C FF FF FF 50 6A FF 8D 85 3C FF FF FF 50 B8 ?? ?? ?? ?? 89 85 2C FF FF FF C6 85 30 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 34 FF FF FF C6 85 38 FF FF FF 11 8D 95 2C FF FF FF B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 85 3C FF FF FF 89 45 D0 C6 45 D4 11 8D 45 C8 50 6A 01 8D 85 5C FF FF FF 50 33 C0 89 85 D4 FE FF FF C6 85 D8 FE FF FF 11 33 C0 89 85 DC FE FF FF C6 85 E0 FE FF FF 11 8B 45 D8 8B 10 FF 12 52 50 8D 85 D0 FE FF FF E8 ?? ?? ?? ?? 8B 85 D0 FE FF FF 89 85 E4 FE FF FF C6 85 E8 FE FF FF 11 33 C0 89 85 EC FE FF FF C6 85 F0 FE FF FF 11 33 C0 89 85 F4 FE FF FF C6 85 F8 FE FF FF 11 33 C0 89 85 FC FE FF FF C6 85 00 FF FF FF 11 33 C0 89 85 04 FF FF FF C6 85 08 FF FF FF 11 33 C0 89 85 0C FF FF FF C6 85 10 FF FF FF 11 33 C0 89 85 14 FF FF FF C6 85 18 FF FF FF 11 33 C0 89 85 1C FF FF FF C6 85 20 FF FF FF 11 33 C0 89 85 24 FF FF FF C6 85 28 FF FF FF 11 8D 8D D4 FE FF FF BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 04 B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 8D 45 C8 50 6A 01 8D 85 CC FE FF FF 50 B8 ?? ?? ?? ?? 89 45 A4 C6 45 A8 11 B8 ?? ?? ?? ?? 89 45 AC C6 45 B0 11 8D 55 A4 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 95 CC FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8D 95 C8 FE FF FF 8B 43 0C 8B 08 FF 51 28 8B 85 C8 FE FF FF 50 8B 43 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8D 85 C4 FE FF FF 50 8B 43 08 8B 4D D8 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 3D C8 00 00 00 0F 94 45 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 C4 FE FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 3C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 B4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 87 0F B6 45 E3 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3F 00 63 00 6F 00 6D 00 70 00 3D 00 61 00 63 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 39 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 75 00 74 00 66 00 2D 00 38 00 22 00 3F 00 3E 00 3C 00 53 00 69 00 67 00 6E 00 65 00 64 00 49 00 64 00 65 00 6E 00 74 00 69 00 66 00 69 00 65 00 72 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 3C 00 2F 00 53 00 69 00 67 00 6E 00 65 00 64 00 49 00 64 00 65 00 6E 00 74 00 69 00 66 00 69 00 65 00 72 00 73 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 70 00 72 00 6F 00 70 00 2D 00 70 00 75 00 62 00 6C 00 69 00 63 00 61 00 63 00 63 00 65 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 70 00 75 00 62 00 6C 00 69 00 63 00 2D 00 61 00 63 00 63 00 65 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 61 00 63 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 73 00 74 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28097_0 {
	meta:
		name = "TSharedKeyAuthorization.Authentication"
		size = 208
		refs = "001b TSharedKeyAuthorization.Authentication 002c TIdAuthentication.GetUserName 0043 TSharedKeyAuthorization.HMAC_SHA256 004e EncodeBytes64 006a Format 0080 TArray<System.Byte> 0085 @DynArrayClear 0092 @UStrArrayClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D EC 89 4D E8 89 4D E4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 4D E4 8B 53 14 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 68 00 61 00 72 00 65 00 64 00 4B 00 65 00 79 00 20 00 25 00 73 00 3A 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_28098_0 {
	meta:
		name = "TSharedKeyAuthorization.HMAC_SHA256"
		size = 162
		refs = "0014 TSharedKeyAuthorization.HMAC_SHA256 0020 GetHMACSHA256HashInst 002e TEncoding.GetUTF8 0038 TEncoding.GetBytes 003e UpdateHMACInst 004d FinalHMACInst 0062 TArray<System.Byte> 0067 @DynArrayAsg 0082 @DynArrayClear 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D F8 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 1D ?? ?? ?? ?? 8B 1B 8B 40 18 FF D3 8B D8 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC 8B C3 FF D6 8B 35 ?? ?? ?? ?? 8B 36 8D 55 F4 8B C3 FF D6 8B 55 F4 8B 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28099_0 {
	meta:
		name = "TIdProc.IsHMACSHA256Avail"
		size = 13
		refs = "0003 IsHMACSHA256Avail"
		altNames = "TSharedKeyAuthorization.IsHMAC_SHA256Avail"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 }
	condition:
		$1
}

rule function_34921_0 {
	meta:
		name = "TIdHMAC.IsIntFAvail"
		size = 13
		refs = "0003 IsHMACAvail"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 }
	condition:
		$1
}

rule function_34802_0 {
	meta:
		name = "TIdHashIntF.IsIntfAvailable"
		size = 13
		refs = "0003 IsHashingIntfAvail"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 }
	condition:
		$1
}

rule function_34826_0 {
	meta:
		name = "TIdHashMessageDigest2.InitHash"
		size = 13
		refs = "0003 GetMD2HashInst"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 }
	condition:
		$1
}

rule function_34831_0 {
	meta:
		name = "TIdHashMessageDigest4.InitHash"
		size = 13
		refs = "0003 GetMD4HashInst"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 }
	condition:
		$1
}

rule function_34834_0 {
	meta:
		name = "TIdHashMessageDigest5.InitHash"
		size = 13
		refs = "0003 GetMD5HashInst"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 }
	condition:
		$1
}

rule function_34841_0 {
	meta:
		name = "TIdHashSHA1.InitHash"
		size = 13
		refs = "0003 GetSHA1HashInst"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 }
	condition:
		$1
}

rule function_34846_0 {
	meta:
		name = "TIdHashSHA224.InitHash"
		size = 13
		refs = "0003 GetSHA224HashInst"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 }
	condition:
		$1
}

rule function_34848_0 {
	meta:
		name = "TIdHashSHA256.InitHash"
		size = 13
		refs = "0003 GetSHA256HashInst"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 }
	condition:
		$1
}

rule function_34850_0 {
	meta:
		name = "TIdHashSHA384.InitHash"
		size = 13
		refs = "0003 GetSHA384HashInst"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 }
	condition:
		$1
}

rule function_34852_0 {
	meta:
		name = "TIdHashSHA512.InitHash"
		size = 13
		refs = "0003 GetSHA512HashInst"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 }
	condition:
		$1
}

rule function_39791_0 {
	meta:
		name = "TIdProc.IsHMACSHA1Avail"
		size = 13
		refs = "0003 IsHMACSHA1Avail"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 }
	condition:
		$1
}

rule function_40916_0 {
	meta:
		name = "TInHashIntF.IsIntfAvailable"
		size = 13
		refs = "0003 IsHashingIntfAvail"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 }
	condition:
		$1
}

rule function_40929_0 {
	meta:
		name = "TInHashMessageDigest2.InitHash"
		size = 13
		refs = "0003 GetMD2HashInst"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 }
	condition:
		$1
}

rule function_40934_0 {
	meta:
		name = "TInHashMessageDigest4.InitHash"
		size = 13
		refs = "0003 GetMD4HashInst"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 }
	condition:
		$1
}

rule function_40937_0 {
	meta:
		name = "TInHashMessageDigest5.InitHash"
		size = 13
		refs = "0003 GetMD5HashInst"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 }
	condition:
		$1
}

rule function_28100_0 {
	meta:
		name = "TSharedKeyAuthorization.SetSHAKey"
		size = 117
		refs = "000e TSharedKeyAuthorization.SetSHAKey 0025 TIdAuthentication.GetPassword 0030 DecodeBytes64 003c TArray<System.Byte> 0041 @DynArrayAsg 0056 @UStrClr 0064 @DynArrayClear 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 08 FF 51 14 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 18 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28105_0 {
	meta:
		name = "TSignedIdentifier.AsXML"
		size = 240
		refs = "000f TSignedIdentifier.AsXML 002d TAccessPolicy.AsXML 0041 @UStrCatN 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? FF 73 04 68 ?? ?? ?? ?? 8D 55 FC 8D 43 14 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 16 00 00 00 3C 00 53 00 69 00 67 00 6E 00 65 00 64 00 49 00 64 00 65 00 6E 00 74 00 69 00 66 00 69 00 65 00 72 00 3E 00 3C 00 49 00 64 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 49 00 64 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 3C 00 2F 00 53 00 69 00 67 00 6E 00 65 00 64 00 49 00 64 00 65 00 6E 00 74 00 69 00 66 00 69 00 65 00 72 00 3E 00 00 00 }
	condition:
		$1
}

rule function_28106_0 {
	meta:
		name = "TSignedIdentifier.CanonicalizedResource"
		size = 84
		refs = "002c TSignedIdentifier.CanonicalizedResource 0031 Format"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 56 8B 43 08 89 44 24 04 C6 44 24 08 11 8B 43 10 89 44 24 0C C6 44 24 10 11 8D 54 24 04 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_28107_0 {
	meta:
		name = "TSignedIdentifier.Create"
		size = 180
		refs = "0011 @ClassCreate 0029 TAccessPolicy 002e @AddRefRecord 0036 TSignedIdentifier.Create 0046 @UStrAsg 006d @CopyRecord 0088 @FinalizeRecord 008e @HandleFinally 009b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 08 8D 7D F4 A5 A5 A5 8B F1 8B DA 8B F8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 47 08 8B D6 E8 ?? ?? ?? ?? 8D 47 10 8B 55 0C E8 ?? ?? ?? ?? 8D 47 0C 8B 55 10 E8 ?? ?? ?? ?? 8D 47 14 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_28108_0 {
	meta:
		name = "TSignedIdentifier.Create"
		size = 102
		refs = "000e @ClassCreate 001e @UStrAsg 004f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 08 8B D6 E8 ?? ?? ?? ?? 8D 47 10 8B 55 08 E8 ?? ?? ?? ?? 8D 47 0C 8B 55 0C E8 ?? ?? ?? ?? C6 47 1C 00 C6 47 1D 00 C6 47 1E 00 C6 47 1F 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_28109_0 {
	meta:
		name = "TSignedIdentifier.HMAC_SHA256"
		size = 175
		refs = "0016 TSignedIdentifier.HMAC_SHA256 0027 DecodeBytes64 002d GetHMACSHA256HashInst 003b TEncoding.GetUTF8 0045 TEncoding.GetBytes 004b UpdateHMACInst 005a FinalHMACInst 006f TArray<System.Byte> 0074 @DynArrayAsg 008f @DynArrayClear 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 0C E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 45 FC FF D3 8B D8 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC 8B C3 FF D6 8B 35 ?? ?? ?? ?? 8B 36 8D 55 F4 8B C3 FF D6 8B 55 F4 8B 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28110_0 {
	meta:
		name = "TSignedIdentifier.SI"
		size = 116
		refs = "000f TSignedIdentifier.SI 0023 _Dn_TIdURI 0028 TIdURI.ParamsEncode 0037 @UStrCat3 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 33 C9 8B 53 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 73 00 69 00 3D 00 00 00 }
	condition:
		$1
}

rule function_28111_0 {
	meta:
		name = "TSignedIdentifier.Sig"
		size = 108
		refs = "000f TSignedIdentifier.Sig 002e @UStrCat3 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 04 8B 4D FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 69 00 67 00 3D 00 00 00 00 00 }
	condition:
		$1
}

rule function_28112_0 {
	meta:
		name = "TSignedIdentifier.Signature"
		size = 264
		refs = "001e TSignedIdentifier.Signature 0033 TAccessPolicy.GetPermission 005b TSignedIdentifier.CanonicalizedResource 0081 Format 008e TSignedIdentifier.HMAC_SHA256 0098 EncodeBytes64 00ae TArray<System.Byte> 00b3 @DynArrayClear 00c0 @UStrArrayClr 00c8 @UStrClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 33 C9 89 4D C8 89 4D D0 89 4D CC 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 D0 8D 43 14 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 8B 43 14 89 45 DC C6 45 E0 11 8B 43 18 89 45 E4 C6 45 E8 11 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 89 45 EC C6 45 F0 11 8B 43 04 89 45 F4 C6 45 F8 11 8D 55 D4 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 C8 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 25 00 73 00 0A 00 25 00 73 00 0A 00 25 00 73 00 0A 00 25 00 73 00 0A 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_28114_0 {
	meta:
		name = "TAzureTableService.QueryEntities"
		size = 1216
		refs = "0033 TAzureTableService.QueryEntities 0043 TAzureService.XMsDate 004b EmptyStr 0052 @UStrEqual 0063 TAzureConnectionString.TableURL 0086 Format 00b5 _Dn_TIdURI 00ba TIdURI.ParamsEncode 00de TIdCustomHTTP.GetRequest 010d TIdHeaderList.AddValue 011c TIdEntityHeaderInfo.SetContentType 02a6 TAzureService.GetResponse 02c0 @UStrArrayClr 02d5 @UStrClr 02e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 33 DB 89 5D A8 89 5D B0 89 5D AC 89 5D C0 89 5D B4 89 5D C8 89 5D C4 89 5D E4 89 5D FC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 34 8D 45 F8 50 8D 55 E4 8B 43 04 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 89 75 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4E 8D 45 F8 50 8D 55 C8 8B 43 04 E8 ?? ?? ?? ?? 8B 45 C8 89 45 CC C6 45 D0 11 89 75 D4 C6 45 D8 11 8D 45 C4 50 33 C9 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 89 45 DC C6 45 E0 11 8D 55 CC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B 40 54 8B 10 FF 52 44 8B 43 08 E8 ?? ?? ?? ?? 8B 40 54 C6 40 5D 00 8B 43 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 7B 04 80 7F 38 00 0F 84 86 00 00 00 6A 02 8D 45 C0 50 6A FF 8D 45 C0 50 6A FF 8D 45 B4 50 8B 47 3C 89 45 CC C6 45 D0 11 8B 43 04 8B 40 3C 89 45 D4 C6 45 D8 11 89 75 DC C6 45 E0 11 8D 55 CC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 89 45 B8 C6 45 BC 11 8D 45 B8 50 6A 00 8D 45 C0 50 33 C0 89 45 CC C6 45 D0 11 33 C0 89 45 D4 C6 45 D8 11 8B 45 FC 89 45 DC C6 45 E0 11 8D 4D CC BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 04 E9 C5 00 00 00 8B 43 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8D 45 C0 50 6A FF 8D 45 C0 50 6A FF 8D 45 AC 50 8B 43 04 8B 40 3C 89 45 E8 C6 45 EC 11 89 75 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC 89 45 B8 C6 45 BC 11 8D 45 B8 50 6A 00 8D 45 B0 50 33 C0 89 45 CC C6 45 D0 11 33 C0 89 45 D4 C6 45 D8 11 8B 45 FC 89 45 DC C6 45 E0 11 8D 4D CC BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 04 8D 55 A8 8B 43 0C 8B 08 FF 51 28 8B 45 A8 50 8B 43 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 4D 08 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 2F 00 25 00 73 00 28 00 29 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 25 00 73 00 2F 00 25 00 73 00 28 00 29 00 3F 00 24 00 66 00 69 00 6C 00 74 00 65 00 72 00 3D 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 28 00 29 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 31 00 2E 00 30 00 3B 00 4E 00 65 00 74 00 46 00 78 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 61 00 74 00 61 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 61 00 78 00 44 00 61 00 74 00 61 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 28 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28115_0 {
	meta:
		name = "TAzureTableService.CreateTable"
		size = 2232
		refs = "001c TAzureTableService.CreateTable 002d TAzureService.XMsDate 003f TAzureConnectionString.TableURL 0067 Format 0072 TIdCustomHTTP.GetRequest 00a1 TIdEntityHeaderInfo.SetContentType 00bc TIdHeaderList.AddValue 0272 TAzureTableService.UpdatedDate 029a TEncoding.GetUTF8 02a5 TEncoding.GetBytes 02af _Dn_TBytesStream 02b4 TBytesStream.Create 02e8 TIdCustomHTTP.Post 02f3 TIdCustomHTTP.GetResponseCode 030b @HandleAnyException 0314 @DoneExcept 033a TObject.Free 0340 @HandleFinally 0357 @UStrClr 0360 TArray<System.Byte> 0365 @DynArrayClear 0372 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0D 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 D4 8B 45 F0 8B 40 04 E8 ?? ?? ?? ?? 8B 45 D4 89 45 D8 C6 45 DC 11 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 10 FF 52 44 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 C6 40 5D 00 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 70 04 80 7E 38 00 0F 84 92 00 00 00 6A 02 8D 45 D0 50 6A FF 8D 45 D0 50 6A FF 8D 45 C4 50 8B 46 3C 89 45 AC C6 45 B0 11 8B 45 F0 8B 40 04 8B 40 3C 89 45 B4 C6 45 B8 11 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 8D 55 AC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 89 45 C8 C6 45 CC 11 8D 45 C8 50 6A 00 8D 45 D0 50 33 C0 89 45 AC C6 45 B0 11 B8 ?? ?? ?? ?? 89 45 B4 C6 45 B8 11 8B 45 FC 89 45 BC C6 45 C0 11 8D 4D AC BA ?? ?? ?? ?? 8B 45 F0 8B 30 FF 56 04 E9 DA 00 00 00 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8D 45 D0 50 6A FF 8D 45 D0 50 6A FF 8D 45 A4 50 8B 45 F0 8B 40 04 8B 40 3C 89 45 D8 C6 45 DC 11 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A4 89 45 C8 C6 45 CC 11 8D 45 C8 50 6A 00 8D 45 A8 50 33 C0 89 45 AC C6 45 B0 11 B8 ?? ?? ?? ?? 89 45 B4 C6 45 B8 11 8B 45 FC 89 45 BC C6 45 C0 11 8D 4D AC BA ?? ?? ?? ?? 8B 45 F0 8B 30 FF 56 04 8D 55 A0 8B 45 F0 8B 40 0C 8B 08 FF 51 28 8B 45 A0 50 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 55 9C 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 9C 89 45 D8 C6 45 DC 11 89 5D E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D 98 8B 55 F4 E8 ?? ?? ?? ?? 8B 4D 98 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 94 50 8B 45 F0 8B 40 08 8B 4D E8 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 3D C9 00 00 00 0F 94 45 EF 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 EF 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F0 89 42 10 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 98 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 9C BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B3 0F B6 45 EF 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 61 00 74 00 6F 00 6D 00 2B 00 78 00 6D 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 31 00 2E 00 30 00 3B 00 4E 00 65 00 74 00 46 00 78 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 61 00 74 00 61 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 61 00 78 00 44 00 61 00 74 00 61 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 8E 01 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 75 00 74 00 66 00 2D 00 38 00 22 00 20 00 73 00 74 00 61 00 6E 00 64 00 61 00 6C 00 6F 00 6E 00 65 00 3D 00 22 00 79 00 65 00 73 00 22 00 3F 00 3E 00 3C 00 65 00 6E 00 74 00 72 00 79 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 64 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 6D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 2E 00 63 00 6F 00 6D 00 2F 00 61 00 64 00 6F 00 2F 00 32 00 30 00 30 00 37 00 2F 00 30 00 38 00 2F 00 64 00 61 00 74 00 61 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 73 00 22 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 6D 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 6D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 2E 00 63 00 6F 00 6D 00 2F 00 61 00 64 00 6F 00 2F 00 32 00 30 00 30 00 37 00 2F 00 30 00 38 00 2F 00 64 00 61 00 74 00 61 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 73 00 2F 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 22 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 35 00 2F 00 41 00 74 00 6F 00 6D 00 22 00 3E 00 3C 00 74 00 69 00 74 00 6C 00 65 00 20 00 2F 00 3E 00 3C 00 75 00 70 00 64 00 61 00 74 00 65 00 64 00 3E 00 25 00 73 00 3C 00 2F 00 75 00 70 00 64 00 61 00 74 00 65 00 64 00 3E 00 3C 00 61 00 75 00 74 00 68 00 6F 00 72 00 3E 00 3C 00 6E 00 61 00 6D 00 65 00 20 00 2F 00 3E 00 3C 00 2F 00 61 00 75 00 74 00 68 00 6F 00 72 00 3E 00 3C 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 6D 00 6C 00 22 00 3E 00 3C 00 6D 00 3A 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 3E 00 3C 00 64 00 3A 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 3E 00 25 00 73 00 3C 00 2F 00 64 00 3A 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 3E 00 3C 00 2F 00 6D 00 3A 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 3E 00 3C 00 2F 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 3E 00 3C 00 2F 00 65 00 6E 00 74 00 72 00 79 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_28116_0 {
	meta:
		name = "TAzureTableService.DeleteEntity"
		size = 1652
		refs = "0043 TAzureTableService.DeleteEntity 0054 TAzureService.XMsDate 0066 TAzureConnectionString.TableURL 0097 Format 00a2 TIdCustomHTTP.GetRequest 00d1 TIdEntityHeaderInfo.SetContentType 00ec TIdHeaderList.AddValue 0313 TAzureHTTP.Delete 031e TIdCustomHTTP.GetResponseCode 0336 @HandleAnyException 033f @DoneExcept 0363 @HandleFinally 0382 @UStrArrayClr 038a @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 6C FF FF FF 53 56 57 33 DB 89 9D 6C FF FF FF 89 9D 70 FF FF FF 89 9D 78 FF FF FF 89 9D 74 FF FF FF 89 5D C8 89 5D BC 89 5D CC 89 5D FC 89 5D F8 8B F1 8B DA 89 45 F4 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 CC 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 89 5D D8 C6 45 DC 11 89 75 E0 C6 45 E4 11 89 7D E8 C6 45 EC 11 8D 55 D0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 10 FF 52 44 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 C6 40 5D 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 04 80 78 38 00 0F 84 A7 00 00 00 6A 02 8D 45 C8 50 6A FF 8D 45 C8 50 6A FF 8D 45 BC 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 94 C6 45 98 11 8B 45 F4 8B 40 04 8B 40 3C 89 45 9C C6 45 A0 11 89 5D A4 C6 45 A8 11 89 75 AC C6 45 B0 11 89 7D B4 C6 45 B8 11 8D 55 94 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 89 45 C0 C6 45 C4 11 8D 45 C0 50 6A 00 8D 45 C8 50 33 C0 89 85 7C FF FF FF C6 45 80 11 B8 ?? ?? ?? ?? 89 45 84 C6 45 88 11 8B 45 FC 89 45 8C C6 45 90 11 8D 8D 7C FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 E9 F2 00 00 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8D 45 C8 50 6A FF 8D 45 C8 50 6A FF 8D 85 74 FF FF FF 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 D0 C6 45 D4 11 89 5D D8 C6 45 DC 11 89 75 E0 C6 45 E4 11 89 7D E8 C6 45 EC 11 8D 55 D0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 89 45 C0 C6 45 C4 11 8D 45 C0 50 6A 00 8D 85 78 FF FF FF 50 33 C0 89 85 7C FF FF FF C6 45 80 11 B8 ?? ?? ?? ?? 89 45 84 C6 45 88 11 8B 45 FC 89 45 8C C6 45 90 11 8D 8D 7C FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 8D 95 70 FF FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 70 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 6C FF FF FF 8B 45 F4 8B 40 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 3D CC 00 00 00 0F 94 45 F3 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 F3 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 6C FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 25 00 73 00 2F 00 25 00 73 00 28 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 2C 00 52 00 6F 00 77 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 61 00 74 00 6F 00 6D 00 2B 00 78 00 6D 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 66 00 2D 00 4D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 28 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 2C 00 52 00 6F 00 77 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 31 00 2E 00 30 00 3B 00 4E 00 65 00 74 00 46 00 78 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 61 00 74 00 61 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 61 00 78 00 44 00 61 00 74 00 61 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 28 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 2C 00 52 00 6F 00 77 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28117_0 {
	meta:
		name = "TAzureTableService.DeleteTable"
		size = 1312
		refs = "002f TAzureTableService.DeleteTable 0040 TAzureService.XMsDate 0052 TAzureConnectionString.TableURL 0075 Format 0080 TIdCustomHTTP.GetRequest 00af TIdEntityHeaderInfo.SetContentType 00ca TIdHeaderList.AddValue 0286 TAzureHTTP.Delete 0291 TIdCustomHTTP.GetResponseCode 02b3 @HandleAnyException 02cb @DoneExcept 02e5 @UStrArrayClr 02ed @UStrClr 030d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 33 C9 89 4D A8 89 4D AC 89 4D B4 89 4D B0 89 4D DC 89 4D D0 89 4D E0 89 4D FC 89 4D F8 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 E0 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 11 89 5D EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 10 FF 52 44 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 C6 40 5D 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 70 04 80 7E 38 00 0F 84 8D 00 00 00 6A 02 8D 45 DC 50 6A FF 8D 45 DC 50 6A FF 8D 45 D0 50 8B 46 3C 89 45 B8 C6 45 BC 11 8B 45 F4 8B 40 04 8B 40 3C 89 45 C0 C6 45 C4 11 89 5D C8 C6 45 CC 11 8D 55 B8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8D 45 DC 50 33 C0 89 45 B8 C6 45 BC 11 B8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 8B 45 FC 89 45 C8 C6 45 CC 11 8D 4D B8 BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 E9 D5 00 00 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8D 45 DC 50 6A FF 8D 45 DC 50 6A FF 8D 45 B0 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 E4 C6 45 E8 11 89 5D EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8D 45 B4 50 33 C0 89 45 B8 C6 45 BC 11 B8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 8B 45 FC 89 45 C8 C6 45 CC 11 8D 4D B8 BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 8D 55 AC 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 45 AC 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D A8 8B 45 F4 8B 40 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 89 58 10 81 FB CC 00 00 00 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 25 00 73 00 2F 00 54 00 61 00 62 00 6C 00 65 00 73 00 28 00 27 00 25 00 73 00 27 00 29 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 61 00 74 00 6F 00 6D 00 2B 00 78 00 6D 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 54 00 61 00 62 00 6C 00 65 00 73 00 28 00 27 00 25 00 73 00 27 00 29 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 31 00 2E 00 30 00 3B 00 4E 00 65 00 74 00 46 00 78 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 61 00 74 00 61 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 61 00 78 00 44 00 61 00 74 00 61 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 2F 00 25 00 73 00 2F 00 54 00 61 00 62 00 6C 00 65 00 73 00 28 00 27 00 25 00 73 00 27 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28118_0 {
	meta:
		name = "TAzureTableService.InsertEntity"
		size = 2660
		refs = "0022 TAzureTableService.InsertEntity 0033 TAzureService.XMsDate 0045 TAzureConnectionString.TableURL 0068 Format 0073 TIdCustomHTTP.GetRequest 00a2 TIdEntityHeaderInfo.SetContentType 00bd TIdHeaderList.AddValue 0269 TAzureTableService.UpdatedDate 028a TJSONObject.Size 02a8 TJSONObject.Get 02b1 TJSONPair.GetJsonString 02bf TJSONPair.GetJsonValue 02c5 _Dn_TJSONArray 02ca @IsClass 02e0 @AsClass 02e7 TJSONArray.Get 02ed _Dn_TJSONString 033f @UStrClr 03ad @UStrCat 041d @UStrCatN 0422 TEncoding.GetUTF8 0430 TEncoding.GetBytes 043d _Dn_TBytesStream 0442 TBytesStream.Create 0468 TIdCustomHTTP.Post 0480 TIdCustomHTTP.GetResponseCode 048e TObject.Free 0494 @HandleFinally 04af TArray<System.Byte> 04b4 @DynArrayClear 04cc @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 13 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D E0 8B DA 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 C4 8B 45 E4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 C4 89 45 C8 C6 45 CC 11 89 5D D0 C6 45 D4 11 8D 55 C8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 10 FF 52 44 8B 45 E4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 C6 40 5D 00 8B 45 E4 8B 40 08 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 8B 70 04 80 7E 38 00 0F 84 8D 00 00 00 6A 02 8D 45 C0 50 6A FF 8D 45 C0 50 6A FF 8D 45 B4 50 8B 46 3C 89 45 9C C6 45 A0 11 8B 45 E4 8B 40 04 8B 40 3C 89 45 A4 C6 45 A8 11 89 5D AC C6 45 B0 11 8D 55 9C B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 89 45 B8 C6 45 BC 11 8D 45 B8 50 6A 00 8D 45 C0 50 33 C0 89 45 9C C6 45 A0 11 B8 ?? ?? ?? ?? 89 45 A4 C6 45 A8 11 8B 45 FC 89 45 AC C6 45 B0 11 8D 4D 9C BA ?? ?? ?? ?? 8B 45 E4 8B 18 FF 53 04 E9 D5 00 00 00 8B 45 E4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8D 45 C0 50 6A FF 8D 45 C0 50 6A FF 8D 45 94 50 8B 45 E4 8B 40 04 8B 40 3C 89 45 C8 C6 45 CC 11 89 5D D0 C6 45 D4 11 8D 55 C8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 94 89 45 B8 C6 45 BC 11 8D 45 B8 50 6A 00 8D 45 98 50 33 C0 89 45 9C C6 45 A0 11 B8 ?? ?? ?? ?? 89 45 A4 C6 45 A8 11 8B 45 FC 89 45 AC C6 45 B0 11 8D 4D 9C BA ?? ?? ?? ?? 8B 45 E4 8B 18 FF 53 04 8D 55 90 8B 45 E4 8B 40 0C 8B 08 FF 51 28 8B 45 90 50 8B 45 E4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 55 8C 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 8C 89 45 B8 C6 45 BC 11 8D 55 B8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 69 01 00 00 46 C7 45 D8 00 00 00 00 8B 55 D8 8B 45 E0 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 11 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5B 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC 8B 08 FF 11 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 11 EB 16 8B C3 E8 ?? ?? ?? ?? 8D 55 EC 8B 08 FF 11 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 60 8D 45 88 50 8B 45 F0 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8B 45 E8 89 85 70 FF FF FF C6 85 74 FF FF FF 11 8B 45 EC 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8B 45 F0 89 45 80 C6 45 84 11 8D 95 68 FF FF FF B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 88 8D 45 F4 E8 ?? ?? ?? ?? EB 45 8D 85 64 FF FF FF 50 8B 45 F0 89 45 9C C6 45 A0 11 8B 45 EC 89 45 A4 C6 45 A8 11 8B 45 F0 89 45 AC C6 45 B0 11 8D 55 9C B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 64 FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? FF 45 D8 4E 0F 85 9F FE FF FF FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF 8B 55 F4 E8 ?? ?? ?? ?? 8B 8D 60 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 E4 8B 40 08 8B 4D DC 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 E4 89 42 10 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 60 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 8D 45 88 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AD 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 61 00 74 00 6F 00 6D 00 2B 00 78 00 6D 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 31 00 2E 00 30 00 3B 00 4E 00 65 00 74 00 46 00 78 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 61 00 74 00 61 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 61 00 78 00 44 00 61 00 74 00 61 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 56 01 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 75 00 74 00 66 00 2D 00 38 00 22 00 20 00 73 00 74 00 61 00 6E 00 64 00 61 00 6C 00 6F 00 6E 00 65 00 3D 00 22 00 79 00 65 00 73 00 22 00 3F 00 3E 00 3C 00 65 00 6E 00 74 00 72 00 79 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 64 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 6D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 2E 00 63 00 6F 00 6D 00 2F 00 61 00 64 00 6F 00 2F 00 32 00 30 00 30 00 37 00 2F 00 30 00 38 00 2F 00 64 00 61 00 74 00 61 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 73 00 22 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 6D 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 6D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 2E 00 63 00 6F 00 6D 00 2F 00 61 00 64 00 6F 00 2F 00 32 00 30 00 30 00 37 00 2F 00 30 00 38 00 2F 00 64 00 61 00 74 00 61 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 73 00 2F 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 22 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 35 00 2F 00 41 00 74 00 6F 00 6D 00 22 00 3E 00 3C 00 74 00 69 00 74 00 6C 00 65 00 20 00 2F 00 3E 00 3C 00 75 00 70 00 64 00 61 00 74 00 65 00 64 00 3E 00 25 00 73 00 3C 00 2F 00 75 00 70 00 64 00 61 00 74 00 65 00 64 00 3E 00 3C 00 61 00 75 00 74 00 68 00 6F 00 72 00 3E 00 3C 00 6E 00 61 00 6D 00 65 00 20 00 2F 00 3E 00 3C 00 2F 00 61 00 75 00 74 00 68 00 6F 00 72 00 3E 00 3C 00 69 00 64 00 20 00 2F 00 3E 00 3C 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 6D 00 6C 00 22 00 3E 00 3C 00 6D 00 3A 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 3C 00 64 00 3A 00 25 00 73 00 20 00 6D 00 3A 00 74 00 79 00 70 00 65 00 3D 00 22 00 25 00 73 00 22 00 3E 00 25 00 73 00 3C 00 2F 00 64 00 3A 00 25 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 64 00 3A 00 25 00 73 00 3E 00 25 00 73 00 3C 00 2F 00 64 00 3A 00 25 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 2F 00 6D 00 3A 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 3C 00 2F 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 2F 00 65 00 6E 00 74 00 72 00 79 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_28119_0 {
	meta:
		name = "TAzureTableService.MergeEntity"
		size = 3236
		refs = "0022 TAzureTableService.MergeEntity 0035 TJSONObject.Get 003a TJSONPair.GetJsonValue 0065 TAzureService.XMsDate 0077 TAzureConnectionString.TableURL 00ae Format 00b9 TIdCustomHTTP.GetRequest 00e8 TIdEntityHeaderInfo.SetContentType 0103 TIdHeaderList.AddValue 033f TAzureTableService.UpdatedDate 0363 TJSONObject.Size 038a TJSONPair.GetJsonString 039e _Dn_TJSONArray 03a3 @IsClass 03b9 @AsClass 03c0 TJSONArray.Get 03c6 _Dn_TJSONString 0418 @UStrClr 0477 @UStrCat 04fc @UStrCatN 0501 TEncoding.GetUTF8 050f TEncoding.GetBytes 051c _Dn_TBytesStream 0521 TBytesStream.Create 0551 TAzureHTTP.Merge 055c TIdCustomHTTP.GetResponseCode 0574 @HandleAnyException 057d @DoneExcept 05a3 TObject.Free 05a9 @HandleFinally 05c4 TArray<System.Byte> 05c9 @DynArrayClear 05d9 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 18 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D D8 8B DA 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 11 BA ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 11 8D 55 F4 8B 45 DC E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 A8 8B 45 DC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 A8 89 45 AC C6 45 B0 11 89 5D B4 C6 45 B8 11 8B 45 FC 89 45 BC C6 45 C0 11 8B 45 F8 89 45 C4 C6 45 C8 11 8D 55 AC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 10 FF 52 44 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 C6 40 5D 00 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 70 04 80 7E 38 00 0F 84 C5 00 00 00 6A 02 8D 45 A4 50 6A FF 8D 45 A4 50 6A FF 8D 45 98 50 8B 46 3C 89 85 70 FF FF FF C6 85 74 FF FF FF 11 8B 45 DC 8B 40 04 8B 40 3C 89 85 78 FF FF FF C6 85 7C FF FF FF 11 89 5D 80 C6 45 84 11 8B 45 FC 89 45 88 C6 45 8C 11 8B 45 F8 89 45 90 C6 45 94 11 8D 95 70 FF FF FF B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 89 45 9C C6 45 A0 11 8D 45 9C 50 6A 00 8D 45 A4 50 33 C0 89 85 58 FF FF FF C6 85 5C FF FF FF 11 B8 ?? ?? ?? ?? 89 85 60 FF FF FF C6 85 64 FF FF FF 11 8B 45 F4 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8D 8D 58 FF FF FF BA ?? ?? ?? ?? 8B 45 DC 8B 18 FF 53 04 E9 07 01 00 00 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8D 45 A4 50 6A FF 8D 45 A4 50 6A FF 8D 85 50 FF FF FF 50 8B 45 DC 8B 40 04 8B 40 3C 89 45 AC C6 45 B0 11 89 5D B4 C6 45 B8 11 8B 45 FC 89 45 BC C6 45 C0 11 8B 45 F8 89 45 C4 C6 45 C8 11 8D 55 AC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 89 45 9C C6 45 A0 11 8D 45 9C 50 6A 00 8D 85 54 FF FF FF 50 33 C0 89 85 58 FF FF FF C6 85 5C FF FF FF 11 B8 ?? ?? ?? ?? 89 85 60 FF FF FF C6 85 64 FF FF FF 11 8B 45 F4 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8D 8D 58 FF FF FF BA ?? ?? ?? ?? 8B 45 DC 8B 18 FF 53 04 8D 95 4C FF FF FF 8B 45 DC 8B 40 0C 8B 08 FF 51 28 8B 85 4C FF FF FF 50 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 95 48 FF FF FF 8B 45 DC E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 89 45 9C C6 45 A0 11 8D 55 9C 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 6F 01 00 00 46 C7 45 CC 00 00 00 00 8B 55 CC 8B 45 D8 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 11 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5B 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8B 08 FF 11 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 8B 08 FF 11 EB 16 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 8B 08 FF 11 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 51 8D 85 44 FF FF FF 50 8B 45 E8 89 45 AC C6 45 B0 11 8B 45 E0 89 45 B4 C6 45 B8 11 8B 45 E4 89 45 BC C6 45 C0 11 8B 45 E8 89 45 C4 C6 45 C8 11 8D 55 AC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 44 FF FF FF 8D 45 EC E8 ?? ?? ?? ?? EB 5A 8D 85 40 FF FF FF 50 8B 45 E8 89 85 58 FF FF FF C6 85 5C FF FF FF 11 8B 45 E4 89 85 60 FF FF FF C6 85 64 FF FF FF 11 8B 45 E8 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8D 95 58 FF FF FF B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 40 FF FF FF 8D 45 EC E8 ?? ?? ?? ?? FF 45 CC 4E 0F 85 99 FE FF FF FF 75 EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 8D 3C FF FF FF 8B 55 EC E8 ?? ?? ?? ?? 8B 8D 3C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 8B 40 08 8B 4D D0 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 3D CC 00 00 00 0F 94 45 D7 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 D7 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 8B 55 DC 89 42 10 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 40 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 A4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 0F B6 45 D7 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 6F 00 77 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 25 00 73 00 2F 00 25 00 73 00 28 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 2C 00 52 00 6F 00 77 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 61 00 74 00 6F 00 6D 00 2B 00 78 00 6D 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 66 00 2D 00 4D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 28 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 2C 00 52 00 6F 00 77 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 45 00 52 00 47 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 31 00 2E 00 30 00 3B 00 4E 00 65 00 74 00 46 00 78 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 61 00 74 00 61 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 61 00 78 00 44 00 61 00 74 00 61 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 28 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 2C 00 52 00 6F 00 77 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 56 01 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 75 00 74 00 66 00 2D 00 38 00 22 00 20 00 73 00 74 00 61 00 6E 00 64 00 61 00 6C 00 6F 00 6E 00 65 00 3D 00 22 00 79 00 65 00 73 00 22 00 3F 00 3E 00 3C 00 65 00 6E 00 74 00 72 00 79 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 64 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 6D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 2E 00 63 00 6F 00 6D 00 2F 00 61 00 64 00 6F 00 2F 00 32 00 30 00 30 00 37 00 2F 00 30 00 38 00 2F 00 64 00 61 00 74 00 61 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 73 00 22 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 6D 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 6D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 2E 00 63 00 6F 00 6D 00 2F 00 61 00 64 00 6F 00 2F 00 32 00 30 00 30 00 37 00 2F 00 30 00 38 00 2F 00 64 00 61 00 74 00 61 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 73 00 2F 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 22 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 35 00 2F 00 41 00 74 00 6F 00 6D 00 22 00 3E 00 3C 00 74 00 69 00 74 00 6C 00 65 00 20 00 2F 00 3E 00 3C 00 75 00 70 00 64 00 61 00 74 00 65 00 64 00 3E 00 25 00 73 00 3C 00 2F 00 75 00 70 00 64 00 61 00 74 00 65 00 64 00 3E 00 3C 00 61 00 75 00 74 00 68 00 6F 00 72 00 3E 00 3C 00 6E 00 61 00 6D 00 65 00 20 00 2F 00 3E 00 3C 00 2F 00 61 00 75 00 74 00 68 00 6F 00 72 00 3E 00 3C 00 69 00 64 00 20 00 2F 00 3E 00 3C 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 6D 00 6C 00 22 00 3E 00 3C 00 6D 00 3A 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 3C 00 64 00 3A 00 25 00 73 00 20 00 6D 00 3A 00 74 00 79 00 70 00 65 00 3D 00 22 00 25 00 73 00 22 00 3E 00 25 00 73 00 3C 00 2F 00 64 00 3A 00 25 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 64 00 3A 00 25 00 73 00 3E 00 25 00 73 00 3C 00 2F 00 64 00 3A 00 25 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 2F 00 6D 00 3A 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 3C 00 2F 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 2F 00 65 00 6E 00 74 00 72 00 79 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_28120_0 {
	meta:
		name = "TAzureTableService.QueryEntities"
		size = 1316
		refs = "0036 TAzureTableService.QueryEntities 0046 TAzureService.XMsDate 0055 TAzureConnectionString.TableURL 0089 Format 0091 TIdCustomHTTP.GetRequest 00c0 TIdHeaderList.AddValue 00cf TIdEntityHeaderInfo.SetContentType 028a TAzureService.GetResponse 02a7 @UStrArrayClr 02af @UStrClr 02cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 53 56 57 33 DB 89 9D 78 FF FF FF 89 5D 80 89 9D 7C FF FF FF 89 5D D0 89 5D C4 89 5D D4 89 5D FC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 D4 8B 43 04 E8 ?? ?? ?? ?? 8B 45 D4 89 45 D8 C6 45 DC 11 89 75 E0 C6 45 E4 11 89 7D E8 C6 45 EC 11 8B 45 0C 89 45 F0 C6 45 F4 11 8D 55 D8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B 40 54 8B 10 FF 52 44 8B 43 08 E8 ?? ?? ?? ?? 8B 40 54 C6 40 5D 00 8B 43 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 43 04 80 78 38 00 0F 84 9A 00 00 00 6A 02 8D 45 D0 50 6A FF 8D 45 D0 50 6A FF 8D 45 C4 50 8B 43 04 8B 40 3C 89 45 9C C6 45 A0 11 8B 43 04 8B 40 3C 89 45 A4 C6 45 A8 11 89 75 AC C6 45 B0 11 89 7D B4 C6 45 B8 11 8B 45 0C 89 45 BC C6 45 C0 11 8D 55 9C B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 89 45 C8 C6 45 CC 11 8D 45 C8 50 6A 00 8D 45 D0 50 33 C0 89 45 84 C6 45 88 11 33 C0 89 45 8C C6 45 90 11 8B 45 FC 89 45 94 C6 45 98 11 8D 4D 84 BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 04 E9 DC 00 00 00 8B 43 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8D 45 D0 50 6A FF 8D 45 D0 50 6A FF 8D 85 7C FF FF FF 50 8B 43 04 8B 40 3C 89 45 D8 C6 45 DC 11 89 75 E0 C6 45 E4 11 89 7D E8 C6 45 EC 11 8B 45 0C 89 45 F0 C6 45 F4 11 8D 55 D8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 89 45 C8 C6 45 CC 11 8D 45 C8 50 6A 00 8D 45 80 50 33 C0 89 45 84 C6 45 88 11 33 C0 89 45 8C C6 45 90 11 8B 45 FC 89 45 94 C6 45 98 11 8D 4D 84 BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 04 8D 95 78 FF FF FF 8B 43 0C 8B 08 FF 51 28 8B 85 78 FF FF FF 50 8B 43 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 4D 08 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 25 00 73 00 2F 00 25 00 73 00 28 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 2C 00 52 00 6F 00 77 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 28 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 2C 00 52 00 6F 00 77 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 31 00 2E 00 30 00 3B 00 4E 00 65 00 74 00 46 00 78 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 61 00 74 00 61 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 61 00 78 00 44 00 61 00 74 00 61 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 28 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 2C 00 52 00 6F 00 77 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28121_0 {
	meta:
		name = "TAzureTableService.QueryTables"
		size = 1332
		refs = "0033 TAzureTableService.QueryTables 0044 TAzureService.XMsDate 0056 TAzureConnectionString.TableURL 007e Format 0086 EmptyStr 008d @UStrEqual 00a2 TAzureService.URLEncode 00c6 @UStrCat 00d1 TIdCustomHTTP.GetRequest 00fd TIdEntityHeaderInfo.SetContentType 0118 TIdHeaderList.AddValue 02e6 TAzureService.GetResponse 02fe TIdCustomHTTP.GetResponseCode 030a @HandleFinally 0326 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 33 DB 89 5D A4 89 5D AC 89 5D A8 89 5D CC 89 5D C8 89 5D DC 89 5D D0 89 5D E0 89 5D FC 89 5D F8 8B F1 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 E0 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 11 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 37 8D 45 DC 50 8D 4D D0 8B 45 F4 8B 00 8B D3 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 10 FF 52 44 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 C6 40 5D 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 8B 58 04 80 7B 38 00 0F 84 8F 00 00 00 6A 02 8D 45 CC 50 6A FF 8D 45 CC 50 6A FF 8D 45 C8 50 8B 43 3C 89 45 B0 C6 45 B4 11 8B 45 F4 8B 40 04 8B 40 3C 89 45 B8 C6 45 BC 11 B8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 8D 55 B0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8D 45 CC 50 33 C0 89 45 B0 C6 45 B4 11 33 C0 89 45 B8 C6 45 BC 11 8B 45 FC 89 45 C0 C6 45 C4 11 8D 4D B0 BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 E9 D7 00 00 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8D 45 CC 50 6A FF 8D 45 CC 50 6A FF 8D 45 A8 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 E4 C6 45 E8 11 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8D 45 AC 50 33 C0 89 45 B0 C6 45 B4 11 33 C0 89 45 B8 C6 45 BC 11 8B 45 FC 89 45 C0 C6 45 C4 11 8D 4D B0 BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 8D 55 A4 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 45 A4 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 62 00 6C 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 3F 00 4E 00 65 00 78 00 74 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 3D 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 31 00 2E 00 30 00 3B 00 4E 00 65 00 74 00 46 00 78 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 61 00 74 00 61 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 61 00 78 00 44 00 61 00 74 00 61 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28123_0 {
	meta:
		name = "TAzureTableService.UpdateEntity"
		size = 3252
		refs = "0023 TAzureTableService.UpdateEntity 0036 TJSONObject.Get 003b TJSONPair.GetJsonValue 0066 TAzureService.XMsDate 0078 TAzureConnectionString.TableURL 00af Format 00ba TIdCustomHTTP.GetRequest 00e9 TIdEntityHeaderInfo.SetContentType 0104 TIdHeaderList.AddValue 0340 TAzureTableService.UpdatedDate 0364 TJSONObject.Size 038b TJSONPair.GetJsonString 039f _Dn_TJSONArray 03a4 @IsClass 03ba @AsClass 03c1 TJSONArray.Get 03c7 _Dn_TJSONString 0419 @UStrClr 0478 @UStrCat 04fd @UStrCatN 0502 TEncoding.GetUTF8 0510 TEncoding.GetBytes 051d _Dn_TBytesStream 0522 TBytesStream.Create 0559 TIdCustomHTTP.Put 0564 TIdCustomHTTP.GetResponseCode 057c @HandleAnyException 0585 @DoneExcept 05ab TObject.Free 05b1 @HandleFinally 05d7 TArray<System.Byte> 05dc @DynArrayClear 05ec @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 18 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D D8 8B DA 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 11 BA ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 11 8D 55 F4 8B 45 DC E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 A8 8B 45 DC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 A8 89 45 AC C6 45 B0 11 89 5D B4 C6 45 B8 11 8B 45 FC 89 45 BC C6 45 C0 11 8B 45 F8 89 45 C4 C6 45 C8 11 8D 55 AC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 10 FF 52 44 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 C6 40 5D 00 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 70 04 80 7E 38 00 0F 84 C5 00 00 00 6A 02 8D 45 A4 50 6A FF 8D 45 A4 50 6A FF 8D 45 98 50 8B 46 3C 89 85 70 FF FF FF C6 85 74 FF FF FF 11 8B 45 DC 8B 40 04 8B 40 3C 89 85 78 FF FF FF C6 85 7C FF FF FF 11 89 5D 80 C6 45 84 11 8B 45 FC 89 45 88 C6 45 8C 11 8B 45 F8 89 45 90 C6 45 94 11 8D 95 70 FF FF FF B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 89 45 9C C6 45 A0 11 8D 45 9C 50 6A 00 8D 45 A4 50 33 C0 89 85 58 FF FF FF C6 85 5C FF FF FF 11 B8 ?? ?? ?? ?? 89 85 60 FF FF FF C6 85 64 FF FF FF 11 8B 45 F4 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8D 8D 58 FF FF FF BA ?? ?? ?? ?? 8B 45 DC 8B 18 FF 53 04 E9 07 01 00 00 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8D 45 A4 50 6A FF 8D 45 A4 50 6A FF 8D 85 50 FF FF FF 50 8B 45 DC 8B 40 04 8B 40 3C 89 45 AC C6 45 B0 11 89 5D B4 C6 45 B8 11 8B 45 FC 89 45 BC C6 45 C0 11 8B 45 F8 89 45 C4 C6 45 C8 11 8D 55 AC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 89 45 9C C6 45 A0 11 8D 45 9C 50 6A 00 8D 85 54 FF FF FF 50 33 C0 89 85 58 FF FF FF C6 85 5C FF FF FF 11 B8 ?? ?? ?? ?? 89 85 60 FF FF FF C6 85 64 FF FF FF 11 8B 45 F4 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8D 8D 58 FF FF FF BA ?? ?? ?? ?? 8B 45 DC 8B 18 FF 53 04 8D 95 4C FF FF FF 8B 45 DC 8B 40 0C 8B 08 FF 51 28 8B 85 4C FF FF FF 50 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 95 48 FF FF FF 8B 45 DC E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 89 45 9C C6 45 A0 11 8D 55 9C 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 6F 01 00 00 46 C7 45 CC 00 00 00 00 8B 55 CC 8B 45 D8 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 11 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5B 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8B 08 FF 11 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 8B 08 FF 11 EB 16 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 8B 08 FF 11 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 51 8D 85 44 FF FF FF 50 8B 45 E8 89 45 AC C6 45 B0 11 8B 45 E0 89 45 B4 C6 45 B8 11 8B 45 E4 89 45 BC C6 45 C0 11 8B 45 E8 89 45 C4 C6 45 C8 11 8D 55 AC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 44 FF FF FF 8D 45 EC E8 ?? ?? ?? ?? EB 5A 8D 85 40 FF FF FF 50 8B 45 E8 89 85 58 FF FF FF C6 85 5C FF FF FF 11 8B 45 E4 89 85 60 FF FF FF C6 85 64 FF FF FF 11 8B 45 E8 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8D 95 58 FF FF FF B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 40 FF FF FF 8D 45 EC E8 ?? ?? ?? ?? FF 45 CC 4E 0F 85 99 FE FF FF FF 75 EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 8D 3C FF FF FF 8B 55 EC E8 ?? ?? ?? ?? 8B 8D 3C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 38 FF FF FF 50 8B 45 DC 8B 40 08 8B 4D D0 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 3D CC 00 00 00 0F 94 45 D7 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 D7 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 8B 55 DC 89 42 10 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 40 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 A4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AA 0F B6 45 D7 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 6F 00 77 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 25 00 73 00 2F 00 25 00 73 00 28 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 2C 00 52 00 6F 00 77 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 61 00 74 00 6F 00 6D 00 2B 00 78 00 6D 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 66 00 2D 00 4D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 28 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 2C 00 52 00 6F 00 77 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 31 00 2E 00 30 00 3B 00 4E 00 65 00 74 00 46 00 78 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 61 00 74 00 61 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 61 00 78 00 44 00 61 00 74 00 61 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 28 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 2C 00 52 00 6F 00 77 00 4B 00 65 00 79 00 3D 00 27 00 25 00 73 00 27 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 56 01 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 75 00 74 00 66 00 2D 00 38 00 22 00 20 00 73 00 74 00 61 00 6E 00 64 00 61 00 6C 00 6F 00 6E 00 65 00 3D 00 22 00 79 00 65 00 73 00 22 00 3F 00 3E 00 3C 00 65 00 6E 00 74 00 72 00 79 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 64 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 6D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 2E 00 63 00 6F 00 6D 00 2F 00 61 00 64 00 6F 00 2F 00 32 00 30 00 30 00 37 00 2F 00 30 00 38 00 2F 00 64 00 61 00 74 00 61 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 73 00 22 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 6D 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 6D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 2E 00 63 00 6F 00 6D 00 2F 00 61 00 64 00 6F 00 2F 00 32 00 30 00 30 00 37 00 2F 00 30 00 38 00 2F 00 64 00 61 00 74 00 61 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 73 00 2F 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 22 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 35 00 2F 00 41 00 74 00 6F 00 6D 00 22 00 3E 00 3C 00 74 00 69 00 74 00 6C 00 65 00 20 00 2F 00 3E 00 3C 00 75 00 70 00 64 00 61 00 74 00 65 00 64 00 3E 00 25 00 73 00 3C 00 2F 00 75 00 70 00 64 00 61 00 74 00 65 00 64 00 3E 00 3C 00 61 00 75 00 74 00 68 00 6F 00 72 00 3E 00 3C 00 6E 00 61 00 6D 00 65 00 20 00 2F 00 3E 00 3C 00 2F 00 61 00 75 00 74 00 68 00 6F 00 72 00 3E 00 3C 00 69 00 64 00 20 00 2F 00 3E 00 3C 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 6D 00 6C 00 22 00 3E 00 3C 00 6D 00 3A 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 3C 00 64 00 3A 00 25 00 73 00 20 00 6D 00 3A 00 74 00 79 00 70 00 65 00 3D 00 22 00 25 00 73 00 22 00 3E 00 25 00 73 00 3C 00 2F 00 64 00 3A 00 25 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 64 00 3A 00 25 00 73 00 3E 00 25 00 73 00 3C 00 2F 00 64 00 3A 00 25 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 2F 00 6D 00 3A 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 3C 00 2F 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 2F 00 65 00 6E 00 74 00 72 00 79 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_28124_0 {
	meta:
		name = "TAzureQueueService.CreateQueue"
		size = 1300
		refs = "003e TAzureQueueService.CreateQueue 004f TAzureService.XMsDate 0061 TAzureConnectionString.QueueURL 0084 Format 008f TIdCustomHTTP.GetRequest 0096 TIdEntityHeaderInfo.SetContentType 00d6 TIdHeaderList.AddValue 034c TAzureHTTP.Put 0357 TIdCustomHTTP.GetResponseCode 0396 @HandleAnyException 03ae @DoneExcept 03cb @UStrArrayClr 03d6 @UStrClr 0409 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 20 FF FF FF 53 56 57 33 C9 89 8D 20 FF FF FF 89 8D 24 FF FF FF 89 8D 54 FF FF FF 89 8D 40 FF FF FF 89 4D DC 89 4D C0 89 4D E0 89 4D FC 89 4D F8 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 E0 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 11 89 5D EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 10 FF 52 44 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 C6 40 5D 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 70 04 80 7E 38 00 0F 85 34 01 00 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 0A B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 E4 50 6A 01 8B 45 FC 89 45 CC C6 45 D0 11 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8D 45 CC 50 6A 01 8D 45 C0 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 B0 C6 45 B4 11 89 5D B8 C6 45 BC 11 8D 55 B0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 89 45 C4 C6 45 C8 11 8D 45 C4 50 6A 00 8D 45 DC 50 33 C0 89 85 58 FF FF FF C6 85 5C FF FF FF 11 33 C0 89 85 60 FF FF FF C6 85 64 FF FF FF 11 66 C7 85 68 FF FF FF 30 00 C6 85 6C FF FF FF 09 33 C0 89 85 70 FF FF FF C6 85 74 FF FF FF 11 33 C0 89 85 78 FF FF FF C6 85 7C FF FF FF 11 33 C0 89 45 80 C6 45 84 11 33 C0 89 45 88 C6 45 8C 11 33 C0 89 45 90 C6 45 94 11 33 C0 89 45 98 C6 45 9C 11 33 C0 89 45 A0 C6 45 A4 11 33 C0 89 45 A8 C6 45 AC 11 8D 8D 58 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 E9 DF 00 00 00 6A 02 B8 ?? ?? ?? ?? 89 45 C4 C6 45 C8 11 8D 45 C4 50 6A 00 8B 45 FC 89 85 4C FF FF FF C6 85 50 FF FF FF 11 8D 85 4C FF FF FF 50 6A 00 8D 85 40 FF FF FF 50 8B 46 3C 89 85 28 FF FF FF C6 85 2C FF FF FF 11 8B 45 F4 8B 40 04 8B 40 3C 89 85 30 FF FF FF C6 85 34 FF FF FF 11 89 9D 38 FF FF FF C6 85 3C FF FF FF 11 8D 95 28 FF FF FF B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 40 FF FF FF 89 85 44 FF FF FF C6 85 48 FF FF FF 11 8D 85 44 FF FF FF 50 6A 00 8D 85 54 FF FF FF 50 33 C0 89 85 28 FF FF FF C6 85 2C FF FF FF 11 33 C0 89 85 30 FF FF FF C6 85 34 FF FF FF 11 33 C0 89 85 38 FF FF FF C6 85 3C FF FF FF 11 8D 8D 28 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 8D 95 24 FF FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 24 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 20 FF FF FF 8B 45 F4 8B 40 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 3D C9 00 00 00 74 16 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 3D CC 00 00 00 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 20 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B0 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28125_0 {
	meta:
		name = "TAzureQueueService.ClearMessages"
		size = 1284
		refs = "0037 TAzureQueueService.ClearMessages 0048 TAzureService.XMsDate 005a TAzureConnectionString.QueueURL 007d Format 0088 TIdCustomHTTP.GetRequest 00bd TIdHeaderList.AddValue 00cf TIdEntityHeaderInfo.SetContentType 0329 TAzureHTTP.Delete 0334 TIdCustomHTTP.GetResponseCode 0361 @HandleFinally 0380 @UStrArrayClr 0388 @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 1C FF FF FF 53 56 33 C9 89 8D 1C FF FF FF 89 8D 20 FF FF FF 89 4D A0 89 4D 8C 89 4D D8 89 4D BC 89 4D DC 89 4D FC 89 4D F8 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 DC 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 89 5D E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 10 FF 52 44 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 C6 40 5D 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 8B 70 04 80 7E 38 00 0F 84 9F 00 00 00 6A 02 B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8B 45 FC 89 45 C8 C6 45 CC 11 8D 45 C8 50 6A 00 8D 45 BC 50 8B 46 3C 89 45 A4 C6 45 A8 11 8B 45 F4 8B 40 04 8B 40 3C 89 45 AC C6 45 B0 11 89 5D B4 C6 45 B8 11 8D 55 A4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 89 45 C0 C6 45 C4 11 8D 45 C0 50 6A 00 8D 45 D8 50 33 C0 89 45 A4 C6 45 A8 11 33 C0 89 45 AC C6 45 B0 11 33 C0 89 45 B4 C6 45 B8 11 8D 4D A4 BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 E9 58 01 00 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 0A B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 45 E0 50 6A 01 8B 45 FC 89 45 90 C6 45 94 11 B8 ?? ?? ?? ?? 89 45 98 C6 45 9C 11 8D 45 90 50 6A 01 8D 45 8C 50 8B 45 F4 8B 40 04 8B 40 3C 89 85 7C FF FF FF C6 45 80 11 89 5D 84 C6 45 88 11 8D 95 7C FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 8C 89 45 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8D 45 A0 50 33 C0 89 85 24 FF FF FF C6 85 28 FF FF FF 11 33 C0 89 85 2C FF FF FF C6 85 30 FF FF FF 11 33 C0 89 85 34 FF FF FF C6 85 38 FF FF FF 11 33 C0 89 85 3C FF FF FF C6 85 40 FF FF FF 11 33 C0 89 85 44 FF FF FF C6 85 48 FF FF FF 11 33 C0 89 85 4C FF FF FF C6 85 50 FF FF FF 11 33 C0 89 85 54 FF FF FF C6 85 58 FF FF FF 11 33 C0 89 85 5C FF FF FF C6 85 60 FF FF FF 11 33 C0 89 85 64 FF FF FF C6 85 68 FF FF FF 11 33 C0 89 85 6C FF FF FF C6 85 70 FF FF FF 11 33 C0 89 85 74 FF FF FF C6 85 78 FF FF FF 11 8D 8D 24 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 8D 95 20 FF FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 20 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 1C FF FF FF 8B 45 F4 8B 40 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 3D CC 00 00 00 0F 94 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 1C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B6 0F B6 45 F3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28126_0 {
	meta:
		name = "TAzureQueueService.CreateQueue"
		size = 1156
		refs = "0021 TAzureQueueService.CreateQueue 0039 TAzureConnectionString.QueueURL 005c Format 0067 TAzureService.XMsDate 0076 TStrings.SetValue 01f5 TIdCustomHTTP.GetRequest 0221 TIdEntityHeaderInfo.SetContentType 0241 TStrings.GetValueFromIndex 0257 TStrings.GetName 0268 AnsiLowerCase 0284 TIdHeaderList.AddValue 02db TAzureHTTP.Put 02e6 TIdCustomHTTP.GetResponseCode 030e @HandleAnyException 0326 @DoneExcept 0343 @UStrArrayClr 0358 @UStrClr 0378 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 17 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 55 E0 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 11 89 5D EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8B 78 04 80 7F 38 00 74 7E 6A 02 56 8D 45 D0 50 8B 47 3C 89 45 B8 C6 45 BC 11 8B 45 F4 8B 40 04 8B 40 3C 89 45 C0 C6 45 C4 11 89 5D C8 C6 45 CC 11 8D 55 B8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8D 45 DC 50 33 C0 89 45 B8 C6 45 BC 11 33 C0 89 45 C0 C6 45 C4 11 33 C0 89 45 C8 C6 45 CC 11 8D 4D B8 BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 08 E9 EA 00 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 0A 56 8D 45 B0 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 E4 C6 45 E8 11 89 5D EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8D 45 B4 50 33 C0 89 85 58 FF FF FF C6 85 5C FF FF FF 11 33 C0 89 85 60 FF FF FF C6 85 64 FF FF FF 11 66 C7 85 68 FF FF FF 30 00 C6 85 6C FF FF FF 09 33 C0 89 85 70 FF FF FF C6 85 74 FF FF FF 11 33 C0 89 85 78 FF FF FF C6 85 7C FF FF FF 11 33 C0 89 45 80 C6 45 84 11 33 C0 89 45 88 C6 45 8C 11 33 C0 89 45 90 C6 45 94 11 33 C0 89 45 98 C6 45 9C 11 33 C0 89 45 A0 C6 45 A4 11 33 C0 89 45 A8 C6 45 AC 11 8D 8D 58 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 08 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 10 FF 52 44 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 C6 40 5D 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 14 8B F8 4F 85 FF 7C 59 47 33 DB 8D 8D 54 FF FF FF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 50 8D 8D 4C FF FF FF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 8D 95 50 FF FF FF E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 5A 59 E8 ?? ?? ?? ?? 43 4F 75 AA 8D 95 48 FF FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 48 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 44 FF FF FF 8B 45 F4 8B 40 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 3D C9 00 00 00 0F 94 C3 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 44 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B9 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28127_0 {
	meta:
		name = "TAzureQueueService.DeleteMessage"
		size = 1532
		refs = "0046 TAzureQueueService.DeleteMessage 0057 TAzureService.XMsDate 0069 TAzureConnectionString.QueueURL 009a Format 00a5 TIdCustomHTTP.GetRequest 00da TIdHeaderList.AddValue 00ec TIdEntityHeaderInfo.SetContentType 0299 TAzureService.CanonicalizedQueryParams 03c4 TAzureHTTP.Delete 03cf TIdCustomHTTP.GetResponseCode 03fc @HandleFinally 041b @UStrArrayClr 0433 @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 57 33 DB 89 9D F8 FE FF FF 89 9D FC FE FF FF 89 5D 90 89 9D 5C FF FF FF 89 9D 58 FF FF FF 89 5D C8 89 5D AC 89 5D CC 89 5D FC 89 5D F8 8B F1 8B DA 89 45 F4 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 CC 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 89 5D D8 C6 45 DC 11 89 75 E0 C6 45 E4 11 89 7D E8 C6 45 EC 11 8D 55 D0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 10 FF 52 44 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 C6 40 5D 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 04 80 78 38 00 0F 84 AC 00 00 00 6A 02 B8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 8D 45 C0 50 6A 00 8B 45 FC 89 45 B8 C6 45 BC 11 8D 45 B8 50 6A 00 8D 45 AC 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 D0 C6 45 D4 11 8B 45 F4 8B 40 04 8B 40 3C 89 45 D8 C6 45 DC 11 89 5D E0 C6 45 E4 11 89 75 E8 C6 45 EC 11 8D 55 D0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC 89 45 B0 C6 45 B4 11 8D 45 B0 50 6A 00 8D 45 C8 50 33 C0 89 45 94 C6 45 98 11 33 C0 89 45 9C C6 45 A0 11 33 C0 89 45 A4 C6 45 A8 11 8D 4D 94 BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 E9 C9 01 00 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 0A B8 ?? ?? ?? ?? 89 45 80 C6 45 84 11 B8 ?? ?? ?? ?? 89 45 88 C6 45 8C 11 8D 45 80 50 6A 01 8B 45 FC 89 85 70 FF FF FF C6 85 74 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8D 85 70 FF FF FF 50 6A 01 8D 85 5C FF FF FF 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 94 C6 45 98 11 89 5D 9C C6 45 A0 11 89 75 A4 C6 45 A8 11 8D 55 94 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 89 85 60 FF FF FF C6 85 64 FF FF FF 11 89 7D C0 C6 45 C4 11 8D 45 C0 50 6A 00 8D 85 58 FF FF FF 50 6A FF 8D 85 58 FF FF FF 50 6A FF 8D 85 58 FF FF FF 50 B8 ?? ?? ?? ?? 89 45 B8 C6 45 BC 11 8D 55 B8 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8D 85 60 FF FF FF 50 6A 01 8D 45 90 50 33 C0 89 85 00 FF FF FF C6 85 04 FF FF FF 11 33 C0 89 85 08 FF FF FF C6 85 0C FF FF FF 11 33 C0 89 85 10 FF FF FF C6 85 14 FF FF FF 11 33 C0 89 85 18 FF FF FF C6 85 1C FF FF FF 11 33 C0 89 85 20 FF FF FF C6 85 24 FF FF FF 11 33 C0 89 85 28 FF FF FF C6 85 2C FF FF FF 11 33 C0 89 85 30 FF FF FF C6 85 34 FF FF FF 11 33 C0 89 85 38 FF FF FF C6 85 3C FF FF FF 11 33 C0 89 85 40 FF FF FF C6 85 44 FF FF FF 11 33 C0 89 85 48 FF FF FF C6 85 4C FF FF FF 11 33 C0 89 85 50 FF FF FF C6 85 54 FF FF FF 11 8D 8D 00 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 8D 95 FC FE FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 FC FE FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D F8 FE FF FF 8B 45 F4 8B 40 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 3D CC 00 00 00 0F 94 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 58 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AE 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 2F 00 25 00 73 00 3F 00 70 00 6F 00 70 00 72 00 65 00 63 00 65 00 69 00 70 00 74 00 3D 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 70 00 6F 00 70 00 72 00 65 00 63 00 65 00 69 00 70 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28128_0 {
	meta:
		name = "TAzureQueueService.DeleteQueue"
		size = 1228
		refs = "0037 TAzureQueueService.DeleteQueue 0048 TAzureService.XMsDate 005a TAzureConnectionString.QueueURL 007d Format 0088 TIdCustomHTTP.GetRequest 00a2 TIdEntityHeaderInfo.SetContentType 00cf TIdHeaderList.AddValue 0329 TAzureHTTP.Delete 0334 TIdCustomHTTP.GetResponseCode 0361 @HandleFinally 0380 @UStrArrayClr 0388 @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 1C FF FF FF 53 56 33 C9 89 8D 1C FF FF FF 89 8D 20 FF FF FF 89 4D A0 89 4D 8C 89 4D D8 89 4D BC 89 4D DC 89 4D FC 89 4D F8 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 DC 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 89 5D E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 10 FF 52 44 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 C6 40 5D 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 70 04 80 7E 38 00 0F 84 9F 00 00 00 6A 02 B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8B 45 FC 89 45 C8 C6 45 CC 11 8D 45 C8 50 6A 00 8D 45 BC 50 8B 46 3C 89 45 A4 C6 45 A8 11 8B 45 F4 8B 40 04 8B 40 3C 89 45 AC C6 45 B0 11 89 5D B4 C6 45 B8 11 8D 55 A4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 89 45 C0 C6 45 C4 11 8D 45 C0 50 6A 00 8D 45 D8 50 33 C0 89 45 A4 C6 45 A8 11 33 C0 89 45 AC C6 45 B0 11 33 C0 89 45 B4 C6 45 B8 11 8D 4D A4 BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 E9 58 01 00 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 0A B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 45 E0 50 6A 01 8B 45 FC 89 45 90 C6 45 94 11 B8 ?? ?? ?? ?? 89 45 98 C6 45 9C 11 8D 45 90 50 6A 01 8D 45 8C 50 8B 45 F4 8B 40 04 8B 40 3C 89 85 7C FF FF FF C6 45 80 11 89 5D 84 C6 45 88 11 8D 95 7C FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 8C 89 45 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8D 45 A0 50 33 C0 89 85 24 FF FF FF C6 85 28 FF FF FF 11 33 C0 89 85 2C FF FF FF C6 85 30 FF FF FF 11 33 C0 89 85 34 FF FF FF C6 85 38 FF FF FF 11 33 C0 89 85 3C FF FF FF C6 85 40 FF FF FF 11 33 C0 89 85 44 FF FF FF C6 85 48 FF FF FF 11 33 C0 89 85 4C FF FF FF C6 85 50 FF FF FF 11 33 C0 89 85 54 FF FF FF C6 85 58 FF FF FF 11 33 C0 89 85 5C FF FF FF C6 85 60 FF FF FF 11 33 C0 89 85 64 FF FF FF C6 85 68 FF FF FF 11 33 C0 89 85 6C FF FF FF C6 85 70 FF FF FF 11 33 C0 89 85 74 FF FF FF C6 85 78 FF FF FF 11 8D 8D 24 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 8D 95 20 FF FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 20 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 1C FF FF FF 8B 45 F4 8B 40 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 3D CC 00 00 00 0F 94 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 1C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B6 0F B6 45 F3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28129_0 {
	meta:
		name = "TAzureQueueService.GetMessageId"
		size = 60
		refs = "000b TAzureQueueService.GetMessageId 0014 TAzureQueueService.XMLText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 49 00 64 00 00 00 }
	condition:
		$1
}

rule function_34825_0 {
	meta:
		name = "TIdHashMessageDigest2.HashToHex"
		size = 28
		refs = "0014 TIdHash.LongWordHashToHex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 B9 04 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34832_0 {
	meta:
		name = "TIdHashMessageDigest4.HashToHex"
		size = 28
		refs = "0014 TIdHash.LongWordHashToHex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 B9 04 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34845_0 {
	meta:
		name = "TIdHashSHA1.HashToHex"
		size = 28
		refs = "0014 TIdHash.LongWordHashToHex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 B9 05 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40928_0 {
	meta:
		name = "TInHashMessageDigest2.HashToHex"
		size = 28
		refs = "0014 TInHash.LongWordHashToHex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 B9 04 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40935_0 {
	meta:
		name = "TInHashMessageDigest4.HashToHex"
		size = 28
		refs = "0014 TInHash.LongWordHashToHex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 B9 04 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28130_0 {
	meta:
		name = "TAzureQueueService.GetMessages"
		size = 1772
		refs = "0025 TAzureQueueService.GetMessages 0036 TAzureService.XMsDate 0048 TAzureConnectionString.QueueURL 006b Format 0076 TIdCustomHTTP.GetRequest 00a2 TIdEntityHeaderInfo.SetContentType 00bd TIdHeaderList.AddValue 00f1 CreateRecArray 00fb IntToStr 0311 @DynArrayHigh 0340 TAzureService.CanonicalizedQueryParams 0480 TAzureService.QueryParams 0494 @UStrCat3 04a5 TAzureService.GetResponse 04bd TIdCustomHTTP.GetResponseCode 04c9 @HandleFinally 04e8 @UStrArrayClr 04f3 @UStrClr 0531 TVarRecArray 053b @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 21 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B DA 89 45 EC 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 D8 8B 45 EC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 89 5D E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 10 FF 52 44 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 C6 40 5D 00 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 0F 8E A2 00 00 00 85 F6 7E 62 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 45 DC 8D 4D F4 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 D4 8B C7 E8 ?? ?? ?? ?? 8B 45 D4 89 45 DC C6 45 E0 11 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 8B 45 D0 89 45 E4 C6 45 E8 11 8D 45 DC 8D 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 7A B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 8D 45 C8 8D 4D F4 33 D2 E8 ?? ?? ?? ?? 8D 55 C4 8B C7 E8 ?? ?? ?? ?? 8B 45 C4 89 45 C8 C6 45 CC 11 8D 45 C8 8D 4D F0 33 D2 E8 ?? ?? ?? ?? EB 3E 85 F6 7E 3A B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 8D 45 C8 8D 4D F4 33 D2 E8 ?? ?? ?? ?? 8D 55 C0 8B C6 E8 ?? ?? ?? ?? 8B 45 C0 89 45 C8 C6 45 CC 11 8D 45 C8 8D 4D F0 33 D2 E8 ?? ?? ?? ?? 8B 45 EC 8B 70 04 80 7E 38 00 0F 84 9F 00 00 00 6A 02 B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 8D 45 C8 50 6A 00 8B 45 FC 89 45 B4 C6 45 B8 11 8D 45 B4 50 6A 00 8D 45 A8 50 8B 46 3C 89 45 90 C6 45 94 11 8B 45 EC 8B 40 04 8B 40 3C 89 45 98 C6 45 9C 11 89 5D A0 C6 45 A4 11 8D 55 90 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 89 45 AC C6 45 B0 11 8D 45 AC 50 6A 00 8D 45 BC 50 33 C0 89 45 90 C6 45 94 11 33 C0 89 45 98 C6 45 9C 11 33 C0 89 45 A0 C6 45 A4 11 8D 4D 90 BA ?? ?? ?? ?? 8B 45 EC 8B 18 FF 53 04 E9 C4 01 00 00 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 0A B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 45 DC 50 6A 01 8B 45 FC 89 85 7C FF FF FF C6 45 80 11 B8 ?? ?? ?? ?? 89 45 84 C6 45 88 11 8D 85 7C FF FF FF 50 6A 01 8D 85 68 FF FF FF 50 8B 45 EC 8B 40 04 8B 40 3C 89 85 58 FF FF FF C6 85 5C FF FF FF 11 89 9D 60 FF FF FF C6 85 64 FF FF FF 11 8D 95 58 FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 89 85 6C FF FF FF C6 85 70 FF FF FF 11 8B 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 85 54 FF FF FF 50 6A FF 8D 85 54 FF FF FF 50 6A FF 8D 85 54 FF FF FF 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 89 85 74 FF FF FF C6 85 78 FF FF FF 11 8D 85 6C FF FF FF 50 6A 01 8D 45 8C 50 33 C0 89 85 FC FE FF FF C6 85 00 FF FF FF 11 33 C0 89 85 04 FF FF FF C6 85 08 FF FF FF 11 33 C0 89 85 0C FF FF FF C6 85 10 FF FF FF 11 33 C0 89 85 14 FF FF FF C6 85 18 FF FF FF 11 33 C0 89 85 1C FF FF FF C6 85 20 FF FF FF 11 33 C0 89 85 24 FF FF FF C6 85 28 FF FF FF 11 33 C0 89 85 2C FF FF FF C6 85 30 FF FF FF 11 33 C0 89 85 34 FF FF FF C6 85 38 FF FF FF 11 33 C0 89 85 3C FF FF FF C6 85 40 FF FF FF 11 33 C0 89 85 44 FF FF FF C6 85 48 FF FF FF 11 33 C0 89 85 4C FF FF FF C6 85 50 FF FF FF 11 8D 8D FC FE FF FF BA ?? ?? ?? ?? 8B 45 EC 8B 18 FF 53 04 8D 95 F8 FE FF FF 8B 45 EC 8B 40 0C 8B 08 FF 51 28 8B 85 F8 FE FF FF 50 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 85 F0 FE FF FF 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 8D F0 FE FF FF 8D 85 F4 FE FF FF 8B 55 F8 E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 8B 4D 08 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 55 EC 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 88 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 6E 00 75 00 6D 00 6F 00 66 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 76 00 69 00 73 00 69 00 62 00 69 00 6C 00 69 00 74 00 79 00 74 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28131_0 {
	meta:
		name = "TAzureQueueService.GetPopReceipt"
		size = 64
		refs = "000b TAzureQueueService.GetPopReceipt 0014 TAzureQueueService.XMLText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 6F 00 70 00 52 00 65 00 63 00 65 00 69 00 70 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_28132_0 {
	meta:
		name = "TAzureQueueService.GetQueueMetadata"
		size = 1532
		refs = "001c TAzureQueueService.GetQueueMetadata 002d TAzureService.XMsDate 003f TAzureConnectionString.QueueURL 0062 Format 006d TIdCustomHTTP.GetRequest 00a2 TIdHeaderList.AddValue 00b4 TIdEntityHeaderInfo.SetContentType 026a TAzureService.CanonicalizedQueryParams 03b3 TAzureService.QueryParams 03c7 @UStrCat3 03de TIdCustomHTTP.Get 03e9 TIdCustomHTTP.GetResponseCode 040b @HandleAnyException 0423 @DoneExcept 0440 @UStrArrayClr 044b @UStrClr 0486 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 23 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 E0 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 11 89 5D EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 10 FF 52 44 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 C6 40 5D 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 8B 70 04 80 7E 38 00 0F 84 AB 00 00 00 6A 02 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8B 45 FC 89 45 CC C6 45 D0 11 8D 45 CC 50 6A 00 8D 45 C0 50 8B 46 3C 89 45 A0 C6 45 A4 11 8B 45 F4 8B 40 04 8B 40 3C 89 45 A8 C6 45 AC 11 89 5D B0 C6 45 B4 11 B8 ?? ?? ?? ?? 89 45 B8 C6 45 BC 11 8D 55 A0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 89 45 C4 C6 45 C8 11 8D 45 C4 50 6A 00 8D 45 DC 50 33 C0 89 45 88 C6 45 8C 11 33 C0 89 45 90 C6 45 94 11 33 C0 89 45 98 C6 45 9C 11 8D 4D 88 BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 E9 D3 01 00 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 0A B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 E4 50 6A 01 8B 45 FC 89 85 74 FF FF FF C6 85 78 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 7C FF FF FF C6 45 80 11 8D 85 74 FF FF FF 50 6A 01 8D 85 60 FF FF FF 50 8B 45 F4 8B 40 04 8B 40 3C 89 85 50 FF FF FF C6 85 54 FF FF FF 11 89 9D 58 FF FF FF C6 85 5C FF FF FF 11 8D 95 50 FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 89 85 64 FF FF FF C6 85 68 FF FF FF 11 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8D 85 4C FF FF FF 50 6A FF 8D 85 4C FF FF FF 50 6A FF 8D 85 4C FF FF FF 50 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8D 55 CC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 89 85 6C FF FF FF C6 85 70 FF FF FF 11 8D 85 64 FF FF FF 50 6A 01 8D 45 84 50 33 C0 89 85 F4 FE FF FF C6 85 F8 FE FF FF 11 33 C0 89 85 FC FE FF FF C6 85 00 FF FF FF 11 33 C0 89 85 04 FF FF FF C6 85 08 FF FF FF 11 33 C0 89 85 0C FF FF FF C6 85 10 FF FF FF 11 33 C0 89 85 14 FF FF FF C6 85 18 FF FF FF 11 33 C0 89 85 1C FF FF FF C6 85 20 FF FF FF 11 33 C0 89 85 24 FF FF FF C6 85 28 FF FF FF 11 33 C0 89 85 2C FF FF FF C6 85 30 FF FF FF 11 33 C0 89 85 34 FF FF FF C6 85 38 FF FF FF 11 33 C0 89 85 3C FF FF FF C6 85 40 FF FF FF 11 33 C0 89 85 44 FF FF FF C6 85 48 FF FF FF 11 8D 8D F4 FE FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 04 8D 95 F0 FE FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 F0 FE FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8D 85 E4 FE FF FF 50 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8D 55 CC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 8D E4 FE FF FF 8D 85 E8 FE FF FF 8B 55 F8 E8 ?? ?? ?? ?? 8B 95 E8 FE FF FF 8D 8D EC FE FF FF 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 89 58 10 81 FB C8 00 00 00 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E4 FE FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A8 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 6F 00 6D 00 70 00 3D 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 3F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28133_0 {
	meta:
		name = "TAzureQueueService.ListQueues"
		size = 1412
		refs = "0069 TAzureQueueService.ListQueues 007a TAzureService.XMsDate 0088 TAzureConnectionString.QueueURL 0093 TIdCustomHTTP.GetRequest 00c8 TIdHeaderList.AddValue 00da TIdEntityHeaderInfo.SetContentType 014a Format 024d TAzureService.CanonicalizedQueryParams 0394 TAzureService.QueryParams 03a8 @UStrCat3 03b9 TAzureService.GetResponse 03d1 TIdCustomHTTP.GetResponseCode 03dd @HandleFinally 03fc @UStrArrayClr 0411 @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 1C FF FF FF 53 56 57 33 DB 89 9D 20 FF FF FF 89 9D 1C FF FF FF 89 9D 24 FF FF FF 89 5D B8 89 5D 84 89 5D 80 89 5D F0 89 5D D4 89 5D FC 89 5D F8 8B 5D 10 8B 75 0C 03 F6 46 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 10 8B D9 03 DB 43 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 8B F1 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 F4 8B 40 04 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 10 FF 52 44 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 C6 40 5D 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 8B 78 04 80 7F 38 00 0F 84 A4 00 00 00 6A 02 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 8B 45 FC 89 45 E0 C6 45 E4 11 8D 45 E0 50 6A 00 8D 45 D4 50 8B 47 3C 89 45 BC C6 45 C0 11 8B 45 F4 8B 40 04 8B 40 3C 89 45 C4 C6 45 C8 11 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8D 55 BC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 89 45 D8 C6 45 DC 11 8D 45 D8 50 6A 00 8D 45 F0 50 33 C0 89 45 BC C6 45 C0 11 33 C0 89 45 C4 C6 45 C8 11 33 C0 89 45 CC C6 45 D0 11 8D 4D BC BA ?? ?? ?? ?? 8B 45 F4 8B 38 FF 57 04 E9 8B 01 00 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 0A B8 ?? ?? ?? ?? 89 45 A8 C6 45 AC 11 B8 ?? ?? ?? ?? 89 45 B0 C6 45 B4 11 8D 45 A8 50 6A 01 8B 45 FC 89 45 98 C6 45 9C 11 B8 ?? ?? ?? ?? 89 45 A0 C6 45 A4 11 8D 45 98 50 6A 01 8D 45 84 50 8B 45 F4 8B 40 04 8B 40 3C 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 84 89 45 88 C6 45 8C 11 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 53 56 8B 45 10 50 8B 45 0C 50 8D 45 80 50 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 80 89 45 90 C6 45 94 11 8D 45 88 50 6A 01 8D 45 B8 50 33 C0 89 85 28 FF FF FF C6 85 2C FF FF FF 11 33 C0 89 85 30 FF FF FF C6 85 34 FF FF FF 11 33 C0 89 85 38 FF FF FF C6 85 3C FF FF FF 11 33 C0 89 85 40 FF FF FF C6 85 44 FF FF FF 11 33 C0 89 85 48 FF FF FF C6 85 4C FF FF FF 11 33 C0 89 85 50 FF FF FF C6 85 54 FF FF FF 11 33 C0 89 85 58 FF FF FF C6 85 5C FF FF FF 11 33 C0 89 85 60 FF FF FF C6 85 64 FF FF FF 11 33 C0 89 85 68 FF FF FF C6 85 6C FF FF FF 11 33 C0 89 85 70 FF FF FF C6 85 74 FF FF FF 11 33 C0 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8D 8D 28 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 38 FF 57 04 8D 95 24 FF FF FF 8B 45 F4 8B 40 0C 8B 08 FF 51 28 8B 85 24 FF FF FF 50 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 53 56 8B 45 10 50 8B 45 0C 50 8D 85 1C FF FF FF 50 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 8D 1C FF FF FF 8D 85 20 FF FF FF 8B 55 F8 E8 ?? ?? ?? ?? 8B 95 20 FF FF FF 8B 4D 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 1C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 80 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B6 8B BD 10 FF FF FF 8B B5 14 FF FF FF 8B 9D 18 FF FF FF 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6D 00 70 00 3D 00 6C 00 69 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 3F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2F 00 25 00 73 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 69 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28134_0 {
	meta:
		name = "TAzureQueueService.PeekMessages"
		size = 1856
		refs = "0021 TAzureQueueService.PeekMessages 0032 TAzureService.XMsDate 0044 TAzureConnectionString.QueueURL 0067 Format 0072 TIdCustomHTTP.GetRequest 009e TIdEntityHeaderInfo.SetContentType 00b9 TIdHeaderList.AddValue 017c @UStrCat 0199 IntToStr 01ac @UStrCatN 01dd CreateRecArray 030d @DynArrayHigh 033c TAzureService.CanonicalizedQueryParams 0440 TAzureService.QueryParams 049b TAzureService.GetResponse 04b3 TIdCustomHTTP.GetResponseCode 04bf @HandleFinally 04de @UStrArrayClr 04e9 @UStrClr 0522 TVarRecArray 052c @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 24 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B DA 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 D8 8B 45 EC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 89 5D E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 10 FF 52 44 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 C6 40 5D 00 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 78 04 80 7F 38 00 0F 84 E8 00 00 00 6A 02 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8D 45 CC 50 6A 00 8B 45 FC 89 45 C4 C6 45 C8 11 8D 45 C4 50 6A 00 8D 45 B8 50 8B 47 3C 89 45 98 C6 45 9C 11 8B 45 EC 8B 40 04 8B 40 3C 89 45 A0 C6 45 A4 11 89 5D A8 C6 45 AC 11 B8 ?? ?? ?? ?? 89 45 B0 C6 45 B4 11 8D 55 98 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 89 45 BC C6 45 C0 11 8D 45 BC 50 6A 00 8D 45 D4 50 33 C0 89 45 80 C6 45 84 11 33 C0 89 45 88 C6 45 8C 11 33 C0 89 45 90 C6 45 94 11 8D 4D 80 BA ?? ?? ?? ?? 8B 45 EC 8B 18 FF 53 04 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 8E CA 02 00 00 FF 75 F8 68 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B C6 E8 ?? ?? ?? ?? FF B5 7C FF FF FF 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 9D 02 00 00 85 F6 7E 60 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 45 DC 8D 4D F4 BA 01 00 00 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8D 95 78 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 E4 C6 45 E8 11 8D 45 DC 8D 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 32 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8D 45 CC 8D 4D F4 33 D2 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8D 45 CC 8D 4D F0 33 D2 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 0A B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 45 DC 50 6A 01 8B 45 FC 89 85 64 FF FF FF C6 85 68 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 6C FF FF FF C6 85 70 FF FF FF 11 8D 85 64 FF FF FF 50 6A 01 8D 85 50 FF FF FF 50 8B 45 EC 8B 40 04 8B 40 3C 89 85 40 FF FF FF C6 85 44 FF FF FF 11 89 9D 48 FF FF FF C6 85 4C FF FF FF 11 8D 95 40 FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 89 85 54 FF FF FF C6 85 58 FF FF FF 11 8B 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 85 3C FF FF FF 50 6A FF 8D 85 3C FF FF FF 50 6A FF 8D 85 3C FF FF FF 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 85 3C FF FF FF 89 85 5C FF FF FF C6 85 60 FF FF FF 11 8D 85 54 FF FF FF 50 6A 01 8D 85 74 FF FF FF 50 33 C0 89 85 E4 FE FF FF C6 85 E8 FE FF FF 11 33 C0 89 85 EC FE FF FF C6 85 F0 FE FF FF 11 33 C0 89 85 F4 FE FF FF C6 85 F8 FE FF FF 11 33 C0 89 85 FC FE FF FF C6 85 00 FF FF FF 11 33 C0 89 85 04 FF FF FF C6 85 08 FF FF FF 11 33 C0 89 85 0C FF FF FF C6 85 10 FF FF FF 11 33 C0 89 85 14 FF FF FF C6 85 18 FF FF FF 11 33 C0 89 85 1C FF FF FF C6 85 20 FF FF FF 11 33 C0 89 85 24 FF FF FF C6 85 28 FF FF FF 11 33 C0 89 85 2C FF FF FF C6 85 30 FF FF FF 11 33 C0 89 85 34 FF FF FF C6 85 38 FF FF FF 11 8D 8D E4 FE FF FF BA ?? ?? ?? ?? 8B 45 EC 8B 18 FF 53 04 8B 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 85 E0 FE FF FF 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 95 E0 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8D 95 DC FE FF FF 8B 45 EC 8B 40 0C 8B 08 FF 51 28 8B 85 DC FE FF FF 50 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 55 EC 89 42 10 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 DC FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8D 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 3F 00 70 00 65 00 65 00 6B 00 6F 00 6E 00 6C 00 79 00 3D 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 26 00 6E 00 75 00 6D 00 6F 00 66 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 65 00 65 00 6B 00 6F 00 6E 00 6C 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 6E 00 75 00 6D 00 6F 00 66 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28135_0 {
	meta:
		name = "TAzureQueueService.PutMessage"
		size = 2128
		refs = "0025 TAzureQueueService.PutMessage 0043 @UStrCatN 0055 TAzureConnectionString.QueueURL 0078 Format 0083 TAzureService.XMsDate 008e TIdCustomHTTP.GetRequest 00c3 TIdHeaderList.AddValue 00d5 TIdEntityHeaderInfo.SetContentType 00f2 CreateRecArray 00fc IntToStr 0125 TVarRecArray 012a @DynArraySetLength 014a TEncoding.GetUTF8 0155 TEncoding.GetBytes 015f _Dn_TBytesStream 0164 TBytesStream.Create 01cc @DynArrayHigh 01e6 TAzureService.QueryParams 0350 TAzureService.CanonicalizedQueryParams 04d4 @UStrCat3 04e8 TIdCustomHTTP.Post 04f3 TIdCustomHTTP.GetResponseCode 050b @HandleAnyException 0514 @DoneExcept 0529 TObject.Free 0540 @HandleFinally 055f @UStrArrayClr 056a @UStrClr 05a1 TArray<System.Byte> 05a6 @DynArrayClear 05c9 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 27 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B DA 89 45 E8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 55 CC 8B 45 E8 8B 40 04 E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 89 5D D8 C6 45 DC 11 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 10 FF 52 44 8B 45 E8 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 C6 40 5D 00 8B 45 E8 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 40 08 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 85 F6 7E 3C B8 ?? ?? ?? ?? 89 45 C4 C6 45 C8 11 8D 45 C4 8D 4D F0 33 D2 E8 ?? ?? ?? ?? 8D 55 C0 8B C6 E8 ?? ?? ?? ?? 8B 45 C0 89 45 C4 C6 45 C8 11 8D 45 C4 8D 4D EC 33 D2 E8 ?? ?? ?? ?? EB 30 6A 00 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8D 4D BC 8B 55 FC E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8B 45 E8 8B 70 04 80 7E 38 00 0F 84 E4 00 00 00 6A 02 B8 ?? ?? ?? ?? 89 45 C4 C6 45 C8 11 8D 45 C4 50 6A 00 8B 45 F8 89 45 B0 C6 45 B4 11 8D 45 B0 50 6A 00 8D 45 A4 50 8B 46 3C 89 45 84 C6 45 88 11 8B 45 E8 8B 40 04 8B 40 3C 89 45 8C C6 45 90 11 89 5D 94 C6 45 98 11 8B 45 EC 50 8B 45 EC E8 ?? ?? ?? ?? 50 8D 45 80 50 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8B 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 80 89 45 9C C6 45 A0 11 8D 55 84 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A4 89 45 A8 C6 45 AC 11 8D 45 A8 50 6A 00 8D 45 B8 50 33 C0 89 85 68 FF FF FF C6 85 6C FF FF FF 11 33 C0 89 85 70 FF FF FF C6 85 74 FF FF FF 11 33 C0 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8D 8D 68 FF FF FF BA ?? ?? ?? ?? 8B 45 E8 8B 18 FF 53 04 E9 E8 01 00 00 8B 45 E8 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 0A B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8D 45 D0 50 6A 01 8B 45 F8 89 85 54 FF FF FF C6 85 58 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 5C FF FF FF C6 85 60 FF FF FF 11 8D 85 54 FF FF FF 50 6A 01 8D 85 40 FF FF FF 50 8B 45 E8 8B 40 04 8B 40 3C 89 85 30 FF FF FF C6 85 34 FF FF FF 11 89 9D 38 FF FF FF C6 85 3C FF FF FF 11 8D 95 30 FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 40 FF FF FF 89 85 44 FF FF FF C6 85 48 FF FF FF 11 8B 45 EC 50 8B 45 EC E8 ?? ?? ?? ?? 50 8D 85 2C FF FF FF 50 6A FF 8D 85 2C FF FF FF 50 6A FF 8D 85 2C FF FF FF 50 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8B 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 8B 85 2C FF FF FF 89 85 4C FF FF FF C6 85 50 FF FF FF 11 8D 85 44 FF FF FF 50 6A 01 8D 85 64 FF FF FF 50 33 C0 89 85 D4 FE FF FF C6 85 D8 FE FF FF 11 33 C0 89 85 DC FE FF FF C6 85 E0 FE FF FF 11 8B 45 E0 8B 10 FF 12 52 50 8D 85 D0 FE FF FF E8 ?? ?? ?? ?? 8B 85 D0 FE FF FF 89 85 E4 FE FF FF C6 85 E8 FE FF FF 11 33 C0 89 85 EC FE FF FF C6 85 F0 FE FF FF 11 33 C0 89 85 F4 FE FF FF C6 85 F8 FE FF FF 11 33 C0 89 85 FC FE FF FF C6 85 00 FF FF FF 11 33 C0 89 85 04 FF FF FF C6 85 08 FF FF FF 11 33 C0 89 85 0C FF FF FF C6 85 10 FF FF FF 11 33 C0 89 85 14 FF FF FF C6 85 18 FF FF FF 11 33 C0 89 85 1C FF FF FF C6 85 20 FF FF FF 11 33 C0 89 85 24 FF FF FF C6 85 28 FF FF FF 11 8D 8D D4 FE FF FF BA ?? ?? ?? ?? 8B 45 E8 8B 18 FF 53 04 8D 95 CC FE FF FF 8B 45 E8 8B 40 0C 8B 08 FF 51 28 8B 85 CC FE FF FF 50 8B 45 E8 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 C8 FE FF FF 50 8B 45 EC 50 8B 45 EC E8 ?? ?? ?? ?? 50 8D 85 C0 FE FF FF 50 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8B 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 8B 8D C0 FE FF FF 8D 85 C4 FE FF FF 8B 55 F4 E8 ?? ?? ?? ?? 8B 95 C4 FE FF FF 8B 45 E8 8B 40 08 8B 4D E0 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 08 E8 ?? ?? ?? ?? 3D C9 00 00 00 0F 94 45 E7 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 E7 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 08 E8 ?? ?? ?? ?? 8B 55 E8 89 42 10 C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 C0 FE FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 85 2C FF FF FF E8 ?? ?? ?? ?? 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 6E FF FF FF 0F B6 45 E7 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 52 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 75 00 74 00 66 00 2D 00 38 00 22 00 20 00 73 00 74 00 61 00 6E 00 64 00 61 00 6C 00 6F 00 6E 00 65 00 3D 00 22 00 79 00 65 00 73 00 22 00 3F 00 3E 00 3C 00 51 00 75 00 65 00 75 00 65 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 3E 00 3C 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 54 00 65 00 78 00 74 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 3C 00 2F 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 54 00 65 00 78 00 74 00 3E 00 3C 00 2F 00 51 00 75 00 65 00 75 00 65 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 25 00 73 00 2F 00 25 00 73 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 74 00 74 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28136_0 {
	meta:
		name = "TAzureQueueService.PutQueueMetadata"
		size = 1516
		refs = "0021 TAzureQueueService.PutQueueMetadata 0034 @UStrLAsg 0046 TAzureConnectionString.QueueURL 0069 Format 0074 TAzureService.XMsDate 0083 TStrings.SetValue 01bb TAzureService.CanonicalizedQueryParams 0296 TIdCustomHTTP.GetRequest 02c2 TIdEntityHeaderInfo.SetContentType 02e2 TStrings.GetValueFromIndex 02f8 TStrings.GetName 0309 AnsiLowerCase 0325 TIdHeaderList.AddValue 03a3 TAzureService.QueryParams 03b7 @UStrCat3 03ce TAzureHTTP.Put 03d9 TIdCustomHTTP.GetResponseCode 0401 @HandleAnyException 0419 @DoneExcept 0436 @UStrArrayClr 0441 @UStrClr 0476 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 20 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B DA 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 DC 8B 45 F0 8B 40 04 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 89 5D E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 8B 78 04 80 7F 38 00 0F 84 8A 00 00 00 6A 02 56 8D 45 CC 50 8B 47 3C 89 45 AC C6 45 B0 11 8B 45 F0 8B 40 04 8B 40 3C 89 45 B4 C6 45 B8 11 89 5D BC C6 45 C0 11 B8 ?? ?? ?? ?? 89 45 C4 C6 45 C8 11 8D 55 AC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8D 45 D8 50 33 C0 89 45 94 C6 45 98 11 33 C0 89 45 9C C6 45 A0 11 33 C0 89 45 A4 C6 45 A8 11 8D 4D 94 BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 08 E9 6E 01 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 0A 56 8D 45 8C 50 8B 45 F0 8B 40 04 8B 40 3C 89 85 7C FF FF FF C6 45 80 11 89 5D 84 C6 45 88 11 8D 95 7C FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 8C 89 45 E0 C6 45 E4 11 B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8D 85 78 FF FF FF 50 6A FF 8D 85 78 FF FF FF 50 6A FF 8D 85 78 FF FF FF 50 B8 ?? ?? ?? ?? 89 85 70 FF FF FF C6 85 74 FF FF FF 11 8D 95 70 FF FF FF 33 C9 8B 45 F0 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 E8 C6 45 EC 11 8D 45 E0 50 6A 01 8D 45 90 50 33 C0 89 85 18 FF FF FF C6 85 1C FF FF FF 11 33 C0 89 85 20 FF FF FF C6 85 24 FF FF FF 11 66 C7 85 28 FF FF FF 30 00 C6 85 2C FF FF FF 09 33 C0 89 85 30 FF FF FF C6 85 34 FF FF FF 11 33 C0 89 85 38 FF FF FF C6 85 3C FF FF FF 11 33 C0 89 85 40 FF FF FF C6 85 44 FF FF FF 11 33 C0 89 85 48 FF FF FF C6 85 4C FF FF FF 11 33 C0 89 85 50 FF FF FF C6 85 54 FF FF FF 11 33 C0 89 85 58 FF FF FF C6 85 5C FF FF FF 11 33 C0 89 85 60 FF FF FF C6 85 64 FF FF FF 11 33 C0 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8D 8D 18 FF FF FF BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 08 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 8B 10 FF 52 44 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 C6 40 5D 00 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 14 8B F8 4F 85 FF 7C 59 47 33 DB 8D 8D 14 FF FF FF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 85 14 FF FF FF 50 8D 8D 0C FF FF FF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 85 0C FF FF FF 8D 95 10 FF FF FF E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 50 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 5A 59 E8 ?? ?? ?? ?? 43 4F 75 AA 8D 95 08 FF FF FF 8B 45 F0 8B 40 0C 8B 08 FF 51 28 8B 85 08 FF FF FF 50 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8D 85 FC FE FF FF 50 B8 ?? ?? ?? ?? 89 85 70 FF FF FF C6 85 74 FF FF FF 11 8D 95 70 FF FF FF 33 C9 8B 45 F0 E8 ?? ?? ?? ?? 8B 8D FC FE FF FF 8D 85 00 FF FF FF 8B 55 F8 E8 ?? ?? ?? ?? 8B 95 00 FF FF FF 8D 8D 04 FF FF FF 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 3D CC 00 00 00 0F 94 C3 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F0 89 42 10 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 F0 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F0 89 42 10 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FE FF FF BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 45 8C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AE 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 6F 00 6D 00 70 00 3D 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 2F 00 25 00 73 00 3F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 32 00 30 00 30 00 39 00 2D 00 30 00 39 00 2D 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 25 00 73 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_28137_0 {
	meta:
		name = "TAzureQueueService.XMLText"
		size = 244
		refs = "0012 TAzureQueueService.XMLText 0030 @UStrCatN 003a Pos 0072 PosEx 0085 @UStrCopy 008f @UStrClr 00a9 @UStrArrayClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 7E 47 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 03 D8 8B CB 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 8B 45 08 50 8B CF 2B CB 8B D3 8B C6 E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3C 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_28139_0 {
	meta:
		name = "TAzureHTTP.Delete"
		size = 220
		refs = "0013 @UStrAddRef 001b TAzureHTTP.Delete 0028 _Dn_TMemoryStream 002d TObject.Create 0068 TStream.SetPosition 0076 ReadStringFromStream 0090 TObject.Free 0096 @HandleFinally 00ad @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 50 8D 45 F8 50 6A FF 8B 4D FC BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 B4 00 00 00 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 56 33 C9 83 CA FF 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_28140_0 {
	meta:
		name = "TAzureHTTP.InitComponent"
		size = 52
		refs = "0006 TIdCustomHTTP.InitComponent 0011 TAzureHTTP.InitComponent 0016 @UStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 83 84 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 74 00 74 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_28141_0 {
	meta:
		name = "TAzureHTTP.Delete"
		size = 128
		refs = "0011 @UStrAddRef 0019 TAzureHTTP.Delete 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 56 8D 45 FC 50 6A FF 8B 4D FC BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_28142_0 {
	meta:
		name = "TAzureHTTP.Head"
		size = 120
		refs = "000e @UStrAddRef 0016 TAzureHTTP.Head 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8D 45 FC 50 6A FF 8B 4D FC BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 45 00 41 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_34960_0 {
	meta:
		name = "TIdCustomHTTP.Head"
		size = 120
		refs = "000e @UStrAddRef 0016 TIdCustomHTTP.Head 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8D 45 FC 50 6A FF 8B 4D FC BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 45 00 41 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_28143_0 {
	meta:
		name = "TAzureHTTP.Merge"
		size = 120
		refs = "0011 @UStrAddRef 0019 TAzureHTTP.Merge 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 6A 00 8D 45 FC 50 6A FF 8B 4D FC BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 45 00 52 00 47 00 45 00 00 00 }
	condition:
		$1
}

rule function_28145_0 {
	meta:
		name = "TAzureHTTP.SetAuthentication"
		size = 28
		refs = "000f TIdCustomHTTP.GetRequest"
	strings:
		$1 = { 53 56 8B F2 8B D8 89 B3 80 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 B0 C0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_28146_0 {
	meta:
		name = "TAzureHTTP.SetBasicAuthentication"
		size = 76
		refs = "000d _Dn_TIdBasicAuthentication 0012 TIdAuthentication.Create 0037 TIdCustomHTTP.GetRequest"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 80 01 00 00 8B D5 8B C6 8B 08 FF 51 14 8B D7 8B 83 80 01 00 00 8B 08 FF 51 18 8B C3 E8 ?? ?? ?? ?? 8B 93 80 01 00 00 89 90 C0 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28173_0 {
	meta:
		name = "TAzureBlobManagement.ACLOf"
		size = 48
		refs = "0007 TTreeNode.getFirstChild 0016 TAzureBlobManagement.IsACLNode 0021 TTreeNode.getNextSibling"
	strings:
		$1 = { 53 56 8B F0 8B C2 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0D 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E6 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_28281_0 {
	meta:
		name = "TAzureBlobManagement.MetadataOf"
		size = 48
		refs = "0007 TTreeNode.getFirstChild 0016 TAzureBlobManagement.IsMetadataNode 0021 TTreeNode.getNextSibling"
	strings:
		$1 = { 53 56 8B F0 8B C2 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0D 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E6 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_28309_0 {
	meta:
		name = "TAzureBlobManagement.PropertiesOf"
		size = 48
		refs = "0007 TTreeNode.getFirstChild 0016 TAzureBlobManagement.IsPropertiesNode 0021 TTreeNode.getNextSibling"
	strings:
		$1 = { 53 56 8B F0 8B C2 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0D 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E6 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_28174_0 {
	meta:
		name = "TAzureBlobManagement.CopyLeaseAction"
		size = 120
		refs = "000c TAzureBlobManagement.CopyLeaseAction 001f TAzureBlobManagement.SelectedBlob 0028 TAzureBlobManagement.BlobOf 0034 TBBlob.GetLeaseID 003d EmptyStr 0044 @UStrEqual 004b Clipboard 0053 TClipboard.SetAsText 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 93 C0 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 0D E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_28175_0 {
	meta:
		name = "TAzureBlobManagement.AcquireLeaseAction$509$ActRec.$0$Body"
		size = 560
		refs = "0024 TAzureBlobManagement.AcquireLeaseAction$509$ActRec.$0$Body 0035 TAzureBlobManagement.BlobService 006b TAzureBlobService.LeaseBlob 007b TAzureService.GetResponseHeader 0089 @UStrAsg 0093 Now 00b8 @_llmul 00bf IncMilliSecond 00ec TBBlob.SetLeaseInfo 00f8 SLeaseAcquireNotice 00fd LoadResString 0136 Format 013e ShowInformationMessage 014f TAzureBlobManagement.MarkAsAvailable 0157 TObject.Free 0166 @HandleAnyException 016e SErrorGeneric 0182 TAzureService.GetResponseText 018b @UStrCat 0193 ShowErrorMessage 01b1 @DoneExcept 01cb @UStrArrayClr 01de @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 D2 89 55 B4 89 55 B0 89 55 D4 89 55 D0 89 55 D8 89 55 DC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 6A 00 8D 45 DC 50 8B 45 FC 8B 40 1C 8B 48 08 8B 45 FC 8B 40 20 8B 50 08 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D D8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? BB 3C 00 00 00 E8 ?? ?? ?? ?? DD 5D F0 9B 8B C3 99 89 45 E8 89 55 EC FF 75 F4 FF 75 F0 6A 00 68 E8 03 00 00 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 5D E0 9B 8B 45 FC 8B 55 E0 89 50 10 8B 55 E4 89 50 14 8B 45 FC FF 70 14 FF 70 10 8B 45 FC 8B 50 18 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8D 45 D4 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 8B 45 FC 8B 40 20 8B 40 08 89 45 B8 C6 45 BC 11 8B 45 FC 8B 40 1C 8B 40 08 89 45 C0 C6 45 C4 11 89 5D C8 C6 45 CC 00 8D 55 B8 B9 02 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 0C 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 50 E9 ?? ?? ?? ?? 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B4 50 8D 55 B0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 B0 58 E8 ?? ?? ?? ?? 8B 45 B4 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 0C 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 61 00 63 00 71 00 75 00 69 00 72 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 }
	condition:
		$1
}

rule function_28176_0 {
	meta:
		name = "TAzureBlobManagement.AcquireLeaseAction"
		size = 184
		refs = "000e TAzureBlobManagement.AcquireLeaseAction 001b _DV_TAzureBlobManagement.AcquireLeaseAction$509$ActRec 0020 TObject.Create 0033 @IntfCopy 0045 TAzureBlobManagement.SelectedBlob 0054 TAzureBlobManagement.BlobOf 0062 TAzureBlobManagement.SelectedContainer 006e TAzureBlobManagement.ContainerOf 007c TAzureBlobManagement.MarkAsBusy 008c _DV_TAnonymousThread 0091 TAnonymousThread.Create 00a6 @IntfClear 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 24 8B 96 C0 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 0C 8B D7 8B 43 24 E8 ?? ?? ?? ?? 89 43 1C 8B 53 0C 8B 43 24 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 24 E8 ?? ?? ?? ?? 89 43 20 8B 53 0C 8B 43 24 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28194_0 {
	meta:
		name = "TAzureBlobManagement.RenewLeaseAction"
		size = 184
		refs = "000e TAzureBlobManagement.RenewLeaseAction 001b _DV_TAzureBlobManagement.RenewLeaseAction$527$ActRec 0020 TObject.Create 0033 @IntfCopy 0045 TAzureBlobManagement.SelectedBlob 0054 TAzureBlobManagement.BlobOf 0062 TAzureBlobManagement.SelectedContainer 006e TAzureBlobManagement.ContainerOf 007c TAzureBlobManagement.MarkAsBusy 008c _DV_TAnonymousThread 0091 TAnonymousThread.Create 00a6 @IntfClear 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 24 8B 96 C0 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 0C 8B D7 8B 43 24 E8 ?? ?? ?? ?? 89 43 1C 8B 53 0C 8B 43 24 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 24 E8 ?? ?? ?? ?? 89 43 20 8B 53 0C 8B 43 24 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28178_0 {
	meta:
		name = "TAzureBlobManagement.AsMetadataHeaders"
		size = 236
		refs = "001a TAzureBlobManagement.AsMetadataHeaders 0027 _Dn_TStringList 002c TStringList.Create 004c TStrings.GetValueFromIndex 0060 TStrings.GetName 0079 Format 0085 TStrings.SetValue 009e @UStrClr 00ab @UStrArrayClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F8 89 4D F4 89 4D E8 8B FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B C7 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4C 46 33 DB 8D 4D F8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 50 8D 4D E8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 59 E8 ?? ?? ?? ?? 43 4E 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 FC 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6D 00 65 00 74 00 61 00 2D 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_28179_0 {
	meta:
		name = "TAzureBlobManagement.AsObject"
		size = 7
	strings:
		$1 = { 8B C2 D1 E8 03 C0 C3 }
	condition:
		$1
}

rule function_28180_0 {
	meta:
		name = "TAzureBlobManagement.BlobNodeFactory"
		size = 8
		refs = "0001 _DV_TBTreeNode"
	strings:
		$1 = { A1 ?? ?? ?? ?? 89 01 C3 }
	condition:
		$1
}

rule function_28981_0 {
	meta:
		name = "TAzureQueueManagement.HandleCreateNodeClass"
		size = 8
		refs = "0001 _Dn_TAzureTreeNode"
	strings:
		$1 = { A1 ?? ?? ?? ?? 89 01 C3 }
	condition:
		$1
}

rule function_29119_0 {
	meta:
		name = "TAzureTableManagement.HandleCreateNodeClass"
		size = 8
		refs = "0001 _Dn_TAzureTreeNode"
	strings:
		$1 = { A1 ?? ?? ?? ?? 89 01 C3 }
	condition:
		$1
}

rule function_95527_0 {
	meta:
		name = "TCustomBodyGridBehavior.GetComClass"
		size = 8
		refs = "0001 _DV_TCustomGridBehavior"
	strings:
		$1 = { A1 ?? ?? ?? ?? 89 01 C3 }
	condition:
		$1
}

rule function_28181_0 {
	meta:
		name = "TAzureBlobManagement.BlobOf"
		size = 30
		refs = "000c TAzureBlobManagement.AsObject 0012 _DV_TBBlob 0017 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28182_0 {
	meta:
		name = "TAzureBlobManagement.BlobService"
		size = 19
		refs = "0009 _Dn_TAzureBlobService 000e TAzureBlobService.Create"
	strings:
		$1 = { 8B 88 B0 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28183_0 {
	meta:
		name = "TAzureBlobManagement.BlockNodeOf"
		size = 46
		refs = "0007 TTreeNode.getFirstChild 0012 TTreeNode.getNextSibling 0021 TAzureBlobManagement.IsBlockListNode"
	strings:
		$1 = { 53 56 8B F0 8B C2 E8 ?? ?? ?? ?? 8B D8 EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0D 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 E6 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_28284_0 {
	meta:
		name = "TAzureBlobManagement.PageNodeOf"
		size = 46
		refs = "0007 TTreeNode.getFirstChild 0012 TTreeNode.getNextSibling 0021 TAzureBlobManagement.IsPageRegionsNode"
	strings:
		$1 = { 53 56 8B F0 8B C2 E8 ?? ?? ?? ?? 8B D8 EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0D 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 E6 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_28184_0 {
	meta:
		name = "TAzureBlobManagement.BreakLeaseAction$518$ActRec.$0$Body"
		size = 456
		refs = "0024 TAzureBlobManagement.BreakLeaseAction$518$ActRec.$0$Body 0035 TAzureBlobManagement.BlobService 006b TAzureBlobService.LeaseBlob 007b TAzureService.GetResponseHeader 0083 StrToInt 0091 SLeaseBreakNotice 0096 LoadResString 00cf Format 00d7 ShowInformationMessage 00e8 TAzureBlobManagement.MarkAsAvailable 00f0 TObject.Free 00ff @HandleAnyException 0107 SErrorGeneric 011b TAzureService.GetResponseText 0124 @UStrCat 012c ShowErrorMessage 014a @DoneExcept 0164 @UStrArrayClr 0177 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 D2 89 55 CC 89 55 C8 89 55 EC 89 55 E8 89 55 F0 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 6A 00 8D 45 F4 50 8B 45 FC 8B 40 10 8B 48 08 8B 45 FC 8B 40 14 8B 50 08 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 8B 40 14 8B 40 08 89 45 D0 C6 45 D4 11 8B 45 FC 8B 40 10 8B 40 08 89 45 D8 C6 45 DC 11 89 5D E0 C6 45 E4 00 8D 55 D0 B9 02 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 50 0C 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 50 E9 ?? ?? ?? ?? 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC 50 8D 55 C8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 C8 58 E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8B 45 FC 8B 50 0C 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 62 00 72 00 65 00 61 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 74 00 69 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_28185_0 {
	meta:
		name = "TAzureBlobManagement.BreakLeaseAction"
		size = 184
		refs = "000e TAzureBlobManagement.BreakLeaseAction 001b _DV_TAzureBlobManagement.BreakLeaseAction$518$ActRec 0020 TObject.Create 0033 @IntfCopy 0045 TAzureBlobManagement.SelectedBlob 0054 TAzureBlobManagement.BlobOf 0062 TAzureBlobManagement.SelectedContainer 006e TAzureBlobManagement.ContainerOf 007c TAzureBlobManagement.MarkAsBusy 008c _DV_TAnonymousThread 0091 TAnonymousThread.Create 00a6 @IntfClear 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 18 8B 96 C0 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 0C 8B D7 8B 43 18 E8 ?? ?? ?? ?? 89 43 10 8B 53 0C 8B 43 18 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 18 E8 ?? ?? ?? ?? 89 43 14 8B 53 0C 8B 43 18 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28192_0 {
	meta:
		name = "TAzureBlobManagement.ReleaseLeaseAction"
		size = 184
		refs = "000e TAzureBlobManagement.ReleaseLeaseAction 001b _DV_TAzureBlobManagement.ReleaseLeaseAction$525$ActRec 0020 TObject.Create 0033 @IntfCopy 0045 TAzureBlobManagement.SelectedBlob 0054 TAzureBlobManagement.BlobOf 0062 TAzureBlobManagement.SelectedContainer 006e TAzureBlobManagement.ContainerOf 007c TAzureBlobManagement.MarkAsBusy 008c _DV_TAnonymousThread 0091 TAnonymousThread.Create 00a6 @IntfClear 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 18 8B 96 C0 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 0C 8B D7 8B 43 18 E8 ?? ?? ?? ?? 89 43 10 8B 53 0C 8B 43 18 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 18 E8 ?? ?? ?? ?? 89 43 14 8B 53 0C 8B 43 18 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28186_0 {
	meta:
		name = "TAzureBlobManagement.CleanExtraSeparators"
		size = 220
		refs = "0011 TAzureBlobManagement.CleanExtraSeparators 0021 TMenuItem.GetEnumerator 003c TMenuItemEnumerator.GetCurrent 0054 @UStrCopy 0061 @UStrEqual 006c TMenuItem.SetVisible 007c TMenuItemEnumerator.MoveNext 00a3 @HandleFinally 00ba @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 42 3C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 40 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8D 45 F8 50 8B 46 08 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8B D3 8B C6 E8 ?? ?? ?? ?? 33 DB EB 04 0F B6 5E 42 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 B4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 4E 00 00 00 }
	condition:
		$1
}

rule function_28187_0 {
	meta:
		name = "TAzureBlobManagement.Clear$521$ActRec.$0$Body"
		size = 30
		refs = "000d TTreeNode.Delete"
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 80 BC 03 00 00 E8 ?? ?? ?? ?? 8B 43 0C 33 D2 89 90 BC 03 00 00 5B C3 }
	condition:
		$1
}

rule function_28188_0 {
	meta:
		name = "TAzureBlobManagement.Clear"
		size = 145
		refs = "000d TAzureBlobManagement.Clear 001a _DV_TAzureBlobManagement.Clear$521$ActRec 001f TObject.Create 0032 @IntfCopy 0049 TObject.Free 005b TAzureBlobManagement.MarkAsBusy 006b TThread.Queue 0080 @IntfClear 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 89 43 0C 05 B8 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 43 0C 8B 90 BC 03 00 00 85 D2 74 15 E8 ?? ?? ?? ?? 8B D3 85 D2 74 03 83 EA F0 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28189_0 {
	meta:
		name = "TAzureBlobManagement.RefreshLoadingNode$523$ActRec.$0$Body"
		size = 113
		refs = "000c TAzureBlobManagement.RefreshLoadingNode$523$ActRec.$0$Body 001d TTreeNode.DeleteChildren 002e TAzureBlobManagement.PopulateWithLoadingNode 0043 @CallDynaInst 0061 TAzureBlobManagement.MarkAsAvailable 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 10 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 50 10 8B 45 FC 8B 40 0C 66 BE A5 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 90 BC 03 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5E 59 5D C3 }
	condition:
		$1
}

rule function_28190_0 {
	meta:
		name = "TAzureBlobManagement.RefreshLoadingNode"
		size = 128
		refs = "0010 TAzureBlobManagement.RefreshLoadingNode 001d _DV_TAzureBlobManagement.RefreshLoadingNode$523$ActRec 0022 TObject.Create 0035 @IntfCopy 0049 TAzureBlobManagement.MarkAsBusy 0059 TThread.Queue 006e @IntfClear 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 0C 89 7B 10 8B 43 0C 8B 90 BC 03 00 00 E8 ?? ?? ?? ?? 8B D3 85 D2 74 03 83 EA EC 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28191_0 {
	meta:
		name = "TAzureBlobManagement.ReleaseLeaseAction$525$ActRec.$0$Body"
		size = 420
		refs = "0024 TAzureBlobManagement.ReleaseLeaseAction$525$ActRec.$0$Body 0035 TAzureBlobManagement.BlobService 005b TBBlob.GetLeaseID 0077 TAzureBlobService.LeaseBlob 0081 EmptyStr 008e TBBlob.SetLeaseInfo 009a SLeaseReleaseNotice 009f LoadResString 00d1 Format 00d9 ShowInformationMessage 00ea TAzureBlobManagement.MarkAsAvailable 00f2 TObject.Free 0101 @HandleAnyException 0109 SErrorGeneric 011d TAzureService.GetResponseText 0126 @UStrCat 012e ShowErrorMessage 014c @DoneExcept 0166 @UStrArrayClr 0179 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 D2 89 55 D4 89 55 D0 89 55 EC 89 55 E8 89 55 F4 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 F0 8B 45 FC 8B 58 10 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 F4 50 8B 4B 08 8B 45 FC 8B 40 14 8B 50 08 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 15 ?? ?? ?? ?? 8B 12 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 8B 40 14 8B 40 08 89 45 D8 C6 45 DC 11 8B 45 FC 8B 40 10 8B 40 08 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 50 0C 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 50 E9 ?? ?? ?? ?? 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 50 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D0 58 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 0C 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 6C 00 65 00 61 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_28193_0 {
	meta:
		name = "TAzureBlobManagement.RenewLeaseAction$527$ActRec.$0$Body"
		size = 572
		refs = "0027 TAzureBlobManagement.RenewLeaseAction$527$ActRec.$0$Body 0038 TAzureBlobManagement.BlobService 005e TBBlob.GetLeaseID 007a TAzureBlobService.LeaseBlob 008a TAzureService.GetResponseHeader 0098 @UStrAsg 00a2 Now 00c7 @_llmul 00ce IncMilliSecond 00fb TBBlob.SetLeaseInfo 0107 SLeaseRenewNotice 010c LoadResString 0145 Format 014d ShowInformationMessage 015e TAzureBlobManagement.MarkAsAvailable 0166 TObject.Free 0175 @HandleAnyException 017d SErrorGeneric 0191 TAzureService.GetResponseText 019a @UStrCat 01a2 ShowErrorMessage 01c0 @DoneExcept 01da @UStrArrayClr 01ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 D2 89 55 B0 89 55 AC 89 55 D0 89 55 CC 89 55 D4 89 55 DC 89 55 D8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 58 1C 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 50 8D 45 DC 50 8B 4B 08 8B 45 FC 8B 40 20 8B 50 08 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D D4 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? BB 3C 00 00 00 E8 ?? ?? ?? ?? DD 5D F0 9B 8B C3 99 89 45 E8 89 55 EC FF 75 F4 FF 75 F0 6A 00 68 E8 03 00 00 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 5D E0 9B 8B 45 FC 8B 55 E0 89 50 10 8B 55 E4 89 50 14 8B 45 FC FF 70 14 FF 70 10 8B 45 FC 8B 50 18 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8D 45 D0 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 FC 8B 40 20 8B 40 08 89 45 B4 C6 45 B8 11 8B 45 FC 8B 40 1C 8B 40 08 89 45 BC C6 45 C0 11 89 5D C4 C6 45 C8 00 8D 55 B4 B9 02 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 0C 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 50 E9 ?? ?? ?? ?? 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 50 8D 55 AC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 AC 58 E8 ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 0C 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 72 00 65 00 6E 00 65 00 77 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 69 00 64 00 00 00 }
	condition:
		$1
}

rule function_28195_0 {
	meta:
		name = "TAzureBlobManagement.CommitBlockListAction$529$ActRec.$0$Body"
		size = 84
		refs = "000f TAzureBlobManagement.CommitBlockListAction$529$ActRec.$0$Body 001f _Dn_TAzureService 0024 TAzureService.Encode 002e @UStrAsg 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28196_0 {
	meta:
		name = "TAzureBlobManagement.CommitBlockListAction$529$ActRec.$1$Body"
		size = 466
		refs = "001c TAzureBlobManagement.CommitBlockListAction$529$ActRec.$1$Body 003b TAzureBlobManagement.BlobService 0088 TBBlob.GetLeaseID 00a7 TAzureBlobService.PutBlockList 00b7 SCommitBlockListFailure 00bc LoadResString 00fb Format 010a TAzureService.GetResponseText 0113 @UStrCat 011b ShowErrorMessage 0120 @TryFinallyExit 013c TObject.Free 0142 @HandleFinally 0155 TAzureBlobManagement.BlockNodeOf 016e TAzureBlobManagement.PopulateBlockList 0197 TAzureBlobManagement.MarkAsAvailable 01b4 @UStrClr 01c1 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 D2 89 55 F0 89 55 D0 89 55 EC 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 2C 50 6A 00 8B 45 FC 8B 40 28 50 8B 45 FC 8B 40 24 50 8B 45 FC 8B 40 20 50 8B 45 FC 8B 40 1C 50 8B 45 FC 8B 40 18 50 8D 55 F4 8B 45 FC 8B 58 30 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 8B 40 14 50 8B 4B 08 8B 45 FC 8B 40 34 8B 50 08 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 7C 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 8B 40 34 8B 40 08 89 45 D4 C6 45 D8 11 8B 45 FC 8B 40 30 8B 40 08 89 45 DC C6 45 E0 11 8B 45 F8 8B 40 10 89 45 E4 C6 45 E8 00 8D 55 D4 B9 02 00 00 00 58 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D0 58 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 50 0C 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 10 85 DB 74 0D 8B D3 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 0C 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28197_0 {
	meta:
		name = "TAzureBlobManagement.CommitBlockListAction"
		size = 1296
		refs = "0018 TAzureBlobManagement.CommitBlockListAction 0025 _DV_TAzureBlobManagement.CommitBlockListAction$529$ActRec 002a TObject.Create 003d @IntfCopy 004f TAzureBlobManagement.SelectedBlob 005e TAzureBlobManagement.BlobOf 006c TAzureBlobManagement.SelectedContainer 007b TAzureBlobManagement.ContainerOf 0086 TAzureBlobManagement.BlobService 00b8 TAzureBlobService.GetBlockList 00c8 TAzureService.GetResponseHeader 00d0 TObject.Free 00df @HandleAnyException 00ea TAzureService.GetResponseText 00f6 SErrorGeneric 00fb LoadResString 0107 @UStrCat3 0123 MessageDlgPosHelp 0130 @DoneExcept 0148 TAzureBlobManagement.ParseXML 0153 _DV_TBBlockList 0158 TBBlockList.FromXML 0167 SCommitBlockListCaption 0198 Format 01a9 TControl.SetText 01b7 TAzPutBlockList.ClearLists 01e7 TList<DSAzureBlob.TBBlock>.GetItem 01f2 _Dn_TAzureService 01f7 TAzureService.Decode 0208 TAzPutBlockList.AddCommittedBlockName 0257 TAzPutBlockList.AddUncommittedBlockName 02e0 TAzPutBlockList.BlockListAsXML 02eb @UStrAsg 02fe @IntfClear 030f TAzPutBlockList.GetCacheControl 032b TAzPutBlockList.GetContentType 0347 TAzPutBlockList.GetContentEncoding 0363 TAzPutBlockList.GetContentLanguage 037f TAzPutBlockList.GetContentMD5 0398 TAzPutBlockList.RawMetadata 03a1 TAzureBlobManagement.AsMetadataHeaders 03af TAzureBlobManagement.MarkAsBusy 03bf _DV_TAnonymousThread 03c4 TAnonymousThread.Create 03ef SBlobPageItem 0410 SBlockListIsEmpty 045f @UStrArrayClr 04a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 11 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F0 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 38 8B 96 C0 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 0C 8B D7 8B 43 38 E8 ?? ?? ?? ?? 89 43 30 8B 53 0C 8B 43 38 E8 ?? ?? ?? ?? 8B F0 89 73 10 8B D6 8B 43 38 E8 ?? ?? ?? ?? 89 43 34 8B 43 38 E8 ?? ?? ?? ?? 89 45 D8 33 F6 55 68 ?? ?? ?? ?? 64 FF 36 64 89 26 68 ?? ?? ?? ?? 6A 00 6A 00 8D 45 FC 50 8B 43 30 8B 48 08 8B 43 34 8B 50 08 8B 45 D8 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 60 E9 ?? ?? ?? ?? 8D 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8D 45 EC 59 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D EC 92 91 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0D 03 00 00 E8 ?? ?? ?? ?? 8D 4D F4 8B 43 38 8B 55 FC E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8D 45 CC 50 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 50 8B 43 34 8B 40 08 89 45 B8 C6 45 BC 11 8B 43 30 8B 40 08 89 45 C0 C6 45 C4 11 8D 55 B8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 CC 8B 43 38 8B 80 F0 03 00 00 E8 ?? ?? ?? ?? 8B 43 38 8B 80 F0 03 00 00 E8 ?? ?? ?? ?? 8B 45 E4 8B 40 0C 8B 40 08 89 45 E0 8B 45 E4 8B 40 10 8B 40 08 89 45 DC 8B 7D E0 4F 85 FF 7C 47 47 33 F6 8B 45 E4 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 8B 50 08 8D 4D B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B 43 38 8B 80 F0 03 00 00 E8 ?? ?? ?? ?? 8B 45 E4 8B 40 0C 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 BC 8B 7D DC 4F 85 FF 7C 47 47 33 F6 8B 45 E4 8B 40 10 8B D6 E8 ?? ?? ?? ?? 8B 50 08 8D 4D B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8B 43 38 8B 80 F0 03 00 00 E8 ?? ?? ?? ?? 8B 45 E4 8B 40 10 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 BC 8B 45 E0 03 45 DC 85 C0 75 08 8B 45 E4 E8 ?? ?? ?? ?? 8B 43 38 8B 80 F0 03 00 00 8B 80 90 03 00 00 8B 10 FF 52 68 84 C0 0F 84 2B 01 00 00 8B 43 38 8B 80 F0 03 00 00 8B 10 FF 92 20 01 00 00 48 0F 85 8F 01 00 00 8B 43 38 8B 80 F0 03 00 00 05 EC 03 00 00 8B D3 85 D2 74 03 83 EA C0 E8 ?? ?? ?? ?? 8D 55 AC 8B 43 38 8B 80 F0 03 00 00 E8 ?? ?? ?? ?? 8B 55 AC 8D 43 2C E8 ?? ?? ?? ?? 8B 43 38 8B 80 F0 03 00 00 05 EC 03 00 00 E8 ?? ?? ?? ?? 8D 55 A8 8B 43 38 8B 80 F0 03 00 00 E8 ?? ?? ?? ?? 8B 55 A8 8D 43 28 E8 ?? ?? ?? ?? 8D 55 A4 8B 43 38 8B 80 F0 03 00 00 E8 ?? ?? ?? ?? 8B 55 A4 8D 43 24 E8 ?? ?? ?? ?? 8D 55 A0 8B 43 38 8B 80 F0 03 00 00 E8 ?? ?? ?? ?? 8B 55 A0 8D 43 20 E8 ?? ?? ?? ?? 8D 55 9C 8B 43 38 8B 80 F0 03 00 00 E8 ?? ?? ?? ?? 8B 55 9C 8D 43 1C E8 ?? ?? ?? ?? 8D 55 98 8B 43 38 8B 80 F0 03 00 00 E8 ?? ?? ?? ?? 8B 55 98 8D 43 18 E8 ?? ?? ?? ?? 8B 73 38 8B 86 F0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 89 43 14 8B 53 0C 8B 43 38 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7C 8D 45 E8 50 8B 43 34 8B 40 08 89 45 80 C6 45 84 11 8B 43 30 8B 40 08 89 45 88 C6 45 8C 11 8D 95 7C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 89 45 90 C6 45 94 11 8D 45 80 50 8D 95 78 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 78 FF FF FF B9 02 00 00 00 5A E8 ?? ?? ?? ?? 33 C0 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D E8 92 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 98 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A4 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 61 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_28198_0 {
	meta:
		name = "TAzureBlobManagement.ContainerOf"
		size = 34
		refs = "000b TAzureBlobManagement.IsRootNode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B 83 B8 03 00 00 5E 5B C3 8B 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_28199_0 {
	meta:
		name = "TAzureBlobManagement.ContainerOfACL"
		size = 48
		refs = "0009 TTreeNode.GetParent 0012 TAzureBlobManagement.IsRootNode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B 83 B8 03 00 00 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 8B 40 0C 5E 5B C3 }
	condition:
		$1
}

rule function_28200_0 {
	meta:
		name = "TAzureBlobManagement.ContentOf"
		size = 122
		refs = "000a EmptyStr 0011 @UStrEqual 001e _Dn_TFileStream 0023 TFileStream.Create 0039 TArray<System.Byte> 003e @DynArraySetLength 0052 TStream.ReadBuffer 0059 TObject.Free"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 49 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 8B 10 FF 12 50 8B 16 8B C3 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 6A 00 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_28201_0 {
	meta:
		name = "TAzureBlobManagement.CopyBlobAction$535$ActRec.$0$Body$536$ActRec.$0$0$Body"
		size = 214
		refs = "001a TTreeNodes.BeginUpdate 0022 TAzureBlobManagement.CopyBlobAction$535$ActRec.$0$Body$536$ActRec.$0$0$Body 003f TObject.Free 005b TList<DSAzureBlob.TBBlob>.GetItem 007e TTreeNodes.AddChildObject 008e TAzureBlobManagement.PopulateWithLoadingNode 00b3 TTreeNodes.EndUpdate 00c4 TAzureBlobManagement.MarkAsAvailable 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 40 10 8B 40 44 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 50 0C 8B 42 1C 8B 40 08 85 C0 75 09 8B C2 E8 ?? ?? ?? ?? EB 51 8B F0 4E 85 F6 7C 4A 46 33 FF 8B 45 FC 8B 40 0C 8B 40 1C 8B D7 E8 ?? ?? ?? ?? 8B D8 53 8B 4B 08 8B 45 FC 8B 40 10 8B 50 40 8B 45 FC 8B 40 10 8B 40 44 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 10 8B 40 44 E8 ?? ?? ?? ?? 47 4E 75 B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 40 44 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 50 40 8B 40 44 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28202_0 {
	meta:
		name = "TAzureBlobManagement.CopyBlobAction$535$ActRec.$0$Body"
		size = 768
		refs = "0021 TAzureBlobManagement.CopyBlobAction$535$ActRec.$0$Body 002e _DV_TAzureBlobManagement.CopyBlobAction$535$ActRec.$0$Body$536$ActRec 0033 TObject.Create 0046 @IntfCopy 0069 TAzureBlobManagement.BlobService 00e9 TAzureBlobService.CopyBlob 00fa TAzureBlobManagement.NeedsLoading 016c TAzureBlobService.ListBlobs 0173 CoInitialize 0184 TAzureBlobManagement.ParseXML 018c _DV_TBBlobs 0191 TBBlobs.FromXML 019f TObject.Free 01b6 @HandleAnyException 01be SErrorGeneric 01c3 LoadResString 01d2 TAzureService.GetResponseText 01db @UStrCat 01e3 ShowErrorMessage 01fc TAzureBlobManagement.MarkAsAvailable 020c @DoneExcept 0229 TThread.Queue 0256 @UStrArrayClr 025e @IntfClear 026e @UStrClr 0274 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 D2 89 55 B8 89 55 B4 89 55 FC 89 55 F8 89 55 F4 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 89 43 10 8D 43 14 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 44 E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F0 8B 52 34 8B 52 08 52 8B 45 F0 8B 40 30 8B 50 08 52 8B 40 0C 50 8B 45 F0 8B 40 2C 50 8B 45 F0 8B 40 28 50 8B 45 F0 8B 40 24 50 8B 45 F0 8B 40 20 50 8B 45 F0 8B 40 1C 50 8B 45 F0 8B 40 18 50 8B 45 F0 8B 40 14 50 8B 45 F0 8B 40 10 50 6A 00 6A 00 8B 45 F0 8B 40 0C 50 8B 45 F0 8B 48 38 8B 45 F0 8B 50 3C 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 8B 50 40 8B 45 F0 8B 40 44 E8 ?? ?? ?? ?? 84 C0 74 0A 33 C0 89 43 0C E9 8C 00 00 00 6A 02 8B 45 F0 8B 40 38 89 45 D4 C6 45 D8 11 66 C7 45 DC 31 00 C6 45 E0 09 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 45 D4 50 6A 02 8D 45 FC 50 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 B8 ?? ?? ?? ?? 89 45 C4 C6 45 C8 11 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8D 4D BC 8B 45 F0 8B 50 3C 8B 45 EC E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8D 4D F8 8B 45 F0 8B 40 44 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 62 E9 ?? ?? ?? ?? 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B8 50 8D 55 B4 8B 45 EC E8 ?? ?? ?? ?? 8B 55 B4 58 E8 ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 8B 50 40 8B 45 F0 8B 40 44 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2E E8 ?? ?? ?? ?? 83 7B 0C 00 74 12 8B D3 85 D2 74 03 83 EA E8 33 C0 E8 ?? ?? ?? ?? EB 11 8B 45 F0 8B 50 40 8B 45 F0 8B 40 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 70 00 72 00 65 00 66 00 69 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6D 00 61 00 78 00 72 00 65 00 73 00 75 00 6C 00 74 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 00 00 }
	condition:
		$1
}

rule function_28203_0 {
	meta:
		name = "TAzureBlobManagement.CopyBlobAction"
		size = 868
		refs = "0017 TAzureBlobManagement.CopyBlobAction 0024 _DV_TAzureBlobManagement.CopyBlobAction$535$ActRec 0029 TObject.Create 003c @IntfCopy 004c TAzureBlobManagement.SelectedBlob 0058 TAzureBlobManagement.BlobOf 0065 TAzureBlobManagement.SelectedContainer 0071 TAzureBlobManagement.ContainerOf 0082 @UStrLAsg 0089 TBBlob.IsSnapshot 00ba Format 00c6 SCopyBlobCaption 00cb LoadResString 0105 TControl.SetText 0119 TAzCopyBlob.SetDestContainer 0142 TAzCopyBlob.GetDestContainer 014d @UStrAsg 0158 TAzureBlobManagement.FindContainer 016d SDestContainerNotFound 01a7 MessageDlgPosHelp 01bd TAzCopyBlob.GetDestBlob 01d9 TAzCopyBlob.GetDestModifiedSince 01f5 TAzCopyBlob.GetDestUnmodifiedSince 0211 TAzCopyBlob.GetDestMatch 022d TAzCopyBlob.GetDestNoneMatch 0249 TAzCopyBlob.GetSrcModifiedSince 0265 TAzCopyBlob.GetSrcUnmodifiedSince 0281 TAzCopyBlob.GetSrcMatch 029d TAzCopyBlob.GetSrcNoneMatch 02b6 TAzCopyBlob.RawMetadata 02bf TAzureBlobManagement.AsMetadataHeaders 02cd TAzureBlobManagement.MarkAsBusy 02dd _DV_TAnonymousThread 02e2 TAnonymousThread.Create 02fc @UStrArrayClr 0311 @UStrClr 0319 @IntfClear 0327 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 89 43 44 8B 90 C0 03 00 00 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 44 E8 ?? ?? ?? ?? 89 43 30 8B D6 8B 43 44 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 44 E8 ?? ?? ?? ?? 89 43 34 8D 45 FC 8B 73 30 8B 56 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 FC 50 8B 73 30 8B 46 08 89 45 E4 C6 45 E8 11 8B 46 0C 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B 43 34 8B 40 08 89 45 E4 C6 45 E8 11 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 E0 8B 43 44 8B 80 EC 03 00 00 E8 ?? ?? ?? ?? 8B 43 34 8B 50 08 8B 43 44 8B 80 EC 03 00 00 E8 ?? ?? ?? ?? 8B 43 44 8B 80 EC 03 00 00 8B 10 FF 92 20 01 00 00 48 0F 85 B1 01 00 00 8D 55 D8 8B 43 44 8B 80 EC 03 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8D 43 3C E8 ?? ?? ?? ?? 8B 53 3C 8B 43 44 E8 ?? ?? ?? ?? 8B F0 89 73 40 85 F6 75 4B 8D 45 F4 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 50 8B 43 3C 89 45 CC C6 45 D0 11 8D 55 CC 33 C9 58 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D F4 92 91 E8 ?? ?? ?? ?? E9 36 01 00 00 8D 55 C8 8B 43 44 8B 80 EC 03 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8D 43 38 E8 ?? ?? ?? ?? 8D 55 C4 8B 43 44 8B 80 EC 03 00 00 E8 ?? ?? ?? ?? 8B 55 C4 8D 43 1C E8 ?? ?? ?? ?? 8D 55 C0 8B 43 44 8B 80 EC 03 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8D 43 18 E8 ?? ?? ?? ?? 8D 55 BC 8B 43 44 8B 80 EC 03 00 00 E8 ?? ?? ?? ?? 8B 55 BC 8D 43 14 E8 ?? ?? ?? ?? 8D 55 B8 8B 43 44 8B 80 EC 03 00 00 E8 ?? ?? ?? ?? 8B 55 B8 8D 43 10 E8 ?? ?? ?? ?? 8D 55 B4 8B 43 44 8B 80 EC 03 00 00 E8 ?? ?? ?? ?? 8B 55 B4 8D 43 2C E8 ?? ?? ?? ?? 8D 55 B0 8B 43 44 8B 80 EC 03 00 00 E8 ?? ?? ?? ?? 8B 55 B0 8D 43 28 E8 ?? ?? ?? ?? 8D 55 AC 8B 43 44 8B 80 EC 03 00 00 E8 ?? ?? ?? ?? 8B 55 AC 8D 43 24 E8 ?? ?? ?? ?? 8D 55 A8 8B 43 44 8B 80 EC 03 00 00 E8 ?? ?? ?? ?? 8B 55 A8 8D 43 20 E8 ?? ?? ?? ?? 8B 73 44 8B 86 EC 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 89 43 0C 8B 53 40 8B 43 44 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 25 00 73 00 3A 00 20 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 3D 00 25 00 73 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_28204_0 {
	meta:
		name = "TAzureBlobManagement.Create"
		size = 399
		refs = "000a @ClassCreate 0017 TCustomTreeView.Create 0020 _Dn_TAzCreateContainerDlg 0025 TCustomForm.Create 0034 _Dn_TAzBlockBlob 0048 _Dn_TAzPageBlob 005c _Dn_TAzPage 0070 _Dn_TAzBlock 0084 _Dn_TAzMetadata 0098 _Dn_TAzBlockProps 00ac _Dn_TAzPageProps 00c0 _Dn_TAzACL 00d4 _Dn_TAzSnapshotBlob 00e8 _Dn_TAzCopyBlob 00fc _Dn_TAzPutBlockList 0110 TCustomTreeView.SetReadOnly 0117 TAzureBlobManagement.CreatePopuMenu 0120 TControl.SetPopupMenu 012e TAzureBlobManagement.CreateImageList 0137 TCustomTreeView.SetImages 0147 TAzureBlobManagement.ImageIndexEvent 0157 TAzureBlobManagement.BlobNodeFactory 0167 TAzureBlobManagement.NodeExpandedAction 016c _Dn_TAzureService 0171 TAzureService.SetUp 017c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 C4 03 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 C8 03 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 CC 03 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 D0 03 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 D4 03 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 D8 03 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 DC 03 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 E0 03 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 E4 03 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 E8 03 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 EC 03 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 F0 03 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? C6 86 B8 02 00 00 01 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 89 B6 8C 03 00 00 C7 86 88 03 00 00 ?? ?? ?? ?? 89 B6 A4 03 00 00 C7 86 A0 03 00 00 ?? ?? ?? ?? 89 B6 7C 03 00 00 C7 86 78 03 00 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28205_0 {
	meta:
		name = "TAzureBlobManagement.CreateBlockBlobAction$539$ActRec.$0$Body$540$ActRec.$0$0$Body"
		size = 214
		refs = "001a TTreeNodes.BeginUpdate 0022 TAzureBlobManagement.CreateBlockBlobAction$539$ActRec.$0$Body$540$ActRec.$0$0$Body 003f TObject.Free 005b TList<DSAzureBlob.TBBlob>.GetItem 007e TTreeNodes.AddChildObject 008e TAzureBlobManagement.PopulateWithLoadingNode 00b3 TTreeNodes.EndUpdate 00c4 TAzureBlobManagement.MarkAsAvailable 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 40 10 8B 40 30 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 50 0C 8B 42 1C 8B 40 08 85 C0 75 09 8B C2 E8 ?? ?? ?? ?? EB 51 8B F0 4E 85 F6 7C 4A 46 33 FF 8B 45 FC 8B 40 0C 8B 40 1C 8B D7 E8 ?? ?? ?? ?? 8B D8 53 8B 4B 08 8B 45 FC 8B 40 10 8B 50 2C 8B 45 FC 8B 40 10 8B 40 30 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 10 8B 40 30 E8 ?? ?? ?? ?? 47 4E 75 B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 40 30 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 50 2C 8B 40 30 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28206_0 {
	meta:
		name = "TAzureBlobManagement.CreateBlockBlobAction$539$ActRec.$0$Body"
		size = 760
		refs = "0027 TAzureBlobManagement.CreateBlockBlobAction$539$ActRec.$0$Body 0034 _DV_TAzureBlobManagement.CreateBlockBlobAction$539$ActRec.$0$Body$540$ActRec 0039 TObject.Create 004c @IntfCopy 006f TAzureBlobManagement.BlobService 0094 TAzureBlobManagement.ContentOf 009c @DynArrayLength 00ab SLongTimeOperation 00b0 LoadResString 00b8 ShowInformationMessage 00c1 EmptyStr 0100 TAzureBlobService.PutBlockBlob 0167 TAzureBlobService.ListBlobs 016e CoInitialize 017f TAzureBlobManagement.ParseXML 0187 _DV_TBBlobs 018c TBBlobs.FromXML 019a TObject.Free 01b1 @HandleAnyException 01b9 SErrorGeneric 01cd TAzureService.GetResponseText 01d6 @UStrCat 01de ShowErrorMessage 0202 TAzureBlobManagement.MarkAsAvailable 0207 @DoneExcept 021e TThread.Queue 0238 @UStrArrayClr 0240 @UStrClr 0248 @IntfClear 0251 TArray<System.Byte> 0256 @DynArrayClear 026c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 D2 89 55 B0 89 55 AC 89 55 E4 89 55 FC 89 55 F8 89 55 F4 89 55 F0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F0 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 EC 89 43 10 8D 43 14 8B 55 EC 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 30 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B 45 EC 8B 50 28 8B 45 EC 8B 40 30 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 3D 00 40 00 00 7E 15 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 F4 50 A1 ?? ?? ?? ?? 8B 00 50 8B 45 EC 8B 40 1C 50 8B 45 EC 8B 40 18 50 8B 45 EC 8B 40 14 50 8B 45 EC 8B 40 10 50 8B 45 EC 8B 40 0C 50 6A 00 8B 45 EC 8B 48 20 8B 45 EC 8B 40 24 8B 50 08 8B 45 E8 E8 ?? ?? ?? ?? 6A 02 8B 45 EC 8B 40 20 89 45 CC C6 45 D0 11 66 C7 45 D4 31 00 C6 45 D8 09 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8D 45 CC 50 6A 02 8D 45 FC 50 B8 ?? ?? ?? ?? 89 45 B4 C6 45 B8 11 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 B8 ?? ?? ?? ?? 89 45 C4 C6 45 C8 11 8D 4D B4 8B 45 EC 8B 40 24 8B 50 08 8B 45 E8 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8D 4D F8 8B 45 EC 8B 40 30 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 8B 45 EC 8B 40 1C E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 62 E9 ?? ?? ?? ?? 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 50 8D 55 AC 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 AC 58 E8 ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 1C E8 ?? ?? ?? ?? 8B 45 EC 8B 50 2C 8B 45 EC 8B 40 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 E8 ?? ?? ?? ?? 8B D3 85 D2 74 03 83 EA E8 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 70 00 72 00 65 00 66 00 69 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6D 00 61 00 78 00 72 00 65 00 73 00 75 00 6C 00 74 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 00 00 }
	condition:
		$1
}

rule function_28207_0 {
	meta:
		name = "TAzureBlobManagement.CreateBlockBlobAction"
		size = 548
		refs = "0018 TAzureBlobManagement.CreateBlockBlobAction 0025 _DV_TAzureBlobManagement.CreateBlockBlobAction$539$ActRec 002a TObject.Create 003d @IntfCopy 004f TAzureBlobManagement.SelectedContainer 0066 TAzureBlobManagement.ContainerOf 0075 SCreateBlockBlobCaption 007a LoadResString 0096 Format 00a7 TControl.SetText 00b5 TAzBlockBlob.RawMetadata 00ca TAzBlockBlob.SetBlobName 00d2 SOKCreateCaption 00e8 TAzBlockBlob.SetOKCaption 0111 TAzBlockBlob.GetBlobName 011c @UStrAsg 0133 TAzureBlobManagement.AsMetadataHeaders 0147 TAzBlockBlob.GetContentLocation 0163 TAzBlockBlob.GetContentType 017f TAzBlockBlob.GetContentEncoding 019b TAzBlockBlob.GetContentLanguage 01b7 TAzBlockBlob.GetContentMD5 01cd TAzureBlobManagement.MarkAsBusy 01dd _DV_TAnonymousThread 01e2 TAnonymousThread.Create 01fc @UStrArrayClr 0211 @IntfClear 0217 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 30 8B 96 C0 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 2C 85 FF 0F 84 86 01 00 00 8B D7 8B 43 30 E8 ?? ?? ?? ?? 89 43 24 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 24 8B 40 08 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 30 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8B 43 30 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B 43 30 8B 80 C8 03 00 00 33 D2 E8 ?? ?? ?? ?? 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 43 30 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8B 43 30 8B 80 C8 03 00 00 8B 10 FF 92 20 01 00 00 48 0F 85 E2 00 00 00 8D 55 E4 8B 43 30 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8D 43 20 E8 ?? ?? ?? ?? 8B 73 30 8B 86 C8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 89 43 1C 8D 55 E0 8B 43 30 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8D 43 28 E8 ?? ?? ?? ?? 8D 55 DC 8B 43 30 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8D 43 18 E8 ?? ?? ?? ?? 8D 55 D8 8B 43 30 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8D 43 14 E8 ?? ?? ?? ?? 8D 55 D4 8B 43 30 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8D 43 10 E8 ?? ?? ?? ?? 8D 55 D0 8B 43 30 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8D 43 0C E8 ?? ?? ?? ?? 8B 53 2C 8B 43 30 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28208_0 {
	meta:
		name = "TAzureBlobManagement.CreateContainerAction$542$ActRec.$0$Body$543$ActRec.$0$0$Body"
		size = 338
		refs = "001c TTreeNodes.BeginUpdate 0024 TAzureBlobManagement.CreateContainerAction$542$ActRec.$0$Body$543$ActRec.$0$0$Body 0058 TList<DSAzureBlob.TBContainer>.GetItem 0081 TTreeNodes.AddChildObject 008a TAzureBlobManagement.PopulateWithLoadingNode 0093 TAzureBlobManagement.FirstRootBlob 00dc TTreeNodes.InsertObject 010a TObject.Free 012b TAzureBlobManagement.MarkAsAvailable 013f TTreeNodes.EndUpdate 0145 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC 8B 40 10 8B 40 18 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 0C 8B 40 14 8B 78 08 4F 85 FF 0F 8C B7 00 00 00 47 C7 45 F8 00 00 00 00 8B 45 FC 8B 40 0C 8B 40 14 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 10 8B 70 18 83 BE B8 03 00 00 00 75 20 53 8B 4B 08 8B 96 BC 03 00 00 8B 86 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 60 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 75 29 53 8B 4B 08 8B 45 FC 8B 40 10 8B 70 18 8B 96 BC 03 00 00 8B 86 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 2A 53 8B 4B 08 8B 45 FC 8B 40 10 8B 40 18 8B 80 E0 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? FF 45 F8 4F 0F 85 51 FF FF FF 8B 45 FC 8B 40 0C 8B 50 14 83 7A 08 00 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 40 18 8B 90 BC 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 40 18 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28209_0 {
	meta:
		name = "TAzureBlobManagement.CreateContainerAction$542$ActRec.$0$Body"
		size = 756
		refs = "0027 TAzureBlobManagement.CreateContainerAction$542$ActRec.$0$Body 0034 _DV_TAzureBlobManagement.CreateContainerAction$542$ActRec.$0$Body$543$ActRec 0039 TObject.Create 004c @IntfCopy 0079 CoInitialize 0084 TAzureBlobManagement.BlobService 00b0 TAzureBlobService.CreateContainer 00c0 SContainerCreateFailure 00c5 LoadResString 00f1 Format 00fb _Dn_Exception 0100 Exception.Create 0105 @RaiseExcept 0166 TAzureBlobService.ListContainers 016e TObject.Free 017d @HandleAnyException 0185 SErrorGeneric 0199 TAzureService.GetResponseText 01a2 @UStrCat 01aa ShowErrorMessage 01c3 TAzureBlobManagement.MarkAsAvailable 01c8 @DoneExcept 01cd @TryFinallyExit 01e5 TAzureBlobManagement.ParseXML 01ed _DV_TBContainers 01f2 TBContainers.FromXML 0205 TThread.Queue 0223 @HandleFinally 023f @UStrArrayClr 0254 @IntfClear 0264 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 D2 89 55 A0 89 55 9C 89 55 E8 89 55 E4 89 55 FC 89 55 F8 89 55 F4 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 89 43 10 8D 43 14 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 18 E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 8B 40 0C 50 8B 45 F0 8B 48 10 8B 45 F0 8B 50 14 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 51 8D 45 E8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 F0 8B 40 14 89 45 D4 C6 45 D8 11 8B 45 EC 8B 40 10 89 45 DC C6 45 E0 00 8D 55 D4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 40 14 89 45 BC C6 45 C0 11 66 C7 45 C4 31 00 C6 45 C8 09 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8D 45 BC 50 6A 02 8D 45 FC 50 B8 ?? ?? ?? ?? 89 45 A4 C6 45 A8 11 B8 ?? ?? ?? ?? 89 45 AC C6 45 B0 11 B8 ?? ?? ?? ?? 89 45 B4 C6 45 B8 11 8D 55 A4 B9 02 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 5C E9 ?? ?? ?? ?? 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A0 50 8D 55 9C 8B 45 EC E8 ?? ?? ?? ?? 8B 55 9C 58 E8 ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 8B 40 18 8B 90 BC 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 56 E8 ?? ?? ?? ?? 8D 4D F8 8B 45 F0 8B 40 18 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 8B D3 85 D2 74 03 83 EA E8 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 40 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 70 00 72 00 65 00 66 00 69 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6D 00 61 00 78 00 72 00 65 00 73 00 75 00 6C 00 74 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 00 00 }
	condition:
		$1
}

rule function_28210_0 {
	meta:
		name = "TAzureBlobManagement.CreateContainerAction"
		size = 314
		refs = "0012 TAzureBlobManagement.CreateContainerAction 001f _DV_TAzureBlobManagement.CreateContainerAction$542$ActRec 0024 TObject.Create 0037 @IntfCopy 0044 SCreateNewContainerTitle 0049 LoadResString 0057 TAzCreateContainerDlg.SetTitle 0065 TAzCreateContainerDlg.RawMetadata 007c TAzCreateContainerDlg.SetContainerName 00a7 TAzureBlobManagement.AsMetadataHeaders 00bb TAzCreateContainerDlg.GetPublicDataAccess 00c6 @UStrAsg 00d7 TAzCreateContainerDlg.GetContainerName 00f0 TAzureBlobManagement.MarkAsBusy 0100 _DV_TAnonymousThread 0105 TAnonymousThread.Create 011f @UStrArrayClr 0127 @IntfClear 012d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B FE 89 7B 18 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 87 C4 03 00 00 E8 ?? ?? ?? ?? 8B 43 18 8B 80 C4 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B 43 18 8B 80 C4 03 00 00 B1 01 33 D2 E8 ?? ?? ?? ?? 8B 43 18 8B 80 C4 03 00 00 8B 10 FF 92 20 01 00 00 48 75 75 8B 73 18 8B 86 C4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 89 43 10 8D 55 F4 8B 43 18 8B 80 C4 03 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 0C E8 ?? ?? ?? ?? 8D 55 F0 8B 43 18 8B 80 C4 03 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 14 E8 ?? ?? ?? ?? 8B 43 18 8B 90 BC 03 00 00 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28211_0 {
	meta:
		name = "TAzureBlobManagement.CreateImageList"
		size = 720
		refs = "0007 _Dn_TCustomImageList 000c TCustomImageList.Create 0013 TAzureBlobManagement.CreateImageList 0018 GetAzureImage 0025 TCustomImageList.Add 002c TObject.Free"
	strings:
		$1 = { 53 56 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 4D 00 47 00 5F 00 41 00 5A 00 55 00 52 00 45 00 50 00 41 00 47 00 45 00 52 00 45 00 47 00 49 00 4F 00 4E 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 4D 00 47 00 5F 00 41 00 5A 00 55 00 52 00 45 00 42 00 4C 00 4F 00 43 00 4B 00 4C 00 49 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 4D 00 47 00 5F 00 41 00 5A 00 55 00 52 00 45 00 43 00 4F 00 4E 00 54 00 41 00 49 00 4E 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 4D 00 47 00 5F 00 41 00 5A 00 55 00 52 00 45 00 42 00 4C 00 4F 00 43 00 4B 00 42 00 4C 00 4F 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 4D 00 47 00 5F 00 41 00 5A 00 55 00 52 00 45 00 50 00 41 00 47 00 45 00 42 00 4C 00 4F 00 42 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 4D 00 47 00 5F 00 41 00 5A 00 55 00 52 00 45 00 42 00 4C 00 4F 00 42 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 4D 00 47 00 5F 00 41 00 5A 00 55 00 52 00 45 00 41 00 43 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 4D 00 47 00 5F 00 41 00 5A 00 55 00 52 00 45 00 50 00 52 00 4F 00 50 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 4D 00 47 00 5F 00 41 00 5A 00 55 00 52 00 45 00 4D 00 45 00 54 00 41 00 00 00 }
	condition:
		$1
}

rule function_28212_0 {
	meta:
		name = "TAzureBlobManagement.CreatePageBlobAction$546$ActRec.$0$Body$547$ActRec.$0$0$Body"
		size = 276
		refs = "0015 TAzureBlobManagement.CreatePageBlobAction$546$ActRec.$0$Body$547$ActRec.$0$0$Body 002f TTreeNodes.BeginUpdate 0054 TObject.Free 0070 TList<DSAzureBlob.TBBlob>.GetItem 007d @UStrLAsg 009e TTreeNodes.AddChildObject 00ae TAzureBlobManagement.PopulateWithLoadingNode 00d3 TTreeNodes.EndUpdate 00e4 TAzureBlobManagement.MarkAsAvailable 00ea @HandleFinally 0101 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 10 8B 40 3C 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F8 8B 50 0C 8B 42 1C 8B 40 08 85 C0 75 09 8B C2 E8 ?? ?? ?? ?? EB 5C 8B F0 4E 85 F6 7C 55 46 33 FF 8B 45 F8 8B 40 0C 8B 40 1C 8B D7 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 53 8B 45 F8 8B 40 10 8B 50 38 8B 45 F8 8B 40 10 8B 40 3C 8B 80 E0 02 00 00 8B 4D FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 10 8B 40 3C E8 ?? ?? ?? ?? 47 4E 75 AE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 10 8B 40 3C 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 10 8B 50 38 8B 40 3C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28213_0 {
	meta:
		name = "TAzureBlobManagement.CreatePageBlobAction$546$ActRec.$0$Body"
		size = 712
		refs = "0021 TAzureBlobManagement.CreatePageBlobAction$546$ActRec.$0$Body 002e _DV_TAzureBlobManagement.CreatePageBlobAction$546$ActRec.$0$Body$547$ActRec 0033 TObject.Create 0048 @IntfCopy 0079 TAzureBlobManagement.BlobService 00d8 TAzureBlobService.PutPageBlob 013f TAzureBlobService.ListBlobs 0146 CoInitialize 0157 TAzureBlobManagement.ParseXML 015f _DV_TBBlobs 0164 TBBlobs.FromXML 0175 TObject.Free 018c @HandleAnyException 0194 SErrorGeneric 0199 LoadResString 01a8 TAzureService.GetResponseText 01b1 @UStrCat 01b9 ShowErrorMessage 01e8 TAzureBlobManagement.MarkAsAvailable 01ed @DoneExcept 0205 TThread.Queue 021f @UStrArrayClr 0227 @IntfClear 0237 @UStrClr 023d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 D2 89 55 B4 89 55 B0 89 55 FC 89 55 F8 89 55 F4 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8D 45 F4 8B 55 E8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 F0 89 50 10 8B 45 E8 83 C0 14 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 50 0C 8B 45 F0 8B 40 3C E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 FF 70 2C FF 70 28 8B 45 F0 FF 70 24 FF 70 20 8B 45 F0 8B 40 1C 50 8B 45 F0 8B 40 18 50 8B 45 F0 8B 40 14 50 8B 45 F0 8B 40 10 50 8B 45 F0 8B 40 0C 50 6A 00 8B 45 F0 8B 48 30 8B 45 F0 8B 40 34 8B 50 08 8B 45 EC E8 ?? ?? ?? ?? 6A 02 8B 45 F0 8B 40 30 89 45 D0 C6 45 D4 11 66 C7 45 D8 31 00 C6 45 DC 09 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 45 D0 50 6A 02 8D 45 FC 50 B8 ?? ?? ?? ?? 89 45 B8 C6 45 BC 11 B8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 8D 4D B8 8B 45 F0 8B 40 34 8B 50 08 8B 45 EC E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8D 4D F8 8B 45 F0 8B 40 3C 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 89 42 0C 8B 45 F0 8B 40 1C E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 6D E9 ?? ?? ?? ?? 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B4 50 8D 55 B0 8B 45 EC E8 ?? ?? ?? ?? 8B 55 B0 58 E8 ?? ?? ?? ?? 8B 45 B4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 8B 40 1C E8 ?? ?? ?? ?? 8B 45 E8 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F0 8B 50 38 8B 45 F0 8B 40 3C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 E8 ?? ?? ?? ?? 8B 55 E8 85 D2 74 03 83 EA E8 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 70 00 72 00 65 00 66 00 69 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6D 00 61 00 78 00 72 00 65 00 73 00 75 00 6C 00 74 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 00 00 }
	condition:
		$1
}

rule function_28214_0 {
	meta:
		name = "TAzureBlobManagement.CreatePageBlobAction"
		size = 514
		refs = "0018 TAzureBlobManagement.CreatePageBlobAction 0025 _DV_TAzureBlobManagement.CreatePageBlobAction$546$ActRec 002a TObject.Create 003d @IntfCopy 004f TAzureBlobManagement.SelectedContainer 0066 TAzureBlobManagement.ContainerOf 0075 SCreatePageBlobCaption 007a LoadResString 0096 Format 00a7 TControl.SetText 00b5 TAzPageBlob.RawMetadata 00e3 TAzPageBlob.GetBlobName 00ee @UStrAsg 00fc TAzPageBlob.GetContentLength 0110 TAzPageBlob.GetSequenceNumber 0127 TAzPageBlob.GetContentType 0143 TAzPageBlob.GetContentEncoding 015f TAzPageBlob.GetContentLanguage 017b TAzPageBlob.GetContentMD5 0194 TAzBlockBlob.RawMetadata 019d TAzureBlobManagement.AsMetadataHeaders 01ab TAzureBlobManagement.MarkAsBusy 01bb _DV_TAnonymousThread 01c0 TAnonymousThread.Create 01da @UStrArrayClr 01ef @IntfClear 01f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 3C 8B 96 C0 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 38 85 FF 0F 84 64 01 00 00 8B D7 8B 43 3C E8 ?? ?? ?? ?? 89 43 34 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 34 8B 40 08 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 3C 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? 8B 43 3C 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B 43 3C 8B 80 CC 03 00 00 8B 10 FF 92 20 01 00 00 48 0F 85 EE 00 00 00 8D 55 E8 8B 43 3C 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 43 30 E8 ?? ?? ?? ?? 8B 43 3C 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? 89 43 28 89 53 2C 8B 43 3C 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? 89 43 20 89 53 24 8D 55 E4 8B 43 3C 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8D 43 18 E8 ?? ?? ?? ?? 8D 55 E0 8B 43 3C 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8D 43 14 E8 ?? ?? ?? ?? 8D 55 DC 8B 43 3C 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8D 43 10 E8 ?? ?? ?? ?? 8D 55 D8 8B 43 3C 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8D 43 0C E8 ?? ?? ?? ?? 8B 73 3C 8B 86 C8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 89 43 1C 8B 53 38 8B 43 3C E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28215_0 {
	meta:
		name = "TAzureBlobManagement.CreatePopuMenu"
		size = 3624
		refs = "001a TAzureBlobManagement.CreatePopuMenu 002a _Dn_TPopupMenu 002f TPopupMenu.Create 003e TAzureBlobManagement.UpdatePopupMenu 0049 @CallDynaInst 0058 IntToStr 0068 @UStrCat3 007a SCreateRootContainer 007f LoadResString 0089 TMenuItem.SetCaption 009c TAzureBlobManagement.CreateRootContainerAction 00a6 TMenuItem.Add 00e2 SCreateContainer 0104 TAzureBlobManagement.CreateContainerAction 014a SCreateBlockBlob 016c TAzureBlobManagement.CreateBlockBlobAction 01b2 SCreatePageBlob 01d4 TAzureBlobManagement.CreatePageBlobAction 021a SUpdateBlockBlob 023c TAzureBlobManagement.UpdateBlockBlobAction 0282 SCopyBlob 02a4 TAzureBlobManagement.CopyBlobAction 02ea SSnapshotItem 030c TAzureBlobManagement.CreateSnapshotAction 0352 SLeaseItem 03a7 SLeaseAcquire 03c9 TAzureBlobManagement.AcquireLeaseAction 040e SCopyLeaseId 0430 TAzureBlobManagement.CopyLeaseAction 047e SLeaseRenew 04a3 TAzureBlobManagement.RenewLeaseAction 04f7 SLeaseRelease 051c TAzureBlobManagement.ReleaseLeaseAction 0570 SLeaseBreak 0595 TAzureBlobManagement.BreakLeaseAction 05e9 SDownloadItem 060e TAzureBlobManagement.DownloadAction 06b9 SProperties 06de TAzureBlobManagement.EditBlockPropertiesAction 0758 TAzureBlobManagement.EditPagePropertiesAction 07ad SMetadataItem 07d2 TAzureBlobManagement.EditBlobMetadataAction 0827 SACLItem 084c TAzureBlobManagement.EditACLAction 08c6 TAzureBlobManagement.EditContainerMetadataAction 091b SBlobPageItem 0940 TAzureBlobManagement.ManagePageAction 0995 SBlobBlockItem 09ba TAzureBlobManagement.ManageBlockAction 0a0f SCommitBlockList 0a34 TAzureBlobManagement.CommitBlockListAction 0adf SDeleteRootContainer 0b04 TAzureBlobManagement.DeleteRootContainerAction 0b59 SDeleteContainer 0b7e TAzureBlobManagement.DeleteContainerAction 0bd3 SDeleteBlob 0bf8 TAzureBlobManagement.DeleteBlobAction 0ca3 SRefresh 0cc8 TAzureBlobManagement.RefreshAction 0d1d SActivate 0d42 TAzureBlobManagement.ActivateAction 0d97 SIsBusyItem 0dbc TAzureBlobManagement.IsBusyAction 0de3 @UStrArrayClr 0de9 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 2D 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 FC 89 47 7C C7 47 78 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 55 F4 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 24 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 55 E8 B8 07 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C3 8B 08 FF 51 24 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 55 DC B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 4D DC 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C3 8B 08 FF 51 24 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 55 D0 B8 09 00 00 00 E8 ?? ?? ?? ?? 8B 4D D0 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B C3 8B 08 FF 51 24 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 55 C4 B8 1F 00 00 00 E8 ?? ?? ?? ?? 8B 4D C4 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B C3 8B 08 FF 51 24 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 55 B8 B8 16 00 00 00 E8 ?? ?? ?? ?? 8B 4D B8 8D 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B C3 8B 08 FF 51 24 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 55 AC B8 15 00 00 00 E8 ?? ?? ?? ?? 8B 4D AC 8D 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8B C3 8B 08 FF 51 24 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 55 A0 B8 19 00 00 00 E8 ?? ?? ?? ?? 8B 4D A0 8D 45 A4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8B C3 8B 08 FF 51 24 8D 55 9C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B C3 E8 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B F0 8D 55 94 B8 1A 00 00 00 E8 ?? ?? ?? ?? 8B 4D 94 8D 45 98 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 98 8B C6 8B 08 FF 51 24 8D 55 90 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 90 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 89 86 94 00 00 00 C7 86 90 00 00 00 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B F0 8D 55 88 B8 1B 00 00 00 E8 ?? ?? ?? ?? 8B 4D 88 8D 45 8C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 8C 8B C6 8B 08 FF 51 24 8D 55 84 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 84 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 89 86 94 00 00 00 C7 86 90 00 00 00 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B F0 8D 95 7C FF FF FF B8 1C 00 00 00 E8 ?? ?? ?? ?? 8B 8D 7C FF FF FF 8D 45 80 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 80 8B C6 8B 08 FF 51 24 8D 95 78 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 89 86 94 00 00 00 C7 86 90 00 00 00 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B F0 8D 95 70 FF FF FF B8 1D 00 00 00 E8 ?? ?? ?? ?? 8B 8D 70 FF FF FF 8D 85 74 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8B C6 8B 08 FF 51 24 8D 95 6C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 89 86 94 00 00 00 C7 86 90 00 00 00 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B F0 8D 95 64 FF FF FF B8 1E 00 00 00 E8 ?? ?? ?? ?? 8B 8D 64 FF FF FF 8D 85 68 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8B C6 8B 08 FF 51 24 8D 95 60 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 89 86 94 00 00 00 C7 86 90 00 00 00 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 95 58 FF FF FF B8 17 00 00 00 E8 ?? ?? ?? ?? 8B 8D 58 FF FF FF 8D 85 5C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 5C FF FF FF 8B C3 8B 08 FF 51 24 8D 95 54 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 54 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 95 4C FF FF FF B8 0C 00 00 00 E8 ?? ?? ?? ?? 8B 8D 4C FF FF FF 8D 85 50 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8B C3 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 95 44 FF FF FF B8 12 00 00 00 E8 ?? ?? ?? ?? 8B 8D 44 FF FF FF 8D 85 48 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 48 FF FF FF 8B C3 8B 08 FF 51 24 8D 95 40 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 40 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 95 38 FF FF FF B8 13 00 00 00 E8 ?? ?? ?? ?? 8B 8D 38 FF FF FF 8D 85 3C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 3C FF FF FF 8B C3 8B 08 FF 51 24 8D 95 34 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 34 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 95 2C FF FF FF B8 10 00 00 00 E8 ?? ?? ?? ?? 8B 8D 2C FF FF FF 8D 85 30 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 30 FF FF FF 8B C3 8B 08 FF 51 24 8D 95 28 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 28 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 95 20 FF FF FF B8 14 00 00 00 E8 ?? ?? ?? ?? 8B 8D 20 FF FF FF 8D 85 24 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 24 FF FF FF 8B C3 8B 08 FF 51 24 8D 95 1C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 1C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 95 14 FF FF FF B8 11 00 00 00 E8 ?? ?? ?? ?? 8B 8D 14 FF FF FF 8D 85 18 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 18 FF FF FF 8B C3 8B 08 FF 51 24 8D 95 10 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 10 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 95 08 FF FF FF B8 0A 00 00 00 E8 ?? ?? ?? ?? 8B 8D 08 FF FF FF 8D 85 0C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 0C FF FF FF 8B C3 8B 08 FF 51 24 8D 95 04 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 04 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 95 FC FE FF FF B8 0B 00 00 00 E8 ?? ?? ?? ?? 8B 8D FC FE FF FF 8D 85 00 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 00 FF FF FF 8B C3 8B 08 FF 51 24 8D 95 F8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 95 F0 FE FF FF B8 18 00 00 00 E8 ?? ?? ?? ?? 8B 8D F0 FE FF FF 8D 85 F4 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 8B C3 8B 08 FF 51 24 8D 95 EC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 EC FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 95 E4 FE FF FF B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 8D E4 FE FF FF 8D 85 E8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 E8 FE FF FF 8B C3 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 95 DC FE FF FF B8 05 00 00 00 E8 ?? ?? ?? ?? 8B 8D DC FE FF FF 8D 85 E0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 E0 FE FF FF 8B C3 8B 08 FF 51 24 8D 95 D8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 D8 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 95 D0 FE FF FF B8 0D 00 00 00 E8 ?? ?? ?? ?? 8B 8D D0 FE FF FF 8D 85 D4 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 D4 FE FF FF 8B C3 8B 08 FF 51 24 8D 95 CC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 CC FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 95 C4 FE FF FF B8 0E 00 00 00 E8 ?? ?? ?? ?? 8B 8D C4 FE FF FF 8D 85 C8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 C8 FE FF FF 8B C3 8B 08 FF 51 24 8D 95 C0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 C0 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 95 B8 FE FF FF B8 06 00 00 00 E8 ?? ?? ?? ?? 8B 8D B8 FE FF FF 8D 85 BC FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 BC FE FF FF 8B C3 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 95 B0 FE FF FF B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 8D B0 FE FF FF 8D 85 B4 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 B4 FE FF FF 8B C3 8B 08 FF 51 24 8D 95 AC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 AC FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 95 A4 FE FF FF B8 04 00 00 00 E8 ?? ?? ?? ?? 8B 8D A4 FE FF FF 8D 85 A8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 A8 FE FF FF 8B C3 8B 08 FF 51 24 8D 95 A0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 A0 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8D 95 98 FE FF FF B8 0F 00 00 00 E8 ?? ?? ?? ?? 8B 8D 98 FE FF FF 8D 85 9C FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 9C FE FF FF 8B C3 8B 08 FF 51 24 8D 95 94 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 94 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 94 FE FF FF BA 5A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C7 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 49 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_28216_0 {
	meta:
		name = "TAzureBlobManagement.CreateRootContainerAction$550$ActRec.$0$Body"
		size = 412
		refs = "001e TAzureBlobManagement.CreateRootContainerAction$550$ActRec.$0$Body 003d TAzureBlobManagement.BlobService 0068 TAzureBlobService.CreateContainer 0078 SRootContainerCreateFailure 007d LoadResString 0097 Format 00a1 _Dn_Exception 00a6 Exception.Create 00ab @RaiseExcept 00b3 TObject.Free 00c2 @HandleAnyException 00ca SErrorGeneric 00de TAzureService.GetResponseText 00e7 @UStrCat 00ef ShowErrorMessage 00fc @DoneExcept 0101 @TryFinallyExit 0119 TAzureBlobManagement.RefreshLoadingNode 0142 TAzureBlobManagement.MarkAsAvailable 0148 @HandleFinally 0164 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 E4 89 55 E0 89 55 F4 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C 50 8B 45 FC 8B 48 10 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 3F 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 8B 52 10 89 55 E8 C6 45 EC 00 8D 55 E8 33 C9 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 4B E9 ?? ?? ?? ?? 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 50 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E0 58 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 47 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 90 BC 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 90 BC 03 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 24 00 72 00 6F 00 6F 00 74 00 00 00 }
	condition:
		$1
}

rule function_28217_0 {
	meta:
		name = "TAzureBlobManagement.CreateRootContainerAction"
		size = 312
		refs = "0011 TAzureBlobManagement.CreateRootContainerAction 001e _DV_TAzureBlobManagement.CreateRootContainerAction$550$ActRec 0023 TObject.Create 0036 @IntfCopy 004d TAzCreateContainerDlg.SetContainerName 0055 SCreateRootContainerTitle 005a LoadResString 006b TAzCreateContainerDlg.SetTitle 0079 TAzCreateContainerDlg.RawMetadata 00a9 TAzureBlobManagement.AsMetadataHeaders 00bd TAzCreateContainerDlg.GetPublicDataAccess 00c8 @UStrAsg 00d6 TAzureBlobManagement.MarkAsBusy 00e6 _DV_TAnonymousThread 00eb TAnonymousThread.Create 0105 @UStrArrayClr 010d @IntfClear 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 89 43 14 8B 80 C4 03 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 43 14 8B 80 C4 03 00 00 E8 ?? ?? ?? ?? 8B 43 14 8B 80 C4 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B 43 14 8B 80 C4 03 00 00 8B 10 FF 92 20 01 00 00 48 75 59 8B 73 14 8B 86 C4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 89 43 10 8D 55 F4 8B 43 14 8B 80 C4 03 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 0C E8 ?? ?? ?? ?? 8B 43 14 8B 90 BC 03 00 00 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 24 00 72 00 6F 00 6F 00 74 00 00 00 }
	condition:
		$1
}

rule function_28218_0 {
	meta:
		name = "TAzureBlobManagement.CreateSnapshotAction$552$ActRec.$0$Body$553$ActRec.$0$0$Body"
		size = 400
		refs = "0015 TAzureBlobManagement.CreateSnapshotAction$552$ActRec.$0$Body$553$ActRec.$0$0$Body 002f TTreeNodes.BeginUpdate 0054 TObject.Free 0077 TList<DSAzureBlob.TBBlob>.GetItem 0080 TBBlob.IsSnapshot 0092 @UStrEqual 00bf Format 00df TTreeNodes.AddChildObject 00ef TAzureBlobManagement.PopulateWithLoadingNode 0121 TTreeNodes.EndUpdate 0132 TAzureBlobManagement.MarkAsAvailable 0138 @HandleFinally 014f @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 8B 40 2C 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 50 10 8B 42 1C 8B 40 08 85 C0 75 0C 8B C2 E8 ?? ?? ?? ?? E9 A7 00 00 00 8B F0 4E 85 F6 0F 8C 9C 00 00 00 46 33 FF 8B 45 FC 8B 40 10 8B 40 1C 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6D 8B 43 0C 8B 55 FC 8B 52 0C E8 ?? ?? ?? ?? 75 5D 53 8D 45 F8 50 8B 43 08 89 45 E8 C6 45 EC 11 8B 43 0C 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8B 45 FC 8B 40 14 8B 50 28 8B 45 FC 8B 40 14 8B 40 2C 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 14 8B 40 2C E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 47 4E 0F 85 67 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 40 2C 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 50 28 8B 40 2C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 25 00 73 00 3A 00 20 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 3D 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_28219_0 {
	meta:
		name = "TAzureBlobManagement.CreateSnapshotAction$552$ActRec.$0$Body"
		size = 736
		refs = "0024 TAzureBlobManagement.CreateSnapshotAction$552$ActRec.$0$Body 0031 _DV_TAzureBlobManagement.CreateSnapshotAction$552$ActRec.$0$Body$553$ActRec 0036 TObject.Create 0049 @IntfCopy 007a TAzureBlobManagement.BlobService 00ce TAzureBlobService.SnapshotBlob 00d9 @UStrAsg 0145 TAzureBlobService.ListBlobs 014c CoInitialize 015d TAzureBlobManagement.ParseXML 0165 _DV_TBBlobs 016a TBBlobs.FromXML 0178 TObject.Free 018f @HandleAnyException 0197 SErrorGeneric 019c LoadResString 01ab TAzureService.GetResponseText 01b4 @UStrCat 01bc ShowErrorMessage 01d4 @DoneExcept 01f3 TThread.Queue 0213 TAzureBlobManagement.MarkAsAvailable 0232 @UStrArrayClr 023a @UStrClr 0242 @IntfClear 0258 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 D2 89 55 B4 89 55 B0 89 55 E8 89 55 FC 89 55 F8 89 55 F4 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 89 43 14 8D 43 18 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 40 2C E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 40 1C 50 8B 45 F0 8B 40 18 50 8B 45 F0 8B 40 14 50 8B 45 F0 8B 40 10 50 6A 00 8B 45 F0 8B 40 0C 50 8D 45 E8 50 8B 45 F0 8B 40 20 8B 48 08 8B 45 F0 8B 40 24 8B 50 08 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E8 8D 43 0C E8 ?? ?? ?? ?? 6A 02 8B 45 F0 8B 40 20 8B 40 08 89 45 D0 C6 45 D4 11 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 45 D0 50 6A 02 8D 45 FC 50 B8 ?? ?? ?? ?? 89 45 B8 C6 45 BC 11 B8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 8D 4D B8 8B 45 F0 8B 40 24 8B 50 08 8B 45 EC E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8D 4D F8 8B 45 F0 8B 40 2C 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 59 E9 ?? ?? ?? ?? 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B4 50 8D 55 B0 8B 45 EC E8 ?? ?? ?? ?? 8B 55 B0 58 E8 ?? ?? ?? ?? 8B 45 B4 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3A E8 ?? ?? ?? ?? 8B D3 85 D2 74 03 83 EA E4 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 F0 8B 50 28 8B 45 F0 8B 40 2C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 70 00 72 00 65 00 66 00 69 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 00 00 }
	condition:
		$1
}

rule function_28220_0 {
	meta:
		name = "TAzureBlobManagement.CreateSnapshotAction"
		size = 479
		refs = "0019 TAzureBlobManagement.CreateSnapshotAction 0026 _DV_TAzureBlobManagement.CreateSnapshotAction$552$ActRec 002b TObject.Create 003e @IntfCopy 004e TAzureBlobManagement.SelectedBlob 005a TAzureBlobManagement.BlobOf 0067 TAzureBlobManagement.SelectedContainer 0076 TAzureBlobManagement.ContainerOf 008d TAzSnapshotBlob.PopulateWithMetadata 0099 SSnapshotCaption 009e LoadResString 00ca Format 00db TControl.SetText 0104 TAzSnapshotBlob.GetModifiedSince 010f @UStrAsg 0120 TAzSnapshotBlob.GetUnmodifiedSince 013c TAzSnapshotBlob.GetMatch 0158 TAzSnapshotBlob.GetNoneMatch 0171 TAzSnapshotBlob.RawMetadata 017a TAzureBlobManagement.AsMetadataHeaders 0188 TAzureBlobManagement.MarkAsBusy 0198 _DV_TAnonymousThread 019d TAnonymousThread.Create 01b7 @UStrArrayClr 01cc @IntfClear 01d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 89 43 2C 8B 90 C0 03 00 00 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 2C E8 ?? ?? ?? ?? 89 43 20 8B D6 8B 43 2C E8 ?? ?? ?? ?? 8B F8 89 7B 28 8B D7 8B 43 2C E8 ?? ?? ?? ?? 89 43 24 8B 43 20 8B 50 18 8B 43 2C 8B 80 E8 03 00 00 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 24 8B 40 08 89 45 E4 C6 45 E8 11 8B 43 20 8B 40 08 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 2C 8B 80 E8 03 00 00 E8 ?? ?? ?? ?? 8B 43 2C 8B 80 E8 03 00 00 8B 10 FF 92 20 01 00 00 48 0F 85 AA 00 00 00 8D 55 E0 8B 43 2C 8B 80 E8 03 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8D 43 1C E8 ?? ?? ?? ?? 8D 55 DC 8B 43 2C 8B 80 E8 03 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8D 43 18 E8 ?? ?? ?? ?? 8D 55 D8 8B 43 2C 8B 80 E8 03 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8D 43 14 E8 ?? ?? ?? ?? 8D 55 D4 8B 43 2C 8B 80 E8 03 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8D 43 10 E8 ?? ?? ?? ?? 8B 73 2C 8B 86 E8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 89 43 0C 8B 53 28 8B 43 2C E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28221_0 {
	meta:
		name = "TAzureBlobManagement.DeleteBlobAction$555$ActRec.$0$Body$556$ActRec.$0$0$Body"
		size = 116
		refs = "0017 TTreeNodes.BeginUpdate 001f TAzureBlobManagement.DeleteBlobAction$555$ActRec.$0$Body$556$ActRec.$0$0$Body 0033 TTreeNode.Delete 0051 TAzureBlobManagement.MarkAsAvailable 0065 TTreeNodes.EndUpdate 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 0C 8B 40 18 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 0C 8B 40 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 50 14 8B 40 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 18 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 59 5D C3 }
	condition:
		$1
}

rule function_28222_0 {
	meta:
		name = "TAzureBlobManagement.DeleteBlobAction$555$ActRec.$0$Body"
		size = 462
		refs = "0024 TAzureBlobManagement.DeleteBlobAction$555$ActRec.$0$Body 0031 _DV_TAzureBlobManagement.DeleteBlobAction$555$ActRec.$0$Body$556$ActRec 0036 TObject.Create 0049 @IntfCopy 006c TAzureBlobManagement.BlobService 0091 TBBlob.GetLeaseID 00ab TAzureBlobService.DeleteBlob 00bb SDeleteBlobFailure 00c0 LoadResString 00ff Format 0109 _Dn_Exception 010e Exception.Create 0113 @RaiseExcept 011b TObject.Free 012a @HandleAnyException 0132 SErrorGeneric 0146 TAzureService.GetResponseText 014f @UStrCat 0157 ShowErrorMessage 0170 TAzureBlobManagement.MarkAsAvailable 0175 @DoneExcept 018c TThread.Queue 01a6 @UStrArrayClr 01bb @IntfClear 01c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 D2 89 55 CC 89 55 C8 89 55 EC 89 55 E8 89 55 F0 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F8 89 43 0C 8D 43 10 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 70 0C 8B 46 0C 50 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 50 6A 00 8B 4E 08 8B 45 F8 8B 40 10 8B 50 08 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 64 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 F8 8B 40 10 8B 40 08 89 45 D0 C6 45 D4 11 8B 45 F8 8B 40 0C 8B 40 08 89 45 D8 C6 45 DC 11 8B 45 F4 8B 40 10 89 45 E0 C6 45 E4 00 8D 55 D0 B9 02 00 00 00 58 E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 57 E9 ?? ?? ?? ?? 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC 50 8D 55 C8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 C8 58 E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 14 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 E8 ?? ?? ?? ?? 8B D3 85 D2 74 03 83 EA EC 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28223_0 {
	meta:
		name = "TAzureBlobManagement.DeleteBlobAction"
		size = 312
		refs = "001a TAzureBlobManagement.DeleteBlobAction 0027 _DV_TAzureBlobManagement.DeleteBlobAction$555$ActRec 002c TObject.Create 003f @IntfCopy 0051 TAzureBlobManagement.SelectedBlob 0060 TAzureBlobManagement.BlobOf 006e TAzureBlobManagement.SelectedContainer 007a TAzureBlobManagement.ContainerOf 0089 SDeleteBlobMsg 008e LoadResString 00ba Format 00d7 MessageDlgPosHelp 00e7 TAzureBlobManagement.MarkAsBusy 00f7 _DV_TAnonymousThread 00fc TAnonymousThread.Create 0116 @UStrArrayClr 011e @IntfClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D F4 89 4D FC 89 4D F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 18 8B 96 C0 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 14 8B D7 8B 43 18 E8 ?? ?? ?? ?? 89 43 0C 8B 53 14 8B 43 18 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 18 E8 ?? ?? ?? ?? 89 43 10 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 0C 8B 40 08 89 45 E4 C6 45 E8 11 8B 43 10 8B 40 08 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? B0 03 0F B7 15 ?? ?? ?? ?? 33 F6 56 6A FF 6A FF 6A 00 8B CA 8B 55 F8 92 E8 ?? ?? ?? ?? 83 F8 06 75 20 8B 53 14 8B 43 18 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_28224_0 {
	meta:
		name = "TAzureBlobManagement.DeleteContainerAction$558$ActRec.$0$Body$559$ActRec.$0$0$Body"
		size = 116
		refs = "0017 TTreeNodes.BeginUpdate 001f TAzureBlobManagement.DeleteContainerAction$558$ActRec.$0$Body$559$ActRec.$0$0$Body 0033 TTreeNode.Delete 0051 TAzureBlobManagement.MarkAsAvailable 0065 TTreeNodes.EndUpdate 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 0C 8B 40 14 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 0C 8B 40 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 50 10 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 14 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 59 5D C3 }
	condition:
		$1
}

rule function_28225_0 {
	meta:
		name = "TAzureBlobManagement.DeleteContainerAction$558$ActRec.$0$Body"
		size = 351
		refs = "001b TAzureBlobManagement.DeleteContainerAction$558$ActRec.$0$Body 0028 _DV_TAzureBlobManagement.DeleteContainerAction$558$ActRec.$0$Body$559$ActRec 002d TObject.Create 0042 @IntfCopy 0064 TAzureBlobManagement.BlobService 0083 TAzureBlobService.DeleteContainer 0092 TAzureBlobManagement.MarkAsAvailable 009e SDeleteContainerFailure 00a3 LoadResString 00cf Format 00de TAzureService.GetResponseText 00e7 @UStrCat 00ef ShowErrorMessage 00f4 @TryFinallyExit 010b TObject.Free 0111 @HandleFinally 0124 TThread.Queue 0139 @UStrClr 0146 @UStrArrayClr 014e @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 D2 89 55 F0 89 55 D8 89 55 EC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 45 FC 8B 55 F4 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F4 89 58 0C 8B 45 F4 83 C0 10 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 50 08 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 6F 8B 53 10 8B 43 14 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 43 0C 8B 40 08 89 45 DC C6 45 E0 11 8B 45 F8 8B 40 10 89 45 E4 C6 45 E8 00 8D 55 DC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D8 58 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F4 85 D2 74 03 83 EA EC 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28226_0 {
	meta:
		name = "TAzureBlobManagement.DeleteContainerAction"
		size = 260
		refs = "0013 TAzureBlobManagement.DeleteContainerAction 0020 _DV_TAzureBlobManagement.DeleteContainerAction$558$ActRec 0025 TObject.Create 0038 @IntfCopy 004a TAzureBlobManagement.SelectedContainer 0059 TAzureBlobManagement.ContainerOf 0068 SDeleteContainerMsg 006d LoadResString 0089 Format 00a6 MessageDlgPosHelp 00b6 TAzureBlobManagement.MarkAsBusy 00c6 _DV_TAnonymousThread 00cb TAnonymousThread.Create 00e5 @UStrArrayClr 00ed @IntfClear 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 14 8B 96 C0 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 10 8B D7 8B 43 14 E8 ?? ?? ?? ?? 89 43 0C 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 0C 8B 40 08 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? B0 03 0F B7 15 ?? ?? ?? ?? 33 F6 56 6A FF 6A FF 6A 00 8B CA 8B 55 F8 92 E8 ?? ?? ?? ?? 83 F8 06 75 20 8B 53 10 8B 43 14 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 03 00 00 00 }
	condition:
		$1
}

rule function_28227_0 {
	meta:
		name = "TAzureBlobManagement.DeleteRootContainer$561$ActRec.$0$Body$562$ActRec.$0$0$Body"
		size = 254
		refs = "0019 TTreeNodes.BeginUpdate 0021 TAzureBlobManagement.DeleteRootContainer$561$ActRec.$0$Body$562$ActRec.$0$0$Body 003b TTreeNode.GetCount 0059 TTreeNode.GetItem 006b TAzureBlobManagement.IsACLNode 007f TAzureBlobManagement.IsBlobNode 0093 TAzureBlobManagement.IsPropertiesNode 00a7 TAzureBlobManagement.IsMetadataNode 00b2 TTreeNode.Delete 00d9 TAzureBlobManagement.MarkAsAvailable 00ed TTreeNodes.EndUpdate 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 40 0C 8B 40 0C 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 0C 8B 40 0C 8B 80 BC 03 00 00 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 7C 75 8B 45 FC 8B 40 0C 8B 40 0C 8B 80 BC 03 00 00 8B D6 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 0C 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 84 C0 75 3C 8B 45 FC 8B 40 0C 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 84 C0 75 28 8B 45 FC 8B 40 0C 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 84 C0 75 14 8B 45 FC 8B 40 0C 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 4E 83 FE FF 75 8B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 0C 8B 90 BC 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 0C 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28228_0 {
	meta:
		name = "TAzureBlobManagement.DeleteRootContainer$561$ActRec.$0$Body"
		size = 400
		refs = "001b TAzureBlobManagement.DeleteRootContainer$561$ActRec.$0$Body 0028 _DV_TAzureBlobManagement.DeleteRootContainer$561$ActRec.$0$Body$562$ActRec 002d TObject.Create 0042 @IntfCopy 0067 CoInitialize 0072 TAzureBlobManagement.BlobService 0090 TAzureBlobService.DeleteContainer 00a5 TAzureBlobManagement.MarkAsAvailable 00b1 SRootContainerDeleteFailure 00b6 LoadResString 00d0 Format 00df TAzureService.GetResponseText 00e8 @UStrCat 00f0 ShowErrorMessage 00f5 @TryFinallyExit 010c TObject.Free 0112 @HandleFinally 013d TThread.Queue 0152 @UStrClr 015f @UStrArrayClr 0167 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 DC 33 D2 89 55 EC 89 55 DC 89 55 E8 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 45 FC 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 89 50 0C 8B 45 F0 83 C0 10 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 63 8B 45 F8 8B 40 0C 8B 90 BC 03 00 00 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 55 F4 8B 52 10 89 55 E0 C6 45 E4 00 8D 55 E0 33 C9 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 55 DC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 DC 58 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 46 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 40 0C 05 B8 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 55 F0 85 D2 74 03 83 EA EC 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 24 00 72 00 6F 00 6F 00 74 00 00 00 }
	condition:
		$1
}

rule function_28229_0 {
	meta:
		name = "TAzureBlobManagement.DeleteRootContainer"
		size = 125
		refs = "000d TAzureBlobManagement.DeleteRootContainer 001a _DV_TAzureBlobManagement.DeleteRootContainer$561$ActRec 001f TObject.Create 0032 @IntfCopy 0042 TAzureBlobManagement.MarkAsBusy 0052 _DV_TAnonymousThread 0057 TAnonymousThread.Create 006c @IntfClear 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 89 43 0C 8B 90 BC 03 00 00 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28230_0 {
	meta:
		name = "TAzureBlobManagement.DeleteRootContainerAction"
		size = 220
		refs = "0018 TAzureBlobManagement.DeleteRootContainerAction 0036 SContainer 003b LoadResString 0051 SAreYouSure 0064 Format 0080 MessageDlgPosHelp 008d TAzureBlobManagement.DeleteRootContainer 00a7 @UStrArrayClr 00af @UStrClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 33 C9 89 4D E4 89 4D E0 89 4D FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 C6 45 F4 11 8D 45 E8 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? B0 03 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? 83 F8 06 75 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 24 00 72 00 6F 00 6F 00 74 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_28231_0 {
	meta:
		name = "TAzureBlobManagement.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TCustomTreeView.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 B8 03 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28232_0 {
	meta:
		name = "TAzureBlobManagement.DownloadAction$566$ActRec.$0$Body"
		size = 289
		refs = "0016 TAzureBlobManagement.DownloadAction$566$ActRec.$0$Body 0035 TAzureBlobManagement.BlobService 0077 TAzureBlobService.GetBlob 0083 SErrorGeneric 0088 LoadResString 0097 TAzureService.GetResponseText 00a0 @UStrCat 00a8 ShowErrorMessage 00bd TObject.Free 00c3 @HandleFinally 00e3 TAzureBlobManagement.MarkAsAvailable 0110 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F4 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 10 50 8B 45 FC 8B 58 14 8B 43 0C 50 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B 4B 08 8B 45 FC 8B 40 18 8B 50 08 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 2D 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 58 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 50 0C 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28233_0 {
	meta:
		name = "TAzureBlobManagement.DownloadAction"
		size = 404
		refs = "0014 TAzureBlobManagement.DownloadAction 0021 _DV_TAzureBlobManagement.DownloadAction$566$ActRec 0026 TObject.Create 0039 @IntfCopy 004b TAzureBlobManagement.SelectedBlob 005a TAzureBlobManagement.BlobOf 0068 TAzureBlobManagement.SelectedContainer 0074 TAzureBlobManagement.ContainerOf 0081 _Dn_TSaveDialog 0086 TOpenDialog.Create 0090 TWinControl.GetHandle 00ab TOpenDialog.GetFileName 00b5 FileExists 00c5 SOverrideFile 00ca LoadResString 00e3 Format 0100 MessageDlgPosHelp 0111 _Dn_TFileStream 0116 TFileStream.Create 013d TAzureBlobManagement.MarkAsBusy 014d _DV_TAnonymousThread 0152 TAnonymousThread.Create 016c @UStrArrayClr 0174 @IntfClear 017c @UStrClr 0182 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 1C 8B 96 C0 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 0C 8B D7 8B 43 1C E8 ?? ?? ?? ?? 89 43 14 8B 53 0C 8B 43 1C E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 1C E8 ?? ?? ?? ?? 89 43 18 8B 4B 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 1C E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 54 84 C0 0F 84 B1 00 00 00 8D 55 FC 8B C6 E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 62 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? B0 03 0F B7 15 ?? ?? ?? ?? 33 F6 56 6A FF 6A FF 6A 00 8B CA 8B 55 F4 92 E8 ?? ?? ?? ?? 83 F8 06 75 4D 6A 01 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 EB 17 68 00 FF 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B 53 0C 8B 43 1C E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 03 00 00 00 }
	condition:
		$1
}

rule function_28234_0 {
	meta:
		name = "TAzureBlobManagement.EditACLAction$568$ActRec.$0$Body$569$ActRec.$0$0$Body"
		size = 776
		refs = "001a TAzureBlobManagement.EditACLAction$568$ActRec.$0$Body$569$ActRec.$0$0$Body 004e TAzACL.SetPublicDataAccess 0074 TList<DSAzureBlob.TBSignedIdentifier>.GetItem 00a1 TAzACL.SetAccessPolicy 00b6 TObject.Free 00d4 TAzACL.MoveToRow 00f5 TAzACL.SetBaseline 0127 TAzACL.GetCount 0137 TAzureBlobManagement.BlobService 0175 TAzACL.GetRawIdentifier 017e EmptyStr 0185 @UStrEqual 01a4 TAzACL.GetAccessPolicy 01bf TAzACL.GetPublicDataAccess 01dc TAzACL.GetIdentifier 01ed TAzureBlobService.SetContainerACL 01fc TAzureService.GetResponseText 0208 SErrorGeneric 020d LoadResString 0219 @UStrCat3 0235 MessageDlgPosHelp 023a @TryFinallyExit 0264 @HandleFinally 027f TAzureBlobManagement.ACLOf 0291 TAzureBlobManagement.PopulateContainerWithACL 02af TAzureBlobManagement.MarkAsAvailable 02d1 @UStrArrayClr 02da TAccessPolicy 02df @FinalizeRecord 02e7 @UStrClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 68 ?? ?? ?? ?? 64 FF 35 00 00 00 00 64 89 25 00 00 00 00 8B 45 F8 8B 50 10 8B 45 F8 8B 40 14 8B 40 14 8B 80 E4 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 40 0C 8B 78 08 8B F7 4E 85 F6 7C 59 46 33 DB 8B 45 F8 8B 40 0C 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 83 C0 0C 50 8B 45 F8 8B 40 0C 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 48 08 8B 45 F8 8B 40 14 8B 40 14 8B 80 E4 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 40 0C 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 AA 85 FF 7E 18 8B 45 F8 8B 40 14 8B 40 14 8B 80 E4 03 00 00 33 D2 E8 ?? ?? ?? ?? EB 0B 8B 45 F8 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 8B 40 14 8B 80 E4 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 8B 40 14 8B 80 E4 03 00 00 8B 10 FF 92 20 01 00 00 48 0F 85 7E 01 00 00 8B 45 F8 8B 40 14 8B 40 14 8B 80 E4 03 00 00 E8 ?? ?? ?? ?? 8B F8 8B 45 F8 8B 40 14 8B 40 14 E8 ?? ?? ?? ?? 89 45 F4 55 68 ?? ?? ?? ?? 64 FF 35 00 00 00 00 64 89 25 00 00 00 00 8B F7 4E 85 F6 0F 8C F0 00 00 00 46 33 DB 8D 4D F0 8B 45 F8 8B 40 14 8B 40 14 8B 80 E4 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 F0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 B6 00 00 00 8D 4D E4 8B 45 F8 8B 40 14 8B 40 14 8B 80 E4 03 00 00 8B D3 E8 ?? ?? ?? ?? 8D 45 E4 50 8D 55 E0 8B 45 F8 8B 40 14 8B 40 14 8B 80 E4 03 00 00 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 4D DC 8B 45 F8 8B 78 14 8B 47 14 8B 80 E4 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 4D DC 8B 47 10 8B 50 08 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 50 8D 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D8 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC 59 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 76 43 4E 0F 85 13 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 70 14 8B 56 0C 8B 45 F8 8B 40 14 8B 58 14 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 14 8B 48 10 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 14 8B 50 0C 8B 40 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_28235_0 {
	meta:
		name = "TAzureBlobManagement.EditACLAction$568$ActRec.$0$Body"
		size = 512
		refs = "0017 TAzureBlobManagement.EditACLAction$568$ActRec.$0$Body 0024 _DV_TAzureBlobManagement.EditACLAction$568$ActRec.$0$Body$569$ActRec 0029 TObject.Create 003c @IntfCopy 0069 CoInitialize 0074 TAzureBlobManagement.BlobService 0099 TAzureBlobService.GetContainerACL 00a9 TAzureService.GetResponseHeader 00b4 @UStrAsg 00bc TObject.Free 00cb @HandleAnyException 00dc TAzureBlobManagement.MarkAsAvailable 00e4 SErrorGeneric 00e9 LoadResString 00f8 TAzureService.GetResponseText 0101 @UStrCat 0109 ShowErrorMessage 0116 @DoneExcept 0136 TAzureBlobManagement.ParseXML 0141 _DV_TBSignedIdentifiers 0146 TBSignedIdentifiers.FromXML 0159 TThread.Queue 0198 @UStrArrayClr 01a0 @IntfClear 01b0 @UStrClr 01b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 89 43 14 8D 43 18 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 14 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 45 F0 8B 40 10 8B 50 08 8B 45 EC E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E8 8D 43 10 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 5F E9 ?? ?? ?? ?? 8B 45 F0 8B 50 0C 8B 45 F0 8B 40 14 E8 ?? ?? ?? ?? 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 50 8D 55 E0 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E0 58 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 5E E8 ?? ?? ?? ?? 8D 4D F8 8B 45 F0 8B 40 14 8B 55 FC E8 ?? ?? ?? ?? 8B 53 10 8B 4D F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 8B D3 85 D2 74 03 83 EA E4 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 F0 8B 50 0C 8B 45 F0 8B 40 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 17 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 70 00 75 00 62 00 6C 00 69 00 63 00 2D 00 61 00 63 00 63 00 65 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_28236_0 {
	meta:
		name = "TAzureBlobManagement.EditACLAction"
		size = 158
		refs = "000e TAzureBlobManagement.EditACLAction 001b _DV_TAzureBlobManagement.EditACLAction$568$ActRec 0020 TObject.Create 0033 @IntfCopy 0045 TAzureBlobManagement.SelectedContainer 0054 TAzureBlobManagement.ContainerOf 0062 TAzureBlobManagement.MarkAsBusy 0072 _DV_TAnonymousThread 0077 TAnonymousThread.Create 008c @IntfClear 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 14 8B 96 C0 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 0C 8B D7 8B 43 14 E8 ?? ?? ?? ?? 89 43 10 8B 53 0C 8B 43 14 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28237_0 {
	meta:
		name = "TAzureBlobManagement.EditBlobMetadataAction$571$ActRec.$0$Body$572$ActRec.$0$0$Body"
		size = 724
		refs = "0027 TAzureBlobManagement.EditBlobMetadataAction$571$ActRec.$0$Body$572$ActRec.$0$0$Body 0046 TAzMetadata.PopulateContentFromHeader 0052 SMetadataBlobCaption 0057 LoadResString 0089 Format 00a0 TControl.SetText 00d5 TAzMetadata.PopulateHeaderFromContainer 00f1 TAzureBlobManagement.BlobService 011f TBBlob.GetLeaseID 0134 TAzureBlobService.SetBlobMetadata 014d TAzureBlobManagement.MarkAsAvailable 0159 SMetadataBlobFailure 01ac TAzureService.GetResponseText 01b8 @UStrCat3 01d4 MessageDlgPosHelp 01d9 @TryFinallyExit 01f8 TObject.Free 01fe @HandleFinally 0211 TBBlob.PopulateMeta 022a TAzureBlobManagement.MetadataOf 0233 TAzureBlobManagement.PopulateMetadata 029b @UStrClr 02a8 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 D2 89 55 D4 89 55 B4 89 55 D0 89 55 D8 89 55 F0 89 55 EC 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 0C 8B 50 18 8B 40 1C 8B 80 D8 03 00 00 33 C9 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 8B 58 0C 8B 43 14 8B 40 08 89 45 DC C6 45 E0 11 8B 43 10 8B 40 08 89 45 E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 40 0C 8B 40 1C 8B 80 D8 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 40 1C 8B 80 D8 03 00 00 8B 10 FF 92 20 01 00 00 48 0F 85 A9 01 00 00 8B 45 F8 8B 40 0C 8B 50 18 8B 40 1C 8B 80 D8 03 00 00 E8 ?? ?? ?? ?? 33 FF 55 68 ?? ?? ?? ?? 64 FF 37 64 89 27 8B 45 F8 8B 40 0C 8B 40 1C E8 ?? ?? ?? ?? 89 45 F4 33 FF 55 68 ?? ?? ?? ?? 64 FF 37 64 89 27 8B 45 F8 8B 58 0C 8B 43 18 50 8D 55 D8 8B 45 F8 8B 40 0C 8B 70 10 8B C6 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 4E 08 8B 43 14 8B 50 08 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 85 A7 00 00 00 8B 45 F8 8B 40 0C 8B 50 0C 8B 40 1C E8 ?? ?? ?? ?? 8D 45 D4 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 8B 45 F8 8B 58 0C 8B 43 14 8B 40 08 89 45 B8 C6 45 BC 11 8B 43 10 8B 40 08 89 45 C0 C6 45 C4 11 8B 45 F4 8B 40 10 89 45 C8 C6 45 CC 00 8D 55 B8 B9 02 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 55 B4 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D B4 8D 45 FC 5A E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A3 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 40 0C 8B 50 18 8B 40 10 E8 ?? ?? ?? ?? 8B 45 F8 8B 70 0C 8B 56 0C 8B 45 F8 8B 40 0C 8B 58 1C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 50 0C 8B 40 1C E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 40 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 8B 45 F8 8B 40 0C 8B 50 0C 8B 40 1C E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 40 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 04 00 00 00 }
	condition:
		$1
}

rule function_28238_0 {
	meta:
		name = "TAzureBlobManagement.EditBlobMetadataAction$571$ActRec.$0$Body"
		size = 448
		refs = "001c TAzureBlobManagement.EditBlobMetadataAction$571$ActRec.$0$Body 0029 _DV_TAzureBlobManagement.EditBlobMetadataAction$571$ActRec.$0$Body$572$ActRec 002e TObject.Create 0043 @IntfCopy 0065 TAzureBlobManagement.BlobService 0090 TAzureBlobService.GetBlobMetadata 009f TAzureBlobManagement.MarkAsAvailable 00ab SMetadataBlobFailure 00b0 LoadResString 00e9 Format 00f8 TAzureService.GetResponseText 0101 @UStrCat 0109 ShowErrorMessage 010e @TryFinallyExit 0117 _Dn_TStringList 011c TStringList.Create 0132 TAzureService.PopulateContainer 0147 TObject.Free 014d @HandleFinally 0160 TThread.Queue 0175 @UStrClr 0182 @UStrArrayClr 018a @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 D2 89 55 F0 89 55 D0 89 55 EC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 45 FC 8B 55 F4 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F4 89 58 0C 8B 45 F4 83 C0 10 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 43 1C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 10 8B 46 0C 50 6A 00 8B 4E 08 8B 43 14 8B 50 08 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 7C 8B 53 0C 8B 43 1C E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 43 14 8B 40 08 89 45 D4 C6 45 D8 11 8B 43 10 8B 40 08 89 45 DC C6 45 E0 11 8B 45 F8 8B 40 10 89 45 E4 C6 45 E8 00 8D 55 D4 B9 02 00 00 00 58 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D0 58 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 18 6A 00 8B CE BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F4 85 D2 74 03 83 EA EC 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6D 00 65 00 74 00 61 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_28239_0 {
	meta:
		name = "TAzureBlobManagement.EditBlobMetadataAction"
		size = 184
		refs = "000e TAzureBlobManagement.EditBlobMetadataAction 001b _DV_TAzureBlobManagement.EditBlobMetadataAction$571$ActRec 0020 TObject.Create 0033 @IntfCopy 0045 TAzureBlobManagement.SelectedBlob 0054 TAzureBlobManagement.BlobOf 0062 TAzureBlobManagement.SelectedContainer 006e TAzureBlobManagement.ContainerOf 007c TAzureBlobManagement.MarkAsBusy 008c _DV_TAnonymousThread 0091 TAnonymousThread.Create 00a6 @IntfClear 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 1C 8B 96 C0 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 0C 8B D7 8B 43 1C E8 ?? ?? ?? ?? 89 43 10 8B 53 0C 8B 43 1C E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 1C E8 ?? ?? ?? ?? 89 43 14 8B 53 0C 8B 43 1C E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28240_0 {
	meta:
		name = "TAzureBlobManagement.EditBlockPropertiesAction$574$ActRec.$0$Body$575$ActRec.$0$0$Body"
		size = 1276
		refs = "0019 TAzureBlobManagement.EditBlockPropertiesAction$574$ActRec.$0$Body$575$ActRec.$0$0$Body 0036 TAzBlockProps.SetMD5 004d TAzBlockProps.SetType 0064 TAzBlockProps.SetEncoding 007b TAzBlockProps.SetLanguage 0092 TAzBlockProps.SetCache 009e SPropertiesCaption 00a3 LoadResString 00d5 Format 00ec TControl.SetText 0100 TAzBlockProps.SetBaseline 0135 TAzBlockProps.GetMD5 0146 @UStrAsg 015d TAzBlockProps.GetType 0185 TAzBlockProps.GetEncoding 01ad TAzBlockProps.GetLanguage 01d5 TAzBlockProps.GetCache 0202 TAzureBlobManagement.BlobService 0240 TBBlob.GetLeaseID 0255 TAzureBlobService.SetBlobProperties 0269 SPropertiesFailure 02bc TAzureService.GetResponseText 02c8 @UStrCat3 02e4 MessageDlgPosHelp 02e9 @TryFinallyExit 0308 TObject.Free 030e @HandleFinally 0326 TBBlob.PopulateProperty 0397 TAzureBlobManagement.PropertiesOf 03a0 TAzureBlobManagement.PopulateProperties 03be TAzureBlobManagement.MarkAsAvailable 03ec @UStrClr 03f9 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0C 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 0C 8B 50 28 8B 40 2C 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 50 24 8B 40 2C 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 50 20 8B 40 2C 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 50 1C 8B 40 2C 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 50 18 8B 40 2C 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 8B 58 0C 8B 43 14 8B 40 08 89 45 DC C6 45 E0 11 8B 43 10 8B 40 08 89 45 E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 40 0C 8B 40 2C 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 40 2C 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 40 2C 8B 80 DC 03 00 00 8B 10 FF 92 20 01 00 00 48 0F 85 A8 02 00 00 8D 55 D8 8B 45 F8 8B 40 0C 8B 40 2C 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F8 8B 40 0C 83 C0 28 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 F8 8B 40 0C 8B 40 2C 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F8 8B 40 0C 83 C0 24 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 F8 8B 40 0C 8B 40 2C 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F8 8B 40 0C 83 C0 20 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 F8 8B 40 0C 8B 40 2C 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F8 8B 40 0C 83 C0 1C E8 ?? ?? ?? ?? 8D 55 C8 8B 45 F8 8B 40 0C 8B 40 2C 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F8 8B 40 0C 83 C0 18 E8 ?? ?? ?? ?? 33 FF 55 68 ?? ?? ?? ?? 64 FF 37 64 89 27 8B 45 F8 8B 40 0C 8B 40 2C E8 ?? ?? ?? ?? 89 45 F4 33 FF 55 68 ?? ?? ?? ?? 64 FF 37 64 89 27 8B 45 F8 8B 58 0C 8B 43 18 50 8B 43 24 50 8B 43 20 50 8B 43 1C 50 8B 43 28 50 8D 55 C4 8B 45 F8 8B 40 0C 8B 70 10 8B C6 E8 ?? ?? ?? ?? 8B 45 C4 50 8B 4E 08 8B 43 14 8B 50 08 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 85 96 00 00 00 8D 45 C0 50 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 50 8B 45 F8 8B 58 0C 8B 43 14 8B 40 08 89 45 A4 C6 45 A8 11 8B 43 10 8B 40 08 89 45 AC C6 45 B0 11 8B 45 F4 8B 40 10 89 45 B4 C6 45 B8 00 8D 55 A4 B9 02 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 C0 50 8D 55 A0 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D A0 8D 45 FC 5A E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 40 0C 8B 48 28 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 48 24 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 48 20 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 48 1C 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 48 18 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 70 0C 8B 56 0C 8B 45 F8 8B 40 0C 8B 58 2C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 50 0C 8B 40 2C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B 45 F8 8B 40 0C 8B 50 0C 8B 40 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 BC BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 00 00 00 04 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4D 00 44 00 35 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 61 00 63 00 68 00 65 00 2D 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 }
	condition:
		$1
}

rule function_28241_0 {
	meta:
		name = "TAzureBlobManagement.EditBlockPropertiesAction$574$ActRec.$0$Body"
		size = 856
		refs = "002d TAzureBlobManagement.EditBlockPropertiesAction$574$ActRec.$0$Body 003a _DV_TAzureBlobManagement.EditBlockPropertiesAction$574$ActRec.$0$Body$575$ActRec 003f TObject.Create 0054 @IntfCopy 008b TAzureBlobManagement.BlobService 00bc TAzureBlobService.GetBlobProperties 00d5 TAzureBlobManagement.MarkAsAvailable 00e1 SPropertiesFailure 00e6 LoadResString 0125 Format 0134 TAzureService.GetResponseText 013d @UStrCat 0145 ShowErrorMessage 014a @TryFinallyExit 0167 TAzureService.GetResponseHeader 0175 @UStrAsg 0202 TObject.Free 0208 @HandleFinally 021b TThread.Queue 022a @HandleAnyException 0240 @DoneExcept 025a @UStrArrayClr 026f @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 D2 89 55 B8 89 55 BC 89 55 C0 89 55 C4 89 55 C8 89 55 EC 89 55 CC 89 55 E8 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 45 FC 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 89 50 0C 8B 45 F0 83 C0 10 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 2C E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 58 10 8B 43 0C 50 6A 00 8B 4B 08 8B 45 F8 8B 40 14 8B 50 08 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 85 93 00 00 00 8B 45 F8 8B 50 0C 8B 45 F8 8B 40 2C E8 ?? ?? ?? ?? 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 F8 8B 40 14 8B 40 08 89 45 D0 C6 45 D4 11 8B 45 F8 8B 40 10 8B 40 08 89 45 D8 C6 45 DC 11 8B 45 F4 8B 40 10 89 45 E0 C6 45 E4 00 8D 55 D0 B9 02 00 00 00 58 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 55 CC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 CC 58 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 E9 00 00 00 8D 4D C8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F8 83 C0 28 E8 ?? ?? ?? ?? 8D 4D C4 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 F8 83 C0 24 E8 ?? ?? ?? ?? 8D 4D C0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F8 83 C0 20 E8 ?? ?? ?? ?? 8D 4D BC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 BC 8B 45 F8 83 C0 1C E8 ?? ?? ?? ?? 8D 4D B8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 F8 83 C0 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F0 85 D2 74 03 83 EA EC 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 F8 8B 50 0C 8B 45 F8 8B 40 2C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4D 00 44 00 35 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 61 00 63 00 68 00 65 00 2D 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 }
	condition:
		$1
}

rule function_28242_0 {
	meta:
		name = "TAzureBlobManagement.EditBlockPropertiesAction"
		size = 184
		refs = "000e TAzureBlobManagement.EditBlockPropertiesAction 001b _DV_TAzureBlobManagement.EditBlockPropertiesAction$574$ActRec 0020 TObject.Create 0033 @IntfCopy 0045 TAzureBlobManagement.SelectedBlob 0054 TAzureBlobManagement.BlobOf 0062 TAzureBlobManagement.SelectedContainer 006e TAzureBlobManagement.ContainerOf 007c TAzureBlobManagement.MarkAsBusy 008c _DV_TAnonymousThread 0091 TAnonymousThread.Create 00a6 @IntfClear 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 2C 8B 96 C0 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 0C 8B D7 8B 43 2C E8 ?? ?? ?? ?? 89 43 10 8B 53 0C 8B 43 2C E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 2C E8 ?? ?? ?? ?? 89 43 14 8B 53 0C 8B 43 2C E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28243_0 {
	meta:
		name = "TAzureBlobManagement.EditContainerMetadataAction$577$ActRec.$0$Body$578$ActRec.$0$0$Body"
		size = 648
		refs = "0024 TAzureBlobManagement.EditContainerMetadataAction$577$ActRec.$0$Body$578$ActRec.$0$0$Body 0036 SMetadataContainerCaption 003b LoadResString 005d Format 0074 TControl.SetText 008d TAzMetadata.PopulateContentFromHeader 00c2 TAzMetadata.PopulateHeaderFromContainer 00de TAzureBlobManagement.BlobService 0106 TAzureBlobService.SetContainerMetadata 011a SMetadataContainerFailure 0160 TAzureService.GetResponseText 016c @UStrCat3 0188 MessageDlgPosHelp 018d @TryFinallyExit 01ac TObject.Free 01b2 @HandleFinally 01c5 TBContainer.PopulateMeta 01de TAzureBlobManagement.MetadataOf 01e7 TAzureBlobManagement.PopulateMetadata 0205 TAzureBlobManagement.MarkAsAvailable 024f @UStrClr 025c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 D2 89 55 E0 89 55 C8 89 55 DC 89 55 F0 89 55 EC 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 8B 40 0C 8B 40 14 8B 40 08 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 40 0C 8B 40 18 8B 80 D8 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 50 10 8B 40 18 8B 80 D8 03 00 00 33 C9 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 40 18 8B 80 D8 03 00 00 8B 10 FF 92 20 01 00 00 48 0F 85 70 01 00 00 8B 45 F8 8B 40 0C 8B 50 10 8B 40 18 8B 80 D8 03 00 00 E8 ?? ?? ?? ?? 33 FF 55 68 ?? ?? ?? ?? 64 FF 37 64 89 27 8B 45 F8 8B 40 0C 8B 40 18 E8 ?? ?? ?? ?? 89 45 F4 33 F6 55 68 ?? ?? ?? ?? 64 FF 36 64 89 26 8B 45 F8 8B 58 0C 8B 4B 10 8B 43 14 8B 50 08 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 85 89 00 00 00 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 F8 8B 40 0C 8B 40 14 8B 40 08 89 45 CC C6 45 D0 11 8B 45 F4 8B 40 10 89 45 D4 C6 45 D8 00 8D 55 CC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 55 C8 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D C8 8D 45 FC 5A E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A3 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 40 0C 8B 50 10 8B 40 14 E8 ?? ?? ?? ?? 8B 45 F8 8B 70 0C 8B 56 0C 8B 45 F8 8B 40 0C 8B 58 18 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 50 0C 8B 40 18 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 40 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 8B 45 F8 8B 40 0C 8B 50 0C 8B 40 18 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 40 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 04 00 00 00 }
	condition:
		$1
}

rule function_28244_0 {
	meta:
		name = "TAzureBlobManagement.EditContainerMetadataAction$577$ActRec.$0$Body"
		size = 512
		refs = "001e TAzureBlobManagement.EditContainerMetadataAction$577$ActRec.$0$Body 002b _DV_TAzureBlobManagement.EditContainerMetadataAction$577$ActRec.$0$Body$578$ActRec 0030 TObject.Create 0045 @IntfCopy 007c TAzureBlobManagement.BlobService 009e TAzureBlobService.GetContainerMetadata 00b7 TAzureBlobManagement.MarkAsAvailable 00c3 SMetadataContainerFailure 00c8 LoadResString 00f7 Format 0106 TAzureService.GetResponseText 010f @UStrCat 0117 ShowErrorMessage 011c @TryFinallyExit 012d _Dn_TStringList 0132 TStringList.Create 014b TAzureService.PopulateContainer 0160 TObject.Free 0166 @HandleFinally 0179 TThread.Queue 0188 @HandleAnyException 019e @DoneExcept 01b3 @UStrClr 01c0 @UStrArrayClr 01c8 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 D2 89 55 EC 89 55 D4 89 55 E8 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 45 FC 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 89 50 0C 8B 45 F0 83 C0 10 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 14 8B 50 08 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 85 80 00 00 00 8B 45 F8 8B 50 0C 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 F8 8B 40 14 8B 40 08 89 45 D8 C6 45 DC 11 8B 45 F4 8B 40 10 89 45 E0 C6 45 E4 00 8D 55 D8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 55 D4 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D4 58 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 78 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F8 89 58 10 6A 00 8B CB BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F0 85 D2 74 03 83 EA EC 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 F8 8B 50 0C 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6D 00 65 00 74 00 61 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_28245_0 {
	meta:
		name = "TAzureBlobManagement.EditContainerMetadataAction"
		size = 158
		refs = "000e TAzureBlobManagement.EditContainerMetadataAction 001b _DV_TAzureBlobManagement.EditContainerMetadataAction$577$ActRec 0020 TObject.Create 0033 @IntfCopy 0045 TAzureBlobManagement.SelectedContainer 0054 TAzureBlobManagement.ContainerOf 0062 TAzureBlobManagement.MarkAsBusy 0072 _DV_TAnonymousThread 0077 TAnonymousThread.Create 008c @IntfClear 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 18 8B 96 C0 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 0C 8B D7 8B 43 18 E8 ?? ?? ?? ?? 89 43 14 8B 53 0C 8B 43 18 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28246_0 {
	meta:
		name = "TAzureBlobManagement.EditPagePropertiesAction$580$ActRec.$0$Body$581$ActRec.$0$0$Body"
		size = 1564
		refs = "0019 TAzureBlobManagement.EditPagePropertiesAction$580$ActRec.$0$Body$581$ActRec.$0$0$Body 0036 TAzBlockProps.SetMD5 004d TAzBlockProps.SetType 0064 TAzBlockProps.SetEncoding 007b TAzBlockProps.SetLanguage 0092 TAzBlockProps.SetCache 00a9 TAzPageProps.SetLength 00c0 TAzPageProps.SetSequence 00d4 TAzBlockProps.SetBaseline 00e0 SPropertiesCaption 00e5 LoadResString 0117 Format 012e TControl.SetText 015a TAzureBlobManagement.BlobService 0182 TAzBlockProps.GetCache 019d TAzBlockProps.GetType 01b8 TAzBlockProps.GetEncoding 01d3 TAzBlockProps.GetLanguage 01ee TAzBlockProps.GetMD5 0209 TAzPageProps.GetLength 0224 TAzPageProps.GetNumberAction 023f TAzPageProps.GetSequence 0254 TBBlob.GetLeaseID 026c TAzureBlobService.SetPageBlobProperties 0280 SPropertiesFailure 02d3 TAzureService.GetResponseText 02df @UStrCat3 02fb MessageDlgPosHelp 0300 @TryFinallyExit 032c TBBlob.PopulateProperty 043b TAzureBlobManagement.PropertiesOf 0444 TAzureBlobManagement.PopulateProperties 0462 TAzureBlobManagement.MarkAsAvailable 046a TObject.Free 0470 @HandleFinally 04a0 @UStrArrayClr 04c2 @UStrClr"
	strings:
		$1 = { 55 8B EC B9 11 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 0C 8B 50 30 8B 40 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 50 2C 8B 40 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 50 28 8B 40 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 50 24 8B 40 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 50 20 8B 40 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 50 1C 8B 40 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 50 18 8B 40 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 40 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 8B 58 0C 8B 43 14 8B 40 08 89 45 DC C6 45 E0 11 8B 43 10 8B 40 08 89 45 E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 40 0C 8B 40 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 40 34 8B 80 E0 03 00 00 8B 10 FF 92 20 01 00 00 48 0F 85 26 03 00 00 8B 45 F8 8B 40 0C 8B 40 34 E8 ?? ?? ?? ?? 89 45 F4 33 FF 55 68 ?? ?? ?? ?? 64 FF 37 64 89 27 8D 55 D8 8B 45 F8 8B 58 0C 8B 43 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 45 D8 50 8D 55 D4 8B 45 F8 8B 40 0C 8B 40 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 55 D0 8B 45 F8 8B 40 0C 8B 40 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 45 D0 50 8D 55 CC 8B 45 F8 8B 40 0C 8B 40 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 45 CC 50 8D 55 C8 8B 45 F8 8B 40 0C 8B 40 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 45 C8 50 8D 55 C4 8B 45 F8 8B 40 0C 8B 40 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 45 C4 50 8D 55 C0 8B 45 F8 8B 40 0C 8B 40 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 45 C0 50 8D 55 BC 8B 45 F8 8B 40 0C 8B 40 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 45 BC 50 8D 55 B8 8B 45 F8 8B 40 0C 8B 40 10 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 43 10 8B 48 08 8B 43 14 8B 50 08 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 85 91 00 00 00 8D 45 B4 50 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 50 8B 45 F8 8B 58 0C 8B 43 14 8B 40 08 89 45 98 C6 45 9C 11 8B 43 10 8B 40 08 89 45 A0 C6 45 A4 11 8B 45 F4 8B 40 10 89 45 A8 C6 45 AC 00 8D 55 98 B9 02 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 B4 50 8D 55 94 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D 94 8D 45 FC 5A E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7E 01 00 00 8D 55 90 8B 45 F8 8B 58 0C 8B 43 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 4D 90 8B 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 8C 8B 45 F8 8B 58 0C 8B 43 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 4D 8C 8B 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 88 8B 45 F8 8B 58 0C 8B 43 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 4D 88 8B 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 84 8B 45 F8 8B 58 0C 8B 43 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 4D 84 8B 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 80 8B 45 F8 8B 58 0C 8B 43 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 4D 80 8B 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B 45 F8 8B 58 0C 8B 43 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 8D 7C FF FF FF 8B 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 78 FF FF FF 8B 45 F8 8B 58 0C 8B 43 34 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 8D 78 FF FF FF 8B 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 70 0C 8B 56 0C 8B 45 F8 8B 40 0C 8B 58 34 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 50 0C 8B 40 34 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 8B 45 F8 8B 40 0C 8B 50 0C 8B 40 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5F 5E 5B 8B E5 5D C3 00 00 00 04 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4D 00 44 00 35 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 61 00 63 00 68 00 65 00 2D 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 73 00 65 00 71 00 75 00 65 00 6E 00 63 00 65 00 2D 00 6E 00 75 00 6D 00 62 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_28247_0 {
	meta:
		name = "TAzureBlobManagement.EditPagePropertiesAction$580$ActRec.$0$Body"
		size = 1004
		refs = "0019 TAzureBlobManagement.EditPagePropertiesAction$580$ActRec.$0$Body 0026 _DV_TAzureBlobManagement.EditPagePropertiesAction$580$ActRec.$0$Body$581$ActRec 002b TObject.Create 0040 @IntfCopy 0077 TAzureBlobManagement.BlobService 00a8 TAzureBlobService.GetBlobProperties 00c1 TAzureBlobManagement.MarkAsAvailable 00cd SPropertiesFailure 00d2 LoadResString 0111 Format 0120 TAzureService.GetResponseText 0129 @UStrCat 0131 ShowErrorMessage 0136 @TryFinallyExit 0153 TAzureService.GetResponseHeader 0161 @UStrAsg 022a TObject.Free 0230 @HandleFinally 0243 TThread.Queue 0252 @HandleAnyException 0268 @DoneExcept 0282 @UStrArrayClr 0297 @IntfClear"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 45 FC 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 89 50 0C 8B 45 F0 83 C0 10 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 34 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 58 10 8B 43 0C 50 6A 00 8B 4B 08 8B 45 F8 8B 40 14 8B 50 08 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 85 93 00 00 00 8B 45 F8 8B 50 0C 8B 45 F8 8B 40 34 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 F8 8B 40 14 8B 40 08 89 45 D0 C6 45 D4 11 8B 45 F8 8B 40 10 8B 40 08 89 45 D8 C6 45 DC 11 8B 45 F4 8B 40 10 89 45 E0 C6 45 E4 00 8D 55 D0 B9 02 00 00 00 58 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 55 CC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 CC 58 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 25 01 00 00 8D 4D C8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F8 83 C0 30 E8 ?? ?? ?? ?? 8D 4D C4 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 F8 83 C0 2C E8 ?? ?? ?? ?? 8D 4D C0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F8 83 C0 28 E8 ?? ?? ?? ?? 8D 4D BC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 BC 8B 45 F8 83 C0 24 E8 ?? ?? ?? ?? 8D 4D B8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 F8 83 C0 20 E8 ?? ?? ?? ?? 8D 4D B4 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 B4 8B 45 F8 83 C0 1C E8 ?? ?? ?? ?? 8D 4D B0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 B0 8B 45 F8 83 C0 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F0 85 D2 74 03 83 EA EC 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 F8 8B 50 0C 8B 45 F8 8B 40 34 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4D 00 44 00 35 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 61 00 63 00 68 00 65 00 2D 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 73 00 65 00 71 00 75 00 65 00 6E 00 63 00 65 00 2D 00 6E 00 75 00 6D 00 62 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_28248_0 {
	meta:
		name = "TAzureBlobManagement.EditPagePropertiesAction"
		size = 184
		refs = "000e TAzureBlobManagement.EditPagePropertiesAction 001b _DV_TAzureBlobManagement.EditPagePropertiesAction$580$ActRec 0020 TObject.Create 0033 @IntfCopy 0045 TAzureBlobManagement.SelectedBlob 0054 TAzureBlobManagement.BlobOf 0062 TAzureBlobManagement.SelectedContainer 006e TAzureBlobManagement.ContainerOf 007c TAzureBlobManagement.MarkAsBusy 008c _DV_TAnonymousThread 0091 TAnonymousThread.Create 00a6 @IntfClear 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 34 8B 96 C0 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 0C 8B D7 8B 43 34 E8 ?? ?? ?? ?? 89 43 10 8B 53 0C 8B 43 34 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 34 E8 ?? ?? ?? ?? 89 43 14 8B 53 0C 8B 43 34 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28249_0 {
	meta:
		name = "TAzureBlobManagement.FindContainer"
		size = 136
		refs = "0008 TAzureBlobManagement.FindContainer 000f @UStrEqual 0031 TTreeNode.getFirstChild 0040 TAzureBlobManagement.IsContainerNode 004d TAzureBlobManagement.ContainerOf 0060 TTreeNode.getNextSibling"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 75 15 83 BE B8 03 00 00 00 74 08 8B 9E BC 03 00 00 EB 44 33 DB EB 40 8B 86 BC 03 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 2F 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 15 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 40 08 8B D7 E8 ?? ?? ?? ?? 74 0D 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 D1 8B C3 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 24 00 72 00 6F 00 6F 00 74 00 00 00 }
	condition:
		$1
}

rule function_28250_0 {
	meta:
		name = "TAzureBlobManagement.FirstRootBlob"
		size = 64
		refs = "000e TTreeNode.GetLastChild 001d TAzureBlobManagement.IsContainerNode 0030 TTreeNode.GetPrevChild"
	strings:
		$1 = { 53 56 57 8B F0 33 FF 8B 86 BC 03 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 22 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 15 8B FB 8B D3 8B 86 BC 03 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 75 DE 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28251_0 {
	meta:
		name = "TAzureBlobManagement.GetActive"
		size = 11
	strings:
		$1 = { 83 B8 BC 03 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_28252_0 {
	meta:
		name = "TAzureBlobManagement.ImageIndexEvent"
		size = 216
		refs = "000f TAzureBlobManagement.IsContainerNode 0026 TAzureBlobManagement.IsBlobNode 0034 TAzureBlobManagement.AsObject 0039 TBBlob.IsBlockBlob 0054 TAzureBlobManagement.IsPageRegionsNode 0065 TAzureBlobManagement.IsBlockListNode 0079 TAzureBlobManagement.IsRootNode 008d TAzureBlobManagement.IsACLNode 00a1 TAzureBlobManagement.IsPropertiesNode 00b5 TAzureBlobManagement.IsMetadataNode 00c7 TTreeNode.SetImageIndex 00d0 TTreeNode.SetSelectedIndex"
	strings:
		$1 = { 53 56 57 8B D9 8B F8 83 CE FF 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0A BE 02 00 00 00 E9 A1 00 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 21 8B 53 0C 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 BE 03 00 00 00 EB 7A BE 04 00 00 00 EB 73 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 04 33 F6 EB 62 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 07 BE 01 00 00 00 EB 4E 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 07 BE 05 00 00 00 EB 3A 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 07 BE 06 00 00 00 EB 26 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 07 BE 07 00 00 00 EB 12 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 05 BE 08 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28253_0 {
	meta:
		name = "TAzureBlobManagement.IsACLNode"
		size = 86
		refs = "000c TAzureBlobManagement.IsACLNode 001a SACL 001f LoadResString 002a @UStrEqual 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 E8 ?? ?? ?? ?? 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_28256_0 {
	meta:
		name = "TAzureBlobManagement.IsBlockListNode"
		size = 86
		refs = "000c TAzureBlobManagement.IsBlockListNode 001a SBlockList 001f LoadResString 002a @UStrEqual 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 E8 ?? ?? ?? ?? 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_28262_0 {
	meta:
		name = "TAzureBlobManagement.IsPropertiesNode"
		size = 86
		refs = "000c TAzureBlobManagement.IsPropertiesNode 001a SProperties 001f LoadResString 002a @UStrEqual 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 E8 ?? ?? ?? ?? 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_28263_0 {
	meta:
		name = "TAzureBlobManagement.IsRootNode"
		size = 86
		refs = "000c TAzureBlobManagement.IsRootNode 001a SAzureBlobs 001f LoadResString 002a @UStrEqual 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 E8 ?? ?? ?? ?? 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_28254_0 {
	meta:
		name = "TAzureBlobManagement.IsAnyParentBusy"
		size = 72
		refs = "000c TTreeNode.GetParent 0020 TAzureBlobManagement.IsBusy 0034 TAzureBlobManagement.IsAnyParentBusy"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 33 DB 8B C6 E8 ?? ?? ?? ?? 85 C0 74 2E 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 18 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28255_0 {
	meta:
		name = "TAzureBlobManagement.IsBlobNode"
		size = 55
		refs = "000c TAzureBlobManagement.AsObject 0020 _DV_TBBlob 0025 @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 19 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_28257_0 {
	meta:
		name = "TAzureBlobManagement.IsBusy"
		size = 19
	strings:
		$1 = { 85 D2 74 09 8B 42 0C 83 E0 01 48 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_28258_0 {
	meta:
		name = "TAzureBlobManagement.IsBusyAction"
		size = 96
		refs = "0009 TAzureBlobManagement.IsBusyAction 0017 SIsBusy 001c LoadResString 0038 MessageDlgPosHelp 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 02 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 04 00 00 00 }
	condition:
		$1
}

rule function_28259_0 {
	meta:
		name = "TAzureBlobManagement.IsContainerNode"
		size = 52
		refs = "000f TAzureBlobManagement.AsObject 0023 _DV_TBContainer 0028 @IsClass"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 33 DB 8B 56 0C 8B C7 E8 ?? ?? ?? ?? 85 C0 74 17 8B 56 0C 8B C7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28260_0 {
	meta:
		name = "TAzureBlobManagement.IsMetadataNode"
		size = 88
		refs = "000c TAzureBlobManagement.IsMetadataNode 001a SMetadata 001f LoadResString 002a AnsiCompareText 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_28261_0 {
	meta:
		name = "TAzureBlobManagement.IsPageRegionsNode"
		size = 88
		refs = "000c TAzureBlobManagement.IsPageRegionsNode 001a SPageRegions 001f LoadResString 002a AnsiCompareText 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_28264_0 {
	meta:
		name = "TAzureBlobManagement.IsSnapshot"
		size = 56
		refs = "000b TAzureBlobManagement.IsBlobNode 0018 TAzureBlobManagement.BlobOf 0021 EmptyStr 0028 @UStrEqual"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 0C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_28265_0 {
	meta:
		name = "TAzureBlobManagement.SelectedBlob"
		size = 43
		refs = "000b TAzureBlobManagement.IsBlobNode 001b TTreeNode.GetParent 0024 TAzureBlobManagement.SelectedBlob"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 8B C6 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28266_0 {
	meta:
		name = "TAzureBlobManagement.SelectedContainer"
		size = 65
		refs = "000b TAzureBlobManagement.IsContainerNode 001d TAzureBlobManagement.IsRootNode 0031 TTreeNode.GetParent 003a TAzureBlobManagement.SelectedContainer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 8B C6 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B 83 BC 03 00 00 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28267_0 {
	meta:
		name = "TAzureBlobManagement.ManageBlockAction$601$ActRec.$0$Body$602$ActRec.$0$0$Body"
		size = 108
		refs = "000c TAzureBlobManagement.ManageBlockAction$601$ActRec.$0$Body$602$ActRec.$0$0$Body 0026 TAzureBlobManagement.PopulateWithLoadingNode 003e @CallDynaInst 005c TAzureBlobManagement.MarkAsAvailable 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 50 0C 8B 45 FC 8B 40 10 8B 40 28 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 0C 8B 45 FC 8B 40 10 8B 40 28 66 BE A5 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 50 24 8B 40 28 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5E 59 5D C3 }
	condition:
		$1
}

rule function_28268_0 {
	meta:
		name = "TAzureBlobManagement.ManageBlockAction$601$ActRec.$0$Body"
		size = 395
		refs = "0018 TAzureBlobManagement.ManageBlockAction$601$ActRec.$0$Body 0025 _DV_TAzureBlobManagement.ManageBlockAction$601$ActRec.$0$Body$602$ActRec 002a TObject.Create 003f @IntfCopy 0068 TAzureBlobManagement.BlobService 00af TAzureBlobService.PutBlock 00c4 TAzureBlobManagement.MarkAsAvailable 00cc SErrorGeneric 00d1 LoadResString 00e0 TAzureService.GetResponseText 00e9 @UStrCat 00f1 ShowErrorMessage 00f6 @TryFinallyExit 0109 TAzureBlobManagement.BlockNodeOf 0124 TObject.Free 012a @HandleFinally 0146 TThread.Queue 0173 @UStrArrayClr 017b @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 E8 33 D2 89 55 EC 89 55 E8 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 45 FC 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 89 50 10 8B 45 F0 83 C0 14 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 28 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 18 50 8B 45 F8 8B 40 14 50 8B 45 F8 8B 40 10 50 8B 45 F8 8B 40 0C 50 8B 45 F8 8B 40 1C 8B 48 08 8B 45 F8 8B 40 20 8B 50 08 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 45 8B 45 F8 8B 50 24 8B 45 F8 8B 40 28 E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E8 58 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 61 8B 45 F8 8B 50 24 8B 45 F8 8B 40 28 E8 ?? ?? ?? ?? 8B 55 F0 89 42 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 83 78 0C 00 74 13 8B 55 F0 85 D2 74 03 83 EA E8 33 C0 E8 ?? ?? ?? ?? EB 11 8B 45 F8 8B 50 24 8B 45 F8 8B 40 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 }
	condition:
		$1
}

rule function_28269_0 {
	meta:
		name = "TAzureBlobManagement.ManageBlockAction"
		size = 496
		refs = "0018 TAzureBlobManagement.ManageBlockAction 0025 _DV_TAzureBlobManagement.ManageBlockAction$601$ActRec 002a TObject.Create 003d @IntfCopy 004f TAzureBlobManagement.SelectedBlob 005e TAzureBlobManagement.BlobOf 006c TAzureBlobManagement.SelectedContainer 0078 TAzureBlobManagement.ContainerOf 0087 SBlobPageCaption 008c LoadResString 00b8 Format 00c9 TControl.SetText 00d4 TBBlob.GetLeaseID 00e5 TAzBlock.SetLeaseId 010e TAzBlock.GetBlockId 0119 @UStrAsg 012a TAzBlock.Content 0136 TArray<System.Byte> 013b @DynArrayAsg 014c TAzBlock.GetLeaseId 0168 TAzBlock.GetMD5 017e TAzureBlobManagement.MarkAsBusy 018e _DV_TAnonymousThread 0193 TAnonymousThread.Create 01ad @UStrArrayClr 01bb @DynArrayClear 01dd @IntfClear 01e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 28 8B 96 C0 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 24 8B D7 8B 43 28 E8 ?? ?? ?? ?? 89 43 1C 8B 53 24 8B 43 28 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 28 E8 ?? ?? ?? ?? 89 43 20 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 20 8B 40 08 89 45 E4 C6 45 E8 11 8B 43 1C 8B 40 08 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 28 8B 80 D4 03 00 00 E8 ?? ?? ?? ?? 8D 55 E0 8B 43 1C E8 ?? ?? ?? ?? 8B 55 E0 8B 43 28 8B 80 D4 03 00 00 E8 ?? ?? ?? ?? 8B 43 28 8B 80 D4 03 00 00 8B 10 FF 92 20 01 00 00 48 0F 85 96 00 00 00 8D 55 DC 8B 43 28 8B 80 D4 03 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8D 43 18 E8 ?? ?? ?? ?? 8D 55 D8 8B 43 28 8B 80 D4 03 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8D 43 14 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D4 8B 43 28 8B 80 D4 03 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8D 43 10 E8 ?? ?? ?? ?? 8D 55 D0 8B 43 28 8B 80 D4 03 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8D 43 0C E8 ?? ?? ?? ?? 8B 53 24 8B 43 28 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28270_0 {
	meta:
		name = "TAzureBlobManagement.ManagePageAction$604$ActRec.$0$Body$605$ActRec.$0$0$Body"
		size = 108
		refs = "000c TAzureBlobManagement.ManagePageAction$604$ActRec.$0$Body$605$ActRec.$0$0$Body 0026 TAzureBlobManagement.PopulateWithLoadingNode 003e @CallDynaInst 005c TAzureBlobManagement.MarkAsAvailable 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 50 0C 8B 45 FC 8B 40 10 8B 40 58 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 0C 8B 45 FC 8B 40 10 8B 40 58 66 BE A5 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 50 54 8B 40 58 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5E 59 5D C3 }
	condition:
		$1
}

rule function_28271_0 {
	meta:
		name = "TAzureBlobManagement.ManagePageAction$604$ActRec.$0$Body"
		size = 462
		refs = "0018 TAzureBlobManagement.ManagePageAction$604$ActRec.$0$Body 0025 _DV_TAzureBlobManagement.ManagePageAction$604$ActRec.$0$Body$605$ActRec 002a TObject.Create 003f @IntfCopy 0068 TAzureBlobManagement.BlobService 00f2 TAzureBlobService.PutPage 0107 TAzureBlobManagement.MarkAsAvailable 010f SErrorGeneric 0114 LoadResString 0123 TAzureService.GetResponseText 012c @UStrCat 0134 ShowErrorMessage 0139 @TryFinallyExit 014c TAzureBlobManagement.PageNodeOf 0167 TObject.Free 016d @HandleFinally 0189 TThread.Queue 01b6 @UStrArrayClr 01be @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 E8 33 D2 89 55 EC 89 55 E8 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 45 FC 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 89 50 10 8B 45 F0 83 C0 14 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 58 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 48 50 8B 45 F8 FF 70 44 FF 70 40 8B 45 F8 FF 70 3C FF 70 38 8B 45 F8 8B 40 30 50 8B 45 F8 8B 40 2C 50 8B 45 F8 8B 40 28 50 8B 45 F8 8B 40 24 50 8B 45 F8 8B 40 20 50 8B 45 F8 8B 40 1C 50 8B 45 F8 8B 40 18 50 8B 45 F8 8B 40 14 50 8B 45 F8 8B 40 10 50 8B 45 F8 8B 40 0C 50 8B 45 F8 8B 40 4C 8B 48 08 8B 45 F8 8B 40 50 8B 50 08 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 45 8B 45 F8 8B 50 54 8B 45 F8 8B 40 58 E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E8 58 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 61 8B 45 F8 8B 50 54 8B 45 F8 8B 40 58 E8 ?? ?? ?? ?? 8B 55 F0 89 42 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 83 78 0C 00 74 13 8B 55 F0 85 D2 74 03 83 EA E8 33 C0 E8 ?? ?? ?? ?? EB 11 8B 45 F8 8B 50 54 8B 45 F8 8B 40 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 }
	condition:
		$1
}

rule function_28272_0 {
	meta:
		name = "TAzureBlobManagement.ManagePageAction"
		size = 728
		refs = "0019 TAzureBlobManagement.ManagePageAction 0026 _DV_TAzureBlobManagement.ManagePageAction$604$ActRec 002b TObject.Create 003e @IntfCopy 0050 TAzureBlobManagement.SelectedBlob 005f TAzureBlobManagement.BlobOf 006d TAzureBlobManagement.SelectedContainer 0079 TAzureBlobManagement.ContainerOf 0088 SBlobPageCaption 008d LoadResString 00b9 Format 00ca TControl.SetText 00d5 TBBlob.GetLeaseID 00e6 TAzPage.SetLeaseID 010f TAzPage.Content 011b TArray<System.Byte> 0120 @DynArrayAsg 012e TAzPage.FirstByte 0142 TAzPage.EndByte 0159 TAzPage.GetPageWrite 0164 @UStrAsg 0175 TAzPage.GetContentMD5 0191 TAzPage.GetLeaseID 01ad TAzPage.GetModifiedSince 01c9 TAzPage.GetUnmodifiedSince 01e5 TAzPage.IfMatch 0201 TAzPage.IfNoneMatch 021d TAzPage.GetSequenceNumberLte 0239 TAzPage.GetSequenceNumberLt 0255 TAzPage.GetSequenceNumberEq 026b TAzureBlobManagement.MarkAsBusy 027b _DV_TAnonymousThread 0280 TAnonymousThread.Create 029a @UStrArrayClr 02a8 @DynArrayClear 02b0 @UStrClr 02c5 @IntfClear 02cb @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 58 8B 96 C0 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 54 8B D7 8B 43 58 E8 ?? ?? ?? ?? 89 43 4C 8B 53 54 8B 43 58 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 58 E8 ?? ?? ?? ?? 89 43 50 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 50 8B 40 08 89 45 E4 C6 45 E8 11 8B 43 4C 8B 40 08 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 58 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 8D 55 E0 8B 43 4C E8 ?? ?? ?? ?? 8B 55 E0 8B 43 58 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 8B 43 58 8B 80 D0 03 00 00 8B 10 FF 92 20 01 00 00 48 0F 85 82 01 00 00 8D 55 DC 8B 43 58 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8D 43 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 58 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 89 43 40 89 53 44 8B 43 58 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 89 43 38 89 53 3C 8D 55 D8 8B 43 58 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8D 43 30 E8 ?? ?? ?? ?? 8D 55 D4 8B 43 58 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8D 43 2C E8 ?? ?? ?? ?? 8D 55 D0 8B 43 58 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8D 43 28 E8 ?? ?? ?? ?? 8D 55 CC 8B 43 58 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 8B 55 CC 8D 43 18 E8 ?? ?? ?? ?? 8D 55 C8 8B 43 58 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8D 43 14 E8 ?? ?? ?? ?? 8D 55 C4 8B 43 58 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 8B 55 C4 8D 43 10 E8 ?? ?? ?? ?? 8D 55 C0 8B 43 58 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8D 43 0C E8 ?? ?? ?? ?? 8D 55 BC 8B 43 58 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 8B 55 BC 8D 43 24 E8 ?? ?? ?? ?? 8D 55 B8 8B 43 58 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 8B 55 B8 8D 43 20 E8 ?? ?? ?? ?? 8D 55 B4 8B 43 58 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 8B 55 B4 8D 43 1C E8 ?? ?? ?? ?? 8B 53 54 8B 43 58 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 A4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28273_0 {
	meta:
		name = "TAzureBlobManagement.MarkAsAvailable"
		size = 14
		refs = "0009 TTreeNode.SetData"
	strings:
		$1 = { 8B 42 0C D1 E8 03 C0 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28274_0 {
	meta:
		name = "TAzureBlobManagement.MarkAsBusy"
		size = 13
		refs = "0008 TTreeNode.SetData"
	strings:
		$1 = { 8B 42 0C 83 C8 01 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28276_0 {
	meta:
		name = "TAzureBlobManagement.MenuForBlockBlob"
		size = 384
		refs = "0016 TAzureBlobManagement.MenuForBlockBlob 0037 TAzureBlobManagement.IsSnapshot 0066 TAzureBlobManagement.IsBlobNode 0077 TAzureBlobManagement.BlobOf 007f TBBlob.GetLeaseID 0088 EmptyStr 008f @UStrEqual 00a3 TBBlob.IsLeaseExpired 00c2 @SetUnion 0107 TAzureBlobManagement.PrepareMenu 011c @UStrClr 0122 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D E0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 BE ?? ?? ?? ?? 8D 7D F3 A5 A5 A5 A4 5E 8B 93 C0 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 56 BE ?? ?? ?? ?? 8D 7D E6 A5 A5 A5 A4 5E EB 0E 56 BE ?? ?? ?? ?? 8D 7D E6 A5 A5 A5 A4 5E 8B 93 C0 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 66 8B 93 C0 03 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 3F 8B 93 C0 03 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 29 56 8D 75 E6 8D 7D D0 A5 A5 A5 A4 5E 8D 45 D0 BA ?? ?? ?? ?? B1 0D E8 ?? ?? ?? ?? 56 8D 75 D0 8D 7D E6 A5 A5 A5 A4 5E EB 27 56 8D 75 E6 8D 7D D0 A5 A5 A5 A4 5E 8D 45 D0 BA ?? ?? ?? ?? B1 0D E8 ?? ?? ?? ?? 56 8D 75 D0 8D 7D E6 A5 A5 A5 A4 5E 8D 45 E6 50 8D 4D F3 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 B2 A7 1A 00 00 00 00 00 00 00 00 00 00 00 00 00 00 08 25 81 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 38 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_28277_0 {
	meta:
		name = "TAzureBlobManagement.MenuForContainer"
		size = 84
		refs = "0006 TAzureBlobManagement.MenuForContainer 0027 TAzureBlobManagement.PrepareMenu"
	strings:
		$1 = { 56 57 83 C4 E4 BE ?? ?? ?? ?? 8B FC A5 A5 A5 A4 BE ?? ?? ?? ?? 8D 7C 24 0D A5 A5 A5 A4 8D 4C 24 0D 51 8D 4C 24 04 E8 ?? ?? ?? ?? 83 C4 1C 5F 5E C3 00 00 00 B2 CC ED 83 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_28278_0 {
	meta:
		name = "TAzureBlobManagement.MenuForPageBlob"
		size = 384
		refs = "0016 TAzureBlobManagement.MenuForPageBlob 0037 TAzureBlobManagement.IsSnapshot 0066 TAzureBlobManagement.IsBlobNode 0077 TAzureBlobManagement.BlobOf 007f TBBlob.GetLeaseID 0088 EmptyStr 008f @UStrEqual 00a3 TBBlob.IsLeaseExpired 00c2 @SetUnion 0107 TAzureBlobManagement.PrepareMenu 011c @UStrClr 0122 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D E0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 BE ?? ?? ?? ?? 8D 7D F3 A5 A5 A5 A4 5E 8B 93 C0 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 56 BE ?? ?? ?? ?? 8D 7D E6 A5 A5 A5 A4 5E EB 0E 56 BE ?? ?? ?? ?? 8D 7D E6 A5 A5 A5 A4 5E 8B 93 C0 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 66 8B 93 C0 03 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 3F 8B 93 C0 03 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 29 56 8D 75 E6 8D 7D D0 A5 A5 A5 A4 5E 8D 45 D0 BA ?? ?? ?? ?? B1 0D E8 ?? ?? ?? ?? 56 8D 75 D0 8D 7D E6 A5 A5 A5 A4 5E EB 27 56 8D 75 E6 8D 7D D0 A5 A5 A5 A4 5E 8D 45 D0 BA ?? ?? ?? ?? B1 0D E8 ?? ?? ?? ?? 56 8D 75 D0 8D 7D E6 A5 A5 A5 A4 5E 8D 45 E6 50 8D 4D F3 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 B2 AB 16 81 00 00 00 00 00 00 00 00 00 00 00 00 00 04 29 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 38 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_28279_0 {
	meta:
		name = "TAzureBlobManagement.MenuForRoot"
		size = 268
		refs = "0013 TAzureBlobManagement.NeedsLoading 001c TAzureBlobManagement.MenuForRoot 002a TAzureBlobManagement.PrepareMenuVisible 0065 @SetUnion 00b0 TAzureBlobManagement.PrepareMenu"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8B D8 8B 93 BC 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E9 81 00 00 00 56 BE ?? ?? ?? ?? 8D 7C 24 04 A5 A5 A5 A4 5E 83 BB B8 03 00 00 00 74 2E 56 8D 74 24 04 8D 7C 24 14 A5 A5 A5 A4 5E 8D 44 24 10 BA ?? ?? ?? ?? B1 0D E8 ?? ?? ?? ?? 56 8D 74 24 14 8D 7C 24 04 A5 A5 A5 A4 5E EB 2C 56 8D 74 24 04 8D 7C 24 14 A5 A5 A5 A4 5E 8D 44 24 10 BA ?? ?? ?? ?? B1 0D E8 ?? ?? ?? ?? 56 8D 74 24 14 8D 7C 24 04 A5 A5 A5 A4 5E 54 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 20 03 12 00 00 00 00 00 00 00 00 00 00 00 00 00 10 EC ED 83 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_28282_0 {
	meta:
		name = "TAzureBlobManagement.NeedsLoading"
		size = 115
		refs = "000b TAzureBlobManagement.NeedsLoading 0018 TTreeNode.getFirstChild 0027 TTreeNode.getNextSibling 0033 SNodeLoading 0038 LoadResString 0043 @UStrEqual 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C2 E8 ?? ?? ?? ?? 8B F0 33 DB 85 F6 74 2B 8B C6 E8 ?? ?? ?? ?? 85 C0 75 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 46 08 E8 ?? ?? ?? ?? 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28283_0 {
	meta:
		name = "TAzureBlobManagement.NodeExpandedAction"
		size = 253
		refs = "000b TAzureBlobManagement.IsBusy 001c TAzureBlobManagement.NeedsLoading 002d TAzureBlobManagement.IsRootNode 0038 TAzureBlobManagement.PopulateContainers 0046 TAzureBlobManagement.IsContainerNode 0058 TAzureBlobManagement.PopulateContainerWithBlobs 0066 TAzureBlobManagement.IsACLNode 0073 TAzureBlobManagement.ContainerOfACL 007e TAzureBlobManagement.PopulateContainerWithACL 0089 TAzureBlobManagement.IsBlobNode 0096 TAzureBlobManagement.PopulateBlob 00a1 TAzureBlobManagement.IsPageRegionsNode 00ae TAzureBlobManagement.PopulatePageList 00b9 TAzureBlobManagement.IsBlockListNode 00c6 TAzureBlobManagement.PopulateBlockList 00d1 TAzureBlobManagement.IsMetadataNode 00de TAzureBlobManagement.PopulateMetadata 00e9 TAzureBlobManagement.IsPropertiesNode 00f6 TAzureBlobManagement.PopulateProperties"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 E3 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 D2 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? E9 B9 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 6A 01 8B 4E 08 8B D6 8B C3 E8 ?? ?? ?? ?? E9 99 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? EB 76 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 5E 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 46 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 2E 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 16 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28285_0 {
	meta:
		name = "TAzureBlobManagement.ParseXML"
		size = 116
		refs = "000f TAzureBlobManagement.ParseXML 001e _Dn_TXMLDocument 0023 TXMLDocument.Create 0037 @IntfCopy 0063 @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 91 A0 00 00 00 8B D6 8B 45 FC 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28286_0 {
	meta:
		name = "TAzureBlobManagement.PopulateContainerWithACL$620$ActRec.$0$Body$621$ActRec.$0$0$Body"
		size = 608
		refs = "0020 TAzureBlobManagement.PopulateContainerWithACL$620$ActRec.$0$Body$621$ActRec.$0$0$Body 003a TTreeNodes.BeginUpdate 0048 TTreeNode.DeleteChildren 0062 SBlobPublicAccess 0067 LoadResString 0090 Format 00aa TTreeNodes.AddChild 00db TList<DSAzureBlob.TBSignedIdentifier>.GetItem 00e6 SSignedIdentifier 0105 TTreeNodes.AddChildObject 0163 TBSignedIdentifier.GetPermission 01bc TObject.Free 01cc TTreeNode.Expand 01ea TAzureBlobManagement.MarkAsAvailable 01fe TTreeNodes.EndUpdate 0204 @HandleFinally 021b @UStrClr 0228 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 D2 89 55 CC 89 55 D4 89 55 D8 89 55 F0 89 55 DC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 8B 40 14 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 40 10 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 8B 45 FC 8B 40 10 89 45 E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8B 45 FC 8B 58 14 8B 53 10 8B 43 14 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 0C 8B 40 08 48 85 C0 0F 8C E9 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 8B 45 FC 8B 40 0C 8B 40 0C 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 53 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 8B 45 FC 8B 70 14 8B 56 10 8B 46 14 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 43 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 19 8B 4B 0C 8B 45 FC 8B 40 14 8B 40 14 8B 80 E0 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 43 10 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 19 8B 4B 10 8B 45 FC 8B 40 14 8B 40 14 8B 80 E0 02 00 00 8B D6 E8 ?? ?? ?? ?? 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 89 45 D0 8B 45 D0 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 23 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 4D CC 8B 45 FC 8B 40 14 8B 40 14 8B 80 E0 02 00 00 8B D6 E8 ?? ?? ?? ?? FF 45 F8 FF 4D F4 0F 85 22 FF FF FF 8B 45 FC 8B 40 0C 8B 50 0C 83 7A 08 00 75 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 40 10 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 50 10 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 40 14 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 3A 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_28287_0 {
	meta:
		name = "TAzureBlobManagement.PopulateContainerWithACL$620$ActRec.$0$Body"
		size = 512
		refs = "0017 TAzureBlobManagement.PopulateContainerWithACL$620$ActRec.$0$Body 0024 _DV_TAzureBlobManagement.PopulateContainerWithACL$620$ActRec.$0$Body$621$ActRec 0029 TObject.Create 003c @IntfCopy 0069 CoInitialize 0074 TAzureBlobManagement.BlobService 0099 TAzureBlobService.GetContainerACL 00a9 TAzureService.GetResponseHeader 00b4 @UStrAsg 00bc TObject.Free 00cb @HandleAnyException 00dc TAzureBlobManagement.MarkAsAvailable 00e4 SErrorGeneric 00e9 LoadResString 00f8 TAzureService.GetResponseText 0101 @UStrCat 0109 ShowErrorMessage 0116 @DoneExcept 0136 TAzureBlobManagement.ParseXML 0141 _DV_TBSignedIdentifiers 0146 TBSignedIdentifiers.FromXML 0159 TThread.Queue 0198 @UStrArrayClr 01a0 @IntfClear 01b0 @UStrClr 01b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 89 43 14 8D 43 18 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 14 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 45 F0 8B 40 0C 8B 50 08 8B 45 EC E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E8 8D 43 10 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 5F E9 ?? ?? ?? ?? 8B 45 F0 8B 50 10 8B 45 F0 8B 40 14 E8 ?? ?? ?? ?? 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 50 8D 55 E0 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E0 58 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 5E E8 ?? ?? ?? ?? 8D 4D F8 8B 45 F0 8B 40 14 8B 55 FC E8 ?? ?? ?? ?? 8B 53 10 8B 4D F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 8B D3 85 D2 74 03 83 EA E4 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 F0 8B 50 10 8B 45 F0 8B 40 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 17 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 70 00 75 00 62 00 6C 00 69 00 63 00 2D 00 61 00 63 00 63 00 65 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_28288_0 {
	meta:
		name = "TAzureBlobManagement.PopulateContainerWithACL"
		size = 145
		refs = "0019 TAzureBlobManagement.PopulateContainerWithACL 0026 _DV_TAzureBlobManagement.PopulateContainerWithACL$620$ActRec 002b TObject.Create 003e @IntfCopy 0054 TAzureBlobManagement.MarkAsBusy 0064 _DV_TAnonymousThread 0069 TAnonymousThread.Create 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F8 89 43 0C 89 7B 10 8B C6 89 43 14 8B 53 10 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28289_0 {
	meta:
		name = "TAzureBlobManagement.PopulateContainerWithBlobs$623$ActRec.$0$Body$624$ActRec.$0$0$Body"
		size = 14
		refs = "0009 TTreeNode.Collapse"
	strings:
		$1 = { 8B 40 10 8B 40 18 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28290_0 {
	meta:
		name = "TAzureBlobManagement.PopulateContainerWithBlobs$623$ActRec.$0$Body$624$ActRec.$0$1$Body"
		size = 616
		refs = "001e TAzureBlobManagement.PopulateContainerWithBlobs$623$ActRec.$0$Body$624$ActRec.$0$1$Body 0038 TTreeNodes.BeginUpdate 004c TTreeNode.DeleteChildren 0054 SMetadata 0059 LoadResString 0079 TTreeNodes.AddChildFirst 0082 TAzureBlobManagement.PopulateWithLoadingNode 008a SProperties 00c0 SACL 0124 TList<DSAzureBlob.TBBlob>.GetItem 012d TBBlob.IsSnapshot 015b Format 0168 @UStrLAsg 0189 TTreeNodes.AddChildObject 01b5 TObject.Free 01c5 TTreeNode.Expand 01e9 TAzureBlobManagement.MarkAsAvailable 01fd TTreeNodes.EndUpdate 0203 @HandleFinally 021f @UStrArrayClr 0227 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 D2 89 55 EC 89 55 F0 89 55 F4 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 10 8B 40 14 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 10 80 78 10 00 74 08 8B 40 18 E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B 45 F8 8B 70 10 8B 56 18 8B 45 F8 8B 40 10 8B 58 14 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8B 45 F8 8B 70 10 8B 56 18 8B 45 F8 8B 40 10 8B 58 14 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC 8B 45 F8 8B 70 10 8B 56 18 8B 45 F8 8B 40 10 8B 58 14 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 0C 8B 40 1C 8B 70 08 4E 85 F6 0F 8C 90 00 00 00 46 33 FF 8B 45 F8 8B 40 0C 8B 40 1C 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2C 8D 45 FC 50 8B 43 08 89 45 DC C6 45 E0 11 8B 43 0C 89 45 E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 53 8B 45 F8 8B 40 10 8B 50 18 8B 45 F8 8B 40 10 8B 40 14 8B 80 E0 02 00 00 8B 4D FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 10 8B 40 14 E8 ?? ?? ?? ?? 47 4E 0F 85 73 FF FF FF 8B 45 F8 8B 40 0C 8B 50 1C 83 7A 08 00 75 05 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 10 8B 40 18 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 10 80 78 10 00 74 0B 8B 50 18 8B 40 14 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 10 8B 40 14 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 25 00 73 00 3A 00 20 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 3D 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_28291_0 {
	meta:
		name = "TAzureBlobManagement.PopulateContainerWithBlobs$623$ActRec.$0$Body"
		size = 632
		refs = "0021 TAzureBlobManagement.PopulateContainerWithBlobs$623$ActRec.$0$Body 002e _DV_TAzureBlobManagement.PopulateContainerWithBlobs$623$ActRec.$0$Body$624$ActRec 0033 TObject.Create 0048 @IntfCopy 007b CoInitialize 0086 TAzureBlobManagement.BlobService 00e4 TAzureBlobService.ListBlobs 00ec TObject.Free 00fb @HandleAnyException 0115 TAzureBlobManagement.MarkAsAvailable 011d SErrorGeneric 0122 LoadResString 0131 TAzureService.GetResponseText 013a @UStrCat 0142 ShowErrorMessage 0153 TThread.Synchronize 0160 @DoneExcept 0180 TAzureBlobManagement.ParseXML 0188 _DV_TBBlobs 018d TBBlobs.FromXML 01d2 @RaiseAgain 01f1 @UStrArrayClr 01f9 @IntfClear 0209 @UStrClr 020f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 D2 89 55 C4 89 55 C0 89 55 FC 89 55 F8 89 55 F4 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8D 45 F4 8B 55 E8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 F0 89 50 10 8B 45 E8 83 C0 14 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 14 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 45 D8 50 6A 01 8D 45 FC 50 B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 8D 4D C8 8B 45 F0 8B 50 0C 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 79 E9 ?? ?? ?? ?? 8B 45 F0 80 78 10 00 74 11 8B 45 F0 8B 50 18 8B 45 F0 8B 40 14 E8 ?? ?? ?? ?? 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C4 50 8D 55 C0 8B 45 EC E8 ?? ?? ?? ?? 8B 55 C0 58 E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8B 55 E8 85 D2 74 03 83 EA E4 33 C0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 6D E8 ?? ?? ?? ?? 8D 4D F8 8B 45 F0 8B 40 14 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 89 42 0C 8B 55 E8 85 D2 74 03 83 EA E8 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 8B 45 F0 80 78 10 00 74 11 8B 45 F0 8B 50 18 8B 45 F0 8B 40 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 73 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 73 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 00 00 }
	condition:
		$1
}

rule function_28292_0 {
	meta:
		name = "TAzureBlobManagement.PopulateContainerWithBlobs"
		size = 167
		refs = "0019 TAzureBlobManagement.PopulateContainerWithBlobs 0026 _DV_TAzureBlobManagement.PopulateContainerWithBlobs$623$ActRec 002b TObject.Create 003e @IntfCopy 0049 @UStrAsg 0068 TAzureBlobManagement.MarkAsBusy 0078 _DV_TAnonymousThread 007d TAnonymousThread.Create 0092 @IntfClear 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8D 43 0C 8B 55 F8 E8 ?? ?? ?? ?? 0F B6 45 08 88 43 10 89 73 14 8B C7 89 43 18 80 7B 10 00 74 0A 8B D0 8B 43 14 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_28293_0 {
	meta:
		name = "TAzureBlobManagement.PopulateMetadata$627$ActRec.$0$Body$628$ActRec.$0$0$Body"
		size = 368
		refs = "001d TAzureBlobManagement.PopulateMetadata$627$ActRec.$0$Body$628$ActRec.$0$0$Body 003f TTreeNode.DeleteChildren 004d TDictionary<System.string,System.string>.GetKeys 006b @UStrLAsg 008d TDictionary<System.string,System.string>.GetItem 00a9 Format 00bd TTreeNodes.AddChild 00c6 @DynArrayLength 00d3 TArray<System.string> 00d8 @DynArrayClear 00f5 TTreeNode.Expand 0106 TAzureBlobManagement.MarkAsAvailable 010c @HandleFinally 0123 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 D2 89 55 F0 89 55 DC 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 40 0C 8B 40 20 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C 8B 40 1C E8 ?? ?? ?? ?? 8B D8 8D 55 F8 8B C3 8B 08 FF 51 04 33 DB EB 61 8D 45 FC 8B 55 F8 8B 14 9A E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 FC 89 45 E0 C6 45 E4 11 8D 4D DC 8B 45 F4 8B 70 0C 8B 46 1C 8B 55 FC E8 ?? ?? ?? ?? 8B 45 DC 89 45 E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8B 56 20 8B 46 18 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7C 93 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 0C 8B 40 20 B2 01 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C 8B 50 20 8B 40 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 3A 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_28301_0 {
	meta:
		name = "TAzureBlobManagement.PopulateProperties$635$ActRec.$0$Body$636$ActRec.$0$0$Body"
		size = 368
		refs = "001d TAzureBlobManagement.PopulateProperties$635$ActRec.$0$Body$636$ActRec.$0$0$Body 003f TTreeNode.DeleteChildren 004d TDictionary<System.string,System.string>.GetKeys 006b @UStrLAsg 008d TDictionary<System.string,System.string>.GetItem 00a9 Format 00bd TTreeNodes.AddChild 00c6 @DynArrayLength 00d3 TArray<System.string> 00d8 @DynArrayClear 00f5 TTreeNode.Expand 0106 TAzureBlobManagement.MarkAsAvailable 010c @HandleFinally 0123 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 D2 89 55 F0 89 55 DC 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 40 0C 8B 40 20 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C 8B 40 1C E8 ?? ?? ?? ?? 8B D8 8D 55 F8 8B C3 8B 08 FF 51 04 33 DB EB 61 8D 45 FC 8B 55 F8 8B 14 9A E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 FC 89 45 E0 C6 45 E4 11 8D 4D DC 8B 45 F4 8B 70 0C 8B 46 1C 8B 55 FC E8 ?? ?? ?? ?? 8B 45 DC 89 45 E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8B 56 20 8B 46 18 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7C 93 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 0C 8B 40 20 B2 01 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C 8B 50 20 8B 40 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 3A 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_28294_0 {
	meta:
		name = "TAzureBlobManagement.PopulateMetadata$627$ActRec.$0$Body"
		size = 544
		refs = "0015 TAzureBlobManagement.PopulateMetadata$627$ActRec.$0$Body 0022 _DV_TAzureBlobManagement.PopulateMetadata$627$ActRec.$0$Body$628$ActRec 0027 TObject.Create 003a @IntfCopy 0067 CoInitialize 0086 TAzureBlobManagement.IsRootNode 00b2 TAzureBlobManagement.AsObject 00c6 _DV_TBContainer 00cb @IsClass 00dc @AsClass 00eb TAzureBlobManagement.PopulateLatestMetadata 0115 TTreeNode.GetParent 0165 _DV_TBBlob 01b4 TThread.Queue 01c3 @HandleAnyException 01d4 TAzureBlobManagement.MarkAsAvailable 01d9 @RaiseAgain 01de @DoneExcept 01f0 CoUninitialize 01f6 @HandleFinally 020d @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F8 89 43 0C 8D 43 10 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 50 14 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 F8 8B 40 18 8B 80 B8 03 00 00 8B 55 F8 89 42 10 EB 1A 8B 45 F8 8B 40 14 8B 50 0C 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 8B 55 F8 89 42 10 8B 45 F8 8B 70 10 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 18 33 C9 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 14 8B 55 F8 89 42 1C E9 9A 00 00 00 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 F8 8B 40 18 8B 80 B8 03 00 00 8B 55 F8 89 42 0C EB 1F 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 8B 50 0C 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C 8B 45 F8 8B 40 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F8 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 18 59 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 18 8B 55 F8 89 42 1C 8B D3 85 D2 74 03 83 EA EC 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 8B 45 F8 8B 50 20 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28295_0 {
	meta:
		name = "TAzureBlobManagement.PopulateMetadata"
		size = 146
		refs = "0010 TAzureBlobManagement.PopulateMetadata 001d _DV_TAzureBlobManagement.PopulateMetadata$627$ActRec 0022 TObject.Create 0035 @IntfCopy 0048 TTreeNode.GetParent 0056 TAzureBlobManagement.MarkAsBusy 0066 _DV_TAnonymousThread 006b TAnonymousThread.Create 0080 @IntfClear 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 18 8B F7 89 73 20 85 F6 74 2A 8B C6 E8 ?? ?? ?? ?? 89 43 14 8B 53 20 8B 43 18 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28303_0 {
	meta:
		name = "TAzureBlobManagement.PopulateProperties"
		size = 146
		refs = "0010 TAzureBlobManagement.PopulateProperties 001d _DV_TAzureBlobManagement.PopulateProperties$635$ActRec 0022 TObject.Create 0035 @IntfCopy 0048 TTreeNode.GetParent 0056 TAzureBlobManagement.MarkAsBusy 0066 _DV_TAnonymousThread 006b TAnonymousThread.Create 0080 @IntfClear 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 18 8B F7 89 73 20 85 F6 74 2A 8B C6 E8 ?? ?? ?? ?? 89 43 14 8B 53 20 8B 43 18 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28296_0 {
	meta:
		name = "TAzureBlobManagement.PopulatePageList$630$ActRec.$0$Body$631$ActRec.$0$0$Body"
		size = 496
		refs = "001b TAzureBlobManagement.PopulatePageList$630$ActRec.$0$Body$631$ActRec.$0$0$Body 0035 TTreeNodes.BeginUpdate 0043 TTreeNode.DeleteChildren 005d SContentLength 0062 LoadResString 008b Format 00a5 TTreeNodes.AddChild 00c9 TList<DSAzureBlob.TBPageRange>.GetItem 0116 TTreeNodes.AddChildObject 012e TObject.Free 013e TTreeNode.Expand 015c TAzureBlobManagement.MarkAsAvailable 0170 TTreeNodes.EndUpdate 0176 @HandleFinally 0192 @UStrArrayClr 019a @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 E0 89 55 F8 89 55 E4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 8B 40 1C 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 40 18 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 8B 45 FC 8B 40 10 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8B 45 FC 8B 58 14 8B 53 18 8B 43 1C 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 0C 8B 70 08 4E 85 F6 7C 64 46 33 FF 8B 45 FC 8B 40 0C 8B 40 0C 8B D7 E8 ?? ?? ?? ?? 8B D8 53 8D 45 E0 50 8B 43 08 89 45 E8 C6 45 EC 11 8B 43 0C 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 8B 45 FC 8B 40 14 8B 50 18 8B 45 FC 8B 40 14 8B 40 1C 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 47 4E 75 9F 8B 45 FC 8B 40 0C 8B 50 0C 83 7A 08 00 75 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 40 18 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 50 18 8B 40 1C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 40 1C 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 3A 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 62 00 79 00 74 00 65 00 73 00 3D 00 25 00 73 00 2C 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_28297_0 {
	meta:
		name = "TAzureBlobManagement.PopulatePageList$630$ActRec.$0$Body"
		size = 544
		refs = "0017 TAzureBlobManagement.PopulatePageList$630$ActRec.$0$Body 0024 _DV_TAzureBlobManagement.PopulatePageList$630$ActRec.$0$Body$631$ActRec 0029 TObject.Create 003c @IntfCopy 0069 CoInitialize 0074 TAzureBlobManagement.BlobService 00ae TAzureBlobService.GetPageRegions 00be TAzureService.GetResponseHeader 00c9 @UStrAsg 00d1 TObject.Free 00e0 @HandleAnyException 00f1 TAzureBlobManagement.MarkAsAvailable 00f9 SErrorGeneric 00fe LoadResString 010d TAzureService.GetResponseText 0116 @UStrCat 011e ShowErrorMessage 012b @DoneExcept 014b TAzureBlobManagement.ParseXML 0156 _DV_TBPageList 015b TBPageList.FromXML 016e TThread.Queue 0193 @RaiseAgain 01b2 @UStrArrayClr 01ba @IntfClear 01ca @UStrClr 01d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 89 43 14 8D 43 18 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 1C E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 40 0C 50 6A 00 6A 00 6A 00 6A 00 6A 00 8D 45 FC 50 8B 45 F0 8B 48 10 8B 45 F0 8B 50 14 8B 45 EC E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E8 8D 43 10 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 5F E9 ?? ?? ?? ?? 8B 45 F0 8B 50 18 8B 45 F0 8B 40 1C E8 ?? ?? ?? ?? 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 50 8D 55 E0 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E0 58 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 63 E8 ?? ?? ?? ?? 8D 4D F8 8B 45 F0 8B 40 1C 8B 55 FC E8 ?? ?? ?? ?? 8B 53 10 8B 4D F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 8B D3 85 D2 74 03 83 EA E4 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 8B 45 F0 8B 50 18 8B 45 F0 8B 40 1C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_28298_0 {
	meta:
		name = "TAzureBlobManagement.PopulatePageList"
		size = 251
		refs = "0010 TAzureBlobManagement.PopulatePageList 001d _DV_TAzureBlobManagement.PopulatePageList$630$ActRec 0022 TObject.Create 0035 @IntfCopy 0043 TTreeNode.GetParent 0050 TAzureBlobManagement.AsObject 005b @UStrAsg 0084 TAzureBlobManagement.IsRootNode 00bf TAzureBlobManagement.MarkAsBusy 00cf _DV_TAnonymousThread 00d4 TAnonymousThread.Create 00e9 @IntfClear 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 7B 18 89 73 1C 8B 43 18 E8 ?? ?? ?? ?? 8B F0 8B 56 0C 8B 43 1C E8 ?? ?? ?? ?? 8B 50 08 8D 43 10 E8 ?? ?? ?? ?? 8B 56 0C 8B 43 1C E8 ?? ?? ?? ?? 8B 50 0C 8D 43 0C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 16 8D 43 14 8B 53 1C 8B 92 B8 03 00 00 8B 52 08 E8 ?? ?? ?? ?? EB 16 8B 56 0C 8B 43 1C E8 ?? ?? ?? ?? 8B 50 08 8D 43 14 E8 ?? ?? ?? ?? 8B 53 18 8B 43 1C E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28299_0 {
	meta:
		name = "TAzureBlobManagement.PopulateLatestMetadata"
		size = 296
		refs = "0018 TAzureBlobManagement.PopulateLatestMetadata 0026 @IntfClear 0035 TAzureBlobManagement.BlobService 005e TAzureBlobService.GetBlobMetadata 006b TAzureBlobService.GetContainerMetadata 0076 _Dn_TStringList 007b TStringList.Create 0090 TAzureService.PopulateContainer 009e TBContainer.PopulateMeta 00aa TBBlob.PopulateMeta 00b7 TObject.Free 00ce @HandleAnyException 00db @DoneExcept 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 85 DB 0F 84 AD 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 FF 74 16 8B 47 0C 50 6A 00 8B 4F 08 8B 53 08 8B 45 F4 E8 ?? ?? ?? ?? EB 0B 8B 53 08 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 6A 00 8B 4D F8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 85 FF 75 0C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 0A 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6D 00 65 00 74 00 61 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_28300_0 {
	meta:
		name = "TAzureBlobManagement.PopulateLatestProperties"
		size = 252
		refs = "0018 TAzureBlobManagement.PopulateLatestProperties 0026 @IntfClear 0035 TAzureBlobManagement.BlobService 005e TAzureBlobService.GetBlobProperties 006b TAzureBlobService.GetContainerProperties 0076 _Dn_TStringList 007b TStringList.Create 0089 TAzureBlobService.PopulateContainerProperties 0097 TBContainer.PopulateProperties 00a3 TBBlob.PopulateProperties 00b0 TObject.Free 00c7 @HandleAnyException 00d4 @DoneExcept 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 85 DB 0F 84 A6 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 FF 74 16 8B 47 0C 50 6A 00 8B 4F 08 8B 53 08 8B 45 F4 E8 ?? ?? ?? ?? EB 0B 8B 53 08 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 41 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 85 FF 75 0C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 0A 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28302_0 {
	meta:
		name = "TAzureBlobManagement.PopulateProperties$635$ActRec.$0$Body"
		size = 544
		refs = "0015 TAzureBlobManagement.PopulateProperties$635$ActRec.$0$Body 0022 _DV_TAzureBlobManagement.PopulateProperties$635$ActRec.$0$Body$636$ActRec 0027 TObject.Create 003a @IntfCopy 0067 CoInitialize 0086 TAzureBlobManagement.IsRootNode 00b2 TAzureBlobManagement.AsObject 00c6 _DV_TBContainer 00cb @IsClass 00dc @AsClass 00eb TAzureBlobManagement.PopulateLatestProperties 0115 TTreeNode.GetParent 0165 _DV_TBBlob 01b4 TThread.Synchronize 01c3 @HandleAnyException 01d4 TAzureBlobManagement.MarkAsAvailable 01d9 @RaiseAgain 01de @DoneExcept 01f0 CoUninitialize 01f6 @HandleFinally 020d @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F8 89 43 0C 8D 43 10 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 50 14 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 F8 8B 40 18 8B 80 B8 03 00 00 8B 55 F8 89 42 10 EB 1A 8B 45 F8 8B 40 14 8B 50 0C 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 8B 55 F8 89 42 10 8B 45 F8 8B 70 10 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 18 33 C9 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 10 8B 55 F8 89 42 1C E9 9A 00 00 00 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 F8 8B 40 18 8B 80 B8 03 00 00 8B 55 F8 89 42 0C EB 1F 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 8B 50 0C 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C 8B 45 F8 8B 40 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F8 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 18 59 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 14 8B 55 F8 89 42 1C 8B D3 85 D2 74 03 83 EA EC 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 8B 45 F8 8B 50 20 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28304_0 {
	meta:
		name = "TAzureBlobManagement.PopulateWithLoadingNode"
		size = 121
		refs = "000f TAzureBlobManagement.PopulateWithLoadingNode 0020 TTreeNodes.BeginUpdate 0027 TTreeNode.DeleteChildren 002f SNodeLoading 0034 LoadResString 0044 TTreeNodes.AddChild 004f TTreeNodes.EndUpdate 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28305_0 {
	meta:
		name = "TAzureBlobManagement.PrepareMenu"
		size = 329
		refs = "002b TAzureBlobManagement.PrepareMenu 003c TMenuItem.GetEnumerator 005a TMenuItemEnumerator.GetCurrent 0072 @UStrCopy 007a StrToInt 00a5 TMenuItem.SetVisible 00ce TMenuItem.SetEnabled 00e7 TMenuItemEnumerator.MoveNext 0112 @HandleFinally 011f TAzureBlobManagement.CleanExtraSeparators 0134 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 8B 75 08 8D 7D DA A5 A5 A5 A4 8B F1 8D 7D E7 A5 A5 A5 A4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 3C E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 8D 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8D 45 D4 50 8B 43 08 B9 FF FF FF 7F BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B F0 8B C6 83 F8 67 77 15 8D 55 E7 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F A3 02 0F 92 C2 80 F2 01 8B C3 E8 ?? ?? ?? ?? 8B C6 83 F8 67 77 15 8D 55 DA 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F A3 02 0F 92 C2 80 F2 01 8B C3 E8 ?? ?? ?? ?? 8D 45 DA 50 8D 4D E7 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 85 63 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_28306_0 {
	meta:
		name = "TAzureBlobManagement.PrepareMenu"
		size = 272
		refs = "002b TAzureBlobManagement.PrepareMenu 0039 TMenuItem.GetCount 0057 TMenuItem.GetItem 006f @UStrCopy 0077 StrToInt 00a2 TMenuItem.SetVisible 00cb TMenuItem.SetEnabled 00fb @UStrClr 0101 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 8B 75 08 8D 7D DA A5 A5 A5 A4 8B F1 8D 7D E7 A5 A5 A5 A4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C A2 00 00 00 47 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8D 45 D4 50 B9 FF FF FF 7F BA 02 00 00 00 8B 43 08 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B F0 8B C6 83 F8 67 77 15 8D 55 E7 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F A3 02 0F 92 C2 80 F2 01 8B C3 E8 ?? ?? ?? ?? 8B C6 83 F8 67 77 15 8D 55 DA 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F A3 02 0F 92 C2 80 F2 01 8B C3 E8 ?? ?? ?? ?? 8D 45 DA 50 8D 4D E7 8B D3 8B 45 FC E8 ?? ?? ?? ?? FF 45 F4 4F 0F 85 66 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_28307_0 {
	meta:
		name = "TAzureBlobManagement.PrepareMenuVisible"
		size = 249
		refs = "0028 TAzureBlobManagement.PrepareMenuVisible 0036 TMenuItem.GetCount 0054 TMenuItem.GetItem 006c @UStrCopy 0074 StrToInt 009c TMenuItem.SetVisible 00c5 TMenuItem.SetEnabled 00e4 @UStrClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 8B 75 08 8D 7D DE A5 A5 A5 A4 8B F1 8D 7D EB A5 A5 A5 A4 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 8E 00 00 00 47 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8D 45 D8 50 B9 FF FF FF 7F BA 02 00 00 00 8B 43 08 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B F0 8B C6 83 F8 67 77 15 8D 55 EB 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F A3 02 0F 92 C2 8B C3 E8 ?? ?? ?? ?? 8B C6 83 F8 67 77 15 8D 55 DE 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F A3 02 0F 92 C2 80 F2 01 8B C3 E8 ?? ?? ?? ?? FF 45 F8 4F 0F 85 7A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_28308_0 {
	meta:
		name = "TAzureBlobManagement.PrepareMenuVisible"
		size = 326
		refs = "002b TAzureBlobManagement.PrepareMenuVisible 003c TMenuItem.GetEnumerator 005a TMenuItemEnumerator.GetCurrent 0072 @UStrCopy 007a StrToInt 00a2 TMenuItem.SetVisible 00cb TMenuItem.SetEnabled 00e4 TMenuItemEnumerator.MoveNext 010f @HandleFinally 011c TAzureBlobManagement.CleanExtraSeparators 0131 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 8B 75 08 8D 7D DA A5 A5 A5 A4 8B F1 8D 7D E7 A5 A5 A5 A4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 3C E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 8A 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8D 45 D4 50 8B 43 08 B9 FF FF FF 7F BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B F0 8B C6 83 F8 67 77 15 8D 55 E7 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F A3 02 0F 92 C2 8B C3 E8 ?? ?? ?? ?? 8B C6 83 F8 67 77 15 8D 55 DA 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F A3 02 0F 92 C2 80 F2 01 8B C3 E8 ?? ?? ?? ?? 8D 45 DA 50 8D 4D E7 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 85 66 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_28310_0 {
	meta:
		name = "TAzureBlobManagement.PopulateRootNode$644$ActRec.$0$Body"
		size = 204
		refs = "000e TAzureBlobManagement.PopulateRootNode$644$ActRec.$0$Body 0022 TTreeNodes.BeginUpdate 0030 TTreeNodes.Clear 0038 SAzureBlobs 003d LoadResString 0050 TTreeNodes.AddChild 0064 TAzureBlobManagement.PopulateWithLoadingNode 0072 TTreeNodes.EndUpdate 00a0 TTreeNode.Expand 00b5 @UStrClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 43 10 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B 43 10 8B 80 E0 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B F8 8B 73 10 89 BE BC 03 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 43 10 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 80 7B 0C 00 74 28 8B 43 10 8B 90 BC 03 00 00 0F B7 0D ?? ?? ?? ?? 8B 30 FF 96 14 01 00 00 8B 43 10 8B 80 BC 03 00 00 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_28311_0 {
	meta:
		name = "TAzureBlobManagement.PopulateRootNode"
		size = 114
		refs = "0010 TAzureBlobManagement.PopulateRootNode 001d _DV_TAzureBlobManagement.PopulateRootNode$644$ActRec 0022 TObject.Create 0035 @IntfCopy 004b TThread.Queue 0060 @IntfClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 45 FC 8B D7 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 88 5F 0C 89 77 10 8B D7 85 D2 74 03 83 EA EC 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28312_0 {
	meta:
		name = "TAzureBlobManagement.PopulateBlob$646$ActRec.$0$Body$647$ActRec.$0$0$Body"
		size = 439
		refs = "0013 TAzureBlobManagement.PopulateBlob$646$ActRec.$0$Body$647$ActRec.$0$0$Body 002d TTreeNodes.BeginUpdate 003b TTreeNode.DeleteChildren 0051 SProperties 0056 LoadResString 0076 TTreeNodes.AddChild 007f TAzureBlobManagement.PopulateWithLoadingNode 0087 SMetadata 00c0 TBBlob.IsPageBlob 00cc SPageRegions 0107 TBBlob.IsBlockBlob 0113 SBlockList 0151 TTreeNode.Expand 016f TAzureBlobManagement.MarkAsAvailable 0183 TTreeNodes.EndUpdate 0189 @HandleFinally 01a5 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 10 8B 40 10 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 40 0C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8B 45 FC 8B 70 10 8B 56 0C 8B 45 FC 8B 40 10 8B 58 10 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B 45 FC 8B 70 10 8B 56 0C 8B 45 FC 8B 40 10 8B 58 10 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 84 C0 74 38 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8B 45 FC 8B 70 10 8B 56 0C 8B 45 FC 8B 40 10 8B 58 10 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 45 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 84 C0 74 36 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC 8B 45 FC 8B 70 10 8B 56 0C 8B 45 FC 8B 40 10 8B 58 10 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 40 0C 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 50 0C 8B 40 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 40 10 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28313_0 {
	meta:
		name = "TAzureBlobManagement.PopulateBlob$646$ActRec.$0$Body"
		size = 224
		refs = "0015 TAzureBlobManagement.PopulateBlob$646$ActRec.$0$Body 0022 _DV_TAzureBlobManagement.PopulateBlob$646$ActRec.$0$Body$647$ActRec 0027 TObject.Create 003a @IntfCopy 0067 CoInitialize 007b TAzureBlobManagement.AsObject 008e TThread.Queue 009d @HandleAnyException 00ae TAzureBlobManagement.MarkAsAvailable 00b3 @RaiseAgain 00b8 @DoneExcept 00cd @IntfClear 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F8 89 43 10 8D 43 14 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 50 0C 8B 45 F8 8B 40 10 E8 ?? ?? ?? ?? 89 43 0C 8B D3 85 D2 74 03 83 EA E8 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 8B 45 F8 8B 50 0C 8B 45 F8 8B 40 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28314_0 {
	meta:
		name = "TAzureBlobManagement.PopulateBlob"
		size = 129
		refs = "0010 TAzureBlobManagement.PopulateBlob 001d _DV_TAzureBlobManagement.PopulateBlob$646$ActRec 0022 TObject.Create 0035 @IntfCopy 0045 TAzureBlobManagement.MarkAsBusy 0055 _DV_TAnonymousThread 005a TAnonymousThread.Create 006f @IntfClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 7B 0C 8B C6 89 43 10 8B 53 0C E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28315_0 {
	meta:
		name = "TAzureBlobManagement.PopulateBlockList$649$ActRec.$0$Body$650$ActRec.$0$0$Body"
		size = 728
		refs = "0019 TAzureBlobManagement.PopulateBlockList$649$ActRec.$0$Body$650$ActRec.$0$0$Body 0033 TTreeNodes.BeginUpdate 0041 TTreeNode.DeleteChildren 005b SContentLength 0060 LoadResString 0089 Format 00a3 TTreeNodes.AddChild 00ab SCommittedBlocks 00f1 TList<DSAzureBlob.TBBlock>.GetItem 0103 _Dn_TAzureService 0108 TAzureService.Decode 0148 TTreeNodes.AddChildObject 0154 SUncommittedBlocks 0212 TObject.Free 0222 TTreeNode.Expand 0240 TAzureBlobManagement.MarkAsAvailable 0254 TTreeNodes.EndUpdate 025a @HandleFinally 0276 @UStrArrayClr 027e @UStrClr"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 8B 40 1C 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 40 18 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F4 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 11 8B 45 FC 8B 40 10 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B 45 FC 8B 58 14 8B 53 18 8B 43 1C 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC 8B 45 FC 8B 58 14 8B 53 18 8B 43 1C 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 40 0C 8B 40 0C 8B 70 08 4E 85 F6 7C 6E 46 33 FF 8B 45 FC 8B 40 0C 8B 40 0C 8B D7 E8 ?? ?? ?? ?? 8B D8 53 8D 45 D8 50 8D 4D D4 8B 53 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 89 45 E4 C6 45 E8 11 8B 43 0C 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 8B 45 FC 8B 40 14 8B 40 1C 8B 80 E0 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 47 4E 75 95 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 8B 45 FC 8B 58 14 8B 53 18 8B 43 1C 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 40 0C 8B 40 10 8B 70 08 4E 85 F6 7C 6E 46 33 FF 8B 45 FC 8B 40 0C 8B 40 10 8B D7 E8 ?? ?? ?? ?? 8B D8 53 8D 45 CC 50 8D 4D C8 8B 53 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 89 45 E4 C6 45 E8 11 8B 43 0C 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC 8B 45 FC 8B 40 14 8B 40 1C 8B 80 E0 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 47 4E 75 95 8B 45 FC 8B 40 0C 8B 50 0C 83 7A 08 00 75 0E 8B 50 10 83 7A 08 00 75 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 40 18 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 50 18 8B 40 1C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 40 1C 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 3A 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 25 00 73 00 3A 00 20 00 25 00 73 00 20 00 62 00 79 00 74 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_28316_0 {
	meta:
		name = "TAzureBlobManagement.PopulateBlockList$649$ActRec.$0$Body"
		size = 560
		refs = "0017 TAzureBlobManagement.PopulateBlockList$649$ActRec.$0$Body 0024 _DV_TAzureBlobManagement.PopulateBlockList$649$ActRec.$0$Body$650$ActRec 0029 TObject.Create 003c @IntfCopy 0069 CoInitialize 0074 TAzureBlobManagement.BlobService 00ab TAzureBlobService.GetBlockList 00bb TAzureService.GetResponseHeader 00c6 @UStrAsg 00ce TObject.Free 00dd @HandleAnyException 00ee TAzureBlobManagement.MarkAsAvailable 00f6 SErrorGeneric 00fb LoadResString 010a TAzureService.GetResponseText 0113 @UStrCat 011b ShowErrorMessage 0128 @DoneExcept 0148 TAzureBlobManagement.ParseXML 0153 _DV_TBBlockList 0158 TBBlockList.FromXML 016b TThread.Queue 0190 @RaiseAgain 01af @UStrArrayClr 01b7 @IntfClear 01c7 @UStrClr 01cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 89 43 14 8D 43 18 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 1C E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 F0 8B 40 0C 50 6A 00 8D 45 FC 50 8B 45 F0 8B 48 10 8B 45 F0 8B 50 14 8B 45 EC E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E8 8D 43 10 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 5F E9 ?? ?? ?? ?? 8B 45 F0 8B 50 18 8B 45 F0 8B 40 1C E8 ?? ?? ?? ?? 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 50 8D 55 E0 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E0 58 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 63 E8 ?? ?? ?? ?? 8D 4D F8 8B 45 F0 8B 40 1C 8B 55 FC E8 ?? ?? ?? ?? 8B 53 10 8B 4D F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 8B D3 85 D2 74 03 83 EA E4 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 8B 45 F0 8B 50 18 8B 45 F0 8B 40 1C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 61 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 62 00 6C 00 6F 00 62 00 2D 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 6C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_28317_0 {
	meta:
		name = "TAzureBlobManagement.PopulateBlockList"
		size = 268
		refs = "0010 TAzureBlobManagement.PopulateBlockList 001d _DV_TAzureBlobManagement.PopulateBlockList$649$ActRec 0022 TObject.Create 0035 @IntfCopy 0045 TAzureBlobManagement.MarkAsBusy 004d TTreeNode.GetParent 005a TAzureBlobManagement.AsObject 0065 @UStrAsg 008e TAzureBlobManagement.IsRootNode 00c7 _DV_TAnonymousThread 00cc TAnonymousThread.Create 00e1 @IntfClear 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 7B 18 8B C6 89 43 1C 8B 53 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 8B F0 8B 56 0C 8B 43 1C E8 ?? ?? ?? ?? 8B 50 08 8D 43 10 E8 ?? ?? ?? ?? 8B 56 0C 8B 43 1C E8 ?? ?? ?? ?? 8B 50 0C 8D 43 0C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 0F 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 8B 56 0C 8B 43 1C E8 ?? ?? ?? ?? 8B 50 08 8D 43 14 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 24 00 72 00 6F 00 6F 00 74 00 00 00 }
	condition:
		$1
}

rule function_28318_0 {
	meta:
		name = "TAzureBlobManagement.PopulateContainers$652$ActRec.$0$Body$653$ActRec.$0$0$Body"
		size = 372
		refs = "001c TTreeNodes.BeginUpdate 0024 TAzureBlobManagement.PopulateContainers$652$ActRec.$0$Body$653$ActRec.$0$0$Body 003e TTreeNode.DeleteChildren 0066 TList<DSAzureBlob.TBContainer>.GetItem 006f TBContainer.IsRoot 009a TTreeNodes.AddChildObject 00aa TAzureBlobManagement.PopulateWithLoadingNode 00c0 TAzureBlobManagement.SetRootContainer 00e5 TAzureBlobManagement.PopulateContainerWithBlobs 00fb TObject.Free 0111 TTreeNode.Expand 0132 TAzureBlobManagement.MarkAsAvailable 0146 TTreeNodes.EndUpdate 014c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC 8B 40 10 8B 40 10 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 10 8B 40 10 8B 80 BC 03 00 00 E8 ?? ?? ?? ?? C6 45 FB 00 8B 45 FC 8B 40 0C 8B 40 14 8B 70 08 4E 85 F6 7C 71 46 33 FF 8B 45 FC 8B 40 0C 8B 40 14 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 39 53 8B 4B 08 8B 45 FC 8B 40 10 8B 40 10 8B 90 BC 03 00 00 8B 45 FC 8B 40 10 8B 40 10 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 10 8B 40 10 E8 ?? ?? ?? ?? EB 14 C6 45 FB 01 8B 45 FC 8B 40 10 8B 40 10 8B D3 E8 ?? ?? ?? ?? 47 4E 75 92 80 7D FB 00 74 1D 6A 00 8B 45 FC 8B 40 10 8B 40 10 8B 90 BC 03 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2A 8B 45 FC 8B 40 0C 8B 50 14 83 7A 08 00 75 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 40 10 8B 80 BC 03 00 00 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 40 10 8B 90 BC 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 40 10 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 24 00 72 00 6F 00 6F 00 74 00 00 00 }
	condition:
		$1
}

rule function_28319_0 {
	meta:
		name = "TAzureBlobManagement.PopulateContainers$652$ActRec.$0$Body"
		size = 584
		refs = "0021 TAzureBlobManagement.PopulateContainers$652$ActRec.$0$Body 002e _DV_TAzureBlobManagement.PopulateContainers$652$ActRec.$0$Body$653$ActRec 0033 TObject.Create 0046 @IntfCopy 0073 CoInitialize 008c TAzureBlobManagement.BlobService 00a1 @HandleOnException 00a9 _Dn_Exception 00b5 ShowErrorMessage 00ba @RaiseAgain 00bf @DoneExcept 00ff TAzureBlobService.ListContainers 010a TObject.Free 0119 @HandleAnyException 0121 SErrorGeneric 0126 LoadResString 0138 TAzureService.GetResponseText 0141 @UStrCat 016f TAzureBlobManagement.ParseXML 0177 _DV_TBContainers 017c TBContainers.FromXML 018f TThread.Synchronize 01af TAzureBlobManagement.MarkAsAvailable 01ba TCustomTreeView.FullCollapse 01de @UStrArrayClr 01e6 @IntfClear 01f6 @UStrClr 01fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 DC 89 55 D8 89 55 FC 89 55 F8 89 55 F4 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 89 43 10 8D 43 14 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 8B 40 10 E8 ?? ?? ?? ?? 8B 55 F0 89 42 0C 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 8D 45 FC 50 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 55 E0 8B 45 F0 8B 40 0C 33 C9 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 4A E9 ?? ?? ?? ?? 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 50 8D 55 D8 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 8B 55 D8 58 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 8B 45 F0 8B 40 10 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 8B D3 85 D2 74 03 83 EA E8 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 8B 45 F0 8B 40 10 8B 90 BC 03 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 00 00 }
	condition:
		$1
}

rule function_28320_0 {
	meta:
		name = "TAzureBlobManagement.PopulateContainers"
		size = 125
		refs = "000d TAzureBlobManagement.PopulateContainers 001a _DV_TAzureBlobManagement.PopulateContainers$652$ActRec 001f TObject.Create 0032 @IntfCopy 0042 TAzureBlobManagement.MarkAsBusy 0052 _DV_TAnonymousThread 0057 TAnonymousThread.Create 006c @IntfClear 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 89 43 10 8B 90 BC 03 00 00 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28321_0 {
	meta:
		name = "TAzureBlobManagement.RefreshAction"
		size = 210
		refs = "0022 TAzureBlobManagement.IsRootNode 002f TAzureBlobManagement.NeedsLoading 003a TAzureBlobManagement.PopulateContainers 0046 TAzureBlobManagement.Clear 004f TAzureBlobManagement.PopulateRootNode 005a TAzureBlobManagement.IsContainerNode 0067 TAzureBlobManagement.IsBlobNode 0074 TAzureBlobManagement.IsACLNode 0081 TAzureBlobManagement.IsPageRegionsNode 008e TAzureBlobManagement.IsBlockListNode 00ac @CallDynaInst 00b7 TAzureBlobManagement.RefreshLoadingNode 00c0 TTreeNode.GetParent"
	strings:
		$1 = { 53 56 57 8B F8 8B 9F C0 03 00 00 85 DB 75 06 8B 9F BC 03 00 00 85 DB 0F 84 B1 00 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 2B 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C7 E8 ?? ?? ?? ?? E9 8B 00 00 00 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? EB 79 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 75 34 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 75 27 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 75 1A 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 75 0D 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 27 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0F 8B D3 8B C7 66 BE A5 FF E8 ?? ?? ?? ?? EB 1C 8B D3 8B C7 E8 ?? ?? ?? ?? EB 11 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 4F FF FF FF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28322_0 {
	meta:
		name = "TAzureBlobManagement.SetActive"
		size = 98
		refs = "000a TAzureBlobManagement.GetActive 002e TAzureBlobManagement.IsBusy 0048 TAzureBlobManagement.Clear 0051 TAzureBlobManagement.PopulateRootNode"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 4C 84 DB 74 09 83 BE B0 03 00 00 00 74 3F 8B BE BC 03 00 00 85 FF 74 0D 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 28 84 DB 74 1D 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28323_0 {
	meta:
		name = "TAzureBlobManagement.SetRootContainer"
		size = 34
		refs = "0015 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 B8 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 89 B3 B8 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_28324_0 {
	meta:
		name = "TAzureBlobManagement.UpdateBlockBlobAction$658$ActRec.$0$Body$659$ActRec.$0$0$Body"
		size = 235
		refs = "001a TTreeNodes.BeginUpdate 0022 TAzureBlobManagement.UpdateBlockBlobAction$658$ActRec.$0$Body$659$ActRec.$0$0$Body 003c TObject.Free 004c TTreeNode.Delete 0070 TList<DSAzureBlob.TBBlob>.GetItem 0093 TTreeNodes.AddChildObject 00a3 TAzureBlobManagement.PopulateWithLoadingNode 00c8 TTreeNodes.EndUpdate 00d9 TAzureBlobManagement.MarkAsAvailable 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 40 10 8B 40 34 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 0C 8B 50 1C 83 7A 08 00 75 07 E8 ?? ?? ?? ?? EB 0E 8B 45 FC 8B 40 10 8B 40 30 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 1C 8B 70 08 4E 85 F6 7C 4A 46 33 FF 8B 45 FC 8B 40 0C 8B 40 1C 8B D7 E8 ?? ?? ?? ?? 8B D8 53 8B 4B 08 8B 45 FC 8B 40 10 8B 50 2C 8B 45 FC 8B 40 10 8B 40 34 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 10 8B 40 34 E8 ?? ?? ?? ?? 47 4E 75 B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 40 34 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 50 30 8B 40 34 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28325_0 {
	meta:
		name = "TAzureBlobManagement.UpdateBlockBlobAction$658$ActRec.$0$Body"
		size = 704
		refs = "0027 TAzureBlobManagement.UpdateBlockBlobAction$658$ActRec.$0$Body 0034 _DV_TAzureBlobManagement.UpdateBlockBlobAction$658$ActRec.$0$Body$659$ActRec 0039 TObject.Create 004c @IntfCopy 006f TAzureBlobManagement.BlobService 008b @DynArrayLength 009a SLongTimeOperation 009f LoadResString 00a7 ShowInformationMessage 00be TBBlob.GetLeaseID 00fb TAzureBlobService.PutBlockBlob 010a TObject.Free 011b TAzureBlobManagement.MarkAsAvailable 0123 SErrorGeneric 0137 TAzureService.GetResponseText 0140 @UStrCat 0148 ShowErrorMessage 01af TAzureBlobService.ListBlobs 01b6 CoInitialize 01c7 TAzureBlobManagement.ParseXML 01cf _DV_TBBlobs 01d4 TBBlobs.FromXML 01f9 @HandleAnyException 0222 @DoneExcept 0239 TThread.Queue 0253 @UStrArrayClr 025b @IntfClear 026b @UStrClr 0271 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 D2 89 55 E0 89 55 DC 89 55 E4 89 55 E8 89 55 FC 89 55 F8 89 55 F4 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 89 43 10 8D 43 14 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 34 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 40 28 E8 ?? ?? ?? ?? 3D 00 40 00 00 7E 15 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 28 50 8D 55 E4 8B 45 F0 8B 70 20 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 F0 8B 40 1C 50 8B 45 F0 8B 40 18 50 8B 45 F0 8B 40 14 50 8B 45 F0 8B 40 10 50 8B 45 F0 8B 40 0C 50 6A 00 8B 4E 08 8B 45 F0 8B 40 24 8B 50 08 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 5E 8B 45 F0 8B 40 1C E8 ?? ?? ?? ?? 8B 45 F0 8B 50 30 8B 45 F0 8B 40 34 E8 ?? ?? ?? ?? 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 50 8D 55 DC 8B 45 EC E8 ?? ?? ?? ?? 8B 55 DC 58 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 DC 00 00 00 6A 01 8B 45 F0 8B 40 20 8B 40 08 89 45 CC C6 45 D0 11 66 C7 45 D4 31 00 C6 45 D8 09 8D 45 CC 50 6A 01 8D 45 FC 50 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 B8 ?? ?? ?? ?? 89 45 C4 C6 45 C8 11 8D 4D BC 8B 45 F0 8B 40 24 8B 50 08 8B 45 EC E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8D 4D F8 8B 45 F0 8B 40 34 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 8B 45 F0 8B 40 1C E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 35 E9 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 8B 40 1C E8 ?? ?? ?? ?? 8B 45 F0 8B 50 30 8B 45 F0 8B 40 34 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 E8 ?? ?? ?? ?? 8B D3 85 D2 74 03 83 EA E8 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 70 00 72 00 65 00 66 00 69 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6D 00 61 00 78 00 72 00 65 00 73 00 75 00 6C 00 74 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_28326_0 {
	meta:
		name = "TAzureBlobManagement.UpdateBlockBlobAction"
		size = 920
		refs = "0018 TAzureBlobManagement.UpdateBlockBlobAction 0025 _DV_TAzureBlobManagement.UpdateBlockBlobAction$658$ActRec 002a TObject.Create 003d @IntfCopy 004f TAzureBlobManagement.SelectedBlob 005e TAzureBlobManagement.BlobOf 006c TAzureBlobManagement.SelectedContainer 007b TAzureBlobManagement.ContainerOf 008a SUpdateBlockBlobCaption 008f LoadResString 00bb Format 00cc TControl.SetText 00e0 TAzBlockBlob.PopulateWithMetadata 00f3 TDictionary<System.string,System.string>.GetItem 0104 TAzBlockBlob.SetContentType 0128 TAzBlockBlob.SetContentLanguage 014c TAzBlockBlob.SetContentMD5 0170 TAzBlockBlob.SetContentEncoding 0184 TAzBlockBlob.SetBlobName 018c SOKUpdateCaption 01a2 TAzBlockBlob.SetOKCaption 01c8 TAzBlockBlob.RawMetadata 01d1 TAzureBlobManagement.AsMetadataHeaders 01e5 TAzBlockBlob.GetContentType 01f0 @UStrAsg 0201 TAzBlockBlob.GetContentMD5 021d TAzBlockBlob.GetContentEncoding 0239 TAzBlockBlob.GetContentLanguage 0255 TAzBlockBlob.GetContentLocation 0262 TAzureBlobManagement.ContentOf 026e TArray<System.Byte> 0273 @DynArrayAsg 027e TAzureBlobManagement.MarkAsBusy 028e _DV_TAnonymousThread 0293 TAnonymousThread.Create 02a8 @UStrClr 02b6 @DynArrayClear 02c3 @UStrArrayClr 02d8 @IntfClear 02de @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 34 8B 96 C0 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 30 8B D7 8B 43 34 E8 ?? ?? ?? ?? 89 43 20 8B 53 30 8B 43 34 E8 ?? ?? ?? ?? 8B F0 89 73 2C 8B D6 8B 43 34 E8 ?? ?? ?? ?? 89 43 24 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 24 8B 40 08 89 45 E4 C6 45 E8 11 8B 43 20 8B 40 08 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 34 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8B 43 20 8B 50 18 8B 43 34 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8D 4D E0 8B 43 20 8B 40 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 43 34 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8D 4D DC 8B 43 20 8B 40 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 43 34 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8D 4D D8 8B 43 20 8B 40 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 43 34 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8D 4D D4 8B 43 20 8B 40 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 43 34 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8B 43 20 8B 50 08 8B 43 34 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B 43 34 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8B 43 34 8B 80 C8 03 00 00 8B 10 FF 92 20 01 00 00 48 0F 85 D9 00 00 00 8B 73 34 8B 86 C8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 89 43 1C 8D 55 CC 8B 43 34 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8B 55 CC 8D 43 18 E8 ?? ?? ?? ?? 8D 55 C8 8B 43 34 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8D 43 0C E8 ?? ?? ?? ?? 8D 55 C4 8B 43 34 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8B 55 C4 8D 43 14 E8 ?? ?? ?? ?? 8D 55 C0 8B 43 34 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8D 43 10 E8 ?? ?? ?? ?? 8D 55 B8 8B 73 34 8B 86 C8 03 00 00 E8 ?? ?? ?? ?? 8B 55 B8 8D 4D BC 8B C6 E8 ?? ?? ?? ?? 8B 55 BC 8D 43 28 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 30 8B 43 34 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C0 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4D 00 44 00 35 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_28327_0 {
	meta:
		name = "TAzureBlobManagement.UpdatePopupMenu"
		size = 323
		refs = "0007 TAzureBlobManagement.GetActive 0018 TAzureBlobManagement.MenuInitial 0022 TCustomTreeView.GetSelected 003e TAzureBlobManagement.IsBusy 004f TAzureBlobManagement.IsAnyParentBusy 0060 TAzureBlobManagement.MenuBusy 0079 TAzureBlobManagement.MenuForRoot 0089 TAzureBlobManagement.IsRootNode 00aa TAzureBlobManagement.IsContainerNode 00bb TAzureBlobManagement.MenuForContainer 00cb TAzureBlobManagement.IsBlobNode 00df TAzureBlobManagement.AsObject 00e4 TBBlob.IsPageBlob 00f5 TAzureBlobManagement.MenuForPageBlob 010d TBBlob.IsBlockBlob 011e TAzureBlobManagement.MenuForBlockBlob 012c TTreeNode.GetParent"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 8B 93 84 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 89 83 C0 03 00 00 83 BB C0 03 00 00 00 74 32 8B 93 C0 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 11 8B 93 C0 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B 93 84 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 83 BB C0 03 00 00 00 75 10 8B 93 84 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 93 C0 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B 93 84 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 93 C0 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B 93 84 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 93 C0 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 52 8B 83 C0 03 00 00 8B 50 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B 93 84 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 C0 03 00 00 8B 50 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B 93 84 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8B F0 89 B3 C0 03 00 00 85 F6 0F 85 40 FF FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_28328_0 {
	meta:
		name = "TAnonymousThread.Create"
		size = 128
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TAnonymousThread.Create 0036 @IntfCopy 0043 TThread.Create 0058 @IntfClear 005e @HandleFinally 006b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 40 8B 55 FC E8 ?? ?? ?? ?? C6 46 0F 01 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28329_0 {
	meta:
		name = "TAnonymousThread.Destroy"
		size = 41
		refs = "0003 @BeforeDestruction 000c CoUninitialize 0017 TThread.Destroy 0022 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43895_0 {
	meta:
		name = "TIWCompressor.Destroy"
		size = 41
		refs = "0003 @BeforeDestruction 000c FreeZLIB 0017 TComponent.Destroy 0022 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28330_0 {
	meta:
		name = "TAnonymousThread.Execute"
		size = 9
	strings:
		$1 = { 8B 40 40 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_28331_0 {
	meta:
		name = "TBContainer.Create"
		size = 87
		refs = "000a @ClassCreate 0017 TBEnumerationItem<DSAzureBlob.TBContainers>.Create 0020 _DV_TDictionary<System.string,System.string> 0025 TDictionary<System.string,System.string>.Create 0044 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28332_0 {
	meta:
		name = "TBContainer.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TBEnumerationItem<DSAzureBlob.TBContainers>.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28333_0 {
	meta:
		name = "TBContainer.FromXML"
		size = 796
		refs = "001e @IntfAddRef 0026 TBContainer.FromXML 0035 _DV_TBContainer 003a TBContainer.Create 0058 @OleVarFromUStr 0080 @UStrAsg 0134 TDictionary<System.string,System.string>.Add 014d @IntfCopy 0200 @IntfClear 020d @UStrArrayClr 021d @VarClr 025a @UStrClr 028b IXMLNode 0295 @FinalizeArray 029b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 10 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 F0 8B 45 FC 8B 08 FF 51 14 8B 45 F0 50 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 8D 4D F8 58 8B 30 FF 56 10 83 7D F8 00 74 16 8D 55 DC 8B 45 F8 8B 08 FF 51 50 8B 55 DC 8D 43 08 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 08 FF 51 14 8B 45 D8 50 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 C8 8D 4D F8 58 8B 30 FF 56 10 83 7D F8 00 74 16 8D 55 C4 8B 45 F8 8B 08 FF 51 50 8B 55 C4 8D 43 0C E8 ?? ?? ?? ?? 8D 55 C0 8B 45 FC 8B 08 FF 51 14 8B 45 C0 50 8D 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 B0 8D 4D F8 58 8B 30 FF 56 10 83 7D F8 00 74 61 8D 55 AC 8B 45 F8 8B 08 FF 51 14 8B 45 AC 8D 55 F4 8B 08 FF 51 34 83 7D F4 00 74 45 8D 55 A8 8B 45 F4 8B 08 FF 51 50 8B 45 A8 50 8D 55 A4 8B 45 F4 8B 08 FF 51 34 8B 55 A4 8B 43 10 59 E8 ?? ?? ?? ?? 8D 55 A0 8B 45 F4 8B 08 FF 91 90 00 00 00 8B 55 A0 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 75 BB 8D 55 9C 8B 45 FC 8B 08 FF 51 14 8B 45 9C 50 8D 45 8C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 8C 8D 4D F8 58 8B 30 FF 56 10 83 7D F8 00 74 67 8D 55 88 8B 45 F8 8B 08 FF 51 14 8B 45 88 8D 55 F4 8B 08 FF 51 34 83 7D F4 00 74 4B 8D 55 84 8B 45 F4 8B 08 FF 51 50 8B 45 84 50 8D 55 80 8B 45 F4 8B 08 FF 51 34 8B 55 80 8B 43 14 59 E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B 45 F4 8B 08 FF 91 90 00 00 00 8B 95 7C FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 55 FF FF FF 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 55 00 52 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_28334_0 {
	meta:
		name = "TBContainer.IsRoot"
		size = 48
		refs = "0004 TBContainer.IsRoot 000c @UStrEqual"
	strings:
		$1 = { 53 8B D8 B8 ?? ?? ?? ?? 8B 53 08 E8 ?? ?? ?? ?? 0F 94 C0 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 24 00 72 00 6F 00 6F 00 74 00 00 00 }
	condition:
		$1
}

rule function_28335_0 {
	meta:
		name = "TBContainer.PopulateMeta"
		size = 228
		refs = "0015 TBContainer.PopulateMeta 0026 TDictionary<System.string,System.string>.Clear 0043 TStrings.GetName 004f TStrings.GetValueFromIndex 005c Pos 0075 @UStrCopy 0086 TDictionary<System.string,System.string>.Add 009f @UStrClr 00ac @UStrArrayClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B FA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 14 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 14 8B F0 4E 85 F6 7C 56 46 33 DB 8D 4D FC 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 4D F8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 27 8D 45 F0 50 B9 FF FF FF 7F BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 8B 40 14 8B 4D F8 E8 ?? ?? ?? ?? 43 4E 75 AD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6D 00 65 00 74 00 61 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_28336_0 {
	meta:
		name = "TBContainer.PopulateProperties"
		size = 145
		refs = "0015 TBContainer.PopulateProperties 0026 TDictionary<System.string,System.string>.Clear 0043 TStrings.GetName 004f TStrings.GetValueFromIndex 0060 TDictionary<System.string,System.string>.Add 007e @UStrArrayClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 10 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 14 8B F0 4E 85 F6 7C 30 46 33 DB 8D 4D FC 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 4D F8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 10 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 43 4E 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28337_0 {
	meta:
		name = "TBContainers.Create"
		size = 78
		refs = "000b @ClassCreate 0018 TBEnumeration.Create 0021 _DV_TObjectList<DSAzureBlob.TBContainer> 0026 TObjectList<DSAzureBlob.TBContainer>.Create 003a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 14 C6 46 18 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28338_0 {
	meta:
		name = "TBContainers.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TObject.Destroy 0025 @ClassDestroy"
		altNames = "TBindListStringGridEditor.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94406_0 {
	meta:
		name = "TAxisItems.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TList.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91871_0 {
	meta:
		name = "TBMPExportFormat.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TTeeExportFormat.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94115_0 {
	meta:
		name = "TChartSeriesList.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TList.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98450_0 {
	meta:
		name = "THTMLItems.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TList.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36109_0 {
	meta:
		name = "TIdMessageBuilderRtf.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TIdCustomMessageBuilder.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96225_0 {
	meta:
		name = "TWebDirectoryItem.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TCollectionItem.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28339_0 {
	meta:
		name = "TBContainers.FromXML"
		size = 864
		refs = "0019 @IntfAddRef 0021 TBContainers.FromXML 002e _DV_TBContainers 0033 TBContainers.Create 0051 @OleVarFromUStr 0079 @UStrAsg 0119 StrToInt 0177 _DV_TBContainer 017c TBContainer.FromXML 0186 TList<DSAzureBlob.TBContainer>.Add 019f @IntfCopy 020d @UStrClr 0218 @VarClr 0220 @IntfClear 0299 IXMLNode 02a3 @FinalizeArray 02a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 11 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 EC 8B 45 FC 8B 08 FF 51 14 8B 45 EC 50 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 DC 8D 4D F8 58 8B 30 FF 56 10 83 7D F8 00 74 16 8D 55 D8 8B 45 F8 8B 08 FF 51 50 8B 55 D8 8D 43 08 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 FC 8B 08 FF 51 14 8B 45 D4 50 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 C4 8D 4D F8 58 8B 30 FF 56 10 83 7D F8 00 74 16 8D 55 C0 8B 45 F8 8B 08 FF 51 50 8B 55 C0 8D 43 0C E8 ?? ?? ?? ?? 8D 55 BC 8B 45 FC 8B 08 FF 51 14 8B 45 BC 50 8D 45 AC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 AC 8D 4D F8 58 8B 30 FF 56 10 83 7D F8 00 74 38 8D 55 F0 8B 45 F8 8B 08 FF 51 50 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 18 8D 55 A8 8B 45 F8 8B 08 FF 51 50 8B 45 A8 E8 ?? ?? ?? ?? 89 43 10 EB 05 33 C0 89 43 10 8D 55 A4 8B 45 FC 8B 08 FF 51 14 8B 45 A4 50 8D 45 94 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 94 8D 4D F8 58 8B 30 FF 56 10 83 7D F8 00 74 54 8D 55 90 8B 45 F8 8B 08 FF 51 14 8B 45 90 8D 55 F4 8B 08 FF 51 34 83 7D F4 00 74 38 8B 4D F4 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 14 E8 ?? ?? ?? ?? 8D 55 8C 8B 45 F4 8B 08 FF 91 90 00 00 00 8B 55 8C 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 75 C8 8D 55 88 8B 45 FC 8B 08 FF 51 14 8B 45 88 50 8D 85 78 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 78 FF FF FF 8D 4D F8 58 8B 30 FF 56 10 83 7D F8 00 74 1C 8D 95 74 FF FF FF 8B 45 F8 8B 08 FF 51 50 8B 95 74 FF FF FF 8D 43 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 54 FF FF FF 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 72 00 65 00 66 00 69 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4D 00 61 00 72 00 6B 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 61 00 78 00 52 00 65 00 73 00 75 00 6C 00 74 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4E 00 65 00 78 00 74 00 4D 00 61 00 72 00 6B 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_28340_0 {
	meta:
		name = "TBEnumeration.Create"
		size = 37
		refs = "0008 @ClassCreate 0016 @AfterConstruction"
		altNames = "TGPFontCollection.Create"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 33 C9 89 48 04 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_28343_0 {
	meta:
		name = "TBBlob.Create"
		size = 87
		refs = "000a @ClassCreate 0017 TBEnumerationItem<DSAzureBlob.TBBlobs>.Create 0020 _DV_TDictionary<System.string,System.string> 0025 TDictionary<System.string,System.string>.Create 0044 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28344_0 {
	meta:
		name = "TBBlob.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TBEnumerationItem<DSAzureBlob.TBBlobs>.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45008_0 {
	meta:
		name = "TIWFileParser.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TUTF8ContentParser.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28345_0 {
	meta:
		name = "TBBlob.FromXML"
		size = 944
		refs = "001f TBBlob.FromXML 002f _DV_TBBlob 0034 TBBlob.Create 0051 @OleVarFromUStr 0079 @UStrAsg 016e TDictionary<System.string,System.string>.Add 0187 @IntfCopy 0251 @IntfClear 0261 @UStrArrayClr 0277 @VarClr 02b4 @UStrClr 02fd IXMLNode 0307 @FinalizeArray 030d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 13 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 89 55 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 F0 8B C6 8B 08 FF 51 14 8B 45 F0 50 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 8D 4D FC 58 8B 38 FF 57 10 83 7D FC 00 74 16 8D 55 DC 8B 45 FC 8B 08 FF 51 50 8B 55 DC 8D 43 08 E8 ?? ?? ?? ?? 8D 55 D8 8B C6 8B 08 FF 51 14 8B 45 D8 50 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 C8 8D 4D FC 58 8B 38 FF 57 10 83 7D FC 00 74 16 8D 55 C4 8B 45 FC 8B 08 FF 51 50 8B 55 C4 8D 43 10 E8 ?? ?? ?? ?? 8D 55 C0 8B C6 8B 08 FF 51 14 8B 45 C0 50 8D 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 B0 8D 4D FC 58 8B 38 FF 57 10 83 7D FC 00 74 16 8D 55 AC 8B 45 FC 8B 08 FF 51 50 8B 55 AC 8D 43 0C E8 ?? ?? ?? ?? 8D 55 A8 8B C6 8B 08 FF 51 14 8B 45 A8 50 8D 45 98 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 98 8D 4D FC 58 8B 38 FF 57 10 83 7D FC 00 74 61 8D 55 94 8B 45 FC 8B 08 FF 51 14 8B 45 94 8D 55 F8 8B 08 FF 51 34 83 7D F8 00 74 45 8D 55 90 8B 45 F8 8B 08 FF 51 50 8B 45 90 50 8D 55 8C 8B 45 F8 8B 08 FF 51 34 8B 55 8C 8B 43 14 59 E8 ?? ?? ?? ?? 8D 55 88 8B 45 F8 8B 08 FF 91 90 00 00 00 8B 55 88 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 75 BB 8D 55 84 8B C6 8B 08 FF 51 14 8B 45 84 50 8D 85 74 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 74 FF FF FF 8D 4D FC 58 8B 30 FF 56 10 83 7D FC 00 74 79 8D 95 70 FF FF FF 8B 45 FC 8B 08 FF 51 14 8B 85 70 FF FF FF 8D 55 F8 8B 08 FF 51 34 83 7D F8 00 74 57 8D 95 6C FF FF FF 8B 45 F8 8B 08 FF 51 50 8B 85 6C FF FF FF 50 8D 95 68 FF FF FF 8B 45 F8 8B 08 FF 51 34 8B 95 68 FF FF FF 8B 43 18 59 E8 ?? ?? ?? ?? 8D 95 64 FF FF FF 8B 45 F8 8B 08 FF 91 90 00 00 00 8B 95 64 FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 75 A9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 8D 85 68 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 34 FF FF FF 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 55 00 72 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_28346_0 {
	meta:
		name = "TBBlob.GetLeaseExpires"
		size = 37
		refs = "0007 _DV_TLeaseManager 000c TLeaseManager.Instance 0016 TLeaseManager.GetLeaseExpireTime"
	strings:
		$1 = { 53 83 C4 F8 8B D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B 53 10 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_28347_0 {
	meta:
		name = "TBBlob.GetLeaseID"
		size = 29
		refs = "0007 _DV_TLeaseManager 000c TLeaseManager.Instance 0016 TLeaseManager.GetLeaseID"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CE 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28348_0 {
	meta:
		name = "TBBlob.SetLeaseInfo"
		size = 134
		refs = "000e @UStrAddRef 0016 TBBlob.SetLeaseInfo 0025 EmptyStr 002c @UStrEqual 0033 _DV_TLeaseManager 0038 TLeaseManager.Instance 0042 TLeaseManager.ClearLeaseInfo 005f TLeaseManager.SetLeaseInfo 0074 @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 16 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B 53 10 E8 ?? ?? ?? ?? EB 1B FF 75 0C FF 75 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B 53 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_28349_0 {
	meta:
		name = "TBBlob.IsBlockBlob"
		size = 176
		refs = "000d TBBlob.IsBlockBlob 0022 TDictionary<System.string,System.string>.ContainsKey 0036 TDictionary<System.string,System.string>.GetItem 0043 @UStrEqual 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB BA ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 84 C0 74 20 8D 4D FC BA ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 42 00 6C 00 6F 00 62 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 42 00 6C 00 6F 00 63 00 6B 00 42 00 6C 00 6F 00 62 00 00 00 }
	condition:
		$1
}

rule function_28350_0 {
	meta:
		name = "TBBlob.IsLeaseExpired"
		size = 36
		refs = "0009 TBBlob.GetLeaseExpires 0012 Now"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B E8 ?? ?? ?? ?? DC 1C 24 9B DF E0 9E 0F 97 C0 59 5A 5B C3 }
	condition:
		$1
}

rule function_28351_0 {
	meta:
		name = "TBBlob.IsLocked"
		size = 176
		refs = "000d TBBlob.IsLocked 0022 TDictionary<System.string,System.string>.ContainsKey 0036 TDictionary<System.string,System.string>.GetItem 0043 @UStrEqual 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB BA ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 84 C0 74 20 8D 4D FC BA ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 65 00 61 00 73 00 65 00 53 00 74 00 61 00 74 00 75 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6C 00 6F 00 63 00 6B 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_28352_0 {
	meta:
		name = "TBBlob.IsPageBlob"
		size = 176
		refs = "000d TBBlob.IsPageBlob 0022 TDictionary<System.string,System.string>.ContainsKey 0036 TDictionary<System.string,System.string>.GetItem 0043 @UStrEqual 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB BA ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 84 C0 74 20 8D 4D FC BA ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 42 00 6C 00 6F 00 62 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 67 00 65 00 42 00 6C 00 6F 00 62 00 00 00 00 00 }
	condition:
		$1
}

rule function_28353_0 {
	meta:
		name = "TBBlob.IsSnapshot"
		size = 18
	strings:
		$1 = { 8B 40 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C0 C3 }
	condition:
		$1
}

rule function_28354_0 {
	meta:
		name = "TBBlob.PopulateMeta"
		size = 248
		refs = "0015 TBBlob.PopulateMeta 0026 TDictionary<System.string,System.string>.Clear 0043 TStrings.GetName 004f TStrings.GetValueFromIndex 005c Pos 0075 @UStrCopy 0086 TDictionary<System.string,System.string>.Add 00b2 @UStrClr 00bf @UStrArrayClr 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B FA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 18 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 14 8B F0 4E 85 F6 7C 69 46 33 DB 8D 4D FC 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 4D F8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 29 8D 45 F0 50 B9 FF FF FF 7F BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 8B 40 18 8B 4D F8 E8 ?? ?? ?? ?? EB 11 8B 45 F4 8B 40 18 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 43 4E 75 9A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6D 00 65 00 74 00 61 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_28355_0 {
	meta:
		name = "TBBlob.PopulateProperties"
		size = 444
		refs = "001d TBBlob.PopulateProperties 003a TDictionary<System.string,System.string>.GetKeys 003f TDictionary<System.string,System.string>.TKeyCollection.GetEnumerator 005d TDictionary<System.string,System.string>.TKeyEnumerator.GetCurrent 006a @UStrEqual 008c TDictionary<System.string,System.string>.GetItem 009a TStrings.SetValue 00a2 TDictionary<System.string,System.string>.TKeyEnumerator.MoveNext 00c9 @HandleFinally 00d6 TDictionary<System.string,System.string>.Clear 00f5 TStrings.GetName 0102 TStrings.GetValueFromIndex 011e @UStrLAsg 012f TDictionary<System.string,System.string>.Add 0148 @UStrClr 0155 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 58 14 83 7B 08 00 0F 8E 98 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 48 8D 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 2E 8B 55 FC 8B 45 F0 8B 08 FF 51 54 85 C0 7D 1F 8D 4D E8 8B 45 F4 8B 40 14 8B 55 FC E8 ?? ?? ?? ?? 8B 4D E8 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 AC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 8B 40 14 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4E 46 33 DB 8D 4D FC 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8D 4D F8 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 14 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 43 4E 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 65 00 61 00 73 00 65 00 53 00 74 00 61 00 74 00 75 00 73 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6C 00 65 00 61 00 73 00 65 00 2D 00 73 00 74 00 61 00 74 00 75 00 73 00 00 00 }
	condition:
		$1
}

rule function_28356_0 {
	meta:
		name = "TBBlob.PopulateProperty"
		size = 68
		refs = "000d EmptyStr 0014 @UStrEqual 0020 TDictionary<System.string,System.string>.ContainsKey 002e TDictionary<System.string,System.string>.Remove 003c TDictionary<System.string,System.string>.AddOrSetValue"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 1A 8B D7 8B 43 14 E8 ?? ?? ?? ?? 84 C0 74 18 8B D7 8B 43 14 E8 ?? ?? ?? ?? EB 0C 8B CE 8B D7 8B 43 14 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28357_0 {
	meta:
		name = "TBBlobs.Create"
		size = 70
		refs = "000a @ClassCreate 0017 _DV_TObjectList<DSAzureBlob.TBBlob> 001c TObjectList<DSAzureBlob.TBBlob>.Create 0028 TBEnumeration.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 1C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28358_0 {
	meta:
		name = "TAdapterDispatchParams.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TObject.Destroy 0025 @ClassDestroy"
		altNames = "TBBlobs.Destroy TDtdEntityDecl.Destroy TIBInputDelimitedFile.Destroy TMethodImplementation.TInvokeInfo.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 1C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28359_0 {
	meta:
		name = "TBBlobs.FromXML"
		size = 1144
		refs = "0019 TBBlobs.FromXML 0026 _DV_TBBlobs 002b TBBlobs.Create 0047 @VarToUStr 0062 @OleVarFromUStr 008a @UStrAsg 0128 StrToInt 01ec @UStrEqual 01f8 _DV_TBBlob 01fd TBBlob.FromXML 0207 TList<DSAzureBlob.TBBlob>.Add 0226 @IntfCopy 0299 @UStrClr 02a4 @VarClr 02af @IntfClear 035c IXMLNode 0366 @FinalizeArray 036c @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 16 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 4D E4 BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 0C 8D 55 E4 8D 46 08 E8 ?? ?? ?? ?? 8D 55 E0 8B C3 8B 08 FF 51 14 8B 45 E0 50 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D0 8D 4D FC 58 8B 38 FF 57 10 83 7D FC 00 74 16 8D 55 CC 8B 45 FC 8B 08 FF 51 50 8B 55 CC 8D 46 0C E8 ?? ?? ?? ?? 8D 55 C8 8B C3 8B 08 FF 51 14 8B 45 C8 50 8D 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 B8 8D 4D FC 58 8B 38 FF 57 10 83 7D FC 00 74 16 8D 55 B4 8B 45 FC 8B 08 FF 51 50 8B 55 B4 8D 46 10 E8 ?? ?? ?? ?? 8D 55 B0 8B C3 8B 08 FF 51 14 8B 45 B0 50 8D 45 A0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 A0 8D 4D FC 58 8B 38 FF 57 10 83 7D FC 00 74 38 8D 55 F4 8B 45 FC 8B 08 FF 51 50 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 18 8D 55 9C 8B 45 FC 8B 08 FF 51 50 8B 45 9C E8 ?? ?? ?? ?? 89 46 14 EB 05 33 C0 89 46 14 8D 55 98 8B C3 8B 08 FF 51 14 8B 45 98 50 8D 45 88 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 88 8D 4D FC 58 8B 38 FF 57 10 83 7D FC 00 74 16 8D 55 84 8B 45 FC 8B 08 FF 51 50 8B 55 84 8D 46 18 E8 ?? ?? ?? ?? 8D 55 80 8B C3 8B 08 FF 51 14 8B 45 80 50 8D 85 70 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 70 FF FF FF 8D 4D FC 58 8B 38 FF 57 10 83 7D FC 00 0F 84 80 00 00 00 8D 95 6C FF FF FF 8B 45 FC 8B 08 FF 51 14 8B 85 6C FF FF FF 8D 55 F8 8B 08 FF 51 34 83 7D F8 00 74 5E 8D 95 68 FF FF FF 8B 45 F8 8B 08 FF 51 34 8B 85 68 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 19 8B 4D F8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 46 1C E8 ?? ?? ?? ?? 8D 95 64 FF FF FF 8B 45 F8 8B 08 FF 91 90 00 00 00 8B 95 64 FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 75 A2 8D 95 60 FF FF FF 8B C3 8B 08 FF 51 14 8B 85 60 FF FF FF 50 8D 85 50 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 50 FF FF FF 8D 4D FC 58 8B 18 FF 53 10 83 7D FC 00 74 1C 8D 95 4C FF FF FF 8B 45 FC 8B 08 FF 51 50 8B 95 4C FF FF FF 8D 46 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 1D FF FF FF 8B C6 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 72 00 65 00 66 00 69 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4D 00 61 00 72 00 6B 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 61 00 78 00 52 00 65 00 73 00 75 00 6C 00 74 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 65 00 6C 00 69 00 6D 00 69 00 74 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 6C 00 6F 00 62 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 6C 00 6F 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4E 00 65 00 78 00 74 00 4D 00 61 00 72 00 6B 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_28363_0 {
	meta:
		name = "TBSignedIdentifier.FromXML"
		size = 664
		refs = "0020 TBSignedIdentifier.FromXML 0030 _DV_TBSignedIdentifier 0035 TBSignedIdentifier.Create 0052 @OleVarFromUStr 007a @UStrAsg 00cc @IntfCopy 00ee @UStrEqual 0169 TBSignedIdentifier.SetPermission 01a1 @IntfClear 01ae @UStrArrayClr 01c6 @VarClr 01d6 @UStrClr 01f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 F4 8B C6 8B 08 FF 51 14 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D FC 58 8B 38 FF 57 10 83 7D FC 00 74 16 8D 55 E0 8B 45 FC 8B 08 FF 51 50 8B 55 E0 8D 43 08 E8 ?? ?? ?? ?? 8D 55 DC 8B C6 8B 08 FF 51 14 8B 45 DC 50 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 CC 8D 4D FC 58 8B 30 FF 56 10 83 7D FC 00 0F 84 E1 00 00 00 8D 55 C4 8B 45 FC 8B 08 FF 51 14 8B 45 C4 8D 55 C8 8B 08 FF 51 34 8B 55 C8 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 B6 00 00 00 8D 55 C0 8B 45 FC 8B 08 FF 51 34 8B 55 C0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 18 8D 55 BC 8B 45 FC 8B 08 FF 51 50 8B 55 BC 8D 43 0C E8 ?? ?? ?? ?? EB 61 8D 55 B8 8B 45 FC 8B 08 FF 51 34 8B 55 B8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 18 8D 55 B4 8B 45 FC 8B 08 FF 51 50 8B 55 B4 8D 43 10 E8 ?? ?? ?? ?? EB 2F 8D 55 B0 8B 45 FC 8B 08 FF 51 34 8B 55 B0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8D 55 AC 8B 45 FC 8B 08 FF 51 50 8B 55 AC 8B C3 E8 ?? ?? ?? ?? 8D 55 A8 8B 45 FC 8B 08 FF 91 90 00 00 00 8B 55 A8 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 0F 85 4A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A3 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 41 00 63 00 63 00 65 00 73 00 73 00 50 00 6F 00 6C 00 69 00 63 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 74 00 61 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 45 00 78 00 70 00 69 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 65 00 72 00 6D 00 69 00 73 00 73 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_28364_0 {
	meta:
		name = "TBSignedIdentifier.GetPermission"
		size = 19
		refs = "000c TAccessPolicy.GetPermission"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8D 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28365_0 {
	meta:
		name = "TBSignedIdentifier.SetPermission"
		size = 9
		refs = "0004 TAccessPolicy.SetPermission"
	strings:
		$1 = { 83 C0 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_28366_0 {
	meta:
		name = "TBSignedIdentifiers.Create"
		size = 84
		refs = "000b @ClassCreate 001a TBEnumeration.Create 0024 @UStrAsg 002d _DV_TObjectList<DSAzureBlob.TBSignedIdentifier> 0032 TObjectList<DSAzureBlob.TBSignedIdentifier>.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 08 8B D6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28372_0 {
	meta:
		name = "TBPageList.Create"
		size = 84
		refs = "000b @ClassCreate 001a TBEnumeration.Create 0024 @UStrAsg 002d _DV_TObjectList<DSAzureBlob.TBPageRange> 0032 TObjectList<DSAzureBlob.TBPageRange>.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 08 8B D6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28368_0 {
	meta:
		name = "TBSignedIdentifiers.FromXML"
		size = 181
		refs = "0013 TBSignedIdentifiers.FromXML 0020 _DV_TBSignedIdentifiers 0027 TBSignedIdentifiers.Create 004f _DV_TBSignedIdentifier 0054 TBSignedIdentifier.FromXML 005e TList<DSAzureBlob.TBSignedIdentifier>.Add 0077 @IntfCopy 0092 @IntfClear 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 89 4D F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B D8 8D 55 F4 8B 45 F8 8B 08 FF 51 14 8B 45 F4 8D 55 FC 8B 08 FF 51 34 83 7D FC 00 74 38 8B 4D FC 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC 8B 08 FF 91 90 00 00 00 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28374_0 {
	meta:
		name = "TBPageList.FromXML"
		size = 181
		refs = "0013 TBPageList.FromXML 0020 _DV_TBPageList 0027 TBPageList.Create 004f _DV_TBPageRange 0054 TBPageRange.FromXML 005e TList<DSAzureBlob.TBPageRange>.Add 0077 @IntfCopy 0092 @IntfClear 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 89 4D F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B D8 8D 55 F4 8B 45 F8 8B 08 FF 51 14 8B 45 F4 8D 55 FC 8B 08 FF 51 34 83 7D FC 00 74 38 8B 4D FC 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC 8B 08 FF 91 90 00 00 00 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28371_0 {
	meta:
		name = "TBPageRange.FromXML"
		size = 324
		refs = "0020 TBPageRange.FromXML 0030 _DV_TBPageRange 0035 TBPageRange.Create 0052 @OleVarFromUStr 007a @UStrAsg 00d2 @UStrClr 00da @VarClr 00e2 @IntfClear 0108 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 F4 8B C6 8B 08 FF 51 14 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D FC 58 8B 38 FF 57 10 83 7D FC 00 74 16 8D 55 E0 8B 45 FC 8B 08 FF 51 50 8B 55 E0 8D 43 08 E8 ?? ?? ?? ?? 8D 55 DC 8B C6 8B 08 FF 51 14 8B 45 DC 50 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 CC 8D 4D FC 58 8B 30 FF 56 10 83 7D FC 00 74 16 8D 55 C8 8B 45 FC 8B 08 FF 51 50 8B 55 C8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 74 00 61 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 45 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_28377_0 {
	meta:
		name = "TBBlock.FromXML"
		size = 280
		refs = "001b TBBlock.FromXML 002b _DV_TBBlock 0030 TBBlock.Create 0068 @UStrAsg 00b3 @UStrClr 00bb @IntfClear 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 F4 8B C6 8B 08 FF 51 14 8B 45 F4 8D 4D FC BA ?? ?? ?? ?? 8B 38 FF 57 38 83 7D FC 00 74 16 8D 55 F0 8B 45 FC 8B 08 FF 51 50 8B 55 F0 8D 43 08 E8 ?? ?? ?? ?? 8D 55 EC 8B C6 8B 08 FF 51 14 8B 45 EC 8D 4D FC BA ?? ?? ?? ?? 8B 30 FF 56 38 83 7D FC 00 74 16 8D 55 E8 8B 45 FC 8B 08 FF 51 50 8B 55 E8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_28378_0 {
	meta:
		name = "TBBlockList.Create"
		size = 92
		refs = "000b @ClassCreate 001b @UStrAsg 0024 _DV_TObjectList<DSAzureBlob.TBBlock> 0029 TObjectList<DSAzureBlob.TBBlock>.Create 0048 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 08 8B D6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28379_0 {
	meta:
		name = "TBBlockList.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28380_0 {
	meta:
		name = "TBBlockList.FromXML"
		size = 600
		refs = "0020 TBBlockList.FromXML 0030 _DV_TBBlockList 0035 TBBlockList.Create 0078 @IntfCopy 0096 @UStrEqual 00a2 _DV_TBBlock 00a7 TBBlock.FromXML 00b1 TList<DSAzureBlob.TBBlock>.Add 017e @IntfClear 0186 @UStrClr 01d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 F4 8B C6 8B 08 FF 51 14 8B 45 F4 8D 4D FC BA ?? ?? ?? ?? 8B 38 FF 57 38 83 7D FC 00 74 79 8D 55 EC 8B 45 FC 8B 08 FF 51 14 8B 45 EC 8D 55 F0 8B 08 FF 51 34 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 52 8D 55 E8 8B 45 FC 8B 08 FF 51 34 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 19 8B 4D FC 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC 8B 08 FF 91 90 00 00 00 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 AE 8D 55 E0 8B C6 8B 08 FF 51 14 8B 45 E0 8D 4D FC BA ?? ?? ?? ?? 8B 30 FF 56 38 83 7D FC 00 74 79 8D 55 D8 8B 45 FC 8B 08 FF 51 14 8B 45 D8 8D 55 DC 8B 08 FF 51 34 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 52 8D 55 D4 8B 45 FC 8B 08 FF 51 34 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 19 8B 4D FC 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 10 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 FC 8B 08 FF 91 90 00 00 00 8B 55 D0 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 AE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A0 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 42 00 6C 00 6F 00 63 00 6B 00 73 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 6C 00 6F 00 63 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 55 00 6E 00 63 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 42 00 6C 00 6F 00 63 00 6B 00 73 00 00 00 }
	condition:
		$1
}

rule function_28382_0 {
	meta:
		name = "TLeaseManager.Create"
		size = 74
		refs = "000a @ClassCreate 0015 _DV_TList<DSAzureBlob.TLeaseItem> 001a TList<DSAzureBlob.TLeaseItem>.Create 0023 LeaseManagerInstance 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 83 3D ?? ?? ?? ?? 00 75 06 89 35 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28383_0 {
	meta:
		name = "TLeaseManager.Destroy"
		size = 174
		refs = "0008 @BeforeDestruction 0015 LeaseManagerInstance 0020 TList<DSAzureBlob.TLeaseItem>.GetEnumerator 002b TLeaseManager.Destroy 003b TList<DSAzureBlob.TLeaseItem>.TEnumerator.GetCurrent 0044 TObject.Free 004c TList<DSAzureBlob.TLeaseItem>.TEnumerator.MoveNext 0073 @HandleFinally 0097 TObject.Destroy 00a5 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C0 A3 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 11 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 83 C0 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28384_0 {
	meta:
		name = "TLeaseManager.GetLeaseItem"
		size = 231
		refs = "0013 @UStrAddRef 0023 TLeaseManager.GetLeaseItem 003c TList<DSAzureBlob.TLeaseItem>.GetEnumerator 0057 TList<DSAzureBlob.TLeaseItem>.TEnumerator.GetCurrent 0064 @UStrEqual 007b @TryFinallyExit 0085 TList<DSAzureBlob.TLeaseItem>.TEnumerator.MoveNext 00ac @HandleFinally 00c9 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D FC 89 55 F8 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 F8 C6 00 01 8B 43 04 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2E 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8B 43 04 8B 55 FC E8 ?? ?? ?? ?? 74 0D 8B 43 08 8B 55 08 E8 ?? ?? ?? ?? 75 0A 89 5D F4 E8 ?? ?? ?? ?? EB 37 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 C6 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_28385_0 {
	meta:
		name = "TLeaseManager.GetLeaseExpireTime"
		size = 130
		refs = "0013 @UStrAddRef 0023 TLeaseManager.GetLeaseExpireTime 0042 TLeaseManager.GetLeaseItem 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 89 45 F4 8B 45 F8 50 8D 55 EF 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 80 7D EF 00 74 0C 8B 50 10 89 55 F0 8B 50 14 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB DD 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28386_0 {
	meta:
		name = "TLeaseManager.GetLeaseID"
		size = 150
		refs = "0014 @UStrAddRef 001c TLeaseManager.GetLeaseID 0031 TLeaseManager.GetLeaseItem 003e Now 0053 TLeaseManager.ClearLeaseInfo 005b EmptyStr 0062 @UStrAsg 0083 @UStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FB 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8B F0 80 7D FB 00 74 35 E8 ?? ?? ?? ?? DC 5E 10 9B DF E0 9E 76 1D 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? EB 0A 8B C7 8B 56 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28387_0 {
	meta:
		name = "TLeaseManager.SetLeaseInfo"
		size = 194
		refs = "0014 @UStrAddRef 0024 TLeaseManager.SetLeaseInfo 0039 TLeaseManager.GetLeaseItem 004c @UStrAsg 0061 _DV_TLeaseItem 0066 TLeaseItem.Create 0094 TList<DSAzureBlob.TLeaseItem>.Add 00ae @UStrArrayClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 F7 8B 4D FC 8B C6 E8 ?? ?? ?? ?? 8B D8 80 7D F7 00 74 19 8D 43 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 89 43 10 8B 45 0C 89 43 14 EB 3A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 43 04 8B 55 FC E8 ?? ?? ?? ?? 8D 43 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 89 43 10 8B 45 0C 89 43 14 8B D3 8B 46 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_28388_0 {
	meta:
		name = "TLeaseManager.ClearLeaseInfo"
		size = 110
		refs = "0011 @UStrAddRef 0019 TLeaseManager.ClearLeaseInfo 002e TLeaseManager.GetLeaseItem 0040 TList<DSAzureBlob.TLeaseItem>.Remove 0047 TObject.Free 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FB 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8B F0 80 7D FB 00 74 11 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_28449_0 {
	meta:
		name = "TBEnumerationItem<T>.Create"
		size = 42
		refs = "0009 @ClassCreate 001a @AfterConstruction"
	strings:
		$1 = { 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 89 58 04 FF 43 04 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_28450_0 {
	meta:
		name = "TBEnumerationItem<T>.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 001b TObject.Free 0026 TObject.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 FF 48 04 8B 46 04 83 78 04 00 75 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28963_0 {
	meta:
		name = "TAzureMsgDialog.SetMessage"
		size = 580
		refs = "0016 TAzureMsgDialog.SetMessage 002a TValueListEditor.GetStrings 002f TStrings.BeginUpdate 006f @UStrCat3 00d3 IntToStr 0143 TStrings.EndUpdate 0149 @HandleFinally 0165 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 50 8B 4B 0C 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 58 8B 08 FF 51 38 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 50 8B 4B 10 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 58 8B 08 FF 51 38 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 50 8B 4B 14 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 58 8B 08 FF 51 38 8D 55 E8 8B 43 18 E8 ?? ?? ?? ?? 8B 4D E8 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 38 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 50 8B 4B 1C 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 58 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 49 00 64 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 6E 00 73 00 65 00 72 00 74 00 69 00 6F 00 6E 00 54 00 69 00 6D 00 65 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 45 00 78 00 70 00 69 00 72 00 61 00 74 00 69 00 6F 00 6E 00 54 00 69 00 6D 00 65 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 65 00 71 00 75 00 65 00 75 00 65 00 43 00 6F 00 75 00 6E 00 74 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 54 00 65 00 78 00 74 00 3D 00 00 00 00 00 }
	condition:
		$1
}

rule function_28969_0 {
	meta:
		name = "GetNodeData"
		size = 73
		refs = "0014 _DV_TMessageNodeData 0019 TMessageNodeData.Create 0022 TTreeNode.SetData 002b _DV_TNodeData 0030 TNodeData.Create"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 7E 0C 00 75 37 80 FB 03 75 17 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 15 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 46 0C 88 58 08 8B 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_28971_0 {
	meta:
		name = "TAzureQueueManagement.AddMessageAction"
		size = 196
		refs = "0011 TAzureQueueManagement.AddMessageAction 002a TAzureQueueManagement.isNodeLoading 003a SAddMsgMessage 003f LoadResString 004b SAddMsgTitle 0059 EmptyStr 0061 InputBox 0071 @UStrEqual 0084 TAzureQueueManagement.MessageCreated 0093 _DV_TMessageCreator 0098 TMessageCreator.Create 00b2 @UStrArrayClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 CC 03 00 00 85 F6 74 77 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 6A 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 0D ?? ?? ?? ?? 8B 09 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 25 8B 45 FC 50 8B 83 B0 03 00 00 50 53 68 ?? ?? ?? ?? 6A 01 8B 8B CC 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28972_0 {
	meta:
		name = "TAzureQueueManagement.AddQueueAction"
		size = 210
		refs = "0010 TAzureQueueManagement.AddQueueAction 0021 TCustomTreeView.GetNodeAt 002a TAzureQueueManagement.isNodeLoading 003a SAddQueueMessage 003f LoadResString 004b SAddQueueTitle 0059 EmptyStr 0061 InputBox 0071 @UStrEqual 007e AnsiLowerCase 0089 @UStrLAsg 0096 TAzureQueueManagement.QueueCreated 00a2 _DV_TQueueCreator 00a7 TQueueCreator.Create 00c1 @UStrArrayClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 75 79 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 0D ?? ?? ?? ?? 8B 09 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 34 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8B 83 B0 03 00 00 50 53 68 ?? ?? ?? ?? 6A 01 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29111_0 {
	meta:
		name = "TAzureTableManagement.AddTableAction"
		size = 210
		refs = "0010 TAzureTableManagement.AddTableAction 0021 TCustomTreeView.GetNodeAt 002a TAzureTableManagement.isNodeLoading 003a SAddTableMessage 003f LoadResString 004b SAddTable 0059 EmptyStr 0061 InputBox 0071 @UStrEqual 007e AnsiLowerCase 0089 @UStrLAsg 0096 TAzureTableManagement.TableCreated 00a2 _DV_TTableCreator 00a7 TTableCreator.Create 00c1 @UStrArrayClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 75 79 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 0D ?? ?? ?? ?? 8B 09 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 34 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8B 83 B0 03 00 00 50 53 68 ?? ?? ?? ?? 6A 01 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_28973_0 {
	meta:
		name = "TAzureQueueManagement.ClearMessagesAction"
		size = 78
		refs = "0013 TAzureQueueManagement.isNodeLoading 001e ConfirmDeleteItem 0035 TAzureQueueManagement.MessageRemoved 0042 _DV_TMessageDeletor 0047 TMessageDeletor.Create"
	strings:
		$1 = { 53 56 8B D8 8B B3 CC 03 00 00 85 F6 74 3D 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 30 B0 01 E8 ?? ?? ?? ?? 84 C0 74 25 8B 83 CC 03 00 00 8B 93 B0 03 00 00 52 53 68 ?? ?? ?? ?? 6A 01 6A 01 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28974_0 {
	meta:
		name = "TAzureQueueManagement.Create"
		size = 262
		refs = "000a @ClassCreate 0017 TCustomTreeView.Create 0031 TCustomTreeView.SetReadOnly 0041 TAzureQueueManagement.HandleNodeExpanded 0051 TAzureQueueManagement.HandleNodeCollapsing 0061 TAzureQueueManagement.OnImageIndex 0071 TAzureQueueManagement.HandleCreateNodeClass 0081 TAzureQueueManagement.HandleDoubleClick 0091 TAzureQueueManagement.HandleKeyUp 0098 TAzureQueueManagement.CreatePopupMenu 00a1 TControl.SetPopupMenu 00b6 TAzureQueueManagement.CreateImageList 00bf TCustomTreeView.SetImages 00cf TAzureQueueManagement.OnGetHint 00e3 _Dn_TAzureService 00e8 TAzureService.SetUp 00f3 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 C8 03 00 00 14 00 00 00 C6 86 C0 03 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 89 B6 7C 03 00 00 C7 86 78 03 00 00 ?? ?? ?? ?? 89 B6 3C 03 00 00 C7 86 38 03 00 00 ?? ?? ?? ?? 89 B6 8C 03 00 00 C7 86 88 03 00 00 ?? ?? ?? ?? 89 B6 A4 03 00 00 C7 86 A0 03 00 00 ?? ?? ?? ?? 89 B6 24 01 00 00 C7 86 20 01 00 00 ?? ?? ?? ?? 89 B6 34 02 00 00 C7 86 30 02 00 00 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 B8 03 00 00 89 86 BC 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 89 B6 9C 03 00 00 C7 86 98 03 00 00 ?? ?? ?? ?? C6 86 B8 02 00 00 01 33 C0 89 86 CC 03 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_28975_0 {
	meta:
		name = "TAzureQueueManagement.CreateImageList"
		size = 252
		refs = "0007 _Dn_TCustomImageList 000c TCustomImageList.Create 0013 TAzureQueueManagement.CreateImageList 0018 GetAzureImage 0025 TCustomImageList.Add 002c TObject.Free"
	strings:
		$1 = { 53 56 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 4D 00 47 00 5F 00 41 00 5A 00 55 00 52 00 45 00 51 00 55 00 45 00 55 00 45 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 4D 00 47 00 5F 00 41 00 5A 00 55 00 52 00 45 00 51 00 55 00 45 00 55 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 4D 00 47 00 5F 00 41 00 5A 00 55 00 52 00 45 00 4D 00 45 00 53 00 53 00 41 00 47 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_28976_0 {
	meta:
		name = "TAzureQueueManagement.CreateLoadingNode"
		size = 114
		refs = "000f TAzureQueueManagement.CreateLoadingNode 001d SNodeLoading 0022 LoadResString 0032 TTreeNodes.AddChild 003d GetNodeData 004a @UStrAsg 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B D8 B2 04 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 46 04 8B 53 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28977_0 {
	meta:
		name = "TAzureQueueManagement.CreatePopupMenu"
		size = 1288
		refs = "0019 TAzureQueueManagement.CreatePopupMenu 0029 _Dn_TPopupMenu 002e TPopupMenu.Create 003d TAzureQueueManagement.UpdatePopupMenu 0048 @CallDynaInst 005e SActivate 0063 LoadResString 006d TMenuItem.SetCaption 0080 TAzureQueueManagement.ActivateAction 008a TMenuItem.Add 00ab SAddQueue 00cd TAzureQueueManagement.AddQueueAction 00f8 SRemoveQueue 011a TAzureQueueManagement.RemoveQueueAction 0145 SQueueMetadata 0167 TAzureQueueManagement.OpenQueueMetadata 0192 SClearQueueMessages 01b4 TAzureQueueManagement.ClearMessagesAction 020e SAddMessage 0230 TAzureQueueManagement.AddMessageAction 025b SRemoveMessage 027d TAzureQueueManagement.RemoveMessageAction 02d7 SRefresh 02f9 TAzureQueueManagement.RefreshQueueAction 0346 TAzureQueueManagement.RefreshListAction 036c @UStrArrayClr 0372 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 FC 89 47 7C C7 47 78 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B D3 8B 47 3C E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B D3 8B 47 3C E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B D3 8B 47 3C E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B D3 8B 47 3C E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B D3 8B 47 3C E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 47 3C E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B D3 8B 47 3C E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B D3 8B 47 3C E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 47 3C E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B D3 8B 47 3C E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B D3 8B 47 3C E8 ?? ?? ?? ?? 8B DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 63 00 74 00 69 00 76 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 64 00 64 00 51 00 75 00 65 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 6D 00 6F 00 76 00 65 00 51 00 75 00 65 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 51 00 75 00 65 00 75 00 65 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 6C 00 65 00 61 00 72 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4E 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 41 00 64 00 64 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 6D 00 6F 00 76 00 65 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4E 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 65 00 66 00 72 00 65 00 73 00 68 00 51 00 75 00 65 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 66 00 72 00 65 00 73 00 68 00 4C 00 69 00 73 00 74 00 00 00 }
	condition:
		$1
}

rule function_28978_0 {
	meta:
		name = "TAzureQueueManagement.UpdatePopupMenu"
		size = 820
		refs = "000c TCustomTreeView.GetSelected 002b TMenuItem.GetEnumerator 0036 TAzureQueueManagement.UpdatePopupMenu 0049 TMenuItemEnumerator.GetCurrent 0061 @UStrEqual 006b TMenuItem.SetVisible 0140 TTreeNode.getPrevSibling 01ce TMenuItemEnumerator.MoveNext 01f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 89 9E CC 03 00 00 33 FF 85 DB 74 03 8B 7B 0C 8B 86 84 00 00 00 8B 40 3C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 85 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 80 BE C0 03 00 00 00 75 1C 8B 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C2 8B C3 E8 ?? ?? ?? ?? E9 56 01 00 00 8B 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1C 85 FF 74 06 80 7F 08 02 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? E9 2B 01 00 00 8B 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1C 85 FF 74 06 80 7F 08 02 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? E9 00 01 00 00 8B 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1C 85 FF 74 06 80 7F 08 02 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? E9 D5 00 00 00 8B 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1C 85 FF 74 06 80 7F 08 02 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? E9 AA 00 00 00 8B 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 28 85 FF 74 15 80 7F 08 03 75 0F 8B 86 CC 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? EB 73 8B 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 19 85 FF 74 06 80 7F 08 02 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? EB 4B 8B 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 19 85 FF 74 0A 80 7F 08 01 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? EB 23 8B 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 09 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 6B FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 63 00 74 00 69 00 76 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 6D 00 6F 00 76 00 65 00 51 00 75 00 65 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 51 00 75 00 65 00 75 00 65 00 4D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 41 00 64 00 64 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 6C 00 65 00 61 00 72 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 6D 00 6F 00 76 00 65 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 65 00 66 00 72 00 65 00 73 00 68 00 51 00 75 00 65 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 66 00 72 00 65 00 73 00 68 00 4C 00 69 00 73 00 74 00 00 00 }
	condition:
		$1
}

rule function_28979_0 {
	meta:
		name = "TAzureQueueManagement.Destroy"
		size = 85
		refs = "0003 @BeforeDestruction 0024 TCustomImageList.Clear 002f TObject.Free 0038 TCustomTreeView.SetImages 0043 TCustomTreeView.Destroy 004e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 BE C4 03 00 00 00 75 28 83 BE A4 02 00 00 00 74 1F 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28980_0 {
	meta:
		name = "TAzureQueueManagement.ForceCollapse"
		size = 102
		refs = "0018 TAzureQueueManagement.ForceCollapse 0030 TTreeNodes.GetFirstNode 003f TTreeNode.Collapse 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 89 45 FC 8B 45 FC C6 80 D0 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 D2 75 10 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 85 D2 74 09 8B C2 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 D0 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5B 59 5D C3 }
	condition:
		$1
}

rule function_28982_0 {
	meta:
		name = "TAzureQueueManagement.HandleDoubleClick"
		size = 134
		refs = "0007 TCustomTreeView.GetSelected 0019 GetNodeData 0050 _Dn_TAzureMsgDialog 0055 TCustomForm.Create 006e TAzureMsgDialog.SetMessage 007f TObject.Free"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 74 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 80 78 08 03 75 60 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 66 83 BB BA 03 00 00 00 74 10 8B D0 8B 83 BC 03 00 00 FF 93 B8 03 00 00 EB 38 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 20 01 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28983_0 {
	meta:
		name = "TAzureQueueManagement.HandleKeyUp"
		size = 211
		refs = "0022 TCustomTreeView.GetSelected 0060 TAzureQueueManagement.RefreshListAction 0076 TAzureQueueManagement.RemoveQueueAction 0082 TAzureQueueManagement.RefreshQueueAction 009c TTreeNode.getPrevSibling 00aa TAzureQueueManagement.RemoveMessageAction 00be TAzureQueueManagement.HandleDoubleClick"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 89 55 FC 8B F8 66 83 3E 2E 0F 94 45 FB 66 83 3E 74 0F 94 C3 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 84 82 00 00 00 0F B6 45 FB 0A C3 74 7A 8B C7 E8 ?? ?? ?? ?? 8B 70 0C 8B C7 E8 ?? ?? ?? ?? 89 87 CC 03 00 00 0F B6 46 08 3C 01 0F 94 C2 84 DA 74 0C 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 64 3C 02 75 1E 80 7D FB 00 74 0C 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 4E 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 42 80 7D FB 00 74 3C 80 7E 08 03 75 36 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 26 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 1A 66 83 3E 0D 75 14 EB 0C 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 06 F6 45 08 01 75 EE 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_28984_0 {
	meta:
		name = "TAzureQueueManagement.HandleNodeCollapsing"
		size = 48
		refs = "0017 TAzureQueueManagement.isNodeLoading"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 80 BB D0 03 00 00 00 75 11 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 8B 55 08 88 02 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_28985_0 {
	meta:
		name = "TAzureQueueManagement.HandleNodeExpanded"
		size = 53
		refs = "000c TAzureQueueManagement.isNodeLoading 0017 TTreeNode.getFirstChild 0022 GetNodeData 002d TAzureQueueManagement.PopulateForNode"
	strings:
		$1 = { 53 56 57 8B F1 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8B C6 E8 ?? ?? ?? ?? 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29123_0 {
	meta:
		name = "TAzureTableManagement.HandleNodeExpanded"
		size = 53
		refs = "000c TAzureTableManagement.isNodeLoading 0017 TTreeNode.getFirstChild 0022 GetNodeData 002d TAzureTableManagement.PopulateForNode"
	strings:
		$1 = { 53 56 57 8B F1 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8B C6 E8 ?? ?? ?? ?? 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28986_0 {
	meta:
		name = "TAzureQueueManagement.HasLoadingNode"
		size = 115
		refs = "0018 TTreeNode.GetExpanded 0025 TAzureQueueManagement.isNodeLoading 0036 TTreeNode.GetChildren 0041 TTreeNode.getFirstChild 0050 TAzureQueueManagement.HasLoadingNode 0061 TTreeNode.getNextSibling"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 85 DB 75 06 C6 04 24 00 EB 5A C6 04 24 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 C6 04 24 01 EB 38 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2D 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 20 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 C6 04 24 01 EB 0D 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E0 0F B6 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_29124_0 {
	meta:
		name = "TAzureTableManagement.HasLoadingNode"
		size = 115
		refs = "0018 TTreeNode.GetExpanded 0025 TAzureTableManagement.isNodeLoading 0036 TTreeNode.GetChildren 0041 TTreeNode.getFirstChild 0050 TAzureTableManagement.HasLoadingNode 0061 TTreeNode.getNextSibling"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 85 DB 75 06 C6 04 24 00 EB 5A C6 04 24 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 C6 04 24 01 EB 38 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2D 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 20 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 C6 04 24 01 EB 0D 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E0 0F B6 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_28987_0 {
	meta:
		name = "TAzureQueueManagement.InitializeTree"
		size = 132
		refs = "000e TAzureQueueManagement.InitializeTree 001f TTreeNodes.Clear 0027 SNodeAzureQueueRoot 002c LoadResString 003c TTreeNodes.AddChild 0047 GetNodeData 0054 @UStrAsg 005d TAzureQueueManagement.CreateLoadingNode 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B F0 B2 01 8B C6 E8 ?? ?? ?? ?? 8B F8 8D 47 04 8B 56 08 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29127_0 {
	meta:
		name = "TAzureTableManagement.InitializeTree"
		size = 132
		refs = "000e TAzureTableManagement.InitializeTree 001f TTreeNodes.Clear 0027 SNodeAzureTableRoot 002c LoadResString 003c TTreeNodes.AddChild 0047 GetNodeData 0054 @UStrAsg 005d TAzureTableManagement.CreateLoadingNode 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B F0 B2 01 8B C6 E8 ?? ?? ?? ?? 8B F8 8D 47 04 8B 56 08 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28988_0 {
	meta:
		name = "TAzureQueueManagement.isNodeLoading"
		size = 63
		refs = "000d TTreeNode.GetCount 0017 TTreeNode.GetExpanded 0022 TTreeNode.getFirstChild 002d GetNodeData"
	strings:
		$1 = { 53 56 8B F2 33 DB 85 F6 74 30 8B C6 E8 ?? ?? ?? ?? 48 75 26 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C6 E8 ?? ?? ?? ?? 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 80 78 08 04 0F 94 C0 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_28989_0 {
	meta:
		name = "TAzureQueueManagement.OnGetHint"
		size = 73
		refs = "000f EmptyStr 0016 @UStrAsg 001f GetNodeData 0032 @UStrEqual"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B 7D 08 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D8 80 7B 08 03 75 17 8B 43 1C 8B 56 08 E8 ?? ?? ?? ?? 74 0A 8B C7 8B 53 1C E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_28990_0 {
	meta:
		name = "TAzureQueueManagement.OnImageIndex"
		size = 73
		refs = "0009 GetNodeData 0039 TTreeNode.SetImageIndex 0042 TTreeNode.SetSelectedIndex"
	strings:
		$1 = { 53 56 8B F1 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 40 08 FE C8 74 0A FE C8 74 0A FE C8 74 0D EB 12 33 DB EB 11 BB 01 00 00 00 EB 0A BB 02 00 00 00 EB 03 83 CB FF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_28991_0 {
	meta:
		name = "TAzureQueueManagement.OpenQueueMetadata"
		size = 116
		refs = "000d TAzureQueueManagement.OpenQueueMetadata 0024 GetNodeData 0037 @UStrLAsg 0049 _DV_TQueueMetadataUpdater 004e TQueueMetadataUpdater.Create 0063 @UStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 CC 03 00 00 85 C0 74 31 33 D2 E8 ?? ?? ?? ?? 8B F0 80 7E 08 02 75 22 8D 45 FC 8B 56 04 E8 ?? ?? ?? ?? 8B 83 B0 03 00 00 50 53 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_28992_0 {
	meta:
		name = "TAzureQueueManagement.PopulateForNode"
		size = 94
		refs = "000e GetNodeData 0024 TAzureQueueManagement.PopulateQueues 002e _DV_TQueuePopulator 0033 TQueuePopulator.Create 0047 TAzureQueueManagement.PopulateMessages 0051 _DV_TMessagePopulator 0056 TMessagePopulator.Create"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 50 08 80 FA 01 75 1E 8B 87 B0 03 00 00 50 57 68 ?? ?? ?? ?? 53 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 80 FA 02 75 1C 8B 87 B0 03 00 00 50 57 68 ?? ?? ?? ?? 53 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_28993_0 {
	meta:
		name = "TAzureQueueManagement.PopulateMessages"
		size = 604
		refs = "0027 TAzureQueueManagement.PopulateMessages 004d TTreeNode.Collapse 0060 TTreeNodes.BeginUpdate 0076 TTreeNode.DeleteChildren 007e TList<DSAzureQueue.TMessageNodeData>.GetEnumerator 009c TList<DSAzureQueue.TMessageNodeData>.TEnumerator.GetCurrent 00a9 @UStrLAsg 00db @UStrCopy 00f4 Format 0113 TTreeNodes.AddChild 011e TTreeNode.SetData 0126 TList<DSAzureQueue.TMessageNodeData>.TEnumerator.MoveNext 0151 @HandleFinally 016a SMoreMessages 016f LoadResString 01ab GetNodeData 01b8 @UStrAsg 01d3 TTreeNode.GetExpanded 01e1 TTreeNode.Expand 01ef TTreeNodes.EndUpdate 01fc TObject.Free 021e @UStrArrayClr 0226 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D8 89 5D D4 89 5D E8 89 5D DC 89 5D FC 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 80 B8 C0 03 00 00 00 0F 84 C7 01 00 00 83 7D F0 00 75 0F 33 D2 8B 45 F4 E8 ?? ?? ?? ?? E9 B2 01 00 00 8B 45 F8 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 8A 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B 56 1C E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8B 45 F8 3B 98 C8 03 00 00 7E 3F 8D 45 E8 50 8D 45 DC 50 8B 45 F8 8B 88 C8 03 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 80 E0 02 00 00 8B 4D FC 8B 55 F4 E8 ?? ?? ?? ?? 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 0F 85 66 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 F0 8B 40 08 3B 45 0C 7D 5A 8D 45 D8 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 8B 55 F0 8B 4D 0C 2B 4A 08 89 4D E0 C6 45 E4 00 8D 55 E0 33 C9 E8 ?? ?? ?? ?? 8B 4D D8 8B 45 F8 8B 80 E0 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B F8 B2 05 8B C7 E8 ?? ?? ?? ?? 8B D8 8D 43 04 8B 57 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D 08 00 74 16 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 0A 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2E 00 2E 00 2E 00 00 00 }
	condition:
		$1
}

rule function_28994_0 {
	meta:
		name = "TAzureQueueManagement.PopulateQueues"
		size = 512
		refs = "0020 @UStrAddRef 0028 TAzureQueueManagement.PopulateQueues 004c TAzureQueueManagement.ForceCollapse 0060 EmptyStr 0067 @UStrEqual 0086 @UStrLAsg 00a2 MessageDlgPosHelp 00c1 TTreeNodes.BeginUpdate 00d7 TTreeNode.DeleteChildren 00df TStrings.GetEnumerator 0122 TTreeNodes.AddChild 012d GetNodeData 013e @UStrAsg 0148 TAzureQueueManagement.CreateLoadingNode 0150 TStringsEnumerator.MoveNext 0177 @HandleFinally 0194 TTreeNode.GetExpanded 01a2 TTreeNode.Expand 01b0 TTreeNodes.EndUpdate 01bd TObject.Free 01df @UStrArrayClr 01e7 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D FC 89 5D F8 89 5D F4 89 4D E8 89 55 EC 89 45 F0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 80 B8 C0 03 00 00 00 74 06 83 7D EC 00 75 11 B1 01 33 D2 8B 45 F0 E8 ?? ?? ?? ?? E9 74 01 00 00 83 7D E8 00 74 12 8B 45 08 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 4A 8B 45 08 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 27 8D 45 F8 8B 55 08 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D F8 92 91 E8 ?? ?? ?? ?? B1 01 33 D2 8B 45 F0 E8 ?? ?? ?? ?? E9 12 01 00 00 8B 45 F0 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 56 8B 75 E0 8D 4D F4 8B 56 04 8B 46 08 8B 18 FF 53 0C 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 E0 02 00 00 8B 4D FC 8B 55 EC E8 ?? ?? ?? ?? 8B D8 B2 02 8B C3 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 83 C0 04 8B 53 08 E8 ?? ?? ?? ?? 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 75 9E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E0 00 74 0A B2 01 8B 45 E0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D 0C 00 74 16 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 0A 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 08 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_28995_0 {
	meta:
		name = "TAzureQueueManagement.QueueCreated"
		size = 200
		refs = "001b @UStrAddRef 0023 TAzureQueueManagement.QueueCreated 0041 TCustomTreeView.GetNodeAt 004e TAzureQueueManagement.PopulateForNode 005c SAddQueueError 0061 LoadResString 007a Format 0096 MessageDlgPosHelp 00b0 @UStrArrayClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F4 89 5D F8 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE C0 03 00 00 00 74 64 84 DB 74 1A 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D0 0F B6 4D 08 8B C6 E8 ?? ?? ?? ?? EB 46 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D F8 92 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 04 00 00 00 }
	condition:
		$1
}

rule function_28996_0 {
	meta:
		name = "TAzureQueueManagement.QueueDeleted"
		size = 200
		refs = "001b @UStrAddRef 0023 TAzureQueueManagement.QueueDeleted 0041 TCustomTreeView.GetNodeAt 004e TAzureQueueManagement.PopulateForNode 005c SDeleteQueueError 0061 LoadResString 007a Format 0096 MessageDlgPosHelp 00b0 @UStrArrayClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F4 89 5D F8 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE C0 03 00 00 00 74 64 84 DB 74 1A 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D0 0F B6 4D 08 8B C6 E8 ?? ?? ?? ?? EB 46 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D F8 92 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 04 00 00 00 }
	condition:
		$1
}

rule function_28997_0 {
	meta:
		name = "TAzureQueueManagement.MessageCreated"
		size = 176
		refs = "0015 TAzureQueueManagement.MessageCreated 0037 TAzureQueueManagement.PopulateForNode 0045 SAddQueueMessageError 004a LoadResString 0063 Format 007f MessageDlgPosHelp 0099 @UStrArrayClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F8 89 5D FC 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 B8 C0 03 00 00 00 74 5B 85 DB 74 57 84 C9 74 0D 0F B6 4D 08 8B D3 E8 ?? ?? ?? ?? EB 46 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 08 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 04 00 04 00 00 00 }
	condition:
		$1
}

rule function_28998_0 {
	meta:
		name = "TAzureQueueManagement.MessageRemoved"
		size = 176
		refs = "0015 TAzureQueueManagement.MessageRemoved 0037 TAzureQueueManagement.PopulateForNode 0045 SRemoveQueueMessageError 004a LoadResString 0063 Format 007f MessageDlgPosHelp 0099 @UStrArrayClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F8 89 5D FC 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 B8 C0 03 00 00 00 74 5B 85 DB 74 57 84 C9 74 0D 0F B6 4D 08 8B D3 E8 ?? ?? ?? ?? EB 46 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 08 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 04 00 04 00 00 00 }
	condition:
		$1
}

rule function_28999_0 {
	meta:
		name = "TAzureQueueManagement.RefreshListAction"
		size = 91
		refs = "000b TCustomTreeView.GetNodeAt 0016 TAzureQueueManagement.HasLoadingNode 0025 TTreeNodes.BeginUpdate 002c TTreeNode.DeleteChildren 0035 TAzureQueueManagement.CreateLoadingNode 003e TTreeNode.Expand 0049 TTreeNodes.EndUpdate 0054 TAzureQueueManagement.PopulateForNode"
	strings:
		$1 = { 53 56 8B D8 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3A 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29133_0 {
	meta:
		name = "TAzureTableManagement.RefreshTablesAction"
		size = 91
		refs = "000b TCustomTreeView.GetNodeAt 0016 TAzureTableManagement.HasLoadingNode 0025 TTreeNodes.BeginUpdate 002c TTreeNode.DeleteChildren 0035 TAzureTableManagement.CreateLoadingNode 003e TTreeNode.Expand 0049 TTreeNodes.EndUpdate 0054 TAzureTableManagement.PopulateForNode"
	strings:
		$1 = { 53 56 8B D8 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3A 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29000_0 {
	meta:
		name = "TAzureQueueManagement.RefreshQueueAction"
		size = 104
		refs = "0013 TAzureQueueManagement.isNodeLoading 0022 TTreeNodes.BeginUpdate 002d TTreeNode.DeleteChildren 003a TAzureQueueManagement.CreateLoadingNode 0047 TTreeNode.Expand 0052 TTreeNodes.EndUpdate 0061 TAzureQueueManagement.PopulateForNode"
	strings:
		$1 = { 53 56 8B D8 8B B3 CC 03 00 00 85 F6 74 57 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 4A 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 8B 93 CC 03 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? B1 01 8B 93 CC 03 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29001_0 {
	meta:
		name = "TAzureQueueManagement.RemoveMessageAction"
		size = 85
		refs = "0013 TAzureQueueManagement.isNodeLoading 001e ConfirmDeleteItem 0035 TAzureQueueManagement.MessageRemoved 0040 TTreeNode.GetParent 0049 _DV_TMessageDeletor 004e TMessageDeletor.Create"
	strings:
		$1 = { 53 56 8B D8 8B B3 CC 03 00 00 85 F6 74 44 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 37 33 C0 E8 ?? ?? ?? ?? 84 C0 74 2C 8B B3 CC 03 00 00 8B 83 B0 03 00 00 50 53 68 ?? ?? ?? ?? 6A 01 6A 00 8B C6 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29002_0 {
	meta:
		name = "TAzureQueueManagement.RemoveQueueAction"
		size = 77
		refs = "0013 TAzureQueueManagement.isNodeLoading 001e ConfirmDeleteItem 0035 TAzureQueueManagement.QueueDeleted 0041 _DV_TQueueDeletor 0046 TQueueDeletor.Create"
	strings:
		$1 = { 53 56 8B D8 8B B3 CC 03 00 00 85 F6 74 3C 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2F 33 C0 E8 ?? ?? ?? ?? 84 C0 74 24 8B 83 CC 03 00 00 8B 93 B0 03 00 00 52 53 68 ?? ?? ?? ?? 6A 01 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29003_0 {
	meta:
		name = "TAzureQueueManagement.Activate"
		size = 21
		refs = "000c TAzureQueueManagement.InitializeTree"
	strings:
		$1 = { 33 D2 83 B8 B0 03 00 00 00 74 07 E8 ?? ?? ?? ?? B2 01 8B C2 C3 }
	condition:
		$1
}

rule function_29109_0 {
	meta:
		name = "TAzureTableManagement.Activate"
		size = 21
		refs = "000c TAzureTableManagement.InitializeTree"
	strings:
		$1 = { 33 D2 83 B8 B0 03 00 00 00 74 07 E8 ?? ?? ?? ?? B2 01 8B C2 C3 }
	condition:
		$1
}

rule function_29004_0 {
	meta:
		name = "TAzureQueueManagement.SetActive"
		size = 50
		refs = "001d TTreeNodes.Clear 0026 TAzureQueueManagement.Activate"
	strings:
		$1 = { 53 8B D8 3A 93 C0 03 00 00 74 25 84 D2 75 14 C6 83 C0 03 00 00 00 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? EB 0D 8B C3 E8 ?? ?? ?? ?? 88 83 C0 03 00 00 5B C3 }
	condition:
		$1
}

rule function_29005_0 {
	meta:
		name = "TAzureQueueManagement.SetCustomImages"
		size = 65
		refs = "0019 TObject.Free 0022 TCustomTreeView.SetImages 002b TAzureQueueManagement.CreateImageList"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 1E 8B 83 A4 02 00 00 3B 83 C4 03 00 00 74 05 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? EB 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 89 B3 C4 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_29006_0 {
	meta:
		name = "TAzureQueueManagement.SetMessageLength"
		size = 43
	strings:
		$1 = { 83 FA 05 7D 0B C7 80 C8 03 00 00 05 00 00 00 C3 81 FA 90 01 00 00 7E 0C C7 80 C8 03 00 00 90 01 00 00 EB 06 89 90 C8 03 00 00 C3 }
	condition:
		$1
}

rule function_29007_0 {
	meta:
		name = "TMessagePopulator.Create"
		size = 91
		refs = "000e @ClassCreate 001d TThread.Create 0044 @AfterConstruction"
		altNames = "TQueuePopulator.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 40 8B 45 14 89 47 44 8B 45 0C 89 47 48 8B 45 10 89 47 4C 0F B6 45 08 88 47 54 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_29009_0 {
	meta:
		name = "TQueuePopulator.Execute$184$ActRec.$0$Body"
		size = 33
	strings:
		$1 = { 53 8B 50 14 0F B6 4A 54 51 8B 48 0C 51 8B 4A 40 8B DA 8B 40 10 8B D1 8B C8 8B 43 4C FF 53 48 5B C3 }
	condition:
		$1
}

rule function_29010_0 {
	meta:
		name = "TQueuePopulator.Execute"
		size = 916
		refs = "0018 TQueuePopulator.Execute 0025 _DV_TQueuePopulator.Execute$184$ActRec 002a TObject.Create 003f @IntfCopy 0052 CoInitialize 0062 @IntfClear 006e EmptyStr 0075 @UStrAsg 00a1 _Dn_TAzureQueueService 00a6 TAzureService.Create 00c8 TAzureQueueService.ListQueues 00d3 @UStrLAsg 00dc _Dn_TXMLDocument 00e1 TXMLDocument.Create 010a _Dn_TStringList 010f TStringList.Create 018e @UStrEqual 01f5 @HandleOnException 01fd _Dn_Exception 0216 TObject.Free 022d TAzureService.GetResponseText 025c SErrorGeneric 0261 LoadResString 0270 @UStrCat3 0285 @DoneExcept 0297 CoUninitialize 02a8 TThread.Synchronize 02ae @HandleFinally 02ca @UStrArrayClr 02da @UStrClr 031b IXMLNode 0325 @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8D 45 E8 8B 55 E4 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 89 42 14 C6 40 0F 01 6A 00 E8 ?? ?? ?? ?? 8B 45 E4 33 D2 89 50 10 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 83 C0 0C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 E4 8B 40 14 8B 48 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 E4 8B 40 14 89 58 50 8D 45 E0 50 6A FF 8D 45 E0 50 8D 55 E0 8B C3 83 C9 FF E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 91 A0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 89 42 10 8D 55 D8 8B 45 F8 8B 08 FF 51 18 8B 45 D8 8D 55 DC 8B 08 FF 51 14 8B 45 DC 8D 4D F4 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F4 00 0F 84 9E 00 00 00 8B 45 F4 8B 10 FF 52 24 84 C0 0F 84 8E 00 00 00 8D 55 D4 8B 45 F4 8B 08 FF 51 14 8B 45 D4 8D 4D F0 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F0 00 74 6D 8D 55 D0 8B 45 F0 8B 08 FF 51 34 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 34 8D 55 CC 8B 45 F0 8B 08 FF 51 14 8B 45 CC 8D 4D EC BA ?? ?? ?? ?? 8B 18 FF 53 38 8D 55 C8 8B 45 EC 8B 08 FF 51 50 8B 55 C8 8B 45 E4 8B 40 10 8B 08 FF 51 38 8D 55 C4 8B 45 F0 8B 08 FF 91 90 00 00 00 8B 55 C4 8D 45 F0 E8 ?? ?? ?? ?? 83 7D F0 00 75 93 33 C0 5A 59 59 64 89 10 E9 95 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C6 8B 45 E4 83 C0 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 E4 8B 40 14 8B 58 50 85 DB 74 4F 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 8B 45 C0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 33 8D 55 BC 8B 45 E4 8B 40 14 8B 40 50 E8 ?? ?? ?? ?? 8B 45 BC 50 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B 45 E4 83 C0 0C 59 E8 ?? ?? ?? ?? EB 0E 8B 45 E4 83 C0 0C 8B 56 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 85 D2 74 03 83 EA E8 33 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 80 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 51 00 75 00 65 00 75 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 51 00 75 00 65 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_29011_0 {
	meta:
		name = "TMessageNodeData.Create"
		size = 43
		refs = "0008 @ClassCreate 001c @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? C7 40 18 FF FF FF FF C6 40 08 03 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_29012_0 {
	meta:
		name = "TNodeData.Create"
		size = 36
		refs = "0008 @ClassCreate 0015 @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? C6 40 08 00 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_29015_0 {
	meta:
		name = "TMessagePopulator.Execute$190$ActRec.$0$Body"
		size = 33
	strings:
		$1 = { 53 8B 48 0C 51 8B 50 14 0F B6 4A 54 51 8B 4A 40 8B DA 8B 40 10 8B D1 8B C8 8B 43 4C FF 53 48 5B C3 }
	condition:
		$1
}

rule function_29016_0 {
	meta:
		name = "TMessagePopulator.Execute"
		size = 1368
		refs = "0019 TMessagePopulator.Execute 0026 _DV_TMessagePopulator.Execute$190$ActRec 002b TObject.Create 0040 @IntfCopy 0053 CoInitialize 0063 @IntfClear 0077 @UStrLAsg 00ad _Dn_TAzureQueueService 00b2 TAzureService.Create 00d3 TMessagePopulator.GetMessageCount 00e8 @HandleAnyException 00ed @DoneExcept 0107 TAzureQueueService.PeekMessages 0110 _Dn_TXMLDocument 0115 TXMLDocument.Create 013e _DV_TList<DSAzureQueue.TMessageNodeData> 0143 TList<DSAzureQueue.TMessageNodeData>.Create 01af @UStrEqual 01bc _DV_TMessageNodeData 01c1 TMessageNodeData.Create 0202 @UStrAsg 02c4 StrToInt 0312 TList<DSAzureQueue.TMessageNodeData>.Add 033f TObject.Free 039b CoUninitialize 03ac TThread.Synchronize 03b2 @HandleFinally 03d1 @UStrClr 043a IXMLNode 0444 @FinalizeArray 0459 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 8D 45 E4 8B 55 D8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 55 D8 8B C3 89 42 14 C6 40 0F 01 6A 00 E8 ?? ?? ?? ?? 8B 45 D8 33 D2 89 50 10 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 D8 8B 52 14 8B 52 40 8B 52 08 E8 ?? ?? ?? ?? 8B 45 D8 C7 40 0C FF FF FF FF 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 D8 8B 40 14 8B 48 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 5A 14 89 43 50 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 55 D8 89 42 0C 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 D8 8B 40 14 8B 40 50 B9 20 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 8B 08 FF 91 A0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 89 42 10 8D 55 F0 8B 45 F4 8B 08 FF 51 18 83 7D F0 00 0F 84 04 02 00 00 8B 45 F0 8B 10 FF 52 24 84 C0 0F 84 F4 01 00 00 8D 55 D4 8B 45 F0 8B 08 FF 51 14 8B 45 D4 8D 4D EC BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D EC 00 0F 84 CF 01 00 00 C6 45 DF 00 8D 55 D0 8B 45 EC 8B 08 FF 51 34 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 75 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8D 55 CC 8B 45 EC 8B 08 FF 51 14 8B 45 CC 8D 4D E8 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D E8 00 0F 84 41 01 00 00 8D 55 C8 8B 45 E8 8B 08 FF 51 50 8B 55 C8 8B 45 E0 83 C0 0C E8 ?? ?? ?? ?? 8D 55 C4 8B 45 EC 8B 08 FF 51 14 8B 45 C4 8D 4D E8 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D E8 00 0F 84 03 01 00 00 8D 55 C0 8B 45 E8 8B 08 FF 51 50 8B 55 C0 8B 45 E0 83 C0 10 E8 ?? ?? ?? ?? 8D 55 BC 8B 45 EC 8B 08 FF 51 14 8B 45 BC 8D 4D E8 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D E8 00 0F 84 C5 00 00 00 8D 55 B8 8B 45 E8 8B 08 FF 51 50 8B 55 B8 8B 45 E0 83 C0 14 E8 ?? ?? ?? ?? 8D 55 B4 8B 45 EC 8B 08 FF 51 14 8B 45 B4 8D 4D E8 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D E8 00 0F 84 87 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 B0 8B 45 E8 8B 08 FF 51 50 8B 45 B0 E8 ?? ?? ?? ?? 8B 55 E0 89 42 18 8D 55 AC 8B 45 EC 8B 08 FF 51 14 8B 45 AC 8D 4D E8 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D E8 00 74 2B 8D 55 A8 8B 45 E8 8B 08 FF 51 50 8B 55 A8 8B 45 E0 83 C0 1C E8 ?? ?? ?? ?? 8B 45 D8 8B 40 10 8B 55 E0 E8 ?? ?? ?? ?? C6 45 DF 01 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D DF 00 75 0F 8B 5D E0 33 C0 89 45 E0 8B C3 E8 ?? ?? ?? ?? 8D 55 A4 8B 45 EC 8B 08 FF 91 90 00 00 00 8B 55 A4 8D 45 EC E8 ?? ?? ?? ?? 83 7D EC 00 0F 85 31 FE FF FF 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 D8 83 C0 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 85 D2 74 03 83 EA E8 33 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 5D FF FF FF 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 51 00 75 00 65 00 75 00 65 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 49 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 6E 00 73 00 65 00 72 00 74 00 69 00 6F 00 6E 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 45 00 78 00 70 00 69 00 72 00 61 00 74 00 69 00 6F 00 6E 00 54 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 65 00 71 00 75 00 65 00 75 00 65 00 43 00 6F 00 75 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 54 00 65 00 78 00 74 00 00 00 }
	condition:
		$1
}

rule function_29017_0 {
	meta:
		name = "TMessagePopulator.GetMessageCount"
		size = 244
		refs = "0017 @UStrAddRef 001f TMessagePopulator.GetMessageCount 0037 TAzureQueueService.GetQueueMetadata 004b TAzureService.GetResponseHeader 0061 StrToInt 0073 @HandleAnyException 0078 @DoneExcept 0092 @UStrArrayClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 FF FF FF FF 8B 43 50 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 3D 8D 4D F8 8B 43 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 1F 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 61 00 70 00 70 00 72 00 6F 00 78 00 69 00 6D 00 61 00 74 00 65 00 2D 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 2D 00 63 00 6F 00 75 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_29018_0 {
	meta:
		name = "TQueueCreator.Create"
		size = 151
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TQueueCreator.Create 0034 TThread.Create 003f @UStrAsg 006d @UStrClr 0073 @HandleFinally 0080 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 40 8B 55 FC E8 ?? ?? ?? ?? 8B 45 14 89 46 44 8B 45 0C 89 46 48 8B 45 10 89 46 4C 0F B6 45 08 88 46 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_29022_0 {
	meta:
		name = "TQueueDeletor.Create"
		size = 151
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TQueueDeletor.Create 0034 TThread.Create 003f @UStrAsg 006d @UStrClr 0073 @HandleFinally 0080 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 40 8B 55 FC E8 ?? ?? ?? ?? 8B 45 14 89 46 44 8B 45 0C 89 46 48 8B 45 10 89 46 4C 0F B6 45 08 88 46 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_29143_0 {
	meta:
		name = "TTableCreator.Create"
		size = 151
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TTableCreator.Create 0034 TThread.Create 003f @UStrAsg 006d @UStrClr 0073 @HandleFinally 0080 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 40 8B 55 FC E8 ?? ?? ?? ?? 8B 45 14 89 46 44 8B 45 0C 89 46 48 8B 45 10 89 46 4C 0F B6 45 08 88 46 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_29147_0 {
	meta:
		name = "TTableDeletor.Create"
		size = 151
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TTableDeletor.Create 0034 TThread.Create 003f @UStrAsg 006d @UStrClr 0073 @HandleFinally 0080 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 40 8B 55 FC E8 ?? ?? ?? ?? 8B 45 14 89 46 44 8B 45 0C 89 46 48 8B 45 10 89 46 4C 0F B6 45 08 88 46 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_29020_0 {
	meta:
		name = "TMessageDeletor.Execute$207$ActRec.$0$Body"
		size = 30
		altNames = "TQueueCreator.Execute$195$ActRec.$0$Body TQueueDeletor.Execute$199$ActRec.$0$Body TTableCreator.Execute$339$ActRec.$0$Body TTableDeletor.Execute$343$ActRec.$0$Body"
	strings:
		$1 = { 53 8B 50 10 0F B6 4A 54 51 8B 4A 40 8B DA 0F B6 40 0C 8B D1 8B C8 8B 43 4C FF 53 48 5B C3 }
	condition:
		$1
}

rule function_29021_0 {
	meta:
		name = "TQueueCreator.Execute"
		size = 281
		refs = "0012 TQueueCreator.Execute 001f _DV_TQueueCreator.Execute$195$ActRec 0024 TObject.Create 0039 @IntfCopy 004c CoInitialize 0078 _Dn_TAzureQueueService 007d TAzureService.Create 0093 AnsiLowerCase 009d TAzureQueueService.CreateQueue 00b2 @HandleAnyException 00be @DoneExcept 00d0 CoUninitialize 00e1 TThread.Synchronize 00e7 @HandleFinally 00fe @UStrClr 0106 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8D 45 FC 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 89 42 10 C6 40 0F 01 6A 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 10 8B 48 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F8 8B 70 10 89 5E 50 8D 55 F4 8B 46 40 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 88 42 0C 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? 8B 45 F8 C6 40 0C 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 85 D2 74 03 83 EA EC 33 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29025_0 {
	meta:
		name = "TQueueDeletor.Execute"
		size = 281
		refs = "0012 TQueueDeletor.Execute 001f _DV_TQueueDeletor.Execute$199$ActRec 0024 TObject.Create 0039 @IntfCopy 004c CoInitialize 0078 _Dn_TAzureQueueService 007d TAzureService.Create 0093 AnsiLowerCase 009d TAzureQueueService.DeleteQueue 00b2 @HandleAnyException 00be @DoneExcept 00d0 CoUninitialize 00e1 TThread.Synchronize 00e7 @HandleFinally 00fe @UStrClr 0106 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8D 45 FC 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 89 42 10 C6 40 0F 01 6A 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 10 8B 48 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F8 8B 70 10 89 5E 50 8D 55 F4 8B 46 40 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 88 42 0C 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? 8B 45 F8 C6 40 0C 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 85 D2 74 03 83 EA EC 33 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29026_0 {
	meta:
		name = "TMessageCreator.Create"
		size = 153
		refs = "000e @ClassCreate 001c @UStrAddRef 0024 TMessageCreator.Create 0033 TThread.Create 0041 @UStrAsg 006f @UStrClr 0075 @HandleFinally 0082 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 40 8D 47 44 8B 55 18 E8 ?? ?? ?? ?? 8B 45 14 89 47 48 8B 45 0C 89 47 50 8B 45 10 89 47 54 0F B6 45 08 88 47 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_29028_0 {
	meta:
		name = "TMessageCreator.Execute$203$ActRec.$0$Body"
		size = 30
	strings:
		$1 = { 53 8B 50 10 0F B6 4A 5C 51 8B 4A 40 8B DA 0F B6 40 0C 8B D1 8B C8 8B 43 54 FF 53 50 5B C3 }
	condition:
		$1
}

rule function_29029_0 {
	meta:
		name = "TMessageCreator.Execute"
		size = 295
		refs = "0012 TMessageCreator.Execute 001f _DV_TMessageCreator.Execute$203$ActRec 0024 TObject.Create 0039 @IntfCopy 004c CoInitialize 0078 _Dn_TAzureQueueService 007d TAzureService.Create 0098 AnsiLowerCase 00ab TAzureQueueService.PutMessage 00c0 @HandleAnyException 00cc @DoneExcept 00de CoUninitialize 00ef TThread.Synchronize 00f5 @HandleFinally 010c @UStrClr 0114 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8D 45 FC 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 89 42 10 C6 40 0F 01 6A 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 10 8B 48 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F8 8B 70 10 89 5E 58 6A 00 8D 55 F4 8B 46 40 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 40 10 8B 48 44 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 88 42 0C 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? 8B 45 F8 C6 40 0C 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 85 D2 74 03 83 EA EC 33 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29030_0 {
	meta:
		name = "TMessageDeletor.Create"
		size = 98
		refs = "000e @ClassCreate 001d TThread.Create 004b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 40 8B 45 18 89 47 44 8B 45 10 89 47 48 8B 45 14 89 47 4C 0F B6 45 0C 88 47 54 0F B6 45 08 88 47 55 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_29033_0 {
	meta:
		name = "TMessageDeletor.Execute"
		size = 415
		refs = "0012 TMessageDeletor.Execute 001f _DV_TMessageDeletor.Execute$207$ActRec 0024 TObject.Create 0039 @IntfCopy 004c CoInitialize 007f _Dn_TAzureQueueService 0084 TAzureService.Create 00a2 TAzureQueueService.ClearMessages 00c2 TAzureQueueService.GetMessages 00d6 TAzureQueueService.GetPopReceipt 00df EmptyStr 00e6 @UStrEqual 00f6 TTreeNode.getFirstChild 0101 GetNodeData 011e TAzureQueueService.DeleteMessage 0133 @HandleAnyException 013f @DoneExcept 0151 CoUninitialize 0162 TThread.Synchronize 0168 @HandleFinally 017f @IntfClear 018c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 45 F4 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 89 42 10 C6 40 0F 01 6A 00 E8 ?? ?? ?? ?? 8B 45 F0 C6 40 0C 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 40 10 8B 48 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 F0 8B 58 10 89 73 50 80 7B 55 00 74 15 8B 43 40 8B 50 08 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 88 42 0C EB 7A 6A 00 8D 45 FC 50 8B 43 40 8B 50 08 8B C6 B9 01 00 00 00 E8 ?? ?? ?? ?? 8D 4D F8 8B 45 F0 8B 40 10 8B 40 50 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 3C 8B 45 F0 8B 40 10 8B 40 40 E8 ?? ?? ?? ?? 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 50 8B 4B 0C 8B 45 F0 8B 70 10 8B 46 40 8B 50 08 8B 46 50 E8 ?? ?? ?? ?? 8B 55 F0 88 42 0C 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? 8B 45 F0 C6 40 0C 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 85 D2 74 03 83 EA EC 33 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29034_0 {
	meta:
		name = "TQueueMetadataUpdater.Create"
		size = 138
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TQueueMetadataUpdater.Create 0034 TThread.Create 003f @UStrAsg 0060 @UStrClr 0066 @HandleFinally 0073 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 40 8B 55 FC E8 ?? ?? ?? ?? 8B 45 0C 89 46 44 8B 45 08 89 46 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_29036_0 {
	meta:
		name = "TQueueMetadataUpdater.Execute$211$ActRec.$0$Body"
		size = 197
		refs = "0014 _Dn_TAzureQueueMetadataDialog 0019 TCustomForm.Create 0029 TQueueMetadataUpdater.Execute$211$ActRec.$0$Body 0045 TAzureQueueMetadataDialog.SetActiveQueue 0058 TObject.Free 0074 TAzureQueueMetadataDialog.GetMetadata 0081 _Dn_TStringList 0086 TStringList.Create 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 40 18 8B 48 4C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 1C 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 48 14 8B 45 FC 8B 40 18 8B 50 40 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B 10 FF 92 20 01 00 00 48 75 25 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 EB 07 8B 45 FC C6 40 0C 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 C0 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 59 5D C3 }
	condition:
		$1
}

rule function_29037_0 {
	meta:
		name = "TQueueMetadataUpdater.Execute$211$ActRec.$1$Body"
		size = 148
		refs = "0015 TQueueMetadataUpdater.Execute$211$ActRec.$1$Body 0027 SQueueMetadataError 002c LoadResString 0048 Format 0064 MessageDlgPosHelp 007e @UStrArrayClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 18 8B 40 40 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_29038_0 {
	meta:
		name = "TQueueMetadataUpdater.Execute"
		size = 604
		refs = "001a TQueueMetadataUpdater.Execute 0027 _DV_TQueueMetadataUpdater.Execute$211$ActRec 002c TObject.Create 0041 @IntfCopy 0090 _Dn_TAzureQueueService 0095 TAzureService.Create 00aa TAzureQueueService.GetQueueMetadata 00b9 _Dn_TStringList 00be TStringList.Create 00dd TAzureService.PopulateContainer 00ee TThread.Synchronize 011b TStrings.GetName 0124 EmptyStr 012b @UStrEqual 013d TStrings.GetValueFromIndex 014a AnsiStartsText 015e @UStrCat3 016f TStrings.SetValue 018a TAzureQueueService.PutQueueMetadata 019f @HandleAnyException 01ab @DoneExcept 01cb TObject.Free 01f8 TThread.Queue 01fe @HandleFinally 0215 @IntfClear 0222 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 F4 89 55 F0 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8D 45 EC 8B 55 E8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 89 42 18 C6 40 0F 01 8B 45 E8 33 D2 89 50 14 8B 45 E8 33 D2 89 50 10 8B 45 E8 C6 40 0C 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 8B 40 18 8B 48 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 E8 8B 70 18 89 5E 48 8B 56 40 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 DE 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 E8 89 58 14 6A 01 8B CB 8B 45 E8 8B 40 18 8B 40 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 85 D2 74 03 83 EA DC 33 C0 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 14 85 C0 0F 84 94 00 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 6B 46 33 DB 8D 4D F4 8B 45 E8 8B 40 14 8B D3 E8 ?? ?? ?? ?? 8B 45 F4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 42 8D 4D F0 8B 45 E8 8B 40 14 8B D3 E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 10 8D 45 F4 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 40 10 8B 4D F0 8B 55 F4 E8 ?? ?? ?? ?? 43 4E 75 98 8B 45 E8 8B 48 10 8B 45 E8 8B 58 18 8B 53 40 8B 43 48 E8 ?? ?? ?? ?? 8B 55 E8 88 42 0C 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? 8B 45 E8 C6 40 0C 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 83 C0 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 E8 83 C0 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 E8 80 78 0C 00 75 11 8B 55 E8 85 D2 74 03 83 EA E0 33 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 6D 00 65 00 74 00 61 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_29100_0 {
	meta:
		name = "TAzureQueueMetadataDialog.btnAddMetadataClick"
		size = 78
		refs = "000d TCustomGrid.SetCol 0020 TValueListEditor.InsertRow 0029 TCustomGrid.SetRow"
	strings:
		$1 = { 53 56 8B D8 33 D2 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 6A 01 33 C9 33 D2 8B B3 90 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 90 03 00 00 8B 10 FF 92 F4 00 00 00 B2 01 8B 83 98 03 00 00 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_29101_0 {
	meta:
		name = "TAzureQueueMetadataDialog.btnDelMetadataClick"
		size = 70
		refs = "001b TValueListEditor.GetRowCount"
	strings:
		$1 = { 53 56 8B D8 8B 83 90 03 00 00 8B B0 94 02 00 00 85 F6 7E 2F 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 3B F0 7D 20 8B D6 8B 83 90 03 00 00 8B 08 FF 91 20 01 00 00 B2 01 8B 83 98 03 00 00 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_29102_0 {
	meta:
		name = "TAzureQueueMetadataDialog.GetMetadata"
		size = 43
		refs = "0007 _Dn_TStringList 000c TStringList.Create 0019 TValueListEditor.GetStrings"
	strings:
		$1 = { 56 57 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 86 90 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 40 8B C7 5F 5E C3 }
	condition:
		$1
}

rule function_29103_0 {
	meta:
		name = "TAzureQueueMetadataDialog.MetadataListStringsChange"
		size = 17
	strings:
		$1 = { B2 01 8B 80 98 03 00 00 8B 08 FF 91 80 00 00 00 C3 }
	condition:
		$1
}

rule function_29104_0 {
	meta:
		name = "TAzureQueueMetadataDialog.SetActiveQueue"
		size = 360
		refs = "001e TAzureQueueMetadataDialog.SetActiveQueue 002c EmptyStr 0033 @UStrEqual 0045 SQueueMetadataTitle 004a LoadResString 006d Format 0078 TControl.SetText 0086 TValueListEditor.GetStrings 008b TStrings.BeginUpdate 00e5 TStrings.EndUpdate 00eb @HandleFinally 0132 @UStrArrayClr 013a @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D E0 89 5D F8 89 5D E4 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 84 B4 00 00 00 8D 45 F8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 89 5D F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 85 F6 74 15 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 03 00 00 33 D2 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 3A 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_29107_0 {
	meta:
		name = "GetNodeData"
		size = 47
		refs = "0011 _DV_TNodeData 0016 TNodeData.Create 001f TTreeNode.SetData"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 7E 0C 00 75 1D 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 46 0C 88 58 08 8B 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_29108_0 {
	meta:
		name = "TNodeData.Create"
		size = 35
		refs = "0008 @ClassCreate 0014 @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 48 08 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_29112_0 {
	meta:
		name = "TAzureTableManagement.Create"
		size = 256
		refs = "000a @ClassCreate 0017 TCustomTreeView.Create 0027 TCustomTreeView.SetReadOnly 0037 TAzureTableManagement.HandleNodeExpanded 0047 TAzureTableManagement.HandleNodeCollapsing 0057 TAzureTableManagement.OnImageIndex 0067 TAzureTableManagement.HandleCreateNodeClass 0077 TAzureTableManagement.HandleDoubleClick 0087 TAzureTableManagement.HandleKeyUp 008e TAzureTableManagement.CreatePopupMenu 0097 TControl.SetPopupMenu 009e TAzureTableManagement.CreateImageList 00a7 TCustomTreeView.SetImages 00c1 TAzureTableManagement.Create 00c6 @UStrAsg 00cb _Dn_TAzureService 00d0 TAzureService.SetUp 00db @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 B8 03 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 89 B6 7C 03 00 00 C7 86 78 03 00 00 ?? ?? ?? ?? 89 B6 3C 03 00 00 C7 86 38 03 00 00 ?? ?? ?? ?? 89 B6 8C 03 00 00 C7 86 88 03 00 00 ?? ?? ?? ?? 89 B6 A4 03 00 00 C7 86 A0 03 00 00 ?? ?? ?? ?? 89 B6 24 01 00 00 C7 86 20 01 00 00 ?? ?? ?? ?? 89 B6 34 02 00 00 C7 86 30 02 00 00 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? C6 86 B8 02 00 00 01 33 C0 89 86 C0 03 00 00 8D 86 C4 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7E 00 00 00 }
	condition:
		$1
}

rule function_29113_0 {
	meta:
		name = "TAzureTableManagement.CreateImageList"
		size = 256
		refs = "0007 _Dn_TCustomImageList 000c TCustomImageList.Create 0013 TAzureTableManagement.CreateImageList 0018 GetAzureImage 0025 TCustomImageList.Add 002c TObject.Free"
	strings:
		$1 = { 53 56 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 4D 00 47 00 5F 00 41 00 5A 00 55 00 52 00 45 00 54 00 41 00 42 00 4C 00 45 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 4D 00 47 00 5F 00 41 00 5A 00 55 00 52 00 45 00 54 00 41 00 42 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 4D 00 47 00 5F 00 41 00 5A 00 55 00 52 00 45 00 4D 00 4F 00 52 00 45 00 54 00 41 00 42 00 4C 00 45 00 53 00 00 00 }
	condition:
		$1
}

rule function_29114_0 {
	meta:
		name = "TAzureTableManagement.CreateLoadingNode"
		size = 114
		refs = "000f TAzureTableManagement.CreateLoadingNode 001d SNodeLoading 0022 LoadResString 0032 TTreeNodes.AddChild 003d GetNodeData 004a @UStrAsg 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B D8 B2 03 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 46 04 8B 53 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29115_0 {
	meta:
		name = "TAzureTableManagement.CreateLoadMoreNode"
		size = 125
		refs = "0010 TAzureTableManagement.CreateLoadMoreNode 001e SMoreTables 0023 LoadResString 0033 TTreeNodes.AddChild 003e GetNodeData 004b @UStrAsg 0054 TAzureTableManagement.CreateLoadingNode 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B D3 8B 86 E0 02 00 00 E8 ?? ?? ?? ?? 8B D8 B2 04 8B C3 E8 ?? ?? ?? ?? 8B F8 8D 47 04 8B 53 08 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29116_0 {
	meta:
		name = "TAzureTableManagement.CreatePopupMenu"
		size = 736
		refs = "0015 TAzureTableManagement.CreatePopupMenu 0025 _Dn_TPopupMenu 002a TPopupMenu.Create 0039 TAzureTableManagement.UpdatePopupMenu 0044 @CallDynaInst 005a SActivate 005f LoadResString 0069 TMenuItem.SetCaption 007c TAzureTableManagement.ActivateAction 0086 TMenuItem.Add 00a7 SAddTable 00c9 TAzureTableManagement.AddTableAction 00f4 SRemoveTable 0116 TAzureTableManagement.RemoveTableAction 0141 SViewTableData 0163 TAzureTableManagement.ViewTableAction 01bd SRefresh 01df TAzureTableManagement.RefreshTablesAction 0205 @UStrArrayClr 020b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 FC 89 47 7C C7 47 78 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B D3 8B 47 3C E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B D3 8B 47 3C E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B D3 8B 47 3C E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B D3 8B 47 3C E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 47 3C E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B D3 8B 47 3C E8 ?? ?? ?? ?? 8B DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 63 00 74 00 69 00 76 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 64 00 64 00 54 00 61 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 6D 00 6F 00 76 00 65 00 54 00 61 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 56 00 69 00 65 00 77 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4E 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 65 00 66 00 72 00 65 00 73 00 68 00 00 00 }
	condition:
		$1
}

rule function_29117_0 {
	meta:
		name = "TAzureTableManagement.Destroy"
		size = 85
		refs = "0003 @BeforeDestruction 0024 TCustomImageList.Clear 002f TObject.Free 0038 TCustomTreeView.SetImages 0043 TCustomTreeView.Destroy 004e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 BE BC 03 00 00 00 75 28 83 BE A4 02 00 00 00 74 1F 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29118_0 {
	meta:
		name = "TAzureTableManagement.ForceCollapse"
		size = 102
		refs = "0018 TAzureTableManagement.ForceCollapse 0030 TTreeNodes.GetFirstNode 003f TTreeNode.Collapse 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 89 45 FC 8B 45 FC C6 80 C8 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 D2 75 10 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 85 D2 74 09 8B C2 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 C8 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5B 59 5D C3 }
	condition:
		$1
}

rule function_29120_0 {
	meta:
		name = "TAzureTableManagement.HandleDoubleClick"
		size = 21
		refs = "0006 TCustomTreeView.GetSelected 000f TAzureTableManagement.OpenViewTableDialog"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73405_0 {
	meta:
		name = "TActiveXControl.PropChanged"
		size = 21
		refs = "0006 TActiveXControl.GetPropertyID 000f TActiveXControl.PropChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73407_0 {
	meta:
		name = "TActiveXControl.PropRequestEdit"
		size = 21
		refs = "0006 TActiveXControl.GetPropertyID 000f TActiveXControl.PropRequestEdit"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77253_0 {
	meta:
		name = "TDBCheckBox.DataChange"
		size = 21
		refs = "0006 TDBCheckBox.GetFieldState 000f TCustomCheckBox.SetState"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77251_0 {
	meta:
		name = "TDBCheckBox.UseRightToLeftAlignment"
		size = 21
		refs = "0006 TDBCheckBox.GetField 000f DBUseRightToLeftAlignment"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77303_0 {
	meta:
		name = "TDBComboBox.UseRightToLeftAlignment"
		size = 21
		refs = "0006 TDBComboBox.GetField 000f DBUseRightToLeftAlignment"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77202_0 {
	meta:
		name = "TDBEdit.UseRightToLeftAlignment"
		size = 21
		refs = "0006 TDBEdit.GetField 000f DBUseRightToLeftAlignment"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77310_0 {
	meta:
		name = "TDBListBox.UseRightToLeftAlignment"
		size = 21
		refs = "0006 TDBListBox.GetField 000f DBUseRightToLeftAlignment"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77359_0 {
	meta:
		name = "TDBMemo.UseRightToLeftAlignment"
		size = 21
		refs = "0006 TDBMemo.GetField 000f DBUseRightToLeftAlignment"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77593_0 {
	meta:
		name = "TDBRichEdit.UseRightToLeftAlignment"
		size = 21
		refs = "0006 TDBRichEdit.GetField 000f DBUseRightToLeftAlignment"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77235_0 {
	meta:
		name = "TDBText.UseRightToLeftAlignment"
		size = 21
		refs = "0006 TDBText.GetField 000f DBUseRightToLeftAlignment"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29121_0 {
	meta:
		name = "TAzureTableManagement.HandleKeyUp"
		size = 133
		refs = "000f TCustomTreeView.GetSelected 0035 TAzureTableManagement.RefreshTablesAction 0058 TAzureTableManagement.RemoveTableAction 0072 TAzureTableManagement.OpenViewTableDialog"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 67 8B C3 E8 ?? ?? ?? ?? 8B 40 0C 0F B6 50 08 80 FA 01 75 11 66 83 3E 74 75 0B 8B D7 8B C3 E8 ?? ?? ?? ?? EB 43 80 FA 02 75 3E 66 83 3E 2E 75 18 8B C3 E8 ?? ?? ?? ?? 89 83 C0 03 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? EB 20 66 83 3E 0D 75 1A EB 12 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 06 F6 45 08 01 75 E8 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_29122_0 {
	meta:
		name = "TAzureTableManagement.HandleNodeCollapsing"
		size = 48
		refs = "0017 TAzureTableManagement.isNodeLoading"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 80 BB C8 03 00 00 00 75 11 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 8B 55 08 88 02 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_29125_0 {
	meta:
		name = "TAzureTableManagement.UpdatePopupMenu"
		size = 348
		refs = "000c TCustomTreeView.GetSelected 002b TMenuItem.GetEnumerator 0036 TAzureTableManagement.UpdatePopupMenu 0046 TMenuItemEnumerator.GetCurrent 005e @UStrEqual 0068 TMenuItem.SetVisible 00c0 TMenuItemEnumerator.MoveNext 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 89 9E C0 03 00 00 33 FF 85 DB 74 03 8B 7B 0C 8B 86 84 00 00 00 8B 40 3C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 7A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 80 BE B8 03 00 00 00 75 19 8B 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C2 8B C3 E8 ?? ?? ?? ?? EB 4E 8B 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 19 85 FF 74 06 80 7F 08 02 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? EB 17 8B 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 76 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 63 00 74 00 69 00 76 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 6D 00 6F 00 76 00 65 00 54 00 61 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 56 00 69 00 65 00 77 00 44 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_29126_0 {
	meta:
		name = "TAzureTableManagement.ViewTableAction"
		size = 12
		refs = "0007 TAzureTableManagement.OpenViewTableDialog"
	strings:
		$1 = { 8B 90 C0 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29128_0 {
	meta:
		name = "TAzureTableManagement.isNodeLoading"
		size = 63
		refs = "000d TTreeNode.GetCount 0017 TTreeNode.GetExpanded 0022 TTreeNode.getFirstChild 002d GetNodeData"
	strings:
		$1 = { 53 56 8B F2 33 DB 85 F6 74 30 8B C6 E8 ?? ?? ?? ?? 48 75 26 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C6 E8 ?? ?? ?? ?? 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 80 78 08 03 0F 94 C0 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_29129_0 {
	meta:
		name = "TAzureTableManagement.OnImageIndex"
		size = 73
		refs = "0009 GetNodeData 0039 TTreeNode.SetImageIndex 0042 TTreeNode.SetSelectedIndex"
	strings:
		$1 = { 53 56 8B F1 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 40 08 FE C8 74 0A FE C8 74 0A 2C 02 74 0D EB 12 33 DB EB 11 BB 01 00 00 00 EB 0A BB 02 00 00 00 EB 03 83 CB FF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29130_0 {
	meta:
		name = "TAzureTableManagement.OpenViewTableDialog"
		size = 141
		refs = "0020 TAzureTableManagement.OpenViewTableDialog 0036 _Dn_TTAzureTableDialog 003b TTAzureTableDialog.Create 0051 @UStrAsg 005c TTAzureTableDialog.SetTable 007c TObject.Free 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 85 F6 74 7A 8B 46 0C 80 78 08 02 75 71 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 B0 03 00 00 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 05 E0 03 00 00 8B 93 C4 03 00 00 E8 ?? ?? ?? ?? 8B 56 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29131_0 {
	meta:
		name = "TAzureTableManagement.PopulateForNode"
		size = 133
		refs = "000f GetNodeData 0024 TAzureTableManagement.PopulateTables 0029 EmptyStr 0036 _DV_TTablesPopulator 003b TTablesPopulator.Create 0053 @UStrEqual 006e TTreeNode.GetParent"
	strings:
		$1 = { 53 56 57 55 8B D9 8B FA 8B F0 33 D2 8B C7 E8 ?? ?? ?? ?? 8B E8 80 7D 08 01 75 26 8B 86 B0 03 00 00 50 56 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 53 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3F 80 7D 08 04 75 39 8B 45 04 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 27 8B 86 B0 03 00 00 50 56 68 ?? ?? ?? ?? 8B 45 04 50 53 8B C7 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29132_0 {
	meta:
		name = "TAzureTableManagement.PopulateTables"
		size = 692
		refs = "0020 @UStrAddRef 0038 TAzureTableManagement.PopulateTables 0056 TAzureTableManagement.ForceCollapse 0064 EmptyStr 006b @UStrEqual 0078 @UStrLAsg 0094 MessageDlgPosHelp 00c5 TTreeNode.GetChildren 00d1 TTreeNode.GetLastChild 00d8 TTreeNode.Collapse 00fa TTreeNodes.BeginUpdate 0122 TTreeNode.DeleteChildren 0154 TTreeNode.Delete 015c TStrings.GetEnumerator 019f TTreeNodes.AddChild 01aa GetNodeData 01bb @UStrAsg 01c3 TStringsEnumerator.MoveNext 01ea @HandleFinally 0209 TAzureTableManagement.CreateLoadMoreNode 023a TTreeNode.GetExpanded 0248 TTreeNode.Expand 0256 TTreeNodes.EndUpdate 0263 TObject.Free 0285 @UStrArrayClr 028d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D FC 89 5D F8 89 5D F4 89 4D E8 89 55 EC 89 45 F0 8B 45 14 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 80 B8 B8 03 00 00 00 75 11 B1 01 33 D2 8B 45 F0 E8 ?? ?? ?? ?? E9 10 02 00 00 8B 45 08 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 38 8D 45 F8 8B 55 08 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D F8 92 91 E8 ?? ?? ?? ?? B1 01 33 D2 8B 45 F0 E8 ?? ?? ?? ?? E9 C6 01 00 00 83 7D E8 00 75 41 8B 45 14 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 20 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 EC E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E9 8E 01 00 00 33 D2 8B 45 EC E8 ?? ?? ?? ?? E9 7F 01 00 00 8B 45 F0 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 14 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 0A 8B 45 EC E8 ?? ?? ?? ?? EB 30 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 24 8B 45 EC E8 ?? ?? ?? ?? 8B 40 0C 89 45 E4 8B 45 E4 80 78 08 04 75 0D 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 4C 8B 75 E0 8D 4D F4 8B 56 04 8B 46 08 8B 18 FF 53 0C 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 E0 02 00 00 8B 4D FC 8B 55 EC E8 ?? ?? ?? ?? 8B D8 B2 02 8B C3 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 83 C0 04 8B 53 08 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 75 A8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E0 00 74 0A B2 01 8B 45 E0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 10 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 21 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8B 43 0C 89 45 E4 8B 45 E4 83 C0 04 8B 55 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D 0C 00 74 16 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 0A 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? 8D 45 10 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C2 10 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_29134_0 {
	meta:
		name = "TAzureTableManagement.RemoveTableAction"
		size = 77
		refs = "0013 TAzureTableManagement.isNodeLoading 001e ConfirmDeleteItem 0035 TAzureTableManagement.TableDeleted 0041 _DV_TTableDeletor 0046 TTableDeletor.Create"
	strings:
		$1 = { 53 56 8B D8 8B B3 C0 03 00 00 85 F6 74 3C 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2F 33 C0 E8 ?? ?? ?? ?? 84 C0 74 24 8B 83 C0 03 00 00 8B 93 B0 03 00 00 52 53 68 ?? ?? ?? ?? 6A 01 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29135_0 {
	meta:
		name = "TAzureTableManagement.SetActive"
		size = 50
		refs = "001d TTreeNodes.Clear 0026 TAzureTableManagement.Activate"
	strings:
		$1 = { 53 8B D8 3A 93 B8 03 00 00 74 25 84 D2 75 14 C6 83 B8 03 00 00 00 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? EB 0D 8B C3 E8 ?? ?? ?? ?? 88 83 B8 03 00 00 5B C3 }
	condition:
		$1
}

rule function_29136_0 {
	meta:
		name = "TAzureTableManagement.SetCustomImages"
		size = 65
		refs = "0019 TObject.Free 0022 TCustomTreeView.SetImages 002b TAzureTableManagement.CreateImageList"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 1E 8B 83 A4 02 00 00 3B 83 BC 03 00 00 74 05 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? EB 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 89 B3 BC 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_29137_0 {
	meta:
		name = "TAzureTableManagement.TableCreated"
		size = 200
		refs = "001b @UStrAddRef 0023 TAzureTableManagement.TableCreated 0041 TCustomTreeView.GetNodeAt 004e TAzureTableManagement.PopulateForNode 005c SAddTableError 0061 LoadResString 007a Format 0096 MessageDlgPosHelp 00b0 @UStrArrayClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F4 89 5D F8 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE B8 03 00 00 00 74 64 84 DB 74 1A 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D0 0F B6 4D 08 8B C6 E8 ?? ?? ?? ?? EB 46 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D F8 92 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 04 00 00 00 }
	condition:
		$1
}

rule function_29138_0 {
	meta:
		name = "TAzureTableManagement.TableDeleted"
		size = 200
		refs = "001b @UStrAddRef 0023 TAzureTableManagement.TableDeleted 0041 TCustomTreeView.GetNodeAt 004e TAzureTableManagement.PopulateForNode 005c SDeleteTableError 0061 LoadResString 007a Format 0096 MessageDlgPosHelp 00b0 @UStrArrayClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F4 89 5D F8 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE B8 03 00 00 00 74 64 84 DB 74 1A 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D0 0F B6 4D 08 8B C6 E8 ?? ?? ?? ?? EB 46 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D F8 92 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 04 00 00 00 }
	condition:
		$1
}

rule function_29139_0 {
	meta:
		name = "TTablesPopulator.Create"
		size = 153
		refs = "000e @ClassCreate 001c @UStrAddRef 0024 TTablesPopulator.Create 0033 TThread.Create 005a @UStrAsg 006f @UStrClr 0075 @HandleFinally 0082 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 40 8B 45 18 89 47 44 8B 45 10 89 47 48 8B 45 14 89 47 4C 0F B6 45 08 88 47 54 8D 47 58 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_29141_0 {
	meta:
		name = "TTablesPopulator.Execute$335$ActRec.$0$Body"
		size = 41
	strings:
		$1 = { 53 8B 50 18 8B 4A 58 51 8B 48 10 51 0F B6 4A 54 51 8B 48 0C 51 8B 4A 40 8B DA 8B 40 14 8B D1 8B C8 8B 43 4C FF 53 48 5B C3 }
	condition:
		$1
}

rule function_29142_0 {
	meta:
		name = "TTablesPopulator.Execute"
		size = 1100
		refs = "0018 TTablesPopulator.Execute 0025 _DV_TTablesPopulator.Execute$335$ActRec 002a TObject.Create 003f @IntfCopy 0052 CoInitialize 0062 @IntfClear 006e EmptyStr 0075 @UStrAsg 00b4 _Dn_TAzureTableService 00b9 TAzureTableService.Create 00d1 TAzureTableService.QueryTables 00da _Dn_TXMLDocument 00df TXMLDocument.Create 0117 TAzureService.GetResponseHeader 012c _Dn_TStringList 0131 TStringList.Create 017a @UStrEqual 01b9 GetFirstMatchingChildNode 0235 @HandleOnException 023d _Dn_Exception 0256 TObject.Free 026d TAzureService.GetResponseText 029c SErrorGeneric 02a1 LoadResString 02b0 @UStrCat3 02c5 @DoneExcept 02d7 CoUninitialize 02e8 TThread.Synchronize 02ee @HandleFinally 030a @UStrArrayClr 031a @UStrClr 0353 IXMLNode 035d @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8D 45 E4 8B 55 E0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 89 42 18 C6 40 0F 01 6A 00 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 50 14 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 E0 83 C0 10 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8B 45 E0 83 C0 0C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 E0 8B 40 18 8B 48 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 E0 8B 70 18 89 5E 50 8D 4D FC 8B 56 58 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 91 A0 00 00 00 8D 4D DC 8B 45 E0 8B 40 18 8B 40 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 E0 83 C0 10 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 89 42 14 8D 55 D4 8B 45 F8 8B 08 FF 51 18 8B 45 D4 8D 55 D8 8B 08 FF 51 14 8B 45 D8 8D 4D F4 BA ?? ?? ?? ?? 8B 18 FF 53 38 E9 AB 00 00 00 8D 55 D0 8B 45 F4 8B 08 FF 51 34 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 78 8D 55 CC 8B 45 F4 8B 08 FF 51 14 8B 45 CC 8D 4D F0 BA ?? ?? ?? ?? 8B 18 FF 53 38 83 7D F0 00 74 57 8B 45 F0 8B 10 FF 52 24 84 C0 74 4B 8D 4D EC BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 83 7D EC 00 74 35 8B 45 EC 8B 10 FF 52 24 84 C0 74 29 8D 4D E8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 55 C8 8B 45 E8 8B 08 FF 51 50 8B 55 C8 8B 45 E0 8B 40 14 8B 08 FF 51 38 8D 55 C4 8B 45 F4 8B 08 FF 91 90 00 00 00 8B 55 C4 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 74 10 8B 45 F4 8B 10 FF 52 24 84 C0 0F 85 3F FF FF FF 33 C0 5A 59 59 64 89 10 E9 95 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C6 8B 45 E0 83 C0 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 18 8B 58 50 85 DB 74 4F 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 8B 45 C0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 33 8D 55 BC 8B 45 E0 8B 40 18 8B 40 50 E8 ?? ?? ?? ?? 8B 45 BC 50 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B 45 E0 83 C0 0C 59 E8 ?? ?? ?? ?? EB 0E 8B 45 E0 83 C0 0C 8B 56 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 85 D2 74 03 83 EA E4 33 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 88 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 1F 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 63 00 6F 00 6E 00 74 00 69 00 6E 00 75 00 61 00 74 00 69 00 6F 00 6E 00 2D 00 4E 00 65 00 78 00 74 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 6E 00 74 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6D 00 3A 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 64 00 3A 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_29146_0 {
	meta:
		name = "TTableCreator.Execute"
		size = 246
		refs = "0014 TTableCreator.Execute 0021 _DV_TTableCreator.Execute$339$ActRec 0026 TObject.Create 003b @IntfCopy 006d _Dn_TAzureTableService 0072 TAzureTableService.Create 0087 TAzureTableService.CreateTable 009c @HandleAnyException 00a8 @DoneExcept 00c6 TThread.Synchronize 00cc @HandleFinally 00e3 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8D 45 FC 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F8 8B DE 89 58 10 C6 43 0F 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 F8 8B 78 10 89 77 50 8B 57 40 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 88 42 0C 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? 8B 45 F8 C6 40 0C 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 85 D2 74 03 83 EA EC 33 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29150_0 {
	meta:
		name = "TTableDeletor.Execute"
		size = 246
		refs = "0014 TTableDeletor.Execute 0021 _DV_TTableDeletor.Execute$343$ActRec 0026 TObject.Create 003b @IntfCopy 006d _Dn_TAzureTableService 0072 TAzureTableService.Create 0087 TAzureTableService.DeleteTable 009c @HandleAnyException 00a8 @DoneExcept 00c6 TThread.Synchronize 00cc @HandleFinally 00e3 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8D 45 FC 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F8 8B DE 89 58 10 C6 43 0F 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 F8 8B 78 10 89 77 50 8B 57 40 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 88 42 0C 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? 8B 45 F8 C6 40 0C 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 85 D2 74 03 83 EA EC 33 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29165_0 {
	meta:
		name = "GetDataType"
		size = 500
		refs = "000c @UStrAddRef 0014 GetDataType 0029 AnsiStartsStr 0043 @UStrCopy 0050 @UStrEqual 00f1 @UStrClr 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 08 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8D 45 FC 50 B9 FF FF FF 7F BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 33 DB E9 83 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 01 EB 70 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 02 EB 5D 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 03 EB 4A 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 04 EB 37 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 05 EB 24 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 06 EB 11 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 02 B3 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 64 00 6D 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 47 00 75 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 74 00 33 00 32 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 74 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_29166_0 {
	meta:
		name = "GetDataType"
		size = 464
		refs = "0012 GetDataType 003e @UStrAsg 00aa EmptyStr"
	strings:
		$1 = { 53 8B DA 83 E0 7F 83 F8 07 0F 87 97 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 45 00 64 00 6D 00 2E 00 42 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 64 00 6D 00 2E 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 45 00 64 00 6D 00 2E 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 45 00 64 00 6D 00 2E 00 44 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 64 00 6D 00 2E 00 47 00 75 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 64 00 6D 00 2E 00 49 00 6E 00 74 00 33 00 32 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 64 00 6D 00 2E 00 49 00 6E 00 74 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 45 00 64 00 6D 00 2E 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_29167_0 {
	meta:
		name = "ValidateValueForDataType"
		size = 452
		refs = "001d @UStrAddRef 0025 ValidateValueForDataType 0069 LowerCase 0076 @UStrEqual 00c0 StrToInt 00de @HandleAnyException 00e7 @DoneExcept 010c @UStrLAsg 0112 CurrencyString 011a StrToFloat 0170 @UStrArrayClr 0183 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D D8 89 4D DC 89 4D F8 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 80 FB 08 75 09 C6 45 F7 00 E9 19 01 00 00 80 FB 07 75 09 C6 45 F7 01 E9 0B 01 00 00 80 FB 04 75 09 C6 45 F7 01 E9 FD 00 00 00 80 FB 01 75 42 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 F7 E9 B6 00 00 00 80 FB 05 74 05 80 FB 06 75 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 E9 85 00 00 00 33 C0 5A 59 59 64 89 10 E9 ?? ?? ?? ?? C6 45 F7 00 E8 ?? ?? ?? ?? EB 6D E8 ?? ?? ?? ?? 80 FB 03 75 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DB 7D E0 9B C6 45 F7 01 33 C0 5A 59 59 64 89 10 EB 2A 33 C0 5A 59 59 64 89 10 E9 ?? ?? ?? ?? C6 45 F7 00 E8 ?? ?? ?? ?? EB 12 E8 ?? ?? ?? ?? 80 FB 02 74 04 84 DB 75 04 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_29168_0 {
	meta:
		name = "GetRowFromConentNode"
		size = 816
		refs = "0019 @IntfAddRef 0021 GetRowFromConentNode 0045 @UStrEqual 0070 GetFirstMatchingChildNode 00a7 _DV_TAzureTableRow 00ac TAzureTableRow.Create 00df AnsiPos 00fa @UStrCopy 0125 @UStrAsg 015e _DV_TAzureTableColumn 0163 TAzureTableColumn.Create 01b5 @VarToUStr 01bf TAzureTableColumn.SetDataType 01cf TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Add 01de @HandleAnyException 01e3 @DoneExcept 0203 @IntfCopy 0225 @IntfClear 022d @VarClr 023a @UStrArrayClr 024a @UStrClr 025b IXMLNode 0265 @FinalizeArray 026b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 1A 8D 55 E8 8B 45 FC 8B 08 FF 51 34 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 07 33 DB E9 C2 01 00 00 33 DB 8B 45 FC 8B 10 FF 52 24 84 C0 0F 84 B0 01 00 00 8D 4D F8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 96 01 00 00 8B 45 F8 8B 10 FF 52 24 84 C0 0F 84 86 01 00 00 8D 55 E4 8B 45 F8 8B 08 FF 51 14 8B 45 E4 8D 55 F4 8B 08 FF 51 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 83 7D F4 00 0F 84 54 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 F4 8B 08 FF 51 34 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 FB FF 7E 14 8D 45 F0 50 8D 53 01 B9 FF FF FF 7F 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 21 8D 55 E0 8B 45 F4 8B 08 FF 51 50 8B 55 E0 8B 45 EC 8B 40 0C 83 C0 0C E8 ?? ?? ?? ?? E9 A5 00 00 00 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1E 8D 55 DC 8B 45 F4 8B 08 FF 51 50 8B 55 DC 8B 45 EC 8B 40 08 83 C0 0C E8 ?? ?? ?? ?? EB 78 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 08 8B 55 F0 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F4 8B 08 FF 51 50 8B 55 D8 8D 46 0C E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 91 88 00 00 00 84 C0 74 25 8D 4D C4 BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 0C 8D 55 C4 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 10 8B CE 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 F4 8B 08 FF 91 90 00 00 00 8B 55 C0 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 0F 85 AC FE FF FF 8B 5D EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B0 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6D 00 3A 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 6F 00 77 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6D 00 3A 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_29169_0 {
	meta:
		name = "TTAzureTableDialog.SetCurrentEntity"
		size = 804
		refs = "0022 TTAzureTableDialog.SetCurrentEntity 004e SConfirmRowChangeLoss 0053 LoadResString 006f MessageDlgPosHelp 0081 TObject.Free 00f1 EmptyStr 0101 TControl.SetText 0109 TTAzureTableDialog.ClearColumnTable 0139 SEntityTitle 0149 Format 0168 TValueListEditor.GetStrings 016d TStrings.BeginUpdate 01a1 TValueListEditor.InsertRow 01ca TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.GetKeys 01cf TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyCollection.GetEnumerator 01ed TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyEnumerator.GetCurrent 01fa @UStrEqual 020a TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.GetItem 022a TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyEnumerator.MoveNext 0251 @HandleFinally 0273 TStrings.EndUpdate 0295 @UStrArrayClr 029d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 C9 89 4D E8 89 4D DC 89 4D D8 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 B8 D0 03 00 00 00 74 52 8B 45 F4 8B 80 94 03 00 00 8B 10 FF 52 68 84 C0 74 40 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 03 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D F8 92 91 E8 ?? ?? ?? ?? 83 F8 06 74 12 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? E9 F5 01 00 00 8B 45 F4 05 D0 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F0 89 90 D0 03 00 00 83 7D F0 00 0F 95 C2 8B 45 F4 8B 80 A8 03 00 00 8B 08 FF 91 80 00 00 00 83 7D F0 00 74 09 8B 45 F0 80 78 18 00 75 04 33 D2 EB 02 B2 01 8B 45 F4 8B 80 94 03 00 00 8B 08 FF 91 80 00 00 00 83 7D F0 00 75 23 8B 15 ?? ?? ?? ?? 8B 12 8B 45 F4 8B 80 AC 03 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E9 6D 01 00 00 8D 45 E8 50 8D 55 DC 8B 45 F4 8B 80 D0 03 00 00 8B 08 FF 51 04 8B 45 DC 89 45 E0 C6 45 E4 11 8D 45 E0 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 33 C9 5A E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 8B 80 AC 03 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 6A 01 8B 45 F0 8B 40 08 8B 48 0C 8B 45 F4 8B 80 A8 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8B 45 F0 8B 40 0C 8B 48 0C 8B 45 F4 8B 80 A8 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 40 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 40 8D 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 26 8B 45 F0 8B 40 10 8B 55 FC E8 ?? ?? ?? ?? 8B D8 6A 01 8B 4B 0C 8B 45 F4 8B 80 A8 03 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 B4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5B 8B E5 5D C3 00 03 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 6F 00 77 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 69 00 6D 00 65 00 73 00 74 00 61 00 6D 00 70 00 00 00 }
	condition:
		$1
}

rule function_29170_0 {
	meta:
		name = "TTAzureTableDialog.SetDataTypeAction"
		size = 276
		refs = "0019 TTAzureTableDialog.SetDataTypeAction 0034 _Dn_TMenuItem 0039 @IsClass 0049 GetDataType 006a ValidateValueForDataType 0095 SInvalidDataType 009a LoadResString 00c6 Format 00e2 MessageDlgPosHelp 00fc @UStrArrayClr 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F8 89 4D FC 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BF D4 03 00 00 00 0F 84 B6 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A1 00 00 00 8B 46 08 E8 ?? ?? ?? ?? 8B D8 8B 87 D4 03 00 00 3A 58 04 0F 84 88 00 00 00 8B D3 8B 87 D4 03 00 00 8B 40 0C E8 ?? ?? ?? ?? 84 C0 74 1B 8B 87 D4 03 00 00 88 58 04 B2 01 8B 87 94 03 00 00 8B 08 FF 91 80 00 00 00 EB 59 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 46 08 89 45 E8 C6 45 EC 11 8B 87 D4 03 00 00 8B 40 0C 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_29171_0 {
	meta:
		name = "TTAzureTableDialog.SetColumnValue"
		size = 161
		refs = "0013 @UStrAddRef 001b TTAzureTableDialog.SetColumnValue 003f TValueListEditor.FindRow 0054 TValueListEditor.SetKey 0065 TValueListEditor.SetValue 007a TValueListEditor.InsertRow 008f @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB D0 03 00 00 00 74 50 85 F6 74 4C 8D 4D F8 8B 55 FC 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 24 8B 4E 08 8B 55 F8 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B 4E 0C 8B 56 08 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? EB 13 6A 01 8B 4E 0C 8B 56 08 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29172_0 {
	meta:
		name = "TTAzureTableDialog.EditColumnAction"
		size = 393
		refs = "0012 TTAzureTableDialog.EditColumnAction 004e _Dn_TTAzureTableRowDialog 0053 TTAzureTableRowDialog.Create 0072 TValueListEditor.GetStrings 0077 TStrings.BeginUpdate 009d @UStrLAsg 00a8 TTAzureTableRowDialog.GetName 00b3 @UStrEqual 00c8 TAzureTableRow.ClearColumn 00df TTAzureTableRowDialog.PersistChanges 00f0 TAzureTableRow.SetColumn 010e TTAzureTableDialog.SetColumnValue 0141 TStrings.EndUpdate 014e TObject.Free 0154 @HandleFinally 0170 @UStrArrayClr 0178 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 98 D0 03 00 00 85 DB 0F 84 2D 01 00 00 8B 45 F8 83 B8 D4 03 00 00 00 0F 84 1D 01 00 00 8B 45 F8 8B 80 D4 03 00 00 50 53 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 92 20 01 00 00 48 0F 85 98 00 00 00 8D 45 FC 8B 55 F8 8B 92 D4 03 00 00 8B 52 08 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 74 3D 8B 45 F8 8B 80 D0 03 00 00 33 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 45 F8 8B 80 D0 03 00 00 5A E8 ?? ?? ?? ?? EB 08 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 88 D4 03 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 94 03 00 00 B2 01 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29173_0 {
	meta:
		name = "TTAzureTableDialog.AddColumnAction"
		size = 138
		refs = "001a _Dn_TTAzureTableRowDialog 001f TTAzureTableRowDialog.Create 002a TTAzureTableDialog.AddColumnAction 0046 TTAzureTableRowDialog.PersistChanges 004f TTAzureTableDialog.AddRow 0079 TObject.Free 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 8B B3 D0 03 00 00 85 F6 74 73 6A 00 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 92 20 01 00 00 48 75 21 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 94 03 00 00 B2 01 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29174_0 {
	meta:
		name = "TTAzureTableDialog.AddRow"
		size = 248
		refs = "002d TValueListEditor.GetStrings 0032 TStrings.BeginUpdate 003a TTAzureTableDialog.AddRow 0054 EmptyStr 00b4 TValueListEditor.InsertRow 00c7 TAzureTableRow.SetColumn 00e7 TStrings.EndUpdate 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B 45 FC 83 B8 D0 03 00 00 00 0F 84 D8 00 00 00 85 DB 0F 84 D0 00 00 00 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 08 FF 51 58 8B F0 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 14 48 3B F0 75 29 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 14 48 50 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 48 6A 01 8B 4B 0C 8B 53 08 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B 53 08 8B 45 FC 8B 80 D0 03 00 00 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29175_0 {
	meta:
		name = "TTAzureTableDialog.AddRowAction"
		size = 139
		refs = "000d TTAzureTableDialog.AddRowAction 0023 TTAzureTableDialog.GetSelectedRow 0030 TTAzureTableDialog.GetLastRow 0044 @UStrLAsg 004e EmptyStr 0057 _DV_TAzureTemporaryTableRow 005c TAzureTemporaryTableRow.Create 0065 TTAzureTableDialog.SetCurrentEntity 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB D8 03 00 00 00 75 49 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 09 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0E 8D 45 FC 8B 56 0C 8B 52 0C E8 ?? ?? ?? ?? 8B 45 FC 50 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29176_0 {
	meta:
		name = "TTAzureTableDialog.BatchRowsCreated"
		size = 140
		refs = "0016 TTAzureTableDialog.BatchRowsCreated 0029 TTAzureTableDialog.EnableRowSelection 0037 SImportEntitiesError 003c LoadResString 0059 MessageDlgPosHelp 0060 TTAzureTableDialog.InitializeRows 0075 @UStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 88 55 FB 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 40 B2 01 8B C3 E8 ?? ?? ?? ?? 80 7D FB 00 75 2A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 F6 56 6A FF 6A FF 6A 00 8B CA 8B 55 FC 92 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_29178_0 {
	meta:
		name = "TTAzureTableDialog.ClearColumnTable"
		size = 96
		refs = "000c TTAzureTableDialog.ClearColumnTable 001d TValueListEditor.GetStrings 0033 SelectTopCell 0052 @HandleAnyException 0057 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 7E 1D 8B 86 A8 03 00 00 B2 01 E8 ?? ?? ?? ?? 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_29179_0 {
	meta:
		name = "TTAzureTableDialog.ClearRows"
		size = 162
		refs = "0009 TTAzureTableDialog.ClearColumnTable 005f TObject.Free"
	strings:
		$1 = { 53 56 57 55 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 B0 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 8B F8 4F 85 FF 7C 57 47 33 F6 8B 83 B0 03 00 00 8B 80 88 02 00 00 8B D6 8B 08 FF 51 18 3B 83 D0 03 00 00 75 08 33 C0 89 83 D0 03 00 00 8B 83 B0 03 00 00 8B 80 88 02 00 00 8B D6 8B 08 FF 51 18 E8 ?? ?? ?? ?? 8B 83 B0 03 00 00 8B 80 88 02 00 00 33 C9 8B D6 8B 28 FF 55 24 46 4F 75 AC 8D 83 D0 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 83 B0 03 00 00 8B 10 FF 92 04 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29180_0 {
	meta:
		name = "TTAzureTableDialog.commitButtonClick"
		size = 62
		refs = "0017 TTAzureTableDialog.EnableRowSelection 0025 TTAzureTableDialog.RowCreatedOrUpdated 0032 _DV_TRowCreator 0037 TRowCreator.Create"
	strings:
		$1 = { 53 56 8B D8 8B B3 D0 03 00 00 33 C0 89 83 D0 03 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 56 8B 83 C8 03 00 00 50 53 68 ?? ?? ?? ?? 8B 8B CC 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29181_0 {
	meta:
		name = "TTAzureTableDialog.Create"
		size = 220
		refs = "000d @ClassCreate 001a TCustomForm.Create 002a TTAzureTableDialog.CreateRowListPopupMenu 0037 TControl.SetPopupMenu 004d TTAzureTableDialog.HandleRowKeyUp 0053 EmptyStr 0060 TControl.SetText 0077 TTAzureTableDialog.CreateColumnsPopupMenu 009a TTAzureTableDialog.HandleColumnDblClick 00a5 TTAzureTableDialog.Create 00aa @UStrAsg 00b5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 86 C8 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 B0 03 00 00 E8 ?? ?? ?? ?? 8B 86 B0 03 00 00 89 B0 34 02 00 00 C7 80 30 02 00 00 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 86 AC 03 00 00 E8 ?? ?? ?? ?? 8B 86 A8 03 00 00 33 D2 8B 08 FF 91 80 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B 86 A8 03 00 00 89 B0 24 01 00 00 C7 80 20 01 00 00 ?? ?? ?? ?? 8D 86 E0 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7E 00 00 00 }
	condition:
		$1
}

rule function_29182_0 {
	meta:
		name = "TTAzureTableDialog.CreateColumnsPopupMenu"
		size = 548
		refs = "0012 TTAzureTableDialog.CreateColumnsPopupMenu 0021 _Dn_TPopupMenu 0026 TPopupMenu.Create 0036 TTAzureTableDialog.UpdateColumnsPopupMenu 0042 @CallDynaInst 0058 SEditColumn 005d LoadResString 0067 TMenuItem.SetCaption 0077 TTAzureTableDialog.EditColumnAction 0084 TMenuItem.Add 00ac SDeleteColumn 00d5 TTAzureTableDialog.DeleteColumnAction 0136 SAddColumn 0155 TTAzureTableDialog.AddColumnAction 017f @UStrArrayClr 0185 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 89 78 7C C7 40 78 ?? ?? ?? ?? 8B 45 FC 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 89 BB 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 89 9F DC 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 87 DC 03 00 00 E8 ?? ?? ?? ?? 8B 87 DC 03 00 00 89 B8 94 00 00 00 C7 80 90 00 00 00 ?? ?? ?? ?? 8B 55 FC 8B 52 3C 92 E8 ?? ?? ?? ?? 8B 45 FC 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 89 BB 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 8B D3 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 45 00 64 00 69 00 74 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 65 00 6C 00 65 00 74 00 65 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4E 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 41 00 64 00 64 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 00 00 }
	condition:
		$1
}

rule function_29183_0 {
	meta:
		name = "TTAzureTableDialog.CreateDTMenuItem"
		size = 188
		refs = "0019 @UStrAddRef 0021 TTAzureTableDialog.CreateDTMenuItem 0032 @CallDynaInst 004e @UStrCat3 0058 TMenuItem.SetCaption 0068 TTAzureTableDialog.SetDataTypeAction 0072 TMenuItem.Add 0087 @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 8B 55 08 8B C3 8B 08 FF 51 24 8D 45 F8 8B 4D 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 89 BB 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 64 00 6D 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_29184_0 {
	meta:
		name = "TTAzureTableDialog.CreateRowListPopupMenu"
		size = 548
		refs = "0014 TTAzureTableDialog.CreateRowListPopupMenu 0024 _Dn_TPopupMenu 0029 TPopupMenu.Create 0038 TTAzureTableDialog.UpdateRowListPopupMenu 0043 @CallDynaInst 0059 SAddTableEntity 005e LoadResString 0068 TMenuItem.SetCaption 007b TTAzureTableDialog.AddRowAction 0085 TMenuItem.Add 00a6 SDeleteTableEntity 00c8 TTAzureTableDialog.DeleteRowAction 00f3 SImportTableEntities 0115 TTAzureTableDialog.ImportRowsAction 0140 SRefresh 0162 TTAzureTableDialog.RefreshRowsAction 0188 @UStrArrayClr 018e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 FC 89 47 7C C7 47 78 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B D3 8B 47 3C E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B D3 8B 47 3C E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B D3 8B 47 3C E8 ?? ?? ?? ?? 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 8B D3 8B 47 3C E8 ?? ?? ?? ?? 8B DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 64 00 64 00 52 00 6F 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 65 00 6C 00 65 00 74 00 65 00 52 00 6F 00 77 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 6D 00 70 00 6F 00 72 00 74 00 52 00 6F 00 77 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 66 00 72 00 65 00 73 00 68 00 52 00 6F 00 77 00 73 00 00 00 }
	condition:
		$1
}

rule function_29185_0 {
	meta:
		name = "TTAzureTableDialog.DeleteColumnAction"
		size = 112
		refs = "001d TValueListEditor.GetStrings 0069 TAzureTableRow.ClearColumn"
	strings:
		$1 = { 53 56 8B D8 83 BB D4 03 00 00 00 74 60 83 BB D0 03 00 00 00 74 57 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B 93 D4 03 00 00 8B 52 08 8B 08 FF 51 58 8B F0 83 FE FF 7E 37 B2 01 8B 83 94 03 00 00 8B 08 FF 91 80 00 00 00 8D 56 01 8B 83 A8 03 00 00 8B 08 FF 91 20 01 00 00 8B 83 D4 03 00 00 8B 50 08 B1 01 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29186_0 {
	meta:
		name = "TTAzureTableDialog.DeleteRowAction"
		size = 79
		refs = "0007 TTAzureTableDialog.GetSelectedRow 0014 ConfirmDeleteItem 0021 TTAzureTableDialog.EnableRowSelection 0028 TTAzureTableDialog.ClearColumnTable 0036 TTAzureTableDialog.RowDeleted 0043 _DV_TRowDeletor 0048 TRowDeletor.Create"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 3B 33 C0 E8 ?? ?? ?? ?? 84 C0 74 30 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 8B 83 C8 03 00 00 50 53 68 ?? ?? ?? ?? 8B 8B CC 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29187_0 {
	meta:
		name = "TTAzureTableDialog.EnableRowSelection"
		size = 67
		refs = "001c TTAzureTableDialog.SetCurrentEntity"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 F6 74 36 83 BE B0 03 00 00 00 74 2D 84 DB 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 86 B0 03 00 00 8B 08 FF 91 80 00 00 00 8B D3 8B 86 C0 03 00 00 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_29188_0 {
	meta:
		name = "TTAzureTableDialog.filterFieldKeyUp"
		size = 18
		refs = "000a TTAzureTableDialog.FilterRows"
	strings:
		$1 = { 55 8B EC 66 83 39 0D 75 05 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_29192_0 {
	meta:
		name = "TTAzureTableDialog.GetLastRow"
		size = 94
	strings:
		$1 = { 53 56 57 8B F8 33 F6 8B 87 B0 03 00 00 8B 10 FF 92 14 01 00 00 8B D8 85 DB 7E 3D 8B D3 4A 8B 87 B0 03 00 00 8B 80 88 02 00 00 8B 08 FF 51 18 8B F0 85 F6 74 23 80 7E 04 02 74 1D 83 FB 01 7E 18 8B D3 83 EA 02 8B 87 B0 03 00 00 8B 80 88 02 00 00 8B 08 FF 51 18 8B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29193_0 {
	meta:
		name = "TTAzureTableDialog.GetSelectedRow"
		size = 61
	strings:
		$1 = { 53 56 57 8B D8 33 FF 8B 83 B0 03 00 00 8B 10 FF 92 F8 00 00 00 8B F0 83 FE FF 7E 1B 8B 83 B0 03 00 00 8B 80 88 02 00 00 8B D6 8B 08 FF 51 18 80 78 04 02 75 02 8B F8 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29195_0 {
	meta:
		name = "TTAzureTableDialog.HandleRowKeyUp"
		size = 18
		refs = "000a TTAzureTableDialog.DeleteRowAction"
	strings:
		$1 = { 55 8B EC 66 83 39 2E 75 05 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_29196_0 {
	meta:
		name = "TTAzureTableDialog.SetTable"
		size = 188
		refs = "001b @UStrAddRef 0023 TTAzureTableDialog.SetTable 0037 @UStrAsg 0045 STableEditorTitle 004a LoadResString 0054 TControl.SetText 0062 STableEditorTitle2 0080 Format 0091 TTAzureTableDialog.InitializeRows 00ab @UStrArrayClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D F4 89 4D F0 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 CC 03 00 00 8B 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 19 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 34 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29197_0 {
	meta:
		name = "TTAzureTableDialog.UpdateColumnsPopupMenu"
		size = 488
		refs = "0013 TTAzureTableDialog.UpdateColumnsPopupMenu 002e TMenuItem.SetEnabled 0037 GetCursorPos 0078 TCustomDrawGrid.MouseToCell 008c TMenuItem.GetEnumerator 00aa TMenuItemEnumerator.GetCurrent 00cd @UStrEqual 0129 TValueListEditor.GetKey 0139 TAzureTableRow.GetColumn 0147 TMenuItemEnumerator.MoveNext 0172 @HandleFinally 0189 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 83 D4 03 00 00 8B 83 DC 03 00 00 33 D2 E8 ?? ?? ?? ?? 8D 45 F8 50 E8 ?? ?? ?? ?? 8D 55 E4 8B 83 A8 03 00 00 8B 08 FF 51 5C 8B 45 E4 29 45 F8 8D 55 E4 8B 83 A8 03 00 00 8B 08 FF 51 5C 8B 45 E8 29 45 FC 8D 45 F4 50 8D 45 F0 50 8B 83 A8 03 00 00 8B 4D FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 83 A8 03 00 00 8B 80 84 00 00 00 8B 40 3C E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 9D 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B F0 83 BB D0 03 00 00 00 75 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 7F 8B 46 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 46 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 61 83 7D F0 FF 7E 21 83 7D F0 02 7F 1F 8B 83 D0 03 00 00 80 78 18 00 74 0F 8B 46 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? 80 7E 3D 00 74 27 8D 4D E0 8B 83 A8 03 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B 55 E0 8B 83 D0 03 00 00 33 C9 E8 ?? ?? ?? ?? 89 83 D4 03 00 00 8B 45 EC E8 ?? ?? ?? ?? 84 C0 0F 85 53 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 45 00 64 00 69 00 74 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 65 00 6C 00 65 00 74 00 65 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_29198_0 {
	meta:
		name = "TTAzureTableDialog.UpdateRowListPopupMenu"
		size = 192
		refs = "000b TTAzureTableDialog.GetSelectedRow 0021 TMenuItem.GetEnumerator 002c TTAzureTableDialog.UpdateRowListPopupMenu 003c TMenuItemEnumerator.GetCurrent 004b @UStrEqual 0059 TMenuItem.SetEnabled 0064 TMenuItem.SetVisible 006c TMenuItemEnumerator.MoveNext 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 83 B0 03 00 00 8B 80 84 00 00 00 8B 40 3C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 30 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 85 F6 0F 95 C2 8B C3 E8 ?? ?? ?? ?? EB 09 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 65 00 6C 00 65 00 74 00 65 00 52 00 6F 00 77 00 00 00 }
	condition:
		$1
}

rule function_29199_0 {
	meta:
		name = "TTAzureTableDialog.ImportRows"
		size = 50
		refs = "000b TTAzureTableDialog.EnableRowSelection 0019 TTAzureTableDialog.BatchRowsCreated 0026 _DV_TBatchRowCreator 002b TBatchRowCreator.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 56 8B 83 C8 03 00 00 50 53 68 ?? ?? ?? ?? 8B 8B CC 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29200_0 {
	meta:
		name = "TTAzureTableDialog.ImportRowsAction"
		size = 340
		refs = "0012 TTAzureTableDialog.ImportRowsAction 0039 TArray<System.Byte> 003e @DynArrayClear 006a TOpenDialog.GetFileName 0074 _Dn_TFileStream 0079 TFileStream.Create 0089 TTAzureTableDialog.ByteContent 0095 TJSONObject.ParseJSONValue 009f _Dn_TJSONArray 00a4 @IsClass 00b1 TTAzureTableDialog.ImportRows 00c0 @HandleAnyException 00c8 SImportEntitiesError 00cd LoadResString 00e9 MessageDlgPosHelp 00ee @DoneExcept 0108 TObject.Free 010e @HandleFinally 0125 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 C4 03 00 00 8B 10 FF 52 50 84 C0 0F 84 E5 00 00 00 33 C0 89 45 F4 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 FF 55 68 ?? ?? ?? ?? 64 FF 37 64 89 27 33 FF 55 68 ?? ?? ?? ?? 64 FF 37 64 89 27 6A 00 8D 55 F0 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 4D FC 8B 55 F4 8B C3 E8 ?? ?? ?? ?? B1 01 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 33 E9 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D F8 92 91 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_29201_0 {
	meta:
		name = "TTAzureTableDialog.InitializeRows"
		size = 186
		refs = "000f TTAzureTableDialog.InitializeRows 001e TTAzureTableDialog.EnableRowSelection 0025 TTAzureTableDialog.ClearRows 002e _DV_TAzureRow 0033 TAzureRow.Create 003c SNodeLoading 0041 LoadResString 0060 TTAzureTableDialog.RowsPopulated 0075 TControl.GetText 0086 _DV_TRowPopulator 008b TRowPopulator.Create 00a0 @UStrClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 B0 03 00 00 59 8B 30 FF 96 00 01 00 00 8B 83 C8 03 00 00 50 53 68 ?? ?? ?? ?? 8B 83 E0 03 00 00 50 8D 55 F8 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 8B CC 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29202_0 {
	meta:
		name = "TTAzureTableDialog.RefreshRowsAction"
		size = 15
		refs = "000a TTAzureTableDialog.InitializeRows"
	strings:
		$1 = { 80 B8 D8 03 00 00 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29203_0 {
	meta:
		name = "TTAzureTableDialog.RowCreatedOrUpdated"
		size = 280
		refs = "001a TTAzureTableDialog.RowCreatedOrUpdated 0031 TTAzureTableDialog.EnableRowSelection 004f SAddEntityError 0054 LoadResString 007c MessageDlgPosHelp 0086 SUpdateEntityError 00ba TTAzureTableDialog.InitializeRows 00f4 @UStrClr 0101 @UStrArrayClr 0107 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 0F 84 B7 00 00 00 B2 01 8B C7 E8 ?? ?? ?? ?? 8B 87 B0 03 00 00 8B 10 FF 92 08 01 00 00 85 F6 75 77 84 DB 74 37 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 F7 01 0F B7 05 ?? ?? ?? ?? 66 89 45 F5 33 C0 50 6A FF 6A FF 6A 00 0F B6 55 F7 0F B7 4D F5 8B 45 FC E8 ?? ?? ?? ?? EB 35 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 F4 01 0F B7 05 ?? ?? ?? ?? 66 89 45 F2 33 C0 50 6A FF 6A FF 6A 00 0F B6 55 F4 0F B7 4D F2 8B 45 F8 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 DB 74 21 85 F6 74 1D 8D 55 EC 8B C6 8B 08 FF 51 04 8B 55 EC 8B CE 8B 87 B0 03 00 00 8B 18 FF 93 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 04 00 00 00 }
	condition:
		$1
}

rule function_29204_0 {
	meta:
		name = "TTAzureTableDialog.RowDeleted"
		size = 252
		refs = "001e TTAzureTableDialog.RowDeleted 0035 TTAzureTableDialog.EnableRowSelection 004d TTAzureTableDialog.SetCurrentEntity 0068 TObject.Free 0095 SDeleteEntityError 009a LoadResString 00a5 Format 00c1 MessageDlgPosHelp 00db @UStrArrayClr 00e3 @UStrClr 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D EC 89 5D E8 89 5D FC 8B D9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 95 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 84 DB 74 31 8B 86 D0 03 00 00 3B 45 F8 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 86 B0 03 00 00 8B 10 FF 92 10 01 00 00 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? EB 57 83 7D F8 00 74 51 8D 45 FC 50 8D 55 EC 8B 45 F8 8B 08 FF 51 04 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 C9 5A E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_29205_0 {
	meta:
		name = "TTAzureTableDialog.RowListClick"
		size = 92
		refs = "0007 TTAzureTableDialog.GetSelectedRow 003c _DV_TAzureTemporaryTableRow 0041 TAzureTemporaryTableRow.Create 004a TTAzureTableDialog.SetCurrentEntity"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 3F 8B 83 D0 03 00 00 85 C0 74 1C 80 78 18 00 75 16 8B 83 D0 03 00 00 8B 50 08 3B 56 08 75 08 8B 40 0C 3B 46 0C 74 22 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29206_0 {
	meta:
		name = "TTAzureTableDialog.RowsPopulated"
		size = 423
		refs = "0024 TAzureRowContinuationToken 0029 @AddRefRecord 0031 TTAzureTableDialog.RowsPopulated 004b TTAzureTableDialog.EnableRowSelection 0053 TTAzureTableDialog.ClearRows 0071 TStrings.BeginUpdate 0087 TList<DSAzureTableDialog.TAzureTableRow>.GetEnumerator 00a2 TList<DSAzureTableDialog.TAzureTableRow>.TEnumerator.GetCurrent 00cc TList<DSAzureTableDialog.TAzureTableRow>.TEnumerator.MoveNext 00f3 @HandleFinally 0104 _DV_TAzureRow 0109 TAzureRow.Create 0113 SResultsTruncated 0118 LoadResString 0136 TList<DSAzureTableDialog.TAzureTableRow>.Clear 0143 TObject.Free 0164 TStrings.EndUpdate 0186 @UStrArrayClr 0194 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 8B F1 8D 7D F4 A5 A5 A5 89 55 EC 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F0 00 0F 84 2B 01 00 00 B2 01 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 83 7D EC 00 0F 84 0F 01 00 00 8B 45 F0 8B 80 B0 03 00 00 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2A 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 8D 55 E4 8B C3 8B 08 FF 51 04 8B 55 E4 8B 45 F0 8B 80 B0 03 00 00 8B CB 8B 18 FF 93 00 01 00 00 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 80 7D F4 00 74 33 B1 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F0 8B 80 B0 03 00 00 8B CB 8B 18 FF 93 00 01 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 80 B0 03 00 00 8B 80 88 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29207_0 {
	meta:
		name = "TAzureTableRow.ClearColumn"
		size = 118
		refs = "0013 @UStrAddRef 001b TAzureTableRow.ClearColumn 002d TAzureTableRow.GetColumn 003b TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Remove 004c TObject.Free 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 89 45 F8 8B 55 FC 8B 46 10 E8 ?? ?? ?? ?? 84 DB 74 0D 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29208_0 {
	meta:
		name = "TAzureTableRow.ClearColumns"
		size = 131
		refs = "0015 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.GetValues 001a TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TValueCollection.GetEnumerator 0025 TAzureTableRow.ClearColumns 0035 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TValueEnumerator.GetCurrent 003e TObject.Free 0046 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TValueEnumerator.MoveNext 006d @HandleFinally 007a TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Clear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 84 D2 74 65 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 11 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29209_0 {
	meta:
		name = "TAzureTableRow.Create"
		size = 204
		refs = "000b @ClassCreate 001a TAzureRow.Create 0021 _DV_TAzureTableColumn 0026 TAzureTableColumn.Create 0033 TAzureTableRow.Create 0038 @UStrAsg 005f _DV_TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn> 0064 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Create 0072 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 B1 02 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 08 8D 46 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 0C 8D 46 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 6F 00 77 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_29210_0 {
	meta:
		name = "TAzureTableRow.Destroy"
		size = 93
		refs = "0003 @BeforeDestruction 0010 TAzureTableRow.ClearColumns 0020 TObject.Free 004b TObject.Destroy 0056 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 8B C6 E8 ?? ?? ?? ?? 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29211_0 {
	meta:
		name = "TAzureTableRow.GetColumn"
		size = 408
		refs = "001e @UStrAddRef 0026 TAzureTableRow.GetColumn 003e CompareText 007c AnsiLowerCase 0084 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.GetKeys 0089 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyCollection.GetEnumerator 00a7 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyEnumerator.GetCurrent 00bd @UStrEqual 00ca TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.GetItem 00d2 @TryFinallyExit 00dc TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyEnumerator.MoveNext 0103 @HandleFinally 0113 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TryGetValue 0131 @UStrClr 013e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D F8 89 5D F4 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 0B 8B 46 08 89 45 F0 E9 CF 00 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 0B 8B 46 0C 89 45 F0 E9 B3 00 00 00 84 DB 0F 84 94 00 00 00 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 38 8D 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 75 15 8B 46 10 8B 55 F4 E8 ?? ?? ?? ?? 89 45 F0 E8 ?? ?? ?? ?? EB 48 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8D 4D F0 8B 46 10 8B 55 FC E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F0 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 6F 00 77 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_29212_0 {
	meta:
		name = "TAzureTableRow.GetID"
		size = 92
		refs = "0032 TAzureTableRow.GetID 0037 Format"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 56 8B 43 08 8B 40 0C 89 44 24 04 C6 44 24 08 11 8B 43 0C 8B 40 0C 89 44 24 0C C6 44 24 10 11 8D 54 24 04 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2E 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_29213_0 {
	meta:
		name = "TAzureTableRow.SetColumn"
		size = 116
		refs = "0011 @UStrAddRef 0019 TAzureTableRow.SetColumn 0028 EmptyStr 002f @UStrEqual 0041 TAzureTableRow.ClearColumn 004e TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.Add 0063 @UStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 1D 85 F6 74 19 B1 01 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 55 FC 8B 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29214_0 {
	meta:
		name = "TRowPopulator.Create"
		size = 195
		refs = "000e @ClassCreate 001d @UStrAddRef 0035 TRowPopulator.Create 0044 TThread.Create 004f @UStrAsg 008c @UStrClr 0099 @UStrArrayClr 009f @HandleFinally 00ac @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 40 8B 55 FC E8 ?? ?? ?? ?? 8D 46 44 8B 55 08 E8 ?? ?? ?? ?? 8B 45 18 89 46 48 8B 45 10 89 46 50 8B 45 14 89 46 54 8D 46 5C 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_29216_0 {
	meta:
		name = "TRowPopulator.BuildFilterString"
		size = 408
		refs = "001a TRowPopulator.BuildFilterString 002b @UStrLAsg 0035 @UStrAsg 0040 Trim 0049 EmptyStr 0050 @UStrEqual 009a AnsiStartsStr 00be @UStrCopy 0107 Format 0121 @UStrArrayClr 0127 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 44 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 14 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? E9 A1 00 00 00 8D 55 F4 8B 43 5C E8 ?? ?? ?? ?? 8B 45 F4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 0C 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 78 8B 53 44 8B 43 5C E8 ?? ?? ?? ?? 84 C0 74 2C 8B 5B 5C 85 DB 74 05 83 EB 04 8B 1B 8D 45 F0 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B D6 E8 ?? ?? ?? ?? EB 3D 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 56 8B 45 FC 89 45 DC C6 45 E0 11 8B 45 FC 89 45 E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 2A 00 00 00 28 00 52 00 6F 00 77 00 4B 00 65 00 79 00 20 00 65 00 71 00 20 00 27 00 25 00 73 00 27 00 29 00 20 00 6F 00 72 00 20 00 28 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 20 00 65 00 71 00 20 00 27 00 25 00 73 00 27 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_29217_0 {
	meta:
		name = "TRowPopulator.Execute$277$ActRec.$0$Body"
		size = 18
	strings:
		$1 = { 53 8B 58 1C 8D 48 0C 8B 50 18 8B 43 54 FF 53 50 5B C3 }
	condition:
		$1
}

rule function_29218_0 {
	meta:
		name = "TRowPopulator.Execute"
		size = 964
		refs = "0018 TRowPopulator.Execute 0025 _DV_TRowPopulator.Execute$277$ActRec 002a TObject.Create 003f @IntfCopy 0052 CoInitialize 0062 @IntfClear 008e _Dn_TAzureTableService 0093 TAzureTableService.Create 00ac TRowPopulator.BuildFilterString 00b9 TAzureTableService.QueryEntities 00c2 _Dn_TXMLDocument 00c7 TXMLDocument.Create 00ff TAzureService.GetResponseHeader 010d @UStrAsg 0144 TAzureService.GetResponseHeaderExists 0172 _DV_TList<DSAzureTableDialog.TAzureTableRow> 0177 TList<DSAzureTableDialog.TAzureTableRow>.Create 01bd @UStrEqual 01e2 GetRowFromConentNode 01f5 TList<DSAzureTableDialog.TAzureTableRow>.Add 022f @HandleAnyException 0242 TObject.Free 0247 @DoneExcept 0259 CoUninitialize 026a TThread.Synchronize 0270 @HandleFinally 0297 @UStrClr 02b4 @UStrArrayClr 02c5 IXMLNode 02cf @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8D 45 EC 8B 55 E8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 89 42 1C C6 40 0F 01 6A 00 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 50 18 8D 45 F8 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 E8 8B 40 1C 8B 48 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 E8 8B 58 1C 89 73 58 8D 45 FC 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 4D E4 8B 53 40 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 91 A0 00 00 00 8D 4D E0 8B 45 E8 8B 40 1C 8B 40 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 E8 83 C0 10 E8 ?? ?? ?? ?? 8D 4D DC 8B 45 E8 8B 40 1C 8B 40 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 E8 83 C0 14 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 1C 8B 40 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1B 8B 45 E8 8B 40 1C 8B 40 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B 55 E8 88 42 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 89 42 18 8D 55 D4 8B 45 F8 8B 08 FF 51 18 8B 45 D4 8D 55 D8 8B 08 FF 51 14 8B 45 D8 8D 4D F4 BA ?? ?? ?? ?? 8B 18 FF 53 38 EB 69 8D 55 D0 8B 45 F4 8B 08 FF 51 34 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 36 8D 55 CC 8B 45 F4 8B 08 FF 51 14 8B 45 CC 8D 4D F0 BA ?? ?? ?? ?? 8B 18 FF 53 38 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0D 8B 45 E8 8B 40 18 8B D3 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 F4 8B 08 FF 91 90 00 00 00 8B 55 C8 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 74 0C 8B 45 F4 8B 10 FF 52 24 84 C0 75 85 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 E8 83 C0 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 85 D2 74 03 83 EA E0 33 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 98 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 63 00 6F 00 6E 00 74 00 69 00 6E 00 75 00 61 00 74 00 69 00 6F 00 6E 00 2D 00 4E 00 65 00 78 00 74 00 52 00 6F 00 77 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 78 00 2D 00 6D 00 73 00 2D 00 63 00 6F 00 6E 00 74 00 69 00 6E 00 75 00 61 00 74 00 69 00 6F 00 6E 00 2D 00 4E 00 65 00 78 00 74 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 6E 00 74 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_29219_0 {
	meta:
		name = "TAzureTableColumn.Copy"
		size = 60
		refs = "000f _DV_TAzureTableColumn 0014 TAzureTableColumn.Create 0021 @UStrAsg"
	strings:
		$1 = { 53 56 8B D8 85 DB 75 04 33 F6 EB 2B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 08 8B 53 08 E8 ?? ?? ?? ?? 8D 46 0C 8B 53 0C E8 ?? ?? ?? ?? 0F B6 43 04 88 46 04 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_29220_0 {
	meta:
		name = "TAzureTableColumn.Create"
		size = 36
		refs = "0008 @ClassCreate 0015 @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? C6 40 04 07 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_29221_0 {
	meta:
		name = "TAzureTableColumn.SetDataType"
		size = 76
		refs = "000e @UStrAddRef 0016 TAzureTableColumn.SetDataType 0024 GetDataType 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 88 43 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_29223_0 {
	meta:
		name = "TRowCreator.Create"
		size = 150
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TRowCreator.Create 0034 TThread.Create 003f @UStrAsg 006c @UStrClr 0072 @HandleFinally 007f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 40 8B 55 FC E8 ?? ?? ?? ?? 8B 45 14 89 46 44 8B 45 10 89 46 48 8B 45 08 89 46 50 8B 45 0C 89 46 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_29231_0 {
	meta:
		name = "TBatchRowCreator.Create"
		size = 150
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TBatchRowCreator.Create 0034 TThread.Create 003f @UStrAsg 006c @UStrClr 0072 @HandleFinally 007f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 40 8B 55 FC E8 ?? ?? ?? ?? 8B 45 14 89 46 44 8B 45 10 89 46 48 8B 45 08 89 46 50 8B 45 0C 89 46 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_29227_0 {
	meta:
		name = "TRowDeletor.Create"
		size = 150
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TRowDeletor.Create 0034 TThread.Create 003f @UStrAsg 006c @UStrClr 0072 @HandleFinally 007f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 40 8B 55 FC E8 ?? ?? ?? ?? 8B 45 14 89 46 44 8B 45 10 89 46 48 8B 45 08 89 46 50 8B 45 0C 89 46 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_29225_0 {
	meta:
		name = "TRowCreator.Execute$285$ActRec.$0$Body"
		size = 19
	strings:
		$1 = { 53 8B 58 14 0F B6 48 0C 8B 50 10 8B 43 54 FF 53 50 5B C3 }
	condition:
		$1
}

rule function_29226_0 {
	meta:
		name = "TRowCreator.Execute"
		size = 988
		refs = "0019 TRowCreator.Execute 0026 _DV_TRowCreator.Execute$285$ActRec 002b TObject.Create 0040 @IntfCopy 007c _Dn_TJSONObject 0081 TJSONObject.Create 009a _Dn_TJSONString 009f TJSONString.Create 00ae TJSONObject.AddPair 00e9 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.GetKeys 00ee TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyCollection.GetEnumerator 010c TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyEnumerator.GetCurrent 011f TAzureTableRow.GetColumn 0152 GetDataType 0160 _Dn_TJSONArray 0165 TJSONArray.Create 017a TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyEnumerator.MoveNext 01a1 @HandleFinally 01b3 _Dn_TAzureTableService 01b8 TAzureTableService.Create 01f3 CoInitialize 020b TAzureTableService.InsertEntity 0214 _Dn_TXMLDocument 0219 TXMLDocument.Create 0269 GetRowFromConentNode 0281 CoUninitialize 0296 TAzureTableService.UpdateEntity 02a8 TAzureTemporaryTableRow.Commit 02bd @HandleAnyException 02d0 TObject.Free 02d5 @DoneExcept 0316 TThread.Synchronize 0333 @IntfClear 0343 @UStrClr 0368 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8D 45 EC 8B 55 E0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 89 42 14 C6 40 0F 01 8B 45 E0 33 D2 89 50 10 8B 45 E0 8B 40 14 8B 40 44 0F B6 40 18 8B 55 E0 88 42 0C 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 E0 8B 40 14 8B 40 44 8B 40 08 8B 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 14 8B 40 44 8B 40 0C 8B 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 14 8B 40 44 8B 40 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 71 8D 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 14 8B 40 44 33 C9 8B 55 FC E8 ?? ?? ?? ?? 8B F0 0F B6 5E 04 80 FB 07 75 1E 8B 4E 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 E8 E8 ?? ?? ?? ?? EB 2A 8B C3 8D 55 DC E8 ?? ?? ?? ?? 8B 45 DC 50 8B 4E 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 83 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 E0 8B 40 14 8B 48 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 E0 8B 58 14 89 73 58 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 43 44 80 78 18 00 0F 84 AB 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 E0 8B 58 14 8B 53 40 8B 43 58 8B 4D E8 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 8B 08 FF 91 A0 00 00 00 8D 55 D4 8B 45 F4 8B 08 FF 51 18 8B 45 D4 8D 55 D8 8B 08 FF 51 14 8B 45 D8 8D 4D F0 BA ?? ?? ?? ?? 8B 18 FF 53 38 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 E0 89 42 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F3 8B 53 40 8B C6 8B 4D E8 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 E0 8B 40 14 8B 40 44 E8 ?? ?? ?? ?? 8B 55 E0 89 42 10 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 E0 83 C0 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 14 83 C0 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 55 E0 85 D2 74 03 83 EA E8 33 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 6F 00 77 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_29229_0 {
	meta:
		name = "TRowDeletor.Execute$289$ActRec.$0$Body"
		size = 25
	strings:
		$1 = { 53 8B 50 10 8B 4A 44 8B DA 0F B6 40 0C 8B D1 8B C8 8B 43 54 FF 53 50 5B C3 }
	condition:
		$1
}

rule function_29230_0 {
	meta:
		name = "TRowDeletor.Execute"
		size = 281
		refs = "0014 TRowDeletor.Execute 0021 _DV_TRowDeletor.Execute$289$ActRec 0026 TObject.Create 003b @IntfCopy 006c _Dn_TAzureTableService 0071 TAzureTableService.Create 00aa TAzureTableService.DeleteEntity 00bf @HandleAnyException 00cb @DoneExcept 00e9 TThread.Synchronize 00ef @HandleFinally 0106 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8D 45 FC 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 89 42 10 C6 40 0F 01 8B 45 F8 C6 40 0C 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 10 8B 48 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 F8 8B 58 10 89 73 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 10 8B 78 44 8B 47 08 8B 40 0C 50 8B 47 0C 8B 48 0C 8B 53 40 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 88 42 0C 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? 8B 45 F8 C6 40 0C 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 85 D2 74 03 83 EA EC 33 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29233_0 {
	meta:
		name = "TBatchRowCreator.CreateRow"
		size = 268
		refs = "0014 TBatchRowCreator.CreateRow 002e TJSONObject.Get 0081 TAzureTableService.InsertEntity 0090 @HandleAnyException 0097 @DoneExcept 00b1 @UStrArrayClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 04 33 DB EB 75 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 33 DB EB 5F 8D 55 FC 8B C3 8B 08 FF 11 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 33 DB EB 40 8D 55 F8 8B C3 8B 08 FF 11 B3 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8B 57 40 8B 47 58 8B CE E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 6F 00 77 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_29234_0 {
	meta:
		name = "TBatchRowCreator.Execute$294$ActRec.$0$Body"
		size = 16
	strings:
		$1 = { 53 8B 58 10 0F B6 50 0C 8B 43 54 FF 53 50 5B C3 }
	condition:
		$1
}

rule function_29235_0 {
	meta:
		name = "TBatchRowCreator.Execute"
		size = 373
		refs = "0014 TBatchRowCreator.Execute 0021 _DV_TBatchRowCreator.Execute$294$ActRec 0026 TObject.Create 003b @IntfCopy 006c _Dn_TAzureTableService 0071 TAzureTableService.Create 0082 TJSONArray.Size 00a7 TJSONArray.Get 00b1 _Dn_TJSONObject 00b6 @IsClass 00d5 TBatchRowCreator.CreateRow 00fd @HandleAnyException 0109 @DoneExcept 0134 TObject.Free 0145 TThread.Synchronize 014b @HandleFinally 0162 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 45 FC 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 89 42 10 C6 40 0F 01 8B 45 F0 C6 40 0C 01 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F0 8B 40 10 8B 48 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 5A 10 89 43 58 8B 43 44 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 86 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 8B 45 F0 8B 40 10 8B 40 44 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 40 10 8B D3 E8 ?? ?? ?? ?? 84 C0 74 09 8B 45 F0 80 78 0C 00 75 04 33 C0 EB 02 B0 01 8B 55 F0 88 42 0C 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? 8B 45 F0 C6 40 0C 00 E8 ?? ?? ?? ?? FF 45 F8 FF 4D F4 75 85 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 40 10 83 C0 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 55 F0 85 D2 74 03 83 EA EC 33 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29236_0 {
	meta:
		name = "TAzureTemporaryTableRow.Create"
		size = 178
		refs = "000e @ClassCreate 001d @UStrAddRef 002d TAzureTemporaryTableRow.Create 003c TAzureTableRow.Create 0047 _DV_TAzureTableRow 005d @UStrAsg 0080 @UStrClr 008e @HandleFinally 009b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 18 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 8B 46 08 83 C0 0C 8B 55 FC E8 ?? ?? ?? ?? 8B 46 0C 83 C0 0C 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_29237_0 {
	meta:
		name = "TAzureTemporaryTableRow.Create"
		size = 306
		refs = "0015 @ClassCreate 0025 TAzureTemporaryTableRow.Create 0035 TAzureTableRow.Create 005e @UStrAsg 007a TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.GetKeys 007f TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyCollection.GetEnumerator 009d TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyEnumerator.GetCurrent 00a9 TAzureTableRow.GetColumn 00b2 TAzureTableColumn.Copy 00bf TAzureTableRow.SetColumn 00c7 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyEnumerator.MoveNext 00ee @HandleFinally 0105 @UStrClr 011b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F7 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 C6 40 18 00 8B 45 F8 89 58 14 85 DB 0F 84 A6 00 00 00 8B 45 F8 8B 40 08 83 C0 0C 8B 53 08 8B 52 0C E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 83 C0 0C 8B 53 0C 8B 52 0C E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2D 8D 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 80 7D F7 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29238_0 {
	meta:
		name = "TAzureTemporaryTableRow.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001d TObject.Free 0028 TAzureTableRow.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 18 00 74 10 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29239_0 {
	meta:
		name = "TAzureTemporaryTableRow.GetID"
		size = 39
		refs = "000f SNewEntityTitle 0014 LoadResString 0020 TAzureTableRow.GetID"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 18 00 74 0F 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29240_0 {
	meta:
		name = "TAzureTemporaryTableRow.Commit"
		size = 289
		refs = "0013 TAzureTemporaryTableRow.Commit 003a TAzureTableRow.ClearColumns 0054 @UStrAsg 0079 TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.GetKeys 007e TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyCollection.GetEnumerator 009c TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyEnumerator.GetCurrent 00a9 TAzureTableRow.GetColumn 00b2 TAzureTableColumn.Copy 00c2 TAzureTableRow.SetColumn 00ca TDictionary<System.string,DSAzureTableDialog.TAzureTableColumn>.TKeyEnumerator.MoveNext 00f1 @HandleFinally 010e @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 14 85 C0 75 07 33 DB E9 CF 00 00 00 8B 55 F8 80 7A 18 00 75 07 B2 01 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 8B 40 08 83 C0 0C 8B 55 F8 8B 52 08 8B 52 0C E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 8B 40 0C 83 C0 0C 8B 55 F8 8B 52 0C 8B 52 0C E8 ?? ?? ?? ?? 8B 45 F8 8B 40 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 31 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 45 F8 8B 40 14 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 8B 58 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29552_0 {
	meta:
		name = "TTAzureTableRowDialog.Create"
		size = 556
		refs = "0018 @ClassCreate 002b TTAzureTableRowDialog.Create 003d TCustomForm.Create 0064 GetDataType 0076 @UStrCopy 00ff TControl.SetText 014a @UStrEqual 01ba @UStrArrayClr 01c0 @HandleFinally 01cf @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 DB 89 5D DC 89 5D D8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 B3 B8 03 00 00 8B 45 08 89 83 BC 03 00 00 85 F6 0F 84 3C 01 00 00 8D 45 DC 50 0F B6 46 04 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 D8 B9 FF FF FF 7F BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 83 A4 03 00 00 8B 80 B4 02 00 00 8B 08 FF 51 54 85 C0 7D 02 33 C0 8B 93 A4 03 00 00 92 8B 08 FF 91 FC 00 00 00 8B 83 9C 03 00 00 8B 90 90 02 00 00 89 55 E8 8B 90 94 02 00 00 89 55 EC 8B 93 A0 03 00 00 8B 8A 90 02 00 00 89 4D E0 8B 8A 94 02 00 00 89 4D E4 33 D2 89 90 90 02 00 00 89 90 94 02 00 00 8B 83 A0 03 00 00 33 D2 89 90 90 02 00 00 89 90 94 02 00 00 8B 83 9C 03 00 00 8B 56 08 E8 ?? ?? ?? ?? 8B 83 A0 03 00 00 8B 56 0C E8 ?? ?? ?? ?? 8B 83 9C 03 00 00 8B 55 E8 89 90 90 02 00 00 8B 55 EC 89 90 94 02 00 00 8B 83 A0 03 00 00 8B 55 E0 89 90 90 02 00 00 8B 55 E4 89 90 94 02 00 00 8B 46 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 13 8B 46 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 F7 0F B6 55 F7 80 F2 01 8B 83 9C 03 00 00 8B 08 FF 91 80 00 00 00 0F B6 55 F7 80 F2 01 8B 83 A4 03 00 00 8B 08 FF 91 80 00 00 00 EB 10 8B 83 A4 03 00 00 33 D2 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 6F 00 77 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_29553_0 {
	meta:
		name = "TTAzureTableRowDialog.GetColumnDataType"
		size = 125
		refs = "000e TTAzureTableRowDialog.GetColumnDataType 0022 TControl.GetText 002b EmptyStr 0032 @UStrEqual 004e GetDataType 006a @UStrArrayClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 04 B3 08 EB 18 8D 55 F8 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29554_0 {
	meta:
		name = "TTAzureTableRowDialog.GetName"
		size = 83
		refs = "000f TTAzureTableRowDialog.GetName 0023 TControl.GetText 002d Trim 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29556_0 {
	meta:
		name = "TTAzureTableRowDialog.IsAlphaNumeric"
		size = 204
		refs = "003b TTAzureTableRowDialog.IsAlphaNumeric"
	strings:
		$1 = { 56 57 83 C4 F8 88 4C 24 04 89 14 24 C6 44 24 05 01 8B 04 24 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 61 BE 01 00 00 00 8B 14 24 0F B7 7C 72 FE 80 7C 24 04 00 74 27 83 FE 01 75 22 BA ?? ?? ?? ?? 8B CF 66 81 F9 FF 00 77 06 0F B7 C9 0F A3 0A 0F 92 C2 84 D2 74 07 C6 44 24 05 00 EB 26 BA ?? ?? ?? ?? 8B CF 66 81 F9 FF 00 77 06 0F B7 C9 0F A3 0A 0F 92 C2 84 D2 75 07 C6 44 24 05 00 EB 04 46 48 75 A4 0F B6 44 24 05 59 5A 5F 5E C3 00 00 00 00 00 00 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 FF 03 FE FF FF 87 FE FF FF 07 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_29557_0 {
	meta:
		name = "TTAzureTableRowDialog.IsValidNameFormat"
		size = 111
		refs = "000d TTAzureTableRowDialog.IsValidNameFormat 001f TTAzureTableRowDialog.GetName 0028 EmptyStr 002f @UStrEqual 0041 TTAzureTableRowDialog.IsAlphaNumeric 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 04 33 DB EB 12 B1 01 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 75 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29558_0 {
	meta:
		name = "TTAzureTableRowDialog.UpdateOKButtonEnablement"
		size = 924
		refs = "0017 TTAzureTableRowDialog.UpdateOKButtonEnablement 0030 TTAzureTableRowDialog.GetName 0041 @UStrEqual 004d TTAzureTableRowDialog.GetValue 0067 TTAzureTableRowDialog.GetColumnDataType 0088 EmptyStr 0095 TControl.SetText 00af AnsiLowerCase 0158 SBadColumnName 015d LoadResString 018d ValidateValueForDataType 01b3 TControl.GetText 01c9 SInvalidDataType 01d9 Format 01f3 TTAzureTableRowDialog.IsValidNameFormat 0243 SInvalidColumnName 02a4 TAzureTableRow.GetColumn 02c0 SColumnNameInUse 0312 @UStrArrayClr 031a @UStrClr 032d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB B8 03 00 00 00 74 74 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 93 B8 03 00 00 8B 52 08 E8 ?? ?? ?? ?? 75 57 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 93 B8 03 00 00 8B 52 0C E8 ?? ?? ?? ?? 75 3A 8B C3 E8 ?? ?? ?? ?? 8B 93 B8 03 00 00 3A 42 04 75 28 33 D2 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? E9 5E 02 00 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 58 E8 ?? ?? ?? ?? 74 75 8B 83 9C 03 00 00 8B 10 FF 52 68 84 C0 0F 84 92 00 00 00 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 58 E8 ?? ?? ?? ?? 74 31 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 45 DC 50 8D 55 D4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 58 E8 ?? ?? ?? ?? 75 30 33 D2 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? E9 88 01 00 00 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 50 8B C3 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 84 C0 75 5B 33 D2 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 8D 45 C8 50 8D 55 BC 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 8B 45 BC 89 45 C0 C6 45 C4 11 8D 45 C0 50 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 33 C9 5A E8 ?? ?? ?? ?? 8B 55 C8 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? E9 0C 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 64 33 D2 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 8D 55 B4 8B C3 E8 ?? ?? ?? ?? 8B 45 B4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 18 8B 15 ?? ?? ?? ?? 8B 12 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? E9 BD 00 00 00 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? E9 9D 00 00 00 83 BB B8 03 00 00 00 74 26 83 BB B8 03 00 00 00 74 68 8D 55 AC 8B C3 E8 ?? ?? ?? ?? 8B 45 AC 8B 93 B8 03 00 00 8B 52 08 E8 ?? ?? ?? ?? 74 4B 8D 55 A8 8B C3 E8 ?? ?? ?? ?? 8B 55 A8 B1 01 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 2D 33 D2 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? EB 23 B2 01 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C8 BA 0E 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 69 00 6D 00 65 00 73 00 74 00 61 00 6D 00 70 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 6F 00 77 00 4B 00 65 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 4B 00 65 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_29560_0 {
	meta:
		name = "TTAzureTableRowDialog.PersistChanges"
		size = 166
		refs = "000f TTAzureTableRowDialog.PersistChanges 0025 _Dn_TAzureTableColumn 002a TAzureTableColumn.Create 003a TTAzureTableRowDialog.GetName 004b @UStrAsg 0055 TTAzureTableRowDialog.GetValue 006d TTAzureTableRowDialog.GetColumnDataType 0092 @UStrArrayClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB B8 03 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B8 03 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 B8 03 00 00 83 C0 08 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 B8 03 00 00 83 C0 0C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B B3 B8 03 00 00 88 46 04 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29565_0 {
	meta:
		name = "TDUnitAboutBox.FormClose"
		size = 4
		altNames = "TWebAppDbgMainForm.FormClose"
	strings:
		$1 = { C6 01 02 C3 }
	condition:
		$1
}

rule function_29569_0 {
	meta:
		name = "Splash"
		size = 58
		refs = "0006 _DV_TDUnitAboutBox 000b TCustomForm.Create 0016 TCustomForm.SetFormStyle 001d TCustomForm.Show 0034 TTimer.SetEnabled"
	strings:
		$1 = { 53 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 03 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A8 00 00 00 B2 01 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29570_0 {
	meta:
		name = "TDUnitAboutBox.FormCreate"
		size = 168
		refs = "0012 TDUnitAboutBox.FormCreate 0037 Format 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B 83 A4 03 00 00 8B 80 A8 02 00 00 BA 02 00 00 00 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 39 00 2E 00 34 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 76 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_29571_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_2 001a rcs_id 001f @UStrClr 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_32469_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_1 001a csAddressSpecials 001f @UStrClr 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_32476_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_4 001a GBase64CodeTable 001f @LStrClr 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_32488_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_3 001a GUUECodeTable 001f @LStrClr 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_32492_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_3 001a GXXECodeTable 001f @LStrClr 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_36465_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_1 001a cProtocolStr 001f @LStrClr 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_36908_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_7 001a VALIDDELIMS 001f @UStrClr 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_38500_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_3 001a UnsafeChars 001f @UStrClr 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_39248_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_4 001a GBase64CodeTable 001f @LStrClr 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_42280_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_3 001a UnsafeChars 001f @UStrClr 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_46293_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_1 001a gsTextFilter 001f @UStrClr 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_46386_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_3 001a EOL 001f @UStrClr 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_49521_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_2 001a ContentHeaderMimeANSI 001f @LStrClr 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_65761_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_2 001a HelpManager 001f @IntfClear 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_87361_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_12 001a Copyright 001f @UStrClr 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_91799_0 {
	meta:
		name = "Finalization"
		size = 58
		refs = "0007 Finalization 0013 _DV_2 001a tmpSpace 001f @UStrClr 0032 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_29575_0 {
	meta:
		name = "TDUnitForm.LoadTestsActionExecute"
		size = 328
		refs = "001b TDUnitForm.LoadTestsActionExecute 0045 TOpenDialog.GetFiles 008a LoadModuleTests 00ad @HandleOnException 00b5 _Dn_Exception 00c6 @UStrLAsg 00e2 MessageDlgPosHelp 00e7 @DoneExcept 0104 TGUITestRunner.SetSuite 010c TGUITestRunner.SetupGUINodes 0121 @UStrClr 0129 @IntfClear 0137 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E8 89 4D E4 89 4D FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 54 06 00 00 89 45 F0 8B 45 F0 8B 10 FF 52 50 84 C0 0F 84 CF 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 10 FF 52 14 48 85 C0 0F 8C A0 00 00 00 40 89 45 EC C7 45 F4 00 00 00 00 33 F6 55 68 ?? ?? ?? ?? 64 FF 36 64 89 26 8B 45 F0 E8 ?? ?? ?? ?? 8D 4D E4 8B 55 F4 8B 18 FF 53 0C 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 8B 80 68 06 00 00 8B 08 FF 91 AC 00 00 00 33 C0 5A 59 59 64 89 10 EB 3F E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F4 FF 4D EC 0F 85 6B FF FF FF 8B 45 F8 8B 90 68 06 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 04 00 00 00 }
	condition:
		$1
}

rule function_29576_0 {
	meta:
		name = "TDUnitForm.FormCreate"
		size = 260
		refs = "0015 TDUnitForm.FormCreate 0025 TGUITestRunner.FormCreate 0031 _Dn_TTestSuite 0036 TTestSuite.Create 004a @IntfCopy 004f ParamCount 0064 ParamStr 0087 LoadModuleTests 00af TGUITestRunner.SetSuite 00c9 @UStrArrayClr 00d1 @IntfClear 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C7 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA A4 8D 87 68 06 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7E 4D BB 01 00 00 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 0F B6 00 2C 2D 74 30 2C 02 74 2C 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 11 8B 87 68 06 00 00 8B 55 FC 8B 08 FF 91 AC 00 00 00 43 4E 75 B8 8B 97 68 06 00 00 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 41 00 6C 00 6C 00 20 00 54 00 65 00 73 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_29577_0 {
	meta:
		name = "TDUnitForm.FormDestroy"
		size = 43
		refs = "000b TGUITestRunner.SetSuite 0016 @IntfClear 001f TGUITestRunner.FormDestroy 0024 UnloadTestModules"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 83 68 06 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29578_0 {
	meta:
		name = "TDUnitForm.AboutActionExecute"
		size = 23
		refs = "0005 _Dn_TDUnitAboutBox 000a TCustomForm.Create"
	strings:
		$1 = { 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 20 01 00 00 C3 }
	condition:
		$1
}

rule function_29581_0 {
	meta:
		name = "RunRegisteredTests"
		size = 41
		refs = "0001 Application 0008 TApplication.Initialize 000d IsConsole 0019 RunRegisteredTests 001e TObject.Free"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 0D 33 C0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29586_0 {
	meta:
		name = "CoGlobal.Create"
		size = 100
		refs = "000c CoGlobal.Create 001a CLASS_Global 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 FC 08 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_29587_0 {
	meta:
		name = "CoGlobal.CreateRemote"
		size = 128
		refs = "0011 CoGlobal.CreateRemote 0021 @WStrFromUStr 002c CLASS_Global 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 FC 08 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_29599_0 {
	meta:
		name = "TGraphView.AddRects"
		size = 47
		refs = "0025 Rect"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 43 0C 03 46 0C 50 8B 45 08 50 8B 4B 08 03 4E 08 8B 53 04 03 56 04 8B 03 03 06 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_29600_0 {
	meta:
		name = "TGraphView.Create"
		size = 184
		refs = "000a @ClassCreate 0017 TCustomControl.Create 0020 TGraphView.Create 002c TWinControl.SetDoubleBuffered 0038 TControl.SetColor 0044 TControl.SetWidth 0050 TControl.SetHeight 0059 TWinControl.SetBevelKind 005f TGraphView.CBulletSize 008b _DV_TGraphViewGraph 0090 TGraphViewGraph.Create 00a1 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 B2 01 8B C6 E8 ?? ?? ?? ?? BA FF FF FF 00 8B C6 E8 ?? ?? ?? ?? BA 32 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 32 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 03 8B C6 E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 89 86 84 02 00 00 8B 05 ?? ?? ?? ?? 89 86 88 02 00 00 C7 86 90 02 00 00 FF FF FF 00 C6 86 94 02 00 00 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 48 00 00 00 }
	condition:
		$1
}

rule function_29601_0 {
	meta:
		name = "TGraphView.DblClick"
		size = 21
		refs = "0010 TControl.DblClick"
	strings:
		$1 = { 33 D2 89 90 8C 02 00 00 C6 80 95 02 00 00 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29602_0 {
	meta:
		name = "TGraphView.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TCustomControl.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 80 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29603_0 {
	meta:
		name = "TGraphView.GetLineToNodeCross"
		size = 219
		refs = "0023 CenterPoint 0038 TGraphView.PtYOnLine 0068 TGraphView.PtXOnLine 00a2 TGraphView.LineLength 00b3 PtInRect"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 8B F1 8D 7D D8 A5 A5 A5 A5 8B F2 8D 7D F4 A5 A5 89 45 FC 8D 55 EC 8D 45 D8 E8 ?? ?? ?? ?? 8B 5D D8 89 5D B8 53 8D 4D EC 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 89 45 BC 8B 5D E0 89 5D C0 53 8D 4D EC 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 89 45 C4 8B 5D DC 89 5D CC 53 8D 4D EC 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 89 45 C8 8B 5D E4 89 5D D4 53 8D 4D EC 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 89 45 D0 FF 45 E0 FF 45 E4 C7 45 E8 FF FF FF 7F B3 04 8D 7D B8 8D 4D F4 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B F0 3B 75 E8 7F 1E 8B D7 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 74 10 89 75 E8 8B 45 08 8B 17 89 10 8B 57 04 89 50 04 83 C7 08 FE CB 75 C7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_29604_0 {
	meta:
		name = "TGraphView.GetNodeFromPoint"
		size = 116
		refs = "0020 TGraph.GetNodeCount 0033 TGraph.GetNodes 0051 PtInRect"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 8B F2 8D 7C 24 04 A5 A5 89 04 24 33 ED 8B 04 24 8B B8 80 02 00 00 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3F 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 54 24 0C 8B 08 FF 51 14 FF 44 24 14 FF 44 24 18 8D 54 24 04 8D 44 24 0C E8 ?? ?? ?? ?? 84 C0 74 0D 8B D3 8B C7 E8 ?? ?? ?? ?? 8B E8 EB 04 43 4E 75 C4 8B C5 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29605_0 {
	meta:
		name = "TGraphView.LineLength"
		size = 74
		refs = "003b Sqrt 0040 @ROUND"
	strings:
		$1 = { 56 57 83 C4 EC 8B F1 8D 7C 24 08 A5 A5 8B F2 8D 3C 24 A5 A5 8B 44 24 08 2B 04 24 F7 E8 8B C8 8B 44 24 0C 2B 44 24 04 F7 E8 03 C8 89 4C 24 10 DB 44 24 10 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5F 5E C3 }
	condition:
		$1
}

rule function_29606_0 {
	meta:
		name = "TGraphView.MouseDown"
		size = 115
		refs = "0022 TControl.MouseDown 004b TGraphView.GetNodeFromPoint 0066 TGraphView.MoveNode"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 66 89 4D FE 8B DA 8B F0 8B 7D 0C 57 8B 45 08 50 0F B7 4D FE 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 75 40 80 BE 94 02 00 00 00 74 37 80 BE 95 02 00 00 00 75 2E 89 7D F4 8B 45 08 89 45 F8 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B D8 89 9E 8C 02 00 00 85 DB 74 0F 8B 45 08 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_29607_0 {
	meta:
		name = "TGraphView.MouseMove"
		size = 28
		refs = "0013 TGraphView.MoveNode"
	strings:
		$1 = { 55 8B EC 53 8B 90 8C 02 00 00 85 D2 74 09 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_29608_0 {
	meta:
		name = "TGraphView.MouseUp"
		size = 59
		refs = "002a TGraphView.MoveNode"
	strings:
		$1 = { 55 8B EC 53 8B D8 C6 83 95 02 00 00 00 84 D2 75 25 83 BB 8C 02 00 00 00 74 1C 8B 45 08 50 8B 4D 0C 8B 93 8C 02 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 8C 02 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_29609_0 {
	meta:
		name = "TGraphView.MoveNode"
		size = 70
		refs = "001d CenterPoint 0030 OffsetRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B F1 8B DA 8D 55 E8 8B C3 8B 08 FF 51 14 8D 55 F8 8D 45 E8 E8 ?? ?? ?? ?? 8B 4D 08 2B 4D FC 8B D6 2B 55 F8 8D 45 E8 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 08 FF 51 28 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_29611_0 {
	meta:
		name = "TGraphView.PaintEdge"
		size = 474
		refs = "0017 TBrush.SetStyle 0022 TBrush.SetColor 002c TPen.SetStyle 0039 TPen.SetWidth 0044 TPen.SetColor 005b CenterPoint 0156 TGraphView.GetLineToNodeCross"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B DA 8B F8 8B B7 78 02 00 00 33 D2 8B 46 48 E8 ?? ?? ?? ?? 8B 53 08 8B 46 48 E8 ?? ?? ?? ?? 33 D2 8B 46 44 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 46 44 E8 ?? ?? ?? ?? 8B 53 08 8B 46 44 E8 ?? ?? ?? ?? 8D 54 24 18 8B 43 28 8B 08 FF 51 14 8D 44 24 18 8B D4 E8 ?? ?? ?? ?? 8D 54 24 18 8B 43 24 8B 08 FF 51 14 8D 44 24 18 8D 54 24 08 E8 ?? ?? ?? ?? 8B 54 24 08 8B 04 24 3B D0 75 58 8B 44 24 04 3B 44 24 0C 7D 27 8B 43 28 BA 02 00 00 00 8B 08 FF 51 10 89 44 24 04 8B 43 24 BA 01 00 00 00 8B 08 FF 51 10 89 44 24 0C E9 C6 00 00 00 8B 43 28 BA 01 00 00 00 8B 08 FF 51 10 89 44 24 04 8B 43 24 BA 02 00 00 00 8B 08 FF 51 10 89 44 24 0C E9 9F 00 00 00 8B 4C 24 04 3B 4C 24 0C 75 4A 3B D0 7E 23 8B 43 28 BA 04 00 00 00 8B 08 FF 51 10 89 04 24 8B 43 24 BA 03 00 00 00 8B 08 FF 51 10 89 44 24 08 EB 6E 8B 43 28 BA 03 00 00 00 8B 08 FF 51 10 89 04 24 8B 43 24 BA 04 00 00 00 8B 08 FF 51 10 89 44 24 08 EB 4B 8B 04 24 89 44 24 10 8B 44 24 04 89 44 24 14 54 8D 54 24 1C 8B 43 28 8B 08 FF 51 14 8D 4C 24 1C 8D 54 24 0C 8B C7 E8 ?? ?? ?? ?? 8D 44 24 08 50 8D 54 24 1C 8B 43 24 8B 08 FF 51 14 8D 4C 24 1C 8D 54 24 14 8B C7 E8 ?? ?? ?? ?? 8B 4C 24 04 8B 14 24 8B C6 8B 18 FF 53 64 8B 4C 24 0C 8B 5C 24 08 8B D3 8B C6 8B 28 FF 55 60 8B 97 90 02 00 00 8B 46 48 E8 ?? ?? ?? ?? 8B C3 8B AF 84 02 00 00 03 C5 50 8B 44 24 10 2B 87 88 02 00 00 50 8B 4C 24 14 03 8F 88 02 00 00 8B D3 2B D5 8B C6 8B 18 FF 53 7C 83 C4 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29612_0 {
	meta:
		name = "TGraphView.PaintEdges"
		size = 102
		refs = "0016 TGraph.GetNodeCount 002b TGraph.GetEdges 0046 TList<GraphView.TGraphEdge>.GetItem 0050 TGraphView.PaintEdge"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 04 24 8B 04 24 8B A8 80 02 00 00 8B C5 E8 ?? ?? ?? ?? 48 85 C0 7C 40 40 89 44 24 04 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 21 43 33 F6 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 04 24 E8 ?? ?? ?? ?? 46 4B 75 E2 47 FF 4C 24 04 75 C7 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29613_0 {
	meta:
		name = "TGraphView.PaintNode"
		size = 264
		refs = "0019 TGraphView.PaintNode 0039 TBrush.SetStyle 0044 TBrush.SetColor 004e TPen.SetStyle 0059 TPen.SetColor 0063 TCustomCanvas.Rectangle 0078 TFont.SetColor 00a4 @UStrCatN 00d4 @UStrArrayClr 00dc @UStrClr 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D E8 89 4D E4 89 4D FC 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B B0 78 02 00 00 8D 55 EC 8B C3 8B 08 FF 51 14 33 D2 8B 46 48 E8 ?? ?? ?? ?? 8B 53 08 8B 46 48 E8 ?? ?? ?? ?? 33 D2 8B 46 44 E8 ?? ?? ?? ?? 8B 53 08 8B 46 44 E8 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? B2 01 8B 46 48 E8 ?? ?? ?? ?? 8B 53 20 8B 46 40 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 08 FF 51 0C FF 75 E8 68 ?? ?? ?? ?? 8D 55 E4 8B C3 8B 08 FF 51 34 FF 75 E4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 4D FC 8D 55 EC 8B C6 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 04 00 02 00 }
	condition:
		$1
}

rule function_29614_0 {
	meta:
		name = "TGraphView.PaintNodes"
		size = 56
		refs = "000f TGraph.GetNodeCount 0022 TGraph.GetNodes 002b TGraphView.PaintNode"
	strings:
		$1 = { 53 56 57 55 8B F8 8B AF 80 02 00 00 8B C5 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 19 43 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 46 4B 75 EA 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29615_0 {
	meta:
		name = "TGraphView.PtXOnLine"
		size = 88
		refs = "004b @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D F0 A5 A5 8B F2 8D 7D F8 A5 A5 8B 45 08 8B 5D FC 2B C3 89 45 EC DB 45 EC 8B 45 F4 2B C3 89 45 E8 DB 45 E8 DE F9 8B 45 F0 8B 75 F8 2B C6 89 45 E4 DB 45 E4 DE C9 89 75 E0 DB 45 E0 DE C1 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_29616_0 {
	meta:
		name = "TGraphView.PtYOnLine"
		size = 88
		refs = "004b @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D F0 A5 A5 8B F2 8D 7D F8 A5 A5 8B 45 08 8B 5D F8 2B C3 89 45 EC DB 45 EC 8B 45 F0 2B C3 89 45 E8 DB 45 E8 DE F9 8B 45 F4 8B 75 FC 2B C6 89 45 E4 DB 45 E4 DE C9 89 75 E0 DB 45 E0 DE C1 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_29617_0 {
	meta:
		name = "TCustomGestureRecorder.SetGesturePointColor"
		size = 29
		altNames = "TGraphView.SetBulletColor"
	strings:
		$1 = { 56 8B F0 3B 96 90 02 00 00 74 10 89 96 90 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_29618_0 {
	meta:
		name = "TGraphView.SetBulletSize"
		size = 58
		refs = "0014 CompareMem"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8D 86 84 02 00 00 B9 08 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 1B 8B 03 89 86 84 02 00 00 8B 43 04 89 86 88 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_29621_0 {
	meta:
		name = "TGraphEntity.GetRect"
		size = 44
	strings:
		$1 = { 33 C9 FE CA 74 1A FE CA 74 1C FE CA 74 06 FE CA 74 08 EB 15 8B 48 10 8B C1 C3 8B 48 18 8B C1 C3 8B 48 14 8B C1 C3 8B 48 1C 8B C1 C3 }
	condition:
		$1
}

rule function_29622_0 {
	meta:
		name = "TGraphEntity.GetWholeRect"
		size = 14
	strings:
		$1 = { 56 57 8B FA 8D 70 10 A5 A5 A5 A5 5F 5E C3 }
	condition:
		$1
}

rule function_29623_0 {
	meta:
		name = "TGraphEntity.SetCaption"
		size = 38
		refs = "000c @UStrEqual 0018 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 8B D6 E8 ?? ?? ?? ?? 74 11 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 2C 5E 5B C3 }
	condition:
		$1
}

rule function_29624_0 {
	meta:
		name = "TGraphEntity.SetColor"
		size = 14
	strings:
		$1 = { 3B 50 08 74 08 89 50 08 8B 10 FF 52 2C C3 }
	condition:
		$1
}

rule function_29625_0 {
	meta:
		name = "TGraphEntity.SetRect"
		size = 54
		refs = "0016 TGraphEntity.SetRectField"
	strings:
		$1 = { FE CA 74 20 FE CA 74 25 FE CA 74 06 FE CA 74 0B EB 23 8D 50 10 E8 ?? ?? ?? ?? C3 8D 50 18 E8 ?? ?? ?? ?? C3 8D 50 14 E8 ?? ?? ?? ?? C3 8D 50 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29626_0 {
	meta:
		name = "TGraphEntity.SetWholeRect"
		size = 44
		refs = "0012 CompareMem"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8D 53 10 8B C6 B9 10 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 0E 8D 7B 10 A5 A5 A5 A5 8B C3 8B 10 FF 52 2C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29627_0 {
	meta:
		name = "TGraphEntity.SetRectField"
		size = 18
	strings:
		$1 = { 56 8B F0 3B 0A 74 09 89 0A 8B C6 8B 10 FF 52 2C 5E C3 }
	condition:
		$1
}

rule function_29628_0 {
	meta:
		name = "TGraphEntity.SetTextColor"
		size = 14
	strings:
		$1 = { 3B 50 20 74 08 89 50 20 8B 10 FF 52 2C C3 }
	condition:
		$1
}

rule function_29629_0 {
	meta:
		name = "TGraphEntity.Update"
		size = 21
	strings:
		$1 = { 8B 50 04 85 D2 74 0D 83 7A 18 00 75 07 8B C2 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_29630_0 {
	meta:
		name = "TGraph.AddEdge"
		size = 200
		refs = "0015 TGraph.CheckIndex 002f TGraph.FindEdge 003e TGraph.AddEdge 004c TGraph.BeginUpdate 006a TList<GraphView.TGraphNode>.GetItem 0090 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.GetItem 0098 TList<GraphView.TGraphEdge>.Add 00b3 TGraph.EndUpdate 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 8B DA 89 45 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 40 0F 85 85 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 4D FC B2 01 FF 50 30 89 45 F8 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 8B 55 F8 89 42 28 8B 45 FC 8B 40 04 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 89 42 24 8B 45 FC 8B 40 08 8B D3 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC FF 40 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29631_0 {
	meta:
		name = "TGraph.AddNode"
		size = 131
		refs = "000d TGraph.AddNode 001b TGraph.BeginUpdate 003a TList<GraphView.TGraphNode>.Add 0049 _DV_TObjectList<GraphView.TGraphEdge> 004e TObjectList<GraphView.TGraphEdge>.Create 005b TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Add 0070 TGraph.EndUpdate 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 4D FC B2 01 FF 50 30 89 45 F8 8B 45 FC 8B 40 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 89 42 24 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_29632_0 {
	meta:
		name = "TGraph.BeginUpdate"
		size = 4
		altNames = "TWebComponentList.LockNotify"
	strings:
		$1 = { FF 40 18 C3 }
	condition:
		$1
}

rule function_29633_0 {
	meta:
		name = "TGraph.CheckIndex"
		size = 127
		refs = "0015 TGraph.CheckIndex 0026 TGraph.GetNodeCount 003f sInvalidNodeIndex 0044 LoadResString 004e _DV_EGraphError 0053 Exception.CreateFmt 0058 @RaiseExcept 006d @UStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 0B 8B C6 E8 ?? ?? ?? ?? 3B D8 7C 2E 89 5D F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29634_0 {
	meta:
		name = "TGraph.CheckOwner"
		size = 93
		refs = "0009 TGraph.CheckOwner 0020 sInvalidOwner 0025 LoadResString 002f _DV_EGraphError 0034 Exception.Create 0039 @RaiseExcept 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 D2 74 05 3B 42 04 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_29635_0 {
	meta:
		name = "TGraph.Clear"
		size = 20
		refs = "0006 TGraph.ClearEdges 000e TList<GraphView.TGraphNode>.Clear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29636_0 {
	meta:
		name = "TGraph.ClearEdges"
		size = 30
		refs = "000c TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Clear 0018 TGraph.EndUpdate"
	strings:
		$1 = { 53 8B D8 8B C3 FF 40 18 8B 43 08 E8 ?? ?? ?? ?? 33 C0 89 43 0C 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29637_0 {
	meta:
		name = "TGraph.Create"
		size = 103
		refs = "000a @ClassCreate 0017 TObject.Create 0020 _DV_TObjectList<GraphView.TGraphNode> 0025 TObjectList<GraphView.TGraphNode>.Create 0031 _DV_TObjectList<System.Generics.Collections.TObjectList<GraphView.TGraphEdge>> 0036 TObjectList<System.Generics.Collections.TObjectList<GraphView.TGraphEdge>>.Create 003e _DV_TGraphNode 0046 _DV_TGraphEdge 0054 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 A1 ?? ?? ?? ?? 89 46 10 A1 ?? ?? ?? ?? 89 46 14 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_29638_0 {
	meta:
		name = "TGraph.DeleteEdge"
		size = 139
		refs = "0015 TGraph.CheckIndex 0027 TGraph.DeleteEdge 0043 TGraph.FindEdge 0057 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.GetItem 005e TList<GraphView.TGraphEdge>.Delete 0079 TGraph.EndUpdate 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 8B DA 89 45 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC FF 40 18 8D 45 F8 50 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 1A 8B 45 FC 8B 40 08 8B D3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 45 FC FF 48 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29639_0 {
	meta:
		name = "TGraph.DeleteNode"
		size = 208
		refs = "0014 TGraph.CheckIndex 001c TGraph.DeleteNode 0035 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.Delete 0042 TList<GraphView.TGraphNode>.Delete 0063 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.GetItem 0080 TList<GraphView.TGraphEdge>.GetItem 009c TList<GraphView.TGraphEdge>.Delete 00bd TGraph.EndUpdate 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 89 45 FC 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC FF 40 18 8B 45 FC 8B 40 08 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 40 08 48 85 C0 7C 58 40 89 45 F8 33 F6 8B 45 FC 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B 58 08 4B 83 FB 00 7C 36 8B 45 FC 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 24 3B 78 24 75 14 8B 45 FC 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 4B 83 FB FF 75 CA 46 FF 4D F8 75 AE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29640_0 {
	meta:
		name = "TGraph.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TPersistent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36091_0 {
	meta:
		name = "TIdCustomMessageBuilder.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29641_0 {
	meta:
		name = "TGraph.EndUpdate"
		size = 21
	strings:
		$1 = { 83 78 18 00 7E 03 FF 48 18 83 78 18 00 75 05 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_29642_0 {
	meta:
		name = "TGraph.FindEdge"
		size = 143
		refs = "001a TGraph.CheckIndex 0039 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.GetItem 005b TList<GraphView.TGraphEdge>.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 8B FA 89 45 FC 8B 5D 08 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C7 45 F4 FF FF FF FF 8B 45 FC 8B 40 08 8B D7 E8 ?? ?? ?? ?? 8B 40 08 48 85 C0 7C 3E 40 89 45 F0 33 F6 8B 45 FC 8B 40 08 8B D7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 89 03 8B 03 8B 40 28 3B 78 24 75 12 8B 03 8B 40 24 8B 40 24 3B 45 F8 75 05 89 75 F4 EB 06 46 FF 4D F0 75 C8 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_29643_0 {
	meta:
		name = "TGraph.FindNode"
		size = 160
		refs = "0016 @IntfAddRef 001e TGraph.FindNode 003b TGraph.GetNodeCount 004f TGraph.GetNodes 008b @IntfClear 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 89 55 F4 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 F4 33 D2 89 10 83 7D FC 00 74 43 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 34 47 33 F6 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 0C 8B D8 84 DB 74 13 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 89 02 B3 01 EB 04 46 4F 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29644_0 {
	meta:
		name = "TGraph.GetEdges"
		size = 28
		refs = "000b TGraph.CheckIndex 0015 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29646_0 {
	meta:
		name = "TGraph.GetNodes"
		size = 28
		refs = "000b TGraph.CheckIndex 0015 TList<GraphView.TGraphNode>.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29649_0 {
	meta:
		name = "TGraph.RemoveEdge"
		size = 143
		refs = "0012 TGraph.CheckOwner 002b TGraph.CheckIndex 0033 TGraph.RemoveEdge 0050 TList<GraphView.TObjectList<GraphView.TGraphEdge>>.GetItem 0057 TList<GraphView.TGraphEdge>.Remove 007b TGraph.EndUpdate 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 53 28 8B 45 FC E8 ?? ?? ?? ?? 8B 43 28 8B 50 24 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC FF 40 18 8B 43 28 8B 50 24 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 FF 74 06 8B 45 FC FF 48 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29650_0 {
	meta:
		name = "TGraph.RemoveNode"
		size = 32
		refs = "000b TGraph.CheckOwner 0017 TGraph.DeleteNode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 76 24 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_29652_0 {
	meta:
		name = "TGraphViewGraph.Create"
		size = 158
		refs = "0010 @ClassCreate 001e TGraphViewGraph.Create 002d TGraph.Create 0039 sUnattachedGraphView 003e LoadResString 0048 _DV_EGraphError 004d Exception.Create 0055 _DV_TGraphNode 005d _DV_TGraphEdge 0075 @UStrClr 007b @HandleFinally 0088 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 75 1C 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 77 1C A1 ?? ?? ?? ?? 89 47 10 A1 ?? ?? ?? ?? 89 47 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29653_0 {
	meta:
		name = "TGraphViewGraph.GetTextHeight"
		size = 136
		refs = "0015 TGraphViewGraph.GetTextHeight 0025 @UStrLAsg 0036 Rect 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 6A 00 8D 45 EC 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 4D FC 8D 55 EC 8B 46 1C 8B 80 78 02 00 00 8B 18 FF 93 94 00 00 00 8B 5D F8 2B 5D F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_29654_0 {
	meta:
		name = "TGraphViewGraph.GetTextWidth"
		size = 15
		refs = "000a TCustomCanvas.TextWidth"
	strings:
		$1 = { 8B 40 1C 8B 80 78 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29655_0 {
	meta:
		name = "TGraphViewGraph.Update"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 46 1C 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_29656_0 {
	meta:
		name = "TGraphNode.GetContent"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TWebActionItem.GetDisplayName TWebContext.GetDispatchedPageName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111375_0 {
	meta:
		name = "TDomNode.GetNodeValue"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111476_0 {
	meta:
		name = "TDomProcessingInstruction.GetData"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50723_0 {
	meta:
		name = "THTTPTransaction.GetLogString"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97649_0 {
	meta:
		name = "TIFrameDocEventDispatch.GetEventInterface"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48048_0 {
	meta:
		name = "TScriptManager.GetFunctions"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29657_0 {
	meta:
		name = "TGraphNode.GetHeight"
		size = 35
	strings:
		$1 = { 53 8B D8 BA 02 00 00 00 8B C3 8B 08 FF 51 10 50 BA 01 00 00 00 8B C3 8B 08 FF 51 10 8B D0 58 2B C2 5B C3 }
	condition:
		$1
}

rule function_29658_0 {
	meta:
		name = "TGraphNode.GetWidth"
		size = 35
	strings:
		$1 = { 53 8B D8 BA 04 00 00 00 8B C3 8B 08 FF 51 10 50 BA 03 00 00 00 8B C3 8B 08 FF 51 10 8B D0 58 2B C2 5B C3 }
	condition:
		$1
}

rule function_29659_0 {
	meta:
		name = "TGraphNode.SetCaption"
		size = 97
		refs = "000f TGraphNode.SetCaption 0029 @UStrEqual 003b TGraphEntity.SetCaption 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 0C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 74 10 8B C3 8B 10 FF 52 50 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29660_0 {
	meta:
		name = "TGraphNode.SetContent"
		size = 45
		refs = "000c @UStrEqual 0018 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 28 E8 ?? ?? ?? ?? 74 18 8D 43 28 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 50 8B C3 8B 10 FF 52 2C 5E 5B C3 }
	condition:
		$1
}

rule function_29661_0 {
	meta:
		name = "TGraphNode.SetFitText"
		size = 27
	strings:
		$1 = { 53 8B D8 3A 53 2C 74 11 88 53 2C 8B C3 8B 10 FF 52 50 8B C3 8B 10 FF 52 2C 5B C3 }
	condition:
		$1
}

rule function_29662_0 {
	meta:
		name = "TGraphNode.SetHeight"
		size = 67
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B C7 8B 10 FF 52 38 3B F0 74 2D 80 7F 2D 00 75 27 0F B6 5F 2D C6 47 2D 00 BA 01 00 00 00 8B C7 8B 08 FF 51 10 8B C8 03 CE BA 02 00 00 00 8B C7 8B 30 FF 56 20 88 5F 2D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29663_0 {
	meta:
		name = "TGraphNode.SetRect"
		size = 200
		refs = "002c TGraphEntity.SetRect 00be TGraph.EndUpdate"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B DA 8B F0 8B 46 04 FF 40 18 8B C6 8B 10 FF 52 3C 8B F8 8B C6 8B 10 FF 52 38 8B E8 8B 0C 24 8B D3 8B C6 E8 ?? ?? ?? ?? 80 7E 2E 00 74 40 8B C3 2C 03 74 06 FE C8 74 1D EB 34 BA 03 00 00 00 8B C6 8B 08 FF 51 10 8B C8 03 CF B2 04 8B C6 E8 ?? ?? ?? ?? EB 19 BA 04 00 00 00 8B C6 8B 08 FF 51 10 8B C8 2B CF B2 03 8B C6 E8 ?? ?? ?? ?? 80 7E 2D 00 74 3E FE CB 74 06 FE CB 74 1D EB 34 BA 01 00 00 00 8B C6 8B 08 FF 51 10 8B C8 03 CD B2 02 8B C6 E8 ?? ?? ?? ?? EB 19 BA 02 00 00 00 8B C6 8B 08 FF 51 10 8B C8 2B CD B2 01 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29664_0 {
	meta:
		name = "TGraphNode.SetWidth"
		size = 67
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B C7 8B 10 FF 52 3C 3B F0 74 2D 80 7F 2E 00 75 27 0F B6 5F 2E C6 47 2E 00 BA 03 00 00 00 8B C7 8B 08 FF 51 10 8B C8 03 CE BA 04 00 00 00 8B C7 8B 30 FF 56 20 88 5F 2E 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29665_0 {
	meta:
		name = "TGraphNode.UpdateFitText"
		size = 316
		refs = "001c TGraphNode.UpdateFitText 008e @UStrCatN 00e7 Rect 00f9 TGraph.EndUpdate 0113 @UStrArrayClr 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 D2 89 55 F4 89 55 F0 89 55 EC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 2C 00 0F 84 CD 00 00 00 8B 43 04 FF 40 18 8B C3 8B 10 FF 52 3C 8B F0 8B C3 8B 10 FF 52 38 89 45 FC 8D 55 F8 8B C3 8B 08 FF 51 0C 8B 55 F8 8B 43 04 8B 08 FF 51 0C 3B C6 7D 02 8B C6 8B F0 8D 55 F0 8B C3 8B 08 FF 51 0C FF 75 F0 68 ?? ?? ?? ?? 8D 55 EC 8B C3 8B 08 FF 51 34 FF 75 EC 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 04 8B 08 FF 51 10 3B 45 FC 7D 03 8B 45 FC 89 45 FC BA 01 00 00 00 8B C3 8B 08 FF 51 10 03 45 FC 50 8D 45 DC 50 BA 03 00 00 00 8B C3 8B 08 FF 51 10 03 F0 56 BA 01 00 00 00 8B C3 8B 08 FF 51 10 50 BA 03 00 00 00 8B C3 8B 08 FF 51 10 5A 59 E8 ?? ?? ?? ?? 8D 55 DC 8B C3 8B 08 FF 51 28 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_29857_0 {
	meta:
		name = "TGUITestCase.Create"
		size = 123
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TGUITestCase.Create 0037 TTestCase.Create 0053 @UStrClr 0059 @HandleFinally 0066 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 6C 64 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29858_0 {
	meta:
		name = "TGUITestCase.Destroy"
		size = 48
		refs = "0006 @BeforeDestruction 0012 TObject.Free 001d TAbstractTest.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 68 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_29859_0 {
	meta:
		name = "TGUITestCase.TearDown"
		size = 29
		refs = "0009 TAbstractTest.TearDown 0011 TObject.Free"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 68 E8 ?? ?? ?? ?? 33 C0 89 43 68 5B 5D C3 }
	condition:
		$1
}

rule function_29860_0 {
	meta:
		name = "DoFind"
		size = 198
		refs = "0017 DoFind 002c TComponent.GetComponent 0032 _Dn_TControl 0037 @IsClass 004f UpperCase 005a @UStrEqual 0070 @AsClass 0098 TComponent.GetComponentCount 00b1 @UStrClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 33 DB EB 6A 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 39 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 40 08 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 75 18 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 EB 18 8B 45 08 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 59 8B F8 43 85 FF 75 0B 8B C6 E8 ?? ?? ?? ?? 3B D8 7C 87 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29861_0 {
	meta:
		name = "TGUITestCase.FindControl"
		size = 360
		refs = "0023 TGUITestCase.FindControl 003b Trim 005f UpperCase 006a DoFind 0084 Screen 00a5 Format 00cf @UStrArrayClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 DB 89 5D E8 89 5D EC 89 5D F0 89 4D F4 89 55 F8 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 03 8B 5D 04 8D 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 83 7D F0 00 75 12 8B CB BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 93 E8 00 00 00 55 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 59 8B D8 85 DB 75 44 8D 45 E8 50 8B 45 F4 89 45 D8 C6 45 DC 11 A1 ?? ?? ?? ?? 8B 00 8B 40 6C 8B 40 08 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 33 C9 8B 45 FC 8B 30 FF 96 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 4E 00 6F 00 20 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 20 00 6E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 20 00 6E 00 61 00 6D 00 65 00 64 00 20 00 22 00 25 00 73 00 22 00 20 00 6E 00 6F 00 74 00 20 00 66 00 6F 00 75 00 6E 00 64 00 20 00 69 00 6E 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_29862_0 {
	meta:
		name = "TGUITestCase.ClickLeftMouseButtonOn"
		size = 336
		refs = "0017 TGUITestCase.ClickLeftMouseButtonOn 0021 @Assert 002a TGUITestCase.FindParentWinControl 0076 TWinControl.GetHandle 007c PostMessage 00ad Sleep 00b2 Application 00b9 TApplication.ProcessMessages"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 8B F0 85 DB 75 14 B9 DE 00 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 7D 8B 43 50 D1 F8 79 03 83 D0 00 66 89 45 F8 8B 43 54 D1 F8 79 03 83 D0 00 66 89 45 FA 8B 45 F8 89 45 FC 0F B7 45 FC 0F B7 C0 0F B7 55 FE 0F B7 D2 C1 E2 10 0B C2 50 6A 00 68 01 02 00 00 8B FB 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0F B7 45 FC 0F B7 C0 0F B7 55 FE 0F B7 D2 C1 E2 10 0B C2 50 6A 00 68 02 02 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 46 6C 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 2D 00 00 00 43 00 3A 00 5C 00 42 00 75 00 69 00 6C 00 64 00 73 00 5C 00 54 00 50 00 5C 00 72 00 75 00 6E 00 74 00 69 00 6D 00 65 00 5C 00 64 00 75 00 6E 00 69 00 74 00 5C 00 73 00 72 00 63 00 5C 00 47 00 55 00 49 00 54 00 65 00 73 00 74 00 69 00 6E 00 67 00 2E 00 70 00 61 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4E 00 6F 00 20 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_29863_0 {
	meta:
		name = "TGUITestCase.FindControl"
		size = 24
		refs = "0006 Screen 0012 TGUITestCase.FindControl"
	strings:
		$1 = { 55 8B EC 51 8B 0D ?? ?? ?? ?? 8B 09 8B 49 6C 87 CA E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_29864_0 {
	meta:
		name = "TGUITestCase.FindParentWinControl"
		size = 37
		refs = "0013 _Dn_TWinControl 0018 @IsClass"
	strings:
		$1 = { 55 8B EC 53 8B DA EB 03 8B 5B 38 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 E8 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_29865_0 {
	meta:
		name = "TGUITestCase.SetKeyboardStateDown"
		size = 104
		refs = "0015 GetKeyboardState 002e SetKeyboardState"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 66 89 4D FE 8D 85 FE FE FF FF 50 E8 ?? ?? ?? ?? F6 45 FE 02 74 13 C6 85 10 FF FF FF 80 8D 85 FE FE FF FF 50 E8 ?? ?? ?? ?? F6 45 FE 01 74 13 C6 85 0E FF FF FF 80 8D 85 FE FE FF FF 50 E8 ?? ?? ?? ?? F6 45 FE 04 74 13 C6 85 0F FF FF FF 80 8D 85 FE FE FF FF 50 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_29866_0 {
	meta:
		name = "TGUITestCase.SetKeyboardStateUp"
		size = 104
		refs = "0015 GetKeyboardState 002e SetKeyboardState"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 66 89 4D FE 8D 85 FE FE FF FF 50 E8 ?? ?? ?? ?? F6 45 FE 02 74 13 C6 85 10 FF FF FF 00 8D 85 FE FE FF FF 50 E8 ?? ?? ?? ?? F6 45 FE 01 74 13 C6 85 0E FF FF FF 00 8D 85 FE FE FF FF 50 E8 ?? ?? ?? ?? F6 45 FE 04 74 13 C6 85 0F FF FF FF 00 8D 85 FE FE FF FF 50 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_29867_0 {
	meta:
		name = "TGUITestCase.Click"
		size = 21
		refs = "0005 Screen 000f TGUITestCase.Click"
	strings:
		$1 = { 55 8B EC 8B 15 ?? ?? ?? ?? 8B 12 8B 52 64 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_29868_0 {
	meta:
		name = "TGUITestCase.Click"
		size = 91
		refs = "0010 @UStrAddRef 0018 TGUITestCase.Click 002c TGUITestCase.FindControl 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 04 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_29869_0 {
	meta:
		name = "TGUITestCase.Click"
		size = 188
		refs = "0013 TGUITestCase.Click 001d @Assert 0026 TGUITestCase.ClickLeftMouseButtonOn"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 85 F6 75 14 B9 45 01 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C3 00 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 43 00 3A 00 5C 00 42 00 75 00 69 00 6C 00 64 00 73 00 5C 00 54 00 50 00 5C 00 72 00 75 00 6E 00 74 00 69 00 6D 00 65 00 5C 00 64 00 75 00 6E 00 69 00 74 00 5C 00 73 00 72 00 63 00 5C 00 47 00 55 00 49 00 54 00 65 00 73 00 74 00 69 00 6E 00 67 00 2E 00 70 00 61 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4E 00 6F 00 20 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_29870_0 {
	meta:
		name = "TGUITestCase.EnterKey"
		size = 42
		refs = "0016 TGUITestCase.GetFocused 0021 TGUITestCase.EnterKeyInto"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B F2 8B D8 0F B7 45 FE 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29871_0 {
	meta:
		name = "TGUITestCase.EnterKeyInto"
		size = 412
		refs = "001c TGUITestCase.EnterKeyInto 0026 @Assert 002f TGUITestCase.FindParentWinControl 0044 TGUITestCase.SetKeyboardStateDown 0066 TWinControl.GetHandle 006c PostMessage 008c Application 0093 TApplication.ProcessMessages 009c Sleep 00ed TGUITestCase.SetKeyboardStateUp"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FE 8B DA 8B F0 8B 7D 08 85 DB 75 14 B9 60 01 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 C9 00 00 00 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 66 F7 C7 02 00 0F 95 C0 84 C0 74 1E 68 00 00 00 20 0F B7 45 FE 50 68 04 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 19 6A 00 0F B7 45 FE 50 68 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 46 6C 50 E8 ?? ?? ?? ?? 66 F7 C7 02 00 0F 95 C0 84 C0 74 1E 68 00 00 00 E0 0F B7 45 FE 50 68 05 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1C 68 00 00 00 C0 0F B7 45 FE 50 68 01 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 46 6C 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 43 00 3A 00 5C 00 42 00 75 00 69 00 6C 00 64 00 73 00 5C 00 54 00 50 00 5C 00 72 00 75 00 6E 00 74 00 69 00 6D 00 65 00 5C 00 64 00 75 00 6E 00 69 00 74 00 5C 00 73 00 72 00 63 00 5C 00 47 00 55 00 49 00 54 00 65 00 73 00 74 00 69 00 6E 00 67 00 2E 00 70 00 61 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4E 00 6F 00 20 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_29872_0 {
	meta:
		name = "TGUITestCase.EnterKeyInto"
		size = 106
		refs = "0014 @UStrAddRef 001c TGUITestCase.EnterKeyInto 0035 TGUITestCase.FindControl 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 66 89 4D F6 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 45 08 50 8B 4D 04 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 0F B7 4D F6 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_29873_0 {
	meta:
		name = "TGUITestCase.EnterKey"
		size = 20
		refs = "000d TGUITestCase.EnterKey"
	strings:
		$1 = { 55 8B EC 51 66 89 4D FE 0F B7 4D FE E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_29874_0 {
	meta:
		name = "TGUITestCase.EnterKeyInto"
		size = 19
		refs = "000a TGUITestCase.EnterKeyInto"
	strings:
		$1 = { 55 8B EC 53 0F B7 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_64496_0 {
	meta:
		name = "SetAnsiString"
		size = 19
		refs = "000a @LStrFromPWCharLen"
	strings:
		$1 = { 55 8B EC 53 0F B7 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_29875_0 {
	meta:
		name = "TGUITestCase.EnterKeyInto"
		size = 88
		refs = "0011 @UStrAddRef 0019 TGUITestCase.EnterKeyInto 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 45 08 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_29876_0 {
	meta:
		name = "TGUITestCase.EnterText"
		size = 84
		refs = "000e @UStrAddRef 0016 TGUITestCase.EnterText 0023 TGUITestCase.GetFocused 002f TGUITestCase.EnterTextInto 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_29877_0 {
	meta:
		name = "TGUITestCase.EnterTextInto"
		size = 110
		refs = "0013 @UStrAddRef 0023 TGUITestCase.EnterTextInto 0037 TGUITestCase.FindControl 005e @UStrArrayClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 04 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_29878_0 {
	meta:
		name = "TGUITestCase.EnterTextInto"
		size = 336
		refs = "0015 @UStrAddRef 001d TGUITestCase.EnterTextInto 003b @Assert 0045 TGUITestCase.FindParentWinControl 0079 TWinControl.GetHandle 007f PostMessage 0084 Application 008b TApplication.ProcessMessages 0097 Sleep 00b0 @UStrClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 14 B9 C7 01 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 74 50 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 3E BF 01 00 00 00 6A 00 8B 45 FC 0F B7 44 78 FE 50 68 02 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 6C 50 E8 ?? ?? ?? ?? 47 4E 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 43 00 3A 00 5C 00 42 00 75 00 69 00 6C 00 64 00 73 00 5C 00 54 00 50 00 5C 00 72 00 75 00 6E 00 74 00 69 00 6D 00 65 00 5C 00 64 00 75 00 6E 00 69 00 74 00 5C 00 73 00 72 00 63 00 5C 00 47 00 55 00 49 00 54 00 65 00 73 00 74 00 69 00 6E 00 67 00 2E 00 70 00 61 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4E 00 6F 00 20 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_29879_0 {
	meta:
		name = "TGUITestCase.Show"
		size = 15
		refs = "0009 TGUITestCase.Show"
	strings:
		$1 = { 55 8B EC 8B CA 8B 50 68 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_29880_0 {
	meta:
		name = "TGUITestCase.Show"
		size = 98
		refs = "0013 @UStrAddRef 001b TGUITestCase.Show 002f TGUITestCase.FindControl 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 88 4D F7 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 04 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 0F B6 4D F7 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_29881_0 {
	meta:
		name = "TGUITestCase.Show"
		size = 248
		refs = "0016 TGUITestCase.Show 0020 @Assert 0029 TControl.SetVisible 0047 Application 004e TApplication.ProcessMessages 0057 Sleep"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B FA 8B F0 85 FF 75 14 B9 E7 01 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 3A 5F 61 74 14 B9 E9 01 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 46 6C 50 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 B0 04 02 00 FF FF FF FF 2D 00 00 00 43 00 3A 00 5C 00 42 00 75 00 69 00 6C 00 64 00 73 00 5C 00 54 00 50 00 5C 00 72 00 75 00 6E 00 74 00 69 00 6D 00 65 00 5C 00 64 00 75 00 6E 00 69 00 74 00 5C 00 73 00 72 00 63 00 5C 00 47 00 55 00 49 00 54 00 65 00 73 00 74 00 69 00 6E 00 67 00 2E 00 70 00 61 00 73 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 41 00 73 00 73 00 65 00 72 00 74 00 69 00 6F 00 6E 00 20 00 66 00 61 00 69 00 6C 00 75 00 72 00 65 00 00 00 }
	condition:
		$1
}

rule function_29882_0 {
	meta:
		name = "TGUITestCase.Hide"
		size = 22
		refs = "0004 Screen 0010 TCustomForm.SetVisible"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 8B 00 8B 40 6C 33 D2 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_29883_0 {
	meta:
		name = "TGUITestCase.Hide"
		size = 77
		refs = "000e @UStrAddRef 0016 TGUITestCase.Hide 0028 TGUITestCase.Show 003d @UStrClr 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_29884_0 {
	meta:
		name = "TGUITestCase.Hide"
		size = 12
		refs = "0006 TGUITestCase.Show"
	strings:
		$1 = { 55 8B EC 33 C9 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_29885_0 {
	meta:
		name = "TGUITestCase.Tab"
		size = 96
		refs = "000f TGUITestCase.Tab 0033 TGUITestCase.EnterKey 003b Application 0042 TApplication.ProcessMessages 004b Sleep"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F0 0F B7 3D ?? ?? ?? ?? 83 7D FC 00 7D 0A 0F B7 3D ?? ?? ?? ?? F7 5D FC 8B 5D FC 85 DB 7E 10 8B CF 66 BA 09 00 8B C6 E8 ?? ?? ?? ?? 4B 75 F0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 46 6C 50 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 00 00 00 00 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_29886_0 {
	meta:
		name = "TGUITestCase.GetFocused"
		size = 11
		refs = "0001 Screen"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 8B 40 64 C3 }
	condition:
		$1
}

rule function_29887_0 {
	meta:
		name = "TGUITestCase.IsFocused"
		size = 25
		refs = "000c TGUITestCase.GetFocused"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 94 C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_29888_0 {
	meta:
		name = "TGUITestCase.CheckTabTo"
		size = 616
		refs = "0026 TGUITestCase.CheckTabTo 003c _Dn_TWinControl 0041 @IsClass 0063 TObject.ClassName 007f Format 009b @CallDynaInst 00ee Screen 00f8 TComponent.GetComponentCount 0106 TGUITestCase.GetFocused 0118 TGUITestCase.Tab 0165 @UStrArrayClr 016d @UStrClr 0173 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D D4 89 5D DC 89 5D D8 89 5D F4 89 5D E0 8B F9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 75 03 8B 7D 04 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 4A 8D 45 F4 50 8B 45 F8 8B 40 08 89 45 E4 C6 45 E8 11 8D 55 E0 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B CF 8B 45 FC 8B 18 FF 93 E8 00 00 00 8B 45 F8 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 75 4A 8D 45 DC 50 8B 45 F8 8B 40 08 89 45 E4 C6 45 E8 11 8D 55 D8 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 D8 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B CF 8B 45 FC 8B 18 FF 93 E8 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 6C E8 ?? ?? ?? ?? 8B D8 85 DB 7E 1D 8B 45 FC E8 ?? ?? ?? ?? 3B 45 F8 74 40 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 4B 75 E3 8D 45 D4 50 8B 45 F8 8B 40 08 89 45 CC C6 45 D0 11 8D 55 CC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B CF 8B 45 FC 8B 18 FF 93 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 26 00 00 00 45 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 20 00 61 00 20 00 54 00 57 00 69 00 6E 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 2C 00 20 00 62 00 75 00 74 00 20 00 25 00 73 00 20 00 69 00 73 00 20 00 61 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 20 00 25 00 73 00 3A 00 25 00 73 00 20 00 63 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 66 00 6F 00 63 00 75 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 43 00 6F 00 75 00 6C 00 64 00 20 00 6E 00 6F 00 74 00 20 00 54 00 61 00 62 00 20 00 74 00 6F 00 20 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 20 00 22 00 25 00 73 00 22 00 00 00 }
	condition:
		$1
}

rule function_29889_0 {
	meta:
		name = "TGUITestCase.CheckFocused"
		size = 972
		refs = "0028 TGUITestCase.CheckFocused 0048 @Assert 0058 _Dn_TWinControl 005d @IsClass 007f TObject.ClassName 009b Format 00b7 @CallDynaInst 0107 _Dn_TCustomForm 011d @AsClass 012d TGUITestCase.GetFocused 01c1 @UStrArrayClr 01d6 @UStrClr 01dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 33 DB 89 5D C8 89 5D CC 89 5D DC 89 5D D0 89 5D F4 89 5D E0 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 75 14 B9 3B 02 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 03 8B 5D 04 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 4A 8D 45 F4 50 8B 45 F8 8B 40 08 89 45 E4 C6 45 E8 11 8D 55 E0 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B CB 8B 45 FC 8B 30 FF 96 E8 00 00 00 8B 45 F8 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 75 3A 8D 45 DC 50 8D 55 D0 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B CB 8B 45 FC 8B 30 FF 96 E8 00 00 00 8B 45 F8 8B 70 04 85 F6 74 26 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B0 98 02 00 00 EB 0A 8B 45 FC E8 ?? ?? ?? ?? 8B F0 3B 75 F8 74 73 85 F6 74 3F 8D 45 CC 50 8B 45 F8 8B 40 08 89 45 E4 C6 45 E8 11 8B 46 08 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B CB 8B 45 FC 8B 18 FF 93 E8 00 00 00 EB 30 8D 45 C8 50 8B 45 F8 8B 40 08 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B CB 8B 45 FC 8B 18 FF 93 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 2D 00 00 00 43 00 3A 00 5C 00 42 00 75 00 69 00 6C 00 64 00 73 00 5C 00 54 00 50 00 5C 00 72 00 75 00 6E 00 74 00 69 00 6D 00 65 00 5C 00 64 00 75 00 6E 00 69 00 74 00 5C 00 73 00 72 00 63 00 5C 00 47 00 55 00 49 00 54 00 65 00 73 00 74 00 69 00 6E 00 67 00 2E 00 70 00 61 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4E 00 6F 00 20 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 45 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 20 00 61 00 20 00 54 00 57 00 69 00 6E 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 2C 00 20 00 62 00 75 00 74 00 20 00 25 00 73 00 20 00 69 00 73 00 20 00 61 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 20 00 25 00 73 00 20 00 63 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 66 00 6F 00 63 00 75 00 73 00 00 00 B0 04 02 00 FF FF FF FF 31 00 00 00 45 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 20 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 20 00 25 00 73 00 20 00 74 00 6F 00 20 00 68 00 61 00 76 00 65 00 20 00 66 00 6F 00 63 00 75 00 73 00 2C 00 20 00 62 00 75 00 74 00 20 00 25 00 73 00 20 00 68 00 61 00 64 00 20 00 69 00 74 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 45 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 20 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 20 00 25 00 73 00 20 00 74 00 6F 00 20 00 68 00 61 00 76 00 65 00 20 00 66 00 6F 00 63 00 75 00 73 00 00 00 }
	condition:
		$1
}

rule function_29890_0 {
	meta:
		name = "TGUITestCase.CheckFocused"
		size = 96
		refs = "0010 @UStrAddRef 0018 TGUITestCase.CheckFocused 0030 TGUITestCase.FindControl 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 04 50 8B 4D 04 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_29893_0 {
	meta:
		name = "TGUITestCase.CheckEnabled"
		size = 96
		refs = "0010 @UStrAddRef 0018 TGUITestCase.CheckEnabled 0030 TGUITestCase.FindControl 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 04 50 8B 4D 04 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_29891_0 {
	meta:
		name = "TGUITestCase.CheckTabTo"
		size = 96
		refs = "0010 @UStrAddRef 0018 TGUITestCase.CheckTabTo 0030 TGUITestCase.FindControl 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 04 50 8B 4D 04 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_29897_0 {
	meta:
		name = "TGUITestCase.CheckVisible"
		size = 96
		refs = "0010 @UStrAddRef 0018 TGUITestCase.CheckVisible 0030 TGUITestCase.FindControl 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 04 50 8B 4D 04 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_29895_0 {
	meta:
		name = "TGUITestCase.SetFocus"
		size = 96
		refs = "0010 @UStrAddRef 0018 TGUITestCase.SetFocus 0030 TGUITestCase.FindControl 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 04 50 8B 4D 04 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_29892_0 {
	meta:
		name = "TGUITestCase.CheckEnabled"
		size = 212
		refs = "0016 TGUITestCase.CheckEnabled 004c Format 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 68 84 C0 75 33 8B 45 04 50 8D 45 F4 50 8B 45 F8 8B 40 08 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 59 8B 18 FF 93 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 45 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 20 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 20 00 25 00 73 00 20 00 74 00 6F 00 20 00 62 00 65 00 20 00 65 00 6E 00 61 00 62 00 6C 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_29894_0 {
	meta:
		name = "TGUITestCase.SetFocus"
		size = 456
		refs = "0023 TGUITestCase.SetFocus 0039 _Dn_TWinControl 003e @IsClass 0060 TObject.ClassName 007c Format 009a @CallDynaInst 010c @UStrArrayClr 0114 @UStrClr 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D DC 89 5D D8 89 5D F4 89 5D E0 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 03 8B 5D 04 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 4A 8D 45 F4 50 8B 45 F8 8B 40 08 89 45 E4 C6 45 E8 11 8D 55 E0 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B CB 8B 45 FC 8B 30 FF 96 E8 00 00 00 8B 7D F8 8B C7 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 75 4A 8D 45 DC 50 8B 45 F8 8B 40 08 89 45 E4 C6 45 E8 11 8D 55 D8 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 D8 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B CB 8B 45 FC 8B 18 FF 93 E8 00 00 00 8B C7 8B 10 FF 92 F4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 26 00 00 00 45 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 20 00 61 00 20 00 54 00 57 00 69 00 6E 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 2C 00 20 00 62 00 75 00 74 00 20 00 25 00 73 00 20 00 69 00 73 00 20 00 61 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 20 00 25 00 73 00 3A 00 25 00 73 00 20 00 63 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 66 00 6F 00 63 00 75 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_29896_0 {
	meta:
		name = "TGUITestCase.CheckVisible"
		size = 208
		refs = "0016 TGUITestCase.CheckVisible 0049 Format 006d @UStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 80 78 61 00 75 33 8B 45 04 50 8D 45 F4 50 8B 45 F8 8B 40 08 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 59 8B 18 FF 93 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 45 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 20 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 20 00 25 00 73 00 20 00 74 00 6F 00 20 00 62 00 65 00 20 00 76 00 69 00 73 00 69 00 62 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_29898_0 {
	meta:
		name = "TGUITestCase.CheckVisible"
		size = 27
		refs = "0014 TGUITestCase.CheckVisible"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 4D 04 8B 45 FC 8B 50 68 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_29901_0 {
	meta:
		name = "RunTest"
		size = 146
		refs = "000d @IntfAddRef 0015 RunTest 0024 _DV_TGUITestRunner 0029 TCustomForm.Create 0045 TGUITestRunner.SetSuite 0065 TObject.Free 006b @HandleFinally 0082 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_29902_0 {
	meta:
		name = "RunTestModeless"
		size = 104
		refs = "000d @IntfAddRef 0015 RunTestModeless 0023 Application 002b _DV_TGUITestRunner 0030 TApplication.CreateForm 003b TGUITestRunner.SetSuite 0043 TCustomForm.Show 0058 @IntfClear 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_29903_0 {
	meta:
		name = "RunRegisteredTests"
		size = 67
		refs = "0009 RunRegisteredTests 0017 RegisteredTests 001f RunTest 0034 @IntfClear 003a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_29904_0 {
	meta:
		name = "RunRegisteredTestsModeless"
		size = 67
		refs = "0009 RunRegisteredTestsModeless 0017 RegisteredTests 001f RunTestModeless 0034 @IntfClear 003a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_29905_0 {
	meta:
		name = "RunRegisteredTestsModelessUnattended"
		size = 245
		refs = "0012 RunRegisteredTestsModelessUnattended 0020 Application 0028 _DV_TGUITestRunner 002d TApplication.CreateForm 0035 RegisteredTests 0040 TGUITestRunner.SetSuite 0048 TCustomForm.Show 0059 TGUITestRunner.RunActionExecute 0073 TApplication.HandleMessage 0082 @HandleAnyException 0096 TApplication.HandleException 009b @DoneExcept 00cb TObject.Free 00e0 @IntfClear 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 BC 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 40 48 8B 80 68 04 00 00 80 78 72 00 74 A8 8B 45 FC 8B 98 24 06 00 00 8B 45 FC 03 98 28 06 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29906_0 {
	meta:
		name = "TGUITestRunner.InitTree"
		size = 108
		refs = "000b TInterfaceList.Clear 0018 TGUITestRunner.FillTestTree 001f TGUITestRunner.Setup 003a @CallDynaInst 005c TTreeNodes.GetFirstNode 0065 TCustomTreeView.SetSelected"
	strings:
		$1 = { 53 56 8B D8 8B 83 F4 05 00 00 E8 ?? ?? ?? ?? 8B 93 E8 05 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 48 04 00 00 80 78 71 00 74 11 8B 83 3C 04 00 00 66 BE F0 FF E8 ?? ?? ?? ?? EB 0F 8B 83 50 04 00 00 66 BE F0 FF E8 ?? ?? ?? ?? 8B B3 F0 03 00 00 8B 86 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29907_0 {
	meta:
		name = "TGUITestRunner.NodeToTest"
		size = 120
		refs = "0016 TGUITestRunner.NodeToTest 002f TInterfaceList.Get 003f @IntfCast 0054 @IntfClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 72 0C 8D 4D F8 8B D6 8B 83 F4 05 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 57 D5 CC 89 E1 7D 14 48 B0 33 AB AF E0 87 0E C7 }
	condition:
		$1
}

rule function_29908_0 {
	meta:
		name = "TGUITestRunner.OnUpdateTimer"
		size = 21
		refs = "0010 TTimer.SetEnabled"
	strings:
		$1 = { C6 80 38 06 00 00 01 33 D2 8B 80 34 06 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29909_0 {
	meta:
		name = "TGUITestRunner.TestToNode"
		size = 86
		refs = "000c @IntfAddRef 0014 TGUITestRunner.TestToNode 0028 _Dn_TTreeNode 002d @AsClass 0044 @IntfClear 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 74 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_29910_0 {
	meta:
		name = "TGUITestRunner.ShouldRunTest"
		size = 160
		refs = "0016 @IntfAddRef 001e TGUITestRunner.ShouldRunTest 004a @IntfCast 0054 TInterfaceList.IndexOf 0071 ITest 007b @FinalizeArray 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 F8 05 00 00 85 F6 75 0C 8B 45 FC 8B 10 FF 52 3C 8B D8 EB 21 8D 45 F8 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5E 5B 59 59 5D C3 00 57 D5 CC 89 E1 7D 14 48 B0 33 AB AF E0 87 0E C7 }
	condition:
		$1
}

rule function_29911_0 {
	meta:
		name = "TGUITestRunner.StartTest"
		size = 144
		refs = "000f @IntfAddRef 0017 TGUITestRunner.StartTest 0027 TGUITestRunner.TestToNode 0037 TGUITestRunner.SetTreeNodeImage 004c TGUITestRunner.MakeNodeVisible 0061 TGUITestRunner.ClearStatusMessage 006a TGUITestRunner.UpdateStatus 007f @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 B9 01 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 78 04 00 00 80 78 71 00 74 17 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 F0 03 00 00 8B 10 FF 92 A8 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29912_0 {
	meta:
		name = "TGUITestRunner.EndTest"
		size = 53
		refs = "000a TGUITestRunner.EndTest 0019 TGUITestRunner.UpdateStatus 002c @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C3 }
	condition:
		$1
}

rule function_29913_0 {
	meta:
		name = "TGUITestRunner.TestingStarts"
		size = 61
		refs = "001c TGUITestRunner.UpdateStatus 002c TControl.SetColor 0037 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 C7 83 00 06 00 00 00 00 00 00 C7 83 04 06 00 00 00 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? BA 00 80 00 00 8B 83 28 04 00 00 E8 ?? ?? ?? ?? 8B 83 28 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29914_0 {
	meta:
		name = "TGUITestRunner.AddSuccess"
		size = 388
		refs = "000f @IntfAddRef 0017 TGUITestRunner.AddSuccess 0025 IsTestMethod 0033 TGUITestRunner.TestToNode 0041 TGUITestRunner.SetTreeNodeImage 0173 @IntfClear 0179 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 1D 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D0 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 18 01 00 00 8B 86 5C 05 00 00 80 78 3C 00 74 0C 8B 45 FC 8B 10 FF 52 7C 84 C0 74 46 8B 86 64 05 00 00 80 78 3C 00 74 0F 8B 45 FC 8B 10 FF 92 80 00 00 00 84 C0 74 2B 8B 86 64 05 00 00 80 78 3C 00 74 1B 8B 45 FC 8B 10 FF 92 9C 00 00 00 84 C0 74 0C 8B 86 CC 05 00 00 80 78 3C 00 74 04 33 DB EB 02 B3 01 8B 45 FC 8B 10 FF 52 7C 84 C0 74 0C 8B 86 5C 05 00 00 80 78 3C 00 74 49 8B 45 FC 8B 10 FF 92 80 00 00 00 84 C0 74 0C 8B 86 64 05 00 00 80 78 3C 00 74 2E 8B 86 64 05 00 00 80 78 3C 00 74 0F 8B 45 FC 8B 10 FF 92 9C 00 00 00 84 C0 75 13 8B 45 FC 8B 10 FF 92 88 00 00 00 85 C0 75 04 33 C0 EB 02 B0 01 84 DB 74 09 8B 96 EC 05 00 00 FF 42 18 8B 96 9C 05 00 00 84 5A 3C 75 0B 8B 96 90 05 00 00 84 42 3C 74 1A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D0 B9 03 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 18 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D0 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29915_0 {
	meta:
		name = "TGUITestRunner.AddError"
		size = 149
		refs = "000f TGUITestRunner.AddError 001e TGUITestRunner.AddFailureItem 002a TListItem.SetImage 003a TControl.SetColor 0045 TWinControl.RecreateWnd 0058 TGUITestRunner.TestToNode 0066 TGUITestRunner.SetTreeNodeImage 006f TGUITestRunner.UpdateStatus 0084 @IntfClear 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? B9 05 00 00 00 33 D2 E8 ?? ?? ?? ?? BA FF 00 00 00 8B 83 28 04 00 00 E8 ?? ?? ?? ?? 8B 83 28 04 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 8B 08 FF 11 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D0 B9 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29916_0 {
	meta:
		name = "TGUITestRunner.AddFailure"
		size = 164
		refs = "000f TGUITestRunner.AddFailure 001e TGUITestRunner.AddFailureItem 002a TListItem.SetImage 0049 TControl.SetColor 0054 TWinControl.RecreateWnd 0067 TGUITestRunner.TestToNode 0075 TGUITestRunner.SetTreeNodeImage 007e TGUITestRunner.UpdateStatus 0093 @IntfClear 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? B9 04 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 83 EC 05 00 00 8B 10 FF 52 48 85 C0 75 1B BA FF 00 FF 00 8B 83 28 04 00 00 E8 ?? ?? ?? ?? 8B 83 28 04 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 8B 08 FF 11 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D0 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29917_0 {
	meta:
		name = "TGUITestRunner.IniFileName"
		size = 136
		refs = "000e TGUITestRunner.IniFileName 001c Application 0023 TApplication.GetExeName 002e ExtractFilePath 003d @UStrCat3 0057 @UStrArrayClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 64 00 75 00 6E 00 69 00 74 00 2E 00 69 00 6E 00 69 00 00 00 }
	condition:
		$1
}

rule function_29918_0 {
	meta:
		name = "TGUITestRunner.LoadFormPlacement"
		size = 460
		refs = "0013 TGUITestRunner.LoadFormPlacement 0023 TGUITestRunner.IniFileName 002d TGUITestRunner.GetIniFile 0073 TCustomForm.GetTop 008e TCustomForm.GetLeft 00cf TCustomForm.SetWindowState 00e4 TObject.Free 00ea @HandleFinally 0101 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 50 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 0C 50 8B 43 54 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 0C 50 8B C3 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 0C 50 8B C3 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 0C 8B D0 8B C3 59 8B 30 FF 96 A4 00 00 00 6A 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 14 84 C0 74 09 B2 02 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 47 00 55 00 49 00 54 00 65 00 73 00 74 00 52 00 75 00 6E 00 6E 00 65 00 72 00 20 00 43 00 6F 00 6E 00 66 00 69 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 6F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 61 00 78 00 69 00 6D 00 69 00 7A 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_29919_0 {
	meta:
		name = "TGUITestRunner.SaveFormPlacement"
		size = 512
		refs = "0013 TGUITestRunner.SaveFormPlacement 0023 TGUITestRunner.IniFileName 002d TGUITestRunner.GetIniFile 006b TCustomForm.GetLeft 0085 TCustomForm.GetTop 00f6 TObject.Free 00fc @HandleFinally 0113 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 C4 03 00 00 0F B6 40 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 18 80 BB A2 02 00 00 02 74 60 8B C3 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 10 8B C3 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 10 8B 43 50 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 10 8B 43 54 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 10 80 BB A2 02 00 00 02 0F 94 C0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 75 00 74 00 6F 00 53 00 61 00 76 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 47 00 55 00 49 00 54 00 65 00 73 00 74 00 52 00 75 00 6E 00 6E 00 65 00 72 00 20 00 43 00 6F 00 6E 00 66 00 69 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 6F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 61 00 78 00 69 00 6D 00 69 00 7A 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_29920_0 {
	meta:
		name = "TGUITestRunner.LoadConfiguration"
		size = 1748
		refs = "0018 TGUITestRunner.LoadConfiguration 0026 TGUITestRunner.LoadRegistryAction 002e TGUITestRunner.LoadFormPlacement 0036 TGUITestRunner.LoadSuiteConfiguration 0041 TGUITestRunner.IniFileName 004c TGUITestRunner.GetIniFile 0086 TCustomAction.SetChecked 00ae TControl.SetHeight 011a TControl.SetVisible 016b TListColumns.GetItem 0182 TListColumn.GetWidth 019d Format 01c0 TListColumn.SetWidth 0360 TObject.Free 0366 @HandleFinally 037c TGUITestRunner.UpdateTestTreeState 0396 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 E8 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 98 C4 03 00 00 0F B6 43 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 14 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 F4 03 00 00 8B 43 54 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 0C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 04 04 00 00 8B 43 54 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 0C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 E4 03 00 00 0F B6 43 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 14 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E4 03 00 00 0F B6 50 71 8B 45 FC 8B 80 08 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E4 03 00 00 0F B6 50 71 8B 45 FC 8B 80 04 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 00 04 00 00 89 45 F4 8B 45 F4 8B 80 B4 02 00 00 8B 40 08 8B 40 08 48 85 C0 7C 71 40 89 45 F0 33 DB 8B 45 F4 8B 80 B4 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 8B 45 F4 8B 80 B4 02 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 45 E8 50 89 5D E0 C6 45 E4 00 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 BA ?? ?? ?? ?? 8B 45 F8 8B 38 FF 57 0C 83 F8 04 7D 05 B8 04 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 43 FF 4D F0 75 95 8B 45 FC 8B 98 48 04 00 00 0F B6 43 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 14 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 70 04 00 00 0F B6 43 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 14 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 60 05 00 00 0F B6 43 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 14 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 68 05 00 00 0F B6 43 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 14 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 D0 05 00 00 0F B6 43 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 14 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 D4 05 00 00 0F B6 43 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 14 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 A0 05 00 00 0F B6 43 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 14 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 78 04 00 00 0F B6 43 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 14 8B D0 8B C3 E8 ?? ?? ?? ?? 68 5E 01 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 53 0C 8B 55 FC 89 82 E4 05 00 00 6A 1E B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 53 0C 8B 55 FC 89 82 E0 05 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 83 B8 E8 05 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 75 00 74 00 6F 00 53 00 61 00 76 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 47 00 55 00 49 00 54 00 65 00 73 00 74 00 52 00 75 00 6E 00 6E 00 65 00 72 00 20 00 43 00 6F 00 6E 00 66 00 69 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 73 00 50 00 61 00 6E 00 65 00 6C 00 2E 00 48 00 65 00 69 00 67 00 68 00 74 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 45 00 72 00 72 00 6F 00 72 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 2E 00 48 00 65 00 69 00 67 00 68 00 74 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 45 00 72 00 72 00 6F 00 72 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 2E 00 56 00 69 00 73 00 69 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 46 00 61 00 69 00 6C 00 75 00 72 00 65 00 4C 00 69 00 73 00 74 00 2E 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 57 00 69 00 64 00 74 00 68 00 5B 00 25 00 64 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 48 00 69 00 64 00 65 00 54 00 65 00 73 00 74 00 4E 00 6F 00 64 00 65 00 73 00 4F 00 6E 00 4F 00 70 00 65 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 42 00 72 00 65 00 61 00 6B 00 4F 00 6E 00 46 00 61 00 69 00 6C 00 75 00 72 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 46 00 61 00 69 00 6C 00 4F 00 6E 00 4E 00 6F 00 43 00 68 00 65 00 63 00 6B 00 73 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 46 00 61 00 69 00 6C 00 4F 00 6E 00 4D 00 65 00 6D 00 6F 00 72 00 79 00 4C 00 65 00 61 00 6B 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 67 00 6E 00 6F 00 72 00 65 00 53 00 65 00 74 00 55 00 70 00 54 00 65 00 61 00 72 00 44 00 6F 00 77 00 6E 00 4C 00 65 00 61 00 6B 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 52 00 65 00 70 00 6F 00 72 00 74 00 4D 00 65 00 6D 00 6F 00 72 00 79 00 4C 00 65 00 61 00 6B 00 54 00 79 00 70 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 57 00 61 00 72 00 6E 00 4F 00 6E 00 46 00 61 00 69 00 6C 00 54 00 65 00 73 00 74 00 4F 00 76 00 65 00 72 00 72 00 69 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 54 00 65 00 73 00 74 00 65 00 64 00 4E 00 6F 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 6F 00 70 00 75 00 70 00 58 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 6F 00 70 00 75 00 70 00 59 00 00 00 00 00 }
	condition:
		$1
}

rule function_29921_0 {
	meta:
		name = "TGUITestRunner.AutoSaveConfiguration"
		size = 18
		refs = "000d TGUITestRunner.SaveConfiguration"
	strings:
		$1 = { 8B 90 C4 03 00 00 80 7A 71 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29922_0 {
	meta:
		name = "TGUITestRunner.SaveConfiguration"
		size = 1452
		refs = "001a TGUITestRunner.SaveConfiguration 0035 TGUITestRunner.IniFileName 0054 TGUITestRunner.SaveFormPlacement 005b TGUITestRunner.SaveRegistryAction 006f TGUITestRunner.GetIniFile 0108 TListColumns.GetItem 010d TListColumn.GetWidth 0128 Format 026d TObject.Free 0273 @HandleFinally 028f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 E8 89 55 EC 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB E8 05 00 00 00 74 24 6A 01 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 83 98 04 00 00 0F B6 48 71 8B 83 E8 05 00 00 8B 30 FF 56 6C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F4 03 00 00 8B 40 54 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 10 8B 83 04 04 00 00 8B 40 54 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 10 8B 83 E4 03 00 00 0F B6 40 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 18 8B 83 00 04 00 00 89 45 F8 8B 45 F8 8B 80 B4 02 00 00 8B 40 08 8B 40 08 48 85 C0 7C 4C 40 89 45 F4 33 F6 8B 45 F8 8B 80 B4 02 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 45 E8 50 89 75 E0 C6 45 E4 00 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 BA ?? ?? ?? ?? 8B 45 FC 8B 38 FF 57 10 46 FF 4D F4 75 BA 8B 83 48 04 00 00 0F B6 40 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 18 8B 83 70 04 00 00 0F B6 40 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 18 8B 83 60 05 00 00 0F B6 40 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 18 8B 83 68 05 00 00 0F B6 40 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 18 8B 83 D0 05 00 00 0F B6 40 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 18 8B 83 D4 05 00 00 0F B6 40 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 18 8B 83 78 04 00 00 0F B6 40 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 18 8B 83 A0 05 00 00 0F B6 40 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 18 8B 83 E4 05 00 00 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 10 8B 83 E0 05 00 00 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 73 00 50 00 61 00 6E 00 65 00 6C 00 2E 00 48 00 65 00 69 00 67 00 68 00 74 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 47 00 55 00 49 00 54 00 65 00 73 00 74 00 52 00 75 00 6E 00 6E 00 65 00 72 00 20 00 43 00 6F 00 6E 00 66 00 69 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 45 00 72 00 72 00 6F 00 72 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 2E 00 48 00 65 00 69 00 67 00 68 00 74 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 45 00 72 00 72 00 6F 00 72 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 2E 00 56 00 69 00 73 00 69 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 46 00 61 00 69 00 6C 00 75 00 72 00 65 00 4C 00 69 00 73 00 74 00 2E 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 57 00 69 00 64 00 74 00 68 00 5B 00 25 00 64 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 48 00 69 00 64 00 65 00 54 00 65 00 73 00 74 00 4E 00 6F 00 64 00 65 00 73 00 4F 00 6E 00 4F 00 70 00 65 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 42 00 72 00 65 00 61 00 6B 00 4F 00 6E 00 46 00 61 00 69 00 6C 00 75 00 72 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 46 00 61 00 69 00 6C 00 4F 00 6E 00 4E 00 6F 00 43 00 68 00 65 00 63 00 6B 00 73 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 46 00 61 00 69 00 6C 00 4F 00 6E 00 4D 00 65 00 6D 00 6F 00 72 00 79 00 4C 00 65 00 61 00 6B 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 67 00 6E 00 6F 00 72 00 65 00 53 00 65 00 74 00 55 00 70 00 54 00 65 00 61 00 72 00 44 00 6F 00 77 00 6E 00 4C 00 65 00 61 00 6B 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 52 00 65 00 70 00 6F 00 72 00 74 00 4D 00 65 00 6D 00 6F 00 72 00 79 00 4C 00 65 00 61 00 6B 00 54 00 79 00 70 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 54 00 65 00 73 00 74 00 65 00 64 00 4E 00 6F 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 57 00 61 00 72 00 6E 00 4F 00 6E 00 46 00 61 00 69 00 6C 00 54 00 65 00 73 00 74 00 4F 00 76 00 65 00 72 00 72 00 69 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 6F 00 70 00 75 00 70 00 58 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 6F 00 70 00 75 00 70 00 59 00 00 00 00 00 }
	condition:
		$1
}

rule function_29923_0 {
	meta:
		name = "TGUITestRunner.TestingEnds"
		size = 19
	strings:
		$1 = { 8B 4A 08 89 88 00 06 00 00 8B 4A 0C 89 88 04 06 00 00 C3 }
	condition:
		$1
}

rule function_29924_0 {
	meta:
		name = "TGUITestRunner.UpdateNodeState"
		size = 126
		refs = "000f TGUITestRunner.UpdateNodeState 0021 TGUITestRunner.NodeToTest 002a TGUITestRunner.UpdateNodeImage 0031 TTreeNode.GetChildren 003c TTreeNode.getFirstChild 0052 TTreeNode.getNextSibling 006d @IntfClear 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 16 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29925_0 {
	meta:
		name = "TGUITestRunner.SetNodeState"
		size = 283
		refs = "001b TGUITestRunner.SetNodeState 002e TGUITestRunner.NodeToTest 004b TTreeNode.GetParent 0089 TGUITestRunner.UpdateNodeImage 00a8 TTreeNodes.BeginUpdate 00c0 TGUITestRunner.UpdateNodeState 00e1 TTreeNodes.EndUpdate 00e7 @HandleFinally 00ff ITest 0109 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 88 4D FB 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 0F B6 55 FB 8B 08 FF 51 40 8B F3 80 7D FB 00 74 52 EB 45 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 4D F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 3C 84 C0 75 23 8D 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC B2 01 8B 08 FF 51 40 8B F3 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 B0 8B 45 FC 8B 80 F0 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 F0 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_29926_0 {
	meta:
		name = "TGUITestRunner.SwitchNodeState"
		size = 93
		refs = "000f TGUITestRunner.SwitchNodeState 0021 TGUITestRunner.NodeToTest 0037 TGUITestRunner.SetNodeState 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 3C 8B C8 80 F1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29927_0 {
	meta:
		name = "TGUITestRunner.UpdateTestTreeState"
		size = 160
		refs = "0018 TTreeNodes.GetCount 0030 TTreeNodes.BeginUpdate 0038 TGUITestRunner.UpdateTestTreeState 0052 TTreeNodes.GetFirstNode 0062 TGUITestRunner.UpdateNodeState 0069 TTreeNode.getNextSibling 0090 TTreeNodes.EndUpdate 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 80 F0 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 7C 8B 45 FC 8B 80 F0 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F0 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 17 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 F0 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 5B 59 5D C3 }
	condition:
		$1
}

rule function_29928_0 {
	meta:
		name = "FormatElapsedTime"
		size = 268
		refs = "001a @_lldiv 002e @_llmod 00c2 FormatElapsedTime 00c7 Format"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 45 FC 6A 00 68 80 EE 36 00 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 8B D8 6A 00 68 80 EE 36 00 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 89 45 08 89 55 0C 6A 00 68 60 EA 00 00 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 8B F0 6A 00 68 60 EA 00 00 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 89 45 08 89 55 0C 6A 00 68 E8 03 00 00 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 8B F8 6A 00 68 E8 03 00 00 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 89 45 08 89 55 0C 8B 45 08 89 45 F8 8B 45 FC 50 89 5D D8 C6 45 DC 00 89 75 E0 C6 45 E4 00 89 7D E8 C6 45 EC 00 8B 45 F8 89 45 F0 C6 45 F4 00 8D 55 D8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 14 00 00 00 25 00 64 00 3A 00 25 00 32 00 2E 00 32 00 64 00 3A 00 25 00 32 00 2E 00 32 00 64 00 2E 00 25 00 33 00 2E 00 33 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_29929_0 {
	meta:
		name = "TGUITestRunner.UpdateStatus"
		size = 1256
		refs = "001b TGUITestRunner.UpdateStatus 0032 TListItems.GetCount 0068 IntToStr 007f TListItems.GetItem 0192 FormatElapsedTime 0235 TProgressBar.SetPosition 0265 TControl.SetText 0272 TProgressBar.GetPosition 0281 TProgressBar.GetMax 029e @UStrCat 02d1 TTimer.SetEnabled 0317 @UStrEqual 03a9 TGUITestRunner.SelectedTest 044c TGUITestRunner.ResetProgress 0461 Application 0468 TApplication.ProcessMessages 047d @UStrClr 0486 ITest 0490 @FinalizeArray 049d @UStrArrayClr 04a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0D 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 FC 03 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 2E 04 00 00 80 7D FF 00 74 6B 8B 83 E8 05 00 00 8B 10 FF 52 14 89 83 3C 06 00 00 83 BB E8 05 00 00 00 74 32 8D 55 D4 8B 83 3C 06 00 00 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 83 FC 03 00 00 8B 80 A4 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 40 08 33 D2 59 8B 30 FF 56 20 EB 1F 8B 83 FC 03 00 00 8B 80 A4 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 40 08 33 C9 33 D2 8B 30 FF 56 20 8B 83 EC 05 00 00 85 C0 0F 84 2B 02 00 00 8B 10 FF 52 44 8B F0 80 7D FF 00 75 15 80 BB 38 06 00 00 00 75 0C F7 C6 0F 00 00 00 0F 85 F6 01 00 00 8B 83 FC 03 00 00 8B 80 A4 02 00 00 33 D2 E8 ?? ?? ?? ?? 89 45 F8 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 8B 4D D0 8B 45 F8 8B 40 08 BA 01 00 00 00 8B 38 FF 57 20 8B 83 EC 05 00 00 8B 10 FF 52 4C 8D 55 CC E8 ?? ?? ?? ?? 8B 4D CC 8B 45 F8 8B 40 08 BA 02 00 00 00 8B 38 FF 57 20 8B 83 EC 05 00 00 8B 10 FF 52 48 8D 55 C8 E8 ?? ?? ?? ?? 8B 4D C8 8B 45 F8 8B 40 08 BA 03 00 00 00 8B 38 FF 57 20 8D 55 C4 8B 83 EC 05 00 00 8B 40 18 E8 ?? ?? ?? ?? 8B 4D C4 8B 45 F8 8B 40 08 BA 04 00 00 00 8B 38 FF 57 20 8B 83 EC 05 00 00 FF 70 0C FF 70 08 8D 45 C0 E8 ?? ?? ?? ?? 8B 4D C0 8B 45 F8 8B 40 08 BA 05 00 00 00 8B 38 FF 57 20 8B 83 EC 05 00 00 8B 50 0C 8B 40 08 3B 93 04 06 00 00 75 0A 3B 83 00 06 00 00 76 18 EB 02 7E 14 8B 83 EC 05 00 00 8B 50 08 89 55 E8 8B 50 0C 89 55 EC EB 12 8B 83 00 06 00 00 89 45 E8 8B 83 04 06 00 00 89 45 EC FF 75 EC FF 75 E8 8D 45 BC E8 ?? ?? ?? ?? 8B 4D BC 8B 45 F8 8B 40 08 BA 06 00 00 00 8B 38 FF 57 20 8B BB EC 05 00 00 8B C7 8B 10 FF 52 4C 50 8B C7 8B 10 FF 52 48 5A 03 D0 52 8B D6 58 2B D0 8B 83 28 04 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 85 F6 75 21 8B 83 E8 05 00 00 8B 10 FF 52 14 85 C0 75 12 BA ?? ?? ?? ?? 8B 83 94 04 00 00 E8 ?? ?? ?? ?? EB 45 8B 83 28 04 00 00 E8 ?? ?? ?? ?? 6B C0 64 50 8B 83 28 04 00 00 E8 ?? ?? ?? ?? 8B D0 58 8B CA 99 F7 F9 8D 55 B8 E8 ?? ?? ?? ?? 8D 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 80 BB 38 06 00 00 00 74 1C 3B B3 3C 06 00 00 7D 14 C6 83 38 06 00 00 00 B2 01 8B 83 34 06 00 00 E8 ?? ?? ?? ?? 8B 83 F4 03 00 00 8B 10 FF 92 A8 00 00 00 E9 68 01 00 00 8B 83 FC 03 00 00 8B 80 A4 02 00 00 33 D2 E8 ?? ?? ?? ?? 89 45 F4 8D 4D B4 8B 45 F4 8B 40 08 33 D2 8B 30 FF 56 0C 8B 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 16 8D 4D B0 8B 45 F4 8B 40 08 33 D2 8B 30 FF 56 0C 83 7D B0 00 75 1F BE 01 00 00 00 8B 45 F4 8B 40 08 33 C9 8B D6 8B 38 FF 57 20 46 83 FE 07 75 EB E9 F7 00 00 00 8D 4D AC 8B 45 F4 8B 40 08 33 D2 8B 30 FF 56 0C 8B 45 AC 50 8D 4D A8 8B 45 F4 8B 40 08 BA 01 00 00 00 8B 30 FF 56 0C 8B 55 A8 58 E8 ?? ?? ?? ?? 74 1F BE 01 00 00 00 8B 45 F4 8B 40 08 33 C9 8B D6 8B 38 FF 57 20 46 83 FE 07 75 EB E9 A6 00 00 00 8D 55 A0 8B C3 E8 ?? ?? ?? ?? 8B 45 A0 8B 10 FF 52 54 33 D2 52 50 8D 45 A4 E8 ?? ?? ?? ?? 8B 4D A4 8B 45 F4 8B 40 08 BA 05 00 00 00 8B 30 FF 56 20 8D 55 9C 8B C3 E8 ?? ?? ?? ?? 8B 45 9C 8B 10 FF 52 54 33 D2 89 45 E0 89 55 E4 8B 45 E0 8B 55 E4 3B 93 04 06 00 00 75 0A 3B 83 00 06 00 00 76 12 EB 02 7E 0E 8B 45 E0 89 45 D8 8B 45 E4 89 45 DC EB 12 8B 83 00 06 00 00 89 45 D8 8B 83 04 06 00 00 89 45 DC FF 75 DC FF 75 D8 8D 45 98 E8 ?? ?? ?? ?? 8B 4D 98 8B 45 F4 8B 40 08 BA 06 00 00 00 8B 30 FF 56 20 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 16 8B C3 8B 10 FF 92 A8 00 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 BA 0D 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 31 00 30 00 30 00 25 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_29930_0 {
	meta:
		name = "TGUITestRunner.ResetProgress"
		size = 68
		refs = "000c TControl.SetParentColor 0017 TWinControl.RecreateWnd 0024 TProgressBar.SetPosition 003e TControl.SetText"
	strings:
		$1 = { 53 8B D8 B2 01 8B 83 28 04 00 00 E8 ?? ?? ?? ?? 8B 83 28 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 28 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29931_0 {
	meta:
		name = "TGUITestRunner.AddFailureItem"
		size = 376
		refs = "001b TGUITestRunner.AddFailureItem 0035 TListItems.Add 004b TGUITestRunner.TestToNode 0054 TListItem.SetData 0072 TListItem.SetCaption 00c8 @UStrCatN 010b TTreeNode.Expand 0112 TTreeNode.GetParent 012f @IntfClear 013c @UStrArrayClr 014c @UStrClr 015a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 00 04 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B F0 8D 55 F8 8B C3 8B 08 FF 11 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 11 8B 45 F0 8D 55 F4 8B 08 FF 51 0C 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 8B 08 FF 51 08 8B 55 EC 8B 46 08 8B 08 FF 51 38 8D 55 E8 8B C3 8B 08 FF 51 0C 8B 55 E8 8B 46 08 8B 08 FF 51 38 8D 55 E0 8B C3 8B 08 FF 51 14 FF 75 E0 68 ?? ?? ?? ?? 8D 55 DC 8B C3 8B 08 FF 51 18 FF 75 DC 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 46 08 8B 08 FF 51 38 8D 55 D8 8B C3 8B 08 FF 51 1C 8B 55 D8 8B 46 08 8B 08 FF 51 38 8D 55 D4 8B C3 8B 08 FF 11 8B 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 16 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 EA 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_29932_0 {
	meta:
		name = "TGUITestRunner.FillTestTree"
		size = 288
		refs = "0021 @IntfAddRef 0029 TGUITestRunner.FillTestTree 005e TTreeNodes.AddChild 0072 TInterfaceList.Add 007c TTreeNode.SetData 00b6 @IntfCast 00dd @IntfClear 00ed @UStrClr 0103 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 89 55 F0 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 8F 00 00 00 8D 55 EC 8B 45 FC 8B 08 FF 51 0C 8B 4D EC 8B 45 F4 8B 80 F0 03 00 00 8B 80 E0 02 00 00 8B 55 F0 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F4 8B 80 F4 05 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC 8B 08 FF 51 18 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 33 F6 8D 4D E4 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 55 E4 8D 45 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 46 4B 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 57 D5 CC 89 E1 7D 14 48 B0 33 AB AF E0 87 0E C7 }
	condition:
		$1
}

rule function_29933_0 {
	meta:
		name = "TGUITestRunner.FillTestTree"
		size = 87
		refs = "000a TGUITestRunner.FillTestTree 0021 TTreeNodes.Clear 002c TInterfaceList.Clear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F0 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 83 F4 05 00 00 E8 ?? ?? ?? ?? 8B 8B E8 05 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C3 }
	condition:
		$1
}

rule function_29934_0 {
	meta:
		name = "TGUITestRunner.SetTreeNodeImage"
		size = 58
		refs = "0014 TTreeNode.SetImageIndex 001d TTreeNode.SetSelectedIndex 002d TTreeNode.GetParent"
	strings:
		$1 = { 53 56 8B F1 8B DA 85 DB 74 2D 3B 73 14 7E 12 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 83 FE 01 75 04 33 DB EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 D3 5E 5B C3 }
	condition:
		$1
}

rule function_29935_0 {
	meta:
		name = "TGUITestRunner.SetSuite"
		size = 125
		refs = "000e @IntfAddRef 0016 TGUITestRunner.SetSuite 002a @IntfCopy 003a TGUITestRunner.LoadSuiteConfiguration 0043 TGUITestRunner.EnableUI 006d @IntfClear 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 E8 05 00 00 8B 55 FC E8 ?? ?? ?? ?? 83 BB E8 05 00 00 00 74 1C 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 28 01 00 00 EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_29936_0 {
	meta:
		name = "TGUITestRunner.DisplayFailureMessage"
		size = 872
		refs = "001c TGUITestRunner.DisplayFailureMessage 0033 TCustomTreeView.SetSelected 0041 TCustomTreeView.GetSelected 004e TGUITestRunner.NodeToTest 007c TFont.GetSize 0089 TTextAttributes.SetSize 009b TTextAttributes.SetStyle 00ab @UStrCat3 00b5 TCustomEdit.SetSelText 00c2 TTextAttributes.SetColor 02c3 @UStrArrayClr 02cb @UStrClr 02d3 @IntfClear 02d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 80 F0 03 00 00 8B 56 28 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 F0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B 45 F4 E8 ?? ?? ?? ?? BF FF 00 FF 00 83 7E 0C 05 7C 05 BF FF 00 00 00 8B 45 F4 8B 98 A0 04 00 00 8B C3 8B 10 FF 92 14 01 00 00 8B 45 F4 8B 40 6C E8 ?? ?? ?? ?? 8B D0 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8D 45 F0 B9 ?? ?? ?? ?? 8B 56 20 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8D 4D EC 33 D2 8B 46 08 8B 38 FF 57 0C 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 C8 02 00 00 8B 08 FF 51 38 BA 08 00 00 FF 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8D 4D E4 BA 02 00 00 00 8B 46 08 8B 38 FF 57 0C 8B 4D E4 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 4D E0 BA 01 00 00 00 8B 46 08 8B 38 FF 57 0C 83 7D E0 00 74 71 BA 08 00 00 FF 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 C8 02 00 00 8B 08 FF 51 38 BA 0C 00 00 00 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8D 4D DC BA 01 00 00 00 8B 46 08 8B 38 FF 57 0C 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 6C E8 ?? ?? ?? ?? 8B D0 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC 8B 08 FF 51 5C 83 7D F8 00 74 5C 33 D2 8B 83 C8 02 00 00 8B 08 FF 51 38 33 D2 8B 83 C8 02 00 00 8B 08 FF 51 38 0F B6 15 ?? ?? ?? ?? 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 C8 02 00 00 8B 08 FF 51 38 0F B6 15 ?? ?? ?? ?? 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 C8 02 00 00 8B 08 FF 51 38 8D 4D D8 BA 03 00 00 00 8B 46 08 8B 38 FF 57 0C 83 7D D8 00 74 5B 33 D2 8B 83 C8 02 00 00 8B 08 FF 51 38 0F B6 15 ?? ?? ?? ?? 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 C8 02 00 00 8B 08 FF 51 38 0F B6 15 ?? ?? ?? ?? 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8D 4D D4 BA 03 00 00 00 8B 46 08 8B 30 FF 56 0C 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 61 00 74 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 74 00 61 00 74 00 75 00 73 00 20 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 74 00 61 00 63 00 6B 00 54 00 72 00 61 00 63 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_29937_0 {
	meta:
		name = "TGUITestRunner.ClearFailureMessage"
		size = 19
	strings:
		$1 = { 56 8B F0 8B 86 A0 04 00 00 8B 10 FF 92 14 01 00 00 5E C3 }
	condition:
		$1
}

rule function_29938_0 {
	meta:
		name = "TGUITestRunner.ClearResult"
		size = 35
		refs = "000e TObject.Free 001d TGUITestRunner.ClearFailureMessage"
	strings:
		$1 = { 53 8B D8 8B 83 EC 05 00 00 85 C0 74 14 E8 ?? ?? ?? ?? 33 C0 89 83 EC 05 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29939_0 {
	meta:
		name = "TGUITestRunner.Setup"
		size = 411
		refs = "0014 TGUITestRunner.Setup 002b TListItems.Clear 0032 TGUITestRunner.ResetProgress 004f TListItems.GetItem 0073 IntToStr 008e TProgressBar.SetMax 00b7 TProgressBar.GetMax 012f TTreeNodes.GetCount 0152 TTreeNodes.GetNodeFromIndex 015d TTreeNode.SetImageIndex 0166 TTreeNode.SetSelectedIndex 0173 TGUITestRunner.UpdateTestTreeState 0188 @UStrClr 018e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 00 04 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A8 00 00 00 8B 83 FC 03 00 00 8B 80 A4 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B F0 83 BB E8 05 00 00 00 74 36 8B 83 E8 05 00 00 8B 10 FF 52 14 89 45 FC 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F8 8B 46 08 33 D2 8B 38 FF 57 20 8B 55 FC 8B 83 18 04 00 00 E8 ?? ?? ?? ?? EB 1C 8B 46 08 33 C9 33 D2 8B 38 FF 57 20 BA 10 27 00 00 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 28 04 00 00 E8 ?? ?? ?? ?? 8B 46 08 33 C9 BA 01 00 00 00 8B 38 FF 57 20 8B 46 08 33 C9 BA 02 00 00 00 8B 38 FF 57 20 8B 46 08 33 C9 BA 03 00 00 00 8B 38 FF 57 20 8B 46 08 33 C9 BA 04 00 00 00 8B 38 FF 57 20 8B 46 08 33 C9 BA 05 00 00 00 8B 38 FF 57 20 8B 46 08 33 C9 BA 06 00 00 00 8B 30 FF 56 20 8B 83 F0 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 36 47 C7 45 FC 00 00 00 00 8B 83 F0 03 00 00 8B 80 E0 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? FF 45 FC 4F 75 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29940_0 {
	meta:
		name = "TGUITestRunner.EnableUI"
		size = 100
		refs = "000f TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B 86 9C 03 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 A0 03 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 A4 03 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 A4 04 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 A8 04 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 3C 04 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 50 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29941_0 {
	meta:
		name = "TGUITestRunner.FormCreate"
		size = 258
		refs = "0007 _Dn_TInterfaceList 000c TInterfaceList.Create 0019 TGUITestRunner.LoadConfiguration 001e TimeSeparator 002a TGUITestRunner.SetUpStateImages 0031 TGUITestRunner.SetupCustomShortcuts 0042 TTreeNodes.Clear 004b TGUITestRunner.EnableUI 0052 TGUITestRunner.ClearFailureMessage 005b _Dn_TTimer 0060 TTimer.Create 0074 TTimer.SetInterval 0081 TTimer.SetEnabled 0087 TGUITestRunner.OnUpdateTimer 0092 TTimer.SetOnTimer 0099 TGUITestRunner.Setup 00a6 TCustomAction.SetEnabled 00b3 TCustomAction.SetChecked"
	strings:
		$1 = { 53 56 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 F4 05 00 00 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 66 C7 00 3A 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 F0 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 34 06 00 00 BA C8 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 83 34 06 00 00 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 34 06 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 68 05 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 8B 83 68 05 00 00 80 78 72 00 75 07 33 D2 E8 ?? ?? ?? ?? 8B 83 68 05 00 00 0F B6 50 71 8B 83 D0 05 00 00 E8 ?? ?? ?? ?? 8B 83 D0 05 00 00 80 78 72 00 75 07 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29942_0 {
	meta:
		name = "TGUITestRunner.FormDestroy"
		size = 66
		refs = "0012 TObject.Free 0019 TGUITestRunner.ClearResult 0020 TGUITestRunner.AutoSaveConfiguration 0029 TGUITestRunner.SetSuite"
	strings:
		$1 = { 53 8B D8 8D 83 34 06 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 83 F4 05 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 F4 05 00 00 5B C3 }
	condition:
		$1
}

rule function_29944_0 {
	meta:
		name = "TGUITestRunner.TestTreeClick"
		size = 47
		refs = "0012 TGUITestRunner.ProcessClickOnStateIcon 001d TCustomTreeView.GetSelected 0028 TGUITestRunner.TestTreeChange"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB F0 05 00 00 00 75 1D 8B C3 E8 ?? ?? ?? ?? 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29945_0 {
	meta:
		name = "TGUITestRunner.TestTreeChange"
		size = 139
		refs = "0013 TCustomTreeView.GetSelected 0024 TCustomListView.SetSelected 0035 TListItems.GetCount 0052 TListItems.GetItem 0082 TGUITestRunner.UpdateStatus"
	strings:
		$1 = { 53 56 57 55 8B E9 8B D8 85 ED 74 7A 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 3B E8 75 6B 33 D2 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 8B 83 00 04 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 3D 47 33 F6 8B 83 00 04 00 00 8B 80 A4 02 00 00 8B D6 E8 ?? ?? ?? ?? 3B 68 28 75 1E 8B BB 00 04 00 00 8B 87 A4 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 04 46 4F 75 C6 B2 01 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29946_0 {
	meta:
		name = "TGUITestRunner.FailureListViewClick"
		size = 45
		refs = "000a TCustomListView.GetSelected 0027 TCustomTreeView.SetSelected"
	strings:
		$1 = { 53 8B D8 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 85 C0 74 19 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 8B 50 28 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29947_0 {
	meta:
		name = "TGUITestRunner.FailureListViewSelectItem"
		size = 27
		refs = "000a TGUITestRunner.ClearFailureMessage 0013 TGUITestRunner.DisplayFailureMessage"
	strings:
		$1 = { 55 8B EC 80 7D 08 00 75 07 E8 ?? ?? ?? ?? EB 07 8B D1 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_29948_0 {
	meta:
		name = "TGUITestRunner.DisableTest"
		size = 77
		refs = "000c @IntfAddRef 0014 TGUITestRunner.DisableTest 003b @IntfClear 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC 8B 08 FF 51 40 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_29949_0 {
	meta:
		name = "TGUITestRunner.EnableTest"
		size = 77
		refs = "000c @IntfAddRef 0014 TGUITestRunner.EnableTest 003b @IntfClear 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC 8B 08 FF 51 40 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_29950_0 {
	meta:
		name = "DoApply"
		size = 133
		refs = "000d DoApply 0027 TGUITestRunner.NodeToTest 0040 TTreeNode.getFirstChild 0059 TTreeNode.getNextSibling 0074 @IntfClear 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 48 8D 4D FC 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 08 8D 70 08 8B 55 FC 8B 46 04 FF 16 84 C0 74 26 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 19 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29951_0 {
	meta:
		name = "TGUITestRunner.ApplyToTests"
		size = 108
		refs = "001a TTreeNodes.BeginUpdate 0022 TGUITestRunner.ApplyToTests 0030 DoApply 0052 TTreeNodes.EndUpdate 0058 @HandleFinally 0062 TGUITestRunner.UpdateTestTreeState"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 80 F0 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8B C3 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 F0 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_29952_0 {
	meta:
		name = "TGUITestRunner.TestTreeKeyPress"
		size = 64
		refs = "0013 TCustomTreeView.GetSelected 002b TGUITestRunner.SwitchNodeState 0034 TGUITestRunner.UpdateStatus"
	strings:
		$1 = { 53 56 8B F1 8B D8 66 83 3E 20 75 31 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 22 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 66 C7 06 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_29953_0 {
	meta:
		name = "TGUITestRunner.SelectAllActionExecute"
		size = 46
		refs = "0005 TGUITestRunner.EnableTest 0016 TTreeNodes.GetFirstNode 001f TGUITestRunner.ApplyToTests 0028 TGUITestRunner.UpdateStatus"
	strings:
		$1 = { 53 8B D8 53 68 ?? ?? ?? ?? 8B 83 F0 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29954_0 {
	meta:
		name = "TGUITestRunner.DeselectAllActionExecute"
		size = 46
		refs = "0005 TGUITestRunner.DisableTest 0016 TTreeNodes.GetFirstNode 001f TGUITestRunner.ApplyToTests 0028 TGUITestRunner.UpdateStatus"
	strings:
		$1 = { 53 8B D8 53 68 ?? ?? ?? ?? 8B 83 F0 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29955_0 {
	meta:
		name = "TGUITestRunner.SelectFailedActionExecute"
		size = 116
		refs = "0007 TGUITestRunner.DisableTest 001a TTreeNodes.GetNodeFromIndex 0023 TGUITestRunner.ApplyToTests 0034 TListItems.GetCount 0051 TListItems.GetItem 005f TGUITestRunner.SetNodeState 006c TGUITestRunner.UpdateStatus"
	strings:
		$1 = { 53 56 57 8B D8 53 68 ?? ?? ?? ?? 8B 83 F0 03 00 00 8B 80 E0 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 00 04 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 28 46 33 FF 8B 83 00 04 00 00 8B 80 A4 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B 40 28 B1 01 8B D0 8B C3 E8 ?? ?? ?? ?? 47 4E 75 DB B2 01 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29958_0 {
	meta:
		name = "TGUITestRunner.AutoSaveActionExecute"
		size = 30
		refs = "0011 TCustomAction.SetChecked 0018 TGUITestRunner.AutoSaveConfiguration"
	strings:
		$1 = { 53 8B D8 8B 83 C4 03 00 00 0F B6 50 71 80 F2 01 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29959_0 {
	meta:
		name = "TGUITestRunner.ErrorBoxVisibleActionExecute"
		size = 86
		refs = "0014 TCustomAction.SetChecked 0023 TControl.SetVisible 004f TControl.SetTop"
	strings:
		$1 = { 53 56 8B F0 8B 9E E4 03 00 00 0F B6 53 71 80 F2 01 8B C3 E8 ?? ?? ?? ?? 0F B6 53 71 8B 86 08 04 00 00 E8 ?? ?? ?? ?? 0F B6 53 71 8B 86 04 04 00 00 E8 ?? ?? ?? ?? 80 7B 71 00 74 17 8B 86 04 04 00 00 8B 50 4C 83 EA 08 8B 86 08 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29960_0 {
	meta:
		name = "TGUITestRunner.ErrorBoxSplitterMoved"
		size = 38
		refs = "0016 TControl.SetTop"
	strings:
		$1 = { 53 8B D8 8B 83 04 04 00 00 8B 50 4C 83 EA 08 8B 83 08 04 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_29961_0 {
	meta:
		name = "TGUITestRunner.ErrorBoxPanelResize"
		size = 24
		refs = "0013 TControl.SetTop"
	strings:
		$1 = { 8B 90 04 04 00 00 8B 52 4C 83 EA 08 8B 80 08 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29962_0 {
	meta:
		name = "TGUITestRunner.NodeIsGrandparent"
		size = 61
		refs = "000a TTreeNode.GetChildren 0015 TTreeNode.getFirstChild 002d TTreeNode.GetNextChild"
	strings:
		$1 = { 53 56 57 8B FA 33 DB 8B C7 E8 ?? ?? ?? ?? 84 C0 74 25 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 18 8B C6 E8 ?? ?? ?? ?? 0A D8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 75 E8 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29963_0 {
	meta:
		name = "TGUITestRunner.CollapseNonGrandparentNodes"
		size = 70
		refs = "000c TGUITestRunner.NodeIsGrandparent 0019 TTreeNode.Collapse 0020 TTreeNode.getFirstChild 002f TGUITestRunner.CollapseNonGrandparentNodes 0038 TTreeNode.GetNextChild"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 18 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_29964_0 {
	meta:
		name = "TGUITestRunner.HideTestNodesActionExecute"
		size = 172
		refs = "0018 TTreeNodes.GetCount 0034 TTreeNodes.BeginUpdate 003c TGUITestRunner.HideTestNodesActionExecute 0058 TTreeNodes.GetNodeFromIndex 0067 TTreeNode.Expand 0071 TGUITestRunner.CollapseNonGrandparentNodes 007b TGUITestRunner.SelectNode 009c TTreeNodes.EndUpdate 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 80 F0 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 84 00 00 00 8B 45 FC 8B 80 F0 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F0 03 00 00 8B 80 E0 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1D B2 01 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 F0 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 5B 59 5D C3 }
	condition:
		$1
}

rule function_29965_0 {
	meta:
		name = "TGUITestRunner.HideTestNodesOnOpenActionExecute"
		size = 23
		refs = "0012 TCustomAction.SetChecked"
	strings:
		$1 = { 8B 90 48 04 00 00 0F B6 4A 71 80 F1 01 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29966_0 {
	meta:
		name = "TGUITestRunner.ExpandAllNodesActionExecute"
		size = 105
		refs = "000b TCustomTreeView.FullExpand 0016 TCustomTreeView.GetSelected 002e TGUITestRunner.MakeNodeVisible 0042 TTreeNodes.GetCount 0059 TTreeNodes.GetNodeFromIndex 0062 TCustomTreeView.SetSelected"
	strings:
		$1 = { 53 56 8B D8 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 17 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 F0 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 1C 8B B3 F0 03 00 00 8B 86 E0 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29967_0 {
	meta:
		name = "TGUITestRunner.RunTheTest"
		size = 481
		refs = "0011 @IntfAddRef 0019 TGUITestRunner.RunTheTest 0070 TCustomAction.SetEnabled 009a TGUITestRunner.EnableUI 00a2 TGUITestRunner.AutoSaveConfiguration 00aa TGUITestRunner.ClearResult 00b1 _Dn_TTestResult 00b6 TTestResult.Create 017f TObject.Free 0190 @HandleFinally 01d0 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 92 01 00 00 8B 45 F8 80 B8 F0 05 00 00 00 74 13 8B 45 F8 8B 80 EC 05 00 00 8B 10 FF 52 3C E9 73 01 00 00 8B 45 F8 C6 80 F0 05 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 80 68 04 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 C0 04 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 88 04 00 00 33 D2 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F8 89 98 EC 05 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F8 85 D2 74 06 81 EA C0 F9 FF FF 8B C3 8B 08 FF 51 30 8B 55 F8 8B 92 70 04 00 00 0F B6 52 71 8B 45 F8 8B 80 EC 05 00 00 88 50 29 8B 55 F8 8B 92 60 05 00 00 0F B6 52 71 88 50 2A 8B 55 F8 8B 92 68 05 00 00 0F B6 52 71 88 50 2D 8B 55 F8 8B 92 D0 05 00 00 0F B6 52 71 88 50 2B 8B D0 8B 45 FC 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 80 EC 05 00 00 8B 10 FF 52 48 8B 55 F8 89 82 24 06 00 00 8B 45 F8 8B 80 EC 05 00 00 8B 10 FF 52 4C 8B 55 F8 89 82 28 06 00 00 8B 45 F8 8B 80 EC 05 00 00 E8 ?? ?? ?? ?? 8B 45 F8 33 D2 89 90 EC 05 00 00 C3 E9 ?? ?? ?? ?? EB B1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 C6 80 F0 05 00 00 00 B2 01 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_29968_0 {
	meta:
		name = "TGUITestRunner.RunActionExecute"
		size = 34
		refs = "000f TGUITestRunner.Setup 001c TGUITestRunner.RunTheTest"
	strings:
		$1 = { 53 8B D8 83 BB E8 05 00 00 00 74 14 8B C3 E8 ?? ?? ?? ?? 8B 93 E8 05 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29969_0 {
	meta:
		name = "TGUITestRunner.ExitActionExecute"
		size = 37
		refs = "001f TCustomForm.Close"
	strings:
		$1 = { 53 8B D8 8B 83 EC 05 00 00 85 C0 74 05 8B 10 FF 52 3C C7 83 C0 02 00 00 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29970_0 {
	meta:
		name = "TGUITestRunner.BreakOnFailuresActionExecute"
		size = 19
		refs = "000e TCustomAction.SetChecked"
	strings:
		$1 = { 8B 80 70 04 00 00 0F B6 50 71 80 F2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29971_0 {
	meta:
		name = "TGUITestRunner.FailIfNoChecksExecutedActionExecute"
		size = 19
		refs = "000e TCustomAction.SetChecked"
	strings:
		$1 = { 8B 80 60 05 00 00 0F B6 50 71 80 F2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29972_0 {
	meta:
		name = "TGUITestRunner.FailTestCaseIfMemoryLeakedActionExecute"
		size = 61
		refs = "0014 TCustomAction.SetChecked 0023 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F0 8B 9E 68 05 00 00 0F B6 53 71 80 F2 01 8B C3 E8 ?? ?? ?? ?? 0F B6 53 71 8B 86 D0 05 00 00 E8 ?? ?? ?? ?? 80 7B 71 00 75 0D 33 D2 8B 86 D0 05 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29973_0 {
	meta:
		name = "TGUITestRunner.ShowTestCasesWithRunTimePropertiesActionExecute"
		size = 46
		refs = "0014 TCustomAction.SetChecked"
	strings:
		$1 = { 53 56 8B F0 8B 9E 94 05 00 00 0F B6 53 71 80 F2 01 8B C3 E8 ?? ?? ?? ?? 80 7B 71 00 74 0D 33 D2 8B 86 A0 05 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29974_0 {
	meta:
		name = "TGUITestRunner.WarnOnFailTestOverrideActionExecute"
		size = 46
		refs = "0014 TCustomAction.SetChecked"
	strings:
		$1 = { 53 56 8B F0 8B 9E A0 05 00 00 0F B6 53 71 80 F2 01 8B C3 E8 ?? ?? ?? ?? 80 7B 71 00 74 0D 33 D2 8B 86 94 05 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29975_0 {
	meta:
		name = "TGUITestRunner.ShowTestedNodeActionExecute"
		size = 19
		refs = "000e TCustomAction.SetChecked"
	strings:
		$1 = { 8B 80 78 04 00 00 0F B6 50 71 80 F2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29976_0 {
	meta:
		name = "TGUITestRunner.SetUpStateImages"
		size = 56
		refs = "0010 TCustomTreeView.SetImages 0021 TCustomTreeView.SetStateImages 0032 TCustomListView.SetSmallImages"
	strings:
		$1 = { 53 8B D8 8B 93 94 03 00 00 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B 93 90 03 00 00 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B 93 94 03 00 00 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29977_0 {
	meta:
		name = "TGUITestRunner.LoadSuiteConfiguration"
		size = 100
		refs = "000c TGUITestRunner.LoadSuiteConfiguration 0027 TGUITestRunner.IniFileName 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB E8 05 00 00 00 74 24 6A 01 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 98 04 00 00 0F B6 48 71 8B 83 E8 05 00 00 8B 18 FF 53 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_29979_0 {
	meta:
		name = "TGUITestRunner.ProcessClickOnStateIcon"
		size = 109
		refs = "0009 GetCursorPos 001a TControl.ScreenToClient 003b TCustomTreeView.GetHitTestInfoAt 004f TCustomTreeView.GetNodeAt 0063 TGUITestRunner.SwitchNodeState"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 54 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D4 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B 4C 24 04 8B 14 24 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B F0 8B 4C 24 04 8B 14 24 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 10 66 F7 C6 00 02 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_29980_0 {
	meta:
		name = "TGUITestRunner.UpdateNodeImage"
		size = 147
		refs = "000f TGUITestRunner.UpdateNodeImage 0021 TGUITestRunner.NodeToTest 0039 TTreeNode.SetStateIndex 0042 TTreeNode.GetParent 0082 @IntfClear 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 3C 84 C0 75 0E BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 32 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1B 8B C3 E8 ?? ?? ?? ?? 83 78 20 02 7F 0E BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0C BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29981_0 {
	meta:
		name = "TGUITestRunner.CopyMessageToClipboardActionExecute"
		size = 27
		refs = "000a TCustomEdit.SelectAll 0015 TCustomEdit.CopyToClipboard"
	strings:
		$1 = { 53 8B D8 8B 83 A0 04 00 00 E8 ?? ?? ?? ?? 8B 83 A0 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29982_0 {
	meta:
		name = "TGUITestRunner.UseRegistryActionExecute"
		size = 19
		refs = "000e TCustomAction.SetChecked"
	strings:
		$1 = { 8B 80 98 04 00 00 0F B6 50 71 80 F2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29983_0 {
	meta:
		name = "TGUITestRunner.GetIniFile"
		size = 122
		refs = "000c TGUITestRunner.GetIniFile 0026 GetDUnitRegistryKey 0030 @UStrCat 003a _Dn_TRegistryIniFile 003f TRegistryIniFile.Create 004c _Dn_TIniFile 0051 TCustomIniFile.Create 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 98 04 00 00 80 78 71 00 74 25 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 10 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_29984_0 {
	meta:
		name = "TGUITestRunner.LoadRegistryAction"
		size = 268
		refs = "0014 TGUITestRunner.LoadRegistryAction 0024 TGUITestRunner.IniFileName 002e _Dn_TIniFile 0033 TCustomIniFile.Create 006a TCustomAction.SetChecked 007f TObject.Free 0085 @HandleFinally 009c @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 98 04 00 00 0F B6 46 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 38 FF 57 14 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 73 00 65 00 52 00 65 00 67 00 69 00 73 00 74 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 47 00 55 00 49 00 54 00 65 00 73 00 74 00 52 00 75 00 6E 00 6E 00 65 00 72 00 20 00 43 00 6F 00 6E 00 66 00 69 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_29985_0 {
	meta:
		name = "TGUITestRunner.SaveRegistryAction"
		size = 288
		refs = "0010 TGUITestRunner.SaveRegistryAction 002c TGUITestRunner.IniFileName 0034 DeleteFile 0048 _Dn_TIniFile 004d TCustomIniFile.Create 0090 TObject.Free 0096 @HandleFinally 00b2 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 98 04 00 00 80 78 71 00 74 12 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 98 04 00 00 0F B6 40 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 73 00 65 00 52 00 65 00 67 00 69 00 73 00 74 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 47 00 55 00 49 00 54 00 65 00 73 00 74 00 52 00 75 00 6E 00 6E 00 65 00 72 00 20 00 43 00 6F 00 6E 00 66 00 69 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_29986_0 {
	meta:
		name = "TGUITestRunner.RunActionUpdate"
		size = 55
		refs = "0031 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 8B D8 80 BB F0 05 00 00 00 75 18 83 BB E8 05 00 00 00 74 0F 8B 83 E8 05 00 00 8B 10 FF 52 14 85 C0 7F 04 33 D2 EB 02 B2 01 8B 83 68 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29987_0 {
	meta:
		name = "TGUITestRunner.CopyMessageToClipboardActionUpdate"
		size = 32
		refs = "000a TCustomListView.GetSelected 001a TCustomAction.SetEnabled"
	strings:
		$1 = { 53 8B D8 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 85 C0 0F 95 C2 8B 83 88 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29988_0 {
	meta:
		name = "TGUITestRunner.SelectCurrentActionExecute"
		size = 62
		refs = "0005 TGUITestRunner.EnableTest 0010 TCustomTreeView.GetSelected 0019 TGUITestRunner.ApplyToTests 002f TGUITestRunner.SetNodeState 0038 TGUITestRunner.UpdateStatus"
	strings:
		$1 = { 53 8B D8 53 68 ?? ?? ?? ?? 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29989_0 {
	meta:
		name = "TGUITestRunner.DeselectCurrentActionExecute"
		size = 40
		refs = "0005 TGUITestRunner.DisableTest 0010 TCustomTreeView.GetSelected 0019 TGUITestRunner.ApplyToTests 0022 TGUITestRunner.UpdateStatus"
	strings:
		$1 = { 53 8B D8 53 68 ?? ?? ?? ?? 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29990_0 {
	meta:
		name = "TGUITestRunner.StopActionExecute"
		size = 18
	strings:
		$1 = { 8B 90 EC 05 00 00 85 D2 74 07 8B C2 8B 10 FF 52 3C C3 }
	condition:
		$1
}

rule function_29991_0 {
	meta:
		name = "TGUITestRunner.StopActionUpdate"
		size = 36
		refs = "001f TCustomAction.SetEnabled"
	strings:
		$1 = { 80 B8 F0 05 00 00 00 74 09 83 B8 EC 05 00 00 00 75 04 33 D2 EB 02 B2 01 8B 80 C0 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_29992_0 {
	meta:
		name = "TGUITestRunner.Status"
		size = 200
		refs = "0018 @IntfAddRef 0020 TGUITestRunner.Status 0053 @UStrCat 009d @UStrClr 00a5 @IntfClear 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A0 04 00 00 8B 80 C8 02 00 00 8B 10 FF 52 14 85 C0 75 2C 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 83 A0 04 00 00 8B 80 C8 02 00 00 8B 08 FF 51 38 8B 83 A0 04 00 00 8B 80 C8 02 00 00 8B D6 8B 08 FF 51 38 8B 83 A0 04 00 00 8B 10 FF 92 A8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_29993_0 {
	meta:
		name = "TGUITestRunner.Warning"
		size = 200
		refs = "0018 @IntfAddRef 0020 TGUITestRunner.Warning 0053 @UStrCat 009d @UStrClr 00a5 @IntfClear 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A0 04 00 00 8B 80 C8 02 00 00 8B 10 FF 52 14 85 C0 75 2C 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 83 A0 04 00 00 8B 80 C8 02 00 00 8B 08 FF 51 38 8B 83 A0 04 00 00 8B 80 C8 02 00 00 8B D6 8B 08 FF 51 38 8B 83 A0 04 00 00 8B 10 FF 92 A8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_29994_0 {
	meta:
		name = "TGUITestRunner.ClearStatusMessage"
		size = 22
	strings:
		$1 = { 56 8B F0 8B 86 A0 04 00 00 8B 80 C8 02 00 00 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_29995_0 {
	meta:
		name = "TGUITestRunner.CopyProcnameToClipboardActionExecute"
		size = 25
		refs = "000a TCustomTreeView.GetSelected 0013 TGUITestRunner.CopyTestNametoClipboard"
	strings:
		$1 = { 53 8B D8 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29996_0 {
	meta:
		name = "TGUITestRunner.CopyTestNametoClipboard"
		size = 22
		refs = "0008 Clipboard 0010 TClipboard.SetAsText"
	strings:
		$1 = { 53 8B DA 85 DB 74 0D E8 ?? ?? ?? ?? 8B 53 08 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_29997_0 {
	meta:
		name = "TGUITestRunner.CopyProcnameToClipboardActionUpdate"
		size = 135
		refs = "000f TGUITestRunner.CopyProcnameToClipboardActionUpdate 0020 TCustomTreeView.GetSelected 003b TGUITestRunner.NodeToTest 0043 IsTestMethod 0056 _Dn_TAction 005b @AsClass 0061 TCustomAction.SetEnabled 0076 @IntfClear 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 23 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 50 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_29998_0 {
	meta:
		name = "TGUITestRunner.SelectedTest"
		size = 56
		refs = "000d TCustomTreeView.GetSelected 0018 @IntfClear 0031 TGUITestRunner.NodeToTest"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 85 C0 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_29999_0 {
	meta:
		name = "TGUITestRunner.ListSelectedTests"
		size = 196
		refs = "000f TGUITestRunner.ListSelectedTests 0020 TObject.Free 002f _Dn_TInterfaceList 0034 TInterfaceList.Create 0045 TCustomTreeView.GetSelected 0057 TGUITestRunner.NodeToTest 0067 @IntfCast 0075 TInterfaceList.Add 007c TTreeNode.GetParent 0098 ITest 00a2 @FinalizeArray 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 F8 05 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 F8 05 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 F8 05 00 00 8B 86 F0 03 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 37 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 86 F8 05 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 57 D5 CC 89 E1 7D 14 48 B0 33 AB AF E0 87 0E C7 }
	condition:
		$1
}

rule function_30000_0 {
	meta:
		name = "TGUITestRunner.RunSelectedTestActionExecute"
		size = 83
		refs = "0006 TGUITestRunner.Setup 000d TGUITestRunner.ListSelectedTests 001d TProgressBar.SetMax 003a TGUITestRunner.RunTheTest 0045 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 18 04 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 28 04 00 00 E8 ?? ?? ?? ?? 8B 93 E8 05 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 F8 05 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 F8 05 00 00 5B C3 }
	condition:
		$1
}

rule function_30001_0 {
	meta:
		name = "TGUITestRunner.RunSelectedTestActionUpdate"
		size = 99
		refs = "000c TGUITestRunner.RunSelectedTestActionUpdate 001c TGUITestRunner.SelectedTest 003e TCustomAction.SetEnabled 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 0B 8B 45 FC 8B 10 FF 52 10 48 74 04 33 D2 EB 02 B2 01 8B 83 20 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_30002_0 {
	meta:
		name = "TGUITestRunner.RunTest"
		size = 150
		refs = "000d @IntfAddRef 0015 TGUITestRunner.RunTest 0023 Application 002b _DV_TGUITestRunner 0030 TApplication.CreateForm 0049 TGUITestRunner.SetSuite 0069 TObject.Free 006f @HandleFinally 0086 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_30003_0 {
	meta:
		name = "TGUITestRunner.RunRegisteredTests"
		size = 73
		refs = "000c TGUITestRunner.RunRegisteredTests 001a RegisteredTests 0024 TGUITestRunner.RunTest 0039 @IntfClear 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_30004_0 {
	meta:
		name = "TGUITestRunner.EndSuite"
		size = 53
		refs = "000a TGUITestRunner.EndSuite 0019 TGUITestRunner.UpdateStatus 002c @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C3 }
	condition:
		$1
}

rule function_30006_0 {
	meta:
		name = "TGUITestRunner.TestTreeMouseDown"
		size = 96
		refs = "0023 TCustomTreeView.GetHitTestInfoAt 0036 TCustomTreeView.GetNodeAt 0043 TCustomTreeView.GetSelected 0054 TCustomTreeView.SetSelected"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B D8 8B 7D 08 8B 75 0C 80 7D FF 01 75 40 8B CF 8B D6 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? A8 08 74 2D 8B CF 8B D6 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B F0 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 3B F0 74 0D 8B D6 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_30007_0 {
	meta:
		name = "TGUITestRunner.GoToNextSelectedTestActionExecute"
		size = 70
		refs = "000b TCustomTreeView.GetSelected 001f TTreeNode.GetNext 002e TGUITestRunner.SelectNodeIfTestEnabled"
	strings:
		$1 = { 53 56 8B F0 8B 86 F0 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 30 8B 86 F0 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0D 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E6 5E 5B C3 }
	condition:
		$1
}

rule function_30009_0 {
	meta:
		name = "TGUITestRunner.GoToPrevSelectedTestActionExecute"
		size = 70
		refs = "000b TCustomTreeView.GetSelected 001f TTreeNode.GetPrev 002e TGUITestRunner.SelectNodeIfTestEnabled"
	strings:
		$1 = { 53 56 8B F0 8B 86 F0 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 30 8B 86 F0 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0D 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E6 5E 5B C3 }
	condition:
		$1
}

rule function_30008_0 {
	meta:
		name = "TGUITestRunner.SelectNodeIfTestEnabled"
		size = 114
		refs = "0010 TGUITestRunner.SelectNodeIfTestEnabled 0022 TGUITestRunner.NodeToTest 0036 IsTestMethod 0045 TGUITestRunner.SelectNode 005e @IntfClear 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 3C 84 C0 74 19 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0D B3 01 8B D6 8B C7 E8 ?? ?? ?? ?? EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30011_0 {
	meta:
		name = "TGUITestRunner.SetupCustomShortcuts"
		size = 68
		refs = "0006 TGUITestRunner.SetupCustomShortcuts 000f ShortCut 001c TCustomAction.SetShortCut"
	strings:
		$1 = { 53 8B D8 0F B7 15 ?? ?? ?? ?? 66 B8 27 00 E8 ?? ?? ?? ?? 8B D0 8B 83 3C 05 00 00 E8 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 B8 25 00 E8 ?? ?? ?? ?? 8B D0 8B 83 40 05 00 00 E8 ?? ?? ?? ?? 5B C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_30012_0 {
	meta:
		name = "TGUITestRunner.SetupGUINodes"
		size = 115
		refs = "000d TGUITestRunner.SetupGUINodes 0024 TTreeNodes.GetFirstNode 0036 TGUITestRunner.NodeToTest 0047 TTreeNode.GetNext 0062 @IntfClear 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 F0 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 23 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 51 70 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30013_0 {
	meta:
		name = "TGUITestRunner.TestCasePropertiesActionExecute"
		size = 1388
		refs = "000f TGUITestRunner.TestCasePropertiesActionExecute 0020 TCustomTreeView.GetSelected 0049 TGUITestRunner.NodeToTest 0051 IsTestMethod 0075 @UStrAsg 01d1 IntToStr 01e9 @UStrCatN 01ff @UStrCat3 0206 TCustomForm.GetTop 0214 TCustomForm.GetLeft 0230 @IntfClear 0245 @UStrClr 0253 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 08 02 00 00 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 EB 01 00 00 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 CF 01 00 00 8B 45 FC 8B 10 FF 52 7C 84 C0 74 12 8D 83 0C 06 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8D 83 0C 06 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 60 05 00 00 80 78 71 00 74 0C 8B 45 FC 8B 10 FF 52 7C 84 C0 74 04 33 C0 EB 02 B0 01 88 83 DC 05 00 00 8B 45 FC 8B 10 FF 92 80 00 00 00 84 C0 74 12 8D 83 10 06 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8D 83 10 06 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 68 05 00 00 80 78 71 00 74 0F 8B 45 FC 8B 10 FF 92 80 00 00 00 84 C0 74 04 33 C0 EB 02 B0 01 88 83 DD 05 00 00 8B 45 FC 8B 10 FF 92 80 00 00 00 84 C0 74 21 8B 45 FC 8B 10 FF 92 90 00 00 00 84 C0 74 12 8D 83 14 06 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8D 83 14 06 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 84 C0 74 21 8B 45 FC 8B 10 FF 92 80 00 00 00 84 C0 74 12 8D 83 1C 06 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8D 83 1C 06 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 84 C0 74 1B 8B 45 FC 8B 10 FF 92 80 00 00 00 84 C0 74 0C 8B 83 D0 05 00 00 80 78 71 00 74 04 33 C0 EB 02 B0 01 88 83 DE 05 00 00 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 88 00 00 00 8D 55 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 83 20 06 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 83 18 06 00 00 8B 8B 20 06 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 03 83 E0 05 00 00 50 8B C3 E8 ?? ?? ?? ?? 8B D0 03 93 E4 05 00 00 8B 83 6C 05 00 00 59 8B 18 FF 53 50 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 22 00 00 00 20 00 46 00 61 00 69 00 6C 00 73 00 4F 00 6E 00 4E 00 6F 00 43 00 68 00 65 00 63 00 6B 00 73 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 64 00 20 00 20 00 3A 00 3D 00 20 00 54 00 72 00 75 00 65 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 20 00 46 00 61 00 69 00 6C 00 73 00 4F 00 6E 00 4E 00 6F 00 43 00 68 00 65 00 63 00 6B 00 73 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 64 00 20 00 20 00 3A 00 3D 00 20 00 46 00 61 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 20 00 46 00 61 00 69 00 6C 00 73 00 4F 00 6E 00 4D 00 65 00 6D 00 6F 00 72 00 79 00 4C 00 65 00 61 00 6B 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 3A 00 3D 00 20 00 54 00 72 00 75 00 65 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 20 00 46 00 61 00 69 00 6C 00 73 00 4F 00 6E 00 4D 00 65 00 6D 00 6F 00 72 00 79 00 4C 00 65 00 61 00 6B 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 3A 00 3D 00 20 00 46 00 61 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 20 00 46 00 61 00 69 00 6C 00 73 00 4F 00 6E 00 4D 00 65 00 6D 00 6F 00 72 00 79 00 52 00 65 00 63 00 6F 00 76 00 65 00 72 00 79 00 20 00 20 00 20 00 20 00 3A 00 3D 00 20 00 54 00 72 00 75 00 65 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 20 00 46 00 61 00 69 00 6C 00 73 00 4F 00 6E 00 4D 00 65 00 6D 00 6F 00 72 00 79 00 52 00 65 00 63 00 6F 00 76 00 65 00 72 00 79 00 20 00 20 00 20 00 20 00 3A 00 3D 00 20 00 46 00 61 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 20 00 49 00 67 00 6E 00 6F 00 72 00 65 00 53 00 65 00 74 00 55 00 70 00 54 00 65 00 61 00 72 00 44 00 6F 00 77 00 6E 00 4C 00 65 00 61 00 6B 00 73 00 20 00 3A 00 3D 00 20 00 54 00 72 00 75 00 65 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 20 00 49 00 67 00 6E 00 6F 00 72 00 65 00 53 00 65 00 74 00 55 00 70 00 54 00 65 00 61 00 72 00 44 00 6F 00 77 00 6E 00 4C 00 65 00 61 00 6B 00 73 00 20 00 3A 00 3D 00 20 00 46 00 61 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 42 00 79 00 74 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 20 00 41 00 6C 00 6C 00 6F 00 77 00 65 00 64 00 4D 00 65 00 6D 00 6F 00 72 00 79 00 4C 00 65 00 61 00 6B 00 53 00 69 00 7A 00 65 00 20 00 00 00 }
	condition:
		$1
}

rule function_30014_0 {
	meta:
		name = "TGUITestRunner.Previous1Click"
		size = 23
		refs = "0008 TGUITestRunner.GoToPrevSelectedTestActionExecute 0011 TGUITestRunner.TestCasePropertiesActionExecute"
	strings:
		$1 = { 53 8B D8 8B D3 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30015_0 {
	meta:
		name = "TGUITestRunner.Next1Click"
		size = 23
		refs = "0008 TGUITestRunner.GoToNextSelectedTestActionExecute 0011 TGUITestRunner.TestCasePropertiesActionExecute"
	strings:
		$1 = { 53 8B D8 8B D3 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30035_0 {
	meta:
		name = "TGUITestRunner.RunSelectedTestAltActionExecute"
		size = 23
		refs = "0008 TGUITestRunner.RunSelectedTestActionExecute 0011 TGUITestRunner.TestCasePropertiesActionExecute"
	strings:
		$1 = { 53 8B D8 8B D3 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30016_0 {
	meta:
		name = "TGUITestRunner.TestCasePropertiesMeasureItem"
		size = 174
		refs = "0014 TGUITestRunner.TestCasePropertiesMeasureItem 0021 TCanvas.GetHandle 002b sPopupTitle 0030 LoadResString 005c @UStrToPWChar 0063 GetTextExtentPoint32 0092 @UStrClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D EC 89 5D F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 E8 ?? ?? ?? ?? 8B F0 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 89 45 F0 8B 5D F0 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 53 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 85 C0 74 16 8B 45 F8 83 C0 3C 8B 55 0C 89 02 8B 45 FC 83 C0 04 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_30017_0 {
	meta:
		name = "TGUITestRunner.MenuLooksInactive"
		size = 432
		refs = "0020 @UStrAddRef 0028 TGUITestRunner.MenuLooksInactive 0042 TFont.SetStyle 0052 TFont.SetColor 0065 TBrush.SetColor 008b Pos 0098 TCanvas.GetHandle 00ba @UStrToPWChar 00c1 DrawText 0114 @UStrCopy 017b @UStrClr 0189 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D FC 8B F1 8D 7D E8 A5 A5 A5 A5 8B DA 8B 7D 0C 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FF 01 75 0F 0F B6 15 ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 80 7D 14 00 74 0A 33 D2 8B 43 40 E8 ?? ?? ?? ?? 80 7D 08 00 74 0F BA FF FF 00 00 8B 43 48 E8 ?? ?? ?? ?? EB 0D BA C0 FC C0 00 8B 43 48 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 08 FF 51 54 8B 55 10 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 35 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 5D 10 85 DB 74 05 83 EB 04 8B 1B 81 CF 24 09 00 00 57 8D 45 E8 50 53 8B 45 10 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? E9 A0 00 00 00 8B C7 0D 24 09 00 00 50 8D 45 E8 50 8B C6 48 50 8B 45 10 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 10 89 45 F8 83 7D F8 00 74 0B 8B 45 F8 83 E8 04 8B 00 89 45 F8 8D 45 FC 50 8B 4D F8 8B D6 8B 45 10 E8 ?? ?? ?? ?? 57 8D 75 E8 8D 7D D8 A5 A5 A5 A5 5F 8B 45 F0 2B 45 E8 85 C0 79 03 83 C0 07 C1 F8 03 8D 04 80 89 45 D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 81 CF 24 09 00 00 57 8D 45 D8 50 53 8B 45 FC E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 10 00 01 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 3D 00 00 00 00 00 }
	condition:
		$1
}

rule function_30018_0 {
	meta:
		name = "TGUITestRunner.MenuLooksActive"
		size = 140
		refs = "0018 @UStrAddRef 0020 TGUITestRunner.MenuLooksActive 0037 TCanvas.GetHandle 005b @UStrToPWChar 0062 DrawText 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 8B DA 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 51 54 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 5D 0C 85 DB 74 05 83 EB 04 8B 1B 8B 45 08 0D 24 09 00 00 50 8D 45 F0 50 53 8B 45 0C E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_30019_0 {
	meta:
		name = "TGUITestRunner.TestCasePropertiesDrawItem"
		size = 118
		refs = "0020 TGUITestRunner.TestCasePropertiesDrawItem 0033 sPopupTitle 0038 LoadResString 004c TGUITestRunner.MenuLooksInactive 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B 75 0C 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 08 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 6A 01 6A 00 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_30020_0 {
	meta:
		name = "TGUITestRunner.Previous1DrawItem"
		size = 116
		refs = "0020 TGUITestRunner.Previous1DrawItem 0033 sPopupPrevious 0038 LoadResString 004a TGUITestRunner.MenuLooksActive 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B 75 0C 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 08 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 6A 00 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_30022_0 {
	meta:
		name = "TGUITestRunner.Next1DrawItem"
		size = 116
		refs = "0020 TGUITestRunner.Next1DrawItem 0033 sPopupNext 0038 LoadResString 004a TGUITestRunner.MenuLooksActive 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B 75 0C 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 08 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 6A 00 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_30021_0 {
	meta:
		name = "TGUITestRunner.RunSelectedTest1DrawItem"
		size = 116
		refs = "0020 TGUITestRunner.RunSelectedTest1DrawItem 0033 sPopupRun 0038 LoadResString 004a TGUITestRunner.MenuLooksActive 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B 75 0C 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 08 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 6A 00 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_30023_0 {
	meta:
		name = "TGUITestRunner.FailNoCheckExecutedMenuItemDrawItem"
		size = 58
		refs = "002e TGUITestRunner.MenuLooksInactive"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B 75 0C 8D 7D F0 A5 A5 A5 A5 0F B6 55 08 52 8B 90 0C 06 00 00 52 6A 00 0F B6 90 DC 05 00 00 52 8B D1 8D 4D F0 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_30024_0 {
	meta:
		name = "TGUITestRunner.FailsOnMemoryLeakMenuItemDrawItem"
		size = 58
		refs = "002e TGUITestRunner.MenuLooksInactive"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B 75 0C 8D 7D F0 A5 A5 A5 A5 0F B6 55 08 52 8B 90 10 06 00 00 52 6A 00 0F B6 90 DD 05 00 00 52 8B D1 8D 4D F0 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_30025_0 {
	meta:
		name = "TGUITestRunner.FailsOnMemoryRecoveryMenuItemDrawItem"
		size = 52
		refs = "0028 TGUITestRunner.MenuLooksInactive"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B 75 0C 8D 7D F0 A5 A5 A5 A5 0F B6 55 08 52 8B 90 14 06 00 00 52 6A 00 6A 00 8B D1 8D 4D F0 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_30026_0 {
	meta:
		name = "TGUITestRunner.AllowedLeakSizeMemuItemDrawItem"
		size = 52
		refs = "0028 TGUITestRunner.MenuLooksInactive"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B 75 0C 8D 7D F0 A5 A5 A5 A5 0F B6 55 08 52 8B 90 18 06 00 00 52 6A 00 6A 00 8B D1 8D 4D F0 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_30027_0 {
	meta:
		name = "TGUITestRunner.TestCaseIgnoreSetUpTearDownLeaksMenuItemDrawItem"
		size = 58
		refs = "002e TGUITestRunner.MenuLooksInactive"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B 75 0C 8D 7D F0 A5 A5 A5 A5 0F B6 55 08 52 8B 90 1C 06 00 00 52 6A 00 0F B6 90 DE 05 00 00 52 8B D1 8D 4D F0 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_30028_0 {
	meta:
		name = "TGUITestRunner.pmTestTreePopup"
		size = 130
		refs = "000d TGUITestRunner.pmTestTreePopup 001e TCustomTreeView.GetSelected 003f TGUITestRunner.NodeToTest 0047 IsTestMethod 0054 TMenuItem.SetEnabled 005c @IntfClear 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 3A 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 74 21 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 83 84 05 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30029_0 {
	meta:
		name = "TGUITestRunner.GetPropertyName"
		size = 124
		refs = "000f TGUITestRunner.GetPropertyName 001f Trim 002c Pos 0044 @UStrCopy 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 FB 01 7E 11 56 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_30030_0 {
	meta:
		name = "TGUITestRunner.FailNoCheckExecutedMenuItemClick"
		size = 172
		refs = "000c TGUITestRunner.FailNoCheckExecutedMenuItemClick 0021 TGUITestRunner.GetPropertyName 002a Clipboard 0030 TClipboard.SetAsText 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 20 00 46 00 61 00 69 00 6C 00 73 00 4F 00 6E 00 4E 00 6F 00 43 00 68 00 65 00 63 00 6B 00 73 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 64 00 20 00 20 00 3A 00 3D 00 20 00 54 00 72 00 75 00 65 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_30031_0 {
	meta:
		name = "TGUITestRunner.FailsOnMemoryLeakMenuItemClick"
		size = 172
		refs = "000c TGUITestRunner.FailsOnMemoryLeakMenuItemClick 0021 TGUITestRunner.GetPropertyName 002a Clipboard 0030 TClipboard.SetAsText 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 20 00 46 00 61 00 69 00 6C 00 73 00 4F 00 6E 00 4D 00 65 00 6D 00 6F 00 72 00 79 00 4C 00 65 00 61 00 6B 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 3A 00 3D 00 20 00 54 00 72 00 75 00 65 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_30032_0 {
	meta:
		name = "TGUITestRunner.AllowedLeakSizeMemuItemClick"
		size = 148
		refs = "000c TGUITestRunner.AllowedLeakSizeMemuItemClick 0021 TGUITestRunner.GetPropertyName 002a Clipboard 0030 TClipboard.SetAsText 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 20 00 41 00 6C 00 6C 00 6F 00 77 00 65 00 64 00 4D 00 65 00 6D 00 6F 00 72 00 79 00 4C 00 65 00 61 00 6B 00 53 00 69 00 7A 00 65 00 20 00 00 00 }
	condition:
		$1
}

rule function_30033_0 {
	meta:
		name = "TGUITestRunner.FailsOnMemoryRecoveryMenuItemClick"
		size = 172
		refs = "000c TGUITestRunner.FailsOnMemoryRecoveryMenuItemClick 0021 TGUITestRunner.GetPropertyName 002a Clipboard 0030 TClipboard.SetAsText 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 20 00 46 00 61 00 69 00 6C 00 73 00 4F 00 6E 00 4D 00 65 00 6D 00 6F 00 72 00 79 00 52 00 65 00 63 00 6F 00 76 00 65 00 72 00 79 00 20 00 20 00 20 00 20 00 3A 00 3D 00 20 00 54 00 72 00 75 00 65 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_30034_0 {
	meta:
		name = "TGUITestRunner.TestCaseIgnoreSetUpTearDownLeaksMenuItemClick"
		size = 172
		refs = "000c TGUITestRunner.TestCaseIgnoreSetUpTearDownLeaksMenuItemClick 0021 TGUITestRunner.GetPropertyName 002a Clipboard 0030 TClipboard.SetAsText 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 20 00 49 00 67 00 6E 00 6F 00 72 00 65 00 53 00 65 00 74 00 55 00 70 00 54 00 65 00 61 00 72 00 44 00 6F 00 77 00 6E 00 4C 00 65 00 61 00 6B 00 73 00 20 00 3A 00 3D 00 20 00 54 00 72 00 75 00 65 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_30036_0 {
	meta:
		name = "TGUITestRunner.IgnoreMemoryLeakInSetUpTearDownActionExecute"
		size = 19
		refs = "000e TCustomAction.SetChecked"
	strings:
		$1 = { 8B 80 D0 05 00 00 0F B6 50 71 80 F2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30037_0 {
	meta:
		name = "TGUITestRunner.ReportMemoryLeakTypeOnShutdownActionExecute"
		size = 19
		refs = "000e TCustomAction.SetChecked"
	strings:
		$1 = { 8B 80 D4 05 00 00 0F B6 50 71 80 F2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30040_0 {
	meta:
		name = "THTTPServer.Send"
		size = 34
		refs = "0011 @IntfCopy 0019 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 8D 83 AC 00 00 00 8B 55 10 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_30041_0 {
	meta:
		name = "THTTPServer.InterpreterAction"
		size = 528
		refs = "0017 THTTPServer.InterpreterAction 0038 @IntfClear 005d _DV_TPooledDataInterpreter 0062 TDataBlockInterpreter.Create 00a0 _Dn_TDataBlock 00a5 TDataBlock.Create 00b6 @IntfCopy 00e1 :THTTPServer.:1 00e6 @DynArraySetLength 00f1 @UniqueStringA 00fb Move 01b4 @HandleAnyException 01b9 @DoneExcept 01d4 @DynArrayClear 01dc @LStrClr 01ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 05 AC 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 83 B8 A8 00 00 00 00 75 27 68 ?? ?? ?? ?? 8B 4D F0 85 C9 74 06 81 E9 50 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 89 82 A8 00 00 00 8D 4D F8 BA 19 00 00 00 8B C6 8B 18 FF 53 04 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 75 0D 33 C0 5A 59 59 64 89 10 E9 20 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8D 45 FC E8 ?? ?? ?? ?? BA 10 00 00 00 8B C6 8B 08 FF 51 0C 3B D8 7D 79 BA 10 00 00 00 8B C6 8B 08 FF 51 0C 50 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B CB E8 ?? ?? ?? ?? BA 10 00 00 00 8B C6 8B 08 FF 51 0C 8B C8 2B CB 8B 45 F4 8D 14 18 8B C6 8B 38 FF 57 1C 85 C0 7E 02 03 D8 40 75 DA 6A 01 BA 10 00 00 00 8B C6 8B 08 FF 51 0C 50 8B 45 F4 50 8B 45 FC 50 8B 00 FF 50 38 EB 21 6A 01 BA 10 00 00 00 8B C6 8B 08 FF 51 0C 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 38 8B 45 F0 8B 80 A8 00 00 00 8B 55 FC 8B 08 FF 51 38 8B 45 F0 83 B8 AC 00 00 00 00 74 28 8B 45 F0 8B 80 AC 00 00 00 50 8B 00 FF 50 1C 8B D0 8B 45 0C 8B 08 FF 51 20 8B 45 F0 8B 80 AC 00 00 00 50 8B 00 FF 50 34 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 57 00 65 00 62 00 00 00 }
	condition:
		$1
}

rule function_30042_0 {
	meta:
		name = "TPooledDataInterpreter.InternalCreateObject"
		size = 23
		refs = "000b ObjectManager 0010 TObjectManager.CreateObject"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CE 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30044_0 {
	meta:
		name = "TPooledDataInterpreter.LockObject"
		size = 91
		refs = "0015 TPooledDataInterpreter.LockObject 0025 ObjectManager 002a TObjectManager.LockObject 0034 @VarToDisp 0049 @VarClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30047_0 {
	meta:
		name = "TObjectList.Create"
		size = 660
		refs = "001e @ClassCreate 002e TObjectList.Create 003b _Dn_TObject 0040 TObject.Create 004d _Dn_TList 0066 @UStrAsg 009d @UStrCat3 00af GetRegStringValue 00b7 StrToInt 00dc @HandleAnyException 00eb @DoneExcept 011e @UStrEqual 0184 EncodeTime 01d5 @UStrArrayClr 01db @HandleFinally 01eb @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 8B 45 FC 83 C0 04 8B 55 08 E8 ?? ?? ?? ?? 8B 43 1C 8B 55 FC 89 42 0C 8B 43 24 8B 55 FC 89 42 10 FF 43 24 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8D 45 F0 8B 4D 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 B9 00 00 00 80 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 18 85 DB 75 0A 8B 45 FC C7 40 18 FE FF FF 7F 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? 8B 45 FC C7 40 18 FF FF FF 7F E8 ?? ?? ?? ?? 8D 45 EC 50 8D 45 E8 8B 4D 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 B9 00 00 00 80 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 8B 55 FC 88 42 1C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 50 8D 45 E0 8B 4D 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 B9 00 00 00 80 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B D8 6A 00 8B C3 B9 3C 00 00 00 99 F7 F9 52 8B C3 B9 3C 00 00 00 99 F7 F9 33 C9 5A E8 ?? ?? ?? ?? 8B 45 FC DD 58 20 9B 33 C0 5A 59 59 64 89 10 EB 15 E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 20 89 50 24 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 4D FC 8B 55 08 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 61 00 78 00 4F 00 62 00 6A 00 65 00 63 00 74 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 69 00 6E 00 67 00 6C 00 65 00 74 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 }
	condition:
		$1
}

rule function_30048_0 {
	meta:
		name = "TObjectList.Destroy"
		size = 198
		refs = "0009 @BeforeDestruction 0017 TObjectList.Lock 001f TObjectList.Destroy 0043 TList.Get 0049 TObjectInfo 004e @Dispose 0086 TObject.Destroy 009b TObjectList.Unlock 00a6 TObject.Free 00ac @HandleFinally 00bc @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 8B 70 08 4E 85 F6 7C 1F 46 33 DB 8B 45 FC 8B 40 14 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 E4 8B 45 FC 8B 50 04 8B 45 FC 8B 40 0C 8B 08 FF 51 54 8B D8 83 FB FF 7E 0D 8B 45 FC 8B 40 0C 8B D3 8B 08 FF 51 48 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30049_0 {
	meta:
		name = "TObjectList.Lock"
		size = 26
		refs = "0005 TMonitor.CheckMonitorSupport 000c TMonitor.GetMonitor 0014 TMonitor.Enter"
	strings:
		$1 = { 53 8B 58 08 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30051_0 {
	meta:
		name = "CreateInfo"
		size = 268
		refs = "0012 CreateInfo 001e TObjectInfo 0028 @New 003e Now 0074 StringToGUID 007f CreateComObject 008f @IntfCast 0099 @IntfClear 00aa TList.Add 00b9 @HandleAnyException 00c7 @Dispose 00cc @RaiseAgain 00d1 @DoneExcept 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? B8 18 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 45 FC DD 58 08 9B 8B 45 08 8B 40 FC 0F B6 40 1C 34 01 8B 55 FC 88 42 10 8B 45 08 8B 40 FC 80 78 1C 00 74 2E 8D 55 E8 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 8D 45 E8 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 14 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C3 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_30052_0 {
	meta:
		name = "TObjectList.LockObject"
		size = 584
		refs = "0018 TObjectList.LockObject 003b TObjectList.Lock 005b CreateInfo 0071 TObjectList.Unlock 0077 @HandleFinally 0086 TList.Get 008d Now 009b @IntfCopy 00fd @TryFinallyExit 011d SServerIsBusy 0124 _Dn_Exception 0129 Exception.CreateRes 012e @RaiseExcept 017b StringToGUID 0186 CreateComObject 0196 @IntfCast 01a5 @HandleAnyException 01cb TList.RemoveItem 01d1 TObjectInfo 01d9 @Dispose 01fb @RaiseAgain 0200 @DoneExcept 0222 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 1C 00 74 79 8B 45 FC 8B 40 14 83 78 08 01 7D 46 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 83 78 08 01 7D 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? DD 5B 08 9B 8B 45 F8 8B 13 E8 ?? ?? ?? ?? E9 6D 01 00 00 33 C0 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 8B 70 08 4E 85 F6 7C 3D 46 33 FF 8B 45 FC 8B 40 14 8B D7 E8 ?? ?? ?? ?? 8B D8 80 7B 10 00 75 21 C6 43 10 01 E8 ?? ?? ?? ?? DD 5B 08 9B 8B 45 F8 8B 13 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0B 01 00 00 47 4E 75 C6 8B 45 FC 8B 40 14 8B 40 08 8B 55 FC 3B 42 18 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D F4 00 0F 84 AE 00 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 55 E0 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8D 45 E0 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 60 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 40 14 8B 55 F4 33 C9 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 55 F4 8B 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_30053_0 {
	meta:
		name = "TObjectList.UnlockObject"
		size = 173
		refs = "0021 TList.Get 002a Now 0038 TObjectList.Lock 0040 TObjectList.UnlockObject 007f @TryFinallyExit 009a TObjectList.Unlock 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC 80 78 1C 00 74 1C 8B 45 FC 8B 40 14 33 D2 E8 ?? ?? ?? ?? 83 C0 08 50 E8 ?? ?? ?? ?? 58 DD 18 9B EB 72 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 8B 70 08 4E 85 F6 7C 31 46 33 FF 8B 45 FC 8B 40 14 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 03 3B 45 F8 75 14 C6 43 10 00 E8 ?? ?? ?? ?? DD 5B 08 9B E8 ?? ?? ?? ?? EB 21 47 4E 75 D2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30054_0 {
	meta:
		name = "TGarbageCollector.Create"
		size = 71
		refs = "000a @ClassCreate 001b CreateEvent 0029 TThread.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 89 46 40 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_30055_0 {
	meta:
		name = "TGarbageCollector.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 CloseHandle 001b TThread.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 40 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30056_0 {
	meta:
		name = "CheckObject"
		size = 76
		refs = "0014 CheckObject 001f Now 003c @IntfClear"
	strings:
		$1 = { 55 8B EC 53 56 33 DB 8B F0 80 7E 10 00 75 31 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 11 E8 ?? ?? ?? ?? DC 66 08 DC 5D 08 9B DF E0 9E 77 04 33 DB EB 02 B3 01 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B 5D C2 08 00 00 00 00 00 }
	condition:
		$1
}

rule function_30057_0 {
	meta:
		name = "CheckObjectList"
		size = 165
		refs = "0019 TObjectList.Lock 0021 CheckObjectList 004c TList.Get 0051 CheckObject 0068 TObjectInfo 006d @Dispose 007a TList.Delete 0095 TObjectList.Unlock 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 80 78 1C 00 0F 85 8C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 8B 58 08 4B 83 FB 00 7C 4A 8B 45 FC FF 70 24 FF 70 20 8B 45 FC 8B 40 14 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 8B 45 FC 8B 40 14 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B D3 E8 ?? ?? ?? ?? 4B 83 FB FF 75 B6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_30058_0 {
	meta:
		name = "TGarbageCollector.Execute"
		size = 155
		refs = "0018 WaitForSingleObject 0024 ObjectManager 0029 TObjectManager.Lock 0031 TGarbageCollector.Execute 0062 CheckObjectList 007d TObjectManager.Unlock 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC EB 7E 68 40 7E 05 00 8B 45 FC 8B 40 40 50 E8 ?? ?? ?? ?? 3D 02 01 00 00 75 73 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 40 1C 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1B 43 33 F6 A1 ?? ?? ?? ?? 8B 40 1C 8B D6 8B 08 FF 51 18 E8 ?? ?? ?? ?? 46 4B 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 80 78 0D 00 0F 84 75 FF FF FF 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30059_0 {
	meta:
		name = "TObjectManager.Create"
		size = 112
		refs = "000b @ClassCreate 0016 _Dn_TObject 001b TObject.Create 002f _Dn_TStringList 0034 TStringList.Create 0042 TStringList.SetSorted 0049 _DV_TGarbageCollector 004e TGarbageCollector.Create 005c @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 18 33 C0 89 47 20 33 C0 89 47 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 1C 8B C6 B2 01 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 2C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30060_0 {
	meta:
		name = "TObjectManager.Destroy"
		size = 207
		refs = "0009 @BeforeDestruction 001a TThread.Terminate 0029 PulseEvent 0034 TThread.WaitFor 003c TObjectManager.Lock 0044 TObjectManager.Destroy 0071 TObject.Free 008f TObject.Destroy 00a4 TObjectManager.Unlock 00b5 @HandleFinally 00c5 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 2C 8B 40 40 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 1C 8B 10 FF 52 14 8B D8 4B 85 DB 7C 19 43 33 F6 8B 45 FC 8B 40 1C 8B D6 8B 08 FF 51 18 E8 ?? ?? ?? ?? 46 4B 75 EA 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30061_0 {
	meta:
		name = "TObjectManager.Lock"
		size = 26
		refs = "0005 TMonitor.CheckMonitorSupport 000c TMonitor.GetMonitor 0014 TMonitor.Enter"
	strings:
		$1 = { 53 8B 58 18 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30063_0 {
	meta:
		name = "TObjectManager.GetCatID"
		size = 241
		refs = "0015 TObjectManager.GetCatID 0023 TObjectManager.Lock 003b GUIDToString 0077 _DV_TObjectList 007c TObjectList.Create 00c0 TObjectManager.Unlock 00c6 @HandleFinally 00dd @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 4D F4 8B 45 F8 8B 40 1C 8B 55 FC 8B 18 FF 93 9C 00 00 00 84 C0 74 16 8B 45 F8 8B 40 1C 8B 55 F4 8B 08 FF 51 18 8B 40 10 89 45 F4 EB 38 8B 45 FC 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 F8 8B 40 1C 8B 55 FC 8B 18 FF 53 3C 8B D8 8B 45 F8 8B 40 1C 8B D3 8B 08 FF 51 18 8B 40 10 89 45 F4 8B 45 F4 40 C1 E0 10 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30064_0 {
	meta:
		name = "TObjectManager.LockList"
		size = 235
		refs = "0016 TObjectManager.LockList 0024 TObjectManager.Lock 008b SNotFound 0090 LoadResString 009a _Dn_Exception 009f Exception.Create 00a4 @RaiseExcept 00b9 TObjectManager.Unlock 00bf @HandleFinally 00d6 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F3 C1 EE 10 0F B7 F6 4E 8B 45 FC 8B 40 1C 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 2A 8B 45 FC 8B 40 1C 8B D3 8B 08 FF 51 18 3B 70 10 75 12 8B 45 FC 8B 40 1C 8B D3 8B 08 FF 51 18 89 45 F8 EB 06 4B 83 FB FF 75 D6 83 7D F8 00 75 21 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30065_0 {
	meta:
		name = "CreateObject"
		size = 136
		refs = "000f CreateObject 001d @IntfClear 002d CoCreateInstance 0032 OleCheck 0041 @IntfCast 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 15 6A 00 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_30066_0 {
	meta:
		name = "IsClassPooled"
		size = 224
		refs = "0021 IsClassPooled 0036 GUIDToString 0046 @UStrCat3 0058 GetRegStringValue 0065 @UStrEqual 0082 @UStrArrayClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 EC 89 55 E8 89 55 E4 8B F0 8D 7D F0 A5 A5 A5 A5 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 50 8D 55 E4 8D 45 F0 E8 ?? ?? ?? ?? 8B 4D E4 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 B9 00 00 00 80 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 6F 00 6F 00 6C 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 }
	condition:
		$1
}

rule function_30067_0 {
	meta:
		name = "TObjectManager.CreateObject"
		size = 116
		refs = "0012 TObjectManager.CreateObject 001f IsClassPooled 002c TObjectManager.GetCatID 0037 @OleVarFromInt 0043 CreateObject 004d @VarFromDisp 0062 @IntfClear 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 B1 FC E8 ?? ?? ?? ?? EB 14 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30068_0 {
	meta:
		name = "TObjectManager.StoreObject"
		size = 361
		refs = "0019 TObjectManager.StoreObject 0027 TObjectManager.Lock 0040 VarIsArray 0065 VarArrayCreate 0073 @OleVarFromVar 008c VarArrayHighBound 00a2 @VarArrayRedim 00b8 @VarArrayGet 00c3 VarIsClear 00f4 @VarToInteger 010d @VarArrayPut 0125 TObjectManager.Unlock 012b @HandleFinally 0143 Variant 014d @FinalizeArray 0155 @VarClr"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 84 C0 75 2F 8D 45 E8 50 33 C0 89 45 E0 C7 45 E4 0A 00 00 00 8D 45 E0 66 B9 0C 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 20 89 45 F8 8B 45 FC 83 C0 08 BA 01 00 00 00 E8 ?? ?? ?? ?? 3B 45 F8 7D 11 8B 55 F8 83 C2 0A 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 01 8B 45 FC 83 C0 08 50 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 D0 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 F8 40 8B 55 FC 89 42 20 EB 27 8B 45 F8 50 6A 01 8B 45 FC 83 C0 08 50 8D 45 C0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 C0 E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 8B 45 F8 50 6A 01 53 8B 45 FC 83 C0 08 50 E8 ?? ?? ?? ?? 83 C4 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30069_0 {
	meta:
		name = "TObjectManager.LockObject"
		size = 202
		refs = "001c TObjectManager.LockObject 0034 TObjectManager.Lock 0055 @VarArrayGet 0062 @OleVarFromVar 0077 TObjectManager.Unlock 007d @HandleFinally 0089 TObjectManager.LockList 0091 TObjectList.LockObject 009b @VarFromDisp 00b0 @IntfClear 00b8 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 C1 E8 10 66 85 C0 75 53 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 6A 01 8B 45 FC 83 C0 08 50 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30070_0 {
	meta:
		name = "TObjectManager.UnlockObject"
		size = 39
		refs = "0018 TObjectManager.LockList 001f TObjectList.UnlockObject"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C6 C1 E8 10 66 85 C0 76 10 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30071_0 {
	meta:
		name = "TObjectManager.ReleaseObject"
		size = 275
		refs = "001a TObjectManager.ReleaseObject 0036 TObjectManager.Lock 0053 VarIsArray 0067 VarArrayHighBound 0086 @VarArrayGet 0095 VarIsType 00ac @VarFromInt 00bc @VarArrayPut 00da TObjectManager.Unlock 00e0 @HandleFinally 00f8 Variant 0102 @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 C1 E8 10 66 85 C0 0F 87 B4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 7D 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 84 C0 74 6E 8B 45 FC 83 C0 08 BA 01 00 00 00 E8 ?? ?? ?? ?? 3B D8 7D 5A 8B 45 FC 3B 58 20 74 52 53 6A 01 8B 45 FC 83 C0 08 50 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 45 EC 66 BA 09 00 E8 ?? ?? ?? ?? 84 C0 74 2C 53 6A 01 8D 45 DC 8B 55 FC 8B 52 20 B1 FC E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 FC 83 C0 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 FC 89 58 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30072_0 {
	meta:
		name = "TerminateExtension"
		size = 44
		refs = "0009 TerminateExtension 0014 ObjectManager 0021 TObject.Free"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_30073_0 {
	meta:
		name = "THTTPServer.WebModuleCreate"
		size = 32
		refs = "0001 CoInitializeEx 001b CoInitialize"
	strings:
		$1 = { A1 ?? ?? ?? ?? 83 38 00 74 0E 6A 00 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30076_0 {
	meta:
		name = "HTTPIntr"
		size = 59
		refs = "0002 _DV_2 000a CoInitializeEx 0025 CoInitialize 002c _DV_TObjectManager 0031 TObjectManager.Create 0036 ObjectManager"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 31 A1 ?? ?? ?? ?? 83 38 00 74 0F 6A 00 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 EB 07 6A 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30077_0 {
	meta:
		name = "THTTPParser.Create"
		size = 117
		refs = "000b @ClassCreate 001c @GetMem 0056 THTTPParser.NextToken 0061 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 89 4F 04 B8 00 10 00 00 E8 ?? ?? ?? ?? 8B F0 89 77 10 C6 06 00 89 77 14 8B 47 10 05 00 10 00 00 89 47 18 8B 47 10 89 47 1C 8B 47 10 89 47 20 8B 47 10 89 47 30 C7 47 28 01 00 00 00 C6 47 2E 01 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30078_0 {
	meta:
		name = "THTTPParser.BufferRequest"
		size = 319
		refs = "0013 _Dn_TMemoryStream 0018 TObject.Create 00c5 Move"
	strings:
		$1 = { 53 56 57 81 C4 FC FB FF FF 89 54 24 04 89 04 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 08 8B 14 24 8B 52 1C 8B 04 24 8B 40 10 2B D0 89 54 24 0C 8B D0 8B 4C 24 0C 8B 44 24 08 8B 18 FF 53 10 83 7C 24 04 00 0F 8E CC 00 00 00 8B 04 24 8B 40 1C 89 44 24 14 8B 44 24 14 89 44 24 18 EB 04 FF 44 24 18 8B 44 24 18 80 38 00 75 F3 83 7C 24 04 00 0F 8E A0 00 00 00 81 7C 24 04 E8 03 00 00 7E 0A C7 44 24 10 E8 03 00 00 EB 08 8B 44 24 04 89 44 24 10 8B 44 24 14 3B 44 24 18 73 35 8B 44 24 18 2B 44 24 14 3B 44 24 10 7D 0A 8B 74 24 18 2B 74 24 14 EB 04 8B 74 24 10 8D 54 24 1C 8B 44 24 14 8B CE E8 ?? ?? ?? ?? 89 74 24 10 01 74 24 14 EB 25 33 DB 8B 74 24 10 8B CE 2B CB 8D 54 1C 1C 8B 04 24 8B 40 04 8B 38 FF 57 0C 8B F8 03 DF 85 FF 74 04 3B F3 75 E1 8D 54 24 1C 8B 4C 24 10 8B 44 24 08 8B 18 FF 53 10 29 74 24 04 83 7C 24 04 00 0F 8F 60 FF FF FF 33 C9 8B 54 24 0C 8B 44 24 08 8B 18 FF 53 14 8B 04 24 8B 54 24 08 89 50 04 8B 44 24 08 81 C4 04 04 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30079_0 {
	meta:
		name = "THTTPParser.Destroy"
		size = 59
		refs = "0004 @BeforeDestruction 0028 @FreeMem 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 10 00 74 1A 8B 56 30 2B 56 20 8B 46 04 66 B9 01 00 8B 38 FF 57 14 8B 46 10 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30080_0 {
	meta:
		name = "THTTPParser.CheckToken"
		size = 203
		refs = "0015 THTTPParser.CheckToken 0039 SIdentifierExpected 003e LoadResString 0048 THTTPParser.Error 0052 SStringExpected 006b SNumberExpected 0086 SCharExpected 009f THTTPParser.ErrorFmt 00b9 @UStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 5E 2D 74 7F 8B C3 FE C8 74 0B FE C8 74 20 48 2C 02 72 34 EB 4B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 55 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 3C 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? EB 23 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 88 5D E8 C6 45 EC 02 8D 4D E8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30081_0 {
	meta:
		name = "THTTPParser.CheckTokenSymbol"
		size = 116
		refs = "0015 THTTPParser.CheckTokenSymbol 0024 THTTPParser.TokenSymbolIs 0032 SSymbolExpected 0037 LoadResString 004d THTTPParser.ErrorFmt 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 25 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 75 F4 C6 45 F8 0B 8D 4D F4 8B C3 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95629_0 {
	meta:
		name = "TCopyParser.CheckTokenSymbol"
		size = 116
		refs = "0015 TCopyParser.CheckTokenSymbol 0024 TCopyParser.TokenSymbolIs 0032 SSymbolExpected 0037 LoadResString 004d TCopyParser.ErrorFmt 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 25 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 75 F4 C6 45 F8 0B 8D 4D F4 8B C3 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44182_0 {
	meta:
		name = "TIWCopyParser.CheckTokenSymbol"
		size = 116
		refs = "0015 TIWCopyParser.CheckTokenSymbol 0024 TIWCopyParser.TokenSymbolIs 0032 SSymbolExpected 0037 LoadResString 004d TIWCopyParser.ErrorFmt 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 25 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 75 F4 C6 45 F8 0B 8D 4D F4 8B C3 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30082_0 {
	meta:
		name = "THTTPParser.CopyTo"
		size = 152
		refs = "0019 THTTPParser.CopyTo 0027 @LStrClr 004a @LStrFromPCharLen 0055 @LStrCat 0063 THTTPParser.ReadBuffer 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 5F 30 EB 02 43 4E 85 F6 7E 05 80 3B 00 75 F5 6A 00 8B 47 30 8B CB 2B C8 50 8D 45 FC 5A E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 85 F6 7E 07 8B C7 E8 ?? ?? ?? ?? 85 F6 74 06 80 7F 2D 00 75 BA 89 5F 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30083_0 {
	meta:
		name = "THTTPParser.CopyToEOL"
		size = 71
		refs = "0024 @LStrFromPCharLen 0039 THTTPParser.NextToken"
	strings:
		$1 = { 53 56 8B F0 8B 5E 30 EB 01 43 0F B6 03 84 C0 74 08 2C 0A 74 04 2C 03 75 F0 6A 00 8B CB 8B 46 30 2B C8 92 E8 ?? ?? ?? ?? 80 3B 0D 75 01 43 89 5E 1C 80 3B 00 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 C6 46 2D 00 5E 5B C3 }
	condition:
		$1
}

rule function_30084_0 {
	meta:
		name = "THTTPParser.CopyToEOF"
		size = 123
		refs = "0010 THTTPParser.CopyToEOF 002b THTTPParser.ReadBuffer 003d @LStrFromPCharLen 0047 @LStrCat 004e THTTPParser.NextToken 0069 @LStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5E 30 EB 01 43 80 3B 00 75 FA 89 5E 1C 8B C6 E8 ?? ?? ?? ?? 6A 00 8B CB 8B 46 30 2B C8 8D 55 FC 92 E8 ?? ?? ?? ?? 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 7E 2D 00 75 C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30086_0 {
	meta:
		name = "THTTPParser.ErrorFmt"
		size = 91
		refs = "0012 THTTPParser.ErrorFmt 0028 Format 0032 THTTPParser.ErrorStr 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B D7 8B 4D 08 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_95641_0 {
	meta:
		name = "TCopyParser.ErrorFmt"
		size = 91
		refs = "0012 TCopyParser.ErrorFmt 0028 Format 0032 TCopyParser.ErrorStr 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B D7 8B 4D 08 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_44194_0 {
	meta:
		name = "TIWCopyParser.ErrorFmt"
		size = 91
		refs = "0012 TIWCopyParser.ErrorFmt 0028 Format 0032 TIWCopyParser.ErrorStr 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B D7 8B 4D 08 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_62603_0 {
	meta:
		name = "TParser.ErrorFmt"
		size = 91
		refs = "0012 TParser.ErrorFmt 0028 Format 0032 TParser.ErrorStr 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B D7 8B 4D 08 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_30087_0 {
	meta:
		name = "THTTPParser.ErrorStr"
		size = 61
		refs = "0022 SParseError 0029 _Dn_EParserError 002e Exception.CreateResFmt 0033 @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 89 34 24 C6 44 24 04 11 8B 43 28 89 44 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_30088_0 {
	meta:
		name = "THTTPParser.HexToBinary"
		size = 186
		refs = "001d THTTPParser.HexToBinary 002a THTTPParser.SkipBlanks 003f HexToBin 0050 SInvalidBinary 0055 LoadResString 0062 THTTPParser.Error 008f THTTPParser.NextToken 00a7 @UStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 57 33 C9 89 8D F8 FE FF FF 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? EB 54 8D 95 FC FE FF FF B9 00 01 00 00 8B 43 1C E8 ?? ?? ?? ?? 8B F0 85 F6 75 1D 8D 95 F8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8B CE 8B 45 FC 8B 38 FF 57 10 8B C6 03 C0 01 43 1C 8B C3 E8 ?? ?? ?? ?? 8B 43 1C 80 38 7D 75 A4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30089_0 {
	meta:
		name = "GetHashCode"
		size = 57
		refs = "0026 CharValue"
	strings:
		$1 = { 53 56 51 8B CC 66 C7 01 00 00 85 D2 7E 24 0F B7 19 C1 E3 05 0F B7 31 C1 EE 0B 66 0B DE 66 89 19 0F B6 18 0F B6 9B ?? ?? ?? ?? 30 19 4A 40 85 D2 7F DC 0F B7 01 5A 5E 5B C3 }
	condition:
		$1
}

rule function_30090_0 {
	meta:
		name = "LookupToken"
		size = 95
		refs = "0013 @PCharLen 001d GetHashCode 0029 SymbolTable 003b StrIComp"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 04 24 C6 44 24 04 01 8B 04 24 E8 ?? ?? ?? ?? 8B D0 8B 04 24 E8 ?? ?? ?? ?? 8B E8 BF 15 00 00 00 BB ?? ?? ?? ?? 8B F3 66 3B 2E 75 19 8B 14 24 8B 46 04 E8 ?? ?? ?? ?? 85 C0 75 0A 0F B6 46 08 88 44 24 04 EB 06 83 C3 0C 4F 75 DA 0F B6 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30091_0 {
	meta:
		name = "THTTPParser.NextToken"
		size = 704
		refs = "0015 THTTPParser.NextToken 0023 THTTPParser.SkipBlanks 00f7 LookupToken 0116 @HandleFinally 0193 SInvalidString 0198 LoadResString 01a3 THTTPParser.Error 0267 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 D2 89 55 CC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 89 45 F4 8B 45 FC 8B 55 F4 89 50 30 8B 45 FC 80 78 2E 00 74 11 BE ?? ?? ?? ?? 8D 7D D3 B9 08 00 00 00 F3 A5 EB 0F BE ?? ?? ?? ?? 8D 7D D3 B9 08 00 00 00 F3 A5 8B 45 F4 0F B6 00 0F B6 D0 83 FA 30 7D 27 83 EA 0A 0F 84 A3 00 00 00 83 EA 19 0F 84 AC 00 00 00 4A 0F 84 49 01 00 00 83 EA 03 0F 84 9C 00 00 00 E9 A0 01 00 00 83 C2 D0 83 EA 0A 0F 82 55 01 00 00 83 C2 F9 83 EA 1A 72 11 83 EA 04 74 0C 83 C2 FE 83 EA 1A 0F 83 7B 01 00 00 FF 45 F4 EB 03 FF 45 F4 8B 45 F4 0F B6 00 0F B6 C0 0F A3 45 D3 72 EE 8B 45 F4 0F B6 00 88 45 F3 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 C6 00 00 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 0F B6 55 F3 88 10 C3 E9 ?? ?? ?? ?? EB EF FF 45 F4 8B 45 FC FF 40 28 C6 45 FB 05 E9 15 01 00 00 8B 7D F4 8B 45 F4 0F B6 00 2C 23 74 09 2C 04 74 35 E9 82 00 00 00 FF 45 F4 33 F6 EB 14 8B C6 03 C0 8D 04 80 0F B6 D3 83 EA 30 03 C2 8B F0 FF 45 F4 8B 45 F4 0F B6 18 8B C3 04 D0 2C 0A 72 DE 8B C6 88 07 47 EB BD FF 45 F4 8B 45 F4 0F B6 00 2C 01 72 0E 2C 09 74 0A 2C 03 74 06 2C 1A 74 1C EB 29 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 45 FC E8 ?? ?? ?? ?? EB 0F FF 45 F4 8B 45 F4 80 38 27 0F 85 79 FF FF FF 8B 45 F4 0F B6 00 88 07 47 FF 45 F4 EB B1 8B 45 FC 89 78 24 C6 45 FB 02 EB 71 FF 45 F4 EB 03 FF 45 F4 8B 45 F4 0F B6 00 04 D0 2C 0A 72 F1 04 F9 2C 06 72 EB 04 E6 2C 06 72 E5 C6 45 FB 03 EB 4B FF 45 F4 EB 03 FF 45 F4 8B 45 F4 0F B6 00 04 D0 2C 0A 72 F1 C6 45 FB 03 EB 07 FF 45 F4 C6 45 FB 04 8B 45 F4 0F B6 00 2C 2B 74 EF 2C 03 74 EB 04 FE 2C 0A 72 E5 2C 0B 74 E1 2C 20 74 DD EB 0C 88 45 FB 80 7D FB 00 74 03 FF 45 F4 8B 45 FC 8B 55 F4 89 50 1C 8B 45 FC 0F B6 55 FB 88 50 2D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 20 FF 03 FE FF FF 87 FE FF FF 07 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 FF 03 FE FF FF 87 FE FF FF 07 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_30092_0 {
	meta:
		name = "THTTPParser.ReadBuffer"
		size = 244
		refs = "0014 THTTPParser.ReadBuffer 0058 Move 0091 LineStart 00a3 SLineTooLong 00a8 LoadResString 00b2 THTTPParser.Error 00e1 @UStrClr 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 1C 2B 43 10 99 01 43 08 11 53 0C 8B 43 20 0F B6 53 2C 88 10 8B 43 14 8B 4B 1C 2B C1 99 89 45 F8 89 55 FC 83 7D FC 00 75 04 83 7D F8 00 74 0D 8B 53 10 8B C1 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 8B F0 03 73 10 89 73 14 8B 4B 18 2B CE 8B D6 8B 43 04 8B 30 FF 56 0C 01 43 14 8B 43 10 89 43 1C 8B 73 14 89 73 20 3B 73 18 75 2C 8B D6 4A 8B 43 10 E8 ?? ?? ?? ?? 8B F8 89 7B 20 3B 7B 10 75 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 43 10 EB 01 40 3B 43 20 72 FA 8B 43 20 0F B6 00 88 43 2C 8B 43 20 C6 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30093_0 {
	meta:
		name = "THTTPParser.SkipBlanks"
		size = 49
		refs = "001c THTTPParser.ReadBuffer"
	strings:
		$1 = { 53 8B D8 8B 43 1C 0F B6 00 2C 01 72 0C 2C 09 74 1E 04 E9 2C DF 72 18 EB 11 8B C3 E8 ?? ?? ?? ?? 8B 43 1C 80 38 00 74 07 EB D9 FF 43 1C EB D4 5B C3 }
	condition:
		$1
}

rule function_30094_0 {
	meta:
		name = "THTTPParser.SourcePos"
		size = 35
	strings:
		$1 = { 83 C4 F8 8B C8 8B 41 30 2B 41 10 99 03 41 08 13 51 0C 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_30095_0 {
	meta:
		name = "THTTPParser.SkipEOL"
		size = 50
		refs = "0027 THTTPParser.NextToken"
	strings:
		$1 = { 80 78 2D 05 75 2B EB 03 FF 40 30 8B 50 30 0F B6 12 80 EA 0A 74 F2 80 EA 03 74 ED 8B 50 30 89 50 1C 80 3A 00 74 07 E8 ?? ?? ?? ?? EB 04 C6 40 2D 00 C3 }
	condition:
		$1
}

rule function_30096_0 {
	meta:
		name = "THTTPParser.TokenFloat"
		size = 135
		refs = "0015 THTTPParser.TokenFloat 0025 THTTPParser.TokenString 0030 @UStrFromLStr 0036 CurrencyString 003e StrToFloat 006b @LStrClr 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 D2 89 55 DC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D E0 9B 8B 45 E0 89 45 F0 8B 45 E4 89 45 F4 66 8B 45 E8 66 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 DB 6D F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95654_0 {
	meta:
		name = "TCopyParser.TokenFloat"
		size = 135
		refs = "0015 TCopyParser.TokenFloat 0025 TCopyParser.TokenString 0030 @UStrFromLStr 0036 CurrencyString 003e StrToFloat 006b @LStrClr 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 D2 89 55 DC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D E0 9B 8B 45 E0 89 45 F0 8B 45 E4 89 45 F4 66 8B 45 E8 66 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 DB 6D F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44207_0 {
	meta:
		name = "TIWCopyParser.TokenFloat"
		size = 135
		refs = "0015 TIWCopyParser.TokenFloat 0025 TIWCopyParser.TokenString 0030 @UStrFromLStr 0036 CurrencyString 003e StrToFloat 006b @LStrClr 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 D2 89 55 DC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D E0 9B 8B 45 E0 89 45 F0 8B 45 E4 89 45 F4 66 8B 45 E8 66 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 DB 6D F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30097_0 {
	meta:
		name = "THTTPParser.TokenInt"
		size = 99
		refs = "000e THTTPParser.TokenInt 001e THTTPParser.TokenString 0029 @UStrFromLStr 0031 StrToInt 0048 @LStrClr 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95655_0 {
	meta:
		name = "TCopyParser.TokenInt"
		size = 99
		refs = "000e TCopyParser.TokenInt 001e TCopyParser.TokenString 0029 @UStrFromLStr 0031 StrToInt 0048 @LStrClr 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_44208_0 {
	meta:
		name = "TIWCopyParser.TokenInt"
		size = 99
		refs = "000e TIWCopyParser.TokenInt 001e TIWCopyParser.TokenString 0029 @UStrFromLStr 0031 StrToInt 0048 @LStrClr 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30098_0 {
	meta:
		name = "THTTPParser.TokenString"
		size = 66
		refs = "003a @LStrFromPCharLen"
	strings:
		$1 = { 53 83 C4 F8 8B DA 8B C8 80 79 2D 02 75 10 8B 41 24 2B 41 30 99 89 04 24 89 54 24 04 EB 0E 8B 41 1C 2B 41 30 99 89 04 24 89 54 24 04 6A 00 8B 44 24 04 8B D3 8B 49 30 91 92 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_30099_0 {
	meta:
		name = "THTTPParser.TokenSymbolIs"
		size = 128
		refs = "000f THTTPParser.TokenSymbolIs 0022 @LStrToPChar 002e THTTPParser.TokenString 004a CompareStringA 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 2D 01 75 39 8B C6 E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 6A FF 53 6A FF 56 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 85 C0 0F 94 C0 EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30102_0 {
	meta:
		name = "IBAlloc"
		size = 58
		refs = "0013 @ReallocMem 001c @GetMem"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 83 3B 00 74 0B 8B C3 8B D6 E8 ?? ?? ?? ?? EB 09 8B C6 E8 ?? ?? ?? ?? 89 03 8B D7 8B C6 48 2B C2 7C 0B 40 8B 0B C6 04 11 00 42 48 75 F6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30103_0 {
	meta:
		name = "IBError"
		size = 213
		refs = "001d IBError 0030 MonitorHook 0047 IBErrorMessages 004f Format 008c _DV_EIBClientError 0091 EIBError.Create 0096 @RaiseExcept 00ab @UStrClr 00b3 @IntfClear 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 FB 3A 74 3C 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 74 2E 8D 45 F0 50 8B 55 FC 0F B6 C3 8B 04 85 ?? ?? ?? ?? 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 5A 8B 08 FF 51 58 8D 45 E8 50 8B 55 FC 8B F3 83 E6 7F 8B 04 B5 ?? ?? ?? ?? 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 E8 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30104_0 {
	meta:
		name = "IBDataBaseError"
		size = 824
		refs = "0058 @IntfAddRef 0060 IBDataBaseError 006e @UStrClr 0073 StatusVector 007b StatusVectorArray 0086 GetIBDataBaseErrorMessages 00b2 IntToStr 00c5 @UStrCatN 00f7 @UStrCat 010d @UStrFromArray 01d7 @UStrDelete 01e2 MonitorHook 0266 _DV_EIBInterBaseError 026b EIBError.Create 0270 @RaiseExcept 0283 _DV_EIBInterBaseRoleError 02a5 @IntfClear 02b5 @UStrArrayClr 02e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 50 B8 05 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 D4 53 56 57 33 D2 89 95 DC AF FF FF 89 95 D0 AF FF FF 89 95 D8 AF FF FF 89 95 D4 AF FF FF 89 95 E0 AF FF FF 89 95 E4 AF FF FF 89 95 E8 AF FF FF 89 95 EC AF FF FF 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 E8 ?? ?? ?? ?? 8B 40 04 89 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 55 F0 8B 45 FC 8B 08 FF 91 20 01 00 00 8B F0 F6 C3 01 74 28 FF 75 F8 68 ?? ?? ?? ?? 8D 95 EC AF FF FF 8B C6 E8 ?? ?? ?? ?? FF B5 EC AF FF FF 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 80 E3 FB F6 C3 04 74 4E 68 00 02 00 00 8D 8D F0 AF FF FF 8B D6 8B 45 FC 8B 38 FF 97 24 01 00 00 F6 C3 01 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 E8 AF FF FF 8D 95 F0 AF FF FF B9 00 50 00 00 E8 ?? ?? ?? ?? 8B 95 E8 AF FF FF 8D 45 F8 E8 ?? ?? ?? ?? F6 C3 02 74 7F F6 C3 01 75 05 F6 C3 04 74 5D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4E 83 7D F8 00 74 24 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8B 45 F8 66 83 7C 58 FE 0A 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 E4 AF FF FF 8D 95 F0 AF FF FF B9 00 50 00 00 E8 ?? ?? ?? ?? 8B 95 E4 AF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8D 4D F0 8D 95 F0 AF FF FF 8B 45 FC 8B 18 FF 93 F4 00 00 00 85 C0 7F 9A 83 7D F8 00 74 32 8B 55 F8 8B C2 85 C0 74 05 83 E8 04 8B 00 8B 4D F8 66 83 7C 41 FE 2E 75 19 8B C2 85 C0 74 05 83 E8 04 8B 00 8D 55 F8 B9 01 00 00 00 92 E8 ?? ?? ?? ?? 8D 85 E0 AF FF FF E8 ?? ?? ?? ?? 83 BD E0 AF FF FF 00 74 62 8D 95 D8 AF FF FF 8B C6 E8 ?? ?? ?? ?? FF B5 D8 AF FF FF 68 ?? ?? ?? ?? 8D 95 D4 AF FF FF 8B 45 F4 E8 ?? ?? ?? ?? FF B5 D4 AF FF FF 68 ?? ?? ?? ?? FF 75 F8 8D 85 DC AF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 85 DC AF FF FF 50 8D 85 D0 AF FF FF E8 ?? ?? ?? ?? 8B 85 D0 AF FF FF 5A 8B 08 FF 51 58 81 FE D9 FD FF FF 74 1D 8B 45 F4 50 8B 45 F8 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B 8B 45 F4 50 8B 45 F8 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D0 AF FF FF E8 ?? ?? ?? ?? 8D 85 D4 AF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 E0 AF FF FF E8 ?? ?? ?? ?? 8D 85 E4 AF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B2 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 51 00 4C 00 43 00 4F 00 44 00 45 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_30107_0 {
	meta:
		name = "NextP"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 52 FC 03 C0 03 C0 03 D0 8B 45 08 89 50 FC 5D C3 }
	condition:
		$1
}

rule function_30108_0 {
	meta:
		name = "CheckStatusVector"
		size = 170
		refs = "001f @GetTls 0024 FStatusVector 0043 NextP"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B CA 85 C9 78 07 8B 1C 88 49 53 79 F9 8B C4 89 55 F4 89 45 F8 E8 ?? ?? ?? ?? 05 ?? ?? ?? ?? 89 45 FC 33 DB EB 5F 4F 74 18 83 EF 02 74 05 4F 74 10 EB 46 55 B8 03 00 00 00 E8 ?? ?? ?? ?? 59 EB 44 55 B8 01 00 00 00 E8 ?? ?? ?? ?? 59 33 F6 EB 0F 8B 45 FC 8B 00 8B 55 F8 3B 04 B2 0F 94 C3 46 8B 45 F4 3B F0 7F 04 84 DB 74 E6 55 B8 01 00 00 00 E8 ?? ?? ?? ?? 59 EB 0C 55 B8 02 00 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 38 85 FF 74 04 84 DB 74 94 8B C3 8B 7D E8 8B 75 EC 8B 5D F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_30109_0 {
	meta:
		name = "NextP"
		size = 29
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 52 FC 03 C0 03 C0 03 D0 8B 45 08 89 50 FC 8B 45 08 8B 40 FC 5D C3 }
	condition:
		$1
}

rule function_30110_0 {
	meta:
		name = "StatusVectorAsText"
		size = 388
		refs = "001a StatusVectorAsText 0025 @GetTls 002a FStatusVector 0033 @UStrClr 0055 NextP 0086 Format 009a @UStrCatN 012b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 D2 89 55 DC 89 55 F8 8B F0 8D 7D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 05 ?? ?? ?? ?? 89 07 8B C6 E8 ?? ?? ?? ?? E9 C4 00 00 00 83 FB 03 75 6B FF 36 8D 45 F8 50 89 5D E0 C6 45 E4 00 55 B8 01 00 00 00 E8 ?? ?? ?? ?? 59 8B 00 89 45 E8 C6 45 EC 00 55 B8 01 00 00 00 E8 ?? ?? ?? ?? 59 8B 00 89 45 F0 C6 45 F4 00 8D 55 E0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 55 B8 01 00 00 00 E8 ?? ?? ?? ?? 59 EB 54 FF 36 8D 45 DC 50 89 5D CC C6 45 D0 00 55 B8 01 00 00 00 E8 ?? ?? ?? ?? 59 8B 00 89 45 D4 C6 45 D8 00 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 55 B8 01 00 00 00 E8 ?? ?? ?? ?? 59 8B 07 8B 18 85 DB 0F 85 30 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 64 00 20 00 25 00 64 00 20 00 25 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 64 00 20 00 25 00 64 00 00 00 }
	condition:
		$1
}

rule function_30111_0 {
	meta:
		name = "EIBError.Create"
		size = 120
		refs = "000e @ClassCreate 001c @UStrAddRef 0024 EIBError.Create 0036 Exception.Create 004e @UStrClr 0054 @HandleFinally 0061 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_30112_0 {
	meta:
		name = "EIBError.Create"
		size = 126
		refs = "000e @ClassCreate 001c @UStrAddRef 0024 EIBError.Create 0036 Exception.Create 0054 @UStrClr 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B 45 0C 89 47 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_30113_0 {
	meta:
		name = "SetIBDataBaseErrorMessages"
		size = 74
		refs = "0008 IBCS 000d TSimpleRWSync.BeginWrite 0015 SetIBDataBaseErrorMessages 0024 IBDataBaseErrorMessages 003b TSimpleRWSync.EndWrite 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 88 45 FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 FF A2 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_30114_0 {
	meta:
		name = "GetIBDataBaseErrorMessages"
		size = 76
		refs = "0005 IBCS 000a TSimpleRWSync.BeginWrite 0012 GetIBDataBaseErrorMessages 001f IBDataBaseErrorMessages 0039 TSimpleRWSync.EndWrite 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 0F B6 45 FF 59 5D C3 }
	condition:
		$1
}

rule function_30115_0 {
	meta:
		name = "Finalization"
		size = 79
		refs = "0007 Finalization 0013 _DV_7 001a IBCS 001f TObject.Free 0024 IBErrorMessages 002f string 0034 @FinalizeArray 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1F A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 7C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_30116_0 {
	meta:
		name = "IB"
		size = 64
		refs = "0002 _DV_7 000a _Nn__1C0 000f @InitResStringImports 0014 IsMultiThread 001e _Dn_TSimpleRWSync 0023 TSimpleRWSync.Create 0028 IBCS 002f IB 0034 IBDataBaseErrorMessages"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 2F B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C6 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? A2 ?? ?? ?? ?? C3 00 00 00 06 00 00 00 }
	condition:
		$1
}

rule function_30117_0 {
	meta:
		name = "GetBlobInfo"
		size = 306
		refs = "0015 @IntfAddRef 001d GetBlobInfo 0044 StatusVector 005c IBDataBaseError 011d @IntfClear 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 56 57 89 4D F8 89 55 FC 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F4 04 C6 45 F5 05 C6 45 F6 06 C6 45 F7 07 6A 04 8D 45 F4 50 6A 64 8D 45 8C 50 E8 ?? ?? ?? ?? 8B D0 8B CB 8B 45 08 8B 18 FF 53 60 85 C0 7E 08 8B 45 08 E8 ?? ?? ?? ?? 33 DB E9 95 00 00 00 0F B6 44 1D 8C 89 45 F0 43 8D 54 1D 8C 66 B9 02 00 8B 45 08 8B 30 FF 96 28 01 00 00 8B F0 83 C3 02 8B 45 F0 83 E8 04 74 0B 48 74 20 48 74 35 48 74 4A EB 5F 8D 54 1D 8C 8B CE 8B 45 08 8B 38 FF 97 28 01 00 00 8B 55 FC 89 02 EB 47 8D 54 1D 8C 8B CE 8B 45 08 8B 38 FF 97 28 01 00 00 8B 55 F8 89 02 EB 2F 8D 54 1D 8C 8B CE 8B 45 08 8B 38 FF 97 28 01 00 00 8B 55 10 89 02 EB 17 8D 54 1D 8C 8B CE 8B 45 08 8B 38 FF 97 28 01 00 00 8B 55 0C 66 89 02 03 DE 83 FB 64 7D 0B 80 7C 1D 8C 01 0F 85 5B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_30118_0 {
	meta:
		name = "ReadBlob"
		size = 188
		refs = "0015 @IntfAddRef 001d ReadBlob 0050 StatusVector 0069 StatusVectorArray 007a IBDataBaseError 00a7 @IntfClear 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 8B F2 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 89 75 F0 66 BE 00 40 3B 5D F8 7D 61 0F B7 C6 03 C3 3B 45 F8 7E 07 0F B7 75 F8 66 2B F3 8D 45 F6 50 56 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8B 4D FC 8B 45 08 8B 38 FF 97 F0 00 00 00 85 C0 74 16 E8 ?? ?? ?? ?? 81 78 04 2E 00 00 14 74 08 8B 45 08 E8 ?? ?? ?? ?? 0F B7 45 F6 01 45 F0 0F B7 45 F6 03 D8 66 C7 45 F6 00 00 3B 5D F8 7C 9F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_30119_0 {
	meta:
		name = "WriteBlob"
		size = 150
		refs = "0016 @IntfAddRef 001e WriteBlob 0049 StatusVector 0065 IBDataBaseError 0081 @IntfClear 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB BE 00 40 00 00 3B 5D F4 7D 3C 8D 04 1E 3B 45 F4 7E 05 8B 75 F4 2B F3 56 8B 45 F8 03 C3 50 E8 ?? ?? ?? ?? 8B D0 8B 4D FC 8B 45 08 8B 38 FF 97 00 01 00 00 85 C0 7E 08 8B 45 08 E8 ?? ?? ?? ?? 03 DE 3B 5D F4 7C C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_30120_0 {
	meta:
		name = "TIBBlobStream.Create"
		size = 119
		refs = "000d @ClassCreate 0019 TIBBlobStream.Create 0028 TObject.Create 0031 _Dn_TIBBase 0036 TIBBase.Create 0056 @HandleFinally 0063 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 33 C0 89 46 20 33 C0 89 46 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C3 }
	condition:
		$1
}

rule function_30121_0 {
	meta:
		name = "TIBBlobStream.Destroy"
		size = 196
		refs = "000b @BeforeDestruction 0017 TIBBlobStream.Destroy 0031 TIBDatabase.GDSLibrary 003a StatusVector 0050 TIBBlobStream.Call 006a IBDataBaseError 0072 TObject.Free 0086 TObject.Destroy 009c IGDSLibrary 00a6 @FinalizeArray 00ac @HandleFinally 00b9 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 28 00 74 47 8D 55 FC 8B 46 04 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D0 8D 4E 28 58 8B 38 FF 57 7C 8B D0 33 C9 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 16 8D 55 F8 8B 46 04 8B 40 04 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 04 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30122_0 {
	meta:
		name = "TIBBlobStream.Call"
		size = 140
		refs = "0019 TIBBlobStream.Call 0028 TIBBlobStream.GetTransaction 003e TIBTransaction.Call 005a TIBDatabase.GDSLibrary 0062 IBDataBaseError 0077 @IntfClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 88 4D FF 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 16 8B C3 E8 ?? ?? ?? ?? 0F B6 4D FF 8B D7 E8 ?? ?? ?? ?? 8B F0 EB 20 80 7D FF 00 74 1A 85 FF 7E 16 8D 55 F8 8B 43 04 8B 40 04 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30123_0 {
	meta:
		name = "TIBBlobStream.CheckReadable"
		size = 33
		refs = "001a IBError"
	strings:
		$1 = { 83 C4 F8 80 78 2C 01 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 28 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_30124_0 {
	meta:
		name = "TIBBlobStream.CheckWritable"
		size = 33
		refs = "001a IBError"
	strings:
		$1 = { 83 C4 F8 80 78 2C 00 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 29 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_30125_0 {
	meta:
		name = "TIBBlobStream.CloseBlob"
		size = 155
		refs = "000f TIBBlobStream.CloseBlob 001c TIBBlobStream.Finalize 0030 TIBDatabase.GDSLibrary 0039 StatusVector 004f TIBBlobStream.Call 0069 IBDataBaseError 007f IGDSLibrary 0089 @FinalizeArray 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7B 28 00 74 47 8D 55 FC 8B 43 04 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D0 8D 4B 28 58 8B 30 FF 56 7C 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 16 8D 55 F8 8B 43 04 8B 40 04 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30126_0 {
	meta:
		name = "TIBBlobStream.CreateBlob"
		size = 29
		refs = "0006 TIBBlobStream.CheckWritable 0017 TIBBlobStream.Truncate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 08 33 C0 89 43 0C 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30127_0 {
	meta:
		name = "TIBBlobStream.EnsureBlobInitialized"
		size = 75
		refs = "001a TIBBlobStream.CreateBlob 0038 TIBBlobStream.OpenBlob"
	strings:
		$1 = { 53 8B D8 80 7B 24 00 75 3C 0F B6 43 2C FE C8 74 06 FE C8 74 0B EB 27 8B C3 E8 ?? ?? ?? ?? EB 25 83 7B 08 00 75 0F 83 7B 0C 00 75 09 8B C3 E8 ?? ?? ?? ?? EB 10 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? C6 43 24 01 5B C3 }
	condition:
		$1
}

rule function_30128_0 {
	meta:
		name = "TIBBlobStream.Finalize"
		size = 248
		refs = "0011 TIBBlobStream.Finalize 0032 TIBBlobStream.GetTRHandle 004d TIBDatabase.GDSLibrary 0058 TIBBlobStream.GetDBHandle 005e StatusVector 0075 TIBBlobStream.Call 0095 WriteBlob 00dc IGDSLibrary 00e6 @FinalizeArray 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 24 00 0F 84 A5 00 00 00 80 7B 2C 00 0F 84 9B 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 8D 43 28 50 8D 43 08 50 6A 00 6A 00 8D 55 FC 8B 43 04 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 59 58 8B 30 FF 96 88 00 00 00 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B 43 04 8B 40 04 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 43 28 8B 4B 18 8B 53 20 E8 ?? ?? ?? ?? 8D 55 F4 8B 43 04 8B 40 04 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 8B D0 8D 4B 28 58 8B 30 FF 56 7C 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? C6 43 2D 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30129_0 {
	meta:
		name = "TIBBlobStream.GetBlobInfo"
		size = 112
		refs = "0012 TIBBlobStream.GetBlobInfo 002e TIBDatabase.GDSLibrary 0040 GetBlobInfo 005f @IntfClear 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 43 1C 50 8D 55 F8 8B 43 04 8B 40 04 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 4B 10 8D 53 14 8D 43 28 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30130_0 {
	meta:
		name = "TIBBlobStream.GetDatabase"
		size = 7
		altNames = "TListItem.GetListView TRttiManagedField.GetFieldOffset TTreeNode.GetTreeView"
	strings:
		$1 = { 8B 40 04 8B 40 04 C3 }
	condition:
		$1
}

rule function_30131_0 {
	meta:
		name = "TIBBlobStream.GetDBHandle"
		size = 9
		altNames = "TUpdateFileList.GetCount TUtilsNameValueList.GetCapacity"
	strings:
		$1 = { 8B 40 04 8B 10 FF 52 18 C3 }
	condition:
		$1
}

rule function_30133_0 {
	meta:
		name = "TIBBlobStream.GetTRHandle"
		size = 9
		altNames = "TUtilsNameValueList.GetLength"
	strings:
		$1 = { 8B 40 04 8B 10 FF 52 1C C3 }
	condition:
		$1
}

rule function_30134_0 {
	meta:
		name = "TIBBlobStream.LoadFromFile"
		size = 141
		refs = "0010 @UStrAddRef 0018 TIBBlobStream.LoadFromFile 002a _Dn_TFileStream 002f TFileStream.Create 004a TIBBlobStream.LoadFromStream 005f TObject.Free 0065 @HandleFinally 007c @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30135_0 {
	meta:
		name = "TIBBlobStream.LoadFromStream"
		size = 72
		refs = "0009 TIBBlobStream.CheckWritable 0010 TIBBlobStream.EnsureBlobInitialized 001b TStream.SetPosition 003d TStream.ReadBuffer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 12 52 50 8B C3 8B 10 FF 52 08 8B 43 18 85 C0 74 0C 8B 53 20 8B C8 8B C6 E8 ?? ?? ?? ?? C6 43 2D 01 5E 5B C3 }
	condition:
		$1
}

rule function_30136_0 {
	meta:
		name = "TIBBlobStream.OpenBlob"
		size = 380
		refs = "0014 TIBBlobStream.OpenBlob 0022 TIBBlobStream.CheckReadable 002a TIBBlobStream.GetTRHandle 004e TIBDatabase.GDSLibrary 005a TIBBlobStream.GetDBHandle 0060 StatusVector 0078 TIBBlobStream.Call 008e TIBBlobStream.GetBlobInfo 00c8 ReadBlob 00d7 @HandleAnyException 0110 @RaiseAgain 0115 @DoneExcept 015f IGDSLibrary 0169 @FinalizeArray 016f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC 83 C0 28 50 8B 45 FC 83 C0 08 50 6A 00 6A 00 8D 55 F8 8B 45 FC 8B 40 04 8B 40 04 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 59 58 8B 18 FF 93 F8 00 00 00 8B D0 B1 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 50 18 8B 45 FC 8B 08 FF 51 04 8D 55 F4 8B 45 FC 8B 40 04 8B 40 04 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 8B 48 18 8B 45 FC 8B 50 20 8B 45 FC 83 C0 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 43 E9 ?? ?? ?? ?? 8D 55 F0 8B 45 FC 8B 40 04 8B 40 04 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8D 48 28 58 8B 18 FF 53 7C 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 40 04 8B 40 04 E8 ?? ?? ?? ?? 8B 45 EC 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8D 48 28 58 8B 18 FF 53 7C 8B D0 B1 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30137_0 {
	meta:
		name = "TIBBlobStream.Read"
		size = 73
		refs = "000c TIBBlobStream.CheckReadable 0013 TIBBlobStream.EnsureBlobInitialized 003c Move"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 F6 7F 04 33 F6 EB 24 8B 43 30 8B C8 03 CE 8B 53 18 3B CA 7E 04 8B F2 2B F0 8B 53 20 8D 04 02 8B D7 8B CE E8 ?? ?? ?? ?? 01 73 30 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30138_0 {
	meta:
		name = "TIBBlobStream.SaveToFile"
		size = 144
		refs = "0010 @UStrAddRef 0018 TIBBlobStream.SaveToFile 002d _Dn_TFileStream 0032 TFileStream.Create 004d TIBBlobStream.SaveToStream 0062 TObject.Free 0068 @HandleFinally 007f @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 FF 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30139_0 {
	meta:
		name = "TIBBlobStream.SaveToStream"
		size = 55
		refs = "000a TIBBlobStream.CheckReadable 0011 TIBBlobStream.EnsureBlobInitialized 002f TStream.WriteBuffer"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7B 18 00 74 18 33 C9 33 D2 8B C3 8B 38 FF 57 14 8B 53 20 8B 4B 18 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30140_0 {
	meta:
		name = "TIBBlobStream.Seek"
		size = 54
		refs = "000c TIBBlobStream.EnsureBlobInitialized"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 EE 01 72 09 74 0C 66 FF CE 74 0C EB 10 89 7B 30 EB 0B 01 7B 30 EB 06 03 7B 18 89 7B 30 8B 43 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30141_0 {
	meta:
		name = "TIBBlobStream.SetBlobID"
		size = 40
		refs = "001a Move"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 8B D8 8D 53 08 8B C4 B9 08 00 00 00 E8 ?? ?? ?? ?? C6 43 24 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30142_0 {
	meta:
		name = "TIBBlobStream.SetDatabase"
		size = 17
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 08 FF 51 20 C6 43 24 00 5B C3 }
	condition:
		$1
}

rule function_30143_0 {
	meta:
		name = "TIBBlobStream.SetMode"
		size = 8
	strings:
		$1 = { 88 50 2C C6 40 24 00 C3 }
	condition:
		$1
}

rule function_30144_0 {
	meta:
		name = "TIBBlobStream.SetSize"
		size = 54
		refs = "0017 @ReallocMem 0020 @GetMem"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 18 74 28 83 7B 20 00 74 0C 8D 43 20 8B D6 E8 ?? ?? ?? ?? EB 0A 8B C6 E8 ?? ?? ?? ?? 89 43 20 89 73 18 85 F6 75 05 33 C0 89 43 20 5E 5B C3 }
	condition:
		$1
}

rule function_30145_0 {
	meta:
		name = "TIBBlobStream.SetTransaction"
		size = 17
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 08 FF 51 24 C6 43 24 00 5B C3 }
	condition:
		$1
}

rule function_30146_0 {
	meta:
		name = "TDtdEntityDecl.CheckNoRecursion"
		size = 8
		altNames = "TIBBlobStream.Truncate"
	strings:
		$1 = { 33 D2 8B 08 FF 51 04 C3 }
	condition:
		$1
}

rule function_30147_0 {
	meta:
		name = "TIBBlobStream.Write"
		size = 85
		refs = "000e TIBBlobStream.CheckWritable 0015 TIBBlobStream.EnsureBlobInitialized 0041 Move"
	strings:
		$1 = { 53 56 57 55 51 8B F1 8B EA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 34 24 85 F6 7E 2C 8B 7B 30 03 FE 3B 7B 18 7E 09 8B D7 8B C3 8B 08 FF 51 04 8B 43 20 8B 53 30 8D 14 10 8B C5 8B CE E8 ?? ?? ?? ?? 01 73 30 C6 43 2D 01 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30148_0 {
	meta:
		name = "TIBBlobStream.Cancel"
		size = 34
		refs = "0018 TIBBlobStream.OpenBlob"
	strings:
		$1 = { 53 8B D8 80 7B 24 00 74 17 80 7B 2C 00 74 11 80 7B 2D 00 74 07 8B C3 E8 ?? ?? ?? ?? C6 43 2D 00 5B C3 }
	condition:
		$1
}

rule function_30151_0 {
	meta:
		name = "TIBPooledConnection.Create"
		size = 276
		refs = "000e @ClassCreate 001c TComponent.Create 0025 _Dn_TIBDatabase 002a TIBDatabase.Create 0038 _Dn_TIBTransaction 003d TIBTransaction.Create 0046 TIBDatabase.SetDefaultTransaction 0057 TIBPooledConnection.Create 0086 TIBTransaction.SetDefaultDatabase 0093 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 5E 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 46 50 8B 80 C8 00 00 00 8B 58 6C BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 8B 46 50 8B D0 8B 80 C8 00 00 00 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 72 00 65 00 61 00 64 00 5F 00 63 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 72 00 65 00 63 00 5F 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6E 00 6F 00 77 00 61 00 69 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_30152_0 {
	meta:
		name = "TIBConnectionBroker.Create"
		size = 104
		refs = "000a @ClassCreate 0017 TComponent.Create 0033 _Dn_TStringList 0038 TStringList.Create 0042 _Dn_TSimpleRWSync 0047 TSimpleRWSync.Create 0055 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 58 F4 01 00 00 C7 46 4C 14 00 00 00 C7 46 48 0A 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 54 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 68 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_30153_0 {
	meta:
		name = "TIBConnectionBroker.CreateConn"
		size = 352
		refs = "0016 TIBConnectionBroker.CreateConn 002d TIBDatabase.SetDatabaseName 003e TIBDatabase.SetDBParams 005d TIBTransaction.SetIdleTimer 0085 Now 009c @UStrLAsg 00b4 CurrencyString 00bc FormatDateTime 00c7 SIBBrokerOpen 00cc LoadResString 00d9 IntToStr 00e9 @UStrCatN 00f3 TIBConnectionBroker.DoLog 010d @UStrArrayClr 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 38 8B 04 B0 8B 40 50 8B 53 3C E8 ?? ?? ?? ?? 8B 43 38 8B 04 B0 8B 40 50 8B 53 54 E8 ?? ?? ?? ?? 8B 43 38 8B 04 B0 8B 40 50 C6 40 44 00 8B 53 50 85 D2 76 0B 8B 80 C8 00 00 00 E8 ?? ?? ?? ?? 8B 43 38 8B 04 B0 8B 40 50 B2 01 8B 08 FF 51 58 8B 43 38 8B 04 B0 33 D2 89 50 38 33 D2 89 50 40 89 50 44 E8 ?? ?? ?? ?? 8B 43 38 8B 04 B0 DD 58 48 9B 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? FF 75 F8 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E8 8D 55 E4 8B C6 E8 ?? ?? ?? ?? FF 75 E4 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 13 00 00 00 6D 00 6D 00 2F 00 64 00 64 00 2F 00 79 00 79 00 79 00 79 00 20 00 68 00 68 00 3A 00 6D 00 6D 00 3A 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_30154_0 {
	meta:
		name = "TIBConnectionBroker.Destroy"
		size = 102
		refs = "0005 @BeforeDestruction 0025 TObject.Free 0032 :TIBConnectionBroker.:1 0037 @DynArrayClear 0052 TComponent.Destroy 005d @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 F6 45 1C 10 75 1A 8B 75 4C 4E 85 F6 7C 12 46 33 FF 8B 45 38 8B 04 B8 E8 ?? ?? ?? ?? 47 4E 75 F1 8D 45 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 68 E8 ?? ?? ?? ?? 8B 45 54 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30155_0 {
	meta:
		name = "TIBConnectionBroker.DoLog"
		size = 83
		refs = "000e @UStrAddRef 0016 TIBConnectionBroker.DoLog 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 62 00 74 0B 8B 4D FC 8B D3 8B 43 64 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_30156_0 {
	meta:
		name = "TIBConnectionBroker.Init"
		size = 512
		refs = "0018 TIBConnectionBroker.Init 0030 SIBBrokerVersion 0035 LoadResString 003f TIBConnectionBroker.DoLog 0047 SIBBrokerDatabase 0057 @UStrCat 0069 SIBBrokerUser 0082 TStrings.GetValue 009d SIBBrokerMinConnections 00b1 IntToStr 00cc SIBBrokerMaxConnections 00fb SIBBrokerIdleTimer 014c TIBConnectionBroker.CreateConn 016a @UStrArrayClr 0170 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 40 00 0F 85 28 01 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 3C E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8D 4D F0 BA ?? ?? ?? ?? 8B 43 54 E8 ?? ?? ?? ?? 8B 55 F0 58 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 8D 55 E8 8B 43 48 E8 ?? ?? ?? ?? 8B 55 E8 58 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 50 8D 55 E0 8B 43 4C E8 ?? ?? ?? ?? 8B 55 E0 58 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 50 8B 43 50 33 D2 52 50 8D 45 D8 E8 ?? ?? ?? ?? 8B 55 D8 58 E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 48 89 43 40 8B 73 48 4E 85 F6 7C 10 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 47 4E 75 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 75 00 73 00 65 00 72 00 5F 00 6E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 00 00 }
	condition:
		$1
}

rule function_30157_0 {
	meta:
		name = "TIBConnectionBroker.GetConnection"
		size = 613
		refs = "001a TIBConnectionBroker.GetConnection 005a TSimpleRWSync.BeginWrite 009e Now 00bd SIBBrokerGiveOut 00c2 LoadResString 00d0 IntToStr 00d9 @UStrCat 00e4 TIBConnectionBroker.DoLog 011c TSimpleRWSync.EndWrite 0122 @HandleFinally 0133 @HandleAnyException 0138 @DoneExcept 0181 TIBConnectionBroker.CreateConn 0196 @HandleOnException 019e _Dn_Exception 01ac SIBBrokerUnavailable 01d8 Sleep 01e0 SIBBrokerExhausted 024f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 C6 45 F7 00 33 C0 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 F6 8B 45 FC 8B 58 44 43 8B 45 FC 3B 58 40 7C 02 33 DB 8B 45 FC 8B 40 68 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 38 8B 3C 98 83 7F 38 01 7D 6F 8B 47 50 8B 10 FF 52 48 84 C0 74 6F 8B 45 FC 8B 40 38 8B 04 98 8B 50 50 89 55 F8 C7 40 38 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 8B 04 98 DD 58 40 9B 8B 45 FC 89 58 44 C6 45 F7 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 58 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? EB 1E 46 43 8B 45 FC 3B 58 40 7C 02 33 DB 80 7D F7 01 74 0C 8B 45 FC 3B 70 40 0F 8C 64 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 68 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D F7 00 0F 85 F3 00 00 00 8B 45 FC 8B 40 68 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 40 8B 55 FC 3B 42 4C 7D 63 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC FF 40 40 33 C0 5A 59 59 64 89 10 EB 3B E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B 53 04 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 58 50 E8 ?? ?? ?? ?? 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 50 8D 55 DC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 DC 58 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 68 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED FF 45 F0 83 7D F0 03 0F 85 F9 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30158_0 {
	meta:
		name = "TIBConnectionBroker.Loaded"
		size = 83
		refs = "0008 TComponent.Loaded 0020 :TIBConnectionBroker.:1 0025 @DynArraySetLength 003c _DV_TIBPooledConnection 0041 TIBPooledConnection.Create"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 75 3D 8B 43 4C 50 8D 43 38 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 73 4C 4E 85 F6 7C 1B 46 33 FF 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 38 89 04 BA 47 4E 75 E8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30159_0 {
	meta:
		name = "TIBConnectionBroker.ReleaseConnection"
		size = 327
		refs = "0015 TIBConnectionBroker.ReleaseConnection 0026 TSimpleRWSync.BeginWrite 0040 SIBBrokerNilError 0045 LoadResString 0050 TIBConnectionBroker.DoLog 0098 TIBTransaction.GetInTransaction 00b5 TIBTransaction.SetActive 00cb SIBBrokerRelease 00de IntToStr 00e7 @UStrCat 0112 TSimpleRWSync.EndWrite 0118 @HandleFinally 0134 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 68 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 75 1D 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E9 A5 00 00 00 8B 45 FC 8B 70 40 4E 85 F6 0F 8C 96 00 00 00 46 33 DB 8B 45 FC 8B 40 38 8B 04 98 8B 40 50 8B 80 B8 00 00 00 3B 87 B8 00 00 00 75 71 8B 45 FC 8B 40 38 8B 04 98 8B 40 50 8B 80 C8 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 19 8B 45 FC 8B 40 38 8B 04 98 8B 40 50 8B 80 C8 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 8B 04 98 33 D2 89 50 38 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 58 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 43 4E 0F 85 6D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 68 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30160_0 {
	meta:
		name = "TIBConnectionBroker.SetDBParams"
		size = 19
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 54 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_30161_0 {
	meta:
		name = "TIBConnectionBroker.SetMaxConns"
		size = 310
		refs = "0050 TSimpleRWSync.BeginWrite 0058 TIBConnectionBroker.SetMaxConns 008e :TIBConnectionBroker.:1 0093 @DynArraySetLength 00ae _DV_TIBPooledConnection 00b3 TIBPooledConnection.Create 00e8 TObject.Free 0124 TSimpleRWSync.EndWrite 012a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC F6 40 1C 01 74 0B 8B 45 FC 89 58 4C E9 10 01 00 00 8B 45 FC F6 40 1C 10 74 20 8B 45 FC 8B 40 48 3B D8 7C 0B 8B 45 FC 89 58 4C E9 F2 00 00 00 8B 55 FC 89 42 4C E9 E7 00 00 00 8B 45 FC 8B 40 68 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 4C 3B D8 0F 84 A0 00 00 00 8B 55 FC 3B 5A 48 0F 8C 94 00 00 00 3B D8 7E 4C 53 8B 45 FC 83 C0 38 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 78 4C 8B F3 4E 2B F7 7C 1D 46 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 52 38 89 04 BA 47 4E 75 E4 8B 45 FC 89 58 4C EB 44 8B 55 FC 3B 5A 40 7C 3C 8B F8 4F 8B F3 2B F7 7F 13 4E 8B 45 FC 8B 40 38 8B 04 B8 E8 ?? ?? ?? ?? 4F 46 75 EE 53 8B 45 FC 83 C0 38 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 89 58 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 68 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30162_0 {
	meta:
		name = "TIBConnectionBroker.SetMinConns"
		size = 230
		refs = "004f TSimpleRWSync.BeginWrite 0057 TIBConnectionBroker.SetMinConns 00ad TIBConnectionBroker.CreateConn 00d5 TSimpleRWSync.EndWrite 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B 45 FC F6 40 1C 01 74 0B 8B 45 FC 89 58 48 E9 C2 00 00 00 8B 45 FC F6 40 1C 10 74 20 8B 45 FC 8B 40 4C 3B D8 7D 0B 8B 45 FC 89 58 48 E9 A4 00 00 00 8B 55 FC 89 42 48 E9 99 00 00 00 8B 45 FC 8B 40 68 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 55 FC 8B C3 89 42 48 8B 55 FC 8B 52 4C 3B C2 7E 06 8B 45 FC 89 50 48 8B 45 FC 8B 40 40 8B 55 FC 3B 42 48 7E 06 8B 55 FC 89 42 48 8B 55 FC 8B 52 40 8B 45 FC 8B 40 48 3B D0 7D 18 8B F2 8B D8 4B 2B DE 7C 0F 43 8B D6 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 F2 8B 45 FC 8B 40 48 8B 55 FC 89 42 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 68 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30163_0 {
	meta:
		name = "TIBConnectionBroker.GetAllocated"
		size = 37
	strings:
		$1 = { 53 56 33 DB 8B 50 4C 4A 85 D2 7C 14 42 33 C9 8B 70 38 8B 34 8E 83 7E 38 01 75 01 43 41 4A 75 EF 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_30164_0 {
	meta:
		name = "TIBConnectionBroker.GetAvailable"
		size = 37
	strings:
		$1 = { 53 56 33 DB 8B 50 4C 4A 85 D2 7C 14 42 33 C9 8B 70 38 8B 34 8E 83 7E 38 00 75 01 43 41 4A 75 EF 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_30171_0 {
	meta:
		name = "TIBStringField.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TWideStringField.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 FC 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_30175_0 {
	meta:
		name = "TIBStringField.GetValue"
		size = 82
		refs = "0020 @GetMem 0035 TField.GetData 0048 @UStrFromPWChar"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 83 BE F8 00 00 00 00 75 1A 8B C6 8B 10 FF 92 B4 00 00 00 40 03 C0 03 C0 E8 ?? ?? ?? ?? 89 86 F8 00 00 00 B1 01 8B 96 F8 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 0D 8B C7 8B 96 F8 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30177_0 {
	meta:
		name = "TIBStringField.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 0016 @FreeMem 0021 TField.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 F8 00 00 00 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30178_0 {
	meta:
		name = "TIBBCDField.Create"
		size = 81
		refs = "000d @ClassCreate 001b TBCDField.Create 003d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 40 48 08 BA 08 00 00 00 8B C3 8B 08 FF 91 10 01 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_30180_0 {
	meta:
		name = "TIBBCDField.GetAsCurrency"
		size = 31
		refs = "0008 TField.GetData"
	strings:
		$1 = { 83 C4 F8 8B D4 33 C9 E8 ?? ?? ?? ?? 84 C0 75 09 33 C0 89 04 24 89 44 24 04 DF 2C 24 59 5A C3 }
	condition:
		$1
}

rule function_30181_0 {
	meta:
		name = "TIBBCDField.GetAsString"
		size = 126
		refs = "0012 TIBBCDField.GetAsString 0022 TField.GetData 0040 CurrencyString 0045 CurrToStr 004f @UStrAsg 0058 @UStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D FC 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F0 33 C9 E8 ?? ?? ?? ?? 84 C0 74 2B 8B 45 F0 89 45 E8 8B 45 F4 89 45 EC FF 75 EC FF 75 E8 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30182_0 {
	meta:
		name = "TIBBCDField.GetAsVariant"
		size = 42
		refs = "000b TField.GetData 0019 @VarFromCurr 0022 Null"
	strings:
		$1 = { 53 83 C4 F8 8B DA 8B D4 33 C9 E8 ?? ?? ?? ?? 84 C0 74 0C DF 2C 24 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_30185_0 {
	meta:
		name = "TIBDataLink.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 001d TDataLink.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 1C 33 D2 89 90 0C 02 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30190_0 {
	meta:
		name = "TIBCustomDataSet.Create"
		size = 552
		refs = "000e @ClassCreate 0020 TDataSet.Create 0029 _Dn_TIBBase 002e TIBBase.Create 003c _Dn_TIBDatabase 0041 @IsClass 004e TIBCustomDataSet.SetDatabase 0058 _Dn_TIBTransaction 006a TIBCustomDataSet.SetTransaction 0094 _Dn_TList 0099 TObject.Create 00a8 _DV_TIBDataLink 00ad TIBDataLink.Create 00bc _Dn_TIBSQL 00c1 TIBSQL.Create 00d3 TIBCustomDataSet.SQLChanging 016e TIBCustomDataSet.Create 018b _DV_TIBGeneratorField 0190 TIBGeneratorField.Create 01ad TIBCustomDataSet.DoBeforeDatabaseDisconnect 01b7 TIBCustomDataSet.DoAfterDatabaseDisconnect 01c1 TIBCustomDataSet.DoDatabaseFree 01cb TIBCustomDataSet.DoBeforeTransactionEnd 01d5 TIBCustomDataSet.DoAfterTransactionEnd 01df TIBCustomDataSet.DoTransactionFree 0208 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 84 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 1A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? C7 83 C4 01 00 00 FF FF FF FF 33 C0 89 83 C8 01 00 00 C6 83 FC 01 00 00 00 C7 83 90 01 00 00 E8 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 8C 01 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 0C 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 DC 01 00 00 89 5E 5C C7 46 58 ?? ?? ?? ?? C6 46 42 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 E0 01 00 00 89 5E 5C C7 46 58 ?? ?? ?? ?? C6 46 42 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 E4 01 00 00 89 5E 5C C7 46 58 ?? ?? ?? ?? C6 46 42 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 E8 01 00 00 89 5E 5C C7 46 58 ?? ?? ?? ?? C6 46 42 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 EC 01 00 00 89 5E 5C C7 46 58 ?? ?? ?? ?? C6 46 42 00 0F B6 05 ?? ?? ?? ?? 88 83 06 02 00 00 C6 83 04 02 00 00 01 C6 83 81 01 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 14 02 00 00 C7 43 6C 04 00 00 00 8B 83 84 01 00 00 89 58 1C C7 40 18 ?? ?? ?? ?? 89 58 24 C7 40 20 ?? ?? ?? ?? 89 58 2C C7 40 28 ?? ?? ?? ?? 89 58 34 C7 40 30 ?? ?? ?? ?? 89 58 3C C7 40 38 ?? ?? ?? ?? 89 58 44 C7 40 40 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 83 11 02 00 00 33 C0 89 83 18 02 00 00 C6 83 10 02 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 07 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_30191_0 {
	meta:
		name = "TIBCustomDataSet.Destroy"
		size = 197
		refs = "0003 @BeforeDestruction 000e TDataSet.Close 0021 TObject.Free 003b TIBCustomDataSet.ClearBlobCache 0059 @FreeMem 00a3 :TIBCustomDataSet.:1 00a8 @DynArrayClear 00b3 TDataSet.Destroy 00be @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 86 0C 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 84 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 86 8C 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 86 94 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 94 01 00 00 8B 86 98 01 00 00 E8 ?? ?? ?? ?? 8D 86 14 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 89 86 98 01 00 00 33 C0 89 86 A0 01 00 00 33 C0 89 86 A4 01 00 00 8D 86 08 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30192_0 {
	meta:
		name = "TIBCustomDataSet.AdjustCurrentRecord"
		size = 194
		refs = "0038 TIBCustomDataSet.ReadRecordCache 0059 TIBSQL.GetEOF 0068 TIBSQL.Next 0080 TIBCustomDataSet.FetchCurrentRecordToBuffer 00a8 TIBCustomDataSet.IsVisible"
	strings:
		$1 = { 53 56 57 55 51 8B D9 8B F2 8B E8 E9 93 00 00 00 80 FB 02 75 29 FF 8D C4 01 00 00 8B BD C4 01 00 00 83 FF FF 75 09 C6 04 24 01 E9 89 00 00 00 6A 00 8B CE 8B D7 8B C5 E8 ?? ?? ?? ?? EB 65 FF 85 C4 01 00 00 8B 85 C4 01 00 00 3B 85 F4 01 00 00 75 40 8B 85 E8 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 2B 8B 85 E8 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 1C 56 8B 8D C4 01 00 00 8B 95 E8 01 00 00 8B C5 E8 ?? ?? ?? ?? FF 85 F4 01 00 00 EB 17 C6 04 24 02 EB 26 6A 00 8B CE 8B 95 C4 01 00 00 8B C5 E8 ?? ?? ?? ?? 8B D6 8B C5 E8 ?? ?? ?? ?? 84 C0 0F 84 5C FF FF FF C6 04 24 00 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30193_0 {
	meta:
		name = "GetUpdateKind"
		size = 50
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F8 0F B6 40 08 FE C8 74 06 FE C8 74 0B EB 12 8B 45 08 C6 40 F7 00 5D C3 8B 45 08 C6 40 F7 01 5D C3 8B 45 08 C6 40 F7 02 5D C3 }
	condition:
		$1
}

rule function_30194_0 {
	meta:
		name = "ResetBufferUpdateStatus"
		size = 119
		refs = "0071 TIBCustomDataSet.WriteRecordCache"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F8 0F B6 40 08 FE C8 74 0A FE C8 74 1C FE C8 74 2E EB 40 8B 45 08 8B 40 F8 C6 40 09 00 8B 45 08 8B 40 F8 C6 40 08 00 EB 2A 8B 45 08 8B 40 F8 C6 40 09 00 8B 45 08 8B 40 F8 C6 40 08 00 EB 14 8B 45 08 8B 40 F8 C6 40 09 03 8B 45 08 8B 40 F8 C6 40 08 00 8B 45 08 8B 48 F8 8B 45 08 8B 40 F8 8B 50 04 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_30195_0 {
	meta:
		name = "UpdateUsingOnUpdateRecord"
		size = 188
		refs = "0011 UpdateUsingOnUpdateRecord 004a @HandleOnException 0052 _Dn_Exception 0060 _Dn_EDatabaseError 0065 @IsClass 00ae @RaiseAgain 00b3 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 C6 40 FF 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 48 50 8B 45 08 0F B6 48 F7 8B 45 08 8B 58 F0 8B 45 08 8B 50 F0 8B 83 44 02 00 00 FF 93 40 02 00 00 33 C0 5A 59 59 64 89 10 EB 6E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 8B 45 08 8B 40 F0 66 83 B8 3A 02 00 00 00 74 27 8B 45 08 0F B6 40 F7 50 8B 45 08 48 50 8B 45 08 8B 70 F0 8B 45 08 8B 50 F0 8B CB 8B 86 3C 02 00 00 FF 96 38 02 00 00 8B 45 08 80 78 FF 00 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_30196_0 {
	meta:
		name = "UpdateUsingUpdateObject"
		size = 193
		refs = "0011 UpdateUsingUpdateObject 0038 ResetBufferUpdateStatus 0048 @HandleOnException 0050 _Dn_Exception 0065 _Dn_EDatabaseError 006a @IsClass 00b3 @RaiseAgain 00b8 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 C6 40 FF 04 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 0F B6 50 F7 8B 45 08 8B 40 F0 8B 80 00 02 00 00 8B 08 FF 51 48 8B 45 08 50 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 EB 75 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 08 C6 40 FF 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 8B 45 08 8B 40 F0 66 83 B8 3A 02 00 00 00 74 27 8B 45 08 0F B6 40 F7 50 8B 45 08 48 50 8B 45 08 8B 70 F0 8B 45 08 8B 50 F0 8B CB 8B 86 3C 02 00 00 FF 96 38 02 00 00 8B 45 08 80 78 FF 00 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_30197_0 {
	meta:
		name = "UpdateUsingInternalquery"
		size = 274
		refs = "000a UpdateUsingInternalquery 0045 TIBCustomDataSet.InternalPostRecord 0083 TIBCustomDataSet.InternalDeleteRecord 0092 @HandleOnException 009a _Dn_EIBError 00f4 @RaiseAgain 00fb Abort 0109 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 F8 0F B6 40 08 FE C8 74 0A FE C8 74 25 FE C8 74 40 EB 5B 8B 45 08 8B 48 F8 8B 45 08 8B 40 F0 8B 90 EC 01 00 00 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? EB 3C 8B 45 08 8B 48 F8 8B 45 08 8B 40 F0 8B 90 E0 01 00 00 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? EB 1D 8B 45 08 8B 48 F8 8B 45 08 8B 40 F0 8B 90 DC 01 00 00 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 7C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 08 C6 42 FF 00 8B 55 08 8B 52 F0 66 83 BA 3A 02 00 00 00 74 27 8B 55 08 0F B6 52 F7 52 8B 55 08 4A 52 8B 55 08 8B 5A F0 8B 55 08 8B 52 F0 8B C8 8B 83 3C 02 00 00 FF 93 38 02 00 00 8B 45 08 0F B6 40 FF 2C 01 72 08 74 0D FE C8 74 10 EB 15 E8 ?? ?? ?? ?? EB 0E E8 ?? ?? ?? ?? EB 07 8B 45 08 C6 40 EF 01 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_30198_0 {
	meta:
		name = "TIBCustomDataSet.ApplyUpdates"
		size = 556
		refs = "0017 TIBCustomDataSet.ApplyUpdates 003e IBError 007d TDataSet.DisableControls 00be TDataSet.First 00cf TIBCustomDataSet.GetActiveBuf 00d8 GetUpdateKind 0109 UpdateUsingOnUpdateRecord 0116 UpdateUsingUpdateObject 015a Abort 0162 ResetBufferUpdateStatus 0180 UpdateUsingInternalquery 018c TDataSet.Next 01e0 TDataSet.GotoBookmark 01f2 TDataSet.EnableControls 01f8 @HandleFinally 0210 TArray<System.Byte> 0215 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 D2 89 55 E8 89 45 F0 8D 75 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 80 B8 BC 01 00 00 00 75 15 33 C0 89 45 DC C6 45 E0 05 8D 55 DC 33 C9 B0 47 E8 ?? ?? ?? ?? 8B 45 F0 0F B6 80 A5 00 00 00 04 FE 2C 02 73 0B 8B 45 F0 8B 10 FF 92 B0 02 00 00 8B 45 F0 8B 80 84 01 00 00 8B 10 FF 52 28 8B 45 F0 8B 80 84 01 00 00 8B 10 FF 52 2C 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F0 8B 08 FF 91 78 02 00 00 8B 45 F0 0F B6 80 06 02 00 00 88 45 E7 8B 45 F0 0F B6 15 ?? ?? ?? ?? 88 90 06 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? C6 45 EF 00 E9 C5 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F8 55 E8 ?? ?? ?? ?? 59 C6 06 04 8B 45 F0 8B 98 00 02 00 00 85 DB 75 0D 8B 45 F0 66 83 B8 42 02 00 00 00 74 73 8B 45 F0 66 83 B8 42 02 00 00 00 74 09 55 E8 ?? ?? ?? ?? 59 EB 0B 85 DB 74 07 55 E8 ?? ?? ?? ?? 59 0F B6 06 83 F8 05 77 4A FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 45 DC C6 45 E0 05 8D 55 DC 33 C9 B0 38 E8 ?? ?? ?? ?? EB 14 E8 ?? ?? ?? ?? EB 0D 55 E8 ?? ?? ?? ?? 59 EB 04 C6 45 EF 01 8B 45 F0 83 B8 00 02 00 00 00 75 0F 80 3E 04 75 0A 55 E8 ?? ?? ?? ?? 59 C6 06 05 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 80 B8 A9 00 00 00 00 0F 84 2B FF FF FF 8B 45 F0 0F B6 55 EF 88 90 05 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 0F B6 55 E7 88 90 06 02 00 00 8B 55 E8 8B 45 F0 8B 08 FF 91 64 02 00 00 84 C0 74 0D 8B 55 E8 8B 45 F0 E8 ?? ?? ?? ?? EB 08 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 00 0E 00 00 00 }
	condition:
		$1
}

rule function_30199_0 {
	meta:
		name = "TIBCustomDataSet.InternalBatchInput"
		size = 12
		refs = "0007 TIBSQL.BatchInput"
	strings:
		$1 = { 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30363_0 {
	meta:
		name = "TIBCustomDataSet.OutputXML"
		size = 12
		refs = "0007 TIBSQL.OutputXML"
	strings:
		$1 = { 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30365_0 {
	meta:
		name = "TIBCustomDataSet.PSExecute"
		size = 12
		refs = "0007 TIBSQL.ExecQuery"
	strings:
		$1 = { 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30200_0 {
	meta:
		name = "TIBCustomDataSet.InternalBatchOutput"
		size = 139
		refs = "000f _Dn_TIBSQL 0014 TIBSQL.Create 001f TIBCustomDataSet.InternalBatchOutput 0036 TIBSQL.SetDatabase 0047 TIBSQL.SetTransaction 0065 TIBSQL.BatchOutput 007a TObject.Free 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 57 8B FA 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 84 01 00 00 8B 50 04 8B 45 FC E8 ?? ?? ?? ?? 8B 86 84 01 00 00 8B 50 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 86 E8 01 00 00 8B 50 60 8B 45 FC 8B 40 60 8B 08 FF 51 08 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 59 5D C3 }
	condition:
		$1
}

rule function_30201_0 {
	meta:
		name = "TIBCustomDataSet.CancelUpdates"
		size = 248
		refs = "0048 TDataSet.DisableControls 005c TIBCustomDataSet.CancelUpdates 0064 TIBCustomDataSet.SetUpdateRecordTypes 007a TDataSet.First 0093 TIBCustomDataSet.RevertRecord 00a5 TDataSet.Next 00e4 TDataSet.EnableControls 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 0F B6 80 A5 00 00 00 04 FE 2C 02 73 0B 8B 45 FC 8B 10 FF 92 68 02 00 00 8B 45 FC 80 B8 BC 01 00 00 00 0F 84 BC 00 00 00 8B 45 FC 80 B8 05 02 00 00 00 0F 84 AC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 0F B6 80 06 02 00 00 88 45 FB 0F B6 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? EB 29 8B 45 FC 8B 10 FF 92 BC 02 00 00 3C 02 75 0A 8B 45 FC E8 ?? ?? ?? ?? EB 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A9 00 00 00 00 74 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 FB 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 05 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 59 59 5D C3 0E 00 00 00 }
	condition:
		$1
}

rule function_30202_0 {
	meta:
		name = "TIBCustomDataSet.ActivateConnection"
		size = 102
		refs = "0009 TIBCustomDataSet.GetDatabase 0022 IBError 0029 TIBCustomDataSet.GetTransaction 005e TCustomConnection.Open"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 18 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 19 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 75 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_30203_0 {
	meta:
		name = "TIBCustomDataSet.ActivateTransaction"
		size = 78
		refs = "000c TIBCustomDataSet.GetTransaction 0025 IBError 0031 TIBTransaction.GetInTransaction 0043 TIBTransaction.AutoStartTransaction"
	strings:
		$1 = { 53 56 83 C4 F8 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 85 C0 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 19 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0E B3 01 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_30204_0 {
	meta:
		name = "TIBCustomDataSet.DeactivateTransaction"
		size = 54
		refs = "0009 TIBCustomDataSet.GetTransaction 0022 IBError 002e TIBTransaction.CheckAutoStop"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 19 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_30205_0 {
	meta:
		name = "TIBCustomDataSet.CheckDatasetClosed"
		size = 36
		refs = "001d IBError"
	strings:
		$1 = { 83 C4 F8 80 B8 D8 01 00 00 00 74 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 21 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_30206_0 {
	meta:
		name = "TIBCustomDataSet.CheckDatasetOpen"
		size = 36
		refs = "001d IBError"
	strings:
		$1 = { 83 C4 F8 80 B8 D8 01 00 00 00 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 22 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_30207_0 {
	meta:
		name = "TIBCustomDataSet.CheckNotUniDirectional"
		size = 36
		refs = "001d IBError"
	strings:
		$1 = { 83 C4 F8 80 B8 FC 01 00 00 00 74 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 39 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_30208_0 {
	meta:
		name = "TIBCustomDataSet.AdjustRecordOnInsert"
		size = 40
	strings:
		$1 = { 80 B8 A5 00 00 00 03 75 1E 80 B8 AA 00 00 00 00 75 15 8B 88 F4 01 00 00 89 4A 04 8B 90 F4 01 00 00 89 90 C4 01 00 00 C3 }
	condition:
		$1
}

rule function_30209_0 {
	meta:
		name = "TIBCustomDataSet.CanEdit"
		size = 171
		refs = "000f TIBCustomDataSet.CanEdit 001c TIBCustomDataSet.GetActiveBuf 0097 @UStrArrayClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B 83 EC 01 00 00 8B 40 60 8B 08 FF 51 1C 83 7D FC 00 74 09 F6 83 11 02 00 00 02 75 3B 83 BB 00 02 00 00 00 74 1B 33 D2 8B 83 00 02 00 00 8B 08 FF 51 4C 8D 55 F8 8B 08 FF 51 1C 83 7D F8 00 75 17 85 F6 74 0F 80 7E 08 02 75 09 80 BB BC 01 00 00 00 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30210_0 {
	meta:
		name = "TIBCustomDataSet.CanInsert"
		size = 140
		refs = "000f TIBCustomDataSet.CanInsert 0078 @UStrArrayClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 E0 01 00 00 8B 40 60 8B 08 FF 51 1C 83 7D FC 00 74 09 F6 83 11 02 00 00 01 75 25 8B B3 00 02 00 00 85 F6 74 17 B2 01 8B C6 8B 08 FF 51 4C 8D 55 F8 8B 08 FF 51 1C 83 7D F8 00 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30211_0 {
	meta:
		name = "TIBCustomDataSet.CanDelete"
		size = 138
		refs = "000f TIBCustomDataSet.CanDelete 0076 @UStrArrayClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 DC 01 00 00 8B 40 60 8B 08 FF 51 1C 83 7D FC 00 74 09 F6 83 11 02 00 00 04 75 21 8B B3 00 02 00 00 85 F6 74 1B B2 02 8B C6 8B 08 FF 51 4C 8D 55 F8 8B 08 FF 51 1C 83 7D F8 00 74 04 B3 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30212_0 {
	meta:
		name = "TIBCustomDataSet.CanRefresh"
		size = 134
		refs = "000f TIBCustomDataSet.CanRefresh 0072 @UStrArrayClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 E4 01 00 00 8B 40 60 8B 08 FF 51 1C 83 7D FC 00 74 09 F6 83 11 02 00 00 08 75 1F 8B B3 00 02 00 00 85 F6 74 11 8D 55 F8 8B 46 38 8B 08 FF 51 1C 83 7D F8 00 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30213_0 {
	meta:
		name = "TIBCustomDataSet.CheckEditState"
		size = 129
		refs = "0025 TIBCustomDataSet.CanEdit 003e IBError 0050 TIBCustomDataSet.CanInsert"
	strings:
		$1 = { 53 83 C4 F8 8B D8 0F B6 83 A5 00 00 00 04 FE 2C 06 72 04 2C 03 75 58 0F B6 83 A5 00 00 00 2C 02 75 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 32 E8 ?? ?? ?? ?? 0F B6 83 A5 00 00 00 2C 03 75 30 8B C3 E8 ?? ?? ?? ?? 84 C0 75 25 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 30 E8 ?? ?? ?? ?? EB 0E 8D 54 24 08 83 C9 FF B0 2F E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_30214_0 {
	meta:
		name = "TIBCustomDataSet.ClearBlobCache"
		size = 74
		refs = "001f TList.Get 0024 TObject.Free 0033 TList.Put 0042 TList.Pack"
	strings:
		$1 = { 53 56 57 8B F0 8B 86 8C 01 00 00 8B 78 08 4F 85 FF 7C 28 47 33 DB 8B D3 8B 86 8C 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B D3 8B 86 8C 01 00 00 E8 ?? ?? ?? ?? 43 4F 75 DB 8B 86 8C 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30215_0 {
	meta:
		name = "TIBCustomDataSet.CopyRecordBuffer"
		size = 15
		refs = "000a Move"
	strings:
		$1 = { 8B 80 F0 01 00 00 92 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30216_0 {
	meta:
		name = "TIBCustomDataSet.DoBeforeDatabaseDisconnect"
		size = 63
		refs = "0009 TDataSet.GetActive"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 33 D2 8B C3 8B 08 FF 91 B4 01 00 00 C6 83 D9 01 00 00 00 66 83 BB 22 02 00 00 00 74 0E 8B D6 8B 83 24 02 00 00 FF 93 20 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_30217_0 {
	meta:
		name = "TIBCustomDataSet.DoAfterDatabaseDisconnect"
		size = 27
	strings:
		$1 = { 53 66 83 B8 2A 02 00 00 00 74 0E 8B D8 8B 83 2C 02 00 00 FF 93 28 02 00 00 5B C3 }
	condition:
		$1
}

rule function_30218_0 {
	meta:
		name = "TIBCustomDataSet.DoDatabaseFree"
		size = 27
	strings:
		$1 = { 53 66 83 B8 32 02 00 00 00 74 0E 8B D8 8B 83 34 02 00 00 FF 93 30 02 00 00 5B C3 }
	condition:
		$1
}

rule function_30219_0 {
	meta:
		name = "TIBCustomDataSet.DoBeforeTransactionEnd"
		size = 138
		refs = "0009 TDataSet.GetActive 0028 TIBSQL.FreeHandle"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 33 D2 8B C3 8B 08 FF 91 B4 01 00 00 8B 83 E8 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B 83 DC 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B 83 E4 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? C6 83 D9 01 00 00 00 66 83 BB 4A 02 00 00 00 74 0E 8B D6 8B 83 4C 02 00 00 FF 93 48 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_30220_0 {
	meta:
		name = "TIBCustomDataSet.DoAfterTransactionEnd"
		size = 27
	strings:
		$1 = { 53 66 83 B8 52 02 00 00 00 74 0E 8B D8 8B 83 54 02 00 00 FF 93 50 02 00 00 5B C3 }
	condition:
		$1
}

rule function_30221_0 {
	meta:
		name = "TIBCustomDataSet.DoTransactionFree"
		size = 27
	strings:
		$1 = { 53 66 83 B8 5A 02 00 00 00 74 0E 8B D8 8B 83 5C 02 00 00 FF 93 58 02 00 00 5B C3 }
	condition:
		$1
}

rule function_30222_0 {
	meta:
		name = "TIBCustomDataSet.FetchCurrentRecordToBuffer"
		size = 2376
		refs = "003c TIBCustomDataSet.FetchCurrentRecordToBuffer 0084 TIBSQL.Current 010f TIBXSQLDA.GetSQLVAR 0119 TIBSQL.GetFieldIndex 0157 @LStrEqual 017e TIBXSQLVAR.GetAsPointer 01b6 TSQLVAR.GetSqlDef 0256 TIBXSQLVAR.GetCharsetSize 0341 TIBXSQLVAR.GetAsDateTime 0350 DateTimeToTimeStamp 0358 TimeStampToMSecs 042d TIBXSQLVAR.GetAsLong 0471 TIBXSQLVAR.GetAsCurrency 04b8 @UStrFromLStr 04c6 TFields.FindField 050d TIBXSQLVAR.GetAsDouble 0544 TIBXSQLVAR.GetAsBCD 0585 TIBXSQLVAR.GetAsInt64 073d TIBCustomDataSet.GetDatabase 0748 TIBDatabase.GDSLibrary 079d TIBXSQLVAR.GetAsString 07e0 Min 07f2 @UniqueStringU 0888 Move 08c0 TIBCustomDataSet.WriteRecordCache 08d8 @IntfClear 08e3 @LStrClr 08ee @UStrClr 0917 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 70 FF FF FF 53 56 57 33 DB 89 9D 70 FF FF FF 89 9D 78 FF FF FF 89 9D 74 FF FF FF 89 5D 80 89 9D 7C FF FF FF 89 5D 8C 89 5D FC 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 89 45 EC 8B 45 F8 8B 80 88 01 00 00 03 45 08 83 7D F0 FF 7E 1C 8B 55 F8 8B 52 7C 4A 85 D2 7C 11 42 89 55 B8 33 F6 33 D2 89 14 B0 46 FF 4D B8 75 F5 8B 45 EC C6 00 00 8B 45 F4 E8 ?? ?? ?? ?? 0F B7 40 08 8B 55 EC 66 89 42 02 8B 45 EC 8B 55 F0 89 50 04 8B 45 EC C6 40 09 00 8B 45 EC C6 40 08 00 8B 45 EC C7 40 0C FF FF FF FF 8B 45 F8 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? 8B 40 08 89 45 BC BB 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 08 48 85 C0 0F 8C D5 07 00 00 40 89 45 B8 33 F6 8B 45 F8 8B 98 E8 01 00 00 3B 5D F4 75 05 8D 5E 01 EB 32 83 7D BC 00 0F 84 B2 07 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 50 14 8B C3 E8 ?? ?? ?? ?? 40 8B D8 83 FB 01 0F 8C 83 07 00 00 FF 4D BC 8B 45 F8 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? 8B D3 4A E8 ?? ?? ?? ?? 8B 78 18 8D 55 8C 8B C7 8B 08 FF 11 8B 45 8C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 38 8B C7 8B 10 FF 52 14 66 83 F8 08 0F 8F 3E 07 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 08 89 4A 10 8B 48 04 89 4A 14 E9 17 07 00 00 85 DB 0F 8E 0F 07 00 00 8B 45 EC 89 45 B4 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 18 E8 ?? ?? ?? ?? 8D 3C 5B 8B 55 B4 66 89 04 FA 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 20 8B 55 B4 66 89 44 FA 02 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 28 66 83 E0 01 66 83 F8 01 0F 94 C0 8B 55 B4 88 44 FA 04 8D 04 5B 8B 55 B4 80 7C C2 04 00 74 1D 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 10 66 83 38 FF 74 04 33 C0 EB 02 B0 01 8D 14 5B 8B 4D B4 88 44 D1 05 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 5B 8B 4D B4 66 89 44 D1 14 83 7D F0 00 7D 0B 8D 04 5B 8B 55 B4 C6 44 C2 16 00 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 0C 89 45 E8 8D 04 5B 8B 55 B4 0F BF 04 C2 3D F4 01 00 00 7F 45 0F 84 54 01 00 00 3D E0 01 00 00 7F 1F 0F 84 00 04 00 00 2D C0 01 00 00 0F 84 2C 04 00 00 83 E8 04 0F 84 23 04 00 00 E9 2E 05 00 00 2D E2 01 00 00 0F 84 DC 03 00 00 83 E8 0E 0F 84 1A 01 00 00 E9 15 05 00 00 3D 30 02 00 00 7F 1B 0F 84 C0 00 00 00 2D FE 01 00 00 74 23 83 E8 14 0F 84 B1 03 00 00 E9 F3 04 00 00 2D 3A 02 00 00 74 5C 83 E8 0A 0F 84 3B 02 00 00 E9 DE 04 00 00 8D 04 5B 8B 55 B4 C7 44 C2 08 08 00 00 00 83 7D F0 00 7C 2F 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 84 E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? DD 5D E0 9B 8D 45 E0 89 45 E8 E9 B4 04 00 00 8D 04 5B 8B 55 B4 C7 44 C2 08 08 00 00 00 83 7D F0 00 7C 29 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 84 E8 ?? ?? ?? ?? 8B 45 88 89 45 D4 8D 45 D4 89 45 E8 E9 6C 04 00 00 8D 04 5B 8B 55 B4 C7 44 C2 08 08 00 00 00 83 7D F0 00 7C 29 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 84 E8 ?? ?? ?? ?? 8B 45 84 89 45 D4 8D 45 D4 89 45 E8 E9 24 04 00 00 8D 04 5B 8B 55 B4 66 83 7C C2 02 00 75 36 8D 04 5B 8B 55 B4 C7 44 C2 08 04 00 00 00 83 7D F0 00 7C 17 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 8D 45 D4 89 45 E8 E9 E0 03 00 00 8D 04 5B 8B 55 B4 66 83 7C C2 02 FC 7C 37 8D 04 5B 8B 55 B4 C7 44 C2 08 08 00 00 00 83 7D F0 00 7C 18 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DF 7D C0 9B 8D 45 C0 89 45 E8 E9 9B 03 00 00 83 7D F0 00 7D 55 8B 45 F8 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? 8B D3 4A E8 ?? ?? ?? ?? 8B 40 18 8D 95 7C FF FF FF 8B 08 FF 51 18 8B 95 7C FF FF FF 8D 45 80 E8 ?? ?? ?? ?? 8B 55 80 8B 45 F8 8B 40 38 E8 ?? ?? ?? ?? 85 C0 74 11 80 78 48 06 75 0B 8D 04 5B 8B 55 B4 C6 44 C2 16 01 8D 04 5B 8B 55 B4 80 7C C2 16 00 74 34 8B 55 B4 C7 44 C2 08 08 00 00 00 83 7D F0 00 7C 18 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D D8 9B 8D 45 D8 89 45 E8 E9 FF 02 00 00 8B 55 B4 C7 44 C2 08 22 00 00 00 83 7D F0 00 7C 17 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8D 55 92 E8 ?? ?? ?? ?? 8D 45 92 89 45 E8 E9 CC 02 00 00 8D 04 5B 8B 55 B4 66 83 7C C2 02 00 75 39 8D 04 5B 8B 55 B4 C7 44 C2 08 08 00 00 00 83 7D F0 00 7C 1A 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 89 55 CC 8D 45 C8 89 45 E8 E9 85 02 00 00 8D 04 5B 8B 55 B4 66 83 7C C2 02 FC 7C 37 8D 04 5B 8B 55 B4 C7 44 C2 08 08 00 00 00 83 7D F0 00 7C 18 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DF 7D C0 9B 8D 45 C0 89 45 E8 E9 40 02 00 00 83 7D F0 00 7D 5B 8B 45 F8 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? 8B D3 4A E8 ?? ?? ?? ?? 8B 40 18 8D 95 74 FF FF FF 8B 08 FF 51 18 8B 95 74 FF FF FF 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8B 45 F8 8B 40 38 E8 ?? ?? ?? ?? 85 C0 74 11 80 78 48 06 75 0B 8D 04 5B 8B 55 B4 C6 44 C2 16 01 8D 04 5B 8B 55 B4 80 7C C2 16 00 74 34 8B 55 B4 C7 44 C2 08 08 00 00 00 83 7D F0 00 7C 18 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D D8 9B 8D 45 D8 89 45 E8 E9 9E 01 00 00 8B 55 B4 C7 44 C2 08 22 00 00 00 83 7D F0 00 7C 17 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8D 55 92 E8 ?? ?? ?? ?? 8D 45 92 89 45 E8 E9 6B 01 00 00 8D 04 5B 8B 55 B4 C7 44 C2 08 08 00 00 00 83 7D F0 00 7C 18 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D D8 9B 8D 45 D8 89 45 E8 E9 34 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 14 0F BF C0 8D 14 5B 8B 4D EC 0F BF 54 D1 14 8B CA 99 F7 F9 03 C0 8D 14 5B 8B 4D EC 89 44 D1 08 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 0C 50 8B 45 F8 E8 ?? ?? ?? ?? 8D 95 70 FF FF FF E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 66 B9 02 00 5A 8B 38 FF 97 28 01 00 00 8D 14 5B 8B 4D EC 89 44 D1 0C 83 7D F0 00 0F 8C AC 00 00 00 8D 04 5B 8B 55 B4 83 7C C2 0C 00 75 0A 33 C0 89 45 E8 E9 95 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8D 04 5B 8B 55 B4 66 81 3C C2 C4 01 75 16 8D 04 5B 8B 55 B4 8B 44 C2 08 8D 14 5B 8B 4D B4 89 44 D1 0C EB 29 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 8D 04 5B 8B 55 EC 8B 54 C2 08 8B C7 03 C0 E8 ?? ?? ?? ?? 8D 14 5B 8B 4D B4 89 44 D1 0C 8D 45 FC E8 ?? ?? ?? ?? 89 45 E8 EB 24 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 14 0F BF C0 8D 14 5B 8B 4D B4 89 44 D1 08 83 7D F0 00 7D 2D 8D 04 5B 8B 55 B4 C6 44 C2 05 01 8B 55 B4 8B 4D F8 8B 89 F8 01 00 00 89 4C C2 10 8B 55 B4 8B 44 C2 08 8B 55 F8 01 82 F8 01 00 00 EB 5A 8D 14 5B 8B 45 B4 0F B7 04 D0 66 3D C0 01 74 06 66 3D C4 01 75 26 83 7D E8 00 74 3E 8B 45 B4 8B 4C D0 0C 8B 45 B4 8B 44 D0 10 8B 55 08 8D 04 02 8B D0 8B 45 E8 E8 ?? ?? ?? ?? EB 1E 8B 45 B4 8B 4C D0 08 8B 45 B4 8B 44 D0 10 8B 55 08 8D 04 02 8B D0 8B 45 E8 E8 ?? ?? ?? ?? 46 FF 4D B8 0F 85 31 F8 FF FF 8B 4D EC 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B4 5F 5E 5B 8B E5 5D C2 04 00 00 00 E4 04 01 00 FF FF FF FF 12 00 00 00 49 42 58 5F 49 4E 54 45 52 4E 41 4C 5F 44 42 4B 45 59 00 00 }
	condition:
		$1
}

rule function_30223_0 {
	meta:
		name = "TIBCustomDataSet.GetActiveBuf"
		size = 245
		refs = "0016 TIBCustomDataSet.GetActiveBuf 00ad TIBCustomDataSet.ReadCache"
	strings:
		$1 = { 53 8B D8 0F B6 83 A5 00 00 00 83 F8 08 0F 87 C8 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 8B 50 5C 3B 50 58 7C 07 33 C0 E9 A4 00 00 00 8B 40 64 8B 04 90 5B C3 8B C3 8B 50 5C 8B 40 64 8B 04 90 5B C3 8B 43 68 5B C3 8B 83 A8 01 00 00 5B C3 8B C3 8B 50 5C 8B 40 64 8B 04 90 5B C3 8B C3 8B 50 5C 8B 40 64 8B 04 90 83 78 0C FF 74 2A 6A 00 8B 83 D4 01 00 00 50 8B 43 5C 8B 53 64 8B 04 82 8B 48 0C 8B 93 98 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 D4 01 00 00 EB 3A 8B 53 5C 8B 4B 64 8B 14 91 8B 52 04 8B 83 D0 01 00 00 3B 50 04 74 23 8B 43 5C 8B 53 64 8B 04 82 5B C3 80 BB D8 01 00 00 00 75 04 33 C0 EB 0B 8B C3 8B 50 5C 8B 40 64 8B 04 90 5B C3 }
	condition:
		$1
}

rule function_30224_0 {
	meta:
		name = "TIBCustomDataSet.CachedUpdateStatus"
		size = 31
		refs = "0006 TDataSet.GetActive 0011 TIBCustomDataSet.GetActiveBuf"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C3 E8 ?? ?? ?? ?? 0F B6 40 08 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_30225_0 {
	meta:
		name = "TIBCustomDataSet.GetDatabase"
		size = 10
	strings:
		$1 = { 8B 80 84 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_30226_0 {
	meta:
		name = "TIBCustomDataSet.GetDBHandle"
		size = 12
	strings:
		$1 = { 8B 80 84 01 00 00 8B 10 FF 52 18 C3 }
	condition:
		$1
}

rule function_30227_0 {
	meta:
		name = "TIBCustomDataSet.GetDeleteSQL"
		size = 10
	strings:
		$1 = { 8B 80 DC 01 00 00 8B 40 60 C3 }
	condition:
		$1
}

rule function_30228_0 {
	meta:
		name = "TIBCustomDataSet.GetInsertSQL"
		size = 10
	strings:
		$1 = { 8B 80 E0 01 00 00 8B 40 60 C3 }
	condition:
		$1
}

rule function_30229_0 {
	meta:
		name = "TIBCustomDataSet.GetSQLParams"
		size = 35
		refs = "001d TIBSQL.GetSQLParams"
	strings:
		$1 = { 53 8B D8 80 BB D9 01 00 00 00 75 0A 8B C3 8B 10 FF 92 CC 02 00 00 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30359_0 {
	meta:
		name = "TIBCustomDataSet.Current"
		size = 35
		refs = "001d TIBSQL.Current"
	strings:
		$1 = { 53 8B D8 80 BB D9 01 00 00 00 75 0A 8B C3 8B 10 FF 92 CC 02 00 00 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30230_0 {
	meta:
		name = "TIBCustomDataSet.GetRefreshSQL"
		size = 10
	strings:
		$1 = { 8B 80 E4 01 00 00 8B 40 60 C3 }
	condition:
		$1
}

rule function_30231_0 {
	meta:
		name = "TIBCustomDataSet.GetSelectSQL"
		size = 10
	strings:
		$1 = { 8B 80 E8 01 00 00 8B 40 60 C3 }
	condition:
		$1
}

rule function_30232_0 {
	meta:
		name = "TIBCustomDataSet.GetStatementType"
		size = 11
		altNames = "TIBCustomDataSet.SQLType"
	strings:
		$1 = { 8B 80 E8 01 00 00 0F B6 40 74 C3 }
	condition:
		$1
}

rule function_30233_0 {
	meta:
		name = "TIBCustomDataSet.GetModifySQL"
		size = 10
	strings:
		$1 = { 8B 80 EC 01 00 00 8B 40 60 C3 }
	condition:
		$1
}

rule function_30234_0 {
	meta:
		name = "TIBCustomDataSet.GetTransaction"
		size = 10
	strings:
		$1 = { 8B 80 84 01 00 00 8B 40 0C C3 }
	condition:
		$1
}

rule function_30235_0 {
	meta:
		name = "TIBCustomDataSet.GetTRHandle"
		size = 12
	strings:
		$1 = { 8B 80 84 01 00 00 8B 10 FF 52 1C C3 }
	condition:
		$1
}

rule function_30236_0 {
	meta:
		name = "TIBCustomDataSet.InternalDeleteRecord"
		size = 177
		refs = "000f TIBCustomDataSet.InternalDeleteRecord 0057 TIBCustomDataSet.SetInternalSQLParams 0062 TIBSQL.ExecQuery 006d TIBSQL.GetRowsAffected 008b TIBCustomDataSet.WriteRecordCache 00a0 @UStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 00 02 00 00 00 74 2A B2 02 8B 83 00 02 00 00 8B 08 FF 51 4C 8D 55 FC 8B 08 FF 51 1C 83 7D FC 00 74 0F B2 02 8B 83 00 02 00 00 8B 08 FF 51 48 EB 2B 8B CE 8B 93 DC 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 89 83 18 02 00 00 8B D6 8B C2 C6 40 09 03 C6 40 08 00 8B 52 04 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30237_0 {
	meta:
		name = "TIBCustomDataSet.InternalLocate"
		size = 1179
		refs = "0022 TIBCustomDataSet.InternalLocate 002f _Dn_TList 0034 TObject.Create 0052 TDataSet.GetFieldList 007f :TIBCustomDataSet.:2 0084 @DynArraySetLength 00b2 VarIsArray 00c6 @VarArrayGet 00dc @VarCopy 00fb TList.Get 0111 VarIsNull 012e @VarToUStr 0139 AnsiUpperCase 0147 @VarFromUStr 0204 VarAsType 021e @HandleOnException 0226 _Dn_EVariantError 0236 @DoneExcept 027d @UStrLAsg 02a7 AnsiPos 02e2 @VarCmpEQ 031d @VarToReal 032f CurrencyString 0334 DateTimeToStr 035e @UStrEqual 03b1 TDataSet.Next 03d8 TDataSet.GotoBookmark 03f9 TObject.Free 0407 @DynArrayClear 040d @HandleFinally 0427 @VarClr 0434 @UStrArrayClr 047d TArray<System.Byte>"
	strings:
		$1 = { 55 8B EC 51 B9 11 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 8B F2 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CE 8B 55 CC 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 CC 8B 40 08 89 45 C4 8D 55 FC 8B 45 D4 8B 08 FF 91 78 02 00 00 C6 45 D3 00 8B 45 C4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 D4 80 B8 A9 00 00 00 00 0F 85 1A 03 00 00 8B 75 C4 4E 85 F6 0F 8C 0E 03 00 00 46 C7 45 C8 00 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 28 8B 45 C8 50 6A 01 53 8D 45 A0 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 A0 8B 45 C8 03 C0 8B 4D F8 8D 04 C1 E8 ?? ?? ?? ?? EB 12 8B 45 C8 03 C0 8B 55 F8 8D 04 C2 8B D3 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 CC E8 ?? ?? ?? ?? 80 78 48 18 75 46 8B 45 C8 03 C0 8B 55 F8 8D 04 C2 E8 ?? ?? ?? ?? 84 C0 75 32 F6 45 08 01 74 2C 8D 45 98 8B 7D C8 03 FF 8B 55 F8 8D 14 FA E8 ?? ?? ?? ?? 8B 45 98 8D 55 9C E8 ?? ?? ?? ?? 8B 55 9C 8B 45 F8 8D 04 F8 E8 ?? ?? ?? ?? FF 45 C8 4E 0F 85 5A FF FF FF E9 5B 02 00 00 33 C0 89 45 C8 C6 45 D3 01 E9 2D 02 00 00 8B 55 C8 8B 45 CC E8 ?? ?? ?? ?? 8D 55 D8 8B 08 FF 91 90 00 00 00 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 74 28 80 7D D3 00 74 14 8B 45 C8 03 C0 8B 55 F8 8D 04 C2 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 D3 E9 E0 01 00 00 80 7D D3 00 74 14 8B 45 C8 03 C0 8B 55 F8 8D 04 C2 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 88 45 D3 80 7D D3 00 0F 84 B3 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 C8 03 C0 8B 55 F8 8D 3C C2 0F B7 37 8D 4D 88 8D 45 D8 8B D6 E8 ?? ?? ?? ?? 8D 55 88 8D 45 D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 45 C0 C6 45 D3 00 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 CC E8 ?? ?? ?? ?? 80 78 48 18 0F 85 A7 00 00 00 8B 55 C8 8B 45 CC E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 91 80 00 00 00 F6 45 08 01 74 16 8D 55 84 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 84 8D 45 F4 E8 ?? ?? ?? ?? F6 45 08 02 74 35 80 7D D3 00 74 21 8D 45 80 8B 55 C8 03 D2 8B 4D F8 8D 14 D1 E8 ?? ?? ?? ?? 8B 45 80 8B 55 F4 E8 ?? ?? ?? ?? 48 74 04 33 C0 EB 02 B0 01 88 45 D3 E9 D6 00 00 00 80 7D D3 00 74 26 8D 85 70 FF FF FF 8B 55 F4 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 8B 55 C8 03 D2 8B 4D F8 8D 14 D1 E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 D3 E9 9C 00 00 00 8B 55 C8 8B 45 CC E8 ?? ?? ?? ?? 0F B6 40 48 04 F7 2C 03 73 63 80 7D D3 00 74 56 8B 45 C8 03 C0 8B 55 F8 8D 04 C2 E8 ?? ?? ?? ?? DD 5D B8 9B FF 75 BC FF 75 B8 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? DD 5D B0 9B FF 75 B4 FF 75 B0 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 EC E8 ?? ?? ?? ?? 0F 94 C3 EB 02 33 DB 88 5D D3 EB 24 80 7D D3 00 74 15 8B 45 C8 03 C0 8B 55 F8 8D 04 C2 8D 55 D8 E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 D3 FF 45 C8 80 7D D3 00 74 0C 8B 45 C8 3B 45 C4 0F 8C C1 FD FF FF 80 7D D3 00 75 08 8B 45 D4 E8 ?? ?? ?? ?? 80 7D D3 00 75 10 8B 45 D4 80 B8 A9 00 00 00 00 0F 84 8F FD FF FF 80 7D D3 00 75 0D 8B 55 FC 8B 45 D4 E8 ?? ?? ?? ?? EB 0A 8B 45 D4 C7 40 60 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 45 80 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 98 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 92 0F B6 45 D3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_30238_0 {
	meta:
		name = "TIBCustomDataSet.InternalPostRecord"
		size = 389
		refs = "0026 TFields.GetCount 003e TFields.GetField 0082 TIBBlobStream.Finalize 011d TIBCustomDataSet.SetInternalSQLParams 0125 TIBSQL.ExecQuery 012d TIBSQL.GetRowsAffected 0152 TIBCustomDataSet.WriteRecordCache 016b TIBCustomDataSet.CanRefresh"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B E9 89 14 24 8B F0 8B C5 03 86 88 01 00 00 89 44 24 0C 33 C0 89 44 24 04 8B C6 8B 40 38 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C A5 00 00 00 47 33 DB 8B D3 8B 46 38 E8 ?? ?? ?? ?? 8B 00 FF 90 28 01 00 00 84 C0 0F 84 80 00 00 00 8B D3 8B 46 38 E8 ?? ?? ?? ?? 8B 10 FF 92 A8 00 00 00 8B 96 08 02 00 00 8B 44 82 FC 89 44 24 08 8B 44 24 0C 8B 54 24 04 8B 04 90 85 C0 74 4D E8 ?? ?? ?? ?? 8B 44 24 08 8D 04 40 8B 44 C5 10 03 C5 8B 54 24 0C 8B 4C 24 04 8B 14 8A 8B 4A 08 89 08 8B 4A 0C 89 48 04 8B 44 24 0C 8B 54 24 04 8B 04 90 8B 10 FF 12 83 FA 00 75 03 83 F8 00 0F 94 C0 8B 54 24 08 8D 14 52 88 44 D5 05 FF 44 24 04 43 4F 0F 85 5E FF FF FF 8B 86 00 02 00 00 85 C0 74 31 8B 14 24 3B 96 DC 01 00 00 75 09 B2 02 8B 08 FF 51 48 EB 3F 8B 14 24 3B 96 E0 01 00 00 75 09 B2 01 8B 08 FF 51 48 EB 2B 33 D2 8B 08 FF 51 48 EB 22 8B CD 8B 14 24 8B C6 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 89 86 18 02 00 00 8B C5 C6 40 09 00 C6 40 08 00 8B D6 C6 82 AA 00 00 00 00 8B 50 04 8B CD 8B C6 E8 ?? ?? ?? ?? 80 BE 81 01 00 00 00 75 09 80 BE 80 01 00 00 00 74 15 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 D8 02 00 00 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30239_0 {
	meta:
		name = "TIBCustomDataSet.InternalRefreshRow"
		size = 446
		refs = "0017 TIBCustomDataSet.InternalRefreshRow 002a TIBCustomDataSet.GetActiveBuf 0034 TIBCustomDataSet.CanRefresh 006c _Dn_TIBSQL 0071 TIBSQL.Create 007c TIBCustomDataSet.GetDatabase 0086 TIBSQL.SetDatabase 008e TIBCustomDataSet.GetTransaction 0098 TIBSQL.SetTransaction 00dc TIBCustomDataSet.SetInternalSQLParams 00e4 TIBSQL.ExecQuery 0103 TIBSQL.Next 011b TIBCustomDataSet.FetchCurrentRecordToBuffer 013e TIBCustomDataSet.WriteRecordCache 0148 TIBCustomDataSet.SaveOldBuffer 015d TIBSQL.Close 0163 @HandleFinally 017b TObject.Free 0192 IBError 01ac @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 D2 89 55 F0 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 41 01 00 00 85 DB 0F 84 21 01 00 00 8B 45 FC 8B B0 00 02 00 00 85 F6 74 72 8D 55 F4 8B 46 38 8B 08 FF 51 1C 83 7D F4 00 74 61 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 C6 40 42 00 8D 55 F0 8B 45 FC 8B 80 00 02 00 00 8B 40 38 8B 08 FF 51 1C 8B 55 F0 8B 45 F8 8B 40 60 8B 08 FF 51 2C EB 0C 8B 45 FC 8B 80 E4 01 00 00 89 45 F8 8B CB 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 80 78 74 08 74 0C 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 41 8B C3 8B 70 0C 53 8B 48 04 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 BC 01 00 00 00 74 21 83 FE FF 74 1C 8B C3 89 70 0C 8B 50 04 8B CB 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 E4 01 00 00 3B 45 F8 74 1F 8B 45 F8 E8 ?? ?? ?? ?? EB 15 33 C0 89 45 E8 C6 45 EC 05 8D 55 E8 33 C9 B0 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30240_0 {
	meta:
		name = "TIBCustomDataSet.InternalRevertRecord"
		size = 288
		refs = "0036 TIBCustomDataSet.InternalRevertRecord 004b TIBCustomDataSet.ReadRecordCache 009e TIBCustomDataSet.CopyRecordBuffer 00c6 TIBCustomDataSet.WriteRecordCache 0110 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B DA 89 45 FC 33 C0 89 45 F8 33 C0 89 45 F4 8B 45 FC 8B 10 FF 92 E8 01 00 00 89 45 F8 8B 45 FC 8B 10 FF 92 E8 01 00 00 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8B 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 0F B6 40 08 8B D0 FE CA 74 1C FE CA 74 06 FE CA 74 14 EB 2D 8B 45 F8 C6 40 08 04 8B 45 FC FF 80 C8 01 00 00 EB 1B 3C 03 75 09 8B 45 FC FF 88 C8 01 00 00 8B 4D F8 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 0F B6 80 A5 00 00 00 04 FE 2C 03 73 0B 8B 45 FC 8B 10 FF 92 68 02 00 00 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 80 78 08 04 75 12 0F B6 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 B4 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 F8 8B 45 FC 8B 08 FF 91 EC 01 00 00 8D 55 F4 8B 45 FC 8B 08 FF 91 EC 01 00 00 C3 E9 ?? ?? ?? ?? EB DC 5B 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_30241_0 {
	meta:
		name = "TIBCustomDataSet.IsVisible"
		size = 60
	strings:
		$1 = { 56 B1 01 80 B8 A5 00 00 00 08 74 2C 0F B6 4A 08 80 F9 07 77 0D 83 E1 7F 0F B6 80 06 02 00 00 0F A3 C8 73 0E 8B F2 80 7E 08 00 75 0A 80 7E 09 03 75 04 33 C9 EB 02 B1 01 8B C1 5E C3 }
	condition:
		$1
}

rule function_30242_0 {
	meta:
		name = "TIBCustomDataSet.LocateNext"
		size = 205
		refs = "0018 TIBCustomDataSet.LocateNext 0026 TDataSet.DisableControls 004a TDataSet.Next 005b TIBCustomDataSet.InternalLocate 006f TDataSet.GotoBookmark 0092 TDataSet.EnableControls 0098 @HandleFinally 00b0 TArray<System.Byte> 00b5 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 8B F1 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 F8 8B 08 FF 91 78 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 45 08 50 8B CE 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 88 45 F7 80 7D F7 00 75 0B 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 91 74 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 F7 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_30243_0 {
	meta:
		name = "PrepareSQL"
		size = 218
		refs = "0014 PrepareSQL 003d Trim 0050 TIBSQL.Prepare 0084 @HandleOnException 008c _Dn_Exception 009a _Dn_EIBInterBaseRoleError 009f @IsClass 00a8 @RaiseAgain 00ad @DoneExcept 00c7 @UStrArrayClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 8B 08 FF 51 1C 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 32 80 7E 44 00 75 07 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 FB 07 77 1A 83 E3 7F 05 11 02 00 00 8B D0 83 E2 03 2B C2 03 D2 03 D2 03 D2 03 DA 0F AB 18 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30244_0 {
	meta:
		name = "TIBCustomDataSet.InternalPrepare"
		size = 464
		refs = "001b TIBCustomDataSet.InternalPrepare 0050 Trim 0063 IBError 007d TIBCustomDataSet.ActivateConnection 0085 TIBCustomDataSet.ActivateTransaction 00ee TIBSQL.Prepare 0112 PrepareSQL 0199 TIBCustomDataSet.DeactivateTransaction 019f @HandleFinally 01bb @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 33 D2 89 55 EC 89 55 E8 89 55 F4 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 D9 01 00 00 00 0F 85 70 01 00 00 8D 55 F0 8B 45 FC 8B 80 E8 01 00 00 8B 40 60 8B 08 FF 51 1C 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 83 7D F4 00 75 0D 8D 55 F0 83 C9 FF B0 41 E8 ?? ?? ?? ?? C6 45 FB 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 8B 45 FC 8B 80 84 01 00 00 8B 10 FF 52 28 8B 45 FC 8B 80 84 01 00 00 8B 10 FF 52 2C 8D 55 E8 8B 45 FC 8B 80 E8 01 00 00 8B 40 60 8B 08 FF 51 1C 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 83 7D EC 00 0F 84 9C 00 00 00 8B 45 FC 8B 80 E8 01 00 00 80 78 44 00 75 12 8B 55 FC 0F B6 92 04 02 00 00 88 50 64 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 15 ?? ?? ?? ?? 88 90 11 02 00 00 55 8B 45 FC 8B 80 DC 01 00 00 8B 50 60 B1 02 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 E0 01 00 00 8B 50 60 33 C9 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 EC 01 00 00 8B 50 60 B1 01 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 E4 01 00 00 8B 50 60 B1 03 E8 ?? ?? ?? ?? 59 8B 45 FC C6 80 D9 01 00 00 01 8B 45 FC 8B 10 FF 92 38 02 00 00 EB 15 33 C0 89 45 E0 C6 45 E4 05 8D 55 E0 33 C9 B0 2A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_30246_0 {
	meta:
		name = "TIBCustomDataSet.RevertRecord"
		size = 72
		refs = "0019 TIBCustomDataSet.GetActiveBuf 0025 TIBCustomDataSet.InternalRevertRecord 0033 TIBCustomDataSet.ReadRecordCache"
	strings:
		$1 = { 53 56 8B D8 80 BB BC 01 00 00 00 74 38 80 BB 05 02 00 00 00 74 2F 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 56 04 8B C3 E8 ?? ?? ?? ?? 6A 00 8B CE 8B 56 04 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 8B C3 8B 18 FF 93 E4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_30247_0 {
	meta:
		name = "CopyOldBuffer"
		size = 74
		refs = "0016 TIBCustomDataSet.CopyRecordBuffer 0044 @FillChar"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 48 F4 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 7C 85 C0 7E 21 8B 55 08 8B 52 FC 8B 92 88 01 00 00 8B 4D 08 8B 49 F4 8D 14 11 03 C0 03 C0 33 C9 92 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_30248_0 {
	meta:
		name = "TIBCustomDataSet.SaveOldBuffer"
		size = 247
		refs = "0035 TIBCustomDataSet.SaveOldBuffer 0059 TIBCustomDataSet.AdjustPosition 0065 CopyOldBuffer 007f TIBCustomDataSet.WriteCache 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 83 7D F8 00 0F 84 DD 00 00 00 8B 45 F8 83 78 04 00 0F 8C D0 00 00 00 8B 45 FC 8B 10 FF 92 E8 01 00 00 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 78 0C FF 75 64 6A 02 8B 45 FC 8B 90 98 01 00 00 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C 55 E8 ?? ?? ?? ?? 59 6A 01 8B 45 F4 50 8B 45 FC 8B 90 98 01 00 00 33 C9 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8B 45 F8 50 8B 45 F8 8B 48 04 8B 45 FC 0F AF 88 F0 01 00 00 8B 45 FC 8B 90 94 01 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 24 55 E8 ?? ?? ?? ?? 59 6A 00 8B 45 F4 50 8B 45 F8 8B 48 0C 8B 45 FC 8B 90 98 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 08 FF 91 EC 01 00 00 C3 E9 ?? ?? ?? ?? EB EA 8B E5 5D C3 }
	condition:
		$1
}

rule function_30249_0 {
	meta:
		name = "TIBCustomDataSet.SetBufferChunks"
		size = 22
	strings:
		$1 = { 85 D2 7F 0B C7 80 90 01 00 00 E8 03 00 00 C3 89 90 90 01 00 00 C3 }
	condition:
		$1
}

rule function_30250_0 {
	meta:
		name = "TIBCustomDataSet.SetDatabase"
		size = 105
		refs = "0014 TIBCustomDataSet.CheckDatasetClosed 002e TIBSQL.SetDatabase"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 84 01 00 00 3B 70 04 74 55 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 84 01 00 00 8B 08 FF 51 20 8B D6 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30251_0 {
	meta:
		name = "TIBCustomDataSet.SetDeleteSQL"
		size = 135
		refs = "0011 TIBCustomDataSet.SetDeleteSQL 003f @UStrEqual 0075 @UStrArrayClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 86 DC 01 00 00 8B 40 60 8B 08 FF 51 1C 8B 45 FC 50 8D 55 F8 8B C7 8B 08 FF 51 1C 8B 55 F8 58 E8 ?? ?? ?? ?? 74 1A 8B C6 8B 10 FF 92 E0 02 00 00 8B 86 DC 01 00 00 8B 40 60 8B D7 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 59 59 5D C3 }
	condition:
		$1
}

rule function_30252_0 {
	meta:
		name = "TIBCustomDataSet.SetInsertSQL"
		size = 135
		refs = "0011 TIBCustomDataSet.SetInsertSQL 003f @UStrEqual 0075 @UStrArrayClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 86 E0 01 00 00 8B 40 60 8B 08 FF 51 1C 8B 45 FC 50 8D 55 F8 8B C7 8B 08 FF 51 1C 8B 55 F8 58 E8 ?? ?? ?? ?? 74 1A 8B C6 8B 10 FF 92 E0 02 00 00 8B 86 E0 01 00 00 8B 40 60 8B D7 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 59 59 5D C3 }
	condition:
		$1
}

rule function_30253_0 {
	meta:
		name = "TIBCustomDataSet.SetInternalSQLParams"
		size = 1488
		refs = "001d TIBCustomDataSet.SetInternalSQLParams 003e IBError 006f TIBSQL.GetSQLParams 008f TIBXSQLDA.GetSQLVAR 009a @UStrLAsg 00a7 Pos 00c9 @UStrCopy 00f0 TIBCustomDataSet.ReadRecordCache 0146 TIBSQL.GetFieldIndex 0172 @UStrEqual 0187 TIBXSQLVAR.GetAsPointer 01bc TIBXSQLVAR.SetIsNull 02b3 @UStrFromPWCharLen 02c9 TIBXSQLVAR.SetAsString 02e9 TIBXSQLVAR.SetAsDouble 0314 TIBXSQLVAR.SetAsLong 0342 TIBXSQLVAR.SetAsCurrency 038a TIBXSQLVAR.SetAsBcd 03b8 TIBXSQLVAR.SetAsInt64 0449 TIBXSQLVAR.SetAsQuad 0463 TimeStampToDateTime 047d TIBXSQLVAR.SetAsDate 04b3 TIBXSQLVAR.SetAsTime 04c9 MSecsToTimeStamp 04eb TIBXSQLVAR.SetAsDateTime 050a TIBXSQLVAR.SetAsBoolean 053b @HandleFinally 0557 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F0 8B FA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F0 00 75 15 33 C0 89 45 CC C6 45 D0 05 8D 55 CC 33 C9 B0 35 E8 ?? ?? ?? ?? 8B 45 F4 80 B8 D9 01 00 00 00 75 0B 8B 45 F4 8B 10 FF 92 CC 02 00 00 33 C0 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B 40 08 48 85 C0 0F 8C 99 04 00 00 40 89 45 D8 33 DB 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 50 14 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 4E 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 FC 50 8B CE BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 7D E4 00 75 21 8B 45 F4 8B 10 FF 92 E8 01 00 00 89 45 E4 6A 01 8B 45 F0 8B 50 04 8B 4D E4 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E4 89 45 EC EB 3D 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 27 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 FC 50 8B CE BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 89 45 EC EB 06 8B 45 F0 89 45 EC 8B 45 F4 8B 80 E8 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B F0 46 85 F6 0F 8E B9 03 00 00 8B 45 EC 89 45 D4 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 26 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 4A 10 89 08 8B 4A 14 89 48 04 E9 70 03 00 00 8D 04 76 8B 55 D4 80 7C C2 05 00 74 1A 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? E9 49 03 00 00 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8D 04 76 8B 55 D4 8B 44 C2 10 03 45 EC 89 45 E8 8D 04 76 8B 55 D4 0F BF 04 C2 3D 08 02 00 00 7F 53 0F 84 36 02 00 00 3D E2 01 00 00 7F 24 0F 84 C4 00 00 00 2D C0 01 00 00 0F 84 82 00 00 00 83 E8 04 74 7D 83 E8 1C 0F 84 AB 00 00 00 E9 E2 02 00 00 2D F0 01 00 00 0F 84 BB 00 00 00 83 E8 04 0F 84 B2 00 00 00 83 E8 0A 0F 84 70 02 00 00 E9 C0 02 00 00 3D 30 02 00 00 7F 24 0F 84 2B 02 00 00 2D 12 02 00 00 74 70 83 E8 0A 0F 84 CC 01 00 00 83 E8 0A 0F 84 C3 01 00 00 E9 95 02 00 00 2D 3A 02 00 00 0F 84 CE 01 00 00 83 E8 0A 0F 84 06 01 00 00 83 E8 0A 0F 84 5B 02 00 00 E9 73 02 00 00 8D 04 76 8B 55 D4 8B 4C C2 0C D1 F9 79 03 83 D1 00 8D 45 F8 8B 55 E8 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? E9 3C 02 00 00 8B 45 E8 FF 70 04 FF 30 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1C 02 00 00 8D 04 76 8B 55 D4 66 83 7C C2 02 00 75 1D 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 55 E8 8B 12 E8 ?? ?? ?? ?? E9 F1 01 00 00 8D 04 76 8B 55 D4 66 83 7C C2 02 FC 7C 20 8B 45 E8 FF 70 04 FF 30 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C3 01 00 00 8D 04 76 8B 55 D4 80 7C C2 16 00 74 20 8B 45 E8 FF 70 04 FF 30 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 96 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 55 E8 E8 ?? ?? ?? ?? E9 7B 01 00 00 8D 04 76 8B 55 D4 66 83 7C C2 02 00 75 20 8B 45 E8 FF 70 04 FF 30 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4D 01 00 00 8D 04 76 8B 55 D4 66 83 7C C2 02 FC 7C 20 8B 45 E8 FF 70 04 FF 30 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1F 01 00 00 8D 04 76 8B 55 D4 80 7C C2 16 00 74 20 8B 45 E8 FF 70 04 FF 30 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F2 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 55 E8 E8 ?? ?? ?? ?? E9 D7 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 55 E8 E8 ?? ?? ?? ?? E9 BC 00 00 00 8B 45 E8 8B 00 89 45 E0 33 C0 89 45 DC 8D 45 DC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 88 00 00 00 C7 45 E0 01 00 00 00 8B 45 E8 8B 00 89 45 DC 8D 45 DC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 55 8B 45 E8 DD 00 83 C4 F8 DF 3C 24 9B 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1D 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 55 E8 66 83 3A 01 0F 94 C2 E8 ?? ?? ?? ?? 43 FF 4D D8 0F 85 6D FB FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0E 8D 55 E4 8B 45 F4 8B 08 FF 91 EC 01 00 00 C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4F 00 4C 00 44 00 5F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 45 00 57 00 5F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 42 00 58 00 5F 00 49 00 4E 00 54 00 45 00 52 00 4E 00 41 00 4C 00 5F 00 44 00 42 00 4B 00 45 00 59 00 00 00 00 00 }
	condition:
		$1
}

rule function_30254_0 {
	meta:
		name = "TIBCustomDataSet.SetRefreshSQL"
		size = 135
		refs = "0011 TIBCustomDataSet.SetRefreshSQL 003f @UStrEqual 0075 @UStrArrayClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 86 E4 01 00 00 8B 40 60 8B 08 FF 51 1C 8B 45 FC 50 8D 55 F8 8B C7 8B 08 FF 51 1C 8B 55 F8 58 E8 ?? ?? ?? ?? 74 1A 8B C6 8B 10 FF 92 E0 02 00 00 8B 86 E4 01 00 00 8B 40 60 8B D7 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 59 59 5D C3 }
	condition:
		$1
}

rule function_30255_0 {
	meta:
		name = "TIBCustomDataSet.SetSelectSQL"
		size = 135
		refs = "0011 TIBCustomDataSet.SetSelectSQL 003f @UStrEqual 0075 @UStrArrayClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 86 E8 01 00 00 8B 40 60 8B 08 FF 51 1C 8B 45 FC 50 8D 55 F8 8B C7 8B 08 FF 51 1C 8B 55 F8 58 E8 ?? ?? ?? ?? 74 1A 8B C6 8B 10 FF 92 E0 02 00 00 8B 86 E8 01 00 00 8B 40 60 8B D7 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 59 59 5D C3 }
	condition:
		$1
}

rule function_30256_0 {
	meta:
		name = "TIBCustomDataSet.SetModifySQL"
		size = 135
		refs = "0011 TIBCustomDataSet.SetModifySQL 003f @UStrEqual 0075 @UStrArrayClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 86 EC 01 00 00 8B 40 60 8B 08 FF 51 1C 8B 45 FC 50 8D 55 F8 8B C7 8B 08 FF 51 1C 8B 55 F8 58 E8 ?? ?? ?? ?? 74 1A 8B C6 8B 10 FF 92 E0 02 00 00 8B 86 EC 01 00 00 8B 40 60 8B D7 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 59 59 5D C3 }
	condition:
		$1
}

rule function_30257_0 {
	meta:
		name = "TIBCustomDataSet.SetTransaction"
		size = 124
		refs = "0014 TIBCustomDataSet.CheckDatasetClosed 0041 TIBSQL.SetTransaction"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 84 01 00 00 3B 70 0C 74 68 8B C3 E8 ?? ?? ?? ?? 80 BB D9 01 00 00 00 74 0A 8B C3 8B 10 FF 92 D0 02 00 00 8B D6 8B 83 84 01 00 00 8B 08 FF 51 24 8B D6 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30258_0 {
	meta:
		name = "TIBCustomDataSet.SetUniDirectional"
		size = 22
		refs = "0009 TIBCustomDataSet.CheckDatasetClosed"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 88 9E FC 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_30259_0 {
	meta:
		name = "TIBCustomDataSet.SetUpdateRecordTypes"
		size = 38
		refs = "0014 TDataSet.GetActive 001f TDataSet.First"
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 04 24 88 83 06 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_30260_0 {
	meta:
		name = "NeedsRefreshing"
		size = 845
		refs = "0015 NeedsRefreshing 002f TIBCustomDataSet.GetSQLParams 0036 TIBXSQLDA.GetSQLVAR 0051 TDataSet.FindField 008a TIBXSQLVAR.GetIsNull 0122 TIBXSQLVAR.GetAsString 013c @UStrEqual 0160 TIBXSQLVAR.GetAsBoolean 0186 TIBXSQLVAR.GetAsShort 01af TIBXSQLVAR.GetAsLong 01d5 TIBXSQLVAR.GetAsInt64 0206 TIBXSQLVAR.GetAsDouble 0233 TIBXSQLVAR.GetAsCurrency 0268 TIBXSQLVAR.GetAsBCD 0271 BcdCompare 0299 TIBXSQLVAR.GetAsDateTime 0338 @UStrArrayClr 033e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 33 C0 89 45 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 33 FF E9 DF 02 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 40 14 50 8B 45 08 8B 40 FC 8B 10 FF 92 60 01 00 00 8B 40 38 5A E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 89 45 FC 85 F6 0F 84 92 02 00 00 8B C6 8B 10 FF 92 B0 00 00 00 84 C0 74 1D 84 DB 74 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 E9 67 02 00 00 0F B6 46 48 83 F8 2C 0F 87 58 02 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 03 04 03 02 06 06 07 09 0A 0B 00 00 00 00 00 00 00 00 00 00 00 00 01 05 00 00 00 00 00 00 00 00 00 00 00 08 00 00 00 00 00 03 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 84 DB 74 27 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B C6 8B 08 FF 91 80 00 00 00 8B 55 F4 58 E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 8B D8 E9 B7 01 00 00 84 DB 74 15 8B C6 8B 10 FF 52 54 8B D8 8B 45 FC E8 ?? ?? ?? ?? 3A D8 74 04 33 C0 EB 02 B0 01 8B D8 E9 91 01 00 00 84 DB 74 18 8B C6 8B 10 FF 52 70 8B D8 8B 45 FC E8 ?? ?? ?? ?? 0F BF C0 3B D8 74 04 33 C0 EB 02 B0 01 8B D8 E9 68 01 00 00 84 DB 74 15 8B C6 8B 10 FF 52 70 8B D8 8B 45 FC E8 ?? ?? ?? ?? 3B D8 74 04 33 C0 EB 02 B0 01 8B D8 E9 42 01 00 00 84 DB 74 1E 8B C6 8B 10 FF 52 74 52 50 8B 45 FC E8 ?? ?? ?? ?? 3B 54 24 04 75 03 3B 04 24 5A 58 74 04 33 C0 EB 02 B0 01 8B D8 E9 13 01 00 00 84 DB 74 1C 8B C6 8B 10 FF 52 68 DD 5D EC 9B 8B 45 FC E8 ?? ?? ?? ?? DC 5D EC 9B DF E0 9E 74 04 33 C0 EB 02 B0 01 8B D8 E9 E6 00 00 00 84 DB 74 1E 8B C6 8B 10 FF 52 5C DF 7D EC 9B 8B 45 FC E8 ?? ?? ?? ?? DF 6D EC DE D9 9B DF E0 9E 74 04 33 C0 EB 02 B0 01 8B D8 E9 B7 00 00 00 84 DB 74 26 8D 55 C8 8B C6 8B 08 FF 51 50 8D 45 C8 50 8D 55 A4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 A4 5A E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 E9 80 00 00 00 84 DB 74 1C 8B C6 8B 10 FF 52 60 DD 5D EC 9B 8B 45 FC E8 ?? ?? ?? ?? DC 5D EC 9B DF E0 9E 74 04 33 C0 EB 02 B0 01 8B D8 EB 56 84 DB 74 1C 8B C6 8B 10 FF 52 60 DD 5D EC 9B 8B 45 FC E8 ?? ?? ?? ?? DC 5D EC 9B DF E0 9E 74 04 33 C0 EB 02 B0 01 8B D8 EB 2C 84 DB 74 1C 8B C6 8B 10 FF 52 60 DD 5D EC 9B 8B 45 FC E8 ?? ?? ?? ?? DC 5D EC 9B DF E0 9E 74 04 33 C0 EB 02 B0 01 8B D8 EB 02 33 DB 47 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3B 78 08 7D 08 84 DB 0F 85 09 FD FF FF 80 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30261_0 {
	meta:
		name = "TIBCustomDataSet.RefreshParams"
		size = 133
		refs = "000c TDataSet.DisableControls 0014 TIBCustomDataSet.RefreshParams 0038 TDataSet.GetActive 004b NeedsRefreshing 0058 TDataSet.Close 0060 TDataSet.Open 0075 TDataSet.EnableControls 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 0C 02 00 00 8B 40 04 85 C0 74 36 8B 58 38 85 DB 74 2F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 24 80 BB A5 00 00 00 04 74 1B 55 E8 ?? ?? ?? ?? 59 84 C0 74 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_30262_0 {
	meta:
		name = "TIBCustomDataSet.SQLChanging"
		size = 60
		refs = "0012 TDataSet.Close 0035 TCollection.Clear"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB D8 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 80 BB D9 01 00 00 00 74 0A 8B C3 8B 10 FF 92 D0 02 00 00 3B B3 E8 01 00 00 75 08 8B 43 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30263_0 {
	meta:
		name = "TIBCustomDataSet.Undelete"
		size = 83
		refs = "0010 TIBCustomDataSet.GetActiveBuf 004d TIBCustomDataSet.WriteRecordCache"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 BC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C2 80 78 08 04 75 0C C6 40 08 02 FF 8B C8 01 00 00 EB 1A 80 78 09 03 75 14 80 78 08 03 75 0E C6 40 08 00 C6 40 09 00 FF 8B C8 01 00 00 8B CA 8B D3 8B 40 04 92 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30264_0 {
	meta:
		name = "TIBCustomDataSet.UpdateStatus"
		size = 46
		refs = "0006 TDataSet.GetActive 0011 TIBCustomDataSet.GetActiveBuf"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0D 8B C3 E8 ?? ?? ?? ?? 0F B6 40 09 EB 06 33 C0 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_30265_0 {
	meta:
		name = "TIBCustomDataSet.IsSequenced"
		size = 35
		refs = "0011 TIBSQL.GetEOF"
	strings:
		$1 = { 53 56 8B D8 8B B3 E8 01 00 00 85 F6 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_30266_0 {
	meta:
		name = "TIBCustomDataSet.AdjustPosition"
		size = 232
		refs = "006f IBAlloc"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 75 08 3B 93 94 01 00 00 75 69 83 EE 01 72 07 74 0D 4E 74 12 EB 1C 89 8B AC 01 00 00 EB 14 01 8B AC 01 00 00 EB 0C 03 8B B4 01 00 00 89 8B AC 01 00 00 8B 83 A0 01 00 00 EB 0C 8B 93 9C 01 00 00 01 93 A0 01 00 00 8B 93 AC 01 00 00 3B 93 A0 01 00 00 73 E6 8B 93 A0 01 00 00 3B C2 7D 0D 8D 83 94 01 00 00 8B CA E8 ?? ?? ?? ?? 8B 83 AC 01 00 00 EB 67 83 EE 01 72 07 74 0D 4E 74 12 EB 1C 89 8B B0 01 00 00 EB 14 01 8B B0 01 00 00 EB 0C 03 8B B8 01 00 00 89 8B B0 01 00 00 8B 83 A4 01 00 00 EB 0C 8B 93 9C 01 00 00 01 93 A4 01 00 00 8B 93 AC 01 00 00 3B 93 A4 01 00 00 73 E6 8B 93 A4 01 00 00 3B C2 7D 0D 8D 83 98 01 00 00 8B CA E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_30267_0 {
	meta:
		name = "TIBCustomDataSet.ReadCache"
		size = 105
		refs = "0022 TIBCustomDataSet.AdjustPosition 004c Move"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 3B B3 98 01 00 00 0F 94 45 FF 8B 45 0C 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 75 0C 8B 93 94 01 00 00 03 D0 8B C2 EB 0A 8B 93 98 01 00 00 03 D0 8B C2 8B 55 08 8B 8B F0 01 00 00 E8 ?? ?? ?? ?? 6A 01 8B 8B F0 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_30268_0 {
	meta:
		name = "TIBCustomDataSet.ReadRecordCache"
		size = 154
		refs = "0030 TIBCustomDataSet.ReadRecordCache 0052 TIBCustomDataSet.ReadCache 0074 TIBCustomDataSet.CopyRecordBuffer"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 80 BB FC 01 00 00 00 74 0C B9 02 00 00 00 8B C7 99 F7 F9 89 D7 80 7D 08 00 74 53 6A 00 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 80 BB BC 01 00 00 00 74 1B 83 7E 0C FF 74 15 6A 00 56 8B 4E 0C 8B 93 98 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 3B 80 7D 08 00 74 35 8B 83 D0 01 00 00 3B 78 04 75 2A 8B CE 8B 93 D0 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 19 6A 00 56 8B CF 0F AF 8B F0 01 00 00 8B 93 94 01 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_30269_0 {
	meta:
		name = "TIBCustomDataSet.WriteCache"
		size = 153
		refs = "0022 TIBCustomDataSet.AdjustPosition 0053 Move"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 3B B3 98 01 00 00 0F 94 45 FF 8B 45 0C 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 55 FF 80 F2 01 84 D2 74 0C 8B 93 94 01 00 00 03 D0 8B C2 EB 0A 8B 93 98 01 00 00 03 D0 8B C2 8B D0 8B 45 08 8B 8B F0 01 00 00 E8 ?? ?? ?? ?? 6A 01 8B 8B F0 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 55 FF 80 F2 01 84 D2 74 10 3B 83 B4 01 00 00 76 16 89 83 B4 01 00 00 EB 0E 3B 83 B8 01 00 00 76 06 89 83 B8 01 00 00 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_30270_0 {
	meta:
		name = "TIBCustomDataSet.WriteRecordCache"
		size = 63
		refs = "0037 TIBCustomDataSet.WriteCache"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 2E 80 BB FC 01 00 00 00 74 0C B9 02 00 00 00 8B C6 99 F7 F9 89 D6 6A 00 57 8B CE 0F AF 8B F0 01 00 00 8B 93 94 01 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30271_0 {
	meta:
		name = "TIBCustomDataSet.AllocRecordBuffer"
		size = 51
		refs = "0015 IBAlloc 0029 Move"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 8B D4 8B 83 F0 01 00 00 8B C8 92 E8 ?? ?? ?? ?? 8B 14 24 8B 83 CC 01 00 00 8B 8B F0 01 00 00 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_30272_0 {
	meta:
		name = "TIBCustomDataSet.CreateBlobStream"
		size = 465
		refs = "0013 TIBCustomDataSet.GetActiveBuf 0022 _Dn_TIBBlobStream 0027 TIBBlobStream.Create 0032 TIBBlobStream.SetMode 0039 TIBCustomDataSet.GetDatabase 0042 TIBBlobStream.SetDatabase 0049 TIBCustomDataSet.GetTransaction 0052 TIBBlobStream.SetTransaction 005f TList.Add 0071 _DV_TIBDSBlobStream 0076 TIBDSBlobStream.Create 009d TIBCustomDataSet.AdjustRecordOnInsert 011b TIBBlobStream.SetBlobID 0130 TIBTransaction.GetInTransaction 015b TCustomConnection.Open 016e TIBTransaction.StartTransaction 018c TIBTransaction.Commit 019f TCustomConnection.Close 01ab TIBCustomDataSet.WriteRecordCache"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 88 4C 24 04 89 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 75 62 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B2 02 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 83 8C 01 00 00 E8 ?? ?? ?? ?? 56 0F B6 44 24 08 50 8B 4C 24 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4B 01 00 00 8B F7 03 B3 88 01 00 00 8B 04 24 8B 40 54 8B 04 86 85 C0 0F 85 19 01 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 14 24 8B 52 54 89 04 96 8B 04 24 8B 40 54 8B 34 86 8B D6 8B 83 8C 01 00 00 E8 ?? ?? ?? ?? B2 02 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 04 24 8B 10 FF 92 A8 00 00 00 8B 93 08 02 00 00 8B 44 82 FC 8D 04 40 8B 44 C7 10 8D 04 07 8B D0 8B C6 E8 ?? ?? ?? ?? 80 BB BC 01 00 00 00 74 7B 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 88 44 24 05 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 48 34 01 88 44 24 06 80 7C 24 06 00 74 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7C 24 05 00 74 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 33 D2 8B C6 8B 28 FF 55 14 80 7C 24 05 00 74 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7C 24 06 00 74 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 57 04 8B CF 8B C3 E8 ?? ?? ?? ?? EB 02 8B F0 56 0F B6 44 24 08 50 8B 4C 24 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30273_0 {
	meta:
		name = "TIBCustomDataSet.CompareBookmarks"
		size = 158
		refs = "0011 @DynArrayAddRef 0021 TIBCustomDataSet.CompareBookmarks 0042 RetCodes 0081 TArray<System.Byte> 008b @FinalizeArray 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 0F 94 C0 83 E0 7F 83 7D FC 00 0F 94 C2 83 E2 7F 8D 14 55 ?? ?? ?? ?? 0F BE 1C 02 83 FB 02 75 20 8B 55 F8 8B 12 8B 45 FC 8B 00 3B D0 7E 05 83 CB FF EB 0D 3B D0 7D 07 BB 01 00 00 00 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30274_0 {
	meta:
		name = "TIBCustomDataSet.DoBeforeDelete"
		size = 82
		refs = "0009 TIBCustomDataSet.CanDelete 0022 IBError 0029 TIBCustomDataSet.GetActiveBuf 0043 TIBCustomDataSet.SaveOldBuffer 004a TDataSet.DoBeforeDelete"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 33 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 BB BC 01 00 00 00 74 11 0F B6 50 08 84 D2 75 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_30275_0 {
	meta:
		name = "TIBCustomDataSet.DoBeforeEdit"
		size = 131
		refs = "000a TDataSet.DoBeforeEdit 0011 TIBCustomDataSet.GetActiveBuf 001a TIBCustomDataSet.CanEdit 0046 IBError 0064 TIBCustomDataSet.SaveOldBuffer 007a TIBCustomDataSet.CopyRecordBuffer"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 84 C0 75 28 80 BB BC 01 00 00 00 74 0A 66 83 BB 42 02 00 00 00 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 32 E8 ?? ?? ?? ?? 80 BB BC 01 00 00 00 74 15 0F B6 46 08 84 C0 74 04 2C 02 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 8B D0 01 00 00 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_30276_0 {
	meta:
		name = "TIBCustomDataSet.DoBeforeInsert"
		size = 49
		refs = "0009 TIBCustomDataSet.CanInsert 0022 IBError 0029 TDataSet.DoBeforeInsert"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 30 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_30277_0 {
	meta:
		name = "TIBCustomDataSet.FetchAll"
		size = 184
		refs = "0012 TIBCustomDataSet.FetchAll 0026 TIBSQL.GetEOF 0041 TDataSet.DisableControls 0065 TDataSet.Last 0070 TDataSet.GotoBookmark 0085 TDataSet.EnableControls 008b @HandleFinally 00a3 TArray<System.Byte> 00a8 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 63 8B 45 F8 8B 80 E8 01 00 00 80 78 43 00 74 54 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F8 8B 08 FF 91 78 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 59 59 5D C3 }
	condition:
		$1
}

rule function_30278_0 {
	meta:
		name = "TIBCustomDataSet.FreeRecordBuffer"
		size = 15
		refs = "000a @ReallocMem"
	strings:
		$1 = { 83 3A 00 74 09 8B C2 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30279_0 {
	meta:
		name = "TIBCustomDataSet.GetBookmarkData"
		size = 29
		refs = "0016 Move"
	strings:
		$1 = { 53 56 8B F0 8B 5E 5C 3B 5E 58 7D 0E 83 C2 04 8B 40 6C 92 87 CA E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30280_0 {
	meta:
		name = "TIBCustomDataSet.GetBookmarkFlag"
		size = 4
	strings:
		$1 = { 0F B6 02 C3 }
	condition:
		$1
}

rule function_30281_0 {
	meta:
		name = "TIBCustomDataSet.GetCanModify"
		size = 52
		refs = "000c TIBCustomDataSet.GetCanModify"
	strings:
		$1 = { 53 8B D8 0F B6 83 11 02 00 00 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 75 0D 83 BB 00 02 00 00 00 75 04 33 C0 5B C3 B0 01 5B C3 07 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_30282_0 {
	meta:
		name = "TIBCustomDataSet.GetCurrentRecord"
		size = 91
		refs = "0033 TDataSet.UpdateCursorPos 004c TIBCustomDataSet.ReadRecordCache"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B D8 8B F3 8B 7E 5C 3B 7E 58 7D 17 8B 46 64 8B 14 B8 8B C3 8B 08 FF 91 F4 01 00 00 84 C0 0F 94 C0 EB 02 33 C0 84 C0 74 24 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 46 5C 8B 56 64 8B 04 82 8B 50 04 8B 4C 24 04 8B C3 E8 ?? ?? ?? ?? B0 01 EB 02 33 C0 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30283_0 {
	meta:
		name = "TIBCustomDataSet.GetDataSource"
		size = 17
	strings:
		$1 = { 8B 90 0C 02 00 00 85 D2 75 03 33 C0 C3 8B 42 04 C3 }
	condition:
		$1
}

rule function_30285_0 {
	meta:
		name = "TIBCustomDataSet.InternalGetFieldData"
		size = 726
		refs = "001f TIBCustomDataSet.InternalGetFieldData 0030 TIBCustomDataSet.GetActiveBuf 0043 TIBCustomDataSet.IsVisible 0098 Move 01a8 _Dn_TStringField 01ad @IsClass 01d2 StringOfChar 01dd StrPCopy 0252 @UStrFromPWChar 025d TrimRight 028d IBError 02bf @UStrArrayClr 02c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D E8 89 5D E4 89 5D EC 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 6B 02 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 5A 02 00 00 89 5D F4 8B C7 8B 10 FF 92 A8 00 00 00 85 C0 7D 41 8B 47 54 03 86 F8 01 00 00 03 D8 0F B6 03 88 45 FB 80 7D FB 00 0F 84 2E 02 00 00 83 7D FC 00 0F 84 24 02 00 00 8B C7 8B 10 FF 92 9C 00 00 00 8B C8 8B 55 FC 8D 43 01 E8 ?? ?? ?? ?? E9 08 02 00 00 8B C7 8B 10 FF 92 A8 00 00 00 8B 96 08 02 00 00 83 7C 82 FC 00 0F 8E ED 01 00 00 8B C7 8B 10 FF 92 A8 00 00 00 8B 96 08 02 00 00 8B 44 82 FC 8B 55 F4 0F BF 52 02 3B C2 0F 8F CA 01 00 00 8B C7 8B 10 FF 92 A8 00 00 00 8B 96 08 02 00 00 8B 44 82 FC 8D 04 40 8B 55 F4 0F B6 44 C2 05 34 01 88 45 FB 80 7D FB 00 0F 84 9C 01 00 00 83 7D FC 00 0F 84 92 01 00 00 8B C7 8B 10 FF 92 A8 00 00 00 8B 96 08 02 00 00 8B 44 82 FC 8D 04 40 8B 55 F4 8D 04 C2 89 45 F0 8B C7 8B 10 FF 92 A8 00 00 00 8B 96 08 02 00 00 8B 44 82 FC 8D 04 40 8B 55 F4 03 5C C2 10 8B 45 F0 0F B7 00 66 3D C0 01 74 0A 66 3D C4 01 0F 85 28 01 00 00 8B C7 8B 10 FF 92 A8 00 00 00 8B 96 08 02 00 00 8B 44 82 FC 8D 04 40 8B 55 F4 8B 44 C2 0C D1 F8 79 03 83 D0 00 50 8B C7 8B 10 FF 92 B4 00 00 00 5A 3B D0 0F 8F D7 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2C 80 BF F0 00 00 00 00 74 23 8B C7 8B 10 FF 92 B4 00 00 00 8B D0 8D 4D EC 66 B8 20 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 48 0C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 80 BF F0 00 00 00 00 74 15 8B C7 8B 10 FF 92 B4 00 00 00 8B 55 FC 66 C7 04 42 00 00 EB 16 8B 45 F0 8B 40 0C D1 F8 79 03 83 D0 00 8B 55 FC 66 C7 04 42 00 00 8B 45 F0 66 81 38 C4 01 75 69 80 BF F0 00 00 00 00 75 60 8D 45 E4 8B 5D FC 8B D3 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 45 E0 8B 45 E0 85 C0 74 05 83 E8 04 8B 00 66 C7 04 43 00 00 EB 2E 8B 47 40 89 45 D8 C6 45 DC 11 8D 55 D8 33 C9 B0 75 E8 ?? ?? ?? ?? EB 16 8B C7 8B 10 FF 92 9C 00 00 00 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30286_0 {
	meta:
		name = "TIBCustomDataSet.GetFieldData"
		size = 88
		refs = "0019 TIBCustomDataSet.InternalGetFieldData 003f CurrToBCD"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F1 8B FA 80 7F 48 08 75 35 85 F6 74 31 8B CC 8B D7 E8 ?? ?? ?? ?? 8B D8 84 DB 74 2D FF 74 24 04 FF 74 24 04 8B C7 8B 10 FF 92 B4 00 00 00 8B C8 8B C6 BA 20 00 00 00 E8 ?? ?? ?? ?? EB 0B 8B CE 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30287_0 {
	meta:
		name = "TIBCustomDataSet.GetFieldData"
		size = 41
		refs = "0016 TIBCustomDataSet.InternalGetFieldData 0020 TDataSet.GetFieldData"
	strings:
		$1 = { 55 8B EC 56 8B F1 8B 4D 08 80 7A 48 08 75 0D 84 C9 75 09 8B CE E8 ?? ?? ?? ?? EB 08 51 8B CE E8 ?? ?? ?? ?? 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_30288_0 {
	meta:
		name = "TIBCustomDataSet.GetRecNo"
		size = 31
		refs = "0006 TIBCustomDataSet.GetActiveBuf"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 40 04 40 5B C3 }
	condition:
		$1
}

rule function_30289_0 {
	meta:
		name = "TIBCustomDataSet.GetRecord"
		size = 175
		refs = "002f TDataSet.SetTempState 0045 TIBCustomDataSet.InternalGetRecord 0089 TDataSet.RestoreState"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D9 89 55 FC 8B F0 C6 45 FB 00 80 BE B0 00 00 00 00 74 73 66 83 BE 72 01 00 00 00 74 69 C6 45 FA 00 B2 06 8B C6 E8 ?? ?? ?? ?? 88 45 F9 EB 44 0F B6 45 08 50 8B CB 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 75 30 8B 45 FC 89 86 A8 01 00 00 C6 45 FA 01 8D 4D FA 8B D6 8B 86 74 01 00 00 FF 96 70 01 00 00 80 7D FA 00 75 06 84 DB 75 02 B3 02 80 7D FA 00 74 B6 0F B6 55 F9 8B C6 E8 ?? ?? ?? ?? EB 14 0F B6 45 08 50 8B CB 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 88 45 FB 0F B6 45 FB 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_30290_0 {
	meta:
		name = "TIBCustomDataSet.InternalGetRecord"
		size = 520
		refs = "0042 TIBCustomDataSet.ReadRecordCache 004f TIBSQL.Next 0067 TIBCustomDataSet.FetchCurrentRecordToBuffer 0078 TIBSQL.GetEOF 0198 TIBCustomDataSet.AdjustCurrentRecord 01c5 TIBCustomDataSet.CopyRecordBuffer"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B FA 8B F0 B3 03 0F B6 45 FF 2C 01 72 0B 0F 84 9C 00 00 00 E9 23 01 00 00 8B 86 C4 01 00 00 85 C0 0F 8C 82 00 00 00 3B 86 F4 01 00 00 7D 38 6A 00 8B CF 8B D0 8B C6 E8 ?? ?? ?? ?? EB 64 8B 86 E8 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 37 57 8B 8E F4 01 00 00 8B 96 E8 01 00 00 8B C6 E8 ?? ?? ?? ?? FF 86 F4 01 00 00 8B 86 E8 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 0E 8B 86 C4 01 00 00 3B 86 F4 01 00 00 7D BA 8B 86 F4 01 00 00 48 89 86 C4 01 00 00 85 C0 7C 0D 6A 00 8B CF 8B D0 8B C6 E8 ?? ?? ?? ?? 33 DB E9 D8 00 00 00 B3 01 E9 D1 00 00 00 33 DB 8B 96 F4 01 00 00 8B 86 C4 01 00 00 3B D0 75 07 B3 02 E9 B8 00 00 00 8B CA 49 3B C1 75 4F 8B 86 E8 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 11 8B 86 E8 01 00 00 E8 ?? ?? ?? ?? FF 86 C4 01 00 00 8B 86 E8 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 04 B3 02 EB 7E FF 86 F4 01 00 00 57 8B 8E C4 01 00 00 8B 96 E8 01 00 00 8B C6 E8 ?? ?? ?? ?? EB 62 3B D0 7E 5E FF 86 C4 01 00 00 6A 00 8B CF 8B 96 C4 01 00 00 8B C6 E8 ?? ?? ?? ?? EB 45 83 BE C4 01 00 00 00 75 0A FF 8E C4 01 00 00 B3 01 EB 32 8B 86 C4 01 00 00 85 C0 7E 23 3B 86 F4 01 00 00 7F 1B FF 8E C4 01 00 00 6A 00 8B CF 8B 96 C4 01 00 00 8B C6 E8 ?? ?? ?? ?? 33 DB EB 05 40 75 02 B3 01 84 DB 75 0F 0F B6 4D FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 13 8B C7 C6 00 00 8B D7 8B C6 8B 08 FF 91 58 01 00 00 EB 49 80 FB 02 75 14 8B CF 8B 96 CC 01 00 00 8B C6 E8 ?? ?? ?? ?? C6 07 02 EB 30 80 FB 01 75 14 8B CF 8B 96 CC 01 00 00 8B C6 E8 ?? ?? ?? ?? C6 07 01 EB 17 80 FB 03 75 12 8B CF 8B 96 CC 01 00 00 8B C6 E8 ?? ?? ?? ?? C6 07 02 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_30291_0 {
	meta:
		name = "TIBCustomDataSet.GetRecordCount"
		size = 15
	strings:
		$1 = { 8B 90 F4 01 00 00 2B 90 C8 01 00 00 8B C2 C3 }
	condition:
		$1
}

rule function_30292_0 {
	meta:
		name = "TIBCustomDataSet.GetRecordSize"
		size = 8
	strings:
		$1 = { 0F B7 80 F0 01 00 00 C3 }
	condition:
		$1
}

rule function_30293_0 {
	meta:
		name = "TIBCustomDataSet.InternalAddRecord"
		size = 101
		refs = "0009 TIBCustomDataSet.CheckEditState 0012 TIBCustomDataSet.AdjustRecordOnInsert 0034 TIBCustomDataSet.InternalPostRecord 0045 TIBCustomDataSet.WriteRecordCache"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 C6 40 09 02 C6 40 08 02 80 BB BC 01 00 00 00 75 11 8B CE 8B 93 E0 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 16 8B CE 8B 93 C4 01 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 05 02 00 00 01 FF 83 F4 01 00 00 8B D6 8B C3 8B 08 FF 91 18 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_30294_0 {
	meta:
		name = "TIBCustomDataSet.InternalCancel"
		size = 193
		refs = "000a TDataSet.InternalCancel 0011 TIBCustomDataSet.GetActiveBuf 0026 TIBCustomDataSet.AdjustRecordOnInsert 003e TIBCustomDataSet.CopyRecordBuffer 004a TIBCustomDataSet.WriteRecordCache 0083 TFields.GetCount 0097 TFields.GetField 00b2 TIBBlobStream.Cancel"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 57 8B BB C4 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB A5 00 00 00 02 75 1D 8B CE 8B 93 D0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 56 04 8B CE 8B C3 E8 ?? ?? ?? ?? EB 22 8B CE 8B 93 CC 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 C6 40 09 03 C6 40 08 00 C6 00 02 89 BB C4 01 00 00 03 B3 88 01 00 00 89 34 24 33 ED 8B C3 8B 40 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2D 46 33 FF 8B D7 8B 43 38 E8 ?? ?? ?? ?? 8B 00 FF 90 28 01 00 00 84 C0 74 10 8B 04 24 8B 04 A8 85 C0 74 05 E8 ?? ?? ?? ?? 45 47 4E 75 D6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30295_0 {
	meta:
		name = "TIBCustomDataSet.InternalClose"
		size = 277
		refs = "0006 TIBCustomDataSet.GetTransaction 0016 TIBTransaction.CheckAutoStop 0027 TIBSQL.Close 002e TIBCustomDataSet.ClearBlobCache 00cd @ReallocMem"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 43 1C 08 75 0B 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 93 CC 01 00 00 8B C3 8B 08 FF 91 EC 01 00 00 8D 93 D0 01 00 00 8B C3 8B 08 FF 91 EC 01 00 00 8D 93 D4 01 00 00 8B C3 8B 08 FF 91 EC 01 00 00 C7 83 C4 01 00 00 FF FF FF FF C6 83 D8 01 00 00 00 33 C0 89 83 F4 01 00 00 33 C0 89 83 C8 01 00 00 33 C0 89 83 F8 01 00 00 33 C0 89 83 AC 01 00 00 33 C0 89 83 B0 01 00 00 33 C0 89 83 A0 01 00 00 33 C0 89 83 A4 01 00 00 33 C0 89 83 B4 01 00 00 33 C0 89 83 B8 01 00 00 83 BB 94 01 00 00 00 74 0D 8D 83 94 01 00 00 33 D2 E8 ?? ?? ?? ?? 83 BB 98 01 00 00 00 74 0D 8D 83 98 01 00 00 33 D2 E8 ?? ?? ?? ?? C6 83 05 02 00 00 00 F6 43 1C 08 75 1F 33 D2 8B C3 8B 08 FF 91 B4 00 00 00 80 BB AE 00 00 00 00 74 0A 8B C3 8B 10 FF 92 EC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_30296_0 {
	meta:
		name = "TIBCustomDataSet.InternalDelete"
		size = 130
		refs = "000a TIBCustomDataSet.GetActiveBuf 0013 TIBCustomDataSet.CanDelete 002f TIBCustomDataSet.InternalDeleteRecord 0055 TIBCustomDataSet.WriteRecordCache 0079 IBError"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4D 80 BB BC 01 00 00 00 75 11 8B CE 8B 93 DC 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 24 8B D6 8B C2 80 78 08 02 75 06 C6 40 08 04 EB 08 C6 40 09 03 C6 40 08 03 8B 52 04 8B CE 8B C3 E8 ?? ?? ?? ?? FF 83 C8 01 00 00 C6 83 05 02 00 00 01 EB 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 33 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_30297_0 {
	meta:
		name = "TIBCustomDataSet.InternalFirst"
		size = 11
	strings:
		$1 = { C7 80 C4 01 00 00 FF FF FF FF C3 }
	condition:
		$1
}

rule function_30298_0 {
	meta:
		name = "TIBCustomDataSet.InternalGotoBookmark"
		size = 9
	strings:
		$1 = { 8B 12 89 90 C4 01 00 00 C3 }
	condition:
		$1
}

rule function_30300_0 {
	meta:
		name = "TIBCustomDataSet.InternalInitFieldDefs"
		size = 1668
		refs = "0019 TIBCustomDataSet.InternalInitFieldDefs 0069 TCollection.Clear 007c @DynArrayLength 008c TIBSQL.Current 00b6 :TIBCustomDataSet.:1 00bb @DynArraySetLength 00f3 TIBXSQLDA.GetSQLVAR 010a @UStrFromLStr 0159 TIBXSQLVAR.GetIsNullable 0224 TIBXSQLVAR.GetCharsetSize 02e9 TIBCustomDataSet.GetDatabase 02ee TIBDatabase.GetSQLDialect 0305 TFields.GetCount 032c TFields.FieldByName 0332 _Dn_TFloatField 0337 @IsClass 049e @UStrEqual 04c4 TFieldDefs.AddFieldDef 04d0 TNamedItem.SetDisplayName 04e1 TFieldDef.SetDataType 04ec TFieldDef.SetSize 04f6 TFieldDef.SetPrecision 0507 Trim 051a TFieldDef.SetRequired 053d TIBDatabase.Has_COMPUTED_BLR 054f TFieldDef.SetAttributes 0572 TIBDatabase.Has_DEFAULT_VALUE 05dd @HandleFinally 05f4 @UStrClr 05fc @LStrClr 0621 @LStrArrayClr 062e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 80 B8 D9 01 00 00 00 75 10 8B 45 F0 8B 10 FF 92 CC 02 00 00 E9 A4 05 00 00 8B 45 F0 C6 80 80 01 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 8B 40 40 8B 10 FF 52 20 8B 45 F0 8B 40 40 E8 ?? ?? ?? ?? 33 C0 89 45 DC 8B 45 F0 8B 80 08 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 F0 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? 3B 58 08 7D 2D 8B 45 F0 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? 8B 40 08 50 8B 45 F0 05 08 02 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F0 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? 8B 40 08 48 85 C0 0F 8C E7 04 00 00 40 89 45 D8 33 FF 8B 45 F0 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 58 18 8D 55 D4 8B C3 8B 08 FF 11 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? 8D 55 D0 8B C3 8B 08 FF 51 08 8B 55 D0 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 CC 8B C3 8B 08 FF 51 18 8B 55 CC 8D 45 F4 E8 ?? ?? ?? ?? 66 C7 45 EC 00 00 33 C0 89 45 E0 8B 45 F0 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 EB 8B C3 8B 10 FF 52 28 66 83 E0 FE 0F BF C0 3D FE 01 00 00 7F 46 0F 84 C3 02 00 00 3D E2 01 00 00 7F 20 0F 84 B5 00 00 00 2D C0 01 00 00 74 74 83 E8 04 74 6F 83 E8 1C 0F 84 A0 00 00 00 E9 DF 02 00 00 2D F0 01 00 00 0F 84 E2 00 00 00 83 E8 04 0F 84 90 00 00 00 E9 C6 02 00 00 3D 3A 02 00 00 7F 28 0F 84 82 02 00 00 2D 08 02 00 00 0F 84 7D 02 00 00 83 E8 14 0F 84 93 02 00 00 83 E8 14 0F 84 5F 02 00 00 E9 97 02 00 00 2D 44 02 00 00 0F 84 8B 01 00 00 83 E8 0A 0F 84 7D 02 00 00 E9 7E 02 00 00 8B C3 8B 10 FF 52 14 0F BF C0 50 8B 45 F0 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 58 8B CA 99 F7 F9 66 89 45 EC C6 45 EF 18 E9 48 02 00 00 C6 45 EF 06 E9 3F 02 00 00 8B C3 8B 10 FF 52 20 66 85 C0 75 09 C6 45 EF 02 E9 2A 02 00 00 C6 45 EF 08 8B C3 8B 10 FF 52 1C 0F BF C0 89 45 E0 8B C3 8B 10 FF 52 20 66 F7 D8 66 89 45 EC 0F B7 45 EC 3B 45 E0 0F 85 FE 01 00 00 FF 45 E0 E9 F6 01 00 00 8B C3 8B 10 FF 52 20 66 85 C0 75 09 C6 45 EF 03 E9 E1 01 00 00 8B C3 8B 10 FF 52 20 66 83 F8 FC 7C 34 C6 45 EF 08 8B C3 8B 10 FF 52 1C 0F BF C0 89 45 E0 8B C3 8B 10 FF 52 20 66 F7 D8 66 89 45 EC 0F B7 45 EC 3B 45 E0 0F 85 A8 01 00 00 FF 45 E0 E9 A0 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 09 C6 45 EF 06 E9 87 01 00 00 8B 45 F0 8B 40 38 E8 ?? ?? ?? ?? 85 C0 7E 30 8D 55 C4 8B C3 8B 08 FF 51 18 8B 55 C4 8D 45 C8 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F0 8B 40 38 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 09 C6 45 EF 06 E9 39 01 00 00 C6 45 EF 25 8B C3 8B 10 FF 52 1C 0F BF C0 89 45 E0 8B C3 8B 10 FF 52 20 66 F7 D8 66 89 45 EC 0F B7 45 EC 3B 45 E0 0F 85 0D 01 00 00 FF 45 E0 E9 05 01 00 00 8B C3 8B 10 FF 52 20 66 85 C0 75 09 C6 45 EF 19 E9 F0 00 00 00 8B C3 8B 10 FF 52 20 66 83 F8 FC 7C 24 C6 45 EF 08 8B C3 8B 10 FF 52 1C 0F BF C0 89 45 E0 8B C3 8B 10 FF 52 20 66 F7 D8 66 89 45 EC E9 BF 00 00 00 8B 45 F0 8B 40 38 E8 ?? ?? ?? ?? 85 C0 7E 30 8D 55 BC 8B C3 8B 08 FF 51 18 8B 55 BC 8D 45 C0 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F0 8B 40 38 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 06 C6 45 EF 06 EB 74 C6 45 EF 25 8B C3 8B 10 FF 52 1C 0F BF C0 89 45 E0 8B C3 8B 10 FF 52 20 66 F7 D8 66 89 45 EC 0F B7 45 EC 3B 45 E0 75 4C FF 45 E0 EB 47 C6 45 EF 0B EB 41 C6 45 EF 0A EB 3B C6 45 EF 09 EB 35 66 C7 45 EC 08 00 8B C3 8B 10 FF 52 24 66 83 F8 01 75 06 C6 45 EF 27 EB 1C C6 45 EF 0F EB 16 66 C7 45 EC 08 00 C6 45 EF 00 EB 0A C6 45 EF 05 EB 04 C6 45 EF 00 8D 47 01 89 45 E4 80 7D EF 00 0F 84 24 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 11 01 00 00 8B 45 F0 8B 80 08 02 00 00 8B 55 DC 8B 4D E4 89 0C 90 FF 45 DC 8B 45 F0 8B 40 40 E8 ?? ?? ?? ?? 8B F0 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 89 46 1C 0F B6 55 EF 8B C6 E8 ?? ?? ?? ?? 0F B7 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 80 7D EB 00 75 11 8D 55 B8 8B 45 F8 E8 ?? ?? ?? ?? 83 7D B8 00 75 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? C6 46 24 00 83 7D F4 00 74 6F 83 7D F8 00 74 69 8B 45 F0 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 1E 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C6 46 24 01 8B 45 F0 C6 80 80 01 00 00 01 EB 34 8B 45 F0 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 1D 0F B6 15 ?? ?? ?? ?? F7 D2 22 56 26 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 C6 80 80 01 00 00 01 8B C3 8B 10 FF 52 28 66 83 E0 FE 66 3D C4 01 75 11 0F B6 56 26 0A 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 47 FF 4D D8 0F 85 1F FB FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 40 40 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 42 00 58 00 5F 00 49 00 4E 00 54 00 45 00 52 00 4E 00 41 00 4C 00 5F 00 44 00 42 00 4B 00 45 00 59 00 00 00 00 00 02 00 00 00 04 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_30301_0 {
	meta:
		name = "TIBCustomDataSet.InternalInitRecord"
		size = 14
		refs = "0009 TIBCustomDataSet.CopyRecordBuffer"
	strings:
		$1 = { 8B CA 8B 90 CC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30302_0 {
	meta:
		name = "TIBCustomDataSet.InternalLast"
		size = 216
		refs = "0013 TIBSQL.GetEOF 005a TIBCustomDataSet.InternalLast 0080 TIBCustomDataSet.FetchCurrentRecordToBuffer 0097 TIBSQL.Next 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 2D 8B 45 FC 8B 80 F4 01 00 00 85 C0 75 12 8B 45 FC C7 80 C4 01 00 00 FF FF FF FF E9 9A 00 00 00 8B 55 FC 89 82 C4 01 00 00 E9 8C 00 00 00 8B 45 FC 8B 10 FF 92 E8 01 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 27 8B 45 F8 50 8B 45 FC 8B 88 F4 01 00 00 8B 45 FC 8B 90 E8 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC FF 80 F4 01 00 00 8B 45 FC 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 C7 8B 45 FC 8B 80 F4 01 00 00 8B 55 FC 89 82 C4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 F8 8B 45 FC 8B 08 FF 91 EC 01 00 00 C3 E9 ?? ?? ?? ?? EB EA 59 59 5D C3 }
	condition:
		$1
}

rule function_30303_0 {
	meta:
		name = "TIBCustomDataSet.InternalSetParamsFromCursor"
		size = 839
		refs = "0017 TIBCustomDataSet.InternalSetParamsFromCursor 004c IBError 006b TIBCustomDataSet.GetSQLParams 00cc TIBXSQLDA.GetSQLVAR 00e4 TDataSet.FindField 0117 TIBXSQLVAR.SetIsNull 01af TIBXSQLVAR.SetAsString 01c4 TIBXSQLVAR.SetAsBoolean 01d9 TIBXSQLVAR.SetAsShort 01ee TIBXSQLVAR.SetAsLong 0203 TIBXSQLVAR.SetAsInt64 021d TIBXSQLVAR.SetAsDouble 0237 TIBXSQLVAR.SetAsCurrency 0250 TIBXSQLVAR.SetAsBcd 026a TIBXSQLVAR.SetAsDate 0284 TIBXSQLVAR.SetAsTime 029e TIBXSQLVAR.SetAsDateTime 02da TIBXSQLVAR.LoadFromStream 02ef TObject.Free 02f5 @HandleFinally 032d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 33 D2 89 55 E0 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 80 E8 01 00 00 8B 40 60 8B 08 FF 51 1C 83 7D EC 00 75 15 33 C0 89 45 E4 C6 45 E8 05 8D 55 E4 33 C9 B0 2A E8 ?? ?? ?? ?? 8B 45 FC 80 B8 D9 01 00 00 00 75 0B 8B 45 FC 8B 10 FF 92 CC 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 78 08 00 0F 8E A3 02 00 00 8B 45 FC 8B 10 FF 92 60 01 00 00 85 C0 0F 84 90 02 00 00 8B 45 FC 8B 10 FF 92 60 01 00 00 83 78 38 00 0F 84 7B 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 48 85 C0 0F 8C 67 02 00 00 40 89 45 F0 C7 45 F8 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 40 14 50 8B 45 FC 8B 10 FF 92 60 01 00 00 8B 40 38 5A E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 85 DB 0F 84 0C 02 00 00 8B C3 8B 10 FF 92 B0 00 00 00 84 C0 74 0E B2 01 8B C6 E8 ?? ?? ?? ?? E9 F0 01 00 00 0F B6 43 48 83 F8 2C 0F 87 CE 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 03 04 03 02 06 06 07 09 0A 0B 00 00 00 0C 0C 00 00 00 00 00 00 00 01 05 00 00 00 00 00 00 00 00 00 00 00 08 00 0C 00 00 00 03 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 E0 8B C3 8B 08 FF 91 80 00 00 00 8B 55 E0 8B C6 E8 ?? ?? ?? ?? E9 58 01 00 00 8B C3 8B 10 FF 52 54 8B D0 8B C6 E8 ?? ?? ?? ?? E9 43 01 00 00 8B C3 8B 10 FF 52 70 8B D0 8B C6 E8 ?? ?? ?? ?? E9 2E 01 00 00 8B C3 8B 10 FF 52 70 8B D0 8B C6 E8 ?? ?? ?? ?? E9 19 01 00 00 8B C3 8B 10 FF 52 74 52 50 8B C6 E8 ?? ?? ?? ?? E9 04 01 00 00 8B C3 8B 10 FF 52 68 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? E9 EA 00 00 00 8B C3 8B 10 FF 52 5C 83 C4 F8 DF 3C 24 9B 8B C6 E8 ?? ?? ?? ?? E9 D0 00 00 00 8D 55 BC 8B C3 8B 08 FF 51 50 8D 55 BC 8B C6 E8 ?? ?? ?? ?? E9 B7 00 00 00 8B C3 8B 10 FF 52 60 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? E9 9D 00 00 00 8B C3 8B 10 FF 52 60 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? E9 83 00 00 00 8B C3 8B 10 FF 52 60 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? EB 6C 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 60 01 00 00 8B 40 38 33 C9 8B D3 8B 18 FF 93 70 02 00 00 89 45 F4 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 89 45 E4 C6 45 E8 05 8D 55 E4 33 C9 B0 04 E8 ?? ?? ?? ?? FF 45 F8 FF 4D F0 0F 85 A4 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30304_0 {
	meta:
		name = "TIBCustomDataSet.ReQuery"
		size = 143
		refs = "000a TIBSQL.Close 0011 TIBCustomDataSet.ClearBlobCache 0061 TIBSQL.ExecQuery 007c TIBSQL.GetRowsAffected 0089 TDataSet.First"
	strings:
		$1 = { 53 8B D8 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C7 83 C4 01 00 00 FF FF FF FF 33 C0 89 83 F4 01 00 00 33 C0 89 83 C8 01 00 00 33 C0 89 83 AC 01 00 00 33 C0 89 83 B0 01 00 00 33 C0 89 83 B4 01 00 00 33 C0 89 83 B8 01 00 00 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 83 E8 01 00 00 0F B6 40 43 88 83 D8 01 00 00 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 89 83 18 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30305_0 {
	meta:
		name = "RecordDataLength"
		size = 14
	strings:
		$1 = { 48 03 C0 03 C0 03 C0 8D 04 40 83 C0 30 C3 }
	condition:
		$1
}

rule function_30306_0 {
	meta:
		name = "TIBCustomDataSet.InternalOpen"
		size = 564
		refs = "0013 TIBCustomDataSet.InternalOpen 0020 TIBCustomDataSet.ActivateConnection 0027 TIBCustomDataSet.ActivateTransaction 0053 IBError 00aa TIBSQL.ExecQuery 00c5 TIBSQL.Current 00cd RecordDataLength 00e4 IBAlloc 00fb TIBCustomDataSet.FetchCurrentRecordToBuffer 0207 TIBSQL.GetRowsAffected 0222 @UStrClr 0228 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 E8 01 00 00 8B 40 60 8B 08 FF 51 1C 83 7D FC 00 75 15 33 C0 89 45 F4 C6 45 F8 05 8D 55 F4 33 C9 B0 2A E8 ?? ?? ?? ?? 80 BB D9 01 00 00 00 75 0A 8B C3 8B 10 FF 92 CC 02 00 00 8B 83 E8 01 00 00 80 78 74 01 0F 85 81 01 00 00 80 BB AE 00 00 00 00 74 0A 8B C3 8B 10 FF 92 D8 00 00 00 B2 01 8B C3 8B 08 FF 91 B4 00 00 00 C7 83 C4 01 00 00 FF FF FF FF 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 83 E8 01 00 00 0F B6 40 43 88 83 D8 01 00 00 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? 8B F0 89 B3 F8 01 00 00 8D 83 CC 01 00 00 8B CE 33 D2 E8 ?? ?? ?? ?? 8B 83 CC 01 00 00 50 83 C9 FF 8B 93 E8 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 F8 01 00 00 89 83 C0 01 00 00 8B D0 03 53 70 89 93 88 01 00 00 8B 43 7C 03 C0 03 C0 03 C2 89 83 F0 01 00 00 80 BB FC 01 00 00 00 74 0A 03 C0 89 83 9C 01 00 00 EB 0C F7 AB 90 01 00 00 89 83 9C 01 00 00 8D 93 94 01 00 00 8B 83 9C 01 00 00 8B C8 92 E8 ?? ?? ?? ?? 80 BB BC 01 00 00 00 75 06 F6 43 1C 02 74 14 8D 93 98 01 00 00 8B 83 9C 01 00 00 8B C8 92 E8 ?? ?? ?? ?? 33 C0 89 83 AC 01 00 00 33 C0 89 83 B0 01 00 00 33 C0 89 83 B4 01 00 00 33 C0 89 83 B8 01 00 00 8B 83 9C 01 00 00 89 83 A0 01 00 00 8B 83 9C 01 00 00 89 83 A4 01 00 00 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? 8B D0 8D 83 CC 01 00 00 8B 8B F0 01 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 E8 01 00 00 89 83 D0 01 00 00 8B C3 8B 10 FF 92 E8 01 00 00 89 83 D4 01 00 00 EB 05 E8 ?? ?? ?? ?? 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 89 83 18 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30307_0 {
	meta:
		name = "TIBCustomDataSet.InternalPost"
		size = 210
		refs = "0009 TDataSet.InternalPost 0010 TIBCustomDataSet.GetActiveBuf 0019 TIBCustomDataSet.CheckEditState 0022 TIBCustomDataSet.AdjustRecordOnInsert 005f TIBCustomDataSet.WriteRecordCache 00aa TIBCustomDataSet.InternalPostRecord"
	strings:
		$1 = { 53 56 57 55 8B F8 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 33 DB 33 ED 0F B6 87 A5 00 00 00 2C 02 74 3C FE C8 75 61 B3 01 8B AF E0 01 00 00 8B C6 C6 40 09 02 C6 40 08 02 8B 97 F4 01 00 00 89 50 04 8B CE 8B 97 F4 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B 87 F4 01 00 00 89 87 C4 01 00 00 EB 29 8B AF EC 01 00 00 8B C6 0F B6 50 08 84 D2 75 0A C6 40 09 01 C6 40 08 01 EB 0F 80 FA 04 75 0A C6 40 08 02 FF 8F C8 01 00 00 80 BF BC 01 00 00 00 75 0D 8B CE 8B D5 8B C7 E8 ?? ?? ?? ?? EB 13 8B 56 04 8B CE 8B C7 E8 ?? ?? ?? ?? C6 87 05 02 00 00 01 84 DB 74 06 FF 87 F4 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30308_0 {
	meta:
		name = "TIBCustomDataSet.InternalRefresh"
		size = 22
		refs = "0006 TDataSet.InternalRefresh"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 D8 02 00 00 5E C3 }
	condition:
		$1
}

rule function_30309_0 {
	meta:
		name = "TIBCustomDataSet.InternalSetToRecord"
		size = 12
	strings:
		$1 = { 83 C2 04 8B 08 FF 91 08 02 00 00 C3 }
	condition:
		$1
}

rule function_30310_0 {
	meta:
		name = "TIBCustomDataSet.IsCursorOpen"
		size = 8
	strings:
		$1 = { 0F B6 80 D8 01 00 00 C3 }
	condition:
		$1
}

rule function_30311_0 {
	meta:
		name = "TIBCustomDataSet.Locate"
		size = 191
		refs = "0018 TIBCustomDataSet.Locate 0026 TDataSet.DisableControls 004a TDataSet.First 005b TIBCustomDataSet.InternalLocate 006f TDataSet.GotoBookmark 0084 TDataSet.EnableControls 008a @HandleFinally 00a2 TArray<System.Byte> 00a7 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 8B F1 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F8 8B 08 FF 91 78 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 45 08 50 8B CE 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 88 45 F7 80 7D F7 00 75 0B 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 F7 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_32056_0 {
	meta:
		name = "TIBTable.Locate"
		size = 191
		refs = "0018 TIBTable.Locate 0026 TDataSet.DisableControls 004a TDataSet.First 005b TIBTable.InternalLocate 006f TDataSet.GotoBookmark 0084 TDataSet.EnableControls 008a @HandleFinally 00a2 TArray<System.Byte> 00a7 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 8B F1 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F8 8B 08 FF 91 78 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 45 08 50 8B CE 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 88 45 F7 80 7D F7 00 75 0B 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 F7 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_30312_0 {
	meta:
		name = "TIBCustomDataSet.Lookup"
		size = 256
		refs = "001c TIBCustomDataSet.Lookup 002a TDataSet.DisableControls 0031 _Dn_TList 0036 TObject.Create 005d TDataSet.First 0071 TIBCustomDataSet.InternalLocate 0088 TDataSet.GetFieldValue 0091 Null 00b2 TDataSet.GotoBookmark 00ba TObject.Free 00c2 TDataSet.EnableControls 00c8 @HandleFinally 00e0 TArray<System.Byte> 00e5 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B F2 89 45 F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 55 FC 8B 45 F8 8B 08 FF 91 78 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8B CF 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 1E 83 7D 0C 00 74 0F 8B CB 8B 55 0C 8B 45 F8 E8 ?? ?? ?? ?? EB 10 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_30313_0 {
	meta:
		name = "TIBCustomDataSet.SetBookmarkData"
		size = 6
	strings:
		$1 = { 8B 01 89 42 04 C3 }
	condition:
		$1
}

rule function_30315_0 {
	meta:
		name = "TIBCustomDataSet.SetCachedUpdates"
		size = 55
		refs = "0016 TIBCustomDataSet.CancelUpdates 002a TIBCustomDataSet.CheckDatasetClosed"
	strings:
		$1 = { 53 56 8B DA 8B F0 84 DB 75 10 80 BE BC 01 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? F6 46 1C 02 0F 95 C0 34 01 84 D8 74 07 8B C6 E8 ?? ?? ?? ?? 88 9E BC 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_30316_0 {
	meta:
		name = "TIBCustomDataSet.SetDataSource"
		size = 65
		refs = "000e TDataSet.IsLinkedTo 0027 IBError 0038 TDataLink.SetDataSource"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 36 E8 ?? ?? ?? ?? 8B 83 0C 02 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_30317_0 {
	meta:
		name = "TIBCustomDataSet.InternalSetFieldData"
		size = 672
		refs = "0011 TIBCustomDataSet.GetActiveBuf 0051 Move 005d TIBCustomDataSet.WriteRecordCache 0069 TIBCustomDataSet.CheckEditState 0074 TIBCustomDataSet.AdjustRecordOnInsert 00b9 TField.Validate 00c7 _DV_TIBStringField 00cc @IsClass 01e2 @PWCharLen"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 0C 24 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 8B 10 FF 92 A8 00 00 00 85 C0 7D 41 8B EF 03 AB F8 01 00 00 03 6E 54 83 3C 24 01 1B C0 40 88 45 00 84 C0 74 17 8B C6 8B 10 FF 92 9C 00 00 00 8B C8 8D 55 01 8B 04 24 E8 ?? ?? ?? ?? 8B 57 04 8B CF 8B C3 E8 ?? ?? ?? ?? E9 18 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B EF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 A8 00 00 00 8B 93 08 02 00 00 83 7C 82 FC 00 0F 8E EB 01 00 00 8B C6 8B 10 FF 92 A8 00 00 00 8B 93 08 02 00 00 8B 44 82 FC 0F BF 55 02 3B C2 0F 8F CB 01 00 00 8B 14 24 8B C6 E8 ?? ?? ?? ?? 83 3C 24 00 74 1E 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 82 00 00 00 8B 04 24 66 83 38 00 75 79 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 80 BE FC 00 00 00 00 74 21 8B C6 8B 10 FF 92 A8 00 00 00 8B 93 08 02 00 00 8B 44 82 FC 8D 04 40 C6 44 C5 05 01 E9 62 01 00 00 8B C6 8B 10 FF 92 A8 00 00 00 8B 93 08 02 00 00 8B 44 82 FC 8D 04 40 33 D2 89 54 C5 0C 8B C6 8B 10 FF 92 A8 00 00 00 8B 93 08 02 00 00 8B 44 82 FC 8D 04 40 C6 44 C5 05 00 E9 24 01 00 00 8B C6 8B 10 FF 92 A8 00 00 00 8B 93 08 02 00 00 8B 44 82 FC 8D 04 40 8B 44 C5 08 50 8B C6 8B 10 FF 92 A8 00 00 00 8B 93 08 02 00 00 8B 44 82 FC 8D 04 40 8B 44 C5 10 8D 14 07 8B 44 24 04 59 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 A8 00 00 00 8B 93 08 02 00 00 8B 44 82 FC 8D 04 40 66 81 7C C5 00 C4 01 74 20 8B C6 8B 10 FF 92 A8 00 00 00 8B 93 08 02 00 00 8B 44 82 FC 8D 04 40 66 81 7C C5 00 C0 01 75 2D 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 04 8B C6 8B 10 FF 92 A8 00 00 00 8B 93 08 02 00 00 8B 44 82 FC 8D 04 40 8B 54 24 04 03 D2 89 54 C5 0C 8B C6 8B 10 FF 92 A8 00 00 00 8B 93 08 02 00 00 8B 44 82 FC 8D 04 40 C6 44 C5 05 00 80 7D 09 00 75 3C 80 BB BC 01 00 00 00 74 20 C6 83 05 02 00 00 01 0F B6 83 A5 00 00 00 3C 03 75 06 C6 45 08 02 EB 08 3C 02 75 04 C6 45 08 01 80 BB A5 00 00 00 03 75 06 C6 45 09 02 EB 04 C6 45 09 01 8B 55 04 8B CF 8B C3 E8 ?? ?? ?? ?? 8B C3 C6 80 AA 00 00 00 01 0F B6 83 A5 00 00 00 04 FB 2C 03 72 0E 8B CE 33 D2 8B C3 8B 18 FF 93 E4 00 00 00 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30318_0 {
	meta:
		name = "TIBCustomDataSet.SetRecNo"
		size = 124
		refs = "0009 TDataSet.CheckBrowseMode 0034 Min 005c TIBCustomDataSet.SetRecNo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 83 FE 01 7D 07 BE 01 00 00 00 EB 21 3B B3 F4 01 00 00 7E 19 8B C3 8B 10 FF 92 10 02 00 00 8B D6 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B C3 8B 10 FF 92 8C 01 00 00 3B F0 74 2C 8B C3 8B 10 FF 92 34 01 00 00 4E 89 B3 C4 01 00 00 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 B4 02 00 00 8B C3 8B 10 FF 92 10 01 00 00 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_30319_0 {
	meta:
		name = "TIBCustomDataSet.Disconnect"
		size = 22
		refs = "0006 TDataSet.Close"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 D0 02 00 00 5E C3 }
	condition:
		$1
}

rule function_30320_0 {
	meta:
		name = "TIBCustomDataSet.SetUpdateMode"
		size = 57
		refs = "0028 IBError"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 8B C6 8B 10 FF 92 5C 01 00 00 84 C0 75 17 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 32 E8 ?? ?? ?? ?? EB 06 88 9E FD 01 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_30321_0 {
	meta:
		name = "TIBCustomDataSet.SetUpdateObject"
		size = 146
		refs = "002d TComponent.RemoveFreeNotification 004d TComponent.FreeNotification 007d TIBCustomDataSet.SetUpdateObject"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 3B B3 00 02 00 00 74 7F 8B BB 00 02 00 00 85 FF 74 25 8B C7 8B 10 FF 52 40 3B D8 75 1A 8B D3 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 00 02 00 00 8B 08 FF 51 44 8B C6 89 83 00 02 00 00 85 C0 74 44 8B D3 E8 ?? ?? ?? ?? 8B 83 00 02 00 00 8B 10 FF 52 40 85 C0 74 21 8B 83 00 02 00 00 8B 10 FF 52 40 3B D8 74 12 8B 83 00 02 00 00 8B 10 FF 52 40 33 D2 E8 ?? ?? ?? ?? 8B D3 8B 83 00 02 00 00 8B 08 FF 51 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30323_0 {
	meta:
		name = "TIBCustomDataSet.ClearCalcFields"
		size = 20
		refs = "000f @FillChar"
	strings:
		$1 = { 8B 88 F8 01 00 00 03 D1 33 C9 8B 40 70 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30324_0 {
	meta:
		name = "TIBCustomDataSet.InternalUnPrepare"
		size = 56
		refs = "000f TIBCustomDataSet.CheckDatasetClosed 0017 TCollection.Clear 0025 TIBCustomDataSet.InternalUnPrepare"
	strings:
		$1 = { 53 8B D8 80 BB D9 01 00 00 00 74 23 8B C3 E8 ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? C6 83 D9 01 00 00 00 0F B6 05 ?? ?? ?? ?? 88 83 11 02 00 00 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_30325_0 {
	meta:
		name = "TIBCustomDataSet.InternalExecQuery"
		size = 246
		refs = "0012 TIBCustomDataSet.InternalExecQuery 0032 TIBCustomDataSet.ActivateConnection 003a TIBCustomDataSet.ActivateTransaction 006c IBError 00ae TIBSQL.ExecQuery 00c9 TIBCustomDataSet.DeactivateTransaction 00cf @HandleFinally 00e6 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 8D 55 F4 8B 45 FC 8B 80 E8 01 00 00 8B 40 60 8B 08 FF 51 1C 83 7D F4 00 75 15 33 C0 89 45 EC C6 45 F0 05 8D 55 EC 33 C9 B0 2A E8 ?? ?? ?? ?? 8B 45 FC 80 B8 D9 01 00 00 00 75 0B 8B 45 FC 8B 10 FF 92 CC 02 00 00 8B 45 FC 8B 80 E8 01 00 00 80 78 74 01 75 17 33 C0 89 45 EC C6 45 F0 05 8D 55 EC 33 C9 B0 42 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_30326_0 {
	meta:
		name = "TIBCustomDataSet.GetSelectStmtHandle"
		size = 10
	strings:
		$1 = { 8B 80 E8 01 00 00 8B 40 50 C3 }
	condition:
		$1
}

rule function_30327_0 {
	meta:
		name = "TIBCustomDataSet.InitRecord"
		size = 28
		refs = "0006 TDataSet.InitRecord"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 8B C3 C6 40 09 02 C6 00 03 C7 40 04 FF FF FF FF 5B C3 }
	condition:
		$1
}

rule function_30329_0 {
	meta:
		name = "TIBCustomDataSet.PSEndTransaction"
		size = 55
		refs = "0009 TIBCustomDataSet.GetTransaction 000e TIBTransaction.GetInTransaction 0022 TIBTransaction.Commit 0030 TIBTransaction.Rollback"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 84 DB 74 0E 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30330_0 {
	meta:
		name = "TIBCustomDataSet.PSExecuteStatement"
		size = 602
		refs = "0026 TIBCustomDataSet.PSExecuteStatement 003d _DV_TIBDataSet 0042 TIBCustomDataSet.Create 004d TIBCustomDataSet.GetDatabase 0056 TIBCustomDataSet.SetDatabase 005d TIBCustomDataSet.GetTransaction 0066 TIBCustomDataSet.SetTransaction 0072 TIBTransaction.GetInTransaction 0082 TIBTransaction.StartTransaction 0093 TIBCustomDataSet.GetSelectSQL 00b6 TParams.GetItem 00be TParam.GetAsVariant 00c9 TIBCustomDataSet.GetSQLParams 00d0 TIBXSQLDA.GetSQLVAR 00d6 TIBXSQLVAR.SetAsVariant 00e1 TDataSet.Open 00e8 TIBCustomDataSet.SQLType 00f3 TIBCustomDataSet.FetchAll 01d5 TIBDataSet.ExecSQL 021a TObject.Free 0220 @HandleFinally 0238 Variant 0242 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 DF 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 3E 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0C 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 87 E8 01 00 00 C6 40 75 01 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 2C 8B 45 F8 8B 40 08 8B 70 08 4E 85 F6 7C 31 46 33 DB 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8D 45 E0 50 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 43 4E 75 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 3C 01 75 19 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 88 01 00 00 89 45 F4 E9 1D 01 00 00 8B 87 18 02 00 00 89 45 F4 E9 0F 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 80 E8 01 00 00 C6 40 75 01 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 2C 8B 45 F8 8B 40 08 8B 70 08 4E 85 F6 7C 32 46 33 DB 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 D0 E8 ?? ?? ?? ?? 8D 45 D0 50 8B 45 F0 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 43 4E 75 D1 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 3C 01 75 18 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 92 88 01 00 00 89 45 F4 EB 0C 8B 45 F0 8B 80 18 02 00 00 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_30331_0 {
	meta:
		name = "TIBCustomDataSet.PSGetQuoteChar"
		size = 72
		refs = "0009 @UStrClr 0010 TIBCustomDataSet.GetDatabase 0020 TIBDatabase.GetSQLDialect 002c TIBCustomDataSet.PSGetQuoteChar 0031 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 03 75 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_30332_0 {
	meta:
		name = "TIBCustomDataSet.PSGetUpdateException"
		size = 79
		refs = "0019 _Dn_EIBError 001e @IsClass 0034 _Dn_EUpdateError 0039 EUpdateError.Create 0046 TDataSet.PSGetUpdateException"
	strings:
		$1 = { 53 56 57 55 8B F1 8B DA 8B E8 85 F6 74 05 8B 7E 18 EB 02 33 FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 6A 00 8B 43 18 50 57 53 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8B CE 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30336_0 {
	meta:
		name = "TIBCustomDataSet.PSReset"
		size = 37
		refs = "0006 TDataSet.PSReset 000d TDataSet.GetActive 0018 TDataSet.Close 001f TDataSet.Open"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30337_0 {
	meta:
		name = "AssignParams"
		size = 340
		refs = "001d AssignParams 004b TParams.GetItem 0058 @UStrLAsg 006e @UStrCopy 007b CompareText 0096 @UStrDelete 00a1 TDataSet.FindField 00b5 TField.GetOldValue 00c1 TParam.AssignFieldValue 00cd TField.GetNewValue 00d5 VarIsEmpty 0110 @VarClr 0118 @UStrClr 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 E0 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 8B 40 08 8B 40 08 48 85 C0 0F 8C C6 00 00 00 40 89 45 D8 C7 45 DC 00 00 00 00 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B 56 34 E8 ?? ?? ?? ?? 8D 45 D4 50 B9 04 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 12 8D 45 FC B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 8B F8 85 FF 74 48 84 DB 74 18 8D 55 C4 8B C7 E8 ?? ?? ?? ?? 8D 4D C4 8B D7 8B C6 E8 ?? ?? ?? ?? EB 2C 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 0A 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8D 4D E8 8B D7 8B C6 E8 ?? ?? ?? ?? FF 45 DC FF 4D D8 0F 85 45 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4F 00 4C 00 44 00 5F 00 00 00 00 00 }
	condition:
		$1
}

rule function_30338_0 {
	meta:
		name = "TIBCustomDataSet.PSUpdateRecord"
		size = 324
		refs = "001b TIBCustomDataSet.PSUpdateRecord 0096 _Dn_TParams 009b TParams.Create 00bd TParams.ParseSQL 00c8 AssignParams 00f0 IBError 0109 TObject.Free 010f @HandleFinally 0126 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D EC 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 66 83 BE 42 02 00 00 00 74 34 C6 45 F6 00 66 83 BE 42 02 00 00 00 0F 84 D0 00 00 00 8D 45 F6 50 8B CB 8B 55 F8 8B 86 44 02 00 00 FF 96 40 02 00 00 80 7D F6 05 0F 94 45 F7 E9 AE 00 00 00 83 BE 00 02 00 00 00 0F 84 A1 00 00 00 8B D3 8B 86 00 02 00 00 8B 08 FF 51 4C 8D 55 FC 8B 08 FF 51 1C 83 7D FC 00 0F 84 82 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 50 B1 01 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 8B 4D F0 8B 55 FC 8B C6 8B 18 FF 53 40 85 C0 75 15 33 C0 89 45 E4 C6 45 E8 05 8D 55 E4 33 C9 B0 4A E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30339_0 {
	meta:
		name = "TIBCustomDataSet.PSStartTransaction"
		size = 24
		refs = "0006 TIBCustomDataSet.ActivateConnection 000d TIBCustomDataSet.GetTransaction 0012 TIBTransaction.StartTransaction"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30340_0 {
	meta:
		name = "TIBCustomDataSet.PSGetTableName"
		size = 182
		refs = "0012 TIBCustomDataSet.PSGetTableName 0029 TIBSQL.Prepare 0036 TIBSQL.GetUniqueRelationName 004a TIBSQL.Current 0051 TIBXSQLDA.GetSQLVAR 0067 @UStrFromLStr 0071 Trim 007d TIBSQL.GetFieldCount 009b @LStrClr 00a3 @UStrClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 E8 01 00 00 80 78 44 00 75 05 E8 ?? ?? ?? ?? 8B D7 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 83 3F 00 75 4B 33 F6 EB 33 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 18 8D 55 F8 8B 08 FF 51 08 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D7 E8 ?? ?? ?? ?? 46 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 3B F0 7D 05 83 3F 00 74 B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30341_0 {
	meta:
		name = "TIBDataSet.BatchInput"
		size = 21
		altNames = "TIBQuery.BatchInput"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B C6 8B 08 FF 91 C4 02 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_30342_0 {
	meta:
		name = "TIBDataSet.BatchOutput"
		size = 21
		altNames = "TIBQuery.BatchOutput"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B C6 8B 08 FF 91 C8 02 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_30343_0 {
	meta:
		name = "TIBDataSet.ExecSQL"
		size = 32
		refs = "0014 TIBSQL.GetRowsAffected"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 D4 02 00 00 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 89 83 18 02 00 00 5B C3 }
	condition:
		$1
}

rule function_30344_0 {
	meta:
		name = "TIBDataSet.Prepare"
		size = 15
	strings:
		$1 = { 56 8B F0 8B C6 8B 10 FF 92 CC 02 00 00 5E C3 }
	condition:
		$1
}

rule function_30345_0 {
	meta:
		name = "TIBDataSet.UnPrepare"
		size = 15
	strings:
		$1 = { 56 8B F0 8B C6 8B 10 FF 92 D0 02 00 00 5E C3 }
	condition:
		$1
}

rule function_30346_0 {
	meta:
		name = "TIBDataSet.GetPrepared"
		size = 8
	strings:
		$1 = { 0F B6 80 D9 01 00 00 C3 }
	condition:
		$1
}

rule function_30347_0 {
	meta:
		name = "SetParams"
		size = 923
		refs = "0025 SetParams 0053 TParams.GetItem 0062 TIBCustomDataSet.GetSQLParams 0068 TIBXSQLDA.ByName 007a TParam.GetIsNull 0087 TIBXSQLVAR.SetIsNull 00a5 TParam.GetDataType 0138 TParam.GetDataSize 013d @GetMem 0161 TParam.GetData 016b TIBXSQLVAR.SetAsPointer 0180 @FreeMem 0186 @HandleFinally 019b TParam.GetAsString 01a5 TIBXSQLVAR.SetAsString 01ba TParam.GetAsBoolean 01c3 TIBXSQLVAR.SetAsBoolean 01d8 TParam.GetAsInteger 01e1 TIBXSQLVAR.SetAsShort 01ff TIBXSQLVAR.SetAsLong 0217 TParam.GetAsVariant 021f @VarToInt64 0228 TIBXSQLVAR.SetAsInt64 023d TParam.GetAsFloat 024b TIBXSQLVAR.SetAsDouble 0260 TParam.GetAsCurrency 026e TIBXSQLVAR.SetAsCurrency 0286 TParam.GetAsFMTBCD 0290 TIBXSQLVAR.SetAsBcd 02a5 TParam.GetAsDateTime 02b3 TIBXSQLVAR.SetAsDate 02d6 TIBXSQLVAR.SetAsTime 02f6 TIBXSQLVAR.SetAsDateTime 030b TParam.GetAsBytes 0315 TIBXSQLVAR.SetAsBytes 034b IBError 036c @UStrClr 0375 TArray<System.Byte> 037a @DynArrayClear 0382 @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 33 D2 89 55 B0 89 55 B4 89 55 DC 89 55 E0 89 55 E4 89 55 E8 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B 40 08 48 85 C0 0F 8C 1A 03 00 00 40 89 45 F0 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 40 34 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E B2 01 8B C3 E8 ?? ?? ?? ?? E9 BF 02 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 E0 7F 83 F8 2C 0F 87 85 02 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 02 04 05 04 03 07 08 08 0A 0B 0C 01 00 00 0D 0E 00 00 00 00 00 00 02 02 06 00 00 00 00 00 00 00 00 00 00 00 09 00 0E 00 00 00 04 04 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? E9 A1 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E9 83 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E9 65 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E9 47 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 52 50 8B C3 E8 ?? ?? ?? ?? E9 1E 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 FB 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 D8 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 B8 E8 ?? ?? ?? ?? 8D 55 B8 8B C3 E8 ?? ?? ?? ?? E9 B6 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 93 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 73 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 53 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 B4 E8 ?? ?? ?? ?? 8B 55 B4 8B C3 E8 ?? ?? ?? ?? EB 34 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 B0 E8 ?? ?? ?? ?? 8B 55 B0 8B C3 E8 ?? ?? ?? ?? EB 15 33 C0 89 45 A8 C6 45 AC 05 8D 55 A8 33 C9 B0 04 E8 ?? ?? ?? ?? FF 45 F8 FF 4D F0 0F 85 F1 FC FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30348_0 {
	meta:
		name = "TIBDataSet.InternalOpen"
		size = 65
		refs = "000b TIBCustomDataSet.ActivateConnection 0013 TIBCustomDataSet.ActivateTransaction 0026 SetParams 003a TIBCustomDataSet.InternalOpen"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 68 02 00 00 85 C0 74 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 10 FF 92 DC 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_30349_0 {
	meta:
		name = "TIBDataSet.SetFiltered"
		size = 54
		refs = "000e TDataSet.SetFiltered 0015 TDataSet.GetActive 0020 TDataSet.Close 0027 TDataSet.Open"
		altNames = "TIBQuery.SetFiltered TIBStoredProc.SetFiltered"
	strings:
		$1 = { 53 8B D8 3A 93 B0 00 00 00 74 22 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30350_0 {
	meta:
		name = "TIBCustomDataSet.BookmarkValid"
		size = 148
		refs = "0010 @DynArrayAddRef 0018 TIBCustomDataSet.BookmarkValid 007b TArray<System.Byte> 0080 @DynArrayClear 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 83 7D FC 00 74 3F 8B 45 FC 8B 10 3B 96 F4 01 00 00 0F 9C C3 84 DB 74 2D 8B 86 C4 01 00 00 89 96 C4 01 00 00 8B D6 8B 4A 5C 8B 52 64 8B 14 8A 8B FA 80 7F 09 03 75 08 80 7F 08 00 75 02 33 DB 89 86 C4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30351_0 {
	meta:
		name = "TIBCustomDataSet.SetFieldData"
		size = 63
		refs = "0019 BCDToCurr"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B FA 8B F0 80 7F 48 08 75 1D 85 C9 74 19 8B D4 8B C1 E8 ?? ?? ?? ?? 8B CC 8B D7 8B C6 8B 18 FF 93 C0 02 00 00 EB 0C 8B D7 8B C6 8B 18 FF 93 C0 02 00 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30352_0 {
	meta:
		name = "TIBCustomDataSet.SetFieldData"
		size = 54
		refs = "002b TDataSet.SetFieldData"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 45 08 84 C0 75 14 80 7F 48 08 75 0E 8B D7 8B C6 8B 18 FF 93 C0 02 00 00 EB 0A 50 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_30353_0 {
	meta:
		name = "SetFieldsFromParams"
		size = 349
		refs = "0011 SetFieldsFromParams 0022 TIBCustomDataSet.GetSQLParams 005b TIBXSQLDA.GetSQLVAR 0075 TDataSet.FindField 014a @VarClr 0150 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 83 78 08 00 0F 8E 09 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 40 08 48 85 C0 0F 8C F2 00 00 00 40 89 45 FC 33 F6 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 50 14 8B 45 08 8B 40 FC 8B 80 0C 02 00 00 8B 40 04 8B 40 38 E8 ?? ?? ?? ?? 8B F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 50 14 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 85 FF 0F 84 8A 00 00 00 85 DB 0F 84 82 00 00 00 8B C3 8B 10 FF 92 B0 00 00 00 84 C0 74 74 8B C7 8B 10 FF 92 B0 00 00 00 84 C0 74 0C 8B C3 8B 10 FF 92 24 01 00 00 EB 5A 0F B6 43 48 83 F8 19 7F 12 74 3C 48 83 E8 0B 72 1A 83 C0 F5 83 E8 02 72 12 EB 3F 83 C0 DB 83 E8 02 72 08 83 C0 FC 83 E8 02 73 2F 8D 55 EC 8B C7 8B 08 FF 91 90 00 00 00 8D 55 EC 8B C3 8B 08 FF 91 00 01 00 00 EB 13 8B C7 8B 10 FF 52 74 52 50 8B C3 8B 10 FF 92 E4 00 00 00 46 FF 4D FC 0F 85 14 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30354_0 {
	meta:
		name = "TIBCustomDataSet.DoOnNewRecord"
		size = 77
		refs = "0017 TIBGeneratorField.Apply 001c CopyMasterFieldToDetail 003d SetFieldsFromParams 0046 TDataSet.DoOnNewRecord"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 14 02 00 00 80 78 14 00 75 05 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 1D 8B 45 FC 8B 80 0C 02 00 00 8B 40 04 85 C0 74 0D 83 78 38 00 74 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_30355_0 {
	meta:
		name = "TIBCustomDataSet.Post"
		size = 257
		refs = "0012 TIBCustomDataSet.Post 002b TIBGeneratorField.IsComplete 003f TDataSet.FieldByName 004a TDataSet.UpdateRecord 005b TFields.GetCount 006f TFields.GetField 00a6 @VarFromUStr 00d2 TIBGeneratorField.Apply 00d9 TDataSet.Post 00ee @VarClr 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 14 02 00 00 80 7E 14 02 75 1F 8B C6 E8 ?? ?? ?? ?? 84 C0 74 14 8B 83 14 02 00 00 8B 50 04 8B C3 E8 ?? ?? ?? ?? C6 40 4D 00 8B C3 E8 ?? ?? ?? ?? 80 BB A5 00 00 00 03 75 7F 8B 43 38 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 5F 47 33 F6 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B 10 FF 92 B0 00 00 00 84 C0 74 42 8B D6 8B 43 38 E8 ?? ?? ?? ?? 83 B8 94 00 00 00 00 74 2F 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B 90 94 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B D6 8B 43 38 E8 ?? ?? ?? ?? 5A 8B 08 FF 91 00 01 00 00 46 4F 75 A4 8B 83 14 02 00 00 80 78 14 01 75 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30356_0 {
	meta:
		name = "TIBCustomDataSet.SetGeneratorField"
		size = 12
	strings:
		$1 = { 8B 80 14 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_30357_0 {
	meta:
		name = "TIBCustomDataSet.SetActive"
		size = 25
		refs = "0014 TDataSet.SetActive"
	strings:
		$1 = { F6 40 1C 02 74 0D F6 40 1C 10 75 07 88 90 10 02 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30358_0 {
	meta:
		name = "TIBCustomDataSet.Loaded"
		size = 91
		refs = "0054 TDataSet.Loaded"
	strings:
		$1 = { 53 56 8B D8 8B 83 84 01 00 00 8B 70 04 85 F6 74 2B 80 BE DC 00 00 00 00 75 22 8B C6 8B 10 FF 52 48 84 C0 75 17 80 BB 10 02 00 00 00 74 0E 33 D2 8B C3 8B 08 FF 91 B4 01 00 00 EB 15 80 BB 10 02 00 00 00 74 0C B2 01 8B C3 8B 08 FF 91 B4 01 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30361_0 {
	meta:
		name = "TIBCustomDataSet.GetPlan"
		size = 22
		refs = "000f TIBSQL.GetPlan"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30362_0 {
	meta:
		name = "TIBCustomDataSet.CreateFields"
		size = 500
		refs = "0018 TIBCustomDataSet.CreateFields 0025 TDataSet.CreateFields 0030 TIBSQL.Current 0057 TIBXSQLDA.GetSQLVAR 006e @UStrFromLStr 00a2 TDataSet.FindField 00c6 TIBDatabase.GetSQLDialect 00d1 QuoteIdentifier 0105 @UStrCatN 010c TIBCustomDataSet.GetDatabase 0117 TIBDatabase.In_Key 0142 TIBDatabase.Has_COMPUTED_BLR 0151 Trim 01a9 @UStrArrayClr 01b6 @LStrArrayClr 01c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 78 08 4F 85 FF 0F 8C 53 01 00 00 47 C7 45 F0 00 00 00 00 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 70 18 8D 55 EC 8B C6 8B 08 FF 11 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8B C6 8B 08 FF 51 08 8B 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 E4 8B C6 8B 08 FF 51 18 8B 55 E4 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 D9 00 00 00 83 7D F8 00 74 53 83 7D F4 00 74 4D 8B 83 84 01 00 00 8B 40 04 E8 ?? ?? ?? ?? 8D 4D E0 8B 55 F8 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8B 83 84 01 00 00 8B 40 04 E8 ?? ?? ?? ?? 8D 4D DC 8B 55 F4 E8 ?? ?? ?? ?? FF 75 DC 8D 86 98 00 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 15 0F B6 86 9C 00 00 00 0A 05 ?? ?? ?? ?? 88 86 9C 00 00 00 EB 34 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 75 11 8D 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 83 7D D8 00 75 0D 0F B6 05 ?? ?? ?? ?? 88 86 9C 00 00 00 8B 06 FF 90 28 01 00 00 84 C0 74 15 0F B6 05 ?? ?? ?? ?? F7 D0 22 86 9C 00 00 00 88 86 9C 00 00 00 FF 45 F0 4F 0F 85 B5 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 04 00 00 00 00 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_30364_0 {
	meta:
		name = "TIBCustomDataSet.Notification"
		size = 45
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 00 02 00 00 75 08 33 C0 89 87 00 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30368_0 {
	meta:
		name = "TIBDataSetUpdateObject.SetRefreshSQL"
		size = 19
		altNames = "TIWProgressIndicator.SetPreScript TIdVCard.SetComments"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 38 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_30369_0 {
	meta:
		name = "TIBDSBlobStream.Create"
		size = 91
		refs = "000e @ClassCreate 0037 TIBBlobStream.Truncate 0044 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 C6 43 0C 00 89 4B 04 8B 45 0C 89 43 08 33 C9 33 D2 8B 30 FF 56 14 80 7D 08 01 75 08 8B 43 08 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_30370_0 {
	meta:
		name = "TIBDSBlobStream.Destroy"
		size = 89
		refs = "0004 @BeforeDestruction 001a TBlobField.GetModified 0028 TBlobField.SetModified 0046 TObject.Destroy 0051 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 0C 00 74 2D C6 46 0C 00 8B 46 04 E8 ?? ?? ?? ?? 84 C0 75 0A 8B 46 04 B2 01 E8 ?? ?? ?? ?? 8B 4E 04 8B 46 04 8B 40 3C 33 D2 8B 38 FF 97 E4 00 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30371_0 {
	meta:
		name = "DecodeStream"
		size = 232
		refs = "000f DecodeStream 001e _Dn_TMBCSEncoding 0023 TMBCSEncoding.Create 002d _Dn_TBytesStream 0032 TObject.Create 0054 TIBBlobStream.SaveToStream 0070 TEncoding.GetString 0078 @UStrToPWChar 007d @PWCharLen 008d @UniqueStringU 009e Move 00b3 TObject.Free 00c1 @HandleFinally 00d8 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 D2 89 55 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 FC 8B 40 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 12 50 8D 45 FC 50 8B 45 F8 8B 50 14 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 C0 8B 55 08 89 42 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 08 8B 4A F8 8B 55 08 8B 52 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_30372_0 {
	meta:
		name = "TIBDSBlobStream.Read"
		size = 125
		refs = "0017 _Dn_TWideMemoField 001c @IsClass 002b TIBBlobStream.GetDatabase 003a DefaultSystemCodePage 0041 DecodeStream"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D9 89 55 F4 89 45 FC 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3E 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 83 B8 EC 00 00 00 00 75 10 55 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 59 EB 2D 55 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B 80 EC 00 00 00 E8 ?? ?? ?? ?? 59 EB 13 8B 55 F4 8B 45 FC 8B 40 08 8B CB 8B 18 FF 53 0C 89 45 F8 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30373_0 {
	meta:
		name = "DecodeLength"
		size = 200
		refs = "0012 DecodeLength 001f _Dn_TBytesStream 0024 TObject.Create 0030 _Dn_TMBCSEncoding 0035 TMBCSEncoding.Create 0057 TIBBlobStream.SaveToStream 0068 TEncoding.GetString 0070 @UStrToPWChar 0075 @PWCharLen 008f TObject.Free 009d @HandleFinally 00b4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 FC 8B 40 08 8B 55 F4 E8 ?? ?? ?? ?? 8D 4D FC 8B 45 F4 8B 50 14 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30374_0 {
	meta:
		name = "TIBDSBlobStream.Seek"
		size = 116
		refs = "0015 _Dn_TWideMemoField 001a @IsClass 0029 TIBBlobStream.GetDatabase 0038 DefaultSystemCodePage 003f DecodeLength"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3E 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 83 B8 EC 00 00 00 00 75 10 55 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 59 EB 29 55 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B 80 EC 00 00 00 E8 ?? ?? ?? ?? 59 EB 0F 8B 45 FC 8B 40 08 8B CE 8B D3 8B 18 FF 53 14 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30375_0 {
	meta:
		name = "TIBDSBlobStream.SetSize"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 08 8B 08 FF 51 04 5E C3 }
	condition:
		$1
}

rule function_30376_0 {
	meta:
		name = "DecodeLength"
		size = 276
		refs = "0013 DecodeLength 0022 _Dn_TMBCSEncoding 0027 TMBCSEncoding.Create 004d TArray<System.Byte> 0052 @DynArraySetLength 0069 Move 0076 TEncoding.GetUnicode 0085 TEncoding.Convert 0096 @DynArrayAsg 009e @DynArrayLength 00cf TObject.Free 00d5 @HandleFinally 00f2 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F0 89 55 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 48 FC 8B 55 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 00 8B 4D F4 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 08 8B 40 F4 8B 40 08 8B 18 FF 53 10 8B 45 08 8B 40 FC 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30377_0 {
	meta:
		name = "TIBDSBlobStream.Write"
		size = 187
		refs = "003e IBError 004e TIBCustomDataSet.RecordModified 005a _Dn_TWideMemoField 005f @IsClass 006e TIBBlobStream.GetDatabase 007d DefaultSystemCodePage 0084 DecodeLength"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 4D FC 89 55 F8 89 45 F4 8B 45 F4 C6 40 0C 01 8B 45 F4 8B 40 04 8B 40 3C 0F B6 80 A5 00 00 00 04 FE 2C 02 72 15 33 C0 89 45 EC C6 45 F0 05 8D 55 EC 33 C9 B0 2F E8 ?? ?? ?? ?? 8B 45 F4 8B 40 04 8B 40 3C B2 01 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3E 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 83 B8 EC 00 00 00 00 75 10 55 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 59 EB 2B 55 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 80 EC 00 00 00 E8 ?? ?? ?? ?? 59 EB 11 8B 55 F8 8B 45 F4 8B 40 08 8B 4D FC 8B 18 FF 53 10 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30378_0 {
	meta:
		name = "TIBDataSet.PSSetCommandText"
		size = 27
		refs = "000d TIBCustomDataSet.GetSelectSQL"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 0E 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 2C 5E 5B C3 }
	condition:
		$1
}

rule function_30379_0 {
	meta:
		name = "TIBDataSet.ParamByName"
		size = 102
		refs = "000e @UStrAddRef 0016 TIBDataSet.ParamByName 003d TIBSQL.ParamByName 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB D9 01 00 00 00 75 0A 8B C3 8B 10 FF 92 CC 02 00 00 8B 55 FC 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_30380_0 {
	meta:
		name = "TIBGeneratorField.Apply"
		size = 476
		refs = "0017 TIBGeneratorField.Apply 0024 TIBGeneratorField.IsComplete 0037 TDataSet.FieldByName 004e Null 0057 @VarCmpEQ 0065 TIBCustomDataSet.GetDatabase 006e _Dn_TIBSQL 0073 TIBSQL.Create 007e TIBCustomDataSet.GetTransaction 0088 TIBSQL.SetTransaction 00a7 TIBDatabase.GetSQLDialect 00b2 QuoteIdentifier 00d8 Format 00ee TIBSQL.ExecQuery 00f6 TIBSQL.Current 00fd TIBXSQLDA.GetSQLVAR 0102 TIBXSQLVAR.GetAsInt64 011f TIBSQL.Close 0134 TObject.Free 013a @HandleFinally 0151 @UStrClr 0162 Variant 016c @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 10 01 00 00 8B 53 04 8B 43 10 E8 ?? ?? ?? ?? 8D 55 EC 8B 08 FF 91 90 00 00 00 8D 45 EC 50 8D 45 DC E8 ?? ?? ?? ?? 8D 55 DC 58 E8 ?? ?? ?? ?? 0F 85 DF 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 43 10 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D8 50 8B 43 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D C4 8B 53 08 E8 ?? ?? ?? ?? 8B 45 C4 89 45 C8 C6 45 CC 11 8B 43 0C 89 45 D0 C6 45 D4 00 8D 55 C8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC 8B 40 60 8B 08 FF 51 2C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 52 50 8B 53 04 8B 43 10 E8 ?? ?? ?? ?? 8B 10 FF 92 E4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 47 00 45 00 4E 00 5F 00 49 00 44 00 28 00 25 00 73 00 2C 00 20 00 25 00 64 00 29 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 00 00 }
	condition:
		$1
}

rule function_30381_0 {
	meta:
		name = "TIBGeneratorField.Assign"
		size = 88
		refs = "000a _DV_TIBGeneratorField 000f @IsClass 0020 @AsClass 002d @UStrAsg 0051 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 43 04 8B 56 04 E8 ?? ?? ?? ?? 8D 43 08 8B 56 08 E8 ?? ?? ?? ?? 8B 46 0C 89 43 0C 0F B6 46 14 88 43 14 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30382_0 {
	meta:
		name = "TIBGeneratorField.Create"
		size = 87
		refs = "000b @ClassCreate 001a TObject.Create 0022 @UStrClr 0043 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 04 E8 ?? ?? ?? ?? 8D 47 08 E8 ?? ?? ?? ?? C7 47 0C 01 00 00 00 C6 47 14 00 89 77 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30383_0 {
	meta:
		name = "TIBGeneratorField.IsComplete"
		size = 23
	strings:
		$1 = { 53 8B D8 83 7B 08 00 74 06 83 7B 04 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_30384_0 {
	meta:
		name = "TIBGeneratorField.ValueName"
		size = 172
		refs = "000f TIBGeneratorField.ValueName 001c TIBGeneratorField.IsComplete 003b IntToStr 004a @UStrCatN 0053 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2C FF 73 08 68 ?? ?? ?? ?? FF 73 04 68 ?? ?? ?? ?? 8D 55 FC 8B 43 0C E8 ?? ?? ?? ?? FF 75 FC 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 2D 00 3E 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 42 00 79 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_30385_0 {
	meta:
		name = "TIBDataSet.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TIBCustomDataSet.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 68 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30386_0 {
	meta:
		name = "TIBDataSet.PSGetParams"
		size = 18
		refs = "0006 TIBDataSet.CreateParams"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 68 02 00 00 5B C3 }
	condition:
		$1
}

rule function_30387_0 {
	meta:
		name = "TIBDataSet.PSSetParams"
		size = 946
		refs = "0028 TIBDataSet.PSSetParams 0046 TIBCustomDataSet.GetSelectSQL 0060 TIBDataSet.CreateParams 0085 TParams.GetItem 0091 TIBCustomDataSet.GetSQLParams 0097 TIBXSQLDA.ByName 00a9 TParam.GetIsNull 00b6 TIBXSQLVAR.SetIsNull 00d4 TParam.GetDataType 0163 TParam.GetDataSize 0168 @GetMem 018c TParam.GetData 0196 TIBXSQLVAR.SetAsPointer 01ab @FreeMem 01b1 @HandleFinally 01c6 TParam.GetAsString 01d0 TIBXSQLVAR.SetAsString 01e5 TParam.GetAsBoolean 01ee TIBXSQLVAR.SetAsBoolean 0203 TParam.GetAsInteger 020c TIBXSQLVAR.SetAsShort 022a TIBXSQLVAR.SetAsLong 0242 TParam.GetAsVariant 024a @VarToInt64 0253 TIBXSQLVAR.SetAsInt64 0268 TParam.GetAsFloat 0276 TIBXSQLVAR.SetAsDouble 028b TParam.GetAsCurrency 0299 TIBXSQLVAR.SetAsCurrency 02b1 TParam.GetAsFMTBCD 02bb TIBXSQLVAR.SetAsBcd 02d0 TParam.GetAsDateTime 02de TIBXSQLVAR.SetAsDate 02fe TIBXSQLVAR.SetAsTime 031e TIBXSQLVAR.SetAsDateTime 0333 TParam.GetAsBytes 033d TIBXSQLVAR.SetAsBytes 0354 IBError 0387 TArray<System.Byte> 038c @DynArrayClear 0394 @VarClr 03a1 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 33 C9 89 4D AC 89 4D D4 89 4D D8 89 4D DC 89 4D E0 89 4D E4 89 4D E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B 43 08 83 78 08 00 0F 8E 33 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 51 1C 83 7D E8 00 0F 84 19 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 43 08 8B 40 08 48 85 C0 0F 8C F1 02 00 00 40 89 45 EC C7 45 F4 00 00 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 34 50 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E B2 01 8B C3 E8 ?? ?? ?? ?? E9 99 02 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 E0 7F 83 F8 2C 0F 87 5F 02 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 02 04 05 04 03 07 08 08 0A 0B 0C 01 00 00 0D 02 00 00 00 00 00 00 02 02 06 00 00 00 00 00 00 00 00 00 00 00 09 02 02 00 00 00 04 04 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? E9 7F 01 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E9 61 01 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E9 43 01 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E9 25 01 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 52 50 8B C3 E8 ?? ?? ?? ?? E9 FC 00 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 D9 00 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 B6 00 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 B0 E8 ?? ?? ?? ?? 8D 55 B0 8B C3 E8 ?? ?? ?? ?? E9 94 00 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 74 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 54 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 34 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 AC E8 ?? ?? ?? ?? 8B 55 AC 8B C3 E8 ?? ?? ?? ?? EB 15 33 C0 89 45 A4 C6 45 A8 05 8D 55 A4 33 C9 B0 04 E8 ?? ?? ?? ?? FF 45 F4 FF 4D EC 0F 85 1A FD FF FF 8B 45 FC 8B 80 68 02 00 00 8B 55 F8 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30388_0 {
	meta:
		name = "TIBDataSet.CreateParams"
		size = 682
		refs = "0019 TIBDataSet.CreateParams 0031 _Dn_TParams 0036 TParams.Create 0047 TCollection.Clear 0050 TIBCustomDataSet.GetSelectSQL 0063 Trim 0074 TIBCustomDataSet.GetSQLParams 0094 TIBXSQLDA.GetSQLVAR 0099 TIBXSQLVAR.GetSQLType 01b6 TIBCustomDataSet.GetDatabase 01bb TIBDatabase.GetSQLDialect 0242 TParams.CreateParam 0260 TIBXSQLVAR.GetAsVariant 026b TParam.SetAsVariant 028a @VarClr 0297 @UStrArrayClr 029d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BF 68 02 00 00 00 75 14 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 68 02 00 00 8B 87 68 02 00 00 E8 ?? ?? ?? ?? 33 DB 8B C7 E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 51 1C 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 08 02 00 00 8B C7 E8 ?? ?? ?? ?? 8B 40 08 48 85 C0 0F 8C F5 01 00 00 40 89 45 F8 33 F6 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D 08 02 00 00 7F 4F 0F 84 6F 01 00 00 3D E2 01 00 00 7F 28 0F 84 56 01 00 00 2D C0 01 00 00 0F 84 53 01 00 00 83 E8 04 0F 84 46 01 00 00 83 E8 1C 0F 84 39 01 00 00 E9 42 01 00 00 2D F0 01 00 00 0F 84 8D 00 00 00 83 E8 04 74 5F 83 E8 0A 74 53 E9 28 01 00 00 3D 30 02 00 00 7F 24 74 3E 2D 12 02 00 00 0F 84 06 01 00 00 83 E8 0A 0F 84 09 01 00 00 83 E8 0A 0F 84 00 01 00 00 E9 FD 00 00 00 2D 3A 02 00 00 74 0E 83 E8 0A 0F 84 9C 00 00 00 E9 E8 00 00 00 B3 09 E9 E1 00 00 00 B3 0A E9 DA 00 00 00 B3 0B E9 D3 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 20 66 85 C0 75 07 B3 02 E9 B1 00 00 00 B3 08 E9 AA 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 20 66 85 C0 75 07 B3 03 E9 88 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 20 66 83 F8 FC 7C 04 B3 08 EB 68 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 04 B3 06 EB 55 B3 25 EB 51 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 20 66 85 C0 75 04 B3 19 EB 32 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 20 66 83 F8 FC 7C 04 B3 08 EB 12 B3 25 EB 0E B3 06 EB 0A B3 18 EB 06 B3 18 EB 02 B3 0F 6A 01 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 14 8D 55 EC E8 ?? ?? ?? ?? 8B 4D EC 8B D3 8B 87 68 02 00 00 E8 ?? ?? ?? ?? 89 45 FC 80 FB 0F 74 21 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 46 FF 4D F8 0F 85 11 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30389_0 {
	meta:
		name = "TIBDataSet.PSGetCommandText"
		size = 23
		refs = "0009 TIBCustomDataSet.GetSelectSQL"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 1C 5E 5B C3 }
	condition:
		$1
}

rule function_30390_0 {
	meta:
		name = "TIBDataSet.PSGetCommandType"
		size = 127
		refs = "0006 TIBDataSet.GetPrepared 0011 TIBDataSet.Prepare 0018 TIBCustomDataSet.SQLType 0027 TIBDataSet.PSGetCommandType"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 0D 77 57 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B0 05 5B C3 B0 06 5B C3 B0 07 5B C3 B0 08 5B C3 B0 09 5B C3 B0 03 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_30406_0 {
	meta:
		name = "TIBDatabase.Create"
		size = 352
		refs = "000e @ClassCreate 001c TCustomConnection.Create 0027 TIBDatabase.Create 002e TIBDatabase.SetServerType 0039 _DV_TList<IBDatabase.TIBBase> 003e TList<IBDatabase.TIBBase>.Create 004b _DV_TList<IBDatabase.TIBTransaction> 0050 TList<IBDatabase.TIBTransaction>.Create 0061 @UStrClr 0068 _Dn_TStringList 006d TStringList.Create 008a TIBDatabase.DBParamsChange 0094 TIBDatabase.DBParamsChanging 00b5 _DV_TIBTransaction 00ba TIBTransaction.Create 00cb TIBTransaction.SetDefaultDatabase 00f4 _Dn_TList 00f9 TObject.Create 010f _DV_TSchema 0114 TSchema.Create 0127 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 74 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 43 44 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 9C 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A0 00 00 00 8D 83 A4 00 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A8 00 00 00 C6 83 AC 00 00 00 01 8B 83 A8 00 00 00 89 58 44 C7 40 40 ?? ?? ?? ?? 89 58 4C C7 40 48 ?? ?? ?? ?? 33 C0 89 83 B0 00 00 00 33 C0 89 83 B8 00 00 00 33 C0 89 83 D4 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 CC 00 00 00 8B C6 8B D3 E8 ?? ?? ?? ?? C7 83 84 00 00 00 03 00 00 00 C7 83 88 00 00 00 03 00 00 00 0F B7 05 ?? ?? ?? ?? 66 89 83 80 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D8 00 00 00 C6 83 DC 00 00 00 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 E0 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_30407_0 {
	meta:
		name = "TIBDatabase.Destroy"
		size = 421
		refs = "000a @BeforeDestruction 0024 TIBTransaction.GetInTransaction 0036 TIBTransaction.Rollback 0040 TIBDatabase.SetIdleTimer 0054 TIBDatabase.Destroy 0062 TCustomConnection.Close 0071 @HandleAnyException 0079 TIBDatabase.ForceClose 007e @DoneExcept 00a4 TList<IBDatabase.TIBBase>.GetItem 00b7 TIBDatabase.RemoveSQLObjects 00cb TIBDatabase.RemoveTransactions 00d9 @FreeMem 00f2 TObject.Free 017d @IntfClear 018c TCustomConnection.Destroy 019a @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 98 CC 00 00 00 85 DB 74 19 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 FC 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 B8 00 00 00 00 74 32 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 00 00 00 85 C0 74 2C 8B 58 08 4B 83 FB 00 7C 1B 8B 45 FC 8B 80 9C 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B 10 FF 52 08 4B 83 FB FF 75 E5 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 A0 00 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 B0 00 00 00 8B 45 FC 8B 80 A8 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 9C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 05 D4 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 05 D8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 05 A0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 05 CC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 05 E0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 05 E4 00 00 00 E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30408_0 {
	meta:
		name = "SaveDataBaseError"
		size = 616
		refs = "0024 SaveDataBaseError 0031 @LStrClr 0036 StatusVector 0044 StatusVectorArray 0055 GetIBDataBaseErrorMessages 009d IntToStr 00ad @LStrFromUStr 00bc @LStrCatN 0104 @LStrCat 011c @LStrFromArray 0200 @LStrDelete 021a @LStrArrayClr 0222 @UStrClr 0230 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B 5D 08 81 C3 F8 AF FF FF 8B 75 08 81 C6 F3 AF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 82 FC AF FF FF E8 ?? ?? ?? ?? 8B 40 04 8B 55 08 89 82 F4 AF FF FF E8 ?? ?? ?? ?? 88 06 8B 45 08 8B 90 FC AF FF FF 8B 45 08 8B 80 EC AF FF FF 8B 80 E4 00 00 00 8B 08 FF 91 20 01 00 00 8B 55 08 89 82 E8 AF FF FF F6 06 01 74 37 FF 33 68 ?? ?? ?? ?? 8D 55 F4 8B 45 08 8B 80 E8 AF FF FF E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 80 26 FB F6 06 04 74 62 68 00 02 00 00 8B 45 08 8D 88 00 B0 FF FF 8B 45 08 0F B7 90 E8 AF FF FF 8B 45 08 8B 80 EC AF FF FF 8B 80 E4 00 00 00 8B 38 FF 97 24 01 00 00 F6 06 01 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 55 08 81 C2 00 B0 FF FF B9 00 50 00 00 6A 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? F6 06 02 0F 84 92 00 00 00 F6 06 01 75 05 F6 06 04 74 5B 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4D 83 3B 00 74 26 8B 03 89 45 FC 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8B 03 80 7C 30 FF 0A 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 55 08 81 C2 00 B0 FF FF B9 00 50 00 00 6A 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8D 88 FC AF FF FF 8B 45 08 8D 90 00 B0 FF FF 8B 45 08 8B 80 EC AF FF FF 8B 80 E4 00 00 00 8B 30 FF 96 F4 00 00 00 85 C0 7F 86 83 3B 00 74 3A 8B 13 8B C2 89 45 E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 8B 0B 80 7C 01 FF 2E 75 1E 8B C2 89 45 E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 8B D3 B9 01 00 00 00 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 09 00 00 00 53 51 4C 43 4F 44 45 3A 20 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_30409_0 {
	meta:
		name = "TIBDatabase.Call"
		size = 632
		refs = "005c TIBDatabase.Call 0081 TIBDatabase.SetServerType 00af CheckStatusVector 00f3 SaveDataBaseError 00ff TIBDatabase.ForceClose 010a MonitorHook 0128 IntToStr 0160 @UStrFromLStr 0176 @UStrCatN 01c6 _Dn_EIBInterBaseError 01cb EIBError.Create 01d0 @RaiseExcept 01e9 IBDataBaseError 0201 @UStrClr 020c @IntfClear 021c @UStrArrayClr 0232 @LStrClr 0238 @HandleFinally"
	strings:
		$1 = { 55 8B EC 50 B8 05 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 CC 53 56 57 33 DB 89 9D C8 AF FF FF 89 9D DC AF FF FF 89 9D CC AF FF FF 89 9D D8 AF FF FF 89 9D D4 AF FF FF 89 9D D0 AF FF FF 89 9D E0 AF FF FF 89 9D F8 AF FF FF 8B D9 8B F2 89 85 EC AF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 85 EC AF FF FF 83 B8 F0 00 00 00 00 75 10 BA ?? ?? ?? ?? 8B 85 EC AF FF FF E8 ?? ?? ?? ?? 8B FE 8B 85 EC AF FF FF C6 80 98 00 00 00 00 84 DB 0F 84 38 01 00 00 C7 85 E4 AF FF FF A5 01 00 14 8D 85 E4 AF FF FF 33 D2 E8 ?? ?? ?? ?? 84 C0 75 3A C7 85 E4 AF FF FF 96 01 00 14 8D 85 E4 AF FF FF 33 D2 E8 ?? ?? ?? ?? 84 C0 75 1F C7 85 E4 AF FF FF 97 01 00 14 8D 85 E4 AF FF FF 33 D2 E8 ?? ?? ?? ?? 84 C0 0F 84 E3 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 85 EC AF FF FF E8 ?? ?? ?? ?? 8D 85 E0 AF FF FF E8 ?? ?? ?? ?? 83 BD E0 AF FF FF 00 0F 84 83 00 00 00 8D 95 D8 AF FF FF 8B 85 E8 AF FF FF E8 ?? ?? ?? ?? FF B5 D8 AF FF FF 68 ?? ?? ?? ?? 8D 95 D4 AF FF FF 8B 85 F4 AF FF FF E8 ?? ?? ?? ?? FF B5 D4 AF FF FF 68 ?? ?? ?? ?? 8D 85 D0 AF FF FF 8B 95 F8 AF FF FF E8 ?? ?? ?? ?? FF B5 D0 AF FF FF 8D 85 DC AF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 85 DC AF FF FF 50 8D 85 CC AF FF FF E8 ?? ?? ?? ?? 8B 85 CC AF FF FF 8B 8D EC AF FF FF 5A 8B 18 FF 53 54 8B 85 F4 AF FF FF 50 8D 85 C8 AF FF FF 8B 95 F8 AF FF FF E8 ?? ?? ?? ?? 8B 85 C8 AF FF FF 50 8B 8D E8 AF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 15 85 F6 7E 11 8B 85 EC AF FF FF 8B 80 E4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 C8 AF FF FF E8 ?? ?? ?? ?? 8D 85 CC AF FF FF E8 ?? ?? ?? ?? 8D 85 D0 AF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 E0 AF FF FF E8 ?? ?? ?? ?? 8D 85 F8 AF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BC 8B C7 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_30410_0 {
	meta:
		name = "TIBDatabase.CheckActive"
		size = 64
		refs = "0038 IBError"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 7B 45 00 74 12 8B C3 8B 10 FF 52 48 84 C0 75 07 8B C3 8B 10 FF 52 0C 83 BB B8 00 00 00 00 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 0F E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_30411_0 {
	meta:
		name = "TIBDatabase.EnsureInactive"
		size = 21
		refs = "0010 TCustomConnection.Close"
	strings:
		$1 = { F6 40 1C 10 74 0E 83 B8 B8 00 00 00 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30412_0 {
	meta:
		name = "TIBDatabase.CheckInactive"
		size = 36
		refs = "001d IBError"
	strings:
		$1 = { 83 C4 F8 83 B8 B8 00 00 00 00 74 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 10 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_30413_0 {
	meta:
		name = "TIBDatabase.CheckDatabaseName"
		size = 40
		refs = "0020 IBError"
	strings:
		$1 = { 53 83 C4 F8 8B D8 83 BB A4 00 00 00 00 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 11 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_30414_0 {
	meta:
		name = "TIBDatabase.AddSQLObject"
		size = 74
		refs = "000e _Dn_TIBCustomDataSet 0013 @IsClass 0031 TList<IBDatabase.TIBBase>.IndexOf 0042 TList<IBDatabase.TIBBase>.Add"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7E 10 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 6A 00 6A 00 8B D7 8B C3 8B 08 FF 51 54 8B D6 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 85 C0 7D 0D 8B D6 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30415_0 {
	meta:
		name = "TIBDatabase.AddTransaction"
		size = 40
		refs = "000b TIBDatabase.FindTransaction 0021 TList<IBDatabase.TIBTransaction>.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 40 74 06 83 C8 FF 5E 5B C3 8B D6 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30416_0 {
	meta:
		name = "TIBDatabase.DoDisconnect"
		size = 143
		refs = "002a TList.Get 0047 TIBDatabase.DoDisconnect 0057 TIBDatabase.InternalClose 0066 @HandleAnyException 006e TIBDatabase.ForceClose 0073 @RaiseAgain 0078 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 80 D8 00 00 00 8B 58 08 4B 85 DB 7C 1C 43 33 F6 8B 45 FC 8B 80 D8 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 10 46 4B 75 E7 8B 45 FC 8B 10 FF 52 48 84 C0 74 39 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C7 80 84 00 00 00 01 00 00 00 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30417_0 {
	meta:
		name = "TIBDatabase.CreateDatabase"
		size = 348
		refs = "0011 TIBDatabase.CreateDatabase 001e TIBDatabase.CheckInactive 0038 TIBDatabase.SetServerType 006c @UStrCatN 007c @LStrFromUStr 0084 @LStrToPChar 008c TIBDatabase.GetSQLDialect 0094 StatusVector 00b5 TIBDatabase.Call 00bc TIBDatabase.GetDBSQLDialect 00dc @UStrArrayClr 00e4 @LStrClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 FC 83 BB F0 00 00 00 00 75 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 6A 00 68 ?? ?? ?? ?? FF B3 A4 00 00 00 68 ?? ?? ?? ?? 8D 55 F0 8B 83 A8 00 00 00 8B 08 FF 51 1C FF 75 F0 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B D0 8D 8B B8 00 00 00 8B 83 E4 00 00 00 8B 30 FF 96 BC 00 00 00 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 83 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 20 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 20 00 27 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_30418_0 {
	meta:
		name = "TIBDatabase.DropDatabase"
		size = 268
		refs = "000e TIBDatabase.CheckActive 001c TList<IBDatabase.TIBBase>.GetEnumerator 0027 TIBDatabase.DropDatabase 0037 TList<IBDatabase.TIBBase>.TEnumerator.GetCurrent 0047 TList<IBDatabase.TIBBase>.TEnumerator.MoveNext 006e @HandleFinally 007e TList<IBDatabase.TIBTransaction>.GetEnumerator 0099 TList<IBDatabase.TIBTransaction>.TEnumerator.GetCurrent 00a5 TIBTransaction.BeforeDatabaseDisconnect 00ad TList<IBDatabase.TIBTransaction>.TEnumerator.MoveNext 00db StatusVector 0103 TIBDatabase.Call"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 10 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 14 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8D 88 B8 00 00 00 8B 45 FC 8B 80 E4 00 00 00 8B 18 FF 93 A4 00 00 00 8B D0 B1 01 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30419_0 {
	meta:
		name = "TIBDatabase.DBParamsChange"
		size = 8
	strings:
		$1 = { C6 80 AC 00 00 00 01 C3 }
	condition:
		$1
}

rule function_30421_0 {
	meta:
		name = "TIBDatabase.FindTransaction"
		size = 12
		refs = "0007 TList<IBDatabase.TIBTransaction>.IndexOf"
	strings:
		$1 = { 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30429_0 {
	meta:
		name = "TIBDatabase.GetTransaction"
		size = 12
		refs = "0007 TList<IBDatabase.TIBTransaction>.GetItem"
	strings:
		$1 = { 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30422_0 {
	meta:
		name = "TIBDatabase.FindDefaultTransaction"
		size = 141
		refs = "0020 TList<IBDatabase.TIBTransaction>.GetEnumerator 002b TIBDatabase.FindDefaultTransaction 003b TList<IBDatabase.TIBTransaction>.TEnumerator.GetCurrent 0057 TList<IBDatabase.TIBTransaction>.TEnumerator.MoveNext 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F0 8B 86 C8 00 00 00 89 45 FC 83 7D FC 00 75 6B 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1C 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 3B 73 44 75 0D 3B 9E CC 00 00 00 74 05 89 5D FC EB 0C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30423_0 {
	meta:
		name = "TIBDatabase.ForceClose"
		size = 64
		refs = "0022 TCustomConnection.SendConnectEvent 002b TIBDatabase.InternalClose"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 48 84 C0 74 30 66 83 7B 62 00 74 08 8B D3 8B 43 64 FF 53 60 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 66 83 7B 52 00 74 08 8B D3 8B 43 54 FF 53 50 5B C3 }
	condition:
		$1
}

rule function_30424_0 {
	meta:
		name = "TIBDatabase.GetConnected"
		size = 11
	strings:
		$1 = { 83 B8 B8 00 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_30426_0 {
	meta:
		name = "TIBDatabase.GetSQLObjectCount"
		size = 10
	strings:
		$1 = { 8B 80 9C 00 00 00 8B 40 08 C3 }
	condition:
		$1
}

rule function_30427_0 {
	meta:
		name = "TIBDatabase.GetDBParamByDPB"
		size = 152
		refs = "0014 DPBConstantNames 001b TIBDatabase.IndexOfDBConst 0029 @UStrClr 0041 TIBDatabase.GetDBParamByDPB 0046 Pos 0073 @UStrCopy"
	strings:
		$1 = { 53 56 57 51 8B D9 8B F0 85 D2 7E 6D 83 FA 55 7F 68 8B 14 95 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F8 83 FF FF 75 09 8B C3 E8 ?? ?? ?? ?? EB 51 8B CB 8B 86 A8 00 00 00 8B D7 8B 30 FF 56 0C 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 09 8B C3 E8 ?? ?? ?? ?? EB 27 8B 03 89 04 24 8B 3C 24 85 FF 74 05 83 EF 04 8B 3F 53 8D 56 01 8B 03 8B CF E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_30428_0 {
	meta:
		name = "TIBDatabase.GetIdleTimer"
		size = 17
	strings:
		$1 = { 8B 90 D0 00 00 00 85 D2 74 04 8B 42 38 C3 33 C0 C3 }
	condition:
		$1
}

rule function_30430_0 {
	meta:
		name = "TIBDatabase.GetTransactionCount"
		size = 10
	strings:
		$1 = { 8B 80 A0 00 00 00 8B 40 08 C3 }
	condition:
		$1
}

rule function_30431_0 {
	meta:
		name = "TIBDatabase.IndexOfDBConst"
		size = 189
		refs = "001a @UStrAddRef 0022 TIBDatabase.IndexOfDBConst 0066 AnsiLowerCase 0071 Pos 00a0 @UStrArrayClr 00a8 @UStrClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D EC 89 4D E8 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 FF FF FF FF 8B 45 F8 8B 80 A8 00 00 00 8B 10 FF 52 14 48 85 C0 7C 44 40 89 45 F0 33 DB 8D 4D E8 8B 45 F8 8B 80 A8 00 00 00 8B D3 8B 30 FF 56 0C 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 83 F8 01 74 05 83 F8 09 75 05 89 5D F4 EB 06 43 FF 4D F0 75 C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30432_0 {
	meta:
		name = "TIBDatabase.InternalClose"
		size = 681
		refs = "001b TIBDatabase.InternalClose 0029 TIBDatabase.CheckActive 005b TList<IBDatabase.TIBBase>.GetEnumerator 0076 TList<IBDatabase.TIBBase>.TEnumerator.GetCurrent 009b @HandleAnyException 00a6 @RaiseAgain 00ab @DoneExcept 00b3 TList<IBDatabase.TIBBase>.TEnumerator.MoveNext 00da @HandleFinally 00ea TList<IBDatabase.TIBTransaction>.GetEnumerator 0105 TList<IBDatabase.TIBTransaction>.TEnumerator.GetCurrent 011f TIBTransaction.BeforeDatabaseDisconnect 0146 TList<IBDatabase.TIBTransaction>.TEnumerator.MoveNext 0192 StatusVector 01ba TIBDatabase.Call 01d2 IBDataBaseError 01fa MonitorHook 028c IIBSQLMonitorHook 0296 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 89 4D E4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 74 19 8B 45 FC 8B 80 B8 00 00 00 89 45 F4 8B 45 FC 33 D2 89 90 B8 00 00 00 EB 05 33 C0 89 45 F4 8B 45 FC 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 3D 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 12 33 C0 5A 59 59 64 89 10 EB 15 E9 ?? ?? ?? ?? 80 7D FB 00 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 41 8B 45 EC E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 15 E9 ?? ?? ?? ?? 80 7D FB 00 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 80 7D FB 00 74 0C 8B 45 FC 8B 55 F4 89 90 B8 00 00 00 8B 45 FC 80 B8 BC 00 00 00 00 75 47 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8D 88 B8 00 00 00 8B 45 FC 8B 80 E4 00 00 00 8B 18 FF 93 A0 00 00 00 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 16 80 7D FB 00 75 10 8B 45 FC 8B 80 E4 00 00 00 E8 ?? ?? ?? ?? EB 15 8B 45 FC 33 D2 89 90 B8 00 00 00 8B 45 FC C6 80 BC 00 00 00 00 8B 45 FC F6 40 1C 10 75 21 8D 45 E4 E8 ?? ?? ?? ?? 83 7D E4 00 74 13 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 8B 55 FC 8B 08 FF 51 28 8B 45 FC 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 11 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 04 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30433_0 {
	meta:
		name = "TIBDatabase.Loaded"
		size = 496
		refs = "0010 TIBDatabase.Loaded 002f TIBDatabase.SetServerType 0059 TList<IBDatabase.TIBTransaction>.GetEnumerator 0074 TList<IBDatabase.TIBTransaction>.TEnumerator.GetCurrent 0082 TList<IBDatabase.TIBTransaction>.TEnumerator.MoveNext 00a9 @HandleFinally 00d0 TCustomConnection.Loaded 0102 TIBTransaction.GetInTransaction 011e TIBTransaction.StartTransaction 0195 @HandleAnyException 01a3 ApplicationHandleException 01bf @RaiseAgain 01c4 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 F0 00 00 00 00 75 0D BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 DC 00 00 00 00 75 70 8B 45 FC F6 40 1C 10 75 67 8B 45 FC C6 40 45 00 8B 45 FC 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 0E 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 C6 43 58 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 78 45 00 0F 84 CE 00 00 00 8B 45 FC 8B 10 FF 52 48 84 C0 0F 85 BE 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 31 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1C 80 7B 58 00 74 16 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? C6 43 58 00 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 98 C8 00 00 00 85 DB 74 1F 80 7B 58 00 74 19 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0E 8B 45 FC 8B 80 C8 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 40 45 00 33 C0 5A 59 59 64 89 10 EB 34 E9 ?? ?? ?? ?? 8B 45 FC F6 40 1C 10 74 21 A1 ?? ?? ?? ?? 66 83 78 02 00 74 10 8B 1D ?? ?? ?? ?? 8B 55 FC 8B 43 04 FF 13 EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_30434_0 {
	meta:
		name = "TIBDatabase.Notification"
		size = 58
		refs = "0010 TComponent.Notification 002a TIBDatabase.RemoveTransaction"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 3B B7 C8 00 00 00 75 15 8B 97 C8 00 00 00 8B C7 E8 ?? ?? ?? ?? 33 C0 89 87 C8 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30435_0 {
	meta:
		name = "TIBDatabase.OnlineDump"
		size = 980
		refs = "004b AnsiString 0050 @AddRefArray 0058 TIBDatabase.OnlineDump 007e SFileSizeDumpCountIncompatibility 0083 LoadResString 008d _Dn_Exception 0092 Exception.Create 0097 @RaiseExcept 009e _Dn_TStringList 00a3 TStringList.Create 00c7 TStrings.GetValue 00d7 TStrings.SetValue 015a @UStrFromLStr 017c IntToStr 01ae TIBDatabase.GenerateDPB 01c2 IBAlloc 01ca @UniqueStringA 01dc Move 01e1 StatusVector 01f7 @LStrFromUStr 021e @LStrToPChar 0250 TIBDatabase.Call 0267 IBDataBaseError 027c TObject.Free 0282 @HandleFinally 029e @LStrArrayClr 02ab @UStrArrayClr 02b3 @LStrClr 02c5 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B 5D 14 8B 75 10 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 14 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 4D F4 89 55 FC 8B F0 8B 4D F4 41 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 10 41 85 C9 7E 31 8B C1 8B 55 F4 42 2B C2 99 33 C2 2B C2 48 7E 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D DC 8B 86 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 4D D8 8B 86 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 80 7D 08 00 74 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 85 C0 7C 5B 40 89 45 E8 C7 45 EC 00 00 00 00 8B 5D FC 8B 7D 14 8D 45 D4 8B 13 E8 ?? ?? ?? ?? 8B 4D D4 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 10 3B 45 EC 7C 1A 8D 55 D0 8B 07 E8 ?? ?? ?? ?? 8B 4D D0 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? FF 45 EC 83 C7 04 83 C3 04 FF 4D E8 75 B6 8D 86 B4 00 00 00 50 8D 4D F8 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 0F BF 8E B4 00 00 00 8D 86 B0 00 00 00 33 D2 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 0F BF 8E B4 00 00 00 8B 96 B0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8D 45 CC 8B 96 A4 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 5D CC 85 DB 74 05 83 EB 04 8B 1B 8D 45 C8 8B 96 A4 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 50 8D 86 B8 00 00 00 50 0F B7 86 B4 00 00 00 50 8B 86 B0 00 00 00 50 8B CB 8B 86 E4 00 00 00 8B 55 E4 8B 18 FF 53 20 8B D0 33 C9 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 13 33 C0 89 86 B8 00 00 00 8B 86 E4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 4D F4 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 8B 7D BC 8B 75 C0 8B 5D C4 8B E5 5D C2 10 00 B0 04 02 00 FF FF FF FF 09 00 00 00 75 00 73 00 65 00 72 00 5F 00 6E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 6F 00 6E 00 6C 00 69 00 6E 00 65 00 5F 00 64 00 75 00 6D 00 70 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6F 00 76 00 65 00 72 00 77 00 72 00 69 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 6F 00 6C 00 64 00 5F 00 66 00 69 00 6C 00 65 00 5F 00 6E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 6F 00 6C 00 64 00 5F 00 66 00 69 00 6C 00 65 00 5F 00 73 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_30436_0 {
	meta:
		name = "HidePassword"
		size = 284
		refs = "0011 HidePassword 004e TStrings.GetName 0059 Trim 0064 LowerCase 0071 Pos 0099 TStrings.GetValue 00af @LStrFromUStr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8B 45 08 8B 40 FC 8B 80 A8 00 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 82 00 00 00 46 33 DB 8D 4D F4 8B 45 08 8B 40 FC 8B 80 A8 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 3F 8D 4D EC 8B 45 08 8B 40 FC 8B B0 A8 00 00 00 8B C6 8B D3 E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F0 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 8B 40 FC 83 C0 70 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B FB EB 04 43 4E 75 81 85 FF 74 13 8B 45 08 8B 40 FC 8B 80 A8 00 00 00 8B D7 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_30437_0 {
	meta:
		name = "TIBDatabase.Login"
		size = 852
		refs = "0019 TIBDatabase.Login 0034 _Dn_TStringList 0039 TStringList.Create 0081 HidePassword 0097 TObject.Free 009d @HandleFinally 00a5 DPBConstantNames 00ad TIBDatabase.IndexOfDBConst 0110 Pos 011d @UStrCopy 01b6 @UStrLAsg 01bb LoginDialogExProc 01e8 MonitorHook 01f6 SLoginPromptFailure 01fb LoadResString 022a _Dn_EIBError 022f Exception.Create 0234 @RaiseExcept 025e @UStrCatN 02aa @UStrEqual 02b7 @LStrClr 02d9 @LStrFromUStr 02f3 @UStrArrayClr 02fb @IntfClear 0303 @UStrClr"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 83 78 7A 00 74 76 C6 45 E7 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 A8 00 00 00 8B 45 E0 8B 08 FF 51 08 8B 5D FC 8B 4D E0 8B 55 FC 8B 43 7C FF 53 78 8B 45 FC 8B 80 A8 00 00 00 8B 55 E0 8B 08 FF 51 08 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 69 8D 4D EC 8B 45 FC 8B 80 A8 00 00 00 8B D3 8B 30 FF 56 0C 8D 4D D8 8B 45 FC 8B 80 A8 00 00 00 8B D3 8B 30 FF 56 0C 8B 45 D8 89 45 D4 8B 75 D4 85 F6 74 05 83 EE 04 8B 36 8D 45 F8 50 8D 4D D0 8B 45 FC 8B 80 A8 00 00 00 8B D3 8B 38 FF 57 0C 8B 55 D0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 8B CE 8B 45 EC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 83 FE FF 0F 84 80 00 00 00 8D 4D E8 8B 45 FC 8B 80 A8 00 00 00 8B D6 8B 38 FF 57 0C 8D 4D CC 8B 45 FC 8B 80 A8 00 00 00 8B D6 8B 38 FF 57 0C 8B 45 CC 89 45 D4 8B 45 D4 89 45 DC 83 7D DC 00 74 0B 8B 45 DC 83 E8 04 8B 00 89 45 DC 8D 45 F4 50 8D 4D C8 8B 45 FC 8B 80 A8 00 00 00 8B D6 8B 30 FF 56 0C 8B 55 C8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 8B 4D DC 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 74 20 6A 00 8B 35 ?? ?? ?? ?? 8B 36 8D 4D F4 8D 55 F8 8B 45 FC 8B 80 A4 00 00 00 FF D6 88 45 E7 EB 54 8D 45 C4 E8 ?? ?? ?? ?? 83 7D C4 00 74 25 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 50 8D 45 BC E8 ?? ?? ?? ?? 8B 45 BC 8B 4D FC 5A 8B 18 FF 53 54 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D E7 00 0F 84 9B 00 00 00 83 FB FF 75 2E FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 8D 45 B4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 B4 8B 45 FC 8B 80 A8 00 00 00 8B 08 FF 51 38 EB 2E FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 8D 45 B0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D B0 8B 45 FC 8B 80 A8 00 00 00 8B D3 8B 18 FF 53 20 8B 45 F4 8B 55 F0 E8 ?? ?? ?? ?? 75 0D 8B 45 FC 83 C0 70 E8 ?? ?? ?? ?? EB 20 83 7D F0 00 74 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC 83 C0 70 8B 55 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B1 0F B6 45 E7 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_30438_0 {
	meta:
		name = "TIBDatabase.DoConnect"
		size = 968
		refs = "0019 TIBDatabase.DoConnect 0038 TIBDatabase.SetServerType 0040 TIBDatabase.CheckInactive 0048 TIBDatabase.CheckDatabaseName 0065 @LStrClr 0080 TIBDatabase.Login 0099 IBError 00af _DV_TSchema 00b4 TSchema.Create 00e9 @UStrAsg 00ee DefaultSystemCodePage 0128 TIBDatabase.GenerateDPB 0134 _Dn_TStringList 0139 TStringList.Create 0169 @UStrFromLStr 0179 @UStrCat3 01b0 TObject.Free 01b6 @HandleFinally 01d1 IBAlloc 01d9 @UniqueStringA 01f1 Move 01f6 StatusVector 020e @LStrFromUStr 0238 @LStrToPChar 0275 TIBDatabase.Call 0292 IBDataBaseError 029a TIBDatabase.GetDBSQLDialect 02ab TIBDatabase.ValidateClientSQLDialect 02bc MonitorHook 02f9 TList.Get 0331 IIBSQLMonitorHook 033b @FinalizeArray 0348 @LStrArrayClr 0355 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 B8 F0 00 00 00 00 75 0D BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 78 44 00 75 1E 8B 45 F8 83 78 70 00 74 15 8B 45 F8 83 C0 70 E8 ?? ?? ?? ?? 8B 45 F8 C6 80 AC 00 00 00 01 8B 45 F8 80 78 44 00 74 21 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 15 33 C0 89 45 EC C6 45 F0 05 8D 55 EC 33 C9 B0 0A E8 ?? ?? ?? ?? 8B 45 F8 83 B8 E0 00 00 00 00 75 18 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 82 E0 00 00 00 8B 45 F8 80 B8 AC 00 00 00 00 0F 84 24 01 00 00 8B 45 F8 C6 80 AC 00 00 00 00 8B 45 F8 05 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 F8 89 82 EC 00 00 00 8B 45 F8 80 78 44 00 74 09 8B 45 F8 83 78 70 00 75 22 8B 45 F8 05 B4 00 00 00 50 8D 4D FC 8B 45 F8 8B 90 A8 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? E9 8B 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 90 A8 00 00 00 8B 45 F4 8B 08 FF 51 08 8D 45 E4 8B 55 F8 8B 52 70 E8 ?? ?? ?? ?? 8B 4D E4 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 8B 08 FF 51 38 8B 45 F8 05 B4 00 00 00 50 8D 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 0F BF 88 B4 00 00 00 8B 45 F8 05 B0 00 00 00 33 D2 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 55 F8 0F BF 8A B4 00 00 00 8B 55 F8 8B 92 B0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 E0 8B 55 F8 8B 92 A4 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 5D E0 85 DB 74 05 83 EB 04 8B 1B 8D 45 DC 8B 55 F8 8B 92 A4 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 50 8B 45 F8 05 B8 00 00 00 50 8B 45 F8 0F B7 80 B4 00 00 00 50 8B 45 F8 8B 80 B0 00 00 00 50 8B CB 8B 45 F8 8B 80 E4 00 00 00 8B D6 8B 18 FF 53 20 8B D0 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 19 8B 45 F8 33 D2 89 90 B8 00 00 00 8B 45 F8 8B 80 E4 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 89 82 84 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 F6 40 1C 10 75 21 8D 45 D8 E8 ?? ?? ?? ?? 83 7D D8 00 74 13 8D 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 8B 55 F8 8B 08 FF 51 24 8B 45 F8 8B 80 D8 00 00 00 8B 70 08 4E 85 F6 7C 35 46 33 DB 8B 45 F8 8B 80 D8 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 84 C0 74 15 8B 45 F8 8B 80 D8 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B 10 FF 52 0C 43 4E 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 4F 00 4E 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 70 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 3D 00 00 00 }
	condition:
		$1
}

rule function_30439_0 {
	meta:
		name = "TIBDatabase.RemoveSQLObject"
		size = 92
		refs = "001d TList<IBDatabase.TIBBase>.IndexOf 002e TList<IBDatabase.TIBBase>.Remove 0042 _Dn_TDataSet 0047 @IsClass"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 85 DB 74 4D 83 BE 9C 00 00 00 00 74 44 8B D3 8B 86 9C 00 00 00 E8 ?? ?? ?? ?? 85 C0 7C 33 8B D3 8B 86 9C 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 20 8B 7B 10 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D7 8B C6 8B 08 FF 51 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30440_0 {
	meta:
		name = "TIBDatabase.RemoveSQLObjects"
		size = 85
		refs = "001e TList<IBDatabase.TIBBase>.GetItem 0029 TIBDatabase.RemoveSQLObject 0034 _Dn_TDataSet 0039 @IsClass"
	strings:
		$1 = { 53 56 57 55 8B F8 8B 87 9C 00 00 00 8B 70 08 4E 83 FE 00 7C 3B 8B 87 9C 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B D8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 6B 10 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D5 8B C7 8B 08 FF 51 5C 4E 83 FE FF 75 C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30441_0 {
	meta:
		name = "TIBDatabase.RemoveTransaction"
		size = 77
		refs = "000f TList<IBDatabase.TIBTransaction>.IndexOf 0020 TList<IBDatabase.TIBTransaction>.Remove 0029 TIBTransaction.FindDatabase 0036 TIBTransaction.RemoveDatabase"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 85 C0 7C 0D 8B D6 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7C 09 8B D3 8B C6 E8 ?? ?? ?? ?? 3B B3 C8 00 00 00 75 08 33 C0 89 83 C8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_30442_0 {
	meta:
		name = "TIBDatabase.RemoveTransactions"
		size = 50
		refs = "001c TList<IBDatabase.TIBTransaction>.GetItem 0025 TIBDatabase.RemoveTransaction"
	strings:
		$1 = { 53 56 8B F0 8B 86 A0 00 00 00 8B 58 08 4B 83 FB 00 7C 1C 8B D3 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 E4 5E 5B C3 }
	condition:
		$1
}

rule function_30443_0 {
	meta:
		name = "TIBDatabase.SetDatabaseName"
		size = 65
		refs = "000f @UStrEqual 0018 TIBDatabase.EnsureInactive 001f TIBDatabase.CheckInactive 002c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 A4 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 29 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 83 A4 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 83 E0 00 00 00 85 C0 74 04 8B 10 FF 12 5E 5B C3 }
	condition:
		$1
}

rule function_30444_0 {
	meta:
		name = "TIBDatabase.SetDBParamByDPB"
		size = 256
		refs = "001d @UStrAddRef 0025 TIBDatabase.SetDBParamByDPB 0035 DPBConstantNames 003c TIBDatabase.IndexOfDBConst 007c @UStrCatN 00d5 @UStrArrayClr 00dd @UStrClr 00e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 89 4D FC 89 55 F8 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 14 85 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F8 83 7D FC 00 75 14 83 FF FF 74 72 8B D7 8B 86 A8 00 00 00 8B 08 FF 51 48 EB 63 83 FF FF 75 2F 8B 45 F8 FF 34 85 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 86 A8 00 00 00 8B 08 FF 51 38 EB 2F 8B 45 F8 FF 34 85 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F0 8B D7 8B 86 A8 00 00 00 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_30445_0 {
	meta:
		name = "TIBDatabase.SetDBParams"
		size = 22
		altNames = "TSendMail.SetText"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 A8 00 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_30446_0 {
	meta:
		name = "TIBDatabase.SetDefaultTransaction"
		size = 95
		refs = "0019 TIBDatabase.FindTransaction 0034 TIBDatabase.RemoveTransaction 0049 TIBTransaction.AddDatabase 0052 TIBDatabase.AddTransaction"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C8 00 00 00 85 C0 74 28 3B F0 74 24 8B D0 8B C3 E8 ?? ?? ?? ?? 40 74 18 8B 83 C8 00 00 00 3B 58 44 74 0D 8B 93 C8 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 F6 74 1A 3B B3 C8 00 00 00 74 12 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 89 B3 C8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_30447_0 {
	meta:
		name = "TIBDatabase.SetHandle"
		size = 51
		refs = "0012 TCustomConnection.Close 001b TIBDatabase.CheckInactive"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB BC 00 00 00 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 89 B3 B8 00 00 00 85 F6 0F 95 C0 88 83 BC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_30448_0 {
	meta:
		name = "TIBDatabase.SetIdleTimer"
		size = 177
		refs = "001f IBError 003b TObject.Free 0053 _Dn_TIBTimer 0058 TIBTimer.Create 0069 TIBTimer.SetEnabled 0076 TIBTimer.SetInterval 007c TIBDatabase.TimeoutConnection 0087 TIBTimer.SetOnTimer"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 85 F6 7D 1A 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 14 E8 ?? ?? ?? ?? E9 83 00 00 00 85 F6 75 15 8D 83 D0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 6A 85 F6 7E 66 83 BB D0 00 00 00 00 75 3D 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 BB D0 00 00 00 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? F6 43 1C 10 75 0D B2 01 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30449_0 {
	meta:
		name = "TIBDatabase.TestConnected"
		size = 151
		refs = "0021 TIBDatabase.TestConnected 0044 StatusVector 006c TIBDatabase.Call 007b @HandleAnyException 0083 TIBDatabase.ForceClose 008a @DoneExcept"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FD FF FF 53 56 57 89 45 FC 8B 45 FC 8B 10 FF 52 48 8B D8 84 DB 74 71 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 45 FA 0D 00 6A 01 8D 45 FA 50 68 00 02 00 00 8D 85 FA FD FF FF 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8D 88 B8 00 00 00 8B 45 FC 8B 80 E4 00 00 00 8B 30 FF 96 8C 00 00 00 8B D0 B1 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30450_0 {
	meta:
		name = "TIBDatabase.TimeoutConnection"
		size = 65
		refs = "001a TIBDatabase.ForceClose"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 48 84 C0 74 31 80 BB 98 00 00 00 00 74 21 8B C3 E8 ?? ?? ?? ?? 66 83 BB C2 00 00 00 00 74 17 8B D3 8B 83 C4 00 00 00 FF 93 C0 00 00 00 EB 07 C6 83 98 00 00 00 01 5B C3 }
	condition:
		$1
}

rule function_30451_0 {
	meta:
		name = "TIBDatabase.GetIsReadOnly"
		size = 76
		refs = "000a _Dn_TIBDatabaseInfo 000f TIBDatabaseInfo.Create 001a TIBDatabaseInfo.SetDatabase 0021 TIBDatabaseInfo.GetODSMajorVersion 0031 TIBDatabaseInfo.GetReadOnly 0042 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 F8 0A 7D 04 33 DB EB 11 8B C7 E8 ?? ?? ?? ?? 85 C0 75 04 33 DB EB 02 B3 01 8B C7 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30452_0 {
	meta:
		name = "TAdapterUpdateField.ImplGetDisplayWidth"
		size = 7
		altNames = "TIBDatabase.GetSQLDialect"
	strings:
		$1 = { 8B 80 88 00 00 00 C3 }
	condition:
		$1
}

rule function_30453_0 {
	meta:
		name = "TIBDatabase.SetServerType"
		size = 334
		refs = "0016 TIBDatabase.SetServerType 0034 @UStrEqual 004e SCannotChangeServerType 0053 LoadResString 005d _Dn_Exception 0062 Exception.Create 0067 @RaiseExcept 0071 @UStrLAsg 0082 @IntfCopy 009b GetGDSLibrary 00c9 @UStrAsg 00d8 @HandleAnyException 00ed @RaiseAgain 00f2 @DoneExcept 0101 @IntfClear 010e @UStrClr 0141 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 D0 00 00 00 8B C3 8B 55 F4 8B 92 F0 00 00 00 E8 ?? ?? ?? ?? 0F 84 D4 00 00 00 8B 45 F4 8B 10 FF 52 48 84 C0 74 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 8B 92 E4 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 05 E4 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 E4 00 00 00 8B 10 FF 52 18 8B 45 F4 05 F0 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3B E9 ?? ?? ?? ?? 8B 45 F4 05 E4 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8B 45 F4 05 E4 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 05 F0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30454_0 {
	meta:
		name = "TIBDatabase.SetSQLDialect"
		size = 86
		refs = "001f IBError"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 83 FE 01 7D 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 57 E8 ?? ?? ?? ?? 83 BB B8 00 00 00 00 74 08 3B B3 84 00 00 00 7F 08 89 B3 88 00 00 00 EB 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 57 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_30455_0 {
	meta:
		name = "TIBDatabase.GetDBSQLDialect"
		size = 50
		refs = "0009 _Dn_TIBDatabaseInfo 000e TIBDatabaseInfo.Create 0019 TIBDatabaseInfo.SetDatabase 0020 TIBDatabaseInfo.GetDBSQLDialect 0029 TObject.Free"
	strings:
		$1 = { 53 56 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_30456_0 {
	meta:
		name = "TIBDatabase.ValidateClientSQLDialect"
		size = 49
	strings:
		$1 = { 53 8B 90 84 00 00 00 3B 90 88 00 00 00 7D 20 89 90 88 00 00 00 66 83 B8 92 00 00 00 00 74 10 8B D8 8B D0 8B 83 94 00 00 00 FF 93 90 00 00 00 5B C3 }
	condition:
		$1
}

rule function_30457_0 {
	meta:
		name = "TIBDatabase.ApplyUpdates"
		size = 179
		refs = "0026 TIBCustomDataSet.GetDatabase 0043 IBError 004e TIBCustomDataSet.GetTransaction 0084 TIBTransaction.CheckInTransaction 009a TIBCustomDataSet.ApplyUpdates 00a7 TIBTransaction.CommitRetaining"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 4C 24 08 89 54 24 04 89 04 24 33 ED 8B 74 24 08 85 F6 7C 65 46 8B 7C 24 04 8B 1F 8B C3 E8 ?? ?? ?? ?? 3B 04 24 74 18 33 C0 89 44 24 0C C6 44 24 10 05 8D 54 24 0C 33 C9 B0 16 E8 ?? ?? ?? ?? 85 ED 75 09 8B C3 E8 ?? ?? ?? ?? 8B E8 8B C3 E8 ?? ?? ?? ?? 3B E8 75 04 85 ED 75 18 33 C0 89 44 24 0C C6 44 24 10 05 8D 54 24 0C 33 C9 B0 17 E8 ?? ?? ?? ?? 83 C7 04 4E 75 A0 8B C5 E8 ?? ?? ?? ?? 8B 74 24 08 85 F6 7C 14 46 8B 7C 24 04 8B 1F 8B C3 E8 ?? ?? ?? ?? 83 C7 04 4E 75 F1 8B C5 E8 ?? ?? ?? ?? 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30458_0 {
	meta:
		name = "TIBDatabase.CloseDataSets"
		size = 57
		refs = "002d TDataSet.Close"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 8B 10 FF 52 50 8B F0 4E 85 F6 7C 22 46 33 DB 8B D3 8B C7 8B 08 FF 51 4C 85 C0 74 0E 8B D3 8B C7 8B 08 FF 51 4C E8 ?? ?? ?? ?? 43 4E 75 E1 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30459_0 {
	meta:
		name = "TIBDatabase.GetFieldNames"
		size = 948
		refs = "0024 TIBDatabase.GetFieldNames 0043 IBError 0057 TCustomConnection.Open 0065 TIBTransaction.GetInTransaction 0077 TIBTransaction.StartTransaction 0081 _Dn_TIBSQL 0086 TIBSQL.Create 00a9 TIBSQL.SetDatabase 00ba TIBSQL.SetTransaction 00c7 TIBDatabase.GetSQLDialect 00d1 QuoteIdentifier 00e6 FormatIdentifierValue 0105 @UStrCatN 011b TIBSQL.Prepare 0123 TIBSQL.ExecQuery 012b TStrings.BeginUpdate 014b TIBSQL.Current 0155 TIBXSQLDA.ByName 015d TIBXSQLVAR.GetAsString 0168 TrimRight 017b TIBSQL.GetEOF 0187 TIBSQL.Next 01a0 TStrings.EndUpdate 01a6 @HandleFinally 01bd TObject.Free 01cb TIBTransaction.Commit 01ed @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 DB 89 5D DC 89 5D D8 89 5D E8 89 5D E4 89 5D E0 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 15 33 C0 89 45 EC C6 45 F0 05 8D 55 EC 33 C9 B0 4B E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 48 84 C0 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 0E 8B 45 FC 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 C6 40 42 00 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 CC 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E0 8B D3 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 5A E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 8B 40 60 8B 08 FF 51 2C 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 44 EB 30 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 8B 08 FF 51 38 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 75 B8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 5E 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 20 00 52 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 46 00 49 00 45 00 4C 00 44 00 53 00 20 00 52 00 2C 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 53 00 20 00 46 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 52 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2A 00 00 00 61 00 6E 00 64 00 20 00 52 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 3D 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_30460_0 {
	meta:
		name = "TIBDatabase.GetTableNames"
		size = 908
		refs = "001b TIBDatabase.GetTableNames 0042 TCustomConnection.Open 0050 TIBTransaction.GetInTransaction 0062 TIBTransaction.StartTransaction 006c _Dn_TIBSQL 0071 TIBSQL.Create 0094 TIBSQL.SetDatabase 00a5 TIBSQL.SetTransaction 00d3 TIBSQL.Prepare 00db TIBSQL.ExecQuery 00e3 TStrings.BeginUpdate 0103 TIBSQL.Current 010a TIBXSQLDA.GetSQLVAR 0112 TIBXSQLVAR.GetAsString 011d TrimRight 0130 TIBSQL.GetEOF 013c TIBSQL.Next 0155 TStrings.EndUpdate 015b @HandleFinally 0172 TObject.Free 0180 TIBTransaction.Commit 01a2 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F0 89 5D EC 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 1C 02 0F 85 5A 01 00 00 8B 45 FC 8B 10 FF 52 48 84 C0 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 0E 8B 45 FC 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 C6 40 42 00 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 CC 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 84 DB 74 12 8B 45 F4 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C EB 10 8B 45 F4 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 44 EB 2D 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 08 FF 51 38 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 75 BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 62 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 42 00 4C 00 52 00 20 00 69 00 73 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 7A 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 42 00 4C 00 52 00 20 00 69 00 73 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 61 00 6E 00 64 00 20 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3D 00 20 00 30 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_30461_0 {
	meta:
		name = "TIBDatabase.AddEventNotifier"
		size = 79
		refs = "000e @IntfAddRef 0016 TIBDatabase.AddEventNotifier 002a TList.Add 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_30462_0 {
	meta:
		name = "TIBDatabase.RemoveEventNotifier"
		size = 96
		refs = "000e @IntfAddRef 0016 TIBDatabase.RemoveEventNotifier 002a TList.IndexOf 003b TList.Delete 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 85 C0 7C 0D 8B D0 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_30463_0 {
	meta:
		name = "TIBDatabase.In_Key"
		size = 113
		refs = "0013 @UStrAddRef 0023 TIBDatabase.In_Key 005e @UStrArrayClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 E0 00 00 00 85 C0 74 0F 8B 4D F8 8B 55 FC 8B 18 FF 53 0C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30464_0 {
	meta:
		name = "TIBDatabase.Has_COMPUTED_BLR"
		size = 113
		refs = "0013 @UStrAddRef 0023 TIBDatabase.Has_COMPUTED_BLR 005e @UStrArrayClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 E0 00 00 00 85 C0 74 0F 8B 4D F8 8B 55 FC 8B 18 FF 53 08 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30465_0 {
	meta:
		name = "TIBDatabase.Has_DEFAULT_VALUE"
		size = 113
		refs = "0013 @UStrAddRef 0023 TIBDatabase.Has_DEFAULT_VALUE 005e @UStrArrayClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 E0 00 00 00 85 C0 74 0F 8B 4D F8 8B 55 FC 8B 18 FF 53 04 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30466_0 {
	meta:
		name = "TIBDatabase.FlushSchema"
		size = 17
	strings:
		$1 = { 8B 90 E0 00 00 00 85 D2 74 06 8B C2 8B 10 FF 12 C3 }
	condition:
		$1
}

rule function_30467_0 {
	meta:
		name = "TIBTransaction.Create"
		size = 161
		refs = "000d @ClassCreate 001b TComponent.Create 0022 _DV_TList<IBDatabase.TIBDatabase> 0027 TList<IBDatabase.TIBDatabase>.Create 0031 _DV_TList<IBDatabase.TIBBase> 0036 TList<IBDatabase.TIBBase>.Create 0050 _Dn_TStringList 0055 TStringList.Create 0069 TIBTransaction.TRParamsChange 0073 TIBTransaction.TRParamsChanging 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 33 C0 89 43 48 33 C0 89 43 5C 66 C7 43 60 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 6C C6 43 70 01 8B 43 6C 89 58 44 C7 40 40 ?? ?? ?? ?? 89 58 4C C7 40 48 ?? ?? ?? ?? C6 43 68 01 C6 43 73 01 33 C0 89 43 74 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_30468_0 {
	meta:
		name = "TIBTransaction.Destroy"
		size = 191
		refs = "0004 @BeforeDestruction 000f TIBTransaction.GetInTransaction 0030 TIBTransaction.EndTransaction 0053 TList<IBDatabase.TIBBase>.GetItem 0065 TIBTransaction.RemoveSQLObjects 006c TIBTransaction.RemoveDatabases 0074 @FreeMem 0081 TObject.Free 00ac TComponent.Destroy 00b7 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 2A 0F B6 47 68 2C 01 72 17 74 08 FE C8 74 11 FE C8 75 18 B1 01 B2 01 8B C7 E8 ?? ?? ?? ?? EB 0B B1 01 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 47 40 8B 70 08 4E 83 FE 00 7C 15 8B 47 40 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 14 4E 83 FE FF 75 EB 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 47 5C E8 ?? ?? ?? ?? 33 C0 89 47 5C 8B 47 6C E8 ?? ?? ?? ?? 8D 47 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 47 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30469_0 {
	meta:
		name = "TIBTransaction.Call"
		size = 260
		refs = "0019 TIBTransaction.Call 0030 TList<IBDatabase.TIBDatabase>.GetEnumerator 004b TList<IBDatabase.TIBDatabase>.TEnumerator.GetCurrent 005c TList<IBDatabase.TIBDatabase>.TEnumerator.MoveNext 0083 @HandleFinally 009d CheckStatusVector 00a9 TIBTransactionHelper.GetPrimaryDatabase 00b5 TIBDatabase.Call 00d3 TIBDatabase.GDSLibrary 00db IBDataBaseError 00f0 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 DB 89 5D E4 88 4D F7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 45 F0 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 11 8B 45 EC E8 ?? ?? ?? ?? 8B D8 C6 83 98 00 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC C6 40 39 00 C7 45 E8 A5 01 00 14 8D 45 E8 33 D2 E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 FC E8 ?? ?? ?? ?? 0F B6 4D F7 8B 55 F8 E8 ?? ?? ?? ?? EB 24 80 7D F7 00 74 1E 83 7D F0 00 7E 18 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30470_0 {
	meta:
		name = "TIBTransaction.CheckDatabasesInList"
		size = 42
		refs = "0009 TIBTransaction.GetDatabaseCount 0022 IBError"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 15 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_30471_0 {
	meta:
		name = "TIBTransaction.CheckInTransaction"
		size = 61
		refs = "000f TIBTransaction.GetInTransaction 0035 IBError"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 7B 58 00 74 12 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 8B 10 FF 52 0C 83 7B 48 00 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 12 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_30472_0 {
	meta:
		name = "TIBTransaction.EnsureNotInTransaction"
		size = 18
		refs = "000d TIBTransaction.Rollback"
	strings:
		$1 = { F6 40 1C 10 74 0B 83 78 48 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30473_0 {
	meta:
		name = "TIBTransaction.CheckNotInTransaction"
		size = 33
		refs = "001a IBError"
	strings:
		$1 = { 83 C4 F8 83 78 48 00 74 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 13 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_30474_0 {
	meta:
		name = "TIBTransaction.CheckAutoStop"
		size = 275
		refs = "001c TIBTransaction.GetInTransaction 0040 TList<IBDatabase.TIBBase>.GetEnumerator 004b TIBTransaction.CheckAutoStop 005b TList<IBDatabase.TIBBase>.TEnumerator.GetCurrent 0068 _Dn_TIBCustomDataSet 006d @IsClass 0078 TDataSet.GetActive 008b TList<IBDatabase.TIBBase>.TEnumerator.MoveNext 00b2 @HandleFinally 00df TIBTransaction.EndTransaction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 45 FC 8B 45 FC 80 78 72 00 0F 84 F5 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 E5 00 00 00 8B 45 FC 80 78 71 00 0F 84 D8 00 00 00 C6 45 FB 01 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 30 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 73 10 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B C6 E8 ?? ?? ?? ?? 34 01 88 45 FB 80 7D FB 00 74 0C 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 80 7D FB 00 74 4F 8B 45 FC 0F B6 40 72 FE C8 74 0E FE C8 74 18 FE C8 74 22 FE C8 74 2C EB 36 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 28 33 C9 B2 01 8B 45 FC E8 ?? ?? ?? ?? EB 1A 33 C9 B2 02 8B 45 FC E8 ?? ?? ?? ?? EB 0C 33 C9 B2 03 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30475_0 {
	meta:
		name = "TIBTransaction.AddDatabase"
		size = 32
		refs = "000b TIBTransaction.FindDatabase 0019 TList<IBDatabase.TIBDatabase>.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0A 8B D6 8B 43 3C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30476_0 {
	meta:
		name = "TIBTransaction.AddSQLObject"
		size = 33
		refs = "000c TList<IBDatabase.TIBBase>.IndexOf 001a TList<IBDatabase.TIBBase>.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 40 E8 ?? ?? ?? ?? 85 C0 7D 0A 8B D6 8B 43 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30477_0 {
	meta:
		name = "TIBTransaction.Commit"
		size = 10
		refs = "0005 TIBTransaction.EndTransaction"
	strings:
		$1 = { 33 C9 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30478_0 {
	meta:
		name = "TIBTransaction.CommitRetaining"
		size = 10
		refs = "0005 TIBTransaction.EndTransaction"
	strings:
		$1 = { 33 C9 B2 03 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30479_0 {
	meta:
		name = "TIBTransaction.EndTransaction"
		size = 1002
		refs = "002a TIBTransaction.EndTransaction 0038 TIBTransaction.CheckInTransaction 004c TIBDatabase.GDSLibrary 0062 TIBTransactionHelper.GetPrimaryDatabase 00b5 IBError 00df TList<IBDatabase.TIBBase>.GetEnumerator 00fa TList<IBDatabase.TIBBase>.TEnumerator.GetCurrent 010b TList<IBDatabase.TIBBase>.TEnumerator.MoveNext 0132 @HandleFinally 015b TIBTransaction.GetInTransaction 018a StatusVector 01a9 TIBTransaction.Call 0227 IBDataBaseError 0236 @HandleOnException 023e _Dn_EIBError 0261 TIBDatabase.ForceClose 0266 @RaiseAgain 026b @DoneExcept 0330 MonitorHook 03c5 IIBSQLMonitorHook 03cf @FinalizeArray 03d7 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D D8 89 5D DC 89 5D E0 89 5D FC 88 4D F6 88 55 F7 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 58 44 85 DB 74 0C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? EB 1C 8B 45 F8 8B 40 3C 83 78 08 00 7E 10 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 0F B6 45 F7 2C 02 72 13 0F 84 83 02 00 00 FE C8 0F 84 55 02 00 00 E9 9A 02 00 00 8B 45 F8 80 78 4C 00 74 27 8B 45 F8 0F B6 40 68 3A 45 F7 74 1B 80 7D F6 00 75 15 33 C0 89 45 E4 C6 45 E8 05 8D 55 E4 33 C9 B0 3E E8 ?? ?? ?? ?? 8B 45 F8 0F B6 40 72 88 45 F5 8B 45 F8 C6 40 72 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 40 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 11 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 0C 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 45 F5 8B 55 F8 88 42 72 C3 E9 ?? ?? ?? ?? EB EE 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 68 01 00 00 8B 45 F8 80 78 4C 00 74 13 8B 45 F8 33 D2 89 50 48 8B 45 F8 C6 40 4C 00 33 C0 EB 50 80 7D F7 00 75 26 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8D 48 48 8B 45 FC 8B 18 FF 93 14 01 00 00 8B D0 33 C9 8B 45 F8 E8 ?? ?? ?? ?? EB 24 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8D 48 48 8B 45 FC 8B 18 FF 93 84 00 00 00 8B D0 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 80 7D F6 00 74 28 85 C0 7E 24 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8D 48 48 8B 45 FC 8B 18 FF 93 14 01 00 00 8B D0 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 80 7D F6 00 74 0A 8B 45 F8 33 D2 89 50 48 EB 5E 85 C0 7E 5A 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3A E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 81 78 18 7A FC FF FF 75 16 81 78 1C 91 01 00 14 75 0D 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 40 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 11 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 10 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 33 D2 89 50 74 EB 4A E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8D 48 48 8B 45 FC 8B 18 FF 93 80 00 00 00 8B D0 B1 01 8B 45 F8 E8 ?? ?? ?? ?? EB 24 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8D 48 48 8B 45 FC 8B 18 FF 93 0C 01 00 00 8B D0 B1 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 F6 40 1C 10 75 74 8D 45 E0 E8 ?? ?? ?? ?? 83 7D E0 00 74 66 0F B6 45 F7 2C 01 72 21 74 0A FE C8 74 45 FE C8 74 2C EB 52 8D 45 DC E8 ?? ?? ?? ?? 8B 45 DC 8B 55 F8 8B 08 FF 51 30 EB 3D 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 8B 55 F8 8B 08 FF 51 38 EB 28 8D 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 8B 55 F8 8B 08 FF 51 34 EB 13 8D 45 D0 E8 ?? ?? ?? ?? 8B 45 D0 8B 55 F8 8B 08 FF 51 3C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 07 8B 45 F8 C6 40 71 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30483_0 {
	meta:
		name = "TIBTransaction.GetSQLObjectCount"
		size = 7
	strings:
		$1 = { 8B 40 40 8B 40 08 C3 }
	condition:
		$1
}

rule function_30484_0 {
	meta:
		name = "TIBTransaction.GetInTransaction"
		size = 8
	strings:
		$1 = { 83 78 48 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_30486_0 {
	meta:
		name = "TIBTransaction.FindDefaultDatabase"
		size = 130
		refs = "001a TList<IBDatabase.TIBDatabase>.GetEnumerator 0025 TIBTransaction.FindDefaultDatabase 0035 TList<IBDatabase.TIBDatabase>.TEnumerator.GetCurrent 004c TList<IBDatabase.TIBDatabase>.TEnumerator.MoveNext 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F0 8B 46 44 89 45 FC 83 7D FC 00 75 63 8B 46 3C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 3B B3 C8 00 00 00 75 05 89 5D FC EB 0C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30487_0 {
	meta:
		name = "TIBTransaction.GetIdleTimer"
		size = 14
	strings:
		$1 = { 8B 50 64 85 D2 74 04 8B 42 38 C3 33 C0 C3 }
	condition:
		$1
}

rule function_30489_0 {
	meta:
		name = "TIBTransaction.BeforeDatabaseDisconnect"
		size = 58
		refs = "0006 TIBTransaction.GetInTransaction 0027 TIBTransaction.EndTransaction"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2A 0F B6 43 68 2C 01 72 17 74 08 FE C8 74 11 FE C8 75 18 B1 01 B2 01 8B C3 E8 ?? ?? ?? ?? EB 0B B1 01 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30490_0 {
	meta:
		name = "TIBTransaction.RemoveDatabase"
		size = 141
		refs = "0009 TIBTransaction.GetInTransaction 0020 TList<IBDatabase.TIBDatabase>.IndexOf 0041 TIBTransaction.EndTransaction 0066 TList<IBDatabase.TIBDatabase>.Remove 006f TIBDatabase.FindTransaction 007c TIBDatabase.RemoveTransaction"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 41 8B 43 3C 83 78 08 01 75 38 8B D6 8B 43 3C E8 ?? ?? ?? ?? 85 C0 7C 2A 0F B6 43 68 2C 01 72 17 74 08 FE C8 74 11 FE C8 75 18 B1 01 B2 01 8B C3 E8 ?? ?? ?? ?? EB 0B B1 01 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 3C E8 ?? ?? ?? ?? 85 C0 7C 0A 8B D6 8B 43 3C E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7C 09 8B D3 8B C6 E8 ?? ?? ?? ?? 3B 73 44 75 05 33 C0 89 43 44 5E 5B C3 }
	condition:
		$1
}

rule function_30491_0 {
	meta:
		name = "TIBTransaction.RemoveDatabases"
		size = 48
		refs = "001a TList<IBDatabase.TIBDatabase>.GetItem 0023 TIBTransaction.RemoveDatabase"
	strings:
		$1 = { 53 56 8B F0 8B 46 3C 85 C0 74 22 8B 58 08 4B 83 FB 00 7C 19 8B D3 8B 46 3C E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 E7 5E 5B C3 }
	condition:
		$1
}

rule function_30492_0 {
	meta:
		name = "TIBTransaction.RemoveSQLObject"
		size = 15
		refs = "000a TList<IBDatabase.TIBBase>.Remove"
	strings:
		$1 = { 8B 48 40 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30495_0 {
	meta:
		name = "TIBTransaction.RollbackRetaining"
		size = 10
		refs = "0005 TIBTransaction.EndTransaction"
	strings:
		$1 = { 33 C9 B2 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30496_0 {
	meta:
		name = "TIBTransaction.SetActive"
		size = 67
		refs = "0019 TIBTransaction.GetInTransaction 0024 TIBTransaction.StartTransaction 003c TIBTransaction.Rollback"
	strings:
		$1 = { 53 56 8B DA 8B F0 F6 46 1C 02 74 06 88 5E 58 5E 5B C3 84 DB 74 14 8B C6 E8 ?? ?? ?? ?? 84 C0 75 09 8B C6 E8 ?? ?? ?? ?? EB 16 84 DB 75 12 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30497_0 {
	meta:
		name = "TIBTransaction.SetDefaultAction"
		size = 208
		refs = "0019 TIBTransaction.SetDefaultAction 0030 TIBDatabase.GDSLibrary 003f @UStrLAsg 004a GetGDSLibrary 0078 IBError 0090 @UStrClr 0098 @IntfClear 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7E 44 85 FF 74 0C 8D 55 FC 8B C7 E8 ?? ?? ?? ?? EB 18 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8D 45 F8 E8 ?? ?? ?? ?? 80 FB 02 75 29 8B 45 FC 8B 10 FF 52 1C D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 15 33 C0 89 45 F0 C6 45 F4 05 8D 55 F0 33 C9 B0 03 E8 ?? ?? ?? ?? 88 5E 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 00 60 6A 47 }
	condition:
		$1
}

rule function_30498_0 {
	meta:
		name = "TIBTransaction.SetDefaultDatabase"
		size = 240
		refs = "0020 TIBDatabase.RemoveTransaction 0044 TIBDatabase.AddTransaction 004f TIBTransaction.AddDatabase 005a TList<IBDatabase.TIBBase>.GetEnumerator 0065 TIBTransaction.SetDefaultDatabase 0075 TList<IBDatabase.TIBBase>.TEnumerator.GetCurrent 008d SetOrdProp 0095 TList<IBDatabase.TIBBase>.TEnumerator.MoveNext 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 8B 45 FC 8B 40 44 85 C0 74 0D 3B 45 F8 74 08 8B 55 FC E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 94 00 00 00 8B 45 FC 8B 40 44 3B 45 F8 0F 84 85 00 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 20 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 83 7B 04 00 75 10 8B 43 10 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 55 F8 89 50 44 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_30499_0 {
	meta:
		name = "TIBTransaction.SetHandle"
		size = 77
		refs = "0025 TIBTransaction.EndTransaction 003b TIBTransaction.CheckNotInTransaction"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 4C 00 74 2C 0F B6 43 68 2C 01 72 17 74 08 FE C8 74 11 FE C8 75 21 B1 01 B2 01 8B C3 E8 ?? ?? ?? ?? EB 14 B1 01 33 D2 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 89 73 48 85 F6 0F 95 C0 88 43 4C 5E 5B C3 }
	condition:
		$1
}

rule function_30500_0 {
	meta:
		name = "TIBTransaction.Notification"
		size = 61
		refs = "0010 TComponent.Notification 0022 _DV_TIBDatabase 0027 @AsClass 0030 TIBTransaction.RemoveDatabase"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 20 3B 77 44 75 1B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30501_0 {
	meta:
		name = "TIBTransaction.SetIdleTimer"
		size = 153
		refs = "001f IBError 0035 TObject.Free 004a _Dn_TIBTimer 004f TIBTimer.Create 005d TIBTimer.SetEnabled 0067 TIBTimer.SetInterval 006d TIBTransaction.TimeoutTransaction 0075 TIBTimer.SetOnTimer"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 85 F6 7D 17 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 14 E8 ?? ?? ?? ?? EB 6E 85 F6 75 12 8D 43 64 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 58 85 F6 7E 54 83 7B 64 00 75 34 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 64 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B 43 64 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 43 64 E8 ?? ?? ?? ?? 8B D6 8B 43 64 E8 ?? ?? ?? ?? F6 43 1C 10 75 0A B2 01 8B 43 64 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30502_0 {
	meta:
		name = "TIBTransaction.SetTRParams"
		size = 19
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 6C 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_30503_0 {
	meta:
		name = "TIBTransaction.StartTransaction"
		size = 727
		refs = "0021 TIBTransaction.StartTransaction 002f TIBTransaction.CheckNotInTransaction 0037 TIBTransaction.CheckDatabasesInList 0042 TList<IBDatabase.TIBDatabase>.GetEnumerator 005d TList<IBDatabase.TIBDatabase>.TEnumerator.GetCurrent 0077 TCustomConnection.Open 0092 IBError 009a TList<IBDatabase.TIBDatabase>.TEnumerator.MoveNext 00c1 @HandleFinally 00e7 GenerateTPB 0103 IBAlloc 010b @UniqueStringA 011d Move 012a TIBTransaction.GetDatabaseCount 01eb TList<IBDatabase.TIBDatabase>.GetItem 01f3 TIBDatabase.GDSLibrary 01fc StatusVector 0219 TIBTransaction.Call 0242 IBDataBaseError 0253 MonitorHook 0281 @FreeMem 029f IIBSQLMonitorHook 02a9 @FinalizeArray 02b2 IGDSLibrary 02c4 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 D2 89 55 D4 89 55 D8 89 55 DC 89 55 E0 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 3C E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 3D 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 48 84 C0 75 28 80 7B 45 00 74 0D 8B C3 E8 ?? ?? ?? ?? C6 43 45 00 EB 15 33 C0 89 45 E4 C6 45 E8 05 8D 55 E4 33 C9 B0 0F E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 80 78 70 00 74 51 8B 45 F8 C6 40 70 00 8B 45 F8 8D 48 60 8D 55 FC 8B 45 F8 8B 40 6C E8 ?? ?? ?? ?? 8B 45 F8 0F B7 40 60 66 85 C0 7E 2A 0F BF C8 8B 45 F8 83 C0 5C 33 D2 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 55 F8 0F BF 4A 60 8B 55 F8 8B 52 5C E8 ?? ?? ?? ?? 33 C0 89 45 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 03 C9 03 C9 8D 0C 49 8D 45 F4 33 D2 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 F8 8B 40 3C E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 35 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8D 3C 76 8B 45 F4 8D 93 B8 00 00 00 89 14 B8 8B 45 F4 8B 55 F8 0F BF 52 60 89 54 B8 04 8B 45 F4 8B 55 F8 8B 52 5C 89 54 B8 08 46 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 45 F8 8B 40 3C 33 D2 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8D 48 48 58 8B 18 FF 93 18 01 00 00 8B D0 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 25 8B 45 F8 33 D2 89 50 48 8B 45 F8 8B 40 3C 33 D2 E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 45 F8 F6 40 1C 10 75 21 8D 45 D8 E8 ?? ?? ?? ?? 83 7D D8 00 74 13 8D 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 8B 55 F8 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30504_0 {
	meta:
		name = "TIBTransaction.TimeoutTransaction"
		size = 60
		refs = "0006 TIBTransaction.GetInTransaction 001d TIBTransaction.EndTransaction"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2C 80 7B 39 00 74 22 0F B6 53 68 B1 01 8B C3 E8 ?? ?? ?? ?? C6 43 39 01 66 83 7B 52 00 74 0E 8B D3 8B 43 54 FF 53 50 EB 04 C6 43 39 01 5B C3 }
	condition:
		$1
}

rule function_30505_0 {
	meta:
		name = "TIBTransaction.TRParamsChange"
		size = 5
	strings:
		$1 = { C6 40 70 01 C3 }
	condition:
		$1
}

rule function_30507_0 {
	meta:
		name = "TIBTransaction.AutoStartTransaction"
		size = 28
		refs = "0012 TIBTransaction.StartTransaction"
	strings:
		$1 = { 53 8B D8 80 7B 73 00 75 06 F6 43 1C 10 74 0B 8B C3 E8 ?? ?? ?? ?? C6 43 71 01 5B C3 }
	condition:
		$1
}

rule function_30508_0 {
	meta:
		name = "TIBTransaction.ReleaseSavepoint"
		size = 146
		refs = "0016 @LStrAddRef 001e TIBTransaction.ReleaseSavepoint 002b TIBTransaction.CheckInTransaction 0039 TList<IBDatabase.TIBDatabase>.GetItem 0041 TIBDatabase.GDSLibrary 004a StatusVector 0063 TIBTransaction.Call 0078 @IntfClear 0080 @LStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 33 D2 8B 43 3C E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D0 8D 4B 48 58 8B 30 FF 96 08 01 00 00 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30509_0 {
	meta:
		name = "TIBTransaction.RollbackSavepoint"
		size = 148
		refs = "0016 @LStrAddRef 001e TIBTransaction.RollbackSavepoint 002b TIBTransaction.CheckInTransaction 003b TList<IBDatabase.TIBDatabase>.GetItem 0043 TIBDatabase.GDSLibrary 004c StatusVector 0065 TIBTransaction.Call 007a @IntfClear 0082 @LStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 6A 00 33 D2 8B 43 3C E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D0 8D 4B 48 58 8B 30 FF 96 10 01 00 00 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30510_0 {
	meta:
		name = "TIBTransaction.StartSavepoint"
		size = 146
		refs = "0016 @LStrAddRef 001e TIBTransaction.StartSavepoint 002b TIBTransaction.CheckInTransaction 0039 TList<IBDatabase.TIBDatabase>.GetItem 0041 TIBDatabase.GDSLibrary 004a StatusVector 0063 TIBTransaction.Call 0078 @IntfClear 0080 @LStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 33 D2 8B 43 3C E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D0 8D 4B 48 58 8B 30 FF 96 1C 01 00 00 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30511_0 {
	meta:
		name = "TIBTransaction.GetTransactionID"
		size = 248
		refs = "0019 TIBTransaction.GetTransactionID 0026 TIBTransaction.CheckInTransaction 004c TList<IBDatabase.TIBDatabase>.GetItem 0054 TIBDatabase.GDSLibrary 005d StatusVector 0076 TIBTransaction.Call 00da IGDSLibrary 00e4 @FinalizeArray 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 D2 89 55 D0 89 55 D4 89 55 D8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7B 74 00 0F 85 91 00 00 00 66 C7 45 FE 04 00 6A 01 8D 45 FE 50 6A 20 8D 45 DE 50 33 D2 8B 43 3C E8 ?? ?? ?? ?? 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 D8 50 E8 ?? ?? ?? ?? 8B D0 8D 4B 48 58 8B 30 FF 96 68 01 00 00 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 43 3C E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 8D 55 DF 66 B9 02 00 8B 30 FF 96 28 01 00 00 8B F0 33 D2 8B 43 3C E8 ?? ?? ?? ?? 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 8D 55 E1 8B CE 8B 30 FF 96 28 01 00 00 89 43 74 8B 5B 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30512_0 {
	meta:
		name = "TBindStateCheckBoxEditor.Create"
		size = 35
		refs = "0008 @ClassCreate 0014 @AfterConstruction"
		altNames = "TIBBase.Create"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 10 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_30513_0 {
	meta:
		name = "TIBBase.Destroy"
		size = 54
		refs = "0003 @BeforeDestruction 0024 TObject.Destroy 002f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 8B 08 FF 51 20 33 D2 8B C6 8B 08 FF 51 24 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30514_0 {
	meta:
		name = "TIBBase.CheckDatabase"
		size = 45
		refs = "001d IBError 0025 TIBDatabase.CheckActive"
	strings:
		$1 = { 53 83 C4 F8 8B D8 83 7B 04 00 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 18 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_30515_0 {
	meta:
		name = "TIBBase.CheckTransaction"
		size = 45
		refs = "001d IBError 0025 TIBTransaction.CheckInTransaction"
	strings:
		$1 = { 53 83 C4 F8 8B D8 83 7B 0C 00 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 19 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_30516_0 {
	meta:
		name = "TIBBase.GetDBHandle"
		size = 20
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 28 8B 43 04 05 B8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_30517_0 {
	meta:
		name = "TIBBase.GetTRHandle"
		size = 18
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 2C 8B 43 0C 83 C0 48 5B C3 }
	condition:
		$1
}

rule function_30519_0 {
	meta:
		name = "TIBBase.DoAfterDatabaseDisconnect"
		size = 20
	strings:
		$1 = { 53 66 83 78 22 00 74 0A 8B D8 8B D0 8B 43 24 FF 53 20 5B C3 }
	condition:
		$1
}

rule function_30520_0 {
	meta:
		name = "TIBBase.DoDatabaseFree"
		size = 29
	strings:
		$1 = { 53 8B D8 66 83 7B 2A 00 74 08 8B D3 8B 43 2C FF 53 28 33 D2 8B C3 8B 08 FF 51 20 5B C3 }
	condition:
		$1
}

rule function_30521_0 {
	meta:
		name = "TIBBase.DoBeforeTransactionEnd"
		size = 20
		altNames = "TStringSparseList.Changed"
	strings:
		$1 = { 53 66 83 78 32 00 74 0A 8B D8 8B D0 8B 43 34 FF 53 30 5B C3 }
	condition:
		$1
}

rule function_30522_0 {
	meta:
		name = "TDdeServerConv.Connect"
		size = 20
		altNames = "TIBBase.DoAfterTransactionEnd"
	strings:
		$1 = { 53 66 83 78 3A 00 74 0A 8B D8 8B D0 8B 43 3C FF 53 38 5B C3 }
	condition:
		$1
}

rule function_30523_0 {
	meta:
		name = "TIBBase.DoTransactionFree"
		size = 29
	strings:
		$1 = { 53 8B D8 66 83 7B 42 00 74 08 8B D3 8B 43 44 FF 53 40 33 D2 8B C3 8B 08 FF 51 24 5B C3 }
	condition:
		$1
}

rule function_30524_0 {
	meta:
		name = "TIBBase.SetDatabase"
		size = 69
		refs = "0011 TIBDatabase.RemoveSQLObject 0023 TIBDatabase.AddSQLObject 0034 TIBDatabase.FindDefaultTransaction"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 04 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B F7 89 73 04 85 F6 74 23 8B D3 8B C6 E8 ?? ?? ?? ?? 89 43 08 83 7B 0C 00 75 11 8B 43 04 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30525_0 {
	meta:
		name = "TIBBase.SetTransaction"
		size = 62
		refs = "0010 TIBTransaction.RemoveSQLObject 0020 TIBTransaction.AddSQLObject 002e TIBTransaction.FindDefaultDatabase"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 43 0C 85 C0 74 1E 8B D3 E8 ?? ?? ?? ?? 83 7B 04 00 75 11 8B 43 0C E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 20 5E 5B C3 }
	condition:
		$1
}

rule function_30526_0 {
	meta:
		name = "TIBDatabase.GDSLibrary"
		size = 22
		refs = "000f @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 E4 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30527_0 {
	meta:
		name = "SetCodePage"
		size = 1612
		refs = "0010 SetCodePage 0015 @UStrEqual 001c DefaultSystemCodePage"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 A1 ?? ?? ?? ?? 8B 00 8B 55 08 8B 52 FC 89 82 EC 00 00 00 5D C3 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 18 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 8B 40 FC C7 80 EC 00 00 00 E9 FD 00 00 E9 61 03 00 00 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 8B 40 FC C7 80 EC 00 00 00 A4 03 00 00 E9 34 03 00 00 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 8B 40 FC C7 80 EC 00 00 00 E2 04 00 00 E9 07 03 00 00 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 8B 40 FC C7 80 EC 00 00 00 E3 04 00 00 E9 DA 02 00 00 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 8B 40 FC C7 80 EC 00 00 00 E4 04 00 00 E9 AD 02 00 00 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 8B 40 FC C7 80 EC 00 00 00 E5 04 00 00 E9 80 02 00 00 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 8B 40 FC C7 80 EC 00 00 00 E6 04 00 00 E9 53 02 00 00 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 8B 40 FC C7 80 EC 00 00 00 9F 4E 00 00 E9 26 02 00 00 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 8B 40 FC C7 80 EC 00 00 00 B5 01 00 00 E9 F9 01 00 00 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 8B 40 FC C7 80 EC 00 00 00 52 03 00 00 E9 CC 01 00 00 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 8B 40 FC C7 80 EC 00 00 00 54 03 00 00 E9 9F 01 00 00 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 8B 40 FC C7 80 EC 00 00 00 59 03 00 00 E9 72 01 00 00 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 8B 40 FC C7 80 EC 00 00 00 5C 03 00 00 E9 45 01 00 00 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 8B 40 FC C7 80 EC 00 00 00 5D 03 00 00 E9 18 01 00 00 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 8B 40 FC C7 80 EC 00 00 00 5F 03 00 00 E9 EB 00 00 00 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 8B 40 FC C7 80 EC 00 00 00 61 03 00 00 E9 BE 00 00 00 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 08 8B 40 FC C7 80 EC 00 00 00 C8 51 00 00 E9 91 00 00 00 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8B 45 08 8B 40 FC C7 80 EC 00 00 00 AF 6F 00 00 EB 67 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8B 45 08 8B 40 FC C7 80 EC 00 00 00 C8 CE 00 00 EB 3D 8B 45 08 8B 40 FC 8B 80 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8B 45 08 8B 40 FC C7 80 EC 00 00 00 B5 03 00 00 EB 13 A1 ?? ?? ?? ?? 8B 00 8B 55 08 8B 52 FC 89 82 EC 00 00 00 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 4F 00 4E 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 55 00 54 00 46 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 4E 00 49 00 43 00 4F 00 44 00 45 00 5F 00 46 00 53 00 53 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 4A 00 49 00 53 00 5F 00 30 00 32 00 30 00 38 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 49 00 4E 00 31 00 32 00 35 00 30 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 49 00 4E 00 31 00 32 00 35 00 31 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 49 00 4E 00 31 00 32 00 35 00 32 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 49 00 4E 00 31 00 32 00 35 00 33 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 49 00 4E 00 31 00 32 00 35 00 34 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 53 00 43 00 49 00 49 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 4F 00 53 00 34 00 33 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 4F 00 53 00 38 00 35 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 4F 00 53 00 38 00 35 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 4F 00 53 00 38 00 35 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 4F 00 53 00 38 00 36 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 4F 00 53 00 38 00 36 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 4F 00 53 00 38 00 36 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 4F 00 53 00 38 00 36 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 55 00 43 00 4A 00 5F 00 30 00 32 00 30 00 38 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 53 00 4F 00 38 00 38 00 35 00 39 00 5F 00 31 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 47 00 42 00 5F 00 32 00 33 00 31 00 32 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4B 00 53 00 43 00 5F 00 35 00 36 00 30 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_30528_0 {
	meta:
		name = "TIBDatabase.GenerateDPB"
		size = 1364
		refs = "0024 TIBDatabase.GenerateDPB 003f @LStrAsg 0069 TStrings.GetName 0074 Trim 0097 LowerCase 00a7 @LStrFromUStr 00f4 Pos 0101 @UStrCopy 0133 @LStrDelete 013f DPBConstantNames 0159 @LStrEqual 01fc @UniqueStringA 0229 @LStrFromChar 024e @LStrCatN 027d @UStrFromLStr 0283 SetCodePage 02b8 StrToInt 041f IBError 0475 @UStrClr 0482 @LStrArrayClr 0492 @LStrClr 04b4 @UStrArrayClr 04dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 10 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E8 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 66 C7 00 01 00 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 48 85 C0 0F 8C 0D 04 00 00 40 89 45 DC C7 45 E4 00 00 00 00 8D 4D D4 8B 55 E4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 E8 ?? ?? ?? ?? 83 7D D8 00 0F 84 D3 03 00 00 8D 4D CC 8B 55 E4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8D 4D F0 8B 55 E4 8B 45 EC 8B 18 FF 53 0C 8D 4D C8 8B 55 E4 8B 45 EC 8B 18 FF 53 0C 8B 45 C8 89 45 C4 8B 5D C4 85 DB 74 05 83 EB 04 8B 1B 8D 45 C0 50 8D 4D BC 8B 55 E4 8B 45 EC 8B 30 FF 56 0C 8B 55 BC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 8B CB 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 C0 8D 45 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 12 8D 45 F8 B9 08 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 FF BE 01 00 00 00 BB ?? ?? ?? ?? 8D 45 B8 8B 13 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 F8 E8 ?? ?? ?? ?? 75 04 8B FE EB 09 46 83 C3 04 83 FE 56 75 D7 0F B7 C7 83 C0 FB 83 F8 50 0F 87 7A 02 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 02 00 00 00 02 03 00 00 02 00 00 00 02 01 01 01 05 04 05 02 05 05 02 01 01 01 00 00 02 02 00 01 00 00 00 00 00 00 00 00 00 00 01 01 00 00 00 00 00 02 00 00 00 00 00 01 00 00 01 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 00 00 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 83 FF 3F 75 13 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 0F B6 12 80 EA 30 88 10 8B 75 F4 8B DE 85 DB 74 05 83 EB 04 8B 1B 8B 45 E8 FF 30 8D 45 B4 8B D7 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 B4 8D 45 B0 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 B0 FF 75 F4 8B 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 66 83 C0 02 8B 55 08 66 01 02 66 83 FF 30 0F 85 E4 01 00 00 8B 45 FC 05 E8 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 E9 C8 01 00 00 8B 45 E8 FF 30 8D 45 AC 8B D7 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 AC 68 ?? ?? ?? ?? 8D 45 A4 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 A4 E8 ?? ?? ?? ?? 8B D0 8D 45 A8 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 A8 8B 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 66 83 00 03 E9 6E 01 00 00 8B 45 E8 FF 30 8D 45 A0 8B D7 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 A0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 66 83 00 03 E9 34 01 00 00 8D 45 9C 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 9C E8 ?? ?? ?? ?? 89 45 E0 8B 45 E8 FF 30 8D 45 98 8B D7 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 98 68 ?? ?? ?? ?? 8D 45 94 8D 5D E0 0F B6 13 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 94 8D 45 90 0F B6 53 01 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 90 8D 45 8C 0F B6 53 02 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 8C 8D 45 88 0F B6 53 03 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 88 8B 45 E8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 66 83 00 06 E9 97 00 00 00 8B 45 E8 FF 30 8D 45 84 8B D7 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 84 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 66 83 00 03 EB 60 66 85 FF 76 2B 66 83 FF 55 77 25 0F B7 C7 8B 04 85 ?? ?? ?? ?? 89 85 7C FF FF FF C6 45 80 11 8D 95 7C FF FF FF 33 C9 B0 0B E8 ?? ?? ?? ?? EB 30 8D 8D 78 FF FF FF 8B 55 E4 8B 45 EC E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 85 7C FF FF FF C6 45 80 11 8D 95 7C FF FF FF 33 C9 B0 72 E8 ?? ?? ?? ?? FF 45 E4 FF 4D DC 0F 85 FE FB FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 45 84 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8C 5F 5E 5B 8B E5 5D C2 04 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 E4 04 01 00 FF FF FF FF 08 00 00 00 69 73 63 5F 64 70 62 5F 00 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 02 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 04 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_30529_0 {
	meta:
		name = "GenerateTPB"
		size = 900
		refs = "0023 GenerateTPB 0031 @LStrClr 0063 @LStrCat 009b Trim 00c7 Pos 00e4 LowerCase 00f4 @LStrFromUStr 0107 TStrings.GetName 017c @UStrCopy 0197 @UStrFromLStr 01b9 @LStrDelete 01c5 TPBConstantNames 01df @LStrEqual 0218 @LStrFromChar 0286 @LStrCatN 02ab IBError 02f2 @UStrClr 02ff @LStrArrayClr 030c @UStrArrayClr 0334 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0D 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E8 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 14 85 C0 75 0A 8B 45 E8 66 C7 00 00 00 EB 1F 8B 45 F0 8B 10 FF 52 14 40 8B 55 E8 66 89 02 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 45 F0 8B 10 FF 52 14 48 85 C0 0F 8C 66 02 00 00 40 89 45 E0 C7 45 E4 00 00 00 00 8D 4D D8 8B 55 E4 8B 45 F0 8B 18 FF 53 0C 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 83 7D DC 00 75 0B 8B 45 E8 66 FF 08 E9 25 02 00 00 8D 4D D4 8B 55 E4 8B 45 F0 8B 18 FF 53 0C 8B 55 D4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 2E 8D 4D CC 8B 55 E4 8B 45 F0 8B 18 FF 53 0C 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? E9 93 00 00 00 8D 4D C4 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 C4 8D 55 C8 E8 ?? ?? ?? ?? 8B 55 C8 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8D 4D F4 8B 55 E4 8B 45 F0 8B 18 FF 53 0C 8D 4D C0 8B 55 E4 8B 45 F0 8B 18 FF 53 0C 8B 45 C0 89 45 BC 8B 5D BC 85 DB 74 05 83 EB 04 8B 1B 8D 45 B8 50 8D 4D B4 8B 55 E4 8B 45 F0 8B 30 FF 56 0C 8B 55 B4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 8B CB 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 B8 8D 45 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 8B 55 FC E8 ?? ?? ?? ?? 8B 55 B0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 12 8D 45 FC B9 08 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 FF BE 01 00 00 00 BB ?? ?? ?? ?? 8D 45 AC 8B 13 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 AC 8B 45 FC E8 ?? ?? ?? ?? 75 04 8B FE EB 09 46 83 C3 04 83 FE 16 75 D7 8B C7 48 83 E8 09 72 13 83 E8 02 72 30 83 C0 FE 83 E8 02 72 06 48 83 E8 05 73 7F 8D 45 A8 8B D7 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E9 A6 00 00 00 8D 45 A4 8B D7 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 A4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B D8 8B C3 40 8B 55 E8 66 01 02 8B 45 EC FF 30 8D 45 A0 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 A0 FF 75 F8 8B 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 49 85 FF 7E 21 83 FF 15 7F 1C 8B 04 BD ?? ?? ?? ?? 89 45 98 C6 45 9C 11 8D 55 98 33 C9 B0 0D E8 ?? ?? ?? ?? EB 24 8D 4D 94 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 94 89 45 98 C6 45 9C 11 8D 55 98 33 C9 B0 73 E8 ?? ?? ?? ?? FF 45 E4 FF 4D E0 0F 85 A5 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 A0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B4 5F 5E 5B 8B E5 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 03 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 69 00 73 00 63 00 5F 00 74 00 70 00 62 00 5F 00 00 00 00 00 }
	condition:
		$1
}

rule function_30530_0 {
	meta:
		name = "TSchema.Add_Node"
		size = 650
		refs = "0020 @UStrAddRef 0030 TSchema.Add_Node 003d _Dn_TStringList 0042 TStringList.Create 0060 TIBSQL.GetDatabase 006b TIBTransaction.GetInTransaction 0089 TIBTransaction.StartTransaction 0091 TIBSQL.GetSQLParams 0098 TIBXSQLDA.GetSQLVAR 00a0 TIBXSQLVAR.SetAsString 00a8 TIBSQL.ExecQuery 00b4 _DV_TFieldNode 00b9 TObject.Create 00c8 TIBSQL.GetFields 00d0 TIBXSQLVAR.GetAsTrimString 00db @UStrAsg 00ed TIBXSQLVAR.GetIsNull 0140 @UStrEqual 014d TIBSQL.Next 0155 TIBSQL.GetEOF 0165 TIBSQL.Close 024d TIBTransaction.Commit 0267 @UStrArrayClr 027a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D E4 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 4D F0 8B 55 FC 8B 46 04 8B 18 FF 53 3C 33 C0 89 45 F4 8B 46 08 E8 ?? ?? ?? ?? 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? 34 01 88 45 EF 80 7D EF 00 74 13 8B 46 08 E8 ?? ?? ?? ?? 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? E9 A0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA 03 00 00 00 8B 46 08 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 43 04 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 46 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A BA 02 00 00 00 8B 46 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 88 43 09 33 D2 8B 46 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 88 43 08 C6 43 0A 00 8B CB 8B 53 04 8B 45 F0 8B 38 FF 57 3C 8B 43 04 8B 55 F8 E8 ?? ?? ?? ?? 75 03 89 5D F4 8B 46 08 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 84 C0 0F 84 50 FF FF FF 8B 46 08 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? E9 93 00 00 00 33 D2 8B 46 0C E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F0 8B 08 FF 51 54 89 45 E8 83 7D E8 00 7D 56 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 D2 8B 46 0C E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC 8D 43 04 E8 ?? ?? ?? ?? C6 43 09 00 C6 43 08 00 C6 43 0A 01 8B CB 8B 53 04 8B 45 F0 8B 38 FF 57 3C 8B 43 04 8B 55 F8 E8 ?? ?? ?? ?? 75 14 89 5D F4 EB 0F 8B 55 E8 8B 45 F0 8B 08 FF 51 18 C6 40 0A 01 8B 46 0C E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 84 C0 0F 84 5D FF FF FF 8B 46 0C E8 ?? ?? ?? ?? 80 7D EF 00 74 13 8B 46 08 E8 ?? ?? ?? ?? 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30531_0 {
	meta:
		name = "TSchema.Create"
		size = 1372
		refs = "000f @ClassCreate 001d _Dn_TStringList 0022 TStringList.Create 002e _Dn_TIBSQL 0033 TIBSQL.Create 0045 TIBSQL.SetTransaction 0050 TSchema.Create 0092 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 08 8B C7 8B 96 CC 00 00 00 E8 ?? ?? ?? ?? 8B 43 08 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 0C 8B C7 8B 96 CC 00 00 00 E8 ?? ?? ?? ?? 8B 43 0C 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 42 01 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4D 00 50 00 55 00 54 00 45 00 44 00 5F 00 42 00 4C 00 52 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 5F 00 56 00 41 00 4C 00 55 00 45 00 2C 00 20 00 52 00 2E 00 52 00 44 00 42 00 24 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 5F 00 56 00 41 00 4C 00 55 00 45 00 2C 00 20 00 52 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 46 00 49 00 45 00 4C 00 44 00 53 00 20 00 52 00 2C 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 53 00 20 00 46 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 52 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 20 00 61 00 6E 00 64 00 20 00 52 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 3D 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 61 00 6E 00 64 00 20 00 28 00 28 00 6E 00 6F 00 74 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4D 00 50 00 55 00 54 00 45 00 44 00 5F 00 42 00 4C 00 52 00 20 00 69 00 73 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 6F 00 72 00 20 00 20 00 20 00 20 00 20 00 20 00 28 00 6E 00 6F 00 74 00 20 00 28 00 46 00 2E 00 52 00 44 00 42 00 24 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 5F 00 56 00 41 00 4C 00 55 00 45 00 20 00 69 00 73 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 61 00 6E 00 64 00 20 00 52 00 2E 00 52 00 44 00 42 00 24 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 5F 00 56 00 41 00 4C 00 55 00 45 00 20 00 69 00 73 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 29 00 29 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 52 00 52 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 53 00 45 00 47 00 4D 00 45 00 4E 00 54 00 53 00 20 00 52 00 49 00 20 00 4F 00 4E 00 20 00 20 00 20 00 20 00 20 00 20 00 52 00 52 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 52 00 49 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 72 00 65 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 5F 00 6E 00 61 00 6D 00 65 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 27 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 20 00 4B 00 45 00 59 00 20 00 27 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_30532_0 {
	meta:
		name = "TSchema.Destroy"
		size = 66
		refs = "0003 @BeforeDestruction 0015 TObject.Free 0030 TObject.Destroy 003b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 12 8B 46 04 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30533_0 {
	meta:
		name = "TSchema.FreeNodes"
		size = 97
		refs = "003b TObject.Free"
	strings:
		$1 = { 53 56 57 55 8B E8 8B 45 04 8B 10 FF 52 14 8B F8 4F 83 FF 00 7C 46 8B 45 04 8B D7 8B 08 FF 51 18 8B F0 8B C6 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 14 8B D3 8B C6 8B 08 FF 51 18 E8 ?? ?? ?? ?? 4B 83 FB FF 75 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 04 8B D7 8B 08 FF 51 48 4F 83 FF FF 75 BA 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30534_0 {
	meta:
		name = "TSchema.Has_COMPUTED_BLR"
		size = 177
		refs = "0015 @UStrAddRef 0025 TSchema.Has_COMPUTED_BLR 0074 TSchema.Add_Node 009c @UStrArrayClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 55 FC 8B 08 FF 51 54 8B D8 33 F6 85 DB 7C 29 8B 47 04 8B D3 8B 08 FF 51 18 8B F8 8B 55 F8 8B C7 8B 08 FF 51 54 8B D8 85 DB 7C 1C 8B D3 8B C7 8B 08 FF 51 18 8B F0 EB 0F 8B 4D F8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 06 0F B6 5E 08 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30535_0 {
	meta:
		name = "TSchema.Has_DEFAULT_VALUE"
		size = 177
		refs = "0015 @UStrAddRef 0025 TSchema.Has_DEFAULT_VALUE 0074 TSchema.Add_Node 009c @UStrArrayClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 55 FC 8B 08 FF 51 54 8B D8 33 F6 85 DB 7C 29 8B 47 04 8B D3 8B 08 FF 51 18 8B F8 8B 55 F8 8B C7 8B 08 FF 51 54 8B D8 85 DB 7C 1C 8B D3 8B C7 8B 08 FF 51 18 8B F0 EB 0F 8B 4D F8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 06 0F B6 5E 09 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30536_0 {
	meta:
		name = "TSchema.In_Key"
		size = 177
		refs = "0015 @UStrAddRef 0025 TSchema.In_Key 0074 TSchema.Add_Node 009c @UStrArrayClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 8B 55 FC 8B 08 FF 51 54 8B D8 33 F6 85 DB 7C 29 8B 47 04 8B D3 8B 08 FF 51 18 8B F8 8B 55 F8 8B C7 8B 08 FF 51 54 8B D8 85 DB 7C 1C 8B D3 8B C7 8B 08 FF 51 18 8B F0 EB 0F 8B 4D F8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 06 0F B6 5E 0A EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30537_0 {
	meta:
		name = "TIBTransactionHelper.GetPrimaryDatabase"
		size = 33
		refs = "0018 TList<IBDatabase.TIBDatabase>.GetItem"
	strings:
		$1 = { 8B 50 44 85 D2 74 03 8B C2 C3 8B 50 3C 83 7A 08 00 7E 0B 8B C2 33 D2 E8 ?? ?? ?? ?? EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_30538_0 {
	meta:
		name = "Finalization"
		size = 90
		refs = "0007 Finalization 0013 _DV_7 001a DPBConstantNames 0025 string 002a @FinalizeArray 002f TPBConstantNames 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2A B8 ?? ?? ?? ?? B9 55 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 15 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_30717_0 {
	meta:
		name = "TIBDatabaseInfo.Create"
		size = 188
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TStringList 0023 TStringList.Create 00a9 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 54 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 5C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 60 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_30718_0 {
	meta:
		name = "TIBDatabaseInfo.Destroy"
		size = 108
		refs = "0003 @BeforeDestruction 000f TObject.Free 005a TComponent.Destroy 0065 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 40 E8 ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? 8B 46 48 E8 ?? ?? ?? ?? 8B 46 4C E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? 8B 46 54 E8 ?? ?? ?? ?? 8B 46 58 E8 ?? ?? ?? ?? 8B 46 5C E8 ?? ?? ?? ?? 8B 46 60 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30719_0 {
	meta:
		name = "TIBDatabaseInfo.Call"
		size = 137
		refs = "0018 TIBDatabaseInfo.Call 0032 CheckStatusVector 0042 TIBDatabase.Call 0056 TIBDatabaseInfoHelper.GetGDSLibrary 005e IBDataBaseError 0073 @IntfClear 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 7D FC C7 45 F8 A5 01 00 14 8D 45 F8 33 D2 E8 ?? ?? ?? ?? 84 C0 74 0E 8B CB 8B D7 8B 46 3C E8 ?? ?? ?? ?? EB 1A 84 DB 74 16 85 FF 7E 12 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30720_0 {
	meta:
		name = "TIBDatabaseInfo.GetAllocation"
		size = 11
		refs = "0006 TIBDatabaseInfo.GetLongDatabaseInfo"
	strings:
		$1 = { BA 15 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30721_0 {
	meta:
		name = "TIBDatabaseInfo.GetBaseLevel"
		size = 209
		refs = "001f TIBDatabaseInfo.GetBaseLevel 0048 TIBDatabaseInfoHelper.GetGDSLibrary 0054 StatusVector 0073 TIBDatabaseInfo.Call 00b3 IGDSLibrary 00bd @FinalizeArray 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FD FF FF 53 56 33 D2 89 95 F4 FD FF FF 89 95 F8 FD FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 0D 6A 01 8D 45 FF 50 68 00 02 00 00 8D 85 FF FD FF FF 50 8D 95 F8 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 F8 FD FF FF 50 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 8D 88 B8 00 00 00 58 8B 30 FF 96 8C 00 00 00 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 8D 95 F4 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 F4 FD FF FF 8D 95 03 FE FF FF 66 B9 01 00 8B 18 FF 93 28 01 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FD FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30722_0 {
	meta:
		name = "TIBDatabaseInfo.GetDBFileName"
		size = 191
		refs = "001c TIBDatabaseInfo.GetDBFileName 0045 TIBDatabaseInfoHelper.GetGDSLibrary 0051 StatusVector 0070 TIBDatabaseInfo.Call 0094 @LStrFromPChar 00ac @IntfClear 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FD FF FF 53 56 57 33 C9 89 8D F8 FD FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 04 6A 01 8D 45 FF 50 68 00 02 00 00 8D 85 FF FD FF FF 50 8D 95 F8 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 F8 FD FF FF 50 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 8D 88 B8 00 00 00 58 8B 38 FF 97 8C 00 00 00 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 0F B6 85 03 FE FF FF 83 C0 05 C6 84 05 FF FD FF FF 00 8B C6 8D 95 04 FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30723_0 {
	meta:
		name = "TIBDatabaseInfo.GetDBSiteName"
		size = 210
		refs = "001c TIBDatabaseInfo.GetDBSiteName 0045 TIBDatabaseInfoHelper.GetGDSLibrary 0051 StatusVector 0070 TIBDatabaseInfo.Call 00a8 @LStrFromPChar 00c0 @IntfClear 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FB FF FF 53 56 33 C9 89 8D F4 FB FF FF 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 04 6A 01 8D 45 FB 50 68 00 02 00 00 8D 85 FB FB FF FF 50 8D 95 F4 FB FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 F4 FB FF FF 50 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 8D 88 B8 00 00 00 58 8B 30 FF 96 8C 00 00 00 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 0F B6 85 FF FB FF FF 83 C0 05 8D 84 05 FB FB FF FF 0F B6 10 03 C2 40 C6 00 00 8B 45 FC 0F B6 95 FF FB FF FF 83 C2 06 8D 94 15 FB FB FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FB FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30724_0 {
	meta:
		name = "TIBDatabaseInfo.GetDBImplementationNo"
		size = 209
		refs = "001f TIBDatabaseInfo.GetDBImplementationNo 0048 TIBDatabaseInfoHelper.GetGDSLibrary 0054 StatusVector 0073 TIBDatabaseInfo.Call 00b3 IGDSLibrary 00bd @FinalizeArray 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FD FF FF 53 56 33 D2 89 95 F4 FD FF FF 89 95 F8 FD FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 0B 6A 01 8D 45 FF 50 68 00 02 00 00 8D 85 FF FD FF FF 50 8D 95 F8 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 F8 FD FF FF 50 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 8D 88 B8 00 00 00 58 8B 30 FF 96 8C 00 00 00 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 8D 95 F4 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 F4 FD FF FF 8D 95 02 FE FF FF 66 B9 01 00 8B 18 FF 93 28 01 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FD FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30725_0 {
	meta:
		name = "TIBDatabaseInfo.GetDBImplementationClass"
		size = 209
		refs = "001f TIBDatabaseInfo.GetDBImplementationClass 0048 TIBDatabaseInfoHelper.GetGDSLibrary 0054 StatusVector 0073 TIBDatabaseInfo.Call 00b3 IGDSLibrary 00bd @FinalizeArray 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FD FF FF 53 56 33 D2 89 95 F4 FD FF FF 89 95 F8 FD FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 0B 6A 01 8D 45 FF 50 68 00 02 00 00 8D 85 FF FD FF FF 50 8D 95 F8 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 F8 FD FF FF 50 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 8D 88 B8 00 00 00 58 8B 30 FF 96 8C 00 00 00 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 8D 95 F4 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 F4 FD FF FF 8D 95 03 FE FF FF 66 B9 01 00 8B 18 FF 93 28 01 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FD FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30726_0 {
	meta:
		name = "TIBDatabaseInfo.GetNoReserve"
		size = 11
		refs = "0006 TIBDatabaseInfo.GetLongDatabaseInfo"
	strings:
		$1 = { BA 22 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30727_0 {
	meta:
		name = "TIBDatabaseInfo.GetODSMinorVersion"
		size = 11
		refs = "0006 TIBDatabaseInfo.GetLongDatabaseInfo"
	strings:
		$1 = { BA 21 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30729_0 {
	meta:
		name = "TIBDatabaseInfo.GetPageSize"
		size = 11
		refs = "0006 TIBDatabaseInfo.GetLongDatabaseInfo"
	strings:
		$1 = { BA 0E 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30730_0 {
	meta:
		name = "TIBDatabaseInfo.GetVersion"
		size = 191
		refs = "001c TIBDatabaseInfo.GetVersion 0045 TIBDatabaseInfoHelper.GetGDSLibrary 0051 StatusVector 0070 TIBDatabaseInfo.Call 0094 @LStrFromPChar 00ac @IntfClear 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FB FF FF 53 56 57 33 C9 89 8D F8 FB FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 0C 6A 01 8D 45 FF 50 68 00 04 00 00 8D 85 FF FB FF FF 50 8D 95 F8 FB FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 F8 FB FF FF 50 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 8D 88 B8 00 00 00 58 8B 38 FF 97 8C 00 00 00 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 0F B6 85 03 FC FF FF 83 C0 05 C6 84 05 FF FB FF FF 00 8B C6 8D 95 04 FC FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FB FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30731_0 {
	meta:
		name = "TIBDatabaseInfo.GetCurrentMemory"
		size = 11
		refs = "0006 TIBDatabaseInfo.GetLongDatabaseInfo"
	strings:
		$1 = { BA 11 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30732_0 {
	meta:
		name = "TIBDatabaseInfo.GetForcedWrites"
		size = 11
		refs = "0006 TIBDatabaseInfo.GetLongDatabaseInfo"
	strings:
		$1 = { BA 34 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30733_0 {
	meta:
		name = "TIBDatabaseInfo.GetMaxMemory"
		size = 11
		refs = "0006 TIBDatabaseInfo.GetLongDatabaseInfo"
	strings:
		$1 = { BA 12 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30734_0 {
	meta:
		name = "TIBDatabaseInfo.GetNumBuffers"
		size = 11
		refs = "0006 TIBDatabaseInfo.GetLongDatabaseInfo"
	strings:
		$1 = { BA 0F 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30735_0 {
	meta:
		name = "TIBDatabaseInfo.GetSweepInterval"
		size = 11
		refs = "0006 TIBDatabaseInfo.GetLongDatabaseInfo"
	strings:
		$1 = { BA 1F 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30736_0 {
	meta:
		name = "TIBDatabaseInfo.GetUserNames"
		size = 311
		refs = "0033 TIBDatabaseInfo.GetUserNames 0066 TIBDatabaseInfoHelper.GetGDSLibrary 0072 StatusVector 0095 TIBDatabaseInfo.Call 00c4 Move 00e4 @UStrFromArray 0117 @UStrClr 0122 @IntfClear 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 50 B8 05 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 81 C4 F4 FD FF FF 53 56 33 D2 89 95 F0 AD FF FF 89 95 F4 AD FF FF 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 40 89 45 F8 C6 45 F7 35 6A 01 8D 45 F7 50 68 00 50 00 00 8D 85 F7 AF FF FF 50 8D 95 F4 AD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 F4 AD FF FF 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 3C 8D 88 B8 00 00 00 58 8B 18 FF 93 8C 00 00 00 8B D0 B1 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 10 FF 52 44 33 DB EB 51 83 C3 03 0F B6 B4 1D F7 AF FF FF 43 8D 95 F8 AD FF FF 8D 84 1D F7 AF FF FF 8B CE E8 ?? ?? ?? ?? 03 DE C6 84 35 F8 AD FF FF 00 8D 85 F0 AD FF FF 8D 95 F8 AD FF FF B9 FF 01 00 00 E8 ?? ?? ?? ?? 8B 95 F0 AD FF FF 8B 45 FC 8B 40 40 8B 08 FF 51 38 80 BC 1D F7 AF FF FF 35 74 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 AD FF FF E8 ?? ?? ?? ?? 8D 85 F4 AD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30737_0 {
	meta:
		name = "TIBDatabaseInfo.GetFetches"
		size = 11
		refs = "0006 TIBDatabaseInfo.GetLongDatabaseInfo"
	strings:
		$1 = { BA 07 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30739_0 {
	meta:
		name = "TIBDatabaseInfo.GetReads"
		size = 11
		refs = "0006 TIBDatabaseInfo.GetLongDatabaseInfo"
	strings:
		$1 = { BA 05 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30740_0 {
	meta:
		name = "TIBDatabaseInfo.GetWrites"
		size = 11
		refs = "0006 TIBDatabaseInfo.GetLongDatabaseInfo"
	strings:
		$1 = { BA 06 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30741_0 {
	meta:
		name = "TAbstractTest.SetAllowedMemoryLeakSize"
		size = 4
		altNames = "TBaseSocket.SetBytesReceived TIBDatabaseInfo.SetDatabase TIBUpdateSQL.SetDataSet TScreenTipItem.SetManager"
	strings:
		$1 = { 89 50 3C C3 }
	condition:
		$1
}

rule function_30742_0 {
	meta:
		name = "TIBDatabaseInfo.GetOperationCounts"
		size = 540
		refs = "0053 TIBDatabaseInfo.GetOperationCounts 0066 _Dn_TStringList 006b TStringList.Create 0098 TIBDatabaseInfoHelper.GetGDSLibrary 00a4 StatusVector 00c3 TIBDatabaseInfo.Call 017a IntToStr 01a8 @UStrCatN 01dd @UStrArrayClr 01e9 IGDSLibrary 01f3 @FinalizeArray 01f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 50 B8 05 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 D4 53 56 57 33 DB 89 9D D8 AF FF FF 89 9D D4 AF FF FF 89 9D D0 AF FF FF 89 9D DC AF FF FF 89 9D E0 AF FF FF 89 9D E4 AF FF FF 89 9D E8 AF FF FF 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 89 45 F8 8B C6 88 45 F7 6A 01 8D 45 F7 50 68 00 50 00 00 8D 85 EC AF FF FF 50 8D 95 E8 AF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 E8 AF FF FF 50 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 8D 88 B8 00 00 00 58 8B 30 FF 96 8C 00 00 00 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 44 8D 95 E4 AF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 E4 AF FF FF 8D 95 ED AF FF FF 66 B9 02 00 8B 30 FF 96 28 01 00 00 B9 06 00 00 00 99 F7 F9 48 85 C0 0F 8C BF 00 00 00 40 89 45 EC 33 F6 8D 95 E0 AF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 E0 AF FF FF 8B D6 03 D2 8D 14 52 83 C2 03 8D 94 15 EC AF FF FF 66 B9 02 00 8B 38 FF 97 28 01 00 00 89 45 F0 8D 95 DC AF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 DC AF FF FF 8B D6 03 D2 8D 14 52 83 C2 05 8D 94 15 EC AF FF FF 66 B9 04 00 8B 38 FF 97 28 01 00 00 8B F8 8D 95 D4 AF FF FF 8B 45 F0 E8 ?? ?? ?? ?? FF B5 D4 AF FF FF 68 ?? ?? ?? ?? 8D 95 D0 AF FF FF 8B C7 E8 ?? ?? ?? ?? FF B5 D0 AF FF FF 8D 85 D8 AF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 D8 AF FF FF 8B 45 FC 8B 08 FF 51 38 46 FF 4D EC 0F 85 47 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D0 AF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 DC AF FF FF 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_30743_0 {
	meta:
		name = "TIBDatabaseInfo.GetBackoutCount"
		size = 14
		refs = "0009 TIBDatabaseInfo.GetOperationCounts"
	strings:
		$1 = { 8B 48 44 BA 1C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30744_0 {
	meta:
		name = "TIBDatabaseInfo.GetDeleteCount"
		size = 14
		refs = "0009 TIBDatabaseInfo.GetOperationCounts"
	strings:
		$1 = { 8B 48 48 BA 1B 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30745_0 {
	meta:
		name = "TIBDatabaseInfo.GetExpungeCount"
		size = 14
		refs = "0009 TIBDatabaseInfo.GetOperationCounts"
	strings:
		$1 = { 8B 48 4C BA 1E 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30746_0 {
	meta:
		name = "TIBDatabaseInfo.GetInsertCount"
		size = 14
		refs = "0009 TIBDatabaseInfo.GetOperationCounts"
	strings:
		$1 = { 8B 48 50 BA 19 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30747_0 {
	meta:
		name = "TIBDatabaseInfo.GetPurgeCount"
		size = 14
		refs = "0009 TIBDatabaseInfo.GetOperationCounts"
	strings:
		$1 = { 8B 48 54 BA 1D 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30748_0 {
	meta:
		name = "TIBDatabaseInfo.GetReadIdxCount"
		size = 14
		refs = "0009 TIBDatabaseInfo.GetOperationCounts"
	strings:
		$1 = { 8B 48 58 BA 18 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30749_0 {
	meta:
		name = "TIBDatabaseInfo.GetReadSeqCount"
		size = 14
		refs = "0009 TIBDatabaseInfo.GetOperationCounts"
	strings:
		$1 = { 8B 48 5C BA 17 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30750_0 {
	meta:
		name = "TIBDatabaseInfo.GetUpdateCount"
		size = 14
		refs = "0009 TIBDatabaseInfo.GetOperationCounts"
	strings:
		$1 = { 8B 48 60 BA 1A 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30751_0 {
	meta:
		name = "TIBDatabaseInfo.GetReadOnly"
		size = 11
		refs = "0006 TIBDatabaseInfo.GetLongDatabaseInfo"
	strings:
		$1 = { BA 3F 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30752_0 {
	meta:
		name = "TIBDatabaseInfo.GetLongDatabaseInfo"
		size = 251
		refs = "0025 TIBDatabaseInfo.GetLongDatabaseInfo 004d TIBDatabaseInfoHelper.GetGDSLibrary 0059 StatusVector 0078 TIBDatabaseInfo.Call 00dd IGDSLibrary 00e7 @FinalizeArray 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FD FF FF 53 56 33 C9 89 8D F0 FD FF FF 89 8D F4 FD FF FF 89 8D F8 FD FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 88 55 FF 6A 01 8D 45 FF 50 68 00 02 00 00 8D 85 FF FD FF FF 50 8D 95 F8 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 F8 FD FF FF 50 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 8D 88 B8 00 00 00 58 8B 30 FF 96 8C 00 00 00 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 8D 95 F4 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 F4 FD FF FF 8D 95 00 FE FF FF 66 B9 02 00 8B 30 FF 96 28 01 00 00 8B F0 8D 95 F0 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 F0 FD FF FF 8D 95 02 FE FF FF 8B CE 8B 18 FF 93 28 01 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FD FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30753_0 {
	meta:
		name = "TIBDatabaseInfo.GetStringDatabaseInfo"
		size = 197
		refs = "001c TIBDatabaseInfo.GetStringDatabaseInfo 0044 TIBDatabaseInfoHelper.GetGDSLibrary 0050 StatusVector 006f TIBDatabaseInfo.Call 009b @LStrAsg 00b3 @IntfClear 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FB FF FF 53 56 33 DB 89 9D F4 FB FF FF 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 88 55 FB 6A 01 8D 45 FB 50 68 00 04 00 00 8D 85 FB FB FF FF 50 8D 95 F4 FB FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 F4 FB FF FF 50 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 8D 88 B8 00 00 00 58 8B 30 FF 96 8C 00 00 00 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 0F B6 85 FE FB FF FF 83 C0 04 C6 84 05 FB FB FF FF 00 8B 45 FC 8D 95 FF FB FF FF 89 95 F0 FB FF FF 8B 95 F0 FB FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FB FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30754_0 {
	meta:
		name = "TIBDatabaseInfo.GetDBSQLDialect"
		size = 268
		refs = "0025 TIBDatabaseInfo.GetDBSQLDialect 004e TIBDatabaseInfoHelper.GetGDSLibrary 005a StatusVector 0079 TIBDatabaseInfo.Call 00ee IGDSLibrary 00f8 @FinalizeArray 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FD FF FF 53 56 33 D2 89 95 F0 FD FF FF 89 95 F4 FD FF FF 89 95 F8 FD FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 3E 6A 01 8D 45 FF 50 68 00 02 00 00 8D 85 FF FD FF FF 50 8D 95 F8 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 F8 FD FF FF 50 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 8D 88 B8 00 00 00 58 8B 30 FF 96 8C 00 00 00 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 80 BD FF FD FF FF 3E 74 07 BB 01 00 00 00 EB 4C 8D 95 F4 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 F4 FD FF FF 8D 95 00 FE FF FF 66 B9 02 00 8B 30 FF 96 28 01 00 00 8B F0 8D 95 F0 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 F0 FD FF FF 8D 95 02 FE FF FF 8B CE 8B 18 FF 93 28 01 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FD FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30755_0 {
	meta:
		name = "TIBDatabaseInfo.GetFullODS"
		size = 96
		refs = "0009 TIBDatabaseInfo.GetODSMinorVersion 0020 TIBDatabaseInfo.GetFullODS 003a TIBDatabaseInfo.GetODSMajorVersion"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 89 44 24 0C DB 44 24 0C DB 3C 24 9B EB 0D DB 2C 24 D8 35 ?? ?? ?? ?? DB 3C 24 9B DB 2C 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 E4 8B C3 E8 ?? ?? ?? ?? 89 44 24 0C DB 44 24 0C DB 2C 24 DE C1 DB 3C 24 9B DB 2C 24 83 C4 10 5B C3 00 00 00 20 41 00 00 80 3F }
	condition:
		$1
}

rule function_30756_0 {
	meta:
		name = "TIBDatabaseInfoHelper.GetGDSLibrary"
		size = 41
		refs = "0016 IBError 0021 TIBDatabase.GDSLibrary"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 3C 85 F6 75 0E 8B D4 83 C9 FF B0 18 E8 ?? ?? ?? ?? EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30759_0 {
	meta:
		name = "LocalServerPath"
		size = 220
		refs = "002a @UStrAddRef 0032 LocalServerPath 0049 HInstance 004f GetModuleFileName 005f @UStrFromPWCharLen 006d ExtractFileName 007e LowerCase 0093 ExtractFilePath 00a1 @UStrCat3 00be @UStrArrayClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E4 FD FF FF 53 33 C9 89 8D EC FD FF FF 89 8D E4 FD FF FF 89 8D E8 FD FF FF 89 4D F8 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 08 02 00 00 8D 85 F0 FD FF FF 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8D 95 F0 FD FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8D 95 E8 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 E8 FD FF FF 8D 95 EC FD FF FF E8 ?? ?? ?? ?? 8B 85 EC FD FF FF 50 8D 95 E4 FD FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 95 E4 FD FF FF 8B C3 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E4 FD FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30760_0 {
	meta:
		name = "SlashPath"
		size = 136
		refs = "000e @UStrAddRef 0016 SlashPath 0046 @UStrCat 0050 @UStrAsg 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 24 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 FC 66 83 7C 42 FE 5C 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_30761_0 {
	meta:
		name = "TIBDatabaseINI.AssignParam"
		size = 336
		refs = "0022 @UStrAddRef 0032 TIBDatabaseINI.AssignParam 0051 Trim 0086 TStrings.GetName 0091 LowerCase 009c Pos 00c1 TStrings.SetValue 00e9 @UStrCatN 0106 TIBDatabaseINI.DeleteParam 0120 @UStrArrayClr 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 83 7B 3C 00 0F 84 C0 00 00 00 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 83 7D F0 00 0F 84 A1 00 00 00 8B 43 3C 8B 80 A8 00 00 00 8B 10 FF 52 14 8B F8 4F 85 FF 7C 5B 47 33 F6 8D 4D E8 8B 43 3C 8B 80 A8 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 48 75 28 8D 4D E4 8B 43 3C 8B B8 A8 00 00 00 8B C7 8B D6 E8 ?? ?? ?? ?? 8B 55 E4 8B C7 8B 4D F8 E8 ?? ?? ?? ?? C6 45 F7 01 EB 04 46 4F 75 A8 80 7D F7 00 75 35 FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 43 3C 8B 80 A8 00 00 00 8B 08 FF 51 38 EB 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_30762_0 {
	meta:
		name = "TIBDatabaseINI.WriteToDatabase"
		size = 244
		refs = "0016 TIBDatabase.SetDatabaseName 0024 TIBDatabaseINI.WriteToDatabase 002b TIBDatabaseINI.AssignParam"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 64 83 7B 38 00 74 0A 8B 53 38 8B C6 E8 ?? ?? ?? ?? 83 7B 44 00 74 0F 8B 4B 44 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7B 40 00 74 0F 8B 4B 40 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7B 4C 00 74 0F 8B 4B 4C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7B 58 00 74 0F 8B 4B 58 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 75 00 73 00 65 00 72 00 5F 00 6E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 71 00 6C 00 5F 00 72 00 6F 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6C 00 63 00 5F 00 63 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_30763_0 {
	meta:
		name = "TIBDatabaseINI.DeleteParam"
		size = 174
		refs = "0015 @UStrAddRef 001d TIBDatabaseINI.DeleteParam 0052 TStrings.GetName 005d LowerCase 0068 Pos 009b @UStrArrayClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 3C 85 DB 74 57 8B 83 A8 00 00 00 8B 10 FF 52 14 48 85 C0 7C 47 40 89 C3 33 F6 8D 4D F4 8B 47 3C 8B 80 A8 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 48 75 12 8B 47 3C 8B 80 A8 00 00 00 8B D6 8B 08 FF 51 48 EB 04 46 4B 75 BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30764_0 {
	meta:
		name = "TIBDatabaseINI.GetParam"
		size = 215
		refs = "001c @UStrAddRef 0024 TIBDatabaseINI.GetParam 0032 @UStrClr 0061 TStrings.GetName 006c LowerCase 0077 Pos 009c TStrings.GetValue 00bc @UStrArrayClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 73 3C 85 F6 74 69 8B 86 A8 00 00 00 8B 10 FF 52 14 8B F8 4F 85 FF 7C 57 47 33 F6 8D 4D F0 8B 43 3C 8B 80 A8 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 48 75 24 8D 4D EC 8B 43 3C 8B B8 A8 00 00 00 8B C7 8B D6 E8 ?? ?? ?? ?? 8B 55 EC 8B 4D F8 8B C7 E8 ?? ?? ?? ?? EB 04 46 4F 75 AC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30765_0 {
	meta:
		name = "TIBDatabaseINI.Loaded"
		size = 41
		refs = "0006 TComponent.Loaded 000d TIBDatabaseINI.ReadFromINI 0023 TIBDatabaseINI.WriteToDatabase"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 3C 85 C0 74 0F F6 43 1C 10 75 09 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30766_0 {
	meta:
		name = "TDdeServerItem.Notification"
		size = 39
		refs = "0010 TComponent.Notification"
		altNames = "TIBDatabaseINI.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 77 3C 75 0A 80 FB 01 75 05 33 C0 89 47 3C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30767_0 {
	meta:
		name = "TIBDatabaseINI.ReadFromDatabase"
		size = 424
		refs = "0015 TIBDatabaseINI.ReadFromDatabase 0040 @UStrAsg 004f TIBDatabaseINI.GetParam 0116 @UStrArrayClr 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 3C 85 F6 0F 84 D6 00 00 00 83 BE A4 00 00 00 00 74 11 8D 43 38 8B 53 3C 8B 92 A4 00 00 00 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 1A 8D 4D F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 44 E8 ?? ?? ?? ?? 8D 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D F4 00 74 1A 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 40 E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D EC 00 74 1A 8D 4D E8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 43 4C E8 ?? ?? ?? ?? 8D 4D E4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D E4 00 74 1A 8D 4D E0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8D 43 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 75 00 73 00 65 00 72 00 5F 00 6E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 71 00 6C 00 5F 00 72 00 6F 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6C 00 63 00 5F 00 63 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_30768_0 {
	meta:
		name = "TIBDatabaseINI.ReadFromINI"
		size = 504
		refs = "0014 TIBDatabaseINI.ReadFromINI 0024 TIBDatabaseINI.IniFileName 0038 _Dn_TIniFile 003d TCustomIniFile.Create 0059 TCustomIniFile.SectionExists 0082 @UStrAsg 011b TObject.Free 0121 @HandleFinally 013d @UStrArrayClr 0145 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 F5 00 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 54 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 A5 00 00 00 6A 00 8D 45 F4 50 8B 53 54 B9 ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 04 8B 55 F4 8D 43 38 E8 ?? ?? ?? ?? 6A 00 8D 45 F0 50 8B 53 54 B9 ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 04 8B 55 F0 8D 43 44 E8 ?? ?? ?? ?? 6A 00 8D 45 EC 50 8B 53 54 B9 ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 04 8B 55 EC 8D 43 40 E8 ?? ?? ?? ?? 6A 00 8D 45 E8 50 8B 53 54 B9 ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 04 8B 55 E8 8D 43 4C E8 ?? ?? ?? ?? 6A 00 8D 45 E4 50 8B 53 54 B9 ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 04 8B 55 E4 8D 43 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 64 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 75 00 73 00 65 00 72 00 5F 00 6E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 71 00 6C 00 5F 00 72 00 6F 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6C 00 63 00 5F 00 63 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_30769_0 {
	meta:
		name = "TIBDatabaseINI.SaveToINI"
		size = 344
		refs = "0018 _Dn_TIniFile 001d TCustomIniFile.Create 0028 TIBDatabaseINI.SaveToINI 00a7 TObject.Free 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 83 7B 48 00 0F 84 A1 00 00 00 8B 4B 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 38 50 8B 53 54 B9 ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 08 8B 43 44 50 8B 53 54 B9 ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 08 8B 43 40 50 8B 53 54 B9 ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 08 8B 43 4C 50 8B 53 54 B9 ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 08 8B 43 58 50 8B 53 54 B9 ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 64 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 75 00 73 00 65 00 72 00 5F 00 6E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 71 00 6C 00 5F 00 72 00 6F 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6C 00 63 00 5F 00 63 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_30770_0 {
	meta:
		name = "TIBDatabaseINI.SetDatabase"
		size = 9
	strings:
		$1 = { 3B 50 3C 74 03 89 50 3C C3 }
	condition:
		$1
}

rule function_30771_0 {
	meta:
		name = "TIBDatabaseINI.SetDatabaseName"
		size = 31
		refs = "000c @UStrEqual 0018 @UStrAsg"
		altNames = "TIdCustomUserManager.SetDomain"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 8B D6 E8 ?? ?? ?? ?? 74 0A 8D 43 38 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30772_0 {
	meta:
		name = "TIBDatabaseINI.SetFileName"
		size = 38
		refs = "000c @UStrEqual 0018 @UStrAsg 001f TIBDatabaseINI.ReadFromINI"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 48 8B D6 E8 ?? ?? ?? ?? 74 11 8D 43 48 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30773_0 {
	meta:
		name = "TCustomFileDialog.SetDefaultFolder"
		size = 31
		refs = "000c @UStrEqual 0018 @UStrAsg"
		altNames = "TIBDatabaseINI.SetPassword"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 40 8B D6 E8 ?? ?? ?? ?? 74 0A 8D 43 40 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30774_0 {
	meta:
		name = "TIBDatabaseINI.SetSQLRole"
		size = 31
		refs = "000c @UStrEqual 0018 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 4C 8B D6 E8 ?? ?? ?? ?? 74 0A 8D 43 4C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30775_0 {
	meta:
		name = "TIBDatabaseINI.SetUsername"
		size = 31
		refs = "000c @UStrEqual 0018 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 44 8B D6 E8 ?? ?? ?? ?? 74 0A 8D 43 44 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30776_0 {
	meta:
		name = "TIBDatabaseINI.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TComponent.Create 001f SIBDatabaseINISection 0024 LoadResString 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 56 54 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 50 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_30777_0 {
	meta:
		name = "TIBDatabaseINI.SetSection"
		size = 106
		refs = "000f TIBDatabaseINI.SetSection 0021 SIBDatabaseINISectionEmpty 0026 LoadResString 0030 _Dn_Exception 0035 Exception.Create 003a @RaiseExcept 0044 @UStrAsg 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 54 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30778_0 {
	meta:
		name = "TIBDatabaseINI.IniFileName"
		size = 152
		refs = "0011 TIBDatabaseINI.IniFileName 0024 @UStrClr 0038 LocalServerPath 0053 SlashPath 0060 @UStrCat3 006c @UStrAsg 0086 @UStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 48 00 75 09 8B C6 E8 ?? ?? ?? ?? EB 46 0F B6 43 50 3C 01 75 0C 8B D6 8B 43 48 E8 ?? ?? ?? ?? EB 32 3C 02 75 24 8D 55 F8 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 4B 48 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30779_0 {
	meta:
		name = "TIBDatabaseINI.SetCharacterSet"
		size = 31
		refs = "000c @UStrEqual 0018 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 58 8B D6 E8 ?? ?? ?? ?? 74 0A 8D 43 58 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30787_0 {
	meta:
		name = "TIBEvents.GetNativeHandle"
		size = 24
	strings:
		$1 = { 53 8B D8 8B 53 54 8B C3 8B 08 FF 51 4C 8B 43 54 8B 80 B8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_30788_0 {
	meta:
		name = "TIBEvents.ValidateDatabase"
		size = 67
		refs = "001b IBError"
	strings:
		$1 = { 53 83 C4 F8 8B DA 85 DB 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 11 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 48 84 C0 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 0F E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_30789_0 {
	meta:
		name = "TIBEvents.Create"
		size = 159
		refs = "000e @ClassCreate 001c TComponent.Create 003d _DV_TList<System.AnsiString> 0042 TList<System.AnsiString>.Create 004c _Dn_TStringList 0051 TStringList.Create 005f TStringList.SetSorted 0075 _Dn_TList 007a TObject.Create 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 50 00 33 C0 89 43 40 89 43 44 33 C0 89 43 4C 33 C0 89 43 54 C6 43 60 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 3C B2 01 8B C6 E8 ?? ?? ?? ?? 89 5E 44 8B 03 8B 40 44 89 46 40 C6 46 39 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 48 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30790_0 {
	meta:
		name = "TIBEvents.Destroy"
		size = 176
		refs = "000a @BeforeDestruction 0018 TIBEvents.Destroy 0026 TIBEvents.GetRegistered 0041 @HandleAnyException 0046 @DoneExcept 005f TIBDatabase.RemoveEventNotifier 006a TObject.Free 0097 TComponent.Destroy 00a5 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 54 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 54 85 C0 74 0F 8B 55 FC 85 D2 74 03 83 EA 98 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 33 D2 89 50 40 89 50 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30791_0 {
	meta:
		name = "TIBEvents.Notification"
		size = 57
		refs = "0010 TComponent.Notification 0021 TIBEvents.GetRegistered"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1C 3B 77 54 75 17 8B C7 E8 ?? ?? ?? ?? 84 C0 74 07 8B C7 8B 10 FF 52 54 33 C0 89 47 54 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30792_0 {
	meta:
		name = "TIBEvents.RegisterEvents"
		size = 445
		refs = "0013 TIBEvents.RegisterEvents 004a IBError 0071 TList<System.AnsiString>.Clear 007c TStrings.GetEnumerator 00ab @UStrLAsg 00bb @LStrFromUStr 00c9 TList<System.AnsiString>.Add 00d1 TStringsEnumerator.MoveNext 00f8 @HandleFinally 013c _DV_TIBEventThread 0141 TIBEventThread.Create 014e TList.Add 019e @LStrClr 01ab @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 F6 40 1C 10 0F 85 63 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 78 54 00 75 0D 8D 55 F0 83 C9 FF B0 11 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 54 8B 10 FF 52 48 84 C0 75 0D 8D 55 F0 83 C9 FF B0 0F E8 ?? ?? ?? ?? 8B 45 F4 8B 40 38 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 3C E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 3A 8B 5D F0 8D 4D F8 8B 53 04 8B 43 08 8B 18 FF 53 0C 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 8B 40 38 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 BA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 8B 40 48 83 78 08 00 75 4E 8B 45 F4 8B 40 38 8B 48 08 85 C9 7E 4E 8B C1 48 B9 0F 00 00 00 99 F7 F9 8B D8 85 DB 7C 3D 43 33 F6 56 8B 45 F4 50 8B 00 8B 40 48 50 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 46 4B 75 D5 EB 0D 8D 55 F0 83 C9 FF B0 76 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 48 83 78 08 00 0F 95 C0 8B 55 F4 88 42 61 C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30793_0 {
	meta:
		name = "TIBEvents.SetEvents"
		size = 19
		altNames = "TIWProgressIndicator.SetPostScript TIdVCard.SetCategories"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 3C 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_30794_0 {
	meta:
		name = "TIBEvents.SetDatabase"
		size = 172
		refs = "002d TIBEvents.GetRegistered 0046 TIBEvents.SetDatabase 0065 TIBDatabase.RemoveEventNotifier 0080 TIBDatabase.AddEventNotifier 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC 3B 58 54 0F 84 8F 00 00 00 8B 45 FC F6 40 1C 10 74 08 8B 45 FC 89 58 54 EB 7E 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 08 8B 45 FC 8B 10 FF 52 54 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 54 85 C0 74 0F 8B 55 FC 85 D2 74 03 83 EA 98 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 89 42 54 85 C0 74 0F 8B 55 FC 85 D2 74 03 83 EA 98 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC 8B 10 FF 52 50 C3 E9 ?? ?? ?? ?? EB EA 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30795_0 {
	meta:
		name = "TIBEvents.SetRegistered"
		size = 34
	strings:
		$1 = { 56 8B F0 88 56 61 F6 46 1C 10 75 14 84 D2 74 09 8B C6 8B 10 FF 52 50 EB 07 8B C6 8B 10 FF 52 54 5E C3 }
	condition:
		$1
}

rule function_30796_0 {
	meta:
		name = "TIBEvents.UnRegisterEvents"
		size = 95
		refs = "0023 TList.Get 002f TList.Delete 003d TThread.WaitFor 0044 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D8 F6 43 1C 10 75 50 8B 43 48 8B 40 08 85 C0 7E 39 8B F0 4E 83 FE 00 7C 31 8B D6 8B 43 48 E8 ?? ?? ?? ?? 8B F8 8B D6 8B 43 48 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 10 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 4E 83 FE FF 75 CF 8B 43 48 83 78 08 00 0F 95 C0 88 43 61 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30797_0 {
	meta:
		name = "EventCallback"
		size = 45
		refs = "001e TIBEventThread.UpdateResultBuffer"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 10 8B 5D 08 85 DB 74 1A 85 C0 74 16 8B C8 0F B7 55 0C 8B F3 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 0C 5E 5B 5D C3 }
	condition:
		$1
}

rule function_30798_0 {
	meta:
		name = "TIBEventThread.DoEvent"
		size = 125
		refs = "000f TIBEventThread.DoEvent 0038 TList<System.AnsiString>.GetItem 0043 @UStrFromLStr 0063 @LStrClr 006b @UStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 68 50 8D 43 78 50 8D 4D F8 8B 53 60 8B C2 C1 E2 04 2B D0 03 53 40 8B 73 6C 8B 46 38 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B 46 44 FF 56 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30799_0 {
	meta:
		name = "TIBEventThread.UpdateResultBuffer"
		size = 15
		refs = "000a Move"
	strings:
		$1 = { 8B 40 50 0F B7 D2 91 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30800_0 {
	meta:
		name = "TIBEventThread.QueueEvents"
		size = 30
		refs = "000b TEvent.ResetEvent 0011 TIBEventThread.SQueEvents 0018 TThread.Synchronize"
	strings:
		$1 = { 53 8B D8 C6 43 5C 00 8B 43 54 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30801_0 {
	meta:
		name = "TIBEventThread.ProcessEvents"
		size = 185
		refs = "000e TIBEventThread.ProcessEvents 002a TIBDatabase.GDSLibrary 0033 StatusVector 0066 StatusVectorArray 0083 TIBEventThread.DoEvent 008a TThread.Synchronize 00a7 @IntfClear 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 48 50 8B 43 50 50 8D 55 FC 8B 43 6C 8B 40 54 E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D0 0F B7 4B 4C 58 8B 30 FF 96 E8 00 00 00 8B 43 6C 66 83 78 42 00 74 42 80 7B 5D 00 75 3C C6 43 78 00 8B 7B 64 4F 85 FF 7C 30 47 33 F6 E8 ?? ?? ?? ?? 83 3C B0 00 74 1E 89 73 40 E8 ?? ?? ?? ?? 8B 53 40 8B 04 90 89 43 68 53 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 46 4F 75 D3 C6 43 5D 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30802_0 {
	meta:
		name = "TIBEventThread.UnRegisterEvents"
		size = 201
		refs = "0012 TIBEventThread.UnRegisterEvents 002c TIBDatabase.GDSLibrary 0035 StatusVector 0054 TIBDatabase.Call 00ac IGDSLibrary 00b6 @FinalizeArray 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 44 50 8D 55 FC 8B 43 6C 8B 70 54 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D0 8B 43 6C 8B 40 54 8D 88 B8 00 00 00 58 8B 38 FF 57 78 8B D0 8B C6 B1 01 E8 ?? ?? ?? ?? 8D 55 F8 8B 43 6C 8B 40 54 E8 ?? ?? ?? ?? 8B 45 F8 8B 53 48 8B 08 FF 91 EC 00 00 00 33 C0 89 43 48 8D 55 F4 8B 43 6C 8B 40 54 E8 ?? ?? ?? ?? 8B 45 F4 8B 53 50 8B 08 FF 91 EC 00 00 00 33 C0 89 43 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30803_0 {
	meta:
		name = "EBP"
		size = 121
		refs = "000d EBP 0047 TList<System.AnsiString>.GetItem 004f @LStrToPChar 0066 @LStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 60 8B D0 C1 E0 04 2B C2 03 D8 8B 45 08 8B 40 FC 8B 40 6C 8B 70 38 3B 5E 08 7E 04 33 DB EB 17 8D 4D FC 8B D3 4A 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30804_0 {
	meta:
		name = "TIBEventThread.RegisterEvents"
		size = 234
		refs = "0014 TIBEventThread.RegisterEvents 007a EBP 00a5 TIBDatabase.GDSLibrary 00d8 @IntfClear 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 33 D2 89 55 BC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 33 D2 89 50 48 8B 45 FC 33 D2 89 50 50 8B 45 FC 66 C7 40 4C 00 00 8B 45 FC C6 40 5D 01 8B 45 FC 8B 40 6C 8B 40 38 8B 40 08 8B 55 FC 8B 52 60 8B CA C1 E2 04 2B D1 2B C2 8B 55 FC 89 42 64 83 F8 0F 7E 0A 8B 45 FC C7 40 64 0F 00 00 00 BE 01 00 00 00 8D 5D C0 55 8B C6 E8 ?? ?? ?? ?? 59 89 03 46 83 C3 04 83 FE 10 75 EC 8B 45 FC 0F B7 40 64 50 8D 45 C0 50 6A 0E 8D 55 BC 8B 45 FC 8B 40 6C 8B 40 54 E8 ?? ?? ?? ?? 8B 45 BC 8B 55 FC 8D 4A 50 8B 55 FC 83 C2 48 8B 18 FF 93 E4 00 00 00 8B 55 FC 66 89 42 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30805_0 {
	meta:
		name = "TIBEventThread.SignalEvent"
		size = 13
		refs = "0008 TEvent.SetEvent"
	strings:
		$1 = { C6 40 5C 01 8B 40 54 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30806_0 {
	meta:
		name = "TIBEventThread.SignalTerminate"
		size = 26
		refs = "000c TThread.Terminate 0014 TEvent.SetEvent"
	strings:
		$1 = { 53 8B D8 80 7B 0D 00 75 0F 8B C3 E8 ?? ?? ?? ?? 8B 43 54 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30807_0 {
	meta:
		name = "TIBEventThread.DoHandleException"
		size = 12
		refs = "0007 ShowException"
	strings:
		$1 = { 8B 50 74 8B 40 70 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30808_0 {
	meta:
		name = "TIBEventThread.HandleException"
		size = 152
		refs = "001e ExceptObject 0029 ExceptAddr 0037 TIBEventThread.HandleException 0049 _Dn_EAbort 004e @IsClass 005b TIBEventThread.DoHandleException 0063 TThread.Synchronize 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 6C 80 78 50 00 75 77 C6 45 FB 01 C6 40 50 01 E8 ?? ?? ?? ?? 8B 55 FC 89 42 70 E8 ?? ?? ?? ?? 8B 55 FC 89 42 74 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 70 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 70 8B 45 FC 33 D2 89 50 74 C3 E9 ?? ?? ?? ?? EB E8 C6 45 FB 00 0F B6 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_30809_0 {
	meta:
		name = "TIBEventThread.Execute"
		size = 200
		refs = "000e TIBEventThread.Execute 0034 TEvent.SetEvent 003a @HandleFinally 0099 @HandleAnyException 00be @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8B 10 FF 52 1C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 54 83 CA FF 8B 08 FF 51 08 8B 45 FC 80 78 5C 00 74 10 8B 45 FC 8B 10 FF 52 20 8B 45 FC 8B 10 FF 52 1C 8B 45 FC 80 78 0D 00 74 D0 8B 45 FC 33 D2 89 50 14 33 C0 5A 59 59 64 89 10 EB 2A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 84 C0 74 0C 8B 45 FC C7 40 14 01 00 00 00 EB 08 8B 45 FC 33 D2 89 50 14 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30810_0 {
	meta:
		name = "TIBEventThread.Create"
		size = 150
		refs = "000e @ClassCreate 001f TThread.Create 002c _Dn_TSimpleEvent 0031 TEvent.Create 0061 TThread.Resume 0074 TObject.Free 007f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B1 01 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 78 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 54 89 77 6C 8B 45 10 89 47 60 8B 45 08 89 47 18 8B 45 0C 89 47 1C 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 58 8B C7 E8 ?? ?? ?? ?? 8B 47 58 83 CA FF 8B 08 FF 51 08 8B 47 58 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_30811_0 {
	meta:
		name = "TIBEventThread.Destroy"
		size = 141
		refs = "000a @BeforeDestruction 0018 TIBEventThread.Destroy 0035 @HandleAnyException 005a @DoneExcept 0065 TObject.Free 0074 TThread.Destroy 0082 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 18 33 C0 5A 59 59 64 89 10 EB 2A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 84 C0 74 0C 8B 45 FC C7 40 14 01 00 00 00 EB 08 8B 45 FC 33 D2 89 50 14 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30812_0 {
	meta:
		name = "TIBEvents.EventChange"
		size = 477
		refs = "0017 TIBEvents.EventChange 0026 EmptyStr 002d @UStrLAsg 0035 TIBEvents.GetRegistered 00ab @UStrEqual 0113 @UStrCopy 013c IBError 0176 @HandleFinally 01b5 @UStrArrayClr 01ca @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 88 45 F5 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7D F5 00 74 08 8B 45 F8 8B 10 FF 52 54 8B 45 F8 8B 58 3C 33 C0 89 43 40 89 43 44 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 45 F7 00 C6 45 F6 00 8B C3 8B 10 FF 52 14 48 83 F8 00 0F 8C A0 00 00 00 89 C3 8D 4D F0 8B 45 F8 8B 40 3C 8B D3 8B 30 FF 56 0C 8B 45 F0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 13 C6 45 F6 01 8B 45 F8 8B 40 3C 8B D3 8B 08 FF 51 48 EB 5F 8D 4D EC 8B 45 F8 8B 40 3C 8B D3 8B 30 FF 56 0C 8B 45 EC 89 45 E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 83 F8 3F 7E 38 C6 45 F7 01 8D 45 E4 50 8D 4D E0 8B 45 F8 8B 70 3C 8B C6 8B D3 8B 38 FF 57 0C 8B 45 E0 B9 3F 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 8B C6 8B D3 8B 30 FF 56 20 4B 83 FB FF 0F 85 62 FF FF FF 80 7D F6 00 74 0D 8D 55 E0 83 C9 FF B0 51 E8 ?? ?? ?? ?? 80 7D F7 00 74 0D 8D 55 E0 83 C9 FF B0 51 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 3C 8B 55 F8 89 50 44 8B 12 8B 52 44 89 50 40 C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F5 00 74 08 8B 45 F8 8B 10 FF 52 50 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30813_0 {
	meta:
		name = "TIBEvents.GetRegistered"
		size = 5
		altNames = "TIWBaseContainer.get_Visible TIWVCLBaseControl.get_Visible"
	strings:
		$1 = { 0F B6 40 61 C3 }
	condition:
		$1
}

rule function_30814_0 {
	meta:
		name = "TIBEvents.ThreadEnded"
		size = 79
		refs = "000a _DV_TIBEventThread 000f @IsClass 001d TList.IndexOf 002c TList.Delete 0039 TIBEvents.GetRegistered"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8B D6 8B 43 48 E8 ?? ?? ?? ?? 83 F8 FF 7E 0A 8B D0 8B 43 48 E8 ?? ?? ?? ?? 83 7E 14 01 75 16 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 8B 10 FF 52 54 C6 43 50 00 5E 5B C3 }
	condition:
		$1
}

rule function_30815_0 {
	meta:
		name = "TIBEvents.SetAutoRegister"
		size = 55
		refs = "0014 TIBEvents.GetRegistered"
	strings:
		$1 = { 53 8B D8 3A 53 60 74 2D 88 53 60 80 7B 60 00 74 24 8B C3 E8 ?? ?? ?? ?? 84 C0 75 19 83 7B 54 00 74 13 8B 43 54 8B 10 FF 52 48 84 C0 74 07 8B C3 8B 10 FF 52 50 5B C3 }
	condition:
		$1
}

rule function_30816_0 {
	meta:
		name = "TIBEvents.GetAutoRegister"
		size = 5
	strings:
		$1 = { 0F B6 40 60 C3 }
	condition:
		$1
}

rule function_30817_0 {
	meta:
		name = "TIBEventThread.SQueEvents"
		size = 264
		refs = "0015 TIBEventThread.SQueEvents 0044 EventCallback 005b TIBDatabase.GDSLibrary 0064 StatusVector 0089 TIBDatabase.Call 0098 @HandleOnException 00a0 _Dn_Exception 00bb _Dn_EIBError 00c0 @IsClass 00e0 @DoneExcept 00f5 @IntfClear 00fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 44 50 8B 45 FC 0F B7 40 4C 50 8B 45 FC 8B 40 48 50 68 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B 45 FC 8B 40 6C 8B 58 54 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 6C 8B 40 54 8D 88 B8 00 00 00 58 8B 30 FF 96 04 01 00 00 8B D0 8B C3 B1 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 4D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 FC 8B 70 6C 66 83 7E 5A 00 74 28 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 4B 1C 8B D6 8B 46 5C FF 56 58 EB 0A 8B D6 33 C9 8B 46 5C FF 56 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30879_0 {
	meta:
		name = "InitializeTCTimeStructure"
		size = 45
	strings:
		$1 = { 33 D2 89 10 33 D2 89 50 04 33 D2 89 50 08 33 D2 89 50 0C 33 D2 89 50 10 33 D2 89 50 14 33 D2 89 50 18 33 D2 89 50 1C 33 D2 89 50 20 C3 }
	condition:
		$1
}

rule function_30882_0 {
	meta:
		name = "TIBExtract.GetArrayField"
		size = 752
		refs = "0016 @UStrAddRef 001e TIBExtract.GetArrayField 002b TIBExtract.CreateIBSQL 0039 @UStrAsg 004d TIBSQL.GetSQLParams 0057 TIBXSQLDA.ByName 005f TIBXSQLVAR.SetAsTrimString 0066 TIBSQL.ExecQuery 0074 TIBSQL.FieldByName 0079 TIBXSQLVAR.GetAsLong 0089 @UStrCat 009f TIBXSQLVAR.GetAsTrimString 00ca @UStrCatN 00d1 TIBSQL.Next 00d8 TIBSQL.GetEOF 00ef TObject.Free 0109 @UStrArrayClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 60 8B 08 FF 51 38 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 69 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 36 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 8C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 6E 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 44 00 49 00 4D 00 45 00 4E 00 53 00 49 00 4F 00 4E 00 53 00 20 00 46 00 44 00 49 00 4D 00 20 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 46 00 44 00 49 00 4D 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 46 00 49 00 45 00 4C 00 44 00 4E 00 41 00 4D 00 45 00 20 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 46 00 44 00 49 00 4D 00 2E 00 52 00 44 00 42 00 24 00 44 00 49 00 4D 00 45 00 4E 00 53 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 46 00 69 00 65 00 6C 00 64 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 44 00 42 00 24 00 44 00 49 00 4D 00 45 00 4E 00 53 00 49 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 44 00 42 00 24 00 4C 00 4F 00 57 00 45 00 52 00 5F 00 42 00 4F 00 55 00 4E 00 44 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 44 00 42 00 24 00 55 00 50 00 50 00 45 00 52 00 5F 00 42 00 4F 00 55 00 4E 00 44 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5D 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_30883_0 {
	meta:
		name = "TIBExtract.Create"
		size = 164
		refs = "000f @ClassCreate 0021 TComponent.Create 0028 _Dn_TStringList 002d TStringList.Create 0039 _Dn_TIBDatabaseInfo 003e TIBDatabaseInfo.Create 004d TIBDatabaseInfo.SetDatabase 0055 _Dn_TIBDatabase 005a @IsClass 0067 TIBExtract.SetDatabase 006f _Dn_TIBTransaction 0081 TIBExtract.SetTransaction 008e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 44 8B 53 38 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30884_0 {
	meta:
		name = "TIBExtract.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TComponent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 40 E8 ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30885_0 {
	meta:
		name = "TIBExtract.ExtractDDL"
		size = 460
		refs = "0019 @UStrAddRef 0021 TIBExtract.ExtractDDL 0055 TIBDatabase.GetSQLDialect 006b Format 0088 TIBTransaction.GetInTransaction 0094 TIBTransaction.StartTransaction 00ac TIBExtract.ExtractListTable 00c6 TIBExtract.ListCreateDb 00cf TIBExtract.ListFilters 00d8 TIBExtract.ListFunctions 00e3 TIBExtract.ListDomains 00ee TIBExtract.ListAllTables 00f9 TIBExtract.ListIndex 0104 TIBExtract.ListForeign 010d TIBExtract.ListGenerators 0116 TIBExtract.ListViews 0121 TIBExtract.ListCheck 012a TIBExtract.ListException 0135 TIBExtract.ListProcs 0140 TIBExtract.ListTriggers 0147 TIBExtract.ListGrants 0155 TIBTransaction.Commit 0178 @UStrClr 0186 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F4 89 4D FC 88 55 FB 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FA 01 33 DB C6 45 F9 00 8B 46 38 8B 10 FF 52 48 84 C0 75 0C B2 01 8B 46 38 8B 08 FF 51 58 B3 01 8D 45 F4 50 8B 46 38 E8 ?? ?? ?? ?? 89 45 EC C6 45 F0 00 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 46 40 8B 08 FF 51 38 33 D2 8B 46 40 8B 08 FF 51 38 8B 46 3C E8 ?? ?? ?? ?? 84 C0 75 0C 8B 46 3C E8 ?? ?? ?? ?? C6 45 F9 01 83 7D FC 00 74 1F 6A 01 33 C9 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 93 00 00 00 C6 45 FA 00 E9 8A 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 55 FB 8B C6 E8 ?? ?? ?? ?? B1 05 33 D2 8B C6 E8 ?? ?? ?? ?? B1 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B1 08 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? B1 03 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 7D F9 00 74 08 8B 46 3C E8 ?? ?? ?? ?? 84 DB 74 0A 33 D2 8B 46 38 8B 08 FF 51 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 FA 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 53 00 45 00 54 00 20 00 53 00 51 00 4C 00 20 00 44 00 49 00 41 00 4C 00 45 00 43 00 54 00 20 00 25 00 64 00 3B 00 00 00 }
	condition:
		$1
}

rule function_30886_0 {
	meta:
		name = "TIBExtract.ExtractListTable"
		size = 8648
		refs = "0023 @UStrAddRef 0033 TIBExtract.ExtractListTable 0045 @UStrClr 0061 TIBExtract.ListDomains 0068 TIBExtract.CreateIBSQL 00af TIBSQL.GetSQLParams 00b9 TIBXSQLDA.ByName 00c1 TIBXSQLVAR.SetAsTrimString 00c9 TIBSQL.ExecQuery 0101 TIBSQL.GetEOF 011a TIBSQL.FieldByName 011f TIBXSQLVAR.GetIsNull 013c TIBXSQLVAR.GetAsTrimString 0147 Trim 01a4 Format 01bc @UStrLAsg 01c4 TIBDatabaseInfo.GetFullODS 01e7 TIBXSQLVAR.GetAsString 01f4 Pos 021a TIBDatabase.GetSQLDialect 0228 QuoteIdentifier 02ef QuotedStr 0384 @UStrCatN 03a7 @UStrCat 03ef TIBExtract.PrintValidation 0414 TIBXSQLVAR.GetAsLong 045f @UStrCopy 046f @UStrEqual 0580 TIBXSQLVAR.GetAsShort 059f ColumnTypes 05c8 TIBDatabaseInfo.GetODSMajorVersion 06a4 IntegralSubtypes 0720 TIBSQL.Close 0834 TIBExtract.GetFieldLength 08a2 TIBExtract.GetArrayField 08fb SubTypes 0911 IntToStr 09f1 TIBExtract.GetCharacterSets 0b82 TIBSQL.Next 0e43 TIBExtract.GetIndexSegments 0e7c @UStrCat3 0f73 TIBXSQLVAR.GetAsInt64 0feb TObject.Free 1009 @HandleFinally 1028 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 2C 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E3 01 8D 45 F4 E8 ?? ?? ?? ?? 66 C7 45 D8 00 00 C6 45 C6 00 80 7D 08 00 74 0C 33 C9 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 D4 8B C6 E8 ?? ?? ?? ?? 89 45 D0 8B C6 E8 ?? ?? ?? ?? 89 45 CC 8B C6 E8 ?? ?? ?? ?? 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D4 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 D4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 D0 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 CC 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 C8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 0F 85 E0 0B 00 00 C6 45 C6 01 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 88 00 00 00 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8D 55 AC E8 ?? ?? ?? ?? 8B 45 AC 8D 55 B0 E8 ?? ?? ?? ?? 83 7D B0 00 74 62 8D 45 A8 50 B8 ?? ?? ?? ?? 89 45 88 C6 45 8C 11 8B 45 FC 89 45 90 C6 45 94 11 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8D 55 84 E8 ?? ?? ?? ?? 8B 45 84 89 45 98 C6 45 9C 11 B8 ?? ?? ?? ?? 89 45 A0 C6 45 A4 11 8D 55 88 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 8B 46 40 8B 08 FF 51 38 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 73 33 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8D 55 80 E8 ?? ?? ?? ?? 8B 55 80 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0D 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 50 8D 85 7C FF FF FF 50 8B 46 38 E8 ?? ?? ?? ?? 8D 8D 70 FF FF FF 8B 55 F8 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 89 85 74 FF FF FF C6 85 78 FF FF FF 11 8D 95 74 FF FF FF 33 C9 8B 45 E8 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B 46 40 8B 08 FF 51 38 EB 4E 8D 85 6C FF FF FF 50 8B 46 38 E8 ?? ?? ?? ?? 8D 8D 68 FF FF FF 8B 55 FC E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 89 85 74 FF FF FF C6 85 78 FF FF FF 11 8D 95 74 FF FF FF 33 C9 8B 45 E8 E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B 46 40 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 63 8D 85 64 FF FF FF 50 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8D 95 5C FF FF FF E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 8D 95 60 FF FF FF E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 89 85 74 FF FF FF C6 85 78 FF FF FF 11 8D 95 74 FF FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 64 FF FF FF 8B 46 40 8B 08 FF 51 38 8B 46 40 BA ?? ?? ?? ?? 8B 08 FF 51 38 E9 B5 09 00 00 68 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8D 95 54 FF FF FF E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 50 8B 46 38 E8 ?? ?? ?? ?? 8D 8D 58 FF FF FF 5A E8 ?? ?? ?? ?? FF B5 58 FF FF FF 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 68 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 FC 08 00 00 8D 85 50 FF FF FF 50 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8D 95 4C FF FF FF E8 ?? ?? ?? ?? 8B 95 4C FF FF FF B1 01 8B C6 E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? E9 BB 08 00 00 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C0 8D 85 48 FF FF FF 50 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8D 95 44 FF FF FF E8 ?? ?? ?? ?? 8B 85 44 FF FF FF B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 85 48 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 51 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8D 95 40 FF FF FF E8 ?? ?? ?? ?? 8B 85 40 FF FF FF 0F B7 40 08 66 89 45 BE B8 ?? ?? ?? ?? 89 45 B8 8B 45 B8 0F B7 55 BE 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 88 45 B7 0F B6 45 B7 88 45 B6 EB 04 C6 45 B6 00 80 7D B6 00 75 19 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 0F 95 45 B5 EB 04 C6 45 B5 00 80 7D B5 00 0F 84 A1 00 00 00 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8D 95 38 FF FF FF E8 ?? ?? ?? ?? 8B 85 38 FF FF FF 50 8B 46 38 E8 ?? ?? ?? ?? 8D 8D 3C FF FF FF 5A E8 ?? ?? ?? ?? 8B 95 3C FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 E8 0E 74 09 83 E8 17 0F 85 B1 04 00 00 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 97 04 00 00 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 85 C0 0F 84 7C 04 00 00 66 C7 45 D8 01 00 E9 71 04 00 00 66 C7 45 DC F1 FF BF ?? ?? ?? ?? C6 45 C7 00 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BF C0 3B 07 0F 85 4A 02 00 00 8B 46 44 E8 ?? ?? ?? ?? 83 F8 0A 0F 8C 4F 01 00 00 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 F9 66 83 E8 02 72 0A 66 83 E8 07 0F 85 2A 01 00 00 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8D 95 34 FF FF FF E8 ?? ?? ?? ?? 8B 85 34 FF FF FF 50 8B 45 D0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 C9 00 00 00 BA ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E AF 00 00 00 BA ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 02 0F 8F 94 00 00 00 8D 85 30 FF FF FF 50 BA ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 85 ?? ?? ?? ?? 89 85 18 FF FF FF C6 85 1C FF FF FF 11 BA ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 20 FF FF FF C6 85 24 FF FF FF 00 BA ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 89 85 28 FF FF FF C6 85 2C FF FF FF 00 8D 95 18 FF FF FF B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 30 FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? C6 45 C7 01 8B 45 D0 E8 ?? ?? ?? ?? 80 7D C7 00 0F 85 E0 00 00 00 83 FB 07 75 44 83 7D C0 00 7D 3E 8D 85 14 FF FF FF 50 8B 45 C0 F7 D8 89 85 74 FF FF FF C6 85 78 FF FF FF 00 8D 95 74 FF FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 14 FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? E9 97 00 00 00 83 FB 08 75 41 83 7D C0 00 7D 3B 8D 85 10 FF FF FF 50 8B 45 C0 F7 D8 89 85 74 FF FF FF C6 85 78 FF FF FF 00 8D 95 74 FF FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 10 FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? EB 51 83 FB 1B 75 41 83 7D C0 00 7D 3B 8D 85 0C FF FF FF 50 8B 45 C0 F7 D8 89 85 74 FF FF FF C6 85 78 FF FF FF 00 8D 95 74 FF FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 0C FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? EB 0B 8D 45 F0 8B 57 04 E8 ?? ?? ?? ?? 83 EF 08 66 FF 45 DC 0F 85 88 FD FF FF 8B C3 83 E8 0E 74 05 83 E8 17 75 3E 8D 85 08 FF FF FF 50 8B 55 D4 8B C6 E8 ?? ?? ?? ?? 89 85 74 FF FF FF C6 85 78 FF FF FF 00 8D 95 74 FF FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 08 FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 39 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8D 95 00 FF FF FF E8 ?? ?? ?? ?? 8B 95 00 FF FF FF 8D 8D 04 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 95 04 FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? 81 FB 05 01 00 00 0F 85 A9 00 00 00 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 45 DA 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 7D DA 00 7E 1C 66 83 7D DA 08 7F 15 8D 45 F0 0F BF 55 DA 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1D 8D 95 FC FE FF FF 0F BF 45 DA E8 ?? ?? ?? ?? 8B 95 FC FE FF FF 8D 45 F0 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 50 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 74 FF FF FF C6 85 78 FF FF FF 00 8D 95 74 FF FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 83 E8 0E 74 11 83 E8 17 74 0C 81 FB 05 01 00 00 0F 85 88 00 00 00 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 72 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 5C 66 C7 45 DE 00 00 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 45 DE 6A 00 8D 85 F4 FE FF FF 50 33 C9 0F B7 55 DE 8B C6 E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 8D 45 F0 E8 ?? ?? ?? ?? 66 C7 45 D8 01 00 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 33 FF 75 F0 68 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8D 95 F0 FE FF FF E8 ?? ?? ?? ?? FF B5 F0 FE FF FF 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 0F 85 40 01 00 00 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8D 95 EC FE FF FF E8 ?? ?? ?? ?? 8B 85 EC FE FF FF 50 8B 45 CC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8D 95 E8 FE FF FF E8 ?? ?? ?? ?? 8B 85 E8 FE FF FF 50 8B 45 CC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? E9 A0 00 00 00 BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8D 95 E4 FE FF FF E8 ?? ?? ?? ?? 8B 95 E4 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 74 6D 8D 85 E0 FE FF FF 50 BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8D 95 D8 FE FF FF E8 ?? ?? ?? ?? 8B 85 D8 FE FF FF 50 8B 46 38 E8 ?? ?? ?? ?? 8D 8D DC FE FF FF 5A E8 ?? ?? ?? ?? 8B 85 DC FE FF FF 89 85 74 FF FF FF C6 85 78 FF FF FF 11 8D 95 74 FF FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 E0 FE FF FF 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 84 C0 0F 84 50 FF FF FF 8B 45 CC E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 83 E8 0E 74 11 83 E8 17 74 0C 81 FB 05 01 00 00 0F 85 FE 00 00 00 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 E4 00 00 00 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 CA 00 00 00 66 83 7D D8 00 0F 84 BF 00 00 00 66 C7 45 E0 00 00 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 18 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 45 E0 EB 2C BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 45 E0 66 C7 45 DE 00 00 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 45 DE 66 83 7D E0 00 74 26 6A 01 8D 85 D4 FE FF FF 50 0F B7 4D E0 0F B7 55 DE 8B C6 E8 ?? ?? ?? ?? 8B 95 D4 FE FF FF 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 40 8B 55 F0 8B 08 FF 51 38 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 0F 84 3B F6 FF FF 8B 45 C8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? E9 1B 02 00 00 8D 45 EC E8 ?? ?? ?? ?? 8B 46 40 8B 10 FF 52 14 8B D0 4A 8D 8D D0 FE FF FF 8B 46 40 8B 38 FF 57 0C 8D 85 D0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D0 FE FF FF 50 8B 5E 40 8B C3 8B 10 FF 52 14 8B D0 4A 8B C3 59 8B 18 FF 53 20 BA ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 8D 95 CC FE FF FF E8 ?? ?? ?? ?? 8B 95 CC FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 74 4E FF 75 EC 68 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 8D 95 C4 FE FF FF E8 ?? ?? ?? ?? 8B 85 C4 FE FF FF 50 8B 46 38 E8 ?? ?? ?? ?? 8D 8D C8 FE FF FF 5A E8 ?? ?? ?? ?? FF B5 C8 FE FF FF 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 8D 95 C0 FE FF FF E8 ?? ?? ?? ?? 8B 95 C0 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 7E 8D 85 B8 FE FF FF 50 BA ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 8D 95 B0 FE FF FF E8 ?? ?? ?? ?? 8B 95 B0 FE FF FF 8D 8D B4 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 B4 FE FF FF 89 85 74 FF FF FF C6 85 78 FF FF FF 11 8D 95 74 FF FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D B8 FE FF FF 8D 85 BC FE FF FF 8B 55 EC E8 ?? ?? ?? ?? 8B 95 BC FE FF FF 8B 46 40 8B 08 FF 51 38 E9 A4 00 00 00 BA ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 8D 95 AC FE FF FF E8 ?? ?? ?? ?? 8B 95 AC FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 79 8D 85 A4 FE FF FF 50 BA ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 8D 95 9C FE FF FF E8 ?? ?? ?? ?? 8B 95 9C FE FF FF 8D 8D A0 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 A0 FE FF FF 89 85 74 FF FF FF C6 85 78 FF FF FF 11 8D 95 74 FF FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D A4 FE FF FF 8D 85 A8 FE FF FF 8B 55 EC E8 ?? ?? ?? ?? 8B 95 A8 FE FF FF 8B 46 40 8B 08 FF 51 38 8B 45 C8 E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 84 C0 0F 84 D5 FD FF FF 8B 46 44 E8 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 73 44 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 E8 0B 74 07 83 E8 08 74 11 EB 1E 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 E4 E8 ?? ?? ?? ?? 80 7D C6 00 74 2B 68 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 85 98 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 98 FE FF FF 8B 46 40 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8B }
	condition:
		$1
}

rule function_30887_0 {
	meta:
		name = "TIBExtract.ExtractListView"
		size = 1828
		refs = "0019 @UStrAddRef 0021 TIBExtract.ExtractListView 002e TIBExtract.CreateIBSQL 0061 TIBSQL.GetSQLParams 006b TIBXSQLDA.ByName 0073 TIBXSQLVAR.SetAsTrimString 007b TIBSQL.ExecQuery 0097 TIBSQL.FieldByName 009f TIBXSQLVAR.GetAsTrimString 00ab TIBDatabase.GetSQLDialect 00b4 QuoteIdentifier 00e2 Trim 00fe Format 01a4 @UStrCat 01ac TIBSQL.Next 01b4 TIBSQL.GetEOF 01e1 @UStrCat3 0246 TObject.Free 0254 @HandleFinally 0270 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 F0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? E9 A1 01 00 00 8B 43 40 33 D2 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 43 38 E8 ?? ?? ?? ?? 8D 4D F8 5A E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 F8 89 45 D4 C6 45 D8 11 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 43 40 8B 08 FF 51 38 8B 43 40 33 D2 8B 08 FF 51 38 8D 45 C8 50 8B 45 F8 89 45 C0 C6 45 C4 11 8D 55 C0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B 43 40 8B 08 FF 51 38 8B 45 EC 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 EC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? EB 56 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 55 B8 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 43 38 E8 ?? ?? ?? ?? 8D 4D BC 5A E8 ?? ?? ?? ?? 8B 55 BC 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 9E 8D 45 B4 B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 B4 8B 43 40 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 B0 E8 ?? ?? ?? ?? 8D 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8B 43 40 8B 08 FF 51 38 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 4F FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF E3 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 52 00 45 00 4C 00 20 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 28 00 52 00 45 00 4C 00 2E 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3C 00 3E 00 20 00 31 00 20 00 4F 00 52 00 20 00 52 00 45 00 4C 00 2E 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 4E 00 4F 00 54 00 20 00 52 00 45 00 4C 00 2E 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 42 00 4C 00 52 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 52 00 45 00 4C 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 56 00 49 00 45 00 57 00 4E 00 41 00 4D 00 45 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 52 00 45 00 4C 00 2E 00 52 00 44 00 42 00 24 00 46 00 4C 00 41 00 47 00 53 00 20 00 3D 00 20 00 31 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 45 00 4C 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 49 00 44 00 20 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 76 00 69 00 65 00 77 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 4F 00 57 00 4E 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 25 00 73 00 2F 00 2A 00 20 00 56 00 69 00 65 00 77 00 3A 00 20 00 25 00 73 00 2C 00 20 00 4F 00 77 00 6E 00 65 00 72 00 3A 00 20 00 25 00 73 00 20 00 2A 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 20 00 56 00 49 00 45 00 57 00 20 00 25 00 73 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 74 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 46 00 49 00 45 00 4C 00 44 00 53 00 20 00 52 00 46 00 52 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 52 00 46 00 52 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 46 00 52 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 72 00 65 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 29 00 20 00 41 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_30888_0 {
	meta:
		name = "TIBExtract.GetCharacterSets"
		size = 2088
		refs = "0024 TIBExtract.GetCharacterSets 0035 TIBTransaction.GetInTransaction 0044 TIBTransaction.StartTransaction 0055 @UStrClr 005d TIBExtract.CreateIBSQL 008f TIBSQL.GetSQLParams 0099 TIBXSQLDA.ByName 00a1 TIBXSQLVAR.SetAsLong 00c3 TIBSQL.ExecQuery 00d0 TIBSQL.FieldByName 00d8 TIBXSQLVAR.GetAsTrimString 00e3 Trim 0110 @UStrEqual 014b @UStrCat3 01f1 @UStrCatN 0221 TIBXSQLVAR.SetAsShort 0278 TObject.Free 027e @HandleFinally 0291 TIBTransaction.Commit 02ab @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B DA 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 84 C0 75 11 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? C6 45 F7 01 EB 04 C6 45 F7 00 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 85 FF 0F 84 7C 01 00 00 8B 45 F8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BF D3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BF D7 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 58 E8 ?? ?? ?? ?? 75 3E 80 7D 0C 00 0F 85 47 01 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 4D E0 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 13 01 00 00 80 7D 0C 00 75 0B 0F BF C3 8B 55 FC 3B 42 50 75 34 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 E8 ?? ?? ?? ?? 8B 4D D8 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CE 00 00 00 68 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 C4 E8 ?? ?? ?? ?? 8B 45 C4 8D 55 C8 E8 ?? ?? ?? ?? FF 75 C8 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 70 66 85 DB 74 6B 8B 45 F8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 0F BF C3 8B 55 FC 3B 42 50 74 2F BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 BC E8 ?? ?? ?? ?? 8B 45 BC 8D 55 C0 E8 ?? ?? ?? ?? 8B 4D C0 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F7 00 74 0B 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 0E 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 64 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 53 00 54 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 4F 00 4C 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4C 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 53 00 54 00 2E 00 52 00 44 00 42 00 24 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 5F 00 43 00 4F 00 4C 00 4C 00 41 00 54 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 20 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 43 00 4F 00 4C 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 43 00 4F 00 4C 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 53 00 20 00 43 00 53 00 54 00 20 00 4F 00 4E 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 43 00 4F 00 4C 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 49 00 44 00 20 00 3D 00 20 00 43 00 53 00 54 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 49 00 44 00 20 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 43 00 4F 00 4C 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4C 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 49 00 44 00 20 00 3D 00 20 00 3A 00 43 00 4F 00 4C 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 43 00 53 00 54 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 49 00 44 00 20 00 3D 00 20 00 3A 00 43 00 48 00 41 00 52 00 5F 00 53 00 45 00 54 00 5F 00 49 00 44 00 20 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 43 00 4F 00 4C 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4C 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 43 00 53 00 54 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 68 00 61 00 72 00 5F 00 53 00 65 00 74 00 5F 00 49 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6C 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 52 00 44 00 42 00 24 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 5F 00 43 00 4F 00 4C 00 4C 00 41 00 54 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 44 00 42 00 24 00 43 00 4F 00 4C 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 20 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 20 00 53 00 45 00 54 00 20 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 43 00 4F 00 4C 00 4C 00 41 00 54 00 45 00 20 00 00 00 B0 04 02 00 FF FF FF FF 91 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 53 00 54 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 20 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 53 00 20 00 43 00 53 00 54 00 20 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 43 00 53 00 54 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 49 00 44 00 20 00 3D 00 20 00 3A 00 43 00 48 00 41 00 52 00 53 00 45 00 54 00 49 00 44 00 20 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 43 00 53 00 54 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 68 00 61 00 72 00 53 00 65 00 74 00 49 00 64 00 00 00 }
	condition:
		$1
}

rule function_30890_0 {
	meta:
		name = "TIBExtract.GetIndexSegments"
		size = 628
		refs = "001b @UStrAddRef 0023 TIBExtract.GetIndexSegments 0030 @UStrClr 0037 TIBExtract.CreateIBSQL 0060 TIBSQL.GetSQLParams 006a TIBXSQLDA.ByName 0072 TIBXSQLVAR.SetAsTrimString 007a TIBSQL.ExecQuery 0089 TIBSQL.FieldByName 0091 TIBXSQLVAR.GetAsTrimString 009d TIBDatabase.GetSQLDialect 00a6 QuoteIdentifier 00b0 @UStrCat 00b8 TIBSQL.Next 00c0 TIBSQL.GetEOF 00f1 TObject.Free 00f7 @HandleFinally 0113 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F4 89 5D F0 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 54 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 46 38 E8 ?? ?? ?? ?? 8D 4D F4 5A E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 A0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 6A 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 53 00 45 00 47 00 4D 00 45 00 4E 00 54 00 53 00 20 00 53 00 45 00 47 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 53 00 45 00 47 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 49 00 4E 00 44 00 45 00 58 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 53 00 45 00 47 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 64 00 65 00 78 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_30891_0 {
	meta:
		name = "TCustomAdapter.GetAdapterFields"
		size = 4
		altNames = "TCustomBarSeries.GetBarBrush TCustomWebFileDispatcher.DispatchMask TDirect2DCanvas.GetFont TDomElement.GetAttributes TIBExtract.GetTransaction TIBUpdateSQL.GetDataSet TMultiModuleWebAppServices.Access_Request TPhysicalObjectMemberGroup.GetMember"
	strings:
		$1 = { 8B 40 3C C3 }
	condition:
		$1
}

rule function_30892_0 {
	meta:
		name = "TIBExtract.ListGrants"
		size = 1140
		refs = "0012 TIBExtract.ListGrants 0022 TIBExtract.ListRoles 002a TIBExtract.CreateIBSQL 008b TIBSQL.ExecQuery 009a TIBSQL.FieldByName 00a2 TIBXSQLVAR.GetAsTrimString 00ad Trim 00bd TIBExtract.ShowGrants 00c5 TIBSQL.Next 00cd TIBSQL.GetEOF 00e6 TIBSQL.Close 00ec @HandleFinally 00fb TIBExtract.ShowGrantRoles 0199 TObject.Free 01bb @UStrArrayClr 01c3 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 40 33 D2 8B 08 FF 51 38 8B 45 F8 8B 40 40 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 F8 8B 40 40 33 D2 8B 08 FF 51 38 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 F4 E8 ?? ?? ?? ?? EB 38 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 FC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 38 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC B9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 29 00 00 00 2F 00 2A 00 20 00 47 00 72 00 61 00 6E 00 74 00 20 00 70 00 65 00 72 00 6D 00 69 00 73 00 73 00 69 00 6F 00 6E 00 73 00 20 00 66 00 6F 00 72 00 20 00 74 00 68 00 69 00 73 00 20 00 64 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 20 00 2A 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 9E 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 28 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3C 00 3E 00 20 00 31 00 20 00 4F 00 52 00 20 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 52 00 44 00 42 00 24 00 53 00 45 00 43 00 55 00 52 00 49 00 54 00 59 00 5F 00 43 00 4C 00 41 00 53 00 53 00 20 00 53 00 54 00 41 00 52 00 54 00 49 00 4E 00 47 00 20 00 57 00 49 00 54 00 48 00 20 00 27 00 53 00 51 00 4C 00 24 00 27 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 72 00 64 00 62 00 24 00 72 00 65 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 38 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 2A 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 53 00 20 00 4F 00 72 00 64 00 65 00 72 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_30893_0 {
	meta:
		name = "TIBExtract.ListProcs"
		size = 2096
		refs = "0022 @UStrAddRef 002a TIBExtract.ListProcs 0039 TIBExtract.CreateIBSQL 0043 _Dn_TStringList 0048 TStringList.Create 0089 TIBSQL.GetSQLParams 0093 TIBXSQLDA.ByName 009b TIBXSQLVAR.SetAsTrimString 00ad TIBSQL.ExecQuery 0104 Format 0157 TIBSQL.FieldByName 015f TIBXSQLVAR.GetAsTrimString 016a Trim 0176 TIBDatabase.GetSQLDialect 0181 QuoteIdentifier 01af TIBExtract.GetProcedureArgs 022d TIBSQL.Next 0235 TIBSQL.GetEOF 0245 TIBSQL.Close 02f3 TIBXSQLVAR.GetIsNull 0406 TObject.Free 0414 @HandleFinally 0430 @UStrArrayClr 0445 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 88 4D F7 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B C6 E8 ?? ?? ?? ?? 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 12 8B 45 F0 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C EB 2A 8B 45 F0 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 F0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 80 7D F7 00 0F 85 A0 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? E9 7B 01 00 00 84 DB 0F 84 90 00 00 00 8B 46 40 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 46 40 BA ?? ?? ?? ?? 8B 08 FF 51 38 80 7E 49 00 74 35 8D 45 E8 50 66 C7 45 D8 5E 00 C6 45 DC 09 66 C7 45 E0 3B 00 C6 45 E4 09 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 46 40 8B 08 FF 51 38 8D 45 D4 50 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 46 40 8B 08 FF 51 38 33 DB BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 CC 50 8B 46 38 E8 ?? ?? ?? ?? 8D 4D C0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 C0 89 45 C4 C6 45 C8 11 8D 55 C4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 46 40 8B 08 FF 51 38 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 80 7E 49 00 74 39 8D 45 BC 50 66 C7 45 D8 5E 00 C6 45 DC 09 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 46 40 8B 08 FF 51 38 EB 37 8D 45 B8 50 66 C7 45 D8 3B 00 C6 45 DC 09 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B 46 40 8B 08 FF 51 38 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 75 FE FF FF 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? E9 36 01 00 00 8B 45 EC 8B 10 FF 52 44 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 B4 E8 ?? ?? ?? ?? 8B 45 B4 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 B0 50 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8B 46 38 E8 ?? ?? ?? ?? 8D 4D AC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 AC 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8B 46 40 8B 08 FF 51 38 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 46 40 8B 55 EC 8B 08 FF 51 40 8B 45 EC 8B 10 FF 52 44 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 56 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 A8 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 EC 8B 08 FF 51 2C EB 0A 33 D2 8B 45 EC 8B 08 FF 51 48 8B 45 EC 8B 10 FF 52 14 85 C0 7E 1E 8D 4D A0 33 D2 8B 45 EC 8B 38 FF 57 0C 8B 45 A0 8D 55 A4 E8 ?? ?? ?? ?? 83 7D A4 00 74 CC 80 7D F7 00 75 22 80 7E 49 00 74 0F BA ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 38 EB 0D BA ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 38 8B 46 40 8B 55 EC 8B 08 FF 51 40 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 BA FE FF FF 84 DB 75 55 80 7E 49 00 74 35 8D 45 9C 50 66 C7 45 D8 3B 00 C6 45 DC 09 66 C7 45 E0 5E 00 C6 45 E4 09 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B 46 40 8B 08 FF 51 38 8B 46 40 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 46 40 BA ?? ?? ?? ?? 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 38 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 53 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 62 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 4E 00 61 00 6D 00 65 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 4F 00 4D 00 4D 00 49 00 54 00 20 00 57 00 4F 00 52 00 4B 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 45 00 54 00 20 00 41 00 55 00 54 00 4F 00 44 00 44 00 4C 00 20 00 4F 00 46 00 46 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 45 00 54 00 20 00 54 00 45 00 52 00 4D 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 25 00 73 00 2F 00 2A 00 20 00 53 00 74 00 6F 00 72 00 65 00 64 00 20 00 70 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 73 00 20 00 2A 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 20 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 20 00 25 00 73 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 42 00 45 00 47 00 49 00 4E 00 20 00 45 00 58 00 49 00 54 00 3B 00 20 00 45 00 4E 00 44 00 20 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 25 00 73 00 41 00 4C 00 54 00 45 00 52 00 20 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 20 00 25 00 73 00 20 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 5E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 3B 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 45 00 54 00 20 00 41 00 55 00 54 00 4F 00 44 00 44 00 4C 00 20 00 4F 00 4E 00 3B 00 00 00 }
	condition:
		$1
}

rule function_30894_0 {
	meta:
		name = "TIBExtract.ListAllTables"
		size = 720
		refs = "0013 TIBExtract.ListAllTables 0020 TIBExtract.CreateIBSQL 0049 TIBSQL.ExecQuery 0058 TIBSQL.FieldByName 005d TIBXSQLVAR.GetAsLong 007d TIBXSQLVAR.GetAsTrimString 008a Pos 00b0 TIBExtract.ExtractListTable 00b8 TIBSQL.Next 00c0 TIBSQL.GetEOF 00d9 TObject.Free 00df @HandleFinally 00fb @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 FC E8 ?? ?? ?? ?? EB 6D BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 74 04 84 DB 74 54 84 DB 75 25 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 74 23 6A 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 87 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 8B 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 28 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3C 00 3E 00 20 00 31 00 20 00 4F 00 52 00 20 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 42 00 4C 00 52 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 52 00 44 00 42 00 24 00 46 00 4C 00 41 00 47 00 53 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 44 00 42 00 24 00 53 00 45 00 43 00 55 00 52 00 49 00 54 00 59 00 5F 00 43 00 4C 00 41 00 53 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 51 00 4C 00 24 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_30895_0 {
	meta:
		name = "TIBExtract.ListTriggers"
		size = 4608
		refs = "0043 @UStrAddRef 004b TIBExtract.ListTriggers 005a _Dn_TStringList 005f TStringList.Create 0069 TIBExtract.CreateIBSQL 00b0 TIBSQL.GetSQLParams 00ba TIBXSQLDA.ByName 00c2 TIBXSQLVAR.SetAsTrimString 00f6 TIBSQL.ExecQuery 0147 Format 019a TIBSQL.FieldByName 01a2 TIBXSQLVAR.GetAsTrimString 01c9 TIBXSQLVAR.GetIsNull 01da @UStrLAsg 01ee TIBXSQLVAR.GetAsLong 023b TIBDatabase.GetSQLDialect 0249 QuoteIdentifier 02a8 TriggerTypes 0334 @UStrCat 0399 TIBSQL.Next 03a1 TIBSQL.GetEOF 03f1 TObject.Free 03ff @HandleFinally 041e @UStrArrayClr 0426 @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 70 FF FF FF 53 56 33 DB 89 9D 74 FF FF FF 89 9D 70 FF FF FF 89 5D B0 89 9D 7C FF FF FF 89 9D 78 FF FF FF 89 5D C4 89 5D E0 89 5D F8 89 5D F4 89 5D F0 88 4D EF 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8B C6 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 12 8B 45 E8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C EB 5C 80 7D EF 01 75 2C 8B 45 E8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 E8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? EB 2A 8B 45 E8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 E8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E9 9E 02 00 00 8B 45 E4 8B 10 FF 52 44 84 DB 0F 84 82 00 00 00 80 7E 49 00 74 41 8D 45 E0 50 66 C7 45 C8 5E 00 C6 45 CC 09 66 C7 45 D0 3B 00 C6 45 D4 09 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8D 55 C8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 46 40 8B 08 FF 51 38 8D 45 C4 50 B8 ?? ?? ?? ?? 89 45 B4 C6 45 B8 11 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 8D 55 B4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B 46 40 8B 08 FF 51 38 33 DB BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 31 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 0F 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 74 0D BA ?? ?? ?? ?? 8B 45 E4 8B 08 FF 51 38 8D 45 B0 50 8B 46 38 E8 ?? ?? ?? ?? 8D 8D 7C FF FF FF 8B 55 F8 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 89 45 80 C6 45 84 11 8B 46 38 E8 ?? ?? ?? ?? 8D 8D 78 FF FF FF 8B 55 F4 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 88 C6 45 8C 11 B8 ?? ?? ?? ?? 89 45 90 C6 45 94 11 8B 45 F0 89 45 98 C6 45 9C 11 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 85 ?? ?? ?? ?? 89 45 A0 C6 45 A4 11 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 A8 C6 45 AC 00 8D 55 80 B9 05 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8B 45 E4 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 47 8D 95 74 FF FF FF 8B 45 E4 8B 08 FF 51 1C 8D 85 74 FF FF FF 50 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 95 70 FF FF FF E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 58 E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8B 45 E4 8B 08 FF 51 2C 80 7E 49 00 74 0F BA ?? ?? ?? ?? 8B 45 E4 8B 08 FF 51 38 EB 0D BA ?? ?? ?? ?? 8B 45 E4 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 74 0D BA ?? ?? ?? ?? 8B 45 E4 8B 08 FF 51 38 8B 46 40 8B 55 E4 8B 08 FF 51 40 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 84 52 FD FF FF 84 DB 75 2F 80 7E 49 00 74 1C 8B 46 40 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 46 40 BA ?? ?? ?? ?? 8B 08 FF 51 38 EB 0D 8B 46 40 BA ?? ?? ?? ?? 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 70 FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 84 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 53 00 20 00 54 00 52 00 47 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 52 00 45 00 4C 00 20 00 4F 00 4E 00 20 00 20 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 52 00 45 00 4C 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 28 00 52 00 45 00 4C 00 2E 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3C 00 3E 00 20 00 31 00 20 00 4F 00 52 00 20 00 52 00 45 00 4C 00 2E 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 4E 00 4F 00 54 00 20 00 45 00 58 00 49 00 53 00 54 00 53 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 43 00 48 00 45 00 43 00 4B 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 43 00 48 00 4B 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 20 00 20 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 43 00 48 00 4B 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 20 00 20 00 20 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 53 00 45 00 51 00 55 00 45 00 4E 00 43 00 45 00 2C 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF AC 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 53 00 20 00 54 00 52 00 47 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 52 00 45 00 4C 00 20 00 4F 00 4E 00 20 00 20 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 52 00 45 00 4C 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 52 00 45 00 4C 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 20 00 41 00 4E 00 44 00 20 00 20 00 28 00 52 00 45 00 4C 00 2E 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3C 00 3E 00 20 00 31 00 20 00 4F 00 52 00 20 00 52 00 45 00 4C 00 2E 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 4E 00 4F 00 54 00 20 00 45 00 58 00 49 00 53 00 54 00 53 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 43 00 48 00 45 00 43 00 4B 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 43 00 48 00 4B 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 20 00 20 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 43 00 48 00 4B 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 20 00 20 00 20 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 53 00 45 00 51 00 55 00 45 00 4E 00 43 00 45 00 2C 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF AD 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 53 00 20 00 54 00 52 00 47 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 52 00 45 00 4C 00 20 00 4F 00 4E 00 20 00 20 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 52 00 45 00 4C 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 72 00 69 00 67 00 67 00 65 00 72 00 4E 00 61 00 6D 00 65 00 20 00 41 00 4E 00 44 00 20 00 20 00 28 00 52 00 45 00 4C 00 2E 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3C 00 3E 00 20 00 31 00 20 00 4F 00 52 00 20 00 52 00 45 00 4C 00 2E 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 4E 00 4F 00 54 00 20 00 45 00 58 00 49 00 53 00 54 00 53 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 43 00 48 00 45 00 43 00 4B 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 43 00 48 00 4B 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 20 00 20 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 43 00 48 00 4B 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 20 00 20 00 20 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 53 00 45 00 51 00 55 00 45 00 4E 00 43 00 45 00 2C 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 72 00 69 00 67 00 67 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 45 00 54 00 20 00 54 00 45 00 52 00 4D 00 20 00 25 00 73 00 20 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 32 00 00 00 25 00 73 00 2F 00 2A 00 20 00 54 00 72 00 69 00 67 00 67 00 65 00 72 00 73 00 20 00 6F 00 6E 00 6C 00 79 00 20 00 77 00 69 00 6C 00 6C 00 20 00 77 00 6F 00 72 00 6B 00 20 00 66 00 6F 00 72 00 20 00 53 00 51 00 4C 00 20 00 74 00 72 00 69 00 67 00 67 00 65 00 72 00 73 00 20 00 2A 00 2F 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 49 00 4E 00 41 00 43 00 54 00 49 00 56 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 4E 00 41 00 43 00 54 00 49 00 56 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 }
	condition:
		$1
}

rule function_30896_0 {
	meta:
		name = "TIBExtract.ListCheck"
		size = 3212
		refs = "0021 @UStrAddRef 0029 TIBExtract.ListCheck 0036 TIBExtract.CreateIBSQL 0040 _Dn_TStringList 0045 TStringList.Create 008b TIBSQL.GetSQLParams 0095 TIBXSQLDA.ByName 009d TIBXSQLVAR.SetAsTrimString 00d1 TIBSQL.ExecQuery 00eb TIBSQL.FieldByName 00f3 TIBXSQLVAR.GetAsTrimString 00ff TIBDatabase.GetSQLDialect 010a QuoteIdentifier 0123 Format 0150 Pos 01c4 TIBXSQLVAR.GetIsNull 01f5 @UStrCat 0230 @UStrCatN 025b TIBSQL.Next 0263 TIBSQL.GetEOF 0280 TObject.Free 028e @HandleFinally 02aa @UStrArrayClr 02bf @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 12 8B 45 F4 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C EB 5B 80 FB 01 75 2C 8B 45 F4 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? EB 2A 8B 45 F4 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E9 85 01 00 00 8B 45 F0 8B 10 FF 52 44 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 46 38 E8 ?? ?? ?? ?? 8D 4D E0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 74 5F 8D 45 D8 50 66 C7 45 C8 09 00 C6 45 CC 09 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 C0 E8 ?? ?? ?? ?? 8B 45 C0 50 8B 46 38 E8 ?? ?? ?? ?? 8D 4D C4 5A E8 ?? ?? ?? ?? 8B 45 C4 89 45 D0 C6 45 D4 11 8D 55 C8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F0 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 38 8D 55 BC 8B 45 F0 8B 08 FF 51 1C 8D 45 BC 50 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 B8 E8 ?? ?? ?? ?? 8B 55 B8 58 E8 ?? ?? ?? ?? 8B 55 BC 8B 45 F0 8B 08 FF 51 2C 8B 45 F0 8B 10 FF 52 14 8B D0 4A 8D 4D B0 8B 45 F0 8B 18 FF 53 0C FF 75 B0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 B4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 B4 50 8B 45 F0 8B 10 FF 52 14 8B D0 4A 8B 45 F0 59 8B 18 FF 53 20 8B 46 40 8B 55 F0 8B 08 FF 51 40 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 6B FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 3A 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 53 00 20 00 54 00 52 00 47 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 52 00 44 00 42 00 24 00 43 00 48 00 45 00 43 00 4B 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 43 00 48 00 4B 00 20 00 4F 00 4E 00 20 00 20 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 43 00 48 00 4B 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 31 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 45 00 58 00 49 00 53 00 54 00 53 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 52 00 45 00 4C 00 43 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 20 00 20 00 43 00 48 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 52 00 45 00 4C 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 43 00 48 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 63 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 53 00 20 00 54 00 52 00 47 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 52 00 44 00 42 00 24 00 43 00 48 00 45 00 43 00 4B 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 43 00 48 00 4B 00 20 00 4F 00 4E 00 20 00 20 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 43 00 48 00 4B 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 31 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 45 00 58 00 49 00 53 00 54 00 53 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 52 00 45 00 4C 00 43 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 20 00 20 00 43 00 48 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 52 00 45 00 4C 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 43 00 48 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 64 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 53 00 20 00 54 00 52 00 47 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 52 00 44 00 42 00 24 00 43 00 48 00 45 00 43 00 4B 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 43 00 48 00 4B 00 20 00 4F 00 4E 00 20 00 20 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 43 00 48 00 4B 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 72 00 69 00 67 00 67 00 65 00 72 00 4E 00 61 00 6D 00 65 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 54 00 52 00 47 00 2E 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 31 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 45 00 58 00 49 00 53 00 54 00 53 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 52 00 45 00 4C 00 43 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 20 00 20 00 43 00 48 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 52 00 45 00 4C 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 43 00 48 00 4B 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 72 00 69 00 67 00 67 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 41 00 4C 00 54 00 45 00 52 00 20 00 54 00 41 00 42 00 4C 00 45 00 20 00 25 00 73 00 20 00 41 00 44 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 54 00 45 00 47 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 25 00 73 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 20 00 25 00 73 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 44 00 42 00 24 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_30897_0 {
	meta:
		name = "GetLongDatabaseInfo"
		size = 287
		refs = "0022 GetLongDatabaseInfo 0048 TIBExtract.GetDatabase 0053 TIBDatabase.GDSLibrary 005f StatusVector 008b TIBDatabaseInfo.Call 0102 IGDSLibrary 010c @FinalizeArray 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FD FF FF 53 33 D2 89 95 F0 FD FF FF 89 95 F4 FD FF FF 89 95 F8 FD FF FF 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 88 45 FF 6A 01 8D 45 FF 50 68 00 02 00 00 8D 85 FF FD FF FF 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 95 F8 FD FF FF E8 ?? ?? ?? ?? 8B 85 F8 FD FF FF 50 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 40 38 8D 88 B8 00 00 00 58 8B 18 FF 93 8C 00 00 00 8B D0 8B 45 08 8B 40 FC 8B 40 44 B1 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 95 F4 FD FF FF E8 ?? ?? ?? ?? 8B 85 F4 FD FF FF 8D 95 00 FE FF FF 66 B9 02 00 8B 18 FF 93 28 01 00 00 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 95 F0 FD FF FF E8 ?? ?? ?? ?? 8B 85 F0 FD FF FF 8D 95 02 FE FF FF 8B CB 8B 18 FF 93 28 01 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FD FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30898_0 {
	meta:
		name = "TIBExtract.ListCreateDb"
		size = 4884
		refs = "001b @UStrAddRef 0023 TIBExtract.ListCreateDb 0045 @UStrClr 0058 @UStrLAsg 0083 QuotedStr 0096 TIBDatabaseInfo.GetPageSize 009e IntToStr 00b3 @UStrCatN 00d1 TIBExtract.CreateIBSQL 00fa TIBSQL.ExecQuery 010b TIBSQL.FieldByName 0113 TIBXSQLVAR.GetAsTrimString 012c Format 013f @UStrCat 0164 TIBSQL.Close 01ad TIBXSQLVAR.GetIsNull 01c7 TIBXSQLVAR.GetAsLong 04cb TIBSQL.Next 04d3 TIBSQL.GetEOF 0791 TIBExtract.PrintSet 07b1 GetLongDatabaseInfo 099b TObject.Free 09a1 @HandleFinally 09c0 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 19 00 00 00 6A 00 6A 00 49 75 F9 53 56 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 C6 45 F2 01 C6 45 F1 01 C6 45 F0 00 C6 45 EF 00 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F8 00 75 25 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC 8B 52 38 8B 92 A4 00 00 00 E8 ?? ?? ?? ?? C6 45 F3 01 FF 75 F4 68 ?? ?? ?? ?? 8D 55 DC 8B 45 F8 E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? 8D 55 D8 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 F4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 55 F4 8B 08 FF 51 38 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 50 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 8D 55 D0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D F3 00 74 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 55 F4 8B 08 FF 51 38 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 E8 E8 ?? ?? ?? ?? E9 4A 03 00 00 80 7D F2 00 74 14 8B 45 FC 8B 40 40 BA ?? ?? ?? ?? 8B 08 FF 51 38 C6 45 F2 00 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 14 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 F6 EB 14 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 33 C0 89 45 E4 EB 15 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 33 C0 89 45 E0 EB 15 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 85 DB 0F 85 A6 00 00 00 8D 45 F4 50 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 B8 E8 ?? ?? ?? ?? 8B 45 B8 89 45 C4 C6 45 C8 11 8D 55 BC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E0 00 74 28 8D 45 B4 50 8B 45 E0 89 45 D0 C6 45 D4 00 8D 55 D0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8D 45 F4 E8 ?? ?? ?? ?? 85 F6 74 25 8D 45 B0 50 89 75 D0 C6 45 D4 00 8D 55 D0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 55 F4 8B 08 FF 51 38 F6 C3 08 74 56 8D 45 AC 50 B8 ?? ?? ?? ?? 89 45 94 C6 45 98 11 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 90 E8 ?? ?? ?? ?? 8B 45 90 89 45 9C C6 45 A0 11 89 75 A4 C6 45 A8 00 8D 55 94 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 8B 45 FC 8B 40 40 8B 08 FF 51 38 8D 45 F4 E8 ?? ?? ?? ?? F6 C3 01 0F 84 4E 01 00 00 83 7D E4 00 74 44 8D 45 F4 50 66 C7 45 BC 09 00 C6 45 C0 09 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 8C E8 ?? ?? ?? ?? 8B 45 8C 89 45 C4 C6 45 C8 11 8D 55 BC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9F 00 00 00 8D 45 F4 50 B8 ?? ?? ?? ?? 89 45 94 C6 45 98 11 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 9C C6 45 A0 00 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 88 E8 ?? ?? ?? ?? 8B 45 88 89 45 A4 C6 45 A8 11 8D 55 94 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 C3 02 74 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 C3 04 74 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 C3 10 74 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 74 25 8D 45 84 50 89 75 D0 C6 45 D4 00 8D 55 D0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 84 8D 45 F4 E8 ?? ?? ?? ?? 83 7D E0 00 74 28 8D 45 80 50 8B 45 E0 89 45 D0 C6 45 D4 00 8D 55 D0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 80 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 55 F4 8B 08 FF 51 38 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 84 A6 FC FF FF 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 E8 E8 ?? ?? ?? ?? E9 56 02 00 00 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 14 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 F6 EB 14 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F4 E8 ?? ?? ?? ?? C6 45 F0 01 80 7D F2 00 74 31 80 7D F3 00 74 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C6 45 F2 00 80 7D F1 00 74 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 C3 02 0F 85 56 01 00 00 F6 C3 08 74 5D 8D 85 7C FF FF FF 50 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 95 78 FF FF FF E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 C4 C6 45 C8 11 8D 55 BC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? E9 F4 00 00 00 F6 C3 01 74 5D 8D 85 74 FF FF FF 50 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 95 70 FF FF FF E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 89 45 C4 C6 45 C8 11 8D 55 BC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? E9 92 00 00 00 80 7D F1 00 74 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 30 8D 85 6C FF FF FF 50 B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 8D 55 D0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? C6 45 F1 00 8D 85 68 FF FF FF 50 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 95 64 FF FF FF E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 89 45 D0 C6 45 D4 11 8D 55 D0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 85 F6 74 2B 8D 85 60 FF FF FF 50 89 75 D0 C6 45 D4 00 8D 55 D0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 55 F4 8B 08 FF 51 38 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 84 9A FD FF FF 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 80 7D F0 00 0F 84 66 01 00 00 8D 8D 5C FF FF FF 8D 55 EF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 5C FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8D 85 58 FF FF FF 50 55 B8 26 00 00 00 E8 ?? ?? ?? ?? 59 89 45 D0 C6 45 D4 00 8D 55 D0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 58 FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8D 8D 54 FF FF FF 8D 55 EF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 54 FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 50 55 B8 27 00 00 00 E8 ?? ?? ?? ?? 59 89 45 D0 C6 45 D4 00 8D 55 D0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8D 8D 4C FF FF FF 8D 55 EF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 4C FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8D 85 48 FF FF FF 50 55 B8 2F 00 00 00 E8 ?? ?? ?? ?? 59 89 45 D0 C6 45 D4 00 8D 55 D0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 48 FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8D 8D 44 FF FF FF 8D 55 EF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 44 FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8D 85 40 FF FF FF 50 55 B8 28 00 00 00 E8 ?? ?? ?? ?? 59 89 45 D0 C6 45 D4 00 8D 55 D0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 40 FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 55 F4 8B 08 FF 51 38 80 7D F2 00 0F 85 96 00 00 00 80 7D F3 00 74 44 8D 85 3C FF FF FF 50 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 B8 ?? ?? ?? ?? 89 45 C4 C6 45 C8 11 8D 55 BC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 3C FF FF FF 8B 45 FC 8B 40 40 8B 08 FF 51 38 EB 4C 8D 85 38 FF FF FF 50 66 C7 45 94 3B 00 C6 45 98 09 B8 ?? ?? ?? ?? 89 45 9C C6 45 A0 11 B8 ?? ?? ?? ?? 89 45 A4 C6 45 A8 11 8D 55 94 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 38 FF FF FF 8B 45 FC 8B 40 40 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 38 FF FF FF BA 17 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B9 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2F 00 2A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 20 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 50 00 41 00 47 00 45 00 5F 00 53 00 49 00 5A 00 45 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 73 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 20 00 44 00 42 00 50 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 4E 00 4F 00 54 00 20 00 44 00 42 00 50 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 20 00 20 00 41 00 4E 00 44 00 20 00 44 00 42 00 50 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 21 00 3D 00 20 00 27 00 20 00 27 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 20 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 20 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 20 00 53 00 45 00 54 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 2A 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 45 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 2A 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 4C 00 45 00 53 00 20 00 6F 00 72 00 64 00 65 00 72 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 53 00 48 00 41 00 44 00 4F 00 57 00 5F 00 4E 00 55 00 4D 00 42 00 45 00 52 00 2C 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 4C 00 45 00 5F 00 53 00 45 00 51 00 55 00 45 00 4E 00 43 00 45 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 0D 00 0A 00 2F 00 2A 00 20 00 41 00 64 00 64 00 20 00 73 00 65 00 63 00 6F 00 6E 00 64 00 61 00 72 00 79 00 20 00 66 00 69 00 6C 00 65 00 73 00 20 00 69 00 6E 00 20 00 63 00 6F 00 6D 00 6D 00 65 00 6E 00 74 00 73 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 4C 00 45 00 5F 00 46 00 4C 00 41 00 47 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 4C 00 45 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 4C 00 45 00 5F 00 53 00 45 00 51 00 55 00 45 00 4E 00 43 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 4C 00 45 00 5F 00 53 00 54 00 41 00 52 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 25 00 73 00 41 00 4C 00 54 00 45 00 52 00 20 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 20 00 41 00 44 00 44 00 20 00 46 00 49 00 4C 00 45 00 20 00 27 00 25 00 73 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 53 00 54 00 41 00 52 00 54 00 49 00 4E 00 47 00 20 00 25 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 4C 00 45 00 4E 00 47 00 54 00 48 00 20 00 25 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 25 00 73 00 41 00 4C 00 54 00 45 00 52 00 20 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 20 00 41 00 44 00 44 00 20 00 43 00 41 00 43 00 48 00 45 00 20 00 27 00 25 00 73 00 27 00 20 00 4C 00 45 00 4E 00 47 00 54 00 48 00 20 00 25 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 25 00 73 00 46 00 49 00 4C 00 45 00 20 00 27 00 25 00 73 00 27 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 52 00 44 00 42 00 24 00 53 00 48 00 41 00 44 00 4F 00 57 00 5F 00 4E 00 55 00 4D 00 42 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 25 00 73 00 43 00 52 00 45 00 41 00 54 00 45 00 20 00 53 00 48 00 41 00 44 00 4F 00 57 00 20 00 25 00 64 00 20 00 27 00 25 00 73 00 27 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 4E 00 41 00 43 00 54 00 49 00 56 00 45 00 20 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 41 00 4E 00 55 00 41 00 4C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 55 00 54 00 4F 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 4F 00 4E 00 44 00 49 00 54 00 49 00 4F 00 4E 00 41 00 4C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 45 00 4E 00 47 00 54 00 48 00 }
	condition:
		$1
}

rule function_30899_0 {
	meta:
		name = "FormatDomainStr"
		size = 2732
		refs = "0019 FormatDomainStr 0026 @UStrClr 0030 ColumnTypes 0040 TIBSQL.FieldByName 0045 TIBXSQLVAR.GetAsLong 005f TIBDatabaseInfo.GetODSMajorVersion 009c TIBDatabaseInfo.GetDBSQLDialect 00ba TIBXSQLVAR.GetIsNull 011d IntegralSubtypes 0172 Format 017c @UStrCat 034b SubTypes 03e5 TIBExtract.GetFieldLength 0448 TIBExtract.GetCharacterSets 047f TIBExtract.GetArrayField 04d4 TIBXSQLVAR.GetAsTrimString 053a AnsiUpperCase 0547 Pos 06b5 @UStrArrayClr 06cb @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0D 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? BF 0F 00 00 00 BB ?? ?? ?? ?? 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 03 0F 85 9F 02 00 00 C6 45 FF 00 8B 45 08 8B 40 F8 8B 40 44 E8 ?? ?? ?? ?? 83 F8 0A 0F 8C 18 01 00 00 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 F9 83 E8 02 72 09 83 E8 07 0F 85 F2 00 00 00 8B 45 08 8B 40 F8 8B 40 44 E8 ?? ?? ?? ?? 83 F8 03 0F 8C DB 00 00 00 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 BE 00 00 00 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E A1 00 00 00 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 02 0F 8F 83 00 00 00 8D 45 F8 50 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 85 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 00 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 F7 D8 89 45 F0 C6 45 F4 00 8D 55 E0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? C6 45 FF 01 80 7D FF 00 0F 85 6C 01 00 00 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 07 75 59 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7D 40 8D 45 DC 50 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 89 45 D4 C6 45 D8 00 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C6 E8 ?? ?? ?? ?? E9 F9 00 00 00 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 08 75 59 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7D 40 8D 45 D0 50 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 89 45 D4 C6 45 D8 00 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B C6 E8 ?? ?? ?? ?? E9 86 00 00 00 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 1B 75 56 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7D 3D 8D 45 CC 50 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 89 45 D4 C6 45 D8 00 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B C6 E8 ?? ?? ?? ?? EB 16 8B C6 8B 53 04 E8 ?? ?? ?? ?? EB 0A 83 C3 08 4F 0F 85 3A FD FF FF 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D 05 01 00 00 0F 85 9B 00 00 00 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7E 15 83 FB 08 7F 10 8B C6 8B 14 9D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 8D 45 C8 50 89 5D D4 C6 45 D8 00 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B C6 E8 ?? ?? ?? ?? 8D 45 C4 50 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 00 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B C6 E8 ?? ?? ?? ?? EB 54 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 E8 0E 74 05 83 E8 17 75 35 8D 45 C0 50 8B 45 08 8B 50 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 00 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 34 6A 00 8D 45 BC 50 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F8 33 C9 E8 ?? ?? ?? ?? 8B 55 BC 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1E 8D 4D B8 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 55 B8 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 58 8D 45 B4 50 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 66 C7 45 E8 09 00 C6 45 EC 09 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 B0 E8 ?? ?? ?? ?? 8B 45 B0 89 45 F0 C6 45 F4 11 8D 55 E0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 E5 00 00 00 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 A8 E8 ?? ?? ?? ?? 8B 45 A8 8D 55 AC E8 ?? ?? ?? ?? 8B 55 AC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 5A 8D 45 A4 50 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 66 C7 45 E8 09 00 C6 45 EC 09 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 A0 E8 ?? ?? ?? ?? 8B 45 A0 89 45 F0 C6 45 F4 11 8D 55 E0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8B C6 E8 ?? ?? ?? ?? EB 58 8D 45 9C 50 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 66 C7 45 E8 09 00 C6 45 EC 09 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 98 E8 ?? ?? ?? ?? 8B 45 98 89 45 F0 C6 45 F4 11 8D 55 E0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 62 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 49 6A 01 8D 45 94 50 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F8 59 E8 ?? ?? ?? ?? 8B 55 94 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 52 00 45 00 43 00 49 00 53 00 49 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 55 00 42 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 43 00 41 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 73 00 28 00 25 00 64 00 2C 00 20 00 25 00 64 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4E 00 55 00 4D 00 45 00 52 00 49 00 43 00 28 00 34 00 2C 00 20 00 25 00 64 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4E 00 55 00 4D 00 45 00 52 00 49 00 43 00 28 00 39 00 2C 00 20 00 25 00 64 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 4E 00 55 00 4D 00 45 00 52 00 49 00 43 00 28 00 31 00 35 00 2C 00 20 00 25 00 64 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 53 00 55 00 42 00 5F 00 54 00 59 00 50 00 45 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 25 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 44 00 42 00 24 00 53 00 45 00 47 00 4D 00 45 00 4E 00 54 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 20 00 53 00 45 00 47 00 4D 00 45 00 4E 00 54 00 20 00 53 00 49 00 5A 00 45 00 20 00 25 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 28 00 25 00 64 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 44 00 49 00 4D 00 45 00 4E 00 53 00 49 00 4F 00 4E 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 44 00 42 00 24 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 25 00 73 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 52 00 44 00 42 00 24 00 56 00 41 00 4C 00 49 00 44 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 48 00 45 00 43 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 25 00 73 00 25 00 73 00 20 00 2F 00 2A 00 20 00 25 00 73 00 20 00 2A 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 44 00 42 00 24 00 4E 00 55 00 4C 00 4C 00 5F 00 46 00 4C 00 41 00 47 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 4E 00 4F 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 52 00 44 00 42 00 24 00 43 00 4F 00 4C 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 49 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_30900_0 {
	meta:
		name = "TIBExtract.ListDomains"
		size = 1664
		refs = "0023 @UStrAddRef 002e TIBExtract.ListDomains 003f TIBExtract.CreateIBSQL 0073 TIBSQL.GetSQLParams 007d TIBXSQLDA.ByName 0085 TIBXSQLVAR.SetAsTrimString 00cb TIBSQL.ExecQuery 00dd TIBSQL.FieldByName 00e5 TIBXSQLVAR.GetAsTrimString 00f2 Pos 0131 TIBXSQLVAR.GetAsLong 013c TIBSQL.Next 0168 TIBDatabase.GetSQLDialect 0173 QuoteIdentifier 018c Format 0198 FormatDomainStr 01ae @UStrCatN 01cb TIBSQL.GetEOF 01e8 TObject.Free 01ee @HandleFinally 020a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 89 5D F4 89 5D EC 8B D9 89 55 F0 89 45 F8 8B 45 F0 E8 ?? ?? ?? ?? 8D 7D F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EB 01 8B 07 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F0 00 74 5D 80 FB 01 75 2C 8B 45 FC 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? EB 3C 8B 45 FC 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? EB 10 8B 45 FC 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 FC E8 ?? ?? ?? ?? E9 F3 00 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 24 BE ?? ?? ?? ?? 8B 45 F4 0F B7 40 08 66 3D FF 00 77 06 0F B7 C0 0F A3 06 0F 92 C0 88 45 EA 0F B6 5D EA EB 02 33 DB 84 DB 74 22 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 74 0D 8B 45 FC E8 ?? ?? ?? ?? E9 82 00 00 00 80 7D EB 00 74 13 8B 07 8B 40 40 BA ?? ?? ?? ?? 8B 08 FF 51 38 C6 45 EB 00 8D 45 EC 50 8B 07 8B 40 38 E8 ?? ?? ?? ?? 8D 4D DC 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 EC 55 8D 45 D8 E8 ?? ?? ?? ?? 59 FF 75 D8 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 07 8B 40 40 8B 55 EC 8B 08 FF 51 38 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 FD FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF BB 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 64 00 69 00 73 00 74 00 69 00 6E 00 63 00 74 00 20 00 66 00 6C 00 64 00 2E 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 53 00 20 00 46 00 4C 00 44 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 46 00 49 00 45 00 4C 00 44 00 53 00 20 00 52 00 46 00 52 00 20 00 4F 00 4E 00 20 00 20 00 20 00 52 00 46 00 52 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 3D 00 20 00 46 00 4C 00 44 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 52 00 46 00 52 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 41 00 42 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 46 00 4C 00 44 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 74 00 61 00 62 00 6C 00 65 00 5F 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 5F 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 53 00 20 00 46 00 4C 00 44 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 46 00 4C 00 44 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 4E 00 61 00 6D 00 65 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 46 00 4C 00 44 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 4B 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 2A 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 53 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3C 00 3E 00 20 00 31 00 20 00 6F 00 72 00 64 00 65 00 72 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 44 00 42 00 24 00 00 00 00 00 00 00 00 00 00 00 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 2F 00 2A 00 20 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 20 00 64 00 65 00 66 00 69 00 6E 00 69 00 74 00 69 00 6F 00 6E 00 73 00 20 00 2A 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 20 00 44 00 4F 00 4D 00 41 00 49 00 4E 00 20 00 25 00 73 00 20 00 41 00 53 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_30901_0 {
	meta:
		name = "TIBExtract.ListException"
		size = 1024
		refs = "0022 @UStrAddRef 002a TIBExtract.ListException 0039 TIBExtract.CreateIBSQL 007a TIBSQL.GetSQLParams 0084 TIBXSQLDA.ByName 008c TIBXSQLVAR.SetAsTrimString 0094 TIBSQL.ExecQuery 00d1 TIBSQL.FieldByName 00d9 TIBXSQLVAR.GetAsTrimString 00e5 TIBDatabase.GetSQLDialect 00ee QuoteIdentifier 0118 QuotedStr 013e Format 0151 TIBSQL.Next 0159 TIBSQL.GetEOF 0176 TObject.Free 017c @HandleFinally 0198 @UStrArrayClr 01a0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 C9 89 4D F4 89 4D D8 89 4D D0 89 4D CC 89 4D D4 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 12 8B 45 F8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C EB 2A 8B 45 F8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E9 B8 00 00 00 84 DB 74 23 8B 46 40 33 D2 8B 08 FF 51 38 8B 46 40 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 46 40 33 D2 8B 08 FF 51 38 33 DB 8D 45 F4 50 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 46 38 E8 ?? ?? ?? ?? 8D 4D D8 5A E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 89 45 E4 C6 45 E8 11 66 C7 45 EC 3B 00 C6 45 F0 09 8D 55 DC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 46 40 8B 08 FF 51 38 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 38 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 38 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 2A 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 45 00 58 00 43 00 45 00 50 00 54 00 49 00 4F 00 4E 00 53 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 45 00 58 00 43 00 45 00 50 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 62 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 2A 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 45 00 58 00 43 00 45 00 50 00 54 00 49 00 4F 00 4E 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 52 00 44 00 42 00 24 00 45 00 58 00 43 00 45 00 50 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 45 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 4E 00 61 00 6D 00 65 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 45 00 58 00 43 00 45 00 50 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 45 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 2F 00 2A 00 20 00 20 00 45 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 73 00 20 00 2A 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 44 00 42 00 24 00 45 00 58 00 43 00 45 00 50 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 44 00 42 00 24 00 4D 00 45 00 53 00 53 00 41 00 47 00 45 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 20 00 45 00 58 00 43 00 45 00 50 00 54 00 49 00 4F 00 4E 00 20 00 25 00 73 00 20 00 25 00 73 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_30902_0 {
	meta:
		name = "TIBExtract.ListFilters"
		size = 1436
		refs = "0022 @UStrAddRef 002a TIBExtract.ListFilters 0039 TIBExtract.CreateIBSQL 007a TIBSQL.GetSQLParams 0084 TIBXSQLDA.ByName 008c TIBXSQLVAR.SetAsTrimString 0094 TIBSQL.ExecQuery 00d1 TIBSQL.FieldByName 00d9 TIBXSQLVAR.GetAsTrimString 00f5 TIBXSQLVAR.GetAsLong 0127 Format 01b7 TIBSQL.Next 01bf TIBSQL.GetEOF 01dc TObject.Free 01e2 @HandleFinally 01fe @UStrArrayClr 0213 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 33 C9 89 4D D4 89 4D B0 89 4D AC 89 4D F4 89 4D D8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 12 8B 45 F8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C EB 2A 8B 45 F8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E9 1E 01 00 00 84 DB 74 23 8B 46 40 33 D2 8B 08 FF 51 38 8B 46 40 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 46 40 33 D2 8B 08 FF 51 38 33 DB 8D 45 F4 50 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC C6 45 F0 00 8D 55 DC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 46 40 8B 08 FF 51 38 8D 45 D4 50 66 C7 45 B4 09 00 C6 45 B8 09 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 B0 E8 ?? ?? ?? ?? 8B 45 B0 89 45 BC C6 45 C0 11 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 AC E8 ?? ?? ?? ?? 8B 45 AC 89 45 C4 C6 45 C8 11 66 C7 45 CC 3B 00 C6 45 D0 09 8D 55 B4 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 46 40 8B 08 FF 51 38 8B 46 40 33 D2 8B 08 FF 51 38 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 D2 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 34 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 4C 00 54 00 45 00 52 00 53 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 5C 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 4C 00 54 00 45 00 52 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 46 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 4E 00 61 00 6D 00 65 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 46 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 2F 00 2A 00 20 00 20 00 42 00 4C 00 4F 00 42 00 20 00 46 00 69 00 6C 00 74 00 65 00 72 00 20 00 64 00 65 00 63 00 6C 00 61 00 72 00 61 00 74 00 69 00 6F 00 6E 00 73 00 20 00 2A 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 44 00 42 00 24 00 49 00 4E 00 50 00 55 00 54 00 5F 00 53 00 55 00 42 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 52 00 44 00 42 00 24 00 4F 00 55 00 54 00 50 00 55 00 54 00 5F 00 53 00 55 00 42 00 5F 00 54 00 59 00 50 00 45 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 44 00 45 00 43 00 4C 00 41 00 52 00 45 00 20 00 46 00 49 00 4C 00 54 00 45 00 52 00 20 00 25 00 73 00 20 00 49 00 4E 00 50 00 55 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 25 00 64 00 20 00 4F 00 55 00 54 00 50 00 55 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 25 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 45 00 4E 00 54 00 52 00 59 00 50 00 4F 00 49 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 44 00 42 00 24 00 4D 00 4F 00 44 00 55 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 25 00 73 00 45 00 4E 00 54 00 52 00 59 00 5F 00 50 00 4F 00 49 00 4E 00 54 00 20 00 27 00 25 00 73 00 27 00 20 00 4D 00 4F 00 44 00 55 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 27 00 25 00 73 00 27 00 25 00 73 00 25 00 00 00 00 00 }
	condition:
		$1
}

rule function_30903_0 {
	meta:
		name = "TIBExtract.ListForeign"
		size = 6452
		refs = "0020 @UStrAddRef 0028 TIBExtract.ListForeign 0035 TIBExtract.CreateIBSQL 007b TIBSQL.GetSQLParams 0085 TIBXSQLDA.ByName 008d TIBXSQLVAR.SetAsTrimString 00c1 TIBSQL.ExecQuery 00d7 TIBSQL.FieldByName 00df TIBXSQLVAR.GetAsTrimString 00eb TIBDatabase.GetSQLDialect 00f4 QuoteIdentifier 010d Format 011f TIBXSQLVAR.GetIsNull 0149 Pos 0170 Trim 01a9 @UStrCat 01cf TIBExtract.GetIndexSegments 02c2 @UStrEqual 03cf TIBSQL.Next 03d7 TIBSQL.GetEOF 03f4 TObject.Free 03fa @HandleFinally 0419 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 11 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 12 8B 45 F4 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C EB 5B 80 FB 01 75 2C 8B 45 F4 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? EB 2A 8B 45 F4 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E9 09 03 00 00 8D 45 F8 50 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 46 38 E8 ?? ?? ?? ?? 8D 4D E8 5A E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 82 00 00 00 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 74 5D 8D 45 DC 50 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 46 38 E8 ?? ?? ?? ?? 8D 4D D8 5A E8 ?? ?? ?? ?? 8B 45 D8 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 CC 50 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 B4 E8 ?? ?? ?? ?? 8B 55 B4 8D 4D B8 8B C6 E8 ?? ?? ?? ?? 8B 45 B8 89 45 BC C6 45 C0 11 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 A8 E8 ?? ?? ?? ?? 8B 45 A8 8D 55 AC E8 ?? ?? ?? ?? 8B 45 AC 50 8B 46 38 E8 ?? ?? ?? ?? 8D 4D B0 5A E8 ?? ?? ?? ?? 8B 45 B0 89 45 C4 C6 45 C8 11 8D 55 BC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 A4 50 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 9C E8 ?? ?? ?? ?? 8B 55 9C 8D 4D A0 8B C6 E8 ?? ?? ?? ?? 8B 45 A0 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8D 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 77 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 94 E8 ?? ?? ?? ?? 8B 45 94 8D 55 98 E8 ?? ?? ?? ?? 8B 45 98 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 48 8D 45 90 50 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 88 E8 ?? ?? ?? ?? 8B 45 88 8D 55 8C E8 ?? ?? ?? ?? 8B 45 8C 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 90 8D 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 89 00 00 00 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 80 E8 ?? ?? ?? ?? 8B 45 80 8D 55 84 E8 ?? ?? ?? ?? 8B 45 84 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 5A 8D 85 7C FF FF FF 50 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 95 74 FF FF FF E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 8D 95 78 FF FF FF E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 40 8B 55 F8 8B 08 FF 51 38 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 E7 FC FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 74 FF FF FF BA 12 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF D5 02 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 52 00 45 00 46 00 43 00 2E 00 52 00 44 00 42 00 24 00 55 00 50 00 44 00 41 00 54 00 45 00 5F 00 52 00 55 00 4C 00 45 00 20 00 52 00 45 00 46 00 43 00 5F 00 55 00 50 00 44 00 41 00 54 00 45 00 5F 00 52 00 55 00 4C 00 45 00 2C 00 20 00 52 00 45 00 46 00 43 00 2E 00 52 00 44 00 42 00 24 00 44 00 45 00 4C 00 45 00 54 00 45 00 5F 00 52 00 55 00 4C 00 45 00 20 00 52 00 45 00 46 00 43 00 5F 00 44 00 45 00 4C 00 45 00 54 00 45 00 5F 00 52 00 55 00 4C 00 45 00 2C 00 20 00 20 00 20 00 52 00 45 00 4C 00 43 00 31 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 52 00 45 00 4C 00 43 00 31 00 5F 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 45 00 4C 00 43 00 32 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 52 00 45 00 4C 00 43 00 32 00 5F 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 52 00 45 00 4C 00 43 00 31 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 52 00 45 00 4C 00 43 00 31 00 5F 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 45 00 4C 00 43 00 31 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 52 00 45 00 4C 00 43 00 31 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 52 00 45 00 4C 00 43 00 32 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 52 00 45 00 4C 00 43 00 32 00 5F 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 46 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 52 00 45 00 46 00 43 00 2C 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 52 00 45 00 4C 00 43 00 31 00 2C 00 20 00 20 00 20 00 20 00 20 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 52 00 45 00 4C 00 43 00 32 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 52 00 45 00 4C 00 43 00 31 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 27 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 20 00 4B 00 45 00 59 00 27 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 52 00 45 00 46 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 5F 00 55 00 51 00 20 00 3D 00 20 00 52 00 45 00 4C 00 43 00 32 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 52 00 45 00 46 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 52 00 45 00 4C 00 43 00 31 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 28 00 52 00 45 00 4C 00 43 00 32 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 27 00 55 00 4E 00 49 00 51 00 55 00 45 00 27 00 20 00 4F 00 52 00 20 00 20 00 20 00 20 00 20 00 52 00 45 00 4C 00 43 00 32 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 27 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 20 00 4B 00 45 00 59 00 27 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 45 00 4C 00 43 00 31 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 45 00 4C 00 43 00 31 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 00 03 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 52 00 45 00 46 00 43 00 2E 00 52 00 44 00 42 00 24 00 55 00 50 00 44 00 41 00 54 00 45 00 5F 00 52 00 55 00 4C 00 45 00 20 00 52 00 45 00 46 00 43 00 5F 00 55 00 50 00 44 00 41 00 54 00 45 00 5F 00 52 00 55 00 4C 00 45 00 2C 00 20 00 52 00 45 00 46 00 43 00 2E 00 52 00 44 00 42 00 24 00 44 00 45 00 4C 00 45 00 54 00 45 00 5F 00 52 00 55 00 4C 00 45 00 20 00 52 00 45 00 46 00 43 00 5F 00 44 00 45 00 4C 00 45 00 54 00 45 00 5F 00 52 00 55 00 4C 00 45 00 2C 00 20 00 20 00 20 00 52 00 45 00 4C 00 43 00 31 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 52 00 45 00 4C 00 43 00 31 00 5F 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 45 00 4C 00 43 00 32 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 52 00 45 00 4C 00 43 00 32 00 5F 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 52 00 45 00 4C 00 43 00 31 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 52 00 45 00 4C 00 43 00 31 00 5F 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 45 00 4C 00 43 00 31 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 52 00 45 00 4C 00 43 00 31 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 52 00 45 00 4C 00 43 00 32 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 52 00 45 00 4C 00 43 00 32 00 5F 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 46 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 52 00 45 00 46 00 43 00 2C 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 52 00 45 00 4C 00 43 00 31 00 2C 00 20 00 20 00 20 00 20 00 20 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 52 00 45 00 4C 00 43 00 32 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 52 00 45 00 4C 00 43 00 31 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 54 00 61 00 62 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 52 00 45 00 4C 00 43 00 31 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 27 00 46 00 4F 00 52 00 45 00 49 00 47 00 4E 00 20 00 4B 00 45 00 59 00 27 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 52 00 45 00 46 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 5F 00 55 00 51 00 20 00 3D 00 20 00 52 00 45 00 4C 00 43 00 32 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 52 00 45 00 46 00 43 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 52 00 45 00 4C 00 43 00 31 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 28 00 52 00 45 00 4C 00 43 00 32 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 27 00 55 00 4E 00 49 00 51 00 55 00 45 00 27 00 20 00 4F 00 52 00 20 00 20 00 20 00 20 00 20 00 52 00 45 00 4C 00 43 00 32 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 27 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 20 00 4B 00 45 00 59 00 27 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 45 00 4C 00 43 00 31 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 45 00 4C 00 43 00 31 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 }
	condition:
		$1
}

rule function_30904_0 {
	meta:
		name = "TIBExtract.ListFunctions"
		size = 4652
		refs = "001c @UStrAddRef 0024 TIBExtract.ListFunctions 0036 TIBExtract.CreateIBSQL 0098 TIBSQL.GetSQLParams 00a2 TIBXSQLDA.ByName 00aa TIBXSQLVAR.SetAsTrimString 00e2 TIBSQL.ExecQuery 011b Format 013e TIBSQL.FieldByName 0146 TIBXSQLVAR.GetAsTrimString 0175 @UStrClr 01cb TIBXSQLVAR.GetAsLong 01d7 ColumnTypes 021d TIBXSQLVAR.SetAsLong 0271 Max 02b9 TIBSQL.Next 02c1 TIBSQL.GetEOF 02d1 TIBSQL.Close 032c TIBDatabaseInfo.GetODSMajorVersion 03c3 TIBXSQLVAR.GetIsNull 0419 IntegralSubtypes 0587 @UStrLAsg 05df @UStrCat3 05ff IntToStr 0632 @UStrCat 068a @UStrCatN 07a1 TObject.Free 07bf @HandleFinally 07de @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 15 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 89 55 FC 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 DB 01 8B 45 EC E8 ?? ?? ?? ?? 89 45 E8 8B 45 EC E8 ?? ?? ?? ?? 89 45 E4 8B 45 EC E8 ?? ?? ?? ?? 89 45 DC 8B 45 EC E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 12 8B 45 E8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C EB 2A 8B 45 E8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 E8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E4 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 DC 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 E0 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 E8 E8 ?? ?? ?? ?? E9 95 06 00 00 80 7D DB 00 74 40 8D 45 D0 50 B8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 8D 55 C0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B 45 EC 8B 40 40 8B 08 FF 51 38 C6 45 DB 00 8D 45 BC 50 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 B0 E8 ?? ?? ?? ?? 8B 45 B0 89 45 B4 C6 45 B8 11 8D 55 B4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 45 EC 8B 40 40 8B 08 FF 51 38 8D 45 F0 E8 ?? ?? ?? ?? C6 45 DA 01 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 AC E8 ?? ?? ?? ?? 8B 45 AC 50 8B 45 E4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? E9 DB 04 00 00 33 DB BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 01 43 3B 34 DD ?? ?? ?? ?? 75 F6 8B C6 83 E8 0E 74 0E 83 E8 17 74 09 83 E8 03 0F 85 2F 01 00 00 C6 45 D9 00 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 E0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? E9 8F 00 00 00 C6 45 D9 01 8D 45 F4 50 8B 04 DD ?? ?? ?? ?? 89 45 94 C6 45 98 11 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B D0 58 8B CA 99 F7 F9 89 45 9C C6 45 A0 00 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 90 E8 ?? ?? ?? ?? 8B 45 90 89 45 A4 C6 45 A8 11 8D 55 94 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 84 61 FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? 80 7D D9 00 0F 85 AC 02 00 00 8D 45 F4 50 8B 04 DD ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 00 8D 55 C0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6A 02 00 00 C6 45 D8 00 8B 45 EC 8B 40 44 E8 ?? ?? ?? ?? 83 F8 0A 0F 8C 55 01 00 00 8B C6 83 C0 F9 83 E8 02 72 09 83 E8 07 0F 85 42 01 00 00 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8D 55 8C E8 ?? ?? ?? ?? 8B 45 8C 50 8B 45 DC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 DC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? E9 C1 00 00 00 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 9F 00 00 00 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 85 00 00 00 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 02 7F 6E 8D 45 F4 50 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 85 ?? ?? ?? ?? 89 45 94 C6 45 98 11 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 9C C6 45 A0 00 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 89 45 A4 C6 45 A8 00 8D 55 94 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 D8 01 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 84 C0 0F 84 2F FF FF FF 8B 45 DC E8 ?? ?? ?? ?? 80 7D D8 00 0F 85 F3 00 00 00 83 FE 07 75 49 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7D 33 8D 45 F4 50 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 89 45 B4 C6 45 B8 00 8D 55 B4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A5 00 00 00 83 FE 08 75 46 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7D 30 8D 45 F4 50 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 89 45 B4 C6 45 B8 00 8D 55 B4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5A 83 FE 1B 75 46 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7D 30 8D 45 F4 50 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 89 45 B4 C6 45 B8 00 8D 55 B4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0F 8D 45 F4 8B 14 DD ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 D7 01 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B D8 0F 85 9C 00 00 00 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 16 8D 45 F8 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 D7 00 EB 2A BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 88 E8 ?? ?? ?? ?? 8B 4D 88 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7D 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D D7 00 74 2F 80 7D DA 00 74 11 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? C6 45 DA 00 EB 18 FF 75 F0 68 ?? ?? ?? ?? FF 75 F4 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 0F 84 15 FB FF FF 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 40 8B 55 F0 8B 08 FF 51 38 8B 45 EC 8B 40 40 8B 55 F8 8B 08 FF 51 38 8D 45 84 50 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 95 58 FF FF FF E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 89 85 5C FF FF FF C6 85 60 FF FF FF 11 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 95 54 FF FF FF E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 89 85 64 FF FF FF C6 85 68 FF FF FF 11 66 C7 85 6C FF FF FF 3B 00 C6 85 70 FF FF FF 09 B8 ?? ?? ?? ?? 89 85 74 FF FF FF C6 85 78 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 7C FF FF FF C6 45 80 11 8D 95 5C FF FF FF B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 84 8B 45 EC 8B 40 40 8B 08 FF 51 38 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 84 5B F9 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 54 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 84 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B1 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 36 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 53 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 5E 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 46 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 4E 00 61 00 6D 00 65 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 46 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 6E 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 41 00 52 00 47 00 55 00 4D 00 45 00 4E 00 54 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 3A 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 41 00 52 00 47 00 55 00 4D 00 45 00 4E 00 54 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 88 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 41 00 52 00 47 00 55 00 4D 00 45 00 4E 00 54 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 52 00 44 00 42 00 24 00 41 00 52 00 47 00 55 00 4D 00 45 00 4E 00 54 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 20 00 3D 00 20 00 3A 00 52 00 44 00 42 00 24 00 41 00 52 00 47 00 55 00 4D 00 45 00 4E 00 54 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 51 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 49 00 44 00 20 00 3D 00 20 00 3A 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 25 00 73 00 2F 00 2A 00 20 00 20 00 45 00 78 00 74 00 65 00 72 00 6E 00 61 00 6C 00 20 00 46 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 64 00 65 00 63 00 6C 00 61 00 72 00 61 00 74 00 69 00 6F 00 6E 00 73 00 20 00 2A 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 52 00 44 00 42 00 24 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 44 00 45 00 43 00 4C 00 41 00 52 00 45 00 20 00 45 00 58 00 54 00 45 00 52 00 4E 00 41 00 4C 00 20 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 46 00 55 00 4E 00 43 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 52 00 44 00 42 00 24 00 42 00 59 00 54 00 45 00 53 00 5F 00 50 00 45 00 52 00 5F 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 25 00 73 00 28 00 25 00 64 00 29 00 20 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 20 00 53 00 45 00 54 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 28 00 25 00 64 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 52 00 44 00 42 00 24 00 41 00 52 00 47 00 55 00 4D 00 45 00 4E 00 54 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 52 00 45 00 43 00 49 00 53 00 49 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 55 00 42 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 43 00 41 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 73 00 28 00 25 00 64 00 2C 00 20 00 25 00 64 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4E 00 55 00 4D 00 45 00 }
	condition:
		$1
}

rule function_30905_0 {
	meta:
		name = "TIBExtract.ListGenerators"
		size = 1380
		refs = "001c @UStrAddRef 0024 TIBExtract.ListGenerators 0031 TIBExtract.CreateIBSQL 0072 TIBSQL.GetSQLParams 007c TIBXSQLDA.ByName 0084 TIBXSQLVAR.SetAsTrimString 008c TIBSQL.ExecQuery 00a8 TIBSQL.FieldByName 00b0 TIBXSQLVAR.GetAsTrimString 00bd Pos 014c TIBSQL.Next 015a TIBDatabase.GetSQLDialect 0165 QuoteIdentifier 018b Format 01a6 TIBSQL.GetEOF 01c3 TObject.Free 01c9 @HandleFinally 01e0 @UStrClr 01f5 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 C9 89 4D E0 89 4D CC 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 12 8B 45 F4 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C EB 2A 8B 45 F4 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 46 40 33 D2 8B 08 FF 51 38 E9 03 01 00 00 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 2A B8 ?? ?? ?? ?? 89 45 F0 8B 45 F8 0F B7 40 08 8B 55 F0 66 3D FF 00 77 06 0F B7 C0 0F A3 02 0F 92 C0 88 45 EF 0F B6 5D EF EB 02 33 DB 84 DB 74 06 C6 45 E5 01 EB 48 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 2D B8 ?? ?? ?? ?? 89 45 E8 8B 45 F8 0F B7 40 08 8B 55 E8 66 3D FF 00 77 06 0F B7 C0 0F A3 02 0F 92 C0 88 45 E7 0F B6 45 E7 88 45 E6 EB 04 C6 45 E6 00 0F B6 45 E6 88 45 E5 80 7D E5 00 74 0A 8B 45 F4 E8 ?? ?? ?? ?? EB 50 8D 45 E0 50 8B 46 38 E8 ?? ?? ?? ?? 8D 4D CC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 66 C7 45 D8 3B 00 C6 45 DC 09 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 46 40 8B 08 FF 51 38 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 ED FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 83 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 52 00 44 00 42 00 24 00 47 00 45 00 4E 00 45 00 52 00 41 00 54 00 4F 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 47 00 45 00 4E 00 45 00 52 00 41 00 54 00 4F 00 52 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 28 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 4F 00 52 00 20 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3C 00 3E 00 20 00 31 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 47 00 45 00 4E 00 45 00 52 00 41 00 54 00 4F 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF AB 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 52 00 44 00 42 00 24 00 47 00 45 00 4E 00 45 00 52 00 41 00 54 00 4F 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 47 00 45 00 4E 00 45 00 52 00 41 00 54 00 4F 00 52 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 52 00 44 00 42 00 24 00 47 00 45 00 4E 00 45 00 52 00 41 00 54 00 4F 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 47 00 65 00 6E 00 65 00 72 00 61 00 74 00 6F 00 72 00 4E 00 61 00 6D 00 65 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 28 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 4F 00 52 00 20 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3C 00 3E 00 20 00 31 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 47 00 45 00 4E 00 45 00 52 00 41 00 54 00 4F 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 65 00 6E 00 65 00 72 00 61 00 74 00 6F 00 72 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 44 00 42 00 24 00 47 00 45 00 4E 00 45 00 52 00 41 00 54 00 4F 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 44 00 42 00 24 00 00 00 00 00 00 00 00 00 00 00 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 51 00 4C 00 24 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 20 00 47 00 45 00 4E 00 45 00 52 00 41 00 54 00 4F 00 52 00 20 00 25 00 73 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_30906_0 {
	meta:
		name = "TIBExtract.ListIndex"
		size = 4088
		refs = "0034 @UStrAddRef 003c TIBExtract.ListIndex 004b TIBExtract.CreateIBSQL 0092 TIBSQL.GetSQLParams 009c TIBXSQLDA.ByName 00a4 TIBXSQLVAR.SetAsTrimString 00d8 TIBSQL.ExecQuery 0115 @UStrCatN 012f TIBSQL.FieldByName 0134 TIBXSQLVAR.GetAsLong 0144 @UStrLAsg 014e @UStrClr 01a7 TIBXSQLVAR.GetAsTrimString 01b3 TIBDatabase.GetSQLDialect 01bc QuoteIdentifier 020c Format 0231 TIBExtract.GetIndexSegments 025e TIBSQL.Next 0266 TIBSQL.GetEOF 0283 TObject.Free 0289 @HandleFinally 02a5 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 33 DB 89 5D B0 89 5D AC 89 5D C0 89 5D B8 89 5D B4 89 5D BC 89 5D E4 89 5D F8 89 5D F4 89 5D F0 88 4D EF 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B C6 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 12 8B 45 E8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C EB 5C 80 7D EF 01 75 2C 8B 45 E8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 E8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? EB 2A 8B 45 E8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 E8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E9 81 01 00 00 84 DB 74 41 83 7D FC 00 75 0F 8B 46 40 BA ?? ?? ?? ?? 8B 08 FF 51 38 EB 2A 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 46 40 8B 08 FF 51 38 33 DB BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 F8 89 45 C4 C6 45 C8 11 8B 45 F4 89 45 CC C6 45 D0 11 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 BC E8 ?? ?? ?? ?? 8B 45 BC 50 8B 46 38 E8 ?? ?? ?? ?? 8D 4D C0 5A E8 ?? ?? ?? ?? 8B 45 C0 89 45 D4 C6 45 D8 11 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 B4 E8 ?? ?? ?? ?? 8B 45 B4 50 8B 46 38 E8 ?? ?? ?? ?? 8D 4D B8 5A E8 ?? ?? ?? ?? 8B 45 B8 89 45 DC C6 45 E0 11 8D 55 C4 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F0 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 AC E8 ?? ?? ?? ?? 8B 55 AC 8D 4D B0 8B C6 E8 ?? ?? ?? ?? FF 75 B0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 46 40 8B 55 F0 8B 08 FF 51 38 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 84 6F FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF A4 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 55 00 4E 00 49 00 51 00 55 00 45 00 5F 00 46 00 4C 00 41 00 47 00 2C 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 54 00 59 00 50 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 49 00 43 00 45 00 53 00 20 00 49 00 44 00 58 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 52 00 45 00 4C 00 43 00 20 00 4F 00 4E 00 20 00 20 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 52 00 45 00 4C 00 43 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 52 00 45 00 4C 00 43 00 2E 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3C 00 3E 00 20 00 31 00 20 00 4F 00 52 00 20 00 52 00 45 00 4C 00 43 00 2E 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 4E 00 4F 00 54 00 20 00 45 00 58 00 49 00 53 00 54 00 53 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 52 00 43 00 20 00 20 00 20 00 20 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 52 00 43 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF D1 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 55 00 4E 00 49 00 51 00 55 00 45 00 5F 00 46 00 4C 00 41 00 47 00 2C 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 54 00 59 00 50 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 49 00 43 00 45 00 53 00 20 00 49 00 44 00 58 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 52 00 45 00 4C 00 43 00 20 00 4F 00 4E 00 20 00 20 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 52 00 45 00 4C 00 43 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 52 00 45 00 4C 00 43 00 2E 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3C 00 3E 00 20 00 31 00 20 00 4F 00 52 00 20 00 52 00 45 00 4C 00 43 00 2E 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 52 00 45 00 4C 00 43 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 52 00 65 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 4E 00 61 00 6D 00 65 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 4E 00 4F 00 54 00 20 00 45 00 58 00 49 00 53 00 54 00 53 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 52 00 43 00 20 00 20 00 20 00 20 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 52 00 43 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 65 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF CA 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 55 00 4E 00 49 00 51 00 55 00 45 00 5F 00 46 00 4C 00 41 00 47 00 2C 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 54 00 59 00 50 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 49 00 43 00 45 00 53 00 20 00 49 00 44 00 58 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 52 00 45 00 4C 00 43 00 20 00 4F 00 4E 00 20 00 20 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 52 00 45 00 4C 00 43 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 28 00 52 00 45 00 4C 00 43 00 2E 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3C 00 3E 00 20 00 31 00 20 00 4F 00 52 00 20 00 52 00 45 00 4C 00 43 00 2E 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 49 00 6E 00 64 00 65 00 78 00 4E 00 61 00 6D 00 65 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 4E 00 4F 00 54 00 20 00 45 00 58 00 49 00 53 00 54 00 53 00 20 00 28 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 52 00 43 00 20 00 20 00 20 00 20 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 52 00 43 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 29 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 44 00 58 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 64 00 65 00 78 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 0D 00 0A 00 2F 00 2A 00 20 00 20 00 49 00 6E 00 64 00 65 00 78 00 20 00 64 00 65 00 66 00 69 00 6E 00 69 00 74 00 69 00 6F 00 6E 00 73 00 20 00 66 00 6F 00 72 00 20 00 61 00 6C 00 6C 00 20 00 75 00 73 00 65 00 72 00 20 00 74 00 61 00 62 00 6C 00 65 00 73 00 20 00 2A 00 2F 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 0D 00 0A 00 2F 00 2A 00 20 00 20 00 49 00 6E 00 64 00 65 00 78 00 20 00 64 00 65 00 66 00 69 00 6E 00 69 00 74 00 69 00 6F 00 6E 00 73 00 20 00 66 00 6F 00 72 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 2A 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 44 00 42 00 24 00 55 00 4E 00 49 00 51 00 55 00 45 00 5F 00 46 00 4C 00 41 00 47 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 55 00 4E 00 49 00 51 00 55 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 44 00 45 00 53 00 43 00 45 00 4E 00 44 00 49 00 4E 00 47 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 25 00 73 00 25 00 73 00 20 00 49 00 4E 00 44 00 45 00 58 00 20 00 25 00 73 00 20 00 4F 00 4E 00 20 00 25 00 73 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_30907_0 {
	meta:
		name = "TIBExtract.ListViews"
		size = 2692
		refs = "001b @UStrAddRef 0023 TIBExtract.ListViews 0030 TIBExtract.CreateIBSQL 0044 _Dn_TStringList 0049 TStringList.Create 008a TIBSQL.GetSQLParams 0094 TIBXSQLDA.ByName 009c TIBXSQLVAR.SetAsTrimString 00b4 TIBSQL.ExecQuery 00d6 TIBSQL.FieldByName 00de TIBXSQLVAR.GetAsTrimString 0125 Format 0155 TIBDatabase.GetSQLDialect 015e QuoteIdentifier 01fa @UStrCat3 020d TIBSQL.Next 0215 TIBSQL.GetEOF 023c @UStrCat 026c TIBSQL.Close 02c0 TIBXSQLVAR.GetIsNull 0397 TObject.Free 03ad @HandleFinally 03c9 @UStrArrayClr 03de @UStrClr"
	strings:
		$1 = { 55 8B EC B9 11 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B C3 E8 ?? ?? ?? ?? 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 12 8B 45 F8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C EB 2A 8B 45 F8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 F8 E8 ?? ?? ?? ?? E9 B9 02 00 00 8D 45 EC 50 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 89 45 D4 C6 45 D8 11 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 C4 E8 ?? ?? ?? ?? 8B 45 C4 89 45 DC C6 45 E0 11 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 55 CC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 8B 08 FF 51 38 8D 45 C0 50 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 B0 E8 ?? ?? ?? ?? 8B 45 B0 50 8B 43 38 E8 ?? ?? ?? ?? 8D 4D B4 5A E8 ?? ?? ?? ?? 8B 45 B4 89 45 B8 C6 45 BC 11 8D 55 B8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F0 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 AC E8 ?? ?? ?? ?? 8B 45 AC 50 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E9 94 00 00 00 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 A0 E8 ?? ?? ?? ?? 8B 45 A0 50 8B 43 38 E8 ?? ?? ?? ?? 8D 4D A4 5A E8 ?? ?? ?? ?? 8B 4D A4 8D 45 A8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 8B 45 F0 8B 08 FF 51 38 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 3B 8B 45 F0 8B 10 FF 52 14 8B D0 4A 8D 4D 9C 8B 45 F0 8B 30 FF 56 0C 8D 45 9C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 50 8B 45 F0 8B 10 FF 52 14 8B D0 4A 8B 45 F0 59 8B 30 FF 56 20 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 5C FF FF FF 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 98 8B 45 F0 8B 08 FF 51 1C 8D 45 98 50 8D 45 94 50 B8 ?? ?? ?? ?? 89 45 B8 C6 45 BC 11 8D 55 B8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 58 E8 ?? ?? ?? ?? 8B 55 98 8B 45 F0 8B 08 FF 51 2C BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 38 8D 55 90 8B 45 F0 8B 08 FF 51 1C 8D 45 90 50 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 8C E8 ?? ?? ?? ?? 8B 55 8C 58 E8 ?? ?? ?? ?? 8B 55 90 8B 45 F0 8B 08 FF 51 2C 8D 55 88 8B 45 F0 8B 08 FF 51 1C 8D 45 88 50 8D 45 84 50 66 C7 85 74 FF FF FF 3B 00 C6 85 78 FF FF FF 09 B8 ?? ?? ?? ?? 89 85 7C FF FF FF C6 45 80 11 8D 95 74 FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 84 58 E8 ?? ?? ?? ?? 8B 55 88 8B 45 F0 8B 08 FF 51 2C 8B 43 40 8B 55 F0 8B 08 FF 51 40 8B 45 F0 8B 10 FF 52 44 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 37 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 84 BA 0D 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF D2 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 44 00 42 00 24 00 4F 00 57 00 4E 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 28 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3C 00 3E 00 20 00 31 00 20 00 4F 00 52 00 20 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 4E 00 4F 00 54 00 20 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 42 00 4C 00 52 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 52 00 44 00 42 00 24 00 46 00 4C 00 41 00 47 00 53 00 20 00 3D 00 20 00 31 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF F6 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 44 00 42 00 24 00 4F 00 57 00 4E 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 28 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3C 00 3E 00 20 00 31 00 20 00 4F 00 52 00 20 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 4E 00 4F 00 54 00 20 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 42 00 4C 00 52 00 20 00 49 00 53 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 52 00 44 00 42 00 24 00 46 00 4C 00 41 00 47 00 53 00 20 00 3D 00 20 00 31 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 56 00 69 00 65 00 77 00 4E 00 61 00 6D 00 65 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 56 00 69 00 65 00 77 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 75 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 46 00 49 00 45 00 4C 00 44 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 4F 00 57 00 4E 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 25 00 73 00 2F 00 2A 00 20 00 56 00 69 00 65 00 77 00 3A 00 20 00 25 00 73 00 2C 00 20 00 4F 00 77 00 6E 00 65 00 72 00 3A 00 20 00 25 00 73 00 20 00 2A 00 2F 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 20 00 56 00 49 00 45 00 57 00 20 00 25 00 73 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 29 00 20 00 41 00 53 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 73 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_30908_0 {
	meta:
		name = "TIBExtract.PrintSet"
		size = 152
		refs = "0011 TIBExtract.PrintSet 0016 @UStrAsg 003a Format"
	strings:
		$1 = { 53 56 83 C4 F8 8B F1 8B DA 80 3B 00 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 03 01 EB 1F 56 B8 ?? ?? ?? ?? 89 44 24 04 C6 44 24 08 11 8D 54 24 04 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 20 00 53 00 45 00 54 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 2C 00 20 00 25 00 73 00 20 00 20 00 20 00 20 00 20 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_30909_0 {
	meta:
		name = "TIBExtract.PrintValidation"
		size = 372
		refs = "001a @UStrAddRef 0022 TIBExtract.PrintValidation 0031 @UStrClr 003c Trim 0047 @UStrLAsg 0067 Pos 00a1 @UStrCatN 00ca @UStrAsg 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 88 4D FB 89 55 FC 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 74 0D 8B 45 FC 66 83 38 28 75 26 B3 01 EB 22 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 48 74 10 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 48 75 02 B3 01 84 DB 75 40 80 7D FB 00 74 1D FF 36 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 27 FF 36 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 68 00 65 00 63 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 48 00 45 00 43 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2F 00 2A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 2A 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_30910_0 {
	meta:
		name = "TIBExtract.SetDatabase"
		size = 52
		refs = "0023 TIBExtract.SetTransaction 002e TIBDatabaseInfo.SetDatabase"
	strings:
		$1 = { 53 8B D8 3B 53 38 74 2A 89 53 38 83 7B 3C 00 75 16 83 7B 38 00 74 10 8B 43 38 8B 90 C8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 53 38 8B 43 44 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30911_0 {
	meta:
		name = "TIBExtract.SetTransaction"
		size = 32
		refs = "001b TIBExtract.SetDatabase"
	strings:
		$1 = { 3B 50 3C 74 1A 89 50 3C 83 78 38 00 75 11 83 78 3C 00 74 0B 8B 50 3C 8B 52 44 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30912_0 {
	meta:
		name = "TIBExtract.ExtractObject"
		size = 1220
		refs = "0013 @UStrAddRef 001b TIBExtract.ExtractObject 0030 TIBTransaction.GetInTransaction 003f TIBTransaction.StartTransaction 005b _Dn_TIBSQL 0060 TIBSQL.Create 0089 TIBSQL.ExecQuery 0091 TIBSQL.GetEOF 009f TIBSQL.GetFields 00a4 TIBXSQLVAR.GetAsLong 00cb TObject.Free 00d1 @HandleFinally 012f TIBExtract.ExtractDDL 0147 TIBExtract.ListDomains 018a TIBExtract.ExtractListTable 019d TIBExtract.ListIndex 01b0 TIBExtract.ListForeign 01c3 TIBExtract.ListCheck 01d6 TIBExtract.ListTriggers 01ec TIBExtract.ShowGrants 0201 TIBExtract.ListData 0210 TIBExtract.ListAllTables 0220 TIBExtract.ListViews 024e TIBExtract.ListProcs 025e TIBExtract.ListFunctions 026e TIBExtract.ListGenerators 027e TIBExtract.ListException 028e TIBExtract.ListFilters 029e TIBExtract.ListRoles 0352 TIBTransaction.Commit 0367 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D FC 88 55 F7 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F6 00 8B 45 F8 8B 40 3C E8 ?? ?? ?? ?? 84 C0 75 0F 8B 45 F8 8B 40 3C E8 ?? ?? ?? ?? C6 45 F6 01 8B 45 F8 8B 40 40 8B 10 FF 52 44 8B 45 F8 8B 48 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 17 33 D2 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 50 EB 0A 8B 45 F8 C7 40 50 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 83 F8 0E 0F 87 61 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C9 B2 01 8B 45 F8 E8 ?? ?? ?? ?? E9 0D 02 00 00 F6 45 08 02 74 12 B1 01 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? E9 F5 01 00 00 33 C9 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? E9 E3 01 00 00 83 7D FC 00 0F 84 9E 00 00 00 F6 45 08 01 74 0D B1 01 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 33 C9 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? F6 45 08 20 74 0D B1 01 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? F6 45 08 10 74 0D B1 01 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? F6 45 09 01 74 0D B1 01 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? F6 45 08 08 74 0D B1 01 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? F6 45 08 80 74 10 B9 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? F6 45 08 40 0F 84 4B 01 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? E9 3B 01 00 00 B2 01 8B 45 F8 E8 ?? ?? ?? ?? E9 2C 01 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? F6 45 08 08 0F 84 17 01 00 00 B1 01 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? E9 05 01 00 00 F6 45 09 02 0F 95 C1 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? E9 EE 00 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? E9 DE 00 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? E9 CE 00 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? E9 BE 00 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? E9 AE 00 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? E9 9E 00 00 00 F6 45 08 02 74 12 B1 01 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? E9 86 00 00 00 B1 03 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 77 F6 45 08 02 74 0F B1 01 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 62 B1 04 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 53 F6 45 08 02 74 0F B1 01 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 3E B1 05 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 2F F6 45 08 02 74 0F B1 01 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 1A B1 08 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 0B 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 80 7D F6 00 74 0B 8B 45 F8 8B 40 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 94 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 43 00 53 00 54 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 49 00 44 00 20 00 20 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 53 00 20 00 43 00 53 00 54 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 52 00 44 00 42 00 24 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 20 00 44 00 42 00 20 00 4F 00 4E 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 43 00 53 00 54 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 44 00 42 00 2E 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_30913_0 {
	meta:
		name = "TIBExtract.GetFieldType"
		size = 732
		refs = "0026 TIBExtract.GetFieldType 0034 @UStrClr 003e ColumnTypes 0055 TIBDatabaseInfo.GetODSMajorVersion 0089 IntegralSubtypes 00ba Format 00c5 @UStrCat 01f6 @UStrArrayClr 020c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 89 5D C4 89 5D C8 89 5D D4 89 5D F0 89 4D F8 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? BE 0F 00 00 00 BB ?? ?? ?? ?? 3B 3B 0F 85 51 01 00 00 C6 45 F7 00 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? 83 F8 0A 7C 72 8B C7 83 C0 F9 83 E8 02 72 05 83 E8 07 75 63 83 7D 10 00 74 5D 83 7D F8 00 7E 57 83 7D F8 02 7F 51 8D 45 F0 50 8B 45 F8 8B 04 85 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8B 45 10 89 45 E0 C6 45 E4 00 8B 45 18 8B D0 F7 D8 89 45 E8 C6 45 EC 00 8D 55 D8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 C6 45 F7 01 80 7D F7 00 0F 85 CB 00 00 00 83 FF 07 75 38 83 7D 18 00 7D 32 8D 45 D4 50 8B 45 18 F7 D8 89 45 CC C6 45 D0 00 8D 55 CC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 E9 8E 00 00 00 83 FF 08 75 35 83 7D 18 00 7D 2F 8D 45 C8 50 8B 45 18 F7 D8 89 45 CC C6 45 D0 00 8D 55 CC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 EB 54 83 FF 1B 75 35 83 7D 18 00 7D 2F 8D 45 C4 50 8B 45 18 F7 D8 89 45 CC C6 45 D0 00 8D 55 CC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 EB 1A 8B 45 08 8B 53 04 E8 ?? ?? ?? ?? 8B 45 08 EB 0A 83 C3 08 4E 0F 85 9D FE FF FF 83 EF 0E 74 05 83 EF 17 75 31 83 7D 14 00 74 2B 8D 45 C0 50 8B 45 14 89 45 CC C6 45 D0 00 8D 55 CC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 14 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 73 00 28 00 25 00 64 00 2C 00 20 00 25 00 64 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4E 00 55 00 4D 00 45 00 52 00 49 00 43 00 28 00 34 00 2C 00 20 00 25 00 64 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4E 00 55 00 4D 00 45 00 52 00 49 00 43 00 28 00 39 00 2C 00 20 00 25 00 64 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 4E 00 55 00 4D 00 45 00 52 00 49 00 43 00 28 00 31 00 35 00 2C 00 20 00 25 00 64 00 29 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 28 00 25 00 64 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_30914_0 {
	meta:
		name = "MakePrivString"
		size = 96
		refs = "000f @UStrClr 0019 PrivTypes 002c MakePrivString 0031 @UStrCat"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 89 45 FC 8B C7 E8 ?? ?? ?? ?? BE 06 00 00 00 BB ?? ?? ?? ?? 8B 45 FC 23 03 74 1B 83 3F 00 74 0C 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 04 E8 ?? ?? ?? ?? 83 C3 08 4E 75 D8 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_30915_0 {
	meta:
		name = "TIBExtract.ShowGrants"
		size = 4868
		refs = "0021 @UStrAddRef 0031 TIBExtract.ShowGrants 0054 @UStrClr 0084 TIBExtract.CreateIBSQL 00ad TIBSQL.GetSQLParams 00b7 TIBXSQLDA.ByName 00bf TIBXSQLVAR.SetAsTrimString 00c7 TIBSQL.ExecQuery 00d9 TIBSQL.FieldByName 00de TIBXSQLVAR.GetIsNull 00f8 TIBXSQLVAR.GetAsLong 012f TIBXSQLVAR.GetAsTrimString 014f Trim 0160 @UStrEqual 01b4 MakePrivString 01d8 TIBDatabase.GetSQLDialect 01e3 QuoteIdentifier 021d Format 0250 @UStrLAsg 02e3 @UStrCat3 03f8 TIBSQL.Next 0400 TIBSQL.GetEOF 04a5 TIBSQL.Close 07d0 TObject.Free 07d6 @HandleFinally 07f5 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 19 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 97 07 00 00 C6 45 CB 01 C7 45 D0 FF FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 33 C0 89 45 CC C6 45 CA 00 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 C4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 C4 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 C4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? E9 2C 03 00 00 BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 F6 EB 14 BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8D 45 DC E8 ?? ?? ?? ?? EB 15 BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8D 55 C0 E8 ?? ?? ?? ?? 8B 45 C0 8D 55 D8 E8 ?? ?? ?? ?? 83 7D F4 00 74 0D 8B 45 F4 8B 55 D8 E8 ?? ?? ?? ?? 75 47 80 7D CB 00 0F 85 D9 00 00 00 BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3A 45 CA 75 26 80 7D CA 00 75 0D 8B 45 F0 8B 55 DC E8 ?? ?? ?? ?? 75 13 83 7D D0 FF 0F 84 A5 00 00 00 3B 75 D0 0F 84 9C 00 00 00 8D 55 E8 8B 45 CC E8 ?? ?? ?? ?? C6 45 CB 00 8D 45 BC 50 8B 45 E8 89 45 8C C6 45 90 11 8B 45 E4 89 45 94 C6 45 98 11 8B 43 38 E8 ?? ?? ?? ?? 8D 4D 88 8B 55 FC E8 ?? ?? ?? ?? 8B 45 88 89 45 9C C6 45 A0 11 8B 45 E0 89 45 A4 C6 45 A8 11 8B 45 EC 89 45 AC C6 45 B0 11 8B 45 F8 89 45 B4 C6 45 B8 11 8D 55 8C B9 05 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 43 40 8B 08 FF 51 38 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 33 C0 89 45 CC 8D 45 F4 8B 55 D8 E8 ?? ?? ?? ?? 89 75 D0 BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 CA 8D 45 F0 8B 55 DC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 E8 03 72 0A 83 E8 02 74 05 83 E8 08 75 15 8B 43 38 E8 ?? ?? ?? ?? 8D 4D E0 8B 55 D8 E8 ?? ?? ?? ?? EB 0B 8D 45 E0 8B 55 D8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 74 0A 48 74 19 83 E8 03 74 26 EB 34 8D 45 E0 8B 4D E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 8D 45 E0 8B 4D E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8D 45 E0 8B 4D E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8D 55 84 E8 ?? ?? ?? ?? 8B 45 84 0F B7 00 66 89 45 D6 0F B7 45 D6 83 C0 BC 83 F8 14 77 5D 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 04 00 00 00 00 02 00 00 00 00 00 00 00 00 05 01 00 03 00 00 06 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 4D CC 02 EB 1C 83 4D CC 04 EB 16 83 4D CC 08 EB 10 83 4D CC 10 EB 0A 83 4D CC 40 EB 04 83 4D CC 01 83 7D DC 00 75 0A 8D 45 E4 E8 ?? ?? ?? ?? EB 3C 8D 45 E4 50 8B 43 38 E8 ?? ?? ?? ?? 8D 8D 78 FF FF FF 8B 55 DC E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 85 7C FF FF FF C6 45 80 11 8D 95 7C FF FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 74 0D 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 84 C0 0F 84 C4 FC FF FF 83 7D D0 FF 0F 84 8B 00 00 00 8D 55 E8 8B 45 CC E8 ?? ?? ?? ?? C6 45 CB 00 8D 85 74 FF FF FF 50 8B 45 E8 89 45 8C C6 45 90 11 8B 45 E4 89 45 94 C6 45 98 11 8B 43 38 E8 ?? ?? ?? ?? 8D 8D 70 FF FF FF 8B 55 FC E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 89 45 9C C6 45 A0 11 8B 45 E0 89 45 A4 C6 45 A8 11 8B 45 EC 89 45 AC C6 45 B0 11 8B 45 F8 89 45 B4 C6 45 B8 11 8D 55 8C B9 05 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8B 43 40 8B 08 FF 51 38 8B 45 C4 E8 ?? ?? ?? ?? 80 7D CB 00 0F 84 C4 01 00 00 8B 45 C4 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 C4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? E9 75 01 00 00 C6 45 CB 00 BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8D 95 6C FF FF FF E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 8D 55 D8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 E8 03 72 0A 83 E8 02 74 05 83 E8 08 75 15 8B 43 38 E8 ?? ?? ?? ?? 8D 4D E0 8B 55 D8 E8 ?? ?? ?? ?? EB 0B 8D 45 E0 8B 55 D8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 74 0A 48 74 19 83 E8 03 74 26 EB 34 8D 45 E0 8B 4D E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 8D 45 E0 8B 4D E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8D 45 E0 8B 4D E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 0F 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 EC E8 ?? ?? ?? ?? 8D 85 68 FF FF FF 50 8B 43 38 E8 ?? ?? ?? ?? 8D 8D 44 FF FF FF 8B 55 FC E8 ?? ?? ?? ?? 8B 85 44 FF FF FF 89 85 48 FF FF FF C6 85 4C FF FF FF 11 8B 45 E0 89 85 50 FF FF FF C6 85 54 FF FF FF 11 8B 45 EC 89 85 58 FF FF FF C6 85 5C FF FF FF 11 8B 45 F8 89 85 60 FF FF FF C6 85 64 FF FF FF 11 8D 95 48 FF FF FF B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8B 43 40 8B 08 FF 51 38 8B 45 C4 E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 84 C0 0F 84 7B FE FF FF 8B 45 C4 E8 ?? ?? ?? ?? 80 7D CB 00 0F 84 36 01 00 00 8B 45 C4 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 C4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? E9 EF 00 00 00 BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 0F 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 EC E8 ?? ?? ?? ?? 8D 85 40 FF FF FF 50 BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8D 95 38 FF FF FF E8 ?? ?? ?? ?? 8B 85 38 FF FF FF 50 8B 43 38 E8 ?? ?? ?? ?? 8D 8D 3C FF FF FF 5A E8 ?? ?? ?? ?? 8B 85 3C FF FF FF 89 85 48 FF FF FF C6 85 4C FF FF FF 11 BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8D 95 34 FF FF FF E8 ?? ?? ?? ?? 8B 85 34 FF FF FF 89 85 50 FF FF FF C6 85 54 FF FF FF 11 8B 45 EC 89 85 58 FF FF FF C6 85 5C FF FF FF 11 8B 45 F8 89 85 60 FF FF FF C6 85 64 FF FF FF 11 8D 95 48 FF FF FF B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 40 FF FF FF 8B 43 40 8B 08 FF 51 38 8B 45 C4 E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 84 C0 0F 84 01 FF FF FF 8B 45 C4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 34 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 85 68 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 84 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B1 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 79 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 50 00 52 00 56 00 2E 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 2C 00 20 00 50 00 52 00 56 00 2E 00 52 00 44 00 42 00 24 00 47 00 52 00 41 00 4E 00 54 00 5F 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 2C 00 20 00 50 00 52 00 56 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 50 00 52 00 56 00 2E 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 50 00 52 00 56 00 2E 00 52 00 44 00 42 00 24 00 50 00 52 00 49 00 56 00 49 00 4C 00 45 00 47 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 5F 00 50 00 52 00 49 00 56 00 49 00 4C 00 45 00 47 00 45 00 53 00 20 00 50 00 52 00 56 00 2C 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 52 00 45 00 4C 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 50 00 52 00 56 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 4D 00 45 00 54 00 41 00 4F 00 42 00 4A 00 45 00 43 00 54 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 52 00 45 00 4C 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 4D 00 45 00 54 00 41 00 4F 00 42 00 4A 00 45 00 43 00 54 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 50 00 52 00 56 00 2E 00 52 00 44 00 42 00 24 00 50 00 52 00 49 00 56 00 49 00 4C 00 45 00 47 00 45 00 20 00 3C 00 3E 00 20 00 27 00 4D 00 27 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 52 00 45 00 4C 00 2E 00 52 00 44 00 42 00 24 00 4F 00 57 00 4E 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3C 00 3E 00 20 00 50 00 52 00 56 00 2E 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 20 00 50 00 52 00 56 00 2E 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 2C 00 20 00 50 00 52 00 56 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 50 00 52 00 56 00 2E 00 52 00 44 00 42 00 24 00 47 00 52 00 41 00 4E 00 54 00 5F 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6D 00 65 00 74 00 61 00 6F 00 62 00 6A 00 65 00 63 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 52 00 44 00 42 00 24 00 47 00 52 00 41 00 4E 00 54 00 5F 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 47 00 52 00 41 00 4E 00 54 00 20 00 25 00 73 00 25 00 73 00 20 00 4F 00 4E 00 20 00 25 00 73 00 20 00 54 00 4F 00 20 00 25 00 73 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 5F 00 54 00 59 00 50 00 45 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 49 00 45 00 57 00 20 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 44 00 42 00 24 00 50 00 52 00 49 00 56 00 49 00 4C 00 45 00 47 00 45 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 28 00 25 00 73 00 29 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 20 00 57 00 49 00 54 00 48 00 20 00 47 00 52 00 41 00 4E 00 54 00 20 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF AE 01 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 50 00 52 00 56 00 2E 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 2C 00 20 00 50 00 52 00 56 00 2E 00 52 00 44 00 42 00 24 00 47 00 52 00 41 00 4E 00 54 00 5F 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 2C 00 20 00 50 00 52 00 56 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 50 00 52 00 56 00 2E 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 50 00 52 00 56 00 2E 00 52 00 44 00 42 00 24 00 50 00 52 00 49 00 56 00 49 00 4C 00 45 00 47 00 45 00 2C 00 20 00 50 00 52 00 56 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 5F 00 50 00 52 00 49 00 56 00 49 00 4C 00 45 00 47 00 45 00 53 00 20 00 50 00 52 00 56 00 2C 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 53 00 20 00 50 00 52 00 43 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 20 00 20 00 50 00 52 00 56 00 2E 00 52 00 44 00 42 00 24 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 35 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 50 00 52 00 56 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 4D 00 45 00 54 00 41 00 4F 00 42 00 4A 00 45 00 43 00 54 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 50 00 52 00 43 00 2E 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 4D 00 45 00 54 00 41 00 4F 00 42 00 4A 00 45 00 43 00 54 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 50 00 52 00 56 00 2E 00 52 00 44 00 42 00 24 00 50 00 52 00 49 00 56 00 49 00 4C 00 45 00 47 00 45 00 20 00 3D 00 20 00 27 00 58 00 27 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 50 00 52 00 43 00 2E 00 52 00 44 00 42 00 24 00 4F 00 57 00 4E 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3C 00 3E 00 20 00 50 00 52 00 56 00 2E 00 52 00 44 00 42 00 24 00 55 00 53 00 }
	condition:
		$1
}

rule function_30916_0 {
	meta:
		name = "TIBExtract.ShowGrantRoles"
		size = 1164
		refs = "0027 @UStrAddRef 002f TIBExtract.ShowGrantRoles 003c TIBExtract.CreateIBSQL 0079 Format 008f TIBSQL.ExecQuery 00a1 TIBSQL.FieldByName 00a9 TIBXSQLVAR.GetAsTrimString 00b4 Trim 00c6 TIBXSQLVAR.GetIsNull 00dc TIBXSQLVAR.GetAsLong 00ec @UStrLAsg 00f6 @UStrClr 011b TIBDatabase.GetSQLDialect 0124 QuoteIdentifier 017d TIBSQL.Next 0185 TIBSQL.GetEOF 01a2 TObject.Free 01a8 @HandleFinally 01c4 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 33 C9 89 4D D4 89 4D A8 89 4D A4 89 4D D8 89 4D EC 89 4D F8 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 50 C7 45 DC 0D 00 00 00 C6 45 E0 00 C7 45 E4 08 00 00 00 C6 45 E8 00 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 8B 40 60 8B 08 FF 51 2C 8B 45 F0 E8 ?? ?? ?? ?? E9 E9 00 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 24 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 D4 50 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 A4 E8 ?? ?? ?? ?? 8B 45 A4 50 8B 43 38 E8 ?? ?? ?? ?? 8D 4D A8 5A E8 ?? ?? ?? ?? 8B 45 A8 89 45 AC C6 45 B0 11 8B 45 F4 89 45 B4 C6 45 B8 11 8B 45 F8 89 45 BC C6 45 C0 11 8B 45 FC 89 45 C4 C6 45 C8 11 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8D 55 AC B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 43 40 8B 08 FF 51 38 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 07 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF C3 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 2C 00 20 00 52 00 44 00 42 00 24 00 47 00 52 00 41 00 4E 00 54 00 5F 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 2C 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 5F 00 50 00 52 00 49 00 56 00 49 00 4C 00 45 00 47 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 52 00 44 00 42 00 24 00 4F 00 42 00 4A 00 45 00 43 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 25 00 64 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 25 00 64 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 49 00 56 00 49 00 4C 00 45 00 47 00 45 00 20 00 3D 00 20 00 27 00 4D 00 27 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 52 00 44 00 42 00 24 00 47 00 52 00 41 00 4E 00 54 00 5F 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 20 00 57 00 49 00 54 00 48 00 20 00 41 00 44 00 4D 00 49 00 4E 00 20 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 47 00 52 00 41 00 4E 00 54 00 20 00 25 00 73 00 20 00 54 00 4F 00 20 00 25 00 73 00 25 00 73 00 25 00 73 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_30917_0 {
	meta:
		name = "FormatParamStr"
		size = 2040
		refs = "0018 FormatParamStr 002f TIBSQL.FieldByName 0037 TIBXSQLVAR.GetAsTrimString 0049 TIBDatabase.GetSQLDialect 0052 QuoteIdentifier 006b Format 0075 ColumnTypes 008a TIBXSQLVAR.GetAsLong 00a7 TIBDatabaseInfo.GetODSMajorVersion 00e4 TIBDatabaseInfo.GetDBSQLDialect 0102 TIBXSQLVAR.GetIsNull 0165 IntegralSubtypes 01c4 @UStrCat 0378 TIBExtract.GetFieldLength 03cd TIBXSQLVAR.GetAsShort 03ee SubTypes 03ff IntToStr 04f5 TIBExtract.GetCharacterSets 0519 @UStrArrayClr 052c @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 08 8B 40 FC 8B 40 38 E8 ?? ?? ?? ?? 8D 4D F4 5A E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BE 0F 00 00 00 BB ?? ?? ?? ?? 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 03 0F 85 A8 02 00 00 8B 45 08 C6 40 F7 00 8B 45 08 8B 40 FC 8B 40 44 E8 ?? ?? ?? ?? 83 F8 0A 0F 8C 1B 01 00 00 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 F9 83 E8 02 72 09 83 E8 07 0F 85 F5 00 00 00 8B 45 08 8B 40 FC 8B 40 44 E8 ?? ?? ?? ?? 83 F8 03 0F 8C DE 00 00 00 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 C1 00 00 00 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E A4 00 00 00 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 02 0F 8F 86 00 00 00 8D 45 EC 50 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 85 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC C6 45 E0 00 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 F7 D8 89 45 E4 C6 45 E8 00 8D 55 D4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 8B 45 08 C6 40 F7 01 8B 45 08 80 78 F7 00 0F 85 6C 01 00 00 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 07 75 59 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7D 40 8D 45 D0 50 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 89 45 F8 C6 45 FC 00 8D 55 F8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B C7 E8 ?? ?? ?? ?? E9 F9 00 00 00 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 08 75 59 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7D 40 8D 45 CC 50 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 89 45 F8 C6 45 FC 00 8D 55 F8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B C7 E8 ?? ?? ?? ?? E9 86 00 00 00 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 1B 75 56 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7D 3D 8D 45 C8 50 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 D8 89 45 F8 C6 45 FC 00 8D 55 F8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B C7 E8 ?? ?? ?? ?? EB 16 8B C7 8B 53 04 E8 ?? ?? ?? ?? EB 0A 83 C3 08 4E 0F 85 31 FD FF FF 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 E8 0E 74 05 83 E8 17 75 35 8D 45 C4 50 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 00 8D 55 F8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B C7 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D 05 01 00 00 0F 85 8A 00 00 00 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BF D8 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7E 15 83 FB 08 7F 10 8B C7 8B 14 9D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 14 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 8B 55 C0 8B C7 E8 ?? ?? ?? ?? 8D 45 BC 50 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 00 8D 55 F8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B C7 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 87 00 00 00 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 17 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 F6 EB 17 8B 45 08 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 6A 00 8D 45 B8 50 8B 45 08 8B 40 FC 8B CB 8B D6 E8 ?? ?? ?? ?? 8B 55 B8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 44 00 42 00 24 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 20 00 25 00 73 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 52 00 45 00 43 00 49 00 53 00 49 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 55 00 42 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 43 00 41 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 73 00 28 00 25 00 64 00 2C 00 20 00 25 00 64 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4E 00 55 00 4D 00 45 00 52 00 49 00 43 00 28 00 34 00 2C 00 20 00 25 00 64 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4E 00 55 00 4D 00 45 00 52 00 49 00 43 00 28 00 39 00 2C 00 20 00 25 00 64 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 4E 00 55 00 4D 00 45 00 52 00 49 00 43 00 28 00 31 00 35 00 2C 00 20 00 25 00 64 00 29 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 28 00 25 00 64 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 53 00 55 00 42 00 5F 00 54 00 59 00 50 00 45 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 44 00 42 00 24 00 53 00 45 00 47 00 4D 00 45 00 4E 00 54 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 20 00 53 00 45 00 47 00 4D 00 45 00 4E 00 54 00 20 00 53 00 49 00 5A 00 45 00 20 00 25 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 52 00 44 00 42 00 24 00 43 00 4F 00 4C 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 53 00 45 00 54 00 5F 00 49 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_30918_0 {
	meta:
		name = "TIBExtract.GetProcedureArgs"
		size = 1156
		refs = "001d @UStrAddRef 0028 TIBExtract.GetProcedureArgs 0037 TIBExtract.CreateIBSQL 0060 TIBSQL.GetSQLParams 006a TIBXSQLDA.ByName 0072 TIBXSQLVAR.SetAsTrimString 008b TIBXSQLVAR.SetAsLong 0093 TIBSQL.ExecQuery 00b3 FormatParamStr 00bf @UStrLAsg 00c7 TIBSQL.Next 00cf TIBSQL.GetEOF 00e0 @UStrCat 0116 TIBSQL.Close 01d7 TObject.Free 01dd @HandleFinally 01f9 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D E4 89 4D E8 89 4D EC 89 55 F0 89 45 FC 8B 45 F0 E8 ?? ?? ?? ?? 8D 75 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 06 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 58 84 DB 74 11 33 DB 8B 06 8B 40 40 BA ?? ?? ?? ?? 8B 08 FF 51 38 55 8D 45 E8 E8 ?? ?? ?? ?? 59 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 8B 40 40 8B 55 EC 8B 08 FF 51 38 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 9C 84 DB 75 0F 8B 06 8B 40 40 BA ?? ?? ?? ?? 8B 08 FF 51 38 B3 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 58 84 DB 74 11 33 DB 8B 06 8B 40 40 BA ?? ?? ?? ?? 8B 08 FF 51 38 55 8D 45 E4 E8 ?? ?? ?? ?? 59 8B 55 E4 8D 45 EC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 8B 40 40 8B 55 EC 8B 08 FF 51 38 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 9C 84 DB 75 0F 8B 06 8B 40 40 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 06 8B 40 40 BA ?? ?? ?? ?? 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF E4 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 53 00 20 00 50 00 52 00 4D 00 20 00 4A 00 4F 00 49 00 4E 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 53 00 20 00 46 00 4C 00 44 00 20 00 4F 00 4E 00 20 00 20 00 50 00 52 00 4D 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 3D 00 20 00 46 00 4C 00 44 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 20 00 20 00 20 00 20 00 50 00 52 00 4D 00 2E 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 50 00 52 00 4F 00 43 00 4E 00 41 00 4D 00 45 00 20 00 41 00 4E 00 44 00 20 00 20 00 20 00 20 00 20 00 50 00 52 00 4D 00 2E 00 52 00 44 00 42 00 24 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 3A 00 49 00 6E 00 70 00 75 00 74 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 50 00 52 00 4D 00 2E 00 52 00 44 00 42 00 24 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 55 00 4D 00 42 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 72 00 6F 00 63 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 70 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 45 00 54 00 55 00 52 00 4E 00 53 00 0D 00 0A 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 41 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_30919_0 {
	meta:
		name = "TIBExtract.Notification"
		size = 54
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 77 38 75 0A 80 FB 01 75 05 33 C0 89 47 38 3B 77 3C 75 0A 80 FB 01 75 05 33 C0 89 47 3C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30920_0 {
	meta:
		name = "TIBExtract.ListData"
		size = 1632
		refs = "001c @UStrAddRef 0024 TIBExtract.ListData 0032 TIBExtract.CreateIBSQL 0052 TIBDatabase.GetSQLDialect 005d QuoteIdentifier 0076 Format 008c TIBSQL.ExecQuery 0094 @UStrClr 009c TIBSQL.Current 00b5 TIBSQL.GetFields 00ba TIBXSQLVAR.GetSQLType 00f1 TIBExtract.GetDatabase 00fa TIBDatabase.Has_COMPUTED_BLR 011e @UStrFromLStr 0131 @UStrCat 018f @UStrCatN 0214 TIBXSQLVAR.GetIsNull 0308 TIBXSQLVAR.GetAsTrimString 0313 QuotedStr 0330 @UStrLAsg 033f TIBXSQLVAR.GetAsDateTime 034f CurrencyString 035a DateTimeToString 044a IBError 0485 TIBSQL.Next 048d TIBSQL.GetEOF 04aa TObject.Free 04b0 @HandleFinally 04cc @UStrArrayClr 04d4 @LStrClr"
	strings:
		$1 = { 55 8B EC B9 0F 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 89 55 FC 89 45 D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D8 E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 B4 50 8B 45 D8 8B 40 38 E8 ?? ?? ?? ?? 8D 4D A8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 A8 89 45 AC C6 45 B0 11 8D 55 AC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B 45 D4 8B 40 60 8B 08 FF 51 2C 8B 45 D4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B 70 08 4E 85 F6 0F 8C DD 03 00 00 46 33 DB 8B D3 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D 1C 02 00 00 0F 84 8D 00 00 00 8B D3 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D 08 02 00 00 74 77 8B D3 8B 45 D4 E8 ?? ?? ?? ?? 8B 40 14 50 8B 45 D8 E8 ?? ?? ?? ?? 8B 55 FC 59 E8 ?? ?? ?? ?? 84 C0 75 54 8B D3 8B 45 D4 E8 ?? ?? ?? ?? 8B 40 18 8D 55 A4 8B 08 FF 51 18 8B 55 A4 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F0 00 74 0D 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 8B 40 38 E8 ?? ?? ?? ?? 8D 4D A0 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 A0 8D 45 F0 E8 ?? ?? ?? ?? 43 4E 0F 85 51 FF FF FF E9 26 03 00 00 68 ?? ?? ?? ?? 8B 45 D8 8B 40 38 E8 ?? ?? ?? ?? 8D 4D 9C 8B 55 FC E8 ?? ?? ?? ?? FF 75 9C 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 FF 75 F0 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B 70 08 4E 85 F6 0F 8C 8F 02 00 00 46 33 DB 83 7D EC 00 74 39 8B D3 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D 1C 02 00 00 74 23 8B D3 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D 08 02 00 00 74 0D 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3E 8B D3 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D 1C 02 00 00 74 28 8B D3 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D 08 02 00 00 74 12 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F4 01 00 00 8B D3 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D FE 01 00 00 7F 46 0F 84 55 01 00 00 3D E2 01 00 00 7F 20 0F 84 97 01 00 00 2D C0 01 00 00 74 70 83 E8 04 74 6B 83 E8 1C 0F 84 82 01 00 00 E9 9C 01 00 00 2D F0 01 00 00 0F 84 72 01 00 00 83 E8 04 0F 84 69 01 00 00 E9 83 01 00 00 3D 30 02 00 00 7F 28 0F 84 B6 00 00 00 2D 08 02 00 00 0F 84 80 01 00 00 83 E8 0A 0F 84 43 01 00 00 83 E8 0A 0F 84 6E 01 00 00 E9 54 01 00 00 2D 3A 02 00 00 74 3B 83 E8 0A 0F 84 25 01 00 00 E9 3F 01 00 00 8B D3 8B 45 D4 E8 ?? ?? ?? ?? 8D 55 94 E8 ?? ?? ?? ?? 8B 45 94 8D 55 98 E8 ?? ?? ?? ?? 8B 55 98 8D 45 EC E8 ?? ?? ?? ?? E9 27 01 00 00 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D C8 9B FF 75 CC FF 75 C8 8B 0D ?? ?? ?? ?? 8D 45 E8 8B 55 E4 E8 ?? ?? ?? ?? 8D 55 90 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 90 8D 45 EC E8 ?? ?? ?? ?? E9 D5 00 00 00 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D C0 9B FF 75 C4 FF 75 C0 8B 0D ?? ?? ?? ?? 8D 45 E8 8B 55 E0 E8 ?? ?? ?? ?? 8D 55 8C 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 8C 8D 45 EC E8 ?? ?? ?? ?? E9 83 00 00 00 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D B8 9B FF 75 BC FF 75 B8 8B 0D ?? ?? ?? ?? 8D 45 E8 8B 55 DC E8 ?? ?? ?? ?? 8D 55 88 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 88 8D 45 EC E8 ?? ?? ?? ?? EB 34 8B D3 8B 45 D4 E8 ?? ?? ?? ?? 8D 55 84 E8 ?? ?? ?? ?? 8B 55 84 8D 45 EC E8 ?? ?? ?? ?? EB 15 33 C0 89 45 AC C6 45 B0 05 8D 55 AC 33 C9 B0 26 E8 ?? ?? ?? ?? 43 4E 0F 85 74 FD FF FF FF 75 F8 FF 75 EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 8B 40 40 8B 55 F8 8B 08 FF 51 38 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 0F 84 CA FC FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 84 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 4E 00 53 00 45 00 52 00 54 00 20 00 49 00 4E 00 54 00 4F 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 29 00 20 00 56 00 41 00 4C 00 55 00 45 00 53 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 55 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6D 00 6D 00 2F 00 64 00 64 00 2F 00 79 00 79 00 79 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 68 00 68 00 3A 00 6D 00 6D 00 3A 00 73 00 73 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 6D 00 6D 00 2F 00 64 00 64 00 2F 00 79 00 79 00 79 00 79 00 20 00 68 00 68 00 3A 00 6D 00 6D 00 3A 00 73 00 73 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_30921_0 {
	meta:
		name = "TIBExtract.ListRoles"
		size = 1172
		refs = "001a @UStrAddRef 0022 TIBExtract.ListRoles 002f TIBExtract.CreateIBSQL 0048 TIBDatabaseInfo.GetODSMajorVersion 0059 @UStrClr 00aa TIBSQL.GetSQLParams 00b4 TIBXSQLDA.ByName 00bc TIBXSQLVAR.SetAsTrimString 00c4 TIBSQL.ExecQuery 00e4 TIBSQL.FieldByName 00ec TIBXSQLVAR.GetAsTrimString 00f8 TIBDatabase.GetSQLDialect 0101 QuoteIdentifier 0121 Trim 012c @UStrEqual 0162 Format 0182 @UStrLAsg 019c @UStrCatN 01af TIBSQL.Next 01b7 TIBSQL.GetEOF 01d4 TIBSQL.Close 01da @HandleFinally 01f1 TObject.Free 021b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 44 E8 ?? ?? ?? ?? 83 F8 09 0F 8C 8B 01 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B 43 40 33 D2 8B 08 FF 51 38 8B 43 40 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 43 40 33 D2 8B 08 FF 51 38 83 7D FC 00 75 12 8B 45 EC 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C EB 2A 8B 45 EC 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 EC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 D8 00 00 00 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 43 38 E8 ?? ?? ?? ?? 8D 4D F4 5A E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 74 54 8B 43 40 33 D2 8B 08 FF 51 38 8D 45 E0 50 8B 45 F4 89 45 D0 C6 45 D4 11 8B 45 F0 89 45 D8 C6 45 DC 11 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 43 40 8B 08 FF 51 38 8B 43 40 33 D2 8B 08 FF 51 38 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 CC 8B 43 40 8B 08 FF 51 38 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 0F 84 18 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 2F 00 2A 00 20 00 47 00 72 00 61 00 6E 00 74 00 20 00 52 00 6F 00 6C 00 65 00 73 00 20 00 66 00 6F 00 72 00 20 00 74 00 68 00 69 00 73 00 20 00 64 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 20 00 2A 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 2A 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 52 00 4F 00 4C 00 45 00 53 00 20 00 6F 00 72 00 64 00 65 00 72 00 20 00 62 00 79 00 20 00 52 00 44 00 42 00 24 00 52 00 4F 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 4E 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 2A 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 52 00 4F 00 4C 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 52 00 44 00 42 00 24 00 52 00 4F 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 3A 00 52 00 6F 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 20 00 6F 00 72 00 64 00 65 00 72 00 20 00 62 00 79 00 20 00 52 00 44 00 42 00 24 00 52 00 4F 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 6F 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 72 00 64 00 62 00 24 00 52 00 6F 00 6C 00 65 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 72 00 64 00 62 00 24 00 4F 00 77 00 6E 00 65 00 72 00 5F 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 2F 00 2A 00 20 00 52 00 6F 00 6C 00 65 00 3A 00 20 00 25 00 73 00 2C 00 20 00 4F 00 77 00 6E 00 65 00 72 00 3A 00 20 00 25 00 73 00 20 00 2A 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 20 00 52 00 4F 00 4C 00 45 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_30922_0 {
	meta:
		name = "TIBExtract.GetFieldLength"
		size = 168
		refs = "0004 TIBExtract.GetFieldLength 000b TIBSQL.FieldByName 0010 TIBXSQLVAR.GetIsNull 0025 TIBXSQLVAR.GetAsLong"
	strings:
		$1 = { 53 8B DA BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 52 00 44 00 42 00 24 00 43 00 48 00 41 00 52 00 41 00 43 00 54 00 45 00 52 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 00 00 00 00 }
	condition:
		$1
}

rule function_30923_0 {
	meta:
		name = "TIBExtract.CreateIBSQL"
		size = 51
		refs = "000a _Dn_TIBSQL 000f TIBSQL.Create 002a TIBSQL.SetTransaction"
	strings:
		$1 = { 53 56 8B D8 8B 4B 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 53 38 8B 92 C8 00 00 00 8B 43 3C 3B D0 74 09 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_30924_0 {
	meta:
		name = "Finalization"
		size = 153
		refs = "0007 Finalization 0013 _DV_6 001a PrivTypes 0025 TPrivTypes 002a @FinalizeArray 002f ColumnTypes 003a TSQLType 0044 SubTypes 004f string 0059 TriggerTypes 006e IntegralSubtypes 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 69 B8 ?? ?? ?? ?? B9 06 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0F 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 09 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_30926_0 {
	meta:
		name = "WordPos"
		size = 292
		refs = "0015 WordPos 002a AnsiUpperCase 003f @UStrCatN 007f @UniqueStringU 00ba Pos 00d6 @UStrArrayClr 00de @UStrClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 39 BB 01 00 00 00 B8 ?? ?? ?? ?? 8B 55 FC 0F B7 54 5A FE 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 84 C0 75 0F 8D 45 FC E8 ?? ?? ?? ?? 66 C7 44 58 FE 20 00 43 4E 75 CC 68 ?? ?? ?? ?? 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 00 00 00 00 1C 40 FF 03 FF FF FF 87 FE FF FF 07 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_30927_0 {
	meta:
		name = "TfrmIBFilterDialog.RefreshClearButtons"
		size = 335
		refs = "0010 TfrmIBFilterDialog.RefreshClearButtons 0024 TControl.GetText 013e @UStrArrayClr 0144 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 12 B2 01 8B 83 BC 03 00 00 8B 08 FF 91 80 00 00 00 EB 10 33 D2 8B 83 BC 03 00 00 8B 08 FF 91 80 00 00 00 8D 55 F8 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 74 12 B2 01 8B 83 D4 03 00 00 8B 08 FF 91 80 00 00 00 EB 10 33 D2 8B 83 D4 03 00 00 8B 08 FF 91 80 00 00 00 8D 55 F4 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 83 7D F4 00 74 12 B2 01 8B 83 D8 03 00 00 8B 08 FF 91 80 00 00 00 EB 10 33 D2 8B 83 D8 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 BC 03 00 00 8B 10 FF 52 68 84 C0 75 22 8B 83 D4 03 00 00 8B 10 FF 52 68 84 C0 75 13 8B 83 D8 03 00 00 8B 10 FF 52 68 84 C0 75 04 33 D2 EB 02 B2 01 8B 83 E8 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 E8 03 00 00 8B 10 FF 52 68 84 C0 75 0C 8B 83 F8 03 00 00 83 78 08 00 7E 10 B2 01 8B 83 E4 03 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30928_0 {
	meta:
		name = "TfrmIBFilterDialog.FormCreate"
		size = 51
		refs = "0006 _Dn_TList 000b TObject.Create"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 F8 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 FC 03 00 00 C7 83 00 04 00 00 FF FF FF FF 5B C3 }
	condition:
		$1
}

rule function_30929_0 {
	meta:
		name = "TfrmIBFilterDialog.FieldsListBoxClick"
		size = 265
		refs = "0015 TfrmIBFilterDialog.FieldsListBoxClick 00c1 TfrmIBFilterDialog.GetCriteria 00c8 TfrmIBFilterDialog.SetCriteria 00f6 @UStrArrayClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 A4 03 00 00 3B 75 FC 75 40 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D F8 8B 86 88 02 00 00 8B 30 FF 56 0C 8B 55 F8 8B 83 A0 03 00 00 8B 80 88 02 00 00 8B 08 FF 51 54 8B D0 8B 83 A0 03 00 00 8B 08 FF 91 FC 00 00 00 EB 3E 8B 83 A0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D F4 8B 83 A0 03 00 00 8B 80 88 02 00 00 8B 38 FF 57 0C 8B 55 F4 8B 86 88 02 00 00 8B 08 FF 51 54 8B D0 8B C6 8B 08 FF 91 FC 00 00 00 8B 83 A0 03 00 00 8B 10 FF 92 F8 00 00 00 3B 83 00 04 00 00 74 22 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 A0 03 00 00 8B 10 FF 92 F8 00 00 00 89 83 00 04 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30930_0 {
	meta:
		name = "TfrmIBFilterDialog.GetCriteria"
		size = 758
		refs = "0015 TfrmIBFilterDialog.GetCriteria 0033 TList.Get 005a @UStrEqual 0091 _DV_TIBFieldInfo 0096 TObject.Create 00a3 TList.Add 013f @UStrAsg 01e2 TControl.GetText 020e @UStrClr 0292 TObject.Free 02a0 TList.Delete 02d6 @UStrArrayClr 02e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC FF FF FF FF 33 DB EB 3A 8B D3 8B 86 F8 03 00 00 E8 ?? ?? ?? ?? 8B 40 10 50 8D 4D F8 8B 86 A0 03 00 00 8B 80 88 02 00 00 8B 96 00 04 00 00 8B 38 FF 57 0C 8B 55 F8 58 E8 ?? ?? ?? ?? 75 03 89 5D FC 43 8B 86 F8 03 00 00 3B 58 08 7D 06 83 7D FC 00 7C B5 8B 86 E8 03 00 00 8B 10 FF 52 68 84 C0 0F 84 C8 01 00 00 83 7D FC 00 7D 6F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 86 F8 03 00 00 E8 ?? ?? ?? ?? 8B 86 F8 03 00 00 8B 40 08 48 89 45 FC 8D 4D F4 8B 86 A0 03 00 00 8B 80 88 02 00 00 8B 96 00 04 00 00 8B 18 FF 53 0C 8B 45 F4 50 8B 86 A0 03 00 00 8B 80 88 02 00 00 8B 96 00 04 00 00 8B 08 FF 51 18 8B C8 8B 86 A4 03 00 00 8B 80 88 02 00 00 5A 8B 18 FF 53 3C 8B 55 FC 8B 86 F8 03 00 00 E8 ?? ?? ?? ?? 8B D8 8B 86 F0 03 00 00 8B 10 FF 92 F8 00 00 00 88 43 24 8D 4D F0 8B 86 A0 03 00 00 8B 80 88 02 00 00 8B 96 00 04 00 00 8B 38 FF 57 0C 8B 55 F0 8D 43 10 E8 ?? ?? ?? ?? 8B 86 A0 03 00 00 8B 80 88 02 00 00 8B 96 00 04 00 00 8B 08 FF 51 18 8B 50 40 8D 43 04 E8 ?? ?? ?? ?? 8B 86 A0 03 00 00 8B 80 88 02 00 00 8B 96 00 04 00 00 8B 08 FF 51 18 8B 90 98 00 00 00 8D 43 08 E8 ?? ?? ?? ?? 8B 86 A0 03 00 00 8B 80 88 02 00 00 8B 96 00 04 00 00 8B 08 FF 51 18 0F B6 40 48 88 43 0C 8B 86 A8 03 00 00 8B 80 DC 02 00 00 3B 86 B0 03 00 00 75 06 C6 43 14 04 EB 10 8B 86 C0 03 00 00 0F B6 80 88 02 00 00 88 43 14 80 7B 14 04 75 3C 8D 55 EC 8B 86 D0 03 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8D 43 20 E8 ?? ?? ?? ?? 8D 55 E8 8B 86 CC 03 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 43 1C E8 ?? ?? ?? ?? 8D 43 18 E8 ?? ?? ?? ?? EB 29 8D 43 20 E8 ?? ?? ?? ?? 8D 43 1C E8 ?? ?? ?? ?? 8D 55 E4 8B 86 B8 03 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8D 43 18 E8 ?? ?? ?? ?? 8B 86 F4 03 00 00 8B 10 FF 92 F8 00 00 00 88 43 25 EB 70 83 7D FC 00 7C 6A 8B 55 FC 8B 86 F8 03 00 00 E8 ?? ?? ?? ?? 8B 50 10 8B 86 A4 03 00 00 8B B8 88 02 00 00 8B C7 8B 08 FF 51 54 8B D0 8B C7 8B 08 FF 51 48 8B 55 FC 8B 86 F8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 86 F8 03 00 00 E8 ?? ?? ?? ?? 8B 86 F8 03 00 00 83 78 08 00 75 10 33 D2 8B 86 E4 03 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30931_0 {
	meta:
		name = "TfrmIBFilterDialog.SetCriteria"
		size = 315
		refs = "000e TfrmIBFilterDialog.SetCriteria 0048 TList.Get 0053 @UStrEqual 0072 TfrmIBFilterDialog.ClearCriteria 00a6 TControl.SetText 00ca TCustomRadioGroup.SetItemIndex 0101 TPageControl.SetActivePage 0129 @UStrClr 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 A0 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D FC 8B 86 88 02 00 00 8B 30 FF 56 0C 33 F6 83 CF FF EB 1D 8B D6 8B 83 F8 03 00 00 E8 ?? ?? ?? ?? 8B 40 10 8B 55 FC E8 ?? ?? ?? ?? 75 02 8B FE 46 8B 83 F8 03 00 00 3B 70 08 7D 04 85 FF 7C D4 85 FF 7D 0C 8B C3 E8 ?? ?? ?? ?? E9 9D 00 00 00 8B D7 8B 83 F8 03 00 00 E8 ?? ?? ?? ?? 8B F0 0F B6 56 24 8B 83 F0 03 00 00 8B 08 FF 91 FC 00 00 00 8B 56 20 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 8B 56 18 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 0F B6 46 14 3C 04 74 0E 0F B6 D0 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 0F B6 56 25 8B 83 F4 03 00 00 8B 08 FF 91 FC 00 00 00 8B 56 1C 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 80 7E 14 04 75 13 8B 93 B0 03 00 00 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? EB 11 8B 93 AC 03 00 00 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30932_0 {
	meta:
		name = "TfrmIBFilterDialog.FormDestroy"
		size = 109
		refs = "001f TList.Get 0024 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 F8 03 00 00 8B 58 08 4B 85 DB 7C 19 43 33 F6 8B 87 F8 03 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EA 8B 87 F8 03 00 00 E8 ?? ?? ?? ?? 8B 87 FC 03 00 00 8B 58 08 4B 85 DB 7C 19 43 33 F6 8B 87 FC 03 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EA 8B 87 FC 03 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30933_0 {
	meta:
		name = "TfrmIBFilterDialog.pgeFieldsChanging"
		size = 97
		refs = "000a _Dn_TPageControl 000f @AsClass 004a TfrmIBFilterDialog.GetCriteria 0051 TfrmIBFilterDialog.SetCriteria 005a TfrmIBFilterDialog.FieldsListBoxClick"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 DC 02 00 00 3B 83 98 03 00 00 75 14 8B 83 A0 03 00 00 8B 10 FF 92 F8 00 00 00 85 C0 7C 2B EB 12 8B 83 A4 03 00 00 8B 10 FF 92 F8 00 00 00 85 C0 7C 17 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30934_0 {
	meta:
		name = "TfrmIBFilterDialog.ClearCriteria"
		size = 44
		refs = "000c TControl.SetText"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30935_0 {
	meta:
		name = "TfrmIBFilterDialog.btnNewSearchClick"
		size = 100
		refs = "001f TList.Get 0024 TObject.Free 003a TfrmIBFilterDialog.ClearCriteria 005c TPageControl.SetActivePage"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 F8 03 00 00 8B 70 08 4E 85 F6 7C 19 46 33 FF 8B D7 8B 83 F8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 EA 8B 83 F8 03 00 00 8B 10 FF 52 08 8B C3 E8 ?? ?? ?? ?? 8B 83 A4 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 44 8B 93 98 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30936_0 {
	meta:
		name = "TfrmIBFilterDialog.btnViewSummaryClick"
		size = 768
		refs = "001b TfrmIBFilterDialog.btnViewSummaryClick 0029 TfrmIBFilterDialog.GetCriteria 0033 _Dn_TfrmIBFilterSummary 0038 TCustomForm.Create 0077 TList.Get 008d TListItems.Add 0099 TListItem.SetCaption 00d3 SIBFilterBeginning 00d8 LoadResString 00e3 @UStrLAsg 00f0 SIBFilterAnywhere 010d SIBFilterExact 012a SIBFilterAtEnd 0147 SIBFilterRange 0162 @UStrCat3 017f @UStrCat 0197 @UStrCatN 0223 SIBFilterNot 0276 TObject.Free 027c @HandleFinally 0293 @UStrClr 02a0 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D FC 89 4D F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 80 F8 03 00 00 8B 78 08 4F 85 FF 0F 8C F8 01 00 00 47 C7 45 F0 00 00 00 00 8B 45 F4 8B 80 F8 03 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B D8 8B 45 EC 8B 80 90 03 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 53 10 8B C6 E8 ?? ?? ?? ?? 80 7B 0C 01 0F 85 F6 00 00 00 0F B6 43 14 83 F8 04 0F 87 5F 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 18 E8 ?? ?? ?? ?? E9 27 01 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 18 E8 ?? ?? ?? ?? E9 0A 01 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 18 E8 ?? ?? ?? ?? E9 ED 00 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 18 E8 ?? ?? ?? ?? E9 D0 00 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 1C 00 74 10 8B 4B 1C 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 20 00 0F 84 A3 00 00 00 83 7D F8 00 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 73 20 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 76 0F B6 43 14 2C 04 75 56 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 1C 00 74 10 8B 4B 1C 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 20 00 74 45 83 7D F8 00 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 73 20 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 18 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 18 E8 ?? ?? ?? ?? 80 7B 14 04 74 21 80 7B 25 00 74 1B 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC 8B 4D FC E8 ?? ?? ?? ?? 8B 46 08 8B 55 FC 8B 08 FF 51 38 8B 46 08 8B 55 F8 8B 08 FF 51 38 FF 45 F0 4F 0F 85 10 FE FF FF 8B 45 EC 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3E 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3C 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_30937_0 {
	meta:
		name = "TIBFilterDialog.Create"
		size = 224
		refs = "000f @ClassCreate 001b TIBFilterDialog.Create 002a TComponent.Create 0033 _DV_TfrmIBFilterDialog 0038 TCustomForm.Create 0051 SIBFilterCaption 0056 LoadResString 0060 TIBFilterDialog.SetCaption 0067 _Dn_TStringList 006c TStringList.Create 0094 _Dn_TList 0099 TObject.Create 00b1 @UStrClr 00b7 @HandleFinally 00c4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 0F B6 05 ?? ?? ?? ?? 88 46 49 C6 46 48 01 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 00 00 06 00 00 00 }
	condition:
		$1
}

rule function_30938_0 {
	meta:
		name = "TIBFilterDialog.Destroy"
		size = 113
		refs = "0005 @BeforeDestruction 0011 TObject.Free 0041 TList.Get 005d TComponent.Destroy 0068 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 38 E8 ?? ?? ?? ?? 8B 45 50 E8 ?? ?? ?? ?? 8B 45 3C E8 ?? ?? ?? ?? 8B 45 40 E8 ?? ?? ?? ?? 8B 45 54 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B 45 54 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 45 54 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30939_0 {
	meta:
		name = "TIBFilterDialog.Execute"
		size = 255
		refs = "000c GetOrdProp 0018 TStrings.Equals 0025 TIBFilterDialog.SetOriginalSQL 0044 TIBFilterDialog.SetFields 0056 TCustomRadioGroup.SetItemIndex 006c TControl.SetVisible 00db TIBFilterDialog.SaveParamValues 00f5 TIBFilterDialog.ReBuildSQL"
	strings:
		$1 = { 53 56 57 8B F8 8B 57 58 8B 47 44 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 47 40 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 47 38 8B 80 A0 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 75 07 8B C7 E8 ?? ?? ?? ?? 0F B6 57 48 8B 47 38 8B 80 C0 03 00 00 E8 ?? ?? ?? ?? F6 47 49 02 74 12 8B 47 38 8B 80 F0 03 00 00 B2 01 E8 ?? ?? ?? ?? EB 10 8B 47 38 8B 80 F0 03 00 00 33 D2 E8 ?? ?? ?? ?? F6 47 49 04 74 12 8B 47 38 8B 80 F4 03 00 00 B2 01 E8 ?? ?? ?? ?? EB 10 8B 47 38 8B 80 F4 03 00 00 33 D2 E8 ?? ?? ?? ?? F6 47 49 01 74 15 8B 47 38 8B 80 F0 03 00 00 B2 01 8B 08 FF 91 FC 00 00 00 EB 13 8B 47 38 8B 80 F0 03 00 00 33 D2 8B 08 FF 91 FC 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 47 38 8B 10 FF 92 20 01 00 00 48 0F 94 C3 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30940_0 {
	meta:
		name = "TIBFilterDialog.Loaded"
		size = 342
		refs = "0016 TIBFilterDialog.Loaded 0023 TComponent.Loaded 003e TIBFilterDialog.SetFields 0049 GetOrdProp 005e _Dn_TIBDataSet 0063 @IsClass 006e TIBCustomDataSet.GetSQLParams 008c TIBXSQLDA.GetSQLVAR 0094 TIBXSQLVAR.GetAsVariant 00b1 _DV_TIBVariable 00b6 TIBVariable.Create 00c0 TList.Add 00ea TParams.GetItem 00f2 TParam.GetAsVariant 0139 Variant 0143 @FinalizeArray 0149 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7B 44 00 0F 84 F6 00 00 00 F6 43 1C 10 0F 85 EC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 53 58 8B 43 44 E8 ?? ?? ?? ?? 8B D0 8B 43 3C 8B 08 FF 51 08 8B 73 44 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5F 8B C6 E8 ?? ?? ?? ?? 8B 78 08 4F 85 FF 0F 8C A9 00 00 00 47 33 F6 8B 43 44 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 44 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 48 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 54 E8 ?? ?? ?? ?? 46 4F 75 B9 EB 5D 8B 86 70 02 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 4C 47 33 F6 8B 43 44 8B 80 70 02 00 00 8B D6 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 43 44 8B 80 70 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 48 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 54 E8 ?? ?? ?? ?? 46 4F 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30941_0 {
	meta:
		name = "TIBFilterDialog.Notification"
		size = 39
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 77 44 75 0A 80 FB 01 75 05 33 C0 89 47 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30942_0 {
	meta:
		name = "TIBFilterDialog.ReBuildSQL"
		size = 1332
		refs = "001a TIBFilterDialog.ReBuildSQL 004c GetOrdProp 0060 TIBFilterDialog.RestoreSQL 006f _Dn_TStringStream 0074 TStringStream.Create 00bf TStringStream.GetDataString 00cc WordPos 0150 TStringStream.ReadString 015b TStringStream.WriteString 0192 TfrmIBFilterDialog.GetFilterItem 019a TIBFieldInfo.CreateSQL 020c _Dn_TIBDataSet 0211 @IsClass 0226 @AsClass 022f TDataSet.DisableControls 0236 TDataSet.Close 023d TIBCustomDataSet.GetSelectSQL 027c TList.Get 0297 TIBDataSet.ParamByName 029d TIBXSQLVAR.SetAsVariant 02d0 TIBFieldInfo.SetVariables 02e9 TDataSet.Open 02fb @HandleAnyException 0308 @DoneExcept 0315 _Dn_TIBQuery 039c TIBQuery.ParamByName 03a2 TParam.SetAsVariant 0412 TIBFilterDialog.SetFields 041d TDataSet.EnableControls 0450 TObject.Free 045e @HandleFinally 047a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 38 8B 80 A4 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 75 2A 8B 45 F4 8B 50 58 8B 45 F4 8B 40 44 E8 ?? ?? ?? ?? 8B 55 F4 3B 42 3C 0F 84 08 04 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 FB 03 00 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 3C 8B 55 F0 8B 08 FF 91 84 00 00 00 33 C9 33 D2 8B 45 F0 8B 18 FF 53 14 8D 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 69 C6 45 EB 00 8D 55 E0 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 1A 8D 55 DC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 DC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 1A 8D 55 D8 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 12 8B 45 F0 8B 10 FF 12 8B D8 EB 07 C6 45 EB 01 83 C3 05 8D 4D D4 8B D3 4A 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 EC E8 ?? ?? ?? ?? 80 7D EB 00 75 0D BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 38 8B 80 F8 03 00 00 8B 70 08 4E 85 F6 7C 5D 46 33 DB 8B 45 F4 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 55 D0 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 38 8B 80 F8 03 00 00 8B 40 08 48 3B D8 7D 0F BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? EB 13 80 7D EB 00 74 0D BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 43 4E 75 A6 8B 45 F0 8B 10 FF 12 8B D0 8D 4D CC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F4 8B 58 44 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 F4 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8D 55 C8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 C8 50 8B C7 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 38 8B 45 F4 8B 40 54 8B 70 08 4E 85 F6 7C 35 46 33 DB 8B 45 F4 8B 40 54 8B D3 E8 ?? ?? ?? ?? 83 C0 08 50 8B 45 F4 8B 40 54 8B D3 E8 ?? ?? ?? ?? 8B 50 04 8B C7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 43 4E 75 CE 8B 45 F4 8B 40 38 8B 80 F8 03 00 00 8B 70 08 4E 85 F6 7C 1F 46 33 DB 8B 45 F4 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 55 F4 8B 52 44 E8 ?? ?? ?? ?? 43 4E 75 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 14 01 00 00 E9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FD 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 E8 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 87 68 02 00 00 8B 10 FF 52 44 8D 55 C4 8B 45 EC E8 ?? ?? ?? ?? 8B 55 C4 8B 87 68 02 00 00 8B 08 FF 51 38 8B 45 F4 8B 40 54 8B 70 08 4E 85 F6 7C 35 46 33 DB 8B 45 F4 8B 40 54 8B D3 E8 ?? ?? ?? ?? 83 C0 08 50 8B 45 F4 8B 40 54 8B D3 E8 ?? ?? ?? ?? 8B 50 04 8B C7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 43 4E 75 CE 8B 45 F4 8B 40 38 8B 80 F8 03 00 00 8B 70 08 4E 85 F6 7C 1F 46 33 DB 8B 45 F4 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8B 55 F4 8B 52 44 E8 ?? ?? ?? ?? 43 4E 75 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 44 E8 ?? ?? ?? ?? 8B 45 F4 8B 50 58 8B 45 F4 8B 40 44 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 40 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 48 00 45 00 52 00 45 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 47 00 52 00 4F 00 55 00 50 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 41 00 56 00 49 00 4E 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4F 00 52 00 44 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 41 00 4E 00 44 00 20 00 00 00 }
	condition:
		$1
}

rule function_30943_0 {
	meta:
		name = "TIBFilterDialog.RestoreSQL"
		size = 221
		refs = "0009 TDataSet.DisableControls 0011 TDataSet.Close 001f SetOrdProp 0028 _Dn_TIBDataSet 002d @IsClass 0049 TList.Get 0062 TIBDataSet.ParamByName 0068 TIBXSQLVAR.SetAsVariant 009f TIBQuery.ParamByName 00a5 TParam.SetAsVariant 00b1 TDataSet.Open 00b8 TIBFilterDialog.SetFields 00c0 TDataSet.EnableControls 00cb GetOrdProp"
	strings:
		$1 = { 53 56 57 8B F0 8B 46 44 E8 ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? 8B 4E 3C 8B 56 58 8B 46 44 E8 ?? ?? ?? ?? 8B 46 44 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3D 8B 46 54 8B 78 08 4F 85 FF 7C 6D 47 33 DB 8B D3 8B 46 54 E8 ?? ?? ?? ?? 83 C0 08 50 8B D3 8B 46 54 E8 ?? ?? ?? ?? 8B 50 04 8B 46 44 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 43 4F 75 D3 EB 3B 8B 46 54 8B 78 08 4F 85 FF 7C 30 47 33 DB 8B D3 8B 46 54 E8 ?? ?? ?? ?? 83 C0 08 50 8B D3 8B 46 54 E8 ?? ?? ?? ?? 8B 50 04 8B 46 44 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 43 4F 75 D3 8B 46 44 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? 8B 56 58 8B 46 44 E8 ?? ?? ?? ?? 8B D0 8B 46 40 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30944_0 {
	meta:
		name = "TIBFilterDialog.SaveParamValues"
		size = 243
		refs = "0016 TIBFilterDialog.SaveParamValues 0025 _Dn_TIBDataSet 002a @IsClass 004a TList.Get 0063 TIBDataSet.ParamByName 006b TIBXSQLVAR.GetAsVariant 0074 @VarCopy 00ab TIBQuery.ParamByName 00b3 TParam.GetAsVariant 00d6 Variant 00e0 @FinalizeArray 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 44 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4C 8B 43 54 8B 78 08 4F 85 FF 0F 8C 83 00 00 00 47 33 F6 8B D6 8B 43 54 E8 ?? ?? ?? ?? 83 C0 08 50 8B D6 8B 43 54 E8 ?? ?? ?? ?? 8B 50 04 8B 43 44 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8D 55 F0 58 E8 ?? ?? ?? ?? 46 4F 75 C8 EB 46 8B 43 54 8B 78 08 4F 85 FF 7C 3B 47 33 F6 8B D6 8B 43 54 E8 ?? ?? ?? ?? 83 C0 08 50 8B D6 8B 43 54 E8 ?? ?? ?? ?? 8B 50 04 8B 43 44 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8D 55 E0 58 E8 ?? ?? ?? ?? 46 4F 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30945_0 {
	meta:
		name = "TIBFilterDialog.SetCaption"
		size = 30
		refs = "000c @UStrAsg 0017 TControl.SetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 4C 8B D6 E8 ?? ?? ?? ?? 8B 53 4C 8B 43 38 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30946_0 {
	meta:
		name = "TIBFilterDialog.SetDataSet"
		size = 280
		refs = "0010 TIBFilterDialog.SetDataSet 001e _Dn_TIBDataSet 0023 @IsClass 0031 _Dn_TIBQuery 0046 SIBFilterNonIBXError 004b LoadResString 0055 _Dn_Exception 005a Exception.Create 005f @RaiseExcept 0073 @UStrAsg 00a0 TIBFilterDialog.SetFields 00ab GetOrdProp 00b4 TIBFilterDialog.SetOriginalSQL 00c9 @UStrClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 75 36 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 25 85 F6 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 77 44 84 DB 74 0F 8D 47 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 47 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 47 1C 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 1B 8B C7 E8 ?? ?? ?? ?? 8B 57 58 8B 47 44 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 53 00 51 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 51 00 4C 00 00 00 11 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_30947_0 {
	meta:
		name = "TIBFilterDialog.SetDefaultMatchType"
		size = 103
		refs = "002b TCustomRadioGroup.SetItemIndex 0051 TPageControl.SetActivePage"
	strings:
		$1 = { 53 8B D8 88 53 48 8B 43 38 85 C0 74 58 F6 43 1C 10 75 52 0F B6 53 48 8B CA 80 E9 04 74 26 FE C9 75 35 8B 80 C0 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 43 38 8B 80 F4 03 00 00 B2 01 8B 08 FF 91 FC 00 00 00 EB 21 8B 90 B0 03 00 00 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? EB 0E 8B 80 C0 03 00 00 83 E2 7F E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30948_0 {
	meta:
		name = "TIBFilterDialog.SetFields"
		size = 592
		refs = "0019 TIBFilterDialog.SetFields 0063 TFieldList.GetField 00cb Pos 00ef @UStrCopy 011e @UStrLAsg 018d @UStrEqual 01fc TfrmIBFilterDialog.FieldsListBoxClick 0211 @UStrClr 021e @UStrArrayClr 0231 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 38 8B 80 A0 03 00 00 8B 10 FF 92 04 01 00 00 8B 43 50 8B 10 FF 52 14 85 C0 75 58 8B 43 44 8B 40 48 8B 10 FF 52 14 48 85 C0 0F 8C 77 01 00 00 40 89 45 EC 33 F6 8B 43 44 8B 40 48 8B D6 E8 ?? ?? ?? ?? 50 8B 43 44 8B 40 48 8B D6 E8 ?? ?? ?? ?? 8B 50 40 8B 43 38 8B 80 A0 03 00 00 8B 80 88 02 00 00 59 8B 38 FF 57 3C 46 FF 4D EC 75 C7 E9 33 01 00 00 8B 43 50 8B 10 FF 52 14 48 85 C0 0F 8C 22 01 00 00 40 89 45 EC C7 45 F0 00 00 00 00 8D 4D E4 8B 55 F0 8B 43 50 8B 30 FF 56 0C 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 FC 50 8D 4D E0 8B 55 F0 8B 43 50 8B 38 FF 57 0C 8B 45 E0 8B CE 49 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 4D DC 8B 55 F0 8B 43 50 8B 38 FF 57 0C 8B 45 DC 89 45 D8 8B 45 D8 85 C0 74 05 83 E8 04 8B 00 3B C6 75 0D 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? EB 3F 8D 4D F4 8B 55 F0 8B 43 50 8B 38 FF 57 0C 8D 4D D4 8B 55 F0 8B 43 50 8B 38 FF 57 0C 8B 45 D4 89 45 D8 8B 7D D8 85 FF 74 05 83 EF 04 8B 3F 8D 45 F8 50 8D 56 01 8B CF 8B 45 F4 E8 ?? ?? ?? ?? 8B 43 44 8B 40 48 8B 10 FF 52 14 48 85 C0 7C 4C 40 89 45 E8 33 F6 8B 43 44 8B 40 48 8B D6 E8 ?? ?? ?? ?? 8B 40 40 8B 55 FC E8 ?? ?? ?? ?? 75 26 8B 43 44 8B 40 48 8B D6 E8 ?? ?? ?? ?? 8B C8 8B 43 38 8B 80 A0 03 00 00 8B 80 88 02 00 00 8B 55 F8 8B 38 FF 57 3C 46 FF 4D E8 75 BA FF 45 F0 FF 4D EC 0F 85 E9 FE FF FF 8B 43 38 8B 80 A0 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 7E 1D 8B 43 38 8B 80 A0 03 00 00 33 D2 8B 08 FF 91 FC 00 00 00 33 D2 8B 43 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_30949_0 {
	meta:
		name = "TIBFilterDialog.SetFieldsList"
		size = 9
	strings:
		$1 = { 8B 40 50 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_30950_0 {
	meta:
		name = "TIBFilterDialog.SetOptions"
		size = 13
	strings:
		$1 = { 51 88 14 24 0F B6 14 24 88 50 49 5A C3 }
	condition:
		$1
}

rule function_30951_0 {
	meta:
		name = "TfrmIBFilterDialog.FormActivate"
		size = 82
		refs = "001c TPageControl.SetActivePage 0039 TfrmIBFilterDialog.FieldsListBoxClick"
	strings:
		$1 = { 53 8B D8 8B 83 FC 03 00 00 83 78 08 00 74 30 8B 93 9C 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 A4 03 00 00 8B 08 FF 91 FC 00 00 00 8B 93 A4 03 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 8B 93 98 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30952_0 {
	meta:
		name = "TfrmIBFilterDialog.btnCancelClick"
		size = 133
		refs = "001e TList.Get 0023 TObject.Free 0030 TList.Delete 004e _DV_TIBFieldInfo 0053 TObject.Create 006b TIBFieldInfo.Assign 0078 TList.Add"
	strings:
		$1 = { 53 56 57 55 8B F0 8B 86 F8 03 00 00 8B 58 08 4B 83 FB 00 7C 25 8B D3 8B 86 F8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 86 F8 03 00 00 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DB 8B 86 FC 03 00 00 8B 68 08 4D 85 ED 7C 38 45 33 DB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D3 8B 86 FC 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B D7 8B 86 F8 03 00 00 E8 ?? ?? ?? ?? 43 4D 75 CB 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30953_0 {
	meta:
		name = "TIBFilterDialog.SetOriginalSQL"
		size = 458
		refs = "001b TIBFilterDialog.SetOriginalSQL 0043 @UStrEqual 006d TfrmIBFilterDialog.NewSQL 0085 TList.Get 008a TObject.Free 00a1 GetOrdProp 00be _Dn_TIBDataSet 00c3 @IsClass 00ce TIBCustomDataSet.GetSQLParams 00ec TIBXSQLDA.GetSQLVAR 00f4 TIBXSQLVAR.GetAsVariant 0111 _DV_TIBVariable 0116 TIBVariable.Create 0120 TList.Add 014a TParams.GetItem 0152 TParam.GetAsVariant 018a TIBFilterDialog.SetFields 01a0 Variant 01aa @FinalizeArray 01b7 @UStrArrayClr 01bd @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 46 3C 8B 08 FF 51 1C 8B 45 FC 50 8D 55 F8 8B C7 8B 08 FF 51 1C 8B 55 F8 58 E8 ?? ?? ?? ?? 74 28 8B 46 3C 8B 10 FF 52 44 8B D7 8B 46 3C 8B 08 FF 51 40 F6 46 1C 01 75 08 8B 46 50 8B 10 FF 52 44 8B 46 38 E8 ?? ?? ?? ?? 8B 46 54 8B 78 08 4F 85 FF 7C 16 47 33 DB 8B D3 8B 46 54 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 ED 8B 46 54 8B 10 FF 52 08 8B 56 58 8B 46 44 E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 51 1C 83 7D F4 00 0F 84 D7 00 00 00 8B 5E 44 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5F 8B C3 E8 ?? ?? ?? ?? 8B 78 08 4F 85 FF 0F 8C A9 00 00 00 47 33 DB 8B 46 44 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 46 44 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 48 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 46 54 E8 ?? ?? ?? ?? 43 4F 75 B9 EB 5D 8B 83 70 02 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 4C 47 33 DB 8B 46 44 8B 80 70 02 00 00 8B D3 E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 8D 45 D4 50 8B 46 44 8B 80 70 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 48 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 46 54 E8 ?? ?? ?? ?? 43 4F 75 B7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30954_0 {
	meta:
		name = "TIBFieldInfo.Assign"
		size = 103
		refs = "000d @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 04 8B 56 04 E8 ?? ?? ?? ?? 8D 43 08 8B 56 08 E8 ?? ?? ?? ?? 0F B6 46 0C 88 43 0C 8D 43 10 8B 56 10 E8 ?? ?? ?? ?? 0F B6 46 14 88 43 14 8D 43 18 8B 56 18 E8 ?? ?? ?? ?? 8D 43 1C 8B 56 1C E8 ?? ?? ?? ?? 8D 43 20 8B 56 20 E8 ?? ?? ?? ?? 0F B6 46 24 88 43 24 0F B6 46 25 88 43 25 5E 5B C3 }
	condition:
		$1
}

rule function_30955_0 {
	meta:
		name = "TfrmIBFilterDialog.btnOkClick"
		size = 147
		refs = "001e TList.Get 0023 TObject.Free 0030 TList.Delete 003d TfrmIBFilterDialog.GetCriteria 0044 TfrmIBFilterDialog.SetCriteria 005c _DV_TIBFieldInfo 0061 TObject.Create 0079 TIBFieldInfo.Assign 0086 TList.Add"
	strings:
		$1 = { 53 56 57 55 8B F0 8B 86 FC 03 00 00 8B 58 08 4B 83 FB 00 7C 25 8B D3 8B 86 FC 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 86 FC 03 00 00 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DB 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 F8 03 00 00 8B 68 08 4D 85 ED 7C 38 45 33 DB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D3 8B 86 F8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B D7 8B 86 FC 03 00 00 E8 ?? ?? ?? ?? 43 4D 75 CB 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_30956_0 {
	meta:
		name = "TfrmIBFilterDialog.btnClearFieldValueClick"
		size = 14
		refs = "0009 TControl.SetText"
	strings:
		$1 = { 33 D2 8B 80 B8 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30957_0 {
	meta:
		name = "TfrmIBFilterDialog.btnClearStartingRangeClick"
		size = 14
		refs = "0009 TControl.SetText"
	strings:
		$1 = { 33 D2 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30958_0 {
	meta:
		name = "TfrmIBFilterDialog.btnClearEndingRangeClick"
		size = 14
		refs = "0009 TControl.SetText"
	strings:
		$1 = { 33 D2 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30959_0 {
	meta:
		name = "TIBFieldInfo.CreateSQL"
		size = 2380
		refs = "001a TIBFieldInfo.CreateSQL 0031 @UStrLAsg 0050 @UStrAsg 0069 AnsiUpperCase 0076 @UStrEqual 0095 Format 009f @UStrCat 01ea ExtractIdentifier 0591 @UStrArrayClr 0599 @UStrClr 05ac @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0D 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 00 74 0D 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? EB 0B 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? 80 7B 25 00 74 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B 43 18 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2C 8D 45 F4 50 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? E9 D3 04 00 00 0F B6 43 0C 3C 01 0F 85 F9 03 00 00 80 7B 24 00 0F 84 B1 01 00 00 0F B6 43 14 83 F8 04 0F 87 B0 04 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 E8 50 8B 45 FC 89 45 D8 C6 45 DC 11 8B 43 04 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? E9 5C 04 00 00 8D 45 D4 50 8B 45 FC 89 45 D8 C6 45 DC 11 8B 43 04 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B C6 E8 ?? ?? ?? ?? E9 23 04 00 00 8D 45 D0 50 8B 45 FC 89 45 D8 C6 45 DC 11 8B 43 04 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B C6 E8 ?? ?? ?? ?? E9 EA 03 00 00 8D 45 CC 50 8B 45 FC 89 45 D8 C6 45 DC 11 8B 43 04 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B C6 E8 ?? ?? ?? ?? E9 B1 03 00 00 83 7B 1C 00 74 44 8D 45 C8 50 8B 45 FC 89 45 D8 C6 45 DC 11 8D 4D C4 8B 53 04 B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 C4 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B C6 E8 ?? ?? ?? ?? 83 7B 1C 00 74 12 83 7B 20 00 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 20 00 0F 84 45 03 00 00 8D 45 C0 50 8B 45 FC 89 45 D8 C6 45 DC 11 8B 43 04 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8B C6 E8 ?? ?? ?? ?? E9 0C 03 00 00 0F B6 53 14 83 FA 04 0F 87 FF 02 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 BC 50 8B 45 FC 89 45 D8 C6 45 DC 11 8B 43 04 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B C6 E8 ?? ?? ?? ?? E9 AB 02 00 00 8D 45 B8 50 8B 45 FC 89 45 D8 C6 45 DC 11 8B 43 04 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B C6 E8 ?? ?? ?? ?? E9 72 02 00 00 8D 45 B4 50 8B 45 FC 89 45 D8 C6 45 DC 11 8B 43 04 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B C6 E8 ?? ?? ?? ?? E9 39 02 00 00 8D 45 B0 50 8B 45 FC 89 45 D8 C6 45 DC 11 8B 43 04 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8B C6 E8 ?? ?? ?? ?? E9 00 02 00 00 3C 01 0F 85 95 00 00 00 83 7B 1C 00 74 34 8D 45 AC 50 8B 45 FC 89 45 D8 C6 45 DC 11 8B 43 04 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 8B C6 E8 ?? ?? ?? ?? 83 7B 1C 00 74 12 83 7B 20 00 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 20 00 0F 84 9C 01 00 00 8D 45 A8 50 8B 45 FC 89 45 D8 C6 45 DC 11 8B 43 04 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 8B C6 E8 ?? ?? ?? ?? E9 63 01 00 00 83 7B 1C 00 74 34 8D 45 A4 50 8B 45 FC 89 45 D8 C6 45 DC 11 8B 43 04 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8B C6 E8 ?? ?? ?? ?? 83 7B 1C 00 74 12 83 7B 20 00 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 20 00 0F 84 07 01 00 00 8D 45 A0 50 8B 45 FC 89 45 D8 C6 45 DC 11 8B 43 04 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 8B C6 E8 ?? ?? ?? ?? E9 CE 00 00 00 0F B6 43 14 2C 04 0F 85 8E 00 00 00 83 7B 1C 00 74 34 8D 45 9C 50 8B 45 FC 89 45 D8 C6 45 DC 11 8B 43 04 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B C6 E8 ?? ?? ?? ?? 83 7B 1C 00 74 12 83 7B 20 00 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 20 00 74 6A 8D 45 98 50 8B 45 FC 89 45 D8 C6 45 DC 11 8B 43 04 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 98 8B C6 E8 ?? ?? ?? ?? EB 34 8D 45 94 50 8B 45 FC 89 45 D8 C6 45 DC 11 8B 43 04 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 BA 11 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 6E 00 6F 00 74 00 20 00 28 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 28 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 55 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 25 00 73 00 20 00 69 00 73 00 20 00 4E 00 55 00 4C 00 4C 00 29 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 25 00 30 00 3A 00 73 00 20 00 73 00 74 00 61 00 72 00 74 00 69 00 6E 00 67 00 20 00 77 00 69 00 74 00 68 00 20 00 3A 00 25 00 31 00 3A 00 73 00 46 00 69 00 6C 00 74 00 65 00 72 00 20 00 29 00 20 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 25 00 30 00 3A 00 73 00 20 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 69 00 6E 00 67 00 20 00 3A 00 25 00 31 00 3A 00 73 00 46 00 69 00 6C 00 74 00 65 00 72 00 20 00 29 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 25 00 30 00 3A 00 73 00 20 00 3D 00 20 00 3A 00 25 00 31 00 3A 00 73 00 46 00 69 00 6C 00 74 00 65 00 72 00 20 00 29 00 20 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 25 00 30 00 3A 00 73 00 20 00 3E 00 3D 00 20 00 3A 00 25 00 31 00 3A 00 73 00 53 00 74 00 61 00 72 00 74 00 29 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 61 00 6E 00 64 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 25 00 30 00 3A 00 73 00 20 00 3C 00 3D 00 20 00 3A 00 25 00 31 00 3A 00 73 00 45 00 6E 00 64 00 29 00 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 55 00 50 00 50 00 45 00 52 00 28 00 25 00 30 00 3A 00 73 00 29 00 20 00 73 00 74 00 61 00 72 00 74 00 69 00 6E 00 67 00 20 00 77 00 69 00 74 00 68 00 20 00 3A 00 25 00 31 00 3A 00 73 00 46 00 69 00 6C 00 74 00 65 00 72 00 20 00 29 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 55 00 50 00 50 00 45 00 52 00 28 00 25 00 30 00 3A 00 73 00 29 00 20 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 69 00 6E 00 67 00 20 00 3A 00 25 00 31 00 3A 00 73 00 46 00 69 00 6C 00 74 00 65 00 72 00 20 00 29 00 20 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 55 00 50 00 50 00 45 00 52 00 28 00 25 00 30 00 3A 00 73 00 29 00 20 00 6C 00 69 00 6B 00 65 00 20 00 3A 00 25 00 31 00 3A 00 73 00 46 00 69 00 6C 00 74 00 65 00 72 00 20 00 29 00 20 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 55 00 50 00 50 00 45 00 52 00 28 00 25 00 30 00 3A 00 73 00 29 00 20 00 3D 00 20 00 3A 00 25 00 31 00 3A 00 73 00 46 00 69 00 6C 00 74 00 65 00 72 00 20 00 29 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 55 00 50 00 50 00 45 00 52 00 28 00 25 00 30 00 3A 00 73 00 29 00 20 00 3E 00 3D 00 20 00 3A 00 25 00 31 00 3A 00 73 00 53 00 74 00 61 00 72 00 74 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 55 00 50 00 50 00 45 00 52 00 28 00 25 00 30 00 3A 00 73 00 29 00 20 00 3C 00 3D 00 20 00 3A 00 25 00 31 00 3A 00 73 00 45 00 6E 00 64 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_30960_0 {
	meta:
		name = "TIBFieldInfo.SetVariables"
		size = 1296
		refs = "001a TIBFieldInfo.SetVariables 002b AnsiUpperCase 0038 @UStrEqual 006f @UStrLAsg 0081 @UStrCat3 00ec _Dn_TIBDataSet 00f1 @IsClass 0119 TIBDataSet.ParamByName 0125 @VarFromUStr 012e TIBXSQLVAR.SetAsVariant 0255 TIBQuery.ParamByName 0270 TParam.SetAsVariant 03cb @UStrArrayClr 03d6 @VarClr 03f2 Variant 03fc @FinalizeArray 0407 @UStrClr 0490 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 1C 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 43 18 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 70 03 00 00 80 7B 0C 01 0F 85 91 00 00 00 80 7B 24 00 74 42 0F B6 43 14 2C 01 72 2D 74 0C FE C8 74 15 FE C8 0F 85 80 00 00 00 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? EB 73 8D 45 FC 8B 4B 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 61 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? EB 54 0F B6 43 14 2C 01 72 34 74 08 FE C8 74 11 FE C8 75 42 8D 55 FC 8B 43 18 E8 ?? ?? ?? ?? EB 35 8D 55 F4 8B 43 18 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 8D 55 FC 8B 43 18 E8 ?? ?? ?? ?? EB 0B 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 3C 01 00 00 80 7B 14 04 74 34 8D 45 F0 B9 ?? ?? ?? ?? 8B 53 04 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 50 8D 45 E0 8B 55 FC E8 ?? ?? ?? ?? 8D 55 E0 58 E8 ?? ?? ?? ?? E9 7B 02 00 00 80 7B 24 00 74 73 83 7B 1C 00 74 2F 8D 45 DC B9 ?? ?? ?? ?? 8B 53 04 E8 ?? ?? ?? ?? 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 50 8D 45 CC 8B 53 1C E8 ?? ?? ?? ?? 8D 55 CC 58 E8 ?? ?? ?? ?? 83 7B 20 00 0F 84 36 02 00 00 8D 45 C8 B9 ?? ?? ?? ?? 8B 53 04 E8 ?? ?? ?? ?? 8B 55 C8 8B C6 E8 ?? ?? ?? ?? 50 8D 45 B8 8B 53 20 E8 ?? ?? ?? ?? 8D 55 B8 58 E8 ?? ?? ?? ?? E9 02 02 00 00 83 7B 1C 00 74 3A 8D 55 A4 8B 43 1C E8 ?? ?? ?? ?? 8B 55 A4 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 A8 50 8D 45 A0 B9 ?? ?? ?? ?? 8B 53 04 E8 ?? ?? ?? ?? 8B 55 A0 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 83 7B 20 00 0F 84 B8 01 00 00 8D 55 8C 8B 43 20 E8 ?? ?? ?? ?? 8B 55 8C 8D 45 90 E8 ?? ?? ?? ?? 8D 45 90 50 8D 45 88 B9 ?? ?? ?? ?? 8B 53 04 E8 ?? ?? ?? ?? 8B 55 88 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? E9 79 01 00 00 80 7B 14 04 74 3A 8D 45 84 B9 ?? ?? ?? ?? 8B 53 04 E8 ?? ?? ?? ?? 8B 55 84 8B C6 E8 ?? ?? ?? ?? 50 8D 85 74 FF FF FF 8B 55 FC E8 ?? ?? ?? ?? 8D 95 74 FF FF FF 58 E8 ?? ?? ?? ?? E9 39 01 00 00 80 7B 24 00 0F 84 8B 00 00 00 83 7B 1C 00 74 3B 8D 85 70 FF FF FF B9 ?? ?? ?? ?? 8B 53 04 E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 8B C6 E8 ?? ?? ?? ?? 50 8D 85 60 FF FF FF 8B 53 1C E8 ?? ?? ?? ?? 8D 95 60 FF FF FF 58 E8 ?? ?? ?? ?? 83 7B 20 00 0F 84 E4 00 00 00 8D 85 5C FF FF FF B9 ?? ?? ?? ?? 8B 53 04 E8 ?? ?? ?? ?? 8B 95 5C FF FF FF 8B C6 E8 ?? ?? ?? ?? 50 8D 85 4C FF FF FF 8B 53 20 E8 ?? ?? ?? ?? 8D 95 4C FF FF FF 58 E8 ?? ?? ?? ?? E9 A4 00 00 00 83 7B 1C 00 74 4C 8D 95 38 FF FF FF 8B 43 1C E8 ?? ?? ?? ?? 8B 95 38 FF FF FF 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF 50 8D 85 34 FF FF FF B9 ?? ?? ?? ?? 8B 53 04 E8 ?? ?? ?? ?? 8B 95 34 FF FF FF 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 83 7B 20 00 74 4C 8D 95 20 FF FF FF 8B 43 20 E8 ?? ?? ?? ?? 8B 95 20 FF FF FF 8D 85 24 FF FF FF E8 ?? ?? ?? ?? 8D 85 24 FF FF FF 50 8D 85 1C FF FF FF B9 ?? ?? ?? ?? 8B 53 04 E8 ?? ?? ?? ?? 8B 95 1C FF FF FF 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 1C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 24 FF FF FF E8 ?? ?? ?? ?? 8D 85 34 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 45 84 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 A0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 26 FF FF FF 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 55 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 46 00 69 00 6C 00 74 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 74 00 61 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 45 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_30961_0 {
	meta:
		name = "TIBVariable.Create"
		size = 159
		refs = "0011 @ClassCreate 002a @UStrAddRef 0032 @VarAddRef 003a TIBVariable.Create 004b @UStrAsg 0056 @VarCopy 006b @VarClr 0073 @UStrClr 0079 @HandleFinally 0086 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 08 8D 7D E8 A5 A5 A5 A5 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 8D 46 08 8D 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_30962_0 {
	meta:
		name = "TfrmIBFilterDialog.GetFilterItem"
		size = 22
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 F8 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30963_0 {
	meta:
		name = "TfrmIBFilterDialog.NewSQL"
		size = 68
		refs = "001c TList.Get 0021 TObject.Free 002e TList.Delete 003d TfrmIBFilterDialog.btnNewSearchClick"
	strings:
		$1 = { 53 56 8B F0 8B 86 FC 03 00 00 8B 58 08 4B 83 FB 00 7C 25 8B D3 8B 86 FC 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 86 FC 03 00 00 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DB 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30965_0 {
	meta:
		name = "IBFilterDialog"
		size = 26
		refs = "0002 _DV_5 000b _Dn_TControl 0010 _DV_TIBFilterDialog 0015 GroupDescendentsWith"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77059_0 {
	meta:
		name = "Vcl.CustomizeDlg"
		size = 26
		refs = "0002 _DV_3 000b _Dn_TControl 0010 _DV_TCustomizeDlg 0015 GroupDescendentsWith"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82888_0 {
	meta:
		name = "Vcl.OleCtrls"
		size = 26
		refs = "0002 _DV_5 000b _Dn_TControl 0010 _DV_TOleControl 0015 GroupDescendentsWith"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82917_0 {
	meta:
		name = "Vcl.OleServer"
		size = 26
		refs = "0002 _DV_3 000b _Dn_TControl 0010 _DV_TOleServer 0015 GroupDescendentsWith"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_30968_0 {
	meta:
		name = "XSQLDA_LENGTH"
		size = 56
		refs = "000a XSQLDA_LENGTH"
	strings:
		$1 = { 55 8B EC 8B D0 DF 6D 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 0E 4A 69 C2 2C 01 00 00 05 40 01 00 00 EB 0C 4A 69 C2 98 00 00 00 05 AC 00 00 00 5D C2 08 00 00 00 00 B8 88 47 }
	condition:
		$1
}

rule function_30969_0 {
	meta:
		name = "XSQLVAR_LENGTH"
		size = 9
	strings:
		$1 = { 69 C0 2C 01 00 00 F7 EA C3 }
	condition:
		$1
}

rule function_30970_0 {
	meta:
		name = "DSC_GET_CHARSET"
		size = 32
	strings:
		$1 = { 56 57 83 C4 F0 8B F0 8D 3C 24 A5 A5 A5 A5 0F B7 44 24 02 66 25 FF 00 0F BF C0 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_30971_0 {
	meta:
		name = "DSC_GET_COLLATE"
		size = 28
	strings:
		$1 = { 56 57 83 C4 F0 8B F0 8D 3C 24 A5 A5 A5 A5 0F BF 44 24 02 C1 E8 08 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_30972_0 {
	meta:
		name = "add_spb_length"
		size = 16
	strings:
		$1 = { 8B 08 88 11 FF 00 C1 EA 08 8B 08 88 11 FF 00 C3 }
	condition:
		$1
}

rule function_30973_0 {
	meta:
		name = "add_spb_numeric"
		size = 40
	strings:
		$1 = { 53 8B 08 88 11 FF 00 8B CA C1 E9 08 8B 18 88 0B FF 00 8B CA C1 E9 10 8B 18 88 0B FF 00 C1 EA 18 8B 08 88 11 FF 00 5B C3 }
	condition:
		$1
}

rule function_30976_0 {
	meta:
		name = "IBInstallerError"
		size = 109
		refs = "0012 IBInstallerError 0028 IBInstallerMessages 002f Format 003c _DV_EIBInstallerError 0041 EIBInstall.Create 0046 @RaiseExcept 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B D6 0F B6 C3 8B 04 85 ?? ?? ?? ?? 8B CF E8 ?? ?? ?? ?? 8B 45 FC 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30977_0 {
	meta:
		name = "ErrorCallback"
		size = 21
		refs = "000d TIBSetup.ErrorInternal"
	strings:
		$1 = { 55 8B EC 8B 4D 10 8B 55 08 8B 45 0C E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_30978_0 {
	meta:
		name = "StatusCallback"
		size = 21
		refs = "000d TIBSetup.StatusInternal"
	strings:
		$1 = { 55 8B EC 8B 4D 10 8B 55 08 8B 45 0C E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_30979_0 {
	meta:
		name = "TIBSetup.ErrorInternal"
		size = 236
		refs = "0016 TIBSetup.ErrorInternal 002c @PCharLen 0037 @LStrSetLength 0041 StrCopy 004b @LStrClr 0070 TIBSetup.GetInstallMessage 007f @UStrFromLStr 00cf @UStrArrayClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 23 80 3F 00 74 1E 8B C7 E8 ?? ?? ?? ?? 8D 55 FC 33 C9 92 E8 ?? ?? ?? ?? 8D 45 FC 8B D7 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 83 FE FD 74 05 83 FE FC 75 08 C6 43 39 01 33 DB EB 58 66 83 7B 5A 00 74 4C 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 50 8B CE 8B D3 8B 43 5C FF 53 58 2C 01 72 08 74 0D FE C8 74 0D EB 10 BB 01 00 00 00 EB 15 33 DB EB 11 83 CB FF EB 0C BB 01 00 00 00 EB 05 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_30980_0 {
	meta:
		name = "TIBSetup.StatusInternal"
		size = 176
		refs = "0011 TIBSetup.StatusInternal 002a @PCharLen 0035 @LStrSetLength 003f StrCopy 0049 @LStrClr 005b @UStrFromLStr 0094 @UStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 53 3C 85 F6 74 23 80 3E 00 74 1E 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 33 C9 92 E8 ?? ?? ?? ?? 8D 45 FC 8B D6 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 66 83 7B 4A 00 74 2D 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 43 4C FF 53 48 2C 01 72 04 74 09 EB 0B BB 01 00 00 00 EB 0A 33 DB EB 06 33 DB EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30981_0 {
	meta:
		name = "TIBSetup.SetMsgFilePath"
		size = 53
		refs = "000e @UStrEqual 0016 isc_install_load_external_text 0023 TIBSetup.Call 002e @UStrAsg"
	strings:
		$1 = { 53 51 89 14 24 8B D8 8B 43 40 8B 14 24 E8 ?? ?? ?? ?? 74 1E 54 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 43 40 8B 14 24 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_30982_0 {
	meta:
		name = "TIBSetup.Call"
		size = 133
		refs = "000f TIBSetup.Call 0030 TIBSetup.GetInstallMessage 004b TIBSetup.IBInstallError 0074 @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 46 85 DB 7D 39 66 83 7E 6A 00 74 29 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B CB 8B D6 8B 46 6C FF 56 68 84 C0 75 1D 8B D3 8B C6 E8 ?? ?? ?? ?? EB 12 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30983_0 {
	meta:
		name = "TIBSetup.IBInstallError"
		size = 94
		refs = "000f TIBSetup.IBInstallError 0021 TIBSetup.GetInstallMessage 002e _DV_EIBInstallError 0033 EIBInstall.Create 0038 @RaiseExcept 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30984_0 {
	meta:
		name = "TIBSetup.GetInstallMessage"
		size = 154
		refs = "000f TIBSetup.GetInstallMessage 0024 @LStrSetLength 0035 isc_install_get_message 005a @LStrToPChar 005f @PCharLen 0074 @UStrFromLStr 0089 @LStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 33 C9 BA 58 02 00 00 E8 ?? ?? ?? ?? 68 58 02 00 00 8B 45 FC 50 53 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 74 15 68 58 02 00 00 8B 55 FC 52 50 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 33 C9 92 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30985_0 {
	meta:
		name = "TIBSetup.Create"
		size = 75
		refs = "000a @ClassCreate 0017 TComponent.Create 0020 CheckIBInstallLoaded 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 38 00 E8 ?? ?? ?? ?? C6 46 38 01 C6 46 39 00 33 C0 89 46 3C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_30986_0 {
	meta:
		name = "TIBInstall.Create"
		size = 91
		refs = "000a @ClassCreate 0017 TIBSetup.Create 0020 CheckIBInstallLoaded 002b _DV_TInstallOptions 0030 TObject.Create 003d TIBInstall.SuggestDestination 0048 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 38 00 E8 ?? ?? ?? ?? C6 46 38 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_30987_0 {
	meta:
		name = "TIBInstall.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 0018 TObject.Free 0023 TComponent.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 38 00 74 0B 8B 86 80 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30988_0 {
	meta:
		name = "TIBInstall.InstallCheck"
		size = 142
		refs = "0014 TIBInstall.InternalSetOptions 0026 @LStrToPChar 0044 TIBInstall.InstallCheck 0055 isc_install_precheck 0062 TIBSetup.Call 0078 isc_install_clear_options 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 33 C0 89 45 FC 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7B 74 00 75 04 33 F6 EB 0A 8B 43 74 E8 ?? ?? ?? ?? 8B F0 83 7B 78 00 75 04 33 FF EB 0A 8B 43 78 E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 56 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30989_0 {
	meta:
		name = "TIBInstall.InstallExecute"
		size = 197
		refs = "0013 TIBInstall.InternalSetOptions 0026 IBInstallerError 002e TIBInstall.InstallExecute 0043 @LStrSetLength 004b @LStrToPChar 0054 ErrorCallback 005a StatusCallback 0075 isc_install_execute 0082 TIBSetup.Call 008f @PCharLen 00b0 isc_install_clear_options 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 33 C0 89 45 FC 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 0D 8D 55 FC 83 C9 FF B0 02 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 43 70 33 C9 BA 00 01 00 00 E8 ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 50 8B F3 56 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8B 43 78 E8 ?? ?? ?? ?? 50 8B 43 74 E8 ?? ?? ?? ?? 50 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 53 70 33 C9 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_30990_0 {
	meta:
		name = "TIBInstall.InternalSetOptions"
		size = 360
		refs = "000d TIBInstall.InternalSetOptions 0023 isc_install_set_option"
	strings:
		$1 = { 53 56 8B F2 8B 98 80 00 00 00 0F B6 05 ?? ?? ?? ?? 3A 43 04 74 7E F6 43 04 02 74 0F 68 EA 03 00 00 56 A1 ?? ?? ?? ?? 8B 00 FF D0 F6 43 04 20 74 0F 68 F7 03 00 00 56 A1 ?? ?? ?? ?? 8B 00 FF D0 F6 43 04 01 74 0F 68 E9 03 00 00 56 A1 ?? ?? ?? ?? 8B 00 FF D0 F6 43 04 10 74 0F 68 F3 03 00 00 56 A1 ?? ?? ?? ?? 8B 00 FF D0 F6 43 04 04 74 0F 68 4C 04 00 00 56 A1 ?? ?? ?? ?? 8B 00 FF D0 F6 43 04 08 74 0F 68 EF 03 00 00 56 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B6 05 ?? ?? ?? ?? 3A 43 05 74 2A F6 43 05 01 74 0F 68 F6 03 00 00 56 A1 ?? ?? ?? ?? 8B 00 FF D0 F6 43 05 02 74 0F 68 F5 03 00 00 56 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B6 05 ?? ?? ?? ?? 3A 43 06 74 3F F6 43 06 01 74 0F 68 EC 03 00 00 56 A1 ?? ?? ?? ?? 8B 00 FF D0 F6 43 06 02 74 0F 68 EE 03 00 00 56 A1 ?? ?? ?? ?? 8B 00 FF D0 F6 43 06 04 74 0F 68 ED 03 00 00 56 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B6 05 ?? ?? ?? ?? 3A 43 07 74 3F F6 43 07 01 74 0F 68 4E 04 00 00 56 A1 ?? ?? ?? ?? 8B 00 FF D0 F6 43 07 02 74 0F 68 50 04 00 00 56 A1 ?? ?? ?? ?? 8B 00 FF D0 F6 43 07 04 74 0F 68 4F 04 00 00 56 A1 ?? ?? ?? ?? 8B 00 FF D0 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_30991_0 {
	meta:
		name = "TIBInstall.SetDestination"
		size = 57
		refs = "000d @LStrToPChar 0017 isc_install_precheck 0028 TIBSetup.IBInstallError 0032 @LStrAsg"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 22 8B C3 E8 ?? ?? ?? ?? 50 6A 00 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 7E 09 8B D0 8B C6 E8 ?? ?? ?? ?? 8D 46 78 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30992_0 {
	meta:
		name = "TIBInstall.SetInstallOptions"
		size = 18
	strings:
		$1 = { 8B 88 80 00 00 00 3B D1 74 07 8B C1 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_30993_0 {
	meta:
		name = "TIBInstall.SetSource"
		size = 57
		refs = "000f @LStrToPChar 0017 isc_install_precheck 0028 TIBSetup.IBInstallError 0032 @LStrAsg"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 22 6A 00 8B C3 E8 ?? ?? ?? ?? 50 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 7E 09 8B D0 8B C6 E8 ?? ?? ?? ?? 8D 46 74 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_30994_0 {
	meta:
		name = "TIBInstall.SuggestDestination"
		size = 75
		refs = "000e @LStrSetLength 0020 isc_install_get_info 002d TIBSetup.Call 0035 @LStrToPChar 003a @PCharLen"
	strings:
		$1 = { 53 8B D8 8D 43 7C 33 C9 BA 00 01 00 00 E8 ?? ?? ?? ?? 68 00 01 00 00 8B 43 7C 50 6A 00 6A 01 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 7C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 53 7C 33 C9 92 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_30995_0 {
	meta:
		name = "TIBInstall.GetOptionDescription"
		size = 142
		refs = "0018 TIBInstall.GetOptionDescription 002d @LStrSetLength 0044 TIBInstall.GetOptionProperty 004c @LStrToPChar 0051 @PCharLen 0067 @UStrFromLStr 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 33 C9 BA 2C 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 2C 01 00 00 8B CB BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 33 C9 92 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_30999_0 {
	meta:
		name = "TIBInstall.GetOptionName"
		size = 142
		refs = "0018 TIBInstall.GetOptionName 002d @LStrSetLength 0044 TIBInstall.GetOptionProperty 004c @LStrToPChar 0051 @PCharLen 0067 @UStrFromLStr 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 33 C9 BA 2C 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 68 2C 01 00 00 8B CB BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 33 C9 92 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31003_0 {
	meta:
		name = "TIBInstall.GetOptionSpaceRequired"
		size = 21
		refs = "000c TIBInstall.GetOptionProperty"
	strings:
		$1 = { 51 54 6A 04 8B CA BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_31007_0 {
	meta:
		name = "TIBInstall.GetOptionProperty"
		size = 124
		refs = "0015 TIBInstall.GetOptionProperty 0064 isc_install_get_info 0071 TIBSetup.Call"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 0F B6 C1 83 F8 05 77 42 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BB EA 03 00 00 EB 21 BB F7 03 00 00 EB 1A BB E9 03 00 00 EB 13 BB F3 03 00 00 EB 0C BB EF 03 00 00 EB 05 BB 4C 04 00 00 8B 45 08 50 8B 45 0C 50 53 57 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_31008_0 {
	meta:
		name = "TIBInstall.GetOptionProperty"
		size = 62
		refs = "0026 isc_install_get_info 0033 TIBSetup.Call"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 80 E9 01 73 07 BB F6 03 00 00 EB 05 BB F5 03 00 00 8B 45 08 50 8B 45 0C 50 53 57 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_31009_0 {
	meta:
		name = "TIBInstall.GetOptionProperty"
		size = 73
		refs = "0031 isc_install_get_info 003e TIBSetup.Call"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 80 E9 01 72 04 74 09 EB 0E BB EC 03 00 00 EB 0C BB EE 03 00 00 EB 05 BB ED 03 00 00 8B 45 08 50 8B 45 0C 50 53 57 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_31010_0 {
	meta:
		name = "TIBInstall.GetOptionProperty"
		size = 73
		refs = "0031 isc_install_get_info 003e TIBSetup.Call"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 80 E9 01 72 04 74 09 EB 0E BB 4E 04 00 00 EB 0C BB 50 04 00 00 EB 05 BB 4F 04 00 00 8B 45 08 50 8B 45 0C 50 53 57 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_31011_0 {
	meta:
		name = "TIBUnInstall.UnInstallCheck"
		size = 50
		refs = "0011 IBInstallerError 0019 @LStrToPChar 001f isc_uninstall_precheck 002c TIBSetup.Call"
	strings:
		$1 = { 53 8B D8 83 7B 70 00 75 0C 8B D4 83 C9 FF B0 05 E8 ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31012_0 {
	meta:
		name = "TIBUnInstall.UnInstallExecute"
		size = 66
		refs = "0012 IBInstallerError 001a ErrorCallback 0020 StatusCallback 0028 @LStrToPChar 002e isc_uninstall_execute 003b TIBSetup.Call"
	strings:
		$1 = { 53 56 8B D8 83 7B 70 00 75 0C 8B D4 83 C9 FF B0 05 E8 ?? ?? ?? ?? 8B F3 56 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31013_0 {
	meta:
		name = "EIBInstall.Create"
		size = 124
		refs = "000e @ClassCreate 001c @UStrAddRef 0024 EIBInstall.Create 0036 Exception.Create 0052 @UStrClr 0058 @HandleFinally 0065 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 C6 47 1C 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_31014_0 {
	meta:
		name = "EIBInstall.Create"
		size = 128
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 EIBInstall.Create 0037 Exception.Create 0054 @UStrClr 005a @HandleFinally 0069 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 1C 33 C0 89 46 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_31028_0 {
	meta:
		name = "isc_rollback_retaining_stub"
		size = 104
		refs = "000a isc_rollback_retaining_stub 001d IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 03 E8 ?? ?? ?? ?? 8B C3 5B 59 59 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 69 00 73 00 63 00 5F 00 72 00 6F 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 5F 00 72 00 65 00 74 00 61 00 69 00 6E 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_31029_0 {
	meta:
		name = "isc_service_attach_stub"
		size = 96
		refs = "000a isc_service_attach_stub 001d IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 03 E8 ?? ?? ?? ?? 8B C3 5B 59 59 5D C2 18 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 69 00 73 00 63 00 5F 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 5F 00 61 00 74 00 74 00 61 00 63 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_31030_0 {
	meta:
		name = "isc_service_detach_stub"
		size = 96
		refs = "000a isc_service_detach_stub 001d IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 03 E8 ?? ?? ?? ?? 8B C3 5B 59 59 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 69 00 73 00 63 00 5F 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 5F 00 64 00 65 00 74 00 61 00 63 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_31031_0 {
	meta:
		name = "isc_service_query_stub"
		size = 92
		refs = "000a isc_service_query_stub 001d IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 03 E8 ?? ?? ?? ?? 8B C3 5B 59 59 5D C2 24 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 69 00 73 00 63 00 5F 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 5F 00 71 00 75 00 65 00 72 00 79 00 00 00 }
	condition:
		$1
}

rule function_31032_0 {
	meta:
		name = "isc_service_start_stub"
		size = 92
		refs = "000a isc_service_start_stub 001d IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 03 E8 ?? ?? ?? ?? 8B C3 5B 59 59 5D C2 14 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 69 00 73 00 63 00 5F 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 5F 00 73 00 74 00 61 00 72 00 74 00 00 00 }
	condition:
		$1
}

rule function_31033_0 {
	meta:
		name = "isc_encode_sql_date_stub"
		size = 88
		refs = "0007 isc_encode_sql_date_stub 001a IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 03 E8 ?? ?? ?? ?? 59 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 13 00 00 00 69 00 73 00 63 00 5F 00 65 00 6E 00 63 00 6F 00 64 00 65 00 5F 00 73 00 71 00 6C 00 5F 00 64 00 61 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_31034_0 {
	meta:
		name = "isc_encode_sql_time_stub"
		size = 88
		refs = "0007 isc_encode_sql_time_stub 001a IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 03 E8 ?? ?? ?? ?? 59 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 13 00 00 00 69 00 73 00 63 00 5F 00 65 00 6E 00 63 00 6F 00 64 00 65 00 5F 00 73 00 71 00 6C 00 5F 00 74 00 69 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_31035_0 {
	meta:
		name = "isc_encode_timestamp_stub"
		size = 100
		refs = "0007 isc_encode_timestamp_stub 001a IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 03 E8 ?? ?? ?? ?? 59 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 18 00 00 00 69 00 73 00 63 00 5F 00 65 00 6E 00 63 00 6F 00 64 00 65 00 5F 00 73 00 71 00 6C 00 5F 00 74 00 69 00 6D 00 65 00 73 00 74 00 61 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_31036_0 {
	meta:
		name = "isc_decode_sql_date_stub"
		size = 88
		refs = "0007 isc_decode_sql_date_stub 001a IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 03 E8 ?? ?? ?? ?? 59 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 13 00 00 00 69 00 73 00 63 00 5F 00 64 00 65 00 63 00 6F 00 64 00 65 00 5F 00 73 00 71 00 6C 00 5F 00 64 00 61 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_31037_0 {
	meta:
		name = "isc_decode_sql_time_stub"
		size = 88
		refs = "0007 isc_decode_sql_time_stub 001a IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 03 E8 ?? ?? ?? ?? 59 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 13 00 00 00 69 00 73 00 63 00 5F 00 64 00 65 00 63 00 6F 00 64 00 65 00 5F 00 73 00 71 00 6C 00 5F 00 74 00 69 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_31038_0 {
	meta:
		name = "isc_decode_timestamp_stub"
		size = 92
		refs = "0007 isc_decode_timestamp_stub 001a IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 03 E8 ?? ?? ?? ?? 59 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 14 00 00 00 69 00 73 00 63 00 5F 00 64 00 65 00 63 00 6F 00 64 00 65 00 5F 00 74 00 69 00 6D 00 65 00 73 00 74 00 61 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_31039_0 {
	meta:
		name = "isc_install_clear_options_stub"
		size = 92
		refs = "000a isc_install_clear_options_stub 001d IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 03 E8 ?? ?? ?? ?? 8B C3 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 69 00 73 00 63 00 5F 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 5F 00 78 00 78 00 78 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_31043_0 {
	meta:
		name = "isc_install_load_external_text_stub"
		size = 92
		refs = "000a isc_install_load_external_text_stub 001d IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 03 E8 ?? ?? ?? ?? 8B C3 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 69 00 73 00 63 00 5F 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 5F 00 78 00 78 00 78 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_31047_0 {
	meta:
		name = "isc_uninstall_precheck_stub"
		size = 92
		refs = "000a isc_uninstall_precheck_stub 001d IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 03 E8 ?? ?? ?? ?? 8B C3 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 69 00 73 00 63 00 5F 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 5F 00 78 00 78 00 78 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_31040_0 {
	meta:
		name = "isc_install_execute_stub"
		size = 92
		refs = "000a isc_install_execute_stub 001d IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 03 E8 ?? ?? ?? ?? 8B C3 5B 59 59 5D C2 20 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 69 00 73 00 63 00 5F 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 5F 00 78 00 78 00 78 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_31041_0 {
	meta:
		name = "isc_install_get_info_stub"
		size = 92
		refs = "000a isc_install_get_info_stub 001d IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 03 E8 ?? ?? ?? ?? 8B C3 5B 59 59 5D C2 10 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 69 00 73 00 63 00 5F 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 5F 00 78 00 78 00 78 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_31042_0 {
	meta:
		name = "isc_install_get_message_stub"
		size = 92
		refs = "000a isc_install_get_message_stub 001d IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 03 E8 ?? ?? ?? ?? 8B C3 5B 59 59 5D C2 10 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 69 00 73 00 63 00 5F 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 5F 00 78 00 78 00 78 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_31044_0 {
	meta:
		name = "isc_install_precheck_stub"
		size = 92
		refs = "000a isc_install_precheck_stub 001d IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 03 E8 ?? ?? ?? ?? 8B C3 5B 59 59 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 69 00 73 00 63 00 5F 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 5F 00 78 00 78 00 78 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_31045_0 {
	meta:
		name = "isc_install_set_option_stub"
		size = 92
		refs = "000a isc_install_set_option_stub 001d IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 03 E8 ?? ?? ?? ?? 8B C3 5B 59 59 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 69 00 73 00 63 00 5F 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 5F 00 78 00 78 00 78 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_31048_0 {
	meta:
		name = "isc_install_unset_option_stub"
		size = 92
		refs = "000a isc_install_unset_option_stub 001d IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 03 E8 ?? ?? ?? ?? 8B C3 5B 59 59 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 69 00 73 00 63 00 5F 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 5F 00 78 00 78 00 78 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_31046_0 {
	meta:
		name = "isc_uninstall_execute_stub"
		size = 92
		refs = "000a isc_uninstall_execute_stub 001d IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 03 E8 ?? ?? ?? ?? 8B C3 5B 59 59 5D C2 14 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 69 00 73 00 63 00 5F 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 5F 00 78 00 78 00 78 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_31049_0 {
	meta:
		name = "isc_get_client_version_stub"
		size = 192
		refs = "0012 isc_get_client_version_stub 0024 SIB70feature 0029 LoadResString 0044 Format 004e _Dn_EIBClientError 0053 Exception.Create 0058 @RaiseExcept 0072 @UStrArrayClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 17 00 00 00 69 00 73 00 63 00 5F 00 67 00 65 00 74 00 5F 00 63 00 6C 00 69 00 65 00 6E 00 74 00 5F 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 00 00 }
	condition:
		$1
}

rule function_31050_0 {
	meta:
		name = "isc_get_client_major_version_stub"
		size = 208
		refs = "0013 isc_get_client_major_version_stub 0025 SIB70feature 002a LoadResString 0045 Format 004f _Dn_EIBClientError 0054 Exception.Create 0059 @RaiseExcept 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 69 00 73 00 63 00 5F 00 67 00 65 00 74 00 5F 00 63 00 6C 00 69 00 65 00 6E 00 74 00 5F 00 6D 00 61 00 6A 00 6F 00 72 00 5F 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 00 00 }
	condition:
		$1
}

rule function_31051_0 {
	meta:
		name = "isc_get_client_minor_version_stub"
		size = 208
		refs = "0013 isc_get_client_minor_version_stub 0025 SIB70feature 002a LoadResString 0045 Format 004f _Dn_EIBClientError 0054 Exception.Create 0059 @RaiseExcept 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 69 00 73 00 63 00 5F 00 67 00 65 00 74 00 5F 00 63 00 6C 00 69 00 65 00 6E 00 74 00 5F 00 6D 00 69 00 6E 00 6F 00 72 00 5F 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 00 00 }
	condition:
		$1
}

rule function_31052_0 {
	meta:
		name = "isc_array_gen_sdl2_stub"
		size = 188
		refs = "0013 isc_array_gen_sdl2_stub 0025 SIB70feature 002a LoadResString 0045 Format 004f _Dn_EIBClientError 0054 Exception.Create 0059 @RaiseExcept 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 14 00 B0 04 02 00 FF FF FF FF 13 00 00 00 69 00 73 00 63 00 5F 00 61 00 72 00 72 00 61 00 79 00 5F 00 67 00 65 00 6E 00 5F 00 73 00 64 00 6C 00 32 00 20 00 00 00 }
	condition:
		$1
}

rule function_31053_0 {
	meta:
		name = "isc_array_get_slice2_stub"
		size = 192
		refs = "0013 isc_array_get_slice2_stub 0025 SIB70feature 002a LoadResString 0045 Format 004f _Dn_EIBClientError 0054 Exception.Create 0059 @RaiseExcept 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 1C 00 B0 04 02 00 FF FF FF FF 15 00 00 00 69 00 73 00 63 00 5F 00 61 00 72 00 72 00 61 00 79 00 5F 00 67 00 65 00 74 00 5F 00 73 00 6C 00 69 00 63 00 65 00 32 00 20 00 00 00 }
	condition:
		$1
}

rule function_31054_0 {
	meta:
		name = "isc_array_lookup_bounds2_stub"
		size = 200
		refs = "0013 isc_array_lookup_bounds2_stub 0025 SIB70feature 002a LoadResString 0045 Format 004f _Dn_EIBClientError 0054 Exception.Create 0059 @RaiseExcept 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 18 00 B0 04 02 00 FF FF FF FF 19 00 00 00 69 00 73 00 63 00 5F 00 61 00 72 00 72 00 61 00 79 00 5F 00 6C 00 6F 00 6F 00 6B 00 75 00 70 00 5F 00 62 00 6F 00 75 00 6E 00 64 00 73 00 32 00 20 00 00 00 }
	condition:
		$1
}

rule function_31055_0 {
	meta:
		name = "isc_array_lookup_desc2_stub"
		size = 196
		refs = "0013 isc_array_lookup_desc2_stub 0025 SIB70feature 002a LoadResString 0045 Format 004f _Dn_EIBClientError 0054 Exception.Create 0059 @RaiseExcept 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 18 00 B0 04 02 00 FF FF FF FF 17 00 00 00 69 00 73 00 63 00 5F 00 61 00 72 00 72 00 61 00 79 00 5F 00 6C 00 6F 00 6F 00 6B 00 75 00 70 00 5F 00 64 00 65 00 73 00 63 00 32 00 20 00 00 00 }
	condition:
		$1
}

rule function_31056_0 {
	meta:
		name = "isc_array_set_desc2_stub"
		size = 192
		refs = "0013 isc_array_set_desc2_stub 0025 SIB70feature 002a LoadResString 0045 Format 004f _Dn_EIBClientError 0054 Exception.Create 0059 @RaiseExcept 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 1C 00 B0 04 02 00 FF FF FF FF 14 00 00 00 69 00 73 00 63 00 5F 00 61 00 72 00 72 00 61 00 79 00 5F 00 73 00 65 00 74 00 5F 00 64 00 65 00 73 00 63 00 32 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_31057_0 {
	meta:
		name = "isc_array_put_slice2_stub"
		size = 192
		refs = "0013 isc_array_put_slice2_stub 0025 SIB70feature 002a LoadResString 0045 Format 004f _Dn_EIBClientError 0054 Exception.Create 0059 @RaiseExcept 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 1C 00 B0 04 02 00 FF FF FF FF 15 00 00 00 69 00 73 00 63 00 5F 00 61 00 72 00 72 00 61 00 79 00 5F 00 70 00 75 00 74 00 5F 00 73 00 6C 00 69 00 63 00 65 00 32 00 20 00 00 00 }
	condition:
		$1
}

rule function_31058_0 {
	meta:
		name = "isc_blob_default_desc2_stub"
		size = 192
		refs = "0012 isc_blob_default_desc2_stub 0024 SIB70feature 0029 LoadResString 0044 Format 004e _Dn_EIBClientError 0053 Exception.Create 0058 @RaiseExcept 0072 @UStrArrayClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 17 00 00 00 69 00 73 00 63 00 5F 00 62 00 6C 00 6F 00 62 00 5F 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 5F 00 64 00 65 00 73 00 63 00 32 00 20 00 00 00 }
	condition:
		$1
}

rule function_31059_0 {
	meta:
		name = "isc_blob_gen_bpb2_stub"
		size = 188
		refs = "0013 isc_blob_gen_bpb2_stub 0025 SIB70feature 002a LoadResString 0045 Format 004f _Dn_EIBClientError 0054 Exception.Create 0059 @RaiseExcept 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 18 00 B0 04 02 00 FF FF FF FF 12 00 00 00 69 00 73 00 63 00 5F 00 62 00 6C 00 6F 00 62 00 5F 00 67 00 65 00 6E 00 5F 00 62 00 70 00 62 00 32 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_31060_0 {
	meta:
		name = "isc_blob_lookup_desc2_stub"
		size = 196
		refs = "0013 isc_blob_lookup_desc2_stub 0025 SIB70feature 002a LoadResString 0045 Format 004f _Dn_EIBClientError 0054 Exception.Create 0059 @RaiseExcept 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 1C 00 B0 04 02 00 FF FF FF FF 16 00 00 00 69 00 73 00 63 00 5F 00 62 00 6C 00 6F 00 62 00 5F 00 6C 00 6F 00 6F 00 6B 00 75 00 70 00 5F 00 64 00 65 00 73 00 63 00 32 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_31061_0 {
	meta:
		name = "isc_blob_set_desc2_stub"
		size = 188
		refs = "0013 isc_blob_set_desc2_stub 0025 SIB70feature 002a LoadResString 0045 Format 004f _Dn_EIBClientError 0054 Exception.Create 0059 @RaiseExcept 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 1C 00 B0 04 02 00 FF FF FF FF 13 00 00 00 69 00 73 00 63 00 5F 00 62 00 6C 00 6F 00 62 00 5F 00 73 00 65 00 74 00 5F 00 64 00 65 00 73 00 63 00 32 00 20 00 00 00 }
	condition:
		$1
}

rule function_31062_0 {
	meta:
		name = "isc_release_savepoint_stub"
		size = 196
		refs = "0013 isc_release_savepoint_stub 0025 SIB71feature 002a LoadResString 0045 Format 004f _Dn_EIBClientError 0054 Exception.Create 0059 @RaiseExcept 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 16 00 00 00 69 00 73 00 63 00 5F 00 72 00 65 00 6C 00 65 00 61 00 73 00 65 00 5F 00 73 00 61 00 76 00 65 00 70 00 6F 00 69 00 6E 00 74 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_31063_0 {
	meta:
		name = "isc_rollback_savepoint_stub"
		size = 196
		refs = "0013 isc_rollback_savepoint_stub 0025 SIB71feature 002a LoadResString 0045 Format 004f _Dn_EIBClientError 0054 Exception.Create 0059 @RaiseExcept 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 10 00 B0 04 02 00 FF FF FF FF 17 00 00 00 69 00 73 00 63 00 5F 00 72 00 6F 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 5F 00 73 00 61 00 76 00 65 00 70 00 6F 00 69 00 6E 00 74 00 20 00 00 00 }
	condition:
		$1
}

rule function_31064_0 {
	meta:
		name = "isc_start_savepoint_stub"
		size = 192
		refs = "0013 isc_start_savepoint_stub 0025 SIB71feature 002a LoadResString 0045 Format 004f _Dn_EIBClientError 0054 Exception.Create 0059 @RaiseExcept 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 14 00 00 00 69 00 73 00 63 00 5F 00 73 00 74 00 61 00 72 00 74 00 5F 00 73 00 61 00 76 00 65 00 70 00 6F 00 69 00 6E 00 74 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_31065_0 {
	meta:
		name = "isc_dsql_batch_execute_immed_stub"
		size = 208
		refs = "0013 isc_dsql_batch_execute_immed_stub 0025 SIB80feature 002a LoadResString 0045 Format 004f _Dn_EIBClientError 0054 Exception.Create 0059 @RaiseExcept 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 1C 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 69 00 73 00 63 00 5F 00 64 00 73 00 71 00 6C 00 5F 00 62 00 61 00 74 00 63 00 68 00 5F 00 65 00 78 00 65 00 63 00 75 00 74 00 65 00 5F 00 69 00 6D 00 6D 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_31066_0 {
	meta:
		name = "isc_dsql_batch_execute_stub"
		size = 196
		refs = "0013 isc_dsql_batch_execute_stub 0025 SIB80feature 002a LoadResString 0045 Format 004f _Dn_EIBClientError 0054 Exception.Create 0059 @RaiseExcept 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 20 00 B0 04 02 00 FF FF FF FF 16 00 00 00 69 00 73 00 63 00 5F 00 64 00 73 00 71 00 6C 00 5F 00 62 00 61 00 74 00 63 00 68 00 5F 00 65 00 78 00 65 00 63 00 75 00 74 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_31067_0 {
	meta:
		name = "TIBServerLibrary.LibraryName"
		size = 52
		refs = "0006 TIBServerLibrary.LibraryName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 67 00 64 00 73 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 }
	condition:
		$1
}

rule function_31068_0 {
	meta:
		name = "TryGetProcAddr"
		size = 88
		refs = "000c @UStrAddRef 0014 TryGetProcAddr 0022 @UStrToPWChar 002f GetProcAddress 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC 50 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_31069_0 {
	meta:
		name = "GetProcAddr"
		size = 97
		refs = "000c @UStrAddRef 0014 GetProcAddr 0022 @UStrToPWChar 002f GetProcAddress 003a RaiseLastOSError 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC 50 E8 ?? ?? ?? ?? 8B D8 85 DB 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_31070_0 {
	meta:
		name = "TIBServerLibrary.LoadIBLibrary"
		size = 6724
		refs = "0013 TIBServerLibrary.LoadIBLibrary 002a @UStrToPWChar 0030 LoadLibrary 004c GetProcAddr 03e5 TryGetProcAddr 04ce isc_rollback_retaining_stub 04d5 isc_service_attach_stub 04df isc_service_detach_stub 04e9 isc_service_query_stub 04f3 isc_service_start_stub 04fd isc_decode_sql_date_stub 0507 isc_decode_sql_time_stub 0511 isc_decode_timestamp_stub 051b isc_encode_sql_date_stub 0525 isc_encode_sql_time_stub 052f isc_encode_timestamp_stub 0575 TIBServerLibrary.isc_get_client_major_version 0586 TIBServerLibrary.isc_get_client_minor_version 05ad isc_get_client_version_stub 05b7 isc_get_client_major_version_stub 05c1 isc_get_client_minor_version_stub 06d9 isc_release_savepoint_stub 06e3 isc_rollback_savepoint_stub 06ed isc_start_savepoint_stub 072f isc_dsql_batch_execute_immed_stub 0739 isc_dsql_batch_execute_stub 0748 isc_array_gen_sdl2_stub 0752 isc_array_get_slice2_stub 075c isc_array_lookup_bounds2_stub 0766 isc_array_lookup_desc2_stub 0770 isc_array_set_desc2_stub 077a isc_array_put_slice2_stub 0784 isc_blob_default_desc2_stub 078e isc_blob_gen_bpb2_stub 0798 isc_blob_lookup_desc2_stub 07a2 isc_blob_set_desc2_stub 07e9 isc_dsql_xml_fetch 07fd isc_dsql_xml_fetch_all 0811 isc_dsql_xml_buffer_fetch 081a isc_dsql_xml_fetch_stub 0827 isc_dsql_xml_fetch_all_stub 0834 isc_dsql_xml_buffer_fetch_stub 0851 @UStrClr 0857 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 11 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 89 73 0C 83 FE 20 0F 86 FE 07 00 00 89 75 FC 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 20 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 24 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 28 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 2C 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 30 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 34 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 38 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 3C 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 40 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 44 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 48 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 4C 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 78 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 50 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 54 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 58 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 5C 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 60 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 64 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 68 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 6C 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 70 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 74 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 8C 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 9C 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 AC 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 B0 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 B4 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 B8 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 BC 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 C0 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 C4 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 C8 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 CC 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 D0 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 D4 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 D8 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 DC 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 E0 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 E4 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 E8 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 EC 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 F0 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 F4 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 FC 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 00 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 04 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 08 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 0C 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 10 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 14 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 18 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 1C 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 20 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 64 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 F8 00 00 00 83 BB F8 00 00 00 00 0F 84 BF 00 00 00 C7 43 18 60 EA 00 00 33 C0 89 43 1C 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 43 7C 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 80 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 84 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 88 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 90 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 94 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 98 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 A0 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 A4 00 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 A8 00 00 00 EB 77 C7 43 18 50 C3 00 00 33 C0 89 43 1C C7 83 F8 00 00 00 ?? ?? ?? ?? C7 43 7C ?? ?? ?? ?? C7 83 80 00 00 00 ?? ?? ?? ?? C7 83 84 00 00 00 ?? ?? ?? ?? C7 83 88 00 00 00 ?? ?? ?? ?? C7 83 90 00 00 00 ?? ?? ?? ?? C7 83 94 00 00 00 ?? ?? ?? ?? C7 83 98 00 00 00 ?? ?? ?? ?? C7 83 A0 00 00 00 ?? ?? ?? ?? C7 83 A4 00 00 00 ?? ?? ?? ?? C7 83 A8 00 00 00 ?? ?? ?? ?? 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 24 01 00 00 83 BB 24 01 00 00 00 74 59 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 28 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 2C 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F4 DB 45 F4 DB 7D E8 9B 8B C3 E8 ?? ?? ?? ?? 89 45 E4 DB 45 E4 D8 35 ?? ?? ?? ?? DB 6D E8 DE C1 D8 0D ?? ?? ?? ?? DF 7B 18 9B EB 1E C7 83 24 01 00 00 ?? ?? ?? ?? C7 83 28 01 00 00 ?? ?? ?? ?? C7 83 2C 01 00 00 ?? ?? ?? ?? DF 6B 18 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 82 6A 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 30 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 34 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 38 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 3C 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 40 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 44 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 48 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 4C 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 50 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 54 01 00 00 DF 6B 18 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 38 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 58 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 5C 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 60 01 00 00 EB 1E C7 83 58 01 00 00 ?? ?? ?? ?? C7 83 5C 01 00 00 ?? ?? ?? ?? C7 83 60 01 00 00 ?? ?? ?? ?? DF 6B 18 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 29 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 68 01 00 00 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 83 6C 01 00 00 E9 9B 00 00 00 C7 83 68 01 00 00 ?? ?? ?? ?? C7 83 6C 01 00 00 ?? ?? ?? ?? E9 82 00 00 00 C7 83 30 01 00 00 ?? ?? ?? ?? C7 83 34 01 00 00 ?? ?? ?? ?? C7 83 38 01 00 00 ?? ?? ?? ?? C7 83 3C 01 00 00 ?? ?? ?? ?? C7 83 40 01 00 00 ?? ?? ?? ?? C7 83 44 01 00 00 ?? ?? ?? ?? C7 83 48 01 00 00 ?? ?? ?? ?? C7 83 4C 01 00 00 ?? ?? ?? ?? C7 83 50 01 00 00 ?? ?? ?? ?? C7 83 54 01 00 00 ?? ?? ?? ?? C7 83 58 01 00 00 ?? ?? ?? ?? C7 83 5C 01 00 00 ?? ?? ?? ?? C7 83 60 01 00 00 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 10 83 FE 20 76 41 89 75 FC 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 15 ?? ?? ?? ?? 89 02 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 15 ?? ?? ?? ?? 89 02 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 15 ?? ?? ?? ?? 89 02 EB 27 B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 42 00 4C 00 4F 00 42 00 5F 00 67 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 42 00 4C 00 4F 00 42 00 5F 00 70 00 75 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 69 00 73 00 63 00 5F 00 73 00 71 00 6C 00 63 00 6F 00 64 00 65 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 69 00 73 00 63 00 5F 00 73 00 71 00 6C 00 5F 00 69 00 6E 00 74 00 65 00 72 00 70 00 72 00 65 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 73 00 63 00 5F 00 69 00 6E 00 74 00 65 00 72 00 70 00 72 00 65 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 69 00 73 00 63 00 5F 00 76 00 61 00 78 00 5F 00 69 00 6E 00 74 00 65 00 67 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 69 00 73 00 63 00 5F 00 62 00 6C 00 6F 00 62 00 5F 00 69 00 6E 00 66 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 73 00 63 00 5F 00 6F 00 70 00 65 00 6E 00 5F 00 62 00 6C 00 6F 00 62 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 73 00 63 00 5F 00 63 00 6C 00 6F 00 73 00 65 00 5F 00 62 00 6C 00 6F 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 69 00 73 00 63 00 5F 00 67 00 65 00 74 00 5F 00 73 00 65 00 67 00 6D 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 69 00 73 00 63 00 5F 00 70 00 75 00 74 00 5F 00 73 00 65 00 67 00 6D 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 69 00 73 00 63 00 5F 00 63 00 72 00 65 00 61 00 74 00 65 00 5F 00 62 00 6C 00 6F 00 62 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 69 00 73 00 63 00 5F 00 63 00 61 00 6E 00 63 00 65 00 6C 00 5F 00 62 00 6C 00 6F 00 62 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 69 00 73 00 63 00 5F 00 61 00 72 00 72 00 61 00 79 00 5F 00 67 00 65 00 6E 00 5F 00 73 00 64 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 69 00 73 00 63 00 5F 00 61 00 72 00 72 00 61 00 79 00 5F 00 67 00 65 00 74 00 5F 00 73 00 6C 00 69 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 69 00 73 00 63 00 5F 00 61 00 72 00 72 00 61 00 79 00 5F 00 6C 00 6F 00 6F 00 6B 00 75 00 70 00 5F 00 62 00 6F 00 75 00 6E 00 64 00 73 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 69 00 73 00 63 00 5F 00 61 00 72 00 72 00 61 00 79 00 5F 00 6C 00 6F 00 6F 00 6B 00 75 00 70 00 5F 00 64 00 65 00 73 00 63 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 69 00 73 00 63 00 5F 00 61 00 72 00 72 00 61 00 79 00 5F 00 73 00 65 00 74 00 5F 00 64 00 65 00 73 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 69 00 73 00 63 00 5F 00 61 00 72 00 72 00 61 00 79 00 5F 00 70 00 75 00 74 00 5F 00 73 00 6C 00 69 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 69 00 73 00 63 00 5F 00 62 00 6C 00 6F 00 62 00 5F 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 5F 00 64 00 65 00 73 00 63 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 69 00 73 00 63 00 5F 00 62 00 6C 00 6F 00 62 00 5F 00 67 00 65 00 6E 00 5F 00 62 00 70 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 69 00 73 00 63 00 5F 00 62 00 6C 00 6F 00 62 00 5F 00 6C 00 6F 00 6F 00 6B 00 75 00 70 00 5F 00 64 00 65 00 73 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 69 00 73 00 63 00 5F 00 62 00 6C 00 6F 00 62 00 5F 00 73 00 65 00 74 00 5F 00 64 00 65 00 73 00 63 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 69 00 73 00 63 00 5F 00 64 00 65 00 63 00 6F 00 64 00 65 00 5F 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 69 00 73 00 63 00 5F 00 65 00 6E 00 63 00 6F 00 64 00 65 00 5F 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 69 00 73 00 63 00 5F 00 64 00 73 00 71 00 6C 00 5F 00 66 00 72 00 65 00 65 00 5F 00 73 00 74 00 61 00 74 00 65 00 6D 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 69 00 73 00 63 00 5F 00 64 00 73 00 71 00 6C 00 5F 00 65 00 78 00 65 00 63 00 75 00 74 00 65 00 32 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 69 00 73 00 63 00 5F 00 64 00 73 00 71 00 6C 00 5F 00 65 00 78 00 65 00 63 00 75 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 69 00 73 00 63 00 5F 00 64 00 73 00 71 00 6C 00 5F 00 73 00 65 00 74 00 5F 00 63 00 75 00 72 00 73 00 6F 00 72 00 5F 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 73 00 63 00 5F 00 64 00 73 00 71 00 6C 00 5F 00 66 00 65 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 69 00 73 00 63 00 5F 00 64 00 73 00 71 00 6C 00 5F 00 73 00 71 00 6C 00 5F 00 69 00 6E 00 66 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 69 00 73 00 63 00 5F 00 64 00 73 00 71 00 6C 00 5F 00 61 00 6C 00 6C 00 6F 00 63 00 5F 00 73 00 74 00 61 00 74 00 65 00 6D 00 65 00 6E 00 74 00 32 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 69 00 73 00 63 00 5F 00 64 00 73 00 71 00 6C 00 5F 00 70 00 72 00 65 00 70 00 61 00 72 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 69 00 73 00 63 00 5F 00 64 00 73 00 71 00 6C 00 5F 00 64 00 65 00 73 00 63 00 72 00 69 00 62 00 65 00 5F 00 62 00 69 00 6E 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 69 00 73 00 63 00 5F 00 64 00 73 00 71 00 6C 00 5F 00 64 00 65 00 73 00 63 00 72 00 69 00 62 00 65 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 69 00 73 00 63 00 5F 00 64 00 73 00 71 00 6C 00 5F 00 65 00 78 00 65 00 63 00 75 00 74 00 65 00 5F 00 69 00 6D 00 6D 00 65 00 64 00 69 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 69 00 73 00 63 00 5F 00 64 00 72 00 6F 00 70 00 5F 00 64 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 69 00 73 00 63 00 5F 00 64 00 65 00 74 00 61 00 63 00 68 00 5F 00 64 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 69 00 73 00 63 00 5F 00 61 00 74 00 74 00 61 00 63 00 68 00 5F 00 64 00 61 00 74 00 61 00 62 00 61 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 69 00 73 00 63 00 5F 00 64 00 61 00 74 00 61 00 62 00 61 00 }
	condition:
		$1
}

rule function_31071_0 {
	meta:
		name = "TIBServerLibrary.FreeIBLibrary"
		size = 43
		refs = "000d FreeLibrary"
	strings:
		$1 = { 53 8B D8 8B 43 0C 83 F8 20 76 0B 50 E8 ?? ?? ?? ?? 33 C0 89 43 0C 8B 43 10 83 F8 20 76 0B 50 E8 ?? ?? ?? ?? 33 C0 89 43 10 5B C3 }
	condition:
		$1
}

rule function_31072_0 {
	meta:
		name = "GetProcAddr"
		size = 96
		refs = "000c @UStrAddRef 0014 GetProcAddr 0022 @UStrToPWChar 0028 IBInstallLibrary 002e GetProcAddress 0039 RaiseLastOSError 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_31073_0 {
	meta:
		name = "LoadIBInstallLibrary"
		size = 912
		refs = "0001 LoadIBInstallLibrary 0006 LoadLibrary 000b IBInstallLibrary 0022 GetProcAddr 0027 isc_install_clear_options 0036 isc_install_execute 0045 isc_install_get_info 0054 isc_install_get_message 0063 isc_install_load_external_text 0072 isc_install_precheck 0081 isc_install_set_option 0090 isc_uninstall_execute 009f isc_uninstall_precheck 00ae isc_install_unset_option 00b9 isc_install_clear_options_stub 00c3 isc_install_execute_stub 00cd isc_install_get_info_stub 00d7 isc_install_get_message_stub 00e1 isc_install_load_external_text_stub 00eb isc_install_precheck_stub 00f5 isc_install_set_option_stub 00ff isc_uninstall_execute_stub 0109 isc_uninstall_precheck_stub 0113 isc_install_unset_option_stub"
	strings:
		$1 = { 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 20 0F 86 97 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C3 69 00 62 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 2E 00 64 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 69 00 73 00 63 00 5F 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 5F 00 63 00 6C 00 65 00 61 00 72 00 5F 00 6F 00 70 00 74 00 69 00 6F 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 69 00 73 00 63 00 5F 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 5F 00 65 00 78 00 65 00 63 00 75 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 69 00 73 00 63 00 5F 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 5F 00 67 00 65 00 74 00 5F 00 69 00 6E 00 66 00 6F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 69 00 73 00 63 00 5F 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 5F 00 67 00 65 00 74 00 5F 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 69 00 73 00 63 00 5F 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 5F 00 6C 00 6F 00 61 00 64 00 5F 00 65 00 78 00 74 00 65 00 72 00 6E 00 61 00 6C 00 5F 00 74 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 69 00 73 00 63 00 5F 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 5F 00 70 00 72 00 65 00 63 00 68 00 65 00 63 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 69 00 73 00 63 00 5F 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 5F 00 73 00 65 00 74 00 5F 00 6F 00 70 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 69 00 73 00 63 00 5F 00 75 00 6E 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 5F 00 65 00 78 00 65 00 63 00 75 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 69 00 73 00 63 00 5F 00 75 00 6E 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 5F 00 70 00 72 00 65 00 63 00 68 00 65 00 63 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 69 00 73 00 63 00 5F 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 5F 00 75 00 6E 00 73 00 65 00 74 00 5F 00 6F 00 70 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_31074_0 {
	meta:
		name = "FreeIBInstallLibrary"
		size = 28
		refs = "0002 IBInstallLibrary 0010 FreeLibrary"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 20 76 12 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31075_0 {
	meta:
		name = "TIBServerLibrary.TryIBLoad"
		size = 30
		refs = "000c TIBServerLibrary.LoadIBLibrary"
	strings:
		$1 = { 53 8B D8 83 7B 0C 20 77 07 8B C3 E8 ?? ?? ?? ?? 83 7B 0C 20 77 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_31076_0 {
	meta:
		name = "TIBServerLibrary.CheckIBLoaded"
		size = 104
		refs = "0012 TIBServerLibrary.CheckIBLoaded 001f TIBServerLibrary.TryIBLoad 0042 IBError 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8D 55 F4 8B C3 8B 08 FF 11 8B 45 F4 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31077_0 {
	meta:
		name = "TIBServerLibrary.GetIBClientVersion"
		size = 33
		refs = "0009 TIBServerLibrary.CheckIBLoaded"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 18 89 04 24 8B 43 1C 89 44 24 04 DF 2C 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_31078_0 {
	meta:
		name = "CheckIBInstallLoaded"
		size = 50
		refs = "0005 IBInstallLibrary 000d LoadIBInstallLibrary 002b IBError"
	strings:
		$1 = { 83 C4 F8 83 3D ?? ?? ?? ?? 20 77 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 20 77 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 02 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_31079_0 {
	meta:
		name = "GetGDSLibrary"
		size = 376
		refs = "001c TPair<System.string,IBIntf.IGDSLibrary> 0021 @InitializeRecord 0029 GetGDSLibrary 0037 @IntfClear 003c IBClientInterface 0041 TDictionary<System.string,IBIntf.IGDSLibrary>.GetEnumerator 005f TDictionary<System.string,IBIntf.IGDSLibrary>.TPairEnumerator.GetCurrent 006a LowerCase 0084 @UStrEqual 0091 @UStrAsg 009c @IntfCopy 00ad @UStrLAsg 00c7 @UStrCatN 00cf TDictionary<System.string,IBIntf.IGDSLibrary>.TPairEnumerator.MoveNext 00f6 @HandleFinally 0116 IBError 0128 TDictionary<System.string,IBIntf.IGDSLibrary>.GetItem 0142 @UStrArrayClr 0150 @FinalizeRecord 0158 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 33 C9 89 4D E4 89 4D E0 89 4D FC 89 55 EC 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 73 8D 55 F4 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 55 E0 8B 45 F0 8B 00 E8 ?? ?? ?? ?? 8B 55 E0 58 E8 ?? ?? ?? ?? 75 16 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 83 7D FC 00 74 0D 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? EB 18 FF 75 FC 68 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 81 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 EC 83 38 00 75 16 8B 45 FC 89 45 D8 C6 45 DC 11 8D 55 D8 33 C9 B0 7B E8 ?? ?? ?? ?? 8B 4D EC 8B 55 F0 8B 12 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_31080_0 {
	meta:
		name = "GetAvailableLibraries"
		size = 176
		refs = "000e TPair<System.string,IBIntf.IGDSLibrary> 0013 @InitializeRecord 001b GetAvailableLibraries 0026 IBClientInterface 002b TDictionary<System.string,IBIntf.IGDSLibrary>.GetEnumerator 0049 TDictionary<System.string,IBIntf.IGDSLibrary>.TPairEnumerator.GetCurrent 005b TDictionary<System.string,IBIntf.IGDSLibrary>.TPairEnumerator.MoveNext 0082 @HandleFinally 009f @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 38 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31081_0 {
	meta:
		name = "AddIBInterface"
		size = 99
		refs = "0010 @UStrAddRef 0018 @IntfAddRef 0020 AddIBInterface 0031 IBClientInterface 0036 TDictionary<System.string,IBIntf.IGDSLibrary>.Add 004b @IntfClear 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_31082_0 {
	meta:
		name = "TIBServerLibrary.BLOB_put"
		size = 6
	strings:
		$1 = { 51 52 FF 50 24 C3 }
	condition:
		$1
}

rule function_31083_0 {
	meta:
		name = "TIBServerLibrary.isc_add_user"
		size = 9
	strings:
		$1 = { 51 52 FF 90 10 01 00 00 C3 }
	condition:
		$1
}

rule function_31084_0 {
	meta:
		name = "TIBServerLibrary.isc_array_gen_sdl2"
		size = 29
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 51 52 FF 90 30 01 00 00 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_31085_0 {
	meta:
		name = "TIBServerLibrary.isc_array_get_slice"
		size = 34
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 51 52 FF 50 54 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_31086_0 {
	meta:
		name = "TIBServerLibrary.isc_array_get_slice2"
		size = 37
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 51 52 FF 90 34 01 00 00 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_31087_0 {
	meta:
		name = "TIBServerLibrary.isc_array_lookup_bounds"
		size = 30
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 51 52 FF 50 58 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_31088_0 {
	meta:
		name = "TIBServerLibrary.isc_array_lookup_bounds2"
		size = 33
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 51 52 FF 90 38 01 00 00 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_31089_0 {
	meta:
		name = "TIBServerLibrary.isc_array_lookup_desc"
		size = 30
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 51 52 FF 50 5C 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_31090_0 {
	meta:
		name = "TIBServerLibrary.isc_array_lookup_desc2"
		size = 33
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 51 52 FF 90 3C 01 00 00 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_31091_0 {
	meta:
		name = "TIBServerLibrary.isc_array_put_slice"
		size = 34
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 51 52 FF 50 64 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_31092_0 {
	meta:
		name = "TIBServerLibrary.isc_array_put_slice2"
		size = 37
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 51 52 FF 90 44 01 00 00 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_31093_0 {
	meta:
		name = "TIBServerLibrary.isc_array_set_desc"
		size = 34
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 51 52 FF 50 60 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_31094_0 {
	meta:
		name = "TIBServerLibrary.isc_array_set_desc2"
		size = 37
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 51 52 FF 90 40 01 00 00 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_31095_0 {
	meta:
		name = "TIBServerLibrary.isc_attach_database"
		size = 34
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 8B 5D 10 53 8B 5D 14 53 51 52 FF 90 E0 00 00 00 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_31097_0 {
	meta:
		name = "TIBServerLibrary.isc_blob_default_desc2"
		size = 21
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 FF 90 48 01 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_31098_0 {
	meta:
		name = "TIBServerLibrary.isc_blob_gen_bpb"
		size = 31
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 0F B7 5D 10 53 8B 5D 14 53 51 52 FF 50 6C 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_31099_0 {
	meta:
		name = "TIBServerLibrary.isc_blob_gen_bpb2"
		size = 34
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 0F B7 5D 10 53 8B 5D 14 53 51 52 FF 90 4C 01 00 00 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_31100_0 {
	meta:
		name = "TIBServerLibrary.isc_blob_info"
		size = 32
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 8B 5D 10 53 0F B7 5D 14 53 51 52 FF 50 38 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_31101_0 {
	meta:
		name = "TIBServerLibrary.isc_blob_lookup_desc"
		size = 34
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 51 52 FF 50 70 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_31102_0 {
	meta:
		name = "TIBServerLibrary.isc_blob_lookup_desc2"
		size = 37
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 51 52 FF 90 50 01 00 00 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_31103_0 {
	meta:
		name = "TIBServerLibrary.isc_blob_set_desc"
		size = 37
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 0F B7 5D 10 53 0F B7 5D 14 53 8B 5D 18 53 51 52 FF 50 74 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_31104_0 {
	meta:
		name = "TIBServerLibrary.isc_blob_set_desc2"
		size = 40
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 0F B7 5D 10 53 0F B7 5D 14 53 8B 5D 18 53 51 52 FF 90 54 01 00 00 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_31105_0 {
	meta:
		name = "TIBServerLibrary.isc_cancel_blob"
		size = 6
	strings:
		$1 = { 51 52 FF 50 78 C3 }
	condition:
		$1
}

rule function_31106_0 {
	meta:
		name = "TIBServerLibrary.isc_cancel_events"
		size = 21
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 FF 90 FC 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_31107_0 {
	meta:
		name = "TIBServerLibrary.isc_close_blob"
		size = 6
	strings:
		$1 = { 51 52 FF 50 40 C3 }
	condition:
		$1
}

rule function_31108_0 {
	meta:
		name = "TIBServerLibrary.isc_commit_retaining"
		size = 9
	strings:
		$1 = { 51 52 FF 90 F0 00 00 00 C3 }
	condition:
		$1
}

rule function_31109_0 {
	meta:
		name = "TIBServerLibrary.isc_commit_transaction"
		size = 9
	strings:
		$1 = { 51 52 FF 90 EC 00 00 00 C3 }
	condition:
		$1
}

rule function_31110_0 {
	meta:
		name = "TIBServerLibrary.isc_create_blob2"
		size = 35
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 51 52 FF 50 4C 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_31111_0 {
	meta:
		name = "TIBServerLibrary.isc_database_info"
		size = 35
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 8B 5D 10 53 0F B7 5D 14 53 51 52 FF 90 E4 00 00 00 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_31112_0 {
	meta:
		name = "TIBServerLibrary.isc_decode_date"
		size = 9
	strings:
		$1 = { 51 52 FF 90 8C 00 00 00 C3 }
	condition:
		$1
}

rule function_31113_0 {
	meta:
		name = "TIBServerLibrary.isc_decode_sql_date"
		size = 9
	strings:
		$1 = { 51 52 FF 90 90 00 00 00 C3 }
	condition:
		$1
}

rule function_31114_0 {
	meta:
		name = "TIBServerLibrary.isc_decode_sql_time"
		size = 9
	strings:
		$1 = { 51 52 FF 90 94 00 00 00 C3 }
	condition:
		$1
}

rule function_31115_0 {
	meta:
		name = "TIBServerLibrary.isc_decode_timestamp"
		size = 9
	strings:
		$1 = { 51 52 FF 90 98 00 00 00 C3 }
	condition:
		$1
}

rule function_31116_0 {
	meta:
		name = "TIBServerLibrary.isc_delete_user"
		size = 9
	strings:
		$1 = { 51 52 FF 90 14 01 00 00 C3 }
	condition:
		$1
}

rule function_31117_0 {
	meta:
		name = "TIBServerLibrary.isc_detach_database"
		size = 9
	strings:
		$1 = { 51 52 FF 90 DC 00 00 00 C3 }
	condition:
		$1
}

rule function_31118_0 {
	meta:
		name = "TIBServerLibrary.isc_drop_database"
		size = 9
	strings:
		$1 = { 51 52 FF 90 D8 00 00 00 C3 }
	condition:
		$1
}

rule function_31119_0 {
	meta:
		name = "TIBServerLibrary.isc_dsql_alloc_statement2"
		size = 21
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 FF 90 C4 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_31120_0 {
	meta:
		name = "TIBServerLibrary.isc_dsql_batch_execute"
		size = 43
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 0F B7 5D 10 53 8B 5D 14 53 0F B7 5D 18 53 8B 5D 1C 53 51 52 FF 90 6C 01 00 00 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_31121_0 {
	meta:
		name = "TIBServerLibrary.isc_dsql_batch_execute_immed"
		size = 38
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 0F B7 5D 14 53 8B 5D 18 53 51 52 FF 90 68 01 00 00 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_31122_0 {
	meta:
		name = "TIBServerLibrary.isc_dsql_describe"
		size = 26
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 51 52 FF 90 D0 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_31123_0 {
	meta:
		name = "TIBServerLibrary.isc_dsql_describe_bind"
		size = 26
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 51 52 FF 90 CC 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_31124_0 {
	meta:
		name = "TIBServerLibrary.isc_dsql_execute"
		size = 30
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 8B 5D 10 53 51 52 FF 90 B4 00 00 00 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_31125_0 {
	meta:
		name = "TIBServerLibrary.isc_dsql_execute_immediate"
		size = 39
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 8B 5D 10 53 0F B7 5D 14 53 8B 5D 18 53 51 52 FF 90 D4 00 00 00 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_31126_0 {
	meta:
		name = "TIBServerLibrary.isc_dsql_execute2"
		size = 34
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 0F B7 5D 10 53 8B 5D 14 53 51 52 FF 90 B0 00 00 00 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_31127_0 {
	meta:
		name = "TIBServerLibrary.isc_dsql_fetch"
		size = 26
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 51 52 FF 90 BC 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_31128_0 {
	meta:
		name = "TIBServerLibrary.isc_dsql_free_statement"
		size = 22
	strings:
		$1 = { 55 8B EC 53 0F B7 5D 08 53 51 52 FF 90 AC 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_31129_0 {
	meta:
		name = "TIBServerLibrary.isc_dsql_prepare"
		size = 39
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 8B 5D 10 53 0F B7 5D 14 53 8B 5D 18 53 51 52 FF 90 C8 00 00 00 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_31130_0 {
	meta:
		name = "TIBServerLibrary.isc_dsql_set_cursor_name"
		size = 26
	strings:
		$1 = { 55 8B EC 53 0F B7 5D 08 53 8B 5D 0C 53 51 52 FF 90 B8 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_31131_0 {
	meta:
		name = "TIBServerLibrary.isc_dsql_sql_info"
		size = 35
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 8B 5D 10 53 0F B7 5D 14 53 51 52 FF 90 C0 00 00 00 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_31132_0 {
	meta:
		name = "TIBServerLibrary.isc_encode_date"
		size = 9
	strings:
		$1 = { 51 52 FF 90 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_31133_0 {
	meta:
		name = "TIBServerLibrary.isc_encode_sql_date"
		size = 9
	strings:
		$1 = { 51 52 FF 90 A0 00 00 00 C3 }
	condition:
		$1
}

rule function_31134_0 {
	meta:
		name = "TIBServerLibrary.isc_encode_sql_time"
		size = 9
	strings:
		$1 = { 51 52 FF 90 A4 00 00 00 C3 }
	condition:
		$1
}

rule function_31135_0 {
	meta:
		name = "TIBServerLibrary.isc_encode_timestamp"
		size = 9
	strings:
		$1 = { 51 52 FF 90 A8 00 00 00 C3 }
	condition:
		$1
}

rule function_31136_0 {
	meta:
		name = "TIBServerLibrary.isc_event_block"
		size = 119
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 0C 8B 75 08 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 0C 8B 75 0C 8B 5E 38 53 8B 5E 34 53 8B 5E 30 53 8B 5E 2C 53 8B 5E 28 53 8B 5E 24 53 8B 5E 20 53 8B 5E 1C 53 8B 5E 18 53 8B 5E 14 53 8B 5E 10 53 8B 5E 0C 53 8B 5E 08 53 8B 5E 04 53 8B 1E 53 0F B7 5D 10 53 51 52 FF 90 08 01 00 00 83 C4 48 8B 7D F4 8B 75 F8 8B 5D FC 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_31137_0 {
	meta:
		name = "TIBServerLibrary.isc_event_counts"
		size = 25
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 51 52 FF 90 04 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_31138_0 {
	meta:
		name = "TIBServerLibrary.isc_free"
		size = 8
	strings:
		$1 = { 52 FF 90 0C 01 00 00 C3 }
	condition:
		$1
}

rule function_31139_0 {
	meta:
		name = "TIBServerLibrary.isc_get_client_major_version"
		size = 7
	strings:
		$1 = { FF 90 28 01 00 00 C3 }
	condition:
		$1
}

rule function_31140_0 {
	meta:
		name = "TIBServerLibrary.isc_get_client_minor_version"
		size = 7
	strings:
		$1 = { FF 90 2C 01 00 00 C3 }
	condition:
		$1
}

rule function_31141_0 {
	meta:
		name = "TIBServerLibrary.isc_get_client_version"
		size = 8
	strings:
		$1 = { 52 FF 90 24 01 00 00 C3 }
	condition:
		$1
}

rule function_31142_0 {
	meta:
		name = "TIBServerLibrary.isc_get_segment"
		size = 27
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 8B 5D 10 53 51 52 FF 50 44 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_31143_0 {
	meta:
		name = "TIBServerLibrary.isc_interprete"
		size = 6
	strings:
		$1 = { 51 52 FF 50 30 C3 }
	condition:
		$1
}

rule function_31144_0 {
	meta:
		name = "TIBServerLibrary.isc_modify_user"
		size = 9
	strings:
		$1 = { 51 52 FF 90 18 01 00 00 C3 }
	condition:
		$1
}

rule function_31145_0 {
	meta:
		name = "TIBServerLibrary.isc_open_blob2"
		size = 35
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 51 52 FF 50 3C 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_31146_0 {
	meta:
		name = "TIBServerLibrary.isc_prepare_transaction"
		size = 9
	strings:
		$1 = { 51 52 FF 90 1C 01 00 00 C3 }
	condition:
		$1
}

rule function_31147_0 {
	meta:
		name = "TIBServerLibrary.isc_prepare_transaction2"
		size = 26
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 51 52 FF 90 20 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_31148_0 {
	meta:
		name = "TIBServerLibrary.isc_put_segment"
		size = 23
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 51 52 FF 50 48 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_31149_0 {
	meta:
		name = "TIBServerLibrary.isc_que_events"
		size = 38
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 0F B7 5D 14 53 8B 5D 18 53 51 52 FF 90 00 01 00 00 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_31150_0 {
	meta:
		name = "TIBServerLibrary.isc_release_savepoint"
		size = 21
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 FF 90 58 01 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_31151_0 {
	meta:
		name = "TIBServerLibrary.isc_rollback_retaining"
		size = 9
	strings:
		$1 = { 51 52 FF 90 F8 00 00 00 C3 }
	condition:
		$1
}

rule function_31152_0 {
	meta:
		name = "TIBServerLibrary.isc_rollback_savepoint"
		size = 26
	strings:
		$1 = { 55 8B EC 53 0F B7 5D 08 53 8B 5D 0C 53 51 52 FF 90 5C 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_31153_0 {
	meta:
		name = "TIBServerLibrary.isc_rollback_transaction"
		size = 9
	strings:
		$1 = { 51 52 FF 90 F4 00 00 00 C3 }
	condition:
		$1
}

rule function_31154_0 {
	meta:
		name = "TIBServerLibrary.isc_service_attach"
		size = 31
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 8B 5D 10 53 8B 5D 14 53 51 52 FF 50 7C 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_31155_0 {
	meta:
		name = "TIBServerLibrary.isc_service_detach"
		size = 9
	strings:
		$1 = { 51 52 FF 90 80 00 00 00 C3 }
	condition:
		$1
}

rule function_31156_0 {
	meta:
		name = "TIBServerLibrary.isc_service_query"
		size = 48
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 8B 5D 10 53 0F B7 5D 14 53 8B 5D 18 53 0F B7 5D 1C 53 8B 5D 20 53 51 52 FF 90 84 00 00 00 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_31157_0 {
	meta:
		name = "TIBServerLibrary.isc_service_start"
		size = 30
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 8B 5D 10 53 51 52 FF 90 88 00 00 00 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_31158_0 {
	meta:
		name = "TIBServerLibrary.isc_sql_interprete"
		size = 19
	strings:
		$1 = { 55 8B EC 53 0F B7 5D 08 53 51 52 FF 50 2C 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_31159_0 {
	meta:
		name = "TIBServerLibrary.isc_sqlcode"
		size = 5
	strings:
		$1 = { 52 FF 50 28 C3 }
	condition:
		$1
}

rule function_31160_0 {
	meta:
		name = "TIBServerLibrary.isc_start_multiple"
		size = 26
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 51 52 FF 90 E8 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_31161_0 {
	meta:
		name = "TIBServerLibrary.isc_start_savepoint"
		size = 21
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 FF 90 60 01 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_31162_0 {
	meta:
		name = "TIBServerLibrary.isc_vax_integer"
		size = 6
	strings:
		$1 = { 51 52 FF 50 34 C3 }
	condition:
		$1
}

rule function_31164_0 {
	meta:
		name = "TIBServerLibrary.isc_transaction_info"
		size = 35
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 0F B7 5D 0C 53 8B 5D 10 53 0F B7 5D 14 53 51 52 FF 90 64 01 00 00 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_31165_0 {
	meta:
		name = "TIBEmbeddedLibrary.LibraryName"
		size = 56
		refs = "0006 TIBEmbeddedLibrary.LibraryName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 62 00 74 00 6F 00 67 00 6F 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_31166_0 {
	meta:
		name = "Finalization"
		size = 105
		refs = "0007 Finalization 0013 _DV_1 001a IBServerLibrary 001f @IntfClear 0024 IBEmbeddedLibrary 0030 IBClientInterface 003a FreeIBInstallLibrary 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 39 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? 8B 08 FF 51 FC E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_31167_0 {
	meta:
		name = "IBIntf"
		size = 236
		refs = "0007 IBIntf 0013 _DV_1 001f _DV_TDictionary<System.string,IBIntf.IGDSLibrary> 0024 TDictionary<System.string,IBIntf.IGDSLibrary>.Create 0029 IBClientInterface 0030 _DV_TIBServerLibrary 0035 TObject.Create 0046 IBServerLibrary 004b @IntfCopy 005b AddIBInterface 0062 _DV_TIBEmbeddedLibrary 0078 IBEmbeddedLibrary 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 77 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 90 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 90 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 42 00 45 00 6D 00 62 00 65 00 64 00 64 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_31418_0 {
	meta:
		name = "TIBQuery.Create"
		size = 136
		refs = "000e @ClassCreate 001c TIBCustomDataSet.Create 0023 _Dn_TStringList 0028 TStringList.Create 003a TIBQuery.QueryChanged 0043 _Dn_TParams 0048 TParams.Create 0073 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 68 02 00 00 89 5E 44 C7 46 40 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 70 02 00 00 C6 83 04 02 00 00 01 C6 83 7D 02 00 00 00 C7 83 78 02 00 00 FF FF FF FF 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31419_0 {
	meta:
		name = "TIBQuery.Destroy"
		size = 75
		refs = "0003 @BeforeDestruction 000e TComponent.Destroying 0023 TObject.Free 0039 TIBCustomDataSet.Destroy 0044 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 E0 02 00 00 8B 86 68 02 00 00 E8 ?? ?? ?? ?? 8B 86 70 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31421_0 {
	meta:
		name = "TIBQuery.InternalOpen"
		size = 79
		refs = "0006 TIBCustomDataSet.ActivateConnection 000d TIBCustomDataSet.ActivateTransaction 0026 TIBQuery.SetPrepared 003b TIBQuery.SetParamsFromCursor 0042 TIBQuery.SetParams 0049 TIBCustomDataSet.InternalOpen"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 E8 01 00 00 0F B6 93 7D 02 00 00 88 50 75 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 60 01 00 00 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31426_0 {
	meta:
		name = "TIBQuery.SetQuery"
		size = 200
		refs = "0013 TIBQuery.SetQuery 0041 @UStrEqual 005c TStrings.BeginUpdate 0095 TStrings.EndUpdate 009b @HandleFinally 00b7 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 56 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 80 68 02 00 00 8B 08 FF 51 1C 8B 45 F8 50 8D 55 F4 8B C6 8B 08 FF 51 1C 8B 55 F4 58 E8 ?? ?? ?? ?? 74 5A 8B 45 FC 8B 10 FF 92 E0 02 00 00 8B 45 FC 8B 80 68 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 68 02 00 00 8B D6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 68 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_31427_0 {
	meta:
		name = "TIBQuery.QueryChanged"
		size = 405
		refs = "0014 TIBQuery.QueryChanged 0055 _Dn_TParams 005a TParams.Create 008d TParams.ParseSQL 009d @UStrAsg 00ae TParams.AssignValues 00bc TCollection.Clear 00e2 TObject.Free 00e8 @HandleFinally 015c TIBCustomDataSet.GetSelectSQL 0184 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 1C 02 0F 85 F5 00 00 00 8B 45 FC 8B 10 FF 92 E0 02 00 00 8B 45 FC 80 B8 04 02 00 00 00 75 0D 8B 45 FC F6 40 1C 10 0F 84 9F 00 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8D 55 F0 8B 45 FC 8B 80 68 02 00 00 8B 08 FF 51 1C 8B 55 F0 B1 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 05 74 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 70 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 70 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 70 02 00 00 8B 55 F8 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 EC 8B 45 FC 8B 80 68 02 00 00 8B 08 FF 51 1C 8B 55 EC 8B 45 FC 05 74 02 00 00 E8 ?? ?? ?? ?? 33 C9 B2 08 8B 45 FC 8B 18 FF 93 E4 00 00 00 EB 38 8D 45 E8 50 8D 55 E4 8B 45 FC 8B 80 68 02 00 00 8B 08 FF 51 1C 8B 55 E4 8B 45 FC 8B 80 70 02 00 00 33 C9 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 05 74 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 92 68 02 00 00 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31428_0 {
	meta:
		name = "TIBQuery.SetParamsList"
		size = 12
		refs = "0007 TParams.AssignValues"
	strings:
		$1 = { 8B 80 70 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31437_0 {
	meta:
		name = "TIBQuery.ParamByName"
		size = 12
		refs = "0007 TParams.ParamByName"
	strings:
		$1 = { 8B 80 70 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31429_0 {
	meta:
		name = "TIBQuery.GetParamsCount"
		size = 13
	strings:
		$1 = { 8B 80 70 02 00 00 8B 40 08 8B 40 08 C3 }
	condition:
		$1
}

rule function_31430_0 {
	meta:
		name = "WriteData"
		size = 71
		refs = "0024 TParams.IsEqual"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 20 85 DB 74 1C 8B 93 70 02 00 00 8B 45 08 8B 40 F8 8B 80 70 02 00 00 E8 ?? ?? ?? ?? 34 01 5B 5D C3 8B 45 08 8B 40 F8 8B 80 70 02 00 00 8B 40 08 8B 40 08 85 C0 0F 9F C0 5B 5D C3 }
	condition:
		$1
}

rule function_31432_0 {
	meta:
		name = "TIBQuery.ReadParamData"
		size = 29
		refs = "0009 TReader.ReadValue 0016 TReader.ReadCollection"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 93 70 02 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31433_0 {
	meta:
		name = "TIBQuery.WriteParamData"
		size = 13
		refs = "0008 TWriter.WriteCollection"
	strings:
		$1 = { 8B 80 70 02 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31434_0 {
	meta:
		name = "TIBQuery.SetPrepared"
		size = 144
		refs = "000c TIBCustomDataSet.CheckDatasetClosed 0048 TIBQuery.PrepareSQL 005f IBError 0071 TIBQuery.GetRowsAffected"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A 9E 6C 02 00 00 74 73 84 DB 74 49 C7 86 78 02 00 00 FF FF FF FF C6 86 7C 02 00 00 01 8B 86 74 02 00 00 85 C0 74 05 83 E8 04 8B 00 48 7E 0F 8D 96 74 02 00 00 8B C6 E8 ?? ?? ?? ?? EB 37 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 41 E8 ?? ?? ?? ?? EB 20 80 BE 7C 02 00 00 00 74 0D 8B C6 E8 ?? ?? ?? ?? 89 86 78 02 00 00 8B C6 8B 10 FF 92 D0 02 00 00 88 9E 6C 02 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_31435_0 {
	meta:
		name = "CheckRequiredParams"
		size = 92
		refs = "0033 TParams.GetItem 004e IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B 45 08 8B 40 FC 8B 80 70 02 00 00 8B 40 08 8B 40 08 8B D8 4B 85 DB 7C 35 43 33 F6 8B 45 08 8B 40 FC 8B 80 70 02 00 00 8B D6 E8 ?? ?? ?? ?? 80 78 39 00 75 15 33 C0 89 45 F8 C6 45 FC 05 8D 55 F8 33 C9 B0 43 E8 ?? ?? ?? ?? 46 4B 75 CE 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31436_0 {
	meta:
		name = "TIBQuery.SetParamsFromCursor"
		size = 161
		refs = "0039 TFieldDefs.Update 0060 TParams.GetItem 0073 TDataSet.FieldByName 007c TParam.AssignField 008c CheckRequiredParams"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC 8B 10 FF 92 60 01 00 00 85 C0 74 78 8B 45 FC 8B 10 FF 92 60 01 00 00 8B 40 38 89 45 F8 83 7D F8 00 74 58 8B 45 F8 8B 40 40 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 70 02 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 49 46 33 FF 8B 45 FC 8B 80 70 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 80 7B 39 00 75 18 8B 53 34 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? C6 43 39 00 47 4E 75 CC EB 10 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31440_0 {
	meta:
		name = "TIBQuery.ExecSQL"
		size = 221
		refs = "0041 IBError 0049 TIBCustomDataSet.ActivateConnection 0051 TIBCustomDataSet.ActivateTransaction 005c TIBQuery.ExecSQL 006c TIBQuery.SetPrepared 0083 TIBQuery.SetParamsFromCursor 009d TIBQuery.SetParams 00c3 TIBCustomDataSet.DeactivateTransaction 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC 8B 10 FF 92 C4 00 00 00 8B 45 FC 8B 80 68 02 00 00 8B 10 FF 52 14 85 C0 7F 1F 8B 45 FC C6 80 7C 02 00 00 00 33 C0 89 45 F0 C6 45 F4 05 8D 55 F0 33 C9 B0 41 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 60 01 00 00 85 C0 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 70 02 00 00 8B 40 08 83 78 08 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 D4 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 7C 02 00 00 01 C3 E9 ?? ?? ?? ?? EB E0 8B E5 5D C3 }
	condition:
		$1
}

rule function_31441_0 {
	meta:
		name = "TIBQuery.SetParams"
		size = 1230
		refs = "0024 TIBQuery.SetParams 005e TParams.GetItem 0063 TParam.GetIsNull 006f TIBCustomDataSet.GetSQLParams 0077 TIBXSQLDA.GetSQLVAR 007e TIBXSQLVAR.SetIsNull 00b0 TParam.GetDataType 0149 TParam.GetDataSize 014e @GetMem 0178 TParam.GetData 0190 TIBXSQLVAR.SetAsPointer 01a5 @FreeMem 01ab @HandleFinally 01c6 TParam.GetAsString 01e0 TIBXSQLVAR.SetAsString 01fb TParam.GetAsInteger 0212 TIBXSQLVAR.SetAsShort 022d TParam.GetAsBoolean 0244 TIBXSQLVAR.SetAsBoolean 0276 TIBXSQLVAR.SetAsLong 0294 TParam.GetAsVariant 029c @VarToInt64 02b3 TIBXSQLVAR.SetAsInt64 02ce TParam.GetAsFloat 02ea TIBXSQLVAR.SetAsDouble 0305 TParam.GetAsCurrency 0321 TIBXSQLVAR.SetAsCurrency 033f TParam.GetAsFMTBCD 0359 TIBXSQLVAR.SetAsBcd 0374 TParam.GetAsDateTime 0390 TIBXSQLVAR.SetAsDate 03c7 TIBXSQLVAR.SetAsTime 03fe TIBXSQLVAR.SetAsDateTime 0419 TParam.GetAsBytes 0433 TIBXSQLVAR.SetAsBytes 047f IBError 04a0 @UStrClr 04a9 TArray<System.Byte> 04ae @DynArrayClear 04b6 @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 A8 33 D2 89 55 B0 89 55 B4 89 55 DC 89 55 E0 89 55 E4 89 55 E8 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 70 02 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C 49 04 00 00 40 89 45 F0 C7 45 F8 00 00 00 00 8B 45 FC 8B 80 70 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? E9 FC 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 70 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 E0 7F 83 F8 2C 0F 87 AE 03 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 02 03 05 03 04 07 08 08 0A 0B 0C 01 00 00 0D 0E 00 00 00 00 00 00 02 02 06 00 00 00 00 00 00 00 00 00 00 00 09 02 0E 00 00 00 03 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 80 70 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 70 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 70 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? E9 9A 02 00 00 8B 45 FC 8B 80 70 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? E9 68 02 00 00 8B 45 FC 8B 80 70 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? E9 36 02 00 00 8B 45 FC 8B 80 70 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? E9 04 02 00 00 8B 45 FC 8B 80 70 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 52 50 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C7 01 00 00 8B 45 FC 8B 80 70 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 90 01 00 00 8B 45 FC 8B 80 70 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 59 01 00 00 8B 45 FC 8B 80 70 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 B8 E8 ?? ?? ?? ?? 8D 45 B8 50 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? E9 21 01 00 00 8B 45 FC 8B 80 70 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EA 00 00 00 8B 45 FC 8B 80 70 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B3 00 00 00 8B 45 FC 8B 80 70 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7F 8B 45 FC 8B 80 70 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 B4 E8 ?? ?? ?? ?? 8B 45 B4 50 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 4A 8B 45 FC 8B 80 70 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 B0 E8 ?? ?? ?? ?? 8B 45 B0 50 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 15 33 C0 89 45 A8 C6 45 AC 05 8D 55 A8 33 C9 B0 04 E8 ?? ?? ?? ?? FF 45 F8 FF 4D F0 0F 85 C2 FB FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 8B E5 5D C3 }
	condition:
		$1
}

rule function_31442_0 {
	meta:
		name = "TIBQuery.PrepareSQL"
		size = 31
	strings:
		$1 = { 56 8B F0 8B 86 E8 01 00 00 0F B6 96 7D 02 00 00 88 50 75 8B C6 8B 10 FF 92 CC 02 00 00 5E C3 }
	condition:
		$1
}

rule function_31443_0 {
	meta:
		name = "TIBQuery.GetRowsAffected"
		size = 28
		refs = "0013 TIBSQL.GetRowsAffected"
	strings:
		$1 = { 83 CA FF 80 B8 6C 02 00 00 00 74 0D 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_31445_0 {
	meta:
		name = "TIBQuery.GetDetailLinkFields"
		size = 155
		refs = "0064 TParams.GetItem 006f AddFieldToList"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B D8 8B C5 8B 10 FF 52 08 8B 04 24 8B 10 FF 52 08 8B C3 8B 10 FF 92 60 01 00 00 85 C0 74 6C 8B C3 8B 10 FF 92 60 01 00 00 83 78 38 00 74 5C 8B 83 70 02 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 4B 47 33 F6 8B C3 8B 10 FF 92 60 01 00 00 8B 40 38 50 8B D6 8B 83 70 02 00 00 E8 ?? ?? ?? ?? 8B 40 34 8B CD 5A E8 ?? ?? ?? ?? 84 C0 74 1A 8B D6 8B 83 70 02 00 00 E8 ?? ?? ?? ?? 8B 40 34 8B 0C 24 8B D3 E8 ?? ?? ?? ?? 46 4F 75 B8 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31449_0 {
	meta:
		name = "TIBQuery.PSGetParams"
		size = 7
	strings:
		$1 = { 8B 80 70 02 00 00 C3 }
	condition:
		$1
}

rule function_31450_0 {
	meta:
		name = "TIBQuery.PSSetParams"
		size = 32
		refs = "001a TDataSet.Close"
	strings:
		$1 = { 56 8B F0 8B 42 08 83 78 08 00 74 0B 8B 86 70 02 00 00 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_31453_0 {
	meta:
		name = "TIBQuery.PSSetCommandText"
		size = 26
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 0D 8B D6 8B 83 68 02 00 00 8B 08 FF 51 2C 5E 5B C3 }
	condition:
		$1
}

rule function_31454_0 {
	meta:
		name = "TIBQuery.PSGetCommandText"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 68 02 00 00 8B 08 FF 51 1C 5E 5B C3 }
	condition:
		$1
}

rule function_31455_0 {
	meta:
		name = "TIBQuery.PSGetCommandType"
		size = 125
		refs = "000f TIBQuery.Prepare 0016 TIBCustomDataSet.SQLType 0025 TIBQuery.PSGetCommandType"
	strings:
		$1 = { 53 8B D8 80 BB 6C 02 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 0D 77 57 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B0 05 5B C3 B0 06 5B C3 B0 07 5B C3 B0 08 5B C3 B0 09 5B C3 B0 03 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_31458_0 {
	meta:
		name = "TIBSQLParser.AppendNextLine"
		size = 256
		refs = "0013 TIBSQLParser.AppendNextLine 007d @UStrCatN 0096 Trim 00d4 @UStrArrayClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 4C 8B 10 FF 52 14 3B 43 68 7E 0F C6 43 6C 01 8B 43 4C 89 45 F8 8D 73 68 EB 0D C6 43 6C 00 8B 43 48 89 45 F8 8D 73 60 8B 45 F8 8B 10 FF 52 14 3B 06 75 06 C6 45 FF 00 EB 48 C6 45 FF 01 FF 73 5C 68 ?? ?? ?? ?? 8D 4D F4 8B 16 8B 45 F8 8B 38 FF 57 0C FF 75 F4 8D 43 5C BA 03 00 00 00 E8 ?? ?? ?? ?? FF 06 8B 45 F8 8B 10 FF 52 14 3B 06 74 11 8D 55 F0 8B 43 5C E8 ?? ?? ?? ?? 83 7D F0 00 74 BC 80 7B 6C 00 74 18 8D 55 EC 8B 43 5C E8 ?? ?? ?? ?? 83 7D EC 00 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_31459_0 {
	meta:
		name = "TIBSQLParser.Create"
		size = 132
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TStringList 0023 TStringList.Create 0051 TIBSQLParser.Create 0056 @UStrAsg 0061 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C 33 C0 89 46 68 8D 46 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_31460_0 {
	meta:
		name = "TIBSQLParser.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000f TObject.Free 002a TComponent.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 48 E8 ?? ?? ?? ?? 8B 46 58 E8 ?? ?? ?? ?? 8B 46 4C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31461_0 {
	meta:
		name = "TIBSQLParser.DoOnError"
		size = 110
		refs = "0013 @UStrAddRef 0023 TIBSQLParser.DoOnError 005d @UStrArrayClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 3A 00 74 13 8B 45 F8 50 8B 43 64 50 8B 4D FC 8B D3 8B 43 3C FF 53 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31462_0 {
	meta:
		name = "TIBSQLParser.DoOnParse"
		size = 90
		refs = "0011 @UStrAddRef 0019 TIBSQLParser.DoOnParse 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7E 42 00 74 0E 8B 45 FC 50 8B CB 8B D6 8B 46 44 FF 56 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31463_0 {
	meta:
		name = "TIBSQLParser.DoParser"
		size = 576
		refs = "0019 TIBSQLParser.DoParser 002f TIBSQLParser.TokenizeNextLine 0037 TIBSQLParser.IsValidStatement 0080 SIBInvalidStatement 0085 LoadResString 00d9 @UStrAsg 00f4 TIBSQLParser.LoadInput 0106 @HandleOnException 010e _Dn_Exception 012b @DoneExcept 0138 @UStrClr 017a @UStrCatN 018b TrimRight 0196 @UStrLAsg 01d3 Trim 0213 @UStrArrayClr 0221 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 8E 01 00 00 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 0F B6 C3 83 F8 0A 0F 87 60 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 4D FC 8B 45 F8 8B 18 FF 53 44 E9 1A 01 00 00 8D 4D E8 8B 45 F8 8B 40 58 BA 02 00 00 00 8B 30 FF 56 0C 8B 4D E8 8B D3 8B 45 F8 8B 18 FF 53 40 8D 4D E4 8B 45 F8 8B 40 58 BA 02 00 00 00 8B 18 FF 53 0C 8B 55 E4 8B 45 F8 83 C0 50 E8 ?? ?? ?? ?? E9 D4 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 B1 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 45 F0 8B 45 F0 8B 50 04 8B 4D FC 8B 45 F8 8B 18 FF 53 44 E8 ?? ?? ?? ?? E9 82 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 58 8B 10 FF 52 14 8B F0 4E 85 F6 7E 36 C7 45 F4 01 00 00 00 FF 75 FC 8D 4D E0 8B 45 F8 8B 40 58 8B 55 F4 8B 38 FF 57 0C FF 75 E0 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 F4 4E 75 D1 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 8B D3 8B 4D FC 8B 45 F8 8B 18 FF 53 40 EB 0D 8B D3 8B 4D FC 8B 45 F8 8B 18 FF 53 40 8B 45 F8 8B 40 48 8B 10 FF 52 14 8B 55 F8 3B 42 60 7F 27 8D 55 D8 8B 45 F8 8B 40 5C E8 ?? ?? ?? ?? 83 7D D8 00 75 13 8B 45 F8 8B 40 4C 8B 10 FF 52 14 8B 55 F8 3B 42 68 7E 0D 8B 45 F8 80 78 54 00 0F 84 2B FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_31464_0 {
	meta:
		name = "TIBSQLParser.IsValidStatement"
		size = 2484
		refs = "0018 TIBSQLParser.IsValidStatement 0049 AnsiUpperCase 0056 @UStrEqual 0586 @UStrArrayClr 058c @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 58 8B 10 FF 52 14 85 C0 75 07 B3 08 E9 3B 05 00 00 8D 4D F4 33 D2 8B 43 58 8B 30 FF 56 0C 8B 45 F4 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 60 8B 43 58 8B 10 FF 52 14 83 F8 02 75 4C 8D 4D F0 BA 01 00 00 00 8B 43 58 8B 30 FF 56 0C 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 11 E9 E1 04 00 00 8D 4D EC BA 01 00 00 00 8B 43 58 8B 30 FF 56 0C 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E B3 0B E9 BB 04 00 00 B3 0B E9 B4 04 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 EB 00 00 00 8B 43 58 8B 10 FF 52 14 83 F8 02 7D 07 B3 0C E9 8D 04 00 00 8B 43 58 8B 10 FF 52 14 83 F8 02 75 26 8D 4D E8 BA 01 00 00 00 8B 43 58 8B 30 FF 56 0C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 12 E9 5A 04 00 00 8B 43 58 8B 10 FF 52 14 83 F8 04 75 3E 8D 4D E4 BA 01 00 00 00 8B 43 58 8B 30 FF 56 0C 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1F 8D 4D E0 BA 02 00 00 00 8B 43 58 8B 30 FF 56 0C 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 4B 8B 43 58 8B 10 FF 52 14 83 F8 05 75 45 8D 4D DC BA 02 00 00 00 8B 43 58 8B 30 FF 56 0C 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 26 8D 4D D8 BA 03 00 00 00 8B 43 58 8B 18 FF 53 0C 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 0A E9 BD 03 00 00 B3 0E E9 B6 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 0D E9 A0 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 10 E9 8A 03 00 00 8B 43 58 8B 10 FF 52 14 83 F8 02 7D 07 B3 0A E9 76 03 00 00 8D 4D D4 BA 01 00 00 00 8B 43 58 8B 30 FF 56 0C 8B 45 D4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 33 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 13 E9 36 03 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 14 E9 20 03 00 00 B3 0A E9 19 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 16 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 0F E9 F4 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 5A 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 4B 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 3C 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 2D 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 16 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 01 E9 84 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 06 E9 6E 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 03 E9 58 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 25 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 05 E9 24 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 16 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 04 E9 FF 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 13 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 E1 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 CE 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 BB 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 A8 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 95 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 82 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 73 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 55 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 4D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3E 8B 43 58 8B 10 FF 52 14 83 F8 02 7E 31 8D 4D CC BA 02 00 00 00 8B 43 58 8B 30 FF 56 0C 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 33 DB E9 F5 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 E0 00 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1B 8B 43 58 8B 10 FF 52 14 83 F8 03 75 07 B3 09 E9 BF 00 00 00 B3 0A E9 B8 00 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3F 8B 43 58 8B 10 FF 52 14 83 F8 04 75 2E 8D 4D C4 BA 02 00 00 00 8B 43 58 8B 18 FF 53 0C 8B 45 C4 8D 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 02 EB 6E B3 0A EB 6A 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 2D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 43 58 8B 10 FF 52 14 83 F8 03 75 04 B3 02 EB 1D B3 0A EB 19 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 15 EB 06 B3 0A EB 02 B3 0A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 0F 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4F 00 4D 00 4D 00 49 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 52 00 45 00 54 00 41 00 49 00 4E 00 49 00 4E 00 47 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 57 00 4F 00 52 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 4F 00 4C 00 4C 00 42 00 41 00 43 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 4F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 41 00 56 00 45 00 50 00 4F 00 49 00 4E 00 54 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 52 00 45 00 43 00 4F 00 4E 00 4E 00 45 00 43 00 54 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 41 00 54 00 43 00 48 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 54 00 41 00 52 00 54 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 58 00 45 00 43 00 55 00 54 00 45 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 45 00 4C 00 45 00 41 00 53 00 45 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 4E 00 53 00 45 00 52 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 50 00 44 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 4F 00 4E 00 4E 00 45 00 43 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 43 00 48 00 45 00 4D 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 52 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4A 00 4F 00 55 00 52 00 4E 00 41 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 45 00 43 00 4C 00 41 00 52 00 45 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 4C 00 54 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 47 00 52 00 41 00 4E 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 56 00 4F 00 4B 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 45 00 4E 00 45 00 52 00 41 00 54 00 4F 00 52 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 54 00 41 00 54 00 49 00 53 00 54 00 49 00 43 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 44 00 45 00 58 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 45 00 52 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 51 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 49 00 41 00 4C 00 45 00 43 00 54 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 55 00 54 00 4F 00 44 00 44 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4E 00 41 00 4D 00 45 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 41 00 56 00 45 00 50 00 4F 00 49 00 4E 00 54 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 41 00 53 00 53 00 57 00 4F 00 52 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_31465_0 {
	meta:
		name = "TIBSQLParser.LoadInput"
		size = 248
		refs = "000d TIBSQLParser.LoadInput 0061 @UStrDelete 00c7 @UStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 4C 8B 10 FF 52 44 33 C0 89 43 68 8D 4D FC BA 01 00 00 00 8B 43 58 8B 30 FF 56 0C B8 ?? ?? ?? ?? 8B 55 FC 0F B7 12 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 84 C0 74 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 BE ?? ?? ?? ?? 8B 55 FC 0F B7 44 42 FE 66 3D FF 00 77 06 0F B7 C0 0F A3 06 0F 92 C0 84 C0 74 1A 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 55 FC B9 01 00 00 00 92 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 4C 8B 08 FF 51 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 00 84 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_31466_0 {
	meta:
		name = "TIBSQLParser.Parse"
		size = 34
		refs = "001c TIBSQLParser.DoParser"
	strings:
		$1 = { 53 8B D8 33 C0 89 43 60 33 C0 89 43 68 8B 43 4C 8B 10 FF 52 44 C6 43 54 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31467_0 {
	meta:
		name = "TIBSQLParser.RemoveComment"
		size = 360
		refs = "0013 TIBSQLParser.RemoveComment 0024 TrimLeft 002f @UStrAsg 003c AnsiPos 0061 TIBSQLParser.AppendNextLine 006d SIBInvalidComment 0072 LoadResString 007c _Dn_Exception 0081 Exception.Create 0086 @RaiseExcept 00aa @UStrDelete 012b @UStrArrayClr 0131 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 5C E8 ?? ?? ?? ?? 8B 55 FC 8D 43 5C E8 ?? ?? ?? ?? 8B 53 5C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 83 FF 01 0F 85 B4 00 00 00 8B 53 5C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 3B FE 7E 3F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 5C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 3B FE 7F C1 8B CE 2B CF 83 C1 02 8D 43 5C 8B D7 E8 ?? ?? ?? ?? 8D 55 F4 8B 43 5C E8 ?? ?? ?? ?? 8B 55 F4 8D 43 5C E8 ?? ?? ?? ?? 83 7B 5C 00 75 07 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B 43 5C E8 ?? ?? ?? ?? 8B 55 F0 8D 43 5C E8 ?? ?? ?? ?? 8B 53 5C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 83 FF 01 0F 84 4C FF FF FF 8D 55 EC 8B 43 5C E8 ?? ?? ?? ?? 8B 55 EC 8D 43 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2A 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_31468_0 {
	meta:
		name = "TIBSQLParser.SetPaused"
		size = 20
		refs = "000f TIBSQLParser.DoParser"
	strings:
		$1 = { 3A 50 54 74 0E 8B CA 88 48 54 84 C9 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31469_0 {
	meta:
		name = "TIBSQLParser.SetScript"
		size = 41
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 48 8B 08 FF 51 08 C6 46 54 00 33 C0 89 46 60 33 C0 89 46 68 8B 46 4C 8B 10 FF 52 44 5F 5E C3 }
	condition:
		$1
}

rule function_31470_0 {
	meta:
		name = "ScanToken"
		size = 2684
		refs = "0023 ScanToken 0034 @UStrClr 009c @UStrCopy 00a9 CompareStr 0108 AnsiUpperCase 0115 @UStrEqual 02c4 @UStrCat 031e @UStrDelete 0337 Trim 0345 @UStrLAsg 04d2 @UStrFromWChar 04ef @UStrLen 0936 @UStrArrayClr 0949 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 1B 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B 75 08 83 C6 F4 8B 5D 08 83 C3 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? C6 45 FF 00 C7 03 01 00 00 00 E9 A2 04 00 00 8B 45 08 80 78 F3 00 0F 85 22 03 00 00 8B 45 08 80 78 F2 00 0F 85 15 03 00 00 8B 45 08 80 78 F1 00 0F 85 08 03 00 00 8B 06 8B 40 50 89 45 F8 8B 45 F8 89 45 F4 83 7D F4 00 74 0B 8B 45 F4 83 E8 04 8B 00 89 45 F4 8D 45 C8 50 8B 13 8B 06 8B 40 5C 8B 4D F4 E8 ?? ?? ?? ?? 8B 55 C8 8B 06 8B 40 50 E8 ?? ?? ?? ?? 85 C0 75 0E 8B 45 08 0F B6 40 F0 34 01 88 45 F3 EB 04 C6 45 F3 00 80 7D F3 00 74 06 C6 45 F2 01 EB 7E 8B 45 08 80 78 F0 00 74 6C 8B 06 8B 40 58 8B 10 FF 52 14 48 7E 5F 8B 06 8B 40 58 8B 10 FF 52 14 8B D0 83 EA 02 8D 4D C0 8B 06 8B 40 58 8B 38 FF 57 0C 8B 45 C0 8D 55 C4 E8 ?? ?? ?? ?? 8B 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 29 8B 06 8B 40 58 8B 10 FF 52 14 8B D0 4A 8D 4D BC 8B 06 8B 40 58 8B 38 FF 57 0C 8B 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 F2 80 7D F2 00 74 09 C6 45 F1 01 E9 FB 00 00 00 8B 45 08 80 78 F0 00 0F 84 E5 00 00 00 8B 06 8B 40 58 8B 10 FF 52 14 83 F8 05 0F 85 D2 00 00 00 8D 4D B4 8B 06 8B 40 58 33 D2 8B 38 FF 57 0C 8B 45 B4 8D 55 B8 E8 ?? ?? ?? ?? 8B 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 A5 00 00 00 8D 4D AC 8B 06 8B 40 58 BA 01 00 00 00 8B 38 FF 57 0C 8B 45 AC 8D 55 B0 E8 ?? ?? ?? ?? 8B 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 79 8D 4D A4 8B 06 8B 40 58 BA 03 00 00 00 8B 38 FF 57 0C 8B 45 A4 8D 55 A8 E8 ?? ?? ?? ?? 8B 45 A8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 2C 8D 4D 9C 8B 06 8B 40 58 BA 03 00 00 00 8B 38 FF 57 0C 8B 45 9C 8D 55 A0 E8 ?? ?? ?? ?? 8B 45 A0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 21 8D 4D 98 8B 06 8B 40 58 BA 04 00 00 00 8B 38 FF 57 0C 8B 45 98 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 F1 80 7D F1 00 0F 84 15 01 00 00 8B 45 08 80 78 F0 00 74 46 8B 45 08 8B 40 EC 8B 00 89 45 EC 8B 45 EC 89 45 E8 83 7D E8 00 74 0B 8B 45 E8 83 E8 04 8B 00 89 45 E8 8B 45 08 8B 40 EC 50 8B 4D E8 49 8B 45 08 8B 40 EC 8B 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 C6 40 F0 00 8B 45 08 C6 40 EB 01 8B 45 08 8B 40 EC 8B 55 08 8B 52 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 EC 8B 45 08 8B 40 FC 89 45 E4 8B 45 E4 89 45 E0 83 7D E0 00 74 0B 8B 45 E0 83 E8 04 8B 00 89 45 E0 8B 06 8B 40 50 89 45 DC 8B 45 DC 89 45 D8 83 7D D8 00 74 0B 8B 45 D8 83 E8 04 8B 00 89 45 D8 8B 4D E0 03 4D D8 8B 06 83 C0 5C BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 90 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 90 8D 55 94 E8 ?? ?? ?? ?? 8B 55 94 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 8B 45 08 83 78 FC 00 0F 84 C7 05 00 00 8D 55 8C 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 8C 8B 06 8B 40 58 8B 08 FF 51 38 E9 A7 05 00 00 8B 06 8B 40 5C 89 45 D4 8B 45 D4 89 45 D0 83 7D D0 00 74 0B 8B 45 D0 83 E8 04 8B 00 89 45 D0 8B 03 3B 45 D0 7D 0E 8B 45 08 0F B6 40 F2 34 01 88 45 CF EB 04 C6 45 CF 00 80 7D CF 00 74 0E 8B 45 08 0F B6 40 F3 34 01 88 45 CE EB 04 C6 45 CE 00 80 7D CE 00 74 13 8B 03 8B 16 8B 52 5C 66 83 7C 42 FE 2F 0F 94 45 CD EB 04 C6 45 CD 00 80 7D CD 00 74 15 8B 03 8B 16 8B 52 5C 66 83 3C 42 2A 75 07 8B 45 08 C6 40 F1 01 8B 45 08 80 78 F1 00 74 2A 83 3B 01 74 25 8B 03 8B 16 8B 52 5C 66 83 7C 42 FE 2F 75 16 8B 03 8B 16 8B 52 5C 66 83 7C 42 FC 2A 75 07 8B 45 08 C6 40 F1 00 8B 45 08 80 78 F1 00 0F 85 84 00 00 00 8B 03 8B 16 8B 52 5C 0F B7 44 42 FE 66 83 E8 20 74 5C 66 83 E8 02 74 2E 66 83 E8 05 75 66 8B 45 08 80 78 F2 00 75 5D 8B 45 08 80 78 F3 00 74 0D 8B 45 08 C6 40 F3 00 C6 45 FF 01 EB 47 8B 45 08 C6 40 F3 01 EB 3E 8B 45 08 80 78 F3 00 75 35 8B 45 08 80 78 F2 00 74 0D 8B 45 08 C6 40 F2 00 C6 45 FF 01 EB 1F 8B 45 08 C6 40 F2 01 EB 16 8B 45 08 80 78 F2 00 75 0D 8B 45 08 80 78 F3 00 75 04 C6 45 FF 01 8D 45 88 8B 13 8B 0E 8B 49 5C 0F B7 54 51 FE E8 ?? ?? ?? ?? 8B 55 88 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 8B 45 08 FF 03 8B 06 8B 40 5C E8 ?? ?? ?? ?? 3B 03 7C 33 80 7D FF 00 0F 84 46 FB FF FF EB 27 8D 45 84 8B 13 8B 0E 8B 49 5C 0F B7 54 51 FE E8 ?? ?? ?? ?? 8B 55 84 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 8B 45 08 FF 03 8B 06 8B 40 5C E8 ?? ?? ?? ?? 3B 03 7C 0F 8B 03 8B 16 8B 52 5C 66 83 7C 42 FE 20 76 BC 8B 45 08 8B 40 EC 8B 55 08 8B 52 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 EC 8B 45 08 8B 40 FC 89 45 80 8B 45 80 85 C0 74 05 83 E8 04 8B 00 8B 16 83 C2 5C 8B C8 B8 01 00 00 00 92 E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 8B 45 08 83 78 FC 00 74 10 8B 45 08 8B 50 FC 8B 06 8B 40 58 8B 08 FF 51 38 8B 06 8B 40 58 8B 10 FF 52 14 83 F8 02 0F 85 C8 00 00 00 8D 8D 74 FF FF FF 8B 06 8B 40 58 33 D2 8B 18 FF 53 0C 8B 85 74 FF FF FF 8D 95 78 FF FF FF E8 ?? ?? ?? ?? 8B 85 78 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 35 8D 8D 6C FF FF FF 8B 06 8B 40 58 33 D2 8B 18 FF 53 0C 8B 85 6C FF FF FF 8D 95 70 FF FF FF E8 ?? ?? ?? ?? 8B 85 70 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5E 8D 95 68 FF FF FF 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 85 68 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 23 8D 95 64 FF FF FF 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 85 64 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 18 8B 06 8B 40 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 8B 45 08 C6 40 F0 01 8B 45 08 80 78 F0 00 0F 84 89 00 00 00 8D 95 60 FF FF FF 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 85 60 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 66 8D 85 5C FF FF FF 50 8B 06 8B 40 58 8B 10 FF 52 14 8B D0 4A 8D 8D 58 FF FF FF 8B 06 8B 40 58 8B 38 FF 57 0C 8B 85 58 FF FF FF B9 03 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 50 8B 06 8B 58 58 8B C3 8B 10 FF 52 14 8B D0 4A 8B C3 59 8B 18 FF 53 20 8B 06 8B 40 58 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 08 80 78 F0 00 0F 84 DF 01 00 00 8B 06 8B 40 58 8B 10 FF 52 14 83 F8 04 0F 85 CC 01 00 00 8D 8D 50 FF FF FF 8B 06 8B 40 58 33 D2 8B 18 FF 53 0C 8B 85 50 FF FF FF 8D 95 54 FF FF FF E8 ?? ?? ?? ?? 8B 85 54 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 93 01 00 00 8D 8D 48 FF FF FF 8B 06 8B 40 58 BA 01 00 00 00 8B 18 FF 53 0C 8B 85 48 FF FF FF 8D 95 4C FF FF FF E8 ?? ?? ?? ?? 8B 85 4C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 57 01 00 00 8D 8D 40 FF FF FF 8B 06 8B 40 58 BA 03 00 00 00 8B 18 FF 53 0C 8B 85 40 FF FF FF 8D 95 44 FF FF FF E8 ?? ?? ?? ?? 8B 85 44 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 3C 8D 8D 38 FF FF FF 8B 06 8B 40 58 BA 03 00 00 00 8B 18 FF 53 0C 8B 85 38 FF FF FF 8D 95 3C FF FF FF E8 ?? ?? ?? ?? 8B 85 3C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 E3 00 00 00 8D 95 34 FF FF FF 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 85 34 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 59 8D 85 30 FF FF FF 50 8B 06 8B 40 58 8B 10 FF 52 14 8B D0 4A 8D 8D 2C FF FF FF 8B 06 8B 40 58 8B 38 FF 57 0C 8B 85 2C FF FF FF B9 06 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 85 30 FF FF FF 50 8B 06 8B 58 58 8B C3 8B 10 FF 52 14 8B D0 4A 8B C3 59 8B 18 FF 53 20 EB 58 8D 85 28 FF FF FF 50 8B 06 8B 40 58 8B 10 FF 52 14 8B D0 4A 8D 8D 24 FF FF FF 8B 06 8B 40 58 8B 18 FF 53 0C 8B 85 24 FF FF FF B9 08 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 85 28 FF FF FF 50 8B 06 8B 40 58 8B 10 FF 52 14 8B D0 4A 8B 06 8B 40 58 59 8B 18 FF 53 20 8B 06 8B 40 58 BA ?? ?? ?? ?? 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 24 FF FF FF BA 17 00 00 00 E8 ?? ?? ?? ?? 8D 45 84 BA 12 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 45 00 4E 00 44 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 4C 00 54 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 52 00 49 00 47 00 47 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 43 00 54 00 49 00 56 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 4E 00 41 00 43 00 54 00 49 00 56 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 4E 00 44 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 43 00 54 00 49 00 56 00 45 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 4E 00 41 00 43 00 54 00 49 00 56 00 45 00 3B 00 00 00 }
	condition:
		$1
}

rule function_31471_0 {
	meta:
		name = "TIBSQLParser.TokenizeNextLine"
		size = 279
		refs = "001b TIBSQLParser.TokenizeNextLine 003e Trim 004c TIBSQLParser.AppendNextLine 0077 TIBSQLParser.RemoveComment 0086 @HandleOnException 008e _Dn_Exception 00a4 @DoneExcept 00c3 @UStrClr 00e0 ScanToken 010a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 4D FC 89 55 EC 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F0 00 8B 45 F4 8B 40 58 8B 10 FF 52 44 8D 55 E4 8B 45 F4 8B 40 5C E8 ?? ?? ?? ?? 83 7D E4 00 75 08 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 80 78 6C 00 75 0C 8B 45 F4 8B 40 60 8B 55 F4 89 42 64 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2A E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 50 04 33 C9 8B 45 F4 8B 18 FF 53 44 E8 ?? ?? ?? ?? EB 41 E8 ?? ?? ?? ?? C6 45 F3 00 C6 45 F2 00 C6 45 F1 00 C6 45 EB 00 8B 45 EC E8 ?? ?? ?? ?? EB 1C 8B 45 F4 83 78 5C 00 75 0C 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 0D 55 E8 ?? ?? ?? ?? 59 80 7D EB 00 74 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31472_0 {
	meta:
		name = "TIBScript.Create"
		size = 232
		refs = "000e @ClassCreate 001c TComponent.Create 0025 _DV_TIBSQLParser 002a TIBSQLParser.Create 0039 TIBScript.ParserError 0043 TIBScript.ParserParse 0048 TIBScript.Create 004f TIBScript.SetTerminator 0058 _Dn_TIBTransaction 005d TIBTransaction.Create 0069 _Dn_TIBSQL 006e TIBSQL.Create 0086 _DV_TIBScriptStats 008b TIBScriptStats.Create 009d TIBScriptStats.SetDatabase 00c3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 38 89 5E 3C C7 46 38 ?? ?? ?? ?? 89 5E 44 C7 46 40 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 58 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 64 C6 46 64 00 C6 43 3C 01 C6 43 3D 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 84 00 00 00 8B 53 44 8B C6 E8 ?? ?? ?? ?? C7 83 88 00 00 00 03 00 00 00 C6 83 92 00 00 00 00 33 C0 89 83 98 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_31473_0 {
	meta:
		name = "TIBScript.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TComponent.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 84 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48593_0 {
	meta:
		name = "TBaseAdapterPageProducer.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TBasePageItemsProducer.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 84 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31474_0 {
	meta:
		name = "TIBScript.DoConnect"
		size = 708
		refs = "0018 TIBScript.DoConnect 0031 TIBScript.SetupNewConnection 0055 TIBDatabase.SetSQLDialect 0083 TIBScript.StripQuote 008e TIBDatabase.SetDatabaseName 00b5 AnsiCompareText 00c6 @UStrLAsg 0158 @UStrCatN 019c @UStrCat3 01d1 @UStrArrayClr 01d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 44 85 C0 74 05 3B 58 04 74 07 8B C3 E8 ?? ?? ?? ?? 8B 43 44 8B 10 FF 52 48 84 C0 74 0A 33 D2 8B 43 44 8B 08 FF 51 58 8B 93 88 00 00 00 8B 43 44 E8 ?? ?? ?? ?? 8B 43 44 8B 80 A8 00 00 00 8B 10 FF 52 44 8D 4D F4 8B 43 38 8B 40 58 BA 01 00 00 00 8B 30 FF 56 0C 8B 55 F4 8D 4D F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 44 E8 ?? ?? ?? ?? BE 02 00 00 00 E9 D4 00 00 00 8D 4D F0 8B 43 38 8B 40 58 8B D6 8B 38 FF 57 0C 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EC 8B 43 38 8B 40 58 8B D6 8B 38 FF 57 0C 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E8 8B 43 38 8B 40 58 8B D6 8B 38 FF 57 0C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 4D DC 8D 56 01 8B 43 38 8B 40 58 8B 38 FF 57 0C 8B 55 DC 8D 4D E0 8B C3 E8 ?? ?? ?? ?? FF 75 E0 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 43 44 8B 80 A8 00 00 00 8B 08 FF 51 38 83 C6 02 8B 43 38 8B 40 58 8B 10 FF 52 14 48 3B F0 0F 8C 18 FF FF FF 83 BB 8C 00 00 00 00 74 24 8D 45 D8 8B 8B 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 43 44 8B 80 A8 00 00 00 8B 08 FF 51 38 B2 01 8B 43 44 8B 08 FF 51 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 55 00 53 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 75 00 73 00 65 00 72 00 5F 00 6E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 41 00 53 00 53 00 57 00 4F 00 52 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 4F 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 75 00 73 00 65 00 72 00 5F 00 72 00 6F 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6C 00 63 00 5F 00 63 00 74 00 79 00 70 00 65 00 3D 00 00 00 }
	condition:
		$1
}

rule function_31475_0 {
	meta:
		name = "TIBScript.DoCreate"
		size = 296
		refs = "0013 TIBScript.DoCreate 0020 TIBScript.SetupNewConnection 0040 TIBScript.StripQuote 004b TIBDatabase.SetDatabaseName 008b @UStrCatN 00bd TIBDatabase.SetSQLDialect 00c5 TIBDatabase.CreateDatabase 00e8 TIBScriptStats.Start 0102 @UStrArrayClr 0108 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 8B 43 38 8B 40 58 BA 02 00 00 00 8B 30 FF 56 0C 8B 55 F8 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 44 E8 ?? ?? ?? ?? BE 03 00 00 00 EB 4D 8D 4D F0 8B 43 38 8B 40 58 8B D6 8B 38 FF 57 0C FF 75 F0 68 ?? ?? ?? ?? 8D 4D EC 8D 56 01 8B 43 38 8B 40 58 8B 38 FF 57 0C FF 75 EC 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 44 8B 80 A8 00 00 00 8B 08 FF 51 38 83 C6 02 8B 43 38 8B 40 58 8B 10 FF 52 14 48 3B F0 7C A3 8B 93 88 00 00 00 8B 43 44 E8 ?? ?? ?? ?? 8B 43 44 E8 ?? ?? ?? ?? 80 7B 3D 00 74 1D 83 7B 44 00 74 17 8B 43 44 8B 10 FF 52 48 84 C0 74 0B 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_31476_0 {
	meta:
		name = "TIBScript.DoDDL"
		size = 205
		refs = "0022 TIBSQL.SetTransaction 0040 TIBSQL.GetTransaction 0045 TIBTransaction.GetInTransaction 0059 TIBTransaction.StartTransaction 0071 TIBScript.DoDDL 0082 TIBSQL.ExecQuery 0096 TIBTransaction.Commit 00a5 @HandleAnyException 00b9 TIBTransaction.Rollback 00be @RaiseAgain 00c3 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC 80 78 3C 00 74 13 8B 45 FC 8B 50 58 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? EB 11 8B 45 FC 8B 50 5C 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 64 8B 40 60 8B D3 8B 08 FF 51 2C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? 8B 45 FC 80 78 3C 00 74 0B 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 8B 45 FC 80 78 3C 00 74 0B 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31477_0 {
	meta:
		name = "TIBScript.DoDML"
		size = 279
		refs = "001a TDataSet.GetActive 0026 TDataSet.Close 002e TIBCustomDataSet.GetSelectSQL 003d TIBDataSet.Prepare 0045 TIBCustomDataSet.GetSQLParams 006c TIBSQLParser.SetPaused 0079 TIBCustomDataSet.SQLType 0085 TDataSet.Open 0092 TIBDataSet.ExecSQL 00a2 TIBSQL.Close 00b7 TIBSQL.GetTransaction 00bc TIBTransaction.GetInTransaction 00cd TIBTransaction.StartTransaction 00d5 TIBSQL.Prepare 00dd TIBSQL.GetSQLParams 010e TIBSQL.ExecQuery"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 C6 04 24 00 8B 7B 40 85 FF 0F 84 81 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 40 E8 ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 2C 8B 43 40 E8 ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 83 78 08 00 74 26 66 83 7B 7A 00 74 1F 8B CC 8B D3 8B 43 7C FF 53 78 80 3C 24 00 74 0F B2 01 8B 43 38 E8 ?? ?? ?? ?? E9 9D 00 00 00 8B 43 40 E8 ?? ?? ?? ?? 3C 01 75 0D 8B 43 40 E8 ?? ?? ?? ?? E9 84 00 00 00 8B 43 40 E8 ?? ?? ?? ?? EB 7A 8B 43 68 80 78 43 00 74 05 E8 ?? ?? ?? ?? 8B 43 68 8B 40 60 8B D6 8B 08 FF 51 2C 8B 43 68 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0D 8B 43 68 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 68 E8 ?? ?? ?? ?? 8B 43 68 E8 ?? ?? ?? ?? 83 78 08 00 74 23 66 83 7B 7A 00 74 1C 8B CC 8B D3 8B 43 7C FF 53 78 80 3C 24 00 74 0C B2 01 8B 43 38 E8 ?? ?? ?? ?? EB 08 8B 43 68 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31478_0 {
	meta:
		name = "TIBScript.DoReconnect"
		size = 29
	strings:
		$1 = { 53 8B D8 8B 43 44 85 C0 74 11 33 D2 8B 08 FF 51 58 B2 01 8B 43 44 8B 08 FF 51 58 5B C3 }
	condition:
		$1
}

rule function_31479_0 {
	meta:
		name = "TIBScript.DoServerSet"
		size = 74
		refs = "0010 TIBSQL.Close 0025 TIBSQL.GetTransaction 002a TIBTransaction.GetInTransaction 003b TIBTransaction.StartTransaction 0043 TIBSQL.ExecQuery"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 68 80 78 43 00 74 05 E8 ?? ?? ?? ?? 8B 43 68 8B 40 60 8B D6 8B 08 FF 51 2C 8B 43 68 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0D 8B 43 68 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 68 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31480_0 {
	meta:
		name = "TIBScript.DoSET"
		size = 936
		refs = "0019 TIBScript.DoSET 003f AnsiCompareText 0063 @UStrEqual 00bc TIBScript.SetStatsOn 012c StrToInt 0144 TIBDatabase.GetSQLDialect 0164 TCustomConnection.Close 0172 TIBDatabase.SetSQLDialect 017a TCustomConnection.Open 01d7 @UStrAsg 0299 @UStrArrayClr 029f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 46 38 8B 40 58 BA 01 00 00 00 8B 18 FF 53 0C 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 2B 8D 4D F8 8B 46 38 8B 40 58 BA 02 00 00 00 8B 18 FF 53 0C 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 88 46 3C E9 11 02 00 00 8D 4D F4 8B 46 38 8B 40 58 BA 01 00 00 00 8B 18 FF 53 0C 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 2F 8D 4D F0 8B 46 38 8B 40 58 BA 02 00 00 00 8B 18 FF 53 0C 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C2 8B C6 E8 ?? ?? ?? ?? E9 BE 01 00 00 8D 4D EC 8B 46 38 8B 40 58 BA 01 00 00 00 8B 18 FF 53 0C 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 A9 00 00 00 8D 4D E8 8B 46 38 8B 40 58 BA 02 00 00 00 8B 18 FF 53 0C 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 81 00 00 00 8D 4D E4 8B 46 38 8B 40 58 BA 03 00 00 00 8B 18 FF 53 0C 8B 45 E4 E8 ?? ?? ?? ?? 89 86 88 00 00 00 8B 5E 44 85 DB 0F 84 42 01 00 00 8B C3 E8 ?? ?? ?? ?? 3B 86 88 00 00 00 0F 84 2F 01 00 00 8B 46 44 8B 10 FF 52 48 84 C0 74 23 8B 46 44 E8 ?? ?? ?? ?? 8B 96 88 00 00 00 8B 46 44 E8 ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? E9 00 01 00 00 8B 96 88 00 00 00 8B 46 44 E8 ?? ?? ?? ?? E9 ED 00 00 00 8D 4D E0 8B 46 38 8B 40 58 BA 01 00 00 00 8B 18 FF 53 0C 8B 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 26 8D 4D DC 8B 46 38 8B 40 58 BA 02 00 00 00 8B 18 FF 53 0C 8B 55 DC 8D 86 8C 00 00 00 E8 ?? ?? ?? ?? E9 A3 00 00 00 8D 4D D8 8B 46 38 8B 40 58 BA 01 00 00 00 8B 18 FF 53 0C 8B 55 D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 7F 8D 4D D4 8B 46 38 8B 40 58 BA 02 00 00 00 8B 18 FF 53 0C 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2A 8B 5E 5C 85 DB 74 56 8B 43 6C BA ?? ?? ?? ?? 8B 08 FF 51 54 85 C0 7D 45 8B 46 5C 8B 40 6C BA ?? ?? ?? ?? 8B 08 FF 51 38 EB 33 8B 5E 5C 85 DB 74 2C 8B 43 6C BA ?? ?? ?? ?? 8B 08 FF 51 54 85 C0 7C 1B 8B 46 5C 8B 78 6C 8B C7 BA ?? ?? ?? ?? 8B 08 FF 51 54 8B D0 8B C7 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 55 00 54 00 4F 00 44 00 44 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 54 00 41 00 54 00 49 00 53 00 54 00 49 00 43 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 51 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 49 00 41 00 4C 00 45 00 43 00 54 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4E 00 41 00 4D 00 45 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 41 00 56 00 45 00 50 00 4F 00 49 00 4E 00 54 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4F 00 46 00 46 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6E 00 6F 00 5F 00 73 00 61 00 76 00 65 00 70 00 6F 00 69 00 6E 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_31482_0 {
	meta:
		name = "TIBScript.ExecuteScript"
		size = 274
		refs = "0022 @UStrClr 0042 _Dn_TIBSQL 0047 TIBSQL.Create 0062 TIBSQL.SetTransaction 006a TIBScript.ExecuteScript 007e TIBScriptStats.Clear 00ad TIBScriptStats.Start 00b8 TIBSQLParser.Parse 00cf TIBScriptStats.Stop 0102 TObject.Free 0108 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC C6 40 6C 01 8B 45 FC C6 80 91 00 00 00 01 8B 45 FC 05 8C 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 80 92 00 00 00 00 8B 45 FC 83 78 40 00 75 2D 8B 45 FC 8B 48 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 68 8B 45 FC 8B 40 5C 85 C0 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 78 3D 00 74 26 8B 45 FC 83 78 44 00 74 1D 8B 45 FC 8B 40 44 8B 10 FF 52 48 84 C0 74 0E 8B 45 FC 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 FC 80 78 3D 00 74 0E 8B 45 FC 8B 80 84 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 91 00 00 00 00 8B 45 FC 83 78 68 00 74 13 8B 45 FC 83 C0 68 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5B 59 5D C3 }
	condition:
		$1
}

rule function_31483_0 {
	meta:
		name = "TIBScript.GetPaused"
		size = 8
	strings:
		$1 = { 8B 40 38 0F B6 40 54 C3 }
	condition:
		$1
}

rule function_31484_0 {
	meta:
		name = "TIBScript.GetScript"
		size = 7
	strings:
		$1 = { 8B 40 38 8B 40 48 C3 }
	condition:
		$1
}

rule function_31485_0 {
	meta:
		name = "TIBScript.GetSQLParams"
		size = 24
		refs = "000a TIBCustomDataSet.GetSQLParams 0013 TIBSQL.GetSQLParams"
	strings:
		$1 = { 8B 50 40 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 8B 40 68 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31486_0 {
	meta:
		name = "TIBScript.GetTokens"
		size = 7
	strings:
		$1 = { 8B 40 38 8B 40 58 C3 }
	condition:
		$1
}

rule function_31487_0 {
	meta:
		name = "TIBScript.Notification"
		size = 63
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 22 3B 7E 40 75 07 33 C0 89 46 40 EB 16 3B 7E 44 75 07 33 C0 89 46 44 EB 0A 3B 7E 5C 75 05 33 C0 89 46 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31488_0 {
	meta:
		name = "TIBScript.ParamByName"
		size = 99
		refs = "000e @UStrAddRef 0016 TIBScript.ParamByName 002b TIBDataSet.ParamByName 003a TIBSQL.ParamByName 0051 @UStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 40 85 C0 74 0C 8B 55 FC E8 ?? ?? ?? ?? 8B D8 EB 0D 8B 55 FC 8B 43 68 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_31489_0 {
	meta:
		name = "TIBScript.ParserError"
		size = 126
		refs = "000e @UStrAddRef 001e TIBScript.ParserError 004f TIBSQLParser.SetPaused 0064 @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 4A 00 74 13 8B 45 0C 50 8B 45 08 50 8B 4D FC 8B D3 8B 43 4C FF 53 48 C6 83 80 00 00 00 00 B2 01 8B 43 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_31490_0 {
	meta:
		name = "GetSavepointName"
		size = 444
		refs = "001e GetSavepointName 002b @LStrClr 0061 AnsiUpperCase 006e @UStrEqual 00c3 @LStrFromUStr 0175 @UStrArrayClr 017b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 8B 75 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 40 38 8B 40 58 8B 10 FF 52 14 83 F8 04 0F 85 82 00 00 00 8D 4D F8 8B 06 8B 40 38 8B 40 58 BA 01 00 00 00 8B 38 FF 57 0C 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 53 8D 4D F0 8B 06 8B 40 38 8B 40 58 BA 02 00 00 00 8B 38 FF 57 0C 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 24 8D 4D EC 8B 06 8B 40 38 8B 40 58 BA 03 00 00 00 8B 38 FF 57 0C 8B 55 EC 8B C3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 06 8B 40 38 8B 40 58 8B 10 FF 52 14 83 F8 05 0F 85 82 00 00 00 8D 4D E4 8B 06 8B 40 38 8B 40 58 BA 02 00 00 00 8B 38 FF 57 0C 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 53 8D 4D DC 8B 06 8B 40 38 8B 40 58 BA 03 00 00 00 8B 38 FF 57 0C 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 24 8D 4D D8 8B 06 8B 40 38 8B 40 58 BA 04 00 00 00 8B 30 FF 56 0C 8B 55 D8 8B C3 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 4F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 41 00 56 00 45 00 50 00 4F 00 49 00 4E 00 54 00 00 00 }
	condition:
		$1
}

rule function_31491_0 {
	meta:
		name = "TIBScript.ParserParse"
		size = 1816
		refs = "0021 @UStrAddRef 0029 TIBScript.ParserParse 00ac _Dn_TMBCSEncoding 00b1 TMBCSEncoding.Create 00d8 @UStrCat3 00e6 TEncoding.GetBytes 0108 @LStrFromUStr 0113 BytesOf 0138 IBAlloc 0140 @DynArrayLength 0162 Move 01a2 TObject.Free 01a8 @HandleFinally 01b5 TIBTransaction.GetInTransaction 01c4 TIBTransaction.StartTransaction 01e4 @GetMem 01fe TIBDatabase.GetSQLDialect 0227 TIBDatabase.GDSLibrary 0230 StatusVector 024c TIBDatabase.Call 0278 @FreeMem 02c7 Trim 02d5 @UStrAsg 02e2 SInvalidBatchStatement 02e7 LoadResString 02f5 _Dn_EIBError 02fa EIBError.Create 02ff @RaiseExcept 0418 TIBTransaction.Commit 045f TIBTransaction.CommitRetaining 04a6 TIBTransaction.Rollback 04ed TIBTransaction.RollbackRetaining 0530 GetSavepointName 053f TIBTransaction.RollbackSavepoint 0578 TIBTransaction.ReleaseSavepoint 05ae TIBTransaction.StartSavepoint 0600 @HandleOnException 062c TIBSQLParser.SetPaused 0661 @RaiseAgain 067c @DoneExcept 0691 @UStrClr 0699 @LStrClr 06ae @LStrArrayClr 06bb @UStrArrayClr 06c3 @IntfClear 06e4 TArray<System.Byte> 06e9 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 88 4D F7 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 45 F7 8B 55 FC 88 82 90 00 00 00 8B 45 FC 80 B8 81 00 00 00 00 0F 85 71 05 00 00 8B 45 FC 80 B8 92 00 00 00 00 0F 84 95 02 00 00 0F B6 45 F7 2C 02 72 15 2C 07 0F 84 3D 02 00 00 2C 0B 0F 84 23 01 00 00 E9 4E 02 00 00 8B 45 FC 8B 40 44 8B 98 EC 00 00 00 85 DB 75 07 33 C0 89 45 E8 EB 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D E8 00 74 20 8D 45 E4 B9 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 8B 55 E4 8D 4D F8 8B 45 E8 E8 ?? ?? ?? ?? EB 2B 8D 45 DC B9 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 8B D0 42 8B CA 03 C9 03 C9 8B D0 03 D2 03 D2 8B 45 FC 05 94 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 41 8D 45 EC 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 94 00 00 00 8B 45 FC 8B 80 98 00 00 00 03 C0 03 C0 03 D8 8B 45 EC 89 03 8B 45 FC FF 80 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 8B 40 5C E8 ?? ?? ?? ?? 84 C0 75 0B 8B 45 FC 8B 40 5C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 98 00 00 00 03 C0 03 C0 E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 8B 40 5C 83 C0 48 50 8B 45 FC 8B 70 44 8B C6 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 98 00 00 00 50 8B 45 FC 8B 80 94 00 00 00 50 8B 45 F0 50 8D 55 D8 8B 45 FC 8B 58 44 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 50 E8 ?? ?? ?? ?? 8B D0 8D 8E B8 00 00 00 58 8B 30 FF 96 2C 01 00 00 8B D0 8B C3 B1 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 98 94 00 00 00 8B 45 FC 8B B0 98 00 00 00 4E 85 F6 7C 0E 46 8B 03 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F3 8B 45 FC 8B 80 94 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 94 00 00 00 8B 45 FC 33 D2 89 90 98 00 00 00 8B 45 FC C6 80 92 00 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9D 8D 55 D4 8B 45 08 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC 83 C0 60 E8 ?? ?? ?? ?? E9 F6 02 00 00 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 83 C9 FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CC 02 00 00 0F B6 45 F7 83 F8 15 0F 87 BF 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 08 8B 45 FC 8B 08 FF 51 58 E9 50 02 00 00 8B 55 08 8B 45 FC 8B 08 FF 51 44 E9 40 02 00 00 8B 55 08 8B 45 FC 8B 08 FF 51 40 E9 30 02 00 00 8B 55 08 8B 45 FC 8B 08 FF 51 48 E9 20 02 00 00 8B 55 08 8B 45 FC 8B 08 FF 51 5C E9 10 02 00 00 8B 55 08 8B 45 FC 8B 08 FF 51 4C E9 00 02 00 00 8B 55 08 8B 45 FC 8B 08 FF 51 50 E9 F0 01 00 00 8D 55 CC 8B 45 08 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 FC 83 C0 60 E8 ?? ?? ?? ?? E9 D2 01 00 00 8B 45 FC 8B 40 5C E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 FC 8B 40 5C E8 ?? ?? ?? ?? 8B 45 FC 8B 58 58 85 DB 0F 84 AA 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 9B 01 00 00 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? E9 8B 01 00 00 8B 45 FC 8B 40 5C E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 FC 8B 40 5C E8 ?? ?? ?? ?? 8B 45 FC 8B 58 58 85 DB 0F 84 63 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 54 01 00 00 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? E9 44 01 00 00 8B 45 FC 8B 40 5C E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 FC 8B 40 5C E8 ?? ?? ?? ?? 8B 45 FC 8B 58 58 85 DB 0F 84 1C 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 0D 01 00 00 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? E9 FD 00 00 00 8B 45 FC 8B 40 5C E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 FC 8B 40 5C E8 ?? ?? ?? ?? 8B 45 FC 8B 58 58 85 DB 0F 84 D5 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 C6 00 00 00 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? E9 B6 00 00 00 8B 45 FC 8B 10 FF 52 54 E9 A9 00 00 00 55 8D 45 C8 E8 ?? ?? ?? ?? 59 8B 55 C8 8B 45 FC 8B 40 5C E8 ?? ?? ?? ?? E9 8C 00 00 00 8D 4D C0 8B 45 FC 8B 40 38 8B 40 58 BA 01 00 00 00 8B 18 FF 53 0C 8B 55 C0 8D 45 C4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 FC 8B 40 5C E8 ?? ?? ?? ?? EB 56 8D 4D B8 8B 45 FC 8B 40 38 8B 40 58 BA 01 00 00 00 8B 18 FF 53 0C 8B 55 B8 8D 45 BC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 BC 8B 45 FC 8B 40 5C E8 ?? ?? ?? ?? EB 20 8B 45 FC C6 80 92 00 00 00 01 8B 45 FC 33 D2 89 90 98 00 00 00 8B 45 FC 33 D2 89 90 9C 00 00 00 8B 45 FC 66 83 78 52 00 74 14 8B 45 08 50 0F B6 4D F7 8B 5D FC 8B 55 FC 8B 43 54 FF 53 50 33 C0 5A 59 59 64 89 10 E9 81 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 FC C6 40 6C 00 8B 45 FC C6 80 80 00 00 00 00 8B 45 FC 8B 40 38 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 66 83 78 72 00 74 26 8B 45 08 50 8B 45 FC 8B 40 38 8B 40 64 50 8B 45 FC 83 C0 6C 50 8B 4B 04 8B 5D FC 8B 55 FC 8B 43 74 FF 53 70 EB 05 E8 ?? ?? ?? ?? 8B 45 FC 80 78 6C 00 74 0D 8B 45 FC 8B 40 38 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 90 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_31492_0 {
	meta:
		name = "TIBScript.SetDatabase"
		size = 83
		refs = "0027 TIBSQL.SetDatabase 0031 TIBTransaction.SetDefaultDatabase 003e TIBScriptStats.SetDatabase"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 44 74 45 89 73 44 83 7B 5C 00 75 0D 85 F6 74 09 8B 86 C8 00 00 00 89 43 5C 8B D6 8B 43 64 E8 ?? ?? ?? ?? 8B D6 8B 43 58 E8 ?? ?? ?? ?? 8B D6 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 8B 43 68 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31493_0 {
	meta:
		name = "TIBScript.SetPaused"
		size = 85
		refs = "0023 TIBCustomDataSet.SQLType 002f TDataSet.Open 0039 TIBDataSet.ExecSQL 0043 TIBSQL.ExecQuery 004d TIBSQLParser.SetPaused"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 46 38 80 78 54 00 74 37 80 BE 90 00 00 00 01 75 2E 8B 7E 40 85 FF 74 1F 8B C7 E8 ?? ?? ?? ?? 3C 01 75 0A 8B 46 40 E8 ?? ?? ?? ?? EB 12 8B 46 40 E8 ?? ?? ?? ?? EB 08 8B 46 68 E8 ?? ?? ?? ?? 8B D3 8B 46 38 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31494_0 {
	meta:
		name = "TIBScript.SetScript"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B 46 38 8B 40 48 8B D7 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_31495_0 {
	meta:
		name = "TIBScript.SetStatsOn"
		size = 48
		refs = "001e TIBScriptStats.Start 002b TIBScriptStats.Stop"
	strings:
		$1 = { 3A 50 3D 74 2A 8B CA 88 48 3D 80 B8 91 00 00 00 00 74 1C 84 C9 74 0D 8B 80 84 00 00 00 E8 ?? ?? ?? ?? EB 0B 8B 80 84 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31496_0 {
	meta:
		name = "TIBScript.SetTerminator"
		size = 44
		refs = "000c @UStrEqual 0018 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 60 8B D6 E8 ?? ?? ?? ?? 74 17 8D 43 60 8B D6 E8 ?? ?? ?? ?? 8B 43 38 83 C0 50 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31497_0 {
	meta:
		name = "TIBScript.SetTransaction"
		size = 34
		refs = "001d TIBSQL.SetTransaction"
	strings:
		$1 = { 89 50 5C 83 78 44 00 75 0A 85 D2 74 06 8B 4A 44 89 48 44 8B 48 68 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31498_0 {
	meta:
		name = "TIBScript.SetupNewConnection"
		size = 172
		refs = "0011 TIBTransaction.RemoveDatabase 001e TObject.Free 0027 _Dn_TIBDatabase 002c TIBDatabase.Create 0035 TIBScript.SetDatabase 0056 _Dn_TIBTransaction 005b TIBTransaction.Create 006a TIBDatabase.SetDefaultTransaction 0075 TIBTransaction.SetDefaultDatabase 008b TIBSQL.SetDatabase 009a TIBCustomDataSet.SetDatabase 00a5 TIBCustomDataSet.SetTransaction"
	strings:
		$1 = { 53 56 8B D8 8B 43 44 85 C0 74 17 8B D0 8B 43 58 E8 ?? ?? ?? ?? 8B 43 44 3B 58 04 75 05 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 44 C6 40 44 00 8B 43 5C 85 C0 74 0A 3B 58 04 75 05 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 5C 8B D6 8B 43 44 E8 ?? ?? ?? ?? 8B 53 44 8B 43 5C E8 ?? ?? ?? ?? 8B 53 44 8B 43 58 E8 ?? ?? ?? ?? 8B 53 44 8B 43 64 E8 ?? ?? ?? ?? 8B 43 40 85 C0 74 13 8B 53 44 E8 ?? ?? ?? ?? 8B 53 5C 8B 43 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31499_0 {
	meta:
		name = "TIBScript.StripQuote"
		size = 128
		refs = "000c @UStrAsg 0016 TIBScript.StripQuote 003a @UStrDelete"
	strings:
		$1 = { 53 56 51 8B D9 8B F2 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 03 0F B7 00 BE ?? ?? ?? ?? 66 3D FF 00 77 06 0F B7 C0 0F A3 06 0F 92 C0 84 C0 74 2F 8B C3 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 03 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B D3 B9 01 00 00 00 92 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 00 00 84 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_31500_0 {
	meta:
		name = "TIBScript.ValidateScript"
		size = 41
		refs = "0015 TIBSQLParser.Parse"
	strings:
		$1 = { 53 8B D8 C6 83 81 00 00 00 01 C6 83 80 00 00 00 01 8B 43 38 E8 ?? ?? ?? ?? 0F B6 83 80 00 00 00 C6 83 81 00 00 00 00 5B C3 }
	condition:
		$1
}

rule function_31501_0 {
	meta:
		name = "TIBScriptStats.AddStringValues"
		size = 276
		refs = "001b TIBScriptStats.AddStringValues 006a Pos 0091 @UStrCopy 0099 StrToInt 00bb @HandleAnyException 00ce @DoneExcept 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E4 89 4D E0 89 4D E8 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 8B 45 FC 8B 10 FF 52 14 48 85 C0 7C 62 40 89 45 EC 33 DB 8D 4D E8 8B D3 8B 45 FC 8B 30 FF 56 0C 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7E 36 8D 45 E4 50 8D 4D E0 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 45 E0 8D 56 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 99 03 45 F0 13 55 F4 89 45 F0 89 55 F4 43 FF 4D EC 75 A4 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 8B 55 F4 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_31502_0 {
	meta:
		name = "TIBScriptStats.Clear"
		size = 99
	strings:
		$1 = { C7 40 08 00 00 00 00 C7 40 0C 00 00 00 00 C7 40 30 00 00 00 00 C7 40 34 00 00 00 00 C7 40 18 00 00 00 00 C7 40 1C 00 00 00 00 C7 40 28 00 00 00 00 C7 40 2C 00 00 00 00 C7 40 20 00 00 00 00 C7 40 24 00 00 00 00 C7 40 10 00 00 00 00 C7 40 14 00 00 00 00 C7 40 38 00 00 00 00 C7 40 3C 00 00 00 00 C3 }
	condition:
		$1
}

rule function_31503_0 {
	meta:
		name = "TIBScriptStats.Create"
		size = 61
		refs = "000a @ClassCreate 0017 _Dn_TIBDatabaseInfo 001c TIBDatabaseInfo.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 7C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_31504_0 {
	meta:
		name = "TIBScriptStats.Destroy"
		size = 46
		refs = "0003 @BeforeDestruction 001c TObject.Destroy 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 7C B2 01 8B 08 FF 51 FC B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31505_0 {
	meta:
		name = "TIBScriptStats.SetDatabase"
		size = 12
		refs = "0007 TIBDatabaseInfo.SetDatabase"
	strings:
		$1 = { 89 50 78 8B 40 7C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31506_0 {
	meta:
		name = "TIBScriptStats.Start"
		size = 126
		refs = "0007 TIBDatabaseInfo.GetNumBuffers 0016 TIBDatabaseInfo.GetReads 0025 TIBDatabaseInfo.GetWrites 0034 TIBDatabaseInfo.GetReadSeqCount 003d TIBScriptStats.AddStringValues 004b TIBDatabaseInfo.GetFetches 005a TIBDatabaseInfo.GetReadIdxCount 0071 TIBDatabaseInfo.GetCurrentMemory"
	strings:
		$1 = { 53 8B D8 8B 43 7C E8 ?? ?? ?? ?? 99 89 43 40 89 53 44 8B 43 7C E8 ?? ?? ?? ?? 99 89 43 68 89 53 6C 8B 43 7C E8 ?? ?? ?? ?? 99 89 43 50 89 53 54 8B 43 7C E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 89 43 60 89 53 64 8B 43 7C E8 ?? ?? ?? ?? 99 89 43 58 89 53 5C 8B 43 7C E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 89 43 48 89 53 4C 8B 43 7C E8 ?? ?? ?? ?? 99 89 43 70 89 53 74 5B C3 }
	condition:
		$1
}

rule function_31507_0 {
	meta:
		name = "TIBScriptStats.Stop"
		size = 210
		refs = "0007 TIBDatabaseInfo.GetNumBuffers 0022 TIBDatabaseInfo.GetReads 003d TIBDatabaseInfo.GetWrites 0058 TIBDatabaseInfo.GetReadSeqCount 0061 TIBScriptStats.AddStringValues 007b TIBDatabaseInfo.GetReadIdxCount 009e TIBDatabaseInfo.GetFetches 00b9 TIBDatabaseInfo.GetCurrentMemory"
	strings:
		$1 = { 53 8B D8 8B 43 7C E8 ?? ?? ?? ?? 99 2B 43 40 1B 53 44 03 43 08 13 53 0C 89 43 08 89 53 0C 8B 43 7C E8 ?? ?? ?? ?? 99 2B 43 68 1B 53 6C 03 43 30 13 53 34 89 43 30 89 53 34 8B 43 7C E8 ?? ?? ?? ?? 99 2B 43 50 1B 53 54 03 43 18 13 53 1C 89 43 18 89 53 1C 8B 43 7C E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 2B 43 60 1B 53 64 03 43 28 13 53 2C 89 43 28 89 53 2C 8B 43 7C E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 2B 43 48 1B 53 4C 03 43 10 13 53 14 89 43 10 89 53 14 8B 43 7C E8 ?? ?? ?? ?? 99 2B 43 58 1B 53 5C 03 43 20 13 53 24 89 43 20 89 53 24 8B 43 7C E8 ?? ?? ?? ?? 99 2B 43 70 1B 53 74 03 43 38 13 53 3C 89 43 38 89 53 3C 5B C3 }
	condition:
		$1
}

rule function_31510_0 {
	meta:
		name = "TIBCustomService.Attach"
		size = 668
		refs = "0018 TIBCustomService.Attach 0025 TIBCustomService.CheckInactive 002c TIBCustomService.CheckServerName 0039 TIBCustomService.Login 0052 IBError 0070 TIBCustomService.GenerateSPB 007e IBAlloc 0086 @UniqueStringA 0092 Move 00b9 @UStrCat3 00e7 @UStrCatN 00f6 @UStrLAsg 00fb StatusVector 010e @LStrFromUStr 0159 TIBCustomService.Call 016d IBDataBaseError 0184 MonitorHook 01b2 IIBSQLMonitorHook 01bc @FinalizeArray 01c9 @LStrArrayClr 01d1 @UStrClr 01d9 @LStrClr 01df @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7B 58 00 74 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 33 C0 89 45 EC C6 45 F0 05 8D 55 EC 33 C9 B0 0A E8 ?? ?? ?? ?? 80 7B 39 00 74 3A C6 43 39 00 8D 43 44 50 8D 4D FC 8B 93 84 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F BF 4B 44 8D 43 3C 33 D2 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 0F BF 4B 44 8B 53 3C E8 ?? ?? ?? ?? 0F B6 83 81 00 00 00 2C 01 72 0C 74 1C FE C8 74 2A FE C8 74 42 EB 4D 8D 45 F8 B9 ?? ?? ?? ?? 8B 53 68 E8 ?? ?? ?? ?? EB 3B 8D 45 F8 B9 ?? ?? ?? ?? 8B 53 68 E8 ?? ?? ?? ?? EB 29 68 ?? ?? ?? ?? FF 73 68 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 45 E8 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 75 E8 85 F6 74 05 83 EE 04 8B 36 8D 45 E4 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 43 6C 50 0F B7 43 44 50 8B 43 3C 50 8B CE 8B 55 F4 8B 83 88 00 00 00 8B 30 FF 96 4C 01 00 00 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 10 33 C0 89 43 6C 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 66 83 7B 7A 00 74 08 8B D3 8B 43 7C FF 53 78 8D 45 E0 E8 ?? ?? ?? ?? 83 7D E0 00 74 12 8D 45 DC E8 ?? ?? ?? ?? 8B 45 DC 8B D3 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 3A 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 5F 00 6D 00 67 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 40 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 5F 00 6D 00 67 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 5C 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 5F 00 6D 00 67 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 5F 00 6D 00 67 00 72 00 00 00 }
	condition:
		$1
}

rule function_31511_0 {
	meta:
		name = "TIBCustomService.Loaded"
		size = 188
		refs = "000e TComponent.Loaded 001f TIBCustomService.Loaded 0027 TIBCustomService.SetServerType 0046 TIBCustomService.GetActive 0052 TIBCustomService.Attach 0061 @HandleAnyException 006f ApplicationHandleException 008b @RaiseAgain 0090 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 8C 00 00 00 00 75 0D BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 70 00 74 14 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 34 E9 ?? ?? ?? ?? 8B 45 FC F6 40 1C 10 74 1C A1 ?? ?? ?? ?? 66 83 78 02 00 74 15 8B 1D ?? ?? ?? ?? 8B 55 FC 8B 43 04 FF 13 EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_31512_0 {
	meta:
		name = "TIBCustomService.Login"
		size = 724
		refs = "0019 TIBCustomService.Login 0031 _Dn_TStringList 0036 TStringList.Create 0083 TObject.Free 0089 @HandleFinally 0091 SPBConstantNames 0098 TIBCustomService.IndexOfSPBConst 00f7 Pos 0104 @UStrCopy 0189 LoginDialogExProc 01e6 @UStrCatN 0297 @UStrArrayClr 029f @UStrClr"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7E 52 00 74 65 C6 45 EF 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 96 84 00 00 00 8B 45 E4 8B 08 FF 51 08 8B 4D E4 8B D6 8B 46 54 FF 56 50 8B 86 84 00 00 00 8B 55 E4 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 FF 74 63 8D 4D F4 8B 86 84 00 00 00 8B 55 E8 8B 18 FF 53 0C 8D 4D DC 8B 86 84 00 00 00 8B 55 E8 8B 18 FF 53 0C 8B 45 DC 89 45 D8 8B 5D D8 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC 50 8D 4D D4 8B 86 84 00 00 00 8B 55 E8 8B 38 FF 57 0C 8B 55 D4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 8B CB 8B 45 F4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 6C 8D 4D F0 8B 86 84 00 00 00 8B D3 8B 38 FF 57 0C 8D 4D D0 8B 86 84 00 00 00 8B D3 8B 38 FF 57 0C 8B 45 D0 89 45 D8 8B 45 D8 89 45 E0 83 7D E0 00 74 0B 8B 45 E0 83 E8 04 8B 00 89 45 E0 8D 45 F8 50 8D 4D CC 8B 86 84 00 00 00 8B D3 8B 18 FF 53 0C 8B 55 CC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 8B 4D E0 8B 45 F0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 74 1A 6A 00 8B 1D ?? ?? ?? ?? 8B 1B 8D 4D F8 8D 55 FC 8B 46 68 FF D3 88 45 EF EB 04 C6 45 EF 00 80 7D EF 00 0F 84 C7 00 00 00 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 83 7D E8 FF 75 2B FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8B 86 84 00 00 00 8B 08 FF 51 38 EB 2C FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D C4 8B 86 84 00 00 00 8B 55 E8 8B 38 FF 57 20 83 FB FF 75 2B FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 8D 45 C0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8B 86 84 00 00 00 8B 08 FF 51 38 EB 2B FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D BC 8B 86 84 00 00 00 8B D3 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 0F B6 45 EF 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_31513_0 {
	meta:
		name = "TIBCustomService.CheckActive"
		size = 61
		refs = "000f TIBCustomService.GetActive 0035 IBError"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 7B 70 00 74 12 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 8B 10 FF 52 0C 83 7B 6C 00 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 5A E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_31514_0 {
	meta:
		name = "TIBCustomService.CheckInactive"
		size = 33
		refs = "001a IBError"
	strings:
		$1 = { 83 C4 F8 83 78 6C 00 74 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 5B E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_31515_0 {
	meta:
		name = "TIBCustomService.Create"
		size = 220
		refs = "000d @ClassCreate 001b TComponent.Create 0026 TIBCustomService.Create 002d TIBCustomService.SetServerType 003c @UStrClr 0043 _Dn_TStringList 0048 TStringList.Create 0062 TIBCustomService.ParamsChange 006c TIBCustomService.ParamsChanging 00a3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 74 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 81 00 00 00 03 8D 43 68 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 84 00 00 00 C6 43 39 01 8B 83 84 00 00 00 89 58 44 C7 40 40 ?? ?? ?? ?? 89 58 4C C7 40 48 ?? ?? ?? ?? 33 C0 89 43 3C 33 C0 89 43 40 C7 43 5C 00 7D 00 00 33 C0 89 43 6C C6 43 58 01 0F B7 05 ?? ?? ?? ?? 66 89 43 48 33 C0 89 43 60 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_31516_0 {
	meta:
		name = "TIBCustomService.Destroy"
		size = 98
		refs = "0003 @BeforeDestruction 001a TIBCustomService.Detach 0022 @FreeMem 0032 TObject.Free 0045 @IntfClear 0050 TComponent.Destroy 005b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 38 00 74 25 83 7E 6C 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 33 C0 89 46 3C 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 8B 46 60 E8 ?? ?? ?? ?? 8D 86 88 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31517_0 {
	meta:
		name = "TIBCustomService.Detach"
		size = 172
		refs = "000f TIBCustomService.Detach 001c TIBCustomService.CheckActive 0021 StatusVector 003f TIBCustomService.Call 0053 IBDataBaseError 0062 MonitorHook 0090 IIBSQLMonitorHook 009a @FinalizeArray 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8D 4B 6C 8B 83 88 00 00 00 8B 30 FF 96 50 01 00 00 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 12 33 C0 89 43 6C 8B 83 88 00 00 00 E8 ?? ?? ?? ?? EB 05 33 C0 89 43 6C 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 12 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B D3 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31518_0 {
	meta:
		name = "TIBCustomService.GetActive"
		size = 8
	strings:
		$1 = { 83 78 6C 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_31519_0 {
	meta:
		name = "TIBCustomService.GetServiceParamBySPB"
		size = 152
		refs = "0014 SPBConstantNames 001b TIBCustomService.IndexOfSPBConst 0029 @UStrClr 0041 TIBCustomService.GetServiceParamBySPB 0046 Pos 0073 @UStrCopy"
	strings:
		$1 = { 53 56 57 51 8B D9 8B F0 85 D2 7E 6D 83 FA 0F 7F 68 8B 14 95 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F8 83 FF FF 75 09 8B C3 E8 ?? ?? ?? ?? EB 51 8B CB 8B 86 84 00 00 00 8B D7 8B 30 FF 56 0C 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 09 8B C3 E8 ?? ?? ?? ?? EB 27 8B 03 89 04 24 8B 3C 24 85 FF 74 05 83 EF 04 8B 3F 53 8D 56 01 8B 03 8B CF E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_31520_0 {
	meta:
		name = "TIBCustomService.InternalServiceQuery"
		size = 415
		refs = "0016 TIBCustomService.InternalServiceQuery 004e IBError 0062 IBAlloc 006d @UniqueStringA 007f Move 00d2 StatusVector 00f7 TIBCustomService.Call 0111 IBDataBaseError 0129 @FreeMem 0145 @LStrClr 014b @HandleFinally 0155 MonitorHook 0184 IIBSQLMonitorHook 018e @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 EC 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 64 85 C0 74 05 83 E8 04 8B 00 8B D0 8B 45 FC 66 89 50 46 66 85 D2 75 15 33 C0 89 45 F4 C6 45 F8 05 8D 55 F4 33 C9 B0 5D E8 ?? ?? ?? ?? 8B 45 FC 0F BF 48 46 8B 45 FC 83 C0 40 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 64 E8 ?? ?? ?? ?? 8B 55 FC 0F BF 4A 46 8B 55 FC 8B 52 40 E8 ?? ?? ?? ?? 8B 45 FC 83 78 60 00 75 13 8B 45 FC 8B 48 5C 8B 45 FC 83 C0 60 33 D2 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 8B 45 FC 0F B7 40 46 50 8B 45 FC 8B 40 40 50 8B 45 FC 0F B7 40 5C 50 8B 45 FC 8B 40 60 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8D 48 6C 8B 45 FC 8B 80 88 00 00 00 8B 18 FF 93 54 01 00 00 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 16 8B 45 FC 33 D2 89 50 6C 8B 45 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 40 8B 45 FC 66 C7 40 46 00 00 8B 45 FC 83 C0 64 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 8D 45 F0 E8 ?? ?? ?? ?? 83 7D F0 00 74 13 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8B 55 FC 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31521_0 {
	meta:
		name = "TIBCustomService.SetActive"
		size = 52
		refs = "0015 TIBCustomService.GetActive 0024 TIBCustomService.Attach 002d TIBCustomService.Detach"
	strings:
		$1 = { 53 56 8B DA 8B F0 F6 46 1C 02 74 06 88 5E 70 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 3A D8 74 14 84 DB 74 09 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31522_0 {
	meta:
		name = "TIBCustomService.SetBufferSize"
		size = 33
		refs = "001b IBAlloc"
	strings:
		$1 = { 53 3B 50 5C 74 19 8B CA 89 48 5C 83 78 60 00 74 0E 8D 50 60 33 DB 8B C2 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31523_0 {
	meta:
		name = "TIBCustomService.SetParams"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 84 00 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_31524_0 {
	meta:
		name = "TIBCustomService.SetServerName"
		size = 91
		refs = "000c @UStrEqual 0015 TIBCustomService.CheckInactive 001f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 68 8B D6 E8 ?? ?? ?? ?? 74 46 8B C3 E8 ?? ?? ?? ?? 8D 43 68 8B D6 E8 ?? ?? ?? ?? 80 BB 81 00 00 00 03 75 0F 83 7B 68 00 74 09 C6 83 81 00 00 00 00 EB 16 80 BB 81 00 00 00 03 74 0D 83 7B 68 00 75 07 C6 83 81 00 00 00 03 8B C3 8B 10 FF 52 40 5E 5B C3 }
	condition:
		$1
}

rule function_31525_0 {
	meta:
		name = "TIBCustomService.SetServerType"
		size = 294
		refs = "0015 TIBCustomService.SetServerType 0033 @UStrEqual 0043 @UStrLAsg 0054 @IntfCopy 0074 GetGDSLibrary 00a9 @UStrAsg 00b8 @HandleAnyException 00cd @RaiseAgain 00d2 @DoneExcept 00e1 @IntfClear 00ee @UStrClr 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 B1 00 00 00 8B C3 8B 55 F4 8B 92 8C 00 00 00 E8 ?? ?? ?? ?? 0F 84 B5 00 00 00 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 8B 92 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 C6 40 38 00 8D 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 05 88 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 88 00 00 00 8B 10 FF 52 18 8B 45 F4 C6 40 38 01 8B 45 F4 05 8C 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3B E9 ?? ?? ?? ?? 8B 45 F4 05 88 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8B 45 F4 05 88 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 05 8C 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31526_0 {
	meta:
		name = "TIBCustomService.SetProtocol"
		size = 43
		refs = "0011 TIBCustomService.CheckInactive 0024 @UStrClr"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E 81 00 00 00 74 1A 8B C6 E8 ?? ?? ?? ?? 88 9E 81 00 00 00 80 FB 03 75 08 8D 46 68 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31527_0 {
	meta:
		name = "TIBCustomService.SetServiceParamBySPB"
		size = 240
		refs = "001d TIBCustomService.SetServiceParamBySPB 002d SPBConstantNames 0034 TIBCustomService.IndexOfSPBConst 0074 @UStrCatN 00cd @UStrArrayClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 14 85 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F8 83 7D F8 00 75 14 83 FF FF 74 72 8B D7 8B 86 84 00 00 00 8B 08 FF 51 48 EB 63 83 FF FF 75 2F 8B 45 FC FF 34 85 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 86 84 00 00 00 8B 08 FF 51 38 EB 2F 8B 45 FC FF 34 85 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F0 8B D7 8B 86 84 00 00 00 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_31528_0 {
	meta:
		name = "TIBCustomService.IndexOfSPBConst"
		size = 170
		refs = "0017 @UStrAddRef 001f TIBCustomService.IndexOfSPBConst 0063 Pos 008d @UStrClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 FF FF FF FF 8B 45 F8 8B 80 84 00 00 00 8B 10 FF 52 14 48 85 C0 7C 39 40 89 45 F0 33 DB 8D 4D EC 8B 45 F8 8B 80 84 00 00 00 8B D3 8B 30 FF 56 0C 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 83 F8 01 74 05 83 F8 09 75 05 89 5D F4 EB 06 43 FF 4D F0 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31529_0 {
	meta:
		name = "TIBCustomService.ParamsChange"
		size = 5
	strings:
		$1 = { C6 40 39 01 C3 }
	condition:
		$1
}

rule function_31531_0 {
	meta:
		name = "TIBCustomService.CheckServerName"
		size = 46
		refs = "0026 IBError"
	strings:
		$1 = { 53 83 C4 F8 8B D8 83 7B 68 00 75 1E 80 BB 81 00 00 00 03 74 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 5C E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_31532_0 {
	meta:
		name = "TIBCustomService.Call"
		size = 26
		refs = "0012 IBDataBaseError"
	strings:
		$1 = { 56 8B F2 84 C9 74 0F 85 D2 7E 0B 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 8B C6 5E C3 }
	condition:
		$1
}

rule function_31533_0 {
	meta:
		name = "TIBCustomService.ParseString"
		size = 122
		refs = "0054 @UStrFromPChar 006f @UStrClr"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 0C 24 8B F2 8B D8 8B 16 03 53 60 66 B9 02 00 8B 83 88 00 00 00 8B 38 FF 97 28 01 00 00 8B F8 83 06 02 66 85 FF 74 3C 8B 06 0F B7 EF 03 C5 8B 53 60 0F B6 14 02 88 54 24 04 8B 53 60 C6 04 02 00 8B 04 24 8B 16 8B 4B 60 8D 14 11 E8 ?? ?? ?? ?? 8B 06 03 C5 8B 53 60 0F B6 4C 24 04 88 0C 02 01 2E EB 08 8B 04 24 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31534_0 {
	meta:
		name = "TIBCustomService.ParseInteger"
		size = 33
	strings:
		$1 = { 53 56 8B DA 8B 13 03 50 60 66 B9 04 00 8B 80 88 00 00 00 8B 30 FF 96 28 01 00 00 83 03 04 5E 5B C3 }
	condition:
		$1
}

rule function_31535_0 {
	meta:
		name = "TIBCustomService.GenerateSPB"
		size = 892
		refs = "0020 TIBCustomService.GenerateSPB 003b @LStrAsg 0048 @LStrCat 0075 TStrings.GetName 0080 Trim 00a3 LowerCase 00f0 Pos 00fd @UStrCopy 011f @UStrDelete 0135 SPBConstantNames 013a SPBConstantValues 0144 @UStrEqual 01a8 @LStrFromChar 01cd @LStrFromUStr 01dd @LStrCatN 01ff StrToInt 02b4 IBError 02f3 @LStrArrayClr 02fb @UStrClr 0308 @UStrArrayClr 031b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D EC 89 55 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 66 C7 00 02 00 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 45 F0 8B 10 FF 52 14 48 85 C0 0F 8C 7D 02 00 00 40 89 45 DC C7 45 E8 00 00 00 00 8D 4D D4 8B 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 E8 ?? ?? ?? ?? 83 7D D8 00 0F 84 43 02 00 00 8D 4D D0 8B 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 D0 8D 55 FC E8 ?? ?? ?? ?? 8D 4D F4 8B 55 E8 8B 45 F0 8B 18 FF 53 0C 8D 4D CC 8B 55 E8 8B 45 F0 8B 18 FF 53 0C 8B 45 CC 89 45 C8 8B 5D C8 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 8D 4D C4 8B 55 E8 8B 45 F0 8B 30 FF 56 0C 8B 55 C4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 8B CB 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 12 8D 45 FC B9 08 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 66 C7 45 E6 00 00 66 C7 45 E4 00 00 BE 01 00 00 00 BB ?? ?? ?? ?? BF ?? ?? ?? ?? 8B 45 FC 8B 13 E8 ?? ?? ?? ?? 75 0D 66 89 75 E6 0F B7 07 66 89 45 E4 EB 0C 46 83 C7 04 83 C3 04 83 FE 10 75 DB 0F B7 45 E6 66 FF C8 74 1C 83 C0 FD 66 83 E8 02 72 13 83 C0 FC 66 83 E8 02 72 7D 66 83 E8 02 0F 83 04 01 00 00 8B 75 F8 8B DE 85 DB 74 05 83 EB 04 8B 1B 8B 45 EC FF 30 8D 45 C0 0F B6 55 E4 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 C0 8D 45 BC 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 BC 8D 45 B8 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 B8 8B 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 66 83 C0 02 8B 55 08 66 01 02 E9 D6 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E0 8B 45 EC FF 30 8D 45 B4 0F B6 55 E4 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 B4 68 ?? ?? ?? ?? 8D 45 B0 8D 5D E0 0F B6 13 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 B0 8D 45 AC 0F B6 53 01 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 AC 8D 45 A8 0F B6 53 02 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 A8 8D 45 A4 0F B6 53 03 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 A4 8B 45 EC BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 66 83 00 06 EB 45 66 83 7D E6 00 76 27 66 83 7D E6 55 77 20 0F B7 45 E6 8B 04 85 ?? ?? ?? ?? 89 45 9C C6 45 A0 11 8D 55 9C 33 C9 B0 58 E8 ?? ?? ?? ?? EB 17 0F B7 45 E6 89 45 9C C6 45 A0 00 8D 55 9C 33 C9 B0 59 E8 ?? ?? ?? ?? FF 45 E8 FF 4D DC 0F 85 8E FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 CC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5F 5E 5B 8B E5 5D C2 04 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 02 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 69 00 73 00 63 00 5F 00 73 00 70 00 62 00 5F 00 00 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_31537_0 {
	meta:
		name = "TIBServerProperties.Create"
		size = 143
		refs = "000a @ClassCreate 0017 TIBControlService.Create 001e _DV_TDatabaseInfo 0023 TDatabaseInfo.Create 0030 _DV_TLicenseInfo 0035 TLicenseInfo.Create 0042 _DV_TLicenseMaskInfo 0047 TObject.Create 0054 _DV_TVersionInfo 0066 _DV_TConfigParams 006b TConfigParams.Create 007c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 AC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B4 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_31538_0 {
	meta:
		name = "TIBServerProperties.Destroy"
		size = 150
		refs = "0005 @BeforeDestruction 0014 TObject.Free 004b @DynArrayHigh 0072 TIBAliasInfos 0077 @DynArrayClear 0082 TIBCustomService.Destroy 008d @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 85 A4 00 00 00 E8 ?? ?? ?? ?? 8B 85 A8 00 00 00 E8 ?? ?? ?? ?? 8B 85 AC 00 00 00 E8 ?? ?? ?? ?? 8B 85 B0 00 00 00 E8 ?? ?? ?? ?? 8B 85 B4 00 00 00 E8 ?? ?? ?? ?? 8B 85 B8 00 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 15 46 33 FF 8B 85 B8 00 00 00 8B 04 B8 E8 ?? ?? ?? ?? 47 4E 75 EE 8D 85 B8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31539_0 {
	meta:
		name = "TIBServerProperties.ParseConfigFileData"
		size = 137
		refs = "0017 @DynArrayLength 0027 :TConfigFileData.:1 002c @DynArraySetLength 0047 :TConfigFileData.:2 0057 @DynArrayHigh 0070 TIBCustomService.ParseInteger"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 FF 07 8B 86 B4 00 00 00 8B 58 04 8B 43 04 E8 ?? ?? ?? ?? 40 50 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 08 E8 ?? ?? ?? ?? 40 50 8D 43 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 08 E8 ?? ?? ?? ?? 8B 53 08 8B 0F 8B 6E 60 0F B6 4C 0D FF 89 0C 82 8B D7 8B C6 E8 ?? ?? ?? ?? 8B F0 8B 43 04 E8 ?? ?? ?? ?? 8B 53 04 89 34 82 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31540_0 {
	meta:
		name = "TIBServerProperties.Fetch"
		size = 170
		refs = "001a TIBServerProperties.FetchDatabaseInfo 002e TIBServerProperties.Fetch 003c TIBServerProperties.FetchLicenseInfo 004b @HandleAnyException 0050 @DoneExcept 0064 TIBServerProperties.FetchLicenseMaskInfo 0078 TIBServerProperties.FetchConfigParams 008c TIBServerProperties.FetchVersionInfo 00a0 TIBServerProperties.FetchAliasInfo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC F6 80 A0 00 00 00 01 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 80 A0 00 00 00 02 74 2A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC F6 80 A0 00 00 00 04 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 80 A0 00 00 00 08 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 80 A0 00 00 00 10 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 80 A0 00 00 00 20 74 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31541_0 {
	meta:
		name = "TIBServerProperties.FetchConfigParams"
		size = 448
		refs = "0018 TIBServerProperties.FetchConfigParams 002b @LStrAsg 0032 TIBCustomService.InternalServiceQuery 0084 :TConfigFileData.:2 0089 @DynArrayClear 009b :TConfigFileData.:1 00ad TIBServerProperties.ParseConfigFileData 00e2 TIBCustomService.ParseString 00f3 @UStrAsg 016d IBError 0199 @UStrArrayClr 019f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B D8 8D 7D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 89 07 E9 32 01 00 00 83 C6 CB 83 FE 08 0F 87 11 01 00 00 FF 24 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 83 B4 00 00 00 8B 40 04 83 C0 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 B4 00 00 00 8B 40 04 83 C0 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 07 EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 43 60 8B 17 0F B6 04 10 83 F8 7F 75 E9 8B 43 60 8B 17 0F B6 04 10 83 F8 7F 0F 85 A0 00 00 00 FF 07 E9 99 00 00 00 FF 07 8D 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 B4 00 00 00 83 C0 0C E8 ?? ?? ?? ?? EB 78 FF 07 8D 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 83 B4 00 00 00 83 C0 10 E8 ?? ?? ?? ?? EB 57 FF 07 8D 4D F0 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 83 B4 00 00 00 83 C0 14 E8 ?? ?? ?? ?? EB 36 FF 07 8D 4D EC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B 83 B4 00 00 00 83 C0 18 E8 ?? ?? ?? ?? EB 15 33 C0 89 45 E4 C6 45 E8 05 8D 55 E4 33 C9 B0 5F E8 ?? ?? ?? ?? 8B 43 60 8B 17 0F B6 34 10 83 FE 01 0F 85 BC FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 E4 04 01 00 FF FF FF FF 05 00 00 00 35 3B 3C 3D 3A 00 00 00 }
	condition:
		$1
}

rule function_31542_0 {
	meta:
		name = "TIBServerProperties.FetchDatabaseInfo"
		size = 380
		refs = "0014 TIBServerProperties.FetchDatabaseInfo 0027 @LStrAsg 002e TIBCustomService.InternalServiceQuery 004b IBError 0080 TIBCustomService.ParseInteger 00c9 :TDatabaseInfo.:1 00ce @DynArrayClear 00eb @DynArraySetLength 00f8 SPBConstantValues 011f TIBCustomService.ParseString 0133 @UStrAsg 0158 @UStrClr 015e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 47 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 47 60 80 38 32 74 15 33 C0 89 45 F4 C6 45 F8 05 8D 55 F4 33 C9 B0 5F E8 ?? ?? ?? ?? C7 45 FC 01 00 00 00 8B 47 60 8B 55 FC 80 3C 10 05 74 15 33 C0 89 45 F4 C6 45 F8 05 8D 55 F4 33 C9 B0 5F E8 ?? ?? ?? ?? FF 45 FC 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 97 A4 00 00 00 89 42 04 8B 47 60 8B 55 FC 80 3C 10 06 74 15 33 C0 89 45 F4 C6 45 F8 05 8D 55 F4 33 C9 B0 5F E8 ?? ?? ?? ?? FF 45 FC 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 9F A4 00 00 00 89 43 08 8D 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 9F A4 00 00 00 8B 43 08 50 8D 43 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 F6 EB 42 3A 1D ?? ?? ?? ?? 74 15 33 C0 89 45 F4 C6 45 F8 05 8D 55 F4 33 C9 B0 5F E8 ?? ?? ?? ?? FF 45 FC 8D 4D F0 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 F0 8B 87 A4 00 00 00 8B 40 0C 8D 04 B0 E8 ?? ?? ?? ?? 46 8B 47 60 8B 55 FC 0F B6 1C 10 80 FB 7F 75 AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 E4 04 01 00 FF FF FF FF 01 00 00 00 32 00 00 00 }
	condition:
		$1
}

rule function_31543_0 {
	meta:
		name = "TIBServerProperties.FetchLicenseInfo"
		size = 728
		refs = "001d TIBServerProperties.FetchLicenseInfo 0030 @LStrAsg 0037 TIBCustomService.InternalServiceQuery 0051 :TLicenseInfo.:1 0056 @DynArrayClear 0065 :TLicenseInfo.:2 0079 :TLicenseInfo.:3 00bc @DynArrayLength 00dd @DynArraySetLength 0140 IBError 014e TIBCustomService.ParseString 0162 @UStrAsg 0270 TIBCustomService.ParseInteger 02b4 @UStrArrayClr 02ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 E4 89 55 E8 89 55 EC 8B D8 8D 7D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 89 07 33 C0 89 45 F8 33 F6 8B 83 A8 00 00 00 83 C0 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 83 C0 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 83 C0 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 02 0F 8D 12 02 00 00 FF 45 F8 FF 07 8B 43 60 8B 17 0F B6 44 10 FF 83 E8 33 0F 84 47 01 00 00 83 E8 0E 0F 84 BE 01 00 00 E9 CD 01 00 00 8B 83 A8 00 00 00 8B 40 04 E8 ?? ?? ?? ?? 3B F0 7C 60 8D 46 0A 50 8B 83 A8 00 00 00 83 C0 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 46 0A 50 8B 83 A8 00 00 00 83 C0 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 46 0A 50 8B 83 A8 00 00 00 83 C0 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 60 8B 17 80 3C 10 06 74 15 33 C0 89 45 F0 C6 45 F4 05 8D 55 F0 33 C9 B0 5F E8 ?? ?? ?? ?? FF 07 8D 4D EC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B 83 A8 00 00 00 8B 40 08 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 60 8B 17 80 3C 10 05 74 15 33 C0 89 45 F0 C6 45 F4 05 8D 55 F0 33 C9 B0 5F E8 ?? ?? ?? ?? FF 07 8D 4D E8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B 83 A8 00 00 00 8B 40 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 60 8B 17 80 3C 10 07 74 15 33 C0 89 45 F0 C6 45 F4 05 8D 55 F0 33 C9 B0 5F E8 ?? ?? ?? ?? FF 07 8D 4D E4 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B 83 A8 00 00 00 8B 40 0C 8D 04 B0 E8 ?? ?? ?? ?? 46 8B 43 60 8B 17 80 3C 10 7F 0F 85 B8 FE FF FF FF 07 8B 83 A8 00 00 00 8B 40 04 E8 ?? ?? ?? ?? 3B F0 0F 8D 82 00 00 00 56 8B 83 A8 00 00 00 83 C0 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 56 8B 83 A8 00 00 00 83 C0 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 56 8B 83 A8 00 00 00 83 C0 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 29 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 93 A8 00 00 00 89 42 10 EB 15 33 C0 89 45 F0 C6 45 F4 05 8D 55 F0 33 C9 B0 5F E8 ?? ?? ?? ?? 83 7D F8 02 0F 8C EE FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 E4 04 01 00 FF FF FF FF 02 00 00 00 33 41 00 00 }
	condition:
		$1
}

rule function_31544_0 {
	meta:
		name = "TIBServerProperties.FetchLicenseMaskInfo"
		size = 152
		refs = "000b TIBServerProperties.FetchLicenseMaskInfo 0010 @LStrAsg 0017 TIBCustomService.InternalServiceQuery 0042 TIBCustomService.ParseInteger 0079 IBError"
	strings:
		$1 = { 53 56 83 C4 F4 8B D8 8D 43 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 89 04 24 33 F6 46 FF 04 24 8B 43 60 8B 14 24 0F B6 44 10 FF 83 E8 34 74 07 83 E8 05 74 16 EB 28 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 93 AC 00 00 00 89 42 04 EB 2C 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 93 AC 00 00 00 89 42 08 EB 18 33 C0 89 44 24 04 C6 44 24 08 05 8D 54 24 04 33 C9 B0 5F E8 ?? ?? ?? ?? 83 FE 01 7E A0 83 C4 0C 5E 5B C3 E4 04 01 00 FF FF FF FF 02 00 00 00 34 39 00 00 }
	condition:
		$1
}

rule function_31545_0 {
	meta:
		name = "TIBServerProperties.FetchVersionInfo"
		size = 260
		refs = "001a TIBServerProperties.FetchVersionInfo 002d @LStrAsg 0034 TIBCustomService.InternalServiceQuery 005d TIBCustomService.ParseInteger 0074 TIBCustomService.ParseString 0085 @UStrAsg 00bb IBError 00de @UStrArrayClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 F4 89 55 F8 8B D8 8D 7D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 89 07 33 F6 46 FF 07 8B 43 60 8B 17 0F B6 44 10 FF 83 E8 36 74 08 48 74 19 48 74 35 EB 52 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 93 B0 00 00 00 89 42 0C EB 53 8D 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 B0 00 00 00 83 C0 04 E8 ?? ?? ?? ?? EB 34 8D 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 83 B0 00 00 00 83 C0 08 E8 ?? ?? ?? ?? EB 15 33 C0 89 45 EC C6 45 F0 05 8D 55 EC 33 C9 B0 5F E8 ?? ?? ?? ?? 83 FE 02 0F 8E 76 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 03 00 00 00 36 37 38 00 }
	condition:
		$1
}

rule function_31546_0 {
	meta:
		name = "TIBServerProperties.GetAliasInfo"
		size = 38
		refs = "000d @DynArrayHigh"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 3B F0 7F 0C 8B 83 B8 00 00 00 8B 04 B0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_31547_0 {
	meta:
		name = "TIBServerProperties.GetAliasCount"
		size = 30
		refs = "0013 @DynArrayHigh"
	strings:
		$1 = { 53 8B D8 83 BB B8 00 00 00 00 74 0E 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 40 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_31548_0 {
	meta:
		name = "TIBServerProperties.DeleteAlias"
		size = 120
		refs = "000e @UStrAddRef 0016 TIBServerProperties.DeleteAlias 002c @LStrAsg 003b TIBControlService.ServiceStartAddParam 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 14 00 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 E4 04 01 00 FF FF FF FF 01 00 00 00 0E 00 00 00 }
	condition:
		$1
}

rule function_31549_0 {
	meta:
		name = "TIBServerProperties.AddAlias"
		size = 156
		refs = "0013 @UStrAddRef 0023 TIBServerProperties.AddAlias 0039 @LStrAsg 0048 TIBControlService.ServiceStartAddParam 0078 @UStrArrayClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 14 00 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? B9 15 00 00 00 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_31550_0 {
	meta:
		name = "FetchData"
		size = 708
		refs = "001b FetchData 0032 @DynArrayHigh 0053 TObject.Free 0067 TIBAliasInfos 006c @DynArrayClear 0089 @LStrAsg 00b2 TIBCustomService.InternalServiceQuery 00dc IBError 0103 @DynArrayLength 0130 @DynArraySetLength 0152 _DV_TIBAliasInfo 0157 TObject.Create 01a4 TIBCustomService.ParseString 01c4 @UStrAsg 0247 @HandleAnyException 0272 @RaiseAgain 0277 @DoneExcept 0291 @UStrArrayClr 0297 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C0 89 45 F0 89 45 F4 8B 5D 08 83 C3 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F8 8B 80 B8 00 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 1E 46 8B 45 08 8B 40 F4 8B 55 08 8B 52 F8 8B 92 B8 00 00 00 8B 04 82 E8 ?? ?? ?? ?? 4E 75 E3 8B 45 08 8B 40 F8 05 B8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 33 D2 89 50 F4 8B 45 08 8B 40 F8 05 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 10 FF 52 48 8B 45 08 8B 40 F8 83 C0 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 33 C0 89 03 8B 03 8B 55 08 8B 52 F8 8B 52 60 80 3C 02 45 74 15 33 C0 89 45 F8 C6 45 FC 05 8D 55 F8 33 C9 B0 5F E8 ?? ?? ?? ?? 83 03 03 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 30 01 00 00 8B 45 08 8B 40 F8 8B 80 B8 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 3B 42 F4 7F 28 8B 45 08 8B 40 F4 83 C0 0A 50 8B 45 08 8B 40 F8 05 B8 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 40 F4 8B 55 08 8B 52 F8 8B 92 B8 00 00 00 83 3C 82 00 75 21 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 F4 8B 4D 08 8B 49 F8 8B 89 B8 00 00 00 89 04 91 8B 03 8B 55 08 8B 52 F8 8B 52 60 80 3C 02 14 74 15 33 C0 89 45 F8 C6 45 FC 05 8D 55 F8 33 C9 B0 5F E8 ?? ?? ?? ?? FF 03 8D 4D F4 8B D3 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 8B 40 F4 8B 4D 08 8B 49 F8 8B 89 B8 00 00 00 8B 04 81 83 C0 04 E8 ?? ?? ?? ?? 8B 03 8B 55 08 8B 52 F8 8B 52 60 80 3C 02 15 74 15 33 C0 89 45 F8 C6 45 FC 05 8D 55 F8 33 C9 B0 5F E8 ?? ?? ?? ?? FF 03 8D 4D F0 8B D3 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 8B 40 F4 8B 4D 08 8B 49 F8 8B 89 B8 00 00 00 8B 04 81 83 C0 08 E8 ?? ?? ?? ?? 8B 45 08 FF 40 F4 8B 03 8B 55 08 8B 52 F8 8B 52 60 0F B6 04 02 48 0F 85 BA FE FF FF 33 C0 5A 59 59 64 89 10 EB 35 E9 ?? ?? ?? ?? 8B 45 08 8B 40 F4 40 50 8B 45 08 8B 40 F8 05 B8 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 E4 04 01 00 FF FF FF FF 01 00 00 00 0F 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 45 00 00 00 }
	condition:
		$1
}

rule function_31551_0 {
	meta:
		name = "TIBServerProperties.FetchAliasInfo"
		size = 260
		refs = "0016 @DynArrayHigh 0038 TObject.Free 0051 TIBAliasInfos 0056 @DynArrayClear 006d TIBServerProperties.FetchVersionInfo 007b TIBServerProperties.FetchAliasInfo 0080 TVersionInfo.IsMinimumVersion 0098 FetchData 00a8 @HandleAnyException 00b4 @DoneExcept 00d6 @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 F8 8B 45 F8 8B 80 B8 00 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 22 43 C7 45 F4 00 00 00 00 8B 45 F8 8B 80 B8 00 00 00 8B 55 F4 8B 04 90 E8 ?? ?? ?? ?? FF 45 F4 4B 75 E6 33 C0 89 45 F4 8B 45 F8 05 B8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 80 B0 00 00 00 83 78 04 00 75 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 B0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 83 7D F4 00 7E 1F 8B 45 F4 50 8B 45 F8 05 B8 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 37 00 2E 00 35 00 2E 00 31 00 2E 00 38 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_31552_0 {
	meta:
		name = "TIBServerProperties.DoServerChange"
		size = 77
		refs = "000a TDatabaseInfo.Clear 0015 TLicenseInfo.Clear 0020 TLicenseMaskInfo.Clear 002b TVersionInfo.Clear 0036 TConfigParams.Clear 0042 TIBAliasInfos 0047 @DynArrayClear"
	strings:
		$1 = { 53 8B D8 8B 83 A4 00 00 00 E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 E8 ?? ?? ?? ?? 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 8D 83 B8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31554_0 {
	meta:
		name = "TIBControlService.GetIsServiceRunning"
		size = 104
		refs = "000a TIBControlService.GetIsServiceRunning 000f @LStrAsg 0016 TIBCustomService.InternalServiceQuery 0036 IBError 0046 TIBCustomService.ParseInteger"
	strings:
		$1 = { 53 83 C4 F4 8B D8 8D 43 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 60 80 38 43 74 18 33 C0 89 44 24 04 C6 44 24 08 05 8D 54 24 04 33 C9 B0 5F E8 ?? ?? ?? ?? C7 04 24 01 00 00 00 8B D4 8B C3 E8 ?? ?? ?? ?? 48 75 04 B0 01 EB 02 33 C0 83 C4 0C 5B C3 E4 04 01 00 FF FF FF FF 01 00 00 00 43 00 00 00 }
	condition:
		$1
}

rule function_31555_0 {
	meta:
		name = "TIBControlService.ServiceStartAddParam"
		size = 220
		refs = "001d @UStrAddRef 0025 TIBControlService.ServiceStartAddParam 0057 @LStrFromChar 0094 @LStrFromUStr 00a7 @LStrCatN 00c1 @LStrArrayClr 00c9 @UStrClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 66 89 45 FA 66 83 7D FA 00 76 65 FF B3 90 00 00 00 8D 45 F4 8B D7 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 F4 8D 45 F0 8D 75 FA 0F B6 16 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 F0 8D 45 EC 0F B6 56 01 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 EC 8D 45 E8 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 E8 8D 83 90 00 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31556_0 {
	meta:
		name = "TIBControlService.ServiceStartAddParam"
		size = 202
		refs = "001d TIBControlService.ServiceStartAddParam 0038 @LStrFromChar 009d @LStrCatN 00b7 @LStrArrayClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF B6 90 00 00 00 8D 45 F8 8B D7 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 8D 45 F4 8D 5D FC 0F B6 13 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 F4 8D 45 F0 0F B6 53 01 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 F0 8D 45 EC 0F B6 53 02 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 EC 8D 45 E8 0F B6 53 03 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 E8 8D 86 90 00 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31557_0 {
	meta:
		name = "TIBControlService.Create"
		size = 80
		refs = "000a @ClassCreate 0017 TIBCustomService.Create 0022 @LStrClr 003d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 94 00 00 00 33 C0 89 86 98 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_31558_0 {
	meta:
		name = "TIBControlService.InternalServiceStart"
		size = 399
		refs = "0016 TIBControlService.InternalServiceStart 0052 IBError 006a IBAlloc 0077 @UniqueStringA 008e Move 00b8 StatusVector 00dd TIBCustomService.Call 00f7 IBDataBaseError 0112 @FreeMem 0135 @LStrClr 013b @HandleFinally 0145 MonitorHook 0174 IIBSQLMonitorHook 017e @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 EC 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 90 00 00 00 85 C0 74 05 83 E8 04 8B 00 8B 4D FC 8B D0 89 91 98 00 00 00 85 D2 75 15 33 C0 89 45 F4 C6 45 F8 05 8D 55 F4 33 C9 B0 5E E8 ?? ?? ?? ?? 8B 45 FC 8B 88 98 00 00 00 8B 45 FC 05 94 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 05 90 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 8A 98 00 00 00 8B 55 FC 8B 92 94 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 FC 0F B7 80 98 00 00 00 50 8B 45 FC 8B 80 94 00 00 00 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8D 48 6C 8B 45 FC 8B 80 88 00 00 00 8B 18 FF 93 58 01 00 00 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 16 8B 45 FC 33 D2 89 50 6C 8B 45 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 94 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 94 00 00 00 8B 45 FC 33 D2 89 90 98 00 00 00 8B 45 FC 05 90 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C7 8D 45 F0 E8 ?? ?? ?? ?? 83 7D F0 00 74 13 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8B 55 FC 8B 08 FF 51 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31559_0 {
	meta:
		name = "TIBControlService.ServiceStart"
		size = 26
		refs = "0006 TIBCustomService.CheckActive 0014 TIBControlService.InternalServiceStart"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31560_0 {
	meta:
		name = "TIBCustomConfigService.ServiceStart"
		size = 27
		refs = "0014 IBError"
	strings:
		$1 = { 83 C4 F8 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 60 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_31561_0 {
	meta:
		name = "TIBConfigService.ActivateShadow"
		size = 84
		refs = "000a TIBConfigService.ActivateShadow 000f @LStrAsg 0015 SPBConstantValues 0022 TIBControlService.ServiceStartAddParam 003b TIBControlService.InternalServiceStart"
	strings:
		$1 = { 53 8B D8 8D 83 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 93 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? BA 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_31562_0 {
	meta:
		name = "TIBConfigService.AlterJournal"
		size = 156
		refs = "000e TIBConfigService.AlterJournal 0022 TIBJournalInformation.CreateJournalAttributes 0032 @UStrCat3 003c TIBCustomConfigService.ExecuteSQL 0056 @UStrArrayClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 12 00 00 00 41 00 4C 00 54 00 45 00 52 00 20 00 4A 00 4F 00 55 00 52 00 4E 00 41 00 4C 00 20 00 53 00 45 00 54 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_31563_0 {
	meta:
		name = "TIBConfigService.BringDatabaseOnline"
		size = 84
		refs = "000a TIBConfigService.BringDatabaseOnline 000f @LStrAsg 0015 SPBConstantValues 0022 TIBControlService.ServiceStartAddParam 003b TIBControlService.InternalServiceStart"
	strings:
		$1 = { 53 8B D8 8D 83 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 93 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? BA 00 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_31564_0 {
	meta:
		name = "TIBConfigService.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TIBControlService.Create 0020 _DV_TIBJournalInformation 0025 TIBJournalInformation.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B0 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_31565_0 {
	meta:
		name = "TIBConfigService.CreateJournal"
		size = 204
		refs = "0010 TIBConfigService.CreateJournal 002c QuotedStr 003d TIBJournalInformation.CreateJournalLength 004e TIBJournalInformation.CreateJournalAttributes 005e @UStrCatN 0068 TIBCustomConfigService.ExecuteSQL 008c @UStrArrayClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 F8 8B 83 B0 00 00 00 8B 40 38 E8 ?? ?? ?? ?? FF 75 F8 8D 55 F4 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? FF 75 F4 8D 55 F0 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? FF 75 F0 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 83 B0 00 00 00 C6 40 54 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 20 00 4A 00 4F 00 55 00 52 00 4E 00 41 00 4C 00 20 00 00 00 }
	condition:
		$1
}

rule function_31566_0 {
	meta:
		name = "TIBConfigService.CreateJournalArchive"
		size = 184
		refs = "0013 @UStrAddRef 001b TIBConfigService.CreateJournalArchive 002c QuotedStr 003c @UStrCat3 0046 TIBCustomConfigService.ExecuteSQL 006a @UStrArrayClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 83 B0 00 00 00 C6 40 55 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 17 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 20 00 4A 00 4F 00 55 00 52 00 4E 00 41 00 4C 00 20 00 41 00 52 00 43 00 48 00 49 00 56 00 45 00 20 00 00 00 }
	condition:
		$1
}

rule function_31567_0 {
	meta:
		name = "TIBConfigService.SetAsyncMode"
		size = 172
		refs = "000d TIBConfigService.SetAsyncMode 0012 @LStrAsg 0018 SPBConstantValues 0025 TIBControlService.ServiceStartAddParam 0035 @LStrCat 0062 TIBControlService.InternalServiceStart"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 86 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 96 A0 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 86 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 12 8D 86 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8D 86 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 08 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 0C 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 25 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 26 00 00 00 }
	condition:
		$1
}

rule function_31568_0 {
	meta:
		name = "TIBCustomConfigService.SetDatabaseName"
		size = 22
		refs = "000f @UStrAsg"
		altNames = "TQueryRadioGroup.SetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 A0 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31569_0 {
	meta:
		name = "TIBConfigService.SetPageBuffers"
		size = 84
		refs = "000d TIBConfigService.SetPageBuffers 0012 @LStrAsg 0018 SPBConstantValues 0025 TIBControlService.ServiceStartAddParam 003a TIBControlService.InternalServiceStart"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 93 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 05 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_31570_0 {
	meta:
		name = "TIBConfigService.SetReadOnly"
		size = 172
		refs = "000d TIBConfigService.SetReadOnly 0012 @LStrAsg 0018 SPBConstantValues 0025 TIBControlService.ServiceStartAddParam 0035 @LStrCat 0062 TIBControlService.InternalServiceStart"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 86 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 96 A0 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 86 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 12 8D 86 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8D 86 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 08 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 0D 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 27 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 28 00 00 00 }
	condition:
		$1
}

rule function_31571_0 {
	meta:
		name = "TIBConfigService.SetReserveSpace"
		size = 172
		refs = "000d TIBConfigService.SetReserveSpace 0012 @LStrAsg 0018 SPBConstantValues 0025 TIBControlService.ServiceStartAddParam 0035 @LStrCat 0062 TIBControlService.InternalServiceStart"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 86 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 96 A0 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 86 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 12 8D 86 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8D 86 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 08 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 0B 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 24 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_31572_0 {
	meta:
		name = "TIBConfigService.SetSweepInterval"
		size = 84
		refs = "000d TIBConfigService.SetSweepInterval 0012 @LStrAsg 0018 SPBConstantValues 0025 TIBControlService.ServiceStartAddParam 003a TIBControlService.InternalServiceStart"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 93 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 06 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_31573_0 {
	meta:
		name = "TIBConfigService.SetDBSqlDialect"
		size = 84
		refs = "000d TIBConfigService.SetDBSqlDialect 0012 @LStrAsg 0018 SPBConstantValues 0025 TIBControlService.ServiceStartAddParam 003a TIBControlService.InternalServiceStart"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 93 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 0E 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_31574_0 {
	meta:
		name = "TIBConfigService.ShutdownDatabase"
		size = 128
		refs = "0010 TIBConfigService.ShutdownDatabase 0015 @LStrAsg 001b SPBConstantValues 0028 TIBControlService.ServiceStartAddParam 0066 TIBControlService.InternalServiceStart"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8D 86 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 96 A0 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 75 10 B9 07 00 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? EB 23 80 FB 01 75 10 B9 0A 00 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? EB 0E B9 09 00 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_31575_0 {
	meta:
		name = "TIBConfigService.SetFlushInterval"
		size = 192
		refs = "0015 TIBConfigService.SetFlushInterval 0035 Format 003f TIBCustomConfigService.ExecuteSQL 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 F4 C6 45 F8 00 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 41 00 4C 00 54 00 45 00 52 00 20 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 20 00 53 00 45 00 54 00 20 00 46 00 4C 00 55 00 53 00 48 00 20 00 49 00 4E 00 54 00 45 00 52 00 56 00 41 00 4C 00 20 00 25 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_31576_0 {
	meta:
		name = "TIBConfigService.SetGroupCommit"
		size = 188
		refs = "0005 TIBConfigService.SetGroupCommit 000a TIBCustomConfigService.ExecuteSQL"
	strings:
		$1 = { 84 D2 74 0B BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 41 00 4C 00 54 00 45 00 52 00 20 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 20 00 53 00 45 00 54 00 20 00 47 00 52 00 4F 00 55 00 50 00 20 00 43 00 4F 00 4D 00 4D 00 49 00 54 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 41 00 4C 00 54 00 45 00 52 00 20 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 20 00 53 00 45 00 54 00 20 00 4E 00 4F 00 20 00 47 00 52 00 4F 00 55 00 50 00 20 00 43 00 4F 00 4D 00 4D 00 49 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_31577_0 {
	meta:
		name = "TIBConfigService.SetLingerInterval"
		size = 192
		refs = "0015 TIBConfigService.SetLingerInterval 0035 Format 003f TIBCustomConfigService.ExecuteSQL 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 F4 C6 45 F8 00 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 41 00 4C 00 54 00 45 00 52 00 20 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 20 00 53 00 45 00 54 00 20 00 4C 00 49 00 4E 00 47 00 45 00 52 00 20 00 49 00 4E 00 54 00 45 00 52 00 56 00 41 00 4C 00 20 00 25 00 64 00 00 00 }
	condition:
		$1
}

rule function_31578_0 {
	meta:
		name = "TIBCustomConfigService.BuildIBDatabase"
		size = 428
		refs = "0019 TIBCustomConfigService.BuildIBDatabase 0028 _Dn_TIBDatabase 002d TIBDatabase.Create 0059 TIBDatabase.SetDatabaseName 008b Format 0142 @UStrArrayClr 014a @UStrClr 0150 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 D2 89 55 E4 89 55 E8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 0F B6 83 81 00 00 00 2C 01 72 24 0F 84 90 00 00 00 FE C8 74 53 FE C8 0F 85 BB 00 00 00 8B 93 A0 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 A9 00 00 00 8D 45 FC 50 8B 43 68 89 45 EC C6 45 F0 11 8B 83 A0 00 00 00 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 70 8D 45 E8 50 8B 43 68 89 45 EC C6 45 F0 11 8B 83 A0 00 00 00 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? EB 37 8D 45 E4 50 8B 43 68 89 45 EC C6 45 F0 11 8B 83 A0 00 00 00 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 86 A8 00 00 00 8B 93 84 00 00 00 8B 08 FF 51 08 0F B6 43 58 88 46 44 B2 01 8B C6 8B 08 FF 51 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C6 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3A 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 5C 00 5C 00 25 00 73 00 5C 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 40 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_31579_0 {
	meta:
		name = "TIBCustomConfigService.BuildIBTransaction"
		size = 168
		refs = "0006 _Dn_TIBTransaction 000b TIBTransaction.Create 0015 TIBCustomConfigService.BuildIBTransaction"
	strings:
		$1 = { 53 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 43 6C BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 43 6C BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 43 6C BA ?? ?? ?? ?? 8B 08 FF 51 38 8B C3 5B C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 72 00 65 00 61 00 64 00 5F 00 63 00 6F 00 6D 00 6D 00 69 00 74 00 74 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 72 00 65 00 63 00 5F 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6E 00 6F 00 77 00 61 00 69 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_31580_0 {
	meta:
		name = "TIBCustomConfigService.ExecuteSQL"
		size = 536
		refs = "0018 @UStrAddRef 0020 TIBCustomConfigService.ExecuteSQL 0040 TIBCustomConfigService.BuildIBDatabase 005d TIBCustomConfigService.BuildIBTransaction 006b TIBTransaction.SetDefaultDatabase 0074 _Dn_TIBSQL 0079 TIBSQL.Create 00a1 TIBDatabase.SetDefaultTransaction 00ac TIBSQL.SetDatabase 00c4 _Dn_TIBDatabaseInfo 00c9 TIBDatabaseInfo.Create 00e5 TIBDatabaseInfo.SetDatabase 00ed TIBDatabaseInfo.GetFullODS 0107 SIB75feature 010c LoadResString 0127 Format 0131 _Dn_EIBClientError 0136 Exception.Create 013b @RaiseExcept 0150 TObject.Free 0156 @HandleFinally 0160 TIBTransaction.GetInTransaction 016c TIBTransaction.StartTransaction 0174 TIBSQL.ExecQuery 017c TIBTransaction.Commit 01db @UStrArrayClr 01e3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 33 C9 89 4D E4 89 4D E0 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 A8 00 00 00 85 C0 74 05 89 45 F4 EB 0B 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 8B 80 A4 00 00 00 85 C0 74 05 89 45 F0 EB 16 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 B8 A8 00 00 00 00 75 0B 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8B 40 60 8B 55 FC 8B 08 FF 51 2C 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 76 40 8D 45 E4 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8D 55 D8 33 C9 58 E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 08 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 83 B8 A8 00 00 00 00 75 08 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 83 B8 A4 00 00 00 00 75 08 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 00 33 33 33 33 33 33 33 B3 02 40 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 68 00 69 00 73 00 20 00 00 00 }
	condition:
		$1
}

rule function_31582_0 {
	meta:
		name = "GetValue"
		size = 172
		refs = "000c @UStrAddRef 0014 GetValue 003d CharInSet 0050 @UStrDelete 005e StrToInt 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 EB 01 4B BA ?? ?? ?? ?? 8B 45 FC 0F B7 44 58 FE E8 ?? ?? ?? ?? 84 C0 75 E9 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 0C 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 00 00 00 00 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_31583_0 {
	meta:
		name = "GetAdditionalValues"
		size = 768
		refs = "0010 GetAdditionalValues 0021 TIBCustomConfigService.BuildIBDatabase 002f TIBCustomConfigService.BuildIBTransaction 003b _Dn_TIBSQL 0040 TIBSQL.Create 005c TIBDatabase.SetDefaultTransaction 0067 TIBTransaction.SetDefaultDatabase 0079 TIBTransaction.StartTransaction 0084 TIBSQL.SetDatabase 008f TIBSQL.SetTransaction 00a7 TIBSQL.GetSQLParams 00ae TIBXSQLDA.GetSQLVAR 00b8 TIBXSQLVAR.SetAsLong 00c0 TIBSQL.ExecQuery 00c8 TIBSQL.GetEOF 00e4 @UStrClr 0116 TIBSQL.GetFields 011e TIBXSQLVAR.GetAsTrimString 0135 @UStrAsg 0147 TIBXSQLVAR.GetAsLong 0189 TIBSQL.Close 01d7 TIBXSQLVAR.GetIsNull 01f0 TIBTransaction.Commit 0205 TObject.Free 021b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? B2 01 8B 45 FC 8B 08 FF 51 58 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 30 8B 45 08 8B 40 FC 8B 98 B0 00 00 00 C6 43 54 00 8D 43 38 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 B0 00 00 00 C7 40 50 F4 01 00 00 E9 EC 00 00 00 8B 45 08 8B 40 FC 8B 80 B0 00 00 00 C6 40 54 01 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 8B 40 FC 8B 80 B0 00 00 00 83 C0 38 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 23 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 92 B0 00 00 00 89 42 50 EB 13 8B 45 08 8B 40 FC 8B 80 B0 00 00 00 C7 40 50 F4 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? BA 18 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 08 8B 40 FC 8B 80 B0 00 00 00 C6 40 55 00 EB 20 33 D2 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 8B 55 08 8B 52 FC 8B 92 B0 00 00 00 88 42 55 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 56 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 4C 00 45 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 4C 00 4F 00 47 00 5F 00 46 00 49 00 4C 00 45 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 4C 00 45 00 5F 00 46 00 4C 00 41 00 47 00 53 00 20 00 3D 00 20 00 3A 00 46 00 6C 00 61 00 67 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_31584_0 {
	meta:
		name = "TIBConfigService.GetJournalInformation"
		size = 1156
		refs = "0020 TIBConfigService.GetJournalInformation 002f _Dn_TIBDatabaseInfo 0034 TIBDatabaseInfo.Create 003f TIBCustomConfigService.BuildIBDatabase 005b TIBDatabaseInfo.SetDatabase 0063 TIBDatabaseInfo.GetPageSize 0086 TObject.Free 0094 @HandleFinally 00a0 _DV_TIBStatisticalService 00a5 TIBControlAndQueryService.Create 00af _Dn_TStringList 00b4 TStringList.Create 00d3 TIBCustomService.SetServerName 00e5 TIBCustomService.SetProtocol 010d TIBStatisticalService.SetDatabaseName 012c TIBCustomService.Attach 0149 Sleep 0150 DBApplication 0162 TIBControlAndQueryService.GetNextLine 016d Trim 017e UpperCase 019f TStrings.GetEnumerator 01d1 @UStrLAsg 01e6 Pos 020a ExtractFileName 0242 GetValue 02b7 TStringsEnumerator.MoveNext 02ea GetAdditionalValues 0300 TIBCustomService.Detach 034e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 D2 89 55 D4 89 55 D8 89 55 F8 89 55 F4 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8B 45 FC E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 03 C0 8B 55 FC 8B 92 B0 00 00 00 89 42 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 68 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 0F B6 90 81 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 84 00 00 00 8B 45 EC 8B 80 84 00 00 00 8B 08 FF 51 08 8B 45 FC 8B 90 A0 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC C6 40 58 00 8B 45 EC 0F B6 15 ?? ?? ?? ?? 88 90 AC 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 10 FF 52 48 6A 64 E8 ?? ?? ?? ?? EB 3E A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 10 8D 55 D8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D8 8D 55 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 16 8D 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 E8 8B 08 FF 51 38 8B 45 EC 80 B8 A0 00 00 00 00 74 B6 33 DB 8B 45 E8 E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 FA 00 00 00 8B 75 DC 8D 4D F0 8B 56 04 8B 46 08 8B 30 FF 56 0C 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 84 DB 0F 84 C3 00 00 00 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8F D1 00 00 00 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 2A 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 0F 9F C0 8B 55 FC 8B 92 B0 00 00 00 88 42 44 EB 73 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 16 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 B0 00 00 00 89 42 4C EB 4C 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 16 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 B0 00 00 00 89 42 3C EB 25 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 14 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 B0 00 00 00 89 42 48 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 02 B3 01 8B 45 DC E8 ?? ?? ?? ?? 84 C0 0F 85 F6 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0A B2 01 8B 45 DC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 00 02 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2A 00 45 00 4E 00 44 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 46 00 49 00 4C 00 45 00 20 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5A 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 43 00 48 00 45 00 43 00 4B 00 20 00 50 00 4F 00 49 00 4E 00 54 00 20 00 4C 00 45 00 4E 00 47 00 54 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4E 00 55 00 4D 00 42 00 45 00 52 00 20 00 4F 00 46 00 20 00 57 00 41 00 4C 00 20 00 42 00 55 00 46 00 46 00 45 00 52 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 57 00 41 00 4C 00 20 00 42 00 55 00 46 00 46 00 45 00 52 00 20 00 53 00 49 00 5A 00 45 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 56 00 41 00 52 00 49 00 41 00 42 00 4C 00 45 00 20 00 4C 00 4F 00 47 00 20 00 44 00 41 00 54 00 41 00 00 00 }
	condition:
		$1
}

rule function_31587_0 {
	meta:
		name = "TIBConfigService.DropJournal"
		size = 68
		refs = "0004 TIBConfigService.DropJournal 000b TIBCustomConfigService.ExecuteSQL"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 B0 00 00 00 C6 40 54 00 5B C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 52 00 4F 00 50 00 20 00 4A 00 4F 00 55 00 52 00 4E 00 41 00 4C 00 20 00 00 00 }
	condition:
		$1
}

rule function_31588_0 {
	meta:
		name = "TIBConfigService.DropJournalArchive"
		size = 84
		refs = "0004 TIBConfigService.DropJournalArchive 000b TIBCustomConfigService.ExecuteSQL"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 B0 00 00 00 C6 40 55 00 5B C3 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 52 00 4F 00 50 00 20 00 4A 00 4F 00 55 00 52 00 4E 00 41 00 4C 00 20 00 41 00 52 00 43 00 48 00 49 00 56 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_31589_0 {
	meta:
		name = "TIBConfigService.SetReclaimInterval"
		size = 304
		refs = "0015 TIBConfigService.SetReclaimInterval 0039 Format 0043 TIBCustomConfigService.ExecuteSQL 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7E 26 8D 45 FC 50 89 75 F4 C6 45 F8 00 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 26 00 00 00 41 00 4C 00 54 00 45 00 52 00 20 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 20 00 53 00 45 00 54 00 20 00 52 00 45 00 43 00 4C 00 41 00 49 00 4D 00 20 00 49 00 4E 00 54 00 45 00 52 00 56 00 41 00 4C 00 20 00 25 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 41 00 4C 00 54 00 45 00 52 00 20 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 20 00 53 00 45 00 54 00 20 00 4E 00 4F 00 20 00 52 00 45 00 43 00 4C 00 41 00 49 00 4D 00 20 00 49 00 4E 00 54 00 45 00 52 00 56 00 41 00 4C 00 00 00 00 00 }
	condition:
		$1
}

rule function_31591_0 {
	meta:
		name = "TIBLicensingService.SetAction"
		size = 27
		refs = "0015 @UStrClr"
	strings:
		$1 = { 53 8B D8 88 93 A8 00 00 00 80 FA 01 75 0B 8D 83 A0 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31592_0 {
	meta:
		name = "TIBLicensingService.AddLicense"
		size = 21
		refs = "0008 TIBLicensingService.SetAction"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 48 5B C3 }
	condition:
		$1
}

rule function_31593_0 {
	meta:
		name = "TIBLicensingService.RemoveLicense"
		size = 21
		refs = "0008 TIBLicensingService.SetAction"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 48 5B C3 }
	condition:
		$1
}

rule function_31594_0 {
	meta:
		name = "TIBLicensingService.SetServiceStartOptions"
		size = 136
		refs = "0013 TIBLicensingService.SetServiceStartOptions 0018 @LStrAsg 002a TIBControlService.ServiceStartAddParam"
	strings:
		$1 = { 53 8B D8 80 BB A8 00 00 00 00 75 36 8D 83 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 05 00 00 00 8B 93 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 06 00 00 00 8B 93 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 8D 83 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 05 00 00 00 8B 93 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 09 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_31595_0 {
	meta:
		name = "TIBStatisticalService.SetDatabaseName"
		size = 22
		refs = "000f @UStrAsg"
		altNames = "TIBValidationService.SetDatabaseName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 A8 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31596_0 {
	meta:
		name = "TIBStatisticalService.SetServiceStartOptions"
		size = 236
		refs = "0021 IBError 0083 TIBControlAndQueryService.SetAction 008e TIBStatisticalService.SetServiceStartOptions 0093 @LStrAsg 0099 SPBConstantValues 00a6 TIBControlService.ServiceStartAddParam"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 83 BB A8 00 00 00 00 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 5E E8 ?? ?? ?? ?? 33 F6 F6 83 AC 00 00 00 01 74 03 83 CE 01 F6 83 AC 00 00 00 02 74 03 83 CE 02 F6 83 AC 00 00 00 04 74 03 83 CE 04 F6 83 AC 00 00 00 08 74 03 83 CE 08 F6 83 AC 00 00 00 10 74 03 83 CE 10 F6 83 AC 00 00 00 20 74 03 83 CE 20 F6 83 AC 00 00 00 40 74 03 83 CE 40 BA 0B 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 93 A8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? F6 83 AC 00 00 00 40 74 13 8B 0D ?? ?? ?? ?? 8B 93 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 0B 00 00 00 }
	condition:
		$1
}

rule function_31597_0 {
	meta:
		name = "TIBBackupService.SetServiceStartOptions"
		size = 696
		refs = "0019 TIBBackupService.SetServiceStartOptions 003d IBError 009f TIBControlAndQueryService.SetAction 00af @LStrAsg 00b5 SPBConstantValues 00c2 TIBControlService.ServiceStartAddParam 00ee @LStrFromChar 00fc @LStrCat 0149 Trim 0170 Pos 0188 TStrings.GetName 0203 @UStrCopy 020b StrToInt 0260 @UStrArrayClr 0275 @LStrClr 0288 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB B0 00 00 00 00 75 15 33 C0 89 45 E8 C6 45 EC 05 8D 55 E8 33 C9 B0 5E E8 ?? ?? ?? ?? 33 FF F6 83 B4 00 00 00 01 74 03 83 CF 01 F6 83 B4 00 00 00 02 74 03 83 CF 02 F6 83 B4 00 00 00 04 74 03 83 CF 04 F6 83 B4 00 00 00 08 74 03 83 CF 08 F6 83 B4 00 00 00 10 74 03 83 CF 10 F6 83 B4 00 00 00 20 74 03 83 CF 20 F6 83 B4 00 00 00 40 74 03 83 CF 40 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 93 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 80 BB A8 00 00 00 00 74 22 8D 45 E4 0F B6 15 ?? ?? ?? ?? B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8D 83 90 00 00 00 E8 ?? ?? ?? ?? 8B 83 BC 00 00 00 85 C0 7E 0E B9 06 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 B8 00 00 00 8B 10 FF 52 14 48 85 C0 0F 8C 1E 01 00 00 40 89 45 F4 33 F6 8D 4D DC 8B D6 8B 83 B8 00 00 00 8B 38 FF 57 0C 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 83 7D E0 00 0F 84 E9 00 00 00 8D 4D D8 8B D6 8B 83 B8 00 00 00 8B 38 FF 57 0C 8B 55 D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 A5 00 00 00 8D 4D D4 8B D6 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8B 55 D4 B9 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 8B D6 8B 83 B8 00 00 00 8B 38 FF 57 0C 8D 4D D0 8B D6 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 89 45 CC 8B 45 CC 89 45 F0 83 7D F0 00 74 0B 8B 45 F0 83 E8 04 8B 00 89 45 F0 8D 45 FC 50 8D 4D C8 8B D6 8B 83 B8 00 00 00 8B 38 FF 57 0C 8B 55 C8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 8B 4D F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 B9 07 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? EB 1F 8D 4D C4 8B D6 8B 83 B8 00 00 00 8B 38 FF 57 0C 8B 55 C4 B9 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 46 FF 4D F4 0F 85 E8 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5F 5E 5B 8B E5 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_31598_0 {
	meta:
		name = "TIBBackupService.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TIBControlAndQueryService.Create 001e _Dn_TStringList 0023 TStringList.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B8 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_31599_0 {
	meta:
		name = "TIBBackupService.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TIBCustomService.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86057_0 {
	meta:
		name = "TCustomStyle.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TObject.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31600_0 {
	meta:
		name = "TIBBackupService.SetBackupFile"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 B8 00 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_31601_0 {
	meta:
		name = "TIBRestoreService.SetServiceStartOptions"
		size = 1068
		refs = "0018 TIBRestoreService.SetServiceStartOptions 00a4 TIBControlAndQueryService.SetAction 00b4 @LStrAsg 00ba SPBConstantValues 00c3 TIBControlService.ServiceStartAddParam 00e0 @LStrFromChar 00ee @LStrCat 0189 Trim 01b0 Pos 01c8 TStrings.GetName 0243 @UStrCopy 024b StrToInt 03d4 @UStrArrayClr 03e9 @LStrClr 03fc @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF F6 83 B8 00 00 00 01 74 06 81 CF 00 01 00 00 F6 83 B8 00 00 00 02 74 06 81 CF 00 02 00 00 F6 83 B8 00 00 00 04 74 06 81 CF 00 04 00 00 F6 83 B8 00 00 00 08 74 06 81 CF 00 08 00 00 F6 83 B8 00 00 00 10 74 06 81 CF 00 10 00 00 F6 83 B8 00 00 00 20 74 06 81 CF 00 20 00 00 F6 83 B8 00 00 00 40 74 06 81 CF 00 40 00 00 F6 83 B8 00 00 00 80 74 06 81 CF 00 80 00 00 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 80 BB A8 00 00 00 00 74 22 8D 45 E4 0F B6 15 ?? ?? ?? ?? B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8D 83 90 00 00 00 E8 ?? ?? ?? ?? 8B 83 BC 00 00 00 85 C0 7E 0E B9 0A 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 C0 00 00 00 85 C0 7E 0E B9 09 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 83 BB C4 00 00 00 00 74 12 B9 11 00 00 00 8B 93 C4 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 BB C8 00 00 00 00 74 12 B9 12 00 00 00 8B 93 C8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 B4 00 00 00 8B 10 FF 52 14 48 85 C0 0F 8C 1E 01 00 00 40 89 45 F0 33 F6 8D 4D DC 8B D6 8B 83 B4 00 00 00 8B 38 FF 57 0C 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 83 7D E0 00 0F 84 E9 00 00 00 8D 4D D8 8B D6 8B 83 B4 00 00 00 8B 38 FF 57 0C 8B 55 D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 A5 00 00 00 8D 4D D4 8B D6 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 8B 55 D4 B9 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 8B D6 8B 83 B4 00 00 00 8B 38 FF 57 0C 8D 4D D0 8B D6 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 89 45 CC 8B 45 CC 89 45 EC 83 7D EC 00 74 0B 8B 45 EC 83 E8 04 8B 00 89 45 EC 8D 45 FC 50 8D 4D C8 8B D6 8B 83 B4 00 00 00 8B 38 FF 57 0C 8B 55 C8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 8B 4D EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 B9 07 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? EB 1F 8D 4D C4 8B D6 8B 83 B4 00 00 00 8B 38 FF 57 0C 8B 55 C4 B9 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 46 FF 4D F0 0F 85 E8 FE FF FF 8B 83 B0 00 00 00 8B 10 FF 52 14 48 85 C0 0F 8C 20 01 00 00 40 89 45 F0 33 F6 8D 4D BC 8B D6 8B 83 B0 00 00 00 8B 38 FF 57 0C 8B 45 BC 8D 55 C0 E8 ?? ?? ?? ?? 83 7D C0 00 0F 84 EB 00 00 00 8D 4D B8 8B D6 8B 83 B0 00 00 00 8B 38 FF 57 0C 8B 55 B8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 A6 00 00 00 8D 4D B4 8B D6 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 8B 55 B4 8B 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D F4 8B D6 8B 83 B0 00 00 00 8B 38 FF 57 0C 8D 4D B0 8B D6 8B 83 B0 00 00 00 8B 38 FF 57 0C 8B 45 B0 89 45 CC 8B 45 CC 89 45 E8 83 7D E8 00 74 0B 8B 45 E8 83 E8 04 8B 00 89 45 E8 8D 45 FC 50 8D 4D AC 8B D6 8B 83 B0 00 00 00 8B 38 FF 57 0C 8B 55 AC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 8B 4D E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 B9 0B 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? EB 20 8D 4D A8 8B D6 8B 83 B0 00 00 00 8B 38 FF 57 0C 8B 55 A8 8B 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 46 FF 4D F0 0F 85 E6 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5F 5E 5B 8B E5 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 02 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_31602_0 {
	meta:
		name = "TIBRestoreService.Create"
		size = 128
		refs = "000a @ClassCreate 0017 TIBControlAndQueryService.Create 001e _Dn_TStringList 0023 TStringList.Create 0057 @UStrClr 006d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B4 00 00 00 80 8E B8 00 00 00 20 C7 86 BC 00 00 00 00 10 00 00 8D 86 C4 00 00 00 E8 ?? ?? ?? ?? 8D 86 C8 00 00 00 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_31603_0 {
	meta:
		name = "TIBRestoreService.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0028 TIBCustomService.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 B0 00 00 00 E8 ?? ?? ?? ?? 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31604_0 {
	meta:
		name = "TIBRestoreService.SetBackupFile"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 B4 00 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_31605_0 {
	meta:
		name = "TIBRestoreService.SetDatabaseName"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 B0 00 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_31607_0 {
	meta:
		name = "TIBValidationService.Destroy"
		size = 95
		refs = "0005 @BeforeDestruction 0014 @DynArrayHigh 002b TObject.Free 003b TLimboTransactionInfos 0040 @DynArrayClear 004b TIBCustomService.Destroy 0056 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 B0 00 00 00 E8 ?? ?? ?? ?? 8B E8 85 ED 7C 15 45 33 FF 8B 86 B0 00 00 00 8B 04 B8 E8 ?? ?? ?? ?? 47 4D 75 EE 8D 86 B0 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31608_0 {
	meta:
		name = "TIBValidationService.FetchLimboTransactionInfo"
		size = 628
		refs = "001a TIBValidationService.FetchLimboTransactionInfo 002d @LStrAsg 0034 TIBCustomService.InternalServiceQuery 005a IBError 0069 @DynArrayHigh 0080 TObject.Free 0090 TLimboTransactionInfos 0095 @DynArrayClear 00a7 @DynArrayLength 00c5 @DynArraySetLength 00db _DV_TLimboTransactionInfo 00e0 TObject.Create 010f TIBCustomService.ParseInteger 0138 TIBCustomService.ParseString 0143 @UStrAsg 0250 @UStrArrayClr 0256 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 E4 89 55 E8 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 FC 8B 43 60 8B 55 FC 80 3C 10 42 74 15 33 C0 89 45 F0 C6 45 F4 05 8D 55 F0 33 C9 B0 5F E8 ?? ?? ?? ?? 83 45 FC 03 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 15 47 33 F6 8B 83 B0 00 00 00 8B 04 B0 E8 ?? ?? ?? ?? 46 4F 75 EE 8D 83 B0 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 F6 E9 6C 01 00 00 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 3B F0 7C 1D 8D 46 0A 50 8D 83 B0 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 83 B0 00 00 00 83 3C B0 00 75 15 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 93 B0 00 00 00 89 04 B2 8B 83 B0 00 00 00 8B 3C B0 8B 43 60 8B 55 FC 80 3C 10 13 75 19 FF 45 FC C6 47 04 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 89 47 08 E9 F0 00 00 00 FF 45 FC C6 47 04 01 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 89 47 08 8D 4D EC 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8D 47 0C E8 ?? ?? ?? ?? 8B 43 60 8B 55 FC 80 3C 10 15 74 15 33 C0 89 45 F0 C6 45 F4 05 8D 55 F0 33 C9 B0 5F E8 ?? ?? ?? ?? FF 45 FC 8B 43 60 8B 55 FC 0F B6 04 10 88 45 FB FF 45 FC 80 7D FB 16 75 06 C6 47 18 00 EB 1C 80 7D FB 17 75 06 C6 47 18 01 EB 10 80 7D FB 18 75 06 C6 47 18 02 EB 04 C6 47 18 03 8D 4D E8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 47 10 E8 ?? ?? ?? ?? 8D 4D E4 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 47 14 E8 ?? ?? ?? ?? 8B 43 60 8B 55 FC 0F B6 04 10 88 45 FB FF 45 FC 80 7D FB 1E 75 0A C6 47 19 00 C6 47 1A 00 EB 18 80 7D FB 1F 75 0A C6 47 19 01 C6 47 1A 01 EB 08 C6 47 19 02 C6 47 1A 00 46 8B 43 60 8B 55 FC 80 3C 10 01 0F 85 84 FE FF FF 85 F6 7E 1A 56 8D 83 B0 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 E4 04 01 00 FF FF FF FF 01 00 00 00 42 00 00 00 }
	condition:
		$1
}

rule function_31609_0 {
	meta:
		name = "TIBValidationService.FixLimboTransactionErrors"
		size = 212
		refs = "000d TIBValidationService.FixLimboTransactionErrors 0012 @LStrAsg 0018 SPBConstantValues 0025 TIBControlService.ServiceStartAddParam 00ba TIBControlService.InternalServiceStart"
	strings:
		$1 = { 53 56 57 55 8B D8 8D 83 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 93 A8 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 83 B4 00 00 00 3C 03 75 3B 33 F6 EB 25 80 7F 1A 00 75 10 8B D5 B9 0F 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0E 8B D5 B9 22 00 00 00 8B C3 E8 ?? ?? ?? ?? 46 8B 83 B0 00 00 00 8B 3C B0 8B 6F 08 85 ED 75 CB EB 48 33 F6 84 C0 75 32 EB 0F 8B D7 B9 0F 00 00 00 8B C3 E8 ?? ?? ?? ?? 46 8B 83 B0 00 00 00 8B 04 B0 8B 78 08 85 FF 75 E1 EB 1F 8B D7 B9 22 00 00 00 8B C3 E8 ?? ?? ?? ?? 46 8B 83 B0 00 00 00 8B 04 B0 8B 78 08 85 FF 75 E1 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 00 E4 04 01 00 FF FF FF FF 01 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_31610_0 {
	meta:
		name = "TIBValidationService.GetLimboTransactionInfo"
		size = 38
		refs = "000d @DynArrayHigh"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 3B F0 7F 0C 8B 83 B0 00 00 00 8B 04 B0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_31611_0 {
	meta:
		name = "TIBValidationService.GetLimboTransactionInfoCount"
		size = 30
		refs = "0013 @DynArrayHigh"
	strings:
		$1 = { 53 8B D8 83 BB B0 00 00 00 00 74 0E 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 40 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_31613_0 {
	meta:
		name = "TIBValidationService.SetServiceStartOptions"
		size = 260
		refs = "000f TIBControlAndQueryService.SetAction 002d IBError 0052 TIBValidationService.SetServiceStartOptions 0057 @LStrAsg 005d SPBConstantValues 006a TIBControlService.ServiceStartAddParam"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 BB A8 00 00 00 00 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 5E E8 ?? ?? ?? ?? 33 F6 F6 83 AC 00 00 00 20 74 03 83 CE 02 F6 83 AC 00 00 00 40 74 03 83 CE 01 8D 83 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 93 A8 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 F6 7E 0F 8B 0D ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 F6 F6 83 AC 00 00 00 01 74 03 83 CE 08 F6 83 AC 00 00 00 02 74 03 83 CE 10 F6 83 AC 00 00 00 04 74 03 83 CE 20 F6 83 AC 00 00 00 08 74 03 83 CE 40 F6 83 AC 00 00 00 10 0F 95 C0 84 C0 74 03 83 CE 04 F6 83 AC 00 00 00 80 74 0D 81 CE 80 00 00 00 84 C0 75 03 83 CE 01 85 F6 7E 0F 8B 0D ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_31614_0 {
	meta:
		name = "TIBSecurityService.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TIBControlAndQueryService.Create 001e TIBSecurityService.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 86 CD 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_31615_0 {
	meta:
		name = "TIBSecurityService.Destroy"
		size = 95
		refs = "0005 @BeforeDestruction 0014 @DynArrayHigh 002b TObject.Free 003b TUserInfos 0040 @DynArrayClear 004b TIBCustomService.Destroy 0056 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 C8 00 00 00 E8 ?? ?? ?? ?? 8B E8 85 ED 7C 15 45 33 FF 8B 86 C8 00 00 00 8B 04 B8 E8 ?? ?? ?? ?? 47 4D 75 EE 8D 86 C8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31616_0 {
	meta:
		name = "TIBSecurityService.FetchUserInfo"
		size = 2588
		refs = "001b TIBSecurityService.FetchUserInfo 002f @DynArrayHigh 0051 TObject.Free 0065 TUserInfos 006a @DynArrayClear 008f @LStrAsg 0097 TIBCustomService.InternalServiceQuery 00be IBError 00d6 @DynArrayLength 00fa @DynArraySetLength 013b _DV_TUserInfo 0140 TObject.Create 015c TIBCustomService.ParseString 0176 @UStrAsg 0289 TIBCustomService.ParseInteger 02ff _Dn_TIBDatabase 0304 TIBDatabase.Create 0310 _Dn_TIBTransaction 0315 TIBTransaction.Create 0321 _Dn_TIBSQL 0326 TIBSQL.Create 0342 TIBDatabase.SetDefaultTransaction 034d TIBTransaction.SetDefaultDatabase 0358 TIBSQL.SetDatabase 0389 TIBDatabase.SetDatabaseName 03c1 Format 0482 TIBTransaction.StartTransaction 049a TIBSQL.ExecQuery 050e TIBSQL.FieldByName 0516 TIBXSQLVAR.GetAsTrimString 05cf TIBXSQLVAR.GetAsLong 06e3 @UStrEqual 0703 TIBSQL.Next 070b TIBSQL.GetEOF 071b TIBTransaction.Commit 0746 @HandleFinally 0787 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0E 00 00 00 6A 00 6A 00 49 75 F9 53 56 89 45 FC 8D 5D F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 C8 00 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 22 46 C7 45 F8 00 00 00 00 8B 45 FC 8B 80 C8 00 00 00 8B 55 F8 8B 04 90 E8 ?? ?? ?? ?? FF 45 F8 4E 75 E6 8B 45 FC 05 C8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F8 8B 45 FC 83 B8 D4 00 00 00 00 0F 85 77 02 00 00 8B 45 FC 83 C0 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 03 8B 45 FC 8B 40 60 8B 13 80 3C 10 44 74 15 33 C0 89 45 E0 C6 45 E4 05 8D 55 E0 33 C9 B0 5F E8 ?? ?? ?? ?? FF 03 83 03 02 E9 17 02 00 00 8B 45 FC 8B 80 C8 00 00 00 E8 ?? ?? ?? ?? 3B 45 F8 7F 22 8B 45 F8 83 C0 0A 50 8B 45 FC 05 C8 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 40 60 8B 13 80 3C 10 07 74 15 33 C0 89 45 E0 C6 45 E4 05 8D 55 E0 33 C9 B0 5F E8 ?? ?? ?? ?? FF 03 8B 45 FC 8B 80 C8 00 00 00 8B 55 F8 83 3C 90 00 75 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 92 C8 00 00 00 8B 4D F8 89 04 8A 8D 4D DC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 8B 80 C8 00 00 00 8B 4D F8 8B 04 88 83 C0 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 60 8B 13 80 3C 10 0A 74 15 33 C0 89 45 E0 C6 45 E4 05 8D 55 E0 33 C9 B0 5F E8 ?? ?? ?? ?? FF 03 8D 4D D8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC 8B 80 C8 00 00 00 8B 4D F8 8B 04 88 83 C0 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 60 8B 13 80 3C 10 0B 74 15 33 C0 89 45 E0 C6 45 E4 05 8D 55 E0 33 C9 B0 5F E8 ?? ?? ?? ?? FF 03 8D 4D D4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC 8B 80 C8 00 00 00 8B 4D F8 8B 04 88 83 C0 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 60 8B 13 80 3C 10 0C 74 15 33 C0 89 45 E0 C6 45 E4 05 8D 55 E0 33 C9 B0 5F E8 ?? ?? ?? ?? FF 03 8D 4D D0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D0 8B 45 FC 8B 80 C8 00 00 00 8B 4D F8 8B 04 88 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 60 8B 13 80 3C 10 05 74 15 33 C0 89 45 E0 C6 45 E4 05 8D 55 E0 33 C9 B0 5F E8 ?? ?? ?? ?? FF 03 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 92 C8 00 00 00 8B 4D F8 8B 14 8A 89 42 18 8B 45 FC 8B 40 60 8B 13 80 3C 10 06 74 15 33 C0 89 45 E0 C6 45 E4 05 8D 55 E0 33 C9 B0 5F E8 ?? ?? ?? ?? FF 03 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 92 C8 00 00 00 8B 4D F8 8B 14 8A 89 42 14 FF 45 F8 8B 45 FC 8B 40 60 8B 13 80 3C 10 01 0F 85 D7 FD FF FF E9 52 04 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 80 81 00 00 00 2C 01 72 28 0F 84 A2 00 00 00 FE C8 74 5E FE C8 0F 85 D4 00 00 00 8B 45 FC 8B 90 D4 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? E9 BE 00 00 00 8D 45 CC 50 8B 45 FC 8B 40 68 89 45 BC C6 45 C0 11 8B 45 FC 8B 80 D4 00 00 00 89 45 C4 C6 45 C8 11 8D 55 BC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F0 E8 ?? ?? ?? ?? EB 7E 8D 45 B8 50 8B 45 FC 8B 40 68 89 45 BC C6 45 C0 11 8B 45 FC 8B 80 D4 00 00 00 89 45 C4 C6 45 C8 11 8D 55 BC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B 45 F0 E8 ?? ?? ?? ?? EB 3E 8D 45 B4 50 8B 45 FC 8B 40 68 89 45 BC C6 45 C0 11 8B 45 FC 8B 80 D4 00 00 00 89 45 C4 C6 45 C8 11 8D 55 BC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 84 00 00 00 8B 45 F0 8B 80 A8 00 00 00 8B 08 FF 51 08 8B 45 FC 0F B6 40 58 8B 55 F0 88 42 44 B2 01 8B 45 F0 8B 08 FF 51 58 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 E8 E8 ?? ?? ?? ?? E9 64 02 00 00 8B 45 FC 8B 80 C8 00 00 00 E8 ?? ?? ?? ?? 3B 45 F8 7F 22 8B 45 F8 83 C0 0A 50 8B 45 FC 05 C8 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 80 C8 00 00 00 8B 55 F8 83 3C 90 00 75 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 92 C8 00 00 00 8B 4D F8 89 04 8A BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 B0 E8 ?? ?? ?? ?? 8B 55 B0 8B 45 FC 8B 80 C8 00 00 00 8B 4D F8 8B 04 88 83 C0 04 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 AC E8 ?? ?? ?? ?? 8B 55 AC 8B 45 FC 8B 80 C8 00 00 00 8B 4D F8 8B 04 88 83 C0 08 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 A8 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 FC 8B 80 C8 00 00 00 8B 4D F8 8B 04 88 83 C0 0C E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 A4 E8 ?? ?? ?? ?? 8B 55 A4 8B 45 FC 8B 80 C8 00 00 00 8B 4D F8 8B 04 88 83 C0 10 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 92 C8 00 00 00 8B 4D F8 8B 14 8A 89 42 14 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 92 C8 00 00 00 8B 4D F8 8B 14 8A 89 42 18 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 A0 E8 ?? ?? ?? ?? 8B 55 A0 8B 45 FC 8B 80 C8 00 00 00 8B 4D F8 8B 04 88 83 C0 1C E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 9C E8 ?? ?? ?? ?? 8B 55 9C 8B 45 FC 8B 80 C8 00 00 00 8B 4D F8 8B 04 88 83 C0 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 98 E8 ?? ?? ?? ?? 8B 55 98 8B 45 FC 8B 80 C8 00 00 00 8B 4D F8 8B 04 88 83 C0 24 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 94 E8 ?? ?? ?? ?? 8B 55 94 8B 45 FC 8B 80 C8 00 00 00 8B 4D F8 8B 04 88 83 C0 28 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 90 E8 ?? ?? ?? ?? 8B 45 90 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 8B 55 FC 8B 92 C8 00 00 00 8B 4D F8 8B 14 8A 88 42 2C FF 45 F8 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 84 8C FD FF FF 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 83 7D F8 00 7E 1F 8B 45 F8 50 8B 45 FC 05 C8 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 90 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 44 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3A 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 5C 00 5C 00 25 00 73 00 5C 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 40 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 2A 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 52 00 53 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 44 00 42 00 24 00 4D 00 49 00 44 00 44 00 4C 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 44 00 42 00 24 00 4C 00 41 00 53 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 44 00 42 00 24 00 47 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 44 00 42 00 24 00 55 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 47 00 52 00 4F 00 55 00 50 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 55 00 53 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 52 00 44 00 42 00 24 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 5F 00 52 00 4F 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 44 00 42 00 24 00 44 00 65 00 73 00 63 00 72 00 69 00 70 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 44 00 42 00 24 00 55 00 53 00 45 00 52 00 5F 00 41 00 43 00 54 00 49 00 56 00 45 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 59 00 00 00 }
	condition:
		$1
}

rule function_31617_0 {
	meta:
		name = "TIBSecurityService.GetUserInfo"
		size = 38
		refs = "000d @DynArrayHigh"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 3B F0 7F 0C 8B 83 C8 00 00 00 8B 04 B0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_31618_0 {
	meta:
		name = "TIBSecurityService.GetUserInfoCount"
		size = 30
		refs = "0013 @DynArrayHigh"
	strings:
		$1 = { 53 8B D8 83 BB C8 00 00 00 00 74 0E 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 40 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_31619_0 {
	meta:
		name = "TIBSecurityService.AddUser"
		size = 1100
		refs = "0018 TIBSecurityService.AddUser 0030 TIBSecurityService.SetSecurityAction 005a QuotedStr 006a @UStrCatN 0113 IntToStr 0221 @UStrCat 023a TIBSecurityService.ExecuteSQL 0254 @UStrArrayClr 025a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB D4 00 00 00 00 75 15 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 48 E9 FE 01 00 00 68 ?? ?? ?? ?? FF B3 B4 00 00 00 68 ?? ?? ?? ?? 8D 55 F8 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 83 BB D0 00 00 00 00 74 26 FF 75 FC 68 ?? ?? ?? ?? 8D 55 F4 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 83 BB D8 00 00 00 00 74 26 FF 75 FC 68 ?? ?? ?? ?? 8D 55 F0 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? FF 75 F0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 83 BB DC 00 00 00 00 74 26 FF 75 FC 68 ?? ?? ?? ?? 8D 55 EC 8B 83 DC 00 00 00 E8 ?? ?? ?? ?? FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B B3 A8 00 00 00 85 F6 7E 22 FF 75 FC 68 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? FF 75 E8 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B B3 AC 00 00 00 85 F6 7E 22 FF 75 FC 68 ?? ?? ?? ?? 8D 55 E4 8B C6 E8 ?? ?? ?? ?? FF 75 E4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 83 BB E0 00 00 00 00 74 26 FF 75 FC 68 ?? ?? ?? ?? 8D 55 E0 8B 83 E0 00 00 00 E8 ?? ?? ?? ?? FF 75 E0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 83 BB B0 00 00 00 00 74 26 FF 75 FC 68 ?? ?? ?? ?? 8D 55 DC 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? FF 75 DC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 83 BB C4 00 00 00 00 74 26 FF 75 FC 68 ?? ?? ?? ?? 8D 55 D8 8B 83 C4 00 00 00 E8 ?? ?? ?? ?? FF 75 D8 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 83 BB C0 00 00 00 00 74 26 FF 75 FC 68 ?? ?? ?? ?? 8D 55 D4 8B 83 C0 00 00 00 E8 ?? ?? ?? ?? FF 75 D4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 80 BB E4 00 00 00 00 74 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 20 00 55 00 53 00 45 00 52 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 20 00 53 00 45 00 54 00 20 00 50 00 41 00 53 00 53 00 57 00 4F 00 52 00 44 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 20 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 20 00 52 00 4F 00 4C 00 45 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 20 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 55 00 53 00 45 00 52 00 20 00 4E 00 41 00 4D 00 45 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 47 00 52 00 4F 00 55 00 50 00 20 00 4E 00 41 00 4D 00 45 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 55 00 49 00 44 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 47 00 49 00 44 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 44 00 45 00 53 00 43 00 52 00 49 00 50 00 54 00 49 00 4F 00 4E 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 46 00 49 00 52 00 53 00 54 00 20 00 4E 00 41 00 4D 00 45 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 4D 00 49 00 44 00 44 00 4C 00 45 00 20 00 4E 00 41 00 4D 00 45 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 4C 00 41 00 53 00 54 00 20 00 4E 00 41 00 4D 00 45 00 20 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 41 00 43 00 54 00 49 00 56 00 45 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 49 00 4E 00 41 00 43 00 54 00 49 00 56 00 45 00 00 00 }
	condition:
		$1
}

rule function_31620_0 {
	meta:
		name = "TIBSecurityService.DeleteUser"
		size = 148
		refs = "000c TIBSecurityService.DeleteUser 0024 TIBSecurityService.SetSecurityAction 0040 @UStrCat3 004a TIBSecurityService.ExecuteSQL 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB D4 00 00 00 00 75 12 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 48 EB 1D 8D 45 FC 8B 8B B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 52 00 4F 00 50 00 20 00 55 00 53 00 45 00 52 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_31621_0 {
	meta:
		name = "TIBSecurityService.DisplayUsers"
		size = 72
		refs = "0011 TIBSecurityService.SetSecurityAction 001c TIBSecurityService.DisplayUsers 0021 @LStrAsg 0028 TIBControlService.InternalServiceStart 002f TIBSecurityService.FetchUserInfo"
	strings:
		$1 = { 53 8B D8 83 BB D4 00 00 00 00 75 20 B2 03 8B C3 E8 ?? ?? ?? ?? 8D 83 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 07 00 00 00 }
	condition:
		$1
}

rule function_31622_0 {
	meta:
		name = "TIBSecurityService.DisplayUser"
		size = 144
		refs = "000e @UStrAddRef 0016 TIBSecurityService.DisplayUser 002e TIBSecurityService.SetSecurityAction 003e @LStrAsg 004d TIBControlService.ServiceStartAddParam 0054 TIBControlService.InternalServiceStart 005b TIBSecurityService.FetchUserInfo 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB D4 00 00 00 00 75 2F B2 03 8B C3 E8 ?? ?? ?? ?? 8D 83 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 07 00 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 E4 04 01 00 FF FF FF FF 01 00 00 00 07 00 00 00 }
	condition:
		$1
}

rule function_31623_0 {
	meta:
		name = "TIBSecurityService.ModifyUser"
		size = 1728
		refs = "0018 TIBSecurityService.ModifyUser 0030 TIBSecurityService.SetSecurityAction 0059 @UStrCatN 0078 QuotedStr 00cf @UStrCat 0182 IntToStr 0339 TIBSecurityService.ExecuteSQL 0353 @UStrArrayClr 0359 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB D4 00 00 00 00 75 15 B2 02 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 48 E9 FD 02 00 00 68 ?? ?? ?? ?? FF B3 B4 00 00 00 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? F6 83 CD 00 00 00 20 74 26 FF 75 FC 68 ?? ?? ?? ?? 8D 55 F8 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? F6 83 CE 00 00 00 01 74 3E 83 BB D0 00 00 00 00 74 28 FF 75 FC 68 ?? ?? ?? ?? 8D 55 F4 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 83 CD 00 00 00 40 74 3E 83 BB D8 00 00 00 00 74 28 FF 75 FC 68 ?? ?? ?? ?? 8D 55 F0 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? FF 75 F0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 83 CD 00 00 00 80 74 3E 83 BB DC 00 00 00 00 74 28 FF 75 FC 68 ?? ?? ?? ?? 8D 55 EC 8B 83 DC 00 00 00 E8 ?? ?? ?? ?? FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 83 CD 00 00 00 08 74 3B 8B B3 A8 00 00 00 85 F6 7E 24 FF 75 FC 68 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? FF 75 E8 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 83 CD 00 00 00 10 74 3B 8B B3 AC 00 00 00 85 F6 7E 24 FF 75 FC 68 ?? ?? ?? ?? 8D 55 E4 8B C6 E8 ?? ?? ?? ?? FF 75 E4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 83 CE 00 00 00 02 74 3E 83 BB E0 00 00 00 00 74 28 FF 75 FC 68 ?? ?? ?? ?? 8D 55 E0 8B 83 E0 00 00 00 E8 ?? ?? ?? ?? FF 75 E0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 83 CD 00 00 00 01 74 3E 83 BB B0 00 00 00 00 74 28 FF 75 FC 68 ?? ?? ?? ?? 8D 55 DC 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? FF 75 DC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 83 CD 00 00 00 02 74 3E 83 BB C4 00 00 00 00 74 28 FF 75 FC 68 ?? ?? ?? ?? 8D 55 D8 8B 83 C4 00 00 00 E8 ?? ?? ?? ?? FF 75 D8 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 83 CD 00 00 00 04 74 3E 83 BB C0 00 00 00 00 74 28 FF 75 FC 68 ?? ?? ?? ?? 8D 55 D4 8B 83 C0 00 00 00 E8 ?? ?? ?? ?? FF 75 D4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 83 CE 00 00 00 04 74 25 80 BB E4 00 00 00 00 74 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 41 00 4C 00 54 00 45 00 52 00 20 00 55 00 53 00 45 00 52 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 53 00 45 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 50 00 41 00 53 00 53 00 57 00 4F 00 52 00 44 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 20 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 20 00 52 00 4F 00 4C 00 45 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 20 00 4E 00 4F 00 20 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 20 00 52 00 4F 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 20 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 55 00 53 00 45 00 52 00 20 00 4E 00 41 00 4D 00 45 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 20 00 4E 00 4F 00 20 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 55 00 53 00 45 00 52 00 20 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 47 00 52 00 4F 00 55 00 50 00 20 00 4E 00 41 00 4D 00 45 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 20 00 4E 00 4F 00 20 00 47 00 52 00 4F 00 55 00 50 00 20 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 55 00 49 00 44 00 20 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 4E 00 4F 00 20 00 55 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 47 00 49 00 44 00 20 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 4E 00 4F 00 20 00 47 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 44 00 45 00 53 00 43 00 52 00 49 00 50 00 54 00 49 00 4F 00 4E 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 20 00 4E 00 4F 00 20 00 44 00 45 00 53 00 43 00 52 00 49 00 50 00 54 00 49 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 46 00 49 00 52 00 53 00 54 00 20 00 4E 00 41 00 4D 00 45 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 46 00 49 00 52 00 53 00 54 00 20 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 4D 00 49 00 44 00 44 00 4C 00 45 00 20 00 4E 00 41 00 4D 00 45 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 4D 00 49 00 44 00 44 00 4C 00 45 00 20 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 4C 00 41 00 53 00 54 00 20 00 4E 00 41 00 4D 00 45 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 4C 00 41 00 53 00 54 00 20 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 41 00 43 00 54 00 49 00 56 00 45 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 49 00 4E 00 41 00 43 00 54 00 49 00 56 00 45 00 00 00 }
	condition:
		$1
}

rule function_31624_0 {
	meta:
		name = "TIBSecurityService.SetSecurityAction"
		size = 17
		refs = "000c TIBSecurityService.ClearParams"
	strings:
		$1 = { 88 90 CC 00 00 00 80 FA 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31625_0 {
	meta:
		name = "TIBSecurityService.ClearParams"
		size = 84
		refs = "0006 TIBSecurityService.ClearParams 0018 @UStrClr"
	strings:
		$1 = { 53 8B D8 0F B7 05 ?? ?? ?? ?? 66 89 83 CD 00 00 00 8D 83 B0 00 00 00 E8 ?? ?? ?? ?? 8D 83 C4 00 00 00 E8 ?? ?? ?? ?? 8D 83 C0 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 AC 00 00 00 33 C0 89 83 A8 00 00 00 8D 83 B8 00 00 00 E8 ?? ?? ?? ?? 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_31626_0 {
	meta:
		name = "TIBSecurityService.SetFirstName"
		size = 87
		refs = "000e @UStrAddRef 0016 TIBSecurityService.SetFirstName 002a @UStrAsg 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 B0 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 66 83 8B CD 00 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_31627_0 {
	meta:
		name = "TIBSecurityService.SetMiddleName"
		size = 87
		refs = "000e @UStrAddRef 0016 TIBSecurityService.SetMiddleName 002a @UStrAsg 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 C4 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 66 83 8B CD 00 00 00 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_31628_0 {
	meta:
		name = "TIBSecurityService.SetLastName"
		size = 87
		refs = "000e @UStrAddRef 0016 TIBSecurityService.SetLastName 002a @UStrAsg 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 C0 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 66 83 8B CD 00 00 00 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_31629_0 {
	meta:
		name = "TIBSecurityService.SetPassword"
		size = 87
		refs = "000e @UStrAddRef 0016 TIBSecurityService.SetPassword 002a @UStrAsg 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 B8 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 66 83 8B CD 00 00 00 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_31630_0 {
	meta:
		name = "TIBSecurityService.SetUserId"
		size = 19
	strings:
		$1 = { 53 8B D8 89 93 A8 00 00 00 66 83 8B CD 00 00 00 08 5B C3 }
	condition:
		$1
}

rule function_31631_0 {
	meta:
		name = "TIBSecurityService.SetGroupId"
		size = 19
	strings:
		$1 = { 53 8B D8 89 93 AC 00 00 00 66 83 8B CD 00 00 00 10 5B C3 }
	condition:
		$1
}

rule function_31633_0 {
	meta:
		name = "TIBSecurityService.SetServiceStartOptions"
		size = 732
		refs = "002c TIBControlAndQueryService.SetAction 0037 TIBSecurityService.SetServiceStartOptions 003c Pos 0055 IBError 008e @LStrAsg 00a0 TIBControlService.ServiceStartAddParam 0112 SPBConstantValues 0293 TIBSecurityService.ClearParams"
	strings:
		$1 = { 53 83 C4 F8 8B D8 0F B6 83 CC 00 00 00 2C 01 72 13 0F 84 11 01 00 00 FE C8 0F 84 65 01 00 00 E9 6C 02 00 00 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 B4 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 5E E8 ?? ?? ?? ?? 8B 83 B4 00 00 00 85 C0 74 05 83 E8 04 8B 00 66 85 C0 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 5E E8 ?? ?? ?? ?? 8D 83 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 07 00 00 00 8B 93 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 05 00 00 00 8B 93 A8 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 06 00 00 00 8B 93 AC 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 08 00 00 00 8B 93 B8 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 0A 00 00 00 8B 93 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 0B 00 00 00 8B 93 C4 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 0C 00 00 00 8B 93 C0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 93 BC 00 00 00 8B C3 E8 ?? ?? ?? ?? E9 68 01 00 00 BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 B4 00 00 00 85 C0 74 05 83 E8 04 8B 00 66 85 C0 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 5E E8 ?? ?? ?? ?? 8D 83 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 07 00 00 00 8B 93 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? E9 0C 01 00 00 BA 06 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 B4 00 00 00 85 C0 74 05 83 E8 04 8B 00 66 85 C0 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 5E E8 ?? ?? ?? ?? 8D 83 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 07 00 00 00 8B 93 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? F6 83 CD 00 00 00 08 74 12 B9 05 00 00 00 8B 93 A8 00 00 00 8B C3 E8 ?? ?? ?? ?? F6 83 CD 00 00 00 10 74 12 B9 06 00 00 00 8B 93 AC 00 00 00 8B C3 E8 ?? ?? ?? ?? F6 83 CD 00 00 00 20 74 12 B9 08 00 00 00 8B 93 B8 00 00 00 8B C3 E8 ?? ?? ?? ?? F6 83 CD 00 00 00 01 74 12 B9 0A 00 00 00 8B 93 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? F6 83 CD 00 00 00 02 74 12 B9 0B 00 00 00 8B 93 C4 00 00 00 8B C3 E8 ?? ?? ?? ?? F6 83 CD 00 00 00 04 74 12 B9 0C 00 00 00 8B 93 C0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 93 BC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 04 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 05 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 06 00 00 00 }
	condition:
		$1
}

rule function_31634_0 {
	meta:
		name = "TIBControlAndQueryService.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TIBControlService.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 A0 00 00 00 00 33 C0 89 86 A4 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_31635_0 {
	meta:
		name = "TIBControlAndQueryService.SetAction"
		size = 14
	strings:
		$1 = { C6 80 A0 00 00 00 00 89 90 A4 00 00 00 C3 }
	condition:
		$1
}

rule function_31636_0 {
	meta:
		name = "TIBControlAndQueryService.GetNextChunk"
		size = 252
		refs = "0019 @LStrClr 003f IBError 0047 TIBControlAndQueryService.GetNextChunk 004c @LStrAsg 0053 TIBCustomService.InternalServiceQuery 00df @LStrFromPChar"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 14 24 8B D8 80 BB A0 00 00 00 01 75 0D 8B 04 24 E8 ?? ?? ?? ?? E9 C1 00 00 00 83 BB A4 00 00 00 00 75 18 33 C0 89 44 24 04 C6 44 24 08 05 8D 54 24 04 33 C9 B0 5D E8 ?? ?? ?? ?? 8D 43 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 60 80 38 3F 74 18 33 C0 89 44 24 04 C6 44 24 08 05 8D 54 24 04 33 C9 B0 5F E8 ?? ?? ?? ?? 8B 53 60 42 66 B9 02 00 8B 83 88 00 00 00 8B 30 FF 96 28 01 00 00 8B F0 8D 7E 03 8B 43 60 0F B6 04 38 3C 02 75 09 C6 83 A0 00 00 00 00 EB 25 3C 01 75 09 C6 83 A0 00 00 00 01 EB 18 33 C0 89 44 24 04 C6 44 24 08 05 8D 54 24 04 33 C9 B0 5F E8 ?? ?? ?? ?? 8B 6B 60 C6 44 3D 00 00 8B 04 24 8D 55 03 B9 00 00 00 00 E8 ?? ?? ?? ?? 83 C4 0C 5D 5F 5E 5B C3 00 E4 04 01 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_31637_0 {
	meta:
		name = "TIBControlAndQueryService.GetNextLine"
		size = 240
		refs = "0017 @UStrClr 003a IBError 0042 TIBControlAndQueryService.GetNextLine 0047 @LStrAsg 004e TIBCustomService.InternalServiceQuery 00d5 @UStrFromPChar"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B FA 8B D8 80 BB A0 00 00 00 01 75 0C 8B C7 E8 ?? ?? ?? ?? E9 B9 00 00 00 83 BB A4 00 00 00 00 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 5D E8 ?? ?? ?? ?? 8D 43 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 60 80 38 3E 74 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 5F E8 ?? ?? ?? ?? 8B 53 60 42 66 B9 02 00 8B 83 88 00 00 00 8B 30 FF 96 28 01 00 00 8B F0 8D 6E 03 8B 43 60 80 3C 28 01 74 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 5F E8 ?? ?? ?? ?? 85 F6 74 09 C6 83 A0 00 00 00 00 EB 10 8B C7 E8 ?? ?? ?? ?? C6 83 A0 00 00 00 01 EB 14 8B 43 60 C6 04 28 00 8B C7 8B 53 60 83 C2 03 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 E4 04 01 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_31638_0 {
	meta:
		name = "TIBSecurityService.ExecuteSQL"
		size = 816
		refs = "0021 @UStrAddRef 0029 TIBSecurityService.ExecuteSQL 0038 _Dn_TIBDatabase 003d TIBDatabase.Create 0049 _Dn_TIBTransaction 004e TIBTransaction.Create 005a _Dn_TIBSQL 005f TIBSQL.Create 007b TIBDatabase.SetDefaultTransaction 0086 TIBTransaction.SetDefaultDatabase 0091 TIBSQL.SetDatabase 00bc TIBDatabase.SetDatabaseName 00ee Format 01ac _Dn_TIBDatabaseInfo 01b1 TIBDatabaseInfo.Create 01cd TIBDatabaseInfo.SetDatabase 01d5 TIBDatabaseInfo.GetFullODS 01ef SIB75feature 01f4 LoadResString 0219 _Dn_EIBClientError 021e Exception.Create 0223 @RaiseExcept 0238 TObject.Free 023e @HandleFinally 0248 TIBTransaction.StartTransaction 0250 TIBSQL.ExecQuery 0258 TIBTransaction.Commit 029f @UStrArrayClr 02a7 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 33 C9 89 4D CC 89 4D C8 89 4D D0 89 4D D4 89 4D E8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 0F B6 83 81 00 00 00 2C 01 72 25 0F 84 93 00 00 00 FE C8 74 55 FE C8 0F 85 BF 00 00 00 8B 93 D4 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? E9 AC 00 00 00 8D 45 E8 50 8B 43 68 89 45 D8 C6 45 DC 11 8B 83 D4 00 00 00 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? EB 72 8D 45 D4 50 8B 43 68 89 45 D8 C6 45 DC 11 8B 83 D4 00 00 00 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F8 E8 ?? ?? ?? ?? EB 38 8D 45 D0 50 8B 43 68 89 45 D8 C6 45 DC 11 8B 83 D4 00 00 00 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 93 84 00 00 00 8B 45 F8 8B 80 A8 00 00 00 8B 08 FF 51 08 0F B6 43 58 8B 55 F8 88 42 44 8B 45 F0 8B 40 60 8B 55 FC 8B 08 FF 51 2C B2 01 8B 45 F8 8B 08 FF 51 58 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 76 40 8D 45 CC 50 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 50 B8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 8D 55 C0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3A 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 5C 00 5C 00 25 00 73 00 5C 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 40 00 25 00 73 00 00 00 33 33 33 33 33 33 33 B3 02 40 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 68 00 69 00 73 00 20 00 00 00 }
	condition:
		$1
}

rule function_31639_0 {
	meta:
		name = "TIBSecurityService.EnableEUA"
		size = 184
		refs = "0005 TIBSecurityService.EnableEUA 000a TIBSecurityService.ExecuteSQL"
	strings:
		$1 = { 84 D2 74 0B BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 41 00 4C 00 54 00 45 00 52 00 20 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 20 00 44 00 52 00 4F 00 50 00 20 00 41 00 44 00 4D 00 49 00 4E 00 20 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 41 00 4C 00 54 00 45 00 52 00 20 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 20 00 41 00 44 00 44 00 20 00 41 00 44 00 4D 00 49 00 4E 00 20 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 00 00 }
	condition:
		$1
}

rule function_31640_0 {
	meta:
		name = "TIBSecurityService.SuspendEUA"
		size = 216
		refs = "0005 TIBSecurityService.SuspendEUA 000a TIBSecurityService.ExecuteSQL"
	strings:
		$1 = { 84 D2 74 0B BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 41 00 4C 00 54 00 45 00 52 00 20 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 20 00 53 00 45 00 54 00 20 00 41 00 44 00 4D 00 49 00 4E 00 20 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 20 00 49 00 4E 00 41 00 43 00 54 00 49 00 56 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 41 00 4C 00 54 00 45 00 52 00 20 00 44 00 41 00 54 00 41 00 42 00 41 00 53 00 45 00 20 00 53 00 45 00 54 00 20 00 41 00 44 00 4D 00 49 00 4E 00 20 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 20 00 41 00 43 00 54 00 49 00 56 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_31641_0 {
	meta:
		name = "TIBSecurityService.SetDefaultRole"
		size = 31
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 D0 00 00 00 8B D6 E8 ?? ?? ?? ?? 66 81 8B CD 00 00 00 00 01 5E 5B C3 }
	condition:
		$1
}

rule function_31642_0 {
	meta:
		name = "TIBSecurityService.SetSystemUserName"
		size = 30
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 D8 00 00 00 8B D6 E8 ?? ?? ?? ?? 66 83 8B CD 00 00 00 40 5E 5B C3 }
	condition:
		$1
}

rule function_31643_0 {
	meta:
		name = "TIBSecurityService.SetGroupName"
		size = 31
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 DC 00 00 00 8B D6 E8 ?? ?? ?? ?? 66 81 8B CD 00 00 00 80 00 5E 5B C3 }
	condition:
		$1
}

rule function_31644_0 {
	meta:
		name = "TIBSecurityService.SetDescription"
		size = 31
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 E0 00 00 00 8B D6 E8 ?? ?? ?? ?? 66 81 8B CD 00 00 00 00 02 5E 5B C3 }
	condition:
		$1
}

rule function_31645_0 {
	meta:
		name = "TIBSecurityService.SetActiveUser"
		size = 20
	strings:
		$1 = { 53 8B D8 88 93 E4 00 00 00 66 81 8B CD 00 00 00 00 04 5B C3 }
	condition:
		$1
}

rule function_31646_0 {
	meta:
		name = "TIBLogService.SetServiceStartOptions"
		size = 52
		refs = "000b TIBControlAndQueryService.SetAction 0016 TIBLogService.SetServiceStartOptions 001b @LStrAsg"
	strings:
		$1 = { 53 8B D8 BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_31647_0 {
	meta:
		name = "TDatabaseInfo.Clear"
		size = 29
		refs = "0012 :TDatabaseInfo.:1 0017 @DynArrayClear"
	strings:
		$1 = { 53 8B D8 33 C0 89 43 04 33 C0 89 43 08 8D 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31648_0 {
	meta:
		name = "TDatabaseInfo.Create"
		size = 58
		refs = "000a @ClassCreate 0017 :TDatabaseInfo.:1 001c @DynArrayClear 0027 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_31649_0 {
	meta:
		name = "TDatabaseInfo.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0010 :TDatabaseInfo.:1 0015 @DynArrayClear 0020 TObject.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31650_0 {
	meta:
		name = "TLicenseInfo.Clear"
		size = 52
		refs = "0008 :TLicenseInfo.:1 000d @DynArrayClear 0016 :TLicenseInfo.:2 0024 :TLicenseInfo.:3"
	strings:
		$1 = { 53 8B D8 8D 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 43 10 5B C3 }
	condition:
		$1
}

rule function_31651_0 {
	meta:
		name = "TLicenseInfo.Create"
		size = 86
		refs = "000a @ClassCreate 0017 :TLicenseInfo.:1 001c @DynArrayClear 0025 :TLicenseInfo.:2 0033 :TLicenseInfo.:3 0043 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_31652_0 {
	meta:
		name = "TLicenseInfo.Destroy"
		size = 78
		refs = "0003 @BeforeDestruction 0010 :TLicenseInfo.:1 0015 @DynArrayClear 001e :TLicenseInfo.:2 002c :TLicenseInfo.:3 003c TObject.Destroy 0047 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31653_0 {
	meta:
		name = "TConfigFileData.Clear"
		size = 33
		refs = "0008 :TConfigFileData.:2 000d @DynArrayClear 0016 :TConfigFileData.:1"
	strings:
		$1 = { 53 8B D8 8D 43 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31654_0 {
	meta:
		name = "TConfigFileData.Create"
		size = 72
		refs = "000a @ClassCreate 0017 :TConfigFileData.:1 001c @DynArrayClear 0025 :TConfigFileData.:2 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_31655_0 {
	meta:
		name = "TConfigFileData.Destroy"
		size = 64
		refs = "0003 @BeforeDestruction 0010 :TConfigFileData.:1 0015 @DynArrayClear 001e :TConfigFileData.:2 002e TObject.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31656_0 {
	meta:
		name = "TConfigParams.Clear"
		size = 59
		refs = "0007 TConfigFileData.Clear 0010 :TConfigParams.:1 0015 @DynArrayClear 001d @UStrClr"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8D 43 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 0C E8 ?? ?? ?? ?? 8D 43 10 E8 ?? ?? ?? ?? 8D 43 14 E8 ?? ?? ?? ?? 8D 43 18 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31657_0 {
	meta:
		name = "TConfigParams.Create"
		size = 73
		refs = "000a @ClassCreate 0015 _DV_TConfigFileData 001a TConfigFileData.Create 0026 :TConfigParams.:1 002b @DynArrayClear 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8D 46 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_31658_0 {
	meta:
		name = "TConfigParams.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 000f TObject.Free 0018 :TConfigParams.:1 001d @DynArrayClear 0028 TObject.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8D 46 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31659_0 {
	meta:
		name = "TVersionInfo.Clear"
		size = 26
		refs = "0007 @UStrClr"
	strings:
		$1 = { 53 8B D8 8D 43 08 E8 ?? ?? ?? ?? 8D 43 04 E8 ?? ?? ?? ?? 33 C0 89 43 0C 5B C3 }
	condition:
		$1
}

rule function_31660_0 {
	meta:
		name = "GetNextNumber"
		size = 204
		refs = "0014 GetNextNumber 0026 Pos 0049 @UStrCopy 0051 StrToInt 008f @UStrClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 FC 8B 45 08 83 78 FC 00 7E 4A 8D 45 FC 50 8B 45 08 8B 48 FC 49 8B 03 33 D2 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 03 89 45 F8 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 53 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 8B 03 8B CE E8 ?? ?? ?? ?? EB 10 8B 03 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_31661_0 {
	meta:
		name = "TVersionInfo.IsMinimumVersion"
		size = 400
		refs = "0020 @UStrAddRef 0028 TVersionInfo.IsMinimumVersion 003c SNoVersionInfo 0041 LoadResString 004b _Dn_Exception 0050 Exception.Create 0055 @RaiseExcept 0069 @UStrLen 0083 CharInSet 00a4 @UStrCopy 00af Trim 00e3 GetNextNumber 0149 @UStrArrayClr 015c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D D8 89 4D D4 89 4D DC 89 4D F4 89 55 F8 8B F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 04 00 75 21 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 33 C0 89 45 FC EB 03 FF 45 FC 8B 46 04 E8 ?? ?? ?? ?? 3B 45 FC 7E 19 8B 46 04 8B 55 FC 0F B7 44 50 FE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 D7 8B 7E 04 85 FF 74 05 83 EF 04 8B 3F 8D 45 F4 50 8B 46 04 8B CF 8B 55 FC E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 83 7D D8 00 74 11 8D 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 83 7D D4 00 75 02 33 DB 33 C0 89 45 E8 89 45 EC 33 C0 89 45 E0 89 45 E4 EB 4B 55 8D 45 F4 E8 ?? ?? ?? ?? 59 89 45 D0 DB 45 D0 DD 45 E8 D8 0D ?? ?? ?? ?? DE C1 DD 5D E8 9B 55 8D 45 F8 E8 ?? ?? ?? ?? 59 89 45 D0 DB 45 D0 DD 45 E0 D8 0D ?? ?? ?? ?? DE C1 DD 5D E0 9B DD 45 E0 DC 5D E8 9B DF E0 9E 0F 96 C3 84 DB 74 06 83 7D F8 00 75 AB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 7A 44 }
	condition:
		$1
}

rule function_31662_0 {
	meta:
		name = "TLicenseMaskInfo.Clear"
		size = 11
	strings:
		$1 = { 33 D2 89 50 04 33 D2 89 50 08 C3 }
	condition:
		$1
}

rule function_31663_0 {
	meta:
		name = "TIBJournalInformation.Create"
		size = 104
		refs = "000a @ClassCreate 0017 TComponent.Create 001f @UStrClr 0055 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 38 E8 ?? ?? ?? ?? C7 46 3C 64 00 00 00 33 C0 89 46 40 C6 46 44 01 33 C0 89 46 48 C7 46 4C F4 01 00 00 C7 46 50 F4 01 00 00 C6 46 55 00 C6 46 54 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_31664_0 {
	meta:
		name = "TIBJournalInformation.CreateJournalAttributes"
		size = 508
		refs = "0013 TIBJournalInformation.CreateJournalAttributes 0024 IntToStr 0033 @UStrCat3 0054 @UStrCatN 00a8 @UStrCat 00d0 @UStrArrayClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 46 4C E8 ?? ?? ?? ?? 8B 4D FC 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? 8D 55 F8 8B 46 40 E8 ?? ?? ?? ?? FF 75 F8 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? 8D 55 F4 8B 46 48 E8 ?? ?? ?? ?? FF 75 F4 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? 8D 55 F0 8B 46 3C E8 ?? ?? ?? ?? FF 75 F0 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 80 7E 44 00 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 20 00 43 00 48 00 45 00 43 00 4B 00 50 00 4F 00 49 00 4E 00 54 00 20 00 4C 00 45 00 4E 00 47 00 54 00 48 00 20 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 20 00 43 00 48 00 45 00 43 00 4B 00 50 00 4F 00 49 00 4E 00 54 00 20 00 49 00 4E 00 54 00 45 00 52 00 56 00 41 00 4C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 50 00 41 00 47 00 45 00 20 00 53 00 49 00 5A 00 45 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 50 00 41 00 47 00 45 00 20 00 43 00 41 00 43 00 48 00 45 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 20 00 54 00 49 00 4D 00 45 00 53 00 54 00 41 00 4D 00 50 00 20 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 20 00 4E 00 4F 00 20 00 54 00 49 00 4D 00 45 00 53 00 54 00 41 00 4D 00 50 00 20 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_31665_0 {
	meta:
		name = "TIBJournalInformation.CreateJournalLength"
		size = 136
		refs = "0010 TIBJournalInformation.CreateJournalLength 0032 IntToStr 0041 @UStrCatN 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 50 81 FF F4 01 00 00 74 20 FF 36 68 ?? ?? ?? ?? 8D 55 FC 8B C7 E8 ?? ?? ?? ?? FF 75 FC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 20 00 4C 00 45 00 4E 00 47 00 54 00 48 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_31666_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_62 001a SPBConstantNames 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 0F 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_31697_0 {
	meta:
		name = "TIBXSQLVAR.Create"
		size = 192
		refs = "0010 @ClassCreate 001e TIBXSQLVAR.Create 002d TObject.Create 003d TIBSQL.GetDatabase 0045 TIBDatabase.GDSLibrary 0060 _DV_TSQLVAR_V2 0071 _DV_TSQLVAR_V1 008e @IntfClear 0094 @HandleFinally 00a1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 8B 75 08 89 77 08 8B C6 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 1C D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 18 EB 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 00 00 00 00 B8 88 47 }
	condition:
		$1
}

rule function_31698_0 {
	meta:
		name = "TIBXSQLVAR.Assign"
		size = 969
		refs = "0016 TIBXSQLVAR.Assign 0027 TIBSQL.GetDatabase 002f TIBDatabase.GDSLibrary 005a TIBXSQLVAR.GetIsNull 0068 TIBXSQLVAR.SetIsNull 006d @TryFinallyExit 007d TSQLVAR.GetSqlDef 00ce TIBXSQLVAR.SetFXSQLVAR 010a IBAlloc 0160 Move 01c2 TIBSQL.GetTRHandle 01e2 TIBSQL.GetDBHandle 01e8 StatusVector 0205 TIBSQL.Call 022d GetBlobInfo 0251 ReadBlob 0285 @HandleFinally 02ff WriteBlob 039b @FreeMem 03b8 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 33 C9 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 33 C0 89 45 F0 B3 01 C6 45 E7 01 33 C0 89 45 EC 33 C0 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 14 B2 01 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 31 03 00 00 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 66 3D 1C 02 74 11 8B 45 F4 8B 40 18 E8 ?? ?? ?? ?? 66 3D 1C 02 75 0A E8 ?? ?? ?? ?? E9 05 03 00 00 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 66 3D 08 02 74 29 8B 45 F4 8B 40 18 E8 ?? ?? ?? ?? 66 3D 08 02 74 18 8B 45 F4 8B 50 18 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CB 02 00 00 8B 45 F4 8B 40 18 E8 ?? ?? ?? ?? 66 3D 08 02 0F 84 AD 00 00 00 33 C0 89 45 F0 8B 45 F4 8B 40 18 8B 10 FF 52 14 0F BF C8 8D 45 F0 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 18 E8 ?? ?? ?? ?? 66 3D C4 01 74 11 8B 45 F4 8B 40 18 E8 ?? ?? ?? ?? 66 3D C0 01 75 36 8B 45 F4 8B 40 18 8B 10 FF 52 0C 8B D0 66 B9 02 00 8B 45 FC 8B 18 FF 93 28 01 00 00 50 8B 45 F4 8B 40 18 8B 10 FF 52 0C 83 C0 02 8B 55 F0 59 E8 ?? ?? ?? ?? EB 23 8B 45 F4 8B 40 18 8B 10 FF 52 14 0F BF C0 50 8B 45 F4 8B 40 18 8B 10 FF 52 0C 8B 55 F0 59 E8 ?? ?? ?? ?? 33 DB 8B 45 F4 8B 40 18 8B 10 FF 52 14 0F BF C0 89 45 D8 EB 15 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 66 3D 08 02 74 04 C6 45 E7 00 84 DB 0F 84 D0 00 00 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 50 8D 45 EC 50 8B 45 F4 8B 40 18 8B 10 FF 52 0C 50 6A 00 6A 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 59 8B 18 FF 93 F8 00 00 00 8B D0 8B 45 F4 8B 40 08 B1 01 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D8 50 8D 45 D6 50 8B 45 FC 50 8D 4D DC 8D 55 E0 8D 45 EC E8 ?? ?? ?? ?? 33 C0 89 45 F0 8D 45 F0 8B 4D D8 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 EC 8B 4D D8 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8D 4D EC 8B 45 FC 8B 18 FF 53 7C 8B D0 8B 45 F4 8B 40 08 B1 01 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 80 7D E7 00 0F 84 AE 00 00 00 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 50 8D 45 E8 50 8B 45 F8 8B 40 18 8B 10 FF 52 0C 50 6A 00 6A 00 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 59 8B 18 FF 93 88 00 00 00 8B D0 8B 45 F8 8B 40 08 B1 01 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8D 45 E8 8B 4D D8 8B 55 F0 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8D 4D E8 8B 45 FC 8B 18 FF 53 7C 8B D0 8B 45 F8 8B 40 08 B1 01 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 8B 45 F8 8B 40 18 66 BA C4 01 8B 08 FF 51 58 8B 45 F8 8B 40 18 0F B7 55 D8 8B 08 FF 51 48 8B 45 F8 8B 40 18 8B 4D D8 8B 55 D8 8B 18 FF 53 60 8B 45 F8 8B 40 18 8B 10 FF 52 0C 8B D0 8B 45 F0 8B 4D D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31699_0 {
	meta:
		name = "TIBXSQLVAR.AdjustScale"
		size = 146
		refs = "0033 @_llmul"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B CA C7 45 F0 01 00 00 00 C7 45 F4 00 00 00 00 DF 6D 08 DD 5D E8 9B 85 C9 7E 2A 8B D9 85 DB 7E 18 6A 00 6A 0A 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 4B 75 E8 DF 6D F0 DC 4D E8 DD 5D F8 9B EB 3C 85 C9 7D 2C 8B D9 83 EB FF 7F 19 4B 6A 00 6A 0A 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 43 75 E8 DF 6D F0 DC 7D E8 DD 5D F8 9B EB 0C 8B 45 E8 89 45 F8 8B 45 EC 89 45 FC DD 45 F8 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_31700_0 {
	meta:
		name = "TIBXSQLVAR.AdjustScaleToInt64"
		size = 178
		refs = "0036 @_llmul 008d @_lldiv"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 C7 45 F0 01 00 00 00 C7 45 F4 00 00 00 00 8B 45 08 89 45 E8 8B 45 0C 89 45 EC 85 D2 7E 37 8B DA 85 DB 7E 18 6A 00 6A 0A 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 4B 75 E8 FF 75 F4 FF 75 F0 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 89 45 F8 89 55 FC EB 49 85 D2 7D 39 8B DA 83 EB FF 7F 19 4B 6A 00 6A 0A 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 43 75 E8 FF 75 F4 FF 75 F0 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 89 45 F8 89 55 FC EB 0C 8B 45 E8 89 45 F8 8B 45 EC 89 45 FC 8B 45 F8 8B 55 FC 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_31701_0 {
	meta:
		name = "TIBXSQLVAR.AdjustScaleToCurrency"
		size = 676
		refs = "0029 TIBXSQLVAR.AdjustScaleToCurrency 005e @_llmul 00c9 @_llmod 00de IntToStr 0104 @UStrCat3 012d @_lldiv 014e CurrencyString 015a @UStrFromWChar 0170 @UStrCatN 01df @UStrLAsg 01ed StrToCurr 020c @HandleOnException 0214 _Dn_Exception 022d IBError 0232 @DoneExcept 025b @UStrArrayClr 026e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 C9 89 4D C4 89 4D C0 89 4D CC 89 4D C8 89 4D FC 89 4D F8 89 4D F4 89 4D F0 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E8 89 45 EC C7 45 E0 01 00 00 00 C7 45 E4 00 00 00 00 85 F6 7E 47 8B DE 85 DB 7E 18 6A 00 6A 0A 8B 45 E0 8B 55 E4 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 4B 75 E8 FF 75 E4 FF 75 E0 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 89 45 D0 89 55 D4 DF 6D D0 D8 0D ?? ?? ?? ?? DF 7D E8 9B E9 B1 01 00 00 85 F6 0F 8D 9C 01 00 00 8B DE 83 EB FF 7F 19 4B 6A 00 6A 0A 8B 45 E0 8B 55 E4 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 43 75 E8 FF 75 E4 FF 75 E0 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 85 D2 7D 07 F7 D8 83 D2 00 F7 DA 52 50 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B DE F7 DB 4B 2B D8 7C 14 43 8D 45 F8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 75 ED 83 7D 0C 00 75 08 83 7D 08 00 73 5F EB 02 7D 5B 68 ?? ?? ?? ?? FF 75 E4 FF 75 E0 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 85 D2 7D 07 F7 D8 83 D2 00 F7 DA 52 50 8D 45 CC E8 ?? ?? ?? ?? FF 75 CC 8D 45 C8 8B 15 ?? ?? ?? ?? 0F B7 92 BE 00 00 00 E8 ?? ?? ?? ?? FF 75 C8 FF 75 F8 FF 75 FC 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? EB 54 FF 75 E4 FF 75 E0 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 85 D2 7D 07 F7 D8 83 D2 00 F7 DA 52 50 8D 45 C4 E8 ?? ?? ?? ?? FF 75 C4 8D 45 C0 8B 15 ?? ?? ?? ?? 0F B7 92 BE 00 00 00 E8 ?? ?? ?? ?? FF 75 C0 FF 75 F8 FF 75 FC 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? DF 7D D8 9B 8B 45 D8 89 45 E8 8B 45 DC 89 45 EC 33 C0 5A 59 59 64 89 10 EB 3A E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 45 D0 C6 45 D4 05 8D 55 D0 33 C9 B0 26 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D DF 6D 08 D8 0D ?? ?? ?? ?? DF 7D E8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE DF 6D E8 5F 5E 5B 8B E5 5D C2 08 00 00 40 1C 46 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_31702_0 {
	meta:
		name = "TIBXSQLVAR.GetAsCurrency"
		size = 496
		refs = "0014 TIBXSQLVAR.GetAsCurrency 002a TIBSQL.GetDatabase 002f TIBDatabase.GetSQLDialect 003b TIBXSQLVAR.GetAsDouble 0051 TIBXSQLVAR.GetIsNull 0061 TSQLVAR.GetSqlDef 00ce TIBXSQLVAR.GetAsString 00d4 CurrencyString 00dc StrToCurr 00fe @HandleOnException 0106 _Dn_Exception 011f IBError 0124 @DoneExcept 0149 TIBXSQLVAR.AdjustScaleToCurrency 01d6 @UStrClr 01dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 89 45 F4 8B 43 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 03 7D 16 8B C3 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DF 7D F0 9B E9 77 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 68 01 00 00 8B 43 18 E8 ?? ?? ?? ?? 0F BF C0 3D F0 01 00 00 7F 29 0F 84 DE 00 00 00 2D C0 01 00 00 74 3E 83 E8 04 74 39 83 E8 1C 0F 84 13 01 00 00 83 E8 02 0F 84 0A 01 00 00 E9 18 01 00 00 2D F4 01 00 00 0F 84 8A 00 00 00 83 E8 1E 0F 84 F1 00 00 00 83 E8 32 0F 84 C3 00 00 00 E9 F6 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DF 7D E8 9B 8B 45 E8 89 45 F0 8B 45 EC 89 45 F4 33 C0 5A 59 59 64 89 10 E9 C8 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 45 E0 C6 45 E4 05 8D 55 E0 33 C9 B0 26 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 98 00 00 00 8B 43 18 8B 10 FF 52 0C 0F BF 00 99 52 50 8B 43 18 8B 10 FF 52 20 0F BF D0 8B C3 E8 ?? ?? ?? ?? DF 7D F0 9B EB 72 8B 43 18 8B 10 FF 52 0C 8B 00 99 52 50 8B 43 18 8B 10 FF 52 20 0F BF D0 8B C3 E8 ?? ?? ?? ?? DF 7D F0 9B EB 4D 8B 43 18 8B 10 FF 52 0C FF 70 04 FF 30 8B 43 18 8B 10 FF 52 20 0F BF D0 8B C3 E8 ?? ?? ?? ?? DF 7D F0 9B EB 28 8B C3 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DF 7D F0 9B EB 15 33 C0 89 45 E0 C6 45 E4 05 8D 55 E0 33 C9 B0 26 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DF 6D F0 5F 5E 5B 8B E5 5D C3 00 40 1C 46 }
	condition:
		$1
}

rule function_31703_0 {
	meta:
		name = "TIBXSQLVAR.GetAsInt64"
		size = 518
		refs = "0014 TIBXSQLVAR.GetAsInt64 002f TIBXSQLVAR.GetIsNull 003f TSQLVAR.GetSqlDef 00b5 TIBXSQLVAR.GetAsString 00bd StrToInt64 00d5 @HandleOnException 00dd _Dn_Exception 00f6 IBError 00fb @DoneExcept 0120 TIBXSQLVAR.AdjustScaleToInt64 0183 TIBXSQLVAR.GetAsDouble 0188 @TRUNC 01ed @UStrClr 01f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 A1 01 00 00 8B 43 18 E8 ?? ?? ?? ?? 0F BF C0 3D F0 01 00 00 7F 29 0F 84 DC 00 00 00 2D C0 01 00 00 74 47 83 E8 04 74 42 83 E8 1C 0F 84 18 01 00 00 83 E8 02 0F 84 0F 01 00 00 E9 51 01 00 00 2D F4 01 00 00 0F 84 83 00 00 00 83 E8 1E 0F 84 F6 00 00 00 83 E8 32 0F 84 C6 00 00 00 83 E8 0A 0F 84 F8 00 00 00 E9 26 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 E9 08 01 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 45 EC C6 45 F0 05 8D 55 EC 33 C9 B0 26 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D8 00 00 00 8B 43 18 8B 10 FF 52 0C 0F BF 00 99 52 50 8B 43 18 8B 10 FF 52 20 0F BF D0 8B C3 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC E9 AD 00 00 00 8B 43 18 8B 10 FF 52 0C 8B 00 99 52 50 8B 43 18 8B 10 FF 52 20 0F BF D0 8B C3 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC E9 83 00 00 00 8B 43 18 8B 10 FF 52 0C FF 70 04 FF 30 8B 43 18 8B 10 FF 52 20 0F BF D0 8B C3 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC EB 5C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 89 55 FC EB 48 8B 43 18 8B 10 FF 52 0C 0F B7 00 66 83 E8 01 72 12 75 35 C7 45 F8 01 00 00 00 C7 45 FC 00 00 00 00 EB 25 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 EB 15 33 C0 89 45 EC C6 45 F0 05 8D 55 EC 33 C9 B0 26 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31704_0 {
	meta:
		name = "TIBXSQLVAR.GetAsDateTime"
		size = 756
		refs = "0017 TIBXSQLVAR.GetAsDateTime 0025 TIBSQL.GetDatabase 002d TIBDatabase.GDSLibrary 003c TIBXSQLVAR.GetIsNull 004c TSQLVAR.GetSqlDef 009a TIBXSQLVAR.GetAsString 00a0 CurrencyString 00a8 StrToDate 00ca @HandleOnException 00d2 _Dn_EConvertError 00eb IBError 00f0 @DoneExcept 0131 EncodeDate 01ab EncodeTime 02d2 @UStrClr 02da @IntfClear 02e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 33 C0 89 45 F0 89 45 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 79 02 00 00 8B 43 18 E8 ?? ?? ?? ?? 0F BF C0 3D FE 01 00 00 7F 17 0F 84 90 01 00 00 2D C0 01 00 00 74 1F 83 E8 04 74 1A E9 3B 02 00 00 2D 30 02 00 00 0F 84 FA 00 00 00 83 E8 0A 74 78 E9 26 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DD 5D E8 9B 8B 45 E8 89 45 F0 8B 45 EC 89 45 F4 33 C0 5A 59 59 64 89 10 E9 F8 01 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 45 BC C6 45 C0 05 8D 55 BC 33 C9 B0 26 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C8 01 00 00 8B 43 18 8B 10 FF 52 0C 8B D0 8D 4D C4 8B 45 FC 8B 18 FF 93 94 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B7 55 D4 42 0F B7 45 D8 66 05 6C 07 0F B7 4D D0 E8 ?? ?? ?? ?? DD 5D F0 9B 33 C0 5A 59 59 64 89 10 E9 7B 01 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 45 BC C6 45 C0 05 8D 55 BC 33 C9 B0 26 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4B 01 00 00 8B 43 18 8B 10 FF 52 0C 8B D0 8D 4D C4 8B 45 FC 8B 18 FF 93 98 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 0F B7 4D C4 0F B7 55 C8 0F B7 45 CC E8 ?? ?? ?? ?? DD 5D F0 9B 33 C0 5A 59 59 64 89 10 E9 01 01 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 45 BC C6 45 C0 05 8D 55 BC 33 C9 B0 26 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D1 00 00 00 8B 43 18 8B 10 FF 52 0C 8B D0 8D 4D C4 8B 45 FC 8B 18 FF 93 90 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B7 55 D4 42 0F B7 45 D8 66 05 6C 07 0F B7 4D D0 E8 ?? ?? ?? ?? DD 5D F0 9B DD 45 F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 1C 6A 00 0F B7 4D C4 0F B7 55 C8 0F B7 45 CC E8 ?? ?? ?? ?? DC 45 F0 DD 5D F0 9B EB 1A 6A 00 0F B7 4D C4 0F B7 55 C8 0F B7 45 CC E8 ?? ?? ?? ?? DC 6D F0 DD 5D F0 9B 33 C0 5A 59 59 64 89 10 EB 42 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 45 BC C6 45 C0 05 8D 55 BC 33 C9 B0 26 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 33 C0 89 45 BC C6 45 C0 05 8D 55 BC 33 C9 B0 26 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 DD 45 F0 5F 5E 5B 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_31705_0 {
	meta:
		name = "TIBXSQLVAR.GetAsDouble"
		size = 689
		refs = "001b TIBXSQLVAR.GetAsDouble 0031 TIBXSQLVAR.GetIsNull 0044 TSQLVAR.GetSqlDef 00bb TIBXSQLVAR.GetAsString 00c1 CurrencyString 00c9 StrToFloat 00e6 @HandleOnException 00ee _Dn_Exception 0107 IBError 010c @DoneExcept 0138 TIBXSQLVAR.AdjustScale 025d FloatToStrF 0268 @UStrLAsg 029b @UStrArrayClr 02a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 33 D2 89 55 FC 89 55 F8 89 55 F4 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E8 89 45 EC 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 85 48 02 00 00 8B 45 F0 8B 40 18 E8 ?? ?? ?? ?? 0F BF C0 3D F0 01 00 00 7F 29 0F 84 ED 00 00 00 2D C0 01 00 00 74 47 83 E8 04 74 42 83 E8 1C 0F 84 46 01 00 00 83 E8 02 0F 84 2A 01 00 00 E9 7E 01 00 00 2D F4 01 00 00 0F 84 8F 00 00 00 83 E8 1E 0F 84 24 01 00 00 83 E8 32 0F 84 DC 00 00 00 83 E8 0A 0F 84 2A 01 00 00 E9 53 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D D0 9B DB 6D D0 DD 5D E8 9B 33 C0 5A 59 59 64 89 10 E9 29 01 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 45 A8 C6 45 AC 05 8D 55 A8 33 C9 B0 26 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F9 00 00 00 8B 45 F0 8B 40 18 8B 10 FF 52 0C 0F BF 00 99 52 50 8B 45 F0 8B 40 18 8B 10 FF 52 20 0F BF D0 8B 45 F0 E8 ?? ?? ?? ?? DD 5D E8 9B E9 C9 00 00 00 8B 45 F0 8B 40 18 8B 10 FF 52 0C 8B 00 99 52 50 8B 45 F0 8B 40 18 8B 10 FF 52 20 0F BF D0 8B 45 F0 E8 ?? ?? ?? ?? DD 5D E8 9B E9 9A 00 00 00 8B 45 F0 8B 40 18 8B 10 FF 52 0C FF 70 04 FF 30 8B 45 F0 8B 40 18 8B 10 FF 52 20 0F BF D0 8B 45 F0 E8 ?? ?? ?? ?? DD 5D E8 9B EB 6E 8B 45 F0 8B 40 18 8B 10 FF 52 0C D9 00 DD 5D E8 9B EB 5B 8B 45 F0 8B 40 18 8B 10 FF 52 0C 8B 10 89 55 E8 8B 50 04 89 55 EC EB 43 8B 45 F0 8B 40 18 8B 10 FF 52 0C 0F B7 00 66 83 E8 01 72 10 75 2D 33 C0 89 45 E8 C7 45 EC 00 00 F0 3F EB 1F 33 C0 89 45 E8 89 45 EC EB 15 33 C0 89 45 A8 C6 45 AC 05 8D 55 A8 33 C9 B0 26 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 18 8B 10 FF 52 20 66 85 C0 74 67 DD 45 E8 DB 7D C0 9B B3 02 BE 0F 00 00 00 8B 45 F0 8B 40 18 8B 10 FF 52 20 0F BF C0 99 33 C2 2B C2 8B F8 0F B7 45 C8 50 FF 75 C4 FF 75 C0 A1 ?? ?? ?? ?? 50 8D 45 F8 50 8B C3 8B CF 8B D6 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? DB 7D B0 9B DB 6D B0 DD 5D E8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB DD 45 E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31706_0 {
	meta:
		name = "TIBXSQLVAR.GetAsFloat"
		size = 104
		refs = "0014 TIBXSQLVAR.GetAsFloat 0021 TIBXSQLVAR.GetAsDouble 0034 @HandleOnException 003c _Dn_EOverflow 0055 IBError 005a @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D8 33 C0 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? D9 5D FC 9B 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 45 F4 C6 45 F8 05 8D 55 F4 33 C9 B0 26 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? D9 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31707_0 {
	meta:
		name = "TIBXSQLVAR.GetAsLong"
		size = 487
		refs = "0014 TIBXSQLVAR.GetAsLong 0026 TIBXSQLVAR.GetIsNull 0036 TSQLVAR.GetSqlDef 00ac TIBXSQLVAR.GetAsString 00b4 StrToInt 00c9 @HandleOnException 00d1 _Dn_Exception 00ea IBError 00ef @DoneExcept 0114 TIBXSQLVAR.AdjustScale 0119 @TRUNC 017a TIBXSQLVAR.GetAsDouble 01d1 @UStrClr 01d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 8E 01 00 00 8B 43 18 E8 ?? ?? ?? ?? 0F BF C0 3D F0 01 00 00 7F 29 0F 84 DB 00 00 00 2D C0 01 00 00 74 47 83 E8 04 74 42 83 E8 1C 0F 84 18 01 00 00 83 E8 02 0F 84 0F 01 00 00 E9 3E 01 00 00 2D F4 01 00 00 0F 84 80 00 00 00 83 E8 1E 0F 84 F6 00 00 00 83 E8 32 0F 84 C4 00 00 00 83 E8 0A 0F 84 F5 00 00 00 E9 13 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 E9 F8 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 45 F0 C6 45 F4 05 8D 55 F0 33 C9 B0 26 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C8 00 00 00 8B 43 18 8B 10 FF 52 0C 0F BF 00 99 52 50 8B 43 18 8B 10 FF 52 20 0F BF D0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC E9 9B 00 00 00 8B 43 18 8B 10 FF 52 0C 8B 00 99 52 50 8B 43 18 8B 10 FF 52 20 0F BF D0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC EB 72 8B 43 18 8B 10 FF 52 0C FF 70 04 FF 30 8B 43 18 8B 10 FF 52 20 0F BF D0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC EB 49 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC EB 38 8B 43 18 8B 10 FF 52 0C 0F B7 00 66 83 E8 01 72 0B 75 25 C7 45 FC 01 00 00 00 EB 1C 33 C0 89 45 FC EB 15 33 C0 89 45 F0 C6 45 F4 05 8D 55 F0 33 C9 B0 26 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31708_0 {
	meta:
		name = "TIBXSQLVAR.GetAsPointer"
		size = 28
		refs = "0006 TIBXSQLVAR.GetIsNull"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A 8B 43 18 8B 10 FF 52 0C 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_31709_0 {
	meta:
		name = "TIBXSQLVAR.GetAsQuad"
		size = 101
		refs = "0015 TIBXSQLVAR.GetIsNull 0021 TSQLVAR.GetSqlDef 005c IBError"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 33 C0 89 06 33 C0 89 46 04 8B C3 E8 ?? ?? ?? ?? 84 C0 75 43 8B 43 18 E8 ?? ?? ?? ?? 66 2D 08 02 74 0C 66 83 E8 14 74 06 66 83 E8 0A 75 14 8B 43 18 8B 10 FF 52 0C 8B 10 89 16 8B 50 04 89 56 04 EB 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 26 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_31710_0 {
	meta:
		name = "TIBXSQLVAR.GetAsShort"
		size = 106
		refs = "0015 TIBXSQLVAR.GetAsShort 0022 TIBXSQLVAR.GetAsLong 0035 @HandleOnException 003d _Dn_Exception 0056 IBError 005b @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D8 66 C7 45 FE 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? 66 89 45 FE 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 45 F4 C6 45 F8 05 8D 55 F4 33 C9 B0 26 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 FE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31711_0 {
	meta:
		name = "TIBXSQLVAR.GetAsString"
		size = 32
		refs = "000a TIBSQL.GetDatabase 0019 TIBXSQLVAR.GetAsCPString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 E8 ?? ?? ?? ?? 8B 90 EC 00 00 00 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31712_0 {
	meta:
		name = "TIBXSQLVAR.GetAsVariant"
		size = 604
		refs = "0015 TIBXSQLVAR.GetAsVariant 0022 TIBXSQLVAR.GetIsNull 002d Null 003a TSQLVAR.GetSqlDef 00df @VarFromUStr 00ff TIBXSQLVAR.GetAsString 0115 TIBXSQLVAR.GetAsDateTime 011c @VarFromTDateTime 0135 TIBXSQLVAR.GetAsLong 0140 @VarFromInt 015a TIBXSQLVAR.GetAsCurrency 0161 @VarFromCurr 016d TIBXSQLVAR.GetAsDouble 0174 @VarFromReal 018d TIBXSQLVAR.GetAsInt64 0196 @VarFromInt64 01dd TIBXSQLVAR.GetAsBoolean 01e6 @VarFromBool 01fd IBError 0212 @UStrClr 0218 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C6 E8 ?? ?? ?? ?? E9 CB 01 00 00 8B 43 18 E8 ?? ?? ?? ?? 0F BF C0 3D 08 02 00 00 7F 53 0F 84 9A 00 00 00 3D E2 01 00 00 7F 28 0F 84 6F 01 00 00 2D C0 01 00 00 0F 84 93 00 00 00 83 E8 04 0F 84 8A 00 00 00 83 E8 1C 0F 84 52 01 00 00 E9 6F 01 00 00 2D F0 01 00 00 0F 84 9D 00 00 00 83 E8 04 0F 84 94 00 00 00 83 E8 0A 74 7C E9 51 01 00 00 3D 3A 02 00 00 7F 1C 74 6E 2D 12 02 00 00 0F 84 1B 01 00 00 83 E8 0A 74 23 83 E8 14 74 59 E9 2E 01 00 00 2D 44 02 00 00 0F 84 B4 00 00 00 83 E8 0A 0F 84 08 01 00 00 E9 15 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 19 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 08 01 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? E9 EF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 DC 00 00 00 8B 43 18 8B 10 FF 52 20 66 85 C0 75 17 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 B1 FC E8 ?? ?? ?? ?? E9 B8 00 00 00 8B 43 18 8B 10 FF 52 20 66 83 F8 FC 7C 13 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 97 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 84 00 00 00 8B 43 18 8B 10 FF 52 20 66 85 C0 75 12 8B C3 E8 ?? ?? ?? ?? 52 50 8B C6 E8 ?? ?? ?? ?? EB 65 8B 43 18 8B 10 FF 52 20 66 83 F8 FC 7C 10 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 47 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 37 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 27 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 15 33 C0 89 45 F4 C6 45 F8 05 8D 55 F4 33 C9 B0 26 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 28 00 41 00 72 00 72 00 61 00 79 00 29 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 28 00 42 00 6C 00 6F 00 62 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_31713_0 {
	meta:
		name = "TIBXSQLVAR.GetIsNull"
		size = 36
		refs = "0006 TIBXSQLVAR.GetIsNullable"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 43 18 8B 10 FF 52 10 66 83 38 FF 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_31714_0 {
	meta:
		name = "TIBXSQLVAR.GetIsNullable"
		size = 24
	strings:
		$1 = { 53 8B D8 8B 43 18 8B 10 FF 52 28 66 83 E0 01 66 83 F8 01 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_31715_0 {
	meta:
		name = "TIBXSQLVAR.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TIBXSQLVAR.LoadFromFile 002e TIBXSQLVAR.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 20 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_62381_0 {
	meta:
		name = "TMemoryStream.LoadFromFile"
		size = 83
		refs = "000c _DV_TFileStream 0013 TFileStream.Create 001e TMemoryStream.LoadFromFile 002e TMemoryStream.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 20 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_31716_0 {
	meta:
		name = "TIBXSQLVAR.LoadFromStream"
		size = 165
		refs = "0010 _Dn_TIBBlobStream 0015 TIBBlobStream.Create 0020 TIBXSQLVAR.LoadFromStream 0030 TIBBlobStream.SetMode 0038 TIBSQL.GetDatabase 0042 TIBBlobStream.SetDatabase 004a TIBSQL.GetTransaction 0054 TIBBlobStream.SetTransaction 0069 TIBBlobStream.LoadFromStream 0071 TIBBlobStream.Finalize 007e TIBXSQLVAR.SetAsQuad 0093 TObject.Free 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C9 33 D2 8B C6 8B 38 FF 57 14 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8D 50 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31717_0 {
	meta:
		name = "TIBXSQLVAR.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TIBXSQLVAR.SaveToFile 0031 TIBXSQLVAR.SaveToStream 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 10 FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_31718_0 {
	meta:
		name = "TIBXSQLVAR.SaveToStream"
		size = 155
		refs = "0011 _Dn_TIBBlobStream 0016 TIBBlobStream.Create 0021 TIBXSQLVAR.SaveToStream 0031 TIBBlobStream.SetMode 0039 TIBSQL.GetDatabase 0043 TIBBlobStream.SetDatabase 004b TIBSQL.GetTransaction 0055 TIBBlobStream.SetTransaction 005f TIBXSQLVAR.GetAsQuad 006a TIBBlobStream.SetBlobID 0074 TIBBlobStream.SaveToStream 0089 TObject.Free 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31719_0 {
	meta:
		name = "TIBXSQLVAR.GetSize"
		size = 16
	strings:
		$1 = { 53 8B D8 8B 43 18 8B 10 FF 52 14 0F BF C0 5B C3 }
	condition:
		$1
}

rule function_31720_0 {
	meta:
		name = "TIBXSQLVAR.GetSQLType"
		size = 16
		refs = "0007 TSQLVAR.GetSqlDef"
	strings:
		$1 = { 53 8B D8 8B 43 18 E8 ?? ?? ?? ?? 0F BF C0 5B C3 }
	condition:
		$1
}

rule function_31721_0 {
	meta:
		name = "TIBXSQLVAR.SetAsCurrency"
		size = 316
		refs = "0014 TIBXSQLVAR.SetAsCurrency 0022 TIBSQL.GetDatabase 0027 TIBDatabase.GetSQLDialect 0043 TIBXSQLVAR.SetAsDouble 004f TIBXSQLVAR.GetIsNullable 005c TIBXSQLVAR.SetIsNull 0092 @UStrEqual 009f TIBXSQLDA.GetSQLVAR 0123 @UStrClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 03 7D 1C DF 6D 08 D8 35 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? E9 C6 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 04 8B 40 08 48 85 C0 0F 8C A3 00 00 00 40 89 45 F8 C7 45 FC 00 00 00 00 8D 4D F4 8B 46 04 8B 40 0C 8B 55 FC 8B 18 FF 53 0C 8B 45 F4 8B 56 14 E8 ?? ?? ?? ?? 75 6E 8B 55 FC 8B 46 04 E8 ?? ?? ?? ?? 8B D8 8B 7B 18 8B C7 8B 10 FF 52 28 8B D0 66 83 E2 01 66 81 CA 44 02 8B C7 8B 08 FF 51 58 66 BA FC FF 8B 43 18 8B 08 FF 51 50 66 BA 08 00 8B 43 18 8B 08 FF 51 48 8B 7B 18 8B C7 8B 10 FF 52 14 0F BF C8 33 D2 8B C7 8B 38 FF 57 60 8B 43 18 8B 10 FF 52 0C 8B 55 08 89 10 8B 55 0C 89 50 04 C6 43 10 01 FF 45 FC FF 4D F8 0F 85 68 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 40 1C 46 }
	condition:
		$1
}

rule function_31722_0 {
	meta:
		name = "TIBXSQLVAR.SetAsInt64"
		size = 264
		refs = "0014 TIBXSQLVAR.SetAsInt64 0021 TIBXSQLVAR.GetIsNullable 002e TIBXSQLVAR.SetIsNull 0064 @UStrEqual 0071 TIBXSQLDA.GetSQLVAR 00f3 @UStrClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 04 8B 40 08 48 85 C0 0F 8C A1 00 00 00 40 89 45 F8 C7 45 FC 00 00 00 00 8D 4D F4 8B 46 04 8B 40 0C 8B 55 FC 8B 18 FF 53 0C 8B 45 F4 8B 56 14 E8 ?? ?? ?? ?? 75 6C 8B 55 FC 8B 46 04 E8 ?? ?? ?? ?? 8B D8 8B 7B 18 8B C7 8B 10 FF 52 28 8B D0 66 83 E2 01 66 81 CA 44 02 8B C7 8B 08 FF 51 58 33 D2 8B 43 18 8B 08 FF 51 50 66 BA 08 00 8B 43 18 8B 08 FF 51 48 8B 7B 18 8B C7 8B 10 FF 52 14 0F BF C8 33 D2 8B C7 8B 38 FF 57 60 8B 43 18 8B 10 FF 52 0C 8B 55 08 89 10 8B 55 0C 89 50 04 C6 43 10 01 FF 45 FC FF 4D F8 0F 85 6A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_31723_0 {
	meta:
		name = "TIBXSQLVAR.SetAsDate"
		size = 388
		refs = "0017 TIBXSQLVAR.SetAsDate 0025 TIBSQL.GetDatabase 002a TIBDatabase.GetSQLDialect 003c TIBXSQLVAR.SetAsDateTime 0048 TIBXSQLVAR.GetIsNullable 0055 TIBXSQLVAR.SetIsNull 008b @UStrEqual 009c TIBXSQLDA.GetSQLVAR 00ce DecodeDate 0133 TIBDatabase.GDSLibrary 0167 @IntfClear 016f @UStrClr 0175 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 D2 89 55 C4 89 55 C8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 03 7D 12 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? E9 11 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 04 8B 40 08 48 85 C0 0F 8C EE 00 00 00 40 89 45 F0 C7 45 FC 00 00 00 00 8D 4D C8 8B 43 04 8B 40 0C 8B 55 FC 8B 30 FF 56 0C 8B 45 C8 8B 53 14 E8 ?? ?? ?? ?? 0F 85 B5 00 00 00 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B F0 8B 7E 18 8B C7 8B 10 FF 52 28 8B D0 66 83 E2 01 66 81 CA 3A 02 8B C7 8B 08 FF 51 58 FF 75 0C FF 75 08 8D 4D F6 8D 55 F8 8D 45 FA E8 ?? ?? ?? ?? 33 C0 89 45 CC 33 C0 89 45 D0 33 C0 89 45 D4 0F B7 45 F6 89 45 D8 0F B7 45 F8 48 89 45 DC 0F B7 45 FA 2D 6C 07 00 00 89 45 E0 66 BA 04 00 8B 46 18 8B 08 FF 51 48 8B 7E 18 8B C7 8B 10 FF 52 14 0F BF C8 33 D2 8B C7 8B 38 FF 57 60 8B 46 18 8B 10 FF 52 0C 50 8B 43 08 E8 ?? ?? ?? ?? 8D 55 C4 E8 ?? ?? ?? ?? 8B 45 C4 8D 55 CC 59 8B 38 FF 97 D8 00 00 00 C6 46 10 01 FF 45 FC FF 4D F0 0F 85 1D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_31724_0 {
	meta:
		name = "TIBXSQLVAR.SetAsTime"
		size = 386
		refs = "0017 TIBXSQLVAR.SetAsTime 0025 TIBSQL.GetDatabase 002a TIBDatabase.GetSQLDialect 003c TIBXSQLVAR.SetAsDateTime 0048 TIBXSQLVAR.GetIsNullable 0055 TIBXSQLVAR.SetIsNull 008b @UStrEqual 009c TIBXSQLDA.GetSQLVAR 00d2 DecodeTime 0131 TIBDatabase.GDSLibrary 0165 @IntfClear 016d @UStrClr 0173 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 D2 89 55 C4 89 55 C8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 03 7D 12 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? E9 0F 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 04 8B 40 08 48 85 C0 0F 8C EC 00 00 00 40 89 45 F0 C7 45 FC 00 00 00 00 8D 4D C8 8B 43 04 8B 40 0C 8B 55 FC 8B 30 FF 56 0C 8B 45 C8 8B 53 14 E8 ?? ?? ?? ?? 0F 85 B3 00 00 00 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B F0 8B 7E 18 8B C7 8B 10 FF 52 28 8B D0 66 83 E2 01 66 81 CA 30 02 8B C7 8B 08 FF 51 58 FF 75 0C FF 75 08 8D 45 F4 50 8D 4D F6 8D 55 F8 8D 45 FA E8 ?? ?? ?? ?? 0F B7 45 F6 89 45 CC 0F B7 45 F8 89 45 D0 0F B7 45 FA 89 45 D4 33 C0 89 45 D8 33 C0 89 45 DC 33 C0 89 45 E0 66 BA 04 00 8B 46 18 8B 08 FF 51 48 8B 7E 18 8B C7 8B 10 FF 52 14 0F BF C8 33 D2 8B C7 8B 38 FF 57 60 8B 46 18 8B 10 FF 52 0C 50 8B 43 08 E8 ?? ?? ?? ?? 8D 55 C4 E8 ?? ?? ?? ?? 8B 45 C4 8D 55 CC 59 8B 38 FF 97 DC 00 00 00 C6 46 10 01 FF 45 FC FF 4D F0 0F 85 1F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_31725_0 {
	meta:
		name = "TIBXSQLVAR.SetAsDateTime"
		size = 382
		refs = "0017 TIBXSQLVAR.SetAsDateTime 0024 TIBXSQLVAR.GetIsNullable 0031 TIBXSQLVAR.SetIsNull 0067 @UStrEqual 0078 TIBXSQLDA.GetSQLVAR 00aa DecodeDate 00c2 DecodeTime 0125 TIBSQL.GetDatabase 012d TIBDatabase.GDSLibrary 0161 @IntfClear 0169 @UStrClr 016f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 D2 89 55 BC 89 55 C0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 04 8B 40 08 48 85 C0 0F 8C 0C 01 00 00 40 89 45 E8 C7 45 FC 00 00 00 00 8D 4D C0 8B 46 04 8B 40 0C 8B 55 FC 8B 18 FF 53 0C 8B 45 C0 8B 56 14 E8 ?? ?? ?? ?? 0F 85 D3 00 00 00 8B 55 FC 8B 46 04 E8 ?? ?? ?? ?? 8B D8 8B 7B 18 8B C7 8B 10 FF 52 28 8B D0 66 83 E2 01 66 81 CA FE 01 8B C7 8B 08 FF 51 58 FF 75 0C FF 75 08 8D 4D F6 8D 55 F8 8D 45 FA E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 45 EE 50 8D 4D F0 8D 55 F2 8D 45 F4 E8 ?? ?? ?? ?? 0F B7 45 F0 89 45 C4 0F B7 45 F2 89 45 C8 0F B7 45 F4 89 45 CC 0F B7 45 F6 89 45 D0 0F B7 45 F8 48 89 45 D4 0F B7 45 FA 2D 6C 07 00 00 89 45 D8 66 BA 08 00 8B 43 18 8B 08 FF 51 48 8B 7B 18 8B C7 8B 10 FF 52 14 0F BF C8 33 D2 8B C7 8B 38 FF 57 60 8B 43 18 8B 10 FF 52 0C 50 8B 46 08 E8 ?? ?? ?? ?? 8D 55 BC E8 ?? ?? ?? ?? 8B 45 BC 8D 55 C4 59 8B 38 FF 97 D4 00 00 00 C6 43 10 01 FF 45 FC FF 4D E8 0F 85 FF FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_31726_0 {
	meta:
		name = "TIBXSQLVAR.SetAsDouble"
		size = 264
		refs = "0014 TIBXSQLVAR.SetAsDouble 0021 TIBXSQLVAR.GetIsNullable 002e TIBXSQLVAR.SetIsNull 0064 @UStrEqual 0071 TIBXSQLDA.GetSQLVAR 00f3 @UStrClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 04 8B 40 08 48 85 C0 0F 8C A1 00 00 00 40 89 45 F8 C7 45 FC 00 00 00 00 8D 4D F4 8B 46 04 8B 40 0C 8B 55 FC 8B 18 FF 53 0C 8B 45 F4 8B 56 14 E8 ?? ?? ?? ?? 75 6C 8B 55 FC 8B 46 04 E8 ?? ?? ?? ?? 8B D8 8B 7B 18 8B C7 8B 10 FF 52 28 8B D0 66 83 E2 01 66 81 CA E0 01 8B C7 8B 08 FF 51 58 66 BA 08 00 8B 43 18 8B 08 FF 51 48 33 D2 8B 43 18 8B 08 FF 51 50 8B 7B 18 8B C7 8B 10 FF 52 14 0F BF C8 33 D2 8B C7 8B 38 FF 57 60 8B 43 18 8B 10 FF 52 0C 8B 55 08 89 10 8B 55 0C 89 50 04 C6 43 10 01 FF 45 FC FF 4D F8 0F 85 6A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_31727_0 {
	meta:
		name = "TIBXSQLVAR.SetAsFloat"
		size = 258
		refs = "0014 TIBXSQLVAR.SetAsFloat 0021 TIBXSQLVAR.GetIsNullable 002e TIBXSQLVAR.SetIsNull 0064 @UStrEqual 0071 TIBXSQLDA.GetSQLVAR 00ed @UStrClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 04 8B 40 08 48 85 C0 0F 8C 9B 00 00 00 40 89 45 F8 C7 45 FC 00 00 00 00 8D 4D F4 8B 46 04 8B 40 0C 8B 55 FC 8B 18 FF 53 0C 8B 45 F4 8B 56 14 E8 ?? ?? ?? ?? 75 66 8B 55 FC 8B 46 04 E8 ?? ?? ?? ?? 8B D8 8B 7B 18 8B C7 8B 10 FF 52 28 8B D0 66 83 E2 01 66 81 CA E2 01 8B C7 8B 08 FF 51 58 66 BA 04 00 8B 43 18 8B 08 FF 51 48 33 D2 8B 43 18 8B 08 FF 51 50 8B 7B 18 8B C7 8B 10 FF 52 14 0F BF C8 33 D2 8B C7 8B 38 FF 57 60 8B 43 18 8B 10 FF 52 0C 8B 55 08 89 10 C6 43 10 01 FF 45 FC FF 4D F8 0F 85 70 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_31728_0 {
	meta:
		name = "TIBXSQLVAR.SetAsLong"
		size = 259
		refs = "0017 TIBXSQLVAR.SetAsLong 0024 TIBXSQLVAR.GetIsNullable 0031 TIBXSQLVAR.SetIsNull 0067 @UStrEqual 0074 TIBXSQLDA.GetSQLVAR 00f0 @UStrClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 04 8B 40 08 48 85 C0 0F 8C 9B 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 8D 4D F0 8B 46 04 8B 40 0C 8B 55 F8 8B 18 FF 53 0C 8B 45 F0 8B 56 14 E8 ?? ?? ?? ?? 75 66 8B 55 F8 8B 46 04 E8 ?? ?? ?? ?? 8B D8 8B 7B 18 8B C7 8B 10 FF 52 28 8B D0 66 83 E2 01 66 81 CA F0 01 8B C7 8B 08 FF 51 58 66 BA 04 00 8B 43 18 8B 08 FF 51 48 33 D2 8B 43 18 8B 08 FF 51 50 8B 7B 18 8B C7 8B 10 FF 52 14 0F BF C8 33 D2 8B C7 8B 38 FF 57 60 8B 43 18 8B 10 FF 52 0C 8B 55 FC 89 10 C6 43 10 01 FF 45 F8 FF 4D F4 0F 85 70 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31729_0 {
	meta:
		name = "TIBXSQLVAR.SetAsPointer"
		size = 242
		refs = "0016 TIBXSQLVAR.SetAsPointer 0023 TIBXSQLVAR.GetIsNullable 0036 TIBXSQLVAR.SetIsNull 0076 @UStrEqual 0083 TIBXSQLDA.GetSQLVAR 00bf Move 00e0 @UStrClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 83 7D FC 00 75 0E B2 01 8B C3 E8 ?? ?? ?? ?? E9 90 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 04 8B 40 08 48 85 C0 7C 7C 40 89 45 F4 C7 45 F8 00 00 00 00 8D 4D F0 8B 43 04 8B 40 0C 8B 55 F8 8B 30 FF 56 0C 8B 45 F0 8B 53 14 E8 ?? ?? ?? ?? 75 4B 8B 55 F8 8B 43 04 E8 ?? ?? ?? ?? 8B F0 8B 43 18 8B 10 FF 52 28 8B D0 66 83 E2 01 66 81 CA C4 01 8B 46 18 8B 08 FF 51 58 8B 46 18 8B 10 FF 52 14 0F BF C0 50 8B 46 18 8B 10 FF 52 0C 8B D0 8B 45 FC 59 E8 ?? ?? ?? ?? C6 46 10 01 FF 45 F8 FF 4D F4 75 8F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31730_0 {
	meta:
		name = "TIBXSQLVAR.SetAsQuad"
		size = 280
		refs = "001b TIBXSQLVAR.SetAsQuad 0028 TIBXSQLVAR.GetIsNullable 0035 TIBXSQLVAR.SetIsNull 006b @UStrEqual 0078 TIBXSQLDA.GetSQLVAR 0082 TSQLVAR.GetSqlDef 00ab IBError 0105 @UStrClr 010b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D EC 8B F2 8D 7D F8 A5 A5 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 04 8B 40 08 48 85 C0 0F 8C AC 00 00 00 40 89 45 F0 C7 45 F4 00 00 00 00 8D 4D EC 8B 46 04 8B 40 0C 8B 55 F4 8B 18 FF 53 0C 8B 45 EC 8B 56 14 E8 ?? ?? ?? ?? 75 77 8B 55 F4 8B 46 04 E8 ?? ?? ?? ?? 8B D8 8B 43 18 E8 ?? ?? ?? ?? 66 3D 08 02 74 23 8B 43 18 E8 ?? ?? ?? ?? 66 3D 1C 02 74 15 33 C0 89 45 E4 C6 45 E8 05 8D 55 E4 33 C9 B0 26 E8 ?? ?? ?? ?? 66 BA 08 00 8B 43 18 8B 08 FF 51 48 8B 7B 18 8B C7 8B 10 FF 52 14 0F BF C8 33 D2 8B C7 8B 38 FF 57 60 8B 43 18 8B 10 FF 52 0C 8B 55 F8 89 10 8B 55 FC 89 50 04 C6 43 10 01 FF 45 F4 FF 4D F0 0F 85 5F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31731_0 {
	meta:
		name = "TIBXSQLVAR.SetAsShort"
		size = 262
		refs = "0018 TIBXSQLVAR.SetAsShort 0025 TIBXSQLVAR.GetIsNullable 0032 TIBXSQLVAR.SetIsNull 0068 @UStrEqual 0075 TIBXSQLDA.GetSQLVAR 00f3 @UStrClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 66 89 55 FE 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 04 8B 40 08 48 85 C0 0F 8C 9D 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 8D 4D F0 8B 46 04 8B 40 0C 8B 55 F8 8B 18 FF 53 0C 8B 45 F0 8B 56 14 E8 ?? ?? ?? ?? 75 68 8B 55 F8 8B 46 04 E8 ?? ?? ?? ?? 8B D8 8B 7B 18 8B C7 8B 10 FF 52 28 8B D0 66 83 E2 01 66 81 CA F4 01 8B C7 8B 08 FF 51 58 66 BA 02 00 8B 43 18 8B 08 FF 51 48 33 D2 8B 43 18 8B 08 FF 51 50 8B 7B 18 8B C7 8B 10 FF 52 14 0F BF C8 33 D2 8B C7 8B 38 FF 57 60 8B 43 18 8B 10 FF 52 0C 0F B7 55 FE 66 89 10 C6 43 10 01 FF 45 F8 FF 4D F4 0F 85 6E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31732_0 {
	meta:
		name = "TIBXSQLVAR.SetAsString"
		size = 32
		refs = "000a TIBSQL.GetDatabase 0019 TIBXSQLVAR.SetAsCPString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 E8 ?? ?? ?? ?? 8B 88 EC 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31733_0 {
	meta:
		name = "TIBXSQLVAR.SetAsVariant"
		size = 593
		refs = "0020 @VarAddRef 0028 TIBXSQLVAR.SetAsVariant 0036 VarIsNull 0043 TIBXSQLVAR.SetIsNull 0102 @VarToInteger 010b TIBXSQLVAR.SetAsLong 0118 @VarToReal 0126 TIBXSQLVAR.SetAsDouble 0133 @VarToCurrency 0141 TIBXSQLVAR.SetAsCurrency 014e @VarToBool 015b TIBXSQLVAR.SetAsBoolean 0184 TIBXSQLVAR.SetAsDateTime 0194 @VarToUStr 019e TIBXSQLVAR.SetAsString 01b5 IBError 01d6 @VarToInt64 01df TIBXSQLVAR.SetAsInt64 01ed TArray<System.Byte> 01f2 @VarToDynArray 01fc TIBXSQLVAR.SetAsBytes 022e @DynArrayClear 0236 @UStrClr 023e @VarClr 0244 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 89 4D EC 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 0E B2 01 8B C3 E8 ?? ?? ?? ?? E9 CB 01 00 00 0F B7 45 F0 83 F8 0C 7D 40 83 F8 0B 0F 87 A4 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D 02 01 00 00 7F 30 0F 84 EB 00 00 00 83 C0 F4 83 E8 02 0F 82 0D 01 00 00 83 C0 FE 83 E8 04 72 48 0F 84 16 01 00 00 2D EC 00 00 00 0F 84 C6 00 00 00 E9 36 01 00 00 2D 00 20 00 00 0F 84 CD 00 00 00 83 E8 11 0F 84 05 01 00 00 2D EF 1F 00 00 0F 84 D0 00 00 00 E9 12 01 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? E9 19 01 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E9 03 01 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 E8 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 CD 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 0E B2 01 8B C3 E8 ?? ?? ?? ?? E9 B3 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? E9 A5 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 8A 00 00 00 8D 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? EB 73 33 C0 89 45 E4 C6 45 E8 05 8D 55 E4 33 C9 B0 04 E8 ?? ?? ?? ?? EB 5C 33 C0 89 45 E4 C6 45 E8 05 8D 55 E4 33 C9 B0 05 E8 ?? ?? ?? ?? EB 45 8D 45 F0 E8 ?? ?? ?? ?? 52 50 8B C3 E8 ?? ?? ?? ?? EB 32 8D 45 E0 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? EB 15 33 C0 89 45 E4 C6 45 E8 05 8D 55 E4 33 C9 B0 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31734_0 {
	meta:
		name = "TIBXSQLVAR.SetIsNull"
		size = 312
		refs = "001a TIBXSQLVAR.SetIsNull 002d TIBXSQLVAR.GetIsNullable 003a TIBXSQLVAR.SetIsNullable 006a @UStrEqual 0076 TIBXSQLDA.GetSQLVAR 0125 @UStrArrayClr 012b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D FF 00 74 77 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 04 8B 40 08 48 85 C0 0F 8C C2 00 00 00 40 89 45 F8 33 F6 8D 4D F4 8B 43 04 8B 40 0C 8B D6 8B 38 FF 57 0C 8B 45 F4 8B 53 14 E8 ?? ?? ?? ?? 75 29 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B F8 8B 47 18 8B 10 FF 52 10 85 C0 74 0D 8B 47 18 8B 10 FF 52 10 66 C7 00 FF FF C6 47 10 01 46 FF 4D F8 75 B4 EB 6E 80 7D FF 00 75 68 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5D 8B 43 04 8B 40 08 48 85 C0 7C 52 40 89 45 F8 33 F6 8D 4D F0 8B 43 04 8B 40 0C 8B D6 8B 38 FF 57 0C 8B 45 F0 8B 53 14 E8 ?? ?? ?? ?? 75 29 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B F8 8B 47 18 8B 10 FF 52 10 85 C0 74 0D 8B 47 18 8B 10 FF 52 10 66 C7 00 00 00 C6 47 10 01 46 FF 4D F8 75 B4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31735_0 {
	meta:
		name = "TIBXSQLVAR.SetIsNullable"
		size = 228
		refs = "0017 TIBXSQLVAR.SetIsNullable 004d @UStrEqual 0059 TIBXSQLDA.GetSQLVAR 0062 TIBXSQLVAR.GetIsNullable 009c TSQLVAR.GetSqlDef 00d1 @UStrClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 40 08 48 85 C0 0F 8C 90 00 00 00 40 89 45 F8 33 F6 8D 4D F4 8B 43 04 8B 40 0C 8B D6 8B 38 FF 57 0C 8B 45 F4 8B 53 14 E8 ?? ?? ?? ?? 75 63 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 3A 45 FF 74 4B 80 7D FF 00 74 27 8B 47 18 8B 10 FF 52 28 8B D0 66 83 CA 01 8B 47 18 8B 08 FF 51 58 8B 47 18 B9 02 00 00 00 33 D2 8B 38 FF 57 64 EB 1E 8B 47 18 E8 ?? ?? ?? ?? 8B D0 8B 47 18 8B 08 FF 51 58 8B 47 18 33 C9 33 D2 8B 38 FF 57 64 46 FF 4D F8 0F 85 76 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31738_0 {
	meta:
		name = "SetStringValue"
		size = 544
		refs = "0018 SetStringValue 0060 @UStrEqual 0076 TIBXSQLDA.GetSQLVAR 0090 @LStrEqual 00cc @UStrToPWChar 00d3 Move 0111 @DynArrayLength 0151 IBError 01d6 @LStrArrayClr 01de @UStrClr 01e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C0 89 45 F0 89 45 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 04 8B 40 08 48 85 C0 0F 8C 89 01 00 00 40 89 45 FC 33 F6 8D 4D F8 8B 45 08 8B 40 FC 8B 40 04 8B 40 0C 8B D6 8B 18 FF 53 0C 8B 45 F8 8B 55 08 8B 52 FC 8B 52 14 E8 ?? ?? ?? ?? 0F 85 4C 01 00 00 8B 45 08 8B 40 FC 8B 40 04 8B D6 E8 ?? ?? ?? ?? 8B D8 8D 55 F4 8B 43 18 8B 08 FF 51 18 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1A 8D 55 F0 8B 43 18 8B 08 FF 51 18 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2C 8B 43 18 8B 10 FF 52 14 0F BF C0 50 8B 43 18 8B 10 FF 52 0C 50 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? E9 D6 00 00 00 8B 45 08 8B 40 FC 8B 40 18 8B 10 FF 52 28 8B D0 66 83 E2 01 66 81 CA C4 01 8B 43 18 8B 08 FF 51 58 8B 45 08 8B 40 FC 66 83 78 1C 00 7E 4B 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 0F BF 52 1C 3B C2 7E 32 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 00 8B 45 08 8B 40 FC 0F BF 40 1C 89 45 E8 C6 45 EC 00 8D 55 E0 B9 01 00 00 00 B0 77 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B D0 8B 43 18 8B 08 FF 51 48 8B 7B 18 8B C7 8B 10 FF 52 14 0F BF C8 41 33 D2 8B C7 8B 38 FF 57 60 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 85 C0 7E 22 8B 43 18 8B 10 FF 52 14 0F BF C0 50 8B 43 18 8B 10 FF 52 0C 8B D0 8B 45 08 8B 40 F4 59 E8 ?? ?? ?? ?? C6 43 10 01 46 FF 4D FC 0F 85 7D FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 06 00 00 00 44 42 5F 4B 45 59 00 00 E4 04 01 00 FF FF FF FF 0A 00 00 00 52 44 42 24 44 42 5F 4B 45 59 00 00 }
	condition:
		$1
}

rule function_31739_0 {
	meta:
		name = "TIBXSQLVAR.SetAsCPString"
		size = 641
		refs = "0028 TIBXSQLVAR.SetAsCPString 0036 TIBXSQLVAR.GetIsNullable 0044 TIBXSQLVAR.SetIsNull 004f TSQLVAR.GetSqlDef 006f _Dn_TMBCSEncoding 0074 TMBCSEncoding.Create 0093 TEncoding.GetBytes 0099 SetStringValue 00af TObject.Free 00b5 @HandleFinally 00c7 @LStrFromUStr 00d2 BytesOf 0117 _Dn_TBytesStream 011c TBytesStream.Create 0138 TIBXSQLVAR.LoadFromStream 01f5 @UStrLAsg 01fb CurrencyString 0203 StrToDateTime 0215 TIBXSQLVAR.SetAsDateTime 023e @LStrClr 0247 TArray<System.Byte> 0251 @FinalizeArray 0261 @UStrClr 026f @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 DB 89 5D D4 89 5D D0 89 5D D8 89 5D DC 89 5D F4 89 5D F0 8B F1 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 0F BF D8 81 FB C4 01 00 00 74 08 81 FB C0 01 00 00 75 7C 85 F6 74 51 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B 55 F8 8B 45 E8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 DC 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC 8D 55 F4 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 E9 4B 01 00 00 81 FB 08 02 00 00 0F 85 D6 00 00 00 85 F6 74 6F 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8D 4D D8 8B 55 F8 8B 45 E8 E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8D 45 D0 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 8D 55 D4 E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D F8 00 75 0C B2 01 8B 45 FC E8 ?? ?? ?? ?? EB 57 81 FB FE 01 00 00 74 10 81 FB 3A 02 00 00 74 08 81 FB 30 02 00 00 75 2D 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? DD 5D E0 9B FF 75 E4 FF 75 E0 8B 45 FC E8 ?? ?? ?? ?? EB 12 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31742_0 {
	meta:
		name = "TIBXSQLVAR.GetAsCPString"
		size = 1340
		refs = "0021 TIBXSQLVAR.GetAsCPString 002e @UStrClr 0035 TIBXSQLVAR.GetIsNull 0045 TSQLVAR.GetSqlDef 00f6 @UStrAsg 0105 _Dn_TMBCSEncoding 010a TMBCSEncoding.Create 0114 _Dn_TBytesStream 0119 TObject.Create 0134 TIBXSQLVAR.SaveToStream 014d TEncoding.GetString 0162 TObject.Free 0170 @HandleFinally 01a9 TIBSQL.GetDatabase 01b4 TIBDatabase.GDSLibrary 01fc TArray<System.Byte> 0201 @DynArraySetLength 0211 Move 0233 TIBXSQLVAR.GetCharsetSize 0245 @UStrSetLength 026f TIBDatabase.GetSQLDialect 0283 TIBXSQLVAR.GetAsDateTime 0295 CurrencyString 029a DateTimeToStr 02c7 DateToStr 02f4 TimeToStr 0344 TIBXSQLVAR.GetAsLong 034b IntToStr 0365 TIBXSQLVAR.GetAsCurrency 037c CurrToStr 0392 TIBXSQLVAR.GetAsDouble 03ae FloatToStr 03d1 TIBXSQLVAR.GetAsInt64 049a TIBXSQLVAR.GetAsBoolean 04a5 STextTrue 04aa LoadResString 04b3 STextFalse 04d8 IBError 04f0 @IntfClear 04fd @UStrArrayClr 050b @DynArrayClear"
	strings:
		$1 = { 55 8B EC 51 B9 15 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 89 55 D4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 9B 04 00 00 8B 43 18 E8 ?? ?? ?? ?? 0F BF C0 3D 08 02 00 00 7F 57 0F 84 A6 00 00 00 3D E2 01 00 00 7F 28 0F 84 F6 03 00 00 2D C0 01 00 00 0F 84 05 01 00 00 83 E8 04 0F 84 FC 00 00 00 83 E8 1C 0F 84 D9 03 00 00 E9 36 04 00 00 2D F0 01 00 00 0F 84 A1 02 00 00 83 E8 04 0F 84 98 02 00 00 83 E8 0A 0F 84 62 02 00 00 E9 14 04 00 00 3D 3A 02 00 00 7F 24 0F 84 AF 01 00 00 2D 12 02 00 00 0F 84 9A 03 00 00 83 E8 0A 74 27 83 E8 14 0F 84 0A 02 00 00 E9 E9 03 00 00 2D 44 02 00 00 0F 84 E1 02 00 00 83 E8 0A 0F 84 AE 03 00 00 E9 D0 03 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DD 03 00 00 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 8B 10 FF 12 50 56 8B 45 CC 8B 50 14 33 C9 8B 45 C8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 43 18 8B 10 FF 52 0C 89 45 D0 8B 43 18 E8 ?? ?? ?? ?? 66 3D C4 01 75 0D 8B 43 18 8B 10 FF 52 14 0F BF F8 EB 35 8B 43 18 8B 10 FF 52 0C 50 8B 43 08 E8 ?? ?? ?? ?? 8D 95 5C FF FF FF E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 66 B9 02 00 5A 8B 38 FF 97 28 01 00 00 8B F8 83 45 D0 02 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B 45 D0 8B CF E8 ?? ?? ?? ?? 8B CE 8B 55 FC 8B 45 C8 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 66 3D C4 01 75 19 8B C3 E8 ?? ?? ?? ?? 50 8B C7 5A 8B CA 99 F7 F9 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 43 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 74 0A 83 E8 02 74 32 E9 5C 02 00 00 8B C3 E8 ?? ?? ?? ?? DD 5D C0 9B FF 75 C4 FF 75 C0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? E9 2F 02 00 00 8B C3 E8 ?? ?? ?? ?? DD 5D B8 9B FF 75 BC FF 75 B8 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F4 E8 ?? ?? ?? ?? E9 02 02 00 00 8B C3 E8 ?? ?? ?? ?? DD 5D B0 9B FF 75 B4 FF 75 B0 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F0 E8 ?? ?? ?? ?? E9 D5 01 00 00 8B C3 E8 ?? ?? ?? ?? DD 5D A8 9B FF 75 AC FF 75 A8 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 EC E8 ?? ?? ?? ?? E9 A8 01 00 00 8B 43 18 8B 10 FF 52 20 66 85 C0 75 13 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E9 88 01 00 00 8B 43 18 8B 10 FF 52 20 66 83 F8 FC 7C 2D 8B C3 E8 ?? ?? ?? ?? DF 7D A0 9B FF 75 A4 FF 75 A0 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 E8 E8 ?? ?? ?? ?? E9 4D 01 00 00 8B C3 E8 ?? ?? ?? ?? DB 7D 90 9B 0F B7 45 98 50 FF 75 94 FF 75 90 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 E4 E8 ?? ?? ?? ?? E9 1B 01 00 00 8B 43 18 8B 10 FF 52 20 66 85 C0 75 15 8B C3 E8 ?? ?? ?? ?? 52 50 8B C6 E8 ?? ?? ?? ?? E9 F9 00 00 00 8B 43 18 8B 10 FF 52 20 66 83 F8 FC 7C 2D 8B C3 E8 ?? ?? ?? ?? DF 7D 88 9B FF 75 8C FF 75 88 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 E0 E8 ?? ?? ?? ?? E9 BE 00 00 00 8B C3 E8 ?? ?? ?? ?? DB BD 70 FF FF FF 9B 0F B7 85 78 FF FF FF 50 FF B5 74 FF FF FF FF B5 70 FF FF FF 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 DC E8 ?? ?? ?? ?? E9 80 00 00 00 8B C3 E8 ?? ?? ?? ?? DB BD 60 FF FF FF 9B 0F B7 85 68 FF FF FF 50 FF B5 64 FF FF FF FF B5 60 FF FF FF 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 D8 E8 ?? ?? ?? ?? EB 45 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2C 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1E 33 C0 89 85 54 FF FF FF C6 85 58 FF FF FF 05 8D 95 54 FF FF FF 33 C9 B0 26 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 8D 45 D8 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 28 00 41 00 72 00 72 00 61 00 79 00 29 00 00 00 }
	condition:
		$1
}

rule function_31743_0 {
	meta:
		name = "TIBXSQLVAR.GetAsBoolean"
		size = 79
		refs = "000c TIBXSQLVAR.GetIsNull 0018 TSQLVAR.GetSqlDef 0044 IBError"
	strings:
		$1 = { 53 56 83 C4 F8 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 75 34 8B 46 18 E8 ?? ?? ?? ?? 66 2D 4E 02 75 11 8B 46 18 8B 10 FF 52 0C 66 83 38 01 0F 94 C3 EB 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 26 E8 ?? ?? ?? ?? 8B C3 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_31744_0 {
	meta:
		name = "TIBXSQLVAR.GetAsBytes"
		size = 245
		refs = "0013 TIBXSQLVAR.GetAsBytes 0021 TSQLVAR.GetSqlDef 002e _Dn_TBytesStream 0033 TObject.Create 004e TIBXSQLVAR.SaveToStream 005c TArray<System.Byte> 0061 @DynArrayAsg 007b @DynArraySetLength 0093 TObject.Free 0099 @HandleFinally 00a5 TIBXSQLVAR.GetAsString 00b0 BytesOf 00d5 @UStrClr 00e3 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 18 E8 ?? ?? ?? ?? 66 3D 08 02 75 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 55 FC 8B 52 14 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 12 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31745_0 {
	meta:
		name = "TIBXSQLVAR.SetAsBoolean"
		size = 37
	strings:
		$1 = { 53 8B D8 84 D2 74 0F 8B 43 18 8B 10 FF 52 0C 66 C7 00 01 00 5B C3 8B 43 18 8B 10 FF 52 0C 66 C7 00 00 00 5B C3 }
	condition:
		$1
}

rule function_31746_0 {
	meta:
		name = "TIBXSQLVAR.SetAsBytes"
		size = 170
		refs = "0015 TIBXSQLVAR.SetAsBytes 0023 TSQLVAR.GetSqlDef 0032 _Dn_TBytesStream 0037 TBytesStream.Create 0052 TIBXSQLVAR.LoadFromStream 0067 TObject.Free 006d @HandleFinally 0079 StringOf 0083 TIBXSQLVAR.SetAsString 0098 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 18 E8 ?? ?? ?? ?? 66 3D 08 02 75 46 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31747_0 {
	meta:
		name = "TIBXSQLVAR.SetFXSQLVAR"
		size = 461
		refs = "0017 TIBXSQLVAR.SetFXSQLVAR 0053 @UStrEqual 0064 TIBXSQLDA.GetSQLVAR 0084 _DV_TSQLVAR_V1 0089 @IsClass 00a3 Move 0135 TSQLVAR.GetSqlDef 01ba @UStrClr 01c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 40 08 48 85 C0 0F 8C 79 01 00 00 40 89 45 EC C7 45 F8 00 00 00 00 8D 4D E8 8B 46 04 8B 40 0C 8B 55 F8 8B 18 FF 53 0C 8B 45 E8 8B 56 14 E8 ?? ?? ?? ?? 0F 85 40 01 00 00 8B 55 F8 8B 46 04 E8 ?? ?? ?? ?? 8B D8 8B 43 18 8B 10 FF 52 10 8B F8 8B 43 18 8B 10 FF 52 0C 89 45 F4 8B 43 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B 43 18 8B 50 04 8B 45 FC 8B 40 04 B9 98 00 00 00 E8 ?? ?? ?? ?? EB 16 8B 43 18 8B 50 04 8B 45 FC 8B 40 04 B9 2C 01 00 00 E8 ?? ?? ?? ?? 8B D7 8B 43 18 8B 08 FF 51 44 8B 55 F4 8B 43 18 8B 08 FF 51 40 8B 45 FC 8B 10 FF 52 28 66 83 E0 01 66 83 F8 01 75 33 8B 43 18 8B 10 FF 52 10 85 C0 75 0F B9 02 00 00 00 33 D2 8B 43 18 8B 38 FF 57 64 8B 45 FC 8B 10 FF 52 10 0F B7 38 8B 43 18 8B 10 FF 52 10 66 89 38 EB 18 8B 43 18 8B 10 FF 52 10 85 C0 74 0C 33 C9 33 D2 8B 43 18 8B 38 FF 57 64 8B 43 18 E8 ?? ?? ?? ?? 66 3D C0 01 75 13 8B 43 18 8B 10 FF 52 14 0F BF C0 83 C0 02 89 45 F0 EB 0E 8B 43 18 8B 10 FF 52 14 0F BF C0 89 45 F0 8B 45 FC 8B 10 FF 52 20 8B D0 8B 46 18 8B 08 FF 51 50 8B 4D F0 33 D2 8B 43 18 8B 38 FF 57 60 8B 43 18 8B 10 FF 52 0C 50 8B 45 FC 8B 10 FF 52 0C 8B 4D F0 5A E8 ?? ?? ?? ?? C6 43 10 01 FF 45 F8 FF 4D EC 0F 85 92 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31749_0 {
	meta:
		name = "TIBXSQLVAR.AdjustScaleToBCD"
		size = 280
		refs = "0021 TIBXSQLVAR.AdjustScaleToBCD 0044 Format 007e @UStrCopy 008a CurrencyString 0096 @UStrFromWChar 00bd @UStrCatN 00c8 StrToBcd 00e2 @UStrArrayClr 00ea @UStrClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E8 89 5D E4 89 5D E0 89 5D FC 89 4D F4 89 55 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 45 08 89 45 EC C6 45 F0 10 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D8 85 DB 74 05 83 EB 04 8B 1B 8B F0 85 F6 74 05 83 EE 04 8B 36 8B F8 85 FF 74 05 83 EF 04 8B 3F 8D 45 E8 50 8B CB 03 4D F8 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? FF 75 E8 8D 45 E4 8B 15 ?? ?? ?? ?? 0F B7 92 BE 00 00 00 E8 ?? ?? ?? ?? FF 75 E4 8D 45 E0 50 8B D6 03 55 F8 42 8B CF 8B 45 FC E8 ?? ?? ?? ?? FF 75 E0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 2E 00 31 00 38 00 64 00 00 00 }
	condition:
		$1
}

rule function_31750_0 {
	meta:
		name = "TIBXSQLVAR.GetCharsetSize"
		size = 296
		refs = "000e TIBXSQLVAR.GetCharsetSize 00b3 @UStrFromLStr 00c0 Pos 00f2 @LStrClr 00fa @UStrClr 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 18 8B 10 FF 52 24 66 25 FF 00 0F BF C0 83 F8 40 0F 87 AC 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 01 01 03 00 02 02 00 02 00 01 01 01 01 01 00 00 00 00 01 00 01 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 00 02 01 01 01 00 00 01 01 01 01 01 01 02 02 01 04 00 00 00 00 02 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BB 01 00 00 00 EB 47 BB 02 00 00 00 EB 40 8D 55 F8 8B 43 18 8B 08 FF 51 08 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 07 BB 01 00 00 00 EB 13 BB 03 00 00 00 EB 0C BB 04 00 00 00 EB 05 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 44 00 42 00 24 00 00 00 00 00 }
	condition:
		$1
}

rule function_31752_0 {
	meta:
		name = "TIBXSQLVAR.GetAsBCD"
		size = 472
		refs = "0016 TIBXSQLVAR.GetAsBCD 0027 DoubleToBcd 002f TIBSQL.GetDatabase 0034 TIBDatabase.GetSQLDialect 0040 TIBXSQLVAR.GetAsDouble 005a TIBXSQLVAR.GetIsNull 006a TSQLVAR.GetSqlDef 00d3 TIBXSQLVAR.GetAsString 00dd StrToBcd 00ef @HandleOnException 00f7 _Dn_Exception 0110 IBError 0115 @DoneExcept 013c TIBXSQLVAR.AdjustScaleToBCD 01c5 @UStrClr 01cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 03 7D 1A 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? E9 5D 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 4E 01 00 00 8B 43 18 E8 ?? ?? ?? ?? 0F BF C0 3D F0 01 00 00 7F 29 0F 84 C4 00 00 00 2D C0 01 00 00 74 3A 83 E8 04 74 35 83 E8 1C 0F 84 F5 00 00 00 83 E8 02 0F 84 EC 00 00 00 E9 FE 00 00 00 2D F4 01 00 00 74 76 83 E8 1E 0F 84 D7 00 00 00 83 E8 32 0F 84 AB 00 00 00 E9 E0 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 C6 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 45 F4 C6 45 F8 05 8D 55 F4 33 C9 B0 26 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 96 00 00 00 8B 43 18 8B 10 FF 52 0C 0F BF 00 99 52 50 8B 43 18 8B 10 FF 52 20 0F BF D0 8B CE 8B C3 E8 ?? ?? ?? ?? EB 72 8B 43 18 8B 10 FF 52 0C 8B 00 99 52 50 8B 43 18 8B 10 FF 52 20 0F BF D0 8B CE 8B C3 E8 ?? ?? ?? ?? EB 4F 8B 43 18 8B 10 FF 52 0C FF 70 04 FF 30 8B 43 18 8B 10 FF 52 20 0F BF D0 8B CE 8B C3 E8 ?? ?? ?? ?? EB 2C 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? EB 15 33 C0 89 45 F4 C6 45 F8 05 8D 55 F4 33 C9 B0 26 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31753_0 {
	meta:
		name = "AdjustBCDToInt64"
		size = 237
		refs = "0020 AdjustBCDToInt64 004d @_llmul 006b BcdMultiply 00a6 BcdDivide 00b1 BcdToStr 00b9 StrToInt64 00d4 @UStrClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 C9 89 4D C8 8B F0 8D 7D CE B9 08 00 00 00 F3 A5 66 A5 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 01 00 00 00 C7 45 F4 00 00 00 00 85 D2 7E 35 8B DA 85 DB 7E 18 6A 00 6A 0A 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 4B 75 E8 DF 6D F0 83 C4 F8 DD 1C 24 9B 8D 55 CE 8D 45 CE E8 ?? ?? ?? ?? EB 39 85 D2 7D 35 8B DA 83 EB FF 7F 19 4B 6A 00 6A 0A 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 43 75 E8 DF 6D F0 83 C4 F8 DD 1C 24 9B 8D 55 CE 8D 45 CE E8 ?? ?? ?? ?? 8D 55 C8 8D 45 CE E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31754_0 {
	meta:
		name = "TIBXSQLVAR.SetAsBcd"
		size = 348
		refs = "0017 TIBXSQLVAR.SetAsBcd 0025 TIBSQL.GetDatabase 002a TIBDatabase.GetSQLDialect 0037 BcdToDouble 0045 TIBXSQLVAR.SetAsDouble 0051 TIBXSQLVAR.GetIsNullable 005e TIBXSQLVAR.SetIsNull 0094 @UStrEqual 00a5 TIBXSQLDA.GetSQLVAR 0115 AdjustBCDToInt64 0149 @UStrClr 014f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 03 7D 1B 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? E9 EA 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 04 8B 40 08 48 85 C0 0F 8C C7 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 8D 4D F0 8B 46 04 8B 40 0C 8B 55 F8 8B 18 FF 53 0C 8B 45 F0 8B 56 14 E8 ?? ?? ?? ?? 0F 85 8E 00 00 00 8B 55 F8 8B 46 04 E8 ?? ?? ?? ?? 8B D8 8B 7B 18 8B C7 8B 10 FF 52 28 8B D0 66 83 E2 01 66 81 CA 44 02 8B C7 8B 08 FF 51 58 8B 45 FC 0F B6 40 01 24 3F 0F B6 C0 8B D0 F7 DA 8B 43 18 8B 08 FF 51 50 66 BA 08 00 8B 43 18 8B 08 FF 51 48 8B 7B 18 8B C7 8B 10 FF 52 14 0F BF C8 33 D2 8B C7 8B 38 FF 57 60 8B 55 FC 0F B6 52 01 80 E2 3F 0F B6 D2 0F B7 D2 8B 45 FC E8 ?? ?? ?? ?? 52 50 8B 43 18 8B 10 FF 52 0C 8F 00 8F 40 04 C6 43 10 01 FF 45 F8 FF 4D F4 0F 85 44 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31755_0 {
	meta:
		name = "TIBXSQLDA.Create"
		size = 88
		refs = "000b @ClassCreate 001a TObject.Create 0024 _Dn_TStringList 0029 TStringList.Create 0039 @UStrClr 0044 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C 33 C0 89 47 10 8D 47 1C E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31756_0 {
	meta:
		name = "TIBXSQLDA.Destroy"
		size = 145
		refs = "0005 @BeforeDestruction 0011 TObject.Free 0035 @FreeMem 006d TIBXSQLVARArray 0072 @DynArrayClear 007d TObject.Destroy 0088 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 0C E8 ?? ?? ?? ?? 83 7D 14 00 74 5B 8B 7D 10 4F 85 FF 7C 38 47 33 F6 8B 45 18 8B 04 B0 8B 40 18 8B 10 FF 52 0C E8 ?? ?? ?? ?? 8B 45 18 8B 04 B0 8B 40 18 8B 10 FF 52 10 E8 ?? ?? ?? ?? 8B 45 18 8B 04 B0 E8 ?? ?? ?? ?? 46 4F 75 CB 8B 45 14 E8 ?? ?? ?? ?? 33 C0 89 45 14 8D 45 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31757_0 {
	meta:
		name = "TIBXSQLDA.AddName"
		size = 171
		refs = "0019 @UStrAddRef 0021 TIBXSQLDA.AddName 002f TIBSQL.GetDatabase 0034 TIBDatabase.GetSQLDialect 003f FormatIdentifierValue 0075 @UStrAsg 0098 @UStrArrayClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC E8 ?? ?? ?? ?? EB 0A 33 D2 8B 43 0C 8B 08 FF 51 38 8B 43 0C 8B 10 FF 52 14 3B F0 7D EA 8B 4D F8 8B D6 8B 43 0C 8B 38 FF 57 20 8B 43 18 8B 04 B0 83 C0 14 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 18 8B 04 B0 89 70 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31758_0 {
	meta:
		name = "TIBXSQLDA.GetModified"
		size = 40
	strings:
		$1 = { 53 56 33 DB 8B 50 08 4A 85 D2 7C 17 42 33 C9 8B 70 18 8B 34 8E 80 7E 10 00 74 04 B3 01 EB 04 41 4A 75 EC 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_31759_0 {
	meta:
		name = "TIBXSQLDA.GetNames"
		size = 85
		refs = "000f TIBXSQLDA.GetNames 002f @LStrFromUStr 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 0C 8B 08 FF 51 1C 8B 55 FC 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31760_0 {
	meta:
		name = "TIBXSQLDA.GetRecordSize"
		size = 101
		refs = "000c TIBXSQLDA.GetRecordSize 001a TIBSQL.GetDatabase 0022 TIBDatabase.GDSLibrary 0039 XSQLDA_LENGTH 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 1C 83 C4 F8 DF 3C 24 9B 8B 43 10 E8 ?? ?? ?? ?? 83 C0 04 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_31762_0 {
	meta:
		name = "TIBXSQLDA.GetSQLVAR"
		size = 50
		refs = "0023 IBError"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 1A E8 ?? ?? ?? ?? 8B 43 18 8B 04 B0 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_31763_0 {
	meta:
		name = "TIBXSQLDA.ByName"
		size = 108
		refs = "0010 @UStrAddRef 0018 TIBXSQLDA.ByName 0028 TIBXSQLDA.GetSQLVARByName 0044 IBError 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 16 8B 45 FC 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 B0 2E E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31764_0 {
	meta:
		name = "TIBXSQLDA.GetSQLVARByName"
		size = 186
		refs = "001a @UStrAddRef 0022 TIBXSQLDA.GetSQLVARByName 0030 TIBSQL.GetDatabase 0035 TIBDatabase.GetSQLDialect 0040 FormatIdentifierValue 006d @UStrEqual 0081 TIBXSQLDA.GetSQLVAR 0098 @UStrClr 00a5 @UStrArrayClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC E8 ?? ?? ?? ?? 33 DB 8B 46 0C 8B 10 FF 52 14 89 45 F4 EB 01 43 3B 5D F4 7D 1A 8D 4D F0 8B D3 8B 46 0C 8B 38 FF 57 0C 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 75 E0 3B 5D F4 75 04 33 DB EB 0B 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31765_0 {
	meta:
		name = "TIBXSQLDA.Initialize"
		size = 1212
		refs = "0019 TIBXSQLDA.Initialize 002e TIBSQL.GetDatabase 0036 TIBDatabase.GDSLibrary 00d8 @UStrFromLStr 00fb @LStrFromUStr 0104 @LStrEqual 0111 @UStrClr 013b @LStrLAsg 014d IntToStr 016b @LStrCat3 01fd @LStrCopy 0225 @LStrCat 0283 TIBXSQLDA.GetSQLVARByName 02ad TIBXSQLDA.AddName 02b4 TSQLVAR.GetSqlDef 03d4 IBError 042c @LStrClr 0449 @UStrArrayClr 0456 @LStrArrayClr 048d @IntfClear 049b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 10 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EA 01 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 8B 10 FF 52 1C D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 09 C7 45 E4 44 00 00 00 EB 07 C7 45 E4 20 00 00 00 8B 45 F8 8B 40 0C 8B 10 FF 52 14 85 C0 0F 94 45 EB 8B 45 F8 83 78 14 00 0F 84 9F 03 00 00 8B 45 F8 8B 40 08 48 85 C0 0F 8C 90 03 00 00 40 89 45 E0 C7 45 F4 00 00 00 00 8B 45 F8 8B 40 18 8B 55 F4 8B 04 90 8B 58 18 80 7D EA 00 74 6E 8D 55 CC 8B C3 8B 08 FF 51 08 83 7D CC 00 74 5E 8B 45 F8 83 78 1C 00 75 1A 8D 55 C8 8B C3 8B 08 FF 51 08 8B 55 C8 8B 45 F8 83 C0 1C E8 ?? ?? ?? ?? EB 3B 8D 55 C4 8B C3 8B 08 FF 51 08 8B 45 C4 50 8D 45 C0 8B 55 F8 8B 52 1C B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 C0 58 E8 ?? ?? ?? ?? 74 0F 8B 45 F8 83 C0 1C E8 ?? ?? ?? ?? C6 45 EA 00 80 7D EB 00 0F 84 8E 01 00 00 8D 55 FC 8B C3 8B 08 FF 11 83 7D FC 00 75 4C 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 F0 01 00 00 00 8D 55 B4 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 B4 8D 45 B8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D B8 8D 45 BC 8B 55 FC E8 ?? ?? ?? ?? 8B 55 BC 8B C3 8B 08 FF 51 30 E9 EA 00 00 00 8B 55 FC 8B C3 8B 08 FF 51 30 33 C0 89 45 F0 E9 D6 00 00 00 FF 45 F0 8D 55 B0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 B0 89 45 DC 8B 75 DC 85 F6 74 05 83 EE 04 8B 36 89 75 EC 8D 55 AC 8B C3 8B 08 FF 11 8B 45 AC 89 45 D8 8B 45 D8 89 45 D4 83 7D D4 00 74 0B 8B 45 D4 83 E8 04 8B 00 89 45 D4 8B 45 E4 48 8B 55 EC 03 55 D4 3B C2 7D 4C 8D 45 A8 50 8B 4D E4 49 2B 4D EC BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 A8 50 8D 55 A0 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 A0 8D 45 A4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 A4 58 E8 ?? ?? ?? ?? 8B 55 A8 8B C3 8B 08 FF 51 30 EB 33 8D 55 94 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 94 8D 45 98 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D 98 8D 45 9C 8B 55 FC E8 ?? ?? ?? ?? 8B 55 9C 8B C3 8B 08 FF 51 30 8D 55 8C 8B C3 8B 08 FF 11 8B 55 8C 8D 45 90 E8 ?? ?? ?? ?? 8B 55 90 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 85 03 FF FF FF 8D 55 84 8B C3 8B 08 FF 11 8B 55 84 8D 45 88 E8 ?? ?? ?? ?? 8B 55 88 8B 4D F4 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 3D C4 01 74 0D 8B C3 E8 ?? ?? ?? ?? 66 3D C0 01 75 19 8B C3 8B 10 FF 52 14 8B 55 F8 8B 52 18 8B 4D F4 8B 14 8A 66 89 42 1C EB 12 8B 45 F8 8B 40 18 8B 55 F4 8B 04 90 66 C7 40 1C 00 00 8B C3 E8 ?? ?? ?? ?? 0F BF C0 3D 08 02 00 00 7F 38 74 63 3D E2 01 00 00 7F 1C 74 5A 2D C0 01 00 00 0F 84 80 00 00 00 83 E8 04 74 4A 83 E8 1C 74 45 E9 89 00 00 00 2D F0 01 00 00 74 39 83 E8 04 74 34 83 E8 0A 74 2F EB 76 3D 30 02 00 00 7F 15 74 24 2D 12 02 00 00 74 1D 83 E8 0A 74 18 83 E8 0A 74 13 EB 5A 2D 3A 02 00 00 74 0A 83 E8 0A 74 05 83 E8 0A 75 49 8B C3 8B 10 FF 52 14 66 85 C0 75 10 B9 01 00 00 00 33 D2 8B C3 8B 30 FF 56 60 EB 50 8B C3 8B 10 FF 52 14 0F BF C8 33 D2 8B C3 8B 30 FF 56 60 EB 3B 8B C3 8B 10 FF 52 14 0F BF C8 83 C1 02 33 D2 8B C3 8B 30 FF 56 60 EB 23 8B C3 E8 ?? ?? ?? ?? 0F BF C0 89 85 7C FF FF FF C6 45 80 00 8D 95 7C FF FF FF 33 C9 B0 23 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 28 66 83 E0 01 66 83 F8 01 75 10 B9 02 00 00 00 33 D2 8B C3 8B 18 FF 53 64 EB 16 8B C3 8B 10 FF 52 10 85 C0 74 0B 33 C9 33 D2 8B C3 8B 18 FF 53 64 FF 45 F4 FF 4D E0 0F 85 7B FC FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 98 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 87 5E 5B 8B E5 5D C3 00 00 B8 88 47 E4 04 01 00 FF FF FF FF 02 00 00 00 46 5F 00 00 }
	condition:
		$1
}

rule function_31766_0 {
	meta:
		name = "TIBXSQLDA.SetCount"
		size = 380
		refs = "0017 TIBXSQLDA.SetCount 0025 TIBSQL.GetDatabase 002d TIBDatabase.GDSLibrary 0047 @UStrClr 0069 XSQLDA_LENGTH 009d IBAlloc 00af TIBXSQLVARArray 00b4 @DynArraySetLength 0111 _DV_TIBXSQLVAR 0116 TIBXSQLVAR.Create 0165 @IntfClear 016b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 43 0C 8B 10 FF 52 44 8B 45 F8 89 43 08 85 C0 75 0D 8D 43 1C E8 ?? ?? ?? ?? E9 04 01 00 00 8B 73 10 85 F6 7E 1A 8B 45 FC 8B 10 FF 52 1C 83 C4 F8 DF 3C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 8B 7B 08 3B 7B 10 0F 8E C0 00 00 00 8B 45 FC 8B 10 FF 52 1C 83 C4 F8 DF 3C 24 9B 8B C7 E8 ?? ?? ?? ?? 8B C8 8D 43 14 8B D6 E8 ?? ?? ?? ?? 8B 43 08 50 8D 43 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 10 FF 52 1C D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 11 8B 43 14 66 C7 00 02 00 C7 45 F4 2C 01 00 00 EB 0F 8B 43 14 66 C7 00 01 00 C7 45 F4 98 00 00 00 8B 43 14 8D 78 14 8B 43 08 48 85 C0 7C 3C 40 89 45 F0 33 F6 3B 73 10 7C 18 8B 43 04 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 18 89 04 B2 8B 43 18 8B 04 B0 8B 40 18 8B D7 8B 08 FF 51 5C 03 7D F4 46 FF 4D F0 75 CA 8B 43 08 89 43 10 83 7B 10 00 7E 0F 8B 53 14 0F B7 45 F8 66 89 42 10 66 89 42 12 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 B8 88 47 }
	condition:
		$1
}

rule function_31768_0 {
	meta:
		name = "TIBOutputDelimitedFile.ReadyFile"
		size = 348
		refs = "0012 TIBOutputDelimitedFile.ReadyFile 002b @UStrAsg 004d _Dn_TFileStream 0052 TFileStream.Create 007b TIBXSQLDA.GetSQLVAR 0090 @UStrFromLStr 00c7 @UStrCatN 00d6 @UStrCat 00de @UniqueStringU 010d @LStrClr 0115 @UStrClr 012b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 18 00 75 0D 8D 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 1C 00 75 0D 8D 43 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 20 FF 00 00 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 80 7B 14 00 0F 84 99 00 00 00 8B 43 08 8B 78 08 4F 85 FF 7C 61 47 33 F6 85 F6 75 21 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B 40 18 8D 55 F8 8B 08 FF 11 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? EB 35 FF 75 FC FF 73 18 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B 40 18 8D 55 F0 8B 08 FF 11 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 46 4F 75 A2 8D 45 FC 8B 53 1C E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B C8 03 C9 8B 43 10 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_31769_0 {
	meta:
		name = "TIBOutputDelimitedFile.WriteColumns"
		size = 265
		refs = "0013 TIBOutputDelimitedFile.WriteColumns 002f @UStrClr 004c @UStrCat 0056 TIBXSQLDA.GetSQLVAR 005e TIBXSQLVAR.GetAsString 0070 @UStrCat3 007c StripString 009e @UniqueStringU 00ea @UStrArrayClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 83 7B 10 00 0F 84 A9 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 43 08 8B 78 08 4F 85 FF 7C 51 47 33 F6 85 F6 7E 0B 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC 8B 4B 1C 8B 53 18 E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F4 58 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 46 4F 75 B2 8D 45 FC 8B 53 1C E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B C8 03 C9 8B 43 10 8B 18 FF 53 10 8B D0 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 03 C0 3B D0 75 04 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31771_0 {
	meta:
		name = "ReadInput"
		size = 85
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 F8 0F B7 40 20 66 85 C0 74 20 8B 55 08 66 89 42 FE 8B 45 08 C7 40 F4 01 00 00 00 8B 45 08 8B 40 F8 66 C7 40 20 00 00 5B 5D C3 8B 45 08 8D 50 FE 8B 45 08 8B 40 F8 8B 40 1C B9 01 00 00 00 8B 18 FF 53 0C 8B 55 08 89 42 F4 5B 5D C3 }
	condition:
		$1
}

rule function_31772_0 {
	meta:
		name = "CheckCRLF"
		size = 176
		refs = "000c @UStrAddRef 0014 CheckCRLF 0031 Pos 008d @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 66 83 78 FE 0D 75 54 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 43 8B 45 08 8D 50 FE 8B 45 08 8B 40 F8 8B 40 1C B9 01 00 00 00 8B 18 FF 53 0C 8B 55 08 89 42 F4 8B 45 08 83 78 F4 01 75 1B 8B 45 08 66 83 78 FE 0A 74 11 8B 45 08 0F B7 40 FE 8B 55 08 8B 52 F8 66 89 42 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_31773_0 {
	meta:
		name = "TIBInputDelimitedFile.GetColumn"
		size = 245
		refs = "001c TIBInputDelimitedFile.GetColumn 0029 @UStrClr 0031 ReadInput 0048 @UStrFromWChar 0056 Pos 0066 CheckCRLF 00b6 @UStrCat 00e1 @UStrArrayClr 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D EC 89 4D F0 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 33 DB 55 E8 ?? ?? ?? ?? 59 83 7D F4 00 0F 84 8B 00 00 00 8D 45 F0 0F B7 55 FE E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 8B 52 10 E8 ?? ?? ?? ?? 85 C0 7E 14 55 8B 45 F8 8B 40 10 E8 ?? ?? ?? ?? 59 BB 01 00 00 00 EB 59 8D 45 EC 0F B7 55 FE E8 ?? ?? ?? ?? 8B 45 EC 8B 55 F8 8B 52 14 E8 ?? ?? ?? ?? 85 C0 7E 14 55 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 59 BB 02 00 00 00 EB 27 8D 45 E8 0F B7 55 FE E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 83 7D F4 00 0F 85 75 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31774_0 {
	meta:
		name = "TIBInputDelimitedFile.ReadParameters"
		size = 325
		refs = "0015 TIBInputDelimitedFile.ReadParameters 003a TIBInputDelimitedFile.GetColumn 0087 TIBXSQLDA.GetSQLVAR 008e TIBXSQLVAR.SetIsNull 00a6 TIBXSQLVAR.SetAsString 00b8 @HandleOnException 00c0 _Dn_Exception 00e0 @RaiseAgain 00e5 @DoneExcept 0130 @UStrClr 0136 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 F8 80 78 18 00 0F 85 F1 00 00 00 33 C0 89 45 F0 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 07 8B 45 F8 C6 40 18 01 8B 45 F8 8B 40 0C 8B 40 08 3B 45 F0 0F 8E 89 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D FC 00 75 20 8B 45 F8 80 78 22 00 74 17 8B 45 F8 8B 40 0C 8B 55 F0 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? EB 16 8B 45 F8 8B 40 0C 8B 55 F0 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? FF 45 F0 33 C0 5A 59 59 64 89 10 EB 32 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 80 78 18 00 74 0E 8B 45 F8 8B 40 0C 8B 40 08 3B 45 F0 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 80 78 18 00 75 0A 83 7D F4 02 0F 85 37 FF FF FF 8B 45 F8 0F B6 40 18 84 C0 74 0E 8B 55 F8 8B 52 0C 8B 52 08 3B 55 F0 74 08 84 C0 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31775_0 {
	meta:
		name = "TIBInputDelimitedFile.ReadyFile"
		size = 204
		refs = "000d TIBInputDelimitedFile.ReadyFile 0026 @UStrAsg 004f TObject.Free 005b _Dn_TFileStream 0060 TFileStream.Create 0077 TIBInputDelimitedFile.GetColumn 0095 @UStrClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 10 00 75 0D 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 14 00 75 0D 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 43 20 00 00 C6 43 18 00 8B 43 1C 85 C0 74 05 E8 ?? ?? ?? ?? 6A 20 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 1C 80 7B 23 00 74 17 33 F6 EB 0B 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 46 8B 43 0C 3B 70 08 7C ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_31777_0 {
	meta:
		name = "TIBOutputRawFile.ReadyFile"
		size = 50
		refs = "0015 TObject.Free 0024 _Dn_TFileStream 0029 TFileStream.Create"
	strings:
		$1 = { 53 8B D8 83 7B 10 00 74 10 8D 43 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 68 00 FF 00 00 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 5B C3 }
	condition:
		$1
}

rule function_31778_0 {
	meta:
		name = "TIBOutputRawFile.WriteColumns"
		size = 414
		refs = "0042 TIBXSQLDA.GetSQLVAR 0050 TSQLVAR.GetSqlDef 00a1 _Dn_TMemoryStream 00a6 TObject.Create 00b1 TIBOutputRawFile.WriteColumns 00cd TIBXSQLVAR.SaveToStream 00fc TStream.CopyFrom 0110 TObject.Free 0115 @TryFinallyExit 0132 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 89 45 FC C6 45 FB 00 8B 45 FC 83 78 10 00 0F 84 7A 01 00 00 8B 45 FC 8B 40 08 8B 40 08 48 85 C0 0F 8C 64 01 00 00 40 89 45 E4 C7 45 F4 00 00 00 00 8B 45 FC 8B 40 08 8B 55 F4 E8 ?? ?? ?? ?? 8B 40 18 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 66 2D C0 01 74 0B 66 83 E8 48 74 3E E9 D3 00 00 00 8B 45 EC 8B 10 FF 52 14 0F BF C0 83 C0 02 89 45 F0 8B 45 EC 8B 10 FF 52 0C 8B D0 8B 45 FC 8B 40 10 8B 4D F0 8B 18 FF 53 10 8B D8 3B 5D F0 0F 85 FC 00 00 00 E9 CD 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 08 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 12 89 45 F0 8D 55 F0 8B 45 FC 8B 40 10 B9 04 00 00 00 8B 18 FF 53 10 6A 00 6A 00 8B 45 FC 8B 40 10 8B 55 E8 E8 ?? ?? ?? ?? 8B D8 3B 5D F0 74 14 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 EC 8B 10 FF 52 14 0F BF C0 50 8B 45 EC 8B 10 FF 52 0C 8B D0 8B 45 FC 8B 40 10 59 8B 18 FF 53 10 8B D8 8B 45 EC 8B 10 FF 52 14 0F BF C0 3B D8 75 2A 8B 45 EC 8B 10 FF 52 10 8B D0 8B 45 FC 8B 40 10 B9 04 00 00 00 8B 18 FF 53 10 FF 45 F4 FF 4D E4 0F 85 A7 FE FF FF C6 45 FB 01 0F B6 45 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31780_0 {
	meta:
		name = "TIBInputRawFile.ReadParameters"
		size = 442
		refs = "0042 TIBXSQLDA.GetSQLVAR 0050 TSQLVAR.GetSqlDef 00a1 _Dn_TMemoryStream 00a6 TObject.Create 00b1 TIBInputRawFile.ReadParameters 00f3 TStream.CopyFrom 0107 TObject.Free 010c @TryFinallyExit 011d TStream.SetPosition 0133 TIBXSQLVAR.LoadFromStream 014e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 89 45 FC C6 45 FB 00 8B 45 FC 83 78 10 00 0F 84 96 01 00 00 8B 45 FC 8B 40 0C 8B 40 08 48 85 C0 0F 8C 80 01 00 00 40 89 45 E4 C7 45 F4 00 00 00 00 8B 45 FC 8B 40 0C 8B 55 F4 E8 ?? ?? ?? ?? 8B 40 18 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 66 2D C0 01 74 0B 66 83 E8 48 74 3E E9 EF 00 00 00 8B 45 EC 8B 10 FF 52 14 0F BF C0 83 C0 02 89 45 F0 8B 45 EC 8B 10 FF 52 0C 8B D0 8B 45 FC 8B 40 10 8B 4D F0 8B 18 FF 53 0C 8B D8 3B 5D F0 0F 85 18 01 00 00 E9 E9 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F0 8B 45 FC 8B 40 10 B9 04 00 00 00 8B 18 FF 53 0C 83 7D F0 00 75 0F 8B 45 EC 8B 10 FF 52 10 66 C7 00 FF FF EB 54 8B 45 F0 99 52 50 8B 45 FC 8B 50 10 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 3B 5D F0 74 17 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9C 00 00 00 6A 00 6A 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 EC 8B 10 FF 52 14 0F BF C0 50 8B 45 EC 8B 10 FF 52 0C 8B D0 8B 45 FC 8B 40 10 59 8B 18 FF 53 0C 8B D8 8B 45 EC 8B 10 FF 52 14 0F BF C0 3B D8 75 2A 8B 45 EC 8B 10 FF 52 10 8B D0 8B 45 FC 8B 40 10 B9 04 00 00 00 8B 18 FF 53 0C FF 45 F4 FF 4D E4 0F 85 8B FE FF FF C6 45 FB 01 0F B6 45 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31781_0 {
	meta:
		name = "TIBInputRawFile.ReadyFile"
		size = 47
		refs = "0015 TObject.Free 0021 _Dn_TFileStream 0026 TFileStream.Create"
	strings:
		$1 = { 53 8B D8 83 7B 10 00 74 10 8D 43 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 6A 00 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 5B C3 }
	condition:
		$1
}

rule function_31782_0 {
	meta:
		name = "TIBSQL.Create"
		size = 361
		refs = "0016 @ClassCreate 0025 TIBSQL.Create 0036 TComponent.Create 0047 _Dn_TIBBase 004c TIBBase.Create 005b TIBSQL.DoBeforeDatabaseDisconnect 0065 TIBSQL.BeforeTransactionEnd 006d _Dn_TIBDatabase 0072 @IsClass 007f TIBSQL.SetDatabase 0089 _Dn_TIBTransaction 009b TIBSQL.SetTransaction 00b3 _Dn_TStringList 00b8 TStringList.Create 00c7 TIBSQL.SQLChanging 00e4 _DV_TIBXSQLDA 00e9 TIBXSQLDA.Create 010d CreateGUID 0118 GUIDToString 0128 @LStrFromUStr 013d @UStrClr 0143 @HandleFinally 0152 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 75 00 C6 43 42 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 3C 89 5F 1C C7 47 18 ?? ?? ?? ?? 89 5F 34 C7 47 30 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 1A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? C6 43 40 00 C6 43 41 00 C6 43 44 00 33 C0 89 43 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 60 89 5E 4C C7 46 48 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 68 33 C0 89 43 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 6C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 70 C6 43 74 00 C6 43 64 01 8D 45 EF E8 ?? ?? ?? ?? 8D 55 E8 8D 45 EF E8 ?? ?? ?? ?? 8B 55 E8 8D 43 4C B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31783_0 {
	meta:
		name = "TIBSQL.Destroy"
		size = 106
		refs = "0003 @BeforeDestruction 0016 TIBSQL.InternalClose 0025 TIBSQL.InternalFreeHandle 002d TObject.Free 0058 TComponent.Destroy 0063 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 43 00 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 83 7E 50 00 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 60 E8 ?? ?? ?? ?? 8B 46 68 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 8B 46 6C E8 ?? ?? ?? ?? 8B 46 70 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31784_0 {
	meta:
		name = "TIBSQL.BatchInput"
		size = 68
		refs = "000f TIBSQL.Prepare 0032 TIBSQL.ExecQuery"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 44 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 6C 89 46 0C 8B C6 8B 10 FF 12 0F B6 43 74 04 FE 2C 03 72 0D 2C 03 75 14 EB 07 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 04 84 C0 75 EE 5E 5B C3 }
	condition:
		$1
}

rule function_31785_0 {
	meta:
		name = "TIBSQL.BatchOutput"
		size = 164
		refs = "000e TIBSQL.CheckClosed 001f TIBSQL.Prepare 0030 TIBSQL.BatchOutput 003e TIBSQL.ExecQuery 005e TIBSQL.Next 0070 TIBSQL.GetEOF 0094 TIBSQL.Close 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 44 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 74 01 75 74 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 70 89 43 08 8B C3 8B 10 FF 12 8B 45 FC 80 78 42 00 75 12 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 8B 10 FF 52 04 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_31786_0 {
	meta:
		name = "TIBSQL.CheckClosed"
		size = 33
		refs = "001a IBError"
	strings:
		$1 = { 83 C4 F8 80 78 43 00 74 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 1F E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_31787_0 {
	meta:
		name = "TIBSQL.CheckOpen"
		size = 33
		refs = "001a IBError"
	strings:
		$1 = { 83 C4 F8 80 78 43 00 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 20 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_31788_0 {
	meta:
		name = "TIBSQL.CheckValidStatement"
		size = 45
		refs = "0025 IBError"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B 43 3C 8B 10 FF 52 2C 83 7B 50 00 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 1E E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_31790_0 {
	meta:
		name = "TIBSQL.Call"
		size = 141
		refs = "0019 TIBSQL.Call 0028 TIBSQL.GetTransaction 003e TIBTransaction.Call 0053 TIBSQL.GetDatabase 005b TIBDatabase.GDSLibrary 0063 IBDataBaseError 0078 @IntfClear 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 88 4D FF 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 16 8B C3 E8 ?? ?? ?? ?? 0F B6 4D FF 8B D7 E8 ?? ?? ?? ?? 8B F0 EB 21 80 7D FF 00 74 1B 85 FF 7E 17 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31791_0 {
	meta:
		name = "TBasePageItemsProducer.GetComponentList"
		size = 4
		altNames = "TIBSQL.Current"
	strings:
		$1 = { 8B 40 70 C3 }
	condition:
		$1
}

rule function_31792_0 {
	meta:
		name = "TIBSQL.DoBeforeDatabaseDisconnect"
		size = 25
		refs = "000c TIBSQL.Close 0013 TIBSQL.FreeHandle"
	strings:
		$1 = { 53 8B D8 83 7B 50 00 74 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31793_0 {
	meta:
		name = "TIBSQL.ExecQuery"
		size = 775
		refs = "0017 TIBSQL.ExecQuery 0024 TIBSQL.CheckClosed 0031 TIBSQL.Prepare 0038 TIBSQL.CheckValidStatement 0046 MonitorHook 007e TIBSQL.GetDatabase 0083 TIBDatabase.GetSQLDialect 008c TIBXSQLDA.GetXSQLDA 009e TIBDatabase.GDSLibrary 00a9 TIBSQL.GetTRHandle 00af StatusVector 00c6 TIBSQL.Call 011f TIBSQL.Next 0254 IBDataBaseError 02bd IGDSLibrary 02c7 @FinalizeArray 02cf @UStrClr 02eb IIBSQLMonitorHook 02fb @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 7B 44 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 75 20 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 12 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B D3 8B 08 FF 51 1C 0F B6 43 74 FE C8 74 0D 2C 07 0F 84 B6 00 00 00 E9 E3 01 00 00 8D 43 50 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 43 6C E8 ?? ?? ?? ?? 50 6A 00 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 59 58 8B 30 FF 96 B8 00 00 00 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 8B 43 4C 50 6A 00 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 4B 50 58 8B 30 FF 96 CC 00 00 00 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? C6 43 43 01 C6 43 40 01 C6 43 41 00 33 C0 89 43 48 80 7B 42 00 0F 84 8F 01 00 00 8B C3 E8 ?? ?? ?? ?? E9 83 01 00 00 8D 43 50 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 43 6C E8 ?? ?? ?? ?? 50 8B 43 70 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 59 58 8B 30 FF 96 B8 00 00 00 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 21 01 00 00 3D A5 00 00 14 0F 85 AC 00 00 00 8D 43 50 50 6A 00 8D 55 E8 8B 43 68 8B 08 FF 51 1C 8B 45 E8 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 00 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 59 58 8B 30 FF 96 C8 00 00 00 8D 43 50 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 43 6C E8 ?? ?? ?? ?? 50 8B 43 70 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 59 58 8B 30 FF 96 B8 00 00 00 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? EB 6A 8B C3 E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? EB 51 8D 43 50 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 43 6C E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 D8 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 59 58 8B 30 FF 96 B4 00 00 00 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31794_0 {
	meta:
		name = "TIBSQL.GetEOF"
		size = 18
	strings:
		$1 = { 80 78 41 00 75 09 80 78 43 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_31795_0 {
	meta:
		name = "TIBSQL.FieldByName"
		size = 121
		refs = "0011 @UStrAddRef 0019 TIBSQL.FieldByName 0029 TIBSQL.GetFieldIndex 0045 IBError 004e TIBSQL.GetFields 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 16 8B 45 FC 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 B0 2E E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31796_0 {
	meta:
		name = "TIBSQL.GetFields"
		size = 124
		refs = "0015 TIBSQL.GetFields 0031 IntToStr 0047 IBError 0051 TIBXSQLDA.GetSQLVAR 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 08 8B 46 70 3B 58 08 7C 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B0 2E E8 ?? ?? ?? ?? 8B D3 8B 46 70 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31797_0 {
	meta:
		name = "TIBSQL.GetFieldIndex"
		size = 101
		refs = "000e @UStrAddRef 0016 TIBSQL.GetFieldIndex 0027 TIBXSQLDA.GetSQLVARByName 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 70 E8 ?? ?? ?? ?? 85 C0 75 05 83 CB FF EB 0E 8B 55 FC 8B 43 70 E8 ?? ?? ?? ?? 8B 58 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_31798_0 {
	meta:
		name = "TIBSQL.Next"
		size = 374
		refs = "0015 TIBSQL.Next 0032 TIBSQL.CheckOpen 003a TIBSQL.GetDatabase 003f TIBDatabase.GetSQLDialect 004b TIBXSQLDA.GetXSQLDA 005c TIBDatabase.GDSLibrary 0065 StatusVector 0082 TIBSQL.Call 009a CheckStatusVector 00d1 IBDataBaseError 00e0 @HandleAnyException 00e8 TIBSQL.Close 00ed @RaiseAgain 00f2 @DoneExcept 0118 MonitorHook 0147 IIBSQLMonitorHook 0151 @FinalizeArray 0159 @IntfClear 0167 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 FC 80 78 41 00 0F 85 07 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 70 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8D 48 50 58 8B 18 FF 93 C0 00 00 00 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B D8 83 FB 64 74 15 C7 45 F4 FC 00 00 14 8D 45 F4 33 D2 E8 ?? ?? ?? ?? 84 C0 74 09 8B 45 FC C6 40 41 01 EB 60 85 DB 7E 49 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B 45 FC FF 40 48 8B 45 FC C6 40 40 00 8B 45 FC 8B 70 70 8B 45 FC F6 40 1C 10 75 21 8D 45 EC E8 ?? ?? ?? ?? 83 7D EC 00 74 13 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 FC 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31800_0 {
	meta:
		name = "TIBSQL.GetDatabase"
		size = 7
	strings:
		$1 = { 8B 40 3C 8B 40 04 C3 }
	condition:
		$1
}

rule function_31801_0 {
	meta:
		name = "TIBSQL.GetDBHandle"
		size = 9
	strings:
		$1 = { 8B 40 3C 8B 10 FF 52 18 C3 }
	condition:
		$1
}

rule function_31802_0 {
	meta:
		name = "TIBSQL.GetPlan"
		size = 521
		refs = "0048 TIBSQL.GetPlan 006e @UStrClr 0090 TIBSQL.GetDatabase 009b TIBDatabase.GDSLibrary 00a7 StatusVector 00c0 TIBSQL.Call 00ea IBErrorMessages 00f7 Format 010a _Dn_EIBPlanError 010f EIBError.Create 0114 @RaiseExcept 014e @LStrFromPCharLen 0167 @UniqueStringA 0181 @UStrFromLStr 0192 Trim 01a5 @LStrFromUStr 01cd @UStrArrayClr 01d8 @IntfClear 01f6 @LStrClr 01fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 50 B8 04 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 DC 53 56 57 33 C9 89 8D DC BF FF FF 89 8D D8 BF FF FF 89 8D E0 BF FF FF 89 8D EC BF FF FF 89 8D F0 BF FF FF 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 44 00 74 12 0F B6 43 74 2C 01 74 17 04 FE 2C 02 72 11 2C 07 74 0D 8B 45 F8 E8 ?? ?? ?? ?? E9 32 01 00 00 C6 45 F7 16 6A 02 8D 45 F7 50 68 01 40 00 00 8D 85 F6 BF FF FF 50 8B C3 E8 ?? ?? ?? ?? 8D 95 F0 BF FF FF E8 ?? ?? ?? ?? 8B 85 F0 BF FF FF 50 E8 ?? ?? ?? ?? 8B D0 8D 4B 50 58 8B 30 FF 96 D0 00 00 00 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 80 BD F6 BF FF FF 16 74 4B 8D 85 EC BF FF FF 50 33 C0 89 85 E4 BF FF FF C6 85 E8 BF FF FF 05 8D 95 E4 BF FF FF A1 ?? ?? ?? ?? 8B 80 D0 01 00 00 33 C9 E8 ?? ?? ?? ?? 8B 85 EC BF FF FF 50 B9 74 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 95 E0 BF FF FF E8 ?? ?? ?? ?? 8B 85 E0 BF FF FF 8D 95 F7 BF FF FF 66 B9 02 00 8B 18 FF 93 28 01 00 00 8B D8 6A 00 8D 45 FC 8B CB 33 D2 E8 ?? ?? ?? ?? 8B F3 85 F6 7E 1F BF 01 00 00 00 8D 9D F9 BF FF FF 8D 45 FC E8 ?? ?? ?? ?? 0F B6 13 88 54 38 FF 47 43 4E 75 EC 8D 85 D8 BF FF FF 8B 55 FC E8 ?? ?? ?? ?? 8B 85 D8 BF FF FF 8D 95 DC BF FF FF E8 ?? ?? ?? ?? 8B 95 DC BF FF FF 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D8 BF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 E0 BF FF FF E8 ?? ?? ?? ?? 8D 85 EC BF FF FF E8 ?? ?? ?? ?? 8D 85 F0 BF FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31803_0 {
	meta:
		name = "TBoundLabel.GetLeft"
		size = 4
		altNames = "TDdeSrvrConv.GetHszTopic TIBSQL.GetRecordCount TIWLayoutMgrHTML.GetHTML TTeeCustomShapePosition.GetTop TWebControlGroup.GetDefaultWebComponents"
	strings:
		$1 = { 8B 40 48 C3 }
	condition:
		$1
}

rule function_31804_0 {
	meta:
		name = "TIBSQL.GetRowsAffected"
		size = 404
		refs = "0031 TIBSQL.GetRowsAffected 0064 TIBSQL.GetDatabase 006f TIBDatabase.GDSLibrary 007b StatusVector 00aa IBDataBaseError 0176 IGDSLibrary 0180 @FinalizeArray 0186 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 D0 FB FF FF 53 56 33 D2 89 95 D0 FB FF FF 89 95 D4 FB FF FF 89 95 D8 FB FF FF 89 95 DC FB FF FF 89 95 E0 FB FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 44 00 75 08 83 CB FF E9 18 01 00 00 66 C7 45 FE 17 00 6A 01 8D 45 FE 50 68 19 04 00 00 8D 85 E5 FB FF FF 50 8B C3 E8 ?? ?? ?? ?? 8D 95 E0 FB FF FF E8 ?? ?? ?? ?? 8B 85 E0 FB FF FF 50 E8 ?? ?? ?? ?? 8B D0 8D 4B 50 58 8B 30 FF 96 D0 00 00 00 85 C0 7E 1D 8B C3 E8 ?? ?? ?? ?? 8D 95 DC FB FF FF E8 ?? ?? ?? ?? 8B 85 DC FB FF FF E8 ?? ?? ?? ?? 80 BD E5 FB FF FF 17 74 08 83 CB FF E9 A2 00 00 00 0F B6 43 74 2C 02 74 69 FE C8 74 09 FE C8 74 33 E9 8A 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 95 D8 FB FF FF E8 ?? ?? ?? ?? 8B 85 D8 FB FF FF 8D 95 EB FB FF FF 66 B9 04 00 8B 18 FF 93 28 01 00 00 8B D8 EB 5F 8B C3 E8 ?? ?? ?? ?? 8D 95 D4 FB FF FF E8 ?? ?? ?? ?? 8B 85 D4 FB FF FF 8D 95 F2 FB FF FF 66 B9 04 00 8B 18 FF 93 28 01 00 00 8B D8 EB 31 8B C3 E8 ?? ?? ?? ?? 8D 95 D0 FB FF FF E8 ?? ?? ?? ?? 8B 85 D0 FB FF FF 8D 95 00 FC FF FF 66 B9 04 00 8B 18 FF 93 28 01 00 00 8B D8 EB 03 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D0 FB FF FF 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31805_0 {
	meta:
		name = "TIBSQL.GetSQLParams"
		size = 76
		refs = "0008 TIBSQL.GetTransaction 000d TIBTransaction.GetInTransaction 0022 TIBTransaction.StartTransaction 002f TIBSQL.Prepare 0042 TIBTransaction.Commit"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 80 F3 01 84 DB 74 0C 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7E 44 00 75 07 8B C6 E8 ?? ?? ?? ?? 8B 7E 6C 84 DB 74 0C 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31806_0 {
	meta:
		name = "TIBSQL.GetTransaction"
		size = 7
		altNames = "TWebContainedContainerComponent.GetContainerList"
	strings:
		$1 = { 8B 40 3C 8B 40 0C C3 }
	condition:
		$1
}

rule function_31807_0 {
	meta:
		name = "TIBSQL.GetTRHandle"
		size = 9
	strings:
		$1 = { 8B 40 3C 8B 10 FF 52 1C C3 }
	condition:
		$1
}

rule function_31808_0 {
	meta:
		name = "AddToProcessedSQL"
		size = 37
		refs = "000d @UniqueStringU"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 66 89 5C 50 FE 8B 45 08 FF 40 F8 5B 5D C3 }
	condition:
		$1
}

rule function_31809_0 {
	meta:
		name = "TIBSQL.PreprocessSQL"
		size = 1124
		refs = "0030 TIBSQL.PreprocessSQL 003d _Dn_TStringList 0042 TStringList.Create 0087 @UStrFromPWCharLen 012f AddToProcessedSQL 0165 SEOFInComment 016a LoadResString 0180 IBError 01b1 SEOFInString 0252 @UStrFromWChar 025d @UStrCat 0276 IntToStr 0286 @UStrCat3 029e @UStrClr 02a8 SParamNameExpected 0383 TIBXSQLDA.SetCount 03b2 TIBXSQLDA.AddName 03d9 TObject.Free 03df @HandleFinally 03fb @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 33 D2 89 55 A4 89 55 A8 89 55 AC 89 55 B0 89 55 B4 89 55 B8 89 55 BC 89 55 F4 89 55 FC 89 55 F0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 DC 66 C7 45 E6 27 00 8D 55 F4 8B 45 EC 8B 40 60 8B 08 FF 51 1C 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B F8 8D 4F 01 8D 45 FC 33 D2 E8 ?? ?? ?? ?? BB 01 00 00 00 C7 45 F8 01 00 00 00 33 F6 33 C0 89 45 E0 3B FB 0F 8C C3 02 00 00 8B 45 F4 0F B7 44 58 FE 66 89 45 EA 3B FB 75 08 66 C7 45 E8 00 00 EB 0B 8B 45 F4 0F B7 04 58 66 89 45 E8 8B C6 83 E8 01 72 19 0F 84 84 00 00 00 48 0F 84 C9 00 00 00 48 0F 84 21 01 00 00 E9 63 02 00 00 0F B7 45 EA 83 F8 2F 7F 11 74 45 83 E8 22 74 19 83 E8 05 74 14 E9 49 02 00 00 83 E8 3A 74 1C 83 E8 05 74 17 E9 3A 02 00 00 0F B7 45 EA 66 89 45 E6 BE 02 00 00 00 E9 28 02 00 00 BE 03 00 00 00 55 66 B8 3F 00 E8 ?? ?? ?? ?? 59 E9 13 02 00 00 66 83 7D E8 2A 0F 85 08 02 00 00 55 0F B7 45 EA E8 ?? ?? ?? ?? 59 43 BE 01 00 00 00 E9 F2 01 00 00 66 83 7D E8 00 75 28 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 89 45 C0 C6 45 C4 11 8D 55 C0 33 C9 B0 37 E8 ?? ?? ?? ?? E9 C3 01 00 00 66 83 7D EA 2A 0F 85 B8 01 00 00 66 83 7D E8 2F 0F 85 AD 01 00 00 33 F6 E9 A6 01 00 00 66 83 7D E8 00 75 28 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 89 45 C0 C6 45 C4 11 8D 55 C0 33 C9 B0 37 E8 ?? ?? ?? ?? E9 77 01 00 00 0F B7 45 EA 66 3B 45 E6 0F 85 69 01 00 00 0F B7 45 E8 66 3B 45 E6 75 11 55 0F B7 45 EA E8 ?? ?? ?? ?? 59 43 E9 4E 01 00 00 33 F6 E9 47 01 00 00 83 7D E0 00 0F 85 BA 00 00 00 66 83 7D EA 22 75 0C C7 45 E0 01 00 00 00 E9 E2 00 00 00 B8 ?? ?? ?? ?? 89 45 D4 8B 45 D4 0F B7 55 EA 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 88 45 D3 80 7D D3 00 74 1C 8D 45 B4 0F B7 55 EA E8 ?? ?? ?? ?? 8B 55 B4 8D 45 F0 E8 ?? ?? ?? ?? E9 9E 00 00 00 8B 45 EC 80 78 75 00 74 35 8D 55 B0 8B 45 DC E8 ?? ?? ?? ?? 8B 4D B0 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 DC 33 F6 8B 55 F0 8B 45 D8 8B 08 FF 51 38 8D 45 F0 E8 ?? ?? ?? ?? EB 60 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC 89 45 C0 C6 45 C4 11 8D 55 C0 33 C9 B0 37 E8 ?? ?? ?? ?? EB 3B 66 83 7D EA 22 75 1D 43 8B 55 F0 8B 45 D8 8B 08 FF 51 38 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 89 45 E0 33 F6 EB 17 8D 45 A8 0F B7 55 EA E8 ?? ?? ?? ?? 8B 55 A8 8D 45 F0 E8 ?? ?? ?? ?? 83 7D E0 01 74 42 85 F6 74 3E B8 ?? ?? ?? ?? 89 45 CC 8B 45 CC 0F B7 55 E8 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 88 45 CB 80 7D CB 00 75 16 43 33 F6 8B 55 F0 8B 45 D8 8B 08 FF 51 38 8D 45 F0 E8 ?? ?? ?? ?? 83 FE 03 74 0F 55 8B 45 F4 0F B7 44 58 FE E8 ?? ?? ?? ?? 59 43 3B FB 0F 8D 3D FD FF FF 55 33 C0 E8 ?? ?? ?? ?? 59 8B 45 D8 8B 10 FF 52 14 8B D0 8B 45 EC 8B 40 6C E8 ?? ?? ?? ?? 8B 45 D8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 24 46 33 DB 8D 4D A4 8B D3 8B 45 D8 8B 38 FF 57 0C 8B 55 A4 8B 45 EC 8B 40 6C 8B CB E8 ?? ?? ?? ?? 43 4E 75 DF 8B 45 EC 8B 40 68 8B 55 FC 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 10 00 FF 03 FE FF FF 87 FE FF FF 07 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 58 00 50 00 61 00 72 00 61 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_31810_0 {
	meta:
		name = "TIBSQL.SetDatabase"
		size = 22
	strings:
		$1 = { 56 8B 70 3C 85 F6 74 0C 3B 56 04 74 07 8B C6 8B 08 FF 51 20 5E C3 }
	condition:
		$1
}

rule function_31811_0 {
	meta:
		name = "TIBSQL.Prepare"
		size = 1384
		refs = "001a TIBSQL.Prepare 0028 TIBSQL.CheckClosed 0053 TIBSQL.GetDatabase 005b TIBDatabase.GDSLibrary 0084 IBError 00b3 TIBSQL.PreprocessSQL 00f9 TIBSQL.GetDBHandle 00ff StatusVector 0119 TIBSQL.Call 0146 _Dn_TMBCSEncoding 014b TMBCSEncoding.Create 017d @UStrCat 018b TEncoding.GetBytes 01ab @LStrFromUStr 01b8 @LStrCat 01c3 BytesOf 01eb TIBDatabase.GetSQLDialect 01f6 TIBSQL.GetTRHandle 0225 @HandleAnyException 0235 TArray<System.Byte> 023a @DynArraySetLength 0242 @RaiseAgain 0247 @DoneExcept 0261 TObject.Free 0267 @HandleFinally 0320 TIBSQL.FreeHandle 038e IBDataBaseError 0399 TIBXSQLDA.Initialize 03c0 TIBXSQLDA.SetCount 0488 MonitorHook 04b0 @HandleOnException 04b8 _Dn_Exception 04ed IIBSQLMonitorHook 04f7 @FinalizeArray 04ff @UStrClr 0507 @LStrClr 0514 @UStrArrayClr 0524 @IntfClear 0532 @DynArrayClear"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 3C 8B 10 FF 52 28 8B 45 F4 8B 40 3C 8B 10 FF 52 2C 8B 45 F4 80 78 44 00 0F 85 8C 04 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F4 8B 40 60 8B 08 FF 51 1C 83 7D E0 00 75 15 33 C0 89 45 D8 C6 45 DC 05 8D 55 D8 33 C9 B0 2A E8 ?? ?? ?? ?? 8B 45 F4 80 78 64 00 75 1E 8D 55 D4 8B 45 F4 8B 40 60 8B 08 FF 51 1C 8B 55 D4 8B 45 F4 8B 40 68 8B 08 FF 51 2C EB 08 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 F4 8B 40 68 8B 08 FF 51 1C 83 7D D0 00 75 15 33 C0 89 45 D8 C6 45 DC 05 8D 55 D8 33 C9 B0 2A E8 ?? ?? ?? ?? 33 FF 55 68 ?? ?? ?? ?? 64 FF 37 64 89 27 8B 45 F4 83 C0 50 50 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 59 8B 18 FF 93 A8 00 00 00 8B D0 B1 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 B8 EC 00 00 00 00 75 07 33 C0 89 45 E4 EB 1D 8B 45 F4 E8 ?? ?? ?? ?? 8B 88 EC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D E4 00 74 2B 8D 55 CC 8B 45 F4 8B 40 68 8B 08 FF 51 1C 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8D 4D FC 8B 45 E4 E8 ?? ?? ?? ?? EB 36 8D 55 C4 8B 45 F4 8B 40 68 8B 08 FF 51 1C 8B 55 C4 8D 45 C8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 8D 55 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 C0 50 50 6A 00 8B 45 FC 50 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 59 8B 18 FF 93 C8 00 00 00 8B D0 B1 01 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 27 E9 ?? ?? ?? ?? 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB C6 45 EB 15 6A 01 8D 45 EB 50 6A 08 8D 45 EC 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8D 48 50 8B 45 F8 8B 18 FF 93 D0 00 00 00 8B D0 B1 01 8B 45 F4 E8 ?? ?? ?? ?? 80 7D EC 15 74 15 33 C0 89 45 D8 C6 45 DC 05 8D 55 D8 33 C9 33 C0 E8 ?? ?? ?? ?? 8D 55 ED 66 B9 02 00 8B 45 F8 8B 18 FF 93 28 01 00 00 8B F0 8D 55 EF 8B CE 8B 45 F8 8B 18 FF 93 28 01 00 00 8B D8 8B 45 F4 88 58 74 0F B6 C3 83 F8 0D 0F 87 80 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 02 02 02 02 02 01 01 02 01 02 02 02 02 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 89 45 D8 C6 45 DC 05 8D 55 D8 33 C9 B0 05 E8 ?? ?? ?? ?? E9 36 01 00 00 8B 45 F4 8B 40 6C 83 78 14 00 74 48 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F4 8B 40 6C 8B 40 14 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8D 48 50 8B 45 F8 8B 18 FF 93 B0 00 00 00 8B D0 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 7E 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 6C E8 ?? ?? ?? ?? 8B 45 F4 0F B6 40 74 2C 01 74 0C 2C 07 74 08 2C 04 0F 85 C0 00 00 00 8B 45 F4 8B 40 70 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F4 8B 40 70 8B 40 14 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8D 48 50 8B 45 F8 8B 18 FF 93 AC 00 00 00 8B D0 B1 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 48 70 8B 41 14 0F B7 50 12 66 3B 50 10 7E 48 8B C1 0F BF D2 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F4 8B 40 70 8B 40 14 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8D 48 50 8B 45 F8 8B 18 FF 93 AC 00 00 00 8B D0 B1 01 8B 45 F4 E8 ?? ?? ?? ?? EB 0E 66 85 D2 75 09 8B C1 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 70 E8 ?? ?? ?? ?? 8B 45 F4 C6 40 44 01 8B 45 F4 F6 40 1C 10 75 21 8D 45 C0 E8 ?? ?? ?? ?? 83 7D C0 00 74 13 8D 45 BC E8 ?? ?? ?? ?? 8B 45 BC 8B 55 F4 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F4 83 78 50 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AA 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_31812_0 {
	meta:
		name = "TIBSQL.GetUniqueRelationName"
		size = 44
		refs = "001b @UStrAsg 0025 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 44 00 74 16 80 7B 74 01 75 10 8B C6 8B 53 70 8B 52 1C E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31813_0 {
	meta:
		name = "TIBSQL.SetSQL"
		size = 177
		refs = "0013 TIBSQL.SetSQL 003e @UStrEqual 004b TStrings.BeginUpdate 007e TStrings.EndUpdate 0084 @HandleFinally 00a0 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 56 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 40 60 8B 08 FF 51 1C 8B 45 F8 50 8D 55 F4 8B C6 8B 08 FF 51 1C 8B 55 F4 58 E8 ?? ?? ?? ?? 74 46 8B 45 FC 8B 40 60 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 60 8B D6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 60 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_31814_0 {
	meta:
		name = "TIBSQL.SetTransaction"
		size = 44
		refs = "001b TIBSQL.FreeHandle"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 3C 85 C0 74 1C 3B 70 0C 74 17 80 7B 44 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 3C 8B 08 FF 51 24 5E 5B C3 }
	condition:
		$1
}

rule function_31815_0 {
	meta:
		name = "TIBSQL.SQLChanging"
		size = 33
		refs = "001b TIBSQL.FreeHandle"
	strings:
		$1 = { 53 8B D8 66 83 7B 5A 00 74 08 8B D3 8B 43 5C FF 53 58 83 7B 50 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31816_0 {
	meta:
		name = "TIBSQL.BeforeTransactionEnd"
		size = 12
		refs = "0007 TIBSQL.Close"
	strings:
		$1 = { 80 78 43 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31817_0 {
	meta:
		name = "TIBSQL.ParamByName"
		size = 93
		refs = "000e @UStrAddRef 0016 TIBSQL.ParamByName 0029 TIBSQL.Prepare 0034 TIBXSQLDA.ByName 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 44 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 6C E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_31818_0 {
	meta:
		name = "TIBSQL.InternalClose"
		size = 361
		refs = "0019 TIBSQL.InternalClose 005c TIBSQL.GetDatabase 007b TIBDatabase.GDSLibrary 0084 StatusVector 00a1 TIBSQL.Call 00cc CheckStatusVector 00ee TIBDatabase.Call 0108 IBDataBaseError 0138 @HandleFinally 014f @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 50 00 0F 84 CE 00 00 00 8B 45 FC 80 78 74 01 0F 85 C1 00 00 00 8B 45 FC 80 78 43 00 0F 84 B4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 0F 84 9F 00 00 00 6A 01 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8D 48 50 58 8B 30 FF 96 C4 00 00 00 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 83 38 01 75 5B 85 F6 7E 57 C7 45 F0 A5 00 00 14 C7 45 F4 01 01 00 14 8D 45 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 38 84 DB 74 34 81 FE A5 01 00 14 75 14 8B 45 FC 8B 40 3C 8B 40 04 B1 01 8B D6 E8 ?? ?? ?? ?? EB 18 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 41 00 8B 45 FC C6 40 40 00 8B 45 FC C6 40 43 00 8B 45 FC 33 D2 89 50 48 C3 E9 ?? ?? ?? ?? EB DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31819_0 {
	meta:
		name = "TIBSQL.InternalFreeHandle"
		size = 272
		refs = "0014 TIBSQL.InternalFreeHandle 003d TIBSQL.GetDatabase 0058 TIBDatabase.GDSLibrary 0061 StatusVector 007e TIBSQL.Call 00ba IBDataBaseError 00dc @HandleFinally 00f4 IGDSLibrary 00fe @FinalizeArray"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 50 00 0F 84 85 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 74 6A 02 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8D 48 50 58 8B 30 FF 96 C4 00 00 00 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 83 38 01 75 30 85 F6 7E 2C 81 FE A5 00 00 14 74 24 81 FE A5 01 00 14 74 1C 84 DB 74 18 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 44 00 8B 45 FC 33 D2 89 50 50 C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31820_0 {
	meta:
		name = "TIBSQL.OutputXML"
		size = 139
		refs = "0010 TIBSQL.CheckClosed 0021 TIBSQL.Prepare 0043 TIBSQL.ExecQuery 004b TIBSQL.OutputXML 005b TIBOutputXML.WriteXML 0070 TIBSQL.Close 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 44 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 74 01 75 58 8B 45 FC 0F B6 40 42 88 45 FB 8B 45 FC C6 40 42 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 0F B6 55 FB 88 50 42 C3 E9 ?? ?? ?? ?? EB E6 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31824_0 {
	meta:
		name = "OutputXML"
		size = 139
		refs = "0010 TIBSQL.CheckClosed 0021 TIBSQL.Prepare 0043 TIBSQL.ExecQuery 004b OutputXML 005b TIBOutputXML.WriteXML 0070 TIBSQL.Close 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 44 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 74 01 75 58 8B 45 FC 0F B6 40 42 88 45 FB 8B 45 FC C6 40 42 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 0F B6 55 FB 88 50 42 C3 E9 ?? ?? ?? ?? EB E6 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31821_0 {
	meta:
		name = "TIBSQL.GetFieldCount"
		size = 15
		refs = "0006 TIBSQL.Current"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 08 5B C3 }
	condition:
		$1
}

rule function_95294_0 {
	meta:
		name = "TCustomGridBehavior.GetGridsizeY"
		size = 15
		refs = "0006 TCustomGridBehavior.GetInfo"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 08 5B C3 }
	condition:
		$1
}

rule function_32244_0 {
	meta:
		name = "TSSPIPackage.GetMaxToken"
		size = 15
		refs = "0006 TSSPIPackage.GetPSecPkgInfo"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 08 5B C3 }
	condition:
		$1
}

rule function_31823_0 {
	meta:
		name = "TIBOutputXML.WriteXML"
		size = 488
		refs = "0016 TIBOutputXML.WriteXML 0036 @LStrToPChar 0096 @GetMem 00c3 TIBSQL.Current 00c8 TIBXSQLDA.GetXSQLDA 00dc StatusVector 00e2 isc_dsql_xml_buffer_fetch 00f1 TIBSQL.Call 0117 @ReallocMem 012e SIBMemoryError 0133 LoadResString 0140 _Dn_EIBClientError 0145 EIBError.Create 014a @RaiseExcept 0159 TStream.WriteBuffer 0183 @FreeMem 0189 @HandleFinally 01a0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 C9 89 4D B8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 45 E8 00 00 66 C7 45 EC 01 00 83 7E 08 00 74 0D 8B 46 08 E8 ?? ?? ?? ?? 89 45 C0 EB 08 B8 ?? ?? ?? ?? 89 45 C0 8B 46 0C E8 ?? ?? ?? ?? 89 45 C4 8B 46 04 E8 ?? ?? ?? ?? 89 45 C8 8B 46 14 E8 ?? ?? ?? ?? 89 45 CC 33 C0 89 45 DC F6 46 10 01 74 04 83 4D DC 01 F6 46 10 02 74 04 83 4D DC 02 F6 46 10 04 74 04 83 4D DC 04 C7 45 F8 00 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC B8 ?? ?? ?? ?? 89 45 BC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 E9 A9 00 00 00 8D 45 BC 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 01 8B 45 F8 50 8B 45 FC 50 8D 43 50 50 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C7 83 E8 FE 74 05 48 74 29 EB 4D 81 45 F8 00 04 00 00 83 7D FC 00 74 0D 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? EB 48 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC EB 3B 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 8B 55 FC 8B 46 18 8B CF E8 ?? ?? ?? ?? 83 7D E0 00 0F 94 45 F7 80 7D F7 00 0F 84 4D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 3C 3F 78 6D 6C 20 76 65 72 73 69 6F 6E 20 3D 20 22 31 2E 30 22 3F 3E 0A 0D 3C 21 2D 2D 20 58 4D 4C 20 66 72 6F 6D 20 49 42 20 2D 2D 3E 0A 0D 00 00 00 00 00 }
	condition:
		$1
}

rule function_31825_0 {
	meta:
		name = "TSQLVAR_V1.GetAliasName"
		size = 26
		refs = "0014 @LStrFromPCharLen"
	strings:
		$1 = { 53 6A 00 8B 48 04 8D 59 78 0F BF 41 76 8B C8 8B C2 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31826_0 {
	meta:
		name = "TSQLVAR_V1.GetOwnName"
		size = 26
		refs = "0014 @LStrFromPCharLen"
	strings:
		$1 = { 53 6A 00 8B 48 04 8D 59 56 0F BF 41 54 8B C8 8B C2 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31827_0 {
	meta:
		name = "TSQLVAR_V1.GetRelName"
		size = 26
		refs = "0014 @LStrFromPCharLen"
	strings:
		$1 = { 53 6A 00 8B 48 04 8D 59 34 0F BF 41 32 8B C8 8B C2 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31830_0 {
	meta:
		name = "TSQLVAR_V1.GetSqlLen"
		size = 8
		altNames = "TSQLVAR_V2.GetSqlSubtype TXSBaseCustomDateTime.GetDay"
	strings:
		$1 = { 8B 40 04 0F B7 40 06 C3 }
	condition:
		$1
}

rule function_31831_0 {
	meta:
		name = "TSQLVAR_V1.GetSqlName"
		size = 26
		refs = "0014 @LStrFromPCharLen"
	strings:
		$1 = { 53 6A 00 8B 48 04 8D 59 12 0F BF 41 10 8B C8 8B C2 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31832_0 {
	meta:
		name = "TSQLVAR_V1.GetSqlPrecision"
		size = 56
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 28 66 83 E0 FE 66 2D F0 01 74 14 66 83 E8 04 74 08 66 83 E8 50 74 0E EB 12 66 B8 04 00 5B C3 66 B8 09 00 5B C3 66 B8 12 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_31833_0 {
	meta:
		name = "TSQLVAR_V1.GetSqlScale"
		size = 8
		altNames = "TSQLVAR_V2.GetSqlScale"
	strings:
		$1 = { 8B 40 04 0F B7 40 02 C3 }
	condition:
		$1
}

rule function_31834_0 {
	meta:
		name = "TSQLVAR_V1.GetSqlSubtype"
		size = 8
		altNames = "TXSBaseCustomDateTime.GetMonth"
	strings:
		$1 = { 8B 40 04 0F B7 40 04 C3 }
	condition:
		$1
}

rule function_31835_0 {
	meta:
		name = "TSQLVAR_V1.GetSqlType"
		size = 7
		altNames = "TSQLVAR_V2.GetSqlType"
	strings:
		$1 = { 8B 40 04 0F B7 00 C3 }
	condition:
		$1
}

rule function_31837_0 {
	meta:
		name = "TSQLVAR_V1.SetAliasName"
		size = 46
		refs = "0010 StrPCopy"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 43 04 83 C0 78 8B D6 E8 ?? ?? ?? ?? 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B 53 04 66 89 42 76 5A 5E 5B C3 }
	condition:
		$1
}

rule function_31838_0 {
	meta:
		name = "TSQLVAR_V1.SetDataSize"
		size = 12
		refs = "0007 IBAlloc"
	strings:
		$1 = { 8B 40 04 83 C0 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31839_0 {
	meta:
		name = "TSQLVAR_V1.SetIndSize"
		size = 12
		refs = "0007 IBAlloc"
		altNames = "TSQLVAR_V2.SetDataSize"
	strings:
		$1 = { 8B 40 04 83 C0 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31840_0 {
	meta:
		name = "TSQLVAR_V1.SetOwnName"
		size = 46
		refs = "0010 StrPCopy"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 43 04 83 C0 56 8B D6 E8 ?? ?? ?? ?? 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B 53 04 66 89 42 54 5A 5E 5B C3 }
	condition:
		$1
}

rule function_31841_0 {
	meta:
		name = "TSQLVAR_V1.SetRelName"
		size = 46
		refs = "0010 StrPCopy"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 43 04 83 C0 34 8B D6 E8 ?? ?? ?? ?? 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B 53 04 66 89 42 32 5A 5E 5B C3 }
	condition:
		$1
}

rule function_31842_0 {
	meta:
		name = "TSQLVAR_V1.SetSqlData"
		size = 7
	strings:
		$1 = { 8B 40 04 89 50 08 C3 }
	condition:
		$1
}

rule function_31843_0 {
	meta:
		name = "TFadeManager.SetSteps"
		size = 7
		altNames = "TSQLVAR_V1.SetSqlInd TSQLVAR_V2.SetSqlData"
	strings:
		$1 = { 8B 40 04 89 50 0C C3 }
	condition:
		$1
}

rule function_31844_0 {
	meta:
		name = "TSQLVAR_V1.SetSqlLen"
		size = 8
		altNames = "TSQLVAR_V2.SetSqlSubtype"
	strings:
		$1 = { 8B 40 04 66 89 50 06 C3 }
	condition:
		$1
}

rule function_31845_0 {
	meta:
		name = "TSQLVAR_V1.SetSqlName"
		size = 46
		refs = "0010 StrPCopy"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 43 04 83 C0 12 8B D6 E8 ?? ?? ?? ?? 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B 53 04 66 89 42 10 5A 5E 5B C3 }
	condition:
		$1
}

rule function_31846_0 {
	meta:
		name = "TSQLVAR_V1.SetSqlPrecision"
		size = 13
		refs = "0008 IBError"
	strings:
		$1 = { 8B D4 83 C9 FF B0 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31847_0 {
	meta:
		name = "TSQLVAR_V1.SetSqlScale"
		size = 8
		altNames = "TSQLVAR_V2.SetSqlScale"
	strings:
		$1 = { 8B 40 04 66 89 50 02 C3 }
	condition:
		$1
}

rule function_31848_0 {
	meta:
		name = "TSQLVAR_V1.SetSqlSubtype"
		size = 8
		altNames = "TSQLVAR_V2.SetSqlPrecision"
	strings:
		$1 = { 8B 40 04 66 89 50 04 C3 }
	condition:
		$1
}

rule function_31849_0 {
	meta:
		name = "TSQLVAR_V1.SetSqlType"
		size = 7
		altNames = "TSQLVAR_V2.SetSqlType"
	strings:
		$1 = { 8B 40 04 66 89 10 C3 }
	condition:
		$1
}

rule function_31850_0 {
	meta:
		name = "TSQLVAR_V1.SetSQLVAR"
		size = 21
		refs = "000f Move"
		altNames = "TSQLVAR_V2.SetSQLVAR"
	strings:
		$1 = { 51 89 14 24 8D 50 04 8B C4 B9 04 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_31851_0 {
	meta:
		name = "TSQLVAR_V2.GetAliasName"
		size = 32
		refs = "001a @LStrFromPCharLen"
	strings:
		$1 = { 53 6A 00 8B 48 04 8D 99 E8 00 00 00 0F BF 81 E6 00 00 00 8B C8 8B C2 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31852_0 {
	meta:
		name = "TSQLVAR_V2.GetOwnName"
		size = 32
		refs = "001a @LStrFromPCharLen"
	strings:
		$1 = { 53 6A 00 8B 48 04 8D 99 A2 00 00 00 0F BF 81 A0 00 00 00 8B C8 8B C2 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31853_0 {
	meta:
		name = "TSQLVAR_V2.GetRelName"
		size = 26
		refs = "0014 @LStrFromPCharLen"
	strings:
		$1 = { 53 6A 00 8B 48 04 8D 59 5C 0F BF 41 5A 8B C8 8B C2 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31855_0 {
	meta:
		name = "TSQLVAR_V2.GetSqlInd"
		size = 7
	strings:
		$1 = { 8B 40 04 8B 40 10 C3 }
	condition:
		$1
}

rule function_31856_0 {
	meta:
		name = "TSQLVAR_V2.GetSqlLen"
		size = 8
	strings:
		$1 = { 8B 40 04 0F B7 40 08 C3 }
	condition:
		$1
}

rule function_31857_0 {
	meta:
		name = "TSQLVAR_V2.GetSqlName"
		size = 26
		refs = "0014 @LStrFromPCharLen"
	strings:
		$1 = { 53 6A 00 8B 48 04 8D 59 16 0F BF 41 14 8B C8 8B C2 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31858_0 {
	meta:
		name = "TSQLVAR_V2.GetSqlPrecision"
		size = 68
	strings:
		$1 = { 53 8B D8 8B 43 04 0F B7 40 04 66 85 C0 75 33 8B C3 8B 10 FF 52 28 66 83 E0 FE 66 2D F0 01 74 14 66 83 E8 04 74 08 66 83 E8 50 74 0E EB 12 66 B8 04 00 EB 0E 66 B8 09 00 EB 08 66 B8 12 00 EB 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_31863_0 {
	meta:
		name = "TSQLVAR_V2.SetAliasName"
		size = 51
		refs = "0012 StrPCopy"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 43 04 05 E8 00 00 00 8B D6 E8 ?? ?? ?? ?? 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B 53 04 66 89 82 E6 00 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_31865_0 {
	meta:
		name = "TSQLVAR_V2.SetIndSize"
		size = 12
		refs = "0007 IBAlloc"
	strings:
		$1 = { 8B 40 04 83 C0 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31866_0 {
	meta:
		name = "TSQLVAR_V2.SetOwnName"
		size = 51
		refs = "0012 StrPCopy"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 43 04 05 A2 00 00 00 8B D6 E8 ?? ?? ?? ?? 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B 53 04 66 89 82 A0 00 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_31867_0 {
	meta:
		name = "TSQLVAR_V2.SetRelName"
		size = 46
		refs = "0010 StrPCopy"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 43 04 83 C0 5C 8B D6 E8 ?? ?? ?? ?? 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B 53 04 66 89 42 5A 5A 5E 5B C3 }
	condition:
		$1
}

rule function_31869_0 {
	meta:
		name = "TSQLVAR_V2.SetSqlInd"
		size = 7
	strings:
		$1 = { 8B 40 04 89 50 10 C3 }
	condition:
		$1
}

rule function_31870_0 {
	meta:
		name = "TSQLVAR_V2.SetSqlLen"
		size = 8
	strings:
		$1 = { 8B 40 04 66 89 50 08 C3 }
	condition:
		$1
}

rule function_31871_0 {
	meta:
		name = "TSQLVAR_V2.SetSqlName"
		size = 46
		refs = "0010 StrPCopy"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 43 04 83 C0 16 8B D6 E8 ?? ?? ?? ?? 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B 53 04 66 89 42 14 5A 5E 5B C3 }
	condition:
		$1
}

rule function_31877_0 {
	meta:
		name = "TSQLVAR.GetSqlDef"
		size = 16
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 28 66 83 E0 FE 5B C3 }
	condition:
		$1
}

rule function_31880_0 {
	meta:
		name = "TIBCustomSQLMonitor.Create"
		size = 160
		refs = "000f @ClassCreate 001b TIBCustomSQLMonitor.Create 002a TComponent.Create 0045 TIBCustomSQLMonitor.MonitorWndProc 004a AllocateHWnd 0055 MonitorHook 0074 @IntfClear 007a @HandleFinally 0087 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 46 48 C6 46 4A 01 F6 46 1C 10 75 20 56 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 FF 03 00 00 }
	condition:
		$1
}

rule function_31881_0 {
	meta:
		name = "TIBCustomSQLMonitor.Destroy"
		size = 124
		refs = "0008 @BeforeDestruction 0014 TIBCustomSQLMonitor.Destroy 002e MonitorHook 0040 DeallocateHWnd 004b TComponent.Destroy 0060 @IntfClear 0066 @HandleFinally 0073 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 46 1C 10 75 20 80 7E 4A 00 74 12 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 10 8B 46 38 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31882_0 {
	meta:
		name = "TIBCustomSQLMonitor.MonitorWndProc"
		size = 109
		refs = "0049 TObject.Free 0066 DefWindowProc"
	strings:
		$1 = { 53 56 8B 0A 8B D9 81 EB 01 04 00 00 74 0A 81 EB 20 AC 00 00 74 3A EB 40 8B 5A 08 66 83 78 42 00 74 24 0F B6 53 04 80 FA 0F 77 08 83 E2 7F 66 0F A3 50 48 73 11 FF 73 14 FF 73 10 8B 53 08 8B F0 8B 46 44 FF 56 40 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 5A 08 53 8B 5A 04 53 51 8B 40 38 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31883_0 {
	meta:
		name = "TIBCustomSQLMonitor.Release"
		size = 73
		refs = "000c TIBCustomSQLMonitor.Release 001a MonitorHook 0039 @IntfClear 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D3 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_31884_0 {
	meta:
		name = "TIBCustomSQLMonitor.SetEnabled"
		size = 127
		refs = "000e TIBCustomSQLMonitor.SetEnabled 0030 MonitorHook 0064 IIBSQLMonitorHook 006e @FinalizeArray 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 56 4A 74 35 8B C2 88 46 4A F6 46 1C 10 75 2A 84 C0 74 14 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 0C EB 12 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 59 59 5D C3 }
	condition:
		$1
}

rule function_31885_0 {
	meta:
		name = "TIBSQLMonitorHook.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TObject.Create 0022 TIBSQLMonitorHook.Create 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 0F 00 0F B7 05 ?? ?? ?? ?? 66 89 46 0C C6 46 0E 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 FF 03 00 00 }
	condition:
		$1
}

rule function_31886_0 {
	meta:
		name = "OpenLocalEvent"
		size = 71
		refs = "000c MonitorHookNames 0011 @UStrToPWChar 001e OpenEvent 0029 GetLastError 003c IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B 04 9D ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A FF 68 03 00 1F 00 E8 ?? ?? ?? ?? 8B D8 85 DB 75 18 E8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 00 8D 55 F8 33 C9 B0 3A E8 ?? ?? ?? ?? 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31887_0 {
	meta:
		name = "CreateLocalEvent"
		size = 84
		refs = "000f MonitorHookNames 0014 @UStrToPWChar 002a CreateEvent 0035 GetLastError 0048 IBError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B DA 8B F0 8B 04 B5 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 80 FB 01 F5 1B C0 50 6A FF 8B 45 08 83 C0 F4 50 E8 ?? ?? ?? ?? 8B D8 85 DB 75 18 E8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 00 8D 55 F8 33 C9 B0 3A E8 ?? ?? ?? ?? 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31888_0 {
	meta:
		name = "TIBSQLMonitorHook.CreateEvents"
		size = 665
		refs = "0010 InitializeSecurityDescriptor 001f SetSecurityDescriptorDacl 0038 MonitorHookNames 003d @UStrToPWChar 0052 CreateFileMapping 0057 FSharedBuffer 005c GetLastError 007e OpenFileMapping 00a4 IBError 00ba MapViewOfFile 00bf FBuffer 00f2 FMonitorCount 00ff FReaderCount 010c FTraceDataType 0119 FTimeStamp 0126 FBufferSize 013d OpenMutex 0142 FWriteLock 014c OpenLocalEvent 0151 FWriteEvent 0160 FWriteFinishedEvent 016f FReadEvent 017e FReadFinishedEvent 0199 CreateMutex 01ab CreateLocalEvent"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 8B D8 6A 01 8D 45 E0 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A FF 8D 45 E0 50 E8 ?? ?? ?? ?? C7 45 F4 0C 00 00 00 8D 45 E0 89 45 F8 C7 45 FC FF FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 68 00 08 00 00 6A 00 6A 04 8D 45 F4 50 6A FF E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D B7 00 00 00 0F 85 1C 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 00 68 1F 00 0F 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 18 E8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 00 8D 55 D8 33 C9 B0 3A E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 68 1F 00 0F 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 18 E8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 00 8D 55 D8 33 C9 B0 3A E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 05 00 10 00 00 83 E8 08 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 E8 04 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 E8 04 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 E8 08 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 E8 04 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 00 68 01 00 1F 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 02 00 00 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 03 00 00 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 04 00 00 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 05 00 00 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E9 E3 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 00 8D 45 F4 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 55 33 D2 B8 02 00 00 00 E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 B2 01 B8 03 00 00 00 E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 33 D2 B8 04 00 00 00 E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 33 D2 B8 05 00 00 00 E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 6A 00 6A 00 6A 00 68 1F 00 0F 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 05 00 10 00 00 83 E8 08 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 E8 04 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 E8 04 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 E8 08 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 E8 04 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 83 38 00 7D 09 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 83 38 00 7D 09 A1 ?? ?? ?? ?? 33 D2 89 10 C6 43 0F 01 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31889_0 {
	meta:
		name = "TIBSQLMonitorHook.DBConnect"
		size = 144
		refs = "000f TIBSQLMonitorHook.DBConnect 003a @UStrCat3 0046 TIBSQLMonitorHook.WriteSQLData 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0E 00 74 2B 0F B7 86 80 00 00 00 66 23 43 0C A8 20 74 1C 8D 45 FC B9 ?? ?? ?? ?? 8B 56 08 E8 ?? ?? ?? ?? B1 05 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 3A 00 20 00 5B 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 5D 00 00 00 }
	condition:
		$1
}

rule function_31890_0 {
	meta:
		name = "TIBSQLMonitorHook.DBDisconnect"
		size = 152
		refs = "000f TIBSQLMonitorHook.DBDisconnect 003a @UStrCat3 0046 TIBSQLMonitorHook.WriteSQLData 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0E 00 74 2B 0F B7 86 80 00 00 00 66 23 43 0C A8 20 74 1C 8D 45 FC B9 ?? ?? ?? ?? 8B 56 08 E8 ?? ?? ?? ?? B1 05 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 3A 00 20 00 5B 00 44 00 69 00 73 00 63 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 5D 00 00 00 00 00 }
	condition:
		$1
}

rule function_31891_0 {
	meta:
		name = "TIBSQLMonitorHook.Destroy"
		size = 119
		refs = "0003 @BeforeDestruction 0012 FBuffer 0018 UnmapViewOfFile 001d FSharedBuffer 0023 CloseHandle 0028 FWriteEvent 0033 FWriteFinishedEvent 003e FReadEvent 0049 FReadFinishedEvent 0054 FWriteLock 0065 TObject.Destroy 0070 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 0F 00 74 4D A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31893_0 {
	meta:
		name = "TIBSQLMonitorHook.GetMonitorCount"
		size = 89
		refs = "0017 TIBSQLMonitorHook.GetMonitorCount 0025 TIBSQLMonitorHook.CreateEvents 0034 @HandleAnyException 003e TIBSQLMonitorHook.SetEnabled 0043 @RaiseAgain 0048 @DoneExcept 004d FMonitorCount"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 80 78 0F 00 75 39 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31894_0 {
	meta:
		name = "TIBSQLMonitorHook.GetTraceFlags"
		size = 7
	strings:
		$1 = { 0F B7 50 0C 8B C2 C3 }
	condition:
		$1
}

rule function_31895_0 {
	meta:
		name = "TIBSQLMonitorHook.RegisterMonitor"
		size = 110
		refs = "0014 TIBSQLMonitorHook.RegisterMonitor 001f TIBSQLMonitorHook.CreateEvents 002e @HandleAnyException 0038 TIBCustomSQLMonitor.SetEnabled 003d @DoneExcept 0043 FReaderThread 004d _DV_TReaderThread 0052 TReaderThread.Create 0064 TReaderThread.AddMonitor"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 80 78 0F 00 75 31 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31896_0 {
	meta:
		name = "TIBSQLMonitorHook.ReleaseMonitor"
		size = 14
		refs = "0001 FWriterThread 0009 TWriterThread.ReleaseMonitor"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 52 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31897_0 {
	meta:
		name = "TIBSQLMonitorHook.SendMisc"
		size = 120
		refs = "0015 @UStrAddRef 001d TIBSQLMonitorHook.SendMisc 0031 StrMisc 0036 LoadResString 0041 @UStrCat 004d TIBSQLMonitorHook.WriteSQLData 0067 @UStrArrayClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0E 00 74 24 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 B1 09 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31898_0 {
	meta:
		name = "TIBSQLMonitorHook.SendError"
		size = 139
		refs = "0018 @UStrAddRef 0020 TIBSQLMonitorHook.SendError 0043 StrError 0048 LoadResString 0053 @UStrCat 005f TIBSQLMonitorHook.WriteSQLData 0079 @UStrArrayClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0E 00 74 33 0F B7 86 80 00 00 00 66 23 43 0C A8 08 74 24 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 B1 03 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31899_0 {
	meta:
		name = "TIBSQLMonitorHook.SendError"
		size = 126
		refs = "0015 @UStrAddRef 001d TIBSQLMonitorHook.SendError 0037 StrError 003c LoadResString 0047 @UStrCat 0053 TIBSQLMonitorHook.WriteSQLData 006d @UStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0E 00 74 2A F6 43 0C 08 74 24 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 B1 03 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31900_0 {
	meta:
		name = "TIBSQLMonitorHook.ServiceAttach"
		size = 125
		refs = "0011 TIBSQLMonitorHook.ServiceAttach 0032 StrAttach 0037 LoadResString 0045 @UStrCat3 0051 TIBSQLMonitorHook.WriteSQLData 006b @UStrArrayClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0E 00 74 34 0F B7 46 48 66 23 43 0C F6 C4 01 74 27 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC 8B 56 08 E8 ?? ?? ?? ?? B1 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31901_0 {
	meta:
		name = "TIBSQLMonitorHook.ServiceDetach"
		size = 125
		refs = "0011 TIBSQLMonitorHook.ServiceDetach 0032 StrDetach 0037 LoadResString 0045 @UStrCat3 0051 TIBSQLMonitorHook.WriteSQLData 006b @UStrArrayClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0E 00 74 34 0F B7 46 48 66 23 43 0C F6 C4 01 74 27 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC 8B 56 08 E8 ?? ?? ?? ?? B1 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31902_0 {
	meta:
		name = "TIBSQLMonitorHook.ServiceQuery"
		size = 125
		refs = "0011 TIBSQLMonitorHook.ServiceQuery 0032 StrQuery 0037 LoadResString 0045 @UStrCat3 0051 TIBSQLMonitorHook.WriteSQLData 006b @UStrArrayClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0E 00 74 34 0F B7 46 48 66 23 43 0C F6 C4 01 74 27 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC 8B 56 08 E8 ?? ?? ?? ?? B1 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31903_0 {
	meta:
		name = "TIBSQLMonitorHook.ServiceStart"
		size = 125
		refs = "0011 TIBSQLMonitorHook.ServiceStart 0032 StrStart 0037 LoadResString 0045 @UStrCat3 0051 TIBSQLMonitorHook.WriteSQLData 006b @UStrArrayClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0E 00 74 34 0F B7 46 48 66 23 43 0C F6 C4 01 74 27 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC 8B 56 08 E8 ?? ?? ?? ?? B1 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31904_0 {
	meta:
		name = "TIBSQLMonitorHook.SetEnabled"
		size = 52
		refs = "0010 FWriterThread 001d TThread.Terminate 002f TObject.Free"
	strings:
		$1 = { 3A 50 0E 74 03 88 50 0E 80 78 0E 00 75 25 83 3D ?? ?? ?? ?? 00 74 1C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31905_0 {
	meta:
		name = "TIBSQLMonitorHook.SetTraceFlags"
		size = 15
	strings:
		$1 = { 51 66 89 14 24 0F B7 14 24 66 89 50 0C 5A C3 }
	condition:
		$1
}

rule function_31906_0 {
	meta:
		name = "TIBSQLMonitorHook.SQLExecute"
		size = 688
		refs = "001d TIBSQLMonitorHook.SQLExecute 0038 TIBSQL.GetDatabase 0076 _Dn_TIBCustomDataSet 007b @IsClass 008a @UStrLAsg 00a5 StrExecute 00aa LoadResString 00cb @UStrCatN 00d3 TIBSQL.GetSQLParams 0119 TIBXSQLDA.GetSQLVAR 0151 TIBXSQLVAR.GetIsNull 015d StrNULL 016d @UStrCat 0184 TIBXSQLVAR.GetSQLType 01a3 TIBXSQLVAR.GetAsString 01b8 StrBLOB 01d7 @HandleAnyException 01e7 SCantPrintValue 0206 @DoneExcept 021f TIBSQLMonitorHook.WriteSQLData 0239 @UStrArrayClr 0241 @UStrClr 0247 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 80 78 0E 00 0F 84 EF 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 0F B7 80 80 00 00 00 8B 55 F8 66 23 42 0C A8 02 75 1E 8B 45 F4 E8 ?? ?? ?? ?? 0F B7 80 80 00 00 00 8B 55 F8 66 23 42 0C A8 10 0F 84 B7 01 00 00 8B 45 F4 8B 58 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 55 F4 8B 52 08 E8 ?? ?? ?? ?? FF 75 FC 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E8 8D 55 E4 8B 45 F4 8B 40 60 8B 08 FF 51 1C FF 75 E4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 78 08 00 0F 8E 35 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 08 48 85 C0 0F 8C 21 01 00 00 40 89 45 EC C7 45 F0 00 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? FF 70 14 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8D 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? EB 59 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D 08 02 00 00 74 25 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? EB 18 8D 55 D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 34 E9 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F0 FF 4D EC 0F 85 EA FE FF FF B1 01 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_31907_0 {
	meta:
		name = "TIBSQLMonitorHook.SQLFetch"
		size = 324
		refs = "0014 TIBSQLMonitorHook.SQLFetch 002b TIBSQL.GetDatabase 005f _Dn_TIBCustomDataSet 0064 @IsClass 0073 @UStrLAsg 008b StrFetch 0090 LoadResString 00ae @UStrCatN 00b5 TIBSQL.GetEOF 00ce SEOFReached 00ef TIBSQLMonitorHook.WriteSQLData 0109 @UStrArrayClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0E 00 0F 84 CB 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F B7 80 80 00 00 00 66 23 43 0C A8 04 75 1A 8B C6 E8 ?? ?? ?? ?? 0F B7 80 80 00 00 00 66 23 43 0C A8 10 0F 84 9B 00 00 00 8B 7E 04 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8D 45 FC 8B 57 08 E8 ?? ?? ?? ?? EB 0B 8D 45 FC 8B 56 08 E8 ?? ?? ?? ?? FF 75 FC 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 8D 55 F4 8B 46 60 8B 08 FF 51 1C FF 75 F4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2A FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F0 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? B1 02 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_31908_0 {
	meta:
		name = "TIBSQLMonitorHook.SQLPrepare"
		size = 384
		refs = "0018 TIBSQLMonitorHook.SQLPrepare 0032 TIBSQL.GetDatabase 006c _Dn_TIBCustomDataSet 0071 @IsClass 0080 @UStrLAsg 0098 StrPrepare 009d LoadResString 00c0 @UStrCatN 00d9 StrPlan 00eb TIBSQL.GetPlan 010a @HandleAnyException 0112 StrPlanCantRetrive 0122 @UStrCat 0127 @DoneExcept 0134 TIBSQLMonitorHook.WriteSQLData 014e @UStrArrayClr 0156 @UStrClr 015c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 80 78 0E 00 0F 84 09 01 00 00 8B C3 E8 ?? ?? ?? ?? 0F B7 80 80 00 00 00 8B 55 F8 66 23 42 0C A8 01 75 1D 8B C3 E8 ?? ?? ?? ?? 0F B7 80 80 00 00 00 8B 55 F8 66 23 42 0C A8 10 0F 84 D3 00 00 00 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8D 45 FC 8B 56 08 E8 ?? ?? ?? ?? EB 0B 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? FF 75 FC 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 8D 55 F0 8B 43 60 8B 08 FF 51 1C FF 75 F0 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 EC 8D 55 E8 8B C3 E8 ?? ?? ?? ?? FF 75 E8 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8D 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_31909_0 {
	meta:
		name = "TIBSQLMonitorHook.TRCommit"
		size = 136
		refs = "0012 TIBSQLMonitorHook.TRCommit 003c StrCommitHardComm 0041 LoadResString 004f @UStrCat3 005b TIBSQLMonitorHook.WriteSQLData 0075 @UStrArrayClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0E 00 74 3D 8B 7E 44 85 FF 74 36 0F B7 87 80 00 00 00 66 23 43 0C A8 40 74 27 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC 8B 56 08 E8 ?? ?? ?? ?? B1 06 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31910_0 {
	meta:
		name = "TIBSQLMonitorHook.TRCommitRetaining"
		size = 136
		refs = "0012 TIBSQLMonitorHook.TRCommitRetaining 003c StrCommitRetaining 0041 LoadResString 004f @UStrCat3 005b TIBSQLMonitorHook.WriteSQLData 0075 @UStrArrayClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0E 00 74 3D 8B 7E 44 85 FF 74 36 0F B7 87 80 00 00 00 66 23 43 0C A8 40 74 27 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC 8B 56 08 E8 ?? ?? ?? ?? B1 06 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31911_0 {
	meta:
		name = "TIBSQLMonitorHook.TRRollback"
		size = 136
		refs = "0012 TIBSQLMonitorHook.TRRollback 003c StrRollback 0041 LoadResString 004f @UStrCat3 005b TIBSQLMonitorHook.WriteSQLData 0075 @UStrArrayClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0E 00 74 3D 8B 7E 44 85 FF 74 36 0F B7 87 80 00 00 00 66 23 43 0C A8 40 74 27 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC 8B 56 08 E8 ?? ?? ?? ?? B1 06 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31912_0 {
	meta:
		name = "TIBSQLMonitorHook.TRRollbackRetaining"
		size = 136
		refs = "0012 TIBSQLMonitorHook.TRRollbackRetaining 003c StrRollbackRetainin 0041 LoadResString 004f @UStrCat3 005b TIBSQLMonitorHook.WriteSQLData 0075 @UStrArrayClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0E 00 74 3D 8B 7E 44 85 FF 74 36 0F B7 87 80 00 00 00 66 23 43 0C A8 40 74 27 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC 8B 56 08 E8 ?? ?? ?? ?? B1 06 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31913_0 {
	meta:
		name = "TIBSQLMonitorHook.TRStart"
		size = 136
		refs = "0012 TIBSQLMonitorHook.TRStart 003c StrStartTransaction 0041 LoadResString 004f @UStrCat3 005b TIBSQLMonitorHook.WriteSQLData 0075 @UStrArrayClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0E 00 74 3D 8B 7E 44 85 FF 74 36 0F B7 87 80 00 00 00 66 23 43 0C A8 40 74 27 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC 8B 56 08 E8 ?? ?? ?? ?? B1 06 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31914_0 {
	meta:
		name = "TIBSQLMonitorHook.UnregisterMonitor"
		size = 180
		refs = "0003 FReaderThread 0010 TReaderThread.RemoveMonitor 0028 TThread.Terminate 0030 FWriterThread 003a _DV_TWriterThread 003f TWriterThread.Create 004d TIBSQLMonitorHook.UnregisterMonitor 0057 TWriterThread.WriteSQLData 0061 TThread.WaitFor 0073 TObject.Free"
	strings:
		$1 = { 53 83 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 44 83 78 08 00 75 7F A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 83 3D ?? ?? ?? ?? 00 75 13 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B3 01 B1 09 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 26 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_31915_0 {
	meta:
		name = "TIBSQLMonitorHook.WriteSQLData"
		size = 332
		refs = "001d @UStrAddRef 0025 TIBSQLMonitorHook.WriteSQLData 004a TIBSQLMonitorHook.CreateEvents 0059 @HandleAnyException 0063 TIBSQLMonitorHook.SetEnabled 0068 @DoneExcept 0077 CS 007c TSimpleRWSync.BeginWrite 0089 StrApplication 008e LoadResString 0099 DBApplication 00bd @UStrCatN 00c7 TSimpleRWSync.EndWrite 00cd FWriterThread 00d7 _DV_TWriterThread 00dc TWriterThread.Create 00f0 TWriterThread.WriteSQLData 010a @UStrArrayClr 0112 @UStrClr 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F4 89 5D F0 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 80 78 0F 00 75 3E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 83 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 0C FF 75 F0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 8D 45 FC BA 06 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B CB 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 }
	condition:
		$1
}

rule function_31916_0 {
	meta:
		name = "TWriterThread.Create"
		size = 79
		refs = "000a @ClassCreate 0019 TThread.Create 0022 _Dn_TObjectList 0027 TObjectList.Create 0031 TThread.Resume 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B1 01 33 D2 8B C6 E8 ?? ?? ?? ?? B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_31918_0 {
	meta:
		name = "TWriterThread.Execute"
		size = 292
		refs = "000f FMonitorCount 0022 CS 0027 TSimpleRWSync.BeginWrite 0035 TList.Get 0051 TList.RemoveItem 0066 TSimpleRWSync.EndWrite 0070 TThread.Sleep 00a6 _DV_TReleaseObject 00ab @IsClass 00e3 PostMessage 00ec TWriterThread.WriteToBuffer 0104 bDone"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B D8 E9 EE 00 00 00 A1 ?? ?? ?? ?? 83 38 00 75 61 8B 43 40 83 78 08 00 74 49 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 40 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B E8 8B 43 40 89 44 24 04 89 6C 24 08 33 C9 8B 54 24 08 8B 44 24 04 E8 ?? ?? ?? ?? 89 44 24 0C 8B 44 24 0C 89 04 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 32 00 00 00 E8 ?? ?? ?? ?? E9 83 00 00 00 8B 43 40 83 78 08 00 74 70 8B 43 40 89 44 24 10 33 C0 89 44 24 14 8B 54 24 14 8B 44 24 10 E8 ?? ?? ?? ?? 89 44 24 18 8B 44 24 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 36 8B 43 40 89 44 24 1C 33 C0 89 44 24 20 8B 54 24 20 8B 44 24 1C E8 ?? ?? ?? ?? 89 44 24 24 6A 00 6A 00 68 21 B0 00 00 8B 44 24 30 8B 40 04 50 E8 ?? ?? ?? ?? EB 13 8B C3 E8 ?? ?? ?? ?? EB 0A B8 32 00 00 00 E8 ?? ?? ?? ?? 80 7B 0D 00 75 0D 80 3D ?? ?? ?? ?? 00 0F 84 FF FE FF FF 8B 43 40 83 78 08 00 0F 85 F2 FE FF FF 83 C4 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31919_0 {
	meta:
		name = "TWriterThread.Lock"
		size = 14
		refs = "0003 FWriteLock 0009 WaitForSingleObject"
	strings:
		$1 = { 6A FF A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31920_0 {
	meta:
		name = "TWriterThread.Unlock"
		size = 12
		refs = "0001 FWriteLock 0007 ReleaseMutex"
	strings:
		$1 = { A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62658_0 {
	meta:
		name = "ResetSyncEvent"
		size = 12
		refs = "0001 SyncEvent 0007 ResetEvent"
	strings:
		$1 = { A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62660_0 {
	meta:
		name = "SignalSyncEvent"
		size = 12
		refs = "0001 SyncEvent 0007 SetEvent"
	strings:
		$1 = { A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31921_0 {
	meta:
		name = "TWriterThread.WriteSQLData"
		size = 133
		refs = "0013 @UStrAddRef 001b TWriterThread.WriteSQLData 0026 FMonitorCount 0030 CS 0035 TSimpleRWSync.BeginWrite 0047 _DV_TTraceObject 004c TTraceObject.Create 0055 TList.Add 005f TSimpleRWSync.EndWrite 0074 @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 88 4D FB 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 00 74 34 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5B 40 0F B6 45 FB 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31923_0 {
	meta:
		name = "TWriterThread.EndWrite"
		size = 208
		refs = "0007 FMonitorCount 000c FReaderCount 001d InterlockedDecrement 0035 FReadEvent 003b SetEvent 004b WaitForSingleObject 0057 FWriteFinishedEvent 005d ResetEvent 0062 FReadFinishedEvent 006d FWriteEvent 00c7 TWriterThread.Unlock"
	strings:
		$1 = { 53 56 57 55 8B E8 BE ?? ?? ?? ?? BF ?? ?? ?? ?? EB 2D 8B 06 83 38 00 7E 08 8B 06 50 E8 ?? ?? ?? ?? 8B 07 8B 00 8B 16 8B 1A 8B D3 4A 3B C2 74 04 85 DB 75 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 F4 01 00 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3D 02 01 00 00 74 BC A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1E 8B 07 83 38 00 74 0C 8B 07 50 E8 ?? ?? ?? ?? 85 C0 75 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 F4 01 00 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3D 02 01 00 00 74 CB A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31924_0 {
	meta:
		name = "TWriterThread.WriteToBuffer"
		size = 524
		refs = "0015 TWriterThread.WriteToBuffer 0023 TWriterThread.Lock 0036 FMonitorCount 0040 CS 0045 TSimpleRWSync.BeginWrite 0056 TList.Get 0064 TList.RemoveItem 006e TSimpleRWSync.EndWrite 0091 @UStrLAsg 00b9 TWriterThread.BeginWrite 00cc FBuffer 00d8 @FillChar 00f5 FTraceDataType 0118 FTimeStamp 0135 Min 013b FBufferSize 0145 @UniqueStringU 015f Move 0182 TWriterThread.EndWrite 0188 @HandleFinally 01dc TWriterThread.Unlock 01f9 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 A1 ?? ?? ?? ?? 83 38 00 75 38 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 58 40 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 52 40 33 C9 92 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 54 01 00 00 8B 45 F8 8B 58 40 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? C7 45 F4 01 00 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 89 45 F0 83 7D F0 00 0F 8E E3 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 33 C9 BA F4 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 58 40 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 0F B6 47 04 8B 15 ?? ?? ?? ?? 89 02 8B 45 F8 8B 40 40 89 45 EC 33 C0 89 45 E8 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 89 45 E4 A1 ?? ?? ?? ?? 8B 55 E4 8B 4A 10 89 08 8B 4A 14 89 48 04 8B 45 F0 03 C0 BA F4 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 8D 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 44 50 FE 8B 15 ?? ?? ?? ?? 8B 0A 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 81 45 F4 F4 03 00 00 81 6D F0 F4 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D F0 00 0F 8F 1D FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 58 40 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 52 40 33 C9 92 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31925_0 {
	meta:
		name = "TWriterThread.ReleaseMonitor"
		size = 55
		refs = "0007 CS 000c TSimpleRWSync.BeginWrite 0018 _DV_TReleaseObject 001d TReleaseObject.Create 0026 TList.Add 0030 TSimpleRWSync.EndWrite"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5B 40 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31926_0 {
	meta:
		name = "TTraceObject.Create"
		size = 133
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TTraceObject.Create 0036 @UStrAsg 0042 Now 005b @UStrClr 0061 @HandleFinally 006e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 08 8B 55 FC E8 ?? ?? ?? ?? 0F B6 45 08 88 46 04 E8 ?? ?? ?? ?? DD 5E 10 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_31927_0 {
	meta:
		name = "TTraceObject.Create"
		size = 78
		refs = "000b @ClassCreate 001c @UStrAsg 003a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 08 8B 56 08 E8 ?? ?? ?? ?? 0F B6 46 04 88 47 04 8B 46 10 89 47 10 8B 46 14 89 47 14 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31929_0 {
	meta:
		name = "TReaderThread.AddMonitor"
		size = 53
		refs = "0007 CS 000c TSimpleRWSync.BeginWrite 0016 TList.IndexOf 0024 TList.Add 002e TSimpleRWSync.EndWrite"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 44 8B D6 E8 ?? ?? ?? ?? 85 C0 7D 0A 8B 43 44 8B D6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31930_0 {
	meta:
		name = "TReaderThread.BeginRead"
		size = 66
		refs = "0003 FWriteFinishedEvent 0009 WaitForSingleObject 000e FReaderCount 0014 InterlockedIncrement 0021 FMonitorCount 002a FReadEvent 0030 SetEvent 0037 FWriteEvent"
	strings:
		$1 = { 6A FF A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? 3B 02 75 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A FF A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31931_0 {
	meta:
		name = "TReaderThread.Create"
		size = 109
		refs = "000a @ClassCreate 0019 TThread.Create 0024 _DV_TTraceObject 0029 TTraceObject.Create 0035 _Dn_TObjectList 003a TObjectList.Create 0042 FMonitorCount 0048 InterlockedIncrement 004f TThread.Resume 005a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B1 01 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 09 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 44 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_31932_0 {
	meta:
		name = "TReaderThread.Destroy"
		size = 73
		refs = "0003 @BeforeDestruction 000c FMonitorCount 001c InterlockedDecrement 0024 TObject.Free 0037 TThread.Destroy 0042 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 83 38 00 7E 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31933_0 {
	meta:
		name = "TReaderThread.EndRead"
		size = 38
		refs = "0001 FReaderCount 0007 InterlockedDecrement 0010 FReadEvent 0016 ResetEvent 001b FReadFinishedEvent 0021 SetEvent"
	strings:
		$1 = { A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 16 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31934_0 {
	meta:
		name = "TReaderThread.Execute"
		size = 180
		refs = "000e TReaderThread.ReadSQLData 0022 TReaderThread.Execute 0027 @UStrEqual 004a _DV_TTraceObject 004f TTraceObject.Create 0067 TList.Get 0080 PostMessage 0090 bDone"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B D8 EB 7D 8B C3 E8 ?? ?? ?? ?? 8B 43 40 83 78 08 00 74 6D 8B 43 40 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 8B 43 40 80 78 04 09 74 52 8B 43 44 8B 70 08 4E 85 F6 7C 47 46 33 FF 8B 4B 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B 43 44 89 04 24 89 7C 24 04 8B 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 08 55 6A 00 68 01 04 00 00 8B 44 24 14 8B 40 38 50 E8 ?? ?? ?? ?? 47 4E 75 BC 80 7B 0D 00 75 0D 80 3D ?? ?? ?? ?? 00 0F 84 70 FF FF FF 83 C4 0C 5D 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_31935_0 {
	meta:
		name = "TReaderThread.ReadSQLData"
		size = 146
		refs = "0011 @UStrClr 0019 TReaderThread.BeginRead 001f bDone 002a TReaderThread.ReadSQLData 0035 FBufferSize 0046 FBuffer 004b @UStrFromPWCharLen 0051 FTraceDataType 0063 FTimeStamp 0083 TReaderThread.EndRead 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 40 83 C0 08 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 75 69 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 08 8B 45 FC 8B 40 40 83 C0 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 0F B6 12 8B 45 FC 8B 40 40 88 50 04 8B 15 ?? ?? ?? ?? 8B 0A 89 48 10 8B 4A 04 89 48 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_31936_0 {
	meta:
		name = "TReaderThread.RemoveMonitor"
		size = 41
		refs = "0007 CS 000c TSimpleRWSync.BeginWrite 0018 TList.RemoveItem 0022 TSimpleRWSync.EndWrite"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 44 8B D6 33 C9 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31937_0 {
	meta:
		name = "MonitorHook"
		size = 109
		refs = "0005 _MonitorHook 000e bDone 0016 CS 001b TSimpleRWSync.BeginWrite 0034 _DV_TIBSQLMonitorHook 0039 TIBSQLMonitorHook.Create 0049 TInterfacedObject._AddRef 0053 TSimpleRWSync.EndWrite 0067 @IntfCopy"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 4B 80 3D ?? ?? ?? ?? 00 75 42 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 25 80 3D ?? ?? ?? ?? 00 75 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31938_0 {
	meta:
		name = "EnableMonitoring"
		size = 69
		refs = "0009 EnableMonitoring 0017 MonitorHook 0036 @IntfClear 003c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC B2 01 8B 08 FF 51 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_31939_0 {
	meta:
		name = "DisableMonitoring"
		size = 69
		refs = "0009 DisableMonitoring 0017 MonitorHook 0036 @IntfClear 003c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 8B 08 FF 51 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_31940_0 {
	meta:
		name = "MonitoringEnabled"
		size = 73
		refs = "000a MonitoringEnabled 0018 MonitorHook 0037 @IntfClear 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 68 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_31941_0 {
	meta:
		name = "CloseThreads"
		size = 95
		refs = "0002 FReaderThread 000f TThread.Terminate 0019 TThread.WaitFor 002b TObject.Free 0031 FWriterThread"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 26 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 26 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31942_0 {
	meta:
		name = "Finalization"
		size = 228
		refs = "0007 Finalization 0013 _DV_3 002d bDone 0034 FReaderThread 003d FWriterThread 0047 _DV_TWriterThread 004c TWriterThread.Create 0062 TWriterThread.WriteSQLData 0067 CloseThreads 006d _MonitorHook 007b TInterfacedObject._Release 0094 CS 0099 TObject.Free 009f @HandleFinally 00a6 MonitorHookNames 00b1 string 00b6 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 9D 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 05 ?? ?? ?? ?? 01 83 3D ?? ?? ?? ?? 00 74 2B 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B1 09 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 B8 ?? ?? ?? ?? B9 06 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_31943_0 {
	meta:
		name = "IBSQLMonitor"
		size = 55
		refs = "0002 _DV_3 000c _Dn_TSimpleRWSync 0011 TSimpleRWSync.Create 0016 CS 001d _MonitorHook 0024 FWriterThread 002b FReaderThread 0031 bDone"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 2D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 C3 }
	condition:
		$1
}

rule function_31944_0 {
	meta:
		name = "TIBStoredProc.Create"
		size = 91
		refs = "000a @ClassCreate 0017 TIBCustomDataSet.Create 0020 _Dn_TParams 0025 TParams.Create 0032 _Dn_TStringList 0037 TStringList.Create 0048 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 74 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 7C 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_31945_0 {
	meta:
		name = "TIBStoredProc.Destroy"
		size = 83
		refs = "0003 @BeforeDestruction 000e TComponent.Destroying 0023 TObject.Free 0041 TIBCustomDataSet.Destroy 004c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 E0 02 00 00 8B 86 74 02 00 00 E8 ?? ?? ?? ?? 8D 86 7C 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31947_0 {
	meta:
		name = "TIBStoredProc.ExecProc"
		size = 213
		refs = "0031 IBError 0039 TIBCustomDataSet.ActivateConnection 0041 TIBCustomDataSet.ActivateTransaction 004c TIBStoredProc.ExecProc 005c TIBStoredProc.SetPrepared 0073 TIBStoredProc.SetParamsFromCursor 008d TIBStoredProc.SetParams 00a0 TIBStoredProc.FetchDataIntoOutputParams 00c5 TIBCustomDataSet.DeactivateTransaction 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC 8B 10 FF 92 C4 00 00 00 8B 45 FC 83 B8 70 02 00 00 00 75 15 33 C0 89 45 F0 C6 45 F4 05 8D 55 F0 33 C9 B0 44 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 60 01 00 00 85 C0 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 74 02 00 00 8B 40 08 83 78 08 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 D4 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B E5 5D C3 }
	condition:
		$1
}

rule function_31948_0 {
	meta:
		name = "TIBStoredProc.SetProcName"
		size = 193
		refs = "000e @UStrAddRef 0016 TIBStoredProc.SetProcName 003a @UStrEqual 004a @UStrAsg 0051 TIBStoredProc.FreeStatement 005c TCollection.Clear 0069 TIBCustomDataSet.GetDatabase 0074 TIBStoredProc.GenerateSQL 00b1 @UStrClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 1C 02 75 54 8B C3 8B 10 FF 92 C4 00 00 00 8B 45 FC 8B 93 70 02 00 00 E8 ?? ?? ?? ?? 74 60 8D 83 70 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 74 02 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 3A 8B C3 E8 ?? ?? ?? ?? 85 C0 74 2F 8B C3 E8 ?? ?? ?? ?? EB 26 8D 83 70 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 12 8B C3 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_31949_0 {
	meta:
		name = "TIBStoredProc.GetParamsCount"
		size = 13
	strings:
		$1 = { 8B 80 74 02 00 00 8B 40 08 8B 40 08 C3 }
	condition:
		$1
}

rule function_31951_0 {
	meta:
		name = "TIBStoredProc.GenerateSQL"
		size = 1260
		refs = "0016 TIBStoredProc.GenerateSQL 0024 TIBCustomDataSet.ActivateConnection 002c TIBCustomDataSet.GetDatabase 0037 TIBTransaction.StartTransaction 0041 _Dn_TIBSQL 0046 TIBSQL.Create 0069 TIBSQL.SetDatabase 007f TIBSQL.SetTransaction 0091 TIBDatabase.GetSQLDialect 00a2 QuoteIdentifier 00bc FormatIdentifierValue 00d6 @UStrCatN 00ec TIBSQL.Prepare 00fb TIBSQL.ExecQuery 0108 TIBSQL.Current 0112 TIBXSQLDA.ByName 0117 TIBXSQLVAR.GetAsLong 0147 TIBXSQLVAR.GetAsString 01b7 @UStrCat3 01bf TIBSQL.GetEOF 01cb TIBSQL.Next 0225 TIBCustomDataSet.GetSelectSQL 0282 TObject.Free 0295 TIBTransaction.Commit 029b @HandleFinally 02b7 @UStrArrayClr 02bf @UStrClr"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 90 CC 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E8 8B 55 F8 8B 92 70 02 00 00 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EC 5A E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 8B 40 60 8B 08 FF 51 2C 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 C6 40 42 00 8B 45 F4 E8 ?? ?? ?? ?? E9 B7 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 98 00 00 00 83 7D FC 00 74 4E FF 75 FC 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E4 5A E8 ?? ?? ?? ?? FF 75 E4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 44 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D DC 5A E8 ?? ?? ?? ?? 8B 4D DC 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 85 2D FF FF FF 83 7D FC 00 74 54 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D D0 8B 55 F8 8B 92 70 02 00 00 E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 D4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 45 F8 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 2C EB 40 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D C8 8B 55 F8 8B 92 70 02 00 00 E8 ?? ?? ?? ?? 8B 4D C8 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 F8 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 69 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 52 00 44 00 42 00 24 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 20 00 52 00 44 00 42 00 24 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 54 00 59 00 50 00 45 00 20 00 46 00 52 00 4F 00 4D 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 53 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 27 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 20 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 55 00 4D 00 42 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 44 00 42 00 24 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2C 00 20 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 44 00 42 00 24 00 50 00 41 00 52 00 41 00 4D 00 45 00 54 00 45 00 52 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 20 00 50 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_31952_0 {
	meta:
		name = "TIBStoredProc.CreateParamDesc"
		size = 1193
		refs = "0012 TIBStoredProc.CreateParamDesc 0027 TIBSQL.Current 0043 TIBSQL.GetFields 0048 TIBXSQLVAR.GetSQLType 021c Trim 022e TParams.CreateParam 0245 TIBSQL.GetSQLParams 0266 TIBXSQLDA.GetSQLVAR 0496 @UStrArrayClr 049c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 78 08 4F 85 FF 0F 8C 03 02 00 00 47 33 F6 8B D6 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D 08 02 00 00 7F 4F 0F 84 A3 01 00 00 3D E2 01 00 00 7F 28 0F 84 63 01 00 00 2D C0 01 00 00 0F 84 64 01 00 00 83 E8 04 0F 84 55 01 00 00 83 E8 1C 0F 84 46 01 00 00 E9 7E 01 00 00 2D F0 01 00 00 0F 84 9F 00 00 00 83 E8 04 74 6E 83 E8 0A 74 60 E9 64 01 00 00 3D 30 02 00 00 7F 24 74 49 2D 12 02 00 00 0F 84 13 01 00 00 83 E8 0A 0F 84 3D 01 00 00 83 E8 0A 0F 84 34 01 00 00 E9 39 01 00 00 2D 3A 02 00 00 74 17 83 E8 0A 0F 84 A5 00 00 00 83 E8 0A 0F 84 1C 01 00 00 E9 1B 01 00 00 C6 45 FF 09 E9 12 01 00 00 C6 45 FF 0A E9 09 01 00 00 C6 45 FF 0B E9 00 01 00 00 8B D6 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 20 66 85 C0 75 09 C6 45 FF 02 E9 DD 00 00 00 C6 45 FF 08 E9 D4 00 00 00 8B D6 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 20 66 85 C0 75 09 C6 45 FF 03 E9 B1 00 00 00 8B D6 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 20 66 83 F8 FC 7C 09 C6 45 FF 08 E9 8D 00 00 00 C6 45 FF 06 E9 84 00 00 00 8B D6 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 20 66 85 C0 75 06 C6 45 FF 19 EB 64 8B D6 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 20 66 83 F8 FC 7C 06 C6 45 FF 08 EB 43 C6 45 FF 06 EB 3D C6 45 FF 06 EB 37 C6 45 FF 01 EB 31 8B D6 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 14 66 3D 00 04 7D 06 C6 45 FF 01 EB 10 C6 45 FF 0F EB 0A C6 45 FF 0F EB 04 C6 45 FF 05 6A 02 8B D6 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 40 14 8D 55 F8 E8 ?? ?? ?? ?? 8B 4D F8 0F B6 55 FF 8B 83 74 02 00 00 E8 ?? ?? ?? ?? 46 4F 0F 85 00 FE FF FF C6 45 FF 00 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 78 08 4F 85 FF 0F 8C 2B 02 00 00 47 33 F6 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D 08 02 00 00 7F 4F 0F 84 C1 01 00 00 3D E2 01 00 00 7F 28 0F 84 7C 01 00 00 2D C0 01 00 00 0F 84 7D 01 00 00 83 E8 04 0F 84 6E 01 00 00 83 E8 1C 0F 84 5F 01 00 00 E9 9C 01 00 00 2D F0 01 00 00 0F 84 A4 00 00 00 83 E8 04 74 6E 83 E8 0A 74 60 E9 82 01 00 00 3D 30 02 00 00 7F 24 74 49 2D 12 02 00 00 0F 84 2C 01 00 00 83 E8 0A 0F 84 5B 01 00 00 83 E8 0A 0F 84 52 01 00 00 E9 57 01 00 00 2D 3A 02 00 00 74 17 83 E8 0A 0F 84 B4 00 00 00 83 E8 0A 0F 84 3A 01 00 00 E9 39 01 00 00 C6 45 FF 09 E9 30 01 00 00 C6 45 FF 0A E9 27 01 00 00 C6 45 FF 0B E9 1E 01 00 00 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 20 66 85 C0 75 09 C6 45 FF 02 E9 F6 00 00 00 C6 45 FF 08 E9 ED 00 00 00 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 20 66 85 C0 75 09 C6 45 FF 03 E9 C5 00 00 00 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 20 66 83 F8 FC 7C 09 C6 45 FF 08 E9 9C 00 00 00 C6 45 FF 06 E9 93 00 00 00 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 20 66 85 C0 75 06 C6 45 FF 19 EB 6E 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 20 66 83 F8 FC 7C 06 C6 45 FF 08 EB 48 C6 45 FF 06 EB 42 C6 45 FF 06 EB 3C C6 45 FF 01 EB 36 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 18 8B 10 FF 52 14 66 3D 00 04 7D 06 C6 45 FF 01 EB 10 C6 45 FF 0F EB 0A C6 45 FF 0F EB 04 C6 45 FF 05 6A 01 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 14 8D 55 F4 E8 ?? ?? ?? ?? 8B 4D F4 0F B6 55 FF 8B 83 74 02 00 00 E8 ?? ?? ?? ?? 46 4F 0F 85 D8 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31953_0 {
	meta:
		name = "TIBStoredProc.SetPrepared"
		size = 220
		refs = "0015 TIBStoredProc.SetPrepared 0044 TIBCustomDataSet.GetSelectSQL 005a TIBStoredProc.GenerateSQL 007f TIBStoredProc.CreateParamDesc 0098 @HandleAnyException 00a0 TIBStoredProc.FreeStatement 00a5 @RaiseAgain 00aa @DoneExcept 00c9 @UStrClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 3A 90 78 02 00 00 0F 84 8A 00 00 00 84 D2 74 7E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 51 1C 83 7D F8 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 CC 02 00 00 8B 45 FC 8B 80 74 02 00 00 8B 40 08 83 78 08 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 78 02 00 00 01 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_31956_0 {
	meta:
		name = "TIBStoredProc.FreeStatement"
		size = 33
		refs = "0014 TIBSQL.FreeHandle"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 D0 02 00 00 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? C6 83 78 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_31958_0 {
	meta:
		name = "TIBStoredProc.CopyParams"
		size = 136
		refs = "0035 TIBStoredProc.CopyParams 0043 TIBStoredProc.Prepare 0068 TIBStoredProc.UnPrepare 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F2 89 45 FC 8B 45 FC 80 B8 78 02 00 00 00 75 15 8B 45 FC 8B 80 74 02 00 00 8B 40 08 83 78 08 00 0F 94 C0 EB 02 33 C0 84 C0 74 43 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 74 02 00 00 8B C6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 90 74 02 00 00 8B C6 8B 08 FF 51 08 5E 59 5D C3 }
	condition:
		$1
}

rule function_31959_0 {
	meta:
		name = "TIBStoredProc.SetParamsList"
		size = 75
		refs = "001e TIBStoredProc.SetPrepared"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 C4 00 00 00 80 BB 78 02 00 00 00 74 22 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 74 02 00 00 8B 08 FF 51 08 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B 83 74 02 00 00 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_31960_0 {
	meta:
		name = "TIBStoredProc.ParamByName"
		size = 53
		refs = "0021 TIBStoredProc.Prepare 002e TParams.ParamByName"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 78 02 00 00 00 75 16 8B 83 74 02 00 00 8B 40 08 83 78 08 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 74 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31961_0 {
	meta:
		name = "TIBStoredProc.GetStoredProcedureNames"
		size = 29
		refs = "0011 TIBStoredProc.GetStoredProcedureNamesFromServer"
	strings:
		$1 = { 53 8B D8 8B 83 7C 02 00 00 8B 10 FF 52 44 8B C3 E8 ?? ?? ?? ?? 8B 83 7C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_31962_0 {
	meta:
		name = "TIBStoredProc.GetStoredProcedureNamesFromServer"
		size = 504
		refs = "0015 TIBStoredProc.GetStoredProcedureNamesFromServer 0030 TIBCustomDataSet.ActivateConnection 0038 TIBCustomDataSet.GetDatabase 0043 TIBTransaction.StartTransaction 004d _Dn_TIBSQL 0052 TIBSQL.Create 007c TIBSQL.SetDatabase 0092 TIBSQL.SetTransaction 00aa TIBSQL.Prepare 00b2 TIBSQL.ExecQuery 00bc TIBSQL.Current 00c6 TIBXSQLDA.ByName 00ce TIBXSQLVAR.GetAsString 00d9 TrimRight 00f2 TIBSQL.GetEOF 00fe TIBSQL.Next 0117 TObject.Free 012a TIBTransaction.Commit 0130 @HandleFinally 014c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 D2 89 55 F4 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 1C 02 0F 85 0A 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 C6 40 42 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 90 CC 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 36 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 7C 02 00 00 8B 08 FF 51 38 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 B2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 B0 04 02 00 FF FF FF FF 2D 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 53 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 44 00 42 00 24 00 50 00 52 00 4F 00 43 00 45 00 44 00 55 00 52 00 45 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_31963_0 {
	meta:
		name = "TIBStoredProc.SetParams"
		size = 1010
		refs = "0018 TIBStoredProc.SetParams 0048 TParams.GetItem 004d TParam.GetParamType 007d IBError 008f TParam.GetIsNull 009a TIBCustomDataSet.GetSQLParams 00a1 TIBXSQLDA.GetSQLVAR 00a8 TIBXSQLVAR.SetIsNull 00d4 TParam.GetDataType 0164 TParam.GetAsString 017c TIBXSQLVAR.SetAsString 0193 TParam.GetAsInteger 01a8 TIBXSQLVAR.SetAsShort 01d4 TIBXSQLVAR.SetAsLong 01ee TParam.GetAsVariant 01f6 @VarToInt64 020b TIBXSQLVAR.SetAsInt64 0222 TParam.GetAsFloat 023c TIBXSQLVAR.SetAsDouble 0253 TParam.GetAsCurrency 026d TIBXSQLVAR.SetAsCurrency 0284 TParam.GetAsDateTime 029e TIBXSQLVAR.SetAsDate 02cf TIBXSQLVAR.SetAsTime 0300 TIBXSQLVAR.SetAsDateTime 0349 TParam.GetAsBytes 0361 TIBXSQLVAR.SetAsBytes 0375 TParam.GetAsBoolean 038a TIBXSQLVAR.SetAsBoolean 03c2 TArray<System.Byte> 03c7 @DynArrayClear 03cf @UStrClr 03d7 @VarClr 03e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8B 83 74 02 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C 77 03 00 00 40 89 45 FC 33 F6 8B D6 8B 83 74 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 01 0F 85 4D 03 00 00 8B D6 8B 83 74 02 00 00 E8 ?? ?? ?? ?? 80 78 39 00 75 15 33 C0 89 45 F4 C6 45 F8 05 8D 55 F4 33 C9 B0 43 E8 ?? ?? ?? ?? 8B D6 8B 83 74 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? E9 F4 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B D6 8B 83 74 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 E0 7F 83 F8 2C 0F 87 AC 02 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 02 03 02 0C 05 05 06 07 08 09 00 00 00 0B 0A 00 00 00 00 00 00 01 01 04 00 00 00 00 00 00 00 00 00 00 00 00 01 0A 00 00 00 02 02 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D6 8B 83 74 02 00 00 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? E9 20 02 00 00 8B D6 8B 83 74 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? E9 F4 01 00 00 8B D6 8B 83 74 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? E9 C8 01 00 00 8B D6 8B 83 74 02 00 00 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 52 50 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 91 01 00 00 8B D6 8B 83 74 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 60 01 00 00 8B D6 8B 83 74 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2F 01 00 00 8B D6 8B 83 74 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FE 00 00 00 8B D6 8B 83 74 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CD 00 00 00 8B D6 8B 83 74 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9C 00 00 00 8B D6 8B 83 74 02 00 00 E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8B 45 DC 50 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 6D 8B D6 8B 83 74 02 00 00 E8 ?? ?? ?? ?? 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 D8 50 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 3E 8B D6 8B 83 74 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 15 33 C0 89 45 F4 C6 45 F8 05 8D 55 F4 33 C9 B0 04 E8 ?? ?? ?? ?? 47 46 FF 4D FC 0F 85 8F FC FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31964_0 {
	meta:
		name = "TIBStoredProc.SetParamsFromCursor"
		size = 147
		refs = "0032 TFieldDefs.Update 0053 TParams.GetItem 0062 TParam.GetParamType 007c TDataSet.FieldByName 0085 TParam.AssignField"
	strings:
		$1 = { 53 56 57 55 51 8B F0 8B C6 8B 10 FF 92 60 01 00 00 85 C0 74 78 8B C6 8B 10 FF 92 60 01 00 00 8B 40 38 89 04 24 83 3C 24 00 74 62 8B 04 24 8B 40 40 E8 ?? ?? ?? ?? 8B 86 74 02 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 46 47 33 ED 8B D5 8B 86 74 02 00 00 E8 ?? ?? ?? ?? 8B D8 80 7B 39 00 75 2A 8B C3 E8 ?? ?? ?? ?? 3C 01 74 0B 8B C3 E8 ?? ?? ?? ?? 3C 03 75 14 8B 53 34 8B 04 24 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 45 4F 75 BD 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_31965_0 {
	meta:
		name = "TIBStoredProc.FetchDataIntoOutputParams"
		size = 164
		refs = "0013 TIBStoredProc.FetchDataIntoOutputParams 003f TParams.GetItem 0044 TParam.GetParamType 0056 TIBSQL.GetFields 005e TIBXSQLVAR.GetAsVariant 0075 TParam.SetAsVariant 0091 @VarClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8B 83 74 02 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 4D 47 33 F6 8B D6 8B 83 74 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 02 75 30 8B 55 FC 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8D 45 EC 50 8B D6 8B 83 74 02 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? FF 45 FC 46 4F 75 B6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31966_0 {
	meta:
		name = "TIBStoredProc.InternalOpen"
		size = 27
		refs = "0014 IBError"
	strings:
		$1 = { 83 C4 F8 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 45 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_31967_0 {
	meta:
		name = "WriteData"
		size = 71
		refs = "0024 TParams.IsEqual"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 20 85 DB 74 1C 8B 93 74 02 00 00 8B 45 08 8B 40 F8 8B 80 74 02 00 00 E8 ?? ?? ?? ?? 34 01 5B 5D C3 8B 45 08 8B 40 F8 8B 80 74 02 00 00 8B 40 08 8B 40 08 85 C0 0F 9F C0 5B 5D C3 }
	condition:
		$1
}

rule function_31969_0 {
	meta:
		name = "TIBStoredProc.WriteParamData"
		size = 13
		refs = "0008 TWriter.WriteCollection"
	strings:
		$1 = { 8B 80 74 02 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_31970_0 {
	meta:
		name = "TIBStoredProc.ReadParamData"
		size = 29
		refs = "0009 TReader.ReadValue 0016 TReader.ReadCollection"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 93 74 02 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31971_0 {
	meta:
		name = "TIBStoredProc.PSGetParams"
		size = 7
	strings:
		$1 = { 8B 80 74 02 00 00 C3 }
	condition:
		$1
}

rule function_31972_0 {
	meta:
		name = "TIBStoredProc.PSSetParams"
		size = 32
		refs = "001a TDataSet.Close"
	strings:
		$1 = { 56 8B F0 8B 42 08 83 78 08 00 7E 0B 8B 86 74 02 00 00 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_31976_0 {
	meta:
		name = "TIBStoredProc.PSGetCommandText"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 70 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31980_0 {
	meta:
		name = "TIBTable.Create"
		size = 309
		refs = "000e @ClassCreate 001c TIBCustomDataSet.Create 0023 _Dn_TStringList 0028 TStringList.Create 003e _Dn_TIndexDefs 0043 TIndexDefs.Create 00ba _Dn_TMasterDataLink 00bf TMasterDataLink.Create 00d1 TIBTable.MasterChanged 00db TIBTable.MasterDisabled 0120 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 90 02 00 00 C6 83 94 02 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 7C 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A4 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A8 02 00 00 C6 83 80 02 00 00 01 C6 83 8C 02 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 70 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 74 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 6C 02 00 00 89 5E 2C C7 46 28 ?? ?? ?? ?? 89 5E 34 C7 46 30 ?? ?? ?? ?? 8B 83 E4 01 00 00 33 D2 89 50 58 89 50 5C 8B 83 DC 01 00 00 33 D2 89 50 58 89 50 5C 8B 83 E0 01 00 00 33 D2 89 50 58 89 50 5C 8B 83 EC 01 00 00 33 D2 89 50 58 89 50 5C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_31981_0 {
	meta:
		name = "TIBTable.Destroy"
		size = 206
		refs = "0003 @BeforeDestruction 000e TDataSet.GetActive 0019 TDataSet.Close 002c TObject.Free 00bc TIBCustomDataSet.Destroy 00c7 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 E8 ?? ?? ?? ?? 8D 86 90 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 7C 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 70 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 74 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 6C 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 A0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 A4 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 A8 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31982_0 {
	meta:
		name = "TIBTable.InternalClose"
		size = 28
		refs = "0015 TIBCustomDataSet.InternalClose"
	strings:
		$1 = { 53 56 8B D8 33 C9 B2 08 8B C3 8B 30 FF 96 E4 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32020_0 {
	meta:
		name = "TIBTable.MasterDisabled"
		size = 28
		refs = "0015 TIBCustomDataSet.ReQuery"
	strings:
		$1 = { 53 56 8B D8 33 C9 B2 08 8B C3 8B 30 FF 96 E4 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31983_0 {
	meta:
		name = "TIBTable.InternalOpen"
		size = 101
		refs = "0020 IBError 0027 TIBCustomDataSet.ActivateConnection 002e TIBCustomDataSet.ActivateTransaction 0048 TIBTable.GenerateSQL 0056 TIBTable.SetParams 005d TIBCustomDataSet.InternalOpen"
	strings:
		$1 = { 53 83 C4 F8 8B D8 83 BB 84 02 00 00 00 75 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 4B E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 BB 8C 02 00 00 00 74 18 8B C3 8B 10 FF 92 D0 02 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 8C 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_31984_0 {
	meta:
		name = "TIBTable.InternalRefresh"
		size = 41
		refs = "000b TIBTable.GetCurrentDBKey 0012 TIBTable.Reopen 0021 TIBTable.InternalGotoDBKey"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 74 09 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_31985_0 {
	meta:
		name = "TIBTable.SetFiltered"
		size = 47
		refs = "000e TDataSet.SetFiltered 0015 TDataSet.GetActive 0020 TIBTable.InternalTableRefresh"
	strings:
		$1 = { 53 8B D8 3A 93 B0 00 00 00 74 1B 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_31986_0 {
	meta:
		name = "TIBTable.SetFilterText"
		size = 61
		refs = "0018 @UStrEqual 0023 TDataSet.SetFilterText 002a TIBTable.InternalTableRefresh"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB B0 00 00 00 00 74 22 8B C6 8B 93 80 00 00 00 E8 ?? ?? ?? ?? 74 13 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31987_0 {
	meta:
		name = "TIBTable.SetFilterOptions"
		size = 52
		refs = "0009 TIBTable.SetFilterOptions 0026 IBError"
	strings:
		$1 = { 83 C4 F4 88 14 24 0F B6 05 ?? ?? ?? ?? 3A 04 24 74 18 33 C0 89 44 24 04 C6 44 24 08 05 8D 54 24 04 33 C9 B0 04 E8 ?? ?? ?? ?? 83 C4 0C C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_31988_0 {
	meta:
		name = "TIBTable.InternalRefreshRow"
		size = 169
		refs = "0012 TIBTable.InternalRefreshRow 0022 TIBTable.GetCurrentDBKey 0083 TIBCustomDataSet.InternalRefreshRow 0098 @UStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 80 7D F8 00 74 16 8B 83 E4 01 00 00 8B 40 60 8B 93 A4 02 00 00 8B 08 FF 51 08 EB 3E 8D 55 F4 8B 83 A8 02 00 00 8B 08 FF 51 1C 83 7D F4 00 74 16 8B 83 E4 01 00 00 8B 40 60 8B 93 A8 02 00 00 8B 08 FF 51 08 EB 14 8B 83 E4 01 00 00 8B 40 60 8B 93 A0 02 00 00 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_31989_0 {
	meta:
		name = "TIBTable.DefChanged"
		size = 8
	strings:
		$1 = { C6 80 78 02 00 00 01 C3 }
	condition:
		$1
}

rule function_31990_0 {
	meta:
		name = "TIBTable.InitFieldDefs"
		size = 2560
		refs = "0019 TIBTable.InitFieldDefs 0040 IBError 0064 TIBCustomDataSet.GetDatabase 006f TIBTransaction.StartTransaction 0079 _Dn_TIBSQL 007e TIBSQL.Create 00a8 TIBSQL.SetDatabase 00be TIBSQL.SetTransaction 00d0 TIBDatabase.GetSQLDialect 00e1 QuoteIdentifier 00fb FormatIdentifierValue 011a @UStrCatN 0130 TIBSQL.Prepare 0138 TIBSQL.ExecQuery 014e TCollection.Clear 015e TFieldDefs.AddFieldDef 0168 TIBSQL.Current 0172 TIBXSQLDA.ByName 0177 TIBXSQLVAR.GetAsLong 0194 TIBXSQLVAR.GetAsString 019f TrimRight 01a9 TNamedItem.SetDisplayName 023b TFieldDef.SetDataType 025b TFieldDef.SetSize 02ae TFieldDef.SetPrecision 0414 TIBXSQLVAR.GetIsNull 0426 TFieldDef.SetAttributes 0482 TFieldDef.SetRequired 048a TIBSQL.GetEOF 0496 TIBSQL.Next 04be TObject.Free 04d1 TIBTransaction.Commit 04d7 @HandleFinally 04f3 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 84 02 00 00 00 75 15 33 C0 89 45 F0 C6 45 F4 05 8D 55 F0 33 C9 B0 4B E8 ?? ?? ?? ?? 8B 45 FC 80 B8 D9 01 00 00 00 74 10 8B 45 FC 8B 10 FF 92 38 02 00 00 E9 7D 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 C6 40 42 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 90 CC 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E4 8B 55 FC 8B 92 84 02 00 00 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E8 5A E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 40 60 8B 08 FF 51 2C 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 10 FF 52 20 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? E9 2F 03 00 00 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 1C 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 0E 7F 31 74 6B 83 C0 F9 83 F8 06 0F 87 21 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 25 7F 1E 74 35 83 E8 10 0F 84 1B 01 00 00 83 E8 0B 74 55 83 E8 08 0F 84 6D 01 00 00 E9 DB 01 00 00 83 E8 47 0F 84 C7 01 00 00 2D BE 00 00 00 0F 84 75 01 00 00 E9 C2 01 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E9 9D 01 00 00 B2 06 8B C3 E8 ?? ?? ?? ?? E9 8F 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 0E B2 02 8B C3 E8 ?? ?? ?? ?? E9 64 01 00 00 B2 08 8B C3 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 F7 DA 8B C3 E8 ?? ?? ?? ?? E9 3F 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 0E B2 03 8B C3 E8 ?? ?? ?? ?? E9 14 01 00 00 83 FE FC 7C 25 B2 08 8B C3 E8 ?? ?? ?? ?? BA 09 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 F7 DA 8B C3 E8 ?? ?? ?? ?? E9 EA 00 00 00 B2 06 8B C3 E8 ?? ?? ?? ?? E9 DC 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 0E B2 19 8B C3 E8 ?? ?? ?? ?? E9 B1 00 00 00 83 FE FC 7C 25 B2 08 8B C3 E8 ?? ?? ?? ?? BA 12 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 F7 DA 8B C3 E8 ?? ?? ?? ?? E9 87 00 00 00 B2 06 8B C3 E8 ?? ?? ?? ?? EB 7C B2 0B 8B C3 E8 ?? ?? ?? ?? EB 71 B2 0A 8B C3 E8 ?? ?? ?? ?? EB 66 B2 09 8B C3 E8 ?? ?? ?? ?? EB 5B 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 0B B2 27 8B C3 E8 ?? ?? ?? ?? EB 36 B2 0F 8B C3 E8 ?? ?? ?? ?? EB 2B 33 D2 8B C3 E8 ?? ?? ?? ?? BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 14 B2 05 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 14 0F B6 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 43 24 01 EB 04 C6 43 24 00 80 7B 24 00 75 4C 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 31 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 17 0F B6 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 85 B5 FC FF FF 8B 45 FC 8B 40 40 8B 10 FF 52 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 3F 01 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 20 00 52 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 52 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 43 00 4F 00 4D 00 50 00 55 00 54 00 45 00 44 00 5F 00 42 00 4C 00 52 00 2C 00 20 00 52 00 2E 00 52 00 44 00 42 00 24 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 5F 00 56 00 41 00 4C 00 55 00 45 00 2C 00 20 00 52 00 2E 00 52 00 44 00 42 00 24 00 4E 00 55 00 4C 00 4C 00 5F 00 46 00 4C 00 41 00 47 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 43 00 41 00 4C 00 45 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 55 00 42 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 45 00 58 00 54 00 45 00 52 00 4E 00 41 00 4C 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 45 00 58 00 54 00 45 00 52 00 4E 00 41 00 4C 00 5F 00 53 00 43 00 41 00 4C 00 45 00 2C 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 45 00 58 00 54 00 45 00 52 00 4E 00 41 00 4C 00 5F 00 54 00 59 00 50 00 45 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 46 00 49 00 45 00 4C 00 44 00 53 00 20 00 52 00 2C 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 53 00 20 00 46 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 52 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 27 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2A 00 00 00 61 00 6E 00 64 00 20 00 52 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 4F 00 55 00 52 00 43 00 45 00 20 00 3D 00 20 00 46 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 6F 00 72 00 64 00 65 00 72 00 20 00 62 00 79 00 20 00 52 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 43 00 41 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 53 00 55 00 42 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 52 00 44 00 42 00 24 00 43 00 4F 00 4D 00 50 00 55 00 54 00 45 00 44 00 5F 00 42 00 4C 00 52 00 00 00 00 00 02 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 52 00 44 00 42 00 24 00 44 00 45 00 46 00 41 00 55 00 4C 00 54 00 5F 00 56 00 41 00 4C 00 55 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 44 00 42 00 24 00 4E 00 55 00 4C 00 4C 00 5F 00 46 00 4C 00 41 00 47 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_31991_0 {
	meta:
		name = "TIBTable.AddIndex"
		size = 1284
		refs = "0024 TIBTable.AddIndex 0032 TFieldDefs.Update 0039 TDataSet.GetActive 0044 TDataSet.CheckBrowseMode 0056 _Dn_TIBSQL 005b TIBSQL.Create 0073 TIBCustomDataSet.GetDatabase 007d TIBSQL.SetDatabase 0084 TIBCustomDataSet.GetTransaction 008e TIBSQL.SetTransaction 009a TIBTable.FormatFieldsList 00b0 TIBDatabase.GetSQLDialect 00be QuoteIdentifier 0106 @UStrCatN 02ee TIBSQL.Prepare 02f6 TIBSQL.ExecQuery 0315 TObject.Free 031b @HandleFinally 0337 @UStrArrayClr 033f @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 89 55 F8 8B F0 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 40 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 10 8B C6 E8 ?? ?? ?? ?? 8B C6 C7 40 60 FF FF FF FF 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? F6 C3 01 74 7A 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EC 8B 96 84 02 00 00 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E8 8B 55 F8 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 4D E4 8B D7 8B C6 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 45 F0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 8B 40 60 8B 08 FF 51 2C E9 CD 01 00 00 8B C3 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 75 6E 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D DC 8B 55 F8 E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D D8 8B 96 84 02 00 00 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 E0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 8B 40 60 8B 08 FF 51 2C E9 4C 01 00 00 F6 C3 02 74 6E 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D D0 8B 55 F8 E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D CC 8B 96 84 02 00 00 E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 D4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F4 8B 40 60 8B 08 FF 51 2C E9 D9 00 00 00 F6 C3 04 74 6B 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D C4 8B 55 F8 E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D C0 8B 96 84 02 00 00 E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 C8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F4 8B 40 60 8B 08 FF 51 2C EB 69 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D B8 8B 55 F8 E8 ?? ?? ?? ?? FF 75 B8 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D B4 8B 96 84 02 00 00 E8 ?? ?? ?? ?? FF 75 B4 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 BC BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 BC 8B 45 F4 8B 40 60 8B 08 FF 51 2C 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 86 7C 02 00 00 C6 40 20 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 41 00 6C 00 74 00 65 00 72 00 20 00 54 00 61 00 62 00 6C 00 65 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 20 00 41 00 64 00 64 00 20 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 20 00 50 00 72 00 69 00 6D 00 61 00 72 00 79 00 20 00 4B 00 65 00 79 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 06 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 20 00 75 00 6E 00 69 00 71 00 75 00 65 00 20 00 44 00 65 00 73 00 63 00 65 00 6E 00 64 00 69 00 6E 00 67 00 20 00 49 00 6E 00 64 00 65 00 78 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 6F 00 6E 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 20 00 75 00 6E 00 69 00 71 00 75 00 65 00 20 00 49 00 6E 00 64 00 65 00 78 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 20 00 44 00 65 00 73 00 63 00 65 00 6E 00 64 00 69 00 6E 00 67 00 20 00 49 00 6E 00 64 00 65 00 78 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 20 00 49 00 6E 00 64 00 65 00 78 00 20 00 00 00 }
	condition:
		$1
}

rule function_31992_0 {
	meta:
		name = "DeleteByIndex"
		size = 316
		refs = "000b DeleteByIndex 001e _Dn_TIBSQL 0023 TIBSQL.Create 0042 TIBCustomDataSet.GetDatabase 004f TIBSQL.SetDatabase 005a TIBCustomDataSet.GetTransaction 0067 TIBSQL.SetTransaction 0077 TIBDatabase.GetSQLDialect 0085 QuoteIdentifier 0095 @UStrCat3 00b1 TIBSQL.Prepare 00bc TIBSQL.ExecQuery 00e4 TObject.Free 00ea @HandleFinally 0106 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 48 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 8B 55 08 8B 52 F4 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F8 8B 40 60 8B 08 FF 51 2C 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 7C 02 00 00 C6 40 20 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 72 00 6F 00 70 00 20 00 69 00 6E 00 64 00 65 00 78 00 20 00 00 00 }
	condition:
		$1
}

rule function_31993_0 {
	meta:
		name = "DeleteByConstraint"
		size = 992
		refs = "001b DeleteByConstraint 002e _Dn_TIBSQL 0033 TIBSQL.Create 004e TIBCustomDataSet.GetDatabase 005b TIBSQL.SetDatabase 0062 TIBCustomDataSet.GetTransaction 006f TIBSQL.SetTransaction 0080 TIBDatabase.GetSQLDialect 0090 QuoteIdentifier 00a9 FormatIdentifierValue 0108 @UStrCatN 0124 TIBSQL.Prepare 012f TIBSQL.ExecQuery 013a TIBSQL.GetEOF 014d TIBSQL.Close 01ef TObject.Free 01f5 @HandleFinally 0211 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B 5D 08 83 C3 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 8B 13 8B 92 84 02 00 00 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 5A E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E8 8B 55 08 8B 52 F4 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EC 5A E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 F8 8B 40 60 8B 08 FF 51 2C 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 95 00 00 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E0 8B 13 8B 92 84 02 00 00 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D DC 8B 55 08 8B 52 F4 E8 ?? ?? ?? ?? FF 75 DC 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 08 8B 40 F8 8B 40 60 8B 08 FF 51 2C 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 03 8B 80 7C 02 00 00 C6 40 20 00 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 46 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 20 00 27 00 66 00 6F 00 6F 00 27 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 20 00 41 00 4E 00 44 00 20 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 41 00 4E 00 44 00 20 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 27 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 20 00 4B 00 45 00 59 00 27 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 41 00 6C 00 74 00 65 00 72 00 20 00 54 00 61 00 62 00 6C 00 65 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 20 00 44 00 72 00 6F 00 70 00 20 00 43 00 6F 00 6E 00 73 00 74 00 72 00 61 00 69 00 6E 00 74 00 20 00 00 00 }
	condition:
		$1
}

rule function_31994_0 {
	meta:
		name = "DeleteByKey"
		size = 1076
		refs = "001b DeleteByKey 002a _Dn_TIBSQL 002f TIBSQL.Create 004a TIBCustomDataSet.GetDatabase 0057 TIBSQL.SetDatabase 005e TIBCustomDataSet.GetTransaction 006b TIBSQL.SetTransaction 007c TIBDatabase.GetSQLDialect 008c QuoteIdentifier 00a5 FormatIdentifierValue 0104 @UStrCatN 0120 TIBSQL.Prepare 012b TIBSQL.ExecQuery 0136 TIBSQL.GetEOF 0149 TIBSQL.Close 017d TIBSQL.Current 0187 TIBXSQLDA.ByName 018f TIBXSQLVAR.GetAsString 0203 TObject.Free 0209 @HandleFinally 0225 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B 5D 08 83 C3 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8B 13 8B 92 84 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 5A E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EC 8B 55 08 8B 52 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 5A E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F8 8B 40 60 8B 08 FF 51 2C 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 AD 00 00 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E4 8B 13 8B 92 84 02 00 00 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8B 45 DC 50 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E0 5A E8 ?? ?? ?? ?? FF 75 E0 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 08 8B 40 F8 8B 40 60 8B 08 FF 51 2C 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 03 8B 80 7C 02 00 00 C6 40 20 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 54 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 20 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 53 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 41 00 4E 00 44 00 20 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 41 00 4E 00 44 00 20 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 54 00 59 00 50 00 45 00 20 00 3D 00 20 00 27 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 20 00 4B 00 45 00 59 00 27 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 41 00 6C 00 74 00 65 00 72 00 20 00 54 00 61 00 62 00 6C 00 65 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 20 00 44 00 72 00 6F 00 70 00 20 00 43 00 6F 00 6E 00 73 00 74 00 72 00 61 00 69 00 6E 00 74 00 20 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 52 00 44 00 42 00 24 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_31995_0 {
	meta:
		name = "TIBTable.DeleteIndex"
		size = 132
		refs = "0010 TDataSet.GetActive 001c TDataSet.CheckBrowseMode 002a TIndexDefs.Update 0032 TIBTable.DeleteIndex 0037 Pos 0041 DeleteByKey 004a DeleteByConstraint 0055 DeleteByIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 09 55 E8 ?? ?? ?? ?? 59 EB 12 55 E8 ?? ?? ?? ?? 59 84 C0 75 07 55 E8 ?? ?? ?? ?? 59 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 44 00 42 00 24 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 00 00 }
	condition:
		$1
}

rule function_31996_0 {
	meta:
		name = "TIBTable.GetIndexFieldNames"
		size = 41
		refs = "0018 @UStrAsg 0022 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 82 02 00 00 00 74 10 8B C6 8B 93 88 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31997_0 {
	meta:
		name = "TIBTable.GetIndexName"
		size = 41
		refs = "0012 @UStrClr 0022 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 82 02 00 00 00 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 88 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31998_0 {
	meta:
		name = "TIBTable.GetIndexNames"
		size = 33
		refs = "000d TIndexDefs.Update 001a TDefCollection.GetItemNames"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_31999_0 {
	meta:
		name = "TIBTable.GetIndexParams"
		size = 129
		refs = "0012 TIBTable.GetIndexParams 0027 TIndexDefs.Update 0031 @UStrLAsg 0042 TIndexDefs.FindIndexForFields 0058 @UStrAsg 006d @UStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 31 8B 87 7C 02 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 84 DB 74 18 8B D6 8B 87 7C 02 00 00 E8 ?? ?? ?? ?? 8B 50 0C 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_32000_0 {
	meta:
		name = "TIBTable.SetIndexDefs"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 7C 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_32001_0 {
	meta:
		name = "TIBTable.SetIndex"
		size = 91
		refs = "000c TDataSet.GetActive 0017 TDataSet.CheckBrowseMode 0024 @UStrEqual 003b @UStrAsg 0053 TIBTable.SwitchToIndex"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 07 8B C7 E8 ?? ?? ?? ?? 8B 87 88 02 00 00 8B D6 E8 ?? ?? ?? ?? 75 08 3A 9F 82 02 00 00 74 25 8D 87 88 02 00 00 8B D6 E8 ?? ?? ?? ?? 88 9F 82 02 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 74 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32004_0 {
	meta:
		name = "TIBTable.UpdateIndexDefs"
		size = 2096
		refs = "0017 TIBTable.UpdateIndexDefs 0032 TDataSet.GetActive 004d TFieldDefs.Update 005b TCollection.Clear 0063 TIBCustomDataSet.GetDatabase 006e TIBTransaction.StartTransaction 0078 _Dn_TIBSQL 007d TIBSQL.Create 009b @UStrClr 00b4 TIBSQL.SetDatabase 00ca TIBSQL.SetTransaction 00dc TIBDatabase.GetSQLDialect 00ed QuoteIdentifier 0107 FormatIdentifierValue 011c @UStrCatN 0132 TIBSQL.Prepare 013a TIBSQL.ExecQuery 014d TIndexDefs.AddIndexDef 0158 TIBSQL.Current 0162 TIBXSQLDA.ByName 016a TIBXSQLVAR.GetAsString 0175 TrimRight 0180 TNamedItem.SetDisplayName 019a Pos 01b8 TIBXSQLVAR.GetAsLong 01e9 TIndexDef.SetOptions 0228 Trim 0233 TIndexDef.SetFields 0338 TIBSQL.Next 034f TIBXSQLDA.GetSQLVAR 037a TIBSQL.GetEOF 03ae TObject.Free 03b4 @HandleFinally 03c7 TIndexDef.GetFields 03d2 TIndexDef.SetDescFields 03f3 @UStrAsg 0437 TIBTransaction.Commit 0459 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 F6 40 1C 02 0F 85 15 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 17 8B 45 F8 80 B8 94 02 00 00 00 75 0B 8B 45 F8 8B 40 40 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 05 98 02 00 00 E8 ?? ?? ?? ?? 8B 45 F0 C6 40 42 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 90 CC 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D DC 8B 55 F8 8B 92 84 02 00 00 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E0 5A E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F0 8B 40 60 8B 08 FF 51 2C 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? E9 B4 02 00 00 8B 45 F8 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 89 45 E8 8B 45 F0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 E8 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 45 F7 8B 45 E8 8B 50 0C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 04 80 4D F7 01 8B 45 F0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 04 80 4D F7 02 8B 45 F0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 04 80 4D F7 04 0F B6 55 F7 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 35 8B 45 F0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 E8 E8 ?? ?? ?? ?? E9 7E 01 00 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC C6 40 42 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 90 CC 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D C0 8B 55 E8 8B 52 0C E8 ?? ?? ?? ?? 8B 45 C0 50 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D C4 5A E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 C8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 EC 8B 40 60 8B 08 FF 51 2C 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? EB 6F 83 7D FC 00 75 27 8B 45 EC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 BC E8 ?? ?? ?? ?? 8B 45 BC 8D 55 FC E8 ?? ?? ?? ?? EB 42 8B 45 F0 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8D 55 B4 E8 ?? ?? ?? ?? 8B 45 B4 8D 55 B8 E8 ?? ?? ?? ?? FF 75 B8 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 85 75 FF FF FF 8B 55 FC 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 F6 45 F7 04 74 16 8D 55 B0 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 B0 8B 45 E8 E8 ?? ?? ?? ?? F6 45 F7 01 74 1B 8D 55 AC 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 AC 8B 45 F8 05 98 02 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 85 30 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 0F 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF D2 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 2C 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 55 00 4E 00 49 00 51 00 55 00 45 00 5F 00 46 00 4C 00 41 00 47 00 2C 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 54 00 59 00 50 00 45 00 2C 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 53 00 45 00 47 00 4D 00 45 00 4E 00 54 00 5F 00 43 00 4F 00 55 00 4E 00 54 00 2C 00 20 00 53 00 2E 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 49 00 43 00 45 00 53 00 20 00 49 00 2C 00 20 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 53 00 45 00 47 00 4D 00 45 00 4E 00 54 00 53 00 20 00 53 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 53 00 2E 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 61 00 6E 00 64 00 20 00 49 00 2E 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 44 00 42 00 24 00 50 00 52 00 49 00 4D 00 41 00 52 00 59 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 44 00 42 00 24 00 55 00 4E 00 49 00 51 00 55 00 45 00 5F 00 46 00 4C 00 41 00 47 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 52 00 44 00 42 00 24 00 53 00 45 00 47 00 4D 00 45 00 4E 00 54 00 5F 00 43 00 4F 00 55 00 4E 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 46 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 53 00 45 00 47 00 4D 00 45 00 4E 00 54 00 53 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 52 00 44 00 42 00 24 00 49 00 4E 00 44 00 45 00 58 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 4F 00 52 00 44 00 45 00 52 00 20 00 42 00 59 00 20 00 52 00 44 00 42 00 24 00 46 00 49 00 45 00 4C 00 44 00 5F 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_32005_0 {
	meta:
		name = "TIBTable.GetExists"
		size = 528
		refs = "0018 TIBTable.GetExists 0026 TDataSet.GetActive 004b TIBCustomDataSet.GetDatabase 0056 TIBTransaction.StartTransaction 0060 _Dn_TIBSQL 0065 TIBSQL.Create 0088 TIBSQL.SetDatabase 009e TIBSQL.SetTransaction 00b0 TIBDatabase.GetSQLDialect 00c1 QuoteIdentifier 00db FormatIdentifierValue 00f0 @UStrCatN 0106 TIBSQL.Prepare 010e TIBSQL.ExecQuery 0116 TIBSQL.GetEOF 0130 TObject.Free 0143 TIBTransaction.Commit 0149 @HandleFinally 0165 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 33 D2 89 55 F0 89 55 EC 89 55 E8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 0F 85 18 01 00 00 8B 45 FC 83 B8 84 02 00 00 00 0F 84 08 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 90 CC 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E8 8B 55 FC 8B 92 84 02 00 00 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EC 5A E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 8B 40 60 8B 08 FF 51 2C 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 34 01 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FB 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 3A 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 20 00 55 00 53 00 45 00 52 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 }
	condition:
		$1
}

rule function_32006_0 {
	meta:
		name = "TIBTable.GotoCurrent"
		size = 160
		refs = "000d TDataSet.CheckBrowseMode 001b TIBCustomDataSet.GetDatabase 0039 CompareText 0052 IBError 0059 TDataSet.UpdateCursorPos 0062 TIBTable.GetCurrentDBKey 006b TIBTable.InternalGotoDBKey 007c TIBTable.GotoCurrent"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 75 15 8B 96 84 02 00 00 8B 83 84 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 4E E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 34 01 00 00 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 91 B4 02 00 00 8B C3 8B 10 FF 92 10 01 00 00 59 5A 5F 5E 5B C3 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_32007_0 {
	meta:
		name = "InitFieldsList"
		size = 2000
		refs = "0017 InitFieldsList 0028 TDataSet.InitFieldDefsFromFields 0059 @UStrCat 006c TFieldDefs.GetFieldDef 00ff TIBCustomDataSet.GetDatabase 0104 TIBDatabase.GetSQLDialect 010f QuoteIdentifier 011e TFieldDef.GetSize 0126 IntToStr 013e @UStrCatN 0280 IBError 0292 TFieldDef.SetPrecision 057a @UStrArrayClr 058d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 40 8B 40 08 8B 40 08 8B F8 4F 85 FF 0F 8C 1E 05 00 00 47 33 F6 85 F6 7E 13 8B 45 08 83 C0 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 45 08 8B 40 FC 8B 40 40 8B D6 E8 ?? ?? ?? ?? 8B D8 0F B6 43 25 83 F8 2C 0F 87 AF 04 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 0D 01 03 04 03 03 05 05 06 07 08 09 0C 0C 0D 0B 0B 0C 0C 0C 0C 0C 0D 02 0D 0A 0D 0D 0D 0D 00 00 00 00 00 00 00 00 00 0B 00 00 00 03 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 FF 70 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D FC 8B 53 0C E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B 45 08 83 C0 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 FC 03 00 00 8B 45 08 FF 70 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8B 53 0C E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8B 45 08 83 C0 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 A7 03 00 00 8B 45 08 FF 70 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EC 8B 53 0C E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B 45 08 83 C0 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 69 03 00 00 8B 45 08 FF 70 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E8 8B 53 0C E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8B 45 08 83 C0 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 2B 03 00 00 8B 45 08 FF 70 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E4 8B 53 0C E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8B 45 08 83 C0 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 ED 02 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 2D 83 7B 18 09 7E 15 33 C0 89 45 DC C6 45 E0 05 8D 55 DC 33 C9 B0 3F E8 ?? ?? ?? ?? 83 7B 18 04 7F 0C BA 09 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 7B 18 04 7F 3E 8B 45 08 FF 70 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D D8 8B 53 0C E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8B 45 08 83 C0 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 69 02 00 00 8B 45 08 FF 70 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D D4 8B 53 0C E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8D 55 D0 8B 43 18 E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? 8B 45 08 83 C0 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 18 02 00 00 8B 45 08 FF 70 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D CC 8B 53 0C E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? 8B 45 08 83 C0 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 DA 01 00 00 8B 45 08 FF 70 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D C8 8B 53 0C E8 ?? ?? ?? ?? FF 75 C8 68 ?? ?? ?? ?? 8B 45 08 83 C0 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 9C 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 3E 8B 45 08 FF 70 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D C4 8B 53 0C E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 8B 45 08 83 C0 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 4B 01 00 00 8B 45 08 FF 70 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D C0 8B 53 0C E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? 8B 45 08 83 C0 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 0D 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 1A 33 C0 89 45 DC C6 45 E0 05 8D 55 DC 33 C9 B0 3F E8 ?? ?? ?? ?? E9 E0 00 00 00 8B 45 08 FF 70 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D BC 8B 53 0C E8 ?? ?? ?? ?? FF 75 BC 68 ?? ?? ?? ?? 8B 45 08 83 C0 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 A2 00 00 00 8B 45 08 FF 70 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D B8 8B 53 0C E8 ?? ?? ?? ?? FF 75 B8 68 ?? ?? ?? ?? 8B 45 08 83 C0 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 67 8B 45 08 FF 70 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D B4 8B 53 0C E8 ?? ?? ?? ?? FF 75 B4 68 ?? ?? ?? ?? 8B 45 08 83 C0 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 2C 33 C0 89 45 DC C6 45 E0 05 8D 55 DC 33 C9 B0 3F E8 ?? ?? ?? ?? EB 15 33 C0 89 45 DC C6 45 E0 05 8D 55 DC 33 C9 B0 3F E8 ?? ?? ?? ?? F6 43 26 04 74 13 8B 45 08 83 C0 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 46 4F 0F 85 E5 FA FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 56 00 41 00 52 00 43 00 48 00 41 00 52 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 43 00 48 00 41 00 52 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 53 00 4D 00 41 00 4C 00 4C 00 49 00 4E 00 54 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 20 00 49 00 4E 00 54 00 45 00 47 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 20 00 44 00 4F 00 55 00 42 00 4C 00 45 00 20 00 50 00 52 00 45 00 43 00 49 00 53 00 49 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 20 00 4E 00 75 00 6D 00 65 00 72 00 69 00 63 00 28 00 31 00 38 00 2C 00 20 00 34 00 29 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 4E 00 75 00 6D 00 65 00 72 00 69 00 63 00 28 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2C 00 20 00 34 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 44 00 41 00 54 00 45 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 54 00 49 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 54 00 49 00 4D 00 45 00 53 00 54 00 41 00 4D 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 20 00 4E 00 75 00 6D 00 65 00 72 00 69 00 63 00 28 00 31 00 38 00 2C 00 20 00 30 00 29 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 20 00 42 00 4C 00 4F 00 42 00 20 00 53 00 55 00 42 00 5F 00 54 00 59 00 50 00 45 00 20 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 20 00 42 00 4C 00 4F 00 42 00 20 00 53 00 55 00 42 00 5F 00 54 00 59 00 50 00 45 00 20 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 4E 00 4F 00 54 00 20 00 4E 00 55 00 4C 00 4C 00 00 00 }
	condition:
		$1
}

rule function_32008_0 {
	meta:
		name = "InternalCreateTable"
		size = 700
		refs = "0016 InternalCreateTable 003a IBError 0047 _Dn_TIBSQL 004c TIBSQL.Create 0068 TIBCustomDataSet.GetDatabase 0072 TIBSQL.SetDatabase 007d TIBCustomDataSet.GetTransaction 0087 TIBSQL.SetTransaction 009c TIBDatabase.GetSQLDialect 00b0 QuoteIdentifier 00cb @UStrCatN 0112 TIndexDefs.GetIndexDef 015f TIndexDef.GetFields 0170 TIBTable.FormatFieldsList 01b6 @UStrCat 01c8 TIBSQL.Prepare 01d0 TIBSQL.ExecQuery 01e5 TObject.Free 01eb @HandleFinally 0207 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 78 F8 00 75 15 33 C0 89 45 F0 C6 45 F4 05 8D 55 F0 33 C9 B0 3F E8 ?? ?? ?? ?? 8B 45 08 8B 48 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E8 8B 55 08 8B 52 FC 8B 92 84 02 00 00 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8B 45 08 FF 70 F8 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 40 60 8B 08 FF 51 2C 8B 45 08 8B 40 FC 8B 80 7C 02 00 00 8B 40 08 8B 40 08 8B F8 4F 85 FF 0F 8C A3 00 00 00 47 C7 45 FC 00 00 00 00 8B 45 08 8B 40 FC 8B 80 7C 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B F0 F6 46 24 01 74 75 8D 55 E0 8B 45 F8 8B 58 60 8B C3 8B 08 FF 51 1C FF 75 E0 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D DC 8B 56 0C E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 8B 55 D4 8D 4D D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 E4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 8B 08 FF 51 2C FF 45 FC 4F 0F 85 65 FF FF FF 8D 55 D0 8B 45 F8 8B 58 60 8B C3 8B 08 FF 51 1C 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B C3 8B 08 FF 51 2C 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 20 00 54 00 61 00 62 00 6C 00 65 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 2C 00 20 00 43 00 4F 00 4E 00 53 00 54 00 52 00 41 00 49 00 4E 00 54 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 20 00 50 00 72 00 69 00 6D 00 61 00 72 00 79 00 20 00 4B 00 65 00 79 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_32009_0 {
	meta:
		name = "InternalCreateIndex"
		size = 150
		refs = "000c InternalCreateIndex 0041 TIndexDefs.GetIndexDef 005a TIndexDef.GetFields 006b TIBTable.AddIndex 0084 @UStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 7C 02 00 00 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 44 46 33 FF 8B 45 08 8B 40 FC 8B 80 7C 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 F6 43 24 01 75 22 0F B6 43 24 50 6A 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B 45 08 8B 40 FC 8B 53 0C E8 ?? ?? ?? ?? 47 4E 75 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32010_0 {
	meta:
		name = "TIBTable.CreateTable"
		size = 93
		refs = "0012 TIBTable.CreateTable 0029 InitFieldsList 0030 InternalCreateTable 0037 InternalCreateIndex 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 C4 00 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_32011_0 {
	meta:
		name = "TIBTable.DeleteTable"
		size = 280
		refs = "0010 TIBTable.DeleteTable 0029 _Dn_TIBSQL 002e TIBSQL.Create 0046 TIBCustomDataSet.GetDatabase 0050 TIBSQL.SetDatabase 0057 TIBCustomDataSet.GetTransaction 0061 TIBSQL.SetTransaction 006d TIBDatabase.GetSQLDialect 007b QuoteIdentifier 008b @UStrCat3 00a1 TIBSQL.Prepare 00a9 TIBSQL.ExecQuery 00be TObject.Free 00c4 @HandleFinally 00e0 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 C4 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8B 93 84 02 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 40 60 8B 08 FF 51 2C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 64 00 72 00 6F 00 70 00 20 00 74 00 61 00 62 00 6C 00 65 00 20 00 00 00 }
	condition:
		$1
}

rule function_32012_0 {
	meta:
		name = "TIBTable.EmptyTable"
		size = 324
		refs = "0010 TIBTable.EmptyTable 001d TDataSet.GetActive 0028 TDataSet.CheckBrowseMode 0031 _Dn_TIBSQL 0036 TIBSQL.Create 004e TIBCustomDataSet.GetDatabase 0058 TIBSQL.SetDatabase 005f TIBCustomDataSet.GetTransaction 0069 TIBSQL.SetTransaction 0075 TIBDatabase.GetSQLDialect 0083 QuoteIdentifier 0093 @UStrCat3 00a9 TIBSQL.Prepare 00b1 TIBSQL.ExecQuery 00e9 TObject.Free 00ef @HandleFinally 010b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8B 93 84 02 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 40 60 8B 08 FF 51 2C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8B C3 8B 10 FF 92 C8 00 00 00 33 C9 B2 02 8B C3 8B 18 FF 93 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 64 00 65 00 6C 00 65 00 74 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_32013_0 {
	meta:
		name = "TIBTable.DataEvent"
		size = 30
		refs = "0018 TDataSet.DataEvent"
	strings:
		$1 = { 53 80 FA 08 75 11 8B 98 7C 02 00 00 C6 43 20 00 C6 80 8C 02 00 00 01 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_32014_0 {
	meta:
		name = "TIBTable.GetCanModify"
		size = 49
	strings:
		$1 = { 53 56 8B F0 B3 01 83 BE 84 02 00 00 00 74 1B 80 BE 81 02 00 00 00 75 12 80 BE 68 02 00 00 00 75 09 80 BE 69 02 00 00 00 74 02 33 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_32015_0 {
	meta:
		name = "TIBTable.InternalGetUpdatable"
		size = 596
		refs = "0018 TIBTable.InternalGetUpdatable 0026 TIBCustomDataSet.GetDatabase 0031 TIBTransaction.StartTransaction 003b _Dn_TIBSQL 0040 TIBSQL.Create 0063 TIBSQL.SetDatabase 0079 TIBSQL.SetTransaction 008b TIBDatabase.GetSQLDialect 009c QuoteIdentifier 00b6 FormatIdentifierValue 00cb @UStrCatN 00e1 TIBSQL.Prepare 00e9 TIBSQL.ExecQuery 00f1 TIBSQL.Current 00f8 TIBXSQLDA.GetSQLVAR 00fd TIBXSQLVAR.GetAsLong 013c TObject.Free 014f TIBTransaction.Commit 0155 @HandleFinally 0171 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 33 D2 89 55 F0 89 55 EC 89 55 E8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 90 CC 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E8 8B 55 FC 8B 92 84 02 00 00 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EC 5A E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 8B 40 60 8B 08 FF 51 2C 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 1C 8B 45 F4 E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 08 74 06 C6 45 FB 00 EB 04 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FB 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 57 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 20 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 2C 00 20 00 52 00 44 00 42 00 24 00 44 00 42 00 4B 00 45 00 59 00 5F 00 4C 00 45 00 4E 00 47 00 54 00 48 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 3D 00 20 00 27 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 }
	condition:
		$1
}

rule function_32016_0 {
	meta:
		name = "TIBTable.FieldDefsStored"
		size = 26
	strings:
		$1 = { 80 B8 78 02 00 00 00 74 0E 8B 40 40 8B 40 08 83 78 08 00 0F 9F C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_32017_0 {
	meta:
		name = "TIBTable.IndexDefsStored"
		size = 29
	strings:
		$1 = { 80 B8 78 02 00 00 00 74 11 8B 80 7C 02 00 00 8B 40 08 83 78 08 00 0F 9F C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_32018_0 {
	meta:
		name = "TIBTable.SetParams"
		size = 284
		refs = "0015 TIBTable.SetParams 0053 TDataSet.GetActive 00a7 TDataSet.FieldByName 00d5 TIBSQL.GetSQLParams 00db TIBXSQLDA.ByName 00e1 TIBXSQLVAR.SetAsVariant 0101 @UStrArrayClr 0109 @VarClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 60 01 00 00 85 C0 0F 84 BA 00 00 00 8B C3 8B 10 FF 92 60 01 00 00 83 78 38 00 0F 84 A6 00 00 00 8B C3 8B 10 FF 92 60 01 00 00 8B 40 38 E8 ?? ?? ?? ?? 84 C0 0F 84 8C 00 00 00 8B 83 70 02 00 00 8B 10 FF 52 14 85 C0 74 7D 8B 83 70 02 00 00 8B 10 FF 52 14 48 85 C0 7C 6D 40 89 45 FC 33 F6 8D 4D E8 8B D6 8B 83 70 02 00 00 8B 38 FF 57 0C 8B 45 E8 50 8B C3 8B 10 FF 92 60 01 00 00 8B 40 38 5A E8 ?? ?? ?? ?? 8D 55 EC 8B 08 FF 91 90 00 00 00 8D 45 EC 50 8D 4D E4 8B D6 8B 83 70 02 00 00 8B 38 FF 57 0C 8B 45 E4 50 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 46 FF 4D FC 75 99 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32021_0 {
	meta:
		name = "TIBTable.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 6C 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_32022_0 {
	meta:
		name = "TIBTable.SetDataSource"
		size = 86
		refs = "000f TDataSet.IsLinkedTo 0026 IBError 004c TDataLink.SetDataSource"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 89 1C 24 C6 44 24 04 07 8B D4 33 C9 B0 40 E8 ?? ?? ?? ?? 8B 83 6C 02 00 00 3B 70 04 74 0E 33 C9 B2 08 8B C3 8B 38 FF 97 E4 00 00 00 8B D6 8B 83 6C 02 00 00 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32023_0 {
	meta:
		name = "TIBTable.GetMasterFields"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 6C 02 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32024_0 {
	meta:
		name = "TIBTable.SetMasterFields"
		size = 56
		refs = "0013 @UStrEqual 0030 TMasterDataLink.SetFieldNames"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 83 6C 02 00 00 8B 40 20 8B D6 E8 ?? ?? ?? ?? 74 0E 33 C9 B2 08 8B C3 8B 38 FF 97 E4 00 00 00 8B D6 8B 83 6C 02 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32025_0 {
	meta:
		name = "TIBTable.DoOnNewRecord"
		size = 82
		refs = "0034 TList.Get 003f TIBTable.SetIndexField 004a TIBCustomDataSet.DoOnNewRecord"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 6C 02 00 00 80 78 15 00 74 36 8B 50 24 83 7A 08 00 7E 2D 8B 40 24 8B 78 08 4F 85 FF 7C 22 47 33 F6 8B 83 6C 02 00 00 8B 40 24 8B D6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 46 4F 75 E1 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32026_0 {
	meta:
		name = "TIBTable.FormatFieldsList"
		size = 332
		refs = "001a @UStrAddRef 0022 TIBTable.FormatFieldsList 002f TIBCustomDataSet.GetDatabase 0034 TIBDatabase.GetSQLDialect 004e QuoteIdentifier 0059 @UStrLAsg 0074 StringReplace 0084 @UStrClr 0094 ExtractFieldName 00de @UStrCatN 00e6 @UStrLen 0105 @UStrArrayClr 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 3F 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 53 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 75 C7 45 F4 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 58 8D 4D F8 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 83 3B 00 75 18 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CB 8B 55 F8 E8 ?? ?? ?? ?? EB 2D FF 33 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EC 8B 55 F8 E8 ?? ?? ?? ?? FF 75 EC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3B 45 F4 7D 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 01 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_32027_0 {
	meta:
		name = "TIBTable.ExtractLinkFields"
		size = 259
		refs = "0017 TIBTable.ExtractLinkFields 0045 TIBTable.GetMasterFields 0052 ExtractFieldName 0072 @UStrLen 0086 TIBTable.GetIndexFieldNames 009a @UStrLAsg 00e9 @UStrArrayClr 00f1 @UStrClr 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B D8 8D 75 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 70 02 00 00 8B 10 FF 52 44 8B 83 74 02 00 00 8B 10 FF 52 44 C7 06 01 00 00 00 EB 25 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 4D F4 8B D6 E8 ?? ?? ?? ?? 8B 55 F4 8B 83 70 02 00 00 8B 08 FF 51 38 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 3B 06 7D C5 C7 06 01 00 00 00 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 83 7D E8 00 75 10 8D 45 FC 8B 93 98 02 00 00 E8 ?? ?? ?? ?? EB 27 8D 55 FC 8B C3 E8 ?? ?? ?? ?? EB 1B 8D 4D E4 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8B 83 74 02 00 00 8B 08 FF 51 38 8B 45 FC E8 ?? ?? ?? ?? 3B 06 7D D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32028_0 {
	meta:
		name = "TIBTable.GetDetailLinkFields"
		size = 386
		refs = "0021 TIBTable.GetDetailLinkFields 0066 TIBTable.GetMasterFields 0095 TDataSet.GetFieldList 00a9 TIBTable.GetIndexName 00c7 TIndexDefs.Find 00d5 TIBTable.GetIndexFieldNames 00f5 TIndexDefs.GetIndexForFields 011d TIndexDefs.GetIndexDef 0148 TIndexDef.GetFields 016f @UStrArrayClr 0175 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 10 FF 52 08 8B 45 FC 8B 10 FF 52 08 8B C3 8B 10 FF 92 60 01 00 00 85 C0 0F 84 0D 01 00 00 8B C3 8B 10 FF 92 60 01 00 00 83 78 38 00 0F 84 F9 00 00 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 E5 00 00 00 33 F6 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B C3 8B 10 FF 92 60 01 00 00 8B 40 38 8B D7 59 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 E4 01 00 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 83 7D EC 00 74 1C 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? 8B F0 EB 6F 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 83 7D E4 00 74 1E 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 33 C9 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? 8B F0 EB 41 8B 83 7C 02 00 00 8B 40 08 8B 40 08 48 85 C0 7C 30 40 89 45 F8 33 FF 8B D7 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? F6 40 24 01 74 11 8B D7 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? 8B F0 EB 06 47 FF 4D F8 75 D6 85 F6 74 17 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 4D DC 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32029_0 {
	meta:
		name = "TIBTable.SetReadOnly"
		size = 25
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 92 C4 00 00 00 88 9E 81 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_32030_0 {
	meta:
		name = "TIBTable.SetTableName"
		size = 200
		refs = "000e @UStrAddRef 0016 TIBTable.SetTableName 0030 @UStrEqual 0043 TIBTable.ResetSQLStatements 0058 @UStrAsg 0061 TIBTable.SetIndexName 006a TIBTable.SetIndexFieldNames 0075 @UStrClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 1C 02 75 63 8B 45 FC 8B 93 84 02 00 00 E8 ?? ?? ?? ?? 74 71 8B C3 8B 10 FF 92 C4 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 8C 02 00 00 01 8D 83 84 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 83 98 02 00 00 E8 ?? ?? ?? ?? 33 C9 B2 08 8B C3 8B 18 FF 93 E4 00 00 00 EB 1E 8B 45 FC 8B 93 84 02 00 00 E8 ?? ?? ?? ?? 74 0E 8D 83 84 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_32031_0 {
	meta:
		name = "TIBTable.GetIndexField"
		size = 320
		refs = "001a TIBTable.GetIndexField 002d @UStrClr 0037 TIBTable.GetIndexFieldNames 005e TIndexDefs.GetIndexDef 006c @UStrEqual 0083 TIndexDef.GetFields 009e Pos 00af @UStrLAsg 00c2 @UStrCopy 00d1 @UStrDelete 00e4 TDataSet.FieldByName 00fe IBError 0118 @UStrArrayClr 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D FC 89 4D F8 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 75 4C 8B 87 7C 02 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 3B 43 33 F6 8B 87 7C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 40 0C 8B 97 88 02 00 00 E8 ?? ?? ?? ?? 75 17 8B 87 7C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? EB 04 46 4B 75 C8 8B 5D F4 85 DB 7C 44 43 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 0D 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? EB 20 8D 45 F8 50 8B CE 49 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B CE BA 01 00 00 00 E8 ?? ?? ?? ?? 4B 75 BD 83 7D F8 00 74 0F 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 89 45 F0 EB 15 33 C0 89 45 E8 C6 45 EC 05 8D 55 E8 33 C9 B0 4F E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_32033_0 {
	meta:
		name = "TIBTable.GetIndexFieldCount"
		size = 232
		refs = "000e TIBTable.GetIndexFieldCount 001e TIBTable.GetIndexFieldNames 0045 TIndexDefs.GetIndexDef 0053 @UStrEqual 006a TIndexDef.GetFields 0090 Pos 00a5 @UStrDelete 00c3 @UStrClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 4C 8B 83 7C 02 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 3B 47 33 F6 8B D6 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? 8B 40 0C 8B 93 88 02 00 00 E8 ?? ?? ?? ?? 75 17 8B D6 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? EB 04 46 4F 75 C8 83 7D FC 00 75 04 33 FF EB 34 33 DB BF 01 00 00 00 EB 27 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 12 8D 45 FC 8B CE BA 01 00 00 00 E8 ?? ?? ?? ?? 47 EB 02 B3 01 84 DB 74 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_32034_0 {
	meta:
		name = "TIBTable.GetTableNames"
		size = 29
		refs = "0011 TIBTable.GetTableNamesFromServer"
	strings:
		$1 = { 53 8B D8 8B 83 90 02 00 00 8B 10 FF 52 44 8B C3 E8 ?? ?? ?? ?? 8B 83 90 02 00 00 5B C3 }
	condition:
		$1
}

rule function_32035_0 {
	meta:
		name = "TIBTable.GetTableNamesFromServer"
		size = 1068
		refs = "0015 TIBTable.GetTableNamesFromServer 0030 TIBCustomDataSet.ActivateConnection 0038 TIBCustomDataSet.GetDatabase 0043 TIBTransaction.StartTransaction 004d _Dn_TIBSQL 0052 TIBSQL.Create 007c TIBSQL.SetDatabase 0092 TIBSQL.SetTransaction 0113 TIBSQL.Prepare 011b TIBSQL.ExecQuery 0125 TIBSQL.Current 012c TIBXSQLDA.GetSQLVAR 0134 TIBXSQLVAR.GetAsString 013f TrimRight 0158 TIBSQL.GetEOF 0164 TIBSQL.Next 017d TObject.Free 0190 TIBTransaction.Commit 0196 @HandleFinally 01b2 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 D2 89 55 F4 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 1C 02 0F 85 70 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 C6 40 42 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 90 CC 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 80 9C 02 00 00 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 75 12 8B 45 F8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C EB 4C 8B 45 FC F6 80 9C 02 00 00 01 74 12 8B 45 F8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C EB 2E 8B 45 FC F6 80 9C 02 00 00 02 74 12 8B 45 F8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C EB 10 8B 45 F8 8B 40 60 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 33 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 90 02 00 00 8B 08 FF 51 38 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 00 00 03 00 00 00 B0 04 02 00 FF FF FF FF 2B 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 00 00 B0 04 02 00 FF FF FF FF 46 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 42 00 4C 00 52 00 20 00 69 00 73 00 20 00 4E 00 55 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 45 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3D 00 20 00 30 00 00 00 B0 04 02 00 FF FF FF FF 5E 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 5F 00 4E 00 41 00 4D 00 45 00 20 00 66 00 72 00 6F 00 6D 00 20 00 52 00 44 00 42 00 24 00 52 00 45 00 4C 00 41 00 54 00 49 00 4F 00 4E 00 53 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 52 00 44 00 42 00 24 00 56 00 49 00 45 00 57 00 5F 00 42 00 4C 00 52 00 20 00 69 00 73 00 20 00 4E 00 55 00 4C 00 4C 00 20 00 61 00 6E 00 64 00 20 00 52 00 44 00 42 00 24 00 53 00 59 00 53 00 54 00 45 00 4D 00 5F 00 46 00 4C 00 41 00 47 00 20 00 3D 00 20 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_32036_0 {
	meta:
		name = "TIBTable.SwitchToIndex"
		size = 26
		refs = "000d TIBTable.InternalTableRefresh"
	strings:
		$1 = { 53 8B D8 C6 83 94 02 00 00 01 8B C3 E8 ?? ?? ?? ?? C6 83 94 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_32037_0 {
	meta:
		name = "TIBTable.InternalTableRefresh"
		size = 58
		refs = "0015 TIBTable.GetCurrentDBKey 0023 TIBTable.Reopen 0032 TIBTable.InternalGotoDBKey"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 92 BC 00 00 00 8B D4 8B C3 E8 ?? ?? ?? ?? C6 83 8C 02 00 00 01 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 74 09 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_32038_0 {
	meta:
		name = "TIBTable.GenerateSQL"
		size = 1680
		refs = "0019 TIBTable.GenerateSQL 002a TIBCustomDataSet.GetDatabase 002f TIBDatabase.CheckActive 0036 TIBCustomDataSet.GetTransaction 003b TIBTransaction.CheckInTransaction 004c TIndexDefs.Update 0056 TIBTable.GetIndexFieldNames 0073 TIBTable.FormatFieldsList 0082 TIBTable.GetIndexName 00a6 TDefCollection.IndexOf 00af TIndexDefs.GetIndexDef 00b7 TIndexDef.GetFields 010b StringReplace 0116 @UStrLAsg 0123 @UStrCat 014e _Dn_TStringList 0153 TStringList.Create 0166 TIBDatabase.GetSQLDialect 0174 QuoteIdentifier 01ab @UStrCatN 022a TIBTable.GetMasterFields 0285 TIBTable.ExtractLinkFields 02b6 IBError 03c4 TIBCustomDataSet.GetSelectSQL 0437 TIBCustomDataSet.GetRefreshSQL 046b TIBTable.GenerateUpdateSQL 0472 TObject.Free 048f @UStrArrayClr 04a4 @UStrClr 04aa @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 10 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 7C 02 00 00 80 78 20 00 75 05 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 83 7D EC 00 74 1C 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D FC 8B C3 E8 ?? ?? ?? ?? E9 CF 00 00 00 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 83 7D E4 00 0F 84 99 00 00 00 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8B B3 7C 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 8B B3 7C 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? F6 40 24 04 74 5A 0F B6 05 ?? ?? ?? ?? 50 8D 45 D4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 80 BB 80 02 00 00 00 74 19 83 BB 98 02 00 00 00 74 10 8D 4D FC 8B 93 98 02 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D CC 8B 93 84 02 00 00 E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D C8 8B 93 84 02 00 00 E8 ?? ?? ?? ?? FF 75 C8 8D 45 D0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B C6 8B 08 FF 51 2C 80 BB B0 00 00 00 00 74 3C 83 BB 80 00 00 00 00 74 33 8D 55 C0 8B C6 8B 08 FF 51 1C FF 75 C0 68 ?? ?? ?? ?? FF B3 80 00 00 00 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 C4 8B C6 8B 08 FF 51 2C C6 45 F7 01 8B C3 8B 10 FF 92 60 01 00 00 85 C0 0F 84 7F 01 00 00 8B C3 8B 10 FF 92 60 01 00 00 83 78 38 00 0F 84 6B 01 00 00 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 83 7D BC 00 0F 84 57 01 00 00 80 7D F7 00 74 23 8D 55 B8 8B C6 8B 08 FF 51 1C 8D 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B C6 8B 08 FF 51 2C EB 21 8D 55 B4 8B C6 8B 08 FF 51 1C 8D 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B C6 8B 08 FF 51 2C 8B C3 E8 ?? ?? ?? ?? 8B 83 74 02 00 00 8B 10 FF 52 14 8B F8 8B 83 70 02 00 00 8B 10 FF 52 14 3B F8 7D 15 33 C0 89 45 AC C6 45 B0 05 8D 55 AC 33 C9 33 C0 E8 ?? ?? ?? ?? 8B 83 70 02 00 00 8B 10 FF 52 14 48 85 C0 0F 8C C1 00 00 00 40 89 45 F0 C7 45 F8 00 00 00 00 83 7D F8 00 7E 21 8D 55 A8 8B C6 8B 08 FF 51 1C 8D 45 A8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 8B C6 8B 08 FF 51 2C 8D 55 A0 8B C6 8B 08 FF 51 1C FF 75 A0 8D 4D 98 8B 55 F8 8B 83 74 02 00 00 8B 38 FF 57 0C 8B 45 98 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D 9C 5A E8 ?? ?? ?? ?? FF 75 9C 68 ?? ?? ?? ?? 8D 4D 90 8B 55 F8 8B 83 70 02 00 00 8B 38 FF 57 0C 8B 45 90 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D 94 5A E8 ?? ?? ?? ?? FF 75 94 8D 45 A4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 A4 8B C6 8B 08 FF 51 2C FF 45 F8 FF 4D F0 0F 85 4A FF FF FF 83 7D FC 00 74 2C 8D 55 88 8B C6 8B 08 FF 51 1C FF 75 88 68 ?? ?? ?? ?? FF 75 FC 8D 45 8C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 8C 8B C6 8B 08 FF 51 2C 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D 80 8B 93 84 02 00 00 E8 ?? ?? ?? ?? FF 75 80 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 8D 7C FF FF FF 8B 93 84 02 00 00 E8 ?? ?? ?? ?? FF B5 7C FF FF FF 68 ?? ?? ?? ?? 8D 45 84 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 84 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 2C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 A4 02 00 00 8B 08 FF 51 08 8B C3 8B 10 FF 92 CC 02 00 00 80 BB 81 02 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 BA 0F 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 44 00 45 00 53 00 43 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 44 00 45 00 53 00 43 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 2A 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 52 00 44 00 42 00 24 00 44 00 42 00 5F 00 4B 00 45 00 59 00 20 00 61 00 73 00 20 00 49 00 42 00 58 00 5F 00 49 00 4E 00 54 00 45 00 52 00 4E 00 41 00 4C 00 5F 00 44 00 42 00 4B 00 45 00 59 00 20 00 66 00 72 00 6F 00 6D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 41 00 4E 00 44 00 20 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 57 00 48 00 45 00 52 00 45 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 4E 00 44 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 3D 00 20 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 6F 00 72 00 64 00 65 00 72 00 20 00 62 00 79 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 52 00 44 00 42 00 24 00 44 00 42 00 5F 00 4B 00 45 00 59 00 20 00 3D 00 20 00 3A 00 49 00 42 00 58 00 5F 00 49 00 4E 00 54 00 45 00 52 00 4E 00 41 00 4C 00 5F 00 44 00 42 00 4B 00 45 00 59 00 00 00 }
	condition:
		$1
}

rule function_32039_0 {
	meta:
		name = "GenerateFieldLists"
		size = 632
		refs = "0012 GenerateFieldLists 0045 TFieldDefs.GetFieldDef 007e @UStrCat 00d5 TIBCustomDataSet.GetDatabase 00da TIBDatabase.GetSQLDialect 00e5 QuoteIdentifier 012f @UStrCatN 020f @UStrArrayClr 0215 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 40 8B 40 08 8B 40 08 8B F0 4E 85 F6 0F 8C C3 01 00 00 46 33 FF 8B 45 08 8B 40 FC 8B 40 40 8B D7 E8 ?? ?? ?? ?? 8B D8 80 7B 24 00 0F 85 9C 01 00 00 F6 43 26 02 0F 85 92 01 00 00 80 7B 25 00 0F 84 88 01 00 00 8B 45 08 83 78 F8 00 74 5C 8B 45 08 83 C0 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 45 08 83 C0 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 45 08 83 C0 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 0F B6 43 25 3C 0F 74 1B 3C 10 74 17 3C 27 74 13 8B 45 08 83 C0 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D FC 8B 53 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 83 C0 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 45 08 FF 70 F4 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 8B 53 0C E8 ?? ?? ?? ?? FF 75 F8 8B 45 08 83 C0 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 FF 70 F0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8B 53 0C E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 8B 53 0C E8 ?? ?? ?? ?? FF 75 F0 8B 45 08 83 C0 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 0F B6 43 25 3C 0F 74 5F 3C 10 74 5B 3C 27 74 57 8B 45 08 FF 70 EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EC 8B 53 0C E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E8 8B 53 0C E8 ?? ?? ?? ?? FF 75 E8 8B 45 08 83 C0 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 47 4E 0F 85 40 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 41 00 4E 00 44 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 3D 00 20 00 3A 00 00 00 00 00 }
	condition:
		$1
}

rule function_32040_0 {
	meta:
		name = "GenerateWherePrimaryFieldList"
		size = 296
		refs = "001b GenerateWherePrimaryFieldList 0040 ExtractFieldName 0047 TIBCustomDataSet.GetDatabase 004c TIBDatabase.GetSQLDialect 0057 QuoteIdentifier 0086 @UStrCatN 00ad @UStrLAsg 00ba @UStrLen 00dd @UStrArrayClr 00e5 @UStrClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B 5D 08 83 C3 FC 8B 75 08 83 C6 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 01 00 00 00 E9 80 00 00 00 8D 4D FC 8D 55 F8 8B 03 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8B 55 FC E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 8B 55 FC E8 ?? ?? ?? ?? FF 75 F0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 83 3E 00 74 18 FF 36 68 ?? ?? ?? ?? FF 75 FC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 55 FC E8 ?? ?? ?? ?? 8B 03 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 3B 45 F8 0F 8D 6A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 3D 00 20 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 41 00 4E 00 44 00 20 00 00 00 }
	condition:
		$1
}

rule function_32041_0 {
	meta:
		name = "TIBTable.GenerateUpdateSQL"
		size = 1288
		refs = "0019 TIBTable.GenerateUpdateSQL 0027 TIBTable.InternalGetUpdatable 0047 TIBCustomDataSet.GetDatabase 004c TIBDatabase.GetSQLDialect 005d QuoteIdentifier 0077 @UStrCatN 0083 TIBCustomDataSet.GetDeleteSQL 008f GenerateFieldLists 00ee TIBCustomDataSet.GetInsertSQL 0140 TIBCustomDataSet.GetModifySQL 01d3 GenerateWherePrimaryFieldList 028a @HandleAnyException 0299 @DoneExcept 02b3 @UStrArrayClr 02b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0F 8B 45 FC C6 80 81 02 00 00 01 E9 5F 02 00 00 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E0 8B 55 FC 8B 92 84 02 00 00 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 2C 55 E8 ?? ?? ?? ?? 59 83 7D F8 00 0F 84 B3 01 00 00 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D D8 8B 55 FC 8B 92 84 02 00 00 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 2C 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D D0 8B 55 FC 8B 92 84 02 00 00 E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 D4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 2C 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D C8 8B 55 FC 8B 92 84 02 00 00 E8 ?? ?? ?? ?? FF 75 C8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D C4 8B 55 FC 8B 92 84 02 00 00 E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? FF 75 EC 8D 45 CC BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 FC 8B 80 A0 02 00 00 8B 08 FF 51 2C 8B 45 FC 83 B8 98 02 00 00 00 0F 84 8A 00 00 00 55 E8 ?? ?? ?? ?? 59 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D BC 8B 55 FC 8B 92 84 02 00 00 E8 ?? ?? ?? ?? FF 75 BC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D B8 8B 55 FC 8B 92 84 02 00 00 E8 ?? ?? ?? ?? FF 75 B8 68 ?? ?? ?? ?? FF 75 E8 8D 45 C0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 FC 8B 80 A8 02 00 00 8B 08 FF 51 2C EB 0A 8B 45 FC C6 80 81 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 D0 02 00 00 8B 45 FC 8B 10 FF 92 CC 02 00 00 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? 8B 45 FC C6 80 81 02 00 00 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 11 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 64 00 65 00 6C 00 65 00 74 00 65 00 20 00 66 00 72 00 6F 00 6D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 52 00 44 00 42 00 24 00 44 00 42 00 5F 00 4B 00 45 00 59 00 20 00 3D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 3A 00 49 00 42 00 58 00 5F 00 49 00 4E 00 54 00 45 00 52 00 4E 00 41 00 4C 00 5F 00 44 00 42 00 4B 00 45 00 59 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 69 00 6E 00 73 00 65 00 72 00 74 00 20 00 69 00 6E 00 74 00 6F 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 29 00 20 00 76 00 61 00 6C 00 75 00 65 00 73 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 75 00 70 00 64 00 61 00 74 00 65 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 73 00 65 00 74 00 20 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 52 00 44 00 42 00 24 00 44 00 42 00 5F 00 4B 00 45 00 59 00 20 00 3D 00 20 00 3A 00 49 00 42 00 58 00 5F 00 49 00 4E 00 54 00 45 00 52 00 4E 00 41 00 4C 00 5F 00 44 00 42 00 4B 00 45 00 59 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 2A 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 52 00 44 00 42 00 24 00 44 00 42 00 5F 00 4B 00 45 00 59 00 20 00 61 00 73 00 20 00 49 00 42 00 58 00 5F 00 49 00 4E 00 54 00 45 00 52 00 4E 00 41 00 4C 00 5F 00 44 00 42 00 4B 00 45 00 59 00 20 00 66 00 72 00 6F 00 6D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 00 00 }
	condition:
		$1
}

rule function_32042_0 {
	meta:
		name = "TIBTable.ResetSQLStatements"
		size = 75
		refs = "0006 TIBCustomDataSet.GetSelectSQL 0014 TIBCustomDataSet.GetDeleteSQL 0022 TIBCustomDataSet.GetInsertSQL 0030 TIBCustomDataSet.GetModifySQL 003e TIBCustomDataSet.GetRefreshSQL"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 2C 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 2C 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 2C 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 2C 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 2C 5B C3 }
	condition:
		$1
}

rule function_32043_0 {
	meta:
		name = "TIBTable.SetTableTypes"
		size = 16
	strings:
		$1 = { 51 88 14 24 0F B6 14 24 88 90 9C 02 00 00 5A C3 }
	condition:
		$1
}

rule function_32044_0 {
	meta:
		name = "DBKeyCompare"
		size = 59
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 8B F0 8D 7D F8 A5 A5 B9 08 00 00 00 8D 45 F8 8D 55 F0 0F B6 18 3A 1A 74 04 33 C0 EB 07 42 40 49 75 F0 B0 01 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32045_0 {
	meta:
		name = "TIBTable.InternalGotoDBKey"
		size = 185
		refs = "0021 TDataSet.DisableControls 0029 TIBTable.InternalGotoDBKey 003b TDataSet.First 0045 TIBCustomDataSet.GetActiveBuf 0050 DBKeyCompare 0062 TDataSet.Next 00a3 TDataSet.EnableControls 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B F2 8D 7D F4 A5 A5 89 45 FC 8B 45 FC 8B 10 FF 92 BC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 45 F3 00 8B 45 FC E8 ?? ?? ?? ?? EB 25 8B 45 FC E8 ?? ?? ?? ?? 8D 50 10 8D 45 F4 E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 F3 01 EB 08 8B 45 FC E8 ?? ?? ?? ?? 80 7D F3 00 75 0C 8B 45 FC 80 B8 A9 00 00 00 00 74 C9 80 7D F3 00 75 0A 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B 45 FC C7 40 60 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F3 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_32046_0 {
	meta:
		name = "TIBTable.GetCurrentDBKey"
		size = 47
		refs = "0013 TIBCustomDataSet.GetActiveBuf"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 BC 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0E 8B 50 10 89 16 8B 50 14 89 56 04 5E 5B C3 C6 06 00 5E 5B C3 }
	condition:
		$1
}

rule function_32047_0 {
	meta:
		name = "TIBTable.Reopen"
		size = 117
		refs = "000b TDataSet.DisableControls 0013 TIBTable.Reopen 0021 TDataSet.GetActive 002f TDataSet.SetState 0066 TDataSet.EnableControls 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2C 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 D4 00 00 00 33 D2 8B 45 FC 8B 08 FF 91 A8 01 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_32048_0 {
	meta:
		name = "GetIdx"
		size = 254
		refs = "0015 GetIdx 0057 TIndexDefs.GetIndexDef 009a TIndexDef.GetFields 00aa TDataSet.GetFieldList 00c1 @HandleAnyException 00c8 @DoneExcept 00e9 @UStrClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 88 45 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 08 8B 40 FC 8B 80 7C 02 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C 9C 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 8B 45 08 8B 40 FC 8B 80 7C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 0F B6 55 FF 80 FA 07 77 0A 83 E2 7F 0F B6 40 24 0F A3 D0 73 5C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 7C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 20 33 C0 5A 59 59 64 89 10 E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? FF 45 F8 FF 4D F4 0F 85 6F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32049_0 {
	meta:
		name = "TIBTable.PSGetDefaultOrder"
		size = 312
		refs = "0015 TIBTable.PSGetDefaultOrder 002b TIndexDefs.Update 0044 TIBTable.GetIndexName 0066 TIndexDefs.Find 0075 TIBTable.GetIndexFieldNames 0097 TIndexDefs.FindIndexForFields 00a7 TIndexDef.GetFields 00b4 TDataSet.GetFieldList 00c3 @HandleAnyException 00ca @DoneExcept 00d6 GetIdx 00f5 _Dn_TIndexDef 00fa TCollectionItem.Create 0123 @UStrArrayClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 74 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 8B D8 EB 2F 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 83 7D F0 00 74 1E 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 17 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 4D E8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 85 DB 75 0B 55 33 C0 E8 ?? ?? ?? ?? 59 8B D8 85 DB 75 0B 55 B0 01 E8 ?? ?? ?? ?? 59 8B D8 85 DB 74 1B 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 51 08 EB 02 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32050_0 {
	meta:
		name = "TIBTable.PSGetIndexDefs"
		size = 21
		refs = "000f TDataSet.GetIndexDefs"
	strings:
		$1 = { 51 88 14 24 0F B6 0C 24 8B 90 7C 02 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_32051_0 {
	meta:
		name = "TIBTable.PSGetCommandText"
		size = 22
		refs = "000f @UStrAsg"
		altNames = "TIBTable.PSGetTableName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 84 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32053_0 {
	meta:
		name = "TIBTable.PSSetParams"
		size = 31
		refs = "000f TDataSet.Open"
	strings:
		$1 = { 53 8B D8 8B 42 08 83 78 08 00 7E 07 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_32054_0 {
	meta:
		name = "TIBTable.PSGetKeyFields"
		size = 269
		refs = "0016 TIBTable.PSGetKeyFields 0025 TDataSet.PSGetKeyFields 0035 TIBTable.GetExists 004a TIndexDefs.Update 0052 TFieldDefs.Update 007c TIndexDefs.GetIndexDef 009e TIndexDef.GetFields 00af ExtractFieldName 00b9 TDataSet.FindField 00c9 @UStrLen 00e5 @UStrClr 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C7 E8 ?? ?? ?? ?? 83 3E 00 0F 85 B7 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 A8 00 00 00 33 DB 8B 87 7C 02 00 00 E8 ?? ?? ?? ?? 8B 47 40 E8 ?? ?? ?? ?? 8B 87 7C 02 00 00 8B 40 08 8B 40 08 48 85 C0 7C 77 40 89 45 F4 C7 45 FC 00 00 00 00 8B 87 7C 02 00 00 8B 55 FC E8 ?? ?? ?? ?? F6 40 24 02 74 50 C7 45 F8 01 00 00 00 8B 87 7C 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 33 DB EB 20 8D 4D F0 8D 55 F8 8B 06 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 74 0C 8B 06 E8 ?? ?? ?? ?? 3B 45 F8 7D D4 84 DB 75 08 FF 45 FC FF 4D F4 75 94 84 DB 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32055_0 {
	meta:
		name = "TIBTable.InternalLocate"
		size = 1580
		refs = "0023 TIBTable.InternalLocate 0031 TIBCustomDataSet.GetDatabase 003a _Dn_TIBSQL 003f TIBSQL.Create 004a TIBCustomDataSet.GetTransaction 0054 TIBSQL.SetTransaction 0061 TIBDatabase.GetSQLDialect 0072 QuoteIdentifier 0082 @UStrCat3 0097 _Dn_TList 009c TObject.Create 00bb TDataSet.GetFieldList 00d6 :TIBTable.:1 00db @DynArraySetLength 00f1 VarIsArray 0105 @VarArrayGet 011a @VarCopy 0145 @UStrLAsg 01b6 VarIsNull 01c8 TList.Get 01fb Format 025f @UStrCatN 0387 TIBSQL.GetSQLParams 038d TIBXSQLDA.ByName 0398 TIBXSQLVAR.SetAsVariant 03a4 TIBSQL.ExecQuery 03ac TIBSQL.GetEOF 03c9 TIBCustomDataSet.Locate 03e1 TObject.Free 03f7 @DynArrayClear 03fd @HandleFinally 0419 @UStrArrayClr 0421 @UStrClr 0429 @VarClr"
	strings:
		$1 = { 55 8B EC 51 B9 0E 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E4 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B 45 DC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D CC 8B 55 EC 8B 92 84 02 00 00 E8 ?? ?? ?? ?? 8B 4D CC 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B 45 DC 8B 40 60 8B 08 FF 51 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D E8 8B 55 D8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D8 8B 40 08 89 45 D4 8B 45 D4 50 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 75 D4 4E 85 F6 7C 4C 46 33 DB 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 27 53 6A 01 8B 45 E4 50 8D 45 BC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 BC 8B C3 03 C0 8B 4D F0 8D 04 C1 E8 ?? ?? ?? ?? EB 12 8B C3 03 C0 8B 55 F0 8D 04 C2 8B 55 E4 E8 ?? ?? ?? ?? 43 4E 75 B7 F6 45 08 01 74 1C 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 08 02 74 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 75 D4 4E 85 F6 0F 8C B7 01 00 00 46 33 DB 85 DB 0F 8E D6 00 00 00 8B C3 03 C0 8B 55 F0 8D 04 C2 E8 ?? ?? ?? ?? 84 C0 74 54 8D 45 B8 50 8B D3 8B 45 D8 E8 ?? ?? ?? ?? 8B 40 40 50 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D AC 5A E8 ?? ?? ?? ?? 8B 45 AC 89 45 B0 C6 45 B4 11 8D 55 B0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B 45 DC 8B 40 60 8B 08 FF 51 38 E9 3D 01 00 00 8D 45 A8 50 8B D3 8B 45 D8 E8 ?? ?? ?? ?? 8B 40 40 50 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D A4 5A E8 ?? ?? ?? ?? 8B 45 A4 89 45 B0 C6 45 B4 11 8D 45 B0 50 68 ?? ?? ?? ?? FF 75 FC FF 75 F4 FF 75 F8 8D 45 A0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 A0 33 C9 5A E8 ?? ?? ?? ?? 8B 55 A8 8B 45 DC 8B 40 60 8B 08 FF 51 38 E9 CE 00 00 00 8B C3 03 C0 8B 55 F0 8D 04 C2 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 9C 50 8B D3 8B 45 D8 E8 ?? ?? ?? ?? 8B 40 40 50 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D 98 5A E8 ?? ?? ?? ?? 8B 45 98 89 45 B0 C6 45 B4 11 8D 55 B0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B 45 DC 8B 40 60 8B 08 FF 51 38 EB 6A 8D 45 94 50 8B D3 8B 45 D8 E8 ?? ?? ?? ?? 8B 40 40 50 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D 90 5A E8 ?? ?? ?? ?? 8B 45 90 89 45 B0 C6 45 B4 11 8D 45 B0 50 68 ?? ?? ?? ?? FF 75 FC FF 75 F4 FF 75 F8 8D 45 8C BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 8C 33 C9 5A E8 ?? ?? ?? ?? 8B 55 94 8B 45 DC 8B 40 60 8B 08 FF 51 38 43 4E 0F 85 4C FE FF FF 8B 75 D4 4E 85 F6 7C 41 46 33 DB 8B FB 03 FF 8B 45 F0 8D 04 F8 E8 ?? ?? ?? ?? 84 C0 75 27 8B D3 8B 45 D8 E8 ?? ?? ?? ?? 8B 40 40 50 8B 45 DC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 55 F0 8D 14 FA E8 ?? ?? ?? ?? 43 4E 75 C2 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 E3 00 EB 16 0F B6 45 08 50 8B 4D E4 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 88 45 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B3 0F B6 45 E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 52 00 44 00 42 00 24 00 44 00 42 00 5F 00 4B 00 45 00 59 00 20 00 61 00 73 00 20 00 49 00 42 00 58 00 5F 00 49 00 4E 00 54 00 45 00 52 00 4E 00 41 00 4C 00 5F 00 44 00 42 00 4B 00 45 00 59 00 20 00 66 00 72 00 6F 00 6D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 50 00 50 00 45 00 52 00 28 00 25 00 3A 00 30 00 73 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 55 00 50 00 50 00 45 00 52 00 28 00 3A 00 25 00 3A 00 30 00 73 00 29 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 3A 00 30 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3A 00 25 00 3A 00 30 00 73 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 20 00 73 00 74 00 61 00 72 00 74 00 69 00 6E 00 67 00 20 00 77 00 69 00 74 00 68 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 20 00 61 00 6E 00 64 00 20 00 25 00 73 00 20 00 69 00 73 00 20 00 6E 00 75 00 6C 00 6C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 61 00 6E 00 64 00 20 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 20 00 57 00 68 00 65 00 72 00 65 00 20 00 25 00 73 00 20 00 69 00 73 00 20 00 6E 00 75 00 6C 00 6C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 57 00 68 00 65 00 72 00 65 00 20 00 00 00 }
	condition:
		$1
}

rule function_32061_0 {
	meta:
		name = "TIBUpdateSQL.Create"
		size = 107
		refs = "000f @ClassCreate 001d TIBDataSetUpdateObject.Create 0026 _Dn_TStringList 002b TStringList.Create 0042 TIBUpdateSQL.SQLChanged 0055 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 DB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FB 83 E7 7F 89 44 BE 4C 8B 44 BE 4C 89 70 44 C7 40 40 ?? ?? ?? ?? 43 80 FB 03 75 D7 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32062_0 {
	meta:
		name = "TIBUpdateSQL.Destroy"
		size = 86
		refs = "0004 @BeforeDestruction 001f TIBCustomDataSet.SetUpdateObject 002d TObject.Free 0041 TIBDataSetUpdateObject.Destroy 004e @ClassDestroy"
	strings:
		$1 = { 53 56 51 E8 ?? ?? ?? ?? 88 14 24 8B F0 8B 46 3C 85 C0 74 0F 3B B0 00 02 00 00 75 07 33 D2 E8 ?? ?? ?? ?? 33 DB 0F B6 C3 8B 44 86 4C E8 ?? ?? ?? ?? 43 80 FB 03 75 EE 0F B6 14 24 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_32063_0 {
	meta:
		name = "TIBUpdateSQL.ExecSQL"
		size = 60
		refs = "0005 TIBUpdateSQL.GetQuery 000e TIBQuery.Prepare 0015 TIBQuery.ExecSQL 001c TIBQuery.GetRowsAffected 0034 IBError"
	strings:
		$1 = { 53 83 C4 F8 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 48 74 15 33 C0 89 04 24 C6 44 24 04 05 8B D4 33 C9 B0 46 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_32064_0 {
	meta:
		name = "TIBUpdateSQL.GetQuery"
		size = 113
		refs = "0019 _Dn_TIBQuery 001e TIBQuery.Create 0046 TIBCustomDataSet.GetDatabase 0051 TIBCustomDataSet.SetDatabase 0059 TIBCustomDataSet.GetTransaction 0064 TIBCustomDataSet.SetTransaction"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 8B FB 83 E7 7F 83 7C BE 40 00 75 54 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 BE 40 8B 54 BE 4C 0F B6 C3 8B 44 86 40 8B 80 68 02 00 00 8B 08 FF 51 08 8B 6E 3C 85 ED 74 25 8B C5 E8 ?? ?? ?? ?? 8B D0 8B 44 BE 40 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 8B D0 8B 44 BE 40 E8 ?? ?? ?? ?? 8B 44 BE 40 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32065_0 {
	meta:
		name = "TIBUpdateSQL.GetSQL"
		size = 8
		altNames = "TIBUpdateSQL.GetSQLIndex"
	strings:
		$1 = { 83 E2 7F 8B 44 90 4C C3 }
	condition:
		$1
}

rule function_32069_0 {
	meta:
		name = "TIBUpdateSQL.SetSQL"
		size = 29
	strings:
		$1 = { 56 57 51 8B F9 88 14 24 8B F0 0F B6 04 24 8B 44 86 4C 8B D7 8B 08 FF 51 08 5A 5F 5E C3 }
	condition:
		$1
}

rule function_32071_0 {
	meta:
		name = "TIBUpdateSQL.SQLChanged"
		size = 79
		refs = "0029 TCollection.Clear"
	strings:
		$1 = { 56 57 51 8B F0 C6 04 24 00 0F B6 3C 24 3B 54 BE 4C 75 2F 83 7C BE 40 00 74 31 0F B6 04 24 8B 44 86 40 8B 80 70 02 00 00 E8 ?? ?? ?? ?? 8B 54 BE 4C 8B 44 BE 40 8B 80 68 02 00 00 8B 08 FF 51 08 EB 09 FE 04 24 80 3C 24 03 75 BE 5A 5F 5E C3 }
	condition:
		$1
}

rule function_32072_0 {
	meta:
		name = "TIBUpdateSQL.SetParams"
		size = 380
		refs = "001c TIBUpdateSQL.SetParams 0039 TIBUpdateSQL.GetQuery 0070 TParams.GetItem 007d @UStrLAsg 0093 @UStrCopy 00a0 CompareText 00bb @UStrDelete 00c9 TDataSet.FindField 00dd TField.GetOldValue 00e9 TParam.AssignFieldValue 00f5 TField.GetNewValue 00fd VarIsEmpty 0138 @VarClr 0140 @UStrClr 0156 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 83 78 3C 00 0F 84 F4 00 00 00 8B D3 8B 45 E4 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 8B 80 70 02 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C CF 00 00 00 40 89 45 D8 C7 45 E0 00 00 00 00 8B 45 DC 8B 80 70 02 00 00 8B 55 E0 E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B 56 34 E8 ?? ?? ?? ?? 8D 45 D4 50 B9 04 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 12 8D 45 FC B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 8B 40 3C 8B 55 FC E8 ?? ?? ?? ?? 8B F8 85 FF 74 48 84 DB 74 18 8D 55 C4 8B C7 E8 ?? ?? ?? ?? 8D 4D C4 8B D7 8B C6 E8 ?? ?? ?? ?? EB 2C 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 0A 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8D 4D E8 8B D7 8B C6 E8 ?? ?? ?? ?? FF 45 E0 FF 4D D8 0F 85 3C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4F 00 4C 00 44 00 5F 00 00 00 00 00 }
	condition:
		$1
}

rule function_32073_0 {
	meta:
		name = "TIBUpdateSQL.Apply"
		size = 27
		refs = "000b TIBUpdateSQL.SetParams 0014 TIBUpdateSQL.ExecSQL"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32076_0 {
	meta:
		name = "Max"
		size = 7
	strings:
		$1 = { 3B D0 7C 02 8B C2 C3 }
	condition:
		$1
}

rule function_32077_0 {
	meta:
		name = "Min"
		size = 7
	strings:
		$1 = { 3B D0 7F 02 8B C2 C3 }
	condition:
		$1
}

rule function_32078_0 {
	meta:
		name = "RandomString"
		size = 152
		refs = "0015 RandomString 0022 @UStrClr 0030 RandomInteger 0038 IntToStr 0042 @UStrCat 0049 @UStrLen 0071 @UStrCopy 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? EB 1E BA FF FF FF 7F 33 C0 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 3B F0 7F D7 8B 03 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 3B F0 7D 0F 53 8B 03 8B CE BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32079_0 {
	meta:
		name = "RandomInteger"
		size = 20
		refs = "000b Random"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 2B C3 E8 ?? ?? ?? ?? 03 C3 5E 5B C3 }
	condition:
		$1
}

rule function_32080_0 {
	meta:
		name = "StripString"
		size = 187
		refs = "001d @UStrAddRef 002d StripString 003a @UStrClr 0061 @UStrFromWChar 006c AnsiPos 008a @UStrCat 00a8 @UStrArrayClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F9 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 42 BB 01 00 00 00 8D 45 F4 8B 55 FC 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 75 1A 8D 45 F0 8B 55 FC 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 43 4E 75 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32081_0 {
	meta:
		name = "FormatIdentifier"
		size = 292
		refs = "001c @UStrAddRef 0024 FormatIdentifier 0035 Trim 0040 @UStrLAsg 004e AnsiUpperCase 0086 TrimRight 0098 StringReplace 00ad @UStrCatN 00cf @UStrAsg 00e9 @UStrArrayClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 4B 75 18 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? EB 6A 83 7D FC 00 74 4E 8B 45 FC 66 83 38 22 75 45 68 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F0 50 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 16 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_32082_0 {
	meta:
		name = "FormatIdentifierValue"
		size = 308
		refs = "001a @UStrAddRef 0022 FormatIdentifierValue 0033 Trim 003e @UStrLAsg 004c AnsiUpperCase 007a @UStrDelete 00b2 StringReplace 00df @UStrAsg 00f9 @UStrArrayClr 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 4B 75 18 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? EB 7C 83 7D FC 00 74 60 8B 45 FC 66 83 38 22 75 57 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 55 FC B9 01 00 00 00 92 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? EB 16 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_32083_0 {
	meta:
		name = "ExtractIdentifier"
		size = 308
		refs = "001a @UStrAddRef 0022 ExtractIdentifier 0033 Trim 003e @UStrLAsg 004c AnsiUpperCase 007a @UStrDelete 00b2 StringReplace 00df @UStrAsg 00f9 @UStrArrayClr 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 4B 75 18 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? EB 7C 83 7D FC 00 74 60 8B 45 FC 66 83 38 22 75 57 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 55 FC B9 01 00 00 00 92 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? EB 16 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_32084_0 {
	meta:
		name = "QuoteIdentifier"
		size = 228
		refs = "0018 @UStrAddRef 0020 QuoteIdentifier 0034 Trim 003f AnsiUpperCase 004a @UStrLAsg 006f StringReplace 0084 @UStrCatN 008e @UStrAsg 00a8 @UStrArrayClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 4B 75 23 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? EB 38 68 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_32085_0 {
	meta:
		name = "GenerateParamSQL"
		size = 456
		refs = "0015 GenerateParamSQL 0045 @UStrCat 005f TParams.GetItem 0070 QuoteIdentifier 0089 Format 00ec LowerCase 00f9 Pos 010b @UStrCat3 0135 @UStrArrayClr 013d @UStrClr 0143 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 08 8B 40 08 8B F8 4F 85 FF 0F 8C B0 00 00 00 47 33 F6 85 F6 7E 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 80 78 FB 00 74 47 8D 45 FC 50 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 8B 50 34 8D 4D F0 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 45 8D 45 EC 50 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 8B 50 34 8D 4D E8 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 46 4F 0F 85 53 FF FF FF 8D 55 E4 8B 03 E8 ?? ?? ?? ?? 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 10 8B 0B 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8B 0B 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 61 00 6E 00 64 00 20 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 20 00 3D 00 20 00 3F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 25 00 30 00 3A 00 73 00 20 00 3D 00 20 00 3A 00 25 00 30 00 3A 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 77 00 68 00 65 00 72 00 65 00 20 00 00 00 }
	condition:
		$1
}

rule function_32086_0 {
	meta:
		name = "AddWhereClause"
		size = 412
		refs = "0018 AddWhereClause 0029 @WStrToPWChar 0036 @WStrClr 0042 NextSQLToken 0071 @WStrFromPWChar 007b @WStrEqual 0090 @WStrCat3 009b @UStrFromWStr 00ab GenerateParamSQL 00b5 @UStrCat 00bf @WStrFromUStr 00d3 Pos 00e5 @WStrCopy 00f2 @WStrCat 012b @UStrCatN 014f @UStrArrayClr 0174 @UStrClr 0181 @WStrArrayClr 0187 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 89 45 F4 33 DB 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B CB 8D 45 F4 E8 ?? ?? ?? ?? 8B D0 80 EA 06 74 05 80 EA 08 75 E0 3C 06 75 14 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B CB 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 75 44 8B 45 08 8B 50 F4 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 08 50 8D 45 E8 E8 ?? ?? ?? ?? 59 8B 55 E8 58 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? EB 74 8D 45 DC 50 8B 45 08 8B 50 F4 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 40 F4 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? FF 75 E0 8B 45 08 50 8D 45 D8 E8 ?? ?? ?? ?? 59 FF 75 D8 8D 45 D4 8B 55 FC E8 ?? ?? ?? ?? FF 75 D4 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B9 5E 5B 8B E5 5D C3 00 02 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_32087_0 {
	meta:
		name = "AddIBParamSQLForDetail"
		size = 129
		refs = "001c @WStrAddRef 0024 AddIBParamSQLForDetail 0034 @UStrFromWStr 0049 AddWhereClause 006e @WStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 88 4D FB 89 55 F4 89 45 FC 8B 5D 08 8D 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 83 78 08 00 7E 14 55 8D 45 F0 E8 ?? ?? ?? ?? 59 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_32088_0 {
	meta:
		name = "DecomposeDatabaseName"
		size = 612
		refs = "0019 @UStrAddRef 0021 DecomposeDatabaseName 0034 Pos 0048 @UStrAsg 0067 @UStrCopy 008f IBError 00f1 @UStrClr 01aa @UStrArrayClr 01b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F8 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 8B 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 8B CB BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 1A 33 C0 89 45 EC C6 45 F0 05 8D 55 EC 33 C9 33 C0 E8 ?? ?? ?? ?? E9 FC 00 00 00 56 8B CB 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 8B 45 08 50 8D 53 01 8B CE 8B 45 F8 E8 ?? ?? ?? ?? E9 C9 00 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 05 83 FB 02 75 23 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8E 00 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 3C 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8B 45 08 50 8D 53 01 8B CE 8B 45 FC E8 ?? ?? ?? ?? EB 3C 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 4D F4 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8B 45 08 50 8B 55 F4 42 8B CB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4E 00 61 00 6D 00 65 00 64 00 50 00 69 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 6F 00 63 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 43 00 50 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 50 00 58 00 00 00 }
	condition:
		$1
}

rule function_32089_0 {
	meta:
		name = "TIBTimer.Create"
		size = 78
		refs = "000a @ClassCreate 0017 TComponent.Create 0028 TIBTimer.WndProc 002d AllocateHWnd 003b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 48 01 C7 46 38 E8 03 00 00 56 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78840_0 {
	meta:
		name = "TTimer.Create"
		size = 78
		refs = "000a @ClassCreate 0017 TComponent.Create 0028 TTimer.WndProc 002d AllocateHWnd 003b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 48 01 C7 46 38 E8 03 00 00 56 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32090_0 {
	meta:
		name = "TIBTimer.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 0012 TIBTimer.UpdateTimer 001a DeallocateHWnd 0025 TComponent.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 46 48 00 8B C6 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32091_0 {
	meta:
		name = "TIBTimer.WndProc"
		size = 126
		refs = "001a TIBTimer.WndProc 002c @CallDynaInst 003b @HandleAnyException 0040 ApplicationHandleException 005a @DoneExcept 0071 DefWindowProc"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 33 81 FE 13 01 00 00 75 4A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BE F0 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3E E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 66 83 78 02 00 74 0E 8B 1D ?? ?? ?? ?? 8B 55 FC 8B 43 04 FF 13 E8 ?? ?? ?? ?? EB 18 8B 43 08 50 8B 43 04 50 56 8B 45 FC 8B 40 3C 50 E8 ?? ?? ?? ?? 89 43 0C 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32092_0 {
	meta:
		name = "TIBTimer.UpdateTimer"
		size = 139
		refs = "000d TIBTimer.UpdateTimer 001e KillTimer 0040 SetTimer 004c SNoTimers 0051 LoadResString 005b _Dn_EOutOfResources 0060 Exception.Create 0065 @RaiseExcept 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8B 43 3C 50 E8 ?? ?? ?? ?? 8B 73 38 85 F6 74 40 80 7B 48 00 74 3A 66 83 7B 42 00 74 33 6A 00 56 6A 01 8B 43 3C 50 E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78843_0 {
	meta:
		name = "TTimer.UpdateTimer"
		size = 139
		refs = "000d TTimer.UpdateTimer 001e KillTimer 0040 SetTimer 004c SNoTimers 0051 LoadResString 005b _Dn_EOutOfResources 0060 Exception.Create 0065 @RaiseExcept 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8B 43 3C 50 E8 ?? ?? ?? ?? 8B 73 38 85 F6 74 40 80 7B 48 00 74 3A 66 83 7B 42 00 74 33 6A 00 56 6A 01 8B 43 3C 50 E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32093_0 {
	meta:
		name = "TIBTimer.SetEnabled"
		size = 14
		refs = "0009 TIBTimer.UpdateTimer"
	strings:
		$1 = { 3A 50 48 74 08 88 50 48 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93839_0 {
	meta:
		name = "TTeeFunction.SetPeriodStyle"
		size = 14
		refs = "0009 TTeeFunction.ReCalculate"
	strings:
		$1 = { 3A 50 48 74 08 88 50 48 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78844_0 {
	meta:
		name = "TTimer.SetEnabled"
		size = 14
		refs = "0009 TTimer.UpdateTimer"
	strings:
		$1 = { 3A 50 48 74 08 88 50 48 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32094_0 {
	meta:
		name = "TIBTimer.SetInterval"
		size = 14
		refs = "0009 TIBTimer.UpdateTimer"
	strings:
		$1 = { 3B 50 38 74 08 89 50 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78845_0 {
	meta:
		name = "TTimer.SetInterval"
		size = 14
		refs = "0009 TTimer.UpdateTimer"
	strings:
		$1 = { 3B 50 38 74 08 89 50 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32095_0 {
	meta:
		name = "TIBTimer.SetOnTimer"
		size = 24
		refs = "0010 TIBTimer.UpdateTimer"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 40 8B 55 0C 89 50 44 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_78846_0 {
	meta:
		name = "TTimer.SetOnTimer"
		size = 24
		refs = "0010 TTimer.UpdateTimer"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 40 8B 55 0C 89 50 44 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_32096_0 {
	meta:
		name = "TBasicAction.Change"
		size = 20
		altNames = "TCustomMSHTMLParser.DoAfterUpdate TCustomTeeGradient.DoChanged TDdeServerConv.Disconnect TDdeServerItem.Change TIBTimer.Timer TTimer.Timer"
	strings:
		$1 = { 53 66 83 78 42 00 74 0A 8B D8 8B D0 8B 43 44 FF 53 40 5B C3 }
	condition:
		$1
}

rule function_32098_0 {
	meta:
		name = "IBUtils"
		size = 17
		refs = "0002 _DV_2 000b CopyMasterFieldToDetail"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 07 C6 05 ?? ?? ?? ?? 00 C3 }
	condition:
		$1
}

rule function_70964_0 {
	meta:
		name = "TComServerObject.Create@"
		size = 17
		refs = "0002 TComServerObject.$ClassInitFlag 000b TComServerObject.FPerUserRegistration"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 07 C6 05 ?? ?? ?? ?? 00 C3 }
	condition:
		$1
}

rule function_32103_0 {
	meta:
		name = "isc_dsql_xml_fetch_stub"
		size = 188
		refs = "0013 isc_dsql_xml_fetch_stub 0025 SIB65feature 002a LoadResString 0045 Format 004f _Dn_EIBClientError 0054 Exception.Create 0059 @RaiseExcept 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 14 00 B0 04 02 00 FF FF FF FF 13 00 00 00 69 00 73 00 63 00 5F 00 64 00 73 00 71 00 6C 00 5F 00 78 00 6D 00 6C 00 5F 00 66 00 65 00 74 00 63 00 68 00 20 00 00 00 }
	condition:
		$1
}

rule function_32104_0 {
	meta:
		name = "isc_dsql_xml_fetch_all_stub"
		size = 196
		refs = "0013 isc_dsql_xml_fetch_all_stub 0025 SIB65feature 002a LoadResString 0045 Format 004f _Dn_EIBClientError 0054 Exception.Create 0059 @RaiseExcept 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 14 00 B0 04 02 00 FF FF FF FF 17 00 00 00 69 00 73 00 63 00 5F 00 64 00 73 00 71 00 6C 00 5F 00 78 00 6D 00 6C 00 5F 00 66 00 65 00 74 00 63 00 68 00 5F 00 61 00 6C 00 6C 00 20 00 00 00 }
	condition:
		$1
}

rule function_32105_0 {
	meta:
		name = "isc_dsql_xml_buffer_fetch_stub"
		size = 204
		refs = "0013 isc_dsql_xml_buffer_fetch_stub 0025 SIB65feature 002a LoadResString 0045 Format 004f _Dn_EIBClientError 0054 Exception.Create 0059 @RaiseExcept 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 1C 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 69 00 73 00 63 00 5F 00 64 00 73 00 71 00 6C 00 5F 00 78 00 6D 00 6C 00 5F 00 62 00 75 00 66 00 66 00 65 00 72 00 5F 00 66 00 65 00 74 00 63 00 68 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_32115_0 {
	meta:
		name = "TIdAntiFreezeBase.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 000d GAntiFreeze 0021 TComponent.Destroy 002c @ClassDestroy"
		altNames = "TInAntiFreezeBase.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 3B 35 ?? ?? ?? ?? 75 07 33 C0 A3 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74265_0 {
	meta:
		name = "TClipboard.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 000d FClipboard 0021 TPersistent.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 3B 35 ?? ?? ?? ?? 75 07 33 C0 A3 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32116_0 {
	meta:
		name = "TIdAntiFreezeBase.DoProcess"
		size = 56
		refs = "000d TIdAntiFreezeBase.ShouldUse 0016 GAntiFreeze"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1F A1 ?? ?? ?? ?? 0F B6 40 40 34 01 0A D8 75 06 80 3C 24 00 74 0A A1 ?? ?? ?? ?? 8B 10 FF 52 44 5A 5E 5B C3 }
	condition:
		$1
}

rule function_39127_0 {
	meta:
		name = "TInAntiFreezeBase.DoProcess"
		size = 56
		refs = "000d TInAntiFreezeBase.ShouldUse 0016 GAntiFreeze"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1F A1 ?? ?? ?? ?? 0F B6 40 40 34 01 0A D8 75 06 80 3C 24 00 74 0A A1 ?? ?? ?? ?? 8B 10 FF 52 44 5A 5E 5B C3 }
	condition:
		$1
}

rule function_32117_0 {
	meta:
		name = "TIdAntiFreezeBase.InitComponent"
		size = 133
		refs = "000c TIdAntiFreezeBase.InitComponent 0019 TIdInitializerComponent.InitComponent 0020 TIdInitializerComponent.GetIsDesignTime 002a GAntiFreeze 0035 RSAntiFreezeOnlyOne 003a LoadResString 0042 _Dn_EIdException 0047 EIdException.Toss 0075 @UStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 29 83 3D ?? ?? ?? ?? 00 74 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? C6 43 38 01 C6 43 39 01 C7 43 3C FA 00 00 00 C6 43 40 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39128_0 {
	meta:
		name = "TInAntiFreezeBase.InitComponent"
		size = 133
		refs = "000c TInAntiFreezeBase.InitComponent 0019 TIdInitializerComponent.InitComponent 0020 TIdInitializerComponent.GetIsDesignTime 002a GAntiFreeze 0035 RSAntiFreezeOnlyOne 003a LoadResString 0042 _Dn_EInException 0047 EInException.Toss 0075 @UStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 29 83 3D ?? ?? ?? ?? 00 74 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? C6 43 38 01 C6 43 39 01 C7 43 3C FA 00 00 00 C6 43 40 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_32118_0 {
	meta:
		name = "TIdAntiFreezeBase.ShouldUse"
		size = 38
		refs = "0002 GAntiFreeze 000a InMainThread"
		altNames = "TInAntiFreezeBase.ShouldUse"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 09 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 74 09 A1 ?? ?? ?? ?? 0F B6 40 38 C3 }
	condition:
		$1
}

rule function_32119_0 {
	meta:
		name = "TIdAntiFreezeBase.Sleep"
		size = 92
		refs = "0009 GAntiFreeze 0010 TIdAntiFreezeBase.ShouldUse 001d IndySleep 002e TIdAntiFreezeBase.DoProcess"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 BD ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 38 EB 18 8B C7 E8 ?? ?? ?? ?? 8B 45 00 2B 58 3C 33 C9 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 45 00 8B 78 3C 3B DF 7F DE 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 8B C6 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39130_0 {
	meta:
		name = "TInAntiFreezeBase.Sleep"
		size = 92
		refs = "0009 GAntiFreeze 0010 TInAntiFreezeBase.ShouldUse 001d IndySleep 002e TInAntiFreezeBase.DoProcess"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 BD ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 38 EB 18 8B C7 E8 ?? ?? ?? ?? 8B 45 00 2B 58 3C 33 C9 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 45 00 8B 78 3C 3B DF 7F DE 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 8B C6 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32122_0 {
	meta:
		name = "ASNEncOIDItem"
		size = 152
		refs = "0014 ASNEncOIDItem 0027 @UStrClr 0060 @UStrFromWChar 006c @UStrCat3 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D8 C6 45 FF 00 8B C7 E8 ?? ?? ?? ?? 8B F3 81 E6 7F 00 00 80 79 05 4E 83 CE 80 46 B9 80 00 00 00 8B C3 99 F7 F9 89 C3 80 7D FF 00 74 06 81 CE 80 00 00 00 85 DB 7E 04 C6 45 FF 01 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8B 0F 8B C7 E8 ?? ?? ?? ?? 85 DB 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32123_0 {
	meta:
		name = "ASNDecOIDItem"
		size = 38
	strings:
		$1 = { 56 57 8B FA 33 F6 C1 E6 07 8B 10 0F B7 4C 57 FE FF 00 83 F9 7F 0F 9F C2 83 E1 7F 03 F1 84 D2 75 E5 8B C6 5F 5E C3 }
	condition:
		$1
}

rule function_32124_0 {
	meta:
		name = "ASNEncLen"
		size = 203
		refs = "0014 ASNEncLen 002b @UStrFromWChar 0034 @UStrClr 0068 @UStrCat3 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 FE 80 00 00 00 7D 0B 8B C3 8B D6 E8 ?? ?? ?? ?? EB 6E 8B C3 E8 ?? ?? ?? ?? 8B FE 81 E7 FF 00 00 80 79 08 4F 81 CF 00 FF FF FF 47 B9 00 01 00 00 8B C6 99 F7 F9 89 C6 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B 55 FC 8B 0B 8B C3 E8 ?? ?? ?? ?? 85 F6 75 C8 8B 03 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B F8 81 CF 80 00 00 00 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 8B 55 F4 8B 0B 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32125_0 {
	meta:
		name = "ASNDecLen"
		size = 56
	strings:
		$1 = { 53 56 8B 08 0F B7 4C 4A FE FF 00 81 F9 80 00 00 00 7D 04 8B D9 EB 1C 33 DB 83 E1 7F 8B F1 85 F6 7E 11 C1 E3 08 8B 08 0F B7 4C 4A FE FF 00 03 D9 4E 75 EF 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_32126_0 {
	meta:
		name = "ASNEncInt"
		size = 192
		refs = "0016 ASNEncInt 003b @UStrClr 005a @UStrFromWChar 0066 @UStrCat3 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 C9 0F 9C 45 FF 8B C1 99 33 C2 2B C2 8B D8 80 7D FF 00 74 03 4B F7 D3 8B C6 E8 ?? ?? ?? ?? 8B FB 81 E7 FF 00 00 00 B9 00 01 00 00 8B C3 33 D2 F7 F1 89 C3 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 55 F8 8B 0E 8B C6 E8 ?? ?? ?? ?? 85 DB 75 D1 80 7D FF 00 75 16 8B 06 66 83 38 7F 76 0E 8B 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_32127_0 {
	meta:
		name = "ASNEncUInt"
		size = 175
		refs = "0014 ASNEncUInt 0035 @UStrClr 005d @UStrFromWChar 0069 @UStrCat3 007a @UniqueStringU 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 C0 0F 9C 45 FF 8B D8 80 7D FF 00 74 06 81 E3 FF FF FF 7F 8B C6 E8 ?? ?? ?? ?? 8B FB 81 E7 FF 00 00 80 79 08 4F 81 CF 00 FF FF FF 47 B9 00 01 00 00 8B C3 99 F7 F9 89 C3 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 55 F8 8B 0E 8B C6 E8 ?? ?? ?? ?? 85 DB 75 C8 80 7D FF 00 74 14 8B C6 E8 ?? ?? ?? ?? 8B 16 0F B7 12 66 81 CA 80 00 66 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32128_0 {
	meta:
		name = "ASNObject"
		size = 125
		refs = "0017 ASNObject 0032 @UStrFromWChar 003f ASNEncLen 0050 @UStrCatN 006a @UStrArrayClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DE 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 8B D7 E8 ?? ?? ?? ?? FF 75 F8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? FF 75 F4 56 8B 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32129_0 {
	meta:
		name = "ASNItem"
		size = 820
		refs = "0028 ASNItem 0036 @UStrClr 0070 ASNDecLen 0099 IntToHex 00a9 @UStrCat3 0151 IntToStr 018a @_llmul 01d8 @UStrFromWChar 01e3 @UStrCat 01f1 @UStrAsg 022f IdToMib 02f4 @UStrArrayClr 0302 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D C4 89 5D C8 89 5D CC 89 5D D0 89 5D D4 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B 45 F8 C7 00 05 00 00 00 8B C6 85 C0 74 05 83 E8 04 8B 00 89 45 E4 8B 03 40 3B 45 E4 0F 8F 81 02 00 00 8B 03 0F B7 7C 46 FE 8B 45 F8 89 38 FF 03 8B C3 8B D6 E8 ?? ?? ?? ?? 89 45 F4 8B 03 03 45 F4 48 3B 45 E4 0F 8F 58 02 00 00 F7 C7 20 00 00 00 7E 24 8D 4D D4 BA 02 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 4D D4 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2C 02 00 00 83 FF 06 7F 20 0F 84 3D 01 00 00 83 EF 02 74 2F 83 EF 02 0F 84 F1 00 00 00 4F 0F 84 C4 01 00 00 E9 CE 01 00 00 83 EF 40 0F 84 58 01 00 00 4F 83 EF 03 72 74 0F 84 D0 00 00 00 E9 B4 01 00 00 33 C0 89 45 F0 C6 45 E9 00 8B 7D F4 85 FF 7E 3A C7 45 EC 01 00 00 00 8B 03 0F B7 44 46 FE 83 7D EC 01 75 08 3C 7F 76 04 C6 45 E9 01 80 7D E9 00 74 02 F6 D0 8B 55 F0 C1 E2 08 0F B6 C0 03 D0 89 55 F0 FF 03 FF 45 EC 4F 75 CD 80 7D E9 00 74 09 8B 45 F0 40 F7 D8 89 45 F0 8B 55 08 8B 45 F0 E8 ?? ?? ?? ?? E9 84 01 00 00 C7 45 D8 00 00 00 00 C7 45 DC 00 00 00 00 8B 7D F4 85 FF 7E 3A 8B 03 0F B7 44 46 FE 0F B6 C0 89 45 F0 6A 00 68 00 01 00 00 8B 45 D8 8B 55 DC E8 ?? ?? ?? ?? 52 50 8B 45 F0 99 03 04 24 13 54 24 04 83 C4 08 89 45 D8 89 55 DC FF 03 4F 75 C6 FF 75 DC FF 75 D8 8B 45 08 E8 ?? ?? ?? ?? E9 22 01 00 00 8B 7D F4 85 FF 7E 27 8B 03 0F B7 44 46 FE 66 89 45 EA FF 03 8D 45 D0 0F B7 55 EA E8 ?? ?? ?? ?? 8B 55 D0 8D 45 FC E8 ?? ?? ?? ?? 4F 75 D9 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? E9 E4 00 00 00 8B 7D F4 85 FF 7E 27 8B 03 0F B7 44 46 FE 66 89 45 EA FF 03 8D 45 CC 0F B7 55 EA E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? 4F 75 D9 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? E9 A6 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 7D F4 85 FF 7E 42 C7 45 EC 01 00 00 00 83 7D EC 01 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 0F B7 44 46 FE 89 45 F0 FF 03 8D 55 C8 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 C8 8D 45 FC E8 ?? ?? ?? ?? FF 45 EC 4F 75 C5 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? EB 48 8B 45 08 E8 ?? ?? ?? ?? 8B 45 F4 01 03 EB 39 8B 7D F4 85 FF 7E 27 8B 03 0F B7 44 46 FE 66 89 45 EA FF 03 8D 45 C4 0F B7 55 EA E8 ?? ?? ?? ?? 8B 55 C4 8D 45 FC E8 ?? ?? ?? ?? 4F 75 D9 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_32130_0 {
	meta:
		name = "WalkInt"
		size = 160
		refs = "000d WalkInt 001f Pos 0030 @UStrLAsg 0037 @UStrClr 004c @UStrCopy 0066 IndyStrToInt 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 83 FE 01 7D 13 8D 45 FC 8B 13 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 23 8D 45 FC 50 8B CE 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? 53 8D 56 01 8B 03 B9 FF FF FF 7F E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_32131_0 {
	meta:
		name = "MibToId"
		size = 167
		refs = "0016 @UStrAddRef 001e MibToId 002b @UStrClr 0033 WalkInt 0055 ASNEncOIDItem 0075 @UStrCat 0095 @UStrArrayClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D8 8D 45 FC E8 ?? ?? ?? ?? 8B D3 03 D2 03 D2 03 D2 8D 14 92 03 C2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? EB 1E 8D 45 FC E8 ?? ?? ?? ?? 8B D8 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32132_0 {
	meta:
		name = "IdToMib"
		size = 200
		refs = "0016 IdToMib 0023 @UStrClr 0036 ASNDecOIDItem 0062 IntToStr 0082 @UStrCatN 0089 @UStrLen 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? C7 45 F8 01 00 00 00 EB 56 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 48 48 75 23 8B C3 B9 28 00 00 00 99 F7 F9 89 45 FC B9 28 00 00 00 8B C3 99 F7 F9 89 D3 8B D6 8B 45 FC E8 ?? ?? ?? ?? FF 36 68 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? FF 75 F4 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 40 3B 45 F8 7F 9D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_32133_0 {
	meta:
		name = "IntMibToStr"
		size = 57
		refs = "0031 IntToStr"
	strings:
		$1 = { 53 56 57 8B F2 33 DB 8B D0 85 D2 74 05 83 EA 04 8B 12 4A 85 D2 7E 15 B9 01 00 00 00 0F B7 7C 48 FE C1 E3 08 03 FB 8B DF 41 4A 75 F0 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32145_0 {
	meta:
		name = "TIdAttachment.LoadFromFile"
		size = 90
		refs = "000f _Dn_TIdReadFileExclusiveStream 0014 TIdReadFileExclusiveStream.Create 001f TIdAttachment.LoadFromFile 0049 TObject.Free 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B C3 8B 08 FF 51 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32146_0 {
	meta:
		name = "TIdAttachment.LoadFromStream"
		size = 76
		refs = "0016 TIdAttachment.LoadFromStream 0027 TStream.CopyFrom 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 10 FF 52 5C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 6A 00 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 60 C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_32147_0 {
	meta:
		name = "TIdAttachment.SaveToFile"
		size = 90
		refs = "000f _Dn_TIdFileCreateStream 0014 TIdFileCreateStream.Create 001f TIdAttachment.SaveToFile 0049 TObject.Free 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B C3 8B 08 FF 51 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32148_0 {
	meta:
		name = "TIdAttachment.SaveToStream"
		size = 78
		refs = "0016 TIdAttachment.SaveToStream 0029 TStream.CopyFrom 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 10 FF 52 54 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 6A 00 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 58 C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_32151_0 {
	meta:
		name = "TIdAttachmentFile.CloseLoadStream"
		size = 17
		refs = "000c TObject.Free"
	strings:
		$1 = { 83 C0 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32152_0 {
	meta:
		name = "TIdAttachmentFile.Create"
		size = 158
		refs = "0015 @ClassCreate 0025 TIdAttachmentFile.Create 0034 TIdMessagePart.Create 003e ExtractFileName 0049 @UStrAsg 0071 @UStrClr 0077 @HandleFinally 0086 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 1C E8 ?? ?? ?? ?? 33 C0 89 43 40 8D 43 44 8B D6 E8 ?? ?? ?? ?? C6 43 48 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_32153_0 {
	meta:
		name = "TIdAttachmentFile.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0015 DeleteFile 0020 TIdMessagePart.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 48 00 74 08 8B 46 44 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32154_0 {
	meta:
		name = "TIdAttachmentFile.FinishTempStream"
		size = 168
		refs = "0012 TIdAttachmentFile.FinishTempStream 0028 TObject.Free 0032 FileExists 0044 TIdMessagePart.GetOwnerMessage 0069 RSTIdMessageErrorAttachmentBlocked 006e LoadResString 0078 _Dn_EIdMessageCannotLoad 007d Exception.CreateFmt 0082 @RaiseExcept 0097 @UStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 01 8B 43 44 E8 ?? ?? ?? ?? 34 01 88 43 49 80 7B 49 00 74 45 8B C3 E8 ?? ?? ?? ?? 85 C0 74 09 80 B8 CF 00 00 00 00 74 31 8B 43 44 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32155_0 {
	meta:
		name = "TIdAttachmentFile.OpenLoadStream"
		size = 29
		refs = "000a _Dn_TIdReadFileExclusiveStream 000f TIdReadFileExclusiveStream.Create"
	strings:
		$1 = { 53 56 8B D8 8B 4B 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 40 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32156_0 {
	meta:
		name = "TIdAttachmentFile.PrepareTempStream"
		size = 150
		refs = "000f TIdAttachmentFile.PrepareTempStream 001c TIdMessagePart.GetOwnerMessage 002d MakeTempFilename 0038 @UStrAsg 0059 _Dn_TIdFileCreateStream 005e TIdFileCreateStream.Create 0082 @UStrArrayClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 18 8D 55 FC 8B 46 38 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 44 E8 ?? ?? ?? ?? EB 15 8D 55 F8 33 C0 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 44 E8 ?? ?? ?? ?? 8B 4B 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 C6 43 48 01 8B 5B 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32157_0 {
	meta:
		name = "TIdAttachmentFile.SaveToFile"
		size = 106
		refs = "000f TIdAttachmentFile.SaveToFile 001f CopyFileTo 002b RSTIdMessageErrorSavingAttachment 0030 LoadResString 003a _Dn_EIdException 003f EIdException.Create 0044 @RaiseExcept 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 43 44 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32160_0 {
	meta:
		name = "TIdAttachmentMemory.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TIdMessagePart.Create 001e _Dn_TMemoryStream 0023 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_34125_0 {
	meta:
		name = "TIdDOSBaseFTPListItem.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TIdFTPListItem.Create 001e _DV_TIdDOSAttributes 0023 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32161_0 {
	meta:
		name = "TIdAttachmentMemory.Create"
		size = 107
		refs = "000f @ClassCreate 0020 TIdMessagePart.Create 0027 _Dn_TMemoryStream 002c TObject.Create 0046 TStream.CopyFrom 0053 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 40 85 F6 74 11 8B C6 8B 10 FF 12 52 50 8B C7 8B D6 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_32162_0 {
	meta:
		name = "TIdAttachmentMemory.Create"
		size = 84
		refs = "000d @ClassCreate 001a TIdMessagePart.Create 0021 _Dn_TMemoryStream 0026 TObject.Create 0033 TIdAttachmentMemory.SetDataString 003e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 8B 55 08 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_32164_0 {
	meta:
		name = "TIdAttachmentMemory.CloseLoadStream"
		size = 15
		refs = "000a TStream.SetPosition"
	strings:
		$1 = { FF 70 4C FF 70 48 8B 40 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32165_0 {
	meta:
		name = "TIdAttachmentMemory.GetDataString"
		size = 127
		refs = "0014 TStream.GetPosition 0022 TIdAttachmentMemory.GetDataString 0037 TStream.SetPosition 004f ReadStringFromStream 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 89 45 FC 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 56 8B 45 FC 8B 58 40 8B C3 8B 10 FF 12 8B D0 8B C3 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? FF 75 F4 FF 75 F0 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32166_0 {
	meta:
		name = "TIdAttachmentMemory.OpenLoadStream"
		size = 34
		refs = "0007 TStream.GetPosition 0019 TStream.SetPosition"
	strings:
		$1 = { 53 8B D8 8B 43 40 E8 ?? ?? ?? ?? 89 43 48 89 53 4C 6A 00 6A 00 8B 43 40 E8 ?? ?? ?? ?? 8B 43 40 5B C3 }
	condition:
		$1
}

rule function_32167_0 {
	meta:
		name = "TIdAttachmentMemory.SetDataStream"
		size = 39
		refs = "000e TStream.SetSize64 0020 TStream.CopyFrom"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 6A 00 8B 43 40 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 12 52 50 8B D6 8B 43 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32168_0 {
	meta:
		name = "TIdAttachmentMemory.SetDataString"
		size = 38
		refs = "000e TStream.SetSize64 001f WriteStringToStream"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 6A 00 8B 43 40 E8 ?? ?? ?? ?? 6A 01 6A 00 83 C9 FF 8B D6 8B 43 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32169_0 {
	meta:
		name = "TIdAttachmentMemory.FinishTempStream"
		size = 13
		refs = "0008 TStream.SetPosition"
	strings:
		$1 = { 6A 00 6A 00 8B 40 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32170_0 {
	meta:
		name = "TIdAttachmentMemory.PrepareTempStream"
		size = 20
		refs = "000b TStream.SetSize64"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 8B 43 40 E8 ?? ?? ?? ?? 8B 43 40 5B C3 }
	condition:
		$1
}

rule function_32175_0 {
	meta:
		name = "RegisterAuthenticationMethod"
		size = 83
		refs = "0009 AuthList 0013 _Dn_TStringList 0018 TStringList.Create"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B D6 A1 ?? ?? ?? ?? 8B 08 FF 51 54 85 C0 7D 10 8B CF 8B D6 A1 ?? ?? ?? ?? 8B 18 FF 53 3C EB 0E 8B CF 8B D0 A1 ?? ?? ?? ?? 8B 18 FF 53 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32176_0 {
	meta:
		name = "UnregisterAuthenticationMethod"
		size = 38
		refs = "0002 AuthList"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 1C 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 54 85 C0 7C 0C 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 48 C3 }
	condition:
		$1
}

rule function_32177_0 {
	meta:
		name = "FindAuthClass"
		size = 38
		refs = "0004 AuthList"
	strings:
		$1 = { 53 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 54 8B D8 83 FB FF 7E 0E 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 18 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_32178_0 {
	meta:
		name = "TIdAuthentication.Create"
		size = 92
		refs = "000a @ClassCreate 0017 TObject.Create 0020 _Dn_TIdHeaderList 0025 TIdHeaderList.Create 0049 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B1 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C B1 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 33 C0 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39140_0 {
	meta:
		name = "TInAuthentication.Create"
		size = 92
		refs = "000a @ClassCreate 0017 TObject.Create 0020 _Dn_TInHeaderList 0025 TInHeaderList.Create 0049 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B1 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C B1 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 33 C0 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32180_0 {
	meta:
		name = "TIdAuthentication.SetAuthParams"
		size = 9
		altNames = "TInAuthentication.SetAuthParams TLegendSymbol.SetEmboss TSessionItem.SetItems TTeeCustomShapeBrushPen.SetPen"
	strings:
		$1 = { 8B 40 0C 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_32181_0 {
	meta:
		name = "TIdAuthentication.ReadAuthInfo"
		size = 171
		refs = "001b @UStrAddRef 0023 TIdAuthentication.ReadAuthInfo 0059 TextStartsWith 007b @UStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F4 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 0C 8B 10 FF 52 14 8B F0 4E 85 F6 7C 38 46 33 DB 8D 4D F0 8B 45 F8 8B 40 0C 8B D3 8B 38 FF 57 0C 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 12 8B 4D F4 8B 45 F8 8B 40 0C 8B D3 8B 18 FF 53 0C EB 0C 43 4E 75 CB 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39143_0 {
	meta:
		name = "TInAuthentication.ReadAuthInfo"
		size = 171
		refs = "001b @UStrAddRef 0023 TInAuthentication.ReadAuthInfo 0059 TextStartsWith 007b @UStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F4 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 0C 8B 10 FF 52 14 8B F0 4E 85 F6 7C 38 46 33 DB 8D 4D F0 8B 45 F8 8B 40 0C 8B D3 8B 38 FF 57 0C 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 12 8B 4D F4 8B 45 F8 8B 40 0C 8B D3 8B 18 FF 53 0C EB 0C 43 4E 75 CB 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32183_0 {
	meta:
		name = "TIdAuthentication.Next"
		size = 12
		altNames = "TInAuthentication.Next"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_32184_0 {
	meta:
		name = "TIdAuthentication.Reset"
		size = 6
		altNames = "TInAuthentication.Reset"
	strings:
		$1 = { 33 D2 89 50 04 C3 }
	condition:
		$1
}

rule function_32186_0 {
	meta:
		name = "TIdAuthentication.GetPassword"
		size = 56
		refs = "0009 TIdAuthentication.GetPassword 0011 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_39148_0 {
	meta:
		name = "TInAuthentication.GetPassword"
		size = 56
		refs = "0009 TInAuthentication.GetPassword 0011 TInHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_32187_0 {
	meta:
		name = "TIdAuthentication.GetUserName"
		size = 56
		refs = "0009 TIdAuthentication.GetUserName 0011 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 73 00 65 00 72 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_39149_0 {
	meta:
		name = "TInAuthentication.GetUserName"
		size = 56
		refs = "0009 TInAuthentication.GetUserName 0011 TInHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 73 00 65 00 72 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_32188_0 {
	meta:
		name = "TIdAuthentication.SetPassword"
		size = 48
		refs = "0006 TIdAuthentication.SetPassword 000b TIdHeaderList.SetValue"
	strings:
		$1 = { 8B CA 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_39150_0 {
	meta:
		name = "TInAuthentication.SetPassword"
		size = 48
		refs = "0006 TInAuthentication.SetPassword 000b TInHeaderList.SetValue"
	strings:
		$1 = { 8B CA 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_32189_0 {
	meta:
		name = "TIdAuthentication.SetUserName"
		size = 48
		refs = "0006 TIdAuthentication.SetUserName 000b TIdHeaderList.SetValue"
	strings:
		$1 = { 8B CA 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 73 00 65 00 72 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_39151_0 {
	meta:
		name = "TInAuthentication.SetUserName"
		size = 48
		refs = "0006 TInAuthentication.SetUserName 000b TInHeaderList.SetValue"
	strings:
		$1 = { 8B CA 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 73 00 65 00 72 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_32191_0 {
	meta:
		name = "TIdBasicAuthentication.Authentication"
		size = 248
		refs = "0014 TIdBasicAuthentication.Authentication 0021 _Dn_TIdEncoderMIME 0026 TIdInitializerComponent.Create 0045 TIdAuthentication.GetUserName 0057 TIdAuthentication.GetPassword 0067 @UStrCatN 0074 TIdEncoder.Encode 0083 @UStrCat3 0098 TObject.Free 009e @HandleFinally 00ba @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? FF 75 EC 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F8 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 61 00 73 00 69 00 63 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_39153_0 {
	meta:
		name = "TIdBasicAuthentication.Authentication"
		size = 248
		refs = "0014 TIdBasicAuthentication.Authentication 0021 _Dn_TIdEncoderMIME 0026 TIdInitializerComponent.Create 0045 TInAuthentication.GetUserName 0057 TInAuthentication.GetPassword 0067 @UStrCatN 0074 TIdEncoder.Encode 0083 @UStrCat3 0098 TObject.Free 009e @HandleFinally 00ba @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? FF 75 EC 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F8 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 61 00 73 00 69 00 63 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_32192_0 {
	meta:
		name = "TIdBasicAuthentication.DoNext"
		size = 408
		refs = "0015 TIdBasicAuthentication.DoNext 002a TIdAuthentication.ReadAuthInfo 003f Fetch 006d ReplaceOnlyFirst 007f @UStrLen 0093 TIdHeaderList.GetValue 00cb @UStrCopy 00db TIdAuthentication.GetUserName 0110 @UStrClr 011d @UStrArrayClr 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 36 8B 5E 08 8D 45 F0 50 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 4B 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C3 8B 08 FF 51 38 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7F BE 8D 4D F8 BA ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 45 E8 89 45 E4 8B 5D E4 85 DB 74 05 83 EB 04 8B 1B 8D 46 10 50 8B CB 83 E9 02 BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 83 7E 04 00 75 28 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 04 B3 01 EB 06 33 DB EB 02 B3 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 61 00 73 00 69 00 63 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 72 00 65 00 61 00 6C 00 6D 00 00 00 }
	condition:
		$1
}

rule function_39154_0 {
	meta:
		name = "TIdBasicAuthentication.DoNext"
		size = 408
		refs = "0015 TIdBasicAuthentication.DoNext 002a TInAuthentication.ReadAuthInfo 003f Fetch 006d ReplaceOnlyFirst 007f @UStrLen 0093 TInHeaderList.GetValue 00cb @UStrCopy 00db TInAuthentication.GetUserName 0110 @UStrClr 011d @UStrArrayClr 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 36 8B 5E 08 8D 45 F0 50 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 4B 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C3 8B 08 FF 51 38 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7F BE 8D 4D F8 BA ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 45 E8 89 45 E4 8B 5D E4 85 DB 74 05 83 EB 04 8B 1B 8D 46 10 50 8B CB 83 E9 02 BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 83 7E 04 00 75 28 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 04 B3 01 EB 06 33 DB EB 02 B3 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 61 00 73 00 69 00 63 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 72 00 65 00 61 00 6C 00 6D 00 00 00 }
	condition:
		$1
}

rule function_32195_0 {
	meta:
		name = "IdAuthentication"
		size = 52
		refs = "0002 _DV_4 000b _DV_TIdBasicAuthentication 0010 IdAuthentication 0015 RegisterAuthenticationMethod"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 61 00 73 00 69 00 63 00 00 00 }
	condition:
		$1
}

rule function_39157_0 {
	meta:
		name = "InAuthentication"
		size = 52
		refs = "0002 _DV_4 000b _DV_TIdBasicAuthentication 0010 InAuthentication 0015 RegisterAuthenticationMethod"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 61 00 73 00 69 00 63 00 00 00 }
	condition:
		$1
}

rule function_32197_0 {
	meta:
		name = "TIdDigestAuthentication.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TIdAuthentication.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32198_0 {
	meta:
		name = "TIdDigestAuthentication.SetRequest"
		size = 33
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8D 43 2C 8B D6 E8 ?? ?? ?? ?? 8D 43 30 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32199_0 {
	meta:
		name = "Hash"
		size = 150
		refs = "0015 Hash 0022 _Dn_TIdHashMessageDigest5 0027 TIdHashMessageDigest4.Create 0048 TIdHash.HashStringAsHex 0052 LowerCase 0067 TObject.Free 006d @HandleFinally 0084 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_36914_0 {
	meta:
		name = "HashResultAsHex"
		size = 150
		refs = "0015 HashResultAsHex 0022 _Dn_TIdHashMessageDigest5 0027 TIdHashMessageDigest4.Create 0048 TIdHash.HashStringAsHex 0052 LowerCase 0067 TObject.Free 006d @HandleFinally 0084 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32200_0 {
	meta:
		name = "TIdDigestAuthentication.Authentication"
		size = 1268
		refs = "001a TIdDigestAuthentication.Authentication 0027 @UStrClr 0042 @UStrAsg 004c Now 005e CurrencyString 0063 DateTimeToStr 006e Hash 0078 TIdAuthentication.GetUserName 0092 TIdAuthentication.GetPassword 00a2 @UStrCatN 00af TextIsSame 0113 @UStrLAsg 016b IntToHex 02df @UStrArrayClr 02f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 43 04 83 E8 01 72 07 74 16 E9 8F 02 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7E 02 00 00 E8 ?? ?? ?? ?? DD 5D E0 9B FF 75 E4 FF 75 E0 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 DC 8B C3 E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8D 55 D8 8B C3 E8 ?? ?? ?? ?? FF 75 D8 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 2B 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? FF 73 20 68 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? FF 73 2C 68 ?? ?? ?? ?? FF 73 30 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 38 8B 08 FF 51 54 40 7E 32 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 D0 8B 43 34 E8 ?? ?? ?? ?? FF 75 D0 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 1D BA ?? ?? ?? ?? 8B 43 38 8B 08 FF 51 54 40 7E 0D 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D EC 00 74 35 8D 4D CC BA 08 00 00 00 8B 43 24 E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 FC E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? FF 73 20 68 ?? ?? ?? ?? FF 75 F0 8D 55 BC 8B 45 F8 E8 ?? ?? ?? ?? FF 75 BC 8D 45 C4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 C4 8D 55 C8 E8 ?? ?? ?? ?? 8B 55 C8 8D 45 F0 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 B8 8B C3 E8 ?? ?? ?? ?? FF 75 B8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 28 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 30 68 ?? ?? ?? ?? 8B C6 BA 0F 00 00 00 E8 ?? ?? ?? ?? 83 7D EC 00 74 45 FF 36 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D B4 BA 08 00 00 00 8B 43 24 E8 ?? ?? ?? ?? FF 75 B4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C6 BA 0A 00 00 00 E8 ?? ?? ?? ?? FF 36 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? 83 7B 18 00 74 1B FF 36 68 ?? ?? ?? ?? FF 73 18 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? FF 43 24 33 C0 89 43 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 69 00 67 00 65 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 44 00 35 00 2D 00 73 00 65 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 61 00 75 00 74 00 68 00 2D 00 69 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 61 00 75 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 44 00 69 00 67 00 65 00 73 00 74 00 20 00 75 00 73 00 65 00 72 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 2C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 72 00 65 00 61 00 6C 00 6D 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6E 00 6F 00 6E 00 63 00 65 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 61 00 6C 00 67 00 6F 00 72 00 69 00 74 00 68 00 6D 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 75 00 72 00 69 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 71 00 6F 00 70 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6E 00 63 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 6E 00 6F 00 6E 00 63 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 72 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 2C 00 20 00 6F 00 70 00 61 00 71 00 75 00 65 00 3D 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_32201_0 {
	meta:
		name = "Unquote"
		size = 100
		refs = "004b @UStrCopy"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 8B 06 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B D0 BB 02 00 00 00 3B D3 7C 19 8B 06 0F B7 44 58 FE 66 83 F8 22 74 0C 66 83 F8 5C 75 01 43 43 3B D3 7D E7 57 8B CB 83 E9 02 8B 06 BA 02 00 00 00 E8 ?? ?? ?? ?? 56 8D 53 01 8B 06 B9 FF FF FF 7F E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32202_0 {
	meta:
		name = "TIdDigestAuthentication.DoNext"
		size = 1276
		refs = "0017 TIdDigestAuthentication.DoNext 003f _Dn_TStringList 0044 TStringList.Create 0084 TIdAuthentication.ReadAuthInfo 0099 Fetch 00db Trim 00e6 TrimLeft 00f1 @UStrLAsg 00fe TextStartsWith 010d Unquote 015c @UStrCatN 0185 @UStrLen 019d TStrings.GetValue 01ab @UStrAsg 01c9 @UStrEqual 025f TextIsSame 02a1 TStrings.SetCommaText 02e1 PosInStrArray 02ec RSHTTPAuthInvalidHash 02f1 LoadResString 02fb _DV_EIdInvalidAlgorithm 0300 EIdException.Create 0305 @RaiseExcept 031f TObject.Free 0325 @HandleFinally 033c TIdAuthentication.GetUserName 0372 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0C 00 00 00 6A 00 6A 00 49 75 F9 53 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 45 EC 8B 40 04 83 E8 01 0F 83 2A 03 00 00 8B 45 EC 8B 40 1C 85 C0 75 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 89 42 1C EB 05 8B 10 FF 52 44 8B 45 EC 8B 40 38 85 C0 75 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 89 42 38 EB 05 8B 10 FF 52 44 8D 4D FC BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E9 C2 00 00 00 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8D 55 F8 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 22 8D 55 F4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 D8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 20 6A 01 8D 45 D4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 F4 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 E8 8B 08 FF 51 38 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 8F 2E FF FF FF 8D 4D C8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 EC 83 C0 10 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 20 8B 55 F0 E8 ?? ?? ?? ?? 74 18 8B 45 EC C7 40 24 01 00 00 00 8B 45 EC 83 C0 20 8B 55 F0 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? EB 23 6A 01 8D 45 C4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B 45 EC 8B 40 1C 8B 08 FF 51 38 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7F D1 8D 4D C0 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 EC 83 C0 18 E8 ?? ?? ?? ?? 8D 4D BC BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 88 42 14 8D 4D B8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 EC 83 C0 28 E8 ?? ?? ?? ?? 8D 4D B4 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 B4 8B 45 EC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 EC 83 78 28 00 75 12 8B 45 EC 83 C0 28 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 49 6A 00 B8 ?? ?? ?? ?? 89 45 AC B8 ?? ?? ?? ?? 89 45 B0 8D 55 AC 8B 45 EC 8B 40 28 B9 01 00 00 00 E8 ?? ?? ?? ?? 40 75 21 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 EC C7 40 04 01 00 00 00 8D 55 A4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 A4 89 45 A0 8B 45 A0 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 04 B3 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 BA 0D 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 8B C3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 69 00 67 00 65 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 72 00 65 00 61 00 6C 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6E 00 6F 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 6F 00 6D 00 61 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6F 00 70 00 61 00 71 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 61 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 61 00 6C 00 67 00 6F 00 72 00 69 00 74 00 68 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 71 00 6F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4D 00 44 00 35 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 44 00 35 00 2D 00 73 00 65 00 73 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_32204_0 {
	meta:
		name = "Finalization"
		size = 48
		refs = "0002 _DV_3 0009 Finalization 000e UnregisterAuthenticationMethod"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 69 00 67 00 65 00 73 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_32205_0 {
	meta:
		name = "IdAuthenticationDigest"
		size = 56
		refs = "0002 _DV_3 000b _DV_TIdDigestAuthentication 0010 IdAuthenticationDigest 0015 RegisterAuthenticationMethod"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 69 00 67 00 65 00 73 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_32210_0 {
	meta:
		name = "TIdAuthenticationManager.AddAuthentication"
		size = 103
		refs = "0010 TIdAuthenticationManager.AddAuthentication 001e TIdAuthenticationCollection.Add 002a TIdURI.GetURI 0035 TIdURI.SetURI 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 38 E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 46 0C E8 ?? ?? ?? ?? 8B 57 08 8B 46 10 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32212_0 {
	meta:
		name = "TIdAuthenticationManager.InitComponent"
		size = 29
		refs = "0006 TIdInitializerComponent.InitComponent 000f _DV_TIdAuthenticationCollection 0014 TIdAuthenticationCollection.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 5B C3 }
	condition:
		$1
}

rule function_43383_0 {
	meta:
		name = "TIWBaseHTMLComponent.InitControl"
		size = 29
		refs = "0006 TIWBaseComponent.InitControl 000f _DV_TIWBaseHTMLComponentImplementation 0014 TIWBaseComponentImplementation.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 5B C3 }
	condition:
		$1
}

rule function_32213_0 {
	meta:
		name = "TIdAuthenticationItem.Create"
		size = 85
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 0020 _Dn_TIdURI 0025 TIdURI.Create 002f _Dn_TStringList 0034 TStringList.Create 0042 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32215_0 {
	meta:
		name = "TIdAuthenticationItem.Assign"
		size = 120
		refs = "000f TIdAuthenticationItem.Assign 001d _DV_TIdAuthenticationItem 0022 @IsClass 0031 TIdURI.GetURI 003c TIdURI.SetURI 0052 TPersistent.Assign 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8D 55 FC 8B 47 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 46 0C E8 ?? ?? ?? ?? 8B 57 10 8B 46 10 8B 08 FF 51 08 EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 59 5D C3 }
	condition:
		$1
}

rule function_32216_0 {
	meta:
		name = "TIdAuthenticationItem.SetParams"
		size = 19
		altNames = "TIdDefinition.SetDefinition TIdVCardBusinessInfo.SetDivisions TIdVCardEmbeddedObject.SetEmbeddedData TIdVCardMailingLabelItem.SetMailingLabel"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 10 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_32217_0 {
	meta:
		name = "TIdAuthenticationItem.SetURI"
		size = 80
		refs = "000f TIdAuthenticationItem.SetURI 001f TIdURI.GetURI 002a TIdURI.SetURI 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32220_0 {
	meta:
		name = "TIdNTLMAuthentication.Create"
		size = 145
		refs = "000f @ClassCreate 001b TIdNTLMAuthentication.Create 002a TIdAuthentication.Create 002f LoadOpenSSLLibrary 003b RSOSSLCouldNotLoadSSLLibrary 0040 LoadResString 004a _Dn_EIdOSSLCouldNotLoadSSLLibrary 004f EIdException.Create 0054 @RaiseExcept 0069 @UStrClr 006f @HandleFinally 007c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32221_0 {
	meta:
		name = "TIdNTLMAuthentication.DoNext"
		size = 164
		refs = "0013 TIdNTLMAuthentication.DoNext 0037 TIdAuthentication.GetUserName 0090 @UStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 46 04 83 E8 01 72 0A 74 37 48 74 3F 48 74 47 EB 4E 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 04 B3 01 EB 02 33 DB C7 46 04 01 00 00 00 EB 1F C7 46 04 02 00 00 00 B3 01 EB 14 C7 46 04 03 00 00 00 B3 01 EB 09 8B C6 8B 10 FF 52 20 B3 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32222_0 {
	meta:
		name = "TIdNTLMAuthentication.Authentication"
		size = 564
		refs = "0027 TIdNTLMAuthentication.Authentication 0035 @UStrClr 0045 TArray<System.Byte> 004a @DynArraySetLength 0066 IndyComputerName 0074 @UStrAsg 0088 BuildType1Message 0098 @UStrCat3 00c0 TIdAuthentication.ReadAuthInfo 00e6 Fetch 0106 Abort 010d _Dn_TIdDecoderMIME 0112 TIdInitializerComponent.Create 0136 TIdDecoder.DecodeBytes 014b TObject.Free 0151 @HandleFinally 0163 BytesToRaw 0173 RawToBytes 017e TIdAuthentication.GetPassword 01a1 BuildType3Message 01d5 @UStrArrayClr 01e3 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 A8 33 C9 89 4D AC 89 4D A8 89 4D B0 89 4D B4 89 4D B8 89 4D BC 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 40 04 48 74 08 48 74 44 E9 5D 01 00 00 8D 45 BC E8 ?? ?? ?? ?? 8B 55 BC 8B 45 F8 83 C0 14 E8 ?? ?? ?? ?? 8D 4D B8 8B 45 F8 8B 50 14 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 8B 4D B8 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1E 01 00 00 8B 45 F8 8B 40 10 85 C0 74 05 83 E8 04 8B 00 85 C0 75 36 8D 4D B4 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 B4 8B 45 F8 83 C0 10 E8 ?? ?? ?? ?? 6A 01 8D 45 B0 50 8B 45 F8 83 C0 10 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 10 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0D 8B 45 F8 8B 10 FF 52 20 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 45 F8 8B 50 10 8B 45 F0 8B 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 C0 B9 30 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 4D FC 8D 45 D8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 55 A8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 A8 50 8B 45 FC 50 8D 45 AC 50 8B 45 F8 8B 48 1C 8B 45 F8 8B 50 14 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 8B 4D AC 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 C7 40 04 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4E 00 54 00 4C 00 4D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 54 00 4C 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_32225_0 {
	meta:
		name = "TIdNTLMAuthentication.SetUserName"
		size = 122
		refs = "0011 TIdNTLMAuthentication.SetUserName 0021 TIdAuthentication.GetUserName 002b @UStrEqual 0036 TIdAuthentication.SetUserName 004e GetDomain 0068 @UStrArrayClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 74 21 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4B 18 8D 53 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32226_0 {
	meta:
		name = "Finalization"
		size = 44
		refs = "0002 _DV_2 0009 Finalization 000e UnregisterAuthenticationMethod"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 54 00 4C 00 4D 00 00 00 00 00 }
	condition:
		$1
}

rule function_32227_0 {
	meta:
		name = "IdAuthenticationNTLM"
		size = 52
		refs = "0002 _DV_2 000b _DV_TIdNTLMAuthentication 0010 IdAuthenticationNTLM 0015 RegisterAuthenticationMethod"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 54 00 4C 00 4D 00 00 00 00 00 }
	condition:
		$1
}

rule function_32232_0 {
	meta:
		name = "ESSPIException.GetErrorMessageByNo"
		size = 1780
		refs = "0027 ESSPIException.GetErrorMessageByNo 025f RSHTTPSSPISuccess 0264 LoadResString 026d RSHTTPSSPINotEnoughMem 027b RSHTTPSSPIInvalidHandle 0289 RSHTTPSSPIFuncNotSupported 0297 RSHTTPSSPIUnknownTarget 02a5 RSHTTPSSPIInternalError 02b3 RSHTTPSSPISecPackageNotFound 02c1 RSHTTPSSPINotOwner 02cf RSHTTPSSPIPackageCannotBeInstalled 02dd RSHTTPSSPIInvalidToken 02eb RSHTTPSSPICannotPack 02f9 RSHTTPSSPIQOPNotSupported 0307 RSHTTPSSPINoImpersonation 0315 RSHTTPSSPILoginDenied 0323 RSHTTPSSPIUnknownCredentials 0331 RSHTTPSSPINoCredentials 033f RSHTTPSSPIMessageAltered 034d RSHTTPSSPIOutOfSequence 035b RSHTTPSSPINoAuthAuthority 0369 RSHTTPSSPIContinueNeeded 0377 RSHTTPSSPICompleteNeeded 0385 RSHTTPSSPICompleteContinueNeeded 0393 RSHTTPSSPILocalLogin 03a1 RSHTTPSSPIBadPackageID 03af RSHTTPSSPIContextExpired 03bd RSHTTPSSPIIncompleteMessage 03cb RSHTTPSSPIIncompleteCredentialNotInit 03d9 RSHTTPSSPIBufferTooSmall 03e7 RSHTTPSSPIIncompleteCredentialsInit 03f5 RSHTTPSSPIRengotiate 0403 RSHTTPSSPIWrongPrincipal 0411 RSHTTPSSPINoLSACode 041f RSHTTPSSPITimeScew 042d RSHTTPSSPIUntrustedRoot 043b RSHTTPSSPIIllegalMessage 0449 RSHTTPSSPICertUnknown 0457 RSHTTPSSPICertExpired 0465 RSHTTPSSPIEncryptionFailure 0473 RSHTTPSSPIDecryptionFailure 0481 RSHTTPSSPIAlgorithmMismatch 048f RSHTTPSSPISecurityQOSFailure 049d RSHTTPSSPISecCtxWasDelBeforeUpdated 04ab RSHTTPSSPIClientNoTGTReply 04b9 RSHTTPSSPILocalNoIPAddr 04c7 RSHTTPSSPIWrongCredHandle 04d5 RSHTTPSSPICryptoSysInvalid 04e3 RSHTTPSSPIMaxTicketRef 04f1 RSHTTPSSPIMustBeKDC 04ff RSHTTPSSPIStrongCryptoNotSupported 050d RSHTTPSSPIKDCReplyTooManyPrincipals 051b RSHTTPSSPINoPAData 0529 RSHTTPSSPIPKInitNameMismatch 0537 RSHTTPSSPISmartcardLogonReq 0545 RSHTTPSSPISysShutdownInProg 0553 RSHTTPSSPIKDCInvalidRequest 0561 RSHTTPSSPIKDCUnableToRefer 056f RSHTTPSSPIKDCETypeUnknown 057d RSHTTPSSPIUnsupPreauth 058b RSHTTPSSPIDeligationReq 0599 RSHTTPSSPIBadBindings 05a7 RSHTTPSSPIMultipleAccounts 05b5 RSHTTPSSPINoKerbKey 05c3 RSHTTPSSPICertWrongUsage 05d1 RSHTTPSSPIDowngradeDetected 05df RSHTTPSSPISmartcardCertRevoked 05ed RSHTTPSSPIIssuingCAUntrusted 05fb RSHTTPSSPIRevocationOffline 0609 RSHTTPSSPIPKInitClientFailure 0617 RSHTTPSSPISmartcardExpired 0625 RSHTTPSSPINoS4UProtSupport 0633 RSHTTPSSPICrossRealmDeligationFailure 0641 RSHTTPSSPIRevocationOfflineKDC 064f RSHTTPSSPICAUntrustedKDC 065d RSHTTPSSPIKDCCertExpired 066b RSHTTPSSPIKDCCertRevoked 0679 RSHTTPSSPISignatureNeeded 0687 RSHTTPSSPIInvalidParameter 0695 RSHTTPSSPIDeligationPolicy 06a3 RSHTTPSSPIPolicyNTLMOnly 06b1 RSHTTPSSPINoRenegotiation 06bf RSHTTPSSPINoContext 06cd RSHTTPSSPIPKU2UCertFailure 06db RSHTTPSSPIMutualAuthFailed 06e9 RSHTTPSSPIUnknwonError"
	strings:
		$1 = { 53 8B D9 81 FA 3B 03 09 80 0F 8F 08 01 00 00 0F 84 F5 04 00 00 81 C2 00 FD F6 7F 83 FA 3A 0F 87 C2 06 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 81 FA 57 03 09 80 0F 8F 88 00 00 00 0F 84 07 05 00 00 81 C2 C4 FC F6 7F 83 FA 1A 0F 87 AE 05 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 FA 00 7F 4C 0F 84 A6 00 00 00 81 C2 A8 FC F6 7F 83 FA 0B 0F 87 21 05 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 81 FA 20 03 09 00 7F 2C 0F 84 DA 01 00 00 81 EA 12 03 09 00 0F 84 50 01 00 00 4A 0F 84 57 01 00 00 4A 0F 84 5E 01 00 00 4A 0F 84 65 01 00 00 E9 B6 04 00 00 81 EA 21 03 09 00 0F 84 B6 01 00 00 83 EA 02 0F 84 C9 01 00 00 83 EA 39 0F 84 28 04 00 00 83 EA 04 0F 84 57 04 00 00 E9 8A 04 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_32233_0 {
	meta:
		name = "ESSPIException.CreateError"
		size = 212
		refs = "0019 @ClassCreate 002b ESSPIException.CreateError 0040 Exception.Create 0063 ESSPIException.GetErrorMessageByNo 007b RSHTTPSSPIErrorMsg 0080 LoadResString 008c Exception.CreateFmt 00a6 @UStrArrayClr 00ac @HandleFinally 00bb @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D8 89 5D D4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 0D 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? EB 4A 89 7D DC C6 45 E0 11 89 75 E4 C6 45 E8 00 89 75 EC C6 45 F0 00 8D 4D D8 8B 03 8B D6 E8 ?? ?? ?? ?? 8B 45 D8 89 45 F4 C6 45 F8 11 8D 45 DC 50 6A 03 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_32234_0 {
	meta:
		name = "TSSPIInterface.ReleaseFunctionTable"
		size = 12
	strings:
		$1 = { 83 78 08 00 74 05 33 D2 89 50 08 C3 }
	condition:
		$1
}

rule function_32235_0 {
	meta:
		name = "TSSPIInterface.CheckAvailable"
		size = 99
		refs = "000c TSSPIInterface.CheckAvailable 0019 TSSPIInterface.IsAvailable 0025 RSHTTPSSPIInterfaceInitFailed 002a LoadResString 0034 _DV_ESSPIInterfaceInitFailed 0039 Exception.Create 003e @RaiseExcept 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_32236_0 {
	meta:
		name = "TSSPIInterface.GetFunctionTable"
		size = 32
		refs = "000a TSSPIInterface.CheckAvailable"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B FE 8B F0 B9 1B 00 00 00 F3 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32237_0 {
	meta:
		name = "TSSPIInterface.RaiseIfError"
		size = 33
		refs = "0010 _DV_ESSPIException 0015 ESSPIException.CreateError 001a @RaiseExcept"
	strings:
		$1 = { 53 56 8B F1 8B DA 85 DB 7D 14 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32238_0 {
	meta:
		name = "LoadDLL"
		size = 496
		refs = "000b LoadDLL 0020 Win32Platform 0032 @UStrLAsg 004e SafeLoadLibrary 006c GetProcAddress 0123 @UStrClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC C6 40 05 00 A1 ?? ?? ?? ?? 83 38 01 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 00 80 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 89 58 0C 85 DB 0F 86 AD 00 00 00 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B D8 FF D3 8B F0 8B 45 08 8B 40 FC 89 70 08 8B DE 83 7B 44 00 74 42 83 7B 40 00 74 3C 83 7B 24 00 74 36 83 7B 10 00 74 30 83 7B 0C 00 74 2A 83 7B 18 00 74 24 83 7B 1C 00 74 1E 83 7B 30 00 74 18 83 7B 34 00 74 12 83 7B 2C 00 74 0C 83 7B 38 00 74 06 83 7B 3C 00 75 04 33 C0 EB 02 B0 01 8B 55 08 8B 52 FC 88 42 05 83 7B 64 00 75 17 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 0C 50 E8 ?? ?? ?? ?? 89 43 64 83 7B 68 00 75 17 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 0C 50 E8 ?? ?? ?? ?? 89 43 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 73 00 65 00 63 00 75 00 72 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 73 00 65 00 63 00 75 00 72 00 69 00 74 00 79 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 49 00 6E 00 69 00 74 00 53 00 65 00 63 00 75 00 72 00 69 00 74 00 79 00 49 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 57 00 00 00 00 00 45 00 6E 00 63 00 72 00 79 00 70 00 74 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 00 00 44 00 65 00 63 00 72 00 79 00 70 00 74 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_32239_0 {
	meta:
		name = "TSSPIInterface.IsAvailable"
		size = 57
		refs = "001d TSSPIInterface.ReleaseFunctionTable 0023 LoadDLL"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 80 78 05 00 75 1F 8B 45 FC 80 78 04 00 74 16 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC C6 40 04 00 8B 45 FC 0F B6 40 05 59 5D C3 }
	condition:
		$1
}

rule function_32240_0 {
	meta:
		name = "TSSPIInterface.Create"
		size = 66
		refs = "000a @ClassCreate 0017 TObject.Create 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 04 01 C6 46 05 00 33 C0 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32241_0 {
	meta:
		name = "TSSPIInterface.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000e TSSPIInterface.ReleaseFunctionTable 0017 FreeLibrary 0022 TObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 0C 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32243_0 {
	meta:
		name = "TSSPIPackage.GetPSecPkgInfo"
		size = 97
		refs = "000a TSSPIPackage.GetPSecPkgInfo 001e RSHTTPSSPINoPkgInfoSpecified 0023 LoadResString 002d _DV_ESSPIException 0032 Exception.Create 0037 @RaiseExcept 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 78 04 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 58 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_32245_0 {
	meta:
		name = "TSSPIPackage.GetName"
		size = 26
		refs = "0009 TSSPIPackage.GetPSecPkgInfo 0013 @UStrFromPWChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 0C 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32246_0 {
	meta:
		name = "TCustomSSPIPackage.Create"
		size = 184
		refs = "0011 @ClassCreate 0022 @UStrToPWChar 002b gSSPIInterface 0030 TSSPIInterface.GetFunctionTable 0043 TCustomSSPIPackage.Create 0048 TSSPIInterface.RaiseIfError 0054 TSSPIPackage.Create 005f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 08 50 8B C6 E8 ?? ?? ?? ?? 50 8D 55 94 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 FF D0 8B D0 A1 ?? ?? ?? ?? 8B 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4F 08 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 51 00 75 00 65 00 72 00 79 00 53 00 65 00 63 00 75 00 72 00 69 00 74 00 79 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 49 00 6E 00 66 00 6F 00 57 00 00 00 }
	condition:
		$1
}

rule function_32247_0 {
	meta:
		name = "TCustomSSPIPackage.Destroy"
		size = 140
		refs = "0006 @BeforeDestruction 001d gSSPIInterface 0022 TSSPIInterface.GetFunctionTable 0036 TCustomSSPIPackage.Destroy 003b TSSPIInterface.RaiseIfError 0046 TObject.Destroy 0051 @ClassDestroy"
	strings:
		$1 = { 53 56 83 C4 94 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 08 00 74 2B 8B 46 08 50 8D 54 24 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 44 FF D0 8B D0 A1 ?? ?? ?? ?? 8B 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 83 C4 6C 5E 5B C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 46 00 72 00 65 00 65 00 43 00 6F 00 6E 00 74 00 65 00 78 00 74 00 42 00 75 00 66 00 66 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_32248_0 {
	meta:
		name = "TSSPINTLMPackage.Create"
		size = 84
		refs = "000a @ClassCreate 0013 TSSPINTLMPackage.Create 001c TCustomSSPIPackage.Create 0027 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 54 00 4C 00 4D 00 00 00 00 00 }
	condition:
		$1
}

rule function_32249_0 {
	meta:
		name = "TSSPICredentials.Create"
		size = 68
		refs = "000b @ClassCreate 001a TObject.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 C6 47 10 01 C6 47 11 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32250_0 {
	meta:
		name = "TSSPICredentials.CheckAcquired"
		size = 90
		refs = "0009 TSSPICredentials.CheckAcquired 001d RSHTTPSSPINoCredentialHandle 0022 LoadResString 002c _DV_ESSPIException 0031 Exception.Create 0036 @RaiseExcept 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 78 11 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_32251_0 {
	meta:
		name = "TSSPICredentials.CheckNotAcquired"
		size = 90
		refs = "0009 TSSPICredentials.CheckNotAcquired 001d RSHTTPSSPICanNotChangeCredentials 0022 LoadResString 002c _DV_ESSPIException 0031 Exception.Create 0036 @RaiseExcept 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 78 11 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_32252_0 {
	meta:
		name = "TSSPICredentials.DoAcquire"
		size = 308
		refs = "001c TSSPICredentials.DoAcquire 0029 TSSPICredentials.Release 0056 RSHTTPSSPIUnknwonCredentialUse 005b LoadResString 0065 _DV_ESSPIException 006a Exception.Create 006f @RaiseExcept 008f TSSPIPackage.GetName 0097 @UStrToPWChar 00a1 gSSPIInterface 00a6 TSSPIInterface.GetFunctionTable 00be TSSPIInterface.RaiseIfError 00dc @UStrArrayClr 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 88 53 56 57 33 DB 89 5D F4 89 5D F8 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 0F B6 43 10 2C 01 72 08 74 0D FE C8 74 10 EB 15 BE 01 00 00 00 EB 2F BE 02 00 00 00 EB 28 BE 03 00 00 00 EB 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 18 50 8D 43 08 50 6A 00 6A 00 8B 45 08 50 8B 45 FC 50 56 8D 55 F4 8B 43 04 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 57 8D 55 88 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 94 FF D0 8B D0 A1 ?? ?? ?? ?? 8B 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 11 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 41 00 63 00 71 00 75 00 69 00 72 00 65 00 43 00 72 00 65 00 64 00 65 00 6E 00 74 00 69 00 61 00 6C 00 73 00 48 00 61 00 6E 00 64 00 6C 00 65 00 57 00 00 00 }
	condition:
		$1
}

rule function_32253_0 {
	meta:
		name = "TSSPICredentials.DoRelease"
		size = 128
		refs = "000f gSSPIInterface 0014 TSSPIInterface.GetFunctionTable 0028 TSSPICredentials.DoRelease 002d TSSPIInterface.RaiseIfError"
	strings:
		$1 = { 53 83 C4 94 8B D8 8D 43 08 50 8D 54 24 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 14 FF D0 8B D0 A1 ?? ?? ?? ?? 8B 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 08 C7 00 FF FF FF FF C7 40 04 FF FF FF FF 83 C4 6C 5B C3 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 46 00 72 00 65 00 65 00 43 00 72 00 65 00 64 00 65 00 6E 00 74 00 69 00 61 00 6C 00 73 00 48 00 61 00 6E 00 64 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_32254_0 {
	meta:
		name = "TSSPICredentials.Release"
		size = 21
	strings:
		$1 = { 53 8B D8 80 7B 11 00 74 0A 8B C3 8B 10 FF 12 C6 43 11 00 5B C3 }
	condition:
		$1
}

rule function_32255_0 {
	meta:
		name = "TSSPICredentials.GetHandle"
		size = 15
		refs = "0006 TSSPICredentials.CheckAcquired"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 08 5B C3 }
	condition:
		$1
}

rule function_32269_0 {
	meta:
		name = "TSSPIContext.GetHandle"
		size = 15
		refs = "0006 TSSPIContext.CheckHasHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 08 5B C3 }
	condition:
		$1
}

rule function_32256_0 {
	meta:
		name = "TSSPICredentials.SetUse"
		size = 24
		refs = "000e TSSPICredentials.CheckNotAcquired"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 10 74 0A 8B C6 E8 ?? ?? ?? ?? 88 5E 10 5E 5B C3 }
	condition:
		$1
}

rule function_32258_0 {
	meta:
		name = "TSSPIWinNTCredentials.Acquire"
		size = 12
		refs = "0007 TSSPIWinNTCredentials.Acquire"
	strings:
		$1 = { 6A 00 6A 00 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95041_0 {
	meta:
		name = "LoadChartFromStream"
		size = 12
		refs = "0007 LoadChartFromStreamCheck"
	strings:
		$1 = { 6A 00 6A 00 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32259_0 {
	meta:
		name = "TSSPIWinNTCredentials.Acquire"
		size = 178
		refs = "001a TSSPICredentials.SetUse 0048 @UStrToPWChar 00a5 TSSPICredentials.DoAcquire"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 0C 0F B6 55 FF 8B C3 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B C7 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C0 EB 02 33 C0 84 C0 74 56 8B C7 E8 ?? ?? ?? ?? 89 45 E0 8B C7 85 C0 74 05 83 E8 04 8B 00 89 45 E4 8B C6 E8 ?? ?? ?? ?? 89 45 E8 8B C6 85 C0 74 05 83 E8 04 8B 00 89 45 EC 8B 45 08 E8 ?? ?? ?? ?? 89 45 F0 8B 45 08 85 C0 74 05 83 E8 04 8B 00 89 45 F4 C7 45 F8 02 00 00 00 8D 45 E0 EB 02 33 C0 50 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_32260_0 {
	meta:
		name = "TSSPIContext.Create"
		size = 64
		refs = "000b @ClassCreate 001a TObject.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 C6 47 10 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32262_0 {
	meta:
		name = "TSSPIContext.UpdateHasContextAndCheckForError"
		size = 99
		refs = "0048 _DV_ESSPIException 004d ESSPIException.CreateError 0052 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 0F 9D C0 34 01 84 C0 74 1C 8B 4D 08 85 C9 7C 15 41 8B 55 0C 8B 5D FC 3B 1A 75 04 33 C0 EB 06 83 C2 04 49 75 EF 84 C0 74 18 8B 45 F8 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 10 01 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_32263_0 {
	meta:
		name = "TSSPIContext.DoInitialize"
		size = 212
		refs = "0042 @UStrToPWChar 004c TSSPICredentials.GetHandle 0055 gSSPIInterface 005a TSSPIInterface.GetFunctionTable 006e TSSPIContext.DoInitialize 0077 TSSPIContext.UpdateHasContextAndCheckForError"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 56 57 89 55 FC 8B D8 80 7B 10 00 74 07 8D 73 08 8B F9 EB 04 33 F6 33 FF 8D 43 18 50 8D 45 F8 50 8B 45 10 50 8D 43 08 50 6A 00 57 6A 10 6A 00 8B C3 8B 10 FF 52 04 50 8B 45 FC E8 ?? ?? ?? ?? 50 56 8B 43 04 E8 ?? ?? ?? ?? 50 8D 55 8C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A4 FF D0 8B F0 8B 45 0C 50 8B 45 08 50 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 08 8B C6 5F 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 49 00 6E 00 69 00 74 00 69 00 61 00 6C 00 69 00 7A 00 65 00 53 00 65 00 63 00 75 00 72 00 69 00 74 00 79 00 43 00 6F 00 6E 00 74 00 65 00 78 00 74 00 57 00 00 00 00 00 }
	condition:
		$1
}

rule function_32264_0 {
	meta:
		name = "TSSPIContext.DoRelease"
		size = 112
		refs = "000f gSSPIInterface 0014 TSSPIInterface.GetFunctionTable 0028 TSSPIContext.DoRelease 002d TSSPIInterface.RaiseIfError"
	strings:
		$1 = { 53 83 C4 94 8B D8 8D 43 08 50 8D 54 24 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 28 FF D0 8B D0 A1 ?? ?? ?? ?? 8B 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 6C 5B C3 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 65 00 6C 00 65 00 74 00 65 00 53 00 65 00 63 00 75 00 72 00 69 00 74 00 79 00 43 00 6F 00 6E 00 74 00 65 00 78 00 74 00 00 00 }
	condition:
		$1
}

rule function_32265_0 {
	meta:
		name = "TSSPIContext.Release"
		size = 21
	strings:
		$1 = { 53 8B D8 80 7B 10 00 74 0A 8B C3 8B 10 FF 12 C6 43 10 00 5B C3 }
	condition:
		$1
}

rule function_32266_0 {
	meta:
		name = "TSSPIContext.CheckHasHandle"
		size = 90
		refs = "0009 TSSPIContext.CheckHasHandle 001d RSHTTPSSPINoCredentialHandle 0022 LoadResString 002c _DV_ESSPIException 0031 Exception.Create 0036 @RaiseExcept 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 78 10 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_32267_0 {
	meta:
		name = "TSSPIContext.CheckCredentials"
		size = 97
		refs = "0009 TSSPIContext.CheckCredentials 0024 RSHTTPSSPIDoAuquireCredentialHandle 0029 LoadResString 0033 _DV_ESSPIException 0038 Exception.Create 003d @RaiseExcept 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 50 04 85 D2 74 06 80 7A 11 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_32268_0 {
	meta:
		name = "TSSPIContext.GetExpiry"
		size = 27
		refs = "0009 TSSPIContext.CheckHasHandle"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 18 89 06 8B 43 1C 89 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_32270_0 {
	meta:
		name = "TCustomSSPIConnectionContext.DoRelease"
		size = 19
		refs = "0006 TSSPIContext.DoRelease"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 43 20 01 03 09 80 5B C3 }
	condition:
		$1
}

rule function_32271_0 {
	meta:
		name = "TCustomSSPIConnectionContext.GetAuthenticated"
		size = 19
		refs = "0006 TSSPIContext.CheckHasHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 20 00 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_32272_0 {
	meta:
		name = "TCustomSSPIConnectionContext.UpdateAndGenerateReply"
		size = 504
		refs = "0025 TCustomSSPIConnectionContext.UpdateAndGenerateReply 0036 TSSPIContext.CheckCredentials 003d @DynArrayLength 005b TSSPIPackage.GetMaxToken 0067 AllocMem 00b5 gSSPIInterface 00ba TSSPIInterface.GetFunctionTable 00cb RSHTTPSSPICompleteTokenNotSupported 00d0 LoadResString 00dd _DV_ESSPIException 00e2 Exception.Create 00e7 @RaiseExcept 00f2 TSSPIContext.GetHandle 011d TSSPIInterface.RaiseIfError 0154 RawToBytes 0163 TArray<System.Byte> 0168 @DynArrayAsg 017d @FreeMem 0183 @HandleFinally 01a3 @DynArrayClear 01ae @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 53 56 57 33 DB 89 9D 78 FF FF FF 89 9D 7C FF FF FF 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B C3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 89 73 3C 85 F6 76 03 89 7B 44 C7 45 F0 02 00 00 00 8B 43 04 8B 40 04 E8 ?? ?? ?? ?? 8B F0 89 75 EC 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 89 43 24 C7 43 28 01 00 00 00 8D 45 EC 89 43 2C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 EC 50 6A FF 8D 4B 24 8D 53 30 8B C3 8B 30 FF 56 10 8B F0 89 73 20 81 C6 ED FC F6 FF 83 EE 02 73 70 8D 55 80 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D A0 00 75 27 8D 95 7C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 7C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 24 50 8B C3 E8 ?? ?? ?? ?? 50 8D 55 80 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 FF D0 8B F0 89 73 20 8B D6 A1 ?? ?? ?? ?? 8B 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 20 3D 12 03 09 00 74 11 3D 14 03 09 00 74 0A 83 7D EC 00 77 04 33 C0 EB 02 B0 01 88 45 FB 80 7D FB 00 74 25 8D 8D 78 FF FF FF 8B 45 F4 8B 55 EC E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 41 00 75 00 74 00 68 00 54 00 6F 00 6B 00 65 00 6E 00 00 00 }
	condition:
		$1
}

rule function_32273_0 {
	meta:
		name = "TCustomSSPIConnectionContext.Create"
		size = 104
		refs = "000d @ClassCreate 001b TSSPIContext.Create 0054 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 3C C7 40 04 02 00 00 00 8D 43 30 33 D2 89 10 C7 40 04 01 00 00 00 8D 53 3C 89 50 08 8D 43 24 33 D2 89 10 C7 40 04 01 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_32274_0 {
	meta:
		name = "TSSPIClientConnectionContext.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TCustomSSPIConnectionContext.Create 001f @UStrClr 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 48 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32275_0 {
	meta:
		name = "TBoundLabel.GetTop"
		size = 4
		altNames = "TDdeSrvrConv.get_FConv TIWHTMLControlImplementation.GetScriptEvents TOPToSoapDomConvert.GetAttachments TSSPIClientConnectionContext.GetRequestedFlags TTeeFunction.GetParentComponent"
	strings:
		$1 = { 8B 40 4C C3 }
	condition:
		$1
}

rule function_32277_0 {
	meta:
		name = "TSSPIClientConnectionContext.DoUpdateAndGenerateReply"
		size = 21
		refs = "000d TSSPIContext.DoInitialize"
	strings:
		$1 = { 55 8B EC 51 55 6A FF 8B CA 8B 50 48 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_32278_0 {
	meta:
		name = "TSSPIClientConnectionContext.GenerateInitialChallenge"
		size = 41
		refs = "000c TSSPIContext.Release 0016 @UStrAsg 0021 TCustomSSPIConnectionContext.UpdateAndGenerateReply"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 48 8B D6 E8 ?? ?? ?? ?? 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32279_0 {
	meta:
		name = "TIndySSPINTLMClient.Create"
		size = 117
		refs = "000f @ClassCreate 001d TObject.Create 0024 _DV_TSSPINTLMPackage 0029 TSSPINTLMPackage.Create 0037 _DV_TSSPIWinNTCredentials 003c TSSPICredentials.Create 004a _DV_TSSPIClientConnectionContext 004f TSSPIClientConnectionContext.Create 005f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 04 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 08 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32280_0 {
	meta:
		name = "TIndySSPINTLMClient.Destroy"
		size = 84
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0042 TObject.Destroy 004d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32281_0 {
	meta:
		name = "TIndySSPINTLMClient.SetCredentials"
		size = 24
		refs = "0010 TSSPIWinNTCredentials.Acquire"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 51 8B 40 08 B1 01 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_32282_0 {
	meta:
		name = "TIndySSPINTLMClient.SetCredentialsAsCurrentUser"
		size = 11
		refs = "0006 TSSPIWinNTCredentials.Acquire"
	strings:
		$1 = { B2 01 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32283_0 {
	meta:
		name = "TIndySSPINTLMClient.InitAndBuildType1Message"
		size = 13
		refs = "0008 TSSPIClientConnectionContext.GenerateInitialChallenge"
	strings:
		$1 = { 8B CA 8B 40 0C 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32285_0 {
	meta:
		name = "TIdSSPINTLMAuthentication.Create"
		size = 136
		refs = "000f @ClassCreate 001b TIdSSPINTLMAuthentication.Create 002a TIdAuthentication.Create 0031 _DV_TIndySSPINTLMClient 0036 TIndySSPINTLMClient.Create 0041 IndyComputerName 004b TIdSSPINTLMAuthentication.SetDomain 0060 @UStrClr 0066 @HandleFinally 0073 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32286_0 {
	meta:
		name = "TIdSSPINTLMAuthentication.DoNext"
		size = 185
		refs = "000f TIdSSPINTLMAuthentication.DoNext 005b TIdAuthentication.GetUserName 0081 IndyComputerName 008b TIdSSPINTLMAuthentication.SetDomain 00a5 @UStrArrayClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 46 04 83 E8 01 72 0C 74 15 83 E8 02 74 1B 48 74 23 EB 60 B3 01 C7 46 04 01 00 00 00 EB 55 C7 46 04 02 00 00 00 B3 01 EB 4A C7 46 04 04 00 00 00 B3 01 EB 3F 33 C0 89 46 04 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 75 04 33 DB EB 26 B3 02 33 D2 8B C6 8B 08 FF 51 18 33 D2 8B C6 8B 08 FF 51 14 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32287_0 {
	meta:
		name = "TIdSSPINTLMAuthentication.Authentication"
		size = 564
		refs = "0019 TIdSSPINTLMAuthentication.Authentication 0026 @UStrClr 002f TArray<System.Byte> 0034 @DynArrayClear 0057 TIdAuthentication.GetUserName 0075 TIndySSPINTLMClient.SetCredentialsAsCurrentUser 0081 TIdAuthentication.GetPassword 009d TIdSSPINTLMAuthentication.GetDomain 00a9 TIndySSPINTLMClient.SetCredentials 00b4 TIndySSPINTLMClient.InitAndBuildType1Message 00bf _Dn_TIdEncoderMIME 00c4 TIdEncoder.EncodeBytes 00d3 @UStrCat3 00ff TIdAuthentication.ReadAuthInfo 010a @UStrAsg 011f Fetch 013b Abort 0146 _Dn_TIdDecoderMIME 014b TIdDecoder.DecodeBytes 0159 TIndySSPINTLMClient.UpdateAndBuildType3Message 01b0 @UStrArrayClr 01e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 48 74 13 48 0F 84 9F 00 00 00 48 0F 84 39 01 00 00 E9 3B 01 00 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0A 8B 43 14 E8 ?? ?? ?? ?? EB 32 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B 43 14 59 E8 ?? ?? ?? ?? 8D 55 E0 8B 43 14 E8 ?? ?? ?? ?? 8B 55 E0 8D 4D E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 10 E8 ?? ?? ?? ?? E9 A8 00 00 00 8B 43 10 85 C0 74 05 83 E8 04 8B 00 85 C0 75 2F 8D 4D DC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8D 43 10 E8 ?? ?? ?? ?? 6A 01 8D 45 D8 50 8D 43 10 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 10 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0C 8B C3 8B 10 FF 52 20 E8 ?? ?? ?? ?? 8D 4D FC 8B 53 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D D0 8B 55 FC 8B 43 14 E8 ?? ?? ?? ?? 8B 55 D0 8D 4D D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 43 04 03 00 00 00 EB 07 C7 43 04 04 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AC 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4E 00 54 00 4C 00 4D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 54 00 4C 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_32288_0 {
	meta:
		name = "TIdSSPINTLMAuthentication.KeepAlive"
		size = 8
	strings:
		$1 = { 83 78 04 01 0F 9D C0 C3 }
	condition:
		$1
}

rule function_32290_0 {
	meta:
		name = "TIdSSPINTLMAuthentication.SetDomain"
		size = 44
		refs = "0006 TIdSSPINTLMAuthentication.SetDomain 000b TIdHeaderList.SetValue"
	strings:
		$1 = { 8B CA 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_32291_0 {
	meta:
		name = "TIdSSPINTLMAuthentication.GetDomain"
		size = 52
		refs = "0009 TIdSSPINTLMAuthentication.GetDomain 0011 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_32292_0 {
	meta:
		name = "TIdSSPINTLMAuthentication.SetUserName"
		size = 220
		refs = "0013 TIdSSPINTLMAuthentication.SetUserName 0023 @UStrLAsg 0029 IndyPos 005f @UStrCopy 0069 TIdSSPINTLMAuthentication.SetDomain 0073 TIdSSPINTLMAuthentication.GetDomain 0095 @UStrDelete 009f TIdAuthentication.SetUserName 00b9 @UStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 85 C0 7E 5C 8D 45 F8 50 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 8B C8 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 8D 48 01 8D 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_32294_0 {
	meta:
		name = "Finalization"
		size = 112
		refs = "0002 _DV_41 000a gAuthRegistered 0012 Finalization 0017 UnregisterAuthenticationMethod 0026 gSSPIInterface 0033 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 2F 80 3D ?? ?? ?? ?? 00 74 14 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 54 00 4C 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4E 00 65 00 67 00 6F 00 74 00 69 00 61 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_32295_0 {
	meta:
		name = "IdAuthenticationSSPI"
		size = 136
		refs = "0002 _DV_41 000c _DV_TSSPIInterface 0011 TSSPIInterface.Create 0016 gSSPIInterface 0020 TSSPIInterface.IsAvailable 002a _DV_TIdSSPINTLMAuthentication 002f IdAuthenticationSSPI 0034 RegisterAuthenticationMethod 004a gAuthRegistered"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 46 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 C3 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 54 00 4C 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4E 00 65 00 67 00 6F 00 74 00 69 00 61 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_32296_0 {
	meta:
		name = "TIdInitializerComponent.Create"
		size = 62
		refs = "000a @ClassCreate 0019 TComponent.Create 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 40 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32297_0 {
	meta:
		name = "TIdInitializerComponent.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TComponent.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 40 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32302_0 {
	meta:
		name = "TIdBaseComponent.GetIndyVersion"
		size = 52
		refs = "0006 TIdBaseComponent.GetIndyVersion 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 31 00 30 00 2E 00 35 00 2E 00 38 00 2E 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_39164_0 {
	meta:
		name = "TInBaseComponent.GetIndyVersion"
		size = 52
		refs = "0006 TInBaseComponent.GetIndyVersion 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 31 00 30 00 2E 00 35 00 2E 00 38 00 2E 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_32305_0 {
	meta:
		name = "TCustomScreenTipsManager.DoGetScreenTipClass"
		size = 22
		altNames = "TIdBlockCipherIntercept.Encrypt"
	strings:
		$1 = { 53 66 83 78 62 00 74 0C 8B CA 8B D8 8B D0 8B 43 64 FF 53 60 5B C3 }
	condition:
		$1
}

rule function_32306_0 {
	meta:
		name = "TIdBlockCipherIntercept.Decrypt"
		size = 22
	strings:
		$1 = { 53 66 83 78 5A 00 74 0C 8B CA 8B D8 8B D0 8B 43 5C FF 53 58 5B C3 }
	condition:
		$1
}

rule function_32307_0 {
	meta:
		name = "TIdBlockCipherIntercept.Send"
		size = 386
		refs = "001a TIdBlockCipherIntercept.Send 0029 TArray<System.Byte> 002e @DynArrayClear 0038 @DynArrayLength 0058 @DynArrayAsg 007d @DynArraySetLength 00c9 CopyTIdBytes 014f TIdConnectionIntercept.Send 016f @FinalizeArray 0175 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D FC 89 4D F8 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 00 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 0F 8E 00 01 00 00 8D 45 FC 8B 55 F4 8B 12 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7E 68 8B DF 4B 8B 45 F0 03 C3 48 99 F7 FB F7 EF 50 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 68 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F0 99 F7 FB 8B C8 8B 45 F0 99 F7 FB 89 55 EC 49 85 C9 7C 46 41 89 4D E8 33 FF 6A 00 53 8D 4D F8 8B D7 0F AF D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 88 1C 18 8D 55 F8 8B C6 8B 08 FF 51 58 8B D7 8B 46 68 0F AF D0 52 50 8B 4D F4 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 47 FF 4D E8 75 C0 83 7D EC 00 7E 49 6A 00 8B 45 EC 50 8D 4D F8 8B 55 F0 2B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 0F B6 45 EC 8B 55 F8 88 04 1A 8D 55 F8 8B C6 8B 08 FF 51 58 8B 45 F4 8B 00 E8 ?? ?? ?? ?? 8B 5E 68 2B C3 50 53 8B 4D F4 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32308_0 {
	meta:
		name = "TIdBlockCipherIntercept.Receive"
		size = 463
		refs = "001a TIdBlockCipherIntercept.Receive 002a TIdConnectionIntercept.Receive 003d AppendBytes 0045 @DynArrayLength 0066 TArray<System.Byte> 006b @DynArraySetLength 00ce CopyTIdBytes 0107 RSBlockIncorrectLength 010c LoadResString 0116 _Dn_EIdException 011b Exception.CreateFmt 0120 @RaiseExcept 01ae @UStrClr 01bc @DynArrayClear 01c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D D8 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 FF 6A FF 8B 55 F8 8B 12 8D 43 6C 33 C9 E8 ?? ?? ?? ?? 8B 43 6C E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 3B 43 68 0F 8C 2E 01 00 00 8B 45 F4 50 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 68 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 4B 68 8B F1 4E 8B 45 F4 99 F7 F9 89 45 EC 8B 45 F4 99 F7 F9 89 55 E8 8B 45 EC 48 85 C0 0F 8C 9F 00 00 00 40 89 45 E4 C7 45 F0 00 00 00 00 6A 00 8B 43 68 50 8D 4D FC 8B 55 F0 0F AF D0 8B 43 6C E8 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 51 54 8B 45 FC 0F B6 04 30 84 C0 74 08 0F B6 C0 3B 43 68 7C 35 8B 45 FC 0F B6 04 30 89 45 DC C6 45 E0 00 8D 45 DC 50 6A 00 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 57 8B 45 FC 0F B6 04 30 50 8B 4D F8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 0F B6 04 30 03 F8 FF 45 F0 FF 4D E4 0F 85 6C FF FF FF 83 7D E8 00 7E 17 6A 00 8B 45 E8 50 8D 4B 6C 8B 55 F4 2B 55 E8 8B 43 6C E8 ?? ?? ?? ?? 8B 45 E8 50 8D 43 6C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 57 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32309_0 {
	meta:
		name = "TIdBlockCipherIntercept.CopySettingsFrom"
		size = 61
	strings:
		$1 = { 8B 4A 68 89 48 68 8B 4A 44 89 48 44 8B 4A 48 89 48 48 8B 4A 4C 89 48 4C 8B 4A 50 89 48 50 8B 4A 54 89 48 54 8B 4A 58 89 48 58 8B 4A 5C 89 48 5C 8B 4A 60 89 48 60 8B 4A 64 89 48 64 C3 }
	condition:
		$1
}

rule function_32310_0 {
	meta:
		name = "TIdBlockCipherIntercept.SetBlockSize"
		size = 16
	strings:
		$1 = { 85 D2 7E 0B 81 FA 00 01 00 00 7F 03 89 50 68 C3 }
	condition:
		$1
}

rule function_32311_0 {
	meta:
		name = "TIdBlockCipherIntercept.InitComponent"
		size = 43
		refs = "0006 TIdConnectionIntercept.InitComponent 001d TArray<System.Byte> 0022 @DynArraySetLength"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 43 68 10 00 00 00 6A 00 8D 43 6C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5B C3 }
	condition:
		$1
}

rule function_32314_0 {
	meta:
		name = "TIdBuffer.CheckAdd"
		size = 93
		refs = "000a TIdBuffer.CheckAdd 0026 RSTooMuchDataInBuffer 002b LoadResString 0033 _DV_EIdTooMuchDataInBuffer 0038 EIdException.Toss 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 BB FF FF FF 7F 2B DA 03 48 20 3B D9 7D 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39167_0 {
	meta:
		name = "TInBuffer.CheckAdd"
		size = 93
		refs = "000a TInBuffer.CheckAdd 0026 RSTooMuchDataInBuffer 002b LoadResString 0033 _DV_EIdTooMuchDataInBuffer 0038 EInException.Toss 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 BB FF FF FF 7F 2B DA 03 48 20 3B D9 7D 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_32315_0 {
	meta:
		name = "TIdBuffer.CheckByteCount"
		size = 228
		refs = "0015 TIdBuffer.CheckByteCount 0038 RSNotEnoughDataInBuffer 003d LoadResString 004f IntToStr 0077 @UStrCatN 007f _DV_EIdNotEnoughDataInBuffer 0084 EIdException.Toss 009e @UStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3E FF 75 07 03 4B 20 89 0E EB 5D 8B 06 03 4B 20 3B C1 7E 54 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 8B 06 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B 43 20 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 FC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_39168_0 {
	meta:
		name = "TInBuffer.CheckByteCount"
		size = 228
		refs = "0015 TInBuffer.CheckByteCount 0038 RSNotEnoughDataInBuffer 003d LoadResString 004f IntToStr 0077 @UStrCatN 007f _DV_EIdNotEnoughDataInBuffer 0084 EInException.Toss 009e @UStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3E FF 75 07 03 4B 20 89 0E EB 5D 8B 06 03 4B 20 3B C1 7E 54 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 8B 06 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B 43 20 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 FC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_32316_0 {
	meta:
		name = "TIdBuffer.Clear"
		size = 45
		refs = "000f TArray<System.Byte> 0014 @DynArraySetLength 0024 @DynArrayLength"
		altNames = "TInBuffer.Clear"
	strings:
		$1 = { 53 8B D8 6A 00 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 43 10 8B 43 04 E8 ?? ?? ?? ?? 89 43 20 5B C3 }
	condition:
		$1
}

rule function_32318_0 {
	meta:
		name = "TIdBuffer.Create"
		size = 71
		refs = "000d @ClassCreate 001a TIdBuffer.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 18 8B 45 0C 89 46 1C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_66542_0 {
	meta:
		name = "TEventHandlerInstance.Create"
		size = 71
		refs = "000d @ClassCreate 001a TBaseMethodHandlerInstance.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 18 8B 45 0C 89 46 1C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_39171_0 {
	meta:
		name = "TInBuffer.Create"
		size = 71
		refs = "000d @ClassCreate 001a TInBuffer.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 18 8B 45 0C 89 46 1C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_32319_0 {
	meta:
		name = "TIdBuffer.Create"
		size = 148
		refs = "000f @ClassCreate 0022 TIdBuffer.Create 0031 TArray<System.Byte> 0036 @DynArrayAsg 003d @DynArrayLength 0056 @DynArraySetLength 006c CopyTIdBytes 007c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 33 D2 8B C3 E8 ?? ?? ?? ?? 85 F6 7D 1C 8D 43 04 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 43 20 EB 2D 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 F6 7E 12 6A 00 56 8D 4B 04 33 D2 8B C7 E8 ?? ?? ?? ?? 89 73 20 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_39172_0 {
	meta:
		name = "TInBuffer.Create"
		size = 148
		refs = "000f @ClassCreate 0022 TInBuffer.Create 0031 TArray<System.Byte> 0036 @DynArrayAsg 003d @DynArrayLength 0056 @DynArraySetLength 006c CopyTIdBytes 007c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 33 D2 8B C3 E8 ?? ?? ?? ?? 85 F6 7D 1C 8D 43 04 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 43 20 EB 2D 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 F6 7E 12 6A 00 56 8D 4B 04 33 D2 8B C7 E8 ?? ?? ?? ?? 89 73 20 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_32320_0 {
	meta:
		name = "TIdBuffer.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 000e TIdBuffer.Clear 0019 TObject.Destroy 001e _Dn_TIdStack 0023 TIdStack.DecUsage 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39173_0 {
	meta:
		name = "TInBuffer.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 000e TInBuffer.Clear 0019 TObject.Destroy 001e _Dn_TInStack 0023 TInStack.DecUsage 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32322_0 {
	meta:
		name = "TIdBuffer.ExtractToString"
		size = 153
		refs = "001c TIdBuffer.ExtractToString 0043 EnsureEncoding 0053 TIdBuffer.ExtractToBytes 0060 BytesToString 0069 @UStrClr 007f TArray<System.Byte> 0084 @DynArrayClear 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7D 03 8B 5E 20 85 DB 7E 35 83 7D F8 00 75 10 8B 46 08 89 45 F8 8D 45 F8 33 D2 E8 ?? ?? ?? ?? 6A 01 6A FF 8D 55 FC 8B CB 8B C6 E8 ?? ?? ?? ?? 8B CF 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_39175_0 {
	meta:
		name = "TInBuffer.ExtractToString"
		size = 153
		refs = "001c TInBuffer.ExtractToString 0043 EnsureEncoding 0053 TInBuffer.ExtractToBytes 0060 BytesToString 0069 @UStrClr 007f TArray<System.Byte> 0084 @DynArrayClear 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7D 03 8B 5E 20 85 DB 7E 35 83 7D F8 00 75 10 8B 46 08 89 45 F8 8D 45 F8 33 D2 E8 ?? ?? ?? ?? 6A 01 6A FF 8D 55 FC 8B CB 8B C6 E8 ?? ?? ?? ?? 8B CF 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_32323_0 {
	meta:
		name = "TIdBuffer.ExtractToBytes"
		size = 216
		refs = "0025 IndyMax 003b TIdBuffer.CheckByteCount 004b @DynArrayLength 0061 TArray<System.Byte> 0066 @DynArraySetLength 00ad CopyTIdBytes 00b7 TIdBuffer.Remove"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 83 7D F8 00 7D 06 8B 43 20 89 45 F8 33 D2 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 0F 8E 9C 00 00 00 8D 55 F8 8B C8 8B C3 E8 ?? ?? ?? ?? 80 7D 0C 00 74 2A 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B F8 8B C7 03 45 F8 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 2B 33 FF 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 3B 45 F8 7D 1A 8B 45 F8 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 F6 7D 1F 57 8B 45 F8 50 8B 4D FC 8B 53 10 8B 43 04 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 12 57 8B 45 F8 50 8B 4D FC 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_39176_0 {
	meta:
		name = "TInBuffer.ExtractToBytes"
		size = 216
		refs = "0025 IndyMax 003b TInBuffer.CheckByteCount 004b @DynArrayLength 0061 TArray<System.Byte> 0066 @DynArraySetLength 00ad CopyTIdBytes 00b7 TInBuffer.Remove"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 83 7D F8 00 7D 06 8B 43 20 89 45 F8 33 D2 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 0F 8E 9C 00 00 00 8D 55 F8 8B C8 8B C3 E8 ?? ?? ?? ?? 80 7D 0C 00 74 2A 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B F8 8B C7 03 45 F8 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 2B 33 FF 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 3B 45 F8 7D 1A 8B 45 F8 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 F6 7D 1F 57 8B 45 F8 50 8B 4D FC 8B 53 10 8B 43 04 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 12 57 8B 45 F8 50 8B 4D FC 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_32324_0 {
	meta:
		name = "TIdBuffer.ExtractToIdBuffer"
		size = 97
		refs = "000c TIdBuffer.ExtractToIdBuffer 0027 TIdBuffer.ExtractToBytes 0034 TIdBuffer.Write 004a TArray<System.Byte> 004f @DynArrayClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 C9 7D 03 8B 48 20 6A 01 8B 55 08 52 8D 55 FC E8 ?? ?? ?? ?? 83 C9 FF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_39177_0 {
	meta:
		name = "TInBuffer.ExtractToInBuffer"
		size = 97
		refs = "000c TInBuffer.ExtractToInBuffer 0027 TInBuffer.ExtractToBytes 0034 TInBuffer.Write 004a TArray<System.Byte> 004f @DynArrayClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 C9 7D 03 8B 48 20 6A 01 8B 55 08 52 8D 55 FC E8 ?? ?? ?? ?? 83 C9 FF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_32325_0 {
	meta:
		name = "TIdBuffer.ExtractToStream"
		size = 244
		refs = "001d TIdBuffer.ExtractToStream 0038 IndyMax 0047 TIdBuffer.CompactHead 0053 TIdBuffer.CheckByteCount 0064 _Dn_TIdStreamHelperVCL 0069 TIdStreamHelperVCL.Write 0073 TIdBuffer.Remove 0093 TArray<System.Byte> 0098 @DynArraySetLength 00ae CopyTIdBytes 00df @DynArrayClear 00e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 7D 06 8B 43 20 89 45 F4 33 D2 8B C6 E8 ?? ?? ?? ?? 8B F8 85 F6 7D 37 B2 01 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 6A 00 8B 4B 04 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? EB 4F 8D 55 F4 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8B 45 F4 50 8D 4D FC 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 45 F4 50 6A 00 8B 4D FC 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_39178_0 {
	meta:
		name = "TInBuffer.ExtractToStream"
		size = 244
		refs = "001d TInBuffer.ExtractToStream 0038 IndyMax 0047 TInBuffer.CompactHead 0053 TInBuffer.CheckByteCount 0064 _Dn_TInStreamHelperVCL 0069 TInStreamHelperVCL.Write 0073 TInBuffer.Remove 0093 TArray<System.Byte> 0098 @DynArraySetLength 00ae CopyTIdBytes 00df @DynArrayClear 00e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 7D 06 8B 43 20 89 45 F4 33 D2 8B C6 E8 ?? ?? ?? ?? 8B F8 85 F6 7D 37 B2 01 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 6A 00 8B 4B 04 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? EB 4F 8D 55 F4 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8B 45 F4 50 8D 4D FC 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 45 F4 50 6A 00 8B 4D FC 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_32326_0 {
	meta:
		name = "TIdBuffer.Remove"
		size = 63
		refs = "000e TIdBuffer.Clear 0027 TIdBuffer.CompactHead"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 20 7C 09 8B C3 E8 ?? ?? ?? ?? EB 17 01 73 10 29 73 20 8B 43 10 3B 43 0C 7E 09 B2 01 8B C3 E8 ?? ?? ?? ?? 66 83 7B 1A 00 74 0A 8B CE 8B D3 8B 43 1C FF 53 18 5E 5B C3 }
	condition:
		$1
}

rule function_39179_0 {
	meta:
		name = "TInBuffer.Remove"
		size = 63
		refs = "000e TInBuffer.Clear 0027 TInBuffer.CompactHead"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 20 7C 09 8B C3 E8 ?? ?? ?? ?? EB 17 01 73 10 29 73 20 8B 43 10 3B 43 0C 7E 09 B2 01 8B C3 E8 ?? ?? ?? ?? 66 83 7B 1A 00 74 0A 8B CE 8B D3 8B 43 1C FF 53 18 5E 5B C3 }
	condition:
		$1
}

rule function_32327_0 {
	meta:
		name = "TIdBuffer.CompactHead"
		size = 94
		refs = "001c CopyTIdBytes 002c TIdBuffer.GetCapacity 004f TArray<System.Byte> 0054 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 10 85 C0 7E 4E 6A 00 8B 56 20 52 8D 4E 04 8B D0 8B 46 04 E8 ?? ?? ?? ?? 33 C0 89 46 10 84 DB 74 32 8B C6 E8 ?? ?? ?? ?? 2B 46 20 2B 46 10 3B 46 0C 7E 20 8B 46 10 03 46 20 03 46 0C 50 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_39180_0 {
	meta:
		name = "TInBuffer.CompactHead"
		size = 94
		refs = "001c CopyTIdBytes 002c TInBuffer.GetCapacity 004f TArray<System.Byte> 0054 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 10 85 C0 7E 4E 6A 00 8B 56 20 52 8D 4E 04 8B D0 8B 46 04 E8 ?? ?? ?? ?? 33 C0 89 46 10 84 DB 74 32 8B C6 E8 ?? ?? ?? ?? 2B 46 20 2B 46 10 3B 46 0C 7E 20 8B 46 10 03 46 20 03 46 0C 50 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_32328_0 {
	meta:
		name = "TIdBuffer.Write"
		size = 34
		refs = "000f @DynArrayLength 001a TIdBuffer.Write"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A 00 57 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39181_0 {
	meta:
		name = "TInBuffer.Write"
		size = 34
		refs = "000f @DynArrayLength 001a TInBuffer.Write"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A 00 57 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32329_0 {
	meta:
		name = "TIdBuffer.Write"
		size = 174
		refs = "0019 TStream.GetPosition 002c TStream.SetPosition 005a IndyMin 006e TIdBuffer.CheckAdd 0077 TIdBuffer.CompactHead 0089 TArray<System.Byte> 008e @DynArraySetLength 009d _Dn_TIdStreamHelperVCL 00a2 TIdStreamHelperVCL.ReadBytes"
	strings:
		$1 = { 53 56 57 55 8B D9 8B FA 8B F0 85 DB 7D 13 8B C7 8B 10 FF 12 8B D8 8B C7 E8 ?? ?? ?? ?? 2B D8 EB 3F 85 DB 75 15 6A 00 6A 00 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 12 8B D8 EB 26 8B C3 99 52 50 8B C7 8B 10 FF 12 52 50 8B C7 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 45 8B 6E 20 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8D 04 2B 50 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 53 55 8D 4E 04 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 01 5E 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39182_0 {
	meta:
		name = "TInBuffer.Write"
		size = 174
		refs = "0019 TStream.GetPosition 002c TStream.SetPosition 005a IndyMin 006e TInBuffer.CheckAdd 0077 TInBuffer.CompactHead 0089 TArray<System.Byte> 008e @DynArraySetLength 009d _Dn_TInStreamHelperVCL 00a2 TInStreamHelperVCL.ReadBytes"
	strings:
		$1 = { 53 56 57 55 8B D9 8B FA 8B F0 85 DB 7D 13 8B C7 8B 10 FF 12 8B D8 8B C7 E8 ?? ?? ?? ?? 2B D8 EB 3F 85 DB 75 15 6A 00 6A 00 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 12 8B D8 EB 26 8B C3 99 52 50 8B C7 8B 10 FF 12 52 50 8B C7 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 45 8B 6E 20 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8D 04 2B 50 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 53 55 8D 4E 04 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 01 5E 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32330_0 {
	meta:
		name = "TIdBuffer.IndexOf"
		size = 118
		refs = "001c TIdBuffer.IndexOf 0035 ToBytes 005a TArray<System.Byte> 005f @DynArrayClear 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 03 8B 73 08 8D 4D F8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_39183_0 {
	meta:
		name = "TInBuffer.IndexOf"
		size = 118
		refs = "001c TInBuffer.IndexOf 0035 ToBytes 005a TArray<System.Byte> 005f @DynArrayClear 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 03 8B 73 08 8D 4D F8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_32331_0 {
	meta:
		name = "TIdBuffer.IndexOf"
		size = 299
		refs = "001c TIdBuffer.IndexOf 003e @DynArrayLength 004a RSBufferMissingTerminator 004f LoadResString 0057 _Dn_EIdException 005c EIdException.Toss 0070 RSBufferInvalidStartPos 0116 @UStrArrayClr 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 DB 89 5D DC 89 5D E0 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 FF FF FF FF 8B 45 FC 83 78 20 00 0F 8E C6 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 1A 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7C 08 8B 45 FC 3B 58 20 7C 1A 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 8B 40 10 8B D0 8B 4D FC 03 51 20 89 55 F0 8B C8 03 CB 8B 45 F0 2B 45 EC 2B C1 7C 50 40 89 45 E4 C6 45 EB 01 8B 55 EC 4A 85 D2 7C 27 42 33 C0 8D 34 08 3B 75 F0 7D 1C 8B 5D FC 8B 5B 04 0F B6 1C 33 8B 75 F8 3A 1C 06 74 06 C6 45 EB 00 EB 04 40 4A 75 DC 80 7D EB 00 74 0D 8B 45 FC 8B D1 2B 50 10 89 55 F4 EB 06 41 FF 4D E4 75 B4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39184_0 {
	meta:
		name = "TInBuffer.IndexOf"
		size = 299
		refs = "001c TInBuffer.IndexOf 003e @DynArrayLength 004a RSBufferMissingTerminator 004f LoadResString 0057 _Dn_EInException 005c EInException.Toss 0070 RSBufferInvalidStartPos 0116 @UStrArrayClr 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 DB 89 5D DC 89 5D E0 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 FF FF FF FF 8B 45 FC 83 78 20 00 0F 8E C6 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 1A 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7C 08 8B 45 FC 3B 58 20 7C 1A 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 8B 40 10 8B D0 8B 4D FC 03 51 20 89 55 F0 8B C8 03 CB 8B 45 F0 2B 45 EC 2B C1 7C 50 40 89 45 E4 C6 45 EB 01 8B 55 EC 4A 85 D2 7C 27 42 33 C0 8D 34 08 3B 75 F0 7D 1C 8B 5D FC 8B 5B 04 0F B6 1C 33 8B 75 F8 3A 1C 06 74 06 C6 45 EB 00 EB 04 40 4A 75 DC 80 7D EB 00 74 0D 8B 45 FC 8B D1 2B 50 10 89 55 F4 EB 06 41 FF 4D E4 75 B4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32332_0 {
	meta:
		name = "TIdBuffer.IndexOf"
		size = 161
		refs = "0018 TIdBuffer.IndexOf 003c RSBufferInvalidStartPos 0041 LoadResString 0049 _Dn_EIdException 004e EIdException.Toss 008b @UStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC FF FF FF FF 83 7E 20 00 7E 4B 85 FF 7C 05 3B 7E 20 7C 1A 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 10 03 F8 8B D0 03 56 20 4A 2B D7 7C 19 42 89 F8 8B 4E 04 3A 1C 01 75 0A 8B D0 2B 56 10 89 55 FC EB 04 40 4A 75 EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_39185_0 {
	meta:
		name = "TInBuffer.IndexOf"
		size = 161
		refs = "0018 TInBuffer.IndexOf 003c RSBufferInvalidStartPos 0041 LoadResString 0049 _Dn_EInException 004e EInException.Toss 008b @UStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC FF FF FF FF 83 7E 20 00 7E 4B 85 FF 7C 05 3B 7E 20 7C 1A 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 10 03 F8 8B D0 03 56 20 4A 2B D7 7C 19 42 89 F8 8B 4E 04 3A 1C 01 75 0A 8B D0 2B 56 10 89 55 FC EB 04 40 4A 75 EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32333_0 {
	meta:
		name = "TIdBuffer.Write"
		size = 103
		refs = "0012 TIdBuffer.Write 002b ToBytes 004e TArray<System.Byte> 0053 @DynArrayClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 03 8B 73 08 8D 4D FC 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_39186_0 {
	meta:
		name = "TInBuffer.Write"
		size = 103
		refs = "0012 TInBuffer.Write 002b ToBytes 004e TArray<System.Byte> 0053 @DynArrayClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 03 8B 73 08 8D 4D FC 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_32335_0 {
	meta:
		name = "TIdBuffer.SetCapacity"
		size = 152
		refs = "000c TIdBuffer.SetCapacity 0011 _Dn_EIdException 0016 EIdException.Toss 001f TIdBuffer.CompactHead 002e TArray<System.Byte> 0033 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 20 7D 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 43 00 61 00 70 00 61 00 63 00 69 00 74 00 79 00 20 00 63 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 62 00 65 00 20 00 73 00 6D 00 61 00 6C 00 6C 00 65 00 72 00 20 00 74 00 68 00 61 00 6E 00 20 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_39188_0 {
	meta:
		name = "TInBuffer.SetCapacity"
		size = 152
		refs = "000c TInBuffer.SetCapacity 0011 _Dn_EInException 0016 EInException.Toss 001f TInBuffer.CompactHead 002e TArray<System.Byte> 0033 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 20 7D 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 43 00 61 00 70 00 61 00 63 00 69 00 74 00 79 00 20 00 63 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 62 00 65 00 20 00 73 00 6D 00 61 00 6C 00 6C 00 65 00 72 00 20 00 74 00 68 00 61 00 6E 00 20 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_32336_0 {
	meta:
		name = "TIdBuffer.Create"
		size = 77
		refs = "000a @ClassCreate 0017 TObject.Create 0025 TIdBuffer.Clear 002a _Dn_TIdStack 002f TIdStack.IncUsage 003a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 0C 00 08 00 00 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39189_0 {
	meta:
		name = "TInBuffer.Create"
		size = 77
		refs = "000a @ClassCreate 0017 TObject.Create 0025 TInBuffer.Clear 002a _Dn_TInStack 002f TInStack.IncUsage 003a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 0C 00 08 00 00 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32337_0 {
	meta:
		name = "TIdBuffer.PeekByte"
		size = 172
		refs = "000d TIdBuffer.PeekByte 0012 _Dn_EIdException 0017 EIdException.Toss"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 20 00 75 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7C 05 3B 73 20 7C 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 73 10 8B 43 04 0F B6 04 30 5E 5B C3 B0 04 02 00 FF FF FF FF 13 00 00 00 4E 00 6F 00 20 00 62 00 79 00 74 00 65 00 73 00 20 00 69 00 6E 00 20 00 62 00 75 00 66 00 66 00 65 00 72 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 6E 00 64 00 65 00 78 00 20 00 6F 00 75 00 74 00 20 00 6F 00 66 00 20 00 62 00 6F 00 75 00 6E 00 64 00 73 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_39190_0 {
	meta:
		name = "TInBuffer.PeekByte"
		size = 172
		refs = "000d TInBuffer.PeekByte 0012 _Dn_EInException 0017 EInException.Toss"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 20 00 75 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7C 05 3B 73 20 7C 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 73 10 8B 43 04 0F B6 04 30 5E 5B C3 B0 04 02 00 FF FF FF FF 13 00 00 00 4E 00 6F 00 20 00 62 00 79 00 74 00 65 00 73 00 20 00 69 00 6E 00 20 00 62 00 75 00 66 00 66 00 65 00 72 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 6E 00 64 00 65 00 78 00 20 00 6F 00 75 00 74 00 20 00 6F 00 66 00 20 00 62 00 6F 00 75 00 6E 00 64 00 73 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_32338_0 {
	meta:
		name = "TIdBuffer.SaveToStream"
		size = 39
		refs = "000b TIdBuffer.CompactHead 001b _Dn_TIdStreamHelperVCL 0020 TIdStreamHelperVCL.Write"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 20 50 6A 00 8B 4B 04 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39191_0 {
	meta:
		name = "TInBuffer.SaveToStream"
		size = 39
		refs = "000b TInBuffer.CompactHead 001b _Dn_TInStreamHelperVCL 0020 TInStreamHelperVCL.Write"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 20 50 6A 00 8B 4B 04 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32339_0 {
	meta:
		name = "TIdBuffer.ExtractToIPv6"
		size = 88
		refs = "0020 BytesToIPv6 0029 GStack 004c TIdBuffer.Remove"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F1 8B FA 8B D8 85 FF 7D 05 8B 43 10 EB 02 8B C7 8B D6 8B C8 8B 43 04 E8 ?? ?? ?? ?? 8B CC 8B D6 A1 ?? ?? ?? ?? 8B 00 8B 28 FF 55 60 57 8B FE 8D 74 24 04 A5 A5 A5 A5 5F 85 FF 7D 0C BA 10 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39192_0 {
	meta:
		name = "TInBuffer.ExtractToIPv6"
		size = 88
		refs = "0020 BytesToIPv6 0029 GStack 004c TInBuffer.Remove"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F1 8B FA 8B D8 85 FF 7D 05 8B 43 10 EB 02 8B C7 8B D6 8B C8 8B 43 04 E8 ?? ?? ?? ?? 8B CC 8B D6 A1 ?? ?? ?? ?? 8B 00 8B 28 FF 55 60 57 8B FE 8D 74 24 04 A5 A5 A5 A5 5F 85 FF 7D 0C BA 10 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32340_0 {
	meta:
		name = "TIdBuffer.ExtractToInt64"
		size = 92
		refs = "001a BytesToInt64 002e GStack 004c TIdBuffer.Remove"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 85 F6 7D 05 8B 43 10 EB 02 8B C6 8B D0 8B 43 04 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 FF 74 24 04 FF 74 24 04 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 5C 89 04 24 89 54 24 04 85 F6 7D 0C BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 04 24 8B 54 24 04 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_39193_0 {
	meta:
		name = "TInBuffer.ExtractToInt64"
		size = 92
		refs = "001a BytesToInt64 002e GStack 004c TInBuffer.Remove"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 85 F6 7D 05 8B 43 10 EB 02 8B C6 8B D0 8B 43 04 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 FF 74 24 04 FF 74 24 04 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 5C 89 04 24 89 54 24 04 85 F6 7D 0C BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 04 24 8B 54 24 04 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_32341_0 {
	meta:
		name = "TIdBuffer.ExtractToLongWord"
		size = 68
		refs = "0018 BytesToLongWord 001f GStack 003a TIdBuffer.Remove"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 85 FF 7D 05 8B 43 10 EB 02 8B C7 8B D0 8B 43 04 E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 51 58 8B F0 85 FF 7D 0C BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39194_0 {
	meta:
		name = "TInBuffer.ExtractToLongWord"
		size = 68
		refs = "0018 BytesToLongWord 001f GStack 003a TInBuffer.Remove"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 85 FF 7D 05 8B 43 10 EB 02 8B C7 8B D0 8B 43 04 E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 51 58 8B F0 85 FF 7D 0C BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32342_0 {
	meta:
		name = "TIdBuffer.ExtractToWord"
		size = 68
		refs = "0018 BytesToWord 001f GStack 003a TIdBuffer.Remove"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 85 FF 7D 05 8B 43 10 EB 02 8B C7 8B D0 8B 43 04 E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 51 54 8B F0 85 FF 7D 0C BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39195_0 {
	meta:
		name = "TInBuffer.ExtractToWord"
		size = 68
		refs = "0018 BytesToWord 001f GStack 003a TInBuffer.Remove"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 85 FF 7D 05 8B 43 10 EB 02 8B C7 8B D0 8B 43 04 E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 51 54 8B F0 85 FF 7D 0C BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32343_0 {
	meta:
		name = "TIdBuffer.ExtractToByte"
		size = 37
		refs = "001d TIdBuffer.Remove"
	strings:
		$1 = { 53 85 D2 7D 05 8B 48 10 EB 02 8B CA 8B 58 04 0F B6 1C 0B 85 D2 7D 0A BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_39196_0 {
	meta:
		name = "TInBuffer.ExtractToByte"
		size = 37
		refs = "001d TInBuffer.Remove"
	strings:
		$1 = { 53 85 D2 7D 05 8B 48 10 EB 02 8B CA 8B 58 04 0F B6 1C 0B 85 D2 7D 0A BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_32344_0 {
	meta:
		name = "TIdBuffer.Write"
		size = 86
		refs = "001f TArray<System.Byte> 0024 @DynArraySetLength 0030 GStack 0043 CopyTIdWord"
		altNames = "TInBuffer.Write"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 85 C9 7D 22 8B 73 10 03 73 20 8D 46 02 50 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 02 8B F1 A1 ?? ?? ?? ?? 8B 00 8B D7 8B 08 FF 51 2C 8D 53 04 8B CE E8 ?? ?? ?? ?? 3B 73 20 7C 06 83 C6 02 89 73 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32345_0 {
	meta:
		name = "TIdBuffer.Write"
		size = 66
		refs = "001f TArray<System.Byte> 0024 @DynArraySetLength"
		altNames = "TInBuffer.Write"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 85 C9 7D 22 8B 77 10 03 77 20 8D 46 01 50 8D 47 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 02 8B F1 8B 47 04 88 1C 30 3B 77 20 7C 04 46 89 77 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32346_0 {
	meta:
		name = "TIdBuffer.Write"
		size = 102
		refs = "0023 TArray<System.Byte> 0028 @DynArraySetLength 003b GStack 0050 CopyTIdIPV6Address"
		altNames = "TInBuffer.Write"
	strings:
		$1 = { 53 56 57 83 C4 EC 89 14 24 8B D8 85 C9 7D 22 8B 73 10 03 73 20 8D 46 10 50 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 02 8B F1 8D 4C 24 04 8B 14 24 A1 ?? ?? ?? ?? 8B 00 8B 38 FF 57 38 8D 53 04 8D 44 24 04 8B CE E8 ?? ?? ?? ?? 3B 73 20 7C 06 83 C6 10 89 73 20 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32347_0 {
	meta:
		name = "TIdBuffer.Write"
		size = 121
		refs = "002d TArray<System.Byte> 0032 @DynArraySetLength 0045 GStack 0062 CopyTIdInt64"
		altNames = "TInBuffer.Write"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B F0 BF 08 00 00 00 83 7D FC 00 7D 22 8B 5E 10 03 5E 20 8D 04 1F 50 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 03 8B 5D FC FF 75 0C FF 75 08 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 34 89 45 F0 89 55 F4 FF 75 F4 FF 75 F0 8D 46 04 8B D3 E8 ?? ?? ?? ?? 3B 5E 20 7C 05 03 FB 89 7E 20 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_32348_0 {
	meta:
		name = "TIdBuffer.Write"
		size = 86
		refs = "001f TArray<System.Byte> 0024 @DynArraySetLength 0030 GStack 0043 CopyTIdLongWord"
		altNames = "TInBuffer.Write"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 85 C9 7D 22 8B 5E 10 03 5E 20 8D 43 04 50 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 02 8B D9 A1 ?? ?? ?? ?? 8B 00 8B D7 8B 08 FF 51 30 8D 56 04 8B CB E8 ?? ?? ?? ?? 3B 5E 20 7C 06 83 C3 04 89 5E 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32349_0 {
	meta:
		name = "TIdBuffer.Write"
		size = 349
		refs = "0017 TIdBuffer.Write 002a IndyLength 003e IndyMax 004b TIdBuffer.CheckAdd 006d ToBytes 0079 TArray<System.Byte> 007e @DynArrayAsg 00a2 @DynArraySetLength 00b8 CopyTIdBytes 00c9 TIdBuffer.CompactHead 00d0 TIdBuffer.GetCapacity 0148 @DynArrayClear 014e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D1 8B 45 FC 8B 4D 0C E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 F9 00 00 00 33 D2 8B 45 08 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7B 20 00 75 69 33 C0 89 43 10 83 7D 08 00 7D 2A 8D 45 F8 50 8B 4D 0C 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 20 E9 A7 00 00 00 8B 7D 08 03 FE 89 7B 20 57 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 50 56 8D 4B 04 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? EB 73 83 7D 08 00 7D 53 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 7B 20 2B C7 2B 43 10 3B F0 7E 1C 03 FE 03 7B 0C 57 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 10 03 43 20 50 56 8D 4B 04 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 01 73 20 EB 1A 57 56 8D 4B 04 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 3B 7B 20 7C 05 03 F7 89 73 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_39202_0 {
	meta:
		name = "TInBuffer.Write"
		size = 349
		refs = "0017 TInBuffer.Write 002a IndyLength 003e IndyMax 004b TInBuffer.CheckAdd 006d ToBytes 0079 TArray<System.Byte> 007e @DynArrayAsg 00a2 @DynArraySetLength 00b8 CopyTIdBytes 00c9 TInBuffer.CompactHead 00d0 TInBuffer.GetCapacity 0148 @DynArrayClear 014e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D1 8B 45 FC 8B 4D 0C E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 F9 00 00 00 33 D2 8B 45 08 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7B 20 00 75 69 33 C0 89 43 10 83 7D 08 00 7D 2A 8D 45 F8 50 8B 4D 0C 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 20 E9 A7 00 00 00 8B 7D 08 03 FE 89 7B 20 57 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 50 56 8D 4B 04 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? EB 73 83 7D 08 00 7D 53 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 7B 20 2B C7 2B 43 10 3B F0 7E 1C 03 FE 03 7B 0C 57 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 10 03 43 20 50 56 8D 4B 04 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 01 73 20 EB 1A 57 56 8D 4B 04 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 3B 7B 20 7C 05 03 F7 89 73 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_32353_0 {
	meta:
		name = "TIdChargenServer.InitComponent"
		size = 26
		refs = "0006 TIdCustomTCPServer.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 13 00 8B C3 8B 08 FF 91 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_32354_0 {
	meta:
		name = "TIdChargenServer.DoExecute"
		size = 127
		refs = "001e Output 0023 @Write0WChar 0028 @Flush 002d @_IOTest 0040 @Write0UString 0045 @WriteLn"
	strings:
		$1 = { 53 56 57 55 51 33 FF C6 04 24 01 BB 01 00 00 00 BE 01 00 00 00 8B 6A 14 EB 50 8D 53 1F A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 46 83 FE 48 75 28 A1 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BE 01 00 00 00 47 83 FF 5F 75 05 BF 01 00 00 00 8B DF 83 FB 5F 75 05 BB 01 00 00 00 8B C5 8B 10 FF 52 74 84 C0 75 A5 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32357_0 {
	meta:
		name = "TIdChargenUDPServer.InitComponent"
		size = 23
		refs = "0006 TIdUDPServer.InitComponent 0011 TIdUDPServer.SetDefaultPort"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 13 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_32358_0 {
	meta:
		name = "TIdChargenUDPServer.DoUDPRead"
		size = 276
		refs = "0012 TIdChargenUDPServer.DoUDPRead 0021 TIdUDPServer.DoUDPRead 0032 @UStrClr 003c Random 006b @UStrCat 0087 @UStrFromWChar 00a6 ToBytes 00c1 TIdSocketHandle.SendTo 00d7 TArray<System.Byte> 00dc @DynArrayClear 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 8B 5D 08 53 E8 ?? ?? ?? ?? BE 01 00 00 00 66 BB 30 00 8D 45 FC E8 ?? ?? ?? ?? B8 00 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 FF 3B 75 F8 7F 53 66 83 FB 5F 76 04 66 BB 30 00 8B C6 B9 4C 00 00 00 99 F7 F9 85 D2 75 1F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 B9 2F 00 00 00 99 F7 F9 8B DA 83 C3 30 47 EB 15 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 46 43 3B 75 F8 7E AD 8D 4D F0 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 50 6A 00 8B 45 08 0F B7 48 22 8B 45 08 8B 50 1C 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_32361_0 {
	meta:
		name = "FindPreferredCharset"
		size = 488
	strings:
		$1 = { 0F B7 D0 81 FA 25 01 00 00 0F 8D AD 00 00 00 81 FA E9 00 00 00 7D 4B 83 FA 40 7F 29 0F 84 5D 01 00 00 83 C2 FE 83 EA 0A 0F 82 42 01 00 00 83 EA 30 0F 84 3E 01 00 00 83 EA 02 0F 84 3A 01 00 00 E9 A2 01 00 00 83 EA 42 0F 84 36 01 00 00 81 C2 62 FF FF FF 83 EA 08 0F 82 2C 01 00 00 E9 85 01 00 00 81 FA 17 01 00 00 7D 2A 81 C2 17 FF FF FF 83 EA 06 0F 82 15 01 00 00 83 C2 F8 83 EA 06 0F 82 0E 01 00 00 4A 83 EA 06 0F 82 09 01 00 00 E9 53 01 00 00 81 C2 E9 FE FF FF 83 EA 07 0F 82 FA 00 00 00 4A 83 EA 02 0F 82 F5 00 00 00 4A 83 EA 02 0F 82 F0 00 00 00 E9 2B 01 00 00 81 FA 78 01 00 00 7D 5E 81 FA 3A 01 00 00 7D 2A 81 C2 DB FE FF FF 83 EA 08 0F 82 D1 00 00 00 83 C2 FC 83 EA 05 0F 82 CA 00 00 00 4A 83 EA 02 0F 82 C5 00 00 00 E9 F1 00 00 00 81 C2 C6 FE FF FF 83 EA 02 0F 82 B6 00 00 00 83 C2 F0 83 EA 05 0F 82 AF 00 00 00 83 C2 F7 83 EA 06 0F 82 A8 00 00 00 E9 C5 00 00 00 81 FA CD 02 00 00 7D 2C 81 C2 88 FE FF FF 83 EA 05 0F 82 91 00 00 00 81 EA F4 00 00 00 0F 84 8A 00 00 00 83 C2 A7 83 EA 02 0F 82 83 00 00 00 E9 91 00 00 00 81 C2 33 FD FF FF 83 EA 02 72 78 81 EA A1 00 00 00 74 75 83 EA 02 74 75 EB 77 66 B8 01 00 C3 66 B8 3B 00 C3 66 B8 3D 00 C3 66 B8 3F 00 C3 66 B8 41 00 C3 66 B8 DF 00 C3 66 B8 E8 00 C3 66 B8 F6 00 C3 66 B8 FD 00 C3 66 B8 16 01 C3 66 B8 1E 01 C3 66 B8 21 01 C3 66 B8 24 01 C3 66 B8 30 01 C3 66 B8 36 01 C3 66 B8 39 01 C3 66 B8 4B 01 C3 66 B8 59 01 C3 66 B8 77 01 C3 66 B8 70 02 C3 66 B8 C9 02 C3 66 B8 CC 02 C3 66 B8 6F 03 C3 66 B8 71 03 C3 }
	condition:
		$1
}

rule function_32362_0 {
	meta:
		name = "FindCharset"
		size = 50
		refs = "000b IdCharsetNames 0014 TextIsSame"
	strings:
		$1 = { 53 56 57 55 8B F8 33 ED 33 F6 BB ?? ?? ?? ?? 8B D7 8B 03 E8 ?? ?? ?? ?? 84 C0 74 04 8B EE EB 0B 46 83 C3 04 66 81 FE 90 03 75 E4 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32363_0 {
	meta:
		name = "CharsetToCodePage"
		size = 12
		refs = "0007 IdCharsetCodePages"
	strings:
		$1 = { 0F B7 C0 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32364_0 {
	meta:
		name = "CharsetToCodePage"
		size = 23
		refs = "0006 FindCharset 0011 IdCharsetCodePages"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 C0 0F B7 04 45 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_32365_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_2 001a IdCharsetNames 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 90 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_32367_0 {
	meta:
		name = "TIdCmdTCPClientListeningThread.Create"
		size = 105
		refs = "000f @ClassCreate 0026 _DV_TIdCmdClientContext 002b TIdContext.Create 0046 TIdThread.Create 0053 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 89 73 74 6A 00 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 70 89 77 40 C6 47 18 00 6A 01 6A 00 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32368_0 {
	meta:
		name = "TIdCmdTCPClientListeningThread.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TIdThread.Destroy 0022 TObject.Free 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8D 46 70 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32369_0 {
	meta:
		name = "TIdCmdTCPClientListeningThread.Run"
		size = 149
		refs = "000d TIdCmdTCPClientListeningThread.Run 0026 TIdIOHandler.ReadLn 0031 @UStrAsg 0084 @UStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 43 74 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 78 E8 ?? ?? ?? ?? 8D 4B 78 8B 43 74 8B 80 18 01 00 00 8B 53 70 8B 30 FF 56 28 84 C0 75 11 8B 4B 78 8B 53 70 8B 43 74 8B 30 FF 96 B4 00 00 00 8B 43 74 8B 80 98 00 00 00 33 C9 B2 01 8B 18 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32370_0 {
	meta:
		name = "TIdCmdTCPClient.Destroy"
		size = 81
		refs = "0003 @BeforeDestruction 000e TIdTCPConnection.Disconnect 0021 TObject.Free 003f TIdTCPConnection.Destroy 004a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 86 10 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 18 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32371_0 {
	meta:
		name = "TIdCmdTCPClient.Connect"
		size = 176
		refs = "0015 TIdCmdTCPClient.Connect 0023 TIdTCPClientCustom.Connect 003b _DV_TIdCmdTCPClientListeningThread 0040 TIdCmdTCPClientListeningThread.Create 0058 @HandleAnyException 006a RSNoCreateListeningThread 006f LoadResString 0079 _DV_EIdCmdTCPClientConnectError 007e EIdException.Create 0083 @RaiseExcept 0088 @DoneExcept 009d @UStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 14 01 00 00 33 C0 5A 59 59 64 89 10 EB 35 E9 ?? ?? ?? ?? B2 01 8B 45 FC 8B 08 FF 51 78 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32372_0 {
	meta:
		name = "TIdCmdTCPClient.Disconnect"
		size = 120
		refs = "0023 TIdCmdTCPClient.Disconnect 0033 TIdTCPConnection.Disconnect 0052 TThread.WaitFor 0067 TObject.Free 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B 45 FC 8B B0 14 01 00 00 85 F6 74 07 8B C6 8B 10 FF 52 3C 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 14 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B 45 FC 05 14 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32374_0 {
	meta:
		name = "TIdCmdTCPClient.DoBeforeCommandHandler"
		size = 39
	strings:
		$1 = { 55 8B EC 53 66 83 B8 2A 01 00 00 00 74 14 8B 55 08 52 8B D8 8B D0 8B 83 2C 01 00 00 FF 93 28 01 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_32377_0 {
	meta:
		name = "TIdCmdTCPClient.InitComponent"
		size = 188
		refs = "0008 TIdTCPClientCustom.InitComponent 0022 TIdCmdTCPClient.InitComponent 0054 _Dn_TIdCommandHandlers 0059 TIdCommandHandlers.Create 006b TIdCmdTCPClient.DoAfterCommandHandler 0075 TIdCmdTCPClient.DoBeforeCommandHandler"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 8B 83 B4 00 00 00 FF 50 1C 8B F0 89 B3 10 01 00 00 B9 ?? ?? ?? ?? BA F4 01 00 00 8B C6 8B 30 FF 56 44 8B C3 8B 10 FF 92 B8 00 00 00 8B F8 8B 83 B4 00 00 00 50 6A 00 8B 83 10 01 00 00 50 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 18 01 00 00 89 5E 2C C7 46 28 ?? ?? ?? ?? 89 5E 34 C7 46 30 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 20 00 45 00 72 00 72 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_32378_0 {
	meta:
		name = "TIdCmdTCPClient.SetCommandHandlers"
		size = 16
		altNames = "TIdCmdTCPServer.SetCommandHandlers"
	strings:
		$1 = { 56 8B F0 8B 86 18 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_32379_0 {
	meta:
		name = "TIdCmdTCPClient.SetExceptionReply"
		size = 12
	strings:
		$1 = { 8B 80 10 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_32384_0 {
	meta:
		name = "TIdCmdTCPServer.Destroy"
		size = 169
		refs = "0003 @BeforeDestruction 0012 TIdCustomTCPServer.Destroy 0025 TObject.Free 00a2 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8D 86 48 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 44 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 2C 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 24 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 28 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 20 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 18 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32386_0 {
	meta:
		name = "TIdCmdTCPServer.DoBeforeCommandHandler"
		size = 39
	strings:
		$1 = { 55 8B EC 53 66 83 B8 3A 01 00 00 00 74 14 8B 55 08 52 8B D8 8B D0 8B 83 3C 01 00 00 FF 93 38 01 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_32387_0 {
	meta:
		name = "TIdCmdTCPServer.DoExecute"
		size = 196
		refs = "0016 TIdCmdTCPServer.DoExecute 007e TIdCustomTCPServer.DoExecute 00ad @UStrClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 18 01 00 00 8B 40 08 83 78 08 00 7E 4A C6 45 FB 01 8B 43 14 8B 10 FF 52 74 84 C0 74 46 8D 4D FC 8B D3 8B C6 8B 38 FF 97 D4 00 00 00 83 7D FC 00 74 31 8D 4D FC 8B D3 8B 86 18 01 00 00 8B 38 FF 57 28 84 C0 75 1D 8B 4D FC 8B D3 8B C6 8B 30 FF 96 C4 00 00 00 EB 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 11 83 7B 14 00 74 0B 8B 43 14 8B 10 FF 52 74 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32388_0 {
	meta:
		name = "TIdCmdTCPServer.DoReplyUnknownCommand"
		size = 221
		refs = "0013 @UStrAddRef 001b TIdCmdTCPServer.DoReplyUnknownCommand 005d TIdCmdTCPServer.GetReplyUnknownCommand 00ae TObject.Free 00b4 @HandleFinally 00cb @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 18 01 00 00 80 78 41 00 0F 84 85 00 00 00 8B 83 44 01 00 00 50 8B 83 40 01 00 00 33 C9 B2 01 FF 50 34 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 08 8B 45 F8 8B 40 18 8B 55 FC 8B 08 FF 51 38 6A 00 8B 45 F8 8B 10 FF 52 28 8B D0 8B 46 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32390_0 {
	meta:
		name = "TIdCmdTCPServer.DoConnect"
		size = 172
		refs = "000f TIdCustomTCPServer.DoConnect 0026 TIdCmdTCPServer.GetGreeting 005b TIdCmdTCPServer.DoConnect 009b TObject.Free 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 14 8B 10 FF 52 74 84 C0 0F 84 84 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 40 84 C0 74 74 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 44 01 00 00 8B 08 FF 51 30 8B 83 40 01 00 00 33 C9 B2 01 FF 50 1C 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 08 8B 4D FC 8B D6 8B C3 8B 18 FF 93 8C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32391_0 {
	meta:
		name = "TIdCmdTCPServer.DoMaxConnectionsExceeded"
		size = 48
		refs = "000c TIdCustomTCPServer.DoMaxConnectionsExceeded 0015 TIdCmdTCPServer.GetMaxConnectionReply"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 6A 00 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 28 8B D0 33 C9 8B C7 8B 18 FF 93 AC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32392_0 {
	meta:
		name = "TIdCmdTCPServer.SetActive"
		size = 756
		refs = "0021 TIdCmdTCPServer.SetActive 002f TIdInitializerComponent.GetIsDesignTime 003f TIdInitializerComponent.GetIsLoading 008e TIdCmdTCPServer.GetHelpReply 00a6 TIdCommandHandlers.Add 00b9 @UStrAsg 00e5 _Dn_TStringList 00ea TStringList.Create 012b TIdCommandHandlers.GetItem 0141 @UStrCat3 021e TObject.Free 0224 @HandleFinally 0232 TIdCustomTCPServer.SetActive 024c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D D8 89 4D D4 89 4D DC 89 4D E0 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 EF 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 DF 01 00 00 8B 45 FC 80 B8 90 00 00 00 00 0F 85 CF 01 00 00 80 7D FB 00 0F 84 C5 01 00 00 8B 45 FC 80 B8 1C 01 00 00 00 0F 85 B5 01 00 00 8B 45 FC C6 80 1C 01 00 00 01 8B 45 FC 8B 10 FF 92 D0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 78 0C 00 0F 84 8E 01 00 00 8B 45 FC 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 E8 8B 40 30 8B 08 FF 51 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 18 01 00 00 8B 40 08 8B 40 08 48 85 C0 7C 47 40 89 45 E4 C7 45 F4 00 00 00 00 8B 45 FC 8B 80 18 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 80 7B 28 00 74 1B 8B 4B 24 8B 53 10 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B CB 8B 45 EC 8B 18 FF 53 3C FF 45 F4 FF 4D E4 75 C4 8B 45 EC 8B 10 FF 92 A0 00 00 00 8B 45 EC 8B 10 FF 52 14 48 85 C0 0F 8C 92 00 00 00 40 89 45 E4 C7 45 F4 00 00 00 00 8D 4D DC 8B 55 F4 8B 45 EC 8B 18 FF 53 0C 8B 55 DC 8B 45 E8 8B 40 48 8B 08 FF 51 38 8B 55 F4 8B 45 EC 8B 08 FF 51 18 8B 40 18 89 45 F0 8B 45 F0 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 33 F6 8D 4D D4 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 4D D4 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 E8 8B 40 48 8B 08 FF 51 38 46 4B 75 D1 8B 45 E8 8B 40 48 33 D2 8B 08 FF 51 38 FF 45 F4 FF 4D E4 0F 85 79 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 55 FB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 65 00 6C 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 73 00 20 00 63 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 73 00 20 00 74 00 68 00 61 00 74 00 20 00 74 00 68 00 65 00 20 00 73 00 65 00 72 00 76 00 65 00 72 00 73 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_32394_0 {
	meta:
		name = "TIdCmdTCPServer.CreateExceptionReply"
		size = 108
		refs = "0019 TIdCmdTCPServer.CreateExceptionReply"
	strings:
		$1 = { 53 56 8B 90 44 01 00 00 52 33 C9 B2 01 8B 80 40 01 00 00 FF 50 34 8B D8 B9 ?? ?? ?? ?? BA F4 01 00 00 8B C3 8B 30 FF 56 44 8B C3 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 20 00 45 00 72 00 72 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_32395_0 {
	meta:
		name = "TIdCmdTCPServer.GetExceptionReply"
		size = 36
	strings:
		$1 = { 53 8B D8 83 BB 20 01 00 00 00 75 10 8B C3 8B 10 FF 92 B0 00 00 00 89 83 20 01 00 00 8B 83 20 01 00 00 5B C3 }
	condition:
		$1
}

rule function_32397_0 {
	meta:
		name = "TIdCmdTCPServer.CreateGreeting"
		size = 76
		refs = "0019 TIdCmdTCPServer.CreateGreeting"
	strings:
		$1 = { 53 56 8B 90 44 01 00 00 52 33 C9 B2 01 8B 80 40 01 00 00 FF 50 34 8B D8 B9 ?? ?? ?? ?? BA C8 00 00 00 8B C3 8B 30 FF 56 44 8B C3 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 65 00 6C 00 63 00 6F 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_32398_0 {
	meta:
		name = "TIdCmdTCPServer.GetGreeting"
		size = 36
	strings:
		$1 = { 53 8B D8 83 BB 28 01 00 00 00 75 10 8B C3 8B 10 FF 92 B4 00 00 00 89 83 28 01 00 00 8B 83 28 01 00 00 5B C3 }
	condition:
		$1
}

rule function_32400_0 {
	meta:
		name = "TIdCmdTCPServer.CreateHelpReply"
		size = 88
		refs = "0019 TIdCmdTCPServer.CreateHelpReply"
	strings:
		$1 = { 53 56 8B 90 44 01 00 00 52 33 C9 B2 01 8B 80 40 01 00 00 FF 50 34 8B D8 B9 ?? ?? ?? ?? BA 64 00 00 00 8B C3 8B 30 FF 56 44 8B C3 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 48 00 65 00 6C 00 70 00 20 00 66 00 6F 00 6C 00 6C 00 6F 00 77 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_32401_0 {
	meta:
		name = "TIdCmdTCPServer.GetHelpReply"
		size = 36
	strings:
		$1 = { 53 8B D8 83 BB 24 01 00 00 00 75 10 8B C3 8B 10 FF 92 B8 00 00 00 89 83 24 01 00 00 8B 83 24 01 00 00 5B C3 }
	condition:
		$1
}

rule function_32403_0 {
	meta:
		name = "TIdCmdTCPServer.CreateMaxConnectionReply"
		size = 140
		refs = "0019 TIdCmdTCPServer.CreateMaxConnectionReply"
	strings:
		$1 = { 53 56 8B 90 44 01 00 00 52 33 C9 B2 01 8B 80 40 01 00 00 FF 50 34 8B D8 B9 ?? ?? ?? ?? BA 2C 01 00 00 8B C3 8B 30 FF 56 44 8B C3 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 54 00 6F 00 6F 00 20 00 6D 00 61 00 6E 00 79 00 20 00 63 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 73 00 2E 00 20 00 54 00 72 00 79 00 20 00 61 00 67 00 61 00 69 00 6E 00 20 00 6C 00 61 00 74 00 65 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_32404_0 {
	meta:
		name = "TIdCmdTCPServer.GetMaxConnectionReply"
		size = 36
	strings:
		$1 = { 53 8B D8 83 BB 2C 01 00 00 00 75 10 8B C3 8B 10 FF 92 BC 00 00 00 89 83 2C 01 00 00 8B 83 2C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_32406_0 {
	meta:
		name = "TIdCmdTCPServer.CreateReplyUnknownCommand"
		size = 92
		refs = "0019 TIdCmdTCPServer.CreateReplyUnknownCommand"
	strings:
		$1 = { 53 56 8B 90 44 01 00 00 52 33 C9 B2 01 8B 80 40 01 00 00 FF 50 34 8B D8 B9 ?? ?? ?? ?? BA 90 01 00 00 8B C3 8B 30 FF 56 44 8B C3 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_32407_0 {
	meta:
		name = "TIdCmdTCPServer.GetReplyUnknownCommand"
		size = 36
	strings:
		$1 = { 53 8B D8 83 BB 48 01 00 00 00 75 10 8B C3 8B 10 FF 92 C0 00 00 00 89 83 48 01 00 00 8B 83 48 01 00 00 5B C3 }
	condition:
		$1
}

rule function_32409_0 {
	meta:
		name = "TIdCmdTCPServer.SetReplyTexts"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 44 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_32410_0 {
	meta:
		name = "TIdCmdTCPServer.InitComponent"
		size = 124
		refs = "0008 TIdCustomTCPServer.InitComponent 0047 TIdCmdTCPServer.GetExceptionReply 0053 _Dn_TIdCommandHandlers 0058 TIdCommandHandlers.Create 006a TIdCmdTCPServer.DoAfterCommandHandler 0074 TIdCmdTCPServer.DoBeforeCommandHandler"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 CC 00 00 00 89 83 40 01 00 00 8B 83 40 01 00 00 50 8B C3 8B 10 FF 92 C8 00 00 00 8B CB B2 01 FF 50 28 8B F8 89 BB 44 01 00 00 8B 83 40 01 00 00 50 57 8B C3 E8 ?? ?? ?? ?? 50 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 18 01 00 00 89 5E 2C C7 46 28 ?? ?? ?? ?? 89 5E 34 C7 46 30 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32411_0 {
	meta:
		name = "TIdCmdTCPServer.ReadCommandLine"
		size = 27
		refs = "0014 TIdIOHandler.ReadLn"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CE 8B 43 14 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32412_0 {
	meta:
		name = "TIdCmdTCPServer.CheckOkToBeActive"
		size = 21
		refs = "0010 TIdTCPServer.CheckOkToBeActive"
	strings:
		$1 = { 8B 90 18 01 00 00 8B 52 08 83 7A 08 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32418_0 {
	meta:
		name = "TIdDecoder.DecodeEnd"
		size = 6
	strings:
		$1 = { 33 D2 89 50 38 C3 }
	condition:
		$1
}

rule function_32419_0 {
	meta:
		name = "TIdDecoder.Decode"
		size = 117
		refs = "000d _Dn_TMemoryStream 0012 TObject.Create 001d TIdDecoder.Decode 002a Indy8BitEncoding 0036 WriteStringToStream 0042 TStream.SetPosition 0064 TObject.Free 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B0 01 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 83 C9 FF 8B 55 FC 8B C3 8B 18 FF 53 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32420_0 {
	meta:
		name = "TIdDecoder.DecodeString"
		size = 133
		refs = "0010 _Dn_TMemoryStream 0015 TObject.Create 0020 TIdDecoder.DecodeString 0032 TIdDecoder.DecodeStream 003e TStream.SetPosition 0049 Indy8BitEncoding 005c ReadStringFromStream 0071 TObject.Free 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 85 DB 75 09 B0 01 E8 ?? ?? ?? ?? 8B D8 8B 45 08 50 8B CB 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_32421_0 {
	meta:
		name = "TIdDecoder.DecodeBytes"
		size = 135
		refs = "0011 TArray<System.Byte> 0016 @DynArrayClear 001d _Dn_TMemoryStream 0022 TObject.Create 002d TIdDecoder.DecodeBytes 003f TIdDecoder.DecodeStream 004b TStream.SetPosition 005b ReadTIdBytesFromStream 0075 TObject.Free 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B FA 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 6A FF 6A FF 8B D6 33 C9 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32422_0 {
	meta:
		name = "TIdDecoder.DecodeStream"
		size = 133
		refs = "000f TIdBaseComponent.Create 001a TIdDecoder.DecodeStream 0042 TIdDecoder.Decode 005d @HandleFinally 0074 TObject.Free"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 33 C9 B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 48 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39219_0 {
	meta:
		name = "TIdDecoder.DecodeStream"
		size = 133
		refs = "000f TInBaseComponent.Create 001a TIdDecoder.DecodeStream 0042 TIdDecoder.Decode 005d @HandleFinally 0074 TObject.Free"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 33 C9 B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 48 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32423_0 {
	meta:
		name = "TIdEncoder.Encode"
		size = 150
		refs = "0014 _Dn_TMemoryStream 0019 TObject.Create 0024 TIdEncoder.Encode 0035 Indy8BitEncoding 0043 WriteStringToStream 004f TStream.SetPosition 007a TObject.Free 0080 @HandleFinally 008a @UStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 85 F6 74 75 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 FF 75 09 B0 01 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 50 83 C9 FF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_32424_0 {
	meta:
		name = "TIdEncoder.Encode"
		size = 143
		refs = "0016 _Dn_TMemoryStream 001b TObject.Create 0026 TIdEncoder.Encode 0037 Indy8BitEncoding 0045 WriteStringToStream 0051 TStream.SetPosition 007a TObject.Free 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 75 09 B0 01 E8 ?? ?? ?? ?? 8B D8 8B CB 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 6A FF 8B 4D FC 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_32425_0 {
	meta:
		name = "TIdEncoder.Encode"
		size = 143
		refs = "0016 _Dn_TMemoryStream 001b TObject.Create 0026 TIdEncoder.Encode 0037 Indy8BitEncoding 0045 WriteStringToStream 0051 TStream.SetPosition 007a TObject.Free 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 75 09 B0 01 E8 ?? ?? ?? ?? 8B D8 8B CB 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 6A FF 8B 4D FC 8B 55 F8 8B C6 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_32426_0 {
	meta:
		name = "TIdEncoder.Encode"
		size = 133
		refs = "0010 _Dn_TMemoryStream 0015 TObject.Create 0020 TIdEncoder.Encode 003f TStream.SetPosition 004a Indy8BitEncoding 0057 ReadStringFromStream 0071 TObject.Free 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 57 8B 4D FC 8B D6 8B C3 8B 18 FF 53 44 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 50 B0 01 E8 ?? ?? ?? ?? 8B C8 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_32427_0 {
	meta:
		name = "TIdEncoder.Encode"
		size = 129
		refs = "0017 _Dn_TMemoryStream 001c TObject.Create 0027 TIdEncoder.Encode 0049 TStream.SetPosition 006d TObject.Free 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B FA 8B D8 8B C6 8B 10 FF 52 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 50 8B 4D FC 8B D7 8B C3 8B 18 FF 53 44 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_32428_0 {
	meta:
		name = "TIdEncoder.EncodeString"
		size = 88
		refs = "000f TIdBaseComponent.Create 001a TIdEncoder.EncodeString 0030 TIdEncoder.Encode 0045 TObject.Free 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 33 C9 B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_39225_0 {
	meta:
		name = "TIdEncoder.EncodeString"
		size = 88
		refs = "000f TInBaseComponent.Create 001a TIdEncoder.EncodeString 0030 TIdEncoder.Encode 0045 TObject.Free 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 33 C9 B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_32431_0 {
	meta:
		name = "TIdEncoder.EncodeBytes"
		size = 134
		refs = "0014 _Dn_TMemoryStream 0019 TObject.Create 0024 TIdEncoder.EncodeBytes 0039 WriteTIdBytesToStream 0045 TStream.SetPosition 0053 TIdEncoder.EncodeStream 006d TObject.Free 0073 @HandleFinally 007c @UStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 85 F6 74 68 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 83 C9 FF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 57 83 C9 FF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32432_0 {
	meta:
		name = "TIdEncoder.EncodeBytes"
		size = 127
		refs = "0014 _Dn_TMemoryStream 0019 TObject.Create 0024 TIdEncoder.EncodeBytes 0039 WriteTIdBytesToStream 0045 TStream.SetPosition 0053 TIdEncoder.EncodeStream 006d TObject.Free 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 85 F6 74 68 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 83 C9 FF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 6A FF 8B CF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32434_0 {
	meta:
		name = "TIdEncoder.EncodeStream"
		size = 104
		refs = "0019 TIdBaseComponent.Create 0024 TIdEncoder.EncodeStream 0038 TIdEncoder.Encode 004d TObject.Free 0053 @HandleFinally 005c @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B 75 08 85 DB 74 45 33 C9 B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 4D FC 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_39231_0 {
	meta:
		name = "TIdEncoder.EncodeStream"
		size = 104
		refs = "0019 TInBaseComponent.Create 0024 TIdEncoder.EncodeStream 0038 TIdEncoder.Encode 004d TObject.Free 0053 @HandleFinally 005c @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B 75 08 85 DB 74 45 33 C9 B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 4D FC 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_32435_0 {
	meta:
		name = "TIdEncoder.EncodeStream"
		size = 92
		refs = "0013 TIdBaseComponent.Create 001e TIdEncoder.EncodeStream 0034 TIdEncoder.Encode 0049 TObject.Free 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 85 DB 74 47 33 C9 B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_39232_0 {
	meta:
		name = "TIdEncoder.EncodeStream"
		size = 92
		refs = "0013 TInBaseComponent.Create 001e TIdEncoder.EncodeStream 0034 TIdEncoder.Encode 0049 TObject.Free 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 85 DB 74 47 33 C9 B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_32436_0 {
	meta:
		name = "TIdEncoder.EncodeStream"
		size = 92
		refs = "0013 TIdBaseComponent.Create 001e TIdEncoder.EncodeStream 0049 TObject.Free 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 85 DB 74 47 33 C9 B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CE 8B D3 8B 45 FC 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_39233_0 {
	meta:
		name = "TIdEncoder.EncodeStream"
		size = 92
		refs = "0013 TInBaseComponent.Create 001e TIdEncoder.EncodeStream 0049 TObject.Free 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 85 DB 74 47 33 C9 B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CE 8B D3 8B 45 FC 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_32439_0 {
	meta:
		name = "TIdDecoder00E.Decode"
		size = 138
		refs = "0015 TIdDecoder00E.Decode 0027 IndyLength 004b _Dn_TIdStreamHelperVCL 0050 TIdStreamHelperVCL.ReadBytes 005d TIdDecoder4to3.Decode 0073 TArray<System.Byte> 0078 @DynArrayClear 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 99 52 50 8B C3 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 83 7D F4 00 75 08 83 7D F0 00 76 24 EB 02 7E 20 6A 01 6A 00 8D 4D FC 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 49 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32440_0 {
	meta:
		name = "TIdEncoder00E.Encode"
		size = 396
		refs = "001a TIdEncoder00E.Encode 0030 TArray<System.Byte> 0035 @DynArraySetLength 003f _Dn_TMemoryStream 0044 TObject.Create 0063 IndyLength 008b IndyMin 009b TIdEncoder3to4.Encode 00bf _Dn_TIdStreamHelperVCL 00c4 TIdStreamHelperVCL.Write 00d0 TStream.SetPosition 00df TStream.CopyFrom 0103 WriteStringToStream 010b TMemoryStream.Clear 013d TObject.Free 0143 @HandleFinally 0160 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 99 52 50 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC E9 9D 00 00 00 8B 5F 38 85 DB 74 05 83 EB 04 8B 1B FF 75 EC FF 75 E8 8B C3 48 99 52 50 E8 ?? ?? ?? ?? 8B F0 56 8B 4D F0 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B C6 99 29 45 E8 19 55 EC 8B 47 38 0F B6 04 30 8B 55 FC 88 02 6A 01 6A 00 8B 4D FC 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 83 7D EC 00 75 08 83 7D E8 00 76 20 EB 02 7E 1C 6A 01 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 83 7D EC 00 75 0C 83 7D E8 00 0F 87 53 FF FF FF EB 06 0F 8F 4B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_32443_0 {
	meta:
		name = "TIdDecoder4to3.ConstructDecodeTable"
		size = 69
	strings:
		$1 = { 53 56 57 51 B8 7F 00 00 00 8B D9 C6 03 FF 43 48 75 F9 89 14 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 19 B8 01 00 00 00 0F B6 5C 02 FF 8D 5C 19 FF 53 8B D8 4B 5F 88 1F 40 4E 75 EC 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32444_0 {
	meta:
		name = "TIdDecoder4to3.Decode"
		size = 192
		refs = "0014 TIdDecoder4to3.Decode 0026 IndyLength 003b TArray<System.Byte> 0040 @DynArraySetLength 0050 _Dn_TIdStreamHelperVCL 0055 TIdStreamHelperVCL.ReadBytes 0062 TIdDecoder4to3.InternalDecode 0073 @DynArrayAsg 008d TIdStreamHelperVCL.Write 00ad @FinalizeArray 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 99 52 50 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 61 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 53 6A 00 8D 4D FC 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 38 85 C0 74 13 6A FF 6A 00 8B 4D FC 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_39237_0 {
	meta:
		name = "TIdDecoder4to3.Decode"
		size = 192
		refs = "0014 TIdDecoder4to3.Decode 0026 IndyLength 003b TArray<System.Byte> 0040 @DynArraySetLength 0050 _Dn_TInStreamHelperVCL 0055 TInStreamHelperVCL.ReadBytes 0062 TIdDecoder4to3.InternalDecode 0073 @DynArrayAsg 008d TInStreamHelperVCL.Write 00ad @FinalizeArray 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 99 52 50 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 61 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 53 6A 00 8D 4D FC 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 38 85 C0 74 13 6A FF 6A 00 8B 4D FC 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32445_0 {
	meta:
		name = "TIdDecoder4to3.InternalDecode"
		size = 508
		refs = "0019 TIdDecoder4to3.InternalDecode 002f TArray<System.Byte> 0034 @DynArraySetLength 004f @DynArrayLength 01e9 @DynArrayClear 01ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 0F B6 83 BF 00 00 00 88 45 E7 33 C0 89 45 F4 33 F6 8B C7 E8 ?? ?? ?? ?? 8B D0 81 E2 03 00 00 80 79 05 4A 83 CA FC 42 85 D2 74 13 85 C0 79 03 83 C0 03 C1 F8 02 03 C0 03 C0 89 45 E8 EB 03 89 45 E8 33 C0 89 45 F0 8B 45 E8 85 C0 79 03 83 C0 03 C1 F8 02 8D 04 40 89 45 EC 8B 45 EC 50 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 3B 75 E8 0F 8D F8 00 00 00 0F B6 04 37 8B 55 FC 88 02 0F B6 44 37 01 8B 55 FC 88 42 01 0F B6 44 37 02 8B 55 FC 88 42 02 0F B6 44 37 03 8B 55 FC 88 42 03 83 C6 04 8B 45 FC 0F B6 00 0F B6 44 03 3F 24 3F 03 C0 03 C0 8B 55 FC 0F B6 52 01 0F B6 54 13 3F C1 EA 04 80 E2 03 0A C2 8B 55 F8 8B 12 8B 4D F0 88 04 0A 8B 45 FC 0F B6 40 01 0F B6 44 03 3F 24 0F C1 E0 04 8B 55 FC 0F B6 52 02 0F B6 54 13 3F C1 EA 02 80 E2 0F 0A C2 8B 55 F8 8B 12 8B 4D F0 88 44 0A 01 8B 45 FC 0F B6 40 02 0F B6 44 03 3F 24 03 C1 E0 06 8B 55 FC 0F B6 52 03 0F B6 54 13 3F 80 E2 3F 0A C2 8B 55 F8 8B 12 8B 4D F0 88 44 0A 02 83 45 F0 03 8B 45 FC 0F B6 40 03 3A 45 E7 75 1E 8B 45 FC 0F B6 40 02 3A 45 E7 75 09 C7 45 F4 02 00 00 00 EB 0E C7 45 F4 01 00 00 00 EB 05 33 C0 89 45 F4 3B 75 E8 0F 8C 08 FF FF FF 83 7D F4 00 7E 1D 8B 45 EC 2B 45 F4 50 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32446_0 {
	meta:
		name = "TIdEncoder3to4.Encode"
		size = 201
		refs = "0017 TIdEncoder3to4.Encode 002a IndyLength 003f TArray<System.Byte> 0044 @DynArraySetLength 0054 _Dn_TIdStreamHelperVCL 0059 TIdStreamHelperVCL.ReadBytes 0066 TIdEncoder3to4.InternalEncode 0077 @DynArrayAsg 008b TIdStreamHelperVCL.Write 00a6 @DynArrayClear 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 99 52 50 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 5B 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 53 6A 00 8D 4D FC 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 6A 00 8B 4D FC 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_39239_0 {
	meta:
		name = "TIdEncoder3to4.Encode"
		size = 201
		refs = "0017 TIdEncoder3to4.Encode 002a IndyLength 003f TArray<System.Byte> 0044 @DynArraySetLength 0054 _Dn_TInStreamHelperVCL 0059 TInStreamHelperVCL.ReadBytes 0066 TIdEncoder3to4.InternalEncode 0077 @DynArrayAsg 008b TInStreamHelperVCL.Write 00a6 @DynArrayClear 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 99 52 50 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 5B 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 53 6A 00 8D 4D FC 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 6A 00 8B 4D FC 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_32447_0 {
	meta:
		name = "TIdEncoder3to4.InternalEncode"
		size = 422
		refs = "0012 @DynArrayLength 0039 TArray<System.Byte> 003e @DynArraySetLength"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F1 89 14 24 8B F8 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 04 8B 44 24 04 83 C0 02 B9 03 00 00 00 99 F7 F9 8B D8 03 DB 03 DB 53 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 33 C0 3B 44 24 04 0F 8D 35 01 00 00 8B 54 24 04 2B D0 89 54 24 08 83 7C 24 08 02 7E 2A 8B 14 24 0F B6 14 02 88 54 24 0C 8B 14 24 0F B6 54 02 01 88 54 24 0D 8B 14 24 0F B6 54 02 02 88 54 24 0E BA 03 00 00 00 EB 44 83 7C 24 08 01 7E 23 8B 14 24 0F B6 14 02 88 54 24 0C 8B 14 24 0F B6 54 02 01 88 54 24 0D C6 44 24 0E 00 BA 02 00 00 00 EB 1A 8B 14 24 0F B6 14 02 88 54 24 0C C6 44 24 0D 00 C6 44 24 0E 00 BA 01 00 00 00 03 C2 0F B6 4C 24 0C C1 E9 02 83 E1 3F 8B 6F 38 0F B6 4C 0D 00 8B 2E 88 4C 1D 00 0F B6 4C 24 0C 80 E1 03 0F B6 C9 C1 E1 04 0F B6 6C 24 0D C1 ED 04 83 E5 0F 0B CD 83 E1 3F 8B 6F 38 0F B6 4C 0D 00 8B 2E 88 4C 1D 01 0F B6 4C 24 0D 80 E1 0F 0F B6 C9 03 C9 03 C9 0F B6 6C 24 0E C1 ED 06 83 E5 03 0B CD 83 E1 3F 8B 6F 38 0F B6 4C 0D 00 8B 2E 88 4C 1D 02 0F B6 4C 24 0E 80 E1 3F 0F B6 C9 8B 6F 38 0F B6 4C 0D 00 8B 2E 88 4C 1D 03 83 C3 04 83 FA 03 7D 17 0F B6 4F 3C 8B 2E 88 4C 1D FF 4A 75 0A 0F B6 57 3C 8B 0E 88 54 19 FE 3B 44 24 04 0F 8C CB FE FF FF 53 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32450_0 {
	meta:
		name = "TIdDecoderBinHex4.InitComponent"
		size = 55
		refs = "0008 TIdInitializerComponent.InitComponent 000d GBinHex4DecodeTable 0023 GBinHex4CodeTable 0028 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? BE ?? ?? ?? ?? 8D 7B 40 B9 1F 00 00 00 F3 A5 66 A5 A4 8D 43 3C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 BF 00 00 00 3D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32474_0 {
	meta:
		name = "TIdDecoderMIME.InitComponent"
		size = 55
		refs = "0008 TIdInitializerComponent.InitComponent 000d GBase64DecodeTable 0023 GBase64CodeTable 0028 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? BE ?? ?? ?? ?? 8D 7B 40 B9 1F 00 00 00 F3 A5 66 A5 A4 8D 43 3C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 BF 00 00 00 3D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32451_0 {
	meta:
		name = "TIdDecoderBinHex4.Decode"
		size = 1000
		refs = "0017 TIdDecoderBinHex4.Decode 0029 IndyLength 0042 TArray<System.Byte> 0047 @DynArraySetLength 0057 _Dn_TIdStreamHelperVCL 005c TIdStreamHelperVCL.ReadBytes 00a8 ByteIsInEOL 00cd _DV_EIdMissingColon 00d2 EIdException.Toss 00ee @DynArrayLength 0104 TIdDecoder4to3.InternalDecode 0134 RemoveBytes 01d6 ExpandBytes 0278 TIdStreamHelperVCL.Write 0298 @FinalizeArray 029e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 99 52 50 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E 45 02 00 00 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 53 6A 00 8D 4D FC 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 CE FF 8B FB 4F 85 FF 7C 58 47 33 DB 8B 45 FC 80 3C 18 3A 75 27 83 FE FF 75 04 33 F6 EB 3F 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 BE FE FF FF FF EB 25 83 FE FF 7E 1C 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0E 8B 45 FC 0F B6 04 18 8B 55 FC 88 04 32 46 43 4F 75 AB 83 FE FF 75 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE FE 74 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 82 01 00 00 8D 4D F8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 DB E9 D1 00 00 00 8B 45 F8 80 3C 18 90 0F 85 C3 00 00 00 8B 45 F8 0F B6 74 18 01 85 F6 75 16 8D 53 01 8D 45 F8 B9 01 00 00 00 E8 ?? ?? ?? ?? 43 E9 A2 00 00 00 83 FE 01 75 14 8D 45 F8 B9 02 00 00 00 8B D3 E8 ?? ?? ?? ?? E9 89 00 00 00 83 FE 02 75 21 8B 45 F8 0F B6 44 18 FF 8B 55 F8 88 04 1A 8D 53 01 8D 45 F8 B9 01 00 00 00 E8 ?? ?? ?? ?? 43 EB 63 83 FE 03 75 22 8B 45 F8 0F B6 44 18 FF 8B 55 F8 88 04 1A 8B 45 F8 0F B6 44 18 FF 8B 55 F8 88 44 1A 01 83 C3 02 EB 3C 8B 45 F8 0F B6 44 18 FF 8B 55 F8 88 04 1A 8B 45 F8 0F B6 44 18 FF 8B 55 F8 88 44 1A 01 8B 45 F8 0F B6 44 18 FF 50 8B CE 83 E9 02 8D 53 02 8D 45 F8 E8 ?? ?? ?? ?? 4E 03 DE EB 01 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 0F 8C 1F FF FF FF 8B 45 F8 0F B6 18 43 83 C3 0B 8B 45 F8 0F B6 04 18 C1 E0 08 8B 55 F8 0F B6 54 1A 01 03 C2 C1 E0 08 8B 55 F8 0F B6 54 1A 02 03 C2 C1 E0 08 8B 55 F8 0F B6 54 1A 03 03 C2 83 C3 04 85 C0 75 2E 8B 45 F8 0F B6 04 18 C1 E0 08 8B 55 F8 0F B6 54 1A 01 03 C2 C1 E0 08 8B 55 F8 0F B6 54 1A 02 03 C2 C1 E0 08 8B 55 F8 0F B6 54 1A 03 03 C2 83 C3 04 83 C3 02 8B 55 F4 8B 52 38 85 D2 74 0F 50 53 8B 4D F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 46 00 00 00 42 00 6C 00 6F 00 63 00 6B 00 20 00 70 00 61 00 73 00 73 00 65 00 64 00 20 00 74 00 6F 00 20 00 54 00 49 00 64 00 44 00 65 00 63 00 6F 00 64 00 65 00 72 00 42 00 69 00 6E 00 48 00 65 00 78 00 34 00 2E 00 44 00 65 00 63 00 6F 00 64 00 65 00 20 00 69 00 73 00 20 00 6D 00 69 00 73 00 73 00 69 00 6E 00 67 00 20 00 61 00 20 00 73 00 74 00 61 00 72 00 74 00 69 00 6E 00 67 00 20 00 63 00 6F 00 6C 00 6F 00 6E 00 20 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 49 00 00 00 42 00 6C 00 6F 00 63 00 6B 00 20 00 70 00 61 00 73 00 73 00 65 00 64 00 20 00 74 00 6F 00 20 00 54 00 49 00 64 00 44 00 65 00 63 00 6F 00 64 00 65 00 72 00 42 00 69 00 6E 00 48 00 65 00 78 00 34 00 2E 00 44 00 65 00 63 00 6F 00 64 00 65 00 20 00 69 00 73 00 20 00 6D 00 69 00 73 00 73 00 69 00 6E 00 67 00 20 00 61 00 20 00 74 00 65 00 72 00 6D 00 69 00 6E 00 61 00 74 00 69 00 6E 00 67 00 20 00 63 00 6F 00 6C 00 6F 00 6E 00 20 00 3A 00 00 00 }
	condition:
		$1
}

rule function_32452_0 {
	meta:
		name = "TIdEncoderBinHex4.InitComponent"
		size = 30
		refs = "0006 TIdInitializerComponent.InitComponent 000f GBinHex4CodeTable 0014 @LStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 3C 3D 5B C3 }
	condition:
		$1
}

rule function_32475_0 {
	meta:
		name = "TIdEncoderMIME.InitComponent"
		size = 30
		refs = "0006 TIdInitializerComponent.InitComponent 000f GBase64CodeTable 0014 @LStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 3C 3D 5B C3 }
	condition:
		$1
}

rule function_32453_0 {
	meta:
		name = "TIdEncoderBinHex4.GetCRC"
		size = 90
		refs = "0021 IndyLength 0045 TIdEncoderBinHex4.AddByteCRC"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F8 66 C7 45 F6 00 00 8B 4D F8 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 24 8B D8 4B 85 DB 7C 1D 43 33 F6 8B 45 F8 03 C6 8B 55 FC 0F B6 0C 02 8D 55 F6 8B C7 E8 ?? ?? ?? ?? 46 4B 75 E6 0F B7 45 F6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_32454_0 {
	meta:
		name = "TIdEncoderBinHex4.AddByteCRC"
		size = 53
	strings:
		$1 = { 53 56 57 B8 08 00 00 00 F6 42 01 80 0F 95 C3 0F B7 32 03 F6 0F B6 F9 C1 EF 07 66 0B F7 66 89 32 84 DB 74 05 66 81 32 21 10 03 C9 80 E1 FF 48 75 D7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32455_0 {
	meta:
		name = "TIdEncoderBinHex4.Encode"
		size = 1120
		refs = "0023 TIdEncoderBinHex4.Encode 003c _DV_EIdMissingFileName 0041 EIdException.Toss 004f IndyLength 0065 @LStrFromUStr 008a @LStrSetLength 00ae TArray<System.Byte> 00b3 @DynArraySetLength 01d2 TIdEncoderBinHex4.GetCRC 0202 _Dn_TIdStreamHelperVCL 0207 TIdStreamHelperVCL.ReadBytes 0262 ExpandBytes 0270 TIdEncoder3to4.InternalEncode 0281 @DynArrayAsg 028d InsertByte 0297 AppendByte 02bb @DynArrayLength 02d1 GBinHex4IdentificationString 02d6 @UStrCat3 02e3 WriteStringToStream 031a TIdStreamHelperVCL.Write 0388 @UStrClr 0396 @DynArrayClear 039e @LStrClr 03b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D FC 89 5D F8 8B F9 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 78 40 00 75 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 99 52 50 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E8 8D 45 F8 8B 55 F4 8B 52 40 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 40 85 C0 74 05 83 E8 04 8B 00 3D FF 00 00 00 7E 0F 8D 45 F8 33 C9 BA FF 00 00 00 E8 ?? ?? ?? ?? 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 83 C3 16 03 5D E8 83 C3 02 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B 55 FC 88 02 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 17 BB 01 00 00 00 8B 45 F8 0F B6 44 18 FF 8B 55 FC 88 04 1A 43 4E 75 EE 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8D 70 01 8B 45 FC C6 04 30 00 46 33 DB 8D 04 33 8B 55 FC C6 04 02 20 43 83 FB 08 75 F0 83 C6 08 8B 45 FC C6 04 30 00 8B 45 FC C6 04 30 00 83 C6 02 8B 5D E8 8B C3 25 FF 00 00 80 79 07 48 0D 00 FF FF FF 40 8B 55 FC 88 04 32 B9 00 01 00 00 8B C3 99 F7 F9 89 C3 8B C3 25 FF 00 00 80 79 07 48 0D 00 FF FF FF 40 8B 55 FC 88 44 32 01 B9 00 01 00 00 8B C3 99 F7 F9 89 C3 8B C3 25 FF 00 00 80 79 07 48 0D 00 FF FF FF 40 8B 55 FC 88 44 32 02 B9 00 01 00 00 8B C3 99 F7 F9 89 C3 8B 45 FC 88 5C 30 03 83 C6 04 8B 45 FC C6 04 30 00 8B 45 FC C6 44 30 01 00 8B 45 FC C6 44 30 02 00 8B 45 FC C6 44 30 03 00 83 C6 04 56 33 C9 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 0F B7 D0 8B CA 81 E1 FF 00 00 00 8B 5D FC 88 0C 33 C1 EA 08 8B C2 8B 55 FC 88 44 32 01 83 C6 02 8B 45 E8 50 56 8D 4D FC 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B CE 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 03 75 E8 0F B7 D0 8B CA 81 E1 FF 00 00 00 8B 5D FC 88 0C 33 C1 EA 08 8B C2 8B 55 FC 88 44 32 01 83 C6 02 8B C6 B9 03 00 00 00 99 F7 F9 89 55 E8 83 7D E8 00 7E 14 6A 00 B9 03 00 00 00 2B 4D E8 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 4D E4 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 33 C9 B2 3A E8 ?? ?? ?? ?? 8D 45 FC B2 3A E8 ?? ?? ?? ?? 33 DB EB 18 8B 45 FC 80 3C 18 90 75 0E 8D 4B 01 8D 45 FC 33 D2 E8 ?? ?? ?? ?? 43 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C DC 6A 01 6A 00 8D 45 E0 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 83 C9 FF 8B C7 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 79 03 83 C0 3F C1 F8 06 89 45 EC 8B 75 EC 4E 85 F6 7C 31 46 33 DB 6A 40 8B C3 C1 E0 06 50 8B 4D FC 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 43 4E 75 D2 8B 45 FC E8 ?? ?? ?? ?? 25 3F 00 00 80 79 05 48 83 C8 C0 40 85 C0 7E 2A 50 8B 45 EC C1 E0 06 50 8B 4D FC 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 3D 00 00 00 44 00 61 00 74 00 61 00 20 00 70 00 61 00 73 00 73 00 65 00 64 00 20 00 74 00 6F 00 20 00 54 00 49 00 64 00 45 00 6E 00 63 00 6F 00 64 00 65 00 72 00 42 00 69 00 6E 00 48 00 65 00 78 00 34 00 2E 00 45 00 6E 00 63 00 6F 00 64 00 65 00 20 00 69 00 73 00 20 00 6D 00 69 00 73 00 73 00 69 00 6E 00 67 00 20 00 61 00 20 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_32456_0 {
	meta:
		name = "Finalization"
		size = 68
		refs = "0007 Finalization 0013 _DV_5 001a GBinHex4CodeTable 001f @LStrClr 0024 GBinHex4IdentificationString 0029 @UStrClr 003c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 14 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_42509_0 {
	meta:
		name = "Finalization"
		size = 68
		refs = "0007 Finalization 0013 _DV_5 001a GStackPeer 001f @IntfClear 0024 FPeerFactory 003c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 14 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_52369_0 {
	meta:
		name = "Finalization"
		size = 68
		refs = "0007 Finalization 0013 _DV_11 001a G_BasicOperators 001f @IntfClear 0024 G_BasicConstants 003c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 14 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_78572_0 {
	meta:
		name = "Finalization"
		size = 68
		refs = "0007 Finalization 0013 _DV_7 001a SingletonD2DFactory 001f @IntfClear 0024 SingletonDWriteFactory 003c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 14 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_110901_0 {
	meta:
		name = "Finalization"
		size = 68
		refs = "0007 Finalization 0013 _DV_1 001a SERVICES_ACTIVE_DATABASEA 001f @LStrClr 0024 SERVICES_FAILED_DATABASEA 003c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 14 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_32457_0 {
	meta:
		name = "IdCoderBinHex4"
		size = 31
		refs = "0002 _DV_5 000a GBinHex4DecodeTable 0010 GBinHex4CodeTable 0015 _Dn_TIdDecoder4to3 001a TIdDecoder4to3.ConstructDecodeTable"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32477_0 {
	meta:
		name = "IdCoderMIME"
		size = 31
		refs = "0002 _DV_4 000a GBase64DecodeTable 0010 GBase64CodeTable 0015 _Dn_TIdDecoder4to3 001a TIdDecoder4to3.ConstructDecodeTable"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32493_0 {
	meta:
		name = "IdCoderXXE"
		size = 31
		refs = "0002 _DV_3 000a GXXEDecodeTable 0010 GXXECodeTable 0015 _Dn_TIdDecoder00E 001a TIdDecoder4to3.ConstructDecodeTable"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39249_0 {
	meta:
		name = "InCoderMIME"
		size = 31
		refs = "0002 _DV_4 000a GBase64DecodeTable 0010 GBase64CodeTable 0015 _Dn_TIdDecoder4to3 001a TIdDecoder4to3.ConstructDecodeTable"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32458_0 {
	meta:
		name = "EncodeAddressItem"
		size = 472
		refs = "001e EncodeAddressItem 003b @UStrAsg 0090 csAddressSpecials 0098 EncodeHeader 00a7 @UStrLAsg 00e1 @UStrCat 00f1 @UStrFromWChar 0137 IndyFormat 016b @UStrClr 0179 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D F0 89 5D FC 89 4D F4 66 89 55 FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 0C 00 74 11 83 7B 10 00 75 0B 8D 43 10 8B 53 0C E8 ?? ?? ?? ?? 83 7B 10 00 0F 84 F4 00 00 00 33 C0 8B 53 10 85 D2 74 05 83 EA 04 8B 12 8B FA 85 FF 7E 21 BE 01 00 00 00 8B 53 10 0F B7 54 72 FE 66 83 FA 20 72 06 66 83 FA 7F 72 04 B0 01 EB 04 46 4F 75 E4 84 C0 74 1C 8B 45 F4 50 8D 45 FC 50 0F B7 4D FA 8B 15 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? EB 73 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 10 85 C0 74 05 83 E8 04 8B 00 8B F8 85 FF 7E 47 BE 01 00 00 00 8B 43 10 66 83 7C 70 FE 5C 74 0B 8B 43 10 66 83 7C 70 FE 22 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 53 10 0F B7 54 72 FE E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 46 4F 75 BE 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 FC 89 45 E0 C6 45 E4 11 8B 43 0C 89 45 E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1D 8B 45 08 50 8B 43 0C 89 45 D8 C6 45 DC 11 8D 55 D8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 20 00 3C 00 25 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_32459_0 {
	meta:
		name = "B64"
		size = 26
		refs = "0003 base64_tbl"
	strings:
		$1 = { 33 C9 BA ?? ?? ?? ?? 66 3B 02 74 0B 41 83 C2 02 80 F9 40 75 F2 33 C9 8B C1 C3 }
	condition:
		$1
}

rule function_32460_0 {
	meta:
		name = "ExtractEncoding"
		size = 312
		refs = "0016 ExtractEncoding 001e PosIdx 00c2 @UStrCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 45 FC C6 45 F7 00 8B CA B8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 C5 00 00 00 8B 45 14 3B 18 0F 8F BA 00 00 00 83 C3 02 8B CB 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 9E 00 00 00 8B 45 14 3B 30 0F 8F 93 00 00 00 46 8B CE 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 74 7D 8B 45 14 3B 38 7F 76 47 8B CF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 5D 8B 45 14 8B 00 3B 45 F0 7C 53 FF 45 F0 8B C3 83 E8 02 8B 55 F8 89 02 8B 45 14 8B 55 F0 89 10 8B 45 10 50 8B CE 2B CB 49 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C 50 8B CF 2B CE 49 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D F0 2B CF 49 8B D7 8B 45 FC E8 ?? ?? ?? ?? C6 45 F7 01 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 10 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3D 00 3F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3F 00 3D 00 00 00 00 00 }
	condition:
		$1
}

rule function_32461_0 {
	meta:
		name = "ExtractEncodedData"
		size = 752
		refs = "0022 ExtractEncodedData 003a TArray<System.Byte> 003f @DynArraySetLength 006b PosInStrArray 00a1 AppendByte 00e6 @UStrCopy 00f6 @UStrCat3 0103 IndyStrToInt 0124 @UStrLen 0188 B64 0222 AppendBytes 0248 Indy8BitEncoding 0252 TEncoding.GetBytes 0263 @DynArrayAsg 0280 @DynArrayClear 028d @UStrArrayClr 02a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D8 89 5D D4 89 5D FC 89 4D F8 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 6A 00 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 B8 ?? ?? ?? ?? 89 45 DC B8 ?? ?? ?? ?? 89 45 E0 B8 ?? ?? ?? ?? 89 45 E4 8D 55 DC B9 02 00 00 00 8B C7 E8 ?? ?? ?? ?? 83 E8 01 72 12 0F 84 BD 00 00 00 48 0F 84 C4 01 00 00 E9 E3 01 00 00 BB 01 00 00 00 E9 91 00 00 00 0F B7 7C 5E FE 66 83 FF 5F 75 0C 8B 45 F8 B2 20 E8 ?? ?? ?? ?? EB 79 66 83 FF 3D 75 20 89 75 EC 83 7D EC 00 74 0B 8B 45 EC 83 E8 04 8B 00 89 45 EC 8D 43 02 3B 45 EC 0F 9E 45 EB EB 04 C6 45 EB 00 80 7D EB 00 74 3F 8D 45 D4 50 8D 53 01 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 4D D4 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 BA 20 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 83 C3 02 EB 0A 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 43 8B C6 E8 ?? ?? ?? ?? 3B D8 0F 8E 60 FF FF FF B3 01 E9 32 01 00 00 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 79 03 83 C3 03 C1 FB 02 85 DB 0F 8E EB 00 00 00 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 4B 85 DB 0F 8C CA 00 00 00 43 89 5D F0 33 DB 8B FB 03 FF 03 FF 0F B7 04 7E E8 ?? ?? ?? ?? 88 45 F4 0F B7 44 7E 02 E8 ?? ?? ?? ?? 88 45 F5 0F B7 44 7E 04 E8 ?? ?? ?? ?? 88 45 F6 0F B7 44 7E 06 E8 ?? ?? ?? ?? 88 45 F7 0F B6 55 F4 03 D2 03 D2 0F B6 45 F5 0F B6 C8 C1 E9 04 0A D1 8B 4D FC 88 11 C1 E0 04 0F B6 55 F6 C1 EA 02 0A C2 8B 55 FC 88 42 01 0F B6 45 F6 C1 E0 06 0F B6 55 F7 C1 EA 00 0A C2 8B 55 FC 88 42 02 66 83 7C 7E 06 3D 75 29 66 83 7C 7E 04 3D 75 10 8B 45 FC 0F B6 10 8B 45 F8 E8 ?? ?? ?? ?? EB 2A 6A 02 8B 45 F8 33 C9 8B 55 FC E8 ?? ?? ?? ?? EB 19 6A 03 8B 45 F8 33 C9 8B 55 FC E8 ?? ?? ?? ?? 43 FF 4D F0 0F 85 3C FF FF FF B3 01 EB 24 B0 01 E8 ?? ?? ?? ?? 8D 4D D0 8B D6 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 51 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 42 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 38 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_32462_0 {
	meta:
		name = "DecodeHeader"
		size = 604
		refs = "002e DecodeHeader 003d @UStrAsg 0073 FindFirstNotOf 008c FindFirstOf 00b9 ExtractEncoding 00d3 ExtractEncodedData 00e5 DecodeHeaderData 010c @UStrCopy 0135 @UStrCatN 0217 @UStrArrayClr 0220 TArray<System.Byte> 0225 @DynArrayClear 0238 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 C9 89 4D B8 89 4D B4 89 4D C0 89 4D BC 89 4D FC 89 4D F8 89 4D F4 89 4D F0 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B D3 E8 ?? ?? ?? ?? BB 01 00 00 00 8B 06 89 45 C4 8B 45 C4 85 C0 74 05 83 E8 04 8B 00 8B F8 C6 45 DB 00 89 5D DC 3B FB 0F 8C 99 01 00 00 53 8B 16 8B CF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 80 01 00 00 53 8B 16 8B CF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 83 7D E0 00 74 05 FF 4D E0 EB 03 89 7D E0 8D 45 E0 50 8D 45 FC 50 8D 45 F8 50 8D 45 F4 50 8D 4D E4 8B 06 8B D3 E8 ?? ?? ?? ?? 84 C0 0F 84 1B 01 00 00 C6 45 EB 00 8D 4D EC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 11 8D 4D F0 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 88 45 EB 80 7D EB 00 0F 84 BE 00 00 00 80 7D DB 00 74 5C 8D 45 C0 50 8B 4D DC 49 8B 06 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 C0 FF 75 F0 8D 45 BC 50 8B 55 E0 42 8B 06 B9 FF FF FF 7F E8 ?? ?? ?? ?? FF 75 BC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 89 45 D4 83 7D D4 00 74 0B 8B 45 D4 83 E8 04 8B 00 89 45 D4 8B 5D DC 03 5D D4 EB 60 8D 45 B8 50 8B 4D E4 49 8B 06 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 B8 FF 75 F0 8D 45 B4 50 8B 55 E0 42 8B 06 B9 FF FF FF 7F E8 ?? ?? ?? ?? FF 75 B4 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 89 45 D0 83 7D D0 00 74 0B 8B 45 D0 83 E8 04 8B 00 89 45 D0 8B 5D E4 03 5D D0 EB 04 8B 5D E0 43 8B 06 89 45 CC 8B 45 CC 89 45 C8 83 7D C8 00 74 0B 8B 45 C8 83 E8 04 8B 00 89 45 C8 8B 7D C8 C6 45 DB 01 89 5D DC EB 19 53 8B 16 8B CF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 0C C6 45 DB 00 3B FB 0F 8D 67 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 09 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_32463_0 {
	meta:
		name = "DecodeAddress"
		size = 77
		refs = "000c DecodeAddress 001d DecodeHeader 0028 @UStrAsg 003d @UStrClr 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 10 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_32464_0 {
	meta:
		name = "DecodeAddresses"
		size = 111
		refs = "0010 @UStrAddRef 0018 DecodeAddresses 0028 TIdEMailAddressList.SetEMailAddresses 003f TIdEMailAddressList.GetItem 0044 DecodeAddress 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 47 08 8B 58 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32465_0 {
	meta:
		name = "EncodeAddress"
		size = 224
		refs = "001f EncodeAddress 0041 TIdEMailAddressList.GetItem 004d EncodeAddressItem 0094 @UStrCatN 00a1 @UStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F4 66 89 55 FA 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 FC 8B 46 08 83 78 08 00 7E 69 0F B6 45 0C 50 53 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F4 0F B7 55 FA E8 ?? ?? ?? ?? 8B 46 08 8B 40 08 48 85 C0 7E 49 89 C6 BF 01 00 00 00 FF 33 68 ?? ?? ?? ?? 0F B6 45 0C 50 8D 45 F0 50 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F4 0F B7 55 FA E8 ?? ?? ?? ?? FF 75 F0 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 47 4E 75 C7 EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_32466_0 {
	meta:
		name = "EncodeWord"
		size = 1264
		refs = "0019 EncodeWord 0030 @UStrCat 008f @UStrFromWChar 009d PosInStrArray 00d2 @UStrLAsg 00e7 ByteIsInSet 0119 IntToHex 0129 @UStrCat3 018a @UStrCatN 0284 base64_tbl 045d @UStrArrayClr 0465 @UStrClr 046b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 C0 FC 8B 55 08 8B 52 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 45 08 3B 78 F4 7E 07 8B 45 08 8B 78 F4 47 8B 45 08 8B 58 F0 8B 45 08 C7 40 F0 FF FF FF FF 8B 45 08 8B 40 F8 89 45 E0 8B 45 E0 85 C0 74 05 83 E8 04 8B 00 8D 70 02 6A 00 B8 ?? ?? ?? ?? 89 45 D8 B8 ?? ?? ?? ?? 89 45 DC 8D 45 D8 50 8D 45 D4 8B 55 08 0F B7 52 EE E8 ?? ?? ?? ?? 8B 45 D4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 83 E8 01 72 0B 0F 84 41 01 00 00 E9 82 03 00 00 3B FB 0F 8E 7A 03 00 00 8B 45 08 8B 40 E8 0F B6 04 18 66 83 F8 20 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 69 8B 45 08 8B 48 E4 8B 45 08 8B 40 E8 8B D3 E8 ?? ?? ?? ?? 84 C0 74 17 8B 45 08 8B 48 E0 8B 45 08 8B 40 E8 8B D3 E8 ?? ?? ?? ?? 84 C0 74 29 8D 4D D0 8B 45 08 8B 40 E8 0F B6 04 18 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D D0 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 8D 45 FC 8B 55 08 8B 52 E8 0F B6 14 1A E8 ?? ?? ?? ?? 8B 45 FC 89 45 F8 83 7D F8 00 74 0B 8B 45 F8 83 E8 04 8B 00 89 45 F8 8B C6 03 45 F8 83 F8 4B 7E 52 8B 45 08 FF 70 FC 8B 45 08 FF 70 DC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 FF 70 F8 8B 45 08 83 C0 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 89 45 F4 8B 45 F4 89 45 F0 83 7D F0 00 74 0B 8B 45 F0 83 E8 04 8B 00 89 45 F0 8B 75 F0 83 C6 02 8B 45 08 83 C0 FC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 8B 45 FC 89 45 EC 83 7D EC 00 74 0B 8B 45 EC 83 E8 04 8B 00 89 45 EC 03 75 EC 43 3B FB 0F 8F D1 FE FF FF E9 46 02 00 00 3B FB 0F 8E 3E 02 00 00 8D 46 04 83 F8 4B 7E 52 8B 45 08 FF 70 FC 8B 45 08 FF 70 DC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 FF 70 F8 8B 45 08 83 C0 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 89 45 E8 8B 45 E8 89 45 E4 83 7D E4 00 74 0B 8B 45 E4 83 E8 04 8B 00 89 45 E4 8B 75 E4 83 C6 02 8B 45 08 8B 40 E8 0F B6 04 18 8B 55 08 89 42 D8 8B C7 2B C3 48 74 08 48 74 60 E9 F2 00 00 00 8B 45 08 FF 70 FC 8D 45 CC 8B 55 08 8B 52 D8 C1 EA 02 0F B7 14 55 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 CC 8D 45 C8 8B 55 08 8B 52 D8 83 E2 03 C1 E2 04 0F B7 14 55 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 C8 68 ?? ?? ?? ?? 8B 45 08 83 C0 FC BA 04 00 00 00 E8 ?? ?? ?? ?? E9 5C 01 00 00 8B 45 08 8B 40 E8 0F B6 44 18 01 8B 55 08 89 42 D4 8B 45 08 FF 70 FC 8D 45 C4 8B 55 08 8B 52 D8 C1 EA 02 0F B7 14 55 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 C4 8D 45 C0 8B 55 08 8B 52 D8 83 E2 03 C1 E2 04 8B 4D 08 8B 49 D4 C1 E9 04 03 D1 0F B7 14 55 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 C0 8D 45 BC 8B 55 08 8B 52 D4 83 E2 0F 03 D2 03 D2 0F B7 14 55 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 BC 68 ?? ?? ?? ?? 8B 45 08 83 C0 FC BA 05 00 00 00 E8 ?? ?? ?? ?? E9 C5 00 00 00 8B 45 08 8B 40 E8 0F B6 44 18 01 8B 55 08 89 42 D4 8B 45 08 8B 40 E8 0F B6 44 18 02 8B 55 08 89 42 D0 8B 45 08 FF 70 FC 8D 45 B8 8B 55 08 8B 52 D8 C1 EA 02 0F B7 14 55 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 B8 8D 45 B4 8B 55 08 8B 52 D8 83 E2 03 C1 E2 04 8B 4D 08 8B 49 D4 C1 E9 04 03 D1 0F B7 14 55 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 B4 8D 45 B0 8B 55 08 8B 52 D4 83 E2 0F 03 D2 03 D2 8B 4D 08 8B 49 D0 C1 E9 06 03 D1 0F B7 14 55 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 B0 8D 45 AC 8B 55 08 8B 52 D0 83 E2 3F 0F B7 14 55 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 AC 8B 45 08 83 C0 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 83 C6 04 83 C3 03 3B FB 0F 8F C2 FD FF FF 8B 45 08 83 C0 FC 8B 55 08 8B 52 DC E8 ?? ?? ?? ?? 8B 45 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 51 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 42 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3D 00 3D 00 00 00 00 00 }
	condition:
		$1
}

rule function_32467_0 {
	meta:
		name = "CreateEncodeRange"
		size = 82
		refs = "0022 TArray<System.Byte> 0027 @DynArraySetLength 0031 @DynArrayLength"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B D8 0F B6 45 FF 0F B6 D3 2B C2 40 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 06 E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 10 42 33 C0 8B C8 02 CB 8B 3E 88 0C 07 40 4A 75 F3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32468_0 {
	meta:
		name = "EncodeHeader"
		size = 772
		refs = "0026 @UStrAddRef 002e EncodeHeader 0040 @UStrClr 0051 EncodeHeaderData 0063 BytesToStringRaw 0074 CreateEncodeRange 008a AppendByte 00a5 AppendBytes 00c7 Indy8BitEncoding 00d4 ToBytes 00eb @UStrFromWChar 0100 @UStrCatN 010d @UStrLAsg 0117 DecodeHeader 0121 @UStrEqual 012f ByteIndex 013e RemoveBytes 0146 @DynArrayLength 0196 ByteIsInSet 01e7 BytesToString 01f2 @UStrCat 0208 EncodeWord 024b @UStrAsg 0265 @UStrArrayClr 026e TArray<System.Byte> 0278 @FinalizeArray 0286 @DynArrayClear 02bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 66 89 4D EE 89 55 CC 8B D8 8B 75 0C 8B 45 CC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 0D 8B 45 08 E8 ?? ?? ?? ?? E9 06 02 00 00 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 66 83 7D EE 38 75 10 8B 55 08 8B 45 E8 E8 ?? ?? ?? ?? E9 E3 01 00 00 8D 4D C8 B2 7E B0 20 E8 ?? ?? ?? ?? 8D 4D E4 B2 3C B0 21 E8 ?? ?? ?? ?? 8D 45 E4 B2 3E E8 ?? ?? ?? ?? 6A FF 8D 4D C0 B2 5E B0 40 E8 ?? ?? ?? ?? 8B 55 C0 8D 45 E4 33 C9 E8 ?? ?? ?? ?? 6A FF 8D 4D BC B2 7E B0 60 E8 ?? ?? ?? ?? 8B 55 BC 8D 45 E4 33 C9 E8 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8D 4D E0 8B 45 CC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 B8 0F B7 55 EE E8 ?? ?? ?? ?? FF 75 B8 68 ?? ?? ?? ?? 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 B4 8B C3 E8 ?? ?? ?? ?? 8B 45 B4 8B D3 E8 ?? ?? ?? ?? 74 1B 33 C9 8B 55 C8 B0 3D E8 ?? ?? ?? ?? 8B C8 8D 45 C8 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 89 45 F4 33 F6 8D 45 FC E8 ?? ?? ?? ?? C7 45 F0 FF FF FF FF 3B 75 F4 0F 8D CE 00 00 00 8B FE EB 01 46 3B 75 F4 7D 15 8B 45 E8 0F B6 04 30 04 F7 2C 02 72 ED 2C 02 74 E9 2C 13 74 E5 89 75 C4 33 DB EB 25 8B 4D C8 8B D6 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 11 8B 4D E0 8B D6 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 02 B3 01 46 3B 75 F4 7D 15 8B 45 E8 0F B6 04 30 04 F7 2C 02 72 08 2C 02 74 04 2C 13 75 C1 84 DB 74 2E 83 7D F0 FF 75 56 6A 00 8D 45 B0 50 8B 4D C4 2B CF 8B D7 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 B0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 C4 89 45 F0 EB 2E 83 7D F0 FF 74 09 55 8B C7 E8 ?? ?? ?? ?? 59 6A 00 8D 45 AC 50 8B CE 2B CF 8B D7 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 AC 8D 45 FC E8 ?? ?? ?? ?? 3B 75 F4 0F 8C 32 FF FF FF 83 7D F0 FF 74 09 55 8B C6 E8 ?? ?? ?? ?? 59 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9A 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3D 00 3F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3F 00 3D 00 00 00 00 00 }
	condition:
		$1
}

rule function_32471_0 {
	meta:
		name = "TIdDecoderMIMELineByLine.DecodeBegin"
		size = 39
		refs = "0006 TIdDecoder.DecodeBegin 0019 TArray<System.Byte> 001e @DynArraySetLength"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 8D 83 C0 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5B C3 }
	condition:
		$1
}

rule function_32472_0 {
	meta:
		name = "TIdDecoderMIMELineByLine.DecodeEnd"
		size = 263
		refs = "0014 @DynArrayLength 0041 TArray<System.Byte> 0046 @DynArraySetLength 0071 _Dn_TMemoryStream 0076 TObject.Create 0081 TIdDecoderMIMELineByLine.DecodeEnd 009d WriteTIdBytesToStream 00a9 TStream.SetPosition 00b7 TIdDecoder4to3.Decode 00d1 TObject.Free 00f4 @HandleFinally 00fe TIdDecoder.DecodeEnd"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC 8B 80 C0 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8E DA 00 00 00 8B 45 FC 8B 80 C0 00 00 00 E8 ?? ?? ?? ?? 8B D8 6A 04 8B 45 FC 05 C0 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 FB 04 7D 1C 8B 45 FC 8B 80 C0 00 00 00 8B 55 FC 0F B6 92 BF 00 00 00 88 14 18 43 83 FB 04 7C E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 FC 8B 90 C0 00 00 00 83 C9 FF 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 83 C9 FF 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 6A 00 8B 45 FC 05 C0 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C3 E9 ?? ?? ?? ?? EB CE 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32473_0 {
	meta:
		name = "TIdDecoderMIMELineByLine.Decode"
		size = 380
		refs = "0016 TIdDecoderMIMELineByLine.Decode 002b TArray<System.Byte> 0030 @DynArrayAsg 0041 ReadTIdBytesFromStream 005e AppendBytes 0066 @DynArrayLength 00b0 @DynArrayCopyRange 00df @DynArraySetLength 00e9 _Dn_TMemoryStream 00ee TObject.Create 010f WriteTIdBytesToStream 011b TStream.SetPosition 0127 TIdDecoder4to3.Decode 0141 TObject.Free 0147 @HandleFinally 0169 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 93 C0 00 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 99 52 50 8D 55 F8 33 C9 8B C6 E8 ?? ?? ?? ?? 83 FA 00 75 07 83 F8 00 76 13 EB 02 7E 0F 6A FF 8D 45 FC 33 C9 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 25 03 00 00 80 79 05 48 83 C8 FC 40 85 C0 74 51 8B 45 FC E8 ?? ?? ?? ?? 85 C0 79 03 83 C0 03 C1 F8 02 8B F0 03 F6 03 F6 8B 45 FC E8 ?? ?? ?? ?? 2B C6 50 8D 83 C0 00 00 00 50 8B CE 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 56 8D 45 FC 50 33 C9 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 1B 6A 00 8D 83 C0 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 83 C9 FF 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 8B CF 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32478_0 {
	meta:
		name = "StripEOLChars"
		size = 52
		refs = "0023 ByteIsInEOL"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 83 C6 FC BB 02 00 00 00 8B 06 8B 55 08 3B 42 F8 7D 16 8B 16 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 84 C0 74 05 FF 06 4B 75 E0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_32479_0 {
	meta:
		name = "TrimRightWhiteSpace"
		size = 256
		refs = "0017 TrimRightWhiteSpace 002d TArray<System.Byte> 0032 @DynArraySetLength 003c @DynArrayLength 0074 InsertByte 00af CopyTIdBytes 00ed @DynArrayClear 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 E8 ?? ?? ?? ?? 8B F0 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 2E 0F B6 04 1F 8B D0 80 EA 09 74 1C FE CA 74 0C 80 EA 03 74 07 80 EA 13 75 15 EB 0C 8B D0 8D 45 FC 33 C9 E8 ?? ?? ?? ?? 4E 4B 83 FB FF 75 D2 8B 45 FC E8 ?? ?? ?? ?? 03 C6 50 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 F6 7E 0F 6A 00 56 8B 4D F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 17 56 8B 45 FC E8 ?? ?? ?? ?? 50 8B 4D F8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32480_0 {
	meta:
		name = "WriteByte"
		size = 164
		refs = "0015 WriteByte 002c iif 003b TArray<System.Byte> 0040 @DynArraySetLength 0073 _Dn_TIdStreamHelperVCL 0078 TIdStreamHelperVCL.Write 0093 @DynArrayClear 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D FC 8B DA 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B9 01 00 00 00 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 0F B6 55 FB 88 10 84 DB 74 0E 8B 45 FC C6 40 01 0D 8B 45 FC C6 40 02 0A 6A FF 6A 00 8B 45 08 8B 40 F0 8B 50 38 8B 4D FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32481_0 {
	meta:
		name = "TIdDecoderQuotedPrintable.Decode"
		size = 564
		refs = "001c TIdDecoderQuotedPrintable.Decode 002e IndyLength 004d TArray<System.Byte> 0052 @DynArraySetLength 0065 _Dn_TIdStreamHelperVCL 006a TIdStreamHelperVCL.ReadBytes 0075 TrimRightWhiteSpace 0086 @DynArrayAsg 008e @DynArrayLength 00af ByteIndex 00dc TIdStreamHelperVCL.Write 01aa ByteIsInEOL 01c3 WriteByte 01ca StripEOLChars 0213 @DynArrayClear 0227 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D F4 8B F1 8B DA 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 99 52 50 8B C3 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 8E BD 01 00 00 8B 45 F8 50 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 50 6A 00 8D 4D F4 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 33 C0 89 45 FC 8B 45 FC 3B 45 F8 0F 8D 56 01 00 00 8B 4D FC 8B 55 F4 B0 3D E8 ?? ?? ?? ?? 8B F8 83 FF FF 75 2B 8B 45 F0 83 78 38 00 0F 84 35 01 00 00 6A FF 8B 45 FC 50 8B 45 F0 8B 50 38 8B 4D F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 17 01 00 00 8B 45 F0 83 78 38 00 74 1D 8B C7 2B 45 FC 50 8B 45 FC 50 8B 45 F0 8B 50 38 8B 4D F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 89 7D FC 8B 45 FC 3B 45 F8 0F 8D D5 00 00 00 33 F6 C6 45 EF 00 8B 45 FC 3B 45 F8 7D 68 8B 45 F4 8B 55 FC 0F B6 1C 10 8B C3 04 D0 2C 0A 72 0E 04 F9 2C 06 72 19 04 E6 2C 06 72 27 EB 48 0F B6 45 EF C1 E0 04 80 EB 30 0A C3 88 45 EF EB 26 0F B6 45 EF C1 E0 04 80 EB 41 80 C3 0A 0A C3 88 45 EF EB 12 0F B6 45 EF C1 E0 04 80 EB 61 80 C3 0A 0A C3 88 45 EF 46 FF 45 FC 83 FE 01 7F 08 8B 45 FC 3B 45 F8 7C 98 85 F6 7E 54 80 7D EF 20 75 36 8B 45 FC 3B 45 F8 7D 2E 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 1F 8B 45 F0 83 78 38 00 74 0D 55 B2 01 0F B6 45 EF E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 EB 1F 8B 45 F0 83 78 38 00 74 16 55 33 D2 0F B6 45 EF E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC 3B 45 F8 0F 8C AA FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32482_0 {
	meta:
		name = "CharToHex"
		size = 100
		refs = "000f CharToHex 001f ByteToHex 002e @UStrCat3 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8D 55 FC E8 ?? ?? ?? ?? 8B 4D FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_32483_0 {
	meta:
		name = "TIdEncoderQuotedPrintable.Encode"
		size = 716
		refs = "001b TIdEncoderQuotedPrintable.Encode 003a Indy8BitEncoding 004c ReadLnFromStream 0087 CharIsInSet 00d8 @UStrFromWChar 00ea CharToHex 0134 WriteStringToStream 0183 TStream.GetPosition 01b3 @UStrArrayClr 01b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F0 89 55 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 12 89 45 E8 89 55 EC E9 48 01 00 00 B0 01 E8 ?? ?? ?? ?? 50 8D 45 F8 50 33 C9 83 CA FF 8B 45 F4 E8 ?? ?? ?? ?? 33 FF 8B 45 F8 89 45 E0 83 7D E0 00 74 0B 8B 45 E0 83 E8 04 8B 00 89 45 E0 8B 45 E0 85 C0 0F 8E F7 00 00 00 89 45 E4 BB 01 00 00 00 B9 ?? ?? ?? ?? 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 61 B9 ?? ?? ?? ?? 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 20 8B 45 F8 89 45 DC 83 7D DC 00 74 0B 8B 45 DC 83 E8 04 8B 00 89 45 DC 3B 5D DC 0F 9C 45 DB EB 04 C6 45 DB 00 80 7D DB 00 74 12 8D 45 FC 8B 55 F8 0F B7 54 5A FE E8 ?? ?? ?? ?? EB 48 8D 55 FC 8B 45 F8 0F B7 44 58 FE E8 ?? ?? ?? ?? EB 36 85 FF 74 05 83 FF 46 7C 1D 8B 45 F8 66 83 7C 58 FE 2E 75 12 8D 55 FC 8B 45 F8 0F B7 44 58 FE E8 ?? ?? ?? ?? EB 10 8D 45 FC 8B 55 F8 0F B7 54 5A FE E8 ?? ?? ?? ?? 6A 01 6A 00 83 C9 FF 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 03 FE 83 FF 46 7C 16 6A 01 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 FF 43 FF 4D E4 0F 85 11 FF FF FF 6A 01 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 3B 55 EC 75 0B 3B 45 E8 0F 82 A2 FE FF FF EB 06 0F 8C 9A FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 5D 00 00 00 21 00 22 00 23 00 24 00 25 00 26 00 27 00 28 00 29 00 2A 00 2B 00 2C 00 2D 00 2E 00 2F 00 30 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 3A 00 3B 00 3C 00 3E 00 3F 00 40 00 41 00 42 00 43 00 44 00 45 00 46 00 47 00 48 00 49 00 4A 00 4B 00 4C 00 4D 00 4E 00 4F 00 50 00 51 00 52 00 53 00 54 00 55 00 56 00 57 00 58 00 59 00 5A 00 5B 00 5C 00 5D 00 5E 00 5F 00 60 00 61 00 62 00 63 00 64 00 65 00 66 00 67 00 68 00 69 00 6A 00 6B 00 6C 00 6D 00 6F 00 6E 00 70 00 71 00 72 00 73 00 74 00 75 00 76 00 77 00 78 00 79 00 7A 00 7B 00 7C 00 7D 00 7E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 09 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3D 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_32486_0 {
	meta:
		name = "TIdEncoderUUE.InitComponent"
		size = 37
		refs = "0006 TIdInitializerComponent.InitComponent 000f GUUECodeTable 0014 @LStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F B6 00 88 43 3C 5B C3 }
	condition:
		$1
}

rule function_32490_0 {
	meta:
		name = "TIdEncoderXXE.InitComponent"
		size = 37
		refs = "0006 TIdInitializerComponent.InitComponent 000f GXXECodeTable 0014 @LStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F B6 00 88 43 3C 5B C3 }
	condition:
		$1
}

rule function_32487_0 {
	meta:
		name = "TIdDecoderUUE.InitComponent"
		size = 48
		refs = "0008 TIdInitializerComponent.InitComponent 000d GUUEDecodeTable 001f GUUECodeTable"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? BE ?? ?? ?? ?? 8D 7B 40 B9 1F 00 00 00 F3 A5 66 A5 A4 A1 ?? ?? ?? ?? 0F B6 00 88 83 BF 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32491_0 {
	meta:
		name = "TIdDecoderXXE.InitComponent"
		size = 48
		refs = "0008 TIdInitializerComponent.InitComponent 000d GXXEDecodeTable 001f GXXECodeTable"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? BE ?? ?? ?? ?? 8D 7B 40 B9 1F 00 00 00 F3 A5 66 A5 A4 A1 ?? ?? ?? ?? 0F B6 00 88 83 BF 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32489_0 {
	meta:
		name = "IdCoderUUE"
		size = 43
		refs = "0002 _DV_3 000a GUUEDecodeTable 0010 GUUECodeTable 0015 _Dn_TIdDecoder00E 001a TIdDecoder4to3.ConstructDecodeTable"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 21 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? A2 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32494_0 {
	meta:
		name = "TIdCommandHandlers.Create"
		size = 110
		refs = "000e @ClassCreate 0021 _DV_TIdCommandHandler 002d TOwnedCollection.Create 0057 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 45 08 85 C0 75 05 A1 ?? ?? ?? ?? 50 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 1C 8B 45 0C 89 43 20 C6 43 40 01 C6 43 41 01 8B 45 14 89 43 44 8B 45 10 89 43 48 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_32496_0 {
	meta:
		name = "TIdCommandHandlers.HandleCommand"
		size = 162
		refs = "002a TIdCommandHandlers.DoBeforeCommandHandler 0032 TIdCommandHandlers.HandleCommand 0048 TIdCommandHandlers.GetItem 008b TIdCommandHandlers.DoAfterCommandHandler 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 40 08 8B 70 08 4E C6 45 F3 00 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 3B F3 7C 35 8B D3 8B 45 FC E8 ?? ?? ?? ?? 80 78 1D 00 74 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 12 8B 4D F8 8B 38 FF 57 20 88 45 F3 80 7D F3 00 75 05 43 3B F3 7D CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 0F B6 45 F3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32497_0 {
	meta:
		name = "TIdCommandHandlers.DoAfterCommandHandler"
		size = 22
	strings:
		$1 = { 53 66 83 78 2A 00 74 0C 8B D8 8B CA 8B D0 8B 43 2C FF 53 28 5B C3 }
	condition:
		$1
}

rule function_32498_0 {
	meta:
		name = "TIdCommandHandlers.DoBeforeCommandHandler"
		size = 21
	strings:
		$1 = { 53 66 83 78 32 00 74 0B 52 8B D8 8B D0 8B 43 34 FF 53 30 5B C3 }
	condition:
		$1
}

rule function_32499_0 {
	meta:
		name = "TCustomApplicationEvents.DoActionExecute"
		size = 18
		altNames = "TIdCommandHandlers.DoOnCommandHandlersException TMimeAttachmentHandler.DoOnSendAttachment"
	strings:
		$1 = { 53 66 83 78 3A 00 74 08 8B D8 8B 43 3C FF 53 38 5B C3 }
	condition:
		$1
}

rule function_32502_0 {
	meta:
		name = "TIdCommandHandler.DoCommand"
		size = 661
		refs = "0015 @UStrAddRef 001d TIdCommandHandler.DoCommand 002d _DV_TIdCommand 0032 TIdCommand.Create 0050 @UStrAsg 008f _DV_TIdCommandHandlers 0094 @IsClass 0100 TIdReply.UpdateText 0112 @HandleOnException 011a _Dn_Exception 01a1 TIdCommand.SendReply 01a8 @RaiseAgain 01bb @DoneExcept 01f5 TIdTCPConnection.WriteRFCStrings 0246 TIdTCPConnection.Disconnect 025b TObject.Free 0261 @HandleFinally 0280 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 C0 14 8B D3 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F8 89 50 20 8B 45 F4 83 C0 24 8B 55 08 E8 ?? ?? ?? ?? 8B 45 FC 80 78 42 00 74 11 8B 45 F4 8B 48 0C 8B 55 08 8B 45 FC 8B 18 FF 53 28 8B 45 FC 8B 58 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 0F B6 43 41 8B 55 F4 88 42 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 58 18 83 7B 0C 00 75 19 8B 45 FC 8B 40 30 83 78 0C 00 74 0D 8B 45 FC 8B 50 30 8B C3 8B 08 FF 51 08 8B 45 F4 8B 10 FF 12 8B 45 F4 8B 58 18 83 7B 0C 00 75 0D 8B 45 FC 8B 50 30 8B C3 8B 08 FF 51 08 8B 45 F4 8B 40 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 AE 00 00 00 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? 89 C3 8B 45 F4 8B 40 18 8B 10 FF 52 30 8B 45 F4 80 78 10 00 74 6E 8B 45 FC 8B 70 20 83 7E 0C 00 74 0F 8B D6 8B 45 F4 8B 40 18 8B 08 FF 51 08 EB 2B 8B 45 FC 8B 70 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 83 7E 20 00 74 0E 8B 56 20 8B 45 F4 8B 40 18 8B 08 FF 51 08 8B 45 F4 8B 70 18 83 7E 0C 00 74 15 8B 53 04 8B 46 18 8B 08 FF 51 2C 8B 45 F4 E8 ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? EB 0C E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 80 78 10 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 8B 10 FF 52 14 85 C0 7F 09 8B 45 F4 80 78 28 00 74 13 8B 45 F4 8B 50 1C 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? EB 20 8B 45 FC 8B 40 48 8B 10 FF 52 14 85 C0 7E 11 8B 45 FC 8B 50 48 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 80 78 08 00 74 0B 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 C3 E9 ?? ?? ?? ?? EB B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_32503_0 {
	meta:
		name = "TIdCommandHandler.DoParseParams"
		size = 160
		refs = "0019 @UStrAddRef 0021 TIdCommandHandler.DoParseParams 0047 SplitColumnsNoTrim 0053 @UStrFromWChar 0060 SplitColumns 007a @UStrArrayClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 44 0F B7 7B 40 66 83 FF 20 75 11 B9 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 17 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 4D F8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_32504_0 {
	meta:
		name = "TIdCommandHandler.Check"
		size = 287
		refs = "001f TIdCommandHandler.Check 002d @UStrClr 0037 TextIsSame 0054 @UStrFromWChar 0062 @UStrCat3 006c TextStartsWith 009b @UStrCopy 0102 @UStrArrayClr 0110 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 89 5D FC 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 56 10 8B C7 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 85 93 00 00 00 0F B7 5E 0C 66 85 DB 74 53 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 8B 4D E8 8D 45 EC 8B 56 10 E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 8B D8 8B 46 10 89 45 F4 83 7D F4 00 74 0B 8B 45 F4 83 E8 04 8B 00 89 45 F4 8D 45 FC 50 8B 55 F4 83 C2 02 B9 FF FF FF 7F 8B C7 E8 ?? ?? ?? ?? EB 37 8B 56 10 8B C7 E8 ?? ?? ?? ?? 8B D8 8B 46 10 89 45 F0 83 7D F0 00 74 0B 8B 45 F0 83 E8 04 8B 00 89 45 F0 8D 45 FC 50 8B 55 F0 42 B9 FF FF FF 7F 8B C7 E8 ?? ?? ?? ?? 84 DB 74 10 8B 45 FC 50 8B 4D F8 8B D7 8B C6 8B 30 FF 56 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32505_0 {
	meta:
		name = "TIdCommandHandler.Create"
		size = 324
		refs = "0014 @ClassCreate 0023 TIdCommandHandler.Create 0034 TCollectionItem.Create 0045 _Dn_TIdReplyRFC 005d IntToStr 006b TObject.ClassName 0077 @UStrCat3 008b _Dn_TStringList 0090 TStringList.Create 00c1 @IsClass 00d2 TIdReply.SetCode 0101 @UStrArrayClr 0107 @HandleFinally 0116 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B FE 8B 47 44 89 43 44 85 C0 75 08 A1 ?? ?? ?? ?? 89 43 44 66 C7 43 0C 20 00 C6 43 1D 01 8D 55 F8 8B 43 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B 03 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 2C 59 E8 ?? ?? ?? ?? 66 C7 43 40 20 00 0F B6 47 40 88 43 42 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 8B 47 48 50 8B 43 44 33 C9 B2 01 FF 50 34 89 43 30 8B 43 30 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 43 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 28 01 8B 47 48 50 8B 43 44 33 C9 B2 01 FF 50 34 89 43 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 32 00 30 00 30 00 00 00 }
	condition:
		$1
}

rule function_32506_0 {
	meta:
		name = "TIdCommandHandler.Destroy"
		size = 100
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0052 TCollectionItem.Destroy 005d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32507_0 {
	meta:
		name = "TIdCommandHandler.GetDisplayName"
		size = 38
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 10 00 75 0D 8B C6 8B 53 2C E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32508_0 {
	meta:
		name = "TIdCommandHandler.NameIs"
		size = 10
		refs = "0005 TextIsSame"
	strings:
		$1 = { 8B 40 2C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32509_0 {
	meta:
		name = "TFramedBorder.SetMiddle"
		size = 9
		altNames = "TIdCommandHandler.SetExceptionReply TLegendSymbol.SetShadow TSeriesPointer.SetEmboss TTeeCustomShape.SetFont"
	strings:
		$1 = { 8B 40 20 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_32511_0 {
	meta:
		name = "TIdCommandHandler.SetResponse"
		size = 19
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 48 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_32512_0 {
	meta:
		name = "TIdCommandHandler.SetDescription"
		size = 19
		altNames = "TIdReply.SetText TInReply.SetText"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 18 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_32513_0 {
	meta:
		name = "TIdCommand.Create"
		size = 117
		refs = "000b @ClassCreate 001a TObject.Create 0021 _Dn_TStringList 0026 TStringList.Create 0061 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C 8B 46 04 8B 40 48 50 33 C9 B2 01 8B 46 44 FF 50 34 89 47 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 1C 89 77 04 0F B6 46 1C 88 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32514_0 {
	meta:
		name = "TIdCommand.Destroy"
		size = 84
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0042 TObject.Destroy 004d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32515_0 {
	meta:
		name = "TIdCommand.DoCommand"
		size = 23
	strings:
		$1 = { 53 8B 50 04 66 83 7A 3A 00 74 0A 8B DA 8B D0 8B 43 3C FF 53 38 5B C3 }
	condition:
		$1
}

rule function_32516_0 {
	meta:
		name = "TIdCommand.SendReply"
		size = 53
		refs = "000c TIdReply.UpdateText"
	strings:
		$1 = { 53 56 8B F0 C6 46 10 00 8B 46 18 E8 ?? ?? ?? ?? 6A 00 8B 46 18 8B 10 FF 52 28 8B D0 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_32517_0 {
	meta:
		name = "TDirect2DFont.SetBrush"
		size = 9
		altNames = "TFramedBorder.SetEmboss TIdCommand.SetReply TIdDataChannel.SetOKReply TIdMessagePart.SetExtraHeaders TLegendSymbol.SetPen"
	strings:
		$1 = { 8B 40 18 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_32518_0 {
	meta:
		name = "TIdCommand.SetResponse"
		size = 19
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 1C 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_32521_0 {
	meta:
		name = "TIdComponent.Destroy"
		size = 46
		refs = "0003 @BeforeDestruction 0012 TComponent.Destroy 0017 _Dn_TIdStack 001c TIdStack.DecUsage 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39250_0 {
	meta:
		name = "TInComponent.Destroy"
		size = 46
		refs = "0003 @BeforeDestruction 0012 TComponent.Destroy 0017 _Dn_TInStack 001c TInStack.DecUsage 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32522_0 {
	meta:
		name = "TIdComponent.DoStatus"
		size = 12
		refs = "0007 TIdComponent.DoStatus"
	strings:
		$1 = { 6A FF 8D 4C 24 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39251_0 {
	meta:
		name = "TInComponent.DoStatus"
		size = 12
		refs = "0007 TInComponent.DoStatus"
	strings:
		$1 = { 6A FF 8D 4C 24 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32523_0 {
	meta:
		name = "TIdComponent.DoStatus"
		size = 185
		refs = "001b TIdComponent.DoStatus 004a IdStati 0051 IndyFormat 009c @UStrClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7E 3A 00 74 5F 8B 45 08 40 85 C0 75 31 8D 45 FC 50 33 C0 89 45 F4 C6 45 F8 11 8D 55 F4 0F B6 C3 8B 04 85 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 50 8B CB 8B D6 8B 46 3C FF 56 38 EB 26 8D 45 F0 50 8B D7 0F B6 C3 8B 04 85 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 F0 50 8B CB 8B D6 8B 46 3C FF 56 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_39252_0 {
	meta:
		name = "TInComponent.DoStatus"
		size = 185
		refs = "001b TInComponent.DoStatus 004a IdStati 0051 IndyFormat 009c @UStrClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7E 3A 00 74 5F 8B 45 08 40 85 C0 75 31 8D 45 FC 50 33 C0 89 45 F4 C6 45 F8 11 8D 55 F4 0F B6 C3 8B 04 85 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 50 8B CB 8B D6 8B 46 3C FF 56 38 EB 26 8D 45 F0 50 8B D7 0F B6 C3 8B 04 85 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 F0 50 8B CB 8B D6 8B 46 3C FF 56 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_32524_0 {
	meta:
		name = "TIdComponent.BeginWork"
		size = 108
		altNames = "TInComponent.BeginWork"
	strings:
		$1 = { 55 8B EC 53 56 8B B0 88 00 00 00 85 F6 74 0F FF 75 0C FF 75 08 8B C6 8B 08 FF 51 44 EB 48 0F B6 CA 8D 0C 49 FF 44 C8 68 83 7C C8 68 01 75 37 8B 5D 08 89 5C C8 60 8B 5D 0C 89 5C C8 64 C7 44 C8 58 00 00 00 00 C7 44 C8 5C 00 00 00 00 66 83 78 4A 00 74 12 FF 75 0C FF 75 08 8B CA 8B D8 8B D0 8B 43 4C FF 53 48 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_32525_0 {
	meta:
		name = "TIdComponent.DoWork"
		size = 98
		altNames = "TInComponent.DoWork"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B C8 8B B1 88 00 00 00 85 F6 74 11 FF 75 0C FF 75 08 8B D3 8B C6 8B 08 FF 51 48 EB 38 0F B6 C3 8D 34 40 83 7C F1 68 00 7E 2B 8B 45 08 8B 55 0C 01 44 F1 58 11 54 F1 5C 66 83 79 42 00 74 16 FF 74 F1 5C FF 74 F1 58 8B C3 8B D9 8B D1 8B C8 8B 43 44 FF 53 40 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_32526_0 {
	meta:
		name = "TIdComponent.EndWork"
		size = 64
		altNames = "TInComponent.EndWork"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 86 88 00 00 00 85 C0 74 09 8B D3 8B 08 FF 51 4C EB 22 0F B6 C3 8D 3C 40 83 7C FE 68 01 75 11 66 83 7E 52 00 74 0A 8B CB 8B D6 8B 46 54 FF 56 50 FF 4C FE 68 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32530_0 {
	meta:
		name = "TIdCompressionIntercept.DeinitCompressors"
		size = 75
		refs = "0010 deflateEnd 001f @FillChar 0033 inflateEnd"
	strings:
		$1 = { 53 8B D8 83 BB 89 00 00 00 00 74 17 8D 43 69 E8 ?? ?? ?? ?? 8D 43 69 33 C9 BA 38 00 00 00 E8 ?? ?? ?? ?? 83 BB C1 00 00 00 00 74 1D 8D 83 A1 00 00 00 E8 ?? ?? ?? ?? 8D 83 A1 00 00 00 33 C9 BA 38 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_32531_0 {
	meta:
		name = "TIdCompressionIntercept.Destroy"
		size = 97
		refs = "0003 @BeforeDestruction 000e TIdCompressionIntercept.DeinitCompressors 0021 TArray<System.Byte> 0026 @DynArraySetLength 004f TComponent.Destroy 005a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 86 DC 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8D 86 E8 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32533_0 {
	meta:
		name = "TIdCompressionIntercept.InitCompressors"
		size = 236
		refs = "000e TIdCompressionIntercept.InitCompressors 0022 zlibAllocMem 002d zlibFreeMem 0046 deflateInit_ 0052 RSZLCompressorInitializeFailure 0057 LoadResString 005f _DV_EIdCompressorInitFailure 0064 EIdException.Toss 0098 inflateInit_ 00a4 RSZLDecompressorInitializeFailure 00b1 _DV_EIdDecompressorInitFailure 00d0 @UStrArrayClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 89 00 00 00 00 75 47 B8 ?? ?? ?? ?? 89 83 89 00 00 00 B8 ?? ?? ?? ?? 89 83 8D 00 00 00 6A 38 B9 ?? ?? ?? ?? 0F B6 53 68 8D 43 69 E8 ?? ?? ?? ?? 85 C0 74 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BB C1 00 00 00 00 75 49 B8 ?? ?? ?? ?? 89 83 C1 00 00 00 B8 ?? ?? ?? ?? 89 83 C5 00 00 00 BA ?? ?? ?? ?? 8D 83 A1 00 00 00 B9 38 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 1A 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 00 00 31 2E 32 2E 35 00 00 00 }
	condition:
		$1
}

rule function_32534_0 {
	meta:
		name = "TIdCompressionIntercept.Receive"
		size = 513
		refs = "001a TIdCompressionIntercept.Receive 002a TIdConnectionIntercept.Receive 003d TArray<System.Byte> 0042 @DynArraySetLength 0059 TIdCompressionIntercept.InitCompressors 006a @DynArrayLength 007e IndyMin 009b CopyTIdBytes 013d inflate 0158 RSZLDecompressionError 015d LoadResString 0165 _DV_EIdDecompressionError 016a EIdException.Toss 01e0 @UStrClr 01ee @DynArrayClear 01f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 68 00 08 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 0F B6 43 68 48 2C 09 0F 83 79 01 00 00 8B C3 E8 ?? ?? ?? ?? C6 45 F3 00 33 C0 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 2B 45 F4 5A E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 05 01 00 00 6A 00 56 8D 4D FC 8B 45 F8 8B 00 8B 55 F4 E8 ?? ?? ?? ?? 01 75 F4 8B 45 FC 89 83 A1 00 00 00 89 B3 A5 00 00 00 33 C0 89 83 A9 00 00 00 E9 BC 00 00 00 8B BB E4 00 00 00 3B BB E0 00 00 00 75 3A 85 FF 75 0C C7 83 E4 00 00 00 00 08 00 00 EB 0A 81 83 E4 00 00 00 00 04 00 00 8B 83 E4 00 00 00 50 8D 83 DC 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 83 DC 00 00 00 8B 93 E0 00 00 00 03 C2 89 83 AD 00 00 00 8B B3 E4 00 00 00 2B B3 E0 00 00 00 89 B3 B1 00 00 00 33 C0 89 83 B5 00 00 00 8D 83 A1 00 00 00 33 D2 E8 ?? ?? ?? ?? 83 C0 04 83 E8 03 72 0B 83 E8 02 75 20 C6 45 F3 01 EB 1A 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 2B B3 B1 00 00 00 01 B3 E0 00 00 00 83 BB A5 00 00 00 00 0F 87 37 FF FF FF 80 7D F3 00 0F 84 D5 FE FF FF 8B 83 E0 00 00 00 50 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8B 83 E0 00 00 00 50 8B 4D F8 33 D2 8B 83 DC 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 E0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32535_0 {
	meta:
		name = "TIdCompressionIntercept.Send"
		size = 463
		refs = "0012 TIdCompressionIntercept.Send 0021 TArray<System.Byte> 0026 @DynArrayClear 003a TIdCompressionIntercept.InitCompressors 0041 @DynArrayLength 008f @DynArraySetLength 00ac CopyTIdBytes 0118 deflate 0128 RSZLCompressionError 012d LoadResString 0137 _DV_EIdCompressionError 013c EIdException.Create 0141 @RaiseExcept 0199 TIdConnectionIntercept.Send 01ae @UStrClr 01c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 43 68 48 2C 09 0F 83 5D 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B F8 3B BB F0 00 00 00 76 47 81 FF 00 08 00 00 76 15 8D 87 FF 03 00 00 25 FF 03 00 00 03 C7 89 83 F0 00 00 00 EB 0A C7 83 F0 00 00 00 00 08 00 00 8B 83 F0 00 00 00 50 8D 83 E8 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 89 83 EC 00 00 00 6A 00 50 8D 8B E8 00 00 00 8B 06 33 D2 E8 ?? ?? ?? ?? 8B 83 E8 00 00 00 89 43 69 8B 83 EC 00 00 00 89 43 6D 33 C0 89 43 79 6A 00 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 68 00 04 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 E9 8C 00 00 00 8B 45 FC 89 43 75 8B 45 FC E8 ?? ?? ?? ?? 89 43 79 8D 43 69 BA 02 00 00 00 E8 ?? ?? ?? ?? 83 C0 04 83 E8 03 73 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B F8 8B 45 FC E8 ?? ?? ?? ?? 03 C7 2B 43 79 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 57 8B 45 FC E8 ?? ?? ?? ?? 2B 43 79 50 8B CE 33 D2 8B 45 FC E8 ?? ?? ?? ?? 83 7B 79 00 0F 84 6A FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32536_0 {
	meta:
		name = "TIdCompressionIntercept.SetCompressionLevel"
		size = 39
		refs = "001d TIdCompressionIntercept.DeinitCompressors"
	strings:
		$1 = { 53 56 8B DA 8B F0 84 DB 73 04 33 DB EB 07 80 FB 09 76 02 B3 09 3A 5E 68 74 0A 8B C6 E8 ?? ?? ?? ?? 88 5E 68 5E 5B C3 }
	condition:
		$1
}

rule function_32538_0 {
	meta:
		name = "TIdServerCompressionIntercept.Accept"
		size = 36
		refs = "0009 _DV_TIdCompressionIntercept 000e TIdBaseComponent.Create 001b TIdCompressionIntercept.SetCompressionLevel"
	strings:
		$1 = { 53 56 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 0F B6 53 38 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32541_0 {
	meta:
		name = "RawReadFromIOHandler"
		size = 243
		refs = "0013 @DynArrayAddRef 001b RawReadFromIOHandler 0054 @HandleOnException 005c _Dn_Exception 0079 IndyMin 0097 TIdBuffer.ExtractToBytes 009f _Dn_EIdConnClosedGracefully 00a4 @IsClass 00ad @RaiseAgain 00b2 @DoneExcept 00bb _Dn_TIdAntiFreezeBase 00c0 TIdAntiFreezeBase.DoProcess 00d9 TArray<System.Byte> 00de @DynArrayClear 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC 8B 45 08 8B 40 FC 8B 4D F8 8B 18 FF 93 C0 00 00 00 33 C0 5A 59 59 64 89 10 EB 63 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 08 8B 40 FC 8B 80 A0 00 00 00 8B 50 20 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F8 6A 00 6A FF 8D 55 FC 8B 45 08 8B 40 FC 8B 80 A0 00 00 00 8B 4D F8 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32542_0 {
	meta:
		name = "TIdCompressorZLib.InternalDecompressStream"
		size = 339
		refs = "0039 TIdCompressorZLib.InternalDecompressStream 0052 TArray<System.Byte> 0057 @DynArraySetLength 006b RawReadFromIOHandler 0092 inflate 0097 DCheck 011e inflateEnd 013e @DynArrayClear 0144 @HandleFinally"
	strings:
		$1 = { 55 8B EC 50 B8 08 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 C0 53 56 57 33 DB 89 5D F8 8B F2 8D 7D BC 51 B9 0E 00 00 00 F3 A5 59 89 4D FC 8D 5D BC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 80 00 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 55 B9 00 80 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 59 83 F8 01 7C 4C 8B 55 F8 89 13 89 43 04 8D 85 BC 7F FF FF 89 43 0C C7 43 10 00 80 00 00 8B C3 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 00 80 00 00 2B 43 10 8D 95 BC 7F FF FF 8B C8 8B 45 08 8B 30 FF 56 10 83 7B 04 00 75 C4 83 7B 10 00 76 BE EB 9D 8D 85 BC 7F FF FF 89 43 0C C7 43 10 00 80 00 00 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 FB 74 0B 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F4 B8 00 80 00 00 2B 43 10 8D 95 BC 7F FF FF 8B C8 8B 45 08 8B 30 FF 56 10 83 7D F4 01 75 06 83 7B 10 00 77 06 83 7D F4 FB 75 A6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_32543_0 {
	meta:
		name = "TIdCompressorZLib.DecompressFTPFromIO"
		size = 180
		refs = "0022 TIdCompressorZLib.DecompressFTPFromIO 0037 @FillChar 004f zlibAllocMem 0057 zlibFreeMem 006b inflateInit2_ 0070 DCheck 0081 TIdCompressorZLib.InternalDecompressStream 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 89 4D F8 89 55 FC 8B F0 6A 00 6A 00 33 D2 8B 45 FC 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C0 33 C9 BA 38 00 00 00 E8 ?? ?? ?? ?? 8B 5D 08 85 DB 7E 0C 8B C3 99 33 C2 2B C2 83 C0 20 8B D8 B8 ?? ?? ?? ?? 89 45 E0 B8 ?? ?? ?? ?? 89 45 E4 6A 38 B9 ?? ?? ?? ?? 8D 45 C0 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D FC 8D 55 C0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 5E 5B 8B E5 5D C2 04 00 31 2E 32 2E 35 00 00 00 }
	condition:
		$1
}

rule function_32544_0 {
	meta:
		name = "TIdCompressorZLib.CompressFTPToIO"
		size = 528
		refs = "0036 TIdCompressorZLib.CompressFTPToIO 006b @FillChar 008d deflateInit2_ 0092 CCheck 00d9 deflate 00ff RawToBytes 01ab deflateEnd 01cd @HandleFinally 01e8 TArray<System.Byte> 01f2 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 50 B8 10 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 B4 53 56 33 DB 89 9D B0 FF FE FF 89 9D B4 FF FE FF 89 4D F8 89 55 FC 8D 75 B8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 12 52 50 B2 01 8B 45 F8 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 33 C9 BA 38 00 00 00 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 68 ?? ?? ?? ?? 6A 38 8B C6 B9 08 00 00 00 8B 55 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 B8 7F FF FF B9 00 80 00 00 8B 45 FC 8B 18 FF 53 0C 89 45 F0 83 7D F0 00 0F 8E 8D 00 00 00 8D 85 B8 7F FF FF 89 06 8B 45 F0 89 46 04 8D 85 B8 FF FE FF 89 46 0C C7 46 10 00 80 00 00 8B C6 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 00 80 00 00 2B 5E 10 85 DB 74 29 6A 00 8D 8D B4 FF FE FF 8D 85 B8 FF FE FF 8B D3 E8 ?? ?? ?? ?? 8B 95 B4 FF FE FF 83 C9 FF 8B 45 F8 8B 18 FF 93 94 00 00 00 83 7E 04 00 75 A7 83 7E 10 00 76 A1 8D 95 B8 7F FF FF B9 00 80 00 00 8B 45 FC 8B 18 FF 53 0C 89 45 F0 83 7D F0 00 0F 8F 73 FF FF FF 8D 85 B8 FF FE FF 89 46 0C C7 46 10 00 80 00 00 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 BB 00 80 00 00 2B 5E 10 85 DB 74 29 6A 00 8D 8D B0 FF FE FF 8D 85 B8 FF FE FF 8B D3 E8 ?? ?? ?? ?? 8B 95 B0 FF FE FF 83 C9 FF 8B 45 F8 8B 18 FF 93 94 00 00 00 83 7D F4 01 75 A1 83 7E 10 00 76 9B 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 F8 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 B0 FF FE FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C2 10 00 00 00 31 2E 32 2E 35 00 00 00 }
	condition:
		$1
}

rule function_32545_0 {
	meta:
		name = "TIdCompressorZLib.CompressStream"
		size = 30
		refs = "0016 IndyCompressStream"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 45 0C 50 8B 45 08 50 0F B6 45 14 91 92 E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_32546_0 {
	meta:
		name = "TIdCompressorZLib.DecompressStream"
		size = 19
		refs = "000b IndyDecompressStream"
	strings:
		$1 = { 55 8B EC 8B C2 8B D1 8B 4D 08 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_32547_0 {
	meta:
		name = "TIdCompressorZLib.DeflateStream"
		size = 24
		refs = "0010 IndyCompressStream"
	strings:
		$1 = { 55 8B EC 6A 0F 6A 09 6A 00 0F B6 45 08 91 92 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_32549_0 {
	meta:
		name = "TIdCompressorZLib.InflateStream"
		size = 10
		refs = "0005 DecompressStream"
	strings:
		$1 = { 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65665_0 {
	meta:
		name = "Compare_LString"
		size = 10
		refs = "0005 CompareStr"
	strings:
		$1 = { 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65668_0 {
	meta:
		name = "Compare_UString"
		size = 10
		refs = "0005 CompareStr"
	strings:
		$1 = { 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97775_0 {
	meta:
		name = "TAbstractNamedVariants.CompareStrings"
		size = 10
		refs = "0005 AnsiCompareText"
	strings:
		$1 = { 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75061_0 {
	meta:
		name = "TCustomRichEdit.RegisterConversionFormat"
		size = 10
		refs = "0005 AppendConversionFormat"
	strings:
		$1 = { 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70545_0 {
	meta:
		name = "TCustomVariantType.VarDataCopy"
		size = 10
		refs = "0005 @VarCopy"
	strings:
		$1 = { 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70546_0 {
	meta:
		name = "TCustomVariantType.VarDataCopyNoInd"
		size = 10
		refs = "0005 @VarCopyNoInd"
	strings:
		$1 = { 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70556_0 {
	meta:
		name = "TCustomVariantType.VarDataFromLStr"
		size = 10
		refs = "0005 @VarFromLStr"
	strings:
		$1 = { 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70557_0 {
	meta:
		name = "TCustomVariantType.VarDataFromOleStr"
		size = 10
		refs = "0005 @VarFromWStr"
	strings:
		$1 = { 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70555_0 {
	meta:
		name = "TCustomVariantType.VarDataFromStr"
		size = 10
		refs = "0005 @VarFromUStr"
	strings:
		$1 = { 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74509_0 {
	meta:
		name = "TPageControl.SetChildOrder"
		size = 10
		refs = "0005 TTabSheet.SetPageIndex"
	strings:
		$1 = { 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62303_0 {
	meta:
		name = "TStrings.CompareStrings"
		size = 10
		refs = "0005 AnsiCompareText"
	strings:
		$1 = { 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70713_0 {
	meta:
		name = "TWideStrings.CompareStrings"
		size = 10
		refs = "0005 WideCompareText"
	strings:
		$1 = { 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32552_0 {
	meta:
		name = "TIdConnectThroughHttpProxy.GetEnabled"
		size = 8
		altNames = "TIdUDPBase.GetIPVersion"
	strings:
		$1 = { 0F B6 80 A8 00 00 00 C3 }
	condition:
		$1
}

rule function_32553_0 {
	meta:
		name = "TIdConnectThroughHttpProxy.DoMakeConnection"
		size = 864
		refs = "002e TIdConnectThroughHttpProxy.DoMakeConnection 003d _Dn_TIdHeaderList 0042 TIdHeaderList.Create 007e IndyFormat 009f _Dn_TIdEncoderMIME 00a4 TIdInitializerComponent.Create 00dd @UStrCatN 00ea TIdEncoder.Encode 00fa @UStrCat3 011f TObject.Free 0125 @HandleFinally 0131 TIdIOHandler.WriteLn 013e TIdIOHandler.ReadLn 0159 TIdIOHandler.Capture 016d TIdHeaderList.GetValue 0175 IndyStrToInt64 0199 TIdIOHandler.Discard 01ae Fetch 01d0 IndyStrToInt 022f _Dn_EIdHttpProxyError 0234 EIdException.Create 0239 @RaiseExcept 0270 @UStrArrayClr 0278 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 33 DB 89 5D B0 89 5D B4 89 5D B8 89 5D C4 89 5D C0 89 5D BC 89 5D D8 89 5D FC 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 45 D8 50 8B 45 F0 89 45 C8 C6 45 CC 11 0F B7 45 10 89 45 D0 C6 45 D4 00 8D 55 C8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 33 C9 8B 45 F4 8B 18 FF 93 A4 00 00 00 80 7D 0C 00 0F 84 8F 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C0 50 8B 45 F8 FF B0 9C 00 00 00 68 ?? ?? ?? ?? 8B 45 F8 FF B0 94 00 00 00 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 BC 33 C9 8B 45 DC E8 ?? ?? ?? ?? 8B 4D C0 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 33 C9 8B 45 F4 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8D 4D FC 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 F1 00 00 00 6A 00 6A 00 33 C9 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 4D B8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 83 7D E4 00 75 08 83 7D E0 00 76 12 EB 02 7E 0E FF 75 E4 FF 75 E0 8B 45 F4 E8 ?? ?? ?? ?? 6A 01 8D 45 B4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 B0 50 8D 45 FC 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 BA C8 00 00 00 E8 ?? ?? ?? ?? 3D 97 01 00 00 75 19 8B 55 F8 8B 92 9C 00 00 00 85 D2 74 05 83 EA 04 8B 12 85 D2 0F 9F C2 EB 02 33 D2 84 D2 74 09 0F B6 55 0C 80 F2 01 EB 02 33 D2 84 D2 74 19 0F B7 45 10 50 6A 01 6A 00 8B 4D F0 8B 55 F4 8B 45 F8 8B 18 FF 53 74 EB 1B 2D C8 00 00 00 74 14 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 8B E5 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 43 00 4F 00 4E 00 4E 00 45 00 43 00 54 00 20 00 25 00 73 00 3A 00 25 00 64 00 20 00 48 00 54 00 54 00 50 00 2F 00 31 00 2E 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 50 00 72 00 6F 00 78 00 79 00 2D 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 42 00 61 00 73 00 69 00 63 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_32554_0 {
	meta:
		name = "TIdConnectThroughHttpProxy.MakeConnection"
		size = 23
	strings:
		$1 = { 55 8B EC 53 0F B7 5D 0C 53 6A 00 6A 00 8B 18 FF 53 74 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_32555_0 {
	meta:
		name = "TIdConnectThroughHttpProxy.SetEnabled"
		size = 7
		altNames = "TIdUDPBase.SetIPVersion"
	strings:
		$1 = { 88 90 A8 00 00 00 C3 }
	condition:
		$1
}

rule function_32558_0 {
	meta:
		name = "TIdObjectList.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TObject.Create 0026 @AfterConstruction"
		altNames = "TObjectList.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 10 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32559_0 {
	meta:
		name = "TIdObjectList.Create"
		size = 67
		refs = "000e @ClassCreate 001e TObject.Create 002e @AfterConstruction"
		altNames = "TObjectList.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 10 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32561_0 {
	meta:
		name = "TIdObjectList.BubbleSort"
		size = 100
		refs = "002d TIdObjectList.GetItem 004a TList.Exchange"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F0 8B 46 08 48 83 F8 00 7C 48 89 44 24 04 8B 7E 08 4F 4F 85 FF 7C 30 47 33 DB 8D 6B 01 8B D5 8B C6 E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A FF 14 24 85 C0 7D 0B 8B CD 8B D3 8B C6 E8 ?? ?? ?? ?? 43 4F 75 D3 FF 4C 24 04 83 7C 24 04 FF 75 BC 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32562_0 {
	meta:
		name = "TIdObjectList.FindInstanceOf"
		size = 123
		refs = "002f TIdObjectList.GetItem 0039 TObject.InheritsFrom"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 4D FB 89 55 FC 8B F8 C7 45 F4 FF FF FF FF 8B 5D 08 8B 77 08 4E 2B F3 7C 4C 46 80 7D FB 00 75 1B 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 1D 80 7D FB 00 74 15 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 00 89 C2 3B 55 FC 0F 94 C0 EB 02 33 C0 84 C0 74 05 89 5D F4 EB 04 43 4E 75 B5 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_32566_0 {
	meta:
		name = "TIdObjectList.Assign"
		size = 63
		refs = "0015 TList.SetCapacity 0029 TIdObjectList.GetItem 0032 TIdObjectList.Add"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 8B 10 FF 52 08 8B 55 0C 8B C7 E8 ?? ?? ?? ?? 8B 5D 08 4B 85 DB 7C 19 43 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 46 4B 75 EA 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32567_0 {
	meta:
		name = "TIdObjectList.Notify"
		size = 42
		refs = "0017 TObject.Free 0022 TList.Notify"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 80 7E 10 00 74 0C 80 FB 02 75 07 8B C7 E8 ?? ?? ?? ?? 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32570_0 {
	meta:
		name = "TIdBubbleSortStringList.BubbleSort"
		size = 248
		refs = "001a TIdBubbleSortStringList.BubbleSort 00dd @UStrClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 14 48 83 F8 00 0F 8C 97 00 00 00 89 45 F4 8B C6 8B 10 FF 52 14 48 48 85 C0 7C 7A 40 89 45 EC 33 DB 8D 4B 01 8B D3 8B C6 FF 55 F8 85 C0 7D 60 8D 4D FC 8B D3 8B C6 8B 38 FF 57 0C 8B D3 8B C6 8B 08 FF 51 18 89 45 F0 8D 4D E8 8D 53 01 8B C6 8B 38 FF 57 0C 8B 4D E8 8B D3 8B C6 8B 38 FF 57 20 8D 53 01 8B C6 8B 08 FF 51 18 8B C8 8B D3 8B C6 8B 38 FF 57 24 8D 53 01 8B 4D FC 8B C6 8B 38 FF 57 20 8D 53 01 8B 4D F0 8B C6 8B 38 FF 57 24 43 FF 4D EC 75 8C FF 4D F4 83 7D F4 FF 0F 85 6C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32573_0 {
	meta:
		name = "TIdContext.Create"
		size = 79
		refs = "000e @ClassCreate 0020 TIdTask.Create 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 0C 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 14 C6 47 18 01 8B 45 08 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_39259_0 {
	meta:
		name = "TInContext.Create"
		size = 79
		refs = "000e @ClassCreate 0020 TInTask.Create 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 0C 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 14 C6 47 18 01 8B 45 08 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_32574_0 {
	meta:
		name = "TIdContext.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 0017 TThreadList.RemoveItem 002d TObject.Free 0038 TIdTask.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 85 C0 74 09 8B D6 33 C9 E8 ?? ?? ?? ?? 80 7E 18 00 74 10 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39260_0 {
	meta:
		name = "TInContext.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 0017 TThreadList.RemoveItem 002d TObject.Free 0038 TInTask.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 85 C0 74 09 8B D6 33 C9 E8 ?? ?? ?? ?? 80 7E 18 00 74 10 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32575_0 {
	meta:
		name = "TIdContext.RemoveFromList"
		size = 6
		altNames = "TInContext.RemoveFromList"
	strings:
		$1 = { 33 D2 89 50 10 C3 }
	condition:
		$1
}

rule function_32576_0 {
	meta:
		name = "TIdContext.BeforeRun"
		size = 34
		refs = "000d TThreadList.Add"
		altNames = "TInContext.BeforeRun"
	strings:
		$1 = { 53 8B D8 8B 43 10 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 66 83 7B 2A 00 74 08 8B D3 8B 43 2C FF 53 28 5B C3 }
	condition:
		$1
}

rule function_32577_0 {
	meta:
		name = "TIdContext.Run"
		size = 24
		altNames = "TInContext.Run"
	strings:
		$1 = { 53 66 83 78 22 00 74 0C 8B D8 8B D0 8B 43 24 FF 53 20 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_32578_0 {
	meta:
		name = "TIdContext.AfterRun"
		size = 36
		refs = "001e TThreadList.RemoveItem"
		altNames = "TInContext.AfterRun"
	strings:
		$1 = { 53 8B D8 66 83 7B 32 00 74 08 8B D3 8B 43 34 FF 53 30 8B 43 10 85 C0 74 09 8B D3 33 C9 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_32580_0 {
	meta:
		name = "TIdContext.GetBinding"
		size = 30
		altNames = "TInContext.GetBinding"
	strings:
		$1 = { 53 33 D2 8B 48 14 85 C9 74 10 8B 99 B0 00 00 00 85 DB 74 06 8B 93 D8 00 00 00 8B C2 5B C3 }
	condition:
		$1
}

rule function_32583_0 {
	meta:
		name = "GetDefaultPath"
		size = 120
		refs = "0007 GetDefaultPath 000f TextStartsWith 001f @UStrAsg 002f @UStrEqual 0050 RPos 0060 @UStrCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 56 83 C9 FF 8B 53 14 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_32585_0 {
	meta:
		name = "IsDomainMatch"
		size = 232
		refs = "0014 IsDomainMatch 0026 CanonicalizeHostName 0047 TextIsSame 005a TextEndsWith 008b @UStrCopy 00a4 IsHostname 00c0 @UStrArrayClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 70 83 7D F8 00 74 6A 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 57 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 48 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8B 7D F8 85 FF 74 05 83 EF 04 8B 3F 8D 45 F4 50 8B CE 2B CF BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_32586_0 {
	meta:
		name = "IsPathMatch"
		size = 108
		refs = "000b TextIsSame 001d TextStartsWith 0026 IsPathMatch 002d TextEndsWith 004e CharEquals"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 05 B0 01 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2F BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 1D 8B C3 85 C0 74 05 83 E8 04 8B 00 8D 50 01 66 B9 2F 00 8B C6 E8 ?? ?? ?? ?? EB 02 33 C0 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_32587_0 {
	meta:
		name = "IsHTTP"
		size = 100
		refs = "0009 IsHTTP 0026 PosInStrArray"
	strings:
		$1 = { 53 83 C4 F8 8B D8 6A 00 B8 ?? ?? ?? ?? 89 44 24 04 B8 ?? ?? ?? ?? 89 44 24 08 8D 54 24 04 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 40 0F 95 C0 59 5A 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 74 00 74 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 68 00 74 00 74 00 70 00 73 00 00 00 }
	condition:
		$1
}

rule function_32588_0 {
	meta:
		name = "AddCookieProperty"
		size = 120
		refs = "0031 AddCookieProperty 0036 @UStrCat 004b @UStrCatN"
	strings:
		$1 = { 53 56 57 51 8B F1 8B FA 8B D8 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 36 8B 03 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 33 57 68 ?? ?? ?? ?? 56 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_32589_0 {
	meta:
		name = "AddCookieFlag"
		size = 76
		refs = "001f AddCookieFlag 0024 @UStrCat"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 03 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B D6 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_32592_0 {
	meta:
		name = "TIdCookieList.IndexOfCookie"
		size = 46
		refs = "0018 TIdCookieList.GetCookie"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 5F 08 4B 85 DB 7C 14 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 3B E8 74 07 46 4B 75 EF 83 CE FF 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39278_0 {
	meta:
		name = "TInCookieList.IndexOfCookie"
		size = 46
		refs = "0018 TInCookieList.GetCookie"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 5F 08 4B 85 DB 7C 14 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 3B E8 74 07 46 4B 75 EF 83 CE FF 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32593_0 {
	meta:
		name = "TIdCookie.Create"
		size = 74
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 001c Now 0037 @AfterConstruction"
		altNames = "TInCookie.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5E 30 9B 8B 46 30 89 46 40 8B 46 34 89 46 44 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32594_0 {
	meta:
		name = "TIdCookie.Destroy"
		size = 160
		refs = "0007 @BeforeDestruction 0015 TIdCookie.Destroy 002c TIdCookies.LockCookieList 0044 TList.RemoveItem 005e TIdCookies.UnlockCookieList 0064 @HandleFinally 0082 TCollectionItem.Destroy 0098 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 40 04 85 C0 74 41 B2 01 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 55 FC 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 B2 01 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_39280_0 {
	meta:
		name = "TInCookie.Destroy"
		size = 160
		refs = "0007 @BeforeDestruction 0015 TInCookie.Destroy 002c TInCookies.LockCookieList 0044 TList.RemoveItem 005e TInCookies.UnlockCookieList 0064 @HandleFinally 0082 TCollectionItem.Destroy 0098 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 40 04 85 C0 74 41 B2 01 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 55 FC 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 B2 01 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_32595_0 {
	meta:
		name = "TIdCookie.Assign"
		size = 149
		refs = "000b _DV_TIdCookie 0010 @IsClass 0021 @UStrAsg 008d TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 70 8D 43 0C 8B FE 8B 57 0C E8 ?? ?? ?? ?? 8B 47 10 89 43 10 8B 47 14 89 43 14 0F B6 47 18 88 43 18 8D 43 1C 8B 57 1C E8 ?? ?? ?? ?? 8D 43 20 8B 57 20 E8 ?? ?? ?? ?? 0F B6 47 24 88 43 24 8D 43 28 8B 57 28 E8 ?? ?? ?? ?? 8B 47 30 89 43 30 8B 47 34 89 43 34 0F B6 47 38 88 43 38 8B 47 40 89 43 40 8B 47 44 89 43 44 0F B6 47 48 88 43 48 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39281_0 {
	meta:
		name = "TInCookie.Assign"
		size = 149
		refs = "000b _DV_TInCookie 0010 @IsClass 0021 @UStrAsg 008d TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 70 8D 43 0C 8B FE 8B 57 0C E8 ?? ?? ?? ?? 8B 47 10 89 43 10 8B 47 14 89 43 14 0F B6 47 18 88 43 18 8D 43 1C 8B 57 1C E8 ?? ?? ?? ?? 8D 43 20 8B 57 20 E8 ?? ?? ?? ?? 0F B6 47 24 88 43 24 8D 43 28 8B 57 28 E8 ?? ?? ?? ?? 8B 47 30 89 43 30 8B 47 34 89 43 34 0F B6 47 38 88 43 38 8B 47 40 89 43 40 8B 47 44 89 43 44 0F B6 47 48 88 43 48 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32596_0 {
	meta:
		name = "MatchesHost"
		size = 130
		refs = "000a MatchesHost 002d CanonicalizeHostName 003e TextIsSame 0059 IsDomainMatch 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 80 78 38 00 74 26 8D 55 FC 8B 45 08 8B 40 F8 8B 40 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 08 8B 52 FC 8B 52 0C E8 ?? ?? ?? ?? 8B D8 EB 19 8B 45 08 8B 40 FC 8B 50 0C 8B 45 08 8B 40 F8 8B 40 18 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_32597_0 {
	meta:
		name = "TIdCookie.IsAllowed"
		size = 108
		refs = "0012 MatchesHost 0028 IsPathMatch 0059 IsHTTP"
		altNames = "TInCookie.IsAllowed"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D F7 89 55 F8 89 45 FC 55 E8 ?? ?? ?? ?? 59 84 C0 74 46 8B 45 FC 8B 50 20 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 84 C0 74 31 8B 45 FC 0F B6 58 24 84 DB 74 05 22 5D F7 74 21 8B 45 FC 80 78 18 00 74 1C 8B 45 FC 80 78 18 00 74 0F 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32598_0 {
	meta:
		name = "SplitCookieText"
		size = 2008
		refs = "0014 SplitCookieText 002a Pos 0047 @UStrCopy 006d @UStrLAsg 0075 @UStrClr 00ab Trim 00e1 TextStartsWith 00f7 IdDelete 0117 Fetch 012f @UStrCatN 029e PosInStrArray 02d4 TryStrToInt64 0304 @_llmul 0328 Now 0347 EncodeDate 0365 CurrencyString 036a FloatToStr 037d @UStrCat3 039b CookieStrToLocalDateTime 0530 LowerCase 057e GetDefaultPath 05ed @UStrArrayClr 060d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 17 00 00 00 6A 00 6A 00 49 75 F9 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 50 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 2F 8D 45 FC 50 8B CB 49 8B 45 08 8B 40 F4 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 08 8B 40 F4 B9 FF FF FF 7F 8B D3 E8 ?? ?? ?? ?? EB 16 8D 45 FC 8B 55 08 8B 52 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 44 05 00 00 8D 45 9C 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 9C 8D 55 F0 E8 ?? ?? ?? ?? 83 7D F0 00 0F 84 1B 05 00 00 8D 45 98 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 98 8D 55 EC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 32 8D 45 EC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 EC E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 75 EC 8D 45 94 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 94 8B 45 08 8B 40 F0 8B 08 FF 51 38 E9 84 04 00 00 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 29 8D 45 F4 50 8B CB 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 50 B9 FF FF FF 7F 8B D3 8B 45 F8 E8 ?? ?? ?? ?? EB 13 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E 83 00 00 00 8D 45 90 50 8B CB 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 90 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 8C 50 8D 53 01 B9 FF FF FF 7F 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 8C 8D 55 EC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 47 8D 45 EC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 EC E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8D 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 6A 00 B8 ?? ?? ?? ?? 89 85 74 FF FF FF B8 ?? ?? ?? ?? 89 85 78 FF FF FF B8 ?? ?? ?? ?? 89 85 7C FF FF FF B8 ?? ?? ?? ?? 89 45 80 B8 ?? ?? ?? ?? 89 45 84 B8 ?? ?? ?? ?? 89 45 88 8D 95 74 FF FF FF B9 05 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 83 F8 05 0F 87 1F 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 8D 50 F8 8B 45 EC E8 ?? ?? ?? ?? 84 C0 0F 84 B7 00 00 00 8B 45 08 83 78 FC 00 75 08 83 78 F8 00 72 4B EB 02 7C 47 6A 00 68 E8 03 00 00 8B 45 08 8B 50 FC 8B 40 F8 E8 ?? ?? ?? ?? 89 85 6C FF FF FF 89 95 70 FF FF FF DF AD 6C FF FF FF D8 35 ?? ?? ?? ?? DB BD 60 FF FF FF 9B E8 ?? ?? ?? ?? DB AD 60 FF FF FF DE C1 DD 5D D8 9B EB 15 66 B9 01 00 66 BA 01 00 66 B8 01 00 E8 ?? ?? ?? ?? DD 5D D8 9B DD 45 D8 DB 7D C0 9B 0F B7 45 C8 50 FF 75 C4 FF 75 C0 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 5C FF FF FF 8B 4D E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 5C FF FF FF 8B 45 08 8B 40 F0 8B 08 FF 51 38 E9 33 02 00 00 8B 45 EC E8 ?? ?? ?? ?? DD 5D D8 9B DD 45 D8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 84 14 02 00 00 DD 45 D8 DB 7D B0 9B 0F B7 45 B8 50 FF 75 B4 FF 75 B0 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 58 FF FF FF 8B 4D E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 58 FF FF FF 8B 45 08 8B 40 F0 8B 08 FF 51 38 E9 CC 01 00 00 8B 45 08 8D 50 F8 8B 45 EC E8 ?? ?? ?? ?? 84 C0 0F 84 B6 01 00 00 8B 45 08 83 78 FC 00 75 08 83 78 F8 00 72 4B EB 02 7C 47 6A 00 68 E8 03 00 00 8B 45 08 8B 50 FC 8B 40 F8 E8 ?? ?? ?? ?? 89 85 6C FF FF FF 89 95 70 FF FF FF DF AD 6C FF FF FF D8 35 ?? ?? ?? ?? DB BD 60 FF FF FF 9B E8 ?? ?? ?? ?? DB AD 60 FF FF FF DE C1 DD 5D D8 9B EB 15 66 B9 01 00 66 BA 01 00 66 B8 01 00 E8 ?? ?? ?? ?? DD 5D D8 9B DD 45 D8 DB 7D A0 9B 0F B7 45 A8 50 FF 75 A4 FF 75 A0 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 54 FF FF FF 8B 4D E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 54 FF FF FF 8B 45 08 8B 40 F0 8B 08 FF 51 38 E9 FF 00 00 00 83 7D EC 00 0F 84 F5 00 00 00 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 16 8D 45 EC 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 17 8D 45 EC 50 8B CB 49 8B 45 08 8B 40 EC BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 95 4C FF FF FF 8B 45 EC E8 ?? ?? ?? ?? 8B 8D 4C FF FF FF 8D 85 50 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8B 45 08 8B 40 F0 8B 08 FF 51 38 EB 6D 83 7D EC 00 74 11 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 0E 8D 55 EC 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 8D 85 48 FF FF FF 8B 4D EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 48 FF FF FF 8B 45 08 8B 40 F0 8B 08 FF 51 38 EB 22 8B 45 08 8B 40 F0 BA ?? ?? ?? ?? 8B 08 FF 51 38 EB 10 8B 45 08 8B 40 F0 BA ?? ?? ?? ?? 8B 08 FF 51 38 83 7D F8 00 0F 85 72 FB FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 48 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 8C BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 78 00 70 00 69 00 72 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 61 00 78 00 2D 00 41 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 61 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 63 00 75 00 72 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 74 00 74 00 70 00 4F 00 6E 00 6C 00 79 00 00 00 00 00 80 CB A4 4C B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 58 00 50 00 49 00 52 00 45 00 53 00 3D 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 41 00 58 00 2D 00 41 00 47 00 45 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 4F 00 4D 00 41 00 49 00 4E 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 41 00 54 00 48 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 45 00 43 00 55 00 52 00 45 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 48 00 54 00 54 00 50 00 4F 00 4E 00 4C 00 59 00 3D 00 00 00 }
	condition:
		$1
}

rule function_32599_0 {
	meta:
		name = "GetLastValueOf"
		size = 162
		refs = "0015 GetLastValueOf 0040 TStrings.GetName 004a TextIsSame 005e TStrings.GetValueFromIndex 0069 @UStrAsg 008d @UStrArrayClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 08 8B 40 F0 8B 10 FF 52 14 8B F8 4F 83 FF 00 7C 43 8D 4D F8 8B 45 08 8B 40 F0 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 84 C0 74 1F 8D 4D F4 8B 45 08 8B 40 F0 8B D7 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? B3 01 EB 06 4F 83 FF FF 75 BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32600_0 {
	meta:
		name = "TIdCookie.ParseServerCookie"
		size = 884
		refs = "002a TIdCookie.ParseServerCookie 003b _Dn_TStringList 0040 TStringList.Create 0057 SplitCookieText 0069 @TryFinallyExit 007b TStrings.GetName 0086 @UStrAsg 0093 TStrings.GetValueFromIndex 00ad Now 00cb GetLastValueOf 00df @UStrLAsg 00e5 CurrencyString 00ed StrToFloat 014c EncodeDate 0166 EncodeTime 019c IsDomainMatch 01cd CanonicalizeHostName 0203 GetDefaultPath 0247 IsHTTP 0270 TObject.Free 0276 @HandleFinally 0292 @UStrArrayClr 02b4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 33 DB 89 5D A8 89 5D AC 89 5D B8 89 5D BC 89 5D EC 89 5D E4 89 5D E0 89 4D E8 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 DF 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 55 E8 ?? ?? ?? ?? 59 8B 45 F0 8B 10 FF 52 14 85 C0 75 0A E8 ?? ?? ?? ?? E9 0A 02 00 00 8D 4D BC 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 BC 8D 43 1C E8 ?? ?? ?? ?? 8D 4D B8 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 B8 8D 43 28 E8 ?? ?? ?? ?? 33 D2 8B 45 F0 8B 08 FF 51 48 E8 ?? ?? ?? ?? DD 5B 30 9B 8B 43 30 89 43 40 8B 43 34 89 43 44 55 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 2A C6 43 48 01 8D 45 E4 8B 55 EC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? DB 7D D0 9B DB 6D D0 DD 5B 10 9B EB 73 55 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 2A C6 43 48 01 8D 45 E0 8B 55 EC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? DB 7D C0 9B DB 6D C0 DD 5B 10 9B EB 36 C6 43 48 00 66 B9 1F 00 66 BA 0C 00 66 B8 0F 27 E8 ?? ?? ?? ?? DD 5D B0 9B 68 E7 03 00 00 66 B9 3B 00 66 BA 3B 00 66 B8 17 00 E8 ?? ?? ?? ?? DC 45 B0 DD 5B 10 9B 55 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 2D 8B 45 E8 8B 40 18 8B 55 EC E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 CE 00 00 00 C6 43 38 00 8D 43 0C 8B 55 EC E8 ?? ?? ?? ?? EB 1D C6 43 38 01 8D 55 AC 8B 45 E8 8B 40 18 E8 ?? ?? ?? ?? 8B 55 AC 8D 43 0C E8 ?? ?? ?? ?? 55 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 0D 8D 43 20 8B 55 EC E8 ?? ?? ?? ?? EB 16 8D 55 A8 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 A8 8D 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 58 40 0F 95 C0 88 43 24 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 58 40 0F 95 C0 88 43 18 80 7B 18 00 74 16 8B 45 E8 8B 40 08 E8 ?? ?? ?? ?? 84 C0 75 07 E8 ?? ?? ?? ?? EB 26 C6 45 DF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 0F B6 45 DF 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 41 00 58 00 2D 00 41 00 47 00 45 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 58 00 50 00 49 00 52 00 45 00 53 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 4F 00 4D 00 41 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 41 00 54 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 45 00 43 00 55 00 52 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 54 00 54 00 50 00 4F 00 4E 00 4C 00 59 00 00 00 00 00 }
	condition:
		$1
}

rule function_32601_0 {
	meta:
		name = "TIdCookie.GetIsExpired"
		size = 44
		refs = "0008 TIdCookie.GetIsExpired 0013 Now"
	strings:
		$1 = { 53 8B D8 DD 43 10 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 0E E8 ?? ?? ?? ?? DC 5B 10 9B DF E0 9E 77 04 33 C0 5B C3 B0 01 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_39287_0 {
	meta:
		name = "TInCookie.GetIsExpired"
		size = 44
		refs = "0008 TInCookie.GetIsExpired 0013 Now"
	strings:
		$1 = { 53 8B D8 DD 43 10 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 0E E8 ?? ?? ?? ?? DC 5B 10 9B DF E0 9E 77 04 33 C0 5B C3 B0 01 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_32602_0 {
	meta:
		name = "TIdCookie.GetMaxAge"
		size = 96
		refs = "000b TIdCookie.GetMaxAge 0016 Now 002a @TRUNC"
	strings:
		$1 = { 53 83 C4 F8 8B D8 DD 43 10 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 22 E8 ?? ?? ?? ?? DC 6B 10 D8 0D ?? ?? ?? ?? D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 EB 0F C7 04 24 FF FF FF FF C7 44 24 04 FF FF FF FF 8B 04 24 8B 54 24 04 59 5A 5B C3 00 00 00 00 00 00 00 80 CB A4 4C 00 00 7A 44 }
	condition:
		$1
}

rule function_39288_0 {
	meta:
		name = "TInCookie.GetMaxAge"
		size = 96
		refs = "000b TInCookie.GetMaxAge 0016 Now 002a @TRUNC"
	strings:
		$1 = { 53 83 C4 F8 8B D8 DD 43 10 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 22 E8 ?? ?? ?? ?? DC 6B 10 D8 0D ?? ?? ?? ?? D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 EB 0F C7 04 24 FF FF FF FF C7 44 24 04 FF FF FF FF 8B 04 24 8B 54 24 04 59 5A 5B C3 00 00 00 00 00 00 00 80 CB A4 4C 00 00 7A 44 }
	condition:
		$1
}

rule function_32603_0 {
	meta:
		name = "TIdCookie.GetServerCookie"
		size = 468
		refs = "0018 TIdCookie.GetServerCookie 0035 @UStrCatN 0044 AddCookieProperty 0065 AddCookieFlag 007e TIdCookie.GetMaxAge 00a2 IntToStr 00dc LocalDateTimeToCookieStr 0105 @UStrArrayClr 010b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 73 1C 68 ?? ?? ?? ?? FF 73 28 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 4B 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 4B 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7B 24 00 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7B 18 00 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 83 7D F4 00 75 08 83 7D F0 00 72 21 EB 02 7C 1D FF 75 F4 FF 75 F0 8D 45 EC E8 ?? ?? ?? ?? 8B 4D EC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 10 89 45 F8 8B 43 14 89 45 FC DD 45 F8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 1F FF 75 FC FF 75 F8 8D 55 E8 B0 01 E8 ?? ?? ?? ?? 8B 4D E8 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 61 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 63 00 75 00 72 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 74 00 74 00 70 00 4F 00 6E 00 6C 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 61 00 78 00 2D 00 41 00 67 00 65 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 78 00 70 00 69 00 72 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_39289_0 {
	meta:
		name = "TInCookie.GetServerCookie"
		size = 468
		refs = "0018 TInCookie.GetServerCookie 0035 @UStrCatN 0044 AddCookieProperty 0065 AddCookieFlag 007e TInCookie.GetMaxAge 00a2 IntToStr 00dc LocalDateTimeToCookieStr 0105 @UStrArrayClr 010b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 73 1C 68 ?? ?? ?? ?? FF 73 28 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 4B 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 4B 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7B 24 00 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7B 18 00 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 83 7D F4 00 75 08 83 7D F0 00 72 21 EB 02 7C 1D FF 75 F4 FF 75 F0 8D 45 EC E8 ?? ?? ?? ?? 8B 4D EC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 10 89 45 F8 8B 43 14 89 45 FC DD 45 F8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 1F FF 75 FC FF 75 F8 8D 55 E8 B0 01 E8 ?? ?? ?? ?? 8B 4D E8 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 61 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 6F 00 6D 00 61 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 63 00 75 00 72 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 74 00 74 00 70 00 4F 00 6E 00 6C 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 61 00 78 00 2D 00 41 00 67 00 65 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 78 00 70 00 69 00 72 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_32604_0 {
	meta:
		name = "TIdCookie.GetClientCookie"
		size = 48
		refs = "000a TIdCookie.GetClientCookie 0019 @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 FF 73 1C 68 ?? ?? ?? ?? FF 73 28 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_39290_0 {
	meta:
		name = "TInCookie.GetClientCookie"
		size = 48
		refs = "000a TInCookie.GetClientCookie 0019 @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 FF 73 1C 68 ?? ?? ?? ?? FF 73 28 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_32605_0 {
	meta:
		name = "SplitCookieText"
		size = 488
		refs = "0015 SplitCookieText 0029 Trim 0040 FindFirstOf 0079 @UStrCopy 0084 TrimRight 00a3 TrimLeft 00ae @UStrLAsg 00b6 @UStrClr 00df IdDelete 00f4 Fetch 015f @UStrCatN 0191 @UStrArrayClr 0197 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E9 3F 01 00 00 6A 01 83 C9 FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 13 8B 45 08 8B 40 F8 8B 55 FC 8B 08 FF 51 38 E9 1E 01 00 00 8B 45 FC 66 83 7C 70 FE 3B 0F 94 C3 8D 45 F0 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 56 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 84 DB 0F 85 83 00 00 00 83 7D FC 00 74 7D 8B 45 FC 66 83 38 22 75 3E 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 20 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8D 55 F4 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 74 26 FF 75 F8 68 ?? ?? ?? ?? FF 75 F4 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 08 8B 40 F8 8B 08 FF 51 38 83 7D FC 00 0F 85 B7 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3D 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_32606_0 {
	meta:
		name = "TIdCookie.ParseClientCookie"
		size = 222
		refs = "0018 TIdCookie.ParseClientCookie 0029 _Dn_TStringList 002e TStringList.Create 0045 SplitCookieText 0057 @TryFinallyExit 0066 TStrings.GetName 0071 @UStrAsg 007e TStrings.GetValueFromIndex 00a7 TObject.Free 00ad @HandleFinally 00c9 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 55 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 10 FF 52 14 85 C0 75 07 E8 ?? ?? ?? ?? EB 56 8D 4D F0 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 1C E8 ?? ?? ?? ?? 8D 4D EC 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8D 43 28 E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F7 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39292_0 {
	meta:
		name = "TInCookie.ParseClientCookie"
		size = 222
		refs = "0018 TInCookie.ParseClientCookie 0029 _Dn_TStringList 002e TStringList.Create 0045 SplitCookieText 0057 @TryFinallyExit 0066 TStrings.GetName 0071 @UStrAsg 007e TStrings.GetValueFromIndex 00a7 TObject.Free 00ad @HandleFinally 00c9 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 55 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 10 FF 52 14 85 C0 75 07 E8 ?? ?? ?? ?? EB 56 8D 4D F0 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 1C E8 ?? ?? ?? ?? 8D 4D EC 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8D 43 28 E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F7 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32607_0 {
	meta:
		name = "TIdCookies.Create"
		size = 89
		refs = "000a @ClassCreate 0013 _DV_TIdCookie 001d TOwnedCollection.Create 0024 _Dn_TMultiReadExclusiveWriteSynchronizer 0029 TMultiReadExclusiveWriteSynchronizer.Create 0033 _DV_TIdCookieList 0038 TObject.Create 0046 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 1C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39293_0 {
	meta:
		name = "TInCookies.Create"
		size = 89
		refs = "000a @ClassCreate 0013 _DV_TInCookie 001d TOwnedCollection.Create 0024 _Dn_TMultiReadExclusiveWriteSynchronizer 0029 TMultiReadExclusiveWriteSynchronizer.Create 0033 _DV_TInCookieList 0038 TObject.Create 0046 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 1C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32608_0 {
	meta:
		name = "TIdCookies.Destroy"
		size = 75
		refs = "0003 @BeforeDestruction 000e TIdCookies.Clear 001e TObject.Free 0039 TCollection.Destroy 0044 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39294_0 {
	meta:
		name = "TInCookies.Destroy"
		size = 75
		refs = "0003 @BeforeDestruction 000e TInCookies.Clear 001e TObject.Free 0039 TCollection.Destroy 0044 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32610_0 {
	meta:
		name = "TIdCookies.AddCookie"
		size = 298
		refs = "001b TIdCookies.LockCookieList 0023 TIdCookies.AddCookie 0058 TIdCookieList.GetCookie 0065 TextIsSame 0098 IsHTTP 00a7 @TryFinallyExit 00c2 TList.Delete 00d2 TObject.Free 00e5 TIdCookie.GetIsExpired 00f6 TList.Add 0111 TIdCookies.UnlockCookieList 0117 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 8B F2 89 45 FC C6 45 F7 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 00 0F 84 AB 00 00 00 8B 45 FC 8B 40 1C 8B 40 08 48 85 C0 0F 8C 99 00 00 00 40 89 45 F0 33 FF 8B 45 FC 8B 40 1C 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 56 1C 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 6B 8B 56 0C 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 5C 8B 56 20 8B 43 20 E8 ?? ?? ?? ?? 84 C0 74 4D 83 7D F8 00 74 1C 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 84 C0 75 0D 80 7B 18 00 74 07 E8 ?? ?? ?? ?? EB 70 8B 43 30 89 46 30 8B 43 34 89 46 34 8B 45 FC 8B 40 1C 8B D7 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 10 8B C3 E8 ?? ?? ?? ?? EB 0A 47 FF 4D F0 0F 85 6D FF FF FF 8B C6 E8 ?? ?? ?? ?? 84 C0 75 11 8B 45 FC 8B 40 1C 8B D6 E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_39296_0 {
	meta:
		name = "TInCookies.AddCookie"
		size = 298
		refs = "001b TInCookies.LockCookieList 0023 TInCookies.AddCookie 0058 TInCookieList.GetCookie 0065 TextIsSame 0098 IsHTTP 00a7 @TryFinallyExit 00c2 TList.Delete 00d2 TObject.Free 00e5 TInCookie.GetIsExpired 00f6 TList.Add 0111 TInCookies.UnlockCookieList 0117 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 8B F2 89 45 FC C6 45 F7 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 00 0F 84 AB 00 00 00 8B 45 FC 8B 40 1C 8B 40 08 48 85 C0 0F 8C 99 00 00 00 40 89 45 F0 33 FF 8B 45 FC 8B 40 1C 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 56 1C 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 6B 8B 56 0C 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 5C 8B 56 20 8B 43 20 E8 ?? ?? ?? ?? 84 C0 74 4D 83 7D F8 00 74 1C 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 84 C0 75 0D 80 7B 18 00 74 07 E8 ?? ?? ?? ?? EB 70 8B 43 30 89 46 30 8B 43 34 89 46 34 8B 45 FC 8B 40 1C 8B D7 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 10 8B C3 E8 ?? ?? ?? ?? EB 0A 47 FF 4D F0 0F 85 6D FF FF FF 8B C6 E8 ?? ?? ?? ?? 84 C0 75 11 8B 45 FC 8B 40 1C 8B D6 E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_32611_0 {
	meta:
		name = "TIdCookies.Assign"
		size = 118
		refs = "0012 _DV_TIdCookies 0017 @IsClass 0025 TIdCookies.LockCookieList 002d TIdCookies.Assign 003b TIdCookies.Clear 0045 TIdCookies.AddCookies 005c TIdCookies.UnlockCookieList 0062 @HandleFinally 006e TCollection.Assign"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 49 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_39297_0 {
	meta:
		name = "TInCookies.Assign"
		size = 118
		refs = "0012 _DV_TInCookies 0017 @IsClass 0025 TInCookies.LockCookieList 002d TInCookies.Assign 003b TInCookies.Clear 0045 TInCookies.AddCookies 005c TInCookies.UnlockCookieList 0062 @HandleFinally 006e TCollection.Assign"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 49 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_32614_0 {
	meta:
		name = "TIdCookies.AddClientCookie"
		size = 189
		refs = "0015 TIdCookies.Add 0020 TIdCookies.AddClientCookie 003e TIdCookies.LockCookieList 005a TList.Add 007c TIdCookies.UnlockCookieList 0082 @HandleFinally 00a9 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B DA 89 45 FC 33 C0 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F4 8B 08 FF 51 2C 84 C0 74 50 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 1C 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 12 33 D2 8B 45 F4 8B 08 FF 51 10 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39300_0 {
	meta:
		name = "TInCookies.AddClientCookie"
		size = 189
		refs = "0015 TInCookies.Add 0020 TInCookies.AddClientCookie 003e TInCookies.LockCookieList 005a TList.Add 007c TInCookies.UnlockCookieList 0082 @HandleFinally 00a9 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B DA 89 45 FC 33 C0 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F4 8B 08 FF 51 2C 84 C0 74 50 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 1C 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 12 33 D2 8B 45 F4 8B 08 FF 51 10 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32615_0 {
	meta:
		name = "TIdCookies.AddClientCookies"
		size = 268
		refs = "0016 TIdCookies.AddClientCookies 0026 Trim 0037 _Dn_TStringList 003c TStringList.Create 0062 Fetch 00a3 TIdCookies.AddClientCookie 00bc TObject.Free 00c2 @HandleFinally 00d9 @UStrClr 00e6 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 94 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 0B 8B 55 FC 8B 45 F0 8B 08 FF 51 38 83 7D F8 00 75 D4 8B 45 F0 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1F 43 33 F6 8D 4D EC 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 46 4B 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_39301_0 {
	meta:
		name = "TInCookies.AddClientCookies"
		size = 268
		refs = "0016 TInCookies.AddClientCookies 0026 Trim 0037 _Dn_TStringList 003c TStringList.Create 0062 Fetch 00a3 TInCookies.AddClientCookie 00bc TObject.Free 00c2 @HandleFinally 00d9 @UStrClr 00e6 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 94 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 0B 8B 55 FC 8B 45 F0 8B 08 FF 51 38 83 7D F8 00 75 D4 8B 45 F0 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1F 43 33 F6 8D 4D EC 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 46 4B 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_32616_0 {
	meta:
		name = "TIdCookies.AddClientCookies"
		size = 116
		refs = "0018 TIdCookies.AddClientCookies 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1F 43 33 F6 8D 4D F4 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111146_0 {
	meta:
		name = "TDTDImportTranslator.ParseAttributeDefinitions"
		size = 116
		refs = "0018 TDTDImportTranslator.ParseAttributeDefinitions 0048 TDTDImportTranslator.ParseAttributeDefinition 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1F 43 33 F6 8D 4D F4 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39302_0 {
	meta:
		name = "TInCookies.AddClientCookies"
		size = 116
		refs = "0018 TInCookies.AddClientCookies 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1F 43 33 F6 8D 4D F4 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32617_0 {
	meta:
		name = "TIdCookies.AddServerCookie"
		size = 146
		refs = "0018 TIdCookies.Add 0023 TIdCookies.AddServerCookie 0048 TIdCookies.AddCookie 007c TObject.Free 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 89 55 FC 8B D8 33 C0 89 45 F8 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B 45 F4 8B 38 FF 57 30 84 C0 74 1D 6A 01 8B CE 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 F4 89 45 F8 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 12 33 D2 8B 45 F4 8B 08 FF 51 10 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39303_0 {
	meta:
		name = "TInCookies.AddServerCookie"
		size = 146
		refs = "0018 TInCookies.Add 0023 TInCookies.AddServerCookie 0048 TInCookies.AddCookie 007c TObject.Free 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 89 55 FC 8B D8 33 C0 89 45 F8 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B 45 F4 8B 38 FF 57 30 84 C0 74 1D 6A 01 8B CE 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 F4 89 45 F8 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 12 33 D2 8B 45 F4 8B 08 FF 51 10 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32618_0 {
	meta:
		name = "TIdCookies.AddServerCookies"
		size = 122
		refs = "001b TIdCookies.AddServerCookies 004e TIdCookies.AddServerCookie 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 22 43 33 F6 8D 4D F0 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 55 F0 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32633_0 {
	meta:
		name = "TIdCookieManager.AddServerCookies"
		size = 122
		refs = "001b TIdCookieManager.AddServerCookies 004e TIdCookieManager.AddServerCookie 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 22 43 33 F6 8D 4D F0 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 55 F0 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39304_0 {
	meta:
		name = "TInCookies.AddServerCookies"
		size = 122
		refs = "001b TInCookies.AddServerCookies 004e TInCookies.AddServerCookie 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 22 43 33 F6 8D 4D F0 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 55 F0 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32619_0 {
	meta:
		name = "TIdCookies.AddCookies"
		size = 283
		refs = "002b TIdCookies.LockCookieList 0036 TIdCookies.AddCookies 006c TIdCookieList.GetCookie 00a3 TList.Add 00b2 @HandleAnyException 00c4 TObject.Free 00c9 @RaiseAgain 00ce @DoneExcept 00e9 TIdCookies.UnlockCookieList 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 83 7D F8 00 0F 84 FB 00 00 00 8B 45 F8 3B 45 FC 0F 84 EF 00 00 00 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 70 08 4E 85 F6 7C 73 46 33 FF 8B D7 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 13 89 D0 8B 4D FC B2 01 FF 50 1C 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F0 8B 08 FF 51 08 8B 45 FC 8B 40 1C 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 33 D2 8B 45 F0 8B 08 FF 51 10 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 90 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39305_0 {
	meta:
		name = "TInCookies.AddCookies"
		size = 283
		refs = "002b TInCookies.LockCookieList 0036 TInCookies.AddCookies 006c TInCookieList.GetCookie 00a3 TList.Add 00b2 @HandleAnyException 00c4 TObject.Free 00c9 @RaiseAgain 00ce @DoneExcept 00e9 TInCookies.UnlockCookieList 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 83 7D F8 00 0F 84 FB 00 00 00 8B 45 F8 3B 45 FC 0F 84 EF 00 00 00 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 70 08 4E 85 F6 7C 73 46 33 FF 8B D7 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 13 89 D0 8B 4D FC B2 01 FF 50 1C 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F0 8B 08 FF 51 08 8B 45 FC 8B 40 1C 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 33 D2 8B 45 F0 8B 08 FF 51 10 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 90 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32620_0 {
	meta:
		name = "TIdCookies.GetCookieByNameAndDomain"
		size = 32
		refs = "0008 TIdCookies.GetCookieIndex 001a TIdCookies.GetCookie"
	strings:
		$1 = { 53 8B D8 6A 00 8B C3 E8 ?? ?? ?? ?? 83 F8 FF 75 04 33 C0 5B C3 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39306_0 {
	meta:
		name = "TInCookies.GetCookieByNameAndDomain"
		size = 32
		refs = "0008 TInCookies.GetCookieIndex 001a TInCookies.GetCookie"
	strings:
		$1 = { 53 8B D8 6A 00 8B C3 E8 ?? ?? ?? ?? 83 F8 FF 75 04 33 C0 5B C3 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_32621_0 {
	meta:
		name = "TIdCookies.GetCookieIndex"
		size = 73
		refs = "0025 TIdCookies.GetCookie 002f TextIsSame"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C7 04 24 FF FF FF FF 8B C1 8B D8 8B 47 08 8B 70 08 4E 2B F3 7C 21 46 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 1C 8B D5 E8 ?? ?? ?? ?? 84 C0 74 05 89 1C 24 EB 04 43 4E 75 E0 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39307_0 {
	meta:
		name = "TInCookies.GetCookieIndex"
		size = 73
		refs = "0025 TInCookies.GetCookie 002f TextIsSame"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C7 04 24 FF FF FF FF 8B C1 8B D8 8B 47 08 8B 70 08 4E 2B F3 7C 21 46 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 1C 8B D5 E8 ?? ?? ?? ?? 84 C0 74 05 89 1C 24 EB 04 43 4E 75 E0 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32622_0 {
	meta:
		name = "TIdCookies.GetCookieIndex"
		size = 188
		refs = "001e TIdCookies.GetCookieIndex 0049 TIdCookies.GetCookie 0056 TextIsSame 0065 CanonicalizeHostName 00a4 @UStrArrayClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 FF FF FF FF 8B 45 08 8B F0 8B 45 FC 8B 40 08 8B 78 08 4F 2B FE 7C 4C 47 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 55 F8 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 2C 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E8 8B 43 0C E8 ?? ?? ?? ?? 8B 45 E8 5A E8 ?? ?? ?? ?? 84 C0 74 05 89 75 F0 EB 04 46 4F 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_39308_0 {
	meta:
		name = "TInCookies.GetCookieIndex"
		size = 188
		refs = "001e TInCookies.GetCookieIndex 0049 TInCookies.GetCookie 0056 TextIsSame 0065 CanonicalizeHostName 00a4 @UStrArrayClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 FF FF FF FF 8B 45 08 8B F0 8B 45 FC 8B 40 08 8B 78 08 4F 2B FE 7C 4C 47 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 55 F8 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 2C 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E8 8B 43 0C E8 ?? ?? ?? ?? 8B 45 E8 5A E8 ?? ?? ?? ?? 84 C0 74 05 89 75 F0 EB 04 46 4F 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_32623_0 {
	meta:
		name = "TIdCookies.Clear"
		size = 84
		refs = "000d TIdCookies.LockCookieList 0015 TIdCookies.Clear 002e TCollection.Clear 0045 TIdCookies.UnlockCookieList 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 1C 8B 10 FF 52 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_39309_0 {
	meta:
		name = "TInCookies.Clear"
		size = 84
		refs = "000d TInCookies.LockCookieList 0015 TInCookies.Clear 002e TCollection.Clear 0045 TInCookies.UnlockCookieList 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 1C 8B 10 FF 52 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_32624_0 {
	meta:
		name = "TIdCookies.LockCookieList"
		size = 35
		refs = "0010 TMultiReadExclusiveWriteSynchronizer.BeginRead 001a TMultiReadExclusiveWriteSynchronizer.BeginWrite"
		altNames = "TInCookies.LockCookieList"
	strings:
		$1 = { 53 8B D8 80 EA 01 72 04 74 0C EB 12 8B 43 20 E8 ?? ?? ?? ?? EB 08 8B 43 20 E8 ?? ?? ?? ?? 8B 43 1C 5B C3 }
	condition:
		$1
}

rule function_32625_0 {
	meta:
		name = "TIdCookies.UnlockCookieList"
		size = 27
		refs = "000d TMultiReadExclusiveWriteSynchronizer.EndRead 0016 TMultiReadExclusiveWriteSynchronizer.EndWrite"
		altNames = "TInCookies.UnlockCookieList"
	strings:
		$1 = { 80 EA 01 72 04 74 0B EB 11 8B 40 20 E8 ?? ?? ?? ?? C3 8B 40 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32628_0 {
	meta:
		name = "TIdCookieManager.Destroy"
		size = 66
		refs = "0003 @BeforeDestruction 000e TIdCookieManager.CleanupCookieList 0025 TObject.Free 0030 TComponent.Destroy 003b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 48 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32629_0 {
	meta:
		name = "SortCookiesFunc"
		size = 109
	strings:
		$1 = { 53 56 57 8B F0 3B D6 75 04 33 C0 EB 5C 8B 7A 20 8B C7 85 C0 74 05 83 E8 04 8B 00 8B 5E 20 8B CB 85 C9 74 05 83 E9 04 8B 09 3B C8 7D 07 B8 01 00 00 00 EB 35 8B C3 85 C0 74 05 83 E8 04 8B 00 8B CF 85 C9 74 05 83 E9 04 8B 09 3B C8 75 18 DD 42 30 DC 5E 30 9B DF E0 9E 73 07 B8 01 00 00 00 EB 08 83 C8 FF EB 03 83 C8 FF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32630_0 {
	meta:
		name = "TIdCookieManager.GenerateClientCookies"
		size = 516
		refs = "001e TIdCookieManager.GenerateClientCookies 002c TIdCookieManager.CleanupCookieList 0039 TIdCookies.LockCookieList 005e _Dn_TList 0063 TObject.Create 008c TIdCookieList.GetCookie 00ad TList.Add 00c7 SortCookiesFunc 00cf TList.Sort 00d4 Now 00f0 TList.Get 014c @UStrCatN 0160 TIdHeaderList.AddValue 0175 TObject.Free 017b @HandleFinally 0197 TIdCookies.UnlockCookieList 01b4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D FC 88 4D F3 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 50 33 D2 E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 83 78 08 00 0F 8E 26 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 58 08 4B 85 DB 7C 32 43 33 F6 8B D6 8B 45 EC E8 ?? ?? ?? ?? 89 45 E4 0F B6 4D F3 8B 55 F4 8B 45 E4 8B 38 FF 57 28 84 C0 74 0B 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 46 4B 75 D1 8B 45 E8 8B 40 08 85 C0 0F 8E A1 00 00 00 48 7E 0D BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D D8 9B 8B 45 E8 8B 58 08 4B 85 DB 7C 1D 43 33 F6 8B D6 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 D8 89 50 40 8B 55 DC 89 50 44 46 4B 75 E6 33 D2 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 51 24 8B 45 E8 8B 58 08 4B 85 DB 7E 33 BE 01 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8B D6 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 D4 8B 08 FF 51 24 FF 75 D4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 D2 8B 4D FC BA ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 50 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 6F 00 6F 00 6B 00 69 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_32631_0 {
	meta:
		name = "TIdCookieManager.AddServerCookie"
		size = 155
		refs = "0014 TIdCookies.Add 001f TIdCookieManager.AddServerCookie 0053 TIdCookies.AddCookie 0061 @TryFinallyExit 0088 TObject.Free 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 89 55 FC 8B D8 8B 43 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B 45 F8 8B 38 FF 57 30 84 C0 74 2D 8B 55 F8 8B C3 8B 08 FF 51 4C 84 C0 74 1F 6A 01 8B 43 50 8B CE 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 0C 33 C0 89 45 F8 E8 ?? ?? ?? ?? EB 2D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 12 33 D2 8B 45 F8 8B 08 FF 51 10 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32632_0 {
	meta:
		name = "TIdCookieManager.AddCookies"
		size = 20
		refs = "000f TIdCookies.AddCookies"
	strings:
		$1 = { 85 D2 74 0F 3B C2 74 0B 8B 40 50 8B 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32634_0 {
	meta:
		name = "TIdCookieManager.CopyCookie"
		size = 146
		refs = "001d TIdCookieManager.CopyCookie 0053 TIdCookies.AddCookie 0081 TObject.Free 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B 16 89 D0 8B 4B 50 B2 01 FF 50 1C 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 51 08 8B 45 FC 83 78 0C 00 74 26 8B 55 FC 8B C3 8B 08 FF 51 4C 84 C0 74 18 6A 01 8B 43 50 33 C9 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 05 33 C0 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 12 33 D2 8B 45 FC 8B 08 FF 51 10 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32635_0 {
	meta:
		name = "TIdCookieManager.DoOnNewCookie"
		size = 33
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 78 4A 00 74 0D 54 8B D8 8B CA 8B D0 8B 43 4C FF 53 48 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_32636_0 {
	meta:
		name = "TIdCookieManager.DoOnCreate"
		size = 23
	strings:
		$1 = { 53 66 83 78 3A 00 74 0D 8B D8 8B 48 50 8B D0 8B 43 3C FF 53 38 5B C3 }
	condition:
		$1
}

rule function_32637_0 {
	meta:
		name = "TIdCookieManager.DoOnDestroy"
		size = 23
	strings:
		$1 = { 53 66 83 78 42 00 74 0D 8B D8 8B 48 50 8B D0 8B 43 44 FF 53 40 5B C3 }
	condition:
		$1
}

rule function_32638_0 {
	meta:
		name = "TIdCookieManager.CleanupCookieList"
		size = 143
		refs = "0013 TIdCookies.LockCookieList 001d TIdCookieManager.CleanupCookieList 0035 TIdCookieList.GetCookie 003a TIdCookie.GetIsExpired 004f TObject.Free 005d TList.Delete 007d TIdCookies.UnlockCookieList 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 40 50 B2 01 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5E 08 4B 83 FB 00 7C 37 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B 7E 08 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 7E 08 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 50 B2 01 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32639_0 {
	meta:
		name = "TIdCookieManager.InitComponent"
		size = 36
		refs = "0006 TIdInitializerComponent.InitComponent 000f _Dn_TIdCookies 0014 TIdCookies.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 50 8B C3 8B 10 FF 52 44 5B C3 }
	condition:
		$1
}

rule function_32651_0 {
	meta:
		name = "TimeStampInterval"
		size = 28
		refs = "000b TimeStampInterval 0010 @TRUNC"
	strings:
		$1 = { 55 8B EC DD 45 08 DC 65 10 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 10 00 80 CB A4 4C }
	condition:
		$1
}

rule function_32652_0 {
	meta:
		name = "GetRandomString"
		size = 212
		refs = "0009 Randomize 0012 @UStrSetLength 0020 MaxChar 0025 Random 002a GetRandomString 0035 @UniqueStringU"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 E8 ?? ?? ?? ?? 8B C7 8B D3 E8 ?? ?? ?? ?? 85 DB 7E 28 BE 01 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 0F B7 2C 42 8B C7 E8 ?? ?? ?? ?? 66 89 6C 70 FE 46 4B 75 DD 5D 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 3E 00 00 00 71 00 77 00 65 00 72 00 74 00 7A 00 75 00 69 00 6F 00 70 00 61 00 73 00 64 00 66 00 67 00 68 00 6A 00 6B 00 6C 00 79 00 78 00 63 00 76 00 62 00 6E 00 6D 00 51 00 57 00 45 00 52 00 54 00 5A 00 55 00 49 00 4F 00 50 00 41 00 53 00 44 00 46 00 47 00 48 00 4A 00 4B 00 4C 00 59 00 58 00 43 00 56 00 42 00 4E 00 4D 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_32653_0 {
	meta:
		name = "DecodeHTTPCommand"
		size = 49
		refs = "000b HTTPRequestStrings 0015 TextIsSame"
	strings:
		$1 = { 53 56 57 55 8B F8 33 DB 33 F6 BD ?? ?? ?? ?? 8B 55 00 8B C7 E8 ?? ?? ?? ?? 84 C0 74 04 8B DE EB 09 46 83 C5 04 83 FE 08 75 E5 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32654_0 {
	meta:
		name = "InternalReadLn"
		size = 112
		refs = "000f InternalReadLn 0020 TIdIOHandler.ReadLn 0031 RSReadTimeout 0036 LoadResString 0040 _Dn_EIdReadTimeout 0045 EIdException.Create 004a @RaiseExcept 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BB BD 00 00 00 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39326_0 {
	meta:
		name = "InternalReadLn"
		size = 112
		refs = "000f InternalReadLn 0020 TInIOHandler.ReadLn 0031 RSReadTimeout 0036 LoadResString 0040 _Dn_EIdReadTimeout 0045 EInException.Create 004a @RaiseExcept 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BB BD 00 00 00 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32655_0 {
	meta:
		name = "TIdThreadSafeMimeTable.Create"
		size = 81
		refs = "000e @ClassCreate 001e TIdThreadSafe.Create 0027 _Dn_TIdMimeTable 002c TIdMimeTable.Create 003c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39327_0 {
	meta:
		name = "TInThreadSafeMimeTable.Create"
		size = 81
		refs = "000e @ClassCreate 001e TInThreadSafe.Create 0027 _Dn_TIdMimeTable 002c TIdMimeTable.Create 003c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32656_0 {
	meta:
		name = "TIdThreadSafeMimeTable.Destroy"
		size = 120
		refs = "0007 @BeforeDestruction 0015 TIdThreadSafe.Lock 001d TIdThreadSafeMimeTable.Destroy 0036 TObject.Free 004b TIdThreadSafe.Unlock 0051 @HandleFinally 0062 TIdThreadSafe.Destroy 0070 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 83 C0 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_38295_0 {
	meta:
		name = "TIdThreadSafeStringList.Destroy"
		size = 120
		refs = "0007 @BeforeDestruction 0015 TIdThreadSafe.Lock 001d TIdThreadSafeStringList.Destroy 0036 TObject.Free 004b TIdThreadSafe.Unlock 0051 @HandleFinally 0062 TIdThreadSafe.Destroy 0070 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 83 C0 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_39328_0 {
	meta:
		name = "TInThreadSafeMimeTable.Destroy"
		size = 120
		refs = "0007 @BeforeDestruction 0015 TInThreadSafe.Lock 001d TInThreadSafeMimeTable.Destroy 0036 TObject.Free 004b TInThreadSafe.Unlock 0051 @HandleFinally 0062 TInThreadSafe.Destroy 0070 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 83 C0 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_42153_0 {
	meta:
		name = "TInThreadSafeStringList.Destroy"
		size = 120
		refs = "0007 @BeforeDestruction 0015 TInThreadSafe.Lock 001d TInThreadSafeStringList.Destroy 0036 TObject.Free 004b TInThreadSafe.Unlock 0051 @HandleFinally 0062 TInThreadSafe.Destroy 0070 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 83 C0 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_32657_0 {
	meta:
		name = "TIdThreadSafeMimeTable.GetLoadTypesFromOS"
		size = 75
		refs = "000d TIdThreadSafeMimeTable.Lock 0015 TIdThreadSafeMimeTable.GetLoadTypesFromOS 0037 TIdThreadSafeMimeTable.Unlock 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 40 04 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_39329_0 {
	meta:
		name = "TInThreadSafeMimeTable.GetLoadTypesFromOS"
		size = 75
		refs = "000d TInThreadSafeMimeTable.Lock 0015 TInThreadSafeMimeTable.GetLoadTypesFromOS 0037 TInThreadSafeMimeTable.Unlock 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 40 04 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_32658_0 {
	meta:
		name = "TIdThreadSafeMimeTable.SetLoadTypesFromOS"
		size = 68
		refs = "000e TIdThreadSafeMimeTable.Lock 0016 TIdThreadSafeMimeTable.SetLoadTypesFromOS 0034 TIdThreadSafeMimeTable.Unlock 003a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 88 58 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39330_0 {
	meta:
		name = "TInThreadSafeMimeTable.SetLoadTypesFromOS"
		size = 68
		refs = "000e TInThreadSafeMimeTable.Lock 0016 TInThreadSafeMimeTable.SetLoadTypesFromOS 0034 TInThreadSafeMimeTable.Unlock 003a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 88 58 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_32659_0 {
	meta:
		name = "TIdThreadSafeMimeTable.GetOnBuildCache"
		size = 76
		refs = "000e TIdThreadSafeMimeTable.Lock 0016 TIdThreadSafeMimeTable.GetOnBuildCache 003c TIdThreadSafeMimeTable.Unlock 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 50 08 89 13 8B 50 0C 89 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39331_0 {
	meta:
		name = "TInThreadSafeMimeTable.GetOnBuildCache"
		size = 76
		refs = "000e TInThreadSafeMimeTable.Lock 0016 TInThreadSafeMimeTable.GetOnBuildCache 003c TInThreadSafeMimeTable.Unlock 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 50 08 89 13 8B 50 0C 89 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_32660_0 {
	meta:
		name = "TIdThreadSafeMimeTable.SetOnBuildCache"
		size = 75
		refs = "000b TIdThreadSafeMimeTable.Lock 0013 TIdThreadSafeMimeTable.SetOnBuildCache 003a TIdThreadSafeMimeTable.Unlock 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 08 89 50 08 8B 55 0C 89 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_39332_0 {
	meta:
		name = "TInThreadSafeMimeTable.SetOnBuildCache"
		size = 75
		refs = "000b TInThreadSafeMimeTable.Lock 0013 TInThreadSafeMimeTable.SetOnBuildCache 003a TInThreadSafeMimeTable.Unlock 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 08 89 50 08 8B 55 0C 89 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_32661_0 {
	meta:
		name = "TIdThreadSafeMimeTable.BuildCache"
		size = 66
		refs = "000b TIdThreadSafeMimeTable.Lock 0013 TIdThreadSafeMimeTable.BuildCache 0033 TIdThreadSafeMimeTable.Unlock 0039 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 10 FF 52 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_39333_0 {
	meta:
		name = "TInThreadSafeMimeTable.BuildCache"
		size = 66
		refs = "000b TInThreadSafeMimeTable.Lock 0013 TInThreadSafeMimeTable.BuildCache 0033 TInThreadSafeMimeTable.Unlock 0039 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 10 FF 52 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_32662_0 {
	meta:
		name = "TIdThreadSafeMimeTable.AddMimeType"
		size = 85
		refs = "0011 TIdThreadSafeMimeTable.Lock 0019 TIdThreadSafeMimeTable.AddMimeType 002d TIdMimeTable.AddMimeType 0042 TIdThreadSafeMimeTable.Unlock 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 55 08 52 8B CE 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_39334_0 {
	meta:
		name = "TInThreadSafeMimeTable.AddMimeType"
		size = 85
		refs = "0011 TInThreadSafeMimeTable.Lock 0019 TInThreadSafeMimeTable.AddMimeType 002d TIdMimeTable.AddMimeType 0042 TInThreadSafeMimeTable.Unlock 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 55 08 52 8B CE 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_32663_0 {
	meta:
		name = "TIdThreadSafeMimeTable.GetFileMIMEType"
		size = 84
		refs = "0012 TIdThreadSafeMimeTable.Lock 001c TIdThreadSafeMimeTable.GetFileMIMEType 002d TIdMimeTable.GetFileMIMEType 0042 TIdThreadSafeMimeTable.Unlock 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32664_0 {
	meta:
		name = "TIdThreadSafeMimeTable.GetDefaultFileExt"
		size = 84
		refs = "0012 TIdThreadSafeMimeTable.Lock 001c TIdThreadSafeMimeTable.GetDefaultFileExt 002d TIdMimeTable.GetDefaultFileExt 0042 TIdThreadSafeMimeTable.Unlock 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38297_0 {
	meta:
		name = "TIdThreadSafeStringList.GetValue"
		size = 84
		refs = "0012 TIdThreadSafeStringList.Lock 001c TIdThreadSafeStringList.GetValue 002d TStrings.GetValue 0042 TIdThreadSafeStringList.Unlock 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39336_0 {
	meta:
		name = "TInThreadSafeMimeTable.GetDefaultFileExt"
		size = 84
		refs = "0012 TInThreadSafeMimeTable.Lock 001c TInThreadSafeMimeTable.GetDefaultFileExt 002d TIdMimeTable.GetDefaultFileExt 0042 TInThreadSafeMimeTable.Unlock 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39335_0 {
	meta:
		name = "TInThreadSafeMimeTable.GetFileMIMEType"
		size = 84
		refs = "0012 TInThreadSafeMimeTable.Lock 001c TInThreadSafeMimeTable.GetFileMIMEType 002d TIdMimeTable.GetFileMIMEType 0042 TInThreadSafeMimeTable.Unlock 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42155_0 {
	meta:
		name = "TInThreadSafeStringList.GetValue"
		size = 84
		refs = "0012 TInThreadSafeStringList.Lock 001c TInThreadSafeStringList.GetValue 002d TStrings.GetValue 0042 TInThreadSafeStringList.Unlock 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32665_0 {
	meta:
		name = "TIdThreadSafeMimeTable.LoadFromStrings"
		size = 78
		refs = "0011 TIdThreadSafeMimeTable.Lock 0019 TIdThreadSafeMimeTable.LoadFromStrings 0028 TIdMimeTable.LoadFromStrings 003d TIdThreadSafeMimeTable.Unlock 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CE 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32666_0 {
	meta:
		name = "TIdThreadSafeMimeTable.SaveToStrings"
		size = 78
		refs = "0011 TIdThreadSafeMimeTable.Lock 0019 TIdThreadSafeMimeTable.SaveToStrings 0028 TIdMimeTable.SaveToStrings 003d TIdThreadSafeMimeTable.Unlock 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CE 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38301_0 {
	meta:
		name = "TIdThreadSafeStringList.SetValue"
		size = 78
		refs = "0011 TIdThreadSafeStringList.Lock 0019 TIdThreadSafeStringList.SetValue 0028 TStrings.SetValue 003d TIdThreadSafeStringList.Unlock 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CE 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39337_0 {
	meta:
		name = "TInThreadSafeMimeTable.LoadFromStrings"
		size = 78
		refs = "0011 TInThreadSafeMimeTable.Lock 0019 TInThreadSafeMimeTable.LoadFromStrings 0028 TIdMimeTable.LoadFromStrings 003d TInThreadSafeMimeTable.Unlock 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CE 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39338_0 {
	meta:
		name = "TInThreadSafeMimeTable.SaveToStrings"
		size = 78
		refs = "0011 TInThreadSafeMimeTable.Lock 0019 TInThreadSafeMimeTable.SaveToStrings 0028 TIdMimeTable.SaveToStrings 003d TInThreadSafeMimeTable.Unlock 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CE 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42159_0 {
	meta:
		name = "TInThreadSafeStringList.SetValue"
		size = 78
		refs = "0011 TInThreadSafeStringList.Lock 0019 TInThreadSafeStringList.SetValue 0028 TStrings.SetValue 003d TInThreadSafeStringList.Unlock 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CE 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32669_0 {
	meta:
		name = "TIdHTTPRangeStream.Create"
		size = 388
		refs = "0011 @ClassCreate 0020 TObject.Create 00e1 IndyMin 0129 IndyMax 016b @AfterConstruction"
		altNames = "TInHTTPRangeStream.Create"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 0F B6 45 08 88 47 08 C7 47 20 C8 00 00 00 83 7D 18 FF 75 08 83 7D 14 FF 77 1C EB 02 7F 18 83 7D 10 FF 75 0C 83 7D 0C FF 0F 86 0F 01 00 00 EB 06 0F 8E 07 01 00 00 8B C6 8B 10 FF 12 89 45 F8 89 55 FC 83 7D 18 FF 75 0C 83 7D 14 FF 0F 86 88 00 00 00 EB 06 0F 8E 80 00 00 00 8B 45 14 8B 55 18 3B 55 FC 75 07 3B 45 F8 72 10 EB 02 7C 0C C7 47 20 A0 01 00 00 E9 C3 00 00 00 83 7D 10 FF 75 08 83 7D 0C FF 76 40 EB 02 7E 3C 8B 45 0C 8B 55 10 3B 55 18 75 0A 3B 45 14 73 0B E9 9E 00 00 00 0F 8C 98 00 00 00 FF 75 10 FF 75 0C 8B 45 F8 8B 55 FC 83 E8 01 83 DA 00 52 50 E8 ?? ?? ?? ?? 89 45 0C 89 55 10 EB 58 8B 45 F8 8B 55 FC 83 E8 01 83 DA 00 89 45 0C 89 55 10 EB 44 83 7D 10 00 75 0F 83 7D 0C 00 75 09 C7 47 20 A0 01 00 00 EB 4E 8B 45 F8 8B 55 FC 2B 45 0C 1B 55 10 52 50 6A 00 6A 00 E8 ?? ?? ?? ?? 89 45 14 89 55 18 8B 45 F8 8B 55 FC 83 E8 01 83 DA 00 89 45 0C 89 55 10 C7 47 20 CE 00 00 00 8B 45 14 89 47 10 8B 45 18 89 47 14 8B 45 0C 89 47 18 8B 45 10 89 47 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 59 5D C2 14 00 }
	condition:
		$1
}

rule function_32670_0 {
	meta:
		name = "TIdHTTPRangeStream.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0015 TObject.Free 0020 TObject.Destroy 002b @ClassDestroy"
		altNames = "TInHTTPRangeStream.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 08 00 74 08 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32671_0 {
	meta:
		name = "TIdHTTPRangeStream.IdRead"
		size = 99
		refs = "0031 TStream.GetPosition 0041 IndyMin 0052 _Dn_TIdStreamHelperVCL 0057 TIdStreamHelperVCL.ReadBytes"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 81 7B 20 CE 00 00 00 75 2D 8B C6 99 52 50 8B 43 18 8B 53 1C 83 C0 01 83 D2 00 52 50 8B 43 04 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 E8 ?? ?? ?? ?? 8B F0 56 8B 45 FC 50 8B CF 8B 53 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_39343_0 {
	meta:
		name = "TInHTTPRangeStream.IdRead"
		size = 99
		refs = "0031 TStream.GetPosition 0041 IndyMin 0052 _Dn_TInStreamHelperVCL 0057 TInStreamHelperVCL.ReadBytes"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 81 7B 20 CE 00 00 00 75 2D 8B C6 99 52 50 8B 43 18 8B 53 1C 83 C0 01 83 D2 00 52 50 8B 43 04 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 E8 ?? ?? ?? ?? 8B F0 56 8B 45 FC 50 8B CF 8B 53 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_32672_0 {
	meta:
		name = "TIdHTTPRangeStream.IdSeek"
		size = 308
		refs = "003b TStream.GetPosition 0068 TIdHTTPRangeStream.IdSeek 006f _Dn_EIdException 0074 EIdException.Create 0079 @RaiseExcept 008a IndyMax 00a9 IndyMin 00bf _Dn_TIdStreamHelperVCL 00c4 TIdStreamHelperVCL.Seek"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 81 7B 20 CE 00 00 00 0F 85 C0 00 00 00 80 EA 01 72 08 74 1A FE CA 74 2C EB 44 8B 43 10 8B 53 14 03 45 08 13 55 0C 89 45 F0 89 55 F4 EB 46 8B 43 04 E8 ?? ?? ?? ?? 03 45 08 13 55 0C 89 45 F0 89 55 F4 EB 30 8B 43 18 8B 53 1C 83 C0 01 83 D2 00 03 45 08 13 55 0C 89 45 F0 89 55 F4 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 FF 73 14 FF 73 10 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 FF 75 F4 FF 75 F0 8B 43 18 8B 53 1C 83 C0 01 83 D2 00 52 50 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 FF 75 F4 FF 75 F0 33 C9 8B 53 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 2B 43 10 1B 53 14 89 45 F8 89 55 FC EB 1B FF 75 0C FF 75 08 8B CA A1 ?? ?? ?? ?? 8B 53 04 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 53 00 65 00 65 00 6B 00 20 00 4F 00 72 00 69 00 67 00 69 00 6E 00 00 00 }
	condition:
		$1
}

rule function_39344_0 {
	meta:
		name = "TInHTTPRangeStream.IdSeek"
		size = 308
		refs = "003b TStream.GetPosition 0068 TInHTTPRangeStream.IdSeek 006f _Dn_EInException 0074 EInException.Create 0079 @RaiseExcept 008a IndyMax 00a9 IndyMin 00bf _Dn_TInStreamHelperVCL 00c4 TInStreamHelperVCL.Seek"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 81 7B 20 CE 00 00 00 0F 85 C0 00 00 00 80 EA 01 72 08 74 1A FE CA 74 2C EB 44 8B 43 10 8B 53 14 03 45 08 13 55 0C 89 45 F0 89 55 F4 EB 46 8B 43 04 E8 ?? ?? ?? ?? 03 45 08 13 55 0C 89 45 F0 89 55 F4 EB 30 8B 43 18 8B 53 1C 83 C0 01 83 D2 00 03 45 08 13 55 0C 89 45 F0 89 55 F4 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 FF 73 14 FF 73 10 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 FF 75 F4 FF 75 F0 8B 43 18 8B 53 1C 83 C0 01 83 D2 00 52 50 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 FF 75 F4 FF 75 F0 33 C9 8B 53 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 2B 43 10 1B 53 14 89 45 F8 89 55 FC EB 1B FF 75 0C FF 75 08 8B CA A1 ?? ?? ?? ?? 8B 53 04 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 53 00 65 00 65 00 6B 00 20 00 4F 00 72 00 69 00 67 00 69 00 6E 00 00 00 }
	condition:
		$1
}

rule function_32675_0 {
	meta:
		name = "TIdCustomHTTPServer.InitComponent"
		size = 112
		refs = "0006 TIdCustomTCPServer.InitComponent 002b _DV_TIdHTTPDefaultSessionList 0030 TIdBaseComponent.Create 003f _DV_TIdThreadSafeMimeTable 0044 TIdThreadSafeMimeTable.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 28 01 00 00 00 66 BA 50 00 8B C3 8B 08 FF 91 98 00 00 00 C6 83 1A 01 00 00 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 24 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 20 01 00 00 33 C0 89 83 2C 01 00 00 C6 83 18 01 00 00 00 C6 83 19 01 00 00 00 C7 83 A4 01 00 00 00 04 00 00 5B C3 }
	condition:
		$1
}

rule function_39347_0 {
	meta:
		name = "TInCustomHTTPServer.InitComponent"
		size = 112
		refs = "0006 TInCustomTCPServer.InitComponent 002b _DV_TInHTTPDefaultSessionList 0030 TInBaseComponent.Create 003f _DV_TInThreadSafeMimeTable 0044 TInThreadSafeMimeTable.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 28 01 00 00 00 66 BA 50 00 8B C3 8B 08 FF 91 98 00 00 00 C6 83 1A 01 00 00 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 24 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 20 01 00 00 33 C0 89 83 2C 01 00 00 C6 83 18 01 00 00 00 C6 83 19 01 00 00 00 C7 83 A4 01 00 00 00 04 00 00 5B C3 }
	condition:
		$1
}

rule function_32676_0 {
	meta:
		name = "TIdCustomHTTPServer.DoParseAuthentication"
		size = 324
		refs = "0019 TIdCustomHTTPServer.DoParseAuthentication 0066 TextIsSame 0071 _Dn_TIdDecoderMIME 0076 TIdInitializerComponent.Create 009a TIdDecoder.DecodeString 00af TObject.Free 00b5 @HandleFinally 00cc Fetch 00d7 @UStrAsg 00fb @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D EC 89 5D FC 8B D9 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 45 F7 00 66 83 B8 52 01 00 00 00 74 23 8B 55 10 52 8B 55 0C 52 8B 55 08 52 8D 55 F7 52 8B F0 8B CB 8B 55 F8 8B 86 54 01 00 00 FF 96 50 01 00 00 80 7D F7 00 0F 85 8C 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 7C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 45 F0 8B 00 33 C9 8B 55 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F7 5E 5B 8B E5 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 61 00 73 00 69 00 63 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_39348_0 {
	meta:
		name = "TInCustomHTTPServer.DoParseAuthentication"
		size = 324
		refs = "0019 TInCustomHTTPServer.DoParseAuthentication 0066 TextIsSame 0071 _Dn_TIdDecoderMIME 0076 TIdInitializerComponent.Create 009a TIdDecoder.DecodeString 00af TObject.Free 00b5 @HandleFinally 00cc Fetch 00d7 @UStrAsg 00fb @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D EC 89 5D FC 8B D9 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 45 F7 00 66 83 B8 52 01 00 00 00 74 23 8B 55 10 52 8B 55 0C 52 8B 55 08 52 8D 55 F7 52 8B F0 8B CB 8B 55 F8 8B 86 54 01 00 00 FF 96 50 01 00 00 80 7D F7 00 0F 85 8C 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 7C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 45 F0 8B 00 33 C9 8B 55 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F7 5E 5B 8B E5 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 61 00 73 00 69 00 63 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_32677_0 {
	meta:
		name = "TIdCustomHTTPServer.DoOnCreateSession"
		size = 31
		altNames = "TInCustomHTTPServer.DoOnCreateSession"
	strings:
		$1 = { 53 33 DB 89 19 66 83 B8 42 01 00 00 00 74 0E 8B D8 8B 83 44 01 00 00 FF 93 40 01 00 00 5B C3 }
	condition:
		$1
}

rule function_32678_0 {
	meta:
		name = "TIdCustomHTTPServer.CreateSession"
		size = 244
		refs = "005e TIdCookies.Add 0068 TIdCustomHTTPServer.CreateSession 006d @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B F0 80 BE 28 01 00 00 00 0F 84 8C 00 00 00 8D 4D F8 8B C6 8B 18 FF 93 B8 00 00 00 83 7D F8 00 75 19 8B 45 08 8B 90 DC 00 00 00 8B 86 24 01 00 00 8B 08 FF 51 50 89 45 F8 EB 0E 8B 55 F8 8B 86 24 01 00 00 8B 08 FF 51 5C 8B 45 FC 8B 80 B4 00 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 28 8B 55 F8 8B 52 18 E8 ?? ?? ?? ?? 8D 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 CC 00 00 00 8B 45 08 8B 55 F8 89 90 E0 00 00 00 EB 05 33 C0 89 45 F8 8B 45 F8 5E 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 44 00 48 00 54 00 54 00 50 00 53 00 45 00 53 00 53 00 49 00 4F 00 4E 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_32679_0 {
	meta:
		name = "TIdCustomHTTPServer.Destroy"
		size = 86
		refs = "0003 @BeforeDestruction 0026 TObject.Free 0044 TIdCustomTCPServer.Destroy 004f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 8B 08 FF 91 90 00 00 00 8D 86 20 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 24 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39351_0 {
	meta:
		name = "TInCustomHTTPServer.Destroy"
		size = 86
		refs = "0003 @BeforeDestruction 0026 TObject.Free 0044 TInCustomTCPServer.Destroy 004f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 8B 08 FF 91 90 00 00 00 8D 86 20 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 24 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32680_0 {
	meta:
		name = "TIdCustomHTTPServer.DoCommandGet"
		size = 37
		altNames = "TInCustomHTTPServer.DoCommandGet"
	strings:
		$1 = { 55 8B EC 53 66 83 B8 6A 01 00 00 00 74 12 8B 5D 08 53 8B D8 8B 83 6C 01 00 00 FF 93 68 01 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_32681_0 {
	meta:
		name = "TIdCustomHTTPServer.DoCommandOther"
		size = 37
		altNames = "TInCustomHTTPServer.DoCommandOther"
	strings:
		$1 = { 55 8B EC 53 66 83 B8 72 01 00 00 00 74 12 8B 5D 08 53 8B D8 8B 83 74 01 00 00 FF 93 70 01 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_32682_0 {
	meta:
		name = "TIdCustomHTTPServer.DoCommandError"
		size = 41
		altNames = "TInCustomHTTPServer.DoCommandError"
	strings:
		$1 = { 55 8B EC 53 66 83 B8 7A 01 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 7C 01 00 00 FF 93 78 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_32683_0 {
	meta:
		name = "TIdCustomHTTPServer.DoConnect"
		size = 89
		refs = "0015 _Dn_TIdSSLIOHandlerSocketBase 001a @IsClass 0050 TIdCustomTCPServer.DoConnect"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 8B 6B 14 8B BD 98 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 8B 85 B0 00 00 00 8B 80 D8 00 00 00 0F B7 50 20 8B C6 8B 08 FF 91 D8 00 00 00 8B D0 80 F2 01 8B C7 8B 08 FF 91 04 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39355_0 {
	meta:
		name = "TInCustomHTTPServer.DoConnect"
		size = 89
		refs = "0015 _Dn_TInSSLIOHandlerSocketBase 001a @IsClass 0050 TInCustomTCPServer.DoConnect"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 8B 6B 14 8B BD 98 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 8B 85 B0 00 00 00 8B 80 D8 00 00 00 0F B7 50 20 8B C6 8B 08 FF 91 D8 00 00 00 8B D0 80 F2 01 8B C7 8B 08 FF 91 04 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32684_0 {
	meta:
		name = "TIdCustomHTTPServer.DoQuerySSLPort"
		size = 48
		altNames = "TInCustomHTTPServer.DoQuerySSLPort"
	strings:
		$1 = { 53 51 66 83 B8 9A 01 00 00 00 0F 95 C1 80 F1 01 88 0C 24 80 3C 24 00 75 10 8B CC 8B D8 8B 83 9C 01 00 00 FF 93 98 01 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_32685_0 {
	meta:
		name = "TIdCustomHTTPServer.DoHeadersAvailable"
		size = 51
		altNames = "TInCustomHTTPServer.DoHeadersAvailable"
	strings:
		$1 = { 55 8B EC 51 53 C6 45 FF 01 66 83 B8 82 01 00 00 00 74 16 8B 5D 08 53 8D 5D FF 53 8B D8 8B 83 84 01 00 00 FF 93 80 01 00 00 0F B6 45 FF 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_32686_0 {
	meta:
		name = "TIdCustomHTTPServer.DoHeadersBlocked"
		size = 87
		refs = "0020 @UStrClr"
		altNames = "TInCustomHTTPServer.DoHeadersBlocked"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 0C 8B 75 10 C7 06 93 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 66 83 BB 8A 01 00 00 00 74 18 56 57 8B 45 08 50 8B 4D F8 8B 55 FC 8B 83 8C 01 00 00 FF 93 88 01 00 00 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_32687_0 {
	meta:
		name = "TIdCustomHTTPServer.DoHeaderExpectations"
		size = 104
		refs = "000b TIdCustomHTTPServer.DoHeaderExpectations 0012 TextIsSame"
	strings:
		$1 = { 53 56 57 51 8B F1 8B FA 8B D8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 88 04 24 66 83 BB 92 01 00 00 00 74 11 54 8B CE 8B D7 8B 83 94 01 00 00 FF 93 90 01 00 00 0F B6 04 24 5A 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 31 00 30 00 30 00 2D 00 63 00 6F 00 6E 00 74 00 69 00 6E 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_39359_0 {
	meta:
		name = "TInCustomHTTPServer.DoHeaderExpectations"
		size = 104
		refs = "000b TInCustomHTTPServer.DoHeaderExpectations 0012 TextIsSame"
	strings:
		$1 = { 53 56 57 51 8B F1 8B FA 8B D8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 88 04 24 66 83 BB 92 01 00 00 00 74 11 54 8B CE 8B D7 8B 83 94 01 00 00 FF 93 90 01 00 00 0F B6 04 24 5A 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 31 00 30 00 30 00 2D 00 63 00 6F 00 6E 00 74 00 69 00 6E 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_32688_0 {
	meta:
		name = "ReadCookiesFromRequestHeader"
		size = 140
		refs = "0007 _Dn_TStringList 000c TStringList.Create 0017 ReadCookiesFromRequestHeader 0033 TIdHeaderList.Extract 0047 TIdCookies.AddClientCookies 0061 TObject.Free 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 FC 8B 40 0C 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 CC 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 6F 00 6F 00 6B 00 69 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_39360_0 {
	meta:
		name = "ReadCookiesFromRequestHeader"
		size = 140
		refs = "0007 _Dn_TStringList 000c TStringList.Create 0017 ReadCookiesFromRequestHeader 0033 TInHeaderList.Extract 0047 TInCookies.AddClientCookies 0061 TObject.Free 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 FC 8B 40 0C 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 CC 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 6F 00 6F 00 6B 00 69 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_32689_0 {
	meta:
		name = "GetRemoteIP"
		size = 42
		refs = "000a @UStrClr 0022 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 14 8B BB D8 00 00 00 85 FF 74 0A 8B C6 8B 57 1C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32690_0 {
	meta:
		name = "HeadersCanContinue"
		size = 788
		refs = "0019 HeadersCanContinue 0081 TIdHTTPResponseInfo.SetResponseNo 00a4 @UStrAsg 00c4 TIdHTTPResponseInfo.SetCloseConnection 00cf TIdHTTPResponseInfo.WriteHeader 00ee TIdHTTPResponseInfo.WriteContent 0104 TIdHTTPRequestInfo.IsVersionAtLeast 011e TIdHeaderList.GetValue 016f TIdIOHandler.InputBufferIsEmpty 01f2 LowerCase 01ff Pos 0218 RSHTTPContinue 021d LoadResString 0232 @UStrCatN 0268 @UStrArrayClr 027b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B 75 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 8B 40 0C 50 8B 06 8B 88 E8 00 00 00 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B 18 FF 93 CC 00 00 00 88 45 F3 80 7D F3 00 0F 85 A5 00 00 00 8D 45 EC 50 8D 45 FC 50 8D 45 F8 50 8B 06 8B 48 0C 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B 18 FF 93 D0 00 00 00 8B 45 08 8B 40 F0 8B 55 EC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 13 8B 45 08 8B 40 F0 05 C4 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 05 BC 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 6B 01 00 00 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? E9 5B 01 00 00 8B 06 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 42 01 00 00 8D 4D F4 8B 06 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 75 2D 8B 45 08 8B 40 F0 BA 90 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? E9 F3 00 00 00 8B 45 08 8B 40 F4 8B 40 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 D7 00 00 00 8D 4D F4 8B 06 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 84 B1 00 00 00 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B 4D F4 8B 18 FF 93 D4 00 00 00 88 45 F3 80 7D F3 00 75 2A 8B 45 08 8B 40 F0 BA A1 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? EB 67 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 4B 8B 06 FF B0 F0 00 00 00 68 ?? ?? ?? ?? 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 08 8B 40 F4 8B 40 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 6F 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 45 00 78 00 70 00 65 00 63 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 31 00 30 00 30 00 2D 00 63 00 6F 00 6E 00 74 00 69 00 6E 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 31 00 30 00 30 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_39362_0 {
	meta:
		name = "HeadersCanContinue"
		size = 788
		refs = "0019 HeadersCanContinue 0081 TInHTTPResponseInfo.SetResponseNo 00a4 @UStrAsg 00c4 TInHTTPResponseInfo.SetCloseConnection 00cf TInHTTPResponseInfo.WriteHeader 00ee TInHTTPResponseInfo.WriteContent 0104 TInHTTPRequestInfo.IsVersionAtLeast 011e TInHeaderList.GetValue 016f TInIOHandler.InputBufferIsEmpty 01f2 LowerCase 01ff Pos 0218 RSHTTPContinue 021d LoadResString 0232 @UStrCatN 0268 @UStrArrayClr 027b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B 75 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 8B 40 0C 50 8B 06 8B 88 E8 00 00 00 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B 18 FF 93 CC 00 00 00 88 45 F3 80 7D F3 00 0F 85 A5 00 00 00 8D 45 EC 50 8D 45 FC 50 8D 45 F8 50 8B 06 8B 48 0C 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B 18 FF 93 D0 00 00 00 8B 45 08 8B 40 F0 8B 55 EC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 13 8B 45 08 8B 40 F0 05 C4 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 05 BC 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 6B 01 00 00 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? E9 5B 01 00 00 8B 06 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 42 01 00 00 8D 4D F4 8B 06 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 75 2D 8B 45 08 8B 40 F0 BA 90 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? E9 F3 00 00 00 8B 45 08 8B 40 F4 8B 40 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 D7 00 00 00 8D 4D F4 8B 06 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 84 B1 00 00 00 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B 4D F4 8B 18 FF 93 D4 00 00 00 88 45 F3 80 7D F3 00 75 2A 8B 45 08 8B 40 F0 BA A1 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? EB 67 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 4B 8B 06 FF B0 F0 00 00 00 68 ?? ?? ?? ?? 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 08 8B 40 F4 8B 40 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 6F 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 45 00 78 00 70 00 65 00 63 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 31 00 30 00 30 00 2D 00 63 00 6F 00 6E 00 74 00 69 00 6E 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 31 00 30 00 30 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_32691_0 {
	meta:
		name = "PreparePostStream"
		size = 900
		refs = "0012 PreparePostStream 0054 TextIsSame 0070 LowerCase 0079 IndyPos 0096 TIdHTTPResponseInfo.SetResponseNo 00a3 TIdHTTPResponseInfo.SetCloseConnection 00ae TIdHTTPResponseInfo.WriteHeader 00f2 _Dn_TMemoryStream 00f7 TObject.Create 0118 TStream.SetPosition 0122 InternalReadLn 014e @UStrCopy 0159 Trim 0169 @UStrCat3 0173 IndyStrToInt 02a4 TIdIOHandler.InputBufferIsEmpty 030a @UStrArrayClr 0312 @UStrClr 0318 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 08 8B 40 F4 8B 40 14 8B 98 98 00 00 00 8B 45 08 8B 40 FC 83 B8 80 00 00 00 00 0F 84 91 01 00 00 8B 45 08 8B 40 FC 8B 80 80 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 73 01 00 00 8D 55 F4 8B 45 08 8B 40 FC 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 35 ?? ?? ?? ?? 8B 36 B8 ?? ?? ?? ?? FF D6 85 C0 75 2D 8B 45 08 8B 40 F0 BA 90 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? E9 3D 02 00 00 8B 45 08 8B 40 FC 05 D4 00 00 00 50 8B 45 08 8B 40 FC 8B 48 0C 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B 30 FF 96 B0 00 00 00 8B 45 08 8B 40 FC 83 B8 D4 00 00 00 00 75 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 82 D4 00 00 00 6A 00 6A 00 8B 45 08 8B 40 FC 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 7E 14 8D 45 FC 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 8B F0 85 F6 74 2C 8B C6 99 52 50 8B 45 08 8B 40 FC 8B 90 D4 00 00 00 33 C9 8B C3 8B 30 FF 96 CC 00 00 00 8D 55 E8 8B C3 E8 ?? ?? ?? ?? E9 73 FF FF FF 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 83 7D E4 00 75 F0 6A 00 6A 00 8B 45 08 8B 40 FC 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? E9 1D 01 00 00 8B 45 08 8B 40 FC 80 78 7C 00 0F 84 BE 00 00 00 8B 45 08 8B 40 FC 05 D4 00 00 00 50 8B 45 08 8B 40 FC 8B 48 0C 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B 30 FF 96 B0 00 00 00 8B 45 08 8B 40 FC 83 B8 D4 00 00 00 00 75 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 82 D4 00 00 00 6A 00 6A 00 8B 45 08 8B 40 FC 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 83 78 2C 00 75 0C 83 78 28 00 0F 86 92 00 00 00 EB 06 0F 8E 8A 00 00 00 8B 45 08 8B 40 FC FF 70 2C FF 70 28 8B 45 08 8B 40 FC 8B 90 D4 00 00 00 33 C9 8B C3 8B 18 FF 93 CC 00 00 00 6A 00 6A 00 8B 45 08 8B 40 FC 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? EB 4F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F BA 01 00 00 00 8B C3 8B 08 FF 91 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2A 8B 45 08 8B 40 F0 BA 9B 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? EB 04 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 69 00 64 00 65 00 6E 00 74 00 69 00 74 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 75 00 6E 00 6B 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_39363_0 {
	meta:
		name = "PreparePostStream"
		size = 900
		refs = "0012 PreparePostStream 0054 TextIsSame 0070 LowerCase 0079 IndyPos 0096 TInHTTPResponseInfo.SetResponseNo 00a3 TInHTTPResponseInfo.SetCloseConnection 00ae TInHTTPResponseInfo.WriteHeader 00f2 _Dn_TMemoryStream 00f7 TObject.Create 0118 TStream.SetPosition 0122 InternalReadLn 014e @UStrCopy 0159 Trim 0169 @UStrCat3 0173 IndyStrToInt 02a4 TInIOHandler.InputBufferIsEmpty 030a @UStrArrayClr 0312 @UStrClr 0318 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 08 8B 40 F4 8B 40 14 8B 98 98 00 00 00 8B 45 08 8B 40 FC 83 B8 80 00 00 00 00 0F 84 91 01 00 00 8B 45 08 8B 40 FC 8B 80 80 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 73 01 00 00 8D 55 F4 8B 45 08 8B 40 FC 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 35 ?? ?? ?? ?? 8B 36 B8 ?? ?? ?? ?? FF D6 85 C0 75 2D 8B 45 08 8B 40 F0 BA 90 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? E9 3D 02 00 00 8B 45 08 8B 40 FC 05 D4 00 00 00 50 8B 45 08 8B 40 FC 8B 48 0C 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B 30 FF 96 B0 00 00 00 8B 45 08 8B 40 FC 83 B8 D4 00 00 00 00 75 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 82 D4 00 00 00 6A 00 6A 00 8B 45 08 8B 40 FC 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 7E 14 8D 45 FC 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 8B F0 85 F6 74 2C 8B C6 99 52 50 8B 45 08 8B 40 FC 8B 90 D4 00 00 00 33 C9 8B C3 8B 30 FF 96 CC 00 00 00 8D 55 E8 8B C3 E8 ?? ?? ?? ?? E9 73 FF FF FF 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 83 7D E4 00 75 F0 6A 00 6A 00 8B 45 08 8B 40 FC 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? E9 1D 01 00 00 8B 45 08 8B 40 FC 80 78 7C 00 0F 84 BE 00 00 00 8B 45 08 8B 40 FC 05 D4 00 00 00 50 8B 45 08 8B 40 FC 8B 48 0C 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B 30 FF 96 B0 00 00 00 8B 45 08 8B 40 FC 83 B8 D4 00 00 00 00 75 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 82 D4 00 00 00 6A 00 6A 00 8B 45 08 8B 40 FC 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 83 78 2C 00 75 0C 83 78 28 00 0F 86 92 00 00 00 EB 06 0F 8E 8A 00 00 00 8B 45 08 8B 40 FC FF 70 2C FF 70 28 8B 45 08 8B 40 FC 8B 90 D4 00 00 00 33 C9 8B C3 8B 18 FF 93 CC 00 00 00 6A 00 6A 00 8B 45 08 8B 40 FC 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? EB 4F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F BA 01 00 00 00 8B C3 8B 08 FF 91 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2A 8B 45 08 8B 40 F0 BA 9B 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? EB 04 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 69 00 64 00 65 00 6E 00 74 00 69 00 74 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 75 00 6E 00 6B 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_32692_0 {
	meta:
		name = "TIdCustomHTTPServer.DoExecute"
		size = 2248
		refs = "001d TIdCustomHTTPServer.DoExecute 006a InternalReadLn 007a RPos 0088 RSHTTPErrorParsingCommand 008d LoadResString 0097 _DV_EIdHTTPErrorParsingCommand 009c EIdException.Create 00a1 @RaiseExcept 00ab _DV_TIdHTTPRequestInfo 00b0 TIdHTTPRequestInfo.Create 00d6 _DV_TIdHTTPResponseInfo 00db TIdHTTPResponseInfo.Create 00fd Trim 0108 TIdHTTPResponseInfo.SetServer 0128 @UStrLAsg 0141 @UStrCopy 0167 Fetch 0187 IndyStrToInt 01af @UStrSetLength 01d1 TIdIOHandler.Capture 01f5 TextIsSame 0207 TIdHTTPResponseInfo.SetCloseConnection 0227 UpperCase 0259 @UStrAsg 0267 GetRemoteIP 028f DecodeHTTPCommand 02df @UStrEqual 0302 _Dn_TIdURI 0307 TIdURI.Create 032e TIdURI.URLDecode 0359 @UStrCat3 03af TObject.Free 03b5 @HandleFinally 03bd HeadersCanContinue 03c7 @TryFinallyExit 03df ExtractHeaderItem 03e5 PreparePostStream 042d ReadStringAsCharset 04d1 @UStrCatN 0518 ReadCookiesFromRequestHeader 052c TIdHeaderList.GetValue 0575 TIdCustomHTTPServer.DoParseAuthentication 058c RSHTTPUnsupportedAuthorisationScheme 059b _DV_EIdHTTPUnsupportedAuthorisationScheme 05bb TIdCustomHTTPServer.GetSessionFromCookie 061d @HandleOnException 0625 _Dn_EIdSocketError 062d _Dn_Exception 0636 @RaiseAgain 0647 TIdHTTPResponseInfo.SetResponseNo 0672 @DoneExcept 0686 TIdHTTPResponseInfo.WriteHeader 06b9 TIdHTTPResponseInfo.WriteContent 0733 _Dn_EIdClosedSocket 0764 TIdTCPConnection.Disconnect 07a5 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 CF 01 C6 45 D7 00 8B 45 F8 0F B6 80 19 01 00 00 34 01 88 45 CE 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F4 8B 58 14 8D 55 E8 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 83 C9 FF 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 21 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 50 8B 45 F4 8B 40 14 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 C4 8B 45 F8 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 A4 01 00 00 8B 93 98 00 00 00 89 82 A8 00 00 00 8D 45 E4 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 FC 05 F0 00 00 00 50 8D 56 01 B9 FF FF FF 7F 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC 8B 92 F0 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 C0 50 8D 45 EC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 BC 50 8D 45 EC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 83 CA FF E8 ?? ?? ?? ?? 8B 55 FC 89 82 F4 00 00 00 83 CA FF 8B 45 EC E8 ?? ?? ?? ?? 8B 55 FC 89 82 F8 00 00 00 8B D6 4A 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 10 FF 52 44 6A 00 6A 00 8B 45 FC 8B 50 0C 8B 83 98 00 00 00 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 8B 45 F8 80 B8 19 01 00 00 00 74 18 8B 45 FC 8B 40 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 D2 EB 02 B2 01 8B 45 F0 E8 ?? ?? ?? ?? 6A 01 8D 45 B8 50 8D 45 E8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 8D 55 E0 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC 8B 92 C4 00 00 00 E8 ?? ?? ?? ?? 83 7D EC 00 74 0B 8D 55 E0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 05 D8 00 00 00 8B 55 E4 E8 ?? ?? ?? ?? 8D 55 B4 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 8B 55 B4 8B 45 FC 05 DC 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 EC 00 00 00 8B 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 FC 88 82 10 01 00 00 8B 45 FC 05 08 01 00 00 8B 55 E8 E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8B 45 FC 05 08 01 00 00 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 00 00 00 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 17 8B 45 FC 05 E4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BF 00 00 00 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 B0 50 8B 45 D0 8B 50 04 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 50 8D 45 AC 50 8B 45 D0 8B 50 14 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 8B 45 FC 05 E4 00 00 00 59 E8 ?? ?? ?? ?? 8B 45 D0 8B 40 18 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 29 8B 45 FC 8B 80 B0 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 75 13 8B 45 FC 05 B0 00 00 00 8B 55 D0 8B 52 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 33 D2 89 55 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 55 E8 ?? ?? ?? ?? 59 84 C0 75 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 43 03 00 00 8D 55 DC 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 75 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1B 03 00 00 8B 45 FC 83 B8 D4 00 00 00 00 74 49 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 38 8D 4D A8 8B 45 FC 8B 50 10 8B 45 FC 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 FC 05 0C 01 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F4 8B 45 F8 8B 18 FF 93 B4 00 00 00 8B 45 FC 05 04 01 00 00 8B 55 FC 8B 92 0C 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 08 01 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 57 8B 45 FC 8B 80 04 01 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 75 18 8B 45 FC 05 04 01 00 00 8B 55 FC 8B 92 08 01 00 00 E8 ?? ?? ?? ?? EB 29 8B 45 FC FF B0 04 01 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 08 01 00 00 8B 45 FC 05 04 01 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 1A 01 00 00 00 74 35 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 13 8B 45 FC 8B 90 04 01 00 00 8B 45 FC 8B 08 FF 51 1C EB 11 8B 45 FC 8B 90 08 01 00 00 8B 45 FC 8B 08 FF 51 1C 55 E8 ?? ?? ?? ?? 59 8D 4D EC 8B 45 FC 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 69 6A 01 8D 45 D8 50 8D 45 EC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 05 FC 00 00 00 50 8B 45 FC 05 00 01 00 00 50 8B 4D D8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 88 98 C8 00 00 00 84 DB 75 21 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 CF 50 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 80 7D CF 00 0F 84 AD 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 0F B6 80 10 01 00 00 48 2C 03 73 17 8B 45 F0 50 8B 4D FC 8B 55 F4 8B 45 F8 8B 18 FF 93 C0 00 00 00 EB 15 8B 45 F0 50 8B 4D FC 8B 55 F4 8B 45 F8 8B 18 FF 93 C4 00 00 00 33 C0 5A 59 59 64 89 10 EB 5A E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 35 89 C3 BA F4 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 05 BC 00 00 00 8B 53 04 E8 ?? ?? ?? ?? 8B 45 F0 50 53 8B 4D FC 8B 55 F4 8B 45 F8 8B 18 FF 93 C8 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 80 B8 C2 00 00 00 00 75 08 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 BC 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 04 B0 01 EB 0D 8B 45 F0 83 B8 B8 00 00 00 00 0F 95 C0 84 C0 74 08 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 0F B6 80 C0 00 00 00 88 45 CE 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 80 7D CE 00 0F 84 42 F9 FF FF 33 C0 5A 59 59 64 89 10 EB 4B E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 50 18 81 FA 4A 27 00 00 74 22 81 FA 45 27 00 00 74 1A 81 FA 46 27 00 00 74 12 E8 ?? ?? ?? ?? EB 0B 8B 45 F4 8B 40 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 14 33 D2 8B 08 FF 51 78 C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 D7 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4B 00 65 00 65 00 70 00 2D 00 61 00 6C 00 69 00 76 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 2D 00 77 00 77 00 77 00 2D 00 66 00 6F 00 72 00 6D 00 2D 00 75 00 72 00 6C 00 65 00 6E 00 63 00 6F 00 64 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_39364_0 {
	meta:
		name = "TInCustomHTTPServer.DoExecute"
		size = 2248
		refs = "001d TInCustomHTTPServer.DoExecute 006a InternalReadLn 007a RPos 0088 RSHTTPErrorParsingCommand 008d LoadResString 0097 _DV_EInHTTPErrorParsingCommand 009c EInException.Create 00a1 @RaiseExcept 00ab _DV_TInHTTPRequestInfo 00b0 TInHTTPRequestInfo.Create 00d6 _DV_TInHTTPResponseInfo 00db TInHTTPResponseInfo.Create 00fd Trim 0108 TInHTTPResponseInfo.SetServer 0128 @UStrLAsg 0141 @UStrCopy 0167 Fetch 0187 IndyStrToInt 01af @UStrSetLength 01d1 TInIOHandler.Capture 01f5 TextIsSame 0207 TInHTTPResponseInfo.SetCloseConnection 0227 UpperCase 0259 @UStrAsg 0267 GetRemoteIP 028f DecodeHTTPCommand 02df @UStrEqual 0302 _Dn_TInURI 0307 TInURI.Create 032e TInURI.URLDecode 0359 @UStrCat3 03af TObject.Free 03b5 @HandleFinally 03bd HeadersCanContinue 03c7 @TryFinallyExit 03df ExtractHeaderItem 03e5 PreparePostStream 042d ReadStringAsCharset 04d1 @UStrCatN 0518 ReadCookiesFromRequestHeader 052c TInHeaderList.GetValue 0575 TInCustomHTTPServer.DoParseAuthentication 058c RSHTTPUnsupportedAuthorisationScheme 059b _DV_EInHTTPUnsupportedAuthorisationScheme 05bb TInCustomHTTPServer.GetSessionFromCookie 061d @HandleOnException 0625 _Dn_EIdSocketError 062d _Dn_Exception 0636 @RaiseAgain 0647 TInHTTPResponseInfo.SetResponseNo 0672 @DoneExcept 0686 TInHTTPResponseInfo.WriteHeader 06b9 TInHTTPResponseInfo.WriteContent 0733 _Dn_EIdClosedSocket 0764 TInTCPConnection.Disconnect 07a5 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 CF 01 C6 45 D7 00 8B 45 F8 0F B6 80 19 01 00 00 34 01 88 45 CE 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F4 8B 58 14 8D 55 E8 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 83 C9 FF 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 21 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 50 8B 45 F4 8B 40 14 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 C4 8B 45 F8 8B 80 1C 01 00 00 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 A4 01 00 00 8B 93 98 00 00 00 89 82 A8 00 00 00 8D 45 E4 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 FC 05 F0 00 00 00 50 8D 56 01 B9 FF FF FF 7F 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC 8B 92 F0 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 C0 50 8D 45 EC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 BC 50 8D 45 EC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 83 CA FF E8 ?? ?? ?? ?? 8B 55 FC 89 82 F4 00 00 00 83 CA FF 8B 45 EC E8 ?? ?? ?? ?? 8B 55 FC 89 82 F8 00 00 00 8B D6 4A 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 10 FF 52 44 6A 00 6A 00 8B 45 FC 8B 50 0C 8B 83 98 00 00 00 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 8B 45 F8 80 B8 19 01 00 00 00 74 18 8B 45 FC 8B 40 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 D2 EB 02 B2 01 8B 45 F0 E8 ?? ?? ?? ?? 6A 01 8D 45 B8 50 8D 45 E8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 8D 55 E0 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC 8B 92 C4 00 00 00 E8 ?? ?? ?? ?? 83 7D EC 00 74 0B 8D 55 E0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 05 D8 00 00 00 8B 55 E4 E8 ?? ?? ?? ?? 8D 55 B4 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 8B 55 B4 8B 45 FC 05 DC 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 EC 00 00 00 8B 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 FC 88 82 10 01 00 00 8B 45 FC 05 08 01 00 00 8B 55 E8 E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8B 45 FC 05 08 01 00 00 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 E8 00 00 00 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 17 8B 45 FC 05 E4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BF 00 00 00 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 B0 50 8B 45 D0 8B 50 04 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 50 8D 45 AC 50 8B 45 D0 8B 50 14 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 8B 45 FC 05 E4 00 00 00 59 E8 ?? ?? ?? ?? 8B 45 D0 8B 40 18 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 29 8B 45 FC 8B 80 B0 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 75 13 8B 45 FC 05 B0 00 00 00 8B 55 D0 8B 52 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 33 D2 89 55 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 55 E8 ?? ?? ?? ?? 59 84 C0 75 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 43 03 00 00 8D 55 DC 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 75 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1B 03 00 00 8B 45 FC 83 B8 D4 00 00 00 00 74 49 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 38 8D 4D A8 8B 45 FC 8B 50 10 8B 45 FC 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 FC 05 0C 01 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F4 8B 45 F8 8B 18 FF 93 B4 00 00 00 8B 45 FC 05 04 01 00 00 8B 55 FC 8B 92 0C 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 08 01 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 57 8B 45 FC 8B 80 04 01 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 75 18 8B 45 FC 05 04 01 00 00 8B 55 FC 8B 92 08 01 00 00 E8 ?? ?? ?? ?? EB 29 8B 45 FC FF B0 04 01 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 08 01 00 00 8B 45 FC 05 04 01 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 1A 01 00 00 00 74 35 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 13 8B 45 FC 8B 90 04 01 00 00 8B 45 FC 8B 08 FF 51 1C EB 11 8B 45 FC 8B 90 08 01 00 00 8B 45 FC 8B 08 FF 51 1C 55 E8 ?? ?? ?? ?? 59 8D 4D EC 8B 45 FC 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 69 6A 01 8D 45 D8 50 8D 45 EC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 05 FC 00 00 00 50 8B 45 FC 05 00 01 00 00 50 8B 4D D8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 88 98 C8 00 00 00 84 DB 75 21 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 CF 50 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 80 7D CF 00 0F 84 AD 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 0F B6 80 10 01 00 00 48 2C 03 73 17 8B 45 F0 50 8B 4D FC 8B 55 F4 8B 45 F8 8B 18 FF 93 C0 00 00 00 EB 15 8B 45 F0 50 8B 4D FC 8B 55 F4 8B 45 F8 8B 18 FF 93 C4 00 00 00 33 C0 5A 59 59 64 89 10 EB 5A E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 35 89 C3 BA F4 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 05 BC 00 00 00 8B 53 04 E8 ?? ?? ?? ?? 8B 45 F0 50 53 8B 4D FC 8B 55 F4 8B 45 F8 8B 18 FF 93 C8 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 80 B8 C2 00 00 00 00 75 08 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 BC 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 04 B0 01 EB 0D 8B 45 F0 83 B8 B8 00 00 00 00 0F 95 C0 84 C0 74 08 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 0F B6 80 C0 00 00 00 88 45 CE 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 80 7D CE 00 0F 84 42 F9 FF FF 33 C0 5A 59 59 64 89 10 EB 4B E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 50 18 81 FA 4A 27 00 00 74 22 81 FA 45 27 00 00 74 1A 81 FA 46 27 00 00 74 12 E8 ?? ?? ?? ?? EB 0B 8B 45 F4 8B 40 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 14 33 D2 8B 08 FF 51 78 C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 D7 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4B 00 65 00 65 00 70 00 2D 00 61 00 6C 00 69 00 76 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 2D 00 77 00 77 00 77 00 2D 00 66 00 6F 00 72 00 6D 00 2D 00 75 00 72 00 6C 00 65 00 6E 00 63 00 6F 00 64 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_32693_0 {
	meta:
		name = "TIdCustomHTTPServer.DoInvalidSession"
		size = 45
		altNames = "TInCustomHTTPServer.DoInvalidSession"
	strings:
		$1 = { 55 8B EC 53 66 83 B8 4A 01 00 00 00 74 1A 8B 5D 10 53 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 4C 01 00 00 FF 93 48 01 00 00 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_32694_0 {
	meta:
		name = "TIdCustomHTTPServer.EndSession"
		size = 59
		refs = "0030 TObject.Free"
		altNames = "TInCustomHTTPServer.EndSession"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 8B CF 8B D6 8B 83 24 01 00 00 8B 18 FF 53 58 89 04 24 83 3C 24 00 0F 95 C3 84 DB 74 0D 8B 04 24 33 D2 89 14 24 E8 ?? ?? ?? ?? 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32695_0 {
	meta:
		name = "TIdCustomHTTPServer.GetSessionFromCookie"
		size = 356
		refs = "001a TIdCustomHTTPServer.GetSessionFromCookie 004d TIdCookies.GetCookieIndex 0060 TIdCookies.GetCookie 006b @UStrLAsg 00f1 TIdCustomHTTPServer.CreateSession 011e @UStrClr 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B D9 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 8B 45 08 C6 00 01 8B 45 F8 80 B8 28 01 00 00 00 0F 84 B9 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 83 CC 00 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 75 8B D6 8B 83 CC 00 00 00 E8 ?? ?? ?? ?? 8B 50 28 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 80 24 01 00 00 8B 8B DC 00 00 00 8B 55 FC 8B 38 FF 57 58 89 45 F0 83 7D F0 00 75 3D 8B 45 0C 50 8B 45 08 50 8B 45 FC 50 8B CB 8B 55 F4 8B 45 F8 8B 38 FF 97 BC 00 00 00 8B 45 08 80 38 00 74 19 8D 4E 01 BA ?? ?? ?? ?? 8B 83 CC 00 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 8B 83 7D F0 00 75 26 8B 45 08 80 38 00 74 1E 8B 45 F8 80 B8 18 01 00 00 00 74 12 53 8B 4D 0C 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 89 83 E0 00 00 00 8B 45 0C 8B 55 F0 89 90 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 44 00 48 00 54 00 54 00 50 00 53 00 45 00 53 00 53 00 49 00 4F 00 4E 00 49 00 44 00 00 00 }
	condition:
		$1
}

rule function_32696_0 {
	meta:
		name = "TIdCustomHTTPServer.SetActive"
		size = 238
		refs = "000a TIdInitializerComponent.GetIsDesignTime 0025 TIdInitializerComponent.GetIsLoading 0089 _DV_TIdHTTPSessionCleanerThread 008e TIdHTTPSessionCleanerThread.Create 00ac IndySetThreadPriority 00ca TObject.Free 00e6 TIdCustomTCPServer.SetActive"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 CB 00 00 00 3A 9E 90 00 00 00 0F 84 BF 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 B0 00 00 00 84 DB 74 65 8B 86 2C 01 00 00 85 C0 74 0B 8B 96 24 01 00 00 89 42 38 EB 07 C6 86 28 01 00 00 00 8B BE 24 01 00 00 8B 86 60 01 00 00 89 47 48 8B 86 64 01 00 00 89 47 4C 8B 86 58 01 00 00 89 47 40 8B 86 5C 01 00 00 89 47 44 80 BE 28 01 00 00 00 74 5D 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A0 01 00 00 EB 47 8B 86 A0 01 00 00 85 C0 74 2A B9 01 00 00 80 B2 03 E8 ?? ?? ?? ?? 8B 86 A0 01 00 00 8B 10 FF 52 40 8D 86 A0 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 89 86 A0 01 00 00 8B 86 24 01 00 00 8B 10 FF 52 48 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39368_0 {
	meta:
		name = "TInCustomHTTPServer.SetActive"
		size = 238
		refs = "000a TIdInitializerComponent.GetIsDesignTime 0025 TIdInitializerComponent.GetIsLoading 0089 _DV_TInHTTPSessionCleanerThread 008e TInHTTPSessionCleanerThread.Create 00ac IndySetThreadPriority 00ca TObject.Free 00e6 TInCustomTCPServer.SetActive"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 CB 00 00 00 3A 9E 90 00 00 00 0F 84 BF 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 B0 00 00 00 84 DB 74 65 8B 86 2C 01 00 00 85 C0 74 0B 8B 96 24 01 00 00 89 42 38 EB 07 C6 86 28 01 00 00 00 8B BE 24 01 00 00 8B 86 60 01 00 00 89 47 48 8B 86 64 01 00 00 89 47 4C 8B 86 58 01 00 00 89 47 40 8B 86 5C 01 00 00 89 47 44 80 BE 28 01 00 00 00 74 5D 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A0 01 00 00 EB 47 8B 86 A0 01 00 00 85 C0 74 2A B9 01 00 00 80 B2 03 E8 ?? ?? ?? ?? 8B 86 A0 01 00 00 8B 10 FF 52 40 8D 86 A0 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 89 86 A0 01 00 00 8B 86 24 01 00 00 8B 10 FF 52 48 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32697_0 {
	meta:
		name = "TIdCustomHTTPServer.SetSessionState"
		size = 129
		refs = "000f TIdCustomHTTPServer.SetSessionState 001c TIdInitializerComponent.GetIsDesignTime 0027 TIdInitializerComponent.GetIsLoading 003c RSHTTPCannotSwitchSessionStateWhenActive 0041 LoadResString 004b _DV_EIdHTTPCannotSwitchSessionStateWhenActive 0050 EIdException.Create 0055 @RaiseExcept 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 75 35 8B C6 E8 ?? ?? ?? ?? 84 C0 75 2A 80 BE 90 00 00 00 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 9E 28 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39369_0 {
	meta:
		name = "TInCustomHTTPServer.SetSessionState"
		size = 129
		refs = "000f TInCustomHTTPServer.SetSessionState 001c TIdInitializerComponent.GetIsDesignTime 0027 TIdInitializerComponent.GetIsLoading 003c RSHTTPCannotSwitchSessionStateWhenActive 0041 LoadResString 004b _DV_EInHTTPCannotSwitchSessionStateWhenActive 0050 EInException.Create 0055 @RaiseExcept 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 75 35 8B C6 E8 ?? ?? ?? ?? 84 C0 75 2A 80 BE 90 00 00 00 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 9E 28 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32698_0 {
	meta:
		name = "TIdCustomHTTPServer.CreatePostStream"
		size = 37
		altNames = "TInCustomHTTPServer.CreatePostStream"
	strings:
		$1 = { 55 8B EC 53 66 83 B8 32 01 00 00 00 74 12 8B 5D 08 53 8B D8 8B 83 34 01 00 00 FF 93 30 01 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_32699_0 {
	meta:
		name = "TIdCustomHTTPServer.DoneWithPostStream"
		size = 65
		refs = "0039 TObject.Free"
		altNames = "TInCustomHTTPServer.DoneWithPostStream"
	strings:
		$1 = { 53 56 51 8B D9 C6 04 24 01 66 83 B8 3A 01 00 00 00 74 11 54 8B F0 8B CB 8B 86 3C 01 00 00 FF 96 38 01 00 00 80 3C 24 00 74 13 8D 83 D4 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_32700_0 {
	meta:
		name = "TIdHTTPSession.Create"
		size = 109
		refs = "000b @ClassCreate 001a TObject.Create 0021 _Dn_TIdCriticalSection 0026 TCriticalSection.Create 0030 _Dn_TStringList 0035 TStringList.Create 0059 @AfterConstruction"
		altNames = "TInHTTPSession.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 89 77 14 85 F6 74 0F 66 83 7E 4A 00 74 08 8B D7 8B 46 4C FF 56 48 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32701_0 {
	meta:
		name = "TIdHTTPSession.CreateInitialized"
		size = 146
		refs = "000e @ClassCreate 001d TObject.Create 0028 @UStrAsg 0038 Now 0043 _Dn_TIdCriticalSection 0048 TCriticalSection.Create 0052 _Dn_TStringList 0057 TStringList.Create 007b @AfterConstruction"
		altNames = "TInHTTPSession.CreateInitialized"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 18 8B 55 0C E8 ?? ?? ?? ?? 8D 47 1C 8B 55 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5F 08 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 89 77 14 85 F6 74 0F 66 83 7E 4A 00 74 08 8B D7 8B 46 4C FF 56 48 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_32702_0 {
	meta:
		name = "TIdHTTPSession.Destroy"
		size = 89
		refs = "0003 @BeforeDestruction 001e TObject.Free 0047 TObject.Destroy 0052 @ClassDestroy"
		altNames = "TInHTTPSession.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 04 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 46 14 85 C0 74 07 8B D6 8B 08 FF 51 44 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32703_0 {
	meta:
		name = "TIdHTTPSession.DoSessionEnd"
		size = 27
		altNames = "TInHTTPSession.DoSessionEnd"
	strings:
		$1 = { 53 8B 50 14 85 D2 74 11 66 83 7A 42 00 74 0A 8B DA 8B D0 8B 43 44 FF 53 40 5B C3 }
	condition:
		$1
}

rule function_32704_0 {
	meta:
		name = "TIdHTTPSession.IsSessionStale"
		size = 37
		refs = "000a Now 0016 TimeStampInterval"
		altNames = "TInHTTPSession.IsSessionStale"
	strings:
		$1 = { 53 8B D8 FF 73 0C FF 73 08 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 8B 53 14 3B 42 38 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_32705_0 {
	meta:
		name = "TIdHTTPSession.Lock"
		size = 8
		altNames = "TInHTTPSession.Lock"
	strings:
		$1 = { 8B 40 10 8B 10 FF 12 C3 }
	condition:
		$1
}

rule function_32706_0 {
	meta:
		name = "TIdHTTPSession.SetContent"
		size = 19
		altNames = "TInHTTPSession.SetContent"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 04 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_32707_0 {
	meta:
		name = "TIdHTTPSession.Unlock"
		size = 9
		altNames = "TInHTTPSession.Unlock"
	strings:
		$1 = { 8B 40 10 8B 10 FF 52 04 C3 }
	condition:
		$1
}

rule function_32708_0 {
	meta:
		name = "TIdHTTPRequestInfo.Create"
		size = 109
		refs = "000a @ClassCreate 0017 TIdRequestHeaderInfo.Create 0027 _Dn_TIdCookies 002c TIdCookies.Create 0039 _Dn_TStringList 003e TStringList.Create 004f TIdEntityHeaderInfo.SetContentLength 005a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 10 01 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 CC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 D0 00 00 00 6A FF 6A FF 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39380_0 {
	meta:
		name = "TInHTTPRequestInfo.Create"
		size = 109
		refs = "000a @ClassCreate 0017 TIdRequestHeaderInfo.Create 0027 _Dn_TInCookies 002c TInCookies.Create 0039 _Dn_TStringList 003e TStringList.Create 004f TIdEntityHeaderInfo.SetContentLength 005a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 10 01 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 CC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 D0 00 00 00 6A FF 6A FF 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32709_0 {
	meta:
		name = "TIdHTTPRequestInfo.DecodeAndSetParams"
		size = 344
		refs = "0015 TIdHTTPRequestInfo.DecodeAndSetParams 0029 TStrings.BeginUpdate 005b @UStrLen 007a @UStrCopy 0098 StringReplace 00a3 @UStrLAsg 00b1 _Dn_TIdURI 00b6 TIdURI.URLDecode 00f6 TStrings.EndUpdate 00fc @HandleFinally 0118 @UStrArrayClr 0120 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 D0 00 00 00 8B 10 FF 52 44 C7 45 F4 01 00 00 00 EB 7D 8B 5D F4 EB 01 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 08 66 83 7C 5E FE 26 75 EC 8D 45 FC 50 8B CB 2B 4D F4 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8D 45 EC 50 33 C9 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 80 D0 00 00 00 8B 08 FF 51 38 43 89 5D F4 8B C6 E8 ?? ?? ?? ?? 3B 45 F4 0F 8D 73 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 80 D0 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 }
	condition:
		$1
}

rule function_39381_0 {
	meta:
		name = "TInHTTPRequestInfo.DecodeAndSetParams"
		size = 344
		refs = "0015 TInHTTPRequestInfo.DecodeAndSetParams 0029 TStrings.BeginUpdate 005b @UStrLen 007a @UStrCopy 0098 StringReplace 00a3 @UStrLAsg 00b1 _Dn_TInURI 00b6 TInURI.URLDecode 00f6 TStrings.EndUpdate 00fc @HandleFinally 0118 @UStrArrayClr 0120 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 D0 00 00 00 8B 10 FF 52 44 C7 45 F4 01 00 00 00 EB 7D 8B 5D F4 EB 01 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 08 66 83 7C 5E FE 26 75 EC 8D 45 FC 50 8B CB 2B 4D F4 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8D 45 EC 50 33 C9 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 80 D0 00 00 00 8B 08 FF 51 38 43 89 5D F4 8B C6 E8 ?? ?? ?? ?? 3B 45 F4 0F 8D 73 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 80 D0 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 }
	condition:
		$1
}

rule function_32710_0 {
	meta:
		name = "TIdHTTPRequestInfo.Destroy"
		size = 93
		refs = "0003 @BeforeDestruction 001a TObject.Free 004b TIdRequestHeaderInfo.Destroy 0056 @ClassDestroy"
		altNames = "TInHTTPRequestInfo.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 CC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 D0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 D4 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32711_0 {
	meta:
		name = "TIdHTTPRequestInfo.IsVersionAtLeast"
		size = 30
		altNames = "TInHTTPRequestInfo.IsVersionAtLeast"
	strings:
		$1 = { 3B 90 F4 00 00 00 7C 13 3B 90 F4 00 00 00 75 08 3B 88 F8 00 00 00 7E 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_32712_0 {
	meta:
		name = "TIdHTTPResponseInfo.CloseSession"
		size = 176
		refs = "0007 TIdHTTPResponseInfo.CloseSession 0012 TIdCookies.GetCookieIndex 0026 TCollection.Delete 004a TIdCookies.Add 0059 @UStrAsg 0079 TObject.Free"
	strings:
		$1 = { 53 56 8B F0 33 C9 BA ?? ?? ?? ?? 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? 8B D8 83 FB FF 7E 26 8B D3 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? 8B CB BA ?? ?? ?? ?? 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? 8B D8 83 FB FF 7F DA 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 46 58 D8 25 ?? ?? ?? ?? DD 5B 10 9B 8D 86 CC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 44 00 48 00 54 00 54 00 50 00 53 00 45 00 53 00 53 00 49 00 4F 00 4E 00 49 00 44 00 00 00 00 00 E0 40 }
	condition:
		$1
}

rule function_32713_0 {
	meta:
		name = "TIdHTTPResponseInfo.Create"
		size = 208
		refs = "000e @ClassCreate 001f TIdResponseHeaderInfo.Create 004a TIdHTTPResponseInfo.SetResponseNo 0053 TIdEntityHeaderInfo.SetContentType 005e TIdEntityHeaderInfo.SetContentLength 006e _Dn_TIdCookies 0073 TIdCookies.Create 007e TIdHTTPResponseInfo.Create 0085 TIdHTTPResponseInfo.SetServer 0090 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 0C 89 87 D0 00 00 00 8B 45 08 89 87 AC 00 00 00 89 B7 C8 00 00 00 C6 87 C1 00 00 00 01 BA C8 00 00 00 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 6A FF 6A FF 8B C7 E8 ?? ?? ?? ?? 8B 47 0C C6 40 5D 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 B4 00 00 00 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 6E 00 64 00 79 00 2F 00 31 00 30 00 2E 00 35 00 2E 00 38 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_39385_0 {
	meta:
		name = "TInHTTPResponseInfo.Create"
		size = 208
		refs = "000e @ClassCreate 001f TIdResponseHeaderInfo.Create 004a TInHTTPResponseInfo.SetResponseNo 0053 TIdEntityHeaderInfo.SetContentType 005e TIdEntityHeaderInfo.SetContentLength 006e _Dn_TInCookies 0073 TInCookies.Create 007e TInHTTPResponseInfo.Create 0085 TInHTTPResponseInfo.SetServer 0090 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 0C 89 87 D0 00 00 00 8B 45 08 89 87 AC 00 00 00 89 B7 C8 00 00 00 C6 87 C1 00 00 00 01 BA C8 00 00 00 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 6A FF 6A FF 8B C7 E8 ?? ?? ?? ?? 8B 47 0C C6 40 5D 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 B4 00 00 00 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 6E 00 64 00 79 00 2F 00 31 00 30 00 2E 00 35 00 2E 00 38 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_32714_0 {
	meta:
		name = "TIdHTTPResponseInfo.Destroy"
		size = 62
		refs = "0003 @BeforeDestruction 001a TObject.Free 0021 TIdHTTPResponseInfo.ReleaseContentStream 002c TIdResponseHeaderInfo.Destroy 0037 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 B4 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39386_0 {
	meta:
		name = "TInHTTPResponseInfo.Destroy"
		size = 62
		refs = "0003 @BeforeDestruction 001a TObject.Free 0021 TInHTTPResponseInfo.ReleaseContentStream 002c TIdResponseHeaderInfo.Destroy 0037 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 B4 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32715_0 {
	meta:
		name = "TIdHTTPResponseInfo.Redirect"
		size = 34
		refs = "000e TIdHTTPResponseInfo.SetResponseNo 001b @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 2E 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 8C 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39387_0 {
	meta:
		name = "TInHTTPResponseInfo.Redirect"
		size = 34
		refs = "000e TInHTTPResponseInfo.SetResponseNo 001b @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 2E 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 8C 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32716_0 {
	meta:
		name = "TIdHTTPResponseInfo.ReleaseContentStream"
		size = 37
		refs = "0017 TObject.Free"
		altNames = "TInHTTPResponseInfo.ReleaseContentStream"
	strings:
		$1 = { 80 B8 C1 00 00 00 00 74 13 05 B8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 33 D2 89 90 B8 00 00 00 C3 }
	condition:
		$1
}

rule function_32717_0 {
	meta:
		name = "TIdHTTPResponseInfo.SetCloseConnection"
		size = 160
		refs = "000f TIdHTTPResponseInfo.SetCloseConnection 002a iif 0035 @UStrAsg 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 14 E8 ?? ?? ?? ?? 88 9E C0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6B 00 65 00 65 00 70 00 2D 00 61 00 6C 00 69 00 76 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 6F 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_39389_0 {
	meta:
		name = "TInHTTPResponseInfo.SetCloseConnection"
		size = 160
		refs = "000f TInHTTPResponseInfo.SetCloseConnection 002a iif 0035 @UStrAsg 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 14 E8 ?? ?? ?? ?? 88 9E C0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6B 00 65 00 65 00 70 00 2D 00 61 00 6C 00 69 00 76 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 6F 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_32718_0 {
	meta:
		name = "TControl.SetTouchManager"
		size = 12
		altNames = "TIdHTTPResponseInfo.SetCookies TInHTTPResponseInfo.SetCookies TSeActiveBitmap.SetActiveBitmap TSeButtonObject.SetBitmapFocused"
	strings:
		$1 = { 8B 80 B4 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_32719_0 {
	meta:
		name = "TIdHTTPResponseInfo.SetHeaders"
		size = 436
		refs = "000f TIdHTTPResponseInfo.SetHeaders 001c TIdResponseHeaderInfo.SetHeaders 003a TIdHeaderList.SetValue 0072 LocalDateTimeToHttpStr 00a7 @UStrCatN 00d0 @UStrArrayClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 73 0C 83 BB 90 00 00 00 00 74 12 8B 8B 90 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 BB 8C 00 00 00 00 74 12 8B 8B 8C 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? DD 43 70 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 1D FF 73 74 FF 73 70 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 BB A8 00 00 00 00 74 2C 68 ?? ?? ?? ?? FF B3 A8 00 00 00 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4C 00 61 00 73 00 74 00 2D 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 42 00 61 00 73 00 69 00 63 00 20 00 72 00 65 00 61 00 6C 00 6D 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 57 00 57 00 57 00 2D 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_39391_0 {
	meta:
		name = "TInHTTPResponseInfo.SetHeaders"
		size = 436
		refs = "000f TInHTTPResponseInfo.SetHeaders 001c TIdResponseHeaderInfo.SetHeaders 003a TInHeaderList.SetValue 0072 LocalDateTimeToHttpStr 00a7 @UStrCatN 00d0 @UStrArrayClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 73 0C 83 BB 90 00 00 00 00 74 12 8B 8B 90 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 BB 8C 00 00 00 00 74 12 8B 8B 8C 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? DD 43 70 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 1D FF 73 74 FF 73 70 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 BB A8 00 00 00 00 74 2C 68 ?? ?? ?? ?? FF B3 A8 00 00 00 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4C 00 61 00 73 00 74 00 2D 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 42 00 61 00 73 00 69 00 63 00 20 00 72 00 65 00 61 00 6C 00 6D 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 57 00 57 00 57 00 2D 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_32720_0 {
	meta:
		name = "TIdHTTPResponseInfo.SetResponseNo"
		size = 1010
		refs = "00e9 TIdHTTPResponseInfo.SetResponseNo 0168 RSHTTPContinue 016d LoadResString 017a RSHTTPOK 018c RSHTTPCreated 019e RSHTTPAccepted 01b0 RSHTTPNonAuthoritativeInformation 01c2 RSHTTPNoContent 01d4 RSHTTPResetContent 01e6 RSHTTPPartialContent 01f8 RSHTTPMovedPermanently 020a RSHTTPMovedTemporarily 021c RSHTTPSeeOther 022e RSHTTPNotModified 0240 RSHTTPUseProxy 0252 RSHTTPBadRequest 0264 RSHTTPUnauthorized 0276 RSHTTPForbidden 0288 RSHTTPNotFound 0296 TIdHTTPResponseInfo.SetCloseConnection 02a3 RSHTTPMethodNotAllowed 02b5 RSHTTPNotAcceptable 02c7 RSHTTPProxyAuthenticationRequired 02d9 RSHTTPRequestTimeout 02eb RSHTTPConflict 02fd RSHTTPGone 030f RSHTTPLengthRequired 0321 RSHTTPPreconditionFailed 0333 RSHTTPRequestEntityTooLong 0345 RSHTTPRequestURITooLong 0357 RSHTTPUnsupportedMediaType 0369 RSHTTPExpectationFailed 037b RSHTTPInternalServerError 038d RSHTTPNotImplemented 039f RSHTTPBadGateway 03b1 RSHTTPServiceUnavailable 03c3 RSHTTPGatewayTimeout 03d5 RSHTTPHTTPVersionNotSupported 03e7 RSHTTPUnknownResponseCode"
	strings:
		$1 = { 53 8B D8 8B C2 89 83 B0 00 00 00 3D 95 01 00 00 0F 8F B5 00 00 00 0F 84 80 02 00 00 3D 2D 01 00 00 7F 56 0F 84 C8 01 00 00 3D CB 00 00 00 7F 2B 0F 84 73 01 00 00 83 E8 64 0F 84 22 01 00 00 83 E8 64 0F 84 2B 01 00 00 48 0F 84 36 01 00 00 48 0F 84 41 01 00 00 E9 85 03 00 00 2D CC 00 00 00 0F 84 55 01 00 00 48 0F 84 60 01 00 00 48 0F 84 6B 01 00 00 E9 67 03 00 00 3D 90 01 00 00 7F 2B 0F 84 C5 01 00 00 2D 2E 01 00 00 0F 84 72 01 00 00 48 0F 84 7D 01 00 00 48 0F 84 88 01 00 00 48 0F 84 93 01 00 00 E9 35 03 00 00 2D 91 01 00 00 0F 84 A7 01 00 00 83 E8 02 0F 84 B0 01 00 00 48 0F 84 BB 01 00 00 E9 15 03 00 00 3D 9E 01 00 00 7F 3B 0F 84 66 02 00 00 05 6A FE FF FF 83 F8 07 0F 87 FA 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D F6 01 00 00 7F 2F 0F 84 7E 02 00 00 2D 9F 01 00 00 0F 84 2B 02 00 00 83 E8 02 0F 84 34 02 00 00 83 E8 53 0F 84 3D 02 00 00 48 0F 84 48 02 00 00 E9 9D 02 00 00 2D F7 01 00 00 0F 84 5C 02 00 00 48 0F 84 67 02 00 00 48 0F 84 72 02 00 00 E9 7F 02 00 00 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39392_0 {
	meta:
		name = "TInHTTPResponseInfo.SetResponseNo"
		size = 1010
		refs = "00e9 TInHTTPResponseInfo.SetResponseNo 0168 RSHTTPContinue 016d LoadResString 017a RSHTTPOK 018c RSHTTPCreated 019e RSHTTPAccepted 01b0 RSHTTPNonAuthoritativeInformation 01c2 RSHTTPNoContent 01d4 RSHTTPResetContent 01e6 RSHTTPPartialContent 01f8 RSHTTPMovedPermanently 020a RSHTTPMovedTemporarily 021c RSHTTPSeeOther 022e RSHTTPNotModified 0240 RSHTTPUseProxy 0252 RSHTTPBadRequest 0264 RSHTTPUnauthorized 0276 RSHTTPForbidden 0288 RSHTTPNotFound 0296 TInHTTPResponseInfo.SetCloseConnection 02a3 RSHTTPMethodNotAllowed 02b5 RSHTTPNotAcceptable 02c7 RSHTTPProxyAuthenticationRequired 02d9 RSHTTPRequestTimeout 02eb RSHTTPConflict 02fd RSHTTPGone 030f RSHTTPLengthRequired 0321 RSHTTPPreconditionFailed 0333 RSHTTPRequestEntityTooLong 0345 RSHTTPRequestURITooLong 0357 RSHTTPUnsupportedMediaType 0369 RSHTTPExpectationFailed 037b RSHTTPInternalServerError 038d RSHTTPNotImplemented 039f RSHTTPBadGateway 03b1 RSHTTPServiceUnavailable 03c3 RSHTTPGatewayTimeout 03d5 RSHTTPHTTPVersionNotSupported 03e7 RSHTTPUnknownResponseCode"
	strings:
		$1 = { 53 8B D8 8B C2 89 83 B0 00 00 00 3D 95 01 00 00 0F 8F B5 00 00 00 0F 84 80 02 00 00 3D 2D 01 00 00 7F 56 0F 84 C8 01 00 00 3D CB 00 00 00 7F 2B 0F 84 73 01 00 00 83 E8 64 0F 84 22 01 00 00 83 E8 64 0F 84 2B 01 00 00 48 0F 84 36 01 00 00 48 0F 84 41 01 00 00 E9 85 03 00 00 2D CC 00 00 00 0F 84 55 01 00 00 48 0F 84 60 01 00 00 48 0F 84 6B 01 00 00 E9 67 03 00 00 3D 90 01 00 00 7F 2B 0F 84 C5 01 00 00 2D 2E 01 00 00 0F 84 72 01 00 00 48 0F 84 7D 01 00 00 48 0F 84 88 01 00 00 48 0F 84 93 01 00 00 E9 35 03 00 00 2D 91 01 00 00 0F 84 A7 01 00 00 83 E8 02 0F 84 B0 01 00 00 48 0F 84 BB 01 00 00 E9 15 03 00 00 3D 9E 01 00 00 7F 3B 0F 84 66 02 00 00 05 6A FE FF FF 83 F8 07 0F 87 FA 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D F6 01 00 00 7F 2F 0F 84 7E 02 00 00 2D 9F 01 00 00 0F 84 2B 02 00 00 83 E8 02 0F 84 34 02 00 00 83 E8 53 0F 84 3D 02 00 00 48 0F 84 48 02 00 00 E9 9D 02 00 00 2D F7 01 00 00 0F 84 5C 02 00 00 48 0F 84 67 02 00 00 48 0F 84 72 02 00 00 E9 7F 02 00 00 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 93 C4 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_32721_0 {
	meta:
		name = "TIdHTTPResponseInfo.ServeFile"
		size = 348
		refs = "001e TIdHTTPResponseInfo.ServeFile 004a TIdThreadSafeMimeTable.GetFileMIMEType 0054 TIdEntityHeaderInfo.SetContentType 005b FileSizeByName 0064 TIdEntityHeaderInfo.SetContentLength 0082 ExtractFileName 009b IndyFormat 00a6 @UStrAsg 00ad TIdHTTPResponseInfo.WriteHeader 00c1 _Dn_TIdSSLIOHandlerSocketBase 00c6 @IsClass 00f2 @UStrClr 00ff @UStrArrayClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 DB 89 5D E8 89 5D DC 89 5D EC 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 4C 85 C0 74 05 83 E8 04 8B 00 85 C0 75 20 8D 4D EC 8B 83 C8 00 00 00 8B 80 20 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 52 50 8B C3 E8 ?? ?? ?? ?? 8B 43 18 85 C0 74 05 83 E8 04 8B 00 85 C0 75 32 8D 45 E8 50 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 43 18 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 98 98 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 8B D3 8B C8 8B C6 92 8B 18 FF 93 B4 00 00 00 89 45 F0 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F0 8B 55 F4 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 61 00 74 00 74 00 61 00 63 00 68 00 6D 00 65 00 6E 00 74 00 3B 00 20 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 25 00 73 00 22 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_39393_0 {
	meta:
		name = "TInHTTPResponseInfo.ServeFile"
		size = 348
		refs = "001e TInHTTPResponseInfo.ServeFile 004a TInThreadSafeMimeTable.GetFileMIMEType 0054 TIdEntityHeaderInfo.SetContentType 005b FileSizeByName 0064 TIdEntityHeaderInfo.SetContentLength 0082 ExtractFileName 009b IndyFormat 00a6 @UStrAsg 00ad TInHTTPResponseInfo.WriteHeader 00c1 _Dn_TInSSLIOHandlerSocketBase 00c6 @IsClass 00f2 @UStrClr 00ff @UStrArrayClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 DB 89 5D E8 89 5D DC 89 5D EC 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 4C 85 C0 74 05 83 E8 04 8B 00 85 C0 75 20 8D 4D EC 8B 83 C8 00 00 00 8B 80 20 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 52 50 8B C3 E8 ?? ?? ?? ?? 8B 43 18 85 C0 74 05 83 E8 04 8B 00 85 C0 75 32 8D 45 E8 50 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 43 18 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 98 98 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 8B D3 8B C8 8B C6 92 8B 18 FF 93 B4 00 00 00 89 45 F0 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F0 8B 55 F4 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 61 00 74 00 74 00 61 00 63 00 68 00 6D 00 65 00 6E 00 74 00 3B 00 20 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 25 00 73 00 22 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_32722_0 {
	meta:
		name = "TIdHTTPResponseInfo.SmartServeFile"
		size = 352
		refs = "001c TIdHTTPResponseInfo.SmartServeFile 0029 IndyFileAge 0045 FileExists 0055 TIdHTTPResponseInfo.SetResponseNo 0078 TIdHeaderList.GetValue 0080 GMTToLocalDateTime 0104 @UStrClr 010a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 8B F9 89 55 FC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? DD 5D E8 9B DD 45 E8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 2C B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F BA 94 01 00 00 8B C3 E8 ?? ?? ?? ?? C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 E9 87 00 00 00 8D 4D DC 8B 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? DD 5D E0 9B DD 45 E0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 32 DD 45 E0 DC 65 E8 D9 E1 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 76 1C BA 30 01 00 00 8B C3 E8 ?? ?? ?? ?? C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 EB 2A 8B 45 E8 89 43 58 8B 45 EC 89 43 5C 8B 45 E8 89 43 70 8B 45 EC 89 43 74 8B CE 8B 55 FC 8B C3 8B 18 FF 53 1C 89 45 F0 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 55 F4 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 66 00 2D 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 53 00 69 00 6E 00 63 00 65 00 00 00 B7 4A 89 72 06 45 2E C2 EF 3F 00 00 }
	condition:
		$1
}

rule function_39394_0 {
	meta:
		name = "TInHTTPResponseInfo.SmartServeFile"
		size = 352
		refs = "001c TInHTTPResponseInfo.SmartServeFile 0029 IndyFileAge 0045 FileExists 0055 TInHTTPResponseInfo.SetResponseNo 0078 TInHeaderList.GetValue 0080 GMTToLocalDateTime 0104 @UStrClr 010a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 8B F9 89 55 FC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? DD 5D E8 9B DD 45 E8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 2C B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F BA 94 01 00 00 8B C3 E8 ?? ?? ?? ?? C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 E9 87 00 00 00 8D 4D DC 8B 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? DD 5D E0 9B DD 45 E0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 32 DD 45 E0 DC 65 E8 D9 E1 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 76 1C BA 30 01 00 00 8B C3 E8 ?? ?? ?? ?? C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 EB 2A 8B 45 E8 89 43 58 8B 45 EC 89 43 5C 8B 45 E8 89 43 70 8B 45 EC 89 43 74 8B CE 8B 55 FC 8B C3 8B 18 FF 53 1C 89 45 F0 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 55 F4 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 66 00 2D 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 53 00 69 00 6E 00 63 00 65 00 00 00 B7 4A 89 72 06 45 2E C2 EF 3F 00 00 }
	condition:
		$1
}

rule function_32723_0 {
	meta:
		name = "TIdHTTPResponseInfo.WriteContent"
		size = 452
		refs = "0012 TIdHTTPResponseInfo.WriteContent 003b TIdHTTPResponseInfo.WriteHeader 0052 CharsetToEncoding 0084 TStream.SetPosition 00be IntToStr 00de @UStrCatN 00fd @UStrClr 0104 TIdHTTPResponseInfo.ReleaseContentStream 011f TObject.Free 0125 @HandleFinally 0141 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 BE C2 00 00 00 00 75 07 8B C6 E8 ?? ?? ?? ?? 8B BE AC 00 00 00 83 BE BC 00 00 00 00 74 27 8B 46 10 E8 ?? ?? ?? ?? 89 45 FC 8B 96 BC 00 00 00 8B 87 98 00 00 00 8B 4D FC 8B 18 FF 93 A0 00 00 00 E9 81 00 00 00 8B 86 B8 00 00 00 85 C0 74 25 6A 00 6A 00 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 96 B8 00 00 00 8B 87 98 00 00 00 33 C9 8B 18 FF 93 B0 00 00 00 EB 52 8B 46 10 E8 ?? ?? ?? ?? 89 45 FC 68 ?? ?? ?? ?? 8D 55 F4 8B 86 B0 00 00 00 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF B6 C4 00 00 00 68 ?? ?? ?? ?? 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 87 98 00 00 00 8B 4D FC 8B 18 FF 93 A4 00 00 00 8D 86 BC 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 48 00 54 00 4D 00 4C 00 3E 00 3C 00 42 00 4F 00 44 00 59 00 3E 00 3C 00 42 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 3C 00 2F 00 42 00 3E 00 3C 00 2F 00 42 00 4F 00 44 00 59 00 3E 00 3C 00 2F 00 48 00 54 00 4D 00 4C 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_39395_0 {
	meta:
		name = "TInHTTPResponseInfo.WriteContent"
		size = 452
		refs = "0012 TInHTTPResponseInfo.WriteContent 003b TInHTTPResponseInfo.WriteHeader 0052 CharsetToEncoding 0084 TStream.SetPosition 00be IntToStr 00de @UStrCatN 00fd @UStrClr 0104 TInHTTPResponseInfo.ReleaseContentStream 011f TObject.Free 0125 @HandleFinally 0141 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 BE C2 00 00 00 00 75 07 8B C6 E8 ?? ?? ?? ?? 8B BE AC 00 00 00 83 BE BC 00 00 00 00 74 27 8B 46 10 E8 ?? ?? ?? ?? 89 45 FC 8B 96 BC 00 00 00 8B 87 98 00 00 00 8B 4D FC 8B 18 FF 93 A0 00 00 00 E9 81 00 00 00 8B 86 B8 00 00 00 85 C0 74 25 6A 00 6A 00 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 96 B8 00 00 00 8B 87 98 00 00 00 33 C9 8B 18 FF 93 B0 00 00 00 EB 52 8B 46 10 E8 ?? ?? ?? ?? 89 45 FC 68 ?? ?? ?? ?? 8D 55 F4 8B 86 B0 00 00 00 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF B6 C4 00 00 00 68 ?? ?? ?? ?? 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 87 98 00 00 00 8B 4D FC 8B 18 FF 93 A4 00 00 00 8D 86 BC 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 48 00 54 00 4D 00 4C 00 3E 00 3C 00 42 00 4F 00 44 00 59 00 3E 00 3C 00 42 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 3C 00 2F 00 42 00 3E 00 3C 00 2F 00 42 00 4F 00 44 00 59 00 3E 00 3C 00 2F 00 48 00 54 00 4D 00 4C 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_32724_0 {
	meta:
		name = "TIdHTTPResponseInfo.WriteHeader"
		size = 1144
		refs = "001a TIdHTTPResponseInfo.WriteHeader 0034 RSHTTPHeaderAlreadyWritten 0039 LoadResString 0041 _DV_EIdHTTPHeaderAlreadyWritten 0046 EIdException.Toss 006d TIdHTTPResponseInfo.SetResponseNo 009c TIdEntityHeaderInfo.SetContentType 00b2 IntToStr 00da @UStrCatN 00e6 TIdEntityHeaderInfo.SetContentLength 011c TextIsSame 013b CharsetToEncoding 015d TEncoding.GetByteCount 017d TObject.Free 0183 @HandleFinally 01cc TIdIOHandler.WriteBufferingActive 01eb TIdIOHandler.WriteBufferOpen 0291 TIdCookies.GetCookie 02a9 @UStrCat3 02df TIdIOHandler.WriteLn 030b @HandleAnyException 032d @RaiseAgain 0332 @DoneExcept 034c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 C2 00 00 00 00 74 1A 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 80 C2 00 00 00 01 8B 45 FC 83 B8 A8 00 00 00 00 0F 84 86 00 00 00 BA 91 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 75 63 8B 45 FC 83 B8 B8 00 00 00 00 75 57 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 80 B0 00 00 00 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B 45 FC FF B0 C4 00 00 00 68 ?? ?? ?? ?? 8B 45 FC 05 BC 00 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 6A FF 6A FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 78 2C FF 0F 85 BD 00 00 00 83 78 28 FF 0F 85 B3 00 00 00 8B 45 FC 83 B8 80 00 00 00 00 74 1B 8B 45 FC 8B 80 80 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 8C 00 00 00 8B 45 FC 83 B8 BC 00 00 00 00 74 55 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 BC 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 99 52 50 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 98 B8 00 00 00 85 DB 74 12 8B C3 8B 10 FF 12 52 50 8B 45 FC E8 ?? ?? ?? ?? EB 0C 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 10 8B 45 FC 8B 80 AC 00 00 00 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 34 01 88 45 F7 80 7D F7 00 74 14 8B 45 FC 8B 80 AC 00 00 00 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 E4 8B 45 FC 8B 80 B0 00 00 00 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8B 45 FC FF B0 C4 00 00 00 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 8B 80 AC 00 00 00 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 6A 00 8B 45 FC 8B 50 0C 8B 45 FC 8B 80 AC 00 00 00 8B 80 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 8B 45 FC 8B 80 B4 00 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 4B 43 33 F6 8B 45 FC 8B 80 B4 00 00 00 8B D6 E8 ?? ?? ?? ?? 8D 55 DC 8B 08 FF 51 20 8B 4D DC 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC 8B 80 AC 00 00 00 8B 80 98 00 00 00 33 C9 8B 38 FF 97 A4 00 00 00 46 4B 75 B8 8B 45 FC 8B 80 AC 00 00 00 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 80 7D F7 00 74 17 8B 45 FC 8B 80 AC 00 00 00 8B 80 98 00 00 00 8B 10 FF 92 D8 00 00 00 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 80 7D F7 00 74 17 8B 45 FC 8B 80 AC 00 00 00 8B 80 98 00 00 00 8B 10 FF 92 D0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 18 00 00 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 75 00 74 00 66 00 2D 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 48 00 54 00 4D 00 4C 00 3E 00 3C 00 42 00 4F 00 44 00 59 00 3E 00 3C 00 42 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 3C 00 2F 00 42 00 3E 00 3C 00 2F 00 42 00 4F 00 44 00 59 00 3E 00 3C 00 2F 00 48 00 54 00 4D 00 4C 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 69 00 64 00 65 00 6E 00 74 00 69 00 74 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 48 00 54 00 54 00 50 00 2F 00 31 00 2E 00 31 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 65 00 74 00 2D 00 43 00 6F 00 6F 00 6B 00 69 00 65 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_39396_0 {
	meta:
		name = "TInHTTPResponseInfo.WriteHeader"
		size = 1144
		refs = "001a TInHTTPResponseInfo.WriteHeader 0034 RSHTTPHeaderAlreadyWritten 0039 LoadResString 0041 _DV_EInHTTPHeaderAlreadyWritten 0046 EInException.Toss 006d TInHTTPResponseInfo.SetResponseNo 009c TIdEntityHeaderInfo.SetContentType 00b2 IntToStr 00da @UStrCatN 00e6 TIdEntityHeaderInfo.SetContentLength 011c TextIsSame 013b CharsetToEncoding 015d TEncoding.GetByteCount 017d TObject.Free 0183 @HandleFinally 01cc TInIOHandler.WriteBufferingActive 01eb TInIOHandler.WriteBufferOpen 0291 TInCookies.GetCookie 02a9 @UStrCat3 02df TInIOHandler.WriteLn 030b @HandleAnyException 032d @RaiseAgain 0332 @DoneExcept 034c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 C2 00 00 00 00 74 1A 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 80 C2 00 00 00 01 8B 45 FC 83 B8 A8 00 00 00 00 0F 84 86 00 00 00 BA 91 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 75 63 8B 45 FC 83 B8 B8 00 00 00 00 75 57 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 80 B0 00 00 00 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B 45 FC FF B0 C4 00 00 00 68 ?? ?? ?? ?? 8B 45 FC 05 BC 00 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 6A FF 6A FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 78 2C FF 0F 85 BD 00 00 00 83 78 28 FF 0F 85 B3 00 00 00 8B 45 FC 83 B8 80 00 00 00 00 74 1B 8B 45 FC 8B 80 80 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 8C 00 00 00 8B 45 FC 83 B8 BC 00 00 00 00 74 55 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 BC 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 99 52 50 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 98 B8 00 00 00 85 DB 74 12 8B C3 8B 10 FF 12 52 50 8B 45 FC E8 ?? ?? ?? ?? EB 0C 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 10 8B 45 FC 8B 80 AC 00 00 00 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 34 01 88 45 F7 80 7D F7 00 74 14 8B 45 FC 8B 80 AC 00 00 00 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 E4 8B 45 FC 8B 80 B0 00 00 00 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8B 45 FC FF B0 C4 00 00 00 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 8B 80 AC 00 00 00 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 6A 00 8B 45 FC 8B 50 0C 8B 45 FC 8B 80 AC 00 00 00 8B 80 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 8B 45 FC 8B 80 B4 00 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 4B 43 33 F6 8B 45 FC 8B 80 B4 00 00 00 8B D6 E8 ?? ?? ?? ?? 8D 55 DC 8B 08 FF 51 20 8B 4D DC 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC 8B 80 AC 00 00 00 8B 80 98 00 00 00 33 C9 8B 38 FF 97 A4 00 00 00 46 4B 75 B8 8B 45 FC 8B 80 AC 00 00 00 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 80 7D F7 00 74 17 8B 45 FC 8B 80 AC 00 00 00 8B 80 98 00 00 00 8B 10 FF 92 D8 00 00 00 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 80 7D F7 00 74 17 8B 45 FC 8B 80 AC 00 00 00 8B 80 98 00 00 00 8B 10 FF 92 D0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 18 00 00 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 75 00 74 00 66 00 2D 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 48 00 54 00 4D 00 4C 00 3E 00 3C 00 42 00 4F 00 44 00 59 00 3E 00 3C 00 42 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 3C 00 2F 00 42 00 3E 00 3C 00 2F 00 42 00 4F 00 44 00 59 00 3E 00 3C 00 2F 00 48 00 54 00 4D 00 4C 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 69 00 64 00 65 00 6E 00 74 00 69 00 74 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 48 00 54 00 54 00 50 00 2F 00 31 00 2E 00 31 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 65 00 74 00 2D 00 43 00 6F 00 6F 00 6B 00 69 00 65 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_32725_0 {
	meta:
		name = "TIdHTTPResponseInfo.GetServer"
		size = 22
		refs = "000f @UStrAsg"
		altNames = "TInHTTPResponseInfo.GetServer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 90 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47337_0 {
	meta:
		name = "TBaseInetXPageProducer.GetScriptManager"
		size = 22
		refs = "000f @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 90 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32726_0 {
	meta:
		name = "TCustomElementBehavior.SetViewLinkHTML"
		size = 22
		refs = "000f @UStrAsg"
		altNames = "TIdHTTPResponseInfo.SetServer TInHTTPResponseInfo.SetServer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 90 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32727_0 {
	meta:
		name = "TIdHTTPDefaultSessionList.Add"
		size = 9
		refs = "0004 TThreadList.Add"
		altNames = "TInHTTPDefaultSessionList.Add"
	strings:
		$1 = { 8B 40 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76980_0 {
	meta:
		name = "TCustomHintShowHideThread.ResumeWork"
		size = 9
		refs = "0004 TEvent.SetEvent"
	strings:
		$1 = { 8B 40 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85472_0 {
	meta:
		name = "TSeStyleSource.Add"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32728_0 {
	meta:
		name = "TIdHTTPDefaultSessionList.Clear"
		size = 165
		refs = "0010 TThreadList.LockList 001a TIdHTTPDefaultSessionList.Clear 0032 TList.Get 0060 TObject.Free 0079 TList.SetCapacity 0094 TMonitor.Exit 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5E 08 4B 83 FB 00 7C 3D 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 74 2A 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 04 8B D3 8B C6 E8 ?? ?? ?? ?? 33 D2 89 50 14 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 75 C3 8B C6 8B 10 FF 52 08 BA 80 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 50 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39400_0 {
	meta:
		name = "TInHTTPDefaultSessionList.Clear"
		size = 165
		refs = "0010 TThreadList.LockList 001a TInHTTPDefaultSessionList.Clear 0032 TList.Get 0060 TObject.Free 0079 TList.SetCapacity 0094 TMonitor.Exit 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5E 08 4B 83 FB 00 7C 3D 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 74 2A 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 04 8B D3 8B C6 E8 ?? ?? ?? ?? 33 D2 89 50 14 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 75 C3 8B C6 8B 10 FF 52 08 BA 80 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 50 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32729_0 {
	meta:
		name = "TIdHTTPDefaultSessionList.CreateSession"
		size = 37
		refs = "0007 _DV_TIdHTTPSession 0010 TIdHTTPSession.CreateInitialized 001c TThreadList.Add"
	strings:
		$1 = { 53 56 8B D8 51 52 A1 ?? ?? ?? ?? B2 01 8B CB E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 50 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39401_0 {
	meta:
		name = "TInHTTPDefaultSessionList.CreateSession"
		size = 37
		refs = "0007 _DV_TInHTTPSession 0010 TInHTTPSession.CreateInitialized 001c TThreadList.Add"
	strings:
		$1 = { 53 56 8B D8 51 52 A1 ?? ?? ?? ?? B2 01 8B CB E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 50 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32730_0 {
	meta:
		name = "TIdHTTPDefaultSessionList.CreateUniqueSession"
		size = 121
		refs = "0010 TIdHTTPDefaultSessionList.CreateUniqueSession 0023 GetRandomString 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 0F 00 00 00 E8 ?? ?? ?? ?? EB 0D 8D 55 FC B8 0F 00 00 00 E8 ?? ?? ?? ?? 8B CE 8B 55 FC 8B C3 8B 38 FF 57 58 85 C0 75 E3 8B 4D FC 8B D6 8B C3 8B 18 FF 53 54 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39402_0 {
	meta:
		name = "TInHTTPDefaultSessionList.CreateUniqueSession"
		size = 121
		refs = "0010 TInHTTPDefaultSessionList.CreateUniqueSession 0023 GetRandomString 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 0F 00 00 00 E8 ?? ?? ?? ?? EB 0D 8D 55 FC B8 0F 00 00 00 E8 ?? ?? ?? ?? 8B CE 8B 55 FC 8B C3 8B 38 FF 57 58 85 C0 75 E3 8B 4D FC 8B D6 8B C3 8B 18 FF 53 54 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32731_0 {
	meta:
		name = "TIdHTTPDefaultSessionList.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 001e TObject.Free 0029 TComponent.Destroy 0034 @ClassDestroy"
		altNames = "TInHTTPDefaultSessionList.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 48 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32732_0 {
	meta:
		name = "TIdHTTPDefaultSessionList.GetSession"
		size = 190
		refs = "001e TThreadList.LockList 0029 TIdHTTPDefaultSessionList.GetSession 0047 TList.Get 0054 TextIsSame 0080 Now 00a8 TMonitor.Exit 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 C0 89 45 F0 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 70 08 4E 85 F6 7C 53 46 33 FF 8B D7 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8B 43 18 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 31 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 75 04 B0 01 EB 0B 8B 43 1C 8B 55 F4 E8 ?? ?? ?? ?? 84 C0 74 0E E8 ?? ?? ?? ?? DD 5B 08 9B 89 5D F0 EB 04 47 4E 75 B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 50 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39404_0 {
	meta:
		name = "TInHTTPDefaultSessionList.GetSession"
		size = 190
		refs = "001e TThreadList.LockList 0029 TInHTTPDefaultSessionList.GetSession 0047 TList.Get 0054 TextIsSame 0080 Now 00a8 TMonitor.Exit 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 C0 89 45 F0 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 70 08 4E 85 F6 7C 53 46 33 FF 8B D7 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8B 43 18 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 31 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 75 04 B0 01 EB 0B 8B 43 1C 8B 55 F4 E8 ?? ?? ?? ?? 84 C0 74 0E E8 ?? ?? ?? ?? DD 5B 08 9B 89 5D F0 EB 04 47 4E 75 B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 50 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32733_0 {
	meta:
		name = "TIdHTTPDefaultSessionList.InitComponent"
		size = 59
		refs = "0007 TIdInitializerComponent.InitComponent 000e _Dn_TThreadList 0013 TThreadList.Create 001f TThreadList.LockList 0029 TList.SetCapacity 0034 TMonitor.Exit"
		altNames = "TInHTTPDefaultSessionList.InitComponent"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 50 8B C6 E8 ?? ?? ?? ?? BA 80 00 00 00 E8 ?? ?? ?? ?? 8B 43 50 8B 40 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32734_0 {
	meta:
		name = "TIdHTTPDefaultSessionList.PurgeStaleSessions"
		size = 141
		refs = "0013 TThreadList.LockList 001d TIdHTTPDefaultSessionList.PurgeStaleSessions 0035 TList.Get 005a TIdHTTPDefaultSessionList.RemoveSessionFromLockedList 007b TMonitor.Exit 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7E 08 4F 83 FF 00 7C 34 8B D7 8B C6 E8 ?? ?? ?? ?? 85 C0 74 21 84 DB 75 11 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 12 84 C0 74 0C 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 4F 83 FF FF 75 CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 50 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39406_0 {
	meta:
		name = "TInHTTPDefaultSessionList.PurgeStaleSessions"
		size = 141
		refs = "0013 TThreadList.LockList 001d TInHTTPDefaultSessionList.PurgeStaleSessions 0035 TList.Get 005a TInHTTPDefaultSessionList.RemoveSessionFromLockedList 007b TMonitor.Exit 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7E 08 4F 83 FF 00 7C 34 8B D7 8B C6 E8 ?? ?? ?? ?? 85 C0 74 21 84 DB 75 11 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 12 84 C0 74 0C 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 4F 83 FF FF 75 CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 50 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32735_0 {
	meta:
		name = "TIdHTTPDefaultSessionList.RemoveSession"
		size = 101
		refs = "0012 TThreadList.LockList 001c TIdHTTPDefaultSessionList.RemoveSession 002b TList.IndexOf 0039 TList.Delete 0054 TMonitor.Exit 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D6 8B C3 E8 ?? ?? ?? ?? 83 F8 FF 7E 09 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 50 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39407_0 {
	meta:
		name = "TInHTTPDefaultSessionList.RemoveSession"
		size = 101
		refs = "0012 TThreadList.LockList 001c TInHTTPDefaultSessionList.RemoveSession 002b TList.IndexOf 0039 TList.Delete 0054 TMonitor.Exit 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D6 8B C3 E8 ?? ?? ?? ?? 83 F8 FF 7E 09 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 50 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32736_0 {
	meta:
		name = "TIdHTTPDefaultSessionList.RemoveSessionFromLockedList"
		size = 60
		refs = "000b TList.Get 002c TObject.Free 0035 TList.Delete"
		altNames = "TInHTTPDefaultSessionList.RemoveSessionFromLockedList"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 04 8B D3 8B C6 E8 ?? ?? ?? ?? 33 D2 89 50 14 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32737_0 {
	meta:
		name = "TIdHTTPSessionCleanerThread.AfterRun"
		size = 26
		refs = "0014 TIdThread.AfterRun"
	strings:
		$1 = { 53 8B D8 8B 43 70 85 C0 74 07 B2 01 8B 08 FF 51 4C 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39409_0 {
	meta:
		name = "TInHTTPSessionCleanerThread.AfterRun"
		size = 26
		refs = "0014 TInThread.AfterRun"
	strings:
		$1 = { 53 8B D8 8B 43 70 85 C0 74 07 B2 01 8B 08 FF 51 4C 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_32738_0 {
	meta:
		name = "TIdHTTPSessionCleanerThread.Create"
		size = 84
		refs = "000b @ClassCreate 0020 TIdThread.Create 002e IndySetThreadPriority 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 6A 01 6A 00 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? B9 01 00 00 80 B2 01 8B C7 E8 ?? ?? ?? ?? 89 77 70 C6 47 0F 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39410_0 {
	meta:
		name = "TInHTTPSessionCleanerThread.Create"
		size = 84
		refs = "000b @ClassCreate 0020 TInThread.Create 002e IndySetThreadPriority 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 6A 01 6A 00 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? B9 01 00 00 80 B2 01 8B C7 E8 ?? ?? ?? ?? 89 77 70 C6 47 0F 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32739_0 {
	meta:
		name = "TIdHTTPSessionCleanerThread.Run"
		size = 31
		refs = "0009 IndySleep"
		altNames = "TInHTTPSessionCleanerThread.Run"
	strings:
		$1 = { 53 8B D8 B8 E8 03 00 00 E8 ?? ?? ?? ?? 8B 43 70 85 C0 74 09 0F B6 53 0D 8B 08 FF 51 4C 5B C3 }
	condition:
		$1
}

rule function_32740_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_51 001a HTTPRequestStrings 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 08 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_32742_0 {
	meta:
		name = "TIdCustomTCPServer.CheckActive"
		size = 119
		refs = "000c TIdCustomTCPServer.CheckActive 0022 TIdInitializerComponent.GetIsDesignTime 002d TIdInitializerComponent.GetIsLoading 0039 RSCannotPerformTaskWhileServerIsActive 003e LoadResString 0048 _DV_EIdTCPServerError 004d EIdException.Create 0052 @RaiseExcept 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 90 00 00 00 00 74 37 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39414_0 {
	meta:
		name = "TInCustomTCPServer.CheckActive"
		size = 119
		refs = "000c TInCustomTCPServer.CheckActive 0022 TIdInitializerComponent.GetIsDesignTime 002d TIdInitializerComponent.GetIsLoading 0039 RSCannotPerformTaskWhileServerIsActive 003e LoadResString 0048 _DV_EInTCPServerError 004d EInException.Create 0052 @RaiseExcept 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 90 00 00 00 00 74 37 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_32743_0 {
	meta:
		name = "TIdCustomTCPServer.ContextCreated"
		size = 27
		altNames = "TIdUDPServer.DoBeforeBind TInCustomTCPServer.ContextCreated"
	strings:
		$1 = { 53 66 83 B8 CA 00 00 00 00 74 0E 8B D8 8B 83 CC 00 00 00 FF 93 C8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_32744_0 {
	meta:
		name = "TIdCustomTCPServer.Destroy"
		size = 152
		refs = "0003 @BeforeDestruction 0038 TObject.Free 0086 TIdComponent.Destroy 0091 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 8B 08 FF 91 90 00 00 00 83 BE A8 00 00 00 00 74 26 80 BE A1 00 00 00 00 74 15 8D 86 A8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 08 33 C0 89 86 A8 00 00 00 8D 86 98 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 C0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39416_0 {
	meta:
		name = "TInCustomTCPServer.Destroy"
		size = 152
		refs = "0003 @BeforeDestruction 0038 TObject.Free 0086 TInComponent.Destroy 0091 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 8B 08 FF 91 90 00 00 00 83 BE A8 00 00 00 00 74 26 80 BE A1 00 00 00 00 74 15 8D 86 A8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 08 33 C0 89 86 A8 00 00 00 8D 86 98 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 C0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32745_0 {
	meta:
		name = "TIWServerControllerBase.DoGetSessionID"
		size = 27
		altNames = "TIdCustomTCPServer.DoBeforeBind TInCustomTCPServer.DoBeforeBind"
	strings:
		$1 = { 53 66 83 B8 FA 00 00 00 00 74 0E 8B D8 8B 83 FC 00 00 00 FF 93 F8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_32747_0 {
	meta:
		name = "TIdCustomTCPServer.SendGreeting"
		size = 41
		altNames = "TInCustomTCPServer.SendGreeting"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 6A 00 8B C7 8B 10 FF 52 28 8B D0 8B 46 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32748_0 {
	meta:
		name = "TIdCustomTCPServer.ContextConnected"
		size = 83
		altNames = "TInCustomTCPServer.ContextConnected"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B BB A4 00 00 00 85 FF 74 33 8B 6E 14 8B D5 8B C7 8B 08 FF 51 48 8B D0 8B 85 98 00 00 00 8B 08 FF 51 64 8B 7E 14 8B 87 98 00 00 00 8B 80 A4 00 00 00 85 C0 74 07 8B D7 8B 08 FF 51 44 8B D6 8B C3 8B 08 FF 51 70 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32749_0 {
	meta:
		name = "TIdCustomTCPServer.ContextDisconnected"
		size = 78
		refs = "0038 TObject.Free"
		altNames = "TInCustomTCPServer.ContextDisconnected"
	strings:
		$1 = { 56 8B F2 8B D6 8B 08 FF 51 74 8B 46 14 8B 80 98 00 00 00 85 C0 74 35 8B 90 A4 00 00 00 85 D2 74 2B 8B C2 8B 10 FF 52 48 8B 46 14 8B 80 98 00 00 00 8B 80 A4 00 00 00 E8 ?? ?? ?? ?? 8B 46 14 8B 80 98 00 00 00 33 D2 8B 08 FF 51 64 5E C3 }
	condition:
		$1
}

rule function_32750_0 {
	meta:
		name = "TIdCustomTCPServer.CreateConnection"
		size = 15
		refs = "0005 _Dn_TIdTCPConnection 000a TIdBaseComponent.Create"
	strings:
		$1 = { 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78197_0 {
	meta:
		name = "TFileSaveDialogWrapper.CreateFileDialog"
		size = 15
		refs = "0005 _DV_TFileSaveDialog 000a TCustomFileDialog.Create"
	strings:
		$1 = { 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39422_0 {
	meta:
		name = "TInCustomTCPServer.CreateConnection"
		size = 15
		refs = "0005 _Dn_TInTCPConnection 000a TInBaseComponent.Create"
	strings:
		$1 = { 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50672_0 {
	meta:
		name = "TServerIntercept.Accept"
		size = 15
		refs = "0005 _DV_TConnectionIntercept 000a TConnectionIntercept.Create"
	strings:
		$1 = { 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32751_0 {
	meta:
		name = "TIdCustomTCPServer.DoConnect"
		size = 27
		altNames = "TIdMappedPortTCP.DoLocalClientConnect TInCustomTCPServer.DoConnect"
	strings:
		$1 = { 53 66 83 B8 D2 00 00 00 00 74 0E 8B D8 8B 83 D4 00 00 00 FF 93 D0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_32753_0 {
	meta:
		name = "TIdCustomTCPServer.DoException"
		size = 27
		altNames = "TInCustomTCPServer.DoException"
	strings:
		$1 = { 53 66 83 B8 E2 00 00 00 00 74 0E 8B D8 8B 83 E4 00 00 00 FF 93 E0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_32754_0 {
	meta:
		name = "TIdCustomTCPServer.DoExecute"
		size = 55
		altNames = "TInCustomTCPServer.DoExecute"
	strings:
		$1 = { 53 56 57 8B F2 66 83 B8 EA 00 00 00 00 74 10 8B D8 8B D6 8B 83 EC 00 00 00 FF 93 E8 00 00 00 33 C0 85 F6 74 0E 8B 7E 14 85 FF 74 07 8B C7 8B 10 FF 52 74 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32755_0 {
	meta:
		name = "TIdCustomTCPServer.DoListenException"
		size = 27
		altNames = "TInCustomTCPServer.DoListenException"
	strings:
		$1 = { 53 66 83 B8 F2 00 00 00 00 74 0E 8B D8 8B 83 F4 00 00 00 FF 93 F0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_32756_0 {
	meta:
		name = "TIdCustomTCPServer.GetDefaultPort"
		size = 11
		altNames = "TInCustomTCPServer.GetDefaultPort"
	strings:
		$1 = { 8B 80 98 00 00 00 0F B7 40 1C C3 }
	condition:
		$1
}

rule function_32757_0 {
	meta:
		name = "TIdCustomTCPServer.Loaded"
		size = 40
		refs = "0006 TComponent.Loaded"
		altNames = "TInCustomTCPServer.Loaded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 90 00 00 00 00 74 13 C6 83 90 00 00 00 00 B2 01 8B C3 8B 08 FF 91 90 00 00 00 5B C3 }
	condition:
		$1
}

rule function_32758_0 {
	meta:
		name = "TIdCustomTCPServer.Notification"
		size = 95
		refs = "0010 TComponent.Notification"
		altNames = "TInCustomTCPServer.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 42 3B BE 94 00 00 00 75 11 33 C0 89 86 94 00 00 00 C6 86 A0 00 00 00 00 EB 29 3B BE A4 00 00 00 75 0A 33 C0 89 86 A4 00 00 00 EB 17 3B BE A8 00 00 00 75 0F 33 C0 89 86 A8 00 00 00 C6 86 A1 00 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32759_0 {
	meta:
		name = "TIdCustomTCPServer.SetActive"
		size = 81
		refs = "0009 TIdInitializerComponent.GetIsDesignTime 0014 TIdInitializerComponent.GetIsLoading"
		altNames = "TInCustomTCPServer.SetActive"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 88 9E 90 00 00 00 5E 5B C3 3A 9E 90 00 00 00 74 21 84 DB 74 13 8B C6 8B 10 FF 52 50 8B C6 8B 10 FF 92 A8 00 00 00 EB 0A 8B C6 8B 10 FF 92 AC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_32761_0 {
	meta:
		name = "TIdCustomTCPServer.SetDefaultPort"
		size = 11
		altNames = "TInCustomTCPServer.SetDefaultPort"
	strings:
		$1 = { 8B 80 98 00 00 00 66 89 50 1C C3 }
	condition:
		$1
}

rule function_32762_0 {
	meta:
		name = "TIdCustomTCPServer.SetIntercept"
		size = 49
		refs = "0017 TComponent.RemoveFreeNotification 002a TComponent.FreeNotification"
		altNames = "TIdIOHandler.SetIntercept TInCustomTCPServer.SetIntercept TInIOHandler.SetIntercept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 A4 00 00 00 3B F0 74 1E 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 83 A4 00 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32763_0 {
	meta:
		name = "TIdCustomTCPServer.SetScheduler"
		size = 204
		refs = "0015 TIdCustomTCPServer.SetScheduler 002c RSTCPServerSchedulerAlreadyActive 0031 LoadResString 0039 _Dn_EIdException 003e EIdException.Toss 0065 TObject.Free 007d TComponent.RemoveFreeNotification 0090 TComponent.FreeNotification 00ba @UStrClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 90 00 00 00 00 74 1A 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB A0 00 00 00 00 74 25 8B 83 94 00 00 00 89 45 FC 33 C0 89 83 94 00 00 00 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C6 83 A0 00 00 00 00 8B 83 94 00 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 83 94 00 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 85 C0 74 0B 8B 93 94 00 00 00 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_39435_0 {
	meta:
		name = "TInCustomTCPServer.SetScheduler"
		size = 204
		refs = "0015 TInCustomTCPServer.SetScheduler 002c RSTCPServerSchedulerAlreadyActive 0031 LoadResString 0039 _Dn_EInException 003e EInException.Toss 0065 TObject.Free 007d TComponent.RemoveFreeNotification 0090 TComponent.FreeNotification 00ba @UStrClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 90 00 00 00 00 74 1A 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB A0 00 00 00 00 74 25 8B 83 94 00 00 00 89 45 FC 33 C0 89 83 94 00 00 00 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C6 83 A0 00 00 00 00 8B 83 94 00 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 83 94 00 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 85 C0 74 0B 8B 93 94 00 00 00 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32764_0 {
	meta:
		name = "TIdCustomTCPServer.SetIOHandler"
		size = 103
		refs = "0033 TObject.Free 003c TComponent.RemoveFreeNotification 004f TComponent.FreeNotification"
		altNames = "TInCustomTCPServer.SetIOHandler"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 A8 00 00 00 3B F0 74 54 85 C0 74 2C 80 BB A1 00 00 00 00 74 1C C6 83 A1 00 00 00 00 8D 83 A8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 83 A8 00 00 00 85 C0 74 18 8B D3 E8 ?? ?? ?? ?? 8B 93 94 00 00 00 8B 83 A8 00 00 00 8B 08 FF 51 60 5E 5B C3 }
	condition:
		$1
}

rule function_32765_0 {
	meta:
		name = "TIdCustomTCPServer.StartListening"
		size = 692
		refs = "0015 TIdCustomTCPServer.StartListening 0029 TThreadList.LockList 0060 TIdSocketHandles.GetItem 0070 TIdSocketHandle.AllocateSocket 0081 Id_SO_True 0095 TIdSocketHandle.SetSockOpt 00b7 TIdSocketHandle.Bind 00c8 TIdSocketHandle.SetUseNagle 00d9 TCollection.GetCount 00f1 @HandleAnyException 011e @RaiseAgain 0123 @DoneExcept 0171 TIdSocketHandle.Listen 018d _DV_TIdListenerThread 0192 TIdListenerThread.Create 01ba IntToStr 01cd @UStrCatN 01e8 TThread.SetPriority 01f2 TList.Add 0224 TObject.Free 025e TMonitor.Exit 0264 @HandleFinally 027b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 AC 00 00 00 E8 ?? ?? ?? ?? 8B F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 46 08 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 7C 8B 45 FC 8B 80 98 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 33 C9 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B8 00 00 00 01 75 19 A1 ?? ?? ?? ?? 8B 00 50 B9 04 00 00 00 BA FF FF 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 64 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 90 10 01 00 00 8B C3 E8 ?? ?? ?? ?? FF 45 F4 8B 45 FC 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 3B 45 F4 0F 8F 6D FF FF FF 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? FF 4D F4 83 7D F4 00 7C 1F 8B 45 FC 8B 80 98 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 10 FF 52 24 FF 4D F4 83 7D F4 00 7D E1 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 08 3B 45 F4 7D 08 8B 45 FC 8B 10 FF 52 68 8B 46 08 8B 55 FC 8B 92 98 00 00 00 8B 52 08 8B 5A 08 4B 2B D8 0F 8C F2 00 00 00 43 89 45 F4 8B 45 FC 8B 80 98 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 B0 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC FF 70 08 68 ?? ?? ?? ?? 8D 55 F0 8B 45 F4 40 E8 ?? ?? ?? ?? FF 75 F0 8B 45 F8 83 C0 4C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 89 50 7C 8B 12 8B 52 6C 89 50 78 B2 05 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 32 E9 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 10 FF 52 24 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 34 FF 45 F4 4B 0F 85 12 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 00 00 00 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 4C 00 69 00 73 00 74 00 65 00 6E 00 65 00 72 00 20 00 23 00 00 00 }
	condition:
		$1
}

rule function_39437_0 {
	meta:
		name = "TInCustomTCPServer.StartListening"
		size = 692
		refs = "0015 TInCustomTCPServer.StartListening 0029 TThreadList.LockList 0060 TInSocketHandles.GetItem 0070 TInSocketHandle.AllocateSocket 0081 Id_SO_True 0095 TInSocketHandle.SetSockOpt 00b7 TInSocketHandle.Bind 00c8 TInSocketHandle.SetUseNagle 00d9 TCollection.GetCount 00f1 @HandleAnyException 011e @RaiseAgain 0123 @DoneExcept 0171 TInSocketHandle.Listen 018d _DV_TIdListenerThread 0192 TIdListenerThread.Create 01ba IntToStr 01cd @UStrCatN 01e8 TThread.SetPriority 01f2 TList.Add 0224 TObject.Free 025e TMonitor.Exit 0264 @HandleFinally 027b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 AC 00 00 00 E8 ?? ?? ?? ?? 8B F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 46 08 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 7C 8B 45 FC 8B 80 98 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 33 C9 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B8 00 00 00 01 75 19 A1 ?? ?? ?? ?? 8B 00 50 B9 04 00 00 00 BA FF FF 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 64 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 90 10 01 00 00 8B C3 E8 ?? ?? ?? ?? FF 45 F4 8B 45 FC 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 3B 45 F4 0F 8F 6D FF FF FF 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? FF 4D F4 83 7D F4 00 7C 1F 8B 45 FC 8B 80 98 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 10 FF 52 24 FF 4D F4 83 7D F4 00 7D E1 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 08 3B 45 F4 7D 08 8B 45 FC 8B 10 FF 52 68 8B 46 08 8B 55 FC 8B 92 98 00 00 00 8B 52 08 8B 5A 08 4B 2B D8 0F 8C F2 00 00 00 43 89 45 F4 8B 45 FC 8B 80 98 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 B0 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC FF 70 08 68 ?? ?? ?? ?? 8D 55 F0 8B 45 F4 40 E8 ?? ?? ?? ?? FF 75 F0 8B 45 F8 83 C0 4C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 89 50 7C 8B 12 8B 52 6C 89 50 78 B2 05 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 32 E9 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 10 FF 52 24 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 34 FF 45 F4 4B 0F 85 12 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 00 00 00 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 4C 00 69 00 73 00 74 00 65 00 6E 00 65 00 72 00 20 00 23 00 00 00 }
	condition:
		$1
}

rule function_32766_0 {
	meta:
		name = "TIdCustomTCPServer.StopListening"
		size = 139
		refs = "0013 TThreadList.LockList 001d TIdCustomTCPServer.StopListening 002e TList.Get 0046 TThread.WaitFor 004d TObject.Free 0056 TList.Delete 007a TMonitor.Exit 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 80 AC 00 00 00 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 31 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 3C 8B 43 70 8B 10 FF 52 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 83 7E 08 00 7F C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 00 00 00 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39438_0 {
	meta:
		name = "TInCustomTCPServer.StopListening"
		size = 139
		refs = "0013 TThreadList.LockList 001d TInCustomTCPServer.StopListening 002e TList.Get 0046 TThread.WaitFor 004d TObject.Free 0056 TList.Delete 007a TMonitor.Exit 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 80 AC 00 00 00 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 31 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 3C 8B 43 70 8B 10 FF 52 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 83 7E 08 00 7F C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 00 00 00 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32768_0 {
	meta:
		name = "TIdCustomTCPServer.TerminateAllThreads"
		size = 211
		refs = "0015 TIdCustomTCPServer.TerminateAllThreads 002d TThreadList.LockList 0056 TList.Get 0062 TObject.ClassName 0091 TMonitor.Exit 0097 @HandleFinally 00c0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 C0 00 00 00 85 C0 74 71 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 70 08 4E 85 F6 7C 2A 46 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8D 55 F4 8B 03 E8 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 91 88 00 00 00 47 4E 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 00 00 00 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B 45 FC 8B 80 94 00 00 00 85 C0 74 05 8B 10 FF 52 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39440_0 {
	meta:
		name = "TInCustomTCPServer.TerminateAllThreads"
		size = 211
		refs = "0015 TInCustomTCPServer.TerminateAllThreads 002d TThreadList.LockList 0056 TList.Get 0062 TObject.ClassName 0091 TMonitor.Exit 0097 @HandleFinally 00c0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 C0 00 00 00 85 C0 74 71 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 70 08 4E 85 F6 7C 2A 46 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8D 55 F4 8B 03 E8 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 91 88 00 00 00 47 4E 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 00 00 00 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B 45 FC 8B 80 94 00 00 00 85 C0 74 05 8B 10 FF 52 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32769_0 {
	meta:
		name = "TIdCustomTCPServer.DoBeforeListenerRun"
		size = 27
		altNames = "TInCustomTCPServer.DoBeforeListenerRun"
	strings:
		$1 = { 53 66 83 B8 0A 01 00 00 00 74 0E 8B D8 8B 83 0C 01 00 00 FF 93 08 01 00 00 5B C3 }
	condition:
		$1
}

rule function_32771_0 {
	meta:
		name = "TIdCustomTCPServer.DoTerminateContext"
		size = 11
		altNames = "TInCustomTCPServer.DoTerminateContext"
	strings:
		$1 = { 8B 42 14 33 D2 8B 08 FF 51 78 C3 }
	condition:
		$1
}

rule function_32772_0 {
	meta:
		name = "TIdCustomTCPServer.InitComponent"
		size = 106
		refs = "0006 TIdComponent.InitComponent 000f _Dn_TIdSocketHandles 0014 TIdSocketHandles.Create 0021 _Dn_TThreadList 0026 TThreadList.Create 0031 _DV_TIdServerContext"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 98 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 C0 00 00 00 A1 ?? ?? ?? ?? 89 83 9C 00 00 00 C7 83 BC 00 00 00 88 13 00 00 C7 83 B0 00 00 00 0F 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 AC 00 00 00 C6 83 10 01 00 00 01 5B C3 }
	condition:
		$1
}

rule function_39444_0 {
	meta:
		name = "TInCustomTCPServer.InitComponent"
		size = 106
		refs = "0006 TInComponent.InitComponent 000f _Dn_TInSocketHandles 0014 TInSocketHandles.Create 0021 _Dn_TThreadList 0026 TThreadList.Create 0031 _DV_TIdServerContext"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 98 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 C0 00 00 00 A1 ?? ?? ?? ?? 89 83 9C 00 00 00 C7 83 BC 00 00 00 88 13 00 00 C7 83 B0 00 00 00 0F 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 AC 00 00 00 C6 83 10 01 00 00 01 5B C3 }
	condition:
		$1
}

rule function_32773_0 {
	meta:
		name = "TIdCustomTCPServer.Shutdown"
		size = 114
		refs = "0015 TIdCustomTCPServer.StopListening 001d TIdCustomTCPServer.Shutdown 002b TIdCustomTCPServer.TerminateAllThreads 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 80 90 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 B8 A0 00 00 00 00 74 0D 33 D2 8B 45 FC 8B 08 FF 91 A4 00 00 00 C3 E9 ?? ?? ?? ?? EB DF 8B 45 FC 8B 80 A8 00 00 00 85 C0 74 05 8B 10 FF 52 5C 59 5D C3 }
	condition:
		$1
}

rule function_39445_0 {
	meta:
		name = "TInCustomTCPServer.Shutdown"
		size = 114
		refs = "0015 TInCustomTCPServer.StopListening 001d TInCustomTCPServer.Shutdown 002b TInCustomTCPServer.TerminateAllThreads 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 80 90 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 B8 A0 00 00 00 00 74 0D 33 D2 8B 45 FC 8B 08 FF 91 A4 00 00 00 C3 E9 ?? ?? ?? ?? EB DF 8B 45 FC 8B 80 A8 00 00 00 85 C0 74 05 8B 10 FF 52 5C 59 5D C3 }
	condition:
		$1
}

rule function_32774_0 {
	meta:
		name = "TIdCustomTCPServer.Startup"
		size = 408
		refs = "0015 TIdCustomTCPServer.Startup 0032 TIdSocketHandles.Add 0037 GStack 005a TIdSocketHandle.SetIPVersion 0070 _Dn_TIdServerIOHandlerStack 0075 TIdBaseComponent.Create 00b0 _Dn_TIdSchedulerOfThreadDefault 00d5 @UStrCat3 0114 TIdCustomTCPServer.StartListening 0123 @HandleAnyException 013f @RaiseAgain 0144 @DoneExcept 0163 @UStrClr 0169 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 98 00 00 00 8B 50 08 83 7A 08 00 75 2D E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 10 FF 92 80 00 00 00 84 C0 74 15 8B 45 FC 8B 80 98 00 00 00 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 A8 00 00 00 00 75 26 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 A0 00 00 00 8B 45 FC C6 80 A1 00 00 00 01 8B 45 FC 8B 80 A8 00 00 00 8B 10 FF 52 58 8B 45 FC 83 B8 94 00 00 00 00 75 4A 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 A4 00 00 00 8B 45 FC 8B 50 08 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 80 94 00 00 00 8B 08 FF 51 24 8B 45 FC C6 80 A0 00 00 00 01 8B 45 FC 8B 80 94 00 00 00 8B 10 FF 52 48 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 8B 45 FC C6 80 90 00 00 00 01 33 D2 8B 45 FC 8B 08 FF 91 90 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 80 90 00 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 63 00 68 00 65 00 64 00 75 00 6C 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_39446_0 {
	meta:
		name = "TInCustomTCPServer.Startup"
		size = 408
		refs = "0015 TInCustomTCPServer.Startup 0032 TInSocketHandles.Add 0037 GStack 005a TInSocketHandle.SetIPVersion 0070 _Dn_TInServerIOHandlerStack 0075 TInBaseComponent.Create 00b0 _Dn_TInSchedulerOfThreadDefault 00d5 @UStrCat3 0114 TInCustomTCPServer.StartListening 0123 @HandleAnyException 013f @RaiseAgain 0144 @DoneExcept 0163 @UStrClr 0169 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 98 00 00 00 8B 50 08 83 7A 08 00 75 2D E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 10 FF 92 80 00 00 00 84 C0 74 15 8B 45 FC 8B 80 98 00 00 00 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 A8 00 00 00 00 75 26 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 A0 00 00 00 8B 45 FC C6 80 A1 00 00 00 01 8B 45 FC 8B 80 A8 00 00 00 8B 10 FF 52 58 8B 45 FC 83 B8 94 00 00 00 00 75 4A 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 A4 00 00 00 8B 45 FC 8B 50 08 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 80 94 00 00 00 8B 08 FF 51 24 8B 45 FC C6 80 A0 00 00 00 01 8B 45 FC 8B 80 94 00 00 00 8B 10 FF 52 48 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 8B 45 FC C6 80 90 00 00 00 01 33 D2 8B 45 FC 8B 08 FF 91 90 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 80 90 00 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 63 00 68 00 65 00 64 00 75 00 6C 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_32776_0 {
	meta:
		name = "TIdListenerThread.AfterRun"
		size = 20
		refs = "0006 TIdThread.AfterRun"
		altNames = "TIdUDPListenerThread.AfterRun"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 70 8B 10 FF 52 24 5B C3 }
	condition:
		$1
}

rule function_39448_0 {
	meta:
		name = "TIdListenerThread.AfterRun"
		size = 20
		refs = "0006 TInThread.AfterRun"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 70 8B 10 FF 52 24 5B C3 }
	condition:
		$1
}

rule function_32777_0 {
	meta:
		name = "TIdListenerThread.BeforeRun"
		size = 27
		refs = "0006 TIdThread.BeforeRun"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 7B 7A 00 74 08 8B D3 8B 43 7C FF 53 78 5B C3 }
	condition:
		$1
}

rule function_39449_0 {
	meta:
		name = "TIdListenerThread.BeforeRun"
		size = 27
		refs = "0006 TInThread.BeforeRun"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 7B 7A 00 74 08 8B D3 8B 43 7C FF 53 78 5B C3 }
	condition:
		$1
}

rule function_32778_0 {
	meta:
		name = "TIdListenerThread.Create"
		size = 78
		refs = "000e @ClassCreate 0023 TIdThread.Create 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 6A 01 6A 00 B1 01 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 08 89 47 70 89 77 74 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_39450_0 {
	meta:
		name = "TIdListenerThread.Create"
		size = 78
		refs = "000e @ClassCreate 0023 TInThread.Create 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 6A 01 6A 00 B1 01 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 08 89 47 70 89 77 74 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_32779_0 {
	meta:
		name = "TIdListenerThread.Run"
		size = 516
		refs = "001f TIdListenerThread.Run 006a Abort 0075 _Dn_TIdTCPConnection 007a TIdBaseComponent.Create 00ae TIdThreadSafeList.IsCountLessThan 00ca TIdTCPConnection.Disconnect 0181 @HandleOnException 0189 _Dn_Exception 01a9 TObject.Free 01d8 _Dn_EAbort 01dd @IsClass 01f9 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC 33 C0 89 45 F8 33 C0 89 45 F4 33 C0 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 74 8B 80 94 00 00 00 8B 10 FF 52 44 89 45 F0 8B 45 F0 50 8B 45 FC 8B 50 70 8B 45 FC 8B 40 74 8B 80 A8 00 00 00 8B 4D FC 8B 18 FF 53 50 8B D8 85 DB 75 0F 8B 45 FC 8B 10 FF 52 38 E8 ?? ?? ?? ?? EB 25 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B D3 8B 45 F4 8B 08 FF 51 60 8B 45 F4 C6 80 A0 00 00 00 01 8B 45 FC 8B 70 74 8B BE B4 00 00 00 85 FF 7E 2E 8B D7 8B 86 C0 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 1D 8B 45 FC 8B 40 74 8B D3 8B 08 FF 91 84 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 8B 58 74 8B 83 C0 00 00 00 50 8B 83 9C 00 00 00 8B 4D F4 B2 01 FF 50 14 89 45 F8 8B 45 FC 8B 40 74 8B 55 F8 89 42 40 8B 45 FC 8B 40 74 8B 55 F8 89 42 2C 8B 00 8B 40 58 89 42 28 8B 45 FC 8B 40 74 8B 55 F8 89 42 24 8B 00 8B 40 7C 89 42 20 8B 45 FC 8B 40 74 8B 55 F8 89 42 34 8B 00 8B 40 5C 89 42 30 8B 45 FC 8B 40 74 8B 55 F8 89 42 3C 8B 00 8B 40 78 89 42 38 8B 45 FC 8B 40 74 8B 55 F8 8B 08 FF 51 54 8B 45 FC 8B 40 74 8B 80 94 00 00 00 8B 4D F8 8B 55 F0 8B 18 FF 53 50 33 C0 5A 59 59 64 89 10 EB 7D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 83 7D F8 00 74 07 8B 45 F8 C6 40 18 00 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? 83 7D F0 00 74 14 8B 45 FC 8B 40 74 8B 80 94 00 00 00 8B 55 F0 8B 08 FF 51 54 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 13 8B 45 FC 8B 40 74 8B CB 8B 55 FC 8B 18 FF 93 80 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39451_0 {
	meta:
		name = "TIdListenerThread.Run"
		size = 516
		refs = "001f TIdListenerThread.Run 006a Abort 0075 _Dn_TInTCPConnection 007a TInBaseComponent.Create 00ae TInThreadSafeList.IsCountLessThan 00ca TInTCPConnection.Disconnect 0181 @HandleOnException 0189 _Dn_Exception 01a9 TObject.Free 01d8 _Dn_EAbort 01dd @IsClass 01f9 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC 33 C0 89 45 F8 33 C0 89 45 F4 33 C0 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 74 8B 80 94 00 00 00 8B 10 FF 52 44 89 45 F0 8B 45 F0 50 8B 45 FC 8B 50 70 8B 45 FC 8B 40 74 8B 80 A8 00 00 00 8B 4D FC 8B 18 FF 53 50 8B D8 85 DB 75 0F 8B 45 FC 8B 10 FF 52 38 E8 ?? ?? ?? ?? EB 25 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B D3 8B 45 F4 8B 08 FF 51 60 8B 45 F4 C6 80 A0 00 00 00 01 8B 45 FC 8B 70 74 8B BE B4 00 00 00 85 FF 7E 2E 8B D7 8B 86 C0 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 1D 8B 45 FC 8B 40 74 8B D3 8B 08 FF 91 84 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 8B 58 74 8B 83 C0 00 00 00 50 8B 83 9C 00 00 00 8B 4D F4 B2 01 FF 50 14 89 45 F8 8B 45 FC 8B 40 74 8B 55 F8 89 42 40 8B 45 FC 8B 40 74 8B 55 F8 89 42 2C 8B 00 8B 40 58 89 42 28 8B 45 FC 8B 40 74 8B 55 F8 89 42 24 8B 00 8B 40 7C 89 42 20 8B 45 FC 8B 40 74 8B 55 F8 89 42 34 8B 00 8B 40 5C 89 42 30 8B 45 FC 8B 40 74 8B 55 F8 89 42 3C 8B 00 8B 40 78 89 42 38 8B 45 FC 8B 40 74 8B 55 F8 8B 08 FF 51 54 8B 45 FC 8B 40 74 8B 80 94 00 00 00 8B 4D F8 8B 55 F0 8B 18 FF 53 50 33 C0 5A 59 59 64 89 10 EB 7D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 83 7D F8 00 74 07 8B 45 F8 C6 40 18 00 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? 83 7D F0 00 74 14 8B 45 FC 8B 40 74 8B 80 94 00 00 00 8B 55 F0 8B 08 FF 51 54 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 13 8B 45 FC 8B 40 74 8B CB 8B 55 FC 8B 18 FF 93 80 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32784_0 {
	meta:
		name = "TIdCustomTransparentProxy.Assign"
		size = 119
		refs = "000b _DV_TIdCustomTransparentProxy 0010 @IsClass 0027 @UStrAsg 006f TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 52 8D 83 90 00 00 00 8B FE 8B 97 90 00 00 00 E8 ?? ?? ?? ?? 8D 83 94 00 00 00 8B 97 94 00 00 00 E8 ?? ?? ?? ?? 0F B7 87 98 00 00 00 66 89 83 98 00 00 00 0F B6 87 9A 00 00 00 88 83 9A 00 00 00 8D 83 9C 00 00 00 8B 97 9C 00 00 00 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39456_0 {
	meta:
		name = "TInCustomTransparentProxy.Assign"
		size = 119
		refs = "000b _DV_TInCustomTransparentProxy 0010 @IsClass 0027 @UStrAsg 006f TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 52 8D 83 90 00 00 00 8B FE 8B 97 90 00 00 00 E8 ?? ?? ?? ?? 8D 83 94 00 00 00 8B 97 94 00 00 00 E8 ?? ?? ?? ?? 0F B7 87 98 00 00 00 66 89 83 98 00 00 00 0F B6 87 9A 00 00 00 88 83 9A 00 00 00 8D 83 9C 00 00 00 8B 97 9C 00 00 00 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32785_0 {
	meta:
		name = "TIdCustomTransparentProxy.Connect"
		size = 129
		refs = "005c TIdCustomTransparentProxy.Connect"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B B3 A0 00 00 00 85 F6 74 48 8B C6 8B 10 FF 52 50 84 C0 74 3D 8B 83 A0 00 00 00 0F B7 90 98 00 00 00 52 6A 00 8B 88 90 00 00 00 8B 55 FC 8B C3 8B 30 FF 56 58 0F B7 45 0C 50 0F B6 45 08 50 8B 4D F8 8B 55 FC 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? EB 17 0F B7 45 0C 50 0F B6 45 08 50 8B 4D F8 8B 55 FC 8B C3 8B 18 FF 53 58 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_39457_0 {
	meta:
		name = "TInCustomTransparentProxy.Connect"
		size = 129
		refs = "005c TInCustomTransparentProxy.Connect"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B B3 A0 00 00 00 85 F6 74 48 8B C6 8B 10 FF 52 50 84 C0 74 3D 8B 83 A0 00 00 00 0F B7 90 98 00 00 00 52 6A 00 8B 88 90 00 00 00 8B 55 FC 8B C3 8B 30 FF 56 58 0F B7 45 0C 50 0F B6 45 08 50 8B 4D F8 8B 55 FC 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? EB 17 0F B7 45 0C 50 0F B6 45 08 50 8B 4D F8 8B 55 FC 8B C3 8B 18 FF 53 58 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_32787_0 {
	meta:
		name = "TIdCustomTransparentProxy.Bind"
		size = 88
		refs = "000a TIdCustomTransparentProxy.Bind 0018 RSTransparentProxyCannotBind 001d LoadResString 0027 _Dn_EIdTransparentProxyCantBind 002c EIdException.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_78561_0 {
	meta:
		name = "TDirect2DCanvas.BrushCopy"
		size = 88
		refs = "000a TDirect2DCanvas.BrushCopy 0018 SInvalidCanvasOperation 001d LoadResString 0027 _Dn_EInvalidOperation 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_78563_0 {
	meta:
		name = "TDirect2DCanvas.FloodFill"
		size = 88
		refs = "000a TDirect2DCanvas.FloodFill 0018 SInvalidCanvasOperation 001d LoadResString 0027 _Dn_EInvalidOperation 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_32793_0 {
	meta:
		name = "TIdCustomTransparentProxy.OpenUDP"
		size = 88
		refs = "000a TIdCustomTransparentProxy.OpenUDP 0018 RSTransparentProxyCanNotSupportUDP 001d LoadResString 0027 _DV_EIdTransparentProxyUDPNotSupported 002c EIdException.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_39459_0 {
	meta:
		name = "TInCustomTransparentProxy.Bind"
		size = 88
		refs = "000a TInCustomTransparentProxy.Bind 0018 RSTransparentProxyCannotBind 001d LoadResString 0027 _Dn_EIdTransparentProxyCantBind 002c EInException.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_39465_0 {
	meta:
		name = "TInCustomTransparentProxy.OpenUDP"
		size = 88
		refs = "000a TInCustomTransparentProxy.OpenUDP 0018 RSTransparentProxyCanNotSupportUDP 001d LoadResString 0027 _DV_EIdTransparentProxyUDPNotSupported 002c EInException.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_32788_0 {
	meta:
		name = "TIdCustomTransparentProxy.Bind"
		size = 52
		refs = "000a TIdCustomTransparentProxy.Bind"
	strings:
		$1 = { 53 56 8B F0 51 6A 00 8B C6 B9 ?? ?? ?? ?? 8B 18 FF 53 6C 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 30 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_39460_0 {
	meta:
		name = "TInCustomTransparentProxy.Bind"
		size = 52
		refs = "000a TInCustomTransparentProxy.Bind"
	strings:
		$1 = { 53 56 8B F0 51 6A 00 8B C6 B9 ?? ?? ?? ?? 8B 18 FF 53 6C 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 30 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_32790_0 {
	meta:
		name = "TIdCustomTransparentProxy.Notification"
		size = 29
		refs = "0017 TComponent.Notification"
		altNames = "TInCustomTransparentProxy.Notification"
	strings:
		$1 = { 53 80 F9 01 75 10 3B 90 A0 00 00 00 75 08 33 DB 89 98 A0 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_32791_0 {
	meta:
		name = "TIdCustomTransparentProxy.SetChainedProxy"
		size = 192
		refs = "0019 TIdCustomTransparentProxy.SetChainedProxy 0034 TObject.ClassName 004c RSInterceptCircularLink 0051 LoadResString 005b _DV_EIdTransparentProxyCircularLink 0060 Exception.CreateFmt 0065 @RaiseExcept 0080 TComponent.RemoveFreeNotification 0094 TComponent.FreeNotification 00ae @UStrArrayClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D F0 89 4D EC 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 85 DB 74 49 3B F3 75 3B 8D 55 F0 8B 06 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 9B A0 00 00 00 85 DB 75 B7 8B 86 A0 00 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 89 86 A0 00 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39463_0 {
	meta:
		name = "TInCustomTransparentProxy.SetChainedProxy"
		size = 192
		refs = "0019 TInCustomTransparentProxy.SetChainedProxy 0034 TObject.ClassName 004c RSInterceptCircularLink 0051 LoadResString 005b _DV_EIdTransparentProxyCircularLink 0060 Exception.CreateFmt 0065 @RaiseExcept 0080 TComponent.RemoveFreeNotification 0094 TComponent.FreeNotification 00ae @UStrArrayClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D F0 89 4D EC 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 85 DB 74 49 3B F3 75 3B 8D 55 F0 8B 06 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 9B A0 00 00 00 85 DB 75 B7 8B 86 A0 00 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 89 86 A0 00 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32794_0 {
	meta:
		name = "TIdCustomTransparentProxy.RecvFromUDP"
		size = 90
		refs = "000a TIdCustomTransparentProxy.RecvFromUDP 0018 RSTransparentProxyCanNotSupportUDP 001d LoadResString 0027 _DV_EIdTransparentProxyUDPNotSupported 002c EIdException.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_39466_0 {
	meta:
		name = "TInCustomTransparentProxy.RecvFromUDP"
		size = 90
		refs = "000a TInCustomTransparentProxy.RecvFromUDP 0018 RSTransparentProxyCanNotSupportUDP 001d LoadResString 0027 _DV_EIdTransparentProxyUDPNotSupported 002c EInException.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_32795_0 {
	meta:
		name = "TIdCustomTransparentProxy.SendToUDP"
		size = 88
		refs = "000a TIdCustomTransparentProxy.SendToUDP 0018 RSTransparentProxyCanNotSupportUDP 001d LoadResString 0027 _DV_EIdTransparentProxyUDPNotSupported 002c EIdException.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_39467_0 {
	meta:
		name = "TInCustomTransparentProxy.SendToUDP"
		size = 88
		refs = "000a TInCustomTransparentProxy.SendToUDP 0018 RSTransparentProxyCanNotSupportUDP 001d LoadResString 0027 _DV_EIdTransparentProxyUDPNotSupported 002c EInException.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_32798_0 {
	meta:
		name = "LocalDateTimeToTimeStamp"
		size = 158
		refs = "0017 DecodeDate 002f DecodeTime 0036 _DV_TIdDateTimeStamp 003b TIdInitializerComponent.Create 0044 TIdDateTimeStamp.Zero 004f TIdDateTimeStamp.AddYears 005a TIdDateTimeStamp.AddMonths 0065 TIdDateTimeStamp.AddDays 0070 TIdDateTimeStamp.AddHours 007b TIdDateTimeStamp.AddMinutes 0086 TIdDateTimeStamp.AddSeconds 0091 TIdDateTimeStamp.AddMilliseconds"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 FF 75 0C FF 75 08 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 45 F2 50 8D 4D F4 8D 55 F6 8D 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 0F B7 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B7 55 FA 8B C3 E8 ?? ?? ?? ?? 0F B7 55 F8 8B C3 E8 ?? ?? ?? ?? 0F B7 55 F6 8B C3 E8 ?? ?? ?? ?? 0F B7 55 F4 8B C3 E8 ?? ?? ?? ?? 0F B7 55 F2 8B C3 E8 ?? ?? ?? ?? 8B C3 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_39470_0 {
	meta:
		name = "LocalDateTimeToTimeStamp"
		size = 158
		refs = "0017 DecodeDate 002f DecodeTime 0036 _DV_TInDateTimeStamp 003b TIdInitializerComponent.Create 0044 TInDateTimeStamp.Zero 004f TInDateTimeStamp.AddYears 005a TInDateTimeStamp.AddMonths 0065 TInDateTimeStamp.AddDays 0070 TInDateTimeStamp.AddHours 007b TInDateTimeStamp.AddMinutes 0086 TInDateTimeStamp.AddSeconds 0091 TInDateTimeStamp.AddMilliseconds"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 FF 75 0C FF 75 08 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 45 F2 50 8D 4D F4 8D 55 F6 8D 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 0F B7 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B7 55 FA 8B C3 E8 ?? ?? ?? ?? 0F B7 55 F8 8B C3 E8 ?? ?? ?? ?? 0F B7 55 F6 8B C3 E8 ?? ?? ?? ?? 0F B7 55 F4 8B C3 E8 ?? ?? ?? ?? 0F B7 55 F2 8B C3 E8 ?? ?? ?? ?? 8B C3 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_32799_0 {
	meta:
		name = "ValidateTimeStamp"
		size = 176
		refs = "0001 ValidateTimeStamp 0006 ToDo"
	strings:
		$1 = { B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 4A 00 00 00 56 00 61 00 6C 00 69 00 64 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 28 00 29 00 20 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 69 00 6E 00 20 00 49 00 64 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 2E 00 70 00 61 00 73 00 20 00 69 00 73 00 20 00 6E 00 6F 00 74 00 20 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 65 00 64 00 20 00 79 00 65 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_32800_0 {
	meta:
		name = "LocalTimeStampToDateTime"
		size = 96
		refs = "0009 ValidateTimeStamp 0010 TIdDateTimeStamp.GetDayOfMonth 0018 TIdDateTimeStamp.GetMonthOfYear 0024 EncodeDate 0035 TIdDateTimeStamp.GetSecondOfMinute 003d TIdDateTimeStamp.GetMinuteOfHour 0045 TIdDateTimeStamp.GetHourOf24Day 004c EncodeTime"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 0F B7 43 4C 59 E8 ?? ?? ?? ?? DD 5C 24 08 9B 0F B7 43 40 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? DC 44 24 08 DD 1C 24 9B DD 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_39472_0 {
	meta:
		name = "LocalTimeStampToDateTime"
		size = 96
		refs = "0009 ValidateTimeStamp 0010 TInDateTimeStamp.GetDayOfMonth 0018 TInDateTimeStamp.GetMonthOfYear 0024 EncodeDate 0035 TInDateTimeStamp.GetSecondOfMinute 003d TInDateTimeStamp.GetMinuteOfHour 0045 TInDateTimeStamp.GetHourOf24Day 004c EncodeTime"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 0F B7 43 4C 59 E8 ?? ?? ?? ?? DD 5C 24 08 9B 0F B7 43 40 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? DC 44 24 08 DD 1C 24 9B DD 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_32801_0 {
	meta:
		name = "TIdDateTimeStamp.InitComponent"
		size = 24
		refs = "0006 TIdInitializerComponent.InitComponent 000d TIdDateTimeStamp.Zero"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 48 5B C3 }
	condition:
		$1
}

rule function_32864_0 {
	meta:
		name = "TIdDateTimeStamp.Zero"
		size = 24
		refs = "0006 TIdDateTimeStamp.ZeroDate 000d TIdDateTimeStamp.ZeroTime"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 48 5B C3 }
	condition:
		$1
}

rule function_39473_0 {
	meta:
		name = "TInDateTimeStamp.InitComponent"
		size = 24
		refs = "0006 TIdInitializerComponent.InitComponent 000d TInDateTimeStamp.Zero"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 48 5B C3 }
	condition:
		$1
}

rule function_39536_0 {
	meta:
		name = "TInDateTimeStamp.Zero"
		size = 24
		refs = "0006 TInDateTimeStamp.ZeroDate 000d TInDateTimeStamp.ZeroTime"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 48 5B C3 }
	condition:
		$1
}

rule function_32802_0 {
	meta:
		name = "TIdDateTimeStamp.AddDays"
		size = 351
		refs = "000a TIdDateTimeStamp.GetDaysInYear 0033 TIdDateTimeStamp.AddYears 0059 TIdDateTimeStamp.AddDays"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 7B 38 2B C7 3B F0 76 22 4F 74 1F 8B C3 E8 ?? ?? ?? ?? 2B 43 38 2B F0 33 C0 89 43 38 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 29 01 73 38 8B C3 E8 ?? ?? ?? ?? 3B 43 38 0F 8D 0F 01 00 00 8B 73 38 33 C0 89 43 38 8B D6 8B C3 E8 ?? ?? ?? ?? E9 F9 00 00 00 81 FE B1 3A 02 00 72 22 8B C6 B9 B1 3A 02 00 33 D2 F7 F1 8B F8 69 D7 90 01 00 00 8B C3 E8 ?? ?? ?? ?? 69 C7 B1 3A 02 00 2B F0 81 FE AD 8E 00 00 72 55 81 FE AD 8E 00 00 72 4D 8B 43 4C B9 64 00 00 00 99 F7 F9 8B F8 81 E7 03 00 00 80 79 05 4F 83 CF FC 47 83 FF 03 75 14 BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 EE AD 8E 00 00 EB 12 BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 EE AC 8E 00 00 81 FE AD 8E 00 00 73 B3 81 FE B5 05 00 00 72 22 8B C6 B9 B5 05 00 00 33 D2 F7 F1 8B F8 8B D7 03 D2 03 D2 8B C3 E8 ?? ?? ?? ?? 69 C7 B5 05 00 00 2B F0 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 17 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 2B F7 8B C3 E8 ?? ?? ?? ?? 8B F8 3B FE 7C E5 8B 43 38 03 C6 3B F8 7D 16 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 2B 7B 38 2B F7 89 73 38 EB 03 01 73 38 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39474_0 {
	meta:
		name = "TInDateTimeStamp.AddDays"
		size = 351
		refs = "000a TInDateTimeStamp.GetDaysInYear 0033 TInDateTimeStamp.AddYears 0059 TInDateTimeStamp.AddDays"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 7B 38 2B C7 3B F0 76 22 4F 74 1F 8B C3 E8 ?? ?? ?? ?? 2B 43 38 2B F0 33 C0 89 43 38 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 29 01 73 38 8B C3 E8 ?? ?? ?? ?? 3B 43 38 0F 8D 0F 01 00 00 8B 73 38 33 C0 89 43 38 8B D6 8B C3 E8 ?? ?? ?? ?? E9 F9 00 00 00 81 FE B1 3A 02 00 72 22 8B C6 B9 B1 3A 02 00 33 D2 F7 F1 8B F8 69 D7 90 01 00 00 8B C3 E8 ?? ?? ?? ?? 69 C7 B1 3A 02 00 2B F0 81 FE AD 8E 00 00 72 55 81 FE AD 8E 00 00 72 4D 8B 43 4C B9 64 00 00 00 99 F7 F9 8B F8 81 E7 03 00 00 80 79 05 4F 83 CF FC 47 83 FF 03 75 14 BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 EE AD 8E 00 00 EB 12 BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 EE AC 8E 00 00 81 FE AD 8E 00 00 73 B3 81 FE B5 05 00 00 72 22 8B C6 B9 B5 05 00 00 33 D2 F7 F1 8B F8 8B D7 03 D2 03 D2 8B C3 E8 ?? ?? ?? ?? 69 C7 B5 05 00 00 2B F0 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 17 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 2B F7 8B C3 E8 ?? ?? ?? ?? 8B F8 3B FE 7C E5 8B 43 38 03 C6 3B F8 7D 16 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 2B 7B 38 2B F7 89 73 38 EB 03 01 73 38 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32803_0 {
	meta:
		name = "TIdDateTimeStamp.AddHours"
		size = 59
		refs = "0019 TIdDateTimeStamp.AddDays 0033 TIdDateTimeStamp.AddSeconds"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 B9 18 00 00 00 33 D2 F7 F1 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C7 03 C0 03 C0 03 C0 8D 04 40 2B F0 69 D6 10 0E 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32854_0 {
	meta:
		name = "TIdDateTimeStamp.SubtractHours"
		size = 59
		refs = "0019 TIdDateTimeStamp.SubtractDays 0033 TIdDateTimeStamp.SubtractSeconds"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 B9 18 00 00 00 33 D2 F7 F1 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C7 03 C0 03 C0 03 C0 8D 04 40 2B F0 69 D6 10 0E 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39475_0 {
	meta:
		name = "TInDateTimeStamp.AddHours"
		size = 59
		refs = "0019 TInDateTimeStamp.AddDays 0033 TInDateTimeStamp.AddSeconds"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 B9 18 00 00 00 33 D2 F7 F1 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C7 03 C0 03 C0 03 C0 8D 04 40 2B F0 69 D6 10 0E 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39526_0 {
	meta:
		name = "TInDateTimeStamp.SubtractHours"
		size = 59
		refs = "0019 TInDateTimeStamp.SubtractDays 0033 TInDateTimeStamp.SubtractSeconds"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 B9 18 00 00 00 33 D2 F7 F1 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C7 03 C0 03 C0 03 C0 8D 04 40 2B F0 69 D6 10 0E 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32804_0 {
	meta:
		name = "TIdDateTimeStamp.AddMilliseconds"
		size = 112
		refs = "001d TIdDateTimeStamp.AddDays 003f TIdDateTimeStamp.AddSeconds"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C7 B9 00 5C 26 05 33 D2 F7 F1 8B F0 85 F6 76 11 8B D6 8B C3 E8 ?? ?? ?? ?? 69 C6 00 5C 26 05 2B F8 8B C7 B9 E8 03 00 00 33 D2 F7 F1 8B F0 85 F6 76 11 8B D6 8B C3 E8 ?? ?? ?? ?? 69 C6 E8 03 00 00 2B F8 01 7B 40 EB 13 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 6B 40 E8 03 00 00 81 7B 40 E8 03 00 00 7F E4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39476_0 {
	meta:
		name = "TInDateTimeStamp.AddMilliseconds"
		size = 112
		refs = "001d TInDateTimeStamp.AddDays 003f TInDateTimeStamp.AddSeconds"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C7 B9 00 5C 26 05 33 D2 F7 F1 8B F0 85 F6 76 11 8B D6 8B C3 E8 ?? ?? ?? ?? 69 C6 00 5C 26 05 2B F8 8B C7 B9 E8 03 00 00 33 D2 F7 F1 8B F0 85 F6 76 11 8B D6 8B C3 E8 ?? ?? ?? ?? 69 C6 E8 03 00 00 2B F8 01 7B 40 EB 13 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 6B 40 E8 03 00 00 81 7B 40 E8 03 00 00 7F E4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32805_0 {
	meta:
		name = "TIdDateTimeStamp.AddMinutes"
		size = 43
		refs = "0008 MaxMinutesAdd 0013 TIdDateTimeStamp.AddSeconds"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 BF ?? ?? ?? ?? EB 0B 8B 17 8B C6 E8 ?? ?? ?? ?? 2B 1F 3B 1F 77 F1 6B D3 3C 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39477_0 {
	meta:
		name = "TInDateTimeStamp.AddMinutes"
		size = 43
		refs = "0008 MaxMinutesAdd 0013 TInDateTimeStamp.AddSeconds"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 BF ?? ?? ?? ?? EB 0B 8B 17 8B C6 E8 ?? ?? ?? ?? 2B 1F 3B 1F 77 F1 6B D3 3C 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32806_0 {
	meta:
		name = "TIdDateTimeStamp.AddMonths"
		size = 115
		refs = "0019 TIdDateTimeStamp.AddYears 002b TIdDateTimeStamp.GetMonthOfYear 004d IdDaysInMonth 0055 TIdDateTimeStamp.AddDays"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C7 B9 0C 00 00 00 33 D2 F7 F1 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 03 C0 03 C0 8D 04 40 2B F8 8B C6 E8 ?? ?? ?? ?? 8B D8 85 FF 76 3A 83 FB 0C 75 05 BB 01 00 00 00 83 FB 02 75 17 80 7E 3C 00 74 11 0F B6 93 ?? ?? ?? ?? 42 8B C6 E8 ?? ?? ?? ?? EB 0E 0F B6 93 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 4F 43 85 FF 77 C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39478_0 {
	meta:
		name = "TInDateTimeStamp.AddMonths"
		size = 115
		refs = "0019 TInDateTimeStamp.AddYears 002b TInDateTimeStamp.GetMonthOfYear 004d IdDaysInMonth 0055 TInDateTimeStamp.AddDays"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C7 B9 0C 00 00 00 33 D2 F7 F1 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 03 C0 03 C0 8D 04 40 2B F8 8B C6 E8 ?? ?? ?? ?? 8B D8 85 FF 76 3A 83 FB 0C 75 05 BB 01 00 00 00 83 FB 02 75 17 80 7E 3C 00 74 11 0F B6 93 ?? ?? ?? ?? 42 8B C6 E8 ?? ?? ?? ?? EB 0E 0F B6 93 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 4F 43 85 FF 77 C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32807_0 {
	meta:
		name = "TIdDateTimeStamp.AddSeconds"
		size = 78
		refs = "001d TIdDateTimeStamp.AddDays"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C7 B9 80 51 01 00 33 D2 F7 F1 8B F0 85 F6 76 11 8B D6 8B C3 E8 ?? ?? ?? ?? 69 C6 80 51 01 00 2B F8 01 7B 44 EB 13 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 6B 44 80 51 01 00 81 7B 44 80 51 01 00 7F E4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39479_0 {
	meta:
		name = "TInDateTimeStamp.AddSeconds"
		size = 78
		refs = "001d TInDateTimeStamp.AddDays"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C7 B9 80 51 01 00 33 D2 F7 F1 8B F0 85 F6 76 11 8B D6 8B C3 E8 ?? ?? ?? ?? 69 C6 80 51 01 00 2B F8 01 7B 44 EB 13 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 6B 44 80 51 01 00 81 7B 44 80 51 01 00 7F E4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32809_0 {
	meta:
		name = "TIdDateTimeStamp.AddTIdDateTimeStamp"
		size = 49
		refs = "000c TIdDateTimeStamp.AddYears 0016 TIdDateTimeStamp.AddDays 0020 TIdDateTimeStamp.AddSeconds 002a TIdDateTimeStamp.AddMilliseconds"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 56 4C 8B C3 E8 ?? ?? ?? ?? 8B 56 38 8B C3 E8 ?? ?? ?? ?? 8B 56 44 8B C3 E8 ?? ?? ?? ?? 8B 56 40 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32860_0 {
	meta:
		name = "TIdDateTimeStamp.SubtractTIdDateTimeStamp"
		size = 49
		refs = "000c TIdDateTimeStamp.SubtractYears 0016 TIdDateTimeStamp.SubtractDays 0020 TIdDateTimeStamp.SubtractSeconds 002a TIdDateTimeStamp.SubtractMilliseconds"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 56 4C 8B C3 E8 ?? ?? ?? ?? 8B 56 38 8B C3 E8 ?? ?? ?? ?? 8B 56 44 8B C3 E8 ?? ?? ?? ?? 8B 56 40 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39481_0 {
	meta:
		name = "TInDateTimeStamp.AddTInDateTimeStamp"
		size = 49
		refs = "000c TInDateTimeStamp.AddYears 0016 TInDateTimeStamp.AddDays 0020 TInDateTimeStamp.AddSeconds 002a TInDateTimeStamp.AddMilliseconds"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 56 4C 8B C3 E8 ?? ?? ?? ?? 8B 56 38 8B C3 E8 ?? ?? ?? ?? 8B 56 44 8B C3 E8 ?? ?? ?? ?? 8B 56 40 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39532_0 {
	meta:
		name = "TInDateTimeStamp.SubtractTInDateTimeStamp"
		size = 49
		refs = "000c TInDateTimeStamp.SubtractYears 0016 TInDateTimeStamp.SubtractDays 0020 TInDateTimeStamp.SubtractSeconds 002a TInDateTimeStamp.SubtractMilliseconds"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 56 4C 8B C3 E8 ?? ?? ?? ?? 8B 56 38 8B C3 E8 ?? ?? ?? ?? 8B 56 44 8B C3 E8 ?? ?? ?? ?? 8B 56 40 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32811_0 {
	meta:
		name = "TIdDateTimeStamp.AddWeeks"
		size = 50
		refs = "0008 MaxWeekAdd 0013 TIdDateTimeStamp.AddDays"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 BF ?? ?? ?? ?? EB 0B 8B 17 8B C6 E8 ?? ?? ?? ?? 2B 1F 3B 1F 77 F1 8B D3 03 D2 03 D2 03 D2 2B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39483_0 {
	meta:
		name = "TInDateTimeStamp.AddWeeks"
		size = 50
		refs = "0008 MaxWeekAdd 0013 TInDateTimeStamp.AddDays"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 BF ?? ?? ?? ?? EB 0B 8B 17 8B C6 E8 ?? ?? ?? ?? 2B 1F 3B 1F 77 F1 8B D3 03 D2 03 D2 03 D2 2B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32812_0 {
	meta:
		name = "TIdDateTimeStamp.AddYears"
		size = 24
		refs = "0013 TIdDateTimeStamp.CheckLeapYear"
	strings:
		$1 = { 8B 48 4C 83 F9 FF 7F 07 F7 D9 3B CA 7F 01 42 01 50 4C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39484_0 {
	meta:
		name = "TInDateTimeStamp.AddYears"
		size = 24
		refs = "0013 TInDateTimeStamp.CheckLeapYear"
	strings:
		$1 = { 8B 48 4C 83 F9 FF 7F 07 F7 D9 3B CA 7F 01 42 01 50 4C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32813_0 {
	meta:
		name = "TIdDateTimeStamp.CheckLeapYear"
		size = 79
		altNames = "TInDateTimeStamp.CheckLeapYear"
	strings:
		$1 = { 53 56 8B C8 8B 59 4C 8B C3 25 03 00 00 80 79 05 48 83 C8 FC 40 85 C0 75 2F 8B C3 BE 64 00 00 00 99 F7 FE 85 D2 75 1A 8B C3 BB 90 01 00 00 99 F7 FB 85 D2 75 06 C6 41 3C 01 EB 11 C6 41 3C 00 EB 0B C6 41 3C 01 5E 5B C3 C6 41 3C 00 5E 5B C3 }
	condition:
		$1
}

rule function_32814_0 {
	meta:
		name = "TIdDateTimeStamp.GetAsISO8601Calendar"
		size = 192
		refs = "0013 TIdDateTimeStamp.GetAsISO8601Calendar 0024 IntToStr 0033 TIdDateTimeStamp.GetMonthOfYear 004a TIdDateTimeStamp.GetDayOfMonth 0064 TIdDateTimeStamp.GetAsTimeOfDay 0073 @UStrCatN 008d @UStrArrayClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 4C E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? FF 75 F0 8B C6 BA 07 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_39486_0 {
	meta:
		name = "TInDateTimeStamp.GetAsISO8601Calendar"
		size = 192
		refs = "0013 TInDateTimeStamp.GetAsISO8601Calendar 0024 IntToStr 0033 TInDateTimeStamp.GetMonthOfYear 004a TInDateTimeStamp.GetDayOfMonth 0064 TInDateTimeStamp.GetAsTimeOfDay 0073 @UStrCatN 008d @UStrArrayClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 4C E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? FF 75 F0 8B C6 BA 07 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_32815_0 {
	meta:
		name = "TIdDateTimeStamp.GetAsISO8601Ordinal"
		size = 164
		refs = "0013 TIdDateTimeStamp.GetAsISO8601Ordinal 0024 IntToStr 0049 TIdDateTimeStamp.GetAsTimeOfDay 0058 @UStrCatN 0072 @UStrArrayClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 4C E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 F8 8B 43 38 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? FF 75 F4 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_39487_0 {
	meta:
		name = "TInDateTimeStamp.GetAsISO8601Ordinal"
		size = 164
		refs = "0013 TInDateTimeStamp.GetAsISO8601Ordinal 0024 IntToStr 0049 TInDateTimeStamp.GetAsTimeOfDay 0058 @UStrCatN 0072 @UStrArrayClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 4C E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 F8 8B 43 38 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? FF 75 F4 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_32816_0 {
	meta:
		name = "TIdDateTimeStamp.GetAsISO8601Week"
		size = 212
		refs = "0013 TIdDateTimeStamp.GetAsISO8601Week 0024 IntToStr 0033 TIdDateTimeStamp.GetWeekOfYear 004a TIdDateTimeStamp.GetDayOfWeek 0064 TIdDateTimeStamp.GetAsTimeOfDay 0073 @UStrCatN 008d @UStrArrayClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 4C E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? FF 75 F0 8B C6 BA 07 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 57 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_39488_0 {
	meta:
		name = "TInDateTimeStamp.GetAsISO8601Week"
		size = 212
		refs = "0013 TInDateTimeStamp.GetAsISO8601Week 0024 IntToStr 0033 TInDateTimeStamp.GetWeekOfYear 004a TInDateTimeStamp.GetDayOfWeek 0064 TInDateTimeStamp.GetAsTimeOfDay 0073 @UStrCatN 008d @UStrArrayClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 4C E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? FF 75 F0 8B C6 BA 07 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 57 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_32817_0 {
	meta:
		name = "TIdDateTimeStamp.GetAsRFC822"
		size = 228
		refs = "0013 TIdDateTimeStamp.GetAsRFC822 0020 TIdDateTimeStamp.GetDayOfWeek 0027 IdDayShortNames 0033 TIdDateTimeStamp.GetDayOfMonth 003b IntToStr 004a TIdDateTimeStamp.GetMonthOfYear 0051 IdMonthShortNames 0073 TIdDateTimeStamp.GetAsTimeOfDay 0085 TIdDateTimeStamp.GetTimeZoneAsString 0094 @UStrCatN 00ae @UStrArrayClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? FF 34 85 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 34 85 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F8 8B 43 4C E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? FF 75 F0 8B C6 BA 0B 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_39489_0 {
	meta:
		name = "TInDateTimeStamp.GetAsRFC822"
		size = 228
		refs = "0013 TInDateTimeStamp.GetAsRFC822 0020 TInDateTimeStamp.GetDayOfWeek 0027 IdDayShortNames 0033 TInDateTimeStamp.GetDayOfMonth 003b IntToStr 004a TInDateTimeStamp.GetMonthOfYear 0051 IdMonthShortNames 0073 TInDateTimeStamp.GetAsTimeOfDay 0085 TInDateTimeStamp.GetTimeZoneAsString 0094 @UStrCatN 00ae @UStrArrayClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? FF 34 85 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 34 85 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F8 8B 43 4C E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? FF 75 F0 8B C6 BA 0B 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_32818_0 {
	meta:
		name = "TIdDateTimeStamp.GetAsTDateTime"
		size = 29
		refs = "0009 TIdDateTimeStamp.GetAsTTimeStamp 000e LocalTimeStampToDateTime"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_39490_0 {
	meta:
		name = "TInDateTimeStamp.GetAsTDateTime"
		size = 29
		refs = "0009 TInDateTimeStamp.GetAsTTimeStamp 000e LocalTimeStampToDateTime"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_32820_0 {
	meta:
		name = "TIdDateTimeStamp.GetAsTimeOfDay"
		size = 128
		refs = "000d TIdDateTimeStamp.GetHourOf24Day 001d TIdDateTimeStamp.GetMinuteOfHour 002d TIdDateTimeStamp.GetSecondOfMinute 0044 TIdDateTimeStamp.GetAsTimeOfDay 0049 IndyFormat"
	strings:
		$1 = { 53 56 83 C4 E8 8B F2 8B D8 56 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 C6 44 24 08 00 8B C3 E8 ?? ?? ?? ?? 89 44 24 0C C6 44 24 10 00 8B C3 E8 ?? ?? ?? ?? 89 44 24 14 C6 44 24 18 00 8D 54 24 04 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 25 00 2E 00 32 00 64 00 3A 00 25 00 2E 00 32 00 64 00 3A 00 25 00 2E 00 32 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_39492_0 {
	meta:
		name = "TInDateTimeStamp.GetAsTimeOfDay"
		size = 128
		refs = "000d TInDateTimeStamp.GetHourOf24Day 001d TInDateTimeStamp.GetMinuteOfHour 002d TInDateTimeStamp.GetSecondOfMinute 0044 TInDateTimeStamp.GetAsTimeOfDay 0049 IndyFormat"
	strings:
		$1 = { 53 56 83 C4 E8 8B F2 8B D8 56 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 C6 44 24 08 00 8B C3 E8 ?? ?? ?? ?? 89 44 24 0C C6 44 24 10 00 8B C3 E8 ?? ?? ?? ?? 89 44 24 14 C6 44 24 18 00 8D 54 24 04 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 25 00 2E 00 32 00 64 00 3A 00 25 00 2E 00 32 00 64 00 3A 00 25 00 2E 00 32 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_32821_0 {
	meta:
		name = "TIdDateTimeStamp.GetBeatOfDay"
		size = 240
		refs = "0016 _DV_TIdDateTimeStamp 001b TIdInitializerComponent.Create 0026 TIdDateTimeStamp.GetBeatOfDay 0037 TIdDateTimeStamp.SetYear 0042 TIdDateTimeStamp.SetDay 004d TIdDateTimeStamp.SetSecond 0058 TIdDateTimeStamp.SetMillisecond 0065 TIdDateTimeStamp.SetTimeZone 0075 TIdDateTimeStamp.AddMinutes 0095 TObject.Free 009b @HandleFinally 00c0 @_llmul 00d8 @_lldiv"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D8 83 7B 48 01 0F 84 8E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 4C 8B 45 EC E8 ?? ?? ?? ?? 8B 53 38 8B 45 EC E8 ?? ?? ?? ?? 8B 53 44 8B 45 EC E8 ?? ?? ?? ?? 8B 53 40 8B 45 EC E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 EC E8 ?? ?? ?? ?? BA 3C 00 00 00 2B 53 48 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 69 43 44 E8 03 00 00 03 43 40 99 89 45 F0 89 55 F4 6A 00 68 E8 03 00 00 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 6A 00 68 00 5C 26 05 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 8B 45 F0 89 45 FC 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39493_0 {
	meta:
		name = "TInDateTimeStamp.GetBeatOfDay"
		size = 240
		refs = "0016 _DV_TInDateTimeStamp 001b TIdInitializerComponent.Create 0026 TInDateTimeStamp.GetBeatOfDay 0037 TInDateTimeStamp.SetYear 0042 TInDateTimeStamp.SetDay 004d TInDateTimeStamp.SetSecond 0058 TInDateTimeStamp.SetMillisecond 0065 TInDateTimeStamp.SetTimeZone 0075 TInDateTimeStamp.AddMinutes 0095 TObject.Free 009b @HandleFinally 00c0 @_llmul 00d8 @_lldiv"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D8 83 7B 48 01 0F 84 8E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 4C 8B 45 EC E8 ?? ?? ?? ?? 8B 53 38 8B 45 EC E8 ?? ?? ?? ?? 8B 53 44 8B 45 EC E8 ?? ?? ?? ?? 8B 53 40 8B 45 EC E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 EC E8 ?? ?? ?? ?? BA 3C 00 00 00 2B 53 48 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 69 43 44 E8 03 00 00 03 43 40 99 89 45 F0 89 55 F4 6A 00 68 E8 03 00 00 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 6A 00 68 00 5C 26 05 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 8B 45 F0 89 45 FC 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32822_0 {
	meta:
		name = "TIdDateTimeStamp.GetDaysInYear"
		size = 18
		altNames = "TInDateTimeStamp.GetDaysInYear"
	strings:
		$1 = { 80 78 3C 00 74 06 B8 6E 01 00 00 C3 B8 6D 01 00 00 C3 }
	condition:
		$1
}

rule function_32823_0 {
	meta:
		name = "TIdDateTimeStamp.GetDayOfMonth"
		size = 73
		refs = "0007 TIdDateTimeStamp.GetMonthOfYear 0027 IdDaysInMonth"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 80 7E 3C 00 74 0C 83 F8 02 7E 07 B9 01 00 00 00 EB 02 33 C9 8B D0 4A 85 D2 7E 0E B8 ?? ?? ?? ?? 0F B6 18 03 CB 40 4A 75 F7 8B 46 38 2B C1 8B C8 85 C9 7D 05 33 C0 5E 5B C3 8B C1 5E 5B C3 }
	condition:
		$1
}

rule function_39495_0 {
	meta:
		name = "TInDateTimeStamp.GetDayOfMonth"
		size = 73
		refs = "0007 TInDateTimeStamp.GetMonthOfYear 0027 IdDaysInMonth"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 80 7E 3C 00 74 0C 83 F8 02 7E 07 B9 01 00 00 00 EB 02 33 C9 8B D0 4A 85 D2 7E 0E B8 ?? ?? ?? ?? 0F B6 18 03 CB 40 4A 75 F7 8B 46 38 2B C1 8B C8 85 C9 7D 05 33 C0 5E 5B C3 8B C1 5E 5B C3 }
	condition:
		$1
}

rule function_32824_0 {
	meta:
		name = "TIdDateTimeStamp.GetDayOfWeek"
		size = 135
		refs = "0008 TIdDateTimeStamp.GetMonthOfYear 0033 TIdDateTimeStamp.GetDayOfMonth"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C8 B8 0E 00 00 00 2B C1 BB 0C 00 00 00 99 F7 FB 8B 5E 4C 2B D8 8B F8 03 FF 03 FF 8D 3C 7F 03 F9 83 EF 02 8B C6 E8 ?? ?? ?? ?? 8B C8 03 CB 8B C3 85 C0 79 03 83 C0 03 C1 F8 02 03 C8 8B C3 BE 64 00 00 00 99 F7 FE 2B C8 8B C3 BB 90 01 00 00 99 F7 FB 03 C8 8B C7 C1 E0 05 2B C7 BB 0C 00 00 00 99 F7 FB 03 C8 8B D9 B9 07 00 00 00 8B C3 99 F7 F9 89 D3 8D 43 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39496_0 {
	meta:
		name = "TInDateTimeStamp.GetDayOfWeek"
		size = 135
		refs = "0008 TInDateTimeStamp.GetMonthOfYear 0033 TInDateTimeStamp.GetDayOfMonth"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C8 B8 0E 00 00 00 2B C1 BB 0C 00 00 00 99 F7 FB 8B 5E 4C 2B D8 8B F8 03 FF 03 FF 8D 3C 7F 03 F9 83 EF 02 8B C6 E8 ?? ?? ?? ?? 8B C8 03 CB 8B C3 85 C0 79 03 83 C0 03 C1 F8 02 03 C8 8B C3 BE 64 00 00 00 99 F7 FE 2B C8 8B C3 BB 90 01 00 00 99 F7 FB 03 C8 8B C7 C1 E0 05 2B C7 BB 0C 00 00 00 99 F7 FB 03 C8 8B D9 B9 07 00 00 00 8B C3 99 F7 F9 89 D3 8D 43 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32825_0 {
	meta:
		name = "TIdDateTimeStamp.GetDayOfWeekName"
		size = 30
		refs = "0009 TIdDateTimeStamp.GetDayOfWeek 0010 IdDayNames 0017 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 14 85 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32826_0 {
	meta:
		name = "TIdDateTimeStamp.GetDayOfWeekShortName"
		size = 30
		refs = "0009 TIdDateTimeStamp.GetDayOfWeek 0010 IdDayShortNames 0017 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 14 85 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32833_0 {
	meta:
		name = "TIdDateTimeStamp.GetMonthName"
		size = 30
		refs = "0009 TIdDateTimeStamp.GetMonthOfYear 0010 IdMonthNames 0017 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 14 85 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32834_0 {
	meta:
		name = "TIdDateTimeStamp.GetMonthShortName"
		size = 30
		refs = "0009 TIdDateTimeStamp.GetMonthOfYear 0010 IdMonthShortNames 0017 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 14 85 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39497_0 {
	meta:
		name = "TInDateTimeStamp.GetDayOfWeekName"
		size = 30
		refs = "0009 TInDateTimeStamp.GetDayOfWeek 0010 IdDayNames 0017 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 14 85 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39498_0 {
	meta:
		name = "TInDateTimeStamp.GetDayOfWeekShortName"
		size = 30
		refs = "0009 TInDateTimeStamp.GetDayOfWeek 0010 IdDayShortNames 0017 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 14 85 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39505_0 {
	meta:
		name = "TInDateTimeStamp.GetMonthName"
		size = 30
		refs = "0009 TInDateTimeStamp.GetMonthOfYear 0010 IdMonthNames 0017 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 14 85 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39506_0 {
	meta:
		name = "TInDateTimeStamp.GetMonthShortName"
		size = 30
		refs = "0009 TInDateTimeStamp.GetMonthOfYear 0010 IdMonthShortNames 0017 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 14 85 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32827_0 {
	meta:
		name = "TIdDateTimeStamp.GetHourOf12Day"
		size = 14
		refs = "0001 TIdDateTimeStamp.GetHourOf24Day"
	strings:
		$1 = { E8 ?? ?? ?? ?? 83 F8 0C 7E 03 83 E8 0C C3 }
	condition:
		$1
}

rule function_39499_0 {
	meta:
		name = "TInDateTimeStamp.GetHourOf12Day"
		size = 14
		refs = "0001 TInDateTimeStamp.GetHourOf24Day"
	strings:
		$1 = { E8 ?? ?? ?? ?? 83 F8 0C 7E 03 83 E8 0C C3 }
	condition:
		$1
}

rule function_32828_0 {
	meta:
		name = "TIdDateTimeStamp.GetHourOf24Day"
		size = 14
		altNames = "TInDateTimeStamp.GetHourOf24Day"
	strings:
		$1 = { 8B C8 8B 41 44 B9 10 0E 00 00 99 F7 F9 C3 }
	condition:
		$1
}

rule function_32829_0 {
	meta:
		name = "TIdDateTimeStamp.GetIsMorning"
		size = 11
		altNames = "TInDateTimeStamp.GetIsMorning"
	strings:
		$1 = { 81 78 44 C1 A8 00 00 0F 9E C0 C3 }
	condition:
		$1
}

rule function_32830_0 {
	meta:
		name = "TIdDateTimeStamp.GetMinuteOfDay"
		size = 14
		altNames = "TInDateTimeStamp.GetMinuteOfDay"
	strings:
		$1 = { 8B C8 8B 41 44 B9 3C 00 00 00 99 F7 F9 C3 }
	condition:
		$1
}

rule function_32831_0 {
	meta:
		name = "TIdDateTimeStamp.GetMinuteOfHour"
		size = 28
		refs = "0006 TIdDateTimeStamp.GetMinuteOfDay 000e TIdDateTimeStamp.GetHourOf24Day"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 6B C0 3C 8B D0 58 2B C2 5B C3 }
	condition:
		$1
}

rule function_39503_0 {
	meta:
		name = "TInDateTimeStamp.GetMinuteOfHour"
		size = 28
		refs = "0006 TInDateTimeStamp.GetMinuteOfDay 000e TInDateTimeStamp.GetHourOf24Day"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 6B C0 3C 8B D0 58 2B C2 5B C3 }
	condition:
		$1
}

rule function_32832_0 {
	meta:
		name = "TIdDateTimeStamp.GetMonthOfYear"
		size = 98
		refs = "0020 IdDaysInMonth"
		altNames = "TInDateTimeStamp.GetMonthOfYear"
	strings:
		$1 = { 53 56 57 33 DB 80 78 3C 00 74 04 B1 01 EB 02 33 C9 8B 50 38 B0 01 3C 02 75 1C 0F B6 F0 0F B6 B6 ?? ?? ?? ?? 0F B6 F9 03 F7 3B D6 7E 04 2B D6 EB 26 0F B6 D8 EB 26 0F B6 F0 0F B6 B6 ?? ?? ?? ?? 3B D6 7E 0E 0F B6 F0 0F B6 B6 ?? ?? ?? ?? 2B D6 EB 05 0F B6 D8 EB 05 40 3C 0D 75 BA 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32835_0 {
	meta:
		name = "TIdDateTimeStamp.GetSecondsInYear"
		size = 18
		altNames = "TInDateTimeStamp.GetSecondsInYear"
	strings:
		$1 = { 80 78 3C 00 74 06 B8 00 85 E2 01 C3 B8 80 33 E1 01 C3 }
	condition:
		$1
}

rule function_32836_0 {
	meta:
		name = "TIdDateTimeStamp.GetSecondOfMinute"
		size = 22
		refs = "0006 TIdDateTimeStamp.GetMinuteOfDay"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6B C0 3C 50 8B 43 44 5A 2B C2 5B C3 }
	condition:
		$1
}

rule function_39508_0 {
	meta:
		name = "TInDateTimeStamp.GetSecondOfMinute"
		size = 22
		refs = "0006 TInDateTimeStamp.GetMinuteOfDay"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6B C0 3C 50 8B 43 44 5A 2B C2 5B C3 }
	condition:
		$1
}

rule function_32837_0 {
	meta:
		name = "TIdDateTimeStamp.GetTimeZoneAsString"
		size = 308
		refs = "0014 TIdDateTimeStamp.GetTimeZoneAsString 0021 TIdDateTimeStamp.GetTimeZoneHour 0035 IntToStr 0055 @UStrCat3 0097 TIdDateTimeStamp.GetTimeZoneMinutes 00aa @UStrCat 00d8 @UStrArrayClr 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 30 83 FB F7 7D 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 59 8B C3 99 33 C2 2B C2 8D 55 FC E8 ?? ?? ?? ?? 8B 4D FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 39 83 FB 09 7F 1B 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 19 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 83 FB 09 7F 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2B 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_39509_0 {
	meta:
		name = "TInDateTimeStamp.GetTimeZoneAsString"
		size = 308
		refs = "0014 TInDateTimeStamp.GetTimeZoneAsString 0021 TInDateTimeStamp.GetTimeZoneHour 0035 IntToStr 0055 @UStrCat3 0097 TInDateTimeStamp.GetTimeZoneMinutes 00aa @UStrCat 00d8 @UStrArrayClr 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 30 83 FB F7 7D 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 59 8B C3 99 33 C2 2B C2 8D 55 FC E8 ?? ?? ?? ?? 8B 4D FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 39 83 FB 09 7F 1B 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 19 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 83 FB 09 7F 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2B 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_32838_0 {
	meta:
		name = "TIdDateTimeStamp.GetTimeZoneHour"
		size = 14
		altNames = "TInDateTimeStamp.GetTimeZoneHour"
	strings:
		$1 = { 8B C8 8B 41 48 B9 3C 00 00 00 99 F7 F9 C3 }
	condition:
		$1
}

rule function_32839_0 {
	meta:
		name = "TIdDateTimeStamp.GetTimeZoneMinutes"
		size = 21
		altNames = "TInDateTimeStamp.GetTimeZoneMinutes"
	strings:
		$1 = { 8B C8 8B 41 48 99 33 C2 2B C2 B9 3C 00 00 00 99 F7 F9 8B C2 C3 }
	condition:
		$1
}

rule function_32840_0 {
	meta:
		name = "TIdDateTimeStamp.GetWeekOfYear"
		size = 120
		refs = "000d _DV_TIdDateTimeStamp 0012 TIdInitializerComponent.Create 001d TIdDateTimeStamp.GetWeekOfYear 002e TIdDateTimeStamp.SetYear 0036 TIdDateTimeStamp.GetDayOfWeek 0063 TObject.Free 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 56 4C 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 03 5E 38 83 EB 02 B9 07 00 00 00 8B C3 99 F7 F9 89 C3 43 89 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_39512_0 {
	meta:
		name = "TInDateTimeStamp.GetWeekOfYear"
		size = 120
		refs = "000d _DV_TInDateTimeStamp 0012 TIdInitializerComponent.Create 001d TInDateTimeStamp.GetWeekOfYear 002e TInDateTimeStamp.SetYear 0036 TInDateTimeStamp.GetDayOfWeek 0063 TObject.Free 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 56 4C 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 03 5E 38 83 EB 02 B9 07 00 00 00 8B C3 99 F7 F9 89 C3 43 89 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32841_0 {
	meta:
		name = "TIdDateTimeStamp.SetFromDOSDateTime"
		size = 135
		refs = "000c TIdDateTimeStamp.Zero 0018 TIdDateTimeStamp.SetYear 0025 TIdDateTimeStamp.AddYears 003a TIdDateTimeStamp.AddMonths 004c TIdDateTimeStamp.AddDays 0059 TIdDateTimeStamp.AddHours 006d TIdDateTimeStamp.AddMinutes 007f TIdDateTimeStamp.AddSeconds"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? BA BC 07 00 00 8B C3 E8 ?? ?? ?? ?? 0F B7 D6 C1 EA 09 8B C3 E8 ?? ?? ?? ?? 66 BA E0 01 66 23 D6 0F B7 D2 C1 EA 05 4A 8B C3 E8 ?? ?? ?? ?? 66 BA 1F 00 66 23 D6 0F B7 D2 4A 8B C3 E8 ?? ?? ?? ?? 0F B7 D7 C1 EA 0B 8B C3 E8 ?? ?? ?? ?? 66 BA E0 07 66 23 D7 0F B7 D2 C1 EA 05 8B C3 E8 ?? ?? ?? ?? 66 BA 1F 00 66 23 D7 0F B7 D2 4A 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39513_0 {
	meta:
		name = "TInDateTimeStamp.SetFromDOSDateTime"
		size = 135
		refs = "000c TInDateTimeStamp.Zero 0018 TInDateTimeStamp.SetYear 0025 TInDateTimeStamp.AddYears 003a TInDateTimeStamp.AddMonths 004c TInDateTimeStamp.AddDays 0059 TInDateTimeStamp.AddHours 006d TInDateTimeStamp.AddMinutes 007f TInDateTimeStamp.AddSeconds"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? BA BC 07 00 00 8B C3 E8 ?? ?? ?? ?? 0F B7 D6 C1 EA 09 8B C3 E8 ?? ?? ?? ?? 66 BA E0 01 66 23 D6 0F B7 D2 C1 EA 05 4A 8B C3 E8 ?? ?? ?? ?? 66 BA 1F 00 66 23 D6 0F B7 D2 4A 8B C3 E8 ?? ?? ?? ?? 0F B7 D7 C1 EA 0B 8B C3 E8 ?? ?? ?? ?? 66 BA E0 07 66 23 D7 0F B7 D2 C1 EA 05 8B C3 E8 ?? ?? ?? ?? 66 BA 1F 00 66 23 D7 0F B7 D2 4A 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32842_0 {
	meta:
		name = "TIdDateTimeStamp.SetDateFromISO8601"
		size = 864
		refs = "001c @UStrAddRef 0024 TIdDateTimeStamp.SetDateFromISO8601 0030 IndyPos 005a @UStrCopy 0065 Trim 008f @UStrLAsg 00a1 FindFirstNotOf 00b3 IndyStrToInt 00bc TIdDateTimeStamp.SetYear 00f1 TextStartsWith 0167 DIGITS 01d0 TIdDateTimeStamp.GetDayOfWeek 01e6 TIdDateTimeStamp.SubtractDays 01fd TIdDateTimeStamp.AddDays 028a TIdDateTimeStamp.SetDay 02c2 TIdDateTimeStamp.AddMonths 0307 @UStrArrayClr 030d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B D8 85 DB 0F 8E A7 02 00 00 8D 45 F4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 83 C9 FF 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 42 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 1D 02 00 00 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B D8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 09 01 00 00 8D 45 E8 50 8B CB 83 E9 02 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 E0 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 83 CF FF 83 CB FF 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 20 6A 01 83 C9 FF 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 20 6A 01 83 C9 FF 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0A 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 8E 3B 01 00 00 85 DB 0F 8C 33 01 00 00 4F 8B C7 03 C0 03 C0 03 C0 2B C7 40 89 46 38 8B C6 E8 ?? ?? ?? ?? 3B D8 7D 17 8B C6 E8 ?? ?? ?? ?? 8B D0 2B D3 8B C6 E8 ?? ?? ?? ?? E9 02 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B D3 2B D0 8B C6 E8 ?? ?? ?? ?? E9 EB 00 00 00 85 DB 0F 8E BA 00 00 00 8D 45 DC 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 D4 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 27 6A 01 83 C9 FF 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 11 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 53 6A 01 83 C9 FF 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 3D 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 4A 8B C6 E8 ?? ?? ?? ?? EB 29 6A 01 83 C9 FF 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 11 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_39514_0 {
	meta:
		name = "TInDateTimeStamp.SetDateFromISO8601"
		size = 864
		refs = "001c @UStrAddRef 0024 TInDateTimeStamp.SetDateFromISO8601 0030 IndyPos 005a @UStrCopy 0065 Trim 008f @UStrLAsg 00a1 FindFirstNotOf 00b3 IndyStrToInt 00bc TInDateTimeStamp.SetYear 00f1 TextStartsWith 0167 DIGITS 01d0 TInDateTimeStamp.GetDayOfWeek 01e6 TInDateTimeStamp.SubtractDays 01fd TInDateTimeStamp.AddDays 028a TInDateTimeStamp.SetDay 02c2 TInDateTimeStamp.AddMonths 0307 @UStrArrayClr 030d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B D8 85 DB 0F 8E A7 02 00 00 8D 45 F4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 83 C9 FF 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 42 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 1D 02 00 00 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B D8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 09 01 00 00 8D 45 E8 50 8B CB 83 E9 02 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 E0 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 83 CF FF 83 CB FF 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 20 6A 01 83 C9 FF 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 20 6A 01 83 C9 FF 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0A 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 8E 3B 01 00 00 85 DB 0F 8C 33 01 00 00 4F 8B C7 03 C0 03 C0 03 C0 2B C7 40 89 46 38 8B C6 E8 ?? ?? ?? ?? 3B D8 7D 17 8B C6 E8 ?? ?? ?? ?? 8B D0 2B D3 8B C6 E8 ?? ?? ?? ?? E9 02 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B D3 2B D0 8B C6 E8 ?? ?? ?? ?? E9 EB 00 00 00 85 DB 0F 8E BA 00 00 00 8D 45 DC 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 D4 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 27 6A 01 83 C9 FF 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 11 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 53 6A 01 83 C9 FF 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 3D 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 4A 8B C6 E8 ?? ?? ?? ?? EB 29 6A 01 83 C9 FF 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 11 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 30 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_32843_0 {
	meta:
		name = "TIdDateTimeStamp.SetTimeFromISO8601"
		size = 452
		refs = "001b @UStrAddRef 0023 TIdDateTimeStamp.SetTimeFromISO8601 002f IndyPos 0051 @UStrCopy 005c Trim 0086 @UStrLAsg 0100 DIGITS 0105 FindFirstNotOf 0111 IndyStrToInt 011a TIdDateTimeStamp.SetSecond 0151 TIdDateTimeStamp.AddMinutes 0188 TIdDateTimeStamp.AddHours 01a2 @UStrArrayClr 01a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B D8 8D 45 F0 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B D8 8D 45 E4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 8D 55 F4 E8 ?? ?? ?? ?? 8D 45 DC 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 27 6A 01 83 C9 FF 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 11 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 27 6A 01 83 C9 FF 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 11 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 27 6A 01 83 C9 FF 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 11 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_39515_0 {
	meta:
		name = "TInDateTimeStamp.SetTimeFromISO8601"
		size = 452
		refs = "001b @UStrAddRef 0023 TInDateTimeStamp.SetTimeFromISO8601 002f IndyPos 0051 @UStrCopy 005c Trim 0086 @UStrLAsg 0100 DIGITS 0105 FindFirstNotOf 0111 IndyStrToInt 011a TInDateTimeStamp.SetSecond 0151 TInDateTimeStamp.AddMinutes 0188 TInDateTimeStamp.AddHours 01a2 @UStrArrayClr 01a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B D8 8D 45 F0 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B D8 8D 45 E4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 8D 55 F4 E8 ?? ?? ?? ?? 8D 45 DC 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 27 6A 01 83 C9 FF 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 11 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 27 6A 01 83 C9 FF 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 11 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 27 6A 01 83 C9 FF 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 11 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_32844_0 {
	meta:
		name = "TIdDateTimeStamp.SetFromISO8601"
		size = 232
		refs = "0015 @UStrAddRef 001d TIdDateTimeStamp.SetFromISO8601 002a TIdDateTimeStamp.Zero 0030 IndyPos 0056 @UStrCopy 0061 Trim 006b TIdDateTimeStamp.SetDateFromISO8601 0094 TIdDateTimeStamp.SetTimeFromISO8601 00c4 @UStrArrayClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 7E 54 8D 45 F4 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 56 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? EB 14 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_39516_0 {
	meta:
		name = "TInDateTimeStamp.SetFromISO8601"
		size = 232
		refs = "0015 @UStrAddRef 001d TInDateTimeStamp.SetFromISO8601 002a TInDateTimeStamp.Zero 0030 IndyPos 0056 @UStrCopy 0061 Trim 006b TInDateTimeStamp.SetDateFromISO8601 0094 TInDateTimeStamp.SetTimeFromISO8601 00c4 @UStrArrayClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 7E 54 8D 45 F4 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 56 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? EB 14 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_32845_0 {
	meta:
		name = "TIdDateTimeStamp.SetFromRFC822"
		size = 87
		refs = "000e @UStrAddRef 0016 TIdDateTimeStamp.SetFromRFC822 0024 StrInternetToDateTime 0032 TIdDateTimeStamp.SetFromTDateTime 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39517_0 {
	meta:
		name = "TInDateTimeStamp.SetFromRFC822"
		size = 87
		refs = "000e @UStrAddRef 0016 TInDateTimeStamp.SetFromRFC822 0024 StrInternetToDateTime 0032 TInDateTimeStamp.SetFromTDateTime 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_32846_0 {
	meta:
		name = "TIdDateTimeStamp.SetFromTDateTime"
		size = 85
		refs = "000e LocalDateTimeToTimeStamp 0019 TIdDateTimeStamp.SetFromTDateTime 0029 TIdDateTimeStamp.SetFromTTimeStamp 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_32859_0 {
	meta:
		name = "TIdDateTimeStamp.SubtractTDateTime"
		size = 85
		refs = "000e LocalDateTimeToTimeStamp 0019 TIdDateTimeStamp.SubtractTDateTime 0029 TIdDateTimeStamp.SubtractTIdDateTimeStamp 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_39518_0 {
	meta:
		name = "TInDateTimeStamp.SetFromTDateTime"
		size = 85
		refs = "000e LocalDateTimeToTimeStamp 0019 TInDateTimeStamp.SetFromTDateTime 0029 TInDateTimeStamp.SetFromTTimeStamp 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_39531_0 {
	meta:
		name = "TInDateTimeStamp.SubtractTDateTime"
		size = 85
		refs = "000e LocalDateTimeToTimeStamp 0019 TInDateTimeStamp.SubtractTDateTime 0029 TInDateTimeStamp.SubtractTInDateTimeStamp 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_32847_0 {
	meta:
		name = "TIdDateTimeStamp.SetFromTTimeStamp"
		size = 38
		altNames = "TInDateTimeStamp.SetFromTTimeStamp"
	strings:
		$1 = { 8B 4A 38 89 48 38 8B 4A 40 89 48 40 0F B6 4A 3C 88 48 3C 8B 4A 44 89 48 44 8B 4A 48 89 48 48 8B 52 4C 89 50 4C C3 }
	condition:
		$1
}

rule function_32848_0 {
	meta:
		name = "TIdDateTimeStamp.SetDay"
		size = 23
		refs = "000a TIdDateTimeStamp.AddDays"
	strings:
		$1 = { 85 D2 7E 0B 33 C9 89 48 38 E8 ?? ?? ?? ?? C3 C7 40 38 01 00 00 00 C3 }
	condition:
		$1
}

rule function_39520_0 {
	meta:
		name = "TInDateTimeStamp.SetDay"
		size = 23
		refs = "000a TInDateTimeStamp.AddDays"
	strings:
		$1 = { 85 D2 7E 0B 33 C9 89 48 38 E8 ?? ?? ?? ?? C3 C7 40 38 01 00 00 00 C3 }
	condition:
		$1
}

rule function_32849_0 {
	meta:
		name = "TIdDateTimeStamp.SetMillisecond"
		size = 11
		refs = "0006 TIdDateTimeStamp.AddMilliseconds"
	strings:
		$1 = { 33 C9 89 48 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39521_0 {
	meta:
		name = "TInDateTimeStamp.SetMillisecond"
		size = 11
		refs = "0006 TInDateTimeStamp.AddMilliseconds"
	strings:
		$1 = { 33 C9 89 48 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32850_0 {
	meta:
		name = "TIdDateTimeStamp.SetSecond"
		size = 11
		refs = "0006 TIdDateTimeStamp.AddSeconds"
	strings:
		$1 = { 33 C9 89 48 44 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39522_0 {
	meta:
		name = "TInDateTimeStamp.SetSecond"
		size = 11
		refs = "0006 TInDateTimeStamp.AddSeconds"
	strings:
		$1 = { 33 C9 89 48 44 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32851_0 {
	meta:
		name = "TIdDateTimeStamp.SetTimeZone"
		size = 4
		altNames = "TInDateTimeStamp.SetTimeZone TServerSocketThread.SetThreadCacheSize TWebControlGroup.SetDefaultWebComponents"
	strings:
		$1 = { 89 50 48 C3 }
	condition:
		$1
}

rule function_32852_0 {
	meta:
		name = "TIdDateTimeStamp.SetYear"
		size = 22
		refs = "0011 TIdDateTimeStamp.CheckLeapYear"
	strings:
		$1 = { 85 D2 75 09 C7 40 4C 01 00 00 00 EB 03 89 50 4C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39524_0 {
	meta:
		name = "TInDateTimeStamp.SetYear"
		size = 22
		refs = "0011 TInDateTimeStamp.CheckLeapYear"
	strings:
		$1 = { 85 D2 75 09 C7 40 4C 01 00 00 00 EB 03 89 50 4C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32853_0 {
	meta:
		name = "TIdDateTimeStamp.SubtractDays"
		size = 353
		refs = "0043 TIdDateTimeStamp.SubtractYears 00c8 IsLeapYear 010f TIdDateTimeStamp.GetDaysInYear 0123 TIdDateTimeStamp.AddDays 0154 TIdDateTimeStamp.SetDay"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 0F 84 4E 01 00 00 8B 43 38 48 3B F0 72 0B 2B F0 C7 43 38 01 00 00 00 EB 03 29 73 38 81 FE B1 3A 02 00 72 22 8B C6 B9 B1 3A 02 00 33 D2 F7 F1 8B F8 69 D7 90 01 00 00 8B C3 E8 ?? ?? ?? ?? 69 C7 B1 3A 02 00 2B F0 81 FE AD 8E 00 00 72 54 81 FE AD 8E 00 00 72 4C 8B 43 4C B9 64 00 00 00 99 F7 F9 8B F8 81 E7 03 00 00 80 79 05 4F 83 CF FC 47 85 FF 75 14 BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 EE AD 8E 00 00 EB 12 BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 EE AC 8E 00 00 81 FE AD 8E 00 00 73 B4 81 FE B5 05 00 00 72 74 81 FE B5 05 00 00 72 6C 8B 7B 4C C1 EF 02 03 FF 03 FF 8B C7 E8 ?? ?? ?? ?? 84 C0 74 14 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 EE B5 05 00 00 EB 12 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 EE B4 05 00 00 81 FE B5 05 00 00 73 BD EB 27 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 2B F0 80 7B 3C 00 74 0C BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 77 CE 3B 73 38 72 23 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 2B 73 38 8B C3 E8 ?? ?? ?? ?? 8B D0 2B D6 8B C3 E8 ?? ?? ?? ?? EB 03 29 73 38 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39525_0 {
	meta:
		name = "TInDateTimeStamp.SubtractDays"
		size = 353
		refs = "0043 TInDateTimeStamp.SubtractYears 00c8 IsLeapYear 010f TInDateTimeStamp.GetDaysInYear 0123 TInDateTimeStamp.AddDays 0154 TInDateTimeStamp.SetDay"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 0F 84 4E 01 00 00 8B 43 38 48 3B F0 72 0B 2B F0 C7 43 38 01 00 00 00 EB 03 29 73 38 81 FE B1 3A 02 00 72 22 8B C6 B9 B1 3A 02 00 33 D2 F7 F1 8B F8 69 D7 90 01 00 00 8B C3 E8 ?? ?? ?? ?? 69 C7 B1 3A 02 00 2B F0 81 FE AD 8E 00 00 72 54 81 FE AD 8E 00 00 72 4C 8B 43 4C B9 64 00 00 00 99 F7 F9 8B F8 81 E7 03 00 00 80 79 05 4F 83 CF FC 47 85 FF 75 14 BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 EE AD 8E 00 00 EB 12 BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 EE AC 8E 00 00 81 FE AD 8E 00 00 73 B4 81 FE B5 05 00 00 72 74 81 FE B5 05 00 00 72 6C 8B 7B 4C C1 EF 02 03 FF 03 FF 8B C7 E8 ?? ?? ?? ?? 84 C0 74 14 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 EE B5 05 00 00 EB 12 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 EE B4 05 00 00 81 FE B5 05 00 00 73 BD EB 27 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 2B F0 80 7B 3C 00 74 0C BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 77 CE 3B 73 38 72 23 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 2B 73 38 8B C3 E8 ?? ?? ?? ?? 8B D0 2B D6 8B C3 E8 ?? ?? ?? ?? EB 03 29 73 38 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32855_0 {
	meta:
		name = "TIdDateTimeStamp.SubtractMilliseconds"
		size = 105
		refs = "001d TIdDateTimeStamp.SubtractDays 003b TIdDateTimeStamp.SubtractSeconds"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 74 5A 8B C6 B9 00 5C 26 05 33 D2 F7 F1 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 69 C7 00 5C 26 05 2B F0 8B C6 B9 E8 03 00 00 33 D2 F7 F1 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 69 C7 E8 03 00 00 2B F0 29 73 40 EB 13 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 43 40 E8 03 00 00 83 7B 40 00 7E E7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39527_0 {
	meta:
		name = "TInDateTimeStamp.SubtractMilliseconds"
		size = 105
		refs = "001d TInDateTimeStamp.SubtractDays 003b TInDateTimeStamp.SubtractSeconds"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 74 5A 8B C6 B9 00 5C 26 05 33 D2 F7 F1 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 69 C7 00 5C 26 05 2B F0 8B C6 B9 E8 03 00 00 33 D2 F7 F1 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 69 C7 E8 03 00 00 2B F0 29 73 40 EB 13 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 43 40 E8 03 00 00 83 7B 40 00 7E E7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32856_0 {
	meta:
		name = "TIdDateTimeStamp.SubtractMinutes"
		size = 44
		refs = "0008 MaxMinutesAdd 0014 TIdDateTimeStamp.SubtractSeconds"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 BF ?? ?? ?? ?? EB 0C 6B 17 3C 8B C6 E8 ?? ?? ?? ?? 2B 1F 3B 1F 77 F0 6B D3 3C 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39528_0 {
	meta:
		name = "TInDateTimeStamp.SubtractMinutes"
		size = 44
		refs = "0008 MaxMinutesAdd 0014 TInDateTimeStamp.SubtractSeconds"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 BF ?? ?? ?? ?? EB 0C 6B 17 3C 8B C6 E8 ?? ?? ?? ?? 2B 1F 3B 1F 77 F0 6B D3 3C 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32857_0 {
	meta:
		name = "TIdDateTimeStamp.SubtractMonths"
		size = 114
		refs = "0019 TIdDateTimeStamp.SubtractYears 002f TIdDateTimeStamp.GetMonthOfYear 004d IdDaysInMonth 0055 TIdDateTimeStamp.SubtractDays"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C7 B9 0C 00 00 00 33 D2 F7 F1 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 03 C0 03 C0 8D 04 40 2B F8 85 FF 76 42 8B C6 E8 ?? ?? ?? ?? 8B D8 83 FB 01 75 05 BB 0D 00 00 00 83 FB 03 75 17 80 7E 3C 00 74 11 0F B6 15 ?? ?? ?? ?? 42 8B C6 E8 ?? ?? ?? ?? EB 0E 0F B6 93 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 4F 85 FF 77 BE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39529_0 {
	meta:
		name = "TInDateTimeStamp.SubtractMonths"
		size = 114
		refs = "0019 TInDateTimeStamp.SubtractYears 002f TInDateTimeStamp.GetMonthOfYear 004d IdDaysInMonth 0055 TInDateTimeStamp.SubtractDays"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C7 B9 0C 00 00 00 33 D2 F7 F1 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 03 C0 03 C0 8D 04 40 2B F8 85 FF 76 42 8B C6 E8 ?? ?? ?? ?? 8B D8 83 FB 01 75 05 BB 0D 00 00 00 83 FB 03 75 17 80 7E 3C 00 74 11 0F B6 15 ?? ?? ?? ?? 42 8B C6 E8 ?? ?? ?? ?? EB 0E 0F B6 93 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 4F 85 FF 77 BE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32858_0 {
	meta:
		name = "TIdDateTimeStamp.SubtractSeconds"
		size = 73
		refs = "001d TIdDateTimeStamp.SubtractDays"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 74 3A 8B C6 B9 80 51 01 00 33 D2 F7 F1 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 69 C7 80 51 01 00 2B F0 29 73 44 83 7B 44 00 7D 13 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 43 44 80 51 01 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39530_0 {
	meta:
		name = "TInDateTimeStamp.SubtractSeconds"
		size = 73
		refs = "001d TInDateTimeStamp.SubtractDays"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 74 3A 8B C6 B9 80 51 01 00 33 D2 F7 F1 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 69 C7 80 51 01 00 2B F0 29 73 44 83 7B 44 00 7D 13 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 43 44 80 51 01 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32862_0 {
	meta:
		name = "TIdDateTimeStamp.SubtractWeeks"
		size = 76
		refs = "0008 MaxWeekAdd 0021 TIdDateTimeStamp.SubtractDays"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 BF ?? ?? ?? ?? 85 DB 74 38 EB 21 8B 17 8B C2 03 D2 03 D2 03 D2 2B D0 8B C6 E8 ?? ?? ?? ?? 8B 07 8B D0 03 C0 03 C0 03 C0 2B C2 2B D8 3B 1F 77 DB 8B D3 03 D2 03 D2 03 D2 2B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39534_0 {
	meta:
		name = "TInDateTimeStamp.SubtractWeeks"
		size = 76
		refs = "0008 MaxWeekAdd 0021 TInDateTimeStamp.SubtractDays"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 BF ?? ?? ?? ?? 85 DB 74 38 EB 21 8B 17 8B C2 03 D2 03 D2 03 D2 2B D0 8B C6 E8 ?? ?? ?? ?? 8B 07 8B D0 03 C0 03 C0 03 C0 2B C2 2B D8 3B 1F 77 DB 8B D3 03 D2 03 D2 03 D2 2B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32863_0 {
	meta:
		name = "TIdDateTimeStamp.SubtractYears"
		size = 21
		refs = "0010 TIdDateTimeStamp.CheckLeapYear"
	strings:
		$1 = { 8B 48 4C 85 C9 7E 05 3B CA 77 01 42 29 50 4C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39535_0 {
	meta:
		name = "TInDateTimeStamp.SubtractYears"
		size = 21
		refs = "0010 TInDateTimeStamp.CheckLeapYear"
	strings:
		$1 = { 8B 48 4C 85 C9 7E 05 3B CA 77 01 42 29 50 4C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_32865_0 {
	meta:
		name = "TIdDateTimeStamp.ZeroDate"
		size = 29
		refs = "000b TIdDateTimeStamp.SetYear 0017 TIdDateTimeStamp.SetDay"
	strings:
		$1 = { 53 8B D8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39537_0 {
	meta:
		name = "TInDateTimeStamp.ZeroDate"
		size = 29
		refs = "000b TInDateTimeStamp.SetYear 0017 TInDateTimeStamp.SetDay"
	strings:
		$1 = { 53 8B D8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_32867_0 {
	meta:
		name = "Finalization"
		size = 142
		refs = "0007 Finalization 0013 _DV_6 001a IdMonthNames 0025 string 002a @FinalizeArray 002f IdMonthShortNames 0044 IdDayNames 0059 IdDayShortNames 006e DIGITS 0073 @UStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 5E B8 ?? ?? ?? ?? B9 0D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 08 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 08 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_32869_0 {
	meta:
		name = "TIdDayTime.InitComponent"
		size = 26
		refs = "0006 TIdTCPClientCustom.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 0D 00 8B C3 8B 08 FF 91 A4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_32870_0 {
	meta:
		name = "TIdDayTime.GetDayTimeStr"
		size = 82
		refs = "000f TIdDayTime.GetDayTimeStr 002c Trim 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 B0 00 00 00 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32873_0 {
	meta:
		name = "TIdDayTimeServer.InitComponent"
		size = 64
		refs = "0006 TIdCustomTCPServer.InitComponent 001f TIdDayTimeServer.InitComponent 0024 @UStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 0D 00 8B C3 8B 08 FF 91 98 00 00 00 8D 83 18 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 45 00 53 00 54 00 00 00 }
	condition:
		$1
}

rule function_32874_0 {
	meta:
		name = "TIdDayTimeServer.DoExecute"
		size = 284
		refs = "001a TIdDayTimeServer.DoExecute 0034 @UStrLAsg 0039 Now 004c CurrencyString 0054 FormatDateTime 006f @UStrCatN 0089 TIdTCPConnection.Disconnect 009e @UStrClr 00ab @UStrArrayClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 4D FC 89 4D F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 01 8B 72 14 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D E8 9B FF 75 EC FF 75 E8 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF B7 18 01 00 00 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 33 C9 8B 86 98 00 00 00 8B 18 FF 93 A4 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 64 00 64 00 64 00 64 00 2C 00 20 00 6D 00 6D 00 6D 00 6D 00 20 00 64 00 64 00 2C 00 20 00 79 00 79 00 79 00 79 00 20 00 68 00 68 00 3A 00 6E 00 6E 00 3A 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_32877_0 {
	meta:
		name = "TIdDayTimeUDP.InitComponent"
		size = 23
		refs = "0006 TIdUDPClient.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 0D 00 8B C3 8B 08 FF 51 70 5B C3 }
	condition:
		$1
}

rule function_32878_0 {
	meta:
		name = "TIdDayTimeUDP.GetDayTimeStr"
		size = 52
		refs = "0009 TIdDayTimeUDP.GetDayTimeStr 0010 TIdUDPClient.Send 001d TIdUDPBase.ReceiveString"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 33 C9 83 CA FF 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_32881_0 {
	meta:
		name = "TIdDayTimeUDPServer.InitComponent"
		size = 60
		refs = "0006 TIdUDPServer.InitComponent 0011 TIdUDPServer.SetDefaultPort 001c TIdDayTimeUDPServer.InitComponent 0021 @UStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 0D 00 8B C3 E8 ?? ?? ?? ?? 8D 83 E8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 45 00 53 00 54 00 00 00 }
	condition:
		$1
}

rule function_32882_0 {
	meta:
		name = "TIdDayTimeUDPServer.DoUDPRead"
		size = 308
		refs = "001f TIdDayTimeUDPServer.DoUDPRead 0030 TIdUDPServer.DoUDPRead 003d @UStrLAsg 0042 Now 0055 CurrencyString 005d FormatDateTime 0078 @UStrCatN 0085 ToBytes 0099 TIdSocketHandle.SendTo 00af TArray<System.Byte> 00b4 @DynArrayClear 00c1 @UStrArrayClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F0 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 4D F0 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D E8 9B FF 75 EC FF 75 E8 8D 4D F4 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF B3 E8 00 00 00 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 4D E4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 50 6A 00 0F B7 4E 22 8B 56 1C 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 64 00 64 00 64 00 64 00 2C 00 20 00 6D 00 6D 00 6D 00 6D 00 20 00 64 00 64 00 2C 00 20 00 79 00 79 00 79 00 79 00 20 00 68 00 68 00 3A 00 6E 00 6E 00 3A 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_32885_0 {
	meta:
		name = "TIdDICT.Connect"
		size = 1172
		refs = "0019 TIdDICT.Connect 0027 @UStrClr 0058 TIdTCPClientCustom.Connect 005f IndyUTF8Encoding 006f TIdIOHandler.SetDefStringEncoding 007d TIdTCPConnection.GetResponse 00c1 Fetch 00cc TrimRight 00dc @UStrAsg 00f7 IndyPos 0133 BreakApart 014f @UStrCatN 015a Trim 0165 @UStrLAsg 017d @UStrCat3 018b TIdTCPConnection.SendCmd 01a8 TIdDICT.IsCapaSupported 01b6 GetFIPSMode 01e9 _Dn_TIdHashMessageDigest5 01ee TIdHashMessageDigest4.Create 0224 TIdHash.HashStringAsHex 022f LowerCase 0244 TObject.Free 024a @HandleFinally 02cf TIdSASLEntries.LoginSASL 030d @HandleAnyException 031c @RaiseAgain 0321 @DoneExcept 033b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 80 20 01 00 00 8B 10 FF 52 44 8B 45 F0 05 18 01 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 33 C9 66 BA DC 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 9C 00 00 00 8B 40 18 8B 10 FF 52 14 85 C0 0F 8E CF 00 00 00 8D 4D FC 8B 45 F0 8B 80 9C 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F0 05 18 01 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 F8 B8 ?? ?? ?? ?? FF D3 85 C0 75 2E 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 85 C0 7E 18 8B 45 F0 8B 88 20 01 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 1A 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 6A 00 8B 45 F0 8B 88 1C 01 00 00 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 83 C9 FF 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 80 B8 11 01 00 00 00 0F 85 E7 00 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 1F 01 00 00 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 0F 84 0D 01 00 00 8B 45 F0 83 B8 E0 00 00 00 00 0F 84 FD 00 00 00 8B 45 F0 83 B8 EC 00 00 00 00 0F 84 ED 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D8 50 8B 45 F0 8B 88 E0 00 00 00 8D 45 D4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 D4 33 C9 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D8 8D 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 6A 00 68 ?? ?? ?? ?? 8B 45 F0 FF B0 EC 00 00 00 68 ?? ?? ?? ?? FF 75 F4 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 66 B9 E6 00 8B 45 F0 E8 ?? ?? ?? ?? EB 4D 68 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 CC 8D 45 CC 50 6A 00 B8 ?? ?? ?? ?? 89 45 C8 8D 45 C8 50 6A 00 8B 45 F0 50 8B 45 F0 8B 80 20 01 00 00 50 6A 00 8B 45 F0 8B 88 CC 00 00 00 8B 45 F0 8B 80 14 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 80 B8 10 01 00 00 00 74 23 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 12 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 33 D2 8B 45 F0 8B 08 FF 51 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 4C 00 49 00 45 00 4E 00 54 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 61 00 75 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 55 00 54 00 48 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 64 00 69 00 63 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 32 00 33 00 30 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 33 00 30 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 41 00 53 00 4C 00 41 00 55 00 54 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 49 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 20 00 4D 00 49 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_32886_0 {
	meta:
		name = "TIdDICT.Define"
		size = 468
		refs = "0020 TIdDICT.Define 002e TCollection.Clear 0049 @UStrCatN 0056 TIdTCPConnection.SendCmd 0061 TIdReply.GetNumericCode 00a1 TIdDefinitions.Add 00b3 TIdIOHandler.Capture 00c8 Fetch 00e8 @UStrAsg 0183 @UStrArrayClr 0189 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 56 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 83 C9 FF 8B C3 E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 48 0F 85 F9 00 00 00 8D 4D FC 8B 83 9C 00 00 00 8B 40 18 33 D2 8B 30 FF 56 0C 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 2D 97 00 00 00 0F 85 BF 00 00 00 8B 45 08 E8 ?? ?? ?? ?? 8B F0 33 C9 8B 56 10 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 46 0C E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 46 14 83 C0 0C E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 46 14 83 C0 10 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 80 00 00 00 E9 ED FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 45 00 46 00 49 00 4E 00 45 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_32887_0 {
	meta:
		name = "TIdDICT.Define"
		size = 72
		refs = "000b TIdDICT.Define"
	strings:
		$1 = { 55 8B EC 80 7D 08 00 74 0D 51 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 51 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 21 00 00 00 }
	condition:
		$1
}

rule function_32888_0 {
	meta:
		name = "TIdDICT.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 001a TObject.Free 0038 TIdTCPConnection.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 14 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 20 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32889_0 {
	meta:
		name = "TIdDICT.DisconnectNotifyPeer"
		size = 108
		refs = "000b TIdDICT.DisconnectNotifyPeer 0030 TIdTCPConnection.SendCmd 0045 TIdTCPConnection.DisconnectNotifyPeer 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 74 84 C0 74 13 6A 00 66 B9 DD 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 51 00 55 00 49 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_32890_0 {
	meta:
		name = "TIdDICT.GetDBList"
		size = 44
		refs = "0003 TIdDICT.GetDBList 0008 TIdDICT.InternalGetList"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 48 00 4F 00 57 00 20 00 44 00 42 00 00 00 }
	condition:
		$1
}

rule function_32891_0 {
	meta:
		name = "TIdDICT.GetDictInfo"
		size = 128
		refs = "0012 TIdDICT.GetDictInfo 0027 @UStrCat3 0033 TIdDICT.InternalGetStrs 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 48 00 4F 00 57 00 20 00 49 00 4E 00 46 00 4F 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_32892_0 {
	meta:
		name = "TIdDICT.GetStrategyList"
		size = 52
		refs = "0003 TIdDICT.GetStrategyList 0008 TIdDICT.InternalGetList"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 48 00 4F 00 57 00 20 00 53 00 54 00 52 00 41 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_32893_0 {
	meta:
		name = "TIdDICT.GetSvrInfo"
		size = 52
		refs = "0003 TIdDICT.GetSvrInfo 0008 TIdDICT.InternalGetStrs"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 48 00 4F 00 57 00 20 00 53 00 45 00 52 00 56 00 45 00 52 00 00 00 }
	condition:
		$1
}

rule function_32894_0 {
	meta:
		name = "TIdDICT.InitComponent"
		size = 292
		refs = "0012 TIdDICT.InitComponent 001f TIdTCPClientCustom.InitComponent 0026 _Dn_TStringList 002b TStringList.Create 003a _Dn_TIdSASLEntries 003f TIdSASLEntries.Create 0065 @UStrAsg 0084 IndyFormat 00a7 @UStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 20 01 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 14 01 00 00 66 C7 83 E4 00 00 00 44 0A C6 83 11 01 00 00 00 8D 83 CC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 83 1C 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 64 00 69 00 63 00 74 00 2E 00 6F 00 72 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 31 00 30 00 2E 00 35 00 2E 00 38 00 2E 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 6E 00 64 00 79 00 20 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_32895_0 {
	meta:
		name = "TIdDICT.InternalGetList"
		size = 360
		refs = "001f TIdDICT.InternalGetList 002d TCollection.Clear 0034 _Dn_TStringList 0039 TStringList.Create 0056 TIdDICT.InternalGetStrs 0079 TCollection.Add 007f _Dn_TIdGeneric 0084 @AsClass 00a9 Fetch 00b4 @UStrAsg 0109 TObject.Free 010f @HandleFinally 012b @UStrArrayClr 0133 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 86 00 00 00 46 C7 45 F0 00 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 4D FC 8B 55 F0 8B 45 F4 8B 38 FF 57 0C 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 43 0C E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 43 10 E8 ?? ?? ?? ?? FF 45 F0 4E 75 82 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_32896_0 {
	meta:
		name = "TIdDICT.InternalGetStrs"
		size = 83
		refs = "001a TIdTCPConnection.SendCmd 0025 TIdReply.GetNumericCode 003f TIdIOHandler.Capture"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 8B 10 FF 52 44 6A 00 83 C9 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 48 75 1B 33 C9 8B D6 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 80 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32897_0 {
	meta:
		name = "TIdDICT.IsCapaSupported"
		size = 144
		refs = "0017 TIdDICT.IsCapaSupported 005b TextIsSame 007c @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 FC 8B 80 20 01 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 33 46 C7 45 F4 00 00 00 00 8D 4D F0 8B 45 FC 8B 80 20 01 00 00 8B 55 F4 8B 18 FF 53 0C 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 84 DB 75 06 FF 45 F4 4E 75 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32898_0 {
	meta:
		name = "TIdDICT.Match"
		size = 408
		refs = "001e TIdDICT.Match 002c TCollection.Clear 0033 _Dn_TStringList 0038 TStringList.Create 006a @UStrCatN 0077 TIdDICT.InternalGetStrs 00a4 TIdMatchList.Add 00bb Fetch 00c6 @UStrAsg 011b TObject.Free 0121 @HandleFinally 013d @UStrArrayClr 0145 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? FF 75 0C 68 ?? ?? ?? ?? 56 8D 45 F0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 7B 46 C7 45 F4 00 00 00 00 8D 4D FC 8B 55 F4 8B 45 F8 8B 18 FF 53 0C 8B 45 08 E8 ?? ?? ?? ?? 8B D8 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 43 0C E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 43 10 E8 ?? ?? ?? ?? FF 45 F4 4E 75 8D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4D 00 41 00 54 00 43 00 48 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_32899_0 {
	meta:
		name = "TIdDICT.Match"
		size = 100
		refs = "000d TIdDICT.Match"
	strings:
		$1 = { 55 8B EC 8B 4D 0C 80 7D 08 00 74 12 68 ?? ?? ?? ?? 51 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 68 ?? ?? ?? ?? 51 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 21 00 00 00 }
	condition:
		$1
}

rule function_32900_0 {
	meta:
		name = "TIdDICT.Match"
		size = 40
		refs = "000a TIdDICT.Match"
	strings:
		$1 = { 55 8B EC 51 0F B6 4D 08 51 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_32901_0 {
	meta:
		name = "TIdDICT.SetClient"
		size = 26
		refs = "0013 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 0D 8D 83 1C 01 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32907_0 {
	meta:
		name = "TIdDefinitions.IndexOf"
		size = 61
		refs = "0023 TIdDefinitions.GetItems"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C7 04 24 FF FF FF FF 8B 47 08 8B 70 08 4E 85 F6 7C 19 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 3B E8 75 05 89 1C 24 EB 04 43 4E 75 EA 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32915_0 {
	meta:
		name = "TIdDBList.IndexOf"
		size = 61
		refs = "0023 TIdDBList.GetItems"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C7 04 24 FF FF FF FF 8B 47 08 8B 70 08 4E 85 F6 7C 19 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 3B E8 75 05 89 1C 24 EB 04 43 4E 75 EA 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33683_0 {
	meta:
		name = "TIdFTPListOutput.IndexOf"
		size = 61
		refs = "0023 TIdFTPListOutput.GetItems"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C7 04 24 FF FF FF FF 8B 47 08 8B 70 08 4E 85 F6 7C 19 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 3B E8 75 05 89 1C 24 EB 04 43 4E 75 EA 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32925_0 {
	meta:
		name = "TIdMatchList.IndexOf"
		size = 61
		refs = "0023 TIdMatchList.GetItems"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C7 04 24 FF FF FF FF 8B 47 08 8B 70 08 4E 85 F6 7C 19 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 3B E8 75 05 89 1C 24 EB 04 43 4E 75 EA 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32920_0 {
	meta:
		name = "TIdStrategyList.IndexOf"
		size = 61
		refs = "0023 TIdStrategyList.GetItems"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C7 04 24 FF FF FF FF 8B 47 08 8B 70 08 4E 85 F6 7C 19 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 3B E8 75 05 89 1C 24 EB 04 43 4E 75 EA 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32909_0 {
	meta:
		name = "TIdDefinition.Create"
		size = 85
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 001e _Dn_TStringList 0023 TStringList.Create 002f _DV_TIdDBInfo 0042 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32910_0 {
	meta:
		name = "TIdDefinition.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TCollectionItem.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32929_0 {
	meta:
		name = "TIdDICTServer.InitComponent"
		size = 26
		refs = "0006 TIdCmdTCPServer.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 44 0A 8B C3 8B 08 FF 91 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_32930_0 {
	meta:
		name = "TIdDICTServer.DoOnCommandHELP"
		size = 27
	strings:
		$1 = { 53 66 83 B8 52 01 00 00 00 74 0E 8B D8 8B 83 54 01 00 00 FF 93 50 01 00 00 5B C3 }
	condition:
		$1
}

rule function_32931_0 {
	meta:
		name = "TIdDICTServer.DoOnCommandDEFINE"
		size = 129
		refs = "0012 TIdDICTServer.DoOnCommandDEFINE 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 5A 01 00 00 00 74 32 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F8 8B D6 8B 83 5C 01 00 00 FF 93 58 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32932_0 {
	meta:
		name = "TIdDICTServer.DoOnCommandMATCH"
		size = 151
		refs = "0014 TIdDICTServer.DoOnCommandMATCH 0084 @UStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 62 01 00 00 00 74 46 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 BA 02 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 F8 50 8D 4D F4 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F4 8B D6 8B 83 64 01 00 00 FF 93 60 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32933_0 {
	meta:
		name = "TIdDICTServer.DoOnCommandQUIT"
		size = 27
		altNames = "TIdHTTPProxyServer.DoHTTPDocument"
	strings:
		$1 = { 53 66 83 B8 6A 01 00 00 00 74 0E 8B D8 8B 83 6C 01 00 00 FF 93 68 01 00 00 5B C3 }
	condition:
		$1
}

rule function_32934_0 {
	meta:
		name = "TIdDICTServer.DoOnCommandSHOW"
		size = 101
		refs = "0010 TIdDICTServer.DoOnCommandSHOW 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 72 01 00 00 00 74 1E 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D FC 8B D6 8B 83 74 01 00 00 FF 93 70 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32935_0 {
	meta:
		name = "TIdDICTServer.DoOnCommandAUTH"
		size = 129
		refs = "0012 TIdDICTServer.DoOnCommandAUTH 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 7A 01 00 00 00 74 32 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F8 8B D6 8B 83 7C 01 00 00 FF 93 78 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32936_0 {
	meta:
		name = "TIdDICTServer.DoOnCommandSASLAuth"
		size = 129
		refs = "0012 TIdDICTServer.DoOnCommandSASLAuth 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 82 01 00 00 00 74 32 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F8 8B D6 8B 83 84 01 00 00 FF 93 80 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32937_0 {
	meta:
		name = "TIdDICTServer.DoOnCommandOption"
		size = 103
		refs = "0010 TIdDICTServer.DoOnCommandOption 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 8A 01 00 00 00 74 20 6A 00 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D FC 8B D6 8B 83 8C 01 00 00 FF 93 88 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32938_0 {
	meta:
		name = "TIdDICTServer.DoOnCommandSTAT"
		size = 27
	strings:
		$1 = { 53 66 83 B8 92 01 00 00 00 74 0E 8B D8 8B 83 94 01 00 00 FF 93 90 01 00 00 5B C3 }
	condition:
		$1
}

rule function_32939_0 {
	meta:
		name = "TIdDICTServer.DoOnCommandCLIENT"
		size = 101
		refs = "0010 TIdDICTServer.DoOnCommandCLIENT 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 9A 01 00 00 00 74 1E 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D FC 8B D6 8B 83 9C 01 00 00 FF 93 98 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35858_0 {
	meta:
		name = "TIdIRCServer.DoCommandPart"
		size = 101
		refs = "0010 TIdIRCServer.DoCommandPart 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 9A 01 00 00 00 74 1E 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D FC 8B D6 8B 83 9C 01 00 00 FF 93 98 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32941_0 {
	meta:
		name = "TIdDICTServer.DoOnCommandNotHandled"
		size = 148
		refs = "000f TIdDICTServer.DoOnCommandNotHandled 001d RSCMDNotRecognized 0022 LoadResString 0032 @UStrCat3 0065 @UStrArrayClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 35 00 30 00 30 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_32942_0 {
	meta:
		name = "TIdDICTServer.InitializeCommandHandlers"
		size = 652
		refs = "000b TIdCommandHandlers.Add 0015 TIdDICTServer.InitializeCommandHandlers 001a @UStrAsg 0024 TIdDICTServer.DoOnCommandAUTH 0048 TIdDICTServer.DoOnCommandCLIENT 006c TIdDICTServer.DoOnCommandDEFINE 0090 TIdDICTServer.DoOnCommandHELP 00b4 TIdDICTServer.DoOnCommandMATCH 00d8 TIdDICTServer.DoOnCommandOption 00fc TIdDICTServer.DoOnCommandQUIT 0120 TIdDICTServer.DoOnCommandSASLAuth 0144 TIdDICTServer.DoOnCommandSHOW 0168 TIdDICTServer.DoOnCommandSTAT 017d @UStrClr"
	strings:
		$1 = { 53 56 8B D8 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 55 00 54 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4C 00 49 00 45 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 46 00 49 00 4E 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 45 00 4C 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 41 00 54 00 43 00 48 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 51 00 55 00 49 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 41 00 53 00 4C 00 41 00 55 00 54 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 48 00 4F 00 57 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 54 00 41 00 54 00 55 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_32945_0 {
	meta:
		name = "TIdDISCARDServer.InitComponent"
		size = 26
		refs = "0006 TIdCustomTCPServer.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 09 00 8B C3 8B 08 FF 91 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_32946_0 {
	meta:
		name = "TIdDISCARDServer.DoExecute"
		size = 41
		refs = "0020 TIdBuffer.Clear"
	strings:
		$1 = { 53 56 B3 01 8B 42 14 8B B0 98 00 00 00 33 D2 8B C6 8B 08 FF 91 88 00 00 00 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_32949_0 {
	meta:
		name = "TIdDiscardUDPServer.InitComponent"
		size = 23
		refs = "0006 TIdUDPServer.InitComponent 0011 TIdUDPServer.SetDefaultPort"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 09 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_32952_0 {
	meta:
		name = "IdBytesCopyBytes"
		size = 44
		refs = "000f @DynArrayLength 001b CopyTIdBytes"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B 06 50 8B C3 E8 ?? ?? ?? ?? 50 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 01 06 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32953_0 {
	meta:
		name = "IdBytesCopyWord"
		size = 15
		refs = "0006 CopyTIdWord"
	strings:
		$1 = { 53 8B D9 8B 0B E8 ?? ?? ?? ?? 83 03 02 5B C3 }
	condition:
		$1
}

rule function_32954_0 {
	meta:
		name = "IdBytesCopyLongWord"
		size = 15
		refs = "0006 CopyTIdLongWord"
	strings:
		$1 = { 53 8B D9 8B 0B E8 ?? ?? ?? ?? 83 03 04 5B C3 }
	condition:
		$1
}

rule function_32955_0 {
	meta:
		name = "DomainNameToDNSStr"
		size = 113
		refs = "0011 DomainNameToDNSStr 0021 @UStrFromLStr 0037 TArray<System.Byte> 003c @DynArrayAsg 0051 @UStrClr 005f @DynArrayClear 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_69634_0 {
	meta:
		name = "BytesOf"
		size = 113
		refs = "0011 BytesOf 0021 @UStrFromWChar 0037 TArray<System.Byte> 003c @DynArrayAsg 0051 @UStrClr 005f @DynArrayClear 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32956_0 {
	meta:
		name = "DomainNameToDNSStr"
		size = 292
		refs = "0015 DomainNameToDNSStr 003c TArray<System.Byte> 0041 @DynArraySetLength 0078 @UStrLAsg 008d Fetch 00b7 CopyTIdString 00fe @UStrArrayClr 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 75 1D 6A 00 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 E9 9B 00 00 00 8B DA 85 DB 74 05 83 EB 04 8B 1B 43 53 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 F6 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 6A 01 8D 45 FC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 8B 45 F4 8B 00 88 1C 30 0F B6 C3 50 6A 00 8D 4E 01 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 0F B6 C3 40 03 F0 83 7D F8 00 75 B5 8B 45 F4 8B 00 C6 04 30 00 46 56 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_32957_0 {
	meta:
		name = "NormalStrToDNSStr"
		size = 74
		refs = "0022 TArray<System.Byte> 0027 @DynArraySetLength 0042 CopyTIdString"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B C7 85 C0 74 05 83 E8 04 8B 00 8B D8 0F B6 C3 40 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 06 88 18 0F B6 C3 50 6A 00 8B D6 B9 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32958_0 {
	meta:
		name = "IPAddrToDNSStr"
		size = 328
		refs = "0013 IPAddrToDNSStr 0028 TArray<System.Byte> 002d @DynArraySetLength 0037 IsValidIP 0045 Trim 0073 Fetch 007e IndyStrToInt 0098 ToBytes 00a8 @DynArrayAsg 00f6 @FinalizeArray 0103 @UStrArrayClr 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 E8 ?? ?? ?? ?? 84 C0 74 7C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 6A 04 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 83 CA FF E8 ?? ?? ?? ?? 85 C0 7C 07 3D FF 00 00 00 7E 21 8D 4D F4 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2C 8B 16 88 04 1A 43 83 FB 04 75 A9 EB 1F 8D 4D F0 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 72 00 72 00 6F 00 72 00 20 00 49 00 50 00 00 00 00 00 }
	condition:
		$1
}

rule function_32959_0 {
	meta:
		name = "IdHexToBin"
		size = 228
		refs = "0017 IdHexToBin 002c ToBytes 003c ByteIsInSet 005d Convert 0090 TArray<System.Byte> 0095 @DynArrayClear 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 FF 33 DB 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3A 8D 53 01 8B 4D FC 8B C6 E8 ?? ?? ?? ?? 84 C0 74 29 0F B6 04 1E 0F B6 04 45 ?? ?? ?? ?? C1 E0 04 0F B6 54 1E 01 02 04 55 ?? ?? ?? ?? 8B 55 F8 8B 12 88 04 3A 47 83 C3 02 EB B6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 16 00 00 00 30 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 41 00 42 00 43 00 44 00 45 00 46 00 61 00 62 00 63 00 64 00 65 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_32960_0 {
	meta:
		name = "IPv6AAAAToDNSStr"
		size = 220
		refs = "0013 IPv6AAAAToDNSStr 0023 @UStrLAsg 0033 TArray<System.Byte> 0038 @DynArraySetLength 0052 Fetch 0060 AppendString 008c IdHexToBin 00a1 @UStrClr 00af @DynArrayClear 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 6A 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 83 C9 FF E8 ?? ?? ?? ?? 83 7D FC 00 75 D5 6A 10 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D3 B9 10 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_32961_0 {
	meta:
		name = "IsValidIPv6"
		size = 912
		refs = "0019 IsValidIPv6 0029 @UStrLAsg 0030 _Dn_TStringList 0035 TStringList.Create 004e IndyPos 0070 IdDelete 0092 ReplaceSpecString 00a7 Fetch 013a TStrings.GetCommaText 0178 Trim 0199 @UStrCat3 01bb @UStrCopy 021f @UStrCat 025f CharIsInSet 028e TObject.Free 0294 @HandleFinally 02b0 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 F6 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 F8 B8 ?? ?? ?? ?? FF D3 8B D8 85 DB 7E 10 46 8D 45 F8 B9 02 00 00 00 8B D3 E8 ?? ?? ?? ?? 85 DB 75 D4 4E 0F 8F F5 01 00 00 6A 01 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 6A 01 8D 45 FC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F0 8B 08 FF 51 38 83 7D F8 00 75 DA BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 54 8B D8 83 FB FF 7E 5D 8B 45 F0 8B 10 FF 52 14 BE 08 00 00 00 2B F0 B9 ?? ?? ?? ?? 8B D3 8B 45 F0 8B 38 FF 57 20 4E 85 F6 7C 18 46 89 75 EC B9 ?? ?? ?? ?? 8B D3 8B 45 F0 8B 30 FF 56 60 FF 4D EC 75 EC 8D 4D E8 33 D2 8B 45 F0 8B 18 FF 53 0C 83 7D E8 00 75 0F B9 ?? ?? ?? ?? 33 D2 8B 45 F0 8B 18 FF 53 20 6A 01 8D 45 F8 50 8D 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E4 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 F7 01 8B 45 F0 8B 10 FF 52 44 6A 01 8D 45 E0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 04 7F 3F 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC 50 8B D3 83 EA 03 B9 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F0 8B 08 FF 51 38 EB 04 C6 45 F7 00 83 7D F8 00 74 06 80 7D F7 00 75 80 80 7D F7 00 74 0D 8B 45 F0 8B 10 FF 52 14 83 F8 08 7E 09 C6 45 F7 00 E9 80 00 00 00 8B 45 F0 8B 10 FF 52 14 48 85 C0 7C 24 40 89 45 EC 33 F6 8D 4D DC 8B D6 8B 45 F0 8B 18 FF 53 0C 8B 55 DC 8D 45 F8 E8 ?? ?? ?? ?? 46 FF 4D EC 75 E2 8B 55 F8 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F 45 F7 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 2C 89 45 EC BE 01 00 00 00 B9 ?? ?? ?? ?? 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 88 45 F7 80 7D F7 00 74 0C 46 FF 4D EC 75 E2 EB 04 C6 45 F7 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3A 00 4D 00 75 00 6C 00 74 00 69 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 75 00 6C 00 74 00 69 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 30 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 41 00 42 00 43 00 44 00 45 00 46 00 61 00 62 00 63 00 64 00 65 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_32962_0 {
	meta:
		name = "ConvertToValidv6IP"
		size = 544
		refs = "0017 ConvertToValidv6IP 0025 @UStrClr 002f @UStrLAsg 0036 _Dn_TStringList 003b TStringList.Create 0052 IndyPos 0073 IdDelete 008e ReplaceSpecString 00a3 Fetch 0131 TStrings.GetCommaText 015d TObject.Free 0163 @HandleFinally 017f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B D6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B D8 85 DB 7E 0F 8D 45 FC B9 02 00 00 00 8B D3 E8 ?? ?? ?? ?? 85 DB 75 D5 6A 01 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F0 8B 08 FF 51 38 83 7D FC 00 75 DA BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 54 8B D8 83 FB FF 7E 58 8B 45 F0 8B 10 FF 52 14 BE 08 00 00 00 2B F0 B9 ?? ?? ?? ?? 8B D3 8B 45 F0 8B 38 FF 57 20 4E 85 F6 7C 13 46 B9 ?? ?? ?? ?? 8B D3 8B 45 F0 8B 38 FF 57 60 4E 75 EE 8D 4D EC 33 D2 8B 45 F0 8B 18 FF 53 0C 83 7D EC 00 75 0F B9 ?? ?? ?? ?? 33 D2 8B 45 F0 8B 18 FF 53 20 6A 01 8B 45 F4 50 8D 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3A 00 4D 00 75 00 6C 00 74 00 69 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 75 00 6C 00 74 00 69 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_32963_0 {
	meta:
		name = "ConvertToCanonical6IP"
		size = 280
		refs = "0013 ConvertToCanonical6IP 0020 @UStrClr 002a ConvertToValidv6IP 003f Fetch 004a Trim 006b @UStrCat3 008d @UStrCopy 00a3 @UStrCatN 00c4 @UStrSetLength 00de @UStrArrayClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 83 F8 04 7D 32 8D 45 F8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 8D 45 F8 50 8B D6 83 EA 03 B9 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? FF 33 FF 75 F8 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 81 8B 03 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 30 00 30 00 30 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_32964_0 {
	meta:
		name = "GetErrorStr"
		size = 406
		refs = "0020 GetErrorStr 005d RSQueryInvalidQueryCount 0062 LoadResString 0076 IndyFormat 0084 RSQueryInvalidPacketSize 00ab RSQueryLessThanFour 00d2 RSQueryInvalidHeaderID 00f6 RSQueryLessThanTwelve 011a RSQueryPackReceivedTooSmall 013e RSQueryUnknownError 017b @UStrArrayClr 0183 @UStrClr 0189 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 83 F8 06 0F 87 04 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 57 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 75 F4 C6 45 F8 00 8D 55 F4 33 C9 E8 ?? ?? ?? ?? E9 E6 00 00 00 57 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 89 75 F4 C6 45 F8 00 8D 55 F4 33 C9 E8 ?? ?? ?? ?? E9 BF 00 00 00 57 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 89 75 F4 C6 45 F8 00 8D 55 F4 33 C9 E8 ?? ?? ?? ?? E9 98 00 00 00 57 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 89 75 F4 C6 45 F8 00 8D 55 F4 33 C9 E8 ?? ?? ?? ?? EB 74 57 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 89 75 F4 C6 45 F8 00 8D 55 F4 33 C9 E8 ?? ?? ?? ?? EB 50 57 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 89 75 F4 C6 45 F8 00 8D 55 F4 33 C9 E8 ?? ?? ?? ?? EB 2C 57 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 89 5D CC C6 45 D0 00 89 75 D4 C6 45 D8 00 8D 55 CC B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32965_0 {
	meta:
		name = "GetRCodeStr"
		size = 45
		refs = "0012 cRCodeStrs 0017 @UStrAsg 0021 RSCodeQueryUnknownError 0026 LoadResString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 83 E8 06 73 11 8B C6 8B 14 9D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_32966_0 {
	meta:
		name = "TDNSHeader.ClearByteCode"
		size = 7
	strings:
		$1 = { 66 C7 40 06 00 00 C3 }
	condition:
		$1
}

rule function_32967_0 {
	meta:
		name = "TDNSHeader.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TObject.Create 001c Randomize 0026 Random 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 FF FF 00 00 E8 ?? ?? ?? ?? 66 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_32968_0 {
	meta:
		name = "TDNSHeader.GenerateBinaryHeader"
		size = 191
		refs = "0009 GStack 0018 TArray<System.Byte> 001d @DynArraySetLength 0034 WordToTwoBytes 0044 TDNSHeader.SetBitCode"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 3D ?? ?? ?? ?? 6A 0C 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 07 0F B7 53 04 8B 08 FF 51 2C 8B 16 33 C9 E8 ?? ?? ?? ?? 0F B7 53 06 66 81 E2 FF F1 8B C3 E8 ?? ?? ?? ?? 8B 07 0F B7 53 06 8B 08 FF 51 2C 8B 16 B9 02 00 00 00 E8 ?? ?? ?? ?? 8B 07 0F B7 53 08 8B 08 FF 51 2C 8B 16 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 07 0F B7 53 0A 8B 08 FF 51 2C 8B 16 B9 06 00 00 00 E8 ?? ?? ?? ?? 8B 07 0F B7 53 0C 8B 08 FF 51 2C 8B 16 B9 08 00 00 00 E8 ?? ?? ?? ?? 8B 07 0F B7 53 0E 8B 08 FF 51 2C 8B 16 B9 0A 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32969_0 {
	meta:
		name = "TDNSHeader.GetAA"
		size = 15
	strings:
		$1 = { 0F B7 40 06 66 25 00 07 0F B7 C0 C1 E8 0A C3 }
	condition:
		$1
}

rule function_32970_0 {
	meta:
		name = "TDNSHeader.GetOpCode"
		size = 19
	strings:
		$1 = { 0F B7 40 06 66 25 00 78 0F B7 C0 C1 E8 0B 66 83 E0 0F C3 }
	condition:
		$1
}

rule function_32971_0 {
	meta:
		name = "TDNSHeader.GetQr"
		size = 8
	strings:
		$1 = { 0F B7 40 06 C1 E8 0F C3 }
	condition:
		$1
}

rule function_32972_0 {
	meta:
		name = "TDNSHeader.GetRA"
		size = 15
	strings:
		$1 = { 0F B7 40 06 66 25 00 08 0F B7 C0 C1 E8 07 C3 }
	condition:
		$1
}

rule function_32973_0 {
	meta:
		name = "TDNSHeader.GetRCode"
		size = 9
	strings:
		$1 = { 0F B7 40 06 66 83 E0 0F C3 }
	condition:
		$1
}

rule function_32974_0 {
	meta:
		name = "TDNSHeader.GetRD"
		size = 15
	strings:
		$1 = { 0F B7 40 06 66 25 00 01 0F B7 C0 C1 E8 08 C3 }
	condition:
		$1
}

rule function_32975_0 {
	meta:
		name = "TDNSHeader.GetTC"
		size = 15
	strings:
		$1 = { 0F B7 40 06 66 25 00 02 0F B7 C0 C1 E8 09 C3 }
	condition:
		$1
}

rule function_32976_0 {
	meta:
		name = "TDNSHeader.ParseQuery"
		size = 332
		refs = "0012 @DynArrayAddRef 001a TDNSHeader.ParseQuery 002f @DynArrayLength 0050 BytesToWord 0057 GStack 0086 TDNSHeader.SetBitCode 0116 @HandleAnyException 011b @DoneExcept 0131 TArray<System.Byte> 0136 @DynArrayClear 013c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 FF FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 83 F8 0C 0F 8C E3 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 66 89 43 04 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 8B D0 8B C3 E8 ?? ?? ?? ?? BA 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 66 89 43 08 BA 06 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 66 89 43 0A BA 08 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 66 89 43 0C BA 0A 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 66 89 43 0E 33 C0 89 45 F8 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_32977_0 {
	meta:
		name = "TDNSHeader.SetAA"
		size = 18
	strings:
		$1 = { 66 85 D2 75 07 66 81 60 06 DF FF C3 66 83 48 06 20 C3 }
	condition:
		$1
}

rule function_32979_0 {
	meta:
		name = "TDNSHeader.SetOpCode"
		size = 58
	strings:
		$1 = { 66 83 EA 01 72 09 74 0E 66 FF CA 74 1B EB 2A 66 81 60 06 E1 FF C3 0F B7 50 06 66 81 E2 E1 FF 66 83 CA 02 66 89 50 06 C3 0F B7 50 06 66 81 E2 E1 FF 66 83 CA 04 66 89 50 06 C3 }
	condition:
		$1
}

rule function_32980_0 {
	meta:
		name = "TDNSHeader.SetQr"
		size = 18
	strings:
		$1 = { 66 85 D2 75 07 66 81 60 06 FE FF C3 66 83 48 06 01 C3 }
	condition:
		$1
}

rule function_32981_0 {
	meta:
		name = "TDNSHeader.SetRA"
		size = 19
	strings:
		$1 = { 66 85 D2 75 07 66 81 48 06 FF FE C3 66 81 48 06 00 01 C3 }
	condition:
		$1
}

rule function_32982_0 {
	meta:
		name = "TDNSHeader.SetRCode"
		size = 21
	strings:
		$1 = { 0F B7 48 06 66 81 E1 F0 FF 66 83 E2 0F 66 0B CA 66 89 48 06 C3 }
	condition:
		$1
}

rule function_32983_0 {
	meta:
		name = "TDNSHeader.SetRD"
		size = 19
	strings:
		$1 = { 66 85 D2 75 07 66 81 60 06 FF EF C3 66 81 48 06 00 01 C3 }
	condition:
		$1
}

rule function_32984_0 {
	meta:
		name = "TDNSHeader.SetTC"
		size = 19
	strings:
		$1 = { 66 85 D2 75 07 66 81 60 06 FF FD C3 66 81 48 06 00 02 C3 }
	condition:
		$1
}

rule function_32985_0 {
	meta:
		name = "TIdTextModeResourceRecord.BinQueryRecord"
		size = 57
		refs = "000a TIdTextModeResourceRecord.BinQueryRecord 0018 TArray<System.Byte> 001d @DynArrayClear 0030 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C3 }
	condition:
		$1
}

rule function_32987_0 {
	meta:
		name = "TIdTextModeResourceRecord.CreateInit"
		size = 127
		refs = "000e @ClassCreate 001d TObject.Create 002d TArray<System.Byte> 0032 @DynArraySetLength 003f @UStrAsg 004c _Dn_TStringList 0051 TStringList.Create 005d TIdTextModeResourceRecord.SetTTL 0068 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 6A 00 8D 47 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 47 08 8B D6 E8 ?? ?? ?? ?? 8B 45 08 89 47 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_32989_0 {
	meta:
		name = "TIdTextModeResourceRecord.FormatQName"
		size = 26
		refs = "0012 TIdTextModeResourceRecord.FormatQName"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B CE 8B 53 08 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_32990_0 {
	meta:
		name = "TIdTextModeResourceRecord.FormatQName"
		size = 168
		refs = "001a TIdTextModeResourceRecord.FormatQName 003d @UStrCopy 004a @UStrEqual 0061 @UStrCatN 006c @UStrAsg 0081 @UStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B F2 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DE 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 B9 01 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 17 56 68 ?? ?? ?? ?? FF 75 FC 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 09 8B C7 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_32991_0 {
	meta:
		name = "TIdTextModeResourceRecord.FormatQNameFull"
		size = 172
		refs = "0012 TIdTextModeResourceRecord.FormatQNameFull 0028 @UStrCat3 0032 @UStrEqual 0040 TIdTextModeResourceRecord.FormatQName 0058 @UStrAsg 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC B9 ?? ?? ?? ?? 8B 53 08 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 74 0C 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 75 0E 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8B C7 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_32992_0 {
	meta:
		name = "TIdTextModeResourceRecord.FormatRecord"
		size = 302
		refs = "001f TIdTextModeResourceRecord.FormatRecord 0032 TIdTextModeResourceRecord.FormatQName 003d DomainNameToDNSStr 0045 @DynArrayLength 0064 TArray<System.Byte> 0069 @DynArraySetLength 007e IdBytesCopyBytes 0083 GStack 0098 IdBytesCopyWord 00cb IdBytesCopyLongWord 010b @UStrClr 0119 @DynArrayClear 011f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D FC 8B F9 89 55 F8 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 C0 06 83 C0 04 50 8B C7 E8 ?? ?? ?? ?? 5A 03 D0 52 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 F4 8D 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 0F B7 56 14 8B 08 FF 51 2C 8D 4D F4 8B D3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 66 BA 01 00 8B 08 FF 51 2C 8D 4D F4 8B D3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 56 10 8B 08 FF 51 30 8D 4D F4 8B D3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 2C 8D 4D F4 8B D3 E8 ?? ?? ?? ?? 8D 4D F4 8B D3 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_32993_0 {
	meta:
		name = "TIdTextModeResourceRecord.GetValue"
		size = 91
		refs = "0012 TIdTextModeResourceRecord.GetValue 0025 TStrings.GetValue 0034 @LStrFromUStr 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32994_0 {
	meta:
		name = "TIdTextModeResourceRecord.SetValue"
		size = 86
		refs = "0012 TIdTextModeResourceRecord.SetValue 0022 @UStrFromLStr 002f TStrings.SetValue 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_32995_0 {
	meta:
		name = "TIdTextModeResourceRecord.ifAddFullName"
		size = 300
		refs = "001b @UStrAddRef 002b TIdTextModeResourceRecord.ifAddFullName 0042 @UStrLAsg 005c TextEndsWith 0098 @UStrCopy 00e3 @UStrEqual 0107 @UStrArrayClr 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 75 0D 8D 45 EC 8B 53 08 E8 ?? ?? ?? ?? EB 0B 8D 45 EC 8B 55 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 07 33 DB E9 86 00 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 22 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 F4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 0B 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B D8 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 8B F0 3B DE 7F 26 8D 45 F0 50 8B D6 2B D3 42 8B CB 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 0F 94 C3 80 F3 01 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_32997_0 {
	meta:
		name = "TGIFCommentExtension.SetText"
		size = 19
		altNames = "TGIFTextExtension.SetText TIdTextModeResourceRecord.SetRRDatas TIdUserAccount.SetAttributes TIdVCardName.SetOtherNames"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 0C 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_32998_0 {
	meta:
		name = "TIdTextModeResourceRecord.SetTTL"
		size = 126
		refs = "0015 TIdTextModeResourceRecord.SetTTL 0023 Now 0035 AddMSecToTime 0047 CurrencyString 004c DateTimeToStr 0057 @UStrAsg 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 73 10 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 69 C6 E8 03 00 00 E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 18 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_32999_0 {
	meta:
		name = "TIdTextModeResourceRecord.TextRecord"
		size = 51
		refs = "000a TIdTextModeResourceRecord.TextRecord 0017 @UStrClr 002a @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C3 }
	condition:
		$1
}

rule function_97132_0 {
	meta:
		name = "TBaseValuesListAdapter.ImplGetListNameOfValue"
		size = 51
		refs = "000a TBaseValuesListAdapter.ImplGetListNameOfValue 0017 @UStrClr 002a @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C3 }
	condition:
		$1
}

rule function_44029_0 {
	meta:
		name = "TIWContainerLayout.RenderStyle"
		size = 51
		refs = "000a TIWContainerLayout.RenderStyle 0017 @UStrClr 002a @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C3 }
	condition:
		$1
}

rule function_36730_0 {
	meta:
		name = "TIdRemoteCMDClient.Execute"
		size = 51
		refs = "000a TIdRemoteCMDClient.Execute 0017 @UStrClr 002a @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C3 }
	condition:
		$1
}

rule function_33000_0 {
	meta:
		name = "TIdTextModeRRs.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TIdObjectList.Create 001e _Dn_TStringList 0023 TStringList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_33004_0 {
	meta:
		name = "TIdDNTreeNode.SetChildIndex"
		size = 19
		altNames = "TIdMessageBuilderHtml.SetHtml TIdMessageBuilderRtf.SetRtf TIdTextModeRRs.SetItemNames TScreenTipItem.SetDescription TWebResponse.SetCustomHeaders"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 14 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_33005_0 {
	meta:
		name = "TIdRR_CName.BinQueryRecord"
		size = 319
		refs = "0020 @UStrAddRef 0028 TIdRR_CName.BinQueryRecord 0037 TArray<System.Byte> 003c @DynArrayClear 0044 @DynArrayLength 0052 TIdRR_CName.GetCName 005d @UStrFromLStr 0068 DomainNameToDNSStr 0079 @DynArrayAsg 009b TIdTextModeResourceRecord.FormatRecord 00c4 ToBytes 00f4 @FinalizeArray 00fc @UStrClr 0112 @LStrClr 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 85 C0 75 64 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 43 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 50 8B 43 04 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 43 04 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33017_0 {
	meta:
		name = "TIdRR_MB.BinQueryRecord"
		size = 319
		refs = "0020 @UStrAddRef 0028 TIdRR_MB.BinQueryRecord 0037 TArray<System.Byte> 003c @DynArrayClear 0044 @DynArrayLength 0052 TIdRR_MB.GetMADName 005d @UStrFromLStr 0068 DomainNameToDNSStr 0079 @DynArrayAsg 009b TIdTextModeResourceRecord.FormatRecord 00c4 ToBytes 00f4 @FinalizeArray 00fc @UStrClr 0112 @LStrClr 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 85 C0 75 64 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 43 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 50 8B 43 04 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 43 04 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33022_0 {
	meta:
		name = "TIdRR_MG.BinQueryRecord"
		size = 319
		refs = "0020 @UStrAddRef 0028 TIdRR_MG.BinQueryRecord 0037 TArray<System.Byte> 003c @DynArrayClear 0044 @DynArrayLength 0052 TIdRR_MG.GetMGMName 005d @UStrFromLStr 0068 DomainNameToDNSStr 0079 @DynArrayAsg 009b TIdTextModeResourceRecord.FormatRecord 00c4 ToBytes 00f4 @FinalizeArray 00fc @UStrClr 0112 @LStrClr 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 85 C0 75 64 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 43 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 50 8B 43 04 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 43 04 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33034_0 {
	meta:
		name = "TIdRR_MR.BinQueryRecord"
		size = 319
		refs = "0020 @UStrAddRef 0028 TIdRR_MR.BinQueryRecord 0037 TArray<System.Byte> 003c @DynArrayClear 0044 @DynArrayLength 0052 TIdRR_MR.GetNewName 005d @UStrFromLStr 0068 DomainNameToDNSStr 0079 @DynArrayAsg 009b TIdTextModeResourceRecord.FormatRecord 00c4 ToBytes 00f4 @FinalizeArray 00fc @UStrClr 0112 @LStrClr 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 85 C0 75 64 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 43 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 50 8B 43 04 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 43 04 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33046_0 {
	meta:
		name = "TIdRR_NS.BinQueryRecord"
		size = 319
		refs = "0020 @UStrAddRef 0028 TIdRR_NS.BinQueryRecord 0037 TArray<System.Byte> 003c @DynArrayClear 0044 @DynArrayLength 0052 TIdRR_NS.GetNS 005d @UStrFromLStr 0068 DomainNameToDNSStr 0079 @DynArrayAsg 009b TIdTextModeResourceRecord.FormatRecord 00c4 ToBytes 00f4 @FinalizeArray 00fc @UStrClr 0112 @LStrClr 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 85 C0 75 64 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 43 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 50 8B 43 04 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 43 04 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33051_0 {
	meta:
		name = "TIdRR_PTR.BinQueryRecord"
		size = 319
		refs = "0020 @UStrAddRef 0028 TIdRR_PTR.BinQueryRecord 0037 TArray<System.Byte> 003c @DynArrayClear 0044 @DynArrayLength 0052 TIdRR_PTR.GetPTRName 005d @UStrFromLStr 0068 DomainNameToDNSStr 0079 @DynArrayAsg 009b TIdTextModeResourceRecord.FormatRecord 00c4 ToBytes 00f4 @FinalizeArray 00fc @UStrClr 0112 @LStrClr 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 85 C0 75 64 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 43 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 50 8B 43 04 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 43 04 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33006_0 {
	meta:
		name = "TIdRR_CName.Create"
		size = 96
		refs = "000a @ClassCreate 0015 TIdRR_CName.Create 001e TIdTextModeResourceRecord.CreateInit 0027 TIdRR_CName.SetCName 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 05 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_33007_0 {
	meta:
		name = "TIdRR_CName.GetCName"
		size = 48
		refs = "0009 TIdRR_CName.GetCName 0010 TIdTextModeResourceRecord.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_33008_0 {
	meta:
		name = "TIdRR_CName.SetCName"
		size = 40
		refs = "0003 TIdRR_CName.SetCName 0008 TIdTextModeResourceRecord.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_33009_0 {
	meta:
		name = "TIdRR_CName.TextRecord"
		size = 252
		refs = "0018 @UStrAddRef 0020 TIdRR_CName.TextRecord 0033 TIdTextModeResourceRecord.FormatQNameFull 0059 TIdRR_CName.GetCName 0064 @UStrFromLStr 0078 @UStrCatN 008d @LStrClr 009a @UStrArrayClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C6 BA 08 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_33010_0 {
	meta:
		name = "TIdRR_HINFO.BinQueryRecord"
		size = 329
		refs = "0020 @UStrAddRef 0028 TIdRR_HINFO.BinQueryRecord 0036 @DynArrayLength 0044 TIdRR_HINFO.GetCPU 004f @UStrFromLStr 005a NormalStrToDNSStr 0066 TIdRR_HINFO.GetOS 0089 AppendBytes 009a TIdTextModeResourceRecord.FormatRecord 00a6 TArray<System.Byte> 00ab @DynArrayAsg 00c3 ToBytes 00f3 @FinalizeArray 00fb @LStrClr 0103 @UStrClr 0111 @DynArrayClear 013d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 E8 ?? ?? ?? ?? 85 C0 75 71 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 6A FF 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F8 33 C9 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8D 43 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 50 8B 43 04 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 43 04 E8 ?? ?? ?? ?? 8B 55 DC 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A1 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33011_0 {
	meta:
		name = "TIdRR_HINFO.Create"
		size = 104
		refs = "000a @ClassCreate 0015 TIdRR_HINFO.Create 001e TIdTextModeResourceRecord.CreateInit 0027 TIdRR_HINFO.SetCPU 0030 TIdRR_HINFO.SetOS 003b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 0D B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 48 00 49 00 4E 00 46 00 4F 00 00 00 }
	condition:
		$1
}

rule function_33012_0 {
	meta:
		name = "TIdRR_HINFO.GetCPU"
		size = 44
		refs = "0009 TIdRR_HINFO.GetCPU 0010 TIdTextModeResourceRecord.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 43 00 50 00 55 00 00 00 }
	condition:
		$1
}

rule function_33013_0 {
	meta:
		name = "TIdRR_HINFO.GetOS"
		size = 44
		refs = "0009 TIdRR_HINFO.GetOS 0010 TIdTextModeResourceRecord.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_33014_0 {
	meta:
		name = "TIdRR_HINFO.SetCPU"
		size = 36
		refs = "0003 TIdRR_HINFO.SetCPU 0008 TIdTextModeResourceRecord.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 43 00 50 00 55 00 00 00 }
	condition:
		$1
}

rule function_33015_0 {
	meta:
		name = "TIdRR_HINFO.SetOS"
		size = 36
		refs = "0003 TIdRR_HINFO.SetOS 0008 TIdTextModeResourceRecord.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_33016_0 {
	meta:
		name = "TIdRR_HINFO.TextRecord"
		size = 348
		refs = "001c @UStrAddRef 0024 TIdRR_HINFO.TextRecord 0037 TIdTextModeResourceRecord.FormatQNameFull 0062 TIdRR_HINFO.GetCPU 006d @UStrFromLStr 007f TIdRR_HINFO.GetOS 00a3 @UStrCatN 00b8 @LStrClr 00c0 @UStrClr 00d5 @UStrArrayClr 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 0C 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 48 00 49 00 4E 00 46 00 4F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_33018_0 {
	meta:
		name = "TIdRR_MB.Create"
		size = 92
		refs = "000a @ClassCreate 0015 TIdRR_MB.Create 001e TIdTextModeResourceRecord.CreateInit 0027 TIdRR_MB.SetMADName 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 07 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4D 00 42 00 00 00 00 00 }
	condition:
		$1
}

rule function_33019_0 {
	meta:
		name = "TIdRR_MB.GetMADName"
		size = 52
		refs = "0009 TIdRR_MB.GetMADName 0010 TIdTextModeResourceRecord.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 41 00 44 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_33020_0 {
	meta:
		name = "TIdRR_MB.SetMADName"
		size = 44
		refs = "0003 TIdRR_MB.SetMADName 0008 TIdTextModeResourceRecord.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 41 00 44 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_33021_0 {
	meta:
		name = "TIdRR_MB.TextRecord"
		size = 248
		refs = "0018 @UStrAddRef 0020 TIdRR_MB.TextRecord 0033 TIdTextModeResourceRecord.FormatQNameFull 0059 TIdRR_MB.GetMADName 0064 @UStrFromLStr 0078 @UStrCatN 008d @LStrClr 009a @UStrArrayClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C6 BA 08 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4D 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_33023_0 {
	meta:
		name = "TIdRR_MG.Create"
		size = 92
		refs = "000a @ClassCreate 0015 TIdRR_MG.Create 001e TIdTextModeResourceRecord.CreateInit 0027 TIdRR_MG.SetMGMName 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 08 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4D 00 47 00 00 00 00 00 }
	condition:
		$1
}

rule function_33024_0 {
	meta:
		name = "TIdRR_MG.GetMGMName"
		size = 52
		refs = "0009 TIdRR_MG.GetMGMName 0010 TIdTextModeResourceRecord.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 47 00 4D 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_33025_0 {
	meta:
		name = "TIdRR_MG.SetMGMName"
		size = 44
		refs = "0003 TIdRR_MG.SetMGMName 0008 TIdTextModeResourceRecord.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 47 00 4D 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_33026_0 {
	meta:
		name = "TIdRR_MG.TextRecord"
		size = 248
		refs = "0018 @UStrAddRef 0020 TIdRR_MG.TextRecord 0033 TIdTextModeResourceRecord.FormatQNameFull 0059 TIdRR_MG.GetMGMName 0064 @UStrFromLStr 0078 @UStrCatN 008d @LStrClr 009a @UStrArrayClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C6 BA 08 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4D 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_33027_0 {
	meta:
		name = "TIdRR_MINFO.BinQueryRecord"
		size = 401
		refs = "0021 @UStrAddRef 0029 TIdRR_MINFO.BinQueryRecord 0037 @DynArrayLength 0049 TIdRR_MINFO.GetRMail 0054 @UStrFromLStr 005f DomainNameToDNSStr 006b TArray<System.Byte> 0070 @DynArrayAsg 008b TIdRR_MINFO.GetEMail 00c1 AppendBytes 00d2 TIdTextModeResourceRecord.FormatRecord 00fb ToBytes 012b @FinalizeArray 0133 @UStrClr 0141 @DynArrayClear 0164 @LStrArrayClr 0185 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 E8 ?? ?? ?? ?? 85 C0 0F 85 A4 00 00 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 E0 8B 55 EC E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 45 D8 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 8D 45 F8 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 D4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 D4 8D 43 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 50 8B 43 04 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 43 04 E8 ?? ?? ?? ?? 8B 55 D0 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 91 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33028_0 {
	meta:
		name = "TIdRR_MINFO.Create"
		size = 104
		refs = "000a @ClassCreate 0015 TIdRR_MINFO.Create 001e TIdTextModeResourceRecord.CreateInit 0027 TIdRR_MINFO.SetResponsible_Mail 0030 TIdRR_MINFO.SetErrorHandle_Mail 003b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 0E B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 49 00 4E 00 46 00 4F 00 00 00 }
	condition:
		$1
}

rule function_33029_0 {
	meta:
		name = "TIdRR_MINFO.GetEMail"
		size = 52
		refs = "0009 TIdRR_MINFO.GetEMail 0010 TIdTextModeResourceRecord.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 4D 00 41 00 49 00 4C 00 42 00 58 00 00 00 }
	condition:
		$1
}

rule function_33030_0 {
	meta:
		name = "TIdRR_MINFO.GetRMail"
		size = 52
		refs = "0009 TIdRR_MINFO.GetRMail 0010 TIdTextModeResourceRecord.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 4D 00 41 00 49 00 4C 00 42 00 58 00 00 00 }
	condition:
		$1
}

rule function_33031_0 {
	meta:
		name = "TIdRR_MINFO.SetErrorHandle_Mail"
		size = 44
		refs = "0003 TIdRR_MINFO.SetErrorHandle_Mail 0008 TIdTextModeResourceRecord.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 4D 00 41 00 49 00 4C 00 42 00 58 00 00 00 }
	condition:
		$1
}

rule function_33032_0 {
	meta:
		name = "TIdRR_MINFO.SetResponsible_Mail"
		size = 44
		refs = "0003 TIdRR_MINFO.SetResponsible_Mail 0008 TIdTextModeResourceRecord.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 4D 00 41 00 49 00 4C 00 42 00 58 00 00 00 }
	condition:
		$1
}

rule function_33033_0 {
	meta:
		name = "TIdRR_MINFO.TextRecord"
		size = 320
		refs = "001c @UStrAddRef 0024 TIdRR_MINFO.TextRecord 0037 TIdTextModeResourceRecord.FormatQNameFull 005d TIdRR_MINFO.GetRMail 0068 @UStrFromLStr 007a TIdRR_MINFO.GetEMail 0099 @UStrCatN 00ae @LStrClr 00b6 @UStrClr 00cb @UStrArrayClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B C6 BA 0A 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 49 00 4E 00 46 00 4F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_33035_0 {
	meta:
		name = "TIdRR_MR.Create"
		size = 92
		refs = "000a @ClassCreate 0015 TIdRR_MR.Create 001e TIdTextModeResourceRecord.CreateInit 0027 TIdRR_MR.SetNewName 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 09 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4D 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_33036_0 {
	meta:
		name = "TIdRR_MR.GetNewName"
		size = 52
		refs = "0009 TIdRR_MR.GetNewName 0010 TIdTextModeResourceRecord.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4E 00 65 00 77 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_33037_0 {
	meta:
		name = "TIdRR_MR.SetNewName"
		size = 44
		refs = "0003 TIdRR_MR.SetNewName 0008 TIdTextModeResourceRecord.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4E 00 65 00 77 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_33038_0 {
	meta:
		name = "TIdRR_MR.TextRecord"
		size = 248
		refs = "0018 @UStrAddRef 0020 TIdRR_MR.TextRecord 0033 TIdTextModeResourceRecord.FormatQNameFull 0059 TIdRR_MR.GetNewName 0064 @UStrFromLStr 0078 @UStrCatN 008d @LStrClr 009a @UStrArrayClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C6 BA 08 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4D 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_33039_0 {
	meta:
		name = "TIdRR_MX.BinQueryRecord"
		size = 372
		refs = "0022 @UStrAddRef 002a TIdRR_MX.BinQueryRecord 0039 TArray<System.Byte> 003e @DynArrayClear 0046 @DynArrayLength 0058 TIdRR_MX.GetPref 0063 @UStrFromLStr 006b IndyStrToInt 0077 ToBytes 0085 TIdRR_MX.GetExchang 009d TIdTextModeResourceRecord.FormatQName 00a8 DomainNameToDNSStr 00b7 AppendBytes 00c8 TIdTextModeResourceRecord.FormatRecord 00d9 @DynArrayAsg 0121 @FinalizeArray 0129 @LStrClr 0136 @UStrArrayClr 0146 @UStrClr 0167 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 85 C0 0F 85 8B 00 00 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 F4 E8 ?? ?? ?? ?? 6A FF 8D 45 F8 33 C9 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8D 43 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 50 8B 43 04 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 43 04 E8 ?? ?? ?? ?? 8B 55 D8 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33040_0 {
	meta:
		name = "TIdRR_MX.Create"
		size = 92
		refs = "000a @ClassCreate 0015 TIdRR_MX.Create 001e TIdTextModeResourceRecord.CreateInit 0027 TIdRR_MX.SetExchange 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 0F B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4D 00 58 00 00 00 00 00 }
	condition:
		$1
}

rule function_33041_0 {
	meta:
		name = "TIdRR_MX.GetExchang"
		size = 56
		refs = "0009 TIdRR_MX.GetExchang 0010 TIdTextModeResourceRecord.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 58 00 43 00 48 00 41 00 4E 00 47 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_33042_0 {
	meta:
		name = "TIdRR_MX.GetPref"
		size = 48
		refs = "0009 TIdRR_MX.GetPref 0010 TIdTextModeResourceRecord.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 52 00 45 00 46 00 00 00 00 00 }
	condition:
		$1
}

rule function_33043_0 {
	meta:
		name = "TIdRR_MX.SetExchange"
		size = 48
		refs = "0003 TIdRR_MX.SetExchange 0008 TIdTextModeResourceRecord.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 58 00 43 00 48 00 41 00 4E 00 47 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_33044_0 {
	meta:
		name = "TIdRR_MX.SetPref"
		size = 40
		refs = "0003 TIdRR_MX.SetPref 0008 TIdTextModeResourceRecord.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 52 00 45 00 46 00 00 00 00 00 }
	condition:
		$1
}

rule function_33045_0 {
	meta:
		name = "TIdRR_MX.TextRecord"
		size = 316
		refs = "001c @UStrAddRef 0024 TIdRR_MX.TextRecord 0037 TIdTextModeResourceRecord.FormatQNameFull 005d TIdRR_MX.GetPref 0068 @UStrFromLStr 007a TIdRR_MX.GetExchang 0099 @UStrCatN 00ae @LStrClr 00b6 @UStrClr 00cb @UStrArrayClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B C6 BA 0A 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4D 00 58 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_33047_0 {
	meta:
		name = "TIdRR_NS.Create"
		size = 92
		refs = "000a @ClassCreate 0015 TIdRR_NS.Create 001e TIdTextModeResourceRecord.CreateInit 0027 TIdRR_NS.SetNS 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 02 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4E 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_33048_0 {
	meta:
		name = "TIdRR_NS.GetNS"
		size = 52
		refs = "0009 TIdRR_NS.GetNS 0010 TIdTextModeResourceRecord.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4E 00 53 00 44 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_33049_0 {
	meta:
		name = "TIdRR_NS.SetNS"
		size = 44
		refs = "0003 TIdRR_NS.SetNS 0008 TIdTextModeResourceRecord.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4E 00 53 00 44 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_33050_0 {
	meta:
		name = "TIdRR_NS.TextRecord"
		size = 248
		refs = "0018 @UStrAddRef 0020 TIdRR_NS.TextRecord 0033 TIdTextModeResourceRecord.FormatQNameFull 0059 TIdRR_NS.GetNS 0064 @UStrFromLStr 0078 @UStrCatN 008d @LStrClr 009a @UStrArrayClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C6 BA 08 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4E 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_33052_0 {
	meta:
		name = "TIdRR_PTR.Create"
		size = 92
		refs = "000a @ClassCreate 0015 TIdRR_PTR.Create 001e TIdTextModeResourceRecord.CreateInit 0027 TIdRR_PTR.SetPTRName 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 0C B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 54 00 52 00 00 00 }
	condition:
		$1
}

rule function_33053_0 {
	meta:
		name = "TIdRR_PTR.GetPTRName"
		size = 56
		refs = "0009 TIdRR_PTR.GetPTRName 0010 TIdTextModeResourceRecord.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 54 00 52 00 44 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_33054_0 {
	meta:
		name = "TIdRR_PTR.SetPTRName"
		size = 48
		refs = "0003 TIdRR_PTR.SetPTRName 0008 TIdTextModeResourceRecord.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 54 00 52 00 44 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_33055_0 {
	meta:
		name = "TIdRR_PTR.TextRecord"
		size = 248
		refs = "0018 @UStrAddRef 0020 TIdRR_PTR.TextRecord 0033 TIdTextModeResourceRecord.FormatQNameFull 0059 TIdRR_PTR.GetPTRName 0064 @UStrFromLStr 0078 @UStrCatN 008d @LStrClr 009a @UStrArrayClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C6 BA 08 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 54 00 52 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_33056_0 {
	meta:
		name = "TIdRR_SOA.BinQueryRecord"
		size = 875
		refs = "0021 @UStrAddRef 0029 TIdRR_SOA.BinQueryRecord 0038 TArray<System.Byte> 003d @DynArrayClear 0061 @DynArrayLength 0073 TIdRR_SOA.GetMName 007e @UStrFromLStr 0089 DomainNameToDNSStr 009a @DynArrayAsg 00b5 TIdRR_SOA.GetRName 0118 @DynArraySetLength 012e IdBytesCopyBytes 0146 TIdRR_SOA.GetSerial 0159 IndyStrToInt 0160 GStack 0172 IdBytesCopyWord 017c TIdRR_SOA.GetRefresh 01b2 TIdRR_SOA.GetRetry 01e8 TIdRR_SOA.GetExpire 021e TIdRR_SOA.GetMin 025b TIdTextModeResourceRecord.FormatRecord 0284 ToBytes 02b4 @FinalizeArray 02bc @LStrClr 02c4 @UStrClr 0309 @UStrArrayClr 033a @LStrArrayClr 035b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 85 C0 0F 85 03 02 00 00 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 45 D4 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8D 45 CC 8B 55 E0 E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 8B 45 F4 E8 ?? ?? ?? ?? 03 F8 83 C7 0A 57 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 DC 8D 4D DC 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D DC 8D 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 C8 E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 2C 8D 4D DC 8D 55 F0 E8 ?? ?? ?? ?? 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 8B 55 BC 8D 45 C0 E8 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 2C 8D 4D DC 8D 55 F0 E8 ?? ?? ?? ?? 8D 55 B4 8B C3 E8 ?? ?? ?? ?? 8B 55 B4 8D 45 B8 E8 ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 2C 8D 4D DC 8D 55 F0 E8 ?? ?? ?? ?? 8D 55 AC 8B C3 E8 ?? ?? ?? ?? 8B 55 AC 8D 45 B0 E8 ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 2C 8D 4D DC 8D 55 F0 E8 ?? ?? ?? ?? 8D 55 A4 8B C3 E8 ?? ?? ?? ?? 8B 55 A4 8D 45 A8 E8 ?? ?? ?? ?? 8B 45 A8 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 2C 8D 4D DC 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 A0 50 8B 4D F0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 A0 8D 43 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 9C 50 8B 43 04 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 43 04 E8 ?? ?? ?? ?? 8B 55 9C 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 41 FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33057_0 {
	meta:
		name = "TIdRR_SOA.Create"
		size = 144
		refs = "000a @ClassCreate 0015 TIdRR_SOA.Create 001e TIdTextModeResourceRecord.CreateInit 0027 TIdRR_SOA.SetMName 0030 TIdRR_SOA.SetRName 0039 TIdRR_SOA.SetSerial 0042 TIdRR_SOA.SetRefresh 004b TIdRR_SOA.SetRetry 0054 TIdRR_SOA.SetExpire 005d TIdRR_SOA.SetMin 0068 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 06 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 4F 00 41 00 00 00 }
	condition:
		$1
}

rule function_33058_0 {
	meta:
		name = "TIdRR_SOA.GetExpire"
		size = 52
		refs = "0009 TIdRR_SOA.GetExpire 0010 TIdRR_SOA.GetName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 45 00 58 00 50 00 49 00 52 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_33059_0 {
	meta:
		name = "TIdRR_SOA.GetMin"
		size = 52
		refs = "0009 TIdRR_SOA.GetMin 0010 TIdRR_SOA.GetName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 49 00 4E 00 49 00 4D 00 55 00 4D 00 00 00 }
	condition:
		$1
}

rule function_33060_0 {
	meta:
		name = "TIdRR_SOA.GetMName"
		size = 48
		refs = "0009 TIdRR_SOA.GetMName 0010 TIdRR_SOA.GetName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_33062_0 {
	meta:
		name = "TIdRR_SOA.GetRefresh"
		size = 52
		refs = "0009 TIdRR_SOA.GetRefresh 0010 TIdRR_SOA.GetName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 45 00 46 00 52 00 45 00 53 00 48 00 00 00 }
	condition:
		$1
}

rule function_33063_0 {
	meta:
		name = "TIdRR_SOA.GetRetry"
		size = 48
		refs = "0009 TIdRR_SOA.GetRetry 0010 TIdRR_SOA.GetName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 45 00 54 00 52 00 59 00 00 00 }
	condition:
		$1
}

rule function_33064_0 {
	meta:
		name = "TIdRR_SOA.GetRName"
		size = 48
		refs = "0009 TIdRR_SOA.GetRName 0010 TIdRR_SOA.GetName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_33065_0 {
	meta:
		name = "TIdRR_SOA.GetSerial"
		size = 52
		refs = "0009 TIdRR_SOA.GetSerial 0010 TIdRR_SOA.GetName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 45 00 52 00 49 00 41 00 4C 00 00 00 00 00 }
	condition:
		$1
}

rule function_33066_0 {
	meta:
		name = "TIdRR_SOA.SetExpire"
		size = 44
		refs = "0003 TIdRR_SOA.SetExpire 0008 TIdRR_SOA.SetName"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 45 00 58 00 50 00 49 00 52 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_33067_0 {
	meta:
		name = "TIdRR_SOA.SetMin"
		size = 44
		refs = "0003 TIdRR_SOA.SetMin 0008 TIdRR_SOA.SetName"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 49 00 4E 00 49 00 4D 00 55 00 4D 00 00 00 }
	condition:
		$1
}

rule function_33068_0 {
	meta:
		name = "TIdRR_SOA.SetMName"
		size = 40
		refs = "0003 TIdRR_SOA.SetMName 0008 TIdRR_SOA.SetName"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_33070_0 {
	meta:
		name = "TIdRR_SOA.SetRefresh"
		size = 44
		refs = "0003 TIdRR_SOA.SetRefresh 0008 TIdRR_SOA.SetName"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 45 00 46 00 52 00 45 00 53 00 48 00 00 00 }
	condition:
		$1
}

rule function_33071_0 {
	meta:
		name = "TIdRR_SOA.SetRetry"
		size = 40
		refs = "0003 TIdRR_SOA.SetRetry 0008 TIdRR_SOA.SetName"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 45 00 54 00 52 00 59 00 00 00 }
	condition:
		$1
}

rule function_33072_0 {
	meta:
		name = "TIdRR_SOA.SetRName"
		size = 40
		refs = "0003 TIdRR_SOA.SetRName 0008 TIdRR_SOA.SetName"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 4E 00 41 00 4D 00 45 00 00 00 }
	condition:
		$1
}

rule function_33073_0 {
	meta:
		name = "TIdRR_SOA.SetSerial"
		size = 44
		refs = "0003 TIdRR_SOA.SetSerial 0008 TIdRR_SOA.SetName"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 45 00 52 00 49 00 41 00 4C 00 00 00 00 00 }
	condition:
		$1
}

rule function_33074_0 {
	meta:
		name = "TIdRR_SOA.TextRecord"
		size = 544
		refs = "0021 @UStrAddRef 0029 TIdRR_SOA.TextRecord 003c TIdTextModeResourceRecord.FormatQNameFull 0062 TIdRR_SOA.GetMName 006d @UStrFromLStr 007f TIdRR_SOA.GetRName 009c TIdRR_SOA.GetSerial 00b9 TIdRR_SOA.GetRefresh 00d6 TIdRR_SOA.GetRetry 00f3 TIdRR_SOA.GetExpire 0110 TIdRR_SOA.GetMin 012f @UStrCatN 0144 @LStrClr 014c @UStrClr 01b1 @UStrArrayClr 01b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 DC E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 8B 55 C8 8D 45 CC E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 8B 55 C0 8D 45 C4 E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 8B C6 BA 14 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 83 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 4F 00 41 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_33075_0 {
	meta:
		name = "TIdRR_A.BinQueryRecord"
		size = 262
		refs = "001c @UStrAddRef 0024 TIdRR_A.BinQueryRecord 0033 TArray<System.Byte> 0038 @DynArrayClear 0040 @DynArrayLength 004e TIdRR_A.GetA 0059 @UStrFromLStr 0064 IPAddrToDNSStr 0075 TIdTextModeResourceRecord.FormatRecord 0086 @DynArrayAsg 009e ToBytes 00ce @FinalizeArray 00d6 @LStrClr 00de @UStrClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 85 C0 75 42 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8D 43 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 50 8B 43 04 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 43 04 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33080_0 {
	meta:
		name = "TIdRR_AAAA.BinQueryRecord"
		size = 262
		refs = "001c @UStrAddRef 0024 TIdRR_AAAA.BinQueryRecord 0033 TArray<System.Byte> 0038 @DynArrayClear 0040 @DynArrayLength 004e TIdRR_AAAA.GetA 0059 @UStrFromLStr 0064 IPv6AAAAToDNSStr 0075 TIdTextModeResourceRecord.FormatRecord 0086 @DynArrayAsg 009e ToBytes 00ce @FinalizeArray 00d6 @LStrClr 00de @UStrClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 85 C0 75 42 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8D 43 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 50 8B 43 04 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 43 04 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33085_0 {
	meta:
		name = "TIdRR_TXT.BinQueryRecord"
		size = 262
		refs = "001c @UStrAddRef 0024 TIdRR_TXT.BinQueryRecord 0033 TArray<System.Byte> 0038 @DynArrayClear 0040 @DynArrayLength 004e TIdRR_TXT.GetTXT 0059 @UStrFromLStr 0064 NormalStrToDNSStr 0075 TIdTextModeResourceRecord.FormatRecord 0086 @DynArrayAsg 009e ToBytes 00ce @FinalizeArray 00d6 @LStrClr 00de @UStrClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 85 C0 75 42 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8D 43 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 50 8B 43 04 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 43 04 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33076_0 {
	meta:
		name = "TIdRR_A.Create"
		size = 88
		refs = "000a @ClassCreate 0015 TIdRR_A.Create 001e TIdTextModeResourceRecord.CreateInit 0027 TIdRR_A.SetA 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 01 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 }
	condition:
		$1
}

rule function_33077_0 {
	meta:
		name = "TIdRR_A.GetA"
		size = 40
		refs = "0009 TIdRR_A.GetA 0010 TIdTextModeResourceRecord.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 }
	condition:
		$1
}

rule function_33078_0 {
	meta:
		name = "TIdRR_A.SetA"
		size = 32
		refs = "0003 TIdRR_A.SetA 0008 TIdTextModeResourceRecord.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 }
	condition:
		$1
}

rule function_33079_0 {
	meta:
		name = "TIdRR_A.TextRecord"
		size = 244
		refs = "0018 @UStrAddRef 0020 TIdRR_A.TextRecord 0033 TIdTextModeResourceRecord.FormatQNameFull 0059 TIdRR_A.GetA 0064 @UStrFromLStr 0078 @UStrCatN 008d @LStrClr 009a @UStrArrayClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C6 BA 08 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_33081_0 {
	meta:
		name = "TIdRR_AAAA.Create"
		size = 96
		refs = "000a @ClassCreate 0015 TIdRR_AAAA.Create 001e TIdTextModeResourceRecord.CreateInit 0027 TIdRR_AAAA.SetA 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 1C B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 41 00 41 00 41 00 00 00 00 00 }
	condition:
		$1
}

rule function_33082_0 {
	meta:
		name = "TIdRR_AAAA.GetA"
		size = 48
		refs = "0009 TIdRR_AAAA.GetA 0010 TIdTextModeResourceRecord.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 41 00 41 00 41 00 00 00 00 00 }
	condition:
		$1
}

rule function_33083_0 {
	meta:
		name = "TIdRR_AAAA.SetA"
		size = 40
		refs = "0003 TIdRR_AAAA.SetA 0008 TIdTextModeResourceRecord.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 41 00 41 00 41 00 00 00 00 00 }
	condition:
		$1
}

rule function_33084_0 {
	meta:
		name = "TIdRR_AAAA.TextRecord"
		size = 252
		refs = "0018 @UStrAddRef 0020 TIdRR_AAAA.TextRecord 0033 TIdTextModeResourceRecord.FormatQNameFull 0059 TIdRR_AAAA.GetA 0064 @UStrFromLStr 0078 @UStrCatN 008d @LStrClr 009a @UStrArrayClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C6 BA 08 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 41 00 41 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_33086_0 {
	meta:
		name = "TIdRR_TXT.Create"
		size = 92
		refs = "000a @ClassCreate 0015 TIdRR_TXT.Create 001e TIdTextModeResourceRecord.CreateInit 0027 TIdRR_TXT.SetTXT 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 10 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 58 00 54 00 00 00 }
	condition:
		$1
}

rule function_33087_0 {
	meta:
		name = "TIdRR_TXT.GetTXT"
		size = 44
		refs = "0009 TIdRR_TXT.GetTXT 0010 TIdTextModeResourceRecord.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 58 00 54 00 00 00 }
	condition:
		$1
}

rule function_33088_0 {
	meta:
		name = "TIdRR_TXT.SetTXT"
		size = 36
		refs = "0003 TIdRR_TXT.SetTXT 0008 TIdTextModeResourceRecord.SetValue"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 58 00 54 00 00 00 }
	condition:
		$1
}

rule function_33089_0 {
	meta:
		name = "TIdRR_TXT.TextRecord"
		size = 276
		refs = "0018 @UStrAddRef 0020 TIdRR_TXT.TextRecord 0033 TIdTextModeResourceRecord.FormatQNameFull 005e TIdRR_TXT.GetTXT 0069 @UStrFromLStr 0082 @UStrCatN 0097 @LStrClr 00a4 @UStrArrayClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 0A 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 58 00 54 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_33090_0 {
	meta:
		name = "TIdRR_WKS.Create"
		size = 80
		refs = "000a @ClassCreate 0015 TIdRR_WKS.Create 001e TIdTextModeResourceRecord.CreateInit 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 0B B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 03 00 00 00 57 00 4B 00 53 00 00 00 }
	condition:
		$1
}

rule function_33092_0 {
	meta:
		name = "ReplaceSpecString"
		size = 266
		refs = "0026 @UStrAddRef 003e ReplaceSpecString 004f @UStrEqual 005b @UStrAsg 0068 @UStrLAsg 0070 @UStrClr 0083 Pos 009a Fetch 00b0 @UStrCatN 00d0 @UStrCat3 00f6 @UStrArrayClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D F0 89 5D EC 89 5D E8 89 4D F4 89 55 F8 89 45 FC 8B 75 08 8B 5D 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 75 0C 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 7F 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 4B 6A 01 8D 45 EC 50 8D 45 F0 B1 01 8B 55 F8 E8 ?? ?? ?? ?? FF 75 E8 FF 75 EC FF 75 F4 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 04 84 DB 75 C4 8B C6 8B 4D F0 8B 55 E8 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_33093_0 {
	meta:
		name = "IsBig5"
		size = 68
	strings:
		$1 = { 66 3D A1 00 72 06 66 3D FE 00 76 18 66 3D 8E 00 72 06 66 3D A0 00 76 0C 66 3D 81 00 72 20 66 3D 8D 00 77 1A 66 83 FA 40 72 06 66 83 FA 7E 76 11 66 81 FA A1 00 72 07 66 81 FA FE 00 76 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_33094_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_22 001a cRCodeStrs 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 06 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_36800_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_5 001a VALID_TAGGEDREPLIES 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 06 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_45498_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_2 001a cDeviceToResourceName 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 06 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_79369_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_6 001a DefaultEncodingNames 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 06 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_33096_0 {
	meta:
		name = "DNSStrToDomain"
		size = 388
		refs = "001c DNSStrToDomain 002a @UStrClr 0031 @DynArrayLength 0073 TwoByteToWord 007a GStack 00ac BytesToString 00c9 GetErrorStr 00d3 _Dn_EIdDnsResolverError 00d8 EIdException.Create 00dd @RaiseExcept 00f7 @UStrCatN 0111 TextEndsWith 0134 @UStrSetLength 0164 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E8 89 5D FC 89 4D F8 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 45 EC C7 45 F4 FF FF FF FF E9 B7 00 00 00 8B 03 0F B6 34 07 85 F6 0F 84 B4 00 00 00 EB 3C 83 7D F4 00 7D 06 8B 03 40 89 45 F4 8B C6 24 3F 88 45 F3 8B 03 0F B6 54 07 01 0F B6 45 F3 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 0F B7 C0 89 03 8B 03 0F B6 34 07 B8 C0 00 00 00 23 C6 3D C0 00 00 00 74 B6 6A 00 8D 45 FC 50 8B 13 42 8B CE 8B C7 E8 ?? ?? ?? ?? 46 01 33 8B 03 48 3B 45 EC 7E 26 8D 4D E8 BA 03 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 FF 30 FF 75 FC 68 ?? ?? ?? ?? 8B 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 03 3B 45 EC 0F 8C 3E FF FF FF 8B 45 F8 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B 45 F8 8B 00 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 8B D0 4A 8B 45 F8 E8 ?? ?? ?? ?? 83 7D F4 00 7C 05 8B 45 F4 89 03 FF 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_33097_0 {
	meta:
		name = "NextDNSLabel"
		size = 67
		refs = "000d @DynArrayLength 002c BytesToString 003a @UStrClr"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 3B 07 7E 22 8B 07 0F B6 1C 06 FF 07 84 DB 76 16 6A 00 55 0F B6 CB 8B 17 8B C6 E8 ?? ?? ?? ?? 0F B6 C3 01 07 EB 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33098_0 {
	meta:
		name = "TRDATARecord.Assign"
		size = 46
		refs = "000b TResultRecord.Assign 0013 _DV_TRDATARecord 0018 @IsClass 0027 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8D 43 24 8B 56 24 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33126_0 {
	meta:
		name = "TAAAARecord.Assign"
		size = 46
		refs = "000b TResultRecord.Assign 0013 _DV_TAAAARecord 0018 @IsClass 0027 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8D 43 24 8B 56 24 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33101_0 {
	meta:
		name = "TNAMERecord.Assign"
		size = 46
		refs = "000b TResultRecord.Assign 0013 _DV_TNAMERecord 0018 @IsClass 0027 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8D 43 24 8B 56 24 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33099_0 {
	meta:
		name = "TRDATARecord.Parse"
		size = 181
		refs = "0018 @DynArrayAddRef 0020 TRDATARecord.Parse 0032 TResultRecord.Parse 003a @DynArrayLength 005f OrdFourByteToLongWord 0066 GStack 0075 MakeDWordIntoIPv4Address 0080 @UStrAsg 0095 @UStrClr 009e TArray<System.Byte> 00a3 @DynArrayClear 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 43 1C E8 ?? ?? ?? ?? 85 C0 7E 42 8B 43 1C 0F B6 40 03 50 8B 43 1C 0F B6 48 02 8B 43 1C 0F B6 50 01 8B 43 1C 0F B6 00 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_33100_0 {
	meta:
		name = "TMXRecord.Assign"
		size = 69
		refs = "000b TResultRecord.Assign 0013 _DV_TMXRecord 0018 @IsClass 0029 @AsClass 0036 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 43 24 8B 56 24 E8 ?? ?? ?? ?? 0F B7 46 28 66 89 43 28 5E 5B C3 }
	condition:
		$1
}

rule function_33102_0 {
	meta:
		name = "TQueryResult.Add"
		size = 1050
		refs = "001c @DynArrayAddRef 0024 TQueryResult.Add 0037 DNSStrToDomain 004f TwoByteToWord 0056 GStack 00ba OrdFourByteToLongWord 010a TArray<System.Byte> 0112 @DynArrayCopyRange 0192 _DV_TARecord 0197 TCollectionItem.Create 01a7 _DV_TNSRecord 01bc _DV_TMXRecord 01d1 _DV_TNAMERecord 01e6 _DV_TSOARecord 01fb _DV_THINFORecord 0200 TTextRecord.Create 0210 _DV_TTextRecord 0222 _DV_TWKSRecord 0234 _DV_TPTRRecord 0246 _DV_TMINFORecord 0258 _DV_TAAAARecord 026a _DV_TSRVRecord 027c _DV_TNAPTRRecord 028e _DV_TResultRecord 03a7 @UStrAsg 03f2 @UStrClr 0405 @FinalizeArray 040b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D F4 89 5D F8 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 03 8B 55 FC 0F B6 54 02 01 8B 03 8B 4D FC 0F B6 04 01 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 66 89 45 F2 8B 03 8B 55 FC 0F B6 54 02 03 8B 03 8B 4D FC 0F B6 44 01 02 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 66 89 45 F0 8B 03 8B 55 FC 0F B6 44 02 07 50 8B 03 8B 55 FC 0F B6 4C 02 06 8B 03 8B 55 FC 0F B6 54 02 05 8B 03 8B 7D FC 0F B6 44 07 04 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 89 45 EC 8B 03 8B 55 FC 0F B6 54 02 09 8B 03 8B 4D FC 0F B6 44 01 08 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 66 89 45 EA 0F B7 7D EA 57 8D 45 F8 50 8B 0B 83 C1 0A 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 0F B7 45 F2 83 F8 23 0F 87 66 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 02 00 00 04 05 00 00 00 00 08 09 06 0A 03 07 00 00 00 00 00 00 00 00 00 00 00 0B 00 00 00 00 0C 00 0D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 E9 F7 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 E9 E2 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 E9 CD 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 E9 B8 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 E9 A3 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 E9 8E 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 7C 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 6A 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 58 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 46 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 34 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 22 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 10 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 37 01 00 00 0F B7 45 F2 83 F8 0B 7F 42 0F 84 AE 00 00 00 83 F8 0A 0F 87 DF 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 10 7F 19 0F 84 85 00 00 00 83 E8 0C 74 68 48 74 6B 48 74 6E 48 74 71 E9 8E 00 00 00 83 E8 1C 74 73 83 E8 05 74 74 83 E8 02 74 75 2D D9 00 00 00 74 74 EB 76 C6 46 0C 00 EB 70 C6 46 0C 01 EB 6A C6 46 0C 02 EB 64 C6 46 0C 03 EB 5E C6 46 0C 04 EB 58 C6 46 0C 05 EB 52 C6 46 0C 06 EB 4C C6 46 0C 07 EB 46 C6 46 0C 08 EB 40 C6 46 0C 09 EB 3A C6 46 0C 0A EB 34 C6 46 0C 0B EB 2E C6 46 0C 0C EB 28 C6 46 0C 0D EB 22 C6 46 0C 0E EB 1C C6 46 0C 0F EB 16 C6 46 0C 14 EB 10 C6 46 0C 15 EB 0A C6 46 0C 16 EB 04 C6 46 0C 1D 0F B7 45 F0 66 89 46 0E 8D 46 10 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 EC 89 46 14 57 8D 46 1C 50 33 C9 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 7E 18 8B 0B 83 C1 0A 8B 55 FC 8B C6 8B 38 FF 57 20 0F B7 45 EA 83 C0 0A 01 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33103_0 {
	meta:
		name = "TQueryResult.Create"
		size = 74
		refs = "000a @ClassCreate 0014 _DV_TResultRecord 001d TCollection.Create 0024 _Dn_TStringList 0029 TStringList.Create 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_33107_0 {
	meta:
		name = "TResultRecord.Assign"
		size = 194
		refs = "000f TResultRecord.Assign 001d _DV_TResultRecord 0022 @IsClass 0033 @AsClass 004f @UStrAsg 0067 @DynArrayLength 0073 ToBytes 007f TArray<System.Byte> 0084 @DynArrayAsg 0096 TPersistent.Assign 00b1 @DynArrayClear 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 67 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 0F B6 46 0C 88 43 0C 0F B7 46 0E 66 89 43 0E 8D 43 10 8B 56 10 E8 ?? ?? ?? ?? 8B 46 14 89 43 14 8B 46 18 89 43 18 8D 45 FC 50 8B 46 1C E8 ?? ?? ?? ?? 8B D0 33 C9 8B 46 1C E8 ?? ?? ?? ?? 8B 55 FC 8D 43 1C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 46 20 88 43 20 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33109_0 {
	meta:
		name = "TNAMERecord.Parse"
		size = 128
		refs = "0018 @DynArrayAddRef 0020 TNAMERecord.Parse 0033 TResultRecord.Parse 0041 DNSStrToDomain 004c @UStrAsg 0061 @UStrClr 006a TArray<System.Byte> 006f @DynArrayClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 4D F4 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 43 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33110_0 {
	meta:
		name = "TQueryResult.Clear"
		size = 20
		refs = "0006 TCollection.Clear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 20 8B 10 FF 52 44 5B C3 }
	condition:
		$1
}

rule function_33111_0 {
	meta:
		name = "TQueryResult.Assign"
		size = 228
		refs = "0014 _DV_TQueryResult 0019 @IsClass 0031 TQueryResult.Assign 003f TQueryResult.Clear 005a TQueryResult.GetItem 0096 @HandleAnyException 00a3 TObject.Free 00a8 @RaiseAgain 00ad @DoneExcept 00cc @HandleFinally 00d9 TCollection.Assign"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 AD 00 00 00 8B 45 FC 8B 10 FF 52 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 8B 70 08 4E 85 F6 7C 64 46 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 03 89 45 F0 8B 4D FC B2 01 8B 45 F0 FF 50 1C 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B 45 F4 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 9F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33112_0 {
	meta:
		name = "TMXRecord.Parse"
		size = 176
		refs = "0018 @DynArrayAddRef 0020 TMXRecord.Parse 0033 TResultRecord.Parse 004d TwoByteToWord 0054 GStack 0071 DNSStrToDomain 007c @UStrAsg 0091 @UStrClr 009a TArray<System.Byte> 009f @DynArrayClear 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 0F B6 54 10 01 8B 45 FC 8B 4D F8 0F B6 04 08 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 66 89 43 28 83 45 F8 02 8D 4D F4 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 43 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33113_0 {
	meta:
		name = "TTextRecord.Assign"
		size = 46
		refs = "000b TResultRecord.Assign 0013 _DV_TTextRecord 0018 @IsClass"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B 57 24 8B 46 24 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_33114_0 {
	meta:
		name = "TTextRecord.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 001e _Dn_TStringList 0023 TStringList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_33116_0 {
	meta:
		name = "TTextRecord.Parse"
		size = 159
		refs = "0019 @DynArrayAddRef 0021 TTextRecord.Parse 0042 NextDNSLabel 006a TResultRecord.Parse 007f @UStrClr 0088 TArray<System.Byte> 008d @DynArrayClear 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F8 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 24 8B 10 FF 52 44 8B 75 F4 EB 1F 8D 4D F8 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 74 0B 8B 55 F8 8B 43 24 8B 08 FF 51 38 8B C6 03 43 18 3B 45 F4 7F D7 8B 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33117_0 {
	meta:
		name = "TSOARecord.Assign"
		size = 102
		refs = "000b TResultRecord.Assign 0013 _DV_TSOARecord 0018 @IsClass 0029 @AsClass 004e @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 43 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 46 24 89 43 24 8B 46 28 89 43 28 8B 46 2C 89 43 2C 8B 46 30 89 43 30 8D 43 34 8B 56 34 E8 ?? ?? ?? ?? 8D 43 38 8B 56 38 E8 ?? ?? ?? ?? 8B 46 3C 89 43 3C 5E 5B C3 }
	condition:
		$1
}

rule function_33118_0 {
	meta:
		name = "TSOARecord.Parse"
		size = 487
		refs = "001d @DynArrayAddRef 0028 TSOARecord.Parse 003a TResultRecord.Parse 0047 DNSStrToDomain 0052 @UStrAsg 0097 OrdFourByteToLongWord 009e GStack 01c6 @UStrArrayClr 01cf TArray<System.Byte> 01d4 @DynArrayClear 01da @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8D 75 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0E 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 4D F4 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 43 34 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 43 38 E8 ?? ?? ?? ?? 8B 45 FC 8B 16 0F B6 44 10 03 50 8B 45 FC 8B 16 0F B6 4C 10 02 8B 45 FC 8B 16 0F B6 54 10 01 8B 45 FC 8B 3E 0F B6 04 38 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 89 43 24 83 06 04 8B 45 FC 8B 16 0F B6 44 10 03 50 8B 45 FC 8B 16 0F B6 4C 10 02 8B 45 FC 8B 16 0F B6 54 10 01 8B 45 FC 8B 3E 0F B6 04 38 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 89 43 2C 83 06 04 8B 45 FC 8B 16 0F B6 44 10 03 50 8B 45 FC 8B 16 0F B6 4C 10 02 8B 45 FC 8B 16 0F B6 54 10 01 8B 45 FC 8B 3E 0F B6 04 38 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 89 43 30 83 06 04 8B 45 FC 8B 16 0F B6 44 10 03 50 8B 45 FC 8B 16 0F B6 4C 10 02 8B 45 FC 8B 16 0F B6 54 10 01 8B 45 FC 8B 3E 0F B6 04 38 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 89 43 3C 83 06 04 8B 45 FC 8B 16 0F B6 44 10 03 50 8B 45 FC 8B 16 0F B6 4C 10 02 8B 45 FC 8B 16 0F B6 54 10 01 8B 45 FC 8B 36 0F B6 04 30 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 89 43 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33119_0 {
	meta:
		name = "TWKSRecord.Assign"
		size = 172
		refs = "000f TWKSRecord.Assign 001e TResultRecord.Assign 0026 _DV_TWKSRecord 002b @IsClass 003c @AsClass 0049 @UStrAsg 0063 @DynArrayLength 006f ToBytes 007b TArray<System.Byte> 0080 @DynArrayAsg 009b @DynArrayClear 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 51 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 43 2C 8B 56 2C E8 ?? ?? ?? ?? 0F B7 46 30 66 89 43 30 8B 46 24 89 43 24 8D 45 FC 50 8B 46 28 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 46 28 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 28 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33120_0 {
	meta:
		name = "TWKSRecord.GetABit"
		size = 8
	strings:
		$1 = { 8B 40 28 0F B6 04 10 C3 }
	condition:
		$1
}

rule function_33121_0 {
	meta:
		name = "TWKSRecord.Parse"
		size = 239
		refs = "0016 @DynArrayAddRef 001e TWKSRecord.Parse 0030 TResultRecord.Parse 0051 OrdFourByteToLongWord 0058 GStack 0067 MakeDWordIntoIPv4Address 0072 @UStrAsg 0089 @DynArrayLength 009b ToBytes 00a7 TArray<System.Byte> 00ac @DynArrayAsg 00c7 @DynArrayClear 00cf @UStrClr 00e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 43 1C 0F B6 40 03 50 8B 43 1C 0F B6 48 02 8B 43 1C 0F B6 50 01 8B 43 1C 0F B6 00 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 2C E8 ?? ?? ?? ?? 8B 43 1C 0F B6 40 04 66 89 43 30 8D 45 F4 50 8B 43 1C E8 ?? ?? ?? ?? 8B D0 83 EA 05 B9 05 00 00 00 8B 43 1C E8 ?? ?? ?? ?? 8B 55 F4 8D 43 28 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33122_0 {
	meta:
		name = "TMINFORecord.Assign"
		size = 72
		refs = "000b TResultRecord.Assign 0013 _DV_TMINFORecord 0018 @IsClass 0029 @AsClass 0036 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 43 24 8B 56 24 E8 ?? ?? ?? ?? 8D 43 28 8B 56 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33123_0 {
	meta:
		name = "TMINFORecord.Parse"
		size = 161
		refs = "001b @DynArrayAddRef 0023 TMINFORecord.Parse 0036 TResultRecord.Parse 0044 DNSStrToDomain 004f @UStrAsg 0082 @UStrArrayClr 008b TArray<System.Byte> 0090 @DynArrayClear 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 4D F4 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 43 24 E8 ?? ?? ?? ?? 8D 4D F0 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 43 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33124_0 {
	meta:
		name = "THINFORecord.Assign"
		size = 72
		refs = "000b TTextRecord.Assign 0013 _DV_THINFORecord 0018 @IsClass 0029 @AsClass 0036 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 43 28 8B 56 28 E8 ?? ?? ?? ?? 8D 43 2C 8B 56 2C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33125_0 {
	meta:
		name = "THINFORecord.Parse"
		size = 161
		refs = "001b @DynArrayAddRef 0023 THINFORecord.Parse 0036 TTextRecord.Parse 0044 NextDNSLabel 004f @UStrAsg 0082 @UStrArrayClr 008b TArray<System.Byte> 0090 @DynArrayClear 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 4D F4 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 43 28 E8 ?? ?? ?? ?? 8D 4D F0 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 43 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33127_0 {
	meta:
		name = "TAAAARecord.Parse"
		size = 185
		refs = "0019 @DynArrayAddRef 0021 TAAAARecord.Parse 0033 TResultRecord.Parse 003b @DynArrayLength 004d BytesToIPv6 005a GStack 0078 IPv6AddressToStr 0083 @UStrAsg 0098 @UStrClr 00a1 TArray<System.Byte> 00a6 @DynArrayClear 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 8B D9 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 47 1C E8 ?? ?? ?? ?? 83 F8 0F 7C 43 8D 55 EC 8B 47 1C 33 C9 E8 ?? ?? ?? ?? BE 08 00 00 00 8D 5D EC A1 ?? ?? ?? ?? 8B 00 0F B7 13 8B 08 FF 51 54 66 89 03 83 C3 02 4E 75 E8 8D 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 55 E8 8D 47 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33128_0 {
	meta:
		name = "TIdDNSResolver.ClearInternalQuery"
		size = 40
		refs = "0012 TArray<System.Byte> 0017 @DynArraySetLength"
	strings:
		$1 = { 53 8B D8 6A 00 8D 83 BC 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 83 C0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_33129_0 {
	meta:
		name = "DoDomainName"
		size = 196
		refs = "0017 @UStrAddRef 001f DoDomainName 0034 TArray<System.Byte> 0039 @DynArraySetLength 0053 Fetch 006a AppendByte 0079 AppendString 0081 @UStrLen 009f @UStrArrayClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 3B 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 8B DE 8B C7 8B D3 E8 ?? ?? ?? ?? 6A 00 0F B6 CB 8B C7 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7F B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_33130_0 {
	meta:
		name = "DoHostAddressV6"
		size = 332
		refs = "0017 DoHostAddressV6 0024 IsValidIPv6 003d RSQueryInvalidIpV6 0042 LoadResString 004c _Dn_EIdDnsResolverError 0051 Exception.CreateFmt 0056 @RaiseExcept 0060 ConvertToCanonical6IP 0068 @UStrClr 0096 @UStrFromWChar 00ab @UStrCatN 00bd @UStrCat 00c8 DoDomainName 00d3 TArray<System.Byte> 00d8 @DynArrayAsg 00f3 @DynArrayClear 0100 @UStrArrayClr 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2E 89 5D F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 7C 35 8B 45 FC 0F B7 74 58 FE 66 83 FE 3A 74 22 FF 75 F8 8D 45 E8 8B D6 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 4B 85 DB 75 CB 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 50 00 36 00 2E 00 49 00 4E 00 54 00 00 00 }
	condition:
		$1
}

rule function_33131_0 {
	meta:
		name = "DoHostAddress"
		size = 532
		refs = "0015 DoHostAddress 0027 Pos 0035 DoHostAddressV6 0040 TArray<System.Byte> 0045 @DynArrayAsg 005e @DynArraySetLength 006b @UStrLAsg 0080 Fetch 00cc AppendByte 00db AppendString 01a0 @DynArrayClear 01ad @UStrArrayClr 01b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 1F 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3B 01 00 00 6A 00 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 6A 00 0F B6 CB 8B C6 8B 55 EC E8 ?? ?? ?? ?? 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 6A 00 0F B6 CB 8B C6 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 6A 00 0F B6 CB 8B C6 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 6A 00 0F B6 CB 8B C6 8B 55 F8 E8 ?? ?? ?? ?? 8B C6 B2 07 E8 ?? ?? ?? ?? 6A 00 8B C6 B9 07 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 B2 04 E8 ?? ?? ?? ?? 6A 00 8B C6 B9 04 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 69 00 6E 00 2D 00 61 00 64 00 64 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 61 00 72 00 70 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_33132_0 {
	meta:
		name = "TIdDNSResolver.CreateQuery"
		size = 1436
		refs = "0022 @UStrAddRef 002a TIdDNSResolver.CreateQuery 0040 TArray<System.Byte> 0045 @DynArraySetLength 006a Random 007b TDNSHeader.ClearByteCode 0088 TDNSHeader.SetQr 0095 TDNSHeader.SetOpCode 00b9 TDNSHeader.SetRD 00f4 GetErrorStr 00fe _Dn_EIdDnsResolverError 0103 EIdException.Create 0108 @RaiseExcept 0122 TDNSHeader.SetAA 0160 TIdDNSResolver.ClearInternalQuery 0173 TDNSHeader.GenerateBinaryHeader 017d TIdDNSResolver.SetInternalQuery 0195 UpperCase 019e IndyPos 01d9 DoHostAddress 01e6 AppendBytes 01f0 AppendByte 01ff DoDomainName 0220 GStack 0232 WordToTwoBytes 036e QueryRecordValues 048e @DynArrayLength 04a5 TDNSHeader.ParseQuery 04c5 @FinalizeArray 04d2 @UStrArrayClr 0520 @DynArrayClear 0528 @UStrClr 0549 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B8 FF FF 00 00 E8 ?? ?? ?? ?? 8B BE DC 00 00 00 66 89 47 04 8B C7 E8 ?? ?? ?? ?? 33 D2 8B 86 DC 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B 86 DC 00 00 00 E8 ?? ?? ?? ?? 8B 86 DC 00 00 00 66 C7 40 0A 00 00 66 C7 40 0C 00 00 66 C7 40 0E 00 00 0F B6 96 B8 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 23 86 D0 00 00 00 8B 15 ?? ?? ?? ?? 3B D0 74 56 C7 45 EC 01 00 00 00 F6 86 D3 00 00 00 10 74 68 85 DB 75 26 8D 4D E4 BA 03 00 00 00 B8 07 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 33 D2 8B C3 8B 18 FF 13 66 BA 01 00 8B 86 DC 00 00 00 E8 ?? ?? ?? ?? EB 22 33 C0 89 45 EC 33 DB 8B C3 3C 1F 77 0A 83 E0 7F 0F A3 86 D0 00 00 00 73 03 FF 45 EC 43 80 FB 1F 75 E5 8B 96 DC 00 00 00 0F B7 45 EC 66 89 42 08 66 85 C0 75 0C 8B C6 E8 ?? ?? ?? ?? E9 40 03 00 00 8D 55 E0 8B 86 DC 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? F6 86 D3 00 00 00 20 0F 84 E7 00 00 00 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 85 C0 7F 21 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 85 C0 7E 26 6A FF 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8D 45 F8 33 C9 E8 ?? ?? ?? ?? 8D 45 F8 33 D2 E8 ?? ?? ?? ?? EB 24 6A FF 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D0 8D 45 F8 33 C9 E8 ?? ?? ?? ?? 8D 45 F8 33 D2 E8 ?? ?? ?? ?? 66 B8 FC 00 8B 15 ?? ?? ?? ?? 8B 12 92 8B 08 FF 51 2C 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 6A FF 8D 45 F8 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 0F B7 45 08 8B 15 ?? ?? ?? ?? 8B 12 92 8B 08 FF 51 2C 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 6A FF 8D 45 F8 33 C9 8B 55 F0 E8 ?? ?? ?? ?? E9 00 02 00 00 F6 86 D3 00 00 00 10 0F 84 E7 00 00 00 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 85 C0 7F 21 8D 55 C8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C8 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 85 C0 7E 26 6A FF 8D 55 C4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F8 33 C9 E8 ?? ?? ?? ?? 8D 45 F8 33 D2 E8 ?? ?? ?? ?? EB 24 6A FF 8D 55 C0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C0 8D 45 F8 33 C9 E8 ?? ?? ?? ?? 8D 45 F8 33 D2 E8 ?? ?? ?? ?? 66 B8 FB 00 8B 15 ?? ?? ?? ?? 8B 12 92 8B 08 FF 51 2C 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 6A FF 8D 45 F8 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 0F B7 45 08 8B 15 ?? ?? ?? ?? 8B 12 92 8B 08 FF 51 2C 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 6A FF 8D 45 F8 33 C9 8B 55 F0 E8 ?? ?? ?? ?? E9 0C 01 00 00 33 DB C7 45 E8 ?? ?? ?? ?? 8B C3 3C 1F 77 0A 83 E0 7F 0F A3 86 D0 00 00 00 0F 83 DF 00 00 00 80 FB 0B 75 5E 8D 55 BC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 BC 8B 3D ?? ?? ?? ?? 8B 3F B8 ?? ?? ?? ?? FF D7 85 C0 75 3D 8D 55 B8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 B8 8B 3D ?? ?? ?? ?? 8B 3F B8 ?? ?? ?? ?? FF D7 85 C0 75 1C 6A FF 8D 55 B4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 B4 8D 45 F8 33 C9 E8 ?? ?? ?? ?? EB 1A 6A FF 8D 55 B0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 B0 8D 45 F8 33 C9 E8 ?? ?? ?? ?? 8D 45 F8 33 D2 E8 ?? ?? ?? ?? 8B 45 E8 0F B7 00 8B 15 ?? ?? ?? ?? 8B 12 92 8B 08 FF 51 2C 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 6A FF 8D 45 F8 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 0F B7 45 08 8B 15 ?? ?? ?? ?? 8B 12 92 8B 08 FF 51 2C 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 6A FF 8D 45 F8 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 43 83 45 E8 02 80 FB 1F 0F 85 FD FE FF FF 6A FF 8D 86 BC 00 00 00 33 C9 8B 55 F8 E8 ?? ?? ?? ?? 8B 86 BC 00 00 00 E8 ?? ?? ?? ?? 89 86 C0 00 00 00 8B 96 BC 00 00 00 8B 86 DC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 64 FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 30 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 4E 00 2D 00 41 00 44 00 44 00 52 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 50 00 36 00 2E 00 49 00 4E 00 54 00 00 00 }
	condition:
		$1
}

rule function_33133_0 {
	meta:
		name = "TIdDNSResolver.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 001a TObject.Free 0038 TIdTCPConnection.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 CC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 DC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33134_0 {
	meta:
		name = "TIdDNSResolver.FillResult"
		size = 367
		refs = "0018 @DynArrayAddRef 0020 TIdDNSResolver.FillResult 002e @DynArrayLength 0045 GetErrorStr 004f _Dn_EIdDnsResolverError 0054 EIdException.Create 0059 @RaiseExcept 006b TwoByteToWord 0072 GStack 00be TDNSHeader.ParseQuery 00c9 TDNSHeader.GetRCode 00e4 GetRCodeStr 0133 TIdDNSResolver.ParseAnswers 014d @UStrArrayClr 0156 TArray<System.Byte> 015b @DynArrayClear 0161 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 83 F8 0C 7D 26 8D 4D F8 BA 1D 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 50 01 8B 45 FC 0F B6 00 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 84 DB 74 33 8B 96 DC 00 00 00 0F B7 5A 04 66 3B C3 74 24 8D 4D F4 0F B7 D3 B8 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 86 DC 00 00 00 E8 ?? ?? ?? ?? 8B 86 DC 00 00 00 E8 ?? ?? ?? ?? 66 85 C0 74 2A 8B 86 DC 00 00 00 E8 ?? ?? ?? ?? 0F B7 C0 8D 55 F0 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 86 DC 00 00 00 0F B7 50 0A 66 03 50 0C 66 03 50 0E 8B C2 66 85 C0 76 22 8B 45 FC E8 ?? ?? ?? ?? 83 F8 0C 7E 15 0F B6 45 08 50 8B 4D FC 8B 96 DC 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_33135_0 {
	meta:
		name = "TIdDNSResolver.FillResultWithOutCheckId"
		size = 227
		refs = "0013 @UStrAddRef 001b TIdDNSResolver.FillResultWithOutCheckId 002e ToBytes 003c TDNSHeader.ParseQuery 0044 @DynArrayLength 005b GetErrorStr 0065 _Dn_EIdDnsResolverError 006a EIdException.Create 006f @RaiseExcept 00a7 TIdDNSResolver.ParseAnswers 00bc @UStrClr 00c5 TArray<System.Byte> 00ca @DynArrayClear 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 83 DC 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 0C 7D 26 8D 4D F4 BA 1D 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 DC 00 00 00 0F B7 50 0A 66 03 50 0C 66 03 50 0E 8B C2 66 85 C0 76 1F 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 0C 7E 12 6A 01 8B 4D F8 8B 93 DC 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33136_0 {
	meta:
		name = "TQueryResult.FilterBySection"
		size = 68
		refs = "0019 TQueryResult.GetItem 0036 TCollection.Delete"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 8B 46 08 8B 58 08 4B 83 FB 00 7C 2C 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B6 40 20 3C 07 77 0A 83 E0 7F 0F B6 14 24 0F A3 C2 72 09 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 D4 5A 5E 5B C3 }
	condition:
		$1
}

rule function_33137_0 {
	meta:
		name = "TQueryResult.FilterByClass"
		size = 58
		refs = "0018 TQueryResult.GetItem 001f @IsClass 002c TCollection.Delete"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 08 8B 58 08 4B 83 FB 00 7C 23 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 84 C0 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DD 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33138_0 {
	meta:
		name = "TIdDNSResolver.InitComponent"
		size = 79
		refs = "0006 TIdTCPConnection.InitComponent 001b _DV_TQueryResult 0020 TQueryResult.Create 002d _Dn_TDNSHeader 0032 TDNSHeader.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 35 00 8B C3 8B 08 FF 91 9C 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 CC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 DC 00 00 00 C6 83 B8 00 00 00 01 C7 83 D4 00 00 00 88 13 00 00 5B C3 }
	condition:
		$1
}

rule function_33139_0 {
	meta:
		name = "TIdDNSResolver.ParseAnswers"
		size = 333
		refs = "0019 @DynArrayAddRef 0021 TIdDNSResolver.ParseAnswers 0038 TQueryResult.Clear 0054 DNSStrToDomain 0065 @UStrAsg 007f TwoByteToWord 00ce TQueryResult.Add 012a @UStrClr 0133 TArray<System.Byte> 0138 @DynArrayClear 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 00 74 0B 8B 86 CC 00 00 00 E8 ?? ?? ?? ?? C7 45 F8 0C 00 00 00 66 83 7F 08 01 75 6F 8D 4D F4 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 86 CC 00 00 00 83 C0 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 0F B6 54 10 01 8B 45 FC 8B 4D F8 0F B6 04 08 E8 ?? ?? ?? ?? 8B 96 CC 00 00 00 66 89 42 1E 83 45 F8 02 8B 45 FC 8B 55 F8 0F B6 54 10 01 8B 45 FC 8B 4D F8 0F B6 04 08 E8 ?? ?? ?? ?? 8B 96 CC 00 00 00 66 89 42 1C 83 45 F8 02 0F B7 5F 0A 85 DB 7E 18 8D 4D F8 8B 55 FC 8B 86 CC 00 00 00 E8 ?? ?? ?? ?? C6 40 20 00 4B 75 E8 0F B7 5F 0C 85 DB 7E 18 8D 4D F8 8B 55 FC 8B 86 CC 00 00 00 E8 ?? ?? ?? ?? C6 40 20 01 4B 75 E8 0F B7 5F 0E 85 DB 7E 18 8D 4D F8 8B 55 FC 8B 86 CC 00 00 00 E8 ?? ?? ?? ?? C6 40 20 02 4B 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_33140_0 {
	meta:
		name = "TIdDNSResolver.Resolve"
		size = 1911
		refs = "0023 @UStrAddRef 002b TIdDNSResolver.Resolve 0039 TIdDNSResolver.ClearInternalQuery 0062 TIdDNSResolver.CreateQuery 008d RSQueryInvalidQueryCount 0092 LoadResString 00a8 IndyFormat 00b2 _Dn_EIdDnsResolverError 00b7 EIdException.Create 00bc @RaiseExcept 00d3 _Dn_TIdTCPClient 00d8 TIdInitializerComponent.Create 0179 TIdIOHandler.Write 01a6 TQueryResult.Clear 01b6 TIdIOHandler.ReadSmallInt 01c8 TArray<System.Byte> 01cd @DynArraySetLength 01f3 TIdDNSResolver.SetPlainTextResult 0207 TIdDNSResolver.FillResult 022b GetErrorStr 0249 RSDNSTimeout 0277 TIdTCPConnection.Disconnect 027d @HandleFinally 0291 @HandleOnException 0299 _Dn_EIdConnectTimeout 02a1 _Dn_EIdConnectException 0305 RSTunnelConnectToMasterFailed 031e @DoneExcept 0338 TObject.Free 05d5 _Dn_TIdUDPClient 0631 TIdUDPClient.SendBuffer 0681 @DynArrayLength 073f @UStrArrayClr 075a @DynArrayClear 0762 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 83 B8 C0 00 00 00 00 75 30 8B 45 F4 F6 80 D3 00 00 00 10 74 13 8B 45 08 50 8B CB 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? EB 11 8B 45 08 50 33 C9 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 83 B8 C0 00 00 00 00 75 3B 8D 45 E8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 DC C6 45 E0 00 8D 55 DC 33 C9 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 F6 80 D3 00 00 00 20 0F 84 74 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 90 C4 00 00 00 8B 45 EC 8B 08 FF 91 A0 00 00 00 8B 45 F4 0F B7 90 CA 00 00 00 8B 45 EC 8B 08 FF 91 A4 00 00 00 8B 45 F4 0F B6 90 C8 00 00 00 8B 45 EC 8B 08 FF 91 A8 00 00 00 8B 45 F4 8B 90 98 00 00 00 8B 45 EC 8B 08 FF 51 60 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 10 FF 92 AC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 0F B7 90 C0 00 00 00 8B 45 EC 8B 80 98 00 00 00 B1 01 E8 ?? ?? ?? ?? 6A 00 8B 45 F4 8B 90 BC 00 00 00 8B 45 EC 8B 80 98 00 00 00 83 C9 FF 8B 18 FF 93 94 00 00 00 8B 45 F4 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8B 80 98 00 00 00 B2 01 E8 ?? ?? ?? ?? 0F BF D8 53 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 01 8D 55 F8 8B 45 EC 8B 80 98 00 00 00 8B CB 8B 30 FF 96 C0 00 00 00 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 83 FB 04 7E 49 6A 00 33 C9 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 CC 00 00 00 8B 40 08 83 78 08 00 75 49 8D 4D D8 BA 03 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 E9 92 00 00 00 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 6A 00 8B 45 F4 05 D8 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 39 6A 00 8B 45 F4 05 D8 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 F6 80 D3 00 00 00 10 0F 84 7E 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 90 C4 00 00 00 8B 45 EC 8B 08 FF 91 A0 00 00 00 8B 45 F4 0F B7 90 CA 00 00 00 8B 45 EC 8B 08 FF 91 A4 00 00 00 8B 45 F4 0F B6 90 C8 00 00 00 8B 45 EC 8B 08 FF 91 A8 00 00 00 8B 45 F4 8B 90 98 00 00 00 8B 45 EC 8B 08 FF 51 60 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 10 FF 92 AC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 0F B7 90 C0 00 00 00 8B 45 EC 8B 80 98 00 00 00 B1 01 E8 ?? ?? ?? ?? 6A 00 8B 45 F4 8B 90 BC 00 00 00 8B 45 EC 8B 80 98 00 00 00 83 C9 FF 8B 18 FF 93 94 00 00 00 8B 45 F4 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8B 80 98 00 00 00 B2 01 E8 ?? ?? ?? ?? 0F BF D8 53 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 01 8D 55 F8 8B 45 EC 8B 80 98 00 00 00 8B CB 8B 30 FF 96 C0 00 00 00 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 83 FB 04 7E 49 6A 00 33 C9 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 CC 00 00 00 8B 40 08 83 78 08 00 75 49 8D 4D C8 BA 03 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 E9 9C 00 00 00 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 6A 00 8B 45 F4 05 D8 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3E 6A 00 8B 45 F4 05 D8 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 90 C4 00 00 00 8B 45 F0 8B 08 FF 51 68 8B 45 F4 0F B7 90 CA 00 00 00 8B 45 F0 8B 08 FF 51 70 8B 45 F4 0F B6 90 C8 00 00 00 8B 45 F0 8B 08 FF 51 60 8B 45 F4 8B 90 BC 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 68 00 20 00 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 8B 88 D4 00 00 00 8D 55 F8 8B 45 F0 8B 18 FF 53 7C 8B D8 53 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 0D 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? EB 1D 6A 00 8B 45 F4 05 D8 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 04 7E 47 6A 01 B1 01 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 CC 00 00 00 8B 40 08 83 78 08 00 75 26 8D 4D B8 BA 03 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_33141_0 {
	meta:
		name = "TIdDNSResolver.SetInternalQuery"
		size = 99
		refs = "000a @DynArrayLength 0024 TArray<System.Byte> 0029 @DynArraySetLength 0043 @DynArrayHigh 004e CopyTIdByteArray 005b TDNSHeader.ParseQuery"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B F8 89 BB C0 00 00 00 57 8D 83 BC 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 83 BC 00 00 00 50 6A 00 8B 83 C0 00 00 00 50 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 83 DC 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33142_0 {
	meta:
		name = "TIdDNSResolver.SetIPVersion"
		size = 7
	strings:
		$1 = { 88 90 C8 00 00 00 C3 }
	condition:
		$1
}

rule function_33143_0 {
	meta:
		name = "TIdDNSResolver.SetPlainTextResult"
		size = 74
		refs = "000a @DynArrayLength 001e TArray<System.Byte> 0023 @DynArraySetLength 0037 @DynArrayHigh 0042 CopyTIdByteArray"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B F8 57 8D 83 D8 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 83 D8 00 00 00 50 6A 00 57 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33144_0 {
	meta:
		name = "TIdDNSResolver.SetPort"
		size = 8
	strings:
		$1 = { 66 89 90 CA 00 00 00 C3 }
	condition:
		$1
}

rule function_33145_0 {
	meta:
		name = "TSRVRecord.Assign"
		size = 101
		refs = "000b TResultRecord.Assign 0013 _DV_TSRVRecord 0018 @IsClass 0029 @AsClass 0036 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 42 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 43 24 8B 56 24 E8 ?? ?? ?? ?? 8D 43 28 8B 56 28 E8 ?? ?? ?? ?? 8B 46 2C 89 43 2C 8B 46 30 89 43 30 8B 46 34 89 43 34 8D 43 38 8B 56 38 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33146_0 {
	meta:
		name = "TSRVRecord.CleanIdent"
		size = 27
		refs = "0014 @UStrCopy"
	strings:
		$1 = { 53 56 8B F1 8B DA 56 B9 FF FF FF 7F BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33147_0 {
	meta:
		name = "TSRVRecord.IsValidIdent"
		size = 25
	strings:
		$1 = { 8B C2 85 C0 74 05 83 E8 04 8B 00 48 7E 08 66 83 3A 5F 0F 94 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_33148_0 {
	meta:
		name = "TSRVRecord.Parse"
		size = 480
		refs = "0020 @DynArrayAddRef 0028 TSRVRecord.Parse 003b TResultRecord.Parse 0046 @UStrAsg 0051 @UStrLAsg 0066 Fetch 0085 TSRVRecord.IsValidIdent 00aa TSRVRecord.CleanIdent 00f2 TwoByteToWord 00f9 GStack 017c DNSStrToDomain 01a1 @UStrArrayClr 01b7 TArray<System.Byte> 01bc @DynArrayClear 01c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D EC 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D EC 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 43 3C 8B 53 10 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 10 E8 ?? ?? ?? ?? 6A 00 8D 45 F4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4F 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 41 83 7D F8 00 74 3B 8D 4D E8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 43 24 E8 ?? ?? ?? ?? 8D 4D E4 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 43 28 E8 ?? ?? ?? ?? 8D 43 10 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 EC 0F B6 54 10 01 8B 45 FC 8B 4D EC 0F B6 04 08 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 0F B7 C0 89 43 2C 83 45 EC 02 8B 45 FC 8B 55 EC 0F B6 54 10 01 8B 45 FC 8B 4D EC 0F B6 04 08 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 0F B7 C0 89 43 30 83 45 EC 02 8B 45 FC 8B 55 EC 0F B6 54 10 01 8B 45 FC 8B 4D EC 0F B6 04 08 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 0F B7 C0 89 43 34 83 45 EC 02 8D 4D E0 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 43 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_33149_0 {
	meta:
		name = "TNAPTRRecord.Assign"
		size = 106
		refs = "000b TResultRecord.Assign 0013 _DV_TNAPTRRecord 0018 @IsClass 0029 @AsClass 0042 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 47 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 46 24 89 43 24 8B 46 28 89 43 28 8D 43 2C 8B 56 2C E8 ?? ?? ?? ?? 8D 43 30 8B 56 30 E8 ?? ?? ?? ?? 8D 43 34 8B 56 34 E8 ?? ?? ?? ?? 8D 43 38 8B 56 38 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33150_0 {
	meta:
		name = "TNAPTRRecord.Parse"
		size = 312
		refs = "001c @DynArrayAddRef 0024 TNAPTRRecord.Parse 0037 TResultRecord.Parse 0051 TwoByteToWord 0058 GStack 00a9 NextDNSLabel 00b4 @UStrAsg 00f4 DNSStrToDomain 0119 @UStrArrayClr 0122 TArray<System.Byte> 0127 @DynArrayClear 012d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 0F B6 54 10 01 8B 45 FC 8B 4D F8 0F B6 04 08 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 0F B7 C0 89 43 24 83 45 F8 02 8B 45 FC 8B 55 F8 0F B6 54 10 01 8B 45 FC 8B 4D F8 0F B6 04 08 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 0F B7 C0 89 43 28 83 45 F8 02 8D 4D F4 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 43 2C E8 ?? ?? ?? ?? 8D 4D F0 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 43 30 E8 ?? ?? ?? ?? 8D 4D EC 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 43 34 E8 ?? ?? ?? ?? 8D 4D E8 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 43 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33153_0 {
	meta:
		name = "CompareItems"
		size = 48
		refs = "000a _DV_TIdDNTreeNode 000f @AsClass 0029 CompareStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 0C 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33154_0 {
	meta:
		name = "PosBytes"
		size = 112
		refs = "000d @DynArrayLength"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 89 04 24 8B C7 E8 ?? ?? ?? ?? 83 3C 24 00 7E 44 3B 04 24 7C 3F 2B 04 24 85 C0 7C 38 40 89 44 24 04 33 C9 0F B6 04 0F 3A 06 75 22 8B 14 24 4A 85 D2 7E 15 B8 01 00 00 00 8D 1C 08 0F B6 1C 1F 3A 1C 06 75 04 40 4A 75 F0 3B 04 24 74 0A 41 FF 4C 24 04 75 CF 83 C9 FF 8B C1 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33155_0 {
	meta:
		name = "FetchBytes"
		size = 200
		refs = "0019 FetchBytes 0028 PosBytes 003a TArray<System.Byte> 003f @DynArrayAsg 0059 @DynArraySetLength 006d ToBytes 008b @DynArrayLength 0098 RemoveBytes 00b3 @DynArrayClear 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 88 4D FF 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 16 8B C7 E8 ?? ?? ?? ?? 8B D8 83 FB FF 75 2F 8B 45 08 8B 16 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D FF 00 74 53 6A 00 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 3A 8D 45 F8 50 8B 06 33 C9 8B D3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D FF 00 74 14 8B C7 E8 ?? ?? ?? ?? 8B D0 03 D3 8B C6 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_33156_0 {
	meta:
		name = "TIdMWayTreeNode.AddChild"
		size = 95
		refs = "001b TIdMWayTreeNode.AddChild 002c TIdObjectList.Add 003b @HandleAnyException 0048 TObject.Free 004d @RaiseAgain 0052 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 8B 73 08 8B CE 8B C6 B2 01 FF 10 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 04 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33157_0 {
	meta:
		name = "TIdMWayTreeNode.Create"
		size = 81
		refs = "000b @ClassCreate 001a TObject.Create 0023 TIdMWayTreeNode.SetFundmentalClass 002a _Dn_TIdObjectList 002f TIdObjectList.Create 003d @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33160_0 {
	meta:
		name = "TIdMWayTreeNode.InsertChild"
		size = 99
		refs = "001d TIdMWayTreeNode.InsertChild 0030 TIdObjectList.Insert 003f @HandleAnyException 004c TObject.Free 0051 @RaiseAgain 0056 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B D8 8B 73 08 8B CE 8B C6 B2 01 FF 10 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 04 8B 4D FC 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33163_0 {
	meta:
		name = "TIdMWayTreeNode.SetTreeNode"
		size = 40
		refs = "000f TIdObjectList.GetItem 0014 TObject.Free 0020 TIdObjectList.SetItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33164_0 {
	meta:
		name = "TIdDNTreeNode.AddChild"
		size = 98
		refs = "000e _DV_TIdDNTreeNode 0013 TIdDNTreeNode.Create 001e TIdDNTreeNode.AddChild 002f TIdObjectList.Add 003e @HandleAnyException 004b TObject.Free 0050 @RaiseAgain 0055 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 04 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33165_0 {
	meta:
		name = "TIdDNTreeNode.Clear"
		size = 34
		refs = "0015 TIdDNTreeNode.RemoveChild"
	strings:
		$1 = { 53 56 8B F0 8B 46 04 8B 58 08 4B 83 FB 00 7C 0F 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 F1 5E 5B C3 }
	condition:
		$1
}

rule function_33166_0 {
	meta:
		name = "TIdDNTreeNode.ConvertToDNString"
		size = 300
		refs = "0017 TIdDNTreeNode.ConvertToDNString 002d TIdDNTreeNode.GetFullName 0041 @UStrCatN 0074 TIdTextModeRRs.GetItem 0087 @UStrCat 00b2 TIdDNTreeNode.GetNode 00e4 @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 58 08 4B 85 DB 7C 3E 43 C7 45 F8 00 00 00 00 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 8B 40 10 8B 55 F8 E8 ?? ?? ?? ?? 8D 4D F0 5A 8B 38 FF 57 04 8B 55 F0 8B C6 E8 ?? ?? ?? ?? FF 45 F8 4B 75 CA 8B 45 FC 8B 40 14 8B 10 FF 52 14 8B D8 4B 85 DB 7C 2B 43 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? FF 45 F8 4B 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 24 00 4F 00 52 00 49 00 47 00 49 00 4E 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_33167_0 {
	meta:
		name = "TIdDNTreeNode.Create"
		size = 96
		refs = "000b @ClassCreate 0017 _DV_TIdDNTreeNode 0020 TIdMWayTreeNode.Create 0027 _Dn_TIdTextModeRRs 002c TIdTextModeRRs.Create 0036 _Dn_TStringList 003b TStringList.Create 004c @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 14 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33169_0 {
	meta:
		name = "TIdDNTreeNode.DumpAllBinaryData"
		size = 538
		refs = "0022 TIdDNTreeNode.DumpAllBinaryData 0038 TArray<System.Byte> 003d @DynArraySetLength 0081 TIdDNTreeNode.GetFullName 0090 TIdTextModeRRs.GetItem 00a5 AppendBytes 00ce TIdDNTreeNode.GetNode 010c _Dn_TIdRR_SOA 0111 @IsClass 015a @DynArrayAsg 01b5 @UStrClr 01c3 @DynArrayClear 01de @FinalizeArray 020d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 10 8B 40 08 8B D0 42 8B 4D F4 01 11 8B F0 4E 85 F6 7C 3E 46 C7 45 EC 00 00 00 00 6A FF 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 55 EC 8B 43 10 E8 ?? ?? ?? ?? 8D 4D E4 5A 8B 38 FF 17 8B 55 E4 8D 45 FC 33 C9 E8 ?? ?? ?? ?? FF 45 EC 4E 75 CA 8B 43 14 8B 10 FF 52 14 8B F0 4E 85 F6 7C 3A 46 C7 45 EC 00 00 00 00 6A FF 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 4D DC 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 33 C9 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 E8 01 10 FF 45 EC 4E 75 CE 8B 73 10 83 7E 08 00 7E 4C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 6A FF 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 50 33 D2 8B 43 10 E8 ?? ?? ?? ?? 8D 4D D8 5A 8B 30 FF 16 8B 55 D8 8D 45 FC 33 C9 E8 ?? ?? ?? ?? 8B 45 F4 FF 00 8B 45 F0 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 8B 45 F0 33 C9 8B 55 F8 E8 ?? ?? ?? ?? 8B 73 10 83 7E 08 00 7E 2E 6A FF 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 4D D0 5A 8B 18 FF 13 8B 55 D0 8B 45 F0 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9E 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33170_0 {
	meta:
		name = "TIdDNTreeNode.GetFullName"
		size = 156
		refs = "0010 TIdDNTreeNode.GetFullName 002a @UStrEqual 0033 @UStrClr 003f @UStrAsg 0062 @UStrCatN 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 18 85 FF 75 24 8B 43 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 8B C6 E8 ?? ?? ?? ?? EB 2D 8B C6 8B 53 0C E8 ?? ?? ?? ?? EB 21 FF 73 0C 68 ?? ?? ?? ?? 8D 55 FC 8B C7 E8 ?? ?? ?? ?? FF 75 FC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_33172_0 {
	meta:
		name = "TIdDNTreeNode.IndexByLabel"
		size = 80
		refs = "000e @UStrAddRef 0016 TIdDNTreeNode.IndexByLabel 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 14 8B 08 FF 51 54 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_33174_0 {
	meta:
		name = "TIdDNTreeNode.InsertChild"
		size = 102
		refs = "0010 _DV_TIdDNTreeNode 0015 TIdDNTreeNode.Create 0020 TIdDNTreeNode.InsertChild 0033 TIdObjectList.Insert 0042 @HandleAnyException 004f TObject.Free 0054 @RaiseAgain 0059 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 04 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33175_0 {
	meta:
		name = "TIdDNTreeNode.RemoveChild"
		size = 42
		refs = "000f TIdObjectList.GetItem 0018 TIdObjectList.Remove"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B 5E 04 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 46 14 8B 08 FF 51 48 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33176_0 {
	meta:
		name = "TIdDNTreeNode.SaveToFile"
		size = 300
		refs = "0012 TIdDNTreeNode.SaveToFile 001f _Dn_TStringList 0024 TStringList.Create 003f TIdDNTreeNode.ConvertToDNString 0054 ToDo 006e TObject.Free 0074 @HandleFinally 008b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 38 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 41 00 00 00 53 00 61 00 76 00 65 00 54 00 6F 00 46 00 69 00 6C 00 65 00 28 00 29 00 20 00 6D 00 65 00 74 00 68 00 6F 00 64 00 20 00 6F 00 66 00 20 00 54 00 49 00 64 00 44 00 4E 00 54 00 72 00 65 00 65 00 4E 00 6F 00 64 00 65 00 20 00 63 00 6C 00 61 00 73 00 73 00 20 00 69 00 73 00 20 00 6E 00 6F 00 74 00 20 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 65 00 64 00 20 00 79 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_33178_0 {
	meta:
		name = "TIdDNTreeNode.SetCLabel"
		size = 63
		refs = "000d @UStrAsg 001e TIdObjectList.IndexOf 0037 TIdDNTreeNode.SortChildren"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8D 43 0C 8B D7 E8 ?? ?? ?? ?? 8B 73 18 85 F6 74 16 8B 46 04 8B D3 E8 ?? ?? ?? ?? 8B D0 8B 46 14 8B CF 8B 30 FF 56 60 80 7B 1C 00 74 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33181_0 {
	meta:
		name = "TIdDNTreeNode.SortChildren"
		size = 29
		refs = "0004 CompareItems 000c TIdObjectList.BubbleSort"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8B 43 14 8B 10 FF 92 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_33182_0 {
	meta:
		name = "TIdDNS_UDPServer.CompleteQuery"
		size = 972
		refs = "0024 @UStrAddRef 002c @DynArrayAddRef 0034 TIdDNS_UDPServer.CompleteQuery 004e @UStrAsg 005e LowerCase 0089 Fetch 00c3 TIdDNS_UDPServer.InternalSearch 00ce TArray<System.Byte> 00d3 @DynArrayAsg 00ea @DynArrayLength 0119 AppendBytes 0124 @UStrLAsg 0149 @UStrCat3 024b BytesToString 0258 @UStrEqual 027b TIdDNS_UDPServer.ExternalSearch 02bc @UStrArrayClr 02ca @DynArrayClear 02eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 89 55 EC 8B F0 8B 5D 18 8B 45 FC E8 ?? ?? ?? ?? 8B 45 1C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7D 10 01 74 12 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4F 02 00 00 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 86 00 01 00 00 8B 08 FF 51 54 40 0F 9F C0 84 C0 75 27 6A 01 8D 45 E8 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 86 00 01 00 00 8B 08 FF 51 54 40 0F 9F C0 84 C0 0F 84 05 01 00 00 0F B7 45 14 50 8D 45 F0 50 6A 01 6A 00 6A 00 6A 00 6A 00 8B 4D FC 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 14 66 83 E8 01 74 06 66 83 E8 1B 75 36 8B 03 E8 ?? ?? ?? ?? 85 C0 75 2B 6A 05 8D 45 F0 50 6A 01 6A 00 6A 01 6A 00 6A 00 8B 4D FC 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 6A FF 8B C3 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 14 50 8D 45 F0 50 6A 01 6A 00 6A 00 6A 01 8B 45 FC 50 8B 4D F8 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 6A FF 8B C3 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 85 C0 7E 12 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0C 01 00 00 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FA 00 00 00 0F B7 45 14 50 53 6A 01 6A 01 6A 00 6A 00 6A 00 8B 4D FC 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 0F B7 45 14 66 83 E8 01 74 06 66 83 E8 1B 75 36 8B 03 E8 ?? ?? ?? ?? 85 C0 75 2B 6A 05 8D 45 F0 50 6A 01 6A 01 6A 00 6A 00 6A 00 8B 4D FC 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 6A FF 8B C3 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 85 C0 7E 0F 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7D 6A 00 53 6A 01 6A 01 6A 00 6A 00 6A 00 8B 4D FC 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 4D E0 8B 03 33 D2 E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 39 8B 45 1C 50 53 8B 4D EC 8B 55 0C 8B C6 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 85 C0 7E 0F 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 5E 5B 8B E5 5D C2 18 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4E 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2A 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 4F 00 54 00 46 00 4F 00 55 00 4E 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 43 00 4F 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 45 00 72 00 72 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 46 00 6F 00 75 00 6E 00 64 00 45 00 72 00 72 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 52 00 43 00 00 00 00 00 }
	condition:
		$1
}

rule function_33183_0 {
	meta:
		name = "TIdDNS_UDPServer.InitComponent"
		size = 596
		refs = "0007 TIdUDPServer.InitComponent 000e _Dn_TStringList 0013 TStringList.Create 0020 TIdDNS_UDPServer.InitComponent 0090 _DV_TIdDNTreeNode 0095 TIdDNTreeNode.Create 00ad TIdDNTreeNode.SetCLabel 0102 TIdUDPServer.SetDefaultPort 0109 _Dn_TIdCriticalSection 010e TCriticalSection.Create"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F0 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 83 F0 00 00 00 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 83 F0 00 00 00 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 83 F0 00 00 00 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 83 F0 00 00 00 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 83 F0 00 00 00 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 83 F0 00 00 00 8B 08 FF 51 38 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F8 00 00 00 C6 46 1C 01 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 FC 00 00 00 C6 46 1C 01 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 00 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 EC 00 00 00 66 BA 35 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 18 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 30 01 00 00 C6 83 E8 00 00 00 00 5E 5B C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 32 00 30 00 39 00 2E 00 39 00 32 00 2E 00 33 00 33 00 2E 00 31 00 35 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 32 00 30 00 39 00 2E 00 39 00 32 00 2E 00 33 00 33 00 2E 00 31 00 33 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 32 00 30 00 33 00 2E 00 33 00 37 00 2E 00 32 00 35 00 35 00 2E 00 39 00 37 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 32 00 30 00 32 00 2E 00 31 00 32 00 2E 00 32 00 39 00 2E 00 31 00 33 00 31 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 31 00 32 00 2E 00 32 00 39 00 2E 00 32 00 30 00 2E 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 32 00 30 00 34 00 2E 00 31 00 34 00 35 00 2E 00 31 00 31 00 39 00 2E 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 31 00 34 00 30 00 2E 00 31 00 31 00 31 00 2E 00 31 00 2E 00 32 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_33184_0 {
	meta:
		name = "TIdDNS_UDPServer.Destroy"
		size = 169
		refs = "0003 @BeforeDestruction 001a TObject.Free 0097 TIdUDPServer.Destroy 00a2 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 F8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 FC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 F0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 00 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 EC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 18 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 30 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33185_0 {
	meta:
		name = "TIdDNS_UDPServer.DoAfterQuery"
		size = 121
		refs = "0010 @UStrAddRef 0020 TIdDNS_UDPServer.DoAfterQuery 0066 @UStrArrayClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 0A 01 00 00 00 74 1C 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B 83 0C 01 00 00 FF 93 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_33186_0 {
	meta:
		name = "TIdDNS_UDPServer.DoBeforeQuery"
		size = 37
	strings:
		$1 = { 55 8B EC 53 66 83 B8 12 01 00 00 00 74 12 8B 5D 08 53 8B D8 8B 83 14 01 00 00 FF 93 10 01 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_33187_0 {
	meta:
		name = "TIdDNS_UDPServer.ExternalSearch"
		size = 384
		refs = "0018 @DynArrayAddRef 0020 TIdDNS_UDPServer.ExternalSearch 003b _Dn_TIdDNSResolver 0040 TIdBaseComponent.Create 008a @UStrAsg 00a3 TIdDNSResolver.SetInternalQuery 00b1 TIdDNSResolver.Resolve 00c3 TArray<System.Byte> 00c8 @DynArrayAsg 00d7 @HandleOnException 00df _Dn_EIdDnsResolverError 00e7 _Dn_EIdSocketError 00f8 @DoneExcept 0118 @DynArrayLength 0140 TObject.Free 0146 @HandleFinally 015d @UStrClr 016b @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 55 F8 89 45 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 83 7D F8 00 75 21 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 C7 80 D4 00 00 00 88 13 00 00 EB 06 8B 45 F8 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D EC 8B 45 FC 8B 80 F0 00 00 00 8B 55 F4 8B 18 FF 53 0C 8B 55 EC 8B 45 F0 05 C4 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 0C 8B 45 F0 E8 ?? ?? ?? ?? 6A 01 33 C9 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F0 8B 92 D8 00 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 03 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F4 8B 45 FC 8B 80 F0 00 00 00 8B 10 FF 52 14 3B 45 F4 7E 12 8B 45 08 8B 00 E8 ?? ?? ?? ?? 85 C0 0F 8E 46 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 75 0D 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_33188_0 {
	meta:
		name = "TIdDNS_UDPServer.FindHandedNodeByName"
		size = 90
		refs = "0011 @UStrAddRef 0019 TIdDNS_UDPServer.FindHandedNodeByName 0030 TIdDNS_UDPServer.SearchTree 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 4D FC 8B 93 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33189_0 {
	meta:
		name = "TIdDNS_UDPServer.FindNodeFullName"
		size = 117
		refs = "0015 @UStrAddRef 001d TIdDNS_UDPServer.FindNodeFullName 0034 TIdDNS_UDPServer.SearchTree 0043 TIdDNTreeNode.GetFullName 004c @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 45 0C 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_33190_0 {
	meta:
		name = "TIdDNS_UDPServer.LoadZoneFromMasterFile"
		size = 364
		refs = "0010 @UStrAddRef 0018 TIdDNS_UDPServer.LoadZoneFromMasterFile 0028 FileExists 0038 _Dn_TStringList 003d TStringList.Create 0058 ToDo 006c TIdDNS_UDPServer.LoadZoneStrings 0089 TObject.Free 008f @HandleFinally 00a6 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 60 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 FC 00 00 00 50 8B 4D FC 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 50 00 00 00 4C 00 6F 00 61 00 64 00 5A 00 6F 00 6E 00 65 00 46 00 72 00 6F 00 6D 00 4D 00 61 00 73 00 74 00 65 00 72 00 46 00 69 00 6C 00 65 00 28 00 29 00 20 00 6D 00 65 00 74 00 68 00 6F 00 64 00 20 00 6F 00 66 00 20 00 54 00 49 00 64 00 44 00 4E 00 53 00 5F 00 55 00 44 00 50 00 53 00 65 00 72 00 76 00 65 00 72 00 20 00 63 00 6C 00 61 00 73 00 73 00 20 00 69 00 73 00 20 00 6E 00 6F 00 74 00 20 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 65 00 64 00 20 00 79 00 65 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_33191_0 {
	meta:
		name = "IsMSDNSFileName"
		size = 460
		refs = "001c @UStrAddRef 0024 IsMSDNSFileName 0035 @UStrLAsg 0042 Pos 005b Fetch 0073 _Dn_TStringList 0078 TStringList.Create 00d2 @UStrEqual 00f5 @UStrAsg 0128 @UStrCatN 0151 TObject.Free 0157 @HandleFinally 0173 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 15 6A 01 8D 45 EC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 01 8D 45 E8 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F0 8B 08 FF 51 38 83 7D F8 00 75 DA 8B 45 F0 8B 10 FF 52 14 8B D0 4A 8D 4D E4 8B 45 F0 8B 18 FF 53 0C 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 45 F7 80 7D F7 00 74 5B 33 DB 8D 4D E0 8B D3 8B 45 F0 8B 38 FF 57 0C 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F0 8B 10 FF 52 14 83 E8 02 3B D8 7F 23 FF 36 68 ?? ?? ?? ?? 8D 4D DC 8B D3 8B 45 F0 8B 38 FF 57 0C FF 75 DC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 14 83 E8 02 3B D8 7C BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_33192_0 {
	meta:
		name = "MakeTagList"
		size = 808
		refs = "0009 _Dn_TStringList 000e TStringList.Create 001c MakeTagList 0161 @HandleAnyException 0174 TObject.Free 0179 @RaiseAgain 017e @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 08 33 C9 89 4A FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 41 00 41 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4E 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4D 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4D 00 46 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 4F 00 41 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4D 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4D 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4D 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 55 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 57 00 4B 00 53 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 54 00 52 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 48 00 49 00 4E 00 46 00 4F 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 49 00 4E 00 46 00 4F 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4D 00 58 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 58 00 54 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 24 00 4F 00 52 00 49 00 47 00 49 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 24 00 49 00 4E 00 43 00 4C 00 55 00 44 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_33193_0 {
	meta:
		name = "FreeTagList"
		size = 24
		refs = "0012 TObject.Free"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 55 08 33 C9 89 4A FC E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_33194_0 {
	meta:
		name = "ClearDoubleQutoa"
		size = 344
		refs = "0016 ClearDoubleQutoa 0040 Pos 0070 ReplaceSpecString 00db @UStrCatN 0122 @UStrArrayClr 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 C6 45 FF 00 E9 CA 00 00 00 8D 4D F8 8B D6 8B C7 8B 18 FF 53 0C 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 9F 45 FE EB 53 0F B6 45 FE 30 45 FF 6A 00 8D 45 F4 50 8D 4D F0 8B D6 8B C7 8B 18 FF 53 0C 8B 45 F0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B D6 8B C7 8B 18 FF 53 20 8D 4D EC 8B D6 8B C7 8B 18 FF 53 0C 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 9F 45 FE 80 7D FE 00 75 A7 80 7D FF 00 75 03 46 EB 47 8D 4D E4 8B D6 8B C7 8B 18 FF 53 0C FF 75 E4 68 ?? ?? ?? ?? 8D 4D E0 8D 56 01 8B C7 8B 18 FF 53 0C FF 75 E0 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 8B D6 8B C7 8B 18 FF 53 20 8D 56 01 8B C7 8B 08 FF 51 48 8B C7 8B 10 FF 52 14 48 3B F0 0F 8E 26 FF FF FF 0F B6 5D FF 80 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33195_0 {
	meta:
		name = "IsValidMasterFile"
		size = 1912
		refs = "0016 IsValidMasterFile 0023 _Dn_TStringList 0028 TStringList.Create 006f Trim 0084 Fetch 0091 Pos 00e3 @UStrCatN 0131 ReplaceSpecString 013c @UStrLAsg 01c5 @UStrEqual 03d4 IsValidIP 03f5 IsValidIPv6 0416 IsHostname 043e IsFQDN 0450 ClearDoubleQutoa 0504 IsNumeric 069b TObject.Free 06a1 @HandleFinally 06c0 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 12 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 F6 33 DB C6 45 DF 00 8B 45 08 8B 40 F8 8B 10 FF 52 14 85 C0 0F 8E 27 06 00 00 8D 4D D8 8B 45 08 8B 40 F8 8B D6 8B 18 FF 53 0C 8B 45 D8 8D 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 75 5B 46 8D 4D D4 8B 45 08 8B 40 F8 8B D6 8B 18 FF 53 0C 8B 45 D4 8D 55 FC E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 6A 01 8D 45 D0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 D0 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 9F C3 84 DB 75 10 8B 45 08 8B 40 F8 8B 10 FF 52 14 48 3B F0 7E 8D 80 F3 01 84 DB 0F 85 4D 05 00 00 8B 45 E8 8B 10 FF 52 44 6A 01 8D 45 CC 50 33 C9 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 CC 8D 45 F8 E8 ?? ?? ?? ?? 6A 01 8D 45 C8 50 33 C9 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 C8 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 C4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F8 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 C0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 C0 8D 45 F4 E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F0 00 74 29 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1A 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0B 8B 55 F0 8B 45 E8 8B 08 FF 51 38 83 7D F4 00 75 A0 83 7D F8 00 0F 85 6B FF FF FF 80 7D DF 00 75 46 8B 45 E8 8B 10 FF 52 14 48 7E 37 8D 4D BC 33 D2 8B 45 E8 8B 38 FF 57 0C 8B 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 14 BA ?? ?? ?? ?? 8B 45 E8 8B 08 FF 51 54 40 75 04 33 C0 EB 02 B0 01 88 45 DF EB 04 C6 45 DF 00 8B 45 E8 8B 10 FF 52 14 85 C0 7E 20 8D 4D B8 33 D2 8B 45 E8 8B 38 FF 57 0C 8B 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 F8 03 00 00 80 7D DF 00 75 3D 8B 45 E8 8B 10 FF 52 14 85 C0 7E 2A 8B 45 E8 8B 10 FF 52 14 85 C0 7E 10 BA ?? ?? ?? ?? 8B 45 E8 8B 08 FF 51 54 40 74 07 33 DB E9 C3 03 00 00 B3 01 E9 BC 03 00 00 33 DB E9 B5 03 00 00 BA ?? ?? ?? ?? 8B 45 E8 8B 08 FF 51 54 89 45 E4 83 7D E4 FF 75 55 33 C0 89 45 E0 8B 45 E8 8B 10 FF 52 14 85 C0 7E 1F 8D 4D B4 8B 55 E0 8B 45 E8 8B 38 FF 57 0C 8B 55 B4 8B 45 08 8B 40 FC 8B 08 FF 51 54 89 45 E4 FF 45 E0 8B 45 E8 8B 10 FF 52 14 48 3B 45 E0 7E 06 83 7D E4 FF 74 BE 83 7D E4 FF 74 34 8B 45 E0 89 45 E4 EB 2C 8D 4D B0 8B 55 E4 42 8B 45 E8 8B 38 FF 57 0C 8B 55 B0 8B 45 08 8B 40 FC 8B 08 FF 51 54 40 75 09 C7 45 E4 FF FF FF FF EB 03 FF 45 E4 83 7D E4 FF 0F 8E 06 03 00 00 8D 4D AC 8B 55 E4 8B 45 E8 8B 38 FF 57 0C 8B 55 AC 8B 45 08 8B 40 FC 8B 08 FF 51 54 83 F8 10 0F 87 EF 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 4D A8 8B 55 E4 42 8B 45 E8 8B 18 FF 53 0C 8B 45 A8 E8 ?? ?? ?? ?? 8B D8 80 F3 01 E9 83 02 00 00 8D 4D A4 8B 55 E4 42 8B 45 E8 8B 18 FF 53 0C 8B 45 A4 E8 ?? ?? ?? ?? 8B D8 80 F3 01 E9 62 02 00 00 8D 4D A0 8B 55 E4 42 8B 45 E8 8B 18 FF 53 0C 8B 45 A0 E8 ?? ?? ?? ?? 8B D8 80 F3 01 E9 41 02 00 00 33 DB E9 3A 02 00 00 8D 4D 9C 8B 55 E4 42 8B 45 E8 8B 18 FF 53 0C 8B 45 9C E8 ?? ?? ?? ?? 8B D8 80 F3 01 E9 19 02 00 00 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 E8 8B 10 FF 52 14 2B 45 E4 48 83 F8 02 75 07 33 DB E9 F5 01 00 00 B3 01 E9 EE 01 00 00 8B 45 E8 8B 10 FF 52 14 2B 45 E4 48 83 F8 02 0F 95 C3 84 DB 0F 85 D4 01 00 00 8D 4D 98 8B 55 E4 42 8B 45 E8 8B 18 FF 53 0C 8B 45 98 E8 ?? ?? ?? ?? 84 C0 74 24 8D 4D 94 8B 55 E4 83 C2 02 8B 45 E8 8B 18 FF 53 0C 8B 45 94 E8 ?? ?? ?? ?? 84 C0 74 07 33 DB E9 95 01 00 00 B3 01 E9 8E 01 00 00 8B 45 E8 8B 10 FF 52 14 2B 45 E4 48 83 F8 02 0F 95 C3 84 DB 0F 85 74 01 00 00 8D 4D 90 8B 55 E4 42 8B 45 E8 8B 18 FF 53 0C 8B 45 90 E8 ?? ?? ?? ?? 84 C0 74 24 8D 4D 8C 8B 55 E4 83 C2 02 8B 45 E8 8B 18 FF 53 0C 8B 45 8C E8 ?? ?? ?? ?? 84 C0 74 07 33 DB E9 35 01 00 00 B3 01 E9 2E 01 00 00 8B 45 E8 8B 10 FF 52 14 2B 45 E4 48 83 F8 07 0F 95 C3 84 DB 0F 85 14 01 00 00 8D 4D 88 8B 55 E4 42 8B 45 E8 8B 18 FF 53 0C 8B 45 88 E8 ?? ?? ?? ?? 84 C0 0F 84 D2 00 00 00 8D 4D 84 8B 55 E4 83 C2 02 8B 45 E8 8B 18 FF 53 0C 8B 45 84 E8 ?? ?? ?? ?? 84 C0 0F 84 B1 00 00 00 8D 4D 80 8B 55 E4 83 C2 03 8B 45 E8 8B 18 FF 53 0C 8B 45 80 E8 ?? ?? ?? ?? 84 C0 0F 84 90 00 00 00 8D 8D 7C FF FF FF 8B 55 E4 83 C2 04 8B 45 E8 8B 18 FF 53 0C 8B 85 7C FF FF FF E8 ?? ?? ?? ?? 84 C0 74 6D 8D 8D 78 FF FF FF 8B 55 E4 83 C2 05 8B 45 E8 8B 18 FF 53 0C 8B 85 78 FF FF FF E8 ?? ?? ?? ?? 84 C0 74 4A 8D 8D 74 FF FF FF 8B 55 E4 83 C2 06 8B 45 E8 8B 18 FF 53 0C 8B 85 74 FF FF FF E8 ?? ?? ?? ?? 84 C0 74 27 8D 8D 70 FF FF FF 8B 55 E4 83 C2 07 8B 45 E8 8B 18 FF 53 0C 8B 85 70 FF FF FF E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 23 B3 01 EB 1F 8B 45 E8 8B 10 FF 52 14 2B 45 E4 48 0F 94 C3 EB 0E 8B 45 E8 8B 10 FF 52 14 85 C0 7E 02 B3 01 46 8B 45 08 8B 40 F8 8B 10 FF 52 14 48 3B F0 0F 9F C0 0A C3 0F 84 D9 F9 FF FF 80 F3 01 88 5D EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 70 FF FF FF BA 1B 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 0F B6 45 EF 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 24 00 4F 00 52 00 49 00 47 00 49 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 4F 00 41 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_33196_0 {
	meta:
		name = "LoadMasterFile"
		size = 6516
		refs = "0016 LoadMasterFile 0023 _Dn_TStringList 0028 TStringList.Create 0063 @UStrClr 0085 IsMSDNSFileName 0097 UpperCase 00a5 @UStrLAsg 00de Trim 00f3 Fetch 0100 Pos 0155 @UStrCatN 0188 ReplaceSpecString 026c @UStrEqual 0279 LowerCase 0310 TextEndsWith 042c IndyStrToInt 05a9 _Dn_TIdRR_A 05ae TIdRR_A.Create 05bb @UStrAsg 05e3 @LStrFromUStr 05f0 TIdRR_A.SetA 05f9 TIdTextModeResourceRecord.SetTTL 060c TIdDNS_UDPServer.UpdateTree 0618 _Dn_TIdRR_AAAA 061d TIdRR_AAAA.Create 064d ConvertToValidv6IP 0670 TIdRR_AAAA.SetA 0698 _Dn_TIdRR_CName 069d TIdRR_CName.Create 0705 TIdRR_CName.SetCName 0782 _Dn_TIdRR_NS 0787 TIdRR_NS.Create 07ef TIdRR_NS.SetNS 086c _Dn_TIdRR_MR 0871 TIdRR_MR.Create 08d9 TIdRR_MR.SetNewName 0956 _Dn_TIdRR_MB 095b TIdRR_MB.Create 09c3 TIdRR_MB.SetMADName 0a40 _Dn_TIdRR_MG 0a45 TIdRR_MG.Create 0aad TIdRR_MG.SetMGMName 0b2a _Dn_TIdRR_TXT 0b2f TIdRR_TXT.Create 0b71 TIdRR_TXT.SetTXT 0b99 _Dn_TIdRR_PTR 0b9e TIdRR_PTR.Create 0c06 TIdRR_PTR.SetPTRName 0c84 ClearDoubleQutoa 0c8b _Dn_TIdRR_HINFO 0c90 TIdRR_HINFO.Create 0cd2 TIdRR_HINFO.SetCPU 0d09 TIdRR_HINFO.SetOS 0d31 _Dn_TIdRR_MINFO 0d36 TIdRR_MINFO.Create 0d9e TIdRR_MINFO.SetResponsible_Mail 0e52 TIdRR_MINFO.SetErrorHandle_Mail 0ed1 _Dn_TIdRR_MX 0ed6 TIdRR_MX.Create 0f18 TIdRR_MX.SetPref 0f77 TIdRR_MX.SetExchange 0ff6 _Dn_TIdRR_SOA 0ffb TIdRR_SOA.Create 105a TIdRR_SOA.SetMName 10ca TIdRR_SOA.GetMName 10d8 @UStrFromLStr 11b9 TIdRR_SOA.SetRName 123c TIdRR_SOA.GetRName 131e TObject.Free 1324 @HandleFinally 135e TIdRR_SOA.SetSerial 1396 TIdRR_SOA.SetRefresh 13ce TIdRR_SOA.SetRetry 1406 TIdRR_SOA.SetExpire 143e TIdRR_SOA.SetMin 144c TIdRR_SOA.GetExpire 1505 @LStrClr 1515 @UStrArrayClr 157d @LStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 45 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 C4 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C6 45 BF 00 8D 55 E4 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 84 C0 74 1E 8D 55 AC 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 55 AC 8B 45 08 83 C0 F4 E8 ?? ?? ?? ?? EB 08 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 10 FF 52 14 85 C0 0F 8E DE 13 00 00 8D 4D A8 8B 45 08 8B 40 F8 8B 55 C4 8B 18 FF 53 0C 8B 45 A8 8D 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 5E FF 45 C4 8D 4D A4 8B 45 08 8B 40 F8 8B 55 C4 8B 18 FF 53 0C 8B 45 A4 8D 55 FC E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 6A 01 8D 45 A0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 A0 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 9F C0 84 C0 74 9A 8B 45 CC 8B 10 FF 52 44 6A 01 8D 45 9C 50 33 C9 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 9C 8D 45 F8 E8 ?? ?? ?? ?? 6A 01 8D 45 98 50 33 C9 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 98 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 94 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 94 8D 45 F8 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 90 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 90 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 35 6A 01 8D 45 8C 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 CC 8B 08 FF 51 38 6A 01 8D 45 F0 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 F0 8B 08 FF 51 54 40 75 25 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 16 8D 55 88 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 88 8D 45 F0 E8 ?? ?? ?? ?? 83 7D F0 00 74 29 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1A 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0B 8B 55 F0 8B 45 CC 8B 08 FF 51 38 83 7D F4 00 0F 85 21 FF FF FF 83 7D F8 00 0F 85 EC FE FF FF 8B 45 CC 8B 10 FF 52 14 85 C0 0F 8E B1 11 00 00 8D 4D 84 33 D2 8B 45 CC 8B 18 FF 53 0C 8B 45 84 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5E 8D 4D DC BA 01 00 00 00 8B 45 CC 8B 18 FF 53 0C BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 18 8D 45 E4 8B 55 DC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? E9 5C 11 00 00 FF 75 DC 68 ?? ?? ?? ?? FF 75 E4 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? E9 37 11 00 00 33 F6 C7 45 C0 FF FF FF FF 8D 4D 80 8B D6 8B 45 CC 8B 18 FF 53 0C 8B 55 80 8B 45 08 8B 40 FC 8B 08 FF 51 54 40 0F 9F C3 84 DB 74 03 89 75 C0 46 84 DB 75 0D 8B 45 CC 8B 10 FF 52 14 48 3B F0 7E C8 BB 80 51 01 00 83 7D C0 FF 0F 8E E7 10 00 00 8B 45 C0 48 74 0C 48 0F 84 82 00 00 00 E9 F5 00 00 00 8D 8D 7C FF FF FF 33 D2 8B 45 CC 8B 30 FF 56 0C 8B 85 7C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 D4 00 00 00 8D 4D E0 33 D2 8B 45 CC 8B 30 FF 56 0C 8D 8D 78 FF FF FF 8B 55 C0 8B 45 CC 8B 30 FF 56 0C 8B 85 78 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 A0 00 00 00 8D 8D 74 FF FF FF 8B 55 C0 83 C2 06 8B 45 CC 8B 18 FF 53 0C 8B 85 74 FF FF FF E8 ?? ?? ?? ?? 8B D8 EB 7D 8D 8D 70 FF FF FF BA 01 00 00 00 8B 45 CC 8B 30 FF 56 0C 8B 85 70 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 58 8D 4D E0 33 D2 8B 45 CC 8B 30 FF 56 0C 8D 8D 6C FF FF FF 8B 55 C0 8B 45 CC 8B 30 FF 56 0C 8B 85 6C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 28 8D 8D 68 FF FF FF 8B 55 C0 83 C2 06 8B 45 CC 8B 18 FF 53 0C 8B 85 68 FF FF FF E8 ?? ?? ?? ?? 8B D8 EB 05 BB 80 51 01 00 8D 8D 64 FF FF FF 33 D2 8B 45 CC 8B 30 FF 56 0C 8B 85 64 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8D 45 D8 8B 55 E4 E8 ?? ?? ?? ?? EB 50 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B 8D 45 E0 8B 55 D8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 75 1A FF 75 E0 68 ?? ?? ?? ?? FF 75 E4 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0B 8D 45 D8 8B 55 E0 E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF 8B 55 C0 8B 45 CC 8B 30 FF 56 0C 8B 95 60 FF FF FF 8B 45 08 8B 40 FC 8B 08 FF 51 54 83 F8 10 0F 87 31 0F 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 08 8B 55 D8 E8 ?? ?? ?? ?? 8D 8D 58 FF FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C 8B 95 58 FF FF FF 8D 85 5C FF FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 5C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 50 08 8B 45 08 8B 40 F0 8B CE E8 ?? ?? ?? ?? E9 77 0E 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 08 8B 55 D8 E8 ?? ?? ?? ?? 8D 8D 4C FF FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C 8B 85 4C FF FF FF 8D 95 50 FF FF FF E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8D 85 54 FF FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 54 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 50 08 8B 45 08 8B 40 F0 8B CE E8 ?? ?? ?? ?? E9 F7 0D 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 08 8B 55 D8 E8 ?? ?? ?? ?? 8D 8D 48 FF FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C 8B 85 48 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 8D 8D 40 FF FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C 8B 95 40 FF FF FF 8D 85 44 FF FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 44 FF FF FF 8B C6 E8 ?? ?? ?? ?? EB 53 8D 8D 34 FF FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C FF B5 34 FF FF FF 68 ?? ?? ?? ?? FF 75 E4 8D 85 38 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 38 FF FF FF 8D 85 3C FF FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 3C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 50 08 8B 45 08 8B 40 F0 8B CE E8 ?? ?? ?? ?? E9 0D 0D 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 08 8B 55 D8 E8 ?? ?? ?? ?? 8D 8D 30 FF FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C 8B 85 30 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 8D 8D 28 FF FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C 8B 95 28 FF FF FF 8D 85 2C FF FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 2C FF FF FF 8B C6 E8 ?? ?? ?? ?? EB 53 8D 8D 1C FF FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C FF B5 1C FF FF FF 68 ?? ?? ?? ?? FF 75 E4 8D 85 20 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 20 FF FF FF 8D 85 24 FF FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 24 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 50 08 8B 45 08 8B 40 F0 8B CE E8 ?? ?? ?? ?? E9 23 0C 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 08 8B 55 D8 E8 ?? ?? ?? ?? 8D 8D 18 FF FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C 8B 85 18 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 8D 8D 10 FF FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C 8B 95 10 FF FF FF 8D 85 14 FF FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 14 FF FF FF 8B C6 E8 ?? ?? ?? ?? EB 53 8D 8D 04 FF FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C FF B5 04 FF FF FF 68 ?? ?? ?? ?? FF 75 E4 8D 85 08 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 08 FF FF FF 8D 85 0C FF FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 0C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 50 08 8B 45 08 8B 40 F0 8B CE E8 ?? ?? ?? ?? E9 39 0B 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 08 8B 55 D8 E8 ?? ?? ?? ?? 8D 8D 00 FF FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C 8B 85 00 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 8D 8D F8 FE FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C 8B 95 F8 FE FF FF 8D 85 FC FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 FC FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 53 8D 8D EC FE FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C FF B5 EC FE FF FF 68 ?? ?? ?? ?? FF 75 E4 8D 85 F0 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 F0 FE FF FF 8D 85 F4 FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 50 08 8B 45 08 8B 40 F0 8B CE E8 ?? ?? ?? ?? E9 4F 0A 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 08 8B 55 D8 E8 ?? ?? ?? ?? 8D 8D E8 FE FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C 8B 85 E8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 8D 8D E0 FE FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C 8B 95 E0 FE FF FF 8D 85 E4 FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 E4 FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 53 8D 8D D4 FE FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C FF B5 D4 FE FF FF 68 ?? ?? ?? ?? FF 75 E4 8D 85 D8 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 D8 FE FF FF 8D 85 DC FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 DC FE FF FF 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 50 08 8B 45 08 8B 40 F0 8B CE E8 ?? ?? ?? ?? E9 65 09 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 08 8B 55 D8 E8 ?? ?? ?? ?? 8D 8D CC FE FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C 8B 95 CC FE FF FF 8D 85 D0 FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 D0 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 50 08 8B 45 08 8B 40 F0 8B CE E8 ?? ?? ?? ?? E9 F6 08 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 08 8B 55 D8 E8 ?? ?? ?? ?? 8D 8D C8 FE FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C 8B 85 C8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 8D 8D C0 FE FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C 8B 95 C0 FE FF FF 8D 85 C4 FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 C4 FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 53 8D 8D B4 FE FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C FF B5 B4 FE FF FF 68 ?? ?? ?? ?? FF 75 E4 8D 85 B8 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 B8 FE FF FF 8D 85 BC FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 BC FE FF FF 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 50 08 8B 45 08 8B 40 F0 8B CE E8 ?? ?? ?? ?? E9 0C 08 00 00 8B 45 CC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 08 8B 55 D8 E8 ?? ?? ?? ?? 8D 8D AC FE FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C 8B 95 AC FE FF FF 8D 85 B0 FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 B0 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8D 8D A4 FE FF FF 8B 55 C0 83 C2 02 8B 45 CC 8B 38 FF 57 0C 8B 95 A4 FE FF FF 8D 85 A8 FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 A8 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 50 08 8B 45 08 8B 40 F0 8B CE E8 ?? ?? ?? ?? E9 5E 07 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 08 8B 55 D8 E8 ?? ?? ?? ?? 8D 8D A0 FE FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C 8B 85 A0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 8D 8D 98 FE FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C 8B 95 98 FE FF FF 8D 85 9C FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 9C FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 53 8D 8D 8C FE FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C FF B5 8C FE FF FF 68 ?? ?? ?? ?? FF 75 E4 8D 85 90 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 90 FE FF FF 8D 85 94 FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 94 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8D 8D 88 FE FF FF 8B 55 C0 83 C2 02 8B 45 CC 8B 38 FF 57 0C 8B 85 88 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 39 8D 8D 80 FE FF FF 8B 55 C0 83 C2 02 8B 45 CC 8B 38 FF 57 0C 8B 95 80 FE FF FF 8D 85 84 FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 84 FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 55 8D 8D 74 FE FF FF 8B 55 C0 83 C2 02 8B 45 CC 8B 38 FF 57 0C FF B5 74 FE FF FF 68 ?? ?? ?? ?? FF 75 E4 8D 85 78 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 78 FE FF FF 8D 85 7C FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 7C FE FF FF 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 50 08 8B 45 08 8B 40 F0 8B CE E8 ?? ?? ?? ?? E9 BE 05 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 08 8B 55 D8 E8 ?? ?? ?? ?? 8D 8D 6C FE FF FF 8B 55 C0 42 8B 45 CC 8B 38 FF 57 0C 8B 95 6C FE FF FF 8D 85 70 FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 70 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8D 8D 68 FE FF FF 8B 55 C0 83 C2 02 8B 45 CC 8B 38 FF 57 0C 8B 85 68 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 39 8D 8D 60 FE FF FF 8B 55 C0 83 C2 02 8B 45 CC 8B 38 FF 57 0C 8B 95 60 FE FF FF 8D 85 64 FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 64 FE FF FF 8B C6 E8 ?? ?? ?? ?? EB 55 8D 8D 54 FE FF FF 8B 55 C0 83 C2 02 8B 45 CC 8B 38 FF 57 0C FF B5 54 FE FF FF 68 ?? ?? ?? ?? FF 75 E4 8D 85 58 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 58 FE FF FF 8D 85 5C FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 5C FE FF FF 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 50 08 8B 45 08 8B 40 F0 8B CE E8 ?? ?? ?? ?? E9 99 04 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 }
	condition:
		$1
}

rule function_33197_0 {
	meta:
		name = "TIdDNS_UDPServer.LoadZoneStrings"
		size = 151
		refs = "0013 @UStrAddRef 001b TIdDNS_UDPServer.LoadZoneStrings 0027 MakeTagList 003c IsValidMasterFile 004c LoadMasterFile 0063 FreeTagList 006a @HandleFinally 0081 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 4D F4 89 55 F8 89 45 F0 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 88 45 EF 80 7D EF 00 74 0A 55 E8 ?? ?? ?? ?? 59 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 C3 E9 ?? ?? ?? ?? EB F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 EF 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_33198_0 {
	meta:
		name = "TIdDNS_UDPServer.SaveToCache"
		size = 224
		refs = "0012 @UStrAddRef 001a TIdDNS_UDPServer.SaveToCache 0029 _Dn_TIdDNSResolver 002e TIdBaseComponent.Create 004a TIdDNSResolver.FillResultWithOutCheckId 0081 TQueryResult.GetItem 0090 TIdDNS_UDPServer.UpdateTree 00ae TObject.Free 00b4 @HandleFinally 00cb @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 DC 00 00 00 66 83 78 0A 00 76 3A 8B 45 F8 8B 80 CC 00 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 26 43 33 FF 8B 45 F8 8B 80 CC 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B C8 8B 96 F8 00 00 00 8B C6 E8 ?? ?? ?? ?? 47 4B 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_33199_0 {
	meta:
		name = "TIdDNS_UDPServer.SearchTree"
		size = 696
		refs = "001f @UStrAddRef 0027 TIdDNS_UDPServer.SearchTree 0039 _Dn_TStringList 003e TStringList.Create 005a @UStrLAsg 0073 Fetch 00d9 TIdDNTreeNode.GetNode 025f TObject.Free 0265 @HandleFinally 0281 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B F3 33 DB 6A 01 8D 45 F8 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 0B 8B 55 F8 8B 45 EC 8B 08 FF 51 38 83 7D F4 00 75 D4 66 83 7D 08 06 0F 84 D3 00 00 00 8B 45 EC 8B 10 FF 52 14 8B D0 4A 8D 4D E8 8B 45 EC 8B 38 FF 57 0C 8B 55 E8 8B 46 14 8B 08 FF 51 54 8B F8 83 FF FF 74 5F 8B 45 EC 8B 10 FF 52 14 8B D0 4A 8B 45 EC 8B 08 FF 51 48 8B D7 8B C6 E8 ?? ?? ?? ?? 8B F0 8B 45 EC 8B 10 FF 52 14 48 75 24 8D 4D E4 33 D2 8B 45 EC 8B 18 FF 53 0C 8B 55 E4 8B 46 10 8B 40 14 8B 08 FF 51 54 40 0F 95 C3 E9 1F 01 00 00 8B 45 EC 8B 10 FF 52 14 85 C0 0F 94 C3 E9 0D 01 00 00 8B 45 EC 8B 10 FF 52 14 48 75 34 8D 4D E0 33 D2 8B 45 EC 8B 18 FF 53 0C 8B 55 E0 8B 46 10 8B 40 14 8B 08 FF 51 54 40 0F 95 C3 84 DB 0F 85 DB 00 00 00 8B 45 EC 8B 10 FF 52 44 E9 CE 00 00 00 8B 45 EC 8B 10 FF 52 44 E9 C1 00 00 00 8B 45 EC 8B 10 FF 52 14 8B D0 4A 8D 4D DC 8B 45 EC 8B 38 FF 57 0C 8B 55 DC 8B 46 14 8B 08 FF 51 54 8B F8 83 FF FF 74 59 8B 45 EC 8B 10 FF 52 14 8B D0 4A 8B 45 EC 8B 08 FF 51 48 8B D7 8B C6 E8 ?? ?? ?? ?? 8B F0 8B 45 EC 8B 10 FF 52 14 48 75 21 8D 4D D8 33 D2 8B 45 EC 8B 18 FF 53 0C 8B 55 D8 8B 46 10 8B 40 14 8B 08 FF 51 54 40 0F 95 C3 EB 4F 8B 45 EC 8B 10 FF 52 14 85 C0 0F 94 C3 EB 40 8B 45 EC 8B 10 FF 52 14 48 75 2D 8D 4D D4 33 D2 8B 45 EC 8B 18 FF 53 0C 8B 55 D4 8B 46 10 8B 40 14 8B 08 FF 51 54 40 0F 95 C3 84 DB 75 12 8B 45 EC 8B 10 FF 52 44 EB 08 8B 45 EC 8B 10 FF 52 44 8B 45 EC 8B 10 FF 52 14 85 C0 0F 94 C0 0A C3 0F 84 4C FE FF FF 84 DB 74 03 89 75 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_33200_0 {
	meta:
		name = "TIdDNS_UDPServer.SetHanded_DomainList"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 00 01 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_33201_0 {
	meta:
		name = "TIdDNS_UDPServer.SetRootDNS_NET"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 F0 00 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_33202_0 {
	meta:
		name = "TIdDNS_UDPServer.SetZoneMasterFiles"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 EC 00 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_33203_0 {
	meta:
		name = "TIdDNS_UDPServer.UpdateTree"
		size = 4440
		refs = "0021 TIdDNS_UDPServer.UpdateTree 0035 @UStrLAsg 003c _Dn_TStringList 0041 TStringList.Create 0067 Fetch 0099 TextEndsWith 00aa @UStrCat 00c2 LowerCase 0118 TIdDNTreeNode.AddChild 0135 TIdDNTreeNode.SetCLabel 0141 TIdDNTreeNode.GetNode 024e _Dn_TIdRR_A 0253 TIdRR_A.Create 026f TIdObjectList.Add 027e @HandleAnyException 0286 TObject.Free 028b @RaiseAgain 0290 @DoneExcept 029e @UStrAsg 02b1 @LStrFromUStr 02bc TIdRR_A.SetA 02c7 TIdTextModeResourceRecord.SetTTL 02d1 TIdDNTreeNode.GetFullName 02de TIdTextModeResourceRecord.ifAddFullName 030e @UStrCatN 031a _Dn_TIdRR_AAAA 031f TIdRR_AAAA.Create 0388 TIdRR_AAAA.SetA 03e6 _Dn_TIdRR_NS 03eb TIdRR_NS.Create 0454 TIdRR_NS.SetNS 04b2 _Dn_TIdRR_MB 04b7 TIdRR_MB.Create 0520 TIdRR_MB.SetMADName 058a _Dn_TIdRR_CName 058f TIdRR_CName.Create 05fe TIdRR_CName.SetCName 0668 _Dn_TIdRR_SOA 066d TIdRR_SOA.Create 06dc TIdRR_SOA.SetMName 06fd TIdRR_SOA.SetRName 070f IntToStr 0733 TIdRR_SOA.SetSerial 0769 TIdRR_SOA.SetMin 079f TIdRR_SOA.SetRefresh 07d5 TIdRR_SOA.SetRetry 080b TIdRR_SOA.SetExpire 089e _Dn_TIdRR_MG 08a3 TIdRR_MG.Create 0912 TIdRR_MG.SetMGMName 097f _Dn_TIdRR_MR 0984 TIdRR_MR.Create 09f3 TIdRR_MR.SetNewName 0a60 _Dn_TIdRR_PTR 0a65 TIdRR_PTR.Create 0ad4 TIdRR_PTR.SetPTRName 0b41 _Dn_TIdRR_HINFO 0b46 TIdRR_HINFO.Create 0bb5 TIdRR_HINFO.SetCPU 0bd6 TIdRR_HINFO.SetOS 0c40 _Dn_TIdRR_MINFO 0c45 TIdRR_MINFO.Create 0cb4 TIdRR_MINFO.SetResponsible_Mail 0cd5 TIdRR_MINFO.SetErrorHandle_Mail 0d3f _Dn_TIdRR_MX 0d44 TIdRR_MX.Create 0db3 TIdRR_MX.SetExchange 0de6 TIdRR_MX.SetPref 0e50 _Dn_TIdRR_TXT 0e55 TIdRR_TXT.Create 0ed5 TIdRR_TXT.SetTXT 0f52 @HandleFinally 0f71 @UStrArrayClr 0f7c @LStrClr 0f9c @LStrArrayClr 1053 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 26 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F4 8B 52 10 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 0B 8B 55 F8 8B 45 F0 8B 08 FF 51 38 83 7D FC 00 75 D4 8D 45 FC 8B 55 F4 8B 52 10 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 80 78 0C 05 0F 84 A0 00 00 00 8D 55 B4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 B4 8B 86 00 01 00 00 8B 08 FF 51 54 40 0F 85 80 00 00 00 8B 45 F4 80 78 0C 01 74 77 8B 45 F0 8B 10 FF 52 14 8B F0 4E 83 FE 01 7C 58 8D 4D B0 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 55 B0 8B 43 14 8B 08 FF 51 54 89 45 EC 83 7D EC FF 75 26 8B C3 E8 ?? ?? ?? ?? 8B D8 C6 43 1C 01 8D 4D AC 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 55 AC 8B C3 E8 ?? ?? ?? ?? EB 0C 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B D8 4E 85 F6 75 A8 8D 4D FC 33 D2 8B 45 F0 8B 30 FF 56 0C EB 77 8B 45 F0 8B 10 FF 52 14 8B F0 4E 83 FE 00 7C 59 8D 4D A8 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 55 A8 8B 43 14 8B 08 FF 51 54 89 45 EC 8D 4D FC 8B D6 8B 45 F0 8B 38 FF 57 0C 83 7D EC FF 75 19 8B C3 E8 ?? ?? ?? ?? 8B D8 C6 43 1C 01 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 0C 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B D8 4E 83 FE FF 75 A7 8D 45 FC 8B 55 F4 8B 52 10 E8 ?? ?? ?? ?? 8B 43 10 8B 40 14 8B 55 FC 8B 08 FF 51 38 8B 45 F4 0F B6 40 0C 83 F8 14 0F 87 46 0D 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 8B 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 83 C0 08 8B 55 FC E8 ?? ?? ?? ?? 8D 45 A4 8B 75 F4 8B 56 24 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 A4 8B 45 E8 E8 ?? ?? ?? ?? 8B 56 14 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 A0 8B C3 E8 ?? ?? ?? ?? 8B 55 A0 33 C9 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 84 4C 0C 00 00 8B 45 E8 FF 70 08 68 ?? ?? ?? ?? 8D 55 9C 8B C3 E8 ?? ?? ?? ?? FF 75 9C 8B 45 E8 83 C0 08 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 1F 0C 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 8B 55 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 83 C0 08 8B 55 FC E8 ?? ?? ?? ?? 8D 45 98 8B 75 F4 8B 56 24 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 98 8B 45 E4 E8 ?? ?? ?? ?? 8B 56 14 8B 45 E4 E8 ?? ?? ?? ?? 8D 55 94 8B C3 E8 ?? ?? ?? ?? 8B 55 94 33 C9 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 0F 84 80 0B 00 00 8B 45 E4 FF 70 08 68 ?? ?? ?? ?? 8D 55 90 8B C3 E8 ?? ?? ?? ?? FF 75 90 8B 45 E4 83 C0 08 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 53 0B 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 8B 55 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 83 C0 08 8B 55 FC E8 ?? ?? ?? ?? 8D 45 8C 8B 75 F4 8B 56 24 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 8C 8B 45 E0 E8 ?? ?? ?? ?? 8B 56 14 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 88 8B C3 E8 ?? ?? ?? ?? 8B 55 88 33 C9 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 84 B4 0A 00 00 8B 45 E0 FF 70 08 68 ?? ?? ?? ?? 8D 55 84 8B C3 E8 ?? ?? ?? ?? FF 75 84 8B 45 E0 83 C0 08 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 87 0A 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 8B 55 DC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 83 C0 08 8B 55 FC E8 ?? ?? ?? ?? 8D 45 80 8B 75 F4 8B 56 24 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 80 8B 45 DC E8 ?? ?? ?? ?? 8B 56 14 8B 45 DC E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 33 C9 8B 45 DC E8 ?? ?? ?? ?? 84 C0 0F 84 E2 09 00 00 8B 45 DC FF 70 08 68 ?? ?? ?? ?? 8D 95 78 FF FF FF 8B C3 E8 ?? ?? ?? ?? FF B5 78 FF FF FF 8B 45 DC 83 C0 08 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 AF 09 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 8B 55 D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 83 C0 08 8B 55 FC E8 ?? ?? ?? ?? 8D 85 74 FF FF FF 8B 75 F4 8B 56 24 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8B 45 D8 E8 ?? ?? ?? ?? 8B 56 14 8B 45 D8 E8 ?? ?? ?? ?? 8D 95 70 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 33 C9 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 0F 84 04 09 00 00 8B 45 D8 FF 70 08 68 ?? ?? ?? ?? 8D 95 6C FF FF FF 8B C3 E8 ?? ?? ?? ?? FF B5 6C FF FF FF 8B 45 D8 83 C0 08 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 D1 08 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 8B 55 D4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 83 C0 08 8B 55 FC E8 ?? ?? ?? ?? 8D 85 68 FF FF FF 8B 75 F4 8B 56 34 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8B 45 D4 E8 ?? ?? ?? ?? 8D 85 64 FF FF FF 8B 56 38 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 64 FF FF FF 8B 45 D4 E8 ?? ?? ?? ?? 8B 46 24 33 D2 52 50 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 8B 95 5C FF FF FF 8D 85 60 FF FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8B 45 D4 E8 ?? ?? ?? ?? 8B 46 28 33 D2 52 50 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 8B 95 54 FF FF FF 8D 85 58 FF FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 58 FF FF FF 8B 45 D4 E8 ?? ?? ?? ?? 8B 46 2C 33 D2 52 50 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 8B 95 4C FF FF FF 8D 85 50 FF FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8B 45 D4 E8 ?? ?? ?? ?? 8B 46 30 33 D2 52 50 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 8B 95 44 FF FF FF 8D 85 48 FF FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 48 FF FF FF 8B 45 D4 E8 ?? ?? ?? ?? 8B 46 3C 33 D2 52 50 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 8B 95 3C FF FF FF 8D 85 40 FF FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 40 FF FF FF 8B 45 D4 E8 ?? ?? ?? ?? 8B 56 14 8B 45 D4 E8 ?? ?? ?? ?? 8D 95 38 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 38 FF FF FF 33 C9 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 74 33 8B 45 D4 FF 70 08 68 ?? ?? ?? ?? 8D 95 34 FF FF FF 8B C3 E8 ?? ?? ?? ?? FF B5 34 FF FF FF 8B 45 D4 83 C0 08 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 C8 06 00 00 8B 45 D4 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 B0 06 00 00 8B 45 D4 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9B 06 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 8B 55 D0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 83 C0 08 8B 55 FC E8 ?? ?? ?? ?? 8D 85 30 FF FF FF 8B 55 F4 8B 52 24 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 30 FF FF FF 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 F4 8B 50 14 8B 45 D0 E8 ?? ?? ?? ?? 8D 95 2C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 2C FF FF FF 33 C9 8B 45 D0 E8 ?? ?? ?? ?? 84 C0 0F 84 ED 05 00 00 8B 45 D0 FF 70 08 68 ?? ?? ?? ?? 8D 95 28 FF FF FF 8B C3 E8 ?? ?? ?? ?? FF B5 28 FF FF FF 8B 45 D0 83 C0 08 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 BA 05 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 8B 55 CC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 83 C0 08 8B 55 FC E8 ?? ?? ?? ?? 8D 85 24 FF FF FF 8B 55 F4 8B 52 24 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 24 FF FF FF 8B 45 CC E8 ?? ?? ?? ?? 8B 45 F4 8B 50 14 8B 45 CC E8 ?? ?? ?? ?? 8D 95 20 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 20 FF FF FF 33 C9 8B 45 CC E8 ?? ?? ?? ?? 84 C0 0F 84 0C 05 00 00 8B 45 CC FF 70 08 68 ?? ?? ?? ?? 8D 95 1C FF FF FF 8B C3 E8 ?? ?? ?? ?? FF B5 1C FF FF FF 8B 45 CC 83 C0 08 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 D9 04 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 8B 55 C8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 83 C0 08 8B 55 FC E8 ?? ?? ?? ?? 8D 85 18 FF FF FF 8B 55 F4 8B 52 24 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 18 FF FF FF 8B 45 C8 E8 ?? ?? ?? ?? 8B 45 F4 8B 50 14 8B 45 C8 E8 ?? ?? ?? ?? 8D 95 14 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 14 FF FF FF 33 C9 8B 45 C8 E8 ?? ?? ?? ?? 84 C0 0F 84 2B 04 00 00 8B 45 C8 FF 70 08 68 ?? ?? ?? ?? 8D 95 10 FF FF FF 8B C3 E8 ?? ?? ?? ?? FF B5 10 FF FF FF 8B 45 C8 83 C0 08 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 F8 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 8B 55 C4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 83 C0 08 8B 55 FC E8 ?? ?? ?? ?? 8D 85 0C FF FF FF 8B 75 F4 8B 56 28 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 0C FF FF FF 8B 45 C4 E8 ?? ?? ?? ?? 8D 85 08 FF FF FF 8B 56 2C B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 08 FF FF FF 8B 45 C4 E8 ?? ?? ?? ?? 8B 56 14 8B 45 C4 E8 ?? ?? ?? ?? 8D 95 04 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 04 FF FF FF 33 C9 8B 45 C4 E8 ?? ?? ?? ?? 84 C0 0F 84 2C 03 00 00 8B 45 C4 FF 70 08 68 ?? ?? ?? ?? 8D 95 00 FF FF FF 8B C3 E8 ?? ?? ?? ?? FF B5 00 FF FF FF 8B 45 C4 83 C0 08 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 F9 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 8B 55 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 83 C0 08 8B 55 FC E8 ?? ?? ?? ?? 8D 85 FC FE FF FF 8B 75 F4 8B 56 24 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 FC FE FF FF 8B 45 C0 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 8B 56 28 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B 45 C0 E8 ?? ?? ?? ?? 8B 56 14 8B 45 C0 E8 ?? ?? ?? ?? 8D 95 F4 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 33 C9 8B 45 C0 E8 ?? ?? ?? ?? 84 C0 0F 84 2D 02 00 00 8B 45 C0 FF 70 08 68 ?? ?? ?? ?? 8D 95 F0 FE FF FF 8B C3 E8 ?? ?? ?? ?? FF B5 F0 FE FF FF 8B 45 C0 83 C0 08 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 FA 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 BC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 8B 55 BC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 83 C0 08 8B 55 FC E8 ?? ?? ?? ?? 8D 85 EC FE FF FF 8B 75 F4 8B 56 24 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 EC FE FF FF 8B 45 BC E8 ?? ?? ?? ?? 8D 95 E4 FE FF FF 0F B7 46 28 E8 ?? ?? ?? ?? 8B 95 E4 FE FF FF 8D 85 E8 FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 E8 FE FF FF 8B 45 BC E8 ?? ?? ?? ?? 8B 56 14 8B 45 BC E8 ?? ?? ?? ?? 8D 95 E0 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 E0 FE FF FF 33 C9 8B 45 BC E8 ?? ?? ?? ?? 84 C0 0F 84 1C 01 00 00 8B 45 BC FF 70 08 68 ?? ?? ?? ?? 8D 95 DC FE FF FF 8B C3 E8 ?? ?? ?? ?? FF B5 DC FE FF FF 8B 45 BC 83 C0 08 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 E9 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 8B 55 B8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 83 C0 08 8B 55 FC E8 ?? ?? ?? ?? 8D 95 D4 FE FF FF 8B 45 F4 8B 40 24 8B 08 FF 51 1C 8B 95 D4 FE FF FF 8D 85 D8 FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 D8 FE FF FF 8B 45 B8 E8 ?? ?? ?? ?? 8B 45 F4 8B 50 14 8B 45 B8 E8 ?? ?? ?? ?? 8D 95 D0 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 D0 FE FF FF 33 C9 8B 45 B8 E8 ?? ?? ?? ?? 84 C0 74 2E 8B 45 B8 FF 70 08 68 ?? ?? ?? ?? 8D 95 CC FE FF FF 8B C3 E8 ?? ?? ?? ?? FF B5 CC FE FF FF 8B 45 B8 83 C0 08 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 CC FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 D8 FE FF FF E8 ?? ?? ?? ?? 8D 85 DC FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 E8 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 00 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 08 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 10 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 18 FF FF FF E8 ?? ?? ?? ?? 8D 85 1C FF FF }
	condition:
		$1
}

rule function_33204_0 {
	meta:
		name = "TIdDNS_UDPServer.UpdateTree"
		size = 1388
		refs = "0022 TIdDNS_UDPServer.UpdateTree 0036 @UStrLAsg 003d _Dn_TStringList 0042 TStringList.Create 0068 Fetch 009a TextEndsWith 00ae @UStrCat 00b7 _Dn_TIdRR_SOA 00bc @IsClass 00d2 LowerCase 011b TIdDNTreeNode.AddChild 0138 TIdDNTreeNode.SetCLabel 0144 TIdDNTreeNode.GetNode 0227 @UStrEqual 02f9 TIdObjectList.Add 030b TIdObjectList.Insert 0518 TObject.Free 051e @HandleFinally 053a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F4 8B 52 08 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 0B 8B 55 F8 8B 45 F0 8B 08 FF 51 38 83 7D FC 00 75 D4 8D 45 FC 8B 55 F4 8B 52 08 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 F4 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 96 00 00 00 8D 55 E8 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 E8 8B 86 00 01 00 00 8B 08 FF 51 54 40 75 77 8B 45 F0 8B 10 FF 52 14 8B F0 4E 83 FE 01 7C 58 8D 4D E4 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 55 E4 8B 43 14 8B 08 FF 51 54 89 45 EC 83 7D EC FF 75 26 8B C3 E8 ?? ?? ?? ?? 8B D8 C6 43 1C 01 8D 4D E0 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 55 E0 8B C3 E8 ?? ?? ?? ?? EB 0C 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B D8 4E 85 F6 75 A8 8D 4D FC 33 D2 8B 45 F0 8B 30 FF 56 0C EB 77 8B 45 F0 8B 10 FF 52 14 8B F0 4E 83 FE 00 7C 59 8D 4D DC 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 55 DC 8B 43 14 8B 08 FF 51 54 89 45 EC 8D 4D FC 8B D6 8B 45 F0 8B 38 FF 57 0C 83 7D EC FF 75 19 8B C3 E8 ?? ?? ?? ?? 8B D8 C6 43 1C 01 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 0C 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B D8 4E 83 FE FF 75 A7 8D 45 FC 8B 55 F4 8B 52 08 E8 ?? ?? ?? ?? 8B 43 10 8B 40 14 8B 55 FC 8B 08 FF 51 54 8B F0 83 FE FF 75 10 8B 43 10 8B 40 14 8B 55 FC 8B 08 FF 51 38 EB 68 46 8B 43 10 8B 40 14 8B 10 FF 52 14 48 3B F0 7E 05 83 CE FF EB 2D 8D 4D D8 8B 43 10 8B 40 14 8B D6 8B 38 FF 57 0C 8B 45 D8 8B 55 FC E8 ?? ?? ?? ?? 75 10 8B 43 10 8B 40 14 8B 10 FF 52 14 48 3B F0 7E BD 83 FE FF 75 10 8B 43 10 8B 40 14 8B 55 FC 8B 08 FF 51 38 EB 10 8B 43 10 8B 40 14 8B 4D FC 8B D6 8B 38 FF 57 60 8B 45 F4 8B 40 14 83 F8 1C 0F 87 91 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F4 83 FE FF 75 0E 8B 53 10 92 E8 ?? ?? ?? ?? E9 00 02 00 00 8B 53 10 8B C8 8B C6 92 E8 ?? ?? ?? ?? E9 EE 01 00 00 8B 45 F4 83 FE FF 75 0E 8B 53 10 92 E8 ?? ?? ?? ?? E9 D8 01 00 00 8B 53 10 8B C8 8B C6 92 E8 ?? ?? ?? ?? E9 C6 01 00 00 8B 45 F4 83 FE FF 75 0E 8B 53 10 92 E8 ?? ?? ?? ?? E9 B0 01 00 00 8B 53 10 8B C8 8B C6 92 E8 ?? ?? ?? ?? E9 9E 01 00 00 8B 45 F4 83 FE FF 75 0E 8B 53 10 92 E8 ?? ?? ?? ?? E9 88 01 00 00 8B 53 10 8B C8 8B C6 92 E8 ?? ?? ?? ?? E9 76 01 00 00 8B 45 F4 83 FE FF 75 0E 8B 53 10 92 E8 ?? ?? ?? ?? E9 60 01 00 00 8B 53 10 8B C8 8B C6 92 E8 ?? ?? ?? ?? E9 4E 01 00 00 8B 45 F4 83 FE FF 75 0E 8B 53 10 92 E8 ?? ?? ?? ?? E9 38 01 00 00 8B 53 10 8B C8 8B C6 92 E8 ?? ?? ?? ?? E9 26 01 00 00 8B 45 F4 83 FE FF 75 0E 8B 53 10 92 E8 ?? ?? ?? ?? E9 10 01 00 00 8B 53 10 8B C8 8B C6 92 E8 ?? ?? ?? ?? E9 FE 00 00 00 8B 45 F4 83 FE FF 75 0E 8B 53 10 92 E8 ?? ?? ?? ?? E9 E8 00 00 00 8B 53 10 8B C8 8B C6 92 E8 ?? ?? ?? ?? E9 D6 00 00 00 8B 45 F4 83 FE FF 75 0E 8B 53 10 92 E8 ?? ?? ?? ?? E9 C0 00 00 00 8B 53 10 8B C8 8B C6 92 E8 ?? ?? ?? ?? E9 AE 00 00 00 8B 45 F4 83 FE FF 75 0E 8B 53 10 92 E8 ?? ?? ?? ?? E9 98 00 00 00 8B 53 10 8B C8 8B C6 92 E8 ?? ?? ?? ?? E9 86 00 00 00 8B 45 F4 83 FE FF 75 0B 8B 53 10 92 E8 ?? ?? ?? ?? EB 73 8B 53 10 8B C8 8B C6 92 E8 ?? ?? ?? ?? EB 64 8B 45 F4 83 FE FF 75 0B 8B 53 10 92 E8 ?? ?? ?? ?? EB 51 8B 53 10 8B C8 8B C6 92 E8 ?? ?? ?? ?? EB 42 8B 45 F4 83 FE FF 75 0B 8B 53 10 92 E8 ?? ?? ?? ?? EB 2F 8B 53 10 8B C8 8B C6 92 E8 ?? ?? ?? ?? EB 20 8B 45 F4 83 FE FF 75 0B 8B 53 10 92 E8 ?? ?? ?? ?? EB 0D 8B 53 10 8B C8 8B C6 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_33205_0 {
	meta:
		name = "TIdDNS_UDPServer.DoAfterSendBack"
		size = 121
		refs = "0010 @UStrAddRef 0020 TIdDNS_UDPServer.DoAfterSendBack 0066 @UStrArrayClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 22 01 00 00 00 74 1C 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B 83 24 01 00 00 FF 93 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_33206_0 {
	meta:
		name = "TIdDNS_UDPServer.AXFR"
		size = 616
		refs = "0021 @UStrAddRef 0029 TIdDNS_UDPServer.AXFR 003a LowerCase 0045 @UStrLAsg 0070 Fetch 0097 TArray<System.Byte> 009c @DynArraySetLength 00bb TIdDNS_UDPServer.SearchTree 00e3 TIdDNTreeNode.DumpAllBinaryData 00f4 @DynArrayAsg 0107 TDNSHeader.SetQr 0112 TDNSHeader.SetAA 011b TDNSHeader.SetRCode 0130 TDNSHeader.SetTC 013a TDNSHeader.GenerateBinaryHeader 014b AppendBytes 0169 @UStrAsg 01e9 @FinalizeArray 01f6 @UStrArrayClr 0204 @DynArrayClear 020c @UStrClr 0212 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 87 00 01 00 00 8B 55 FC 8B 08 FF 51 54 40 0F 9F C3 84 DB 75 27 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 87 00 01 00 00 8B 55 FC 8B 08 FF 51 54 40 0F 9F C3 33 C0 89 45 F4 6A 00 8B 45 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 66 C7 46 0A 00 00 84 DB 74 15 6A 06 8B 97 FC 00 00 00 8B 4D FC 8B C7 E8 ?? ?? ?? ?? 89 45 F4 84 DB 0F 84 A5 00 00 00 83 7D F4 00 0F 84 9B 00 00 00 33 C0 89 45 F0 8D 4D E4 8D 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 F0 66 89 46 0A 66 BA 01 00 8B C6 E8 ?? ?? ?? ?? 66 BA 01 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 66 C7 46 08 00 00 66 C7 46 0E 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 6A FF 8B 55 0C 8B 12 8D 45 F8 33 C9 E8 ?? ?? ?? ?? 8B 45 0C 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5E 66 BA 01 00 8B C6 E8 ?? ?? ?? ?? 66 BA 01 00 8B C6 E8 ?? ?? ?? ?? 66 BA 03 00 8B C6 E8 ?? ?? ?? ?? 66 C7 46 08 00 00 66 C7 46 0E 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 4F 00 54 00 46 00 4F 00 55 00 4E 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_33207_0 {
	meta:
		name = "CheckMoreAddrSearch"
		size = 103
		refs = "000c CheckMoreAddrSearch 001c @UStrFromLStr 0024 IsValidIP 0030 IsHostname 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 1A 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 08 8B 40 FC 8B 55 FC 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_33208_0 {
	meta:
		name = "TIdDNS_UDPServer.InternalSearch"
		size = 7668
		refs = "0023 @UStrAddRef 0033 TIdDNS_UDPServer.InternalSearch 0049 TArray<System.Byte> 004e @DynArraySetLength 0070 _Dn_TStringList 0075 TStringList.Create 00ad TIdDNS_UDPServer.SearchTree 00c2 LowerCase 00e8 TextEndsWith 010c @UStrCopy 0141 Fetch 014c @UStrLAsg 022c TIdTextModeRRs.GetItem 0232 _Dn_TIdRR_A 0237 @IsClass 0249 TIdDNTreeNode.GetFullName 0274 _Dn_TIdRR_AAAA 02b6 _Dn_TIdRR_NS 02d9 @AsClass 02e1 TIdRR_NS.GetNS 02e9 CheckMoreAddrSearch 031f _Dn_TIdRR_MB 034a TIdRR_MB.GetMADName 03f1 _Dn_TIdRR_CName 041f TIdRR_CName.GetCName 0466 _Dn_TIdRR_SOA 0494 TIdRR_SOA.GetMName 04c1 TIdRR_SOA.GetRName 057d _Dn_TIdRR_MG 05ab TIdRR_MG.GetMGMName 05f2 _Dn_TIdRR_MR 0620 TIdRR_MR.GetNewName 0667 _Dn_TIdRR_WKS 06af _Dn_TIdRR_PTR 06f7 _Dn_TIdRR_HINFO 073f _Dn_TIdRR_MINFO 0787 _Dn_TIdRR_MX 07b5 TIdRR_MX.GetExchang 07f9 _Dn_TIdRR_TXT 0862 @DynArrayLength 0895 @UStrCatN 08a3 DomainNameToDNSStr 08ba ToBytes 08ca FetchBytes 08e4 AppendBytes 08f5 @DynArrayAsg 0992 TDNSHeader.SetQr 099e TDNSHeader.SetAA 09a8 TDNSHeader.SetRCode 09d4 @UStrEqual 09de @UStrClr 0a04 TextIsSame 0a8f @UStrCat3 0b5f IndyPos 0d21 _Dn_TIdDNSResolver 0d26 TIdBaseComponent.Create 0d62 @UStrAsg 0d94 TIdDNSResolver.Resolve 0e10 TObject.Free 0e16 @HandleFinally 0eea Now 0f09 CurrencyString 0f11 StrToDateTime 0f26 CompareDate 0fe7 AppendString 165a BytesToString 1b98 @UStrArrayClr 1ba3 @LStrClr 1c05 @LStrArrayClr 1c83 @FinalizeArray 1d61 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 51 B9 3A 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 89 55 D4 89 45 D8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 1C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8D 45 E0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 45 CE 00 80 7D 14 00 0F 85 B0 0D 00 00 0F B7 45 20 50 8B 45 D8 8B 90 FC 00 00 00 8B 4D F8 8B 45 D8 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 00 0A 00 00 8D 55 AC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 AC 8B 46 10 8B 40 14 8B 08 FF 51 54 8B D8 83 FB FF 0F 85 8C 00 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 20 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 A8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 A8 8B 46 10 8B 40 14 8B 08 FF 51 54 8B D8 83 FB FF 75 3B 6A 01 8D 45 A4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 A0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 A0 8B 46 10 8B 40 14 8B 08 FF 51 54 8B D8 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 6A 00 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 FB FF 0F 84 32 08 00 00 0F B7 45 20 83 F8 09 7F 3A 0F 84 40 04 00 00 83 F8 08 0F 87 A5 06 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 0F 7F 29 0F 84 96 05 00 00 83 E8 0B 0F 84 6D 04 00 00 48 0F 84 AE 04 00 00 48 0F 84 EF 04 00 00 48 0F 84 30 05 00 00 E9 4C 06 00 00 83 E8 10 0F 84 DC 05 00 00 83 E8 0C 74 52 2D E3 00 00 00 0F 84 0D 06 00 00 E9 2E 06 00 00 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 11 06 00 00 8D 55 9C 8B C6 E8 ?? ?? ?? ?? 8B 45 9C 50 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8D 4D EC 5A 8B 38 FF 17 E9 EC 05 00 00 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 CF 05 00 00 8D 55 98 8B C6 E8 ?? ?? ?? ?? 8B 45 98 50 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8D 4D EC 5A 8B 38 FF 17 E9 AA 05 00 00 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 8D 05 00 00 55 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 94 E8 ?? ?? ?? ?? 8B 45 94 E8 ?? ?? ?? ?? 59 8D 55 90 8B C6 E8 ?? ?? ?? ?? 8B 45 90 50 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8D 4D EC 5A 8B 38 FF 17 E9 41 05 00 00 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 24 05 00 00 55 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 8C E8 ?? ?? ?? ?? 8B 45 8C E8 ?? ?? ?? ?? 59 8D 55 88 8B C6 E8 ?? ?? ?? ?? 8B 45 88 50 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8D 4D EC 5A 8B 38 FF 17 E9 D8 04 00 00 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 BB 04 00 00 55 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 84 E8 ?? ?? ?? ?? 8B 45 84 E8 ?? ?? ?? ?? 59 8D 55 80 8B C6 E8 ?? ?? ?? ?? 8B 45 80 50 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8D 4D EC 5A 8B 38 FF 17 E9 6F 04 00 00 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 52 04 00 00 55 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 7C FF FF FF E8 ?? ?? ?? ?? 8B 85 7C FF FF FF E8 ?? ?? ?? ?? 59 8D 95 78 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 50 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8D 4D EC 5A 8B 38 FF 17 E9 FA 03 00 00 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 DD 03 00 00 55 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 74 FF FF FF E8 ?? ?? ?? ?? 8B 85 74 FF FF FF E8 ?? ?? ?? ?? 59 55 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 70 FF FF FF E8 ?? ?? ?? ?? 8B 85 70 FF FF FF E8 ?? ?? ?? ?? 59 8D 95 6C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 50 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8D 4D EC 5A 8B 38 FF 17 E9 58 03 00 00 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 3B 03 00 00 55 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 68 FF FF FF E8 ?? ?? ?? ?? 8B 85 68 FF FF FF E8 ?? ?? ?? ?? 59 8D 95 64 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 50 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8D 4D EC 5A 8B 38 FF 17 E9 E3 02 00 00 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C6 02 00 00 55 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 60 FF FF FF E8 ?? ?? ?? ?? 8B 85 60 FF FF FF E8 ?? ?? ?? ?? 59 8D 95 5C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 50 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8D 4D EC 5A 8B 38 FF 17 E9 6E 02 00 00 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 51 02 00 00 55 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 58 FF FF FF E8 ?? ?? ?? ?? 8B 85 58 FF FF FF E8 ?? ?? ?? ?? 59 8D 95 54 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 50 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8D 4D EC 5A 8B 38 FF 17 E9 F9 01 00 00 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 DC 01 00 00 8D 95 50 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 50 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8D 4D EC 5A 8B 38 FF 17 E9 B1 01 00 00 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 94 01 00 00 8D 95 4C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 50 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8D 4D EC 5A 8B 38 FF 17 E9 69 01 00 00 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 4C 01 00 00 8D 95 48 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 50 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8D 4D EC 5A 8B 38 FF 17 E9 21 01 00 00 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 04 01 00 00 8D 95 44 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 44 FF FF FF 50 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8D 4D EC 5A 8B 38 FF 17 E9 D9 00 00 00 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 BC 00 00 00 55 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 40 FF FF FF E8 ?? ?? ?? ?? 8B 85 40 FF FF FF E8 ?? ?? ?? ?? 59 8D 95 3C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 3C FF FF FF 50 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8D 4D EC 5A 8B 38 FF 17 EB 67 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4E 8D 95 38 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 38 FF FF FF 50 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8D 4D EC 5A 8B 38 FF 17 EB 26 8D 95 34 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 34 FF FF FF 50 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8D 4D EC 5A 8B 38 FF 17 80 7D 0C 00 0F 84 9B 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 8E 8B 00 00 00 FF 75 F8 68 ?? ?? ?? ?? 8D 95 2C FF FF FF 8B C6 E8 ?? ?? ?? ?? FF B5 2C FF FF FF 8D 85 30 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 30 FF FF FF 8D 55 E8 E8 ?? ?? ?? ?? 8D 85 28 FF FF FF 50 8D 8D 24 FF FF FF 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B 95 24 FF FF FF 8D 45 EC B1 01 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 08 E8 ?? ?? ?? ?? 6A FF 8D 45 E8 33 C9 8B 55 EC E8 ?? ?? ?? ?? 8D 45 EC 8B 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 8E A3 00 00 00 6A FF 8B 45 1C 33 C9 8B 55 EC E8 ?? ?? ?? ?? 80 7D CE 00 75 06 80 7D 10 00 74 07 66 83 7D 20 1C 75 49 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 80 7D 18 00 74 09 8B 45 D4 66 FF 40 0A EB 37 8B 45 D4 66 FF 40 0C EB 2E 80 7D 18 00 74 09 8B 45 D4 66 FF 40 0A EB 1F 8B 45 D4 66 FF 40 0E EB 16 80 7D 10 00 74 09 8B 45 D4 66 FF 40 0E EB 07 8B 45 D4 66 FF 40 0A 66 BA 01 00 8B 45 D4 E8 ?? ?? ?? ?? 66 BA 01 00 8B 45 D4 E8 ?? ?? ?? ?? 33 D2 8B 45 D4 E8 ?? ?? ?? ?? 8B 46 10 8B 40 14 8B 10 FF 52 14 48 3B D8 7D 07 C6 45 CF 00 43 EB 0A C6 45 CF 01 EB 04 C6 45 CF 01 8B 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 75 08 8D 45 F4 E8 ?? ?? ?? ?? 83 FB FF 74 73 8D 8D 20 FF FF FF 8B 46 10 8B 40 14 8B D3 8B 38 FF 57 0C 8B 85 20 FF FF FF 8B 55 F8 E8 ?? ?? ?? ?? 34 01 50 8D 8D 1C FF FF FF 8B 46 10 8B 40 14 8B D3 8B 38 FF 57 0C 8B 85 1C FF FF FF 50 6A 01 8D 85 18 FF FF FF 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 18 FF FF FF 58 E8 ?? ?? ?? ?? 34 01 5A 32 D0 74 0A 80 7D CF 00 0F 84 11 F7 FF FF 8B 45 1C 8B 00 E8 ?? ?? ?? ?? 85 C0 7E 5B 0F B7 45 20 50 8D 45 EC 50 0F B6 45 18 50 6A 00 6A 00 6A 01 8B 45 F8 50 8D 85 14 FF FF FF 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 14 FF FF FF 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 83 7D EC 00 74 19 6A FF 8B 45 1C 33 C9 8B 55 EC E8 ?? ?? ?? ?? EB 08 8B 45 FC 8B 10 FF 52 44 8B 45 FC 8B 10 FF 52 14 85 C0 0F 8E 8A 10 00 00 8B 45 FC 8B 10 FF 52 14 48 85 C0 0F 8C 79 10 00 00 40 89 45 C4 C7 45 D0 00 00 00 00 33 F6 8B 45 D8 8B 80 00 01 00 00 8B 10 FF 52 14 85 C0 0F 8E 80 00 00 00 8D 8D 0C FF FF FF 8B 55 D0 8B 45 FC 8B 18 FF 53 0C 8B 85 0C FF FF FF 8D 95 10 FF FF FF E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 50 8D 8D 04 FF FF FF 8B 45 D8 8B 80 00 01 00 00 8B D6 8B 18 FF 53 0C 8B 85 04 FF FF FF 8D 95 08 FF FF FF E8 ?? ?? ?? ?? 8B 85 08 FF FF FF 8B 1D ?? ?? ?? ?? 8B 1B 5A FF D3 85 C0 0F 9F C3 46 84 DB 75 17 8B 45 D8 8B 80 00 01 00 00 8B 10 FF 52 14 48 3B F0 7E 82 EB 02 33 DB 84 DB 0F 84 8A 01 00 00 66 83 7D 20 05 0F 95 C3 6A 01 8D 45 EC 50 6A 01 6A 00 53 6A 00 6A 00 8D 8D 00 FF FF FF 8B 55 D0 8B 45 FC 8B 30 FF 56 0C 8B 8D 00 FF FF FF 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 85 C0 75 69 8D 4D F0 8B 55 D0 8B 45 FC 8B 30 FF 56 0C 6A 01 8D 85 FC FE FF FF 50 8D 45 F0 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 4D F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 6A 01 6A 00 53 6A 01 8D 8D F8 FE FF FF 8B 55 D0 8B 45 FC 8B 30 FF 56 0C 8B 85 F8 FE FF FF 50 8B 4D F0 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 8B 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 1C 8D 45 EC 50 6A 01 6A 00 53 6A 01 6A 00 8D 8D F4 FE FF FF 8B 55 D0 8B 45 FC 8B 30 FF 56 0C 8B 8D F4 FE FF FF 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 85 C0 75 69 8D 4D F0 8B 55 D0 8B 45 FC 8B 30 FF 56 0C 6A 01 8D 85 F0 FE FF FF 50 8D 45 F0 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 4D F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 1C 8D 45 EC 50 6A 01 6A 00 53 6A 01 8D 8D EC FE FF FF 8B 55 D0 8B 45 FC 8B 18 FF 53 0C 8B 85 EC FE FF FF 50 8B 4D F0 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 6A FF 8D 45 E4 33 C9 8B 55 EC E8 ?? ?? ?? ?? 8D 45 EC 8B 55 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 01 01 00 00 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 F6 8D 8D E8 FE FF FF 8B 45 D8 8B 80 F0 00 00 00 8B D6 8B 18 FF 53 0C 8B 95 E8 FE FF FF 8B 45 C8 05 C4 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 8B 15 ?? ?? ?? ?? 89 90 D0 00 00 00 6A 01 8D 8D E4 FE FF FF 8B 55 D0 8B 45 FC 8B 18 FF 53 0C 8B 95 E4 FE FF FF 33 C9 8B 45 C8 E8 ?? ?? ?? ?? 8D 45 E0 8B 55 C8 8B 92 D8 00 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 8B 80 CC 00 00 00 8B 40 08 8B 40 08 8B 55 D4 66 01 42 0E 8B 45 D8 8B 80 F0 00 00 00 8B 10 FF 52 14 48 3B F0 7D 10 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 8E 55 FF FF FF 6A FF 8D 45 EC B9 0C 00 00 00 8B 55 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C8 33 D2 89 55 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 EC E8 ?? ?? ?? ?? 85 C0 7E 0F 6A FF 8B 45 1C 33 C9 8B 55 EC E8 ?? ?? ?? ?? FF 45 D0 FF 4D C4 0F 85 AC FC FF FF E9 15 0D 00 00 0F B7 45 20 50 8B 45 D8 8B 90 F8 00 00 00 8B 4D F8 8B 45 D8 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 29 09 00 00 0F B7 45 20 66 83 E8 02 72 12 66 83 E8 03 74 0C 66 83 E8 07 74 06 66 83 E8 10 75 26 6A 01 8D 85 E0 FE FF FF 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 E0 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 46 10 8B 40 14 8B 55 F8 8B 08 FF 51 54 8B D8 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 6A 00 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 FB FF 0F 84 2F 08 00 00 E8 ?? ?? ?? ?? DD 5D B0 9B 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 50 18 8D 45 DC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? DD 5D B8 9B FF 75 B4 FF 75 B0 FF 75 BC FF 75 B8 E8 ?? ?? ?? ?? 48 75 1D 6A 00 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 E9 04 07 00 00 0F B7 45 20 83 F8 09 7F 3A 0F 84 87 04 00 00 83 F8 08 0F 87 EC 06 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 0F 7F 29 0F 84 DD 05 00 00 83 E8 0B 0F 84 B4 04 00 00 48 0F 84 F5 04 00 00 48 0F 84 36 05 00 00 48 0F 84 77 05 00 00 E9 93 06 00 00 83 E8 10 0F 84 23 06 00 00 83 E8 0C 74 6F 2D E3 00 00 00 0F 84 54 06 00 00 E9 75 06 00 00 6A 00 8B 45 1C 83 C9 FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5E 06 00 00 8B 46 10 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_33210_0 {
	meta:
		name = "TIdDNSServer.InitComponent"
		size = 154
		refs = "0006 TIdComponent.InitComponent 000d _Dn_TStringList 0012 TStringList.Create 0021 _DV_TIdDNS_UDPServer 0026 TIdBaseComponent.Create 0035 _DV_TIdDNS_TCPServer 0049 _Dn_TIdSocketHandles 004e TIdSocketHandles.Create 0075 TIdUDPServer.SetDefaultPort 0089 _DV_TIdDNSMap 008e TIdDNSMap.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 9C 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 98 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 94 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A0 00 00 00 66 BA 35 00 8B 83 94 00 00 00 8B 08 FF 91 98 00 00 00 66 BA 35 00 8B 83 98 00 00 00 E8 ?? ?? ?? ?? C6 83 92 00 00 00 00 8B 8B 98 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_33211_0 {
	meta:
		name = "TIdDNSServer.Destroy"
		size = 131
		refs = "0003 @BeforeDestruction 001a TObject.Free 0071 TIdComponent.Destroy 007c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 9C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 98 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 94 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 A0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 A4 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33212_0 {
	meta:
		name = "TIdDNSServer.SetAccessList"
		size = 41
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 9C 00 00 00 8B 08 FF 51 08 8B 86 94 00 00 00 8B 80 18 01 00 00 8B D7 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_33213_0 {
	meta:
		name = "TIdDNSServer.SetActive"
		size = 119
		refs = "0017 TIdUDPBase.SetActive 004e TIdDNSMap.GetItem"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 88 9E 90 00 00 00 8B D3 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 80 BE 92 00 00 00 01 75 3E 33 D2 8B 86 94 00 00 00 8B 08 FF 91 90 00 00 00 8B 86 A4 00 00 00 8B 58 08 4B 85 DB 7C 30 43 33 FF 8B D7 8B 86 A4 00 00 00 E8 ?? ?? ?? ?? 8B E8 8B 45 18 8B 10 FF 52 34 47 4B 75 E5 EB 10 8B D3 8B 86 94 00 00 00 8B 08 FF 91 90 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33214_0 {
	meta:
		name = "TIdDNSServer.SetBindings"
		size = 60
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 A0 00 00 00 8B 08 FF 51 08 8B 83 98 00 00 00 8B 80 B0 00 00 00 8B D6 8B 08 FF 51 08 8B 83 94 00 00 00 8B 80 98 00 00 00 8B D6 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_33215_0 {
	meta:
		name = "TIdDNSServer.SetTCPACLActive"
		size = 60
	strings:
		$1 = { 56 57 8B F0 88 96 91 00 00 00 8B BE 94 00 00 00 88 97 1C 01 00 00 84 D2 74 14 8B 87 18 01 00 00 8B 96 9C 00 00 00 8B 08 FF 51 08 5F 5E C3 8B 87 18 01 00 00 8B 10 FF 52 44 5F 5E C3 }
	condition:
		$1
}

rule function_33216_0 {
	meta:
		name = "TIdDNSServer.TimeToUpdateNodeData"
		size = 300
		refs = "0014 TIdDNSServer.TimeToUpdateNodeData 0023 _Dn_TIdDNSResolver 0028 TIdBaseComponent.Create 005f @UStrAsg 0078 _DV_TIdDNTreeNode 007d @AsClass 0085 TIdDNTreeNode.GetFullName 0092 TIdDNSResolver.Resolve 00b9 TQueryResult.GetItem 00d2 TIdDNS_UDPServer.UpdateTree 00f0 TObject.Free 00f6 @HandleFinally 0112 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D F8 8B 83 98 00 00 00 8B 80 F0 00 00 00 33 D2 8B 38 FF 57 0C 8B 55 F8 8B 45 FC 05 C4 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? 89 90 D0 00 00 00 6A 01 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 CC 00 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 30 46 33 FF 8B 45 FC 8B 80 CC 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B C8 8B 83 98 00 00 00 8B 90 FC 00 00 00 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 47 4E 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 20 }
	condition:
		$1
}

rule function_33217_0 {
	meta:
		name = "TIdDNS_TCPServer.InitComponent"
		size = 30
		refs = "0006 TIdCustomTCPServer.InitComponent 000d _Dn_TStringList 0012 TStringList.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 18 01 00 00 5B C3 }
	condition:
		$1
}

rule function_33218_0 {
	meta:
		name = "TIdDNS_TCPServer.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TIdCustomTCPServer.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 18 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33219_0 {
	meta:
		name = "GenerateAXFRData"
		size = 424
		refs = "0020 GenerateAXFRData 002d _Dn_TDNSHeader 0032 TDNSHeader.Create 0053 TDNSHeader.ParseQuery 0075 @UStrClr 009d BytesToString 00ab @UStrLAsg 00d0 @UStrCatN 00eb @DynArrayLength 0103 TArray<System.Byte> 0108 @DynArrayCopyRange 0133 TIdDNS_UDPServer.AXFR 0161 TObject.Free 0167 @HandleFinally 0183 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 83 C3 EC 8B 75 08 83 C6 F0 8B 7D 08 83 C7 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 16 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 66 83 78 08 00 0F 86 DD 00 00 00 C7 03 0D 00 00 00 8B 45 08 83 C0 E8 E8 ?? ?? ?? ?? 8B 45 08 83 C0 E4 E8 ?? ?? ?? ?? 8B 03 8B 16 0F B6 04 02 89 07 FF 03 6A 00 8D 45 FC 50 8B 0F 8B 13 8B 06 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 83 C0 E8 E8 ?? ?? ?? ?? 8B 07 01 03 8B 45 08 FF 70 E4 8B 45 08 FF 70 E8 68 ?? ?? ?? ?? 8B 45 08 83 C0 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 03 8B 55 08 3B 42 DC 7D 0A 8B 03 8B 16 80 3C 02 00 75 9C 8B 06 E8 ?? ?? ?? ?? 83 E8 0C 50 8B 45 08 83 C0 FC 50 8B 06 B9 0D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 83 C0 F8 50 8D 45 F8 50 8B 45 08 8B 48 E4 8B 45 08 8B 50 F4 8B 45 08 8B 40 D8 8B 40 04 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 83 C0 D4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 33 C9 89 4A F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_33220_0 {
	meta:
		name = "GenerateAXFRRefuseData"
		size = 210
		refs = "0009 GenerateAXFRRefuseData 0016 _Dn_TDNSHeader 001b TDNSHeader.Create 0040 TDNSHeader.ParseQuery 004f TDNSHeader.SetQr 005e TDNSHeader.SetRCode 006c TDNSHeader.GenerateBinaryHeader 007b TArray<System.Byte> 0080 @DynArrayAsg 00a0 TObject.Free 00a6 @HandleFinally 00c3 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 50 F0 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 66 BA 01 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 66 BA 05 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 83 C0 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 33 C9 89 4A F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 59 5D C3 }
	condition:
		$1
}

rule function_33221_0 {
	meta:
		name = "TIdDNS_TCPServer.DoConnect"
		size = 381
		refs = "001a TIdDNS_TCPServer.DoConnect 002a TIdCustomTCPServer.DoConnect 003a TIdIOHandler.ReadSmallInt 0050 TArray<System.Byte> 0055 @DynArraySetLength 0080 _Dn_TIdIOHandlerSocket 0085 @AsClass 0096 @UStrLAsg 00bc GenerateAXFRRefuseData 00c5 GenerateAXFRData 00ce @DynArrayLength 010a TIdIOHandler.Write 013d @UStrArrayClr 0158 @DynArrayClear 016b @FinalizeArray 0171 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 8B 46 14 8B 80 98 00 00 00 B2 01 E8 ?? ?? ?? ?? 0F BF C0 89 45 DC 6A 00 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 01 8D 55 F0 8B 46 14 8B 80 98 00 00 00 8B 4D DC 8B 18 FF 93 C0 00 00 00 8B 46 14 8B 80 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 D8 00 00 00 8B 50 1C 8D 45 D0 E8 ?? ?? ?? ?? 8B 45 D8 80 B8 1C 01 00 00 00 74 1D 8B 45 D8 8B 80 18 01 00 00 8B 55 D0 8B 08 FF 51 54 40 75 09 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? 3D FF 7F 00 00 7E 1B 68 FF 7F 00 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 46 14 8B 80 98 00 00 00 B1 01 E8 ?? ?? ?? ?? 6A 00 8B 46 14 8B 80 98 00 00 00 83 C9 FF 8B 55 F8 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33222_0 {
	meta:
		name = "TIdDNS_TCPServer.SetAccessList"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 18 01 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_33223_0 {
	meta:
		name = "TIdDomainExpireCheckThread.Run"
		size = 69
		refs = "0014 IndyMin 001d IndySleep 0032 TIdDomainExpireCheckThread.TimerEvent 0039 TIdThread.Synchronize"
	strings:
		$1 = { 53 56 57 8B D8 8B 73 70 85 F6 7E 35 BA F4 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 2B F7 80 7B 0D 00 75 18 66 83 7B 7A 00 74 0D 53 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 F6 7F CB 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33224_0 {
	meta:
		name = "TIdDomainExpireCheckThread.TimerEvent"
		size = 21
	strings:
		$1 = { 53 66 83 78 7A 00 74 0B 8B D8 8B 50 74 8B 43 7C FF 53 78 5B C3 }
	condition:
		$1
}

rule function_33225_0 {
	meta:
		name = "TIdDomainNameServerMapping.Create"
		size = 141
		refs = "000b @ClassCreate 0018 TObject.Create 0025 _DV_TIdDomainExpireCheckThread 002a TIdThread.Create 0047 @UStrAsg 0064 TIdDomainNameServerMapping.SyncAndUpdate 0079 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 6A 01 6A 00 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 18 C7 46 70 A0 86 01 00 89 7E 74 8D 86 84 00 00 00 8B 57 08 E8 ?? ?? ?? ?? 8B 47 18 05 88 00 00 00 8B 57 04 E8 ?? ?? ?? ?? 8B 47 18 89 78 7C C7 40 78 ?? ?? ?? ?? 8B 47 14 89 47 14 C6 47 0C 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33226_0 {
	meta:
		name = "TIdDomainNameServerMapping.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 001f TObject.Free 002a TObject.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 18 8B 10 FF 52 3C 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33227_0 {
	meta:
		name = "TIdDomainNameServerMapping.SetHost"
		size = 132
		refs = "0009 IsValidIP 0014 IsValidIPv6 001d TIdDomainNameServerMapping.SetHost 0024 _Dn_EIdDNSServerSettingException 0029 EIdException.Create 002e @RaiseExcept 0038 @UStrAsg"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8B C3 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 04 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 48 00 6F 00 73 00 74 00 20 00 6D 00 75 00 73 00 74 00 20 00 62 00 65 00 20 00 61 00 6E 00 20 00 49 00 50 00 20 00 61 00 64 00 64 00 72 00 65 00 73 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_33228_0 {
	meta:
		name = "TIdDomainNameServerMapping.SetInterval"
		size = 10
	strings:
		$1 = { 89 50 10 8B 40 18 89 50 70 C3 }
	condition:
		$1
}

rule function_33229_0 {
	meta:
		name = "TIdDomainNameServerMapping.SyncAndUpdate"
		size = 872
		refs = "001a TIdDomainNameServerMapping.SyncAndUpdate 004b _Dn_TIdDNSResolver 0050 TIdBaseComponent.Create 0074 @UStrAsg 0095 TIdDNSResolver.Resolve 00b3 _Dn_EIdDNSServerSyncException 00b8 EIdException.Create 00bd @RaiseExcept 00cd TQueryResult.GetItem 0106 TIdDomainNameServerMapping.SetInterval 0141 TIdDNS_UDPServer.SearchTree 0159 @UStrLAsg 016e Fetch 0199 TIdTextModeRRs.GetItem 019f _Dn_TIdRR_SOA 01a4 @IsClass 01cf @UStrEqual 01f3 @AsClass 01fb TIdRR_SOA.GetSerial 020e IntToStr 021e @LStrFromUStr 0227 @LStrEqual 0248 TIdDNTreeNode.IndexByNode 0251 TIdDNTreeNode.RemoveChild 028d TIdDNS_UDPServer.UpdateTree 02ab TObject.Free 02b1 @HandleFinally 02e4 @UStrClr 02f1 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 80 78 0C 00 0F 85 A2 02 00 00 8B 45 F8 C6 40 0C 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 05 C4 00 00 00 8B 55 F8 8B 52 04 E8 ?? ?? ?? ?? 8B 45 F4 8B 15 ?? ?? ?? ?? 89 90 D0 00 00 00 6A 01 8B 45 F8 8B 50 08 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 CC 00 00 00 8B 40 08 83 78 08 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 80 CC 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B D8 80 7B 0C 05 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 8B 40 14 89 45 F0 69 53 3C E8 03 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 53 10 8B 45 F0 8B 80 00 01 00 00 8B 08 FF 51 54 40 75 11 8B 53 10 8B 45 F0 8B 80 00 01 00 00 8B 08 FF 51 38 6A 06 8B 4B 10 8B 45 F0 8B 90 FC 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 85 FF 75 07 B0 01 E9 E0 00 00 00 8D 45 FC 8B 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8B 53 10 8B 47 10 8B 40 14 8B 08 FF 51 54 8B F0 C6 45 EF 01 EB 1B 8B 47 10 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 88 45 EF 46 83 FE FF 7E 28 8B 47 10 8B 40 08 48 3B F0 7F 1D 8B 47 10 8B D6 E8 ?? ?? ?? ?? 8B 40 08 8B 53 10 E8 ?? ?? ?? ?? 75 06 80 7D EF 00 75 B8 80 7D EF 00 75 4F 4E 8B 47 10 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 43 24 33 D2 52 50 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 58 E8 ?? ?? ?? ?? 0F 94 C0 EB 02 B0 01 84 C0 74 5F 85 FF 74 1B 8B 45 F0 8B 98 FC 00 00 00 8B C3 8B D7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 CC 00 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 2C 46 33 FF 8B 45 F4 8B 80 CC 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 45 F0 8B 90 FC 00 00 00 8B CB 8B 45 F0 E8 ?? ?? ?? ?? 47 4E 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 C6 40 0C 00 C3 E9 ?? ?? ?? ?? EB F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 00 00 00 20 B0 04 02 00 FF FF FF FF 19 00 00 00 46 00 69 00 72 00 73 00 74 00 20 00 72 00 65 00 63 00 6F 00 72 00 64 00 20 00 6D 00 75 00 73 00 74 00 20 00 62 00 65 00 20 00 53 00 4F 00 41 00 21 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_33231_0 {
	meta:
		name = "TIdDNSMap.Destroy"
		size = 95
		refs = "0005 @BeforeDestruction 0021 TIdDNSMap.GetItem 0031 TObject.Free 003a TList.Delete 004b TList.Destroy 0056 @ClassDestroy"
	strings:
		$1 = { 53 56 57 51 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 85 C0 7E 30 8B F8 4F 83 FF 00 7C 28 8B D7 8B C6 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 33 D2 89 14 24 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 4F 83 FF FF 75 D8 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33235_0 {
	meta:
		name = "TIdDNS_ProcessThread.Create"
		size = 173
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TIdDNS_ProcessThread.Create 003a TIdThread.Create 004a @UStrAsg 0081 @UStrClr 0087 @HandleFinally 0096 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 8B 45 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 78 8D 46 7C 8B 55 18 E8 ?? ?? ?? ?? 8B 45 14 89 86 80 00 00 00 8B 45 0C 89 46 70 8B 45 10 89 46 74 8B 45 08 89 86 84 00 00 00 C6 46 0F 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_33236_0 {
	meta:
		name = "TIdDNS_ProcessThread.ComposeErrorResult"
		size = 233
		refs = "0011 @DynArrayAddRef 0019 TIdDNS_ProcessThread.ComposeErrorResult 0039 TDNSHeader.SetQr 0044 TDNSHeader.SetRCode 004e TDNSHeader.GenerateBinaryHeader 0059 TArray<System.Byte> 005e @DynArrayAsg 006f AppendBytes 00c7 @FinalizeArray 00d5 @DynArrayClear 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D9 8B F2 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 E8 01 72 07 83 E8 02 74 45 EB 79 66 BA 01 00 8B C3 E8 ?? ?? ?? ?? 66 BA 04 00 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 8B C6 B9 0C 00 00 00 8B 55 0C E8 ?? ?? ?? ?? EB 36 66 BA 01 00 8B C3 E8 ?? ?? ?? ?? 66 BA 03 00 8B C3 E8 ?? ?? ?? ?? 66 C7 43 0A 00 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_33237_0 {
	meta:
		name = "TIdDNS_ProcessThread.Destroy"
		size = 89
		refs = "0003 @BeforeDestruction 002c TObject.Free 0047 TIdThread.Destroy 0052 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 86 84 00 00 00 33 C0 89 46 74 8B 46 70 8B 10 FF 52 24 8D 46 70 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 78 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33238_0 {
	meta:
		name = "TIdDNS_ProcessThread.QueryDomain"
		size = 1236
		refs = "001a TIdDNS_ProcessThread.QueryDomain 0030 ToBytes 0047 @UStrLAsg 0057 TArray<System.Byte> 005c @DynArraySetLength 007c _Dn_TDNSHeader 0081 TDNSHeader.Create 009d TDNSHeader.ParseQuery 00b6 BytesToString 00d2 @CallDynaInst 00e2 AppendString 0102 @DynArrayLength 0115 @UStrClr 0161 @UStrCatN 0183 TwoByteToWord 018a GStack 01fa TIdDNS_ProcessThread.CompleteQuery 0207 @UStrEqual 021d TIdDNS_ProcessThread.ComposeErrorResult 023f @DynArrayAsg 028b TIdDNS_ProcessThread.CombineAnswer 02e5 @UStrAsg 039b TIdDNS_UDPServer.SaveToCache 03cd TObject.Free 03d3 @HandleFinally 03fa @UStrArrayClr 040d @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D EC 8B 45 E0 8B 40 7C 33 D2 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 70 89 45 D4 8D 45 FC 8B 55 E0 8B 52 7C E8 ?? ?? ?? ?? 6A 00 8D 45 E4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 66 C7 45 DA 01 00 8B 45 E0 83 B8 80 00 00 00 0C 0F 8C 6B 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 EC 8B 45 DC E8 ?? ?? ?? ?? 85 C0 74 46 8D 45 FC 50 8B 45 F0 50 8D 4D D0 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D0 50 8B 45 E0 8B 80 84 00 00 00 8B 4D DC 8B 55 D4 66 BE EE FF E8 ?? ?? ?? ?? 6A 00 8D 45 E4 83 C9 FF 8B 55 FC E8 ?? ?? ?? ?? E9 C8 01 00 00 8B 45 DC 66 83 78 08 00 0F 86 BA 01 00 00 BB 0C 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B F8 83 FF 0C 0F 8E A2 01 00 00 8D 45 F8 E8 ?? ?? ?? ?? 6A 00 8D 45 E8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 EC 0F B6 34 18 43 6A 00 8D 45 F4 50 8B CE 8B D3 8B 45 EC E8 ?? ?? ?? ?? 03 DE FF 75 F8 FF 75 F4 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 3B FB 7E 09 8B 45 EC 80 3C 18 00 75 A7 43 8B 45 EC 0F B6 54 18 01 8B 45 EC 0F B6 04 18 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 66 89 45 DA 83 C3 02 8B 45 EC 0F B6 54 18 01 8B 45 EC 0F B6 04 18 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 8B D8 8D 45 FC 50 8B 45 E0 8B 80 84 00 00 00 8B 4D DC 8B 55 D4 66 BE EF FF E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 E8 50 0F B7 45 DA 50 53 6A 00 8D 45 F0 50 8B 4D F8 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 16 8B 45 EC 50 6A 00 8D 55 E4 8B 4D DC 8B 45 E0 E8 ?? ?? ?? ?? EB 6C 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 13 8D 45 E4 8B 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4A 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 16 8B 45 EC 50 6A 03 8D 55 E4 8B 4D DC 8B 45 E0 E8 ?? ?? ?? ?? EB 16 8B 45 E8 50 8D 45 E4 50 8B 4D EC 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 45 F0 50 8B 45 FC 50 8B 45 E0 8B 80 84 00 00 00 8B 4D DC 8B 55 D4 66 BE EE FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D CC 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 E0 83 C0 7C E8 ?? ?? ?? ?? 8B 45 E0 8B 40 7C 85 C0 74 05 83 E8 04 8B 00 8B 55 E0 89 82 80 00 00 00 8D 45 FC 50 8B 45 F0 50 8D 4D C8 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B 45 C8 50 8B 45 E0 8B 80 84 00 00 00 8B 4D DC 8B 55 D4 66 BE ED FF E8 ?? ?? ?? ?? 8B 45 E0 8B 98 84 00 00 00 80 BB F4 00 00 00 00 74 73 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 64 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 55 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 46 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 37 0F B7 45 DA 50 8D 4D C4 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 C4 8B C3 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 E0 8B 80 84 00 00 00 8B 90 F8 00 00 00 66 BE EC FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB C3 E9 ?? ?? ?? ?? E9 DC FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4E 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 52 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 4F 00 54 00 46 00 4F 00 55 00 4E 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 46 00 6F 00 75 00 6E 00 64 00 45 00 72 00 72 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 43 00 4F 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_33239_0 {
	meta:
		name = "TIdDNS_ProcessThread.Run"
		size = 77
		refs = "000b TIdDNS_ProcessThread.Run 0019 TIdDNS_ProcessThread.QueryDomain 0021 TIdDNS_ProcessThread.SendData 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 38 8B 45 FC 8B 10 FF 52 3C C3 E9 ?? ?? ?? ?? EB E8 59 5D C3 }
	condition:
		$1
}

rule function_33240_0 {
	meta:
		name = "TIdDNS_ProcessThread.SetMyBinding"
		size = 4
	strings:
		$1 = { 89 50 70 C3 }
	condition:
		$1
}

rule function_33241_0 {
	meta:
		name = "TIdDNS_ProcessThread.SetMyData"
		size = 4
		altNames = "TOPToSoapDomConvert.SetWSDLView"
	strings:
		$1 = { 89 50 78 C3 }
	condition:
		$1
}

rule function_33242_0 {
	meta:
		name = "TIWApplication.SetFileList"
		size = 7
		altNames = "TIdDNS_ProcessThread.SetServer"
	strings:
		$1 = { 89 90 84 00 00 00 C3 }
	condition:
		$1
}

rule function_33243_0 {
	meta:
		name = "TIdDNS_ProcessThread.CombineAnswer"
		size = 128
		refs = "0013 TIdDNS_ProcessThread.CombineAnswer 0023 TDNSHeader.GenerateBinaryHeader 002e TArray<System.Byte> 0033 @DynArrayAsg 0043 AppendBytes 006c @DynArrayClear 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 8B C3 B9 0C 00 00 00 8B D7 E8 ?? ?? ?? ?? 6A FF 8B C3 33 C9 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_33244_0 {
	meta:
		name = "TIdDNS_ProcessThread.ExternalSearch"
		size = 393
		refs = "0018 @DynArrayAddRef 0020 TIdDNS_ProcessThread.ExternalSearch 0038 _Dn_TIdDNSResolver 003d TIdInitializerComponent.Create 008d @UStrAsg 00a6 TIdDNSResolver.SetInternalQuery 00b4 TIdDNSResolver.Resolve 00c6 TArray<System.Byte> 00cb @DynArrayAsg 00da @HandleOnException 00e2 _Dn_EIdDnsResolverError 00ea _Dn_EIdSocketError 00fb @DoneExcept 0121 @DynArrayLength 0149 TObject.Free 014f @HandleFinally 0166 @UStrClr 0174 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 55 F8 89 45 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 83 7D F8 00 75 1E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 C7 80 D4 00 00 00 D0 07 00 00 EB 06 8B 45 F8 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D EC 8B 45 FC 8B 80 84 00 00 00 8B 80 F0 00 00 00 8B 55 F4 8B 18 FF 53 0C 8B 55 EC 8B 45 F0 05 C4 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 0C 8B 45 F0 E8 ?? ?? ?? ?? 6A 01 33 C9 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F0 8B 92 D8 00 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 03 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F4 8B 45 FC 8B 80 84 00 00 00 8B 80 F0 00 00 00 8B 10 FF 52 14 3B 45 F4 7E 12 8B 45 08 8B 00 E8 ?? ?? ?? ?? 85 C0 0F 8E 3A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 75 0D 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_33245_0 {
	meta:
		name = "TIdDNS_ProcessThread.InternalSearch"
		size = 58
		refs = "0007 @UStrAddRef 000f TIdDNS_ProcessThread.InternalSearch 002a @UStrClr 0030 @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5D C2 1C 00 }
	condition:
		$1
}

rule function_33246_0 {
	meta:
		name = "TIdDNS_ProcessThread.SaveToCache"
		size = 340
		refs = "0015 @UStrAddRef 0025 TIdDNS_ProcessThread.SaveToCache 0034 _Dn_TIdDNSResolver 0039 TIdBaseComponent.Create 0055 TIdDNSResolver.FillResultWithOutCheckId 0090 TQueryResult.GetItem 00a9 TIdDNS_UDPServer.UpdateTree 00c7 TIdDNS_ProcessThread.SearchTree 00d2 _Dn_TIdRR_Error 00d7 TIdRR_Error.Create 00e4 @UStrAsg 00f0 TIdTextModeResourceRecord.SetTTL 011d TObject.Free 0123 @HandleFinally 013f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 DC 00 00 00 66 83 78 0A 00 76 4A 8B 45 F4 8B 80 CC 00 00 00 8B 40 08 8B 70 08 4E 85 F6 0F 8C 86 00 00 00 46 33 FF 8B 45 F4 8B 80 CC 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B C8 8B 83 84 00 00 00 8B 90 F8 00 00 00 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 47 4E 75 D3 EB 54 6A 00 8B 83 84 00 00 00 8B 90 F8 00 00 00 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 08 8B 55 F8 E8 ?? ?? ?? ?? BA 58 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 83 84 00 00 00 8B 90 F8 00 00 00 8B CE E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_33247_0 {
	meta:
		name = "TIdDNS_ProcessThread.SearchTree"
		size = 704
		refs = "001f @UStrAddRef 0027 TIdDNS_ProcessThread.SearchTree 0039 _Dn_TStringList 003e TStringList.Create 005a @UStrLAsg 0073 Fetch 0091 IndySleep 00e0 TIdDNTreeNode.GetNode 0266 TObject.Free 026c @HandleFinally 0288 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B F3 33 DB 6A 01 8D 45 F8 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 0B 8B 55 F8 8B 45 EC 8B 08 FF 51 38 83 7D F4 00 75 D4 33 C0 E8 ?? ?? ?? ?? 66 83 7D 08 06 0F 84 D3 00 00 00 8B 45 EC 8B 10 FF 52 14 8B D0 4A 8D 4D E8 8B 45 EC 8B 38 FF 57 0C 8B 55 E8 8B 46 14 8B 08 FF 51 54 8B F8 83 FF FF 74 5F 8B 45 EC 8B 10 FF 52 14 8B D0 4A 8B 45 EC 8B 08 FF 51 48 8B D7 8B C6 E8 ?? ?? ?? ?? 8B F0 8B 45 EC 8B 10 FF 52 14 48 75 24 8D 4D E4 33 D2 8B 45 EC 8B 18 FF 53 0C 8B 55 E4 8B 46 10 8B 40 14 8B 08 FF 51 54 40 0F 95 C3 E9 1F 01 00 00 8B 45 EC 8B 10 FF 52 14 85 C0 0F 94 C3 E9 0D 01 00 00 8B 45 EC 8B 10 FF 52 14 48 75 34 8D 4D E0 33 D2 8B 45 EC 8B 18 FF 53 0C 8B 55 E0 8B 46 10 8B 40 14 8B 08 FF 51 54 40 0F 95 C3 84 DB 0F 85 DB 00 00 00 8B 45 EC 8B 10 FF 52 44 E9 CE 00 00 00 8B 45 EC 8B 10 FF 52 44 E9 C1 00 00 00 8B 45 EC 8B 10 FF 52 14 8B D0 4A 8D 4D DC 8B 45 EC 8B 38 FF 57 0C 8B 55 DC 8B 46 14 8B 08 FF 51 54 8B F8 83 FF FF 74 59 8B 45 EC 8B 10 FF 52 14 8B D0 4A 8B 45 EC 8B 08 FF 51 48 8B D7 8B C6 E8 ?? ?? ?? ?? 8B F0 8B 45 EC 8B 10 FF 52 14 48 75 21 8D 4D D8 33 D2 8B 45 EC 8B 18 FF 53 0C 8B 55 D8 8B 46 10 8B 40 14 8B 08 FF 51 54 40 0F 95 C3 EB 4F 8B 45 EC 8B 10 FF 52 14 85 C0 0F 94 C3 EB 40 8B 45 EC 8B 10 FF 52 14 48 75 2D 8D 4D D4 33 D2 8B 45 EC 8B 18 FF 53 0C 8B 55 D4 8B 46 10 8B 40 14 8B 08 FF 51 54 40 0F 95 C3 84 DB 75 12 8B 45 EC 8B 10 FF 52 44 EB 08 8B 45 EC 8B 10 FF 52 44 8B 45 EC 8B 10 FF 52 14 85 C0 0F 94 C0 0A C3 0F 84 45 FE FF FF 84 DB 74 03 89 75 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_33248_0 {
	meta:
		name = "TIdDNS_ProcessThread.CompleteQuery"
		size = 1544
		refs = "0025 @UStrAddRef 002d @DynArrayAddRef 0035 TIdDNS_ProcessThread.CompleteQuery 0044 TArray<System.Byte> 0049 @DynArrayClear 0062 LowerCase 00ab Fetch 00ef TIdDNS_UDPServer.InternalSearch 00ff @DynArrayAsg 011a @DynArrayLength 015d AppendBytes 0168 @UStrLAsg 018d @UStrCat3 01e5 @UStrAsg 02c3 BytesToString 02d0 @UStrEqual 02fa TIdDNS_UDPServer.ExternalSearch 035c DomainNameToDNSStr 0370 NormalStrToDNSStr 039e @DynArraySetLength 03b9 CopyTIdBytes 03c8 GStack 03dd CopyTIdWord 0418 CopyTIdLongWord 047a TDNSHeader.SetAA 04ce @UStrArrayClr 04e1 @FinalizeArray 0502 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D FC 89 55 E4 8B D8 8B 75 18 8B 45 FC E8 ?? ?? ?? ?? 8B 45 1C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 0F B7 45 10 66 FF C8 74 0F 66 83 E8 02 0F 84 B4 02 00 00 E9 2D 04 00 00 8B 83 84 00 00 00 8B 80 00 01 00 00 8B 55 F4 8B 08 FF 51 54 40 0F 9F C0 84 C0 75 2D 6A 01 8D 45 E0 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 84 00 00 00 8B 80 00 01 00 00 8B 55 F4 8B 08 FF 51 54 40 0F 9F C0 84 C0 0F 84 E9 03 00 00 0F B7 45 14 50 8D 45 F0 50 6A 01 6A 00 6A 00 6A 00 6A 00 8B 4D FC 8B 55 E4 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 14 66 83 E8 01 74 0A 66 83 E8 1B 0F 85 E9 00 00 00 8B 06 E8 ?? ?? ?? ?? 85 C0 0F 85 DA 00 00 00 6A 05 8D 45 F0 50 6A 01 6A 00 6A 01 6A 00 6A 00 8B 4D FC 8B 55 E4 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 7E 0E 6A FF 8B C6 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 DC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 14 50 8D 45 F0 50 6A 01 6A 00 6A 00 6A 01 8B 45 FC 50 8B 4D F8 8B 55 E4 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 7E 0E 6A FF 8B C6 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 85 C0 7E 12 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CA 02 00 00 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B8 02 00 00 0F B7 45 14 50 56 6A 01 6A 01 6A 00 6A 00 6A 00 8B 4D FC 8B 55 E4 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 0F B7 45 14 66 83 E8 01 74 06 66 83 E8 1B 75 46 8B 06 E8 ?? ?? ?? ?? 85 C0 75 3B 6A 05 8D 45 F0 50 6A 01 6A 01 6A 00 6A 00 6A 00 8B 4D FC 8B 55 E4 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 7E 0E 6A FF 8B C6 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 85 C0 7E 12 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 24 02 00 00 66 C7 45 14 00 00 0F B7 45 14 50 56 6A 01 6A 01 6A 00 6A 00 6A 00 8B 4D FC 8B 55 E4 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 8D 4D D8 8B 06 33 D2 E8 ?? ?? ?? ?? 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D0 01 00 00 8B 45 1C 50 56 8B 4D E4 8B 55 0C 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 85 C0 7E 12 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9D 01 00 00 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8B 01 00 00 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 5C 01 00 00 8B 83 84 00 00 00 80 B8 38 01 00 00 00 0F 84 3A 01 00 00 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 83 84 00 00 00 8B 80 34 01 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B D8 83 C3 06 83 C3 04 8B 45 E8 E8 ?? ?? ?? ?? 03 D8 53 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8B 45 EC E8 ?? ?? ?? ?? 50 8D 4D F0 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B D8 A1 ?? ?? ?? ?? 8B 00 66 BA 10 00 8B 08 FF 51 2C 8D 55 F0 8B CB E8 ?? ?? ?? ?? 83 C3 02 A1 ?? ?? ?? ?? 8B 00 66 BA 03 00 8B 08 FF 51 2C 8D 55 F0 8B CB E8 ?? ?? ?? ?? 83 C3 02 A1 ?? ?? ?? ?? 8B 00 BA 80 51 01 00 8B 08 FF 51 30 8D 55 F0 8B CB E8 ?? ?? ?? ?? 83 C3 04 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 2C 8D 55 F0 8B CB E8 ?? ?? ?? ?? 83 C3 02 53 8B 45 E8 E8 ?? ?? ?? ?? 50 8D 4D F0 33 D2 8B 45 E8 E8 ?? ?? ?? ?? 8B C6 8B 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 66 C7 40 0A 01 00 66 BA 01 00 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5E 5B 8B E5 5D C2 18 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2A 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 4F 00 54 00 46 00 4F 00 55 00 4E 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 43 00 4F 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 45 00 72 00 72 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 46 00 6F 00 75 00 6E 00 64 00 45 00 72 00 72 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 52 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4E 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 2E 00 62 00 69 00 6E 00 64 00 2E 00 00 00 }
	condition:
		$1
}

rule function_33249_0 {
	meta:
		name = "TIdDNS_ProcessThread.SendData"
		size = 189
		refs = "0013 TIdDNS_ProcessThread.SendData 004a ToBytes 0068 TIdSocketHandle.SendTo 008f @HandleFinally 00a7 TArray<System.Byte> 00ac @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 84 00 00 00 8B 80 30 01 00 00 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 45 FC 8B 40 7C 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 8B 45 FC 8B 58 70 0F B7 4B 22 8B 53 1C 8B 45 FC 8B 40 74 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 84 00 00 00 8B 80 30 01 00 00 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_33250_0 {
	meta:
		name = "TIdDNS_UDPServer.DoAfterCacheSaved"
		size = 27
		altNames = "TIdMappedPortTCP.DoOutboundClientConnect"
	strings:
		$1 = { 53 66 83 B8 2A 01 00 00 00 74 0E 8B D8 8B 83 2C 01 00 00 FF 93 28 01 00 00 5B C3 }
	condition:
		$1
}

rule function_33251_0 {
	meta:
		name = "TIdDNS_UDPServer.DoUDPRead"
		size = 327
		refs = "0018 TIdDNS_UDPServer.DoUDPRead 002d TIdUDPServer.DoUDPRead 003a BytesToString 0047 _Dn_TIdSocketHandle 004c TIdSocketHandle.Create 0074 TIdSocketHandle.SetPeer 0085 @UStrAsg 00ab TIdSocketHandle.AllocateSocket 00be @HandleAnyException 00c3 @DoneExcept 00d5 @DynArrayLength 00eb _DV_TIdDNS_ProcessThread 00f0 TIdDNS_ProcessThread.Create 010e TObject.Free 0113 @RaiseAgain 0132 @UStrClr 0138 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 4D F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 4D F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D FC 33 D2 8B 45 F4 E8 ?? ?? ?? ?? C6 45 EF 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 08 0F B7 48 22 8B 45 08 8B 50 1C 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 83 C0 18 8B 55 08 8B 52 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 66 C7 40 20 35 00 33 C9 BA 02 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? C6 45 EF 01 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D EF 00 74 BC 8B 45 FC 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 08 50 8B 45 F0 50 8B 45 F8 50 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 08 EB 1C E9 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_33254_0 {
	meta:
		name = "TIdEcho.InitComponent"
		size = 26
		refs = "0006 TIdTCPClientCustom.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 07 00 8B C3 8B 08 FF 91 A4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_33255_0 {
	meta:
		name = "TIdEcho.Echo"
		size = 193
		refs = "0019 TIdEcho.Echo 0024 TEncoding.GetUnicode 0032 ToBytes 003a @DynArrayLength 0042 Ticks 0080 GetTickDiff 0093 BytesToString 00a9 TArray<System.Byte> 00ae @DynArrayClear 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B F0 8D 4D FC 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? 89 45 F0 6A 00 83 C9 FF 8B 55 FC 8B 83 98 00 00 00 8B 38 FF 97 94 00 00 00 6A 00 8D 55 FC 8B 4D F4 8B 83 98 00 00 00 8B 38 FF 97 C0 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 89 83 10 01 00 00 8B 4D F8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33258_0 {
	meta:
		name = "TIdECHOServer.InitComponent"
		size = 26
		refs = "0006 TIdCustomTCPServer.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 07 00 8B C3 8B 08 FF 91 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_33259_0 {
	meta:
		name = "TIdECHOServer.DoExecute"
		size = 174
		refs = "0012 TIdECHOServer.DoExecute 002c TArray<System.Byte> 0031 @DynArraySetLength 0053 TIdIOHandler.InputBufferIsEmpty 006c TIdBuffer.ExtractToBytes 0099 @DynArrayClear 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D FC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 14 8B 98 98 00 00 00 BA 32 00 00 00 8B C3 8B 08 FF 91 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 27 6A 01 6A FF 8D 55 FC 83 C9 FF 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 6A 00 83 C9 FF 8B 55 FC 8B C3 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 FB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_33262_0 {
	meta:
		name = "TIdEchoUDP.InitComponent"
		size = 23
		refs = "0006 TIdUDPClient.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 07 00 8B C3 8B 08 FF 51 70 5B C3 }
	condition:
		$1
}

rule function_33263_0 {
	meta:
		name = "TIdEchoUDP.Echo"
		size = 137
		refs = "0012 @UStrAddRef 001a TIdEchoUDP.Echo 0025 Ticks 002e Indy8BitEncoding 003a TIdUDPClient.Send 004e TIdUDPBase.ReceiveString 005c GetTickDiff 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B F0 B0 01 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 57 B0 01 E8 ?? ?? ?? ?? 8B C8 83 CA FF 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 89 83 D8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33266_0 {
	meta:
		name = "TIdEchoUDPServer.InitComponent"
		size = 23
		refs = "0006 TIdUDPServer.InitComponent 0011 TIdUDPServer.SetDefaultPort"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 07 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_33267_0 {
	meta:
		name = "TIdEchoUDPServer.DoUDPRead"
		size = 49
		refs = "0015 TIdUDPServer.DoUDPRead 0026 TIdSocketHandle.SendTo"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B 5D 08 53 8B CE 8B 55 FC E8 ?? ?? ?? ?? 56 6A 00 0F B7 4B 22 8B 53 1C 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_33272_0 {
	meta:
		name = "TIdEMailAddressItem.Create"
		size = 68
		refs = "000b @ClassCreate 001c TCollectionItem.Create 0025 TIdEMailAddressItem.SetText 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33273_0 {
	meta:
		name = "TIdEMailAddressItem.Assign"
		size = 60
		refs = "000a _DV_TIdEMailAddressItem 000f @IsClass 001e @UStrAsg 0035 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8D 43 0C 8B 56 0C E8 ?? ?? ?? ?? 8D 43 10 8B 56 10 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33274_0 {
	meta:
		name = "TIdEMailAddressItem.ConvertAddress"
		size = 620
		refs = "0017 TIdEMailAddressItem.ConvertAddress 0036 @UStrAsg 0043 @UStrClr 0053 @UStrLAsg 008c @UStrCopy 00b4 IETF_ATEXT 00b9 FindFirstNotOf 00cd CharEquals 00f4 @UStrCatN 0107 @UStrCat3 0140 @UStrCat 0150 @UStrFromWChar 0159 IndyPos 0161 IETF_QUOTABLE 019e IdDelete 01f9 @UStrArrayClr 020c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 89 55 F0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 0C 00 75 25 83 7E 10 00 74 12 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A4 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? E9 97 01 00 00 8D 45 F8 8B 56 0C E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 46 0C 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 7C 39 8B 46 0C 66 83 7C 58 FE 40 75 29 8D 45 FC 50 B9 FF FF FF 7F 8B D3 8B 46 0C E8 ?? ?? ?? ?? 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 46 0C E8 ?? ?? ?? ?? EB 05 4B 85 DB 75 C7 6A 01 83 C9 FF 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 12 66 B9 2E 00 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 3B 83 7E 10 00 74 22 68 ?? ?? ?? ?? FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? 8B 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? E9 E6 00 00 00 8B 45 F0 8B 4D FC 8B 55 F8 E8 ?? ?? ?? ?? E9 D3 00 00 00 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 0F 8E 99 00 00 00 8D 45 EC 50 8B CB 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F8 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 45 E8 8B 35 ?? ?? ?? ?? 8B 36 8B 15 ?? ?? ?? ?? FF D6 85 C0 7E 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B 55 F8 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 01 83 C9 FF 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8F 67 FF FF FF 68 ?? ?? ?? ?? FF 75 F4 FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B 45 F0 BA 06 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 3C 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_33275_0 {
	meta:
		name = "TIdEMailAddressItem.GetDomain"
		size = 72
		refs = "000a @UStrClr 0039 @UStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C7 E8 ?? ?? ?? ?? 8B 46 0C 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 7C 23 8B 46 0C 66 83 7C 58 FE 40 75 13 57 8D 53 01 B9 FF FF FF 7F 8B 46 0C E8 ?? ?? ?? ?? EB 05 4B 85 DB 75 DD 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33276_0 {
	meta:
		name = "TIdEMailAddressItem.SetDomain"
		size = 164
		refs = "0016 TIdEMailAddressItem.SetDomain 0027 @UStrLAsg 002d IndyPos 0054 IdDelete 006c @UStrCatN 0081 @UStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 0C E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 85 C0 7E 17 8B 55 FC 85 D2 74 05 83 EA 04 8B 12 8D 4D FC 91 87 D1 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8D 43 0C BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_33277_0 {
	meta:
		name = "TIdEMailAddressItem.GetUsername"
		size = 72
		refs = "000a @UStrClr 0039 @UStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C7 E8 ?? ?? ?? ?? 8B 46 0C 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 7C 23 8B 46 0C 66 83 7C 58 FE 40 75 13 57 8B CB 49 BA 01 00 00 00 8B 46 0C E8 ?? ?? ?? ?? EB 05 4B 85 DB 75 DD 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33278_0 {
	meta:
		name = "TIdEMailAddressItem.SetUsername"
		size = 148
		refs = "0010 TIdEMailAddressItem.SetUsername 0021 @UStrLAsg 0027 IndyPos 0047 IdDelete 005d @UStrCatN 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 0C E8 ?? ?? ?? ?? 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 FC B8 ?? ?? ?? ?? FF D7 85 C0 7E 10 8D 55 FC 8B C8 B8 01 00 00 00 92 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? FF 75 FC 8D 43 0C BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_33279_0 {
	meta:
		name = "TIdEMailAddressItem.GetText"
		size = 624
		refs = "001b TIdEMailAddressItem.GetText 0036 TextIsSame 004b IETF_ATEXT_SPACE 0050 FindFirstNotOf 006e @UStrCopy 007e @UStrCat3 008e @UStrFromWChar 0097 IndyPos 009f IETF_QUOTABLE 00b2 @UStrCat 0113 TIdEMailAddressItem.ConvertAddress 0122 @UStrCatN 01a4 IdDelete 0217 @UStrArrayClr 021d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 10 00 0F 84 C9 01 00 00 8B 56 10 8B 46 0C E8 ?? ?? ?? ?? 84 C0 0F 85 B6 01 00 00 6A 01 83 C9 FF 8B 56 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E 77 01 00 00 8D 45 F4 50 8B CB 49 BA 01 00 00 00 8B 46 10 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 56 10 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 45 F0 8B 0D ?? ?? ?? ?? 8B 09 8B 15 ?? ?? ?? ?? FF D1 85 C0 7E 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 56 10 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 53 01 B9 FF FF FF 7F 8B 46 10 E8 ?? ?? ?? ?? E9 BE 00 00 00 6A 01 83 C9 FF 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 29 FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? FF 75 E8 8B C7 BA 04 00 00 00 E8 ?? ?? ?? ?? E9 D6 00 00 00 8D 45 E4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 E0 8B 55 FC 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 45 E0 8B 0D ?? ?? ?? ?? 8B 09 8B 15 ?? ?? ?? ?? FF D1 85 C0 7E 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 8B 55 FC 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 0F 85 38 FF FF FF FF 75 F8 68 ?? ?? ?? ?? 8D 55 D8 8B C6 E8 ?? ?? ?? ?? FF 75 D8 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 2C FF 76 10 68 ?? ?? ?? ?? 8D 55 D4 8B C6 E8 ?? ?? ?? ?? FF 75 D4 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33280_0 {
	meta:
		name = "TIdEMailAddressItem.SetText"
		size = 1876
		refs = "001c @UStrAddRef 0024 TIdEMailAddressItem.SetText 0032 @UStrClr 0045 Trim 0050 @UStrLAsg 0067 Pos 007d FindFirstOf 0131 IdDelete 0150 @UStrCopy 0166 @UStrCat 030a TrimAllOf 0315 @UStrAsg 045c @UStrCatN 047b TrimLeft 04f7 @UStrFromWChar 057a LastDelimiter 0650 @UStrArrayClr 065e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 10 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 0C E8 ?? ?? ?? ?? 8D 46 10 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 D9 05 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 16 6A 01 83 C9 FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 14 6A 01 83 C9 FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 8B 05 00 00 33 FF C6 45 FB 00 C6 45 FA 00 C6 45 F8 00 C6 45 F9 00 8B 45 FC 0F B7 44 58 FE 83 F8 2E 7F 35 0F 84 4D 03 00 00 83 F8 22 7F 15 0F 84 69 01 00 00 83 E8 09 74 48 83 E8 17 74 43 E9 71 04 00 00 83 E8 28 0F 84 B5 00 00 00 48 0F 84 35 01 00 00 E9 5C 04 00 00 83 E8 3C 0F 84 D1 01 00 00 83 E8 02 0F 84 2E 02 00 00 83 E8 02 0F 84 7B 02 00 00 83 E8 1C 0F 84 A8 03 00 00 E9 33 04 00 00 83 FB 01 75 17 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? E9 17 04 00 00 80 7D F9 00 74 2C 8D 45 EC 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8D 46 0C E8 ?? ?? ?? ?? EB 1E 8D 45 E8 50 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 46 10 E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? E9 B3 03 00 00 47 83 FB 01 7E 6A 80 7D FB 00 74 2C 8D 45 E0 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 46 0C E8 ?? ?? ?? ?? EB 24 83 FF 01 75 1F 8D 45 DC 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 46 10 E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? E9 43 03 00 00 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? E9 2C 03 00 00 4F 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? E9 17 03 00 00 80 7D F8 00 74 74 80 7D FA 00 74 2C 8D 45 D4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 E8 ?? ?? ?? ?? 8B 55 D8 8D 46 0C E8 ?? ?? ?? ?? EB 2A 8D 45 CC 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 55 D0 8D 46 10 E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? C6 45 F8 00 E9 9D 02 00 00 C6 45 F8 01 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? E9 82 02 00 00 83 FB 01 7E 1F 8D 45 C8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C8 8D 46 10 E8 ?? ?? ?? ?? 8D 55 C0 8B 46 10 E8 ?? ?? ?? ?? 8B 55 C0 8D 4D C4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8D 46 10 E8 ?? ?? ?? ?? C6 45 FA 01 C6 45 FB 01 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? E9 1C 02 00 00 C6 45 FB 00 C6 45 F9 00 8D 45 B4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B4 8D 55 B8 E8 ?? ?? ?? ?? 8B 55 B8 8D 4D BC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8D 46 0C E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? E9 C6 01 00 00 C6 45 F9 01 80 7D FB 00 74 32 8D 45 B0 50 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 B0 8D 46 0C E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? E9 8A 01 00 00 80 7D FA 00 74 10 8D 46 10 8B 55 FC E8 ?? ?? ?? ?? E9 5A 02 00 00 C6 45 FB 01 8D 45 AC 50 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 AC 8D 46 0C E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? E9 3E 01 00 00 80 7D FA 00 74 76 FF 76 0C 8D 45 A0 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A0 8D 55 A4 E8 ?? ?? ?? ?? 8B 55 A4 8D 4D A8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 A8 68 ?? ?? ?? ?? 8D 46 0C BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 98 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 98 8D 55 9C E8 ?? ?? ?? ?? 8B 55 9C 8D 45 FC E8 ?? ?? ?? ?? E9 C2 00 00 00 8D 45 94 50 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 94 8D 46 0C E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? E9 90 00 00 00 80 7D F8 00 74 7A 80 7D FB 00 74 3B 8D 45 90 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 90 8D 46 0C E8 ?? ?? ?? ?? 8D 45 8C 8B 55 FC 0F B7 14 5A E8 ?? ?? ?? ?? 8B 55 8C 8D 46 0C E8 ?? ?? ?? ?? EB 39 8D 45 88 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 88 8D 46 10 E8 ?? ?? ?? ?? 8D 45 84 8B 55 FC 0F B7 14 5A E8 ?? ?? ?? ?? 8B 55 84 8D 46 10 E8 ?? ?? ?? ?? 8D 4B 01 8D 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 85 FF 7E 16 6A 01 83 C9 FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 7F 80 7D F8 00 74 11 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 68 80 7D F9 00 74 32 80 7D FA 00 74 16 6A 01 83 C9 FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 46 6A 01 83 C9 FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 30 80 7D FB 00 74 16 6A 01 83 C9 FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 14 6A 01 83 C9 FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 C1 FA FF FF 80 7D FB 00 74 3F 80 7D FA 00 75 39 8D 95 7C FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8D 4D 80 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 80 8D 46 0C E8 ?? ?? ?? ?? EB 0B 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 1F 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 28 00 22 00 3C 00 20 00 09 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 28 00 22 00 20 00 40 00 09 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 09 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 28 00 29 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 3E 00 28 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 28 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 22 00 28 00 40 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 28 00 22 00 3C 00 20 00 40 00 09 00 00 00 00 00 }
	condition:
		$1
}

rule function_33283_0 {
	meta:
		name = "TIdEMailAddressList.AddItems"
		size = 58
		refs = "001f TIdEMailAddressList.GetItem 0027 TIdEMailAddressList.Add"
	strings:
		$1 = { 53 56 57 55 8B FA 8B E8 85 FF 74 29 8B 47 08 8B 58 08 4B 85 DB 7C 1E 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 50 8B C5 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 46 4B 75 E5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33284_0 {
	meta:
		name = "TIdEMailAddressList.FillTStrings"
		size = 115
		refs = "0017 TIdEMailAddressList.FillTStrings 0034 TIdEMailAddressList.GetItem 003c TIdEMailAddressItem.GetText 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 08 8B 58 08 4B 85 DB 7C 23 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 38 46 4B 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_33286_0 {
	meta:
		name = "TIdEMailAddressList.GetEMailAddresses"
		size = 184
		refs = "0017 TIdEMailAddressList.GetEMailAddresses 0024 @UStrClr 0044 TIdEMailAddressList.GetItem 004b TIdEMailAddressItem.GetText 0075 @UStrCatN 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 70 08 4E 85 F6 7C 47 46 33 FF 83 3B 00 75 13 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? EB 28 FF 33 68 ?? ?? ?? ?? 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? FF 75 F8 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 47 4E 75 BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_33288_0 {
	meta:
		name = "TIdEMailAddressList.SetEMailAddresses"
		size = 1176
		refs = "001c @UStrAddRef 0024 TIdEMailAddressList.SetEMailAddresses 0031 TCollection.Clear 003c Trim 0058 FindFirstOf 0065 TIdEMailAddressList.Add 0073 TrimLeft 007e TIdEMailAddressItem.SetText 008b @UStrClr 00fd @UStrFromWChar 0108 @UStrCat 011a IdDelete 0132 @UStrCopy 02b9 TIdEMailAddressItem.GetText 02d7 @UStrEqual 02e6 TObject.Free 041f @UStrArrayClr 0432 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 83 7D EC 00 0F 84 BF 03 00 00 6A 01 83 C9 FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 25 8B C6 E8 ?? ?? ?? ?? 89 45 F4 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? E9 82 03 00 00 8D 45 F8 E8 ?? ?? ?? ?? 33 FF C6 45 F3 00 8B 45 FC 0F B7 44 58 FE 83 F8 29 7F 27 0F 84 68 01 00 00 83 E8 09 74 3F 83 E8 17 74 3A 83 E8 02 0F 84 88 01 00 00 83 E8 06 0F 84 19 01 00 00 E9 69 02 00 00 83 E8 2C 0F 84 AC 01 00 00 83 E8 0E 74 7E 48 0F 84 93 00 00 00 83 E8 21 0F 84 1C 02 00 00 E9 46 02 00 00 83 FB 01 75 32 8D 45 E4 8B 55 FC 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? E9 0F 02 00 00 8D 45 E0 50 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? E9 DD 01 00 00 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? E9 C1 01 00 00 8D 45 DC 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 83 7D D8 00 74 28 8B C6 E8 ?? ?? ?? ?? 89 45 F4 8D 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? E9 55 01 00 00 47 8D 45 D0 50 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D0 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? E9 22 01 00 00 4F 8D 45 CC 50 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? E9 EF 00 00 00 8D 45 C8 50 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C8 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 0F B6 45 F3 34 01 88 45 F3 E9 B4 00 00 00 8D 45 C4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F8 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 F4 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 C0 8D 55 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? EB 2F 8D 45 BC 50 8D 4B 01 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 BC 8D 45 F8 E8 ?? ?? ?? ?? 8D 4B 01 8D 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 85 FF 7E 16 6A 01 83 C9 FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 30 80 7D F3 00 74 16 6A 01 83 C9 FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 14 6A 01 83 C9 FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 11 FD FF FF 8D 55 B8 8B 45 F8 E8 ?? ?? ?? ?? 83 7D B8 00 75 11 8D 55 B4 8B 45 FC E8 ?? ?? ?? ?? 83 7D B4 00 74 63 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 F4 8D 55 B0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 B0 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 AC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 AC 8D 55 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 11 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3A 00 3B 00 28 00 22 00 2C 00 20 00 09 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3C 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 28 00 5C 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_33289_0 {
	meta:
		name = "TIdEMailAddressList.SortByDomain"
		size = 258
		refs = "0013 TIdEMailAddressList.SortByDomain 004a TIdEMailAddressList.GetItem 0052 TIdEMailAddressItem.GetDomain 0070 IndyCompareStr 0085 TIdEMailAddressItem.GetText 00aa TIdEMailAddressItem.SetText 00e7 @UStrArrayClr 00ef @UStrClr 00f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 8B 40 08 48 83 F8 00 0F 8C A4 00 00 00 89 45 F8 8B 46 08 8B 78 08 83 EF 02 85 FF 0F 8C 83 00 00 00 47 33 DB 8D 53 01 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 5A E8 ?? ?? ?? ?? 85 C0 7E 48 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8D 53 01 8B C6 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 53 01 8B C6 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 43 4F 75 80 FF 4D F8 83 7D F8 FF 0F 85 5F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33290_0 {
	meta:
		name = "TIdEMailAddressList.GetDomains"
		size = 215
		refs = "0015 TIdEMailAddressList.GetDomains 002d TStrings.BeginUpdate 005a TIdEMailAddressList.GetItem 0062 TIdEMailAddressItem.GetDomain 006d LowerCase 009f TStrings.EndUpdate 00a5 @HandleFinally 00bc @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 0F 84 82 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 44 8B 47 08 8B 58 08 4B 85 DB 7C 3C 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 51 54 40 75 0B 8B 55 FC 8B 45 F8 8B 08 FF 51 38 46 4B 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33291_0 {
	meta:
		name = "TIdEMailAddressList.AddressesByDomain"
		size = 177
		refs = "001d TIdEMailAddressList.AddressesByDomain 002b TCollection.Clear 0042 TIdEMailAddressList.GetItem 004a TIdEMailAddressItem.GetDomain 0055 TextIsSame 0061 TIdEMailAddressList.Add 0075 TIdEMailAddressItem.GetText 0080 TIdEMailAddressItem.SetText 009e @UStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 47 08 8B 70 08 4E 85 F6 7C 4E 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 27 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 43 4E 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33295_0 {
	meta:
		name = "EIdException.Toss"
		size = 23
		refs = "0010 @RaiseExcept"
		altNames = "EInException.Toss"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE B2 01 8B C3 FF 50 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33300_0 {
	meta:
		name = "TIdExplicitTLSServer.InitComponent"
		size = 19
		refs = "0006 TIdCmdTCPServer.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 54 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_33301_0 {
	meta:
		name = "TIdExplicitTLSServer.Loaded"
		size = 33
		refs = "0006 TIdCustomTCPServer.Loaded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB A8 00 00 00 00 75 0C 33 D2 8B C3 8B 08 FF 91 D8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_33302_0 {
	meta:
		name = "TIdExplicitTLSServer.SetIOHandler"
		size = 45
		refs = "0006 TIdCustomTCPServer.SetIOHandler 0012 _Dn_TIdServerIOHandlerSSLBase 0017 @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0C 33 D2 8B C3 8B 08 FF 91 D8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_33303_0 {
	meta:
		name = "TIdExplicitTLSServer.SetUseTLS"
		size = 293
		refs = "0011 TIdExplicitTLSServer.SetUseTLS 0027 TIdInitializerComponent.GetIsDesignTime 0036 TIdInitializerComponent.GetIsLoading 0051 _Dn_TIdServerIOHandlerSSLBase 0056 @IsClass 0066 RSTLSSSLIOHandlerRequired 006b LoadResString 0075 _DV_EIdTLSServerSSLIOHandlerRequired 007a EIdException.Create 007f @RaiseExcept 0093 TIdCustomTCPServer.GetDefaultPort 00e0 RSTLSSLCanNotSetWhileConnected 00ef _DV_EIdTLSClientCanNotSetWhileActive 0113 @UStrArrayClr 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE 90 00 00 00 00 74 0F 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 A9 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 88 9E 54 01 00 00 E9 B4 00 00 00 8B 86 A8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 25 84 DB 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3A 9E 54 01 00 00 74 72 80 FB 01 75 23 8B C6 E8 ?? ?? ?? ?? 66 3B 86 50 01 00 00 75 34 0F B7 96 52 01 00 00 8B C6 8B 08 FF 91 98 00 00 00 EB 21 8B C6 E8 ?? ?? ?? ?? 66 3B 86 52 01 00 00 75 11 0F B7 96 50 01 00 00 8B C6 8B 08 FF 91 98 00 00 00 88 9E 54 01 00 00 EB 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_33304_0 {
	meta:
		name = "TIdExplicitTLSClient.CheckIfCanUseTLS"
		size = 109
		refs = "000c TIdExplicitTLSClient.CheckIfCanUseTLS 001e _Dn_TIdSSLIOHandlerSocketBase 0023 @IsClass 002f RSTLSSSLIOHandlerRequired 0034 LoadResString 003e _DV_EIdTLSClientSSLIOHandlerRequred 0043 EIdException.Create 0048 @RaiseExcept 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_33305_0 {
	meta:
		name = "TIdExplicitTLSClient.Connect"
		size = 172
		refs = "0019 _Dn_TIdSSLIOHandlerSocketBase 001e @AsClass 003b @IsClass 00a5 TIdTCPClientCustom.Connect"
	strings:
		$1 = { 53 56 8B D8 0F B6 83 14 01 00 00 04 FE 2C 02 73 1B 8B 83 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 08 FF 91 04 01 00 00 8B B3 98 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5F 0F B6 83 14 01 00 00 8B D0 80 EA 01 72 04 74 1B EB 32 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 08 FF 91 04 01 00 00 EB 34 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 08 FF 91 04 01 00 00 EB 1B 3C 01 74 17 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 08 FF 91 04 01 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33306_0 {
	meta:
		name = "TIdExplicitTLSClient.InitComponent"
		size = 37
		refs = "0006 TIdTCPClientCustom.InitComponent 000d _Dn_TStringList 0012 TStringList.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 30 01 00 00 C6 83 14 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_33307_0 {
	meta:
		name = "TIdExplicitTLSClient.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TIdTCPConnection.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 30 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33308_0 {
	meta:
		name = "TIdExplicitTLSClient.DoOnTLSHandShakeFailed"
		size = 50
		refs = "002b TIdExplicitTLSClient.TLSHandShakeFailed"
	strings:
		$1 = { 53 51 8B D8 C6 04 24 00 66 83 BB 2A 01 00 00 00 74 10 8B CC 8B D3 8B 83 2C 01 00 00 FF 93 28 01 00 00 80 3C 24 00 75 07 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_33309_0 {
	meta:
		name = "TIdExplicitTLSClient.DoOnTLSNegCmdFailed"
		size = 50
		refs = "002b TIdExplicitTLSClient.TLSNotAvailable"
	strings:
		$1 = { 53 51 8B D8 C6 04 24 00 66 83 BB 22 01 00 00 00 74 10 8B CC 8B D3 8B 83 24 01 00 00 FF 93 20 01 00 00 80 3C 24 00 75 07 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_33310_0 {
	meta:
		name = "TIdExplicitTLSClient.DoOnTLSNotAvailable"
		size = 50
		refs = "002b TIdExplicitTLSClient.TLSNotAvailable"
	strings:
		$1 = { 53 51 8B D8 C6 04 24 01 66 83 BB 1A 01 00 00 00 74 10 8B CC 8B D3 8B 83 1C 01 00 00 FF 93 18 01 00 00 80 3C 24 00 75 07 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_33311_0 {
	meta:
		name = "TIdExplicitTLSClient.Loaded"
		size = 45
		refs = "0006 TComponent.Loaded 0012 _Dn_TIdSSLIOHandlerSocketBase 0017 @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0C 33 D2 8B C3 8B 08 FF 91 BC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_33312_0 {
	meta:
		name = "TIdExplicitTLSClient.ProcessTLSHandShakeFailed"
		size = 21
		refs = "000a TIdExplicitTLSClient.TLSHandShakeFailed 0010 TIdExplicitTLSClient.DoOnTLSHandShakeFailed"
	strings:
		$1 = { 80 B8 14 01 00 00 02 75 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33313_0 {
	meta:
		name = "TIdExplicitTLSClient.ProcessTLSNegCmdFailed"
		size = 21
		refs = "000a TIdExplicitTLSClient.TLSNegCmdFailed 0010 TIdExplicitTLSClient.DoOnTLSNegCmdFailed"
	strings:
		$1 = { 80 B8 14 01 00 00 02 75 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33314_0 {
	meta:
		name = "TIdExplicitTLSClient.ProcessTLSNotAvail"
		size = 21
		refs = "000a TIdExplicitTLSClient.TLSNotAvailable 0010 TIdExplicitTLSClient.DoOnTLSNotAvailable"
	strings:
		$1 = { 80 B8 14 01 00 00 02 75 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33315_0 {
	meta:
		name = "TIdExplicitTLSClient.SetIOHandler"
		size = 54
		refs = "0006 TIdTCPClientCustom.SetIOHandler 0012 _Dn_TIdSSLIOHandlerSocketBase 0017 @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 15 80 BB 14 01 00 00 00 74 0C 33 D2 8B C3 8B 08 FF 91 BC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_33316_0 {
	meta:
		name = "TIdExplicitTLSClient.SetUseTLS"
		size = 223
		refs = "000f TIdExplicitTLSClient.SetUseTLS 0028 RSTLSSLCanNotSetWhileConnected 002d LoadResString 0037 _DV_EIdTLSClientCanNotSetWhileConnected 003c EIdException.Create 0041 @RaiseExcept 0048 TIdInitializerComponent.GetIsLoading 00ce @UStrClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 74 84 C0 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 88 9E 14 01 00 00 EB 65 84 DB 74 0A 8B C6 8B 10 FF 92 B8 00 00 00 3A 9E 14 01 00 00 74 4F 80 FB 01 75 23 0F B7 86 E4 00 00 00 66 3B 86 10 01 00 00 75 34 0F B7 96 12 01 00 00 8B C6 8B 08 FF 91 A4 00 00 00 EB 21 0F B7 86 E4 00 00 00 66 3B 86 12 01 00 00 75 11 0F B7 96 10 01 00 00 8B C6 8B 08 FF 91 A4 00 00 00 88 9E 14 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33317_0 {
	meta:
		name = "TIdExplicitTLSClient.TLSHandshake"
		size = 107
		refs = "000e TIdExplicitTLSClient.TLSHandshake 0025 _Dn_TIdSSLIOHandlerSocketBase 002a @IsClass 003b @AsClass 0054 @HandleAnyException 005c TIdExplicitTLSClient.ProcessTLSHandShakeFailed 0061 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 98 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 08 FF 91 04 01 00 00 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33318_0 {
	meta:
		name = "TIdExplicitTLSClient.TLSHandShakeFailed"
		size = 106
		refs = "000c TIdExplicitTLSClient.TLSHandShakeFailed 0024 TIdTCPConnection.Disconnect 002c RSTLSSLSSLNotAvailable 0031 LoadResString 003b _DV_EIdTLSClientTLSHandShakeFailed 0040 EIdException.Create 0045 @RaiseExcept 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 74 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_33319_0 {
	meta:
		name = "TIdExplicitTLSClient.TLSNegCmdFailed"
		size = 106
		refs = "000c TIdExplicitTLSClient.TLSNegCmdFailed 0024 TIdTCPConnection.Disconnect 002c RSTLSSLSSLNotAvailable 0031 LoadResString 003b _DV_EIdTLSClientTLSNotAvailable 0040 EIdException.Create 0045 @RaiseExcept 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 74 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_33320_0 {
	meta:
		name = "TIdExplicitTLSClient.TLSNotAvailable"
		size = 106
		refs = "000c TIdExplicitTLSClient.TLSNotAvailable 0024 TIdTCPConnection.Disconnect 002c RSTLSSLSSLCmdFailed 0031 LoadResString 003b _DV_EIdTLSClientTLSNotAvailable 0040 EIdException.Create 0045 @RaiseExcept 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 74 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_33324_0 {
	meta:
		name = "TIdFinger.InitComponent"
		size = 26
		refs = "0006 TIdTCPClientCustom.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 4F 00 8B C3 8B 08 FF 91 A4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_33325_0 {
	meta:
		name = "TIdFinger.Finger"
		size = 236
		refs = "0016 TIdFinger.Finger 002d @UStrLAsg 0046 @UStrCat 0066 @UStrClr 00a6 TIdTCPConnection.Disconnect 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F8 8B 92 10 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 14 01 00 00 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 AC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 98 00 00 00 33 C9 8B 55 FC 8B 30 FF 96 A4 00 00 00 8B CB 8B 45 F8 8B 80 98 00 00 00 33 D2 8B 18 FF 93 B8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 57 00 00 00 00 00 }
	condition:
		$1
}

rule function_33326_0 {
	meta:
		name = "TIdFinger.GetCompleteQuery"
		size = 56
		refs = "000d TIdFinger.GetCompleteQuery 001f @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 FF B3 10 01 00 00 68 ?? ?? ?? ?? FF B3 CC 00 00 00 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_33327_0 {
	meta:
		name = "TIdFinger.SetCompleteQuery"
		size = 208
		refs = "0016 @UStrAddRef 001e TIdFinger.SetCompleteQuery 0034 RPos 005e @UStrCopy 0092 @UStrAsg 00ac @UStrArrayClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 C9 FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 4A 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 3B C3 7E 21 8D 45 F8 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 08 FF 91 A0 00 00 00 8D 86 10 01 00 00 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 0E 8D 86 10 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_33330_0 {
	meta:
		name = "TIdFingerServer.InitComponent"
		size = 26
		refs = "0006 TIdCustomTCPServer.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 4F 00 8B C3 8B 08 FF 91 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_33331_0 {
	meta:
		name = "TIdFingerServer.DoExecute"
		size = 304
		refs = "0014 TIdFingerServer.DoExecute 0031 TIdIOHandler.ReadLn 003c TrimRight 0053 TextEndsWith 0079 @UStrCopy 00e3 TIdTCPConnection.Disconnect 00f8 @UStrClr 0105 @UStrArrayClr 010b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 01 8D 4D F0 8B 43 14 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 FC E8 ?? ?? ?? ?? 66 83 BE 22 01 00 00 00 74 60 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 4F 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 8D 45 FC 50 8B CF 83 E9 02 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8B 4D FC 8B D3 8B 86 24 01 00 00 FF 96 20 01 00 00 8B 43 14 8B 80 98 00 00 00 33 C9 8B 55 F8 8B 30 FF 96 A0 00 00 00 EB 35 66 83 BE 1A 01 00 00 00 74 2B 8D 45 F8 50 8B 4D FC 8B D3 8B 86 1C 01 00 00 FF 96 18 01 00 00 8B 43 14 8B 80 98 00 00 00 33 C9 8B 55 F8 8B 30 FF 96 A0 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 57 00 00 00 00 00 }
	condition:
		$1
}

rule function_33334_0 {
	meta:
		name = "CheckMD2Permitted"
		size = 44
		refs = "0002 GetFIPSMode 000b CheckMD2Permitted 0010 FIPSAlgorithmNotAllowed"
	strings:
		$1 = { FF 15 ?? ?? ?? ?? 84 C0 74 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4D 00 44 00 32 00 00 00 }
	condition:
		$1
}

rule function_33335_0 {
	meta:
		name = "CheckMD4Permitted"
		size = 44
		refs = "0002 GetFIPSMode 000b CheckMD4Permitted 0010 FIPSAlgorithmNotAllowed"
	strings:
		$1 = { FF 15 ?? ?? ?? ?? 84 C0 74 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4D 00 44 00 34 00 00 00 }
	condition:
		$1
}

rule function_33336_0 {
	meta:
		name = "CheckMD5Permitted"
		size = 44
		refs = "0002 GetFIPSMode 000b CheckMD5Permitted 0010 FIPSAlgorithmNotAllowed"
	strings:
		$1 = { FF 15 ?? ?? ?? ?? 84 C0 74 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4D 00 44 00 35 00 00 00 }
	condition:
		$1
}

rule function_33337_0 {
	meta:
		name = "FIPSAlgorithmNotAllowed"
		size = 129
		refs = "0015 FIPSAlgorithmNotAllowed 0027 RSFIPSAlgorithmNotAllowed 002c LoadResString 0042 Format 004c _DV_EIdFIPSAlgorithmNotAllowed 0051 EIdException.Create 0056 @RaiseExcept 0070 @UStrArrayClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 5D F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40482_0 {
	meta:
		name = "FIPSAlgorithmNotAllowed"
		size = 129
		refs = "0015 FIPSAlgorithmNotAllowed 0027 RSFIPSAlgorithmNotAllowed 002c LoadResString 0042 Format 004c _DV_EInFIPSAlgorithmNotAllowed 0051 EInException.Create 0056 @RaiseExcept 0070 @UStrArrayClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 5D F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33351_0 {
	meta:
		name = "IdFIPS"
		size = 374
		refs = "0002 _DV_2 000f GetFIPSMode 0013 DefGetFIPSMode 0019 SetFIPSMode 001d DefSetFIPSMode 0023 IsHashingIntfAvail 0027 DefIsHashingIntfAvail 002d IsMD2HashIntfAvail 0031 DefIsHashIntfAvail 0037 GetMD2HashInst 003b DefGetHashInst 0041 IsMD4HashIntfAvail 004b GetMD4HashInst 0055 IsMD5HashIntfAvail 005f GetMD5HashInst 0069 IsSHA1HashIntfAvail 0073 GetSHA1HashInst 007d IsSHA224HashIntfAvail 0087 GetSHA224HashInst 0091 IsSHA256HashIntfAvail 009b GetSHA256HashInst 00a5 IsSHA384HashIntfAvail 00af GetSHA384HashInst 00b9 IsSHA512HashIntfAvail 00c3 GetSHA512HashInst 00cd UpdateHashInst 00d1 DefUpdateHashInst 00d7 FinalHashInst 00db DefFinalHashInst 00e1 IsHMACAvail 00e5 DefIsHMACAvail 00eb IsHMACMD5Avail 00ef DefIsHMACIntfAvail 00f5 GetHMACMD5HashInst 00f9 DefGetHMACInst 00ff IsHMACSHA1Avail 0109 GetHMACSHA1HashInst 0113 IsHMACSHA224Avail 011d GetHMACSHA224HashInst 0127 IsHMACSHA256Avail 0131 GetHMACSHA256HashInst 013b IsHMACSHA384Avail 0145 GetHMACSHA384HashInst 014f IsHMACSHA512Avail 0159 GetHMACSHA512HashInst 0163 UpdateHMACInst 0167 DefUpdateHMACInst 016d FinalHMACInst 0171 DefFinalHMACInst"
		altNames = "InFIPS"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 0F 83 68 01 00 00 C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33352_0 {
	meta:
		name = "ParseASCIIZPos"
		size = 72
		refs = "0034 BytesToString 003e @UStrClr"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 3B 11 76 2E 8B 19 8B C2 48 2B C3 72 0E 40 8B 55 FC 80 3C 1A 00 74 04 43 48 75 F3 89 19 6A 00 8B 45 08 50 83 C9 FF 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_33353_0 {
	meta:
		name = "ParseASCIIZLen"
		size = 34
		refs = "0019 ParseASCIIZPos"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 33 C0 89 04 24 57 8D 4C 24 04 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33354_0 {
	meta:
		name = "ParseASCIIZ"
		size = 37
		refs = "0010 @DynArrayLength 001d ParseASCIIZPos"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 33 C0 89 04 24 56 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4C 24 04 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_33355_0 {
	meta:
		name = "ParseStatInfo"
		size = 78
		refs = "0011 CopyBytesToHostLongWord 0019 UnixDateTimeToDelphiDateTime 0022 OffsetFromUTC"
	strings:
		$1 = { 53 56 57 51 8B F1 8B DA 8B F8 8B CC 8B 16 8B C7 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? DD 5B 10 9B E8 ?? ?? ?? ?? DC 43 10 DD 5B 18 9B 83 06 04 8B CC 8B 16 8B C7 E8 ?? ?? ?? ?? 8B 04 24 33 D2 89 43 20 89 53 24 83 06 05 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33356_0 {
	meta:
		name = "TIdFSP.Connect"
		size = 41
		refs = "0024 TIdUDPClient.Connect"
	strings:
		$1 = { 66 C7 80 DA 00 00 00 01 00 66 C7 80 DC 00 00 00 00 00 33 D2 89 90 EC 00 00 00 66 C7 80 F0 00 00 00 00 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33357_0 {
	meta:
		name = "TIdFSP.Destroy"
		size = 122
		refs = "0003 @BeforeDestruction 0024 TObject.Free 0068 TIdUDPClient.Destroy 0073 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 92 94 00 00 00 8D 86 F8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 F4 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 FC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 10 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33358_0 {
	meta:
		name = "TIdFSP.Disconnect"
		size = 151
		refs = "0010 TIdFSP.Disconnect 001d TIdFSP.AbortCmd 0036 TArray<System.Byte> 003b @DynArraySetLength 0058 TIdFSP.SendCmd 005f TIdUDPClient.Disconnect 0086 @FinalizeArray 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB D8 00 00 00 00 74 39 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 00 8D 45 F8 50 8D 45 F4 50 6A 01 8B 4D FC B2 4A 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 D8 00 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33359_0 {
	meta:
		name = "TIdFSP.Get"
		size = 568
		refs = "001e TIdFSP.Get 002c TIdFSP.MaxBufferSize 003e TArray<System.Byte> 0043 @DynArraySetLength 004d _DV_TIdFSPPacket 0052 TIdFSPPacket.Create 008d TStream.GetPosition 00b3 @UStrCat3 00c0 ToBytes 00d4 @DynArrayAsg 00df @DynArrayLength 0109 TIdFSP.PrefPayloadSize 0116 CopyTIdNetworkWord 0146 TIdFSP.SendCmd 0161 _Dn_TIdStreamHelperVCL 0166 TIdStreamHelperVCL.Write 019a @HandleFinally 01b6 TObject.Free 01f5 @UStrClr 0203 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D EC 89 5D E8 89 5D FC 8B F1 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 0F B7 C0 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7D 08 00 74 0F 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 89 42 08 EB 08 8B 45 F4 33 D2 89 50 08 8B 45 F4 C6 40 04 42 8D 45 E8 B9 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 45 E8 8D 4D EC 33 D2 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 83 C0 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C E8 ?? ?? ?? ?? 8B 55 F4 66 89 42 10 6A 02 8B 45 F4 83 C0 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 83 C2 14 33 C9 E8 ?? ?? ?? ?? 6A 00 6A 00 33 D2 8B 45 F8 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 6A 01 8B 4D F0 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 0F B7 58 10 85 DB 7E 2C 53 6A 00 8B 45 F0 8B 48 0C 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 99 52 50 33 D2 8B 45 F8 8B 08 FF 51 48 8B 45 F4 01 58 08 EB B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_33360_0 {
	meta:
		name = "TIdFSP.Get"
		size = 233
		refs = "001f TIdFSP.Get 0034 DeleteFile 003d _Dn_TIdFileCreateStream 0042 TIdFileCreateStream.Create 0056 _Dn_TIdAppendFileStream 005b TIdAppendFileStream.Create 0068 RSDestinationFileAlreadyExists 006d LoadResString 0077 _DV_EIdFSPFileAlreadyExists 007c EIdException.Create 0081 @RaiseExcept 00b7 TObject.Free 00bd @HandleFinally 00d4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 89 55 FC 8B F0 8B 5D 08 8B 45 0C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 84 C0 74 1E 84 DB 75 1A 8B C7 E8 ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 3A 34 01 84 D8 74 13 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 53 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_33361_0 {
	meta:
		name = "TIdFSP.GetDirInfo"
		size = 12
		refs = "0007 TIdFSP.GetDirInfo"
	strings:
		$1 = { 8B 88 F8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33362_0 {
	meta:
		name = "TIdFSP.InitComponent"
		size = 180
		refs = "0007 TIdUDPClient.InitComponent 000e _Dn_TIdThreadSafeBoolean 0013 TIdThreadSafe.Create 0024 TIdThreadSafeBoolean.SetValue 0046 _DV_TIdFSPDirInfo 004b TObject.Create 0058 _DV_TIdFSPListItems 005d TIdFSPListItems.Create 006c _DV_TIdFSPStatInfo 0071 TCollectionItem.Create 0080 TIdUDPBase.SetBroadcastEnabled"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 10 01 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 66 C7 83 A0 00 00 00 15 00 66 C7 83 DA 00 00 00 00 00 66 C7 83 DC 00 00 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 F8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 F4 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 FC 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 D8 00 00 00 00 66 C7 83 F2 00 00 00 00 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 14 01 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33364_0 {
	meta:
		name = "TIdFSP.List"
		size = 588
		refs = "0015 TIdFSP.List 0025 @UStrLAsg 003f TIdFSP.MaxBufferSize 0051 TArray<System.Byte> 0056 @DynArraySetLength 0060 _DV_TIdFSPPacket 0065 TIdFSPPacket.Create 00e8 TIdFSP.PrefPayloadSize 00f5 CopyTIdNetworkWord 0100 TCollection.Clear 0110 @UStrCat3 011d ToBytes 0131 @DynArrayAsg 013c @DynArrayLength 0156 TIdFSP.SendCmd 0193 TIdFSPListItems.ParseEntries 01b5 TObject.Free 01bb @HandleFinally 01f4 @UStrClr 0202 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 83 7D F8 00 75 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B7 C0 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 C6 40 04 41 8B 45 F4 33 D2 89 50 08 8B C3 E8 ?? ?? ?? ?? 0F B7 C0 50 8B 45 F0 83 C0 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 02 8B 45 F4 83 C0 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 83 C2 14 33 C9 E8 ?? ?? ?? ?? 8B 83 F4 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 E8 8D 4D EC 33 D2 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 83 C0 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C E8 ?? ?? ?? ?? 8B 55 F4 66 89 42 10 8D 45 FC 50 6A 01 8B 4D F0 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 0F B7 40 10 66 85 C0 76 39 0F B7 C0 8B 55 F4 01 42 08 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 66 3B 42 10 77 20 8B 45 F0 0F B7 48 10 8B 45 F0 8B 50 0C 8B 83 F4 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 65 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_33365_0 {
	meta:
		name = "TIdFSP.SendCmd"
		size = 367
		refs = "0018 TIdFSP.SendCmd 0025 TIdFSP.MaxBufferSize 0037 TArray<System.Byte> 003c @DynArraySetLength 0046 _DV_TIdFSPPacket 004b TIdFSPPacket.Create 009b @DynArrayAsg 00a2 @DynArrayLength 0115 TObject.Free 011b @HandleFinally 015a @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 0F B7 C0 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 88 58 04 8B 45 F8 8B 55 14 89 50 08 8B 45 F8 83 C0 0C 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 66 89 42 10 8B 45 F8 83 C0 14 8B 55 1C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 0F B6 45 08 50 8B 4D F4 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 10 8B 55 F4 8B 52 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 8B 55 F4 8B 52 14 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_33379_0 {
	meta:
		name = "TIdFSP.SendCmdOnce"
		size = 367
		refs = "0018 TIdFSP.SendCmdOnce 0025 TIdFSP.MaxBufferSize 0037 TArray<System.Byte> 003c @DynArraySetLength 0046 _DV_TIdFSPPacket 004b TIdFSPPacket.Create 009b @DynArrayAsg 00a2 @DynArrayLength 0115 TObject.Free 011b @HandleFinally 015a @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 0F B7 C0 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 88 58 04 8B 45 F8 8B 55 14 89 50 08 8B 45 F8 83 C0 0C 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 66 89 42 10 8B 45 F8 83 C0 14 8B 55 1C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 0F B6 45 08 50 8B 4D F4 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 10 8B 55 F4 8B 52 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 8B 55 F4 8B 52 14 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_33366_0 {
	meta:
		name = "TIdFSP.SendCmd"
		size = 129
		refs = "0012 TIdFSP.SendCmd 0028 TArray<System.Byte> 002d @DynArraySetLength 006d @DynArrayClear 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 50 FF 75 18 FF 75 14 8B 45 10 50 8B 45 0C 50 0F B6 45 08 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_33367_0 {
	meta:
		name = "TIdFSP.Version"
		size = 396
		refs = "0010 TIdFSP.Version 0026 TArray<System.Byte> 002b @DynArraySetLength 004c TIdFSP.SendCmdOnce 0054 @DynArrayLength 0067 ParseASCIIZ 0075 @UStrAsg 0111 CopyBytesToHostLongWord 0131 CopyBytesToHostWord 0168 @UStrClr 017b @FinalizeArray 0181 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 50 6A 00 6A 00 8D 45 F8 50 8D 45 F4 50 6A 01 8B 4D FC B2 10 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 8E F7 00 00 00 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8D 83 E0 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 8E CE 00 00 00 8B 45 F4 0F B6 00 B2 01 22 D0 80 FA 01 0F 94 C2 88 93 E4 00 00 00 B2 02 22 D0 80 FA 02 0F 94 C2 88 93 E5 00 00 00 B2 04 22 D0 80 FA 04 0F 94 C2 88 93 E6 00 00 00 B2 08 22 D0 80 FA 08 0F 94 C2 88 93 E7 00 00 00 B2 10 22 D0 80 FA 10 0F 94 C2 88 93 E9 00 00 00 24 20 3C 20 0F 94 C0 88 83 E8 00 00 00 80 BB E9 00 00 00 00 74 42 8B 45 F4 E8 ?? ?? ?? ?? 83 F8 04 7E 55 8D 8B EC 00 00 00 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 F8 06 7E 35 8D 8B F0 00 00 00 BA 05 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? EB 20 8B 45 F4 E8 ?? ?? ?? ?? 83 F8 02 7E 13 8D 8B F0 00 00 00 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33368_0 {
	meta:
		name = "TIdFSP.SendCmd"
		size = 536
		refs = "001d TIdFSP.SendCmd 0033 TIdThreadSafeBoolean.SetValue 008d TIdFSPPacket.WritePacket 009d TIdUDPClient.SendBuffer 00c9 IndySleep 00e8 TIdFSPPacket.ReadPacket 0130 @ROUND 014d TIdThreadSafeBoolean.GetValue 01a0 ParseASCIIZLen 01aa _DV_EIdFSPProtException 01af EIdException.Create 01b4 @RaiseExcept 01d7 @HandleFinally 01ee @UStrClr 01f7 TArray<System.Byte> 01fc @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D FC 8B F1 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 14 01 00 00 B2 01 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 66 FF 80 DA 00 00 00 8B 45 F8 8B 80 10 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 0F B7 80 DC 00 00 00 8B 55 F4 66 89 42 1A 8B 45 F8 0F B7 80 DA 00 00 00 8B 55 F4 66 89 42 18 BB 3C 05 00 00 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? E9 AD 00 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 66 83 B8 0A 01 00 00 00 74 15 8B 7D F8 8B 4D F4 8B 55 F8 8B 87 0C 01 00 00 FF 97 08 01 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 0C 8B CB 8B 45 F8 8B 38 FF 57 7C 89 45 F0 8B 55 0C 8B 12 8B 4D F0 8B C6 E8 ?? ?? ?? ?? 80 7E 1C 00 74 31 8B 45 F8 66 83 B8 02 01 00 00 00 74 14 8B 7D F8 8B CE 8B 55 F8 8B 87 04 01 00 00 FF 97 00 01 00 00 0F B7 46 18 8B 55 F8 66 3B 82 DA 00 00 00 74 36 89 5D EC DB 45 EC D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 81 FB E0 93 04 00 7E 05 BB E0 93 04 00 8B 45 F8 8B 80 10 01 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 3D FF FF FF 8B 45 F8 8B 80 10 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 0E 0F B7 46 1A 8B 55 F8 66 89 82 DC 00 00 00 8B 45 F8 8B 80 10 01 00 00 33 D2 E8 ?? ?? ?? ?? 80 7E 04 40 0F 94 C0 22 45 08 74 23 8D 4D E8 0F B7 56 10 8B 46 0C E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 80 14 01 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 00 00 C0 3F }
	condition:
		$1
}

rule function_33369_0 {
	meta:
		name = "TIdFSP.GetStatInfo"
		size = 272
		refs = "0015 TIdFSP.GetStatInfo 002f @UStrCat3 003c ToBytes 0056 TIdFSP.SendCmd 005e @DynArrayLength 007e RSFSPNotFound 0083 LoadResString 008d _DV_EIdFSPFileNotFound 0092 EIdException.Create 0097 @RaiseExcept 00c0 ParseStatInfo 00da @UStrArrayClr 00e3 TArray<System.Byte> 00ed @FinalizeArray 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 8D 45 EC B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 45 EC 8D 4D FC 33 D2 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 F8 50 8D 45 F4 50 6A 01 8B 4D FC B2 4D 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 08 7E 5D 8B 45 F8 0F B6 40 08 2C 01 72 08 74 29 FE C8 74 31 EB 39 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 8B 83 FC 00 00 00 C6 40 28 01 EB 0A 8B 83 FC 00 00 00 C6 40 28 00 8D 4D F0 8B 93 FC 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_33370_0 {
	meta:
		name = "TIdFSP.Put"
		size = 620
		refs = "0020 TIdFSP.Put 002f TIdFSP.MaxBufferSize 0041 TArray<System.Byte> 0046 @DynArraySetLength 0050 _DV_TIdFSPPacket 0055 TIdFSPPacket.Create 008a TIdFSP.PrefPayloadSize 00c9 _Dn_TIdStreamHelperVCL 00ce TIdStreamHelperVCL.ReadBytes 00f4 TIdFSP.SendCmd 0125 @UStrCat3 0132 ToBytes 0146 @DynArrayAsg 0151 @DynArrayLength 018f DateTimeToUnix 01bb CopyTIdNetworkLongWord 01e8 TObject.Free 01ee @HandleFinally 0227 @UStrClr 0235 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E8 89 5D E4 89 5D FC 89 4D F4 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8B C6 E8 ?? ?? ?? ?? 0F B7 C0 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C6 E8 ?? ?? ?? ?? 0F B7 C0 50 8B 45 F0 83 C0 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F0 C6 40 04 43 8B C6 E8 ?? ?? ?? ?? 0F B7 C0 50 6A 00 8B 45 F0 8D 48 0C 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 32 8B 45 F0 66 89 58 10 8B 45 F0 89 78 08 8D 45 FC 50 6A 01 8B 4D EC 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B7 C0 3B D8 7C 04 03 FB EB A8 8B 45 F0 C6 40 04 44 8B 45 F0 33 D2 89 50 08 8D 45 E4 B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 E4 8D 4D E8 33 D2 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F0 83 C0 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 8B 55 F0 66 89 42 10 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 1D 6A 00 8B 45 F0 83 C0 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 37 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B D8 6A 04 8B 45 F0 83 C0 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F0 8D 50 14 33 C9 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 6A 01 8B 4D EC 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_33371_0 {
	meta:
		name = "TIdFSP.Put"
		size = 188
		refs = "0018 TIdFSP.Put 0028 @UStrLAsg 0038 ExtractFileName 0041 _Dn_TIdReadFileExclusiveStream 0046 TIdReadFileExclusiveStream.Create 005e GetGMTDateByName 008c TObject.Free 0092 @HandleFinally 00a9 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 83 7D FC 00 75 0A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 4D FC 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_33372_0 {
	meta:
		name = "TIdFSP.Delete"
		size = 156
		refs = "0013 TIdFSP.Delete 0028 @UStrCat3 0035 ToBytes 004f TIdFSP.SendCmd 0064 @UStrClr 006d TArray<System.Byte> 0077 @FinalizeArray 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 45 F0 8D 4D FC 33 D2 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 F8 50 8D 45 F4 50 6A 01 8B 4D FC B2 45 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_33373_0 {
	meta:
		name = "TIdFSP.MakeDir"
		size = 176
		refs = "0013 TIdFSP.MakeDir 0028 @UStrCat3 0035 ToBytes 004f TIdFSP.SendCmd 0063 TIdFSP.ParseDirInfo 0078 @UStrClr 0081 TArray<System.Byte> 008b @FinalizeArray 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 45 F0 8D 4D FC 33 D2 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 F8 50 8D 45 F4 50 6A 01 8B 4D FC B2 49 8B C3 E8 ?? ?? ?? ?? 8B 83 F8 00 00 00 50 8B 4D F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_33374_0 {
	meta:
		name = "TIdFSP.RemoveDir"
		size = 156
		refs = "0013 TIdFSP.RemoveDir 0028 @UStrCat3 0035 ToBytes 004f TIdFSP.SendCmd 0064 @UStrClr 006d TArray<System.Byte> 0077 @FinalizeArray 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 45 F0 8D 4D FC 33 D2 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 F8 50 8D 45 F4 50 6A 01 8B 4D FC B2 46 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_33375_0 {
	meta:
		name = "TIdFSP.Rename"
		size = 212
		refs = "0018 TIdFSP.Rename 002e TArray<System.Byte> 0033 @DynArraySetLength 0062 @UStrCatN 006f ToBytes 0089 TIdFSP.SendCmd 009e @UStrClr 00b1 @FinalizeArray 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 56 68 ?? ?? ?? ?? 57 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8D 4D FC 33 D2 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 F8 50 8D 45 F4 50 6A 01 8B 4D FC B2 4E 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_33376_0 {
	meta:
		name = "TIdFSP.ParseDirInfo"
		size = 202
		refs = "0013 TIdFSP.ParseDirInfo 0023 ParseASCIIZ 002e @UStrAsg 0035 @DynArrayLength 00b6 @UStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 0C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 68 0F B6 03 24 01 3C 01 0F 94 C0 88 46 04 0F B6 03 24 02 3C 02 0F 94 C0 88 46 05 0F B6 03 24 04 3C 04 0F 94 C0 88 46 06 0F B6 03 24 08 3C 08 0F 94 C0 88 46 07 0F B6 03 24 10 3C 10 0F 94 C0 88 46 08 0F B6 03 24 20 3C 20 0F 94 C0 88 46 09 0F B6 03 24 40 3C 40 0F 94 C0 88 46 0A 0F B6 03 24 80 3C 80 0F 94 C0 88 46 0B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_33377_0 {
	meta:
		name = "TIdFSP.GetDirInfo"
		size = 176
		refs = "0018 TIdFSP.GetDirInfo 002d @UStrCat3 003a ToBytes 0054 TIdFSP.SendCmd 0062 TIdFSP.ParseDirInfo 0077 @UStrClr 0080 TArray<System.Byte> 008a @FinalizeArray 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 45 F0 8D 4D FC 33 D2 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 F8 50 8D 45 F4 50 6A 01 8B 4D FC B2 47 8B C3 E8 ?? ?? ?? ?? 57 8B 4D F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_33378_0 {
	meta:
		name = "TIdFSP.SendCmdOnce"
		size = 331
		refs = "0016 TIdFSP.SendCmdOnce 002a TIdFSP.MaxBufferSize 003c TArray<System.Byte> 0041 @DynArraySetLength 0064 TIdFSPPacket.WritePacket 006e TIdUDPClient.SendBuffer 00a7 TIdFSPPacket.ReadPacket 00fa ParseASCIIZLen 0104 _DV_EIdFSPProtException 0109 EIdException.Create 010e @RaiseExcept 0123 @UStrClr 0136 @FinalizeArray 013c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 FF 83 DA 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F B7 C0 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 0F B7 83 DC 00 00 00 66 89 47 1A 0F B7 83 DA 00 00 00 66 89 47 18 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 66 83 BB 0A 01 00 00 00 74 10 8B CF 8B D3 8B 83 0C 01 00 00 FF 93 08 01 00 00 8D 55 FC B9 3C 05 00 00 8B C3 8B 38 FF 57 7C 85 C0 74 44 8B C8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 80 7E 1C 00 74 DB 66 83 BB 02 01 00 00 00 74 10 8B CE 8B D3 8B 83 04 01 00 00 FF 93 00 01 00 00 0F B7 46 18 66 3B 83 DA 00 00 00 75 B4 0F B7 46 1A 66 89 83 DC 00 00 00 80 7E 04 40 0F 94 C0 22 45 08 74 23 8D 4D F4 0F B7 56 10 8B 46 0C E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_33380_0 {
	meta:
		name = "TIdFSP.MaxBufferSize"
		size = 39
		refs = "000f IndyMax"
	strings:
		$1 = { 53 8B D8 66 BA 00 04 0F B7 83 F2 00 00 00 E8 ?? ?? ?? ?? 8B D0 0F B7 83 F0 00 00 00 E8 ?? ?? ?? ?? 66 83 C0 0C 5B C3 }
	condition:
		$1
}

rule function_33381_0 {
	meta:
		name = "TIdFSP.PrefPayloadSize"
		size = 24
		refs = "000f IndyMin"
	strings:
		$1 = { 0F B7 90 F0 00 00 00 0F B7 80 F2 00 00 00 E8 ?? ?? ?? ?? 66 83 E8 0C C3 }
	condition:
		$1
}

rule function_33382_0 {
	meta:
		name = "TIdFSP.SetClientMaxPacketSize"
		size = 98
		refs = "0009 TIdFSP.SetClientMaxPacketSize 001e RSFSPPacketTooSmall 0023 LoadResString 002d _DV_EIdFSPPacketTooSmall 0032 EIdException.Create 0037 @RaiseExcept 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 66 81 FA 00 02 73 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 90 F2 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_33383_0 {
	meta:
		name = "TIdFSP.AbortCmd"
		size = 58
		refs = "000a TIdThreadSafeBoolean.GetValue 001b TIdThreadSafeBoolean.SetValue 0025 IndySleep"
	strings:
		$1 = { 53 8B D8 8B 83 14 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 26 B2 01 8B 83 10 01 00 00 E8 ?? ?? ?? ?? B8 05 00 00 00 E8 ?? ?? ?? ?? 8B 83 10 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 E7 5B C3 }
	condition:
		$1
}

rule function_33384_0 {
	meta:
		name = "TIdFSPPacket.Create"
		size = 128
		refs = "000a @ClassCreate 0017 TObject.Create 0036 TArray<System.Byte> 003b @DynArraySetLength 006d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 04 00 33 C0 89 46 08 66 C7 46 10 00 00 6A 00 8D 46 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8D 46 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 66 C7 46 18 00 00 66 C7 46 1A 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_33385_0 {
	meta:
		name = "TIdFSPPacket.WritePacket"
		size = 286
		refs = "000b @DynArrayLength 0027 TArray<System.Byte> 002c @DynArraySetLength 0046 GStack 0059 CopyTIdWord 00ac CopyTIdLongWord 00c7 CopyTIdBytes"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 46 14 E8 ?? ?? ?? ?? 8B F8 0F B7 46 10 83 C0 0C 0F B7 D7 03 C2 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 0F B6 46 04 8B 13 88 02 8B 03 C6 40 01 00 0F B7 56 1A A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 2C 8B D3 B9 02 00 00 00 E8 ?? ?? ?? ?? 0F B7 56 18 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 2C 8B D3 B9 04 00 00 00 E8 ?? ?? ?? ?? 0F B7 56 10 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 2C 8B D3 B9 06 00 00 00 E8 ?? ?? ?? ?? 8B 56 08 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 30 8B D3 B9 08 00 00 00 E8 ?? ?? ?? ?? 0F B7 46 10 66 85 C0 76 12 6A 0C 0F B7 C0 50 8B CB 8B 46 0C 33 D2 E8 ?? ?? ?? ?? 66 85 FF 76 18 0F B7 46 10 83 C0 0C 50 0F B7 C7 50 8B CB 8B 46 14 33 D2 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B F0 8B 03 E8 ?? ?? ?? ?? 48 83 F8 00 7C 0E 8B 13 0F B6 14 02 03 F2 48 83 F8 FF 75 F2 8B C6 8B D6 C1 EA 08 02 C2 8B 13 88 42 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33386_0 {
	meta:
		name = "TIdFSPPacket.ReadPacket"
		size = 420
		refs = "0020 BytesToWord 002b GStack 00db BytesToLongWord 010c TArray<System.Byte> 0111 @DynArraySetLength 012a CopyTIdBytes"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B F2 8B D8 C6 43 1C 00 83 FF 0C 0F 82 86 01 00 00 BA 06 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B E8 66 89 6B 10 A1 ?? ?? ?? ?? 8B 00 8B D5 8B 08 FF 51 54 66 89 43 10 0F B7 43 10 3B F8 0F 82 56 01 00 00 0F B6 46 01 89 04 24 8B EF 8B C7 48 66 83 F8 00 72 16 66 83 F8 01 74 09 0F B7 D0 0F B6 14 16 03 EA 48 66 3D FF FF 75 EA 8B C5 8B D5 C1 EA 08 02 C2 0F B6 C0 3B 04 24 0F 85 19 01 00 00 0F B6 06 88 43 04 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B E8 66 89 6B 1A A1 ?? ?? ?? ?? 8B 00 8B D5 8B 08 FF 51 54 66 89 43 1A BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B E8 66 89 6B 18 A1 ?? ?? ?? ?? 8B 00 8B D5 8B 08 FF 51 54 66 89 43 18 BA 08 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B E8 89 6B 08 A1 ?? ?? ?? ?? 8B 00 8B D5 8B 08 FF 51 58 89 43 08 0F B7 6B 10 66 85 ED 76 32 0F B7 C5 50 8D 43 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 0F B7 43 10 50 8D 4B 0C BA 0C 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 18 6A 00 8D 43 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 0F B7 43 10 83 C0 0C 2B F8 85 FF 76 2D 57 8D 43 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 57 8D 4B 14 0F B7 53 10 83 C2 0C 8B C6 E8 ?? ?? ?? ?? EB 18 6A 00 8D 43 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C6 43 1C 01 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33390_0 {
	meta:
		name = "TIdFSPListItems.IndexOf"
		size = 51
		refs = "001b TIdFSPListItems.GetItems"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 08 8B 70 08 4E 85 F6 7C 18 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 3B E8 75 04 8B C3 EB 07 43 4E 75 EB 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33651_0 {
	meta:
		name = "TIdFTPListItems.IndexOf"
		size = 51
		refs = "001b TIdFTPListItems.GetItems"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 08 8B 70 08 4E 85 F6 7C 18 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 3B E8 75 04 8B C3 EB 07 43 4E 75 EB 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33391_0 {
	meta:
		name = "TIdFSPListItems.ParseEntries"
		size = 233
		refs = "001e TIdFSPListItems.ParseEntries 0066 TIdFSPListItems.Add 0095 ParseStatInfo 00a6 ParseASCIIZPos 00b1 @UStrAsg 00d2 @UStrClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D F4 89 55 F8 89 45 FC 8D 7D EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 33 C0 89 07 8B 45 F4 83 E8 09 3B 07 0F 86 83 00 00 00 33 F6 33 DB 8B 45 F8 8B 17 0F B6 44 10 08 2C 01 72 0C 74 10 FE C8 74 1C 2C 28 74 28 EB 65 C6 45 F3 01 EB 5F 8B 45 FC E8 ?? ?? ?? ?? 8B F0 C6 46 28 01 EB 12 8B 45 FC E8 ?? ?? ?? ?? 8B F0 C6 46 28 00 EB 02 B3 01 84 DB 74 05 83 07 08 EB 28 8B CF 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E8 50 8B CF 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 8D 46 30 E8 ?? ?? ?? ?? FF 07 F6 07 03 75 F9 E9 6F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33395_0 {
	meta:
		name = "TIdFTP.InitComponent"
		size = 411
		refs = "0007 TIdExplicitTLSClient.InitComponent 0037 TIdFTP.SetPassive 00a5 _Dn_TIdReplyFTP 00aa TIdReply.Create 00b7 _DV_TIdFTPListResult 00bc TStringList.Create 00c9 _Dn_TStringList 00e9 _DV_TIdFtpProxySettings 00ee TObject.Create 00fb _DV_TIdFTPClientIdentifier 010d _DV_TIdFTPTZInfo 0159 _Dn_TIdThreadSafeBoolean 015e TIdThreadSafe.Create 016f TIdThreadSafeBoolean.SetValue 0176 _DV_TIdFTPKeepAlive 018d TIdTCPClientCustom.SetReadTimeout"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 38 01 00 00 01 66 C7 83 10 01 00 00 15 00 66 C7 83 12 01 00 00 DE 03 66 BA 15 00 8B C3 8B 08 FF 91 A4 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 55 01 00 00 00 C6 83 56 01 00 00 00 C6 83 E4 01 00 00 00 C6 83 57 01 00 00 00 C6 83 42 01 00 00 01 66 C7 83 58 01 00 00 00 00 66 C7 83 5A 01 00 00 00 00 66 C7 83 5C 01 00 00 00 00 C6 83 DC 01 00 00 00 C6 83 DD 01 00 00 00 C6 83 6C 01 00 00 00 33 C0 89 83 70 01 00 00 C7 83 74 01 00 00 10 27 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 50 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 4C 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 E0 01 00 00 C6 83 4B 01 00 00 00 C6 83 64 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D8 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 3C 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 00 02 00 00 C6 46 10 00 C6 83 DE 01 00 00 01 C6 83 48 01 00 00 00 C7 83 08 02 00 00 07 00 00 00 C7 83 0C 02 00 00 0F 00 00 00 C7 83 10 02 00 00 08 00 00 00 33 C0 89 83 14 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 30 02 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 38 02 00 00 BA 60 EA 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 39 01 00 00 01 5E 5B C3 }
	condition:
		$1
}

rule function_33396_0 {
	meta:
		name = "TIdFTP.Connect"
		size = 1496
		refs = "001a TIdFTP.Connect 00a6 @UStrLAsg 0100 @UStrAsg 0135 TIdExplicitTLSClient.Connect 0166 @HandleFinally 016f Indy8BitEncoding 017f TIdIOHandler.SetDefStringEncoding 019a TIdReply.GetNumericCode 01bd TIdFTP.DoOnBannerWarning 01cb TIdTCPConnection.GetResponse 0223 TIdFTP.SendHost 0235 TIdFTP.IsWSFTP 0272 @HandleOnException 027a _Dn_EIdConnClosedGracefully 029c TIdBuffer.Clear 02e3 @DoneExcept 0326 TIdFTP.DoOnBannerBeforeLogin 033e TIdFTP.Login 0346 TIdFTP.DoAfterLogin 035a TIdFTP.DoTryNATFastTrack 0382 TIdTCPConnection.SendCmd 0396 RSFTPUnknownHost 039b LoadResString 03cb TIdFTP.IsSiteZONESupported 0427 TextStartsWith 0441 @UStrCopy 0449 MDTMOffset 0460 GmtOffsetStrToDateTime 048c TIdFTP.SendTransferType 0496 RSFTPStatusReady 04b2 TIdComponent.DoStatus 051b TIdFTP.IssueFEAT 052a @HandleAnyException 053b @RaiseAgain 055a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F1 00 8B 45 F4 C6 80 3A 01 00 00 00 8B 45 F4 8B 80 00 02 00 00 C6 40 10 00 8B 45 F4 C6 80 E5 01 00 00 00 8B 45 F4 C6 80 40 01 00 00 00 8B 45 F4 C6 80 41 01 00 00 00 8B 45 F4 80 B8 DC 01 00 00 00 74 0A 8B 45 F4 C6 80 49 01 00 00 01 8B 45 F4 C6 80 4A 01 00 00 00 8B 45 F4 8B 80 30 01 00 00 8B 10 FF 52 44 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 45 FC 8B 55 F4 8B 92 CC 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 0F B7 80 E4 00 00 00 66 89 45 F2 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F4 8B 90 D8 01 00 00 0F B6 42 10 84 C0 74 44 3C 05 74 40 8B 42 04 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 30 8B 45 F4 05 CC 00 00 00 8B 55 F4 8B 92 D8 01 00 00 8B 52 04 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 D8 01 00 00 0F B7 40 12 8B 55 F4 66 89 82 E4 00 00 00 8B 45 F4 80 B8 14 01 00 00 01 75 0A 8B 45 F4 C6 80 40 01 00 00 01 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 05 CC 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 0F B7 55 F2 66 89 90 E4 00 00 00 C3 E9 ?? ?? ?? ?? EB DA B0 01 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 08 FF 91 80 00 00 00 8B 45 F4 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 48 75 28 8B 45 F4 8B 80 9C 00 00 00 8B 10 FF 52 28 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 66 BA DC 00 8B 45 F4 E8 ?? ?? ?? ?? EB 23 6A 00 8B 45 F4 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 8B D0 66 C7 45 EC DC 00 8D 4D EC 8B 45 F4 8B 18 FF 53 6C C6 45 F1 01 8B 45 F4 8B 90 9C 00 00 00 8B 45 F4 8B 80 90 00 00 00 8B 08 FF 51 08 8B 45 F4 80 B8 42 01 00 00 00 0F 84 F3 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 66 3D DC 00 0F 84 CA 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 D1 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 80 98 00 00 00 B1 01 B2 01 8B 18 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 E9 A1 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 33 D2 8B 45 F4 8B 08 FF 51 78 8B 45 F4 8B 80 98 00 00 00 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 C6 80 42 01 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 92 AC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 C6 80 42 01 00 00 01 C3 E9 ?? ?? ?? ?? EB EE E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 50 02 00 00 E8 ?? ?? ?? ?? EB 17 8B 45 F4 8B 90 9C 00 00 00 8B 45 F4 8B 80 90 00 00 00 8B 08 FF 51 08 8B 45 F4 8B 80 90 00 00 00 8B 10 FF 52 28 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 80 B8 38 01 00 00 00 0F 84 7E 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 80 B8 DD 01 00 00 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 80 B8 14 01 00 00 01 75 0A 8B 45 F4 C6 80 40 01 00 00 01 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 66 3D F4 01 75 15 8B 45 F4 8D 90 68 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 8D 4D E8 8B 45 F4 8B 80 9C 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 8B 55 E8 8B 45 F4 05 68 01 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 A7 00 00 00 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 66 3D D2 00 0F 85 8B 00 00 00 8B 45 F4 8B 80 9C 00 00 00 8B 40 18 8B 10 FF 52 14 85 C0 7E 76 8D 4D F8 8B 45 F4 8B 80 9C 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 E4 50 B9 FF FF FF 7F BA 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 00 02 00 00 DD 58 08 9B EB 15 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 00 02 00 00 DD 58 08 9B 8B 45 F4 8B 80 00 02 00 00 C6 40 10 01 8B 45 F4 0F B6 90 6C 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 6A 00 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 8D 4D DC B2 07 8B 45 F4 E8 ?? ?? ?? ?? EB 67 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 66 3D F4 01 75 15 8B 45 F4 8D 90 68 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 8D 4D D4 8B 45 F4 8B 80 9C 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 8B 55 D4 8B 45 F4 05 68 01 00 00 E8 ?? ?? ?? ?? 8B 45 F4 80 B8 39 01 00 00 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 0F B6 55 F1 8B 45 F4 8B 08 FF 51 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 59 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 49 00 54 00 45 00 20 00 5A 00 4F 00 4E 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 55 00 54 00 43 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_33397_0 {
	meta:
		name = "TIdFTP.SendHost"
		size = 248
		refs = "000f TIdFTP.SendHost 0023 @UStrLAsg 0052 @UStrEqual 006e @UStrCatN 0080 @UStrCat3 008d TIdTCPConnection.SendCmd 00a9 @UStrArrayClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 93 44 01 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 0E 8D 45 FC 8B 93 CC 00 00 00 E8 ?? ?? ?? ?? 8B B3 B0 00 00 00 85 F6 74 2D 8B 45 FC 8B 96 D8 00 00 00 8B 52 1C E8 ?? ?? ?? ?? 75 1A 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 6A 00 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 83 C9 FF 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 48 00 4F 00 53 00 54 00 20 00 00 00 }
	condition:
		$1
}

rule function_33398_0 {
	meta:
		name = "TIdFTP.SetTransferType"
		size = 52
		refs = "0027 TIdFTP.SendTransferType"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E 6C 01 00 00 74 23 83 BE 78 01 00 00 00 75 1A 8B C6 8B 10 FF 52 74 84 C0 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 88 9E 6C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_33399_0 {
	meta:
		name = "TIdFTP.SendTransferType"
		size = 240
		refs = "0013 TIdFTP.SendTransferType 0021 @UStrClr 0037 @UStrLAsg 0050 RSFTPUnsupportedTransferType 0055 LoadResString 005f _DV_EIdFTPUnsupportedTransferType 0064 EIdException.Create 0069 @RaiseExcept 007b @UStrCat3 0089 TIdTCPConnection.SendCmd 00a3 @UStrArrayClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 80 EB 01 72 04 74 11 EB 1E 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 30 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 45 F4 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 66 B9 C8 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 49 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 59 00 50 00 45 00 20 00 00 00 }
	condition:
		$1
}

rule function_33400_0 {
	meta:
		name = "TIdFTP.ResumeSupported"
		size = 124
		refs = "0014 TIdFTP.ResumeSupported 001b TIdFTP.Quote"
	strings:
		$1 = { 53 8B D8 80 BB 64 01 00 00 00 75 2C C6 83 64 01 00 00 01 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 3D 5E 01 0F 94 C0 88 83 4B 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 83 4B 01 00 00 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 53 00 54 00 20 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 53 00 54 00 20 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_33401_0 {
	meta:
		name = "TIdFTP.Get"
		size = 184
		refs = "001c TIdFTP.Get 0029 TIdFTP.ClearSSCN 0034 TIdFTP.ResumeSupported 005b @UStrCat3 0067 TIdFTP.InternalGet 0088 @UStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 8B C6 8B 10 FF 92 C4 00 00 00 53 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B CF 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 8B 08 FF 91 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 45 00 54 00 52 00 20 00 00 00 }
	condition:
		$1
}

rule function_33402_0 {
	meta:
		name = "TIdFTP.Get"
		size = 291
		refs = "001c TIdFTP.Get 002d TIdFTP.ResumeSupported 004a DeleteFile 0053 _Dn_TIdFileCreateStream 0058 TIdFileCreateStream.Create 0070 _Dn_TIdAppendFileStream 0075 TIdAppendFileStream.Create 0083 FileExists 00a2 RSDestinationFileAlreadyExists 00a7 LoadResString 00b1 _DV_EIdFTPFileAlreadyExists 00b6 EIdException.Create 00bb @RaiseExcept 00f1 TObject.Free 00f7 @HandleFinally 010e @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 80 7D 0C 00 74 1E 84 DB 75 1A 8B C7 E8 ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 5E 0F B6 45 0C 34 01 84 D8 74 13 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 41 B2 01 8B C7 E8 ?? ?? ?? ?? 84 C0 75 13 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 53 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_33403_0 {
	meta:
		name = "TIdFTP.DoBeforeGet"
		size = 29
	strings:
		$1 = { 53 66 83 B8 9A 01 00 00 00 74 10 8B D8 8B D0 8B 83 9C 01 00 00 FF 93 98 01 00 00 5B C3 }
	condition:
		$1
}

rule function_33404_0 {
	meta:
		name = "TIdFTP.DoBeforePut"
		size = 31
	strings:
		$1 = { 53 66 83 B8 A2 01 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 A4 01 00 00 FF 93 A0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_33405_0 {
	meta:
		name = "TIdFTP.DoAfterGet"
		size = 31
	strings:
		$1 = { 53 66 83 B8 AA 01 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 AC 01 00 00 FF 93 A8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_33406_0 {
	meta:
		name = "TIdFTP.DoAfterPut"
		size = 29
	strings:
		$1 = { 53 66 83 B8 B2 01 00 00 00 74 10 8B D8 8B D0 8B 83 B4 01 00 00 FF 93 B0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_33407_0 {
	meta:
		name = "TIdFTP.ConstructDirListing"
		size = 67
		refs = "0010 TIdInitializerComponent.GetIsDesignTime 001b TIdFTP.DoFTPList 002b _Dn_TIdFTPListItems 0030 TIdFTPListItems.Create 003d TCollection.Clear"
	strings:
		$1 = { 53 8B D8 8B 83 7C 01 00 00 85 C0 75 2F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 83 BB 7C 01 00 00 00 75 19 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 7C 01 00 00 5B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_33408_0 {
	meta:
		name = "TIdFTP.List"
		size = 536
		refs = "0022 TIdFTP.List 0051 TIdFTP.ExtListDir 0073 TIdFTP.SetTransferType 0088 _Dn_TMemoryStream 008d TObject.Create 00b5 iif 00cb @UStrCatN 00d6 Trim 00e4 TIdFTP.InternalGet 00f9 TObject.Free 0106 @UStrClr 0112 TStream.SetPosition 0162 @HandleFinally 0183 TIdFTP.DoOnRetrievedDir 01c4 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D EC 89 5D E8 89 5D E4 8B F1 89 55 F8 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 2A 8B 45 FC 80 B8 DE 01 00 00 00 74 1E 8B 45 FC 80 B8 48 01 00 00 00 74 12 8B CE 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E9 54 01 00 00 8B 45 FC 0F B6 80 6C 01 00 00 88 45 F3 80 7D F3 00 74 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 6A 00 8D 45 E4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 56 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 7C 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 05 80 01 00 00 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 8B 88 D4 00 00 00 8B 45 FC 8B 80 4C 01 00 00 8B 55 F4 8B 30 FF 56 74 8B 45 FC 8B 80 4C 01 00 00 88 58 58 C6 40 59 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 83 7D F8 00 74 11 8B 45 FC 8B 90 4C 01 00 00 8B 45 F8 8B 08 FF 51 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F3 00 74 0C 0F B6 55 F3 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 4C 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 49 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33409_0 {
	meta:
		name = "TIdFTP.FinalizeDataOperation"
		size = 472
		refs = "001a TIdFTP.FinalizeDataOperation 0027 TIdFTP.DoOnDataChannelDestroy 003c TObject.Free 0067 TIdReply.GetNumericCode 007e RSFTPStatusAbortTransfer 0083 LoadResString 0099 TIdComponent.DoStatus 00a8 RSFTPStatusDoneTransfer 00ce TIdThreadSafeBoolean.GetValue 00dd AcceptableAbortReplies 00f3 AbortedReplies 00ff PosInSmallIntArray 01b8 @UStrClr 01c5 @UStrArrayClr 01cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 E8 89 55 F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 83 78 01 00 00 85 C0 74 2B 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 78 01 00 00 8B 08 FF 51 60 8D 83 78 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 83 F8 02 7E 2A 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 4D F8 B2 08 8B C3 E8 ?? ?? ?? ?? E9 05 01 00 00 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 89 45 F8 C6 45 FC 11 8D 4D F8 B2 07 8B C3 E8 ?? ?? ?? ?? 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 A7 00 00 00 6A 00 BA ?? ?? ?? ?? B9 08 00 00 00 8B C3 8B 30 FF 96 84 00 00 00 8B F0 BA ?? ?? ?? ?? B9 05 00 00 00 8B C6 E8 ?? ?? ?? ?? 40 7E 20 6A 00 66 C7 45 EC E2 00 66 C7 45 EE E1 00 8D 55 EC B9 01 00 00 00 8B C3 8B 38 FF 97 84 00 00 00 66 81 FE E2 00 75 2D BA 0A 00 00 00 8B 83 98 00 00 00 8B 08 FF 91 9C 00 00 00 84 C0 74 16 6A 00 BA ?? ?? ?? ?? B9 05 00 00 00 8B C3 8B 30 FF 96 84 00 00 00 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 89 45 F8 C6 45 FC 11 8D 4D F8 B2 08 8B C3 E8 ?? ?? ?? ?? EB 26 6A 00 66 C7 45 E0 E2 00 66 C7 45 E2 E1 00 66 C7 45 E4 FA 00 8D 55 E0 B9 02 00 00 00 8B C3 8B 18 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33410_0 {
	meta:
		name = "TIdFTP.InternalPut"
		size = 1708
		refs = "002f TIdFTP.InternalPut 0045 TIdThreadSafeBoolean.SetValue 0065 RSFTPMissingCompressor 006a LoadResString 0074 _DV_EIdFTPMissingCompressor 0079 EIdException.Create 007e @RaiseExcept 0098 RSFTPCompressorNotReady 00a7 _DV_EIdFTPCompressorNotReady 00b9 TIdFTP.ClearSSCN 00c3 RSFTPStatusStartTransfer 00df TIdComponent.DoStatus 0107 TIdFTP.SendPret 0121 TIdFTP.SendEPassive 0131 TIdFTP.SendPassive 0143 TStream.GetPosition 014d IntToStr 015d @UStrCat3 019e _Dn_TIdTCPClient 01a3 TIdBaseComponent.Create 01db TIdFTP.InitDataChannel 0205 @UStrLAsg 0230 TIdFTP.DoOnDataChannelCreate 036c @HandleOnException 0374 _Dn_EIdSocketError 0386 @RaiseAgain 038b @DoneExcept 03ae @HandleFinally 03c5 TIdFTP.FinalizeDataOperation 03e2 _Dn_TIdSimpleServer 0441 @UStrAsg 0499 TIdSimpleServer.GetBinding 04a3 TIdFTP.SendEPort 04b6 TIdFTP.SendPort 0637 _Dn_EIdConnClosedGracefully 065a @UStrArrayClr 067c @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 DB 89 5D C0 89 5D BC 89 5D D4 89 5D D0 89 5D D8 89 5D E4 89 5D E8 89 5D FC 89 4D F4 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 30 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 3A 01 00 00 01 75 60 8B 45 F8 83 B8 04 02 00 00 00 75 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 80 04 02 00 00 8B 10 FF 52 44 84 C0 75 21 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 8D 4D DC B2 06 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 80 B8 54 01 00 00 00 0F 84 D0 02 00 00 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 49 01 00 00 00 74 10 8D 4D F2 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 0E 8D 4D F2 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 80 7D 08 00 74 3D 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 52 50 8D 45 D0 E8 ?? ?? ?? ?? 8B 4D D0 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 66 C7 45 CC 5E 01 8D 4D CC 8B 45 F8 8B 18 FF 93 94 00 00 00 8B 45 F8 8B 80 98 00 00 00 33 C9 8B D6 8B 18 FF 93 A4 00 00 00 8B 45 F8 83 B8 B0 00 00 00 00 74 19 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 82 78 01 00 00 EB 0B 8B 45 F8 33 D2 89 90 78 01 00 00 8B 45 F8 8B 80 78 01 00 00 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 98 B0 00 00 00 85 DB 74 1D 8B 45 F8 80 B8 55 01 00 00 00 74 11 8D 45 FC 8B 93 D8 00 00 00 8B 52 1C E8 ?? ?? ?? ?? 83 7D EC 00 74 30 8B 55 FC 8B 45 EC 8B 08 FF 91 A0 00 00 00 0F B7 55 F2 8B 45 EC 8B 08 FF 91 A4 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 92 AC 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 66 C7 45 C4 6E 00 66 C7 45 C6 7D 00 66 C7 45 C8 96 00 8D 55 C4 B9 02 00 00 00 8B 45 F8 8B 18 FF 93 84 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 83 B8 78 01 00 00 00 0F 84 CF 00 00 00 8B 45 F8 80 B8 40 01 00 00 00 74 25 8B 45 F8 80 B8 56 01 00 00 01 75 19 8B 45 F8 8B 80 78 01 00 00 8B 80 98 00 00 00 33 D2 8B 08 FF 91 04 01 00 00 8B 45 F8 80 B8 3A 01 00 00 01 75 4A 8B 45 F8 8B 80 08 02 00 00 50 8B 45 F8 8B 80 0C 02 00 00 50 8B 45 F8 8B 80 10 02 00 00 50 8B 45 F8 8B 80 14 02 00 00 50 8B 45 F8 8B 80 78 01 00 00 8B 88 98 00 00 00 8B 45 F8 8B 80 04 02 00 00 8B 55 F4 8B 18 FF 53 5C EB 48 80 7D 0C 00 74 22 6A 00 6A 00 8B 45 F8 8B 80 78 01 00 00 8B 80 98 00 00 00 33 C9 8B 55 F4 8B 18 FF 93 B0 00 00 00 EB 20 6A FF 6A FF 8B 45 F8 8B 80 78 01 00 00 8B 80 98 00 00 00 33 C9 8B 55 F4 8B 18 FF 93 B0 00 00 00 33 C0 5A 59 59 64 89 10 EB 24 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 81 78 18 36 27 00 00 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A 33 D2 8B 45 EC 8B 08 FF 51 78 C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 83 B8 B0 00 00 00 00 74 19 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 82 78 01 00 00 EB 0B 8B 45 F8 33 D2 89 90 78 01 00 00 8B 45 F8 8B 98 78 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 85 DB 0F 84 92 00 00 00 8D 83 C0 00 00 00 8B 55 F8 8B 92 B0 00 00 00 8B 92 D8 00 00 00 8B 52 18 E8 ?? ?? ?? ?? 8B 45 F8 0F B7 80 58 01 00 00 66 89 83 C4 00 00 00 8B 45 F8 0F B7 80 5A 01 00 00 66 89 83 C6 00 00 00 8B 45 F8 0F B7 80 5C 01 00 00 66 89 83 C8 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A4 00 00 00 8B 45 F8 80 B8 49 01 00 00 00 74 13 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? EB 11 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 80 7D 08 00 74 3D 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 52 50 8D 45 BC E8 ?? ?? ?? ?? 8B 4D BC 8D 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 66 C7 45 CC 5E 01 8D 4D CC 8B 45 F8 8B 38 FF 97 94 00 00 00 6A 01 6A 00 66 C7 45 B8 7D 00 66 C7 45 BA 96 00 8D 4D B8 8B D6 8B 45 F8 8B 30 FF 96 94 00 00 00 85 DB 0F 84 E2 00 00 00 8B 45 F8 8B 90 74 01 00 00 8B C3 8B 08 FF 91 AC 00 00 00 8B 45 F8 80 B8 40 01 00 00 00 74 25 8B 45 F8 80 B8 56 01 00 00 01 75 19 8B 45 F8 8B 80 78 01 00 00 8B 80 98 00 00 00 33 D2 8B 08 FF 91 04 01 00 00 8B 45 F8 80 B8 3A 01 00 00 01 75 4A 8B 45 F8 8B 80 08 02 00 00 50 8B 45 F8 8B 80 0C 02 00 00 50 8B 45 F8 8B 80 10 02 00 00 50 8B 45 F8 8B 80 14 02 00 00 50 8B 45 F8 8B 80 78 01 00 00 8B 88 98 00 00 00 8B 45 F8 8B 80 04 02 00 00 8B 55 F4 8B 18 FF 53 5C EB 48 80 7D 0C 00 74 22 6A 00 6A 00 8B 45 F8 8B 80 78 01 00 00 8B 80 98 00 00 00 33 C9 8B 55 F4 8B 18 FF 93 B0 00 00 00 EB 20 6A FF 6A FF 8B 45 F8 8B 80 78 01 00 00 8B 80 98 00 00 00 33 C9 8B 55 F4 8B 18 FF 93 B0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 45 00 53 00 54 00 20 00 00 00 }
	condition:
		$1
}

rule function_33411_0 {
	meta:
		name = "TIdFTP.InternalGet"
		size = 1420
		refs = "002f TIdFTP.InternalGet 0045 TIdThreadSafeBoolean.SetValue 0065 RSFTPMissingCompressor 006a LoadResString 0074 _DV_EIdFTPMissingCompressor 0079 EIdException.Create 007e @RaiseExcept 0098 RSFTPCompressorNotReady 00a7 _DV_EIdFTPCompressorNotReady 00bb RSFTPStatusStartTransfer 00d7 TIdComponent.DoStatus 00f1 TIdFTP.SendPret 010b TIdFTP.SendEPassive 011b TIdFTP.SendPassive 0130 _Dn_TIdTCPClient 0135 TIdBaseComponent.Create 016d TIdFTP.InitDataChannel 0197 @UStrLAsg 01c2 TIdFTP.DoOnDataChannelCreate 01ed TStream.GetPosition 01f7 IntToStr 0207 @UStrCat3 02fa @HandleFinally 0311 TIdFTP.FinalizeDataOperation 032e _Dn_TIdSimpleServer 038d @UStrAsg 03e5 TIdSimpleServer.GetBinding 03ef TIdFTP.SendEPort 0402 TIdFTP.SendPort 053d @UStrArrayClr 055f @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D C8 89 5D C4 89 5D D4 89 5D D0 89 5D D8 89 5D E4 89 5D E8 89 5D FC 89 4D F4 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 30 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 3A 01 00 00 01 75 60 8B 45 F8 83 B8 04 02 00 00 00 75 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 80 04 02 00 00 8B 10 FF 52 44 84 C0 75 21 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 8D 4D DC B2 06 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 54 01 00 00 00 0F 84 32 02 00 00 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 49 01 00 00 00 74 10 8D 4D F2 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 0E 8D 4D F2 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 83 B8 B0 00 00 00 00 74 19 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 82 78 01 00 00 EB 0B 8B 45 F8 33 D2 89 90 78 01 00 00 8B 45 F8 8B 80 78 01 00 00 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 98 B0 00 00 00 85 DB 74 1D 8B 45 F8 80 B8 55 01 00 00 00 74 11 8D 45 FC 8B 93 D8 00 00 00 8B 52 1C E8 ?? ?? ?? ?? 83 7D EC 00 74 30 8B 55 FC 8B 45 EC 8B 08 FF 91 A0 00 00 00 0F B7 55 F2 8B 45 EC 8B 08 FF 91 A4 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 92 AC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 00 74 3D 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 52 50 8D 45 D0 E8 ?? ?? ?? ?? 8B 4D D0 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 66 C7 45 CC 5E 01 8D 4D CC 8B 45 F8 8B 18 FF 93 94 00 00 00 6A 03 6A 00 66 C7 45 DC 7D 00 66 C7 45 DE 96 00 66 C7 45 E0 9A 00 66 C7 45 E2 C2 01 8D 4D DC 8B D6 8B 45 F8 8B 18 FF 93 94 00 00 00 66 3D C2 01 0F 84 83 00 00 00 83 7D EC 00 74 7D 8B 45 F8 80 B8 40 01 00 00 00 74 25 8B 45 F8 80 B8 56 01 00 00 01 75 19 8B 45 F8 8B 80 78 01 00 00 8B 80 98 00 00 00 33 D2 8B 08 FF 91 04 01 00 00 8B 45 F8 80 B8 3A 01 00 00 01 75 26 8B 45 F8 8B 80 0C 02 00 00 50 8B 45 EC 8B 90 98 00 00 00 8B 45 F8 8B 80 04 02 00 00 8B 4D F4 8B 18 FF 53 60 EB 1A 6A FF 6A FF 8B 45 EC 8B 80 98 00 00 00 B1 01 8B 55 F4 8B 18 FF 93 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A 33 D2 8B 45 EC 8B 08 FF 51 78 C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 83 B8 B0 00 00 00 00 74 19 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 82 78 01 00 00 EB 0B 8B 45 F8 33 D2 89 90 78 01 00 00 8B 45 F8 8B 98 78 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 85 DB 0F 84 92 00 00 00 8D 83 C0 00 00 00 8B 55 F8 8B 92 B0 00 00 00 8B 92 D8 00 00 00 8B 52 18 E8 ?? ?? ?? ?? 8B 45 F8 0F B7 80 58 01 00 00 66 89 83 C4 00 00 00 8B 45 F8 0F B7 80 5A 01 00 00 66 89 83 C6 00 00 00 8B 45 F8 0F B7 80 5C 01 00 00 66 89 83 C8 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A4 00 00 00 8B 45 F8 80 B8 49 01 00 00 00 74 13 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? EB 11 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 80 7D 08 00 74 3D 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 52 50 8D 45 C4 E8 ?? ?? ?? ?? 8B 4D C4 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 66 C7 45 CC 5E 01 8D 4D CC 8B 45 F8 8B 38 FF 97 94 00 00 00 6A 02 6A 00 66 C7 45 BC 7D 00 66 C7 45 BE 96 00 66 C7 45 C0 9A 00 8D 4D BC 8B D6 8B 45 F8 8B 30 FF 96 94 00 00 00 85 DB 0F 84 93 00 00 00 8B 45 F8 8B 90 74 01 00 00 8B C3 8B 08 FF 91 AC 00 00 00 8B 45 F8 80 B8 40 01 00 00 00 74 25 8B 45 F8 80 B8 56 01 00 00 01 75 19 8B 45 F8 8B 80 78 01 00 00 8B 80 98 00 00 00 33 D2 8B 08 FF 91 04 01 00 00 8B 45 F8 80 B8 3A 01 00 00 01 75 23 8B 45 F8 8B 80 0C 02 00 00 50 8B 93 98 00 00 00 8B 45 F8 8B 80 04 02 00 00 8B 4D F4 8B 18 FF 53 60 EB 20 6A FF 6A FF 8B 45 F8 8B 80 78 01 00 00 8B 80 98 00 00 00 B1 01 8B 55 F4 8B 18 FF 93 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 45 00 53 00 54 00 20 00 00 00 }
	condition:
		$1
}

rule function_33412_0 {
	meta:
		name = "TIdFTP.DoOnDataChannelCreate"
		size = 83
		refs = "002f TIdSocketHandle.SetKeepAliveValues"
	strings:
		$1 = { 53 8B D8 8B 83 B0 00 00 00 85 C0 74 26 8B 93 38 02 00 00 80 7A 04 00 74 1A 8B 93 38 02 00 00 8B 4A 0C 51 8B 4A 08 8B 80 D8 00 00 00 B2 01 E8 ?? ?? ?? ?? 66 83 BB CA 01 00 00 00 74 14 8B 8B 78 01 00 00 8B D3 8B 83 CC 01 00 00 FF 93 C8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_33413_0 {
	meta:
		name = "TIdFTP.DoOnDataChannelDestroy"
		size = 74
		refs = "0044 TIdSocketHandle.SetKeepAliveValues"
	strings:
		$1 = { 53 8B D8 66 83 BB D2 01 00 00 00 74 14 8B 8B 78 01 00 00 8B D3 8B 83 D4 01 00 00 FF 93 D0 01 00 00 8B 83 B0 00 00 00 85 C0 74 1D 8B 93 38 02 00 00 80 7A 04 00 74 11 6A 00 8B 80 D8 00 00 00 33 C9 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_33414_0 {
	meta:
		name = "TIdFTP.SetNATKeepAlive"
		size = 12
	strings:
		$1 = { 8B 80 38 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_33415_0 {
	meta:
		name = "TIdFTPKeepAlive.Assign"
		size = 59
		refs = "000a _DV_TIdFTPKeepAlive 000f @IsClass 0034 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B C6 0F B6 50 04 88 53 04 8B 50 08 89 53 08 8B 40 0C 89 43 0C 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33416_0 {
	meta:
		name = "TIdFTP.DisconnectNotifyPeer"
		size = 116
		refs = "0019 TIdFTP.DisconnectNotifyPeer 0045 TIdIOHandler.InputBufferIsEmpty"
	strings:
		$1 = { 53 56 8B D8 8B 83 98 00 00 00 8B 10 FF 92 80 00 00 00 84 C0 74 43 33 C9 BA ?? ?? ?? ?? 8B 83 98 00 00 00 8B 30 FF 96 A4 00 00 00 BA 64 00 00 00 8B 83 98 00 00 00 8B 08 FF 91 88 00 00 00 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 0C 33 D2 8B C3 8B 08 FF 91 80 00 00 00 5E 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 51 00 55 00 49 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_33418_0 {
	meta:
		name = "TIdFTP.KillDataChannel"
		size = 22
	strings:
		$1 = { 56 8B B0 78 01 00 00 85 F6 74 09 33 D2 8B C6 8B 08 FF 51 78 5E C3 }
	condition:
		$1
}

rule function_33419_0 {
	meta:
		name = "TIdFTP.Abort"
		size = 120
		refs = "0012 TIdFTP.Abort 0040 TIdThreadSafeBoolean.SetValue"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 10 FF 52 74 84 C0 74 15 33 C9 BA ?? ?? ?? ?? 8B 83 98 00 00 00 8B 30 FF 96 A4 00 00 00 8B C3 8B 10 FF 92 D8 00 00 00 83 BB 78 01 00 00 00 74 10 B2 01 8B 83 30 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 6A 00 8D 54 24 04 83 C9 FF 8B C3 8B 18 FF 93 84 00 00 00 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 42 00 4F 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_33420_0 {
	meta:
		name = "TIdFTP.SendPort"
		size = 52
		refs = "001c TIdFTP.SendPort"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 60 01 00 00 00 74 14 0F B7 4E 20 8B 93 60 01 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 0F B7 4E 20 8B 56 18 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33421_0 {
	meta:
		name = "TIdFTP.SendPort"
		size = 272
		refs = "001d TIdFTP.SendPort 002a TIdFTP.SendDataSettings 0051 StringReplace 0069 IntToStr 0090 @UStrCatN 00c0 @UStrArrayClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 68 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 0F B7 FE 8B C7 C1 E8 08 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 55 EC 8B C7 25 FF 00 00 00 E8 ?? ?? ?? ?? FF 75 EC 8D 45 F8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 66 C7 45 E8 C8 00 8D 4D E8 8B C3 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 4F 00 52 00 54 00 20 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_33422_0 {
	meta:
		name = "TIdFTP.InitDataChannel"
		size = 322
		refs = "0050 _Dn_TIdIOHandler 0055 TIdIOHandler.MakeDefaultIOHandler 006c _Dn_TIdTCPClient 0071 @IsClass"
	strings:
		$1 = { 53 56 57 8B D8 8B B3 78 01 00 00 85 F6 0F 84 2B 01 00 00 80 BB 56 01 00 00 01 75 31 8B BB 98 00 00 00 8B C7 8B 10 FF 92 0C 01 00 00 8B D0 8B C6 8B 08 FF 51 60 8B 83 78 01 00 00 8B 80 98 00 00 00 B2 01 8B 08 FF 91 04 01 00 00 EB 15 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 60 8B B3 78 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B 83 98 00 00 00 8B 80 94 00 00 00 8B 96 98 00 00 00 89 82 94 00 00 00 8B 83 78 01 00 00 8B B0 B0 00 00 00 85 F6 74 4E 8B BB B0 00 00 00 85 FF 74 37 8B C7 8B 10 FF 92 F4 00 00 00 8B D0 8B C6 8B 08 FF 91 F8 00 00 00 8B 83 B0 00 00 00 0F B6 80 06 01 00 00 8B 93 78 01 00 00 8B 92 B0 00 00 00 88 82 06 01 00 00 EB 0D 0F B6 83 D0 00 00 00 88 86 06 01 00 00 8B 83 78 01 00 00 8B 80 98 00 00 00 8B 93 70 01 00 00 89 90 C0 00 00 00 8B 93 98 00 00 00 8B 92 C8 00 00 00 89 90 C8 00 00 00 8B 93 98 00 00 00 8B 92 C4 00 00 00 89 90 C4 00 00 00 C6 80 90 00 00 00 01 8B 93 78 01 00 00 89 9A 88 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33423_0 {
	meta:
		name = "TIdFTP.Put"
		size = 304
		refs = "0016 TIdFTP.Put 0028 RSFTPFileNameCanNotBeEmpty 002d LoadResString 0035 _DV_EIdFTPUploadFileNameCanNotBeEmpty 003a EIdException.Toss 0057 TStream.SetPosition 007c @UStrCat3 0088 TIdFTP.InternalPut 00ea @UStrArrayClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 75 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 0C FF 75 08 83 7D 08 FF 76 11 EB 02 7E 0D FF 75 0C FF 75 08 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 C8 00 00 00 80 7D 10 00 74 21 6A 00 6A 00 8D 45 F8 8B CF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B CE 8B C3 E8 ?? ?? ?? ?? EB 3C 83 7D 0C FF 75 04 83 7D 08 FF 0F 94 C0 50 83 7D 0C FF 75 09 83 7D 08 FF 0F 97 C0 EB 03 0F 9F C0 50 8D 45 F4 8B CF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 D0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 50 00 50 00 45 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 54 00 4F 00 52 00 20 00 00 00 }
	condition:
		$1
}

rule function_33424_0 {
	meta:
		name = "TIdFTP.Put"
		size = 187
		refs = "0018 TIdFTP.Put 0028 @UStrLAsg 0038 ExtractFileName 0041 _Dn_TIdReadFileNonExclusiveStream 0046 TIdReadFileNonExclusiveStream.Create 0089 TObject.Free 008f @HandleFinally 00a6 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 83 7D FC 00 75 0A 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 45 10 50 FF 75 0C FF 75 08 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_33425_0 {
	meta:
		name = "TIdFTP.StoreUnique"
		size = 120
		refs = "0022 TStream.SetPosition 0045 TIdFTP.StoreUnique 004c TIdFTP.InternalPut"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 83 7D 0C FF 75 08 83 7D 08 FF 76 11 EB 02 7E 0D FF 75 0C FF 75 08 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 C8 00 00 00 83 7D 0C FF 75 04 83 7D 08 FF 0F 94 C0 50 6A 00 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 D0 00 00 00 5E 5B 5D C2 08 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 54 00 4F 00 55 00 00 00 00 00 }
	condition:
		$1
}

rule function_33426_0 {
	meta:
		name = "TIdFTP.StoreUnique"
		size = 98
		refs = "000f _Dn_TIdReadFileExclusiveStream 0014 TIdReadFileExclusiveStream.Create 001f TIdFTP.StoreUnique 004f TObject.Free 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 FF 75 0C FF 75 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_33427_0 {
	meta:
		name = "TIdFTP.SendInternalPassive"
		size = 488
		refs = "001a TIdFTP.SendInternalPassive 0027 TIdFTP.SendDataSettings 0036 TIdTCPConnection.SendCmd 0054 Trim 005a IndyPos 0094 RPos 00b5 @UStrCopy 00d2 @UStrClr 00f3 Fetch 0102 @UStrCatN 0116 IdDelete 0133 IndyStrToInt 0181 @UStrArrayClr 0187 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 6A 00 66 B9 E3 00 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 4D F8 8B 86 9C 00 00 00 8B 40 18 33 D2 8B 30 FF 56 0C 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 8B F0 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 FC B8 ?? ?? ?? ?? FF D7 8B F8 85 F6 74 04 85 FF 75 33 83 C9 FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 8D 45 FC 50 8B CF 2B CE 8D 56 01 8B 45 FC E8 ?? ?? ?? ?? EB 14 8D 45 FC 50 8B CF 2B CE 49 8D 56 01 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BE 04 00 00 00 FF 33 68 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 4E 75 D2 8B C3 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 66 25 FF 00 C1 E0 08 8B 55 08 66 89 02 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 66 25 FF 00 8B 55 08 66 09 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_33428_0 {
	meta:
		name = "TIdFTP.SendPassive"
		size = 40
		refs = "0004 TIdFTP.SendPassive 0009 TIdFTP.SendInternalPassive"
	strings:
		$1 = { 51 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 41 00 53 00 56 00 00 00 00 00 }
	condition:
		$1
}

rule function_33429_0 {
	meta:
		name = "TIdFTP.SendCPassive"
		size = 40
		refs = "0004 TIdFTP.SendCPassive 0009 TIdFTP.SendInternalPassive"
	strings:
		$1 = { 51 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 50 00 53 00 56 00 00 00 00 00 }
	condition:
		$1
}

rule function_33430_0 {
	meta:
		name = "TIdFTP.Noop"
		size = 44
		refs = "0007 TIdFTP.Noop 000c TIdTCPConnection.SendCmd"
	strings:
		$1 = { 6A 00 66 B9 C8 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 4F 00 4F 00 50 00 00 00 00 00 }
	condition:
		$1
}

rule function_33431_0 {
	meta:
		name = "TIdFTP.MakeDir"
		size = 116
		refs = "000f TIdFTP.MakeDir 0026 @UStrCat3 0034 TIdTCPConnection.SendCmd 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 66 B9 01 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4B 00 44 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_33432_0 {
	meta:
		name = "TIdFTP.RetrieveCurrentDir"
		size = 148
		refs = "000d TIdFTP.RetrieveCurrentDir 0014 TIdTCPConnection.SendCmd 002c IndyPos 0045 IdDelete 0066 @UStrCopy"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 00 66 B9 01 01 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B CB 8B 86 9C 00 00 00 8B 40 18 33 D2 8B 30 FF 56 0C 8B 35 ?? ?? ?? ?? 8B 36 8B 13 B8 ?? ?? ?? ?? FF D6 8B C8 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 53 8B 35 ?? ?? ?? ?? 8B 36 8B 13 B8 ?? ?? ?? ?? FF D6 8B C8 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 57 00 44 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_33433_0 {
	meta:
		name = "TIdFTP.RemoveDir"
		size = 116
		refs = "000f TIdFTP.RemoveDir 0026 @UStrCat3 0034 TIdTCPConnection.SendCmd 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 66 B9 FA 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 4D 00 44 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_33434_0 {
	meta:
		name = "TIdFTP.Delete"
		size = 116
		refs = "000f TIdFTP.Delete 0026 @UStrCat3 0034 TIdTCPConnection.SendCmd 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 66 B9 FA 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 44 00 45 00 4C 00 45 00 20 00 00 00 }
	condition:
		$1
}

rule function_33435_0 {
	meta:
		name = "TIdFTP.ChangeDir"
		size = 140
		refs = "0015 TIdFTP.ChangeDir 002e @UStrCat3 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 66 C7 45 F8 C8 00 66 C7 45 FA FA 00 8D 4D F8 8B C3 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 57 00 44 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_33436_0 {
	meta:
		name = "TIdFTP.ChangeDirUp"
		size = 64
		refs = "0019 TIdFTP.ChangeDirUp"
	strings:
		$1 = { 53 51 6A 01 6A 00 66 C7 44 24 08 C8 00 66 C7 44 24 0A FA 00 8D 4C 24 08 BA ?? ?? ?? ?? 8B 18 FF 93 94 00 00 00 5A 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 44 00 55 00 50 00 00 00 00 00 }
	condition:
		$1
}

rule function_33437_0 {
	meta:
		name = "TIdFTP.Site"
		size = 116
		refs = "000f TIdFTP.Site 0026 @UStrCat3 0034 TIdTCPConnection.SendCmd 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 66 B9 C8 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 49 00 54 00 45 00 20 00 00 00 }
	condition:
		$1
}

rule function_33438_0 {
	meta:
		name = "TIdFTP.Rename"
		size = 184
		refs = "0014 TIdFTP.Rename 002b @UStrCat3 0039 TIdTCPConnection.SendCmd 0072 @UStrArrayClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 66 B9 5E 01 8B C3 E8 ?? ?? ?? ?? 6A 00 8D 45 F8 8B CF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 66 B9 FA 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 4E 00 46 00 52 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 4E 00 54 00 4F 00 20 00 00 00 }
	condition:
		$1
}

rule function_33439_0 {
	meta:
		name = "TIdFTP.Size"
		size = 348
		refs = "001b TIdFTP.Size 004c TIdFTP.SetTransferType 006b @UStrCat3 0079 TIdTCPConnection.SendCmd 009e Trim 00a4 IndyPos 00bf IdDelete 00cb IndyStrToInt64 00f6 @HandleFinally 0112 @UStrArrayClr 011a @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 C9 89 4D E4 89 4D E8 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 FF FF FF FF C7 45 F4 FF FF FF FF 8B 45 F8 0F B6 80 6C 01 00 00 88 45 EF 80 7D EF 01 74 0A B2 01 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 E8 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 83 C9 FF 8B 45 F8 E8 ?? ?? ?? ?? 66 3D D5 00 75 52 8D 55 E4 8B 45 F8 8B 80 9C 00 00 00 8B 40 18 8B 08 FF 51 1C 8B 45 E4 8D 55 FC E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B C8 8D 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 6A FF 6A FF 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D EF 01 74 0C 0F B6 55 EF 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F0 8B 55 F4 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 49 00 5A 00 45 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33440_0 {
	meta:
		name = "TIdFTP.ReInitialize"
		size = 272
		refs = "000a IndySleep 002c TIdFTP.ReInitialize 0061 TCollection.Clear 006c @UStrClr 00a5 Indy8BitEncoding 00b2 TIdIOHandler.SetDefStringEncoding 00d0 _Dn_TIdSSLIOHandlerSocketBase 00d5 @AsClass"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B C2 E8 ?? ?? ?? ?? 6A 02 6A 00 66 C7 44 24 08 78 00 66 C7 44 24 0A DC 00 66 C7 44 24 0C F4 01 8D 4C 24 08 BA ?? ?? ?? ?? 8B C3 8B 30 FF 96 94 00 00 00 66 3D F4 01 0F 84 AD 00 00 00 8B 83 50 01 00 00 8B 10 FF 52 30 C6 83 4B 01 00 00 00 8B 83 7C 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8D 83 EC 00 00 00 E8 ?? ?? ?? ?? 8D 83 E0 00 00 00 E8 ?? ?? ?? ?? C6 83 54 01 00 00 00 C6 83 4B 01 00 00 00 C6 83 64 01 00 00 00 8D 83 68 01 00 00 E8 ?? ?? ?? ?? C6 83 6C 01 00 00 00 B0 01 E8 ?? ?? ?? ?? 8B D0 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 80 BB 40 01 00 00 00 74 32 80 BB 14 01 00 00 01 74 29 8B 83 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 08 FF 91 04 01 00 00 C6 83 40 01 00 00 00 C6 83 E4 01 00 00 00 59 5A 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 45 00 49 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_33441_0 {
	meta:
		name = "TIdFTP.Allocate"
		size = 148
		refs = "0013 TIdFTP.Allocate 0027 IntToStr 0037 @UStrCat3 0067 @UStrArrayClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 66 C7 45 F4 C8 00 8D 4D F4 8B C3 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 4C 00 4C 00 4F 00 20 00 00 00 }
	condition:
		$1
}

rule function_33442_0 {
	meta:
		name = "TIdFTP.Status"
		size = 172
		refs = "0016 TIdFTP.Status 0080 @UStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 03 6A 00 66 C7 45 F8 D3 00 66 C7 45 FA D4 00 66 C7 45 FC D5 00 66 C7 45 FE F4 01 8D 4D F8 BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 94 00 00 00 66 3D F4 01 74 1B 8D 55 F4 8B 83 9C 00 00 00 8B 40 18 8B 08 FF 51 1C 8B 55 F4 8B C6 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 54 00 41 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_33443_0 {
	meta:
		name = "TIdFTP.Help"
		size = 220
		refs = "001f @UStrAddRef 0027 TIdFTP.Help 0041 @UStrCat3 004c Trim 00a4 @UStrClr 00b1 @UStrArrayClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D F8 89 5D F4 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 6A 00 8D 45 F4 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 66 C7 45 EC D3 00 66 C7 45 EE D6 00 66 C7 45 F0 F4 01 8D 4D EC 8B C3 8B 38 FF 97 94 00 00 00 66 3D F4 01 74 1B 8D 55 E8 8B 83 9C 00 00 00 8B 40 18 8B 08 FF 51 1C 8B 55 E8 8B C6 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 48 00 45 00 4C 00 50 00 20 00 00 00 }
	condition:
		$1
}

rule function_33444_0 {
	meta:
		name = "TIdFTP.CheckAccount"
		size = 54
	strings:
		$1 = { 53 8B D8 83 BB 34 02 00 00 00 75 1E 66 83 BB BA 01 00 00 00 74 14 8D 8B 34 02 00 00 8B D3 8B 83 BC 01 00 00 FF 93 B8 01 00 00 83 BB 34 02 00 00 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_33445_0 {
	meta:
		name = "TIdFTP.StructureMount"
		size = 156
		refs = "0015 @UStrAddRef 001d TIdFTP.StructureMount 0037 @UStrCat3 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 6A 00 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 66 C7 45 F0 CA 00 66 C7 45 F2 FA 00 66 C7 45 F4 F4 01 8D 4D F0 8B C3 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 4D 00 4E 00 54 00 20 00 00 00 }
	condition:
		$1
}

rule function_33446_0 {
	meta:
		name = "TIdFTP.FileStructure"
		size = 148
		refs = "0015 TIdFTP.FileStructure 0029 StructureTypes 0036 @UStrCat3 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 0F B6 C3 8B 0C 85 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 66 C7 45 F8 C8 00 66 C7 45 FA F4 01 8D 4D F8 8B C6 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 54 00 52 00 55 00 20 00 00 00 }
	condition:
		$1
}

rule function_33447_0 {
	meta:
		name = "TIdFTP.TransferMode"
		size = 312
		refs = "0013 TIdFTP.TransferMode 002d @UStrClr 0044 @UStrLAsg 0057 RSFTPMissingCompressor 005c LoadResString 0066 _DV_EIdFTPMissingCompressor 006b EIdException.Create 0070 @RaiseExcept 0094 RSFTPUnsupportedTransferMode 00a3 _DV_EIdFTPUnsupportedTransferMode 00bf @UStrCat3 00cd TIdTCPConnection.SendCmd 00ed @UStrArrayClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E 3A 01 00 00 0F 84 AE 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B C3 2C 01 72 04 74 11 EB 4F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 40 83 BE 04 02 00 00 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BE E6 01 00 00 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 45 F0 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 66 B9 C8 00 8B C6 E8 ?? ?? ?? ?? 88 9E 3A 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 53 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5A 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 4F 00 44 00 45 00 20 00 00 00 }
	condition:
		$1
}

rule function_33448_0 {
	meta:
		name = "TIdFTP.Destroy"
		size = 207
		refs = "0003 @BeforeDestruction 001a TObject.Free 00bd TIdExplicitTLSClient.Destroy 00c8 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 3C 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 4C 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 50 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 7C 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 E0 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 D8 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 00 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 30 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 38 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33449_0 {
	meta:
		name = "TIdFTP.Quote"
		size = 11
		refs = "0006 TIdTCPConnection.SendCmd"
	strings:
		$1 = { 6A 00 83 C9 FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33450_0 {
	meta:
		name = "TIdFTP.IssueFEAT"
		size = 968
		refs = "0013 TIdFTP.IssueFEAT 002a TIdTCPConnection.SendCmd 0040 TIdReply.GetNumericCode 00b7 TIdFTP.IsExtSupported 0115 TIdFTP.ExtractFeatFacts 0152 Trim 015f @UStrEqual 018e TIdFTPClientIdentifier.GetClntOutput 01a1 @UStrLAsg 01b3 @UStrCat3 020e IndyUTF8Encoding 021b TIdIOHandler.SetDefStringEncoding 0235 @UStrArrayClr 0248 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 30 01 00 00 8B 10 FF 52 44 8B 86 9C 00 00 00 E8 ?? ?? ?? ?? 2D D3 00 00 00 74 05 83 E8 0A 75 56 8B 86 9C 00 00 00 8B 50 18 8B 86 30 01 00 00 8B 08 FF 51 40 8B 86 30 01 00 00 8B 10 FF 52 14 85 C0 7E 0D 33 D2 8B 86 30 01 00 00 8B 08 FF 51 48 8B 86 30 01 00 00 8B 10 FF 52 14 85 C0 7E 17 8B BE 30 01 00 00 8B C7 8B 10 FF 52 14 8B D0 4A 8B C7 8B 08 FF 51 48 80 BE 49 01 00 00 00 74 2C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 10 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 86 49 01 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 14 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 86 48 01 00 00 8B 8E E0 01 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C6 86 E6 01 00 00 00 8B 86 30 01 00 00 8B 10 FF 52 14 8B D8 4B 85 DB 7C 42 43 C7 45 F4 00 00 00 00 8D 4D F0 8B 55 F4 8B 86 30 01 00 00 8B 38 FF 57 0C 8B 45 F0 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 C6 86 E6 01 00 00 01 EB 06 FF 45 F4 4B 75 C6 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 40 8D 55 FC 8B 86 3C 01 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 45 EC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 83 C9 FF 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 4B 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 66 F7 D0 66 2D C8 00 74 06 66 83 E8 14 75 17 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 66 3D C8 00 75 14 B0 01 E8 ?? ?? ?? ?? 8B D0 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 45 00 41 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 50 00 52 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 50 00 53 00 56 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4C 00 53 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4C 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 41 00 4E 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4D 00 4F 00 44 00 45 00 20 00 5A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 4C 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 6E 00 64 00 79 00 20 00 31 00 30 00 2E 00 35 00 2E 00 38 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 4C 00 4E 00 54 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 55 00 54 00 46 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4F 00 50 00 54 00 53 00 20 00 55 00 54 00 46 00 38 00 20 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 4F 00 50 00 54 00 53 00 20 00 55 00 54 00 46 00 2D 00 38 00 20 00 4E 00 4C 00 53 00 54 00 00 00 }
	condition:
		$1
}

rule function_33451_0 {
	meta:
		name = "FtpHost"
		size = 156
		refs = "000d FtpHost 0039 @UStrAsg 0057 IntToStr 0066 @UStrCatN 007b @UStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 0F B7 B0 E4 00 00 00 66 83 FE 15 75 15 8B C3 8B 55 08 8B 52 FC 8B 92 CC 00 00 00 E8 ?? ?? ?? ?? EB 2B 8B 45 08 8B 40 FC FF B0 CC 00 00 00 68 ?? ?? ?? ?? 8D 55 FC 0F B7 C6 E8 ?? ?? ?? ?? FF 75 FC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_33452_0 {
	meta:
		name = "TIdFTP.Login"
		size = 4476
		refs = "0019 TIdFTP.Login 0056 TLS_AUTH_NAMES 0067 @UStrCat3 0075 TIdTCPConnection.SendCmd 00b5 TIdExplicitTLSClient.ProcessTLSNegCmdFailed 012c TIdExplicitTLSClient.ProcessTLSNotAvail 019a TIdFTP.GetLoginPassword 01ac MakeXAUTCmd 01bc GetFIPSMode 0201 TIdFTP.IsAccountNeeded 0211 TIdFTP.CheckAccount 045c FtpHost 046d @UStrCatN 0980 IndyFormat 0ce4 Trim 0fae RSSocksServerCommandError 0fb3 LoadResString 0fc0 _Dn_EIdSocksServerCommandError 0fc5 EIdException.Create 0fca @RaiseExcept 0fd4 TIdFTP.DoCustomFTPProxy 1003 TIdFTP.DoOnBannerAfterLogin 1017 TIdFTP.IssueFEAT 1029 TIdFTP.SendTransferType 1046 @UStrArrayClr 1086 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 25 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 40 01 00 00 00 8B 45 FC 0F B6 80 14 01 00 00 04 FE 2C 02 0F 83 DB 00 00 00 8B 45 FC 0F B6 98 57 01 00 00 84 DB 75 74 BE 04 00 00 00 8B 1D ?? ?? ?? ?? 6A 00 8D 45 F4 8B 0B BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 83 C9 FF 8B 45 FC E8 ?? ?? ?? ?? 8B C8 66 81 F9 EA 00 74 07 66 81 F9 4E 01 75 17 8B 45 FC 8B 10 FF 92 C0 00 00 00 8B 45 FC C6 80 40 01 00 00 01 EB 7C 0F B7 C1 B9 F4 01 00 00 33 D2 F7 F1 83 F8 01 74 0A 8B 45 FC E8 ?? ?? ?? ?? EB 61 83 C3 04 4E 75 99 EB 59 6A 00 0F B6 C3 8B 15 ?? ?? ?? ?? 8B 4C 82 FC 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 83 C9 FF 8B 45 FC E8 ?? ?? ?? ?? 8B C8 66 81 F9 EA 00 74 07 66 81 F9 4E 01 75 17 8B 45 FC 8B 10 FF 92 C0 00 00 00 8B 45 FC C6 80 40 01 00 00 01 EB 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 40 01 00 00 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 D8 01 00 00 0F B6 43 10 83 F8 09 0F 87 92 0E 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 6A 02 8D 45 F8 50 8D 55 EC 8B 45 FC 8B 80 90 00 00 00 8B 40 18 8B 08 FF 51 1C 8B 45 EC 50 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D E8 8B 45 FC 8B 90 EC 00 00 00 58 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 B1 00 00 00 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 0F 85 9F 00 00 00 6A 02 6A 00 66 C7 45 E0 E6 00 66 C7 45 E2 E8 00 66 C7 45 E4 4B 01 8D 4D E0 8B 55 F8 8B 45 FC 8B 18 FF 93 94 00 00 00 66 3D 4B 01 0F 85 DB 0D 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 CB 0D 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 42 6A 02 6A 00 8B 45 FC 8B 88 34 02 00 00 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 66 C7 45 E0 CA 00 66 C7 45 E2 E6 00 66 C7 45 E4 F4 01 8D 4D E0 8B 45 FC 8B 18 FF 93 94 00 00 00 E9 7D 0D 00 00 8B 45 FC 8B 10 FF 92 8C 00 00 00 E9 6D 0D 00 00 6A 02 6A 00 8B 45 FC 8B 88 EC 00 00 00 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 66 C7 45 E0 E6 00 66 C7 45 E2 E8 00 66 C7 45 E4 4B 01 8D 4D E0 8B 45 FC 8B 18 FF 93 94 00 00 00 66 3D 4B 01 0F 85 26 0D 00 00 6A 01 6A 00 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 8B 4D D0 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 66 C7 45 CC E6 00 66 C7 45 CE 4C 01 8D 4D CC 8B 45 FC 8B 18 FF 93 94 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 DA 0C 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 42 6A 02 6A 00 8B 45 FC 8B 88 34 02 00 00 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 66 C7 45 E0 CA 00 66 C7 45 E2 E6 00 66 C7 45 E4 F4 01 8D 4D E0 8B 45 FC 8B 18 FF 93 94 00 00 00 E9 8C 0C 00 00 8B 45 FC 8B 10 FF 92 8C 00 00 00 E9 7C 0C 00 00 8B 43 08 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E D0 00 00 00 6A 01 6A 00 8B 45 FC 8B 80 D8 01 00 00 8B 48 08 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 66 C7 45 CC E6 00 66 C7 45 CE 4B 01 8D 4D CC 8B 45 FC 8B 18 FF 93 94 00 00 00 66 3D 4B 01 0F 85 8C 00 00 00 6A 00 8B 45 FC 8B 80 D8 01 00 00 8B 48 0C 8D 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 66 B9 E6 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 56 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3F 6A 02 6A 00 8B 45 FC 8B 88 34 02 00 00 8D 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 66 C7 45 E0 CA 00 66 C7 45 E2 E6 00 66 C7 45 E4 F4 01 8D 4D E0 8B 45 FC 8B 18 FF 93 94 00 00 00 EB 0B 8B 45 FC 8B 10 FF 92 8C 00 00 00 6A 02 6A 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 EC 00 00 00 68 ?? ?? ?? ?? 55 8D 45 B4 E8 ?? ?? ?? ?? 59 FF 75 B4 8D 45 B8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 B8 66 C7 45 E0 E6 00 66 C7 45 E2 E8 00 66 C7 45 E4 4B 01 8D 4D E0 8B 45 FC 8B 18 FF 93 94 00 00 00 66 3D 4B 01 0F 85 3A 0B 00 00 6A 01 6A 00 8D 55 AC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D AC 8D 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 66 C7 45 CC E6 00 66 C7 45 CE 4B 01 8D 4D CC 8B 45 FC 8B 18 FF 93 94 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 EE 0A 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 42 6A 02 6A 00 8B 45 FC 8B 88 34 02 00 00 8D 45 A8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 66 C7 45 E0 CA 00 66 C7 45 E2 E6 00 66 C7 45 E4 F4 01 8D 4D E0 8B 45 FC 8B 18 FF 93 94 00 00 00 E9 A0 0A 00 00 8B 45 FC 8B 10 FF 92 8C 00 00 00 E9 90 0A 00 00 8B 43 08 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 6A 6A 01 6A 00 8B 45 FC 8B 80 D8 01 00 00 8B 48 08 8D 45 A4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 66 C7 45 CC E6 00 66 C7 45 CE 4B 01 8D 4D CC 8B 45 FC 8B 18 FF 93 94 00 00 00 66 3D 4B 01 75 2A 6A 00 8B 45 FC 8B 80 D8 01 00 00 8B 48 0C 8D 45 A0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 66 B9 E6 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 55 8D 45 98 E8 ?? ?? ?? ?? 59 8B 4D 98 8D 45 9C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 83 C9 FF 8B 45 FC E8 ?? ?? ?? ?? 6A 02 6A 00 8B 45 FC 8B 88 EC 00 00 00 8D 45 94 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 66 C7 45 E0 E6 00 66 C7 45 E2 E8 00 66 C7 45 E4 4B 01 8D 4D E0 8B 45 FC 8B 18 FF 93 94 00 00 00 66 3D 4B 01 0F 85 A5 09 00 00 6A 01 6A 00 8D 55 8C 8B 45 FC E8 ?? ?? ?? ?? 8B 4D 8C 8D 45 90 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 90 66 C7 45 CC E6 00 66 C7 45 CE 4C 01 8D 4D CC 8B 45 FC 8B 18 FF 93 94 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 59 09 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 42 6A 02 6A 00 8B 45 FC 8B 88 34 02 00 00 8D 45 88 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 88 66 C7 45 E0 CA 00 66 C7 45 E2 E6 00 66 C7 45 E4 F4 01 8D 4D E0 8B 45 FC 8B 18 FF 93 94 00 00 00 E9 0B 09 00 00 8B 45 FC 8B 10 FF 92 8C 00 00 00 E9 FB 08 00 00 8B 43 08 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E EE 00 00 00 6A 01 6A 00 8B 45 FC 8B 80 D8 01 00 00 8B 48 08 8D 45 84 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 84 66 C7 45 CC E6 00 66 C7 45 CE 4B 01 8D 4D CC 8B 45 FC 8B 18 FF 93 94 00 00 00 66 3D 4B 01 0F 85 AA 00 00 00 6A 01 6A 00 8D 95 7C FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 8D 7C FF FF FF 8D 45 80 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 80 66 C7 45 CC E6 00 66 C7 45 CE 4C 01 8D 4D CC 8B 45 FC 8B 18 FF 93 94 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 5C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 45 6A 02 6A 00 8B 45 FC 8B 88 34 02 00 00 8D 85 78 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 66 C7 45 E0 CA 00 66 C7 45 E2 E6 00 66 C7 45 E4 F4 01 8D 4D E0 8B 45 FC 8B 18 FF 93 94 00 00 00 EB 0B 8B 45 FC 8B 10 FF 92 8C 00 00 00 6A 00 55 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 70 FF FF FF 8D 85 74 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 83 C9 FF 8B 45 FC E8 ?? ?? ?? ?? 6A 02 6A 00 8B 45 FC 8B 88 EC 00 00 00 8D 85 6C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 66 C7 45 E0 E6 00 66 C7 45 E2 E8 00 66 C7 45 E4 4B 01 8D 4D E0 8B 45 FC 8B 18 FF 93 94 00 00 00 66 3D 4B 01 0F 85 76 07 00 00 6A 01 6A 00 8D 95 64 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 8D 64 FF FF FF 8D 85 68 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 66 C7 45 CC E6 00 66 C7 45 CE 4C 01 8D 4D CC 8B 45 FC 8B 18 FF 93 94 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 1E 07 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 48 6A 02 6A 00 8B 45 FC 8B 88 34 02 00 00 8D 85 60 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 66 C7 45 E0 CA 00 66 C7 45 E2 E6 00 66 C7 45 E4 F4 01 8D 4D E0 8B 45 FC 8B 18 FF 93 94 00 00 00 E9 CA 06 00 00 8B 45 FC 8B 10 FF 92 8C 00 00 00 E9 BA 06 00 00 6A 02 6A 00 8D 85 5C FF FF FF 50 8B 45 FC 8B 80 EC 00 00 00 89 85 44 FF FF FF C6 85 48 FF FF FF 11 8B 43 08 89 85 4C FF FF FF C6 85 50 FF FF FF 11 55 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 59 8B 85 40 FF FF FF 89 85 54 FF FF FF C6 85 58 FF FF FF 11 8D 95 44 FF FF FF B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 5C FF FF FF 66 C7 45 E0 E6 00 66 C7 45 E2 E8 00 66 C7 45 E4 4B 01 8D 4D E0 8B 45 FC 8B 18 FF 93 94 00 00 00 66 3D 4B 01 0F 85 24 06 00 00 8B 45 FC 8B 80 D8 01 00 00 8B 40 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 60 6A 01 6A 00 68 ?? ?? ?? ?? 8D 95 38 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? FF B5 38 FF FF FF 68 ?? ?? ?? ?? 8B 45 FC 8B 80 D8 01 00 00 FF 70 0C 8D 85 3C FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 95 3C FF FF FF 66 C7 45 CC E6 00 66 C7 45 CE 4C 01 8D 4D CC 8B 45 FC 8B 18 FF 93 94 00 00 00 EB 48 6A 01 6A 00 8D 95 30 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 8D 30 FF FF FF 8D 85 34 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 34 FF FF FF 66 C7 45 CC E6 00 66 C7 45 CE 4C 01 8D 4D CC 8B 45 FC 8B 18 FF 93 94 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 53 05 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 48 6A 02 6A 00 8B 45 FC 8B 88 34 02 00 00 8D 85 2C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 2C FF FF FF 66 C7 45 E0 CA 00 66 C7 45 E2 E6 00 66 C7 45 E4 F4 01 8D 4D E0 8B 45 FC 8B 18 FF 93 94 00 00 00 E9 FF 04 00 00 8B 45 FC 8B 10 FF 92 8C 00 00 00 E9 EF 04 00 00 8B 43 08 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 86 00 00 00 6A 01 6A 00 8B 45 FC 8B 80 D8 01 00 00 8B 48 08 8D 85 28 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 28 FF FF FF 66 C7 45 CC E6 00 66 C7 45 CE 4B 01 8D 4D CC 8B 45 FC 8B 18 FF 93 94 00 00 00 66 3D 4B 01 75 40 6A 01 6A 00 8B 45 FC 8B 80 D8 01 00 00 8B 48 0C 8D 85 24 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 24 FF FF FF 66 C7 45 CC E6 00 66 C7 45 CE 4C 01 8D 4D CC 8B 45 FC 8B 18 FF 93 94 00 00 00 6A 02 6A 00 8B 45 FC 8B 88 EC 00 00 00 8D 85 20 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 20 FF FF FF 66 C7 45 E0 E6 00 66 C7 45 E2 E8 00 66 C7 45 E4 4B 01 8D 4D E0 8B 45 FC 8B 18 FF 93 94 00 00 00 66 3D 4B 01 0F 85 08 04 00 00 6A 01 6A 00 8D 95 18 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 8D 18 FF FF FF 8D 85 1C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 1C FF FF FF 66 C7 45 CC E6 00 66 C7 45 CE 4C 01 8D 4D CC 8B 45 FC 8B 18 FF 93 94 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 B0 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 48 6A 02 6A 00 8B 45 FC 8B 88 34 02 00 00 8D 85 14 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 14 FF FF FF 66 C7 45 E0 CA 00 66 C7 45 E2 E6 00 66 C7 45 E4 F4 01 8D 4D E0 8B 45 FC 8B 18 FF 93 94 00 00 00 E9 5C 03 00 00 8B 45 FC 8B 10 FF 92 8C 00 00 00 E9 4C 03 00 00 6A 01 6A 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 EC 00 00 00 68 ?? ?? ?? ?? 55 8D 85 08 FF FF FF E8 ?? ?? ?? ?? 59 FF B5 08 FF FF FF 68 ?? ?? ?? ?? 8B 45 FC 8B 80 D8 01 00 00 FF 70 08 8D 85 0C FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 85 0C FF FF FF 8D 95 10 FF FF FF E8 ?? ?? ?? ?? 8B 95 10 FF FF FF 66 C7 45 CC E6 00 66 C7 45 CE 4B 01 8D 4D CC 8B 45 FC 8B 18 FF 93 94 00 00 00 66 3D 4B 01 0F 85 C6 02 00 00 6A 03 6A 00 8D 95 00 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 8D 00 FF FF FF 8D 85 04 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 04 FF FF FF 66 C7 85 F8 FE FF FF E6 00 66 C7 85 FA FE FF FF E8 00 66 C7 85 FC FE FF FF CA 00 66 C7 85 FE FE FF FF 4C 01 8D 8D F8 FE FF FF 8B 45 FC 8B 18 FF 93 94 00 00 00 66 3D 4C 01 0F 85 59 02 00 00 6A 02 6A 00 8B 45 FC 8B 80 D8 01 00 00 8B 48 0C 8D 85 F4 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 66 C7 45 E0 E6 00 66 C7 45 E2 E8 00 66 C7 45 E4 4C 01 8D 4D E0 8B 45 FC 8B 18 FF 93 94 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 03 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 48 6A 02 6A 00 8B 45 FC 8B 88 34 02 00 00 8D 85 F0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F0 FE FF FF 66 C7 45 E0 CA 00 66 C7 45 E2 E6 00 66 C7 45 E4 F4 01 8D 4D E0 8B 45 FC 8B 18 FF 93 94 00 00 00 E9 AF 01 00 00 8B 45 FC 8B 10 FF 92 8C 00 00 00 E9 9F 01 00 00 6A 01 6A 00 68 ?? ?? ?? ?? FF 73 08 68 ?? ?? ?? ?? 8B 45 FC FF B0 EC 00 00 00 68 ?? ?? ?? ?? 55 8D 85 E4 FE FF FF E8 ?? ?? ?? ?? 59 FF B5 E4 FE FF FF 8D 85 E8 FE FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 85 E8 FE FF FF 8D 95 EC FE FF FF E8 ?? ?? ?? ?? 8B 95 EC FE FF FF 66 C7 45 CC E6 00 66 C7 45 CE 4B 01 8D 4D CC 8B 45 FC 8B 18 FF 93 94 00 00 00 66 3D 4B 01 0F 85 22 01 00 00 6A 03 6A 00 68 ?? ?? ?? ?? 8B 45 FC 8B 80 D8 01 00 00 FF 70 08 68 ?? ?? ?? ?? 8D 95 DC FE FF FF 8B 45 FC E8 ?? ?? ?? ?? FF B5 DC FE FF FF 8D 85 E0 FE FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 95 E0 FE FF FF 66 C7 85 F8 FE FF FF E6 00 66 C7 85 FA FE FF FF E8 00 66 C7 85 FC FE FF FF CA 00 66 C7 85 FE FE FF FF 4C 01 8D 8D F8 FE FF FF 8B 45 FC 8B 18 FF 93 94 00 00 00 66 3D 4C 01 0F 85 9F 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 8F 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 45 6A 02 6A 00 8B 45 FC 8B 88 34 02 00 00 8D 85 D8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 D8 FE FF FF 66 C7 45 E0 CA 00 66 C7 45 E2 E6 00 66 C7 45 E4 F4 01 8D 4D E0 8B 45 FC 8B 18 FF 93 94 00 00 00 EB 3E 8B 45 FC 8B 10 FF 92 8C 00 00 00 EB 31 8D 95 D4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D D4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 9C 00 00 00 8B 45 FC 8B 80 50 01 00 00 8B 08 FF 51 08 8B 45 FC 8B 80 50 01 00 00 8B 10 FF 52 28 8B D0 8B }
	condition:
		$1
}

rule function_33453_0 {
	meta:
		name = "TIdFTP.DoAfterLogin"
		size = 29
	strings:
		$1 = { 53 66 83 B8 8A 01 00 00 00 74 10 8B D8 8B D0 8B 83 8C 01 00 00 FF 93 88 01 00 00 5B C3 }
	condition:
		$1
}

rule function_33454_0 {
	meta:
		name = "TIdFTP.DoFTPList"
		size = 35
	strings:
		$1 = { 53 66 83 B8 92 01 00 00 00 74 16 8D 88 7C 01 00 00 8B D8 8B D0 8B 83 94 01 00 00 FF 93 90 01 00 00 5B C3 }
	condition:
		$1
}

rule function_33455_0 {
	meta:
		name = "TIdFTP.GetDirectoryListing"
		size = 58
		refs = "0027 TIdFTP.ConstructDirListing 002e TIdFTP.ParseFTPList"
	strings:
		$1 = { 53 8B D8 83 BB 7C 01 00 00 00 75 26 66 83 BB 22 02 00 00 00 74 0E 8B D3 8B 83 24 02 00 00 FF 93 20 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 7C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_33456_0 {
	meta:
		name = "TIdFTP.SetProxySettings"
		size = 12
	strings:
		$1 = { 8B 80 D8 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_33457_0 {
	meta:
		name = "TIdFtpProxySettings.Assign"
		size = 101
		refs = "000a _DV_TIdFtpProxySettings 000f @IsClass 0020 @AsClass 0034 @UStrAsg 005e TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 42 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 0F B6 46 10 88 43 10 8D 43 04 8B 56 04 E8 ?? ?? ?? ?? 8D 43 08 8B 56 08 E8 ?? ?? ?? ?? 8D 43 0C 8B 56 0C E8 ?? ?? ?? ?? 0F B7 46 12 66 89 43 12 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33458_0 {
	meta:
		name = "TIdFTP.SendPBSZ"
		size = 64
		refs = "0018 TIdFTP.SendPBSZ 001d TIdTCPConnection.SendCmd"
	strings:
		$1 = { 80 B8 40 01 00 00 00 75 09 80 B8 14 01 00 00 01 75 0F 6A 00 83 C9 FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 42 00 53 00 5A 00 20 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_33459_0 {
	meta:
		name = "TIdFTP.SendPROT"
		size = 108
		refs = "0017 TIdFTP.SendPROT 001c TIdTCPConnection.SendCmd"
	strings:
		$1 = { 0F B6 90 56 01 00 00 80 EA 01 72 04 74 13 EB 21 6A 00 66 B9 C8 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 6A 00 66 B9 C8 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 52 00 4F 00 54 00 20 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 52 00 4F 00 54 00 20 00 50 00 00 00 00 00 }
	condition:
		$1
}

rule function_33460_0 {
	meta:
		name = "TIdFTP.SendDataSettings"
		size = 140
		refs = "0019 TIdFTP.SendPBSZ 0020 TIdFTP.SendPROT 0033 TIdFTP.SendDataSettings 003a TIdTCPConnection.SendCmd 0061 _Dn_TIdSSLIOHandlerSocketBase 0066 @AsClass"
	strings:
		$1 = { 53 56 8B F0 80 BE 40 01 00 00 00 74 67 80 BE 41 01 00 00 00 75 5E 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 BE E4 01 00 00 00 74 47 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F BF C0 B9 64 00 00 00 99 F7 F9 83 F8 02 0F 94 C3 88 9E 41 01 00 00 84 DB 74 1B 8B 86 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 08 FF 91 04 01 00 00 5E 5B C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 43 00 43 00 43 00 00 00 }
	condition:
		$1
}

rule function_33461_0 {
	meta:
		name = "TIdFTP.SetIOHandler"
		size = 38
		refs = "0006 TIdExplicitTLSClient.SetIOHandler"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 B0 00 00 00 85 C0 74 10 80 B8 06 01 00 00 01 75 07 C6 83 DC 01 00 00 01 5B C3 }
	condition:
		$1
}

rule function_33462_0 {
	meta:
		name = "TIdFTP.SetUseExtensionDataPort"
		size = 147
		refs = "0011 TIdFTP.SetUseExtensionDataPort 002c RSFTPMustUseExtWithIPv6 0031 LoadResString 0039 _DV_EIdFTPMustUseExtWithIPv6 003e EIdException.Toss 004f RSFTPMustUseExtWithNATFastTrack 005c _DV_EIdFTPMustUseExtWithNATFastTrack 0081 @UStrArrayClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 75 23 80 BE D0 00 00 00 01 75 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BE DD 01 00 00 00 74 1A 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 9E DC 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_33463_0 {
	meta:
		name = "TIdFTP.ParseEPSV"
		size = 464
		refs = "0022 TIdFTP.ParseEPSV 0032 Trim 0038 IndyPos 006e @UStrCopy 0084 @UStrFromWChar 0091 Fetch 00d5 @UStrAsg 011d @UStrLAsg 0127 IndyStrToInt 014b RSFTPServerSentInvalidPort 0150 LoadResString 015a _DV_EIdFTPServerSentInvalidPort 015f Exception.CreateFmt 0164 @RaiseExcept 0183 @UStrClr 0190 @UStrArrayClr 019e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B D8 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 FC B8 ?? ?? ?? ?? FF D7 8B F8 8D 45 FC 50 8B CF 2B CB 49 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 0F B7 18 6A 01 8D 45 F4 50 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC B1 01 E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC B1 01 E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 E0 8B D3 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC B1 01 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 83 3E 00 75 10 8B C6 8B 55 F8 8B 92 CC 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 D8 50 8D 45 D4 8B D3 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC B1 01 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 83 F8 01 7C 07 3D FF FF 00 00 7E 31 8B 45 FC 89 45 CC C6 45 D0 11 8D 45 CC 50 6A 00 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 25 FF FF 8B 55 08 66 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D4 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_33464_0 {
	meta:
		name = "TIdFTP.SendEPassive"
		size = 400
		refs = "0017 TIdFTP.SendEPassive 0025 TIdFTP.SendDataSettings 0047 cIPVersions 0054 @UStrCat3 0062 TIdTCPConnection.SendCmd 009c TIdReply.GetNumericCode 00af TIdFTP.SendPassive 00ed TIdFTP.ParseEPSV 00fc @HandleAnyException 0113 @RaiseAgain 0118 @DoneExcept 0132 @UStrArrayClr 0138 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 D8 01 00 00 80 78 10 00 74 48 6A 00 8B 45 FC 0F B6 80 D0 00 00 00 8B 0C 85 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 83 C9 FF 8B 45 FC E8 ?? ?? ?? ?? 66 3D E5 00 74 26 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 12 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 3D E5 00 00 00 74 18 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 49 01 00 00 00 EB 5D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 4D F4 8B 45 FC 8B 80 9C 00 00 00 8B 40 18 33 D2 8B 30 FF 56 0C 8B 55 F4 8B CB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 45 00 50 00 53 00 56 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 50 00 53 00 56 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 42 00 4F 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_33465_0 {
	meta:
		name = "TIdFTP.SendEPort"
		size = 69
		refs = "0009 TIdFTP.SendDataSettings 0028 TIdFTP.SendEPort"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB 60 01 00 00 00 74 19 0F B6 46 2D 50 0F B7 4E 20 8B 93 60 01 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 0F B6 46 2D 50 0F B7 4E 20 8B 56 18 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33466_0 {
	meta:
		name = "TIdFTP.SendEPort"
		size = 216
		refs = "0014 TIdFTP.SendEPort 002c cIPVersions 0042 IntToStr 0057 @UStrCatN 0064 TIdTCPConnection.SendCmd 0075 TIdFTP.SendPort 0096 @UStrArrayClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 68 ?? ?? ?? ?? 0F B6 45 08 FF 34 85 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 55 F8 0F B7 C7 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 83 C9 FF 8B C3 E8 ?? ?? ?? ?? 66 3D C8 00 74 12 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? C6 83 49 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 45 00 50 00 52 00 54 00 20 00 7C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7C 00 00 00 }
	condition:
		$1
}

rule function_33467_0 {
	meta:
		name = "TIdFTP.SetPassive"
		size = 104
		refs = "000f TIdFTP.SetPassive 002a RSFTPFTPPassiveMustBeTrueWithNATFT 002f LoadResString 0037 _DV_EIdFTPPassiveMustBeTrueWithNATFT 003c EIdException.Toss 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 75 23 80 BE DD 01 00 00 00 74 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 9E 54 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33468_0 {
	meta:
		name = "TIdFTP.SetTryNATFastTrack"
		size = 27
	strings:
		$1 = { 8B CA 88 88 DD 01 00 00 84 C9 74 0E C6 80 54 01 00 00 01 C6 80 DC 01 00 00 01 C3 }
	condition:
		$1
}

rule function_33469_0 {
	meta:
		name = "TIdFTP.DoTryNATFastTrack"
		size = 148
		refs = "0004 TIdFTP.DoTryNATFastTrack 000b TIdFTP.IsExtSupported 0020 TIdTCPConnection.SendCmd"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2F 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 3D E5 00 75 11 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 4A 01 00 00 01 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 50 00 53 00 56 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 50 00 53 00 56 00 20 00 41 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 42 00 4F 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_33470_0 {
	meta:
		name = "TIdFTP.SetCmdOpt"
		size = 144
		refs = "0012 TIdFTP.SetCmdOpt 0033 @UStrCatN 0041 TIdTCPConnection.SendCmd 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 57 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 66 B9 C8 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 4F 00 50 00 54 00 53 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33471_0 {
	meta:
		name = "TIdFTP.ExtListDir"
		size = 368
		refs = "001b TIdFTP.ExtListDir 0028 _Dn_TMemoryStream 002d TObject.Create 004f @UStrCat3 005a Trim 0068 TIdFTP.InternalGet 007d TObject.Free 008a @UStrClr 0092 TIdFTP.DoOnRetrievedDir 009e TStream.SetPosition 00a5 Indy8BitEncoding 00db @UStrAsg 00fb @HandleFinally 012e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F0 89 5D EC 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 6A 00 8D 45 EC 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 7C 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 05 80 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 80 4C 01 00 00 8B 55 F4 8B 18 FF 53 74 8B 45 FC 8B 80 4C 01 00 00 C6 40 58 01 C6 40 59 01 8B 45 FC 05 80 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 83 7D F8 00 74 11 8B 45 FC 8B 90 4C 01 00 00 8B 45 F8 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 4C 00 53 00 44 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4C 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_33472_0 {
	meta:
		name = "TIdFTP.ExtListItem"
		size = 340
		refs = "0021 TIdFTP.ExtListItem 0036 Indy8BitEncoding 0047 @UStrCat3 0052 Trim 0061 TIdTCPConnection.SendCmd 009b IndyPos 00e3 ParseListing 00fd @UStrArrayClr 0103 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 44 B0 01 E8 ?? ?? ?? ?? 50 8D 45 EC 8B 4D 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 66 B9 FA 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 00 00 00 8B 40 18 8B 10 FF 52 14 8B F0 4E 85 F6 7C 54 46 33 DB 8D 4D E8 8B 45 FC 8B 80 9C 00 00 00 8B 40 18 8B D3 8B 38 FF 57 0C 8B 55 E8 8B 3D ?? ?? ?? ?? 8B 3F B8 ?? ?? ?? ?? FF D7 85 C0 7E 21 8D 4D E4 8B 45 FC 8B 80 9C 00 00 00 8B 40 18 8B D3 8B 38 FF 57 0C 8B 55 E4 8B 45 F8 8B 08 FF 51 38 43 4E 75 AF 83 7D F4 00 74 10 B9 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 4C 00 53 00 54 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4C 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_33474_0 {
	meta:
		name = "TIdFTP.ExtListItem"
		size = 95
		refs = "0010 _Dn_TStringList 0015 TStringList.Create 0020 TIdFTP.ExtListItem 004d TObject.Free 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 57 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33475_0 {
	meta:
		name = "TIdFTP.IsExtSupported"
		size = 216
		refs = "001e TIdFTP.IsExtSupported 005e TrimLeft 0073 Fetch 007e TextIsSame 00a6 @UStrArrayClr 00ae @UStrClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8B 45 F8 8B 80 30 01 00 00 8B 10 FF 52 14 8B D8 4B 85 DB 7C 4F 43 33 F6 8D 4D EC 8B 45 F8 8B 80 30 01 00 00 8B D6 8B 38 FF 57 0C 8B 45 EC 8D 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 55 F4 E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 F3 01 EB 04 46 4B 75 B4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33476_0 {
	meta:
		name = "TIdFTP.FileDate"
		size = 236
		refs = "001e TIdFTP.FileDate 0035 @UStrCat3 0042 TIdTCPConnection.SendCmd 0066 Trim 0071 @UStrLAsg 007f FTPMLSToGMTDateTime 008d FTPMLSToLocalDateTime 00b5 @UStrArrayClr 00bd @UStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D EC 89 5D FC 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 EC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 83 C9 FF 8B C3 E8 ?? ?? ?? ?? 66 3D D5 00 75 4B 8D 4D FC 8B 83 9C 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 74 0E 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B EB 16 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B EB 08 33 C0 89 45 F0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 DD 45 F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 44 00 54 00 4D 00 20 00 00 00 }
	condition:
		$1
}

rule function_33477_0 {
	meta:
		name = "TIdFTP.SiteToSiteUpload"
		size = 74
		refs = "0015 TIdFTP.ValidateInternalIsTLSFXP 002b TIdFTP.InternalEncryptedTLSFXP 003f TIdFTP.InternalUnencryptedFXP"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 6A 01 8B CE 8B D3 8B 03 E8 ?? ?? ?? ?? 84 C0 74 14 57 8B 45 08 50 6A 01 8B CE 8B D3 8B 03 E8 ?? ?? ?? ?? EB 12 57 8B 45 08 50 6A 01 8B CE 8B D3 8B 03 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_33478_0 {
	meta:
		name = "TIdFTP.SiteToSiteDownload"
		size = 74
		refs = "0015 TIdFTP.ValidateInternalIsTLSFXP 002b TIdFTP.InternalEncryptedTLSFXP 003f TIdFTP.InternalUnencryptedFXP"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 6A 01 8B CB 8B D6 8B 03 E8 ?? ?? ?? ?? 84 C0 74 14 57 8B 45 08 50 6A 00 8B CB 8B D6 8B 03 E8 ?? ?? ?? ?? EB 12 57 8B 45 08 50 6A 00 8B CB 8B D6 8B 03 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_33479_0 {
	meta:
		name = "TIdFTP.ExtractFeatFacts"
		size = 312
		refs = "0023 TIdFTP.ExtractFeatFacts 0075 Fetch 0080 TextIsSame 008f Trim 009a @UStrLAsg 00f7 @UStrArrayClr 010a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 10 FF 52 44 8B 45 F4 8B 80 30 01 00 00 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C 93 00 00 00 43 33 F6 8D 4D FC 8B 45 F4 8B 80 30 01 00 00 8B D6 8B 38 FF 57 0C 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 55 F0 E8 ?? ?? ?? ?? 84 C0 74 51 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? EB 31 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8D 55 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 0B 8B 55 F8 8B 45 EC 8B 08 FF 51 38 83 7D FC 00 75 C9 EB 08 46 4B 0F 85 70 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_33480_0 {
	meta:
		name = "TIdFTP.SetLang"
		size = 156
		refs = "000f TIdFTP.SetLang 0021 TIdFTP.IsExtSupported 0036 @UStrCat3 0044 TIdTCPConnection.SendCmd 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 6A 00 8D 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 66 B9 C8 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 41 00 4E 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 41 00 4E 00 47 00 20 00 00 00 }
	condition:
		$1
}

rule function_33481_0 {
	meta:
		name = "TIdFTP.CRC"
		size = 468
		refs = "0017 TIdFTP.CRC 0037 TIdFTP.IsExtSupported 0057 @UStrCatN 0079 IntToStr 00ca TIdTCPConnection.SendCmd 00ec Trim 00f2 IndyPos 010d IdDelete 0121 @UStrCat3 0129 IndyStrToInt64 0149 @UStrArrayClr 015c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 FF FF FF FF C7 45 F4 FF FF FF FF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 F0 00 00 00 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7D 14 00 75 04 83 7D 10 00 74 58 FF 75 FC 68 ?? ?? ?? ?? FF 75 14 FF 75 10 8D 45 EC E8 ?? ?? ?? ?? FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7D 0C 00 75 04 83 7D 08 00 74 26 FF 75 FC 68 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 45 E8 E8 ?? ?? ?? ?? FF 75 E8 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 6A 00 83 C9 FF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 66 3D FA 00 75 5F 8D 55 E4 8B 83 9C 00 00 00 8B 40 18 8B 08 FF 51 1C 8B 45 E4 8D 55 F8 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 F8 B8 ?? ?? ?? ?? FF D3 8B C8 8D 45 F8 BA 01 00 00 00 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 E0 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 F0 8B 55 F4 5E 5B 8B E5 5D C2 10 00 B0 04 02 00 FF FF FF FF 04 00 00 00 58 00 43 00 52 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 58 00 43 00 52 00 43 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_33482_0 {
	meta:
		name = "TIdFTP.CombineFiles"
		size = 296
		refs = "001d TIdFTP.CombineFiles 0030 TIdFTP.IsExtSupported 0058 @UStrCatN 00a4 TIdTCPConnection.SendCmd 00b9 @UStrClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D FC 89 4D F4 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 70 8B 45 F4 8B 10 FF 52 14 85 C0 7E 64 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 8B D8 4B 85 DB 7C 2C 43 33 F6 FF 75 FC 68 ?? ?? ?? ?? 8D 4D F0 8B D6 8B 45 F4 8B 38 FF 57 0C FF 75 F0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 D7 6A 00 66 B9 FA 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 4F 00 4D 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4F 00 4D 00 42 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33483_0 {
	meta:
		name = "TIdFTP.ParseFTPList"
		size = 232
		refs = "000b TIdFTP.DoOnDirParseStart 0013 TIdFTP.ParseFTPList 004c @UStrAsg 0068 ParseListing 009a CheckListParseCapa 00a9 @UStrClr 00be TIdFTP.DoOnDirParseEnd 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 4C 01 00 00 8B 10 FF 52 14 85 C0 7E 71 8B 45 FC 8B 80 4C 01 00 00 80 78 59 00 74 30 8B 45 FC 05 80 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 90 7C 01 00 00 8B 45 FC 8B 80 4C 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3F 8B 55 FC 81 C2 84 01 00 00 52 8B 55 FC 8B 92 68 01 00 00 52 0F B6 50 58 52 8B 55 FC 8D 8A 80 01 00 00 8B 55 FC 8B 92 7C 01 00 00 E8 ?? ?? ?? ?? EB 0D 8B 45 FC 05 80 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4C 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_33484_0 {
	meta:
		name = "TIdFTP.GetSupportsTLS"
		size = 76
		refs = "000c TIdFTP.GetSupportsTLS 001c TIdFTP.FindAuthCmd 003a @UStrClr 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_33485_0 {
	meta:
		name = "TIdFTP.FindAuthCmd"
		size = 364
		refs = "0019 TIdFTP.FindAuthCmd 0027 @UStrClr 0061 TrimLeft 0076 Fetch 0083 TextIsSame 00a7 Trim 00af TLS_AUTH_NAMES 00bc PosInStrArray 00cf @UStrCat3 00fb @UStrArrayClr 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 30 01 00 00 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C A1 00 00 00 43 33 F6 8D 4D EC 8B 45 F4 8B 80 30 01 00 00 8B D6 8B 38 FF 57 0C 8B 45 EC 8D 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 52 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 8D 55 F8 E8 ?? ?? ?? ?? 6A 00 8B 15 ?? ?? ?? ?? B9 03 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 40 7E 12 8B 45 F0 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 83 7D FC 00 75 B0 EB 08 46 4B 0F 85 62 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 55 00 54 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 55 00 54 00 48 00 20 00 00 00 }
	condition:
		$1
}

rule function_33486_0 {
	meta:
		name = "TIdFTP.DoCustomFTPProxy"
		size = 114
		refs = "000a TIdFTP.DoCustomFTPProxy 0034 RSFTPOnCustomFTPProxyReq 0039 LoadResString 0043 _DV_EIdFTPOnCustomFTPProxyRequired 0048 EIdException.Create 004d @RaiseExcept 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 83 B8 C2 01 00 00 00 74 12 8B D8 8B D0 8B 83 C4 01 00 00 FF 93 C0 01 00 00 EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_33487_0 {
	meta:
		name = "TIdFTP.GetLoginPassword"
		size = 88
		refs = "000f TIdFTP.GetLoginPassword 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 9C 00 00 00 8B 40 18 8B 08 FF 51 1C 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33488_0 {
	meta:
		name = "TIdFTP.GetLoginPassword"
		size = 63
		refs = "000c _Dn_TIdOTPCalculator 0011 TIdOTPCalculator.IsValidOTPString 0028 TIdOTPCalculator.GenerateSixWordKey 0037 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 57 8B 8B E0 00 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B C7 8B 93 E0 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33489_0 {
	meta:
		name = "TIdFTP.SetSSCNToOn"
		size = 144
		refs = "001e TIdFTP.SetSSCNToOn 0025 TIdFTP.IsExtSupported 0049 TIdTCPConnection.SendCmd"
	strings:
		$1 = { 53 56 8B F0 0F B6 9E 40 01 00 00 84 DB 74 45 80 BE 56 01 00 00 01 0F 94 C3 84 DB 74 37 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 80 F3 01 84 DB 74 22 80 BE E5 01 00 00 00 75 19 6A 00 66 B9 C8 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C6 86 E5 01 00 00 01 8B C3 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 53 00 43 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 53 00 43 00 4E 00 20 00 4F 00 4E 00 00 00 }
	condition:
		$1
}

rule function_33490_0 {
	meta:
		name = "TIdFTP.ClearSSCN"
		size = 60
		refs = "0010 TIdFTP.ClearSSCN 0015 TIdTCPConnection.SendCmd"
	strings:
		$1 = { 80 B8 E5 01 00 00 00 74 10 6A 00 66 B9 C8 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 53 00 43 00 4E 00 20 00 4F 00 46 00 46 00 00 00 00 00 }
	condition:
		$1
}

rule function_33491_0 {
	meta:
		name = "TIdFTP.SetClientInfo"
		size = 12
	strings:
		$1 = { 8B 80 3C 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_33492_0 {
	meta:
		name = "TIdFTP.SetCompressor"
		size = 71
		refs = "0017 TComponent.RemoveFreeNotification 002a TComponent.FreeNotification 0040 TIdFTP.TransferMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 04 02 00 00 3B F0 74 34 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 83 04 02 00 00 85 C0 74 09 8B D3 E8 ?? ?? ?? ?? EB 14 8B C3 8B 10 FF 52 74 84 C0 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33493_0 {
	meta:
		name = "TIdFTP.GetInternalResponse"
		size = 293
		refs = "0014 TIdFTP.GetInternalResponse 0021 TIdTCPConnection.CheckConnected 0028 _Dn_TStringList 002d TStringList.Create 0073 CharEquals 008d @UStrCopy 00c4 TIdReplyFTP.IsEndReply 00f0 TObject.Free 00f6 @HandleFinally 0112 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 FC 50 8B 83 98 00 00 00 8B CE BA FF FF FF 7F 8B 38 FF 97 C8 00 00 00 8B 55 FC 8B 45 F4 8B 08 FF 51 38 66 B9 2D 00 BA 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 F8 50 B9 03 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 50 8B 83 98 00 00 00 8B CE BA FF FF FF 7F 8B 38 FF 97 C8 00 00 00 8B 55 FC 8B 45 F4 8B 08 FF 51 38 8B 83 9C 00 00 00 8B 00 8B 4D FC 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 C5 8B 83 9C 00 00 00 8B 55 F4 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33494_0 {
	meta:
		name = "TIdFTP.CheckResponse"
		size = 116
		refs = "004f TIdBuffer.Clear 0069 TIdTCPConnection.CheckResponse"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 66 81 FE A5 01 75 49 8B 45 08 83 F8 FF 7E 19 8B D0 85 D2 7C 13 42 8B 45 FC 66 3B 30 75 04 8B C6 EB 3E 83 C0 02 4A 75 F1 33 D2 8B C3 8B 08 FF 51 78 8B 83 98 00 00 00 85 C0 74 0B 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 8C 00 00 00 8B 45 08 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_33496_0 {
	meta:
		name = "TIdFTP.SetIPVersion"
		size = 38
		refs = "000e TIdTCPClientCustom.SetIPVersion 0020 TIdFTP.SetUseExtensionDataPort"
	strings:
		$1 = { 53 8B D8 3A 93 D0 00 00 00 74 19 8B C3 E8 ?? ?? ?? ?? 80 BB D0 00 00 00 01 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_33497_0 {
	meta:
		name = "TIdFTP.InternalEncryptedTLSFXP"
		size = 210
		refs = "0018 TIdFTP.InternalEncryptedTLSFXP 0029 TIdFTP.SetSSCNToOn 0034 TIdFTP.ClearSSCN 0066 TIdFTP.SendCPassive 0074 TIdFTP.SendPort 00a4 TIdFTP.FXPSendFile 00b9 @UStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 5B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B C6 E8 ?? ?? ?? ?? EB 47 80 BB D0 00 00 00 00 75 3E 80 7D 08 00 74 1D 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B7 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 1B 8D 4D F8 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 0F B7 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_33498_0 {
	meta:
		name = "TIdFTP.InternalUnencryptedFXP"
		size = 56
		refs = "0018 TIdFTP.FXPSetTransferPorts 002b TIdFTP.FXPSendFile"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 0F B6 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? B0 01 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_33499_0 {
	meta:
		name = "TIdFTP.ValidateInternalIsTLSFXP"
		size = 500
		refs = "001c TIdFTP.ValidateInternalIsTLSFXP 0039 RSFTPNoSToSWithNATFastTrack 003e LoadResString 0046 _DV_EIdFTPSToSNATFastTrack 004b EIdException.Toss 0087 RSFTPSToSProtosMustBeSame 0094 _DV_EIdFTPSToSIPProtoMustBeSame 00b0 RSFTPSToSTransferModesMusbtSame 00bd _DV_EIdFTPSToSTransModesMustBeSame 00d9 RSFTPSToSNoDataProtection 00e6 _DV_EIdFTPSToSNoDataProtection 0117 TIdFTP.IsExtSupported 0152 RSFTPSToSSSCNNotSupported 01aa @UStrArrayClr 01b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 00 74 25 80 BF 4A 01 00 00 00 74 3F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 23 80 BE 4A 01 00 00 00 74 1A 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 86 D0 00 00 00 3A 87 D0 00 00 00 74 1A 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 86 3A 01 00 00 3A 87 3A 01 00 00 74 1A 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 86 40 01 00 00 3A 87 40 01 00 00 74 1A 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BE 40 01 00 00 00 74 09 80 BF 40 01 00 00 00 75 04 33 DB EB 02 B3 01 84 DB 0F 84 85 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 75 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 75 65 80 BF D0 00 00 00 00 75 5C 80 7D 08 00 74 2C BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 75 46 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2A BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1A 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 53 00 43 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 50 00 53 00 56 00 00 00 00 00 }
	condition:
		$1
}

rule function_33500_0 {
	meta:
		name = "TIdFTP.FXPSendFile"
		size = 444
		refs = "0020 TIdFTP.FXPSendFile 0031 @UStrLAsg 0055 @UStrCat3 00ca @HandleAnyException 00da @RaiseAgain 00df @DoneExcept 0108 TIdReply.GetNumericCode 0167 @UStrClr 017d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D F4 89 5D FC 89 4D F8 8B DA 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 E8 ?? ?? ?? ?? 83 7D FC 00 75 0A 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 6A 02 6A 00 8D 45 F4 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 66 C7 45 EC 6E 00 66 C7 45 EE 7D 00 66 C7 45 F0 96 00 8D 4D EC 8B 45 F8 8B 38 FF 97 94 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 6A 00 8D 45 E8 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 66 C7 45 EC 6E 00 66 C7 45 EE 7D 00 66 C7 45 F0 96 00 8D 4D EC 8B C3 8B 30 FF 96 94 00 00 00 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 D4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 91 80 00 00 00 33 D2 8B C3 8B 08 FF 91 80 00 00 00 6A 02 8B 45 F8 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 8B D0 66 C7 45 EC E1 00 66 C7 45 EE E2 00 66 C7 45 F0 FA 00 8D 4D EC 8B 45 F8 8B 30 FF 56 6C 6A 02 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 8B D0 66 C7 45 EC E1 00 66 C7 45 EE E2 00 66 C7 45 F0 FA 00 8D 4D EC 8B C3 8B 18 FF 53 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 54 00 4F 00 52 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 45 00 54 00 52 00 20 00 00 00 }
	condition:
		$1
}

rule function_33501_0 {
	meta:
		name = "TIdFTP.FXPSetTransferPorts"
		size = 244
		refs = "0015 TIdFTP.FXPSetTransferPorts 0037 TIdFTP.SendEPassive 0046 TIdFTP.SendPassive 0065 TIdFTP.SendEPort 0075 TIdFTP.SendPort 00e0 @UStrClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 00 74 56 80 BE 49 01 00 00 00 74 0F 8D 4D FA 8D 55 FC 8B C6 E8 ?? ?? ?? ?? EB 0D 8D 4D FA 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 80 BB 49 01 00 00 00 74 18 0F B6 86 D0 00 00 00 50 0F B7 4D FA 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 64 0F B7 4D FA 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 54 80 BB 49 01 00 00 00 74 0F 8D 4D FA 8D 55 FC 8B C3 E8 ?? ?? ?? ?? EB 0D 8D 4D FA 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 80 BE 49 01 00 00 00 74 18 0F B6 83 D0 00 00 00 50 0F B7 4D FA 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 0E 0F B7 4D FA 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_33502_0 {
	meta:
		name = "TIdFTPClientIdentifier.Assign"
		size = 83
		refs = "000a _DV_TIdFTPClientIdentifier 000f @IsClass 0020 @AsClass 002c TIdFTPClientIdentifier.SetClientName 0036 TIdFTPClientIdentifier.SetClientVersion 0040 TIdFTPClientIdentifier.SetPlatformDescription 004c TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 56 04 8B C3 E8 ?? ?? ?? ?? 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33503_0 {
	meta:
		name = "TIdFTPClientIdentifier.GetClntOutput"
		size = 108
		refs = "0012 @UStrAsg 001f TIdFTPClientIdentifier.GetClntOutput 002e @UStrCatN 0054 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 04 00 74 45 8B C6 8B 53 04 E8 ?? ?? ?? ?? 83 7B 08 00 74 3C FF 36 68 ?? ?? ?? ?? FF 73 08 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7B 0C 00 74 20 FF 36 68 ?? ?? ?? ?? FF 73 0C 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33504_0 {
	meta:
		name = "TIdFTPClientIdentifier.SetClientName"
		size = 136
		refs = "0011 TIdFTPClientIdentifier.SetClientName 0021 Trim 002c @UStrAsg 0041 Fetch 0066 @UStrArrayClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 04 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 43 04 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33505_0 {
	meta:
		name = "TIdFTPClientIdentifier.SetClientVersion"
		size = 136
		refs = "0011 TIdFTPClientIdentifier.SetClientVersion 0021 Trim 002c @UStrAsg 0041 Fetch 0066 @UStrArrayClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 08 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 43 08 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 43 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33507_0 {
	meta:
		name = "TIdFTP.SetModTime"
		size = 704
		refs = "0015 TIdFTP.SetModTime 0027 TIdFTP.IsExtSupported 0040 FTPLocalDateTimeToMLS 0056 @UStrCatN 006b TIdFTP.IndexOfFeatLine 00ba TIdFTP.IsOldServU 00c5 TIdFTP.IsBPFTP 00e0 FTPDateTimeToMDTMD 0115 OffsetFromUTC 018f TIdTCPConnection.SendCmd 01a9 @UStrArrayClr 01af @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 34 68 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 55 F8 B0 01 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 56 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 66 B8 D5 00 E9 22 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 34 68 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 55 F4 33 C0 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 56 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 66 B8 FD 00 E9 DE 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7F 16 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 36 68 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 4D F0 B2 01 33 C0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 56 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 66 B8 FD 00 E9 82 00 00 00 8B 83 00 02 00 00 80 78 10 00 74 45 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? DC 6D 08 8B 83 00 02 00 00 DC 40 08 83 C4 F8 DD 1C 24 9B 8D 4D EC 33 D2 33 C0 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 56 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 66 B8 FD 00 EB 31 68 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 4D E8 33 D2 33 C0 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 56 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 66 B8 FD 00 6A 00 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 46 00 4D 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 46 00 4D 00 54 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 4D 00 44 00 54 00 4D 00 20 00 59 00 59 00 59 00 59 00 4D 00 4D 00 44 00 44 00 48 00 48 00 4D 00 4D 00 53 00 53 00 5B 00 2B 00 2D 00 54 00 5A 00 5D 00 3B 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 44 00 54 00 4D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 4D 00 44 00 54 00 4D 00 20 00 59 00 59 00 59 00 59 00 4D 00 4D 00 44 00 44 00 48 00 48 00 4D 00 4D 00 53 00 53 00 5B 00 2B 00 2D 00 54 00 5A 00 5D 00 20 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_33508_0 {
	meta:
		name = "TIdFTP.SetModTimeGMT"
		size = 712
		refs = "0016 TIdFTP.SetModTimeGMT 0028 TIdFTP.IsExtSupported 0041 FTPGMTDateTimeToMLS 0057 @UStrCatN 006c TIdFTP.IndexOfFeatLine 00bb TIdFTP.IsOldServU 00c6 TIdFTP.IsBPFTP 00d4 OffsetFromUTC 00ea FTPDateTimeToMDTMD 0197 TIdTCPConnection.SendCmd 01b1 @UStrArrayClr 01b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 34 68 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 55 F8 B0 01 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 56 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 66 B8 D5 00 E9 29 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 34 68 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 55 F4 33 C0 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 56 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 66 B8 FD 00 E9 E5 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7F 16 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3F 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? DC 45 08 83 C4 F8 DD 1C 24 9B 8D 4D F0 B2 01 33 C0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 56 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 66 B8 FD 00 E9 80 00 00 00 8B BB 00 02 00 00 80 7F 10 00 74 3A 68 ?? ?? ?? ?? DD 45 08 DC 47 08 83 C4 F8 DD 1C 24 9B 8D 4D EC 33 D2 33 C0 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 56 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 66 B8 FD 00 EB 3A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? DC 45 08 83 C4 F8 DD 1C 24 9B 8D 4D E8 33 D2 33 C0 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 56 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 66 B8 FD 00 6A 00 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 46 00 4D 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 46 00 4D 00 54 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 4D 00 44 00 54 00 4D 00 20 00 59 00 59 00 59 00 59 00 4D 00 4D 00 44 00 44 00 48 00 48 00 4D 00 4D 00 53 00 53 00 5B 00 2B 00 2D 00 54 00 5A 00 5D 00 3B 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 44 00 54 00 4D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 4D 00 44 00 54 00 4D 00 20 00 59 00 59 00 59 00 59 00 4D 00 4D 00 44 00 44 00 48 00 48 00 4D 00 4D 00 53 00 53 00 5B 00 2B 00 2D 00 54 00 5A 00 5D 00 20 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_33509_0 {
	meta:
		name = "TIdFTP.IndexOfFeatLine"
		size = 248
		refs = "001e TIdFTP.IndexOfFeatLine 002a IndyPos 0072 TrimLeft 008d Fetch 0098 @UStrLAsg 00a3 TextIsSame 00c8 @UStrArrayClr 00d0 @UStrClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 F4 B8 ?? ?? ?? ?? FF D3 85 C0 0F 94 45 F3 8B 45 F8 8B 80 30 01 00 00 8B 10 FF 52 14 8B D8 4B 85 DB 7C 5A 43 33 F6 8D 4D EC 8B 45 F8 8B 80 30 01 00 00 8B D6 8B 38 FF 57 0C 8B 45 EC 8D 55 FC E8 ?? ?? ?? ?? 80 7D F3 00 74 20 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 07 46 4B 75 A9 83 CE FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33510_0 {
	meta:
		name = "TIdFTPTZInfo.Assign"
		size = 70
		refs = "000a _DV_TIdFTPTZInfo 000f @IsClass 0020 @AsClass 003f TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 08 89 53 08 8B 50 0C 89 53 0C 0F B6 40 10 88 43 10 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33511_0 {
	meta:
		name = "TIdFTP.IsSiteZONESupported"
		size = 284
		refs = "0014 TIdFTP.IsSiteZONESupported 0025 TIdFTP.IsServerMDTZAndListTForm 0039 _Dn_TStringList 003e TStringList.Create 005e TIdFTP.ExtractFeatFacts 008a TextIsSame 0097 @TryFinallyExit 00b7 TObject.Free 00bd @HandleFinally 00d4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 C6 45 FF 01 E9 8D 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 30 43 33 F6 8D 4D F4 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B C6 45 FF 01 E8 ?? ?? ?? ?? EB 26 46 4B 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 49 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 5A 00 4F 00 4E 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_33512_0 {
	meta:
		name = "TIdFTP.SetTZInfo"
		size = 12
	strings:
		$1 = { 8B 80 00 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_33513_0 {
	meta:
		name = "TIdFTP.IsOldServU"
		size = 120
		refs = "000c TIdFTP.IsOldServU 0032 TextStartsWith 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 83 90 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 65 00 72 00 76 00 2D 00 55 00 20 00 00 00 }
	condition:
		$1
}

rule function_33514_0 {
	meta:
		name = "TIdFTP.IsBPFTP"
		size = 132
		refs = "000c TIdFTP.IsBPFTP 0032 TextStartsWith 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 83 90 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 42 00 50 00 46 00 54 00 50 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 20 00 00 00 }
	condition:
		$1
}

rule function_33515_0 {
	meta:
		name = "TIdFTP.IsTitan"
		size = 244
		refs = "000f TIdFTP.IsTitan 0035 TextStartsWith 007f @UStrArrayClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 83 90 00 00 00 8B 40 18 33 D2 8B 30 FF 56 0C 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 8D 4D F8 8B 83 90 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 54 00 69 00 74 00 61 00 6E 00 46 00 54 00 50 00 20 00 73 00 65 00 72 00 76 00 65 00 72 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 54 00 69 00 74 00 61 00 6E 00 20 00 46 00 54 00 50 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 20 00 00 00 }
	condition:
		$1
}

rule function_33516_0 {
	meta:
		name = "TIdFTP.IsWSFTP"
		size = 144
		refs = "000c TIdFTP.IsWSFTP 002e IndyPos 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 83 90 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 8B 55 FC 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 85 C0 0F 9F C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 57 00 53 00 5F 00 46 00 54 00 50 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_33517_0 {
	meta:
		name = "TIdFTP.IsServerMDTZAndListTForm"
		size = 44
		refs = "0006 TIdFTP.IsOldServU 0011 TIdFTP.IsBPFTP 001c TIdFTP.IsTitan"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1A 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_33518_0 {
	meta:
		name = "TIdFTP.Notification"
		size = 46
		refs = "0010 TIdTCPConnection.Notification 0026 TIdFTP.SetCompressor"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 11 3B B7 04 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33519_0 {
	meta:
		name = "TIdFTP.SendPret"
		size = 156
		refs = "000f TIdFTP.SendPret 0021 TIdFTP.IsExtSupported 0036 @UStrCat3 0043 TIdTCPConnection.SendCmd 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1E 6A 00 8D 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 83 C9 FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 52 00 45 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 52 00 45 00 54 00 20 00 00 00 }
	condition:
		$1
}

rule function_33520_0 {
	meta:
		name = "TIdFTP.List"
		size = 12
		refs = "0007 TIdFTP.List"
	strings:
		$1 = { 6A 01 33 C9 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33522_0 {
	meta:
		name = "TIdFTP.DoOnBannerAfterLogin"
		size = 96
		refs = "000f TIdFTP.DoOnBannerAfterLogin 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB F2 01 00 00 00 74 1B 8D 55 FC 8B C6 8B 08 FF 51 1C 8B 4D FC 8B D3 8B 83 F4 01 00 00 FF 93 F0 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33523_0 {
	meta:
		name = "TIdFTP.DoOnBannerBeforeLogin"
		size = 96
		refs = "000f TIdFTP.DoOnBannerBeforeLogin 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB EA 01 00 00 00 74 1B 8D 55 FC 8B C6 8B 08 FF 51 1C 8B 4D FC 8B D3 8B 83 EC 01 00 00 FF 93 E8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33524_0 {
	meta:
		name = "TIdFTP.DoOnBannerWarning"
		size = 96
		refs = "000f TIdFTP.DoOnBannerWarning 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB FA 01 00 00 00 74 1B 8D 55 FC 8B C6 8B 08 FF 51 1C 8B 4D FC 8B D3 8B 83 FC 01 00 00 FF 93 F8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33525_0 {
	meta:
		name = "TIdFTP.SetDataPortProtection"
		size = 170
		refs = "0011 TIdFTP.SetDataPortProtection 001e TIdInitializerComponent.GetIsLoading 0043 RSFTPNoDataPortProtectionWOEncryption 0048 LoadResString 0050 _DV_EIdFTPNoDataPortProtectionWOEncryption 0055 EIdException.Toss 0066 RSFTPNoDataPortProtectionAfterCCC 0073 _DV_EIdFTPNoDataPortProtectionAfterCCC 0098 @UStrArrayClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 88 9E 56 01 00 00 EB 54 3A 9E 56 01 00 00 74 4C 80 BE 14 01 00 00 00 75 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BE 41 01 00 00 00 74 1A 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 9E 56 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_33526_0 {
	meta:
		name = "TIdFTP.SetAUTHCmd"
		size = 170
		refs = "0011 TIdFTP.SetAUTHCmd 001e TIdInitializerComponent.GetIsLoading 0043 RSFTPNoAUTHWOSSL 0048 LoadResString 0050 _DV_EIdFTPNoAUTHWOSSL 0055 EIdException.Toss 0066 RSFTPNoAUTHCon 0073 _DV_EIdFTPCanNotSetAUTHCon 0098 @UStrArrayClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 88 9E 57 01 00 00 EB 54 3A 9E 57 01 00 00 74 4C 80 BE 14 01 00 00 00 75 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BE 40 01 00 00 00 74 1A 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 9E 57 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_33527_0 {
	meta:
		name = "TIdFTP.SetUseTLS"
		size = 54
		refs = "000b TIdExplicitTLSClient.SetUseTLS 0012 TIdInitializerComponent.GetIsLoading"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 19 84 DB 75 15 C6 86 56 01 00 00 00 C6 86 E4 01 00 00 00 C6 86 57 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_33528_0 {
	meta:
		name = "TIdFTP.SetUseCCC"
		size = 111
		refs = "000f TIdFTP.SetUseCCC 001c TIdInitializerComponent.GetIsLoading 0031 RSFTPNoCCCWOEncryption 0036 LoadResString 003e _DV_EIdFTPNoCCCWOEncryption 0043 EIdException.Toss 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 75 23 80 BE 14 01 00 00 00 75 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 9E E4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33529_0 {
	meta:
		name = "TIdFTP.DoOnRetrievedDir"
		size = 29
	strings:
		$1 = { 53 66 83 B8 1A 02 00 00 00 74 10 8B D8 8B D0 8B 83 1C 02 00 00 FF 93 18 02 00 00 5B C3 }
	condition:
		$1
}

rule function_33530_0 {
	meta:
		name = "TIdFTP.DoOnDirParseEnd"
		size = 29
	strings:
		$1 = { 53 66 83 B8 2A 02 00 00 00 74 10 8B D8 8B D0 8B 83 2C 02 00 00 FF 93 28 02 00 00 5B C3 }
	condition:
		$1
}

rule function_33531_0 {
	meta:
		name = "TIdFTP.DoOnDirParseStart"
		size = 29
	strings:
		$1 = { 53 66 83 B8 22 02 00 00 00 74 10 8B D8 8B D0 8B 83 24 02 00 00 FF 93 20 02 00 00 5B C3 }
	condition:
		$1
}

rule function_33532_0 {
	meta:
		name = "TIdFTP.IsAccountNeeded"
		size = 164
		refs = "000e TIdFTP.IsAccountNeeded 001f TIdReply.GetNumericCode 0045 IndyPos 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 9C 00 00 00 E8 ?? ?? ?? ?? 3D 4C 01 00 00 0F 94 C3 84 DB 75 31 8D 55 FC 8B 86 9C 00 00 00 8B 40 18 8B 08 FF 51 1C 8B 55 FC 8B 3D ?? ?? ?? ?? 8B 3F B8 ?? ?? ?? ?? FF D7 85 C0 7E 0A 83 BE 34 02 00 00 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 43 00 43 00 4F 00 55 00 4E 00 54 00 00 00 }
	condition:
		$1
}

rule function_33533_0 {
	meta:
		name = "TIdFTP.GetSupportsVerification"
		size = 300
		refs = "0014 _Dn_TIdHashSHA512 0019 TIdHashSHA512.IsAvailable 0022 TIdFTP.GetSupportsVerification 0029 TIdFTP.IsExtSupported 003c _Dn_TIdHashSHA256 0041 TIdHashSHA256.IsAvailable 0085 GetFIPSMode"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 10 FF 52 74 84 C0 0F 84 94 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 75 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 75 44 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 32 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 74 14 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 58 00 53 00 48 00 41 00 35 00 31 00 32 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 58 00 53 00 48 00 41 00 32 00 35 00 36 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 58 00 53 00 48 00 41 00 31 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 58 00 4D 00 44 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 58 00 43 00 52 00 43 00 00 00 00 00 }
	condition:
		$1
}

rule function_33534_0 {
	meta:
		name = "TIdFTP.VerifyFile"
		size = 195
		refs = "0018 TIdFTP.VerifyFile 0028 @UStrLAsg 0038 ExtractFileName 0041 _Dn_TIdReadFileExclusiveStream 0046 TIdReadFileExclusiveStream.Create 008d TObject.Free 0093 @HandleFinally 00aa @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 83 7D FC 00 75 0A 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B 4D FC 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_33535_0 {
	meta:
		name = "TIdFTP.VerifyFile"
		size = 2052
		refs = "0021 TIdFTP.VerifyFile 002f @UStrClr 0054 TStream.SetPosition 005b TStream.GetPosition 00a8 _Dn_TIdHashSHA512 00ad TIdHashSHA512.IsAvailable 00c2 TIdFTP.IsExtSupported 00e2 @UStrCatN 0108 IntToStr 016e IndyPos 018c @UStrCat3 019b _Dn_TIdHashSHA256 01a0 TIdHashSHA256.IsAvailable 02ab TIdFTP.IndexOfFeatLine 0352 _Dn_TIdHashSHA1 0372 GetFIPSMode 0481 _Dn_TIdHashMessageDigest5 0527 _Dn_TIdHashCRC32 0556 TIdHash.HashStreamAsHex 056b TObject.Free 0571 @HandleFinally 0583 TIdTCPConnection.SendCmd 05a8 Trim 05c9 IdDelete 05d4 TextIsSame 05f4 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 0D 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B DA 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 83 7D 14 FF 75 08 83 7D 10 FF 76 11 EB 02 7E 0D FF 75 14 FF 75 10 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 8B C3 8B 10 FF 12 2B 45 E8 1B 55 EC 89 45 E0 89 55 E4 8B 45 E0 8B 55 E4 3B 55 0C 75 07 3B 45 08 76 20 EB 02 7E 1C 83 7D 0C 00 75 08 83 7D 08 00 76 10 EB 02 7E 0C 8B 45 08 89 45 E0 8B 45 0C 89 45 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 E1 00 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 CC 00 00 00 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7D 0C 00 75 08 83 7D 08 00 76 42 EB 02 7E 3E FF 75 F4 68 ?? ?? ?? ?? FF 75 EC FF 75 E8 8D 45 D8 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? FF 75 E4 FF 75 E0 8D 45 D4 E8 ?? ?? ?? ?? FF 75 D4 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? EB 5C 83 7D 14 00 75 08 83 7D 10 00 76 2C EB 02 7E 28 FF 75 F4 68 ?? ?? ?? ?? FF 75 EC FF 75 E8 8D 45 D0 E8 ?? ?? ?? ?? FF 75 D0 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 24 8B 3D ?? ?? ?? ?? 8B 3F 8B D6 B8 ?? ?? ?? ?? FF D7 85 C0 75 0F 8D 45 F4 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E9 91 03 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 E1 00 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 CC 00 00 00 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7D 0C 00 75 08 83 7D 08 00 76 42 EB 02 7E 3E FF 75 F4 68 ?? ?? ?? ?? FF 75 EC FF 75 E8 8D 45 CC E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? FF 75 E4 FF 75 E0 8D 45 C8 E8 ?? ?? ?? ?? FF 75 C8 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? EB 5C 83 7D 14 00 75 08 83 7D 10 00 76 2C EB 02 7E 28 FF 75 F4 68 ?? ?? ?? ?? FF 75 EC FF 75 E8 8D 45 C4 E8 ?? ?? ?? ?? FF 75 C4 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 24 8B 3D ?? ?? ?? ?? 8B 3F 8B D6 B8 ?? ?? ?? ?? FF D7 85 C0 75 0F 8D 45 F4 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E9 9E 02 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 B9 00 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 40 7E 4F 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? FF 75 EC FF 75 E8 8D 45 C0 E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? 8B 45 E8 8B 55 EC 03 45 E0 13 55 E4 83 E8 01 83 DA 00 52 50 8D 45 BC E8 ?? ?? ?? ?? FF 75 BC 8D 45 F4 BA 06 00 00 00 E8 ?? ?? ?? ?? EB 50 83 7D EC 00 75 08 83 7D E8 00 76 2C EB 02 7E 28 FF 75 F4 68 ?? ?? ?? ?? FF 75 E4 FF 75 E0 8D 45 B8 E8 ?? ?? ?? ?? FF 75 B8 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 18 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E9 D0 01 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 1A 01 00 00 8B 3D ?? ?? ?? ?? 8B 3F FF D7 84 C0 0F 85 08 01 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 40 7E 52 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? FF 75 EC FF 75 E8 8D 45 B4 E8 ?? ?? ?? ?? FF 75 B4 68 ?? ?? ?? ?? 8B 45 E8 8B 55 EC 03 45 E0 13 55 E4 83 E8 01 83 DA 00 52 50 8D 45 B0 E8 ?? ?? ?? ?? FF 75 B0 8D 45 F4 BA 06 00 00 00 E8 ?? ?? ?? ?? E9 9C 00 00 00 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7D 0C 00 75 08 83 7D 08 00 76 42 EB 02 7E 3E FF 75 F4 68 ?? ?? ?? ?? FF 75 EC FF 75 E8 8D 45 AC E8 ?? ?? ?? ?? FF 75 AC 68 ?? ?? ?? ?? FF 75 E4 FF 75 E0 8D 45 A8 E8 ?? ?? ?? ?? FF 75 A8 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? EB 36 83 7D 14 00 75 08 83 7D 10 00 76 2A EB 02 7E 26 FF 75 F4 68 ?? ?? ?? ?? FF 75 EC FF 75 E8 8D 45 A4 E8 ?? ?? ?? ?? FF 75 A4 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E9 A1 00 00 00 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7D 0C 00 75 08 83 7D 08 00 76 42 EB 02 7E 3E FF 75 F4 68 ?? ?? ?? ?? FF 75 EC FF 75 E8 8D 45 A0 E8 ?? ?? ?? ?? FF 75 A0 68 ?? ?? ?? ?? FF 75 E4 FF 75 E0 8D 45 9C E8 ?? ?? ?? ?? FF 75 9C 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? EB 36 83 7D 14 00 75 08 83 7D 10 00 76 2A EB 02 7E 26 FF 75 F4 68 ?? ?? ?? ?? FF 75 EC FF 75 E8 8D 45 98 E8 ?? ?? ?? ?? FF 75 98 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? B2 01 FF 50 08 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 8D 4D F8 8B D3 8B 45 DC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 6A 00 83 C9 FF 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 66 3D FA 00 75 4F 8D 55 94 8B 45 F0 8B 80 9C 00 00 00 8B 40 18 8B 08 FF 51 1C 8B 45 94 8D 55 FC E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B C8 8D 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 BA 12 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C2 10 00 B0 04 02 00 FF FF FF FF 07 00 00 00 58 00 53 00 48 00 41 00 35 00 31 00 32 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 58 00 53 00 48 00 41 00 35 00 31 00 32 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 58 00 53 00 48 00 41 00 35 00 31 00 32 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 58 00 53 00 48 00 41 00 32 00 35 00 36 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 58 00 53 00 48 00 41 00 32 00 35 00 36 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 58 00 53 00 48 00 41 00 32 00 35 00 36 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 58 00 53 00 48 00 41 00 31 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 58 00 53 00 48 00 41 00 31 00 20 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 3B 00 73 00 74 00 61 00 72 00 74 00 3B 00 65 00 6E 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 58 00 53 00 48 00 41 00 31 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 58 00 4D 00 44 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 58 00 4D 00 44 00 35 00 20 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 3B 00 73 00 74 00 61 00 72 00 74 00 3B 00 65 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 58 00 4D 00 44 00 35 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 58 00 43 00 52 00 43 00 20 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_33536_0 {
	meta:
		name = "Finalization"
		size = 90
		refs = "0007 Finalization 0013 _DV_33 001a cIPVersions 0025 string 002a @FinalizeArray 002f StructureTypes 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2A B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_33558_0 {
	meta:
		name = "ExtractWSFTPServerKey"
		size = 260
		refs = "0014 ExtractWSFTPServerKey 0022 IndyPos 003b @UStrLAsg 0050 Fetch 0078 IsNumeric 0088 IndyStrToInt64 00a6 @UStrArrayClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 0D ?? ?? ?? ?? 8B 09 8B D6 B8 ?? ?? ?? ?? FF D1 85 C0 7E 5B 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 10 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 89 07 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 57 00 53 00 5F 00 46 00 54 00 50 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_33559_0 {
	meta:
		name = "xaut_encrypt"
		size = 216
		refs = "0012 xaut_encrypt 0028 TArray<System.Byte> 002d @DynArraySetLength 0067 @DynArrayLength 00c6 @DynArrayClear 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 24 FF 8B 55 FC 88 02 8B C7 C1 E8 08 24 FF 8B 55 FC 88 42 01 8B C7 C1 E8 10 24 FF 8B 55 FC 88 42 02 8B C7 C1 E8 18 24 FF 8B 55 FC 88 42 03 8B C6 E8 ?? ?? ?? ?? 8B F8 57 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D7 4A 85 D2 7C 25 42 33 C0 8B C8 81 E1 03 00 00 80 79 05 49 83 C9 FC 41 8B 7D FC 0F B6 0C 0F 32 0C 06 8B 3B 88 0C 07 40 4A 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33560_0 {
	meta:
		name = "xaut_unpack"
		size = 202
		refs = "0015 xaut_unpack 0022 @DynArrayLength 0037 TArray<System.Byte> 003c @DynArraySetLength 0089 BytesToString 0094 @UStrAsg 00a9 @UStrClr 00b7 @DynArrayClear 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 03 C0 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D6 4A 85 D2 7C 36 42 33 C0 8B F0 03 F6 8B 4D FC 03 CE 51 0F B6 0C 03 C1 E9 04 80 E1 0F 80 C1 35 5F 88 0F 8B 4D FC 8D 4C 31 01 51 0F B6 0C 03 80 E1 0F 80 C1 31 5E 88 0E 40 4A 75 CD 8D 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33561_0 {
	meta:
		name = "xaut_pack"
		size = 177
		refs = "0016 xaut_pack 0028 ToBytes 0030 @DynArrayLength 0048 TArray<System.Byte> 004d @DynArraySetLength 009f @DynArrayClear 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 D1 FB 79 03 83 D3 00 53 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D3 4A 85 D2 7C 2D 42 33 C0 8B F0 03 F6 8B 4D FC 0F B6 0C 31 80 E9 35 C1 E1 04 8B 5D FC 0F B6 5C 33 01 80 EB 31 02 CB 8B 5D F8 8B 1B 88 0C 03 40 4A 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_33562_0 {
	meta:
		name = "MakeXAUTCmd"
		size = 960
		refs = "0024 MakeXAUTCmd 0031 @UStrClr 003b @UStrLAsg 0043 IndyPos 0073 Fetch 009b IsNumeric 00ab IndyStrToInt64 00ce @UStrCatN 00db ToBytes 00f1 TArray<System.Byte> 00f6 @DynArrayAsg 0110 @DynArraySetLength 014a @DynArrayLength 02c4 BytesToString 02d8 IntToStr 0308 @UStrArrayClr 0328 @FinalizeArray 032e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D D8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 45 E0 8B D3 E8 ?? ?? ?? ?? 33 DB 8B 0D ?? ?? ?? ?? 8B 09 8B 55 E0 B8 ?? ?? ?? ?? FF D1 85 C0 7E 5D 8D 45 DC 8B 55 E0 E8 ?? ?? ?? ?? 6A 01 8D 45 D0 50 8D 45 DC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 CC 50 8D 45 DC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8D 45 DC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 11 6A 00 6A 00 8B 45 DC E8 ?? ?? ?? ?? 89 45 D4 B3 01 84 DB 0F 84 36 02 00 00 57 68 ?? ?? ?? ?? FF 75 D8 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 8D 4D FC 33 D2 E8 ?? ?? ?? ?? 83 7D 0C 02 0F 85 AE 00 00 00 8D 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 76 75 32 49 6A 04 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 24 FF 8B 55 F4 88 02 8B C3 C1 E8 08 24 FF 8B 55 F4 88 42 01 8B C3 C1 E8 10 24 FF 8B 55 F4 88 42 02 C1 EB 18 80 E3 FF 8B 45 F4 88 58 03 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D3 4A 85 D2 7C 29 42 33 C0 8B 4D F8 0F B6 0C 01 8B D8 81 E3 03 00 00 80 79 05 4B 83 CB FC 43 8B 7D F4 32 0C 1F 8B 5D FC 88 0C 03 40 4A 75 DA 8D 45 F0 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D D4 6A 04 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 24 FF 8B 55 EC 88 02 8B C3 C1 E8 08 24 FF 8B 55 EC 88 42 01 8B C3 C1 E8 10 24 FF 8B 55 EC 88 42 02 C1 EB 18 80 E3 FF 8B 45 EC 88 58 03 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D3 4A 85 D2 7C 29 42 33 C0 8B C8 81 E1 03 00 00 80 79 05 49 83 C9 FC 41 8B 5D EC 0F B6 0C 0B 8B 5D F0 32 0C 03 8B 5D FC 88 0C 03 40 4A 75 DA 8D 45 E8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 8B C3 03 C0 50 8D 45 E4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B CB 49 85 C9 7C 3C 41 33 C0 8B D0 03 D2 8B 5D E4 03 DA 53 8B 5D E8 0F B6 1C 03 C1 EB 04 80 E3 0F 80 C3 35 5F 88 1F 8B 5D E4 8D 54 13 01 52 8B 55 E8 0F B6 14 02 80 E2 0F 80 C2 31 5B 88 13 40 49 75 C7 8B CE 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 0C 33 D2 52 50 8D 45 C4 E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? FF 36 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 57 00 53 00 5F 00 46 00 54 00 50 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 58 00 41 00 55 00 54 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33563_0 {
	meta:
		name = "ExtractAutInfoFromXAUT"
		size = 684
		refs = "0022 ExtractAutInfoFromXAUT 0032 @UStrAsg 004b Fetch 0053 IndyStrToInt64 0063 @UStrLAsg 0070 ToBytes 007c TArray<System.Byte> 0081 @DynArrayAsg 0089 @DynArrayLength 00a6 @DynArraySetLength 024c BytesToString 0267 @DynArrayClear 026f @UStrClr 028a @FinalizeArray 0290 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D DC 89 55 E0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 8B D3 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 01 8D 45 D4 50 8B 45 DC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 89 45 D8 8D 45 E4 8B 55 DC 8B 12 E8 ?? ?? ?? ?? 8D 4D D0 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 D1 FB 79 03 83 D3 00 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B F3 4E 85 F6 7C 2B 46 33 C0 8B D0 03 D2 8B 4D F8 0F B6 0C 11 80 E9 35 C1 E1 04 8B 5D F8 0F B6 54 13 01 80 EA 31 02 CA 8B 55 FC 88 0C 02 40 4E 75 D8 8D 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D E0 6A 04 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 24 FF 8B 55 F0 88 02 8B C3 C1 E8 08 24 FF 8B 55 F0 88 42 01 8B C3 C1 E8 10 24 FF 8B 55 F0 88 42 02 C1 EB 18 80 E3 FF 8B 45 F0 88 58 03 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D3 4A 85 D2 7C 29 42 33 C0 8B C8 81 E1 03 00 00 80 79 05 49 83 C9 FC 41 8B 5D F0 0F B6 0C 0B 8B 5D F4 32 0C 03 8B 5D FC 88 0C 03 40 4A 75 DA 83 7D D8 02 0F 85 AE 00 00 00 8D 45 EC 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 76 75 32 49 6A 04 8D 45 E8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 24 FF 8B 55 E8 88 02 8B C3 C1 E8 08 24 FF 8B 55 E8 88 42 01 8B C3 C1 E8 10 24 FF 8B 55 E8 88 42 02 C1 EB 18 80 E3 FF 8B 45 E8 88 58 03 8B 45 EC E8 ?? ?? ?? ?? 8B D8 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D3 4A 85 D2 7C 29 42 33 C0 8B 4D EC 0F B6 0C 01 8B D8 81 E3 03 00 00 80 79 05 4B 83 CB FC 43 8B 75 E8 32 0C 1E 8B 5D FC 88 0C 03 40 4A 75 DA 8B 4D DC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C7 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33564_0 {
	meta:
		name = "MakeXAUTKey"
		size = 78
		refs = "0002 Randomize 000c Random"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? B8 7F 00 00 00 E8 ?? ?? ?? ?? 8B D8 C1 E3 18 B8 FF 00 00 00 E8 ?? ?? ?? ?? C1 E0 10 0B D8 B8 FF 00 00 00 E8 ?? ?? ?? ?? C1 E0 08 0B D8 B8 FF 00 00 00 E8 ?? ?? ?? ?? 0B D8 8B C3 3D 76 75 32 49 74 BE 85 C0 74 BA 5B C3 }
	condition:
		$1
}

rule function_33565_0 {
	meta:
		name = "DeleteSuffix"
		size = 133
		refs = "000e IndyPos 007a @UStrDelete"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F0 8B 1D ?? ?? ?? ?? 8B 1B 8B 16 8B 04 24 FF D3 8B C8 8B 2E 8B C5 89 44 24 04 8B 44 24 04 85 C0 74 05 83 E8 04 8B 00 8B 3C 24 8B D7 85 D2 74 05 83 EA 04 8B 12 2B C2 40 3B C8 75 37 8B C5 89 44 24 04 8B 44 24 04 85 C0 74 05 83 E8 04 8B 00 8B D7 85 D2 74 05 83 EA 04 8B 12 8B CF 85 C9 74 05 83 E9 04 8B 09 8B DE 2B C2 40 8B D0 8B C3 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33566_0 {
	meta:
		name = "StripSpaces"
		size = 94
		refs = "0021 IndyMin 004a @UStrCopy 0055 @UStrAsg"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 8B F0 8B DE 85 DB 74 05 83 EB 04 8B 1B 8B C5 33 D2 52 50 8B C3 99 52 50 E8 ?? ?? ?? ?? 85 C0 7E 11 BB 01 00 00 00 66 83 7C 5E FE 20 75 04 43 48 75 F4 83 FB 01 7E 11 57 B9 FF FF FF 7F 8B D3 8B C6 E8 ?? ?? ?? ?? EB 09 8B C7 8B D6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33567_0 {
	meta:
		name = "StripPath"
		size = 94
		refs = "0012 StripPath 0022 @UStrLAsg 0031 Fetch 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 6A 01 56 8D 45 FC B1 01 8B D3 E8 ?? ?? ?? ?? 83 7D FC 00 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33568_0 {
	meta:
		name = "CharsInStr"
		size = 41
	strings:
		$1 = { 56 57 33 FF 8B CA 85 C9 74 05 83 E9 04 8B 09 85 C9 7E 11 BE 01 00 00 00 66 3B 44 72 FE 75 01 47 46 49 75 F4 8B C7 5F 5E C3 }
	condition:
		$1
}

rule function_33569_0 {
	meta:
		name = "PatternsInStr"
		size = 110
		refs = "0012 PatternsInStr 0024 @UStrLAsg 0036 Fetch 0059 @UStrArrayClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 8B D3 E8 ?? ?? ?? ?? 83 7D FC 00 74 03 46 EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_33570_0 {
	meta:
		name = "UnfoldLines"
		size = 236
		refs = "001c UnfoldLines 002b @UStrAsg 005d CharIsInSet 006b Trim 008d @UStrCatN 00a9 @UStrArrayClr 00b1 @UStrClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B DA 8B F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B D7 E8 ?? ?? ?? ?? 43 8B 45 F8 8B 10 FF 52 14 3B D8 74 57 8D 4D FC 8B D3 8B 45 F8 8B 38 FF 57 0C 83 7D FC 00 74 44 B9 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2E 8D 55 F4 8B 06 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? FF 75 F0 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 9C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 09 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33571_0 {
	meta:
		name = "StrPart"
		size = 55
		refs = "001a @UStrCopy 002c @UStrDelete"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 8B 45 08 50 8B 07 8B CE BA 01 00 00 00 E8 ?? ?? ?? ?? 84 DB 74 0E 8B C7 8B CE BA 01 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_33572_0 {
	meta:
		name = "FetchLength"
		size = 152
		refs = "0011 FetchLength 0016 @UStrEqual 0021 Pos 0029 IndyPos 004d @UStrCopy 0062 @UStrDelete 007a Fetch"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 89 55 FC 8B F0 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B 8B 16 8B C3 E8 ?? ?? ?? ?? EB 0E 8B 3D ?? ?? ?? ?? 8B 3F 8B 16 8B C3 FF D7 3B 45 FC 7F 04 85 C0 75 2A 8B 45 08 50 8B 06 8B 4D FC BA 01 00 00 00 E8 ?? ?? ?? ?? 80 7D 10 00 74 27 8B C6 8B 4D FC BA 01 00 00 00 E8 ?? ?? ?? ?? EB 16 0F B6 45 0C 50 8B 45 08 50 8B C6 0F B6 4D 10 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_33573_0 {
	meta:
		name = "IsLineStr"
		size = 96
		refs = "0023 IsLineStr 002c CharIsInSet"
	strings:
		$1 = { 53 56 57 55 8B F8 8B C7 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 29 B3 01 8B E8 85 ED 7E 23 BE 01 00 00 00 B9 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 08 46 4D 75 E6 EB 02 B3 01 8B C3 5D 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 2D 00 96 00 2B 00 00 00 00 00 }
	condition:
		$1
}

rule function_33574_0 {
	meta:
		name = "FindDelimInNumbers"
		size = 74
		refs = "000b @UStrClr 002b IsNumeric 003b @UStrFromWChar"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C5 E8 ?? ?? ?? ?? 8B C7 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 25 BB 01 00 00 00 0F B7 44 5F FE E8 ?? ?? ?? ?? 84 C0 75 0E 8B C5 0F B7 54 5F FE E8 ?? ?? ?? ?? EB 04 43 4E 75 E0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33575_0 {
	meta:
		name = "ExtractNumber"
		size = 192
		refs = "0015 ExtractNumber 0023 @UStrClr 0043 IsNumeric 0054 @UStrFromWChar 005f @UStrCat 007d IndyStrToInt 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 88 55 FB 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C7 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 39 BB 01 00 00 00 0F B7 44 5F FE E8 ?? ?? ?? ?? 84 C0 74 1A 8D 45 F4 0F B7 54 5F FE E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? EB 08 66 83 7C 5F FE 2C 75 04 43 4E 75 CC 80 7D FB 00 74 0E 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 0D 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33576_0 {
	meta:
		name = "StripNo"
		size = 106
		refs = "002d IsNumeric 003e CharEquals 0060 @UStrCopy"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F0 BD 01 00 00 00 8B C6 85 C0 74 05 83 E8 04 8B 00 8B F8 85 FF 7E 2A BB 01 00 00 00 8B EB 0F B7 44 5E FE E8 ?? ?? ?? ?? 84 C0 75 11 66 B9 2C 00 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 43 4F 75 DB 8B DE 85 DB 74 05 83 EB 04 8B 1B 8B 04 24 50 8B CB 8B D5 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33577_0 {
	meta:
		name = "LastPathDelim"
		size = 76
		refs = "0017 LastPathDelim 0020 CharIsInSet"
	strings:
		$1 = { 53 56 8B F0 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 7C 1C B9 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 05 8B C3 5E 5B C3 4B 85 DB 75 E4 33 C0 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_33578_0 {
	meta:
		name = "IndyGetFilePath"
		size = 184
		refs = "0016 IndyGetFilePath 0026 @UStrLAsg 0048 CharIsInSet 0070 @UStrCopy 007a @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 7C 1C B9 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 04 8B C3 EB 07 4B 85 DB 75 E4 33 C0 8B D8 85 DB 7E 15 8B 45 F8 50 8B CB 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_33579_0 {
	meta:
		name = "IndyGetFileName"
		size = 196
		refs = "0017 IndyGetFileName 0027 @UStrLAsg 0049 CharIsInSet 0068 @UStrAsg 0085 @UStrCopy 009a @UStrClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 7C 1C B9 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 04 8B C3 EB 07 4B 85 DB 75 E4 33 C0 8B D8 85 DB 75 0C 8B 45 F8 8B D6 E8 ?? ?? ?? ?? EB 1B 8B FE 85 FF 74 05 83 EF 04 8B 3F 8B 45 F8 50 8D 53 01 8B CF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_33580_0 {
	meta:
		name = "IndyIsRelativePath"
		size = 52
		refs = "0008 IndyIsRelativePath 0014 CharIsInSet"
	strings:
		$1 = { 53 8B D8 85 DB 74 13 B9 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_33581_0 {
	meta:
		name = "IndyGetFileExt"
		size = 288
		refs = "0015 IndyGetFileExt 0023 @UStrClr 002d @UStrLAsg 005a CharIsInSet 0099 @UStrCopy 00aa IndyPos 00e9 @UStrArrayClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 7C 1C B9 ?? ?? ?? ?? 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 04 8B C3 EB 07 4B 85 DB 75 E4 33 C0 8B D8 85 DB 75 0D 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? EB 1D 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 8D 45 F4 50 8D 53 01 8B CE 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B D8 85 DB 7E 13 8B 45 EC 50 B9 FF FF FF 7F 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_33582_0 {
	meta:
		name = "StripInitPathDelim"
		size = 84
		refs = "000b @UStrAsg 0017 StripInitPathDelim 0021 CharIsInSet 0036 IdDelete"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B D6 E8 ?? ?? ?? ?? 83 3B 00 74 26 8B 03 B9 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 11 8B C3 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_33583_0 {
	meta:
		name = "IsNavPath"
		size = 368
		refs = "0012 IsNavPath 0022 @UStrLAsg 003a CharIsInSet 0050 IdDelete 00c7 @UStrCopy 00df @UStrEqual 0110 @UStrArrayClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 83 7D F8 00 74 28 B9 ?? ?? ?? ?? BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 12 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 7C 1C B9 ?? ?? ?? ?? 8B D3 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 04 8B C3 EB 07 4B 85 DB 75 E4 33 C0 8B D8 85 DB 75 0D 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? EB 1D 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 8D 45 F0 50 8D 53 01 8B CE 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 13 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_33584_0 {
	meta:
		name = "RemoveDuplicatePathSyms"
		size = 268
		refs = "0010 @UStrAddRef 0018 RemoveDuplicatePathSyms 0075 StringsReplace 008a @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 ?? ?? ?? ?? 89 45 EC B8 ?? ?? ?? ?? 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 B8 ?? ?? ?? ?? 89 45 F8 8D 45 EC 50 6A 03 53 B8 ?? ?? ?? ?? 89 45 DC B8 ?? ?? ?? ?? 89 45 E0 B8 ?? ?? ?? ?? 89 45 E4 B8 ?? ?? ?? ?? 89 45 E8 8D 55 DC B9 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_33585_0 {
	meta:
		name = "UnixPathToDOSPath"
		size = 72
		refs = "0009 UnixPathToDOSPath 001c StringReplace"
	strings:
		$1 = { 53 56 8B F2 8B D8 0F B6 05 ?? ?? ?? ?? 50 56 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_33586_0 {
	meta:
		name = "DOSPathToUnixPath"
		size = 72
		refs = "0009 DOSPathToUnixPath 001c StringReplace"
	strings:
		$1 = { 53 56 8B F2 8B D8 0F B6 05 ?? ?? ?? ?? 50 56 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_33587_0 {
	meta:
		name = "IsSubDirContentsBanner"
		size = 56
		refs = "0004 IsSubDirContentsBanner 000b TextEndsWith 0018 IsValidUnixPerms"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 33 D2 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_33588_0 {
	meta:
		name = "IsTotalLine"
		size = 292
		refs = "0005 IsTotalLine 000c TextEndsWith 001c TextStartsWith 0046 IndyPos"
	strings:
		$1 = { 53 56 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 68 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 5D BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 4D BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3D 8B 35 ?? ?? ?? ?? 8B 36 8B D3 B8 ?? ?? ?? ?? FF D6 48 74 29 8B 35 ?? ?? ?? ?? 8B 36 8B D3 B8 ?? ?? ?? ?? FF D6 48 74 15 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 4F 00 54 00 41 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 47 00 45 00 53 00 41 00 4D 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 4E 00 53 00 47 00 45 00 53 00 41 00 4D 00 54 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 1D CD 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 60 70 65 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 08 54 08 8A 00 00 00 00 }
	condition:
		$1
}

rule function_33589_0 {
	meta:
		name = "ParseQuotedArgs"
		size = 340
		refs = "0016 ParseQuotedArgs 002e @UStrLAsg 003e IndyPos 008d Fetch 0098 TrimLeft 00de @UStrCatN 0112 @UStrArrayClr 0125 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 44 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 C0 00 00 00 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B D8 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 85 DB 75 0E 8B 55 FC 85 D2 74 05 83 EA 04 8B 12 8B DA 85 C0 74 04 3B C3 7E 22 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F8 E8 ?? ?? ?? ?? EB 44 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 46 FF FF FF 8B 55 F8 8B 45 F4 8B 08 FF 51 38 E9 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_33590_0 {
	meta:
		name = "EPLFDateToLocalDateTime"
		size = 84
		refs = "0009 IndyStrToInt 0023 Int 002d EPLFDateToLocalDateTime 0039 TimeZoneBias"
	strings:
		$1 = { 53 83 C4 E4 8B D8 8B C3 E8 ?? ?? ?? ?? 99 89 44 24 08 89 54 24 0C 68 0D 40 00 00 68 00 00 C2 C7 6A 00 E8 ?? ?? ?? ?? DF 6C 24 08 D8 35 ?? ?? ?? ?? DE C1 DB 7C 24 10 9B E8 ?? ?? ?? ?? DB 6C 24 10 DE E1 DD 1C 24 9B DD 04 24 83 C4 1C 5B C3 00 00 C0 A8 47 }
	condition:
		$1
}

rule function_33591_0 {
	meta:
		name = "EPLFDateToGMTDateTime"
		size = 68
		refs = "0009 IndyStrToInt 0023 Int 002d EPLFDateToGMTDateTime"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 99 89 44 24 08 89 54 24 0C 68 0D 40 00 00 68 00 00 C2 C7 6A 00 E8 ?? ?? ?? ?? DF 6C 24 08 D8 35 ?? ?? ?? ?? DE C1 DD 1C 24 9B DD 04 24 83 C4 10 5B C3 00 00 C0 A8 47 }
	condition:
		$1
}

rule function_33592_0 {
	meta:
		name = "GMTDateTimeToEPLFDate"
		size = 148
		refs = "0012 GMTDateTimeToEPLFDate 0029 Int 0055 CurrencyString 005a FloatToStr 0064 @UStrAsg 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 0D 40 00 00 68 00 00 C2 C7 6A 00 E8 ?? ?? ?? ?? DC 6D 08 D8 0D ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 00 00 C0 41 00 00 70 42 }
	condition:
		$1
}

rule function_33593_0 {
	meta:
		name = "LocalDateTimeToEPLFDate"
		size = 164
		refs = "0012 LocalDateTimeToEPLFDate 0029 Int 0032 TimeZoneBias 0063 CurrencyString 0068 FloatToStr 0072 @UStrAsg 0087 @UStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 0D 40 00 00 68 00 00 C2 C7 6A 00 E8 ?? ?? ?? ?? DB 7D E4 9B E8 ?? ?? ?? ?? DC 45 08 DB 6D E4 DE E9 D8 0D ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 00 00 00 00 C0 41 00 00 70 42 }
	condition:
		$1
}

rule function_33594_0 {
	meta:
		name = "IsValidTimeStamp"
		size = 284
		refs = "0012 IsValidTimeStamp 002f @UStrCopy 0039 IndyStrToInt 0108 @UStrArrayClr 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 50 B9 02 00 00 00 BA 05 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 83 F8 01 0F 8C AC 00 00 00 83 F8 0C 0F 8F A3 00 00 00 8D 45 F8 50 B9 02 00 00 00 BA 07 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 83 F8 01 7C 7F 83 F8 1F 7F 7A 8D 45 F4 50 B9 02 00 00 00 BA 09 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 85 C0 7C 57 83 F8 18 7F 52 8D 45 F0 50 B9 02 00 00 00 BA 0B 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 85 C0 7C 2F 83 F8 3B 7F 2A 8D 45 EC 50 B9 02 00 00 00 BA 0D 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 85 C0 7C 07 83 F8 3B 7F 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33595_0 {
	meta:
		name = "IsMDTMDate"
		size = 612
		refs = "0015 IsMDTMDate 0027 @UStrLAsg 002d IndyPos 005d Fetch 0065 IsNumeric 013c @UStrCopy 0146 IndyStrToInt 021d @UStrArrayClr 0223 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 85 C0 7E 30 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 FC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 96 01 00 00 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 85 C0 7E 30 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 FC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 50 01 00 00 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 85 C0 7E 15 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 0E 0F 85 10 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 00 01 00 00 83 7D F8 00 74 10 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 EA 00 00 00 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 33 DB 8D 45 F0 50 B9 02 00 00 00 BA 05 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 83 F8 01 0F 8C B4 00 00 00 83 F8 0C 0F 8F AB 00 00 00 8D 45 EC 50 B9 02 00 00 00 BA 07 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 83 F8 01 0F 8C 82 00 00 00 83 F8 1F 7F 7D 8D 45 E8 50 B9 02 00 00 00 BA 09 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 E8 ?? ?? ?? ?? 85 C0 7C 59 83 F8 18 7F 54 8D 45 E4 50 B9 02 00 00 00 BA 0B 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E4 33 D2 E8 ?? ?? ?? ?? 85 C0 7C 30 83 F8 3B 7F 2B 8D 45 E0 50 B9 02 00 00 00 BA 0D 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 E8 ?? ?? ?? ?? 85 C0 7C 07 83 F8 3B 7F 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_33596_0 {
	meta:
		name = "MDTMOffset"
		size = 88
		refs = "0006 IndyStrToInt 0030 EncodeTime 003e MDTMOffset"
	strings:
		$1 = { 53 56 83 C4 F8 E8 ?? ?? ?? ?? 8B D8 6A 00 8B C3 99 33 C2 2B C2 8B C8 8B C1 BE 3C 00 00 00 99 F7 FE 52 8B C1 B9 3C 00 00 00 99 F7 F9 33 C9 5A E8 ?? ?? ?? ?? DD 1C 24 9B 85 DB 7E 0D D9 05 ?? ?? ?? ?? DC 24 24 DD 1C 24 9B DD 04 24 59 5A 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_33597_0 {
	meta:
		name = "MinutesFromGMT"
		size = 104
		refs = "0004 OffsetFromUTC 0026 DecodeTime 002f MinutesFromGMT"
	strings:
		$1 = { 83 C4 F0 E8 ?? ?? ?? ?? DD 1C 24 9B FF 74 24 04 FF 74 24 04 8D 44 24 16 50 8D 4C 24 18 8D 54 24 16 8D 44 24 14 E8 ?? ?? ?? ?? DD 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 17 0F B7 44 24 08 6B C0 3C 0F B7 54 24 0A 03 C2 50 33 C0 5A 2B C2 EB 0F 0F B7 44 24 08 6B C0 3C 0F B7 54 24 0A 03 C2 83 C4 10 C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_33598_0 {
	meta:
		name = "FTPDateTimeToMDTMD"
		size = 592
		refs = "0022 FTPDateTimeToMDTMD 003c DecodeDate 0054 DecodeTime 00a9 IndyFormat 00d5 @UStrCat 00e4 OffsetFromUTC 0141 IntToStr 016d @UStrCatN 018a StringReplace 0194 @UStrAsg 01ae @UStrArrayClr 01b6 @UStrClr 01bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 DB 89 5D 98 89 5D 9C 89 5D A0 89 5D AC 8B F9 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 4D F8 8D 55 FA 8D 45 FC E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 45 F0 50 8D 4D F2 8D 55 F4 8D 45 F6 E8 ?? ?? ?? ?? 57 0F B7 45 FC 89 45 B0 C6 45 B4 00 0F B7 45 FA 89 45 B8 C6 45 BC 00 0F B7 45 F8 89 45 C0 C6 45 C4 00 0F B7 45 F6 89 45 C8 C6 45 CC 00 0F B7 45 F4 89 45 D0 C6 45 D4 00 0F B7 45 F2 89 45 D8 C6 45 DC 00 8D 55 B0 B9 05 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 28 8D 45 AC 50 0F B7 45 F0 89 45 A4 C6 45 A8 00 8D 55 A4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 8B C7 E8 ?? ?? ?? ?? 80 7D FF 00 0F 84 8E 00 00 00 E8 ?? ?? ?? ?? DD 5D E8 9B FF 75 EC FF 75 E8 8D 45 E0 50 8D 4D E2 8D 55 E4 8D 45 E6 E8 ?? ?? ?? ?? DD 45 E8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 15 0F B7 45 E6 6B C0 3C 0F B7 55 E4 03 C2 50 33 C0 5A 2B C2 EB 0D 0F B7 45 E6 6B C0 3C 0F B7 55 E4 03 C2 8B F0 85 F6 7D 16 8D 55 A0 8B C6 E8 ?? ?? ?? ?? 8B 55 A0 8B C7 E8 ?? ?? ?? ?? EB 20 FF 37 68 ?? ?? ?? ?? 8D 55 9C 8B C6 E8 ?? ?? ?? ?? FF 75 9C 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 98 50 8B 07 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 98 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 25 00 34 00 64 00 25 00 32 00 64 00 25 00 32 00 64 00 25 00 32 00 64 00 25 00 32 00 64 00 25 00 32 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 25 00 33 00 64 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33599_0 {
	meta:
		name = "FTPMDTMToGMTDateTime"
		size = 696
		refs = "0019 FTPMDTMToGMTDateTime 0031 @UStrLAsg 0041 IndyPos 0071 Fetch 0081 @UStrCat3 00cd @UStrCopy 00d7 IndyStrToInt 01b3 EncodeDate 01cd EncodeTime 01df OffsetFromUTC 025e @UStrArrayClr 0271 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E8 89 45 EC 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 09 02 00 00 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 85 C0 7E 30 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 FC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 85 C0 7E 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 FC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC 50 B9 04 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 CC 33 D2 E8 ?? ?? ?? ?? 8B D8 8D 45 C8 50 B9 02 00 00 00 BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C8 33 D2 E8 ?? ?? ?? ?? 8B F0 8D 45 C4 50 B9 02 00 00 00 BA 07 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C4 33 D2 E8 ?? ?? ?? ?? 8B F8 8D 45 C0 50 B9 02 00 00 00 BA 09 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C0 33 D2 E8 ?? ?? ?? ?? 89 45 E4 8D 45 BC 50 B9 02 00 00 00 BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 BC 33 D2 E8 ?? ?? ?? ?? 89 45 E0 8D 45 B8 50 B9 02 00 00 00 BA 0D 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B8 33 D2 E8 ?? ?? ?? ?? 89 45 DC 6A 01 8D 45 B4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? DD 5D E8 9B 0F B7 45 D8 50 0F B7 4D DC 0F B7 55 E0 0F B7 45 E4 E8 ?? ?? ?? ?? DC 45 E8 DD 5D E8 9B 83 7D F8 00 75 0E E8 ?? ?? ?? ?? DC 6D E8 DD 5D E8 9B EB 5C 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 6A 00 8B C3 99 33 C2 2B C2 8B C8 8B C1 BE 3C 00 00 00 99 F7 FE 52 8B C1 B9 3C 00 00 00 99 F7 F9 33 C9 5A E8 ?? ?? ?? ?? DD 5D D0 9B 85 DB 7E 0D D9 05 ?? ?? ?? ?? DC 65 D0 DD 5D D0 9B DD 45 E8 DC 65 D0 DD 5D E8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE DD 45 E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_33600_0 {
	meta:
		name = "IsYYYYMMDD"
		size = 272
		refs = "0004 IsYYYYMMDD 0010 CharIsInSet 0044 IsNumeric"
	strings:
		$1 = { 53 8B D8 B9 ?? ?? ?? ?? BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 B9 ?? ?? ?? ?? BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 74 45 B9 01 00 00 00 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2A B9 06 00 00 00 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 B9 09 00 00 00 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 75 79 B9 ?? ?? ?? ?? BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 B9 ?? ?? ?? ?? BA 06 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 74 45 B9 01 00 00 00 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2A B9 04 00 00 00 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 B9 07 00 00 00 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_33601_0 {
	meta:
		name = "IsDDMonthYY"
		size = 260
		refs = "0016 IsDDMonthYY 002a @UStrLAsg 0049 Fetch 007d IndyStrToInt 00aa StrToMonth 00c8 IsNumeric 00e0 @UStrClr 00ed @UStrArrayClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 33 DB 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 F0 B1 01 8B 55 F4 E8 ?? ?? ?? ?? 83 7D F0 00 74 03 43 EB E4 83 FB 02 75 74 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 8B D6 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 4A 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 20 7D 3B 6A 01 8D 45 F8 50 8D 45 FC B1 01 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 76 1D 6A 01 8D 45 F8 50 8D 45 FC B1 01 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 EF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33602_0 {
	meta:
		name = "IsMMDDYY"
		size = 259
		refs = "0016 IsMMDDYY 002a @UStrLAsg 0049 Fetch 007d IndyStrToInt 00c7 IsNumeric 00df @UStrClr 00ec @UStrArrayClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 33 DB 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 F0 B1 01 8B 55 F4 E8 ?? ?? ?? ?? 83 7D F0 00 74 03 43 EB E4 83 FB 02 75 73 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 8B D6 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 49 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 0D 7D 3A 6A 01 8D 45 F8 50 8D 45 FC B1 01 8B D6 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 1A 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 21 7D 0B 8B 45 FC E8 ?? ?? ?? ?? 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 EF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33603_0 {
	meta:
		name = "Y2Year"
		size = 184
		refs = "0014 TFormatSettings 0019 @InitializeRecord 0021 Y2Year 003c TFormatSettings.Create 0051 IndyCurrentYear 00a5 @FinalizeRecord 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 3C FF FF FF 53 8B D8 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 FB E8 03 00 00 7D 58 8D 95 3C FF FF FF 33 C0 E8 ?? ?? ?? ?? 0F B7 45 FC 66 85 C0 76 30 0F B7 C0 3B D8 7E 15 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 48 6B C0 64 03 D8 EB 26 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 6B C0 64 03 D8 EB 12 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 6B C0 64 03 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33604_0 {
	meta:
		name = "DateYYMMDD"
		size = 483
		refs = "0036 TFormatSettings 003b @InitializeRecord 0043 DateYYMMDD 0053 @UStrLAsg 0065 @UStrClr 0089 IsNumeric 009d @UStrFromWChar 00c4 Fetch 00d1 IndyStrToInt 0132 TFormatSettings.Create 0147 IndyCurrentYear 0188 EncodeDate 01ac @UStrArrayClr 01bd @FinalizeRecord 01d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 14 FF FF FF 53 56 57 33 D2 89 95 14 FF FF FF 89 95 18 FF FF FF 89 95 1C FF FF FF 89 55 FC 89 55 F8 89 55 F4 89 55 F0 8B F8 8D 85 2C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 2C BB 01 00 00 00 8B 45 F4 0F B7 44 58 FE E8 ?? ?? ?? ?? 84 C0 75 12 8D 45 F0 8B 55 F4 0F B7 54 5A FE E8 ?? ?? ?? ?? EB 04 43 4E 75 D9 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 6A 01 8D 85 1C FF FF FF 50 8D 45 FC B1 01 8B 55 F8 E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 33 D2 E8 ?? ?? ?? ?? 8B D8 6A 01 8D 85 18 FF FF FF 50 8D 45 FC B1 01 8B 55 F8 E8 ?? ?? ?? ?? 8B 85 18 FF FF FF 33 D2 E8 ?? ?? ?? ?? 8B F0 6A 01 8D 85 14 FF FF FF 50 8D 45 FC B1 01 8B 55 F8 E8 ?? ?? ?? ?? 8B 85 14 FF FF FF 33 D2 E8 ?? ?? ?? ?? 8B F8 81 FB E8 03 00 00 7D 58 8D 95 2C FF FF FF 33 C0 E8 ?? ?? ?? ?? 0F B7 45 EC 66 85 C0 76 30 0F B7 C0 3B D8 7E 15 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 48 6B C0 64 03 D8 EB 26 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 6B C0 64 03 D8 EB 12 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 6B C0 64 03 D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? DD 9D 20 FF FF FF 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 14 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 2C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA DD 85 20 FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33605_0 {
	meta:
		name = "DateYYStrMonthDD"
		size = 399
		refs = "0035 TFormatSettings 003a @InitializeRecord 0042 DateYYStrMonthDD 0052 @UStrLAsg 0067 Fetch 0074 IndyStrToInt 009c Trim 00a7 StrToMonth 00e3 TFormatSettings.Create 00f8 IndyCurrentYear 0139 EncodeDate 015d @UStrArrayClr 016e @FinalizeRecord 0176 @UStrClr 017c @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 20 FF FF FF 53 56 57 33 C9 89 8D 20 FF FF FF 89 8D 28 FF FF FF 89 8D 24 FF FF FF 89 8D 2C FF FF FF 89 4D FC 8B F2 8B D8 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 6A 01 8D 85 2C FF FF FF 50 8D 45 FC B1 01 8B D6 E8 ?? ?? ?? ?? 8B 85 2C FF FF FF 33 D2 E8 ?? ?? ?? ?? 8B D8 6A 01 8D 85 24 FF FF FF 50 8D 45 FC B1 01 8B D6 E8 ?? ?? ?? ?? 8B 85 24 FF FF FF 8D 95 28 FF FF FF E8 ?? ?? ?? ?? 8B 85 28 FF FF FF E8 ?? ?? ?? ?? 0F B6 F8 6A 01 8D 85 20 FF FF FF 50 8D 45 FC B1 01 8B D6 E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 33 D2 E8 ?? ?? ?? ?? 8B F0 81 FB E8 03 00 00 7D 58 8D 95 38 FF FF FF 33 C0 E8 ?? ?? ?? ?? 0F B7 45 F8 66 85 C0 76 30 0F B7 C0 3B D8 7E 15 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 48 6B C0 64 03 D8 EB 26 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 6B C0 64 03 D8 EB 12 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 6B C0 64 03 D8 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? DD 9D 30 FF FF FF 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 20 FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF DD 85 30 FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33606_0 {
	meta:
		name = "DateStrMonthDDYY"
		size = 450
		refs = "0037 TFormatSettings 003c @InitializeRecord 0044 DateStrMonthDDYY 0054 @UStrLAsg 0069 Fetch 0077 Trim 0081 IndyStrToInt 008f StrToMonth 00f6 AddMissingYear 010d TFormatSettings.Create 0122 IndyCurrentYear 0168 EncodeDate 018c @UStrArrayClr 019d @FinalizeRecord 01b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 18 FF FF FF 53 56 33 DB 89 9D 18 FF FF FF 89 9D 1C FF FF FF 89 9D 20 FF FF FF 89 5D FC 89 5D F8 88 8D 33 FF FF FF 8B F2 8B D8 8D 85 34 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 6A 01 8D 85 20 FF FF FF 50 8D 45 FC B1 01 8B D6 E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 8D 55 F8 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0B 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 D8 6A 01 8D 85 1C FF FF FF 50 8D 45 FC B1 01 8B D6 E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 33 D2 E8 ?? ?? ?? ?? 89 85 24 FF FF FF 6A 01 8D 85 18 FF FF FF 50 8D 45 FC B1 01 8B D6 E8 ?? ?? ?? ?? 8B 85 18 FF FF FF 33 D2 E8 ?? ?? ?? ?? 80 BD 33 FF FF FF 00 74 11 85 C0 75 0D 8B D3 8B 85 24 FF FF FF E8 ?? ?? ?? ?? 8B F0 81 FE E8 03 00 00 7D 58 8D 95 34 FF FF FF 33 C0 E8 ?? ?? ?? ?? 0F B7 45 F4 66 85 C0 76 30 0F B7 C0 3B F0 7E 15 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 48 6B C0 64 03 F0 EB 26 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 6B C0 64 03 F0 EB 12 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 6B C0 64 03 F0 8B C6 0F B7 8D 24 FF FF FF 8B D3 E8 ?? ?? ?? ?? DD 9D 28 FF FF FF 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 18 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 34 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA DD 85 28 FF FF FF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33607_0 {
	meta:
		name = "DateDDStrMonthYY"
		size = 406
		refs = "0034 TFormatSettings 0039 @InitializeRecord 0041 DateDDStrMonthYY 0051 @UStrLAsg 0066 Fetch 0073 IndyStrToInt 009f Trim 00aa StrToMonth 00e6 TFormatSettings.Create 00fb IndyCurrentYear 0141 EncodeDate 0165 @UStrArrayClr 0176 @FinalizeRecord 017e @UStrClr 0184 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 1C FF FF FF 53 56 33 C9 89 8D 1C FF FF FF 89 8D 24 FF FF FF 89 8D 20 FF FF FF 89 8D 28 FF FF FF 89 4D FC 8B DA 8B F0 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 6A 01 8D 85 28 FF FF FF 50 8D 45 FC B1 01 8B D3 E8 ?? ?? ?? ?? 8B 85 28 FF FF FF 33 D2 E8 ?? ?? ?? ?? 89 85 2C FF FF FF 6A 01 8D 85 20 FF FF FF 50 8D 45 FC B1 01 8B D3 E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 8D 95 24 FF FF FF E8 ?? ?? ?? ?? 8B 85 24 FF FF FF E8 ?? ?? ?? ?? 0F B6 F0 6A 01 8D 85 1C FF FF FF 50 8D 45 FC B1 01 8B D3 E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 33 D2 E8 ?? ?? ?? ?? 8B D8 81 FB E8 03 00 00 7D 58 8D 95 38 FF FF FF 33 C0 E8 ?? ?? ?? ?? 0F B7 45 F8 66 85 C0 76 30 0F B7 C0 3B D8 7E 15 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 48 6B C0 64 03 D8 EB 26 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 6B C0 64 03 D8 EB 12 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 6B C0 64 03 D8 8B C3 0F B7 8D 2C FF FF FF 8B D6 E8 ?? ?? ?? ?? DD 9D 30 FF FF FF 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 1C FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF DD 85 30 FF FF FF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33608_0 {
	meta:
		name = "DateMMDDYY"
		size = 483
		refs = "0036 TFormatSettings 003b @InitializeRecord 0043 DateMMDDYY 0053 @UStrLAsg 0065 @UStrClr 0089 IsNumeric 009d @UStrFromWChar 00c4 Fetch 00d1 IndyStrToInt 0132 TFormatSettings.Create 0147 IndyCurrentYear 0188 EncodeDate 01ac @UStrArrayClr 01bd @FinalizeRecord 01d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 14 FF FF FF 53 56 57 33 D2 89 95 14 FF FF FF 89 95 18 FF FF FF 89 95 1C FF FF FF 89 55 FC 89 55 F8 89 55 F4 89 55 F0 8B F8 8D 85 2C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 2C BB 01 00 00 00 8B 45 F4 0F B7 44 58 FE E8 ?? ?? ?? ?? 84 C0 75 12 8D 45 F0 8B 55 F4 0F B7 54 5A FE E8 ?? ?? ?? ?? EB 04 43 4E 75 D9 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 6A 01 8D 85 1C FF FF FF 50 8D 45 FC B1 01 8B 55 F8 E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 33 D2 E8 ?? ?? ?? ?? 8B D8 6A 01 8D 85 18 FF FF FF 50 8D 45 FC B1 01 8B 55 F8 E8 ?? ?? ?? ?? 8B 85 18 FF FF FF 33 D2 E8 ?? ?? ?? ?? 8B F0 6A 01 8D 85 14 FF FF FF 50 8D 45 FC B1 01 8B 55 F8 E8 ?? ?? ?? ?? 8B 85 14 FF FF FF 33 D2 E8 ?? ?? ?? ?? 8B F8 81 FF E8 03 00 00 7D 58 8D 95 2C FF FF FF 33 C0 E8 ?? ?? ?? ?? 0F B7 45 EC 66 85 C0 76 30 0F B7 C0 3B F8 7E 15 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 48 6B C0 64 03 F8 EB 26 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 6B C0 64 03 F8 EB 12 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 6B C0 64 03 F8 8B C7 8B CE 8B D3 E8 ?? ?? ?? ?? DD 9D 20 FF FF FF 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 14 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 2C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA DD 85 20 FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33609_0 {
	meta:
		name = "TimeHHMMSS"
		size = 728
		refs = "0019 TimeHHMMSS 0032 UpperCase 0038 IndyPos 0061 Fetch 006c @UStrLAsg 0125 Trim 0135 Now 014e DecodeTime 0161 @UStrClr 0185 IsNumeric 0199 @UStrFromWChar 01c7 IndyStrToInt 024e EncodeTime 026c @UStrArrayClr 027f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 D7 00 C6 45 D6 00 8D 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 85 C0 7E 24 C6 45 D7 01 6A 01 8D 45 D0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8D 45 FC E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 85 C0 7E 24 C6 45 D6 01 6A 01 8D 45 CC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 85 C0 7E 24 C6 45 D7 01 6A 01 8D 45 C8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8D 45 FC E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 85 C0 7E 24 C6 45 D6 01 6A 01 8D 45 C4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8D 45 FC E8 ?? ?? ?? ?? 8D 55 C0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C0 8D 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 D8 50 8D 4D DA 8D 55 DC 8D 45 DE E8 ?? ?? ?? ?? 8D 45 F4 8B 55 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 2C BB 01 00 00 00 8B 45 F4 0F B7 44 58 FE E8 ?? ?? ?? ?? 84 C0 75 12 8D 45 F0 8B 55 F4 0F B7 54 5A FE E8 ?? ?? ?? ?? EB 04 43 4E 75 D9 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 6A 01 8D 45 BC 50 8D 45 FC B1 01 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 BC 33 D2 E8 ?? ?? ?? ?? 8B D8 6A 01 8D 45 B8 50 8D 45 FC B1 01 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 B8 33 D2 E8 ?? ?? ?? ?? 8B F0 80 7D D7 00 74 0A 66 83 FB 0C 73 04 66 83 C3 0C 80 7D D6 00 74 08 66 83 FB 0C 75 02 33 DB 6A 01 8D 45 B4 50 8D 45 FC B1 01 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 B4 33 D2 E8 ?? ?? ?? ?? 8B F8 6A 01 8D 45 B0 50 8D 45 FC B1 01 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 B0 33 D2 E8 ?? ?? ?? ?? 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? DD 5D E0 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE DD 45 E0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 50 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 41 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 50 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 }
	condition:
		$1
}

rule function_33610_0 {
	meta:
		name = "IsIn6MonthWindow"
		size = 147
		refs = "0007 Now 001c DecodeDate"
	strings:
		$1 = { 55 8B EC 83 C4 F4 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 4D FC 8D 55 FE 8D 45 FA E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 4D F6 8D 55 F8 8D 45 F4 E8 ?? ?? ?? ?? 0F B7 45 FE 83 E8 06 48 7D 13 0F B7 55 FE 66 83 EA 06 66 83 C2 0C 0F B7 45 FA 48 EB 0C 0F B7 55 FE 66 83 EA 06 0F B7 45 FA 66 3B 45 F4 76 04 33 C0 EB 26 66 3B 45 F4 75 1E 66 3B 55 F8 0F 96 C0 84 C0 74 15 66 3B 55 F8 75 0F 0F B7 45 F6 66 3B 45 FC 0F 93 C0 EB 02 B0 01 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_33611_0 {
	meta:
		name = "AddMissingYear"
		size = 80
		refs = "000a Now 0022 DecodeDate"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 4C 24 08 8D 54 24 0A 8D 44 24 0C E8 ?? ?? ?? ?? 0F B7 44 24 04 0F B7 54 24 02 3B DA 77 11 0F B7 54 24 02 3B DA 75 0E 0F B7 14 24 3B F2 76 06 0F B7 44 24 04 48 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_33612_0 {
	meta:
		name = "IsHHMMSS"
		size = 324
		refs = "0016 IsHHMMSS 002a @UStrLAsg 0053 Fetch 0081 IndyStrToInt 0120 @UStrClr 012d @UStrArrayClr 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 33 DB 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 F0 B1 01 8B 55 F4 E8 ?? ?? ?? ?? 83 7D F0 00 74 03 43 EB E4 85 DB 0F 8E A7 00 00 00 6A 01 8D 45 F8 50 8D 45 FC B1 01 8B D7 E8 ?? ?? ?? ?? 83 CA FF 8B 45 F8 E8 ?? ?? ?? ?? 40 0F 8E 83 00 00 00 83 CA FF 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 18 7D 73 6A 01 8D 45 F8 50 8D 45 FC B1 01 8B D7 E8 ?? ?? ?? ?? 83 CA FF 8B 45 F8 E8 ?? ?? ?? ?? 40 7E 53 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 3C 7D 44 6A 01 8D 45 F8 50 8D 45 FC B1 01 8B D7 E8 ?? ?? ?? ?? 83 7D F8 00 75 06 C6 45 EF 01 EB 26 83 CA FF 8B 45 F8 E8 ?? ?? ?? ?? 40 7E 0F 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 83 F8 3C 7C 04 33 C0 EB 02 B0 01 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 EF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33613_0 {
	meta:
		name = "MVSDate"
		size = 748
		refs = "004b TFormatSettings 0050 @InitializeRecord 0058 MVSDate 0063 Now 0081 DecodeDate 008b @UStrLAsg 0091 IndyPos 00be Fetch 00d0 IndyStrToInt 0230 TFormatSettings.Create 0245 IndyCurrentYear 0286 EncodeDate 02aa @UStrArrayClr 02bb @FinalizeRecord 02c3 @UStrClr 02c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 08 FF FF FF 53 56 57 33 D2 89 95 08 FF FF FF 89 95 0C FF FF FF 89 95 10 FF FF FF 89 95 14 FF FF FF 89 95 18 FF FF FF 89 95 1C FF FF FF 89 95 20 FF FF FF 89 95 24 FF FF FF 89 55 FC 8B D8 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 8D 2A FF FF FF 8D 95 2C FF FF FF 8D 85 2E FF FF FF E8 ?? ?? ?? ?? 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 83 F8 03 0F 85 F1 00 00 00 6A 01 8D 85 24 FF FF FF 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 24 FF FF FF 0F B7 95 2E FF FF FF E8 ?? ?? ?? ?? 8B D8 83 FB 0D 7D 63 85 DB 7E 5F 8B F3 6A 01 8D 85 20 FF FF FF 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 0F B7 95 2A FF FF FF E8 ?? ?? ?? ?? 8B F8 6A 01 8D 85 1C FF FF FF 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 0F B7 95 2E FF FF FF E8 ?? ?? ?? ?? 8B D8 E9 E1 00 00 00 6A 01 8D 85 18 FF FF FF 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 18 FF FF FF 0F B7 95 2C FF FF FF E8 ?? ?? ?? ?? 8B F0 6A 01 8D 85 14 FF FF FF 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 14 FF FF FF 0F B7 95 2A FF FF FF E8 ?? ?? ?? ?? 8B F8 E9 84 00 00 00 6A 01 8D 85 10 FF FF FF 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 0F B7 95 2E FF FF FF E8 ?? ?? ?? ?? 8B D8 6A 01 8D 85 0C FF FF FF 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 0C FF FF FF 0F B7 95 2C FF FF FF E8 ?? ?? ?? ?? 8B F0 6A 01 8D 85 08 FF FF FF 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 08 FF FF FF 0F B7 95 2A FF FF FF E8 ?? ?? ?? ?? 8B F8 81 FB E8 03 00 00 7D 58 8D 95 38 FF FF FF 33 C0 E8 ?? ?? ?? ?? 0F B7 45 F8 66 85 C0 76 30 0F B7 C0 3B D8 7E 15 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 48 6B C0 64 03 D8 EB 26 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 6B C0 64 03 D8 EB 12 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 6B C0 64 03 D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? DD 9D 30 FF FF FF 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 08 FF FF FF BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF DD 85 30 FF FF FF 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_33614_0 {
	meta:
		name = "SwapNos"
		size = 11
	strings:
		$1 = { 53 8B 0A 8B 18 89 1A 89 08 5B C3 }
	condition:
		$1
}

rule function_33615_0 {
	meta:
		name = "AS400Date"
		size = 598
		refs = "0036 TFormatSettings 003b @InitializeRecord 0043 AS400Date 0061 @UStrLAsg 0069 @UStrClr 008d IsNumeric 00a1 @UStrFromWChar 00dc Fetch 00e9 IndyStrToInt 015b SwapNos 0190 TFormatSettings.Create 01a5 IndyCurrentYear 01fb EncodeDate 021f @UStrArrayClr 0230 @FinalizeRecord 0243 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 08 FF FF FF 53 56 57 33 D2 89 95 08 FF FF FF 89 95 0C FF FF FF 89 95 10 FF FF FF 89 55 FC 89 55 F8 89 55 F4 89 55 F0 8B F8 8D 85 2C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 85 20 FF FF FF 89 85 24 FF FF FF 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 2C BB 01 00 00 00 8B 45 F4 0F B7 44 58 FE E8 ?? ?? ?? ?? 84 C0 75 12 8D 45 F0 8B 55 F4 0F B7 54 5A FE E8 ?? ?? ?? ?? EB 04 43 4E 75 D9 8D 45 FC 8B 55 F0 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 46 01 00 00 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 6A 01 8D 85 10 FF FF FF 50 8D 45 F8 B1 01 8B 55 FC E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 33 D2 E8 ?? ?? ?? ?? 89 85 1C FF FF FF 6A 01 8D 85 0C FF FF FF 50 8D 45 F8 B1 01 8B 55 FC E8 ?? ?? ?? ?? 8B 85 0C FF FF FF 33 D2 E8 ?? ?? ?? ?? 89 85 18 FF FF FF 6A 01 8D 85 08 FF FF FF 50 8D 45 F8 B1 01 8B 55 FC E8 ?? ?? ?? ?? 8B 85 08 FF FF FF 33 D2 E8 ?? ?? ?? ?? 89 85 14 FF FF FF 83 BD 18 FF FF FF 0C 7E 11 8D 95 18 FF FF FF 8D 85 1C FF FF FF E8 ?? ?? ?? ?? 83 BD 1C FF FF FF 1F 7E 11 8D 95 1C FF FF FF 8D 85 14 FF FF FF E8 ?? ?? ?? ?? 8B 9D 14 FF FF FF 81 FB E8 03 00 00 7D 58 8D 95 2C FF FF FF 33 C0 E8 ?? ?? ?? ?? 0F B7 45 EC 66 85 C0 76 30 0F B7 C0 3B D8 7E 15 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 48 6B C0 64 03 D8 EB 26 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 6B C0 64 03 D8 EB 12 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 6B C0 64 03 D8 89 9D 14 FF FF FF 0F B7 8D 1C FF FF FF 0F B7 95 18 FF FF FF 0F B7 85 14 FF FF FF E8 ?? ?? ?? ?? DD 9D 20 FF FF FF 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 08 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 2C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA DD 85 20 FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33616_0 {
	meta:
		name = "IsValidUnixPerms"
		size = 872
		refs = "0015 @UStrAddRef 001d IsValidUnixPerms 0036 UpperCase 0059 CharIsInSet 027b @UStrArrayClr 0281 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 0F 85 23 01 00 00 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 83 F8 09 7E 14 B9 ?? ?? ?? ?? BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 03 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 05 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 06 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 07 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 08 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 09 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 0A 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 02 33 C0 8B D8 E9 13 01 00 00 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 83 F8 09 7E 14 B9 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 06 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 07 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 08 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 09 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 0A 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 44 00 2D 00 42 00 43 00 50 00 53 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 53 00 52 00 57 00 58 00 2D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 53 00 52 00 57 00 58 00 2D 00 41 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 53 00 52 00 57 00 58 00 2D 00 48 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 53 00 52 00 57 00 58 00 2D 00 59 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 64 00 2D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 74 00 73 00 72 00 77 00 78 00 2D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 74 00 73 00 72 00 77 00 78 00 2D 00 20 00 00 00 }
	condition:
		$1
}

rule function_33618_0 {
	meta:
		name = "IsUnixHiddenFile"
		size = 588
		refs = "0019 IsUnixHiddenFile 002a @UStrLAsg 0042 CharIsInSet 0058 IdDelete 00cf @UStrCopy 01a2 @UStrEqual 01ca TextStartsWith 01ea @UStrArrayClr 01f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 D4 E8 ?? ?? ?? ?? 83 7D F8 00 74 28 B9 ?? ?? ?? ?? BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 12 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 7C 1C B9 ?? ?? ?? ?? 8B D3 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 04 8B C3 EB 07 4B 85 DB 75 E4 33 C0 8B D8 85 DB 75 0D 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? EB 1D 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 8D 45 F0 50 8D 53 01 8B CE 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 E4 8B 55 D4 E8 ?? ?? ?? ?? 83 7D E4 00 74 28 B9 ?? ?? ?? ?? BA 01 00 00 00 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 12 8D 45 E4 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 8B 55 E4 E8 ?? ?? ?? ?? 8D 45 D8 8B 55 E0 E8 ?? ?? ?? ?? 8B 45 D8 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 7C 1C B9 ?? ?? ?? ?? 8B D3 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 74 04 8B C3 EB 07 4B 85 DB 75 E4 33 C0 8B D8 85 DB 75 0D 8D 45 DC 8B 55 E0 E8 ?? ?? ?? ?? EB 1D 8B 75 E0 85 F6 74 05 83 EE 04 8B 36 8D 45 DC 50 8D 53 01 8B CE 8B 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 DC E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 13 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 84 C0 75 0F BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_33619_0 {
	meta:
		name = "IsUnixExec"
		size = 172
		refs = "004c IsUnixExec 0058 CharIsInSet"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7E 13 8B C6 85 C0 74 05 83 E8 04 8B 00 83 F8 02 0F 9F C0 EB 02 33 C0 84 C0 74 13 8B C7 85 C0 74 05 83 E8 04 8B 00 83 F8 02 0F 9F C0 EB 02 33 C0 84 C0 74 47 B9 ?? ?? ?? ?? BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2E B9 ?? ?? ?? ?? BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 19 B9 ?? ?? ?? ?? BA 03 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 06 B0 01 EB 02 33 C0 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 03 00 00 00 78 00 53 00 73 00 00 00 }
	condition:
		$1
}

rule function_33620_0 {
	meta:
		name = "PermStringToModeBits"
		size = 345
	strings:
		$1 = { 53 33 C9 8B D0 8B DA 85 DB 74 05 83 EB 04 8B 1B 85 DB 7E 0C 66 83 38 72 75 06 81 C9 00 01 00 00 8B DA 85 DB 74 05 83 EB 04 8B 1B 4B 7E 0D 66 83 78 02 77 75 06 81 C9 80 00 00 00 8B DA 85 DB 74 05 83 EB 04 8B 1B 83 FB 02 7E 2C 0F B7 58 04 66 83 EB 53 74 1C 66 83 EB 20 74 0B 66 83 EB 05 75 16 83 C9 40 EB 11 83 C9 40 81 C9 00 08 00 00 EB 06 81 C9 00 08 00 00 8B DA 85 DB 74 05 83 EB 04 8B 1B 83 FB 03 7E 0A 66 83 78 06 72 75 03 83 C9 20 8B DA 85 DB 74 05 83 EB 04 8B 1B 83 FB 04 7E 0A 66 83 78 08 77 75 03 83 C9 10 8B DA 85 DB 74 05 83 EB 04 8B 1B 83 FB 05 7E 2C 0F B7 58 0A 66 83 EB 53 74 1C 66 83 EB 20 74 0B 66 83 EB 05 75 16 83 C9 08 EB 11 83 C9 08 81 C9 00 04 00 00 EB 06 81 C9 00 04 00 00 8B DA 85 DB 74 05 83 EB 04 8B 1B 83 FB 06 7E 0A 66 83 78 0C 72 75 03 83 C9 04 8B DA 85 DB 74 05 83 EB 04 8B 1B 83 FB 07 7E 0A 66 83 78 0E 77 75 03 83 C9 02 85 D2 74 05 83 EA 04 8B 12 83 FA 08 7E 2C 0F B7 40 10 66 83 E8 54 74 1C 66 83 E8 20 74 0B 66 83 E8 04 75 16 83 C9 01 EB 11 83 C9 01 81 C9 00 02 00 00 EB 06 81 C9 00 02 00 00 8B C1 5B C3 }
	condition:
		$1
}

rule function_33621_0 {
	meta:
		name = "GetPerm1Bit"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 4D 08 8B 49 FC 23 C8 3B C1 75 04 8B C2 5D C3 66 B8 2D 00 5D C3 }
	condition:
		$1
}

rule function_33622_0 {
	meta:
		name = "GetPerm2Bits"
		size = 45
		refs = "000d GetPerm1Bit"
	strings:
		$1 = { 55 8B EC 53 8B DA 8B 55 0C 52 8B D1 E8 ?? ?? ?? ?? 59 66 83 F8 2D 75 10 8B 45 0C 50 0F B7 55 08 8B C3 E8 ?? ?? ?? ?? 59 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_33623_0 {
	meta:
		name = "ModeBitsToPermString"
		size = 309
		refs = "0013 @UStrSetLength 0022 GetPerm1Bit 002c @UniqueStringU 0062 GetPerm2Bits"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B C3 BA 09 00 00 00 E8 ?? ?? ?? ?? 55 66 BA 72 00 B8 00 01 00 00 E8 ?? ?? ?? ?? 59 8B F0 8B C3 E8 ?? ?? ?? ?? 66 89 30 55 66 BA 77 00 B8 80 00 00 00 E8 ?? ?? ?? ?? 59 8B F0 8B C3 E8 ?? ?? ?? ?? 66 89 70 02 55 6A 78 66 B9 73 00 BA 40 00 00 00 B8 00 08 00 00 E8 ?? ?? ?? ?? 59 8B F0 8B C3 E8 ?? ?? ?? ?? 66 89 70 04 55 66 BA 72 00 B8 20 00 00 00 E8 ?? ?? ?? ?? 59 8B F0 8B C3 E8 ?? ?? ?? ?? 66 89 70 06 55 66 BA 77 00 B8 10 00 00 00 E8 ?? ?? ?? ?? 59 8B F0 8B C3 E8 ?? ?? ?? ?? 66 89 70 08 55 6A 78 66 B9 73 00 BA 08 00 00 00 B8 00 04 00 00 E8 ?? ?? ?? ?? 59 8B F0 8B C3 E8 ?? ?? ?? ?? 66 89 70 0A 55 66 BA 72 00 B8 04 00 00 00 E8 ?? ?? ?? ?? 59 8B F0 8B C3 E8 ?? ?? ?? ?? 66 89 70 0C 55 66 BA 77 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 59 8B F0 8B C3 E8 ?? ?? ?? ?? 66 89 70 0E 55 6A 78 66 B9 74 00 BA 01 00 00 00 B8 00 02 00 00 E8 ?? ?? ?? ?? 59 8B F0 8B C3 E8 ?? ?? ?? ?? 66 89 70 10 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33624_0 {
	meta:
		name = "ModeBitsToChmodNo"
		size = 209
	strings:
		$1 = { 33 D2 B9 00 08 00 00 23 C8 81 F9 00 08 00 00 75 06 81 C2 A0 0F 00 00 B9 00 04 00 00 23 C8 81 F9 00 04 00 00 75 06 81 C2 D0 07 00 00 B9 00 02 00 00 23 C8 81 F9 00 02 00 00 75 06 81 C2 E8 03 00 00 B9 00 01 00 00 23 C8 81 F9 00 01 00 00 75 06 81 C2 90 01 00 00 B9 80 00 00 00 23 C8 81 F9 80 00 00 00 75 06 81 C2 C8 00 00 00 B9 40 00 00 00 23 C8 83 F9 40 75 03 83 C2 64 B9 20 00 00 00 23 C8 83 F9 20 75 03 83 C2 28 B9 10 00 00 00 23 C8 83 F9 10 75 03 83 C2 14 B9 08 00 00 00 23 C8 83 F9 08 75 03 83 C2 0A B9 04 00 00 00 23 C8 83 F9 04 75 03 83 C2 04 B9 02 00 00 00 23 C8 83 F9 02 75 03 83 C2 02 83 E0 01 83 F8 01 75 01 42 8B C2 C3 }
	condition:
		$1
}

rule function_33625_0 {
	meta:
		name = "ChmodNoToModeBits"
		size = 293
	strings:
		$1 = { 53 56 57 55 51 8B C8 33 DB 8B C1 BE E8 03 00 00 33 D2 F7 F6 8B F8 83 E7 07 8B F1 B9 E8 03 00 00 8B C6 33 D2 F7 F1 89 D6 8B C6 B9 64 00 00 00 33 D2 F7 F1 8B E8 83 E5 07 B9 64 00 00 00 8B C6 33 D2 F7 F1 89 D6 8B C6 B9 0A 00 00 00 33 D2 F7 F1 89 04 24 83 24 24 07 B9 0A 00 00 00 8B C6 33 D2 F7 F1 89 D6 B8 07 00 00 00 23 C6 BA 04 00 00 00 23 D7 83 FA 04 75 06 81 C3 00 08 00 00 BA 02 00 00 00 23 D7 83 FA 02 75 06 81 C3 00 04 00 00 83 E7 01 83 FF 01 75 06 81 C3 00 02 00 00 BA 04 00 00 00 23 D5 83 FA 04 75 06 81 C3 00 01 00 00 BA 02 00 00 00 23 D5 83 FA 02 75 06 81 C3 80 00 00 00 83 E5 01 83 FD 01 75 03 83 C3 40 8B 14 24 83 E2 04 83 FA 04 75 03 83 C3 20 8B 14 24 83 E2 02 83 FA 02 75 03 83 C3 10 8B 14 24 83 E2 01 83 FA 01 75 03 83 C3 08 BA 04 00 00 00 23 D0 83 FA 04 75 03 83 C3 04 BA 02 00 00 00 23 D0 83 FA 02 75 03 83 C3 02 83 E0 01 83 F8 01 75 01 43 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33626_0 {
	meta:
		name = "ChmodNoToPerms"
		size = 371
		refs = "0017 ChmodNoToPerms 0140 ModeBitsToPermString 014b @UStrAsg 0160 @UStrClr 0166 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 FC 8B C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B F1 8B C6 BF E8 03 00 00 33 D2 F7 F7 8B F8 83 E7 07 B9 E8 03 00 00 8B C6 33 D2 F7 F1 89 D6 8B C6 B9 64 00 00 00 33 D2 F7 F1 89 45 F8 83 65 F8 07 B9 64 00 00 00 8B C6 33 D2 F7 F1 89 D6 8B C6 B9 0A 00 00 00 33 D2 F7 F1 89 45 F4 83 65 F4 07 B9 0A 00 00 00 8B C6 33 D2 F7 F1 89 D6 B8 07 00 00 00 23 C6 BA 04 00 00 00 23 D7 83 FA 04 75 06 81 C3 00 08 00 00 BA 02 00 00 00 23 D7 83 FA 02 75 06 81 C3 00 04 00 00 83 E7 01 83 FF 01 75 06 81 C3 00 02 00 00 8B 55 F8 83 E2 04 83 FA 04 75 06 81 C3 00 01 00 00 8B 55 F8 83 E2 02 83 FA 02 75 06 81 C3 80 00 00 00 8B 55 F8 83 E2 01 83 FA 01 75 03 83 C3 40 8B 55 F4 83 E2 04 83 FA 04 75 03 83 C3 20 8B 55 F4 83 E2 02 83 FA 02 75 03 83 C3 10 8B 55 F4 83 E2 01 83 FA 01 75 03 83 C3 08 BA 04 00 00 00 23 D0 83 FA 04 75 03 83 C3 04 BA 02 00 00 00 23 D0 83 FA 02 75 03 83 C3 02 83 E0 01 83 F8 01 75 01 43 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33627_0 {
	meta:
		name = "ChmodNoToPerms"
		size = 431
		refs = "001a ChmodNoToPerms 0143 ModeBitsToPermString 0159 @UStrCopy 019a @UStrClr 01a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B F1 8B C6 BF E8 03 00 00 33 D2 F7 F7 8B F8 83 E7 07 B9 E8 03 00 00 8B C6 33 D2 F7 F1 89 D6 8B C6 B9 64 00 00 00 33 D2 F7 F1 89 45 F0 83 65 F0 07 B9 64 00 00 00 8B C6 33 D2 F7 F1 89 D6 8B C6 B9 0A 00 00 00 33 D2 F7 F1 89 45 EC 83 65 EC 07 B9 0A 00 00 00 8B C6 33 D2 F7 F1 89 D6 B8 07 00 00 00 23 C6 BA 04 00 00 00 23 D7 83 FA 04 75 06 81 C3 00 08 00 00 BA 02 00 00 00 23 D7 83 FA 02 75 06 81 C3 00 04 00 00 83 E7 01 83 FF 01 75 06 81 C3 00 02 00 00 8B 55 F0 83 E2 04 83 FA 04 75 06 81 C3 00 01 00 00 8B 55 F0 83 E2 02 83 FA 02 75 06 81 C3 80 00 00 00 8B 55 F0 83 E2 01 83 FA 01 75 03 83 C3 40 8B 55 EC 83 E2 04 83 FA 04 75 03 83 C3 20 8B 55 EC 83 E2 02 83 FA 02 75 03 83 C3 10 8B 55 EC 83 E2 01 83 FA 01 75 03 83 C3 08 BA 04 00 00 00 23 D0 83 FA 04 75 03 83 C3 04 BA 02 00 00 00 23 D0 83 FA 02 75 03 83 C3 02 83 E0 01 83 F8 01 75 01 43 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 B9 03 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 50 B9 03 00 00 00 BA 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 50 B9 03 00 00 00 BA 07 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_33628_0 {
	meta:
		name = "PermsToChmodNo"
		size = 989
		refs = "0021 PermsToChmodNo 003b @UStrCatN 03c8 @UStrArrayClr 03ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 56 57 FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 21 56 57 FF 75 FC 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 66 83 38 72 75 06 81 CB 00 01 00 00 56 57 FF 75 FC 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 48 7E 22 56 57 FF 75 FC 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 66 83 78 02 77 75 06 81 CB 80 00 00 00 56 57 FF 75 FC 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7E 41 56 57 FF 75 FC 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 0F B7 40 04 66 83 E8 53 74 1C 66 83 E8 20 74 0B 66 83 E8 05 75 16 83 CB 40 EB 11 83 CB 40 81 CB 00 08 00 00 EB 06 81 CB 00 08 00 00 56 57 FF 75 FC 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 85 C0 74 05 83 E8 04 8B 00 83 F8 03 7E 1F 56 57 FF 75 FC 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC 66 83 78 06 72 75 03 83 CB 20 56 57 FF 75 FC 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 85 C0 74 05 83 E8 04 8B 00 83 F8 04 7E 1F 56 57 FF 75 FC 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 66 83 78 08 77 75 03 83 CB 10 56 57 FF 75 FC 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 85 C0 74 05 83 E8 04 8B 00 83 F8 05 7E 41 56 57 FF 75 FC 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 CC 0F B7 40 0A 66 83 E8 53 74 1C 66 83 E8 20 74 0B 66 83 E8 05 75 16 83 CB 08 EB 11 83 CB 08 81 CB 00 04 00 00 EB 06 81 CB 00 04 00 00 56 57 FF 75 FC 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 85 C0 74 05 83 E8 04 8B 00 83 F8 06 7E 1F 56 57 FF 75 FC 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 C4 66 83 78 0C 72 75 03 83 CB 04 56 57 FF 75 FC 8D 45 C0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 85 C0 74 05 83 E8 04 8B 00 83 F8 07 7E 1F 56 57 FF 75 FC 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 BC 66 83 78 0E 77 75 03 83 CB 02 56 57 FF 75 FC 8D 45 B8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 B8 85 C0 74 05 83 E8 04 8B 00 83 F8 08 7E 41 56 57 FF 75 FC 8D 45 B4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 B4 0F B7 40 10 66 83 E8 54 74 1C 66 83 E8 20 74 0B 66 83 E8 04 75 16 83 CB 01 EB 11 83 CB 01 81 CB 00 02 00 00 EB 06 81 CB 00 02 00 00 33 C0 BA 00 08 00 00 23 D3 81 FA 00 08 00 00 75 05 05 A0 0F 00 00 BA 00 04 00 00 23 D3 81 FA 00 04 00 00 75 05 05 D0 07 00 00 BA 00 02 00 00 23 D3 81 FA 00 02 00 00 75 05 05 E8 03 00 00 BA 00 01 00 00 23 D3 81 FA 00 01 00 00 75 05 05 90 01 00 00 BA 80 00 00 00 23 D3 81 FA 80 00 00 00 75 05 05 C8 00 00 00 BA 40 00 00 00 23 D3 83 FA 40 75 03 83 C0 64 BA 20 00 00 00 23 D3 83 FA 20 75 03 83 C0 28 BA 10 00 00 00 23 D3 83 FA 10 75 03 83 C0 14 BA 08 00 00 00 23 D3 83 FA 08 75 03 83 C0 0A BA 04 00 00 00 23 D3 83 FA 04 75 03 83 C0 04 BA 02 00 00 00 23 D3 83 FA 02 75 03 83 C0 02 83 E3 01 83 FB 01 75 01 40 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 12 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33629_0 {
	meta:
		name = "IsNovelPSPattern"
		size = 724
		refs = "0018 IsNovelPSPattern 0028 @UStrLAsg 0053 IdInsert 005a _Dn_TStringList 005f TStringList.Create 0080 SplitColumns 00a9 IsNumeric 010f Fetch 013e IndyStrToInt 01ec TextIsSame 0238 TObject.Free 023e @HandleFinally 025a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 48 7E 1C 8B 45 FC 66 83 78 02 5B 75 12 8D 55 FC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 52 14 83 F8 08 0F 8E 38 01 00 00 8D 4D DC BA 06 00 00 00 8B 45 E0 8B 18 FF 53 0C 8B 45 DC E8 ?? ?? ?? ?? 84 C0 0F 84 18 01 00 00 8D 4D D8 BA 07 00 00 00 8B 45 E0 8B 18 FF 53 0C 8B 7D D8 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 8D 45 F4 89 7D D4 8B 55 D4 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 33 F6 8D 45 E8 89 7D D4 8B 55 D4 E8 ?? ?? ?? ?? 6A 01 8D 45 D0 50 8D 45 E8 B1 01 8B 55 EC E8 ?? ?? ?? ?? 83 7D E8 00 74 03 46 EB E4 85 F6 0F 8E A5 00 00 00 6A 01 8D 45 F0 50 8D 45 F4 B1 01 8B 55 F8 E8 ?? ?? ?? ?? 83 CA FF 8B 45 F0 E8 ?? ?? ?? ?? 40 0F 8E 80 00 00 00 83 CA FF 8B 45 F0 E8 ?? ?? ?? ?? 83 F8 18 7D 70 6A 01 8D 45 F0 50 8D 45 F4 B1 01 8B 55 F8 E8 ?? ?? ?? ?? 83 CA FF 8B 45 F0 E8 ?? ?? ?? ?? 40 7E 4F 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 83 F8 3C 7D 40 6A 01 8D 45 F0 50 8D 45 F4 B1 01 8B 55 F8 E8 ?? ?? ?? ?? 83 7D F0 00 75 04 B3 01 EB 23 83 CA FF 8B 45 F0 E8 ?? ?? ?? ?? 40 7E 0F 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 83 F8 3C 7C 04 33 DB EB 02 B3 01 8B C3 EB 02 33 C0 84 C0 74 4A 8D 4D CC BA 08 00 00 00 8B 45 E0 8B 18 FF 53 0C 8B 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 25 8D 4D C8 BA 08 00 00 00 8B 45 E0 8B 18 FF 53 0C 8B 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 06 B0 01 EB 02 33 C0 88 45 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 0F B6 45 E7 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 41 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 50 00 4D 00 00 00 00 00 }
	condition:
		$1
}

rule function_33630_0 {
	meta:
		name = "IsValidNovellPermissionStr"
		size = 100
		refs = "0023 IsValidNovellPermissionStr 002c CharIsInSet"
	strings:
		$1 = { 53 56 57 55 8B F8 33 DB 85 FF 74 2E 8B C7 85 C0 74 05 83 E8 04 8B 00 8B E8 85 ED 7E 1B BE 01 00 00 00 B9 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 74 06 46 4D 75 EA B3 01 8B C3 5D 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2D 00 52 00 57 00 43 00 45 00 41 00 46 00 4D 00 53 00 00 00 }
	condition:
		$1
}

rule function_33631_0 {
	meta:
		name = "ExtractNovellPerms"
		size = 200
		refs = "0017 ExtractNovellPerms 0024 @UStrClr 002a IndyPos 0069 @UStrCopy 0073 Trim 007d @UStrAsg 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B D8 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 FC B8 ?? ?? ?? ?? FF D7 8B F8 85 DB 74 19 85 FF 74 15 3B FB 7E 11 56 8B CF 2B CB 49 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 06 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 }
	condition:
		$1
}

rule function_33632_0 {
	meta:
		name = "ExcludeQVNET"
		size = 704
		refs = "001a ExcludeQVNET 0036 @UStrCopy 0043 @UStrLAsg 0070 Fetch 00a6 IndyStrToInt 00f1 IsNumeric 011e @UStrEqual 0261 @UStrClr 026e @UStrArrayClr 0281 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 B9 0A 00 00 00 BA 24 00 00 00 8B 45 D0 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 8D 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 33 F6 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 CC 50 8D 45 E8 B1 01 8B 55 EC E8 ?? ?? ?? ?? 83 7D E8 00 74 03 46 EB E4 83 FE 02 75 75 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 F4 B1 01 8B 55 F8 E8 ?? ?? ?? ?? 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 7E 49 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 83 F8 0D 7D 3A 6A 01 8D 45 F0 50 8D 45 F4 B1 01 8B 55 F8 E8 ?? ?? ?? ?? 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 7E 19 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 83 F8 21 7D 0A 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 84 DB 75 04 B0 01 EB 26 8D 45 C8 50 B9 01 00 00 00 BA 2E 00 00 00 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 95 C0 84 C0 74 07 B0 01 E9 1E 01 00 00 8D 45 C4 50 B9 05 00 00 00 BA 2F 00 00 00 8B 45 D0 E8 ?? ?? ?? ?? 8B 7D C4 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 8D 45 E0 89 7D C0 8B 55 C0 E8 ?? ?? ?? ?? 8D 45 D8 8B 55 E4 E8 ?? ?? ?? ?? 33 F6 8D 45 D4 89 7D C0 8B 55 C0 E8 ?? ?? ?? ?? 6A 01 8D 45 BC 50 8D 45 D4 B1 01 8B 55 D8 E8 ?? ?? ?? ?? 83 7D D4 00 74 03 46 EB E4 85 F6 0F 8E A5 00 00 00 6A 01 8D 45 DC 50 8D 45 E0 B1 01 8B 55 E4 E8 ?? ?? ?? ?? 83 CA FF 8B 45 DC E8 ?? ?? ?? ?? 40 0F 8E 80 00 00 00 83 CA FF 8B 45 DC E8 ?? ?? ?? ?? 83 F8 18 7D 70 6A 01 8D 45 DC 50 8D 45 E0 B1 01 8B 55 E4 E8 ?? ?? ?? ?? 83 CA FF 8B 45 DC E8 ?? ?? ?? ?? 40 7E 4F 33 D2 8B 45 DC E8 ?? ?? ?? ?? 83 F8 3C 7D 40 6A 01 8D 45 DC 50 8D 45 E0 B1 01 8B 55 E4 E8 ?? ?? ?? ?? 83 7D DC 00 75 04 B3 01 EB 23 83 CA FF 8B 45 DC E8 ?? ?? ?? ?? 40 7E 0F 33 D2 8B 45 DC E8 ?? ?? ?? ?? 83 F8 3C 7C 04 33 DB EB 02 B3 01 8B C3 34 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_33633_0 {
	meta:
		name = "ExtractQVNETFileName"
		size = 260
		refs = "0013 ExtractQVNETFileName 002e @UStrCopy 0040 Fetch 004b Trim 0056 @UStrLAsg 0087 @UStrCatN 00a5 @UStrAsg 00bf @UStrArrayClr 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 B9 0C 00 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 6A 01 53 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 2B FF 33 68 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8B C3 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_33634_0 {
	meta:
		name = "ExtractRecFormat"
		size = 180
		refs = "000f ExtractRecFormat 001e @UStrAsg 002a TextStartsWith 003f IdDelete 004b TextEndsWith 0063 Fetch 0082 @UStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B C3 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 6A 01 8D 45 FC 50 8B C3 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_33635_0 {
	meta:
		name = "DispositionCodeToTIdVSEPQDisposition"
		size = 161
		refs = "0012 DispositionCodeToTIdVSEPQDisposition"
	strings:
		$1 = { 0F B7 C0 83 C0 D6 83 F8 2F 0F 87 8F 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 08 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 01 00 00 02 00 00 00 03 09 00 04 05 00 0A 00 00 00 00 00 0B 00 00 00 06 07 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 C3 B0 01 C3 B0 02 C3 B0 03 C3 B0 04 C3 B0 05 C3 B0 06 C3 B0 07 C3 B0 08 C3 B0 09 C3 B0 0A C3 B0 01 C3 }
	condition:
		$1
}

rule function_33636_0 {
	meta:
		name = "TIdVSEPQDispositionDispositionCode"
		size = 119
		refs = "000b TIdVSEPQDispositionDispositionCode"
	strings:
		$1 = { 83 E0 7F 83 F8 0A 77 6A FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 B8 41 00 C3 66 B8 44 00 C3 66 B8 48 00 C3 66 B8 4B 00 C3 66 B8 4C 00 C3 66 B8 58 00 C3 66 B8 59 00 C3 66 B8 2A 00 C3 66 B8 49 00 C3 66 B8 4E 00 C3 66 B8 54 00 C3 66 B8 44 00 C3 }
	condition:
		$1
}

rule function_33637_0 {
	meta:
		name = "IsVMBFS"
		size = 412
		refs = "0015 @UStrAddRef 001d IsVMBFS 002e _Dn_TStringList 0033 TStringList.Create 004f TrimRight 005f SplitColumns 008d @UStrEqual 00d5 IsNumeric 011b TObject.Free 0121 @HandleFinally 013d @UStrArrayClr 0145 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 83 F8 04 0F 8E 91 00 00 00 8D 4D EC BA 02 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 23 8D 4D E8 BA 02 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 FB 80 7D FB 00 74 44 8D 4D E4 BA 04 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 23 8D 4D E0 BA 04 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 46 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 44 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_33638_0 {
	meta:
		name = "ParseFacts"
		size = 153
		refs = "0016 @UStrAddRef 001e ParseFacts 0037 Fetch 0042 @UStrAsg 0085 @UStrArrayClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 F8 50 8D 45 FC B1 01 8B 55 0C E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 6A 01 8D 45 F4 50 8D 45 F8 B1 01 8B D6 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 8B 08 FF 51 38 83 7D F8 00 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_33639_0 {
	meta:
		name = "ParseFactsMLS"
		size = 472
		refs = "0022 @UStrAddRef 002a ParseFactsMLS 003b @UStrLAsg 0065 Fetch 00a1 Indy8BitEncoding 00ae ToBytes 00bd TStrings.GetValue 00d8 CharsetToEncoding 0105 BytesToString 0114 @HandleAnyException 012d @DoneExcept 0147 TObject.Free 014d @HandleFinally 0164 @UStrClr 0171 @UStrArrayClr 017a TArray<System.Byte> 017f @DynArrayClear"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B DE 8D 45 EC 8B D7 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 0C E8 ?? ?? ?? ?? 6A 01 8D 45 E0 50 8D 45 F0 B1 01 8B 55 E8 E8 ?? ?? ?? ?? 8D 45 E4 8B 55 F0 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 6A 01 8D 45 D8 50 8D 45 E0 B1 01 8B 55 EC E8 ?? ?? ?? ?? 8B 55 D8 8B C3 8B 08 FF 51 38 83 7D E0 00 75 DD B0 01 E8 ?? ?? ?? ?? 8B D0 8D 4D F4 8B 45 E4 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 75 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B 55 DC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B 4D 08 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 }
	condition:
		$1
}

rule function_33640_0 {
	meta:
		name = "RawIsValidSterPattern"
		size = 300
		refs = "003d string 0042 @AddRefArray 005c RawIsValidSterPattern 0088 @UStrEqual 009d PosInStrArray 00e7 @FinalizeArray 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B 5D 0C 8B 75 08 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 0C 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 4D F8 89 55 FC 8B D8 8B 4D F8 41 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 08 41 8B 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 85 DB 74 5E 8B F3 8B C6 85 C0 74 05 83 E8 04 8B 00 83 F8 03 75 28 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 45 F7 01 6A 01 8B 55 0C 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 40 7E 04 C6 45 F7 01 8B C6 85 C0 74 05 83 E8 04 8B 00 48 75 16 6A 01 8B 55 FC 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 40 7E 04 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 4D F8 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 8B 4D 08 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 0F B6 45 F7 8B 7D E8 8B 75 EC 8B 5D F0 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2D 00 2D 00 2D 00 00 00 }
	condition:
		$1
}

rule function_33641_0 {
	meta:
		name = "IsValidSterCommFlags"
		size = 248
		refs = "0012 IsValidSterCommFlags 0043 @UStrFromWChar 004c IndyPos 009e @UStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 85 F6 74 64 8B C6 85 C0 74 05 83 E8 04 8B 00 8B F8 85 FF 7E 4F BB 01 00 00 00 8D 45 F8 0F B7 54 5E FE E8 ?? ?? ?? ?? 8B 45 F8 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? FF D1 85 C0 75 23 8D 45 F4 0F B7 54 5E FE E8 ?? ?? ?? ?? 8B 45 F4 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? FF D1 85 C0 74 08 43 4F 75 B6 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 41 00 43 00 44 00 45 00 47 00 49 00 4D 00 4E 00 50 00 52 00 54 00 55 00 58 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_33642_0 {
	meta:
		name = "IsValidSterCommProt"
		size = 23
		refs = "0001 CSterThreeCharProt 0008 CSterOneCharProt 0012 RawIsValidSterPattern"
	strings:
		$1 = { 68 ?? ?? ?? ?? 6A 07 BA ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33643_0 {
	meta:
		name = "IsValidSterCommData"
		size = 23
		refs = "0001 CSterThreeCharDataFlag 0008 CSterOneCharDataFlag 0012 RawIsValidSterPattern"
	strings:
		$1 = { 68 ?? ?? ?? ?? 6A 02 BA ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33644_0 {
	meta:
		name = "Finalization"
		size = 220
		refs = "0007 Finalization 0013 _DV_5 001e TLS_AUTH_NAMES 0029 string 002e @FinalizeArray 0033 VSERootDirItemTypes 0048 MVS_JES_Status 005d UnitreeStoreTypes 0072 CSterThreeCharProt 0087 CSterOneCharProt 009c CSterThreeCharDataFlag 00b1 CSterOneCharDataFlag 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 A8 00 00 00 B8 ?? ?? ?? ?? B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 06 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 08 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_33646_0 {
	meta:
		name = "TIdFTPListItem.Create"
		size = 111
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 001f @UStrClr 005c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 18 E8 ?? ?? ?? ?? C6 46 38 01 C7 46 10 00 00 00 00 C7 46 14 00 00 00 00 33 C0 89 46 28 89 46 2C 8D 46 1C E8 ?? ?? ?? ?? 8D 46 20 E8 ?? ?? ?? ?? C6 46 24 01 C6 46 25 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_33647_0 {
	meta:
		name = "TIdFTPListItem.Assign"
		size = 105
		refs = "000a _DV_TIdFTPListItem 000f @IsClass 0020 @AsClass 002d @UStrAsg 0056 TIdFTPListItem.SetFileName 0062 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 46 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 43 18 8B 56 18 E8 ?? ?? ?? ?? 0F B6 46 38 88 43 38 8B 46 10 89 43 10 8B 46 14 89 43 14 8B 46 28 89 43 28 8B 46 2C 89 43 2C 8B 56 1C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33653_0 {
	meta:
		name = "TIdFTPListItems.SetDirectoryName"
		size = 40
		refs = "000c TextIsSame 001a @UStrAsg 0021 TCollection.Clear"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 18 E8 ?? ?? ?? ?? 84 C0 75 11 8D 43 18 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33654_0 {
	meta:
		name = "TIdFTPListItem.SetFileName"
		size = 264
		refs = "0017 TIdFTPListItem.SetFileName 002e TextIsSame 005c CharIsInSet 007b LowerCase 0086 @UStrAsg 00b3 @UStrClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 20 00 74 0F 8B 53 20 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 61 C6 45 FB 01 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 22 BF 01 00 00 00 B9 ?? ?? ?? ?? 8B D7 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 FB 00 EB 04 47 4E 75 E3 80 7D FB 00 74 18 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 43 20 E8 ?? ?? ?? ?? EB 0B 8D 43 20 8B 55 FC E8 ?? ?? ?? ?? 8D 43 1C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 61 00 62 00 63 00 64 00 65 00 66 00 67 00 68 00 69 00 6A 00 6B 00 6C 00 6D 00 6E 00 70 00 71 00 72 00 73 00 74 00 75 00 76 00 77 00 78 00 79 00 7A 00 00 00 }
	condition:
		$1
}

rule function_33657_0 {
	meta:
		name = "RawSortAscFName"
		size = 360
		refs = "0013 RawSortAscFName 0024 IndyGetFileName 003c TextStartsWith 0064 @UStrEqual 0111 IndyCompareStr 012f @UStrArrayClr 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 1C E8 ?? ?? ?? ?? 8D 55 F8 8B 46 1C E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 88 45 F7 84 5D F7 0F 84 8F 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 19 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A BB 01 00 00 00 E9 96 00 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 14 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 05 83 CB FF EB 73 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 13 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 33 DB EB 51 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 13 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 33 DB EB 2F 80 7D F7 00 74 09 84 DB 75 05 83 CB FF EB 20 84 DB 74 0D 80 7D F7 00 75 07 BB 01 00 00 00 EB 0F 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 F7 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_33658_0 {
	meta:
		name = "RawSortDescFName"
		size = 22
		refs = "000d RawSortAscFName"
	strings:
		$1 = { 53 56 8B F2 8B D8 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? F7 D8 5E 5B C3 }
	condition:
		$1
}

rule function_33659_0 {
	meta:
		name = "RawSortAscFNameExt"
		size = 125
		refs = "0012 RawSortAscFNameExt 0023 ExtractFileExt 0039 IndyCompareStr 004c RawSortAscFName 0068 @UStrArrayClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 46 1C E8 ?? ?? ?? ?? 8D 55 F8 8B 47 1C E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 F7 DB 85 DB 75 0D B1 01 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_33660_0 {
	meta:
		name = "RawSortDescFNameExt"
		size = 22
		refs = "000d RawSortAscFNameExt"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? F7 D8 5E 5B C3 }
	condition:
		$1
}

rule function_33664_0 {
	meta:
		name = "RawSortDescSize"
		size = 22
		refs = "000d RawSortAscSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? F7 D8 5E 5B C3 }
	condition:
		$1
}

rule function_33661_0 {
	meta:
		name = "RawSortAscMTime"
		size = 57
		refs = "0032 RawSortAscFName"
	strings:
		$1 = { 53 56 8B F0 8B CE 8B DA DD 41 28 DC 5B 28 9B DF E0 9E 73 06 83 C8 FF 5E 5B C3 DD 41 28 DC 5B 28 9B DF E0 9E 76 07 B8 01 00 00 00 EB 09 B1 01 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33662_0 {
	meta:
		name = "RawSortDescMTime"
		size = 20
		refs = "000b RawSortAscMTime"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? F7 D8 5E 5B C3 }
	condition:
		$1
}

rule function_33668_0 {
	meta:
		name = "DESortDescFName"
		size = 20
		refs = "000b DESortAscFName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? F7 D8 5E 5B C3 }
	condition:
		$1
}

rule function_33667_0 {
	meta:
		name = "DESortDescMTime"
		size = 20
		refs = "000b DESortAscMTime"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? F7 D8 5E 5B C3 }
	condition:
		$1
}

rule function_33663_0 {
	meta:
		name = "RawSortAscSize"
		size = 167
		refs = "009d RawSortAscFName"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B C8 8B C1 8B D6 8B 58 10 89 1C 24 8B 58 14 89 5C 24 04 8B 5A 10 89 5C 24 08 8B 5A 14 89 5C 24 0C 8B 58 04 80 7B 20 00 75 2B 80 78 38 00 75 0F C7 04 24 00 02 00 00 C7 44 24 04 00 00 00 00 80 7A 38 00 75 10 C7 44 24 08 00 02 00 00 C7 44 24 0C 00 00 00 00 8B 04 24 8B 54 24 04 3B 54 24 0C 75 08 3B 44 24 08 73 09 EB 02 7D 05 83 C8 FF EB 29 8B 04 24 8B 54 24 04 3B 54 24 0C 75 08 3B 44 24 08 76 0B EB 02 7E 07 B8 01 00 00 00 EB 0B 8B D6 8B C1 B1 01 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_33665_0 {
	meta:
		name = "DESortAscFName"
		size = 22
		refs = "000d IndyCompareStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 56 04 8B 43 04 E8 ?? ?? ?? ?? F7 D8 5E 5B C3 }
	condition:
		$1
}

rule function_33666_0 {
	meta:
		name = "DESortAscMTime"
		size = 57
		refs = "0032 DESortAscFName"
	strings:
		$1 = { 53 56 8B F0 8B 4E 08 8B 5A 08 DD 41 28 DC 5B 28 9B DF E0 9E 76 06 83 C8 FF 5E 5B C3 DD 41 28 DC 5B 28 9B DF E0 9E 73 07 B8 01 00 00 00 EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_33669_0 {
	meta:
		name = "StrSortAscMTime"
		size = 38
		refs = "001e RawSortAscMTime"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D7 8B C3 8B 08 FF 51 18 50 8B D6 8B C3 8B 08 FF 51 18 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33674_0 {
	meta:
		name = "StrSortDescFName"
		size = 38
		refs = "001e RawSortDescFName"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D7 8B C3 8B 08 FF 51 18 50 8B D6 8B C3 8B 08 FF 51 18 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33676_0 {
	meta:
		name = "StrSortDescFNameExt"
		size = 38
		refs = "001e RawSortDescFNameExt"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D7 8B C3 8B 08 FF 51 18 50 8B D6 8B C3 8B 08 FF 51 18 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33670_0 {
	meta:
		name = "StrSortDescMTime"
		size = 38
		refs = "001e RawSortDescMTime"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D7 8B C3 8B 08 FF 51 18 50 8B D6 8B C3 8B 08 FF 51 18 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33672_0 {
	meta:
		name = "StrSortDescSize"
		size = 38
		refs = "001e RawSortDescSize"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D7 8B C3 8B 08 FF 51 18 50 8B D6 8B C3 8B 08 FF 51 18 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33671_0 {
	meta:
		name = "StrSortAscSize"
		size = 40
		refs = "0020 RawSortAscSize"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D7 8B C3 8B 08 FF 51 18 50 8B D6 8B C3 8B 08 FF 51 18 B1 01 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33673_0 {
	meta:
		name = "StrSortAscFName"
		size = 40
		refs = "0020 RawSortAscFName"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D7 8B C3 8B 08 FF 51 18 50 8B D6 8B C3 8B 08 FF 51 18 B1 01 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33675_0 {
	meta:
		name = "StrSortAscFNameExt"
		size = 40
		refs = "0020 RawSortAscFNameExt"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D7 8B C3 8B 08 FF 51 18 50 8B D6 8B C3 8B 08 FF 51 18 B1 01 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33678_0 {
	meta:
		name = "TIdFTPListOutput.Create"
		size = 63
		refs = "000a @ClassCreate 0014 _DV_TIdFTPListOutputItem 001d TCollection.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 20 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_33679_0 {
	meta:
		name = "TIdFTPListOutput.EPLFItem"
		size = 372
		refs = "0015 TIdFTPListOutput.EPLFItem 0026 IndyGetFileName 0043 GMTDateTimeToEPLFDate 0052 @UStrCat3 0071 LocalDateTimeToEPLFDate 0089 @UStrClr 009b @UStrCat 00be IntToStr 00cd @UStrCatN 00fd @UStrArrayClr 0103 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 46 1C E8 ?? ?? ?? ?? DD 46 30 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 1F FF 76 34 FF 76 30 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D F8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 35 DD 46 28 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 1F FF 76 2C FF 76 28 8D 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 80 7E 38 01 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? FF 76 14 FF 76 10 8D 45 F0 E8 ?? ?? ?? ?? FF 75 F0 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? FF 75 FC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 C2 C7 46 B0 04 02 00 FF FF FF FF 02 00 00 00 2B 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_33681_0 {
	meta:
		name = "TIdFTPListOutput.GetLocalModTime"
		size = 60
		refs = "000b TIdFTPListOutput.GetLocalModTime 0016 TimeZoneBias"
	strings:
		$1 = { 53 83 C4 F8 8B DA DD 43 30 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 0E E8 ?? ?? ?? ?? DC 6B 30 DD 1C 24 9B EB 0D 8B 43 28 89 04 24 8B 43 2C 89 44 24 04 DD 04 24 59 5A 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_33682_0 {
	meta:
		name = "TIdFTPListOutput.HasSwitch"
		size = 31
		refs = "0009 IndyPos"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 3D ?? ?? ?? ?? 8B 3F 8B 53 18 8B C6 FF D7 85 C0 0F 9F C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33684_0 {
	meta:
		name = "DetermineOp"
		size = 156
	strings:
		$1 = { 55 8B EC 51 53 56 8B 5D 08 83 C3 F8 8B 45 08 80 78 FF 00 74 04 B1 05 EB 02 B1 02 8B 03 80 78 20 00 75 72 33 D2 8B 03 8B 40 18 89 45 FC 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 01 7C 57 8B 33 8B 76 18 0F B7 74 46 FE 83 FE 6C 7F 13 74 39 83 EE 31 74 22 83 EE 12 74 17 83 EE 23 74 1E EB 2C 83 EE 6D 74 1D 83 EE 0B 75 22 33 C9 B2 01 EB 1C B1 01 B2 01 EB 16 B1 02 B2 01 EB 10 B1 03 B2 01 EB 0A B1 04 B2 01 EB 04 B1 05 B2 01 84 D2 75 05 48 85 C0 75 A9 8B C1 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33685_0 {
	meta:
		name = "PrintSubDirHeader"
		size = 448
		refs = "001d PrintSubDirHeader 0033 TIdFTPListOutput.HasSwitch 0054 DetermineOp 0096 UnixPathToDOSPath 00ab @UStrCatN 00df DOSPathToUnixPath 0119 @UStrCat 013e @UStrArrayClr 0144 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 26 8B 45 0C 8B 40 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 12 8B 45 0C 50 E8 ?? ?? ?? ?? 59 3C 05 75 04 33 DB EB 02 B3 01 3B FE 0F 95 C0 0A C3 0F 84 B8 00 00 00 3B FE 74 0A 33 D2 8B 45 FC 8B 08 FF 51 38 8B 45 0C 8B 40 F8 80 78 20 01 75 32 68 ?? ?? ?? ?? 8D 55 F4 8B 46 04 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 38 EB 6C 84 DB 74 45 3B FE 75 0F BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 38 EB 55 68 ?? ?? ?? ?? 8D 55 EC 8B 46 04 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 08 FF 51 38 EB 23 8D 55 E8 8B 46 04 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 72 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 74 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_33686_0 {
	meta:
		name = "ProcessOnePathCol"
		size = 432
		refs = "001e ProcessOnePathCol 0050 PrintSubDirHeader 00c7 TIdObjectList.GetItem 00fe IndyFormat 014d @UStrArrayClr 0153 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D EC 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 00 74 27 8B 45 F8 83 78 0C 00 74 1E 80 7D 08 00 74 18 8B 45 0C 50 0F B6 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 8B 45 F8 8B 40 10 8B 10 FF 52 14 8B D8 4B 85 DB 7C 2F 43 33 F6 8B 45 F8 8B 40 10 8B D6 8B 08 FF 51 18 8B D0 8D 4D F0 8B 45 0C 8B 40 F8 8B 38 FF 57 38 8B 55 F0 8B 45 F4 8B 08 FF 51 38 46 4B 75 D4 80 7D 08 00 0F 84 97 00 00 00 8B 45 F8 83 78 0C 00 0F 84 8A 00 00 00 8B 45 F8 8B 40 0C 8B 58 08 4B 85 DB 7C 7C 43 33 F6 8B 45 F8 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 8B 78 08 80 BF 94 00 00 00 00 74 38 85 F6 75 0A 33 D2 8B 45 F4 8B 08 FF 51 38 8D 45 EC 50 8B 47 1C 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 8B 08 FF 51 38 EB 24 8B 45 0C 50 0F B6 45 08 50 8B 45 F8 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 59 46 4B 75 87 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 2F 00 62 00 69 00 6E 00 2F 00 6C 00 73 00 3A 00 20 00 25 00 73 00 3A 00 20 00 50 00 65 00 72 00 6D 00 69 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 65 00 6E 00 69 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_33687_0 {
	meta:
		name = "CalcMaxLen"
		size = 257
		refs = "001a CalcMaxLen 00b9 TIdObjectList.GetItem 00ea @UStrClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 8B 45 F8 8B 40 10 8B 10 FF 52 14 8B D8 4B 85 DB 7C 46 43 C7 45 EC 00 00 00 00 8B 45 F8 8B 40 10 8B 55 EC 8B 08 FF 51 18 8B D0 8D 4D E8 8B 45 0C 8B 40 F8 8B 30 FF 56 38 8B 45 E8 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 3B 45 F0 7E 03 89 45 F0 FF 45 EC 4B 75 C2 80 7D 08 00 74 52 8B 45 F8 83 78 0C 00 74 49 8B 45 F8 8B 40 0C 8B 58 08 4B 85 DB 7C 3B 43 C7 45 EC 00 00 00 00 8B 45 0C 50 0F B6 45 08 50 8B 45 F8 8B 40 0C 8B 55 EC E8 ?? ?? ?? ?? 8B D0 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 59 3B 45 F0 7E 03 89 45 F0 FF 45 EC 4B 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_33688_0 {
	meta:
		name = "ProcessPathAccross"
		size = 672
		refs = "0027 ProcessPathAccross 0057 CalcMaxLen 0078 ProcessOnePathCol 00aa PrintSubDirHeader 00ca @UStrClr 0106 PadString 011b @UStrCatN 0139 TrimRight 0196 TIdObjectList.GetItem 01cf IndyFormat 0221 @UStrArrayClr 022f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D D4 89 5D D8 89 5D E0 89 5D DC 89 5D FC 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 10 8B 10 FF 52 14 85 C0 0F 84 C7 01 00 00 8B 45 0C 50 0F B6 45 08 50 8B 4D F0 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 59 89 45 E8 83 7D E8 27 7E 1D 8B 45 0C 50 0F B6 45 08 50 8B 4D F0 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 59 E9 89 01 00 00 80 7D 08 00 74 27 8B 45 F4 83 78 0C 00 74 1E 80 7D 08 00 74 18 8B 45 0C 50 0F B6 45 08 50 8B 4D F0 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 E8 83 C0 02 50 B8 4F 00 00 00 5A 8B CA 99 F7 F9 89 45 E4 33 DB 8D 45 FC E8 ?? ?? ?? ?? 8B 75 E4 4E 85 F6 7C 5C 46 FF 75 FC 8D 45 E0 50 8B 45 F4 8B 40 10 8B D3 8B 08 FF 51 18 8B D0 8D 4D DC 8B 45 0C 8B 40 F8 8B 38 FF 57 38 8B 45 DC 66 B9 20 00 8B 55 E8 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 43 8B 45 F4 8B 40 10 8B 10 FF 52 14 3B D8 74 03 4E 75 A5 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F0 8B 08 FF 51 38 8B 45 F4 8B 40 10 8B 10 FF 52 14 3B D8 0F 85 6B FF FF FF 80 7D 08 00 0F 84 A6 00 00 00 8B 45 F4 83 78 0C 00 0F 84 99 00 00 00 8B 45 F4 8B 40 0C 8B 70 08 4E 85 F6 0F 8C 87 00 00 00 46 C7 45 EC 00 00 00 00 8B 45 F4 8B 40 0C 8B 55 EC E8 ?? ?? ?? ?? 8B 58 08 80 BB 94 00 00 00 00 74 3A 83 7D EC 00 75 0A 33 D2 8B 45 F0 8B 08 FF 51 38 8D 45 D4 50 8B 43 1C 89 45 CC C6 45 D0 11 8D 55 CC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F0 8B 08 FF 51 38 EB 25 8B 45 0C 50 0F B6 45 08 50 8B 45 F4 8B 40 0C 8B 55 EC E8 ?? ?? ?? ?? 8B D0 8B 4D F0 8B 45 F8 E8 ?? ?? ?? ?? 59 FF 45 EC 4E 75 81 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 2F 00 62 00 69 00 6E 00 2F 00 6C 00 73 00 3A 00 20 00 25 00 73 00 3A 00 20 00 50 00 65 00 72 00 6D 00 69 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 65 00 6E 00 69 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_33689_0 {
	meta:
		name = "ProcessPathDown"
		size = 712
		refs = "0026 ProcessPathDown 0052 CalcMaxLen 0072 ProcessOnePathCol 00a0 PrintSubDirHeader 00f7 @UStrClr 0149 PadString 015e @UStrCatN 016f TrimRight 01bf TIdObjectList.GetItem 01f8 IndyFormat 0226 ProcessPathAccross 0249 @UStrArrayClr 0257 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D DC 89 5D D8 89 5D FC 89 4D F4 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 10 8B 10 FF 52 14 85 C0 0F 84 F3 01 00 00 8B 45 0C 50 0F B6 45 08 50 8B 4D F4 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 59 89 45 EC 83 7D EC 27 7E 1C 8B 45 0C 50 0F B6 45 08 50 8B 4D F4 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 59 E9 B7 01 00 00 80 7D 08 00 74 23 83 7E 0C 00 74 1D 80 7D 08 00 74 17 8B 45 0C 50 0F B6 45 08 50 8B 4D F4 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 EC 83 C0 02 50 B8 4F 00 00 00 5A 8B CA 99 F7 F9 89 45 E8 8B 46 10 8B 10 FF 52 14 99 F7 7D E8 89 45 E4 8B 46 10 8B 10 FF 52 14 99 F7 7D E8 85 D2 7E 03 FF 45 E4 8B 45 E4 85 C0 0F 8E A3 00 00 00 89 45 E0 C7 45 F0 01 00 00 00 33 DB 8D 45 FC E8 ?? ?? ?? ?? 8B 46 10 8B 10 FF 52 14 8B 55 F0 4A 8B 4D E4 0F AF CB 03 D1 3B C2 7E 4F FF 75 FC 8D 45 DC 50 8B 55 F0 4A 8B 45 E4 0F AF C3 03 D0 8B 46 10 8B 08 FF 51 18 8B D0 8D 4D D8 8B 45 0C 8B 40 F8 8B 38 FF 57 38 8B 45 D8 66 B9 20 00 8B 55 EC E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 43 3B 5D E8 7E 93 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F4 8B 08 FF 51 38 FF 45 F0 FF 4D E0 0F 85 67 FF FF FF 80 7D 08 00 0F 84 9F 00 00 00 83 7E 0C 00 0F 84 95 00 00 00 8B 46 0C 8B 40 08 48 85 C0 0F 8C 86 00 00 00 40 89 45 E0 C7 45 F0 00 00 00 00 8B 55 F0 8B 46 0C E8 ?? ?? ?? ?? 8B 58 08 80 BB 94 00 00 00 00 74 3A 83 7D F0 00 75 0A 33 D2 8B 45 F4 8B 08 FF 51 38 8D 45 D0 50 8B 43 1C 89 45 C8 C6 45 CC 11 8D 55 C8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F4 8B 08 FF 51 38 EB 22 8B 45 0C 50 0F B6 45 08 50 8B 55 F0 8B 46 0C E8 ?? ?? ?? ?? 8B D0 8B 4D F4 8B 45 F8 E8 ?? ?? ?? ?? 59 FF 45 F0 FF 4D E0 75 85 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 2F 00 62 00 69 00 6E 00 2F 00 6C 00 73 00 3A 00 20 00 25 00 73 00 3A 00 20 00 50 00 65 00 72 00 6D 00 69 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 65 00 6E 00 69 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_33690_0 {
	meta:
		name = "ProcessPathComma"
		size = 600
		refs = "0027 ProcessPathComma 004a PrintSubDirHeader 0053 @UStrClr 009d @UStrCatN 00bd IdDelete 00e4 IndyWrapText 00ed @UStrCat 012d TIdObjectList.GetItem 0164 IndyFormat 01b3 @UStrArrayClr 01c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D E0 89 5D E8 89 5D E4 89 5D EC 89 5D FC 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 00 74 18 8B 45 0C 50 0F B6 45 08 50 8B 4D F0 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 59 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 10 8B 10 FF 52 14 8B D8 4B 85 DB 7C 3C 43 33 F6 FF 75 FC 8B 45 F4 8B 40 10 8B D6 8B 08 FF 51 18 8B D0 8D 4D EC 8B 45 0C 8B 40 F8 8B 38 FF 57 38 FF 75 EC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 C7 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D0 4A 8D 45 FC B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F0 8B 08 FF 51 1C 8D 45 E8 50 6A 4F 8D 45 E4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 58 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F0 8B 08 FF 51 2C 80 7D 08 00 0F 84 97 00 00 00 8B 45 F4 83 78 0C 00 0F 84 8A 00 00 00 8B 45 F4 8B 40 0C 8B 58 08 4B 85 DB 7C 7C 43 33 F6 8B 45 F4 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 8B 78 08 80 BF 94 00 00 00 00 74 38 85 F6 75 0A 33 D2 8B 45 F0 8B 08 FF 51 38 8D 45 E0 50 8B 47 1C 89 45 D8 C6 45 DC 11 8D 55 D8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F0 8B 08 FF 51 38 EB 24 8B 45 0C 50 0F B6 45 08 50 8B 45 F4 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 4D F0 8B 45 F8 E8 ?? ?? ?? ?? 59 46 4B 75 87 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 09 00 20 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 0D 00 0A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 2F 00 62 00 69 00 6E 00 2F 00 6C 00 73 00 3A 00 20 00 25 00 73 00 3A 00 20 00 50 00 65 00 72 00 6D 00 69 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 65 00 6E 00 69 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_33691_0 {
	meta:
		name = "ProcessPathLong"
		size = 684
		refs = "0027 ProcessPathLong 004a PrintSubDirHeader 00a8 IndyFormat 0183 TIdObjectList.GetItem 0220 @UStrArrayClr 0228 @UStrClr 022e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 89 5D DC 89 5D E0 89 5D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 00 74 18 8B 45 0C 50 0F B6 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 8B 45 0C 8B 40 F8 80 78 20 00 75 5C 8B 45 0C 8B 40 F8 80 78 21 00 74 50 33 FF 8B 45 F8 8B 40 10 8B 10 FF 52 14 8B D8 4B 85 DB 7C 17 43 33 F6 8B 45 F8 8B 40 10 8B D6 8B 08 FF 51 18 03 78 50 46 4B 75 EC 8D 45 EC 50 89 7D E4 C6 45 E8 00 8D 55 E4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 8B 08 FF 51 38 8B 45 F8 8B 40 10 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C 81 00 00 00 43 33 F6 8B 45 F8 8B 40 10 8B D6 8B 08 FF 51 18 89 45 F0 8B 45 0C 8B 40 F8 0F B6 40 20 FE C8 74 22 FE C8 75 3C 8D 4D E0 8B 45 0C 8B 40 F8 8B 55 F0 8B 38 FF 57 34 8B 55 E0 8B 45 F4 8B 08 FF 51 38 EB 3A 8D 4D DC 8B 45 0C 8B 40 F8 8B 55 F0 8B 38 FF 57 30 8B 55 DC 8B 45 F4 8B 08 FF 51 38 EB 1C 8D 4D D8 8B 45 0C 8B 40 F8 8B 55 F0 8B 38 FF 57 2C 8B 55 D8 8B 45 F4 8B 08 FF 51 38 46 4B 75 82 80 7D 08 00 0F 84 B2 00 00 00 8B 45 F8 83 78 0C 00 0F 84 A5 00 00 00 8B 45 F8 8B 40 0C 8B 58 08 4B 85 DB 0F 8C 93 00 00 00 43 33 F6 8B 45 F8 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 8B 40 08 89 45 F0 8B 45 F0 80 B8 94 00 00 00 00 74 45 8B 45 0C 8B 40 F8 80 78 20 00 75 39 85 F6 75 0A 33 D2 8B 45 F4 8B 08 FF 51 38 8D 45 D4 50 8B 45 F0 8B 40 1C 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F4 8B 08 FF 51 38 8B 45 0C 50 0F B6 45 08 50 8B 45 F8 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 59 46 4B 0F 85 70 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 74 00 6F 00 74 00 61 00 6C 00 20 00 25 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 2F 00 62 00 69 00 6E 00 2F 00 6C 00 73 00 3A 00 20 00 25 00 73 00 3A 00 20 00 50 00 65 00 72 00 6D 00 69 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 65 00 6E 00 69 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_33692_0 {
	meta:
		name = "DoUnixfParam"
		size = 138
		refs = "0018 DoUnixfParam 0053 IndyGetFileName 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B F0 4E 85 F6 7C 32 46 33 FF 8B 45 FC 8B 40 10 8B D7 8B 08 FF 51 18 8B D8 80 7B 38 00 75 16 8D 55 F4 8B 43 1C E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 08 FF 51 38 47 4E 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33693_0 {
	meta:
		name = "TIdFTPListOutput.InternelOutputDir"
		size = 1176
		refs = "0024 TIdFTPListOutput.InternelOutputDir 0040 TIdFTPListOutput.HasSwitch 006b _DV_TDirEntry 0070 TDirEntry.Create 00a0 TIdFTPListOutput.GetItems 00c5 IndyGetFileName 00d0 StripInitPathDelim 00d8 IsNavPath 0108 TDirEntry.AddSubDir 013a TDirEntry.AddFileName 023b TDirEntry.SortDescendMTime 0259 TDirEntry.SortDescendFNameExt 0277 TDirEntry.SortDescendSize 0281 TDirEntry.SortDescendFName 02ad TDirEntry.SortAscendMTime 02c8 TDirEntry.SortAscendFNameExt 02e3 TDirEntry.SortAscendSize 02ed TDirEntry.SortAscendFName 02f3 DetermineOp 0338 ProcessPathAccross 035b ProcessPathDown 037b ProcessOnePathCol 0389 DoUnixfParam 03a8 ProcessPathComma 03c8 ProcessPathLong 03e3 TObject.Free 03e9 @HandleFinally 0405 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 88 4D FF 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 80 78 20 00 75 11 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 84 DB 74 12 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 80 F3 01 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 08 8B 70 08 4E 85 F6 0F 8C AF 00 00 00 46 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 40 38 84 C0 74 08 2C 03 0F 85 8A 00 00 00 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 1C 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 2E 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 50 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 1C 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F0 59 E8 ?? ?? ?? ?? EB 30 84 DB 74 2C 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 50 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 1C 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F0 59 E8 ?? ?? ?? ?? 47 4E 0F 85 54 FF FF FF 8B 45 F8 8B 40 08 8B 70 08 4E 85 F6 0F 8C AC 00 00 00 46 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 40 38 48 2C 02 0F 83 8A 00 00 00 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 1C 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 32 84 DB 74 5A 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 50 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 1C 8D 55 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F0 59 E8 ?? ?? ?? ?? EB 2C 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 50 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 1C 8D 55 D0 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F0 59 E8 ?? ?? ?? ?? 47 4E 0F 85 57 FF FF FF BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 72 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 11 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 F0 E8 ?? ?? ?? ?? E9 AD 00 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 F0 E8 ?? ?? ?? ?? E9 8F 00 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 F0 E8 ?? ?? ?? ?? EB 74 8B 45 F0 E8 ?? ?? ?? ?? EB 6A BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 11 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 F0 E8 ?? ?? ?? ?? EB 3E BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 F0 E8 ?? ?? ?? ?? EB 23 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 F0 E8 ?? ?? ?? ?? EB 08 8B 45 F0 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 83 E0 7F 83 F8 04 0F 87 AB 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 4D F4 8B 55 F0 8B 45 F0 E8 ?? ?? ?? ?? 59 E9 8B 00 00 00 55 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 4D F4 8B 55 F0 8B 45 F0 E8 ?? ?? ?? ?? 59 EB 6B 55 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 4D F4 8B 55 F0 8B 45 F0 E8 ?? ?? ?? ?? 59 EB 4B 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? EB 3E 55 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 4D F4 8B 55 F0 8B 45 F0 E8 ?? ?? ?? ?? 59 EB 1E 55 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 4D F4 8B 55 F0 8B 45 F0 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 61 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 72 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 74 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 75 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 58 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 53 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 52 00 00 00 }
	condition:
		$1
}

rule function_33694_0 {
	meta:
		name = "TIdFTPListOutput.LISTOutputDir"
		size = 10
	strings:
		$1 = { 53 B1 01 8B 18 FF 53 40 5B C3 }
	condition:
		$1
}

rule function_33695_0 {
	meta:
		name = "TIdFTPListOutput.MListItem"
		size = 1916
		refs = "0025 TIdFTPListOutput.MListItem 0032 @UStrClr 0049 @UStrAsg 006d IntToStr 0081 @UStrCatN 0097 @UStrCat 00c2 @UStrEqual 019d FTPGMTDateTimeToMLS 01d9 FTPLocalDateTimeToMLS 028c TIdFTPListOutput.UnixGetOutputOtherPerms 029c TIdFTPListOutput.UnixGetOutputGroupPerms 02ac TIdFTPListOutput.UnixGetOutputOwnerPerms 02b6 PermsToChmodNo 02cc IndyFormat 02f9 TIdFTPListOutput.UnixGetOutputOwner 0326 TIdFTPListOutput.UnixGetOutputGroup 0401 IntToHex 04a3 @UStrArrayClr 04b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 66 89 4D FE 8B DA 8B F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 3B 45 FE 75 0F 8B C6 8B 53 1C E8 ?? ?? ?? ?? E9 3B 04 00 00 F6 45 FE 04 74 2D 80 7B 24 00 74 27 68 ?? ?? ?? ?? FF 73 14 FF 73 10 8D 45 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? F6 45 FE 01 0F 84 8D 00 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 43 38 2C 01 72 16 74 06 FE C8 74 58 EB 71 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 63 8B 43 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 46 8B 43 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 29 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B FF 36 68 ?? ?? ?? ?? FF 73 1C 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? F6 45 FE 08 74 1B FF 36 68 ?? ?? ?? ?? FF 73 7C 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? F6 45 FF 08 74 32 83 BB 98 00 00 00 FF 74 29 FF 36 68 ?? ?? ?? ?? 8D 55 F4 8B 83 98 00 00 00 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? F6 45 FF 01 74 76 DD 43 70 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 2D FF 36 68 ?? ?? ?? ?? FF 73 74 FF 73 70 8D 55 F0 B0 01 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 3A DD 43 68 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 2B FF 36 68 ?? ?? ?? ?? FF 73 6C FF 73 68 8D 55 EC B0 01 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? F6 45 FE 02 74 7C 80 7B 25 00 74 76 DD 43 30 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 2D FF 36 68 ?? ?? ?? ?? FF 73 34 FF 73 30 8D 55 E8 B0 01 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 3A DD 43 28 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 2B FF 36 68 ?? ?? ?? ?? FF 73 2C FF 73 28 8D 55 E4 B0 01 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? F6 45 FE 20 74 6B FF 36 68 ?? ?? ?? ?? 8D 45 E0 50 8D 4D D4 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 4D D0 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 D0 50 8D 4D CC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 CC 5A 59 E8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 00 8D 55 D8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? F6 45 FE 40 74 27 FF 36 68 ?? ?? ?? ?? 8D 4D C8 8B D3 8B C7 E8 ?? ?? ?? ?? FF 75 C8 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? F6 45 FE 80 74 27 FF 36 68 ?? ?? ?? ?? 8D 4D C4 8B D3 8B C7 E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? F6 45 FE 10 74 21 83 7B 78 00 74 1B FF 36 68 ?? ?? ?? ?? FF 73 78 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? F6 45 FF 02 74 76 DD 43 30 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 2D FF 36 68 ?? ?? ?? ?? FF 73 34 FF 73 30 8D 55 C0 B0 01 E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 3A DD 43 28 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 2B FF 36 68 ?? ?? ?? ?? FF 73 2C FF 73 28 8D 55 BC B0 01 E8 ?? ?? ?? ?? FF 75 BC 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? F6 45 FF 04 74 32 FF 36 68 ?? ?? ?? ?? 8B 83 90 00 00 00 33 D2 52 50 8D 55 B8 B8 08 00 00 00 E8 ?? ?? ?? ?? FF 75 B8 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B BB 98 00 00 00 83 FF FF 7E 2B F6 45 FF 08 74 25 FF 36 68 ?? ?? ?? ?? 8D 55 B4 8B C7 E8 ?? ?? ?? ?? FF 75 B4 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? 83 BB 9C 00 00 00 00 74 1F F6 45 FF 10 74 19 FF 36 68 ?? ?? ?? ?? FF B3 9C 00 00 00 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 36 68 ?? ?? ?? ?? FF 73 1C 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 69 00 7A 00 65 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 79 00 70 00 65 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 69 00 6C 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 70 00 64 00 69 00 72 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 64 00 69 00 72 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 64 00 69 00 72 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4F 00 53 00 2E 00 75 00 6E 00 69 00 78 00 3D 00 73 00 6C 00 69 00 6E 00 6B 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 70 00 65 00 72 00 6D 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 77 00 69 00 6E 00 33 00 32 00 2E 00 64 00 74 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 72 00 65 00 61 00 74 00 65 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6D 00 6F 00 64 00 69 00 66 00 79 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 55 00 4E 00 49 00 58 00 2E 00 6D 00 6F 00 64 00 65 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 2E 00 34 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 4E 00 49 00 58 00 2E 00 6F 00 77 00 6E 00 65 00 72 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 4E 00 49 00 58 00 2E 00 67 00 72 00 6F 00 75 00 70 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 75 00 6E 00 69 00 71 00 75 00 65 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2E 00 6C 00 61 00 73 00 74 00 61 00 63 00 63 00 65 00 73 00 73 00 74 00 69 00 6D 00 65 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 77 00 69 00 6E 00 33 00 32 00 2E 00 65 00 61 00 3D 00 30 00 78 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 57 00 69 00 6E 00 33 00 32 00 2E 00 64 00 74 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 57 00 69 00 6E 00 33 00 32 00 2E 00 64 00 6C 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33696_0 {
	meta:
		name = "TIdFTPListOutput.MLISTOutputDir"
		size = 144
		refs = "001b TIdFTPListOutput.MLISTOutputDir 004a TIdFTPListOutput.GetItems 007d @UStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 66 89 4D FA 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 8B 43 08 8B 70 08 4E 85 F6 7C 34 46 C7 45 F4 00 00 00 00 8D 45 F0 50 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B D0 0F B7 4D FA 8B C3 8B 38 FF 57 3C 8B 55 F0 8B 45 FC 8B 08 FF 51 38 FF 45 F4 4E 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33697_0 {
	meta:
		name = "TIdFTPListOutput.NListItem"
		size = 404
		refs = "0014 TIdFTPListOutput.NListItem 0024 IndyGetFileName 003a TIdFTPListOutput.HasSwitch 0056 @UStrCatN 0091 @UStrCat 00b8 IsUnixExec 00d4 TIdFTPListOutput.UnixINodeOutput 00e3 TIdFTPListOutput.UnixBlocksOutput 010e @UStrArrayClr 0114 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 47 1C E8 ?? ?? ?? ?? 80 7B 20 00 0F 85 C6 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 68 ?? ?? ?? ?? FF 36 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 52 0F B6 47 38 2C 01 72 07 48 2C 02 72 10 EB 1C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 35 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 27 8B 8F 88 00 00 00 8B 97 80 00 00 00 8B 87 84 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? FF 75 FC 8D 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? FF 75 F8 FF 36 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 51 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 46 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 70 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_33698_0 {
	meta:
		name = "TIdFTPListOutput.NLISTOutputDir"
		size = 10
	strings:
		$1 = { 53 33 C9 8B 18 FF 53 40 5B C3 }
	condition:
		$1
}

rule function_33700_0 {
	meta:
		name = "TIdFTPListOutput.UnixBlocksOutput"
		size = 112
		refs = "000d TIdFTPListOutput.UnixBlocksOutput 0014 TIdFTPListOutput.HasSwitch 0035 IndyFormat 003e @UStrClr"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F1 8B FA 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 56 8B 47 50 89 44 24 04 C6 44 24 08 00 8D 54 24 04 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 34 00 64 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_33701_0 {
	meta:
		name = "TIdFTPListOutput.UnixGetOutputGroup"
		size = 42
		refs = "0016 TIdFTPListOutput.UnixGetOutputOwner 0022 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 83 7B 44 00 75 0D 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? EB 0A 8B C7 8B 53 44 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33702_0 {
	meta:
		name = "TIdFTPListOutput.UnixGetOutputGroupPerms"
		size = 112
		refs = "001c TIdFTPListOutput.UnixGetOutputGroupPerms 0021 @UStrAsg"
	strings:
		$1 = { 53 56 8B F1 8B DA 83 BB 88 00 00 00 00 75 27 0F B6 43 38 04 FE 2C 02 73 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 72 00 77 00 78 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 72 00 77 00 2D 00 00 00 }
	condition:
		$1
}

rule function_33703_0 {
	meta:
		name = "TIdFTPListOutput.UnixGetOutputOtherPerms"
		size = 112
		refs = "001c TIdFTPListOutput.UnixGetOutputOtherPerms 0021 @UStrAsg"
	strings:
		$1 = { 53 56 8B F1 8B DA 83 BB 88 00 00 00 00 75 27 0F B6 43 38 04 FE 2C 02 73 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 72 00 2D 00 78 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 72 00 2D 00 2D 00 00 00 }
	condition:
		$1
}

rule function_33704_0 {
	meta:
		name = "TIdFTPListOutput.UnixGetOutputOwner"
		size = 64
		refs = "000f TIdFTPListOutput.UnixGetOutputOwner 0014 @UStrAsg"
	strings:
		$1 = { 53 56 8B F1 8B DA 83 7B 48 00 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 48 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 72 00 6F 00 6F 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_33705_0 {
	meta:
		name = "TIdFTPListOutput.UnixGetOutputOwnerPerms"
		size = 112
		refs = "001c TIdFTPListOutput.UnixGetOutputOwnerPerms 0021 @UStrAsg"
	strings:
		$1 = { 53 56 8B F1 8B DA 83 BB 84 00 00 00 00 75 27 0F B6 43 38 04 FE 2C 02 73 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 84 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 72 00 77 00 78 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 72 00 77 00 2D 00 00 00 }
	condition:
		$1
}

rule function_33706_0 {
	meta:
		name = "TIdFTPListOutput.UnixINodeOutput"
		size = 220
		refs = "001b TIdFTPListOutput.UnixINodeOutput 0028 @UStrClr 0034 TIdFTPListOutput.HasSwitch 0048 IntToStr 005e @UStrCopy 007b IndyFormat 0085 @UStrCat 009f @UStrArrayClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F8 89 5D FC 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 4D 8B 47 54 99 33 C2 2B C2 8D 55 FC E8 ?? ?? ?? ?? 8D 45 FC 50 B9 0A 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 69 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 31 00 30 00 73 00 20 00 00 00 }
	condition:
		$1
}

rule function_33707_0 {
	meta:
		name = "TIdFTPListOutput.UnixItem"
		size = 1716
		refs = "0020 TIdFTPListOutput.UnixItem 0031 IndyGetFileName 003d TIdFTPListOutput.UnixBlocksOutput 004d TIdFTPListOutput.UnixINodeOutput 0058 @UStrCat3 0081 @UStrLAsg 00cb TIdFTPListOutput.HasSwitch 00dc @UStrCat 0129 TIdFTPListOutput.UnixGetOutputOwner 014b TIdFTPListOutput.UnixGetOutputGroup 016d TIdFTPListOutput.UnixGetOutputOwnerPerms 018f TIdFTPListOutput.UnixGetOutputGroupPerms 01ae TIdFTPListOutput.UnixGetOutputOtherPerms 01d8 IndyFormat 0204 DecodeDate 022c CurrencyString 0234 FormatDateTime 023e monthnames 02a8 IsIn6MonthWindow 0342 @UStrCatN 03d1 IndyPos 046d IsUnixExec 049a @UStrArrayClr 04ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 18 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 46 1C E8 ?? ?? ?? ?? 8D 4D 9C 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 9C 50 8D 4D 98 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 98 8B C7 59 E8 ?? ?? ?? ?? 0F B6 46 38 2C 01 72 06 FE C8 74 1F EB 2C C7 46 10 00 02 00 00 C7 46 14 00 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 40 85 C0 75 09 C7 45 C8 01 00 00 00 EB 03 89 45 C8 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 94 50 8D 46 10 89 85 5C FF FF FF C6 85 60 FF FF FF 10 8D 8D 58 FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 89 85 64 FF FF FF C6 85 68 FF FF FF 11 8D 8D 54 FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 89 85 6C FF FF FF C6 85 70 FF FF FF 11 8D 8D 50 FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 89 85 74 FF FF FF C6 85 78 FF FF FF 11 8D 8D 4C FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 89 85 7C FF FF FF C6 45 80 11 8D 8D 48 FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 89 45 84 C6 45 88 11 8B 45 C8 89 45 8C C6 45 90 00 8D 95 5C FF FF FF B9 06 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 94 8D 45 FC E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 28 DD 5D C0 9B FF 75 C4 FF 75 C0 8D 4D CE 8D 55 CC 8D 45 CE E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 89 45 B8 8B 45 C4 89 45 BC FF 75 BC FF 75 B8 8D 4D E8 8B 15 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 0F B7 45 CC 8B 15 ?? ?? ?? ?? 8B 54 82 FC 8D 45 F8 8B 4D E8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 40 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 89 45 B0 8B 45 C4 89 45 B4 FF 75 B4 FF 75 B0 8D 4D E0 8B 15 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 E0 E8 ?? ?? ?? ?? E9 87 00 00 00 FF 75 C4 FF 75 C0 E8 ?? ?? ?? ?? 84 C0 74 3D 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 89 45 A8 8B 45 C4 89 45 AC FF 75 AC FF 75 A8 8D 4D D8 8B 15 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8D 45 F8 8B 55 D8 E8 ?? ?? ?? ?? EB 3B 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 89 45 A0 8B 45 C4 89 45 A4 FF 75 A4 FF 75 A0 8D 4D D0 8B 15 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 D0 E8 ?? ?? ?? ?? FF 37 FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C7 BA 05 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D FF 37 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C7 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 0A 8B C7 8B 55 F4 E8 ?? ?? ?? ?? 0F B6 46 38 04 FE 2C 02 73 48 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 FF 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 76 4C 68 ?? ?? ?? ?? 8B C7 BA 05 00 00 00 E8 ?? ?? ?? ?? EB 16 FF 37 68 ?? ?? ?? ?? FF 76 4C 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 09 8B 53 18 B8 ?? ?? ?? ?? FF D1 85 C0 7F 16 8B 0D ?? ?? ?? ?? 8B 09 8B 53 18 B8 ?? ?? ?? ?? FF D1 85 C0 7E 18 0F B6 46 38 84 C0 74 04 2C 03 75 0C 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5E 80 7E 38 01 75 58 8D 8D 44 FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 85 44 FF FF FF 50 8D 8D 40 FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 85 40 FF FF FF 50 8D 8D 3C FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 85 3C FF FF FF 5A 59 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 3C FF FF FF BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 94 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 0C 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 64 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 25 00 33 00 3A 00 33 00 73 00 25 00 34 00 3A 00 33 00 73 00 25 00 35 00 3A 00 33 00 73 00 20 00 25 00 36 00 3A 00 33 00 64 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 67 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 31 00 3A 00 2D 00 38 00 73 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 32 00 3A 00 2D 00 38 00 73 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 30 00 3A 00 38 00 64 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 64 00 64 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 20 00 68 00 68 00 3A 00 6E 00 6E 00 3A 00 73 00 73 00 20 00 79 00 79 00 79 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 68 00 68 00 3A 00 6E 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 20 00 79 00 79 00 79 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 51 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 2D 00 3E 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 46 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 70 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_33708_0 {
	meta:
		name = "TIdFTPListOutput.Win32Item"
		size = 432
		refs = "0021 TIdFTPListOutput.Win32Item 0032 IndyGetFileName 0049 StringOfChar 0059 @UStrCat3 0069 IntToStr 00b9 @UStrLAsg 00d5 CurrencyString 00dd FormatDateTime 00fd @UStrCatN 0117 @UStrArrayClr 0137 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D EC 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 43 1C E8 ?? ?? ?? ?? 80 7B 38 00 75 23 8D 4D DC BA 09 00 00 00 66 B8 20 00 E8 ?? ?? ?? ?? 8B 4D DC 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 51 FF 73 14 FF 73 10 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 89 45 D4 8B 75 D4 85 F6 74 05 83 EE 04 8B 36 8D 4D D0 BA 14 00 00 00 2B D6 66 B8 20 00 E8 ?? ?? ?? ?? 8B 45 D0 50 FF 73 14 FF 73 10 8D 45 CC E8 ?? ?? ?? ?? 8B 4D CC 8D 45 FC 5A E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C7 8B 08 FF 51 28 DD 5D E0 9B FF 75 E4 FF 75 E0 8D 4D F0 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8B 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 20 00 20 00 20 00 20 00 20 00 3C 00 44 00 49 00 52 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 6D 00 6D 00 2D 00 64 00 64 00 2D 00 79 00 79 00 20 00 20 00 68 00 68 00 3A 00 6E 00 6E 00 41 00 4D 00 2F 00 50 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33709_0 {
	meta:
		name = "TDirEntry.AddFileName"
		size = 277
		refs = "0020 TDirEntry.AddFileName 0035 IndyGetFilePath 0040 StripInitPathDelim 004b @UStrEqual 008b TIdObjectList.GetItem 00b5 TextStartsWith 00f6 @UStrArrayClr 00fe @UStrClr 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D E8 89 5D FC 89 4D F4 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 53 04 E8 ?? ?? ?? ?? 75 22 8B 55 F8 8B 43 10 8B 08 FF 51 54 40 75 0E 8B 4D F4 8B 55 F8 8B 43 10 8B 18 FF 53 3C C6 45 F3 01 EB 6D 8B 43 0C 85 C0 74 66 8B 78 08 4F 85 FF 7C 5E 47 33 F6 8B D6 8B 43 0C E8 ?? ?? ?? ?? 89 45 EC 8D 55 E4 8B 45 EC 8B 40 08 8B 40 1C E8 ?? ?? ?? ?? 8B 45 E4 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 1F 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 F3 01 EB 04 46 4F 75 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33710_0 {
	meta:
		name = "TDirEntry.AddSubDir"
		size = 407
		refs = "0021 TDirEntry.AddSubDir 0035 IndyGetFilePath 0040 StripInitPathDelim 004b @UStrEqual 005e _Dn_TIdObjectList 0063 TIdObjectList.Create 0086 IndyGetFileName 0091 @UStrLAsg 009e _DV_TDirEntry 00a3 TDirEntry.Create 00bf TIdObjectList.Add 00ce @HandleAnyException 00d6 TObject.Free 00db @RaiseAgain 00e0 @DoneExcept 00ec TDirEntry.AddFileName 0114 TIdObjectList.GetItem 013d TextStartsWith 0178 @UStrArrayClr 0180 @UStrClr 0186 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 53 04 E8 ?? ?? ?? ?? 0F 85 A1 00 00 00 83 7B 0C 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 FC E8 ?? ?? ?? ?? 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? C6 45 F7 01 EB 6C 8B 43 0C 85 C0 74 65 8B 78 08 4F 85 FF 7C 5D 47 C7 45 EC 00 00 00 00 8B 43 0C 8B 55 EC E8 ?? ?? ?? ?? 89 45 F0 8D 55 DC 8B 45 F0 8B 40 08 8B 40 1C E8 ?? ?? ?? ?? 8B 45 DC 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 8B 4D F8 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 F7 01 EB 06 FF 45 EC 4F 75 AB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33711_0 {
	meta:
		name = "TDirEntry.Create"
		size = 109
		refs = "000e @ClassCreate 001d TObject.Create 0027 @UStrAsg 002e _Dn_TIdBubbleSortStringList 0033 TStringList.Create 0043 _Dn_TIdObjectList 0048 TIdObjectList.Create 0056 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 04 8B D6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 8B 45 08 89 47 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_33713_0 {
	meta:
		name = "TDirEntry.SortAscendFName"
		size = 79
		refs = "000d StrSortAscFName 0021 DESortAscFName 0026 TIdObjectList.BubbleSort 003e TIdObjectList.GetItem 0043 TDirEntry.SortAscendFName"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 10 85 C0 74 0D BA ?? ?? ?? ?? 8B 08 FF 91 A8 00 00 00 8B 43 0C 85 C0 74 2B BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 43 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33717_0 {
	meta:
		name = "TDirEntry.SortAscendFNameExt"
		size = 79
		refs = "000d StrSortAscFNameExt 0021 DESortAscFName 0026 TIdObjectList.BubbleSort 003e TIdObjectList.GetItem 0043 TDirEntry.SortAscendFNameExt"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 10 85 C0 74 0D BA ?? ?? ?? ?? 8B 08 FF 91 A8 00 00 00 8B 43 0C 85 C0 74 2B BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 43 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33718_0 {
	meta:
		name = "TDirEntry.SortDescendFNameExt"
		size = 79
		refs = "000d StrSortDescFNameExt 0021 DESortAscFName 0026 TIdObjectList.BubbleSort 003e TIdObjectList.GetItem 0043 TDirEntry.SortDescendFNameExt"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 10 85 C0 74 0D BA ?? ?? ?? ?? 8B 08 FF 91 A8 00 00 00 8B 43 0C 85 C0 74 2B BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 43 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33714_0 {
	meta:
		name = "TDirEntry.SortAscendMTime"
		size = 75
		refs = "0006 StrSortAscMTime 001d DESortAscMTime 0022 TIdObjectList.BubbleSort 003a TIdObjectList.GetItem 003f TDirEntry.SortAscendMTime"
	strings:
		$1 = { 53 56 57 8B D8 BA ?? ?? ?? ?? 8B 43 10 8B 08 FF 91 A8 00 00 00 8B 43 0C 85 C0 74 2B BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 43 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33719_0 {
	meta:
		name = "TDirEntry.SortAscendSize"
		size = 75
		refs = "0006 StrSortAscSize 001d DESortAscMTime 0022 TIdObjectList.BubbleSort 003a TIdObjectList.GetItem 003f TDirEntry.SortAscendSize"
	strings:
		$1 = { 53 56 57 8B D8 BA ?? ?? ?? ?? 8B 43 10 8B 08 FF 91 A8 00 00 00 8B 43 0C 85 C0 74 2B BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 43 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33715_0 {
	meta:
		name = "TDirEntry.SortDescendMTime"
		size = 75
		refs = "0006 StrSortDescMTime 001d DESortDescMTime 0022 TIdObjectList.BubbleSort 003a TIdObjectList.GetItem 003f TDirEntry.SortDescendMTime"
	strings:
		$1 = { 53 56 57 8B D8 BA ?? ?? ?? ?? 8B 43 10 8B 08 FF 91 A8 00 00 00 8B 43 0C 85 C0 74 2B BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 43 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33720_0 {
	meta:
		name = "TDirEntry.SortDescendSize"
		size = 75
		refs = "0006 StrSortDescSize 001d DESortDescFName 0022 TIdObjectList.BubbleSort 003a TIdObjectList.GetItem 003f TDirEntry.SortDescendSize"
	strings:
		$1 = { 53 56 57 8B D8 BA ?? ?? ?? ?? 8B 43 10 8B 08 FF 91 A8 00 00 00 8B 43 0C 85 C0 74 2B BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 43 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33716_0 {
	meta:
		name = "TDirEntry.SortDescendFName"
		size = 75
		refs = "000d DESortDescFName 0012 TIdObjectList.BubbleSort 002a TIdObjectList.GetItem 002f TDirEntry.SortDescendFName 0038 StrSortDescFName"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 0C 85 C0 74 2B BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 43 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED BA ?? ?? ?? ?? 8B 43 10 8B 08 FF 91 A8 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_33721_0 {
	meta:
		name = "TIdFTPListOutputItem.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TIdFTPListItem.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 98 00 00 00 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_33724_0 {
	meta:
		name = "TIdFTPLPAS400.CheckListing"
		size = 300
		refs = "0014 TIdFTPLPAS400.CheckListing 0034 _Dn_TStringList 0039 TStringList.Create 0066 SplitColumns 00a9 @UStrEqual 00ce TObject.Free 00d4 @HandleFinally 00f0 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B C3 8B 10 FF 52 14 85 C0 0F 8E A9 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D F4 33 D2 8B C3 8B 18 FF 53 0C 8B 45 F4 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 04 7E 41 8D 4D F0 BA 04 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 F0 66 83 38 2A 74 23 8D 4D EC BA 04 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 52 00 00 00 }
	condition:
		$1
}

rule function_33725_0 {
	meta:
		name = "TIdFTPLPAS400.GetIdent"
		size = 44
		refs = "0006 TIdFTPLPAS400.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 53 00 34 00 30 00 30 00 00 00 }
	condition:
		$1
}

rule function_33727_0 {
	meta:
		name = "TIdFTPLPAS400.ParseLine"
		size = 764
		refs = "001c TIdFTPLPAS400.ParseLine 0038 _Dn_TIdOwnerFTPListItem 003d @AsClass 0052 @UStrLAsg 0067 Fetch 0072 @UStrAsg 007d TrimLeft 0099 IsNumeric 00bb FetchLength 00c3 IndyStrToInt64 0113 StrPart 011e Trim 014d @UStrCat 015b AS400Date 01be TimeHHMMSS 01fc DIR_TYPES 0209 PosInStrArray 021d TextEndsWith 0256 TIdFTPListItem.SetFileName 026e @UStrClr 027e StripPath 0289 LowerCase 02a5 @HandleAnyException 02ac @DoneExcept 02c6 @UStrArrayClr 02cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 C6 43 25 00 C6 43 24 00 8D 45 FC 8B 56 18 E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 43 40 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 55 8B 45 FC 0F B7 00 E8 ?? ?? ?? ?? 84 C0 74 46 6A 00 6A 00 6A 01 6A 01 8D 45 E4 50 8D 45 FC B9 ?? ?? ?? ?? BA 09 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 89 43 10 89 53 14 C6 43 24 01 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 D8 00 00 00 8B 45 FC 0F B7 00 E8 ?? ?? ?? ?? 84 C0 0F 84 C5 00 00 00 8D 45 DC 50 8D 45 FC B1 01 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC 8D 55 F8 E8 ?? ?? ?? ?? 83 7D FC 00 74 29 8B 45 FC 66 83 38 20 74 20 6A 01 8D 45 D8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 10 8B 45 F8 E8 ?? ?? ?? ?? DD 5B 28 9B C6 43 25 01 8D 45 D4 50 8D 45 FC B1 01 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 8D 55 F4 E8 ?? ?? ?? ?? 83 7D FC 00 74 29 8B 45 FC 66 83 38 20 74 20 6A 01 8D 45 D0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 74 0F 8B 45 F4 E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 6A 01 8D 45 F0 50 8D 45 FC B9 ?? ?? ?? ?? BA 0B 00 00 00 E8 ?? ?? ?? ?? 6A 01 BA ?? ?? ?? ?? B9 03 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 40 7E 35 C6 43 38 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 20 6A 01 8D 45 C8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8D 45 FC E8 ?? ?? ?? ?? 8D 55 C4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C4 8B C3 E8 ?? ?? ?? ?? 83 7B 1C 00 75 12 8B 53 40 8B C3 E8 ?? ?? ?? ?? 8D 43 40 E8 ?? ?? ?? ?? 8D 4D BC 8B 46 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 8D 55 C0 E8 ?? ?? ?? ?? 8B 55 C0 8D 43 20 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 11 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_33728_0 {
	meta:
		name = "Finalization"
		size = 79
		refs = "0007 Finalization 0013 _DV_3 001a _DV_TIdFTPLPAS400 001f UnregisterFTPListParser 0024 DIR_TYPES 002f string 0034 @FinalizeArray 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1F A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_33731_0 {
	meta:
		name = "TIdFTPRegParseList.CheckListing"
		size = 62
		refs = "0014 @UStrClr 0025 TIdFTPRegParseList.FindParserByDirData"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 0F B6 45 0C 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 07 8B D6 8B C3 FF 50 08 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_33732_0 {
	meta:
		name = "TIdFTPRegParseList.ParseListing"
		size = 57
		refs = "0013 TCollection.Clear 001d TIdFTPRegParseList.FindParserByIdent"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B F8 B3 01 8B C6 E8 ?? ?? ?? ?? 8B 55 08 8B C7 E8 ?? ?? ?? ?? 85 C0 74 0A 8B CE 8B 55 FC FF 50 10 8B D8 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_33733_0 {
	meta:
		name = "TIdFTPRegParseList.CheckListParse"
		size = 141
		refs = "001a TIdFTPRegParseList.CheckListParse 002e TIdFTPRegParseList.FindParserByDirData 004c @UStrAsg 0076 @UStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 33 C9 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 95 C3 84 DB 74 28 8D 55 F4 8B C7 FF 50 08 8B 55 F4 8B 45 10 E8 ?? ?? ?? ?? 8B 45 10 8B 00 50 8B 4D F8 8B 55 FC 8B C6 8B 18 FF 53 10 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_33734_0 {
	meta:
		name = "TIdFTPRegParseList.FindParserByIdent"
		size = 125
		refs = "0018 TIdFTPRegParseList.FindParserByIdent 0036 TList.Get 004b @UStrEqual 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 70 08 4E 85 F6 7C 28 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8D 55 F4 8B C3 FF 50 08 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 74 06 47 4E 75 DB 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33735_0 {
	meta:
		name = "TIdFTPRegParseList.FindParserByDirData"
		size = 83
		refs = "0026 TList.Get"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 70 08 4E 85 F6 7C 2B 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 0F B6 45 08 50 8B 4D F4 8B 55 F8 8B C3 FF 50 0C 84 C0 74 04 8B C3 EB 06 47 4E 75 D8 33 C0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_33736_0 {
	meta:
		name = "TIdFTPRegParseList.CheckListParseCapa"
		size = 360
		refs = "0020 TIdFTPRegParseList.CheckListParseCapa 002e @UStrClr 0036 TCollection.Clear 0056 TList.Get 007e PosInStrArray 0099 RSFTPNoListParseUnitsRegistered 009e LoadResString 00a8 _DV_EIdFTPListParseError 00ad EIdException.Create 00b2 @RaiseExcept 00c4 TIdFTPRegParseList.FindParserByDirData 00ec @UStrAsg 0116 @UStrArrayClr 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D F0 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 80 7D 08 00 74 76 C6 45 F7 00 8B 5E 08 4B 85 DB 7C 43 43 33 FF 6A 01 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 FF 50 08 8B 45 F0 50 B8 ?? ?? ?? ?? 89 45 E8 B8 ?? ?? ?? ?? 89 45 EC 8D 55 E8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 40 75 06 C6 45 F7 01 EB 04 47 4B 75 C0 80 7D F7 00 75 21 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 08 50 8B 4D 0C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 10 89 02 8B 45 10 83 38 00 0F 95 C3 84 DB 74 26 8D 55 E0 8B 45 10 8B 00 FF 50 08 8B 55 E0 8B 45 14 E8 ?? ?? ?? ?? 8B 45 10 8B 00 8B 4D F8 8B 55 FC FF 50 10 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 4C 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4C 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_33737_0 {
	meta:
		name = "RegisterFTPListParser"
		size = 13
		refs = "0003 GParserList 0008 TList.Add"
	strings:
		$1 = { 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33764_0 {
	meta:
		name = "EnumFTPListParsers"
		size = 13
		refs = "0003 GParserList 0008 TIdFTPRegParseList.EnumFTPListParsers"
	strings:
		$1 = { 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38112_0 {
	meta:
		name = "TIdTCPClientCustom.MakeImplicitClientHandler"
		size = 13
		refs = "0003 _Dn_TIdIOHandler 0008 TIdIOHandler.MakeDefaultIOHandler"
	strings:
		$1 = { 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42061_0 {
	meta:
		name = "TInTCPClientCustom.MakeImplicitClientHandler"
		size = 13
		refs = "0003 _Dn_TInIOHandler 0008 TInIOHandler.MakeDefaultIOHandler"
	strings:
		$1 = { 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47983_0 {
	meta:
		name = "TSocketDispatcherThread.AddClient"
		size = 13
		refs = "0003 SocketForm 0008 TSocketForm.AddClient"
	strings:
		$1 = { 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47984_0 {
	meta:
		name = "TSocketDispatcherThread.RemoveClient"
		size = 13
		refs = "0003 SocketForm 0008 TSocketForm.RemoveClient"
	strings:
		$1 = { 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34475_0 {
	meta:
		name = "ToDo"
		size = 13
		refs = "0003 _Dn_EIdException 0008 EIdException.Toss"
	strings:
		$1 = { 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_40624_0 {
	meta:
		name = "ToDo"
		size = 13
		refs = "0003 _Dn_EInException 0008 EInException.Toss"
	strings:
		$1 = { 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33738_0 {
	meta:
		name = "UnregisterFTPListParser"
		size = 24
		refs = "0002 GParserList 0013 TList.RemoveItem"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0E 8B 15 ?? ?? ?? ?? 33 C9 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92902_0 {
	meta:
		name = "UnRegisterTeeExportFormat"
		size = 24
		refs = "0002 TeeExportFormats 0013 TList.RemoveItem"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0E 8B 15 ?? ?? ?? ?? 33 C9 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34869_0 {
	meta:
		name = "UnregisterHeaderCoder"
		size = 24
		refs = "0002 GHeaderCoderList 0013 TList.RemoveItem"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0E 8B 15 ?? ?? ?? ?? 33 C9 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33739_0 {
	meta:
		name = "ParseListing"
		size = 18
		refs = "0004 GParserList"
	strings:
		$1 = { 53 51 8B 0D ?? ?? ?? ?? 91 87 CA 8B 18 FF 53 10 5B C3 }
	condition:
		$1
}

rule function_33740_0 {
	meta:
		name = "CheckListParse"
		size = 33
		refs = "0010 GParserList"
	strings:
		$1 = { 55 8B EC 53 51 8B 4D 0C 51 0F B6 4D 08 51 8B 0D ?? ?? ?? ?? 91 87 CA 8B 18 FF 53 14 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_33741_0 {
	meta:
		name = "CheckListing"
		size = 43
		refs = "001b GParserList"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B F2 8B D8 0F B6 45 FF 50 8B 45 08 50 8B CE 8B D3 A1 ?? ?? ?? ?? 8B 18 FF 53 18 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_33742_0 {
	meta:
		name = "CheckListParseCapa"
		size = 41
		refs = "0016 GParserList"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 51 8B 45 10 50 8B 45 0C 50 0F B6 45 08 50 A1 ?? ?? ?? ?? 8B CE 87 CA 8B 18 FF 53 1C 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_33743_0 {
	meta:
		name = "TIdFTPRegParseList.EnumFTPListParsers"
		size = 208
		refs = "0017 TIdFTPRegParseList.EnumFTPListParsers 002a GParserList 003e TList.Get 0066 PosInStrArray 008d @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 44 A1 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 46 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 55 FC FF 50 08 6A 01 B8 ?? ?? ?? ?? 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 8D 55 F0 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 40 75 0B 8B 55 FC 8B 45 F8 8B 08 FF 51 38 46 4B 75 BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 4C 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4C 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_33748_0 {
	meta:
		name = "TIdFTPListBase.ParseListing"
		size = 179
		refs = "001e TIdFTPListBase.ParseListing 0073 @UStrAsg 009c @UStrArrayClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 01 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4B 46 33 DB 8D 4D E8 8B D3 8B 45 F8 8B 38 FF 57 0C 83 7D E8 00 74 31 8B 55 F4 8B 45 FC FF 10 89 45 EC 8D 4D E4 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 55 E4 8B 45 EC 83 C0 18 E8 ?? ?? ?? ?? 33 C9 8B 55 EC 8B 45 FC FF 50 04 43 4E 75 B8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33749_0 {
	meta:
		name = "TIdFTPLPNList.CheckListing"
		size = 13
	strings:
		$1 = { 55 8B EC 0F B6 45 08 34 01 5D C2 04 00 }
	condition:
		$1
}

rule function_33750_0 {
	meta:
		name = "TIdFTPLPNList.GetIdent"
		size = 44
		refs = "0006 TIdFTPLPNList.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 4C 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_33751_0 {
	meta:
		name = "TIdFTPLPNList.ParseLine"
		size = 13
		refs = "0006 TIdFTPListItem.SetFileName"
	strings:
		$1 = { 8B C2 8B 52 18 E8 ?? ?? ?? ?? B0 01 C3 }
	condition:
		$1
}

rule function_33753_0 {
	meta:
		name = "TIdFTPLPMList.GetIdent"
		size = 44
		refs = "0006 TIdFTPLPMList.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4C 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_33755_0 {
	meta:
		name = "TIdFTPLPMList.ParseLine"
		size = 2060
		refs = "001f TIdFTPLPMList.ParseLine 002d _Dn_TIdMLSTFTPListItem 0032 @AsClass 003b _Dn_TStringList 0040 TStringList.Create 006a ParseFactsMLS 0074 TIdFTPListItem.SetFileName 007f @UStrAsg 008f TStrings.GetValue 00e1 PosInStrArray 0144 TextStartsWith 0161 Fetch 01be FTPMLSToLocalDateTime 01ca FTPMLSToGMTDateTime 0256 IndyStrToInt64 02f1 IsNumeric 0303 IndyStrToInt 030b ChmodNoToPerms 034f @UStrCat3 044e TObject.Free 0454 @HandleFinally 0470 @UStrArrayClr 0478 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 33 DB 89 5D C4 89 5D C8 89 5D CC 89 5D F0 89 5D FC 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 ?? ?? ?? ?? 8D 45 F0 50 8B 46 18 B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 43 20 8B 56 1C E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 6A 01 B8 ?? ?? ?? ?? 89 45 D0 B8 ?? ?? ?? ?? 89 45 D4 B8 ?? ?? ?? ?? 89 45 D8 B8 ?? ?? ?? ?? 89 45 DC B8 ?? ?? ?? ?? 89 45 E0 B8 ?? ?? ?? ?? 89 45 E4 B8 ?? ?? ?? ?? 89 45 E8 B8 ?? ?? ?? ?? 89 45 EC 8D 55 D0 B9 07 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 F8 07 77 51 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C6 43 38 00 E9 8A 00 00 00 C6 43 38 02 E9 81 00 00 00 C6 43 38 07 EB 7B C6 43 38 04 EB 75 C6 43 38 05 EB 6F C6 43 38 06 EB 69 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 26 C6 43 38 02 6A 01 8D 45 CC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 68 8B 55 FC E8 ?? ?? ?? ?? EB 32 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 38 04 EB 1B BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 38 05 EB 04 C6 43 38 01 8D 4D FC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 7D FC 00 74 1E 8B 45 FC E8 ?? ?? ?? ?? DD 5B 28 9B 8B 45 FC E8 ?? ?? ?? ?? DD 5B 30 9B C6 43 25 01 EB 04 C6 43 25 00 8D 4D FC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8B 45 FC E8 ?? ?? ?? ?? DD 5B 40 9B 8B 45 FC E8 ?? ?? ?? ?? DD 5B 50 9B 8D 4D FC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8B 45 FC E8 ?? ?? ?? ?? DD 5B 58 9B 8B 45 FC E8 ?? ?? ?? ?? DD 5B 60 9B 8D 4D FC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 89 43 10 89 53 14 C6 43 24 01 EB 04 C6 43 24 00 80 7B 24 00 75 32 80 7B 38 00 75 2C 8D 4D FC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 89 43 10 89 53 14 C6 43 24 01 8D 4D FC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 7D FC 00 74 1B 8D 43 70 8B 55 FC E8 ?? ?? ?? ?? 8D 43 3C 8B 53 70 E8 ?? ?? ?? ?? E9 F7 00 00 00 8D 4D FC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 DD 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 C2 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 0F B6 43 38 83 F8 07 0F 87 A3 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6A 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 58 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 46 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 34 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 3C 8B 55 FC E8 ?? ?? ?? ?? 8D 4D C8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 C8 8D 43 6C E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 7D FC 00 74 39 6A 01 8D 45 C4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 48 01 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 53 4C 89 42 04 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 0F B6 45 FB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 64 00 69 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 70 00 64 00 69 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 69 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4F 00 53 00 2E 00 75 00 6E 00 69 00 78 00 3D 00 73 00 6C 00 69 00 6E 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4F 00 53 00 2E 00 75 00 6E 00 69 00 78 00 3D 00 73 00 6F 00 63 00 6B 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4F 00 53 00 2E 00 75 00 6E 00 69 00 78 00 3D 00 62 00 6C 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4F 00 53 00 2E 00 75 00 6E 00 69 00 78 00 3D 00 63 00 68 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4F 00 53 00 2E 00 75 00 6E 00 69 00 78 00 3D 00 66 00 69 00 66 00 6F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4F 00 53 00 2E 00 75 00 6E 00 69 00 78 00 3D 00 73 00 6C 00 69 00 6E 00 6B 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4F 00 53 00 2E 00 75 00 6E 00 69 00 78 00 3D 00 62 00 6C 00 6B 00 2D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4F 00 53 00 2E 00 75 00 6E 00 69 00 78 00 3D 00 63 00 68 00 72 00 2D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6D 00 6F 00 64 00 69 00 66 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 72 00 65 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2E 00 6C 00 61 00 73 00 74 00 61 00 63 00 63 00 65 00 73 00 73 00 74 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 69 00 7A 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 70 00 65 00 72 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 4E 00 49 00 58 00 2E 00 6D 00 6F 00 64 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 64 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 62 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 63 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 70 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 75 00 6E 00 69 00 71 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 77 00 69 00 6E 00 33 00 32 00 2E 00 65 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 78 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_33756_0 {
	meta:
		name = "TIdFTPListBaseHeader.CheckListing"
		size = 188
		refs = "001d TIdFTPListBaseHeader.CheckListing 004d IsWhiteString 0065 IsLineStr 00a3 @UStrArrayClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 5D F0 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B C6 8B 10 FF 52 14 48 85 C0 7C 56 40 89 45 F4 33 DB 8D 4D F0 8B D3 8B C6 8B 38 FF 57 0C 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 32 8D 4D EC 8B D3 8B C6 8B 38 FF 57 0C 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 1A 8D 4D E8 8B D3 8B C6 8B 30 FF 56 0C 8B 55 E8 8B 45 FC FF 50 14 88 45 FB EB 06 43 FF 4D F4 75 B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_33759_0 {
	meta:
		name = "TIdFTPListBaseHeader.ParseListing"
		size = 363
		refs = "0023 TIdFTPListBaseHeader.ParseListing 007c IsWhiteString 0094 IsLineStr 0129 @UStrAsg 0156 @UStrArrayClr 015c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 14 85 C0 0F 8E 02 01 00 00 33 C0 89 45 F4 8B C6 8B 10 FF 52 14 48 85 C0 7C 5B 40 89 45 EC 33 DB 8D 4D E8 8B D3 8B C6 8B 38 FF 57 0C 8B 55 E8 8B 45 FC FF 50 14 84 C0 75 30 8D 4D E4 8B D3 8B C6 8B 38 FF 57 0C 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 18 8D 4D E0 8B D3 8B C6 8B 38 FF 57 0C 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 74 0C 8D 43 01 89 45 F4 43 FF 4D EC 75 AB 8B 5D F4 8B C6 8B 10 FF 52 14 48 2B C3 0F 8C 83 00 00 00 40 89 45 EC 8D 4D DC 8B D3 8B C6 8B 38 FF 57 0C 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 61 8D 4D D8 8B D3 8B C6 8B 38 FF 57 0C 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 75 49 8D 4D D4 8B D3 8B C6 8B 38 FF 57 0C 8B 55 D4 8B 45 FC FF 50 18 84 C0 75 30 8B 55 F8 8B 45 FC FF 10 89 45 F0 8D 4D D0 8B D3 8B C6 8B 38 FF 57 0C 8B 55 D0 8B 45 F0 83 C0 18 E8 ?? ?? ?? ?? 33 C9 8B 55 F0 8B 45 FC FF 50 04 43 FF 4D EC 75 81 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33760_0 {
	meta:
		name = "TIdFTPListBaseHeaderOpt.CheckListing"
		size = 56
		refs = "001a TIdFTPListBaseHeader.CheckListing"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 0F B6 45 08 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0F 0F B6 45 08 50 8B 4D FC 8B D6 8B C3 FF 50 1C 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_33763_0 {
	meta:
		name = "TIdFTPLPBaseDOS.IsValidAttr"
		size = 80
		refs = "001e TIdFTPLPBaseDOS.IsValidAttr 0027 CharIsInSet"
	strings:
		$1 = { 53 56 57 8B FA 33 C0 8B D7 85 D2 74 05 83 EA 04 8B 12 8B DA 85 DB 7E 1B BE 01 00 00 00 B9 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 74 04 46 4B 75 EA 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 41 00 53 00 48 00 00 00 00 00 }
	condition:
		$1
}

rule function_33766_0 {
	meta:
		name = "IdFTPListParseBase"
		size = 47
		refs = "0002 _DV_9 000c _DV_TIdFTPRegParseList 0011 TIdFTPRegParseList.Create 0016 GParserList 001b _DV_TIdFTPLPNList 0020 RegisterFTPListParser 0025 _DV_TIdFTPLPMList"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 25 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33767_0 {
	meta:
		name = "NumericOrSpace"
		size = 86
		refs = "0029 IsNumeric 003a CharEquals"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 C6 45 FF 01 8B C7 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 2E BB 01 00 00 00 0F B7 44 5F FE E8 ?? ?? ?? ?? 84 C0 75 17 66 B9 20 00 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 75 06 C6 45 FF 00 EB 04 43 4E 75 D7 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33768_0 {
	meta:
		name = "TIdFTPLPGOS7.CheckListing"
		size = 468
		refs = "0011 TIdFTPLPGOS7.CheckListing 0057 CharIsInSet 00db @UStrCopy 00e3 NumericOrSpace 017c @UStrArrayClr 0182 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 8B 10 FF 52 14 85 C0 0F 8E 3A 01 00 00 8D 4D FC 33 D2 8B C6 8B 18 FF 53 0C 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 36 7E 14 B9 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0D 8B 45 FC 66 83 78 02 20 0F 94 C0 EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0D 8B 45 FC 66 83 78 06 20 0F 94 C0 EB 02 33 C0 84 C0 74 0D 8B 45 FC 66 83 78 2E 20 0F 94 C0 EB 02 33 C0 84 C0 74 0D 8B 45 FC 66 83 78 30 20 0F 95 C0 EB 02 33 C0 84 C0 74 20 8D 45 F8 50 B9 02 00 00 00 BA 2E 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 30 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0D 8B 45 FC 66 83 78 60 20 0F 94 C0 EB 02 33 C0 84 C0 74 20 8D 45 F4 50 B9 04 00 00 00 BA 32 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0D 8B 45 FC 66 83 78 6A 20 0F 94 C0 EB 02 33 C0 84 C0 74 0D 8B 45 FC 66 83 78 6C 20 0F 95 C0 EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2D 00 64 00 73 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_33769_0 {
	meta:
		name = "TIdFTPLPGOS7.GetIdent"
		size = 56
		refs = "0006 TIdFTPLPGOS7.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 42 00 75 00 6C 00 6C 00 20 00 47 00 43 00 4F 00 53 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_33770_0 {
	meta:
		name = "TIdFTPLPGOS7.ParseLine"
		size = 304
		refs = "0015 TIdFTPLPGOS7.ParseLine 0023 _Dn_TIdOwnerFTPListItem 0028 @AsClass 0053 @UStrCopy 005d TIdFTPListItem.SetFileName 008e StringReplace 0096 IsWhiteString 00a9 DateStrMonthDDYY 00ce Trim 00d9 @UStrAsg 00f5 @UStrArrayClr 00fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 43 18 66 83 38 64 75 06 C6 43 38 00 EB 04 C6 43 38 01 8D 45 F8 50 B9 FF FF FF 7F BA 37 00 00 00 8B 46 18 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 8D 45 F4 50 B9 0C 00 00 00 BA 2A 00 00 00 8B 46 18 E8 ?? ?? ?? ?? 8B 45 F4 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 13 33 C9 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DD 5B 28 9B 8D 45 EC 50 B9 11 00 00 00 BA 19 00 00 00 8B 46 18 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 40 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33773_0 {
	meta:
		name = "TIdFTPLPGOS8.CheckListing"
		size = 528
		refs = "000d TIdFTPLPGOS8.CheckListing 0053 CharIsInSet 019d IsNumeric 01cb @UStrClr 01d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 8B 10 FF 52 14 85 C0 0F 8E 92 01 00 00 8D 4D FC 33 D2 8B C6 8B 18 FF 53 0C 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 3B 7E 14 B9 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0D 8B 45 FC 66 83 78 02 20 0F 94 C0 EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0D 8B 45 FC 66 83 78 0A 20 0F 94 C0 EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 07 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 08 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 09 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0D 8B 45 FC 66 83 78 12 20 0F 94 C0 EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 0C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 B9 ?? ?? ?? ?? BA 0D 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0D 8B 45 FC 66 83 78 1A 20 0F 94 C0 EB 02 33 C0 84 C0 74 0E 8B 45 FC 0F B7 40 30 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0D 8B 45 FC 66 83 78 32 20 0F 94 C0 EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 02 00 00 00 64 00 2D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 74 00 73 00 72 00 77 00 78 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_33774_0 {
	meta:
		name = "TIdFTPLPGOS8.GetIdent"
		size = 56
		refs = "0006 TIdFTPLPGOS8.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 42 00 75 00 6C 00 6C 00 20 00 47 00 43 00 4F 00 53 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_33776_0 {
	meta:
		name = "TIdFTPLPGOS8.ParseLine"
		size = 454
		refs = "001c TIdFTPLPGOS8.ParseLine 002a _DV_TIdFTPLPGOS8ListItem 002f @AsClass 0077 @UStrCopy 0081 TIdFTPListItem.SetFileName 00fb IndyStrToInt64 0122 Trim 012d @UStrAsg 014b DateMMDDYY 018e TimeHHMMSS 01b1 @UStrArrayClr 01b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 18 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 50 01 00 00 8B 46 18 66 83 38 64 75 06 C6 46 38 00 EB 04 C6 46 38 01 8B 7B 18 85 FF 74 05 83 EF 04 8B 3F 8D 45 F8 50 8B CF BA 3C 00 00 00 8B 43 18 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 46 4C 50 B9 03 00 00 00 BA 03 00 00 00 8B 43 18 E8 ?? ?? ?? ?? 8D 46 48 50 B9 03 00 00 00 BA 07 00 00 00 8B 43 18 E8 ?? ?? ?? ?? 8D 46 50 50 B9 03 00 00 00 BA 0B 00 00 00 8B 43 18 E8 ?? ?? ?? ?? 8D 46 3C 50 B9 0D 00 00 00 BA 01 00 00 00 8B 43 18 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 F4 50 B9 0B 00 00 00 BA 0F 00 00 00 8B 43 18 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 46 10 89 56 14 8D 45 EC 50 B9 0E 00 00 00 BA 2E 00 00 00 8B 43 18 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8D 46 40 E8 ?? ?? ?? ?? 8D 45 E8 50 B9 08 00 00 00 BA 1B 00 00 00 8B 43 18 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? DD 5E 28 9B 8D 45 FC 50 B9 08 00 00 00 BA 24 00 00 00 8B 43 18 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 89 45 E0 8B 45 E0 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 45 FC E8 ?? ?? ?? ?? DC 46 28 DD 5E 28 9B B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33779_0 {
	meta:
		name = "TIdFTPLPChameleonNewt.CheckListing"
		size = 644
		refs = "001f TIdFTPLPChameleonNewt.CheckListing 0066 Fetch 0071 TrimLeft 007c @UStrLAsg 009e @UStrEqual 00a8 IsNumeric 00ed StrToMonth 0131 IndyStrToInt64 01bd IsHHMMSS 0228 @UStrArrayClr 023b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 F4 8B 10 FF 52 14 48 85 C0 0F 8C D6 01 00 00 40 89 45 EC C7 45 F0 00 00 00 00 8D 4D FC 8B 55 F0 8B 45 F4 8B 18 FF 53 0C 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 10 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 84 DB 0F 84 54 01 00 00 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 97 C3 84 DB 0F 84 14 01 00 00 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 6A 01 8D 45 D8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 7E 05 83 F8 20 7C 04 33 DB EB 02 B3 01 84 DB 0F 84 C6 00 00 00 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 D0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 84 89 00 00 00 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 84 DB 74 4B 8D 55 C8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C8 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 23 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 FF 50 14 8B D8 84 DB 75 C1 FF 45 F0 FF 4D EC 0F 85 35 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 44 00 49 00 52 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_33780_0 {
	meta:
		name = "TIdFTPLPChameleonNewt.GetIdent"
		size = 84
		refs = "0006 TIdFTPLPChameleonNewt.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 4E 00 65 00 74 00 4D 00 61 00 6E 00 61 00 67 00 65 00 20 00 43 00 68 00 61 00 6D 00 65 00 6C 00 65 00 6F 00 6E 00 2F 00 4E 00 65 00 77 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_33782_0 {
	meta:
		name = "TIdFTPLPChameleonNewt.ParseLine"
		size = 708
		refs = "001d TIdFTPLPChameleonNewt.ParseLine 002b _DV_TIdChameleonNewtFTPListItem 0030 @AsClass 003d @UStrLAsg 0052 Fetch 005c TIdFTPListItem.SetFileName 0067 TrimLeft 0094 @UStrEqual 00ac IsNumeric 00c2 IndyStrToInt64 00fb StrToMonth 01a7 IndyStrToInt 01ac Y2Year 01bb EncodeDate 01f7 IsHHMMSS 0205 TimeHHMMSS 0248 TIdDOSAttributes.AddAttribute 0268 @UStrArrayClr 027b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A C6 46 38 00 C6 46 24 00 EB 28 C6 46 38 01 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 84 98 01 00 00 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 89 46 10 89 56 14 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 C0 89 45 F4 83 7D F4 00 0F 9F C3 84 DB 0F 84 3E 01 00 00 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 05 83 FF 20 7C 04 33 DB EB 02 B3 01 84 DB 0F 84 EE 00 00 00 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 84 B1 00 00 00 33 D2 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B CF 0F B7 55 F4 8B C3 E8 ?? ?? ?? ?? DD 5E 28 9B 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 84 DB 74 51 8B 45 F8 E8 ?? ?? ?? ?? DC 46 28 DD 5E 28 9B 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 26 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 46 40 E8 ?? ?? ?? ?? 8B D8 84 DB 75 BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 44 00 49 00 52 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_33785_0 {
	meta:
		name = "TIdFTPLPCiscoIOS.CheckListing"
		size = 56
		refs = "0004 TIdFTPLPCiscoIOS.CheckListing 000b TextStartsWith"
	strings:
		$1 = { 55 8B EC BA ?? ?? ?? ?? 8B C1 E8 ?? ?? ?? ?? 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 69 00 73 00 63 00 6F 00 20 00 49 00 4F 00 53 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_33786_0 {
	meta:
		name = "TIdFTPLPCiscoIOS.GetIdent"
		size = 52
		refs = "0006 TIdFTPLPCiscoIOS.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 69 00 73 00 63 00 6F 00 20 00 49 00 4F 00 53 00 00 00 }
	condition:
		$1
}

rule function_33790_0 {
	meta:
		name = "TIdFTPLPDistinctTCPIP.CheckListing"
		size = 628
		refs = "001a TIdFTPLPDistinctTCPIP.CheckListing 003a _Dn_TStringList 003f TStringList.Create 006c SplitColumns 00c0 CharIsInSet 00e0 IsNumeric 0100 StrToMonth 01ec TObject.Free 01f2 @HandleFinally 020e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B C3 8B 10 FF 52 14 85 C0 0F 8E C1 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D F4 33 D2 8B C3 8B 18 FF 53 0C 8B 45 F4 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 02 0F 8E 55 01 00 00 8D 4D F0 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 F0 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 83 F8 05 75 21 8D 4D E8 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 E8 B9 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 1A 8D 4D E4 BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E4 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 1F 8D 4D E0 BA 02 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 97 C0 EB 02 33 C0 88 45 FF 80 7D FF 00 0F 84 BC 00 00 00 8D 4D DC 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 DC B9 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 8C 00 00 00 8D 4D D8 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 D8 B9 ?? ?? ?? ?? BA 02 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 69 8D 4D D4 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 D4 B9 ?? ?? ?? ?? BA 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 46 8D 4D D0 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 D0 B9 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 23 8D 4D CC 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 CC B9 ?? ?? ?? ?? BA 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 FF 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 77 00 61 00 73 00 68 00 2D 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_33791_0 {
	meta:
		name = "TIdFTPLPDistinctTCPIP.GetIdent"
		size = 64
		refs = "0006 TIdFTPLPDistinctTCPIP.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 69 00 73 00 74 00 69 00 6E 00 63 00 74 00 20 00 54 00 43 00 50 00 2F 00 49 00 50 00 00 00 }
	condition:
		$1
}

rule function_33793_0 {
	meta:
		name = "TIdFTPLPDistinctTCPIP.ParseLine"
		size = 636
		refs = "001c TIdFTPLPDistinctTCPIP.ParseLine 002c _DV_TIdDistinctTCPIPFTPListItem 0031 @AsClass 003d TIdDOSAttributes.SetRead_Only 0048 TrimLeft 005d Fetch 0068 @UStrAsg 0073 TIdDOSAttributes.AddAttribute 0089 @UStrLAsg 0096 TextStartsWith 00bf IndyStrToInt64 00f8 StrToMonth 0143 @UStrCatN 0161 StringReplace 017b DateStrMonthDDYY 01b7 IsHHMMSS 01c3 TimeHHMMSS 01db TimeZoneBias 01f2 StripSpaces 0207 TIdFTPListItem.SetFileName 0223 @UStrArrayClr 0229 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B2 01 8B 46 40 E8 ?? ?? ?? ?? 8D 55 FC 8B 46 18 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 48 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 46 40 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 46 48 E8 ?? ?? ?? ?? 84 C0 74 04 C6 46 38 00 6A 00 6A 00 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 89 46 10 89 56 14 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 09 01 00 00 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF 75 F8 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F4 E8 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? DD 5E 28 9B 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 4E 8B 45 F4 E8 ?? ?? ?? ?? DC 46 28 DD 5E 28 9B 8B 46 28 89 46 30 8B 46 2C 89 46 34 E8 ?? ?? ?? ?? DC 6E 28 DD 5E 28 9B 8D 4D D8 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 64 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_33796_0 {
	meta:
		name = "TIdFTPLPEPLF.CheckListing"
		size = 172
		refs = "000d TIdFTPLPEPLF.CheckListing 0058 IndyPos 0084 @UStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 14 85 C0 0F 9F C3 84 DB 74 4C 8D 4D FC 33 D2 8B C6 8B 18 FF 53 0C 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7E 0C 8B 45 FC 66 83 38 2B 0F 94 C0 EB 02 33 C0 84 C0 74 19 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 85 C0 0F 9F C0 EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_33797_0 {
	meta:
		name = "TIdFTPLPEPLF.GetIdent"
		size = 44
		refs = "0006 TIdFTPLPEPLF.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 50 00 4C 00 46 00 00 00 00 00 }
	condition:
		$1
}

rule function_33799_0 {
	meta:
		name = "TIdFTPLPEPLF.ParseLine"
		size = 524
		refs = "001d TIdFTPLPEPLF.ParseLine 002c _DV_TIdAEPLFFTPListItem 0031 @AsClass 003b _Dn_TStringList 0040 TStringList.Create 0073 @UStrCopy 0083 ParseFacts 008e TIdFTPListItem.SetFileName 00c4 @UStrEqual 011b IndyStrToInt64 0144 EPLFDateToLocalDateTime 0153 EPLFDateToGMTDateTime 0199 TObject.Free 019f @HandleFinally 01bd @UStrArrayClr 01c5 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D E0 89 5D E8 89 5D E4 89 5D FC 89 55 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 ?? ?? ?? ?? 8D 45 E8 50 8D 45 E4 50 8B 45 EC 8B 40 18 B9 FF FF FF 7F BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C DE 00 00 00 43 C7 45 F0 00 00 00 00 8D 4D FC 8B 55 F0 8B 45 F4 8B 30 FF 56 0C 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 8B 45 EC C6 40 38 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 94 00 00 00 8B 45 FC 0F B7 00 66 83 E8 69 74 6F 66 83 E8 04 74 33 66 83 E8 06 75 7C 6A 00 6A 00 8D 45 E0 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 4D F8 89 41 10 89 51 14 EB 4F 8D 45 FC 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC DD 58 28 9B 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC DD 58 30 9B EB 19 8B 45 EC 83 C0 40 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? FF 45 F0 4B 0F 85 2A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_33802_0 {
	meta:
		name = "IsHellSoftLine"
		size = 184
		refs = "000f IsHellSoftLine 002f CharIsInSet 004a @UStrCopy 0055 ExtractNovellPerms 006e IsValidNovellPermissionStr 008e @UStrArrayClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 95 C3 84 DB 74 56 B9 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 3F 8D 45 F8 50 B9 0C 00 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 07 75 0A 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 44 00 2D 00 00 00 }
	condition:
		$1
}

rule function_33803_0 {
	meta:
		name = "TIdFTPLPHellSoft.CheckListing"
		size = 175
		refs = "0011 TIdFTPLPHellSoft.CheckListing 0038 IsTotalLine 005d IsHellSoftLine 0099 @UStrArrayClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 8B 10 FF 52 14 85 C0 7E 5B 8D 4D FC 33 D2 8B C6 8B 18 FF 53 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2D 8B C6 8B 10 FF 52 14 48 7E 1B 8D 4D F8 BA 01 00 00 00 8B C6 8B 18 FF 53 0C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 1A B3 01 EB 16 8D 4D F4 33 D2 8B C6 8B 18 FF 53 0C 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_33904_0 {
	meta:
		name = "TIdFTPLPNovellNetware.CheckListing"
		size = 175
		refs = "0011 TIdFTPLPNovellNetware.CheckListing 0038 IsTotalLine 005d IsNetwareLine 0099 @UStrArrayClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 8B 10 FF 52 14 85 C0 7E 5B 8D 4D FC 33 D2 8B C6 8B 18 FF 53 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2D 8B C6 8B 10 FF 52 14 48 7E 1B 8D 4D F8 BA 01 00 00 00 8B C6 8B 18 FF 53 0C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 1A B3 01 EB 16 8D 4D F4 33 D2 8B C6 8B 18 FF 53 0C 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_33804_0 {
	meta:
		name = "TIdFTPLPHellSoft.GetIdent"
		size = 52
		refs = "0006 TIdFTPLPHellSoft.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 65 00 6C 00 6C 00 73 00 6F 00 66 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_33809_0 {
	meta:
		name = "TIdFTPLPIEFTPGatewayLSLong.GetIdent"
		size = 72
		refs = "0006 TIdFTPLPIEFTPGatewayLSLong.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 45 00 2D 00 46 00 54 00 50 00 4C 00 69 00 73 00 74 00 53 00 74 00 79 00 6C 00 65 00 4C 00 6F 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_33810_0 {
	meta:
		name = "TIdFTPLPIEFTPGatewayLSLong.IsHeader"
		size = 612
		refs = "0017 TIdFTPLPIEFTPGatewayLSLong.IsHeader 0024 _Dn_TStringList 0029 TStringList.Create 0049 SplitColumns 0074 @UStrEqual 0161 TObject.Free 0167 @HandleFinally 0183 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 06 0F 8C E9 00 00 00 8D 4D F4 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 BE 00 00 00 8D 4D F0 BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 9B 00 00 00 8D 4D EC BA 02 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 7C 8D 4D E8 BA 03 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5D 8D 4D E4 BA 04 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3E 8D 4D E0 BA 05 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1F 8D 4D DC BA 06 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 FF EB 04 C6 45 FF 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 28 00 4D 00 53 00 47 00 4B 00 45 00 59 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 6E 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 69 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_33812_0 {
	meta:
		name = "TIdFTPLPIEFTPGatewayLSLong.ParseLine"
		size = 688
		refs = "001c TIdFTPLPIEFTPGatewayLSLong.ParseLine 002e _DV_TIdIEFTPGatewayLsLongListItem 0033 @AsClass 0040 _Dn_TStringList 0045 TStringList.Create 0066 SplitColumns 007d TIdFTPListItem.SetFileName 0098 @UStrAsg 00e8 StrToIntDef 0119 @UStrCopy 0121 StrToInt 0126 Y2Year 019b EncodeDate 0240 EncodeTime 0265 TObject.Free 026b @HandleFinally 0287 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 C6 43 38 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 18 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8D 4D EC 33 D2 8B 45 F8 8B 30 FF 56 0C 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 4D E8 BA 01 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 55 E8 8D 43 40 E8 ?? ?? ?? ?? 8D 4D E4 BA 02 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 55 E4 8D 43 44 E8 ?? ?? ?? ?? 8D 4D E0 BA 03 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 55 E0 8D 43 48 E8 ?? ?? ?? ?? 8D 4D DC BA 04 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 DC 33 D2 E8 ?? ?? ?? ?? 99 89 43 10 89 53 14 C6 43 24 01 8D 45 D8 50 8D 4D D4 BA 05 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 D4 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 45 F4 8D 45 D0 50 8D 4D CC BA 05 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 CC B9 02 00 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 66 89 45 F6 8D 45 C8 50 8D 4D C4 BA 05 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 C4 B9 02 00 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 8B F0 8B CE 0F B7 55 F6 0F B7 45 F4 E8 ?? ?? ?? ?? DD 5B 28 9B 8D 45 C0 50 8D 4D BC BA 06 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 BC B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 8B F0 8D 45 B8 50 8D 4D B4 BA 06 00 00 00 8B 45 F8 8B 38 FF 57 0C 8B 45 B4 B9 02 00 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 66 89 45 F2 8D 45 B0 50 8D 4D AC BA 06 00 00 00 8B 45 F8 8B 38 FF 57 0C 8B 45 AC B9 02 00 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? 8B F8 6A 00 8B CF 0F B7 55 F2 8B C6 E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B C6 43 25 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 11 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33813_0 {
	meta:
		name = "TIdFTPLPIEFTPGatewayLSFileName.CheckListing"
		size = 260
		refs = "0016 TIdFTPLPIEFTPGatewayLSFileName.CheckListing 0067 Fetch 0074 TextEndsWith 0085 TrimLeft 0090 @UStrLAsg 00b6 @UStrClr 00c3 @UStrArrayClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 55 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 14 85 C0 0F 9F C3 84 DB 74 74 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 7C 65 46 C7 45 F0 00 00 00 00 8D 4D FC 8B 55 F0 8B 45 F4 8B 18 FF 53 0C 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 84 DB 74 1D 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 0F 95 C3 84 DB 74 06 FF 45 F0 4E 75 A3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 5F 00 49 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_33814_0 {
	meta:
		name = "TIdFTPLPIEFTPGatewayLSFileName.GetIdent"
		size = 80
		refs = "0006 TIdFTPLPIEFTPGatewayLSFileName.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 49 00 45 00 2D 00 46 00 54 00 50 00 4C 00 69 00 73 00 74 00 53 00 74 00 79 00 6C 00 65 00 46 00 69 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_33816_0 {
	meta:
		name = "TIdFTPLPIEFTPGatewayLSFileName.ParseLine"
		size = 232
		refs = "0016 TIdFTPLPIEFTPGatewayLSFileName.ParseLine 0028 _DV_TIdIEFTPGatewayLsFileNameListItem 002d @AsClass 003e @UStrLAsg 0053 Fetch 005d TIdFTPListItem.SetFileName 0068 TrimLeft 0093 UnquotedStr 009e @UStrAsg 00b8 @UStrArrayClr 00c0 @UStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 C6 43 38 01 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 43 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33817_0 {
	meta:
		name = "TIdFTPLPIEFTPGatewayLSShort.CheckListing"
		size = 160
		refs = "0014 TIdFTPLPIEFTPGatewayLSShort.CheckListing 004e TextEndsWith 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 55 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2F 46 C7 45 F4 00 00 00 00 8D 4D FC 8B 55 F4 8B 45 F8 8B 18 FF 53 0C BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 74 06 FF 45 F4 4E 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 5F 00 49 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_33818_0 {
	meta:
		name = "TIdFTPLPIEFTPGatewayLSShort.GetIdent"
		size = 76
		refs = "0006 TIdFTPLPIEFTPGatewayLSShort.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 45 00 2D 00 46 00 54 00 50 00 4C 00 69 00 73 00 74 00 53 00 74 00 79 00 6C 00 65 00 53 00 68 00 6F 00 72 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_33820_0 {
	meta:
		name = "TIdFTPLPIEFTPGatewayLSLibrary.GetIdent"
		size = 80
		refs = "0006 TIdFTPLPIEFTPGatewayLSLibrary.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 49 00 45 00 2D 00 46 00 54 00 50 00 4C 00 69 00 73 00 74 00 53 00 74 00 79 00 6C 00 65 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_33821_0 {
	meta:
		name = "TIdFTPLPIEFTPGatewayLSLibrary.IsHeader"
		size = 604
		refs = "0017 TIdFTPLPIEFTPGatewayLSLibrary.IsHeader 0024 _Dn_TStringList 0029 TStringList.Create 0049 SplitColumns 0074 @UStrEqual 0161 TObject.Free 0167 @HandleFinally 0183 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 06 0F 8C E9 00 00 00 8D 4D F4 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 BE 00 00 00 8D 4D F0 BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 9B 00 00 00 8D 4D EC BA 02 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 7C 8D 4D E8 BA 03 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5D 8D 4D E4 BA 04 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3E 8D 4D E0 BA 05 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1F 8D 4D DC BA 06 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 FF EB 04 C6 45 FF 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 63 00 63 00 65 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4F 00 77 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 63 00 63 00 6F 00 75 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 61 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 75 00 70 00 64 00 61 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_33823_0 {
	meta:
		name = "TIdFTPLPIEFTPGatewayLSLibrary.ParseLine"
		size = 496
		refs = "001c TIdFTPLPIEFTPGatewayLSLibrary.ParseLine 002c _DV_TIdIEFTPGatewayLSLibraryListItem 0031 @AsClass 003e @UStrLAsg 0058 @UStrCopy 0096 IdDelete 00ab Fetch 00b6 @UStrAsg 00c1 TrimLeft 0121 StrToIntDef 015b DateYYMMDD 0192 TimeHHMMSS 01b2 TIdFTPListItem.SetFileName 01cc @UStrArrayClr 01d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B 56 18 E8 ?? ?? ?? ?? C6 46 38 01 8D 46 4C 50 B9 03 00 00 00 BA 02 00 00 00 8B 46 18 E8 ?? ?? ?? ?? 8D 46 48 50 B9 03 00 00 00 BA 05 00 00 00 8B 46 18 E8 ?? ?? ?? ?? 8D 46 50 50 B9 03 00 00 00 BA 08 00 00 00 8B 46 18 E8 ?? ?? ?? ?? 8D 45 FC B9 0A 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 46 40 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 46 58 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 D2 E8 ?? ?? ?? ?? 99 89 46 10 89 56 14 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? DD 5E 28 9B 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 D8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? DD 5E 28 9B 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33824_0 {
	meta:
		name = "Finalization"
		size = 49
		refs = "0002 _DV_9 0009 _DV_TIdFTPLPIEFTPGatewayLSLong 000e UnregisterFTPListParser 0013 _DV_TIdFTPLPIEFTPGatewayLSShort 001d _DV_TIdFTPLPIEFTPGatewayLSFileName 0027 _DV_TIdFTPLPIEFTPGatewayLSLibrary"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 28 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33887_0 {
	meta:
		name = "Finalization"
		size = 49
		refs = "0002 _DV_8 0009 _DV_TIdFTPLPMVS 000e UnregisterFTPListParser 0013 _DV_TIdFTPLPMVSPartitionedDataSet 001d _DV_TIdFTPLPMVSJESInterface1 0027 _DV_TIdFTPLPMVSJESInterface2"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 28 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33825_0 {
	meta:
		name = "IdFTPListParseIEFTPGateway"
		size = 50
		refs = "0002 _DV_9 000a _DV_TIdFTPLPIEFTPGatewayLSLong 000f RegisterFTPListParser 0014 _DV_TIdFTPLPIEFTPGatewayLSShort 001e _DV_TIdFTPLPIEFTPGatewayLSFileName 0028 _DV_TIdFTPLPIEFTPGatewayLSLibrary"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 28 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33888_0 {
	meta:
		name = "IdFTPListParseMVS"
		size = 50
		refs = "0002 _DV_8 000a _DV_TIdFTPLPMVS 000f RegisterFTPListParser 0014 _DV_TIdFTPLPMVSPartitionedDataSet 001e _DV_TIdFTPLPMVSJESInterface1 0028 _DV_TIdFTPLPMVSJESInterface2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 28 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33826_0 {
	meta:
		name = "IsKAQ9TS"
		size = 60
		refs = "0006 IsKAQ9TS 000b PatternsInStr 001a IsHHMMSS"
	strings:
		$1 = { 53 8B D8 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_33827_0 {
	meta:
		name = "IsKAQ9DS"
		size = 60
		refs = "0006 IsKAQ9DS 000b PatternsInStr 001c IsMMDDYY"
	strings:
		$1 = { 53 8B D8 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 02 75 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_33828_0 {
	meta:
		name = "TIdFTPLPKA9Q.CheckListing"
		size = 448
		refs = "001a TIdFTPLPKA9Q.CheckListing 003e _Dn_TStringList 0043 TStringList.Create 0070 SplitColumns 009b TextEndsWith 00b7 IsKAQ9TS 00d3 IsKAQ9DS 0109 ExtractNumber 0167 TObject.Free 016d @HandleFinally 0189 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B C3 8B 10 FF 52 14 85 C0 0F 8E 3C 01 00 00 C6 45 FF 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D F4 33 D2 8B C3 8B 18 FF 53 0C 8B 45 F4 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 02 0F 8E CC 00 00 00 8D 4D F0 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 43 8D 4D EC BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 1C 8D 4D E8 BA 02 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FF EB 6B 8B 45 F8 8B 10 FF 52 14 83 F8 03 7E 55 8D 4D E4 BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E4 33 D2 E8 ?? ?? ?? ?? 40 7E 38 8D 4D E0 BA 02 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 74 1C 8D 4D DC BA 03 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_33829_0 {
	meta:
		name = "TIdFTPLPKA9Q.GetIdent"
		size = 44
		refs = "0006 TIdFTPLPKA9Q.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4B 00 41 00 39 00 51 00 00 00 00 00 }
	condition:
		$1
}

rule function_33830_0 {
	meta:
		name = "TIdFTPLPKA9Q.IsFooter"
		size = 520
		refs = "0014 TIdFTPLPKA9Q.IsFooter 002a @UStrEqual 003c _Dn_TStringList 0041 TStringList.Create 006f StringReplace 007a Trim 008a SplitColumns 0138 TObject.Free 013e @HandleFinally 015a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 C6 45 FF 01 E9 0B 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 05 ?? ?? ?? ?? 50 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 48 0F 8E 85 00 00 00 8D 4D EC BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 61 8D 4D E8 BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 42 8D 4D E4 BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 23 8D 4D E0 BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 66 00 69 00 6C 00 65 00 73 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 69 00 6C 00 65 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 69 00 6C 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 66 00 69 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_33833_0 {
	meta:
		name = "TIdFTPLPKA9Q.ParseLine"
		size = 492
		refs = "001b TIdFTPLPKA9Q.ParseLine 002c @UStrLAsg 0041 Fetch 0058 TextEndsWith 007b TIdFTPListItem.SetFileName 009e Trim 00c8 ExtractNumber 010c TimeHHMMSS 0149 DateMMDDYY 0175 _Dn_TIdFTPListItems 017a @AsClass 017f TIdFTPListItems.Add 018c @UStrAsg 0195 _DV_TIdFTPLPKA9Q 01b6 @UStrArrayClr 01bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 4F 01 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 29 6A 01 8D 45 F4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? C6 43 38 00 C6 43 24 00 EB 4A 8B 55 F8 8B C3 E8 ?? ?? ?? ?? C6 43 38 01 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? 99 89 43 10 89 53 14 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 96 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? DD 5B 28 9B 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 59 8B 45 F8 E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 2E 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 43 18 8B 55 FC E8 ?? ?? ?? ?? 8B CE 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_33836_0 {
	meta:
		name = "TIdFTPLPMicrowareOS9.GetIdent"
		size = 64
		refs = "0006 TIdFTPLPMicrowareOS9.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4D 00 69 00 63 00 72 00 6F 00 57 00 61 00 72 00 65 00 20 00 4F 00 53 00 2D 00 39 00 00 00 00 00 }
	condition:
		$1
}

rule function_33837_0 {
	meta:
		name = "TIdFTPLPMicrowareOS9.IsHeader"
		size = 824
		refs = "0016 TIdFTPLPMicrowareOS9.IsHeader 0023 _Dn_TStringList 0028 TStringList.Create 004c SplitColumns 0077 @UStrEqual 00bb PatternsInStr 01e5 TObject.Free 01eb @HandleFinally 0207 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 45 FF 00 B9 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 02 0F 8E 6E 01 00 00 8D 4D F4 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 47 8D 4D F0 BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 28 8B 45 F8 8B 10 FF 52 14 8B D0 4A 8D 4D EC 8B 45 F8 8B 18 FF 53 0C 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 02 74 04 33 C0 EB 02 B0 01 88 45 FF 80 7D FF 00 0F 85 F8 00 00 00 8B 45 F8 8B 10 FF 52 14 83 F8 07 0F 85 DE 00 00 00 8D 4D E8 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 BE 00 00 00 8D 4D E4 BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 9B 00 00 00 8D 4D E0 BA 02 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 7C 8D 4D DC BA 03 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5D 8D 4D D8 BA 04 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3E 8D 4D D4 BA 05 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1F 8D 4D D0 BA 06 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 69 00 72 00 65 00 63 00 74 00 6F 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6F 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4F 00 77 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 61 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 63 00 74 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 42 00 79 00 74 00 65 00 63 00 6F 00 75 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_33839_0 {
	meta:
		name = "TIdFTPLPMicrowareOS9.ParseLine"
		size = 576
		refs = "001a TIdFTPLPMicrowareOS9.ParseLine 0028 _DV_TIdMicrowareOS9FTPListItem 002d @AsClass 003a TrimLeft 004f Fetch 005a @UStrAsg 0070 @UStrLAsg 008d DateYYMMDD 010a TextStartsWith 0139 @UStrCopy 018e @UStrCat3 0196 IndyStrToInt64 01e0 TIdFTPListItem.SetFileName 01fc @UStrArrayClr 0202 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 FC 8B 43 18 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 43 40 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? DD 5B 28 9B 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 38 00 EB 04 C6 43 38 01 8D 43 3C 8B 55 F8 E8 ?? ?? ?? ?? 8D 43 50 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 43 4C 50 B9 03 00 00 00 BA 03 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 43 48 50 B9 03 00 00 00 BA 05 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 01 8D 45 D4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 89 43 54 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D0 8D 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 6A 01 8D 45 CC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 89 43 10 89 53 14 8B 55 FC 8B C3 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 0D 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 64 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_33842_0 {
	meta:
		name = "TIdFTPLPMPiXBase.GetIdent"
		size = 52
		refs = "0006 TIdFTPLPMPiXBase.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 50 00 45 00 2F 00 69 00 58 00 3A 00 20 00 20 00 00 00 }
	condition:
		$1
}

rule function_33843_0 {
	meta:
		name = "TIdFTPLPMPiXBase.IsSecondHeader"
		size = 712
		refs = "0018 TIdFTPLPMPiXBase.IsSecondHeader 0043 @UStrEqual 015c IndyPos 01c5 @UStrArrayClr 01cb @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 14 83 F8 03 7E 75 8D 4D FC 33 D2 8B C6 8B 18 FF 53 0C 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5A 8D 4D F8 BA 01 00 00 00 8B C6 8B 18 FF 53 0C 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3C 8D 4D F4 BA 02 00 00 00 8B C6 8B 18 FF 53 0C 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1E 8D 4D F0 BA 03 00 00 00 8B C6 8B 18 FF 53 0C 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 DB EB 02 B3 01 84 DB 0F 84 8A 00 00 00 8B C6 8B 10 FF 52 14 83 F8 08 75 7E 8D 4D EC BA 04 00 00 00 8B C6 8B 18 FF 53 0C 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5A 8D 4D E8 BA 05 00 00 00 8B C6 8B 18 FF 53 0C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3C 8D 4D E4 BA 06 00 00 00 8B C6 8B 18 FF 53 0C 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1E 8D 4D E0 BA 07 00 00 00 8B C6 8B 18 FF 53 0C 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 DB EB 02 B3 01 84 DB 75 70 8B C6 8B 10 FF 52 14 83 F8 03 75 64 8D 4D DC 33 D2 8B C6 8B 18 FF 53 0C 8B 55 DC 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 85 C0 7E 3C 8D 4D D8 BA 01 00 00 00 8B C6 8B 18 FF 53 0C 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1E 8D 4D D4 BA 02 00 00 00 8B C6 8B 18 FF 53 0C 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 49 00 5A 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 59 00 50 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 45 00 4F 00 46 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 49 00 4D 00 49 00 54 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 52 00 2F 00 42 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 45 00 43 00 54 00 4F 00 52 00 53 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 23 00 58 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4D 00 58 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6E 00 6F 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 6F 00 75 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_33845_0 {
	meta:
		name = "TIdFTPLPMPiX.GetIdent"
		size = 108
		refs = "000f TIdFTPLPMPiX.GetIdent 001f TIdFTPLPMPiXBase.GetIdent 002e @UStrCat3 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 49 00 53 00 54 00 46 00 00 00 }
	condition:
		$1
}

rule function_45565_0 {
	meta:
		name = "IntToUTF8Str"
		size = 84
		refs = "000f IntToUTF8Str 001f IntToStr 002e @LStrFromUStr 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64339_0 {
	meta:
		name = "LoadResStringA"
		size = 84
		refs = "000f LoadResStringA 001f LoadResString 002e @LStrFromUStr 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45588_0 {
	meta:
		name = "sdUtf8ToAnsi"
		size = 84
		refs = "000f sdUtf8ToAnsi 001f sdUtf8ToUnicode 002e @LStrFromWStr 0043 @WStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_33846_0 {
	meta:
		name = "TIdFTPLPMPiX.IsHeader"
		size = 828
		refs = "001b TIdFTPLPMPiX.IsHeader 0027 IndyPos 0098 _Dn_TStringList 009d TStringList.Create 00cb StringReplace 00d6 Trim 00e6 SplitColumns 0115 @UStrEqual 01dd TObject.Free 01e3 @HandleFinally 01ff @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8B 1B 8B D6 B8 ?? ?? ?? ?? FF D3 8B D8 85 DB 75 13 8B 1D ?? ?? ?? ?? 8B 1B 8B D6 B8 ?? ?? ?? ?? FF D3 8B D8 8B 3D ?? ?? ?? ?? 8B 3F 8B D6 B8 ?? ?? ?? ?? FF D7 85 C0 75 11 8B 3D ?? ?? ?? ?? 8B 3F 8B D6 B8 ?? ?? ?? ?? FF D7 85 DB 7E 04 3B D8 7C 04 33 C0 EB 02 B0 01 88 45 FB 0F B6 5D FB 80 F3 01 84 DB 0F 84 54 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 05 ?? ?? ?? ?? 50 8D 45 EC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 84 DB 0F 84 C3 00 00 00 8B 45 F4 8B 10 FF 52 14 83 F8 03 7E 79 8D 4D E8 33 D2 8B 45 F4 8B 18 FF 53 0C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5D 8D 4D E4 BA 01 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3E 8D 4D E0 BA 02 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1F 8D 4D DC BA 03 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 FB 80 7D FB 00 74 2E 8B 45 F4 8B 10 FF 52 14 83 F8 05 75 21 8D 4D D8 BA 04 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 45 FB 80 7D FB 00 75 0C 8B 55 F4 8B 45 FC FF 50 1C 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 43 00 43 00 4F 00 55 00 4E 00 54 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 41 00 43 00 43 00 4F 00 55 00 4E 00 54 00 20 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 47 00 52 00 4F 00 55 00 50 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 47 00 52 00 4F 00 55 00 50 00 20 00 3D 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 49 00 4C 00 45 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 4F 00 44 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 4F 00 47 00 49 00 43 00 41 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 43 00 4F 00 52 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 50 00 41 00 43 00 45 00 00 00 }
	condition:
		$1
}

rule function_33847_0 {
	meta:
		name = "TIdFTPLPMPiX.ParseLine"
		size = 504
		refs = "001c TIdFTPLPMPiX.ParseLine 002a _DV_TIdMPiXFTPListItem 002f @AsClass 0038 _Dn_TStringList 003d TStringList.Create 0064 @UStrCopy 006f Trim 0079 TIdFTPListItem.SetFileName 00bd Fetch 00d8 SplitColumns 00fd ExtractNumber 012c @UStrAsg 0155 IndyStrToInt64 01a6 TObject.Free 01ac @HandleFinally 01ca @UStrArrayClr 01d2 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F0 50 8B 46 18 B9 08 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 46 18 B9 FF FF FF 7F BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1E 8B 45 FC 66 83 38 20 74 15 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 48 7E 21 8D 4D E4 BA 01 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 E4 B2 01 E8 ?? ?? ?? ?? 99 89 43 10 89 53 14 8B 45 F8 8B 10 FF 52 14 83 F8 02 7E 1B 8D 4D E0 BA 02 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 55 E0 8D 43 44 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 03 7E 1F 6A 00 6A 00 8D 4D DC BA 03 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 DC E8 ?? ?? ?? ?? 89 43 48 8B 45 F8 8B 10 FF 52 14 83 F8 04 7E 1F 6A 00 6A 00 8D 4D D8 BA 04 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 D8 E8 ?? ?? ?? ?? 89 43 50 C6 43 38 01 C6 43 25 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33848_0 {
	meta:
		name = "TIdFTPLPMPiXWithPOSIX.GetIdent"
		size = 120
		refs = "000f TIdFTPLPMPiXWithPOSIX.GetIdent 001f TIdFTPLPMPiXBase.GetIdent 002e @UStrCat3 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 69 00 74 00 68 00 20 00 50 00 4F 00 53 00 49 00 58 00 00 00 00 00 }
	condition:
		$1
}

rule function_33849_0 {
	meta:
		name = "TIdFTPLPMPiXWithPOSIX.IsHeader"
		size = 628
		refs = "001b TIdFTPLPMPiXWithPOSIX.IsHeader 0027 IndyPos 0049 _Dn_TStringList 004e TStringList.Create 007c StringReplace 0087 Trim 0097 SplitColumns 00c2 @UStrEqual 0174 TObject.Free 017a @HandleFinally 0196 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 3D ?? ?? ?? ?? 8B 3F 8B D3 B8 ?? ?? ?? ?? FF D7 85 C0 0F 9F 45 FF 80 7D FF 00 0F 85 3A 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 05 ?? ?? ?? ?? 50 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 05 0F 85 98 00 00 00 8D 4D EC 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 7C 8D 4D E8 BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5D 8D 4D E4 BA 02 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3E 8D 4D E0 BA 03 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1F 8D 4D DC BA 04 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 FF 80 7D FF 00 75 0B 8B 55 F8 8B C6 FF 50 1C 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 41 00 54 00 48 00 3D 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 4F 00 44 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 4F 00 47 00 49 00 43 00 41 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 43 00 4F 00 52 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 50 00 41 00 43 00 45 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 49 00 4C 00 45 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_33850_0 {
	meta:
		name = "TIdFTPLPMPiXWithPOSIX.ParseLine"
		size = 496
		refs = "001c TIdFTPLPMPiXWithPOSIX.ParseLine 002a _DV_TIdMPiXFTPListItem 002f @AsClass 0038 _Dn_TStringList 003d TStringList.Create 0059 Trim 0069 SplitColumns 008c ExtractNumber 00b9 @UStrAsg 00e2 IndyStrToInt64 0138 TIdFTPListItem.SetFileName 0145 TextEndsWith 016d @UStrCopy 0197 TObject.Free 019d @HandleFinally 01bb @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 46 18 E8 ?? ?? ?? ?? 8B 45 F8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 85 C0 7E 1E 8D 4D F4 33 D2 8B 45 FC 8B 38 FF 57 0C 8B 45 F4 B2 01 E8 ?? ?? ?? ?? 99 89 43 10 89 53 14 8B 45 FC 8B 10 FF 52 14 48 7E 1B 8D 4D F0 BA 01 00 00 00 8B 45 FC 8B 38 FF 57 0C 8B 55 F0 8D 43 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 83 F8 02 7E 1F 6A 00 6A 00 8D 4D EC BA 02 00 00 00 8B 45 FC 8B 38 FF 57 0C 8B 45 EC E8 ?? ?? ?? ?? 89 43 48 8B 45 FC 8B 10 FF 52 14 83 F8 03 7E 1F 6A 00 6A 00 8D 4D E8 BA 03 00 00 00 8B 45 FC 8B 38 FF 57 0C 8B 45 E8 E8 ?? ?? ?? ?? 89 43 50 8B 45 FC 8B 10 FF 52 14 83 F8 08 7E 1A 8D 4D E4 BA 08 00 00 00 8B 45 FC 8B 38 FF 57 0C 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 43 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 C6 43 38 00 8B 7B 1C 85 FF 74 05 83 EF 04 8B 3F 8D 45 E0 50 8B CF 49 8B 46 1C BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? EB 04 C6 43 38 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_33851_0 {
	meta:
		name = "TIdMPiXFTPListItem.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TIdFTPListItem.Create 0026 @AfterConstruction"
		altNames = "TIdXecomMicroRTOSTPListItem.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 25 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_33854_0 {
	meta:
		name = "TIdFTPLPMusic.GetIdent"
		size = 52
		refs = "0006 TIdFTPLPMusic.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 55 00 53 00 49 00 43 00 2F 00 53 00 50 00 00 00 00 00 }
	condition:
		$1
}

rule function_33855_0 {
	meta:
		name = "TIdFTPLPMusic.IsHeader"
		size = 792
		refs = "0016 TIdFTPLPMusic.IsHeader 0023 _Dn_TStringList 0028 TStringList.Create 0048 SplitColumns 0073 @UStrEqual 01d0 TObject.Free 01d6 @HandleFinally 01f2 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 07 0F 8E 54 01 00 00 8D 4D F4 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 15 01 00 00 8D 4D F0 BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 F2 00 00 00 8D 4D EC BA 02 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 CF 00 00 00 8D 4D E8 BA 03 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 AC 00 00 00 8D 4D E4 BA 04 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 89 00 00 00 8D 4D E0 BA 05 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 6A 8D 4D DC BA 06 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 4B 8D 4D D8 BA 07 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2C 8B 45 F8 8B 10 FF 52 14 83 F8 08 7E 1F 8D 4D D4 BA 08 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 23 8D 4D D0 BA 07 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 69 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 6C 00 65 00 6E 00 52 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 65 00 61 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 72 00 69 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 42 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 74 00 74 00 72 00 62 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 23 00 52 00 65 00 63 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 41 00 74 00 74 00 72 00 62 00 73 00 23 00 52 00 65 00 63 00 73 00 00 00 }
	condition:
		$1
}

rule function_33857_0 {
	meta:
		name = "TIdFTPLPMusic.ParseLine"
		size = 872
		refs = "001c TIdFTPLPMusic.ParseLine 002a _DV_TIdMusicFTPListItem 002f @AsClass 003c @UStrLAsg 0051 Fetch 005b TIdFTPListItem.SetFileName 0068 TextEndsWith 0090 @UStrCopy 00a5 TrimLeft 00d0 StripNo 00db ExtractRecFormat 00e6 @UStrAsg 00f0 ExtractNumber 0100 @UStrEqual 01be IndyStrToInt 01de StrToMonth 0209 Y2Year 021b EncodeDate 0252 TimeHHMMSS 02ab IndyPos 0311 @UStrArrayClr 0324 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 56 18 E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 84 C0 74 2E C6 43 38 00 8B 7E 1C 85 FF 74 05 83 EF 04 8B 3F 8D 45 E8 50 8B CF 49 BA 01 00 00 00 8B 46 1C E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 8D 43 44 E8 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? 89 43 40 8B 43 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 43 38 00 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? C1 E0 0A 99 89 43 10 89 53 14 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 D0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 C8 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F8 8D 45 C4 50 B9 03 00 00 00 BA 03 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 0F B6 C0 89 45 F4 8D 45 C0 50 B9 FF FF FF 7F BA 06 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 C0 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B CF 0F B7 55 F4 0F B7 45 F0 E8 ?? ?? ?? ?? DD 5B 28 9B 8D 55 BC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 BC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 B8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? DC 46 28 DD 5B 28 9B 8D 55 B4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 B4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 B0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8D 43 50 E8 ?? ?? ?? ?? 8D 55 AC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 AC 8D 45 FC E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 85 C0 7E 2D 6A 01 8D 45 A8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 A4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 A4 8D 45 FC E8 ?? ?? ?? ?? EB 0D 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 43 48 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 13 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 52 00 00 00 }
	condition:
		$1
}

rule function_33860_0 {
	meta:
		name = "TIdFTPLPMVS.GetIdent"
		size = 40
		refs = "0006 TIdFTPLPMVS.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4D 00 56 00 53 00 00 00 }
	condition:
		$1
}

rule function_33861_0 {
	meta:
		name = "TIdFTPLPMVS.IsHeader"
		size = 540
		refs = "000b IndyPos 0014 TIdFTPLPMVS.IsHeader"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B DA 8B 35 ?? ?? ?? ?? 8B 36 8B D3 B8 ?? ?? ?? ?? FF D6 8B F8 8B 35 ?? ?? ?? ?? 8B 36 8B D3 B8 ?? ?? ?? ?? FF D6 8B E8 8B 35 ?? ?? ?? ?? 8B 36 8B D3 B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 75 13 8B 35 ?? ?? ?? ?? 8B 36 8B D3 B8 ?? ?? ?? ?? FF D6 8B F0 8B 0D ?? ?? ?? ?? 8B 09 8B D3 B8 ?? ?? ?? ?? FF D1 89 04 24 8B 0D ?? ?? ?? ?? 8B 09 8B D3 B8 ?? ?? ?? ?? FF D1 89 44 24 04 8B 0D ?? ?? ?? ?? 8B 09 8B D3 B8 ?? ?? ?? ?? FF D1 89 44 24 08 8B 0D ?? ?? ?? ?? 8B 09 8B D3 B8 ?? ?? ?? ?? FF D1 89 44 24 0C 8B 0D ?? ?? ?? ?? 8B 09 8B D3 B8 ?? ?? ?? ?? FF D1 89 44 24 10 8B 0D ?? ?? ?? ?? 8B 09 8B D3 B8 ?? ?? ?? ?? FF D1 85 FF 74 3A 3B FD 7D 36 3B EE 7D 32 3B 34 24 7D 2D 8B 54 24 04 3B 14 24 7E 24 8B 54 24 08 3B 54 24 04 7E 1A 8B 54 24 0C 3B 54 24 08 7E 10 8B 54 24 10 3B 54 24 0C 7E 06 3B 44 24 10 7F 04 33 C0 EB 02 B0 01 83 C4 14 5D 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 56 00 6F 00 6C 00 75 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 55 00 6E 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 65 00 66 00 65 00 72 00 72 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 45 00 78 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 55 00 73 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 72 00 65 00 63 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 6C 00 6B 00 53 00 7A 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 44 00 73 00 6F 00 72 00 67 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 73 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_33863_0 {
	meta:
		name = "IsMVSMigrated"
		size = 104
		refs = "0004 IsMVSMigrated 000b TextStartsWith"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 14 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 69 00 67 00 72 00 61 00 74 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4D 00 49 00 47 00 52 00 41 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_33865_0 {
	meta:
		name = "CanGetAttributes"
		size = 76
		refs = "0006 IsMVSMigrated 0011 IsPseudoDir 001a CanGetAttributes 0021 TextStartsWith"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 45 00 72 00 72 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_33866_0 {
	meta:
		name = "TIdFTPLPMVS.ParseLine"
		size = 892
		refs = "001d TIdFTPLPMVS.ParseLine 003a _DV_TIdMVSFTPListItem 003f @AsClass 004c IsMVSMigrated 005f IsPseudoDir 0072 CanGetAttributes 0081 _Dn_TStringList 0086 TStringList.Create 00aa SplitColumns 00ce @UStrAsg 0123 IsNumeric 013f MVSDate 016e IndyStrToInt 024c @UStrEqual 0272 TObject.Free 0278 @HandleFinally 0293 TextEndsWith 029d IndyPos 02d4 @UStrCopy 02df TIdFTPListItem.SetFileName 02f4 RPos 0334 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 25 00 8B 45 FC C6 40 24 00 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 84 C0 74 04 C6 43 54 01 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 84 C0 74 04 C6 43 38 00 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 84 C0 0F 84 00 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 18 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 85 C0 7E 18 8D 4D F4 33 D2 8B 45 F8 8B 30 FF 56 0C 8B 55 F4 8D 43 58 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 48 7E 1B 8D 4D F0 BA 01 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 55 F0 8D 43 5C E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 02 7E 46 8D 4D EC BA 02 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 EC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 20 8D 4D E8 BA 02 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 E8 E8 ?? ?? ?? ?? DD 5B 28 9B C6 43 25 01 8B 45 F8 8B 10 FF 52 14 83 F8 03 7E 1D 8D 4D E4 BA 03 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 E4 33 D2 E8 ?? ?? ?? ?? 89 43 64 8B 45 F8 8B 10 FF 52 14 83 F8 04 7E 1D 8D 4D E0 BA 04 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 E0 33 D2 E8 ?? ?? ?? ?? 89 43 68 8B 45 F8 8B 10 FF 52 14 83 F8 05 7E 1B 8D 4D DC BA 05 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 55 DC 8D 43 44 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 06 7E 1D 8D 4D D8 BA 06 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 D8 33 D2 E8 ?? ?? ?? ?? 89 43 40 8B 45 F8 8B 10 FF 52 14 83 F8 07 7E 1D 8D 4D D4 BA 07 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 D4 33 D2 E8 ?? ?? ?? ?? 89 43 50 8B 45 F8 8B 10 FF 52 14 83 F8 08 7E 34 8D 4D D0 BA 08 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 55 D0 8D 43 60 E8 ?? ?? ?? ?? 8B 43 60 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 06 C6 43 38 00 EB 04 C6 43 38 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 83 78 18 00 74 5E 8B 45 FC 8B 40 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4A 8B 1D ?? ?? ?? ?? 8B 1B 8B 45 FC 8B 50 18 B8 ?? ?? ?? ?? FF D3 8B D8 43 8B 45 FC 8B 70 18 85 F6 74 05 83 EE 04 8B 36 8D 45 CC 50 8B CE 2B CB 49 8B 45 FC 8B 40 18 8B D3 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 FC E8 ?? ?? ?? ?? EB 37 8B 45 FC 8B 50 18 83 C9 FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 43 8D 45 C8 50 8B 45 FC 8B 40 18 B9 FF FF FF 7F 8B D3 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 FC E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 0C 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 50 00 4F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 }
	condition:
		$1
}

rule function_33867_0 {
	meta:
		name = "TIdFTPLPMVSPartitionedDataSet.GetIdent"
		size = 88
		refs = "0006 TIdFTPLPMVSPartitionedDataSet.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 4D 00 56 00 53 00 3A 00 20 00 20 00 50 00 61 00 72 00 74 00 69 00 74 00 69 00 6F 00 6E 00 65 00 64 00 20 00 44 00 61 00 74 00 61 00 20 00 53 00 65 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_33868_0 {
	meta:
		name = "TIdFTPLPMVSPartitionedDataSet.IsHeader"
		size = 108
		refs = "0007 IndyPos 0010 TIdFTPLPMVSPartitionedDataSet.IsHeader"
	strings:
		$1 = { 53 56 57 8B F2 8B 1D ?? ?? ?? ?? 8B 1B 8B D6 B8 ?? ?? ?? ?? FF D3 8B D8 8B 3D ?? ?? ?? ?? 8B 3F 8B D6 B8 ?? ?? ?? ?? FF D7 85 DB 7E 04 3B D8 7C 04 33 C0 EB 02 B0 01 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_33869_0 {
	meta:
		name = "TIdFTPLPMVSPartitionedDataSet.ParseLine"
		size = 432
		refs = "0019 TIdFTPLPMVSPartitionedDataSet.ParseLine 002e _Dn_TStringList 0033 TStringList.Create 0054 SplitColumns 007b TIdFTPListItem.SetFileName 00c8 IsNumeric 00e5 IndyPos 010a MVSDate 0133 TimeHHMMSS 0158 TObject.Free 015e @HandleFinally 017c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 25 00 C6 43 24 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 18 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 85 C0 0F 8E DA 00 00 00 8D 4D F8 33 D2 8B 45 FC 8B 30 FF 56 0C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 83 F8 07 0F 8E B2 00 00 00 8D 4D F4 BA 03 00 00 00 8B 45 FC 8B 30 FF 56 0C 83 7D F4 00 0F 84 98 00 00 00 8D 4D F0 BA 03 00 00 00 8B 45 FC 8B 30 FF 56 0C 8B 45 F0 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 72 8D 4D EC BA 03 00 00 00 8B 45 FC 8B 30 FF 56 0C 8B 55 EC 8B 35 ?? ?? ?? ?? 8B 36 B8 ?? ?? ?? ?? FF D6 85 C0 7E 4C 8D 4D E8 BA 03 00 00 00 8B 45 FC 8B 30 FF 56 0C 8B 45 E8 E8 ?? ?? ?? ?? DD 5B 28 9B 8B 45 FC 8B 10 FF 52 14 83 F8 04 7E 23 8D 4D E4 BA 04 00 00 00 8B 45 FC 8B 30 FF 56 0C 8B 45 E4 E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B C6 43 25 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_33870_0 {
	meta:
		name = "TIdFTPLPMVSJESInterface1.CheckListing"
		size = 408
		refs = "001e TIdFTPLPMVSJESInterface1.CheckListing 003e _Dn_TStringList 0043 TStringList.Create 0070 SplitColumns 009a Trim 00a3 MVS_JES_Status 00ad PosInStrArray 00e4 IsNumeric 0109 CharEquals 014d TObject.Free 0153 @HandleFinally 016f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B C3 8B 10 FF 52 14 85 C0 0F 8E 1E 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D F4 33 D2 8B C3 8B 38 FF 57 0C 8B 45 F4 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 02 7E 33 6A 01 8D 4D EC BA 02 00 00 00 8B 45 F8 8B 38 FF 57 0C 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 40 7F 04 33 C0 EB 02 B0 01 88 45 FF 80 7D FF 00 74 57 8B 45 F8 8B 10 FF 52 14 83 F8 03 7E 4A 8D 4D E8 BA 03 00 00 00 8B 45 F8 8B 38 FF 57 0C 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 29 8D 4D E4 BA 03 00 00 00 8B 45 F8 8B 38 FF 57 0C 8B 45 E4 66 B9 2D 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FF 80 7D FF 00 75 17 8D 4D E0 33 D2 8B C3 8B 18 FF 53 0C 8B 55 E0 8B C6 FF 50 14 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33871_0 {
	meta:
		name = "TIdFTPLPMVSJESInterface1.GetIdent"
		size = 88
		refs = "0006 TIdFTPLPMVSJESInterface1.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 4D 00 56 00 53 00 3A 00 20 00 20 00 4A 00 45 00 53 00 20 00 51 00 75 00 65 00 75 00 65 00 20 00 49 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 20 00 31 00 00 00 }
	condition:
		$1
}

rule function_33872_0 {
	meta:
		name = "TIdFTPLPMVSJESInterface1.IsMVS_JESNoJobsMsg"
		size = 88
		refs = "0006 TIdFTPLPMVSJESInterface1.IsMVS_JESNoJobsMsg 000b @UStrEqual"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 5B C3 B0 04 02 00 FF FF FF FF 1A 00 00 00 4E 00 6F 00 20 00 6A 00 6F 00 62 00 73 00 20 00 66 00 6F 00 75 00 6E 00 64 00 20 00 6F 00 6E 00 20 00 4A 00 45 00 53 00 20 00 71 00 75 00 65 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_33874_0 {
	meta:
		name = "TIdFTPLPMVSJESInterface1.ParseLine"
		size = 376
		refs = "001b TIdFTPLPMVSJESInterface1.ParseLine 0031 _DV_TIdMVSJESFTPListItem 0036 @AsClass 0043 @UStrLAsg 0058 Fetch 0063 @UStrAsg 006e TrimLeft 0098 TIdFTPListItem.SetFileName 00ce MVS_JES_Status 00d8 PosInStrArray 0132 IndyStrToInt 0151 @UStrArrayClr 0157 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 46 25 00 C6 46 24 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 56 18 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 43 40 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 83 E8 01 72 0A 74 0E 48 74 11 48 74 14 EB 16 C6 43 48 01 EB 10 C6 43 48 02 EB 0A C6 43 48 03 EB 04 C6 43 48 04 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 33 D2 E8 ?? ?? ?? ?? 89 43 4C B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33875_0 {
	meta:
		name = "TIdFTPLPMVSJESInterface1.ParseListing"
		size = 206
		refs = "001d TIdFTPLPMVSJESInterface1.ParseListing 0086 @UStrAsg 00b7 @UStrArrayClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D E8 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 FC 8B 10 FF 52 14 85 C0 7E 6A 8D 4D E8 33 D2 8B 45 FC 8B 30 FF 56 0C 8B 55 E8 8B C3 FF 50 14 84 C0 75 4D 8B 45 FC 8B 10 FF 52 14 48 85 C0 7C 44 40 89 45 EC C7 45 F0 00 00 00 00 8B 55 F8 8B C3 FF 10 8B F0 8D 4D E4 8B 55 F0 8B 45 FC 8B 38 FF 57 0C 8B 55 E4 8D 46 18 E8 ?? ?? ?? ?? 33 C9 8B D6 8B C3 FF 50 04 FF 45 F0 FF 4D EC 75 CD EB 04 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33876_0 {
	meta:
		name = "TIdFTPLPMVSJESInterface2.CheckListing"
		size = 112
		refs = "0015 TIdFTPLPMVSJESInterface2.CheckListing 0040 TIdFTPLPMVSJESInterface2.IsMVS_JESIntF2Header 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B C6 8B 10 FF 52 14 85 C0 7E 19 8D 4D F8 33 D2 8B C6 8B 30 FF 56 0C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_33877_0 {
	meta:
		name = "TIdFTPLPMVSJESInterface2.GetIdent"
		size = 88
		refs = "0006 TIdFTPLPMVSJESInterface2.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 4D 00 56 00 53 00 3A 00 20 00 20 00 4A 00 45 00 53 00 20 00 51 00 75 00 65 00 75 00 65 00 20 00 49 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 20 00 32 00 00 00 }
	condition:
		$1
}

rule function_33878_0 {
	meta:
		name = "TIdFTPLPMVSJESInterface2.IsMVS_JESIntF2Header"
		size = 112
		refs = "0006 TIdFTPLPMVSJESInterface2.IsMVS_JESIntF2Header 000b @UStrEqual"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 5B C3 B0 04 02 00 FF FF FF FF 27 00 00 00 4A 00 4F 00 42 00 4E 00 41 00 4D 00 45 00 20 00 20 00 4A 00 4F 00 42 00 49 00 44 00 20 00 20 00 20 00 20 00 4F 00 57 00 4E 00 45 00 52 00 20 00 20 00 20 00 20 00 53 00 54 00 41 00 54 00 55 00 53 00 20 00 43 00 4C 00 41 00 53 00 53 00 00 00 }
	condition:
		$1
}

rule function_33880_0 {
	meta:
		name = "TIdFTPLPMVSJESInterface2.ParseLine"
		size = 464
		refs = "001d TIdFTPLPMVSJESInterface2.ParseLine 002b _DV_TIdMVSJESIntF2FTPListItem 0030 @AsClass 0050 @UStrCopy 005b Trim 0065 TIdFTPListItem.SetFileName 0091 @UStrAsg 0099 IsLineStr 00a5 @UStrClr 00d1 MVS_JES_Status 00db PosInStrArray 0127 IndyPos 0163 @UStrFromWChar 0171 @UStrCat3 0180 IndyStrToInt 019f @UStrArrayClr 01a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 C6 46 25 00 C6 46 24 00 8D 45 F0 50 8B 43 18 B9 08 00 00 00 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 43 18 B9 07 00 00 00 BA 13 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 46 40 E8 ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 84 C0 74 08 8D 46 40 E8 ?? ?? ?? ?? 6A 01 8D 45 E0 50 8B 43 18 B9 07 00 00 00 BA 1C 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 83 E8 01 72 0A 74 0E 48 74 11 48 74 14 EB 16 C6 46 48 01 EB 10 C6 46 48 02 EB 0A C6 46 48 03 EB 04 C6 46 48 04 8D 45 DC 50 8B 43 18 B9 FF FF FF 7F BA 23 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC 8D 55 FC E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B D8 85 DB 75 04 33 DB EB 48 8D 45 F8 E8 ?? ?? ?? ?? 4B 83 FB 01 7C 2B 8B 45 FC 0F B7 7C 58 FE 66 83 FF 20 74 1D 8D 45 D8 8B D7 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 F8 8B 4D F8 E8 ?? ?? ?? ?? 4B 85 DB 75 D5 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 89 46 4C B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 73 00 70 00 6F 00 6F 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_33881_0 {
	meta:
		name = "TIdFTPLPMVSJESInterface2.ParseListing"
		size = 372
		refs = "0024 TIdFTPLPMVSJESInterface2.ParseListing 0054 TIdFTPLPMVSJESInterface2.IsMVS_JESIntF2Header 009d TIdFTPListItems.GetItems 00a3 _DV_TIdMVSJESIntF2FTPListItem 00a8 @AsClass 00e2 @UStrEqual 0110 @UStrAsg 013f @UStrArrayClr 0145 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 89 5D E0 89 5D E4 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 F8 8B 10 FF 52 14 85 C0 0F 8E E9 00 00 00 8D 4D E4 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 07 BB 01 00 00 00 EB 02 33 DB C6 45 EF 00 8B F3 8B 45 F8 8B 10 FF 52 14 8B D8 4B 2B DE 0F 8C A9 00 00 00 43 80 7D EF 00 74 47 8B 45 F4 8B 40 08 8B 78 08 85 FF 0F 8E 89 00 00 00 8B D7 4A 8B 45 F4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8D 4D E0 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 55 E0 8B 45 E8 8B 40 50 8B 08 FF 51 38 EB 53 8D 4D DC 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 06 C6 45 EF 01 EB 31 8B 55 F4 8B 45 FC FF 10 89 45 F0 8D 4D D8 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 55 D8 8B 45 F0 83 C0 18 E8 ?? ?? ?? ?? 33 C9 8B 55 F0 8B 45 FC FF 50 04 46 4B 0F 85 58 FF FF FF B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_33882_0 {
	meta:
		name = "TIdMVSFTPListItem.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TIdFTPListItem.Create 0026 @AfterConstruction"
		altNames = "TIdVMVirtualReaderFTPListItem.Create TIdVSEVTOCFTPListItem.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 24 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_33883_0 {
	meta:
		name = "TIdMVSJESIntF2FTPListItem.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TIdFTPListItem.Create 001e _Dn_TStringList 0023 TStringList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81523_0 {
	meta:
		name = "TGIFRenderer.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TCustomGIFRenderer.Create 001e _Dn_TBitmap 0023 TBitmap.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_33885_0 {
	meta:
		name = "TIdMVSJESIntF2FTPListItem.SetDetails"
		size = 19
		altNames = "TIdVCard.SetURLs"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 50 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_33886_0 {
	meta:
		name = "TIdMVSJESFTPListItem.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TIdFTPListItem.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 48 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_33889_0 {
	meta:
		name = "TIdFTPLPNCSAforDOS.CheckListing"
		size = 532
		refs = "0025 TIdFTPLPNCSAforDOS.CheckListing 0072 _Dn_TStringList 0077 TStringList.Create 0098 SplitColumns 00c6 @UStrEqual 00e0 IsNumeric 0101 IsMMDDYY 0122 IsHHMMSS 012e ExcludeQVNET 0155 TObject.Free 015b @HandleFinally 01ab @UStrArrayClr 01b3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 DB 89 5D D0 89 5D D4 89 5D D8 89 5D DC 89 5D E0 89 5D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8B 45 F4 8B 10 FF 52 14 85 C0 0F 8E 52 01 00 00 8B 45 F4 8B 10 FF 52 14 83 E8 02 85 C0 0F 8C 1D 01 00 00 40 89 45 E4 C7 45 E8 00 00 00 00 8D 4D FC 8B 55 E8 8B 45 F4 8B 18 FF 53 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 83 F8 04 0F 85 92 00 00 00 8D 4D E0 BA 01 00 00 00 8B 45 EC 8B 18 FF 53 0C 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1C 8D 4D DC BA 01 00 00 00 8B 45 EC 8B 18 FF 53 0C 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 4E 8D 4D D8 BA 02 00 00 00 8B 45 EC 8B 18 FF 53 0C 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8D 4D D4 BA 03 00 00 00 8B 45 EC 8B 18 FF 53 0C 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 80 7D F3 00 74 0C FF 45 E8 FF 4D E4 0F 85 EE FE FF FF 8B 45 F4 8B 10 FF 52 14 8B D0 4A 8D 4D D0 8B 45 F4 8B 18 FF 53 0C 8B 55 D0 8B 45 F8 FF 50 18 88 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F3 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 44 00 49 00 52 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_33890_0 {
	meta:
		name = "TIdFTPLPNCSAforDOS.GetIdent"
		size = 84
		refs = "0006 TIdFTPLPNCSAforDOS.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 4E 00 43 00 53 00 41 00 20 00 66 00 6F 00 72 00 20 00 4D 00 53 00 2D 00 44 00 4F 00 53 00 20 00 28 00 43 00 55 00 2F 00 54 00 43 00 50 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_33891_0 {
	meta:
		name = "TIdFTPLPNCSAforDOS.IsFooter"
		size = 392
		refs = "0012 TIdFTPLPNCSAforDOS.IsFooter 0023 _Dn_TStringList 0028 TStringList.Create 0056 StringReplace 0061 Trim 0071 SplitColumns 00b1 @UStrEqual 00f5 TObject.Free 00fb @HandleFinally 0117 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 05 ?? ?? ?? ?? 50 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? EB 0A 33 D2 8B 45 F8 8B 08 FF 51 48 8B 45 F8 8B 10 FF 52 14 83 F8 02 7F E9 8B 45 F8 8B 10 FF 52 14 83 F8 02 75 44 8D 4D EC 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1F 8D 4D E8 BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5B 8B E5 5D C3 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 79 00 74 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 41 00 76 00 61 00 69 00 6C 00 61 00 62 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_33894_0 {
	meta:
		name = "TIdFTPLPNCSAforDOS.ParseLine"
		size = 380
		refs = "0016 TIdFTPLPNCSAforDOS.ParseLine 0027 @UStrLAsg 003c Fetch 0046 TIdFTPListItem.SetFileName 0051 Trim 007e @UStrEqual 009a IndyStrToInt64 00df DateMMDDYY 011c TimeHHMMSS 013f @UStrArrayClr 0145 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A C6 43 38 00 C6 43 24 00 EB 16 C6 43 38 01 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 89 43 10 89 53 14 83 7D FC 00 74 7D 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 4C 8B 45 F8 E8 ?? ?? ?? ?? DD 5B 28 9B 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 0F 8B 45 F8 E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 44 00 49 00 52 00 3E 00 00 00 }
	condition:
		$1
}

rule function_33897_0 {
	meta:
		name = "TIdFTPLPNCSAforMACOS.CheckListing"
		size = 132
		refs = "0009 TIdFTPLPNCSAforMACOS.CheckListing 000e @UStrEqual 001c TextStartsWith"
	strings:
		$1 = { 55 8B EC 53 8B D9 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 14 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5B 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 41 00 43 00 20 00 4E 00 43 00 53 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 20 00 4D 00 41 00 43 00 2D 00 4F 00 53 00 20 00 54 00 43 00 50 00 2F 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 00 00 }
	condition:
		$1
}

rule function_33898_0 {
	meta:
		name = "TIdFTPLPNCSAforMACOS.GetIdent"
		size = 64
		refs = "0006 TIdFTPLPNCSAforMACOS.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4E 00 43 00 53 00 41 00 20 00 66 00 6F 00 72 00 20 00 4D 00 41 00 43 00 4F 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_33900_0 {
	meta:
		name = "TIdFTPLPNCSAforMACOS.ParseLine"
		size = 212
		refs = "000e TIdFTPLPNCSAforMACOS.ParseLine 003f CharIsInSet 0067 @UStrCopy 0071 TIdFTPListItem.SetFileName 0090 @HandleAnyException 0097 @DoneExcept 00ac @UStrClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 77 18 85 F6 74 05 83 EE 04 8B 36 8B 47 18 B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 84 C0 74 30 C6 47 38 00 8B 77 18 85 F6 74 05 83 EE 04 8B 36 8D 45 FC 50 8B CE 49 8B 47 18 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 0E C6 47 38 01 8B 57 18 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_33903_0 {
	meta:
		name = "IsNetwareLine"
		size = 184
		refs = "000d IsNetwareLine 002d CharIsInSet 0041 ExtractNovellPerms 0049 IsValidNovellPermissionStr 006e IsNovelPSPattern 008b @UStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 95 C3 84 DB 74 5A B9 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 43 84 DB 74 3F 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 08 0F 94 C0 EB 02 33 C0 84 C0 74 0B 8B C6 E8 ?? ?? ?? ?? 34 01 EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 64 00 44 00 2D 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_33905_0 {
	meta:
		name = "TIdFTPLPNovellNetware.GetIdent"
		size = 64
		refs = "0006 TIdFTPLPNovellNetware.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4E 00 6F 00 76 00 65 00 6C 00 6C 00 20 00 4E 00 65 00 74 00 77 00 61 00 72 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_33907_0 {
	meta:
		name = "TIdFTPLPNovellNetware.ParseLine"
		size = 1184
		refs = "001d TIdFTPLPNovellNetware.ParseLine 002b _DV_TIdNovellNetwareFTPListItem 0030 @AsClass 003c Now 0054 DecodeDate 006c DecodeTime 0081 TextStartsWith 009a @UStrLAsg 00a5 ExtractNovellPerms 00b0 @UStrAsg 00ca @UStrCatN 00df Fetch 0104 IdDelete 0120 _Dn_TStringList 0125 TStringList.Create 0146 SplitColumns 018b IndyStrToInt64 01a9 StrToMonth 01db IndyStrToInt 01f8 IndyPos 0232 Y2Year 02eb AddMissingYear 035a EncodeDate 036f EncodeTime 03d0 TIdFTPListItem.SetFileName 03f5 TObject.Free 03fb @HandleFinally 0419 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BE 05 00 00 00 E8 ?? ?? ?? ?? DD 5D D8 9B FF 75 DC FF 75 D8 8D 4D EC 8D 55 EE 8D 45 F2 E8 ?? ?? ?? ?? FF 75 DC FF 75 D8 8D 45 E4 50 8D 4D E6 8D 55 E8 8D 45 EA E8 ?? ?? ?? ?? 0F B7 45 EE 66 89 45 F0 8B 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 38 00 EB 04 C6 43 38 01 8D 45 FC 8B 57 18 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D0 8D 43 48 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 48 68 ?? ?? ?? ?? 8D 43 3C BA 03 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 CC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 14 03 00 00 8B 45 FC 66 83 38 20 75 27 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 C8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 83 F8 04 0F 8E 84 02 00 00 8D 4D C4 33 D2 8B 45 F4 8B 38 FF 57 0C 8B 55 C4 8D 43 40 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 4D C0 BA 01 00 00 00 8B 45 F4 8B 38 FF 57 0C 8B 45 C0 E8 ?? ?? ?? ?? 89 43 10 89 53 14 8D 4D BC BA 02 00 00 00 8B 45 F4 8B 38 FF 57 0C 8B 45 BC E8 ?? ?? ?? ?? 0F B6 C0 66 89 45 EE 66 83 7D EE 01 73 08 0F B7 45 F0 66 89 45 EE 8D 4D B8 BA 03 00 00 00 8B 45 F4 8B 38 FF 57 0C 8B 45 B8 0F B7 55 EC E8 ?? ?? ?? ?? 66 89 45 EC 8D 4D B4 BA 04 00 00 00 8B 45 F4 8B 38 FF 57 0C 8B 55 B4 8B 3D ?? ?? ?? ?? 8B 3F B8 ?? ?? ?? ?? FF D7 85 C0 0F 85 D5 00 00 00 8D 4D B0 BA 04 00 00 00 8B 45 F4 8B 38 FF 57 0C 8B 45 B0 0F B7 55 F2 E8 ?? ?? ?? ?? 66 89 45 F2 0F B7 45 F2 E8 ?? ?? ?? ?? 66 89 45 F2 66 C7 45 EA 00 00 66 C7 45 E8 00 00 8B 45 F4 8B 10 FF 52 14 83 F8 05 0F 8E F6 00 00 00 8D 4D AC BA 05 00 00 00 8B 45 F4 8B 38 FF 57 0C 8B 55 AC 8B 3D ?? ?? ?? ?? 8B 3F B8 ?? ?? ?? ?? FF D7 85 C0 0F 8E CC 00 00 00 8D 4D FC BA 05 00 00 00 8B 45 F4 8B 30 FF 56 0C 6A 01 8D 45 A8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 0F B7 55 EA E8 ?? ?? ?? ?? 66 89 45 EA 6A 01 8D 45 A4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A4 0F B7 55 E8 E8 ?? ?? ?? ?? 66 89 45 E8 BE 06 00 00 00 EB 6B 0F B7 55 EE 0F B7 45 EC E8 ?? ?? ?? ?? 66 89 45 F2 8D 4D FC BA 04 00 00 00 8B 45 F4 8B 38 FF 57 0C 6A 01 8D 45 A0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 0F B7 55 EA E8 ?? ?? ?? ?? 66 89 45 EA 6A 01 8D 45 9C 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 0F B7 55 E8 E8 ?? ?? ?? ?? 66 89 45 E8 0F B7 4D EC 0F B7 55 EE 0F B7 45 F2 E8 ?? ?? ?? ?? DD 5B 28 9B 6A 00 33 C9 0F B7 55 E8 0F B7 45 EA E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B 8B 45 F4 8B 10 FF 52 14 48 2B C6 7C 31 40 96 89 45 D4 FF 75 F8 68 ?? ?? ?? ?? 8D 4D 98 8B 55 D4 8B 45 F4 8B 38 FF 57 0C FF 75 98 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 D4 4E 75 D4 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 43 20 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 BA 0F 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 44 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_33908_0 {
	meta:
		name = "TIdFTPLPNovellNetware.ParseListing"
		size = 205
		refs = "001e TIdFTPLPNovellNetware.ParseListing 0049 IsTotalLine 008c @UStrAsg 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 85 C0 75 04 B3 01 EB 6A 8D 4D EC 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 07 BB 01 00 00 00 EB 02 33 DB 8B 45 F8 8B 10 FF 52 14 8B F0 4E 2B F3 7C 37 46 89 5D F0 8B 55 F4 8B 45 FC FF 10 8B D8 8D 4D E8 8B 55 F0 8B 45 F8 8B 38 FF 57 0C 8B 55 E8 8D 43 18 E8 ?? ?? ?? ?? 33 C9 8B D3 8B 45 FC FF 50 04 FF 45 F0 4E 75 CD B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_33911_0 {
	meta:
		name = "TIdFTPLPNetwarePSUDos.CheckListing"
		size = 232
		refs = "0011 TIdFTPLPNetwarePSUDos.CheckListing 004d CharIsInSet 0069 @UStrCopy 0074 ExtractNovellPerms 008d IsValidNovellPermissionStr 009d IsNovelPSPattern 00bd @UStrArrayClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B C6 8B 10 FF 52 14 85 C0 7E 7F 8D 4D F8 33 D2 8B C6 8B 18 FF 53 0C 83 7D F8 00 0F 95 C3 84 DB 74 68 B9 ?? ?? ?? ?? BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 84 DB 74 50 8D 45 F4 50 B9 0C 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 08 75 0A 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0A 8B 45 F8 E8 ?? ?? ?? ?? EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 44 00 2D 00 00 00 }
	condition:
		$1
}

rule function_33912_0 {
	meta:
		name = "TIdFTPLPNetwarePSUDos.GetIdent"
		size = 144
		refs = "0006 TIdFTPLPNetwarePSUDos.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 36 00 00 00 4E 00 6F 00 76 00 65 00 6C 00 6C 00 20 00 4E 00 65 00 74 00 77 00 61 00 72 00 65 00 20 00 50 00 72 00 69 00 6E 00 74 00 20 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 73 00 20 00 66 00 6F 00 72 00 20 00 55 00 6E 00 69 00 78 00 3A 00 20 00 20 00 44 00 4F 00 53 00 20 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_33914_0 {
	meta:
		name = "TIdFTPLPNetwarePSUDos.ParseLine"
		size = 812
		refs = "001c TIdFTPLPNetwarePSUDos.ParseLine 002a _DV_TIdNovellPSU_DOSFTPListItem 002f @AsClass 003c @UStrLAsg 0049 TextStartsWith 0069 IdDelete 0074 TrimLeft 0094 Fetch 009f ExtractNovellPerms 00aa @UStrAsg 00c4 @UStrCatN 0131 IndyStrToInt64 0178 @UStrCopy 0243 DateStrMonthDDYY 0292 @UStrCat 029a TimeHHMMSS 02ab TIdFTPListItem.SetFileName 02c7 @UStrArrayClr 02cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 38 00 EB 04 C6 43 38 01 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 43 48 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 48 68 ?? ?? ?? ?? 8D 43 3C BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8D 43 40 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 6A 01 8D 45 D8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 89 43 10 89 53 14 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 6A 01 8D 45 D0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 B9 03 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 6A 01 8D 45 C8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 C8 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 C4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C0 8D 45 FC E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 6A 01 8D 45 BC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 BC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 B8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 B8 8D 45 FC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DD 5B 28 9B 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 B4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 B4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 B0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? DC 46 28 DD 5B 28 9B 8B 55 FC 8B C3 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 14 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 44 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_33915_0 {
	meta:
		name = "TIdFTPLPNetwarePSUNFS.CheckListing"
		size = 528
		refs = "001b TIdFTPLPNetwarePSUNFS.CheckListing 006d IdDelete 0077 IsValidUnixPerms 008b _Dn_TStringList 0090 TStringList.Create 00b1 SplitColumns 00f2 PosInStrArray 0129 Fetch 0134 @UStrLAsg 013c IsNumeric 015d StrToMonth 017d TObject.Free 0183 @HandleFinally 019f @UStrArrayClr 01a7 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 DB 89 5D E0 89 5D E4 89 5D F0 89 5D FC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B C3 8B 10 FF 52 14 85 C0 0F 8E 51 01 00 00 8D 4D FC 33 D2 8B C3 8B 18 FF 53 0C 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 09 7E 1C 8B 45 FC 66 83 78 12 20 75 12 8D 45 FC B9 01 00 00 00 BA 0A 00 00 00 E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 0F 84 01 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 83 F8 09 7E 37 6A 00 8D 4D F0 BA 09 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 F0 50 B8 ?? ?? ?? ?? 89 45 E8 B8 ?? ?? ?? ?? 89 45 EC 8D 55 E8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 40 75 04 33 C0 EB 02 B0 01 88 45 FB 80 7D FB 00 74 5F 8D 4D FC BA 06 00 00 00 8B 45 F4 8B 18 FF 53 0C 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 1E 8D 4D E0 BA 05 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 97 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 0F B6 45 FB 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 41 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 50 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_33916_0 {
	meta:
		name = "TIdFTPLPNetwarePSUNFS.GetIdent"
		size = 144
		refs = "0006 TIdFTPLPNetwarePSUNFS.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 36 00 00 00 4E 00 6F 00 76 00 65 00 6C 00 6C 00 20 00 4E 00 65 00 74 00 77 00 61 00 72 00 65 00 20 00 50 00 72 00 69 00 6E 00 74 00 20 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 73 00 20 00 66 00 6F 00 72 00 20 00 55 00 6E 00 69 00 78 00 3A 00 20 00 20 00 4E 00 46 00 53 00 20 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_33918_0 {
	meta:
		name = "TIdFTPLPNetwarePSUNFS.ParseLine"
		size = 1084
		refs = "001d TIdFTPLPNetwarePSUNFS.ParseLine 002b _DV_TIdNovellPSU_NFSFTPListItem 0030 @AsClass 003d @UStrLAsg 0052 Fetch 006f IsNumeric 0093 @UStrCat 00a0 TextStartsWith 00c4 @UStrCopy 00fb @UStrAsg 011a IndyStrToInt 0128 TrimLeft 01c0 IndyStrToInt64 01fc UpperCase 020c @UStrCat3 022d TrimRight 025a @UStrCatN 02ca DateYYStrMonthDD 0321 TimeHHMMSS 032e IndyPos 035d TIdFTPListItem.SetFileName 03dd @UStrArrayClr 03e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 20 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 38 01 EB 04 C6 43 38 00 8D 43 4C 50 B9 03 00 00 00 BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 43 48 50 B9 03 00 00 00 BA 05 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 43 50 50 B9 03 00 00 00 BA 08 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 43 3C 8B 55 F8 E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 89 43 58 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 43 40 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 DC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8D 43 5C E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 6A 01 8D 45 D4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 89 46 10 89 56 14 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 C8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 8D 55 CC E8 ?? ?? ?? ?? 8B 55 CC 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 C4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C4 8D 45 FC E8 ?? ?? ?? ?? 8D 55 C0 8B 45 F8 E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? 6A 01 8D 45 BC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 BC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 B8 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 B4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 B4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 B0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 B0 68 ?? ?? ?? ?? FF 75 F8 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DD 5B 28 9B 8D 55 AC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 AC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 A8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DC 46 28 DD 5B 28 9B 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 FC B8 ?? ?? ?? ?? FF D7 85 C0 7E 2C 6A 01 8D 45 A4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8B C3 E8 ?? ?? ?? ?? 8D 43 60 8B 55 FC E8 ?? ?? ?? ?? EB 4C 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 FC B8 ?? ?? ?? ?? FF D7 85 C0 7E 2C 6A 01 8D 45 A0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 8B C3 E8 ?? ?? ?? ?? 8D 43 60 8B 55 FC E8 ?? ?? ?? ?? EB 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 43 20 8B 56 1C E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 18 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 2D 00 3E 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_33921_0 {
	meta:
		name = "TIdFTPLPOS2.CheckListing"
		size = 504
		refs = "001d TIdFTPLPOS2.CheckListing 004d TrimLeft 0062 Fetch 006a IsNumeric 0088 @UStrLAsg 00aa @UStrEqual 00e4 IsMMDDYY 0106 TextStartsWith 015d IsHHMMSS 017a @UStrArrayClr 018d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8B C6 8B 10 FF 52 14 85 C0 0F 8E 2A 01 00 00 8D 4D EC 33 D2 8B C6 8B 30 FF 56 0C 8B 45 EC 8D 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 EE 00 00 00 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2B 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 11 8B 55 F8 8B C3 FF 50 14 84 C0 74 6C E9 79 FF FF FF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 56 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 03 7C 0A 8B 45 FC 66 83 78 04 20 74 3B 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 88 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F3 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 52 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_33922_0 {
	meta:
		name = "TIdFTPLPOS2.GetIdent"
		size = 44
		refs = "0006 TIdFTPLPOS2.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4F 00 53 00 2F 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_33924_0 {
	meta:
		name = "TIdFTPLPOS2.ParseLine"
		size = 548
		refs = "001a TIdFTPLPOS2.ParseLine 002f @UStrLAsg 003a TrimLeft 005a Fetch 0066 IndyStrToInt64 0074 _DV_TIdOS2FTPListItem 0079 @AsClass 00b3 @UStrEqual 0100 IsMMDDYY 010c DateMMDDYY 011d TIdDOSAttributes.AddAttribute 0160 IsHHMMSS 016c TimeHHMMSS 0185 @UStrDelete 018f TIdFTPListItem.SetFileName 01ad @UStrArrayClr 01c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 89 43 10 89 53 14 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3E 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2F C6 43 38 00 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 F8 E8 ?? ?? ?? ?? DD 5B 28 9B EB 16 8B 55 F8 8B 43 40 E8 ?? ?? ?? ?? 83 7D FC 00 74 70 E9 53 FF FF FF 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 F8 E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? C6 45 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 52 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_33927_0 {
	meta:
		name = "TIdFTPLPPCNFSD.CheckLine"
		size = 548
		refs = "0015 TIdFTPLPPCNFSD.CheckLine 0026 _Dn_TStringList 002b TStringList.Create 004b SplitColumns 008f CharIsInSet 00ac Fetch 00b7 @UStrLAsg 00e4 IsHHMMSS 0103 IsMMDDYY 011d IsNumeric 013b @UStrEqual 0167 TObject.Free 016d @HandleFinally 0189 @UStrArrayClr 0191 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 83 F8 03 0F 8E F1 00 00 00 8B 45 F4 8B 10 FF 52 14 8B F0 4E 8D 4D FC 8B D6 8B 45 F4 8B 18 FF 53 0C 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B B9 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 B6 00 00 00 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 65 4E 8D 4D E8 8B D6 8B 45 F4 8B 18 FF 53 0C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 46 4E 8D 4D E4 8B D6 8B 45 F4 8B 18 FF 53 0C 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 1C 8D 4D E0 8B D6 8B 45 F4 8B 18 FF 53 0C 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 10 85 F6 74 07 4E 74 04 33 C0 EB 02 B0 01 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 61 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 61 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 70 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 64 00 69 00 72 00 3E 00 00 00 }
	condition:
		$1
}

rule function_33928_0 {
	meta:
		name = "TIdFTPLPPCNFSD.CheckListing"
		size = 134
		refs = "0017 TIdFTPLPPCNFSD.CheckListing 004f TIdFTPLPPCNFSD.CheckLine 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2D 46 C7 45 F4 00 00 00 00 8D 4D F0 8B 55 F4 8B 45 F8 8B 18 FF 53 0C 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 75 06 FF 45 F4 4E 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_33929_0 {
	meta:
		name = "TIdFTPLPPCNFSD.GetIdent"
		size = 48
		refs = "0006 TIdFTPLPPCNFSD.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 43 00 2D 00 4E 00 46 00 53 00 44 00 00 00 }
	condition:
		$1
}

rule function_33931_0 {
	meta:
		name = "TIdFTPLPPCNFSD.ParseLine"
		size = 688
		refs = "001d TIdFTPLPPCNFSD.ParseLine 002f _DV_TIdPCNFSDFTPListItem 0034 @AsClass 003d _Dn_TStringList 0042 TStringList.Create 0063 SplitColumns 008b TIdFTPListItem.SetFileName 00da @UStrCatN 00fd ExtractNumber 012a @UStrEqual 016f IsMMDDYY 0188 DateMMDDYY 01c8 CharIsInSet 01e1 TimeHHMMSS 0206 TObject.Free 020c @HandleFinally 0228 @UStrArrayClr 023d @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 18 B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 83 F8 03 0F 8E 78 01 00 00 8D 4D F0 33 D2 8B 45 F4 8B 30 FF 56 0C 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 4D EC BA 01 00 00 00 8B 45 F4 8B 30 FF 56 0C 8B 45 EC 89 45 E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 83 F8 04 7D 2F FF 73 1C 68 ?? ?? ?? ?? 8D 4D E4 BA 01 00 00 00 8B 45 F4 8B 30 FF 56 0C FF 75 E4 8D 43 1C BA 03 00 00 00 E8 ?? ?? ?? ?? BE 02 00 00 00 EB 05 BE 01 00 00 00 8D 4D E0 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 45 E0 33 D2 E8 ?? ?? ?? ?? 99 89 43 10 89 53 14 83 7B 14 FF 75 26 83 7B 10 FF 75 20 8D 4D DC 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 BC 00 00 00 8D 4D D8 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 08 C6 43 38 00 C6 43 24 00 46 8D 4D D4 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 79 8D 4D D0 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 45 D0 E8 ?? ?? ?? ?? DD 5B 28 9B 46 8D 4D FC 8B D6 8B 45 F4 8B 38 FF 57 0C 8D 4D CC 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 45 CC 89 45 E8 8B 7D E8 85 FF 74 05 83 EF 04 8B 3F B9 ?? ?? ?? ?? 8B D7 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 20 8D 4D C8 8B D6 8B 45 F4 8B 30 FF 56 0C 8B 45 C8 E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 64 00 69 00 72 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 61 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_33934_0 {
	meta:
		name = "TIdFTPLPPCTCPNet.CheckListing"
		size = 480
		refs = "001c TIdFTPLPPCTCPNet.CheckListing 004c @UStrEqual 0064 @UStrCopy 006f Trim 0077 IsNumeric 00da StrToDay 0101 StrToMonth 012a StrToIntDef 0156 IsHHMMSS 01a1 @UStrArrayClr 01a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 8B 10 FF 52 14 85 C0 0F 8E 54 01 00 00 8D 4D FC 33 D2 8B C6 8B 18 FF 53 0C 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 31 8D 45 F4 50 B9 0A 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 84 DB 74 28 8D 45 EC 50 B9 13 00 00 00 BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 83 7D F0 00 0F 95 C3 84 DB 74 2E 8D 45 E4 50 B9 07 00 00 00 BA 1F 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 97 C3 84 DB 74 23 8D 45 E0 50 B9 03 00 00 00 BA 26 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 97 C3 84 DB 74 25 8D 45 DC 50 B9 02 00 00 00 BA 2A 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC 33 D2 E8 ?? ?? ?? ?? 85 C0 0F 9F C3 84 DB 74 25 8D 45 D8 50 B9 08 00 00 00 BA 2D 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 2B 8D 45 D0 50 B9 04 00 00 00 BA 36 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D0 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 0C 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 64 00 69 00 72 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_33935_0 {
	meta:
		name = "TIdFTPLPPCTCPNet.GetIdent"
		size = 68
		refs = "0006 TIdFTPLPPCTCPNet.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 43 00 2F 00 54 00 43 00 50 00 20 00 66 00 74 00 70 00 73 00 72 00 76 00 2E 00 65 00 78 00 65 00 00 00 }
	condition:
		$1
}

rule function_33937_0 {
	meta:
		name = "TIdFTPLPPCTCPNet.ParseLine"
		size = 680
		refs = "001c TIdFTPLPPCTCPNet.ParseLine 0031 TrimLeft 0046 Fetch 0053 @UStrEqual 0067 IsNumeric 0079 StrToIntDef 009a @UStrLAsg 00c3 TIdFTPListItem.SetFileName 00f6 StrToDay 0131 StrToMonth 01ba IsHHMMSS 01c6 TimeHHMMSS 0213 Y2Year 0222 EncodeDate 024b @UStrArrayClr 025e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8D 55 FC 8B 43 18 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A C6 43 38 00 C6 43 24 00 EB 25 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 C2 01 00 00 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 99 89 43 10 89 53 14 C6 43 24 01 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 78 01 00 00 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 3C 01 0F 82 33 01 00 00 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 F8 66 83 FF 01 0F 82 F3 00 00 00 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 F4 66 83 7D F4 00 0F 84 AF 00 00 00 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 73 8B 45 F8 E8 ?? ?? ?? ?? DD 5B 28 9B 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA FF FF 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 66 81 FE FF FF 74 26 0F B7 C6 E8 ?? ?? ?? ?? 8B F0 0F B7 4D F4 8B D7 8B C6 E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B C6 43 25 01 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 64 00 69 00 72 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_33940_0 {
	meta:
		name = "TIdFTPLPSterCommExpOS390.CheckListing"
		size = 268
		refs = "0010 TIdFTPLPSterCommExpOS390.CheckListing 003b IsTotalLine 006e CharIsInSet 00cd @UStrArrayClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 8B 10 FF 52 14 85 C0 0F 8E 8C 00 00 00 8D 4D F8 33 D2 8B C6 8B 38 FF 57 0C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 74 8D 4D FC 33 D2 8B C6 8B 30 FF 56 0C 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 03 7C 24 B9 ?? ?? ?? ?? BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 FC 66 83 78 04 20 75 04 B3 01 EB 33 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 05 7C 22 B9 ?? ?? ?? ?? BA 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 66 83 78 08 20 75 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 02 00 00 00 44 00 46 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 30 00 31 00 32 00 00 00 }
	condition:
		$1
}

rule function_33941_0 {
	meta:
		name = "TIdFTPLPSterCommExpOS390.GetIdent"
		size = 88
		refs = "0006 TIdFTPLPSterCommExpOS390.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 3A 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 20 00 66 00 6F 00 72 00 20 00 4F 00 53 00 2F 00 33 00 39 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_33943_0 {
	meta:
		name = "TIdFTPLPSterCommExpOS390.ParseLine"
		size = 404
		refs = "0017 TIdFTPLPSterCommExpOS390.ParseLine 0025 _DV_TIdSterCommExpOS390FTPListItem 002a @AsClass 0033 _Dn_TStringList 0038 TStringList.Create 0059 SplitColumns 0083 @UStrEqual 00a0 @UStrAsg 00c9 IndyStrToInt64 011f TIdFTPListItem.SetFileName 0139 TObject.Free 013f @HandleFinally 015d @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 46 18 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 83 F8 03 7E 3A 8D 4D F8 BA 03 00 00 00 8B 45 FC 8B 30 FF 56 0C 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1B 8D 4D F4 BA 03 00 00 00 8B 45 FC 8B 30 FF 56 0C 8B 55 F4 8D 43 40 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 83 F8 04 7E 1F 6A 00 6A 00 8D 4D F0 BA 04 00 00 00 8B 45 FC 8B 30 FF 56 0C 8B 45 F0 E8 ?? ?? ?? ?? 89 43 44 8B 45 FC 8B 10 FF 52 14 83 F8 05 7E 1F 6A 00 6A 00 8D 4D EC BA 05 00 00 00 8B 45 FC 8B 30 FF 56 0C 8B 45 EC E8 ?? ?? ?? ?? 89 43 48 8B 45 FC 8B 10 FF 52 14 83 F8 06 7E 1A 8D 4D E8 BA 06 00 00 00 8B 45 FC 8B 30 FF 56 0C 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_33946_0 {
	meta:
		name = "IsSterPrefix"
		size = 149
		refs = "000f IsSterPrefix 003c @UStrCopy 0044 IsValidSterCommFlags 0065 IsValidSterCommProt 0081 @UStrArrayClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 85 C0 74 05 83 E8 04 8B 00 83 F8 0D 75 40 8D 45 FC 50 B9 0A 00 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1F 8D 45 F8 50 B9 03 00 00 00 BA 0B 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_33947_0 {
	meta:
		name = "TIdFTPLPSterCommEntUx.CheckListing"
		size = 180
		refs = "0011 TIdFTPLPSterCommEntUx.CheckListing 0045 Fetch 004d IsSterPrefix 0070 IsValidSterCommProt 008c @UStrArrayClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 8B 10 FF 52 14 85 C0 7E 4E 8D 4D FC 33 D2 8B C6 8B 18 FF 53 0C 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 84 DB 74 1F 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33948_0 {
	meta:
		name = "TIdFTPLPSterCommEntUx.GetIdent"
		size = 88
		refs = "0006 TIdFTPLPSterCommEntUx.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 43 00 4F 00 4E 00 4E 00 45 00 43 00 54 00 3A 00 45 00 6E 00 74 00 65 00 72 00 70 00 72 00 69 00 73 00 65 00 20 00 66 00 6F 00 72 00 20 00 55 00 4E 00 49 00 58 00 00 00 }
	condition:
		$1
}

rule function_33950_0 {
	meta:
		name = "TIdFTPLPSterCommEntUx.ParseLine"
		size = 712
		refs = "001d TIdFTPLPSterCommEntUx.ParseLine 002c _DV_TIdSterCommEntUxFTPListItem 0031 @AsClass 0038 Now 004d DecodeDate 0065 @UStrLAsg 0070 TrimLeft 0090 Fetch 009b @UStrAsg 012d IsNumeric 013b IndyStrToInt 014c StrToMonth 01bf IndyPos 01dc AddMissingYear 023e TIdFTPListItem.SetFileName 024f EncodeDate 0262 EncodeTime 0285 @UStrArrayClr 0298 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 55 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 4D EE 8D 55 F0 8D 45 F2 E8 ?? ?? ?? ?? 33 F6 33 FF 66 C7 45 EC 00 00 8D 45 FC 8B 55 F4 8B 52 18 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 43 48 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 DC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8D 43 4C E8 ?? ?? ?? ?? 6A 01 8D 45 D8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8D 43 40 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 CF 8B 45 FC 0F B7 00 E8 ?? ?? ?? ?? 84 C0 75 13 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 99 89 43 10 89 53 14 EB AD 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 C0 66 89 45 F0 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 55 EE 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 EE 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 09 8B 55 F8 B8 ?? ?? ?? ?? FF D1 85 C0 7E 55 0F B7 55 F0 0F B7 45 EE E8 ?? ?? ?? ?? 66 89 45 F2 6A 01 8D 45 C8 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 33 D2 E8 ?? ?? ?? ?? 8B F0 6A 01 8D 45 C4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 33 D2 E8 ?? ?? ?? ?? 8B F8 EB 10 0F B7 55 F2 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 F2 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B7 4D EE 0F B7 55 F0 0F B7 45 F2 E8 ?? ?? ?? ?? DD 5B 28 9B 6A 00 0F B7 4D EC 8B D7 8B C6 E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_33951_0 {
	meta:
		name = "IsValidDate"
		size = 320
		refs = "0012 IsValidDate 0022 @UStrLAsg 0037 Fetch 004d @UStrCopy 0057 IndyStrToInt 011b @UStrArrayClr 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 B9 02 00 00 00 BA 03 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 66 85 C0 76 06 66 83 F8 0D 72 04 33 DB EB 02 B3 01 84 DB 0F 84 91 00 00 00 8D 45 F0 50 B9 02 00 00 00 BA 05 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 66 85 C0 76 06 66 83 F8 20 72 04 33 DB EB 02 B3 01 84 DB 74 5C 8D 45 EC 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 66 85 C0 76 06 66 83 F8 19 72 04 33 DB EB 02 B3 01 84 DB 74 27 8D 45 E8 50 B9 02 00 00 00 BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 33 D2 E8 ?? ?? ?? ?? 66 83 F8 3C 0F 92 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_33952_0 {
	meta:
		name = "TIdFTPLPSterCommEntUxNS.CheckListing"
		size = 456
		refs = "001f TIdFTPLPSterCommEntUxNS.CheckListing 006e IndyPos 00a0 Fetch 00aa TIdFTPLPSterCommEntUxNS.StripPlus 00b5 TrimLeft 00c0 @UStrLAsg 00dd IsValidDate 00f5 RightStr 010b @UStrCopy 0113 IsValidSterCommProt 0135 IsValidSterCommData 0163 IsValidSterCommFlags 0180 @UStrArrayClr 0193 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B C3 8B 10 FF 52 14 85 C0 0F 8E 2E 01 00 00 8D 4D F0 33 D2 8B C3 8B 38 FF 57 0C 8B 55 F0 8B C6 FF 50 18 84 C0 74 09 C6 45 F7 01 E9 0D 01 00 00 8D 4D EC 33 D2 8B C3 8B 38 FF 57 0C 8B 55 EC 8B 3D ?? ?? ?? ?? 8B 3F B8 ?? ?? ?? ?? FF D7 85 C0 0F 8E E7 00 00 00 8D 4D FC 33 D2 8B C3 8B 18 FF 53 0C 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 84 81 00 00 00 8D 4D F8 BA 07 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 DC 50 B9 03 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 4F 8D 45 D8 50 B9 03 00 00 00 BA 05 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 74 2D 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC 50 8B CB 83 E9 07 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_33953_0 {
	meta:
		name = "TIdFTPLPSterCommEntUxNS.GetIdent"
		size = 92
		refs = "0006 TIdFTPLPSterCommEntUxNS.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 43 00 4F 00 4E 00 4E 00 45 00 43 00 54 00 3A 00 45 00 6E 00 74 00 65 00 72 00 70 00 72 00 69 00 73 00 65 00 20 00 66 00 6F 00 72 00 20 00 55 00 4E 00 49 00 58 00 24 00 24 00 00 00 }
	condition:
		$1
}

rule function_33955_0 {
	meta:
		name = "TIdFTPLPSterCommEntUxNS.ParseLine"
		size = 680
		refs = "001f TIdFTPLPSterCommEntUxNS.ParseLine 002d _DV_TIdSterCommEntUxNSFTPListItem 0032 @AsClass 003f @UStrLAsg 0054 Fetch 005f @UStrAsg 006a TrimLeft 00c1 IndyStrToInt64 00fb TIdFTPListItem.SetFileName 0105 TIdFTPLPSterCommEntUxNS.StripPlus 0131 @UStrCopy 0151 IndyStrToInt 015b Y2Year 01d3 EncodeDate 0228 EncodeTime 024b @UStrArrayClr 0253 @UStrClr 0259 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 56 18 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 43 40 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 89 43 10 89 53 14 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 DC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC 50 B9 0B 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 D4 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 33 D2 E8 ?? ?? ?? ?? 8B F0 0F B7 C6 E8 ?? ?? ?? ?? 8B F0 8D 45 D0 50 B9 02 00 00 00 BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D0 33 D2 E8 ?? ?? ?? ?? 66 89 45 FA 8D 45 CC 50 B9 02 00 00 00 BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 CC 33 D2 E8 ?? ?? ?? ?? 66 89 45 F8 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 6A 01 8D 45 C8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 4D F8 0F B7 55 FA 8B C6 E8 ?? ?? ?? ?? DD 5B 28 9B 8D 45 C4 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C4 33 D2 E8 ?? ?? ?? ?? 8B F0 8D 45 C0 50 B9 02 00 00 00 BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C0 33 D2 E8 ?? ?? ?? ?? 8B F8 6A 00 33 C9 8B D7 8B C6 E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 0E 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_33956_0 {
	meta:
		name = "TIdFTPLPSterCommEntUxNS.StripPlus"
		size = 56
		refs = "0006 TIdFTPLPSterCommEntUxNS.StripPlus 000b TextStartsWith 0020 IdDelete"
	strings:
		$1 = { 53 8B DA 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B C3 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 }
	condition:
		$1
}

rule function_33957_0 {
	meta:
		name = "TIdFTPLPSterCommEntUxRoot.CheckListing"
		size = 704
		refs = "001f TIdFTPLPSterCommEntUxRoot.CheckListing 009e @UStrCopy 00ab @UStrEqual 0277 @UStrArrayClr 027f @UStrClr 0285 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B C3 8B 10 FF 52 14 85 C0 0F 8E 25 02 00 00 8D 4D F4 33 D2 8B C3 8B 38 FF 57 0C 8B 55 F4 8B C6 FF 50 18 84 C0 74 09 C6 45 FB 01 E9 04 02 00 00 8D 4D FC 33 D2 8B C3 8B 18 FF 53 0C 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 1A 7C 0C 8B 45 FC 66 83 38 64 0F 94 C0 EB 02 33 C0 84 C0 74 28 8D 45 F0 50 B9 03 00 00 00 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 84 C0 74 0D 8B 45 FC 66 83 78 08 20 0F 95 C0 EB 02 33 C0 84 C0 74 28 8D 45 EC 50 B9 03 00 00 00 BA 06 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 84 C0 74 0D 8B 45 FC 66 83 78 10 20 0F 95 C0 EB 02 33 C0 84 C0 74 28 8D 45 E8 50 B9 03 00 00 00 BA 0A 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 84 C0 74 0D 8B 45 FC 66 83 78 18 20 0F 95 C0 EB 02 33 C0 84 C0 74 28 8D 45 E4 50 B9 02 00 00 00 BA 0E 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 84 C0 74 0D 8B 45 FC 66 83 78 1E 20 0F 95 C0 EB 02 33 C0 84 C0 74 28 8D 45 E0 50 B9 02 00 00 00 BA 11 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 84 C0 74 0D 8B 45 FC 66 83 78 24 20 0F 95 C0 EB 02 33 C0 84 C0 74 28 8D 45 DC 50 B9 02 00 00 00 BA 14 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 84 C0 74 0D 8B 45 FC 66 83 78 2A 20 0F 95 C0 EB 02 33 C0 84 C0 74 28 8D 45 D8 50 B9 02 00 00 00 BA 17 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 84 C0 74 0D 8B 45 FC 66 83 78 30 20 0F 95 C0 EB 02 33 C0 84 C0 74 0E 8B 45 FC 66 83 78 32 20 75 04 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 20 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_33958_0 {
	meta:
		name = "TIdFTPLPSterCommEntUxRoot.GetIdent"
		size = 100
		refs = "0006 TIdFTPLPSterCommEntUxRoot.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 43 00 4F 00 4E 00 4E 00 45 00 43 00 54 00 3A 00 45 00 6E 00 74 00 65 00 72 00 70 00 72 00 69 00 73 00 65 00 20 00 66 00 6F 00 72 00 20 00 55 00 4E 00 49 00 58 00 20 00 52 00 4F 00 4F 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_33959_0 {
	meta:
		name = "TIdFTPLPSterCommEntUxRoot.IsFooter"
		size = 88
		refs = "0003 TIdFTPLPSterCommEntUxRoot.IsFooter 0008 TextStartsWith"
	strings:
		$1 = { 8B C2 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 54 00 6F 00 74 00 61 00 6C 00 20 00 6E 00 75 00 6D 00 62 00 65 00 72 00 20 00 6F 00 66 00 20 00 4D 00 61 00 69 00 6C 00 62 00 6F 00 78 00 65 00 73 00 20 00 3D 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_33961_0 {
	meta:
		name = "TIdFTPLPSterCommEntUxRoot.ParseLine"
		size = 95
		refs = "000c TIdFTPLPSterCommEntUxRoot.ParseLine 0028 @UStrCopy 0032 TIdFTPListItem.SetFileName 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 B9 FF FF FF 7F BA 1B 00 00 00 8B 43 18 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? C6 43 38 00 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_33962_0 {
	meta:
		name = "TIdFTPLPSterComEntBase.IsFooter"
		size = 244
		refs = "000c TIdFTPLPSterComEntBase.IsFooter 001c UpperCase 0022 IndyPos 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 85 C0 7E 2C 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 85 C0 7E 16 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 85 C0 7F 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 54 00 4F 00 54 00 41 00 4C 00 20 00 4E 00 55 00 4D 00 42 00 45 00 52 00 20 00 4F 00 46 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 42 00 41 00 54 00 43 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 49 00 53 00 54 00 45 00 44 00 3A 00 00 00 }
	condition:
		$1
}

rule function_33963_0 {
	meta:
		name = "Finalization"
		size = 39
		refs = "0002 _DV_8 0009 _DV_TIdFTPLPSterCommEntUx 000e UnregisterFTPListParser 0013 _DV_TIdFTPLPSterCommEntUxNS 001d _DV_TIdFTPLPSterCommEntUxRoot"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 1E A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33964_0 {
	meta:
		name = "IdFTPListParseStercomUnixEnt"
		size = 40
		refs = "0002 _DV_8 000a _DV_TIdFTPLPSterCommEntUx 000f RegisterFTPListParser 0014 _DV_TIdFTPLPSterCommEntUxNS 001e _DV_TIdFTPLPSterCommEntUxRoot"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1E A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34048_0 {
	meta:
		name = "IdFTPListParseVM"
		size = 40
		refs = "0002 _DV_7 000a _DV_TIdFTPLVirtualReader 000f RegisterFTPListParser 0014 _DV_TIdFTPLPVMBFS 001e _DV_TIdFTPLPVMCMS"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1E A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83607_0 {
	meta:
		name = "Vcl.Ribbon"
		size = 40
		refs = "0002 _DV_23 000a _DV_TRibbonGroup 000f RegisterClass 0014 _DV_TRibbonPage 001e _DV_TRibbonQuickAccessToolbar"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1E A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_33965_0 {
	meta:
		name = "TIdFTPLPStratusVOS.CheckListing"
		size = 327
		refs = "0020 TIdFTPLPStratusVOS.CheckListing 0073 TIdFTPLPStratusVOS.IsFilesHeader 0098 TIdFTPLPStratusVOS.IsDirsHeader 00ba TIdFTPLPStratusVOS.IsLinksHeader 00e6 TIdFTPLPStratusVOS.IsValidFileEntry 0104 TIdFTPLPStratusVOS.IsValidDirEntry 012e @UStrArrayClr 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 C6 45 F6 01 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C CF 00 00 00 46 33 DB 8D 4D F0 8B D3 8B 45 F8 8B 38 FF 57 0C 83 7D F0 00 0F 84 AD 00 00 00 8D 4D EC 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 09 C6 45 F6 01 E9 88 00 00 00 8D 4D E8 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 F6 00 EB 66 8D 4D E4 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 F6 02 EB 44 0F B6 45 F6 2C 01 72 20 75 3A 8D 4D E0 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 55 E0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2A EB 1C 8D 4D DC 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 55 DC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C 43 4E 0F 85 34 FF FF FF C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_33966_0 {
	meta:
		name = "TIdFTPLPStratusVOS.GetIdent"
		size = 56
		refs = "0006 TIdFTPLPStratusVOS.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 74 00 72 00 61 00 74 00 75 00 73 00 20 00 56 00 4F 00 53 00 00 00 }
	condition:
		$1
}

rule function_33967_0 {
	meta:
		name = "TIdFTPLPStratusVOS.IsDirsHeader"
		size = 44
		refs = "0003 TIdFTPLPStratusVOS.IsDirsHeader 0008 TextStartsWith"
	strings:
		$1 = { 8B C2 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 69 00 72 00 73 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_33968_0 {
	meta:
		name = "TIdFTPLPStratusVOS.IsFilesHeader"
		size = 112
		refs = "0005 TIdFTPLPStratusVOS.IsFilesHeader 000c TextStartsWith 0016 IndyPos"
	strings:
		$1 = { 53 56 8B DA BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 8B 35 ?? ?? ?? ?? 8B 36 8B D3 B8 ?? ?? ?? ?? FF D6 83 F8 08 7F 05 33 C0 5E 5B C3 B0 01 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 46 00 69 00 6C 00 65 00 73 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 42 00 6C 00 6F 00 63 00 6B 00 73 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_33969_0 {
	meta:
		name = "TIdFTPLPStratusVOS.IsLinksHeader"
		size = 44
		refs = "0003 TIdFTPLPStratusVOS.IsLinksHeader 0008 TextStartsWith"
	strings:
		$1 = { 8B C2 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 69 00 6E 00 6B 00 73 00 3A 00 20 00 00 00 }
	condition:
		$1
}

rule function_33970_0 {
	meta:
		name = "TIdFTPLPStratusVOS.IsValidDirEntry"
		size = 380
		refs = "0015 TIdFTPLPStratusVOS.IsValidDirEntry 0027 @UStrLAsg 0034 TextStartsWith 004a IdDelete 005f Fetch 0083 TrimLeft 00ab IsNumeric 00e2 IsYYYYMMDD 011e IsHHMMSS 013a @UStrArrayClr 014d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 8B D6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 48 0F 85 A8 00 00 00 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 71 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 3A 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_33971_0 {
	meta:
		name = "TIdFTPLPStratusVOS.IsValidFileEntry"
		size = 452
		refs = "0018 TIdFTPLPStratusVOS.IsValidFileEntry 002a @UStrLAsg 0037 TextStartsWith 004d IdDelete 0062 Fetch 0086 TrimLeft 00ae IsNumeric 012a IsYYYYMMDD 0166 IsHHMMSS 0182 @UStrArrayClr 0195 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 8B D6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 48 0F 85 ED 00 00 00 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 84 B2 00 00 00 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 01 00 00 00 BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 2B 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 3A 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_33973_0 {
	meta:
		name = "TIdFTPLPStratusVOS.ParseDirEntry"
		size = 516
		refs = "0015 TIdFTPLPStratusVOS.ParseDirEntry 0027 _DV_TIdStratusVOSFTPListItem 002c @AsClass 0039 @UStrLAsg 0046 TextStartsWith 005c IdDelete 0071 Fetch 007c @UStrAsg 0093 @UStrClr 00a3 TrimLeft 00cb IsNumeric 00dd IndyStrToInt 0125 IsYYYYMMDD 0131 DateYYMMDD 016d IsHHMMSS 0179 TimeHHMMSS 01a0 TIdFTPListItem.SetFileName 01be @UStrArrayClr 01d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 56 18 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 43 40 E8 ?? ?? ?? ?? 8B 43 40 85 C0 74 05 83 E8 04 8B 00 48 74 0D 8D 43 40 E8 ?? ?? ?? ?? E9 0C 01 00 00 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 D1 00 00 00 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 89 73 44 8B C6 C1 E0 0C 99 89 43 10 89 53 14 C6 43 24 01 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 7B 8B 45 F8 E8 ?? ?? ?? ?? DD 5B 28 9B 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 33 8B 45 F8 E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F7 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_33974_0 {
	meta:
		name = "TIdFTPLPStratusVOS.ParseFileEntry"
		size = 592
		refs = "0017 TIdFTPLPStratusVOS.ParseFileEntry 0029 _DV_TIdStratusVOSFTPListItem 002e @AsClass 003b @UStrLAsg 0048 TextStartsWith 005e IdDelete 0073 Fetch 007e @UStrAsg 00a0 @UStrClr 00b0 TrimLeft 00d8 IsNumeric 00ea IndyStrToInt 0171 IsYYYYMMDD 017d DateYYMMDD 01b9 IsHHMMSS 01c5 TimeHHMMSS 01ec TIdFTPListItem.SetFileName 020a @UStrArrayClr 021d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 56 18 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 43 40 E8 ?? ?? ?? ?? 8D 43 3C 8B 53 40 E8 ?? ?? ?? ?? 8B 43 40 85 C0 74 05 83 E8 04 8B 00 48 74 0D 8D 43 40 E8 ?? ?? ?? ?? E9 4B 01 00 00 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 10 01 00 00 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 89 43 44 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 43 4C E8 ?? ?? ?? ?? 8B 43 44 99 89 43 10 89 53 14 8B 43 44 C1 E0 0C 99 89 43 10 89 53 14 C6 43 24 01 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 7B 8B 45 F8 E8 ?? ?? ?? ?? DD 5B 28 9B 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 33 8B 45 F8 E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F7 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_33975_0 {
	meta:
		name = "TIdFTPLPStratusVOS.ParseLine"
		size = 49
		refs = "0015 TIdFTPLPStratusVOS.ParseFileEntry 001e TIdFTPLPStratusVOS.ParseDirEntry 0027 TIdFTPLPStratusVOS.ParseLinkEntry"
	strings:
		$1 = { 53 33 C9 0F B6 5A 38 80 EB 01 72 11 74 06 FE CB 74 14 EB 19 E8 ?? ?? ?? ?? 8B C8 EB 10 E8 ?? ?? ?? ?? 8B C8 EB 07 E8 ?? ?? ?? ?? 8B C8 8B C1 5B C3 }
	condition:
		$1
}

rule function_33976_0 {
	meta:
		name = "TIdFTPLPStratusVOS.ParseLinkEntry"
		size = 400
		refs = "0016 TIdFTPLPStratusVOS.ParseLinkEntry 0026 _DV_TIdStratusVOSFTPListItem 002b @AsClass 0038 @UStrLAsg 004d Fetch 0055 IsYYYYMMDD 0065 DateYYMMDD 0074 TrimLeft 00a1 IsHHMMSS 00b1 TimeHHMMSS 00ee TrimRight 00f8 TIdFTPListItem.SetFileName 0119 Trim 0124 @UStrAsg 0144 @UStrArrayClr 014a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 45 FC 8B 56 18 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 CD 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? DD 5F 28 9B 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 81 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? DC 47 28 DD 5F 28 9B 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 47 50 E8 ?? ?? ?? ?? C6 47 24 00 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_33977_0 {
	meta:
		name = "TIdFTPLPStratusVOS.ParseListing"
		size = 716
		refs = "0024 TIdFTPLPStratusVOS.ParseListing 006e TIdFTPLPStratusVOS.IsFilesHeader 0086 TIdFTPLPStratusVOS.IsDirsHeader 009e TIdFTPLPStratusVOS.IsLinksHeader 00d4 @UStrAsg 00f4 TObject.Free 010a TrimRight 0117 TextEndsWith 0177 @UStrLAsg 0184 TextStartsWith 019a IdDelete 01a5 @UStrCat 0283 @UStrClr 0290 @UStrArrayClr 0296 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D FC 89 5D F8 89 5D F4 89 4D E8 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E7 00 C6 45 E6 01 C6 45 DF 00 8B 45 EC 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C 21 02 00 00 43 33 F6 8D 4D F4 8B D6 8B 45 EC 8B 38 FF 57 0C 83 7D F4 00 0F 84 FF 01 00 00 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 09 C6 45 E6 01 E9 E7 01 00 00 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 09 C6 45 E6 00 E9 CF 01 00 00 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 09 C6 45 E6 02 E9 B7 01 00 00 80 7D E6 02 74 48 8B 55 E8 8B 45 F0 FF 10 89 45 E0 0F B6 45 E6 8B 55 E0 88 42 38 8B 45 E0 83 C0 18 8B 55 F4 E8 ?? ?? ?? ?? 33 C9 8B 55 E0 8B 45 F0 FF 50 04 84 C0 0F 85 7B 01 00 00 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? E9 75 01 00 00 80 7D DF 00 75 6D 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 09 C6 45 DF 01 E9 3E 01 00 00 8B 55 E8 8B 45 F0 FF 10 89 45 E0 0F B6 45 E6 8B 55 E0 88 42 38 8B 45 E0 83 C0 18 8B 55 FC E8 ?? ?? ?? ?? 33 C9 8B 55 E0 8B 45 F0 FF 50 04 84 C0 0F 85 08 01 00 00 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? E9 02 01 00 00 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 12 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? C6 45 DF 00 8B 45 EC 8B 10 FF 52 14 83 E8 02 3B F0 7D 69 8D 4D D8 8D 56 01 8B 45 EC 8B 38 FF 57 0C 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 C6 45 DF 01 E9 82 00 00 00 8B 55 E8 8B 45 F0 FF 10 89 45 E0 0F B6 45 E6 8B 55 E0 88 42 38 8B 45 E0 83 C0 18 8B 55 FC E8 ?? ?? ?? ?? 33 C9 8B 55 E0 8B 45 F0 FF 50 04 84 C0 75 50 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? EB 4D 8B 55 E8 8B 45 F0 FF 10 89 45 E0 0F B6 45 E6 8B 55 E0 88 42 38 8B 45 E0 83 C0 18 8B 55 FC E8 ?? ?? ?? ?? 33 C9 8B 55 E0 8B 45 F0 FF 50 04 84 C0 75 0F 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? EB 0C 46 4B 0F 85 E2 FD FF FF C6 45 E7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 E7 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 }
	condition:
		$1
}

rule function_33980_0 {
	meta:
		name = "TIdFTPLPSuperTCP.CheckListing"
		size = 540
		refs = "001f TIdFTPLPSuperTCP.CheckListing 0065 Fetch 0070 TIdFTPLPSuperTCP.IsValidMSDOSFileName 0085 TrimLeft 0090 @UStrLAsg 00b2 @UStrEqual 00bc IsNumeric 0106 IsMMDDYY 015d IsHHMMSS 0174 TIdFTPLPSuperTCP.IsValidWin32FileName 019e @UStrArrayClr 01b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 F0 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 4A 01 00 00 46 C7 45 EC 00 00 00 00 8D 4D FC 8B 55 EC 8B 45 F0 8B 18 FF 53 0C 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 84 0A 01 00 00 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 10 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 84 DB 0F 84 B6 00 00 00 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 15 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 84 DB 74 3A 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 84 DB 74 13 83 7D FC 00 74 0D 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 84 DB 74 0A FF 45 EC 4E 0F 85 BE FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 44 00 49 00 52 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_33981_0 {
	meta:
		name = "TIdFTPLPSuperTCP.GetIdent"
		size = 52
		refs = "0006 TIdFTPLPSuperTCP.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 75 00 70 00 65 00 72 00 54 00 43 00 50 00 00 00 00 00 }
	condition:
		$1
}

rule function_33982_0 {
	meta:
		name = "TIdFTPLPSuperTCP.IsValidMSDOSFileName"
		size = 520
		refs = "0012 TIdFTPLPSuperTCP.IsValidMSDOSFileName 0026 @UStrEqual 0047 @UStrLAsg 005c Fetch 00ac @UStrFromWChar 00b5 IndyPos 0123 @UStrArrayClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 01 E9 CC 00 00 00 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 6A 01 8D 45 FC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 97 00 00 00 8B C2 85 C0 74 05 83 E8 04 8B 00 83 F8 09 0F 8D 83 00 00 00 8B C2 85 C0 74 05 83 E8 04 8B 00 8B F8 85 FF 7E 2F BE 01 00 00 00 8D 45 F4 8B 55 FC 0F B7 54 72 FE E8 ?? ?? ?? ?? 8B 45 F4 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? FF D1 85 C0 74 47 46 4F 75 D6 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B F8 85 FF 7E 2F BE 01 00 00 00 8D 45 F0 8B 55 F8 0F B7 54 72 FE E8 ?? ?? ?? ?? 8B 45 F0 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? FF D1 85 C0 74 06 46 4F 75 D6 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 4E 00 00 00 41 00 42 00 43 00 44 00 45 00 46 00 47 00 48 00 49 00 4A 00 4B 00 4C 00 4D 00 4E 00 4F 00 50 00 51 00 52 00 53 00 54 00 55 00 56 00 57 00 58 00 59 00 5A 00 61 00 62 00 63 00 64 00 65 00 66 00 67 00 68 00 69 00 6A 00 6B 00 6C 00 6D 00 6E 00 6F 00 70 00 71 00 72 00 74 00 73 00 74 00 75 00 76 00 77 00 78 00 79 00 7A 00 30 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 5F 00 24 00 7E 00 21 00 23 00 25 00 26 00 2D 00 7B 00 7D 00 28 00 29 00 40 00 27 00 B4 00 00 00 00 00 }
	condition:
		$1
}

rule function_33983_0 {
	meta:
		name = "TIdFTPLPSuperTCP.IsValidWin32FileName"
		size = 336
		refs = "0012 TIdFTPLPSuperTCP.IsValidWin32FileName 0028 @UStrEqual 006a @UStrFromWChar 0073 IndyPos 00db @UStrArrayClr 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 C6 45 FF 01 E9 80 00 00 00 8B FB 8B C7 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 6F 8B F7 85 F6 74 05 83 EE 04 8B 36 8D 45 F8 0F B7 54 73 FE E8 ?? ?? ?? ?? 8B 45 F8 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? FF D1 85 C0 7F 41 8B C7 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 2C BF 01 00 00 00 8D 45 F4 0F B7 54 7B FE E8 ?? ?? ?? ?? 8B 45 F4 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? FF D1 85 C0 7F 08 47 4E 75 D9 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 22 00 2A 00 2F 00 3A 00 3C 00 3E 00 3F 00 5C 00 7C 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_33985_0 {
	meta:
		name = "TIdFTPLPSuperTCP.ParseLine"
		size = 528
		refs = "0015 TIdFTPLPSuperTCP.ParseLine 0023 _DV_TIdSuperTCPFTPListItem 0028 @AsClass 0035 @UStrLAsg 004a Fetch 0054 TIdFTPListItem.SetFileName 005f @UStrAsg 006a TrimLeft 0097 @UStrEqual 00af IsNumeric 00c5 IndyStrToInt64 0103 IsMMDDYY 0120 DateMMDDYY 0162 IsHHMMSS 0170 TimeHHMMSS 01a1 @UStrArrayClr 01a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 46 40 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A C6 46 38 00 C6 46 24 00 EB 28 C6 46 38 01 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 84 CE 00 00 00 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 89 46 10 89 56 14 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 11 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 F8 E8 ?? ?? ?? ?? DD 5E 28 9B EB 04 33 DB EB 5D 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 84 DB 74 0F 8B 45 F8 E8 ?? ?? ?? ?? DC 46 28 DD 5E 28 9B 83 7D FC 00 74 0A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 44 00 49 00 52 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_33988_0 {
	meta:
		name = "TIdFTPLPTandemGuardian.GetIdent"
		size = 80
		refs = "0006 TIdFTPLPTandemGuardian.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 54 00 61 00 6E 00 64 00 65 00 6D 00 20 00 4E 00 6F 00 6E 00 53 00 74 00 6F 00 70 00 20 00 47 00 75 00 61 00 72 00 64 00 69 00 61 00 6E 00 00 00 }
	condition:
		$1
}

rule function_33989_0 {
	meta:
		name = "TIdFTPLPTandemGuardian.IsHeader"
		size = 612
		refs = "0016 TIdFTPLPTandemGuardian.IsHeader 0027 _Dn_TStringList 002c TStringList.Create 0047 Trim 0057 SplitColumns 0082 @UStrEqual 0169 TObject.Free 016f @HandleFinally 018b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 07 0F 85 E7 00 00 00 8D 4D F0 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 BE 00 00 00 8D 4D EC BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 9B 00 00 00 8D 4D E8 BA 02 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 7C 8D 4D E4 BA 03 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5D 8D 4D E0 BA 04 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3E 8D 4D DC BA 05 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1F 8D 4D D8 BA 06 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 69 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 6F 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 45 00 4F 00 46 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 61 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4D 00 6F 00 64 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4F 00 77 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 57 00 45 00 50 00 00 00 00 00 }
	condition:
		$1
}

rule function_33991_0 {
	meta:
		name = "TIdFTPLPTandemGuardian.ParseLine"
		size = 760
		refs = "001c TIdFTPLPTandemGuardian.ParseLine 002e _DV_TIdTandemGuardianFTPListItem 0033 @AsClass 0040 Trim 0059 Fetch 0063 TIdFTPListItem.SetFileName 006e TrimLeft 0079 @UStrLAsg 0098 IndyStrToInt 00d2 IndyStrToInt64 015b StrToMonth 018c Y2Year 019d EncodeDate 01d4 TimeHHMMSS 0211 @UStrAsg 0252 UnquotedStr 0277 @UStrCatN 0291 @UStrArrayClr 02a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 01 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 FC 8B 43 18 E8 ?? ?? ?? ?? C6 43 38 01 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 33 D2 E8 ?? ?? ?? ?? 89 43 4C 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 6A 01 8D 45 D8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 89 43 10 89 53 14 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 CC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC BA 01 00 00 00 E8 ?? ?? ?? ?? 89 45 F0 6A 01 8D 45 C8 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 0F B6 C0 89 45 EC 6A 01 8D 45 C4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 BA C5 07 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F0 0F B7 4D F0 0F B7 55 EC 8B C6 E8 ?? ?? ?? ?? DD 5B 28 9B 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 C0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DC 47 28 DD 5B 28 9B 8D 55 BC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 BC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 B8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8D 43 48 E8 ?? ?? ?? ?? 8D 55 B4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 B4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 B0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8D 43 40 E8 ?? ?? ?? ?? 8D 55 AC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 AC 8D 43 50 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 50 68 ?? ?? ?? ?? 8D 43 3C BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_33994_0 {
	meta:
		name = "TIdFTPLPTOPS20.CheckListing"
		size = 896
		refs = "001f TIdFTPLPTOPS20.CheckListing 002f @UStrLAsg 0044 Fetch 005c @UStrEqual 0080 _Dn_TStringList 0085 TStringList.Create 00b2 SplitColumnsNoTrim 00dc PatternsInStr 0128 IsDDMonthYY 013e IsHHMMSS 019e IndyPos 026f IsNumeric 029c TObject.Free 02a2 @HandleFinally 02be @UStrArrayClr 02c6 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 45 FB 80 7D FB 00 0F 85 3A 02 00 00 8B C3 8B 10 FF 52 14 85 C0 0F 8E 2B 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D E8 33 D2 8B C3 8B 30 FF 56 0C 8B 45 E8 B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 85 C0 0F 8E C0 01 00 00 8D 4D E4 33 D2 8B 45 F4 8B 30 FF 56 0C 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 02 0F 85 A7 00 00 00 8B 45 F4 8B 10 FF 52 14 83 F8 03 0F 8E 96 00 00 00 8D 4D FC BA 02 00 00 00 8B 45 F4 8B 30 FF 56 0C 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 10 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 8D 4D FC BA 03 00 00 00 8B 45 F4 8B 30 FF 56 0C 6A 01 8D 45 DC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 10 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 8D 4D FC 33 D2 8B C3 8B 30 FF 56 0C 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 85 C0 0F 8E D0 00 00 00 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 8B F0 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 FC B8 ?? ?? ?? ?? FF D7 3B F0 0F 8D A2 00 00 00 C6 45 FB 01 8B C3 8B 10 FF 52 14 48 85 C0 0F 8E 8E 00 00 00 89 45 F0 BE 01 00 00 00 8B 45 F4 8B 10 FF 52 44 8D 4D D8 8B D6 8B C3 8B 38 FF 57 0C 8B 55 D8 8B 3D ?? ?? ?? ?? 8B 3F B8 ?? ?? ?? ?? FF D7 85 C0 0F 94 45 FB 80 7D FB 00 74 44 8D 4D D4 8B D6 8B C3 8B 38 FF 57 0C 8B 45 D4 B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 83 F8 03 75 1B 8D 4D D0 BA 02 00 00 00 8B 45 F4 8B 38 FF 57 0C 8B 45 D0 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 0A 46 FF 4D F0 0F 85 7A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 4F 00 50 00 53 00 32 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 3C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_33995_0 {
	meta:
		name = "TIdFTPLPTOPS20.GetIdent"
		size = 48
		refs = "0006 TIdFTPLPTOPS20.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 4F 00 50 00 53 00 32 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_33997_0 {
	meta:
		name = "StripBuild"
		size = 76
		refs = "000d StripBuild 0012 RPos 0021 @UStrAsg 0033 @UStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 83 C9 FF 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 0B 8B C7 8B D6 E8 ?? ?? ?? ?? EB 10 57 8B CB 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_33998_0 {
	meta:
		name = "TIdFTPLPTOPS20.ParseLine"
		size = 924
		refs = "001c TIdFTPLPTOPS20.ParseLine 002a _DV_TIdTOPS20FTPListItem 002f @AsClass 003c @UStrLAsg 0042 IndyPos 0084 TIdFTPListItem.SetFileName 009d Fetch 00dd LowerCase 00e8 @UStrAsg 0104 TextStartsWith 018c DateDDStrMonthYY 01b0 Trim 01b8 TimeHHMMSS 0266 StripBuild 02dc @UStrArrayClr 02e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 FC B8 ?? ?? ?? ?? FF D7 85 C0 0F 8E A1 00 00 00 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 FC B8 ?? ?? ?? ?? FF D7 8B D0 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 3B C2 75 7D 8B 55 FC 8B C3 E8 ?? ?? ?? ?? C6 43 38 00 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 20 E8 ?? ?? ?? ?? C6 43 24 00 C6 43 25 00 B3 01 E9 CB 01 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 67 01 00 00 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 DC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 D8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5E 40 9B 6A 01 8D 45 D0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? DC 46 40 DD 5E 40 9B 6A 01 8D 45 CC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5B 28 9B 8D 55 C8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B 8D 55 FC 8B 43 1C E8 ?? ?? ?? ?? 6A 01 8D 45 C4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 85 C0 7E 26 C6 43 38 00 6A 01 8D 45 C0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8D 43 20 E8 ?? ?? ?? ?? EB 65 8D 55 BC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 BC 8D 43 20 E8 ?? ?? ?? ?? EB 4D 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 B4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B4 8D 55 B8 E8 ?? ?? ?? ?? 8B 55 B8 8D 43 20 E8 ?? ?? ?? ?? C6 43 25 00 C6 43 24 00 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 85 C0 7E 04 C6 43 38 00 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 13 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 3C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 2E 00 44 00 49 00 52 00 45 00 43 00 54 00 4F 00 52 00 59 00 2E 00 00 00 }
	condition:
		$1
}

rule function_34001_0 {
	meta:
		name = "TIdFTPLPTSXPlus.CheckListing"
		size = 168
		refs = "001a TIdFTPLPTSXPlus.CheckListing 008f @UStrArrayClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B C6 8B 10 FF 52 14 85 C0 7E 46 8B C6 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 37 8D 4D F4 8B D3 8B C6 8B 38 FF 57 0C 83 7D F4 00 74 1F 8D 4D F0 8B D3 8B C6 8B 38 FF 57 0C 8B 55 F0 8B 45 FC FF 50 18 84 C0 74 06 C6 45 FB 01 EB 06 4B 83 FB FF 75 C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34002_0 {
	meta:
		name = "TIdFTPLPTSXPlus.GetIdent"
		size = 44
		refs = "0006 TIdFTPLPTSXPlus.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 53 00 58 00 2B 00 00 00 00 00 }
	condition:
		$1
}

rule function_34003_0 {
	meta:
		name = "TIdFTPLPTSXPlus.IsFooter"
		size = 456
		refs = "0013 TIdFTPLPTSXPlus.IsFooter 0025 @UStrLAsg 003a Fetch 004f TrimRight 0067 @UStrEqual 0097 TrimLeft 00af TextStartsWith 00c5 IdDelete 00cb IndyPos 0132 @UStrArrayClr 0138 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 D4 00 00 00 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 AB 00 00 00 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 8C 00 00 00 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 85 C0 7E 3D 6A 01 8D 45 E8 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 83 7D FC 00 74 17 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 85 C0 0F 9F C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 69 00 72 00 65 00 63 00 74 00 6F 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 69 00 6C 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 6C 00 6F 00 63 00 6B 00 00 00 }
	condition:
		$1
}

rule function_34006_0 {
	meta:
		name = "TIdFTPLPTSXPlus.ParseLine"
		size = 460
		refs = "0021 TIdFTPLPTSXPlus.ParseLine 0034 TrimLeft 0049 Fetch 0053 TIdFTPListItem.SetFileName 0075 @UStrEqual 0099 @UStrCatN 00b9 @UStrLAsg 00d8 IndyStrToInt 00e1 _DV_TIdTSXPlusFTPListItem 00e6 @AsClass 00f5 TrimRight 010f _Dn_TIdFTPListItems 012b @UStrAsg 0149 TObject.Free 0173 @UStrArrayClr 0186 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F4 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8D 55 FC 8B 47 18 E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 06 C6 47 38 00 EB 26 C6 47 38 01 FF 77 1C 68 ?? ?? ?? ?? FF 75 F8 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C7 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 33 D2 E8 ?? ?? ?? ?? 50 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 89 50 40 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 53 8B 47 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 FF 10 89 45 F0 8B 45 F0 83 C0 18 8B 55 FC E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F0 8B C6 FF 50 04 8B D8 84 DB 75 0F 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? EB 0E 8B 45 F0 83 C0 18 8B 57 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 73 00 6B 00 00 00 }
	condition:
		$1
}

rule function_34009_0 {
	meta:
		name = "TIdFTPLPUnisysClearPath.GetIdent"
		size = 68
		refs = "0006 TIdFTPLPUnisysClearPath.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 55 00 6E 00 69 00 73 00 79 00 73 00 20 00 43 00 6C 00 65 00 61 00 72 00 70 00 61 00 74 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_34010_0 {
	meta:
		name = "TIdFTPLPUnisysClearPath.IsContinuedLine"
		size = 32
		refs = "0003 TIdFTPLPUnisysClearPath.IsContinuedLine 0008 TextStartsWith"
	strings:
		$1 = { 8B C2 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34011_0 {
	meta:
		name = "TIdFTPLPUnisysClearPath.IsFooter"
		size = 420
		refs = "0012 TIdFTPLPUnisysClearPath.IsFooter 0023 _Dn_TStringList 0028 TStringList.Create 0048 SplitColumns 0076 @UStrEqual 00f8 TObject.Free 00fe @HandleFinally 011a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 04 0F 85 85 00 00 00 8D 4D F4 BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1F 8D 4D F0 BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 47 8D 4D EC BA 03 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 23 8D 4D E8 BA 03 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 69 00 6C 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 69 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 63 00 74 00 65 00 74 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4F 00 63 00 74 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_34012_0 {
	meta:
		name = "TIdFTPLPUnisysClearPath.IsHeader"
		size = 308
		refs = "0015 TIdFTPLPUnisysClearPath.IsHeader 0026 _Dn_TStringList 002b TStringList.Create 004b SplitColumns 0072 @UStrEqual 00b6 TObject.Free 00bc @HandleFinally 00d8 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 4D F4 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 02 7E 44 8D 4D F4 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1F 8D 4D F0 BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 65 00 70 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 66 00 6F 00 72 00 3A 00 00 00 00 00 }
	condition:
		$1
}

rule function_34014_0 {
	meta:
		name = "TIdFTPLPUnisysClearPath.ParseLine"
		size = 576
		refs = "001c TIdFTPLPUnisysClearPath.ParseLine 002e _DV_TIdUnisysClearPathFTPListItem 0033 @AsClass 0040 _Dn_TStringList 0045 TStringList.Create 0066 SplitColumns 008e TIdFTPListItem.SetFileName 00a9 @UStrAsg 00c1 IsNumeric 00e3 IndyStrToInt 010b IsMMDDYY 0127 DateMMDDYY 0148 IsHHMMSS 0164 TimeHHMMSS 01d4 TObject.Free 01da @HandleFinally 01f6 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 C6 43 38 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 18 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 04 0F 8E 43 01 00 00 8D 4D F4 33 D2 8B 45 F8 8B 38 FF 57 0C 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 BA 01 00 00 00 8B 45 F8 8B 38 FF 57 0C 8B 55 F0 8D 43 48 E8 ?? ?? ?? ?? 8D 4D EC BA 02 00 00 00 8B 45 F8 8B 38 FF 57 0C 8B 45 EC E8 ?? ?? ?? ?? 84 C0 0F 84 A6 00 00 00 8D 4D E8 BA 02 00 00 00 8B 45 F8 8B 38 FF 57 0C 8B 45 E8 33 D2 E8 ?? ?? ?? ?? 99 89 43 10 89 53 14 C6 46 24 01 8D 4D E4 BA 03 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 60 8D 4D E0 BA 03 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 E0 E8 ?? ?? ?? ?? DD 5B 40 9B 8D 4D DC BA 04 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8D 4D D8 BA 04 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 D8 E8 ?? ?? ?? ?? DC 43 40 DD 5B 40 9B C6 45 FF 01 8B 45 F8 8B 10 FF 52 44 8B 43 1C B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 85 C0 7E 23 8B 45 F8 8B 10 FF 52 14 8B D0 4A 8D 4D D4 8B 45 F8 8B 30 FF 56 0C 8B 55 D4 8D 43 20 E8 ?? ?? ?? ?? EB 04 C6 45 FF 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_34015_0 {
	meta:
		name = "TIdFTPLPUnisysClearPath.ParseListing"
		size = 322
		refs = "0022 TIdFTPLPUnisysClearPath.ParseListing 0052 IsWhiteString 00a7 TIdFTPLPUnisysClearPath.IsContinuedLine 00d2 UnfoldLines 00e0 @UStrAsg 0101 TObject.Free 012b @UStrArrayClr 0131 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 14 48 85 C0 0F 8C D5 00 00 00 40 89 45 EC 33 DB 8D 4D E8 8B D3 8B C6 8B 38 FF 57 0C 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 85 A9 00 00 00 8D 4D E4 8B D3 8B C6 8B 38 FF 57 0C 8B 55 E4 8B 45 FC FF 50 14 84 C0 0F 85 8C 00 00 00 8D 4D E0 8B D3 8B C6 8B 38 FF 57 0C 8B 55 E0 8B 45 FC FF 50 18 84 C0 75 73 8D 4D DC 8B D3 8B C6 8B 38 FF 57 0C 8B 55 DC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 58 8B 55 F8 8B 45 FC FF 10 89 45 F0 8D 45 D8 50 8D 4D D4 8B D3 8B C6 8B 38 FF 57 0C 8B 45 D4 8B CE 8B D3 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F0 83 C0 18 E8 ?? ?? ?? ?? 33 C9 8B 55 F0 8B 45 FC FF 50 04 88 45 F7 80 7D F7 00 75 0F 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? EB 0E 43 FF 4D EC 0F 85 31 FF FF FF C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34018_0 {
	meta:
		name = "TIdFTPLPUnix.CheckListing"
		size = 328
		refs = "0020 TIdFTPLPUnix.CheckListing 0085 @UStrEqual 00d1 IsTotalLine 00e9 IsSubDirContentsBanner 0111 @UStrArrayClr 0117 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B C6 8B 10 FF 52 14 48 85 C0 0F 8C BD 00 00 00 40 89 45 F4 33 DB 8D 4D F0 8B D3 8B C6 8B 38 FF 57 0C 83 7D F0 00 0F 84 97 00 00 00 8D 4D EC 8B D3 8B C6 8B 38 FF 57 0C 8B 55 EC 8B 45 FC FF 50 14 84 C0 74 4E 8D 55 E8 8B 45 FC FF 50 08 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1A 8D 4D E4 8B D3 8B C6 8B 30 FF 56 0C 8B 55 E4 8B 45 FC FF 50 18 88 45 FB EB 56 8D 4D E0 8B D3 8B C6 8B 30 FF 56 0C 8B 55 E0 8B 45 FC FF 50 18 34 01 88 45 FB EB 3A 8D 4D DC 8B D3 8B C6 8B 38 FF 57 0C 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 18 8D 4D D8 8B D3 8B C6 8B 38 FF 57 0C 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 74 0A 43 FF 4D F4 0F 85 49 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 6E 00 69 00 74 00 72 00 65 00 65 00 00 00 }
	condition:
		$1
}

rule function_34019_0 {
	meta:
		name = "TIdFTPLPUnix.GetIdent"
		size = 44
		refs = "0006 TIdFTPLPUnix.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 55 00 6E 00 69 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_34020_0 {
	meta:
		name = "TIdFTPLPUnix.InternelChkUnix"
		size = 696
		refs = "0016 TIdFTPLPUnix.InternelChkUnix 0026 UpperCase 002f IsValidUnixPerms 004e CharIsInSet 005d _Dn_TStringList 0062 TStringList.Create 0083 SplitColumns 00c8 PosInStrArray 00ec IndyPos 0111 StrToMonth 0138 TObject.Free 013e @HandleFinally 018f IsNumeric 0235 @UStrArrayClr 023d @UStrClr"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 0F 84 04 01 00 00 B9 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 C5 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 83 F8 09 0F 8E 8A 00 00 00 6A 01 8D 4D F0 BA 09 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 F0 50 B8 ?? ?? ?? ?? 89 45 E8 B8 ?? ?? ?? ?? 89 45 EC 8D 55 E8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 40 0F 94 45 FB 80 7D FB 00 74 4B 8D 4D E4 BA 08 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 55 E4 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 85 C0 75 20 8D 4D E0 BA 06 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 76 04 33 C0 EB 02 B0 01 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 83 F8 03 7E 7F 8D 4D DC 33 D2 8B 45 F4 8B 18 FF 53 0C 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 66 8D 4D D8 BA 01 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 D8 33 D2 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 75 43 8D 4D D4 BA 01 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 74 1E 8D 4D D0 BA 02 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 D0 33 D2 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 0F B6 45 FB 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 43 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 41 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 50 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_34021_0 {
	meta:
		name = "TIdFTPLPUnix.IsUnitree"
		size = 244
		refs = "0016 TIdFTPLPUnix.IsUnitree 0023 _Dn_TStringList 0028 TStringList.Create 0048 SplitColumns 0070 UnitreeStoreTypes 007a PosInStrArray 00b0 TObject.Free 00b6 @HandleFinally 00cd @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 04 7E 28 6A 01 8D 4D F4 BA 04 00 00 00 8B 45 F8 8B 38 FF 57 0C 8B 45 F4 8B 15 ?? ?? ?? ?? B9 01 00 00 00 E8 ?? ?? ?? ?? 40 75 04 33 C0 EB 02 B0 01 88 45 FF 80 7D FF 00 75 0A 8B D6 8B C3 FF 50 1C 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34022_0 {
	meta:
		name = "TIdFTPLPUnix.IsUnitreeBanner"
		size = 120
		refs = "0005 TIdFTPLPUnix.IsUnitreeBanner 000c TextStartsWith 001c TextEndsWith 0026 IndyPos"
	strings:
		$1 = { 53 56 8B DA BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8B 35 ?? ?? ?? ?? 8B 36 8B D3 B8 ?? ?? ?? ?? FF D6 85 C0 7F 05 33 C0 5E 5B C3 B0 01 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 }
	condition:
		$1
}

rule function_34024_0 {
	meta:
		name = "IsGOSwitches"
		size = 424
		refs = "0014 IsGOSwitches 0025 _Dn_TStringList 002a TStringList.Create 004a SplitColumns 0070 IsNumeric 00ca StrToMonth 011f IndyPos 014f TObject.Free 0155 @HandleFinally 0171 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 02 0F 8E DA 00 00 00 8D 4D F4 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 0A 33 D2 8B 45 F8 8B 08 FF 51 48 8D 4D F0 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 0A 33 D2 8B 45 F8 8B 08 FF 51 48 8B 45 F8 8B 10 FF 52 14 83 F8 05 0F 8E 83 00 00 00 8D 4D EC BA 03 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 EC E8 ?? ?? ?? ?? 84 C0 76 67 8D 4D E8 BA 04 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 42 8D 4D E4 BA 05 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 2A 8D 4D E0 BA 05 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 55 E0 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 85 C0 7F 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_34025_0 {
	meta:
		name = "FixBonkedYear"
		size = 252
		refs = "0013 FixBonkedYear 0023 @UStrLAsg 0035 Fetch 0052 StringReplace 005c @UStrAsg 0099 @UStrCatN 00b3 @UStrArrayClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 6A 01 53 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F4 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? FF 75 FC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_34026_0 {
	meta:
		name = "TIdFTPLPUnix.ParseLine"
		size = 5788
		refs = "0023 TIdFTPLPUnix.ParseLine 0031 _DV_TIdUnixFTPListItem 0036 @AsClass 003d Now 0055 DecodeDate 006d DecodeTime 0078 @UStrLAsg 00c8 TrimLeft 00e0 Fetch 00f8 IsValidUnixPerms 020f @UStrCopy 0236 UpperCase 02d9 TextIsSame 033b @UStrCatN 035d IsGOSwitches 0420 IsAlpha 0444 @UStrEqual 0468 @UStrClr 0470 IsNumeric 04fd IdDelete 051d IndyPos 05b6 UnitreeStoreTypes 05c3 PosInStrArray 05db _DV_TIdUnitreeFTPListItem 05e0 @IsClass 062a @UStrAsg 074f IndyStrToInt 085c FixBonkedYear 08ea TextEndsWith 0908 @UStrDelete 0c45 StrToMonth 10d9 AddMissingYear 134e IndyStrToInt64 1365 EncodeDate 1382 EncodeTime 1455 CharIsInSet 14af TextStartsWith 14f2 TIdFTPListItem.SetFileName 1511 @UStrArrayClr 1524 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 37 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D A8 8B FA 89 45 AC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? DD 5D 90 9B FF 75 94 FF 75 90 8D 4D A2 8D 55 A4 8D 45 A6 E8 ?? ?? ?? ?? FF 75 94 FF 75 90 8D 45 9A 50 8D 4D 9C 8D 55 9E 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 18 E8 ?? ?? ?? ?? 33 DB 0F B6 C3 83 F8 0B 0F 87 F9 11 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8D 85 F8 FE FF FF 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 07 B3 02 E9 7C 11 00 00 8D 95 F4 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 F0 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 F0 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? B3 01 E9 1D 11 00 00 6A 01 8D 45 F8 50 8D 45 FC 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 3C 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 EC FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 EC FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? B3 02 E9 B7 10 00 00 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 E8 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 E8 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 8D 46 3C 50 B9 0A 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 85 E4 FE FF FF 50 B9 01 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 85 E4 FE FF FF 8D 55 EC E8 ?? ?? ?? ?? 8D 45 E4 50 B9 03 00 00 00 BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E8 50 B9 03 00 00 00 BA 05 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E0 50 B9 03 00 00 00 BA 08 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? B3 03 E9 00 10 00 00 8D 95 E0 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 E0 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 DC FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 DC FE FF FF 8D 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 07 B3 06 E9 83 00 00 00 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 83 F8 03 7E 0C 8B 45 F8 66 83 38 30 0F 94 C0 EB 02 33 C0 84 C0 74 43 8D 85 D8 FE FF FF 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? FF B5 D8 FE FF FF 68 ?? ?? ?? ?? FF 75 FC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8D 45 DC 8B 55 F8 E8 ?? ?? ?? ?? 8B 47 18 E8 ?? ?? ?? ?? 84 C0 74 04 B3 06 EB 02 B3 04 8D 95 D4 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 D4 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? E9 F7 0E 00 00 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 D0 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 D0 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 8D 45 D8 8B 55 F8 E8 ?? ?? ?? ?? B3 05 E9 B4 0E 00 00 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 CC FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 CC FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 8D 45 D4 8B 55 F8 E8 ?? ?? ?? ?? B3 06 E9 71 0E 00 00 B9 01 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 DA 00 00 00 8D 95 C8 FE FF FF 8B 45 AC FF 50 08 8B 85 C8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 B8 00 00 00 8D 45 CC 8B 55 D4 E8 ?? ?? ?? ?? 8D 45 D4 8B 55 D8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 84 C0 0F 85 97 02 00 00 8D 45 D8 8B 55 D4 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? FF 75 CC 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 8B 55 D4 E8 ?? ?? ?? ?? 8D 95 C4 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 C4 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 CC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 84 C0 74 A0 8D 45 D4 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? E9 0D 02 00 00 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 F8 B8 ?? ?? ?? ?? FF D3 85 C0 7E 5A 8D 95 C0 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 C0 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 85 BC FE FF FF 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 B8 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 B8 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? EB 0B 8D 45 CC 8B 55 F8 E8 ?? ?? ?? ?? 8D 95 B4 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 B4 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8B 15 ?? ?? ?? ?? B9 01 00 00 00 8B 45 CC E8 ?? ?? ?? ?? 83 E8 01 72 0B 0F 84 AE 00 00 00 E9 3C 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 46 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 40 70 01 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 74 50 6A 01 8D 85 B0 FE FF FF 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 B0 FE FF FF 58 E8 ?? ?? ?? ?? 8D 95 AC FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 AC FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 CC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 A8 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 A8 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? E9 93 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 74 50 6A 01 8D 85 A4 FE FF FF 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 A4 FE FF FF 58 E8 ?? ?? ?? ?? 8D 95 A0 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 A0 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 CC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 9C FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 9C FE FF FF 8D 45 FC E8 ?? ?? ?? ?? B3 07 E9 69 0B 00 00 8B 0D ?? ?? ?? ?? 8B 09 8B 55 FC B8 ?? ?? ?? ?? FF D1 85 C0 7E 5D 6A 01 8D 85 98 FE FF FF 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 98 FE FF FF E8 ?? ?? ?? ?? 66 89 45 A6 8D 95 94 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 94 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 66 C7 45 A0 00 00 66 C7 45 9E 00 00 66 C7 45 9C 00 00 66 C7 45 9A E7 03 B3 0B 8B 0D ?? ?? ?? ?? 8B 09 8B 55 FC B8 ?? ?? ?? ?? FF D1 85 C0 0F 8E AB 00 00 00 6A 01 8D 85 90 FE FF FF 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 90 FE FF FF E8 ?? ?? ?? ?? 66 89 45 A4 8D 95 8C FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 8C FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 85 88 FE FF FF 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 88 FE FF FF E8 ?? ?? ?? ?? 66 89 45 A2 8D 95 84 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 84 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 80 FB 0B 0F 84 4D 0A 00 00 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 0A E9 31 0A 00 00 8D 95 80 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 80 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 83 F8 03 7E 31 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 25 0F B7 55 A6 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 A6 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 7C FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 7C FE FF FF 8D 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8D 55 F8 B9 01 00 00 00 92 E8 ?? ?? ?? ?? 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 F8 8B 45 C4 FF D3 89 45 88 8B 45 F8 89 45 8C 8B 45 8C 85 C0 74 05 83 E8 04 8B 00 8B 55 C4 85 D2 74 05 83 EA 04 8B 12 2B C2 40 3B 45 88 75 60 8B 45 F8 89 45 84 8B 45 84 85 C0 74 05 83 E8 04 8B 00 8B 55 C4 89 55 80 83 7D 80 00 74 0B 8B 55 80 83 EA 04 8B 12 89 55 80 8B 55 C4 89 95 7C FF FF FF 83 BD 7C FF FF FF 00 74 11 8B 95 7C FF FF FF 83 EA 04 8B 12 89 95 7C FF FF FF 8B D0 2B 55 80 42 8D 45 F8 8B 8D 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 F8 8B 45 C0 FF D3 89 85 74 FF FF FF 8B 45 F8 89 85 78 FF FF FF 8B 85 78 FF FF FF 85 C0 74 05 83 E8 04 8B 00 8B 55 C0 85 D2 74 05 83 EA 04 8B 12 2B C2 40 3B 85 74 FF FF FF 0F 85 90 00 00 00 8B 45 F8 89 85 70 FF FF FF 8B 85 70 FF FF FF 89 85 6C FF FF FF 83 BD 6C FF FF FF 00 74 11 8B 85 6C FF FF FF 83 E8 04 8B 00 89 85 6C FF FF FF 8B 45 C0 89 85 68 FF FF FF 83 BD 68 FF FF FF 00 74 11 8B 85 68 FF FF FF 83 E8 04 8B 00 89 85 68 FF FF FF 8B 45 C0 89 85 64 FF FF FF 83 BD 64 FF FF FF 00 74 11 8B 85 64 FF FF FF 83 E8 04 8B 00 89 85 64 FF FF FF 8B 95 6C FF FF FF 2B 95 68 FF FF FF 42 8D 45 F8 8B 8D 64 FF FF FF E8 ?? ?? ?? ?? 8D 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 F8 8B 45 BC FF D3 89 85 5C FF FF FF 8B 45 F8 89 85 60 FF FF FF 8B 85 60 FF FF FF 85 C0 74 05 83 E8 04 8B 00 8B 55 BC 85 D2 74 05 83 EA 04 8B 12 2B C2 40 3B 85 5C FF FF FF 0F 85 90 00 00 00 8B 45 F8 89 85 58 FF FF FF 8B 85 58 FF FF FF 89 85 54 FF FF FF 83 BD 54 FF FF FF 00 74 11 8B 85 54 FF FF FF 83 E8 04 8B 00 89 85 54 FF FF FF 8B 45 BC 89 85 50 FF FF FF 83 BD 50 FF FF FF 00 74 11 8B 85 50 FF FF FF 83 E8 04 8B 00 89 85 50 FF FF FF 8B 45 BC 89 85 4C FF FF FF 83 BD 4C FF FF FF 00 74 11 8B 85 4C FF FF FF 83 E8 04 8B 00 89 85 4C FF FF FF 8B 95 54 FF FF FF 2B 95 50 FF FF FF 42 8D 45 F8 8B 8D 4C FF FF FF E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 64 01 00 00 0F B7 55 A4 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 A4 6A 01 8D 45 F8 50 8D 45 FC 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 36 8B 45 F8 89 85 48 FF FF FF 83 BD 48 FF FF FF 00 74 11 8B 85 48 FF FF FF 83 E8 04 8B 00 89 85 48 FF FF FF 8D 45 F8 B9 01 00 00 00 8B 95 48 FF FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 36 8B 45 F8 89 85 44 FF FF FF 83 BD 44 FF FF FF 00 74 11 8B 85 44 FF FF FF 83 E8 04 8B 00 89 85 44 FF FF FF 8D 45 F8 B9 01 00 00 00 8B 95 44 FF FF FF E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 D8 85 DB 7E 44 0F B7 45 A4 66 89 45 A2 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 78 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 78 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 66 89 5D A4 B3 09 E9 EF 05 00 00 66 83 7D A4 0C 76 50 0F B7 45 A4 66 89 45 A2 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 74 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 74 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 0F B7 55 A4 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 A4 B3 09 E9 98 05 00 00 B3 08 E9 91 05 00 00 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 C0 66 89 45 A4 B3 08 66 83 7D A4 00 0F 85 75 05 00 00 6A 01 8D 85 70 FE FF FF 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 70 FE FF FF 0F B7 55 A6 E8 ?? ?? ?? ?? 66 89 45 A6 6A 01 8D 85 6C FE FF FF 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 6C FE FF FF 33 D2 E8 ?? ?? ?? ?? 66 89 45 A4 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 A2 B3 0B E9 0E 05 00 00 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 68 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 68 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 8D 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 F8 8B 45 B8 FF D3 89 85 3C FF FF FF 8B 45 F8 89 85 40 FF FF FF 8B 85 40 FF FF FF 85 C0 74 05 83 E8 04 8B 00 8B 55 B8 85 D2 74 05 83 EA 04 8B 12 2B C2 40 3B 85 3C FF FF FF 0F 85 90 00 00 00 8B 45 F8 89 85 38 FF FF FF 8B 85 38 FF FF FF 89 85 34 FF FF FF 83 BD 34 FF FF FF 00 74 11 8B 85 34 FF FF FF 83 E8 04 8B 00 89 85 34 FF FF FF 8B 45 B8 89 85 30 FF FF FF 83 BD 30 FF FF FF 00 74 11 8B 85 30 FF FF FF 83 E8 04 8B 00 89 85 30 FF FF FF 8B 45 B8 89 85 2C FF FF FF 83 BD 2C FF FF FF 00 74 11 8B 85 2C FF FF FF 83 E8 04 8B 00 89 85 2C FF FF FF 8B 95 34 FF FF FF 2B 95 30 FF FF FF 42 8D 45 F8 8B 8D 2C FF FF FF E8 ?? ?? ?? ?? 8D 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 F8 8B 45 B4 FF D3 89 85 24 FF FF FF 8B 45 F8 89 85 28 FF FF FF 8B 85 28 FF FF FF 85 C0 74 05 83 E8 04 8B 00 8B 55 B4 85 D2 74 05 83 EA 04 8B 12 2B C2 40 3B 85 24 FF FF FF 0F 85 90 00 00 00 8B 45 F8 89 85 20 FF FF FF 8B 85 20 FF FF FF 89 85 1C FF FF FF 83 BD 1C FF FF FF 00 74 11 8B 85 1C FF FF FF 83 E8 04 8B 00 89 85 1C FF FF FF 8B 45 B4 89 85 18 FF FF FF 83 BD 18 FF FF FF 00 74 11 8B 85 18 FF FF FF 83 E8 04 8B 00 89 85 18 FF FF FF 8B 45 B4 89 85 14 FF FF FF 83 BD 14 FF FF FF 00 74 11 8B 85 14 FF FF FF 83 E8 04 8B 00 89 85 14 FF FF FF 8B 95 1C FF FF FF 2B 95 18 FF FF FF 42 8D 45 F8 8B 8D 14 FF FF FF E8 ?? ?? ?? ?? 0F B7 55 A2 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 A2 B3 09 E9 FA 02 00 00 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 F8 8B 45 B0 FF D3 89 85 0C FF FF FF 8B 45 F8 89 85 10 FF FF FF 8B 85 10 FF FF FF 85 C0 74 05 83 E8 04 8B 00 8B 55 B0 85 D2 74 05 83 EA 04 8B 12 2B C2 40 3B 85 0C FF FF FF 0F 85 90 00 00 00 8B 45 F8 89 85 08 FF FF FF 8B 85 08 }
	condition:
		$1
}

rule function_34027_0 {
	meta:
		name = "TIdFTPLPUnix.ParseListing"
		size = 440
		refs = "0023 TIdFTPLPUnix.ParseListing 0069 IsTotalLine 0085 IsUnixLsErr 00d7 IsSubDirContentsBanner 0119 @UStrCopy 0140 @UStrAsg 0162 TObject.Free 0187 @UStrClr 0194 @UStrArrayClr 01a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F0 8B F2 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 14 48 85 C0 0F 8C 35 01 00 00 40 89 45 E4 33 DB 8D 4D E0 8B D3 8B C6 8B 38 FF 57 0C 83 7D E0 00 0F 84 0F 01 00 00 8D 4D DC 8B D3 8B C6 8B 38 FF 57 0C 8B 45 DC E8 ?? ?? ?? ?? 84 C0 0F 85 F3 00 00 00 8D 4D D8 8B D3 8B C6 8B 38 FF 57 0C 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 0F 85 D7 00 00 00 8D 4D D4 8B D3 8B C6 8B 38 FF 57 0C 8B 55 D4 8B 45 F4 FF 50 1C 84 C0 0F 85 BA 00 00 00 8D 4D D0 8B D3 8B C6 8B 38 FF 57 0C 8B 55 D0 8B 45 F4 FF 50 14 84 C0 75 58 8D 4D CC 8B D3 8B C6 8B 38 FF 57 0C 8B 45 CC E8 ?? ?? ?? ?? 84 C0 74 40 8D 4D F8 8B D3 8B C6 8B 38 FF 57 0C 8D 4D C8 8B D3 8B C6 8B 38 FF 57 0C 8B 45 C8 89 45 C4 8B 7D C4 85 FF 74 05 83 EF 04 8B 3F 8D 45 FC 50 8B CF 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 49 8B 55 F0 8B 45 F4 FF 10 89 45 E8 8D 4D C0 8B D3 8B C6 8B 38 FF 57 0C 8B 55 C0 8B 45 E8 83 C0 18 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 E8 8B 45 F4 FF 50 04 88 45 EF 80 7D EF 00 75 0F 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? EB 0E 43 FF 4D E4 0F 85 D1 FE FF FF C6 45 EF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 0F B6 45 EF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34028_0 {
	meta:
		name = "TIdFTPLPUnitree.GetIdent"
		size = 48
		refs = "0006 TIdFTPLPUnitree.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 6E 00 69 00 74 00 72 00 65 00 65 00 00 00 }
	condition:
		$1
}

rule function_34032_0 {
	meta:
		name = "IsFileMode"
		size = 144
		refs = "0004 IsFileMode 0010 CharIsInSet"
	strings:
		$1 = { 53 8B D8 B9 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 B9 ?? ?? ?? ?? BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 41 00 42 00 43 00 44 00 45 00 46 00 47 00 48 00 49 00 4A 00 4B 00 4C 00 4D 00 4E 00 4F 00 50 00 51 00 52 00 53 00 54 00 55 00 56 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 30 00 31 00 32 00 33 00 34 00 35 00 36 00 00 00 }
	condition:
		$1
}

rule function_34033_0 {
	meta:
		name = "TIdFTPLPVMCMS.CheckListingAlt"
		size = 624
		refs = "001b TIdFTPLPVMCMS.CheckListingAlt 0054 @UStrCopy 005f Trim 0067 IsFileMode 0096 VMTypes 00a0 PosInStrArray 00da IsMMDDYY 0145 @UStrEqual 0238 @UStrArrayClr 023e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 8B 10 FF 52 14 85 C0 0F 8E EC 01 00 00 8D 4D FC 33 D2 8B C6 8B 18 FF 53 0C 8D 45 F4 50 B9 03 00 00 00 BA 13 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 76 6A 01 8D 45 EC 50 B9 03 00 00 00 BA 16 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 40 0F 95 C3 84 DB 0F 84 72 01 00 00 8D 45 E4 50 B9 0A 00 00 00 BA 34 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 3D 01 00 00 6A 01 8D 45 DC 50 B9 03 00 00 00 BA 13 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 40 0F 95 C3 84 DB 0F 84 FC 00 00 00 8D 45 D8 50 B9 01 00 00 00 BA 38 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 25 8D 45 D4 50 B9 01 00 00 00 BA 3B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 DB EB 02 B3 01 84 DB 0F 85 A4 00 00 00 8D 45 D0 50 B9 01 00 00 00 BA 3A 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 25 8D 45 CC 50 B9 01 00 00 00 BA 3D 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 DB EB 02 B3 01 84 DB 75 50 8D 45 C8 50 B9 01 00 00 00 BA 30 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 25 8D 45 C4 50 B9 01 00 00 00 BA 33 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 0F 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_34034_0 {
	meta:
		name = "TIdFTPLPVMCMS.GetIdent"
		size = 48
		refs = "0006 TIdFTPLPVMCMS.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 56 00 4D 00 2F 00 43 00 4D 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_34035_0 {
	meta:
		name = "TIdFTPLPVMCMS.IsHeader"
		size = 232
		refs = "000c TIdFTPLPVMCMS.IsHeader 001c Trim 0029 @UStrEqual 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 41 00 00 00 46 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 20 00 46 00 69 00 6C 00 65 00 54 00 79 00 70 00 65 00 20 00 20 00 46 00 6D 00 20 00 46 00 6F 00 72 00 6D 00 61 00 74 00 20 00 4C 00 72 00 65 00 63 00 6C 00 20 00 20 00 52 00 65 00 63 00 6F 00 72 00 64 00 73 00 20 00 42 00 6C 00 6F 00 63 00 6B 00 73 00 20 00 44 00 61 00 74 00 65 00 20 00 20 00 20 00 20 00 20 00 20 00 54 00 69 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_34037_0 {
	meta:
		name = "TIdFTPLPVMCMS.ParseLine"
		size = 1208
		refs = "001d TIdFTPLPVMCMS.ParseLine 002b _DV_TIdVMCMSFTPListItem 0030 @AsClass 0048 @UStrCopy 0053 Trim 005d TIdFTPListItem.SetFileName 00ab @UStrLAsg 00c9 @UStrCatN 00fc IsFileMode 01a2 @UStrEqual 01e0 @UStrAsg 021d IndyStrToInt 0252 Fetch 02f7 _Dn_TStringList 02fc TStringList.Create 033b SplitColumns 036a IsNumeric 0383 DateYYMMDD 039e DateMMDDYY 03ba TimeHHMMSS 0422 TObject.Free 0428 @HandleFinally 0446 @UStrArrayClr 044e @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 0D 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 D0 50 8B 46 18 B9 08 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 8D 55 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 43 18 66 83 78 10 20 75 18 8D 45 FC 50 8B 46 18 B9 09 00 00 00 BA 0A 00 00 00 E8 ?? ?? ?? ?? EB 16 8D 45 FC 50 8B 46 18 B9 09 00 00 00 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 22 FF 73 1C 68 ?? ?? ?? ?? FF 75 FC 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8B C3 E8 ?? ?? ?? ?? 8D 45 C4 50 8B 46 18 B9 03 00 00 00 BA 13 00 00 00 E8 ?? ?? ?? ?? 8B 45 C4 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 55 8D 45 C0 50 8B 46 18 B9 03 00 00 00 BA 17 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 8D 55 FC E8 ?? ?? ?? ?? C7 45 EC 1E 00 00 00 C7 45 E8 07 00 00 00 C7 45 E4 25 00 00 00 C7 45 E0 07 00 00 00 C7 45 DC 2C 00 00 00 C7 45 D8 08 00 00 00 BF 34 00 00 00 E9 80 00 00 00 C7 45 EC 16 00 00 00 C7 45 E8 09 00 00 00 C7 45 E4 1F 00 00 00 C7 45 E0 0B 00 00 00 C7 45 DC 2A 00 00 00 C7 45 D8 0B 00 00 00 8D 45 BC 50 8B 46 18 B9 01 00 00 00 BA 30 00 00 00 E8 ?? ?? ?? ?? 8B 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2C 8D 45 B8 50 8B 46 18 B9 01 00 00 00 BA 33 00 00 00 E8 ?? ?? ?? ?? 8B 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 BF 2C 00 00 00 EB 05 BF 36 00 00 00 8D 43 44 8B 55 FC E8 ?? ?? ?? ?? 8B 43 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E C6 43 38 00 33 C0 89 43 40 E9 F3 00 00 00 C6 43 38 01 8D 45 FC 50 8B 46 18 8B 4D E8 8B 55 EC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 43 40 8D 45 B4 50 8B 46 18 8B 4D E0 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 B4 8D 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 B0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8D 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 43 48 8D 45 AC 50 8B 46 18 8B 4D D8 8B 55 DC E8 ?? ?? ?? ?? 8B 45 AC 8D 55 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 43 54 8B 43 40 F7 6B 48 99 89 43 10 89 53 14 8B 43 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2D 8B 43 54 C1 E0 0C 99 89 45 F0 89 55 F4 8B 43 10 8B 53 14 3B 55 F4 75 07 3B 45 F0 76 10 EB 02 7E 0C 8B 45 F0 89 43 10 8B 45 F4 89 43 14 8B 43 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 43 24 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 A8 50 8B 46 18 B9 FF FF FF 7F 8B D7 E8 ?? ?? ?? ?? 8B 45 A8 8D 55 FC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 85 C0 0F 8E BD 00 00 00 8D 4D A4 33 D2 8B 45 F8 8B 30 FF 56 0C 8B 45 A4 B9 01 00 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 1B 8D 4D A0 33 D2 8B 45 F8 8B 30 FF 56 0C 8B 45 A0 E8 ?? ?? ?? ?? DD 5B 28 9B EB 19 8D 4D 9C 33 D2 8B 45 F8 8B 30 FF 56 0C 8B 45 9C E8 ?? ?? ?? ?? DD 5B 28 9B 8D 4D 98 BA 01 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 98 E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B 8B 45 F8 8B 10 FF 52 14 83 F8 02 7E 3A 8D 4D 94 BA 02 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 94 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1B 8D 4D 90 BA 02 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 55 90 8D 43 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 90 BA 12 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 52 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 56 00 00 00 }
	condition:
		$1
}

rule function_34038_0 {
	meta:
		name = "TIdFTPLPVMBFS.CheckListing"
		size = 508
		refs = "001c TIdFTPLPVMBFS.CheckListing 0060 TextEndsWith 006f _Dn_TStringList 0074 TStringList.Create 009c TrimRight 00ac SplitColumns 00d7 IsMMDDYY 00e0 @TryFinallyExit 0107 CharIsInSet 0128 IsNumeric 0149 @UStrEqual 016e TObject.Free 0174 @HandleFinally 0190 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B C3 8B 10 FF 52 14 85 C0 0F 8E 41 01 00 00 8D 4D F4 33 D2 8B C3 8B 30 FF 56 0C 83 7D F4 00 74 21 8D 4D F0 33 D2 8B C3 8B 30 FF 56 0C 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 0E 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D E8 33 D2 8B C3 8B 18 FF 53 0C 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 04 0F 8E 97 00 00 00 8D 4D E4 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 91 00 00 00 8D 4D E0 BA 02 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E0 B9 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 80 7D FF 00 74 44 8D 4D DC BA 04 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 23 8D 4D D8 BA 04 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 46 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_34039_0 {
	meta:
		name = "TIdFTPLPVMBFS.GetIdent"
		size = 48
		refs = "0006 TIdFTPLPVMBFS.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 56 00 4D 00 2F 00 42 00 46 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_34041_0 {
	meta:
		name = "TIdFTPLPVMBFS.ParseLine"
		size = 536
		refs = "001b TIdFTPLPVMBFS.ParseLine 002c @UStrLAsg 0033 _Dn_TStringList 0038 TStringList.Create 005e Fetch 006e SplitColumns 0078 TIdFTPListItem.SetFileName 0085 TextEndsWith 00a9 @UStrCopy 00d4 DateMMDDYY 00fb TimeHHMMSS 012c @UStrEqual 015d IsNumeric 017d IndyStrToInt64 01a7 TObject.Free 01ad @HandleFinally 01cb @UStrArrayClr 01d3 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 43 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8B 73 1C 85 F6 74 05 83 EE 04 8B 36 8D 45 F0 50 8B CE 49 8B 43 1C BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 85 C0 7E 19 8D 4D EC 33 D2 8B 45 F8 8B 30 FF 56 0C 8B 45 EC E8 ?? ?? ?? ?? DD 5B 28 9B 8B 45 F8 8B 10 FF 52 14 48 7E 1F 8D 4D E8 BA 01 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 E8 E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B 8B 45 F8 8B 10 FF 52 14 83 F8 02 7E 29 8D 4D E4 BA 02 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 06 C6 43 38 00 EB 04 C6 43 38 01 8B 45 F8 8B 10 FF 52 14 83 F8 04 7E 48 8D 4D E0 BA 03 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 74 28 6A 00 6A 00 8D 4D DC BA 04 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 DC E8 ?? ?? ?? ?? 89 43 10 89 53 14 C6 43 24 01 EB 04 C6 43 24 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 44 00 00 00 }
	condition:
		$1
}

rule function_34042_0 {
	meta:
		name = "TIdFTPLVirtualReader.CheckListing"
		size = 368
		refs = "001a TIdFTPLVirtualReader.CheckListing 003a _Dn_TStringList 003f TStringList.Create 006c SplitColumns 00b6 IsNumeric 011a TObject.Free 0120 @HandleFinally 013c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B C3 8B 10 FF 52 14 85 C0 0F 8E EF 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D F4 33 D2 8B C3 8B 18 FF 53 0C 8B 45 F4 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 02 0F 8E 83 00 00 00 8D 4D F0 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 F0 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 83 F8 04 75 5F 8D 4D E8 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 46 8D 4D E4 BA 02 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E4 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 83 F8 08 75 1A 8D 4D E0 BA 02 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E0 E8 ?? ?? ?? ?? EB 02 33 C0 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 FF 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34043_0 {
	meta:
		name = "TIdFTPLVirtualReader.GetIdent"
		size = 68
		refs = "0006 TIdFTPLVirtualReader.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 56 00 4D 00 20 00 56 00 69 00 72 00 74 00 75 00 61 00 6C 00 20 00 52 00 65 00 61 00 64 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_34045_0 {
	meta:
		name = "TIdFTPLVirtualReader.ParseLine"
		size = 436
		refs = "0019 TIdFTPLVirtualReader.ParseLine 0027 _DV_TIdVMVirtualReaderFTPListItem 002c @AsClass 0035 _Dn_TStringList 003a TStringList.Create 005b SplitColumns 0082 TIdFTPListItem.SetFileName 00b7 @UStrCatN 00e8 IndyStrToInt 0110 DateYYMMDD 0139 TimeHHMMSS 015a TObject.Free 0160 @HandleFinally 017e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 46 18 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 83 F8 05 7E 1A 8D 4D F8 BA 05 00 00 00 8B 45 FC 8B 30 FF 56 0C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 83 F8 06 7E 32 FF 73 1C 68 ?? ?? ?? ?? 8D 4D F0 BA 06 00 00 00 8B 45 FC 8B 30 FF 56 0C FF 75 F0 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 83 F8 02 7E 1D 8D 4D EC BA 02 00 00 00 8B 45 FC 8B 30 FF 56 0C 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 89 43 40 8B 45 FC 8B 10 FF 52 14 83 F8 03 7E 1C 8D 4D E8 BA 03 00 00 00 8B 45 FC 8B 30 FF 56 0C 8B 45 E8 E8 ?? ?? ?? ?? DD 5B 28 9B 8B 45 FC 8B 10 FF 52 14 83 F8 04 7E 1F 8D 4D E4 BA 01 00 00 00 8B 45 FC 8B 30 FF 56 0C 8B 45 E4 E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_34047_0 {
	meta:
		name = "Finalization"
		size = 99
		refs = "0007 Finalization 0013 _DV_7 001a _DV_TIdFTPLVirtualReader 001f UnregisterFTPListParser 0024 _DV_TIdFTPLPVMBFS 002e _DV_TIdFTPLPVMCMS 0038 VMTypes 0043 string 0048 @FinalizeArray 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 33 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_34049_0 {
	meta:
		name = "TIdFTPLPVMS.CheckListing"
		size = 304
		refs = "001e TIdFTPLPVMS.CheckListing 0080 TIdFTPLPVMS.IsVMSHeader 009e Fetch 00a9 @UStrLAsg 00c6 IsNumeric 00ed @UStrArrayClr 00f5 @UStrClr 00fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 98 00 00 00 46 33 DB 8D 4D EC 8B D3 8B 45 F4 8B 38 FF 57 0C 83 7D EC 00 74 7A 8D 4D FC 8B D3 8B 45 F4 8B 30 FF 56 0C 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 48 0F 9F 45 F3 80 7D F3 00 74 5E 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 88 45 F3 80 7D F3 00 75 4A 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 88 45 F3 EB 08 43 4E 0F 85 6B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_34050_0 {
	meta:
		name = "TIdFTPLPVMS.GetIdent"
		size = 40
		refs = "0006 TIdFTPLPVMS.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 56 00 4D 00 53 00 00 00 }
	condition:
		$1
}

rule function_34051_0 {
	meta:
		name = "TIdFTPLPVMS.IsContinuedLine"
		size = 84
		refs = "0005 TIdFTPLPVMS.IsContinuedLine 000c TextStartsWith 0016 IndyPos"
	strings:
		$1 = { 53 56 8B DA BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8B 35 ?? ?? ?? ?? 8B 36 8B D3 B8 ?? ?? ?? ?? FF D6 85 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_34052_0 {
	meta:
		name = "TIdFTPLPVMS.IsVMSFooter"
		size = 380
		refs = "000e TIdFTPLPVMS.IsVMSFooter 001e UpperCase 002b TextStartsWith 0050 IndyPos 0097 Fetch 00a4 @UStrEqual 00c1 @UStrArrayClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 15 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 84 DB 74 5D 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 83 F8 09 7E 17 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 83 F8 09 7F 04 33 DB EB 02 B3 01 84 DB 75 25 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4F 00 54 00 41 00 4C 00 20 00 4F 00 46 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 47 00 52 00 41 00 4E 00 44 00 20 00 54 00 4F 00 54 00 41 00 4C 00 20 00 4F 00 46 00 20 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 42 00 4C 00 4F 00 43 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 46 00 49 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2A 00 2E 00 2A 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_34053_0 {
	meta:
		name = "TIdFTPLPVMS.IsVMSHeader"
		size = 88
		refs = "0005 TIdFTPLPVMS.IsVMSHeader 000c TextEndsWith 0016 IndyPos"
	strings:
		$1 = { 53 56 8B DA BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8B 35 ?? ?? ?? ?? 8B 36 8B D3 B8 ?? ?? ?? ?? FF D6 85 C0 7F 05 33 C0 5E 5B C3 B0 01 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 5B 00 00 00 00 00 }
	condition:
		$1
}

rule function_34055_0 {
	meta:
		name = "TIdFTPLPVMS.ParseLine"
		size = 1728
		refs = "001e TIdFTPLPVMS.ParseLine 002c _DV_TIdVMSFTPListItem 0031 @AsClass 0042 @UStrLAsg 0057 Fetch 0062 LowerCase 006d @UStrAsg 0088 IndyPos 00c6 IndyStrToInt 00e1 @UStrCatN 011d @UStrClr 0144 @UStrCat3 0171 TIdFTPListItem.SetFileName 01ce _Dn_TStringList 01d3 TStringList.Create 01f4 SplitColumns 0240 IsNumeric 0288 TextStartsWith 0336 StrToMonth 0370 EncodeDate 03c4 TimeHHMMSS 043f Trim 059f TObject.Free 05a5 @HandleFinally 05c6 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 12 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 C6 45 E3 00 8D 45 F4 8B 53 18 E8 ?? ?? ?? ?? 6A 01 8D 45 FC 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 43 20 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 09 8B 55 F8 B8 ?? ?? ?? ?? FF D1 85 C0 7E 24 6A 01 8D 45 D8 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8D 45 F8 E8 ?? ?? ?? ?? C6 45 E3 01 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 89 43 64 FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 09 8B 55 FC B8 ?? ?? ?? ?? FF D1 85 C0 0F 8E 8E 00 00 00 C6 46 38 00 8B 0D ?? ?? ?? ?? 8B 09 8B 55 FC B8 ?? ?? ?? ?? FF D1 85 C0 75 0A 8D 45 F8 E8 ?? ?? ?? ?? EB 25 6A 01 8D 45 D4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 CC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC 8D 45 D0 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 D0 8B C6 E8 ?? ?? ?? ?? 8D 55 C8 8B 46 1C E8 ?? ?? ?? ?? 8B 55 C8 8D 46 20 E8 ?? ?? ?? ?? EB 0E C6 46 38 01 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 FF 74 17 8B 4E 1C 8D 45 C4 8B D7 E8 ?? ?? ?? ?? 8B 55 C4 8B C6 E8 ?? ?? ?? ?? 80 7D E3 00 74 0F C6 43 25 00 C6 43 24 00 B3 01 E9 E2 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? C7 45 E4 03 00 00 00 8B 45 E8 8B 10 FF 52 14 85 C0 0F 8E 7A 03 00 00 8D 4D FC 33 D2 8B 45 E8 8B 38 FF 57 0C 6A 01 8D 45 C0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 43 5C C7 43 60 00 02 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? C1 E0 09 99 89 43 10 89 53 14 EB 54 8D 4D BC 33 D2 8B 45 E8 8B 38 FF 57 0C 8B 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 31 8D 4D B8 33 D2 8B 45 E8 8B 38 FF 57 0C 8B 45 B8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 13 C6 45 E3 01 C6 46 24 00 C6 46 25 00 EB 05 33 C0 89 45 E4 80 7D E3 00 0F 85 B9 02 00 00 83 7D E4 00 0F 8E F5 00 00 00 8B 45 E8 8B 10 FF 52 14 48 0F 8E 8F 00 00 00 8D 4D FC BA 01 00 00 00 8B 45 E8 8B 38 FF 57 0C 6A 01 8D 45 B4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F8 6A 01 8D 45 B0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? 0F B6 C0 89 45 F0 6A 01 8D 45 AC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC BA C5 07 00 00 E8 ?? ?? ?? ?? 89 45 EC 8B CF 0F B7 55 F0 0F B7 45 EC E8 ?? ?? ?? ?? DD 5B 28 9B 8B 45 E8 8B 10 FF 52 14 83 F8 02 7E 4A 8D 4D A8 BA 02 00 00 00 8B 45 E8 8B 38 FF 57 0C 8B 55 A8 8B 3D ?? ?? ?? ?? 8B 3F B8 ?? ?? ?? ?? FF D7 85 C0 75 05 FF 4D E4 EB 1F 8D 4D A4 BA 02 00 00 00 8B 45 E8 8B 38 FF 57 0C 8B 45 A4 E8 ?? ?? ?? ?? DC 46 28 DD 5B 28 9B 8B 45 E8 8B 10 FF 52 14 3B 45 E4 0F 8E 84 00 00 00 8D 4D FC 8B 55 E4 8B 45 E8 8B 30 FF 56 0C 6A 01 8D 45 A0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 9C 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 94 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 94 8D 55 98 E8 ?? ?? ?? ?? 8B 55 98 8D 43 48 E8 ?? ?? ?? ?? 8D 55 90 8B 45 FC E8 ?? ?? ?? ?? 8B 55 90 8D 43 40 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 14 8B 75 E4 46 3B C6 0F 8E 11 01 00 00 8D 4D FC 8B D6 8B 45 E8 8B 30 FF 56 0C 6A 01 8D 45 8C 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 88 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 88 8D 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 43 3C BA 03 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 80 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 80 8D 55 84 E8 ?? ?? ?? ?? 8B 55 84 8D 43 54 E8 ?? ?? ?? ?? 6A 01 8D 85 78 FF FF FF 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 8D 95 7C FF FF FF E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8D 43 4C E8 ?? ?? ?? ?? 6A 01 8D 85 70 FF FF FF 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 8D 95 74 FF FF FF E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8D 43 58 E8 ?? ?? ?? ?? 8D 95 6C FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8D 43 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 6C FF FF FF BA 1D 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2E 00 44 00 49 00 52 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_34056_0 {
	meta:
		name = "TIdFTPLPVMS.ParseListing"
		size = 648
		refs = "0024 TIdFTPLPVMS.ParseListing 0037 @UStrClr 0062 IsWhiteString 0083 TIdFTPLPVMS.IsVMSHeader 00a9 Fetch 00b9 @UStrCat3 00fe TIdFTPLPVMS.IsVMSFooter 017e @UStrCopy 01a8 TIdFTPLPVMS.IsContinuedLine 01d5 UnfoldLines 01e3 @UStrAsg 0205 TObject.Free 022d @UStrArrayClr 0240 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E8 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 DC 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 48 89 45 D8 8B 75 D8 85 F6 7C 78 46 33 DB 8D 4D D4 8B D3 8B 45 EC 8B 38 FF 57 0C 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 74 05 FF 45 DC EB 53 8D 4D D0 8B D3 8B 45 EC 8B 30 FF 56 0C 8B 55 D0 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 3B 8D 4D FC 8B D3 8B 45 EC 8B 30 FF 56 0C 6A 01 8D 45 CC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 DC EB 04 43 4E 75 8B 8B 5D D8 8B 75 DC 2B F3 7F 3D 4E 8D 4D C8 8B D3 8B 45 EC 8B 38 FF 57 0C 8B 45 C8 E8 ?? ?? ?? ?? 84 C0 75 1C 8D 4D C4 8B D3 8B 45 EC 8B 38 FF 57 0C 8B 55 C4 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 07 FF 4D D8 4B 46 75 C4 8B 5D DC 8B 75 D8 2B F3 0F 8C F8 00 00 00 46 8D 4D C0 8B D3 8B 45 EC 8B 38 FF 57 0C 8B 45 C0 E8 ?? ?? ?? ?? 84 C0 0F 85 D2 00 00 00 8D 4D BC 8B D3 8B 45 EC 8B 38 FF 57 0C 8B 55 BC 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 3F 8D 4D F4 8B D3 8B 45 EC 8B 38 FF 57 0C 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 8D 45 F8 50 8D 57 01 B9 FF FF FF 7F 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 77 8D 4D B8 8B D3 8B 45 EC 8B 38 FF 57 0C 8B 55 B8 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 5B 8B 55 E8 8B 45 F0 FF 10 89 45 E0 8D 45 B4 50 8D 4D B0 8B D3 8B 45 EC 8B 38 FF 57 0C 8B 45 B0 8B 4D EC 8B D3 E8 ?? ?? ?? ?? 8B 55 B4 8B 45 E0 83 C0 18 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 E0 8B 45 F0 FF 50 04 88 45 E7 80 7D E7 00 75 0F 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? EB 0C 43 4E 0F 85 09 FF FF FF C6 45 E7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 E7 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5B 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_34059_0 {
	meta:
		name = "TIdFTPLPVSERootDir.CheckListing"
		size = 180
		refs = "0010 TIdFTPLPVSERootDir.CheckListing 0042 Fetch 004d Trim 0058 @UStrLAsg 0060 VSERootDirItemTypes 006d PosInStrArray 008f @UStrArrayClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 14 85 C0 7E 52 8D 4D FC 33 D2 8B C3 8B 18 FF 53 0C 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8B 15 ?? ?? ?? ?? B9 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 40 0F 9F C3 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34060_0 {
	meta:
		name = "TIdFTPLPVSERootDir.GetIdent"
		size = 76
		refs = "0006 TIdFTPLPVSERootDir.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 56 00 53 00 45 00 3A 00 20 00 20 00 52 00 6F 00 6F 00 74 00 20 00 44 00 69 00 72 00 65 00 63 00 74 00 6F 00 72 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_34062_0 {
	meta:
		name = "TIdFTPLPVSERootDir.ParseLine"
		size = 188
		refs = "0010 TIdFTPLPVSERootDir.ParseLine 0021 @UStrLAsg 0036 Fetch 0040 TIdFTPListItem.SetFileName 004b Trim 005e VSERootDirItemTypes 006b PosInStrArray 0096 @UStrArrayClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8B 15 ?? ?? ?? ?? B9 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 F8 05 75 06 C6 43 38 01 EB 04 C6 43 38 00 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34063_0 {
	meta:
		name = "TIdFTPLPVSEVTOC.CheckListing"
		size = 324
		refs = "0014 TIdFTPLPVSEVTOC.CheckListing 0040 _Dn_TStringList 0045 TStringList.Create 0066 SplitColumns 008c IndyPos 00b1 IsNumeric 00d8 TObject.Free 00de @HandleFinally 00fa @UStrArrayClr 0102 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B C3 8B 10 FF 52 14 85 C0 0F 8E B3 00 00 00 8D 4D FC 33 D2 8B C3 8B 18 FF 53 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 83 F8 05 75 4B 8D 4D F0 BA 04 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 F0 8B 1D ?? ?? ?? ?? 8B 1B BA ?? ?? ?? ?? FF D3 85 C0 7E 1C 8D 4D EC BA 03 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 44 00 56 00 49 00 55 00 00 00 }
	condition:
		$1
}

rule function_34064_0 {
	meta:
		name = "TIdFTPLPVSEVTOC.GetIdent"
		size = 56
		refs = "0006 TIdFTPLPVSEVTOC.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 56 00 53 00 45 00 3A 00 20 00 20 00 56 00 54 00 4F 00 43 00 00 00 00 00 }
	condition:
		$1
}

rule function_34066_0 {
	meta:
		name = "TIdFTPLPVSEVTOC.ParseLine"
		size = 272
		refs = "0015 TIdFTPLPVSEVTOC.ParseLine 0022 _Dn_TStringList 0027 TStringList.Create 0043 Trim 0053 SplitColumns 006a TIdFTPListItem.SetFileName 0082 DateYYMMDD 009e TimeHHMMSS 00c7 TObject.Free 00cd @HandleFinally 00eb @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 43 18 E8 ?? ?? ?? ?? 8B 45 F8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8D 4D F4 33 D2 8B 45 FC 8B 30 FF 56 0C 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 BA 01 00 00 00 8B 45 FC 8B 30 FF 56 0C 8B 45 F0 E8 ?? ?? ?? ?? DD 5B 28 9B 8D 4D EC BA 02 00 00 00 8B 45 FC 8B 30 FF 56 0C 8B 45 EC E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B C6 43 38 01 C6 43 24 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34067_0 {
	meta:
		name = "TIdFTPLPVSEPowerQueue.CheckListing"
		size = 516
		refs = "001b TIdFTPLPVSEPowerQueue.CheckListing 003b _Dn_TStringList 0040 TStringList.Create 006d SplitColumns 00a4 CharsInStr 00c9 IsNumeric 0164 @UStrFromWChar 0171 VSE_PowerQueue_Dispositions 017b @UStrFromPWCharLen 0184 IndyPos 01b0 TObject.Free 01b6 @HandleFinally 01d2 @UStrArrayClr 01da @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B C3 8B 10 FF 52 14 85 C0 0F 8E 84 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D FC 33 D2 8B C3 8B 18 FF 53 0C B9 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 83 F8 06 74 11 8B 45 F4 8B 10 FF 52 14 83 F8 07 0F 85 0B 01 00 00 8D 4D F0 33 D2 8B 45 F4 8B 18 FF 53 0C 8B 55 F0 66 B8 2E 00 E8 ?? ?? ?? ?? 83 F8 02 0F 94 45 FB 80 7D FB 00 74 79 8D 4D EC BA 01 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 54 8D 4D E8 BA 02 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 38 8D 4D E4 BA 03 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 1C 8D 4D E0 BA 04 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FB 80 7D FB 00 74 66 8D 4D DC BA 05 00 00 00 8B 45 F4 8B 18 FF 53 0C 83 7D DC 00 74 47 8D 4D D4 BA 05 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 D4 0F B7 10 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 50 8D 45 D0 8B 15 ?? ?? ?? ?? B9 0B 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B 1D ?? ?? ?? ?? 8B 1B 58 FF D3 85 C0 75 04 33 C0 EB 02 B0 01 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34068_0 {
	meta:
		name = "TIdFTPLPVSEPowerQueue.GetIdent"
		size = 68
		refs = "0006 TIdFTPLPVSEPowerQueue.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 56 00 53 00 45 00 3A 00 20 00 20 00 50 00 6F 00 77 00 65 00 72 00 51 00 75 00 65 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_34070_0 {
	meta:
		name = "TIdFTPLPVSEPowerQueue.ParseLine"
		size = 444
		refs = "001c TIdFTPLPVSEPowerQueue.ParseLine 002a _DV_TIdVSEPowerQueueFTPListItem 002f @AsClass 0038 _Dn_TStringList 003d TStringList.Create 0059 Trim 0069 SplitColumns 008c TIdFTPListItem.SetFileName 00b1 IndyStrToInt 0126 DispositionCodeToTIdVSEPQDisposition 0151 @UStrAsg 0173 TObject.Free 0179 @HandleFinally 0197 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 46 18 E8 ?? ?? ?? ?? 8B 45 F8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 85 C0 7E 17 8D 4D F4 33 D2 8B 45 FC 8B 38 FF 57 0C 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 48 7E 27 8D 4D F0 BA 01 00 00 00 8B 45 FC 8B 38 FF 57 0C 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 99 89 43 10 89 53 14 8B 46 10 89 43 50 8B 45 FC 8B 10 FF 52 14 83 F8 04 7E 1D 8D 4D EC BA 04 00 00 00 8B 45 FC 8B 30 FF 56 0C 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 89 43 4C 8B 45 FC 8B 10 FF 52 14 83 F8 05 7E 34 8D 4D E8 BA 05 00 00 00 8B 45 FC 8B 30 FF 56 0C 83 7D E8 00 74 1E 8D 4D E4 BA 05 00 00 00 8B 45 FC 8B 30 FF 56 0C 8B 45 E4 0F B7 00 E8 ?? ?? ?? ?? 88 43 48 8B 45 FC 8B 10 FF 52 14 83 F8 06 7E 1B 8D 4D E0 BA 06 00 00 00 8B 45 FC 8B 30 FF 56 0C 8B 55 E0 8D 43 40 E8 ?? ?? ?? ?? C6 43 38 01 C6 43 25 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34071_0 {
	meta:
		name = "TIdFTPLPVSEVSAMCatalog.CheckListing"
		size = 320
		refs = "0014 TIdFTPLPVSEVSAMCatalog.CheckListing 0040 _Dn_TStringList 0045 TStringList.Create 0066 SplitColumns 008c IndyPos 00b1 IsNumeric 00d8 TObject.Free 00de @HandleFinally 00fa @UStrArrayClr 0102 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B C3 8B 10 FF 52 14 85 C0 0F 8E B3 00 00 00 8D 4D FC 33 D2 8B C3 8B 18 FF 53 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 83 F8 05 75 4B 8D 4D F0 BA 04 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 F0 8B 1D ?? ?? ?? ?? 8B 1B BA ?? ?? ?? ?? FF D3 85 C0 7E 1C 8D 4D EC BA 03 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 45 00 4B 00 52 00 00 00 }
	condition:
		$1
}

rule function_34072_0 {
	meta:
		name = "TIdFTPLPVSEVSAMCatalog.GetIdent"
		size = 72
		refs = "0006 TIdFTPLPVSEVSAMCatalog.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 56 00 53 00 45 00 3A 00 20 00 20 00 56 00 53 00 41 00 4D 00 20 00 43 00 61 00 74 00 61 00 6C 00 6F 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_34074_0 {
	meta:
		name = "TIdFTPLPVSEVSAMCatalog.ParseLine"
		size = 320
		refs = "0018 TIdFTPLPVSEVSAMCatalog.ParseLine 0026 _DV_TIdVSEVSAMCatalogFTPListItem 002b @AsClass 0034 _Dn_TStringList 0039 TStringList.Create 0055 Trim 0065 SplitColumns 007c TIdFTPListItem.SetFileName 0094 DateYYMMDD 00b0 TimeHHMMSS 00d3 IndyStrToInt64 00f7 TObject.Free 00fd @HandleFinally 011b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 46 18 E8 ?? ?? ?? ?? 8B 45 F8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8D 4D F4 33 D2 8B 45 FC 8B 38 FF 57 0C 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 BA 01 00 00 00 8B 45 FC 8B 38 FF 57 0C 8B 45 F0 E8 ?? ?? ?? ?? DD 5B 28 9B 8D 4D EC BA 02 00 00 00 8B 45 FC 8B 38 FF 57 0C 8B 45 EC E8 ?? ?? ?? ?? DC 46 28 DD 5B 28 9B 6A 00 6A 00 8D 4D E8 BA 03 00 00 00 8B 45 FC 8B 30 FF 56 0C 8B 45 E8 E8 ?? ?? ?? ?? 89 43 10 89 53 14 C6 43 38 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34075_0 {
	meta:
		name = "TIdFTPLPVSELibrary.CheckListing"
		size = 268
		refs = "0012 TIdFTPLPVSELibrary.CheckListing 0044 Fetch 004f TrimLeft 005a @UStrLAsg 007f @UStrCat3 008c @UStrEqual 00ad @UStrArrayClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 14 85 C0 7E 6E 8D 4D FC 33 D2 8B C3 8B 18 FF 53 0C 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C3 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 3C 00 53 00 75 00 62 00 20 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 3E 00 00 00 }
	condition:
		$1
}

rule function_34076_0 {
	meta:
		name = "TIdFTPLPVSELibrary.GetIdent"
		size = 60
		refs = "0006 TIdFTPLPVSELibrary.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 56 00 53 00 45 00 3A 00 20 00 20 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 00 00 }
	condition:
		$1
}

rule function_34078_0 {
	meta:
		name = "TIdFTPLPVSELibrary.ParseLine"
		size = 464
		refs = "001b TIdFTPLPVSELibrary.ParseLine 0029 _DV_TIdVSELibraryFTPListItem 002e @AsClass 003b @UStrLAsg 0050 Fetch 005a TIdFTPListItem.SetFileName 0076 _Dn_TStringList 007b TStringList.Create 0097 Trim 00a7 SplitColumns 00cc IndyStrToInt64 00f7 IndyStrToInt 011f DateYYMMDD 0148 TimeHHMMSS 016d TObject.Free 0173 @HandleFinally 0191 @UStrArrayClr 0199 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 85 C0 7E 1F 6A 00 6A 00 8D 4D E8 33 D2 8B 45 F8 8B 30 FF 56 0C 8B 45 E8 E8 ?? ?? ?? ?? 89 43 10 89 53 14 8B 45 F8 8B 10 FF 52 14 48 7E 1D 8D 4D E4 BA 01 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 E4 33 D2 E8 ?? ?? ?? ?? 89 43 40 8B 45 F8 8B 10 FF 52 14 83 F8 02 7E 1C 8D 4D E0 BA 02 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 E0 E8 ?? ?? ?? ?? DD 5B 28 9B 8B 45 F8 8B 10 FF 52 14 83 F8 03 7E 1F 8D 4D DC BA 03 00 00 00 8B 45 F8 8B 30 FF 56 0C 8B 45 DC E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B C6 43 38 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_34079_0 {
	meta:
		name = "TIdFTPLPVSESubLibrary.CheckListing"
		size = 500
		refs = "0018 TIdFTPLPVSESubLibrary.CheckListing 0071 @UStrCopy 0079 ValidEntry 0083 PosInStrArray 009f _Dn_TStringList 00a4 TStringList.Create 00c5 SplitColumns 00eb IndyPos 0146 CharIsInSet 016d TObject.Free 0173 @HandleFinally 018f @UStrArrayClr 0197 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B C3 8B 10 FF 52 14 85 C0 0F 8E 44 01 00 00 8D 4D FC 33 D2 8B C3 8B 18 FF 53 0C 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7E 39 8B DA 85 DB 74 05 83 EB 04 8B 1B 6A 01 8D 45 F0 50 8B D3 4A B9 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? B9 01 00 00 00 E8 ?? ?? ?? ?? 40 0F 9F C0 EB 02 33 C0 88 45 FB 80 7D FB 00 0F 84 DD 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 83 F8 04 7E 78 8D 4D EC BA 03 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 55 EC 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 85 C0 7E 52 8D 4D E8 BA 04 00 00 00 8B 45 F4 8B 18 FF 53 0C 8B 55 E8 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 85 C0 7E 2C 8B 45 F4 8B 10 FF 52 14 8B D0 4A 8D 4D E4 8B 45 F4 8B 18 FF 53 0C 8B 45 E4 B9 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 46 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_34080_0 {
	meta:
		name = "TIdFTPLPVSESubLibrary.GetIdent"
		size = 68
		refs = "0006 TIdFTPLPVSESubLibrary.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 56 00 53 00 45 00 3A 00 20 00 20 00 53 00 75 00 62 00 6C 00 69 00 62 00 72 00 61 00 72 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_34082_0 {
	meta:
		name = "TIdFTPLPVSESubLibrary.ParseLine"
		size = 656
		refs = "001c TIdFTPLPVSESubLibrary.ParseLine 002b _DV_TIdVSESubLibraryFTPListItem 0030 @AsClass 0040 @UStrLAsg 0079 @UStrCopy 0080 _Dn_TStringList 0085 TStringList.Create 00a1 Trim 00b1 SplitColumns 00d4 TIdFTPListItem.SetFileName 00fb IndyStrToInt64 0131 IndyStrToInt 0159 DateYYMMDD 0182 TimeHHMMSS 023e TObject.Free 0244 @HandleFinally 0262 @UStrArrayClr 026a @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 55 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 55 F8 8B 52 18 E8 ?? ?? ?? ?? 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7D 07 33 DB E9 EE 01 00 00 8B F2 85 F6 74 05 83 EE 04 8B 36 8D 45 FC 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 85 C0 7E 17 8D 4D EC 33 D2 8B 45 F4 8B 30 FF 56 0C 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 48 7E 2B 6A 00 6A 00 8D 4D E8 BA 01 00 00 00 8B 45 F4 8B 30 FF 56 0C 8B 45 E8 E8 ?? ?? ?? ?? 89 43 10 89 53 14 8B 45 F8 8B 40 10 89 43 48 8B 45 F4 8B 10 FF 52 14 83 F8 02 7E 1D 8D 4D E4 BA 02 00 00 00 8B 45 F4 8B 30 FF 56 0C 8B 45 E4 33 D2 E8 ?? ?? ?? ?? 89 43 40 8B 45 F4 8B 10 FF 52 14 83 F8 03 7E 1C 8D 4D E0 BA 03 00 00 00 8B 45 F4 8B 30 FF 56 0C 8B 45 E0 E8 ?? ?? ?? ?? DD 5B 50 9B 8B 45 F4 8B 10 FF 52 14 83 F8 04 7E 1F 8D 4D DC BA 04 00 00 00 8B 45 F4 8B 30 FF 56 0C 8B 45 DC E8 ?? ?? ?? ?? DC 43 50 DD 5B 50 9B 8B 45 F4 8B 10 FF 52 14 83 F8 05 7E 1E 8D 4D D8 BA 05 00 00 00 8B 45 F4 8B 30 FF 56 0C 8B 45 D8 E8 ?? ?? ?? ?? DD 5B 28 9B EB 1C 8D 4D D4 BA 03 00 00 00 8B 45 F4 8B 30 FF 56 0C 8B 45 D4 E8 ?? ?? ?? ?? DD 5B 28 9B 8B 45 F4 8B 10 FF 52 14 83 F8 06 7E 21 8D 4D D0 BA 06 00 00 00 8B 45 F4 8B 30 FF 56 0C 8B 45 D0 E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B EB 1F 8D 4D CC BA 04 00 00 00 8B 45 F4 8B 30 FF 56 0C 8B 45 CC E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B 8B 45 F8 C6 40 38 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34084_0 {
	meta:
		name = "Finalization"
		size = 129
		refs = "0007 Finalization 0013 _DV_31 001a _DV_TIdFTPLPVSELibrary 001f UnregisterFTPListParser 0024 _DV_TIdFTPLPVSEPowerQueue 002e _DV_TIdFTPLPVSERootDir 0038 _DV_TIdFTPLPVSESubLibrary 0042 _DV_TIdFTPLPVSEVSAMCatalog 004c _DV_TIdFTPLPVSEVTOC 0056 ValidEntry 0061 string 0066 @FinalizeArray 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 51 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_34085_0 {
	meta:
		name = "IdFTPListParseVSE"
		size = 70
		refs = "0002 _DV_31 000a _DV_TIdFTPLPVSELibrary 000f RegisterFTPListParser 0014 _DV_TIdFTPLPVSEPowerQueue 001e _DV_TIdFTPLPVSERootDir 0028 _DV_TIdFTPLPVSESubLibrary 0032 _DV_TIdFTPLPVSEVSAMCatalog 003c _DV_TIdFTPLPVSEVTOC"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 3C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34086_0 {
	meta:
		name = "TIdFTPLPVxWorks.GetIdent"
		size = 72
		refs = "0006 TIdFTPLPVxWorks.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 57 00 69 00 6E 00 64 00 20 00 52 00 69 00 76 00 65 00 72 00 20 00 56 00 78 00 57 00 6F 00 72 00 6B 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_34087_0 {
	meta:
		name = "TIdFTPLPVxWorks.IsFooter"
		size = 40
		refs = "0003 TIdFTPLPVxWorks.IsFooter 0008 TextStartsWith"
	strings:
		$1 = { 8B C2 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 61 00 6C 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_34088_0 {
	meta:
		name = "TIdFTPLPVxWorks.IsHeader"
		size = 424
		refs = "0013 TIdFTPLPVxWorks.IsHeader 0024 _Dn_TStringList 0029 TStringList.Create 0044 Trim 0054 SplitColumns 007f @UStrEqual 0101 TObject.Free 0107 @HandleFinally 0123 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 03 0F 8E 82 00 00 00 8D 4D F0 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5D 8D 4D EC BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3E 8D 4D E8 BA 02 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1F 8D 4D E4 BA 03 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 64 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_34090_0 {
	meta:
		name = "TIdFTPLPVxWorks.ParseLine"
		size = 384
		refs = "0019 TIdFTPLPVxWorks.ParseLine 002a Trim 0043 Fetch 004b IndyStrToInt64 005c TrimLeft 0067 @UStrLAsg 008b DateStrMonthDDYY 00c2 TimeHHMMSS 00d6 TextEndsWith 0100 @UStrCopy 0115 TIdFTPListItem.SetFileName 0131 @UStrArrayClr 0137 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 18 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 43 10 89 53 14 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5B 28 9B 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 26 C6 43 38 00 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 FC 50 8B CE 83 E9 05 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 44 00 49 00 52 00 3E 00 00 00 }
	condition:
		$1
}

rule function_34093_0 {
	meta:
		name = "TIdFTPLPWfFTP.GetIdent"
		size = 44
		refs = "0006 TIdFTPLPWfFTP.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 66 00 46 00 54 00 50 00 00 00 }
	condition:
		$1
}

rule function_34094_0 {
	meta:
		name = "TIdFTPLPWfFTP.IsFooter"
		size = 800
		refs = "0015 TIdFTPLPWfFTP.IsFooter 0021 IndyPos 0071 _Dn_TStringList 0076 TStringList.Create 0096 SplitColumns 00c1 @UStrEqual 0185 TObject.Free 018b @HandleFinally 01a7 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 35 ?? ?? ?? ?? 8B 36 8B D3 B8 ?? ?? ?? ?? FF D6 48 7F 2C 8B 35 ?? ?? ?? ?? 8B 36 8B D3 B8 ?? ?? ?? ?? FF D6 48 7F 18 8B 35 ?? ?? ?? ?? 8B 36 8B D3 B8 ?? ?? ?? ?? FF D6 48 7F 04 33 C0 EB 02 B0 01 88 45 FF 80 7D FF 00 0F 85 23 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 06 0F 85 C4 00 00 00 8D 4D F4 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 9B 00 00 00 8D 4D F0 BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 7C 8D 4D EC BA 02 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5D 8D 4D E8 BA 03 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3E 8D 4D E4 BA 04 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1F 8D 4D E0 BA 05 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 62 00 79 00 74 00 65 00 73 00 20 00 2D 00 20 00 54 00 6F 00 74 00 61 00 6C 00 20 00 73 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 62 00 79 00 74 00 65 00 73 00 20 00 2D 00 20 00 43 00 6F 00 6E 00 74 00 69 00 67 00 75 00 6F 00 75 00 73 00 20 00 66 00 72 00 65 00 65 00 20 00 73 00 70 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 62 00 79 00 74 00 65 00 73 00 20 00 2D 00 20 00 41 00 76 00 61 00 69 00 6C 00 61 00 62 00 6C 00 65 00 20 00 66 00 72 00 65 00 65 00 20 00 73 00 70 00 61 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 69 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 61 00 79 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 69 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_34095_0 {
	meta:
		name = "TIdFTPLPWfFTP.IsHeader"
		size = 136
		refs = "0004 TIdFTPLPWfFTP.IsHeader 000b TextStartsWith"
	strings:
		$1 = { 53 8B DA BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 14 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 20 00 56 00 6F 00 6C 00 75 00 6D 00 65 00 20 00 2D 00 20 00 64 00 72 00 69 00 76 00 65 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 20 00 44 00 69 00 72 00 65 00 63 00 74 00 6F 00 72 00 79 00 20 00 6F 00 66 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_34097_0 {
	meta:
		name = "TIdFTPLPWfFTP.ParseLine"
		size = 364
		refs = "001c TIdFTPLPWfFTP.ParseLine 0033 @UStrLAsg 0048 Fetch 0052 TIdFTPListItem.SetFileName 005d TrimLeft 0089 IndyStrToInt64 00c2 DateMMDDYY 0124 TimeHHMMSS 0145 @UStrArrayClr 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 C6 46 38 01 8D 45 FC 8B 56 18 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 46 10 89 56 14 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? DD 5E 28 9B 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 D8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? DC 46 28 DD 5E 28 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34100_0 {
	meta:
		name = "TIdFTPLPWindowsNT.CheckListing"
		size = 824
		refs = "001d TIdFTPLPWindowsNT.CheckListing 0067 IsSubDirContentsBanner 0086 UpperCase 008c IndyPos 00ad @UStrLAsg 00c3 @UStrCopy 00e0 IsNumeric 00ff @UStrSetLength 0116 TrimLeft 0125 StringReplace 0153 IsMMDDYY 018b @UStrEqual 0195 IsVMBFS 01b5 IndyStrToInt64 01dd IsYYYYMMDD 02a9 @UStrArrayClr 02bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8B C6 8B 10 FF 52 14 48 85 C0 0F 8C 58 02 00 00 40 89 45 EC 33 DB 8D 4D E8 8B D3 8B C6 8B 38 FF 57 0C 83 7D E8 00 0F 84 32 02 00 00 8D 4D E4 8B D3 8B C6 8B 38 FF 57 0C 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 0F 85 16 02 00 00 8D 4D E0 8B D3 8B C6 8B 38 FF 57 0C 8B 45 E0 8D 55 F4 E8 ?? ?? ?? ?? 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 F4 B8 ?? ?? ?? ?? FF D7 83 C0 EA 83 E8 05 73 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 B9 13 00 00 00 BA 14 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 83 F8 13 75 0E 8B 45 F8 0F B7 40 20 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 17 8B 45 F8 66 83 78 22 20 75 0D 8D 45 F8 BA 11 00 00 00 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 DC 50 8D 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D8 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 D4 50 B9 08 00 00 00 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 27 8D 45 D0 50 B9 08 00 00 00 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 57 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8B 45 F4 E8 ?? ?? ?? ?? 34 01 88 45 F3 E9 E6 00 00 00 83 7D FC 00 0F 85 DC 00 00 00 6A FF 6A FF 8B 45 F8 E8 ?? ?? ?? ?? 83 FA FF 75 03 83 F8 FF 0F 84 C2 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 34 01 88 45 F3 E9 B0 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 4C 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8B 45 F4 E8 ?? ?? ?? ?? 34 01 88 45 F3 E9 83 00 00 00 83 7D FC 00 75 7D 6A FF 6A FF 8B 45 F8 E8 ?? ?? ?? ?? 83 FA FF 75 03 83 F8 FF 74 67 8B 45 F4 E8 ?? ?? ?? ?? 34 01 88 45 F3 EB 58 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 47 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B 45 F4 E8 ?? ?? ?? ?? 34 01 88 45 F3 EB 29 83 7D FC 00 75 23 6A FF 6A FF 8B 45 F8 E8 ?? ?? ?? ?? 83 FA FF 75 03 83 F8 FF 74 0D 8B 45 F4 E8 ?? ?? ?? ?? 34 01 88 45 F3 43 FF 4D EC 0F 85 AE FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 3C 00 44 00 49 00 52 00 3E 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 44 00 49 00 52 00 3E 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_34101_0 {
	meta:
		name = "TIdFTPLPWindowsNT.GetIdent"
		size = 56
		refs = "0006 TIdFTPLPWindowsNT.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 20 00 4E 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_34103_0 {
	meta:
		name = "TIdFTPLPWindowsNT.ParseLine"
		size = 1300
		refs = "0020 TIdFTPLPWindowsNT.ParseLine 0042 IsNumeric 0080 @UStrCopy 00d7 @UStrCatN 00fb Trim 0110 Fetch 011b @UStrCat 0146 DateYYMMDD 0155 TimeHHMMSS 0174 @HandleAnyException 0184 @DoneExcept 0197 @UStrLAsg 01b7 TrimLeft 021a DateMMDDYY 0286 IndyPos 02b1 StringReplace 02c9 TextIsSame 02e1 TextStartsWith 0344 EncodeTime 0369 IndyStrToInt64 0380 @UStrAsg 03e3 IdDelete 03ee TIdFTPListItem.SetFileName 040a @UStrArrayClr 041d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E4 89 55 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 E0 01 00 00 00 8B 45 E8 8B 40 18 B9 01 00 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 3F 01 00 00 8B 45 E8 8B 40 18 B9 05 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 85 22 01 00 00 8D 45 DC 50 8B 45 E8 8B 40 18 B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 45 D8 50 8B 45 E8 8B 40 18 B9 02 00 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 D4 50 8B 45 E8 8B 40 18 B9 02 00 00 00 BA 09 00 00 00 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8D 45 FC BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 50 8B 45 E8 8B 40 18 B9 FF FF FF 7F BA 0B 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 8D 55 EC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 EC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 CC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8B 45 E8 DD 58 28 9B 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 DC 40 28 8B 45 E8 DD 58 28 9B 33 C0 5A 59 59 64 89 10 E9 E6 00 00 00 E9 ?? ?? ?? ?? 8B 45 E8 33 D2 89 50 28 89 50 2C E8 ?? ?? ?? ?? E9 CC 00 00 00 8D 45 EC 8B 55 E8 8B 52 18 E8 ?? ?? ?? ?? 6A 01 8D 45 FC 50 8D 45 EC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 C8 8B 45 EC E8 ?? ?? ?? ?? 8B 55 C8 8D 45 EC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 EC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 C4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8B 45 E8 DD 58 28 9B 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 DC 40 28 8B 45 E8 DD 58 28 9B 33 C0 5A 59 59 64 89 10 EB 15 E9 ?? ?? ?? ?? 8B 45 E8 33 D2 89 50 28 89 50 2C E8 ?? ?? ?? ?? 8D 55 C0 8B 45 EC E8 ?? ?? ?? ?? 8B 55 C0 8D 45 EC E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 EC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 F0 B8 ?? ?? ?? ?? FF D3 85 C0 74 26 0F B6 05 ?? ?? ?? ?? 50 8D 45 BC 50 33 C9 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 BC 8D 45 F0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 42 8B 45 E8 C6 40 38 00 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 09 C7 45 E0 12 00 00 00 EB 18 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 07 C7 45 E0 0A 00 00 00 8B 45 E8 C6 40 24 00 EB 63 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 85 31 FF FF FF BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 21 6A 00 33 C9 33 D2 66 B8 0C 00 E8 ?? ?? ?? ?? 8B 45 E8 DC 40 28 8B 45 E8 DD 58 28 9B E9 FF FE FF FF 8B 45 E8 C6 40 38 01 6A 00 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 4D E8 89 41 10 89 51 14 8B 45 E8 83 C0 20 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 F4 50 B9 FF FF FF 7F 8B 55 E0 8B 45 EC E8 ?? ?? ?? ?? 83 7D E4 00 74 49 8B 45 E8 83 C0 20 8B 55 F4 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? FF 75 F4 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 12 8D 45 F4 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 E8 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 44 00 49 00 52 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 41 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 50 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_34104_0 {
	meta:
		name = "TIdFTPLPWindowsNT.ParseListing"
		size = 336
		refs = "0029 TIdFTPLPWindowsNT.ParseListing 006f IsSubDirContentsBanner 00b1 @UStrCopy 00d8 @UStrAsg 00fa TObject.Free 011f @UStrClr 012c @UStrArrayClr 013f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D8 89 5D DC 89 5D E0 89 5D FC 89 5D F8 89 4D F0 8B F2 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 14 48 85 C0 0F 8C C7 00 00 00 40 89 45 E4 33 DB 8D 4D E0 8B D3 8B C6 8B 38 FF 57 0C 83 7D E0 00 0F 84 A1 00 00 00 8D 4D DC 8B D3 8B C6 8B 38 FF 57 0C 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 40 8D 4D F8 8B D3 8B C6 8B 38 FF 57 0C 8D 4D D8 8B D3 8B C6 8B 38 FF 57 0C 8B 45 D8 89 45 D4 8B 7D D4 85 FF 74 05 83 EF 04 8B 3F 8D 45 FC 50 8B CF 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 49 8B 55 F0 8B 45 F4 FF 10 89 45 E8 8D 4D D0 8B D3 8B C6 8B 38 FF 57 0C 8B 55 D0 8B 45 E8 83 C0 18 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 E8 8B 45 F4 FF 50 04 88 45 EF 80 7D EF 00 75 0F 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? EB 0E 43 FF 4D E4 0F 85 3F FF FF FF C6 45 EF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 0F B6 45 EF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34107_0 {
	meta:
		name = "TIdFTPLPWinQVNet.CheckListing"
		size = 396
		refs = "0019 TIdFTPLPWinQVNet.CheckListing 0052 @UStrCopy 005f @UStrEqual 00d6 IsMMDDYY 0122 IsHHMMSS 0146 @UStrArrayClr 014c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 8B 10 FF 52 14 85 C0 0F 8E FC 00 00 00 8D 4D FC 33 D2 8B C6 8B 18 FF 53 0C 8D 45 F8 50 B9 01 00 00 00 BA 26 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 C1 00 00 00 8D 45 F4 50 B9 01 00 00 00 BA 29 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 98 00 00 00 8D 45 F0 50 B9 01 00 00 00 BA 31 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 73 8D 45 EC 50 B9 0A 00 00 00 BA 24 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4C 8D 45 E8 50 B9 01 00 00 00 BA 2E 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 27 8D 45 E4 50 B9 05 00 00 00 BA 2F 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34108_0 {
	meta:
		name = "TIdFTPLPWinQVNet.GetIdent"
		size = 56
		refs = "0006 TIdFTPLPWinQVNet.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 69 00 6E 00 51 00 56 00 54 00 2F 00 4E 00 45 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_34110_0 {
	meta:
		name = "TIdFTPLPWinQVNet.ParseLine"
		size = 364
		refs = "001b TIdFTPLPWinQVNet.ParseLine 002c ExtractQVNETFileName 0036 TIdFTPListItem.SetFileName 0041 @UStrLAsg 0057 @UStrCopy 0060 IndyPos 0083 IdDelete 008e TrimLeft 00b2 Fetch 00ba IndyStrToInt64 00f3 DateMMDDYY 0102 Trim 0115 TimeHHMMSS 0138 @UStrArrayClr 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 43 18 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? 8D 45 F4 50 B9 0D 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 35 ?? ?? ?? ?? 8B 36 B8 ?? ?? ?? ?? FF D6 85 C0 7E 04 C6 43 38 00 8D 45 FC B9 0D 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 89 43 10 89 53 14 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? DD 5B 28 9B 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DC 43 28 DD 5B 28 9B B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34113_0 {
	meta:
		name = "TIdFTPLPXecomMicroRTOS.GetIdent"
		size = 68
		refs = "0006 TIdFTPLPXecomMicroRTOS.GetIdent 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 65 00 72 00 63 00 6F 00 6D 00 20 00 4D 00 69 00 63 00 72 00 6F 00 20 00 52 00 54 00 4F 00 53 00 00 00 }
	condition:
		$1
}

rule function_34114_0 {
	meta:
		name = "TIdFTPLPXecomMicroRTOS.IsFooter"
		size = 512
		refs = "0017 TIdFTPLPXecomMicroRTOS.IsFooter 0028 _Dn_TStringList 002d TStringList.Create 004d SplitColumns 0078 @UStrEqual 00b9 IsNumeric 0159 TObject.Free 015f @HandleFinally 017b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 07 0F 85 E1 00 00 00 8D 4D F4 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 B8 00 00 00 8D 4D F0 BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 95 00 00 00 8D 4D EC BA 02 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 79 8D 4D E8 BA 03 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5A 8D 4D E4 BA 04 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 3E 8D 4D E0 BA 05 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1F 8D 4D DC BA 06 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2A 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 6F 00 74 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 66 00 69 00 6C 00 65 00 73 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 62 00 79 00 74 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_34115_0 {
	meta:
		name = "TIdFTPLPXecomMicroRTOS.IsHeader"
		size = 468
		refs = "0013 TIdFTPLPXecomMicroRTOS.IsHeader 0024 _Dn_TStringList 0029 TStringList.Create 0049 SplitColumns 0074 @UStrEqual 0115 TObject.Free 011b @HandleFinally 0137 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 05 0F 85 A1 00 00 00 8D 4D F4 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 7C 8D 4D F0 BA 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5D 8D 4D EC BA 02 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3E 8D 4D E8 BA 03 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1F 8D 4D E4 BA 04 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 74 00 61 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 45 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 69 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_34117_0 {
	meta:
		name = "TIdFTPLPXecomMicroRTOS.ParseLine"
		size = 368
		refs = "001c TIdFTPLPXecomMicroRTOS.ParseLine 002a _DV_TIdXecomMicroRTOSTPListItem 002f @AsClass 003c TrimLeft 0052 @UStrLAsg 0067 Fetch 0077 @UStrCat3 0081 IndyStrToInt 0103 IndyStrToInt64 011e TIdFTPListItem.SetFileName 013a @UStrArrayClr 0140 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 FC 8B 46 18 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 89 43 40 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 D2 E8 ?? ?? ?? ?? 89 43 44 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 6A 01 8D 45 DC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 89 43 10 89 53 14 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8B C3 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_34121_0 {
	meta:
		name = "TIdCreationDateFTPListItem.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TIdFTPListItem.Create 002a @AfterConstruction"
		altNames = "TIdMinimalFTPListItem.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 24 00 C6 46 25 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_34122_0 {
	meta:
		name = "TIdMLSTFTPListItem.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TIdCreationDateFTPListItem.Create 0022 _DV_TIdWin32ea 0027 TObject.Create 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 48 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_34124_0 {
	meta:
		name = "TIdMLSTFTPListItem.GetFact"
		size = 204
		refs = "0018 TIdMLSTFTPListItem.GetFact 0025 _Dn_TStringList 002a TStringList.Create 0054 ParseFacts 0060 TStrings.GetValue 007a TObject.Free 0080 @HandleFinally 0097 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 ?? ?? ?? ?? 8D 45 F8 50 8B 43 18 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_34127_0 {
	meta:
		name = "TIdDOSBaseFTPListItem.SetAttributes"
		size = 9
		altNames = "TIdNetworkCalculator.SetNetworkMask TXMLDocument.SetXML"
	strings:
		$1 = { 8B 40 40 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_34128_0 {
	meta:
		name = "TIdDOSAttributes.AddAttribute"
		size = 264
		refs = "0016 TIdDOSAttributes.AddAttribute 0026 UpperCase 0050 CharPosInSet 0086 TIdDOSAttributes.SetRead_Only 0092 TIdDOSAttributes.SetArchive 009e TIdDOSAttributes.SetSystem 00aa TIdDOSAttributes.SetHidden 00d7 @UStrClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 0F 8E 84 00 00 00 BE 01 00 00 00 B9 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 83 F8 07 77 63 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? EB 34 B2 01 8B 45 F8 E8 ?? ?? ?? ?? EB 28 B2 01 8B 45 F8 E8 ?? ?? ?? ?? EB 1C B2 01 8B 45 F8 E8 ?? ?? ?? ?? EB 10 33 D2 8B 45 F8 E8 ?? ?? ?? ?? EB 04 33 DB EB 06 46 4B 75 81 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 41 00 53 00 48 00 57 00 2D 00 44 00 00 00 }
	condition:
		$1
}

rule function_34129_0 {
	meta:
		name = "TIdDOSAttributes.Assign"
		size = 57
		refs = "000a _DV_TIdDOSAttributes 000f @IsClass 0020 @AsClass 0032 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 04 89 43 04 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34130_0 {
	meta:
		name = "TIdDOSAttributes.GetAsString"
		size = 144
		refs = "0009 TIdDOSAttributes.GetAsString 000e @UStrAsg 0015 TIdDOSAttributes.GetArchive 0020 @UniqueStringU 002c TIdDOSAttributes.GetSystem 0044 TIdDOSAttributes.GetHidden 005c TIdDOSAttributes.GetRead_Only"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C6 E8 ?? ?? ?? ?? 66 C7 00 41 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 E8 ?? ?? ?? ?? 66 C7 40 06 53 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 E8 ?? ?? ?? ?? 66 C7 40 08 48 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 E8 ?? ?? ?? ?? 66 C7 40 0A 52 00 5E 5B C3 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 20 00 20 00 20 00 20 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_34131_0 {
	meta:
		name = "TIdDOSAttributes.GetRead_Only"
		size = 11
	strings:
		$1 = { F7 40 04 01 00 00 00 0F 97 C0 C3 }
	condition:
		$1
}

rule function_34132_0 {
	meta:
		name = "TIdDOSAttributes.GetHidden"
		size = 11
	strings:
		$1 = { F7 40 04 02 00 00 00 0F 97 C0 C3 }
	condition:
		$1
}

rule function_34133_0 {
	meta:
		name = "TIdDOSAttributes.GetSystem"
		size = 11
	strings:
		$1 = { F7 40 04 04 00 00 00 0F 97 C0 C3 }
	condition:
		$1
}

rule function_34134_0 {
	meta:
		name = "TIdDOSAttributes.GetDirectory"
		size = 11
	strings:
		$1 = { F7 40 04 10 00 00 00 0F 97 C0 C3 }
	condition:
		$1
}

rule function_34135_0 {
	meta:
		name = "TIdDOSAttributes.GetArchive"
		size = 11
	strings:
		$1 = { F7 40 04 20 00 00 00 0F 97 C0 C3 }
	condition:
		$1
}

rule function_34136_0 {
	meta:
		name = "TIdDOSAttributes.GetNormal"
		size = 11
	strings:
		$1 = { F7 40 04 80 00 00 00 0F 97 C0 C3 }
	condition:
		$1
}

rule function_34137_0 {
	meta:
		name = "TIdDOSAttributes.SetRead_Only"
		size = 14
	strings:
		$1 = { 84 D2 74 05 83 48 04 01 C3 83 60 04 FE C3 }
	condition:
		$1
}

rule function_34138_0 {
	meta:
		name = "TIdDOSAttributes.SetHidden"
		size = 14
	strings:
		$1 = { 84 D2 74 05 83 48 04 02 C3 83 60 04 FD C3 }
	condition:
		$1
}

rule function_34139_0 {
	meta:
		name = "TIdDOSAttributes.SetSystem"
		size = 14
	strings:
		$1 = { 84 D2 74 05 83 48 04 04 C3 83 60 04 FB C3 }
	condition:
		$1
}

rule function_34140_0 {
	meta:
		name = "TIdDOSAttributes.SetDirectory"
		size = 14
	strings:
		$1 = { 84 D2 74 05 83 48 04 10 C3 83 60 04 EF C3 }
	condition:
		$1
}

rule function_34141_0 {
	meta:
		name = "TIdDOSAttributes.SetArchive"
		size = 14
	strings:
		$1 = { 84 D2 74 05 83 48 04 20 C3 83 60 04 DF C3 }
	condition:
		$1
}

rule function_34142_0 {
	meta:
		name = "TIdDOSAttributes.SetNormal"
		size = 20
		altNames = "TIdWin32ea.SetCompressed TIdWin32ea.SetReparsePoint"
	strings:
		$1 = { 84 D2 74 08 81 48 04 80 00 00 00 C3 81 60 04 7F FF FF FF C3 }
	condition:
		$1
}

rule function_34144_0 {
	meta:
		name = "TIdWin32ea.GetDevice"
		size = 11
	strings:
		$1 = { F7 40 04 40 00 00 00 0F 97 C0 C3 }
	condition:
		$1
}

rule function_34145_0 {
	meta:
		name = "TIdWin32ea.GetTemporary"
		size = 11
	strings:
		$1 = { F7 40 04 00 01 00 00 0F 97 C0 C3 }
	condition:
		$1
}

rule function_34146_0 {
	meta:
		name = "TIdWin32ea.GetSparseFile"
		size = 11
	strings:
		$1 = { F7 40 04 00 02 00 00 0F 97 C0 C3 }
	condition:
		$1
}

rule function_34147_0 {
	meta:
		name = "TIdWin32ea.GetReparsePoint"
		size = 11
	strings:
		$1 = { F7 40 04 00 04 00 00 0F 97 C0 C3 }
	condition:
		$1
}

rule function_34148_0 {
	meta:
		name = "TIdWin32ea.GetCompressed"
		size = 11
	strings:
		$1 = { F7 40 04 00 08 00 00 0F 97 C0 C3 }
	condition:
		$1
}

rule function_34149_0 {
	meta:
		name = "TIdWin32ea.GetOffline"
		size = 11
	strings:
		$1 = { F7 40 04 00 10 00 00 0F 97 C0 C3 }
	condition:
		$1
}

rule function_34150_0 {
	meta:
		name = "TIdWin32ea.GetNotContextIndexed"
		size = 11
	strings:
		$1 = { F7 40 04 00 20 00 00 0F 97 C0 C3 }
	condition:
		$1
}

rule function_34151_0 {
	meta:
		name = "TIdWin32ea.GetEncrypted"
		size = 11
	strings:
		$1 = { F7 40 04 00 40 00 00 0F 97 C0 C3 }
	condition:
		$1
}

rule function_34152_0 {
	meta:
		name = "TIdWin32ea.SetDevice"
		size = 14
	strings:
		$1 = { 84 D2 74 05 83 48 04 40 C3 83 60 04 BF C3 }
	condition:
		$1
}

rule function_34153_0 {
	meta:
		name = "TIdWin32ea.SetTemporary"
		size = 20
	strings:
		$1 = { 84 D2 74 08 81 48 04 00 01 00 00 C3 81 60 04 FF FE FF FF C3 }
	condition:
		$1
}

rule function_34154_0 {
	meta:
		name = "TIdWin32ea.SetSparseFile"
		size = 20
	strings:
		$1 = { 84 D2 74 08 81 48 04 00 02 00 00 C3 81 60 04 FF FD FF FF C3 }
	condition:
		$1
}

rule function_34157_0 {
	meta:
		name = "TIdWin32ea.SetOffline"
		size = 20
	strings:
		$1 = { 84 D2 74 08 81 48 04 00 10 00 00 C3 81 60 04 FF EF FF FF C3 }
	condition:
		$1
}

rule function_34158_0 {
	meta:
		name = "TIdWin32ea.SetNotContextIndexed"
		size = 20
	strings:
		$1 = { 84 D2 74 08 81 48 04 00 20 00 00 C3 81 60 04 FF DF FF FF C3 }
	condition:
		$1
}

rule function_34159_0 {
	meta:
		name = "TIdWin32ea.SetEncrypted"
		size = 20
	strings:
		$1 = { 84 D2 74 08 81 48 04 00 40 00 00 C3 81 60 04 FF BF FF FF C3 }
	condition:
		$1
}

rule function_34160_0 {
	meta:
		name = "TIdWin32ea.GetAsString"
		size = 372
		refs = "0009 TIdWin32ea.GetAsString 000e @UStrAsg 0015 TIdDOSAttributes.GetRead_Only 0020 @UniqueStringU 002c TIdDOSAttributes.GetHidden 0044 TIdDOSAttributes.GetSystem 005c TIdDOSAttributes.GetArchive 0074 TIdDOSAttributes.GetDirectory 008c TIdWin32ea.GetEncrypted 00a4 TIdDOSAttributes.GetNormal 00bc TIdWin32ea.GetTemporary 00d4 TIdWin32ea.GetReparsePoint 00ec TIdWin32ea.GetSparseFile 0104 TIdWin32ea.GetCompressed 011c TIdWin32ea.GetOffline 0134 TIdWin32ea.GetNotContextIndexed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C6 E8 ?? ?? ?? ?? 66 C7 00 52 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 E8 ?? ?? ?? ?? 66 C7 40 02 48 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 E8 ?? ?? ?? ?? 66 C7 40 04 53 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 E8 ?? ?? ?? ?? 66 C7 40 06 41 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 E8 ?? ?? ?? ?? 66 C7 40 08 44 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 E8 ?? ?? ?? ?? 66 C7 40 0A 45 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 E8 ?? ?? ?? ?? 66 C7 40 0C 4E 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 E8 ?? ?? ?? ?? 66 C7 40 0E 54 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 E8 ?? ?? ?? ?? 66 C7 40 10 4A 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 E8 ?? ?? ?? ?? 66 C7 40 12 50 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 E8 ?? ?? ?? ?? 66 C7 40 14 43 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 E8 ?? ?? ?? ?? 66 C7 40 16 4F 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 E8 ?? ?? ?? ?? 66 C7 40 18 49 00 5E 5B C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 00 00 }
	condition:
		$1
}

rule function_34163_0 {
	meta:
		name = "CalculateCheckSum"
		size = 100
		refs = "0016 CalculateCheckSum 003c TIdHash.HashStreamAsHex 0051 TObject.Free 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA B2 01 FF 50 08 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 14 FF 75 10 8B 45 08 8B 55 0C 2B 45 10 1B 55 14 52 50 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_34164_0 {
	meta:
		name = "XAutGreeting"
		size = 408
		refs = "001e XAutGreeting 0030 GStack 0049 _DV_TIdFTPServerContext 004e @AsClass 006a IndyFormat 008d @UStrCatN 00a2 Fetch 00ad @UStrLAsg 00f2 @UStrArrayClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 55 E4 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 04 8B 45 E4 89 45 E8 C6 45 EC 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 78 89 45 F0 C6 45 F4 00 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 E0 8B 43 18 8B 08 FF 51 1C FF 75 E0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 DC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 D8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 43 18 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 25 00 73 00 20 00 58 00 32 00 20 00 57 00 53 00 5F 00 46 00 54 00 50 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 20 00 43 00 6F 00 6D 00 70 00 61 00 74 00 69 00 62 00 6C 00 65 00 28 00 25 00 64 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_34165_0 {
	meta:
		name = "TIdFTPServerContext.Create"
		size = 144
		refs = "000d @ClassCreate 0022 TIdContext.Create 0029 _DV_TIdFTPSecurityOptions 002e TIdFTPSecurityOptions.Create 0049 TIdFTPServerContext.Create 0061 TIdFTPServerContext.ResetZLibSettings 0073 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A8 00 00 00 C6 86 88 00 00 00 00 C6 86 8A 00 00 00 00 0F B7 05 ?? ?? ?? ?? 66 89 86 A1 00 00 00 C7 86 AC 00 00 00 16 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 00 00 00 07 00 00 00 }
	condition:
		$1
}

rule function_34166_0 {
	meta:
		name = "TIdFTPServerContext.SetUserSecurity"
		size = 12
	strings:
		$1 = { 8B 80 A8 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_34167_0 {
	meta:
		name = "TIdFTPServerContext.Destroy"
		size = 62
		refs = "0003 @BeforeDestruction 000e TIdFTPServerContext.KillDataChannel 0021 TObject.Free 002c TIdContext.Destroy 0037 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 86 A8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34168_0 {
	meta:
		name = "TIdFTPServerContext.CreateDataChannel"
		size = 55
		refs = "0009 TIdFTPServerContext.KillDataChannel 0025 _DV_TIdDataChannel 002a TIdDataChannel.Create"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 56 8B 86 A8 00 00 00 0F B6 40 0C 50 8B 86 A4 00 00 00 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_34169_0 {
	meta:
		name = "TIdFTPServerContext.KillDataChannel"
		size = 56
		refs = "0031 TObject.Free"
	strings:
		$1 = { 53 56 8B D8 8B B3 80 00 00 00 85 F6 74 27 80 7E 25 00 75 0E C6 46 25 01 8B 46 0C 33 D2 8B 08 FF 51 78 8D 83 80 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34170_0 {
	meta:
		name = "TIdFTPServerContext.ReInitialize"
		size = 71
		refs = "0006 TIdFTPServerContextBase.ReInitialize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 89 00 00 00 00 66 C7 83 8C 00 00 00 00 00 C6 83 94 00 00 00 00 C6 83 9C 00 00 00 00 C6 83 9D 00 00 00 00 C6 83 9F 00 00 00 00 C6 83 A0 00 00 00 00 33 C0 89 83 90 00 00 00 5B C3 }
	condition:
		$1
}

rule function_34171_0 {
	meta:
		name = "TIdFTPServerContext.IsAuthenticated"
		size = 96
		refs = "000d TIdFTPServerContext.IsAuthenticated 0023 RSFTPUserNotLoggedIn 0028 LoadResString 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 58 49 84 DB 75 1D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B 46 18 BA 12 02 00 00 8B 30 FF 56 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34172_0 {
	meta:
		name = "TIdFTPServer.InitComponent"
		size = 672
		refs = "000d TIdFTPServer.InitComponent 001a TIdExplicitTLSServer.InitComponent 0021 TIdCmdTCPServer.GetHelpReply 0028 TIdReply.SetCode 003d TIdCmdTCPServer.GetExceptionReply 0049 _Dn_TIdCommandHandlers 004e TIdCommandHandlers.Create 00c5 _Dn_TStringList 00ca TStringList.Create 012b RSFTPDefaultGreeting 0130 LoadResString 013b TIdCmdTCPServer.GetGreeting 014b _DV_TIdFTPServerContext 0158 TIdCmdTCPServer.GetReplyUnknownCommand 019c _DV_TIdFTPSecurityOptions 01a1 TIdFTPSecurityOptions.Create 01dc @UStrClr 01e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 83 40 01 00 00 50 8B 83 44 01 00 00 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 68 01 00 00 8B 83 40 01 00 00 50 8B 83 44 01 00 00 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 6C 01 00 00 8B 83 40 01 00 00 50 8B 83 44 01 00 00 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 70 01 00 00 66 C7 83 50 01 00 00 15 00 66 C7 83 52 01 00 00 DE 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 78 01 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 83 78 01 00 00 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 83 78 01 00 00 8B 08 FF 51 38 C6 83 7C 01 00 00 00 C6 83 7D 01 00 00 01 66 BA 15 00 8B C3 8B 08 FF 91 98 00 00 00 66 C7 83 88 01 00 00 14 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA DC 00 00 00 59 8B 30 FF 56 44 A1 ?? ?? ?? ?? 89 83 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA F4 01 00 00 8B 30 FF 56 44 33 C9 B2 01 8B 83 40 01 00 00 FF 50 1C 8B F0 89 B3 DC 02 00 00 B9 ?? ?? ?? ?? BA F4 01 00 00 8B C6 8B 30 FF 56 44 33 C0 89 83 8C 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 08 02 00 00 66 C7 83 7E 01 00 00 00 00 66 C7 83 80 01 00 00 00 00 C6 83 5A 01 00 00 02 C6 83 59 01 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 61 00 6E 00 6F 00 6E 00 79 00 6D 00 6F 00 75 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 66 00 74 00 70 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 67 00 75 00 65 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 53 00 49 00 54 00 45 00 20 00 63 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 2E 00 00 00 }
	condition:
		$1
}

rule function_34175_0 {
	meta:
		name = "ShouldShowCommand"
		size = 699
		refs = "000a HELP_SPEC_CMDS 0014 PosInStrArray 0025 ShouldShowCommand 0147 GetFIPSMode 01cf _Dn_TIdHashSHA256 01d4 TIdHashSHA256.IsAvailable 020b _Dn_TIdHashSHA512 0210 TIdHashSHA512.IsAvailable"
	strings:
		$1 = { 55 8B EC 53 56 33 DB 6A 00 BA ?? ?? ?? ?? B9 19 00 00 00 E8 ?? ?? ?? ?? 40 83 F8 1A 0F 87 93 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B3 01 E9 19 02 00 00 8B 45 08 8B 40 FC 66 83 B8 B2 01 00 00 00 0F 84 05 02 00 00 B3 01 E9 FE 01 00 00 8B 45 08 8B 40 FC 66 83 B8 BA 01 00 00 00 75 13 8B 45 08 8B 40 FC 83 B8 D0 02 00 00 00 0F 84 DB 01 00 00 B3 01 E9 D4 01 00 00 8B 45 08 8B 40 FC 0F B6 80 54 01 00 00 04 FE 2C 02 0F 83 BD 01 00 00 B3 01 E9 B6 01 00 00 8B 45 08 8B 40 FC 80 B8 54 01 00 00 00 0F 84 A3 01 00 00 B3 01 E9 9C 01 00 00 8B 45 08 8B 40 FC 66 83 B8 22 02 00 00 00 75 13 8B 45 08 8B 40 FC 83 B8 D0 02 00 00 00 0F 84 79 01 00 00 B3 01 E9 72 01 00 00 33 DB 8B 35 ?? ?? ?? ?? 8B 36 FF D6 84 C0 0F 85 5E 01 00 00 8B 45 08 8B 40 FC 66 83 B8 12 02 00 00 00 75 13 8B 45 08 8B 40 FC 83 B8 D0 02 00 00 00 0F 84 3B 01 00 00 B3 01 E9 34 01 00 00 8B 45 08 8B 40 FC 66 83 B8 12 02 00 00 00 75 13 8B 45 08 8B 40 FC 83 B8 D0 02 00 00 00 0F 84 11 01 00 00 B3 01 E9 0A 01 00 00 8B 45 08 8B 40 FC 66 83 B8 12 02 00 00 00 75 13 8B 45 08 8B 40 FC 83 B8 D0 02 00 00 00 0F 84 E7 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D5 00 00 00 B3 01 E9 CE 00 00 00 8B 45 08 8B 40 FC 66 83 B8 12 02 00 00 00 75 13 8B 45 08 8B 40 FC 83 B8 D0 02 00 00 00 0F 84 AB 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 99 00 00 00 B3 01 E9 92 00 00 00 8B 45 08 8B 40 FC 66 83 B8 1A 02 00 00 00 75 0F 8B 45 08 8B 40 FC 83 B8 D0 02 00 00 00 74 73 B3 01 EB 6F 8B 45 08 8B 40 FC 66 83 B8 92 02 00 00 00 74 5F B3 01 EB 5B 8B 45 08 8B 40 FC 66 83 B8 9A 02 00 00 00 74 4B B3 01 EB 47 8B 45 08 8B 40 FC 66 83 B8 A2 02 00 00 00 74 37 B3 01 EB 33 8B 45 08 8B 40 FC 66 83 B8 FA 02 00 00 00 74 23 B3 01 EB 1F 8B 35 ?? ?? ?? ?? 8B 36 FF D6 84 C0 75 11 8B 45 08 8B 40 FC 80 B8 58 01 00 00 00 74 02 B3 01 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_34176_0 {
	meta:
		name = "IsNotImplemented"
		size = 537
		refs = "000a HELP_ALT_MD_CMD 0014 PosInStrArray 0031 IsNotImplemented 020a HELP_ALT_MD_TP 020f @UStrLAsg"
	strings:
		$1 = { 55 8B EC 53 56 33 DB 6A 00 BA ?? ?? ?? ?? B9 11 00 00 00 E8 ?? ?? ?? ?? 8B F0 83 FE FF 0F 84 F0 01 00 00 8B C6 83 F8 11 0F 87 CF 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 8B 40 FC 66 83 B8 E2 01 00 00 00 0F 85 6C 01 00 00 8B 45 08 8B 40 FC 83 B8 D0 02 00 00 00 0F 85 59 01 00 00 B3 01 E9 52 01 00 00 8B 45 08 8B 40 FC 66 83 B8 EA 01 00 00 00 0F 85 3E 01 00 00 8B 45 08 8B 40 FC 83 B8 D0 02 00 00 00 0F 85 2B 01 00 00 B3 01 E9 24 01 00 00 8B 45 08 8B 40 FC 66 83 B8 D2 01 00 00 00 0F 85 10 01 00 00 8B 45 08 8B 40 FC 83 B8 D0 02 00 00 00 0F 85 FD 00 00 00 B3 01 E9 F6 00 00 00 8B 45 08 8B 40 FC 66 83 B8 DA 01 00 00 00 0F 85 E2 00 00 00 8B 45 08 8B 40 FC 83 B8 D0 02 00 00 00 0F 85 CF 00 00 00 B3 01 E9 C8 00 00 00 8B 45 08 8B 40 FC 66 83 B8 C2 01 00 00 00 74 27 8B 45 08 8B 40 FC 80 B8 59 01 00 00 03 0F 85 A5 00 00 00 8B 45 08 8B 40 FC 66 83 B8 CA 01 00 00 00 0F 85 91 00 00 00 B3 01 E9 8A 00 00 00 8B 45 08 8B 40 FC 66 83 B8 AA 01 00 00 00 75 7A 8B 45 08 8B 40 FC 83 B8 D0 02 00 00 00 75 6B B3 01 EB 67 8B 45 08 8B 40 FC 66 83 B8 FA 01 00 00 00 75 57 8B 45 08 8B 40 FC 83 B8 D0 02 00 00 00 75 48 B3 01 EB 44 8B 45 08 8B 40 FC 66 83 B8 F2 01 00 00 00 75 34 8B 45 08 8B 40 FC 83 B8 D0 02 00 00 00 75 25 B3 01 EB 21 8B 45 08 8B 40 FC 66 83 B8 F2 01 00 00 00 75 11 8B 45 08 8B 40 FC 83 B8 D0 02 00 00 00 75 02 B3 01 84 DB 74 12 8B 45 08 83 C0 F8 8B 14 B5 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_34177_0 {
	meta:
		name = "TIdFTPServer.CommandHELP"
		size = 1020
		refs = "001c TIdFTPServer.CommandHELP 0074 TIdCommandHandlers.GetItem 007d TextIsSame 00b8 ShouldShowCommand 00d9 IsNotImplemented 0148 UpperCase 015e RSFTPCmdHelpNotKnown 0163 LoadResString 016e IndyFormat 01f3 RSFTPHelpBegining 0208 @UStrCat3 020f _Dn_TStringList 0214 TStringList.Create 0329 TIdFTPServer.HelpText 0342 @UStrCatN 035b @UStrCat 0388 TObject.Free 038e @HandleFinally 03aa @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 40 0C 8B 10 FF 52 14 85 C0 0F 8E B6 01 00 00 8B 45 FC 8B 80 18 01 00 00 8B 40 08 8B 70 08 4E 85 F6 0F 8C 41 01 00 00 46 33 DB 8D 4D E8 8B 45 F0 8B 40 0C 33 D2 8B 38 FF 57 0C 8B 45 E8 50 8B 45 FC 8B 80 18 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B 50 10 58 E8 ?? ?? ?? ?? 84 C0 0F 84 01 01 00 00 8B 45 FC 8B 80 18 01 00 00 8B D3 E8 ?? ?? ?? ?? 80 78 28 00 0F 84 8A 00 00 00 55 8D 4D E4 8B 45 F0 8B 40 0C 33 D2 8B 30 FF 56 0C 8B 45 E4 E8 ?? ?? ?? ?? 59 84 C0 74 6C 55 8B 45 FC 8B 80 18 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B 40 10 8D 55 F8 E8 ?? ?? ?? ?? 59 84 C0 74 18 8B 45 F0 8B 40 18 8B 4D F8 BA D6 00 00 00 8B 18 FF 53 44 E9 9A 02 00 00 8B 45 FC 8B 80 18 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B 40 18 8D 55 E0 8B 08 FF 51 1C 8B 4D E0 8B 45 F0 8B 40 18 BA D6 00 00 00 8B 18 FF 53 44 E9 67 02 00 00 8D 45 DC 50 8D 4D CC 8B 45 F0 8B 40 0C 33 D2 8B 18 FF 53 0C 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 8D 45 D4 50 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 33 C9 5A E8 ?? ?? ?? ?? 8B 4D DC 8B 45 F0 8B 40 18 BA F6 01 00 00 8B 18 FF 53 44 E9 0A 02 00 00 43 4E 0F 85 C2 FE FF FF 8D 45 C4 50 8D 4D BC 8B 45 F0 8B 40 0C 33 D2 8B 18 FF 53 0C 8B 45 BC 8D 55 C0 E8 ?? ?? ?? ?? 8B 45 C0 89 45 D4 C6 45 D8 11 8D 45 D4 50 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 33 C9 5A E8 ?? ?? ?? ?? 8B 4D C4 8B 45 F0 8B 40 18 BA F6 01 00 00 8B 18 FF 53 44 E9 A5 01 00 00 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 18 01 00 00 8B 40 08 8B 70 08 4E 85 F6 0F 8C D0 00 00 00 46 33 DB 8B 45 FC 8B 80 18 01 00 00 8B D3 E8 ?? ?? ?? ?? 80 78 28 00 0F 84 AB 00 00 00 55 8B 45 FC 8B 80 18 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B 40 10 E8 ?? ?? ?? ?? 59 84 C0 0F 84 89 00 00 00 55 8B 45 FC 8B 80 18 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B 40 10 8D 55 F8 E8 ?? ?? ?? ?? 59 84 C0 74 2D 8B 45 FC 8B 80 18 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B 50 10 8D 45 B0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8B 45 EC 8B 08 FF 51 38 EB 3B 8B 45 FC 8B 80 18 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B 40 24 50 8B 45 FC 8B 80 18 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B 50 10 8D 45 AC 59 E8 ?? ?? ?? ?? 8B 55 AC 8B 45 EC 8B 08 FF 51 38 43 4E 0F 85 33 FF FF FF 8B 45 EC 8B 10 FF 92 A0 00 00 00 FF 75 F4 8D 4D A8 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? FF 75 A8 8B 45 FC FF B0 D4 02 00 00 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 D4 02 00 00 00 75 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 40 18 8B 4D F4 BA D6 00 00 00 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_34178_0 {
	meta:
		name = "TIdFTPServer.CommandHOST"
		size = 864
		refs = "001a TIdFTPServer.CommandHOST 0045 RSFTPNotAfterAuthentication 004a LoadResString 0092 @UStrCopy 009f @UStrEqual 00b3 @UStrDelete 00c8 Fetch 00d3 @UStrLAsg 0105 @UStrAsg 0129 TIdReply.GetNumericCode 013f GetFIPSMode 017d GStack 0196 _DV_TIdFTPServerContext 019b @AsClass 01b7 IndyFormat 01da @UStrCatN 0249 TIdCommand.SendReply 0253 RSFTPHostNotFound 0273 TIdFTPServer.CmdSyntaxError 028d @UStrArrayClr 02ad @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 89 45 F0 66 83 BE FA 02 00 00 00 0F 84 36 02 00 00 8B 45 F0 83 78 5C 00 74 22 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC BA 12 02 00 00 8B 43 18 8B 18 FF 53 44 E9 14 02 00 00 8B 43 0C 8B 10 FF 52 14 85 C0 0F 8E 04 02 00 00 8D 4D FC 33 D2 8B 43 0C 8B 38 FF 57 0C 8D 45 E8 50 B9 01 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? C6 45 F7 00 8D 45 F7 50 8B 4D FC 8B 55 F0 8B 86 FC 02 00 00 FF 96 F8 02 00 00 80 7D F7 00 0F 84 54 01 00 00 8B 45 F0 83 C0 58 8B 55 FC E8 ?? ?? ?? ?? 66 83 BE 4A 02 00 00 00 74 12 8B 4B 18 8B 55 F0 8B 86 4C 02 00 00 FF 96 48 02 00 00 8B 43 18 E8 ?? ?? ?? ?? 3D A5 01 00 00 75 09 C6 43 08 01 E9 09 01 00 00 8B 3D ?? ?? ?? ?? 8B 3F FF D7 84 C0 0F 85 DA 00 00 00 80 BE 58 01 00 00 00 0F 84 CD 00 00 00 8B 43 18 E8 ?? ?? ?? ?? 3D DC 00 00 00 0F 85 BA 00 00 00 8B 7D F0 8B 73 18 8D 45 E0 50 8D 55 CC A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 04 8B 45 CC 89 45 D0 C6 45 D4 11 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 78 89 45 D8 C6 45 DC 00 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 55 C8 8B 46 18 8B 08 FF 51 1C FF 75 C8 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 C4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F8 E8 ?? ?? ?? ?? 6A 01 8D 45 C0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8D 45 F8 E8 ?? ?? ?? ?? 8B 46 18 8B 55 F8 8B 08 FF 51 2C 8D 55 BC 8B 73 18 8B 46 18 8B 08 FF 51 1C 8B 4D BC BA DC 00 00 00 8B C6 8B 30 FF 56 44 8B C3 E8 ?? ?? ?? ?? EB 28 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 BA 12 02 00 00 8B 43 18 8B 18 FF 53 44 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 25 00 73 00 20 00 58 00 32 00 20 00 57 00 53 00 5F 00 46 00 54 00 50 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 20 00 43 00 6F 00 6D 00 70 00 61 00 74 00 69 00 62 00 6C 00 65 00 28 00 25 00 64 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_34179_0 {
	meta:
		name = "TIdFTPServer.InitializeCommandHandlers"
		size = 17324
		refs = "0019 TIdFTPServer.InitializeCommandHandlers 0026 TIdCmdTCPServer.InitializeCommandHandlers 0031 TIdCommandHandlers.Add 0040 @UStrAsg 004a TIdFTPServer.CommandUSER 007b TIdFTPServer.CommandPASS 00ac TIdFTPServer.CommandACCT 00be @UStrClr 010b TIdFTPServer.CommandCWD 0118 TIdReply.SetNumericCode 0149 TIdFTPServer.CommandCDUP 0185 RSFTPFileActionCompleted 018a LoadResString 01d8 TIdFTPServer.CommandQUIT 01e4 RSFTPQuitGoodby 022a TIdFTPServer.CommandREIN 025b TIdFTPServer.CommandPORT 028c TIdFTPServer.CommandPASV 02e5 TIdFTPServer.CommandTYPE 0316 TIdFTPServer.CommandSTRU 0347 TIdFTPServer.CommandMODE 0385 TIdFTPServer.CommandRETR 03c3 TIdFTPServer.CommandSSAP 047d TIdFTPServer.CommandALLO 04bb TIdFTPServer.CommandREST 04f9 TIdFTPServer.CommandRNFR 0537 TIdFTPServer.CommandRNTO 0575 TIdFTPServer.CommandABOR 05b3 TIdFTPServer.CommandDELE 05f1 TIdFTPServer.CommandRMD 062f TIdFTPServer.CommandMKD 066d TIdFTPServer.CommandPWD 06ab TIdFTPServer.CommandLIST 0727 TIdFTPServer.CommandSITE 0765 TIdFTPServer.CommandSYST 07a3 TIdFTPServer.CommandSTAT 07e3 RSFTPCmdSuccessful 0803 IndyFormat 0987 TIdFTPServer.CommandFEAT 0991 TIdFTPServer.SetRFCReplyFormat 09cf TIdFTPServer.CommandOPTS 0a0d TIdFTPServer.CommandSIZE 0a4b TIdFTPServer.CommandEPSV 0a89 TIdFTPServer.CommandEPRT 0ac7 TIdFTPServer.CommandMDTM 0b05 TIdFTPServer.CommandAUTH 0b43 TIdFTPServer.CommandPBSZ 0b81 TIdFTPServer.CommandPROT 0bbf TIdFTPServer.CommandCCC 0bf0 TIdFTPServer.CommandSecRFC 0caa TIdFTPServer.CommandMLSD 0ce8 TIdFTPServer.CommandMLST 0d30 TIdFTPServer.CommandMFMT 0d6e TIdFTPServer.CommandMFCT 0dac TIdFTPServer.CommandMFF 0dea TIdFTPServer.CommandMD5 0e28 TIdFTPServer.CommandMMD5 0e66 TIdFTPServer.CommandCheckSum 0ea4 TIdFTPServer.CommandCOMB 0ee2 TIdFTPServer.CommandSSCN 0f2d TIdFTPServer.CommandCPSV 105a TIdFTPServer.CommandAVBL 1098 TIdFTPServer.CommandDSIZ 10d6 TIdFTPServer.CommandRMDA 1114 TIdFTPServer.CommandCLNT 1129 RSFTPClntNoted 116f TIdFTPServer.CommandSPSV 11a0 TIdFTPServer.CommandHOST 11e0 RSFTPCmdNotImplemented 14ee TIdFTPServer.CommandHELP 159b TIdFTPServer.CommandSiteHELP 15cc TIdFTPServer.CommandSiteATTRIB 160a TIdFTPServer.CommandSiteUMASK 1648 TIdFTPServer.CommandSiteCHMOD 1686 TIdFTPServer.CommandSiteCHOWN 16c4 TIdFTPServer.CommandSiteCHGRP 170f TIdFTPServer.CommandSiteDIRSTYLE 174d TIdFTPServer.CommandSiteZONE 17a8 TIdFTPServer.CommandSiteUTIME 17e6 TIdFTPServer.CommandOptsMLST 1817 TIdFTPServer.CommandOptsMODEZ 1855 TIdFTPServer.CommandOptsUTF8 18b7 TIdFTPServer.CommandXAUT 18de @UStrArrayClr 18f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? 66 83 BE 92 01 00 00 00 74 17 8D 43 24 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C EB 1A 8D 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA F6 01 00 00 8B 43 30 8B 38 FF 57 44 8D 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? C6 43 1C 01 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA DD 00 00 00 8B 43 30 8B 38 FF 57 44 BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? C6 43 28 00 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA F5 01 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 27 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 27 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA C2 01 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA C2 01 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA F5 01 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA F5 01 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA C2 01 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 4D F4 BA C8 00 00 00 8B 43 30 8B 38 FF 57 44 BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 27 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 27 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA F6 01 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 27 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? 8B 53 30 8B C6 E8 ?? ?? ?? ?? BA F5 01 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA F5 01 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA F5 01 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA F5 01 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA F5 01 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA F5 01 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA F5 01 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? 8D 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? 8D 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? 8D 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? 8B 53 30 8B C6 E8 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA F8 01 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA F8 01 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA C8 00 00 00 8B 43 30 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA 26 02 00 00 8B 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C 8B 86 18 01 00 00 E8 ?? }
	condition:
		$1
}

rule function_34180_0 {
	meta:
		name = "TIdFTPServer.ContextCreated"
		size = 444
		refs = "000a _DV_TIdFTPServerContext 000f @AsClass 0060 TIdFTPServer.ContextCreated"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 B3 A4 00 00 00 66 C7 83 8C 00 00 00 00 00 33 C0 89 83 98 00 00 00 C6 83 9E 00 00 00 00 8B 96 08 02 00 00 8B 83 A8 00 00 00 8B 08 FF 51 08 80 BE 59 01 00 00 04 75 07 C6 83 B0 00 00 00 01 F6 86 74 01 00 00 04 74 15 0F B7 05 ?? ?? ?? ?? 66 0B 83 A1 00 00 00 66 89 83 A1 00 00 00 F6 86 74 01 00 00 08 74 15 0F B7 05 ?? ?? ?? ?? 66 0B 83 A1 00 00 00 66 89 83 A1 00 00 00 F6 86 74 01 00 00 10 74 15 0F B7 05 ?? ?? ?? ?? 66 0B 83 A1 00 00 00 66 89 83 A1 00 00 00 F6 86 74 01 00 00 20 74 15 0F B7 05 ?? ?? ?? ?? 66 0B 83 A1 00 00 00 66 89 83 A1 00 00 00 F6 86 74 01 00 00 02 74 15 0F B7 05 ?? ?? ?? ?? 66 0B 83 A1 00 00 00 66 89 83 A1 00 00 00 F6 86 74 01 00 00 01 74 15 0F B7 05 ?? ?? ?? ?? 66 0B 83 A1 00 00 00 66 89 83 A1 00 00 00 F6 86 74 01 00 00 40 74 15 0F B7 05 ?? ?? ?? ?? 66 0B 83 A1 00 00 00 66 89 83 A1 00 00 00 F6 86 74 01 00 00 80 74 15 0F B7 05 ?? ?? ?? ?? 66 0B 83 A1 00 00 00 66 89 83 A1 00 00 00 F6 86 75 01 00 00 01 74 15 0F B7 05 ?? ?? ?? ?? 66 0B 83 A1 00 00 00 66 89 83 A1 00 00 00 F6 86 75 01 00 00 02 74 15 0F B7 05 ?? ?? ?? ?? 66 0B 83 A1 00 00 00 66 89 83 A1 00 00 00 80 BE 59 01 00 00 00 75 07 C6 83 B0 00 00 00 01 5E 5B C3 00 20 00 00 00 40 00 00 00 80 00 00 00 00 01 00 00 08 00 00 00 10 00 00 00 00 02 00 00 00 04 00 00 00 08 00 00 00 10 00 00 }
	condition:
		$1
}

rule function_34181_0 {
	meta:
		name = "TIdFTPServer.Destroy"
		size = 150
		refs = "0003 @BeforeDestruction 001a TObject.Free 0084 TIdCmdTCPServer.Destroy 008f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 78 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 08 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 70 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 68 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 6C 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 DC 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34182_0 {
	meta:
		name = "TIdFTPServer.ListDirectory"
		size = 796
		refs = "0020 @UStrAddRef 0028 TIdFTPServer.ListDirectory 0050 PosInStrArray 0077 TIdFTPServer.DoOnCustomListDirectory 009a _Dn_TIdFTPListOutput 009f TIdFTPListOutput.Create 0117 IndyPos 0136 @UStrCat 0140 TIdFTPServer.SupportTaDirSwitches 01a2 @UStrLAsg 01ad TextEndsWith 024a TObject.Free 0250 @HandleFinally 025a RSFTPNoOnDirEvent 025f LoadResString 0269 _DV_EIdFTPServerNoOnListDirectory 026e EIdException.Create 0273 @RaiseExcept 0288 @UStrClr 0295 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D F8 89 4D FC 89 55 F4 8B F0 8B 7D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 B8 ?? ?? ?? ?? 89 45 E8 B8 ?? ?? ?? ?? 89 45 EC 8D 55 E8 B9 01 00 00 00 8B 45 0C E8 ?? ?? ?? ?? 40 0F 95 C3 80 BE 59 01 00 00 03 75 1F 84 DB 75 1B 8B 45 14 50 8B 45 0C 50 57 8B 4D FC 8B 55 F4 8B C6 E8 ?? ?? ?? ?? E9 F7 01 00 00 66 83 BE C2 01 00 00 00 75 0D 83 BE D0 02 00 00 00 0F 84 BF 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 86 59 01 00 00 2C 01 72 13 FE C8 74 06 2C 02 74 29 EB 45 8B 45 F0 C6 40 20 02 EB 43 8B 45 F4 80 B8 B0 00 00 00 00 74 09 8B 45 F0 C6 40 20 01 EB 2E 8B 45 F0 C6 40 20 00 EB 25 8B 45 F4 80 B8 B0 00 00 00 00 74 09 8B 45 F0 C6 40 20 01 EB 10 8B 45 F0 C6 40 20 00 EB 07 8B 45 F0 C6 40 20 00 8B 0D ?? ?? ?? ?? 8B 09 8B D7 B8 ?? ?? ?? ?? FF D1 85 C0 7E 10 8B 45 F0 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 84 C0 74 4A 8B 0D ?? ?? ?? ?? 8B 09 8B D7 B8 ?? ?? ?? ?? FF D1 85 C0 7E 10 8B 45 F0 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 09 8B D7 B8 ?? ?? ?? ?? FF D1 85 C0 7E 10 8B 45 F0 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 C6 40 21 01 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0B 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 86 D0 02 00 00 85 C0 74 16 8B 55 F0 52 8B 55 0C 52 57 8B 4D FC 8B 55 F4 8B 30 FF 56 50 EB 1B 8B 45 F0 50 8B 45 0C 50 57 8B 4D FC 8B 55 F4 8B 86 C4 01 00 00 FF 96 C0 01 00 00 84 DB 74 17 8B 45 F4 0F B7 88 A1 00 00 00 8B 55 14 8B 45 F0 8B 18 FF 53 48 EB 1E 80 7D 10 00 74 0D 8B 55 14 8B 45 F0 8B 08 FF 51 44 EB 0B 8B 55 14 8B 45 F0 8B 08 FF 51 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 10 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4C 00 53 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4C 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 61 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_34183_0 {
	meta:
		name = "TIdFTPServer.SetUserAccounts"
		size = 85
		refs = "0017 TComponent.RemoveFreeNotification 002a TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 8C 01 00 00 3B F0 74 42 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 83 8C 01 00 00 85 C0 74 2B 8B D3 E8 ?? ?? ?? ?? 33 C0 89 83 90 01 00 00 89 83 94 01 00 00 8B 83 8C 01 00 00 8B 10 FF 52 6C 84 C0 74 07 C6 83 58 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_34184_0 {
	meta:
		name = "TIdFTPServer.SetFTPFileSystem"
		size = 49
		refs = "0017 TComponent.RemoveFreeNotification 002a TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 D0 02 00 00 3B F0 74 1E 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 83 D0 02 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34185_0 {
	meta:
		name = "TIdFTPServer.SetReplyUnknownSITECommand"
		size = 12
	strings:
		$1 = { 8B 80 DC 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_34186_0 {
	meta:
		name = "TIdFTPServer.SetSITECommands"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 6C 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_34187_0 {
	meta:
		name = "TIdFTPServer.Notification"
		size = 63
		refs = "0010 TIdCustomTCPServer.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 22 3B BE 8C 01 00 00 75 0A 33 C0 89 86 8C 01 00 00 EB 10 3B BE D0 02 00 00 75 08 33 C0 89 86 D0 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34188_0 {
	meta:
		name = "TIdFTPServer.SetAnonymousAccounts"
		size = 26
	strings:
		$1 = { 56 57 8B FA 8B F0 85 FF 74 0D 8B D7 8B 86 78 01 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_34189_0 {
	meta:
		name = "TIdFTPServer.SetSupportXAUTH"
		size = 54
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 9E 58 01 00 00 74 23 8B BE 8C 01 00 00 85 FF 74 13 8B C7 8B 10 FF 52 6C 84 C0 75 0E 88 9E 58 01 00 00 EB 06 88 9E 58 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34191_0 {
	meta:
		name = "TIdFTPServer.CommandUSER"
		size = 448
		refs = "0017 TIdFTPServer.CommandUSER 0025 @UStrClr 0031 _DV_TIdFTPServerContext 0036 @AsClass 0051 @UStrEqual 005d TIdFTPServer.DisconUser 0074 LowerCase 00a1 @UStrAsg 00a9 RSFTPAnonymousUserOkay 00ae LoadResString 0129 RSFTPUserOkay 0160 RSFTPNeedAccountForLogin 0192 @UStrArrayClr 01a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 80 BB 54 01 00 00 02 75 21 8B 86 84 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 55 F8 8B C3 E8 ?? ?? ?? ?? E9 16 01 00 00 C6 46 49 00 8D 55 F0 8B 45 F8 8B 40 24 E8 ?? ?? ?? ?? 8B 55 F0 8B 83 78 01 00 00 8B 08 FF 51 54 85 C0 7C 40 80 BB 7C 01 00 00 00 74 37 C6 46 48 01 8D 46 5C 8B 55 F8 8B 52 24 E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC 8B 45 F8 8B 40 18 BA 4B 01 00 00 8B 18 FF 53 44 E9 B2 00 00 00 C6 46 48 02 8B 45 F8 8B 40 24 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 7B 8D 46 5C 8B 55 F8 8B 52 24 E8 ?? ?? ?? ?? 83 BB 8C 01 00 00 00 74 27 8D 45 FC 50 8D 55 F7 8B 4E 5C 8B 83 8C 01 00 00 8B 30 FF 56 60 80 7D F7 00 75 0C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 5D 83 7D FC 00 75 22 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 8B 45 F8 8B 40 18 BA 4B 01 00 00 8B 18 FF 53 44 EB 35 8B 45 F8 8B 40 18 8B 4D FC BA 4B 01 00 00 8B 18 FF 53 44 EB 20 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8B 45 F8 8B 40 18 BA 4C 01 00 00 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 4C 00 53 00 00 00 }
	condition:
		$1
}

rule function_34192_0 {
	meta:
		name = "TIdFTPServer.AuthenticateUser"
		size = 1332
		refs = "001c TIdFTPServer.AuthenticateUser 002e _DV_TIdFTPServerContext 0033 @AsClass 00a0 FindFirstOf 00bd RSFTPAnonymousUserLogged 00c2 LoadResString 0143 @UStrClr 016c IndySleep 0192 TIdFTPServer.DisconUser 01a7 RSFTPUserNotLoggedIn 01e8 TIdCustomUserManager.AuthenticateUser 0207 RSFTPUserLogged 0442 RSFTPNeedLoginWithUser 0469 @HandleOnException 0471 _Dn_Exception 048d @DoneExcept 04cf @UStrArrayClr 04d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 C6 40 49 00 8B 45 F0 0F B6 40 48 FE C8 74 0D FE C8 0F 84 66 01 00 00 E9 D7 03 00 00 8B 45 F0 8B 40 60 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F 45 F7 8B 45 FC 0F B6 80 7D 01 00 00 22 45 F7 74 21 C6 45 F7 00 6A 01 8B 45 F0 8B 50 60 83 C9 FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 04 C6 45 F7 01 80 7D F7 00 74 7C 8B 45 F0 C6 40 49 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC 8B 45 F8 8B 40 18 BA E6 00 00 00 8B 18 FF 53 44 8B 45 FC 66 83 B8 52 02 00 00 00 74 38 8B 45 F8 8B 48 18 8B 5D FC 8B 55 F0 8B 83 54 02 00 00 FF 93 50 02 00 00 8D 55 E8 8B 45 F8 8B 58 18 8B 43 18 8B 08 FF 51 1C 8B 4D E8 8B C3 BA E6 00 00 00 8B 18 FF 53 44 8B 45 F0 33 D2 89 90 98 00 00 00 E9 30 03 00 00 8B 45 F0 C6 40 48 00 8B 45 F0 C6 40 49 00 8B 45 F0 83 C0 60 E8 ?? ?? ?? ?? 8B 45 F0 FF 80 98 00 00 00 8B 45 F0 8B 80 A8 00 00 00 83 78 08 00 76 11 8B 45 FC 8B 80 08 02 00 00 8B 40 08 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 A8 00 00 00 8B 40 04 85 C0 76 23 8B 55 F0 3B 82 98 00 00 00 77 18 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 16 03 00 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8B 45 F8 8B 40 18 BA 12 02 00 00 8B 18 FF 53 44 E9 96 02 00 00 8B 45 FC 8B B0 8C 01 00 00 85 F6 0F 84 D0 00 00 00 8B 45 F8 8B 48 24 8B 45 F0 8B 50 5C 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 45 F0 88 58 49 84 DB 74 30 8B 45 F0 33 D2 89 90 98 00 00 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 8B 45 F8 8B 40 18 BA E6 00 00 00 8B 18 FF 53 44 E9 36 02 00 00 8B 45 F0 83 C0 60 E8 ?? ?? ?? ?? 8B 45 F0 FF 80 98 00 00 00 8B 45 F0 8B 80 A8 00 00 00 8B 40 08 85 C0 76 05 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 A8 00 00 00 8B 40 04 85 C0 76 23 8B 55 F0 3B 82 98 00 00 00 77 18 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 35 02 00 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC 8B 45 F8 8B 40 18 BA 12 02 00 00 8B 18 FF 53 44 E9 B5 01 00 00 8B 45 FC 66 83 B8 A2 01 00 00 00 0F 84 62 01 00 00 C6 45 F7 00 8B 45 F0 8B 40 60 50 8D 45 F7 50 8B 45 F0 8B 48 5C 8B 5D FC 8B 55 F0 8B 83 A4 01 00 00 FF 93 A0 01 00 00 8B 45 F0 0F B6 55 F7 88 50 49 80 7D F7 00 0F 84 BE 00 00 00 8B 45 F0 80 78 68 01 75 36 8B 45 FC 66 83 B8 92 01 00 00 00 74 29 8B 45 F0 C6 40 49 00 8B 45 F8 8B 40 18 B9 ?? ?? ?? ?? BA 4C 01 00 00 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 E9 85 01 00 00 8B 45 F0 0F B6 55 F7 88 50 49 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 8B 45 F8 8B 40 18 BA E6 00 00 00 8B 18 FF 53 44 8B 45 FC 66 83 B8 52 02 00 00 00 74 38 8B 45 F8 8B 48 18 8B 5D FC 8B 55 F0 8B 83 54 02 00 00 FF 93 50 02 00 00 8D 55 D4 8B 45 F8 8B 58 18 8B 43 18 8B 08 FF 51 1C 8B 4D D4 8B C3 BA E6 00 00 00 8B 18 FF 53 44 8B 45 F0 33 D2 89 90 98 00 00 00 E9 AB 00 00 00 8B 45 F0 83 C0 60 E8 ?? ?? ?? ?? 8B 45 F0 FF 80 98 00 00 00 8B 45 F0 8B 80 A8 00 00 00 8B 40 04 85 C0 76 23 8B 55 F0 3B 82 98 00 00 00 77 18 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 BF 00 00 00 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 8B 45 F8 8B 40 18 BA 12 02 00 00 8B 18 FF 53 44 EB 42 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC 8B 45 F8 8B 40 18 BA 12 02 00 00 8B 18 FF 53 44 EB 20 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 8B 45 F8 8B 40 18 BA F7 01 00 00 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 48 04 8B 45 F8 8B 40 18 BA F7 01 00 00 8B 18 FF 53 44 E8 ?? ?? ?? ?? 8B 45 F0 80 78 49 00 74 1F 8B 45 FC 66 83 B8 9A 01 00 00 00 74 12 8B 5D FC 8B 55 F0 8B 83 9C 01 00 00 FF 93 98 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 40 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 4E 00 65 00 65 00 64 00 20 00 61 00 63 00 63 00 6F 00 75 00 6E 00 74 00 20 00 66 00 6F 00 72 00 20 00 6C 00 6F 00 67 00 69 00 6E 00 2E 00 00 00 }
	condition:
		$1
}

rule function_34193_0 {
	meta:
		name = "TIdFTPServer.CommandPASS"
		size = 112
		refs = "000c _DV_TIdFTPServerContext 0011 @AsClass 0027 TIdFTPServer.CommandPASS 002c @UStrEqual 0037 TIdFTPServer.DisconUser 0048 @UStrAsg 0051 TIdFTPServer.AuthenticateUser"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 47 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 80 BE 54 01 00 00 02 75 1D 8B 83 84 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 18 C6 43 49 00 8D 43 60 8B 57 24 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 4C 00 53 00 00 00 }
	condition:
		$1
}

rule function_34194_0 {
	meta:
		name = "TIdFTPServer.CommandXAUT"
		size = 468
		refs = "0015 TIdFTPServer.CommandXAUT 0024 _DV_TIdFTPServerContext 0029 @AsClass 0044 @UStrEqual 004f TIdFTPServer.DisconUser 006f @UStrLAsg 007d ExtractAutInfoFromXAUT 0098 RPos 00b6 @UStrCopy 00d8 TextEndsWith 0117 @UStrAsg 011f @UStrClr 012e LowerCase 015c TIdFTPServer.AuthenticateUser 0176 @UStrArrayClr 0184 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 80 BE 54 01 00 00 02 75 20 8B 83 84 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E9 08 01 00 00 8B 47 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 57 24 E8 ?? ?? ?? ?? 8D 4D F0 8B 53 78 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 83 C9 FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 01 7E 6B 8D 43 5C 50 8B 4D F8 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 50 8B 55 F8 42 B9 FF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 43 8B 45 FC 89 45 F4 83 7D F4 00 74 0B 8B 45 F4 83 E8 04 8B 00 89 45 F4 8D 43 60 50 8B 4D F4 83 E9 07 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 13 8D 43 5C 8B 55 FC E8 ?? ?? ?? ?? 8D 43 60 E8 ?? ?? ?? ?? C6 43 49 00 8D 55 EC 8B 47 24 E8 ?? ?? ?? ?? 8B 55 EC 8B 86 78 01 00 00 8B 08 FF 51 54 85 C0 7C 0F 80 BE 7C 01 00 00 00 74 06 C6 43 48 01 EB 04 C6 43 48 02 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 4C 00 53 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 5E 00 76 00 74 00 61 00 34 00 72 00 32 00 00 00 }
	condition:
		$1
}

rule function_34195_0 {
	meta:
		name = "TIdFTPServer.CommandACCT"
		size = 456
		refs = "001c TIdFTPServer.CommandACCT 0040 _DV_TIdFTPServerContext 0045 @AsClass 0055 @UStrAsg 008b RSFTPUserLogged 0090 LoadResString 00fa @UStrClr 011f TIdFTPServer.DisconUser 0129 RSFTPUserNotLoggedIn 014f RSFTPCmdNotImplemented 016f IndyFormat 019c @UStrArrayClr 01a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 66 83 BE 92 01 00 00 00 0F 84 0F 01 00 00 8B 45 FC 8B 40 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 43 64 8B 55 FC 8B 52 24 E8 ?? ?? ?? ?? 8B 43 60 50 8B 43 64 50 8D 45 FB 50 8B 4B 5C 8B D3 8B 86 94 01 00 00 FF 96 90 01 00 00 0F B6 45 FB 88 43 49 80 7D FB 00 74 73 C6 43 68 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B 45 FC 8B 40 18 BA E6 00 00 00 8B 38 FF 57 44 66 83 BE 52 02 00 00 00 0F 84 D1 00 00 00 8B 45 FC 8B 48 18 8B D3 8B 86 54 02 00 00 FF 96 50 02 00 00 8D 55 F0 8B 45 FC 8B 70 18 8B 46 18 8B 08 FF 51 1C 8B 4D F0 8B C6 BA E6 00 00 00 8B 30 FF 56 44 33 C0 89 83 98 00 00 00 E9 90 00 00 00 8D 43 60 E8 ?? ?? ?? ?? FF 83 98 00 00 00 8B 83 A8 00 00 00 8B 40 04 85 C0 76 14 3B 83 98 00 00 00 77 0C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 61 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC 8B 45 FC 8B 40 18 BA 12 02 00 00 8B 18 FF 53 44 EB 3F 8D 45 E8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8D 55 DC 33 C9 58 E8 ?? ?? ?? ?? 8B 4D E8 8B 45 FC 8B 40 18 BA F6 01 00 00 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 43 00 43 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_34196_0 {
	meta:
		name = "TIdFTPServer.CommandCWD"
		size = 352
		refs = "0014 TIdFTPServer.CommandCWD 0023 _DV_TIdFTPServerContext 0028 @AsClass 0035 @UStrLAsg 003e TIdFTPServerContext.IsAuthenticated 0053 TIdFTPServer.IgnoreLastPathDelim 0082 @UStrEqual 0090 TIdFTPServer.CDUPDir 00be TIdFTPServer.DoProcessPath 00d4 RemoveDuplicatePathSyms 00eb TIdFTPServer.DoOnChangeDirectory 00f6 @UStrAsg 0104 TIdFTPServer.CmdCommandSuccessful 010f TIdFTPServer.CmdNotImplemented 0129 @UStrArrayClr 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 45 FC 8B 53 24 E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 C9 00 00 00 8D 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 66 83 BE AA 01 00 00 00 75 0D 83 BE D0 02 00 00 00 0F 84 91 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? EB 37 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8D 45 FC 8B 57 50 E8 ?? ?? ?? ?? EB 1B 8D 45 F4 50 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 47 50 8B 55 FC E8 ?? ?? ?? ?? B9 FA 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_34197_0 {
	meta:
		name = "TIdFTPServer.CommandCDUP"
		size = 256
		refs = "0016 TIdFTPServer.CommandCDUP 0025 _DV_TIdFTPServerContext 002a @AsClass 0035 TIdFTPServerContext.IsAuthenticated 0049 TIdFTPServer.CDUPDir 0059 TIdFTPServer.DoProcessPath 0064 @UStrLAsg 0083 TIdFTPServer.DoOnChangeDirectory 008e @UStrAsg 009a RSFTPCurrentDirectoryIs 009f LoadResString 00b8 IndyFormat 00d3 TIdFTPServer.CmdNotImplemented 00ed @UStrArrayClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 96 00 00 00 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 66 83 BE AA 01 00 00 00 75 09 83 BE D0 02 00 00 00 74 53 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 43 50 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 43 50 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 4D F4 8B 47 18 BA FA 00 00 00 8B 18 FF 53 44 EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34198_0 {
	meta:
		name = "TIdFTPServer.CommandREIN"
		size = 222
		refs = "0017 TIdFTPServer.CommandREIN 0026 _DV_TIdFTPServerContext 002b @AsClass 0036 TIdFTPServerContext.IsAuthenticated 0048 Indy8BitEncoding 0058 TIdIOHandler.SetDefStringEncoding 0060 RSFTPServiceOpen 0065 LoadResString 0097 _Dn_TIdSSLIOHandlerSocketBase 00cb @UStrClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 7C 8B C3 8B 10 FF 52 18 B0 01 E8 ?? ?? ?? ?? 8B D0 8B 43 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA DC 00 00 00 8B 46 18 8B 38 FF 57 44 8B 45 FC 0F B6 80 54 01 00 00 04 FE 2C 02 73 31 8B 46 20 8B 40 14 8B 80 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 B8 08 01 00 00 00 75 0A B2 01 8B 08 FF 91 04 01 00 00 C6 83 88 00 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34199_0 {
	meta:
		name = "TIdFTPServer.CommandPORT"
		size = 792
		refs = "001b TIdFTPServer.CommandPORT 002a _DV_TIdFTPServerContext 002f @AsClass 003a TIdFTPServerContext.IsAuthenticated 0057 RSFTPNotAllowedAfterEPSVAll 005c LoadResString 0078 IndyFormat 00b1 RSFTPPORTDisabled 00dd @UStrLAsg 00e5 @UStrClr 00fd Fetch 0112 @UStrCatN 018c @UStrCat 01a9 IndyStrToInt 01ed RSFTPPORTRange 021a TIdContext.GetBinding 0225 @UStrEqual 023f RSFTPSameIPAddress 025f TIdFTPServerContext.CreateDataChannel 02b0 TIdFTPServer.CmdCommandSuccessful 02ca @UStrArrayClr 02ea @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 6E 02 00 00 80 BB 9D 00 00 00 00 74 42 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 46 04 8B 40 10 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D EC BA F5 01 00 00 8B 46 18 8B 18 FF 53 44 E9 23 02 00 00 8B 83 A8 00 00 00 80 78 0F 00 74 32 66 C7 83 8C 00 00 00 00 00 C6 83 9E 00 00 00 01 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC BA F6 01 00 00 8B 46 18 8B 18 FF 53 44 E9 E5 01 00 00 C6 83 9C 00 00 00 00 8D 45 FC 8B 56 24 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? FF 75 F8 6A 01 8D 45 D8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 6A 01 8D 45 D4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 6A 01 8D 45 D0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 CC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8D 45 F8 E8 ?? ?? ?? ?? 6A 01 8D 45 C8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 8B F8 8B 45 FC E8 ?? ?? ?? ?? 8B D7 C1 E2 08 66 03 D0 8B FA 8B 83 A8 00 00 00 80 78 0E 00 74 3E 66 85 FF 76 39 66 81 FF 00 04 77 32 66 C7 83 8C 00 00 00 00 00 C6 83 9E 00 00 00 01 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 BA F8 01 00 00 8B 46 18 8B 18 FF 53 44 E9 A9 00 00 00 8B 83 A8 00 00 00 80 78 0D 00 74 43 8B C3 E8 ?? ?? ?? ?? 8B 50 1C 8B 45 F8 E8 ?? ?? ?? ?? 74 2F 66 C7 83 8C 00 00 00 00 00 C6 83 9E 00 00 00 01 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 BA F8 01 00 00 8B 46 18 8B 18 FF 53 44 EB 5A 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 83 80 00 00 00 8B 40 0C 89 45 F0 8B 55 F8 8B 45 F0 8B 08 FF 91 A0 00 00 00 8B D7 8B 45 F0 8B 08 FF 91 A4 00 00 00 33 D2 8B 45 F0 8B 08 FF 91 A8 00 00 00 66 89 BB 8C 00 00 00 C6 83 9E 00 00 00 00 B9 C8 00 00 00 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_34200_0 {
	meta:
		name = "TIdFTPServer.CommandPASV"
		size = 336
		refs = "001a TIdFTPServer.CommandPASV 0034 TIdFTPServer.InternalPASV 0052 TIdFTPServer.DoOnPASVReply 0070 StringReplace 007b @UStrLAsg 0092 IntToStr 00bb @UStrCatN 00c7 RSFTPPassiveMode 00cc LoadResString 00e5 IndyFormat 010f @UStrArrayClr 0117 @UStrClr 011d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FA 50 8D 45 F9 50 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 B9 00 00 00 8D 45 FA 50 0F B6 45 F9 50 8D 4D FC 8B 56 20 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 F0 0F B7 45 FA C1 E8 08 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 55 EC 0F B7 45 FA 25 FF 00 00 00 E8 ?? ?? ?? ?? FF 75 EC 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 FC 89 45 DC C6 45 E0 11 8D 55 DC 33 C9 58 E8 ?? ?? ?? ?? 8B 4D E8 BA E3 00 00 00 8B 46 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_34201_0 {
	meta:
		name = "TIdFTPServer.CommandTYPE"
		size = 284
		refs = "0014 TIdFTPServer.CommandTYPE 0023 _DV_TIdFTPServerContext 0028 @AsClass 0033 TIdFTPServerContext.IsAuthenticated 0046 @UStrLAsg 005b Fetch 0066 UpperCase 00b0 RSFTPTYPEChanged 00b5 LoadResString 00ce IndyFormat 00f8 @UStrArrayClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 A3 00 00 00 8D 45 FC 8B 53 24 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 48 75 5E 8B 45 FC 0F B7 00 66 83 E8 41 74 08 66 83 E8 08 74 0B EB 4A C6 86 89 00 00 00 00 EB 07 C6 86 89 00 00 00 01 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D F0 BA C8 00 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34202_0 {
	meta:
		name = "TIdFTPServer.CommandSTRU"
		size = 300
		refs = "0014 TIdFTPServer.CommandSTRU 0023 _DV_TIdFTPServerContext 0028 @AsClass 0033 TIdFTPServerContext.IsAuthenticated 0046 @UStrLAsg 005b Fetch 0066 UpperCase 00bf RSFTPSTRUChanged 00c4 LoadResString 00dd IndyFormat 0107 @UStrArrayClr 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 B2 00 00 00 8D 45 FC 8B 53 24 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 48 75 6D 8B 45 FC 0F B7 00 66 83 E8 46 74 0E 66 83 E8 0A 74 1A 66 83 E8 02 74 0B EB 53 C6 86 94 00 00 00 00 EB 10 C6 86 94 00 00 00 01 EB 07 C6 86 94 00 00 00 02 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D F0 BA C8 00 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34203_0 {
	meta:
		name = "TIdFTPServer.CommandMODE"
		size = 408
		refs = "001b TIdFTPServer.CommandMODE 002d TIdFTPServerContext.IsAuthenticated 0040 @UStrLAsg 0055 Fetch 0060 UpperCase 00a8 RSFTPMODEChanged 00ad LoadResString 00c6 IndyFormat 012f RSFTPMODENotSupported 015e @UStrArrayClr 0173 @UStrClr 0179 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 20 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 0F 01 00 00 8D 45 FC 8B 53 24 E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 48 0F 85 C6 00 00 00 8B 45 FC 0F B7 00 66 83 E8 53 74 0B 66 83 E8 07 74 48 E9 92 00 00 00 C6 86 8A 00 00 00 00 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D EC BA C8 00 00 00 8B 43 18 8B 18 FF 53 44 EB 6C 8B 45 F8 83 B8 E0 02 00 00 00 74 43 C6 86 8A 00 00 00 01 8D 45 DC 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 50 8B 45 FC 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D DC BA C8 00 00 00 8B 43 18 8B 18 FF 53 44 EB 1D 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 BA F8 01 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34204_0 {
	meta:
		name = "TIdFTPServer.CommandRETR"
		size = 590
		refs = "0019 TIdFTPServer.CommandRETR 002b _DV_TIdFTPServerContext 0030 @AsClass 003e TIdFTPServerContext.IsAuthenticated 0066 RSFTPCantOpenData 006b LoadResString 0097 TIdFTPServer.DoProcessPath 0101 @HandleOnException 0109 _Dn_Exception 0117 TIdFTPServerContext.KillDataChannel 012f @DoneExcept 0154 TStream.SetPosition 0177 RSFTPDataConnClosed 0194 RSFTPDataConnClosedAbnormally 01ba RSFTPDataConnToOpen 01da TIdCommand.SendReply 0205 TIdFTPServer.CmdFileActionAborted 0219 TIdFTPServer.CmdNotImplemented 0233 @UStrArrayClr 023b @UStrClr 0241 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 D3 01 00 00 8B 45 F0 83 B8 80 00 00 00 00 74 0C 8B 45 F0 80 B8 9E 00 00 00 00 74 25 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC 8B 45 F8 8B 40 18 BA A9 01 00 00 8B 18 FF 53 44 E9 96 01 00 00 8D 45 FC 50 8B 45 F8 8B 48 24 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 66 83 BB E2 01 00 00 00 75 0D 83 BB D0 02 00 00 00 0F 84 59 01 00 00 33 C0 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 83 D0 02 00 00 85 C0 74 11 8D 55 F4 52 8B 4D FC 8B 55 F0 8B 30 FF 56 5C EB 16 8D 45 F4 50 8B 4D FC 8B 55 F0 8B 83 E4 01 00 00 FF 93 E0 01 00 00 33 C0 5A 59 59 64 89 10 EB 3D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 F0 E8 ?? ?? ?? ?? 8B 4B 04 8B 45 F8 8B 40 18 BA 26 02 00 00 8B 18 FF 53 44 E8 ?? ?? ?? ?? E9 E5 00 00 00 E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 B0 00 00 00 8B 45 F0 8B 40 7C 99 52 50 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 50 7C 8B 45 F0 8B B0 80 00 00 00 C6 46 14 00 8B 45 F4 89 46 28 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 8B 46 18 BA E2 00 00 00 8B 30 FF 56 44 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8B 45 F0 8B 80 80 00 00 00 8B 40 10 BA AA 01 00 00 8B 30 FF 56 44 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 8B 45 F8 8B 40 18 BA 96 00 00 00 8B 30 FF 56 44 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 0F B6 88 A3 00 00 00 8B 55 F8 8B C3 8B 18 FF 93 E0 00 00 00 EB 26 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 12 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34205_0 {
	meta:
		name = "TIdFTPServer.CommandSSAP"
		size = 892
		refs = "001b TIdFTPServer.CommandSSAP 002d _DV_TIdFTPServerContext 0032 @AsClass 0040 TIdFTPServerContext.IsAuthenticated 0068 RSFTPCantOpenData 006d LoadResString 0098 TextIsSame 00ae GetUniqueFileName 00cb IndyFormat 00ee @UStrLAsg 00f6 RSFTPDataConnToOpen 011f TIdFTPServer.DoProcessPath 01ab @HandleOnException 01b3 _Dn_Exception 01d2 TIdFTPServerContext.KillDataChannel 01d7 @DoneExcept 0202 TStream.SetSize64 0217 TStream.SetPosition 024d RSFTPDataConnClosed 026a RSFTPDataConnClosedAbnormally 0290 TIdCommand.SendReply 02bb TIdFTPServer.CmdFileActionAborted 02cf TIdFTPServer.CmdNotImplemented 02e9 @UStrArrayClr 02fe @UStrClr 0304 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 87 02 00 00 8B 45 F0 83 B8 80 00 00 00 00 74 0C 8B 45 F0 80 B8 9E 00 00 00 00 74 25 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC 8B 45 F8 8B 40 18 BA A9 01 00 00 8B 18 FF 53 44 E9 4A 02 00 00 8B 45 F8 8B 40 04 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 44 8D 45 FC 50 33 C9 BA ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 FC 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 8B 45 F8 8B 40 18 BA 96 00 00 00 8B 18 FF 53 44 EB 2E 8D 45 FC 8B 55 F8 8B 52 24 E8 ?? ?? ?? ?? 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC 8B 45 F8 8B 40 18 BA 96 00 00 00 8B 18 FF 53 44 8D 45 D8 50 8B 4D FC 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 04 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 66 83 BE EA 01 00 00 00 75 0D 83 BE D0 02 00 00 00 0F 84 67 01 00 00 33 C0 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 86 D0 02 00 00 85 C0 74 12 53 8D 55 F4 52 8B 4D FC 8B 55 F0 8B 38 FF 57 60 EB 17 53 8D 45 F4 50 8B 4D FC 8B 55 F0 8B 86 EC 01 00 00 FF 96 E8 01 00 00 33 C0 5A 59 59 64 89 10 EB 3B E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 48 04 8B 45 F8 8B 40 18 BA 26 02 00 00 8B 18 FF 53 44 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F3 00 00 00 E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 BE 00 00 00 8B 45 F0 8B 48 4C 85 C9 7E 0D 8B C1 99 52 50 8B 45 F4 E8 ?? ?? ?? ?? 84 DB 74 13 8B 45 F4 8B 10 FF 12 52 50 8B 45 F4 E8 ?? ?? ?? ?? EB 19 8B 45 F0 8B 40 7C 99 52 50 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 50 7C 8B 45 F0 8B 98 80 00 00 00 C6 43 14 01 8B 45 F4 89 43 28 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 8B 43 18 BA E2 00 00 00 8B 18 FF 53 44 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 8B 45 F0 8B 80 80 00 00 00 8B 40 10 BA AA 01 00 00 8B 18 FF 53 44 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 0F B6 88 A3 00 00 00 8B 55 F8 8B C6 8B 18 FF 93 E0 00 00 00 EB 26 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 12 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 54 00 4F 00 55 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 65 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 49 00 4C 00 45 00 3A 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 50 00 50 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_34206_0 {
	meta:
		name = "TIdFTPServer.CommandALLO"
		size = 328
		refs = "0016 TIdFTPServer.CommandALLO 0028 TIdFTPServerContext.IsAuthenticated 0038 @UStrClr 0055 TextStartsWith 006f @UStrCopy 007a TrimLeft 009c Fetch 00a7 @UStrLAsg 00b7 IndyStrToInt 00c9 TIdFTPServer.CmdCommandSuccessful 00d3 RSFTPInvalidForParam 00d8 LoadResString 0102 @UStrArrayClr 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 20 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 B8 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 43 24 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 5F BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 23 8D 45 F0 50 B9 FF FF FF 7F BA 03 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 FC E8 ?? ?? ?? ?? EB 0B 8D 55 FC 8B 43 24 E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 1E 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 46 4C B9 C8 00 00 00 8B D3 8B 45 F4 E8 ?? ?? ?? ?? EB 1D 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 BA F8 01 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 52 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34207_0 {
	meta:
		name = "TIdFTPServer.CommandREST"
		size = 115
		refs = "000d TIdFTPServer.CommandREST 001f TIdFTPServerContext.IsAuthenticated 002d IndyStrToInt 0038 RSFTPFileActionPending 003d LoadResString 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 20 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2A 33 D2 8B 43 24 E8 ?? ?? ?? ?? 89 46 7C 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA 5E 01 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34208_0 {
	meta:
		name = "TIdFTPServer.CommandRNFR"
		size = 200
		refs = "0014 TIdFTPServer.CommandRNFR 002a TIdFTPServerContext.IsAuthenticated 0039 @UStrLAsg 0054 RSFTPFileActionPending 0059 LoadResString 007a TIdFTPServer.DoProcessPath 0088 @UStrAsg 0093 TIdFTPServer.CmdNotImplemented 00ad @UStrArrayClr 00b5 @UStrClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 89 45 F8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 FC 8B 53 24 E8 ?? ?? ?? ?? 66 83 BE D2 01 00 00 00 75 09 83 BE D0 02 00 00 00 74 3E 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA 5E 01 00 00 8B 43 18 8B 38 FF 57 44 8D 45 F0 50 8B 4D FC 8B 53 20 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 83 C0 70 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34209_0 {
	meta:
		name = "TIdFTPServer.CommandRNTO"
		size = 184
		refs = "0012 TIdFTPServer.CommandRNTO 0021 _DV_TIdFTPServerContext 0026 @AsClass 0031 TIdFTPServerContext.IsAuthenticated 0040 @UStrLAsg 0063 TIdFTPServer.DoProcessPath 0073 TIdFTPServer.DoOnRenameFile 0080 TIdReply.SetNumericCode 008b TIdFTPServer.CmdNotImplemented 00a5 @UStrArrayClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 56 8D 45 FC 8B 53 24 E8 ?? ?? ?? ?? 83 BE D0 02 00 00 00 75 0A 66 83 BE D2 01 00 00 00 74 2F 8D 45 F8 50 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4F 70 8B D7 8B C6 E8 ?? ?? ?? ?? BA FA 00 00 00 8B 43 18 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34210_0 {
	meta:
		name = "TIdFTPServer.CommandABOR"
		size = 234
		refs = "0014 TIdFTPServer.CommandABOR 0026 TIdFTPServerContext.IsAuthenticated 004b RSFTPDataConnClosedAbnormally 0050 LoadResString 0090 TIdFTPServerContext.KillDataChannel 0098 RSFTPDataConnClosed 00bd TIdFTPServer.CmdCommandSuccessful 00d7 @UStrArrayClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5E 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 8F 00 00 00 83 BB 80 00 00 00 00 74 78 8B 83 80 00 00 00 80 78 25 00 75 6C 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B 83 80 00 00 00 8B 40 18 BA AA 01 00 00 8B 38 FF 57 44 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8B 83 80 00 00 00 8B 40 10 BA AA 01 00 00 8B 38 FF 57 44 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA E2 00 00 00 8B 46 18 8B 18 FF 53 44 EB 0E B9 E2 00 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34211_0 {
	meta:
		name = "TIdFTPServer.CommandDELE"
		size = 218
		refs = "0014 TIdFTPServer.CommandDELE 0023 _DV_TIdFTPServerContext 0028 @AsClass 0033 TIdFTPServerContext.IsAuthenticated 005a TIdFTPServer.DoProcessPath 0066 TIdFTPServer.DoOnDeleteFile 006e RSFTPFileActionCompleted 0073 LoadResString 008e TIdFTPServer.CmdNotImplemented 0098 RSFTPFileActionNotTaken 00c7 @UStrArrayClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 59 66 83 BE DA 01 00 00 00 75 09 83 BE D0 02 00 00 00 74 3B 8D 45 FC 50 8B 4B 24 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA FA 00 00 00 8B 43 18 8B 18 FF 53 44 EB 28 8B D3 8B C6 E8 ?? ?? ?? ?? EB 1D 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA 26 02 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34212_0 {
	meta:
		name = "TIdFTPServer.CommandRMD"
		size = 211
		refs = "0014 TIdFTPServer.CommandRMD 0023 _DV_TIdFTPServerContext 0028 @AsClass 0033 TIdFTPServerContext.IsAuthenticated 0044 TIdFTPServer.IgnoreLastPathDelim 004f @UStrLAsg 005f TIdFTPServer.DoProcessPath 007e TIdFTPServer.DoOnRemoveDirectory 0086 RSFTPFileActionCompleted 008b LoadResString 00a6 TIdFTPServer.CmdNotImplemented 00c0 @UStrArrayClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 74 6F 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC 50 8B 4E 24 8B D7 8B C3 E8 ?? ?? ?? ?? 83 BB D0 02 00 00 00 75 0A 66 83 BB FA 01 00 00 00 74 2B 8D 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA FA 00 00 00 8B 46 18 8B 18 FF 53 44 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34213_0 {
	meta:
		name = "TIdFTPServer.CommandMKD"
		size = 181
		refs = "0014 TIdFTPServer.CommandMKD 0023 _DV_TIdFTPServerContext 0028 @AsClass 0033 TIdFTPServerContext.IsAuthenticated 0044 TIdFTPServer.IgnoreLastPathDelim 004f @UStrLAsg 005f TIdFTPServer.DoProcessPath 006b TIdFTPServer.DoOnMakeDirectory 0073 RSFTPFileActionCompleted 0078 LoadResString 00a2 @UStrArrayClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 51 8D 4D F8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC 50 8B 4B 24 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA 01 01 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34214_0 {
	meta:
		name = "TIdFTPServer.CommandPWD"
		size = 146
		refs = "0016 TIdFTPServer.CommandPWD 0028 TIdFTPServerContext.IsAuthenticated 0038 RSFTPCurrentDirectoryIs 003d LoadResString 0056 IndyFormat 0080 @UStrArrayClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 20 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3A 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 46 50 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC BA 01 01 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34215_0 {
	meta:
		name = "DeletRSwitch"
		size = 138
		refs = "0017 DeletRSwitch 0025 @UStrClr 0050 @UStrFromWChar 005b @UStrCat 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C7 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 2C BB 01 00 00 00 66 83 7C 5F FE 52 74 1B 8D 45 F8 0F B7 54 5F FE E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 43 4E 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34216_0 {
	meta:
		name = "TIdFTPServer.CommandLIST"
		size = 888
		refs = "001b TIdFTPServer.CommandLIST 0031 _DV_TIdFTPServerContext 0036 @AsClass 0044 TIdFTPServerContext.IsAuthenticated 006c RSFTPCantOpenData 0071 LoadResString 00b7 TIdFTPServerContext.KillDataChannel 00c2 TIdFTPServer.CmdNotImplemented 00ce _Dn_TStringList 00d3 TStringList.Create 00ec @UStrClr 00fa @UStrLAsg 0107 TextStartsWith 0120 Fetch 0137 DeletRSwitch 0159 TextIsSame 017a TIdFTPServer.DoProcessPath 0188 TIdFTPServer.ListDirectory 01be RSFTPDataConnClosed 01db RSFTPDataConnClosedAbnormally 020d RSFTPDataConnToOpen 0272 RSFTPDataConnList 0294 RSFTPDataConnNList 02b4 TIdCommand.SendReply 02d3 TObject.Free 0301 @HandleFinally 0320 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EB 00 8B 45 F0 8B 40 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 0F 84 BA 02 00 00 8B 45 E4 83 B8 80 00 00 00 00 74 0C 8B 45 E4 80 B8 9E 00 00 00 00 74 25 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 8B 45 F0 8B 40 18 BA A9 01 00 00 8B 18 FF 53 44 E9 7D 02 00 00 8B 45 F4 66 83 B8 C2 01 00 00 00 75 31 8B 45 F4 80 B8 59 01 00 00 03 75 25 8B 45 F4 66 83 B8 CA 01 00 00 00 75 18 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? E9 3F 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F0 8B 52 24 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 15 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 80 B8 59 01 00 00 02 75 16 8D 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 8B 40 04 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F0 8B 40 04 8B 40 10 50 8B 45 F8 50 8D 45 D8 50 8B 4D FC 8B 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D D8 8B 55 E4 8B 45 F4 E8 ?? ?? ?? ?? C6 45 EB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D EB 00 0F 84 23 01 00 00 8B 45 E4 8B 98 80 00 00 00 8B 45 EC 89 43 28 C6 43 14 00 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 8B 43 18 BA E2 00 00 00 8B 18 FF 53 44 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 8B 45 E4 8B 80 80 00 00 00 8B 40 10 BA AA 01 00 00 8B 18 FF 53 44 8B 45 F4 80 B8 59 01 00 00 02 75 48 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC 8B 45 F0 8B 40 18 BA 7D 00 00 00 8B 18 FF 53 44 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 8B 45 E4 8B 80 80 00 00 00 8B 40 18 BA E2 00 00 00 8B 18 FF 53 44 EB 5F 8B 45 F0 8B 40 04 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 06 83 7D F8 00 74 22 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 8B 45 F0 8B 40 18 BA 7D 00 00 00 8B 18 FF 53 44 EB 20 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 8B 45 F0 8B 40 18 BA 7D 00 00 00 8B 18 FF 53 44 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 8B 55 F0 8B 45 F4 8B 18 FF 93 E0 00 00 00 EB 35 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC 8B 45 F0 8B 40 18 BA AA 01 00 00 8B 18 FF 53 44 C3 E9 ?? ?? ?? ?? E9 93 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 49 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_34217_0 {
	meta:
		name = "CheckControlConnection"
		size = 122
		refs = "0010 CheckControlConnection 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 45 08 8B 40 FC 8B D3 8B 38 FF 97 D4 00 00 00 83 7D FC 00 74 24 8D 4D FC 8B 45 08 8B 40 FC 8B 80 68 01 00 00 8B D3 8B 18 FF 53 28 84 C0 75 0A 8B 55 FC 8B C6 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34218_0 {
	meta:
		name = "ReadFromStream"
		size = 284
		refs = "001f _Dn_TMemoryStream 0024 TObject.Create 0034 ReadFromStream 008c CheckControlConnection 00c3 TStream.SetPosition 00e3 TIdZLibCompressorBase.DecompressFTPDeflate 0109 TObject.Free 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B DA 89 45 FC 8B 45 FC 80 B8 8A 00 00 00 01 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 03 89 75 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 80 00 00 00 8B 40 0C 8B 80 98 00 00 00 33 C9 33 D2 8B 38 FF 97 84 00 00 00 6A 00 68 00 90 01 00 8B 45 FC 8B 80 80 00 00 00 8B 40 0C 8B 80 98 00 00 00 B1 01 8B 55 F8 8B 38 FF 97 CC 00 00 00 8B 45 08 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 80 00 00 00 8B 40 0C 8B 80 98 00 00 00 8B 10 FF 92 80 00 00 00 84 C0 75 8F 8B 45 FC 80 B8 8A 00 00 00 01 75 2C 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 00 00 00 50 8B 45 08 8B 40 FC 8B 80 E0 02 00 00 8B CE 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 B8 8A 00 00 00 01 75 0D 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34219_0 {
	meta:
		name = "WriteToStream"
		size = 416
		refs = "001e _Dn_TMemoryStream 0023 TObject.Create 0033 WriteToStream 0083 TIdZLibCompressorBase.CompressFTPDeflate 008f TStream.SetPosition 00a0 TStream.GetPosition 0137 CheckControlConnection 018c TObject.Free 0192 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B F1 8B DA 89 45 FC 8B 45 FC 80 B8 8A 00 00 00 01 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC EB 03 89 75 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 80 B8 8A 00 00 00 01 75 4A 8B 45 FC 8B 80 B8 00 00 00 50 8B 45 FC 8B 80 BC 00 00 00 50 8B 45 FC 8B 80 C0 00 00 00 50 8B 45 FC 8B 80 C4 00 00 00 50 8B 45 0C 8B 40 FC 8B 80 E0 02 00 00 8B 4D EC 8B D6 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 12 52 50 8B 45 EC E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 89 45 F0 89 55 F4 83 7D F4 00 75 0B 81 7D F0 00 90 01 00 76 12 EB 02 7E 0E C7 45 F0 00 90 01 00 C7 45 F4 00 00 00 00 83 7D F4 00 75 08 83 7D F0 00 76 5C EB 02 7E 58 FF 75 F4 FF 75 F0 8B 45 FC 8B 80 80 00 00 00 8B 40 0C 8B 80 98 00 00 00 33 C9 8B 55 EC 8B 30 FF 96 B0 00 00 00 8B 45 EC 8B 10 FF 12 52 50 8B 45 EC E8 ?? ?? ?? ?? 3B 54 24 04 75 09 3B 04 24 5A 58 73 15 EB 04 5A 58 7D 0F 8B 45 0C 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 59 83 7D F4 00 75 04 83 7D F0 00 74 22 8B 45 FC 8B 80 80 00 00 00 8B 40 0C 8B 80 98 00 00 00 8B 10 FF 92 80 00 00 00 84 C0 0F 85 29 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 B8 8A 00 00 00 01 75 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34220_0 {
	meta:
		name = "WriteStrings"
		size = 640
		refs = "001e WriteStrings 0066 PosInStrArray 0079 IndyUTF8Encoding 0085 IndyASCIIEncoding 0091 Indy8BitEncoding 00ab _Dn_TMemoryStream 00b0 TObject.Create 00ed @UStrCat 00fb WriteStringToStream 010b TStream.SetPosition 011f WriteToStream 013a TObject.Free 0140 @HandleFinally 01eb CheckControlConnection 020e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 14 48 0F 8C C1 01 00 00 6A 00 B8 ?? ?? ?? ?? 89 45 E0 B8 ?? ?? ?? ?? 89 45 E4 B8 ?? ?? ?? ?? 89 45 E8 8D 55 E0 8B 45 08 8B 40 F8 8B 40 04 8B 40 10 B9 02 00 00 00 E8 ?? ?? ?? ?? 40 7E 21 8B 45 FC 80 78 74 00 74 0C B0 01 E8 ?? ?? ?? ?? 89 45 EC EB 16 B0 01 E8 ?? ?? ?? ?? 89 45 EC EB 0A B0 01 E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 80 B8 8A 00 00 00 01 0F 85 9E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 10 FF 52 14 8B D8 4B 85 DB 7C 2F 43 33 F6 8D 4D DC 8B D6 8B 45 F4 8B 38 FF 57 0C 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 4D EC 8B 45 F0 E8 ?? ?? ?? ?? 46 4B 75 D4 6A 00 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 08 50 6A 01 8B 4D F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C 9F 00 00 00 43 33 F6 8B 45 FC 8B 80 80 00 00 00 8B 40 0C 8B 80 98 00 00 00 8B 10 FF 92 80 00 00 00 84 C0 74 7E 8D 4D D8 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 55 D8 8B 45 FC 8B 80 80 00 00 00 8B 40 0C 8B 80 98 00 00 00 8B 4D EC 8B 38 FF 97 A4 00 00 00 8B C6 B9 0A 00 00 00 99 F7 F9 85 D2 75 3B 8B 45 F4 8B 10 FF 52 14 48 3B F0 74 2E 8B 45 FC 8B 80 80 00 00 00 8B 40 0C 8B 80 98 00 00 00 8B 10 FF 92 80 00 00 00 84 C0 74 18 8B 45 08 50 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 46 4B 0F 85 64 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 49 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 4C 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4C 00 53 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_34221_0 {
	meta:
		name = "TIdFTPServer.DoDataChannelOperation"
		size = 925
		refs = "001a TIdFTPServer.DoDataChannelOperation 0040 _DV_TIdFTPServerContext 0045 @AsClass 006d _Dn_TStringList 0072 TStringList.Create 00a1 TIdDataChannel.InitOperation 00d1 _Dn_TStream 00d6 @IsClass 0122 WriteToStream 0134 ReadFromStream 014f TObject.Free 0163 @HandleFinally 017e _Dn_TStrings 0190 WriteStrings 019e _Dn_TMemoryStream 01a3 TObject.Create 0235 @HandleOnException 023d _Dn_Exception 024b _Dn_EIdSilentException 026d @DoneExcept 0299 TIdCommand.SendReply 038a @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D F4 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 0F 84 4B 03 00 00 8B 45 F8 8B 70 20 85 F6 0F 84 3D 03 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 83 B8 80 00 00 00 00 0F 84 1D 03 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 80 80 00 00 00 8B D3 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B B0 80 00 00 00 8B 5E 28 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 87 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 80 80 00 00 00 0F B6 40 14 2C 01 72 04 74 16 EB 24 55 6A 00 8B 4D E4 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 59 EB 10 55 8B 4D E4 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? 8B 45 EC 8B 80 80 00 00 00 33 D2 89 50 28 C3 E9 ?? ?? ?? ?? EB DD 0F B6 46 14 2C 01 72 04 74 24 EB 75 85 DB 74 71 55 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 59 EB 53 85 DB 74 4F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 55 8B 4D E4 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 80 80 00 00 00 8B 40 0C 85 C0 74 07 33 D2 8B 08 FF 51 78 C3 E9 ?? ?? ?? ?? EB E1 8B 45 EC 8B 80 80 00 00 00 8B 50 18 8B 40 1C 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 EB 3D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 14 8B 45 EC 8B 80 80 00 00 00 8B 50 10 8B 40 1C 8B 08 FF 51 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 80 80 00 00 00 8B 50 1C 8B 45 F8 8B 40 18 8B 08 FF 51 08 8B 45 F8 E8 ?? ?? ?? ?? EB 5E 8D 4D F4 33 D2 8B 45 E8 8B 18 FF 53 0C 8D 4D F4 8B 45 F8 8B 50 20 8B 45 FC 8B 80 18 01 00 00 8B 18 FF 53 28 84 C0 75 14 8B 45 F8 8B 50 20 8B 4D F4 8B 45 FC 8B 18 FF 93 C4 00 00 00 8B 45 F8 8B 40 20 8B 58 14 85 DB 74 21 8B C3 8B 10 FF 52 74 84 C0 74 16 33 D2 8B 45 E8 8B 08 FF 51 48 8B 45 E8 8B 10 FF 52 14 85 C0 7F 96 C3 E9 ?? ?? ?? ?? E9 6A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 80 80 00 00 00 83 C0 28 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 EC 05 80 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34222_0 {
	meta:
		name = "TIdFTPServer.CommandSYST"
		size = 189
		refs = "0012 TIdFTPServer.CommandSYST 0021 _DV_TIdFTPServerContext 0026 @AsClass 003d TIdFTPServer.CmdNotImplemented 0056 Trim 0070 TIdFTPServerContext.IsAuthenticated 0080 TIdFTPServer.DoSysType 00aa @UStrArrayClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 87 A8 00 00 00 80 78 10 00 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 51 80 BB 59 01 00 00 03 75 1F 8D 55 FC 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 29 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 74 1C 8D 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA D7 00 00 00 8B 46 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34223_0 {
	meta:
		name = "TIdFTPServer.CommandSTAT"
		size = 912
		refs = "001c TIdFTPServer.CommandSTAT 002e _DV_TIdFTPServerContext 0033 @AsClass 0068 TIdFTPServer.CmdNotImplemented 0077 TIdFTPServerContext.IsAuthenticated 00a9 TIdReply.SetNumericCode 00cc _Dn_TStringList 00d1 TStringList.Create 00ef TIdFTPServer.SetRFCReplyFormat 012a TrimLeft 013a @UStrCat3 0169 TObject.Free 016f @HandleFinally 0179 RSFTPCmdStartOfStat 017e LoadResString 0199 RSFTPCmdEndOfStat 01d9 @UStrClr 01e7 @UStrLAsg 01f4 TextStartsWith 020d Fetch 0229 TIdFTPServer.DoProcessPath 0235 TIdFTPServer.ListDirectory 0241 RSFTPDataConnToOpen 025f IndyFormat 0288 IndyUTF8Encoding 0293 IndyASCIIEncoding 030f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 F4 8B 40 0C 8B 10 FF 52 14 85 C0 0F 9F C3 84 DB 75 24 8B 86 A8 00 00 00 80 78 11 00 74 18 8B 45 F4 83 78 24 00 75 0F 8B 55 F4 8B C7 E8 ?? ?? ?? ?? E9 88 02 00 00 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 76 02 00 00 8B 86 80 00 00 00 85 C0 74 08 80 78 25 00 75 02 33 DB 84 DB 0F 85 1B 01 00 00 8B 45 F4 8B 40 18 BA D3 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 18 8B 40 18 8B 10 FF 52 44 66 83 BF 02 02 00 00 00 0F 84 AC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 50 18 8B C7 E8 ?? ?? ?? ?? 8B 4D F0 8B D6 8B 87 04 02 00 00 FF 97 00 02 00 00 8B 45 F0 8B 10 FF 52 14 8B D8 4B 85 DB 7C 40 43 33 F6 8D 4D E4 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 4D E8 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 8B 40 18 8B 40 18 8B 08 FF 51 38 46 4B 75 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 8B 45 F4 8B 40 18 8B 40 18 33 D2 8B 18 FF 53 60 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F4 8B 40 18 8B 40 18 8B 08 FF 51 38 E9 41 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 8B 52 24 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 15 6A 01 8D 45 FC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 6A 01 8B 45 FC 50 6A 00 8D 45 D8 50 8B 4D F8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 4D D8 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 45 D4 50 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 89 45 CC C6 45 D0 11 8D 55 CC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 46 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 8B 45 F4 8B 40 20 80 78 74 00 74 0B B0 01 E8 ?? ?? ?? ?? 8B F8 EB 09 B0 01 E8 ?? ?? ?? ?? 8B F8 57 8B 46 14 8B 80 98 00 00 00 33 C9 8B 55 F0 8B 18 FF 93 AC 00 00 00 8B 45 F4 C6 40 10 01 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 8B 45 F4 8B 40 18 BA D5 00 00 00 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 20 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 32 00 31 00 33 00 2D 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_34224_0 {
	meta:
		name = "TIdFTPServer.CommandFEAT"
		size = 3652
		refs = "0016 TIdFTPServer.CommandFEAT 0034 TIdFTPServer.SetRFCReplyFormat 0041 TIdReply.SetNumericCode 0049 RSFTPCmdExtsSupportedStart 004e LoadResString 0068 _Dn_TIdServerIOHandlerSSLBase 006d @IsClass 0193 @UStrLAsg 019d TIdFTPServer.SupportTaDirSwitches 01ae @UStrCat 02e9 @UStrEqual 0352 TIdFTPServer.MLSFEATLine 05c6 GetFIPSMode 0603 _Dn_TIdHashSHA256 0608 TIdHashSHA256.IsAvailable 0621 _Dn_TIdHashSHA512 0626 TIdHashSHA512.IsAvailable 06a6 Trim 06bc RSFTPCmdExtsSupportedEnd 06e9 @UStrArrayClr 06f1 @UStrClr 06f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 89 45 F8 8B 46 18 8B 10 FF 52 30 8B 56 18 8B C3 E8 ?? ?? ?? ?? BA D3 00 00 00 8B 46 18 E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 46 18 8B 40 18 8B 08 FF 51 38 8B 83 A8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 80 BB 54 01 00 00 01 74 10 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 66 83 BB 92 02 00 00 00 74 10 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 80 BB 54 01 00 00 00 74 10 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 66 83 BB 62 01 00 00 00 74 10 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 66 83 BB 1A 02 00 00 00 75 09 83 BB D0 02 00 00 00 74 10 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 80 BB 54 01 00 00 00 74 25 8B 45 F8 8B 40 14 8B 80 B0 00 00 00 80 B8 06 01 00 00 00 75 10 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 66 83 BB 9A 02 00 00 00 74 10 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 66 83 BB FA 02 00 00 00 74 10 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 66 83 BB C2 01 00 00 00 74 36 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 18 8B 40 18 8B 55 FC 8B 08 FF 51 38 66 83 BB BA 01 00 00 00 75 09 83 BB D0 02 00 00 00 74 2A 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 66 83 BB 22 02 00 00 00 74 10 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 66 83 BB 32 02 00 00 00 74 10 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 BB 32 02 00 00 00 74 16 F6 83 74 01 00 00 40 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 BB 22 02 00 00 00 75 09 83 BB D0 02 00 00 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 BB 7A 02 00 00 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 BB 82 02 00 00 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 BB 8A 02 00 00 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 BB F2 02 00 00 00 74 16 F6 83 74 01 00 00 40 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 BB 6A 02 00 00 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0E 8B 46 18 8B 40 18 8B 55 FC 8B 08 FF 51 38 66 83 BB 22 02 00 00 00 75 09 83 BB D0 02 00 00 00 74 10 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 66 83 BB C2 01 00 00 00 74 3A 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 8D 45 F0 50 8B 45 F8 0F B7 88 A1 00 00 00 0F B7 93 74 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 46 18 8B 40 18 8B 08 FF 51 38 83 BB E0 02 00 00 00 74 10 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 BB C2 01 00 00 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BB E0 02 00 00 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 18 8B 40 18 8B 55 FC 8B 08 FF 51 38 80 BB 54 01 00 00 00 74 10 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 80 BB 54 01 00 00 00 74 10 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 66 83 BB A2 02 00 00 00 74 10 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 BB 6A 02 00 00 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 BB 72 02 00 00 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 BB 7A 02 00 00 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB 59 01 00 00 00 74 09 80 BB 59 01 00 00 04 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 BB F2 02 00 00 00 75 0A 66 83 BB 22 02 00 00 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 BB 82 02 00 00 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 BB 8A 02 00 00 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 18 8B 40 18 8B 55 FC 8B 08 FF 51 38 66 83 BB B2 01 00 00 00 75 09 83 BB D0 02 00 00 00 74 10 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 80 BB 54 01 00 00 00 74 10 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 66 83 BB C2 01 00 00 00 74 36 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 18 8B 40 18 8B 55 FC 8B 08 FF 51 38 80 BB 5A 01 00 00 03 74 10 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 66 83 BB 12 02 00 00 00 75 09 83 BB D0 02 00 00 00 74 7A 8B 3D ?? ?? ?? ?? 8B 3F FF D7 84 C0 75 20 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B 46 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 80 A8 00 00 00 83 78 08 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 80 BB 54 01 00 00 01 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 46 18 8B 40 18 8B 08 FF 51 38 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 46 18 8B 40 18 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 1E 00 00 00 41 00 55 00 54 00 48 00 20 00 54 00 4C 00 53 00 3B 00 41 00 55 00 54 00 48 00 20 00 54 00 4C 00 53 00 2D 00 43 00 3B 00 53 00 53 00 4C 00 3B 00 54 00 4C 00 53 00 2D 00 50 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 56 00 42 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 43 00 43 00 43 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 4C 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 43 00 4F 00 4D 00 42 00 20 00 74 00 61 00 72 00 67 00 65 00 74 00 3B 00 73 00 6F 00 75 00 72 00 63 00 65 00 5F 00 6C 00 69 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 50 00 53 00 56 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 53 00 49 00 5A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 50 00 52 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 50 00 53 00 56 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 48 00 4F 00 53 00 54 00 20 00 64 00 6F 00 6D 00 61 00 69 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 49 00 53 00 54 00 20 00 2D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 61 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 44 00 54 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 4D 00 44 00 54 00 4D 00 20 00 59 00 59 00 59 00 59 00 4D 00 4D 00 44 00 44 00 48 00 48 00 4D 00 4D 00 53 00 53 00 20 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 46 00 43 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 46 00 46 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 6F 00 64 00 69 00 66 00 79 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 55 00 6E 00 69 00 78 00 2E 00 6D 00 6F 00 64 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 6E 00 69 00 78 00 2E 00 6F 00 77 00 6E 00 65 00 72 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 6E 00 69 00 78 00 2E 00 67 00 72 00 6F 00 75 00 70 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2E 00 6C 00 61 00 73 00 74 00 61 00 63 00 63 00 65 00 73 00 73 00 74 00 69 00 6D 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 57 00 69 00 6E 00 33 00 32 00 2E 00 65 00 61 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 46 00 4D 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4C 00 53 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4D 00 4F 00 44 00 45 00 20 00 5A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4F 00 50 00 54 00 53 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 4C 00 53 00 54 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 4F 00 44 00 45 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 55 00 54 00 46 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 42 00 53 00 5A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 52 00 4F 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 45 00 53 00 54 00 20 00 53 00 54 00 52 00 45 00 41 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 4D 00 44 00 41 00 20 00 64 00 69 00 72 00 65 00 63 00 74 00 6F 00 72 00 79 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 49 00 54 00 45 00 20 00 5A 00 4F 00 4E 00 45 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3B 00 41 00 54 00 54 00 52 00 49 00 42 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 4D 00 41 00 53 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3B 00 43 00 48 00 4D 00 4F 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3B 00 44 00 49 00 52 00 53 00 54 00 59 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3B 00 55 00 54 00 49 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3B 00 43 00 48 00 4F 00 57 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3B 00 43 00 48 00 47 00 52 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 49 00 5A 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 50 00 53 00 56 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 53 00 43 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 54 00 41 00 54 00 20 00 2D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 56 00 46 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 58 00 43 00 52 00 43 00 20 00 22 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 22 00 20 00 53 00 50 00 20 00 45 00 50 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 58 00 4D 00 44 00 35 00 20 00 22 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 22 00 20 00 53 00 50 00 20 00 45 00 50 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 58 00 53 00 48 00 41 00 31 00 20 00 22 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 22 00 20 00 53 00 50 00 20 00 45 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 58 00 53 00 48 00 41 00 32 00 35 00 36 00 20 00 22 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 22 00 20 00 53 00 50 00 20 00 45 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 58 00 53 00 48 00 41 00 35 00 31 00 32 00 20 00 22 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 22 00 20 00 53 00 50 00 20 00 45 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 46 00 43 00 20 00 39 00 35 00 39 00 20 00 32 00 33 00 38 00 39 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 32 00 35 00 37 00 37 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 33 00 36 00 35 00 39 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 34 00 32 00 31 00 37 00 20 00 00 00 }
	condition:
		$1
}

rule function_34225_0 {
	meta:
		name = "TIdFTPServer.CommandOPTS"
		size = 264
		refs = "0013 TIdFTPServer.CommandOPTS 0024 @UStrLAsg 0041 Fetch 004e TextIsSame 0064 RSFTPOptNotRecog 0069 LoadResString 00cd @UStrArrayClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 24 E8 ?? ?? ?? ?? 8B 43 18 8B 10 FF 52 30 6A 01 8D 45 F8 50 8D 45 FC 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 66 83 BE C2 01 00 00 00 75 1F 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA F5 01 00 00 8B 43 18 8B 18 FF 53 44 EB 38 8D 4D FC 8B 53 20 8B 86 70 01 00 00 8B 30 FF 56 28 84 C0 75 1F 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 BA F5 01 00 00 8B 43 18 8B 18 FF 53 44 EB 04 C6 43 10 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4C 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_34226_0 {
	meta:
		name = "TIdFTPServer.CommandSIZE"
		size = 245
		refs = "0019 TIdFTPServer.CommandSIZE 0028 _DV_TIdFTPServerContext 002d @AsClass 0038 TIdFTPServerContext.IsAuthenticated 0071 TIdFTPServer.DoProcessPath 0081 TIdFTPServer.DoOnGetFileSize 009f IntToStr 00ba TIdFTPServer.CmdFileActionAborted 00c5 TIdFTPServer.CmdSyntaxError 00da @UStrClr 00e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 85 00 00 00 66 83 BB B2 01 00 00 00 75 09 83 BB D0 02 00 00 00 74 69 C7 45 F0 FF FF FF FF C7 45 F4 FF FF FF FF 8D 45 FC 50 8B 4E 24 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 83 7D F4 FF 75 08 83 7D F0 FF 76 24 EB 02 7E 20 FF 75 F4 FF 75 F0 8D 45 EC E8 ?? ?? ?? ?? 8B 4D EC BA D5 00 00 00 8B 46 18 8B 18 FF 53 44 EB 14 8B D6 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34227_0 {
	meta:
		name = "TIdFTPServer.DoOnChangeDirectory"
		size = 49
	strings:
		$1 = { 53 56 8B B0 D0 02 00 00 85 F6 74 0A 8B C6 8B 18 FF 53 44 5E 5B C3 66 83 B8 AA 01 00 00 00 74 0E 8B D8 8B 83 AC 01 00 00 FF 93 A8 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_34228_0 {
	meta:
		name = "TIdFTPServer.DoOnRemoveDirectory"
		size = 50
	strings:
		$1 = { 53 56 57 8B F0 8B BE D0 02 00 00 85 FF 74 09 8B C7 8B 18 FF 53 68 EB 16 66 83 BE FA 01 00 00 00 74 0C 8B 86 FC 01 00 00 FF 96 F8 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34229_0 {
	meta:
		name = "TIdFTPServer.DoOnMakeDirectory"
		size = 50
	strings:
		$1 = { 53 56 57 8B F0 8B BE D0 02 00 00 85 FF 74 09 8B C7 8B 18 FF 53 64 EB 16 66 83 BE F2 01 00 00 00 74 0C 8B 86 F4 01 00 00 FF 96 F0 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34230_0 {
	meta:
		name = "TIdFTPServer.CommandEPRT"
		size = 1128
		refs = "001b TIdFTPServer.CommandEPRT 002a _DV_TIdFTPServerContext 002f @AsClass 003a TIdFTPServerContext.IsAuthenticated 006a @UStrLAsg 008a TIdFTPServer.CmdInvalidParamNum 00aa RSFTPPORTDisabled 00af LoadResString 00e0 @UStrFromWChar 00ed Fetch 0117 IndyStrToInt 017f GStack 01ad RSFTPNetProtNotSup 01cd IndyFormat 0217 RSFTPProtocolMismatch 0229 @UStrCat 0286 RSFTPInvalidPort 02d6 RSFTPPORTRange 0318 RSFTPInvalidIP 0345 TIdContext.GetBinding 0350 @UStrEqual 036a RSFTPSameIPAddress 038a TIdFTPServerContext.CreateDataChannel 03da TIdFTPServer.CmdCommandSuccessful 03f4 @UStrArrayClr 0414 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 98 03 00 00 8B 46 20 8B 40 14 8B 80 B0 00 00 00 0F B6 80 06 01 00 00 88 45 F7 C6 83 9C 00 00 00 00 8D 45 FC 8B 56 24 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 75 15 C6 83 9E 00 00 00 01 8B D6 8B C7 E8 ?? ?? ?? ?? E9 4B 03 00 00 8B 87 08 02 00 00 80 78 0F 00 74 29 C6 83 9E 00 00 00 01 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 BA F6 01 00 00 8B 46 18 8B 18 FF 53 44 E9 16 03 00 00 8B 45 FC 0F B7 00 66 89 45 F4 6A 01 8D 45 E4 50 8D 45 E0 0F B7 55 F4 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC B1 01 E8 ?? ?? ?? ?? 6A 01 8D 45 DC 50 8D 45 D8 0F B7 55 F4 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC B1 01 E8 ?? ?? ?? ?? 8B 45 DC 83 CA FF E8 ?? ?? ?? ?? 89 45 F0 6A 01 8D 45 F8 50 8D 45 D4 0F B7 55 F4 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC B1 01 E8 ?? ?? ?? ?? 6A 01 8D 45 D0 50 8D 45 CC 0F B7 55 F4 E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC B1 01 E8 ?? ?? ?? ?? 8B 45 D0 33 D2 E8 ?? ?? ?? ?? 66 89 83 8C 00 00 00 33 C0 8B 55 F0 4A 74 05 4A 74 06 EB 6C 33 C0 EB 68 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 92 80 00 00 00 84 C0 74 04 B0 01 EB 51 66 C7 83 8C 00 00 00 00 00 C6 83 9E 00 00 00 01 8D 45 C8 50 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 50 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 8D 55 BC 33 C9 58 E8 ?? ?? ?? ?? 8B 4D C8 BA 0A 02 00 00 8B 46 18 8B 18 FF 53 44 E9 F8 01 00 00 8B 55 F0 4A 83 EA 02 73 05 3A 45 F7 74 7D 66 C7 83 8C 00 00 00 00 00 C6 83 9E 00 00 00 01 0F B6 45 F7 2C 01 72 07 74 34 E9 CB 01 00 00 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 BA 0A 02 00 00 8B 46 18 8B 18 FF 53 44 E9 9C 01 00 00 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B4 BA 0A 02 00 00 8B 46 18 8B 18 FF 53 44 E9 6D 01 00 00 66 83 BB 8C 00 00 00 00 75 29 C6 83 9E 00 00 00 01 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B0 BA F4 01 00 00 8B 46 18 8B 18 FF 53 44 E9 3A 01 00 00 8B 97 08 02 00 00 80 7A 0E 00 74 44 0F B7 83 8C 00 00 00 66 85 C0 76 38 66 3D 00 04 77 32 66 C7 83 8C 00 00 00 00 00 C6 83 9E 00 00 00 01 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D AC BA F8 01 00 00 8B 46 18 8B 18 FF 53 44 E9 EA 00 00 00 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 75 32 66 C7 83 8C 00 00 00 00 00 C6 83 9E 00 00 00 01 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A8 BA F4 01 00 00 8B 46 18 8B 18 FF 53 44 E9 A8 00 00 00 8B 87 08 02 00 00 80 78 0D 00 74 43 8B C3 E8 ?? ?? ?? ?? 8B 50 1C 8B 45 F8 E8 ?? ?? ?? ?? 74 2F 66 C7 83 8C 00 00 00 00 00 C6 83 9E 00 00 00 01 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A4 BA F8 01 00 00 8B 46 18 8B 18 FF 53 44 EB 59 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 83 80 00 00 00 8B 40 0C 89 45 EC 8B 55 F8 8B 45 EC 8B 08 FF 91 A0 00 00 00 0F B7 93 8C 00 00 00 8B 45 EC 8B 08 FF 91 A4 00 00 00 0F B6 55 F7 8B 45 EC 8B 08 FF 91 A8 00 00 00 C6 83 9E 00 00 00 00 B9 C8 00 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 28 00 31 00 29 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 28 00 31 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 28 00 32 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_34231_0 {
	meta:
		name = "TIdFTPServer.CommandEPSV"
		size = 1400
		refs = "001b TIdFTPServer.CommandEPSV 002d _DV_TIdFTPServerContext 0032 @AsClass 003e TIdFTPServerContext.IsAuthenticated 0067 @UStrLAsg 0086 IndyStrToInt 00a6 GStack 00c9 RSFTPNetProtNotSup 00ce LoadResString 00e9 IndyFormat 010e TextIsSame 0121 RSFTPEPSVAllEntered 020f RSFTPProtocolNotSupported 0231 @UStrCatN 0271 RSFTPProtocolMismatch 0283 @UStrCat 033a TIdFTPServer.DoOnPASVBeforeBind 0343 TIdFTPServerContext.CreateDataChannel 035a @UStrAsg 03ad TIdSimpleServer.SetIPVersion 03be TIdSimpleServer.GetBinding 03ed TIdFTPServer.DoOnPASVReply 03fe IntToStr 041f RSFTPEnteringEPSV 0471 @UStrArrayClr 0491 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F0 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 40 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 11 04 00 00 8B 43 14 8B 80 B0 00 00 00 0F B6 80 06 01 00 00 88 45 EB 8D 45 FC 8B 55 F0 8B 52 24 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E CE 01 00 00 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 83 E8 FF 74 76 83 E8 02 74 08 48 74 0E E9 41 01 00 00 C6 45 EB 00 E9 A8 01 00 00 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 92 80 00 00 00 84 C0 74 09 C6 45 EB 01 E9 8C 01 00 00 8D 45 E4 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8D 55 D8 33 C9 58 E8 ?? ?? ?? ?? 8B 4D E4 8B 45 F0 8B 40 18 BA 0A 02 00 00 8B 18 FF 53 44 E9 56 03 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2C C6 83 9D 00 00 00 01 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 8B 45 F0 8B 40 18 BA C8 00 00 00 8B 18 FF 53 44 E9 19 03 00 00 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 92 80 00 00 00 84 C0 74 44 8D 45 D0 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8D 55 D8 33 C9 58 E8 ?? ?? ?? ?? 8B 4D D0 8B 45 F0 8B 40 18 BA 0A 02 00 00 8B 18 FF 53 44 E9 C2 02 00 00 8D 45 C8 50 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 50 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8D 55 D8 33 C9 58 E8 ?? ?? ?? ?? 8B 4D C8 8B 45 F0 8B 40 18 BA 0A 02 00 00 8B 18 FF 53 44 E9 7E 02 00 00 8B 43 14 8B 80 B0 00 00 00 80 B8 06 01 00 00 01 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 BC 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 C0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D C0 8B 45 F0 8B 40 18 BA 0A 02 00 00 8B 18 FF 53 44 E9 0E 02 00 00 8B 43 14 8B 80 B0 00 00 00 0F B6 80 06 01 00 00 3A 45 EB 74 6F 2C 01 72 07 74 37 E9 EE 01 00 00 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 8B 45 F0 8B 40 18 BA 0A 02 00 00 8B 18 FF 53 44 E9 BC 01 00 00 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B4 8B 45 F0 8B 40 18 BA 0A 02 00 00 8B 18 FF 53 44 E9 8A 01 00 00 8D 45 F8 8B 53 14 8B 92 B0 00 00 00 8B 92 D8 00 00 00 8B 52 18 E8 ?? ?? ?? ?? 0F B7 87 7E 01 00 00 66 85 C0 74 1B 66 83 BF 80 01 00 00 00 74 11 66 89 45 EE 0F B7 87 80 01 00 00 66 89 45 EC EB 13 0F B7 87 88 01 00 00 66 89 45 EE 0F B7 45 EE 66 89 45 EC 8D 45 EE 50 8D 45 EC 50 0F B6 45 EB 50 8D 4D F8 8B D3 8B C7 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B 83 80 00 00 00 8B 70 0C 8D 86 C0 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 0F B7 45 EE 66 3B 45 EC 75 1F 0F B7 45 EE 66 89 86 C4 00 00 00 66 C7 86 C6 00 00 00 00 00 66 C7 86 C8 00 00 00 00 00 EB 1F 66 C7 86 C4 00 00 00 00 00 0F B7 45 EE 66 89 86 C6 00 00 00 0F B7 45 EC 66 89 86 C8 00 00 00 0F B6 55 EB 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 A4 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 50 18 8D 45 F8 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B7 40 20 66 89 45 EE 8D 45 EE 50 0F B6 45 EB 50 8D 4D F8 8B D3 8B C7 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 B0 0F B7 45 EE E8 ?? ?? ?? ?? FF 75 B0 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC 50 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 50 8B 45 FC 89 45 D8 C6 45 DC 11 8D 55 D8 33 C9 58 E8 ?? ?? ?? ?? 8B 4D AC 8B 45 F0 8B 40 18 BA E5 00 00 00 8B 30 FF 56 44 C6 83 9C 00 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 28 00 31 00 29 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 4C 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 28 00 31 00 2C 00 32 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 32 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 28 00 31 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 28 00 32 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 7C 00 7C 00 7C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7C 00 00 00 }
	condition:
		$1
}

rule function_34232_0 {
	meta:
		name = "TIdFTPServer.CommandMDTM"
		size = 528
		refs = "0018 TIdFTPServer.CommandMDTM 003a TIdFTPServer.CmdSyntaxError 0048 _DV_TIdFTPServerContext 004d @AsClass 0058 TIdFTPServerContext.IsAuthenticated 006b @UStrLAsg 0080 Fetch 0088 IsMDTMDate 00a0 TIdFTPServer.DoProcessPath 00b0 TIdFTPServer.DoOnFileExistCheck 00f9 FTPMDTMToGMTDateTime 010d TIdFTPServer.DoOnSetModifiedTime 0149 TIdFTPServer.DoOnGetFileDate 0168 FTPGMTDateTimeToMLS 0183 TIdFTPServer.CmdFileActionAborted 019d @UStrArrayClr 01b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB BA 01 00 00 00 75 17 83 BB D0 02 00 00 00 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 44 01 00 00 8B 46 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 23 01 00 00 8D 45 FC 8B 56 24 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 91 00 00 00 8D 45 FC 50 8B 4E 24 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 45 EF 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 80 7D EF 00 75 6B 8D 45 FC 8B 56 24 E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DD 5D F0 9B 8D 45 F0 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA FD 00 00 00 8B 46 18 8B 18 FF 53 44 EB 62 8D 45 FC 50 8B 4E 24 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 F0 89 45 F4 8D 45 F0 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? DD 45 F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 22 FF 75 F4 FF 75 F0 8D 55 E0 B0 01 E8 ?? ?? ?? ?? 8B 4D E0 BA D5 00 00 00 8B 46 18 8B 18 FF 53 44 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 44 00 61 00 74 00 65 00 2F 00 74 00 69 00 6D 00 65 00 20 00 63 00 68 00 61 00 6E 00 67 00 65 00 64 00 20 00 6F 00 6B 00 61 00 79 00 2E 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_34233_0 {
	meta:
		name = "TIdFTPServer.SetFTPSecurityOptions"
		size = 12
	strings:
		$1 = { 8B 80 08 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_34234_0 {
	meta:
		name = "TIdFTPServer.SetOnUserAccount"
		size = 436
		refs = "004b TIdCommandHandlers.GetItem 0055 TIdFTPServer.SetOnUserAccount 005a @UStrEqual 006b @UStrClr 0099 @UStrAsg"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F0 83 BE 8C 01 00 00 00 0F 85 9A 00 00 00 8B 45 08 89 86 90 01 00 00 8B 45 0C 89 86 94 01 00 00 8B 86 18 01 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 77 47 C7 45 FC 00 00 00 00 8B 55 FC 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8B 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 4A 66 83 7D 0A 00 74 17 8D 43 24 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C EB 2C 8B 45 08 89 86 90 01 00 00 8B 45 0C 89 86 94 01 00 00 8D 43 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 2C FF 45 FC 4F 75 91 5F 5E 5B 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 43 00 43 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 53 00 79 00 6E 00 74 00 61 00 78 00 3A 00 20 00 41 00 43 00 43 00 54 00 20 00 3C 00 53 00 50 00 3E 00 20 00 3C 00 61 00 63 00 63 00 6F 00 75 00 6E 00 74 00 2D 00 69 00 6E 00 66 00 6F 00 72 00 6D 00 61 00 74 00 69 00 6F 00 6E 00 3E 00 20 00 3C 00 43 00 52 00 4C 00 46 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 41 00 43 00 43 00 54 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 28 00 73 00 70 00 65 00 63 00 69 00 66 00 79 00 20 00 61 00 63 00 63 00 6F 00 75 00 6E 00 74 00 29 00 3B 00 20 00 75 00 6E 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 65 00 64 00 2E 00 00 00 }
	condition:
		$1
}

rule function_34235_0 {
	meta:
		name = "TIdFTPServer.CommandAUTH"
		size = 332
		refs = "0015 TIdFTPServer.CommandAUTH 0024 _DV_TIdFTPServerContext 0029 @AsClass 0034 TLS_AUTH_NAMES 0041 PosInStrArray 0054 _Dn_TIdServerIOHandlerSSLBase 0059 @IsClass 007a RSFTPAuthSSL 007f LoadResString 0096 TIdCommand.SendReply 00a8 _Dn_TIdSSLIOHandlerSocketBase 0103 @UStrAsg 010e TIdFTPServer.CmdSyntaxError 0123 @UStrClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 6A 01 8B 15 ?? ?? ?? ?? B9 03 00 00 00 8B 43 24 E8 ?? ?? ?? ?? 40 0F 8E BD 00 00 00 8B 86 A8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A4 00 00 00 0F B6 86 54 01 00 00 04 FE 2C 02 0F 83 93 00 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA EA 00 00 00 8B 43 18 8B 30 FF 56 44 8B C3 E8 ?? ?? ?? ?? 8B 43 20 8B 40 14 8B 80 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 08 FF 91 04 01 00 00 6A 01 8B 15 ?? ?? ?? ?? B9 03 00 00 00 8B 43 24 E8 ?? ?? ?? ?? 83 E8 01 72 0A 74 14 48 74 05 48 74 0E EB 16 8B 45 FC C6 80 9F 00 00 00 00 EB 0A 8B 45 FC C6 80 9F 00 00 00 01 8B 45 FC 05 84 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 4C 00 53 00 00 00 }
	condition:
		$1
}

rule function_34236_0 {
	meta:
		name = "TIdFTPServer.CommandAVBL"
		size = 350
		refs = "0022 TIdFTPServer.CommandAVBL 0043 _DV_TIdFTPServerContext 0048 @AsClass 0053 TIdFTPServerContext.IsAuthenticated 0079 TIdFTPServer.DoProcessPath 00a4 RSFTPIsAFile 00a9 LoadResString 00c2 IndyFormat 00e2 IntToStr 00fd TIdFTPServer.CmdNotImplemented 0107 RSFTPFileActionNotTaken 0136 @UStrArrayClr 014b @UStrClr 0151 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D D8 89 4D DC 89 4D EC 89 4D E8 89 4D FC 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 A4 00 00 00 66 83 BF 92 02 00 00 00 0F 84 8B 00 00 00 8D 45 FC 50 8B 4B 24 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 45 FB 50 8D 45 F0 50 8B 4D FC 8B D6 8B 87 94 02 00 00 FF 97 90 02 00 00 80 7D FB 00 74 3C 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D EC BA 26 02 00 00 8B 43 18 8B 18 FF 53 44 EB 48 FF 75 F4 FF 75 F0 8D 45 DC E8 ?? ?? ?? ?? 8B 4D DC BA D5 00 00 00 8B 43 18 8B 18 FF 53 44 EB 28 8B D3 8B C7 E8 ?? ?? ?? ?? EB 1D 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 BA 26 02 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34237_0 {
	meta:
		name = "TIdFTPServer.CommandDSIZ"
		size = 350
		refs = "0022 TIdFTPServer.CommandDSIZ 0043 _DV_TIdFTPServerContext 0048 @AsClass 0053 TIdFTPServerContext.IsAuthenticated 0079 TIdFTPServer.DoProcessPath 00a4 RSFTPIsAFile 00a9 LoadResString 00c2 IndyFormat 00e2 IntToStr 00fd TIdFTPServer.CmdNotImplemented 0107 RSFTPFileActionNotTaken 0136 @UStrArrayClr 014b @UStrClr 0151 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D D8 89 4D DC 89 4D EC 89 4D E8 89 4D FC 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 A4 00 00 00 66 83 BF 9A 02 00 00 00 0F 84 8B 00 00 00 8D 45 FC 50 8B 4B 24 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 45 FB 50 8D 45 F0 50 8B 4D FC 8B D6 8B 87 9C 02 00 00 FF 97 98 02 00 00 80 7D FB 00 74 3C 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D EC BA 26 02 00 00 8B 43 18 8B 18 FF 53 44 EB 48 FF 75 F4 FF 75 F0 8D 45 DC E8 ?? ?? ?? ?? 8B 4D DC BA D5 00 00 00 8B 43 18 8B 18 FF 53 44 EB 28 8B D3 8B C7 E8 ?? ?? ?? ?? EB 1D 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 BA 26 02 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34238_0 {
	meta:
		name = "TIdFTPServer.CommandRMDA"
		size = 214
		refs = "0014 TIdFTPServer.CommandRMDA 0023 _DV_TIdFTPServerContext 0028 @AsClass 0033 TIdFTPServerContext.IsAuthenticated 0051 TIdFTPServer.DoProcessPath 006a RSFTPFileActionCompleted 006f LoadResString 008a TIdFTPServer.CmdNotImplemented 0094 RSFTPFileActionNotTaken 00c3 @UStrArrayClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 55 66 83 BF A2 02 00 00 00 74 40 8D 45 FC 50 8B 4B 24 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 8B 87 A4 02 00 00 FF 97 A0 02 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA FA 00 00 00 8B 43 18 8B 18 FF 53 44 EB 28 8B D3 8B C7 E8 ?? ?? ?? ?? EB 1D 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA 26 02 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34239_0 {
	meta:
		name = "TIdFTPServer.CommandCCC"
		size = 253
		refs = "0013 TIdFTPServer.CommandCCC 0022 _DV_TIdFTPServerContext 0027 @AsClass 0041 TIdFTPServerContext.IsAuthenticated 0060 RSFTPClearCommandConnection 0065 LoadResString 007c TIdCommand.SendReply 008e _Dn_TIdSSLIOHandlerSocketBase 00b1 RSFTPClearCommandNotPermitted 00d1 TIdFTPServer.CmdSyntaxError 00eb @UStrArrayClr 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 80 BE 54 01 00 00 00 0F 84 91 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 88 00 00 00 8B 45 FC 8B 80 A8 00 00 00 80 78 12 00 74 51 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA C8 00 00 00 8B 43 18 8B 30 FF 56 44 8B C3 E8 ?? ?? ?? ?? 8B 43 20 8B 40 14 8B 80 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 08 FF 91 04 01 00 00 8B 45 FC C6 80 88 00 00 00 01 EB 28 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA 16 02 00 00 8B 43 18 8B 18 FF 53 44 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34240_0 {
	meta:
		name = "TIdFTPServer.CommandPBSZ"
		size = 408
		refs = "0013 TIdFTPServer.CommandPBSZ 0022 _DV_TIdFTPServerContext 0027 @AsClass 0036 _Dn_TIdServerIOHandlerSSLBase 003b @IsClass 0052 TIdFTPServer.CmdInvalidParamNum 006f RSFTPPBSZAuthDataRequired 0074 LoadResString 009d RSFTPPBSZNotAfterCCC 00ca @UStrEqual 00dd RSFTPDataProtBuffer0 0106 IsNumeric 0131 TIdFTPServer.CmdInvalidParams 013c TIdFTPServer.CmdSyntaxError 0156 @UStrArrayClr 015c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 83 A8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 F0 00 00 00 83 7E 24 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 84 00 00 00 00 75 2B 80 BB 54 01 00 00 01 74 22 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA F7 01 00 00 8B 46 18 8B 18 FF 53 44 E9 B3 00 00 00 8B 45 FC 80 B8 88 00 00 00 00 74 22 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA F7 01 00 00 8B 46 18 8B 18 FF 53 44 E9 85 00 00 00 8B 45 FC 8B 80 84 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 09 80 BB 54 01 00 00 01 75 29 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 BA C8 00 00 00 8B 46 18 8B 18 FF 53 44 8B 45 FC C6 80 A0 00 00 00 01 EB 3E 8B 46 24 E8 ?? ?? ?? ?? 84 C0 74 1E B9 ?? ?? ?? ?? BA C8 00 00 00 8B 46 18 8B 18 FF 53 44 8B 45 FC C6 80 A0 00 00 00 01 EB 14 8B D6 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 4C 00 53 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 42 00 53 00 5A 00 3D 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_34241_0 {
	meta:
		name = "TIdFTPServer.CommandPROT"
		size = 381
		refs = "0016 TIdFTPServer.CommandPROT 0025 _DV_TIdFTPServerContext 002a @AsClass 0038 _Dn_TIdServerIOHandlerSSLBase 003d @IsClass 0056 RSFTPPBSZNotAfterCCC 005b LoadResString 0081 RSFTPPROTProtBufRequired 00a2 LValidParams 00af PosInStrArray 00cc RSFTPProtTypeClear 00eb RSFTPInvalidProtTypeForMechanism 0111 RSFTPProtTypePrivate 0130 RSFTPInvalidForParam 0150 TIdFTPServer.CmdNotImplemented 016a @UStrArrayClr 0170 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 86 A8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 02 01 00 00 80 BF 88 00 00 00 00 74 22 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA F7 01 00 00 8B 43 18 8B 18 FF 53 44 E9 E0 00 00 00 80 BF A0 00 00 00 00 75 22 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA F7 01 00 00 8B 43 18 8B 18 FF 53 44 E9 B5 00 00 00 6A 01 BA ?? ?? ?? ?? B9 03 00 00 00 8B 43 24 E8 ?? ?? ?? ?? 83 E8 01 72 09 83 E8 02 72 2A 74 47 EB 6B C6 87 9F 00 00 00 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA C8 00 00 00 8B 43 18 8B 18 FF 53 44 EB 6D 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 BA 18 02 00 00 8B 43 18 8B 18 FF 53 44 EB 4E C6 87 9F 00 00 00 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC BA C8 00 00 00 8B 43 18 8B 18 FF 53 44 EB 28 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 BA F8 01 00 00 8B 43 18 8B 18 FF 53 44 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34242_0 {
	meta:
		name = "TIdFTPServer.CommandCOMB"
		size = 516
		refs = "001a TIdFTPServer.CommandCOMB 0029 _DV_TIdFTPServerContext 002e @AsClass 004d TIdFTPServer.CmdNotImplemented 005c TIdFTPServerContext.IsAuthenticated 0073 TIdFTPServer.CmdInvalidParamNum 0085 Pos 0098 @UStrLAsg 00ad Fetch 00d3 TIdFTPServer.DoProcessPath 00e9 Trim 00fb _Dn_TStringList 0100 TStringList.Create 0170 TIdFTPServer.DoOnCombineFiles 0178 RSFTPFileOpSuccess 017d LoadResString 01a7 TObject.Free 01ad @HandleFinally 01b8 TIdFTPServer.CmdInvalidParams 01d2 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 66 83 BB 1A 02 00 00 00 75 17 83 BB D0 02 00 00 00 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 66 01 00 00 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 54 01 00 00 83 7E 24 00 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 40 01 00 00 8B 56 24 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 22 01 00 00 8D 45 FC 8B 56 24 E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 50 8B 4D F8 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 EB 46 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 50 6A 01 8D 45 D8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F4 8B 08 FF 51 38 83 7D FC 00 75 B4 8B 45 F4 50 8B 4D F8 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 8B 46 18 BA FA 00 00 00 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_34243_0 {
	meta:
		name = "TIdFTPServer.DoConnect"
		size = 1244
		refs = "001b TIdFTPServer.DoConnect 0028 Indy8BitEncoding 0038 TIdIOHandler.SetDefStringEncoding 0049 _Dn_TIdSSLIOHandlerSocketBase 004e @IsClass 006f _DV_TIdFTPServerContext 0074 @AsClass 007d MakeXAUTKey 0097 _Dn_TIdReplyRFC 009c TIdReply.Create 00b4 TIdCmdTCPServer.GetGreeting 00e3 GetFIPSMode 0104 TIdReply.GetNumericCode 0136 GStack 0184 IndyFormat 01a7 @UStrCatN 01bc Fetch 01c7 @UStrLAsg 025c TObject.Free 0262 @HandleFinally 040f TIdCmdTCPServer.DoConnect 0429 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B0 01 E8 ?? ?? ?? ?? 8B D0 8B 47 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8B 47 14 8B 98 98 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 80 BE 54 01 00 00 01 75 0C 8B C3 33 D2 8B 08 FF 91 04 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 78 50 E8 ?? ?? ?? ?? 5A 89 02 66 83 BE 4A 02 00 00 00 0F 84 D6 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 08 FF 51 08 8B 4D F4 8B D7 8B 86 4C 02 00 00 FF 96 48 02 00 00 8B 86 44 01 00 00 8B 55 F4 8B 08 FF 51 30 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 0F 85 03 01 00 00 80 BE 58 01 00 00 00 0F 84 F6 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 3D DC 00 00 00 0F 85 E3 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 78 50 E8 ?? ?? ?? ?? 5A 89 02 89 7D F0 8B 5D F4 8D 55 E8 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 04 8D 45 E4 50 8D 55 D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 04 8B 45 D0 89 45 D4 C6 45 D8 11 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 78 89 45 DC C6 45 E0 00 8D 55 D4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 55 CC 8B 43 18 8B 08 FF 51 1C FF 75 CC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 C8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 C4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8D 45 FC E8 ?? ?? ?? ?? 8B 43 18 8B 55 FC 8B 08 FF 51 2C 6A 00 8B 45 F4 8B 10 FF 52 28 8B D0 8B 47 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 66 83 BE D2 00 00 00 00 74 0E 8B D7 8B 86 D4 00 00 00 FF 96 D0 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 3D A5 01 00 00 75 0A 8B 47 14 33 D2 8B 08 FF 51 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 0F 85 90 01 00 00 80 BE 58 01 00 00 00 0F 84 83 01 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D DC 00 00 00 0F 85 6C 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 08 FF 51 08 89 7D EC 8B 5D F4 8D 55 C0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 04 8D 45 BC 50 8D 55 B8 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 04 8B 45 B8 89 45 D4 C6 45 D8 11 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 78 89 45 DC C6 45 E0 00 8D 55 D4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 BC 68 ?? ?? ?? ?? 8D 55 B4 8B 43 18 8B 08 FF 51 1C FF 75 B4 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 B0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8D 45 F8 E8 ?? ?? ?? ?? 6A 01 8D 45 AC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 8D 45 F8 E8 ?? ?? ?? ?? 8B 43 18 8B 55 F8 8B 08 FF 51 2C 6A 00 8B 45 F4 8B 10 FF 52 28 8B D0 8B 47 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 66 83 BE D2 00 00 00 00 74 0E 8B D7 8B 86 D4 00 00 00 FF 96 D0 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 3D A5 01 00 00 75 0A 8B 47 14 33 D2 8B 08 FF 51 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 25 00 73 00 20 00 58 00 32 00 20 00 57 00 53 00 5F 00 46 00 54 00 50 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 20 00 43 00 6F 00 6D 00 70 00 61 00 74 00 69 00 62 00 6C 00 65 00 28 00 25 00 64 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_34244_0 {
	meta:
		name = "TIdFTPServer.CommandQUIT"
		size = 136
		refs = "000d TIdFTPServer.CommandQUIT 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 83 B8 62 02 00 00 00 74 1A 8B F0 8B 4B 18 8B 53 20 8B 86 64 02 00 00 FF 96 60 02 00 00 C6 43 08 01 EB 0E 8B 43 04 8B 50 30 8B 43 18 8B 08 FF 51 08 8D 55 FC 8B 73 18 8B 46 18 8B 08 FF 51 1C 8B 4D FC BA DD 00 00 00 8B C6 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34245_0 {
	meta:
		name = "TIdFTPServer.CommandMLSD"
		size = 596
		refs = "001b TIdFTPServer.CommandMLSD 0039 TIdFTPServer.CmdSyntaxError 004a _DV_TIdFTPServerContext 004f @AsClass 0061 TIdFTPServerContext.IsAuthenticated 0089 RSFTPCantOpenData 008e LoadResString 00ad _Dn_TStringList 00b2 TStringList.Create 00da TextIsSame 00f7 TIdFTPServer.DoProcessPath 0105 TIdFTPServer.ListDirectory 0137 RSFTPDataConnClosed 0154 RSFTPDataConnClosedAbnormally 0187 RSFTPDataConnToOpen 01a7 TIdCommand.SendReply 01c6 TObject.Free 01ce TIdFTPServerContext.KillDataChannel 01f4 @HandleFinally 0213 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 83 B8 C2 01 00 00 00 75 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E9 BB 01 00 00 8B 45 F8 8B 40 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC C6 45 F3 00 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 84 C0 0F 84 90 01 00 00 8B 45 EC 83 B8 80 00 00 00 00 74 0C 8B 45 EC 80 B8 9E 00 00 00 00 74 25 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 8B 45 F8 8B 40 18 BA A9 01 00 00 8B 18 FF 53 44 E9 53 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 50 8B 45 F8 8B 40 04 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 00 8D 45 E4 50 8B 45 F8 8B 48 24 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D E4 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? C6 45 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F3 00 0F 84 99 00 00 00 8B 45 EC 8B 98 80 00 00 00 8B 45 F4 89 43 28 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 8B 43 18 BA E2 00 00 00 8B 18 FF 53 44 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC 8B 45 EC 8B 80 80 00 00 00 8B 40 10 BA AA 01 00 00 8B 18 FF 53 44 8B 45 EC 8B 80 80 00 00 00 C6 40 14 00 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 8B 45 F8 8B 40 18 BA 7D 00 00 00 8B 18 FF 53 44 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 8B 55 F8 8B 45 FC 8B 18 FF 93 E0 00 00 00 EB 35 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 8B 45 F8 8B 40 18 BA AA 01 00 00 8B 18 FF 53 44 C3 E9 ?? ?? ?? ?? E9 1D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 49 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4C 00 53 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_34246_0 {
	meta:
		name = "TIdFTPServer.CommandMLST"
		size = 636
		refs = "001e TIdFTPServer.CommandMLST 0049 TIdFTPServer.CmdSyntaxError 005a _DV_TIdFTPServerContext 005f @AsClass 006b TIdFTPServerContext.IsAuthenticated 007a _Dn_TStringList 007f TStringList.Create 00a4 TIdFTPServer.DoProcessPath 00b8 _Dn_TIdFTPListOutput 00bd TIdFTPListOutput.Create 0112 TObject.Free 0118 @HandleFinally 0134 TIdFTPServer.ListDirectory 014d TIdFTPServer.SetRFCReplyFormat 015d TIdReply.SetNumericCode 019f @UStrCat3 01cf TIdCommand.SendReply 020b @UStrArrayClr 0213 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E8 89 4D E4 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 66 83 B8 C2 01 00 00 00 75 1D 8B 45 F8 66 83 B8 EA 02 00 00 00 75 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 A3 01 00 00 8B 45 F4 8B 40 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 7E 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 FC 50 8B 45 F4 8B 48 24 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 66 83 B8 EA 02 00 00 00 74 69 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 50 8B 75 F8 8B 4D FC 8B D3 8B 86 EC 02 00 00 FF 96 E8 02 00 00 0F B7 8B A1 00 00 00 8B 55 F0 8B 45 EC 8B 18 FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 50 6A 01 68 ?? ?? ?? ?? 6A 00 8B 4D FC 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 18 8B 10 FF 52 30 8B 45 F4 8B 50 18 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 18 BA FA 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 F0 8B 10 FF 52 14 8B D8 4B 85 DB 7C 35 43 33 F6 8D 4D E4 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 4D E4 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 8B 40 18 8B 40 18 8B 08 FF 51 38 46 4B 75 CE 8B 45 F4 8B 40 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4C 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 65 00 67 00 69 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 45 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_34247_0 {
	meta:
		name = "TIdFTPServer.DoOnSetModifiedTime"
		size = 64
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 8B BE D0 02 00 00 85 FF 74 0D 8B 45 08 50 8B C7 8B 18 FF 53 6C EB 1A 66 83 BE 22 02 00 00 00 74 10 8B 45 08 50 8B 86 24 02 00 00 FF 96 20 02 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_34248_0 {
	meta:
		name = "TIdFTPServer.DoOnSetModifiedTime"
		size = 129
		refs = "001c TIdFTPServer.DoOnSetModifiedTime 0029 FTPMLSToGMTDateTime 004d FTPGMTDateTimeToMLS 0057 @UStrAsg 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 E8 ?? ?? ?? ?? DD 5D F0 9B 8D 45 F0 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 8D 55 EC B0 01 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34252_0 {
	meta:
		name = "TIdFTPServer.DoOnSetCreationTime"
		size = 129
		refs = "001c TIdFTPServer.DoOnSetCreationTime 0029 FTPMLSToLocalDateTime 004d FTPLocalDateTimeToMLS 0057 @UStrAsg 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 E8 ?? ?? ?? ?? DD 5D F0 9B 8D 45 F0 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 8D 55 EC B0 01 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34249_0 {
	meta:
		name = "TIdFTPServer.DoOnSetCreationTime"
		size = 46
	strings:
		$1 = { 55 8B EC 53 83 B8 D0 02 00 00 00 75 1C 66 83 B8 32 02 00 00 00 74 12 8B 5D 08 53 8B D8 8B 83 34 02 00 00 FF 93 30 02 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_34250_0 {
	meta:
		name = "TIdFTPServer.DoOnSetCreationTimeGMT"
		size = 37
	strings:
		$1 = { 55 8B EC 53 66 83 B8 32 02 00 00 00 74 12 8B 5D 08 53 8B D8 8B 83 34 02 00 00 FF 93 30 02 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_34251_0 {
	meta:
		name = "TIdFTPServer.DoOnSetModifiedTimeGMT"
		size = 37
	strings:
		$1 = { 55 8B EC 53 66 83 B8 22 02 00 00 00 74 12 8B 5D 08 53 8B D8 8B 83 24 02 00 00 FF 93 20 02 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_34253_0 {
	meta:
		name = "TIdFTPServer.CommandMFMT"
		size = 340
		refs = "001f TIdFTPServer.CommandMFMT 002e _DV_TIdFTPServerContext 0033 @AsClass 003e TIdFTPServerContext.IsAuthenticated 0068 @UStrLAsg 007d Fetch 008d TIdFTPServer.DoProcessPath 00a8 TIdFTPServer.DoOnSetModifiedTime 00d2 IndyFormat 00ed TIdFTPServer.CmdSyntaxError 0107 @UStrArrayClr 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D F0 89 4D F4 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 A7 00 00 00 66 83 BB 22 02 00 00 00 75 0D 83 BB D0 02 00 00 00 0F 84 87 00 00 00 8D 45 F8 8B 56 24 E8 ?? ?? ?? ?? 6A 01 8D 45 FC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 FC 89 45 E0 C6 45 E4 11 8B 45 F8 89 45 E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 BA D5 00 00 00 8B 46 18 8B 18 FF 53 44 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4D 00 6F 00 64 00 69 00 66 00 79 00 3D 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_34254_0 {
	meta:
		name = "TIdFTPServer.CommandMFCT"
		size = 336
		refs = "001f TIdFTPServer.CommandMFCT 0031 TIdFTPServerContext.IsAuthenticated 005b @UStrLAsg 006b TIdFTPServer.DoProcessPath 008b Fetch 009b TIdFTPServer.DoOnSetCreationTime 00c5 IndyFormat 00e0 TIdFTPServer.CmdSyntaxError 00fa @UStrArrayClr 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D F0 89 4D F4 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7E 20 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 A7 00 00 00 66 83 BB 32 02 00 00 00 75 0D 83 BB D0 02 00 00 00 0F 84 87 00 00 00 8D 45 F8 8B 56 24 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 6A 01 8D 45 FC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 FC 89 45 E0 C6 45 E4 11 8B 45 F8 89 45 E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 BA D5 00 00 00 8B 46 18 8B 18 FF 53 44 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 3D 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_34255_0 {
	meta:
		name = "TIdFTPServer.CommandMFF"
		size = 2040
		refs = "001a TIdFTPServer.CommandMFF 002c @UStrClr 004c TIdFTPServer.CmdSyntaxError 0068 TIdFTPServer.CmdInvalidParamNum 0076 TIdFTPServerContext.IsAuthenticated 0085 _Dn_TStringList 008a TStringList.Create 00b4 ParseFacts 00c4 TIdFTPServer.DoProcessPath 00cf @UStrLAsg 00df TStrings.GetValue 010f TIdFTPServer.DoOnSetModifiedTime 012c IndyFormat 0137 @UStrCat 0177 TIdFTPServer.DoOnSetCreationTime 01db IndyStrToInt 01f2 TIdFTPServer.DoOnSetATTRIB 0206 IntToHex 0216 @UStrCat3 027c TIdFTPServer.IsValidPermNumbers 029f TIdFTPServer.DoOnSiteCHMOD 032c TIdFTPServer.DoOnSiteCHOWN 0398 TIdFTPServer.DoOnSiteCHGRP 0409 FTPMLSToGMTDateTime 044e FTPGMTDateTimeToMLS 049d @UStrCatN 04c4 RSFTPParamError 04c9 LoadResString 0514 TObject.Free 051a @HandleFinally 0539 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 12 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E7 01 8D 45 F0 E8 ?? ?? ?? ?? 8B 7E 20 66 83 BB 22 02 00 00 00 75 18 66 83 BB 32 02 00 00 00 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 CB 04 00 00 8D 45 F4 E8 ?? ?? ?? ?? 83 7E 24 00 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 AF 04 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 9E 04 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 ?? ?? ?? ?? 8D 45 FC 50 8B 46 24 B9 ?? ?? ?? ?? 8B 55 EC E8 ?? ?? ?? ?? 8D 45 C0 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 C0 8D 45 FC E8 ?? ?? ?? ?? 8D 4D BC BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 83 7D BC 00 74 52 66 83 BB 22 02 00 00 00 74 48 8D 4D F8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 45 F8 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 45 B8 50 8B 45 F8 89 45 B0 C6 45 B4 11 8D 55 B0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8D 45 F4 E8 ?? ?? ?? ?? 8D 4D AC BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 83 7D AC 00 74 52 66 83 BB 32 02 00 00 00 74 48 8D 4D F8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 45 F8 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 45 A8 50 8B 45 F8 89 45 B0 C6 45 B4 11 8D 55 B0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 8D 45 F4 E8 ?? ?? ?? ?? 8D 4D A4 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 83 7D A4 00 0F 84 85 00 00 00 66 83 BB 6A 02 00 00 00 74 7B 8D 4D F8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC 50 8D 45 E7 50 8D 4D E8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 52 50 8D 55 A0 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 4D A0 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 9C 50 8B 45 F8 89 45 B0 C6 45 B4 11 8D 55 B0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8D 45 F4 E8 ?? ?? ?? ?? 8D 4D 98 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 83 7D 98 00 0F 84 8C 00 00 00 8D 4D F8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 66 83 BB 7A 02 00 00 00 74 72 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 64 8B 45 F8 E8 ?? ?? ?? ?? 89 45 C4 8B 45 FC 50 8D 45 E7 50 8D 4D C4 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 C4 89 45 B0 C6 45 B4 00 8D 55 B0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 94 50 8B 45 F8 89 45 B0 C6 45 B4 11 8D 55 B0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 8D 45 F4 E8 ?? ?? ?? ?? 8D 4D 90 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 83 7D 90 00 74 5A 8D 4D F8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 66 83 BB 82 02 00 00 00 74 40 8D 45 F0 50 8B 45 FC 50 8D 45 E7 50 8D 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 45 8C 50 8B 45 F8 89 45 B0 C6 45 B4 11 8D 55 B0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 8C 8D 45 F4 E8 ?? ?? ?? ?? 8D 4D 88 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 83 7D 88 00 74 56 8D 4D F8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 66 83 BB 8A 02 00 00 00 74 3C 8B 45 FC 50 8D 45 E7 50 8D 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 45 84 50 8B 45 F8 89 45 B0 C6 45 B4 11 8D 55 B0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 84 8D 45 F4 E8 ?? ?? ?? ?? 8D 4D 80 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 83 7D 80 00 0F 84 A2 00 00 00 8D 4D F8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 66 83 BB F2 02 00 00 00 0F 84 84 00 00 00 F6 83 74 01 00 00 40 74 7B 8B 45 F8 E8 ?? ?? ?? ?? DD 5D C8 9B 33 C0 89 45 D8 89 45 DC 33 C0 89 45 D0 89 45 D4 8D 45 C8 50 8D 45 D8 50 8D 45 D0 50 8D 45 E7 50 8B 4D FC 8B D7 8B 83 F4 02 00 00 FF 93 F0 02 00 00 FF 75 CC FF 75 C8 8D 55 F8 B0 01 E8 ?? ?? ?? ?? 8D 85 7C FF FF FF 50 8B 45 F8 89 45 B0 C6 45 B4 11 8D 55 B0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 74 30 FF 75 F4 68 ?? ?? ?? ?? FF 75 FC 8D 85 78 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 8D 78 FF FF FF 8B 46 18 BA D5 00 00 00 8B 18 FF 53 44 EB 48 8D 85 74 FF FF FF 50 8D 95 70 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 B8 ?? ?? ?? ?? 89 45 B0 C6 45 B4 11 8D 55 B0 33 C9 58 E8 ?? ?? ?? ?? 8B 8D 74 FF FF FF 8B 46 18 BA F8 01 00 00 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 70 FF FF FF BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4D 00 6F 00 64 00 69 00 66 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 6F 00 64 00 69 00 66 00 79 00 3D 00 25 00 73 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 3D 00 25 00 73 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 57 00 69 00 6E 00 33 00 32 00 2E 00 65 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 30 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 33 00 32 00 2E 00 65 00 61 00 3D 00 25 00 73 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 6E 00 69 00 78 00 2E 00 6D 00 6F 00 64 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 2E 00 34 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 55 00 6E 00 69 00 78 00 2E 00 6D 00 6F 00 64 00 65 00 3D 00 25 00 73 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 55 00 6E 00 69 00 78 00 2E 00 6F 00 77 00 6E 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 55 00 6E 00 69 00 78 00 2E 00 6F 00 77 00 6E 00 65 00 72 00 3D 00 25 00 73 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 55 00 6E 00 69 00 78 00 2E 00 67 00 72 00 6F 00 75 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 55 00 6E 00 69 00 78 00 2E 00 67 00 72 00 6F 00 75 00 70 00 3D 00 25 00 73 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2E 00 6C 00 61 00 73 00 74 00 61 00 63 00 63 00 65 00 73 00 73 00 74 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2E 00 6C 00 61 00 73 00 74 00 61 00 63 00 63 00 65 00 73 00 73 00 74 00 69 00 6D 00 65 00 3D 00 25 00 73 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4D 00 46 00 46 00 00 00 }
	condition:
		$1
}

rule function_34256_0 {
	meta:
		name = "TIdFTPServer.GetMD5Checksum"
		size = 357
		refs = "001a TIdFTPServer.GetMD5Checksum 0028 @UStrClr 003a TIdFTPServer.DoOnMD5Cache 005d TIdFTPServer.DoOnCRCFile 0081 TStream.SetPosition 0087 _Dn_TIdHashMessageDigest5 00de TIdHash.HashStreamAsHex 00f3 TObject.Free 00f9 @HandleFinally 0106 @UStrAsg 011a TIdFTPServer.DoOnMD5Verify"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 DB 89 5D FC 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D F0 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 83 38 00 0F 85 F6 00 00 00 33 C0 89 45 EC 8D 45 EC 50 8B 4D F0 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 83 7D EC 00 0F 84 D5 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 5D EC C7 45 E0 00 00 00 00 C7 45 E4 00 00 00 00 8B 45 EC 8B 10 FF 12 89 45 D8 89 55 DC B2 01 8B C6 FF 50 08 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 E4 FF 75 E0 8B 45 D8 8B 55 DC 2B 45 E0 1B 55 E4 52 50 8D 4D FC 8B D3 8B 45 D4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 8B 00 50 8B 4D F0 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34257_0 {
	meta:
		name = "TIdFTPServer.CommandMMD5"
		size = 540
		refs = "001d TIdFTPServer.CommandMMD5 002f _DV_TIdFTPServerContext 0034 @AsClass 003c GetFIPSMode 004f TIdFTPServer.CmdSyntaxError 0060 @UStrClr 0072 TIdFTPServerContext.IsAuthenticated 00ab _Dn_TStringList 00b0 TStringList.Create 00cf ParseQuotedArgs 0102 UnquotedStr 010f TIdFTPServer.DoProcessPath 011c TIdFTPServer.GetMD5Checksum 0155 @UStrCatN 016d IdDelete 0187 TObject.Free 018d @HandleFinally 01a0 TIdFTPServer.CmdTwineFileActionAborted 01dc @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 40 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 35 ?? ?? ?? ?? 8B 36 FF D6 84 C0 74 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? E9 6E 01 00 00 C6 45 EB 00 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 48 01 00 00 8B 45 F4 66 83 B8 12 02 00 00 00 75 1D 8B 45 F4 66 83 B8 3A 02 00 00 00 75 10 8B 45 F4 83 B8 D0 02 00 00 00 0F 84 13 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 8B 40 24 8B 55 EC E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 48 85 C0 7C 7F 40 89 45 E4 33 F6 8D 45 FC 50 8D 45 E0 50 8D 4D D8 8B D6 8B 45 EC 8B 38 FF 57 0C 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 4D DC 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D E0 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 83 7D FC 00 75 06 C6 45 EB 01 EB 33 FF 75 F8 68 ?? ?? ?? ?? 8D 4D D4 8B D6 8B 45 EC 8B 38 FF 57 0C FF 75 D4 68 ?? ?? ?? ?? FF 75 FC 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 46 FF 4D E4 75 87 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 80 7D EB 00 74 0D 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? EB 20 8B 45 F0 8B 40 18 8B 4D F8 BA FC 00 00 00 8B 18 FF 53 44 EB 0B 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34258_0 {
	meta:
		name = "TIdFTPServer.CommandMD5"
		size = 212
		refs = "0012 TIdFTPServer.CommandMD5 0020 GetFIPSMode 0031 TIdFTPServer.CmdSyntaxError 003b @UStrClr 0044 TIdFTPServerContext.IsAuthenticated 006f TIdFTPServer.DoProcessPath 007b TIdFTPServer.GetMD5Checksum 008a TIdFTPServer.CmdTwineFileActionAborted 00c1 @UStrArrayClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7E 20 A1 ?? ?? ?? ?? 8B 00 FF D0 84 C0 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 74 8D 45 FC E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 74 5F 66 83 BB 12 02 00 00 00 75 09 83 BB D0 02 00 00 00 74 43 8D 45 FC 50 8D 45 F8 50 8B 4E 24 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 1B 8B 4D FC BA FB 00 00 00 8B 46 18 8B 18 FF 53 44 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34259_0 {
	meta:
		name = "TIdFTPServer.DoOnMD5Verify"
		size = 37
	strings:
		$1 = { 55 8B EC 53 66 83 B8 42 02 00 00 00 74 12 8B 5D 08 53 8B D8 8B 83 44 02 00 00 FF 93 40 02 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_34260_0 {
	meta:
		name = "TIdFTPServer.DoOnMD5Cache"
		size = 37
	strings:
		$1 = { 55 8B EC 53 66 83 B8 3A 02 00 00 00 74 12 8B 5D 08 53 8B D8 8B 83 3C 02 00 00 FF 93 38 02 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_34261_0 {
	meta:
		name = "TIdFTPServer.DoDisconnect"
		size = 36
		refs = "001d TIdCustomTCPServer.DoDisconnect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 8C 01 00 00 85 C0 74 08 8B 56 5C 8B 08 FF 51 68 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34262_0 {
	meta:
		name = "TIdFTPServer.DoOnCRCFile"
		size = 64
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 8B BE D0 02 00 00 85 FF 74 0D 8B 45 08 50 8B C7 8B 18 FF 53 70 EB 1A 66 83 BE 12 02 00 00 00 74 10 8B 45 08 50 8B 86 14 02 00 00 FF 96 10 02 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_34263_0 {
	meta:
		name = "TIdFTPServer.DoOnCombineFiles"
		size = 64
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 8B BE D0 02 00 00 85 FF 74 0D 8B 45 08 50 8B C7 8B 18 FF 53 74 EB 1A 66 83 BE 1A 02 00 00 00 74 10 8B 45 08 50 8B 86 1C 02 00 00 FF 96 18 02 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_34264_0 {
	meta:
		name = "TIdFTPServer.DoOnRenameFile"
		size = 63
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 8B BE D0 02 00 00 85 FF 74 0C 8B 4D 08 8B C7 8B 18 FF 53 54 EB 1A 66 83 BE D2 01 00 00 00 74 10 8B 45 08 50 8B 86 D4 01 00 00 FF 96 D0 01 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_34265_0 {
	meta:
		name = "TIdFTPServer.DoOnGetFileDate"
		size = 80
		refs = "001e OffsetFromUTC"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 8B BE D0 02 00 00 85 FF 74 1D 8B 45 08 50 8B C7 8B 18 FF 53 4C E8 ?? ?? ?? ?? 8B 45 08 DC 28 8B 45 08 DD 18 9B EB 1A 66 83 BE BA 01 00 00 00 74 10 8B 45 08 50 8B 86 BC 01 00 00 FF 96 B8 01 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_34266_0 {
	meta:
		name = "TIdFTPServer.DoOnGetFileSize"
		size = 62
	strings:
		$1 = { 55 8B EC 53 56 8B B0 D0 02 00 00 85 F6 74 0D 8B 5D 08 53 8B C6 8B 18 FF 53 48 EB 1C 66 83 B8 B2 01 00 00 00 74 12 8B 5D 08 53 8B D8 8B 83 B4 01 00 00 FF 93 B0 01 00 00 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_34267_0 {
	meta:
		name = "TIdFTPServer.DoOnDeleteFile"
		size = 50
	strings:
		$1 = { 53 56 57 8B F0 8B BE D0 02 00 00 85 FF 74 09 8B C7 8B 18 FF 53 58 EB 16 66 83 BE DA 01 00 00 00 74 0C 8B 86 DC 01 00 00 FF 96 D8 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34268_0 {
	meta:
		name = "TIdFTPServer.SetUseTLS"
		size = 65
		refs = "000b TIdExplicitTLSServer.SetUseTLS"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 16 66 83 BE 88 01 00 00 14 75 20 66 C7 86 88 01 00 00 DD 03 5E 5B C3 66 81 BE 88 01 00 00 DD 03 75 09 66 C7 86 88 01 00 00 14 00 5E 5B C3 }
	condition:
		$1
}

rule function_34269_0 {
	meta:
		name = "TIdFTPServer.DisconUser"
		size = 159
		refs = "0012 TIdFTPServer.DisconUser 0024 RSFTPClosingConnection 0029 LoadResString 008c @UStrArrayClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 08 01 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA A5 01 00 00 8B 43 18 8B 38 FF 57 44 66 83 BE 5A 02 00 00 00 74 2F 8B 4B 18 8B 53 20 8B 86 5C 02 00 00 FF 96 58 02 00 00 8D 55 F8 8B 73 18 8B 46 18 8B 08 FF 51 1C 8B 4D F8 BA A5 01 00 00 8B C6 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34270_0 {
	meta:
		name = "TIdFTPServer.SetRFCReplyFormat"
		size = 26
		refs = "0007 _Dn_TIdReplyFTP 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 C6 43 1C 01 5B C3 }
	condition:
		$1
}

rule function_34271_0 {
	meta:
		name = "ValidAttribStr"
		size = 188
		refs = "000a ValidAttribStr 0011 TextStartsWith 0038 @UStrEqual 0063 CharIsInSet"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 5A 8B FE 8B C7 85 C0 74 05 83 E8 04 8B 00 48 0F 9F C3 84 DB 74 45 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 37 8B C7 85 C0 74 05 83 E8 04 8B 00 8B F8 83 EF 02 7C 25 47 C7 45 FC 02 00 00 00 B9 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 06 FF 45 FC 4F 75 E3 8B C3 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2B 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 41 00 53 00 48 00 00 00 00 00 }
	condition:
		$1
}

rule function_34272_0 {
	meta:
		name = "TIdFTPServer.CommandSiteATTRIB"
		size = 1324
		refs = "001b TIdFTPServer.CommandSiteATTRIB 002a _DV_TIdFTPServerContext 002f @AsClass 003a TIdFTPServerContext.IsAuthenticated 005e @UStrLAsg 0073 Fetch 0082 UpperCase 009a TextStartsWith 00aa ValidAttribStr 00d4 IndyPos 00f0 RSFTPSiteATTRIBMsg 00f5 LoadResString 0102 @UStrCat 0230 RSFTPSiteATTRIBDone 0250 IntToStr 0267 IndyFormat 0275 @UStrCat3 0294 TIdFTPServer.DoProcessPath 02b4 TIdFTPServer.DoOnSetATTRIB 02be RSFTPSiteATTRIBInvalid 02e3 RSFTPPermissionDenied 0344 @UStrArrayClr 0364 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 E8 02 00 00 8B 45 EC 66 83 B8 6A 02 00 00 00 0F 84 C6 02 00 00 8D 45 FC 8B 53 24 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 E7 01 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 58 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 04 02 00 00 33 C0 89 45 E8 8B 43 18 8B 10 FF 52 30 33 C9 BA DC 00 00 00 8B 43 18 8B 38 FF 57 44 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 F8 B8 ?? ?? ?? ?? FF D7 85 C0 7E 2C 83 4D E8 01 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 43 18 8B 40 18 8B 08 FF 51 38 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 F8 B8 ?? ?? ?? ?? FF D7 85 C0 7E 2C 83 4D E8 20 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 43 18 8B 40 18 8B 08 FF 51 38 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 F8 B8 ?? ?? ?? ?? FF D7 85 C0 7E 2C 83 4D E8 04 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 43 18 8B 40 18 8B 08 FF 51 38 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 F8 B8 ?? ?? ?? ?? FF D7 85 C0 7E 2C 83 4D E8 02 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B 43 18 8B 40 18 8B 08 FF 51 38 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 F8 B8 ?? ?? ?? ?? FF D7 85 C0 7E 2F 81 4D E8 80 00 00 00 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 43 18 8B 40 18 8B 08 FF 51 38 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7D F8 85 FF 74 05 83 EF 04 8B 3F 8D 45 C4 50 8D 55 B8 8B C7 48 E8 ?? ?? ?? ?? 8B 45 B8 89 45 BC C6 45 C0 11 8D 55 BC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D C4 8D 45 C8 8B 55 F0 E8 ?? ?? ?? ?? 8B 55 C8 8B 43 18 8B 40 18 8B 08 FF 51 38 8D 45 B4 50 8B 4D FC 8B D6 8B 45 EC E8 ?? ?? ?? ?? 8B 55 B4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 E7 50 8D 4D E8 8B D6 8B 45 EC E8 ?? ?? ?? ?? EB 1F 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B0 BA 26 02 00 00 8B 43 18 8B 18 FF 53 44 EB 55 80 7D E7 00 75 4F 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D AC BA 29 02 00 00 8B 43 18 8B 18 FF 53 44 EB 30 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A8 BA 26 02 00 00 8B 43 18 8B 18 FF 53 44 EB 11 8B 45 EC 8B 90 DC 02 00 00 8B 43 18 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 52 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 20 00 3A 00 20 00 2B 00 46 00 49 00 4C 00 45 00 5F 00 41 00 54 00 54 00 52 00 49 00 42 00 55 00 54 00 45 00 5F 00 52 00 45 00 41 00 44 00 4F 00 4E 00 4C 00 59 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 20 00 3A 00 20 00 2B 00 46 00 49 00 4C 00 45 00 5F 00 41 00 54 00 54 00 52 00 49 00 42 00 55 00 54 00 45 00 5F 00 41 00 52 00 43 00 48 00 49 00 56 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 53 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 20 00 3A 00 20 00 2B 00 46 00 49 00 4C 00 45 00 5F 00 41 00 54 00 54 00 52 00 49 00 42 00 55 00 54 00 45 00 5F 00 53 00 59 00 53 00 54 00 45 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 48 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 20 00 3A 00 20 00 2B 00 46 00 49 00 4C 00 45 00 5F 00 41 00 54 00 54 00 52 00 49 00 42 00 55 00 54 00 45 00 5F 00 48 00 49 00 44 00 44 00 45 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 20 00 3A 00 20 00 2B 00 46 00 49 00 4C 00 45 00 5F 00 41 00 54 00 54 00 52 00 49 00 42 00 55 00 54 00 45 00 5F 00 4E 00 4F 00 52 00 4D 00 41 00 4C 00 00 00 }
	condition:
		$1
}

rule function_34273_0 {
	meta:
		name = "TryNewFTPSyntax"
		size = 472
		refs = "0025 TryNewFTPSyntax 0048 TIdFTPServer.CmdSyntaxError 0062 IsValidTimeStamp 0075 @UStrLAsg 008a Fetch 0092 FTPMLSToGMTDateTime 009b OffsetFromUTC 00b6 TIdFTPServer.DoProcessPath 0143 RSFTPCHMODSuccessful 0148 LoadResString 0162 RSFTPPermissionDenied 01a0 @UStrArrayClr 01b5 @UStrClr 01bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 C9 89 4D BC 89 4D C0 89 4D C4 89 4D D0 89 4D D4 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 01 8B 43 0C 8B 10 FF 52 14 85 C0 75 12 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? E9 39 01 00 00 8D 4D D4 33 D2 8B 43 0C 8B 38 FF 57 0C 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 0F 84 0F 01 00 00 8D 45 FC 8B 53 24 E8 ?? ?? ?? ?? 6A 01 8D 45 D0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? DD 5D C8 9B E8 ?? ?? ?? ?? DC 6D C8 DD 5D F0 9B 8D 45 C4 50 8B 45 08 8B 40 FC 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 66 83 B8 F2 02 00 00 00 74 39 33 C0 89 45 E0 89 45 E4 33 C0 89 45 D8 89 45 DC 8D 45 E0 50 8D 45 F0 50 8D 45 D8 50 8D 45 EF 50 8B 45 08 8B 78 FC 8B 4D FC 8B D6 8B 87 F4 02 00 00 FF 97 F0 02 00 00 EB 2B 8B 45 08 8B 40 FC 66 83 B8 22 02 00 00 00 74 1B 8D 45 F0 50 8B 45 08 8B 78 FC 8B 4D FC 8B D6 8B 87 24 02 00 00 FF 97 20 02 00 00 80 7D EF 00 74 1F 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 BA C8 00 00 00 8B 43 18 8B 18 FF 53 44 EB 2C 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC BA 29 02 00 00 8B 43 18 8B 18 FF 53 44 EB 0D 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34274_0 {
	meta:
		name = "TIdFTPServer.CommandSiteUTIME"
		size = 840
		refs = "001b TIdFTPServer.CommandSiteUTIME 0046 _DV_TIdFTPServerContext 004b @AsClass 0056 TIdFTPServerContext.IsAuthenticated 00ca TextIsSame 00ee IsValidTimeStamp 0124 TryNewFTPSyntax 0140 FTPMLSToGMTDateTime 0190 @UStrClr 01c9 @UStrCatN 01e3 IdDelete 01f4 TIdFTPServer.DoProcessPath 01ff @UStrLAsg 02a8 RSFTPCHMODSuccessful 02ad LoadResString 02c7 RSFTPPermissionDenied 0303 @UStrArrayClr 0311 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0C 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 01 33 C0 89 45 E0 89 45 E4 33 C0 89 45 D8 89 45 DC 33 C0 89 45 D0 89 45 D4 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 8B 02 00 00 8B 45 FC 66 83 B8 F2 02 00 00 00 75 1E 8B 45 FC 66 83 B8 22 02 00 00 00 75 11 8B 45 FC 66 83 B8 32 02 00 00 00 0F 84 55 02 00 00 33 C0 89 45 EC 8B 43 0C 8B 10 FF 52 14 48 89 45 F0 8B 43 0C 8B 10 FF 52 14 83 F8 02 0F 8E 33 02 00 00 C6 45 F7 01 8D 4D C4 8B 55 F0 8B 43 0C 8B 38 FF 57 0C 8B 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 0C 02 00 00 FF 4D F0 FF 45 EC 8D 4D C0 8B 55 F0 8B 43 0C 8B 38 FF 57 0C 8B 45 C0 E8 ?? ?? ?? ?? 84 C0 74 28 FF 4D F0 FF 45 EC 8D 4D BC 8B 55 F0 8B 43 0C 8B 38 FF 57 0C 8B 45 BC E8 ?? ?? ?? ?? 84 C0 74 18 FF 4D F0 FF 45 EC EB 10 55 8B D3 8B C6 E8 ?? ?? ?? ?? 59 E9 BF 01 00 00 8D 4D B8 8B 55 F0 8B 43 0C 8B 38 FF 57 0C 8B 45 B8 E8 ?? ?? ?? ?? DD 5D E0 9B 83 7D EC 01 7E 1B 8D 4D B4 8B 55 F0 42 8B 43 0C 8B 38 FF 57 0C 8B 45 B4 E8 ?? ?? ?? ?? DD 5D D8 9B 83 7D EC 02 7E 1D 8D 4D B0 8B 55 F0 83 C2 02 8B 43 0C 8B 38 FF 57 0C 8B 45 B0 E8 ?? ?? ?? ?? DD 5D D0 9B 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 48 85 C0 7C 39 40 89 45 C8 C7 45 CC 00 00 00 00 FF 75 F8 68 ?? ?? ?? ?? 8D 4D AC 8B 55 CC 8B 43 0C 8B 38 FF 57 0C FF 75 AC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 CC FF 4D C8 75 D2 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 50 8B 4D F8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 A8 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 F2 02 00 00 00 74 26 8D 45 E0 50 8D 45 D8 50 8D 45 D0 50 8D 45 F7 50 8B 7D FC 8B 4D F8 8B D6 8B 87 F4 02 00 00 FF 97 F0 02 00 00 EB 68 DD 45 D8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 25 8B 45 FC 66 83 B8 22 02 00 00 00 74 18 8D 45 D8 50 8B 7D FC 8B 4D F8 8B D6 8B 87 24 02 00 00 FF 97 20 02 00 00 DD 45 D0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 25 8B 45 FC 66 83 B8 32 02 00 00 00 74 18 8D 45 D0 50 8B 7D FC 8B 4D F8 8B D6 8B 87 34 02 00 00 FF 97 30 02 00 00 80 7D F7 00 74 1F 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A4 BA C8 00 00 00 8B 43 18 8B 18 FF 53 44 EB 2A 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A0 BA 29 02 00 00 8B 43 18 8B 18 FF 53 44 EB 0B 55 8B D3 8B C6 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 55 00 54 00 43 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_34275_0 {
	meta:
		name = "TIdFTPServer.DoOnSiteCHGRP"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 8A 02 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 8C 02 00 00 FF 93 88 02 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_34276_0 {
	meta:
		name = "TIdFTPServer.DoOnSiteCHOWN"
		size = 45
	strings:
		$1 = { 55 8B EC 53 66 83 B8 82 02 00 00 00 74 1A 8B 5D 10 53 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 84 02 00 00 FF 93 80 02 00 00 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_34277_0 {
	meta:
		name = "TIdFTPServer.CommandSiteCHOWN"
		size = 372
		refs = "001a TIdFTPServer.CommandSiteCHOWN 0029 _DV_TIdFTPServerContext 002e @AsClass 0039 TIdFTPServerContext.IsAuthenticated 005e @UStrLAsg 0073 Fetch 009c TIdFTPServer.DoProcessPath 00b0 TIdFTPServer.DoOnSiteCHOWN 00c2 RSFTPCmdSuccessful 00c7 LoadResString 00e0 IndyFormat 00fa RSFTPPermissionDenied 0124 @UStrClr 0131 @UStrArrayClr 0144 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 CE 00 00 00 66 83 BF 82 02 00 00 00 0F 84 C0 00 00 00 C6 45 F3 01 8D 45 FC 8B 53 24 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8D 45 EC 50 8B 4D FC 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 F3 50 8D 4D F8 8B D6 8B C7 E8 ?? ?? ?? ?? 80 7D F3 00 74 3C 8D 45 E8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8B 43 14 89 45 DC C6 45 E0 11 8D 55 DC 33 C9 58 E8 ?? ?? ?? ?? 8B 4D E8 BA DC 00 00 00 8B 43 18 8B 18 FF 53 44 EB 1D 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 BA 29 02 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_34278_0 {
	meta:
		name = "TIdFTPServer.CommandSiteCHGRP"
		size = 332
		refs = "001b TIdFTPServer.CommandSiteCHGRP 002a _DV_TIdFTPServerContext 002f @AsClass 003a TIdFTPServerContext.IsAuthenticated 005f @UStrLAsg 0074 Fetch 0084 TIdFTPServer.DoProcessPath 0098 TIdFTPServer.DoOnSiteCHGRP 00aa RSFTPCmdSuccessful 00af LoadResString 00c8 IndyFormat 00e2 RSFTPPermissionDenied 010c @UStrClr 0119 @UStrArrayClr 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 B5 00 00 00 66 83 BF 8A 02 00 00 00 0F 84 A7 00 00 00 C6 45 F7 01 8D 45 FC 8B 53 24 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8B 4D FC 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 F7 50 8D 4D F8 8B D6 8B C7 E8 ?? ?? ?? ?? 80 7D F7 00 74 3C 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 43 14 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D EC BA C8 00 00 00 8B 43 18 8B 18 FF 53 44 EB 1D 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC BA 29 02 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34279_0 {
	meta:
		name = "TIdFTPServer.CommandSiteCHMOD"
		size = 352
		refs = "0017 TIdFTPServer.CommandSiteCHMOD 0026 _DV_TIdFTPServerContext 002b @AsClass 0036 TIdFTPServerContext.IsAuthenticated 0060 @UStrLAsg 0075 Fetch 007f TIdFTPServer.IsValidPermNumbers 0091 IndyStrToInt 00a4 TIdFTPServer.DoProcessPath 00b8 TIdFTPServer.DoOnSiteCHMOD 00c6 RSFTPCHMODSuccessful 00cb LoadResString 00e5 RSFTPPermissionDenied 0105 TIdFTPServer.CmdNotImplemented 012f @UStrArrayClr 0142 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 D7 00 00 00 66 83 BB 7A 02 00 00 00 75 0D 83 BB D0 02 00 00 00 0F 84 B2 00 00 00 8D 45 FC 8B 56 24 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 79 C6 45 F7 01 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 8D 45 EC 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 F7 50 8D 4D F0 8B D7 8B C3 E8 ?? ?? ?? ?? 80 7D F7 00 74 1F 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 BA DC 00 00 00 8B 46 18 8B 18 FF 53 44 EB 38 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 BA 29 02 00 00 8B 46 18 8B 18 FF 53 44 EB 19 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0E 8B 93 DC 02 00 00 8B 46 18 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34280_0 {
	meta:
		name = "TIdFTPServer.CommandSiteUMASK"
		size = 453
		refs = "0029 TIdFTPServer.CommandSiteUMASK 0038 _DV_TIdFTPServerContext 003d @AsClass 0048 TIdFTPServerContext.IsAuthenticated 0089 TIdFTPServer.IsValidPermNumbers 00ac IndyStrToInt 00c0 TIdFTPServer.DoOnSiteUMASK 00d2 RSFTPUMaskSet 00d7 LoadResString 00fe IndyFormat 0121 RSFTPPermissionDenied 0142 TIdFTPServer.CmdNotImplemented 0150 RSFTPUMaskIs 01a5 @UStrArrayClr 01b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 C9 89 4D CC 89 4D C8 89 4D D0 89 4D E8 89 4D E4 89 4D EC 89 4D F0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 3B 01 00 00 8B 45 FC 66 83 B8 72 02 00 00 00 0F 84 20 01 00 00 8B 43 0C 8B 10 FF 52 14 85 C0 0F 8E D3 00 00 00 8D 4D F0 33 D2 8B 43 0C 8B 38 FF 57 0C 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 A7 00 00 00 C6 45 F7 01 8D 4D EC 33 D2 8B 43 0C 8B 38 FF 57 0C 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 89 45 F8 8D 45 F7 50 8D 4D F8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 80 7D F7 00 74 53 8D 45 E8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 8B 55 F8 89 55 D4 C6 45 D8 00 8B 96 AC 00 00 00 89 55 DC C6 45 E0 00 8D 55 D4 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 BA C8 00 00 00 8B 43 18 8B 18 FF 53 44 8B 45 F8 89 86 AC 00 00 00 EB 72 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 BA 29 02 00 00 8B 43 18 8B 18 FF 53 44 EB 53 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 47 8D 45 CC 50 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 8B 96 AC 00 00 00 89 55 C0 C6 45 C4 00 8D 55 C0 33 C9 E8 ?? ?? ?? ?? 8B 4D CC BA C8 00 00 00 8B 43 18 8B 18 FF 53 44 EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34281_0 {
	meta:
		name = "TIdFTPServer.IsValidPermNumbers"
		size = 96
		refs = "001f TIdFTPServer.IsValidPermNumbers 0028 CharIsInSet"
	strings:
		$1 = { 53 56 57 55 8B FA 33 DB 8B C7 85 C0 74 05 83 E8 04 8B 00 8B E8 85 ED 7E 1B BE 01 00 00 00 B9 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 74 06 46 4D 75 EA B3 01 8B C3 5D 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 30 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_34282_0 {
	meta:
		name = "TIdFTPServer.DoOnSiteUMASK"
		size = 37
	strings:
		$1 = { 55 8B EC 53 66 83 B8 72 02 00 00 00 74 12 8B 5D 08 53 8B D8 8B 83 74 02 00 00 FF 93 70 02 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_34283_0 {
	meta:
		name = "TIdFTPServer.DoOnSetATTRIB"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 6A 02 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 6C 02 00 00 FF 93 68 02 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_34284_0 {
	meta:
		name = "TIdFTPServer.DoOnSiteCHMOD"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 7A 02 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 7C 02 00 00 FF 93 78 02 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_34285_0 {
	meta:
		name = "TIdFTPServer.CommandSiteDIRSTYLE"
		size = 333
		refs = "0018 TIdFTPServer.CommandSiteDIRSTYLE 0027 _DV_TIdFTPServerContext 002c @AsClass 004d TIdFTPServerContext.IsAuthenticated 0084 RSFTPOn 0089 LoadResString 009f RSFTPDirStyle 00af IndyFormat 00cd RSFTPOff 0132 @UStrArrayClr 013a @UStrClr 0140 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 80 BB 59 01 00 00 00 74 0D 80 BB 59 01 00 00 04 0F 85 C6 00 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 C3 00 00 00 8B 46 0C 8B 10 FF 52 14 85 C0 0F 85 B3 00 00 00 0F B6 87 B0 00 00 00 34 01 88 87 B0 00 00 00 84 C0 74 49 8D 45 FC 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 4D FC BA C8 00 00 00 8B 46 18 8B 18 FF 53 44 EB 57 8D 45 E8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 33 C9 5A E8 ?? ?? ?? ?? 8B 4D E8 BA C8 00 00 00 8B 46 18 8B 18 FF 53 44 EB 0E 8B 93 DC 02 00 00 8B 46 18 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34286_0 {
	meta:
		name = "TIdFTPServer.CommandSiteHELP"
		size = 520
		refs = "0014 TIdFTPServer.CommandSiteHELP 0023 _DV_TIdFTPServerContext 0028 @AsClass 0033 TIdFTPServerContext.IsAuthenticated 0043 RSFTPSITECmdsSupported 0048 LoadResString 0058 @UStrCat3 005f _Dn_TStringList 0064 TStringList.Create 00f3 TIdFTPServer.HelpText 0109 @UStrCatN 0133 TObject.Free 0139 @HandleFinally 0155 @UStrArrayClr 015d @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 00 01 00 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 83 BB 6A 02 00 00 00 74 0D BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 66 83 BB 7A 02 00 00 00 74 0D BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 0F B6 83 59 01 00 00 84 C0 74 04 3C 04 75 0D BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 66 83 BB 72 02 00 00 00 74 0D BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 FF 75 FC 8D 4D F0 8B 55 F8 8B C3 E8 ?? ?? ?? ?? FF 75 F0 FF B3 D4 02 00 00 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 46 18 8B 4D FC BA D6 00 00 00 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 54 00 54 00 52 00 49 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 48 00 4D 00 4F 00 44 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 49 00 52 00 53 00 54 00 59 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 4D 00 41 00 53 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 5A 00 4F 00 4E 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_34287_0 {
	meta:
		name = "TIdFTPServer.HelpText"
		size = 1116
		refs = "001f TIdFTPServer.HelpText 002d @UStrClr 0079 @UStrAsg 00b4 IndyFormat 00bf @UStrCat 01f2 @UStrCatN 0335 @UStrArrayClr 035d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 18 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 14 85 C0 0F 84 DC 02 00 00 8B C6 8B 10 FF 52 14 B9 06 00 00 00 99 F7 F9 89 45 F8 8B C6 8B 10 FF 52 14 B9 06 00 00 00 99 F7 F9 89 55 F4 8B C6 8B 10 FF 52 14 83 F8 06 7D 71 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 14 48 85 C0 7C 43 40 89 45 F0 33 DB 8D 45 EC 50 8D 4D E0 8B D3 8B C6 8B 38 FF 57 0C 8B 45 E0 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 43 FF 4D F0 75 C3 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E9 3B 02 00 00 8B 45 F8 48 85 C0 0F 8C 2F 02 00 00 40 89 45 F0 33 DB 8B 45 F4 48 3B D8 0F 8F FC 00 00 00 83 7D F4 00 0F 84 F2 00 00 00 8B 45 FC FF 30 8D 45 DC 50 8D 4D A0 8B D3 8B C6 8B 38 FF 57 0C 8B 45 A0 89 45 A4 C6 45 A8 11 8D 4D 9C 8B D3 03 55 F8 8B C6 8B 38 FF 57 0C 8B 45 9C 89 45 AC C6 45 B0 11 8D 4D 98 8B 55 F8 03 D2 03 D3 8B C6 8B 38 FF 57 0C 8B 45 98 89 45 B4 C6 45 B8 11 8D 4D 94 8B 55 F8 8D 14 52 03 D3 8B C6 8B 38 FF 57 0C 8B 45 94 89 45 BC C6 45 C0 11 8D 4D 90 8B 55 F8 03 D2 03 D2 03 D3 8B C6 8B 38 FF 57 0C 8B 45 90 89 45 C4 C6 45 C8 11 8D 4D 8C 8B 55 F8 8D 14 92 03 D3 8B C6 8B 38 FF 57 0C 8B 45 8C 89 45 CC C6 45 D0 11 8D 4D 88 8B 55 F8 03 D2 8D 14 52 03 D3 8B C6 8B 38 FF 57 0C 8B 45 88 89 45 D4 C6 45 D8 11 8D 55 A4 B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8B 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? E9 17 01 00 00 8B 45 FC FF 30 8D 45 84 50 8D 8D 50 FF FF FF 8B D3 8B C6 8B 38 FF 57 0C 8B 85 50 FF FF FF 89 85 54 FF FF FF C6 85 58 FF FF FF 11 8D 8D 4C FF FF FF 8B D3 03 55 F8 8B C6 8B 38 FF 57 0C 8B 85 4C FF FF FF 89 85 5C FF FF FF C6 85 60 FF FF FF 11 8D 8D 48 FF FF FF 8B 55 F8 03 D2 03 D3 8B C6 8B 38 FF 57 0C 8B 85 48 FF FF FF 89 85 64 FF FF FF C6 85 68 FF FF FF 11 8D 8D 44 FF FF FF 8B 55 F8 8D 14 52 03 D3 8B C6 8B 38 FF 57 0C 8B 85 44 FF FF FF 89 85 6C FF FF FF C6 85 70 FF FF FF 11 8D 8D 40 FF FF FF 8B 55 F8 03 D2 03 D2 03 D3 8B C6 8B 38 FF 57 0C 8B 85 40 FF FF FF 89 85 74 FF FF FF C6 85 78 FF FF FF 11 8D 8D 3C FF FF FF 8B 55 F8 8D 14 92 03 D3 8B C6 8B 38 FF 57 0C 8B 85 3C FF FF FF 89 85 7C FF FF FF C6 45 80 11 8D 95 54 FF FF FF B9 05 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 84 68 ?? ?? ?? ?? 8B 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 43 FF 4D F0 0F 85 D7 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 3C FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 84 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 20 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 2D 00 31 00 30 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0D 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 20 00 20 00 20 00 20 00 25 00 2D 00 31 00 30 00 73 00 25 00 2D 00 31 00 30 00 73 00 25 00 2D 00 31 00 30 00 73 00 25 00 2D 00 31 00 30 00 73 00 25 00 2D 00 31 00 30 00 73 00 25 00 2D 00 31 00 30 00 73 00 25 00 2D 00 31 00 30 00 73 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 20 00 20 00 20 00 20 00 25 00 2D 00 31 00 30 00 73 00 25 00 2D 00 31 00 30 00 73 00 25 00 2D 00 31 00 30 00 73 00 25 00 2D 00 31 00 30 00 73 00 25 00 2D 00 31 00 30 00 73 00 25 00 2D 00 31 00 30 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_34288_0 {
	meta:
		name = "TIdFTPServer.CommandSITE"
		size = 192
		refs = "0012 TIdFTPServer.CommandSITE 0023 @UStrLAsg 0051 TIdReply.SetNumericCode 0070 @UStrCatN 007d TIdFTPServer.CmdSyntaxError 009b @UStrArrayClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 24 E8 ?? ?? ?? ?? 8B 43 18 8B 10 FF 52 30 C6 43 10 00 8D 4D FC 8B 53 20 8B 86 6C 01 00 00 8B 38 FF 57 28 84 C0 75 3D BA F4 01 00 00 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 50 8B 43 04 FF 70 10 68 ?? ?? ?? ?? FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 8B 53 20 8B C6 E8 ?? ?? ?? ?? C6 43 10 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34289_0 {
	meta:
		name = "TIdFTPServer.MLSFEATLine"
		size = 1200
		refs = "0014 TIdFTPServer.MLSFEATLine 0019 @UStrAsg 002b @UStrCat 02d6 IdDelete"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 66 89 4D FE 8B F0 8B 5D 08 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FE 04 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FE 01 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 86 74 01 00 00 02 74 2C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FE 08 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 86 74 01 00 00 20 74 2C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 01 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FE 02 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 86 74 01 00 00 04 74 2C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FE 20 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 86 74 01 00 00 08 74 2C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FE 40 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 86 74 01 00 00 10 74 2C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FE 80 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 86 74 01 00 00 01 74 2C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FE 10 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 86 74 01 00 00 40 74 2C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 01 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 86 74 01 00 00 80 74 2C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 04 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 86 75 01 00 00 01 74 2C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 08 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 86 75 01 00 00 02 74 2C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 FF 10 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1E 8B 03 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B D3 B9 01 00 00 00 92 E8 ?? ?? ?? ?? 5E 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 4C 00 53 00 54 00 20 00 73 00 69 00 7A 00 65 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2A 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 65 00 72 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4D 00 6F 00 64 00 69 00 66 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 4E 00 49 00 58 00 2E 00 6D 00 6F 00 64 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 55 00 4E 00 49 00 58 00 2E 00 6F 00 77 00 6E 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 55 00 4E 00 49 00 58 00 2E 00 67 00 72 00 6F 00 75 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 6E 00 69 00 71 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2E 00 6C 00 61 00 73 00 74 00 61 00 63 00 63 00 65 00 73 00 73 00 74 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 57 00 69 00 6E 00 33 00 32 00 2E 00 65 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 57 00 69 00 6E 00 33 00 32 00 2E 00 64 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 57 00 69 00 6E 00 33 00 32 00 2E 00 64 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_34290_0 {
	meta:
		name = "TIdFTPServer.CommandCLNT"
		size = 50
		refs = "0015 _DV_TIdFTPServerContext 001a @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 BB 62 01 00 00 00 74 1F 8B 46 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 4E 24 8B 83 64 01 00 00 FF 93 60 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_34291_0 {
	meta:
		name = "TIdFTPServer.SetPASVBoundPortMax"
		size = 108
		refs = "0009 TIdFTPServer.SetPASVBoundPortMax 0028 RSFTPPASVBoundPortMaxMustBeGreater 002d LoadResString 0037 _DV_EIdFTPBoundPortMaxGreater 003c EIdException.Create 0041 @RaiseExcept 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 0F B7 88 7E 01 00 00 66 85 C9 74 26 66 3B CA 72 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 90 80 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_34292_0 {
	meta:
		name = "TIdFTPServer.SetPASVBoundPortMin"
		size = 108
		refs = "0009 TIdFTPServer.SetPASVBoundPortMin 0028 RSFTPPASVBoundPortMinMustBeLess 002d LoadResString 0037 _DV_EIdFTPBoundPortMinLess 003c EIdException.Create 0041 @RaiseExcept 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 0F B7 88 80 01 00 00 66 85 C9 74 26 66 3B D1 72 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 90 7E 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_34293_0 {
	meta:
		name = "TIdFTPServer.DoOnDataPortAfterBind"
		size = 27
	strings:
		$1 = { 53 66 83 B8 BA 02 00 00 00 74 0E 8B D8 8B 83 BC 02 00 00 FF 93 B8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_34294_0 {
	meta:
		name = "TIdFTPServer.DoOnDataPortBeforeBind"
		size = 27
	strings:
		$1 = { 53 66 83 B8 B2 02 00 00 00 74 0E 8B D8 8B 83 B4 02 00 00 FF 93 B0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_34295_0 {
	meta:
		name = "TIdFTPServer.FTPNormalizePath"
		size = 132
		refs = "001a TIdFTPServer.FTPNormalizePath 002d StringReplace 0056 @UStrAsg"
	strings:
		$1 = { 53 56 8B F1 8B DA 0F B6 80 5A 01 00 00 2C 01 72 06 FE C8 74 1F EB 3A 0F B6 05 ?? ?? ?? ?? 50 56 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 0F B6 05 ?? ?? ?? ?? 50 56 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_34296_0 {
	meta:
		name = "TIdFTPServer.DoProcessPath"
		size = 184
		refs = "001c TIdFTPServer.DoProcessPath 0036 TIdFTPServer.FTPNormalizePath 004c ProcessPath 0056 @UStrAsg 0091 @UStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 89 55 FC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 5A 01 00 00 03 74 2D 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 16 8B 45 FC 8B 40 50 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 24 8B C6 8B D7 E8 ?? ?? ?? ?? 66 83 BB AA 02 00 00 00 74 11 8B CE 8B 55 FC 8B 83 AC 02 00 00 FF 93 A8 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_34297_0 {
	meta:
		name = "TIdFTPServer.CDUPDir"
		size = 152
		refs = "0021 TIdFTPServer.CDUPDir 0026 @UStrAsg 0045 TIdFTPServer.DoProcessPath"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 0F B6 83 5A 01 00 00 2C 01 72 0A FE C8 74 14 FE C8 74 1E EB 2D 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1D 56 B9 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 2E 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 2E 00 2F 00 00 00 }
	condition:
		$1
}

rule function_34298_0 {
	meta:
		name = "TIdFTPServer.DoSysType"
		size = 164
		refs = "001e TIdFTPServer.DoSysType 0023 @UStrAsg"
	strings:
		$1 = { 53 56 8B F1 8B D8 0F B6 83 59 01 00 00 2C 01 72 28 2C 02 72 15 74 31 FE C8 75 3A 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 D8 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 5F 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 55 00 4E 00 49 00 58 00 20 00 54 00 79 00 70 00 65 00 3A 00 20 00 4C 00 38 00 00 00 }
	condition:
		$1
}

rule function_34299_0 {
	meta:
		name = "TIdFTPServer.DoOnCustomListDirectory"
		size = 45
	strings:
		$1 = { 55 8B EC 53 66 83 B8 CA 01 00 00 00 74 1A 8B 5D 10 53 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 CC 01 00 00 FF 93 C8 01 00 00 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_34300_0 {
	meta:
		name = "TIdFTPServer.CmdNotImplemented"
		size = 131
		refs = "0015 TIdFTPServer.CmdNotImplemented 0027 RSFTPCmdNotImplemented 002c LoadResString 0048 IndyFormat 0072 @UStrArrayClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 4D F8 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 04 8B 40 10 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC BA 26 02 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34301_0 {
	meta:
		name = "TIdFTPServer.CmdFileActionAborted"
		size = 84
		refs = "000c TIdFTPServer.CmdFileActionAborted 001a RSFTPFileActionAborted 001f LoadResString 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA 26 02 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_34302_0 {
	meta:
		name = "TIdFTPServer.CmdInvalidParamNum"
		size = 131
		refs = "0015 TIdFTPServer.CmdInvalidParamNum 0027 RSFTPInvalidNumberArgs 002c LoadResString 0048 IndyFormat 0072 @UStrArrayClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 4D F8 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 04 8B 40 10 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC BA F5 01 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34303_0 {
	meta:
		name = "TIdFTPServer.CmdInvalidParams"
		size = 131
		refs = "0015 TIdFTPServer.CmdInvalidParams 0027 RSFTPParamError 002c LoadResString 0048 IndyFormat 0072 @UStrArrayClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 4D F8 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 04 8B 40 10 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC BA F5 01 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34304_0 {
	meta:
		name = "TIdFTPServer.CmdTwineFileActionAborted"
		size = 84
		refs = "000c TIdFTPServer.CmdTwineFileActionAborted 001a RSFTPFileActionAborted 001f LoadResString 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA F8 01 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_34305_0 {
	meta:
		name = "TIdFTPServer.CmdCommandSuccessful"
		size = 132
		refs = "0018 TIdFTPServer.CmdCommandSuccessful 002a RSFTPCmdSuccessful 002f LoadResString 004b IndyFormat 0072 @UStrArrayClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 89 5D F8 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 04 8B 40 10 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34306_0 {
	meta:
		name = "TIdFTPServer.CommandSSCN"
		size = 416
		refs = "0010 TIdFTPServer.CommandSSCN 0026 TIdFTPServer.CmdNotImplemented 0034 _DV_TIdFTPServerContext 0039 @AsClass 0044 TIdFTPServerContext.IsAuthenticated 00a3 OnOffStates 00ad PosInStrArray 00f4 RSFTPInvalidForParam 00f9 LoadResString 0123 @UStrArrayClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 B8 54 01 00 00 00 75 0C 8B D3 E8 ?? ?? ?? ?? E9 DE 00 00 00 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 BD 00 00 00 8B 43 0C 8B 10 FF 52 14 85 C0 75 34 80 BE A3 00 00 00 00 74 17 B9 ?? ?? ?? ?? BA C8 00 00 00 8B 43 18 8B 18 FF 53 44 E9 91 00 00 00 B9 ?? ?? ?? ?? BA C8 00 00 00 8B 43 18 8B 18 FF 53 44 EB 7D 6A 00 8D 4D FC 33 D2 8B 43 0C 8B 38 FF 57 0C 8B 45 FC BA ?? ?? ?? ?? B9 01 00 00 00 E8 ?? ?? ?? ?? 83 E8 01 72 04 74 1D EB 36 C6 86 A3 00 00 00 01 B9 ?? ?? ?? ?? BA C8 00 00 00 8B 43 18 8B 18 FF 53 44 EB 38 C6 86 A3 00 00 00 00 B9 ?? ?? ?? ?? BA C8 00 00 00 8B 43 18 8B 18 FF 53 44 EB 1D 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA F8 01 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 53 00 53 00 43 00 4E 00 3A 00 43 00 4C 00 49 00 45 00 4E 00 54 00 20 00 4D 00 45 00 54 00 48 00 4F 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 53 00 53 00 43 00 4E 00 3A 00 53 00 45 00 52 00 56 00 45 00 52 00 20 00 4D 00 45 00 54 00 48 00 4F 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_34307_0 {
	meta:
		name = "TIdFTPServer.CommandCPSV"
		size = 87
		refs = "0024 TIdFTPServer.CmdSyntaxError 002d TIdFTPServer.CommandPASV 0045 _Dn_TIdSSLIOHandlerSocketBase 004a @AsClass"
	strings:
		$1 = { 53 8B DA 80 B8 54 01 00 00 00 74 15 8B 53 20 8B 52 14 8B 92 B0 00 00 00 80 BA 06 01 00 00 00 74 09 8B D3 E8 ?? ?? ?? ?? 5B C3 8B D3 E8 ?? ?? ?? ?? 8B 5B 20 8B 83 80 00 00 00 8B 40 0C 8B 80 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 80 09 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_34308_0 {
	meta:
		name = "TIdFTPServer.CommandSiteZONE"
		size = 232
		refs = "0015 TIdFTPServer.CommandSiteZONE 0020 MinutesFromGMT 0043 IndyFormat 0099 @UStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 4D FC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 85 C0 7D 31 8D 45 FC 50 E8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 00 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA D2 00 00 00 8B 43 18 8B 18 FF 53 44 EB 2F 8D 45 F0 50 E8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 00 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 BA D2 00 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 43 00 25 00 64 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 54 00 43 00 2B 00 25 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_34309_0 {
	meta:
		name = "TIdFTPServer.CommandCheckSum"
		size = 1132
		refs = "0031 TIdFTPServer.CommandCheckSum 003d GetFIPSMode 006d PosInStrArray 007a TIdFTPServer.CmdSyntaxError 00a6 TIdFTPServerContext.IsAuthenticated 00bc @UStrLAsg 00c9 Pos 00e2 Fetch 011e TIdFTPServer.CmdInvalidParamNum 012e Trim 0164 IndyStrToStreamSize 0184 TIdFTPServer.CmdInvalidParams 022c TIdFTPServer.DoProcessPath 0247 TIdFTPServer.DoOnCRCFile 0284 TStream.SetPosition 02cb HashTypes 031d TIdHash.HashStreamAsHex 0332 TObject.Free 0338 @HandleFinally 0384 TIdFTPServer.CmdFileActionAborted 03aa @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 33 C9 89 4D A4 89 4D A8 89 4D AC 89 4D B0 89 4D B4 89 4D B8 89 4D FC 89 4D F8 89 4D F4 89 4D F0 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 35 ?? ?? ?? ?? 8B 36 FF D6 84 C0 74 3A 6A 01 B8 ?? ?? ?? ?? 89 45 BC B8 ?? ?? ?? ?? 89 45 C0 8D 55 BC 8B 45 EC 8B 40 04 8B 40 10 B9 01 00 00 00 E8 ?? ?? ?? ?? 40 7E 0F 8B 55 EC 8B C3 E8 ?? ?? ?? ?? E9 11 03 00 00 66 83 BB 12 02 00 00 00 75 0D 83 BB D0 02 00 00 00 0F 84 F0 02 00 00 8B 45 EC 8B 70 20 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 E2 02 00 00 8D 45 F4 8B 55 EC 8B 52 24 E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 2C 6A 01 8D 45 B8 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 FC 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 6A 01 8D 45 FC 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 75 0F 8B 55 EC 8B C3 E8 ?? ?? ?? ?? E9 6D 02 00 00 8D 55 B4 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 B4 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 B8 00 00 00 6A FF 6A FF 6A 01 8D 45 B0 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 83 7D E4 00 75 08 83 7D E0 00 73 13 EB 02 7D 0F 8B 55 EC 8B C3 E8 ?? ?? ?? ?? E9 07 02 00 00 8D 55 AC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 AC 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 74 46 6A FF 6A FF 6A 01 8D 45 A8 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 E8 ?? ?? ?? ?? 89 45 D8 89 55 DC 83 7D DC 00 75 08 83 7D D8 00 73 3F EB 02 7D 3B 8B 55 EC 8B C3 E8 ?? ?? ?? ?? E9 A5 01 00 00 C7 45 D8 FF FF FF FF C7 45 DC FF FF FF FF EB 1C C7 45 E0 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 D8 FF FF FF FF C7 45 DC FF FF FF FF 33 C0 89 45 E8 8D 45 A4 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 A4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 E8 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D E8 00 0F 84 29 01 00 00 83 7D DC FF 75 13 83 7D D8 FF 75 0D 8B 45 E8 8B 10 FF 12 89 45 D8 89 55 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 6A 00 8B 45 E8 E8 ?? ?? ?? ?? 6A 00 B8 ?? ?? ?? ?? 89 45 90 B8 ?? ?? ?? ?? 89 45 94 B8 ?? ?? ?? ?? 89 45 98 B8 ?? ?? ?? ?? 89 45 9C B8 ?? ?? ?? ?? 89 45 A0 8D 55 90 8B 45 EC 8B 40 04 8B 40 10 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 04 85 ?? ?? ?? ?? 8B 5D E8 8B 55 E0 89 55 D0 8B 55 E4 89 55 D4 8B 55 D8 89 55 C8 8B 55 DC 89 55 CC B2 01 FF 50 08 89 45 C4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 D4 FF 75 D0 8B 45 C8 8B 55 CC 2B 45 D0 1B 55 D4 52 50 8D 4D F0 8B D3 8B 45 C4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 18 8B 4D F8 BA FA 00 00 00 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 55 EC 8B C3 E8 ?? ?? ?? ?? EB 0A 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 58 00 43 00 52 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 58 00 4D 00 44 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 58 00 53 00 48 00 41 00 31 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 58 00 53 00 48 00 41 00 32 00 35 00 36 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 58 00 53 00 48 00 41 00 35 00 31 00 32 00 00 00 }
	condition:
		$1
}

rule function_34310_0 {
	meta:
		name = "TIdFTPServer.DoOnFileExistCheck"
		size = 37
	strings:
		$1 = { 55 8B EC 53 66 83 B8 2A 02 00 00 00 74 12 8B 5D 08 53 8B D8 8B 83 2C 02 00 00 FF 93 28 02 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_34311_0 {
	meta:
		name = "TIdFTPServer.CommandSPSV"
		size = 130
		refs = "0013 TIdFTPServer.CommandSPSV 0033 TIdFTPServer.InternalPASV 0043 IntToStr 0068 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 45 FA 00 00 8D 45 FA 50 8D 45 F9 50 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1C 8D 55 F4 0F B7 45 FA E8 ?? ?? ?? ?? 8B 4D F4 BA E3 00 00 00 8B 46 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34312_0 {
	meta:
		name = "TIdFTPServer.InternalPASV"
		size = 502
		refs = "001c TIdFTPServer.InternalPASV 002f _DV_TIdFTPServerContext 0034 @AsClass 003f TIdFTPServerContext.IsAuthenticated 005c RSFTPNotAllowedAfterEPSVAll 0061 LoadResString 007d IndyFormat 00ac @UStrAsg 010d TIdFTPServer.DoOnPASVBeforeBind 0116 TIdFTPServerContext.CreateDataChannel 0184 TIdSimpleServer.SetIPVersion 0195 TIdSimpleServer.GetBinding 01dd @UStrArrayClr 01e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D F0 89 5D EC 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 7C 01 00 00 80 BF 9D 00 00 00 00 74 42 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 43 04 8B 40 10 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D F0 8B 43 18 BA F5 01 00 00 8B 18 FF 53 44 E9 31 01 00 00 8B 45 FC 8B 57 14 8B 9A B0 00 00 00 8B 93 D8 00 00 00 8B 52 18 E8 ?? ?? ?? ?? 0F B6 83 06 01 00 00 8B 55 08 88 02 0F B7 86 7E 01 00 00 66 85 C0 74 1B 66 83 BE 80 01 00 00 00 74 11 66 89 45 F8 0F B7 86 80 01 00 00 66 89 45 F6 EB 13 0F B7 86 88 01 00 00 66 89 45 F8 0F B7 45 F8 66 89 45 F6 8D 45 F8 50 8D 45 F6 50 8B 45 08 0F B6 00 50 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? 8B 87 80 00 00 00 8B 70 0C 8D 86 C0 00 00 00 8B 55 FC 8B 12 E8 ?? ?? ?? ?? 0F B7 45 F8 66 3B 45 F6 75 1F 0F B7 45 F8 66 89 86 C4 00 00 00 66 C7 86 C6 00 00 00 00 00 66 C7 86 C8 00 00 00 00 00 EB 1F 66 C7 86 C4 00 00 00 00 00 0F B7 45 F8 66 89 86 C6 00 00 00 0F B7 45 F6 66 89 86 C8 00 00 00 8B 55 08 0F B6 12 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 A4 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 50 18 8B 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B7 40 20 8B 55 0C 66 89 02 C6 87 9C 00 00 00 01 C6 87 9E 00 00 00 00 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_34313_0 {
	meta:
		name = "TIdFTPServer.DoOnPASVBeforeBind"
		size = 46
	strings:
		$1 = { 55 8B EC 53 66 83 B8 C2 02 00 00 00 74 1B 8B 5D 10 53 8B 5D 0C 53 0F B6 5D 08 53 8B D8 8B 83 C4 02 00 00 FF 93 C0 02 00 00 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_34314_0 {
	meta:
		name = "TIdFTPServer.DoOnPASVReply"
		size = 42
	strings:
		$1 = { 55 8B EC 53 66 83 B8 CA 02 00 00 00 74 17 8B 5D 0C 53 0F B6 5D 08 53 8B D8 8B 83 CC 02 00 00 FF 93 C8 02 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_34315_0 {
	meta:
		name = "TIdFTPServer.ReadCommandLine"
		size = 1236
		refs = "0019 TIdFTPServer.ReadCommandLine 0027 @UStrClr 002f _DV_TIdFTPServerContext 0034 @AsClass 005b TIdIOHandler.InputBufferIsEmpty 0073 TArray<System.Byte> 0078 @DynArraySetLength 00a7 TIdIOHandler.ReadByte 0113 AppendByte 0161 @DynArrayLength 0170 ExpandBytes 0465 TIdBuffer.PeekByte 04a2 BytesToString 04c2 @FinalizeArray 04c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D FC 89 5D F8 89 4D F4 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 46 14 8B 80 98 00 00 00 BA 01 00 00 00 8B 08 FF 91 88 00 00 00 8B 46 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 85 3F 04 00 00 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C6 45 EB 00 33 DB 8B 46 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 88 45 F3 0F B6 C3 83 F8 0B 0F 87 66 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B6 45 F3 2C 0D 74 0B 2C F2 75 0E B3 02 E9 1E 03 00 00 B3 01 E9 17 03 00 00 8D 45 FC 0F B6 55 F3 E8 ?? ?? ?? ?? E9 06 03 00 00 0F B6 45 F3 2C 01 72 0A 2C 09 74 17 2C F5 74 1E EB 2D 8D 45 FC B2 0D E8 ?? ?? ?? ?? 33 DB E9 E3 02 00 00 33 DB C6 45 EB 01 E9 D8 02 00 00 8D 45 FC B2 0D E8 ?? ?? ?? ?? B3 02 E9 C7 02 00 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 FC B9 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC C6 44 02 FE 0D 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 0F B6 4D F3 88 4C 02 FF 33 DB E9 84 02 00 00 0F B6 45 F3 05 0F FF FF FF 83 F8 0E 0F 87 62 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 DB E9 28 02 00 00 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B3 0A E9 09 02 00 00 6A 04 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 C6 00 FF 8B 45 F8 C6 40 01 F4 8B 45 F8 C6 40 02 FF 8B 45 F8 C6 40 03 F2 6A 00 8B 46 14 8B 80 98 00 00 00 83 C9 FF 8B 55 F8 8B 18 FF 93 94 00 00 00 6A 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB E9 9E 01 00 00 33 DB E9 97 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 7E 18 4B 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB E9 6A 01 00 00 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB E9 4B 01 00 00 33 DB E9 44 01 00 00 B3 07 E9 3D 01 00 00 B3 03 E9 36 01 00 00 B3 05 E9 2F 01 00 00 B3 04 E9 28 01 00 00 B3 06 E9 21 01 00 00 8D 45 FC B2 FF E8 ?? ?? ?? ?? 33 DB E9 10 01 00 00 33 DB E9 09 01 00 00 6A 03 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 C6 00 FF 8B 45 F8 C6 40 01 FC 8B 45 F8 0F B6 55 F3 88 50 02 6A 00 8B 46 14 8B 80 98 00 00 00 83 C9 FF 8B 55 F8 8B 18 FF 93 94 00 00 00 6A 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB E9 A2 00 00 00 6A 03 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 C6 00 FF 8B 45 F8 C6 40 01 FE 8B 45 F8 0F B6 55 F3 88 50 02 6A 00 8B 46 14 8B 80 98 00 00 00 83 C9 FF 8B 55 F8 8B 18 FF 93 94 00 00 00 6A 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB EB 3E 33 DB EB 3A B3 08 EB 36 0F B6 45 F3 2C FF 75 2E B3 09 EB 2A 0F B6 45 F3 2C F0 75 04 33 DB EB 1E B3 08 EB 1A 0F B6 45 F3 2C FF 75 12 B3 0B EB 0E 0F B6 45 F3 2C F2 75 06 33 DB EB 02 33 DB 80 7D EB 00 75 19 8B 46 14 8B 80 98 00 00 00 8B 10 FF 92 80 00 00 00 84 C0 0F 85 5C FC FF FF 80 7D F3 0D 75 39 84 DB 75 35 8B 46 14 8B 80 98 00 00 00 8B 80 A0 00 00 00 8B 58 20 85 DB 7E 1F 8B D3 4A E8 ?? ?? ?? ?? 88 45 F3 80 7D F3 0A 75 0E 8B 46 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 14 8B 80 98 00 00 00 8B 80 D4 00 00 00 50 8B 45 F4 50 B9 FF FF FF 7F 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34316_0 {
	meta:
		name = "TIdFTPServer.DoReplyUnknownCommand"
		size = 83
		refs = "0011 @UStrAddRef 0019 TIdFTPServer.DoReplyUnknownCommand 002d TIdFTPServer.CmdSyntaxError 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37136_0 {
	meta:
		name = "TIdSMTPServer.DoReplyUnknownCommand"
		size = 83
		refs = "0011 @UStrAddRef 0019 TIdSMTPServer.DoReplyUnknownCommand 002d TIdSMTPServer.CmdSyntaxError 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34317_0 {
	meta:
		name = "TIdFTPServer.DoTerminateContext"
		size = 70
		refs = "0010 TIdFTPServer.DoTerminateContext 001e TIdFTPServerContext.KillDataChannel 0036 TIdCustomTCPServer.DoTerminateContext 003c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 59 59 5D C3 }
	condition:
		$1
}

rule function_34318_0 {
	meta:
		name = "TIdFTPServer.CmdSyntaxError"
		size = 320
		refs = "001e @UStrAddRef 0026 TIdFTPServer.CmdSyntaxError 0037 UpCaseFirstWord 0071 TIdCmdTCPServer.GetReplyUnknownCommand 0092 RSFTPCmdNotRecognized 0097 LoadResString 00b0 IndyFormat 00fd TObject.Free 0103 @HandleFinally 011f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D F0 89 5D EC 89 5D F8 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D 08 00 74 08 8B 45 08 89 45 F4 EB 28 8B 83 44 01 00 00 50 8B 83 40 01 00 00 33 C9 B2 01 FF 50 34 89 45 F4 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 08 FF 51 08 8B 45 F4 8B 40 18 8B 10 FF 52 44 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 8B 40 18 8B 08 FF 51 38 6A 00 8B 45 F4 8B 10 FF 52 28 8B D0 8B 46 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D 08 00 75 0D 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34319_0 {
	meta:
		name = "TIdFTPServer.CmdSyntaxError"
		size = 27
		refs = "0011 TIdFTPServer.CmdSyntaxError"
	strings:
		$1 = { 53 8B DA 8B 90 48 01 00 00 52 8B 4B 14 8B 53 20 E8 ?? ?? ?? ?? C6 43 10 00 5B C3 }
	condition:
		$1
}

rule function_37132_0 {
	meta:
		name = "TIdSMTPServer.CmdSyntaxError"
		size = 27
		refs = "0011 TIdSMTPServer.CmdSyntaxError"
	strings:
		$1 = { 53 8B DA 8B 90 48 01 00 00 52 8B 4B 14 8B 53 20 E8 ?? ?? ?? ?? C6 43 10 00 5B C3 }
	condition:
		$1
}

rule function_34320_0 {
	meta:
		name = "TIdFTPServer.CommandSecRFC"
		size = 51
		refs = "000e _Dn_TIdServerIOHandlerSSLBase 0013 @IsClass 0020 TIdFTPServer.CmdNotImplemented 002c TIdFTPServer.CmdSyntaxError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 A8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34321_0 {
	meta:
		name = "ParseMLSParms"
		size = 592
		refs = "0012 ParseMLSParms 0029 UpperCase 0045 Fetch 004d LVALIDOPTS 0057 PosInStrArray 01f2 @UStrArrayClr 01f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 1D ?? ?? ?? ?? 8D 55 FC 8B C7 E8 ?? ?? ?? ?? E9 A0 01 00 00 6A 00 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? B9 0C 00 00 00 E8 ?? ?? ?? ?? 83 F8 0C 0F 87 6E 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 0B C3 8B D8 E9 22 01 00 00 0F B7 05 ?? ?? ?? ?? 66 0B C3 8B D8 E9 11 01 00 00 0F B7 05 ?? ?? ?? ?? 66 0B C3 8B D8 E9 00 01 00 00 F6 86 74 01 00 00 04 0F 84 F3 00 00 00 0F B7 05 ?? ?? ?? ?? 66 0B C3 8B D8 E9 E2 00 00 00 F6 86 74 01 00 00 08 0F 84 D5 00 00 00 0F B7 05 ?? ?? ?? ?? 66 0B C3 8B D8 E9 C4 00 00 00 F6 86 74 01 00 00 10 0F 84 B7 00 00 00 0F B7 05 ?? ?? ?? ?? 66 0B C3 8B D8 E9 A6 00 00 00 F6 86 74 01 00 00 01 0F 84 99 00 00 00 0F B7 05 ?? ?? ?? ?? 66 0B C3 8B D8 E9 88 00 00 00 F6 86 74 01 00 00 02 74 7F 0F B7 05 ?? ?? ?? ?? 66 0B C3 8B D8 EB 71 F6 86 74 01 00 00 20 74 68 0F B7 05 ?? ?? ?? ?? 66 0B C3 8B D8 EB 5A F6 86 74 01 00 00 40 74 51 0F B7 05 ?? ?? ?? ?? 66 0B C3 8B D8 EB 43 F6 86 74 01 00 00 80 74 3A 0F B7 05 ?? ?? ?? ?? 66 0B C3 8B D8 EB 2C F6 86 75 01 00 00 01 74 23 0F B7 05 ?? ?? ?? ?? 66 0B C3 8B D8 EB 15 F6 86 75 01 00 00 02 74 0C 0F B7 05 ?? ?? ?? ?? 66 0B C3 8B D8 83 7D FC 00 0F 85 56 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 01 00 00 00 04 00 00 00 02 00 00 00 20 00 00 00 40 00 00 00 80 00 00 00 10 00 00 00 08 00 00 00 00 01 00 00 00 02 00 00 00 04 00 00 00 08 00 00 00 10 00 00 }
	condition:
		$1
}

rule function_34322_0 {
	meta:
		name = "SetToOptsStr"
		size = 676
		refs = "0012 @UStrClr 001e SetToOptsStr 0023 @UStrCat"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 66 89 45 FE 8D 75 FE 8B C3 E8 ?? ?? ?? ?? F6 06 04 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 06 01 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 06 08 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 46 01 01 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 06 02 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 06 20 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 06 40 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 06 80 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 06 10 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 46 01 02 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 46 01 04 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 46 01 08 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 46 01 10 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 69 00 7A 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 79 00 70 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 70 00 65 00 72 00 6D 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 72 00 65 00 61 00 74 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6D 00 6F 00 64 00 69 00 66 00 79 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 55 00 4E 00 49 00 58 00 2E 00 6D 00 6F 00 64 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 4E 00 49 00 58 00 2E 00 6F 00 77 00 6E 00 65 00 72 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 4E 00 49 00 58 00 2E 00 67 00 72 00 6F 00 75 00 70 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 75 00 6E 00 69 00 71 00 75 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2E 00 6C 00 61 00 73 00 74 00 61 00 63 00 63 00 65 00 73 00 73 00 74 00 69 00 6D 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 77 00 69 00 6E 00 33 00 32 00 2E 00 65 00 61 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 57 00 69 00 6E 00 33 00 32 00 2E 00 64 00 74 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 57 00 69 00 6E 00 33 00 32 00 2E 00 64 00 6C 00 3B 00 00 00 }
	condition:
		$1
}

rule function_34323_0 {
	meta:
		name = "TIdFTPServer.CommandOptsMLST"
		size = 384
		refs = "001b TIdFTPServer.CommandOptsMLST 002a _DV_TIdFTPServerContext 002f @AsClass 003c @UStrLAsg 0042 IndyPos 005d Trim 0067 ParseMLSParms 0081 SetToOptsStr 009a IndyFormat 00c3 RSFTPInvalidOps 00c8 LoadResString 010d @UStrArrayClr 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B 53 24 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 09 8B 55 FC B8 ?? ?? ?? ?? FF D1 85 C0 75 65 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 66 89 86 A1 00 00 00 8D 45 F0 50 8D 55 E4 0F B7 86 A1 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 4D F4 BA C8 00 00 00 8B 43 18 8B 18 FF 53 44 EB 3C 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 4D E0 BA F5 01 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4D 00 4C 00 53 00 54 00 20 00 4F 00 50 00 54 00 53 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4C 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_34324_0 {
	meta:
		name = "ReportSettings"
		size = 400
		refs = "0013 ReportSettings 0025 TIdReply.SetNumericCode 004d IntToStr 0062 @UStrCatN 00b9 @UStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA C8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 10 FF 52 44 BA ?? ?? ?? ?? 8B 43 18 8B 08 FF 51 38 68 ?? ?? ?? ?? 8D 55 F8 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 18 8B 08 FF 51 38 68 ?? ?? ?? ?? 8D 55 F0 B8 08 00 00 00 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 18 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 4D 00 4F 00 44 00 45 00 20 00 5A 00 20 00 45 00 4E 00 47 00 49 00 4E 00 45 00 20 00 73 00 65 00 74 00 20 00 74 00 6F 00 20 00 5A 00 4C 00 49 00 42 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4D 00 4F 00 44 00 45 00 20 00 5A 00 20 00 4C 00 45 00 56 00 45 00 4C 00 20 00 73 00 65 00 74 00 20 00 74 00 6F 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4D 00 4F 00 44 00 45 00 20 00 5A 00 20 00 4D 00 45 00 54 00 48 00 4F 00 44 00 20 00 73 00 65 00 74 00 20 00 74 00 6F 00 20 00 00 00 }
	condition:
		$1
}

rule function_34325_0 {
	meta:
		name = "SyntaxError"
		size = 208
		refs = "0011 SyntaxError 0028 @UStrLAsg 003d Fetch 0048 TrimLeft 005f RSFTPInvalidOps 0064 LoadResString 007d IndyFormat 00ad @UStrArrayClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 8B 52 FC 8B 52 14 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D F0 8B 45 08 8B 40 FC 8B 40 18 BA F5 01 00 00 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34326_0 {
	meta:
		name = "TIdFTPServer.CommandOptsMODEZ"
		size = 516
		refs = "0014 TIdFTPServer.CommandOptsMODEZ 0030 _DV_TIdFTPServerContext 0035 @AsClass 0045 Trim 0052 TIdFTPServerContext.ResetZLibSettings 005f ReportSettings 0074 Fetch 0087 SyntaxError 00c0 OPT_NAMES 00cd PosInStrArray 012a IndyStrToInt 0173 OnOffStates 01d2 @UStrClr 01df @UStrArrayClr 01e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 C6 45 EE 01 C6 45 EF 01 8B 45 FC 8B 40 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 55 F8 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 83 7D F8 00 75 14 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 18 8B C6 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 75 13 84 DB 74 0F 55 8B 45 FC E8 ?? ?? ?? ?? 59 E9 30 01 00 00 6A 01 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 83 7D E8 00 74 02 33 DB 84 DB 74 26 6A 00 BA ?? ?? ?? ?? B9 04 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 40 75 0F 55 8B 45 FC E8 ?? ?? ?? ?? 59 E9 DE 00 00 00 33 DB 6A 00 BA ?? ?? ?? ?? B9 04 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 83 F8 04 0F 87 89 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C6 45 EF 00 EB 68 83 CA FF 8B 45 F0 E8 ?? ?? ?? ?? 83 F8 FF 7E 58 83 F8 08 7D 53 89 86 B8 00 00 00 C6 45 EE 00 C6 45 EF 00 EB 43 83 CA FF 8B 45 F0 E8 ?? ?? ?? ?? 40 74 35 C6 45 EF 00 EB 2F 83 CA FF 8B 45 F0 E8 ?? ?? ?? ?? 40 74 21 C6 45 EF 00 EB 1B 6A 00 BA ?? ?? ?? ?? B9 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 40 7E 04 C6 45 EF 00 83 7D F8 00 0F 85 CE FE FF FF 80 7D EF 00 74 0C 55 8B 45 FC E8 ?? ?? ?? ?? 59 EB 1A 80 7D EE 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 18 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34328_0 {
	meta:
		name = "TIdFTPServer.CommandOptsUTF8"
		size = 360
		refs = "0013 TIdFTPServer.CommandOptsUTF8 0025 _DV_TIdFTPServerContext 002a @AsClass 003a Trim 004d TextIsSame 007d SyntaxError 008a IndyUTF8Encoding 009a TIdIOHandler.SetDefStringEncoding 00a3 OnOffStates 00b0 PosInStrArray 00e1 Indy8BitEncoding 010f TIdReply.SetNumericCode 0124 @UStrClr 012a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 F8 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4B 83 7D F8 00 75 06 C6 43 74 00 EB 26 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 74 01 EB 0F 55 8B 45 FC E8 ?? ?? ?? ?? 59 E9 8C 00 00 00 B0 01 E8 ?? ?? ?? ?? 8B D0 8B 43 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? EB 63 6A 00 BA ?? ?? ?? ?? B9 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 83 E8 01 72 04 74 1F EB 3A C6 43 74 01 B0 01 E8 ?? ?? ?? ?? 8B D0 8B 43 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? EB 29 C6 43 74 00 B0 01 E8 ?? ?? ?? ?? 8B D0 8B 43 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? EB 0C 55 8B 45 FC E8 ?? ?? ?? ?? 59 EB 10 8B 45 FC 8B 40 18 BA C8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 4C 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_34329_0 {
	meta:
		name = "TIdFTPServer.IgnoreLastPathDelim"
		size = 196
		refs = "000f @UStrAsg 0047 TIdFTPServer.IgnoreLastPathDelim 004e CharIsInSet 0060 IdDelete 0073 TextEndsWith"
	strings:
		$1 = { 53 56 57 51 8B D9 8B FA 8B F0 8B C3 8B D7 E8 ?? ?? ?? ?? 8B 03 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B F8 0F B6 86 5A 01 00 00 3C 02 75 02 33 C0 2C 01 72 08 74 2D 2C 02 74 5D EB 4A 83 3B 00 74 45 8B 03 B9 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 84 C0 74 33 8B C3 B9 01 00 00 00 8B D7 E8 ?? ?? ?? ?? EB 23 83 3B 00 74 1E 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 B9 01 00 00 00 8B D7 E8 ?? ?? ?? ?? 83 3B 00 75 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_34330_0 {
	meta:
		name = "TIdFTPServer.SupportTaDirSwitches"
		size = 53
	strings:
		$1 = { B1 01 0F B6 80 59 01 00 00 2C 01 72 0E 48 2C 02 72 04 74 14 EB 1C 33 C9 8B C1 C3 0F B6 8A B0 00 00 00 80 F1 01 8B C1 C3 0F B6 8A B0 00 00 00 80 F1 01 8B C1 C3 }
	condition:
		$1
}

rule function_34331_0 {
	meta:
		name = "TIdFTPSecurityOptions.Assign"
		size = 112
		refs = "000a _DV_TIdFTPSecurityOptions 000f @IsClass 0020 @AsClass 0069 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 50 0F 88 53 0F 0F B6 50 11 88 53 11 0F B6 50 10 88 53 10 8B 50 04 89 53 04 8B 50 08 89 53 08 0F B6 50 0E 88 53 0E 0F B6 50 0C 88 53 0C 0F B6 50 0D 88 53 0D 0F B6 40 12 88 43 12 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34332_0 {
	meta:
		name = "TIdFTPSecurityOptions.Create"
		size = 95
		refs = "000a @ClassCreate 0017 TObject.Create 004c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 04 03 00 00 00 C7 46 08 B8 0B 00 00 C6 46 0C 01 C6 46 0D 01 C6 46 0E 01 C6 46 0F 00 C6 46 10 00 C6 46 11 00 C6 46 12 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_34333_0 {
	meta:
		name = "TIdDataChannel.Create"
		size = 658
		refs = "0011 @ClassCreate 0028 TObject.Create 0035 _Dn_TIdReplyRFC 003a TIdReply.Create 007f _Dn_TIdSimpleServer 0084 TIdBaseComponent.Create 00af @UStrAsg 0111 TIdSimpleServer.SetIPVersion 0124 TIdFTPServerContext.PortOnBeforeBind 0137 TIdFTPServerContext.PortOnAfterBind 0142 _Dn_TIdTCPClient 016d TIdTCPClientCustom.SetBoundIP 017c TIdTCPClientCustom.SetBoundPort 01af _Dn_TIdServerIOHandlerSSLBase 01b4 @IsClass 01e2 _Dn_TIdSSLIOHandlerSocketBase 01e7 @AsClass 0209 _Dn_TIdIOHandlerSocket 0279 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FE 88 55 FF 8B D8 8B 75 08 8B 7D 10 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 04 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 1C 0F B6 45 0C 88 43 24 89 7B 08 89 73 20 80 7D FE 00 0F 84 C3 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 8B 43 0C 89 45 F8 8B 45 F8 05 C0 00 00 00 8B 53 08 8B 52 14 8B 92 B0 00 00 00 8B 92 D8 00 00 00 8B 52 18 E8 ?? ?? ?? ?? 0F B7 86 7E 01 00 00 66 85 C0 74 27 66 83 BE 80 01 00 00 00 74 1D 8B 55 F8 66 89 82 C6 00 00 00 0F B7 86 80 01 00 00 8B 55 F8 66 89 82 C8 00 00 00 EB 11 0F B7 86 88 01 00 00 8B 55 F8 66 89 82 C4 00 00 00 8B 43 08 8B 40 14 8B 80 B0 00 00 00 8B 80 D8 00 00 00 0F B6 50 2D 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 B8 DC 00 00 00 C7 80 D8 00 00 00 ?? ?? ?? ?? 8B 45 F8 89 B8 E4 00 00 00 C7 80 E0 00 00 00 ?? ?? ?? ?? EB 64 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 8B 43 0C 89 45 F4 8B 43 08 8B 40 14 8B 80 B0 00 00 00 8B 80 D8 00 00 00 8B 50 18 8B 45 F4 E8 ?? ?? ?? ?? 0F B7 96 88 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 43 08 8B 40 14 8B 80 B0 00 00 00 8B 80 D8 00 00 00 0F B6 50 2D 8B 45 F4 8B 08 FF 91 A8 00 00 00 8B 87 A4 00 00 00 8B 80 A8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3B 80 7D FE 00 74 0F 8B 86 A8 00 00 00 8B 10 FF 52 6C 8B F0 EB 0D 8B 86 A8 00 00 00 8B 10 FF 52 68 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 08 FF 91 04 01 00 00 EB 1D 8B 43 20 8B 80 A8 00 00 00 33 D2 8B 08 FF 51 54 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 BE EC 00 00 00 C7 86 E8 00 00 00 ?? ?? ?? ?? 89 BE F4 00 00 00 C7 86 F0 00 00 00 ?? ?? ?? ?? 8B 43 0C 8B D6 8B 08 FF 51 60 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 0F B6 87 9F 00 00 00 2C 01 72 04 74 10 EB 12 B2 01 8B C6 8B 08 FF 91 04 01 00 00 EB 04 C6 43 04 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_34334_0 {
	meta:
		name = "TIdDataChannel.Destroy"
		size = 114
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0060 TObject.Destroy 006b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 46 0C 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34335_0 {
	meta:
		name = "TIdDataChannel.GetPeerIP"
		size = 55
		refs = "000a @UStrClr 002f @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 43 0C 85 C0 74 1E 8B 90 B0 00 00 00 85 D2 74 14 8B BA D8 00 00 00 85 FF 74 0A 8B C6 8B 57 1C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34336_0 {
	meta:
		name = "TIdDataChannel.GetPeerPort"
		size = 38
	strings:
		$1 = { 53 33 D2 8B 48 0C 85 C9 74 18 8B 99 B0 00 00 00 85 DB 74 0E 8B 8B D8 00 00 00 85 C9 74 04 0F B7 51 22 8B C2 5B C3 }
	condition:
		$1
}

rule function_34337_0 {
	meta:
		name = "TIdDataChannel.InitOperation"
		size = 493
		refs = "0018 TIdDataChannel.InitOperation 003a _Dn_TIdSimpleServer 003f @IsClass 006c TIdContext.GetBinding 007b TIdSimpleServer.GetBinding 0084 @UStrEqual 009b RSFTPSameIPAddress 00a0 LoadResString 0114 _Dn_TIdSSLIOHandlerSocketBase 0119 @AsClass 013a _Dn_TIdTCPClient 0193 @HandleAnyException 01c0 @RaiseAgain 01c5 @DoneExcept 01da @UStrClr 01e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 70 0C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 EB 00 00 00 8B C6 83 CA FF 8B 08 FF 91 AC 00 00 00 8B 45 FC 80 78 24 00 0F 84 94 00 00 00 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B 40 1C 50 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 50 1C 58 E8 ?? ?? ?? ?? 74 6F 8B 45 FC 8B 40 08 C6 80 9E 00 00 00 01 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B 45 FC 8B 40 10 BA F8 01 00 00 8B 18 FF 53 44 6A 00 8B 45 FC 8B 40 10 8B 10 FF 52 28 8B D0 8B 45 FC 8B 40 08 8B 40 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 8B 45 FC 8B 40 0C 33 D2 8B 08 FF 51 78 33 C0 5A 59 59 64 89 10 E9 D0 00 00 00 8B 45 FC 80 78 04 00 0F 84 82 00 00 00 8B 45 FC 8B 40 0C 8B 80 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D FB 00 74 07 C6 80 09 01 00 00 00 33 D2 8B 08 FF 91 04 01 00 00 EB 52 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 41 8B C6 8B 10 FF 92 AC 00 00 00 8B 45 FC 80 78 04 00 74 2E 8B 45 FC 8B 40 0C 8B 80 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D FB 00 74 07 C6 80 09 01 00 00 00 33 D2 8B 08 FF 91 04 01 00 00 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 40 10 8B 10 FF 52 28 8B D0 8B 45 FC 8B 40 08 8B 40 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34338_0 {
	meta:
		name = "TChartWalls.SetLeft"
		size = 9
		altNames = "TIWMarkupLanguageTag.SetParams TIdDataChannel.SetErrorReply"
	strings:
		$1 = { 8B 40 10 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_34340_0 {
	meta:
		name = "TIdFTPServerContext.PortOnAfterBind"
		size = 17
	strings:
		$1 = { 8B D0 8B 80 A4 00 00 00 8B 08 FF 91 E4 00 00 00 C3 }
	condition:
		$1
}

rule function_34341_0 {
	meta:
		name = "TIdFTPServerContext.PortOnBeforeBind"
		size = 17
	strings:
		$1 = { 8B D0 8B 80 A4 00 00 00 8B 08 FF 91 DC 00 00 00 C3 }
	condition:
		$1
}

rule function_34342_0 {
	meta:
		name = "TIdFTPServerContext.ResetZLibSettings"
		size = 39
	strings:
		$1 = { C7 80 B8 00 00 00 07 00 00 00 C7 80 BC 00 00 00 0F 00 00 00 C7 80 C0 00 00 00 08 00 00 00 33 D2 89 90 C4 00 00 00 C3 }
	condition:
		$1
}

rule function_34343_0 {
	meta:
		name = "Finalization"
		size = 220
		refs = "0007 Finalization 0013 _DV_21 001e AAlwaysValidOpts 0029 string 002e @FinalizeArray 0033 HELP_SPEC_CMDS 0048 HELP_ALT_MD_CMD 005d HELP_ALT_MD_TP 0072 OnOffStates 0087 LValidParams 009c LVALIDOPTS 00b1 OPT_NAMES 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 A8 00 00 00 B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 1A 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 12 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 12 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_34345_0 {
	meta:
		name = "TIdFTPServerContextBase.ReInitialize"
		size = 108
		refs = "0014 TIdFTPServerContextBase.ReInitialize 0019 @UStrAsg 0021 @UStrClr"
	strings:
		$1 = { 53 8B D8 C6 43 48 00 C6 43 49 00 33 C0 89 43 4C 8D 43 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 54 E8 ?? ?? ?? ?? 8D 43 58 E8 ?? ?? ?? ?? 8D 43 5C E8 ?? ?? ?? ?? 8D 43 60 E8 ?? ?? ?? ?? 8D 43 64 E8 ?? ?? ?? ?? 33 C0 89 43 6C 8D 43 70 E8 ?? ?? ?? ?? C6 43 74 00 C6 43 68 00 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_34352_0 {
	meta:
		name = "EnsureEncoding"
		size = 89
		refs = "000f GIdDefaultAnsiEncoding 0029 IndyASCIIEncoding 0032 TEncoding.GetUTF7 003d IndyUTF8Encoding 0048 Indy8BitEncoding 0051 TEncoding.GetANSI"
	strings:
		$1 = { 53 8B D8 83 3B 00 75 4F 84 D2 75 07 0F B6 15 ?? ?? ?? ?? 80 EA 02 74 0E FE CA 74 15 FE CA 74 1A FE CA 74 21 EB 2A B0 01 E8 ?? ?? ?? ?? 89 03 EB 26 E8 ?? ?? ?? ?? 89 03 EB 1D B0 01 E8 ?? ?? ?? ?? 89 03 EB 12 B0 01 E8 ?? ?? ?? ?? 89 03 EB 07 E8 ?? ?? ?? ?? 89 03 5B C3 }
	condition:
		$1
}

rule function_34354_0 {
	meta:
		name = "en7Bit"
		size = 8
		refs = "0003 IndyASCIIEncoding"
	strings:
		$1 = { B0 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34355_0 {
	meta:
		name = "en8Bit"
		size = 8
		refs = "0003 Indy8BitEncoding"
	strings:
		$1 = { B0 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34356_0 {
	meta:
		name = "enUTF8"
		size = 8
		refs = "0003 IndyUTF8Encoding"
	strings:
		$1 = { B0 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34357_0 {
	meta:
		name = "TId8BitEncoding.Create"
		size = 43
		refs = "0008 @ClassCreate 001c @AfterConstruction"
		altNames = "TIdASCIIEncoding.Create"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? C6 40 04 01 C7 40 08 01 00 00 00 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_34359_0 {
	meta:
		name = "TIdASCIIEncoding.GetBytes"
		size = 59
		refs = "0010 IndyMin"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B 75 0C 8B 55 08 8B C1 E8 ?? ?? ?? ?? 8B D0 8B C2 85 C0 7E 17 66 83 3B 7F 76 05 C6 06 3F EB 05 0F B6 0B 88 0E 83 C3 02 46 48 75 E9 8B C2 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_34361_0 {
	meta:
		name = "TIdASCIIEncoding.GetChars"
		size = 69
		refs = "0011 IndyMin"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B 75 0C 8B D1 8B 45 08 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 85 C0 7E 1C 0F B6 13 80 FA 7F 76 07 66 C7 06 3F 00 EB 06 0F B6 D2 66 89 16 83 C6 02 43 48 75 E4 8B 45 FC 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_34365_0 {
	meta:
		name = "IndyASCIIEncoding"
		size = 79
		refs = "0008 _DV_TIdASCIIEncoding 000d TIdASCIIEncoding.Create 0017 GIdASCIIEncoding 0036 InterlockedCompareExchangePtr 0041 TObject.Free"
	strings:
		$1 = { 53 84 C0 75 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 36 83 3D ?? ?? ?? ?? 00 75 27 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_34374_0 {
	meta:
		name = "Indy8BitEncoding"
		size = 79
		refs = "0008 _DV_TId8BitEncoding 000d TId8BitEncoding.Create 0017 GId8BitEncoding 0036 InterlockedCompareExchangePtr 0041 TObject.Free"
	strings:
		$1 = { 53 84 C0 75 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 36 83 3D ?? ?? ?? ?? 00 75 27 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_34368_0 {
	meta:
		name = "TId8BitEncoding.GetBytes"
		size = 60
		refs = "0010 IndyMin"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B 75 0C 8B 55 08 8B C1 E8 ?? ?? ?? ?? 8B D0 8B C2 85 C0 7E 18 66 81 3B FF 00 76 05 C6 06 3F EB 05 0F B6 0B 88 0E 83 C3 02 46 48 75 E8 8B C2 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_34370_0 {
	meta:
		name = "TId8BitEncoding.GetChars"
		size = 49
		refs = "0010 IndyMin"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B 75 0C 8B D1 8B 45 08 E8 ?? ?? ?? ?? 8B D0 8B C2 85 C0 7E 0D 0F B6 0B 66 89 0E 83 C6 02 43 48 75 F3 8B C2 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_34375_0 {
	meta:
		name = "CreateUTF8Encoding"
		size = 22
		refs = "000c _Dn_TUTF8Encoding 0011 TMBCSEncoding.Create"
	strings:
		$1 = { 6A 00 6A 00 B9 E9 FD 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34376_0 {
	meta:
		name = "IndyUTF8Encoding"
		size = 65
		refs = "0006 CreateUTF8Encoding 0010 GIdUTF8Encoding 0028 InterlockedCompareExchangePtr 0033 TObject.Free"
	strings:
		$1 = { 53 84 C0 75 09 E8 ?? ?? ?? ?? 8B D8 EB 2F 83 3D ?? ?? ?? ?? 00 75 20 E8 ?? ?? ?? ?? 8B D8 B8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_34378_0 {
	meta:
		name = "InterlockedExchangeTHandle"
		size = 18
		refs = "000b TInterlocked.Exchange"
		altNames = "TInterlocked.Exchange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68887_0 {
	meta:
		name = "AppendStr"
		size = 18
		refs = "000b @LStrCat"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70038_0 {
	meta:
		name = "AssignVariant"
		size = 18
		refs = "000b @VarCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65870_0 {
	meta:
		name = "UnicodeFromPWideChar"
		size = 18
		refs = "000b @UStrFromPWChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65927_0 {
	meta:
		name = "VariantFromUnicodeString"
		size = 18
		refs = "000b @VarFromUStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34386_0 {
	meta:
		name = "FillBytes"
		size = 22
	strings:
		$1 = { 53 56 4A 85 D2 7C 0C 42 33 F6 8B 18 88 0C 33 46 4A 75 F7 5E 5B C3 }
	condition:
		$1
}

rule function_34388_0 {
	meta:
		name = "TIdAppendFileStream.Create"
		size = 117
		refs = "000f @ClassCreate 001f FileExists 0039 TFileStream.Create 004d _Dn_TIdStreamHelperVCL 0052 TIdStreamHelperVCL.Seek 005f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B F0 B2 01 8B C7 E8 ?? ?? ?? ?? 84 C0 74 06 66 BB 22 00 EB 04 66 BB 00 FF 53 8B CF 33 D2 8B C6 E8 ?? ?? ?? ?? 66 81 FB 00 FF 74 12 6A 00 6A 00 B1 02 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40537_0 {
	meta:
		name = "TIdAppendFileStream.Create"
		size = 117
		refs = "000f @ClassCreate 001f FileExists 0039 TFileStream.Create 004d _Dn_TInStreamHelperVCL 0052 TInStreamHelperVCL.Seek 005f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B F0 B2 01 8B C7 E8 ?? ?? ?? ?? 84 C0 74 06 66 BB 22 00 EB 04 66 BB 00 FF 53 8B CF 33 D2 8B C6 E8 ?? ?? ?? ?? 66 81 FB 00 FF 74 12 6A 00 6A 00 B1 02 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34389_0 {
	meta:
		name = "TIdReadFileNonExclusiveStream.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TFileStream.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 40 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_34390_0 {
	meta:
		name = "TIdReadFileExclusiveStream.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TFileStream.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_34391_0 {
	meta:
		name = "IsASCIILDH"
		size = 60
	strings:
		$1 = { B2 01 3C 2C 77 05 33 D2 8B C2 C3 3C 2E 72 08 3C 2F 77 04 33 D2 EB 22 3C 3A 72 08 3C 40 77 04 33 D2 EB 16 3C 5B 72 08 3C 60 77 04 33 D2 EB 0A 3C 7B 72 06 3C 7F 77 02 33 D2 8B C2 C3 }
	condition:
		$1
}

rule function_34392_0 {
	meta:
		name = "IsASCIILDH"
		size = 121
		refs = "0007 @DynArrayLength"
	strings:
		$1 = { 56 57 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 62 46 33 C0 B2 01 80 3C 07 2C 77 04 33 D2 EB 46 0F B6 0C 07 80 F9 2E 72 09 80 F9 2F 77 04 33 D2 EB 34 0F B6 0C 07 80 F9 3A 72 09 80 F9 40 77 04 33 D2 EB 22 0F B6 0C 07 80 F9 5B 72 09 80 F9 60 77 04 33 D2 EB 10 0F B6 0C 07 80 F9 7B 72 07 80 F9 7F 77 02 33 D2 84 D2 75 05 33 C0 5F 5E C3 40 4E 75 A1 B0 01 5F 5E C3 }
	condition:
		$1
}

rule function_34393_0 {
	meta:
		name = "IsASCII"
		size = 6
	strings:
		$1 = { 3C 7F 0F 96 C0 C3 }
	condition:
		$1
}

rule function_34394_0 {
	meta:
		name = "IsASCII"
		size = 36
		refs = "0006 @DynArrayLength"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 11 40 33 D2 80 3C 13 7F 76 04 33 C0 5B C3 42 48 75 F2 B0 01 5B C3 }
	condition:
		$1
}

rule function_34395_0 {
	meta:
		name = "StartsWithACE"
		size = 404
		refs = "0013 StartsWithACE 0022 @DynArrayLength 0054 @UStrSetLength 005c @UniqueStringU 00c5 PosInStrArray 00df @UStrClr 00e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 E8 ?? ?? ?? ?? 83 F8 04 0F 8E 9F 00 00 00 0F B6 46 02 66 83 F8 2D 0F 85 91 00 00 00 0F B6 46 03 66 83 F8 2D 0F 85 83 00 00 00 8D 45 FC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 0F B6 56 02 66 89 10 8D 45 FC E8 ?? ?? ?? ?? 0F B6 56 03 66 89 50 02 6A 00 B8 ?? ?? ?? ?? 89 45 DC B8 ?? ?? ?? ?? 89 45 E0 B8 ?? ?? ?? ?? 89 45 E4 B8 ?? ?? ?? ?? 89 45 E8 B8 ?? ?? ?? ?? 89 45 EC B8 ?? ?? ?? ?? 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 B8 ?? ?? ?? ?? 89 45 F8 8D 55 DC B9 07 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 40 7E 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 62 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 62 00 71 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 64 00 71 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6C 00 71 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6D 00 71 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 72 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 77 00 71 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 7A 00 71 00 00 00 00 00 }
	condition:
		$1
}

rule function_34396_0 {
	meta:
		name = "PosInSmallIntArray"
		size = 27
	strings:
		$1 = { 56 85 C9 7C 0F 41 33 F6 66 3B 02 74 0A 46 83 C2 02 49 75 F4 83 CE FF 8B C6 5E C3 }
	condition:
		$1
}

rule function_34397_0 {
	meta:
		name = "PosInStrArray"
		size = 75
		refs = "0021 @UStrEqual 002f TextIsSame"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B F1 85 F6 7C 2E 46 33 FF 8B DA 80 7D 08 00 74 0E 8B 45 FC 8B 13 E8 ?? ?? ?? ?? 74 1A EB 0E 8B 13 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0A 47 83 C3 04 4E 75 D7 83 CF FF 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34398_0 {
	meta:
		name = "ByteToHex"
		size = 74
		refs = "000e @UStrSetLength 0015 @UniqueStringU 0027 IdHexDigits"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 F0 22 D3 0F B6 D2 C1 EA 04 0F B7 14 55 ?? ?? ?? ?? 66 89 10 8B C6 E8 ?? ?? ?? ?? 80 E3 0F 0F B6 D3 0F B7 14 55 ?? ?? ?? ?? 66 89 50 02 5E 5B C3 }
	condition:
		$1
}

rule function_34399_0 {
	meta:
		name = "LongWordToHex"
		size = 378
		refs = "0013 IdHexDigits 001b LongWordToHex 0038 @UStrSetLength 0040 @UniqueStringU 014d @UStrCatN 0167 @UStrArrayClr 016d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 55 EC 8B F0 BF ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 00 00 00 FF 23 DE C1 EB 18 8D 45 FC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? B2 F0 22 D3 0F B6 D2 C1 EA 04 0F B7 14 57 66 89 10 8D 45 FC E8 ?? ?? ?? ?? 80 E3 0F 0F B6 D3 0F B7 14 57 66 89 50 02 BB 00 00 FF 00 23 DE C1 EB 10 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? B2 F0 22 D3 0F B6 D2 C1 EA 04 0F B7 14 57 66 89 10 8D 45 F8 E8 ?? ?? ?? ?? 80 E3 0F 0F B6 D3 0F B7 14 57 66 89 50 02 BB 00 FF 00 00 23 DE C1 EB 08 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? B2 F0 22 D3 0F B6 D2 C1 EA 04 0F B7 14 57 66 89 10 8D 45 F4 E8 ?? ?? ?? ?? 80 E3 0F 0F B6 D3 0F B7 14 57 66 89 50 02 8B DE 80 E3 FF 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? B2 F0 22 D3 0F B6 D2 C1 EA 04 0F B7 14 57 66 89 10 8D 45 F0 E8 ?? ?? ?? ?? 80 E3 0F 0F B6 D3 0F B7 14 57 66 89 50 02 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34400_0 {
	meta:
		name = "ToHex"
		size = 170
		refs = "0019 IndyLength 002a @UStrSetLength 003b @UniqueStringU 005f IdHexDigits 009d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 45 FC 8B 75 08 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 7E 77 8B D3 03 D2 8B C6 E8 ?? ?? ?? ?? 8B FB 4F 85 FF 7C 6C 47 33 DB 8B C6 E8 ?? ?? ?? ?? 8B D3 03 D2 8D 04 50 50 8B 45 F8 03 C3 8B 55 FC 0F B6 04 02 24 F0 0F B6 C0 C1 E8 04 0F B7 04 45 ?? ?? ?? ?? 5A 66 89 02 8B C6 E8 ?? ?? ?? ?? 8B D3 03 D2 8D 44 50 02 50 8B 45 F8 03 C3 8B 55 FC 0F B6 04 02 24 0F 0F B6 C0 0F B7 04 45 ?? ?? ?? ?? 5A 66 89 02 43 4F 75 A0 EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34401_0 {
	meta:
		name = "ToHex"
		size = 134
		refs = "000d @UStrClr 0029 @UStrFromPWCharLen 0038 @UniqueStringU 0052 IdHexDigits"
	strings:
		$1 = { 53 56 57 55 8B F1 8B DA 8B F8 8B C6 E8 ?? ?? ?? ?? 8D 43 01 85 C0 7E 69 8B EF 8B F8 03 FF 03 FF 8B CF 03 C9 8B C6 33 D2 E8 ?? ?? ?? ?? 4F 85 FF 7C 4F 47 33 DB 8B C6 E8 ?? ?? ?? ?? 8B D3 03 D2 0F B6 4C 1D 00 80 E1 F0 0F B6 C9 C1 E9 04 0F B7 0C 4D ?? ?? ?? ?? 66 89 0C 50 8B C6 E8 ?? ?? ?? ?? 8B D3 03 D2 0F B6 4C 1D 00 80 E1 0F 0F B6 C9 0F B7 0C 4D ?? ?? ?? ?? 66 89 4C 50 02 43 4F 75 B4 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34402_0 {
	meta:
		name = "IPv4ToHex"
		size = 312
		refs = "001b IPv4ToHex 002b Trim 0037 @UStrAsg 0051 Fetch 0059 IndyStrToInt 0068 @UStrSetLength 0070 @UniqueStringU 0082 IdHexDigits 00aa @UStrLAsg 00cb @UStrCatN 00d7 @UStrCat 00f3 @UStrClr 0100 @UStrArrayClr 0106 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 88 55 F3 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BE 04 00 00 00 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? B2 F0 22 D3 0F B6 D2 C1 EA 04 0F B7 14 55 ?? ?? ?? ?? 66 89 10 8D 45 F4 E8 ?? ?? ?? ?? 80 E3 0F 0F B6 D3 0F B7 14 55 ?? ?? ?? ?? 66 89 50 02 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 80 7D F3 00 74 1D FF 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 8B C7 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 0A 8B C7 8B 55 F8 E8 ?? ?? ?? ?? 4E 0F 85 5E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 30 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_34403_0 {
	meta:
		name = "OctalToInt64"
		size = 170
		refs = "0014 OctalToInt64 004b @UStrFromWChar 0055 IndyStrToInt 0091 @UStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 8B C7 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 43 BE 01 00 00 00 8D 45 F4 0F B7 54 77 FE E8 ?? ?? ?? ?? 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 99 52 50 8B 45 F8 8B 55 FC 0F A4 C2 03 03 C0 03 C0 03 C0 03 04 24 13 54 24 04 83 C4 08 89 45 F8 89 55 FC 46 4B 75 C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34404_0 {
	meta:
		name = "ByteToOctal"
		size = 140
		refs = "000f @UStrSetLength 0016 @UniqueStringU 0029 IdOctalDigits 006f ByteToOctal 0074 @UStrCat3"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 FB 8B D7 C1 EA 06 83 E2 07 0F B7 14 55 ?? ?? ?? ?? 66 89 10 8B C6 E8 ?? ?? ?? ?? C1 EF 03 83 E7 07 0F B7 14 7D ?? ?? ?? ?? 66 89 50 02 8B C6 E8 ?? ?? ?? ?? 80 E3 07 0F B6 D3 0F B7 14 55 ?? ?? ?? ?? 66 89 50 04 8B 06 66 83 38 30 74 0E 8B 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_34405_0 {
	meta:
		name = "IPv4ToOctal"
		size = 468
		refs = "0015 IPv4ToOctal 0025 Trim 003a Fetch 0044 IndyStrToInt 0053 @UStrSetLength 005b @UniqueStringU 006e IdOctalDigits 00be @UStrCat3 00c8 @UStrAsg 017d @UStrCatN 019e @UStrArrayClr 01a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 0F B6 F3 8B D6 C1 EA 06 83 E2 07 0F B7 14 55 ?? ?? ?? ?? 66 89 10 8D 45 F8 E8 ?? ?? ?? ?? C1 EE 03 83 E6 07 0F B7 14 75 ?? ?? ?? ?? 66 89 50 02 8D 45 F8 E8 ?? ?? ?? ?? 80 E3 07 0F B6 D3 0F B7 14 55 ?? ?? ?? ?? 66 89 50 04 8B 45 F8 66 83 38 30 74 10 8D 45 F8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 55 F8 E8 ?? ?? ?? ?? BE 03 00 00 00 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 8B D8 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 0F B6 D3 C1 EA 06 83 E2 07 0F B7 14 55 ?? ?? ?? ?? 66 89 10 8D 45 F4 E8 ?? ?? ?? ?? 0F B6 D3 C1 EA 03 83 E2 07 0F B7 14 55 ?? ?? ?? ?? 66 89 50 02 8D 45 F4 E8 ?? ?? ?? ?? 80 E3 07 0F B6 D3 0F B7 14 55 ?? ?? ?? ?? 66 89 50 04 8B 45 F4 66 83 38 30 74 10 8D 45 F4 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 37 68 ?? ?? ?? ?? FF 75 F4 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 4E 0F 85 49 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_34406_0 {
	meta:
		name = "CopyTIdBytes"
		size = 28
		refs = "0013 Move"
	strings:
		$1 = { 55 8B EC 53 8B 09 8B 5D 0C 03 CB 03 C2 8B 55 08 87 CA E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_34407_0 {
	meta:
		name = "CopyTIdChar"
		size = 130
		refs = "0012 CopyTIdChar 0022 EnsureEncoding 0032 TArray<System.Char> 0037 @DynArraySetLength 0053 TEncoding.GetBytes 006e @DynArrayClear 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 08 33 D2 E8 ?? ?? ?? ?? 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 66 89 18 6A 01 8B 06 50 57 33 C9 8B 55 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34408_0 {
	meta:
		name = "CopyTIdShort"
		size = 8
		altNames = "CopyTIdWord"
	strings:
		$1 = { 8B 12 03 D1 66 89 02 C3 }
	condition:
		$1
}

rule function_34410_0 {
	meta:
		name = "CopyTIdLongInt"
		size = 7
		altNames = "CopyTIdLongWord"
	strings:
		$1 = { 8B 12 03 D1 89 02 C3 }
	condition:
		$1
}

rule function_34412_0 {
	meta:
		name = "CopyTIdInt64"
		size = 22
	strings:
		$1 = { 55 8B EC 8B 00 03 C2 8B 55 08 89 10 8B 55 0C 89 50 04 5D C2 08 00 }
	condition:
		$1
}

rule function_34413_0 {
	meta:
		name = "CopyTIdIPV6Address"
		size = 15
		refs = "000a Move"
	strings:
		$1 = { 8B 12 03 D1 B9 10 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34414_0 {
	meta:
		name = "CopyTIdByteArray"
		size = 29
		refs = "0014 Move"
	strings:
		$1 = { 55 8B EC 53 8B 55 10 8B 12 8B 5D 0C 03 D3 03 C1 8B 4D 08 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_34415_0 {
	meta:
		name = "CopyTIdString"
		size = 28
		refs = "0014 CopyTIdString"
	strings:
		$1 = { 55 8B EC 51 8B 4D 0C 51 8B 4D 08 51 8B CA BA 01 00 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_34416_0 {
	meta:
		name = "CopyTIdString"
		size = 73
		refs = "0016 IndyLength 0026 EnsureEncoding 003d TEncoding.GetBytes"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B CF 8B 55 0C 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 21 8D 45 08 33 D2 E8 ?? ?? ?? ?? 53 8B 45 FC 8B 00 50 8B 45 10 50 8B CF 8B D6 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_34417_0 {
	meta:
		name = "DebugOutput"
		size = 18
		refs = "0006 @UStrToPWChar 000c OutputDebugString"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_34420_0 {
	meta:
		name = "Fetch"
		size = 184
		refs = "0017 Fetch 001c @UStrEqual 0027 Pos 0035 IndyPos 0045 @UStrAsg 0052 @UStrClr 0067 @UStrCopy 0099 FetchCaseInsensitive"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B F2 8B D8 80 7D 0C 00 74 78 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8B 13 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 0C 8B 13 8B C6 FF 15 ?? ?? ?? ?? 8B F8 85 FF 75 19 8B 45 08 8B 13 E8 ?? ?? ?? ?? 80 7D FF 00 74 4E 8B C3 E8 ?? ?? ?? ?? EB 45 8B 45 08 50 8B CF 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? 80 7D FF 00 74 2C 85 F6 74 05 83 EE 04 8B 36 53 8D 14 3E 8B 03 B9 FF FF FF 7F E8 ?? ?? ?? ?? EB 11 8B 45 08 50 8B C3 0F B6 4D FF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_34421_0 {
	meta:
		name = "FetchCaseInsensitive"
		size = 236
		refs = "0017 FetchCaseInsensitive 0029 @UStrEqual 0034 Pos 0042 UpperCase 005a IndyPos 006a @UStrAsg 0077 @UStrClr 008c @UStrCopy 00c5 @UStrArrayClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 88 4D FF 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8B 13 8B C7 E8 ?? ?? ?? ?? 8B F0 EB 24 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 5A FF 15 ?? ?? ?? ?? 8B F0 85 F6 75 19 8B 45 08 8B 13 E8 ?? ?? ?? ?? 80 7D FF 00 74 3B 8B C3 E8 ?? ?? ?? ?? EB 32 8B 45 08 50 8B CE 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? 80 7D FF 00 74 19 85 FF 74 05 83 EF 04 8B 3F 53 8D 14 37 8B 03 B9 FF FF FF 7F E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_34424_0 {
	meta:
		name = "GetTickDiff"
		size = 19
	strings:
		$1 = { 3B C2 77 05 2B D0 8B C2 C3 83 C9 FF 2B C8 03 D1 8B C2 C3 }
	condition:
		$1
}

rule function_34425_0 {
	meta:
		name = "ServicesFilePath"
		size = 256
		refs = "000e ServicesFilePath 0021 @UStrSetLength 002e @UStrToPWChar 0034 GetWindowsDirectory 0049 IndyIncludeTrailingPathDelimiter 0054 @UStrLAsg 0059 Win32Platform 006b @UStrCat 007a @UStrCat3 0094 @UStrArrayClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC BA 04 01 00 00 E8 ?? ?? ?? ?? 68 04 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 02 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 73 00 79 00 73 00 74 00 65 00 6D 00 33 00 32 00 5C 00 64 00 72 00 69 00 76 00 65 00 72 00 73 00 5C 00 65 00 74 00 63 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_34426_0 {
	meta:
		name = "IdPorts"
		size = 508
		refs = "001d IdPorts 0029 GIdPorts 0037 _Dn_TList 003c TObject.Create 0048 _Dn_TStringList 004d TStringList.Create 0066 ServicesFilePath 00ae IndyPos 00d6 @SetRange 010f RSCorruptServicesFile 0114 LoadResString 011e _DV_EIdCorruptServicesFile 0123 Exception.CreateFmt 0128 @RaiseExcept 0151 @UStrCopy 0159 IndyStrToInt 016c TList.Add 0190 TObject.Free 0196 @HandleFinally 01b8 @UStrArrayClr 01c0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 33 C0 89 45 B4 89 45 BC 89 45 B8 89 45 E8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 0F 85 68 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F0 8B 08 FF 51 68 33 C0 89 45 F4 8B 45 F0 8B 10 FF 52 14 48 85 C0 0F 8C F4 00 00 00 40 89 45 EC C7 45 F8 00 00 00 00 8D 4D FC 8B 55 F8 8B 45 F0 8B 18 FF 53 0C 8B 55 FC B8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B F0 85 F6 0F 8E B7 00 00 00 8B 55 FC B8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B D8 B0 01 8B D6 8D 4D C8 B4 20 E8 ?? ?? ?? ?? 81 FB FF 00 00 00 77 04 0F A3 5D C8 0F 82 87 00 00 00 8B DE 4B 85 DB 75 39 8D 45 BC E8 ?? ?? ?? ?? 8B 45 BC 89 45 C0 C6 45 C4 11 8D 45 C0 50 6A 00 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B7 44 58 FE 66 83 E8 0D 72 07 48 66 83 E8 13 73 AD 8D 45 B4 50 8B CE 2B CB 49 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B4 E8 ?? ?? ?? ?? 8B D8 3B 5D F4 74 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5D F4 FF 45 F8 FF 4D EC 0F 85 17 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 1D ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_34427_0 {
	meta:
		name = "IfThen"
		size = 10
		altNames = "TernaryOp iif"
	strings:
		$1 = { 84 C0 74 03 8B C2 C3 8B C1 C3 }
	condition:
		$1
}

rule function_34430_0 {
	meta:
		name = "iif"
		size = 27
		refs = "0012 EnsureEncoding"
	strings:
		$1 = { 51 89 04 24 83 3C 24 00 75 0C 89 14 24 8B D1 8B C4 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_34431_0 {
	meta:
		name = "InMainThread"
		size = 17
		refs = "0001 GetCurrentThreadId 0007 MainThreadID"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 02 0F 94 C0 C3 }
	condition:
		$1
}

rule function_34432_0 {
	meta:
		name = "WriteMemoryStreamToStream"
		size = 21
	strings:
		$1 = { 55 8B EC 53 8B 40 04 8B 4D 08 92 8B 18 FF 53 10 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_34433_0 {
	meta:
		name = "IsCurrentThread"
		size = 16
		refs = "0004 GetCurrentThreadId"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 3B 43 08 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_34434_0 {
	meta:
		name = "MakeDWordIntoIPv4Address"
		size = 240
		refs = "0013 MakeDWordIntoIPv4Address 002f IntToStr 003e @UStrCat3 006a @UStrCatN 00b3 @UStrCat 00cd @UStrArrayClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 C1 E8 18 25 FF 00 00 00 33 D2 52 50 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 33 8B C6 C1 E8 10 25 FF 00 00 00 33 D2 52 50 8D 45 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 33 8B C6 C1 E8 08 25 FF 00 00 00 33 D2 52 50 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? B8 FF 00 00 00 23 C6 33 D2 52 50 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_34435_0 {
	meta:
		name = "IsAlpha"
		size = 30
	strings:
		$1 = { 66 83 F8 61 72 06 66 83 F8 7A 76 0F 66 83 F8 41 72 06 66 83 F8 5A 76 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_34436_0 {
	meta:
		name = "IsAlpha"
		size = 106
		refs = "001b IndyLength"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F1 89 14 24 8B F8 C6 44 24 04 00 8B CE 8B 14 24 8B C7 E8 ?? ?? ?? ?? 85 C0 7E 3B 8B D0 4A 85 D2 7C 2F 42 33 C0 8D 1C 30 0F B7 6C 5F FE 66 83 FD 61 72 06 66 83 FD 7A 76 14 8D 0C 30 0F B7 4C 4F FE 66 83 F9 41 72 0F 66 83 F9 5A 77 09 40 4A 75 D4 C6 44 24 04 01 0F B6 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34437_0 {
	meta:
		name = "IsAlphaNumeric"
		size = 33
		refs = "001c IsNumeric"
	strings:
		$1 = { 66 83 F8 61 72 06 66 83 F8 7A 76 0C 66 83 F8 41 72 09 66 83 F8 5A 77 03 B0 01 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34438_0 {
	meta:
		name = "IsAlphaNumeric"
		size = 111
		refs = "001b IndyLength 0052 IsNumeric"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F9 89 14 24 8B F0 C6 44 24 04 00 8B CF 8B 14 24 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 40 8B E8 4D 85 ED 7C 34 45 33 DB 8D 04 3B 0F B7 44 46 FE 66 83 F8 61 72 06 66 83 F8 7A 76 0C 66 83 F8 41 72 0A 66 83 F8 5A 77 04 B0 01 EB 05 E8 ?? ?? ?? ?? 84 C0 74 09 43 4D 75 CF C6 44 24 04 01 0F B6 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34439_0 {
	meta:
		name = "IsOctal"
		size = 18
	strings:
		$1 = { 66 83 F8 30 72 06 66 83 F8 37 76 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_34440_0 {
	meta:
		name = "IsOctal"
		size = 72
		refs = "0011 IndyLength"
	strings:
		$1 = { 53 56 57 51 8B F1 8B D8 C6 04 24 00 8B CE 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 26 8B D0 4A 85 D2 7C 1B 42 33 C0 8D 0C 30 0F B7 7C 4B FE 66 83 FF 30 72 0E 66 83 FF 37 77 08 40 4A 75 E8 C6 04 24 01 0F B6 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34441_0 {
	meta:
		name = "IsHexidecimal"
		size = 46
		refs = "0006 IsNumeric"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1C 66 83 FB 41 72 06 66 83 FB 46 76 10 66 83 FB 61 72 06 66 83 FB 66 76 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_34442_0 {
	meta:
		name = "IsHexidecimal"
		size = 127
		refs = "001f IndyLength 003f IsNumeric"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 89 14 24 8B E8 C6 44 24 08 00 8B 4C 24 04 8B 14 24 8B C5 E8 ?? ?? ?? ?? 85 C0 7E 4B 8B F0 4E 85 F6 7C 3F 46 33 FF 8B 44 24 04 03 C7 0F B7 5C 45 FE 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1C 66 83 FB 41 72 06 66 83 FB 46 76 10 66 83 FB 61 72 06 66 83 FB 66 76 04 33 C0 EB 02 B0 01 84 C0 74 09 47 4E 75 C4 C6 44 24 08 01 0F B6 44 24 08 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34443_0 {
	meta:
		name = "IsNumeric"
		size = 27
		refs = "000b @ValInt64"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 83 3C 24 00 0F 94 C0 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_34444_0 {
	meta:
		name = "IsNumeric"
		size = 83
		refs = "001b IndyLength 0036 IsNumeric"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 89 14 24 8B F8 C6 44 24 04 00 8B CD 8B 14 24 8B C7 E8 ?? ?? ?? ?? 85 C0 7E 24 8B D8 4B 85 DB 7C 18 43 33 F6 8D 04 2E 0F B7 44 47 FE E8 ?? ?? ?? ?? 84 C0 74 09 46 4B 75 EB C6 44 24 04 01 0F B6 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34445_0 {
	meta:
		name = "IsNumeric"
		size = 18
	strings:
		$1 = { 66 83 F8 30 72 06 66 83 F8 39 76 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_34446_0 {
	meta:
		name = "IPv4MakeLongWordInRange"
		size = 54
	strings:
		$1 = { 55 8B EC 83 E8 02 74 18 48 74 0B 48 75 1C 8B 45 08 83 E0 FF EB 1C 8B 45 08 25 FF FF FF 00 EB 12 8B 45 08 25 FF FF 00 00 EB 08 8B 45 08 25 FF 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_34447_0 {
	meta:
		name = "IPv4ToDWord"
		size = 10
		refs = "0004 IPv4ToDWord"
	strings:
		$1 = { 51 8B D4 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_66152_0 {
	meta:
		name = "TPath.GetPosAfterExtendedPrefix"
		size = 10
		refs = "0004 TPath.GetPosAfterExtendedPrefix"
	strings:
		$1 = { 51 8B D4 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_70494_0 {
	meta:
		name = "VarIsError"
		size = 10
		refs = "0004 VarIsError"
	strings:
		$1 = { 51 8B D4 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_70467_0 {
	meta:
		name = "VarTypeIsCustom"
		size = 10
		refs = "0004 FindCustomVariantType"
	strings:
		$1 = { 51 8B D4 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_34448_0 {
	meta:
		name = "IPv4ToDWord"
		size = 916
		refs = "0027 IPv4ToDWord 004a @UStrLAsg 0066 @UStrEqual 0073 Pos 0083 IndyPos 00a0 @UStrClr 00b6 @UStrCopy 0127 TextStartsWith 0160 IndyLength 0182 IsNumeric 01c6 StrToInt64Def 028b OctalToInt64 0337 @UStrArrayClr 033d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 33 C9 89 4D FC 89 4D F8 89 4D F4 89 4D F0 89 4D EC 89 4D E8 89 55 E0 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 C6 00 01 33 C0 89 45 DC C7 45 D8 04 00 00 00 8D 45 F8 8B 55 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 EB 0E 8B 55 F8 8B 45 F4 FF 15 ?? ?? ?? ?? 8B F0 85 F6 75 19 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 84 DB 74 42 8D 45 F8 E8 ?? ?? ?? ?? EB 38 8D 45 F0 50 8B CE 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 DB 74 20 8B 5D F4 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 8D 14 33 B9 FF FF FF 7F 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F0 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 28 02 00 00 83 7D F8 00 75 1A 83 7D D8 01 7E 14 8B 45 D8 89 45 D4 8B 4D D8 03 C9 03 C9 03 C9 D3 65 DC EB 0B C7 45 D4 01 00 00 00 C1 65 DC 08 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 D7 00 00 00 8D 45 EC 50 B9 FF FF FF 7F BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 C8 FF C7 45 D0 01 00 00 00 C6 45 CF 00 8B 4D D0 8B D0 8B 45 EC E8 ?? ?? ?? ?? 85 C0 7E 4C 8B D8 4B 85 DB 7C 41 43 33 F6 8B 45 D0 03 C6 8B 55 EC 0F B7 7C 42 FE 8B C7 E8 ?? ?? ?? ?? 84 C0 75 1C 66 83 FF 41 72 06 66 83 FF 46 76 10 66 83 FF 61 72 06 66 83 FF 66 76 04 33 C0 EB 02 B0 01 84 C0 74 08 46 4B 75 C2 C6 45 CF 01 80 7D CF 00 0F 84 63 01 00 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 C0 89 55 C4 8B 45 D4 83 E8 02 74 18 48 74 0B 48 75 1C 8B 45 C0 83 E0 FF EB 1C 8B 45 C0 25 FF FF FF 00 EB 12 8B 45 C0 25 FF FF 00 00 EB 08 8B 45 C0 25 FF 00 00 00 01 45 DC E9 09 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 07 01 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 56 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 83 C8 FF BE 01 00 00 00 C6 45 BF 00 8B CE 8B D0 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 7E 29 8B C8 49 85 C9 7C 1E 41 33 C0 8D 14 30 8B 5D E8 0F B7 54 53 FE 66 83 FA 30 72 0E 66 83 FA 37 77 08 40 49 75 E5 C6 45 BF 01 0F B6 45 BF EB 02 33 C0 84 C0 74 45 8B 45 FC E8 ?? ?? ?? ?? 89 45 B0 89 55 B4 8B 45 D4 83 E8 02 74 18 48 74 0B 48 75 1C 8B 45 B0 83 E0 FF EB 1C 8B 45 B0 25 FF FF FF 00 EB 12 8B 45 B0 25 FF FF 00 00 EB 08 8B 45 B0 25 FF 00 00 00 01 45 DC EB 47 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 A8 89 55 AC 8B 45 D4 83 E8 02 74 18 48 74 0B 48 75 1C 8B 45 A8 83 E0 FF EB 1C 8B 45 A8 25 FF FF FF 00 EB 12 8B 45 A8 25 FF FF 00 00 EB 08 8B 45 A8 25 FF 00 00 00 01 45 DC FF 4D D8 E9 33 FD FF FF 8B 45 E0 C6 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 DC 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 30 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_34449_0 {
	meta:
		name = "IPv6AddressToStr"
		size = 144
		refs = "0017 IPv6AddressToStr 0024 @UStrClr 0043 IntToHex 0052 @UStrCatN 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? BE 08 00 00 00 8B 5D FC FF 37 68 ?? ?? ?? ?? 8D 4D F8 0F B7 03 BA 04 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C3 02 4E 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_34450_0 {
	meta:
		name = "MakeCanonicalIPv4Address"
		size = 292
		refs = "0013 MakeCanonicalIPv4Address 0021 IPv4ToDWord 002e @UStrClr 004b IntToStr 005b @UStrCat3 0089 @UStrCatN 00d5 @UStrCat 00df @UStrAsg 00f9 @UStrArrayClr 0107 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FB E8 ?? ?? ?? ?? 80 7D FB 00 74 0C 8B C6 E8 ?? ?? ?? ?? E9 AC 00 00 00 8B D8 8B C3 C1 E8 18 25 FF 00 00 00 33 D2 52 50 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC 8B C3 C1 E8 10 25 FF 00 00 00 33 D2 52 50 8D 45 F0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 8B C3 C1 E8 08 25 FF 00 00 00 33 D2 52 50 8D 45 EC E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? B8 FF 00 00 00 23 C3 33 D2 52 50 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_34451_0 {
	meta:
		name = "MakeCanonicalIPv6Address"
		size = 1332
		refs = "001a MakeCanonicalIPv6Address 0027 @UStrClr 0031 @UStrLAsg 0052 TextStartsWith 0066 @UStrCat3 0073 TextEndsWith 0084 @UStrCat 0173 @UStrCopy 018e IndyStrToInt 01b3 IntToHex 0292 @UStrCatN 04b6 @UStrSetLength 04d3 @UStrArrayClr 04e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 11 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 84 71 04 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 10 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F8 33 C0 89 45 F4 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 7A 89 45 EC B8 01 00 00 00 8B 55 FC 0F B7 54 42 FE 83 FA 3A 7F 14 74 3D 83 EA 2E 74 22 83 C2 FE 83 EA 0A 72 50 E9 EF 03 00 00 83 C2 BF 83 EA 06 72 39 83 C2 E6 83 EA 06 72 31 E9 DA 03 00 00 FF 45 F8 83 7D F8 04 0F 8D CD 03 00 00 8B 55 F8 89 44 95 BC EB 20 FF 45 F4 83 7D F4 08 0F 8D B7 03 00 00 8B 55 F4 89 44 95 C8 EB 0A 83 7D F8 00 0F 8F A4 03 00 00 40 FF 4D EC 75 8E 8B 45 F8 85 C0 74 09 83 E8 03 0F 85 8E 03 00 00 83 7D F8 03 75 21 8B 45 F4 83 C0 FE 83 E8 05 0F 83 79 03 00 00 8B 45 F4 8B 44 85 C8 3B 45 C0 0F 8F 69 03 00 00 EB 0F 8B 45 F4 83 C0 FE 83 E8 06 0F 83 58 03 00 00 8D 45 B8 50 8B 4D CC 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 4D B8 8D 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 83 CA FF E8 ?? ?? ?? ?? 8B F8 85 FF 0F 8C 1E 03 00 00 81 FF FF FF 00 00 0F 8F 12 03 00 00 8D 4D B4 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 55 B4 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 F3 00 8B 45 F4 83 E8 02 0F 8C CC 00 00 00 40 89 45 EC 8D 5D CC 8B 43 04 48 8B 3B 3B C7 75 40 80 7D F3 00 74 0C 8B C6 E8 ?? ?? ?? ?? E9 C1 02 00 00 C6 45 F3 01 B8 08 00 00 00 2B 45 F4 83 7D F8 00 7E 01 48 8B F8 85 FF 0F 8E 80 00 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 4F 75 F1 EB 6F 8D 45 AC 50 8B 4B 04 2B CF 49 8B D7 42 8B 45 FC E8 ?? ?? ?? ?? 8B 4D AC 8D 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 83 CA FF E8 ?? ?? ?? ?? 8B F8 85 FF 7C 08 81 FF FF FF 00 00 7E 0C 8B C6 E8 ?? ?? ?? ?? E9 49 02 00 00 FF 36 8D 4D A8 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? FF 75 A8 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C3 04 FF 4D EC 0F 85 3B FF FF FF 83 7D F8 00 75 73 8D 45 A0 50 8B 45 F4 8B 54 85 C8 42 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 4D A0 8D 45 A4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A4 83 CA FF E8 ?? ?? ?? ?? 8B F8 85 FF 7C 08 81 FF FF FF 00 00 7E 0C 8B C6 E8 ?? ?? ?? ?? E9 C4 01 00 00 FF 36 8D 4D 9C BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? FF 75 9C 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 0F 8E 74 01 00 00 8D 45 98 50 8B 45 F4 8B 5C 85 C8 8B 4D C0 2B CB 49 8B D3 42 8B 45 FC E8 ?? ?? ?? ?? 8B 45 98 83 CA FF E8 ?? ?? ?? ?? 8B F8 85 FF 7C 08 81 FF FF 00 00 00 7E 0C 8B C6 E8 ?? ?? ?? ?? E9 54 01 00 00 8D 4D 94 BA 02 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 55 94 8B C6 E8 ?? ?? ?? ?? 8D 45 90 50 8B 4D C4 8B 5D C0 2B CB 49 8B D3 42 8B 45 FC E8 ?? ?? ?? ?? 8B 45 90 83 CA FF E8 ?? ?? ?? ?? 8B F8 85 FF 7C 08 81 FF FF 00 00 00 7E 0C 8B C6 E8 ?? ?? ?? ?? E9 FE 00 00 00 FF 36 8D 4D 8C BA 02 00 00 00 8B C7 E8 ?? ?? ?? ?? FF 75 8C 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 88 50 8B 4D C8 8B 5D C4 2B CB 49 8B D3 42 8B 45 FC E8 ?? ?? ?? ?? 8B 45 88 83 CA FF E8 ?? ?? ?? ?? 8B F8 85 FF 7C 08 81 FF FF 00 00 00 7E 0C 8B C6 E8 ?? ?? ?? ?? E9 9C 00 00 00 8D 4D 84 BA 02 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 55 84 8B C6 E8 ?? ?? ?? ?? 8D 45 80 50 8B 55 C8 42 B9 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 80 83 CA FF E8 ?? ?? ?? ?? 8B F8 85 FF 7C 08 81 FF FF 00 00 00 7E 09 8B C6 E8 ?? ?? ?? ?? EB 4C FF 36 8D 8D 7C FF FF FF BA 02 00 00 00 8B C7 E8 ?? ?? ?? ?? FF B5 7C FF FF FF 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 06 89 85 78 FF FF FF 8B 85 78 FF FF FF 85 C0 74 05 83 E8 04 8B 00 8B D0 4A 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 11 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 30 00 3A 00 00 00 00 00 }
	condition:
		$1
}

rule function_34452_0 {
	meta:
		name = "IPv6ToIdIPv6Address"
		size = 124
		refs = "0012 IPv6ToIdIPv6Address 003d RSInvalidIPv6Address 0042 LoadResString 004c _DV_EIdInvalidIPv6Address 0051 Exception.CreateFmt 0056 @RaiseExcept 006b @UStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FF 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 2E 89 5D F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34453_0 {
	meta:
		name = "IPv6ToIdIPv6Address"
		size = 376
		refs = "001f IPv6ToIdIPv6Address 002f MakeCanonicalIPv6Address 0054 @UStrLAsg 0065 @UStrEqual 0072 Pos 0082 IndyPos 00a1 @UStrClr 00b7 @UStrCopy 00fa @UStrCat3 0104 IndyStrToInt 0133 @UStrArrayClr 0139 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 F0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 0F 94 03 80 3B 00 0F 85 D2 00 00 00 BF 08 00 00 00 8B 5D F0 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 EF 01 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 EB 0E 8B 55 FC 8B 45 F8 FF 15 ?? ?? ?? ?? 8B F0 85 F6 75 1B 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 80 7D EF 00 74 51 8D 45 FC E8 ?? ?? ?? ?? EB 47 8D 45 F4 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 80 7D EF 00 74 2D 8B 45 F8 89 45 E8 83 7D E8 00 74 0B 8B 45 E8 83 E8 04 8B 00 89 45 E8 8D 45 FC 50 8B D6 03 55 E8 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E4 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 33 D2 E8 ?? ?? ?? ?? 66 89 03 83 C3 02 4F 0F 85 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_34454_0 {
	meta:
		name = "IndyMax"
		size = 64
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 10 8B 55 14 3B 55 0C 75 07 3B 45 08 73 12 EB 02 7D 0E 8B 45 08 89 45 F8 8B 45 0C 89 45 FC EB 0C 8B 45 10 89 45 F8 8B 45 14 89 45 FC 8B 45 F8 8B 55 FC 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_34455_0 {
	meta:
		name = "IndyMax"
		size = 7
	strings:
		$1 = { 3B D0 7E 02 8B C2 C3 }
	condition:
		$1
}

rule function_34456_0 {
	meta:
		name = "IndyMax"
		size = 8
	strings:
		$1 = { 66 3B D0 76 02 8B C2 C3 }
	condition:
		$1
}

rule function_34457_0 {
	meta:
		name = "MemoryPos"
		size = 186
		refs = "0088 CompareMem"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 4C 24 04 89 14 24 8B D0 85 D2 74 05 83 EA 04 8B 12 8B DA 85 DB 74 0A 8B 54 24 04 03 D2 3B DA 7E 08 33 C0 89 44 24 08 EB 7D 8B D0 0F B7 3A 83 C2 02 89 54 24 0C 8B 34 24 8B EB 4D 8B 5C 24 04 2B DD 85 ED 75 24 85 DB 7E 57 66 3B 3E 75 11 2B 34 24 D1 FE 79 03 83 D6 00 46 89 74 24 08 EB 47 83 C6 02 4B 85 DB 7F E2 EB 37 85 DB 7E 33 66 3B 3E 75 26 83 C6 02 8B CD 03 C9 8B 54 24 0C 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 2B 34 24 D1 FE 79 03 83 D6 00 89 74 24 08 EB 0E 83 C6 02 4B 85 DB 7F CD 33 C0 89 44 24 08 8B 44 24 08 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34458_0 {
	meta:
		name = "IndyMin"
		size = 7
	strings:
		$1 = { 3B D0 7D 02 8B C2 C3 }
	condition:
		$1
}

rule function_34459_0 {
	meta:
		name = "IndyMin"
		size = 64
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 10 8B 55 14 3B 55 0C 75 07 3B 45 08 76 12 EB 02 7E 0E 8B 45 08 89 45 F8 8B 45 0C 89 45 FC EB 0C 8B 45 10 89 45 F8 8B 45 14 89 45 FC 8B 45 F8 8B 55 FC 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_34460_0 {
	meta:
		name = "IndyMin"
		size = 8
	strings:
		$1 = { 66 3B D0 73 02 8B C2 C3 }
	condition:
		$1
}

rule function_34461_0 {
	meta:
		name = "FindStr"
		size = 33
	strings:
		$1 = { 55 8B EC 56 8B 75 08 2B D0 72 0D 42 92 66 3B 4C 56 FE 74 06 42 48 75 F5 33 D2 8B C2 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_34462_0 {
	meta:
		name = "FindNextStr"
		size = 57
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8D 48 01 2B D1 72 1C 42 87 CA 8B 5D FC 0F B7 5C 53 FE 8B F2 2B F0 8B 7D 08 66 3B 1C 77 75 06 42 49 75 E7 33 D2 8B C2 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34463_0 {
	meta:
		name = "PosIdx"
		size = 188
		refs = "0073 FindStr 00a1 FindNextStr"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F1 8B EA 89 04 24 85 F6 75 05 BE 01 00 00 00 33 DB 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B F8 8B C5 85 C0 74 05 83 E8 04 8B 00 89 44 24 08 85 FF 74 78 85 ED 74 74 8B C6 48 8B 54 24 08 2B D0 3B FA 77 67 8B 04 24 0F B7 00 66 89 44 24 04 8B 44 24 08 2B C7 40 89 44 24 0C 83 FF 01 75 15 55 0F B7 4C 24 08 8B 54 24 10 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 37 55 0F B7 4C 24 08 8B 54 24 10 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 20 8B F3 8B 04 24 50 8D 14 37 4A 8B CD 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DE EB 03 46 EB C9 8B C3 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34470_0 {
	meta:
		name = "SplitColumnsNoTrim"
		size = 236
		refs = "001d SplitColumnsNoTrim 004a Pos 0062 @UStrCopy 0087 PosIdx 00d2 @UStrClr 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D FC 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 44 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 89 45 EC BB 01 00 00 00 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 3D 8D 45 FC 50 8B CE 2B CB 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 83 7D FC 00 74 0D 8B CB 8B 55 FC 8B 45 F4 8B 18 FF 53 3C 8B DE 03 5D EC 8B CB 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 85 F6 7F C3 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 3B C3 7C 20 8D 45 E8 50 B9 FF FF FF 7F 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 8B CB 8B 45 F4 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34471_0 {
	meta:
		name = "SetThreadName"
		size = 84
		refs = "000f SetThreadName 0024 @LStrFromUStr 002e TThread.NameThreadForDebugging 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34472_0 {
	meta:
		name = "SplitColumns"
		size = 318
		refs = "0021 SplitColumns 004d Trim 0076 Pos 008e @UStrCopy 00c1 PosIdx 011f @UStrArrayClr 0132 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F0 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 44 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 89 45 EC BB 01 00 00 00 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 AE 00 00 00 33 C0 89 45 E8 EB 03 FF 45 E8 8B 45 E8 66 83 3C 46 20 76 F3 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 4B 8D 45 F8 50 8B CE 2B CB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 76 1B 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8B CB 03 4D E8 8B 45 F4 8B 18 FF 53 3C 8B DE 03 5D EC 8B CB 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 85 F6 7F B5 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 3B C3 7C 2E 8D 45 DC 50 B9 FF FF FF 7F 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B CB 03 4D E8 8B 45 F4 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34473_0 {
	meta:
		name = "TIdLocalEvent.Create"
		size = 71
		refs = "000d @ClassCreate 0026 TEvent.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B6 45 08 50 51 6A 00 6A 00 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_34474_0 {
	meta:
		name = "TIdLocalEvent.WaitForEver"
		size = 15
	strings:
		$1 = { 53 8B D8 83 CA FF 8B C3 8B 08 FF 51 08 5B C3 }
	condition:
		$1
}

rule function_34476_0 {
	meta:
		name = "IndyLength"
		size = 37
	strings:
		$1 = { 53 85 C0 74 05 83 E8 04 8B 00 8B D8 2B D9 43 85 DB 7D 04 33 C0 EB 02 8B C3 85 D2 7C 06 3B D0 7D 02 8B C2 5B C3 }
	condition:
		$1
}

rule function_34477_0 {
	meta:
		name = "IndyLength"
		size = 38
		refs = "000c @DynArrayLength"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 2B C7 85 C0 7D 02 33 C0 85 DB 7C 06 3B D8 7D 02 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34478_0 {
	meta:
		name = "IndyLength"
		size = 196
		refs = "0014 TStream.GetPosition"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 8B D8 8B C3 8B 10 FF 12 52 50 8B C3 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 89 45 E8 89 55 EC 83 7D EC 00 75 08 83 7D E8 00 73 14 EB 02 7D 10 C7 45 E0 00 00 00 00 C7 45 E4 00 00 00 00 EB 0C 8B 45 E8 89 45 E0 8B 45 EC 89 45 E4 8B 45 E0 89 45 F0 8B 45 E4 89 45 F4 83 7D 0C 00 75 08 83 7D 08 00 73 12 EB 02 7D 0E 8B 45 F0 89 45 F8 8B 45 F4 89 45 FC EB 3A 8B 45 F0 8B 55 F4 3B 55 0C 75 07 3B 45 08 76 12 EB 02 7E 0E 8B 45 08 89 45 D8 8B 45 0C 89 45 DC EB 0C 8B 45 F0 89 45 D8 8B 45 F4 89 45 DC 8B 45 D8 89 45 F8 8B 45 DC 89 45 FC 8B 45 F8 8B 55 FC 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_34479_0 {
	meta:
		name = "GetEnglishSetting"
		size = 1408
		refs = "0006 monthnames 000b wdays 001d GetEnglishSetting 0022 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B D8 BE ?? ?? ?? ?? BF ?? ?? ?? ?? C6 43 04 00 C6 83 C2 00 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 05 02 66 C7 83 BC 00 00 00 2C 00 66 C7 83 BE 00 00 00 2E 00 66 C7 43 06 2F 00 8D 43 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 43 08 3A 00 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 24 8B 16 E8 ?? ?? ?? ?? 8D 43 28 8B 56 04 E8 ?? ?? ?? ?? 8D 43 2C 8B 56 08 E8 ?? ?? ?? ?? 8D 43 30 8B 56 0C E8 ?? ?? ?? ?? 8D 43 34 8B 56 10 E8 ?? ?? ?? ?? 8D 43 38 8B 56 14 E8 ?? ?? ?? ?? 8D 43 3C 8B 56 18 E8 ?? ?? ?? ?? 8D 43 40 8B 56 1C E8 ?? ?? ?? ?? 8D 43 44 8B 56 20 E8 ?? ?? ?? ?? 8D 43 48 8B 56 24 E8 ?? ?? ?? ?? 8D 43 4C 8B 56 28 E8 ?? ?? ?? ?? 8D 43 50 8B 56 2C E8 ?? ?? ?? ?? 8D 43 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 60 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 6C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 70 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 74 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 78 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 7C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 80 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 84 00 00 00 8B 17 E8 ?? ?? ?? ?? 8D 83 88 00 00 00 8B 57 04 E8 ?? ?? ?? ?? 8D 83 8C 00 00 00 8B 57 08 E8 ?? ?? ?? ?? 8D 83 90 00 00 00 8B 57 0C E8 ?? ?? ?? ?? 8D 83 94 00 00 00 8B 57 10 E8 ?? ?? ?? ?? 8D 83 98 00 00 00 8B 57 14 E8 ?? ?? ?? ?? 8D 83 9C 00 00 00 8B 57 18 E8 ?? ?? ?? ?? 8D 83 A0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 A4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 B0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 B8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 43 0A 2C 00 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 2F 00 64 00 2F 00 79 00 79 00 79 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 64 00 64 00 64 00 64 00 2C 00 20 00 4D 00 4D 00 4D 00 4D 00 20 00 64 00 64 00 2C 00 20 00 79 00 79 00 79 00 79 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 41 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 50 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 68 00 3A 00 6D 00 6D 00 3A 00 73 00 73 00 20 00 41 00 4D 00 50 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 68 00 3A 00 6D 00 6D 00 20 00 41 00 4D 00 50 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4A 00 61 00 6E 00 75 00 61 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 65 00 62 00 72 00 75 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 61 00 72 00 63 00 68 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 70 00 72 00 69 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4D 00 61 00 79 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4A 00 75 00 6E 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4A 00 75 00 6C 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 75 00 67 00 75 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 65 00 70 00 74 00 65 00 6D 00 62 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 63 00 74 00 6F 00 62 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 6F 00 76 00 65 00 6D 00 62 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 65 00 63 00 65 00 6D 00 62 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 75 00 6E 00 64 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4D 00 6F 00 6E 00 64 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 75 00 65 00 73 00 64 00 61 00 79 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 57 00 65 00 64 00 6E 00 65 00 73 00 64 00 61 00 79 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 68 00 75 00 72 00 73 00 64 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 46 00 72 00 69 00 64 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 61 00 74 00 75 00 72 00 64 00 61 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_34480_0 {
	meta:
		name = "IndyFormat"
		size = 1692
		refs = "001e TFormatSettings 0023 @InitializeRecord 0039 monthnames 0041 IndyFormat 0065 @UStrLAsg 0263 wdays 035e @CopyRecord 0378 Format 039b @FinalizeArray 03a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 74 FE FF FF 53 56 57 89 8D 74 FE FF FF 8B FA 8B F0 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 78 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? BB ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 85 7C FE FF FF 00 C6 85 3A FF FF FF 00 8D 85 78 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 85 7D FE FF FF 02 66 C7 85 34 FF FF FF 2C 00 66 C7 85 36 FF FF FF 2E 00 66 C7 85 7E FE FF FF 2F 00 8D 85 84 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 88 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 85 80 FE FF FF 3A 00 8D 85 8C FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 90 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 98 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 94 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 9C FE FF FF 8B 13 E8 ?? ?? ?? ?? 8D 85 A0 FE FF FF 8B 53 04 E8 ?? ?? ?? ?? 8D 85 A4 FE FF FF 8B 53 08 E8 ?? ?? ?? ?? 8D 85 A8 FE FF FF 8B 53 0C E8 ?? ?? ?? ?? 8D 85 AC FE FF FF 8B 53 10 E8 ?? ?? ?? ?? 8D 85 B0 FE FF FF 8B 53 14 E8 ?? ?? ?? ?? 8D 85 B4 FE FF FF 8B 53 18 E8 ?? ?? ?? ?? 8D 85 B8 FE FF FF 8B 53 1C E8 ?? ?? ?? ?? 8D 85 BC FE FF FF 8B 53 20 E8 ?? ?? ?? ?? 8D 85 C0 FE FF FF 8B 53 24 E8 ?? ?? ?? ?? 8D 85 C4 FE FF FF 8B 53 28 E8 ?? ?? ?? ?? 8D 85 C8 FE FF FF 8B 53 2C E8 ?? ?? ?? ?? 8D 85 CC FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 D0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 D4 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 D8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 DC FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 E0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 E4 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 E8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 EC FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 FC FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 00 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 04 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 08 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 0C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 10 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 14 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 18 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 1C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 20 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 24 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 28 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 2C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 30 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 85 82 FE FF FF 2C 00 8D 85 3C FF FF FF 8D 95 78 FE FF FF 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 3C FF FF FF 50 8B 45 08 50 8B D7 8B 8D 74 FE FF FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FE FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 2F 00 64 00 2F 00 79 00 79 00 79 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 64 00 64 00 64 00 64 00 2C 00 20 00 4D 00 4D 00 4D 00 4D 00 20 00 64 00 64 00 2C 00 20 00 79 00 79 00 79 00 79 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 41 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 50 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 68 00 3A 00 6D 00 6D 00 3A 00 73 00 73 00 20 00 41 00 4D 00 50 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 68 00 3A 00 6D 00 6D 00 20 00 41 00 4D 00 50 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4A 00 61 00 6E 00 75 00 61 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 65 00 62 00 72 00 75 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 61 00 72 00 63 00 68 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 70 00 72 00 69 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4D 00 61 00 79 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4A 00 75 00 6E 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4A 00 75 00 6C 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 75 00 67 00 75 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 65 00 70 00 74 00 65 00 6D 00 62 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 63 00 74 00 6F 00 62 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 6F 00 76 00 65 00 6D 00 62 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 65 00 63 00 65 00 6D 00 62 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 75 00 6E 00 64 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4D 00 6F 00 6E 00 64 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 75 00 65 00 73 00 64 00 61 00 79 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 57 00 65 00 64 00 6E 00 65 00 73 00 64 00 61 00 79 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 68 00 75 00 72 00 73 00 64 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 46 00 72 00 69 00 64 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 61 00 74 00 75 00 72 00 64 00 61 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_34481_0 {
	meta:
		name = "DateTimeGMTToHttpStr"
		size = 372
		refs = "0015 DateTimeGMTToHttpStr 002f DecodeDate 003c @UStrLAsg 0057 CurrencyString 005f FormatDateTime 006b DayOfWeek 0075 wdays 0092 monthnames 00cc IndyFormat 00e6 @UStrArrayClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 4D F6 8D 55 F4 8D 45 F2 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 89 45 E8 8B 45 0C 89 45 EC FF 75 EC FF 75 E8 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 53 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 0F B7 C0 8B 04 85 ?? ?? ?? ?? 89 45 B8 C6 45 BC 11 0F B7 45 F6 89 45 C0 C6 45 C4 00 0F B7 45 F4 8B 04 85 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 0F B7 45 F2 89 45 D0 C6 45 D4 00 8B 45 F8 89 45 D8 C6 45 DC 11 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 55 B8 B9 05 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 48 00 48 00 22 00 3A 00 22 00 6E 00 6E 00 22 00 3A 00 22 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 4D 00 54 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 25 00 73 00 2C 00 20 00 25 00 2E 00 32 00 64 00 20 00 25 00 73 00 20 00 25 00 2E 00 34 00 64 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_34482_0 {
	meta:
		name = "DateTimeGMTToCookieStr"
		size = 408
		refs = "0018 DateTimeGMTToCookieStr 0032 DecodeDate 004d @UStrLAsg 0068 CurrencyString 0070 FormatDateTime 007c DayOfWeek 0086 wdays 00ab monthnames 00ed IndyFormat 0107 @UStrArrayClr 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 4D F6 8D 55 F4 8D 45 F2 E8 ?? ?? ?? ?? 84 DB 74 06 66 BB 2D 00 EB 04 66 BB 20 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 89 45 E8 8B 45 0C 89 45 EC FF 75 EC FF 75 E8 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 56 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 0F B7 C0 8B 04 85 ?? ?? ?? ?? 89 45 A8 C6 45 AC 11 0F B7 45 F6 89 45 B0 C6 45 B4 00 66 89 5D B8 C6 45 BC 09 0F B7 45 F4 8B 04 85 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 66 89 5D C8 C6 45 CC 09 0F B7 45 F2 89 45 D0 C6 45 D4 00 8B 45 F8 89 45 D8 C6 45 DC 11 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 55 A8 B9 07 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 48 00 48 00 22 00 3A 00 22 00 6E 00 6E 00 22 00 3A 00 22 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 4D 00 54 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 25 00 73 00 2C 00 20 00 25 00 2E 00 32 00 64 00 25 00 73 00 25 00 73 00 25 00 73 00 25 00 2E 00 34 00 64 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_34483_0 {
	meta:
		name = "LocalDateTimeToHttpStr"
		size = 33
		refs = "0007 OffsetFromUTC 0018 DateTimeGMTToHttpStr"
	strings:
		$1 = { 55 8B EC 53 8B D8 E8 ?? ?? ?? ?? DC 6D 08 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_34484_0 {
	meta:
		name = "LocalDateTimeToCookieStr"
		size = 39
		refs = "000a OffsetFromUTC 001d DateTimeGMTToCookieStr"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? DC 6D 08 83 C4 F8 DD 1C 24 9B 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_34623_0 {
	meta:
		name = "FTPLocalDateTimeToMLS"
		size = 39
		refs = "000a OffsetFromUTC 001d FTPGMTDateTimeToMLS"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? DC 6D 08 83 C4 F8 DD 1C 24 9B 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_34485_0 {
	meta:
		name = "DateTimeToInternetStr"
		size = 30
		refs = "0014 LocalDateTimeToGMT"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_34487_0 {
	meta:
		name = "DateTimeToGmtOffSetStr"
		size = 30
		refs = "0014 UTCOffsetToStr"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_68948_0 {
	meta:
		name = "IntToHex"
		size = 30
		refs = "0014 _IntToHex"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_34486_0 {
	meta:
		name = "LocalDateTimeToGMT"
		size = 376
		refs = "001b LocalDateTimeToGMT 0035 DecodeDate 0042 @UStrLAsg 005d CurrencyString 0065 FormatDateTime 0071 DayOfWeek 007b wdays 0098 monthnames 00b9 OffsetFromUTC 00ca UTCOffsetToStr 00e6 IndyFormat 00fb @UStrClr 0108 @UStrArrayClr 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 33 C9 89 4D B4 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 4D F6 8D 55 F4 8D 45 F2 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 89 45 E8 8B 45 0C 89 45 EC FF 75 EC FF 75 E8 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 56 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 0F B7 C0 8B 04 85 ?? ?? ?? ?? 89 45 B8 C6 45 BC 11 0F B7 45 F6 89 45 C0 C6 45 C4 00 0F B7 45 F4 8B 04 85 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 0F B7 45 F2 89 45 D0 C6 45 D4 00 8B 45 F8 89 45 D8 C6 45 DC 11 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 55 B4 8B C3 E8 ?? ?? ?? ?? 8B 45 B4 89 45 E0 C6 45 E4 11 8D 55 B8 B9 05 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 48 00 48 00 22 00 3A 00 22 00 6E 00 6E 00 22 00 3A 00 22 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 25 00 73 00 2C 00 20 00 25 00 64 00 20 00 25 00 73 00 20 00 25 00 64 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_34488_0 {
	meta:
		name = "OffsetFromUTC"
		size = 304
		refs = "001d OffsetFromUTC 002f GetTimeZoneInformation 004a RSFailedTimeZoneInfo 004f LoadResString 005c _DV_EIdFailedToRetreiveTimeZoneInfo 0061 EIdException.Create 0066 @RaiseExcept 00e3 EncodeTime 0115 @UStrArrayClr 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 44 FF FF FF 53 56 33 C0 89 85 44 FF FF FF 89 85 48 FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 4C FF FF FF 50 E8 ?? ?? ?? ?? 83 E8 FF 74 0B 48 74 31 48 74 48 48 74 33 EB 55 8D 95 48 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 48 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 53 8B 9D 4C FF FF FF EB 4B 8B 9D 4C FF FF FF 66 83 7D E6 00 74 3E 03 5D F4 EB 39 8B 9D 4C FF FF FF 66 83 7D 92 00 74 2C 03 5D A0 EB 27 8D 95 44 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 44 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B C3 99 33 C2 2B C2 8B C8 8B C1 BE 3C 00 00 00 99 F7 FE 52 8B C1 B9 3C 00 00 00 99 F7 F9 33 C9 5A E8 ?? ?? ?? ?? DD 5D F8 9B 85 DB 7E 0D D9 05 ?? ?? ?? ?? DC 65 F8 DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 44 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 DD 45 F8 5E 5B 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_40637_0 {
	meta:
		name = "OffsetFromUTC"
		size = 304
		refs = "001d OffsetFromUTC 002f GetTimeZoneInformation 004a RSFailedTimeZoneInfo 004f LoadResString 005c _DV_EIdFailedToRetreiveTimeZoneInfo 0061 EInException.Create 0066 @RaiseExcept 00e3 EncodeTime 0115 @UStrArrayClr 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 44 FF FF FF 53 56 33 C0 89 85 44 FF FF FF 89 85 48 FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 4C FF FF FF 50 E8 ?? ?? ?? ?? 83 E8 FF 74 0B 48 74 31 48 74 48 48 74 33 EB 55 8D 95 48 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 48 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 53 8B 9D 4C FF FF FF EB 4B 8B 9D 4C FF FF FF 66 83 7D E6 00 74 3E 03 5D F4 EB 39 8B 9D 4C FF FF FF 66 83 7D 92 00 74 2C 03 5D A0 EB 27 8D 95 44 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 44 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B C3 99 33 C2 2B C2 8B C8 8B C1 BE 3C 00 00 00 99 F7 FE 52 8B C1 B9 3C 00 00 00 99 F7 F9 33 C9 5A E8 ?? ?? ?? ?? DD 5D F8 9B 85 DB 7E 0D D9 05 ?? ?? ?? ?? DC 65 F8 DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 44 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 DD 45 F8 5E 5B 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_34489_0 {
	meta:
		name = "UTCOffsetToStr"
		size = 220
		refs = "0010 UTCOffsetToStr 0027 @UStrAsg 0041 DecodeTime 006a IndyFormat 0080 @UniqueStringU"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B DA 8B D0 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 94 C0 84 D0 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6A FF 75 0C FF 75 08 8D 45 F8 50 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? 53 0F B7 45 FE 89 45 E8 C6 45 EC 00 0F B7 45 FC 89 45 F0 C6 45 F4 00 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0E 8B C3 E8 ?? ?? ?? ?? 66 C7 00 2D 00 EB 0C 8B C3 E8 ?? ?? ?? ?? 66 C7 00 2B 00 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 4D 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 25 00 30 00 2E 00 32 00 64 00 25 00 30 00 2E 00 32 00 64 00 00 00 }
	condition:
		$1
}

rule function_46065_0 {
	meta:
		name = "DateTimeToGmtOffSetStr"
		size = 220
		refs = "0010 DateTimeToGmtOffSetStr 0027 @UStrAsg 0041 DecodeTime 006a Format 0080 @UniqueStringU"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B DA 8B D0 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 94 C0 84 D0 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6A FF 75 0C FF 75 08 8D 45 F8 50 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? 53 0F B7 45 FE 89 45 E8 C6 45 EC 00 0F B7 45 FC 89 45 F0 C6 45 F4 00 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0E 8B C3 E8 ?? ?? ?? ?? 66 C7 00 2D 00 EB 0C 8B C3 E8 ?? ?? ?? ?? 66 C7 00 2B 00 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 4D 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 25 00 30 00 2E 00 32 00 64 00 25 00 30 00 2E 00 32 00 64 00 00 00 }
	condition:
		$1
}

rule function_34492_0 {
	meta:
		name = "StringsReplace"
		size = 136
		refs = "0012 StringsReplace 0022 @UStrAsg 0046 StringReplace 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B D7 E8 ?? ?? ?? ?? 8B FE 85 FF 7C 32 47 8B 75 10 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 8B 45 08 8B 00 8B 0E 8B 13 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 E8 ?? ?? ?? ?? 83 C6 04 83 C3 04 4F 75 D2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 0C 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_34493_0 {
	meta:
		name = "ReplaceOnlyFirst"
		size = 48
		refs = "000f ReplaceOnlyFirst 001f StringReplace"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 0F B6 05 ?? ?? ?? ?? 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_34495_0 {
	meta:
		name = "IndyStrToInt"
		size = 83
		refs = "000f IndyStrToInt 001f Trim 0029 StrToIntDef 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34700_0 {
	meta:
		name = "IsHeaderMediaType"
		size = 83
		refs = "000f IsHeaderMediaType 001f ExtractHeaderItem 0029 MediaTypeMatches 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34704_0 {
	meta:
		name = "IsHeaderValue"
		size = 83
		refs = "000f IsHeaderValue 001f ExtractHeaderItem 0029 TextIsSame 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34496_0 {
	meta:
		name = "CompareDate"
		size = 94
		refs = "0010 DateTimeToTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 F0 FF 75 14 FF 75 10 8D 45 F8 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 3B D0 75 1E 8B 55 F0 8B 45 F8 3B D0 7E 05 83 C8 FF EB 1D 3B D0 7D 07 B8 01 00 00 00 EB 12 33 C0 EB 0E 3B D0 7D 07 B8 01 00 00 00 EB 03 83 C8 FF 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_34497_0 {
	meta:
		name = "AddMSecToTime"
		size = 37
		refs = "0014 IncMilliSecond"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B C8 FF 75 0C FF 75 08 8B C1 99 52 50 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_34500_0 {
	meta:
		name = "IndyStrToInt64"
		size = 100
		refs = "0012 IndyStrToInt64 0028 Trim 0030 StrToInt64Def 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_34501_0 {
	meta:
		name = "IndyStrToInt64"
		size = 92
		refs = "0012 IndyStrToInt64 0022 Trim 002a StrToInt64 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62612_0 {
	meta:
		name = "TParser.TokenInt"
		size = 92
		refs = "0012 TParser.TokenInt 0022 TParser.TokenString 002a StrToInt64 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34502_0 {
	meta:
		name = "IndyStrToStreamSize"
		size = 146
		refs = "0015 IndyStrToStreamSize 0025 @UStrLAsg 0042 Trim 004a StrToInt64Def 0071 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 D2 89 55 DC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 08 89 45 E8 8B 45 0C 89 45 EC FF 75 EC FF 75 E8 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 8B 45 E0 89 45 F0 8B 45 E4 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F0 8B 55 F4 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_34503_0 {
	meta:
		name = "IndyStrToStreamSize"
		size = 126
		refs = "0015 IndyStrToStreamSize 0025 @UStrLAsg 0030 Trim 0038 StrToInt64 005f @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 D2 89 55 E4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 8B 45 E8 89 45 F0 8B 45 EC 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F0 8B 55 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34504_0 {
	meta:
		name = "ToBytes"
		size = 105
		refs = "0012 ToBytes 0037 TArray<System.Byte> 003c @DynArrayAsg 0057 @DynArrayClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 FC 50 B9 01 00 00 00 83 CA FF 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34505_0 {
	meta:
		name = "ToBytes"
		size = 180
		refs = "0045 EnsureEncoding 0053 TEncoding.GetByteCount 0062 TArray<System.Byte> 0067 @DynArraySetLength 0074 @DynArrayLength 008e TEncoding.GetBytes"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 F8 89 45 FC 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D0 2B D6 42 85 D2 7D 04 33 C0 EB 02 8B C2 83 7D F8 00 7C 08 3B 45 F8 7E 03 8B 45 F8 8B D8 85 DB 7E 55 8D 45 0C 33 D2 E8 ?? ?? ?? ?? 53 8B CE 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 50 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 00 E8 ?? ?? ?? ?? 85 C0 7E 30 53 8B 45 08 8B 00 50 6A 00 8B CE 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? EB 18 6A 00 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_34506_0 {
	meta:
		name = "ToBytes"
		size = 157
		refs = "0016 ToBytes 0026 EnsureEncoding 0036 TArray<System.Char> 003b @DynArraySetLength 0052 TEncoding.GetBytes 005d TArray<System.Byte> 0062 @DynArrayAsg 007d @DynArrayClear 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 33 D2 E8 ?? ?? ?? ?? 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 66 89 18 8D 4D F4 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34507_0 {
	meta:
		name = "ToBytes"
		size = 47
		refs = "0011 TArray<System.Byte> 0016 @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 53 8B D8 6A 08 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 8B 55 08 89 10 8B 55 0C 89 50 04 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_34508_0 {
	meta:
		name = "ToBytes"
		size = 36
		refs = "0011 TArray<System.Byte> 0016 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 04 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 89 30 5E 5B C3 }
	condition:
		$1
}

rule function_34510_0 {
	meta:
		name = "ToBytes"
		size = 37
		refs = "0011 TArray<System.Byte> 0016 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 02 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 66 89 30 5E 5B C3 }
	condition:
		$1
}

rule function_34512_0 {
	meta:
		name = "BytesOf"
		size = 36
		refs = "0011 TArray<System.Byte> 0016 @DynArraySetLength"
		altNames = "ToBytes"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 06 88 18 5E 5B C3 }
	condition:
		$1
}

rule function_34513_0 {
	meta:
		name = "ToBytes"
		size = 200
		refs = "0017 ToBytes 0028 TArray<System.Byte> 002d @DynArrayAsg 0038 @DynArrayLength 0060 @DynArraySetLength 0093 Move 00b3 @FinalizeArray 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7D F4 8B 45 FC E8 ?? ?? ?? ?? 2B C7 85 C0 7D 02 33 C0 85 DB 7C 06 3B D8 7D 02 8B C3 8B D8 53 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 DB 7E 2C 8D 45 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 8B D3 8B 4D F8 8B 5D F4 03 CB 8B 5D 08 8B 1B 8D 04 03 91 87 CA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34514_0 {
	meta:
		name = "RawToBytes"
		size = 50
		refs = "0013 TArray<System.Byte> 0018 @DynArraySetLength 002a Move"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 8B F8 53 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 DB 7E 0B 8B 16 8B C7 8B CB E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34515_0 {
	meta:
		name = "ToBytesF"
		size = 142
		refs = "0018 ToBytesF 0028 EnsureEncoding 0038 TArray<System.Char> 003d @DynArraySetLength 004e @DynArrayLength 0061 TEncoding.GetBytes 007c @DynArrayClear 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 33 D2 E8 ?? ?? ?? ?? 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 66 89 30 8B 45 FC E8 ?? ?? ?? ?? 50 8B 03 50 6A 00 33 C9 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34516_0 {
	meta:
		name = "ToBytesF"
		size = 9
	strings:
		$1 = { 8B 00 33 C9 03 C1 89 10 C3 }
	condition:
		$1
}

rule function_34517_0 {
	meta:
		name = "ToBytesF"
		size = 10
	strings:
		$1 = { 8B 00 33 C9 03 C1 66 89 10 C3 }
	condition:
		$1
}

rule function_34519_0 {
	meta:
		name = "ToBytesF"
		size = 5
	strings:
		$1 = { 8B 00 88 10 C3 }
	condition:
		$1
}

rule function_34521_0 {
	meta:
		name = "ToBytesF"
		size = 41
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 55 08 89 55 F8 8B 55 0C 89 55 FC 8B 00 33 D2 03 C2 8B 55 F8 89 10 8B 55 FC 89 50 04 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_34522_0 {
	meta:
		name = "ToBytesF"
		size = 112
		refs = "0012 ToBytesF 0023 TArray<System.Byte> 0028 @DynArrayAsg 0041 Move 005c @DynArrayClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 8B D7 8B 4D FC 8B 75 08 03 CE 8B 1B 8D 04 03 91 87 CA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34523_0 {
	meta:
		name = "RawToBytesF"
		size = 28
		refs = "0014 Move"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 85 DB 7E 0B 8B 16 8B C7 8B CB E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34524_0 {
	meta:
		name = "BytesToChar"
		size = 19
		refs = "0009 BytesToChar"
	strings:
		$1 = { 51 51 8D 4C 24 04 87 CA E8 ?? ?? ?? ?? 0F B7 04 24 5A C3 }
	condition:
		$1
}

rule function_34525_0 {
	meta:
		name = "BytesToChar"
		size = 271
		refs = "001d BytesToChar 0032 EnsureEncoding 003e TArray<System.Byte> 0043 @DynArrayAsg 0051 @DynArrayLength 008e TArray<System.Char> 0093 @DynArraySetLength 00b8 TEncoding.GetChars 00ea @DynArrayClear 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E8 8D 45 08 33 D2 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 CB FF 8B 75 EC 8B 45 F8 E8 ?? ?? ?? ?? 2B C6 85 C0 7D 02 33 C0 85 DB 7D 04 8B D8 EB 08 3B D8 7D 02 8B C3 8B D8 BA 02 00 00 00 8B 45 08 8B 08 FF 51 1C 3B C3 7C 02 8B C3 8B D8 6A 02 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 DB 7E 29 85 DB 7E 25 BE 01 00 00 00 56 8B 45 FC 50 6A 00 8B 4D EC 8B 55 F4 8B 45 08 E8 ?? ?? ?? ?? FF 45 E8 85 C0 7F 04 46 4B 75 E0 8B 45 FC 0F B7 00 8B 55 F0 66 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B 45 E8 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34526_0 {
	meta:
		name = "BytesToLongInt"
		size = 5
		altNames = "BytesToLongWord"
	strings:
		$1 = { 03 C2 8B 00 C3 }
	condition:
		$1
}

rule function_34527_0 {
	meta:
		name = "BytesToInt64"
		size = 27
	strings:
		$1 = { 83 C4 F8 03 C2 8B 10 89 14 24 8B 50 04 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_34528_0 {
	meta:
		name = "BytesToShort"
		size = 6
		altNames = "BytesToWord"
	strings:
		$1 = { 03 C2 0F B7 00 C3 }
	condition:
		$1
}

rule function_34530_0 {
	meta:
		name = "BytesToIPv4Str"
		size = 184
		refs = "0018 BytesToIPv4Str 002a IntToStr 0078 @UStrCatN 0092 @UStrArrayClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 0F B6 04 33 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 F8 0F B6 44 33 01 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 0F B6 44 33 02 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 0F B6 44 33 03 E8 ?? ?? ?? ?? FF 75 F0 8B C7 BA 07 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_34531_0 {
	meta:
		name = "BytesToIPv6"
		size = 13
		refs = "0008 Move"
	strings:
		$1 = { 03 C1 B9 10 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34533_0 {
	meta:
		name = "BytesToString"
		size = 27
		refs = "0013 BytesToString"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 83 C9 FF 33 D2 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34534_0 {
	meta:
		name = "BytesToString"
		size = 168
		refs = "0019 BytesToString 002a TArray<System.Byte> 002f @DynArrayAsg 003a @DynArrayLength 005c EnsureEncoding 006e TEncoding.GetString 0078 @UStrClr 0093 @DynArrayClear 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B D9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7D F8 8B 45 FC E8 ?? ?? ?? ?? 2B C7 85 C0 7D 02 33 C0 85 DB 7C 06 3B D8 7D 02 8B C3 8B D8 85 DB 7E 1E 8D 45 0C 33 D2 E8 ?? ?? ?? ?? 53 8B 45 08 50 8B 4D F8 8B D6 8B 45 0C E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_34535_0 {
	meta:
		name = "BytesToStringRaw"
		size = 22
		refs = "000f BytesToStringRaw"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 83 C9 FF 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34536_0 {
	meta:
		name = "BytesToStringRaw"
		size = 162
		refs = "0019 BytesToStringRaw 002a TArray<System.Byte> 002f @DynArrayAsg 003a @DynArrayLength 005e Indy8BitEncoding 0068 TEncoding.GetString 0072 @UStrClr 008d @DynArrayClear 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B D9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7D F8 8B 45 FC E8 ?? ?? ?? ?? 2B C7 85 C0 7D 02 33 C0 85 DB 7C 06 3B D8 7D 02 8B C3 8B D8 85 DB 7E 18 53 8B 45 08 50 B0 01 E8 ?? ?? ?? ?? 8B 4D F8 8B D6 E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34537_0 {
	meta:
		name = "BytesToRaw"
		size = 24
		refs = "0010 Move"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B D6 8B CF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34538_0 {
	meta:
		name = "TwoByteToWord"
		size = 144
		refs = "0013 TwoByteToWord 0029 TArray<System.Byte> 002e @DynArraySetLength 0051 @DynArrayAsg 007d @FinalizeArray 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 88 55 F7 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 88 18 8B 45 FC 0F B6 55 F7 88 50 01 8D 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 03 C2 0F B7 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34539_0 {
	meta:
		name = "ReadStringFromStream"
		size = 104
		refs = "000f ReadStringFromStream 0022 _Dn_TIdStreamHelperVCL 0027 TIdStreamHelperVCL.ReadBytes 003a BytesToString 0050 TArray<System.Byte> 0055 @DynArrayClear 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 53 6A 00 8D 4D FC 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 56 8B 45 08 50 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_40688_0 {
	meta:
		name = "ReadStringFromStream"
		size = 104
		refs = "000f ReadStringFromStream 0022 _Dn_TInStreamHelperVCL 0027 TInStreamHelperVCL.ReadBytes 003a BytesToString 0050 TArray<System.Byte> 0055 @DynArrayClear 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 53 6A 00 8D 4D FC 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 56 8B 45 08 50 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34540_0 {
	meta:
		name = "ReadTIdBytesFromStream"
		size = 56
		refs = "0019 _Dn_TIdStreamHelperVCL 001e TIdStreamHelperVCL.ReadBytes"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B CE 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 99 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_40689_0 {
	meta:
		name = "ReadTIdBytesFromStream"
		size = 56
		refs = "0019 _Dn_TInStreamHelperVCL 001e TInStreamHelperVCL.ReadBytes"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B CE 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 99 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_34541_0 {
	meta:
		name = "ReadByte"
		size = 112
		refs = "001c ReadByte 0023 _Dn_EIdException 0028 EIdException.Create 002d @RaiseExcept"
	strings:
		$1 = { 55 8B EC 51 53 8D 55 FF 8B 45 08 8B 40 FC B9 01 00 00 00 8B 18 FF 53 0C 48 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 55 00 6E 00 61 00 62 00 6C 00 65 00 20 00 74 00 6F 00 20 00 72 00 65 00 61 00 64 00 20 00 62 00 79 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_40690_0 {
	meta:
		name = "ReadByte"
		size = 112
		refs = "001c ReadByte 0023 _Dn_EInException 0028 EInException.Create 002d @RaiseExcept"
	strings:
		$1 = { 55 8B EC 51 53 8D 55 FF 8B 45 08 8B 40 FC B9 01 00 00 00 8B 18 FF 53 0C 48 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 55 00 6E 00 61 00 62 00 6C 00 65 00 20 00 74 00 6F 00 20 00 72 00 65 00 61 00 64 00 20 00 62 00 79 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_34542_0 {
	meta:
		name = "ReadCharFromStream"
		size = 331
		refs = "001e ReadCharFromStream 0030 EnsureEncoding 0038 TStream.GetPosition 0078 TArray<System.Byte> 007d @DynArraySetLength 0090 TArray<System.Char> 00c5 TEncoding.GetChars 00d3 ReadByte 00e9 @HandleAnyException 00f7 TStream.SetPosition 00fc @RaiseAgain 0101 @DoneExcept 0128 @DynArrayClear 013c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D F8 89 5D F4 89 4D EC 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 EC 33 D2 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 8D 55 DF B9 01 00 00 00 8B 45 FC 8B 30 FF 56 0C 48 0F 85 B8 00 00 00 BB 01 00 00 00 BA 02 00 00 00 8B 45 EC 8B 08 FF 51 1C 8B F0 56 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 02 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 0F B6 55 DF 88 54 18 FF 53 8B 45 F4 50 6A 00 33 C9 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 7F 11 3B F3 74 0D 55 E8 ?? ?? ?? ?? 59 88 45 DF 43 EB CC 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? FF 75 E4 FF 75 E0 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 0F B7 00 8B 55 F0 66 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34543_0 {
	meta:
		name = "WriteTIdBytesToStream"
		size = 26
		refs = "000a _Dn_TIdStreamHelperVCL 0012 TIdStreamHelperVCL.Write"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 51 8B 0D ?? ?? ?? ?? 91 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_40692_0 {
	meta:
		name = "WriteTIdBytesToStream"
		size = 26
		refs = "000a _Dn_TInStreamHelperVCL 0012 TInStreamHelperVCL.Write"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 51 8B 0D ?? ?? ?? ?? 91 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_34544_0 {
	meta:
		name = "WriteStringToStream"
		size = 12
		refs = "0007 WriteStringToStream"
	strings:
		$1 = { 6A 01 51 83 C9 FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34545_0 {
	meta:
		name = "WriteStringToStream"
		size = 178
		refs = "001c WriteStringToStream 002b TArray<System.Byte> 0030 @DynArrayClear 006f ToBytes 007e _Dn_TIdStreamHelperVCL 0083 TIdStreamHelperVCL.Write 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 8B D9 89 55 F4 89 45 F8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B D0 2B D6 42 85 D2 7D 04 33 C0 EB 02 8B C2 85 DB 7C 06 3B D8 7D 02 8B C3 8B D8 85 DB 7E 28 8B 45 08 50 8D 45 FC 50 8B CE 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 6A FF 6A 00 8B 4D FC 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_40694_0 {
	meta:
		name = "WriteStringToStream"
		size = 178
		refs = "001c WriteStringToStream 002b TArray<System.Byte> 0030 @DynArrayClear 006f ToBytes 007e _Dn_TInStreamHelperVCL 0083 TInStreamHelperVCL.Write 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 8B D9 89 55 F4 89 45 F8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B D0 2B D6 42 85 D2 7D 04 33 C0 EB 02 8B C2 85 DB 7C 06 3B D8 7D 02 8B C3 8B D8 85 DB 7E 28 8B 45 08 50 8D 45 FC 50 8B CE 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 6A FF 6A 00 8B 4D FC 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_34546_0 {
	meta:
		name = "TIdBaseStream.SetSize"
		size = 18
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 10 FF 52 28 5D C2 08 00 }
	condition:
		$1
}

rule function_34547_0 {
	meta:
		name = "TIdBaseStream.Read"
		size = 132
		refs = "0018 TIdBaseStream.Read 002d TArray<System.Byte> 0032 @DynArraySetLength 0055 Move 0070 @DynArrayClear 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 56 8D 55 FC 33 C9 8B C3 8B 18 FF 53 1C 8B D8 85 DB 7E 0D 8B 55 F8 8B 45 FC 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34548_0 {
	meta:
		name = "TIdBaseStream.Write"
		size = 144
		refs = "0019 TIdBaseStream.Write 0034 TArray<System.Byte> 0039 @DynArraySetLength 004d Move 007b @DynArrayClear 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B D9 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7E 3B 8B F3 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 F6 7E 0D 8B 55 FC 8B 45 F8 8B CE E8 ?? ?? ?? ?? 53 33 C9 8B 55 FC 8B C7 8B 18 FF 53 20 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34549_0 {
	meta:
		name = "TIdBaseStream.Seek"
		size = 35
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8B 08 FF 51 24 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_34550_0 {
	meta:
		name = "TIdEventStream.IdRead"
		size = 42
	strings:
		$1 = { 55 8B EC 51 53 33 DB 89 5D FC 66 83 78 0A 00 74 10 8B 5D 08 53 8D 5D FC 53 8B D8 8B 43 0C FF 53 08 8B 45 FC 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34551_0 {
	meta:
		name = "TIdEventStream.IdWrite"
		size = 49
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 08 66 83 78 12 00 74 14 33 DB 89 5D FC 56 8D 5D FC 53 8B D8 8B 43 14 FF 53 10 EB 03 89 75 FC 8B 45 FC 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34552_0 {
	meta:
		name = "TIdEventStream.IdSeek"
		size = 58
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 66 83 78 1A 00 74 11 FF 75 0C FF 75 08 8D 4D F8 8B D8 8B 43 1C FF 53 18 8B 45 F8 8B 55 FC 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_34553_0 {
	meta:
		name = "TIdEventStream.IdSetSize"
		size = 30
	strings:
		$1 = { 55 8B EC 53 66 83 78 22 00 74 0E FF 75 0C FF 75 08 8B D8 8B 43 24 FF 53 20 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_34554_0 {
	meta:
		name = "TIdMemoryBufferStream.Create"
		size = 75
		refs = "000e @ClassCreate 001d TObject.Create 0029 TCustomMemoryStream.SetPointer 0034 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 4D 08 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_34555_0 {
	meta:
		name = "TIdMemoryBufferStream.Write"
		size = 237
		refs = "0013 TStream.GetPosition 00ca Move 00d8 _Dn_TIdStreamHelperVCL 00dd TIdStreamHelperVCL.Seek"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B F1 89 14 24 8B D8 33 ED 8B C3 E8 ?? ?? ?? ?? 83 FA 00 75 0B 83 F8 00 0F 82 BE 00 00 00 EB 06 0F 8C B6 00 00 00 8B C3 8B 10 FF 12 83 FA 00 75 0B 83 F8 00 0F 86 A2 00 00 00 EB 06 0F 8E 9A 00 00 00 85 F6 0F 8E 92 00 00 00 8B C3 8B 10 FF 12 52 50 8B C3 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 89 44 24 08 89 54 24 0C 8B C6 99 3B 54 24 0C 75 08 3B 44 24 08 73 11 EB 02 7D 0D 8B C6 99 89 44 24 10 89 54 24 14 EB 10 8B 44 24 08 89 44 24 10 8B 44 24 0C 89 44 24 14 8B 44 24 10 8B F8 85 FF 7E 38 8B C3 E8 ?? ?? ?? ?? 52 50 8B 43 04 99 03 04 24 13 54 24 04 83 C4 08 8B D0 8B 04 24 8B CE E8 ?? ?? ?? ?? 8B C7 99 52 50 B1 01 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B EF 8B C5 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40704_0 {
	meta:
		name = "TIdMemoryBufferStream.Write"
		size = 237
		refs = "0013 TStream.GetPosition 00ca Move 00d8 _Dn_TInStreamHelperVCL 00dd TInStreamHelperVCL.Seek"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B F1 89 14 24 8B D8 33 ED 8B C3 E8 ?? ?? ?? ?? 83 FA 00 75 0B 83 F8 00 0F 82 BE 00 00 00 EB 06 0F 8C B6 00 00 00 8B C3 8B 10 FF 12 83 FA 00 75 0B 83 F8 00 0F 86 A2 00 00 00 EB 06 0F 8E 9A 00 00 00 85 F6 0F 8E 92 00 00 00 8B C3 8B 10 FF 12 52 50 8B C3 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 89 44 24 08 89 54 24 0C 8B C6 99 3B 54 24 0C 75 08 3B 44 24 08 73 11 EB 02 7D 0D 8B C6 99 89 44 24 10 89 54 24 14 EB 10 8B 44 24 08 89 44 24 10 8B 44 24 0C 89 44 24 14 8B 44 24 10 8B F8 85 FF 7E 38 8B C3 E8 ?? ?? ?? ?? 52 50 8B 43 04 99 03 04 24 13 54 24 04 83 C4 08 8B D0 8B 04 24 8B CE E8 ?? ?? ?? ?? 8B C7 99 52 50 B1 01 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B EF 8B C5 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34556_0 {
	meta:
		name = "AppendBytes"
		size = 219
		refs = "001d AppendBytes 002f TArray<System.Byte> 0034 @DynArrayAsg 0042 @DynArrayLength 0079 @DynArraySetLength 00a6 Move 00c6 @FinalizeArray 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F0 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D 08 8B 7D F0 8B 45 FC E8 ?? ?? ?? ?? 2B C7 85 C0 7D 02 33 C0 85 DB 7C 06 3B D8 7D 02 8B C3 8B D8 85 DB 7E 4C 8B 06 E8 ?? ?? ?? ?? 8B F8 8D 04 3B 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F8 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B D3 8B 4D F8 8B 5D F0 03 CB 8B 1E 8D 04 03 91 87 CA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34557_0 {
	meta:
		name = "AppendByte"
		size = 50
		refs = "000a @DynArrayLength 001d TArray<System.Byte> 0022 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B 07 E8 ?? ?? ?? ?? 8B F0 8D 46 01 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 07 88 1C 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34558_0 {
	meta:
		name = "AppendString"
		size = 246
		refs = "0017 AppendString 0026 TArray<System.Byte> 002b @DynArrayClear 006c ToBytes 0073 @DynArrayLength 0095 @DynArraySetLength 00a9 @DynArrayAsg 00c1 Move 00e1 @FinalizeArray 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B D0 4A 42 85 D2 7D 04 33 C0 EB 02 8B C2 85 DB 7C 06 3B D8 7D 02 8B C3 8B D8 85 DB 7E 6C 8B 45 08 50 8D 45 FC 50 B9 01 00 00 00 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8D 04 3B 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B D3 8B 4D F8 33 DB 03 CB 8B 1E 8D 04 03 91 87 CA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34559_0 {
	meta:
		name = "ExpandBytes"
		size = 133
		refs = "0015 @DynArrayLength 002f TArray<System.Byte> 0034 @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 85 F6 7E 6B 8B 03 E8 ?? ?? ?? ?? 3B 45 FC 8B 03 E8 ?? ?? ?? ?? 03 C6 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 E8 ?? ?? ?? ?? 48 8B 55 FC 03 D6 2B D0 7F 14 4A 8B C8 2B CE 8B 3B 0F B6 0C 0F 8B 3B 88 0C 07 48 42 75 ED 8B 45 FC 8B 55 FC 03 D6 4A 2B D0 7C 10 42 8B 0B 8D 34 01 0F B6 4D 08 88 0E 40 4A 75 F1 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34560_0 {
	meta:
		name = "InsertBytes"
		size = 202
		refs = "001d InsertBytes 002e TArray<System.Byte> 0033 @DynArrayAsg 0041 @DynArrayLength 0068 ExpandBytes 0095 Move 00b5 @FinalizeArray 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 8B F1 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 CB FF 8B 7D 08 8B 45 FC E8 ?? ?? ?? ?? 2B C7 85 C0 7D 02 33 C0 85 DB 7C 06 3B D8 7D 02 8B C3 8B D8 85 DB 7E 3C 6A 00 8B 45 F4 8B CB 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B D3 8B 4D F8 8B 5D 08 03 CB 8B 5D F4 8B 1B 8D 04 03 91 87 CA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34561_0 {
	meta:
		name = "InsertByte"
		size = 34
		refs = "0015 ExpandBytes"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 8B F8 6A 00 8B C7 B9 01 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 07 88 1C 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34562_0 {
	meta:
		name = "RemoveBytes"
		size = 118
		refs = "000c @DynArrayLength 0066 TArray<System.Byte> 006b @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 03 E8 ?? ?? ?? ?? 2B C7 3B F0 7D 02 8B C6 8B F0 85 F6 7E 54 8B 03 E8 ?? ?? ?? ?? 8D 14 3E 3B C2 7E 27 8B C7 50 8B 03 E8 ?? ?? ?? ?? 8B D0 2B D6 4A 58 2B D0 7C 13 42 8D 0C 06 8B 3B 0F B6 0C 0F 8B 3B 88 0C 07 40 4A 75 EE 8B 03 E8 ?? ?? ?? ?? 2B C6 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34566_0 {
	meta:
		name = "TextStartsWith"
		size = 84
		refs = "002b @UStrToPWChar 0046 CompareString"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C7 85 C0 74 05 83 E8 04 8B 00 8B D8 8B C6 85 C0 74 05 83 E8 04 8B 00 3B C3 0F 9D C0 84 C0 74 28 8B C6 E8 ?? ?? ?? ?? 8B F0 8B C7 E8 ?? ?? ?? ?? 8B F8 53 57 53 56 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 F8 02 0F 94 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34567_0 {
	meta:
		name = "TextEndsWith"
		size = 103
		refs = "002c @UStrToPWChar 0058 CompareString"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 8B C5 85 C0 74 05 83 E8 04 8B 00 8B D8 8B C6 85 C0 74 05 83 E8 04 8B 00 3B C3 0F 9D C0 84 C0 74 39 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C5 E8 ?? ?? ?? ?? 8B E8 8B C6 85 C0 74 05 83 E8 04 8B 00 2B C3 03 C0 03 F8 53 55 53 57 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 F8 02 0F 94 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34571_0 {
	meta:
		name = "CharPosInSet"
		size = 144
		refs = "0012 CharPosInSet 0017 _Dn_EIdException 001c EIdException.Toss"
	strings:
		$1 = { 53 56 57 55 8B D9 8B F2 8B E8 33 FF 83 FE 01 7D 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C5 85 C0 74 05 83 E8 04 8B 00 3B C6 7C 2A 0F B7 74 75 FE 8B C3 85 C0 74 05 83 E8 04 8B 00 8B D0 85 D2 7E 14 B8 01 00 00 00 66 3B 74 43 FE 75 04 8B F8 EB 04 40 4A 75 F1 8B C7 5D 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 41 00 43 00 68 00 61 00 72 00 50 00 6F 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_40720_0 {
	meta:
		name = "CharPosInSet"
		size = 144
		refs = "0012 CharPosInSet 0017 _Dn_EInException 001c EInException.Toss"
	strings:
		$1 = { 53 56 57 55 8B D9 8B F2 8B E8 33 FF 83 FE 01 7D 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C5 85 C0 74 05 83 E8 04 8B 00 3B C6 7C 2A 0F B7 74 75 FE 8B C3 85 C0 74 05 83 E8 04 8B 00 8B D0 85 D2 7E 14 B8 01 00 00 00 66 3B 74 43 FE 75 04 8B F8 EB 04 40 4A 75 F1 8B C7 5D 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 41 00 43 00 68 00 61 00 72 00 50 00 6F 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_34572_0 {
	meta:
		name = "CharIsInSet"
		size = 156
		refs = "0014 CharIsInSet 0019 _Dn_EIdException 001e EIdException.Toss"
	strings:
		$1 = { 53 56 57 55 51 8B D9 8B F2 89 04 24 33 FF 83 FE 01 7D 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 85 C0 74 05 83 E8 04 8B 00 3B C6 7C 2D 8B 04 24 0F B7 54 70 FE 8B C3 85 C0 74 05 83 E8 04 8B 00 8B E8 85 ED 7E 14 B8 01 00 00 00 66 3B 54 43 FE 75 04 8B F8 EB 04 40 4D 75 F1 85 FF 0F 9F C0 5A 5D 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 41 00 43 00 68 00 61 00 72 00 50 00 6F 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_40721_0 {
	meta:
		name = "CharIsInSet"
		size = 156
		refs = "0014 CharIsInSet 0019 _Dn_EInException 001e EInException.Toss"
	strings:
		$1 = { 53 56 57 55 51 8B D9 8B F2 89 04 24 33 FF 83 FE 01 7D 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 85 C0 74 05 83 E8 04 8B 00 3B C6 7C 2D 8B 04 24 0F B7 54 70 FE 8B C3 85 C0 74 05 83 E8 04 8B 00 8B E8 85 ED 7E 14 B8 01 00 00 00 66 3B 54 43 FE 75 04 8B F8 EB 04 40 4D 75 F1 85 FF 0F 9F C0 5A 5D 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 41 00 43 00 68 00 61 00 72 00 50 00 6F 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_34573_0 {
	meta:
		name = "CharIsInEOL"
		size = 176
		refs = "0010 CharIsInEOL 0015 _Dn_EIdException 001a EIdException.Toss"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 33 F6 83 FB 01 7D 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 85 C0 74 05 83 E8 04 8B 00 3B C3 7C 32 0F B7 54 5F FE B8 ?? ?? ?? ?? 85 C0 74 05 83 E8 04 8B 00 8B E8 85 ED 7E 19 B8 01 00 00 00 B9 ?? ?? ?? ?? 66 3B 54 41 FE 75 04 8B F0 EB 04 40 4D 75 EC 85 F6 0F 9F C0 5D 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 41 00 43 00 68 00 61 00 72 00 50 00 6F 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_40722_0 {
	meta:
		name = "CharIsInEOL"
		size = 176
		refs = "0010 CharIsInEOL 0015 _Dn_EInException 001a EInException.Toss"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 33 F6 83 FB 01 7D 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 85 C0 74 05 83 E8 04 8B 00 3B C3 7C 32 0F B7 54 5F FE B8 ?? ?? ?? ?? 85 C0 74 05 83 E8 04 8B 00 8B E8 85 ED 7E 19 B8 01 00 00 00 B9 ?? ?? ?? ?? 66 3B 54 41 FE 75 04 8B F0 EB 04 40 4D 75 EC 85 F6 0F 9F C0 5D 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 41 00 43 00 68 00 61 00 72 00 50 00 6F 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_34574_0 {
	meta:
		name = "CharEquals"
		size = 112
		refs = "000f CharEquals 0014 _Dn_EIdException 0019 EIdException.Toss"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 83 FB 01 7D 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 3B C3 0F 9D C0 84 C0 74 08 66 3B 7C 5E FE 0F 94 C0 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 41 00 43 00 68 00 61 00 72 00 50 00 6F 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_40723_0 {
	meta:
		name = "CharEquals"
		size = 112
		refs = "000f CharEquals 0014 _Dn_EInException 0019 EInException.Toss"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 83 FB 01 7D 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 3B C3 0F 9D C0 84 C0 74 08 66 3B 7C 5E FE 0F 94 C0 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 41 00 43 00 68 00 61 00 72 00 50 00 6F 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_34575_0 {
	meta:
		name = "ByteIndex"
		size = 52
		refs = "0013 @DynArrayLength"
	strings:
		$1 = { 53 56 57 55 8B E9 8B F2 8B D8 83 CF FF 8B C5 50 8B C6 E8 ?? ?? ?? ?? 8B D0 4A 58 2B D0 7C 0E 42 3A 1C 06 75 04 8B F8 EB 04 40 4A 75 F3 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34576_0 {
	meta:
		name = "ByteIdxInSet"
		size = 108
		refs = "000e ByteIdxInSet 0013 _Dn_EIdException 0018 EIdException.Toss 001f @DynArrayLength 0030 ByteIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 85 DB 7D 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B D8 7D 0F 33 C9 8B D7 0F B6 04 1E E8 ?? ?? ?? ?? EB 03 83 C8 FF 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 41 00 49 00 6E 00 64 00 65 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_40725_0 {
	meta:
		name = "ByteIdxInSet"
		size = 108
		refs = "000e ByteIdxInSet 0013 _Dn_EInException 0018 EInException.Toss 001f @DynArrayLength 0030 ByteIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 85 DB 7D 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B D8 7D 0F 33 C9 8B D7 0F B6 04 1E E8 ?? ?? ?? ?? EB 03 83 C8 FF 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 41 00 49 00 6E 00 64 00 65 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_34577_0 {
	meta:
		name = "ByteIsInSet"
		size = 216
		refs = "0014 ByteIsInSet 0025 TArray<System.Byte> 002a @DynArrayAsg 004a _Dn_EIdException 004f EIdException.Toss 0057 @DynArrayLength 006c ByteIndex 0095 @FinalizeArray 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B DE 8D 45 F8 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7D 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7D 13 8B 45 FC 0F B6 04 18 33 C9 8B 55 F8 E8 ?? ?? ?? ?? EB 03 83 C8 FF 40 0F 9F C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 41 00 49 00 6E 00 64 00 65 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_40726_0 {
	meta:
		name = "ByteIsInSet"
		size = 216
		refs = "0014 ByteIsInSet 0025 TArray<System.Byte> 002a @DynArrayAsg 004a _Dn_EInException 004f EInException.Toss 0057 @DynArrayLength 006c ByteIndex 0095 @FinalizeArray 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B DE 8D 45 F8 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7D 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7D 13 8B 45 FC 0F B6 04 18 33 C9 8B 55 F8 E8 ?? ?? ?? ?? EB 03 83 C8 FF 40 0F 9F C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 41 00 49 00 6E 00 64 00 65 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_34578_0 {
	meta:
		name = "ByteIsInEOL"
		size = 252
		refs = "0013 ByteIsInEOL 0029 TArray<System.Byte> 002e @DynArraySetLength 004e @DynArrayAsg 006f _Dn_EIdException 0074 EIdException.Toss 007c @DynArrayLength 0091 ByteIndex 00bc @FinalizeArray 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC C6 00 0D 8B 45 FC C6 40 01 0A 8B D3 8D 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B DE 8D 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7D 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7D 13 8B 45 F8 0F B6 04 18 33 C9 8B 55 F4 E8 ?? ?? ?? ?? EB 03 83 C8 FF 40 0F 9F C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 41 00 49 00 6E 00 64 00 65 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_40727_0 {
	meta:
		name = "ByteIsInEOL"
		size = 252
		refs = "0013 ByteIsInEOL 0029 TArray<System.Byte> 002e @DynArraySetLength 004e @DynArrayAsg 006f _Dn_EInException 0074 EInException.Toss 007c @DynArrayLength 0091 ByteIndex 00bc @FinalizeArray 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC C6 00 0D 8B 45 FC C6 40 01 0A 8B D3 8D 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B DE 8D 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7D 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7D 13 8B 45 F8 0F B6 04 18 33 C9 8B 55 F4 E8 ?? ?? ?? ?? EB 03 83 C8 FF 40 0F 9F C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 41 00 49 00 6E 00 64 00 65 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_34579_0 {
	meta:
		name = "ReadLnFromStream"
		size = 185
		refs = "001b ReadLnFromStream 004b TStream.GetPosition 0067 RSEndOfStream 006c LoadResString 007a IndyFormat 0082 _DV_EIdEndOfStream 0087 EIdException.Toss 009c @UStrClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 89 5D E0 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 55 08 8B CE 8B C7 E8 ?? ?? ?? ?? 34 01 84 D8 74 50 8D 45 FC 50 33 C0 89 45 EC C6 45 F0 11 8B C7 E8 ?? ?? ?? ?? 89 45 E4 89 55 E8 8D 45 E4 89 45 F4 C6 45 F8 10 8D 45 EC 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_40728_0 {
	meta:
		name = "ReadLnFromStream"
		size = 185
		refs = "001b ReadLnFromStream 004b TStream.GetPosition 0067 RSEndOfStream 006c LoadResString 007a IndyFormat 0082 _DV_EIdEndOfStream 0087 EInException.Toss 009c @UStrClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 89 5D E0 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 55 08 8B CE 8B C7 E8 ?? ?? ?? ?? 34 01 84 D8 74 50 8D 45 FC 50 33 C0 89 45 EC C6 45 F0 11 8B C7 E8 ?? ?? ?? ?? 89 45 E4 89 55 E8 8D 45 E4 89 45 F4 C6 45 F8 10 8D 45 EC 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_34580_0 {
	meta:
		name = "FindEOL"
		size = 196
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D FC 8B F2 8B C8 8B 06 89 45 F0 8B 46 04 89 45 F4 33 DB EB 75 0F B6 04 19 2C 0A 74 06 2C 03 74 1C EB 66 8B C3 99 89 45 F0 89 55 F4 8B 45 FC C6 00 01 8D 43 01 99 89 06 89 56 04 EB 72 8B C3 99 89 45 F0 89 55 F4 8B 45 FC C6 00 01 43 8B C3 99 52 50 8B 06 8B 56 04 3B 54 24 04 75 09 3B 04 24 5A 58 76 1B EB 04 5A 58 7E 15 0F B6 04 19 66 83 F8 0A 75 0B 8D 43 01 99 89 06 89 56 04 EB 30 8B C3 99 89 06 89 56 04 EB 26 43 8B C3 99 52 50 8B 06 8B 56 04 3B 54 24 04 75 0D 3B 04 24 5A 58 0F 87 70 FF FF FF EB 08 5A 58 0F 8F 66 FF FF FF 8B 45 F0 8B 55 F4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34581_0 {
	meta:
		name = "ReadLnFromStream"
		size = 622
		refs = "0023 ReadLnFromStream 0031 @UStrClr 0041 TArray<System.Byte> 0046 @DynArraySetLength 005e TStream.GetPosition 0115 _Dn_TIdStreamHelperVCL 011a TIdStreamHelperVCL.ReadBytes 013b FindEOL 018f @DynArrayLength 01c7 @DynArrayAsg 01e1 Move 020e TStream.SetPosition 0223 BytesToString 022e @UStrAsg 0258 @FinalizeArray 025e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 33 DB 89 5D A8 89 5D FC 89 5D F8 89 5D F4 89 4D E8 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? 6A 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 7D E8 00 7D 07 C7 45 E8 FF FF FF 7F 8B 45 F0 E8 ?? ?? ?? ?? 89 45 D8 89 55 DC 8B 45 F0 8B 10 FF 12 89 45 D0 89 55 D4 8B 45 D8 8B 55 DC 3B 55 D4 75 07 3B 45 D0 72 0B EB 02 7C 07 33 DB E9 A4 01 00 00 68 00 08 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C6 45 CF 00 8B 45 D0 8B 55 D4 2B 45 D8 1B 55 DC 83 FA 00 75 09 3D 00 08 00 00 76 14 EB 02 7E 10 C7 45 C0 00 08 00 00 C7 45 C4 00 00 00 00 EB 12 8B 45 D0 8B 55 D4 2B 45 D8 1B 55 DC 89 45 C0 89 55 C4 8B 45 C0 89 45 E0 8B 45 C4 89 45 E4 8B 5D F0 8B 45 E0 89 45 B8 8B 45 E4 89 45 BC 33 F6 8B 45 B8 50 56 8D 4D FC 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 99 89 45 B0 89 55 B4 8B 45 B0 89 45 E0 8B 45 B4 89 45 E4 8D 4D CF 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 E0 8B 55 E4 01 45 D8 11 55 DC 8B 45 EC 8B 00 89 45 AC 8B 45 AC 85 C0 74 05 83 E8 04 8B 00 8D 14 03 3B 55 E8 7E 1E 8B 5D E8 2B D8 C6 45 CF 01 8B 45 E0 8B 55 E4 29 45 D8 19 55 DC 8B C3 99 01 45 D8 11 55 DC 85 DB 7E 5A 8B 45 F8 E8 ?? ?? ?? ?? 99 89 45 E0 89 55 E4 8B C3 99 03 45 E0 13 55 E4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8B D3 8B 4D F4 33 DB 03 CB 8B 5D F8 8D 04 03 91 87 CA E8 ?? ?? ?? ?? 8B 45 D8 8B 55 DC 3B 55 D4 75 08 3B 45 D0 0F 93 C0 EB 03 0F 9D C0 0A 45 CF 0F 84 AB FE FF FF FF 75 DC FF 75 D8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 08 50 8D 45 A8 50 83 C9 FF 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 EC E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_40730_0 {
	meta:
		name = "ReadLnFromStream"
		size = 622
		refs = "0023 ReadLnFromStream 0031 @UStrClr 0041 TArray<System.Byte> 0046 @DynArraySetLength 005e TStream.GetPosition 0115 _Dn_TInStreamHelperVCL 011a TInStreamHelperVCL.ReadBytes 013b FindEOL 018f @DynArrayLength 01c7 @DynArrayAsg 01e1 Move 020e TStream.SetPosition 0223 BytesToString 022e @UStrAsg 0258 @FinalizeArray 025e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 33 DB 89 5D A8 89 5D FC 89 5D F8 89 5D F4 89 4D E8 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? 6A 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 7D E8 00 7D 07 C7 45 E8 FF FF FF 7F 8B 45 F0 E8 ?? ?? ?? ?? 89 45 D8 89 55 DC 8B 45 F0 8B 10 FF 12 89 45 D0 89 55 D4 8B 45 D8 8B 55 DC 3B 55 D4 75 07 3B 45 D0 72 0B EB 02 7C 07 33 DB E9 A4 01 00 00 68 00 08 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C6 45 CF 00 8B 45 D0 8B 55 D4 2B 45 D8 1B 55 DC 83 FA 00 75 09 3D 00 08 00 00 76 14 EB 02 7E 10 C7 45 C0 00 08 00 00 C7 45 C4 00 00 00 00 EB 12 8B 45 D0 8B 55 D4 2B 45 D8 1B 55 DC 89 45 C0 89 55 C4 8B 45 C0 89 45 E0 8B 45 C4 89 45 E4 8B 5D F0 8B 45 E0 89 45 B8 8B 45 E4 89 45 BC 33 F6 8B 45 B8 50 56 8D 4D FC 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 99 89 45 B0 89 55 B4 8B 45 B0 89 45 E0 8B 45 B4 89 45 E4 8D 4D CF 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 E0 8B 55 E4 01 45 D8 11 55 DC 8B 45 EC 8B 00 89 45 AC 8B 45 AC 85 C0 74 05 83 E8 04 8B 00 8D 14 03 3B 55 E8 7E 1E 8B 5D E8 2B D8 C6 45 CF 01 8B 45 E0 8B 55 E4 29 45 D8 19 55 DC 8B C3 99 01 45 D8 11 55 DC 85 DB 7E 5A 8B 45 F8 E8 ?? ?? ?? ?? 99 89 45 E0 89 55 E4 8B C3 99 03 45 E0 13 55 E4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8B D3 8B 4D F4 33 DB 03 CB 8B 5D F8 8D 04 03 91 87 CA E8 ?? ?? ?? ?? 8B 45 D8 8B 55 DC 3B 55 D4 75 08 3B 45 D0 0F 93 C0 EB 03 0F 9D C0 0A 45 CF 0F 84 AB FE FF FF FF 75 DC FF 75 D8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 08 50 8D 45 A8 50 83 C9 FF 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 EC E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34583_0 {
	meta:
		name = "InternalIndyIndexOf"
		size = 210
		refs = "0021 InternalIndyIndexOf 005e @UStrEqual 007d @UStrLAsg 0088 AnsiCompareText 00af @UStrClr 00bc @UStrArrayClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D FC 89 5D F8 88 4D EF 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 E8 FF FF FF FF 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 7C 5D 46 33 DB 80 7D EF 00 74 1F 8D 4D E4 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 45 E4 8B 55 F0 E8 ?? ?? ?? ?? 75 36 89 5D E8 EB 35 8D 4D FC 8B D3 8B 45 F4 8B 38 FF 57 0C 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 05 89 5D E8 EB 04 43 4E 75 A6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34584_0 {
	meta:
		name = "IndyIndexOf"
		size = 276
		refs = "0024 IndyIndexOf 0033 _Dn_TStringList 0038 @IsClass 0060 @UStrLAsg 009d @UStrEqual 00c6 AnsiCompareText 00f2 @UStrClr 00ff @UStrArrayClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D FC 89 5D F8 89 5D F4 88 4D EB 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 0F B6 4D EB 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 E9 8B 00 00 00 8B 75 F0 8D 45 FC 8B 55 EC E8 ?? ?? ?? ?? 0F B6 45 EB 88 45 EA C7 45 E4 FF FF FF FF 8B C6 8B 10 FF 52 14 48 85 C0 7C 60 40 89 45 E0 33 DB 80 7D EA 00 74 1E 8D 4D DC 8B D3 8B C6 8B 38 FF 57 0C 8B 45 DC 8B 55 FC E8 ?? ?? ?? ?? 75 35 89 5D E4 EB 36 8D 4D F8 8B D3 8B C6 8B 38 FF 57 0C 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 05 89 5D E4 EB 06 43 FF 4D E0 75 A6 8B 5D E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34585_0 {
	meta:
		name = "IndyIndexOf"
		size = 266
		refs = "0024 IndyIndexOf 0056 @UStrLAsg 0093 @UStrEqual 00bc AnsiCompareText 00e8 @UStrClr 00f5 @UStrArrayClr 00fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D FC 89 5D F8 89 5D F4 88 4D EB 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 0F B6 40 3A 3A 45 EB 75 12 8B 55 EC 8B 45 F0 8B 08 FF 51 54 8B D8 E9 8B 00 00 00 8B 75 F0 8D 45 FC 8B 55 EC E8 ?? ?? ?? ?? 0F B6 45 EB 88 45 EA C7 45 E4 FF FF FF FF 8B C6 8B 10 FF 52 14 48 85 C0 7C 60 40 89 45 E0 33 DB 80 7D EA 00 74 1E 8D 4D DC 8B D3 8B C6 8B 38 FF 57 0C 8B 45 DC 8B 55 FC E8 ?? ?? ?? ?? 75 35 89 5D E4 EB 36 8D 4D F8 8B D3 8B C6 8B 38 FF 57 0C 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 05 89 5D E4 EB 06 43 FF 4D E0 75 A6 8B 5D E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34586_0 {
	meta:
		name = "InternalIndyIndexOfName"
		size = 206
		refs = "0020 InternalIndyIndexOfName 0050 TStrings.GetName 005b @UStrEqual 0079 @UStrLAsg 0084 AnsiCompareText 00ab @UStrClr 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D FC 89 5D F8 88 4D F3 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 EC FF FF FF FF 8B C7 8B 10 FF 52 14 8B F0 4E 85 F6 7C 5B 46 33 DB 80 7D F3 00 74 1E 8D 4D E8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 F4 E8 ?? ?? ?? ?? 75 35 89 5D EC EB 34 8D 4D FC 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 05 89 5D EC EB 04 43 4E 75 A8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 EC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34587_0 {
	meta:
		name = "IndyIndexOfName"
		size = 271
		refs = "0024 IndyIndexOfName 0033 _Dn_TStringList 0038 @IsClass 0060 @UStrLAsg 008d TStrings.GetName 0098 @UStrEqual 00c1 AnsiCompareText 00ed @UStrClr 00fa @UStrArrayClr 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D FC 89 5D F8 89 5D F4 88 4D EB 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 0F B6 4D EB 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 E9 86 00 00 00 8B 75 F0 8D 45 FC 8B 55 EC E8 ?? ?? ?? ?? 0F B6 5D EB C7 45 E4 FF FF FF FF 8B C6 8B 10 FF 52 14 48 85 C0 7C 5E 40 89 45 E0 33 FF 84 DB 74 1E 8D 4D DC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 DC 8B 55 FC E8 ?? ?? ?? ?? 75 35 89 7D E4 EB 36 8D 4D F8 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 05 89 7D E4 EB 06 47 FF 4D E0 75 A8 8B 5D E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34588_0 {
	meta:
		name = "IndyIndexOfName"
		size = 17
		refs = "000c IndyIndexOfName"
	strings:
		$1 = { 3A 48 3A 75 06 8B 08 FF 51 58 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_34589_0 {
	meta:
		name = "Finalization"
		size = 162
		refs = "0007 Finalization 0013 _DV_71 001a GIdPorts 0027 TObject.Free 002c GId8BitEncoding 003e GIdASCIIEncoding 0050 GIdUTF8Encoding 0062 wdays 006d string 0072 @FinalizeArray 0077 monthnames 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 72 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_34590_0 {
	meta:
		name = "IdGlobal"
		size = 84
		refs = "0002 _DV_71 000a LeadBytes 000f IdGlobal 0016 @SetEq 001e IndyPos 0022 SBPos 002e InternalAnsiPos"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 29 A1 ?? ?? ?? ?? BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 75 0C C7 05 ?? ?? ?? ?? ?? ?? ?? ?? EB 0A C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_40739_0 {
	meta:
		name = "InGlobal"
		size = 84
		refs = "0002 _DV_71 000a LeadBytes 000f InGlobal 0016 @SetEq 001e IndyPos 0022 SBPos 002e InternalAnsiPos"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 29 A1 ?? ?? ?? ?? BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 75 0C C7 05 ?? ?? ?? ?? ?? ?? ?? ?? EB 0A C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_34593_0 {
	meta:
		name = "UnquotedStr"
		size = 148
		refs = "000f UnquotedStr 001e @UStrAsg 002a TextStartsWith 003f IdDelete 0053 Fetch 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2F 8B C3 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 FC 50 8B C3 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_34594_0 {
	meta:
		name = "IndyWrapText"
		size = 672
		refs = "0030 IndyWrapText 007b @UStrClr 00b0 @UStrCopy 00bb TextIsSame 00d8 @UStrFromWChar 00e8 CharIsInSet 019c @UStrCat 01e1 @UStrCatN 0258 @UStrArrayClr 025e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 89 5D C4 89 5D C8 89 5D CC 89 5D D0 89 5D D4 89 5D D8 89 5D DC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 01 00 00 00 BB 01 00 00 00 C7 45 EC 01 00 00 00 33 F6 66 C7 45 E2 20 00 C6 45 E1 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 89 45 E8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 89 45 E4 8B 45 08 E8 ?? ?? ?? ?? 3B 5D E8 0F 8F 98 01 00 00 8B 45 FC 0F B7 7C 58 FE 8B 45 F8 66 3B 38 75 3A 66 83 7D E2 20 0F 85 91 00 00 00 8D 45 DC 50 8B 4D E4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 88 45 E1 80 7D E1 00 74 6C 8B 45 E4 48 03 D8 8B F3 EB 62 8D 45 D8 8B D7 E8 ?? ?? ?? ?? 8B 45 D8 8B 4D F4 BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 0B 66 83 7D E2 20 75 3D 8B F3 EB 39 8D 45 D4 8B D7 E8 ?? ?? ?? ?? 8B 45 D4 B9 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 19 66 3B 7D E2 75 08 66 C7 45 E2 20 00 EB 0B 66 83 7D E2 20 75 04 66 89 7D E2 43 FF 45 F0 8D 45 D0 0F B7 55 E2 E8 ?? ?? ?? ?? 8B 45 D0 B9 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 85 B9 00 00 00 80 7D E1 00 75 15 8B 45 F0 3B 45 0C 0F 8E A7 00 00 00 3B 75 EC 0F 8E 9E 00 00 00 8B C3 2B C6 89 45 F0 8D 45 CC 50 8B CE 2B 4D EC 41 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 8D 45 C8 8B D7 E8 ?? ?? ?? ?? 8B 45 C8 B9 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 4C EB 01 43 3B 5D E8 7F 2B FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D C4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 CF 80 7D E1 00 75 13 3B 5D E8 7D 0E 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 46 89 75 EC C6 45 E1 00 3B 5D E8 0F 8E 68 FE FF FF 8D 45 C0 50 B9 FF FF FF 7F 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C0 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_34595_0 {
	meta:
		name = "IndyCurrentYear"
		size = 9
		refs = "0001 CurrentYear"
	strings:
		$1 = { E8 ?? ?? ?? ?? 0F B7 C0 C3 }
	condition:
		$1
}

rule function_34596_0 {
	meta:
		name = "CharRange"
		size = 104
		refs = "0012 CharRange 001f @UStrClr 0031 @UStrFromWChar 003b @UStrCat 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 66 2B FB 72 1D 47 87 DF 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 47 66 FF CB 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34597_0 {
	meta:
		name = "StartsWith"
		size = 45
		refs = "000b TextStartsWith 001b ByteType"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_34598_0 {
	meta:
		name = "UnixDateTimeToDelphiDateTime"
		size = 44
		refs = "0013 UnixDateTimeToDelphiDateTime 0019 UNIXSTARTDATE"
	strings:
		$1 = { 83 C4 F0 89 44 24 08 33 C0 89 44 24 0C DF 6C 24 08 D8 35 ?? ?? ?? ?? DC 05 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 10 C3 00 C0 A8 47 }
	condition:
		$1
}

rule function_34599_0 {
	meta:
		name = "DateTimeToUnix"
		size = 32
		refs = "0008 UNIXSTARTDATE 000e DateTimeToUnix 0013 @ROUND"
	strings:
		$1 = { 55 8B EC DD 45 08 DC 25 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 08 00 00 00 C0 A8 47 }
	condition:
		$1
}

rule function_34600_0 {
	meta:
		name = "CopyBytesToHostWord"
		size = 43
		refs = "000e BytesToWord 0019 GStack"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 66 89 03 0F B7 13 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 66 89 03 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34601_0 {
	meta:
		name = "CopyBytesToHostLongWord"
		size = 40
		refs = "000e BytesToLongWord 0017 GStack"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 89 03 8B 13 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 89 03 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34602_0 {
	meta:
		name = "CopyTIdNetworkWord"
		size = 36
		refs = "000a GStack 001c CopyTIdWord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 A1 ?? ?? ?? ?? 8B 00 8B D3 8B 08 FF 51 2C 8B D6 8B CF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34603_0 {
	meta:
		name = "CopyTIdNetworkLongWord"
		size = 36
		refs = "000a GStack 001c CopyTIdLongWord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 A1 ?? ?? ?? ?? 8B 00 8B D3 8B 08 FF 51 30 8B D6 8B CF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34604_0 {
	meta:
		name = "MoveChars"
		size = 26
		refs = "0011 Move"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 03 CB 03 C2 8B 55 08 87 CA E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_34605_0 {
	meta:
		name = "LongWordToFourChar"
		size = 85
		refs = "000f LongWordToFourChar 001f ToBytes 0029 BytesToStringRaw 003f TArray<System.Byte> 0044 @DynArrayClear 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34608_0 {
	meta:
		name = "WordToStr"
		size = 85
		refs = "000f WordToStr 001f ToBytes 0029 BytesToStringRaw 003f TArray<System.Byte> 0044 @DynArrayClear 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34606_0 {
	meta:
		name = "WordToTwoBytes"
		size = 101
		refs = "0011 @DynArrayAddRef 0019 WordToTwoBytes 004f TArray<System.Byte> 0054 @DynArrayClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 0F B7 C3 8B C8 C1 E9 08 88 4C 32 01 8B 55 FC 25 FF 00 00 00 88 04 32 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34607_0 {
	meta:
		name = "StrToWord"
		size = 30
		refs = "0016 TwoCharToWord"
	strings:
		$1 = { 8B D0 85 D2 74 05 83 EA 04 8B 12 4A 7E 0D 0F B7 50 02 0F B7 00 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_34609_0 {
	meta:
		name = "OrdFourByteToLongWord"
		size = 149
		refs = "0018 OrdFourByteToLongWord 002e TArray<System.Byte> 0033 @DynArraySetLength 0063 BytesToLongWord 0080 @DynArrayClear 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D FC 88 4D FA 88 55 FB 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 88 18 8B 45 FC 0F B6 55 FB 88 50 01 8B 45 FC 0F B6 55 FA 88 50 02 8B 45 FC 0F B6 55 08 88 50 03 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34610_0 {
	meta:
		name = "LongWordToOrdFourByte"
		size = 122
		refs = "0012 LongWordToOrdFourByte 0022 ToBytes 0061 TArray<System.Byte> 0066 @DynArrayClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 00 88 06 8B 45 FC 0F B6 40 01 88 07 8B 45 FC 0F B6 40 02 8B 55 0C 88 02 8B 45 FC 0F B6 40 03 8B 55 08 88 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_34611_0 {
	meta:
		name = "TwoCharToWord"
		size = 116
		refs = "000f TwoCharToWord 0025 TArray<System.Byte> 002a @DynArraySetLength 0044 BytesToWord 0061 @DynArrayClear 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 88 18 8B C6 8B 55 FC 88 42 01 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34612_0 {
	meta:
		name = "GetNTType"
		size = 160
		refs = "000d GetNTType 0012 SafeLoadLibrary 0023 GetProcAddress 004c FreeLibrary"
	strings:
		$1 = { 53 56 57 55 51 33 DB BA 00 80 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 76 34 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B E8 89 EE 85 ED 74 1B 54 FF D6 8B 04 24 48 74 08 48 74 09 48 74 0A EB 0A 33 DB EB 06 B3 01 EB 02 B3 02 57 E8 ?? ?? ?? ?? 8B C3 5A 5D 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 6E 00 74 00 64 00 6C 00 6C 00 2E 00 64 00 6C 00 6C 00 00 00 52 00 74 00 6C 00 47 00 65 00 74 00 4E 00 74 00 50 00 72 00 6F 00 64 00 75 00 63 00 74 00 54 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_34613_0 {
	meta:
		name = "GetOSServicePack"
		size = 312
		refs = "0029 GetOSServicePack 0045 GetVersionEx 0058 @UStrFromWArray 0070 Fetch 0090 @UStrClr 00b4 IsNumeric 00cb @UStrFromWChar 00d9 @UStrCat 00e7 StrToIntDef 0106 @UStrArrayClr 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 D8 FE FF FF 53 56 33 C0 89 85 D8 FE FF FF 89 85 DC FE FF FF 89 85 E0 FE FF FF 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 85 E4 FE FF FF 14 01 00 00 8D 85 E4 FE FF FF 50 E8 ?? ?? ?? ?? 8D 45 F8 8D 95 F8 FE FF FF B9 80 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 85 E0 FE FF FF 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 85 DC FE FF FF 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 3B BB 01 00 00 00 8B 45 F8 0F B7 44 58 FE E8 ?? ?? ?? ?? 84 C0 74 25 8D 85 D8 FE FF FF 8B 55 F8 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 95 D8 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 43 4E 75 CA 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D8 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34614_0 {
	meta:
		name = "Win32Type"
		size = 302
		refs = "0001 Win32MajorVersion 000b Win32MinorVersion 0015 GetNTType 0095 Win32Platform 009f GetOSServicePack 00df Win32BuildNumber"
	strings:
		$1 = { A1 ?? ?? ?? ?? 83 38 05 7C 7C A1 ?? ?? ?? ?? 83 38 02 7C 24 E8 ?? ?? ?? ?? FE C8 74 06 FE C8 74 09 EB 0E B0 10 E9 03 01 00 00 B0 10 E9 FC 00 00 00 B0 0F E9 F5 00 00 00 A1 ?? ?? ?? ?? 83 38 01 7C 24 E8 ?? ?? ?? ?? FE C8 74 06 FE C8 74 09 EB 0E B0 0C E9 D5 00 00 00 B0 0D E9 CE 00 00 00 B0 0F E9 C7 00 00 00 E8 ?? ?? ?? ?? FE C8 74 06 FE C8 74 09 EB 0E B0 0C E9 B1 00 00 00 B0 0D E9 AA 00 00 00 B0 0B C3 A1 ?? ?? ?? ?? 83 38 03 0F 8E 97 00 00 00 A1 ?? ?? ?? ?? 83 38 02 75 40 E8 ?? ?? ?? ?? 83 F8 06 7D 1B E8 ?? ?? ?? ?? FE C8 74 06 FE C8 74 06 EB 08 B0 02 EB 72 B0 03 EB 6E B0 01 EB 6A E8 ?? ?? ?? ?? FE C8 74 06 FE C8 74 06 EB 08 B0 05 EB 57 B0 06 EB 53 B0 04 EB 4F A1 ?? ?? ?? ?? 81 20 FF FF 00 00 A1 ?? ?? ?? ?? 83 38 5A 7C 04 B0 0E EB 36 A1 ?? ?? ?? ?? 83 38 0A 7C 15 A1 ?? ?? ?? ?? 81 38 AE 08 00 00 7C 04 B0 0A EB 1B B0 09 EB 17 A1 ?? ?? ?? ?? 81 38 E8 03 00 00 7C 04 B0 08 EB 06 B0 07 EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_34615_0 {
	meta:
		name = "CompareDateTime"
		size = 198
		refs = "0016 DecodeDate 0070 DecodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 E4 FF 75 14 FF 75 10 8D 4D F6 8D 55 FA 8D 45 FE E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 4D F4 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? 0F B7 45 FE 0F B7 55 FC 2B C2 85 C0 0F 85 80 00 00 00 0F B7 45 FA 0F B7 55 F8 2B C2 85 C0 75 72 0F B7 45 F6 0F B7 55 F4 2B C2 85 C0 75 64 FF 75 14 FF 75 10 8D 45 E6 50 8D 4D EA 8D 55 EE 8D 45 F2 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 45 E4 50 8D 4D E8 8D 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 0F B7 45 F2 0F B7 55 F0 2B C2 85 C0 75 26 0F B7 45 EE 0F B7 55 EC 2B C2 85 C0 75 18 0F B7 45 EA 0F B7 55 E8 2B C2 85 C0 75 0A 0F B7 45 E6 0F B7 55 E4 2B C2 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_34616_0 {
	meta:
		name = "ParseDayOfMonth"
		size = 134
		refs = "000b ParseDayOfMonth 002a Fetch 0037 IndyStrToInt 004e TrimLeft 005c @UStrAsg 0076 @UStrArrayClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC 50 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC B1 01 E8 ?? ?? ?? ?? 8B 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 66 89 42 F6 8D 55 F8 8B 45 08 8B 40 FC 8B 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_34617_0 {
	meta:
		name = "ParseMonth"
		size = 132
		refs = "000b ParseMonth 002a Fetch 0032 StrToMonth 004c TrimLeft 005a @UStrAsg 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC 50 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC B1 01 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 0F B6 C0 8B 55 08 66 89 42 F4 8D 55 F8 8B 45 08 8B 40 FC 8B 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_34618_0 {
	meta:
		name = "RawStrInternetToDateTime"
		size = 1288
		refs = "001c RawStrInternetToDateTime 0043 Trim 004e @UStrAsg 0090 @UStrCopy 0098 StrToDay 00af CharEquals 00dc @UStrInsert 00f1 Fetch 00fe TrimLeft 010f IndyPos 015b @UStrLAsg 0185 StrToMonth 018f ParseMonth 0196 ParseDayOfMonth 01c9 IndyStrToInt 020c @UStrCatN 0217 TrimRight 0283 EncodeDate 040e EncodeTime 0442 @HandleAnyException 0453 @DoneExcept 046d @UStrArrayClr 0475 @UStrClr 0490 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 E8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 E8 33 D2 89 10 89 50 04 C6 45 E5 00 C6 45 E4 00 8D 55 E0 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 00 89 45 DC 8B 45 DC 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 84 E9 03 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 45 D8 50 8B 45 FC 8B 00 B9 03 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 76 6D 8B 45 FC 8B 00 66 B9 2C 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 29 8B 45 FC 8B 00 66 B9 20 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 12 8B 55 FC B9 05 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 D4 50 8B 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D0 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 FC E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC 8B 12 B8 ?? ?? ?? ?? FF D3 48 7E 3D 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC 8B 12 B8 ?? ?? ?? ?? FF D3 8B D8 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC 8B 12 B8 ?? ?? ?? ?? FF D6 3B D8 7D 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 CC 50 8B 45 FC 33 C9 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 84 C0 76 10 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 EB 0E 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 6A 01 8D 45 F0 50 8B 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA FF FF 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 66 81 FE FF FF 75 5A 8D 45 EC 8B 55 F0 E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8B 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B 45 FC FF 30 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 C4 8D 55 C8 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 8B 55 F0 8B C2 85 C0 74 05 83 E8 04 8B 00 83 F8 02 75 20 66 83 FE 31 77 07 66 81 C6 D0 07 EB 28 66 83 FE 32 72 22 66 83 FE 63 77 1C 66 81 C6 6C 07 EB 15 8B C2 85 C0 74 05 83 E8 04 8B 00 83 F8 03 75 05 66 81 C6 6C 07 0F B7 4D F6 0F B7 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 DD 18 9B 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC 8B 12 B8 ?? ?? ?? ?? FF D3 85 C0 7E 26 C6 45 E5 01 6A 01 8D 45 C0 50 8B 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8B 45 FC E8 ?? ?? ?? ?? EB 3C 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC 8B 12 B8 ?? ?? ?? ?? FF D3 85 C0 7E 24 C6 45 E4 01 6A 01 8D 45 BC 50 8B 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 45 FC E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC 8B 12 B8 ?? ?? ?? ?? FF D3 85 C0 7E 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC 8B 12 8B 45 F8 FF D3 85 C0 0F 8E C8 00 00 00 6A 01 8D 45 EC 50 8B 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 B8 50 8D 45 EC B1 01 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 B8 33 D2 E8 ?? ?? ?? ?? 8B F0 6A 01 8D 45 B4 50 8D 45 EC B1 01 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 B4 33 D2 E8 ?? ?? ?? ?? 8B F8 6A 01 8D 45 B0 50 8D 45 EC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 33 D2 E8 ?? ?? ?? ?? 66 89 45 E6 8D 55 AC 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 55 AC 8B 45 FC E8 ?? ?? ?? ?? 80 7D E5 00 74 0A 66 83 FE 0C 75 14 33 F6 EB 10 80 7D E4 00 74 0A 66 83 FE 0C 73 04 66 83 C6 0C 6A 00 0F B7 4D E6 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 DC 00 8B 45 E8 DD 18 9B 8D 55 A8 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 FC E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 8B 45 E8 33 D2 89 10 89 50 04 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 BA 0D 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 41 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 50 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_34619_0 {
	meta:
		name = "StrInternetToDateTime"
		size = 78
		refs = "000d @UStrAddRef 0015 StrInternetToDateTime 0026 RawStrInternetToDateTime 003b @UStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_34620_0 {
	meta:
		name = "FTPMLSToGMTDateTime"
		size = 416
		refs = "0019 FTPMLSToGMTDateTime 0031 @UStrLAsg 0051 @UStrCopy 005b IndyStrToInt 011f Fetch 0137 EncodeDate 0151 EncodeTime 0172 @UStrArrayClr 017a @UStrClr 0180 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 89 45 F4 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 1D 01 00 00 8D 45 DC 50 B9 04 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC 33 D2 E8 ?? ?? ?? ?? 8B D8 8D 45 D8 50 B9 02 00 00 00 BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 33 D2 E8 ?? ?? ?? ?? 8B F0 8D 45 D4 50 B9 02 00 00 00 BA 07 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 33 D2 E8 ?? ?? ?? ?? 8B F8 8D 45 D0 50 B9 02 00 00 00 BA 09 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D0 33 D2 E8 ?? ?? ?? ?? 89 45 EC 8D 45 CC 50 B9 02 00 00 00 BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 CC 33 D2 E8 ?? ?? ?? ?? 89 45 E8 8D 45 C8 50 B9 02 00 00 00 BA 0D 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C8 33 D2 E8 ?? ?? ?? ?? 89 45 E4 6A 01 8D 45 C4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 E0 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? DD 5D F0 9B 0F B7 45 E0 50 0F B7 4D E4 0F B7 55 E8 0F B7 45 EC E8 ?? ?? ?? ?? DC 45 F0 DD 5D F0 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 DD 45 F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_34621_0 {
	meta:
		name = "FTPMLSToLocalDateTime"
		size = 49
		refs = "0016 FTPMLSToGMTDateTime 001f OffsetFromUTC"
	strings:
		$1 = { 53 83 C4 F8 8B D8 33 C0 89 04 24 89 44 24 04 85 DB 74 17 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B E8 ?? ?? ?? ?? DC 04 24 DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_34622_0 {
	meta:
		name = "FTPGMTDateTimeToMLS"
		size = 412
		refs = "0018 FTPGMTDateTimeToMLS 0032 DecodeDate 004a DecodeTime 009f IndyFormat 00d2 @UStrCat 00ef StringReplace 00f9 @UStrAsg 010e @UStrClr 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 33 C9 89 4D B0 89 4D BC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 45 F2 50 8D 4D F4 8D 55 F6 8D 45 F8 E8 ?? ?? ?? ?? 56 0F B7 45 FE 89 45 C0 C6 45 C4 00 0F B7 45 FC 89 45 C8 C6 45 CC 00 0F B7 45 FA 89 45 D0 C6 45 D4 00 0F B7 45 F8 89 45 D8 C6 45 DC 00 0F B7 45 F6 89 45 E0 C6 45 E4 00 0F B7 45 F4 89 45 E8 C6 45 EC 00 8D 55 C0 B9 05 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 2F 66 83 7D F2 00 74 28 8D 45 BC 50 0F B7 45 F2 89 45 B4 C6 45 B8 00 8D 55 B4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 B0 50 8B 06 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 25 00 34 00 64 00 25 00 32 00 64 00 25 00 32 00 64 00 25 00 32 00 64 00 25 00 32 00 64 00 25 00 32 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 25 00 33 00 64 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34624_0 {
	meta:
		name = "BreakApart"
		size = 195
		refs = "0019 @UStrAddRef 0029 BreakApart 003a Pos 0061 @UStrCopy 0089 @UStrDelete 00a3 @UStrClr 00b0 @UStrArrayClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0D 8B 55 FC 8B 45 F4 8B 08 FF 51 38 EB 3E 8D 45 F0 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 8B 08 FF 51 38 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8D 0C 18 49 8D 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? EB A4 8B 5D F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34625_0 {
	meta:
		name = "CommaSeparatedToStringList"
		size = 259
		refs = "001a CommaSeparatedToStringList 008e @UStrCopy 0099 Trim 00e8 @UStrClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 89 4D FC 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC BB 01 00 00 00 8B C6 85 C0 74 05 83 E8 04 8B 00 89 45 E8 8B 45 F8 8B 10 FF 52 44 3B 5D E8 0F 8F 8A 00 00 00 89 5D F4 8B 45 F4 89 45 F0 3B 5D E8 7F 23 0F B7 7C 5E FE 66 83 FF 22 75 03 FF 45 EC 66 83 FF 2C 75 06 83 7D EC 01 75 09 FF 45 F0 43 3B 5D E8 7E DD 8D 45 E0 50 8B 4D F0 2B 4D F4 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 89 45 E4 83 7D E4 00 74 0B 8B 45 E4 83 E8 04 8B 00 89 45 E4 83 7D E4 00 7E 0B 8B 55 FC 8B 45 F8 8B 08 FF 51 38 8B 5D F0 43 33 C0 89 45 EC 3B 5D E8 0F 8E 76 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34626_0 {
	meta:
		name = "CopyFileTo"
		size = 108
		refs = "000f SetErrorMode 001a CopyFileTo 0029 @UStrToPWChar 0037 CopyFile 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 6A 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 0F B6 45 FF 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34627_0 {
	meta:
		name = "TempPath"
		size = 126
		refs = "000c TempPath 001e @UStrSetLength 0025 @UStrToPWChar 0030 GetTempPath 0046 IndyIncludeTrailingPathDelimiter 0050 @UStrAsg 0059 @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 BA 04 01 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 50 68 04 01 00 00 E8 ?? ?? ?? ?? 85 C0 7E 1E 8B D3 92 E8 ?? ?? ?? ?? 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_34628_0 {
	meta:
		name = "MakeTempFilename"
		size = 176
		refs = "0011 MakeTempFilename 0021 @UStrLAsg 003d ATempPath 0053 GetUniqueFileName 006d @UStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 75 0E 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 4D F8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 74 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 6E 00 64 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_34629_0 {
	meta:
		name = "GetUniqueFileName"
		size = 280
		refs = "001e GetUniqueFileName 002f @UStrLAsg 004e @UStrCat3 0059 IndyDirectoryExists 0073 IndyIncludeTrailingPathDelimiter 0091 Ticks 00a9 IntToHex 00bb @UStrCatN 00c4 FileExists 00e5 @UStrArrayClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 83 7D FC 00 74 19 8B 45 FC 66 83 38 2E 74 10 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 74 30 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C 8D 45 F8 8B D7 E8 ?? ?? ?? ?? EB 23 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F8 8B CF E8 ?? ?? ?? ?? EB 0A 8D 45 F8 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 FF 75 F8 8B C3 33 D2 52 50 8D 55 EC B8 08 00 00 00 E8 ?? ?? ?? ?? FF 75 EC FF 75 FC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 06 B2 01 E8 ?? ?? ?? ?? 84 C0 74 03 43 EB C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_34630_0 {
	meta:
		name = "RPos"
		size = 201
		refs = "001a RPos 0085 @UStrCopy 0090 TextIsSame 00b3 @UStrClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F8 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 83 7D F8 00 7D 0E 8B C7 85 C0 74 05 83 E8 04 8B 00 89 45 F8 8B D7 8B C2 85 C0 74 05 83 E8 04 8B 00 2B C6 40 3B 45 F8 7E 05 8B 45 F8 EB 0E 8B C2 85 C0 74 05 83 E8 04 8B 00 2B C6 40 8B D8 83 FB 01 7C 28 8D 45 F0 50 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 05 89 5D F4 EB 05 4B 85 DB 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34631_0 {
	meta:
		name = "IsVolume"
		size = 80
		refs = "0004 IsVolume 000b TextEndsWith"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 14 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_34632_0 {
	meta:
		name = "FileSizeByName"
		size = 312
		refs = "0015 FileSizeByName 0033 @UStrLAsg 0040 TextEndsWith 006a SetErrorMode 0089 @UStrToPWChar 008f FindFirstFile 009a FindClose 00e5 @HandleFinally 00fc @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 9C FD FF FF 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 FF FF FF FF C7 45 F4 FF FF FF FF 8D 45 FC 8B D3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 15 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 0F 85 84 00 00 00 6A 01 E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 85 9C FD FF FF 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 FF 74 35 50 E8 ?? ?? ?? ?? F6 85 9C FD FF FF 10 75 26 8B 85 B8 FD FF FF 33 D2 8B D0 33 C0 52 50 8B 85 BC FD FF FF 33 D2 03 04 24 13 54 24 04 83 C4 08 89 45 F0 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 55 F4 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_34633_0 {
	meta:
		name = "GetGMTDateByName"
		size = 296
		refs = "0015 GetGMTDateByName 0031 @UStrLAsg 003e TextEndsWith 0064 SetErrorMode 0083 @UStrToPWChar 0089 FindFirstFile 00a8 @HandleFinally 00b9 FindClose 00cd FileTimeToDosDateTime 00d5 FileDateToDateTime 00ee @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 98 FD FF FF 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 C7 45 F4 00 00 F0 BF 8D 45 F8 8B D3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 15 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 75 7C 6A 01 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 98 FD FF FF 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 83 7D EC FF 74 29 8B 45 EC 50 E8 ?? ?? ?? ?? 8D 85 AC FD FF FF 8D 55 FE 8D 4D FC 51 52 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F0 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_34634_0 {
	meta:
		name = "RightStr"
		size = 67
		refs = "0026 @UStrAsg 003a @UStrCopy"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B DA 8B F8 8B C7 85 C0 74 05 83 E8 04 8B 00 8B F0 3B F3 7C 04 85 DB 7D 0C 8B 04 24 8B D7 E8 ?? ?? ?? ?? EB 12 8B 04 24 50 8B D6 2B D3 42 8B CB 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34635_0 {
	meta:
		name = "TimeZoneBias"
		size = 20
		refs = "0004 OffsetFromUTC"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? D9 E0 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_34636_0 {
	meta:
		name = "IndyStrToBool"
		size = 85
		refs = "0006 IndyFalseBoolStrs 000b @DynArrayHigh 001a PosInStrArray 0028 IndyTrueBoolStrs 004a IndyStrToInt"
	strings:
		$1 = { 53 8B D8 6A 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 40 74 04 33 C0 5B C3 6A 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 40 74 04 B0 01 5B C3 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_34637_0 {
	meta:
		name = "IndySetLocalTime"
		size = 328
		refs = "000a Win32Platform 001a GetCurrentProcess 0020 OpenProcessToken 0031 IndySetLocalTime 0038 LookupPrivilegeValue 0045 CloseHandle 0071 AdjustTokenPrivileges 0091 DateTimeToSystemTime 009a SetLocalTime 00bc Win32MajorVersion 00d1 SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 33 DB A1 ?? ?? ?? ?? 83 38 02 75 74 8D 45 F8 50 6A 28 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 E7 00 00 00 8D 45 DC 50 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 85 C0 75 0E 8B 45 F8 50 E8 ?? ?? ?? ?? E9 C5 00 00 00 C7 45 D8 01 00 00 00 C7 45 E4 02 00 00 00 8D 45 FC 50 8D 45 C8 50 6A 10 8D 45 D8 50 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 85 C0 75 0E 8B 45 F8 50 E8 ?? ?? ?? ?? E9 8C 00 00 00 FF 75 0C FF 75 08 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 50 E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 84 DB 74 3F A1 ?? ?? ?? ?? 83 38 02 75 25 8D 45 E8 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 05 7D 22 6A 00 6A 00 6A 1E 68 FF FF 00 00 E8 ?? ?? ?? ?? EB 10 6A 00 6A 00 6A 1E 68 FF FF 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 02 75 22 8D 45 FC 50 8D 45 D8 50 6A 10 8D 45 C8 50 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B C3 5B 8B E5 5D C2 08 00 53 00 65 00 53 00 79 00 73 00 74 00 65 00 6D 00 74 00 69 00 6D 00 65 00 50 00 72 00 69 00 76 00 69 00 6C 00 65 00 67 00 65 00 00 00 }
	condition:
		$1
}

rule function_34638_0 {
	meta:
		name = "StrToDay"
		size = 236
		refs = "0009 StrToDay 0053 PosInStrArray"
	strings:
		$1 = { 53 83 C4 E4 8B D8 6A 00 B8 ?? ?? ?? ?? 89 44 24 04 B8 ?? ?? ?? ?? 89 44 24 08 B8 ?? ?? ?? ?? 89 44 24 0C B8 ?? ?? ?? ?? 89 44 24 10 B8 ?? ?? ?? ?? 89 44 24 14 B8 ?? ?? ?? ?? 89 44 24 18 B8 ?? ?? ?? ?? 89 44 24 1C 8D 54 24 04 B9 06 00 00 00 8B C3 E8 ?? ?? ?? ?? 40 83 C4 1C 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 55 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4D 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 55 00 45 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 57 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 48 00 55 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 46 00 52 00 49 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 41 00 54 00 00 00 }
	condition:
		$1
}

rule function_34639_0 {
	meta:
		name = "StrToMonth"
		size = 70
		refs = "0011 Months 0024 TextIsSame"
	strings:
		$1 = { 53 56 57 55 51 8B F8 85 FF 74 31 BD 08 00 00 00 B8 ?? ?? ?? ?? 89 04 24 B3 01 8B 04 24 8B F0 8B 16 8B C7 E8 ?? ?? ?? ?? 84 C0 75 12 43 83 C6 04 80 FB 0D 75 EA 83 04 24 30 4D 75 DC 33 DB 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34640_0 {
	meta:
		name = "UpCaseFirst"
		size = 119
		refs = "000f UpCaseFirst 001f TrimLeft 0029 LowerCase 004e @UniqueStringU 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 83 3B 00 74 23 8B 03 0F B7 00 8B F0 8B D0 83 C2 9F 66 83 EA 1A 73 07 8B F0 66 81 E6 DF FF 8B C3 E8 ?? ?? ?? ?? 66 89 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34641_0 {
	meta:
		name = "UpCaseFirstWord"
		size = 220
		refs = "0015 UpCaseFirstWord 003f CharIsInSet 005a @UStrCopy 007c UpperCase 0088 @UStrCat3 00b2 @UStrArrayClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 62 BB 01 00 00 00 B9 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 47 83 FB 01 7E 46 8D 45 F8 50 B9 FF FF FF 7F 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F0 50 8B CB 49 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 59 E8 ?? ?? ?? ?? EB 0E 43 4E 75 A3 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 09 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_34642_0 {
	meta:
		name = "IsHex"
		size = 160
		refs = "000e IsHex 001e @UStrFromWChar 0029 UpperCase 0032 IndyPos 005c @UStrArrayClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 1D ?? ?? ?? ?? 8B 1B BA ?? ?? ?? ?? FF D3 85 C0 0F 9F C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 30 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 30 00 41 00 42 00 43 00 44 00 45 00 46 00 00 00 }
	condition:
		$1
}

rule function_34643_0 {
	meta:
		name = "IsBinary"
		size = 132
		refs = "000e IsBinary 001e @UStrFromWChar 0029 UpperCase 0032 IndyPos 005c @UStrArrayClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 1D ?? ?? ?? ?? 8B 1B BA ?? ?? ?? ?? FF D3 85 C0 0F 9F C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 30 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_34644_0 {
	meta:
		name = "BinStrToInt"
		size = 50
	strings:
		$1 = { 53 56 33 C9 8B D0 85 D2 74 05 83 EA 04 8B 12 85 D2 7E 1A BE 01 00 00 00 0F B6 5C 70 FE 80 E3 01 0F B6 DB 03 C9 0B D9 8B CB 46 4A 75 EB 8B C1 5E 5B C3 }
	condition:
		$1
}

rule function_34645_0 {
	meta:
		name = "ABNFToText"
		size = 1360
		refs = "001c ABNFToText 002e @UStrClr 00a6 @UStrFromWChar 00b1 @UStrCat 0120 IsNumeric 014a IndyStrToInt 016f IdDelete 022f UpperCase 0238 IndyPos 0290 @UStrCat3 03e8 BinStrToInt 04d1 @UStrArrayClr 04df @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0D 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 F8 E8 ?? ?? ?? ?? 8B C7 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 0F 8E 74 04 00 00 BB 01 00 00 00 0F B6 45 F7 83 F8 04 0F 87 5A 04 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 83 7C 5F FE 25 75 12 8B C7 85 C0 74 05 83 E8 04 8B 00 3B C3 0F 9F C0 EB 02 33 C0 84 C0 74 09 C6 45 F7 01 E9 16 04 00 00 8D 45 EC 0F B7 54 5F FE E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E9 F6 03 00 00 0F B7 44 5F FE 83 F8 62 7F 13 74 2F 83 E8 42 74 2A 83 E8 02 74 13 83 E8 14 74 17 EB 27 83 E8 64 74 07 83 E8 14 74 0B EB 1B C6 45 F7 02 E9 C4 03 00 00 C6 45 F7 03 E9 BB 03 00 00 C6 45 F7 04 E9 B2 03 00 00 C6 45 F7 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E9 99 03 00 00 0F B7 44 5F FE E8 ?? ?? ?? ?? 84 C0 0F 84 8D 00 00 00 8D 45 E8 0F B7 54 5F FE E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 3D FF 00 00 00 0F 8E 5A 03 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 55 FC B9 01 00 00 00 92 E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 C6 45 F7 00 8D 45 E0 0F B7 54 5F FE E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E9 FA 02 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8D 45 FC E8 ?? ?? ?? ?? 66 83 7C 5F FE 2E 0F 84 C4 02 00 00 C6 45 F7 00 8D 45 D8 0F B7 54 5F FE E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E9 A0 02 00 00 0F B7 44 5F FE 66 89 45 F4 8D 45 D0 0F B7 55 F4 E8 ?? ?? ?? ?? 8B 45 D0 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? FF D1 85 C0 0F 9F C0 84 C0 74 14 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 02 0F 9C C0 EB 02 33 C0 84 C0 0F 84 9D 00 00 00 8D 45 CC 0F B7 54 5F FE E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? 8D 45 C8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 33 D2 E8 ?? ?? ?? ?? 3D FF 00 00 00 0F 8E 0A 02 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 55 FC B9 01 00 00 00 92 E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 C6 45 F7 00 8D 45 C0 0F B7 54 5F FE E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E9 AA 01 00 00 8D 45 B8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 33 D2 E8 ?? ?? ?? ?? 8B D0 8D 45 BC E8 ?? ?? ?? ?? 8B 55 BC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8D 45 FC E8 ?? ?? ?? ?? 66 83 7C 5F FE 2E 0F 84 64 01 00 00 C6 45 F7 00 8D 45 B4 0F B7 54 5F FE E8 ?? ?? ?? ?? 8B 55 B4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E9 40 01 00 00 0F B7 44 5F FE 66 89 45 F2 8D 45 AC 0F B7 55 F2 E8 ?? ?? ?? ?? 8B 45 AC 8D 55 B0 E8 ?? ?? ?? ?? 8B 45 B0 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? FF D1 85 C0 0F 9F C0 84 C0 74 14 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 08 0F 9C C0 EB 02 33 C0 84 C0 0F 84 86 00 00 00 8D 45 A8 0F B7 54 5F FE E8 ?? ?? ?? ?? 8B 55 A8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3D FF 00 00 00 0F 8E BC 00 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 55 FC B9 01 00 00 00 92 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 A4 E8 ?? ?? ?? ?? 8B 55 A4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 C6 45 F7 00 8D 45 A0 0F B7 54 5F FE E8 ?? ?? ?? ?? 8B 55 A0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 EB 61 8D 45 98 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 33 D2 E8 ?? ?? ?? ?? 8B D0 8D 45 9C E8 ?? ?? ?? ?? 8B 55 9C 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8D 45 FC E8 ?? ?? ?? ?? 66 83 7C 5F FE 2E 74 1F C6 45 F7 00 8D 45 94 0F B7 54 5F FE E8 ?? ?? ?? ?? 8B 55 94 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 43 4E 0F 85 91 FB FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 BA 17 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 30 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 30 00 41 00 42 00 43 00 44 00 45 00 46 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 30 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_34646_0 {
	meta:
		name = "GetMIMETypeFromFile"
		size = 87
		refs = "000f _DV_TIdMimeTable 0014 TIdMimeTable.Create 001f GetMIMETypeFromFile 0031 TIdMimeTable.GetFileMIMEType 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34647_0 {
	meta:
		name = "GetMIMEDefaultFileExt"
		size = 87
		refs = "000f _DV_TIdMimeTable 0014 TIdMimeTable.Create 001f GetMIMEDefaultFileExt 0031 TIdMimeTable.GetDefaultFileExt 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34648_0 {
	meta:
		name = "TimeZoneToGmtOffsetStr"
		size = 92
		refs = "000e cTimeZones 0017 TextIsSame 0025 @UStrAsg 0034 TimeZoneToGmtOffsetStr"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 BE 5B 00 00 00 BB ?? ?? ?? ?? 8B 13 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C5 8B 53 04 E8 ?? ?? ?? ?? EB 12 83 C3 08 4E 75 E1 8B C5 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2D 00 30 00 30 00 30 00 30 00 00 00 }
	condition:
		$1
}

rule function_34649_0 {
	meta:
		name = "GmtOffsetStrToDateTime"
		size = 388
		refs = "0016 GmtOffsetStrToDateTime 002e Trim 0043 Fetch 004e @UStrLAsg 007f TimeZoneToGmtOffsetStr 00db @UStrCopy 00e3 IndyStrToInt 010a EncodeTime 012f @HandleAnyException 013c @DoneExcept 0156 @UStrArrayClr 015e @UStrClr 0164 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 89 45 F4 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E DA 00 00 00 8B 45 FC 0F B7 00 66 83 F8 2D 74 1C 66 83 F8 2B 74 16 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 05 0F 85 9D 00 00 00 8B 45 FC 0F B7 00 66 83 F8 2D 74 0A 66 83 F8 2B 0F 85 87 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 E4 50 B9 02 00 00 00 BA 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 50 8D 45 E0 50 B9 02 00 00 00 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? DD 5D F0 9B 8B 45 FC 66 83 38 2D 75 09 DD 45 F0 D9 E0 DD 5D F0 9B 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 33 C0 89 45 F0 89 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 DD 45 F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34650_0 {
	meta:
		name = "GMTToLocalDateTime"
		size = 152
		refs = "000d @UStrAddRef 0015 GMTToLocalDateTime 0026 RawStrInternetToDateTime 0032 GmtOffsetStrToDateTime 0062 OffsetFromUTC 007e @UStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8D 45 FC E8 ?? ?? ?? ?? 84 C0 74 3F 8B 45 FC E8 ?? ?? ?? ?? DD 5D E8 9B DD 45 E8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0E DD 45 E8 D9 E1 DC 45 F0 DD 5D F0 9B EB 0A DD 45 F0 DC 65 E8 DD 5D F0 9B E8 ?? ?? ?? ?? DC 45 F0 DD 5D F0 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F0 8B E5 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_34651_0 {
	meta:
		name = "ExtractDigits"
		size = 108
		refs = "0012 @UStrClr 0021 IsNumeric 002d @UStrLen 0050 @UStrCopy"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B F0 8B 45 08 E8 ?? ?? ?? ?? 33 DB EB 10 8B 06 0F B7 04 58 E8 ?? ?? ?? ?? 84 C0 74 10 43 8B 06 E8 ?? ?? ?? ?? 3B D8 7D 04 3B FB 7F E1 85 DB 7E 27 3B 5D FC 7C 22 8B 45 08 50 8B 06 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 56 8D 53 01 8B 06 B9 FF FF FF 7F E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34652_0 {
	meta:
		name = "ParseTime"
		size = 520
		refs = "000f ParseTime 0021 @UStrLAsg 0037 ExtractDigits 0052 CharEquals 0068 TryStrToInt 0082 IdDelete 011b IsNumeric 012b _Dn_Exception 0130 Exception.Create 0135 @RaiseExcept 01c0 @UStrArrayClr 01c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 45 FC B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 65 01 00 00 66 B9 3A 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 4C 01 00 00 8B 45 08 8D 50 FC 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 36 01 00 00 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 45 FC B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 04 01 00 00 66 B9 3A 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 EB 00 00 00 8B 45 08 8D 50 F8 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 D5 00 00 00 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 45 FC B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 A3 00 00 00 83 7D FC 00 74 2C B9 01 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8D 50 F4 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 5F 8B 45 08 83 78 FC 17 7E 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 83 78 F8 3B 7E 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 83 78 F4 3B 7E 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 43 00 6F 00 6F 00 6B 00 69 00 65 00 20 00 54 00 69 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_34653_0 {
	meta:
		name = "ParseDayOfMonth"
		size = 284
		refs = "000f ParseDayOfMonth 0021 @UStrLAsg 0037 ExtractDigits 0054 IsNumeric 0064 _Dn_Exception 0069 Exception.Create 006e @RaiseExcept 007c TryStrToInt 00c4 @UStrArrayClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 45 FC B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 74 6D 83 7D FC 00 74 2B B9 03 00 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8D 50 F0 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 2A 8B 45 08 83 78 F0 01 7C 09 8B 45 08 83 78 F0 1F 7E 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 1B 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 43 00 6F 00 6F 00 6B 00 69 00 65 00 20 00 44 00 61 00 79 00 20 00 6F 00 66 00 20 00 4D 00 6F 00 6E 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_34654_0 {
	meta:
		name = "ParseMonth"
		size = 460
		refs = "0012 ParseMonth 002f @UStrCopy 00a1 PosInStrArray 00c7 @UStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 50 B9 03 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 B8 ?? ?? ?? ?? 89 45 CC B8 ?? ?? ?? ?? 89 45 D0 B8 ?? ?? ?? ?? 89 45 D4 B8 ?? ?? ?? ?? 89 45 D8 B8 ?? ?? ?? ?? 89 45 DC B8 ?? ?? ?? ?? 89 45 E0 B8 ?? ?? ?? ?? 89 45 E4 B8 ?? ?? ?? ?? 89 45 E8 B8 ?? ?? ?? ?? 89 45 EC B8 ?? ?? ?? ?? 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 B8 ?? ?? ?? ?? 89 45 F8 8D 55 CC B9 0B 00 00 00 58 E8 ?? ?? ?? ?? 40 8B 55 08 89 42 E8 8B 45 08 83 78 E8 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6A 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 66 00 65 00 62 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6D 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 61 00 70 00 72 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6D 00 61 00 79 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6A 00 75 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6A 00 75 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 61 00 75 00 67 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 73 00 65 00 70 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6F 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6E 00 6F 00 76 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 65 00 63 00 00 00 }
	condition:
		$1
}

rule function_34655_0 {
	meta:
		name = "ParseYear"
		size = 296
		refs = "000f ParseYear 0021 @UStrLAsg 0037 ExtractDigits 0053 IsNumeric 0064 TryStrToInt 00ba _Dn_Exception 00bf Exception.Create 00c4 @RaiseExcept 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 45 FC B9 04 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 85 00 00 00 B9 01 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 6F 8B 45 08 8D 50 EC 8B C6 E8 ?? ?? ?? ?? 84 C0 74 5E 8B 45 08 83 78 EC 46 7C 15 8B 45 08 83 78 EC 63 7F 0C 8B 45 08 81 40 EC 6C 07 00 00 EB 1C 8B 45 08 83 78 EC 00 7C 13 8B 45 08 83 78 EC 45 7F 0A 8B 45 08 81 40 EC D0 07 00 00 8B 45 08 81 78 EC 41 06 00 00 7D 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 43 00 6F 00 6F 00 6B 00 69 00 65 00 20 00 59 00 65 00 61 00 72 00 00 00 }
	condition:
		$1
}

rule function_34656_0 {
	meta:
		name = "ProcessToken"
		size = 146
		refs = "0016 ParseTime 0039 ParseDayOfMonth 005c ParseMonth 007f ParseYear"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 80 78 E7 00 75 1A 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 0A 8B 45 08 C6 40 E7 01 5B 5D C3 8B 45 08 80 78 E6 00 75 1A 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 0A 8B 45 08 C6 40 E6 01 5B 5D C3 8B 45 08 80 78 E5 00 75 1A 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 0A 8B 45 08 C6 40 E5 01 5B 5D C3 8B 45 08 80 78 E4 00 75 17 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 07 8B 45 08 C6 40 E4 01 5B 5D C3 }
	condition:
		$1
}

rule function_34657_0 {
	meta:
		name = "CookieStrToLocalDateTime"
		size = 520
		refs = "0018 @UStrAddRef 0020 CookieStrToLocalDateTime 0058 FindFirstNotOf 0072 FindFirstOf 008c @UStrCopy 0094 ProcessToken 00d9 _Dn_Exception 00de Exception.Create 00e3 @RaiseExcept 00f4 EncodeDate 010b EncodeTime 0117 OffsetFromUTC 012f @HandleAnyException 013c @DoneExcept 0156 @UStrArrayClr 015e @UStrClr 0164 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 D2 89 55 D0 89 55 D4 89 45 E0 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E7 00 C6 45 E6 00 C6 45 E5 00 C6 45 E4 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 46 56 83 C9 FF 8B 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 57 8D 43 01 50 83 C9 FF 8B 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 1F 55 8D 45 D4 50 B9 FF FF FF 7F 8B D3 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 59 EB 1E 55 8D 45 D0 50 8B CE 2B CB 8B D3 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 59 EB 91 80 7D E6 00 74 12 80 7D E5 00 74 0C 80 7D E4 00 74 06 80 7D E7 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 4D F0 0F B7 55 E8 0F B7 45 EC E8 ?? ?? ?? ?? DD 5D C8 9B 6A 00 0F B7 4D F4 0F B7 55 F8 0F B7 45 FC E8 ?? ?? ?? ?? DC 45 C8 DB 7D BC 9B E8 ?? ?? ?? ?? DB 6D BC DE C1 DD 5D D8 9B 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 33 C0 89 45 D8 89 45 DC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 DD 45 D8 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 21 00 00 00 09 00 20 00 21 00 22 00 23 00 24 00 25 00 26 00 27 00 28 00 29 00 2A 00 2B 00 2C 00 2D 00 2E 00 2F 00 3B 00 3C 00 3D 00 3E 00 3F 00 40 00 5B 00 5C 00 5D 00 5E 00 5F 00 60 00 7B 00 7C 00 7D 00 7E 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 43 00 6F 00 6F 00 6B 00 69 00 65 00 20 00 44 00 61 00 74 00 65 00 20 00 66 00 6F 00 72 00 6D 00 61 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_34658_0 {
	meta:
		name = "IntToBin"
		size = 76
		refs = "000f @UStrSetLength 0027 @UniqueStringU"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B C6 BA 20 00 00 00 E8 ?? ?? ?? ?? BB 01 00 00 00 8B CB 49 8B C7 D3 E0 C1 E8 1F 75 10 8B C6 E8 ?? ?? ?? ?? 66 C7 44 58 FE 30 00 EB 0E 8B C6 E8 ?? ?? ?? ?? 66 C7 44 58 FE 31 00 43 83 FB 21 75 D0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34659_0 {
	meta:
		name = "FillMimeTable"
		size = 30576
		refs = "001c FillMimeTable 11ea _Dn_TRegistry 11ef TRegistry.Create 1207 _Dn_TStringList 120c TStringList.Create 122a TRegistry.SetRootKey 1237 TRegistry.OpenKeyReadOnly 1246 TRegistry.GetKeyNames 124e TRegistry.CloseKey 1284 TextStartsWith 12a7 TRegistry.ReadString 12c2 IndyLowerCase 12dc TStrings.SetValue 1357 @UStrCat3 13f7 TObject.Free 13fd @HandleFinally 1436 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 88 55 F7 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 F2 13 00 00 8B C3 8B 10 FF 52 14 85 C0 0F 8F E3 13 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? }
	condition:
		$1
}

rule function_34660_0 {
	meta:
		name = "TIdMimeTable.AddMimeType"
		size = 332
		refs = "0020 TIdMimeTable.AddMimeType 0030 IndyLowerCase 0050 RSMIMEExtensionEmpty 0055 LoadResString 005d _Dn_EIdException 0062 EIdException.Toss 008e RSMIMEMIMETypeEmpty 00bb @UStrCat3 00ed RSMIMEMIMEExtAlreadyExists 0119 @UStrArrayClr 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 75 27 84 DB 0F 84 B7 00 00 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 98 00 00 00 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 75 20 84 DB 74 79 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5D 8B 45 FC 66 83 38 2E 74 10 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 14 8B 55 FC 8B 08 FF 51 54 40 75 18 8B 46 14 8B 55 FC 8B 08 FF 51 38 8B 46 10 8B 55 F8 8B 08 FF 51 38 EB 1E 84 DB 74 1A 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_40809_0 {
	meta:
		name = "TIdMimeTable.AddMimeType"
		size = 332
		refs = "0020 TIdMimeTable.AddMimeType 0030 IndyLowerCase 0050 RSMIMEExtensionEmpty 0055 LoadResString 005d _Dn_EInException 0062 EInException.Toss 008e RSMIMEMIMETypeEmpty 00bb @UStrCat3 00ed RSMIMEMIMEExtAlreadyExists 0119 @UStrArrayClr 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 75 27 84 DB 0F 84 B7 00 00 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 98 00 00 00 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 75 20 84 DB 74 79 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5D 8B 45 FC 66 83 38 2E 74 10 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 14 8B 55 FC 8B 08 FF 51 54 40 75 18 8B 46 14 8B 55 FC 8B 08 FF 51 38 8B 46 10 8B 55 F8 8B 08 FF 51 38 EB 1E 84 DB 74 1A 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_34661_0 {
	meta:
		name = "TIdMimeTable.BuildCache"
		size = 40
	strings:
		$1 = { 53 8B D8 66 83 7B 0A 00 74 0A 8B D3 8B 43 0C FF 53 08 5B C3 8B 43 14 8B 10 FF 52 14 85 C0 75 06 8B C3 8B 10 FF 12 5B C3 }
	condition:
		$1
}

rule function_34662_0 {
	meta:
		name = "TIdMimeTable.BuildDefaultCache"
		size = 100
		refs = "000a _Dn_TStringList 000f TStringList.Create 001a TIdMimeTable.BuildDefaultCache 002c FillMimeTable 003a TIdMimeTable.LoadFromStrings 0054 TObject.Free 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 53 04 8B 45 FC E8 ?? ?? ?? ?? 66 B9 3D 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 5D C3 }
	condition:
		$1
}

rule function_34663_0 {
	meta:
		name = "TIdMimeTable.Create"
		size = 109
		refs = "000e @ClassCreate 001e TObject.Create 0029 _Dn_TStringList 002e TStringList.Create 0058 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 04 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 84 DB 74 07 8B C6 8B 10 FF 52 04 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34665_0 {
	meta:
		name = "TIdMimeTable.GetDefaultFileExt"
		size = 145
		refs = "0018 TIdMimeTable.GetDefaultFileExt 0028 IndyLowerCase 006a @UStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 46 10 8B 08 FF 51 54 8B D8 83 FB FF 75 14 8B C6 8B 10 FF 52 04 8B 55 FC 8B 46 10 8B 08 FF 51 54 8B D8 83 FB FF 74 0F 8B 4D F8 8B D3 8B 46 14 8B 18 FF 53 0C EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34666_0 {
	meta:
		name = "TIdMimeTable.GetFileMIMEType"
		size = 232
		refs = "0016 TIdMimeTable.GetFileMIMEType 0026 ExtractFileExt 0031 IndyLowerCase 0078 @UStrAsg 008d @UStrClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 46 14 8B 08 FF 51 54 8B D8 83 FB FF 75 14 8B C6 8B 10 FF 52 04 8B 55 FC 8B 46 14 8B 08 FF 51 54 8B D8 83 FB FF 74 0F 8B 4D F8 8B D3 8B 46 10 8B 18 FF 53 0C EB 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 18 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 6F 00 63 00 74 00 65 00 74 00 2D 00 73 00 74 00 72 00 65 00 61 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_34667_0 {
	meta:
		name = "TIdMimeTable.LoadFromStrings"
		size = 259
		refs = "0023 TIdMimeTable.LoadFromStrings 0070 @UStrFromWChar 007b Pos 0095 @UStrCopy 00a0 IndyLowerCase 00c4 TIdMimeTable.AddMimeType 00e4 @UStrArrayClr 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 66 89 4D EE 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 14 8B 10 FF 52 44 8B 45 F4 8B 40 10 8B 10 FF 52 44 8B 45 F0 8B 10 FF 52 14 8B F0 4E 85 F6 7C 7C 46 C7 45 E8 00 00 00 00 8D 4D FC 8B 55 E8 8B 45 F0 8B 18 FF 53 0C 8D 45 E4 0F B7 55 EE E8 ?? ?? ?? ?? 8B 45 E4 8B 55 FC E8 ?? ?? ?? ?? 8B D8 85 DB 7E 43 8D 45 E0 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 8D 55 F8 E8 ?? ?? ?? ?? 6A 00 8D 45 DC 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 4D DC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? FF 45 E8 4E 75 8C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34668_0 {
	meta:
		name = "TIdMimeTable.SaveToStrings"
		size = 188
		refs = "0021 TIdMimeTable.SaveToStrings 005e @UStrFromWChar 007e @UStrCatN 00a9 @UStrArrayClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 66 89 4D FA 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 8B 46 14 8B 10 FF 52 14 48 85 C0 7C 53 40 89 45 F4 33 DB 8D 4D EC 8B D3 8B 46 14 8B 38 FF 57 0C FF 75 EC 8D 45 E8 0F B7 55 FA E8 ?? ?? ?? ?? FF 75 E8 8D 4D E4 8B D3 8B 46 10 8B 38 FF 57 0C FF 75 E4 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 08 FF 51 38 43 FF 4D F4 75 B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34669_0 {
	meta:
		name = "IsValidIP"
		size = 109
		refs = "0012 IsValidIP 0026 IPv4ToDWord 0036 MakeCanonicalIPv6Address 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8D 55 FF 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 12 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 0F 94 45 FF 0F B6 5D FF 80 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34670_0 {
	meta:
		name = "IsHostname"
		size = 168
		refs = "0010 IsHostname 0022 TextStartsWith 0030 @UStrLAsg 003f IPv4ToDWord 0050 MakeCanonicalIPv6Address 007b @UStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3C 8D 45 FC 8B D3 E8 ?? ?? ?? ?? C6 45 FB 00 8D 55 FB 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 74 13 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 83 7D F4 00 0F 94 45 FB 0F B6 45 FB 34 01 34 01 EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_34671_0 {
	meta:
		name = "IsTopDomain"
		size = 444
		refs = "0012 IsTopDomain 0024 Trim 002f UpperCase 003c @UStrLAsg 0051 Fetch 0058 IndyPos 00c8 @UStrEqual 0147 @UStrArrayClr 014d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? EB 21 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 F8 B8 ?? ?? ?? ?? FF D3 85 C0 7F C9 8B 55 F8 8B C2 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7E 08 83 FE 01 0F 94 C0 EB 02 33 C0 8B D8 8B C2 85 C0 74 05 83 E8 04 8B 00 83 F8 02 0F 85 92 00 00 00 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2A 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 06 83 FE 02 0F 94 C3 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 06 83 FE 02 0F 94 C3 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2A 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 06 83 FE 02 0F 94 C3 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 06 83 FE 02 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 55 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 43 00 4F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 43 00 4F 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 57 00 00 00 00 00 }
	condition:
		$1
}

rule function_34672_0 {
	meta:
		name = "IsDomain"
		size = 232
		refs = "0011 IsDomain 0021 @UStrLAsg 002e TextStartsWith 004c IPv4ToDWord 005d MakeCanonicalIPv6Address 007b IndyPos 009a IsTopDomain 00b7 @UStrClr 00c4 @UStrArrayClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 3D 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? C6 45 F7 00 8D 55 F7 8B 45 F8 E8 ?? ?? ?? ?? 80 7D F7 00 74 13 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 83 7D F0 00 0F 94 45 F7 0F B6 45 F7 34 01 34 01 EB 02 33 C0 84 C0 75 18 8B 35 ?? ?? ?? ?? 8B 36 8B D3 B8 ?? ?? ?? ?? FF D6 85 C0 0F 9F C0 EB 02 33 C0 84 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 34 01 EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_34673_0 {
	meta:
		name = "DomainName"
		size = 72
		refs = "000a IndyPos 0013 DomainName 002e @UStrCopy"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 1D ?? ?? ?? ?? 8B 1B 8B D7 B8 ?? ?? ?? ?? FF D3 8B F0 8B DF 85 DB 74 05 83 EB 04 8B 1B 55 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_34674_0 {
	meta:
		name = "IsFQDN"
		size = 420
		refs = "0017 IsFQDN 0027 @UStrLAsg 0034 TextStartsWith 0052 IPv4ToDWord 0063 MakeCanonicalIPv6Address 008f IndyPos 00b9 @UStrCopy 014a IsTopDomain 0170 @UStrArrayClr 0183 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 3D 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? C6 45 E3 00 8D 55 E3 8B 45 F8 E8 ?? ?? ?? ?? 80 7D E3 00 74 13 8D 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 83 7D DC 00 0F 94 45 E3 0F B6 45 E3 34 01 34 01 EB 02 33 C0 84 C0 0F 84 D3 00 00 00 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 F4 B8 ?? ?? ?? ?? FF D3 8B F0 8B 5D F4 85 DB 74 05 83 EB 04 8B 1B 8D 45 F0 50 8B CB 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 EC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 3D 8D 45 E4 8B 55 E8 E8 ?? ?? ?? ?? C6 45 E2 00 8D 55 E2 8B 45 E4 E8 ?? ?? ?? ?? 80 7D E2 00 74 13 8D 55 D8 8B 45 E4 E8 ?? ?? ?? ?? 83 7D D8 00 0F 94 45 E2 0F B6 45 E2 34 01 34 01 EB 02 33 C0 84 C0 75 19 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 EC B8 ?? ?? ?? ?? FF D3 85 C0 0F 9F C0 EB 02 33 C0 84 C0 74 0C 8B 45 EC E8 ?? ?? ?? ?? 34 01 EB 06 33 C0 EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_34675_0 {
	meta:
		name = "PadString"
		size = 153
		refs = "001e PadString 0044 @UStrAsg 0063 StringOfChar 0070 @UStrCat3 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D EC 66 89 4D F6 89 55 F8 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 3B 45 F8 7C 0C 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 2A 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 4D EC 8B 55 F8 2B D3 0F B7 45 F6 E8 ?? ?? ?? ?? 8B 4D EC 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34676_0 {
	meta:
		name = "ProcessPath"
		size = 688
		refs = "002b ProcessPath 003a TextStartsWith 0047 @UStrAsg 0053 @UStrClr 006f TextEndsWith 007d @UStrLAsg 00a5 @UStrCat 00dd @UStrFromWChar 00e7 @UStrEqual 015f @UStrCopy 0199 @UStrDelete 01cd @UStrLen 027e @UStrArrayClr 028c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D D8 89 5D DC 89 5D E0 89 5D FC 8B F9 8B F2 89 45 F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 8B D6 E8 ?? ?? ?? ?? E9 18 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 75 04 B0 01 EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 88 45 F7 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 18 8B D7 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0A 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 65 01 00 00 BE 01 00 00 00 E9 4B 01 00 00 8D 45 E0 8B 55 FC 0F B7 54 72 FE E8 ?? ?? ?? ?? 8B 45 E0 8B D7 E8 ?? ?? ?? ?? 75 43 83 FE 01 75 0E 8B C3 8B D7 E8 ?? ?? ?? ?? E9 1B 01 00 00 8B 03 8B D7 E8 ?? ?? ?? ?? 84 C0 0F 85 0A 01 00 00 8D 45 DC 8B 55 FC 0F B7 54 72 FE E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? E9 EB 00 00 00 8B 45 FC 66 83 7C 70 FE 2E 0F 85 C2 00 00 00 8B 03 8B D7 E8 ?? ?? ?? ?? 84 C0 0F 84 95 00 00 00 8D 45 D8 50 B9 02 00 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 73 8B 03 89 45 F0 8B 45 F0 89 45 EC 83 7D EC 00 74 0B 8B 45 EC 83 E8 04 8B 00 89 45 EC 8B C3 B9 01 00 00 00 8B 55 EC E8 ?? ?? ?? ?? EB 2B 8B 03 89 45 E8 8B 45 E8 89 45 E4 83 7D E4 00 74 0B 8B 45 E4 83 E8 04 8B 00 89 45 E4 8B C3 B9 01 00 00 00 8B 55 E4 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 85 C0 7E 0D 8B 03 8B D7 E8 ?? ?? ?? ?? 84 C0 74 BD 46 EB 36 8D 45 D4 8B 55 FC 0F B7 54 72 FE E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? EB 1A 8D 45 D0 8B 55 FC 0F B7 54 72 FE E8 ?? ?? ?? ?? 8B 55 D0 8B C3 E8 ?? ?? ?? ?? 46 8B 45 FC E8 ?? ?? ?? ?? 3B F0 0F 8E A5 FE FF FF 8B 03 8B D7 E8 ?? ?? ?? ?? 74 31 8B 03 8B D7 E8 ?? ?? ?? ?? 84 C0 74 24 80 7D F7 00 75 1E 8B 03 89 45 CC 8B 45 CC 85 C0 74 05 83 E8 04 8B 00 8B D3 B9 01 00 00 00 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_34677_0 {
	meta:
		name = "ParseUntilEndOfTag"
		size = 59
		refs = "0030 @UStrCopy"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 8B 03 89 45 FC EB 0C 8B 03 66 83 7C 46 FE 3E 74 06 FF 03 3B 0B 7D F0 8B 45 08 50 8B 0B 2B 4D FC 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34678_0 {
	meta:
		name = "DiscardUntilEndOfTag"
		size = 21
	strings:
		$1 = { 53 EB 0C 8B 1A 66 83 7C 58 FE 3E 74 06 FF 02 3B 0A 7D F0 5B C3 }
	condition:
		$1
}

rule function_34679_0 {
	meta:
		name = "ExtractDocWhiteSpace"
		size = 96
		refs = "0017 ExtractDocWhiteSpace 001e CharIsInSet 003b @UStrCopy"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B DA 8B F0 8B 03 89 45 FC EB 14 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 3B 7D E8 8B 45 08 50 8B 0B 2B 4D FC 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 00 00 09 00 0A 00 0D 00 20 00 00 00 }
	condition:
		$1
}

rule function_34680_0 {
	meta:
		name = "DiscardDocWhiteSpace"
		size = 64
		refs = "000e DiscardDocWhiteSpace 0015 CharIsInSet"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 EB 14 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 3B 7D E8 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 00 00 09 00 0A 00 0D 00 20 00 00 00 }
	condition:
		$1
}

rule function_34681_0 {
	meta:
		name = "ParseWord"
		size = 212
		refs = "0017 ParseWord 001e CharIsInSet 003b @UStrCopy"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B DA 8B F0 8B 03 89 45 FC EB 14 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 3B 7D E8 8B 45 08 50 8B 0B 2B 4D FC 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 3F 00 00 00 61 00 62 00 63 00 64 00 65 00 66 00 67 00 68 00 69 00 6A 00 6B 00 6C 00 6D 00 6E 00 6F 00 70 00 71 00 72 00 73 00 74 00 75 00 76 00 77 00 78 00 79 00 7A 00 41 00 42 00 43 00 44 00 45 00 46 00 47 00 48 00 49 00 4A 00 4B 00 4C 00 4D 00 4E 00 4F 00 50 00 51 00 52 00 53 00 54 00 55 00 56 00 57 00 58 00 59 00 5A 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 30 00 2D 00 00 00 }
	condition:
		$1
}

rule function_34682_0 {
	meta:
		name = "DiscardWord"
		size = 180
		refs = "000e DiscardWord 0015 CharIsInSet"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 EB 14 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 3B 7D E8 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 3F 00 00 00 61 00 62 00 63 00 64 00 65 00 66 00 67 00 68 00 69 00 6A 00 6B 00 6C 00 6D 00 6E 00 6F 00 70 00 71 00 72 00 73 00 74 00 75 00 76 00 77 00 78 00 79 00 7A 00 41 00 42 00 43 00 44 00 45 00 46 00 47 00 48 00 49 00 4A 00 4B 00 4C 00 4D 00 4E 00 4F 00 50 00 51 00 52 00 53 00 54 00 55 00 56 00 57 00 58 00 59 00 5A 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 30 00 2D 00 00 00 }
	condition:
		$1
}

rule function_34683_0 {
	meta:
		name = "ParseUntil"
		size = 61
		refs = "0032 @UStrCopy"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 8B F0 8B 45 0C 8B 0B 89 4D FC EB 0B 8B 0B 66 3B 54 4E FE 74 06 FF 03 3B 03 7D F1 8B 45 08 50 8B 0B 2B 4D FC 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_34684_0 {
	meta:
		name = "DiscardUntil"
		size = 31
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 EB 0B 8B 19 66 3B 54 58 FE 74 06 FF 01 3B 31 7D F1 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_34685_0 {
	meta:
		name = "ParseHTTPMetaEquiveData"
		size = 1120
		refs = "0020 ParseHTTPMetaEquiveData 002e @UStrClr 0038 @UStrLAsg 0049 CharIsInSet 00b5 @UStrCopy 0125 @UStrCat3 022a TextIsSame 0283 @UStrCatN 0355 @UStrArrayClr 035b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8D 45 F8 8B D7 E8 ?? ?? ?? ?? EB 15 8B 13 B9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 33 7D E7 8B 13 B9 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 5F 8B 03 0F B7 44 47 FE 66 89 45 C2 FF 03 3B 33 0F 8C C1 02 00 00 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 8B 03 89 45 BC EB 12 8B 03 8B 55 F4 0F B7 44 42 FE 66 3B 45 C2 74 06 FF 03 3B 33 7D EA 8D 45 F0 50 8B 0B 2B 4D BC 8B 55 BC 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F0 E8 ?? ?? ?? ?? FF 03 EB 51 3B 33 0F 8C 6F 02 00 00 8D 45 EC 8B D7 E8 ?? ?? ?? ?? 8B 03 89 45 B8 EB 15 8B 13 B9 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 33 7D E7 8D 45 E8 50 8B 0B 2B 4D B8 8B 55 B8 8B 45 EC E8 ?? ?? ?? ?? 8D 45 FC 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 08 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E4 8B D7 E8 ?? ?? ?? ?? EB 15 8B 13 B9 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 33 7D E7 3B 33 0F 8C E9 01 00 00 8B 03 66 83 7C 47 FE 2F 75 0A FF 03 3B 33 0F 8C D5 01 00 00 8B 03 66 83 7C 47 FE 3E 0F 84 C7 01 00 00 8D 45 E0 8B D7 E8 ?? ?? ?? ?? 8B 03 89 45 B4 EB 15 8B 13 B9 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 33 7D E7 8D 45 DC 50 8B 0B 2B 4D B4 8B 55 B4 8B 45 E0 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 DC E8 ?? ?? ?? ?? 3B 33 0F 8C 76 01 00 00 8B 03 66 83 7C 47 FE 3D 0F 85 52 FF FF FF FF 03 8D 45 D8 8B D7 E8 ?? ?? ?? ?? EB 15 8B 13 B9 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 33 7D E7 8B 13 B9 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 8F 00 00 00 8B 03 0F B7 44 47 FE 66 89 45 C2 FF 03 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 66 8D 45 D4 8B D7 E8 ?? ?? ?? ?? 8B 03 89 45 B0 EB 12 8B 03 8B 55 D4 0F B7 44 42 FE 66 3B 45 C2 74 06 FF 03 3B 33 7D EA 8D 45 D0 50 8B 0B 2B 4D B0 8B 55 B0 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 08 FF 30 68 ?? ?? ?? ?? FF 75 D0 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 13 8B 03 0F B7 44 47 FE 66 3B 45 C2 74 06 FF 03 3B 33 7D ED FF 03 E9 86 FE FF FF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 5D 8D 45 CC 8B D7 E8 ?? ?? ?? ?? 8B 03 89 45 AC EB 15 8B 13 B9 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 33 7D E7 8D 45 C8 50 8B 0B 2B 4D AC 8B 55 AC 8B 45 CC E8 ?? ?? ?? ?? 8B 45 08 FF 30 68 ?? ?? ?? ?? FF 75 C8 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 18 FE FF FF 8D 45 C4 8B D7 E8 ?? ?? ?? ?? EB 19 8B 13 B9 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 84 C0 0F 84 F5 FD FF FF FF 03 3B 33 7D E3 E9 EA FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 0F 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 00 00 09 00 0A 00 0D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3F 00 00 00 61 00 62 00 63 00 64 00 65 00 66 00 67 00 68 00 69 00 6A 00 6B 00 6C 00 6D 00 6E 00 6F 00 70 00 71 00 72 00 73 00 74 00 75 00 76 00 77 00 78 00 79 00 7A 00 41 00 42 00 43 00 44 00 45 00 46 00 47 00 48 00 49 00 4A 00 4B 00 4C 00 4D 00 4E 00 4F 00 50 00 51 00 52 00 53 00 54 00 55 00 56 00 57 00 58 00 59 00 5A 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 30 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 4F 00 4E 00 54 00 45 00 4E 00 54 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34686_0 {
	meta:
		name = "ParseMetaCharsetData"
		size = 648
		refs = "0020 ParseMetaCharsetData 002e @UStrClr 0038 @UStrLAsg 0049 CharIsInSet 00b5 @UStrCopy 013d @UStrCatN 0157 @UStrArrayClr 015d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8D 45 F8 8B D7 E8 ?? ?? ?? ?? EB 15 8B 13 B9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 33 7D E7 8B 13 B9 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 5F 8B 03 0F B7 44 47 FE 66 89 45 E6 FF 03 3B 33 0F 8C C3 00 00 00 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 8B 03 89 45 E0 EB 12 8B 03 8B 55 F4 0F B7 44 42 FE 66 3B 45 E6 74 06 FF 03 3B 33 7D EA 8D 45 F0 50 8B 0B 2B 4D E0 8B 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F0 E8 ?? ?? ?? ?? FF 03 EB 5B 3B 33 7C 75 8D 45 EC 8B D7 E8 ?? ?? ?? ?? 8B 03 89 45 DC EB 15 8B 13 B9 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 33 7D E7 8D 45 E8 50 8B 0B 2B 4D DC 8B 55 DC 8B 45 EC E8 ?? ?? ?? ?? 8D 45 FC 8B 55 E8 E8 ?? ?? ?? ?? EB 0C 8B 03 66 83 7C 47 FE 3E 74 06 FF 03 3B 33 7D F0 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 05 00 00 00 00 00 09 00 0A 00 0D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3F 00 00 00 61 00 62 00 63 00 64 00 65 00 66 00 67 00 68 00 69 00 6A 00 6B 00 6C 00 6D 00 6E 00 6F 00 70 00 71 00 72 00 73 00 74 00 75 00 76 00 77 00 78 00 79 00 7A 00 41 00 42 00 43 00 44 00 45 00 46 00 47 00 48 00 49 00 4A 00 4B 00 4C 00 4D 00 4E 00 4F 00 50 00 51 00 52 00 53 00 54 00 55 00 56 00 57 00 58 00 59 00 5A 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 30 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 3A 00 20 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_34687_0 {
	meta:
		name = "DiscardToEndOfComment"
		size = 68
	strings:
		$1 = { 53 56 EB 0C 8B 1A 66 83 7C 58 FE 2D 74 06 FF 02 3B 0A 7D F0 33 F6 EB 25 8B 1A 66 83 7C 58 FE 2D 75 08 83 FE 02 7D 14 46 EB 11 8B 1A 66 83 7C 58 FE 3E 75 05 83 FE 02 74 08 33 F6 FF 02 3B 0A 7D D7 5E 5B C3 }
	condition:
		$1
}

rule function_34688_0 {
	meta:
		name = "ParseForCloseTag"
		size = 684
		refs = "0024 ParseForCloseTag 0032 @UStrClr 0041 @UStrLAsg 006f @UStrCopy 007a @UStrCat 00a9 CharIsInSet 00d7 @UStrCat3 0144 TextIsSame 01af @UStrCatN 01d3 @UStrArrayClr 01d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 89 55 D4 8B F8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? E9 7A 01 00 00 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 8B 03 89 45 D0 EB 0F 8B 03 8B 55 F4 66 83 7C 42 FE 3C 74 06 FF 03 3B 33 7D ED 8D 45 F0 50 8B 0B 2B 4D D0 8B 55 D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 08 8B 03 66 83 7C 47 FE 3C 75 02 FF 03 8D 45 EC 8B D7 E8 ?? ?? ?? ?? 8B 03 89 45 CC EB 15 8B 13 B9 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 33 7D E7 8D 45 E8 50 8B 0B 2B 4D CC 8B 55 CC 8B 45 EC E8 ?? ?? ?? ?? 8D 45 F8 8B 4D E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 66 83 7C 47 FE 2F 75 7B FF 03 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B D7 E8 ?? ?? ?? ?? 8B 03 89 45 C8 EB 15 8B 13 B9 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 33 7D E7 8D 45 E0 50 8B 0B 2B 4D C8 8B 55 C8 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 E0 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 14 EB 0C 8B 03 66 83 7C 47 FE 3E 74 65 FF 03 3B 33 7D F0 EB 5D 8D 45 DC 8B D7 E8 ?? ?? ?? ?? 8B 03 89 45 C4 EB 0F 8B 03 8B 55 DC 66 83 7C 42 FE 3E 74 06 FF 03 3B 33 7D ED 8D 45 D8 50 8B 0B 2B 4D C4 8B 55 C4 8B 45 DC E8 ?? ?? ?? ?? 8B 45 08 FF 30 FF 75 F8 FF 75 FC FF 75 D8 8B 45 08 BA 04 00 00 00 E8 ?? ?? ?? ?? FF 03 3B 33 0F 8D 7E FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 05 00 00 00 00 00 09 00 0A 00 0D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 3F 00 00 00 61 00 62 00 63 00 64 00 65 00 66 00 67 00 68 00 69 00 6A 00 6B 00 6C 00 6D 00 6E 00 6F 00 70 00 71 00 72 00 73 00 74 00 75 00 76 00 77 00 78 00 79 00 7A 00 41 00 42 00 43 00 44 00 45 00 46 00 47 00 48 00 49 00 4A 00 4B 00 4C 00 4D 00 4E 00 4F 00 50 00 51 00 52 00 53 00 54 00 55 00 56 00 57 00 58 00 59 00 5A 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 30 00 2D 00 00 00 }
	condition:
		$1
}

rule function_34689_0 {
	meta:
		name = "DiscardUntilCloseTag"
		size = 568
		refs = "0024 DiscardUntilCloseTag 0057 @UStrLAsg 006d CharIsInSet 008b @UStrCopy 009b @UStrCat3 00b4 @UStrCat 0108 TextIsSame 015c @UStrArrayClr 0162 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 89 55 E4 8B F8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 0B 01 00 00 EB 0C 8B 03 66 83 7C 47 FE 3C 74 06 FF 03 3B 33 7D F0 8B 03 66 83 7C 47 FE 3C 75 02 FF 03 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 8B 03 89 45 E0 EB 15 8B 13 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 33 7D E7 8D 45 F0 50 8B 0B 2B 4D E0 8B 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 4D F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 66 83 7C 47 FE 2F 75 7B FF 03 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B D7 E8 ?? ?? ?? ?? 8B 03 89 45 DC EB 15 8B 13 B9 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 33 7D E7 8D 45 E8 50 8B 0B 2B 4D DC 8B 55 DC 8B 45 EC E8 ?? ?? ?? ?? 8D 45 FC 8B 55 E8 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 14 EB 0C 8B 03 66 83 7C 47 FE 3E 74 2A FF 03 3B 33 7D F0 EB 22 80 7D 08 00 75 12 EB 0C 8B 03 66 83 7C 47 FE 3E 74 06 FF 03 3B 33 7D F0 FF 03 3B 33 0F 8D FB FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 00 00 09 00 0A 00 0D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 3F 00 00 00 61 00 62 00 63 00 64 00 65 00 66 00 67 00 68 00 69 00 6A 00 6B 00 6C 00 6D 00 6E 00 6F 00 70 00 71 00 72 00 73 00 74 00 75 00 76 00 77 00 78 00 79 00 7A 00 41 00 42 00 43 00 44 00 45 00 46 00 47 00 48 00 49 00 4A 00 4B 00 4C 00 4D 00 4E 00 4F 00 50 00 51 00 52 00 53 00 54 00 55 00 56 00 57 00 58 00 59 00 5A 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 30 00 2D 00 00 00 }
	condition:
		$1
}

rule function_34690_0 {
	meta:
		name = "ParseMetaHTTPEquiv"
		size = 3816
		refs = "0024 ParseMetaHTTPEquiv 0035 TStream.SetPosition 0040 Indy8BitEncoding 004c ReadStringFromStream 00cf @UStrCopy 00df @UStrEqual 0148 @UStrLAsg 015b CharIsInSet 01f2 TextIsSame 0224 HTML_MainDocParts 0231 PosInStrArray 026b HTML_HeadDocAttrs 030c HTML_MetaAttrs 0381 @UStrClr 049d @UStrCat3 062a @UStrCatN 09f8 @UStrCat 0cfb @UStrArrayClr 0d01 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 23 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 95 30 FF FF FF 8B F0 8D 9D 28 FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 50 B0 01 E8 ?? ?? ?? ?? 8B C8 83 CA FF 8B C6 E8 ?? ?? ?? ?? C6 85 2F FF FF FF 00 33 C0 89 03 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 FF 03 3B 33 0F 8C 64 0C 00 00 8B 45 FC 8B 13 66 83 7C 50 FE 3C 75 E9 FF 03 3B 33 0F 8C 4D 0C 00 00 8B 45 FC 8B 13 0F B7 44 50 FE 66 83 F8 3F 75 0F FF 03 3B 33 0F 8C 33 0C 00 00 E9 98 00 00 00 66 83 F8 21 0F 85 8E 00 00 00 FF 03 3B 33 0F 8C 1A 0C 00 00 8D 85 E8 FE FF FF 50 B9 02 00 00 00 8B 13 8B 45 FC E8 ?? ?? ?? ?? 8B 85 E8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5C 83 03 02 3B 33 7C 13 8B 45 FC 8B 13 66 83 7C 50 FE 2D 74 06 FF 03 3B 33 7D ED 33 C0 3B 33 0F 8C 60 FF FF FF 8B 55 FC 8B 0B 66 83 7C 4A FE 2D 75 08 83 F8 02 7D 1B 40 EB 18 8B 55 FC 8B 0B 66 83 7C 4A FE 3E 75 09 83 F8 02 0F 84 35 FF FF FF 33 C0 FF 03 3B 33 7D CD E9 28 FF FF FF 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 3B 33 7C 19 B9 ?? ?? ?? ?? 8B 13 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 33 7D E7 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 3B 3B 33 7C 19 B9 ?? ?? ?? ?? 8B 13 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 33 7D E7 8D 45 EC 50 8B 0B 2B CF 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 EC E8 ?? ?? ?? ?? 0F B6 85 2F FF FF FF 2C 01 72 17 74 4D 2C 02 0F 84 A3 00 00 00 FE C8 0F 84 0A 0B 00 00 E9 97 FE FF FF 3B 33 7C 13 8B 45 FC 8B 13 66 83 7C 50 FE 3E 74 06 FF 03 3B 33 7D ED BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 6B FE FF FF C6 85 2F FF FF FF 01 E9 5F FE FF FF 3B 33 7C 13 8B 45 FC 8B 13 66 83 7C 50 FE 3E 74 06 FF 03 3B 33 7D ED 6A 00 BA ?? ?? ?? ?? B9 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 83 E8 01 72 0A 74 14 48 74 1D E9 25 FE FF FF C6 85 2F FF FF FF 02 E9 19 FE FF FF C6 85 2F FF FF FF 03 E9 0D FE FF FF C6 85 2F FF FF FF 04 E9 01 FE FF FF 6A 00 BA ?? ?? ?? ?? B9 03 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 83 E8 01 72 19 0F 84 6E 06 00 00 48 0F 84 46 08 00 00 48 0F 84 1E 0A 00 00 E9 CF FD FF FF 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 3B 33 7C 19 B9 ?? ?? ?? ?? 8B 13 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 33 7D E7 8D 45 E4 8B 55 FC E8 ?? ?? ?? ?? 8B 3B 3B 33 7C 19 B9 ?? ?? ?? ?? 8B 13 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 33 7D E7 8D 45 E0 50 8B 0B 2B CF 8B D7 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 E0 E8 ?? ?? ?? ?? 6A 00 BA ?? ?? ?? ?? B9 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 83 E8 01 72 0B 0F 84 EC 03 00 00 E9 A4 05 00 00 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 3B 33 7C 19 B9 ?? ?? ?? ?? 8B 13 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 33 7D E7 8B 45 FC 8B 13 66 83 7C 50 FE 3D 0F 85 03 FD FF FF FF 03 3B 33 0F 8C 67 09 00 00 8D 45 D8 8B 55 FC E8 ?? ?? ?? ?? 8B FE 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 CC 8B 55 D8 E8 ?? ?? ?? ?? 3B 3B 7C 19 B9 ?? ?? ?? ?? 8B 13 8B 45 CC E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 3B 7D E7 B9 ?? ?? ?? ?? 8B 13 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 74 74 8B 45 D8 8B 13 0F B7 44 50 FE 66 89 85 26 FF FF FF FF 03 3B 3B 0F 8C 26 03 00 00 8D 45 C8 8B 55 D8 E8 ?? ?? ?? ?? 8B 03 89 85 20 FF FF FF 3B 3B 7C 19 8B 45 C8 8B 13 0F B7 44 50 FE 66 3B 85 26 FF FF FF 74 06 FF 03 3B 3B 7D E7 8D 45 C4 50 8B 0B 2B 8D 20 FF FF FF 8B 95 20 FF FF FF 8B 45 C8 E8 ?? ?? ?? ?? 8D 45 D0 8B 55 C4 E8 ?? ?? ?? ?? FF 03 EB 5D 3B 3B 0F 8C C5 02 00 00 8D 45 C0 8B 55 D8 E8 ?? ?? ?? ?? 8B 03 89 85 1C FF FF FF 3B 3B 7C 19 B9 ?? ?? ?? ?? 8B 13 8B 45 C0 E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 3B 7D E7 8D 45 BC 50 8B 0B 2B 8D 1C FF FF FF 8B 95 1C FF FF FF 8B 45 C0 E8 ?? ?? ?? ?? 8D 45 D0 8B 55 BC E8 ?? ?? ?? ?? 8D 45 D4 B9 ?? ?? ?? ?? 8B 55 D0 E8 ?? ?? ?? ?? 8D 45 B8 8B 55 D8 E8 ?? ?? ?? ?? 3B 3B 7C 19 B9 ?? ?? ?? ?? 8B 13 8B 45 B8 E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 3B 7D E7 3B 3B 0F 8C 30 02 00 00 8B 45 D8 8B 13 66 83 7C 50 FE 2F 75 0A FF 03 3B 3B 0F 8C 19 02 00 00 8B 45 D8 8B 13 66 83 7C 50 FE 3E 0F 84 08 02 00 00 8D 45 B4 8B 55 D8 E8 ?? ?? ?? ?? 8B 03 89 85 18 FF FF FF 3B 3B 7C 19 B9 ?? ?? ?? ?? 8B 13 8B 45 B4 E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 3B 7D E7 8D 45 B0 50 8B 0B 2B 8D 18 FF FF FF 8B 95 18 FF FF FF 8B 45 B4 E8 ?? ?? ?? ?? 8D 45 D0 8B 55 B0 E8 ?? ?? ?? ?? 3B 3B 0F 8C AB 01 00 00 8B 45 D8 8B 13 66 83 7C 50 FE 3D 0F 85 3A FF FF FF FF 03 8D 45 AC 8B 55 D8 E8 ?? ?? ?? ?? 3B 3B 7C 19 B9 ?? ?? ?? ?? 8B 13 8B 45 AC E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 3B 7D E7 B9 ?? ?? ?? ?? 8B 13 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 0F 84 AC 00 00 00 8B 45 D8 8B 13 0F B7 44 50 FE 66 89 85 26 FF FF FF FF 03 BA ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 84 C0 74 64 8D 45 A8 8B 55 D8 E8 ?? ?? ?? ?? 8B 03 89 85 14 FF FF FF 3B 3B 7C 19 8B 45 A8 8B 13 0F B7 44 50 FE 66 3B 85 26 FF FF FF 74 06 FF 03 3B 3B 7D E7 8D 45 A4 50 8B 0B 2B 8D 14 FF FF FF 8B 95 14 FF FF FF 8B 45 A8 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? FF 75 A4 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 1D 3B 3B 7C 19 8B 45 D8 8B 13 0F B7 44 50 FE 66 3B 85 26 FF FF FF 74 06 FF 03 3B 3B 7D E7 FF 03 E9 4D FE FF FF BA ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 84 C0 74 67 8D 45 A0 8B 55 D8 E8 ?? ?? ?? ?? 8B 03 89 85 10 FF FF FF 3B 3B 7C 19 B9 ?? ?? ?? ?? 8B 13 8B 45 A0 E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 3B 7D E7 8D 45 9C 50 8B 0B 2B 8D 10 FF FF FF 8B 95 10 FF FF FF 8B 45 A0 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? FF 75 9C 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 D5 FD FF FF 8D 45 98 8B 55 D8 E8 ?? ?? ?? ?? 3B 3B 0F 8C C2 FD FF FF B9 ?? ?? ?? ?? 8B 13 8B 45 98 E8 ?? ?? ?? ?? 84 C0 0F 84 AB FD FF FF FF 03 3B 3B 7D E3 E9 A0 FD FF FF 8B 55 D4 8B 85 30 FF FF FF 8B 08 FF 51 38 E9 55 F9 FF FF 8D 45 94 8B 55 FC E8 ?? ?? ?? ?? 3B 33 7C 19 B9 ?? ?? ?? ?? 8B 13 8B 45 94 E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 33 7D E7 8B 45 FC 8B 13 66 83 7C 50 FE 3D 0F 85 1C F9 FF FF FF 03 3B 33 0F 8C 80 05 00 00 8D 45 90 8B 55 FC E8 ?? ?? ?? ?? 8B FE 8D 45 8C E8 ?? ?? ?? ?? 8D 45 84 8B 55 90 E8 ?? ?? ?? ?? 3B 3B 7C 19 B9 ?? ?? ?? ?? 8B 13 8B 45 84 E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 3B 7D E7 B9 ?? ?? ?? ?? 8B 13 8B 45 90 E8 ?? ?? ?? ?? 84 C0 74 7A 8B 45 90 8B 13 0F B7 44 50 FE 66 89 85 0E FF FF FF FF 03 3B 3B 0F 8C FC 00 00 00 8D 45 80 8B 55 90 E8 ?? ?? ?? ?? 8B 03 89 85 08 FF FF FF 3B 3B 7C 19 8B 45 80 8B 13 0F B7 44 50 FE 66 3B 85 0E FF FF FF 74 06 FF 03 3B 3B 7D E7 8D 85 7C FF FF FF 50 8B 0B 2B 8D 08 FF FF FF 8B 95 08 FF FF FF 8B 45 80 E8 ?? ?? ?? ?? 8D 45 88 8B 95 7C FF FF FF E8 ?? ?? ?? ?? FF 03 EB 6C 3B 3B 0F 8C 95 00 00 00 8D 85 78 FF FF FF 8B 55 90 E8 ?? ?? ?? ?? 8B 03 89 85 04 FF FF FF 3B 3B 7C 1C B9 ?? ?? ?? ?? 8B 13 8B 85 78 FF FF FF E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 3B 7D E4 8D 85 74 FF FF FF 50 8B 0B 2B 8D 04 FF FF FF 8B 95 04 FF FF FF 8B 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 45 88 8B 95 74 FF FF FF E8 ?? ?? ?? ?? 3B 3B 7C 13 8B 45 90 8B 13 66 83 7C 50 FE 3E 74 06 FF 03 3B 3B 7D ED 68 ?? ?? ?? ?? FF 75 88 68 ?? ?? ?? ?? 8D 45 8C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 8C 8B 85 30 FF FF FF 8B 08 FF 51 38 E9 98 F7 FF FF 3B 33 0F 8C 90 F7 FF FF 8B 45 FC 8B 13 66 83 7C 50 FE 3E 0F 84 7F F7 FF FF FF 03 3B 33 7D E9 E9 74 F7 FF FF 3B 33 7C 13 8B 45 FC 8B 13 66 83 7C 50 FE 3E 74 06 FF 03 3B 33 7D ED 8D 85 70 FF FF FF 8B 55 FC E8 ?? ?? ?? ?? 8D 85 6C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE C6 85 03 FF FF FF 00 3B 3B 0F 8C 2E F7 FF FF 3B 3B 7C 16 8B 85 70 FF FF FF 8B 13 66 83 7C 50 FE 3C 74 06 FF 03 3B 3B 7D EA 8B 85 70 FF FF FF 8B 13 66 83 7C 50 FE 3C 75 02 FF 03 8D 85 60 FF FF FF 8B 95 70 FF FF FF E8 ?? ?? ?? ?? 8B 03 89 85 FC FE FF FF 3B 3B 7C 1C B9 ?? ?? ?? ?? 8B 13 8B 85 60 FF FF FF E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 3B 7D E4 8D 85 5C FF FF FF 50 8B 0B 2B 8D FC FE FF FF 8B 95 FC FE FF FF 8B 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 85 64 FF FF FF 8B 8D 5C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 8B 13 66 83 7C 50 FE 2F 0F 85 B8 00 00 00 FF 03 8D 85 64 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 58 FF FF FF 8B 95 70 FF FF FF E8 ?? ?? ?? ?? 8B 03 89 85 F8 FE FF FF 3B 3B 7C 1C B9 ?? ?? ?? ?? 8B 13 8B 85 58 FF FF FF E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 3B 7D E4 8D 85 54 FF FF FF 50 8B 0B 2B 8D F8 FE FF FF 8B 95 F8 FE FF FF 8B 85 58 FF FF FF E8 ?? ?? ?? ?? 8D 85 68 FF FF FF 8B 95 54 FF FF FF E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B 85 68 FF FF FF E8 ?? ?? ?? ?? 84 C0 74 27 3B 3B 0F 8C E6 F5 FF FF 8B 85 70 FF FF FF 8B 13 66 83 7C 50 FE 3E 0F 84 D2 F5 FF FF FF 03 3B 3B 7D E6 E9 C7 F5 FF FF 80 BD 03 FF FF FF 00 75 1A 3B 3B 7C 16 8B 85 70 FF FF FF 8B 13 66 83 7C 50 FE 3E 74 06 FF 03 3B 3B 7D EA FF 03 3B 3B 0F 8D 6C FE FF FF E9 95 F5 FF FF 3B 33 7C 13 8B 45 FC 8B 13 66 83 7C 50 FE 3E 74 06 FF 03 3B 33 7D ED 8D 85 50 FF FF FF 8B 55 FC E8 ?? ?? ?? ?? 8D 85 4C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE C6 85 F7 FE FF FF 01 3B 3B 0F 8C 4F F5 FF FF 3B 3B 7C 16 8B 85 50 FF FF FF 8B 13 66 83 7C 50 FE 3C 74 06 FF 03 3B 3B 7D EA 8B 85 50 FF FF FF 8B 13 66 83 7C 50 FE 3C 75 02 FF 03 8D 85 40 FF FF FF 8B 95 50 FF FF FF E8 ?? ?? ?? ?? 8B 03 89 85 F0 FE FF FF 3B 3B 7C 1C B9 ?? ?? ?? ?? 8B 13 8B 85 40 FF FF FF E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 3B 7D E4 8D 85 3C FF FF FF 50 8B 0B 2B 8D F0 FE FF FF 8B 95 F0 FE FF FF 8B 85 40 FF FF FF E8 ?? ?? ?? ?? 8D 85 44 FF FF FF 8B 8D 3C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 8B 13 66 83 7C 50 FE 2F 0F 85 B8 00 00 00 FF 03 8D 85 44 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 38 FF FF FF 8B 95 50 FF FF FF E8 ?? ?? ?? ?? 8B 03 89 85 EC FE FF FF 3B 3B 7C 1C B9 ?? ?? ?? ?? 8B 13 8B 85 38 FF FF FF E8 ?? ?? ?? ?? 84 C0 74 06 FF 03 3B 3B 7D E4 8D 85 34 FF FF FF 50 8B 0B 2B 8D EC FE FF FF 8B 95 EC FE FF FF 8B 85 38 FF FF FF E8 ?? ?? ?? ?? 8D 85 48 FF FF FF 8B 95 34 FF FF FF E8 ?? ?? ?? ?? 8B 95 4C FF FF FF 8B 85 48 FF FF FF E8 ?? ?? ?? ?? 84 C0 74 27 3B 3B 0F 8C 07 F4 FF FF 8B 85 50 FF FF FF 8B 13 66 83 7C 50 FE 3E 0F 84 F3 F3 FF FF FF 03 3B 3B 7D E6 E9 E8 F3 FF FF 80 BD F7 FE FF FF 00 75 1A 3B 3B 7C 16 8B 85 50 FF FF FF 8B 13 66 83 7C 50 FE 3E 74 06 FF 03 3B 3B 7D EA FF 03 3B 3B 0F 8D 6C FE FF FF E9 B6 F3 FF FF 3B 33 0F 8C AE F3 FF FF 8B 45 FC 8B 13 66 83 7C 50 FE 3E 0F 84 9D F3 FF FF FF 03 3B 33 7D E9 E9 92 F3 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 85 34 FF FF FF BA 33 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 2D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 00 00 09 00 0A 00 0D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 3F 00 00 00 61 00 62 00 63 00 64 00 65 00 66 00 67 00 68 00 69 00 6A 00 6B 00 6C 00 6D 00 6E 00 6F 00 70 00 71 00 72 00 73 00 74 00 75 00 76 00 77 00 78 00 79 00 7A 00 41 00 42 00 43 00 44 00 45 00 46 00 47 00 48 00 49 00 4A 00 4B 00 4C 00 4D 00 4E 00 4F 00 50 00 51 00 52 00 53 00 54 00 55 00 56 00 57 00 58 00 59 00 5A 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 30 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 54 00 4D 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 4F 00 4E 00 54 00 45 00 4E 00 54 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 3A 00 20 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 49 00 54 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 43 00 52 00 49 00 50 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_34691_0 {
	meta:
		name = "EnsureMsgIDBrackets"
		size = 136
		refs = "000c @UStrAsg 0032 EnsureMsgIDBrackets 0037 @UStrCat3 005e @UStrCat"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 03 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 3D 8B 03 66 83 38 3C 74 0E 8B 0B 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B 13 66 83 7C 42 FE 3E 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_34692_0 {
	meta:
		name = "ExtractHeaderItem"
		size = 124
		refs = "0011 ExtractHeaderItem 0021 @UStrLAsg 0036 Fetch 0040 Trim 005a @UStrArrayClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_34693_0 {
	meta:
		name = "FetchQuotedString"
		size = 256
		refs = "001d FetchQuotedString 002b @UStrClr 003c @UStrDelete 0094 @UStrCopy 00af @UStrLen 00c7 Fetch 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B D8 8B 7D 08 83 C7 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C3 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? C7 07 01 00 00 00 EB 64 8B 07 8B 13 66 83 7C 42 FE 5C 75 25 8B 03 89 45 F8 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 3B 37 7E 41 8B 17 8B C3 B9 01 00 00 00 E8 ?? ?? ?? ?? EB 31 8B 07 8B 13 66 83 7C 42 FE 22 75 25 8B 45 FC 50 8B 0F 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? 53 8B 17 42 8B 03 B9 FF FF FF 7F E8 ?? ?? ?? ?? EB 0D FF 07 8B 03 E8 ?? ?? ?? ?? 3B 07 7D 91 6A 01 8D 45 F4 50 8B C3 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_34694_0 {
	meta:
		name = "SplitHeaderSubItems"
		size = 512
		refs = "0021 @UStrAddRef 0029 SplitHeaderSubItems 0044 Fetch 0052 CharRange 005f QuoteSpecials 0071 @UStrCatN 0081 TrimLeft 008c @UStrLAsg 00b6 Trim 00d9 TextStartsWith 00e9 FetchQuotedString 0107 FindFirstOf 0125 @UStrCopy 0147 @UStrDelete 015c @UStrClr 01ae @UStrArrayClr 01b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B D9 8B F2 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 E8 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E4 66 BA 20 00 33 C0 E8 ?? ?? ?? ?? FF 75 E4 0F B6 C3 FF 34 85 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? E9 14 01 00 00 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 FE 00 00 00 6A 01 8D 45 DC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8D 55 F4 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 1A 55 8D 55 D4 8D 45 F8 E8 ?? ?? ?? ?? 59 8B 55 D4 8D 45 F0 E8 ?? ?? ?? ?? EB 65 6A 01 83 C9 FF 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 39 8D 45 F0 50 8B 4D FC 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 66 83 7C 50 FE 3B 75 03 FF 45 FC 8B 4D FC 49 8D 45 F8 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 13 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F4 00 74 28 83 7D F0 00 74 22 FF 75 F4 68 ?? ?? ?? ?? FF 75 F0 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B C6 8B 08 FF 51 38 83 7D F8 00 0F 85 E2 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_34695_0 {
	meta:
		name = "ExtractHeaderSubItem"
		size = 129
		refs = "0016 @UStrClr 001d _Dn_TStringList 0022 TStringList.Create 002d ExtractHeaderSubItem 0041 SplitHeaderSubItems 004b TStringList.SetCaseSensitive 0057 TStrings.GetValue 006c TObject.Free 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FF 8B FA 8B F0 8B 5D 08 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 4D FF 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B CB 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34696_0 {
	meta:
		name = "ReplaceHeaderSubItem"
		size = 89
		refs = "0012 ReplaceHeaderSubItem 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 0F B6 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_34697_0 {
	meta:
		name = "QuoteString"
		size = 428
		refs = "0016 QuoteString 0023 @UStrClr 004a CharRange 005b QuoteSpecials 006d @UStrCatN 007a @UStrLAsg 0093 @UStrCat 00b6 CharIsInSet 00ed @UStrFromWChar 0135 @UStrArrayClr 0148 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F7 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 84 E3 00 00 00 C6 45 F7 00 8D 4D EC 66 BA 20 00 33 C0 E8 ?? ?? ?? ?? FF 75 EC 8B 45 08 0F B6 40 0C FF 34 85 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 0F B6 40 0C 48 2C 02 73 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 5B 89 45 F0 BE 01 00 00 00 8B 4D F8 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 74 12 C6 45 F7 01 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 14 8B 4D FC 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 74 04 C6 45 F7 01 8D 45 E8 0F B7 54 77 FE E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 46 FF 4D F0 75 AD 80 7D F7 00 74 18 68 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7F 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_34698_0 {
	meta:
		name = "ReplaceHeaderSubItem"
		size = 492
		refs = "0026 ReplaceHeaderSubItem 0033 @UStrClr 003a _Dn_TStringList 003f TStringList.Create 005f SplitHeaderSubItems 0069 TStringList.SetCaseSensitive 0092 @UStrAsg 00a7 Fetch 00bc Trim 00ea @UStrCatN 0111 ExtractHeaderItem 013c TStrings.GetName 0152 TStrings.GetValueFromIndex 015d QuoteString 0186 TObject.Free 018c @HandleFinally 01a8 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F0 89 55 F4 89 45 F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 4D 0C 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 EC 8B 08 FF 51 58 8B D8 85 DB 7C 2F 8D 4D E8 8B D3 8B 45 EC 8B 38 FF 57 0C 8B 55 E8 8B 45 10 E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8B 45 10 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8B 45 10 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 83 7D FC 00 74 37 85 DB 7D 0C 33 D2 8B 45 EC 8B 08 FF 51 38 8B D8 FF 75 F4 68 ?? ?? ?? ?? FF 75 FC 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E0 8B D3 8B 45 EC 8B 18 FF 53 20 EB 0E 85 DB 7C 0A 8B D3 8B 45 EC 8B 08 FF 51 48 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 83 3E 00 74 5B 8B 45 EC 8B 10 FF 52 14 8B F8 4F 85 FF 7C 4C 47 33 DB FF 36 68 ?? ?? ?? ?? 8D 4D DC 8B D3 8B 45 EC E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 55 8D 4D D4 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 E8 ?? ?? ?? ?? 59 FF 75 D8 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? 43 4F 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_34699_0 {
	meta:
		name = "MediaTypeMatches"
		size = 136
		refs = "000f MediaTypeMatches 0021 Pos 002e TextIsSame 0041 @UStrCat3 004b TextStartsWith 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0D 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 1B 8D 45 FC B9 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_34701_0 {
	meta:
		name = "IsHeaderMediaTypes"
		size = 117
		refs = "0019 IsHeaderMediaTypes 002b ExtractHeaderItem 003d MediaTypeMatches 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 75 F8 85 F6 7C 19 46 8B 17 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 06 83 C7 04 4E 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34702_0 {
	meta:
		name = "ExtractHeaderMediaType"
		size = 132
		refs = "000f ExtractHeaderMediaType 001f ExtractHeaderItem 002c Pos 0043 @UStrCopy 004c @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 13 56 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_34703_0 {
	meta:
		name = "ExtractHeaderMediaSubType"
		size = 144
		refs = "0010 ExtractHeaderMediaSubType 0020 ExtractHeaderItem 002d Pos 004d @UStrCopy 0056 @UStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 1C 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 57 8D 53 01 8B CE 8B 45 FC E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_34705_0 {
	meta:
		name = "GetClockValue"
		size = 37
		refs = "000b GetSystemTimeAsFileTime"
	strings:
		$1 = { 55 8B EC 83 C4 F0 8D 45 F0 50 E8 ?? ?? ?? ?? 8B 45 F0 89 45 FC 8B 45 F4 89 45 F8 8B 45 F8 8B 55 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_34706_0 {
	meta:
		name = "ROL"
		size = 5
	strings:
		$1 = { 88 D1 D3 C0 C3 }
	condition:
		$1
}

rule function_34707_0 {
	meta:
		name = "ROR"
		size = 5
	strings:
		$1 = { 88 D1 D3 C8 C3 }
	condition:
		$1
}

rule function_34708_0 {
	meta:
		name = "IndyComputerName"
		size = 72
		refs = "000e @UStrSetLength 002c @UStrToPWChar 0032 GetComputerName"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 03 89 44 24 04 8B 44 24 04 85 C0 74 05 83 E8 04 8B 00 89 04 24 54 8B 03 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0A 8B C3 8B 14 24 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_34709_0 {
	meta:
		name = "IdGetDefaultCharSet"
		size = 86
		refs = "0001 SysLocale"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 40 04 83 F8 12 7F 0E 74 33 83 E8 04 74 13 83 E8 0D 74 24 EB 36 83 E8 19 74 27 83 E8 09 74 27 EB 2A A1 ?? ?? ?? ?? 83 78 08 02 75 06 66 B8 6F 03 EB 1D 66 B8 71 03 C3 66 B8 3F 00 C3 66 B8 3E 00 C3 66 B8 70 02 C3 66 B8 85 03 C3 66 B8 33 03 C3 }
	condition:
		$1
}

rule function_34710_0 {
	meta:
		name = "RemoveHeaderEntry"
		size = 35
		refs = "0018 ReplaceHeaderSubItem"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 53 8B 45 08 50 33 C9 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_34711_0 {
	meta:
		name = "RemoveHeaderEntry"
		size = 40
		refs = "001d ReplaceHeaderSubItem"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 57 0F B6 45 0C 50 8B 45 08 50 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_34712_0 {
	meta:
		name = "RemoveHeaderEntries"
		size = 198
		refs = "0031 string 0036 @AddRefArray 003e RemoveHeaderEntries 004d @UStrAsg 0074 ReplaceHeaderSubItem 0099 @UStrClr 00ab @FinalizeArray 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 4D F8 89 55 FC 8B D8 8B 7D 08 8B 4D F8 41 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 40 85 C0 7E 2F 8B 75 F8 85 F6 7C 28 46 8B 5D FC 0F B6 45 0C 50 8D 45 F4 50 8B 07 33 C9 8B 13 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 83 C3 04 4E 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 4D F8 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 7D E8 8B 75 EC 8B 5D F0 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_34713_0 {
	meta:
		name = "FindFirstOf"
		size = 173
		refs = "0018 FindFirstOf 0040 IndyLength 0063 @UStrFromWChar 006c IndyPos 0095 @UStrClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 4D 8B D1 8B 45 F8 8B 4D 08 E8 ?? ?? ?? ?? 85 C0 7E 3C 8B F0 4E 85 F6 7C 35 46 33 FF 8B 5D 08 03 DF 8D 45 F0 8B 55 F8 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 45 F0 8B 0D ?? ?? ?? ?? 8B 09 8B 55 FC FF D1 85 C0 74 05 89 5D F4 EB 04 47 4E 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34714_0 {
	meta:
		name = "FindFirstNotOf"
		size = 181
		refs = "0018 FindFirstNotOf 0030 IndyLength 006b @UStrFromWChar 0074 IndyPos 009d @UStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B D1 8B 45 F8 8B 4D 08 E8 ?? ?? ?? ?? 85 C0 7E 54 8B 55 FC 85 D2 74 05 83 EA 04 8B 12 85 D2 75 08 8B 45 08 89 45 F4 EB 3C 8B F0 4E 85 F6 7C 35 46 33 FF 8B 5D 08 03 DF 8D 45 F0 8B 55 F8 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 45 F0 8B 0D ?? ?? ?? ?? 8B 09 8B 55 FC FF D1 85 C0 75 05 89 5D F4 EB 04 47 4E 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34715_0 {
	meta:
		name = "TrimAllOf"
		size = 216
		refs = "0016 TrimAllOf 0025 @UStrAsg 0049 @UStrFromWChar 0052 IndyPos 006d IdDelete 00c5 @UStrArrayClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B D3 E8 ?? ?? ?? ?? 8B 06 89 45 FC 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 36 8D 45 F8 8B 16 0F B7 12 E8 ?? ?? ?? ?? 8B 45 F8 8B 0D ?? ?? ?? ?? 8B 09 8B D7 FF D1 85 C0 7E 16 8B C6 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 4B 85 DB 7F CA 85 DB 7E 35 8D 45 F4 8B 16 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 45 F4 8B 0D ?? ?? ?? ?? 8B 09 8B D7 FF D1 85 C0 7E 13 8B C6 B9 01 00 00 00 8B D3 E8 ?? ?? ?? ?? 4B 85 DB 7F CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34716_0 {
	meta:
		name = "ContentTypeToEncoding"
		size = 120
		refs = "000f ContentTypeToEncoding 0027 ExtractHeaderSubItem 002f CharsetToEncoding 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CB BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_34717_0 {
	meta:
		name = "CharsetToEncoding"
		size = 168
		refs = "0014 GIdEncodingNeeded 0030 CharsetToEncoding 003d CharsetToCodePage 0056 IndyASCIIEncoding 0062 IndyUTF8Encoding 0074 TEncoding.GetEncoding 0086 @HandleAnyException 008b @DoneExcept 0098 Indy8BitEncoding"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 33 C0 89 45 FC 85 DB 74 7D 83 3D ?? ?? ?? ?? 00 74 11 8B C3 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 73 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? 8B D0 66 81 EA 9F 4E 74 09 66 81 EA 4A AF 74 0E EB 18 33 C0 E8 ?? ?? ?? ?? 89 45 FC EB 1C 33 C0 E8 ?? ?? ?? ?? 89 45 FC EB 10 66 85 C0 74 0B 0F B7 C0 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 75 0A 33 C0 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34718_0 {
	meta:
		name = "WriteStringAsContentType"
		size = 86
		refs = "0011 ContentTypeToEncoding 001c WriteStringAsContentType 002e WriteStringToStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 0F B6 55 08 8B C1 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34719_0 {
	meta:
		name = "WriteStringsAsContentType"
		size = 148
		refs = "0015 WriteStringsAsContentType 0026 ContentTypeToEncoding 004e WriteStringToStream 0063 TObject.Free 0069 @HandleFinally 0080 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 55 08 8B C1 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 8B 08 FF 51 1C 8B 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34720_0 {
	meta:
		name = "WriteStringAsCharset"
		size = 80
		refs = "000d CharsetToEncoding 0018 WriteStringAsCharset 002a WriteStringToStream 003f TObject.Free 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B C1 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34721_0 {
	meta:
		name = "WriteStringsAsCharset"
		size = 142
		refs = "0015 WriteStringsAsCharset 0022 CharsetToEncoding 004a WriteStringToStream 005f TObject.Free 0065 @HandleFinally 007c @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 8B 08 FF 51 1C 8B 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34722_0 {
	meta:
		name = "ReadStringAsContentType"
		size = 106
		refs = "0016 @UStrClr 0021 ContentTypeToEncoding 002c ReadStringAsContentType 0040 ReadStringFromStream 0055 TObject.Free 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FF 8B FA 8B F0 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 0F B6 55 FF 8B C7 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 4D F8 83 CA FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34723_0 {
	meta:
		name = "ReadStringsAsContentType"
		size = 86
		refs = "0011 ContentTypeToEncoding 001c ReadStringsAsContentType 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 0F B6 55 08 8B C1 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D3 8B C6 8B 18 FF 53 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34724_0 {
	meta:
		name = "ReadStringAsCharset"
		size = 93
		refs = "0010 @UStrClr 0017 CharsetToEncoding 0022 ReadStringAsCharset 0036 ReadStringFromStream 004b TObject.Free 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B FA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 4D FC 83 CA FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34725_0 {
	meta:
		name = "ReadStringsAsCharset"
		size = 80
		refs = "000d CharsetToEncoding 0018 ReadStringsAsCharset 003f TObject.Free 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B C1 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D3 8B C6 8B 18 FF 53 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34728_0 {
	meta:
		name = "Finalization"
		size = 262
		refs = "0007 Finalization 0013 _DV_8 001e wdays 0029 string 002e @FinalizeArray 0033 monthnames 0048 IndyFalseBoolStrs 004e :6 0053 @DynArrayClear 0058 IndyTrueBoolStrs 005e :7 0068 ATempPath 006d @UStrClr 0072 Months 0087 cTimeZones 0092 TimeZoneOffset 009c HTML_MainDocParts 00b1 HTML_HeadDocAttrs 00c6 HTML_MetaAttrs 00db QuoteSpecials 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 D2 00 00 00 B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 60 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 5B 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_34729_0 {
	meta:
		name = "IdGlobalProtocols"
		size = 212
		refs = "0009 IdGlobalProtocols 0015 _DV_8 0020 TempPath 0028 ATempPath 002d @UStrAsg 0034 IndyFalseBoolStrs 003f :6 0044 @DynArraySetLength 005d IndyTrueBoolStrs 0068 :7 0094 @UStrClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 67 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 41 00 4C 00 53 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 52 00 55 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_40878_0 {
	meta:
		name = "InGlobalProtocols"
		size = 212
		refs = "0009 InGlobalProtocols 0015 _DV_8 0020 TempPath 0028 ATempPath 002d @UStrAsg 0034 IndyFalseBoolStrs 003f :6 0044 @DynArraySetLength 005d IndyTrueBoolStrs 0068 :7 0094 @UStrClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 67 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 41 00 4C 00 53 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 52 00 55 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_34730_0 {
	meta:
		name = "TIdGopher.InitComponent"
		size = 26
		refs = "0006 TIdTCPClientCustom.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 46 00 8B C3 8B 08 FF 91 A4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_34731_0 {
	meta:
		name = "TIdGopher.DoMenu"
		size = 31
	strings:
		$1 = { 53 66 83 B8 12 01 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 14 01 00 00 FF 93 10 01 00 00 5B C3 }
	condition:
		$1
}

rule function_34732_0 {
	meta:
		name = "TIdGopher.ProcessGopherError"
		size = 156
		refs = "000f TIdGopher.ProcessGopherError 003d Fetch 0045 IndyStrToInt 007a @UStrArrayClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 33 D2 8B 83 98 00 00 00 8B 30 FF 96 B8 00 00 00 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D FC 8B D0 8B 83 9C 00 00 00 8B 30 FF 56 44 8B 83 9C 00 00 00 8B 10 FF 52 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34733_0 {
	meta:
		name = "TIdGopher.MenuItemFromString"
		size = 416
		refs = "001c @UStrAddRef 0024 TIdGopher.MenuItemFromString 0035 Trim 0040 @UStrLAsg 004b TIdGopherMenu.Add 0058 _DV_TIdGopherMenuItem 005d TIdGopherMenuItem.Create 0074 Fetch 007f @UStrAsg 00c0 @UStrCopy 011d IndyStrToInt 017c @UStrArrayClr 0182 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 10 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 43 0C E8 ?? ?? ?? ?? 8B 43 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0C 8B 43 0C 0F B7 00 66 89 43 10 EB 06 66 C7 43 10 33 00 8B 73 0C 85 F6 74 05 83 EE 04 8B 36 8D 43 0C 50 8B 43 0C 8B CE BA 02 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 43 14 E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 43 18 E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 66 89 43 1C 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0C 8B 45 FC 66 83 38 2B 0F 94 C0 EB 02 33 C0 88 43 1E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_34734_0 {
	meta:
		name = "TIdGopher.LoadExtendedDirectory"
		size = 468
		refs = "001e @UStrAddRef 0026 TIdGopher.LoadExtendedDirectory 0050 _DV_TIdGopherMenu 0055 TIdGopherMenu.Create 006d TIdIOHandler.ReadLn 007b @UStrCat3 0083 @UStrClr 0090 @UStrEqual 00ac @UStrCopy 00d0 TIdGopher.DoMenu 00ec RightStr 00fa TIdGopher.MenuItemFromString 016a @HandleFinally 0186 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B D9 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 99 52 50 33 D2 8B 45 F4 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 DB 8D 4D EC 8B 45 F4 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 8A 00 00 00 8D 45 E8 50 B9 07 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 4E 85 DB 74 11 8B C3 8B 10 FF 52 20 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8D 4D E4 8B D3 83 EA 07 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8B 4D F0 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 43 20 8B 55 F8 8B 08 FF 51 38 EB 25 85 DB 74 21 83 7D F8 00 74 1B 8B 43 20 8B 55 F8 8B 08 FF 51 38 EB 0E 85 DB 74 0A 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 10 8B 45 F4 8B 10 FF 52 74 84 C0 0F 85 0D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 F0 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 2B 00 49 00 4E 00 46 00 4F 00 3A 00 20 00 00 00 }
	condition:
		$1
}

rule function_34735_0 {
	meta:
		name = "TIdGopher.ProcessDirectory"
		size = 296
		refs = "001b @UStrAddRef 0023 TIdGopher.ProcessDirectory 004d _DV_TIdGopherMenu 0052 TIdGopherMenu.Create 0068 TIdIOHandler.ReadLn 0076 @UStrCat3 007e @UStrClr 008b @UStrEqual 009b TIdGopher.MenuItemFromString 00a5 TIdGopher.DoMenu 00dd @HandleFinally 0101 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 89 5D F8 8B D9 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 99 52 50 33 D2 8B 45 F4 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 4D EC 8B 45 F4 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 18 8B 4D F0 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B 45 F4 8B 10 FF 52 74 84 C0 75 95 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F0 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_34736_0 {
	meta:
		name = "TIdGopher.ProcessTextFile"
		size = 192
		refs = "0013 @UStrAddRef 001b TIdGopher.ProcessTextFile 0032 WriteStringToStream 0069 TIdIOHandler.Capture 0086 @HandleFinally 009d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D FC 8B DA 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 83 C9 FF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 08 99 52 50 33 D2 8B 45 F8 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8B 45 F8 8B 80 98 00 00 00 B9 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_34737_0 {
	meta:
		name = "TIdGopher.ProcessFile"
		size = 189
		refs = "0014 @UStrAddRef 001c TIdGopher.ProcessFile 0051 WriteStringToStream 0075 TStream.SetPosition 0092 @HandleFinally 00a9 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 99 52 50 33 D2 8B 45 F8 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 83 C9 FF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 6A FF 6A FF 8B 45 F8 8B 80 98 00 00 00 B1 01 8B D3 8B 30 FF 96 CC 00 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34738_0 {
	meta:
		name = "TIdGopher.Search"
		size = 232
		refs = "0019 @UStrAddRef 0029 TIdGopher.Search 0060 @UStrCatN 0082 TIdGopher.ProcessDirectory 009a TIdTCPConnection.Disconnect 00a0 @HandleFinally 00b7 @UStrClr 00c4 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 92 AC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F0 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_34739_0 {
	meta:
		name = "TIdGopher.GetFile"
		size = 532
		refs = "0021 @UStrAddRef 0031 TIdGopher.GetFile 007a TIdGopher.ProcessFile 0094 Fetch 009f Trim 00aa @UStrLAsg 00c7 @UStrCatN 00eb TIdIOHandler.ReadByte 010f TIdIOHandler.ReadLn 0117 TIdGopher.ProcessGopherError 0134 IndyStrToInt 014c TIdGopher.ProcessTextFile 0179 @UStrFromWChar 019b TIdTCPConnection.Disconnect 01a1 @HandleFinally 01bd @UStrArrayClr 01c5 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 92 AC 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7D 0C 00 75 29 8B 45 F8 8B 80 98 00 00 00 33 C9 8B 55 FC 8B 18 FF 93 A4 00 00 00 6A 00 33 C9 8B D6 8B 45 F8 E8 ?? ?? ?? ?? E9 07 01 00 00 6A 01 8D 45 F0 50 8D 45 08 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 08 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 08 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 8B 45 F8 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 0F B6 D8 8B C3 66 83 E8 2B 74 23 66 83 E8 02 75 71 8D 4D E8 8B 45 F8 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 6D 8D 4D E4 8B 45 F8 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B D0 83 EA FE 74 13 4A 75 20 6A 00 33 C9 8B D6 8B 45 F8 E8 ?? ?? ?? ?? EB 38 6A 00 33 C9 8B D6 8B 45 F8 E8 ?? ?? ?? ?? EB 28 50 33 C9 8B D6 8B 45 F8 E8 ?? ?? ?? ?? EB 19 6A 00 8D 45 E0 8B D3 E8 ?? ?? ?? ?? 8B 4D E0 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 }
	condition:
		$1
}

rule function_34742_0 {
	meta:
		name = "TIdGopher.GetTextFile"
		size = 532
		refs = "0021 @UStrAddRef 0031 TIdGopher.GetTextFile 007a TIdGopher.ProcessTextFile 0094 Fetch 009f Trim 00aa @UStrLAsg 00c7 @UStrCatN 00eb TIdIOHandler.ReadByte 010f TIdIOHandler.ReadLn 0117 TIdGopher.ProcessGopherError 0134 IndyStrToInt 015c TIdGopher.ProcessFile 0179 @UStrFromWChar 019b TIdTCPConnection.Disconnect 01a1 @HandleFinally 01bd @UStrArrayClr 01c5 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 92 AC 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7D 0C 00 75 29 8B 45 F8 8B 80 98 00 00 00 33 C9 8B 55 FC 8B 18 FF 93 A4 00 00 00 6A 00 33 C9 8B D6 8B 45 F8 E8 ?? ?? ?? ?? E9 07 01 00 00 6A 01 8D 45 F0 50 8D 45 08 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 08 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 08 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 8B 45 F8 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 0F B6 D8 8B C3 66 83 E8 2B 74 23 66 83 E8 02 75 71 8D 4D E8 8B 45 F8 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 6D 8D 4D E4 8B 45 F8 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B D0 83 EA FE 74 13 4A 75 20 6A 00 33 C9 8B D6 8B 45 F8 E8 ?? ?? ?? ?? EB 38 6A 00 33 C9 8B D6 8B 45 F8 E8 ?? ?? ?? ?? EB 28 50 33 C9 8B D6 8B 45 F8 E8 ?? ?? ?? ?? EB 19 6A 00 8D 45 E0 8B D3 E8 ?? ?? ?? ?? 8B 4D E0 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 }
	condition:
		$1
}

rule function_34740_0 {
	meta:
		name = "TIdGopher.GetMenu"
		size = 436
		refs = "001e @UStrAddRef 002e TIdGopher.GetMenu 0078 TIdGopher.ProcessDirectory 009d @UStrCatN 00c1 TIdIOHandler.ReadByte 00e5 TIdIOHandler.ReadLn 00ed TIdGopher.ProcessGopherError 010a IndyStrToInt 0125 @UStrFromWChar 014a TIdTCPConnection.Disconnect 0150 @HandleFinally 016c @UStrArrayClr 0174 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 F8 8B 10 FF 92 AC 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 84 DB 75 2A 8B 45 F8 8B 80 98 00 00 00 33 C9 8B 55 FC 8B 18 FF 93 A4 00 00 00 33 C9 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 E9 B5 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 08 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 8B 45 F8 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 0F B6 D8 8B C3 66 83 E8 2B 74 23 66 83 E8 02 75 49 8D 4D EC 8B 45 F8 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 46 8D 4D E8 8B 45 F8 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B C8 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 EB 1A 8D 45 E4 8B D3 E8 ?? ?? ?? ?? 8B 55 E4 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B 45 F4 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 }
	condition:
		$1
}

rule function_34741_0 {
	meta:
		name = "TIdGopher.GetExtendedMenu"
		size = 388
		refs = "0022 @UStrAddRef 0032 TIdGopher.GetExtendedMenu 0073 @UStrCatN 0097 TIdIOHandler.ReadByte 00bb TIdIOHandler.ReadLn 00c3 TIdGopher.ProcessGopherError 00e0 IndyStrToInt 00ec TIdGopher.LoadExtendedDirectory 00fb @UStrFromWChar 0108 TIdGopher.ProcessDirectory 0120 TIdTCPConnection.Disconnect 0126 @HandleFinally 0142 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D EC 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 8B 45 F4 8B 10 FF 92 AC 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 8B 45 F4 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 0F B6 D8 8B C3 66 83 E8 2B 74 23 66 83 E8 02 75 49 8D 4D E8 8B 45 F4 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 46 8D 4D E4 8B 45 F4 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B C8 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 EB 1A 8D 45 E0 8B D3 E8 ?? ?? ?? ?? 8B 55 E0 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 F0 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_34747_0 {
	meta:
		name = "TIdGopherMenuItem.Create"
		size = 153
		refs = "000e @ClassCreate 001c TCollectionItem.Create 0025 _Dn_TIdHeaderList 002a TIdHeaderList.Create 003e _Dn_TStringList 0043 TStringList.Create 006f _Dn_TIdEMailAddressItem 0074 TIdEMailAddressItem.Create 0084 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 20 C6 46 5C 00 C6 46 5D 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 30 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 34 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34748_0 {
	meta:
		name = "TIdGopherMenuItem.Destroy"
		size = 116
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0062 TCollectionItem.Destroy 006d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 34 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 2C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34749_0 {
	meta:
		name = "ParseBlock"
		size = 169
		refs = "0018 ParseBlock 0040 TrimLeft 0096 @UStrArrayClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F0 8B 5D 08 83 C3 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 03 EB 2A 8D 4D F8 8B 13 8B 45 08 8B 40 F8 8B 40 20 8B 38 FF 57 0C 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 38 FF 03 8B 45 08 8B 40 F8 8B 40 20 8B 10 FF 52 14 3B 03 7E 1C 8D 4D F4 8B 13 8B 45 08 8B 40 F8 8B 40 20 8B 38 FF 57 0C 8B 45 F4 66 83 38 20 74 A8 FF 0B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34750_0 {
	meta:
		name = "TIdGopherMenuItem.DoneSettingInfoBlock"
		size = 300
		refs = "001a TIdGopherMenuItem.DoneSettingInfoBlock 004a Fetch 0055 @UStrLAsg 005c BlockTypes 0069 PosInStrArray 0080 ParseBlock 00c3 TIdHeaderList.GetValue 00d0 TIdEMailAddressItem.SetText 00ea @UStrArrayClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 45 F8 8D 5D F8 8D 75 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 06 EB 79 8D 4D F4 8B 03 8B 40 20 8B 16 8B 38 FF 57 0C 6A 01 8D 45 F0 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 6A 00 BA ?? ?? ?? ?? B9 02 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 83 E8 01 72 07 74 13 48 74 1E EB 28 55 8B 03 8B 40 24 E8 ?? ?? ?? ?? 59 EB 1A 55 8B 03 8B 40 2C E8 ?? ?? ?? ?? 59 EB 0C 55 8B 03 8B 40 30 E8 ?? ?? ?? ?? 59 FF 06 8B 03 8B 40 20 8B 10 FF 52 14 3B 06 0F 8F 75 FF FF FF 8D 4D EC 8B 03 8B 40 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 03 8B 40 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 41 00 64 00 6D 00 69 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_34751_0 {
	meta:
		name = "TIdGopherMenuItem.GetGeog"
		size = 48
		refs = "0009 TIdGopherMenuItem.GetGeog 0011 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 20 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 47 00 65 00 6F 00 67 00 00 00 }
	condition:
		$1
}

rule function_34752_0 {
	meta:
		name = "TIdGopherMenuItem.GetLastModified"
		size = 56
		refs = "0009 TIdGopherMenuItem.GetLastModified 0011 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 20 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 4D 00 6F 00 64 00 2D 00 44 00 61 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_34753_0 {
	meta:
		name = "TIdGopherMenuItem.GetLocation"
		size = 48
		refs = "0009 TIdGopherMenuItem.GetLocation 0011 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 20 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 4C 00 6F 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_34754_0 {
	meta:
		name = "TIdGopherMenuItem.GetOrganization"
		size = 48
		refs = "0009 TIdGopherMenuItem.GetOrganization 0011 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 20 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 4F 00 72 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_34755_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_4 001a BlockTypes 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_36114_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_7 001a cTextRtf 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_45123_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_3 001a IWGridAlignments 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_50758_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_2 001a sPitchNames 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_95758_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_7 001a Align 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_34759_0 {
	meta:
		name = "TIdGopherServer.InitComponent"
		size = 120
		refs = "0006 TIdCustomTCPServer.InitComponent 001f TIdGopherServer.InitComponent 0024 @UStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 46 00 8B C3 8B 08 FF 91 98 00 00 00 8D 83 18 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 30 01 00 00 01 C7 83 34 01 00 00 46 00 00 00 5B C3 00 B0 04 02 00 FF FF FF FF 17 00 00 00 3C 00 67 00 6F 00 70 00 68 00 65 00 72 00 40 00 64 00 6F 00 6D 00 61 00 69 00 6E 00 2E 00 65 00 78 00 61 00 6D 00 70 00 6C 00 65 00 3E 00 00 00 }
	condition:
		$1
}

rule function_34760_0 {
	meta:
		name = "TIdGopherServer.DoExecute"
		size = 524
		refs = "001b TIdGopherServer.DoExecute 003b TIdIOHandler.ReadLn 0048 Pos 0070 @UStrCopy 00e2 RSGopherServerNoProgramCode 00e7 LoadResString 0101 @UStrCatN 0175 TIdTCPConnection.Disconnect 018f @UStrArrayClr 01a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 01 8B 45 F4 8B 58 14 8D 4D FC 33 D2 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 0F 8E C4 00 00 00 66 83 BE 2A 01 00 00 00 74 58 8D 45 F8 50 8B CF 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 45 EC 83 7D EC 00 74 0B 8B 45 EC 83 E8 04 8B 00 89 45 EC 8D 45 E8 50 8D 57 01 8B 4D EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 50 8B 4D F8 8B 55 F4 8B 86 2C 01 00 00 FF 96 28 01 00 00 E9 BA 00 00 00 66 83 BE 22 01 00 00 00 74 17 8B 4D FC 8B 55 F4 8B 86 24 01 00 00 FF 96 20 01 00 00 E9 99 00 00 00 68 ?? ?? ?? ?? 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 33 C9 8B 83 98 00 00 00 8B 30 FF 96 A0 00 00 00 EB 58 66 83 BE 22 01 00 00 00 74 14 8B 4D FC 8B 55 F4 8B 86 24 01 00 00 FF 96 20 01 00 00 EB 3A 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 33 C9 8B 83 98 00 00 00 8B 30 FF 96 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2D 00 2D 00 31 00 0D 00 0A 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 0D 00 0A 00 2E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_34761_0 {
	meta:
		name = "TIdGopherServer.ReturnGopherItem"
		size = 256
		refs = "0016 @UStrAddRef 002e TIdGopherServer.ReturnGopherItem 0071 @UStrCopy 007b @UStrFromWChar 00a2 IntToStr 00b2 @UStrCatN 00cc @UStrArrayClr 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 30 01 00 00 00 74 34 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 3B 83 34 01 00 00 7E 20 83 BB 34 01 00 00 00 74 17 8D 45 FC 50 8B 8B 34 01 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? FF 75 14 68 ?? ?? ?? ?? FF 75 10 68 ?? ?? ?? ?? 8D 55 F4 0F B7 45 0C E8 ?? ?? ?? ?? FF 75 F4 8B 45 08 BA 08 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 10 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_34762_0 {
	meta:
		name = "TIdGopherServer.SendDirectoryEntry"
		size = 164
		refs = "001a @UStrAddRef 0032 TIdGopherServer.SendDirectoryEntry 0057 TIdGopherServer.ReturnGopherItem 0082 @UStrClr 008f @UStrArrayClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 66 89 4D FE 8B FA 8B F0 8B 45 14 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B 45 0C 50 0F B7 45 08 50 8D 45 F8 50 8B 4D 14 0F B7 55 FE 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 47 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 0C BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_34773_0 {
	meta:
		name = "TIdHash.HashString"
		size = 195
		refs = "0018 TIdHash.HashString 0025 _Dn_TMemoryStream 002a TObject.Create 0047 WriteStringToStream 0053 TStream.SetPosition 0060 TIdHash.HashStream 006c TArray<System.Byte> 0071 @DynArrayAsg 008b TObject.Free 0091 @HandleFinally 00ae @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_40887_0 {
	meta:
		name = "TInHash.HashString"
		size = 195
		refs = "0018 TInHash.HashString 0025 _Dn_TMemoryStream 002a TObject.Create 0047 WriteStringToStream 0053 TStream.SetPosition 0060 TInHash.HashStream 006c TArray<System.Byte> 0071 @DynArrayAsg 008b TObject.Free 0091 @HandleFinally 00ae @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34774_0 {
	meta:
		name = "TIdHash.HashStringAsHex"
		size = 106
		refs = "0018 TIdHash.HashStringAsHex 002e TIdHash.HashString 0051 TArray<System.Byte> 0056 @DynArrayClear 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D 08 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_40888_0 {
	meta:
		name = "TInHash.HashStringAsHex"
		size = 106
		refs = "0018 TInHash.HashStringAsHex 002e TInHash.HashString 0051 TArray<System.Byte> 0056 @DynArrayClear 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D 08 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34775_0 {
	meta:
		name = "TIdHash.HashBytes"
		size = 195
		refs = "0018 TIdHash.HashBytes 0025 _Dn_TMemoryStream 002a TObject.Create 004a WriteTIdBytesToStream 0056 TStream.SetPosition 0063 TIdHash.HashStream 006e TArray<System.Byte> 0073 @DynArrayAsg 008d TObject.Free 0093 @HandleFinally 00b0 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 83 C9 FF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40889_0 {
	meta:
		name = "TInHash.HashBytes"
		size = 195
		refs = "0018 TInHash.HashBytes 0025 _Dn_TMemoryStream 002a TObject.Create 004a WriteTIdBytesToStream 0056 TStream.SetPosition 0063 TInHash.HashStream 006e TArray<System.Byte> 0073 @DynArrayAsg 008d TObject.Free 0093 @HandleFinally 00b0 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 83 C9 FF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34776_0 {
	meta:
		name = "TIdHash.HashBytesAsHex"
		size = 100
		refs = "0018 TIdHash.HashBytesAsHex 002a TIdHash.HashBytes 004d TArray<System.Byte> 0052 @DynArrayClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34778_0 {
	meta:
		name = "TIdHash.HashStreamAsHex"
		size = 100
		refs = "0018 TIdHash.HashStreamAsHex 002a TIdHash.HashStream 004d TArray<System.Byte> 0052 @DynArrayClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40890_0 {
	meta:
		name = "TInHash.HashBytesAsHex"
		size = 100
		refs = "0018 TInHash.HashBytesAsHex 002a TInHash.HashBytes 004d TArray<System.Byte> 0052 @DynArrayClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40892_0 {
	meta:
		name = "TInHash.HashStreamAsHex"
		size = 100
		refs = "0018 TInHash.HashStreamAsHex 002a TInHash.HashStream 004d TArray<System.Byte> 0052 @DynArrayClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34777_0 {
	meta:
		name = "TIdHash.HashStream"
		size = 105
		refs = "0012 TIdHash.HashStream 0037 TArray<System.Byte> 003c @DynArrayAsg 0057 @DynArrayClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A FF 6A FF 6A FF 6A FF 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40891_0 {
	meta:
		name = "TInHash.HashStream"
		size = 105
		refs = "0012 TInHash.HashStream 0037 TArray<System.Byte> 003c @DynArrayAsg 0057 @DynArrayClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A FF 6A FF 6A FF 6A FF 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34779_0 {
	meta:
		name = "TIdHash.HashStream"
		size = 223
		refs = "0018 TIdHash.HashStream 003b TStream.SetPosition 004a TStream.GetPosition 0088 IndyMin 00ab TArray<System.Byte> 00b0 @DynArrayAsg 00cb @DynArrayClear 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 14 00 75 08 83 7D 10 00 72 11 EB 02 7C 0D FF 75 14 FF 75 10 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 12 52 50 8B C3 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 89 45 E8 89 55 EC 83 7D 0C 00 75 08 83 7D 08 00 73 12 EB 02 7D 0E 8B 45 E8 89 45 F0 8B 45 EC 89 45 F4 EB 17 FF 75 EC FF 75 E8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 FF 75 F4 FF 75 F0 8D 4D E4 8B D3 8B C6 8B 18 FF 13 8B 55 E4 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_40893_0 {
	meta:
		name = "TInHash.HashStream"
		size = 223
		refs = "0018 TInHash.HashStream 003b TStream.SetPosition 004a TStream.GetPosition 0088 IndyMin 00ab TArray<System.Byte> 00b0 @DynArrayAsg 00cb @DynArrayClear 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 14 00 75 08 83 7D 10 00 72 11 EB 02 7C 0D FF 75 14 FF 75 10 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 12 52 50 8B C3 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 89 45 E8 89 55 EC 83 7D 0C 00 75 08 83 7D 08 00 73 12 EB 02 7D 0E 8B 45 E8 89 45 F0 8B 45 EC 89 45 F4 EB 17 FF 75 EC FF 75 E8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 FF 75 F4 FF 75 F0 8D 4D E4 8B D3 8B C6 8B 18 FF 13 8B 55 E4 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_34780_0 {
	meta:
		name = "TIdHash.HashStreamAsHex"
		size = 114
		refs = "0018 TIdHash.HashStreamAsHex 0036 TIdHash.HashStream 0059 TArray<System.Byte> 005e @DynArrayClear 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 14 FF 75 10 FF 75 0C FF 75 08 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_40894_0 {
	meta:
		name = "TInHash.HashStreamAsHex"
		size = 114
		refs = "0018 TInHash.HashStreamAsHex 0036 TInHash.HashStream 0059 TArray<System.Byte> 005e @DynArrayClear 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 14 FF 75 10 FF 75 0C FF 75 08 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_34781_0 {
	meta:
		name = "TIdHash.WordHashToHex"
		size = 141
		refs = "001a TIdHash.WordHashToHex 0027 @UStrClr 0041 BytesToWord 0053 IntToHex 005d @UStrCat 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 89 55 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 4B 85 DB 7C 37 43 C7 45 F8 00 00 00 00 8B 55 F8 03 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8D 4D F4 0F B7 C7 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? FF 45 F8 4B 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_40895_0 {
	meta:
		name = "TInHash.WordHashToHex"
		size = 141
		refs = "001a TInHash.WordHashToHex 0027 @UStrClr 0041 BytesToWord 0053 IntToHex 005d @UStrCat 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 89 55 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 4B 85 DB 7C 37 43 C7 45 F8 00 00 00 00 8B 55 F8 03 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8D 4D F4 0F B7 C7 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? FF 45 F8 4B 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34782_0 {
	meta:
		name = "TIdHash.LongWordHashToHex"
		size = 34
		refs = "0018 ToHex"
		altNames = "TInHash.LongWordHashToHex"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 45 08 50 8B D6 03 D2 03 D2 33 C9 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_34784_0 {
	meta:
		name = "TIdHash16.GetHashBytes"
		size = 285
		refs = "001b TIdHash16.GetHashBytes 002a TArray<System.Byte> 002f @DynArrayClear 0052 @DynArraySetLength 0069 IndyMin 0078 ReadTIdBytesFromStream 00ed CopyTIdWord 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EA 8B 45 F8 8B 08 FF 51 10 68 00 04 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 55 6A 00 68 00 04 00 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 52 50 8D 55 FC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 01 7C 3B 8B 5D EC 4B 85 DB 7C 19 43 33 F6 8B 45 FC 0F B6 0C 30 8D 55 EA 8B 45 F8 8B 38 FF 57 18 46 4B 75 EA 8B 45 EC 99 29 45 08 19 55 0C 83 7D 0C 00 75 08 83 7D 08 00 77 9F EB 02 7F 9B 8D 55 EA 8B 45 F8 8B 08 FF 51 14 6A 02 8B 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 F0 33 C9 0F B7 45 EA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_40898_0 {
	meta:
		name = "TInHash16.GetHashBytes"
		size = 285
		refs = "001b TInHash16.GetHashBytes 002a TArray<System.Byte> 002f @DynArrayClear 0052 @DynArraySetLength 0069 IndyMin 0078 ReadTIdBytesFromStream 00ed CopyTIdWord 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EA 8B 45 F8 8B 08 FF 51 10 68 00 04 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 55 6A 00 68 00 04 00 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 52 50 8D 55 FC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 01 7C 3B 8B 5D EC 4B 85 DB 7C 19 43 33 F6 8B 45 FC 0F B6 0C 30 8D 55 EA 8B 45 F8 8B 38 FF 57 18 46 4B 75 EA 8B 45 EC 99 29 45 08 19 55 0C 83 7D 0C 00 75 08 83 7D 08 00 77 9F EB 02 7F 9B 8D 55 EA 8B 45 F8 8B 08 FF 51 14 6A 02 8B 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 F0 33 C9 0F B7 45 EA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_34785_0 {
	meta:
		name = "TIdHash16.HashToHex"
		size = 33
		refs = "000b BytesToWord 001a IntToHex"
		altNames = "TInHash16.HashToHex"
	strings:
		$1 = { 53 56 8B F1 8B DA 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B7 C0 8B CE BA 04 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34787_0 {
	meta:
		name = "TIdHash16.HashValue"
		size = 98
		refs = "0012 TIdHash16.HashValue 0027 TIdHash.HashString 0031 BytesToWord 0049 TArray<System.Byte> 004e @DynArrayClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34794_0 {
	meta:
		name = "TIdHash32.HashValue"
		size = 98
		refs = "0012 TIdHash32.HashValue 0027 TIdHash.HashString 0031 BytesToLongWord 0049 TArray<System.Byte> 004e @DynArrayClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40901_0 {
	meta:
		name = "TInHash16.HashValue"
		size = 98
		refs = "0012 TInHash16.HashValue 0027 TInHash.HashString 0031 BytesToWord 0049 TArray<System.Byte> 004e @DynArrayClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40908_0 {
	meta:
		name = "TInHash32.HashValue"
		size = 98
		refs = "0012 TInHash32.HashValue 0027 TInHash.HashString 0031 BytesToLongWord 0049 TArray<System.Byte> 004e @DynArrayClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34788_0 {
	meta:
		name = "TIdHash16.HashValue"
		size = 91
		refs = "000f TIdHash16.HashValue 0021 TIdHash.HashBytes 002b BytesToWord 0043 TArray<System.Byte> 0048 @DynArrayClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34789_0 {
	meta:
		name = "TIdHash16.HashValue"
		size = 91
		refs = "000f TIdHash16.HashValue 0021 TIdHash.HashStream 002b BytesToWord 0043 TArray<System.Byte> 0048 @DynArrayClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34795_0 {
	meta:
		name = "TIdHash32.HashValue"
		size = 91
		refs = "000f TIdHash32.HashValue 0021 TIdHash.HashBytes 002b BytesToLongWord 0043 TArray<System.Byte> 0048 @DynArrayClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34796_0 {
	meta:
		name = "TIdHash32.HashValue"
		size = 91
		refs = "000f TIdHash32.HashValue 0021 TIdHash.HashStream 002b BytesToLongWord 0043 TArray<System.Byte> 0048 @DynArrayClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40902_0 {
	meta:
		name = "TInHash16.HashValue"
		size = 91
		refs = "000f TInHash16.HashValue 0021 TInHash.HashBytes 002b BytesToWord 0043 TArray<System.Byte> 0048 @DynArrayClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40903_0 {
	meta:
		name = "TInHash16.HashValue"
		size = 91
		refs = "000f TInHash16.HashValue 0021 TInHash.HashStream 002b BytesToWord 0043 TArray<System.Byte> 0048 @DynArrayClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40909_0 {
	meta:
		name = "TInHash32.HashValue"
		size = 91
		refs = "000f TInHash32.HashValue 0021 TInHash.HashBytes 002b BytesToLongWord 0043 TArray<System.Byte> 0048 @DynArrayClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40910_0 {
	meta:
		name = "TInHash32.HashValue"
		size = 91
		refs = "000f TInHash32.HashValue 0021 TInHash.HashStream 002b BytesToLongWord 0043 TArray<System.Byte> 0048 @DynArrayClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34790_0 {
	meta:
		name = "TIdHash16.HashValue"
		size = 105
		refs = "000f TIdHash16.HashValue 002d TIdHash.HashStream 0037 BytesToWord 004f TArray<System.Byte> 0054 @DynArrayClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 14 FF 75 10 FF 75 0C FF 75 08 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_34797_0 {
	meta:
		name = "TIdHash32.HashValue"
		size = 105
		refs = "000f TIdHash32.HashValue 002d TIdHash.HashStream 0037 BytesToLongWord 004f TArray<System.Byte> 0054 @DynArrayClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 14 FF 75 10 FF 75 0C FF 75 08 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_40904_0 {
	meta:
		name = "TInHash16.HashValue"
		size = 105
		refs = "000f TInHash16.HashValue 002d TInHash.HashStream 0037 BytesToWord 004f TArray<System.Byte> 0054 @DynArrayClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 14 FF 75 10 FF 75 0C FF 75 08 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_40911_0 {
	meta:
		name = "TInHash32.HashValue"
		size = 105
		refs = "000f TInHash32.HashValue 002d TInHash.HashStream 0037 BytesToLongWord 004f TArray<System.Byte> 0054 @DynArrayClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 14 FF 75 10 FF 75 0C FF 75 08 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_34791_0 {
	meta:
		name = "TIdHash32.GetHashBytes"
		size = 284
		refs = "001b TIdHash32.GetHashBytes 002a TArray<System.Byte> 002f @DynArrayClear 0052 @DynArraySetLength 0069 IndyMin 0078 ReadTIdBytesFromStream 00ec CopyTIdLongWord 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F8 8B 08 FF 51 10 68 00 04 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 55 6A 00 68 00 04 00 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 52 50 8D 55 FC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 01 7C 3B 8B 5D EC 4B 85 DB 7C 19 43 33 F6 8B 45 FC 0F B6 0C 30 8D 55 E8 8B 45 F8 8B 38 FF 57 18 46 4B 75 EA 8B 45 EC 99 29 45 08 19 55 0C 83 7D 0C 00 75 08 83 7D 08 00 77 9F EB 02 7F 9B 8D 55 E8 8B 45 F8 8B 08 FF 51 14 6A 04 8B 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 F0 33 C9 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_40905_0 {
	meta:
		name = "TInHash32.GetHashBytes"
		size = 284
		refs = "001b TInHash32.GetHashBytes 002a TArray<System.Byte> 002f @DynArrayClear 0052 @DynArraySetLength 0069 IndyMin 0078 ReadTIdBytesFromStream 00ec CopyTIdLongWord 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F8 8B 08 FF 51 10 68 00 04 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 55 6A 00 68 00 04 00 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 52 50 8D 55 FC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 01 7C 3B 8B 5D EC 4B 85 DB 7C 19 43 33 F6 8B 45 FC 0F B6 0C 30 8D 55 E8 8B 45 F8 8B 38 FF 57 18 46 4B 75 EA 8B 45 EC 99 29 45 08 19 55 0C 83 7D 0C 00 75 08 83 7D 08 00 77 9F EB 02 7F 9B 8D 55 E8 8B 45 F8 8B 08 FF 51 14 6A 04 8B 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 F0 33 C9 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_34792_0 {
	meta:
		name = "TIdHash32.HashToHex"
		size = 25
		refs = "000b BytesToLongWord 0012 LongWordToHex"
		altNames = "TInHash32.HashToHex"
	strings:
		$1 = { 53 56 8B F1 8B DA 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34798_0 {
	meta:
		name = "TIdHashIntF.FinalHash"
		size = 98
		refs = "0010 TIdHashIntF.FinalHash 001c FinalHashInst 0030 TArray<System.Byte> 0035 @DynArrayAsg 0050 @DynArrayClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 3D ?? ?? ?? ?? 8B 3F 8D 55 FC 8B C3 FF D7 8B 55 FC 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39787_0 {
	meta:
		name = "TIdProc.FinalHMACInst"
		size = 98
		refs = "0010 TIdProc.FinalHMACInst 001c FinalHMACInst 0030 TArray<System.Byte> 0035 @DynArrayAsg 0050 @DynArrayClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 3D ?? ?? ?? ?? 8B 3F 8D 55 FC 8B C3 FF D7 8B 55 FC 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40912_0 {
	meta:
		name = "TInHashIntF.FinalHash"
		size = 98
		refs = "0010 TInHashIntF.FinalHash 001c FinalHashInst 0030 TArray<System.Byte> 0035 @DynArrayAsg 0050 @DynArrayClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 3D ?? ?? ?? ?? 8B 3F 8D 55 FC 8B C3 FF D7 8B 55 FC 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34799_0 {
	meta:
		name = "TIdHashIntF.GetHashBytes"
		size = 311
		refs = "001b TIdHashIntF.GetHashBytes 004d TArray<System.Byte> 0052 @DynArraySetLength 0068 ReadTIdBytesFromStream 00b5 TIdHashIntF.UpdateHash 00e2 TIdHashIntF.FinalHash 00f3 @DynArrayAsg 00f9 @HandleFinally 0116 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 DB 89 5D E0 89 5D FC 89 4D F4 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 10 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 08 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 68 00 08 00 00 8D 55 FC 33 C9 8B C3 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 83 7D EC 00 75 06 83 7D E8 00 74 4D 83 7D EC 00 75 0B 81 7D E8 00 08 00 00 73 2E EB 02 7D 2A 8B 45 E8 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? EB 10 8B 4D FC 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? EB 8E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 4D E0 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_40913_0 {
	meta:
		name = "TInHashIntF.GetHashBytes"
		size = 311
		refs = "001b TInHashIntF.GetHashBytes 004d TArray<System.Byte> 0052 @DynArraySetLength 0068 ReadTIdBytesFromStream 00b5 TInHashIntF.UpdateHash 00e2 TInHashIntF.FinalHash 00f3 @DynArrayAsg 00f9 @HandleFinally 0116 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 DB 89 5D E0 89 5D FC 89 4D F4 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 10 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 08 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 68 00 08 00 00 8D 55 FC 33 C9 8B C3 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 83 7D EC 00 75 06 83 7D E8 00 74 4D 83 7D EC 00 75 0B 81 7D E8 00 08 00 00 73 2E EB 02 7D 2A 8B 45 E8 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? EB 10 8B 4D FC 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? EB 8E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 4D E0 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_34800_0 {
	meta:
		name = "TIdHashIntF.HashToHex"
		size = 22
		refs = "000f ToHex"
		altNames = "TInHashIntF.HashToHex"
	strings:
		$1 = { 53 56 8B F1 8B DA 56 33 C9 83 CA FF 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34801_0 {
	meta:
		name = "TIdHashIntF.IsAvailable"
		size = 4
		altNames = "TInHashIntF.IsAvailable"
	strings:
		$1 = { FF 50 14 C3 }
	condition:
		$1
}

rule function_34803_0 {
	meta:
		name = "TIdHashIntF.UpdateHash"
		size = 17
		refs = "0003 UpdateHashInst"
		altNames = "TInHashIntF.UpdateHash"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B 8B C2 8B D1 FF D3 5B C3 }
	condition:
		$1
}

rule function_39797_0 {
	meta:
		name = "TIdProc.UpdateHMACInst"
		size = 17
		refs = "0003 UpdateHMACInst"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B 8B C2 8B D1 FF D3 5B C3 }
	condition:
		$1
}

rule function_34804_0 {
	meta:
		name = "TIdHashNativeAndIntF.GetHashBytes"
		size = 161
		refs = "0016 TIdHashNativeAndIntF.GetHashBytes 0037 TIdHashIntF.GetHashBytes 0043 TArray<System.Byte> 0048 @DynArrayAsg 008d @FinalizeArray 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 FF 50 14 84 C0 74 25 FF 75 0C FF 75 08 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 23 FF 75 0C FF 75 08 8D 4D F4 8B D6 8B C3 8B 18 FF 53 18 8B 55 F4 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_40918_0 {
	meta:
		name = "TInHashNativeAndIntF.GetHashBytes"
		size = 161
		refs = "0016 TInHashNativeAndIntF.GetHashBytes 0037 TInHashIntF.GetHashBytes 0043 TArray<System.Byte> 0048 @DynArrayAsg 008d @FinalizeArray 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 FF 50 14 84 C0 74 25 FF 75 0C FF 75 08 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 23 FF 75 0C FF 75 08 8D 4D F4 8B D6 8B C3 8B 18 FF 53 18 8B 55 F4 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_34808_0 {
	meta:
		name = "TIdHashCRC16.HashStart"
		size = 6
	strings:
		$1 = { 66 C7 02 00 00 C3 }
	condition:
		$1
}

rule function_34809_0 {
	meta:
		name = "TIdHashCRC16.HashByte"
		size = 38
		refs = "0015 CRC16Table"
	strings:
		$1 = { 0F B6 C1 0F B7 0A 66 81 E1 FF 00 66 33 C1 0F B7 C0 0F B7 04 45 ?? ?? ?? ?? 0F B7 0A C1 E9 08 66 33 C1 66 89 02 C3 }
	condition:
		$1
}

rule function_34810_0 {
	meta:
		name = "TIdHashCRC32.HashStart"
		size = 7
	strings:
		$1 = { C7 02 FF FF FF FF C3 }
	condition:
		$1
}

rule function_34811_0 {
	meta:
		name = "TIdHashCRC32.HashEnd"
		size = 4
	strings:
		$1 = { 83 32 FF C3 }
	condition:
		$1
}

rule function_34812_0 {
	meta:
		name = "TIdHashCRC32.HashByte"
		size = 35
		refs = "000f CRC32Table"
	strings:
		$1 = { 8B 02 0F B6 C9 33 C1 25 FF 00 00 00 8B 04 85 ?? ?? ?? ?? 8B 0A C1 E9 08 81 E1 FF FF FF 00 33 C1 89 02 C3 }
	condition:
		$1
}

rule function_34815_0 {
	meta:
		name = "TIdHashElf.HashStart"
		size = 5
		altNames = "TThreadLocalCounter.Close"
	strings:
		$1 = { 33 C0 89 02 C3 }
	condition:
		$1
}

rule function_34816_0 {
	meta:
		name = "TIdHashElf.HashByte"
		size = 35
	strings:
		$1 = { 8B 02 C1 E0 04 0F B6 C9 03 C1 89 02 8B 02 25 00 00 00 F0 85 C0 74 07 8B C8 C1 E9 18 31 0A F7 D0 21 02 C3 }
	condition:
		$1
}

rule function_34820_0 {
	meta:
		name = "TIdHashMessageDigest.Reset"
		size = 25
		refs = "0007 @DynArrayLength 0013 FillBytes"
		altNames = "TInHashMessageDigest.Reset"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8B D0 8D 43 04 33 C9 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_34821_0 {
	meta:
		name = "TIdHashMessageDigest2.Create"
		size = 77
		refs = "000a @ClassCreate 0017 TIdHash.Create 0027 TArray<System.Byte> 002c @DynArraySetLength 003a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 10 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_40924_0 {
	meta:
		name = "TInHashMessageDigest2.Create"
		size = 77
		refs = "000a @ClassCreate 0017 TInHash.Create 0027 TArray<System.Byte> 002c @DynArraySetLength 003a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 10 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_34822_0 {
	meta:
		name = "TIdHashMessageDigest2.MDCoder"
		size = 125
		refs = "0004 MD2_PI_SUBST"
		altNames = "TInHashMessageDigest2.MDCoder"
	strings:
		$1 = { 53 56 57 BF ?? ?? ?? ?? 33 C9 8B 50 04 0F B6 14 0A 88 54 08 18 32 54 08 08 88 54 08 28 41 83 F9 10 75 E7 33 F6 33 C9 33 D2 0F B7 DE 0F B6 1C 1F 32 5C 10 08 0F B6 DB 8B F3 8B DE 80 E3 FF 88 5C 10 08 42 83 FA 30 75 E1 66 03 F1 66 81 E6 FF 00 41 83 F9 12 75 D1 0F B6 50 47 33 C9 8B 58 04 32 14 0B 0F B6 5C 08 38 0F B6 D2 32 1C 17 8B D3 88 54 08 38 41 83 F9 10 75 E3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34823_0 {
	meta:
		name = "TIdHashMessageDigest2.Reset"
		size = 40
		refs = "0006 TIdHashMessageDigest.Reset"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 C6 44 03 38 00 C6 44 03 08 00 C6 44 03 18 00 C6 44 03 28 00 40 83 F8 10 75 E6 5B C3 }
	condition:
		$1
}

rule function_40926_0 {
	meta:
		name = "TInHashMessageDigest2.Reset"
		size = 40
		refs = "0006 TInHashMessageDigest.Reset"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 C6 44 03 38 00 C6 44 03 08 00 C6 44 03 18 00 C6 44 03 28 00 40 83 F8 10 75 E6 5B C3 }
	condition:
		$1
}

rule function_34824_0 {
	meta:
		name = "TIdHashMessageDigest2.NativeGetHashBytes"
		size = 258
		refs = "0013 TArray<System.Byte> 0018 @DynArrayClear 0031 ReadTIdBytesFromStream 00b2 @DynArraySetLength 00f0 CopyTIdLongWord"
		altNames = "TInHashMessageDigest2.NativeGetHashBytes"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 20 EB 22 6A 00 6A 10 8D 56 04 33 C9 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C6 8B 10 FF 52 1C 8B C3 99 29 45 08 19 55 0C 83 7D 0C 00 75 08 83 7D 08 10 73 D2 EB 02 7D CE 6A 00 6A 10 8D 56 04 33 C9 8B C7 E8 ?? ?? ?? ?? 8B D0 B0 10 2A C2 8B DA 83 FB 0F 7F 0C 8B 56 04 88 04 1A 43 83 FB 10 75 F4 8B C6 8B 10 FF 52 1C 33 DB 8B 46 04 0F B6 54 1E 38 88 14 18 43 83 FB 10 75 EF 8B C6 8B 10 FF 52 1C 6A 10 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C3 03 C0 03 C0 0F B6 54 06 08 0F B6 4C 06 09 C1 E1 08 03 D1 0F B6 4C 06 0A C1 E1 10 03 D1 0F B6 44 06 0B C1 E0 18 03 D0 8B C2 8B CB 03 C9 03 C9 8B 55 FC E8 ?? ?? ?? ?? 43 83 FB 04 75 C1 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_34827_0 {
	meta:
		name = "TIdHashMessageDigest2.IsIntfAvailable"
		size = 37
		refs = "0003 IsHashingIntfAvail 0011 IsMD2HashIntfAvail"
		altNames = "TInHashMessageDigest2.IsIntfAvailable"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 74 0E 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_34833_0 {
	meta:
		name = "TIdHashMessageDigest4.IsIntfAvailable"
		size = 37
		refs = "0003 IsHashingIntfAvail 0011 IsMD4HashIntfAvail"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 74 0E 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_34835_0 {
	meta:
		name = "TIdHashMessageDigest5.IsIntfAvailable"
		size = 37
		refs = "0003 IsHashingIntfAvail 0011 IsMD5HashIntfAvail"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 74 0E 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_34842_0 {
	meta:
		name = "TIdHashSHA1.IsIntfAvailable"
		size = 37
		refs = "0003 IsHashingIntfAvail 0011 IsSHA1HashIntfAvail"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 74 0E 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_34847_0 {
	meta:
		name = "TIdHashSHA224.IsAvailable"
		size = 37
		refs = "0003 IsHashingIntfAvail 0011 IsSHA224HashIntfAvail"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 74 0E 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_34849_0 {
	meta:
		name = "TIdHashSHA256.IsAvailable"
		size = 37
		refs = "0003 IsHashingIntfAvail 0011 IsSHA256HashIntfAvail"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 74 0E 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_34851_0 {
	meta:
		name = "TIdHashSHA384.IsAvailable"
		size = 37
		refs = "0003 IsHashingIntfAvail 0011 IsSHA384HashIntfAvail"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 74 0E 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_34853_0 {
	meta:
		name = "TIdHashSHA512.IsAvailable"
		size = 37
		refs = "0003 IsHashingIntfAvail 0011 IsSHA512HashIntfAvail"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 74 0E 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_40936_0 {
	meta:
		name = "TInHashMessageDigest4.IsIntfAvailable"
		size = 37
		refs = "0003 IsHashingIntfAvail 0011 IsMD4HashIntfAvail"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 74 0E 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_40938_0 {
	meta:
		name = "TInHashMessageDigest5.IsIntfAvailable"
		size = 37
		refs = "0003 IsHashingIntfAvail 0011 IsMD5HashIntfAvail"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 74 0E 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_34828_0 {
	meta:
		name = "TIdHashMessageDigest4.Create"
		size = 77
		refs = "000a @ClassCreate 0017 TIdHash.Create 0027 TArray<System.Byte> 002c @DynArraySetLength 003a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 40 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_40931_0 {
	meta:
		name = "TInHashMessageDigest4.Create"
		size = 77
		refs = "000a @ClassCreate 0017 TInHash.Create 0027 TArray<System.Byte> 002c @DynArraySetLength 003a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 40 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_34829_0 {
	meta:
		name = "TIdHashMessageDigest4.MDCoder"
		size = 912
		refs = "00c3 ROL"
		altNames = "TInHashMessageDigest4.MDCoder"
	strings:
		$1 = { 53 56 57 55 83 C4 B0 89 04 24 8B 04 24 8B 58 08 8B 04 24 8B 70 0C 8B 04 24 8B 78 10 8B 04 24 8B 68 14 33 C0 89 44 24 04 8D 44 24 10 89 44 24 08 8B 44 24 04 03 C0 03 C0 8B 14 24 8B 52 04 0F B6 04 02 8B 54 24 04 03 D2 03 D2 8B 0C 24 8B 49 04 0F B6 54 11 01 C1 E2 08 03 C2 8B 54 24 04 03 D2 03 D2 8B 0C 24 8B 49 04 0F B6 54 11 02 C1 E2 10 03 C2 8B 54 24 04 03 D2 03 D2 8B 0C 24 8B 49 04 0F B6 54 11 03 C1 E2 18 03 C2 8B 54 24 08 89 02 FF 44 24 04 83 44 24 08 04 83 7C 24 04 10 75 90 C7 44 24 04 04 00 00 00 8D 44 24 10 89 44 24 0C 8B C5 33 C7 23 C6 33 C5 03 C3 8B 54 24 0C 03 02 B2 03 E8 ?? ?? ?? ?? 8B D8 8B C7 33 C6 23 C3 33 C7 03 C5 8B 54 24 0C 03 42 04 B2 07 E8 ?? ?? ?? ?? 8B E8 8B C6 33 C3 23 C5 33 C6 03 C7 8B 54 24 0C 03 42 08 B2 0B E8 ?? ?? ?? ?? 8B F8 8B C3 33 C5 23 C7 33 C3 03 C6 8B 54 24 0C 03 42 0C B2 13 E8 ?? ?? ?? ?? 8B F0 83 44 24 0C 10 FF 4C 24 04 75 8E 33 C0 89 44 24 04 8B C6 23 C7 8B D6 0B D7 23 D5 0B C2 03 C3 8B 54 24 04 03 44 94 10 05 99 79 82 5A B2 03 E8 ?? ?? ?? ?? 8B D8 8B C3 23 C6 8B D3 0B D6 23 D7 0B C2 03 C5 8B 54 24 04 83 C2 04 03 44 94 10 05 99 79 82 5A B2 05 E8 ?? ?? ?? ?? 8B E8 8B C5 23 C3 8B D5 0B D3 23 D6 0B C2 03 C7 8B 54 24 04 83 C2 08 03 44 94 10 05 99 79 82 5A B2 09 E8 ?? ?? ?? ?? 8B F8 8B C7 23 C5 8B D7 0B D5 23 D3 0B C2 03 C6 8B 54 24 04 83 C2 0C 03 44 94 10 05 99 79 82 5A B2 0D E8 ?? ?? ?? ?? 8B F0 FF 44 24 04 83 7C 24 04 04 0F 85 58 FF FF FF 8B C6 33 C7 33 C5 03 C3 03 44 24 10 05 A1 EB D9 6E B2 03 E8 ?? ?? ?? ?? 8B D8 8B C3 33 C6 33 C7 03 C5 03 44 24 30 05 A1 EB D9 6E B2 09 E8 ?? ?? ?? ?? 8B E8 8B C5 33 C3 33 C6 03 C7 03 44 24 20 05 A1 EB D9 6E B2 0B E8 ?? ?? ?? ?? 8B F8 8B C7 33 C5 33 C3 03 C6 03 44 24 40 05 A1 EB D9 6E B2 0F E8 ?? ?? ?? ?? 8B F0 8B C6 33 C7 33 C5 03 C3 03 44 24 18 05 A1 EB D9 6E B2 03 E8 ?? ?? ?? ?? 8B D8 8B C3 33 C6 33 C7 03 C5 03 44 24 38 05 A1 EB D9 6E B2 09 E8 ?? ?? ?? ?? 8B E8 8B C5 33 C3 33 C6 03 C7 03 44 24 28 05 A1 EB D9 6E B2 0B E8 ?? ?? ?? ?? 8B F8 8B C7 33 C5 33 C3 03 C6 03 44 24 48 05 A1 EB D9 6E B2 0F E8 ?? ?? ?? ?? 8B F0 8B C6 33 C7 33 C5 03 C3 03 44 24 14 05 A1 EB D9 6E B2 03 E8 ?? ?? ?? ?? 8B D8 8B C3 33 C6 33 C7 03 C5 03 44 24 34 05 A1 EB D9 6E B2 09 E8 ?? ?? ?? ?? 8B E8 8B C5 33 C3 33 C6 03 C7 03 44 24 24 05 A1 EB D9 6E B2 0B E8 ?? ?? ?? ?? 8B F8 8B C7 33 C5 33 C3 03 C6 03 44 24 44 05 A1 EB D9 6E B2 0F E8 ?? ?? ?? ?? 8B F0 8B C6 33 C7 33 C5 03 C3 03 44 24 1C 05 A1 EB D9 6E B2 03 E8 ?? ?? ?? ?? 8B D8 8B C3 33 C6 33 C7 03 C5 03 44 24 3C 05 A1 EB D9 6E B2 09 E8 ?? ?? ?? ?? 8B E8 8B C5 33 C3 33 C6 03 C7 03 44 24 2C 05 A1 EB D9 6E B2 0B E8 ?? ?? ?? ?? 8B F8 8B C7 33 C5 33 C3 03 C6 03 44 24 4C 05 A1 EB D9 6E B2 0F E8 ?? ?? ?? ?? 8B F0 8B 04 24 01 58 08 8B 04 24 01 70 0C 8B 04 24 01 78 10 8B 04 24 01 68 14 83 C4 50 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34830_0 {
	meta:
		name = "TIdHashMessageDigest4.NativeGetHashBytes"
		size = 352
		refs = "0015 TArray<System.Byte> 001a @DynArrayClear 002d MD4_INIT_VALUES 004f ReadTIdBytesFromStream 0093 @IntOver 00d8 @_llmulo 0133 @DynArraySetLength 014e CopyTIdLongWord"
		altNames = "TInHashMessageDigest4.NativeGetHashBytes"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 4D F8 89 55 FC 8B F0 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 33 DB B8 ?? ?? ?? ?? 8B 10 89 54 9E 08 43 83 C0 04 83 FB 04 75 F1 EB 23 6A 00 6A 40 8D 56 04 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C6 8B 10 FF 52 1C 8B C3 99 29 45 F0 19 55 F4 83 7D F4 00 75 08 83 7D F0 40 73 D1 EB 02 7D CD 6A 00 6A 40 8D 56 04 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 56 04 C6 04 02 80 83 C0 01 71 05 E8 ?? ?? ?? ?? 83 F8 38 7E 1D 8B D8 83 FB 3F 7F 0D 8B 46 04 C6 04 18 00 43 83 FB 40 75 F3 8B C6 8B 10 FF 52 1C 33 C0 8B D8 83 FB 37 7F 0D 8B 46 04 C6 04 18 00 43 83 FB 38 75 F3 6A 00 6A 08 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 71 05 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC BB 38 00 00 00 8B 45 E8 8B 55 EC 81 E0 FF 00 00 00 33 D2 8B 56 04 88 04 1A 8B 45 E8 8B 55 EC 0F AC D0 08 C1 EA 08 89 45 E8 89 55 EC 43 83 FB 40 75 D3 8B C6 8B 10 FF 52 1C 6A 10 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 6B CB 04 71 05 E8 ?? ?? ?? ?? 8B 55 F8 8B 44 9E 08 E8 ?? ?? ?? ?? 43 83 FB 04 75 E4 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_34836_0 {
	meta:
		name = "TIdHashMessageDigest5.MDCoder"
		size = 2144
		refs = "00b0 MD5_SINE 00b7 ROL"
		altNames = "TInHashMessageDigest5.MDCoder"
	strings:
		$1 = { 53 56 57 55 83 C4 B4 89 04 24 8B 04 24 8B 58 08 8B 04 24 8B 70 0C 8B 04 24 8B 78 10 8B 04 24 8B 68 14 33 C0 89 44 24 04 8D 44 24 0C 89 44 24 08 8B 44 24 04 03 C0 03 C0 8B 14 24 8B 52 04 0F B6 04 02 8B 54 24 04 03 D2 03 D2 8B 0C 24 8B 49 04 0F B6 54 11 01 C1 E2 08 03 C2 8B 54 24 04 03 D2 03 D2 8B 0C 24 8B 49 04 0F B6 54 11 02 C1 E2 10 03 C2 8B 54 24 04 03 D2 03 D2 8B 0C 24 8B 49 04 0F B6 54 11 03 C1 E2 18 03 C2 8B 54 24 08 89 02 FF 44 24 04 83 44 24 08 04 83 7C 24 04 10 75 90 8B C5 33 C7 23 C6 33 C5 03 C3 03 44 24 0C 03 05 ?? ?? ?? ?? B2 07 E8 ?? ?? ?? ?? 03 C6 8B D8 8B C7 33 C6 23 C3 33 C7 03 C5 03 44 24 10 03 05 ?? ?? ?? ?? B2 0C E8 ?? ?? ?? ?? 03 C3 8B E8 8B C6 33 C3 23 C5 33 C6 03 C7 03 44 24 14 03 05 ?? ?? ?? ?? B2 11 E8 ?? ?? ?? ?? 03 C5 8B F8 8B C3 33 C5 23 C7 33 C3 03 C6 03 44 24 18 03 05 ?? ?? ?? ?? B2 16 E8 ?? ?? ?? ?? 03 C7 8B F0 8B C5 33 C7 23 C6 33 C5 03 C3 03 44 24 1C 03 05 ?? ?? ?? ?? B2 07 E8 ?? ?? ?? ?? 03 C6 8B D8 8B C7 33 C6 23 C3 33 C7 03 C5 03 44 24 20 03 05 ?? ?? ?? ?? B2 0C E8 ?? ?? ?? ?? 03 C3 8B E8 8B C6 33 C3 23 C5 33 C6 03 C7 03 44 24 24 03 05 ?? ?? ?? ?? B2 11 E8 ?? ?? ?? ?? 03 C5 8B F8 8B C3 33 C5 23 C7 33 C3 03 C6 03 44 24 28 03 05 ?? ?? ?? ?? B2 16 E8 ?? ?? ?? ?? 03 C7 8B F0 8B C5 33 C7 23 C6 33 C5 03 C3 03 44 24 2C 03 05 ?? ?? ?? ?? B2 07 E8 ?? ?? ?? ?? 03 C6 8B D8 8B C7 33 C6 23 C3 33 C7 03 C5 03 44 24 30 03 05 ?? ?? ?? ?? B2 0C E8 ?? ?? ?? ?? 03 C3 8B E8 8B C6 33 C3 23 C5 33 C6 03 C7 03 44 24 34 03 05 ?? ?? ?? ?? B2 11 E8 ?? ?? ?? ?? 03 C5 8B F8 8B C3 33 C5 23 C7 33 C3 03 C6 03 44 24 38 03 05 ?? ?? ?? ?? B2 16 E8 ?? ?? ?? ?? 03 C7 8B F0 8B C5 33 C7 23 C6 33 C5 03 C3 03 44 24 3C 03 05 ?? ?? ?? ?? B2 07 E8 ?? ?? ?? ?? 03 C6 8B D8 8B C7 33 C6 23 C3 33 C7 03 C5 03 44 24 40 03 05 ?? ?? ?? ?? B2 0C E8 ?? ?? ?? ?? 03 C3 8B E8 8B C6 33 C3 23 C5 33 C6 03 C7 03 44 24 44 03 05 ?? ?? ?? ?? B2 11 E8 ?? ?? ?? ?? 03 C5 8B F8 8B C3 33 C5 23 C7 33 C3 03 C6 03 44 24 48 03 05 ?? ?? ?? ?? B2 16 E8 ?? ?? ?? ?? 03 C7 8B F0 8B C6 33 C7 23 C5 33 C7 03 C3 03 44 24 10 03 05 ?? ?? ?? ?? B2 05 E8 ?? ?? ?? ?? 03 C6 8B D8 8B C3 33 C6 23 C7 33 C6 03 C5 03 44 24 24 03 05 ?? ?? ?? ?? B2 09 E8 ?? ?? ?? ?? 03 C3 8B E8 8B C5 33 C3 23 C6 33 C3 03 C7 03 44 24 38 03 05 ?? ?? ?? ?? B2 0E E8 ?? ?? ?? ?? 03 C5 8B F8 8B C7 33 C5 23 C3 33 C5 03 C6 03 44 24 0C 03 05 ?? ?? ?? ?? B2 14 E8 ?? ?? ?? ?? 03 C7 8B F0 8B C6 33 C7 23 C5 33 C7 03 C3 03 44 24 20 03 05 ?? ?? ?? ?? B2 05 E8 ?? ?? ?? ?? 03 C6 8B D8 8B C3 33 C6 23 C7 33 C6 03 C5 03 44 24 34 03 05 ?? ?? ?? ?? B2 09 E8 ?? ?? ?? ?? 03 C3 8B E8 8B C5 33 C3 23 C6 33 C3 03 C7 03 44 24 48 03 05 ?? ?? ?? ?? B2 0E E8 ?? ?? ?? ?? 03 C5 8B F8 8B C7 33 C5 23 C3 33 C5 03 C6 03 44 24 1C 03 05 ?? ?? ?? ?? B2 14 E8 ?? ?? ?? ?? 03 C7 8B F0 8B C6 33 C7 23 C5 33 C7 03 C3 03 44 24 30 03 05 ?? ?? ?? ?? B2 05 E8 ?? ?? ?? ?? 03 C6 8B D8 8B C3 33 C6 23 C7 33 C6 03 C5 03 44 24 44 03 05 ?? ?? ?? ?? B2 09 E8 ?? ?? ?? ?? 03 C3 8B E8 8B C5 33 C3 23 C6 33 C3 03 C7 03 44 24 18 03 05 ?? ?? ?? ?? B2 0E E8 ?? ?? ?? ?? 03 C5 8B F8 8B C7 33 C5 23 C3 33 C5 03 C6 03 44 24 2C 03 05 ?? ?? ?? ?? B2 14 E8 ?? ?? ?? ?? 03 C7 8B F0 8B C6 33 C7 23 C5 33 C7 03 C3 03 44 24 40 03 05 ?? ?? ?? ?? B2 05 E8 ?? ?? ?? ?? 03 C6 8B D8 8B C3 33 C6 23 C7 33 C6 03 C5 03 44 24 14 03 05 ?? ?? ?? ?? B2 09 E8 ?? ?? ?? ?? 03 C3 8B E8 8B C5 33 C3 23 C6 33 C3 03 C7 03 44 24 28 03 05 ?? ?? ?? ?? B2 0E E8 ?? ?? ?? ?? 03 C5 8B F8 8B C7 33 C5 23 C3 33 C5 03 C6 03 44 24 3C 03 05 ?? ?? ?? ?? B2 14 E8 ?? ?? ?? ?? 03 C7 8B F0 8B C6 33 C7 33 C5 03 C3 03 44 24 20 03 05 ?? ?? ?? ?? B2 04 E8 ?? ?? ?? ?? 03 C6 8B D8 8B C3 33 C6 33 C7 03 C5 03 44 24 2C 03 05 ?? ?? ?? ?? B2 0B E8 ?? ?? ?? ?? 03 C3 8B E8 8B C5 33 C3 33 C6 03 C7 03 44 24 38 03 05 ?? ?? ?? ?? B2 10 E8 ?? ?? ?? ?? 03 C5 8B F8 8B C7 33 C5 33 C3 03 C6 03 44 24 44 03 05 ?? ?? ?? ?? B2 17 E8 ?? ?? ?? ?? 03 C7 8B F0 8B C6 33 C7 33 C5 03 C3 03 44 24 10 03 05 ?? ?? ?? ?? B2 04 E8 ?? ?? ?? ?? 03 C6 8B D8 8B C3 33 C6 33 C7 03 C5 03 44 24 1C 03 05 ?? ?? ?? ?? B2 0B E8 ?? ?? ?? ?? 03 C3 8B E8 8B C5 33 C3 33 C6 03 C7 03 44 24 28 03 05 ?? ?? ?? ?? B2 10 E8 ?? ?? ?? ?? 03 C5 8B F8 8B C7 33 C5 33 C3 03 C6 03 44 24 34 03 05 ?? ?? ?? ?? B2 17 E8 ?? ?? ?? ?? 03 C7 8B F0 8B C6 33 C7 33 C5 03 C3 03 44 24 40 03 05 ?? ?? ?? ?? B2 04 E8 ?? ?? ?? ?? 03 C6 8B D8 8B C3 33 C6 33 C7 03 C5 03 44 24 0C 03 05 ?? ?? ?? ?? B2 0B E8 ?? ?? ?? ?? 03 C3 8B E8 8B C5 33 C3 33 C6 03 C7 03 44 24 18 03 05 ?? ?? ?? ?? B2 10 E8 ?? ?? ?? ?? 03 C5 8B F8 8B C7 33 C5 33 C3 03 C6 03 44 24 24 03 05 ?? ?? ?? ?? B2 17 E8 ?? ?? ?? ?? 03 C7 8B F0 8B C6 33 C7 33 C5 03 C3 03 44 24 30 03 05 ?? ?? ?? ?? B2 04 E8 ?? ?? ?? ?? 03 C6 8B D8 8B C3 33 C6 33 C7 03 C5 03 44 24 3C 03 05 ?? ?? ?? ?? B2 0B E8 ?? ?? ?? ?? 03 C3 8B E8 8B C5 33 C3 33 C6 03 C7 03 44 24 48 03 05 ?? ?? ?? ?? B2 10 E8 ?? ?? ?? ?? 03 C5 8B F8 8B C7 33 C5 33 C3 03 C6 03 44 24 14 03 05 ?? ?? ?? ?? B2 17 E8 ?? ?? ?? ?? 03 C7 8B F0 8B C5 F7 D0 0B C6 33 C7 03 C3 03 44 24 0C 03 05 ?? ?? ?? ?? B2 06 E8 ?? ?? ?? ?? 03 C6 8B D8 8B C7 F7 D0 0B C3 33 C6 03 C5 03 44 24 28 03 05 ?? ?? ?? ?? B2 0A E8 ?? ?? ?? ?? 03 C3 8B E8 8B C6 F7 D0 0B C5 33 C3 03 C7 03 44 24 44 03 05 ?? ?? ?? ?? B2 0F E8 ?? ?? ?? ?? 03 C5 8B F8 8B C3 F7 D0 0B C7 33 C5 03 C6 03 44 24 20 03 05 ?? ?? ?? ?? B2 15 E8 ?? ?? ?? ?? 03 C7 8B F0 8B C5 F7 D0 0B C6 33 C7 03 C3 03 44 24 3C 03 05 ?? ?? ?? ?? B2 06 E8 ?? ?? ?? ?? 03 C6 8B D8 8B C7 F7 D0 0B C3 33 C6 03 C5 03 44 24 18 03 05 ?? ?? ?? ?? B2 0A E8 ?? ?? ?? ?? 03 C3 8B E8 8B C6 F7 D0 0B C5 33 C3 03 C7 03 44 24 34 03 05 ?? ?? ?? ?? B2 0F E8 ?? ?? ?? ?? 03 C5 8B F8 8B C3 F7 D0 0B C7 33 C5 03 C6 03 44 24 10 03 05 ?? ?? ?? ?? B2 15 E8 ?? ?? ?? ?? 03 C7 8B F0 8B C5 F7 D0 0B C6 33 C7 03 C3 03 44 24 2C 03 05 ?? ?? ?? ?? B2 06 E8 ?? ?? ?? ?? 03 C6 8B D8 8B C7 F7 D0 0B C3 33 C6 03 C5 03 44 24 48 03 05 ?? ?? ?? ?? B2 0A E8 ?? ?? ?? ?? 03 C3 8B E8 8B C6 F7 D0 0B C5 33 C3 03 C7 03 44 24 24 03 05 ?? ?? ?? ?? B2 0F E8 ?? ?? ?? ?? 03 C5 8B F8 8B C3 F7 D0 0B C7 33 C5 03 C6 03 44 24 40 03 05 ?? ?? ?? ?? B2 15 E8 ?? ?? ?? ?? 03 C7 8B F0 8B C5 F7 D0 0B C6 33 C7 03 C3 03 44 24 1C 03 05 ?? ?? ?? ?? B2 06 E8 ?? ?? ?? ?? 03 C6 8B D8 8B C7 F7 D0 0B C3 33 C6 03 C5 03 44 24 38 03 05 ?? ?? ?? ?? B2 0A E8 ?? ?? ?? ?? 03 C3 8B E8 8B C6 F7 D0 0B C5 33 C3 03 C7 03 44 24 14 03 05 ?? ?? ?? ?? B2 0F E8 ?? ?? ?? ?? 03 C5 8B F8 8B C3 F7 D0 0B C7 33 C5 03 C6 03 44 24 30 03 05 ?? ?? ?? ?? B2 15 E8 ?? ?? ?? ?? 03 C7 8B F0 8B 04 24 01 58 08 8B 04 24 01 70 0C 8B 04 24 01 78 10 8B 04 24 01 68 14 83 C4 4C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34839_0 {
	meta:
		name = "SwapLongWord"
		size = 47
	strings:
		$1 = { BA FF 00 00 00 23 D0 C1 E2 18 B9 00 FF 00 00 23 C8 C1 E1 08 0B D1 B9 00 00 FF 00 23 C8 C1 E9 08 0B D1 25 00 00 00 FF C1 E8 18 0B D0 8B C2 C3 }
	condition:
		$1
}

rule function_34840_0 {
	meta:
		name = "TIdHashSHA1.Create"
		size = 77
		refs = "000a @ClassCreate 0017 TIdHash.Create 0027 TArray<System.Byte> 002c @DynArraySetLength 003a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 40 8D 46 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_34843_0 {
	meta:
		name = "TIdHashSHA1.Coder"
		size = 2367
	strings:
		$1 = { 53 56 57 55 83 C4 A0 89 04 24 33 C9 8D 44 24 10 8B D1 03 D2 03 D2 8B 1C 24 8B 5B 18 0F B6 1C 13 C1 E3 18 8B 34 24 8B 76 18 0F B6 74 16 01 C1 E6 10 0B DE 8B 34 24 8B 76 18 0F B6 74 16 02 C1 E6 08 0B DE 8B 34 24 8B 76 18 0F B6 54 16 03 0B DA 89 18 41 83 C0 04 83 F9 10 75 B5 B9 04 00 00 00 8D 44 24 44 8B 10 33 50 EC 33 50 D4 33 50 CC 8B DA 03 DB C1 EA 1F 0B DA 89 58 0C 83 C0 04 49 75 E3 8B 04 24 8B 58 04 8B 04 24 8B 40 08 8B 14 24 8B 52 0C 89 54 24 04 8B 14 24 8B 52 10 89 54 24 08 8B 14 24 8B 52 14 89 54 24 0C 33 C9 8B D3 C1 E2 05 8B F3 C1 EE 1B 03 D6 8B 74 24 04 33 74 24 08 23 F0 33 74 24 08 03 D6 03 54 8C 10 01 54 24 0C 81 44 24 0C 99 79 82 5A 8B D0 C1 E2 1E C1 E8 02 03 D0 8B C2 8B 54 24 0C C1 E2 05 8B 74 24 0C C1 EE 1B 03 D6 8B F0 33 74 24 04 23 F3 33 74 24 04 03 D6 03 54 8C 14 01 54 24 08 81 44 24 08 99 79 82 5A 8B D3 C1 E2 1E C1 EB 02 03 D3 8B DA 8B 54 24 08 C1 E2 05 8B 74 24 08 C1 EE 1B 03 D6 8B F3 33 F0 23 74 24 0C 33 F0 03 D6 03 54 8C 18 01 54 24 04 81 44 24 04 99 79 82 5A 8B 54 24 0C C1 E2 1E 8B 74 24 0C C1 EE 02 03 D6 89 54 24 0C 8B 54 24 04 C1 E2 05 8B 74 24 04 C1 EE 1B 03 D6 8B 74 24 0C 33 F3 23 74 24 08 33 F3 03 D6 03 54 8C 1C 03 C2 05 99 79 82 5A 8B 54 24 08 C1 E2 1E 8B 74 24 08 C1 EE 02 03 D6 89 54 24 08 8B D0 C1 E2 05 8B F0 C1 EE 1B 03 D6 8B 74 24 08 33 74 24 0C 23 74 24 04 33 74 24 0C 03 D6 03 54 8C 20 03 DA 81 C3 99 79 82 5A 8B 54 24 04 C1 E2 1E 8B 74 24 04 C1 EE 02 03 D6 89 54 24 04 83 C1 05 83 F9 14 0F 85 C7 FE FF FF 8B 54 24 50 89 54 24 10 8B 54 24 54 89 54 24 14 8B 54 24 58 89 54 24 18 8B 54 24 5C 89 54 24 1C B9 14 00 00 00 8D 51 0D 83 E2 0F 8B 54 94 10 8D 71 08 83 E6 0F 33 54 B4 10 8D 79 02 83 E7 0F 33 54 BC 10 BE 0F 00 00 00 23 F1 33 54 B4 10 8B FA 03 FF C1 EA 1F 0B FA 8B D7 89 54 B4 10 8B FB C1 E7 05 8B EB C1 ED 1B 03 FD 8B E8 33 6C 24 04 33 6C 24 08 03 FD 03 D7 81 C2 A1 EB D9 6E 01 54 24 0C 8B D0 C1 E2 1E C1 E8 02 03 D0 8B C2 8D 51 0E 83 E2 0F 8B 54 94 10 8D 79 09 83 E7 0F 33 54 BC 10 8D 79 03 83 E7 0F 33 54 BC 10 8D 79 01 83 E7 0F 33 54 BC 10 8B FA 03 FF C1 EA 1F 0B FA 8B D7 8D 79 01 83 E7 0F 89 54 BC 10 8B 7C 24 0C C1 E7 05 8B 6C 24 0C C1 ED 1B 03 FD 8B EB 33 E8 33 6C 24 04 03 FD 03 D7 81 C2 A1 EB D9 6E 01 54 24 08 8B D3 C1 E2 1E C1 EB 02 03 D3 8B DA 8D 51 0F 83 E2 0F 8B 54 94 10 8D 79 0A 83 E7 0F 33 54 BC 10 8D 79 04 83 E7 0F 33 54 BC 10 8D 79 02 83 E7 0F 33 54 BC 10 8B FA 03 FF C1 EA 1F 0B FA 8B D7 8D 79 02 83 E7 0F 89 54 BC 10 8B 7C 24 08 C1 E7 05 8B 6C 24 08 C1 ED 1B 03 FD 8B 6C 24 0C 33 EB 33 E8 03 FD 03 D7 81 C2 A1 EB D9 6E 01 54 24 04 8B 54 24 0C C1 E2 1E 8B 7C 24 0C C1 EF 02 03 D7 89 54 24 0C 8B 54 B4 10 8D 71 0B 83 E6 0F 33 54 B4 10 8D 71 05 83 E6 0F 33 54 B4 10 8D 71 03 83 E6 0F 33 54 B4 10 8B F2 03 F6 C1 EA 1F 0B F2 8B D6 8D 71 03 83 E6 0F 89 54 B4 10 8B 74 24 04 C1 E6 05 8B 7C 24 04 C1 EF 1B 03 F7 8B 7C 24 08 33 7C 24 0C 33 FB 03 F7 03 D6 81 C2 A1 EB D9 6E 03 C2 8B 54 24 08 C1 E2 1E 8B 74 24 08 C1 EE 02 03 D6 89 54 24 08 8D 51 01 83 E2 0F 8B 54 94 10 8D 71 0C 83 E6 0F 33 54 B4 10 8D 71 06 83 E6 0F 33 54 B4 10 8D 71 04 83 E6 0F 33 54 B4 10 8B F2 03 F6 C1 EA 1F 0B F2 8B D6 8D 71 04 83 E6 0F 89 54 B4 10 8B F0 C1 E6 05 8B F8 C1 EF 1B 03 F7 8B 7C 24 04 33 7C 24 08 33 7C 24 0C 03 F7 03 D6 81 C2 A1 EB D9 6E 03 DA 8B 54 24 04 C1 E2 1E 8B 74 24 04 C1 EE 02 03 D6 89 54 24 04 83 C1 05 83 F9 28 0F 85 C0 FD FF FF B9 28 00 00 00 8D 51 0D 83 E2 0F 8B 54 94 10 8D 71 08 83 E6 0F 33 54 B4 10 8D 71 02 83 E6 0F 33 54 B4 10 BE 0F 00 00 00 23 F1 33 54 B4 10 8B F2 03 F6 C1 EA 1F 0B F2 8B D6 BE 0F 00 00 00 23 F1 89 54 B4 10 8B F3 C1 E6 05 8B FB C1 EF 1B 03 F7 8B F8 23 7C 24 04 8B E8 0B 6C 24 04 23 6C 24 08 0B FD 03 F7 03 D6 01 54 24 0C 81 6C 24 0C 24 43 E4 70 8B D0 C1 E2 1E C1 E8 02 03 D0 8B C2 8D 51 0E 83 E2 0F 8B 54 94 10 8D 71 09 83 E6 0F 33 54 B4 10 8D 71 03 83 E6 0F 33 54 B4 10 8D 71 01 83 E6 0F 33 54 B4 10 8B F2 03 F6 C1 EA 1F 0B F2 8B D6 8D 71 01 83 E6 0F 89 54 B4 10 8B 74 24 0C C1 E6 05 8B 7C 24 0C C1 EF 1B 03 F7 8B FB 23 F8 8B EB 0B E8 23 6C 24 04 0B FD 03 F7 03 D6 01 54 24 08 81 6C 24 08 24 43 E4 70 8B D3 C1 E2 1E C1 EB 02 03 D3 8B DA 8D 51 0F 83 E2 0F 8B 54 94 10 8D 71 0A 83 E6 0F 33 54 B4 10 8D 71 04 83 E6 0F 33 54 B4 10 8D 71 02 83 E6 0F 33 54 B4 10 8B F2 03 F6 C1 EA 1F 0B F2 8B D6 8D 71 02 83 E6 0F 89 54 B4 10 8B 74 24 08 C1 E6 05 8B 7C 24 08 C1 EF 1B 03 F7 8B 7C 24 0C 23 FB 8B 6C 24 0C 0B EB 23 E8 0B FD 03 F7 03 D6 01 54 24 04 81 6C 24 04 24 43 E4 70 8B 54 24 0C C1 E2 1E 8B 74 24 0C C1 EE 02 03 D6 89 54 24 0C BA 0F 00 00 00 23 D1 8B 54 94 10 8D 71 0B 83 E6 0F 33 54 B4 10 8D 71 05 83 E6 0F 33 54 B4 10 8D 71 03 83 E6 0F 33 54 B4 10 8B F2 03 F6 C1 EA 1F 0B F2 8B D6 8D 71 03 83 E6 0F 89 54 B4 10 8B 74 24 04 C1 E6 05 8B 7C 24 04 C1 EF 1B 03 F7 8B 7C 24 08 23 7C 24 0C 8B 6C 24 08 0B 6C 24 0C 23 EB 0B FD 03 F7 03 D6 03 C2 2D 24 43 E4 70 8B 54 24 08 C1 E2 1E 8B 74 24 08 C1 EE 02 03 D6 89 54 24 08 8D 51 01 83 E2 0F 8B 54 94 10 8D 71 0C 83 E6 0F 33 54 B4 10 8D 71 06 83 E6 0F 33 54 B4 10 8D 71 04 83 E6 0F 33 54 B4 10 8B F2 03 F6 C1 EA 1F 0B F2 8B D6 8D 71 04 83 E6 0F 89 54 B4 10 8B F0 C1 E6 05 8B F8 C1 EF 1B 03 F7 8B 7C 24 04 23 7C 24 08 8B 6C 24 04 0B 6C 24 08 23 6C 24 0C 0B FD 03 F7 03 D6 03 DA 81 EB 24 43 E4 70 8B 54 24 04 C1 E2 1E 8B 74 24 04 C1 EE 02 03 D6 89 54 24 04 83 C1 05 83 F9 3C 0F 85 83 FD FF FF 8D 51 0D 83 E2 0F 8B 54 94 10 8D 71 08 83 E6 0F 33 54 B4 10 8D 79 02 83 E7 0F 33 54 BC 10 BE 0F 00 00 00 23 F1 33 54 B4 10 8B FA 03 FF C1 EA 1F 0B FA 8B D7 89 54 B4 10 8B FB C1 E7 05 8B EB C1 ED 1B 03 FD 8B E8 33 6C 24 04 33 6C 24 08 03 FD 03 D7 81 EA 2A 3E 9D 35 01 54 24 0C 8B D0 C1 E2 1E C1 E8 02 03 D0 8B C2 8D 51 0E 83 E2 0F 8B 54 94 10 8D 79 09 83 E7 0F 33 54 BC 10 8D 79 03 83 E7 0F 33 54 BC 10 8D 79 01 83 E7 0F 33 54 BC 10 8B FA 03 FF C1 EA 1F 0B FA 8B D7 8D 79 01 83 E7 0F 89 54 BC 10 8B 7C 24 0C C1 E7 05 8B 6C 24 0C C1 ED 1B 03 FD 8B EB 33 E8 33 6C 24 04 03 FD 03 D7 81 EA 2A 3E 9D 35 01 54 24 08 8B D3 C1 E2 1E C1 EB 02 03 D3 8B DA 8D 51 0F 83 E2 0F 8B 54 94 10 8D 79 0A 83 E7 0F 33 54 BC 10 8D 79 04 83 E7 0F 33 54 BC 10 8D 79 02 83 E7 0F 33 54 BC 10 8B FA 03 FF C1 EA 1F 0B FA 8B D7 8D 79 02 83 E7 0F 89 54 BC 10 8B 7C 24 08 C1 E7 05 8B 6C 24 08 C1 ED 1B 03 FD 8B 6C 24 0C 33 EB 33 E8 03 FD 03 D7 81 EA 2A 3E 9D 35 01 54 24 04 8B 54 24 0C C1 E2 1E 8B 7C 24 0C C1 EF 02 03 D7 89 54 24 0C 8B 54 B4 10 8D 71 0B 83 E6 0F 33 54 B4 10 8D 71 05 83 E6 0F 33 54 B4 10 8D 71 03 83 E6 0F 33 54 B4 10 8B F2 03 F6 C1 EA 1F 0B F2 8B D6 8D 71 03 83 E6 0F 89 54 B4 10 8B 74 24 04 C1 E6 05 8B 7C 24 04 C1 EF 1B 03 F7 8B 7C 24 08 33 7C 24 0C 33 FB 03 F7 03 D6 81 EA 2A 3E 9D 35 03 C2 8B 54 24 08 C1 E2 1E 8B 74 24 08 C1 EE 02 03 D6 89 54 24 08 8D 51 01 83 E2 0F 8B 54 94 10 8D 71 0C 83 E6 0F 33 54 B4 10 8D 71 06 83 E6 0F 33 54 B4 10 8D 71 04 83 E6 0F 33 54 B4 10 8B F2 03 F6 C1 EA 1F 0B F2 8B D6 8D 71 04 83 E6 0F 89 54 B4 10 8B F0 C1 E6 05 8B F8 C1 EF 1B 03 F7 8B 7C 24 04 33 7C 24 08 33 7C 24 0C 03 F7 03 D6 81 EA 2A 3E 9D 35 03 DA 8B 54 24 04 C1 E2 1E 8B 74 24 04 C1 EE 02 03 D6 89 54 24 04 83 C1 05 83 F9 50 0F 85 C0 FD FF FF 8B 14 24 01 5A 04 8B 14 24 01 42 08 8B 04 24 8B 54 24 04 01 50 0C 8B 04 24 8B 54 24 08 01 50 10 8B 04 24 8B 54 24 0C 01 50 14 83 C4 60 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34844_0 {
	meta:
		name = "TIdHashSHA1.NativeGetHashBytes"
		size = 409
		refs = "0016 TArray<System.Byte> 001b @DynArrayClear 0056 ReadTIdBytesFromStream 0098 TIdHashSHA1.Coder 012b SwapLongWord 016f @DynArraySetLength 0186 CopyTIdLongWord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 46 04 01 23 45 67 C7 46 08 89 AB CD EF C7 46 0C FE DC BA 98 C7 46 10 76 54 32 10 C7 46 14 F0 E1 D2 C3 33 C0 89 45 F4 33 FF 6A 00 6A 40 8D 56 18 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 03 C0 03 C0 03 C0 03 F8 3B F8 73 03 FF 45 F4 83 FB 40 0F 8D A1 00 00 00 8B 46 18 C6 04 18 80 83 FB 38 7C 1D 43 83 FB 3F 7F 0D 8B 46 18 C6 04 18 00 43 83 FB 40 75 F3 8B C6 E8 ?? ?? ?? ?? 83 CB FF 43 83 FB 37 7F 0D 8B 46 18 C6 04 18 00 43 83 FB 38 75 F3 8B 45 F4 C1 E8 18 8B 56 18 88 42 38 8B 45 F4 C1 E8 10 24 FF 8B 56 18 88 42 39 8B 45 F4 C1 E8 08 24 FF 8B 56 18 88 42 3A 0F B6 45 F4 24 FF 8B 56 18 88 42 3B 8B C7 C1 E8 18 8B 56 18 88 42 3C 8B C7 C1 E8 10 24 FF 8B 56 18 88 42 3D 8B C7 C1 E8 08 24 FF 8B 56 18 88 42 3E 8B C7 24 FF 8B 56 18 88 42 3F 33 DB 8B C6 E8 ?? ?? ?? ?? 83 FB 40 0F 8D 22 FF FF FF 8B 46 04 E8 ?? ?? ?? ?? 89 46 04 8B 46 08 E8 ?? ?? ?? ?? 89 46 08 8B 46 0C E8 ?? ?? ?? ?? 89 46 0C 8B 46 10 E8 ?? ?? ?? ?? 89 46 10 8B 46 14 E8 ?? ?? ?? ?? 89 46 14 6A 14 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B CB 03 C9 03 C9 8B 55 F8 8B 44 9E 04 E8 ?? ?? ?? ?? 43 83 FB 05 75 E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_34856_0 {
	meta:
		name = "TIdHeaderCoder2022JP.Decode"
		size = 381
		refs = "0016 TIdHeaderCoder2022JP.Decode 0024 @UStrClr 002f @DynArrayLength 00f4 @UStrFromWChar 0113 @UStrCatN 0132 @UStrCat 0146 @UStrAsg 0160 @UStrArrayClr 016e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? C6 45 FB 00 8B C6 E8 ?? ?? ?? ?? 8B F8 33 DB 3B FB 0F 8E 00 01 00 00 80 3C 1E 1B 75 48 43 8D 43 01 3B F8 0F 8E E6 00 00 00 0F B6 04 1E 66 83 F8 24 75 11 0F B6 44 1E 01 66 83 F8 42 75 06 C6 45 FB 01 EB 19 0F B6 04 1E 66 83 F8 28 75 0F 0F B6 44 1E 01 66 83 F8 42 75 04 C6 45 FB 00 83 C3 02 E9 AA 00 00 00 80 7D FB 00 0F 84 88 00 00 00 8D 43 01 3B F8 7E 7E 0F B6 04 1E 88 45 FA 0F B6 44 1E 01 88 45 F9 0F B6 45 FA 48 D1 E8 88 45 F8 80 7D FA 5F 73 06 80 45 F8 71 EB 04 80 45 F8 B1 0F B6 45 FA 83 E0 01 83 F8 01 75 12 80 7D F9 60 73 06 80 45 F9 1F EB 0A 80 45 F9 20 EB 04 80 45 F9 7E FF 75 FC 8D 45 F4 0F B6 55 F8 E8 ?? ?? ?? ?? FF 75 F4 8D 45 F0 0F B6 55 F9 E8 ?? ?? ?? ?? FF 75 F0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C3 02 EB 1B 43 EB 18 8D 45 EC 0F B6 14 1E E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 43 3B FB 0F 8F 00 FF FF FF 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34857_0 {
	meta:
		name = "TIdHeaderCoder2022JP.Encode"
		size = 595
		refs = "0014 TIdHeaderCoder2022JP.Encode 002a TArray<System.Byte> 002f @DynArraySetLength 006b AppendByte 00a2 sj1_tbl 00fb kana_tbl 011e vkana_tbl 018f sj2_tbl 0223 @DynArrayAsg 023e @DynArrayClear 0244 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F1 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C6 45 FB 00 8B C6 85 C0 74 05 83 E8 04 8B 00 8B F8 BB 01 00 00 00 3B FB 0F 8C 9E 01 00 00 0F B7 44 5E FE 66 3D 80 00 73 3B 80 7D FB 00 74 22 8D 45 FC B2 1B E8 ?? ?? ?? ?? 8D 45 FC B2 28 E8 ?? ?? ?? ?? 8D 45 FC B2 42 E8 ?? ?? ?? ?? C6 45 FB 00 0F B7 54 5E FE 8D 45 FC E8 ?? ?? ?? ?? 43 E9 50 01 00 00 0F B7 44 5E FE 0F B6 80 ?? ?? ?? ?? 88 45 FA 0F B6 45 FA 2C 01 72 0B 74 17 FE C8 74 0B E9 C7 00 00 00 43 E9 28 01 00 00 83 C3 02 E9 20 01 00 00 80 7D FB 00 75 22 8D 45 FC B2 1B E8 ?? ?? ?? ?? 8D 45 FC B2 24 E8 ?? ?? ?? ?? 8D 45 FC B2 42 E8 ?? ?? ?? ?? C6 45 FB 01 0F B7 44 5E FE 0F B7 04 45 ?? ?? ?? ?? 66 89 45 F8 3B FB 7E 5B 0F B7 04 5E 66 25 FE 00 66 3D DE 00 75 4D 0F B7 44 5E FE 0F B7 04 45 ?? ?? ?? ?? 66 89 45 F6 66 81 3C 5E DE 00 75 12 66 83 7D F6 00 74 2D 0F B7 45 F6 66 89 45 F8 43 EB 22 66 81 3C 5E DF 00 75 1A 66 81 7D F6 50 25 72 12 66 81 7D F6 5C 25 77 0A 0F B7 45 F6 40 66 89 45 F8 43 0F B7 55 F8 C1 EA 08 8D 45 FC E8 ?? ?? ?? ?? 0F B6 55 F8 80 E2 FF 8D 45 FC E8 ?? ?? ?? ?? 43 EB 67 3B FB 7E 60 0F B7 04 5E 0F B7 04 45 ?? ?? ?? ?? 66 89 45 F8 66 83 7D F8 00 74 49 80 7D FB 00 75 22 8D 45 FC B2 1B E8 ?? ?? ?? ?? 8D 45 FC B2 24 E8 ?? ?? ?? ?? 8D 45 FC B2 42 E8 ?? ?? ?? ?? C6 45 FB 01 0F B7 55 F8 C1 EA 08 02 55 FA 8D 45 FC E8 ?? ?? ?? ?? 0F B6 55 F8 80 E2 FF 8D 45 FC E8 ?? ?? ?? ?? 83 C3 02 3B FB 0F 8D 62 FE FF FF 80 7D FB 00 74 1E 8D 45 FC B2 1B E8 ?? ?? ?? ?? 8D 45 FC B2 28 E8 ?? ?? ?? ?? 8D 45 FC B2 42 E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34858_0 {
	meta:
		name = "TIdHeaderCoder2022JP.CanHandle"
		size = 52
		refs = "0003 TIdHeaderCoder2022JP.CanHandle 0008 TextIsSame"
	strings:
		$1 = { 8B C2 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 32 00 30 00 32 00 32 00 2D 00 4A 00 50 00 00 00 }
	condition:
		$1
}

rule function_34861_0 {
	meta:
		name = "TCustomAxisPanel.FormattedValueLegend"
		size = 15
		refs = "0007 @UStrClr"
		altNames = "TCustomGrid.GetEditMask TCustomGrid.GetEditText TIdHeaderCoder.Decode TIdSASLCRAMBase.BuildKeydAuth TTestFailure.CaptureStackTrace TWebControlGroup.ImplContent"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_68743_0 {
	meta:
		name = "InternalWakeAllConditionVariable"
		size = 15
		refs = "0007 TInternalConditionVariable.WakeAll"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_68742_0 {
	meta:
		name = "InternalWakeConditionVariable"
		size = 15
		refs = "0007 TInternalConditionVariable.Wake"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_34862_0 {
	meta:
		name = "TIdHeaderCoder.Encode"
		size = 21
		refs = "0008 TArray<System.Byte> 000d @DynArrayClear"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_34864_0 {
	meta:
		name = "TIdHeaderCoderList.ByCharSet"
		size = 65
		refs = "001c TList.Get"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 33 C0 89 04 24 8B 5F 08 4B 83 FB 00 7C 21 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 8B D5 8B C6 FF 50 08 84 C0 74 05 89 34 24 EB 06 4B 83 FB FF 75 DF 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34865_0 {
	meta:
		name = "HeaderCoderByCharSet"
		size = 25
		refs = "0002 GHeaderCoderList 0011 TIdHeaderCoderList.ByCharSet"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0D 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_34866_0 {
	meta:
		name = "DecodeHeaderData"
		size = 160
		refs = "0019 DecodeHeaderData 0026 HeaderCoderByCharSet 0043 @UStrAsg 0050 @UStrClr 005b GHeaderDecodingNeeded 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1D 8D 45 F4 50 8B 4D FC 8B D6 8B C3 FF 10 8B 55 F4 8B C7 E8 ?? ?? ?? ?? C6 45 FB 01 EB 2B 8B C7 E8 ?? ?? ?? ?? C6 45 FB 00 66 83 3D ?? ?? ?? ?? 00 74 16 57 8D 45 FB 50 8B 4D FC 8B D6 8B 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34867_0 {
	meta:
		name = "EncodeHeaderData"
		size = 234
		refs = "001c EncodeHeaderData 0029 HeaderCoderByCharSet 0048 TArray<System.Byte> 004d @DynArrayAsg 005c @DynArrayClear 0067 GHeaderEncodingNeeded 009b RSHeaderEncodeError 00a0 LoadResString 00aa _DV_EIdHeaderEncodeError 00af Exception.CreateFmt 00b4 @RaiseExcept 00c9 @UStrClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D F4 8B F9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 20 8D 45 F4 50 8B 4D FC 8B D6 8B C3 FF 50 04 8B 55 F4 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 65 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 FB 00 66 83 3D ?? ?? ?? ?? 00 74 16 57 8D 45 FB 50 8B 4D FC 8B D6 8B 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 80 7D FB 00 75 2E 89 75 EC C6 45 F0 11 8D 45 EC 50 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34868_0 {
	meta:
		name = "RegisterHeaderCoder"
		size = 45
		refs = "0009 GHeaderCoderList 0018 TList.IndexOf 0027 TList.Add"
	strings:
		$1 = { 53 8B D8 85 DB 74 24 83 3D ?? ?? ?? ?? 00 74 1B 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 75 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_34872_0 {
	meta:
		name = "TIdHeaderCoderIndy.Decode"
		size = 303
		refs = "0017 TIdHeaderCoderIndy.Decode 0024 @UStrClr 002d TArray<System.Byte> 0032 @DynArrayClear 0047 CharsetToCodePage 004f TEncoding.GetEncoding 0070 @DynArrayAsg 0075 TEncoding.GetUnicode 0091 _Dn_TEncoding 0096 TEncoding.Convert 00af @DynArrayLength 00c0 TEncoding.GetString 00d5 TObject.Free 00db @HandleFinally 00ec @HandleAnyException 00f1 @DoneExcept"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C6 E8 ?? ?? ?? ?? 0F B7 C0 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 F8 74 2D 8B 45 FC 50 8D 45 F4 50 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 33 C9 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34873_0 {
	meta:
		name = "TIdHeaderCoderIndy.Encode"
		size = 299
		refs = "0017 TIdHeaderCoderIndy.Encode 0025 TArray<System.Byte> 002a @DynArrayClear 004d CharsetToCodePage 0055 TEncoding.GetEncoding 006b TEncoding.GetUnicode 0075 TEncoding.GetBytes 0096 _Dn_TEncoding 009b TEncoding.Convert 00ac @DynArrayAsg 00d1 TObject.Free 00d7 @HandleFinally 00e8 @HandleAnyException 00ed @DoneExcept"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C7 E8 ?? ?? ?? ?? 0F B7 C0 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 F8 74 2D 8B 45 FC 50 8D 45 F4 50 E8 ?? ?? ?? ?? 8B D0 8B 4D F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34874_0 {
	meta:
		name = "TIdHeaderCoderIndy.CanHandle"
		size = 45
		refs = "000a CharsetToCodePage 001b GetCPInfo"
	strings:
		$1 = { 53 56 83 C4 EC 33 DB 8B C2 E8 ?? ?? ?? ?? 8B F0 66 85 F6 74 10 54 0F B7 C6 50 E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 8B C3 83 C4 14 5E 5B C3 }
	condition:
		$1
}

rule function_34877_0 {
	meta:
		name = "TIdHeaderCoderPlain.Decode"
		size = 21
		refs = "000c BytesToStringRaw"
	strings:
		$1 = { 55 8B EC 53 8B D9 8B 55 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_34878_0 {
	meta:
		name = "TIdHeaderCoderPlain.Encode"
		size = 99
		refs = "000c TIdHeaderCoderPlain.Encode 0019 Indy8BitEncoding 0025 ToBytes 0031 TArray<System.Byte> 0036 @DynArrayAsg 0051 @DynArrayClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B0 01 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34879_0 {
	meta:
		name = "TIdHeaderCoderPlain.CanHandle"
		size = 272
		refs = "0004 TIdHeaderCoderPlain.CanHandle 000b TextStartsWith 001b TextIsSame"
	strings:
		$1 = { 53 8B DA BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 34 01 5B C3 84 C0 75 3C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 49 00 53 00 4F 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 32 00 30 00 32 00 32 00 2D 00 4A 00 50 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 49 00 4E 00 44 00 4F 00 57 00 53 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4B 00 4F 00 49 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 47 00 42 00 32 00 33 00 31 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 53 00 2D 00 41 00 53 00 43 00 49 00 49 00 00 00 00 00 }
	condition:
		$1
}

rule function_34882_0 {
	meta:
		name = "TIdHeaderCoderUTF.Decode"
		size = 240
		refs = "0013 TIdHeaderCoderUTF.Decode 0020 @UStrClr 0029 TArray<System.Byte> 002e @DynArrayClear 003a TextIsSame 0043 TEncoding.GetUTF7 005c TEncoding.GetUTF8 0068 TEncoding.GetUnicode 0071 _Dn_TEncoding 0076 TEncoding.Convert 007e @DynArrayLength 008f TEncoding.GetString 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 E8 ?? ?? ?? ?? 8B F0 EB 17 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 38 E8 ?? ?? ?? ?? 8B F0 57 8D 45 FC 50 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 33 C9 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 37 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 }
	condition:
		$1
}

rule function_34883_0 {
	meta:
		name = "TIdHeaderCoderUTF.Encode"
		size = 248
		refs = "0015 TIdHeaderCoderUTF.Encode 0023 TArray<System.Byte> 0028 @DynArrayClear 0034 TextIsSame 003d TEncoding.GetUTF7 0056 TEncoding.GetUTF8 005d TEncoding.GetUnicode 0067 TEncoding.GetBytes 007d _Dn_TEncoding 0082 TEncoding.Convert 0092 @DynArrayAsg 00b2 @FinalizeArray 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 E8 ?? ?? ?? ?? 8B F0 EB 17 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 41 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 8D 4D F8 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 FC 50 E8 ?? ?? ?? ?? 8B D0 8B CE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 37 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 }
	condition:
		$1
}

rule function_34884_0 {
	meta:
		name = "TIdHeaderCoderUTF.CanHandle"
		size = 100
		refs = "0009 TIdHeaderCoderUTF.CanHandle 0026 PosInStrArray"
	strings:
		$1 = { 53 83 C4 F8 8B DA 6A 00 B8 ?? ?? ?? ?? 89 44 24 04 B8 ?? ?? ?? ?? 89 44 24 08 8D 54 24 04 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 40 0F 9F C0 59 5A 5B C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 37 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 }
	condition:
		$1
}

rule function_34887_0 {
	meta:
		name = "TIdHeaderList.AddStdValues"
		size = 185
		refs = "0015 TIdHeaderList.AddStdValues 0023 TStrings.BeginUpdate 004e TStrings.GetValueFromIndex 005a TStrings.GetName 0068 TIdHeaderList.AddValue 0081 TStrings.EndUpdate 0087 @HandleFinally 009e @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2D 46 33 DB 8D 4D FC 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 4D F4 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D FC 8B 45 F8 E8 ?? ?? ?? ?? 43 4E 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40942_0 {
	meta:
		name = "TInHeaderList.AddStdValues"
		size = 185
		refs = "0015 TInHeaderList.AddStdValues 0023 TStrings.BeginUpdate 004e TStrings.GetValueFromIndex 005a TStrings.GetName 0068 TInHeaderList.AddValue 0081 TStrings.EndUpdate 0087 @HandleFinally 009e @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2D 46 33 DB 8D 4D FC 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 4D F4 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D FC 8B 45 F8 E8 ?? ?? ?? ?? 43 4E 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34888_0 {
	meta:
		name = "TIdHeaderList.AddValue"
		size = 163
		refs = "0016 TIdHeaderList.AddValue 0048 @UStrCatN 0055 TIdHeaderList.FoldAndInsert 0090 @UStrArrayClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 56 85 FF 74 52 33 D2 8B C3 8B 08 FF 51 38 89 45 FC 80 7B 5D 00 74 21 56 FF 73 58 57 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? EB 1F 56 FF 73 58 57 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 FC 8B C3 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40943_0 {
	meta:
		name = "TInHeaderList.AddValue"
		size = 163
		refs = "0016 TInHeaderList.AddValue 0048 @UStrCatN 0055 TInHeaderList.FoldAndInsert 0090 @UStrArrayClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 56 85 FF 74 52 33 D2 8B C3 8B 08 FF 51 38 89 45 FC 80 7B 5D 00 74 21 56 FF 73 58 57 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? EB 1F 56 FF 73 58 57 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 FC 8B C3 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34889_0 {
	meta:
		name = "TIdHeaderList.AddStrings"
		size = 47
		refs = "000a _DV_TIdHeaderList 000f @IsClass 001c TStrings.AddStrings 0028 TIdHeaderList.AddStdValues"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40944_0 {
	meta:
		name = "TInHeaderList.AddStrings"
		size = 47
		refs = "000a _DV_TInHeaderList 000f @IsClass 001c TStrings.AddStrings 0028 TInHeaderList.AddStdValues"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34890_0 {
	meta:
		name = "TIdHeaderList.AssignTo"
		size = 64
		refs = "000a _Dn_TStrings 000f @IsClass 001b _DV_TIdHeaderList 002d TIdHeaderList.ConvertToStdValues 0039 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40945_0 {
	meta:
		name = "TInHeaderList.AssignTo"
		size = 64
		refs = "000a _Dn_TStrings 000f @IsClass 001b _DV_TInHeaderList 002d TInHeaderList.ConvertToStdValues 0039 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34891_0 {
	meta:
		name = "TIdHeaderList.ConvertToStdValues"
		size = 228
		refs = "0018 TIdHeaderList.ConvertToStdValues 0026 TStrings.BeginUpdate 0046 TIdHeaderList.GetName 0052 TIdHeaderList.GetValueFromLine 006a @UStrCatN 0095 TStrings.EndUpdate 009b @HandleFinally 00b2 @UStrClr 00bf @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 89 55 F4 8B D8 8D 75 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 06 EB 3B 8D 4D FC 8B 16 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 8B 08 FF 51 38 8B C3 8B 10 FF 52 14 3B 06 7F BA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_40946_0 {
	meta:
		name = "TInHeaderList.ConvertToStdValues"
		size = 228
		refs = "0018 TInHeaderList.ConvertToStdValues 0026 TStrings.BeginUpdate 0046 TInHeaderList.GetName 0052 TInHeaderList.GetValueFromLine 006a @UStrCatN 0095 TStrings.EndUpdate 009b @HandleFinally 00b2 @UStrClr 00bf @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 89 55 F4 8B D8 8D 75 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 06 EB 3B 8D 4D FC 8B 16 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 8B 08 FF 51 38 8B C3 8B 10 FF 52 14 3B 06 7F BA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_34892_0 {
	meta:
		name = "TIdHeaderList.Create"
		size = 116
		refs = "000e @ClassCreate 001e TStringList.Create 0026 TIdHeaderList.Create 002b @UStrAsg 004a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 5C 01 C6 46 5D 01 C7 46 60 4E 00 00 00 88 5E 64 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_40947_0 {
	meta:
		name = "TInHeaderList.Create"
		size = 116
		refs = "000e @ClassCreate 001e TStringList.Create 0026 TInHeaderList.Create 002b @UStrAsg 004a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 5C 01 C6 46 5D 01 C7 46 60 4E 00 00 00 88 5E 64 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_34893_0 {
	meta:
		name = "TIdHeaderList.DeleteFoldedLines"
		size = 152
		refs = "0010 TIdHeaderList.DeleteFoldedLines 0056 CharIsInSet 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 46 8B C3 8B 10 FF 52 14 3B F0 7D 38 EB 09 8B D6 8B C3 8B 08 FF 51 48 8B C3 8B 10 FF 52 14 3B F0 7D 22 8D 4D FC 8B D6 8B C3 8B 38 FF 57 0C 8B 45 FC B9 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 09 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_40948_0 {
	meta:
		name = "TInHeaderList.DeleteFoldedLines"
		size = 152
		refs = "0010 TInHeaderList.DeleteFoldedLines 0056 CharIsInSet 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 46 8B C3 8B 10 FF 52 14 3B F0 7D 38 EB 09 8B D6 8B C3 8B 08 FF 51 48 8B C3 8B 10 FF 52 14 3B F0 7D 22 8D 4D FC 8B D6 8B C3 8B 38 FF 57 0C 8B 45 FC B9 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 09 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_34894_0 {
	meta:
		name = "TIdHeaderList.Extract"
		size = 220
		refs = "001b TIdHeaderList.Extract 0033 TStrings.BeginUpdate 0055 TIdHeaderList.GetName 005f TextIsSame 0070 TIdHeaderList.GetValueFromLine 0087 TIdHeaderList.SkipValueAtLine 00a8 TStrings.EndUpdate 00ae @HandleFinally 00ca @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 89 5D F4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 85 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 EB 3F 8D 4D F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1A 8D 4D F0 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 08 FF 51 38 EB 0A 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 3B 45 F8 7F B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40949_0 {
	meta:
		name = "TInHeaderList.Extract"
		size = 220
		refs = "001b TInHeaderList.Extract 0033 TStrings.BeginUpdate 0055 TInHeaderList.GetName 005f TextIsSame 0070 TInHeaderList.GetValueFromLine 0087 TInHeaderList.SkipValueAtLine 00a8 TStrings.EndUpdate 00ae @HandleFinally 00ca @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 89 5D F4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 85 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 EB 3F 8D 4D F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1A 8D 4D F0 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 08 FF 51 38 EB 0A 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 3B 45 F8 7F B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34895_0 {
	meta:
		name = "TIdHeaderList.FoldAndInsert"
		size = 247
		refs = "001d @UStrAddRef 0025 TIdHeaderList.FoldAndInsert 0032 _Dn_TStringList 0037 TStringList.Create 0055 TIdHeaderList.FoldLineToList 00ba TObject.Free 00c0 @HandleFinally 00dc @UStrArrayClr 00e4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F4 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 8B D8 4B 8D 4D F0 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 4D F0 8B 55 F8 8B C6 8B 38 FF 57 20 4B 83 FB FF 7E 20 8D 4D EC 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 4D EC 8B 55 F8 8B C6 8B 38 FF 57 60 4B 83 FB FF 7F E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40950_0 {
	meta:
		name = "TInHeaderList.FoldAndInsert"
		size = 247
		refs = "001d @UStrAddRef 0025 TInHeaderList.FoldAndInsert 0032 _Dn_TStringList 0037 TStringList.Create 0055 TInHeaderList.FoldLineToList 00ba TObject.Free 00c0 @HandleFinally 00dc @UStrArrayClr 00e4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F4 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 8B D8 4B 8D 4D F0 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 4D F0 8B 55 F8 8B C6 8B 38 FF 57 20 4B 83 FB FF 7E 20 8D 4D EC 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 4D EC 8B 55 F8 8B C6 8B 38 FF 57 60 4B 83 FB FF 7F E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34896_0 {
	meta:
		name = "TIdHeaderList.FoldLine"
		size = 155
		refs = "0012 @UStrAddRef 001a TIdHeaderList.FoldLine 0027 _Dn_TStringList 002c TStringList.Create 004a TIdHeaderList.FoldLineToList 0059 @HandleAnyException 0066 TObject.Free 006b @RaiseAgain 0070 @DoneExcept 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40951_0 {
	meta:
		name = "TInHeaderList.FoldLine"
		size = 155
		refs = "0012 @UStrAddRef 001a TInHeaderList.FoldLine 0027 _Dn_TStringList 002c TStringList.Create 004a TInHeaderList.FoldLineToList 0059 @HandleAnyException 0066 TObject.Free 006b @RaiseAgain 0070 @DoneExcept 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34897_0 {
	meta:
		name = "TIdHeaderList.FoldLineToList"
		size = 288
		refs = "001a @UStrAddRef 0022 TIdHeaderList.FoldLineToList 0042 IndyWrapText 0050 TStrings.BeginUpdate 0073 Fetch 007e TrimRight 00a4 TStrings.EndUpdate 00aa @HandleFinally 00c6 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 60 50 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 74 64 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 EC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 8B 08 FF 51 38 83 7D F8 00 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 09 00 20 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 0D 00 0A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_40952_0 {
	meta:
		name = "TInHeaderList.FoldLineToList"
		size = 288
		refs = "001a @UStrAddRef 0022 TInHeaderList.FoldLineToList 0042 IndyWrapText 0050 TStrings.BeginUpdate 0073 Fetch 007e TrimRight 00a4 TStrings.EndUpdate 00aa @HandleFinally 00c6 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 60 50 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 74 64 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 EC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 8B 08 FF 51 38 83 7D F8 00 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 09 00 20 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 0D 00 0A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_34898_0 {
	meta:
		name = "TIdHeaderList.GetName"
		size = 134
		refs = "0019 TIdHeaderList.GetName 0036 TrimRight 003f IndyPos 0053 @UStrSetLength 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC 8B C6 8B 38 FF 57 0C 8D 55 F8 8B 46 58 E8 ?? ?? ?? ?? 8B 45 F8 8B 35 ?? ?? ?? ?? 8B 36 8B 13 FF D6 85 C0 74 0C 8B D0 4A 8B C3 E8 ?? ?? ?? ?? EB 09 8B C3 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_40953_0 {
	meta:
		name = "TInHeaderList.GetName"
		size = 134
		refs = "0019 TInHeaderList.GetName 0036 TrimRight 003f IndyPos 0053 @UStrSetLength 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC 8B C6 8B 38 FF 57 0C 8D 55 F8 8B 46 58 E8 ?? ?? ?? ?? 8B 45 F8 8B 35 ?? ?? ?? ?? 8B 36 8B 13 FF D6 85 C0 74 0C 8B D0 4A 8B C3 E8 ?? ?? ?? ?? EB 09 8B C3 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34899_0 {
	meta:
		name = "TIdHeaderList.GetValue"
		size = 38
		refs = "000f TIdHeaderList.IndexOfName 001d TIdHeaderList.GetValueFromLine"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B CF 8B D4 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40954_0 {
	meta:
		name = "TInHeaderList.GetValue"
		size = 38
		refs = "000f TInHeaderList.IndexOfName 001d TInHeaderList.GetValueFromLine"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B CF 8B D4 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34900_0 {
	meta:
		name = "TIdHeaderList.GetValueFromLine"
		size = 384
		refs = "0021 TIdHeaderList.GetValueFromLine 0058 TrimRight 005e IndyPos 008d @UStrCopy 0098 TrimLeft 00be CharIsInSet 00cf Trim 00f2 @UStrCatN 0117 @UStrAsg 0121 @UStrClr 013b @UStrArrayClr 014e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3B 00 0F 8C E9 00 00 00 8B C6 8B 10 FF 52 14 3B 03 0F 8E DA 00 00 00 8D 4D FC 8B 13 8B C6 8B 38 FF 57 0C FF 03 8D 55 F8 8B 46 58 E8 ?? ?? ?? ?? 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 FC 8B 45 F8 FF D7 89 45 F0 8B 7D F8 85 FF 74 05 83 EF 04 8B 3F 8D 45 EC 50 8B 55 F0 03 D7 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8B 55 F4 E8 ?? ?? ?? ?? 80 7E 5C 00 74 61 EB 54 8D 4D FC 8B 13 8B C6 8B 38 FF 57 0C B9 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3D 8D 55 E8 8B 45 F4 8B 00 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? FF 75 E4 8B 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 03 8B C6 8B 10 FF 52 14 3B 03 7F A1 8D 55 E0 8B 45 F4 8B 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 E8 ?? ?? ?? ?? EB 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 09 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_40955_0 {
	meta:
		name = "TInHeaderList.GetValueFromLine"
		size = 384
		refs = "0021 TInHeaderList.GetValueFromLine 0058 TrimRight 005e IndyPos 008d @UStrCopy 0098 TrimLeft 00be CharIsInSet 00cf Trim 00f2 @UStrCatN 0117 @UStrAsg 0121 @UStrClr 013b @UStrArrayClr 014e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3B 00 0F 8C E9 00 00 00 8B C6 8B 10 FF 52 14 3B 03 0F 8E DA 00 00 00 8D 4D FC 8B 13 8B C6 8B 38 FF 57 0C FF 03 8D 55 F8 8B 46 58 E8 ?? ?? ?? ?? 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 FC 8B 45 F8 FF D7 89 45 F0 8B 7D F8 85 FF 74 05 83 EF 04 8B 3F 8D 45 EC 50 8B 55 F0 03 D7 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8B 55 F4 E8 ?? ?? ?? ?? 80 7E 5C 00 74 61 EB 54 8D 4D FC 8B 13 8B C6 8B 38 FF 57 0C B9 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3D 8D 55 E8 8B 45 F4 8B 00 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? FF 75 E4 8B 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 03 8B C6 8B 10 FF 52 14 3B 03 7F A1 8D 55 E0 8B 45 F4 8B 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 E8 ?? ?? ?? ?? EB 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 09 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34901_0 {
	meta:
		name = "TIdHeaderList.SkipValueAtLine"
		size = 156
		refs = "0010 TIdHeaderList.SkipValueAtLine 004e CharIsInSet 0074 @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3B 00 7C 44 8B C6 8B 10 FF 52 14 3B 03 7E 39 FF 03 80 7E 5C 00 74 31 EB 24 8D 4D FC 8B 13 8B C6 8B 38 FF 57 0C 8B 45 FC B9 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 0D FF 03 8B C6 8B 10 FF 52 14 3B 03 7F D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 09 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_40956_0 {
	meta:
		name = "TInHeaderList.SkipValueAtLine"
		size = 156
		refs = "0010 TInHeaderList.SkipValueAtLine 004e CharIsInSet 0074 @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3B 00 7C 44 8B C6 8B 10 FF 52 14 3B 03 7E 39 FF 03 80 7E 5C 00 74 31 EB 24 8D 4D FC 8B 13 8B C6 8B 38 FF 57 0C 8B 45 FC B9 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 0D FF 03 8B C6 8B 10 FF 52 14 3B 03 7F D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 09 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_34902_0 {
	meta:
		name = "TIdHeaderList.GetParam"
		size = 308
		refs = "001c TIdHeaderList.GetParam 002e TIdHeaderList.GetValue 0067 PosInStrArray 00a2 ExtractHeaderSubItem 00ab @UStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 70 0F B6 43 64 8B D8 8B C3 FE C8 74 06 FE C8 74 2A EB 4E 6A 00 B8 ?? ?? ?? ?? 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 8D 55 F0 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 40 74 2A B3 02 EB 26 6A 00 B8 ?? ?? ?? ?? 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 8D 55 F0 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 40 75 02 B3 01 57 8B CB 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_40957_0 {
	meta:
		name = "TInHeaderList.GetParam"
		size = 308
		refs = "001c TInHeaderList.GetParam 002e TInHeaderList.GetValue 0067 PosInStrArray 00a2 ExtractHeaderSubItem 00ab @UStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 70 0F B6 43 64 8B D8 8B C3 FE C8 74 06 FE C8 74 2A EB 4E 6A 00 B8 ?? ?? ?? ?? 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 8D 55 F0 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 40 74 2A B3 02 EB 26 6A 00 B8 ?? ?? ?? ?? 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 8D 55 F0 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 40 75 02 B3 01 57 8B CB 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_34903_0 {
	meta:
		name = "TIdHeaderList.GetAllParams"
		size = 148
		refs = "0014 TIdHeaderList.GetAllParams 0026 TIdHeaderList.GetValue 0041 Fetch 004b Trim 0054 @UStrClr 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 21 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_40958_0 {
	meta:
		name = "TInHeaderList.GetAllParams"
		size = 148
		refs = "0014 TInHeaderList.GetAllParams 0026 TInHeaderList.GetValue 0041 Fetch 004b Trim 0054 @UStrClr 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 21 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_34904_0 {
	meta:
		name = "TIdHeaderList.IndexOfName"
		size = 132
		refs = "0017 TIdHeaderList.IndexOfName 0041 TIdHeaderList.GetName 004c TextIsSame 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 FF FF FF FF 8B C7 8B 10 FF 52 14 8B F0 4E 85 F6 7C 27 46 33 DB 8D 4D F4 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 05 89 5D F8 EB 04 43 4E 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40959_0 {
	meta:
		name = "TInHeaderList.IndexOfName"
		size = 132
		refs = "0017 TInHeaderList.IndexOfName 0041 TInHeaderList.GetName 004c TextIsSame 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 FF FF FF FF 8B C7 8B 10 FF 52 14 8B F0 4E 85 F6 7C 27 46 33 DB 8D 4D F4 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 05 89 5D F8 EB 04 43 4E 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34905_0 {
	meta:
		name = "TIdHeaderList.SetValue"
		size = 217
		refs = "0017 TIdHeaderList.SetValue 0026 TIdHeaderList.IndexOfName 004c TIdHeaderList.DeleteFoldedLines 0060 @UStrCatN 006c TIdHeaderList.FoldAndInsert 00c6 @UStrArrayClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 83 7D FC 00 74 62 85 DB 7D 0B 33 D2 8B C6 8B 08 FF 51 38 8B D8 80 7E 5D 00 74 2B 8B D3 8B C6 E8 ?? ?? ?? ?? 57 FF 76 58 FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B CB 8B C6 E8 ?? ?? ?? ?? EB 3E 57 FF 76 58 FF 75 FC 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8B D3 8B C6 8B 18 FF 53 20 EB 1C 85 DB 7C 18 80 7E 5D 00 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40960_0 {
	meta:
		name = "TInHeaderList.SetValue"
		size = 217
		refs = "0017 TInHeaderList.SetValue 0026 TInHeaderList.IndexOfName 004c TInHeaderList.DeleteFoldedLines 0060 @UStrCatN 006c TInHeaderList.FoldAndInsert 00c6 @UStrArrayClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 83 7D FC 00 74 62 85 DB 7D 0B 33 D2 8B C6 8B 08 FF 51 38 8B D8 80 7E 5D 00 74 2B 8B D3 8B C6 E8 ?? ?? ?? ?? 57 FF 76 58 FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B CB 8B C6 E8 ?? ?? ?? ?? EB 3E 57 FF 76 58 FF 75 FC 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8B D3 8B C6 8B 18 FF 53 20 EB 1C 85 DB 7C 18 80 7E 5D 00 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34906_0 {
	meta:
		name = "TIdHeaderList.SetParam"
		size = 312
		refs = "001c TIdHeaderList.SetParam 0053 PosInStrArray 0091 TIdHeaderList.GetValue 009f ReplaceHeaderSubItem 00ab TIdHeaderList.SetValue 00c5 @UStrArrayClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 5D EC 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 5E 64 8B C3 FE C8 74 06 FE C8 74 2A EB 4E 6A 00 B8 ?? ?? ?? ?? 89 45 F4 B8 ?? ?? ?? ?? 89 45 F8 8D 55 F4 B9 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 40 74 2A B3 02 EB 26 6A 00 B8 ?? ?? ?? ?? 89 45 F4 B8 ?? ?? ?? ?? 89 45 F8 8D 55 F4 B9 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 40 75 02 B3 01 53 8D 45 F0 50 8D 4D EC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8B 4D 08 8B 55 FC E8 ?? ?? ?? ?? 8B 4D F0 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_40961_0 {
	meta:
		name = "TInHeaderList.SetParam"
		size = 312
		refs = "001c TInHeaderList.SetParam 0053 PosInStrArray 0091 TInHeaderList.GetValue 009f ReplaceHeaderSubItem 00ab TInHeaderList.SetValue 00c5 @UStrArrayClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 5D EC 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 5E 64 8B C3 FE C8 74 06 FE C8 74 2A EB 4E 6A 00 B8 ?? ?? ?? ?? 89 45 F4 B8 ?? ?? ?? ?? 89 45 F8 8D 55 F4 B9 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 40 74 2A B3 02 EB 26 6A 00 B8 ?? ?? ?? ?? 89 45 F4 B8 ?? ?? ?? ?? 89 45 F8 8D 55 F4 B9 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 40 75 02 B3 01 53 8D 45 F0 50 8D 4D EC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8B 4D 08 8B 55 FC E8 ?? ?? ?? ?? 8B 4D F0 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_34907_0 {
	meta:
		name = "TIdHeaderList.SetAllParams"
		size = 172
		refs = "0014 TIdHeaderList.SetAllParams 0026 TIdHeaderList.GetValue 0037 ExtractHeaderItem 0042 @UStrLAsg 005c @UStrCatN 0068 TIdHeaderList.SetValue 0082 @UStrArrayClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 3C 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 85 FF 74 16 FF 75 FC 68 ?? ?? ?? ?? 57 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_40962_0 {
	meta:
		name = "TInHeaderList.SetAllParams"
		size = 172
		refs = "0014 TInHeaderList.SetAllParams 0026 TInHeaderList.GetValue 0037 ExtractHeaderItem 0042 @UStrLAsg 005c @UStrCatN 0068 TInHeaderList.SetValue 0082 @UStrArrayClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 3C 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 85 FF 74 16 FF 75 FC 68 ?? ?? ?? ?? 57 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_34913_0 {
	meta:
		name = "TIdHMACKeyBuilder.IV"
		size = 68
		refs = "0011 TArray<System.Byte> 0016 @DynArraySetLength 0020 @DynArrayHigh 0033 Random"
		altNames = "TIdHMACKeyBuilder.Key"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 53 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 07 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 16 43 33 F6 B8 FF 00 00 00 E8 ?? ?? ?? ?? 8B 17 88 04 32 46 4B 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34915_0 {
	meta:
		name = "TIdHMAC.Create"
		size = 113
		refs = "000b @ClassCreate 0018 TObject.Create 0028 TArray<System.Byte> 002d @DynArraySetLength 003d IsHMACAvail 005d @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 46 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 8B 10 FF 52 04 8B 3D ?? ?? ?? ?? 8B 3F FF D7 84 C0 74 07 33 C0 89 46 10 EB 06 8B C6 8B 10 FF 12 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34917_0 {
	meta:
		name = "TIdHMAC.HashValueNative"
		size = 537
		refs = "001d TIdHMAC.HashValueNative 002a TIdHMAC.InitKey 003e TArray<System.Byte> 0043 @DynArrayCopyRange 005a @DynArraySetLength 0065 @DynArrayLength 0087 @DynArrayHigh 009d CInnerPad 00c6 CopyTIdBytes 00d4 TIdHash.HashBytes 0127 COuterPad 016f @DynArrayAsg 01f2 @DynArrayClear 0205 @FinalizeArray 020b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D EC 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 68 FF FF FF 7F 8D 45 F4 50 8B 43 0C 33 C9 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 50 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F0 E8 ?? ?? ?? ?? 03 43 08 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 85 D2 7C 1A 42 33 C0 8B 4D F4 0F B6 0C 01 32 0D ?? ?? ?? ?? 8B 75 FC 88 0C 06 40 4A 75 E9 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 4D FC 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8D 4D F8 8B 43 10 8B 55 FC E8 ?? ?? ?? ?? 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 08 03 43 04 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 85 D2 7C 1A 42 33 C0 8B 4D F4 0F B6 0C 01 32 0D ?? ?? ?? ?? 8B 75 FC 88 0C 06 40 4A 75 E9 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8D 4D FC 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D E8 8B 43 10 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 7D EC FF 7E 1A 8B 45 EC 50 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34918_0 {
	meta:
		name = "TIdHMAC.HashValueIntF"
		size = 267
		refs = "001b TIdHMAC.HashValueIntF 0032 _DV_TIdHMACKeyBuilder 0037 TIdHMACKeyBuilder.Key 0043 TArray<System.Byte> 0048 @DynArrayAsg 0069 UpdateHMACInst 0085 FinalHMACInst 00a6 @HandleFinally 00b8 @DynArrayLength 00d4 @DynArraySetLength 00f7 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 89 5D F4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 75 21 8D 4D F4 8B 53 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 43 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 0C 8B C3 8B 08 FF 51 0C 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8B 1B 8B D6 8B 45 F8 FF D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8D 55 F0 8B 45 F8 FF D3 8B 55 F0 8B 45 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 83 7D FC FF 7E 29 8B 45 08 8B 00 E8 ?? ?? ?? ?? 3B 45 FC 7E 1A 8B 45 FC 50 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34919_0 {
	meta:
		name = "TIdHMAC.HashValue"
		size = 156
		refs = "0014 TIdHMAC.HashValue 0034 TIdHMAC.HashValueIntF 0040 TArray<System.Byte> 0045 @DynArrayAsg 0056 TIdHMAC.HashValueNative 0087 @FinalizeArray 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 08 84 C0 74 22 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 20 8D 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34920_0 {
	meta:
		name = "TIdHMAC.InitKey"
		size = 154
		refs = "000e TIdHMAC.InitKey 0025 _DV_TIdHMACKeyBuilder 002a TIdHMACKeyBuilder.Key 0036 TArray<System.Byte> 003b @DynArrayAsg 0045 @DynArrayLength 0058 TIdHash.HashBytes 0089 @FinalizeArray 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 75 23 8D 4D FC 8B 53 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 43 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2C 8B 43 0C E8 ?? ?? ?? ?? 3B 43 08 7E 1F 8D 4D F8 8B 53 0C 8B 43 10 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34924_0 {
	meta:
		name = "TIdHMACMD5.InitHash"
		size = 20
		refs = "0006 _Dn_TIdHashMessageDigest5 000b TIdHashMessageDigest4.Create"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 5B C3 }
	condition:
		$1
}

rule function_34930_0 {
	meta:
		name = "TIdHMACSHA1.InitHash"
		size = 20
		refs = "0006 _Dn_TIdHashSHA1 000b TIdHashSHA1.Create"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 5B C3 }
	condition:
		$1
}

rule function_34934_0 {
	meta:
		name = "TIdHMACSHA224.InitHash"
		size = 20
		refs = "0006 _Dn_TIdHashSHA224 000b TIdHash.Create"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 5B C3 }
	condition:
		$1
}

rule function_34938_0 {
	meta:
		name = "TIdHMACSHA256.InitHash"
		size = 20
		refs = "0006 _Dn_TIdHashSHA256 000b TIdHash.Create"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 5B C3 }
	condition:
		$1
}

rule function_34942_0 {
	meta:
		name = "TIdHMACSHA384.InitHash"
		size = 20
		refs = "0006 _Dn_TIdHashSHA384 000b TIdHash.Create"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 5B C3 }
	condition:
		$1
}

rule function_34946_0 {
	meta:
		name = "TIdHMACSHA512.InitHash"
		size = 20
		refs = "0006 _Dn_TIdHashSHA512 000b TIdHash.Create"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 5B C3 }
	condition:
		$1
}

rule function_34925_0 {
	meta:
		name = "TIdHMACMD5.InitIntFInst"
		size = 15
		refs = "0003 GetHMACMD5HashInst"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B 8B C2 FF D3 5B C3 }
	condition:
		$1
}

rule function_34931_0 {
	meta:
		name = "TIdHMACSHA1.InitIntFInst"
		size = 15
		refs = "0003 GetHMACSHA1HashInst"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B 8B C2 FF D3 5B C3 }
	condition:
		$1
}

rule function_34935_0 {
	meta:
		name = "TIdHMACSHA224.InitIntFInst"
		size = 15
		refs = "0003 GetHMACSHA224HashInst"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B 8B C2 FF D3 5B C3 }
	condition:
		$1
}

rule function_34939_0 {
	meta:
		name = "TIdHMACSHA256.InitIntFInst"
		size = 15
		refs = "0003 GetHMACSHA256HashInst"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B 8B C2 FF D3 5B C3 }
	condition:
		$1
}

rule function_34943_0 {
	meta:
		name = "TIdHMACSHA384.InitIntFInst"
		size = 15
		refs = "0003 GetHMACSHA384HashInst"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B 8B C2 FF D3 5B C3 }
	condition:
		$1
}

rule function_34947_0 {
	meta:
		name = "TIdHMACSHA512.InitIntFInst"
		size = 15
		refs = "0003 GetHMACSHA512HashInst"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B 8B C2 FF D3 5B C3 }
	condition:
		$1
}

rule function_39788_0 {
	meta:
		name = "TIdProc.GetHMACSHA1HashInst"
		size = 15
		refs = "0003 GetHMACSHA1HashInst"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B 8B C2 FF D3 5B C3 }
	condition:
		$1
}

rule function_39789_0 {
	meta:
		name = "TIdProc.GetHMACSHA256HashInst"
		size = 15
		refs = "0003 GetHMACSHA256HashInst"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B 8B C2 FF D3 5B C3 }
	condition:
		$1
}

rule function_34926_0 {
	meta:
		name = "TIdHMACMD5.IsIntFAvail"
		size = 36
		refs = "0006 TIdHMAC.IsIntFAvail 0010 IsHMACMD5Avail"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_34932_0 {
	meta:
		name = "TIdHMACSHA1.IsIntFAvail"
		size = 36
		refs = "0006 TIdHMAC.IsIntFAvail 0010 IsHMACSHA1Avail"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_34936_0 {
	meta:
		name = "TIdHMACSHA224.IsIntFAvail"
		size = 36
		refs = "0006 TIdHMAC.IsIntFAvail 0010 IsHMACSHA224Avail"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_34940_0 {
	meta:
		name = "TIdHMACSHA256.IsIntFAvail"
		size = 36
		refs = "0006 TIdHMAC.IsIntFAvail 0010 IsHMACSHA256Avail"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_34944_0 {
	meta:
		name = "TIdHMACSHA384.IsIntFAvail"
		size = 36
		refs = "0006 TIdHMAC.IsIntFAvail 0010 IsHMACSHA384Avail"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_34948_0 {
	meta:
		name = "TIdHMACSHA512.IsIntFAvail"
		size = 36
		refs = "0006 TIdHMAC.IsIntFAvail 0010 IsHMACSHA512Avail"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 1D ?? ?? ?? ?? 8B 1B FF D3 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_34927_0 {
	meta:
		name = "TIdHMACMD5.SetHashVars"
		size = 52
		refs = "0007 TIdHMACMD5.SetHashVars 000c @UStrAsg"
	strings:
		$1 = { 53 8B D8 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 43 04 10 00 00 00 C7 43 08 40 00 00 00 5B C3 B0 04 02 00 FF FF FF FF 03 00 00 00 4D 00 44 00 35 00 00 00 }
	condition:
		$1
}

rule function_34933_0 {
	meta:
		name = "TIdHMACSHA1.SetHashVars"
		size = 56
		refs = "0015 TIdHMACSHA1.SetHashVars 001a @UStrAsg"
	strings:
		$1 = { 53 8B D8 C7 43 04 14 00 00 00 C7 43 08 40 00 00 00 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 48 00 41 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_34937_0 {
	meta:
		name = "TIdHMACSHA224.SetHashVars"
		size = 60
		refs = "0015 TIdHMACSHA224.SetHashVars 001a @UStrAsg"
	strings:
		$1 = { 53 8B D8 C7 43 04 1C 00 00 00 C7 43 08 40 00 00 00 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 48 00 41 00 32 00 32 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_34941_0 {
	meta:
		name = "TIdHMACSHA256.SetHashVars"
		size = 60
		refs = "0015 TIdHMACSHA256.SetHashVars 001a @UStrAsg"
	strings:
		$1 = { 53 8B D8 C7 43 04 20 00 00 00 C7 43 08 40 00 00 00 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 48 00 41 00 32 00 35 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_34945_0 {
	meta:
		name = "TIdHMACSHA384.SetHashVars"
		size = 60
		refs = "0015 TIdHMACSHA384.SetHashVars 001a @UStrAsg"
	strings:
		$1 = { 53 8B D8 C7 43 04 30 00 00 00 C7 43 08 80 00 00 00 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 48 00 41 00 33 00 38 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_34949_0 {
	meta:
		name = "TIdHMACSHA512.SetHashVars"
		size = 60
		refs = "0015 TIdHMACSHA512.SetHashVars 001a @UStrAsg"
	strings:
		$1 = { 53 8B D8 C7 43 04 40 00 00 00 C7 43 08 80 00 00 00 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 48 00 41 00 35 00 31 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_34952_0 {
	meta:
		name = "EIdHTTPProtocolException.CreateError"
		size = 74
		refs = "000d @ClassCreate 001e EIdReplyRFCError.CreateError 0029 @UStrAsg 0034 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 0C 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 1C 8B 55 08 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_34953_0 {
	meta:
		name = "IsContentTypeHtml"
		size = 128
		refs = "0007 IsContentTypeHtml 0022 IsHeaderMediaTypes"
	strings:
		$1 = { 53 83 C4 F8 8B D8 B8 ?? ?? ?? ?? 89 04 24 B8 ?? ?? ?? ?? 89 44 24 04 8B D4 B9 01 00 00 00 8B 43 4C E8 ?? ?? ?? ?? 59 5A 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 2D 00 73 00 61 00 6E 00 64 00 62 00 6F 00 78 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_34954_0 {
	meta:
		name = "IsContentTypeAppXml"
		size = 396
		refs = "0013 IsContentTypeAppXml 0041 IsHeaderMediaTypes 0054 IsHeaderMediaType 0068 ExtractHeaderMediaSubType 0075 TextEndsWith 008c @UStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 ?? ?? ?? ?? 89 45 F4 B8 ?? ?? ?? ?? 89 45 F8 B8 ?? ?? ?? ?? 89 45 FC 8D 55 F4 B9 02 00 00 00 8B 46 4C E8 ?? ?? ?? ?? 8B D8 84 DB 75 30 BA ?? ?? ?? ?? 8B 46 4C E8 ?? ?? ?? ?? 8B D8 80 F3 01 84 DB 74 1A 8D 55 F0 8B 46 4C E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 6D 00 6C 00 2D 00 65 00 78 00 74 00 65 00 72 00 6E 00 61 00 6C 00 2D 00 70 00 61 00 72 00 73 00 65 00 64 00 2D 00 65 00 6E 00 74 00 69 00 74 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 6D 00 6C 00 2D 00 64 00 74 00 64 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2B 00 78 00 6D 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_34955_0 {
	meta:
		name = "TIdCustomHTTP.Destroy"
		size = 102
		refs = "0003 @BeforeDestruction 001a TObject.Free 0049 TIdCustomHTTP.SetCookieManager 0054 TIdTCPConnection.Destroy 005f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 48 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 44 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 4C 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34956_0 {
	meta:
		name = "TIdCustomHTTP.Delete"
		size = 124
		refs = "000e @UStrAddRef 0016 TIdCustomHTTP.Delete 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8D 45 FC 50 6A FF 8B 4D FC BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_34957_0 {
	meta:
		name = "TIdCustomHTTP.Options"
		size = 124
		refs = "000e @UStrAddRef 0016 TIdCustomHTTP.Options 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8D 45 FC 50 6A FF 8B 4D FC BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 53 00 00 00 }
	condition:
		$1
}

rule function_34958_0 {
	meta:
		name = "TIdCustomHTTP.Get"
		size = 87
		refs = "0011 @UStrAddRef 0019 TIdCustomHTTP.Get 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 6A FF 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34959_0 {
	meta:
		name = "TIdCustomHTTP.Trace"
		size = 120
		refs = "0011 @UStrAddRef 0019 TIdCustomHTTP.Trace 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 56 8D 45 FC 50 6A FF 8B 4D FC BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 52 00 41 00 43 00 45 00 00 00 }
	condition:
		$1
}

rule function_34961_0 {
	meta:
		name = "TIdCustomHTTP.Post"
		size = 232
		refs = "0013 @UStrAddRef 001b TIdCustomHTTP.Post 005c TIdTCPConnection.Disconnect 00a4 @HandleFinally 00bb @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 0F B6 80 34 01 00 00 88 45 F7 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 F6 80 41 01 00 00 02 75 1E 8B 45 F8 8B 10 FF 52 74 84 C0 74 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 C6 80 34 01 00 00 00 53 8B 45 08 50 8D 45 F4 50 6A FF 8B 4D FC BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 45 F7 8B 55 F8 88 82 34 01 00 00 C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_34962_0 {
	meta:
		name = "WWWFormUrlEncode"
		size = 588
		refs = "0023 WWWFormUrlEncode 0030 @UStrClr 0039 TArray<System.Byte> 003e @DynArrayClear 0052 EnsureEncoding 0073 @DynArraySetLength 0096 @UStrCat 00a3 SafeChars 00a8 WideCharIsInSet 00b6 @UStrFromWChar 00d1 CalcUTF16CharLength 00ec TEncoding.GetBytes 016b IntToHex 017a @UStrCatN 018f GetUTF16Codepoint 01a4 IntToStr 01c3 @UStrLen 01e5 @UStrArrayClr 01f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 89 5D DC 89 5D FC 8B F1 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 83 01 00 00 8D 45 F4 B2 04 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 45 F4 8B 08 FF 51 1C 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB E9 3E 01 00 00 8B 45 F8 0F B7 3C 58 66 83 FF 20 75 12 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 E9 1F 01 00 00 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8D 45 DC 8B D7 E8 ?? ?? ?? ?? 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 43 E9 F5 00 00 00 8D 53 01 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 FC 50 6A 00 8D 4B 01 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 0F 9F 45 E7 80 7D E7 00 74 37 66 83 FF 3F 74 31 8B 45 E8 48 85 C0 7C 29 40 89 45 E0 C7 45 F0 00 00 00 00 8B 45 FC 8B 55 F0 0F B6 04 10 66 83 F8 3F 75 06 C6 45 E7 00 EB 08 FF 45 F0 FF 4D E0 75 E2 80 7D E7 00 74 4A 8B 45 E8 48 85 C0 7C 76 40 89 45 E0 C7 45 F0 00 00 00 00 FF 36 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F0 0F B6 04 10 8D 4D D8 BA 02 00 00 00 E8 ?? ?? ?? ?? FF 75 D8 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 F0 FF 4D E0 75 CB EB 34 8D 53 01 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 FF 36 68 ?? ?? ?? ?? 8D 55 D4 8B 45 F0 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? 03 5D EC 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 0F 8C B2 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 26 00 23 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_34963_0 {
	meta:
		name = "EncodeLineBreaks"
		size = 192
		refs = "0013 EncodeLineBreaks 0041 Trim 0053 StringReplace 0083 @UStrArrayClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 14 48 7E 32 0F B6 05 ?? ?? ?? ?? 50 56 8D 55 F8 8B C3 8B 08 FF 51 1C 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 14 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_34964_0 {
	meta:
		name = "TIdCustomHTTP.SetRequestParams"
		size = 416
		refs = "001f TIdCustomHTTP.SetRequestParams 0041 _Dn_TStringList 0046 TStringList.Create 008a IndyPos 00a7 TStrings.GetName 00b5 WWWFormUrlEncode 00ca TStrings.GetValueFromIndex 00e8 @UStrCatN 0125 EncodeLineBreaks 013a TObject.Free 0140 @HandleFinally 0156 @UStrClr 0170 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 F6 0F 84 21 01 00 00 F6 80 41 01 00 00 04 0F 84 08 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D6 8B 45 F4 8B 08 FF 51 08 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C A6 00 00 00 46 33 DB 8D 4D FC 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 FC B8 ?? ?? ?? ?? FF D7 85 C0 7E 5D 8D 4D E8 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 8D 4D EC 8B 55 F8 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 4D E0 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E0 8D 4D E4 8B 55 F8 E8 ?? ?? ?? ?? FF 75 E4 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F0 8B D3 8B 45 F4 8B 38 FF 57 20 EB 1B 8D 4D DC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D DC 8B D3 8B 45 F4 8B 38 FF 57 20 43 4E 0F 85 5D FF FF FF 8B 55 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 08 8B C6 E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_34965_0 {
	meta:
		name = "TIdCustomHTTP.Post"
		size = 156
		refs = "0013 @UStrAddRef 001b TIdCustomHTTP.Post 002a _Dn_TIdReadFileExclusiveStream 002f TIdReadFileExclusiveStream.Create 006b TObject.Free 0071 @HandleFinally 0088 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34967_0 {
	meta:
		name = "TIdCustomHTTP.Post"
		size = 360
		refs = "001c @UStrAddRef 0024 TIdCustomHTTP.Post 0031 TIdCustomHTTP.GetRequest 0043 IsContentTypeHtml 0058 TIdEntityHeaderInfo.SetContentType 0063 _Dn_TMemoryStream 0068 TObject.Create 008d TIdCustomHTTP.SetRequestParams 009b WriteStringToStream 00a7 TStream.SetPosition 00cf TObject.Free 00d5 @HandleFinally 00f9 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F1 89 55 FC 8B D8 8B 7D 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 78 4C 00 74 10 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 74 7B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 01 6A 00 8D 45 F4 50 8B 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 83 C9 FF 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 57 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 57 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 2D 00 77 00 77 00 77 00 2D 00 66 00 6F 00 72 00 6D 00 2D 00 75 00 72 00 6C 00 65 00 6E 00 63 00 6F 00 64 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_34968_0 {
	meta:
		name = "TIdCustomHTTP.Post"
		size = 206
		refs = "0018 @UStrAddRef 0020 TIdCustomHTTP.Post 002d _Dn_TMemoryStream 0032 TObject.Create 0063 TStream.SetPosition 006d TIdCustomHTTP.ResponseCharset 007b ReadStringAsCharset 0095 TObject.Free 009b @HandleFinally 00b2 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 50 8B 45 0C 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_34969_0 {
	meta:
		name = "TIdCustomHTTP.Post"
		size = 202
		refs = "0018 @UStrAddRef 0020 TIdCustomHTTP.Post 002d _Dn_TMemoryStream 0032 TObject.Create 005f TStream.SetPosition 0069 TIdCustomHTTP.ResponseCharset 0077 ReadStringAsCharset 0091 TObject.Free 0097 @HandleFinally 00ae @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34971_0 {
	meta:
		name = "TIdCustomHTTP.Put"
		size = 202
		refs = "0018 @UStrAddRef 0020 TIdCustomHTTP.Put 002d _Dn_TMemoryStream 0032 TObject.Create 005f TStream.SetPosition 0069 TIdCustomHTTP.ResponseCharset 0077 ReadStringAsCharset 0091 TObject.Free 0097 @HandleFinally 00ae @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_34970_0 {
	meta:
		name = "TIdCustomHTTP.Put"
		size = 120
		refs = "0011 @UStrAddRef 0019 TIdCustomHTTP.Put 0051 @UStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 45 08 50 8D 45 FC 50 6A FF 8B 4D FC BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 }
	condition:
		$1
}

rule function_34972_0 {
	meta:
		name = "TIdCustomHTTP.Get"
		size = 111
		refs = "0018 @UStrAddRef 0020 TIdCustomHTTP.Get 0043 @UStrAsg 005d @UStrArrayClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A FF 8D 45 F8 50 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_34973_0 {
	meta:
		name = "TIdCustomHTTP.Trace"
		size = 196
		refs = "0018 @UStrAddRef 0020 TIdCustomHTTP.Trace 002d _Dn_TMemoryStream 0032 TObject.Create 005c TStream.SetPosition 0066 TIdCustomHTTP.ResponseCharset 0073 ReadStringAsCharset 008d TObject.Free 0093 @HandleFinally 00aa @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B CE 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_34974_0 {
	meta:
		name = "TIdCustomHTTP.DoOnRedirect"
		size = 62
	strings:
		$1 = { 55 8B EC 51 53 0F B6 98 40 01 00 00 88 5D FF 66 83 B8 5A 01 00 00 00 74 1B 8D 5D 08 53 8D 5D FF 53 51 8B CA 8B D8 8B D0 8B 83 5C 01 00 00 FF 93 58 01 00 00 0F B6 45 FF 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_34975_0 {
	meta:
		name = "TIdCustomHTTP.SetCookies"
		size = 88
		refs = "0022 TIdCustomHTTP.SetCookies 002a TextIsSame 0035 TIdCookieManager.GenerateClientCookies"
	strings:
		$1 = { 53 56 57 55 8B E9 8B F2 8B D8 8B BB 18 01 00 00 85 FF 74 25 80 BB 2C 01 00 00 00 74 1C 8B 45 0C 50 BA ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 48 00 54 00 54 00 50 00 53 00 00 00 }
	condition:
		$1
}

rule function_34976_0 {
	meta:
		name = "TIdCustomHTTP.SetHostAndPort"
		size = 660
		refs = "0012 TIdCustomHTTP.SetHostAndPort 0046 TextIsSame 006e TIdTCPConnection.Disconnect 007f @UStrLAsg 00ab _Dn_TIdSSLIOHandlerSocketBase 00b0 @IsClass 00ca RSIOHandlerPropInvalid 00cf LoadResString 00d9 _Dn_EIdIOHandlerPropInvalid 00de EIdException.Create 00e3 @RaiseExcept 016f IndyStrToInt 025d @UStrArrayClr 0265 @UStrClr 026b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 4C 01 00 00 8B 40 10 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E EA 00 00 00 8B 87 4C 01 00 00 8B 50 10 8B 87 CC 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 12 0F B7 87 E4 00 00 00 8B 97 4C 01 00 00 3B 42 0C 74 12 8B C7 8B 10 FF 52 74 84 C0 74 07 8B C7 E8 ?? ?? ?? ?? 8D 45 FC 8B 9F 4C 01 00 00 8B 53 10 E8 ?? ?? ?? ?? 8B 73 0C 8B 87 44 01 00 00 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 53 8B 9F 98 00 00 00 85 DB 74 40 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E B2 01 8B C3 8B 08 FF 91 04 01 00 00 EB 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 FB 03 E9 3E 01 00 00 8B 9F 98 00 00 00 85 DB 74 1D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C B2 01 8B C3 8B 08 FF 91 04 01 00 00 C6 45 FB 02 E9 0E 01 00 00 8B 97 B0 00 00 00 85 D2 74 2B 8B 82 D8 00 00 00 85 C0 74 21 8B 97 44 01 00 00 0F B6 52 2C 3A 50 2D 74 12 8B C7 8B 10 FF 52 74 84 C0 74 07 8B C7 E8 ?? ?? ?? ?? 8D 45 FC 8B 9F 44 01 00 00 8B 53 18 E8 ?? ?? ?? ?? 8B 43 10 BA 50 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B 55 FC 8B 87 CC 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 0B 0F B7 87 E4 00 00 00 3B F0 74 12 8B C7 8B 10 FF 52 74 84 C0 74 07 8B C7 E8 ?? ?? ?? ?? 8B 87 44 01 00 00 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4C 8B 87 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 87 98 00 00 00 8B 08 FF 91 04 01 00 00 C6 45 FB 01 EB 27 8B 9F 98 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C B2 01 8B C3 8B 08 FF 91 04 01 00 00 C6 45 FB 00 8B 55 FC 8B C7 8B 08 FF 91 A0 00 00 00 8B D6 8B C7 8B 08 FF 91 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 48 00 54 00 54 00 50 00 53 00 00 00 }
	condition:
		$1
}

rule function_34977_0 {
	meta:
		name = "ChunkSize"
		size = 196
		refs = "000e ChunkSize 0022 TIdCustomHTTP.InternalReadLn 0028 IndyPos 004e @UStrCopy 0059 Trim 0069 @UStrCat3 0073 IndyStrToInt 008f @UStrArrayClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B D8 85 DB 7E 14 8D 45 FC 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_34978_0 {
	meta:
		name = "CheckForPendingData"
		size = 71
		refs = "0013 TIdIOHandler.InputBufferIsEmpty"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 08 8B 40 FC 8B 80 98 00 00 00 8B D3 8B 08 FF 91 88 00 00 00 8B 45 08 8B 40 FC 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 34 01 5B 5D C3 }
	condition:
		$1
}

rule function_34979_0 {
	meta:
		name = "ShouldRead"
		size = 380
		refs = "000b ShouldRead 0027 LowerCase 0030 IndyPos 0079 TextIsSame 00a2 TIdHTTPResponse.GetResponseCode 00ee CheckForPendingData 0135 @UStrClr 013b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 55 FC 8B 45 08 8B 40 F8 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 35 ?? ?? ?? ?? 8B 36 B8 ?? ?? ?? ?? FF D6 85 C0 7F 26 8B 45 08 8B 40 F8 83 78 2C 00 75 08 83 78 28 00 77 14 EB 02 7F 10 8B 45 08 8B 40 F8 80 78 7C 00 0F 85 BD 00 00 00 8B 45 08 8B 40 F4 8B 80 D0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 54 8B 45 08 8B 40 F4 8B 80 C4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 3A 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 48 74 24 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 3D CC 00 00 00 74 12 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 3D 30 01 00 00 75 22 8B 45 08 8B 40 FC F6 80 41 01 00 00 20 74 40 8B 45 08 50 B8 64 00 00 00 E8 ?? ?? ?? ?? 59 8B D8 EB 2D 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 83 F8 03 75 13 8B 45 08 50 B8 88 13 00 00 E8 ?? ?? ?? ?? 59 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 75 00 6E 00 6B 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 45 00 41 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_34980_0 {
	meta:
		name = "TIdCustomHTTP.ReadResult"
		size = 1220
		refs = "0024 TIdCustomHTTP.ReadResult 0030 ShouldRead 0046 IsContentTypeHtml 0080 _Dn_TCustomMemoryStream 0085 @IsClass 009a TIdCustomHTTP.GetResponse 00b0 _Dn_TMemoryStream 00b5 TObject.Create 011c PosInStrArray 0169 LowerCase 0172 IndyPos 018d RSHTTPChunkStarted 0192 LoadResString 01a9 TIdComponent.DoStatus 01cb ChunkSize 0208 TIdIOHandler.Discard 0213 TIdCustomHTTP.InternalReadLn 0269 @HandleFinally 02d9 @HandleOnException 02e1 _Dn_EIdConnClosedGracefully 02ea @DoneExcept 0325 TIdIOHandler.DiscardAll 0337 TStream.SetPosition 0398 TObject.Free 03c2 TIdMetaHTTPEquiv.ProcessMetaHTTPEquiv 03fd TStream.CopyFrom 0458 @UStrArrayClr 0460 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D D0 89 5D D4 89 5D F0 89 4D F8 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 05 04 00 00 33 C0 89 45 E0 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 F8 83 B8 B8 00 00 00 00 74 0C 8B 45 FC F6 80 41 01 00 00 10 74 04 33 C0 EB 02 B0 01 88 45 E7 80 7D E7 00 74 18 8B 45 F8 8B 80 B8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 88 45 E6 8B 45 FC E8 ?? ?? ?? ?? 8B 80 B8 00 00 00 89 45 E8 80 7D E6 00 74 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 89 98 B8 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 83 B8 B8 00 00 00 00 74 66 8B 45 FC 8B 98 1C 01 00 00 85 DB 74 34 8B C3 8B 10 FF 52 44 84 C0 74 29 6A 00 B8 ?? ?? ?? ?? 89 45 D8 B8 ?? ?? ?? ?? 89 45 DC 8D 55 D8 8B 45 F8 8B 40 1C B9 01 00 00 00 E8 ?? ?? ?? ?? 40 89 45 E0 83 7D E0 00 7E 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC EB 13 8B 45 F8 8B 80 B8 00 00 00 89 45 EC EB 05 33 C0 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 D4 8B 45 F8 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 85 C0 0F 8E E8 00 00 00 6A 00 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 89 45 D8 C6 45 DC 11 8D 4D D8 B2 05 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 33 D2 8B 45 FC 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 8B D8 85 DB 74 4E 83 7D EC 00 74 1D 8B C3 99 52 50 8B 45 FC 8B 80 98 00 00 00 33 C9 8B 55 EC 8B 18 FF 93 CC 00 00 00 EB 13 8B C3 99 52 50 8B 45 FC 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B D8 85 DB 75 B2 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? EB 19 8B 45 F8 8B 40 0C 8B 55 F0 8B 08 FF 51 38 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 83 7D F0 00 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 8B 45 F8 83 78 2C 00 75 08 83 78 28 00 76 72 EB 02 7E 6E 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D EC 00 74 21 8B 45 F8 FF 70 2C FF 70 28 8B 45 FC 8B 80 98 00 00 00 33 C9 8B 55 EC 8B 18 FF 93 CC 00 00 00 EB 17 8B 45 F8 FF 70 2C FF 70 28 8B 45 FC 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 51 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 39 8B 45 F8 80 78 7C 00 75 30 83 7D EC 00 74 1C 6A FF 6A FF 8B 45 FC 8B 80 98 00 00 00 B1 01 8B 55 EC 8B 18 FF 93 CC 00 00 00 EB 0E 8B 45 FC 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 83 7D E0 00 7E 4D 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E0 48 74 05 48 74 1E EB 36 8B 45 F8 8B 88 B8 00 00 00 8B 45 FC 8B 80 1C 01 00 00 8B 55 EC 8B 18 FF 53 58 EB 1A 8B 45 F8 8B 88 B8 00 00 00 8B 45 FC 8B 80 1C 01 00 00 8B 55 EC 8B 18 FF 53 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E0 00 7E 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 80 7D E7 00 74 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 90 B8 00 00 00 8B 45 F8 8B 80 C0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D E6 00 74 61 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 90 B8 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 80 B8 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 89 90 B8 00 00 00 C3 E9 ?? ?? ?? ?? EB D4 C3 E9 ?? ?? ?? ?? EB 91 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 6C 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 67 00 7A 00 69 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 75 00 6E 00 6B 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_34981_0 {
	meta:
		name = "BufferToLongWord"
		size = 59
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 0F B6 00 C1 E0 18 8B 55 08 8B 52 FC 0F B6 52 01 C1 E2 10 0B C2 8B 55 08 8B 52 FC 0F B6 52 02 C1 E2 08 0B C2 8B 55 08 8B 52 FC 0F B6 52 03 0B C2 5D C3 }
	condition:
		$1
}

rule function_34982_0 {
	meta:
		name = "DetectXmlCharset"
		size = 1312
		refs = "0027 DetectXmlCharset 0035 @UStrClr 003d TStream.GetPosition 005d TStream.SetPosition 006d TArray<System.Byte> 0072 @DynArraySetLength 0084 FillBytes 0095 ReadTIdBytesFromStream 00b0 @TryFinallyExit 00bb BufferToLongWord 00c7 XmlBOMs 00e5 @UStrAsg 011e XmlNonBOMs 0125 XmlUCS4AsciiIndex 01c8 @_lldiv 01d2 @UStrSetLength 0217 @UniqueStringU 023c TEncoding.GetBigEndianUnicode 0249 ReadStringFromStream 0257 TEncoding.GetUnicode 0274 Indy8BitEncoding 02dc XmlEBCDICTable 0357 Pos 0384 @UStrCopy 038f TrimLeft 039a @UStrLAsg 03ab CharEquals 043e Fetch 049b @HandleFinally 04b7 @UStrArrayClr 04cd @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 C9 89 4D B8 89 4D B4 89 4D C0 89 4D BC 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 FC 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 6A 00 6A 04 8D 55 FC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 83 7D EC 00 75 08 83 7D E8 03 73 0E EB 02 7D 0A E8 ?? ?? ?? ?? E9 E8 03 00 00 55 E8 ?? ?? ?? ?? 59 8B F0 C6 45 D7 07 BB ?? ?? ?? ?? 8B 03 23 C6 3B 43 FC 75 1F 8B 43 F8 99 01 45 E0 11 55 E4 8B 45 F0 8B 53 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AE 03 00 00 83 C3 10 FE 4D D7 75 D0 83 7D EC 00 75 04 83 7D E8 04 74 0A E8 ?? ?? ?? ?? E9 90 03 00 00 8D 45 F8 E8 ?? ?? ?? ?? C6 45 D7 00 BB ?? ?? ?? ?? C7 45 C4 ?? ?? ?? ?? 3B 33 0F 85 F9 01 00 00 8D 45 FC 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? E9 A8 01 00 00 8B 43 FC 99 52 50 8D 55 FC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B F0 23 73 08 3B 73 04 0F 85 80 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 89 45 D8 89 55 DC 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 0F B6 45 D7 83 F8 07 0F 87 AA 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 43 FC 99 52 50 8B 45 D8 8B 55 DC E8 ?? ?? ?? ?? 8B D0 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 45 CC 83 7D CC 00 74 0B 8B 45 CC 83 E8 04 8B 00 89 45 CC 8B 45 CC 85 C0 0F 8E 46 01 00 00 89 45 D0 BF 01 00 00 00 8B 43 FC 99 52 50 8D 55 FC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 C4 8B 12 8B 4D FC 0F B6 14 11 66 89 54 78 FE 47 FF 4D D0 75 CE E9 07 01 00 00 8D 45 F8 50 E8 ?? ?? ?? ?? 8B C8 8B 55 D8 8B 45 F4 E8 ?? ?? ?? ?? E9 EC 00 00 00 8D 45 F8 50 E8 ?? ?? ?? ?? 8B C8 8B 55 D8 8B 45 F4 E8 ?? ?? ?? ?? E9 D1 00 00 00 8D 45 F8 50 B0 01 E8 ?? ?? ?? ?? 8B C8 8B 55 D8 8B 45 F4 E8 ?? ?? ?? ?? E9 B4 00 00 00 8D 45 F8 50 B0 01 E8 ?? ?? ?? ?? 8B C8 8B 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 89 45 C8 83 7D C8 00 74 0B 8B 45 C8 83 E8 04 8B 00 89 45 C8 8B 45 C8 85 C0 7E 7E 89 45 D0 BF 01 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 0F B6 54 7A FE 0F B7 14 55 ?? ?? ?? ?? 66 89 54 78 FE 47 FF 4D D0 75 DD EB 51 8B 45 F4 8B 10 FF 12 52 50 8B 45 F4 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 8B 43 FC 99 3B 54 24 04 75 0D 3B 04 24 5A 58 0F 86 27 FE FF FF EB 1E 5A 58 0F 8E 1D FE FF FF EB 14 FE 45 D7 83 45 C4 04 83 C3 10 80 7D D7 08 0F 85 EB FD FF FF 83 7D F8 00 75 0A E8 ?? ?? ?? ?? E9 53 01 00 00 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 75 0A E8 ?? ?? ?? ?? E9 36 01 00 00 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8D 45 BC 50 8D 57 08 8B CB 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 BC 8D 55 C0 E8 ?? ?? ?? ?? 8B 55 C0 8D 45 F8 E8 ?? ?? ?? ?? 66 B9 3D 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 E4 00 00 00 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8D 45 B4 50 8B CB BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B4 8D 55 B8 E8 ?? ?? ?? ?? 8B 55 B8 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 75 0A E8 ?? ?? ?? ?? E9 9F 00 00 00 8B 45 F8 0F B7 00 66 83 F8 1B 75 36 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 8B CB BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 6A 01 8B 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 66 83 F8 22 75 34 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 8B CB BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 6A 01 8B 45 F0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? FF 75 E4 FF 75 E0 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 1B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_34983_0 {
	meta:
		name = "TIdCustomHTTP.ResponseCharset"
		size = 87
		refs = "0009 TIdCustomHTTP.GetResponse 000e IsContentTypeAppXml 0026 DetectXmlCharset 003a @UStrAsg 0046 TIdCustomHTTP.GetMetaHTTPEquiv"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B C3 E8 ?? ?? ?? ?? 8B 80 B8 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 50 10 8B C6 E8 ?? ?? ?? ?? 83 3E 00 75 11 8B C3 E8 ?? ?? ?? ?? 8B 50 10 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34984_0 {
	meta:
		name = "TIdCustomHTTP.PrepareRequest"
		size = 1368
		refs = "001b TIdCustomHTTP.PrepareRequest 002e _Dn_TIdURI 0033 TIdURI.Create 0068 @UStrAsg 00be ProcessPath 015a TextIsSame 01d3 IntToStr 0238 RSHTTPUnknownProtocol 023d LoadResString 0247 _DV_EIdUnknownProtocol 024c EIdException.Create 0251 @RaiseExcept 025f TIdURI.GetPathAndParams 0305 PosInStrArray 0351 RSHTTPMethodRequiresVersion 0360 _Dn_EIdException 0383 TIdEntityHeaderInfo.SetContentLength 03c5 @UStrEqual 0435 @UStrCatN 044f TObject.Free 0455 @HandleFinally 0471 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 8E CC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 20 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 22 8D 86 AC 00 00 00 8B 55 FC 8B 52 20 E8 ?? ?? ?? ?? 8D 86 A0 00 00 00 8B 55 FC 8B 52 24 E8 ?? ?? ?? ?? 8B 83 44 01 00 00 83 C0 20 8B 96 AC 00 00 00 E8 ?? ?? ?? ?? 8B 83 44 01 00 00 83 C0 24 8B 96 A0 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 FC 8B 50 14 8B 83 44 01 00 00 8B 40 14 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 83 44 01 00 00 83 C0 14 E8 ?? ?? ?? ?? 8B 83 44 01 00 00 83 C0 04 8B 55 FC 8B 52 04 E8 ?? ?? ?? ?? 8B 83 44 01 00 00 83 C0 28 8B 55 FC 8B 52 28 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 14 8B 83 44 01 00 00 83 C0 18 8B 55 FC 8B 52 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 16 8B 83 44 01 00 00 83 C0 08 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? EB 3F 8B 83 44 01 00 00 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B 83 44 01 00 00 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B 83 44 01 00 00 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 19 8B 83 44 01 00 00 83 C0 10 8B 55 FC 8B 52 10 E8 ?? ?? ?? ?? E9 9F 00 00 00 8B 45 FC 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8D 55 F4 B8 50 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 83 44 01 00 00 83 C0 10 E8 ?? ?? ?? ?? EB 6B 8B 45 FC 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8D 55 F0 B8 BB 01 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 83 44 01 00 00 83 C0 10 E8 ?? ?? ?? ?? EB 37 8B 83 44 01 00 00 8B 40 10 85 C0 74 05 83 E8 04 8B 00 85 C0 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 83 44 01 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 86 CC 00 00 00 E8 ?? ?? ?? ?? 8B 86 D0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 14 8B 86 C4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 8B 45 FC 8B 40 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8D 86 CC 00 00 00 8B 55 FC 8B 52 04 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 2C 88 86 D9 00 00 00 8B 93 44 01 00 00 88 42 2C 6A 00 B8 ?? ?? ?? ?? 89 45 D8 B8 ?? ?? ?? ?? 89 45 DC B8 ?? ?? ?? ?? 89 45 E0 B8 ?? ?? ?? ?? 89 45 E4 8D 55 D8 8B 86 D0 00 00 00 B9 03 00 00 00 E8 ?? ?? ?? ?? 40 7F 38 6A 00 B8 ?? ?? ?? ?? 89 45 D8 B8 ?? ?? ?? ?? 89 45 DC B8 ?? ?? ?? ?? 89 45 E0 B8 ?? ?? ?? ?? 89 45 E4 8D 55 D8 8B 86 C4 00 00 00 B9 03 00 00 00 E8 ?? ?? ?? ?? 40 7E 2A 80 BB 34 01 00 00 01 74 21 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B BE D4 00 00 00 85 FF 74 11 8B C7 8B 10 FF 12 52 50 8B C6 E8 ?? ?? ?? ?? EB 0B 6A FF 6A FF 8B C6 E8 ?? ?? ?? ?? 8B 83 44 01 00 00 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8D 55 D0 B8 50 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B 83 44 01 00 00 8B 40 10 E8 ?? ?? ?? ?? 74 37 8B 83 44 01 00 00 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 36 8D 55 CC B8 BB 01 00 00 E8 ?? ?? ?? ?? 8B 55 CC 8B 83 44 01 00 00 8B 40 10 E8 ?? ?? ?? ?? 75 16 8D 86 B0 00 00 00 8B 93 44 01 00 00 8B 52 18 E8 ?? ?? ?? ?? EB 21 8B BB 44 01 00 00 FF 77 18 68 ?? ?? ?? ?? FF 77 10 8D 86 B0 00 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 68 00 74 00 74 00 70 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 74 00 74 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 53 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 52 00 41 00 43 00 45 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_34985_0 {
	meta:
		name = "TIdCustomHTTP.CheckAndConnect"
		size = 177
		refs = "000f TIdHTTPResponse.GetKeepAlive 001b TIdTCPConnection.Disconnect 0033 TIdBuffer.Clear 0051 TIdCustomHTTP.CheckAndConnect 0089 @HandleOnException 0091 _Dn_EIdSSLProtocolReplyError 00a2 @RaiseAgain 00a7 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 85 C0 74 0B 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 68 8B 45 FC 8B 10 FF 52 74 84 C0 75 5E 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 44 01 00 00 0F B6 50 2C 8B 45 FC 8B 08 FF 91 A8 00 00 00 8B 45 FC 8B 10 FF 92 AC 00 00 00 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_34986_0 {
	meta:
		name = "TIdCustomHTTP.ConnectToHost"
		size = 1580
		refs = "001d TIdCustomHTTP.ConnectToHost 002b TIdCustomHTTP.SetHostAndPort 004c TIdURI.GetURI 005c @UStrAsg 00b7 @UStrClr 012a IndyPos 015e @UStrCat 02a0 @UStrCatN 02d1 _Dn_TMemoryStream 02d6 TObject.Create 030c TIdCustomHTTP.CheckAndConnect 0316 TIdHTTPProtocol.BuildAndSendRequest 0321 TIdCustomHTTP.InternalReadLn 032f TIdHTTPResponse.SetResponseText 037a TIdHTTPProtocol.RetrieveHeaders 038e TIdCustomHTTP.ProcessCookies 0399 TIdHTTPResponse.GetResponseCode 03bb _Dn_TIdSSLIOHandlerSocketBase 03c0 @IsClass 03e7 TIdHTTPProtocol.ProcessResponse 03fb @HandleAnyException 0400 @RaiseAgain 0405 @DoneExcept 0423 TObject.Free 0429 @HandleFinally 04ae @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 8B F1 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 F8 88 98 D8 00 00 00 80 FB 02 75 21 8D 55 F0 8B 45 FC 8B 80 44 01 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 05 CC 00 00 00 E8 ?? ?? ?? ?? 33 DB 8B 45 F8 0F B6 80 D8 00 00 00 2C 01 72 0F 74 3E FE C8 74 54 FE C8 74 36 E9 89 00 00 00 8B 45 FC 80 B8 34 01 00 00 00 75 7D 8B 45 F8 8B 40 14 85 C0 74 05 83 E8 04 8B 00 85 C0 75 6A 8B 45 F8 83 C0 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 58 8B 45 F8 83 C0 14 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 D8 00 00 00 03 0F 94 C3 EB 3E 8B 45 FC 80 B8 34 01 00 00 00 75 25 8B 45 F8 8B 40 14 85 C0 74 05 83 E8 04 8B 00 85 C0 75 12 8B 45 F8 05 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC F6 80 41 01 00 00 08 0F 95 C3 8B 45 FC 8B B8 1C 01 00 00 85 FF 0F 84 AB 00 00 00 8B C7 8B 10 FF 52 44 84 C0 0F 84 9C 00 00 00 8B 3D ?? ?? ?? ?? 8B 3F 8B 45 F8 8B 90 90 00 00 00 B8 ?? ?? ?? ?? FF D7 85 C0 75 32 8B 45 F8 83 B8 90 00 00 00 00 74 14 8B 45 F8 05 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 8B 45 F8 05 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 3D ?? ?? ?? ?? 8B 3F 8B 45 F8 8B 90 90 00 00 00 B8 ?? ?? ?? ?? FF D7 85 C0 75 32 8B 45 F8 83 B8 90 00 00 00 00 74 14 8B 45 F8 05 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 8B 45 F8 05 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 3D ?? ?? ?? ?? 8B 3F 8B 45 F8 8B 90 90 00 00 00 B8 ?? ?? ?? ?? FF D7 85 C0 75 32 8B 45 F8 83 B8 90 00 00 00 00 74 14 8B 45 F8 05 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 8B 45 F8 05 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 0F 84 37 02 00 00 8B 45 FC 8B 10 FF 92 B8 00 00 00 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F4 8B 40 08 05 A8 00 00 00 8B 55 F8 8B 92 A8 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 05 B0 00 00 00 8B 55 F8 8B 92 B0 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 83 C0 78 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 98 44 01 00 00 FF 73 18 68 ?? ?? ?? ?? FF 73 10 8B 45 F4 8B 40 08 05 CC 00 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 05 D0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 05 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 52 0C 89 82 B8 00 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F4 8B 50 0C 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F4 8B 50 0C 8B 82 B0 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 75 21 8B C2 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C 83 C0 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 25 8B 45 FC 8B 90 28 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 48 0C 8B 45 F4 8B 50 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C E8 ?? ?? ?? ?? 3D C8 00 00 00 75 39 8B 45 F8 80 B8 D8 00 00 00 03 75 40 8B 45 FC 8B 80 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 28 8B 45 FC 8B 80 98 00 00 00 33 D2 8B 08 FF 91 04 01 00 00 EB 13 8D 55 EC 83 C9 FF 8B 45 F4 E8 ?? ?? ?? ?? E9 12 FF FF FF 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 0C 8B 80 B8 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 44 01 00 00 8B 45 FC 8B 80 48 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 D4 00 00 00 85 C0 74 19 6A 00 6A 00 8B D0 8B 45 FC 8B 80 98 00 00 00 33 C9 8B 18 FF 93 B0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6B 00 65 00 65 00 70 00 2D 00 61 00 6C 00 69 00 76 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 6C 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2C 00 20 00 64 00 65 00 66 00 6C 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 67 00 7A 00 69 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2C 00 20 00 67 00 7A 00 69 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 69 00 64 00 65 00 6E 00 74 00 69 00 74 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 2C 00 20 00 69 00 64 00 65 00 6E 00 74 00 69 00 74 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6E 00 6F 00 2D 00 63 00 61 00 63 00 68 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 4F 00 4E 00 4E 00 45 00 43 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 48 00 54 00 54 00 50 00 2F 00 31 00 2E 00 30 00 20 00 32 00 30 00 30 00 20 00 4F 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 6F 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_34987_0 {
	meta:
		name = "TIdCustomHTTP.SetAllowCookies"
		size = 7
	strings:
		$1 = { 88 90 2C 01 00 00 C3 }
	condition:
		$1
}

rule function_34988_0 {
	meta:
		name = "TIdCustomHTTP.ProcessCookies"
		size = 244
		refs = "0021 _Dn_TIdCookieManager 0026 TIdBaseComponent.Create 002f TIdCustomHTTP.SetCookieManager 0053 _Dn_TStringList 0058 TStringList.Create 0063 TIdCustomHTTP.ProcessCookies 0079 TIdHeaderList.Extract 00a3 TIdCookieManager.AddServerCookies 00bd TObject.Free 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B D8 83 BB 18 01 00 00 00 75 27 80 BB 2C 01 00 00 00 74 1E 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? C6 83 20 01 00 00 01 83 BB 18 01 00 00 00 0F 84 82 00 00 00 80 BB 2C 01 00 00 00 74 79 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 46 0C 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 86 C0 00 00 00 8B 40 0C 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8B 44 01 00 00 8B 83 18 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 74 00 2D 00 43 00 6F 00 6F 00 6B 00 69 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_34989_0 {
	meta:
		name = "TIdCustomHTTP.Notification"
		size = 81
		refs = "0010 TIdTCPConnection.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 34 3B BE 18 01 00 00 75 0A 33 C0 89 86 18 01 00 00 EB 22 3B BE 30 01 00 00 75 0A 33 C0 89 86 30 01 00 00 EB 10 3B BE 1C 01 00 00 75 08 33 C0 89 86 1C 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_34990_0 {
	meta:
		name = "TIdCustomHTTP.SetCookieManager"
		size = 90
		refs = "002c TObject.Free 0035 TComponent.RemoveFreeNotification 0053 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 18 01 00 00 3B F0 74 47 85 C0 74 25 80 BB 20 01 00 00 00 74 15 8D 83 18 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 07 8B D3 E8 ?? ?? ?? ?? 89 B3 18 01 00 00 C6 83 20 01 00 00 00 8B 83 18 01 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34991_0 {
	meta:
		name = "TIdCustomHTTP.DoOnAuthorization"
		size = 652
		refs = "0021 TIdCustomHTTP.DoOnAuthorization 0086 Fetch 008e FindAuthClass 00f9 Trim 0150 TIdHeaderList.SetValue 0160 TIdAuthentication.SetAuthParams 016f TIdAuthentication.Next 01e2 TIdAuthentication.GetUserName 01f0 @UStrAsg 01fe TIdAuthentication.GetPassword 0235 @UStrArrayClr 023d @UStrClr 0243 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 86 10 01 00 00 83 BB C0 00 00 00 00 0F 85 A7 00 00 00 33 C0 89 45 EC 8B 45 F8 8B 80 9C 00 00 00 8B 10 FF 52 14 48 85 C0 7C 4D 40 89 45 E8 C7 45 F0 00 00 00 00 8D 4D FC 8B 45 F8 8B 80 9C 00 00 00 8B 55 F0 8B 38 FF 57 0C 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 08 FF 45 F0 FF 4D E8 75 BE 66 83 BE 62 01 00 00 00 74 1B 8B 45 F8 8B 80 9C 00 00 00 50 8D 4D EC 8B D6 8B 86 64 01 00 00 FF 96 60 01 00 00 83 7D EC 00 75 09 C6 45 F7 00 E9 48 01 00 00 B2 01 8B 45 EC FF 50 1C 89 83 C0 00 00 00 66 83 BE 72 01 00 00 00 75 18 8D 55 E0 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 83 7D E0 00 75 04 33 C0 EB 02 B0 01 88 45 F7 80 7D F7 00 0F 84 09 01 00 00 8B BB C0 00 00 00 8B 93 AC 00 00 00 8B C7 8B 08 FF 51 18 8B 93 A0 00 00 00 8B C7 8B 08 FF 51 14 8D 55 DC 8B 83 C0 00 00 00 8B 08 FF 51 28 8B 4D DC 8B 47 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 90 9C 00 00 00 8B C7 E8 ?? ?? ?? ?? C6 45 F7 00 8B 83 C0 00 00 00 E8 ?? ?? ?? ?? 2C 01 72 10 0F 84 98 00 00 00 FE C8 0F 84 96 00 00 00 EB E1 66 83 BE 72 01 00 00 00 74 D7 8B 93 AC 00 00 00 8B 83 C0 00 00 00 8B 08 FF 51 18 8B 93 A0 00 00 00 8B 83 C0 00 00 00 8B 08 FF 51 14 8D 45 F7 50 8B 8B C0 00 00 00 8B D6 8B 86 74 01 00 00 FF 96 70 01 00 00 80 7D F7 00 74 4E C6 83 BC 00 00 00 01 8D 55 D8 8B 83 C0 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8D 83 AC 00 00 00 E8 ?? ?? ?? ?? 8D 55 D4 8B 83 C0 00 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8D 83 A0 00 00 00 E8 ?? ?? ?? ?? E9 53 FF FF FF C6 45 F7 01 EB 04 C6 45 F7 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_34992_0 {
	meta:
		name = "TIdCustomHTTP.DoOnProxyAuthorization"
		size = 572
		refs = "0020 TIdCustomHTTP.DoOnProxyAuthorization 0087 Fetch 008f FindAuthClass 012c TIdAuthentication.SetAuthParams 013e TIdAuthentication.Next 01b0 TIdAuthentication.GetUserName 01c1 @UStrAsg 01d2 TIdAuthentication.GetPassword 020c @UStrArrayClr 0214 @UStrClr 021a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D FC 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 83 14 01 00 00 8B 83 4C 01 00 00 83 78 04 00 0F 85 A7 00 00 00 33 C0 89 45 EC 8B 45 F8 8B 80 98 00 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 48 46 C7 45 F0 00 00 00 00 8D 4D FC 8B 45 F8 8B 80 98 00 00 00 8B 55 F0 8B 38 FF 57 0C 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 06 FF 45 F0 4E 75 C0 66 83 BB 6A 01 00 00 00 74 1B 8B 45 F8 8B 80 98 00 00 00 50 8D 4D EC 8B D3 8B 83 6C 01 00 00 FF 93 68 01 00 00 83 7D EC 00 75 09 C6 45 F7 00 E9 20 01 00 00 B2 01 8B 45 EC FF 50 1C 8B 93 4C 01 00 00 89 42 04 66 83 BB 7A 01 00 00 00 0F 95 45 F7 80 7D F7 00 0F 84 F9 00 00 00 8B 83 4C 01 00 00 8B 70 04 8B 50 14 8B C6 8B 08 FF 51 18 8B 83 4C 01 00 00 8B 50 08 8B C6 8B 08 FF 51 14 8B 45 F8 8B 90 98 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 45 F7 00 8B 83 4C 01 00 00 8B 40 04 E8 ?? ?? ?? ?? 2C 01 72 10 0F 84 A0 00 00 00 FE C8 0F 84 9E 00 00 00 EB DE 66 83 BB 7A 01 00 00 00 74 D4 8B 83 4C 01 00 00 8B 50 14 8B 40 04 8B 08 FF 51 18 8B 83 4C 01 00 00 8B 50 08 8B 40 04 8B 08 FF 51 14 8D 45 F7 50 8B 83 4C 01 00 00 8B 48 04 8B D3 8B 83 7C 01 00 00 FF 93 78 01 00 00 80 7D F7 00 74 53 8D 55 E4 8B 83 4C 01 00 00 8B 40 04 E8 ?? ?? ?? ?? 8B 55 E4 8B 83 4C 01 00 00 83 C0 14 E8 ?? ?? ?? ?? 8D 55 E0 8B 83 4C 01 00 00 8B 40 04 E8 ?? ?? ?? ?? 8B 55 E0 8B 83 4C 01 00 00 83 C0 08 E8 ?? ?? ?? ?? E9 48 FF FF FF C6 45 F7 01 EB 04 C6 45 F7 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_34994_0 {
	meta:
		name = "TIdCustomHTTP.GetResponseText"
		size = 29
		refs = "0009 TIdCustomHTTP.GetResponse 0016 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 90 B0 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_34995_0 {
	meta:
		name = "TIdCustomHTTP.GetResponse"
		size = 10
	strings:
		$1 = { 8B 80 48 01 00 00 8B 40 0C C3 }
	condition:
		$1
}

rule function_34996_0 {
	meta:
		name = "TIdCustomHTTP.GetRequest"
		size = 10
	strings:
		$1 = { 8B 80 48 01 00 00 8B 40 08 C3 }
	condition:
		$1
}

rule function_34997_0 {
	meta:
		name = "TIdCustomHTTP.GetMetaHTTPEquiv"
		size = 18
		refs = "0006 TIdCustomHTTP.GetResponse"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 80 C0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_34998_0 {
	meta:
		name = "TIdCustomHTTP.DoOnDisconnected"
		size = 176
		refs = "0007 TIdTCPConnection.DoOnDisconnected 000e TIdCustomHTTP.GetRequest 0061 TIdAuthenticationManager.AddAuthentication 0073 TObject.Free"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 B8 C0 00 00 00 00 74 6B 8B C3 E8 ?? ?? ?? ?? 8B 80 C0 00 00 00 8B 10 FF 52 10 8B F0 8B C3 E8 ?? ?? ?? ?? 8B 80 C0 00 00 00 3B 70 04 75 45 8B B3 30 01 00 00 85 F6 74 1A 8B C3 E8 ?? ?? ?? ?? 8B 90 C0 00 00 00 8B 8B 44 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 80 C0 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 89 90 C0 00 00 00 8B 83 4C 01 00 00 8B 70 04 85 F6 74 1A 8B C6 8B 10 FF 52 10 3B 46 04 75 0E 8B 83 4C 01 00 00 8B 40 04 8B 10 FF 52 20 5E 5B C3 }
	condition:
		$1
}

rule function_34999_0 {
	meta:
		name = "TIdCustomHTTP.SetAuthenticationManager"
		size = 49
		refs = "0017 TComponent.RemoveFreeNotification 002a TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 30 01 00 00 3B F0 74 1E 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 83 30 01 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35000_0 {
	meta:
		name = "TIdCustomHTTP.SetRequest"
		size = 15
	strings:
		$1 = { 8B 80 48 01 00 00 8B 40 08 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_35001_0 {
	meta:
		name = "TIdCustomHTTP.Post"
		size = 102
		refs = "0011 @UStrAddRef 0019 TIdCustomHTTP.Post 0026 TIdCustomHTTP.GetRequest 002e TIdEntityHeaderInfo.SetContentType 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 56 10 E8 ?? ?? ?? ?? 8B 45 08 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_35003_0 {
	meta:
		name = "TIdHTTPResponse.Create"
		size = 95
		refs = "000b @ClassCreate 001c TIdResponseHeaderInfo.Create 0035 _Dn_TIdMetaHTTPEquiv 003a TIdEntityHeaderInfo.Create 004b @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 89 B7 A8 00 00 00 C7 87 AC 00 00 00 FF FF FF FF 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 C0 00 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35005_0 {
	meta:
		name = "TIdHTTPResponse.GetKeepAlive"
		size = 372
		refs = "0011 TIdHTTPResponse.GetKeepAlive 007b Trim 0088 TextIsSame 0121 @UStrArrayClr 0127 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 A8 00 00 00 8B 10 FF 52 74 84 C0 74 18 8B 86 A8 00 00 00 8B 80 98 00 00 00 33 C9 33 D2 8B 18 FF 93 84 00 00 00 8B 86 A8 00 00 00 8B 10 FF 52 74 8B D8 88 9E B4 00 00 00 84 DB 0F 84 A7 00 00 00 8B 86 A8 00 00 00 0F B6 80 34 01 00 00 2C 01 72 4F 0F 85 90 00 00 00 8D 55 FC 8B 46 14 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1F 8D 55 F8 8B 86 94 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 88 86 B4 00 00 00 EB 47 8D 55 F4 8B 46 14 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 23 8D 55 F0 8B 86 94 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 86 B4 00 00 00 0F B6 9E B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 4C 00 4F 00 53 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4B 00 45 00 45 00 50 00 2D 00 41 00 4C 00 49 00 56 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_35006_0 {
	meta:
		name = "TIdHTTPResponse.GetResponseCode"
		size = 196
		refs = "0010 TIdHTTPResponse.GetResponseCode 002d @UStrLAsg 0042 Fetch 004d Trim 0078 IndyStrToInt 009e @UStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB AC 00 00 00 FF 75 5F 8D 45 FC 8B 93 B0 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 83 CA FF E8 ?? ?? ?? ?? 89 83 AC 00 00 00 8B 9B AC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35007_0 {
	meta:
		name = "TIdHTTPResponse.SetResponseText"
		size = 154
		refs = "0010 TIdHTTPResponse.SetResponseText 0023 @UStrAsg 004d @UStrCopy 0054 ProtocolVersionString 005e TextIsSame 0088 @UStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 87 B0 00 00 00 8B D3 E8 ?? ?? ?? ?? C7 87 AC 00 00 00 FF FF FF FF C6 87 BC 00 00 00 00 8D 45 FC 50 8B 87 B0 00 00 00 B9 03 00 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? 33 DB BE ?? ?? ?? ?? 8B 55 FC 8B 06 E8 ?? ?? ?? ?? 84 C0 74 08 88 9F BC 00 00 00 EB 09 43 83 C6 04 80 FB 02 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35008_0 {
	meta:
		name = "TIdHTTPRequest.Create"
		size = 72
		refs = "000b @ClassCreate 001c TIdRequestHeaderInfo.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 89 B7 C8 00 00 00 C6 87 D8 00 00 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35009_0 {
	meta:
		name = "TIdHTTPProtocol.Create"
		size = 106
		refs = "000f @ClassCreate 001f TObject.Create 002d _DV_TIdHTTPRequest 0032 TIdHTTPRequest.Create 003f _DV_TIdHTTPResponse 0044 TIdHTTPResponse.Create 0054 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F7 89 73 04 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35011_0 {
	meta:
		name = "TIdHTTPProtocol.BuildAndSendRequest"
		size = 584
		refs = "001d TIdHTTPProtocol.BuildAndSendRequest 006b TIdProxyConnectionInfo.SetHeaders 0082 TIdCustomHTTP.SetCookies 0093 TIdIOHandler.WriteBufferingActive 00af TIdIOHandler.WriteBufferOpen 00ed ProtocolVersionString 00fa @UStrCatN 01c2 @HandleAnyException 01e1 @RaiseAgain 01e6 @DoneExcept 01fb @UStrClr 0208 @UStrArrayClr 020e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 4D EC 89 4D F0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B B0 C0 00 00 00 85 F6 74 13 8B 88 CC 00 00 00 8B 90 D0 00 00 00 8B C6 8B 30 FF 56 24 8B 45 FC 8B 40 08 8B 10 FF 52 10 8B 45 FC 8B 40 08 8B 50 0C 8B 45 FC 8B 40 04 8B 80 4C 01 00 00 E8 ?? ?? ?? ?? 85 DB 74 13 8B 45 FC 8B 48 08 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 34 01 88 45 FB 80 7D FB 00 74 11 8B 45 FC 8B 40 04 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 70 08 FF B6 D0 00 00 00 68 ?? ?? ?? ?? FF B6 CC 00 00 00 68 ?? ?? ?? ?? 8B 45 FC 8B 78 04 0F B6 87 34 01 00 00 FF 34 85 ?? ?? ?? ?? 8D 45 F0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 87 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 8B 45 FC 8B 40 08 8B 40 0C 8B 10 FF 52 14 48 85 C0 7C 61 40 89 45 F4 33 DB 8D 4D EC 8B 45 FC 8B 40 08 8B 40 0C 8B D3 8B 30 FF 56 0C 8B 45 EC 89 45 E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 2C 8D 4D E4 8B 45 FC 8B 40 08 8B 40 0C 8B D3 8B 30 FF 56 0C 8B 55 E4 8B 45 FC 8B 40 04 8B 80 98 00 00 00 33 C9 8B 30 FF 96 A4 00 00 00 43 FF 4D F4 75 A5 8B 45 FC 8B 40 04 8B 80 98 00 00 00 33 C9 33 D2 8B 18 FF 93 A4 00 00 00 80 7D FB 00 74 14 8B 45 FC 8B 40 04 8B 80 98 00 00 00 8B 10 FF 92 D8 00 00 00 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 80 7D FB 00 74 14 8B 45 FC 8B 40 04 8B 80 98 00 00 00 8B 10 FF 92 D0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 48 00 54 00 54 00 50 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_35012_0 {
	meta:
		name = "TIdHTTPProtocol.RetrieveHeaders"
		size = 247
		refs = "0017 TIdHTTPProtocol.RetrieveHeaders 004a TIdCustomHTTP.InternalReadLn 0099 @HandleOnException 00a1 _Dn_EIdConnClosedGracefully 00b8 TIdTCPConnection.Disconnect 00bf @RaiseAgain 00c4 @DoneExcept 00e4 @UStrClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 0C 8B 40 0C 8B 10 FF 52 44 8B 45 F8 8B 40 0C 8B 80 C0 00 00 00 8B 10 FF 52 14 8D 55 FC 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 DB EB 20 8B 45 F8 8B 40 0C 8B 40 0C 8B 55 FC 8B 08 FF 51 38 8D 55 FC 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 43 83 7D FC 00 74 08 85 F6 7F D6 3B F3 7F D2 33 C0 5A 59 59 64 89 10 EB 30 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 10 FF 52 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35013_0 {
	meta:
		name = "CheckException"
		size = 381
		refs = "000f CheckException 001c _Dn_TMemoryStream 0021 TObject.Create 0074 TIdCustomHTTP.ReadResult 009e @TryFinallyExit 00ba TStream.SetPosition 00cb TIdCustomHTTP.GetResponseText 00e0 TIdCustomHTTP.ResponseCharset 00ee ReadStringAsCharset 00ff _DV_EIdHTTPProtocolException 0104 EIdHTTPProtocolException.CreateError 0109 @RaiseExcept 012e @HandleFinally 014a TObject.Free 016c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 08 8B 40 FC 8B 40 0C 8B 90 B8 00 00 00 89 55 F8 8B 55 FC 89 90 B8 00 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B C8 8B 45 08 8B 40 FC 8B 50 08 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 83 F8 FF 7E 2F 8B D0 85 D2 7C 29 42 8B 45 08 8B 40 F0 8B 4D 08 8B 49 F4 0F BF 18 3B CB 75 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AA 00 00 00 83 C0 02 4A 75 DE 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 EC 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 08 8B 48 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 0C 8B 55 F8 89 90 B8 00 00 00 C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35014_0 {
	meta:
		name = "DiscardContent"
		size = 111
		refs = "0022 DiscardContent 0041 TIdCustomHTTP.ReadResult 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 40 FC 8B 40 0C 8B 90 B8 00 00 00 89 55 FC 33 D2 89 90 B8 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C8 8B 45 08 8B 40 FC 8B 50 08 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 0C 8B 55 FC 89 90 B8 00 00 00 C3 E9 ?? ?? ?? ?? EB E6 59 5D C3 }
	condition:
		$1
}

rule function_35015_0 {
	meta:
		name = "HeadersCanContinue"
		size = 68
	strings:
		$1 = { 55 8B EC 51 53 C6 45 FF 01 8B 45 08 8B 40 FC 8B 40 04 66 83 B8 52 01 00 00 00 74 20 8D 55 FF 52 8B D8 8B 55 08 8B 52 FC 8B 52 0C 8B 4A 0C 8B D0 8B 83 54 01 00 00 FF 93 50 01 00 00 0F B6 45 FF 5B 59 5D C3 }
	condition:
		$1
}

rule function_35016_0 {
	meta:
		name = "TIdHTTPProtocol.ProcessResponse"
		size = 828
		refs = "0032 TIdHTTPProtocol.ProcessResponse 003e HeadersCanContinue 0062 TIdHTTPResponse.GetResponseCode 009d CheckException 00c5 @UStrLAsg 013a @UStrAsg 015d @UStrClr 018d DiscardContent 02a9 TextIsSame 02f0 TIdCustomHTTP.ReadResult 030c @UStrArrayClr 0312 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D EC 89 5D E8 8B D9 03 DB 43 85 DB 78 0A C1 EB 02 8B 34 9A 4B 56 79 F9 8B D4 89 4D F8 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 84 C0 75 14 8B 45 FC 8B 40 0C C6 80 B4 00 00 00 00 B3 01 E9 9B 02 00 00 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 B9 64 00 00 00 99 F7 F9 33 D2 83 F8 03 0F 85 18 01 00 00 81 7D F4 30 01 00 00 0F 84 0B 01 00 00 8B 45 FC 8B 40 0C 83 B8 8C 00 00 00 00 75 0E 55 E8 ?? ?? ?? ?? 59 B3 01 E9 4D 02 00 00 8B 45 FC 8B 40 04 FF 80 38 01 00 00 8D 45 EC 8B 55 FC 8B 52 0C 8B 92 8C 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 FC 8B 52 08 8B 92 D0 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 58 04 8B 83 38 01 00 00 50 8D 4D E8 8D 55 EC 8B C3 8B 18 FF 93 C4 00 00 00 84 C0 75 0E 55 E8 ?? ?? ?? ?? 59 B3 01 E9 EA 01 00 00 8B 45 FC 8B 40 04 80 B8 40 01 00 00 00 74 48 8B 90 38 01 00 00 3B 90 3C 01 00 00 7D 3A 33 DB 8B 45 FC 8B 40 08 05 CC 00 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 05 D0 00 00 00 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 05 C4 00 00 00 E8 ?? ?? ?? ?? EB 15 B3 01 8B 45 FC 8B 40 0C 05 8C 00 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 10 FF 52 74 84 C0 0F 84 6B 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 5F 01 00 00 83 F8 02 0F 84 E8 00 00 00 8B 45 F4 2D 91 01 00 00 74 0A 83 E8 06 74 68 E9 C9 00 00 00 8B 45 FC 8B 58 04 8B 83 10 01 00 00 3B 83 24 01 00 00 7D 1A 8B 45 FC 8B 48 0C 8B 45 FC 8B 50 08 8B C3 8B 18 FF 93 BC 00 00 00 84 C0 75 23 8B 45 FC 8B 40 08 8B 80 C0 00 00 00 85 C0 74 05 8B 10 FF 52 20 55 E8 ?? ?? ?? ?? 59 B3 01 E9 F1 00 00 00 8B 45 FC 8B 40 04 F6 80 41 01 00 00 01 0F 95 C2 EB 71 8B 45 FC 8B 58 04 8B 83 14 01 00 00 3B 83 24 01 00 00 7D 1A 8B 45 FC 8B 48 0C 8B 45 FC 8B 50 08 8B C3 8B 18 FF 93 C0 00 00 00 84 C0 75 26 8B 45 FC 8B 40 04 8B 80 4C 01 00 00 8B 40 04 85 C0 74 05 8B 10 FF 52 20 55 E8 ?? ?? ?? ?? 59 B3 01 E9 8B 00 00 00 8B 45 FC 8B 40 04 F6 80 41 01 00 00 01 0F 95 C2 EB 0B 55 E8 ?? ?? ?? ?? 59 B3 01 EB 6E 84 D2 74 0B 55 E8 ?? ?? ?? ?? 59 B3 04 EB 5F 8B 45 FC 8B 40 08 8B 80 D0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 23 8B 45 FC 8B 40 08 8B 80 C4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 09 81 7D F4 CC 00 00 00 75 09 55 E8 ?? ?? ?? ?? 59 EB 17 8B 45 FC 8B 48 0C 8B 45 FC 8B 50 08 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 8B 75 E0 8B 5D E4 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 45 00 41 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_35018_0 {
	meta:
		name = "TIdCustomHTTP.InitComponent"
		size = 172
		refs = "0007 TIdTCPClientCustom.InitComponent 0010 _Dn_TIdURI 0015 TIdURI.Create 0034 TIdCustomHTTP.SetAllowCookies 0042 TIdCustomHTTP.InitComponent 0077 _Dn_TIdProxyConnectionInfo 007c TIdProxyConnectionInfo.Create 008b TIdProxyConnectionInfo.Clear"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 44 01 00 00 33 C0 89 83 10 01 00 00 33 C0 89 83 14 01 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? C6 83 20 01 00 00 00 0F B6 05 ?? ?? ?? ?? 88 83 41 01 00 00 C7 83 3C 01 00 00 0F 00 00 00 C6 83 40 01 00 00 00 C6 83 34 01 00 00 01 8B C3 8B 10 FF 92 B8 00 00 00 89 83 48 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 4C 01 00 00 8B C6 E8 ?? ?? ?? ?? C7 83 24 01 00 00 03 00 00 00 C7 83 28 01 00 00 FF 00 00 00 5E 5B C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_35019_0 {
	meta:
		name = "TIdCustomHTTP.InternalReadLn"
		size = 122
		refs = "000f TIdCustomHTTP.InternalReadLn 0024 TIdIOHandler.ReadLn 003b RSReadTimeout 0040 LoadResString 004a _Dn_EIdReadTimeout 004f EIdException.Create 0054 @RaiseExcept 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 33 D2 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 83 98 00 00 00 80 B8 BD 00 00 00 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35020_0 {
	meta:
		name = "TIdCustomHTTP.Get"
		size = 230
		refs = "002e @UStrAddRef 0036 TIdCustomHTTP.Get 0043 _Dn_TMemoryStream 0048 TObject.Create 0077 TStream.SetPosition 0081 TIdCustomHTTP.ResponseCharset 008f ReadStringAsCharset 00a9 TObject.Free 00af @HandleFinally 00c6 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B 5D 0C 03 DB 43 85 DB 78 0A C1 EB 02 8B 34 99 4B 56 79 F9 8B CC 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 56 8B 45 0C 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 75 EC 8B 5D F0 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_35021_0 {
	meta:
		name = "TIdCustomHTTP.Get"
		size = 156
		refs = "002c @UStrAddRef 0034 TIdCustomHTTP.Get 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 0C 8B 75 08 03 F6 46 85 F6 78 0A C1 EE 02 8B 3C B3 4E 57 79 F9 89 65 0C 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 56 8B 45 0C 50 8B 45 08 50 8B 4D FC BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 7D F0 8B 75 F4 8B 5D F8 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 }
	condition:
		$1
}

rule function_35022_0 {
	meta:
		name = "TIdCustomHTTP.DoRequest"
		size = 801
		refs = "0040 @UStrAddRef 0048 TIdCustomHTTP.DoRequest 007a TStream.GetPosition 0098 TIdCustomHTTP.GetRequest 00a5 @UStrAsg 00d2 TIdCustomHTTP.GetResponse 00f8 TIdCustomHTTP.PrepareRequest 0109 _Dn_TIdSSLIOHandlerSocketBase 010e @IsClass 0123 TIdURI.GetURI 014c TIdCustomHTTP.ConnectToHost 0157 TIdCustomHTTP.InternalReadLn 0169 TIdHTTPResponse.SetResponseText 0180 TIdHTTPProtocol.RetrieveHeaders 019c TIdCustomHTTP.ProcessCookies 01a9 TIdHTTPResponse.GetResponseCode 01c1 TIdHTTPProtocol.ProcessResponse 021e TIdCustomHTTP.ReadResult 022f TStream.SetPosition 023c TStream.SetSize64 0298 RSHTTPNotAcceptable 029d LoadResString 02a7 _Dn_EIdException 02ac EIdException.Create 02b1 @RaiseExcept 02d0 TIdHTTPResponse.GetKeepAlive 02dc TIdTCPConnection.Disconnect 02e2 @HandleFinally 02fe @UStrArrayClr 0306 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D E8 89 5D EC 8B 5D 0C 8B 75 08 03 F6 46 85 F6 78 0A C1 EE 02 8B 3C B3 4E 57 79 F9 89 65 0C 89 4D FC 8B F2 89 45 F8 8B 7D 0C 8B 5D 10 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 33 D2 89 90 38 01 00 00 8B 45 F8 33 D2 89 90 10 01 00 00 8B 45 F8 33 D2 89 90 14 01 00 00 85 DB 74 0F 8B C3 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 EB 0E C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 05 CC 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 05 D0 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 14 89 90 D4 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 89 98 B8 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B B0 98 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8D 55 EC 8B 45 F8 8B 80 44 01 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 8B 08 FF 91 08 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 59 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 F8 8B 90 28 01 00 00 8B 45 F8 8B 80 48 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 59 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 64 74 9E 8B D7 8B 45 F8 8B 80 48 01 00 00 8B 4D 08 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 04 0F 87 19 FF FF FF FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 05 CC 00 00 00 8B 55 FC E8 ?? ?? ?? ?? E9 E4 FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 59 E8 ?? ?? ?? ?? 85 DB 74 1A FF 75 F4 FF 75 F0 8B C3 E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 33 D2 89 90 10 01 00 00 8B 45 F8 33 D2 89 90 14 01 00 00 E9 8F FE FF FF 85 DB 74 1A FF 75 F4 FF 75 F0 8B C3 E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 33 D2 89 90 10 01 00 00 8B 45 F8 33 D2 89 90 14 01 00 00 E9 56 FE FF FF 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 30 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 08 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 7D D8 8B 75 DC 8B 5D E0 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_35023_0 {
	meta:
		name = "Finalization"
		size = 100
		refs = "0007 Finalization 0013 _DV_8 001a ProtocolVersionString 0025 string 002a @FinalizeArray 002f SafeChars 0034 @UStrClr 0039 XmlBOMs 0044 XmlBomInfo 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 34 B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_35025_0 {
	meta:
		name = "TIdEntityHeaderInfo.Create"
		size = 103
		refs = "000b @ClassCreate 001a TObject.Create 0026 _Dn_TIdHeaderList 002b TIdHeaderList.Create 0053 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 B1 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 0C C7 46 60 00 04 00 00 B1 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 54 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40965_0 {
	meta:
		name = "TIdEntityHeaderInfo.Create"
		size = 103
		refs = "000b @ClassCreate 001a TObject.Create 0026 _Dn_TInHeaderList 002b TInHeaderList.Create 0053 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 B1 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 0C C7 46 60 00 04 00 00 B1 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 54 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35026_0 {
	meta:
		name = "TIdEntityHeaderInfo.AfterConstruction"
		size = 19
		refs = "0006 TObject.AfterConstruction"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 5B C3 }
	condition:
		$1
}

rule function_35027_0 {
	meta:
		name = "TIdEntityHeaderInfo.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TPersistent.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 54 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35028_0 {
	meta:
		name = "TIdEntityHeaderInfo.AssignTo"
		size = 251
		refs = "000a _DV_TIdEntityHeaderInfo 000f @IsClass 0024 @AsClass 003c @UStrAsg 00f4 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D4 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 53 0C 8B 46 0C 8B 08 FF 51 08 8D 46 08 8B 53 08 E8 ?? ?? ?? ?? 8D 46 10 8B 53 10 E8 ?? ?? ?? ?? 8D 46 18 8B 53 18 E8 ?? ?? ?? ?? 8D 46 1C 8B 53 1C E8 ?? ?? ?? ?? 8D 46 20 8B 53 20 E8 ?? ?? ?? ?? 8D 46 4C 8B 53 4C E8 ?? ?? ?? ?? 8D 46 50 8B 53 50 E8 ?? ?? ?? ?? 8B 43 28 89 46 28 8B 43 2C 89 46 2C 8B 43 30 89 46 30 8B 43 34 89 46 34 8B 43 38 89 46 38 8B 43 3C 89 46 3C 8B 43 40 89 46 40 8B 43 44 89 46 44 8D 46 48 8B 53 48 E8 ?? ?? ?? ?? 8B 43 58 89 46 58 8B 43 5C 89 46 5C 8D 46 68 8B 53 68 E8 ?? ?? ?? ?? 8B 43 60 89 46 60 8B 43 64 89 46 64 8B 43 70 89 46 70 8B 43 74 89 46 74 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35029_0 {
	meta:
		name = "TIdEntityHeaderInfo.Clear"
		size = 173
		refs = "0007 @UStrClr"
	strings:
		$1 = { 53 8B D8 8D 43 08 E8 ?? ?? ?? ?? 8D 43 10 E8 ?? ?? ?? ?? 8D 43 14 E8 ?? ?? ?? ?? 8D 43 50 E8 ?? ?? ?? ?? 8D 43 18 E8 ?? ?? ?? ?? 8D 43 1C E8 ?? ?? ?? ?? 8D 43 20 E8 ?? ?? ?? ?? 8D 43 4C E8 ?? ?? ?? ?? C7 43 28 FF FF FF FF C7 43 2C FF FF FF FF C7 43 38 FF FF FF FF C7 43 3C FF FF FF FF C7 43 30 FF FF FF FF C7 43 34 FF FF FF FF C7 43 40 FF FF FF FF C7 43 44 FF FF FF FF 8D 43 48 E8 ?? ?? ?? ?? 33 C0 89 43 58 89 43 5C 33 C0 89 43 70 89 43 74 8D 43 68 E8 ?? ?? ?? ?? 33 C0 89 43 60 89 43 64 8B 43 0C 8B 10 FF 52 44 5B C3 }
	condition:
		$1
}

rule function_35030_0 {
	meta:
		name = "TIdEntityHeaderInfo.ProcessHeaders"
		size = 1608
		refs = "001a TIdEntityHeaderInfo.ProcessHeaders 0039 TIdHeaderList.GetValue 0047 @UStrAsg 00f8 TIdEntityHeaderInfo.SetContentType 0114 IndyStrToInt64 0176 @UStrClr 01a5 Fetch 024f GMTToLocalDateTime 025d Now 029b IsNumeric 030f @HandleAnyException 0328 @DoneExcept 039e @UStrArrayClr 03b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 40 0C 89 45 E4 8D 4D E0 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F0 83 C0 08 E8 ?? ?? ?? ?? 8D 4D DC BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F0 83 C0 14 E8 ?? ?? ?? ?? 8D 4D D8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F0 83 C0 50 E8 ?? ?? ?? ?? 8D 4D D4 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F0 83 C0 18 E8 ?? ?? ?? ?? 8D 4D D0 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F0 83 C0 1C E8 ?? ?? ?? ?? 8D 4D CC BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F0 83 C0 20 E8 ?? ?? ?? ?? 8D 4D C8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F0 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 4D C4 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8B 4D F0 89 41 28 89 51 2C 8B 45 F0 83 78 2C 00 75 09 83 78 28 00 0F 93 C0 EB 03 0F 9D C0 8B 55 F0 88 42 7C 8B 45 F0 C7 40 38 FF FF FF FF C7 40 3C FF FF FF FF 8B 45 F0 C7 40 30 FF FF FF FF C7 40 34 FF FF FF FF 8B 45 F0 C7 40 40 FF FF FF FF C7 40 44 FF FF FF FF 8B 45 F0 83 C0 48 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 A1 00 00 00 6A 01 8D 45 C0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F0 83 C0 48 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 6A FF 6A 01 8D 45 BC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 8B 4D F0 89 41 38 89 51 3C 6A FF 6A FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F0 89 41 30 89 51 34 6A FF 6A FF 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F0 89 41 40 89 51 44 8D 4D FC BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 83 7D FC 00 74 11 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 DD 58 58 9B EB 0C E8 ?? ?? ?? ?? 8B 45 F0 DD 58 58 9B 8D 4D B8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 8B 45 F0 DD 58 70 9B 8D 4D FC BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 44 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 83 7D EC 00 75 08 83 7D E8 00 72 1D EB 02 7C 19 E8 ?? ?? ?? ?? DF 6D E8 D8 35 ?? ?? ?? ?? DE C1 8B 45 F0 DD 58 60 9B EB 52 8B 45 F0 33 D2 89 50 60 89 50 64 EB 45 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 DD 58 60 9B 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE E9 8B 45 F0 DD 58 60 9B E8 ?? ?? ?? ?? 8D 4D B4 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 B4 8B 45 F0 83 C0 68 E8 ?? ?? ?? ?? 8D 4D B0 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 B0 8B 45 F0 83 C0 78 E8 ?? ?? ?? ?? 8D 4D AC BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 AC 8B 45 F0 05 80 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 0E 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 61 00 63 00 68 00 65 00 2D 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 52 00 61 00 6E 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4C 00 61 00 73 00 74 00 2D 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 78 00 70 00 69 00 72 00 65 00 73 00 00 00 00 C0 A8 47 B7 4A 89 72 06 45 2E C2 EE 3F 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 54 00 61 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 72 00 61 00 67 00 6D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 54 00 72 00 61 00 6E 00 73 00 66 00 65 00 72 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_40970_0 {
	meta:
		name = "TIdEntityHeaderInfo.ProcessHeaders"
		size = 1608
		refs = "001a TIdEntityHeaderInfo.ProcessHeaders 0039 TInHeaderList.GetValue 0047 @UStrAsg 00f8 TIdEntityHeaderInfo.SetContentType 0114 IndyStrToInt64 0176 @UStrClr 01a5 Fetch 024f GMTToLocalDateTime 025d Now 029b IsNumeric 030f @HandleAnyException 0328 @DoneExcept 039e @UStrArrayClr 03b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 40 0C 89 45 E4 8D 4D E0 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F0 83 C0 08 E8 ?? ?? ?? ?? 8D 4D DC BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F0 83 C0 14 E8 ?? ?? ?? ?? 8D 4D D8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F0 83 C0 50 E8 ?? ?? ?? ?? 8D 4D D4 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F0 83 C0 18 E8 ?? ?? ?? ?? 8D 4D D0 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F0 83 C0 1C E8 ?? ?? ?? ?? 8D 4D CC BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F0 83 C0 20 E8 ?? ?? ?? ?? 8D 4D C8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F0 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 4D C4 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8B 4D F0 89 41 28 89 51 2C 8B 45 F0 83 78 2C 00 75 09 83 78 28 00 0F 93 C0 EB 03 0F 9D C0 8B 55 F0 88 42 7C 8B 45 F0 C7 40 38 FF FF FF FF C7 40 3C FF FF FF FF 8B 45 F0 C7 40 30 FF FF FF FF C7 40 34 FF FF FF FF 8B 45 F0 C7 40 40 FF FF FF FF C7 40 44 FF FF FF FF 8B 45 F0 83 C0 48 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 A1 00 00 00 6A 01 8D 45 C0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F0 83 C0 48 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 6A FF 6A 01 8D 45 BC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 8B 4D F0 89 41 38 89 51 3C 6A FF 6A FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F0 89 41 30 89 51 34 6A FF 6A FF 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F0 89 41 40 89 51 44 8D 4D FC BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 83 7D FC 00 74 11 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 DD 58 58 9B EB 0C E8 ?? ?? ?? ?? 8B 45 F0 DD 58 58 9B 8D 4D B8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 8B 45 F0 DD 58 70 9B 8D 4D FC BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 44 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 83 7D EC 00 75 08 83 7D E8 00 72 1D EB 02 7C 19 E8 ?? ?? ?? ?? DF 6D E8 D8 35 ?? ?? ?? ?? DE C1 8B 45 F0 DD 58 60 9B EB 52 8B 45 F0 33 D2 89 50 60 89 50 64 EB 45 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 DD 58 60 9B 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE E9 8B 45 F0 DD 58 60 9B E8 ?? ?? ?? ?? 8D 4D B4 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 B4 8B 45 F0 83 C0 68 E8 ?? ?? ?? ?? 8D 4D B0 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 B0 8B 45 F0 83 C0 78 E8 ?? ?? ?? ?? 8D 4D AC BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 AC 8B 45 F0 05 80 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 0E 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 61 00 63 00 68 00 65 00 2D 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 52 00 61 00 6E 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4C 00 61 00 73 00 74 00 2D 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 78 00 70 00 69 00 72 00 65 00 73 00 00 00 00 C0 A8 47 B7 4A 89 72 06 45 2E C2 EE 3F 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 54 00 61 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 72 00 61 00 67 00 6D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 54 00 72 00 61 00 6E 00 73 00 66 00 65 00 72 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_35031_0 {
	meta:
		name = "TIdEntityHeaderInfo.SetHeaders"
		size = 1144
		refs = "0012 TIdEntityHeaderInfo.SetHeaders 0042 TIdHeaderList.SetValue 00f2 TIdHeaderList.SetParam 0110 IntToStr 015b LocalDateTimeToHttpStr 0227 @UStrCat 024b @UStrArrayClr 0251 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 0C 8B 10 FF 52 44 8B 7E 0C 8B 46 14 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 4E 14 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 46 50 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 4E 50 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 46 18 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 4E 18 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 46 1C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 4E 1C BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 46 20 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 4E 20 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 46 4C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 24 8B 4E 4C BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 46 10 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 7E 2C 00 75 08 83 7E 28 00 72 21 EB 02 7C 1D FF 76 2C FF 76 28 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 46 08 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 4E 08 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? DD 46 58 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 1D FF 76 5C FF 76 58 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 46 68 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 4E 68 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? DD 46 60 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 1D FF 76 64 FF 76 60 8D 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 46 78 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 4E 78 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 86 80 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8E 80 00 00 00 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 46 54 8B 10 FF 52 14 85 C0 7E 2C 8D 55 F0 8B C7 8B 08 FF 51 1C 8D 45 F0 50 8D 55 EC 8B 46 54 8B 08 FF 51 1C 8B 55 EC 58 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 61 00 63 00 68 00 65 00 2D 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 54 00 61 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 78 00 70 00 69 00 72 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 72 00 61 00 67 00 6D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 54 00 72 00 61 00 6E 00 73 00 66 00 65 00 72 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_40971_0 {
	meta:
		name = "TIdEntityHeaderInfo.SetHeaders"
		size = 1144
		refs = "0012 TIdEntityHeaderInfo.SetHeaders 0042 TInHeaderList.SetValue 00f2 TInHeaderList.SetParam 0110 IntToStr 015b LocalDateTimeToHttpStr 0227 @UStrCat 024b @UStrArrayClr 0251 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 0C 8B 10 FF 52 44 8B 7E 0C 8B 46 14 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 4E 14 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 46 50 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 4E 50 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 46 18 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 4E 18 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 46 1C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 4E 1C BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 46 20 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 4E 20 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 46 4C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 24 8B 4E 4C BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 46 10 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 7E 2C 00 75 08 83 7E 28 00 72 21 EB 02 7C 1D FF 76 2C FF 76 28 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 46 08 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 4E 08 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? DD 46 58 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 1D FF 76 5C FF 76 58 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 46 68 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 4E 68 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? DD 46 60 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 1D FF 76 64 FF 76 60 8D 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 46 78 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 4E 78 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 86 80 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8E 80 00 00 00 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 46 54 8B 10 FF 52 14 85 C0 7E 2C 8D 55 F0 8B C7 8B 08 FF 51 1C 8D 45 F0 50 8D 55 EC 8B 46 54 8B 08 FF 51 1C 8B 55 EC 58 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 61 00 63 00 68 00 65 00 2D 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 54 00 61 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 78 00 70 00 69 00 72 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 72 00 61 00 67 00 6D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 54 00 72 00 61 00 6E 00 73 00 66 00 65 00 72 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_35032_0 {
	meta:
		name = "TIdEntityHeaderInfo.SetCustomHeaders"
		size = 9
	strings:
		$1 = { 8B 40 54 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_35033_0 {
	meta:
		name = "TIdEntityHeaderInfo.SetContentLength"
		size = 42
	strings:
		$1 = { 55 8B EC 8B C8 8B 45 08 89 41 28 8B 45 0C 89 41 2C 83 79 2C 00 75 09 83 79 28 00 0F 93 C0 EB 03 0F 9D C0 88 41 7C 5D C2 08 00 }
	condition:
		$1
}

rule function_35034_0 {
	meta:
		name = "TIdEntityHeaderInfo.SetContentType"
		size = 516
		refs = "0014 TIdEntityHeaderInfo.SetContentType 0037 RemoveHeaderEntry 0042 @UStrAsg 0049 TIdEntityHeaderInfo.GetOwnerComponent 006a IsHeaderMediaType 0079 ExtractHeaderMediaSubType 009b PosInStrArray 00ac TextEndsWith 00bd @UStrLAsg 00e7 @UStrClr 0109 @UStrArrayClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 BD 00 00 00 6A 03 8D 45 F4 50 8D 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 4C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0A F6 40 1C 02 0F 85 98 00 00 00 83 7D F8 00 75 6F BA ?? ?? ?? ?? 8B 43 4C E8 ?? ?? ?? ?? 84 C0 74 5E 8D 55 FC 8B 43 4C E8 ?? ?? ?? ?? 6A 00 B8 ?? ?? ?? ?? 89 45 EC B8 ?? ?? ?? ?? 89 45 F0 8D 55 EC B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7D 11 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 1D 8D 43 10 8B 55 F8 E8 ?? ?? ?? ?? EB 10 8D 43 4C E8 ?? ?? ?? ?? 8D 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 78 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 78 00 6D 00 6C 00 2D 00 65 00 78 00 74 00 65 00 72 00 6E 00 61 00 6C 00 2D 00 70 00 61 00 72 00 73 00 65 00 64 00 2D 00 65 00 6E 00 74 00 69 00 74 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2B 00 78 00 6D 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 75 00 73 00 2D 00 61 00 73 00 63 00 69 00 69 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_35035_0 {
	meta:
		name = "TIdEntityHeaderInfo.GetHasContentRange"
		size = 20
	strings:
		$1 = { 8B C8 83 79 34 00 75 08 83 79 30 00 0F 93 C0 C3 0F 9D C0 C3 }
	condition:
		$1
}

rule function_35036_0 {
	meta:
		name = "TIdEntityHeaderInfo.GetHasContentRangeInstance"
		size = 20
	strings:
		$1 = { 8B C8 83 79 44 00 75 08 83 79 40 00 0F 93 C0 C3 0F 9D C0 C3 }
	condition:
		$1
}

rule function_35038_0 {
	meta:
		name = "TIdEntityHeaderInfo.GetOwnerComponent"
		size = 64
		refs = "000a @CallDynaInst 0018 _Dn_TComponent 001d @IsClass"
	strings:
		$1 = { 53 56 57 33 FF 66 BE FF FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 26 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 8B FB EB 11 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 8B D8 85 DB 75 DA 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35042_0 {
	meta:
		name = "TIdProxyConnectionInfo.AssignTo"
		size = 99
		refs = "000a _DV_TIdProxyConnectionInfo 000f @IsClass 0020 @AsClass 002d @UStrAsg 005c TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 40 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 08 8B 53 08 E8 ?? ?? ?? ?? 8B 43 0C 89 46 0C 8D 46 10 8B 53 10 E8 ?? ?? ?? ?? 8D 46 14 8B 53 14 E8 ?? ?? ?? ?? 0F B6 43 18 88 46 18 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35043_0 {
	meta:
		name = "TIdProxyConnectionInfo.Clear"
		size = 34
		refs = "0007 @UStrClr"
	strings:
		$1 = { 53 8B D8 8D 43 10 E8 ?? ?? ?? ?? 8D 43 14 E8 ?? ?? ?? ?? 8D 43 08 E8 ?? ?? ?? ?? 33 C0 89 43 0C 5B C3 }
	condition:
		$1
}

rule function_35044_0 {
	meta:
		name = "TIdProxyConnectionInfo.SetHeaders"
		size = 332
		refs = "0016 TIdProxyConnectionInfo.SetHeaders 004d TIdHeaderList.SetValue 005c _Dn_TIdBasicAuthentication 0061 TIdAuthentication.Create 00c5 @UStrClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 04 85 F6 74 2C 8D 55 FC 8B C6 8B 08 FF 51 28 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 73 8B 4D FC BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 61 80 7B 18 00 74 5B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 04 8B 46 08 8B 4B 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 08 8B 4B 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B C6 8B 08 FF 51 28 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D FC BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 72 00 6F 00 78 00 79 00 2D 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 73 00 65 00 72 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_40984_0 {
	meta:
		name = "TIdProxyConnectionInfo.SetHeaders"
		size = 332
		refs = "0016 TIdProxyConnectionInfo.SetHeaders 004d TInHeaderList.SetValue 005c _Dn_TIdBasicAuthentication 0061 TInAuthentication.Create 00c5 @UStrClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 04 85 F6 74 2C 8D 55 FC 8B C6 8B 08 FF 51 28 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 73 8B 4D FC BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 61 80 7B 18 00 74 5B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 04 8B 46 08 8B 4B 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 08 8B 4B 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B C6 8B 08 FF 51 28 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 8B 4D FC BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 72 00 6F 00 78 00 79 00 2D 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 73 00 65 00 72 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_35045_0 {
	meta:
		name = "TIdProxyConnectionInfo.SetProxyPort"
		size = 33
		refs = "0017 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 0C 74 10 8D 43 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 89 73 0C 5E 5B C3 }
	condition:
		$1
}

rule function_35046_0 {
	meta:
		name = "TIdProxyConnectionInfo.SetProxyServer"
		size = 49
		refs = "000c TextIsSame 0020 TObject.Free 002a @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 53 10 8B C6 E8 ?? ?? ?? ?? 84 C0 75 10 8D 43 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 10 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35047_0 {
	meta:
		name = "TIdEntityRange.Create"
		size = 95
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 004c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 10 FF FF FF FF C7 46 14 FF FF FF FF C7 46 18 FF FF FF FF C7 46 1C FF FF FF FF C7 46 20 FF FF FF FF C7 46 24 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_35048_0 {
	meta:
		name = "TIdEntityRange.GetText"
		size = 272
		refs = "0013 TIdEntityRange.GetText 0057 IntToStr 007c @UStrCatN 009b @UStrCat3 00d3 @UStrClr 00ed @UStrArrayClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 14 00 75 08 83 7B 10 00 73 14 EB 02 7D 10 83 7B 1C 00 75 08 83 7B 18 00 72 68 EB 02 7C 64 83 7B 1C 00 75 08 83 7B 18 00 72 39 EB 02 7C 35 FF 73 14 FF 73 10 8D 45 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 73 1C FF 73 18 8D 45 F8 E8 ?? ?? ?? ?? FF 75 F8 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 55 FF 73 14 FF 73 10 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 36 83 7B 24 00 75 08 83 7B 20 00 72 23 EB 02 7C 1F FF 73 24 FF 73 20 8D 45 F0 E8 ?? ?? ?? ?? 8B 4D F0 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_35049_0 {
	meta:
		name = "TIdEntityRange.SetText"
		size = 332
		refs = "0013 TIdEntityRange.SetText 0023 Trim 0042 Fetch 0054 StrToInt64Def 011a @UStrArrayClr 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 A9 00 00 00 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 49 6A FF 6A FF 8B 45 F8 E8 ?? ?? ?? ?? 89 43 10 89 53 14 6A FF 6A FF 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 43 18 89 53 1C C7 43 20 FF FF FF FF C7 43 24 FF FF FF FF EB 6F C7 43 10 FF FF FF FF C7 43 14 FF FF FF FF C7 43 18 FF FF FF FF C7 43 1C FF FF FF FF 6A FF 6A FF 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 43 20 89 53 24 EB 2A C7 43 10 FF FF FF FF C7 43 14 FF FF FF FF C7 43 18 FF FF FF FF C7 43 1C FF FF FF FF C7 43 20 FF FF FF FF C7 43 24 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35050_0 {
	meta:
		name = "TIdEntityRanges.Create"
		size = 96
		refs = "000a @ClassCreate 0013 _DV_TIdEntityRange 001d TOwnedCollection.Create 0025 TIdEntityRanges.Create 002a @UStrAsg 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 62 00 79 00 74 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_35054_0 {
	meta:
		name = "TIdEntityRanges.GetText"
		size = 212
		refs = "0017 TIdEntityRanges.GetText 0024 @UStrClr 003f TIdEntityRanges.GetRange 0047 TIdEntityRange.GetText 005e @UStrCat 008a @UStrCatN 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 8B 70 08 4E 85 F6 7C 3A 46 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 1B 83 3B 00 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 47 4E 75 C9 83 3B 00 74 19 8B 45 F8 FF 70 1C 68 ?? ?? ?? ?? FF 33 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_35055_0 {
	meta:
		name = "TIdEntityRanges.SetText"
		size = 436
		refs = "001d TIdEntityRanges.SetText 002d Trim 004b TCollection.Clear 0058 Pos 0071 Fetch 007c TIdEntityRanges.SetUnits 0083 _Dn_TStringList 0088 TStringList.Create 00a9 SplitColumns 00e1 TIdEntityRanges.Add 00fd TIdEntityRange.SetText 010c @HandleAnyException 0114 TObject.Free 0119 @RaiseAgain 011e @DoneExcept 013d @HandleFinally 0171 @UStrClr 017e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D FC 89 4D F8 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 15 6A 01 8D 45 FC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B9 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 14 8B D8 4B 85 DB 7C 6A 43 33 F6 8D 4D E8 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 45 E8 8D 55 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 45 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 99 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_35056_0 {
	meta:
		name = "TIdEntityRanges.SetUnits"
		size = 128
		refs = "000f TIdEntityRanges.SetUnits 001f Trim 0030 @UStrAsg 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 0D 8D 43 1C 8B 55 FC E8 ?? ?? ?? ?? EB 0D 8D 43 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 62 00 79 00 74 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_35057_0 {
	meta:
		name = "TIdRequestHeaderInfo.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TIdEntityHeaderInfo.Create 0020 _DV_TIdEntityRanges 0025 TIdEntityRanges.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B8 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_35058_0 {
	meta:
		name = "TIdRequestHeaderInfo.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 001a TObject.Free 0038 TIdEntityHeaderInfo.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 C0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 B8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35059_0 {
	meta:
		name = "TIdRequestHeaderInfo.ProcessHeaders"
		size = 732
		refs = "0017 TIdRequestHeaderInfo.ProcessHeaders 0024 TIdEntityHeaderInfo.ProcessHeaders 0036 TIdHeaderList.GetValue 0044 @UStrAsg 012c TIdEntityRanges.SetText 0163 @UStrArrayClr 0169 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 73 0C 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 88 00 00 00 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 83 8C 00 00 00 E8 ?? ?? ?? ?? 8D 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 83 90 00 00 00 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8D 83 94 00 00 00 E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8D 83 B0 00 00 00 E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 E8 8D 83 9C 00 00 00 E8 ?? ?? ?? ?? 8D 4D E4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 E4 8D 83 A4 00 00 00 E8 ?? ?? ?? ?? 8D 4D E0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 8D 83 A8 00 00 00 E8 ?? ?? ?? ?? 8D 4D DC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 DC 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8D 4D D8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 D8 8D 83 C4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 2D 00 43 00 68 00 61 00 72 00 73 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 2D 00 4C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 6F 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 72 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 65 00 66 00 65 00 72 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 55 00 73 00 65 00 72 00 2D 00 41 00 67 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 61 00 6E 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 58 00 2D 00 48 00 54 00 54 00 50 00 2D 00 4D 00 65 00 74 00 68 00 6F 00 64 00 2D 00 4F 00 76 00 65 00 72 00 72 00 69 00 64 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_40999_0 {
	meta:
		name = "TIdRequestHeaderInfo.ProcessHeaders"
		size = 732
		refs = "0017 TIdRequestHeaderInfo.ProcessHeaders 0024 TIdEntityHeaderInfo.ProcessHeaders 0036 TInHeaderList.GetValue 0044 @UStrAsg 012c TIdEntityRanges.SetText 0163 @UStrArrayClr 0169 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 73 0C 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 88 00 00 00 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 83 8C 00 00 00 E8 ?? ?? ?? ?? 8D 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 83 90 00 00 00 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8D 83 94 00 00 00 E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8D 83 B0 00 00 00 E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 E8 8D 83 9C 00 00 00 E8 ?? ?? ?? ?? 8D 4D E4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 E4 8D 83 A4 00 00 00 E8 ?? ?? ?? ?? 8D 4D E0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 8D 83 A8 00 00 00 E8 ?? ?? ?? ?? 8D 4D DC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 DC 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8D 4D D8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 D8 8D 83 C4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 2D 00 43 00 68 00 61 00 72 00 73 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 2D 00 4C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 6F 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 72 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 65 00 66 00 65 00 72 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 55 00 73 00 65 00 72 00 2D 00 41 00 67 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 61 00 6E 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 58 00 2D 00 48 00 54 00 54 00 50 00 2D 00 4D 00 65 00 74 00 68 00 6F 00 64 00 2D 00 4F 00 76 00 65 00 72 00 72 00 69 00 64 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_35060_0 {
	meta:
		name = "TIdRequestHeaderInfo.AssignTo"
		size = 257
		refs = "000a _DV_TIdRequestHeaderInfo 000f @IsClass 0024 @AsClass 0037 @UStrAsg 00fa TIdEntityHeaderInfo.AssignTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 DA 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 86 88 00 00 00 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 8D 86 8C 00 00 00 8B 93 8C 00 00 00 E8 ?? ?? ?? ?? 8D 86 90 00 00 00 8B 93 90 00 00 00 E8 ?? ?? ?? ?? 8D 86 94 00 00 00 8B 93 94 00 00 00 E8 ?? ?? ?? ?? 8D 86 9C 00 00 00 8B 93 9C 00 00 00 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 8B 93 AC 00 00 00 E8 ?? ?? ?? ?? 8D 86 A0 00 00 00 8B 93 A0 00 00 00 E8 ?? ?? ?? ?? 8D 86 A4 00 00 00 8B 93 A4 00 00 00 E8 ?? ?? ?? ?? 8D 86 A8 00 00 00 8B 93 A8 00 00 00 E8 ?? ?? ?? ?? 0F B6 83 BC 00 00 00 88 86 BC 00 00 00 8B 93 B8 00 00 00 8B 86 B8 00 00 00 8B 08 FF 51 08 8D 86 C4 00 00 00 8B 93 C4 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35061_0 {
	meta:
		name = "TIdRequestHeaderInfo.Clear"
		size = 224
		refs = "000a TIdRequestHeaderInfo.Clear 000f @UStrAsg 001a @UStrClr 003e TIdEntityRanges.SetText 0050 TIdEntityHeaderInfo.Clear"
	strings:
		$1 = { 53 8B D8 8D 83 88 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 8C 00 00 00 E8 ?? ?? ?? ?? 8D 83 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 BC 00 00 00 00 33 D2 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8D 83 C4 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 2C 00 20 00 2A 00 2F 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 4D 00 6F 00 7A 00 69 00 6C 00 6C 00 61 00 2F 00 33 00 2E 00 30 00 20 00 28 00 63 00 6F 00 6D 00 70 00 61 00 74 00 69 00 62 00 6C 00 65 00 3B 00 20 00 49 00 6E 00 64 00 79 00 20 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_35062_0 {
	meta:
		name = "TIdRequestHeaderInfo.GetRange"
		size = 22
		refs = "000f TIdEntityRanges.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35063_0 {
	meta:
		name = "TIdRequestHeaderInfo.SetRange"
		size = 12
		refs = "0007 TIdEntityRanges.SetText"
	strings:
		$1 = { 8B 80 B8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35064_0 {
	meta:
		name = "TIdRequestHeaderInfo.SetRanges"
		size = 16
		altNames = "TSeActiveBitmap.SetActiveFont TSeTextObject.SetFontDisabled"
	strings:
		$1 = { 56 8B F0 8B 86 B8 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_35065_0 {
	meta:
		name = "TIdRequestHeaderInfo.SetHeaders"
		size = 1260
		refs = "0010 TIdRequestHeaderInfo.SetHeaders 001d TIdEntityHeaderInfo.SetHeaders 0045 TIdHeaderList.SetValue 017b TIdEntityRanges.GetText 01b7 LocalDateTimeToHttpStr 020b _Dn_TIdBasicAuthentication 0210 TIdAuthentication.Create 02a6 @UStrArrayClr 02ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 73 0C 8B 83 B4 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8B B4 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 B0 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8B B0 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 88 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8B 88 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 8C 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8B 8C 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 90 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8B 90 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 94 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8B 94 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8B 9C 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 A4 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8B A4 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8B A8 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? DD 43 70 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 1D FF 73 74 FF 73 70 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B BB C0 00 00 00 85 FF 74 2B 8D 55 FC 8B C7 8B 08 FF 51 28 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 7D 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 6C 80 BB BC 00 00 00 00 74 63 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 BB C0 00 00 00 8B 47 08 8B 8B AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 08 8B 8B A0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B C7 8B 08 FF 51 28 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 C4 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8B C4 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 72 00 6F 00 78 00 79 00 2D 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 6F 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 2D 00 43 00 68 00 61 00 72 00 73 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 2D 00 4C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 72 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 65 00 66 00 65 00 72 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 55 00 73 00 65 00 72 00 2D 00 41 00 67 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 61 00 6E 00 67 00 65 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 66 00 2D 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 53 00 69 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 73 00 65 00 72 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 58 00 2D 00 48 00 54 00 54 00 50 00 2D 00 4D 00 65 00 74 00 68 00 6F 00 64 00 2D 00 4F 00 76 00 65 00 72 00 72 00 69 00 64 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_41005_0 {
	meta:
		name = "TIdRequestHeaderInfo.SetHeaders"
		size = 1260
		refs = "0010 TIdRequestHeaderInfo.SetHeaders 001d TIdEntityHeaderInfo.SetHeaders 0045 TInHeaderList.SetValue 017b TIdEntityRanges.GetText 01b7 LocalDateTimeToHttpStr 020b _Dn_TIdBasicAuthentication 0210 TInAuthentication.Create 02a6 @UStrArrayClr 02ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 73 0C 8B 83 B4 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8B B4 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 B0 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8B B0 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 88 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8B 88 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 8C 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8B 8C 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 90 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8B 90 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 94 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8B 94 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8B 9C 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 A4 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8B A4 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8B A8 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? DD 43 70 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 1D FF 73 74 FF 73 70 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B BB C0 00 00 00 85 FF 74 2B 8D 55 FC 8B C7 8B 08 FF 51 28 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 7D 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 6C 80 BB BC 00 00 00 00 74 63 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 BB C0 00 00 00 8B 47 08 8B 8B AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 08 8B 8B A0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B C7 8B 08 FF 51 28 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0F 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 C4 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 8B C4 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 72 00 6F 00 78 00 79 00 2D 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 6F 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 2D 00 43 00 68 00 61 00 72 00 73 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 2D 00 4C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 72 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 65 00 66 00 65 00 72 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 55 00 73 00 65 00 72 00 2D 00 41 00 67 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 61 00 6E 00 67 00 65 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 66 00 2D 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 2D 00 53 00 69 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 75 00 74 00 68 00 6F 00 72 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 73 00 65 00 72 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 58 00 2D 00 48 00 54 00 54 00 50 00 2D 00 4D 00 65 00 74 00 68 00 6F 00 64 00 2D 00 4F 00 76 00 65 00 72 00 72 00 69 00 64 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_35066_0 {
	meta:
		name = "TIdResponseHeaderInfo.Create"
		size = 220
		refs = "000a @ClassCreate 0017 TIdEntityHeaderInfo.Create 001f TIdResponseHeaderInfo.Create 0024 @UStrAsg 003a _Dn_TIdHeaderList 003f TIdHeaderList.Create 0078 @UStrClr 0083 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 9C 00 00 00 B1 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 98 00 00 00 B1 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A0 00 00 00 8D 86 88 00 00 00 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_41006_0 {
	meta:
		name = "TIdResponseHeaderInfo.Create"
		size = 220
		refs = "000a @ClassCreate 0017 TIdEntityHeaderInfo.Create 001f TIdResponseHeaderInfo.Create 0024 @UStrAsg 003a _Dn_TInHeaderList 003f TInHeaderList.Create 0078 @UStrClr 0083 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 9C 00 00 00 B1 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 98 00 00 00 B1 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A0 00 00 00 8D 86 88 00 00 00 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_35067_0 {
	meta:
		name = "TIdResponseHeaderInfo.Destroy"
		size = 93
		refs = "0003 @BeforeDestruction 001a TObject.Free 004b TIdEntityHeaderInfo.Destroy 0056 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 A0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 9C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 98 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35069_0 {
	meta:
		name = "TChartAxis.SetMinorTicks"
		size = 12
		altNames = "TIdMessage.SetReceiptRecipient TIdResponseHeaderInfo.SetWWWAuthenticate"
	strings:
		$1 = { 8B 80 9C 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_35070_0 {
	meta:
		name = "TIdResponseHeaderInfo.ProcessHeaders"
		size = 500
		refs = "0011 TIdResponseHeaderInfo.ProcessHeaders 001e TIdEntityHeaderInfo.ProcessHeaders 0030 TIdHeaderList.GetValue 003e @UStrAsg 0095 TIdHeaderList.Extract 00e9 @UStrArrayClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 73 0C 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 8C 00 00 00 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 83 90 00 00 00 E8 ?? ?? ?? ?? 8D 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 83 94 00 00 00 E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 8B 10 FF 52 44 8B 8B 9C 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 98 00 00 00 8B 10 FF 52 44 8B 8B 98 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8D 83 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 72 00 6F 00 78 00 79 00 2D 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 57 00 57 00 57 00 2D 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 50 00 72 00 6F 00 78 00 79 00 2D 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 2D 00 52 00 61 00 6E 00 67 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_41010_0 {
	meta:
		name = "TIdResponseHeaderInfo.ProcessHeaders"
		size = 500
		refs = "0011 TIdResponseHeaderInfo.ProcessHeaders 001e TIdEntityHeaderInfo.ProcessHeaders 0030 TInHeaderList.GetValue 003e @UStrAsg 0095 TInHeaderList.Extract 00e9 @UStrArrayClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 73 0C 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 8C 00 00 00 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 83 90 00 00 00 E8 ?? ?? ?? ?? 8D 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 83 94 00 00 00 E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 8B 10 FF 52 44 8B 8B 9C 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 98 00 00 00 8B 10 FF 52 44 8B 8B 98 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8D 83 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 72 00 6F 00 78 00 79 00 2D 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 57 00 57 00 57 00 2D 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 50 00 72 00 6F 00 78 00 79 00 2D 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 2D 00 52 00 61 00 6E 00 67 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_35071_0 {
	meta:
		name = "TIdResponseHeaderInfo.SetHeaders"
		size = 644
		refs = "0017 TIdResponseHeaderInfo.SetHeaders 0024 TIdEntityHeaderInfo.SetHeaders 002b TIdEntityHeaderInfo.GetHasContentRange 0036 TIdEntityHeaderInfo.GetHasContentRangeInstance 0056 iif 0084 IndyFormat 00f1 @UStrCatN 0101 TIdHeaderList.SetValue 0144 DateTimeGMTToHttpStr 016e @UStrArrayClr 0176 @UStrClr 0189 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 C3 00 00 00 8D 45 FC 50 83 7B 48 00 0F 95 C0 B9 ?? ?? ?? ?? 8B 53 48 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 45 F0 50 8D 43 38 89 45 E0 C6 45 E4 10 8D 43 30 89 45 E8 C6 45 EC 10 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 45 F4 50 8D 45 DC 50 8D 43 40 89 45 D4 C6 45 D8 10 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 F4 8D 45 D0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D D0 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B 83 88 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 13 8B 8B 88 00 00 00 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? DD 43 70 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 1E FF 73 74 FF 73 70 8D 45 CC E8 ?? ?? ?? ?? 8B 4D CC BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 62 00 79 00 74 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 64 00 2D 00 25 00 64 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 25 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 52 00 61 00 6E 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 2D 00 52 00 61 00 6E 00 67 00 65 00 73 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4C 00 61 00 73 00 74 00 2D 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_41011_0 {
	meta:
		name = "TIdResponseHeaderInfo.SetHeaders"
		size = 644
		refs = "0017 TIdResponseHeaderInfo.SetHeaders 0024 TIdEntityHeaderInfo.SetHeaders 002b TIdEntityHeaderInfo.GetHasContentRange 0036 TIdEntityHeaderInfo.GetHasContentRangeInstance 0056 iif 0084 IndyFormat 00f1 @UStrCatN 0101 TInHeaderList.SetValue 0144 DateTimeGMTToHttpStr 016e @UStrArrayClr 0176 @UStrClr 0189 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 C3 00 00 00 8D 45 FC 50 83 7B 48 00 0F 95 C0 B9 ?? ?? ?? ?? 8B 53 48 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 45 F0 50 8D 43 38 89 45 E0 C6 45 E4 10 8D 43 30 89 45 E8 C6 45 EC 10 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 45 F4 50 8D 45 DC 50 8D 43 40 89 45 D4 C6 45 D8 10 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 F4 8D 45 D0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D D0 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B 83 88 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 13 8B 8B 88 00 00 00 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? DD 43 70 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 1E FF 73 74 FF 73 70 8D 45 CC E8 ?? ?? ?? ?? 8B 4D CC BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 62 00 79 00 74 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 64 00 2D 00 25 00 64 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 25 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 52 00 61 00 6E 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 2D 00 52 00 61 00 6E 00 67 00 65 00 73 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4C 00 61 00 73 00 74 00 2D 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_35072_0 {
	meta:
		name = "TIdResponseHeaderInfo.Clear"
		size = 172
		refs = "0006 TIdEntityHeaderInfo.Clear 000e TIdResponseHeaderInfo.Clear 0013 @UStrAsg 002b @UStrClr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 8C 00 00 00 E8 ?? ?? ?? ?? 8D 83 90 00 00 00 E8 ?? ?? ?? ?? 8D 83 88 00 00 00 E8 ?? ?? ?? ?? 8B 83 98 00 00 00 85 C0 74 05 8B 10 FF 52 44 8B 83 9C 00 00 00 85 C0 74 05 8B 10 FF 52 44 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_35073_0 {
	meta:
		name = "TIdResponseHeaderInfo.SetAcceptRanges"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 88 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35074_0 {
	meta:
		name = "TIdMetaHTTPEquiv.ProcessMetaHTTPEquiv"
		size = 34
		refs = "0009 ParseMetaHTTPEquiv"
	strings:
		$1 = { 56 8B F0 8B C2 8B 56 0C E8 ?? ?? ?? ?? 8B 46 0C 8B 10 FF 52 14 85 C0 7E 07 8B C6 8B 10 FF 52 0C 5E C3 }
	condition:
		$1
}

rule function_35077_0 {
	meta:
		name = "TIdHTTPProxyServerContext.Create"
		size = 84
		refs = "000d @ClassCreate 0022 TIdContext.Create 002b _Dn_TIdHeaderList 0030 TIdHeaderList.Create 003e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? B1 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_35079_0 {
	meta:
		name = "TIdHTTPProxyServer.InitializeCommandHandlers"
		size = 300
		refs = "0007 TIdCmdTCPServer.InitializeCommandHandlers 0012 TIdCommandHandlers.Add 001c TIdHTTPProxyServer.InitializeCommandHandlers 0021 @UStrAsg 002b TIdHTTPProxyServer.CommandPassThrough 00af TIdHTTPProxyServer.CommandCONNECT 00be TIdCmdTCPServer.GetGreeting"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 01 C6 46 1C 01 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 01 C6 46 1C 01 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 01 C6 46 1C 01 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 01 C6 46 1C 01 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 30 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 45 00 41 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 4F 00 4E 00 4E 00 45 00 43 00 54 00 00 00 }
	condition:
		$1
}

rule function_35080_0 {
	meta:
		name = "TIdHTTPProxyServer.TransferData"
		size = 876
		refs = "0020 TIdHTTPProxyServer.TransferData 0036 TIdHeaderList.GetValue 0048 IndyStrToStreamSize 00a6 TIdIOHandler.WriteLn 00dc @UStrCatN 0131 _Dn_TMemoryStream 0136 TObject.Create 0171 TStream.SetPosition 017e TIdHTTPProxyServer.DoHTTPDocument 01c4 _Dn_TIdTCPStream 01c9 TIdTCPStream.Create 0234 TObject.Free 023a @HandleFinally 0273 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D FC 89 4D F4 8B F2 89 45 F8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 46 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 6F 6A FF 6A FF 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 83 7D EC 00 75 08 83 7D E8 00 73 5F EB 02 7D 5B 80 7E 5D 00 75 1A 8B 45 F4 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 EB 18 8B 45 F4 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 8B 45 F4 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 B3 01 00 00 C7 45 E8 FF FF FF FF C7 45 EC FF FF FF FF 80 7E 5D 00 75 30 FF 76 4C 68 ?? ?? ?? ?? FF 76 50 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 87 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 80 7E 5D 01 74 18 83 7D EC 00 75 0C 83 7D E8 00 0F 86 37 01 00 00 EB 06 0F 8E 2F 01 00 00 33 C0 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7E 5C 00 0F 85 8F 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 FF 75 EC FF 75 E8 83 7D EC 00 75 09 83 7D E8 00 0F 92 C1 EB 03 0F 9C C1 8B 45 F4 8B 80 98 00 00 00 8B 55 F0 8B 18 FF 93 CC 00 00 00 6A 00 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 8B 56 48 8B 87 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 8B 87 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 87 98 00 00 00 33 C9 8B 55 F0 8B 18 FF 93 B0 00 00 00 EB 61 6A 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 00 8B 56 48 8B 87 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 8B 87 98 00 00 00 33 D2 E8 ?? ?? ?? ?? FF 75 EC FF 75 E8 83 7D EC 00 75 09 83 7D E8 00 0F 92 C1 EB 03 0F 9C C1 8B 45 F4 8B 80 98 00 00 00 8B 55 F0 8B 18 FF 93 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 6A 00 8B 56 48 8B 87 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 8B 87 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 48 00 54 00 54 00 50 00 2F 00 31 00 2E 00 30 00 20 00 34 00 30 00 30 00 20 00 42 00 61 00 64 00 20 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 48 00 54 00 54 00 50 00 2F 00 31 00 2E 00 30 00 20 00 35 00 30 00 32 00 20 00 42 00 61 00 64 00 20 00 47 00 61 00 74 00 65 00 77 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 48 00 54 00 54 00 50 00 2F 00 31 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_35081_0 {
	meta:
		name = "TIdHTTPProxyServer.CommandPassThrough"
		size = 603
		refs = "0018 TIdHTTPProxyServer.CommandPassThrough 0039 @UStrAsg 005d _Dn_TIdTCPClient 0062 TIdBaseComponent.Create 0083 _Dn_TIdURI 0088 TIdURI.Create 00bd IndyStrToInt 00d8 TIdURI.GetPathAndParams 0100 TObject.Free 0106 @HandleFinally 0130 TIdIOHandler.Capture 0152 TIdHTTPProxyServer.DoHTTPBeforeCommand 0186 TIdHTTPProxyServer.TransferData 01d0 TIdHTTPProxyServer.DoHTTPResponse 0200 TIdTCPConnection.Disconnect 024a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 89 4D F0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 10 00 8B 43 20 89 45 F4 8B 45 F4 83 C0 4C 8B 53 04 8B 52 10 E8 ?? ?? ?? ?? 8D 4D F0 8B 43 0C 33 D2 8B 18 FF 53 0C 8B 55 F0 8B 45 F4 83 C0 58 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 42 54 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F4 8B 48 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 50 18 8B 45 F4 8B 40 54 8B 08 FF 91 A0 00 00 00 8B 45 F8 8B 40 10 BA 50 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 54 8B 08 FF 91 A4 00 00 00 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 83 C0 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 8B 40 48 8B 10 FF 52 44 6A 00 6A 00 8B 45 F4 8B 50 48 8B 45 F4 8B 40 14 8B 80 98 00 00 00 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 80 50 01 00 00 8B 55 F4 88 42 5C 8B 45 F4 C6 40 5D 00 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 54 8B 10 FF 92 AC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 54 50 8B 45 F4 8B 48 14 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 48 8B 10 FF 52 44 6A 00 6A 00 8B 45 F4 8B 50 48 8B 45 F4 8B 40 54 8B 80 98 00 00 00 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 80 50 01 00 00 8B 55 F4 88 42 5C 8B 45 F4 C6 40 5D 01 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 14 50 8B 45 F4 8B 48 54 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 54 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 83 C0 54 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35082_0 {
	meta:
		name = "TIdHTTPProxyServer.CommandCONNECT"
		size = 1392
		refs = "001b TIdHTTPProxyServer.CommandCONNECT 003c @UStrAsg 0060 _Dn_TIdTCPClient 0065 TIdBaseComponent.Create 00a0 _Dn_TIdTCPStream 00a5 TIdTCPStream.Create 00cd @UStrLAsg 00e2 Fetch 0100 IndyStrToInt 0138 TIdIOHandler.Capture 0156 TIdHTTPProxyServer.DoHTTPBeforeCommand 0173 _Dn_TIdSocketList 0178 TIdSocketList.CreateSocketList 0227 TIdIOHandler.WriteLn 02ef TIdIOHandler.InputBufferIsEmpty 0312 TIdBuffer.ExtractToStream 0406 TIdTCPConnection.Disconnect 040c @HandleFinally 0428 TObject.Free 04ae @UStrArrayClr 04b6 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E0 89 4D E4 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 10 00 8B 43 20 89 45 F8 8B 45 F8 83 C0 4C 8B 53 04 8B 52 10 E8 ?? ?? ?? ?? 8D 4D E4 8B 43 0C 33 D2 8B 18 FF 53 0C 8B 55 E4 8B 45 F8 83 C0 58 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 54 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 C0 89 45 EC 33 C0 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 F8 8B 48 54 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 6A 00 8B 45 F8 8B 48 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8D 45 FC 8B 55 F8 8B 52 58 E8 ?? ?? ?? ?? 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F8 8B 40 54 8B 08 FF 91 A0 00 00 00 BA BB 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 54 8B 08 FF 91 A4 00 00 00 8B 45 F8 8B 40 48 8B 10 FF 52 44 6A 00 6A 00 8B 45 F8 8B 50 48 8B 45 F8 8B 40 14 8B 80 98 00 00 00 33 C9 E8 ?? ?? ?? ?? 0F B6 86 50 01 00 00 8B 55 F8 88 42 5C 8B 45 F8 C6 40 5D 00 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 F4 33 C0 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F8 8B 40 54 8B 10 FF 92 AC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 14 8B 80 B0 00 00 00 8B 80 D8 00 00 00 8B 50 10 8B 45 F4 8B 08 FF 51 08 8B 45 F8 8B 40 54 8B 80 B0 00 00 00 8B 80 D8 00 00 00 8B 50 10 8B 45 F4 8B 08 FF 51 08 8B 45 F8 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 8B 45 F8 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 8B 45 F8 8B 40 14 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 8B 80 98 00 00 00 C7 80 C0 00 00 00 64 00 00 00 8B 45 F8 8B 40 54 8B 80 98 00 00 00 C7 80 C0 00 00 00 64 00 00 00 E9 EE 00 00 00 8D 55 F0 B9 FE FF FF FF 8B 45 F4 8B 18 FF 53 28 84 C0 0F 84 D6 00 00 00 8B 45 F8 8B 40 14 8B 80 B0 00 00 00 8B 80 D8 00 00 00 8B 50 10 8B 45 F0 8B 08 FF 51 1C 84 C0 74 16 8B 45 F8 8B 40 14 8B 80 98 00 00 00 33 D2 8B 08 FF 91 88 00 00 00 8B 45 F8 8B 40 54 8B 80 B0 00 00 00 8B 80 D8 00 00 00 8B 50 10 8B 45 F0 8B 08 FF 51 1C 84 C0 74 16 8B 45 F8 8B 40 54 8B 80 98 00 00 00 33 D2 8B 08 FF 91 88 00 00 00 8B 45 F8 8B 40 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 1F 6A FF 8B 45 F8 8B 40 14 8B 80 98 00 00 00 8B 80 A0 00 00 00 83 C9 FF 8B 55 EC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 54 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 1F 6A FF 8B 45 F8 8B 40 54 8B 80 98 00 00 00 8B 80 A0 00 00 00 83 C9 FF 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 8B 10 FF 52 74 84 C0 74 13 8B 45 F8 8B 40 54 8B 10 FF 52 74 84 C0 0F 85 F0 FE FF FF 8B 45 F8 8B 40 54 8B 10 FF 52 74 84 C0 74 34 8B 45 F8 8B 40 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 1F 6A FF 8B 45 F8 8B 40 14 8B 80 98 00 00 00 8B 80 A0 00 00 00 83 C9 FF 8B 55 EC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 8B 10 FF 52 74 84 C0 74 34 8B 45 F8 8B 40 54 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 1F 6A FF 8B 45 F8 8B 40 54 8B 80 98 00 00 00 8B 80 A0 00 00 00 83 C9 FF 8B 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 54 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 83 C0 54 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 48 00 54 00 54 00 50 00 2F 00 31 00 2E 00 30 00 20 00 32 00 30 00 30 00 20 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 65 00 73 00 74 00 61 00 62 00 6C 00 69 00 73 00 68 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 50 00 72 00 6F 00 78 00 79 00 2D 00 61 00 67 00 65 00 6E 00 74 00 3A 00 20 00 49 00 6E 00 64 00 79 00 2D 00 50 00 72 00 6F 00 78 00 79 00 2F 00 31 00 2E 00 31 00 00 00 }
	condition:
		$1
}

rule function_35083_0 {
	meta:
		name = "TIdHTTPProxyServer.InitComponent"
		size = 78
		refs = "0006 TIdCmdTCPServer.InitComponent 000b _DV_TIdHTTPProxyServerContext 002d TIdCmdTCPServer.GetGreeting 003e TIdCmdTCPServer.GetReplyUnknownCommand"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 83 9C 00 00 00 66 BA 90 1F 8B C3 8B 08 FF 91 98 00 00 00 C6 83 50 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 18 33 D2 8B 08 FF 51 2C 8B C3 E8 ?? ?? ?? ?? 8B 40 18 33 D2 8B 08 FF 51 2C 5B C3 }
	condition:
		$1
}

rule function_35084_0 {
	meta:
		name = "TIdHTTPProxyServer.DoHTTPBeforeCommand"
		size = 27
	strings:
		$1 = { 53 66 83 B8 5A 01 00 00 00 74 0E 8B D8 8B 83 5C 01 00 00 FF 93 58 01 00 00 5B C3 }
	condition:
		$1
}

rule function_35086_0 {
	meta:
		name = "TIdHTTPProxyServer.DoHTTPResponse"
		size = 27
	strings:
		$1 = { 53 66 83 B8 62 01 00 00 00 74 0E 8B D8 8B 83 64 01 00 00 FF 93 60 01 00 00 5B C3 }
	condition:
		$1
}

rule function_35091_0 {
	meta:
		name = "TIdHTTPAppRequest.Create"
		size = 288
		refs = "0015 @ClassCreate 0022 TIdHTTPAppRequest.Create 0040 TWebRequest.Create 006d TIdCookies.GetCookie 0080 TWebRequest.GetCookieFields 00bb _Dn_TStringStream 00c0 TStringStream.Create 00f3 @UStrClr 00f9 @HandleFinally 0108 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 4B 1C 8B 45 0C 89 43 14 8B 45 08 89 43 18 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 8B 80 CC 00 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 38 46 C7 45 F8 00 00 00 00 8B 45 0C 8B 80 CC 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 51 24 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 38 FF 45 F8 4E 75 D0 8B 73 14 8B 86 D4 00 00 00 85 C0 74 09 89 43 20 C6 43 24 00 EB 3C 83 BE 0C 01 00 00 00 74 1A 8B 43 14 8B 88 0C 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 EB 15 8B 8E 04 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 C6 43 24 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_41017_0 {
	meta:
		name = "TInHTTPAppRequest.Create"
		size = 288
		refs = "0015 @ClassCreate 0022 TInHTTPAppRequest.Create 0040 TWebRequest.Create 006d TInCookies.GetCookie 0080 TWebRequest.GetCookieFields 00bb _Dn_TStringStream 00c0 TStringStream.Create 00f3 @UStrClr 00f9 @HandleFinally 0108 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 4B 1C 8B 45 0C 89 43 14 8B 45 08 89 43 18 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 8B 80 CC 00 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 38 46 C7 45 F8 00 00 00 00 8B 45 0C 8B 80 CC 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 51 24 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 38 FF 45 F8 4E 75 D0 8B 73 14 8B 86 D4 00 00 00 85 C0 74 09 89 43 20 C6 43 24 00 EB 3C 83 BE 0C 01 00 00 00 74 1A 8B 43 14 8B 88 0C 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 EB 15 8B 8E 04 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 C6 43 24 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_35092_0 {
	meta:
		name = "TIdHTTPAppRequest.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001d TObject.Free 0028 TWebRequest.Destroy 0033 @ClassDestroy"
		altNames = "TInHTTPAppRequest.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 24 00 74 10 8D 46 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35093_0 {
	meta:
		name = "TIdHTTPAppRequest.GetDateVariable"
		size = 145
		refs = "0018 TIdHTTPAppRequest.GetDateVariable 0035 @UStrFromLStr 004d ParseDate 0074 @LStrClr 007c @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D EC 8B D6 8B C3 8B 18 FF 53 04 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0E 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B EB 0C 33 C0 89 45 F0 C7 45 F4 00 00 F0 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 DD 45 F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41019_0 {
	meta:
		name = "TInHTTPAppRequest.GetDateVariable"
		size = 145
		refs = "0018 TInHTTPAppRequest.GetDateVariable 0035 @UStrFromLStr 004d ParseDate 0074 @LStrClr 007c @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D EC 8B D6 8B C3 8B 18 FF 53 04 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0E 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B EB 0C 33 C0 89 45 F0 C7 45 F4 00 00 F0 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 DD 45 F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35094_0 {
	meta:
		name = "TIdHTTPAppRequest.GetIntegerVariable"
		size = 108
		refs = "0011 TIdHTTPAppRequest.GetIntegerVariable 002e @UStrFromLStr 0039 StrToIntDef 0050 @LStrClr 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 04 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 CA FF E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_41020_0 {
	meta:
		name = "TInHTTPAppRequest.GetIntegerVariable"
		size = 108
		refs = "0011 TInHTTPAppRequest.GetIntegerVariable 002e @UStrFromLStr 0039 StrToIntDef 0050 @LStrClr 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 04 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 CA FF E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35095_0 {
	meta:
		name = "TIdHTTPAppRequest.GetRawPathInfo"
		size = 30
		refs = "0017 @LStrFromUStr"
		altNames = "TInHTTPAppRequest.GetRawPathInfo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 14 8B 92 E8 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35096_0 {
	meta:
		name = "TIdHTTPAppRequest.GetRemoteIP"
		size = 25
		refs = "0012 @UStrAsg"
		altNames = "TInHTTPAppRequest.GetRemoteIP"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 14 8B 92 DC 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35097_0 {
	meta:
		name = "TIdHTTPAppRequest.GetStringVariable"
		size = 1504
		refs = "0021 TIdHTTPAppRequest.GetStringVariable 0030 TArray<System.Byte> 0035 @DynArrayClear 00d1 @LStrFromUStr 00fa @LStrClr 01cc @UStrLAsg 01e1 Fetch 028b IntToStr 03b1 TStringStream.GetDataString 03d0 TStream.GetPosition 03e5 TStream.SetPosition 0405 _Dn_TIdStreamHelperVCL 040a TIdStreamHelperVCL.ReadBytes 0414 @DynArrayLength 0420 @LStrFromPCharLen 042e CharsetToCodePage 0439 SetCodePage 045d @HandleFinally 04ab @UStrArrayClr 04c1 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B D9 8B F2 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 1C 0F 87 4C 04 00 00 FF 24 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 8B 55 F4 8B 52 14 8B 92 EC 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 BB 03 00 00 8B C3 8B 55 F4 8B 52 14 8B 92 F0 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 9E 03 00 00 8B C3 E8 ?? ?? ?? ?? E9 92 03 00 00 8B C3 8B 55 F4 8B 52 14 8B 92 08 01 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 75 03 00 00 8B C3 8B 55 F4 8B 52 14 8B 92 E4 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 58 03 00 00 8B C3 8B 55 F4 8B 52 14 8B 92 E4 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 3B 03 00 00 8B CB BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 34 E9 27 03 00 00 8B CB BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 34 E9 13 03 00 00 8B C3 8B 55 F4 8B 52 14 8B 92 88 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 F6 02 00 00 8B C3 8B 55 F4 8B 52 14 8B 92 9C 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 D9 02 00 00 8D 45 FC 8B 55 F4 8B 52 14 8B 92 B0 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C3 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 9C 02 00 00 8B CB BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 34 E9 88 02 00 00 8B C3 8B 55 F4 8B 52 14 8B 92 A4 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 6B 02 00 00 8B C3 8B 55 F4 8B 52 14 8B 92 A8 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 4E 02 00 00 8B C3 8B 55 F4 8B 52 14 8B 52 1C B9 00 00 00 00 E8 ?? ?? ?? ?? E9 34 02 00 00 8B C3 8B 55 F4 8B 52 14 8B 52 4C B9 00 00 00 00 E8 ?? ?? ?? ?? E9 1A 02 00 00 8B 45 F4 8B 40 20 8B 10 FF 12 52 50 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 F2 01 00 00 8B CB BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 34 E9 DE 01 00 00 8B CB BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 34 E9 CA 01 00 00 8B CB BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 34 E9 B6 01 00 00 8B CB BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 34 E9 A2 01 00 00 8B C3 8B 55 F4 8B 52 14 8B 92 DC 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 85 01 00 00 8B CB BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 34 E9 71 01 00 00 8B C3 E8 ?? ?? ?? ?? E9 65 01 00 00 8D 45 FC 8B 55 F4 8B 52 14 8B 92 B0 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 DC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 75 21 8D 55 FC 8B 45 F4 8B 40 1C 8B 40 14 8B 80 B0 00 00 00 8B 80 D8 00 00 00 0F B7 40 20 E8 ?? ?? ?? ?? 8B C3 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? E9 F7 00 00 00 8B 45 F4 80 78 24 00 74 22 8D 55 D8 8B 45 F4 8B 40 20 E8 ?? ?? ?? ?? 8B 55 D8 8B C3 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 CC 00 00 00 8B 45 F4 8B 40 20 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 6A 00 6A 00 8B 45 F4 8B 40 20 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A FF 6A 00 8D 4D F8 8B 45 F4 8B 50 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 14 8B 40 10 E8 ?? ?? ?? ?? 8B D0 8B C3 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? FF 75 EC FF 75 E8 8B 45 F4 8B 40 20 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B CB BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 34 EB 21 8B C3 E8 ?? ?? ?? ?? EB 18 8B CB BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 34 EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 00 E4 04 01 00 FF FF FF FF 0D 00 00 00 43 61 63 68 65 2D 43 6F 6E 74 72 6F 6C 00 00 00 E4 04 01 00 FF FF FF FF 04 00 00 00 44 61 74 65 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 E4 04 01 00 FF FF FF FF 11 00 00 00 49 66 2D 4D 6F 64 69 66 69 65 64 2D 53 69 6E 63 65 00 00 00 E4 04 01 00 FF FF FF FF 0F 00 00 00 43 4F 4E 54 45 4E 54 5F 56 45 52 53 49 4F 4E 00 E4 04 01 00 FF FF FF FF 0C 00 00 00 44 65 72 69 76 65 64 2D 46 72 6F 6D 00 00 00 00 E4 04 01 00 FF FF FF FF 07 00 00 00 45 78 70 69 72 65 73 00 E4 04 01 00 FF FF FF FF 05 00 00 00 54 69 74 6C 65 00 00 00 E4 04 01 00 FF FF FF FF 0B 00 00 00 52 45 4D 4F 54 45 5F 48 4F 53 54 00 E4 04 01 00 FF FF FF FF 0A 00 00 00 43 6F 6E 6E 65 63 74 69 6F 6E 00 00 E4 04 01 00 FF FF FF FF 0D 00 00 00 41 75 74 68 6F 72 69 7A 61 74 69 6F 6E 00 00 00 }
	condition:
		$1
}

rule function_41023_0 {
	meta:
		name = "TInHTTPAppRequest.GetStringVariable"
		size = 1504
		refs = "0021 TInHTTPAppRequest.GetStringVariable 0030 TArray<System.Byte> 0035 @DynArrayClear 00d1 @LStrFromUStr 00fa @LStrClr 01cc @UStrLAsg 01e1 Fetch 028b IntToStr 03b1 TStringStream.GetDataString 03d0 TStream.GetPosition 03e5 TStream.SetPosition 0405 _Dn_TInStreamHelperVCL 040a TInStreamHelperVCL.ReadBytes 0414 @DynArrayLength 0420 @LStrFromPCharLen 042e CharsetToCodePage 0439 SetCodePage 045d @HandleFinally 04ab @UStrArrayClr 04c1 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B D9 8B F2 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 1C 0F 87 4C 04 00 00 FF 24 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 8B 55 F4 8B 52 14 8B 92 EC 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 BB 03 00 00 8B C3 8B 55 F4 8B 52 14 8B 92 F0 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 9E 03 00 00 8B C3 E8 ?? ?? ?? ?? E9 92 03 00 00 8B C3 8B 55 F4 8B 52 14 8B 92 08 01 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 75 03 00 00 8B C3 8B 55 F4 8B 52 14 8B 92 E4 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 58 03 00 00 8B C3 8B 55 F4 8B 52 14 8B 92 E4 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 3B 03 00 00 8B CB BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 34 E9 27 03 00 00 8B CB BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 34 E9 13 03 00 00 8B C3 8B 55 F4 8B 52 14 8B 92 88 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 F6 02 00 00 8B C3 8B 55 F4 8B 52 14 8B 92 9C 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 D9 02 00 00 8D 45 FC 8B 55 F4 8B 52 14 8B 92 B0 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C3 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 9C 02 00 00 8B CB BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 34 E9 88 02 00 00 8B C3 8B 55 F4 8B 52 14 8B 92 A4 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 6B 02 00 00 8B C3 8B 55 F4 8B 52 14 8B 92 A8 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 4E 02 00 00 8B C3 8B 55 F4 8B 52 14 8B 52 1C B9 00 00 00 00 E8 ?? ?? ?? ?? E9 34 02 00 00 8B C3 8B 55 F4 8B 52 14 8B 52 4C B9 00 00 00 00 E8 ?? ?? ?? ?? E9 1A 02 00 00 8B 45 F4 8B 40 20 8B 10 FF 12 52 50 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 F2 01 00 00 8B CB BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 34 E9 DE 01 00 00 8B CB BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 34 E9 CA 01 00 00 8B CB BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 34 E9 B6 01 00 00 8B CB BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 34 E9 A2 01 00 00 8B C3 8B 55 F4 8B 52 14 8B 92 DC 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 85 01 00 00 8B CB BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 34 E9 71 01 00 00 8B C3 E8 ?? ?? ?? ?? E9 65 01 00 00 8D 45 FC 8B 55 F4 8B 52 14 8B 92 B0 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 DC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 75 21 8D 55 FC 8B 45 F4 8B 40 1C 8B 40 14 8B 80 B0 00 00 00 8B 80 D8 00 00 00 0F B7 40 20 E8 ?? ?? ?? ?? 8B C3 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? E9 F7 00 00 00 8B 45 F4 80 78 24 00 74 22 8D 55 D8 8B 45 F4 8B 40 20 E8 ?? ?? ?? ?? 8B 55 D8 8B C3 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 CC 00 00 00 8B 45 F4 8B 40 20 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 6A 00 6A 00 8B 45 F4 8B 40 20 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A FF 6A 00 8D 4D F8 8B 45 F4 8B 50 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 14 8B 40 10 E8 ?? ?? ?? ?? 8B D0 8B C3 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? FF 75 EC FF 75 E8 8B 45 F4 8B 40 20 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B CB BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 34 EB 21 8B C3 E8 ?? ?? ?? ?? EB 18 8B CB BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 34 EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 00 E4 04 01 00 FF FF FF FF 0D 00 00 00 43 61 63 68 65 2D 43 6F 6E 74 72 6F 6C 00 00 00 E4 04 01 00 FF FF FF FF 04 00 00 00 44 61 74 65 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 E4 04 01 00 FF FF FF FF 11 00 00 00 49 66 2D 4D 6F 64 69 66 69 65 64 2D 53 69 6E 63 65 00 00 00 E4 04 01 00 FF FF FF FF 0F 00 00 00 43 4F 4E 54 45 4E 54 5F 56 45 52 53 49 4F 4E 00 E4 04 01 00 FF FF FF FF 0C 00 00 00 44 65 72 69 76 65 64 2D 46 72 6F 6D 00 00 00 00 E4 04 01 00 FF FF FF FF 07 00 00 00 45 78 70 69 72 65 73 00 E4 04 01 00 FF FF FF FF 05 00 00 00 54 69 74 6C 65 00 00 00 E4 04 01 00 FF FF FF FF 0B 00 00 00 52 45 4D 4F 54 45 5F 48 4F 53 54 00 E4 04 01 00 FF FF FF FF 0A 00 00 00 43 6F 6E 6E 65 63 74 69 6F 6E 00 00 E4 04 01 00 FF FF FF FF 0D 00 00 00 41 75 74 68 6F 72 69 7A 61 74 69 6F 6E 00 00 00 }
	condition:
		$1
}

rule function_35098_0 {
	meta:
		name = "TIdHTTPAppRequest.GetFieldByName"
		size = 113
		refs = "0014 TIdHTTPAppRequest.GetFieldByName 0024 @UStrFromLStr 0035 TIdHeaderList.GetValue 0044 @LStrFromUStr 005e @UStrArrayClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 43 14 8B 40 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_41024_0 {
	meta:
		name = "TInHTTPAppRequest.GetFieldByName"
		size = 113
		refs = "0014 TInHTTPAppRequest.GetFieldByName 0024 @UStrFromLStr 0035 TInHeaderList.GetValue 0044 @LStrFromUStr 005e @UStrArrayClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 43 14 8B 40 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35099_0 {
	meta:
		name = "TIdHTTPAppRequest.ReadClient"
		size = 17
		altNames = "TInHTTPAppRequest.ReadClient"
	strings:
		$1 = { 53 8B 40 20 8B 18 FF 53 0C 85 C0 7D 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_35100_0 {
	meta:
		name = "TIdHTTPAppRequest.ReadString"
		size = 146
		refs = "0012 TIdHTTPAppRequest.ReadString 0021 TArray<System.Byte> 0026 @DynArrayClear 0034 _Dn_TIdStreamHelperVCL 0039 TIdStreamHelperVCL.ReadBytes 0043 @DynArrayLength 004f @LStrFromPCharLen 005a CharsetToCodePage 0065 SetCodePage 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 57 6A 00 8D 4D FC 8B 53 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B C6 8B 55 FC E8 ?? ?? ?? ?? 8B 43 14 8B 40 10 E8 ?? ?? ?? ?? 8B D0 8B C6 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41026_0 {
	meta:
		name = "TInHTTPAppRequest.ReadString"
		size = 146
		refs = "0012 TInHTTPAppRequest.ReadString 0021 TArray<System.Byte> 0026 @DynArrayClear 0034 _Dn_TInStreamHelperVCL 0039 TInStreamHelperVCL.ReadBytes 0043 @DynArrayLength 004f @LStrFromPCharLen 005a CharsetToCodePage 0065 SetCodePage 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 57 6A 00 8D 4D FC 8B 53 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B C6 8B 55 FC E8 ?? ?? ?? ?? 8B 43 14 8B 40 10 E8 ?? ?? ?? ?? 8B D0 8B C6 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35102_0 {
	meta:
		name = "TIdHTTPAppRequest.WriteHeaders"
		size = 121
		refs = "000f TIdHTTPAppRequest.WriteHeaders 001d TIdHTTPResponseInfo.SetResponseNo 002c @UStrFromLStr 004d TIdHTTPResponseInfo.WriteHeader 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 18 E8 ?? ?? ?? ?? 8B 46 18 05 C4 00 00 00 8B D3 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 08 E8 ?? ?? ?? ?? 8B 55 FC 8B 46 18 8B 40 54 8B 08 FF 51 38 8B 46 18 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_41028_0 {
	meta:
		name = "TInHTTPAppRequest.WriteHeaders"
		size = 121
		refs = "000f TInHTTPAppRequest.WriteHeaders 001d TInHTTPResponseInfo.SetResponseNo 002c @UStrFromLStr 004d TInHTTPResponseInfo.WriteHeader 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 18 E8 ?? ?? ?? ?? 8B 46 18 05 C4 00 00 00 8B D3 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 08 E8 ?? ?? ?? ?? 8B 55 FC 8B 46 18 8B 40 54 8B 08 FF 51 38 8B 46 18 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_35103_0 {
	meta:
		name = "TIdHTTPAppRequest.WriteString"
		size = 98
		refs = "000f TIdHTTPAppRequest.WriteString 001f @UStrFromLStr 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 1C 8B 40 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41029_0 {
	meta:
		name = "TInHTTPAppRequest.WriteString"
		size = 98
		refs = "000f TInHTTPAppRequest.WriteString 001f @UStrFromLStr 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 1C 8B 40 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35104_0 {
	meta:
		name = "TIdHTTPAppRequest.WriteClient"
		size = 134
		refs = "0012 TIdHTTPAppRequest.WriteClient 0027 TArray<System.Byte> 002c @DynArraySetLength 003b Move 0072 @DynArrayClear 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B C7 8B CB E8 ?? ?? ?? ?? 6A 00 8B 46 1C 8B 40 14 8B 80 98 00 00 00 83 C9 FF 8B 55 FC 8B 30 FF 96 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41030_0 {
	meta:
		name = "TInHTTPAppRequest.WriteClient"
		size = 134
		refs = "0012 TInHTTPAppRequest.WriteClient 0027 TArray<System.Byte> 002c @DynArraySetLength 003b Move 0072 @DynArrayClear 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B C7 8B CB E8 ?? ?? ?? ?? 6A 00 8B 46 1C 8B 40 14 8B 80 98 00 00 00 83 C9 FF 8B 55 FC 8B 30 FF 96 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35105_0 {
	meta:
		name = "TIdHTTPAppResponse.Create"
		size = 308
		refs = "0015 @ClassCreate 0022 TIdHTTPAppResponse.Create 0043 TWebResponse.Create 00df @LStrClr 00e5 @HandleFinally 00f4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 89 43 28 8B 45 0C 89 43 1C 8B 45 08 89 43 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 8B 43 10 BA 01 00 00 00 8B 30 FF 56 04 8B 45 F8 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0E B9 ?? ?? ?? ?? 33 D2 8B C3 8B 30 FF 56 04 BA C8 00 00 00 8B C3 8B 08 FF 51 28 68 00 00 F0 BF 6A 00 BA 02 00 00 00 8B C3 8B 08 FF 51 0C 68 00 00 F0 BF 6A 00 BA 01 00 00 00 8B C3 8B 08 FF 51 0C 68 00 00 F0 BF 6A 00 33 D2 8B C3 8B 08 FF 51 0C B9 ?? ?? ?? ?? BA 08 00 00 00 8B C3 8B 30 FF 56 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C2 0C 00 E4 04 01 00 FF FF FF FF 03 00 00 00 31 2E 30 00 E4 04 01 00 FF FF FF FF 09 00 00 00 74 65 78 74 2F 68 74 6D 6C 00 00 00 }
	condition:
		$1
}

rule function_41031_0 {
	meta:
		name = "TInHTTPAppResponse.Create"
		size = 308
		refs = "0015 @ClassCreate 0022 TInHTTPAppResponse.Create 0043 TWebResponse.Create 00df @LStrClr 00e5 @HandleFinally 00f4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 89 43 28 8B 45 0C 89 43 1C 8B 45 08 89 43 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 8B 43 10 BA 01 00 00 00 8B 30 FF 56 04 8B 45 F8 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0E B9 ?? ?? ?? ?? 33 D2 8B C3 8B 30 FF 56 04 BA C8 00 00 00 8B C3 8B 08 FF 51 28 68 00 00 F0 BF 6A 00 BA 02 00 00 00 8B C3 8B 08 FF 51 0C 68 00 00 F0 BF 6A 00 BA 01 00 00 00 8B C3 8B 08 FF 51 0C 68 00 00 F0 BF 6A 00 33 D2 8B C3 8B 08 FF 51 0C B9 ?? ?? ?? ?? BA 08 00 00 00 8B C3 8B 30 FF 56 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C2 0C 00 E4 04 01 00 FF FF FF FF 03 00 00 00 31 2E 30 00 E4 04 01 00 FF FF FF FF 09 00 00 00 74 65 78 74 2F 68 74 6D 6C 00 00 00 }
	condition:
		$1
}

rule function_35106_0 {
	meta:
		name = "TIdHTTPAppResponse.GetContent"
		size = 269
		refs = "0013 TIdHTTPAppResponse.GetContent 0020 @LStrClr 002b CharsetToEncoding 0041 TEncoding.GetUnicode 0052 TEncoding.GetBytes 0073 _Dn_TEncoding 0078 TEncoding.Convert 0084 TArray<System.Byte> 0089 @DynArrayAsg 0093 @DynArrayLength 009f @LStrFromPCharLen 00aa CharsetToCodePage 00b5 SetCodePage 00ca TObject.Free 00d0 @HandleFinally 00ed @DynArrayClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 43 20 8B 40 10 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 4D FC 8B 53 20 8B 92 BC 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 F8 74 2D 8B 45 FC 50 8D 45 F4 50 E8 ?? ?? ?? ?? 8B D0 8B 4D F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B C6 8B 55 FC E8 ?? ?? ?? ?? 8B 43 20 8B 40 10 E8 ?? ?? ?? ?? 8B D0 8B C6 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41032_0 {
	meta:
		name = "TInHTTPAppResponse.GetContent"
		size = 269
		refs = "0013 TInHTTPAppResponse.GetContent 0020 @LStrClr 002b CharsetToEncoding 0041 TEncoding.GetUnicode 0052 TEncoding.GetBytes 0073 _Dn_TEncoding 0078 TEncoding.Convert 0084 TArray<System.Byte> 0089 @DynArrayAsg 0093 @DynArrayLength 009f @LStrFromPCharLen 00aa CharsetToCodePage 00b5 SetCodePage 00ca TObject.Free 00d0 @HandleFinally 00ed @DynArrayClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 43 20 8B 40 10 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 4D FC 8B 53 20 8B 92 BC 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 F8 74 2D 8B 45 FC 50 8D 45 F4 50 E8 ?? ?? ?? ?? 8B D0 8B 4D F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B C6 8B 55 FC E8 ?? ?? ?? ?? 8B 43 20 8B 40 10 E8 ?? ?? ?? ?? 8B D0 8B C6 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35108_0 {
	meta:
		name = "TIdHTTPAppResponse.GetStatusCode"
		size = 10
		altNames = "TIdHTTPResponseInfoPeer.GetResponseNo TInHTTPAppResponse.GetStatusCode"
	strings:
		$1 = { 8B 40 20 8B 80 B0 00 00 00 C3 }
	condition:
		$1
}

rule function_35109_0 {
	meta:
		name = "ToGMT"
		size = 60
		refs = "0017 ToGMT 0022 OffsetFromUTC"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 0C E8 ?? ?? ?? ?? DC 6D F8 DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 00 00 80 BF }
	condition:
		$1
}

rule function_35110_0 {
	meta:
		name = "TIdHTTPAppResponse.GetDateVariable"
		size = 230
		refs = "0018 TIdHTTPAppResponse.GetDateVariable 003a ToGMT 0076 IntToStr 008c RSWBBInvalidIdxGetDateVariable 0091 LoadResString 009c Format 00a6 _DV_EWBBInvalidIdxGetDateVariable 00ab EIdException.Create 00b0 @RaiseExcept 00ca @UStrArrayClr 00d2 @UStrClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 C9 89 4D F4 89 4D E8 89 4D E4 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 83 EA 01 72 07 74 19 4A 74 2A EB 3C 8B 40 20 FF 70 5C FF 70 58 E8 ?? ?? ?? ?? DD 5D F8 9B EB 70 8B 40 20 FF 70 64 FF 70 60 E8 ?? ?? ?? ?? DD 5D F8 9B EB 5C 8B 40 20 FF 70 74 FF 70 70 E8 ?? ?? ?? ?? DD 5D F8 9B EB 48 8D 45 F4 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 45 EC 50 8D 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 33 C9 5A E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 DD 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41036_0 {
	meta:
		name = "TInHTTPAppResponse.GetDateVariable"
		size = 230
		refs = "0018 TInHTTPAppResponse.GetDateVariable 003a ToGMT 0076 IntToStr 008c RSWBBInvalidIdxGetDateVariable 0091 LoadResString 009c Format 00a6 _DV_EWBBInvalidIdxGetDateVariable 00ab EInException.Create 00b0 @RaiseExcept 00ca @UStrArrayClr 00d2 @UStrClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 C9 89 4D F4 89 4D E8 89 4D E4 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 83 EA 01 72 07 74 19 4A 74 2A EB 3C 8B 40 20 FF 70 5C FF 70 58 E8 ?? ?? ?? ?? DD 5D F8 9B EB 70 8B 40 20 FF 70 64 FF 70 60 E8 ?? ?? ?? ?? DD 5D F8 9B EB 5C 8B 40 20 FF 70 74 FF 70 70 E8 ?? ?? ?? ?? DD 5D F8 9B EB 48 8D 45 F4 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 45 EC 50 8D 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 33 C9 5A E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 DD 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35111_0 {
	meta:
		name = "ToLocal"
		size = 60
		refs = "0017 ToLocal 0022 OffsetFromUTC"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 0C E8 ?? ?? ?? ?? DC 45 F8 DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 00 00 80 BF }
	condition:
		$1
}

rule function_35112_0 {
	meta:
		name = "TIdHTTPAppResponse.SetDateVariable"
		size = 226
		refs = "0014 TIdHTTPAppResponse.SetDateVariable 0033 ToLocal 0072 IntToStr 0088 RSWBBInvalidIdxSetDateVariable 008d LoadResString 0098 Format 00a2 _DV_EWBBInvalidIdxSetDateVariable 00a7 EIdException.Create 00ac @RaiseExcept 00c6 @UStrArrayClr 00ce @UStrClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 83 E8 01 72 07 74 19 48 74 2A EB 3C FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B 43 20 DD 58 58 9B EB 70 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B 43 20 DD 58 60 9B EB 5C FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B 43 20 DD 58 70 9B EB 48 8D 45 FC 50 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_41038_0 {
	meta:
		name = "TInHTTPAppResponse.SetDateVariable"
		size = 226
		refs = "0014 TInHTTPAppResponse.SetDateVariable 0033 ToLocal 0072 IntToStr 0088 RSWBBInvalidIdxSetDateVariable 008d LoadResString 0098 Format 00a2 _DV_EWBBInvalidIdxSetDateVariable 00a7 EInException.Create 00ac @RaiseExcept 00c6 @UStrArrayClr 00ce @UStrClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 83 E8 01 72 07 74 19 48 74 2A EB 3C FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B 43 20 DD 58 58 9B EB 70 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B 43 20 DD 58 60 9B EB 5C FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B 43 20 DD 58 70 9B EB 48 8D 45 FC 50 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_35113_0 {
	meta:
		name = "TIdHTTPAppResponse.GetIntegerVariable"
		size = 163
		refs = "0011 TIdHTTPAppResponse.GetIntegerVariable 0034 IntToStr 004a RSWBBInvalidIdxGetIntVariable 004f LoadResString 005a Format 0064 _DV_EWBBInvalidIdxGetIntVariable 0069 EIdException.Create 006e @RaiseExcept 0088 @UStrArrayClr 0090 @UStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 83 EA 01 73 08 8B 40 20 8B 58 28 EB 48 8D 45 FC 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41039_0 {
	meta:
		name = "TInHTTPAppResponse.GetIntegerVariable"
		size = 163
		refs = "0011 TInHTTPAppResponse.GetIntegerVariable 0034 IntToStr 004a RSWBBInvalidIdxGetIntVariable 004f LoadResString 005a Format 0064 _DV_EWBBInvalidIdxGetIntVariable 0069 EInException.Create 006e @RaiseExcept 0088 @UStrArrayClr 0090 @UStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 83 EA 01 73 08 8B 40 20 8B 58 28 EB 48 8D 45 FC 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35114_0 {
	meta:
		name = "TIdHTTPAppResponse.SetIntegerVariable"
		size = 175
		refs = "0017 TIdHTTPAppResponse.SetIntegerVariable 0031 TIdEntityHeaderInfo.SetContentLength 0041 IntToStr 0057 RSWBBInvalidIdxSetIntVariable 005c LoadResString 0067 Format 0071 _DV_EWBBInvalidIdxSetIntVariable 0076 EIdException.Create 007b @RaiseExcept 0095 @UStrArrayClr 009d @UStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 83 E8 01 73 0F 8B C1 99 52 50 8B 43 20 E8 ?? ?? ?? ?? EB 48 8D 45 FC 50 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41040_0 {
	meta:
		name = "TInHTTPAppResponse.SetIntegerVariable"
		size = 175
		refs = "0017 TInHTTPAppResponse.SetIntegerVariable 0031 TIdEntityHeaderInfo.SetContentLength 0041 IntToStr 0057 RSWBBInvalidIdxSetIntVariable 005c LoadResString 0067 Format 0071 _DV_EWBBInvalidIdxSetIntVariable 0076 EInException.Create 007b @RaiseExcept 0095 @UStrArrayClr 009d @UStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 83 E8 01 73 0F 8B C1 99 52 50 8B 43 20 E8 ?? ?? ?? ?? EB 48 8D 45 FC 50 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35115_0 {
	meta:
		name = "TIdHTTPAppResponse.GetStringVariable"
		size = 672
		refs = "0020 TIdHTTPAppResponse.GetStringVariable 007d @LStrFromUStr 0108 TIdHeaderList.GetValue 01d1 IntToStr 01e7 RSWBBInvalidIdxGetStrVariable 01ec LoadResString 01f7 Format 0201 _DV_EWBBInvalidIdxGetStrVariable 0206 EIdException.Create 020b @RaiseExcept 0225 @UStrArrayClr 0238 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 83 F8 0B 0F 87 92 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C7 8B 53 1C 8B 92 F0 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 89 01 00 00 8B C7 8B 53 20 8B 92 C4 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 6F 01 00 00 8B C7 8B 53 20 8B 92 90 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 55 01 00 00 8D 55 FC 8B 43 20 8B 80 9C 00 00 00 8B 08 FF 51 1C 8B 55 FC 8B C7 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 30 01 00 00 8B C7 8B 53 20 8B 92 A8 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 16 01 00 00 8D 4D F8 8B 43 20 8B 40 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C7 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 EF 00 00 00 8B C7 8B 53 20 8B 92 8C 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 D5 00 00 00 8B C7 8B 53 20 8B 52 1C B9 00 00 00 00 E8 ?? ?? ?? ?? E9 BE 00 00 00 8B C7 8B 53 20 8B 52 4C B9 00 00 00 00 E8 ?? ?? ?? ?? E9 A7 00 00 00 8B C7 8B 53 20 8B 52 50 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 90 00 00 00 8D 4D F4 8B 43 20 8B 40 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C7 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 6C 8D 4D F0 8B 43 20 8B 40 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C7 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 48 8D 45 EC 50 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 11 8D 45 E4 50 8D 55 DC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 33 C9 5A E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 6C 00 6C 00 6F 00 77 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 65 00 72 00 69 00 76 00 65 00 64 00 2D 00 46 00 72 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 69 00 74 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_41041_0 {
	meta:
		name = "TInHTTPAppResponse.GetStringVariable"
		size = 672
		refs = "0020 TInHTTPAppResponse.GetStringVariable 007d @LStrFromUStr 0108 TInHeaderList.GetValue 01d1 IntToStr 01e7 RSWBBInvalidIdxGetStrVariable 01ec LoadResString 01f7 Format 0201 _DV_EWBBInvalidIdxGetStrVariable 0206 EInException.Create 020b @RaiseExcept 0225 @UStrArrayClr 0238 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 83 F8 0B 0F 87 92 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C7 8B 53 1C 8B 92 F0 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 89 01 00 00 8B C7 8B 53 20 8B 92 C4 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 6F 01 00 00 8B C7 8B 53 20 8B 92 90 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 55 01 00 00 8D 55 FC 8B 43 20 8B 80 9C 00 00 00 8B 08 FF 51 1C 8B 55 FC 8B C7 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 30 01 00 00 8B C7 8B 53 20 8B 92 A8 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 16 01 00 00 8D 4D F8 8B 43 20 8B 40 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C7 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 EF 00 00 00 8B C7 8B 53 20 8B 92 8C 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 D5 00 00 00 8B C7 8B 53 20 8B 52 1C B9 00 00 00 00 E8 ?? ?? ?? ?? E9 BE 00 00 00 8B C7 8B 53 20 8B 52 4C B9 00 00 00 00 E8 ?? ?? ?? ?? E9 A7 00 00 00 8B C7 8B 53 20 8B 52 50 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 90 00 00 00 8D 4D F4 8B 43 20 8B 40 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C7 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 6C 8D 4D F0 8B 43 20 8B 40 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C7 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 48 8D 45 EC 50 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 11 8D 45 E4 50 8D 55 DC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 33 C9 5A E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 6C 00 6C 00 6F 00 77 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 65 00 72 00 69 00 76 00 65 00 64 00 2D 00 46 00 72 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 69 00 74 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_35116_0 {
	meta:
		name = "TIdHTTPAppResponse.SetStringVariable"
		size = 628
		refs = "0020 TIdHTTPAppResponse.SetStringVariable 0070 RSWBBInvalidStringVar 0075 LoadResString 007f _DV_EWBBInvalidStringVar 0084 EIdException.Create 0098 @UStrFromLStr 0102 TIdHeaderList.SetValue 0142 TIdEntityHeaderInfo.SetContentType 01a5 IntToStr 01bb RSWBBInvalidIdxSetStringVar 01cb Format 01d5 _DV_EWBBInvalidIdxSetStringVar 01df @RaiseExcept 01f9 @UStrArrayClr 020c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 83 F8 0B 0F 87 66 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 56 01 00 00 8B 43 20 05 C4 00 00 00 8B D7 E8 ?? ?? ?? ?? E9 42 01 00 00 8B 43 20 05 90 00 00 00 8B D7 E8 ?? ?? ?? ?? E9 2E 01 00 00 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 20 8B 80 9C 00 00 00 8B 08 FF 51 2C E9 0E 01 00 00 8B 43 20 05 A8 00 00 00 8B D7 E8 ?? ?? ?? ?? E9 FA 00 00 00 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 8B 4D F4 8B 43 20 8B 40 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D8 00 00 00 8B 43 20 05 8C 00 00 00 8B D7 E8 ?? ?? ?? ?? E9 C4 00 00 00 8B 43 20 83 C0 1C 8B D7 E8 ?? ?? ?? ?? E9 B2 00 00 00 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 8B 55 F0 8B 43 20 E8 ?? ?? ?? ?? E9 98 00 00 00 8B 43 20 83 C0 50 8B D7 E8 ?? ?? ?? ?? E9 86 00 00 00 8D 45 EC 8B D7 E8 ?? ?? ?? ?? 8B 4D EC 8B 43 20 8B 40 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 45 E8 8B D7 E8 ?? ?? ?? ?? 8B 4D E8 8B 43 20 8B 40 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 48 8D 45 E4 50 8D 55 D8 8B C6 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 8D 45 DC 50 8D 55 D4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 33 C9 5A E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 6C 00 6C 00 6F 00 77 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 65 00 72 00 69 00 76 00 65 00 64 00 2D 00 46 00 72 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 69 00 74 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_41042_0 {
	meta:
		name = "TInHTTPAppResponse.SetStringVariable"
		size = 628
		refs = "0020 TInHTTPAppResponse.SetStringVariable 0070 RSWBBInvalidStringVar 0075 LoadResString 007f _DV_EWBBInvalidStringVar 0084 EInException.Create 0098 @UStrFromLStr 0102 TInHeaderList.SetValue 0142 TIdEntityHeaderInfo.SetContentType 01a5 IntToStr 01bb RSWBBInvalidIdxSetStringVar 01cb Format 01d5 _DV_EWBBInvalidIdxSetStringVar 01df @RaiseExcept 01f9 @UStrArrayClr 020c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 83 F8 0B 0F 87 66 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 56 01 00 00 8B 43 20 05 C4 00 00 00 8B D7 E8 ?? ?? ?? ?? E9 42 01 00 00 8B 43 20 05 90 00 00 00 8B D7 E8 ?? ?? ?? ?? E9 2E 01 00 00 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 20 8B 80 9C 00 00 00 8B 08 FF 51 2C E9 0E 01 00 00 8B 43 20 05 A8 00 00 00 8B D7 E8 ?? ?? ?? ?? E9 FA 00 00 00 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 8B 4D F4 8B 43 20 8B 40 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D8 00 00 00 8B 43 20 05 8C 00 00 00 8B D7 E8 ?? ?? ?? ?? E9 C4 00 00 00 8B 43 20 83 C0 1C 8B D7 E8 ?? ?? ?? ?? E9 B2 00 00 00 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 8B 55 F0 8B 43 20 E8 ?? ?? ?? ?? E9 98 00 00 00 8B 43 20 83 C0 50 8B D7 E8 ?? ?? ?? ?? E9 86 00 00 00 8D 45 EC 8B D7 E8 ?? ?? ?? ?? 8B 4D EC 8B 43 20 8B 40 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 45 E8 8B D7 E8 ?? ?? ?? ?? 8B 4D E8 8B 43 20 8B 40 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 48 8D 45 E4 50 8D 55 D8 8B C6 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 8D 45 DC 50 8D 55 D4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 33 C9 5A E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 6C 00 6C 00 6F 00 77 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 65 00 72 00 69 00 76 00 65 00 64 00 2D 00 46 00 72 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 69 00 74 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_35117_0 {
	meta:
		name = "TIdHTTPAppResponse.SendRedirect"
		size = 91
		refs = "000f TIdHTTPAppResponse.SendRedirect 0020 TIdHTTPAppResponse.MoveCookiesAndCustomHeaders 002a @UStrFromLStr 0035 TIdHTTPResponseInfo.Redirect 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 24 01 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41043_0 {
	meta:
		name = "TInHTTPAppResponse.SendRedirect"
		size = 91
		refs = "000f TInHTTPAppResponse.SendRedirect 0020 TInHTTPAppResponse.MoveCookiesAndCustomHeaders 002a @UStrFromLStr 0035 TInHTTPResponseInfo.Redirect 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 24 01 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35118_0 {
	meta:
		name = "TIdHTTPAppResponse.SendResponse"
		size = 36
		refs = "000f TIdEntityHeaderInfo.SetContentLength 0016 TIdHTTPAppResponse.MoveCookiesAndCustomHeaders 001e TIdHTTPResponseInfo.WriteContent"
	strings:
		$1 = { 53 8B D8 C6 43 24 01 6A FF 6A FF 8B 43 20 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 20 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_41044_0 {
	meta:
		name = "TInHTTPAppResponse.SendResponse"
		size = 36
		refs = "000f TIdEntityHeaderInfo.SetContentLength 0016 TInHTTPAppResponse.MoveCookiesAndCustomHeaders 001e TInHTTPResponseInfo.WriteContent"
	strings:
		$1 = { 53 8B D8 C6 43 24 01 6A FF 6A FF 8B 43 20 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 20 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_35119_0 {
	meta:
		name = "TIdHTTPAppResponse.SendStream"
		size = 29
		altNames = "TInHTTPAppResponse.SendStream"
	strings:
		$1 = { 53 6A 00 6A 00 8B 40 28 8B 40 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 B0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_35120_0 {
	meta:
		name = "TDirect2DBrush.GetStyle"
		size = 5
		altNames = "TIdHTTPAppResponse.Sent TInHTTPAppResponse.Sent TXmlCustomSubsetTokenizer.GetErrorType"
	strings:
		$1 = { 0F B6 40 24 C3 }
	condition:
		$1
}

rule function_35121_0 {
	meta:
		name = "TIdHTTPAppResponse.SetContent"
		size = 110
		refs = "000f TIdHTTPAppResponse.SetContent 001f @UStrFromLStr 002f @UStrAsg 0048 TIdEntityHeaderInfo.SetContentLength 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 43 20 05 BC 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 4D FC 85 C9 74 05 83 E9 04 8B 09 8B C1 99 52 50 8B 43 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41047_0 {
	meta:
		name = "TInHTTPAppResponse.SetContent"
		size = 110
		refs = "000f TInHTTPAppResponse.SetContent 001f @UStrFromLStr 002f @UStrAsg 0048 TIdEntityHeaderInfo.SetContentLength 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 43 20 05 BC 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 4D FC 85 C9 74 05 83 E9 04 8B 09 8B C1 99 52 50 8B 43 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35124_0 {
	meta:
		name = "TIdHTTPAppResponse.SetContentStream"
		size = 27
		refs = "000b TWebResponse.SetContentStream"
		altNames = "TInHTTPAppResponse.SetContentStream"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 20 89 B0 B8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_35125_0 {
	meta:
		name = "TIdHTTPAppResponse.MoveCookiesAndCustomHeaders"
		size = 250
		refs = "0017 TIdHTTPAppResponse.MoveCookiesAndCustomHeaders 0045 TCookieCollection.GetCookie 0055 TIdCookies.Add 0062 HTTPEncode 006d @UStrFromLStr 00cd TIdHeaderList.AddStdValues 00e7 @LStrArrayClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 0C 8B 40 08 8B 40 08 48 85 C0 0F 8C 85 00 00 00 40 89 45 F8 C7 45 FC 00 00 00 00 8B 47 0C 8B 55 FC E8 ?? ?? ?? ?? 8B D8 8B 47 20 8B 80 B4 00 00 00 E8 ?? ?? ?? ?? 8B F0 8D 55 F4 8B 43 0C E8 ?? ?? ?? ?? 8B 55 F4 8D 46 1C E8 ?? ?? ?? ?? 8D 55 F0 8B 43 10 E8 ?? ?? ?? ?? 8B 55 F0 8D 46 28 E8 ?? ?? ?? ?? 8D 46 0C 8B 53 18 E8 ?? ?? ?? ?? 8D 46 20 8B 53 14 E8 ?? ?? ?? ?? 8B 43 20 89 46 10 8B 43 24 89 46 14 0F B6 43 28 88 46 24 FF 45 FC FF 4D F8 75 86 8B 47 20 8B 40 54 8B 10 FF 52 44 8B 57 14 8B 47 20 8B 40 54 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41051_0 {
	meta:
		name = "TInHTTPAppResponse.MoveCookiesAndCustomHeaders"
		size = 250
		refs = "0017 TInHTTPAppResponse.MoveCookiesAndCustomHeaders 0045 TCookieCollection.GetCookie 0055 TInCookies.Add 0062 HTTPEncode 006d @UStrFromLStr 00cd TInHeaderList.AddStdValues 00e7 @LStrArrayClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 0C 8B 40 08 8B 40 08 48 85 C0 0F 8C 85 00 00 00 40 89 45 F8 C7 45 FC 00 00 00 00 8B 47 0C 8B 55 FC E8 ?? ?? ?? ?? 8B D8 8B 47 20 8B 80 B4 00 00 00 E8 ?? ?? ?? ?? 8B F0 8D 55 F4 8B 43 0C E8 ?? ?? ?? ?? 8B 55 F4 8D 46 1C E8 ?? ?? ?? ?? 8D 55 F0 8B 43 10 E8 ?? ?? ?? ?? 8B 55 F0 8D 46 28 E8 ?? ?? ?? ?? 8D 46 0C 8B 53 18 E8 ?? ?? ?? ?? 8D 46 20 8B 53 14 E8 ?? ?? ?? ?? 8B 43 20 89 46 10 8B 43 24 89 46 14 0F B6 43 28 88 46 24 FF 45 FC FF 4D F8 75 86 8B 47 20 8B 40 54 8B 10 FF 52 44 8B 57 14 8B 47 20 8B 40 54 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35126_0 {
	meta:
		name = "TIdHTTPWebBrokerBridge.DoCommandOther"
		size = 21
		altNames = "TInHTTPWebBrokerBridge.DoCommandOther"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 18 FF 93 C0 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_35129_0 {
	meta:
		name = "TIdHTTPWebBrokerBridgeRequestHandler.Run"
		size = 229
		refs = "0017 TIdHTTPWebBrokerBridgeRequestHandler.Run 002b _DV_TIdHTTPAppRequest 0030 TIdHTTPAppRequest.Create 0051 _DV_TIdHTTPAppResponse 0056 TIdHTTPAppResponse.Create 007b TWebRequestHandler.HandleRequest 0095 TObject.Free 009b @HandleFinally 00ce @HandleAnyException 00d3 @RaiseAgain 00d8 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 50 53 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 57 8B 45 FC 50 53 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 83 C1 00 00 00 00 8B 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_41055_0 {
	meta:
		name = "TInHTTPWebBrokerBridgeRequestHandler.Run"
		size = 229
		refs = "0017 TInHTTPWebBrokerBridgeRequestHandler.Run 002b _DV_TInHTTPAppRequest 0030 TInHTTPAppRequest.Create 0051 _DV_TInHTTPAppResponse 0056 TInHTTPAppResponse.Create 007b TWebRequestHandler.HandleRequest 0095 TObject.Free 009b @HandleFinally 00ce @HandleAnyException 00d3 @RaiseAgain 00d8 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 50 53 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 57 8B 45 FC 50 53 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 83 C1 00 00 00 00 8B 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_35130_0 {
	meta:
		name = "TIdHTTPWebBrokerBridgeRequestHandler.Create"
		size = 67
		refs = "000a @ClassCreate 0017 TWebRequestHandler.Create 001c ApplicationHandleException 0025 TWebRequestHandler.HandleException 0030 @AfterConstruction"
		altNames = "TInHTTPWebBrokerBridgeRequestHandler.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 70 04 C7 00 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_50541_0 {
	meta:
		name = "TSockWebRequestHandler.Create"
		size = 67
		refs = "000a @ClassCreate 0017 TWebRequestHandler.Create 001c ApplicationHandleException 0025 TSockWebRequestHandler.HandleException 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 70 04 C7 00 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_35131_0 {
	meta:
		name = "TIdHTTPWebBrokerBridgeRequestHandler.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 000c ApplicationHandleException 001e TWebRequestHandler.Destroy 0029 @ClassDestroy"
		altNames = "TInHTTPWebBrokerBridgeRequestHandler.Destroy TSockWebRequestHandler.Destroy TWebApplication.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 33 D2 89 10 89 50 04 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35133_0 {
	meta:
		name = "IdHTTPWebBrokerBridgeRequestHandler"
		size = 34
		refs = "0002 TIdHTTPWebBrokerBridgeRequestHandler.FWebRequestHandler 000e _DV_TIdHTTPWebBrokerBridgeRequestHandler 0013 TIdHTTPWebBrokerBridgeRequestHandler.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41059_0 {
	meta:
		name = "InHTTPWebBrokerBridgeRequestHandler"
		size = 34
		refs = "0002 TInHTTPWebBrokerBridgeRequestHandler.FWebRequestHandler 000e _DV_TInHTTPWebBrokerBridgeRequestHandler 0013 TInHTTPWebBrokerBridgeRequestHandler.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50442_0 {
	meta:
		name = "SockWebRequestHandler"
		size = 34
		refs = "0002 FSockWebRequestHandler 000e _Dn_TSockWebRequestHandler 0013 TSockWebRequestHandler.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35134_0 {
	meta:
		name = "TIdHTTPWebBrokerBridge.DoCommandGet"
		size = 40
		refs = "0012 TIdHTTPWebBrokerBridge.RunWebModuleClass 001a TIdHTTPWebBrokerBridgeRequestHandler.FWebRequestHandler 001f TIdHTTPWebBrokerBridgeRequestHandler.Run"
	strings:
		$1 = { 55 8B EC 56 8B 75 08 83 B8 A8 01 00 00 00 74 08 56 E8 ?? ?? ?? ?? EB 0B 56 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_41060_0 {
	meta:
		name = "TInHTTPWebBrokerBridge.DoCommandGet"
		size = 40
		refs = "0012 TInHTTPWebBrokerBridge.RunWebModuleClass 001a TInHTTPWebBrokerBridgeRequestHandler.FWebRequestHandler 001f TInHTTPWebBrokerBridgeRequestHandler.Run"
	strings:
		$1 = { 55 8B EC 56 8B 75 08 83 B8 A8 01 00 00 00 74 08 56 E8 ?? ?? ?? ?? EB 0B 56 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_35135_0 {
	meta:
		name = "TIdHTTPWebBrokerBridge.RunWebModuleClass"
		size = 448
		refs = "001c TIdHTTPWebBrokerBridge.RunWebModuleClass 0030 _DV_TIdHTTPAppRequest 0035 TIdHTTPAppRequest.Create 0056 _DV_TIdHTTPAppResponse 005b TIdHTTPAppResponse.Create 0086 _Dn_TCustomWebDispatcher 008b @AsClass 00a4 @IntfClear 00b3 Supports 00f1 @HandleFinally 0101 TCustomWebDispatcher.DispatchAction 0138 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 53 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 57 8B 45 F8 50 53 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 83 C1 00 00 00 00 8B 86 A8 01 00 00 33 C9 B2 01 FF 50 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 3C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F0 8B 55 F4 8B 45 FC 8B 18 FF 53 0C 88 45 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 4D F0 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 88 45 EB 80 7D EB 00 74 14 8B 45 F0 8B 10 FF 52 40 84 C0 75 08 8B 45 F0 8B 10 FF 52 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 5F B0 CC 6F E0 8F D4 11 A4 E5 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_41061_0 {
	meta:
		name = "TInHTTPWebBrokerBridge.RunWebModuleClass"
		size = 448
		refs = "001c TInHTTPWebBrokerBridge.RunWebModuleClass 0030 _DV_TInHTTPAppRequest 0035 TInHTTPAppRequest.Create 0056 _DV_TInHTTPAppResponse 005b TInHTTPAppResponse.Create 0086 _Dn_TCustomWebDispatcher 008b @AsClass 00a4 @IntfClear 00b3 Supports 00f1 @HandleFinally 0101 TCustomWebDispatcher.DispatchAction 0138 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 53 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 57 8B 45 F8 50 53 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 83 C1 00 00 00 00 8B 86 A8 01 00 00 33 C9 B2 01 FF 50 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 3C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F0 8B 55 F4 8B 45 FC 8B 18 FF 53 0C 88 45 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 4D F0 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 88 45 EB 80 7D EB 00 74 14 8B 45 F0 8B 10 FF 52 40 84 C0 75 08 8B 45 F0 8B 10 FF 52 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 5F B0 CC 6F E0 8F D4 11 A4 E5 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_35136_0 {
	meta:
		name = "TIdHTTPWebBrokerBridge.RegisterWebModuleClass"
		size = 7
		altNames = "TInHTTPWebBrokerBridge.RegisterWebModuleClass"
	strings:
		$1 = { 89 90 A8 01 00 00 C3 }
	condition:
		$1
}

rule function_35138_0 {
	meta:
		name = "IdHTTPWebBrokerBridge"
		size = 21
		refs = "0002 _DV_21 000a WebRequestHandlerProc 0010 IdHTTPWebBrokerBridgeRequestHandler"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45295_0 {
	meta:
		name = "IWHTTPServer"
		size = 21
		refs = "0002 _DV_3 000a GHTTPServerInitProc 0010 CreateHTTPServer"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41064_0 {
	meta:
		name = "InHTTPWebBrokerBridge"
		size = 21
		refs = "0002 _DV_21 000a WebRequestHandlerProc 0010 InHTTPWebBrokerBridgeRequestHandler"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48575_0 {
	meta:
		name = "SiteComp"
		size = 21
		refs = "0002 _DV_01 000a GetWebEndUserProc 0010 GetWebEndUser"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71474_0 {
	meta:
		name = "System.Win.VCLCom"
		size = 21
		refs = "0002 _DV_2 000a CreateVCLComObjectProc 0010 CreateVCLComObject"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92924_0 {
	meta:
		name = "VCLTee.TeeExport"
		size = 21
		refs = "0002 _DV_4 000a GraphicFileExtension 0010 WithFileExtension"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78043_0 {
	meta:
		name = "Vcl.DBPWDlg"
		size = 21
		refs = "0002 _DV_2 000a PasswordDialog"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35140_0 {
	meta:
		name = "TIdIPv4_ICMP.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TIdStruct.Create 001e _Dn_TIdIPHdr 0023 TIdIPHdr.Create 002d _Dn_TIdICMPHdr 0032 TIdICMPHdr.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36690_0 {
	meta:
		name = "TIdEthernetHdr.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TIdStruct.Create 001e _DV_TIdEtherAddr 0023 TIdEtherAddr.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36029_0 {
	meta:
		name = "TIdMIMEBoundary.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TStringList 0023 TStringList.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_114251_0 {
	meta:
		name = "TUtilsNameValueList.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TObject.Create 001e _DV_TUtilsWideStringList 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_50314_0 {
	meta:
		name = "TXSBaseCustomDateTime.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TObject.Create 001e _DV_TXSBaseDate 0023 TXSBaseDate.Create 002d _DV_TXSBaseTime 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_35142_0 {
	meta:
		name = "TIdIPv4_ICMP.GetBytesLen"
		size = 36
		refs = "0010 TIdStruct.GetBytesLen"
	strings:
		$1 = { 53 56 8B D8 8B 43 04 8B 10 FF 12 8B F0 8B C3 E8 ?? ?? ?? ?? 03 F0 8B 43 08 8B 10 FF 12 03 F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_35143_0 {
	meta:
		name = "TIdIPv4_ICMP.ReadStruct"
		size = 50
		refs = "0011 TIdStruct.ReadStruct"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 43 04 8B 28 FF 55 08 8B CF 8B D6 8B 43 08 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35144_0 {
	meta:
		name = "TIdIPv4_ICMP.WriteStruct"
		size = 50
		refs = "0011 TIdStruct.WriteStruct"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 43 04 8B 28 FF 55 0C 8B CF 8B D6 8B 43 08 8B 18 FF 53 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35145_0 {
	meta:
		name = "TIdCustomIcmpClient.SendEchoRequest"
		size = 12
	strings:
		$1 = { 8B 90 C4 00 00 00 8B 08 FF 51 58 C3 }
	condition:
		$1
}

rule function_35146_0 {
	meta:
		name = "TIdCustomIcmpClient.DecodeResponse"
		size = 236
		refs = "000d Ticks 001a GetTickDiff 002f TIdRawBase.GetIPVersion 0041 TIdCustomIcmpClient.DecodeResponse 0046 @UStrAsg 00b4 TIdCustomIcmpClient.DecodeIPv4Packet"
	strings:
		$1 = { 53 56 8B D8 85 D2 0F 85 9B 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8B B3 D0 00 00 00 89 46 14 33 C0 89 46 04 8B C3 E8 ?? ?? ?? ?? 84 C0 75 28 8B 83 D0 00 00 00 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 D0 00 00 00 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 8B 83 D0 00 00 00 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 D0 00 00 00 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 D0 00 00 00 C6 40 10 00 0F B7 93 C8 00 00 00 66 89 50 12 C6 40 18 00 C6 40 19 02 B0 01 5E 5B C3 8B 83 D0 00 00 00 C6 40 19 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 30 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 3A 00 30 00 00 00 }
	condition:
		$1
}

rule function_35147_0 {
	meta:
		name = "TIdCustomIcmpClient.GetEchoReply"
		size = 12
		refs = "0007 TIdCustomIcmpClient.Receive"
	strings:
		$1 = { 8B 90 9C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35148_0 {
	meta:
		name = "TIdCustomIcmpClient.Receive"
		size = 328
		refs = "0015 @DynArrayLength 0024 FillBytes 0029 Ticks 003e TIdRawBase.ReceiveBuffer 0049 TIdCustomIcmpClient.DecodeResponse 0063 GetTickDiff 007c RSICMPTimeout 0081 LoadResString 0093 TIdRawBase.GetIPVersion 00a5 TIdCustomIcmpClient.Receive 00aa @UStrAsg"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B BB D0 00 00 00 8B 83 C0 00 00 00 E8 ?? ?? ?? ?? 8B D0 8D 83 C0 00 00 00 33 C9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B8 00 00 00 8D 93 C0 00 00 00 8B CE 8B C3 E8 ?? ?? ?? ?? 8B E8 8B D5 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 B9 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 2B F0 8B 93 D0 00 00 00 89 42 14 8B 83 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 D0 00 00 00 33 D2 89 50 04 8B C3 E8 ?? ?? ?? ?? 84 C0 75 28 8B 83 D0 00 00 00 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 D0 00 00 00 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 8B 83 D0 00 00 00 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 D0 00 00 00 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 D0 00 00 00 C6 40 10 00 0F B7 93 C8 00 00 00 66 89 50 12 C6 40 18 00 C6 40 19 02 85 F6 0F 8F 25 FF FF FF 8B C7 5D 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 30 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 3A 00 30 00 00 00 }
	condition:
		$1
}

rule function_35149_0 {
	meta:
		name = "TIdCustomIcmpClient.DoReply"
		size = 35
	strings:
		$1 = { 53 66 83 B8 DA 00 00 00 00 74 16 8B D8 8B 88 D0 00 00 00 8B D0 8B 83 DC 00 00 00 FF 93 D8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_35150_0 {
	meta:
		name = "TIdCustomIcmpClient.InitComponent"
		size = 71
		refs = "0006 TIdRawBase.InitComponent 000d _DV_TReplyStatus 0012 TObject.Create 0041 TIdCustomIcmpClient.SetPacketSize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D0 00 00 00 C7 83 A0 00 00 00 01 00 00 00 66 C7 83 C8 00 00 00 A1 0D C7 83 9C 00 00 00 88 13 00 00 BA 00 04 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_35151_0 {
	meta:
		name = "TIdCustomIcmpClient.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TIdRawBase.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 D0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35152_0 {
	meta:
		name = "TIdCustomIcmpClient.DecodeIPv4Packet"
		size = 3121
		refs = "002b TIdCustomIcmpClient.DecodeIPv4Packet 0060 RSICMPNotEnoughtBytes 0065 LoadResString 006f _Dn_EIdIcmpException 0074 EIdException.Create 0079 @RaiseExcept 0085 _DV_TIdIPv4_ICMP 008a TIdIPv4_ICMP.Create 015e BytesToStringRaw 016e @UStrAsg 0262 RSICMPNonEchoResponse 02a3 TIdicmp_hun.Getecho_seq 02b8 BytesToLongWord 02be Ticks 02c6 GetTickDiff 02e7 _Dn_TIdICMPTs 02ec TIdStruct.Create 0342 TObject.Free 0348 @HandleFinally 0361 BytesToWord 03da TIdLongWord.Get_l 03e1 GStack 03f0 MakeDWordIntoIPv4Address 056b RSICMPNetUnreachable 0586 RSICMPHostUnreachable 05a1 RSICMPProtUnreachable 05bc RSICMPFragmentNeeded 05d7 RSICMPSourceRouteFailed 05f2 RSICMPDestNetUnknown 060d RSICMPDestHostUnknown 0628 RSICMPSourceIsolated 0643 RSICMPDestNetProhibitted 065e RSICMPDestHostProhibitted 0679 RSICMPTOSNetUnreach 0694 RSICMPTOSHostUnreach 06af RSICMPAdminProhibitted 06ca RSICMPHostPrecViolation 06e5 RSICMPPrecedenceCutoffInEffect 070f RSICMPTTLExceeded 072a RSICMPFragAsmExceeded 0740 RSICMPParamError 0766 IndyFormat 078d TIdicmp_hun.Getgateway_s_l 07e8 RSICMPRedirNet 0803 RSICMPRedirHost 081e RSICMPRedirTOSNet 0839 RSICMPRedirTOSHost 0854 RSICMPSourceQuenchMsg 086f RSICMPEcho 088a RSICMPTimeStamp 08c0 RSICMPMaskRequest 08ea RSICMPTracePacketForwarded 0905 RSICMPTraceNoRoute 099a RSICMPConvUnknownMandOptPresent 09b5 RSICMPConvKnownUnsupportedOptionPresent 09d0 RSICMPConvUnsupportedTransportProtocol 09eb RSICMPConvOverallLengthExceeded 0a06 RSICMPConvIPHeaderLengthExceeded 0a21 RSICMPConvTransportProtocol_255 0a3c RSICMPConvPortConversionOutOfRange 0a57 RSICMPConvTransportHeaderLengthExceeded 0a72 RSICMPConv32BitRolloverMissingAndACKSet 0a8d RSICMPConvUnknownMandatoryTransportOptionPresent 0aa8 RSICMPMobileHostRedirect 0ac3 RSICMPIPv6WhereAreYou 0ade RSICMPIPv6IAmHere 0b14 RSICMPSKIP 0b5b RSICMPSecBadSPI 0b73 RSICMPSecAuthenticationFailed 0b8b RSICMPSecDecompressionFailed 0ba3 RSICMPSecDecryptionFailed 0bbb RSICMPSecNeedAuthentication 0bd3 RSICMPSecNeedAuthorization 0c0f @UStrClr 0c1c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 33 C9 89 4D B4 89 4D C4 89 4D C0 89 4D C8 89 4D CC 89 4D D0 89 4D D4 89 4D D8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 FC 8B 80 C0 00 00 00 0F B6 00 24 0F 0F B6 C0 03 C0 03 C0 89 45 F0 8B 45 F0 83 C0 08 3B 45 F8 76 21 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D EC 8B 45 FC 8B 90 C0 00 00 00 8B 45 E0 8B 18 FF 53 08 8B 45 E0 8B 40 08 0F B6 40 04 83 F8 28 0F 87 98 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 00 00 02 00 05 00 00 01 00 00 03 04 06 06 07 07 08 08 00 00 00 00 00 00 00 00 00 00 00 09 0A 0B 0C 0D 0E 0E 00 00 00 0F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 80 D0 00 00 00 C6 40 19 00 8D 45 D4 50 8B 45 FC 8B 80 C0 00 00 00 83 C9 FF 8B 55 EC E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC 05 E0 00 00 00 E8 ?? ?? ?? ?? E9 08 01 00 00 8B 45 FC 8B 80 D0 00 00 00 C6 40 19 03 E9 F6 00 00 00 8B 45 FC 8B 80 D0 00 00 00 C6 40 19 04 E9 E4 00 00 00 8B 45 FC 8B 80 D0 00 00 00 C6 40 19 06 E9 D2 00 00 00 8B 45 FC 8B 80 D0 00 00 00 C6 40 19 0A E9 C0 00 00 00 8B 45 FC 8B 80 D0 00 00 00 C6 40 19 0B E9 AE 00 00 00 8B 45 FC 8B 80 D0 00 00 00 C6 40 19 0C E9 9C 00 00 00 8B 45 FC 8B 80 D0 00 00 00 C6 40 19 0D E9 8A 00 00 00 8B 45 FC 8B 80 D0 00 00 00 C6 40 19 0E EB 7B 8B 45 FC 8B 80 D0 00 00 00 C6 40 19 07 EB 6C 8B 45 FC 8B 80 D0 00 00 00 C6 40 19 10 EB 5D 8B 45 FC 8B 80 D0 00 00 00 C6 40 19 11 EB 4E 8B 45 FC 8B 80 D0 00 00 00 C6 40 19 12 EB 3F 8B 45 FC 8B 80 D0 00 00 00 C6 40 19 0F EB 30 8B 45 FC 8B 80 D0 00 00 00 C6 40 19 08 EB 21 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 D0 00 00 00 0F B6 40 19 2C 01 72 09 2C 0A 74 3E E9 B5 00 00 00 8B 45 E0 8B 40 08 8B 40 08 E8 ?? ?? ?? ?? 66 89 45 E6 8B 45 FC 8B 80 C0 00 00 00 8B 55 EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 89 45 E8 E9 BF 00 00 00 8B 45 E0 8B 40 08 8B 40 08 E8 ?? ?? ?? ?? 66 89 45 E6 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B 45 FC 8B 90 C0 00 00 00 8B 45 DC 8B 18 FF 53 08 8B 45 DC 8B 40 0C 25 00 00 00 80 8B 55 DC 8B 52 04 81 E2 00 00 00 80 2B C2 89 45 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F0 83 C2 08 83 C2 06 8B 45 FC 8B 80 C0 00 00 00 E8 ?? ?? ?? ?? 66 89 45 E6 8B 55 F0 83 C2 08 83 C2 08 8B 45 FC 8B 80 C0 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC 0F B7 80 C8 00 00 00 66 3B 45 E6 0F 94 45 F7 80 7D F7 00 0F 84 2F 08 00 00 8B 45 FC 8B 80 D0 00 00 00 80 78 19 00 75 0B 8B 55 F8 83 EA 20 89 50 04 EB 09 8B 55 F8 83 EA 1C 89 50 04 8B 45 E0 8B 40 04 8B 40 10 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 8D 55 CC E8 ?? ?? ?? ?? 8B 55 CC 8B 45 FC 8B 80 D0 00 00 00 83 C0 08 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 04 8B 40 14 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 8D 55 C8 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 FC 8B 80 D0 00 00 00 83 C0 0C E8 ?? ?? ?? ?? 8B 55 E0 8B 52 08 0F B6 52 04 8B 45 FC 8B 80 D0 00 00 00 88 50 10 8B 55 E0 8B 52 08 0F B6 52 05 88 50 11 0F B7 55 E6 66 89 50 12 8B 55 E8 89 50 14 8B 55 E0 8B 52 04 0F B6 52 0C 88 50 18 0F B6 50 10 83 FA 28 0F 87 51 07 00 00 0F B6 92 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 06 00 00 01 05 04 00 00 06 00 00 02 03 07 07 08 08 09 09 00 00 00 00 00 00 00 00 00 00 00 0A 0B 0C 0D 0E 0F 0F 00 00 10 11 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B6 40 11 83 F8 0F 0F 87 C5 06 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 63 06 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 48 06 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2D 06 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 12 06 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F7 05 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DC 05 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C1 05 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A6 05 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8B 05 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 70 05 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 55 05 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3A 05 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1F 05 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 04 05 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E9 04 00 00 0F B6 40 11 2C 01 72 07 74 20 E9 DA 04 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BF 04 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A4 04 00 00 8D 45 C4 50 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 8B 55 FC 8B 92 D0 00 00 00 0F B6 52 11 89 55 B8 C6 45 BC 00 8D 55 B8 33 C9 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 FC 8B 80 D0 00 00 00 83 C0 24 E8 ?? ?? ?? ?? E9 59 04 00 00 8B 45 E0 8B 40 08 8B 40 08 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 8D 55 B4 E8 ?? ?? ?? ?? 8B 55 B4 8B 45 FC 8B 80 D0 00 00 00 83 C0 28 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 D0 00 00 00 0F B6 40 11 2C 01 72 0F 74 28 FE C8 74 3F FE C8 74 56 E9 01 04 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E6 03 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CB 03 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B0 03 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 95 03 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7A 03 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5F 03 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 44 03 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 29 03 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0E 03 00 00 0F B6 40 11 2C 01 72 07 74 20 E9 FF 02 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E4 02 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C9 02 00 00 0F B6 40 11 83 F8 0B 0F 87 BC 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6A 02 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4F 02 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 34 02 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 19 02 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FE 01 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E3 01 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C8 01 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AD 01 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 92 01 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 77 01 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5C 01 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 41 01 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 26 01 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0B 01 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F0 00 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D5 00 00 00 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BA 00 00 00 0F B6 40 11 83 F8 05 0F 87 AD 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 76 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5E 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 46 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2E 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 8B 45 FC 8B 80 D0 00 00 00 8D 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C0 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35153_0 {
	meta:
		name = "TIdCustomIcmpClient.PrepareEchoRequestIPv4"
		size = 431
		refs = "0016 TIdCustomIcmpClient.PrepareEchoRequestIPv4 0025 TArray<System.Byte> 002a @DynArrayClear 004a @DynArraySetLength 0058 @DynArrayLength 0067 FillBytes 009b _Dn_TIdICMPHdr 00a0 TIdICMPHdr.Create 00cd CurrentProcessId 00da TIdicmp_hun.Setecho_id 00ec TIdicmp_hun.Setecho_seq 0102 Ticks 0110 CopyTIdLongWord 012b Indy8BitEncoding 0138 ToBytes 014f IndyMin 0160 CopyTIdBytes 017a TObject.Free 0180 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 BC 00 00 00 83 C0 0C 50 8D 83 C4 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 83 C4 00 00 00 E8 ?? ?? ?? ?? 8B D0 8D 83 C4 00 00 00 33 C9 E8 ?? ?? ?? ?? 8B 83 C4 00 00 00 E8 ?? ?? ?? ?? 83 C0 14 50 8D 83 C0 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 C6 40 04 08 8B 45 F4 C6 40 05 00 8B 45 F4 66 C7 40 06 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 0F B7 93 C8 00 00 00 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8D 4D F0 8D 93 C4 00 00 00 8B 45 F4 8B 30 FF 56 0C E8 ?? ?? ?? ?? 8D 93 C4 00 00 00 8B 4D F0 E8 ?? ?? ?? ?? 83 45 F0 04 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 3C B0 01 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC E8 ?? ?? ?? ?? 8B 93 BC 00 00 00 E8 ?? ?? ?? ?? 50 8D 8B C4 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35154_0 {
	meta:
		name = "TIdCustomIcmpClient.Send"
		size = 197
		refs = "0014 TIdCustomIcmpClient.Send 0026 TArray<System.Byte> 002b @DynArrayAsg 0036 TIdRawBase.GetIPVersion 003d GStack 0046 TIdStack.ResolveHost 005c TIdRawBase.GetBinding 008d TIdSocketHandle.SendTo 00a2 @UStrClr 00b0 @DynArrayClear 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8B C6 E8 ?? ?? ?? ?? 8B C8 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 6A 02 8B 45 F8 50 57 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B 50 10 8D 4D FC A1 ?? ?? ?? ?? 8B 00 8B 18 FF 93 9C 00 00 00 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 50 8B CF 8B 55 F8 8B 86 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_35155_0 {
	meta:
		name = "TIdCustomIcmpClient.Send"
		size = 206
		refs = "0011 TIdCustomIcmpClient.Send 0022 TArray<System.Byte> 0027 @DynArrayAsg 0032 TIdRawBase.GetIPVersion 0039 GStack 0046 TIdStack.ResolveHost 0063 TIdRawBase.GetBinding 0099 TIdSocketHandle.SendTo 00ae @UStrClr 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8B C6 E8 ?? ?? ?? ?? 8B C8 A1 ?? ?? ?? ?? 8B 00 8B 96 94 00 00 00 E8 ?? ?? ?? ?? 6A 02 8B 45 F8 50 0F B7 86 98 00 00 00 50 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B 50 10 8D 4D FC A1 ?? ?? ?? ?? 8B 00 8B 18 FF 93 9C 00 00 00 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 50 0F B7 8E 98 00 00 00 8B 55 F8 8B 86 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35157_0 {
	meta:
		name = "TIdCustomIcmpClient.SetPacketSize"
		size = 7
		altNames = "TSeColorButtonObject.SetDisabledColor"
	strings:
		$1 = { 89 90 BC 00 00 00 C3 }
	condition:
		$1
}

rule function_35158_0 {
	meta:
		name = "TIdCustomIcmpClient.InternalPing"
		size = 81
		refs = "001d TIdCustomIcmpClient.PrepareEchoRequest 0026 TIdCustomIcmpClient.SendEchoRequest 002d TIdCustomIcmpClient.GetEchoReply 0034 TIdRawBase.GetBinding"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 45 08 66 85 C0 74 07 66 89 83 C8 00 00 00 8B D1 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 24 8B C3 8B 10 FF 52 64 66 FF 83 C8 00 00 00 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_35159_0 {
	meta:
		name = "TIdCustomIcmpClient.SendEchoRequest"
		size = 23
	strings:
		$1 = { 53 56 8B F0 8B 86 C4 00 00 00 50 33 C9 8B C6 8B 18 FF 53 60 5E 5B C3 }
	condition:
		$1
}

rule function_35160_0 {
	meta:
		name = "TIdIcmpClient.Ping"
		size = 107
		refs = "0012 TIdIcmpClient.Ping 0024 TIdRawBase.GetIPVersion 002b GStack 0038 TIdStack.ResolveHost 0044 TIdCustomIcmpClient.InternalPing 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B C8 A1 ?? ?? ?? ?? 8B 00 8B 93 94 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35163_0 {
	meta:
		name = "TIdIdent.InitComponent"
		size = 36
		refs = "0006 TIdTCPClientCustom.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 83 10 01 00 00 60 EA 00 00 66 BA 71 00 8B C3 8B 08 FF 91 A4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_35164_0 {
	meta:
		name = "TIdIdent.FetchOS"
		size = 124
		refs = "0011 TIdIdent.FetchOS 0021 TIdIdent.FetchUserReply 0036 Fetch 0040 Trim 005a @UStrArrayClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_35165_0 {
	meta:
		name = "TIdIdent.FetchUserReply"
		size = 216
		refs = "0013 TIdIdent.FetchUserReply 0020 @UStrClr 002e @UStrLAsg 0043 Fetch 0063 Trim 0070 TextIsSame 007e TrimLeft 0098 @UStrArrayClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 8B 93 14 01 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 53 00 45 00 52 00 49 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_35166_0 {
	meta:
		name = "TIdIdent.GetReplyCharset"
		size = 212
		refs = "0011 TIdIdent.GetReplyCharset 0021 TIdIdent.FetchOS 003e Pos 0060 Fetch 006a Trim 0078 @UStrAsg 0092 @UStrArrayClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 14 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 9F C0 EB 02 33 C0 84 C0 74 21 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D6 E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 53 00 2D 00 41 00 53 00 43 00 49 00 49 00 00 00 00 00 }
	condition:
		$1
}

rule function_35167_0 {
	meta:
		name = "TIdIdent.GetReplyOS"
		size = 152
		refs = "0011 TIdIdent.GetReplyOS 0021 TIdIdent.FetchOS 0046 Fetch 0050 Trim 0059 @UStrClr 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 21 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_35168_0 {
	meta:
		name = "TIdIdent.GetReplyOther"
		size = 176
		refs = "0013 TIdIdent.GetReplyOther 0023 TIdIdent.FetchOS 0030 @UStrEqual 003c TIdIdent.FetchUserReply 0051 Fetch 005b TrimLeft 0075 @UStrArrayClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 29 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4F 00 54 00 48 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_35169_0 {
	meta:
		name = "TIdIdent.GetReplyUserName"
		size = 176
		refs = "0013 TIdIdent.GetReplyUserName 0023 TIdIdent.FetchOS 0030 @UStrEqual 003c TIdIdent.FetchUserReply 0051 Fetch 005b TrimLeft 0075 @UStrArrayClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 29 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4F 00 54 00 48 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_35170_0 {
	meta:
		name = "TIdIdent.ParseError"
		size = 380
		refs = "0017 TIdIdent.ParseError 002b @UStrLAsg 0040 Fetch 0060 Trim 006d @UStrEqual 0088 IdentErrorText 0092 PosInStrArray 00a6 RSIdentInvalidPort 00ab LoadResString 00b5 _DV_EIdIdentInvalidPort 00ba EIdException.Create 00bf @RaiseExcept 00c9 RSIdentNoUser 00d8 _DV_EIdIdentNoUser 00ec RSIdentHiddenUser 00fb _DV_EIdIdentHiddenUser 010f RSIdentUnknownError 011e _DV_EIdIdentUnknownError 0142 @UStrArrayClr 0148 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 93 14 01 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 B5 00 00 00 6A 00 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 83 E8 01 72 07 74 28 48 74 48 EB 69 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 45 00 52 00 52 00 4F 00 52 00 00 00 }
	condition:
		$1
}

rule function_35171_0 {
	meta:
		name = "TIdIdent.Query"
		size = 356
		refs = "001e TIdIdent.Query 0031 @UStrClr 0055 IntToStr 0078 @UStrCatN 0080 Output 0085 @Write0UString 008a @WriteLn 008f @_IOTest 00c3 @UStrAsg 00eb TIdTCPConnection.Disconnect 00f1 @HandleFinally 0101 RSIdentReplyTimeout 0106 LoadResString 0110 _DV_EIdIdentQueryTimeOut 0115 EIdException.Create 011a @RaiseExcept 0122 TIdIdent.ParseError 013c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 05 14 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 AC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 0F B7 C3 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 55 EC 0F B7 C6 E8 ?? ?? ?? ?? FF 75 EC 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 6A 00 8D 45 E8 50 8B 45 FC 8B 88 10 01 00 00 8B 45 FC 8B 80 98 00 00 00 33 D2 8B 18 FF 93 C4 00 00 00 8B 55 E8 8B 45 FC 05 14 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 0F B6 80 BD 00 00 00 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FB 00 74 21 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_35174_0 {
	meta:
		name = "TIdIdentServer.InitComponent"
		size = 36
		refs = "0006 TIdCustomTCPServer.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 71 00 8B C3 8B 08 FF 91 98 00 00 00 C7 83 20 01 00 00 60 EA 00 00 5B C3 }
	condition:
		$1
}

rule function_35175_0 {
	meta:
		name = "TIdIdentServer.DoExecute"
		size = 240
		refs = "0014 TIdIdentServer.DoExecute 0066 Fetch 006e IndyStrToInt 00a3 TIdIdentServer.ReplyError 00ab TIdTCPConnection.Disconnect 00c0 @UStrClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 6A FF 6A 00 8D 45 FC 50 8B 43 14 8B 80 98 00 00 00 8B 8E 20 01 00 00 33 D2 8B 38 FF 97 C4 00 00 00 8B 43 14 8B 80 98 00 00 00 80 B8 BD 00 00 00 00 75 52 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B F8 8B 45 FC E8 ?? ?? ?? ?? 66 83 BE 1A 01 00 00 00 74 13 50 8B CF 8B D3 8B 86 1C 01 00 00 FF 96 18 01 00 00 EB 16 50 6A 03 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_35176_0 {
	meta:
		name = "TIdIdentServer.ReplyError"
		size = 424
		refs = "0013 TIdIdentServer.ReplyError 0024 IntToStr 004d @UStrCatN 006e @UStrCat 00cb @UStrArrayClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 0F B7 C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 0F B7 45 0C E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 0F B6 45 08 2C 01 72 0C 74 19 FE C8 74 24 FE C8 74 2F EB 3A 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 14 8B 80 98 00 00 00 33 C9 8B 55 FC 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 3A 00 20 00 45 00 52 00 52 00 4F 00 52 00 20 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 4E 00 56 00 41 00 4C 00 49 00 44 00 2D 00 50 00 4F 00 52 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4E 00 4F 00 2D 00 55 00 53 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 48 00 49 00 44 00 44 00 45 00 4E 00 2D 00 55 00 53 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 55 00 4E 00 4B 00 4E 00 4F 00 57 00 4E 00 2D 00 45 00 52 00 52 00 4F 00 52 00 00 00 }
	condition:
		$1
}

rule function_35177_0 {
	meta:
		name = "TIdIdentServer.ReplyIdent"
		size = 348
		refs = "0017 @UStrAddRef 0027 TIdIdentServer.ReplyIdent 0038 IntToStr 0061 @UStrCatN 006c @UStrCat 00d9 @UStrArrayClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B 5D 08 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 0F B7 C7 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 0F B7 45 14 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 10 E8 ?? ?? ?? ?? 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 16 FF 75 FC 68 ?? ?? ?? ?? 53 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 0C 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 46 14 8B 80 98 00 00 00 33 C9 8B 55 FC 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 3A 00 20 00 55 00 53 00 45 00 52 00 49 00 44 00 20 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 3A 00 20 00 00 00 }
	condition:
		$1
}

rule function_35178_0 {
	meta:
		name = "TIdIdentServer.ReplyOther"
		size = 244
		refs = "0014 @UStrAddRef 001c TIdIdentServer.ReplyOther 002d IntToStr 0059 @UStrCatN 0089 @UStrArrayClr 0091 @UStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 0F B7 C7 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 0F B7 45 0C E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF 75 08 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 46 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 20 00 3A 00 20 00 55 00 53 00 45 00 52 00 49 00 44 00 20 00 3A 00 20 00 4F 00 54 00 48 00 45 00 52 00 20 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_35181_0 {
	meta:
		name = "TIdIMAP4WorkHelper.Create"
		size = 140
		refs = "000e @ClassCreate 0020 TIdBaseComponent.Create 004a TIdIMAP4.BeginWorkForPart 005a TIdIMAP4.DoWorkForPart 006a TIdIMAP4.EndWorkForPart 0077 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 89 83 90 00 00 00 8B 80 88 00 00 00 89 83 94 00 00 00 8B 83 90 00 00 00 89 98 88 00 00 00 89 43 4C C7 43 48 ?? ?? ?? ?? 8B 83 90 00 00 00 89 43 44 C7 43 40 ?? ?? ?? ?? 8B 83 90 00 00 00 89 43 54 C7 43 50 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35182_0 {
	meta:
		name = "TIdIMAP4WorkHelper.Destroy"
		size = 54
		refs = "0003 @BeforeDestruction 0024 TIdComponent.Destroy 002f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 94 00 00 00 8B 96 90 00 00 00 89 82 88 00 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35183_0 {
	meta:
		name = "TIdMUTF7.Encode"
		size = 532
		refs = "0020 TIdMUTF7.Encode 002d @LStrClr 0071 b64Table 00a8 b64Chars 00b2 @LStrFromChar 00bc @LStrCat 01cf @LStrArrayClr 01d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D E4 89 5D E8 8B F1 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? C6 45 F3 00 33 DB 33 C0 89 45 F8 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 26 01 00 00 89 45 EC C7 45 F4 01 00 00 00 8B 45 FC 8B 55 F4 0F B7 7C 50 FE 66 83 FF 7F 77 10 0F B7 C7 81 3C 85 ?? ?? ?? ?? FF 00 00 00 75 0E 8B 45 FC 8B 55 F4 66 83 7C 50 FE 26 75 7E 80 7D F3 00 74 41 85 DB 7E 2D 8D 45 E8 B9 06 00 00 00 2B CB 8B 55 F8 D3 E2 83 E2 3F 0F B6 92 ?? ?? ?? ?? B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 F3 00 8B 45 FC 8B 55 F4 66 83 7C 50 FE 26 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7E 8D 45 E4 8B D7 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? EB 63 80 7D F3 00 75 17 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 33 C0 89 45 F8 C6 45 F3 01 8B 45 F8 C1 E0 10 0F B7 D7 0B C2 89 45 F8 83 C3 10 83 FB 06 7C 30 83 EB 06 8D 45 E0 8B CB 8B 55 F8 D3 EA 83 E2 3F 0F B6 92 ?? ?? ?? ?? B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 83 FB 06 7D D0 FF 45 F4 FF 4D EC 0F 85 E4 FE FF FF 80 7D F3 00 74 3D 85 DB 7E 2D 8D 45 DC B9 06 00 00 00 2B CB 8B 55 F8 D3 E2 83 E2 3F 0F B6 92 ?? ?? ?? ?? B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 2D 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 26 2D 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 26 00 00 00 }
	condition:
		$1
}

rule function_35184_0 {
	meta:
		name = "TIdMUTF7.Decode"
		size = 872
		refs = "001e TIdMUTF7.Decode 002c @UStrClr 009f b64Table 00b0 @UStrFromWChar 00bb @UStrCat 00df _DV_EmUTF7Decode 00e4 Exception.CreateFmt 00e9 @RaiseExcept 014e bitMasks 0164 EIdException.Create 0181 b64Index 023b @UStrArrayClr 0249 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 89 5D E4 89 4D F8 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? C6 45 EF 00 33 C0 89 45 E8 66 C7 45 F6 00 00 33 C0 89 45 F0 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F8 85 FF 0F 8E AF 01 00 00 BE 01 00 00 00 8B 45 FC 0F B6 5C 30 FF 80 7D EF 00 0F 85 81 00 00 00 8B 45 FC 80 7C 30 FF 26 75 19 C6 45 EF 01 33 C0 89 45 F0 33 C0 89 45 E8 66 C7 45 F6 26 00 E9 6D 01 00 00 80 FB 80 73 2E 0F B6 C3 81 3C 85 ?? ?? ?? ?? FF 00 00 00 74 1E 8D 45 E4 0F B6 D3 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E9 3A 01 00 00 0F B6 C3 89 45 DC C6 45 E0 00 8D 45 DC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0F 01 00 00 8B 45 FC 80 7C 30 FF 2D 75 7A 66 83 7D F6 26 75 12 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 EB 58 83 7D E8 10 7C 27 83 6D E8 10 8D 45 D8 8B 4D E8 8B 55 F0 D3 EA 66 81 E2 FF FF E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 83 7D E8 04 7F 0F 8B 45 E8 8B 04 85 ?? ?? ?? ?? 23 45 F0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 EF 00 E9 85 00 00 00 80 FB 80 73 0D 0F B6 C3 83 3C 85 ?? ?? ?? ?? FF 75 26 0F B6 C3 89 45 DC C6 45 E0 00 8D 45 DC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 C3 0F B6 1C 85 ?? ?? ?? ?? 80 E3 3F 0F B6 C3 8B 55 F0 C1 E2 06 0B C2 89 45 F0 83 45 E8 06 83 7D E8 10 7C 27 83 6D E8 10 8D 45 D4 8B 4D E8 8B 55 F0 D3 EA 66 81 E2 FF FF E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 66 C7 45 F6 00 00 46 4F 0F 85 56 FE FF FF 80 7D EF 00 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 49 00 6C 00 6C 00 65 00 67 00 61 00 6C 00 20 00 63 00 68 00 61 00 72 00 20 00 23 00 25 00 64 00 20 00 69 00 6E 00 20 00 55 00 54 00 46 00 37 00 20 00 73 00 65 00 71 00 75 00 65 00 6E 00 63 00 65 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 49 00 6C 00 6C 00 65 00 67 00 61 00 6C 00 20 00 62 00 69 00 74 00 20 00 73 00 65 00 71 00 75 00 65 00 6E 00 63 00 65 00 20 00 69 00 6E 00 20 00 4D 00 55 00 54 00 46 00 37 00 20 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 4D 00 69 00 73 00 73 00 69 00 6E 00 67 00 20 00 75 00 6E 00 65 00 73 00 63 00 61 00 70 00 65 00 20 00 69 00 6E 00 20 00 55 00 54 00 46 00 37 00 20 00 73 00 65 00 71 00 75 00 65 00 6E 00 63 00 65 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_35185_0 {
	meta:
		name = "TIdMUTF7.Valid"
		size = 162
		refs = "0012 TIdMUTF7.Valid 0032 TIdMUTF7.Decode 003f TIdMUTF7.Encode 0049 @LStrEqual 005d @HandleOnException 0065 _DV_EmUTF7Error 0070 @DoneExcept 0085 @UStrClr 008d @LStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35186_0 {
	meta:
		name = "TIdMUTF7.Append"
		size = 100
		refs = "0012 TIdMUTF7.Append 0024 TIdMUTF7.Decode 002e @UStrCat 003b TIdMUTF7.Encode 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B 55 FC 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_35187_0 {
	meta:
		name = "TIdImapMessagePart.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 0026 @UStrClr 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 30 FF FF FF FF 8D 46 2C E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_35191_0 {
	meta:
		name = "TIdIMAP4.BeginWorkForPart"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 72 01 00 00 00 74 16 FF 75 0C FF 75 08 8B D8 8B D0 8B 83 74 01 00 00 FF 93 70 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_35192_0 {
	meta:
		name = "TIdIMAP4.DoWorkForPart"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 6A 01 00 00 00 74 16 FF 75 0C FF 75 08 8B D8 8B D0 8B 83 6C 01 00 00 FF 93 68 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_35193_0 {
	meta:
		name = "TIdIMAP4.EndWorkForPart"
		size = 29
	strings:
		$1 = { 53 66 83 B8 7A 01 00 00 00 74 10 8B D8 8B D0 8B 83 7C 01 00 00 FF 93 78 01 00 00 5B C3 }
	condition:
		$1
}

rule function_35194_0 {
	meta:
		name = "TIdIMAP4.DoMUTFEncode"
		size = 145
		refs = "001a TIdIMAP4.DoMUTFEncode 003f TIdMUTF7.Encode 004a @UStrFromLStr 0059 @HandleAnyException 0064 @UStrAsg 0069 @DoneExcept 007e @LStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B 83 60 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 15 E9 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35195_0 {
	meta:
		name = "TIdIMAP4.DoMUTFDecode"
		size = 150
		refs = "001a TIdIMAP4.DoMUTFDecode 003e @LStrFromUStr 004f TIdMUTF7.Decode 005e @HandleAnyException 0069 @UStrAsg 006e @DoneExcept 0083 @LStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D F8 8B 83 60 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 15 E9 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35198_0 {
	meta:
		name = "TIdIMAP4.CheckConnectionState"
		size = 25
		refs = "0011 TIdIMAP4.CheckConnectionState"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 88 1C 24 8B D4 33 C9 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_35199_0 {
	meta:
		name = "TIdIMAP4.CheckConnectionState"
		size = 177
		refs = "0018 TIdIMAP4.CheckConnectionState 0053 TIdIMAP4.GetConnectionStateName 006b RSIMAP4ConnectionStateError 0070 LoadResString 007a _Dn_EIdConnectionStateError 007f Exception.CreateFmt 0084 @RaiseExcept 009e @UStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F0 89 5D EC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 83 F8 FF 7E 24 85 C0 7C 20 40 89 C1 8B 45 FC 0F B6 93 44 01 00 00 3A 10 75 0B 0F B6 83 44 01 00 00 8B D8 EB 3F 40 49 75 E6 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35200_0 {
	meta:
		name = "TIdIMAP4.CheckReplyForCapabilities"
		size = 276
		refs = "0017 TIdIMAP4.CheckReplyForCapabilities 003a TIdReplyIMAP4.GetExtra 006a TextStartsWith 008e BreakApart 00cb @UStrArrayClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 90 01 00 00 8B 10 FF 52 44 C6 83 84 01 00 00 00 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B 10 FF 52 14 48 85 C0 7C 60 40 89 45 F8 33 F6 8D 4D F4 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 36 8D 4D F0 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 45 F0 8B 8B 90 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 83 90 01 00 00 8B 08 FF 51 48 C6 83 84 01 00 00 01 EB 06 46 FF 4D F8 75 A6 0F B6 9B 84 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 41 00 50 00 41 00 42 00 49 00 4C 00 49 00 54 00 59 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35201_0 {
	meta:
		name = "TIdIMAP4.FindHowServerCreatesFolders"
		size = 524
		refs = "0012 TIdIMAP4.FindHowServerCreatesFolders 001f _Dn_TStringList 0024 TStringList.Create 003f TStringList.SetCaseSensitive 0049 TIdIMAP4.ListMailBoxes 0062 @TryFinallyExit 0076 IndyIndexOf 00a5 @UStrLAsg 00b4 @UStrCat 00ce TIdIMAP4.CreateMailBox 00dc TIdIMAP4.DeleteMailBox 00fc @UStrFromWChar 0111 @UStrCatN 0171 TObject.Free 0177 @HandleFinally 018e @UStrClr 019b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 F0 8B 10 FF 52 14 85 C0 75 0E C6 45 F7 04 E8 ?? ?? ?? ?? E9 12 01 00 00 33 C9 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 83 FE FF 75 0E C6 45 F7 03 E8 ?? ?? ?? ?? E9 EE 00 00 00 8D 4D FC 8B D6 8B 45 F0 8B 30 FF 56 0C 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 40 75 E3 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8B 55 F8 8B C3 E8 ?? ?? ?? ?? C6 45 F7 00 E8 ?? ?? ?? ?? E9 8F 00 00 00 FF 75 FC 8D 45 EC 0F B7 93 4C 01 00 00 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 40 75 E3 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8B 55 F8 8B C3 E8 ?? ?? ?? ?? C6 45 F7 01 E8 ?? ?? ?? ?? EB 26 C6 45 F7 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 42 00 4F 00 58 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 69 00 61 00 72 00 61 00 6E 00 73 00 54 00 65 00 73 00 74 00 46 00 6F 00 6C 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 39 00 00 00 }
	condition:
		$1
}

rule function_35202_0 {
	meta:
		name = "TIdIMAP4.IsNumberValid"
		size = 93
		refs = "000a TIdIMAP4.IsNumberValid 001b RSIMAP4NumberInvalid 0020 LoadResString 002a _DV_EIdNumberInvalid 002f EIdException.Create 0034 @RaiseExcept 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 4A 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_35203_0 {
	meta:
		name = "TIdIMAP4.IsUIDValid"
		size = 36
		refs = "000d TIdIMAP4.IsItDigitsAndOptionallyPeriod 0014 IndyStrToInt 001d TIdIMAP4.IsNumberValid"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35205_0 {
	meta:
		name = "TIdIMAP4.IsItDigitsAndOptionallyPeriod"
		size = 213
		refs = "0015 TIdIMAP4.IsItDigitsAndOptionallyPeriod 0034 RSIMAP4NumberInvalid 0039 LoadResString 0043 _DV_EIdNumberInvalid 0048 EIdException.Create 004d @RaiseExcept 006d IsNumeric 00c0 @UStrArrayClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 88 4D FF 8B FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C2 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 46 BB 01 00 00 00 0F B7 44 5F FE E8 ?? ?? ?? ?? 84 C0 75 2F 80 7D FF 00 74 08 66 83 7C 5F FE 2E 74 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 BF B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35206_0 {
	meta:
		name = "TIdIMAP4.GetUID"
		size = 392
		refs = "0020 TIdIMAP4.GetUID 0032 @UStrClr 003b TIdIMAP4.IsNumberValid 0044 TIdIMAP4.CheckConnectionState 0049 IMAP4Commands 006b IntToStr 0079 IMAP4FetchDataItem 008b @UStrCatN 0099 TIdIMAP4.GetNewCmdCounter 00a4 TIdIMAP4.SendCmd 00b7 @UStrEqual 00ee TIdIMAP4.ParseLastCmdResult 0103 @UStrAsg 0121 @UStrArrayClr 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B2 03 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 F0 8D 45 F0 50 6A 00 8D 45 F4 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 EC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 59 E8 ?? ?? ?? ?? 8B B3 9C 00 00 00 8B 46 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 4E 8B 46 18 8B 10 FF 52 14 85 C0 7E 42 8D 45 E4 50 6A FF 8D 4D E0 8B 83 9C 00 00 00 8B 40 18 33 D2 8B 30 FF 56 0C 8B 55 E0 8B 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 FC 8B 93 94 01 00 00 8B 52 10 E8 ?? ?? ?? ?? C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35207_0 {
	meta:
		name = "TIdIMAP4.WriteLn"
		size = 29
	strings:
		$1 = { 53 56 57 8B FA 8B F0 33 C9 8B D7 8B 86 98 00 00 00 8B 18 FF 93 A4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35208_0 {
	meta:
		name = "TIdIMAP4.ReadLnWait"
		size = 31
	strings:
		$1 = { 53 56 8B F2 8B D8 56 33 C9 BA FF FF FF 7F 8B 83 98 00 00 00 8B 18 FF 93 C8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_35209_0 {
	meta:
		name = "TIdIMAP4.GetInternalResponse"
		size = 896
		refs = "0036 string 003b @AddRefArray 0043 TIdIMAP4.GetInternalResponse 0054 _Dn_TStringList 0059 TStringList.Create 009b TextStartsWith 00b1 PosInStrArray 00c3 RSIMAP4DisconnectedProbablyIdledOut 00c8 LoadResString 00d2 _DV_EIdDisconnectedProbablyIdledOut 00d7 EIdException.Create 00dc @RaiseExcept 00f1 @UStrLAsg 0118 @UStrCopy 012d TIdReplyIMAP4.DoesLineHaveExpectedResponse 01ae @UStrCat 01bb TextEndsWith 01d8 TIdReplyIMAP4.GetExtra 01fb Pos 0220 Trim 0237 VALID_TAGGEDREPLIES 0267 TIdReply.SetCode 0288 TIdReplyIMAP4.RemoveUnsolicitedResponses 0299 @UStrAsg 02b3 TObject.Free 02b9 @HandleFinally 02d5 @UStrArrayClr 02f4 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B 5D 14 85 DB 78 07 8B 34 99 4B 56 79 F9 8B CC 89 4D FC 89 55 E8 8B F0 8B 4D 14 41 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E3 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F8 50 8B 86 98 00 00 00 33 C9 BA FF FF FF 7F 8B 18 FF 93 C8 00 00 00 8B 55 F8 8B 45 E4 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 3D 6A 01 8B 55 FC 8B 4D 14 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 75 28 C6 86 44 01 00 00 04 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D 10 00 0F 84 08 01 00 00 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 16 8D 45 F0 50 B9 FF FF FF 7F BA 03 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 14 50 8B 4D FC 8B 86 9C 00 00 00 8B 55 F0 E8 ?? ?? ?? ?? 88 45 E3 80 7D E3 00 0F 84 B4 00 00 00 80 7D 0C 00 74 7F EB 6C 8B 45 F0 89 45 DC 83 7D DC 00 74 0B 8B 45 DC 83 E8 04 8B 00 89 45 DC 8B 5D DC 4B EB 01 4B 8B 45 F0 66 83 7C 58 FE 7B 75 F4 8D 45 F0 50 8B CB 49 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 86 98 00 00 00 33 C9 BA FF FF FF 7F 8B 18 FF 93 C8 00 00 00 8B 55 EC 8B 45 E4 8B 08 FF 51 38 8D 45 F0 8B 55 EC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 83 8B 86 9C 00 00 00 8B 40 18 8B 10 FF 52 44 8B 86 9C 00 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B 86 9C 00 00 00 8B 40 18 8B 55 F0 8B 08 FF 51 38 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 1F 8D 45 D4 50 8B CB 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D4 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 22 6A 01 8B 15 ?? ?? ?? ?? B9 05 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 40 75 0A 80 7D E3 00 0F 84 19 FE FF FF 80 7D E3 00 74 12 8B 86 9C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1F 8B 86 9C 00 00 00 8B 55 E4 8B 08 FF 51 2C 8B 55 FC 8B 86 9C 00 00 00 8B 4D 14 E8 ?? ?? ?? ?? 8B 45 08 8B 96 9C 00 00 00 8B 52 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 4D 14 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 8B 75 CC 8B 5D D0 8B E5 5D C2 10 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2A 00 20 00 42 00 59 00 45 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 42 00 59 00 45 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35210_0 {
	meta:
		name = "TIdIMAP4.SendCmd"
		size = 161
		refs = "002d string 0032 @AddRefArray 003a TIdIMAP4.SendCmd 0056 TIdIMAP4.GetNewCmdCounter 0077 @UStrClr 0089 @FinalizeArray 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B 5D 0C 85 DB 78 07 8B 34 99 4B 56 79 F9 8B CC 89 4D FC 8B F2 8B D8 8B 4D 0C 41 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 45 0C 50 8B 45 08 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 4D 0C 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 75 F0 8B 5D F4 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_35211_0 {
	meta:
		name = "TIdIMAP4.SendCmd"
		size = 420
		refs = "0036 string 003b @AddRefArray 0043 TIdIMAP4.SendCmd 0055 @UStrEqual 00b1 @UStrCatN 00c7 TIdTCPConnection.CheckConnected 00f7 @HandleOnException 00ff _Dn_EIdSocketError 011b @RaiseAgain 0120 @DoneExcept 013a TIdIMAP4.GetInternalResponse 014f @UStrClr 0169 @FinalizeArray 016f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D FC 8B 5D 10 8B 75 0C 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 10 8B F1 89 55 F4 89 45 F8 8B 4D 0C 41 8B 45 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 C5 00 00 00 8B 45 F8 8B 90 5C 01 00 00 8B 45 F8 8B 80 98 00 00 00 8B 08 FF 91 9C 00 00 00 8B D8 84 DB 74 1C 8D 45 F0 50 8B 45 F8 8B 80 98 00 00 00 33 C9 BA FF FF FF 7F 8B 38 FF 97 C8 00 00 00 84 DB 75 C0 FF 75 F4 68 ?? ?? ?? ?? 56 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 F8 8B 08 FF 51 64 8B 45 F8 8B 80 98 00 00 00 33 C9 8B 55 FC 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 81 78 18 46 27 00 00 75 0F 8B 45 F8 C6 80 44 01 00 00 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 50 6A 00 6A 00 8B 45 08 50 8B 4D 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 10 8B 4D 0C 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B 7D E4 8B 75 E8 8B 5D EC 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35212_0 {
	meta:
		name = "TIdIMAP4.DoAlert"
		size = 31
	strings:
		$1 = { 53 66 83 B8 52 01 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 54 01 00 00 FF 93 50 01 00 00 5B C3 }
	condition:
		$1
}

rule function_35213_0 {
	meta:
		name = "TIdIMAP4.SetMailBox"
		size = 12
	strings:
		$1 = { 8B 80 48 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_35214_0 {
	meta:
		name = "TIdIMAP4.SetSASLMechanisms"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 88 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_35215_0 {
	meta:
		name = "TIdIMAP4.Login"
		size = 900
		refs = "001a TIdIMAP4.Login 003f _Dn_TIdSSLIOHandlerSocketBase 0044 @IsClass 008b TIdIMAP4.GetNewCmdCounter 009b TIdIMAP4.SendCmd 00a8 @UStrEqual 00bd TIdIMAP4.Capability 00c7 TIdExplicitTLSClient.ProcessTLSNegCmdFailed 00d1 TIdExplicitTLSClient.ProcessTLSNotAvail 0133 IMAP4Commands 015c @UStrCatN 0241 TIdSASLEntries.LoginSASL 0253 TIdIMAP4.CheckReplyForCapabilities 026e @HandleAnyException 0276 TIdTCPConnection.Disconnect 027b @RaiseAgain 0280 @DoneExcept 029a @UStrArrayClr 02ad @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 98 98 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 85 00 00 00 8B 45 FC 0F B6 80 14 01 00 00 04 FE 2C 02 73 75 8B C3 80 B8 08 01 00 00 00 74 6A 8B 45 FC 8B 10 FF 92 B4 00 00 00 84 C0 74 53 8D 45 F8 50 6A FF 8D 45 F8 50 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 B9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 45 FC 8B 10 FF 92 C0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 12 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 44 01 00 00 01 8B 45 FC 33 D2 89 90 40 01 00 00 8B 45 FC 80 B8 8C 01 00 00 00 0F 85 E7 00 00 00 8B 45 FC 8B 80 E0 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 74 5E B8 ?? ?? ?? ?? 89 45 EC 8D 45 EC 50 6A 00 8D 45 F0 50 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC FF B0 EC 00 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 E0 00 00 00 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 8B 45 FC 5A E8 ?? ?? ?? ?? EB 4E B8 ?? ?? ?? ?? 89 45 EC 8D 45 EC 50 6A 00 8D 45 E0 50 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC FF B0 EC 00 00 00 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D D8 8B 45 FC 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 71 8B 45 FC 8B 10 FF 92 8C 00 00 00 EB 64 8B 45 FC 80 B8 84 01 00 00 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 EC 8D 45 EC 50 6A 00 B8 ?? ?? ?? ?? 89 45 D4 8D 45 D4 50 6A 00 8B 45 FC 50 8B 45 FC 8B 80 90 01 00 00 50 68 ?? ?? ?? ?? 8B 45 FC 8B 88 CC 00 00 00 8B 45 FC 8B 80 88 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 80 44 01 00 00 02 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 54 00 41 00 52 00 54 00 54 00 4C 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 69 00 6D 00 61 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2A 00 20 00 4F 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2A 00 20 00 2B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 55 00 54 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 41 00 55 00 54 00 48 00 45 00 4E 00 54 00 49 00 43 00 41 00 54 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_35216_0 {
	meta:
		name = "TIdIMAP4.Connect"
		size = 340
		refs = "0015 TIdIMAP4.Connect 004b TIdExplicitTLSClient.Connect 0056 TIdIMAP4.GetResponse 0091 @UStrAsg 00a0 @UStrClr 00b6 @UStrEqual 00d5 TIdIMAP4.Capability 00f3 @HandleAnyException 0102 @RaiseAgain 0107 @DoneExcept 0123 @UStrArrayClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 44 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 74 84 C0 0F 85 92 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 00 00 00 8B 40 18 8B 10 FF 52 14 85 C0 7E 28 8D 4D F4 8B 45 FC 8B 80 9C 00 00 00 8B 40 18 33 D2 8B 30 FF 56 0C 8B 55 F4 8B 45 FC 05 80 01 00 00 E8 ?? ?? ?? ?? EB 0D 8B 45 FC 05 80 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1D 8B 45 FC C6 80 44 01 00 00 02 8B 45 FC 33 D2 89 90 40 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 DB 74 0B 8B 45 FC 8B 10 FF 92 DC 00 00 00 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 52 00 45 00 41 00 55 00 54 00 48 00 00 00 }
	condition:
		$1
}

rule function_35217_0 {
	meta:
		name = "TIdIMAP4.InitComponent"
		size = 192
		refs = "0007 TIdMessageClient.InitComponent 0010 _Dn_TIdMailBox 0015 TIdBaseComponent.Create 0024 _Dn_TIdSASLEntries 0029 TIdSASLEntries.Create 0044 _DV_TIdIMAPLineStruct 0049 TObject.Create 0056 _Dn_TStringList 005b TStringList.Create 006c TStringList.SetCaseSensitive 0073 _DV_TIdMUTF7"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 48 01 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 88 01 00 00 66 BA 8F 00 8B C3 8B 08 FF 91 A4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 94 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 90 01 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 60 01 00 00 66 C7 83 12 01 00 00 E1 03 66 C7 83 10 01 00 00 8F 00 C7 83 5C 01 00 00 0A 00 00 00 33 C0 89 83 40 01 00 00 C6 83 44 01 00 00 01 C6 83 58 01 00 00 00 66 C7 83 4C 01 00 00 2F 00 5E 5B C3 }
	condition:
		$1
}

rule function_35218_0 {
	meta:
		name = "TIdIMAP4.Disconnect"
		size = 77
		refs = "000b TIdIMAP4.Disconnect 0019 TIdTCPConnection.Disconnect 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 44 01 00 00 01 8B 45 FC 8B 80 90 01 00 00 8B 10 FF 52 44 C3 E9 ?? ?? ?? ?? EB E0 59 5D C3 }
	condition:
		$1
}

rule function_35219_0 {
	meta:
		name = "TIdIMAP4.DisconnectNotifyPeer"
		size = 140
		refs = "0010 TIdIMAP4.DisconnectNotifyPeer 001d TIdTCPConnection.DisconnectNotifyPeer 0039 TIdIMAP4.GetNewCmdCounter 0042 IMAP4Commands 0049 TIdIMAP4.SendCmd 005e @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 F8 8D 45 F8 50 6A 00 8D 45 FC 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 42 00 59 00 45 00 00 00 }
	condition:
		$1
}

rule function_35220_0 {
	meta:
		name = "TIdIMAP4.KeepAlive"
		size = 99
		refs = "000e TIdIMAP4.KeepAlive 0028 TIdIMAP4.GetNewCmdCounter 0031 IMAP4Commands 0038 TIdIMAP4.SendCmd 0052 @UStrArrayClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 6A FF 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35221_0 {
	meta:
		name = "TIdIMAP4.IsCapabilityListed"
		size = 105
		refs = "000e @UStrAddRef 0016 TIdIMAP4.IsCapabilityListed 002c TIdIMAP4.Capability 003c IndyIndexOf 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 84 01 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 33 C9 8B 55 FC 8B 83 90 01 00 00 E8 ?? ?? ?? ?? 40 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_35222_0 {
	meta:
		name = "TIdIMAP4.Capability"
		size = 30
		refs = "000d TIdIMAP4.Capability"
	strings:
		$1 = { 53 56 8B F0 8B 96 90 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 88 9E 84 01 00 00 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_35223_0 {
	meta:
		name = "TIdIMAP4.Capability"
		size = 268
		refs = "0015 TIdIMAP4.Capability 002b IMAP4Commands 0042 TIdIMAP4.GetNewCmdCounter 0052 TIdIMAP4.SendCmd 0065 @UStrEqual 0095 BreakApart 00c7 @UStrArrayClr 00cf @UStrClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B C6 8B 10 FF 52 44 A1 ?? ?? ?? ?? 89 45 F4 8D 45 F4 50 6A 00 8D 45 F8 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B BB 9C 00 00 00 8B 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 46 8B 47 18 8B 10 FF 52 14 85 C0 7E 22 8D 4D EC 8B 83 9C 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 8B 45 EC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 14 85 C0 7E 09 33 D2 8B C6 8B 08 FF 51 48 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35224_0 {
	meta:
		name = "TIdIMAP4.GetCmdCounter"
		size = 104
		refs = "000f TIdIMAP4.GetCmdCounter 0023 IntToStr 0032 @UStrCat3 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 43 00 00 00 }
	condition:
		$1
}

rule function_35225_0 {
	meta:
		name = "TIdIMAP4.GetNewCmdCounter"
		size = 112
		refs = "000f TIdIMAP4.GetNewCmdCounter 0029 IntToStr 0038 @UStrCat3 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 83 40 01 00 00 8D 55 FC 8B 83 40 01 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 43 00 00 00 }
	condition:
		$1
}

rule function_35226_0 {
	meta:
		name = "TIdIMAP4.Destroy"
		size = 151
		refs = "0003 @BeforeDestruction 002e TObject.Free 0085 TIdMessageClient.Destroy 0090 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 74 84 C0 74 09 33 D2 8B C6 8B 08 FF 51 78 8D 86 48 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 88 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 94 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 90 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 60 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35227_0 {
	meta:
		name = "TIdIMAP4.SelectMailBox"
		size = 568
		refs = "001f TIdIMAP4.SelectMailBox 003e TIdIMAP4.CheckConnectionState 007e IMAP4Commands 008f TIdIMAP4.DoMUTFEncode 00a4 @UStrCatN 00b2 TIdIMAP4.GetNewCmdCounter 00bd TIdIMAP4.SendCmd 00d0 @UStrEqual 00e8 TIdIMAP4.ParseSelectResult 00f8 @UStrAsg 0120 TIdIMAP4.RetrieveAllHeaders 0132 TIdIMAP4.RetrieveAllMsgs 014e @UStrArrayClr 0156 @UStrClr 015c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D F8 89 4D DC 89 4D D4 89 4D D8 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB C6 45 FC 02 C6 45 FD 03 8D 55 FC B9 01 00 00 00 8B C7 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 E0 B8 ?? ?? ?? ?? 89 45 E4 B8 ?? ?? ?? ?? 89 45 E8 B8 ?? ?? ?? ?? 89 45 EC B8 ?? ?? ?? ?? 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 8D 45 E0 50 6A 05 8D 45 F8 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D8 8B D6 8B C7 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 55 D4 8B C7 E8 ?? ?? ?? ?? 8B 55 D4 8B C7 59 E8 ?? ?? ?? ?? 8B 87 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 62 8B 87 9C 00 00 00 8B 48 18 8B 97 48 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B 87 48 01 00 00 83 C0 44 8B D6 E8 ?? ?? ?? ?? C6 87 44 01 00 00 03 0F B6 87 58 01 00 00 FE C8 74 06 FE C8 74 14 EB 22 8B 87 48 01 00 00 8B 50 48 8B C7 E8 ?? ?? ?? ?? EB 10 8B 87 48 01 00 00 8B 50 48 8B C7 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 4C 00 41 00 47 00 53 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 45 00 58 00 49 00 53 00 54 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 43 00 45 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 5B 00 52 00 45 00 41 00 44 00 2D 00 57 00 52 00 49 00 54 00 45 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 5B 00 41 00 4C 00 45 00 52 00 54 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_35228_0 {
	meta:
		name = "TIdIMAP4.ExamineMailBox"
		size = 552
		refs = "0022 TIdIMAP4.ExamineMailBox 0041 TIdIMAP4.CheckConnectionState 0089 IMAP4Commands 009a TIdIMAP4.DoMUTFEncode 00af @UStrCatN 00bd TIdIMAP4.GetNewCmdCounter 00c8 TIdIMAP4.SendCmd 00db @UStrEqual 00f0 TIdIMAP4.ParseSelectResult 00fd @UStrAsg 0120 @UStrArrayClr 0128 @UStrClr 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D F4 89 5D D4 89 5D CC 89 5D D0 89 4D FC 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB C6 45 F8 02 C6 45 F9 03 8D 55 F8 B9 01 00 00 00 8B C7 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 D8 B8 ?? ?? ?? ?? 89 45 DC B8 ?? ?? ?? ?? 89 45 E0 B8 ?? ?? ?? ?? 89 45 E4 B8 ?? ?? ?? ?? 89 45 E8 B8 ?? ?? ?? ?? 89 45 EC B8 ?? ?? ?? ?? 89 45 F0 8D 45 D8 50 6A 06 8D 45 F4 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D0 8B D6 8B C7 E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 55 CC 8B C7 E8 ?? ?? ?? ?? 8B 55 CC 8B C7 59 E8 ?? ?? ?? ?? 8B 87 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 29 8B 87 9C 00 00 00 8B 48 18 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 44 8B D6 E8 ?? ?? ?? ?? C6 87 44 01 00 00 03 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 54 00 41 00 54 00 55 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 4C 00 41 00 47 00 53 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 45 00 58 00 49 00 53 00 54 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 43 00 45 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 5B 00 52 00 45 00 41 00 44 00 2D 00 57 00 52 00 49 00 54 00 45 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 5B 00 41 00 4C 00 45 00 52 00 54 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_35229_0 {
	meta:
		name = "TIdIMAP4.CloseMailBox"
		size = 176
		refs = "000f TIdIMAP4.CloseMailBox 0020 TIdIMAP4.CheckConnectionState 0034 TIdIMAP4.GetNewCmdCounter 003d IMAP4Commands 0044 TIdIMAP4.SendCmd 0057 @UStrEqual 0087 @UStrArrayClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB B2 03 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 50 6A FF 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 0D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 14 8B 86 48 01 00 00 8B 10 FF 52 44 C6 86 44 01 00 00 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35230_0 {
	meta:
		name = "TIdIMAP4.CreateMailBox"
		size = 260
		refs = "0015 TIdIMAP4.CreateMailBox 0034 TIdIMAP4.CheckConnectionState 0044 IMAP4Commands 0055 TIdIMAP4.DoMUTFEncode 006a @UStrCatN 0078 TIdIMAP4.GetNewCmdCounter 0083 TIdIMAP4.SendCmd 0096 @UStrEqual 00b4 @UStrArrayClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB C6 45 FC 02 C6 45 FD 03 8D 55 FC B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 50 6A FF 8D 45 F8 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F0 8B D7 8B C6 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 59 E8 ?? ?? ?? ?? 8B 86 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35231_0 {
	meta:
		name = "TIdIMAP4.DeleteMailBox"
		size = 260
		refs = "0015 TIdIMAP4.DeleteMailBox 0034 TIdIMAP4.CheckConnectionState 0044 IMAP4Commands 0055 TIdIMAP4.DoMUTFEncode 006a @UStrCatN 0078 TIdIMAP4.GetNewCmdCounter 0083 TIdIMAP4.SendCmd 0096 @UStrEqual 00b4 @UStrArrayClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB C6 45 FC 02 C6 45 FD 03 8D 55 FC B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 50 6A FF 8D 45 F8 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F0 8B D7 8B C6 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 59 E8 ?? ?? ?? ?? 8B 86 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35241_0 {
	meta:
		name = "TIdIMAP4.SubscribeMailBox"
		size = 260
		refs = "0015 TIdIMAP4.SubscribeMailBox 0034 TIdIMAP4.CheckConnectionState 0044 IMAP4Commands 0055 TIdIMAP4.DoMUTFEncode 006a @UStrCatN 0078 TIdIMAP4.GetNewCmdCounter 0083 TIdIMAP4.SendCmd 0096 @UStrEqual 00b4 @UStrArrayClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB C6 45 FC 02 C6 45 FD 03 8D 55 FC B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 50 6A FF 8D 45 F8 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F0 8B D7 8B C6 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 59 E8 ?? ?? ?? ?? 8B 86 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35242_0 {
	meta:
		name = "TIdIMAP4.UnsubscribeMailBox"
		size = 260
		refs = "0015 TIdIMAP4.UnsubscribeMailBox 0034 TIdIMAP4.CheckConnectionState 0044 IMAP4Commands 0055 TIdIMAP4.DoMUTFEncode 006a @UStrCatN 0078 TIdIMAP4.GetNewCmdCounter 0083 TIdIMAP4.SendCmd 0096 @UStrEqual 00b4 @UStrArrayClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB C6 45 FC 02 C6 45 FD 03 8D 55 FC B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 50 6A FF 8D 45 F8 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F0 8B D7 8B C6 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 59 E8 ?? ?? ?? ?? 8B 86 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35232_0 {
	meta:
		name = "TIdIMAP4.RenameMailBox"
		size = 308
		refs = "001f TIdIMAP4.RenameMailBox 003e TIdIMAP4.CheckConnectionState 004e IMAP4Commands 005f TIdIMAP4.DoMUTFEncode 0089 @UStrCatN 0097 TIdIMAP4.GetNewCmdCounter 00a2 TIdIMAP4.SendCmd 00b5 @UStrEqual 00d3 @UStrArrayClr 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB C6 45 F8 02 C6 45 F9 03 8D 55 F8 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 45 F4 50 6A FF 8D 45 F4 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D EC 8B D7 8B C6 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 4D E8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 F0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 59 E8 ?? ?? ?? ?? 8B 86 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35233_0 {
	meta:
		name = "TIdIMAP4.StatusMailBox"
		size = 38
		refs = "001f TIdIMAP4.StatusMailBox"
	strings:
		$1 = { 83 C4 F8 C6 04 24 00 C6 44 24 01 01 C6 44 24 02 02 C6 44 24 03 03 C6 44 24 04 04 54 6A 04 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_35234_0 {
	meta:
		name = "TIdIMAP4.StatusMailBox"
		size = 576
		refs = "0022 TIdIMAP4.StatusMailBox 0043 TIdIMAP4.CheckConnectionState 0082 IMAP4StatusDataItem 0094 @UStrCatN 0115 IMAP4Commands 013a TIdIMAP4.DoMUTFEncode 014d Trim 0170 TIdIMAP4.GetNewCmdCounter 017b TIdIMAP4.SendCmd 018e @UStrEqual 019d TIdIMAP4.ParseStatusResult 01bb @UStrArrayClr 01c3 @UStrClr 01d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F4 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 C6 45 EC 02 C6 45 ED 03 8D 55 EC B9 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 75 08 85 F6 0F 8C C2 00 00 00 46 8B 5D 0C 0F B6 03 83 F8 04 0F 87 AA 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FF 75 FC FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 72 FF 75 FC FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 55 FF 75 FC FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 38 FF 75 FC FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 1B FF 75 FC FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 43 4E 0F 85 42 FF FF FF A1 ?? ?? ?? ?? 89 45 E4 8D 45 E4 50 6A 00 8D 45 E8 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D DC 8B 55 F8 8B C7 E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 E0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 55 D4 8B C7 E8 ?? ?? ?? ?? 8B 55 D4 8B C7 59 E8 ?? ?? ?? ?? 8B 9F 9C 00 00 00 8B 43 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B 4B 18 8B 55 F4 8B C7 E8 ?? ?? ?? ?? C6 45 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 20 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35235_0 {
	meta:
		name = "TIdIMAP4.CheckMailBox"
		size = 160
		refs = "000f TIdIMAP4.CheckMailBox 0020 TIdIMAP4.CheckConnectionState 0034 TIdIMAP4.GetNewCmdCounter 003d IMAP4Commands 0044 TIdIMAP4.SendCmd 0057 @UStrEqual 0075 @UStrArrayClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB B2 03 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 50 6A FF 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 0D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35236_0 {
	meta:
		name = "TIdIMAP4.ExpungeMailBox"
		size = 176
		refs = "0010 TIdIMAP4.ExpungeMailBox 0021 TIdIMAP4.CheckConnectionState 0035 TIdIMAP4.GetNewCmdCounter 003e IMAP4Commands 0045 TIdIMAP4.SendCmd 0058 @UStrEqual 006a TIdIMAP4.ParseExpungeResult 0086 @UStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB B2 03 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 50 6A FF 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 0D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B BE 9C 00 00 00 8B 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8B 4F 18 8B 96 48 01 00 00 8B C6 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35237_0 {
	meta:
		name = "DateToIMAPDateStr"
		size = 200
		refs = "0012 DateToIMAPDateStr 002c DecodeDate 0042 monthnames 004e UpperCase 0075 IndyFormat 008a @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 D2 89 55 DC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 4D FE 8D 55 FC 8D 45 FA E8 ?? ?? ?? ?? 53 0F B7 45 FE 89 45 E0 C6 45 E4 00 0F B7 45 FC 8B 15 ?? ?? ?? ?? 8B 44 82 FC 8D 55 DC E8 ?? ?? ?? ?? 8B 45 DC 89 45 E8 C6 45 EC 11 0F B7 45 FA 89 45 F0 C6 45 F4 00 8D 55 E0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 25 00 2E 00 32 00 64 00 2D 00 25 00 73 00 2D 00 25 00 2E 00 34 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_35238_0 {
	meta:
		name = "SearchRecToStr"
		size = 1556
		refs = "0020 SearchRecToStr 002d @UStrClr 00e2 IMAP4SearchKeys 00f3 @UStrCatN 0157 DateToIMAPDateStr 0254 IntToStr 05a5 TrimRight 05af @UStrAsg 05c9 @UStrArrayClr 05cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 FF 0F 8C 66 05 00 00 47 8D 43 10 8B D8 0F B6 03 83 F8 22 0F 87 4A 05 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 99 04 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 7B 04 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 FC 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 55 04 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 F4 FF 73 F0 8D 45 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 21 04 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 FC 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 FB 03 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 FC 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 D5 03 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 B7 03 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 99 03 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 7B 03 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 FC 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 55 03 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F8 8B 43 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 24 03 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 06 03 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 E8 02 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 CA 02 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 F4 FF 73 F0 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 96 02 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 78 02 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 5A 02 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 3C 02 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 F4 FF 73 F0 8D 45 F0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 08 02 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 F4 FF 73 F0 8D 45 EC E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 D4 01 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 F4 FF 73 F0 8D 45 E8 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 A0 01 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 F4 FF 73 F0 8D 45 E4 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 6C 01 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E0 8B 43 F8 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 3B 01 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 FC 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 15 01 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 FC 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 EF 00 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 FC 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 C9 00 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 FC 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 A3 00 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 85 00 00 00 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 6A FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 4F FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 34 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 19 FF 36 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C3 18 4F 0F 85 A0 FA FF FF 8D 55 DC 8B 06 E8 ?? ?? ?? ?? 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_35239_0 {
	meta:
		name = "TIdIMAP4.SearchMailBox"
		size = 268
		refs = "001d TIdIMAP4.SearchMailBox 0032 SearchRecToStr 003b TIdIMAP4.CheckConnectionState 0040 IMAP4Commands 0057 TIdIMAP4.GetNewCmdCounter 0076 @UStrCatN 0081 TIdIMAP4.SendCmd 0094 @UStrEqual 00a6 TIdIMAP4.ParseSearchResult 00c2 @UStrArrayClr 00ca @UStrClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 4D FC 8B C7 8B 55 F8 E8 ?? ?? ?? ?? B2 03 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 F0 8D 45 F0 50 6A 00 8D 45 F4 50 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 8B C6 5A E8 ?? ?? ?? ?? 8B BE 9C 00 00 00 8B 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8B 4F 18 8B 96 48 01 00 00 8B C6 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35240_0 {
	meta:
		name = "TIdIMAP4.UIDSearchMailBox"
		size = 288
		refs = "001f TIdIMAP4.UIDSearchMailBox 0034 SearchRecToStr 003d TIdIMAP4.CheckConnectionState 0042 IMAP4Commands 0061 TIdIMAP4.GetNewCmdCounter 008b @UStrCatN 0096 TIdIMAP4.SendCmd 00a9 @UStrEqual 00bb TIdIMAP4.ParseSearchResult 00d7 @UStrArrayClr 00df @UStrClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 4D FC 8B C7 8B 55 F8 E8 ?? ?? ?? ?? B2 03 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 EC A1 ?? ?? ?? ?? 89 45 F0 8D 45 EC 50 6A 01 8D 45 F4 50 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 8B C6 5A E8 ?? ?? ?? ?? 8B BE 9C 00 00 00 8B 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8B 4F 18 8B 96 48 01 00 00 8B C6 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35243_0 {
	meta:
		name = "TIdIMAP4.ListMailBoxes"
		size = 260
		refs = "001d TIdIMAP4.ListMailBoxes 003c TIdIMAP4.CheckConnectionState 0041 IMAP4Commands 0058 TIdIMAP4.GetNewCmdCounter 006f @UStrCat3 007a TIdIMAP4.SendCmd 008d @UStrEqual 009c TIdIMAP4.ParseListResult 00b8 @UStrArrayClr 00c0 @UStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F4 89 4D EC 89 4D E8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB C6 45 F8 02 C6 45 F9 03 8D 55 F8 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 F0 8D 45 F0 50 6A 00 8D 45 F4 50 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 E8 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 8B C6 5A E8 ?? ?? ?? ?? 8B BE 9C 00 00 00 8B 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B 4F 18 8B 55 FC 8B C6 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 22 00 22 00 20 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35244_0 {
	meta:
		name = "TIdIMAP4.ListInferiorMailBoxes"
		size = 608
		refs = "0023 TIdIMAP4.ListInferiorMailBoxes 0044 TIdIMAP4.CheckConnectionState 004f IMAP4Commands 0066 TIdIMAP4.GetNewCmdCounter 007d @UStrCat3 0088 TIdIMAP4.SendCmd 009b @UStrEqual 00ae TIdIMAP4.ParseListResult 00be _Dn_TStringList 00c3 TStringList.Create 012f TIdIMAP4.DoMUTFEncode 0141 @UStrFromWChar 0156 @UStrCatN 01c4 TObject.Free 01ca @HandleFinally 01e6 @UStrArrayClr 01ee @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 C6 45 E8 02 C6 45 E9 03 8D 55 E8 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 6D A1 ?? ?? ?? ?? 89 45 E0 8D 45 E0 50 6A 00 8D 45 E4 50 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 45 D8 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 8B C3 5A E8 ?? ?? ?? ?? 8B B3 9C 00 00 00 8B 46 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 2B 01 00 00 8B 4E 18 8B 55 F8 8B C3 E8 ?? ?? ?? ?? C6 45 F7 01 E9 15 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 10 FF 52 44 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C BB 00 00 00 46 C7 45 F0 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E0 8D 45 E0 50 6A 00 8D 45 D4 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D C8 8B 55 F0 8B 45 FC 8B 38 FF 57 0C 8B 55 C8 8D 4D CC 8B C3 E8 ?? ?? ?? ?? FF 75 CC 8D 45 C4 0F B7 93 4C 01 00 00 E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 8D 45 D0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 50 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 8B 55 C0 8B C3 59 E8 ?? ?? ?? ?? 8B BB 9C 00 00 00 8B 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 26 8B 4F 18 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 08 FF 51 40 C6 45 F7 01 FF 45 F0 4E 0F 85 4D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 22 00 22 00 20 00 25 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 22 00 22 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 25 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_35245_0 {
	meta:
		name = "TIdIMAP4.ListSubscribedMailBoxes"
		size = 268
		refs = "001d TIdIMAP4.ListSubscribedMailBoxes 003c TIdIMAP4.CheckConnectionState 0041 IMAP4Commands 0060 TIdIMAP4.GetNewCmdCounter 0077 @UStrCat3 0082 TIdIMAP4.SendCmd 0095 @UStrEqual 00a4 TIdIMAP4.ParseLSubResult 00c0 @UStrArrayClr 00c8 @UStrClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D F4 89 4D E8 89 4D E4 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB C6 45 F8 02 C6 45 F9 03 8D 55 F8 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 EC A1 ?? ?? ?? ?? 89 45 F0 8D 45 EC 50 6A 01 8D 45 F4 50 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 45 E4 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8B C6 5A E8 ?? ?? ?? ?? 8B BE 9C 00 00 00 8B 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B 4F 18 8B 55 FC 8B C6 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 22 00 22 00 20 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35246_0 {
	meta:
		name = "TIdIMAP4.StoreFlags"
		size = 408
		refs = "0021 TIdIMAP4.StoreFlags 0044 TIdIMAP4.ArrayToNumberStr 005f IMAP4StoreDataItem 0064 @UStrLAsg 0092 TIdIMAP4.MessageFlagSetToStr 009b TIdIMAP4.CheckConnectionState 00ab IMAP4Commands 00cb Trim 00e0 @UStrCatN 00ee TIdIMAP4.GetNewCmdCounter 00f9 TIdIMAP4.SendCmd 010c @UStrEqual 012a @UStrArrayClr 013d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 F0 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 46 01 85 C0 0F 8E DC 00 00 00 8D 45 F8 50 8B 55 F0 8B CE 8B C7 E8 ?? ?? ?? ?? 0F B6 45 0C 2C 01 72 0A FE C8 74 16 2C 02 74 22 EB 2E 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1E 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 0F B6 55 08 8B C7 E8 ?? ?? ?? ?? B2 03 8B C7 E8 ?? ?? ?? ?? 8D 45 EC 50 6A FF 8D 45 EC 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 45 E8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 8B 55 E0 8B C7 59 E8 ?? ?? ?? ?? 8B 87 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35247_0 {
	meta:
		name = "TIdIMAP4.UIDStoreFlags"
		size = 396
		refs = "001f TIdIMAP4.UIDStoreFlags 0030 TIdIMAP4.IsUIDValid 004b IMAP4StoreDataItem 0050 @UStrLAsg 007e TIdIMAP4.MessageFlagSetToStr 0087 TIdIMAP4.CheckConnectionState 0097 IMAP4Commands 00c0 Trim 00d5 @UStrCatN 00e3 TIdIMAP4.GetNewCmdCounter 00ee TIdIMAP4.SendCmd 0101 @UStrEqual 011f @UStrArrayClr 0132 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 88 4D F7 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B D6 8B C7 E8 ?? ?? ?? ?? 0F B6 45 F7 2C 01 72 0A FE C8 74 16 2C 02 74 22 EB 2E 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1E 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 0F B6 55 08 8B C7 E8 ?? ?? ?? ?? B2 03 8B C7 E8 ?? ?? ?? ?? 8D 45 F0 50 6A FF 8D 45 F0 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 EC BA 0A 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E4 8B C7 E8 ?? ?? ?? ?? 8B 55 E4 8B C7 59 E8 ?? ?? ?? ?? 8B 87 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35248_0 {
	meta:
		name = "TIdIMAP4.UIDStoreFlags"
		size = 480
		refs = "0020 TIdIMAP4.UIDStoreFlags 0032 @UStrClr 0049 TIdIMAP4.IsUIDValid 005c @UStrCat 008a IMAP4StoreDataItem 008f @UStrLAsg 00bd TIdIMAP4.MessageFlagSetToStr 00c6 TIdIMAP4.CheckConnectionState 00d6 IMAP4Commands 0101 Trim 0116 @UStrCatN 0124 TIdIMAP4.GetNewCmdCounter 012f TIdIMAP4.SendCmd 0142 @UStrEqual 0162 @UStrArrayClr 0175 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8D 45 F8 E8 ?? ?? ?? ?? 47 4F 85 FF 7C 37 47 C7 45 EC 00 00 00 00 8B 13 8B C6 E8 ?? ?? ?? ?? 83 7D EC 00 7E 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 13 E8 ?? ?? ?? ?? FF 45 EC 83 C3 04 4F 75 D1 0F B6 45 0C 2C 01 72 0A FE C8 74 16 2C 02 74 22 EB 2E 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1E 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 0F B6 55 08 8B C6 E8 ?? ?? ?? ?? B2 03 8B C6 E8 ?? ?? ?? ?? 8D 45 E8 50 6A FF 8D 45 E8 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 E0 8B 45 F4 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 E4 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 55 DC 8B C6 59 E8 ?? ?? ?? ?? 8B 86 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 45 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35249_0 {
	meta:
		name = "TIdIMAP4.CopyMsgs"
		size = 316
		refs = "001d TIdIMAP4.CopyMsgs 0040 TIdIMAP4.ArrayToNumberStr 0049 TIdIMAP4.CheckConnectionState 0059 IMAP4Commands 0073 TIdIMAP4.DoMUTFEncode 0088 @UStrCatN 0096 TIdIMAP4.GetNewCmdCounter 00a1 TIdIMAP4.SendCmd 00b4 @UStrEqual 00d2 @UStrArrayClr 00da @UStrClr 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 46 01 85 C0 0F 8E 88 00 00 00 8D 45 FC 50 8B 55 F8 8B CE 8B C7 E8 ?? ?? ?? ?? B2 03 8B C7 E8 ?? ?? ?? ?? 8D 45 F4 50 6A FF 8D 45 F4 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 4D EC 8B 55 08 8B C7 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8B 55 E8 8B C7 59 E8 ?? ?? ?? ?? 8B 87 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35250_0 {
	meta:
		name = "TIdIMAP4.UIDCopyMsgs"
		size = 448
		refs = "0024 TIdIMAP4.UIDCopyMsgs 0044 IMAP4Commands 0061 @UStrCatN 008f @UStrCat 00d0 TIdIMAP4.DoMUTFEncode 00ef TIdIMAP4.CheckConnectionState 0104 TIdIMAP4.GetNewCmdCounter 0112 TIdIMAP4.SendCmd 0128 @UStrEqual 0148 @UStrArrayClr 0150 @UStrClr 0156 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 8B 45 F4 8B 10 FF 52 14 85 C0 0F 8E F0 00 00 00 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4A 46 33 DB 85 DB 75 1A 8D 4D E8 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? EB 25 FF 75 FC 68 ?? ?? ?? ?? 8D 4D E4 8B D3 8B 45 F4 8B 38 FF 57 0C FF 75 E4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 43 4E 75 B9 FF 75 FC 68 ?? ?? ?? ?? 8D 4D E0 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? B2 03 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 DC 50 6A FF 8D 45 DC 50 8D 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D8 8B 4D FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 45 EF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 EF 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35251_0 {
	meta:
		name = "TIdIMAP4.CopyMsg"
		size = 296
		refs = "001d TIdIMAP4.CopyMsg 002e TIdIMAP4.IsNumberValid 0037 TIdIMAP4.CheckConnectionState 0047 IMAP4Commands 0056 IntToStr 006b TIdIMAP4.DoMUTFEncode 0080 @UStrCatN 008e TIdIMAP4.GetNewCmdCounter 0099 TIdIMAP4.SendCmd 00ac @UStrEqual 00ca @UStrArrayClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B D6 8B C7 E8 ?? ?? ?? ?? B2 03 8B C7 E8 ?? ?? ?? ?? 8D 45 F8 50 6A FF 8D 45 F8 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 4D EC 8B 55 FC 8B C7 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8B 55 E8 8B C7 59 E8 ?? ?? ?? ?? 8B 87 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35252_0 {
	meta:
		name = "TIdIMAP4.UIDCopyMsg"
		size = 292
		refs = "001b TIdIMAP4.UIDCopyMsg 002c TIdIMAP4.IsUIDValid 0035 TIdIMAP4.CheckConnectionState 0045 IMAP4Commands 0068 TIdIMAP4.DoMUTFEncode 007d @UStrCatN 008b TIdIMAP4.GetNewCmdCounter 0096 TIdIMAP4.SendCmd 00a9 @UStrEqual 00c7 @UStrArrayClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B D6 8B C7 E8 ?? ?? ?? ?? B2 03 8B C7 E8 ?? ?? ?? ?? 8D 45 F8 50 6A FF 8D 45 F8 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 4D F0 8B 55 FC 8B C7 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 F4 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 8B 55 EC 8B C7 59 E8 ?? ?? ?? ?? 8B 87 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35253_0 {
	meta:
		name = "TIdIMAP4.AppendMsg"
		size = 21
		refs = "000c TIdIMAP4.AppendMsg"
	strings:
		$1 = { 55 8B EC 53 6A 00 0F B6 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_35254_0 {
	meta:
		name = "TIdIMAP4.AppendMsg"
		size = 1152
		refs = "0024 TIdIMAP4.AppendMsg 0046 TIdIMAP4.CheckConnectionState 0069 TIdIMAP4.MessageFlagSetToStr 0089 Trim 009e @UStrCatN 00a6 @UStrClr 013f _Dn_TMemoryStream 0144 TObject.Create 0162 TIdMessage.SaveToStream 016e TStream.SetPosition 018e ReadLnFromStream 0196 @UStrLen 01a2 TStream.GetPosition 01e2 IntToStr 01fd IMAP4Commands 0210 TIdIMAP4.DoMUTFEncode 0258 @UStrCat 026d TIdIMAP4.GetNewCmdCounter 027b TIdIMAP4.SendCmd 0291 @UStrEqual 02a1 _DV_TIdIMAP4WorkHelper 02a6 TIdIMAP4WorkHelper.Create 031a TObject.Free 0320 @HandleFinally 0332 TIdIOHandler.WriteLn 0347 TIdIMAP4.GetCmdCounter 035f TIdIMAP4.GetInternalResponse 03a9 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E4 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E3 00 C6 45 C4 02 C6 45 C5 03 8D 55 C4 B9 01 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 84 35 03 00 00 8D 4D FC 0F B6 55 08 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 74 25 68 ?? ?? ?? ?? 8D 55 C0 8B 45 FC E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 83 7D 0C 00 75 43 8B 45 E4 8B 40 70 8B 10 FF 52 14 8B D8 4B 85 DB 7C 6C 43 33 F6 FF 75 F0 8D 4D BC 8B 45 E4 8B 40 70 8B D6 8B 38 FF 57 0C FF 75 BC 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 D4 EB 3B 8B 45 0C 8B 10 FF 52 14 8B D8 4B 85 DB 7C 2C 43 33 F6 FF 75 F0 8D 4D B8 8B D6 8B 45 0C 8B 38 FF 57 0C FF 75 B8 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 D7 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C9 8B 55 D4 8B 45 E4 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 8B 10 FF 12 89 45 D8 89 55 DC 6A 00 8D 45 B4 50 33 C9 83 CA FF 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 B4 E8 ?? ?? ?? ?? 85 C0 75 E1 8B 45 D4 E8 ?? ?? ?? ?? 83 E8 02 83 DA 00 89 45 C8 89 55 CC 8B 45 D8 8B 55 DC 2B 45 C8 1B 55 CC 52 50 8B C3 99 03 04 24 13 54 24 04 83 C4 08 89 45 D8 89 55 DC 68 ?? ?? ?? ?? FF 75 DC FF 75 D8 8D 45 B0 E8 ?? ?? ?? ?? FF 75 B0 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D AC 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? FF 75 AC 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 74 18 FF 75 F4 FF 75 FC 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 A8 50 6A FF 8D 45 A8 50 8D 55 A4 8B 45 EC E8 ?? ?? ?? ?? 8B 55 A4 8B 4D F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8B 80 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 DB 00 00 00 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 80 98 00 00 00 33 C9 8B 55 F0 8B 18 FF 93 A0 00 00 00 FF 75 CC FF 75 C8 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 8B 10 FF 12 2B 45 C8 1B 55 CC 52 50 8B 45 EC 8B 80 98 00 00 00 33 C9 8B 55 D4 8B 18 FF 93 B0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 33 D2 89 55 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 EC 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8D 45 A0 50 8D 55 9C 8B 45 EC E8 ?? ?? ?? ?? 8B 45 9C 50 A1 ?? ?? ?? ?? 89 45 98 8D 4D 98 8B 45 EC 5A E8 ?? ?? ?? ?? 8B 45 A0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 45 E3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 E3 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35255_0 {
	meta:
		name = "TIdIMAP4.AppendMsgNoEncodeFromFile"
		size = 164
		refs = "0013 @UStrAddRef 001b TIdIMAP4.AppendMsgNoEncodeFromFile 002b _Dn_TIdReadFileExclusiveStream 0030 TIdReadFileExclusiveStream.Create 0052 TIdIMAP4.AppendMsgNoEncodeFromStream 006f TObject.Free 0075 @HandleFinally 008c @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 45 08 50 8B 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_35256_0 {
	meta:
		name = "TIdIMAP4.AppendMsgNoEncodeFromStream"
		size = 996
		refs = "0021 TIdIMAP4.AppendMsgNoEncodeFromStream 0043 TIdIMAP4.CheckConnectionState 0066 TIdIMAP4.MessageFlagSetToStr 007c Trim 0091 @UStrCatN 00a4 _Dn_TMemoryStream 00a9 TObject.Create 00ca TArray<System.Byte> 00cf @DynArraySetLength 00e2 TStream.CopyFrom 00ee TStream.SetPosition 00fd _Dn_TIdStreamHelperVCL 0102 TIdStreamHelperVCL.ReadBytes 0110 cTerminator 0132 TStream.GetPosition 0153 TIdStreamHelperVCL.Seek 0168 IntToStr 0183 IMAP4Commands 0196 TIdIMAP4.DoMUTFEncode 01de @UStrCat 01f3 TIdIMAP4.GetNewCmdCounter 0201 TIdIMAP4.SendCmd 0217 @UStrEqual 0233 _DV_TIdIMAP4WorkHelper 0238 TIdIMAP4WorkHelper.Create 027f TObject.Free 0285 @HandleFinally 0297 TIdIOHandler.WriteLn 02ac TIdIMAP4.GetCmdCounter 02c4 TIdIMAP4.GetInternalResponse 0313 @UStrArrayClr 0321 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B D9 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E7 00 C6 45 CC 02 C6 45 CD 03 8D 55 CC B9 01 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 84 A2 02 00 00 8D 4D FC 0F B6 55 08 8B 45 EC E8 ?? ?? ?? ?? 83 7D FC 00 74 25 68 ?? ?? ?? ?? 8D 55 C8 8B 45 FC E8 ?? ?? ?? ?? FF 75 C8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 12 89 45 D8 89 55 DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 F6 55 68 ?? ?? ?? ?? 64 FF 36 64 89 26 6A 05 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 FF 75 DC FF 75 D8 8B D3 8B 45 D4 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 D4 E8 ?? ?? ?? ?? 6A 05 6A 00 8D 4D F0 8B 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 05 7C 4E B1 01 33 D2 B8 ?? ?? ?? ?? 8B 5D F0 0F B6 1C 13 3A 18 74 04 33 C9 EB 07 42 40 83 FA 05 75 EA 84 C9 74 16 8B 45 D4 E8 ?? ?? ?? ?? 83 E8 05 83 DA 00 89 45 D8 89 55 DC EB 15 6A FF 6A FC B1 01 8B 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 99 68 ?? ?? ?? ?? FF 75 DC FF 75 D8 8D 45 C4 E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D C0 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 74 18 FF 75 F4 FF 75 FC 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 BC 50 6A FF 8D 45 BC 50 8D 55 B8 8B 45 EC E8 ?? ?? ?? ?? 8B 55 B8 8B 4D F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8B 80 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 BA 00 00 00 6A 00 6A 00 8B 45 D4 E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 FF 75 DC FF 75 D8 8B 45 EC 8B 80 98 00 00 00 33 C9 8B 55 D4 8B 18 FF 93 B0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 33 D2 89 55 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 EC 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8D 45 B4 50 8D 55 B0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 B0 50 A1 ?? ?? ?? ?? 89 45 AC 8D 4D AC 8B 45 EC 5A E8 ?? ?? ?? ?? 8B 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 45 E7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 33 D2 89 55 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 0F B6 45 E7 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35259_0 {
	meta:
		name = "TIdIMAP4.InternalRetrieveEnvelope"
		size = 432
		refs = "0020 TIdIMAP4.InternalRetrieveEnvelope 002f TIdIMAP4.IsNumberValid 003c TIdIMAP4.CheckConnectionState 0041 IMAP4Commands 0063 IntToStr 0071 IMAP4FetchDataItem 0083 @UStrCatN 0091 TIdIMAP4.GetNewCmdCounter 009c TIdIMAP4.SendCmd 00af @UStrEqual 00ee TIdIMAP4.ParseLastCmdResult 012a TIdIMAP4.ParseEnvelopeResult 0148 @UStrArrayClr 0150 @UStrClr 0156 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? C6 45 FB 00 B2 03 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 F0 8D 45 F0 50 6A 00 8D 45 F4 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 EC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 59 E8 ?? ?? ?? ?? 8B B3 9C 00 00 00 8B 46 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 7D 8B 46 18 8B 10 FF 52 14 85 C0 7E 71 A1 ?? ?? ?? ?? 89 45 F0 8D 45 F0 50 6A 00 8D 4D E0 8B 83 9C 00 00 00 8B 40 18 33 D2 8B 30 FF 56 0C 8B 55 E0 8B 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3C 83 7D 08 00 74 19 8B 45 08 8B 10 FF 52 44 8B 83 94 01 00 00 8B 50 20 8B 45 08 8B 08 FF 51 38 83 7D FC 00 74 13 8B 83 94 01 00 00 8B 48 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35262_0 {
	meta:
		name = "TIdIMAP4.UIDInternalRetrieveEnvelope"
		size = 448
		refs = "0021 TIdIMAP4.UIDInternalRetrieveEnvelope 0030 TIdIMAP4.IsUIDValid 003d TIdIMAP4.CheckConnectionState 0042 IMAP4Commands 0061 TIdIMAP4.GetNewCmdCounter 0087 IMAP4FetchDataItem 0099 @UStrCatN 00a4 TIdIMAP4.SendCmd 00b7 @UStrEqual 00f6 TIdIMAP4.ParseLastCmdResult 0132 TIdIMAP4.ParseEnvelopeResult 014b @UStrClr 0158 @UStrArrayClr 0166 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 DB 89 5D DC 89 5D F4 89 5D E8 89 5D E4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? C6 45 FB 00 B2 03 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 EC A1 ?? ?? ?? ?? 89 45 F0 8D 45 EC 50 6A 01 8D 45 F4 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E4 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 8B C3 5A E8 ?? ?? ?? ?? 8B B3 9C 00 00 00 8B 46 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 7D 8B 46 18 8B 10 FF 52 14 85 C0 7E 71 A1 ?? ?? ?? ?? 89 45 E0 8D 45 E0 50 6A 00 8D 4D DC 8B 83 9C 00 00 00 8B 40 18 33 D2 8B 30 FF 56 0C 8B 55 DC 8B 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3C 83 7D 08 00 74 19 8B 45 08 8B 10 FF 52 44 8B 83 94 01 00 00 8B 50 20 8B 45 08 8B 08 FF 51 38 83 7D FC 00 74 13 8B 83 94 01 00 00 8B 48 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 0F B6 45 FB 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35263_0 {
	meta:
		name = "TIdIMAP4.RetrieveAllEnvelopes"
		size = 432
		refs = "0020 TIdIMAP4.RetrieveAllEnvelopes 0033 TIdIMAP4.CheckConnectionState 0038 IMAP4Commands 004f TIdIMAP4.GetNewCmdCounter 0064 IMAP4FetchDataItem 0076 @UStrCatN 0081 TIdIMAP4.SendCmd 0094 @UStrEqual 00e2 TIdIMAP4.ParseLastCmdResult 00f9 TIdMessageCollection.Add 010c TIdIMAP4.ParseEnvelopeResult 0118 TIdMessageCollection.GetIdMessage 014e @UStrArrayClr 0156 @UStrClr 015c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 89 4D F0 89 4D E8 89 4D E4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 B2 03 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 EC 8D 45 EC 50 6A 00 8D 45 F0 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 8B C3 5A E8 ?? ?? ?? ?? 8B B3 9C 00 00 00 8B 46 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 9A 00 00 00 8B 46 18 8B 10 FF 52 14 48 85 C0 0F 8C 85 00 00 00 40 89 45 F4 33 F6 A1 ?? ?? ?? ?? 89 45 EC 8D 45 EC 50 6A 00 8D 4D E0 8B 83 9C 00 00 00 8B 40 18 8B D6 8B 38 FF 57 0C 8B 55 E0 8B 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 44 8B 45 FC 8B 40 08 3B 70 08 7C 1D 8B 45 FC E8 ?? ?? ?? ?? 8B 93 94 01 00 00 8B 4A 20 8B 50 14 8B C3 E8 ?? ?? ?? ?? EB 1C 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 83 94 01 00 00 8B 48 20 8B C3 E8 ?? ?? ?? ?? 46 FF 4D F4 75 81 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 31 00 3A 00 2A 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35264_0 {
	meta:
		name = "TIdIMAP4.UIDRetrieveAllEnvelopes"
		size = 568
		refs = "0020 TIdIMAP4.UIDRetrieveAllEnvelopes 0033 TIdIMAP4.CheckConnectionState 0038 IMAP4Commands 004f TIdIMAP4.GetNewCmdCounter 006f IMAP4FetchDataItem 008c @UStrCatN 0097 TIdIMAP4.SendCmd 00aa @UStrEqual 00f8 TIdIMAP4.ParseLastCmdResult 0113 TIdMessageCollection.Add 0128 TIdIMAP4.ParseEnvelopeResult 013e @UStrAsg 015a TIdMessageCollection.GetIdMessage 01c8 @UStrArrayClr 01d0 @UStrClr 01d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 89 4D F0 89 4D E8 89 4D E4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 B2 03 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 EC 8D 45 EC 50 6A 00 8D 45 F0 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E4 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 8B C3 5A E8 ?? ?? ?? ?? 8B B3 9C 00 00 00 8B 46 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 FE 00 00 00 8B 46 18 8B 10 FF 52 14 48 85 C0 0F 8C E9 00 00 00 40 89 45 F4 33 F6 A1 ?? ?? ?? ?? 89 45 EC 8D 45 EC 50 6A 00 8D 4D E0 8B 83 9C 00 00 00 8B 40 18 8B D6 8B 38 FF 57 0C 8B 55 E0 8B 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A0 00 00 00 8B 45 FC 8B 40 08 3B 70 08 7C 45 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 83 94 01 00 00 8B 48 20 8B 57 14 8B C3 E8 ?? ?? ?? ?? 8B 47 14 05 B4 00 00 00 8B 93 94 01 00 00 8B 52 10 E8 ?? ?? ?? ?? 8B 83 94 01 00 00 0F B6 40 14 8B 57 14 88 42 69 EB 50 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 83 94 01 00 00 8B 48 20 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 05 B4 00 00 00 8B 93 94 01 00 00 8B 52 10 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 93 94 01 00 00 0F B6 52 14 88 50 69 46 FF 4D F4 0F 85 1D FF FF FF C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 31 00 3A 00 2A 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35265_0 {
	meta:
		name = "TIdIMAP4.RetrieveText"
		size = 39
		refs = "000e TIdIMAP4.IsNumberValid 001f TIdIMAP4.InternalRetrieveText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35266_0 {
	meta:
		name = "TIdIMAP4.RetrieveText2"
		size = 39
		refs = "000e TIdIMAP4.IsNumberValid 001f TIdIMAP4.InternalRetrieveText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 01 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35267_0 {
	meta:
		name = "TIdIMAP4.RetrieveTextPeek"
		size = 39
		refs = "000e TIdIMAP4.IsNumberValid 001f TIdIMAP4.InternalRetrieveText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 01 6A 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35268_0 {
	meta:
		name = "TIdIMAP4.RetrieveTextPeek2"
		size = 39
		refs = "000e TIdIMAP4.IsNumberValid 001f TIdIMAP4.InternalRetrieveText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 01 6A 01 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35269_0 {
	meta:
		name = "TIdIMAP4.UIDRetrieveText"
		size = 46
		refs = "000e TIdIMAP4.IsUIDValid 001b IndyStrToInt 0026 TIdIMAP4.InternalRetrieveText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 01 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35270_0 {
	meta:
		name = "TIdIMAP4.UIDRetrieveText2"
		size = 46
		refs = "000e TIdIMAP4.IsUIDValid 001b IndyStrToInt 0026 TIdIMAP4.InternalRetrieveText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 01 6A 00 6A 01 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35271_0 {
	meta:
		name = "TIdIMAP4.UIDRetrieveTextPeek"
		size = 46
		refs = "000e TIdIMAP4.IsUIDValid 001b IndyStrToInt 0026 TIdIMAP4.InternalRetrieveText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 01 6A 01 6A 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35272_0 {
	meta:
		name = "TIdIMAP4.UIDRetrieveTextPeek2"
		size = 46
		refs = "000e TIdIMAP4.IsUIDValid 001b IndyStrToInt 0026 TIdIMAP4.InternalRetrieveText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 01 6A 01 6A 01 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35273_0 {
	meta:
		name = "TIdIMAP4.InternalRetrieveText"
		size = 1760
		refs = "0021 TIdIMAP4.InternalRetrieveText 0033 @UStrClr 003d TIdIMAP4.CheckConnectionState 0051 _DV_TIdImapMessagePart 005b _DV_TIdImapMessageParts 0060 TOwnedCollection.Create 0082 IntToStr 0090 TIdIMAP4.UIDRetrieveStructure 0099 @TryFinallyExit 00ac TIdIMAP4.RetrieveStructure 00c5 TIdImapMessageParts.GetItem 00e7 @UStrLAsg 0101 TObject.Free 0107 @HandleFinally 0114 TIdIMAP4.GetNewCmdCounter 0124 @UStrCat3 0133 IMAP4Commands 0145 @UStrCatN 0182 IMAP4FetchDataItem 01a4 @UStrCat 020d TIdIMAP4.GetCmdCounter 022d TIdIMAP4.GetInternalResponse 023a @UStrEqual 02df TIdIMAP4.ParseLastCmdResult 030e PosInStrArray 0374 @UStrSetLength 037e _DV_TIdIMAP4WorkHelper 0383 TIdIMAP4WorkHelper.Create 03c7 TIdIOHandler.ReadString 0415 TextIsSame 0423 _Dn_TIdDecoderMIME 0428 TIdBaseComponent.Create 045a TIdDecoder.DecodeString 0465 @UStrAsg 04a2 _Dn_TIdDecoderQuotedPrintable 0581 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 0F 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 89 4D E8 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E7 00 8B 45 E8 E8 ?? ?? ?? ?? B2 03 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 89 45 D4 80 7D 08 00 0F 84 BD 00 00 00 A1 ?? ?? ?? ?? 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7D 10 00 74 27 8D 55 CC 8B 45 EC E8 ?? ?? ?? ?? 8B 55 CC 8B 4D E0 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 26 E8 ?? ?? ?? ?? E9 C9 04 00 00 8B 4D E0 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 AD 04 00 00 8B 55 D4 8B 45 E0 E8 ?? ?? ?? ?? 8B D8 83 7B 24 00 75 ED 83 7D D4 00 75 09 C7 45 D4 01 00 00 00 EB DE 8D 45 F4 8B 53 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8D 55 C8 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 C8 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D 10 00 74 1B FF 75 F8 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 C4 8B 45 EC E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 80 7D 0C 00 74 1D FF 75 F8 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0E 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D 08 00 75 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 29 FF 75 F8 68 ?? ?? ?? ?? 8D 55 C0 8B 45 D4 40 E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 98 00 00 00 33 C9 8B 55 F8 8B 18 FF 93 A4 00 00 00 6A 01 6A 01 6A 00 8D 45 BC 50 8D 55 B8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 B8 50 A1 ?? ?? ?? ?? 89 45 B0 A1 ?? ?? ?? ?? 89 45 B4 8D 4D B0 8B 45 F0 5A E8 ?? ?? ?? ?? 8B 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 27 03 00 00 8B 45 F0 8B 80 9C 00 00 00 8B 40 18 8B 10 FF 52 14 48 0F 8C C8 00 00 00 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 AC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 AC 89 45 B0 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 A4 8B 45 D4 40 E8 ?? ?? ?? ?? FF 75 A4 68 ?? ?? ?? ?? 8D 45 A8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 A8 89 45 B4 8D 45 B0 50 6A 01 8D 4D A0 8B 45 F0 8B 80 9C 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 8B 55 A0 8B 0D ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 3D 6A 00 B8 ?? ?? ?? ?? 89 45 B0 B8 ?? ?? ?? ?? 89 45 B4 8D 55 B0 8B 45 F0 8B 80 94 01 00 00 8B 40 20 B9 01 00 00 00 E8 ?? ?? ?? ?? 40 75 0F 8B 45 F0 8B 80 94 01 00 00 83 78 18 01 7D 3E 6A 01 6A 00 6A 00 8D 45 9C 50 8D 55 98 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 98 50 A1 ?? ?? ?? ?? 89 45 B0 A1 ?? ?? ?? ?? 89 45 B4 8D 4D B0 8B 45 F0 5A E8 ?? ?? ?? ?? C6 45 E7 00 E9 09 02 00 00 8B 45 F0 8B 80 94 01 00 00 8B 58 18 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 99 52 50 33 D2 8B 45 F0 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 45 F0 8B 80 98 00 00 00 33 C9 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F0 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 33 D2 89 55 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 6E 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC 8B 45 F0 8B 08 FF 91 D8 00 00 00 8D 45 94 50 8B 45 DC 8B 00 33 C9 8B 55 FC E8 ?? ?? ?? ?? 8B 55 94 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 60 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 90 50 8B 45 D8 8B 00 33 C9 8B 55 FC E8 ?? ?? ?? ?? 8B 55 90 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 33 D2 89 55 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 8C 50 8B 45 F0 8B 80 98 00 00 00 33 C9 BA FF FF FF 7F 8B 18 FF 93 C8 00 00 00 6A 01 6A 00 6A 00 8D 45 88 50 8D 55 84 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 84 50 A1 ?? ?? ?? ?? 89 45 B0 A1 ?? ?? ?? ?? 89 45 B4 8D 4D B0 8B 45 F0 5A E8 ?? ?? ?? ?? 8B 45 88 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 45 E7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 84 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 0F B6 45 E7 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2E 00 50 00 45 00 45 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 5B 00 54 00 45 00 58 00 54 00 5D 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 45 00 58 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 49 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 61 00 73 00 65 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 71 00 75 00 6F 00 74 00 65 00 64 00 2D 00 70 00 72 00 69 00 6E 00 74 00 61 00 62 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_35274_0 {
	meta:
		name = "TIdIMAP4.RetrieveStructure"
		size = 35
		refs = "000e TIdIMAP4.IsNumberValid 001b TIdIMAP4.InternalRetrieveStructure"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35299_0 {
	meta:
		name = "TIdIMAP4.UIDRetrieveStructure"
		size = 35
		refs = "000e TIdIMAP4.IsUIDValid 001b TIdIMAP4.UIDInternalRetrieveStructure"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35275_0 {
	meta:
		name = "TIdIMAP4.RetrieveStructure"
		size = 34
		refs = "000e TIdIMAP4.IsNumberValid 001a TIdIMAP4.InternalRetrieveStructure"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 57 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35300_0 {
	meta:
		name = "TIdIMAP4.UIDRetrieveStructure"
		size = 34
		refs = "000e TIdIMAP4.IsUIDValid 001a TIdIMAP4.UIDInternalRetrieveStructure"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 57 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35276_0 {
	meta:
		name = "TIdIMAP4.InternalRetrieveStructure"
		size = 540
		refs = "0021 TIdIMAP4.InternalRetrieveStructure 0034 TIdIMAP4.CheckConnectionState 003e TIdIMAP4.GetNewCmdCounter 004c IMAP4Commands 005b IntToStr 0069 IMAP4FetchDataItem 007b @UStrCatN 00a2 TIdIMAP4.GetCmdCounter 00b9 TIdIMAP4.GetInternalResponse 00c6 @UStrEqual 0113 TIdIMAP4.ParseLastCmdResult 0137 TIdIMAP4.ParseBodyStructureResult 01ab @UStrArrayClr 01be @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 B2 03 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 EC 8B C7 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 33 C9 8B 86 98 00 00 00 8B 18 FF 93 A4 00 00 00 6A 00 6A 01 6A 00 8D 45 E8 50 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 50 A1 ?? ?? ?? ?? 89 45 E0 8D 4D E0 8B C6 5A E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 C5 00 00 00 8B 86 9C 00 00 00 8B 40 18 8B 10 FF 52 14 85 C0 0F 8E AF 00 00 00 A1 ?? ?? ?? ?? 89 45 E0 8D 45 E0 50 6A 00 8D 4D DC 8B 86 9C 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 8B 55 DC 8B 0D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 7A 83 7D FC 00 74 1A 8B 45 FC 8B 40 74 6A 00 8B 96 94 01 00 00 8B 52 20 8B C8 8B C6 E8 ?? ?? ?? ?? 83 7D 08 00 74 16 8B 45 08 50 8B 86 94 01 00 00 8B 50 20 33 C9 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8D 45 D8 50 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 8B 45 D4 50 A1 ?? ?? ?? ?? 89 45 E0 8D 4D E0 8B C6 5A E8 ?? ?? ?? ?? 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35277_0 {
	meta:
		name = "TIdIMAP4.RetrievePart"
		size = 121
		refs = "0013 @UStrAddRef 001b TIdIMAP4.RetrievePart 002a TIdIMAP4.IsNumberValid 004b TIdIMAP4.InternalRetrievePart 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 0C 50 8D 45 FC 50 8D 45 F8 50 6A 00 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_35278_0 {
	meta:
		name = "TIdIMAP4.RetrievePart"
		size = 128
		refs = "0012 @UStrAddRef 001a TIdIMAP4.RetrievePart 0029 TIdIMAP4.IsNumberValid 003f IntToStr 0062 @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_35281_0 {
	meta:
		name = "TIdIMAP4.RetrievePartPeek"
		size = 128
		refs = "0012 @UStrAddRef 001a TIdIMAP4.RetrievePartPeek 0029 TIdIMAP4.IsNumberValid 003f IntToStr 0062 @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_35284_0 {
	meta:
		name = "TIdIMAP4.UIDRetrievePart"
		size = 128
		refs = "0012 @UStrAddRef 001a TIdIMAP4.UIDRetrievePart 0029 TIdIMAP4.IsNumberValid 003f IntToStr 0062 @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_35287_0 {
	meta:
		name = "TIdIMAP4.UIDRetrievePartPeek"
		size = 128
		refs = "0012 @UStrAddRef 001a TIdIMAP4.UIDRetrievePartPeek 0029 TIdIMAP4.IsNumberValid 003f IntToStr 0062 @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_35279_0 {
	meta:
		name = "TIdIMAP4.RetrievePart"
		size = 114
		refs = "0010 @UStrAddRef 0018 TIdIMAP4.RetrievePart 0027 TIdIMAP4.IsNumberValid 0046 TIdIMAP4.InternalRetrievePart 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 45 10 50 8B 45 0C 50 6A 00 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_35280_0 {
	meta:
		name = "TIdIMAP4.RetrievePartPeek"
		size = 121
		refs = "0013 @UStrAddRef 001b TIdIMAP4.RetrievePartPeek 002a TIdIMAP4.IsNumberValid 004b TIdIMAP4.InternalRetrievePart 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 01 8B 45 0C 50 8D 45 FC 50 8D 45 F8 50 6A 00 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_35282_0 {
	meta:
		name = "TIdIMAP4.RetrievePartPeek"
		size = 114
		refs = "0010 @UStrAddRef 0018 TIdIMAP4.RetrievePartPeek 0027 TIdIMAP4.IsNumberValid 0046 TIdIMAP4.InternalRetrievePart 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 01 6A 00 8B 45 10 50 8B 45 0C 50 6A 00 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_35283_0 {
	meta:
		name = "TIdIMAP4.UIDRetrievePart"
		size = 130
		refs = "0013 @UStrAddRef 001b TIdIMAP4.UIDRetrievePart 002a TIdIMAP4.IsUIDValid 0049 IndyStrToInt 0054 TIdIMAP4.InternalRetrievePart 006b @UStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 01 6A 00 8B 45 0C 8B 00 50 8D 45 FC 50 8D 45 F8 50 6A 00 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_35285_0 {
	meta:
		name = "TIdIMAP4.UIDRetrievePart"
		size = 121
		refs = "0010 @UStrAddRef 0018 TIdIMAP4.UIDRetrievePart 0027 TIdIMAP4.IsUIDValid 0042 IndyStrToInt 004d TIdIMAP4.InternalRetrievePart 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 01 6A 00 6A 00 8B 45 10 50 8B 45 0C 50 6A 00 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_35286_0 {
	meta:
		name = "TIdIMAP4.UIDRetrievePartPeek"
		size = 130
		refs = "0013 @UStrAddRef 001b TIdIMAP4.UIDRetrievePartPeek 002a TIdIMAP4.IsUIDValid 0049 IndyStrToInt 0054 TIdIMAP4.InternalRetrievePart 006b @UStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 01 6A 01 8B 45 0C 8B 00 50 8D 45 FC 50 8D 45 F8 50 6A 00 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_35288_0 {
	meta:
		name = "TIdIMAP4.UIDRetrievePartPeek"
		size = 121
		refs = "0010 @UStrAddRef 0018 TIdIMAP4.UIDRetrievePartPeek 0027 TIdIMAP4.IsUIDValid 0042 IndyStrToInt 004d TIdIMAP4.InternalRetrievePart 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 01 6A 01 6A 00 8B 45 10 50 8B 45 0C 50 6A 00 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_35289_0 {
	meta:
		name = "TIdIMAP4.RetrievePartToFile"
		size = 141
		refs = "0012 @UStrAddRef 0022 TIdIMAP4.RetrievePartToFile 0031 TIdIMAP4.IsNumberValid 0047 IntToStr 006a @UStrClr 0077 @UStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_35291_0 {
	meta:
		name = "TIdIMAP4.RetrievePartToFilePeek"
		size = 141
		refs = "0012 @UStrAddRef 0022 TIdIMAP4.RetrievePartToFilePeek 0031 TIdIMAP4.IsNumberValid 0047 IntToStr 006a @UStrClr 0077 @UStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_35293_0 {
	meta:
		name = "TIdIMAP4.UIDRetrievePartToFile"
		size = 141
		refs = "0012 @UStrAddRef 0022 TIdIMAP4.UIDRetrievePartToFile 0031 TIdIMAP4.IsNumberValid 0047 IntToStr 006a @UStrClr 0077 @UStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_35295_0 {
	meta:
		name = "TIdIMAP4.UIDRetrievePartToFilePeek"
		size = 141
		refs = "0012 @UStrAddRef 0022 TIdIMAP4.UIDRetrievePartToFilePeek 0031 TIdIMAP4.IsNumberValid 0047 IntToStr 006a @UStrClr 0077 @UStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_35290_0 {
	meta:
		name = "TIdIMAP4.RetrievePartToFile"
		size = 151
		refs = "0011 @UStrAddRef 0021 TIdIMAP4.RetrievePartToFile 0030 TIdIMAP4.IsNumberValid 0065 TIdIMAP4.InternalRetrievePart 0081 @UStrArrayClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 75 04 33 DB EB 23 6A 00 6A 00 6A 00 8D 45 FC 50 8D 45 10 50 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_35292_0 {
	meta:
		name = "TIdIMAP4.RetrievePartToFilePeek"
		size = 151
		refs = "0011 @UStrAddRef 0021 TIdIMAP4.RetrievePartToFilePeek 0030 TIdIMAP4.IsNumberValid 0065 TIdIMAP4.InternalRetrievePart 0081 @UStrArrayClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 75 04 33 DB EB 23 6A 00 6A 01 6A 00 8D 45 FC 50 8D 45 10 50 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_35294_0 {
	meta:
		name = "TIdIMAP4.UIDRetrievePartToFile"
		size = 158
		refs = "0011 @UStrAddRef 0021 TIdIMAP4.UIDRetrievePartToFile 0030 TIdIMAP4.IsUIDValid 0061 IndyStrToInt 006c TIdIMAP4.InternalRetrievePart 0088 @UStrArrayClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 75 04 33 DB EB 2A 6A 01 6A 00 6A 00 8D 45 FC 50 8D 45 10 50 8B 45 0C 50 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_35296_0 {
	meta:
		name = "TIdIMAP4.UIDRetrievePartToFilePeek"
		size = 158
		refs = "0011 @UStrAddRef 0021 TIdIMAP4.UIDRetrievePartToFilePeek 0030 TIdIMAP4.IsUIDValid 0061 IndyStrToInt 006c TIdIMAP4.InternalRetrievePart 0088 @UStrArrayClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 75 04 33 DB EB 2A 6A 01 6A 01 6A 00 8D 45 FC 50 8D 45 10 50 8B 45 0C 50 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_35297_0 {
	meta:
		name = "DoDecode"
		size = 631
		refs = "001b DoDecode 002e _Dn_TMemoryStream 0033 TObject.Create 0063 TIdBaseComponent.Create 0096 _Dn_TStringStream 009b TStringStream.Create 0104 TIdIMAP4.StripCRLFs 010f TStringStream.GetDataString 011a TIdDecoder.Decode 0134 TObject.Free 013a @HandleFinally 01ff @GetMem 0223 Move 0265 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 5D E8 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 EB 06 8B 45 FC 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 F6 0F 84 5F 01 00 00 8B 45 08 8B 48 FC B2 01 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F4 8B 45 F8 8B 08 FF 51 44 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 10 8B 00 99 52 50 8B 45 08 8B 40 FC 8B 80 98 00 00 00 33 C9 8B 55 EC 8B 30 FF 96 CC 00 00 00 84 DB 74 68 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 FC 8B 4D F0 8B 55 EC E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8D 55 E4 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 48 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 08 8B 40 10 8B 00 99 52 50 8B 45 08 8B 50 18 8B 45 08 8B 40 FC 8B 80 98 00 00 00 33 C9 8B 18 FF 93 CC 00 00 00 83 7D FC 00 75 43 8B 45 08 8B 40 18 8B 10 FF 12 8B 55 08 8B 52 10 89 02 8B 45 08 8B 40 10 8B 00 E8 ?? ?? ?? ?? 8B 55 08 8B 52 14 89 02 8B 45 08 8B 48 10 8B 09 8B 45 08 8B 50 14 8B 45 08 8B 40 F8 83 C0 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 75 0D 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35298_0 {
	meta:
		name = "TIdIMAP4.InternalRetrievePart"
		size = 1348
		refs = "0021 @UStrAddRef 0031 TIdIMAP4.InternalRetrievePart 0041 TIdIMAP4.IsImapPartNumberValid 005d TIdIMAP4.CheckConnectionState 0068 TIdIMAP4.GetNewCmdCounter 0078 @UStrCat3 0087 IMAP4Commands 0099 @UStrCatN 00b1 IntToStr 00d5 IMAP4FetchDataItem 00f7 @UStrCat 013d TIdIMAP4.GetCmdCounter 015d TIdIMAP4.GetInternalResponse 016a @UStrEqual 01b1 TIdIMAP4.ParseLastCmdResult 01e0 PosInStrArray 027b _Dn_TIdFileCreateStream 0280 TIdFileCreateStream.Create 02a7 _DV_TIdIMAP4WorkHelper 02ac TIdIMAP4WorkHelper.Create 02ca TextIsSame 02d7 _Dn_TIdDecoderMIME 02df DoDecode 02fc _Dn_TIdDecoderQuotedPrintable 0321 _Dn_TIdDecoderBinHex4 0354 TObject.Free 035a @HandleFinally 0402 @UStrArrayClr 0417 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B D9 8B F2 89 45 FC 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? C6 45 F3 00 8B 45 14 33 D2 89 10 8B 45 10 33 D2 89 10 B2 03 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D 20 00 74 1B FF 75 F4 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F4 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E0 8B C6 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? 80 7D 1C 00 74 1D FF 75 F4 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0E 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 33 C9 8B 55 F4 8B 18 FF 93 A4 00 00 00 6A 01 6A 01 6A 00 8D 45 DC 50 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 50 A1 ?? ?? ?? ?? 89 45 D0 A1 ?? ?? ?? ?? 89 45 D4 8D 4D D0 8B 45 FC 5A E8 ?? ?? ?? ?? 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 78 02 00 00 8B 45 FC 8B 80 9C 00 00 00 8B 40 18 8B 10 FF 52 14 48 7C 6E 8D 45 D0 50 6A FF 8D 4D CC 8B 45 FC 8B 80 9C 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 8B 55 CC 8B 0D ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3D 6A 00 B8 ?? ?? ?? ?? 89 45 D0 B8 ?? ?? ?? ?? 89 45 D4 8D 55 D0 8B 45 FC 8B 80 94 01 00 00 8B 40 20 B9 01 00 00 00 E8 ?? ?? ?? ?? 40 75 0F 8B 45 FC 8B 80 94 01 00 00 83 78 18 01 7D 3E 6A 01 6A 00 6A 00 8D 45 C8 50 8D 55 C4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C4 50 A1 ?? ?? ?? ?? 89 45 D0 A1 ?? ?? ?? ?? 89 45 D4 8D 4D D0 8B 45 FC 5A E8 ?? ?? ?? ?? C6 45 F3 00 E9 B8 01 00 00 8B 45 FC 8B 80 94 01 00 00 8B 40 18 8B 55 10 89 02 C6 45 F2 00 8B 45 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 75 09 83 7D 18 00 0F 94 C0 EB 02 33 C0 84 C0 74 07 33 C0 89 45 EC EB 24 83 7D 18 00 75 18 8B 4D 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC C6 45 F2 01 EB 06 8B 45 18 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 84 C0 74 14 55 B1 01 8B 15 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 59 EB 58 BA ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 84 C0 74 14 55 33 C9 8B 15 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 59 EB 33 BA ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 84 C0 74 14 55 33 C9 8B 15 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 59 EB 0E 55 33 C9 33 D2 8B 45 EC E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F2 00 74 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8D 45 C0 50 8B 45 FC 8B 80 98 00 00 00 33 C9 BA FF FF FF 7F 8B 18 FF 93 C8 00 00 00 6A 01 6A 00 6A 00 8D 45 BC 50 8D 55 B8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B8 50 A1 ?? ?? ?? ?? 89 45 D0 A1 ?? ?? ?? ?? 89 45 D4 8D 4D D0 8B 45 FC 5A E8 ?? ?? ?? ?? 8B 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 45 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 0F B6 45 F3 5E 5B 8B E5 5D C2 1C 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2E 00 50 00 45 00 45 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5D 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 49 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 61 00 73 00 65 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 71 00 75 00 6F 00 74 00 65 00 64 00 2D 00 70 00 72 00 69 00 6E 00 74 00 61 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 62 00 69 00 6E 00 68 00 65 00 78 00 34 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_35301_0 {
	meta:
		name = "TIdIMAP4.UIDInternalRetrieveStructure"
		size = 560
		refs = "0022 TIdIMAP4.UIDInternalRetrieveStructure 0035 TIdIMAP4.CheckConnectionState 003f TIdIMAP4.GetNewCmdCounter 004d IMAP4Commands 0069 IMAP4FetchDataItem 007b @UStrCatN 00a2 TIdIMAP4.GetCmdCounter 00c1 TIdIMAP4.GetInternalResponse 00ce @UStrEqual 011b TIdIMAP4.ParseLastCmdResult 0143 TIdIMAP4.ParseBodyStructureResult 01bf @UStrArrayClr 01d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 B2 03 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 33 C9 8B 86 98 00 00 00 8B 18 FF 93 A4 00 00 00 6A 01 6A 01 6A 01 8D 45 EC 50 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 50 A1 ?? ?? ?? ?? 89 45 E0 A1 ?? ?? ?? ?? 89 45 E4 8D 4D E0 8B C6 5A E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 D1 00 00 00 8B 86 9C 00 00 00 8B 40 18 8B 10 FF 52 14 85 C0 0F 8E BB 00 00 00 A1 ?? ?? ?? ?? 89 45 DC 8D 45 DC 50 6A 00 8D 4D D8 8B 86 9C 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 8B 55 D8 8B 0D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 82 00 00 00 83 7D FC 00 74 1A 8B 45 FC 8B 40 74 6A 00 8B 96 94 01 00 00 8B 52 20 8B C8 8B C6 E8 ?? ?? ?? ?? 83 7D 08 00 74 16 8B 45 08 50 8B 86 94 01 00 00 8B 50 20 33 C9 8B C6 E8 ?? ?? ?? ?? 6A 01 6A 00 6A 00 8D 45 D4 50 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 8B 45 D0 50 A1 ?? ?? ?? ?? 89 45 E0 A1 ?? ?? ?? ?? 89 45 E4 8D 4D E0 8B C6 5A E8 ?? ?? ?? ?? 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35302_0 {
	meta:
		name = "TIdIMAP4.RetrieveHeader"
		size = 704
		refs = "0021 TIdIMAP4.RetrieveHeader 0035 TIdIMAP4.IsNumberValid 003f TIdIMAP4.CheckConnectionState 004a TIdIMAP4.GetNewCmdCounter 0058 IMAP4Commands 0067 IntToStr 0075 IMAP4FetchDataItem 0087 @UStrCatN 00b2 TIdIMAP4.GetCmdCounter 00ca TIdIMAP4.GetInternalResponse 00d7 @UStrEqual 012b TIdIMAP4.ParseLastCmdResult 018d TIdIOHandler.ReadString 01aa @HandleFinally 01ca TIdMessage.ProcessHeaders 01f1 TIdIMAP4.ParseLastCmdResultButAppendInfo 024b @UStrArrayClr 0260 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F4 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8B D6 8B 45 F8 E8 ?? ?? ?? ?? B2 03 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 8B C6 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 EC BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 6A 00 6A 01 6A 00 8D 45 E0 50 8D 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 DC 50 A1 ?? ?? ?? ?? 89 45 D8 8D 4D D8 8B 45 F8 5A E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 54 01 00 00 8B 45 F8 8B 80 9C 00 00 00 8B 40 18 8B 10 FF 52 14 85 C0 0F 8E 3B 01 00 00 A1 ?? ?? ?? ?? 89 45 D8 8D 45 D8 50 6A 00 8D 4D D4 8B 45 F8 8B 80 9C 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 8B 55 D4 8B 0D ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 FE 00 00 00 8B 45 F8 8B 80 94 01 00 00 83 78 18 00 0F 8E EB 00 00 00 8B 45 F8 8B 80 94 01 00 00 8B 40 18 99 52 50 33 D2 8B 45 F8 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 45 F8 8B 80 94 01 00 00 8B 50 18 8B 45 F8 8B 80 98 00 00 00 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 8B 45 F4 8B 10 FF 52 48 8B 45 F4 8B 40 70 8B 55 FC 8B 08 FF 51 2C 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 45 F8 8B 80 98 00 00 00 33 C9 BA FF FF FF 7F 8B 18 FF 93 C8 00 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8D 45 D0 50 8D 55 CC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 CC 50 A1 ?? ?? ?? ?? 89 45 D8 8D 4D D8 8B 45 F8 5A E8 ?? ?? ?? ?? 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 45 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 0F B6 45 F3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35303_0 {
	meta:
		name = "TIdIMAP4.UIDRetrieveHeader"
		size = 720
		refs = "0022 TIdIMAP4.UIDRetrieveHeader 0036 TIdIMAP4.IsUIDValid 0040 TIdIMAP4.CheckConnectionState 004b TIdIMAP4.GetNewCmdCounter 0059 IMAP4Commands 0075 IMAP4FetchDataItem 0087 @UStrCatN 00b2 TIdIMAP4.GetCmdCounter 00d2 TIdIMAP4.GetInternalResponse 00df @UStrEqual 0133 TIdIMAP4.ParseLastCmdResult 0195 TIdIOHandler.ReadString 01b2 @HandleFinally 01d2 TIdMessage.ProcessHeaders 01f9 TIdIMAP4.ParseLastCmdResultButAppendInfo 025b @UStrArrayClr 0270 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D F4 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8B D6 8B 45 F8 E8 ?? ?? ?? ?? B2 03 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 EC BA 0A 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 6A 01 6A 01 6A 00 8D 45 E4 50 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E0 50 A1 ?? ?? ?? ?? 89 45 D8 A1 ?? ?? ?? ?? 89 45 DC 8D 4D D8 8B 45 F8 5A E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 5C 01 00 00 8B 45 F8 8B 80 9C 00 00 00 8B 40 18 8B 10 FF 52 14 85 C0 0F 8E 43 01 00 00 A1 ?? ?? ?? ?? 89 45 D4 8D 45 D4 50 6A 00 8D 4D D0 8B 45 F8 8B 80 9C 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 8B 55 D0 8B 0D ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 06 01 00 00 8B 45 F8 8B 80 94 01 00 00 83 78 18 00 0F 8E F3 00 00 00 8B 45 F8 8B 80 94 01 00 00 8B 40 18 99 52 50 33 D2 8B 45 F8 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 45 F8 8B 80 94 01 00 00 8B 50 18 8B 45 F8 8B 80 98 00 00 00 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 8B 45 F4 8B 10 FF 52 48 8B 45 F4 8B 40 70 8B 55 FC 8B 08 FF 51 2C 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 45 F8 8B 80 98 00 00 00 33 C9 BA FF FF FF 7F 8B 18 FF 93 C8 00 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 6A 01 6A 00 6A 00 8D 45 CC 50 8D 55 C8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 C8 50 A1 ?? ?? ?? ?? 89 45 D8 A1 ?? ?? ?? ?? 89 45 DC 8D 4D D8 8B 45 F8 5A E8 ?? ?? ?? ?? 8B 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 45 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 0F B6 45 F3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35304_0 {
	meta:
		name = "TIdIMAP4.RetrievePartHeader"
		size = 45
		refs = "0011 TIdIMAP4.IsNumberValid 0022 TIdIMAP4.InternalRetrievePartHeader"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_35305_0 {
	meta:
		name = "TIdIMAP4.UIDRetrievePartHeader"
		size = 52
		refs = "0011 TIdIMAP4.IsUIDValid 001e IndyStrToInt 0029 TIdIMAP4.InternalRetrievePartHeader"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 01 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_35306_0 {
	meta:
		name = "TIdIMAP4.InternalRetrievePartHeader"
		size = 872
		refs = "0021 TIdIMAP4.InternalRetrievePartHeader 0035 TIdIMAP4.CheckConnectionState 0040 TIdIMAP4.GetNewCmdCounter 0050 @UStrCat3 005f IMAP4Commands 0071 @UStrCatN 0089 IntToStr 0097 IMAP4FetchDataItem 00ea TIdIMAP4.GetCmdCounter 010a TIdIMAP4.GetInternalResponse 0117 @UStrEqual 0163 TIdIMAP4.ParseLastCmdResult 0196 PosInStrArray 01f3 TIdIOHandler.ReadString 021b @HandleFinally 029b @UStrArrayClr 02b0 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 B2 03 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D 0C 00 74 1B FF 75 FC FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 FC FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 98 00 00 00 33 C9 8B 55 FC 8B 18 FF 93 A4 00 00 00 6A 01 6A 01 6A 00 8D 45 E8 50 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 50 A1 ?? ?? ?? ?? 89 45 DC A1 ?? ?? ?? ?? 89 45 E0 8D 4D DC 8B 45 F8 5A E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 64 01 00 00 8B 45 F8 8B 80 9C 00 00 00 8B 40 18 8B 10 FF 52 14 85 C0 0F 8E E7 00 00 00 8D 45 DC 50 6A FF 8D 4D D8 8B 45 F8 8B 80 9C 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 8B 55 D8 8B 0D ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 B2 00 00 00 6A 00 B8 ?? ?? ?? ?? 89 45 DC B8 ?? ?? ?? ?? 89 45 E0 8D 55 DC 8B 45 F8 8B 80 94 01 00 00 8B 40 20 B9 01 00 00 00 E8 ?? ?? ?? ?? 40 0F 85 80 00 00 00 8B 45 F8 8B 80 94 01 00 00 83 78 18 00 7E 71 8B 45 F8 8B 80 94 01 00 00 8B 40 18 99 52 50 33 D2 8B 45 F8 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D4 50 8B 45 F8 8B 80 94 01 00 00 8B 50 18 8B 45 F8 8B 80 98 00 00 00 33 C9 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 08 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 8D 45 D0 50 8B 45 F8 8B 80 98 00 00 00 33 C9 BA FF FF FF 7F 8B 18 FF 93 C8 00 00 00 6A 01 6A 00 6A 00 8D 45 CC 50 8D 55 C8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 C8 50 A1 ?? ?? ?? ?? 89 45 DC A1 ?? ?? ?? ?? 89 45 E0 8D 4D DC 8B 45 F8 5A E8 ?? ?? ?? ?? 8B 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 0F B6 45 F7 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 49 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_35307_0 {
	meta:
		name = "TIdIMAP4.ReceiveHeader"
		size = 164
		refs = "0021 TIdIOHandler.ReadLn 0037 TIdIMAP4.ReceiveHeader 003c @UStrEqual 007d TStrings.Append 0087 TIdMessage.ProcessHeaders"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 89 55 F8 89 45 FC 8B 5D 08 8B CB 8B 45 FC 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 75 11 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 84 C0 74 04 B0 01 EB 0C 8B 03 8B D6 E8 ?? ?? ?? ?? 0F 94 C0 84 C0 75 24 8B 03 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 74 9F 8B 13 8B 45 F8 8B 40 70 E8 ?? ?? ?? ?? EB 90 8B 45 F8 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_35308_0 {
	meta:
		name = "TIdIMAP4.Retrieve"
		size = 36
		refs = "000e TIdIMAP4.IsNumberValid 001c TIdIMAP4.InternalRetrieve"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 57 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66003_0 {
	meta:
		name = "TDirectory.GetFileSystemEntries"
		size = 36
		refs = "000e TDirectory.CheckGetFileSystemEntriesParameters 001c TDirectory.DoGetFileSystemEntries"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 57 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35309_0 {
	meta:
		name = "TIdIMAP4.RetrieveNoDecodeToFile"
		size = 212
		refs = "0013 @UStrAddRef 001b TIdIMAP4.RetrieveNoDecodeToFile 002e TIdIMAP4.IsNumberValid 0037 _Dn_TIdMessage 003c TIdBaseComponent.Create 0072 TIdIMAP4.InternalRetrieve 0083 TIdMessage.SaveToFile 00a1 TObject.Free 00a7 @HandleFinally 00be @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 C6 80 85 00 00 00 01 8B 45 F4 C6 80 84 00 00 00 01 6A 00 8B 45 F4 50 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 33 C9 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35310_0 {
	meta:
		name = "TIdIMAP4.RetrieveNoDecodeToStream"
		size = 161
		refs = "0018 TIdIMAP4.IsNumberValid 0021 _Dn_TIdMessage 0026 TIdBaseComponent.Create 0031 TIdIMAP4.RetrieveNoDecodeToStream 005c TIdIMAP4.InternalRetrieve 006c TIdMessage.SaveToStream 008a TObject.Free 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 C6 45 FF 00 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 C6 80 85 00 00 00 01 8B 45 F8 C6 80 84 00 00 00 01 6A 00 8B 45 F8 50 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 33 C9 8B D7 8B 45 F8 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35311_0 {
	meta:
		name = "TIdIMAP4.RetrievePeek"
		size = 36
		refs = "000e TIdIMAP4.IsNumberValid 001c TIdIMAP4.InternalRetrieve"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 01 57 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35312_0 {
	meta:
		name = "TIdIMAP4.UIDRetrieve"
		size = 43
		refs = "000e TIdIMAP4.IsUIDValid 0018 IndyStrToInt 0023 TIdIMAP4.InternalRetrieve"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 57 8B C6 E8 ?? ?? ?? ?? 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35313_0 {
	meta:
		name = "TIdIMAP4.UIDRetrieveNoDecodeToFile"
		size = 219
		refs = "0013 @UStrAddRef 001b TIdIMAP4.UIDRetrieveNoDecodeToFile 002e TIdIMAP4.IsUIDValid 0037 _Dn_TIdMessage 003c TIdBaseComponent.Create 006e IndyStrToInt 0079 TIdIMAP4.InternalRetrieve 008a TIdMessage.SaveToFile 00a8 TObject.Free 00ae @HandleFinally 00c5 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 C6 80 85 00 00 00 01 8B 45 F4 C6 80 84 00 00 00 01 6A 00 8B 45 F4 50 8B C6 E8 ?? ?? ?? ?? 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 33 C9 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35314_0 {
	meta:
		name = "TIdIMAP4.UIDRetrieveNoDecodeToStream"
		size = 168
		refs = "0018 TIdIMAP4.IsUIDValid 0021 _Dn_TIdMessage 0026 TIdBaseComponent.Create 0031 TIdIMAP4.UIDRetrieveNoDecodeToStream 0058 IndyStrToInt 0063 TIdIMAP4.InternalRetrieve 0073 TIdMessage.SaveToStream 0091 TObject.Free 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 C6 45 FF 00 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 C6 80 85 00 00 00 01 8B 45 F8 C6 80 84 00 00 00 01 6A 00 8B 45 F8 50 8B C6 E8 ?? ?? ?? ?? 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 33 C9 8B D7 8B 45 F8 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35315_0 {
	meta:
		name = "TIdIMAP4.UIDRetrievePeek"
		size = 43
		refs = "000e TIdIMAP4.IsUIDValid 0018 IndyStrToInt 0023 TIdIMAP4.InternalRetrieve"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 01 57 8B C6 E8 ?? ?? ?? ?? 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35316_0 {
	meta:
		name = "TIdIMAP4.InternalRetrieve"
		size = 896
		refs = "0020 TIdIMAP4.InternalRetrieve 0034 TIdIMAP4.CheckConnectionState 003f TIdIMAP4.GetNewCmdCounter 004f @UStrCat3 005c IMAP4Commands 006e @UStrCatN 0086 IntToStr 00aa IMAP4FetchDataItem 00af @UStrCat 00f7 TIdIMAP4.GetCmdCounter 0117 TIdIMAP4.GetInternalResponse 0124 @UStrEqual 016f TIdIMAP4.ParseLastCmdResult 0199 _Dn_TMemoryStream 019e TObject.Create 01b9 _DV_TIdIMAP4WorkHelper 01be TIdIMAP4WorkHelper.Create 020e TObject.Free 0214 @HandleFinally 0222 TStream.SetPosition 022f TIdMessage.LoadFromStream 0278 TIdIMAP4.ParseLastCmdResultButAppendInfo 02d5 @UStrAsg 0306 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B D9 8B F2 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 B2 03 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 1B FF 75 F8 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E0 8B C6 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 80 7D 0C 00 74 10 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 80 98 00 00 00 33 C9 8B 55 F8 8B 18 FF 93 A4 00 00 00 6A 01 6A 01 6A 00 8D 45 DC 50 8D 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D8 50 A1 ?? ?? ?? ?? 89 45 D0 A1 ?? ?? ?? ?? 89 45 D4 8D 4D D0 8B 45 F4 5A E8 ?? ?? ?? ?? 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 C2 01 00 00 8B 45 F4 8B 80 9C 00 00 00 8B 40 18 8B 10 FF 52 14 48 0F 8C AA 01 00 00 8D 45 D0 50 6A FF 8D 4D CC 8B 45 F4 8B 80 9C 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 8B 55 CC 8B 0D ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 75 01 00 00 8B 45 08 8B 10 FF 52 48 8B 45 F4 8B 80 94 01 00 00 83 78 18 00 0F 8E BF 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 80 94 01 00 00 8B 40 18 99 52 50 8B 45 F4 8B 80 98 00 00 00 33 C9 8B 55 EC 8B 18 FF 93 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? 33 C9 8B 55 EC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8D 45 FC 50 8B 45 F4 8B 80 98 00 00 00 33 C9 BA FF FF FF 7F 8B 18 FF 93 C8 00 00 00 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 6A 01 6A 00 6A 00 8D 45 C8 50 8D 55 C4 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 C4 50 A1 ?? ?? ?? ?? 89 45 D0 A1 ?? ?? ?? ?? 89 45 D4 8D 4D D0 8B 45 F4 5A E8 ?? ?? ?? ?? 8B 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 30 8B 45 08 05 B4 00 00 00 8B 55 F4 8B 92 94 01 00 00 8B 52 10 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 94 01 00 00 0F B6 40 14 8B 55 08 88 42 69 C6 45 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 0F B6 45 F3 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35317_0 {
	meta:
		name = "TIdIMAP4.RetrieveAllHeaders"
		size = 9
		refs = "0004 TIdIMAP4.InternalRetrieveHeaders"
	strings:
		$1 = { 83 C9 FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35320_0 {
	meta:
		name = "TIdIMAP4.RetrieveAllMsgs"
		size = 9
		refs = "0004 TIdIMAP4.InternalRetrieveMsgs"
	strings:
		$1 = { 83 C9 FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_115176_0 {
	meta:
		name = "TXMLElementDefs.InternalAdd"
		size = 9
		refs = "0004 TXMLNodeCollection.InsertInCollection"
	strings:
		$1 = { 83 C9 FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35319_0 {
	meta:
		name = "TIdIMAP4.InternalRetrieveHeaders"
		size = 114
		refs = "0013 TIdIMAP4.CheckConnectionState 0047 TIdMessageCollection.Add 0055 TIdIMAP4.RetrieveHeader"
		altNames = "TIdIMAP4.InternalRetrieveMsgs"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D9 89 14 24 8B F0 B2 03 8B C6 E8 ?? ?? ?? ?? C6 44 24 04 00 83 3C 24 00 74 44 85 DB 7C 0B 8B 86 48 01 00 00 3B 58 54 7E 09 8B 86 48 01 00 00 8B 58 54 85 DB 7E 23 BD 01 00 00 00 8B 04 24 E8 ?? ?? ?? ?? 8B F8 8B 4F 14 8B D5 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 45 4B 75 E2 C6 44 24 04 01 0F B6 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35323_0 {
	meta:
		name = "TIdIMAP4.DeleteMsgs"
		size = 24
		refs = "0006 TIdIMAP4.DeleteMsgs 000c TIdIMAP4.StoreFlags"
	strings:
		$1 = { 53 6A 02 0F B6 1D ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5B C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_35325_0 {
	meta:
		name = "TIdIMAP4.UIDDeleteMsgs"
		size = 24
		refs = "0006 TIdIMAP4.UIDDeleteMsgs 000c TIdIMAP4.UIDStoreFlags"
	strings:
		$1 = { 53 6A 02 0F B6 1D ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5B C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_35324_0 {
	meta:
		name = "TIdIMAP4.UIDDeleteMsg"
		size = 44
		refs = "000b TIdIMAP4.IsUIDValid 0012 TIdIMAP4.UIDDeleteMsg 001e TIdIMAP4.UIDStoreFlags"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_35326_0 {
	meta:
		name = "TIdIMAP4.RetrieveMailBoxSize"
		size = 400
		refs = "0015 TIdIMAP4.RetrieveMailBoxSize 0024 TIdIMAP4.CheckConnectionState 0030 IMAP4Commands 0047 TIdIMAP4.GetNewCmdCounter 0061 IMAP4FetchDataItem 0073 @UStrCatN 007e TIdIMAP4.SendCmd 0091 @UStrEqual 00e0 TIdIMAP4.ParseLastCmdResult 00f2 IndyStrToInt 0120 @UStrArrayClr 0128 @UStrClr 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 03 8B C3 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF A1 ?? ?? ?? ?? 89 45 F0 8D 45 F0 50 6A 00 8D 45 F4 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 8B C3 5A E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 73 33 C0 89 45 FC 8B 83 48 01 00 00 8B 70 54 4E 85 F6 7C 60 46 C7 45 F8 00 00 00 00 A1 ?? ?? ?? ?? 89 45 F0 8D 45 F0 50 6A 00 8D 4D E4 8B 83 9C 00 00 00 8B 40 18 8B 55 F8 8B 38 FF 57 0C 8B 55 E4 8B 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 8B 83 94 01 00 00 8B 40 20 E8 ?? ?? ?? ?? 01 45 FC EB 09 C7 45 FC FF FF FF FF EB 06 FF 45 F8 4E 75 A8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 FC 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 31 00 3A 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35327_0 {
	meta:
		name = "TIdIMAP4.UIDRetrieveMailBoxSize"
		size = 452
		refs = "001d TIdIMAP4.UIDRetrieveMailBoxSize 002c TIdIMAP4.CheckConnectionState 0038 IMAP4Commands 0057 TIdIMAP4.GetNewCmdCounter 007c IMAP4FetchDataItem 008e @UStrCatN 0099 TIdIMAP4.SendCmd 00ac @UStrEqual 00fb TIdIMAP4.ParseLastCmdResult 010d IndyStrToInt 0136 @UStrClr 0143 @UStrArrayClr 0151 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 D2 89 55 DC 89 55 F4 89 55 E8 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 03 8B C3 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF A1 ?? ?? ?? ?? 89 45 EC A1 ?? ?? ?? ?? 89 45 F0 8D 45 EC 50 6A 01 8D 45 F4 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 8B C3 5A E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 73 33 C0 89 45 FC 8B 83 48 01 00 00 8B 70 54 4E 85 F6 7C 60 46 C7 45 F8 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E0 8D 45 E0 50 6A 00 8D 4D DC 8B 83 9C 00 00 00 8B 40 18 8B 55 F8 8B 38 FF 57 0C 8B 55 DC 8B 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 8B 83 94 01 00 00 8B 40 20 E8 ?? ?? ?? ?? 01 45 FC EB 09 C7 45 FC FF FF FF FF EB 06 FF 45 F8 4E 75 A8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B 45 FC 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 31 00 3A 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35328_0 {
	meta:
		name = "TIdIMAP4.RetrieveMsgSize"
		size = 388
		refs = "0016 TIdIMAP4.RetrieveMsgSize 002c TIdIMAP4.IsNumberValid 0035 TIdIMAP4.CheckConnectionState 003a IMAP4Commands 005c IntToStr 006a IMAP4FetchDataItem 007c @UStrCatN 008a TIdIMAP4.GetNewCmdCounter 0095 TIdIMAP4.SendCmd 00a8 @UStrEqual 00ed TIdIMAP4.ParseLastCmdResult 00ff IndyStrToInt 011c @UStrArrayClr 0124 @UStrClr 012a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC FF FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? B2 03 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 F4 8D 45 F4 50 6A 00 8D 45 F8 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 59 E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 58 8B 83 9C 00 00 00 8B 40 18 8B 10 FF 52 14 85 C0 7E 46 A1 ?? ?? ?? ?? 89 45 F4 8D 45 F4 50 6A 00 8D 4D E4 8B 83 9C 00 00 00 8B 40 18 33 D2 8B 30 FF 56 0C 8B 55 E4 8B 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B 83 94 01 00 00 8B 40 20 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 FC 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35329_0 {
	meta:
		name = "TIdIMAP4.UIDRetrieveMsgSize"
		size = 408
		refs = "001e TIdIMAP4.UIDRetrieveMsgSize 002d TIdIMAP4.IsUIDValid 003d TIdIMAP4.CheckConnectionState 0042 IMAP4Commands 0061 TIdIMAP4.GetNewCmdCounter 0087 IMAP4FetchDataItem 0099 @UStrCatN 00a4 TIdIMAP4.SendCmd 00b7 @UStrEqual 00fc TIdIMAP4.ParseLastCmdResult 010e IndyStrToInt 0126 @UStrClr 0133 @UStrArrayClr 0141 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E0 89 4D F8 89 4D EC 89 4D E8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF B2 03 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 F0 A1 ?? ?? ?? ?? 89 45 F4 8D 45 F0 50 6A 01 8D 45 F8 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 8B C3 5A E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 58 8B 83 9C 00 00 00 8B 40 18 8B 10 FF 52 14 85 C0 7E 46 A1 ?? ?? ?? ?? 89 45 E4 8D 45 E4 50 6A 00 8D 4D E0 8B 83 9C 00 00 00 8B 40 18 33 D2 8B 30 FF 56 0C 8B 55 E0 8B 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B 83 94 01 00 00 8B 40 20 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B 45 FC 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35330_0 {
	meta:
		name = "TIdIMAP4.CheckMsgSeen"
		size = 384
		refs = "0016 TIdIMAP4.CheckMsgSeen 0025 TIdIMAP4.IsNumberValid 0032 TIdIMAP4.CheckConnectionState 0037 IMAP4Commands 0059 IntToStr 0067 IMAP4FetchDataItem 0079 @UStrCatN 0087 TIdIMAP4.GetNewCmdCounter 0092 TIdIMAP4.SendCmd 00a5 @UStrEqual 00ea TIdIMAP4.ParseLastCmdResult 011a @UStrArrayClr 0122 @UStrClr 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? C6 45 FF 00 B2 03 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 F4 8D 45 F4 50 6A 00 8D 45 F8 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 59 E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 59 8B 83 9C 00 00 00 8B 40 18 8B 10 FF 52 14 85 C0 7E 47 A1 ?? ?? ?? ?? 89 45 F4 8D 45 F4 50 6A 00 8D 4D E4 8B 83 9C 00 00 00 8B 40 18 33 D2 8B 30 FF 56 0C 8B 55 E4 8B 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 83 94 01 00 00 0F B6 40 14 A8 10 74 04 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FF 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35331_0 {
	meta:
		name = "TIdIMAP4.UIDCheckMsgSeen"
		size = 408
		refs = "001e TIdIMAP4.UIDCheckMsgSeen 002d TIdIMAP4.IsUIDValid 003a TIdIMAP4.CheckConnectionState 003f IMAP4Commands 005e TIdIMAP4.GetNewCmdCounter 0084 IMAP4FetchDataItem 0096 @UStrCatN 00a1 TIdIMAP4.SendCmd 00b4 @UStrEqual 00f9 TIdIMAP4.ParseLastCmdResult 0124 @UStrClr 0131 @UStrArrayClr 013f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E0 89 4D F8 89 4D EC 89 4D E8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? C6 45 FF 00 B2 03 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 F0 A1 ?? ?? ?? ?? 89 45 F4 8D 45 F0 50 6A 01 8D 45 F8 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 8B C3 5A E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 59 8B 83 9C 00 00 00 8B 40 18 8B 10 FF 52 14 85 C0 7E 47 A1 ?? ?? ?? ?? 89 45 E4 8D 45 E4 50 6A 00 8D 4D E0 8B 83 9C 00 00 00 8B 40 18 33 D2 8B 30 FF 56 0C 8B 55 E0 8B 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 83 94 01 00 00 0F B6 40 14 A8 10 74 04 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 0F B6 45 FF 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35332_0 {
	meta:
		name = "TIdIMAP4.RetrieveFlags"
		size = 412
		refs = "0020 TIdIMAP4.RetrieveFlags 002f TIdIMAP4.IsNumberValid 0048 TIdIMAP4.CheckConnectionState 004d IMAP4Commands 006f IntToStr 007d IMAP4FetchDataItem 008f @UStrCatN 009d TIdIMAP4.GetNewCmdCounter 00a8 TIdIMAP4.SendCmd 00bb @UStrEqual 0100 TIdIMAP4.ParseLastCmdResult 0131 @UStrArrayClr 0139 @UStrClr 013f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? C6 45 FB 00 8B 45 FC 0F B6 15 ?? ?? ?? ?? 88 10 B2 03 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 F0 8D 45 F0 50 6A 00 8D 45 F4 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 EC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 59 E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5A 8B 83 9C 00 00 00 8B 40 18 8B 10 FF 52 14 85 C0 7E 48 A1 ?? ?? ?? ?? 89 45 F0 8D 45 F0 50 6A 00 8D 4D E0 8B 83 9C 00 00 00 8B 40 18 33 D2 8B 30 FF 56 0C 8B 55 E0 8B 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 8B 83 94 01 00 00 0F B6 40 14 8B 55 FC 88 02 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5E 5B 8B E5 5D C3 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35333_0 {
	meta:
		name = "TIdIMAP4.UIDRetrieveFlags"
		size = 428
		refs = "0021 TIdIMAP4.UIDRetrieveFlags 0030 TIdIMAP4.IsUIDValid 0049 TIdIMAP4.CheckConnectionState 004e IMAP4Commands 006d TIdIMAP4.GetNewCmdCounter 0093 IMAP4FetchDataItem 00a5 @UStrCatN 00b0 TIdIMAP4.SendCmd 00c3 @UStrEqual 0108 TIdIMAP4.ParseLastCmdResult 0134 @UStrClr 0141 @UStrArrayClr 014f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 DB 89 5D DC 89 5D F4 89 5D E8 89 5D E4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? C6 45 FB 00 8B 45 FC 0F B6 15 ?? ?? ?? ?? 88 10 B2 03 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 EC A1 ?? ?? ?? ?? 89 45 F0 8D 45 EC 50 6A 01 8D 45 F4 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E4 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 8B C3 5A E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5A 8B 83 9C 00 00 00 8B 40 18 8B 10 FF 52 14 85 C0 7E 48 A1 ?? ?? ?? ?? 89 45 E0 8D 45 E0 50 6A 00 8D 4D DC 8B 83 9C 00 00 00 8B 40 18 33 D2 8B 30 FF 56 0C 8B 55 DC 8B 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 8B 83 94 01 00 00 0F B6 40 14 8B 55 FC 88 02 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 0F B6 45 FB 5E 5B 8B E5 5D C3 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35334_0 {
	meta:
		name = "TIdIMAP4.GetConnectionStateName"
		size = 82
		refs = "001d RSIMAP4ConnectionStateAny 0022 LoadResString 002b RSIMAP4ConnectionStateNonAuthenticated 0039 RSIMAP4ConnectionStateAuthenticated 0047 RSIMAP4ConnectionStateSelected"
	strings:
		$1 = { 53 8B DA 0F B6 80 44 01 00 00 2C 01 72 0C 74 18 FE C8 74 22 FE C8 74 2C EB 36 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_35335_0 {
	meta:
		name = "TIdIMAP4.ParseImapPart"
		size = 760
		refs = "0029 @UStrAddRef 0031 TIdIMAP4.ParseImapPart 0042 Trim 004d @UStrLAsg 0058 @UStrAsg 0073 TIdIMAP4.ParseBodyStructurePart 00ab IntToStr 00bb @UStrCatN 00da @UStrCopy 00e1 TCollectionItem.GetIndex 00f9 @UStrClr 0155 _Dn_TStringList 015a TStringList.Create 017b TIdIMAP4.ParseIntoBrackettedQuotedAndUnquotedParts 018c TIdImapMessageParts.Add 0258 TIdIMAP4.GetNextQuotedParam 0263 LowerCase 0292 TObject.Free 0298 @HandleFinally 02b4 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D F0 89 55 FC 89 45 F4 8B 75 0C 8B 5D 10 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 8D 43 28 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 38 28 0F 84 84 00 00 00 53 33 C9 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 85 F6 75 1D C6 43 1C 02 8D 43 34 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 43 30 FF FF FF FF E9 06 02 00 00 C6 43 1C 01 FF 76 34 68 ?? ?? ?? ?? 8D 55 D8 8B 45 08 E8 ?? ?? ?? ?? FF 75 D8 8D 43 34 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 43 34 66 83 38 2E 75 16 8D 43 34 50 8B 43 34 B9 FF FF FF 7F BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 43 30 E9 B1 01 00 00 C6 43 1C 01 85 F6 75 11 8D 43 34 E8 ?? ?? ?? ?? C7 43 30 FF FF FF FF EB 4C FF 76 34 68 ?? ?? ?? ?? 8D 55 D4 8B 45 08 E8 ?? ?? ?? ?? FF 75 D4 8D 43 34 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 43 34 66 83 38 2E 75 16 8D 43 34 50 8B 43 34 B9 FF FF FF 7F BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 43 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 01 8B 4D E8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? C7 45 E4 01 00 00 00 EB 71 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC 8D 4D F8 33 D2 8B 45 E8 8B 30 FF 56 0C 8D 4D D0 33 D2 8B 45 E8 8B 30 FF 56 0C 8B 45 D0 89 45 E0 8B 75 E0 85 F6 74 05 83 EE 04 8B 36 8B 45 EC 50 53 8B 45 E4 50 8D 45 CC 50 8B CE 83 E9 02 BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 CC 8B 4D F0 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 8B 45 E8 8B 08 FF 51 48 FF 45 E4 8B 45 E8 8B 10 FF 52 14 85 C0 7E 2D 8D 4D C8 33 D2 8B 45 E8 8B 30 FF 56 0C 83 7D C8 00 74 1A 8D 4D C4 33 D2 8B 45 E8 8B 30 FF 56 0C 8B 45 C4 66 83 38 28 0F 84 56 FF FF FF 8B 45 E8 8B 10 FF 52 14 85 C0 7E 36 8D 45 BC 50 8D 4D B8 33 D2 8B 45 E8 8B 30 FF 56 0C 8B 55 B8 B1 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 BC 8D 55 C0 E8 ?? ?? ?? ?? 8B 55 C0 8D 43 0C E8 ?? ?? ?? ?? EB 08 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_35336_0 {
	meta:
		name = "TIdIMAP4.ParseMessagePart"
		size = 494
		refs = "0029 @UStrAddRef 0031 TIdIMAP4.ParseMessagePart 0042 Trim 004d @UStrLAsg 0066 TIdIMAP4.ParseBodyStructurePart 0083 TCollectionItem.GetIndex 0095 _Dn_TStringList 009a TStringList.Create 00bb TIdIMAP4.ParseIntoBrackettedQuotedAndUnquotedParts 00cc _Dn_TIdAttachmentMemory 00d1 TIdAttachmentMemory.Create 011f @UStrCopy 01ab TObject.Free 01b1 @HandleFinally 01cd @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 DB 89 5D D4 89 5D D0 89 5D D8 89 5D DC 89 5D E0 89 5D F8 89 4D F0 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 38 28 74 38 6A 00 8B 4D 10 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 83 7D 0C 00 75 0F 8B 45 10 C7 40 38 FF FF FF FF E9 38 01 00 00 8B 45 0C E8 ?? ?? ?? ?? 8B 55 10 89 42 38 E9 25 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 01 8B 4D E8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? BE 01 00 00 00 EB 76 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8D 4D F8 33 D2 8B 45 E8 8B 18 FF 53 0C 8D 4D DC 33 D2 8B 45 E8 8B 18 FF 53 0C 8B 45 DC 89 45 E4 8B 5D E4 85 DB 74 05 83 EB 04 8B 1B 8B 45 EC 50 8B 45 10 50 56 8D 45 D8 50 8B CB 83 E9 02 BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D8 8B 4D F0 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 8B 45 E8 8B 08 FF 51 48 46 8B 45 E8 8B 10 FF 52 14 85 C0 7E 2D 8D 4D D4 33 D2 8B 45 E8 8B 18 FF 53 0C 83 7D D4 00 74 1A 8D 4D D0 33 D2 8B 45 E8 8B 18 FF 53 0C 8B 45 D0 66 83 38 28 0F 84 51 FF FF FF 83 7D 0C 00 75 0C 8B 45 10 C7 40 38 FF FF FF FF EB 0E 8B 45 0C E8 ?? ?? ?? ?? 8B 55 10 89 42 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_35337_0 {
	meta:
		name = "TIdIMAP4.ParseBodyStructureResult"
		size = 139
		refs = "0015 @UStrAddRef 001d TIdIMAP4.ParseBodyStructureResult 002e TIdImapMessageParts.Add 003f TIdIMAP4.ParseImapPart 004c _Dn_TIdAttachmentMemory 0051 TIdAttachmentMemory.Create 0062 TIdIMAP4.ParseMessagePart 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 18 8B C7 E8 ?? ?? ?? ?? 50 6A 00 6A FF 8B CF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 85 F6 74 1F 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 00 6A FF 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_35338_0 {
	meta:
		name = "TIdIMAP4.ParseTheLine"
		size = 412
		refs = "0021 @UStrAddRef 0029 TIdIMAP4.ParseTheLine 0036 _Dn_TStringList 003b TStringList.Create 005a TIdIMAP4.ParseIntoParts 0087 TIdIMAP4.GetNextWord 0092 LowerCase 00a3 CharEquals 00d1 PosInStrArray 00fd TObject.Free 0103 @HandleFinally 011a @UStrClr 0127 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D E4 89 5D F8 89 5D F4 89 4D EC 89 55 FC 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D E8 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 7A 43 33 F6 8D 4D F8 8B D6 8B 45 E8 8B 38 FF 57 0C 8D 4D E4 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 F4 E8 ?? ?? ?? ?? 66 B9 28 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 2D 6A 00 B8 ?? ?? ?? ?? 89 45 D8 B8 ?? ?? ?? ?? 89 45 DC B8 ?? ?? ?? ?? 89 45 E0 8D 55 D8 B9 02 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 40 74 0B 8B 55 F8 8B 45 EC 8B 08 FF 51 38 46 4B 75 89 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 22 00 74 00 65 00 78 00 74 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 22 00 69 00 6D 00 61 00 67 00 65 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 22 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 22 00 00 00 }
	condition:
		$1
}

rule function_35339_0 {
	meta:
		name = "TIdIMAP4.ParseBodyStructurePart"
		size = 1500
		refs = "0026 @UStrAddRef 002e TIdIMAP4.ParseBodyStructurePart 003b _Dn_TStringList 0040 TStringList.Create 005e TIdIMAP4.ParseIntoParts 0066 @UStrClr 0071 UpperCase 007a IndyPos 00ba @UStrCopy 00ca TIdIMAP4.GetNextQuotedParam 014c TextStartsWith 015d TextEndsWith 019d DecodeHeader 01a8 @UStrLAsg 01ca TextIsSame 020c IndyStrToInt 0304 TIdIMAP4.ParseBodyStructureSectionAsEquates 0314 @UStrCatN 0352 IsHeaderMediaType 038e @UStrAsg 0429 TObject.Free 042f @HandleFinally 044b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 0E 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D EC 89 55 FC 8B F0 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D E8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8B 3D ?? ?? ?? ?? 8B 3F B8 ?? ?? ?? ?? FF D7 85 C0 7E 45 8D 45 F0 50 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8B 3D ?? ?? ?? ?? 8B 3F B8 ?? ?? ?? ?? FF D7 8B D0 83 C2 07 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 33 C9 8B 55 F0 8B C6 E8 ?? ?? ?? ?? EB 64 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8B 3D ?? ?? ?? ?? 8B 3F B8 ?? ?? ?? ?? FF D7 85 C0 7E 43 8D 45 F0 50 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8B 3D ?? ?? ?? ?? 8B 3F B8 ?? ?? ?? ?? FF D7 8B D0 83 C2 0B B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 33 C9 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 48 7E 44 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 33 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 22 8B 7D F8 85 FF 74 05 83 EF 04 8B 3F 8D 45 F8 50 8B CF 83 E9 02 BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 48 7E 16 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 E4 8D 4D CC BA 06 00 00 00 8B 45 E8 8B 38 FF 57 0C 8B 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 41 8D 4D C8 BA 06 00 00 00 8B 45 E8 8B 38 FF 57 0C 8B 45 C8 89 45 C4 8B 45 C4 85 C0 74 05 83 E8 04 8B 00 85 C0 74 1B 8D 4D C0 BA 06 00 00 00 8B 45 E8 8B 38 FF 57 0C 8B 45 C0 E8 ?? ?? ?? ?? 89 45 E4 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 14 83 F8 09 7E 43 8D 4D BC BA 09 00 00 00 8B 45 E8 8B 38 FF 57 0C 8B 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 22 8D 45 F4 50 8D 4D B8 BA 09 00 00 00 8B 45 E8 8B 38 FF 57 0C 8B 55 B8 33 C9 8B C6 E8 ?? ?? ?? ?? EB 4E 8B 45 E8 8B 10 FF 52 14 83 F8 08 7E 41 8D 4D B4 BA 08 00 00 00 8B 45 E8 8B 38 FF 57 0C 8B 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 20 8D 45 F4 50 8D 4D B0 BA 08 00 00 00 8B 45 E8 8B 38 FF 57 0C 8B 55 B0 33 C9 8B C6 E8 ?? ?? ?? ?? 83 7D EC 00 0F 84 AF 00 00 00 8D 4D A8 33 D2 8B 45 E8 8B 38 FF 57 0C FF 75 A8 68 ?? ?? ?? ?? 8D 4D A4 BA 01 00 00 00 8B 45 E8 8B 38 FF 57 0C FF 75 A4 8D 4D 9C BA 02 00 00 00 8B 45 E8 8B 38 FF 57 0C 8B 55 9C 8D 4D A0 8B C6 E8 ?? ?? ?? ?? FF 75 A0 8D 45 AC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 AC 8B 45 EC 8B 08 FF 51 3C 8D 4D 98 BA 05 00 00 00 8B 45 E8 8B 30 FF 56 0C 8B 55 98 8B 45 EC 8B 08 FF 51 40 8D 55 94 8B 45 EC 8B 08 FF 51 24 8B 45 94 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D BA ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 40 8B 55 F8 8B 45 EC 8B 08 FF 51 18 85 DB 0F 84 99 00 00 00 8D 4D 90 33 D2 8B 45 E8 8B 30 FF 56 0C 8B 55 90 8D 43 0C E8 ?? ?? ?? ?? 8D 4D 8C BA 01 00 00 00 8B 45 E8 8B 30 FF 56 0C 8B 55 8C 8D 43 10 E8 ?? ?? ?? ?? 8D 43 14 8B 55 F8 E8 ?? ?? ?? ?? 8D 43 18 8B 55 F4 E8 ?? ?? ?? ?? 8D 4D 88 BA 05 00 00 00 8B 45 E8 8B 30 FF 56 0C 8B 55 88 8D 43 20 E8 ?? ?? ?? ?? 8B 45 E4 89 43 24 8B 43 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8D 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 88 BA 0F 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 22 00 4E 00 41 00 4D 00 45 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 22 00 4E 00 41 00 4D 00 45 00 22 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 22 00 46 00 49 00 4C 00 45 00 4E 00 41 00 4D 00 45 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 22 00 46 00 49 00 4C 00 45 00 4E 00 41 00 4D 00 45 00 22 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 49 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 6D 00 61 00 63 00 2D 00 62 00 69 00 6E 00 68 00 65 00 78 00 34 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 62 00 69 00 6E 00 68 00 65 00 78 00 34 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6D 00 61 00 63 00 2D 00 62 00 69 00 6E 00 68 00 65 00 78 00 34 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_35340_0 {
	meta:
		name = "TIdIMAP4.ParseIntoParts"
		size = 620
		refs = "001b @UStrAddRef 0023 TIdIMAP4.ParseIntoParts 007e @UStrCopy 0155 IsNumeric 01c5 @UStrFromWChar 01d2 TextIsSame 023a @UStrClr 0247 @UStrArrayClr 024d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D F8 89 4D F4 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 33 C0 89 45 EC C6 45 EB 00 33 DB 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F8 85 FF 0F 8E B2 01 00 00 BE 01 00 00 00 83 FB 01 75 37 8B 45 FC 66 83 7C 70 FE 22 0F 85 91 01 00 00 8D 45 F8 50 8B CE 2B 4D F0 49 8B 55 F0 42 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 8B 08 FF 51 38 33 DB E9 69 01 00 00 83 FB 02 75 73 8B 45 FC 0F B7 44 70 FE 66 83 F8 22 75 0E 0F B6 45 EB 34 01 88 45 EB E9 48 01 00 00 80 7D EB 00 0F 85 3E 01 00 00 66 83 F8 28 75 08 FF 45 EC E9 30 01 00 00 66 83 F8 29 0F 85 26 01 00 00 FF 4D EC 83 7D EC 00 0F 85 19 01 00 00 8D 45 F8 50 8B CE 2B 4D F0 49 8B 55 F0 42 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 8B 08 FF 51 38 33 DB E9 F1 00 00 00 83 FB 03 75 36 8B 45 FC 66 83 7C 70 FE 4C 0F 85 DD 00 00 00 8D 45 F8 50 8B CE 2B 4D F0 41 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 8B 08 FF 51 38 33 DB E9 B6 00 00 00 83 FB 04 75 38 8B 45 FC 0F B7 44 70 FE E8 ?? ?? ?? ?? 84 C0 0F 85 9C 00 00 00 8D 45 F8 50 8B CE 2B 4D F0 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 8B 08 FF 51 38 33 DB EB 79 8B 45 FC 66 83 7C 70 FE 22 75 0A 89 75 F0 BB 01 00 00 00 EB 64 8B 45 FC 66 83 7C 70 FE 28 75 15 89 75 F0 BB 02 00 00 00 C7 45 EC 01 00 00 00 C6 45 EB 00 EB 44 8D 45 E4 8B 55 FC 0F B7 54 72 FE E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 89 75 F0 BB 03 00 00 00 EB 19 8B 45 FC 0F B7 44 70 FE E8 ?? ?? ?? ?? 84 C0 74 08 89 75 F0 BB 04 00 00 00 46 4F 0F 85 53 FE FF FF 83 FB 04 75 1F 8D 45 F8 50 B9 FF FF FF 7F 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 4E 00 00 00 }
	condition:
		$1
}

rule function_35341_0 {
	meta:
		name = "TIdIMAP4.ParseIntoBrackettedQuotedAndUnquotedParts"
		size = 784
		refs = "001b @UStrAddRef 0023 TIdIMAP4.ParseIntoBrackettedQuotedAndUnquotedParts 004c Trim 0057 @UStrLAsg 009c @UStrCopy 0232 TextEndsWith 02cc @UStrClr 02d9 @UStrArrayClr 02df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D F8 89 4D F4 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 44 33 C0 89 45 F0 33 C0 89 45 EC C6 45 EB 00 33 DB 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F8 85 FF 0F 8E 53 01 00 00 BE 01 00 00 00 83 FB 01 75 37 8B 45 FC 66 83 7C 70 FE 22 0F 85 32 01 00 00 8D 45 F8 50 8B CE 2B 4D F0 49 8B 55 F0 42 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 8B 08 FF 51 38 33 DB E9 0A 01 00 00 83 FB 02 0F 85 8D 00 00 00 8B 45 FC 0F B7 44 70 FE 66 83 F8 22 75 0E 0F B6 45 EB 34 01 88 45 EB E9 E5 00 00 00 80 7D EB 00 0F 85 DB 00 00 00 66 83 F8 28 75 08 FF 45 EC E9 CD 00 00 00 66 83 F8 29 0F 85 C3 00 00 00 FF 4D EC 83 7D EC 00 0F 85 B6 00 00 00 80 7D 08 00 74 17 8D 45 F8 50 8B CE 2B 4D F0 41 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? EB 16 8D 45 F8 50 8B CE 2B 4D F0 49 8B 55 F0 42 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 8B 08 FF 51 38 33 DB EB 74 83 FB 03 75 2E 8B 45 FC 66 83 7C 70 FE 20 75 64 8D 45 F8 50 8B CE 2B 4D F0 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 8B 08 FF 51 38 33 DB EB 41 8B 45 FC 0F B7 44 70 FE 66 83 F8 22 75 0A 89 75 F0 BB 01 00 00 00 EB 29 66 83 F8 28 75 15 89 75 F0 BB 02 00 00 00 C7 45 EC 01 00 00 00 C6 45 EB 00 EB 0E 66 83 F8 20 74 08 89 75 F0 BB 03 00 00 00 46 4F 0F 85 B2 FE FF FF 83 FB 03 75 24 8D 45 F8 50 B9 FF FF FF 7F 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 8B 08 FF 51 38 E9 CE 00 00 00 83 FB 02 75 75 80 7D 08 00 74 16 8D 45 F8 50 B9 FF FF FF 7F 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? EB 15 8D 45 F8 50 8B 55 F0 42 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 80 7D 08 00 75 31 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 20 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 8B 08 FF 51 38 EB 54 4B 75 51 8D 45 F8 50 8B 55 F0 42 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 20 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_35342_0 {
	meta:
		name = "TIdIMAP4.ParseBodyStructureSectionAsEquates"
		size = 508
		refs = "0022 @UStrAddRef 002a TIdIMAP4.ParseBodyStructureSectionAsEquates 0038 @UStrClr 0059 TextIsSame 0068 _Dn_TStringList 006d TStringList.Create 008b TIdIMAP4.BreakApartParamsInQuotes 009d @TryFinallyExit 0132 @UStrCopy 015a @UStrCatN 017a TObject.Free 0180 @HandleFinally 019c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 DB 89 5D E0 89 5D DC 89 5D E8 89 5D F8 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 75 04 B0 01 EB 0D BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 21 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 14 83 F8 02 7D 0A E8 ?? ?? ?? ?? E9 E0 00 00 00 8B 45 F0 8B 10 FF 52 14 25 01 00 00 80 79 05 48 83 C8 FE 40 85 C0 74 0A E8 ?? ?? ?? ?? E9 BE 00 00 00 8B 45 F0 8B 10 FF 52 14 D1 F8 79 03 83 D0 00 48 85 C0 0F 8C 84 00 00 00 40 89 45 EC 33 F6 8D 4D F8 8B D6 03 D2 8B 45 F0 8B 18 FF 53 0C 8D 4D E8 8B D6 03 D2 8B 45 F0 8B 18 FF 53 0C 8B 45 E8 89 45 E4 8B 5D E4 85 DB 74 05 83 EB 04 8B 1B 8B 45 F4 FF 30 68 ?? ?? ?? ?? 8D 45 E0 50 8B CB 83 E9 02 BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 4D DC 8B D6 03 D2 42 8B 45 F0 8B 18 FF 53 0C FF 75 DC 8B 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? 46 FF 4D EC 75 82 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 49 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_35343_0 {
	meta:
		name = "TIdIMAP4.ParseBodyStructureSectionAsEquates2"
		size = 500
		refs = "0021 @UStrAddRef 0029 TIdIMAP4.ParseBodyStructureSectionAsEquates2 0037 @UStrClr 0058 TextIsSame 0067 _Dn_TStringList 006c TStringList.Create 008d BreakApart 009f @TryFinallyExit 00b5 Pos 00c5 @UStrCopy 00f2 TIdIMAP4.ParseBodyStructureSectionAsEquates 00fd @UStrLAsg 015d @UStrCat3 0177 TObject.Free 017d @HandleFinally 01a1 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F0 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 75 04 B0 01 EB 0D BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 1F 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D EC BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 83 F8 03 7D 0A E8 ?? ?? ?? ?? E9 DB 00 00 00 8D 45 F8 50 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D E8 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 75 50 8D 4D F4 33 D2 8B 45 EC 8B 18 FF 53 0C 8D 4D E4 33 D2 8B 45 EC 8B 18 FF 53 0C 8B 45 E4 89 45 E0 8B 5D E0 85 DB 74 05 83 EB 04 8B 1B 8D 45 DC 50 8B CB 83 E9 02 BA 02 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 49 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 }
	condition:
		$1
}

rule function_35344_0 {
	meta:
		name = "TIdIMAP4.GetNextWord"
		size = 164
		refs = "0016 @UStrAddRef 001e TIdIMAP4.GetNextWord 002b @UStrClr 0036 Trim 0041 @UStrLAsg 004e Pos 0065 @UStrCopy 007f @UStrArrayClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 11 56 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35345_0 {
	meta:
		name = "TIdIMAP4.GetNextQuotedParam"
		size = 288
		refs = "0015 @UStrAddRef 001d TIdIMAP4.GetNextQuotedParam 0054 @UStrCopy 0061 Pos 0084 @UStrAsg 00f8 @UStrClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 89 55 FC 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BF 01 00 00 00 EB 01 47 8B 45 FC 66 83 7C 78 FE 20 74 F4 8B 45 FC 66 83 7C 78 FE 22 74 45 8D 45 FC 50 B9 FF FF FF 7F 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 13 56 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 69 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 5D 8D 45 FC 50 B9 FF FF FF 7F 8B D7 8B 45 FC E8 ?? ?? ?? ?? BF 02 00 00 00 EB 01 47 8B 45 FC 66 83 7C 78 FE 22 75 F4 56 8B CF BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 DB 74 23 8B 06 89 45 F8 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 56 8B CB 83 E9 02 8B 06 BA 02 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35346_0 {
	meta:
		name = "TIdIMAP4.BreakApartParamsInQuotes"
		size = 161
		refs = "0018 TIdIMAP4.BreakApartParamsInQuotes 0063 @UStrCopy 008e @UStrClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CF FF 8B 45 F8 8B 10 FF 52 44 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 3E BB 01 00 00 00 8B 45 FC 66 83 7C 58 FE 22 75 2A 83 FF FF 7E 23 8D 45 F4 50 8B CB 2B CF 41 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 08 FF 51 38 83 CF FF EB 02 8B FB 43 4E 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35347_0 {
	meta:
		name = "TIdIMAP4.ParseExpungeResult"
		size = 380
		refs = "001d TIdIMAP4.ParseExpungeResult 0033 TLongIntArray 0038 @DynArraySetLength 0042 _Dn_TStringList 0047 TStringList.Create 00a0 BreakApart 00b9 IMAP4Commands 00be TextIsSame 00ca @DynArrayLength 00f7 IndyStrToInt 0134 TObject.Free 013a @HandleFinally 0156 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 5D F0 89 4D FC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 43 64 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 14 48 0F 8E B3 00 00 00 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C A0 00 00 00 46 C7 45 F8 00 00 00 00 8D 4D F0 8B 55 F8 8B 45 FC 8B 38 FF 57 0C 8B 45 F0 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EC BA 01 00 00 00 8B 45 F4 8B 38 FF 57 0C 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 46 8B 43 64 E8 ?? ?? ?? ?? 40 50 8D 43 64 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 4D E8 33 D2 8B 45 F4 8B 38 FF 57 0C 8B 45 E8 E8 ?? ?? ?? ?? 8B F8 8B 43 64 E8 ?? ?? ?? ?? 8B 53 64 89 7C 82 FC 8B 45 F4 8B 10 FF 52 44 FF 45 F8 4E 0F 85 68 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35348_0 {
	meta:
		name = "TIdIMAP4.ParseMessageFlagString"
		size = 372
		refs = "0017 @UStrAddRef 001f TIdIMAP4.ParseMessageFlagString 0038 _Dn_TStringList 003d TStringList.Create 005e BreakApart 0092 MessageFlags 00dc PosInStrArray 0126 TObject.Free 012c @HandleFinally 0143 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 DB 89 5D EC 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 0F B6 15 ?? ?? ?? ?? 88 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 9B 00 00 00 46 C7 45 F0 00 00 00 00 6A 00 8D 4D EC 8B 55 F0 8B 45 F4 8B 18 FF 53 0C 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 89 45 D4 A1 ?? ?? ?? ?? 8B 40 04 89 45 D8 A1 ?? ?? ?? ?? 8B 40 08 89 45 DC A1 ?? ?? ?? ?? 8B 40 0C 89 45 E0 A1 ?? ?? ?? ?? 8B 40 10 89 45 E4 A1 ?? ?? ?? ?? 8B 40 14 89 45 E8 8D 55 D4 B9 05 00 00 00 58 E8 ?? ?? ?? ?? 8B D8 8B C3 83 E8 06 73 1D 8B 45 F8 80 FB 07 77 15 83 E3 7F 8B D0 83 E2 03 2B C2 03 D2 03 D2 03 D2 03 DA 0F AB 18 FF 45 F0 4E 0F 85 6D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35349_0 {
	meta:
		name = "TIdIMAP4.ParseMailBoxAttributeString"
		size = 344
		refs = "0017 @UStrAddRef 001f TIdIMAP4.ParseMailBoxAttributeString 0038 _Dn_TStringList 003d TStringList.Create 005e BreakApart 0092 MailBoxAttributes 00c6 PosInStrArray 010c TObject.Free 0112 @HandleFinally 0129 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 DB 89 5D EC 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 0F B6 15 ?? ?? ?? ?? 88 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 81 00 00 00 46 C7 45 F0 00 00 00 00 6A 00 8D 4D EC 8B 55 F0 8B 45 F4 8B 18 FF 53 0C 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 89 45 DC A1 ?? ?? ?? ?? 8B 40 04 89 45 E0 A1 ?? ?? ?? ?? 8B 40 08 89 45 E4 A1 ?? ?? ?? ?? 8B 40 0C 89 45 E8 8D 55 DC B9 03 00 00 00 58 E8 ?? ?? ?? ?? 8B D8 8B C3 83 E8 04 73 1D 8B 45 F8 80 FB 07 77 15 83 E3 7F 8B D0 83 E2 03 2B C2 03 D2 03 D2 03 D2 03 DA 0F AB 18 FF 45 F0 4E 75 87 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35350_0 {
	meta:
		name = "TIdIMAP4.ParseSearchResult"
		size = 352
		refs = "0018 TIdIMAP4.ParseSearchResult 0025 _Dn_TStringList 002a TStringList.Create 003d TLongIntArray 0042 @DynArraySetLength 0076 IMAP4Commands 007b Pos 009b BreakApart 00b9 @DynArrayLength 00e7 IndyStrToInt 0118 TObject.Free 011e @HandleFinally 013a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 6A 00 8D 43 68 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C6 8B 10 FF 52 14 85 C0 0F 8E 9C 00 00 00 8D 4D F4 33 D2 8B C6 8B 38 FF 57 0C 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 7F 8D 4D F0 33 D2 8B C6 8B 30 FF 56 0C 8B 45 F0 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7E 54 C7 45 FC 01 00 00 00 8B 43 68 E8 ?? ?? ?? ?? 40 50 8D 43 68 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 4D EC 8B 55 FC 8B 45 F8 8B 38 FF 57 0C 8B 45 EC E8 ?? ?? ?? ?? 8B F8 8B 43 68 E8 ?? ?? ?? ?? 8B 53 68 89 7C 82 FC FF 45 FC 4E 75 B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35351_0 {
	meta:
		name = "TIdIMAP4.ParseStatusResult"
		size = 688
		refs = "0020 TIdIMAP4.ParseStatusResult 002d _Dn_TStringList 0032 TStringList.Create 0069 Trim 0071 IMAP4Commands 0076 Pos 00b1 @UStrCopy 00d1 Fetch 00ea @UStrAsg 00f7 TextEndsWith 0115 IdDelete 0125 BreakApart 012b IMAP4StatusDataItem 0150 IndyStrToInt 0234 TObject.Free 023a @HandleFinally 0256 @UStrArrayClr 025e @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 89 55 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 8B 10 FF 52 14 85 C0 0F 8E C8 01 00 00 8D 4D EC 33 D2 8B C3 8B 18 FF 53 0C 8B 45 EC 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E 9A 01 00 00 A1 ?? ?? ?? ?? 89 45 E8 8B 7D E8 85 FF 74 05 83 EF 04 8B 3F 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 E4 50 8D 14 1F 8B CE 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 8D 55 F8 E8 ?? ?? ?? ?? 6A 01 8D 45 DC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 83 C0 44 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8D 55 F8 B9 01 00 00 00 92 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 54 8B D8 83 FB FF 74 1C 8D 4D D8 8D 53 01 8B 45 F0 8B 18 FF 53 0C 8B 45 D8 E8 ?? ?? ?? ?? 8B 55 F4 89 42 54 8B 15 ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 54 8B D8 83 FB FF 74 1C 8D 4D D4 8D 53 01 8B 45 F0 8B 18 FF 53 0C 8B 45 D4 E8 ?? ?? ?? ?? 8B 55 F4 89 42 4C 8B 15 ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 54 8B D8 83 FB FF 74 1C 8D 4D D0 8D 53 01 8B 45 F0 8B 18 FF 53 0C 8B 45 D0 E8 ?? ?? ?? ?? 8B 55 F4 89 42 60 8B 15 ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 54 8B D8 83 FB FF 74 1C 8D 4D CC 8D 53 01 8B 45 F0 8B 18 FF 53 0C 8B 55 CC 8B 45 F4 83 C0 58 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 54 8B D8 83 FB FF 74 1C 8D 4D C8 8D 53 01 8B 45 F0 8B 18 FF 53 0C 8B 55 C8 8B 45 F4 83 C0 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35352_0 {
	meta:
		name = "TIdIMAP4.ParseSelectResult"
		size = 2000
		refs = "0022 TIdIMAP4.ParseSelectResult 005f Pos 0099 @UStrCopy 00a1 IndyStrToInt 01a5 Trim 01b3 @UStrAsg 0301 TIdIMAP4.ParseMessageFlagString 0562 TextIsSame 060c TIdIMAP4.DoAlert 0633 @UStrArrayClr 063b @UStrClr 0641 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 1B 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 44 8B C6 8B 10 FF 52 14 48 85 C0 0F 8C D6 05 00 00 40 89 45 EC 33 DB 8D 4D E8 8B D3 8B C6 8B 38 FF 57 0C 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 44 8D 45 E4 50 8D 4D E0 8B D3 8B C6 8B 38 FF 57 0C 8B 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 50 8D 4D DC 8B D3 8B C6 8B 38 FF 57 0C 8B 45 DC 33 D2 59 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 F4 89 42 54 8D 4D D8 8B D3 8B C6 8B 38 FF 57 0C 8B 55 D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 44 8D 45 D4 50 8D 4D D0 8B D3 8B C6 8B 38 FF 57 0C 8B 55 D0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 50 8D 4D CC 8B D3 8B C6 8B 38 FF 57 0C 8B 45 CC 33 D2 59 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B 55 F4 89 42 4C 8D 4D C8 8B D3 8B C6 8B 38 FF 57 0C 8B 55 C8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 8A 00 00 00 8D 45 C0 50 8D 4D BC 8B D3 8B C6 8B 38 FF 57 0C 8B 55 BC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 4D B8 8B D3 8B C6 8B 38 FF 57 0C 8B 55 B8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 0C 5A 2B D0 52 8D 4D B4 8B D3 8B C6 8B 38 FF 57 0C 8B 55 B4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 0C 50 8D 4D B0 8B D3 8B C6 8B 38 FF 57 0C 8B 45 B0 5A 59 E8 ?? ?? ?? ?? 8B 45 C0 8D 55 C4 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 F4 83 C0 5C E8 ?? ?? ?? ?? 8D 4D AC 8B D3 8B C6 8B 38 FF 57 0C 8B 55 AC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 8B 00 00 00 8D 45 A4 50 8D 4D A0 8B D3 8B C6 8B 38 FF 57 0C 8B 55 A0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 4D 9C 8B D3 8B C6 8B 38 FF 57 0C 8B 55 9C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 08 5A 2B D0 4A 52 8D 4D 98 8B D3 8B C6 8B 38 FF 57 0C 8B 55 98 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 08 50 8D 4D 94 8B D3 8B C6 8B 38 FF 57 0C 8B 45 94 5A 59 E8 ?? ?? ?? ?? 8B 45 A4 8D 55 A8 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 F4 83 C0 58 E8 ?? ?? ?? ?? 8D 4D 90 8B D3 8B C6 8B 38 FF 57 0C 8B 55 90 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 8B 00 00 00 8D 45 8C 50 8D 4D 88 8B D3 8B C6 8B 38 FF 57 0C 8B 55 88 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 4D 84 8B D3 8B C6 8B 38 FF 57 0C 8B 55 84 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 2B D0 4A 52 8D 4D 80 8B D3 8B C6 8B 38 FF 57 0C 8B 55 80 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 50 8D 8D 7C FF FF FF 8B D3 8B C6 8B 38 FF 57 0C 8B 85 7C FF FF FF 5A 59 E8 ?? ?? ?? ?? 8B 55 8C 8D 4D F3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 0F B6 55 F3 88 50 40 8D 8D 78 FF FF FF 8B D3 8B C6 8B 38 FF 57 0C 8B 95 78 FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E A3 00 00 00 8D 85 74 FF FF FF 50 8D 8D 70 FF FF FF 8B D3 8B C6 8B 38 FF 57 0C 8B 95 70 FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 8D 6C FF FF FF 8B D3 8B C6 8B 38 FF 57 0C 8B 95 6C FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 2B D0 4A 52 8D 8D 68 FF FF FF 8B D3 8B C6 8B 38 FF 57 0C 8B 95 68 FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 50 8D 8D 64 FF FF FF 8B D3 8B C6 8B 38 FF 57 0C 8B 85 64 FF FF FF 5A 59 E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8D 4D F3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 0F B6 55 F3 88 50 39 8D 8D 60 FF FF FF 8B D3 8B C6 8B 38 FF 57 0C 8B 95 60 FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 9D 00 00 00 8D 85 5C FF FF FF 50 8D 8D 58 FF FF FF 8B D3 8B C6 8B 38 FF 57 0C 8B 95 58 FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 8D 54 FF FF FF 8B D3 8B C6 8B 38 FF 57 0C 8B 95 54 FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 07 5A 2B D0 52 8D 8D 50 FF FF FF 8B D3 8B C6 8B 38 FF 57 0C 8B 95 50 FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 07 50 8D 8D 4C FF FF FF 8B D3 8B C6 8B 38 FF 57 0C 8B 85 4C FF FF FF 5A 59 E8 ?? ?? ?? ?? 8B 85 5C FF FF FF E8 ?? ?? ?? ?? 8B 55 F4 89 42 3C 8D 8D 48 FF FF FF 8B D3 8B C6 8B 38 FF 57 0C 8B 95 48 FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E B6 00 00 00 8D 85 44 FF FF FF 50 8D 8D 40 FF FF FF 8B D3 8B C6 8B 38 FF 57 0C 8B 95 40 FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 8D 3C FF FF FF 8B D3 8B C6 8B 38 FF 57 0C 8B 95 3C FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 2B D0 42 52 8D 8D 38 FF FF FF 8B D3 8B C6 8B 38 FF 57 0C 8B 95 38 FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 8D 34 FF FF FF 8B D3 8B C6 8B 38 FF 57 0C 8B 85 34 FF FF FF 5A 59 E8 ?? ?? ?? ?? 8B 85 44 FF FF FF 8D 55 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 09 8B 45 F4 C6 40 50 00 EB 07 8B 45 F4 C6 40 50 01 8D 8D 30 FF FF FF 8B D3 8B C6 8B 38 FF 57 0C 8B 95 30 FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 73 8D 85 2C FF FF FF 50 8D 8D 28 FF FF FF 8B D3 8B C6 8B 38 FF 57 0C 8B 95 28 FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 07 50 8D 8D 24 FF FF FF 8B D3 8B C6 8B 38 FF 57 0C 8B 85 24 FF FF FF B9 FF FF FF 7F 5A E8 ?? ?? ?? ?? 8B 85 2C FF FF FF 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 74 0B 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 43 FF 4D EC 0F 85 30 FA FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 24 FF FF FF BA 32 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 45 00 58 00 49 00 53 00 54 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 43 00 45 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 5B 00 55 00 49 00 44 00 56 00 41 00 4C 00 49 00 44 00 49 00 54 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5B 00 55 00 49 00 44 00 4E 00 45 00 58 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 4C 00 41 00 47 00 53 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 5B 00 50 00 45 00 52 00 4D 00 41 00 4E 00 45 00 4E 00 54 00 46 00 4C 00 41 00 47 00 53 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 5B 00 55 00 4E 00 53 00 45 00 45 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5B 00 52 00 45 00 41 00 44 00 2D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 5B 00 52 00 45 00 41 00 44 00 2D 00 57 00 52 00 49 00 54 00 45 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 5B 00 41 00 4C 00 45 00 52 00 54 00 5D 00 00 00 }
	condition:
		$1
}

rule function_35353_0 {
	meta:
		name = "TIdIMAP4.ParseLSubResult"
		size = 15
		refs = "0003 IMAP4Commands 000a TIdIMAP4.InternalParseListResult"
		altNames = "TIdIMAP4.ParseListResult"
	strings:
		$1 = { 51 8B 0D ?? ?? ?? ?? 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35354_0 {
	meta:
		name = "TIdIMAP4.InternalParseListResult"
		size = 456
		refs = "0024 @UStrAddRef 002c TIdIMAP4.InternalParseListResult 0041 _Dn_TStringList 0046 TStringList.Create 008a TIdIMAP4.ParseIntoBrackettedQuotedAndUnquotedParts 00b3 TextIsSame 00de Trim 0142 TIdIMAP4.DoMUTFDecode 016f TObject.Free 0175 @HandleFinally 0191 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D EC 89 55 FC 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 10 FF 52 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C EB 00 00 00 43 33 F6 8D 4D F8 8B D6 8B 45 08 8B 38 FF 57 0C 6A 00 8B 4D E8 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 14 83 F8 03 0F 8E B2 00 00 00 8D 4D E4 33 D2 8B 45 E8 8B 38 FF 57 0C 8B 45 E4 8B 55 FC E8 ?? ?? ?? ?? 84 C0 0F 84 92 00 00 00 8B 45 E8 8B 10 FF 52 14 8B D0 83 EA 02 8D 4D E0 8B 45 E8 8B 38 FF 57 0C 8B 45 E0 8D 55 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 06 83 7D F4 00 75 0E 8B 45 F0 66 C7 80 4C 01 00 00 00 00 EB 10 8B 45 F4 0F B7 00 8B 55 F0 66 89 82 4C 01 00 00 8B 45 E8 8B 10 FF 52 14 8B D0 4A 8D 4D DC 8B 45 E8 8B 38 FF 57 0C 8B 45 DC 8D 55 F4 E8 ?? ?? ?? ?? 8D 4D D8 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 EC 8B 08 FF 51 38 46 4B 0F 85 18 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 49 00 4C 00 00 00 }
	condition:
		$1
}

rule function_35356_0 {
	meta:
		name = "DecodeEnvelopeAddress"
		size = 908
		refs = "0017 DecodeEnvelopeAddress 0029 TextStartsWith 003d TextEndsWith 006d @UStrCopy 00bb Pos 012e @UStrToPWChar 0140 AnsiExtractQuotedStr 014b @UStrAsg 0274 TextIsSame 02c0 @UStrCatN 02da @UStrArrayClr 02ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 8F 02 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 7B 02 00 00 85 F6 0F 84 73 02 00 00 8B FB 85 FF 74 05 83 EF 04 8B 3F 8D 45 FC 50 8B CF 83 E9 02 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1B 8D 45 FC 50 B9 FF FF FF 7F BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 C6 00 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 5A 8D 45 FC 50 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 46 10 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 50 8D 53 02 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? EB 5B 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 50 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8D 4D F0 8D 45 F4 66 BA 22 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 46 10 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 53 02 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 18 8D 45 FC 50 B9 FF FF FF 7F BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 5B 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 50 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8D 4D EC 8D 45 F4 66 BA 22 00 E8 ?? ?? ?? ?? 8B 55 EC 8D 46 10 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 53 02 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 18 8D 45 FC 50 B9 FF FF FF 7F BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 5B 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 50 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8D 4D E8 8D 45 F4 66 BA 22 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 46 0C E8 ?? ?? ?? ?? 8D 45 FC 50 8D 53 02 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 48 8D 45 F8 50 B9 FF FF FF 7F BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 FF 76 0C 68 ?? ?? ?? ?? 8D 4D E4 8D 45 F4 66 BA 22 00 E8 ?? ?? ?? ?? FF 75 E4 8D 46 0C BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 49 00 4C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 49 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_35357_0 {
	meta:
		name = "DecodeEnvelopeAddress"
		size = 284
		refs = "0014 DecodeEnvelopeAddress 0026 TextStartsWith 003a TextEndsWith 006a @UStrCopy 0077 Pos 009b TIdEMailAddressList.Add 00c2 Trim 00cd @UStrLAsg 00e9 @UStrArrayClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A1 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 8D 00 00 00 85 F6 0F 84 85 00 00 00 8B FB 85 FF 74 05 83 EF 04 8B 3F 8D 45 FC 50 8B CF 83 E9 02 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 52 8D 45 F8 50 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 50 8B C6 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? EB 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_35358_0 {
	meta:
		name = "TIdIMAP4.ParseEnvelopeResult"
		size = 1568
		refs = "0018 @UStrAddRef 0020 TIdIMAP4.ParseEnvelopeResult 003b TextStartsWith 0055 @UStrCopy 0064 Pos 0081 @UStrToPWChar 0093 AnsiExtractQuotedStr 009b GMTToLocalDateTime 00be @UStrClr 014d @UStrAsg 01c9 TCollection.Clear 0220 DecodeEnvelopeAddress 0505 TIdMessage.SetInReplyTo 0522 TIdMessage.SetMsgID 0570 Trim 059c @UStrArrayClr 05a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 43 58 89 43 5C BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 18 8D 45 FC 50 B9 FF FF FF 7F BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 5C 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F4 50 8B CE BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 8D 4D F8 8D 45 F0 66 BA 22 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DD 5B 58 9B 8D 45 FC 50 8D 56 02 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8D 83 98 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1B 8D 45 FC 50 B9 FF FF FF 7F BA 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 D7 00 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 68 8D 45 FC 50 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F8 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 83 98 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 56 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? EB 5E 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F4 50 8B CE BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 8D 4D F8 8D 45 F0 66 BA 22 00 E8 ?? ?? ?? ?? 8D 83 98 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 56 02 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 43 6C E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 18 8D 45 FC 50 B9 FF FF FF 7F BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 42 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F8 50 8D 4E 01 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 53 6C 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 56 03 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 83 B0 00 00 00 83 C0 10 E8 ?? ?? ?? ?? 8B 83 B0 00 00 00 83 C0 0C E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 18 8D 45 FC 50 B9 FF FF FF 7F BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 45 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F8 50 8B CE 49 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 93 B0 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 56 03 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 18 8D 45 FC 50 B9 FF FF FF 7F BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 45 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F8 50 8D 4E 01 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 93 AC 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 56 03 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 18 8D 45 FC 50 B9 FF FF FF 7F BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 45 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F8 50 8D 4E 01 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 93 A0 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 56 03 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 18 8D 45 FC 50 B9 FF FF FF 7F BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 42 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F8 50 8D 4E 01 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 53 48 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 56 03 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 43 3C E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 18 8D 45 FC 50 B9 FF FF FF 7F BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 42 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F8 50 8D 4E 01 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 53 3C 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 56 03 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 18 8D 45 FC 50 B9 FF FF FF 7F BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 5A 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F4 50 8B CE BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 8D 4D F8 8D 45 F0 66 BA 22 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 56 02 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 18 8D 45 FC 50 B9 FF FF FF 7F BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 2F 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 8D 4D F8 8D 45 F0 66 BA 22 00 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 49 00 4C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 29 00 29 00 20 00 00 00 }
	condition:
		$1
}

rule function_35359_0 {
	meta:
		name = "TIdIMAP4.ParseLastCmdResult"
		size = 1768
		refs = "0036 @UStrAddRef 004b string 0050 @AddRefArray 0058 TIdIMAP4.ParseLastCmdResult 0078 @UStrClr 00cc Trim 00d7 @UStrLAsg 00e4 Pos 0103 @UStrCopy 0110 @UStrEqual 0164 IsNumeric 0179 @UStrAsg 01c0 IMAP4Commands 01cd PosInStrArray 02c3 _Dn_TStringList 02c8 TStringList.Create 02e8 TIdIMAP4.ParseIntoBrackettedQuotedAndUnquotedParts 031b TextStartsWith 032c TextEndsWith 035f TextIsSame 0378 IndyStrToInt 03ec IMAP4FetchDataItem 0498 TIdIMAP4.ParseMessageFlagString 0622 TObject.Free 0628 @HandleFinally 0644 @UStrArrayClr 0663 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B 5D 0C 8B 75 08 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 0C 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D 08 41 8B 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 C6 45 E7 00 8B B3 94 01 00 00 C6 46 04 00 8D 46 08 E8 ?? ?? ?? ?? 8B 83 94 01 00 00 83 C0 0C E8 ?? ?? ?? ?? 8B 83 94 01 00 00 83 C0 10 E8 ?? ?? ?? ?? 8B B3 94 01 00 00 C6 46 15 01 8D 46 1C E8 ?? ?? ?? ?? 8B 83 94 01 00 00 83 C0 20 E8 ?? ?? ?? ?? 8B 83 94 01 00 00 C7 40 18 FF FF FF FF 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 83 FE 01 0F 8C 3B 05 00 00 8D 45 F4 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 4A 8B 83 94 01 00 00 C6 40 04 01 8D 45 FC 50 8D 56 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 83 FE 01 0F 8C E2 04 00 00 8D 45 F4 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 51 8B 83 94 01 00 00 83 C0 08 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 56 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 83 FE 01 0F 8C 85 04 00 00 8D 45 F4 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 01 BA ?? ?? ?? ?? B9 18 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 40 0F 84 56 04 00 00 8B 83 94 01 00 00 83 C0 0C 8B 55 F4 E8 ?? ?? ?? ?? 83 7D F8 00 74 13 8B 83 94 01 00 00 8B 40 0C 8B 55 F8 E8 ?? ?? ?? ?? 75 04 C6 45 F3 01 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 8D 45 FC 50 8D 56 02 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 38 28 74 16 8B 83 94 01 00 00 83 C0 20 8B 55 FC E8 ?? ?? ?? ?? E9 E9 03 00 00 8D 45 FC 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 7D FC 8B F7 85 F6 74 05 83 EE 04 8B 36 8D 45 D8 50 B9 01 00 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2B 8B F7 85 F6 74 05 83 EE 04 8B 36 8D 45 FC 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 83 94 01 00 00 C6 40 15 01 EB 0A 8B 83 94 01 00 00 C6 40 15 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 4D EC 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 85 C0 0F 8E 9C 00 00 00 8B 45 EC 8B 10 FF 52 14 8B D0 4A 8D 4D F4 8B 45 EC 8B 30 FF 56 0C BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 75 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 64 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 8D 45 F4 50 8B CE 83 E9 02 BA 02 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 83 94 01 00 00 33 D2 89 50 18 EB 11 8B 45 F4 E8 ?? ?? ?? ?? 8B 93 94 01 00 00 89 42 18 8B 45 EC 8B 10 FF 52 14 8B D0 4A 8B 45 EC 8B 08 FF 51 48 8B 83 94 01 00 00 80 78 15 00 75 46 8B 45 EC 8B 10 FF 52 14 85 C0 7E 3A 8B 45 EC 8B 10 FF 52 14 8B D0 4A 8D 4D D4 8B 45 EC 8B 30 FF 56 0C 8B 55 D4 8B 83 94 01 00 00 83 C0 1C E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 8B D0 4A 8B 45 EC 8B 08 FF 51 48 8B 15 ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 54 8B F0 83 FE FF 74 5A 8B 45 EC 8B 10 FF 52 14 48 3B F0 7D 34 8D 4D D0 8D 56 01 8B 45 EC 8B 38 FF 57 0C 8B 55 D0 8B 83 94 01 00 00 83 C0 10 E8 ?? ?? ?? ?? 8D 56 01 8B 45 EC 8B 08 FF 51 48 8B D6 8B 45 EC 8B 08 FF 51 48 6A 01 8B 55 0C 8B 4D 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 7E 04 C6 45 E7 01 8B 15 ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 54 8B F0 83 FE FF 74 5C 8B 45 EC 8B 10 FF 52 14 48 3B F0 7D 36 8D 4D CC 8D 56 01 8B 45 EC 8B 38 FF 57 0C 8B 55 CC 8B 83 94 01 00 00 8D 48 14 8B C3 E8 ?? ?? ?? ?? 8D 56 01 8B 45 EC 8B 08 FF 51 48 8B D6 8B 45 EC 8B 08 FF 51 48 6A 01 8B 55 0C 8B 4D 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 7E 04 C6 45 E7 01 8B 45 08 40 85 C0 0F 8E A0 00 00 00 48 85 C0 0F 8C FE 00 00 00 40 89 45 E0 8B 7D 0C 8B 17 8B 83 94 01 00 00 8B 40 1C E8 ?? ?? ?? ?? 84 C0 74 09 C6 45 E7 01 E9 DA 00 00 00 8B 17 8B 45 EC 8B 08 FF 51 54 8B F0 83 FE FF 74 54 8D 4D C8 8B D6 8B 45 EC 8B 38 FF 57 0C 8B 55 C8 8B 83 94 01 00 00 83 C0 1C E8 ?? ?? ?? ?? C6 45 E7 01 8B 45 EC 8B 10 FF 52 14 48 3B F0 0F 8D 96 00 00 00 8D 4D C4 8D 56 01 8B 45 EC 8B 30 FF 56 0C 8B 55 C4 8B 83 94 01 00 00 83 C0 20 E8 ?? ?? ?? ?? EB 75 83 C7 04 FF 4D E0 0F 85 72 FF FF FF EB 67 8B 83 94 01 00 00 80 78 15 00 74 5B 8B 45 EC 8B 10 FF 52 14 48 7E 50 8B 45 EC 8B 10 FF 52 14 8B D0 83 EA 02 8D 4D C0 8B 45 EC 8B 30 FF 56 0C 8B 55 C0 8B 83 94 01 00 00 83 C0 1C E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 8B D0 4A 8D 4D BC 8B 45 EC 8B 30 FF 56 0C 8B 55 BC 8B 83 94 01 00 00 83 C0 20 E8 ?? ?? ?? ?? C6 45 F3 00 83 7D F8 00 74 13 8B 83 94 01 00 00 8B 40 0C 8B 55 F8 E8 ?? ?? ?? ?? 75 12 8B 45 08 40 85 C0 0F 94 C0 0A 45 E7 74 04 C6 45 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 0C 8B 4D 08 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 0F B6 45 F3 8B 7D B0 8B 75 B4 8B 5D B8 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 49 00 4C 00 00 00 }
	condition:
		$1
}

rule function_35360_0 {
	meta:
		name = "TIdIMAP4.ParseLastCmdResultButAppendInfo"
		size = 536
		refs = "001c @UStrAddRef 0024 TIdIMAP4.ParseLastCmdResultButAppendInfo 0035 Trim 0040 @UStrLAsg 004d TextStartsWith 0067 @UStrCopy 008a TextEndsWith 00cb _Dn_TStringList 00d0 TStringList.Create 00f0 TIdIMAP4.ParseIntoBrackettedQuotedAndUnquotedParts 0123 @UStrAsg 016d TIdIMAP4.ParseMessageFlagString 019c TObject.Free 01a2 @HandleFinally 01be @UStrArrayClr 01c6 @UStrClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2C 8D 45 EC 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 36 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 E4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 54 8B D8 83 FB FF 74 34 8D 4D E0 8D 53 01 8B 45 F8 8B 38 FF 57 0C 8B 55 E0 8B 86 94 01 00 00 83 C0 10 E8 ?? ?? ?? ?? 8D 53 01 8B 45 F8 8B 08 FF 51 48 8B D3 8B 45 F8 8B 08 FF 51 48 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 54 8B D8 83 FB FF 74 36 8D 4D DC 8D 53 01 8B 45 F8 8B 38 FF 57 0C 8B 55 DC 8B 86 94 01 00 00 8D 48 14 8B C6 E8 ?? ?? ?? ?? 8D 53 01 8B 45 F8 8B 08 FF 51 48 8B D3 8B 45 F8 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 55 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 4C 00 41 00 47 00 53 00 00 00 }
	condition:
		$1
}

rule function_35361_0 {
	meta:
		name = "TIdIMAP4.ArrayToNumberStr"
		size = 164
		refs = "0015 TIdIMAP4.ArrayToNumberStr 0032 IntToStr 0046 @UStrCatN 0067 @UStrSetLength 007c @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 79 01 4F 85 FF 7C 29 47 8B DA FF 36 8D 55 FC 8B 03 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C3 04 4F 75 DA 8B 06 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B D0 4A 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_35362_0 {
	meta:
		name = "TIdIMAP4.MessageFlagSetToStr"
		size = 200
		refs = "000a @UStrClr 0017 MessageFlags 001e TIdIMAP4.MessageFlagSetToStr 002a @UStrCatN"
	strings:
		$1 = { 53 51 8B D9 88 14 24 8B C3 E8 ?? ?? ?? ?? F6 04 24 01 74 1A FF 33 A1 ?? ?? ?? ?? FF 30 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? F6 04 24 02 74 1B FF 33 A1 ?? ?? ?? ?? FF 70 04 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? F6 04 24 04 74 1B FF 33 A1 ?? ?? ?? ?? FF 70 08 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? F6 04 24 08 74 1B FF 33 A1 ?? ?? ?? ?? FF 70 0C 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? F6 04 24 10 74 1B FF 33 A1 ?? ?? ?? ?? FF 70 10 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 5A 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35363_0 {
	meta:
		name = "TIdIMAP4.StripCRLFs"
		size = 226
		refs = "0015 TIdIMAP4.StripCRLFs 002b TArray<System.Byte> 0030 @DynArraySetLength 003e TStream.SetPosition 0049 TStream.SetSize64 0073 _Dn_TIdStreamHelperVCL 0078 TIdStreamHelperVCL.ReadBytes 0082 ByteIsInEOL 0099 TIdStreamHelperVCL.Write 00d0 @DynArrayClear 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D FC 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 12 89 45 F0 89 55 F4 C7 45 E8 00 00 00 00 C7 45 EC 00 00 00 00 EB 3C 6A 01 6A 00 8D 4D FC 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 13 6A 01 6A 00 8B 4D FC 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 45 E8 01 83 55 EC 00 8B 45 E8 8B 55 EC 3B 55 F4 75 07 3B 45 F0 72 B4 EB 02 7C B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35364_0 {
	meta:
		name = "TIdIMAP4.StripCRLFs"
		size = 237
		refs = "0014 TIdIMAP4.StripCRLFs 003e @UStrSetLength 006d @UniqueStringU 00c5 @UStrAsg 00da @UStrClr 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 8B 06 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 89 45 F8 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? BF 01 00 00 00 3B 5D F8 7F 68 8B 06 66 83 7C 58 FE 0D 75 43 3B 5D F8 7D 26 8B 06 66 83 3C 58 0A 75 05 83 C3 02 EB 46 8D 45 FC E8 ?? ?? ?? ?? 8B 16 0F B7 54 5A FE 66 89 54 78 FE 43 47 EB 2E 8D 45 FC E8 ?? ?? ?? ?? 8B 16 0F B7 54 5A FE 66 89 54 78 FE 43 47 EB 16 8D 45 FC E8 ?? ?? ?? ?? 8B 16 0F B7 54 5A FE 66 89 54 78 FE 43 47 3B 5D F8 7E 98 8B D7 4A 8D 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35365_0 {
	meta:
		name = "CaptureAndDecodeCharset"
		size = 139
		refs = "0007 _Dn_TMemoryStream 000c TObject.Create 0017 CaptureAndDecodeCharset 0026 Indy8BitEncoding 0041 TIdIOHandler.Capture 004d TStream.SetPosition 0067 ReadStringsAsCharset 007c TObject.Free 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 B0 01 E8 ?? ?? ?? ?? 50 8B 45 08 8B 48 F4 8B 45 08 8B 40 F8 8B 80 98 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 8B 48 44 8B 45 08 8B 40 F0 8B 50 40 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_35366_0 {
	meta:
		name = "ProcessTextPart"
		size = 940
		refs = "0018 ProcessTextPart 0025 _Dn_TMemoryStream 002a TObject.Create 0068 TStream.SetPosition 007a _Dn_TIdText 007f TIdText.Create 00a5 TStrings.GetValue 0163 @UStrAsg 018d TStrings.GetName 019b TIdHeaderList.IndexOfName 01d9 ReadStringsAsCharset 01e8 @HandleAnyException 01f0 TObject.Free 01f5 @RaiseAgain 01fa @DoneExcept 0247 @HandleFinally 0263 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8D 48 FF 8B 03 8B 55 FC 8B 30 FF 56 50 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8B 45 08 8B 40 F0 8B 48 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D EC 8B 03 8B 80 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 08 FF 51 3C 8D 4D E8 8B 03 8B 80 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 8B 08 FF 51 44 8D 4D E4 8B 03 8B 80 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 8B 08 FF 51 4C 8D 4D E0 8B 03 8B 80 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F8 8B 08 FF 51 48 8D 4D DC 8B 03 8B 80 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 8B 08 FF 51 38 8D 4D D8 8B 03 8B 80 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F8 8B 08 FF 51 40 8B 45 F8 8B 40 18 83 C0 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 80 98 00 00 00 8B 10 FF 52 14 48 85 C0 7C 50 40 89 45 F0 33 F6 8D 4D D4 8B 03 8B 80 98 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F8 8B 40 24 E8 ?? ?? ?? ?? 85 C0 7D 20 8D 4D D0 8B 03 8B 80 98 00 00 00 8B D6 8B 38 FF 57 0C 8B 55 D0 8B 45 F8 8B 40 18 8B 08 FF 51 38 46 FF 4D F0 75 B6 8B 45 F8 8B 48 10 8B 45 F8 8B 50 40 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 45 F4 89 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 65 00 73 00 63 00 72 00 69 00 70 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 72 00 61 00 6E 00 73 00 66 00 65 00 72 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_35367_0 {
	meta:
		name = "ProcessAttachment"
		size = 956
		refs = "001a ProcessAttachment 009f @HandleFinally 00b9 TStrings.GetValue 0189 @UStrAsg 01cb TStrings.GetName 01d9 TIdHeaderList.IndexOfName 0213 @HandleAnyException 021b TObject.Free 0220 @RaiseAgain 0225 @DoneExcept 0272 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 45 FC 8B 00 8B 90 98 00 00 00 8B 45 08 8B 40 F0 8B 18 FF 53 4C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 10 FF 52 5C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 08 8D 4A FF 8B 55 FC 8B 12 92 8B 18 FF 53 50 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 60 C3 E9 ?? ?? ?? ?? EB F0 8D 4D F0 8B 45 FC 8B 00 8B 80 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 08 FF 51 3C 8D 4D EC 8B 45 FC 8B 00 8B 80 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 08 FF 51 40 8D 4D E8 8B 45 FC 8B 00 8B 80 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 8B 08 FF 51 38 8D 4D E4 8B 45 FC 8B 00 8B 80 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 8B 08 FF 51 44 8D 4D E0 8B 45 FC 8B 00 8B 80 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F8 8B 08 FF 51 4C 8D 4D DC 8B 45 FC 8B 00 8B 80 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 8B 08 FF 51 48 8B 45 F8 83 C0 1C 8B 55 FC 8B 12 8B 92 90 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 18 83 C0 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 00 8B 80 98 00 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 51 46 33 DB 8D 4D D8 8B 45 FC 8B 00 8B 80 98 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F8 8B 40 24 E8 ?? ?? ?? ?? 85 C0 7D 23 8D 4D D4 8B 45 FC 8B 00 8B 80 98 00 00 00 8B D3 8B 38 FF 57 0C 8B 55 D4 8B 45 F8 8B 40 18 8B 08 FF 51 38 43 4E 75 B2 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 72 00 61 00 6E 00 73 00 66 00 65 00 72 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 65 00 73 00 63 00 72 00 69 00 70 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_35368_0 {
	meta:
		name = "TIdIMAP4.ReceiveBody"
		size = 656
		refs = "001d TIdIMAP4.ReceiveBody 002f @UStrLAsg 003b TextStartsWith 0056 @UStrCopy 006c CaptureAndDecodeCharset 00b4 TIdIOHandler.ReadLn 00bf @UStrEqual 00e5 TextEndsWith 00fe _Dn_TIdMessageDecoderList 0103 TIdMessageDecoderList.CheckForStart 012f @UStrDelete 0154 _Dn_TIdTCPStream 0159 TIdTCPStream.Create 018d ProcessTextPart 0199 ProcessAttachment 01ab TObject.Free 01f0 @HandleFinally 0226 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D F4 8B F1 89 55 F0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 F4 8B D6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 B3 01 8D 45 F4 50 B9 FF FF FF 7F BA 05 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 45 FF 00 8B 45 F0 80 B8 85 00 00 00 00 74 0C 55 E8 ?? ?? ?? ?? 59 E9 9F 01 00 00 6A 00 6A 00 33 D2 8B 45 F8 8B 08 FF 51 44 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D EC 8B 45 F8 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 EC 8B 55 F4 E8 ?? ?? ?? ?? 0F 84 0B 01 00 00 84 DB 74 24 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 13 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 84 C0 0F 85 E3 00 00 00 83 7D E8 00 75 13 8B 4D EC 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 75 36 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 12 8D 45 EC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 40 8B 55 EC 8B 08 FF 51 38 E9 84 00 00 00 83 7D E8 00 74 7E 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 89 82 A0 00 00 00 8B 45 E8 8B 10 FF 52 54 8B 45 E8 0F B6 80 9C 00 00 00 2C 01 72 0C 74 16 FE C8 74 1E FE C8 74 2B EB 3C 55 8D 45 E8 E8 ?? ?? ?? ?? 59 EB 30 55 8D 45 E8 E8 ?? ?? ?? ?? 59 EB 24 8B 75 E8 33 C0 89 45 E8 8B C6 E8 ?? ?? ?? ?? EB 13 8B 7D E8 33 C0 89 45 E8 8B C7 E8 ?? ?? ?? ?? C6 45 FF 01 83 7D E8 00 75 82 80 7D FF 00 0F 84 D1 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 4D 00 41 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 46 00 4C 00 41 00 47 00 53 00 20 00 28 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_35369_0 {
	meta:
		name = "TIdIMAP4.GetResponse"
		size = 592
		refs = "001b TIdIMAP4.GetResponse 0029 @UStrClr 0030 _Dn_TStringList 0035 TStringList.Create 0080 Pos 009a @UStrCopy 00a5 Trim 00d1 @UStrLAsg 00e1 VALID_TAGGEDREPLIES 00ee PosInStrArray 00fe @UStrAsg 0114 @TryFinallyExit 01fe TObject.Free 0204 @HandleFinally 0220 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 FC 50 8B 45 F0 8B 80 98 00 00 00 33 C9 BA FF FF FF 7F 8B 18 FF 93 C8 00 00 00 83 7D FC 00 74 DE 8B 55 FC 8B 45 E8 8B 08 FF 51 38 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 40 8D 45 E4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 E0 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 8D 55 F4 E8 ?? ?? ?? ?? EB 13 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 6A 01 8B 15 ?? ?? ?? ?? B9 05 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 43 7E 26 8B 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 9C 00 00 00 8B 55 E8 8B 08 FF 51 2C E8 ?? ?? ?? ?? E9 ED 00 00 00 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 84 19 FF FF FF 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 4B 8D 45 DC 50 8B CB 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 DC 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 D4 50 8D 53 01 B9 FF FF FF 7F 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 F4 E8 ?? ?? ?? ?? EB 13 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 6A 01 8B 15 ?? ?? ?? ?? B9 05 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 43 0F 8E 8A FE FF FF 8B 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 9C 00 00 00 8B 55 E8 8B 08 FF 51 2C E8 ?? ?? ?? ?? EB 27 E9 62 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35370_0 {
	meta:
		name = "Finalization"
		size = 153
		refs = "0007 Finalization 0013 _DV_11 001a IMAP4Commands 0025 string 002a @FinalizeArray 002f IMAP4FetchDataItem 0044 IMAP4SearchKeys 0059 IMAP4StoreDataItem 006e IMAP4StatusDataItem 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 69 B8 ?? ?? ?? ?? B9 19 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 10 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 23 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 06 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_35374_0 {
	meta:
		name = "TIdIMAP4Server.SendGreeting"
		size = 232
		refs = "0011 TIdIMAP4Server.SendGreeting 002e TIdIMAP4Server.DoSendReply 003a TIdBaseComponent.GetIndyVersion 004a @UStrCat3 0070 @UStrArrayClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 58 01 00 00 00 74 10 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? EB 26 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2A 00 20 00 4F 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 2A 00 20 00 4F 00 4B 00 20 00 49 00 6E 00 64 00 79 00 20 00 49 00 4D 00 41 00 50 00 20 00 73 00 65 00 72 00 76 00 65 00 72 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_35380_0 {
	meta:
		name = "TIdIMAP4Server.SendOkReply"
		size = 140
		refs = "0019 TIdIMAP4Server.SendOkReply 003d @UStrCatN 0049 TIdIMAP4Server.DoSendReply 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7E 20 8B 47 58 FF 70 1C 68 ?? ?? ?? ?? FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 4F 00 4B 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_35381_0 {
	meta:
		name = "TIdIMAP4Server.SendBadReply"
		size = 140
		refs = "0019 TIdIMAP4Server.SendBadReply 003d @UStrCatN 0049 TIdIMAP4Server.DoSendReply 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7E 20 8B 47 58 FF 70 1C 68 ?? ?? ?? ?? FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 42 00 41 00 44 00 20 00 00 00 }
	condition:
		$1
}

rule function_35382_0 {
	meta:
		name = "TIdIMAP4Server.SendBadReply"
		size = 94
		refs = "0012 TIdIMAP4Server.SendBadReply 0029 IndyFormat 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 55 0C 8B 4D 08 8B C7 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_35412_0 {
	meta:
		name = "TIdIMAP4Server.DoSendReply"
		size = 94
		refs = "0012 TIdIMAP4Server.DoSendReply 0029 IndyFormat 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 55 0C 8B 4D 08 8B C7 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_35384_0 {
	meta:
		name = "TIdIMAP4Server.SendNoReply"
		size = 94
		refs = "0012 TIdIMAP4Server.SendNoReply 0029 IndyFormat 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 55 0C 8B 4D 08 8B C7 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_35383_0 {
	meta:
		name = "TIdIMAP4Server.SendNoReply"
		size = 196
		refs = "0014 TIdIMAP4Server.SendNoReply 003a @UStrCatN 0047 TIdIMAP4Server.DoSendReply 005f @UStrCat3 0085 @UStrArrayClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 2B 8B 43 20 8B 40 58 FF 70 1C 68 ?? ?? ?? ?? 57 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B 53 20 8B C6 E8 ?? ?? ?? ?? EB 22 8B 7B 20 8B 47 58 8B 50 1C 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 4E 00 4F 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 4E 00 4F 00 00 00 }
	condition:
		$1
}

rule function_35385_0 {
	meta:
		name = "TIdIMAP4Server.InitComponent"
		size = 168
		refs = "0006 TIdExplicitTLSServer.InitComponent 002b _DV_TIdIMAP4PeerContext 004a TIdIMAP4Server.InitComponent 004f @UStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 C7 83 52 01 00 00 E1 03 66 C7 83 50 01 00 00 8F 00 66 BA 8F 00 8B C3 8B 08 FF 91 98 00 00 00 A1 ?? ?? ?? ?? 89 83 9C 00 00 00 C6 83 58 01 00 00 00 C6 83 59 01 00 00 01 8D 83 5C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 60 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 83 64 01 00 00 2E 00 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 5C 00 69 00 6D 00 61 00 70 00 6D 00 61 00 69 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 64 00 6D 00 69 00 6E 00 00 00 }
	condition:
		$1
}

rule function_35387_0 {
	meta:
		name = "TIdIMAP4Server.CreateExceptionReply"
		size = 128
		refs = "000e _Dn_TIdReplyIMAP4 0013 TIdReplyIMAP4.CreateWithReplyTexts 001a TIdIMAP4Server.CreateExceptionReply"
	strings:
		$1 = { 53 56 8B 80 44 01 00 00 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 48 8B C3 5E 5B C3 00 B0 04 02 00 FF FF FF FF 16 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 20 00 45 00 72 00 72 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 42 00 41 00 44 00 00 00 }
	condition:
		$1
}

rule function_35388_0 {
	meta:
		name = "TIdIMAP4Server.CreateGreeting"
		size = 96
		refs = "000e _Dn_TIdReplyIMAP4 0013 TIdReplyIMAP4.CreateWithReplyTexts 001a TIdIMAP4Server.CreateGreeting"
	strings:
		$1 = { 53 56 8B 80 44 01 00 00 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 48 8B C3 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 65 00 6C 00 63 00 6F 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35389_0 {
	meta:
		name = "TIdIMAP4Server.CreateHelpReply"
		size = 108
		refs = "000e _Dn_TIdReplyIMAP4 0013 TIdReplyIMAP4.CreateWithReplyTexts 001a TIdIMAP4Server.CreateHelpReply"
	strings:
		$1 = { 53 56 8B 80 44 01 00 00 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 48 8B C3 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 48 00 65 00 6C 00 70 00 20 00 66 00 6F 00 6C 00 6C 00 6F 00 77 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35390_0 {
	meta:
		name = "TIdIMAP4Server.CreateMaxConnectionReply"
		size = 160
		refs = "000e _Dn_TIdReplyIMAP4 0013 TIdReplyIMAP4.CreateWithReplyTexts 001a TIdIMAP4Server.CreateMaxConnectionReply"
	strings:
		$1 = { 53 56 8B 80 44 01 00 00 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 48 8B C3 5E 5B C3 00 B0 04 02 00 FF FF FF FF 26 00 00 00 54 00 6F 00 6F 00 20 00 6D 00 61 00 6E 00 79 00 20 00 63 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 73 00 2E 00 20 00 54 00 72 00 79 00 20 00 61 00 67 00 61 00 69 00 6E 00 20 00 6C 00 61 00 74 00 65 00 72 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 42 00 41 00 44 00 00 00 }
	condition:
		$1
}

rule function_35391_0 {
	meta:
		name = "TIdIMAP4Server.CreateReplyUnknownCommand"
		size = 112
		refs = "000e _Dn_TIdReplyIMAP4 0013 TIdReplyIMAP4.CreateWithReplyTexts 001a TIdIMAP4Server.CreateReplyUnknownCommand"
	strings:
		$1 = { 53 56 8B 80 44 01 00 00 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 48 8B C3 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 63 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 42 00 41 00 44 00 00 00 }
	condition:
		$1
}

rule function_35392_0 {
	meta:
		name = "TIdIMAP4PeerContext.Create"
		size = 103
		refs = "000d @ClassCreate 0022 TIdContext.Create 0029 _Dn_TIdMailBox 002e TIdInitializerComponent.Create 003a _Dn_TIdReplyIMAP4 003f TIdReply.Create 0051 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 58 C6 46 48 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_35393_0 {
	meta:
		name = "TIdIMAP4PeerContext.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TIdContext.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35394_0 {
	meta:
		name = "TIdIMAP4PeerContext.GetUsingTLS"
		size = 47
		refs = "0011 _Dn_TIdSSLIOHandlerSocketBase 0016 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 43 14 8B B0 98 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 0F B6 86 08 01 00 00 34 01 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_35395_0 {
	meta:
		name = "TIdIMAP4Server.DoReplyUnknownCommand"
		size = 196
		refs = "0011 TIdIMAP4Server.DoReplyUnknownCommand 0025 @UStrLAsg 0048 @UStrCat3 0054 TIdIMAP4Server.DoSendReply 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 58 8B 52 1C E8 ?? ?? ?? ?? 83 7D FC 00 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 20 00 4E 00 4F 00 20 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 63 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_35396_0 {
	meta:
		name = "TIdIMAP4Server.ExpungeRecords"
		size = 125
		refs = "001e TIdMessageCollection.GetIdMessage 0056 TCollection.Delete 006a TCollection.GetCount"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 04 24 8B 5A 20 33 F6 C6 44 24 04 01 EB 4E 8B 43 50 8B 40 48 8B D6 E8 ?? ?? ?? ?? 8B F8 F6 47 69 04 74 38 57 8B 43 50 8B 48 44 8B 7C 24 04 8B 53 4C 8B 87 B4 01 00 00 FF 97 B0 01 00 00 84 C0 75 05 C6 44 24 04 00 8B 43 50 8B 40 48 8B D6 E8 ?? ?? ?? ?? 8B 43 50 FF 48 54 EB 01 46 8B 43 50 8B 40 48 E8 ?? ?? ?? ?? 3B F0 7C A3 0F B6 44 24 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35397_0 {
	meta:
		name = "TIdIMAP4Server.MessageSetToMessageNumbers"
		size = 468
		refs = "001e @UStrAddRef 0026 TIdIMAP4Server.MessageSetToMessageNumbers 003c IndyPos 0066 @UStrCopy 006e IndyStrToInt 0092 @UStrEqual 00be IntToStr 0160 BreakApart 017c @UStrArrayClr 0184 @UStrClr 0192 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 88 55 FB 8B 7D 0C 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 20 8B C7 8B 10 FF 52 44 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 08 B8 ?? ?? ?? ?? FF D3 8B D8 85 DB 0F 8E DB 00 00 00 8D 45 FC 50 8B CB 49 BA 01 00 00 00 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8D 45 FC 50 8D 53 01 B9 FF FF FF 7F 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 6D 80 7D FB 00 74 37 8B 46 50 8B 40 58 E8 ?? ?? ?? ?? 48 8B 75 F4 8B D8 2B DE 0F 8C AD 00 00 00 43 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 8B 08 FF 51 38 46 4B 75 E8 E9 8F 00 00 00 8B 46 50 8B 40 48 8B 40 08 8B 40 08 8B 75 F4 8B D8 2B DE 7C 7A 43 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B C7 8B 08 FF 51 38 46 4B 75 E8 EB 5F 8B 45 FC E8 ?? ?? ?? ?? 8B 75 F4 8B D8 2B DE 7C 4E 43 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 55 E8 8B C7 8B 08 FF 51 38 46 4B 75 E8 EB 33 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 08 B8 ?? ?? ?? ?? FF D3 8B D8 85 DB 75 0C 8B 55 08 8B C7 8B 08 FF 51 38 EB 0F 8B CF BA ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_35398_0 {
	meta:
		name = "TIdIMAP4Server.GetRecordForUID"
		size = 73
		refs = "0009 IndyStrToInt 0026 TIdMessageCollection.GetIdMessage"
	strings:
		$1 = { 53 56 57 55 8B F9 8B C2 E8 ?? ?? ?? ?? 8B E8 8B 47 48 8B 40 08 8B 70 08 4E 85 F6 7C 24 46 33 DB 8B 47 48 8B D3 E8 ?? ?? ?? ?? 8B 80 B4 00 00 00 E8 ?? ?? ?? ?? 3B E8 75 04 8B C3 EB 07 43 4E 75 DF 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35399_0 {
	meta:
		name = "TIdIMAP4Server.StripQuotesIfNecessary"
		size = 167
		refs = "0011 @UStrAddRef 0019 TIdIMAP4Server.StripQuotesIfNecessary 0074 @UStrCopy 0080 @UStrAsg 0095 @UStrClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 45 8B 45 FC 66 83 38 22 75 3C 8B 03 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B 4D FC 66 83 7C 41 FE 22 75 20 8B F2 85 F6 74 05 83 EE 04 8B 36 53 8B CE 83 E9 02 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35400_0 {
	meta:
		name = "TIdIMAP4Server.ReassembleParams"
		size = 480
		refs = "001e TIdIMAP4Server.ReassembleParams 00b4 @UStrCopy 0163 @UStrCatN 01ab @UStrArrayClr 01be @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 66 89 55 F6 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 0F B7 45 F6 66 83 E8 28 74 08 66 83 E8 33 74 0A EB 10 66 C7 45 F4 29 00 EB 10 66 C7 45 F4 5D 00 EB 08 0F B7 45 F6 66 89 45 F4 8D 4D FC 8B 55 08 8B C6 8B 38 FF 57 0C 83 7D FC 00 0F 84 2A 01 00 00 8B 45 FC 0F B7 00 66 3B 45 F6 0F 85 1A 01 00 00 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 8B 4D FC 0F B7 44 41 FE 66 3B 45 F4 75 35 8B DA 85 DB 74 05 83 EB 04 8B 1B 8D 45 EC 50 8B CB 83 E9 02 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 4D EC 8B 55 08 8B C6 8B 18 FF 53 20 B3 01 E9 C9 00 00 00 8D 45 F8 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 40 89 45 F0 8B C6 8B 10 FF 52 14 48 3B 45 F0 7F 07 33 DB E9 98 00 00 00 8D 4D FC 8B 55 F0 8B C6 8B 18 FF 53 0C 8B 55 F0 8B C6 8B 08 FF 51 48 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 8B 4D FC 0F B7 44 41 FE 66 3B 45 F4 75 48 8B DA 85 DB 74 05 83 EB 04 8B 1B FF 75 F8 68 ?? ?? ?? ?? 8D 45 E4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? FF 75 E4 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 8B 55 08 8B C6 8B 18 FF 53 20 B3 01 EB 1D FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 54 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35401_0 {
	meta:
		name = "TIdIMAP4Server.ReinterpretParamAsMailBox"
		size = 144
		refs = "0019 TIdIMAP4Server.ReinterpretParamAsMailBox 0064 TIdIMAP4Server.ReassembleParams 007b @UStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B D9 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 0B 8B C6 8B 10 FF 52 14 3B D8 7C 04 33 DB EB 34 8D 4D FC 8B D3 8B C6 8B 38 FF 57 0C 83 7D FC 00 75 04 33 DB EB 1E 8B 45 FC 66 83 38 22 74 04 B3 01 EB 11 53 8B CE 66 BA 22 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35402_0 {
	meta:
		name = "TIdIMAP4Server.ReinterpretParamAsDataItems"
		size = 13
		refs = "0008 TIdIMAP4Server.ReassembleParams"
		altNames = "TIdIMAP4Server.ReinterpretParamAsFlags"
	strings:
		$1 = { 51 66 B9 28 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35404_0 {
	meta:
		name = "TIdIMAP4Server.FlagStringToFlagList"
		size = 208
		refs = "0016 @UStrAddRef 001e TIdIMAP4Server.FlagStringToFlagList 007c @UStrCopy 008b BreakApart 00ab @UStrArrayClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 44 83 7D FC 00 74 23 8B 45 FC 66 83 38 28 75 1A 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 FC 66 83 7C 42 FE 29 0F 94 C0 EB 02 33 C0 84 C0 74 35 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 8B CB 83 E9 02 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B CE BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? B3 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35405_0 {
	meta:
		name = "TIdIMAP4Server.ProcessFetch"
		size = 4532
		refs = "0023 TIdIMAP4Server.ProcessFetch 0039 _Dn_TStringList 003e TStringList.Create 0073 TIdIMAP4Server.MessageSetToMessageNumbers 0087 TIdIMAP4Server.SendBadReply 008c @TryFinallyExit 00a1 TIdIMAP4Server.ReinterpretParamAsDataItems 00fc BreakApart 013d TIdIMAP4Server.GetRecordForUID 0162 IndyStrToInt 01ca TIdMessageCollection.GetIdMessage 0204 TextIsSame 0231 TIdIMAP4Server.DoSendReply 027c TIdIMAP4Server.MessageFlagSetToStr 034c _Dn_TIdMessage 0351 TIdInitializerComponent.Create 039c TIdIMAP4Server.SendNoReply 0500 TObject.Free 0506 @HandleFinally 066b PosInStrArray 0784 @UStrCopy 0971 @UStrCat3 09a8 TextStartsWith 0abf TIdIMAP4Server.SendOkReply 0adc @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 27 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D EC 88 55 F3 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 20 89 45 C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 50 8D 4D B8 33 D2 8B 45 08 8B 18 FF 53 0C 8B 45 B8 50 8B 4D EC 0F B6 55 F3 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 1A B9 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2E 0A 00 00 B9 01 00 00 00 8B 55 08 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 1A B9 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 00 0A 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D B4 BA 01 00 00 00 8B 45 08 8B 18 FF 53 0C 8B 45 B4 8B 4D E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 14 48 85 C0 0F 8C 5E 09 00 00 40 89 45 C0 C7 45 E0 00 00 00 00 80 7D F3 00 74 2E 8D 4D B0 8B 55 E0 8B 45 E8 8B 18 FF 53 0C 8B 55 B0 8B 45 C4 8B 48 50 8B 45 F4 E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 FF 0F 84 15 09 00 00 EB 1A 8D 4D AC 8B 55 E0 8B 45 E8 8B 18 FF 53 0C 8B 45 AC E8 ?? ?? ?? ?? 48 89 45 D8 83 7D D8 00 7D 04 B0 01 EB 15 8B 45 C4 8B 40 50 8B 40 48 8B 40 08 8B 40 08 3B 45 D8 0F 9C C0 84 C0 74 30 8B 45 D8 40 89 45 A4 C6 45 A8 00 8D 45 A4 50 6A 00 B9 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 06 09 00 00 8B 45 C4 8B 40 50 8B 40 48 8B 55 D8 E8 ?? ?? ?? ?? 89 45 D0 8B 45 E4 8B 10 FF 52 14 48 85 C0 0F 8C 81 08 00 00 40 89 45 BC C7 45 DC 00 00 00 00 8D 4D A0 8B 55 DC 8B 45 E4 8B 18 FF 53 0C 8B 45 A0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2E 8B 45 D0 8B 80 B4 00 00 00 89 45 A4 C6 45 A8 11 8D 45 A4 50 6A 00 8B 45 EC 8B 50 20 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E9 1D 08 00 00 8D 4D 9C 8B 55 DC 8B 45 E4 8B 18 FF 53 0C 8B 45 9C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C3 00 00 00 80 7D F3 00 74 63 8B 45 D8 40 89 45 84 C6 45 88 00 8D 4D 80 8B 45 D0 0F B6 50 69 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 80 89 45 8C C6 45 90 11 8D 8D 7C FF FF FF 8B 55 E0 8B 45 E8 8B 18 FF 53 0C 8B 85 7C FF FF FF 89 45 94 C6 45 98 11 8D 45 84 50 6A 02 8B 45 EC 8B 50 20 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E9 91 07 00 00 8B 45 D8 40 89 85 6C FF FF FF C6 85 70 FF FF FF 00 8D 8D 68 FF FF FF 8B 45 D0 0F B6 50 69 8B 45 F4 E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 89 85 74 FF FF FF C6 85 78 FF FF FF 11 8D 85 6C FF FF FF 50 6A 01 8B 45 EC 8B 50 20 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E9 37 07 00 00 8D 8D 64 FF FF FF 8B 55 DC 8B 45 E4 8B 18 FF 53 0C 8B 85 64 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C3 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 D0 50 8B 45 CC 50 8B 45 C4 8B 40 50 8B 48 44 8B 45 C4 8B 50 4C 8B 5D F4 8B 83 CC 01 00 00 FF 93 C8 01 00 00 84 C0 75 24 B9 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0F 07 00 00 33 C0 89 45 D4 8B 45 CC 8B 40 70 8B 10 FF 52 14 8B D8 4B 85 DB 7C 3B 43 33 F6 8D 8D 60 FF FF FF 8B 45 CC 8B 40 70 8B D6 8B 38 FF 57 0C 8B 85 60 FF FF FF 89 85 5C FF FF FF 8B 85 5C FF FF FF 85 C0 74 05 83 E8 04 8B 00 83 C0 02 01 45 D4 46 4B 75 C8 80 7D F3 00 74 4E 8B 45 D8 40 89 45 84 C6 45 88 00 8D 8D 58 FF FF FF 8B 55 E0 8B 45 E8 8B 18 FF 53 0C 8B 85 58 FF FF FF 89 45 8C C6 45 90 11 8B 45 D4 89 45 94 C6 45 98 00 8D 45 84 50 6A 02 8B 45 EC 8B 50 20 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 3D 8B 45 D8 40 89 85 6C FF FF FF C6 85 70 FF FF FF 00 8B 45 D4 89 85 74 FF FF FF C6 85 78 FF FF FF 00 8D 85 6C FF FF FF 50 6A 01 8B 45 EC 8B 50 20 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 CC 8B 40 70 8B 10 FF 52 14 8B D8 4B 85 DB 7C 2E 43 33 F6 8D 8D 54 FF FF FF 8B 45 CC 8B 40 70 8B D6 8B 38 FF 57 0C 8B 8D 54 FF FF FF 8B 45 EC 8B 50 20 8B 45 F4 E8 ?? ?? ?? ?? 46 4B 75 D5 8B 45 EC 8B 50 20 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 CC 33 D2 89 55 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8D 8D 50 FF FF FF 8B 55 DC 8B 45 E4 8B 18 FF 53 0C 8B 85 50 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 E3 00 00 00 8B 45 D0 50 8B 45 C4 8B 40 50 8B 48 44 8B 45 C4 8B 50 4C 8B 5D F4 8B 83 C4 01 00 00 FF 93 C0 01 00 00 89 45 D4 83 7D D4 FF 75 1F B9 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 44 05 00 00 80 7D F3 00 74 51 8B 45 D8 40 89 45 84 C6 45 88 00 8D 8D 4C FF FF FF 8B 55 E0 8B 45 E8 8B 18 FF 53 0C 8B 85 4C FF FF FF 89 45 8C C6 45 90 11 8B 45 D4 89 45 94 C6 45 98 00 8D 45 84 50 6A 02 8B 45 EC 8B 50 20 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E9 81 04 00 00 8B 45 D8 40 89 85 6C FF FF FF C6 85 70 FF FF FF 00 8B 45 D4 89 85 74 FF FF FF C6 85 78 FF FF FF 00 8D 85 6C FF FF FF 50 6A 01 8B 45 EC 8B 50 20 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E9 3F 04 00 00 6A 00 8D 8D 48 FF FF FF 8B 55 DC 8B 45 E4 8B 18 FF 53 0C 8B 85 48 FF FF FF 50 B8 ?? ?? ?? ?? 89 85 6C FF FF FF B8 ?? ?? ?? ?? 89 85 70 FF FF FF B8 ?? ?? ?? ?? 89 85 74 FF FF FF B8 ?? ?? ?? ?? 89 85 78 FF FF FF 8D 95 6C FF FF FF B9 03 00 00 00 58 E8 ?? ?? ?? ?? 40 0F 84 B1 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 D0 50 8B 45 C8 50 8B 45 C4 8B 40 50 8B 48 44 8B 45 C4 8B 50 4C 8B 5D F4 8B 83 D4 01 00 00 FF 93 D0 01 00 00 84 C0 75 24 B9 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E2 03 00 00 33 C0 89 45 D4 8B 45 D0 8B 40 70 8B 10 FF 52 14 8B D8 4B 85 DB 7C 38 43 33 F6 8D 8D 44 FF FF FF 8B D6 8B 45 C8 8B 38 FF 57 0C 8B 85 44 FF FF FF 89 85 5C FF FF FF 8B 85 5C FF FF FF 85 C0 74 05 83 E8 04 8B 00 83 C0 02 01 45 D4 46 4B 75 CB 83 45 D4 03 8D 4D F8 BA 01 00 00 00 8B 45 08 8B 18 FF 53 0C 8D 8D 40 FF FF FF BA 01 00 00 00 8B 45 08 8B 18 FF 53 0C 8B 85 40 FF FF FF 89 85 5C FF FF FF 8B 9D 5C FF FF FF 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC 50 8B CB 83 E9 02 BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 80 7D F3 00 0F 84 9B 00 00 00 8B 45 D8 40 89 85 18 FF FF FF C6 85 1C FF FF FF 00 8D 8D 14 FF FF FF 8B 45 D0 0F B6 50 69 8B 45 F4 E8 ?? ?? ?? ?? 8B 85 14 FF FF FF 89 85 20 FF FF FF C6 85 24 FF FF FF 11 8D 8D 10 FF FF FF 8B 55 E0 8B 45 E8 8B 18 FF 53 0C 8B 85 10 FF FF FF 89 85 28 FF FF FF C6 85 2C FF FF FF 11 8B 45 FC 89 85 30 FF FF FF C6 85 34 FF FF FF 11 8B 45 D4 89 85 38 FF FF FF C6 85 3C FF FF FF 00 8D 85 18 FF FF FF 50 6A 04 8B 45 EC 8B 50 20 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 75 8B 45 D8 40 89 85 F0 FE FF FF C6 85 F4 FE FF FF 00 8D 8D EC FE FF FF 8B 45 D0 0F B6 50 69 8B 45 F4 E8 ?? ?? ?? ?? 8B 85 EC FE FF FF 89 85 F8 FE FF FF C6 85 FC FE FF FF 11 8B 45 FC 89 85 00 FF FF FF C6 85 04 FF FF FF 11 8B 45 D4 89 85 08 FF FF FF C6 85 0C FF FF FF 00 8D 85 F0 FE FF FF 50 6A 03 8B 45 EC 8B 50 20 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D0 8B 40 70 8B 10 FF 52 14 8B D8 4B 85 DB 7C 2B 43 33 F6 8D 8D E8 FE FF FF 8B D6 8B 45 C8 8B 38 FF 57 0C 8B 8D E8 FE FF FF 8B 45 EC 8B 50 20 8B 45 F4 E8 ?? ?? ?? ?? 46 4B 75 D8 8B 45 EC 8B 50 20 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 8B 50 20 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C8 33 D2 89 55 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8D 8D E4 FE FF FF 8B 55 DC 8B 45 E4 8B 18 FF 53 0C 8B 85 E4 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3F 8D 8D DC FE FF FF BA 01 00 00 00 8B 45 08 8B 18 FF 53 0C 8B 8D DC FE FF FF 8D 85 E0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E0 FE FF FF 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? E9 CC 00 00 00 8D 8D D8 FE FF FF 8B 55 DC 8B 45 E4 8B 18 FF 53 0C 8B 85 D8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 25 8D 8D D4 FE FF FF 8B 55 DC 8B 45 E4 8B 18 FF 53 0C 8B 85 D4 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3C 8D 8D CC FE FF FF BA 01 00 00 00 8B 45 08 8B 18 FF 53 0C 8B 8D CC FE FF FF 8D 85 D0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D D0 FE FF FF 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? EB 46 8D 8D C4 FE FF FF BA 01 00 00 00 8B 45 08 8B 18 FF 53 0C 8B 8D C4 FE FF FF 8D 85 C8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D C8 FE FF FF 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6C FF 45 DC FF 4D BC 0F 85 8A F7 FF FF FF 45 E0 FF 4D C0 0F 85 AD F6 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B9 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 C4 FE FF FF BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 85 10 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 40 FF FF FF BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 9C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 81 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 28 00 00 00 45 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 73 00 79 00 6E 00 74 00 61 00 78 00 20 00 6F 00 66 00 20 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 20 00 73 00 65 00 74 00 20 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 46 00 65 00 74 00 63 00 68 00 20 00 64 00 61 00 74 00 61 00 20 00 69 00 74 00 65 00 6D 00 73 00 20 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 20 00 69 00 73 00 20 00 69 00 6E 00 76 00 61 00 6C 00 69 00 64 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 20 00 6E 00 75 00 6D 00 62 00 65 00 72 00 20 00 25 00 64 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 78 00 69 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 55 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 2A 00 20 00 46 00 45 00 54 00 43 00 48 00 20 00 28 00 55 00 49 00 44 00 20 00 25 00 73 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 4C 00 41 00 47 00 53 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 2A 00 20 00 25 00 64 00 20 00 46 00 45 00 54 00 43 00 48 00 20 00 28 00 46 00 4C 00 41 00 47 00 53 00 20 00 28 00 25 00 73 00 29 00 20 00 55 00 49 00 44 00 20 00 25 00 73 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 2A 00 20 00 25 00 64 00 20 00 46 00 45 00 54 00 43 00 48 00 20 00 28 00 46 00 4C 00 41 00 47 00 53 00 20 00 28 00 25 00 73 00 29 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 46 00 43 00 38 00 32 00 32 00 2E 00 48 00 45 00 41 00 44 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 46 00 61 00 69 00 6C 00 65 00 64 00 20 00 74 00 6F 00 20 00 67 00 65 00 74 00 20 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 20 00 68 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 2A 00 20 00 25 00 64 00 20 00 46 00 45 00 54 00 43 00 48 00 20 00 28 00 55 00 49 00 44 00 20 00 25 00 73 00 20 00 52 00 46 00 43 00 38 00 32 00 32 00 2E 00 48 00 45 00 41 00 44 00 45 00 52 00 20 00 7B 00 25 00 64 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 2A 00 20 00 25 00 64 00 20 00 46 00 45 00 54 00 43 00 48 00 20 00 28 00 52 00 46 00 43 00 38 00 32 00 32 00 2E 00 48 00 45 00 41 00 44 00 45 00 52 00 20 00 7B 00 25 00 64 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 46 00 43 00 38 00 32 00 32 00 2E 00 53 00 49 00 5A 00 45 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 46 00 61 00 69 00 6C 00 65 00 64 00 20 00 74 00 6F 00 20 00 67 00 65 00 74 00 20 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 20 00 73 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 2A 00 20 00 25 00 64 00 20 00 46 00 45 00 54 00 43 00 48 00 20 00 28 00 55 00 49 00 44 00 20 00 25 00 73 00 20 00 52 00 46 00 43 00 38 00 32 00 32 00 2E 00 53 00 49 00 5A 00 45 00 20 00 25 00 64 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 2A 00 20 00 25 00 64 00 20 00 46 00 45 00 54 00 43 00 48 00 20 00 28 00 52 00 46 00 43 00 38 00 32 00 32 00 2E 00 53 00 49 00 5A 00 45 00 20 00 25 00 64 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 42 00 4F 00 44 00 59 00 2E 00 50 00 45 00 45 00 4B 00 5B 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 4F 00 44 00 59 00 5B 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 46 00 43 00 38 00 32 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 46 00 43 00 38 00 32 00 32 00 2E 00 50 00 45 00 45 00 4B 00 00 00 B0 04 02 00 }
	condition:
		$1
}

rule function_35406_0 {
	meta:
		name = "TIdIMAP4Server.ProcessSearch"
		size = 1812
		refs = "0027 TIdIMAP4Server.ProcessSearch 004d TIdIMAP4Server.SendIncorrectNumberOfParameters 009a PosInStrArray 00b3 TIdIMAP4Server.SendBadReply 0103 @UStrCatN 014c @UStrCopy 0154 @UStrClr 015b _Dn_TIdMessage 0160 TIdInitializerComponent.Create 01a2 TIdMessageCollection.GetIdMessage 01df TIdIMAP4Server.SendNoReply 01e4 @TryFinallyExit 0212 TIdMessage.GetFrom 021d UpperCase 0235 Pos 0275 IntToStr 02ba TIdEMailAddressList.GetItem 0534 TObject.Free 053a @HandleFinally 054a TrimRight 0560 @UStrCat3 0574 TIdIMAP4Server.DoSendReply 0584 TIdIMAP4Server.SendOkReply 05a1 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 10 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D EC 88 55 F3 89 45 F4 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 20 89 45 D8 8B C3 8B 10 FF 52 14 83 F8 02 7D 10 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? E9 32 05 00 00 6A 00 8D 4D D4 33 D2 8B C3 8B 30 FF 56 0C 8B 45 D4 50 B8 ?? ?? ?? ?? 89 45 C0 B8 ?? ?? ?? ?? 89 45 C4 B8 ?? ?? ?? ?? 89 45 C8 B8 ?? ?? ?? ?? 89 45 CC B8 ?? ?? ?? ?? 89 45 D0 8D 55 C0 B9 04 00 00 00 58 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 FF 75 15 B9 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? E9 CC 04 00 00 8D 4D FC BA 01 00 00 00 8B C3 8B 30 FF 56 0C 8B C3 8B 10 FF 52 14 8B F0 4E 83 EE 02 7C 33 46 C7 45 E8 02 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 4D BC 8B 55 E8 8B C3 8B 38 FF 57 0C FF 75 BC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 E8 4E 75 D5 8B 45 FC 66 83 38 22 75 3A 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 8B 4D FC 66 83 7C 41 FE 22 75 21 8B DA 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC 50 8B CB 83 E9 02 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 D8 8B 40 50 8B 40 48 8B 40 08 8B 70 08 4E 85 F6 0F 8C 91 03 00 00 46 C7 45 E8 00 00 00 00 8B 45 D8 8B 40 50 8B 40 48 8B 55 E8 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 50 8B 45 DC 50 8B 45 D8 8B 40 50 8B 48 44 8B 45 D8 8B 50 4C 8B 5D F4 8B 83 CC 01 00 00 FF 93 C8 01 00 00 84 C0 75 1A B9 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9B 03 00 00 8B 45 E4 83 E8 01 72 19 0F 84 98 00 00 00 48 0F 84 42 01 00 00 48 0F 84 E9 01 00 00 E9 8F 02 00 00 8B 45 DC E8 ?? ?? ?? ?? 8B 40 0C 8D 55 B8 E8 ?? ?? ?? ?? 8B 45 B8 50 8D 55 B4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B4 5A E8 ?? ?? ?? ?? 85 C0 0F 8E D3 02 00 00 80 7D F3 00 74 23 FF 75 F8 8B 45 E0 FF B0 B4 00 00 00 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 AA 02 00 00 FF 75 F8 8D 55 B0 8B 45 E8 40 E8 ?? ?? ?? ?? FF 75 B0 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 81 02 00 00 8B 45 DC 8B 80 A0 00 00 00 8B 40 08 8B 58 08 4B 85 DB 0F 8C 69 02 00 00 43 33 FF 8B 45 DC 8B 80 A0 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B 40 0C 8D 55 AC E8 ?? ?? ?? ?? 8B 45 AC 50 8D 55 A8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A8 5A E8 ?? ?? ?? ?? 85 C0 7E 52 80 7D F3 00 74 23 FF 75 F8 8B 45 E0 FF B0 B4 00 00 00 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 06 02 00 00 FF 75 F8 8D 55 A4 8B 45 E8 40 E8 ?? ?? ?? ?? FF 75 A4 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 DD 01 00 00 47 4B 0F 85 6F FF FF FF E9 D0 01 00 00 8B 45 DC 8B 80 A0 00 00 00 8B 40 08 8B 58 08 4B 85 DB 0F 8C B8 01 00 00 43 33 FF 8B 45 DC 8B 40 48 8B D7 E8 ?? ?? ?? ?? 8B 40 0C 8D 55 A0 E8 ?? ?? ?? ?? 8B 45 A0 50 8D 55 9C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 9C 5A E8 ?? ?? ?? ?? 85 C0 7E 52 80 7D F3 00 74 23 FF 75 F8 8B 45 E0 FF B0 B4 00 00 00 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 58 01 00 00 FF 75 F8 8D 55 98 8B 45 E8 40 E8 ?? ?? ?? ?? FF 75 98 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 2F 01 00 00 47 4B 0F 85 72 FF FF FF E9 22 01 00 00 8B 45 DC 8B 80 A0 00 00 00 8B 40 08 8B 58 08 4B 85 DB 0F 8C 0A 01 00 00 43 33 FF 8B 45 DC 8B 40 3C 8B D7 E8 ?? ?? ?? ?? 8B 40 0C 8D 55 94 E8 ?? ?? ?? ?? 8B 45 94 50 8D 55 90 8B 45 FC E8 ?? ?? ?? ?? 8B 45 90 5A E8 ?? ?? ?? ?? 85 C0 7E 52 80 7D F3 00 74 23 FF 75 F8 8B 45 E0 FF B0 B4 00 00 00 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 AA 00 00 00 FF 75 F8 8D 55 8C 8B 45 E8 40 E8 ?? ?? ?? ?? FF 75 8C 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 81 00 00 00 47 4B 0F 85 72 FF FF FF EB 77 8D 55 88 8B 45 DC 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8B 45 88 50 8D 55 84 8B 45 FC E8 ?? ?? ?? ?? 8B 45 84 5A E8 ?? ?? ?? ?? 85 C0 7E 4A 80 7D F3 00 74 20 FF 75 F8 8B 45 E0 FF B0 B4 00 00 00 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 24 FF 75 F8 8D 55 80 8B 45 E8 40 E8 ?? ?? ?? ?? FF 75 80 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 E8 4E 0F 85 77 FC FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8D 95 78 FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 8D 78 FF FF FF 8D 85 7C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 7C FF FF FF 8B 45 EC 8B 50 20 8B 45 F4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 12 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 52 00 4F 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 4F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 43 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 42 00 43 00 43 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 55 00 42 00 4A 00 45 00 43 00 54 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 55 00 6E 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 73 00 65 00 61 00 72 00 63 00 68 00 20 00 6D 00 65 00 74 00 68 00 6F 00 64 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 46 00 61 00 69 00 6C 00 65 00 64 00 20 00 74 00 6F 00 20 00 67 00 65 00 74 00 20 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 20 00 68 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2A 00 20 00 53 00 45 00 41 00 52 00 43 00 48 00 20 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_35407_0 {
	meta:
		name = "TIdIMAP4Server.ProcessCopy"
		size = 1028
		refs = "0026 TIdIMAP4Server.ProcessCopy 004d TIdIMAP4Server.SendIncorrectNumberOfParameters 007d TIdIMAP4Server.SendBadReply 0089 _Dn_TStringList 008e TStringList.Create 00c3 TIdIMAP4Server.MessageSetToMessageNumbers 00dc @TryFinallyExit 00f9 TIdIMAP4Server.SendUnassignedDefaultMechanism 013f TIdIMAP4Server.SendNoReply 018e TIdIMAP4Server.GetRecordForUID 01b1 IndyStrToInt 01e8 TIdMessageCollection.GetIdMessage 0245 TIdIMAP4Server.SendOkReply 0271 TObject.Free 0277 @HandleFinally 0293 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 DB 89 5D CC 89 5D D0 89 5D D4 89 5D D8 89 5D DC 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 20 89 45 E4 8B 45 08 8B 10 FF 52 14 83 F8 02 7D 10 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? E9 27 02 00 00 8B 5D FC B9 01 00 00 00 8B 55 08 8B 83 E4 01 00 00 FF 93 E0 01 00 00 84 C0 75 15 B9 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? E9 F7 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 50 8D 4D DC 33 D2 8B 45 08 8B 18 FF 53 0C 8B 45 DC 50 8B 4D F4 0F B6 55 FB 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 1A B9 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 98 01 00 00 8B 45 FC 66 83 B8 6A 01 00 00 00 75 15 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 76 01 00 00 8D 4D D8 BA 01 00 00 00 8B 45 08 8B 18 FF 53 0C 8B 4D D8 8B 45 E4 8B 50 4C 8B 5D FC 8B 83 6C 01 00 00 FF 93 68 01 00 00 84 C0 75 1A B9 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 30 01 00 00 C6 45 EB 01 8B 45 F0 8B 10 FF 52 14 48 85 C0 0F 8C D1 00 00 00 40 89 45 E0 C7 45 EC 00 00 00 00 80 7D FB 00 74 2C 8D 4D D4 8B 55 EC 8B 45 F0 8B 18 FF 53 0C 8B 55 D4 8B 45 E4 8B 48 50 8B 45 FC E8 ?? ?? ?? ?? 8B D8 83 FB FF 0F 84 8A 00 00 00 EB 19 8D 4D D0 8B 55 EC 8B 45 F0 8B 18 FF 53 0C 8B 45 D0 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7D 04 B0 01 EB 12 8B 45 E4 8B 40 50 8B 40 48 8B 40 08 3B 58 08 0F 9D C0 84 C0 74 06 C6 45 EB 00 EB 4B 8B 45 E4 8B 70 50 8B 46 48 8B D3 E8 ?? ?? ?? ?? 8B 80 B4 00 00 00 50 8D 4D CC BA 01 00 00 00 8B 45 08 8B 18 FF 53 0C 8B 45 CC 50 8B 4E 44 8B 45 E4 8B 50 4C 8B 5D FC 8B 83 BC 01 00 00 FF 93 B8 01 00 00 84 C0 75 04 C6 45 EB 00 FF 45 EC FF 4D E0 0F 85 3A FF FF FF 80 7D EB 00 74 12 B9 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 10 B9 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 4D 00 61 00 69 00 6C 00 62 00 6F 00 78 00 20 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 20 00 69 00 73 00 20 00 69 00 6E 00 76 00 61 00 6C 00 69 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 45 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 73 00 79 00 6E 00 74 00 61 00 78 00 20 00 6F 00 66 00 20 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 20 00 73 00 65 00 74 00 20 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 4D 00 61 00 69 00 6C 00 62 00 6F 00 78 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 78 00 69 00 73 00 74 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 43 00 6F 00 70 00 79 00 20 00 66 00 61 00 69 00 6C 00 65 00 64 00 20 00 66 00 6F 00 72 00 20 00 6F 00 6E 00 65 00 20 00 6F 00 72 00 20 00 6D 00 6F 00 72 00 65 00 20 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35408_0 {
	meta:
		name = "TIdIMAP4Server.ProcessStore"
		size = 2116
		refs = "0042 TIdIMAP4Server.ProcessStore 006c TIdIMAP4Server.SendIncorrectNumberOfParameters 0078 _Dn_TStringList 007d TStringList.Create 00b1 TIdIMAP4Server.MessageSetToMessageNumbers 00c5 TIdIMAP4Server.SendBadReply 00ca @TryFinallyExit 0102 @UStrCopy 0133 TextIsSame 01cf @UStrCat3 01e5 TIdIMAP4Server.FlagStringToFlagList 0249 TIdIMAP4Server.GetRecordForUID 026e IndyStrToInt 02d6 TIdMessageCollection.GetIdMessage 034f PosInStrArray 036d LCMsgFlags 0377 @SetElem 03e9 TIdIMAP4Server.MessageFlagSetToStr 0430 TIdIMAP4Server.DoSendReply 04a3 TIdIMAP4Server.SendOkReply 04bd TObject.Free 04c3 @HandleFinally 0503 @UStrClr 0513 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 60 FF FF FF 53 56 57 33 DB 89 9D 60 FF FF FF 89 9D 78 FF FF FF 89 9D 74 FF FF FF 89 5D AC 89 5D B8 89 5D BC 89 5D C0 89 5D C4 89 5D FC 89 4D F0 88 55 F7 89 45 F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 40 20 89 45 CC C6 45 EF 00 8B C6 8B 10 FF 52 14 83 F8 03 7D 10 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? E9 7A 04 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 50 8D 4D C4 33 D2 8B C6 8B 18 FF 53 0C 8B 45 C4 50 8B 4D F0 0F B6 55 F7 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 1A B9 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1C 04 00 00 8D 4D FC BA 01 00 00 00 8B C6 8B 18 FF 53 0C 8B 45 FC 0F B7 00 66 83 F8 2B 75 1A B3 02 8D 45 FC 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 22 66 83 F8 2D 75 1A B3 04 8D 45 FC 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 DB BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 D7 00 EB 31 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 D7 01 EB 1A B9 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7D 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D FC BA 02 00 00 00 8B C6 8B 38 FF 57 0C 8B C6 8B 10 FF 52 14 48 83 E8 03 7C 30 40 89 45 C8 C7 45 E0 03 00 00 00 8D 4D C0 8B 55 E0 8B C6 8B 38 FF 57 0C 8B 4D C0 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 E0 FF 4D C8 75 DB 8B 4D FC 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 1F B9 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E3 02 00 00 8B 45 E8 8B 10 FF 52 14 48 85 C0 0F 8C 7A 02 00 00 40 89 45 C8 C7 45 E0 00 00 00 00 80 7D F7 00 74 2E 8D 4D BC 8B 55 E0 8B 45 E8 8B 30 FF 56 0C 8B 55 BC 8B 45 CC 8B 48 50 8B 45 F8 E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 FF 0F 84 31 02 00 00 EB 1A 8D 4D B8 8B 55 E0 8B 45 E8 8B 30 FF 56 0C 8B 45 B8 E8 ?? ?? ?? ?? 48 89 45 D8 83 7D D8 00 7D 04 B0 01 EB 15 8B 45 CC 8B 40 50 8B 40 48 8B 40 08 8B 40 08 3B 45 D8 0F 9C C0 84 C0 74 30 8B 45 D8 40 89 45 B0 C6 45 B4 00 8D 45 B0 50 6A 00 B9 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 26 02 00 00 8B 45 CC 8B 40 50 8B 40 48 8B 55 D8 E8 ?? ?? ?? ?? 89 45 D0 84 DB 75 0D 8B 45 D0 0F B6 15 ?? ?? ?? ?? 88 50 69 8B 45 E4 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C B9 00 00 00 46 C7 45 DC 00 00 00 00 6A 00 8D 4D AC 8B 55 DC 8B 45 E4 8B 38 FF 57 0C 8B 45 AC 50 B8 ?? ?? ?? ?? 89 45 98 B8 ?? ?? ?? ?? 89 45 9C B8 ?? ?? ?? ?? 89 45 A0 B8 ?? ?? ?? ?? 89 45 A4 B8 ?? ?? ?? ?? 89 45 A8 8D 55 98 B9 04 00 00 00 58 E8 ?? ?? ?? ?? 8B F8 83 FF FF 74 56 8B C3 2C 01 72 0A FE C8 74 06 2C 02 74 25 EB 46 0F B6 97 ?? ?? ?? ?? 8D 45 94 B1 01 E8 ?? ?? ?? ?? 0F B6 45 94 8B 55 D0 0A 42 69 8B 55 D0 88 42 69 EB 23 0F B6 97 ?? ?? ?? ?? 8D 45 94 B1 01 E8 ?? ?? ?? ?? 0F B6 45 94 8B 55 D0 F7 D0 22 42 69 8B 55 D0 88 42 69 FF 45 DC 4E 0F 85 4F FF FF FF 80 7D D7 00 0F 85 C7 00 00 00 80 7D F7 00 74 6C 8B 45 D8 40 89 85 7C FF FF FF C6 45 80 00 8D 8D 78 FF FF FF 8B 45 D0 0F B6 50 69 8B 45 F8 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 84 C6 45 88 11 8D 8D 74 FF FF FF 8B 55 E0 8B 45 E8 8B 30 FF 56 0C 8B 85 74 FF FF FF 89 45 8C C6 45 90 11 8D 85 7C FF FF FF 50 6A 02 8B 45 F0 8B 50 20 B9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 55 8B 45 D8 40 89 85 64 FF FF FF C6 85 68 FF FF FF 00 8D 8D 60 FF FF FF 8B 45 D0 0F B6 50 69 8B 45 F8 E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 89 85 6C FF FF FF C6 85 70 FF FF FF 11 8D 85 64 FF FF FF 50 6A 01 8B 45 F0 8B 50 20 B9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? FF 45 E0 FF 4D C8 0F 85 91 FD FF FF B9 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB C6 45 EF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 0F B6 45 EF 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 45 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 73 00 79 00 6E 00 74 00 61 00 78 00 20 00 6F 00 66 00 20 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 20 00 73 00 65 00 74 00 20 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 4C 00 41 00 47 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 46 00 4C 00 41 00 47 00 53 00 2E 00 53 00 49 00 4C 00 45 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 45 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 73 00 79 00 6E 00 74 00 61 00 78 00 20 00 6F 00 66 00 20 00 46 00 4C 00 41 00 47 00 53 00 20 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 45 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 73 00 79 00 6E 00 74 00 61 00 78 00 20 00 6F 00 66 00 20 00 66 00 6C 00 61 00 67 00 20 00 73 00 65 00 74 00 20 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 20 00 6E 00 75 00 6D 00 62 00 65 00 72 00 20 00 25 00 64 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 78 00 69 00 73 00 74 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 5C 00 41 00 6E 00 73 00 77 00 65 00 72 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5C 00 46 00 6C 00 61 00 67 00 67 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5C 00 44 00 65 00 6C 00 65 00 74 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5C 00 44 00 72 00 61 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 5C 00 53 00 65 00 65 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 2A 00 20 00 25 00 64 00 20 00 46 00 45 00 54 00 43 00 48 00 20 00 28 00 46 00 4C 00 41 00 47 00 53 00 20 00 28 00 25 00 73 00 29 00 20 00 55 00 49 00 44 00 20 00 25 00 73 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 2A 00 20 00 25 00 64 00 20 00 46 00 45 00 54 00 43 00 48 00 20 00 28 00 46 00 4C 00 41 00 47 00 53 00 20 00 28 00 25 00 73 00 29 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 54 00 4F 00 52 00 45 00 20 00 43 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_35409_0 {
	meta:
		name = "TIdIMAP4Server.InitializeCommandHandlers"
		size = 1680
		refs = "000b TIdCommandHandlers.Add 0015 TIdIMAP4Server.InitializeCommandHandlers 001a @UStrAsg 0024 TIdIMAP4Server.DoCommandCAPABILITY 0048 TIdIMAP4Server.DoCommandNOOP 006c TIdIMAP4Server.DoCommandLOGOUT 0090 TIdIMAP4Server.DoCommandAUTHENTICATE 00b4 TIdIMAP4Server.DoCommandLOGIN 00d8 TIdIMAP4Server.DoCommandSELECT 00fc TIdIMAP4Server.DoCommandEXAMINE 0120 TIdIMAP4Server.DoCommandCREATE 0144 TIdIMAP4Server.DoCommandDELETE 0168 TIdIMAP4Server.DoCommandRENAME 018c TIdIMAP4Server.DoCommandSUBSCRIBE 01b0 TIdIMAP4Server.DoCommandUNSUBSCRIBE 01d4 TIdIMAP4Server.DoCommandLIST 01f8 TIdIMAP4Server.DoCommandLSUB 021c TIdIMAP4Server.DoCommandSTATUS 0240 TIdIMAP4Server.DoCommandAPPEND 0264 TIdIMAP4Server.DoCommandCHECK 0288 TIdIMAP4Server.DoCommandCLOSE 02ac TIdIMAP4Server.DoCommandEXPUNGE 02d0 TIdIMAP4Server.DoCommandSEARCH 02f4 TIdIMAP4Server.DoCommandFETCH 0318 TIdIMAP4Server.DoCommandSTORE 033c TIdIMAP4Server.DoCommandCOPY 0360 TIdIMAP4Server.DoCommandUID 0384 TIdIMAP4Server.DoCommandX 03a8 TIdIMAP4Server.DoCommandSTARTTLS 03b8 TIdIMAP4Server.DoBeforeCmd 03c2 TIdIMAP4Server.DoCmdHandlersException"
	strings:
		$1 = { 53 56 8B D8 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 89 58 34 C7 40 30 ?? ?? ?? ?? 89 58 3C C7 40 38 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 41 00 50 00 41 00 42 00 49 00 4C 00 49 00 54 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 4F 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4C 00 4F 00 47 00 4F 00 55 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 41 00 55 00 54 00 48 00 45 00 4E 00 54 00 49 00 43 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 4F 00 47 00 49 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 58 00 41 00 4D 00 49 00 4E 00 45 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 52 00 45 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 55 00 42 00 53 00 43 00 52 00 49 00 42 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 4E 00 53 00 55 00 42 00 53 00 43 00 52 00 49 00 42 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 49 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 53 00 55 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 54 00 41 00 54 00 55 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 50 00 50 00 45 00 4E 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 48 00 45 00 43 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 4C 00 4F 00 53 00 45 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 58 00 50 00 55 00 4E 00 47 00 45 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 45 00 41 00 52 00 43 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 45 00 54 00 43 00 48 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 54 00 4F 00 52 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 4F 00 50 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 55 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 58 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 54 00 41 00 52 00 54 00 54 00 4C 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_35410_0 {
	meta:
		name = "TIdIMAP4Server.DoBeforeCmd"
		size = 184
		refs = "001a TIdIMAP4Server.DoBeforeCmd 002a TIdReplyIMAP4.ParseRequest 003e Fetch 0049 @UStrAsg 0053 Trim 0093 @UStrArrayClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 FC 8B F0 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 13 8B 47 58 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8B C3 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 47 54 E8 ?? ?? ?? ?? 8D 55 F4 8B 03 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 66 83 BE FA 01 00 00 00 74 12 57 8B CB 8B 55 FC 8B 86 FC 01 00 00 FF 96 F8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35411_0 {
	meta:
		name = "TIdIMAP4Server.DoSendReply"
		size = 60
	strings:
		$1 = { 53 56 57 8B F9 8B F2 66 83 B8 02 02 00 00 00 74 12 8B D8 8B CF 8B D6 8B 83 04 02 00 00 FF 93 00 02 00 00 8B 46 14 8B 80 98 00 00 00 33 C9 8B D7 8B 18 FF 93 A4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35413_0 {
	meta:
		name = "TIdIMAP4Server.DoCmdHandlersException"
		size = 172
		refs = "0016 @UStrAddRef 001e TIdIMAP4Server.DoCmdHandlersException 0043 Fetch 0087 @UStrArrayClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB D2 02 00 00 00 74 3F 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 4D F8 8B D6 8B 83 D4 02 00 00 FF 93 D0 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35414_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandCAPABILITY"
		size = 124
		refs = "0035 TIdIMAP4Server.DoCommandCAPABILITY 003a TIdIMAP4Server.SendOkReply"
	strings:
		$1 = { 53 56 66 83 B8 0A 02 00 00 00 74 1F 8B 5A 24 53 8B 4A 20 8B 59 54 8B F0 8B D1 8B CB 8B 86 0C 02 00 00 FF 96 08 02 00 00 5E 5B C3 80 B8 59 01 00 00 00 74 0A B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 4D 00 41 00 50 00 34 00 72 00 65 00 76 00 31 00 20 00 41 00 55 00 54 00 48 00 3D 00 50 00 4C 00 41 00 49 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_35415_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandNOOP"
		size = 100
		refs = "0035 TIdIMAP4Server.DoCommandNOOP 003a TIdIMAP4Server.SendOkReply"
	strings:
		$1 = { 53 56 66 83 B8 12 02 00 00 00 74 1F 8B 5A 24 53 8B 4A 20 8B 59 54 8B F0 8B D1 8B CB 8B 86 14 02 00 00 FF 96 10 02 00 00 5E 5B C3 80 B8 59 01 00 00 00 74 0A B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_35416_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandLOGOUT"
		size = 220
		refs = "003a TIdIMAP4Server.DoCommandLOGOUT 0041 TIdIMAP4Server.DoSendReply 004f TIdIMAP4Server.SendOkReply 0068 TIdContext.RemoveFromList"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 47 20 8B F0 66 83 BB 1A 02 00 00 00 74 17 8B 57 24 52 8B D0 8B 4E 54 8B 83 1C 02 00 00 FF 93 18 02 00 00 EB 3F 80 BB 59 01 00 00 00 74 36 8B 57 20 B9 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 46 14 8B 08 FF 51 78 8B 46 50 8B 10 FF 52 44 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 1F 00 00 00 2A 00 20 00 42 00 59 00 45 00 20 00 4D 00 61 00 79 00 20 00 79 00 6F 00 75 00 72 00 20 00 47 00 6F 00 64 00 20 00 67 00 6F 00 20 00 77 00 69 00 74 00 68 00 20 00 79 00 6F 00 75 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_35417_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandAUTHENTICATE"
		size = 95
		refs = "0027 _Dn_TIdSSLIOHandlerSocketBase 002c @AsClass 003e TIdIMAP4Server.MustUseTLS"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 BB 22 02 00 00 00 74 4C 80 BB 54 01 00 00 02 75 2B 8B 46 20 8B 40 14 8B 80 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 B8 08 01 00 00 00 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 18 8B 56 24 52 8B 46 20 8B 48 54 8B D0 8B 83 24 02 00 00 FF 93 20 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_35418_0 {
	meta:
		name = "TIdIMAP4Server.MustUseTLS"
		size = 136
		refs = "0011 TIdIMAP4Server.MustUseTLS 001f RSSMTPSvrReqSTARTTLS 0024 LoadResString 0034 @UStrCat3 0041 TIdIMAP4Server.DoSendReply 005f @UStrArrayClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B 56 20 8B C3 E8 ?? ?? ?? ?? C6 46 08 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 4F 00 20 00 00 00 }
	condition:
		$1
}

rule function_35419_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandLOGIN"
		size = 696
		refs = "0015 TIdIMAP4Server.DoCommandLOGIN 0046 _Dn_TIdSSLIOHandlerSocketBase 004b @AsClass 005d TIdIMAP4Server.MustUseTLS 00a0 TIdIMAP4Server.SendUnassignedDefaultMechanism 00ac _Dn_TStringList 00b1 TStringList.Create 00d2 BreakApart 00f3 TIdIMAP4Server.SendNoReply 00fe TIdIMAP4Server.SendIncorrectNumberOfParameters 0103 @TryFinallyExit 0176 TextIsSame 01c0 @UStrAsg 01d5 TIdIMAP4Server.SendOkReply 01ef TObject.Free 01f5 @HandleFinally 0211 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 89 45 F8 66 83 BB 2A 02 00 00 00 74 55 80 BB 54 01 00 00 02 75 2E 8B 46 20 8B 40 14 8B 80 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 B8 08 01 00 00 00 74 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 95 01 00 00 8B 46 24 50 8B 45 F8 8B 48 54 8B 56 20 8B 83 2C 02 00 00 FF 93 28 02 00 00 E9 77 01 00 00 80 BB 59 01 00 00 00 0F 84 6A 01 00 00 66 83 BB 6A 01 00 00 00 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 52 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 46 24 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 83 F8 02 7D 29 80 BB 58 01 00 00 00 74 0D 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EF 00 00 00 8D 4D F4 33 D2 8B 45 FC 8B 38 FF 57 0C 8B 55 F4 33 C9 8B 83 6C 01 00 00 FF 93 68 01 00 00 84 C0 75 2E 80 BB 58 01 00 00 00 74 0D 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0E B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9F 00 00 00 8D 4D F0 BA 01 00 00 00 8B 45 FC 8B 38 FF 57 0C 8B 55 F0 8B 83 60 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 2B 80 BB 58 01 00 00 00 74 0D 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0E B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 52 8D 4D EC 33 D2 8B 45 FC 8B 38 FF 57 0C 8B 55 EC 8B 45 F8 83 C0 4C E8 ?? ?? ?? ?? 8B 45 F8 C6 40 48 02 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 75 00 73 00 65 00 72 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 6E 00 63 00 6F 00 72 00 72 00 65 00 63 00 74 00 20 00 70 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_35420_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandSELECT"
		size = 212
		refs = "0027 TIdIMAP4Server.SendWrongConnectionState 0067 TIdIMAP4Server.SendUnassignedDefaultMechanism 0086 TIdIMAP4Server.DoCommandSELECT 008f TIdIMAP4Server.SendOkReply"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 77 20 80 7E 48 03 75 0C 8B 46 50 8B 10 FF 52 44 C6 46 48 02 80 7E 48 02 74 0B 8B D7 8B C3 E8 ?? ?? ?? ?? EB 66 66 83 BB 32 02 00 00 00 74 18 8B 47 24 50 8B 57 20 8B 4E 54 8B 83 34 02 00 00 FF 93 30 02 00 00 EB 44 80 BB 59 01 00 00 00 74 3B 66 83 BB DA 01 00 00 00 75 0B 8B D7 8B C3 E8 ?? ?? ?? ?? EB 26 33 C9 8B D7 8B 83 DC 01 00 00 FF 93 D8 01 00 00 84 C0 74 12 C6 46 48 03 B9 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 16 00 00 00 5B 00 52 00 45 00 41 00 44 00 2D 00 57 00 52 00 49 00 54 00 45 00 5D 00 20 00 43 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_35421_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandEXAMINE"
		size = 196
		refs = "0019 TIdIMAP4Server.SendWrongConnectionState 0059 TIdIMAP4Server.SendUnassignedDefaultMechanism 0078 TIdIMAP4Server.DoCommandEXAMINE 0081 TIdIMAP4Server.SendOkReply"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7E 20 0F B6 47 48 04 FE 2C 02 72 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 66 66 83 BB 3A 02 00 00 00 74 18 8B 46 24 50 8B 4F 54 8B 56 20 8B 83 3C 02 00 00 FF 93 38 02 00 00 EB 44 80 BB 59 01 00 00 00 74 3B 66 83 BB DA 01 00 00 00 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 26 B1 01 8B D6 8B 83 DC 01 00 00 FF 93 D8 01 00 00 84 C0 74 12 C6 47 48 03 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 5B 00 52 00 45 00 41 00 44 00 2D 00 4F 00 4E 00 4C 00 59 00 5D 00 20 00 43 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_35422_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandCREATE"
		size = 708
		refs = "0019 TIdIMAP4Server.DoCommandCREATE 003b TIdIMAP4Server.SendWrongConnectionState 009c TIdIMAP4Server.SendUnassignedDefaultMechanism 00a8 _Dn_TStringList 00ad TStringList.Create 00ce BreakApart 00e2 TIdIMAP4Server.SendIncorrectNumberOfParameters 00e7 @TryFinallyExit 010f TIdIMAP4Server.SendBadReply 0188 TIdIMAP4Server.SendOkReply 0198 TIdIMAP4Server.SendNoReply 01b2 TObject.Free 01b8 @HandleFinally 01d4 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 89 45 F8 8B 45 F8 0F B6 40 48 04 FE 2C 02 72 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 7A 01 00 00 66 83 BB 42 02 00 00 00 74 1E 8B 46 24 50 8B 45 F8 8B 48 54 8B 56 20 8B 83 44 02 00 00 FF 93 40 02 00 00 E9 52 01 00 00 80 BB 59 01 00 00 00 0F 84 45 01 00 00 66 83 BB E2 01 00 00 00 74 14 66 83 BB 6A 01 00 00 00 74 0A 66 83 BB 72 01 00 00 00 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 19 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 46 24 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 48 7D 13 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CE 00 00 00 33 C9 8B 55 FC 8B 83 E4 01 00 00 FF 93 E0 01 00 00 84 C0 75 18 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A1 00 00 00 8D 4D F4 33 D2 8B 45 FC 8B 38 FF 57 0C 8B 4D F4 8B 45 F8 8B 50 4C 8B 83 6C 01 00 00 FF 93 68 01 00 00 84 C0 74 15 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 66 8D 4D F0 33 D2 8B 45 FC 8B 38 FF 57 0C 8B 4D F0 8B 45 F8 8B 50 4C 8B 83 74 01 00 00 FF 93 70 01 00 00 84 C0 74 10 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0E B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 4D 00 61 00 69 00 6C 00 62 00 6F 00 78 00 20 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 20 00 69 00 73 00 20 00 69 00 6E 00 76 00 61 00 6C 00 69 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 4D 00 61 00 69 00 6C 00 62 00 6F 00 78 00 20 00 61 00 6C 00 72 00 65 00 61 00 64 00 79 00 20 00 65 00 78 00 69 00 73 00 74 00 73 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 20 00 66 00 61 00 69 00 6C 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_35423_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandDELETE"
		size = 828
		refs = "0015 TIdIMAP4Server.DoCommandDELETE 0037 TIdIMAP4Server.SendWrongConnectionState 00a2 TIdIMAP4Server.SendUnassignedDefaultMechanism 00ae _Dn_TStringList 00b3 TStringList.Create 00d4 BreakApart 00e8 TIdIMAP4Server.SendIncorrectNumberOfParameters 00ed @TryFinallyExit 0115 TIdIMAP4Server.SendBadReply 0153 TIdIMAP4Server.SendNoReply 01cc TIdIMAP4Server.SendOkReply 01f6 TObject.Free 01fc @HandleFinally 0218 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 89 45 F8 8B 45 F8 0F B6 40 48 04 FE 2C 02 72 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 C2 01 00 00 66 83 BB 4A 02 00 00 00 74 1E 8B 46 24 50 8B 45 F8 8B 48 54 8B 56 20 8B 83 4C 02 00 00 FF 93 48 02 00 00 E9 9A 01 00 00 80 BB 59 01 00 00 00 0F 84 8D 01 00 00 66 83 BB 6A 01 00 00 00 74 1E 66 83 BB E2 01 00 00 00 74 14 66 83 BB 7A 01 00 00 00 74 0A 66 83 BB 82 01 00 00 00 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 57 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 46 24 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 48 7D 13 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0C 01 00 00 33 C9 8B 55 FC 8B 83 E4 01 00 00 FF 93 E0 01 00 00 84 C0 75 18 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DF 00 00 00 8D 4D F4 33 D2 8B 45 FC 8B 38 FF 57 0C 8B 4D F4 8B 45 F8 8B 50 4C 8B 83 84 01 00 00 FF 93 80 01 00 00 84 C0 74 18 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A1 00 00 00 8D 4D F0 33 D2 8B 45 FC 8B 38 FF 57 0C 8B 4D F0 8B 45 F8 8B 50 4C 8B 83 6C 01 00 00 FF 93 68 01 00 00 84 C0 75 15 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 66 8D 4D EC 33 D2 8B 45 FC 8B 38 FF 57 0C 8B 4D EC 8B 45 F8 8B 50 4C 8B 83 7C 01 00 00 FF 93 78 01 00 00 84 C0 74 10 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0E B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 4D 00 61 00 69 00 6C 00 62 00 6F 00 78 00 20 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 20 00 69 00 73 00 20 00 69 00 6E 00 76 00 61 00 6C 00 69 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 4D 00 61 00 69 00 6C 00 62 00 6F 00 78 00 20 00 69 00 73 00 20 00 69 00 6E 00 20 00 75 00 73 00 65 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 4D 00 61 00 69 00 6C 00 62 00 6F 00 78 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 78 00 69 00 73 00 74 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 65 00 6C 00 65 00 74 00 65 00 20 00 66 00 61 00 69 00 6C 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_35424_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandRENAME"
		size = 1176
		refs = "0017 TIdIMAP4Server.DoCommandRENAME 0039 TIdIMAP4Server.SendWrongConnectionState 00a4 TIdIMAP4Server.SendUnassignedDefaultMechanism 00b0 _Dn_TStringList 00b5 TStringList.Create 00d6 BreakApart 00ec TIdIMAP4Server.SendIncorrectNumberOfParameters 00f1 @TryFinallyExit 0119 TIdIMAP4Server.SendBadReply 0157 TIdIMAP4Server.SendNoReply 0255 TIdIMAP4Server.SendOkReply 027f TObject.Free 0285 @HandleFinally 02a1 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 89 45 F8 8B 45 F8 0F B6 40 48 04 FE 2C 02 72 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 49 02 00 00 66 83 BB 52 02 00 00 00 74 1E 8B 46 24 50 8B 45 F8 8B 48 54 8B 56 20 8B 83 54 02 00 00 FF 93 50 02 00 00 E9 21 02 00 00 80 BB 59 01 00 00 00 0F 84 14 02 00 00 66 83 BB 6A 01 00 00 00 74 1E 66 83 BB E2 01 00 00 00 74 14 66 83 BB A2 01 00 00 00 74 0A 66 83 BB 82 01 00 00 00 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 DE 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 46 24 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 83 F8 02 7D 13 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 91 01 00 00 33 C9 8B 55 FC 8B 83 E4 01 00 00 FF 93 E0 01 00 00 84 C0 75 18 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 64 01 00 00 8D 4D F4 33 D2 8B 45 FC 8B 38 FF 57 0C 8B 4D F4 8B 45 F8 8B 50 4C 8B 83 84 01 00 00 FF 93 80 01 00 00 84 C0 74 18 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 26 01 00 00 B9 01 00 00 00 8B 55 FC 8B 83 E4 01 00 00 FF 93 E0 01 00 00 84 C0 75 18 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F6 00 00 00 8D 4D F0 33 D2 8B 45 FC 8B 38 FF 57 0C 8B 4D F0 8B 45 F8 8B 50 4C 8B 83 6C 01 00 00 FF 93 68 01 00 00 84 C0 75 18 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B8 00 00 00 8D 4D EC BA 01 00 00 00 8B 45 FC 8B 38 FF 57 0C 8B 4D EC 8B 45 F8 8B 50 4C 8B 83 6C 01 00 00 FF 93 68 01 00 00 84 C0 74 15 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7A 8D 4D E8 BA 01 00 00 00 8B 45 FC 8B 38 FF 57 0C 8B 45 E8 50 8D 4D E4 33 D2 8B 45 FC 8B 38 FF 57 0C 8B 4D E4 8B 45 F8 8B 50 4C 8B 83 A4 01 00 00 FF 93 A0 01 00 00 84 C0 74 10 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0E B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 46 00 69 00 72 00 73 00 74 00 20 00 6D 00 61 00 69 00 6C 00 62 00 6F 00 78 00 20 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 20 00 69 00 73 00 20 00 69 00 6E 00 76 00 61 00 6C 00 69 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 4D 00 61 00 69 00 6C 00 62 00 6F 00 78 00 20 00 69 00 73 00 20 00 69 00 6E 00 20 00 75 00 73 00 65 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 53 00 65 00 63 00 6F 00 6E 00 64 00 20 00 6D 00 61 00 69 00 6C 00 62 00 6F 00 78 00 20 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 20 00 69 00 73 00 20 00 69 00 6E 00 76 00 61 00 6C 00 69 00 64 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 4D 00 61 00 69 00 6C 00 62 00 6F 00 78 00 20 00 74 00 6F 00 20 00 62 00 65 00 20 00 72 00 65 00 6E 00 61 00 6D 00 65 00 64 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 78 00 69 00 73 00 74 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 44 00 65 00 73 00 74 00 69 00 6E 00 61 00 74 00 69 00 6F 00 6E 00 20 00 6D 00 61 00 69 00 6C 00 62 00 6F 00 78 00 20 00 61 00 6C 00 72 00 65 00 61 00 64 00 79 00 20 00 65 00 78 00 69 00 73 00 74 00 73 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 65 00 6C 00 65 00 74 00 65 00 20 00 66 00 61 00 69 00 6C 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_35425_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandSUBSCRIBE"
		size = 72
		refs = "000e TIdIMAP4Server.SendErrorOpenedReadOnly 0042 TIdIMAP4Server.SendUnsupportedCommand"
	strings:
		$1 = { 53 8B 4A 20 8B 59 50 80 7B 50 01 75 07 E8 ?? ?? ?? ?? 5B C3 66 83 B8 5A 02 00 00 00 74 1A 8B 5A 24 53 8B 49 54 8B D8 8B 52 20 8B 83 5C 02 00 00 FF 93 58 02 00 00 5B C3 80 B8 59 01 00 00 00 74 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_35426_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandUNSUBSCRIBE"
		size = 72
		refs = "000e TIdIMAP4Server.SendErrorOpenedReadOnly 0042 TIdIMAP4Server.SendUnsupportedCommand"
	strings:
		$1 = { 53 8B 4A 20 8B 59 50 80 7B 50 01 75 07 E8 ?? ?? ?? ?? 5B C3 66 83 B8 62 02 00 00 00 74 1A 8B 5A 24 53 8B 49 54 8B D8 8B 52 20 8B 83 64 02 00 00 FF 93 60 02 00 00 5B C3 80 B8 59 01 00 00 00 74 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_35427_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandLIST"
		size = 1060
		refs = "001b TIdIMAP4Server.DoCommandLIST 003d TIdIMAP4Server.SendWrongConnectionState 008a TIdIMAP4Server.SendUnassignedDefaultMechanism 0096 _Dn_TStringList 009b TStringList.Create 00bc BreakApart 00d2 TIdIMAP4Server.SendIncorrectNumberOfParameters 00d7 @TryFinallyExit 00f9 @UStrEqual 0109 TIdIMAP4Server.SendBadReply 01a8 @UStrLAsg 01d5 @UStrCat 01ec @UStrFromWChar 0217 @UStrCatN 0224 TIdIMAP4Server.DoSendReply 023e TIdIMAP4Server.SendOkReply 024e TIdIMAP4Server.SendNoReply 0268 TObject.Free 026e @HandleFinally 02ce @UStrArrayClr 02d6 @UStrClr"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 89 45 E8 8B 45 E8 0F B6 40 48 04 FE 2C 02 72 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 72 02 00 00 66 83 BB 6A 02 00 00 00 74 1E 8B 46 24 50 8B 45 E8 8B 48 54 8B 56 20 8B 83 6C 02 00 00 FF 93 68 02 00 00 E9 4A 02 00 00 80 BB 59 01 00 00 00 0F 84 3D 02 00 00 66 83 BB AA 01 00 00 00 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 25 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 46 24 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 02 7D 13 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D8 01 00 00 8D 4D E0 BA 01 00 00 00 8B 45 F8 8B 38 FF 57 0C 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 18 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A1 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 50 8B 45 F0 50 8D 4D DC 33 D2 8B 45 F8 8B 38 FF 57 0C 8B 4D DC 8B 45 E8 8B 50 4C 8B 83 AC 01 00 00 FF 93 A8 01 00 00 84 C0 0F 84 C1 00 00 00 8B 45 F4 8B 10 FF 52 14 48 85 C0 0F 8C A0 00 00 00 40 89 45 E4 C7 45 EC 00 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D D8 8B 55 EC 8B 45 F0 8B 38 FF 57 0C 83 7D D8 00 74 19 8D 4D D4 8B 55 EC 8B 45 F0 8B 38 FF 57 0C 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 D0 0F B7 93 64 01 00 00 E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? 8D 4D CC 8B 55 EC 8B 45 F4 8B 38 FF 57 0C FF 75 CC 68 ?? ?? ?? ?? 8D 45 FC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 56 20 8B 4D FC 8B C3 E8 ?? ?? ?? ?? FF 45 EC FF 4D E4 0F 85 6B FF FF FF B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0E B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 37 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 2C 00 20 00 32 00 6E 00 64 00 20 00 28 00 6C 00 61 00 73 00 74 00 29 00 20 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 20 00 6D 00 75 00 73 00 74 00 20 00 62 00 65 00 20 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 2A 00 20 00 4C 00 49 00 53 00 54 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 29 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 69 00 73 00 74 00 20 00 66 00 61 00 69 00 6C 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_35428_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandLSUB"
		size = 1060
		refs = "001b TIdIMAP4Server.DoCommandLSUB 003d TIdIMAP4Server.SendWrongConnectionState 008a TIdIMAP4Server.SendUnassignedDefaultMechanism 0096 _Dn_TStringList 009b TStringList.Create 00bc BreakApart 00d2 TIdIMAP4Server.SendIncorrectNumberOfParameters 00d7 @TryFinallyExit 00f9 @UStrEqual 0109 TIdIMAP4Server.SendBadReply 01a8 @UStrLAsg 01d5 @UStrCat 01ec @UStrFromWChar 0217 @UStrCatN 0224 TIdIMAP4Server.DoSendReply 023e TIdIMAP4Server.SendOkReply 024e TIdIMAP4Server.SendNoReply 0268 TObject.Free 026e @HandleFinally 02ce @UStrArrayClr 02d6 @UStrClr"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 89 45 E8 8B 45 E8 0F B6 40 48 04 FE 2C 02 72 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 72 02 00 00 66 83 BB 72 02 00 00 00 74 1E 8B 46 24 50 8B 45 E8 8B 48 54 8B 56 20 8B 83 74 02 00 00 FF 93 70 02 00 00 E9 4A 02 00 00 80 BB 59 01 00 00 00 0F 84 3D 02 00 00 66 83 BB AA 01 00 00 00 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 25 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 46 24 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 83 F8 02 7D 13 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D8 01 00 00 8D 4D E0 BA 01 00 00 00 8B 45 F8 8B 38 FF 57 0C 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 18 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A1 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 50 8B 45 F0 50 8D 4D DC 33 D2 8B 45 F8 8B 38 FF 57 0C 8B 4D DC 8B 45 E8 8B 50 4C 8B 83 AC 01 00 00 FF 93 A8 01 00 00 84 C0 0F 84 C1 00 00 00 8B 45 F4 8B 10 FF 52 14 48 85 C0 0F 8C A0 00 00 00 40 89 45 E4 C7 45 EC 00 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D D8 8B 55 EC 8B 45 F0 8B 38 FF 57 0C 83 7D D8 00 74 19 8D 4D D4 8B 55 EC 8B 45 F0 8B 38 FF 57 0C 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 D0 0F B7 93 64 01 00 00 E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? 8D 4D CC 8B 55 EC 8B 45 F4 8B 38 FF 57 0C FF 75 CC 68 ?? ?? ?? ?? 8D 45 FC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 56 20 8B 4D FC 8B C3 E8 ?? ?? ?? ?? FF 45 EC FF 4D E4 0F 85 6B FF FF FF B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0E B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 37 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 2C 00 20 00 32 00 6E 00 64 00 20 00 28 00 6C 00 61 00 73 00 74 00 29 00 20 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 20 00 6D 00 75 00 73 00 74 00 20 00 62 00 65 00 20 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 2A 00 20 00 4C 00 49 00 53 00 54 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 29 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 69 00 73 00 74 00 20 00 66 00 61 00 69 00 6C 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_35429_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandSTATUS"
		size = 1696
		refs = "002f TIdIMAP4Server.DoCommandSTATUS 004f TIdIMAP4Server.SendWrongConnectionState 00b4 TIdIMAP4Server.SendUnassignedDefaultMechanism 00c0 _Dn_TStringList 00c5 TStringList.Create 00e9 BreakApart 00fe TIdIMAP4Server.SendIncorrectNumberOfParameters 0103 @TryFinallyExit 012c TIdIMAP4Server.SendBadReply 0168 TIdIMAP4Server.SendNoReply 0179 _Dn_TIdMailBox 017e TIdInitializerComponent.Create 01d9 @UStrCatN 022a @UStrCopy 02a2 PosInStrArray 02df IntToStr 03b9 @UStrCat3 0424 @UStrCat 0434 TIdIMAP4Server.DoSendReply 0443 TIdIMAP4Server.SendOkReply 045d TObject.Free 0463 @HandleFinally 04a1 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 C9 89 4D B8 89 4D BC 89 4D C0 89 4D C4 89 4D DC 89 4D E0 89 4D E4 89 4D FC 89 4D F8 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 70 20 0F B6 46 48 04 FE 2C 02 72 0F 8B 55 F4 8B C3 E8 ?? ?? ?? ?? E9 33 04 00 00 66 83 BB 7A 02 00 00 00 74 21 8B 45 F4 8B 40 24 50 8B 4E 54 8B 45 F4 8B 50 20 8B 83 7C 02 00 00 FF 93 78 02 00 00 E9 08 04 00 00 80 BB 59 01 00 00 00 0F 84 FB 03 00 00 66 83 BB 6A 01 00 00 00 74 14 66 83 BB E2 01 00 00 00 74 0A 66 83 BB 8A 01 00 00 00 75 0F 8B 55 F4 8B C3 E8 ?? ?? ?? ?? E9 CE 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F4 8B 40 24 8B 4D E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 14 48 7D 14 8B 55 F4 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7F 03 00 00 33 C9 8B 55 E8 8B 83 E4 01 00 00 FF 93 E0 01 00 00 84 C0 75 19 B9 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 51 03 00 00 8D 4D E4 33 D2 8B 45 E8 8B 38 FF 57 0C 8B 4D E4 8B 56 4C 8B 83 6C 01 00 00 FF 93 68 01 00 00 84 C0 75 19 B9 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 15 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F0 50 8D 4D E0 33 D2 8B 45 E8 8B 38 FF 57 0C 8B 4D E0 8B 56 4C 8B 83 8C 01 00 00 FF 93 88 01 00 00 68 ?? ?? ?? ?? 8D 4D DC 33 D2 8B 45 E8 8B 30 FF 56 0C FF 75 DC 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8E F3 01 00 00 C7 45 EC 01 00 00 00 8D 4D FC 8B 55 EC 8B 45 E8 8B 38 FF 57 0C 83 7D FC 00 0F 84 CA 01 00 00 8B 45 FC 66 83 38 28 75 16 8D 45 FC 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 38 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 8B 4D FC 66 83 7C 41 FE 29 75 1F 8B FA 85 FF 74 05 83 EF 04 8B 3F 8D 45 FC 50 8B CF 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 B8 ?? ?? ?? ?? 89 45 C8 B8 ?? ?? ?? ?? 89 45 CC B8 ?? ?? ?? ?? 89 45 D0 B8 ?? ?? ?? ?? 89 45 D4 B8 ?? ?? ?? ?? 89 45 D8 8D 55 C8 B9 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 F8 04 0F 87 FE 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? 8D 55 C4 8B 45 F0 8B 40 54 E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 DC 00 00 00 FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? 8D 55 C0 8B 45 F0 8B 40 4C E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 A9 00 00 00 FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? 8B 45 F0 FF 70 58 68 ?? ?? ?? ?? 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 81 00 00 00 FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? 8B 45 F0 FF 70 5C 68 ?? ?? ?? ?? 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? EB 5C FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? 8D 55 BC 8B 45 F0 8B 40 60 E8 ?? ?? ?? ?? FF 75 BC 68 ?? ?? ?? ?? 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? EB 2C 8D 45 B8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B2 00 00 00 FF 45 EC 4E 0F 85 14 FE FF FF 8B 55 F8 8B C2 85 C0 74 05 83 E8 04 8B 00 8B 4D F8 66 83 7C 41 FE 20 75 1F 8B F2 85 F6 74 05 83 EE 04 8B 36 8D 45 F8 50 8B CE 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 50 20 8B 4D F8 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 4D 00 61 00 69 00 6C 00 62 00 6F 00 78 00 20 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 20 00 69 00 73 00 20 00 69 00 6E 00 76 00 61 00 6C 00 69 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 4D 00 61 00 69 00 6C 00 62 00 6F 00 78 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 78 00 69 00 73 00 74 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2A 00 20 00 53 00 54 00 41 00 54 00 55 00 53 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 45 00 53 00 53 00 41 00 47 00 45 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 43 00 45 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 49 00 44 00 4E 00 45 00 58 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 49 00 44 00 56 00 41 00 4C 00 49 00 44 00 49 00 54 00 59 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 4E 00 53 00 45 00 45 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_35430_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandAPPEND"
		size = 1536
		refs = "002c TIdIMAP4Server.DoCommandAPPEND 0048 TIdIMAP4Server.SendWrongConnectionState 0060 TIdIMAP4Server.SendErrorOpenedReadOnly 00d9 TIdIMAP4Server.SendUnassignedDefaultMechanism 00e5 _Dn_TStringList 00ea TStringList.Create 010e BreakApart 0125 TIdIMAP4Server.SendIncorrectNumberOfParameters 012a @TryFinallyExit 0153 TIdIMAP4Server.SendBadReply 0165 @UStrClr 018d TIdIMAP4Server.ReinterpretParamAsFlags 01f2 @UStrCopy 01fa IndyStrToInt 0247 _Dn_TIdFileCreateStream 024c TIdFileCreateStream.Create 0294 TIdIMAP4Server.SendOkReply 02a5 IntToStr 0361 @UStrCat3 037c @UStrCat 039f TIdIMAP4Server.ProcessStore 03ac _Dn_TIdMessage 03b1 TIdBaseComponent.Create 03d2 @UStrAsg 0405 TObject.Free 040b @HandleFinally 04d9 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 C9 89 4D BC 89 4D C0 89 4D C4 89 4D C8 89 4D FC 89 4D F8 89 4D F4 89 4D F0 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 70 20 80 7E 48 02 74 0F 8B 55 EC 8B C3 E8 ?? ?? ?? ?? E9 72 04 00 00 8B 46 50 80 78 50 01 75 0F 8B 55 EC 8B C3 E8 ?? ?? ?? ?? E9 5A 04 00 00 66 83 BB 82 02 00 00 00 74 21 8B 45 EC 8B 40 24 50 8B 4E 54 8B 45 EC 8B 50 20 8B 83 84 02 00 00 FF 93 80 02 00 00 E9 2F 04 00 00 80 BB 59 01 00 00 00 0F 84 22 04 00 00 66 83 BB 9A 01 00 00 00 74 28 66 83 BB E2 01 00 00 00 74 1E 66 83 BB EA 01 00 00 00 74 14 66 83 BB B2 01 00 00 00 74 0A 66 83 BB F2 01 00 00 00 75 0F 8B 55 EC 8B C3 E8 ?? ?? ?? ?? E9 E1 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 40 24 8B 4D E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 8B 10 FF 52 14 83 F8 02 7D 14 8B 55 EC 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 90 03 00 00 33 C9 8B 55 E4 8B 83 E4 01 00 00 FF 93 E0 01 00 00 84 C0 75 19 B9 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 62 03 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8D 4D F4 BA 01 00 00 00 8B 45 E4 8B 38 FF 57 0C 8B 45 F4 66 83 38 28 75 3C B9 01 00 00 00 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 19 B9 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 15 03 00 00 8D 4D F0 BA 01 00 00 00 8B 45 E4 8B 38 FF 57 0C 8B 45 E4 8B 10 FF 52 14 8B D0 4A 8D 4D F4 8B 45 E4 8B 38 FF 57 0C 8B 7D F4 85 FF 74 05 83 EF 04 8B 3F 8D 45 C8 50 8B CF 83 E9 02 BA 02 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 89 45 D8 8D 45 FC 50 8D 4D C4 33 D2 8B 45 E4 8B 38 FF 57 0C 8B 4D C4 8B 56 4C 8B 83 9C 01 00 00 FF 93 98 01 00 00 8B 45 FC 50 8D 45 F8 50 8B 46 50 8B 48 44 8B 56 4C 8B 83 F4 01 00 00 FF 93 F0 01 00 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 D8 99 52 50 8B 45 EC 8B 40 20 8B 40 14 8B 80 98 00 00 00 33 C9 8B 55 E8 8B 38 FF 97 CC 00 00 00 83 7D F0 00 75 3E B9 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 40 8D 55 C0 E8 ?? ?? ?? ?? 8B 45 C0 50 8B 46 50 8B 48 44 8B 56 4C 8B 83 EC 01 00 00 FF 93 E8 01 00 00 E9 B8 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 45 E0 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 E0 8B 08 FF 51 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D DC BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 DC 8B 10 FF 52 14 48 85 C0 7C 5D 40 89 45 CC C7 45 D4 00 00 00 00 8D 4D F4 8B 55 D4 8B 45 DC 8B 38 FF 57 0C 83 7D D4 00 75 10 8D 45 F4 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 10 FF 52 14 48 3B 45 D4 75 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 E0 8B 08 FF 51 38 FF 45 D4 FF 4D CC 75 AE 8B 45 E0 50 8B 4D EC B2 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 6A 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 D0 05 B4 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 D0 50 8B 46 50 8B 48 44 8B 56 4C 8B 83 B4 01 00 00 FF 93 B0 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 33 D2 89 55 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC E8 ?? ?? ?? ?? 40 8D 55 BC E8 ?? ?? ?? ?? 8B 45 BC 50 8B 46 50 8B 48 44 8B 56 4C 8B 83 EC 01 00 00 FF 93 E8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 4D 00 61 00 69 00 6C 00 62 00 6F 00 78 00 20 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 20 00 69 00 73 00 20 00 69 00 6E 00 76 00 61 00 6C 00 69 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 46 00 6C 00 61 00 67 00 73 00 20 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 20 00 69 00 73 00 20 00 69 00 6E 00 76 00 61 00 6C 00 69 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 46 00 4C 00 41 00 47 00 53 00 2E 00 53 00 49 00 4C 00 45 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_35431_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandCHECK"
		size = 108
		refs = "000b TIdIMAP4Server.SendWrongConnectionState 003f TIdIMAP4Server.DoCommandCHECK 0044 TIdIMAP4Server.SendOkReply"
	strings:
		$1 = { 53 8B 4A 20 80 79 48 03 74 07 E8 ?? ?? ?? ?? 5B C3 66 83 B8 8A 02 00 00 00 74 1A 8B 5A 24 53 8B 49 54 8B D8 8B 52 20 8B 83 8C 02 00 00 FF 93 88 02 00 00 5B C3 80 B8 59 01 00 00 00 74 0A B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_35432_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandCLOSE"
		size = 300
		refs = "0016 TIdIMAP4Server.SendWrongConnectionState 0056 TIdIMAP4Server.SendUnassignedDefaultMechanism 0061 TIdIMAP4Server.ExpungeRecords 0078 TIdIMAP4Server.DoCommandCLOSE 0081 TIdIMAP4Server.SendOkReply 0091 TIdIMAP4Server.SendNoReply"
	strings:
		$1 = { 53 56 57 55 8B F2 8B E8 8B 7E 20 80 7F 48 03 74 0B 8B D6 8B C5 E8 ?? ?? ?? ?? EB 79 66 83 BD 92 02 00 00 00 74 18 8B 46 24 50 8B 4F 54 8B 56 20 8B 85 94 02 00 00 FF 95 90 02 00 00 EB 57 80 BD 59 01 00 00 00 74 4E 66 83 BD B2 01 00 00 00 75 0B 8B D6 8B C5 E8 ?? ?? ?? ?? EB 39 8B D6 8B C5 E8 ?? ?? ?? ?? 8B D8 8B 47 50 8B 10 FF 52 44 C6 47 48 02 84 DB 74 10 B9 ?? ?? ?? ?? 8B D6 8B C5 E8 ?? ?? ?? ?? EB 0E B9 ?? ?? ?? ?? 8B D6 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 49 00 6D 00 70 00 6C 00 69 00 63 00 69 00 74 00 20 00 65 00 78 00 70 00 75 00 6E 00 67 00 65 00 20 00 66 00 61 00 69 00 6C 00 65 00 64 00 20 00 66 00 6F 00 72 00 20 00 6F 00 6E 00 65 00 20 00 6F 00 72 00 20 00 6D 00 6F 00 72 00 65 00 20 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35433_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandEXPUNGE"
		size = 284
		refs = "0014 TIdIMAP4Server.SendWrongConnectionState 0029 TIdIMAP4Server.SendErrorOpenedReadOnly 006b TIdIMAP4Server.SendUnassignedDefaultMechanism 0077 TIdIMAP4Server.ExpungeRecords 0080 TIdIMAP4Server.DoCommandEXPUNGE 0089 TIdIMAP4Server.SendOkReply 0099 TIdIMAP4Server.SendNoReply"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 20 80 78 48 03 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 50 50 80 7A 50 01 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 66 83 BB 9A 02 00 00 00 74 19 8B 56 24 52 8B 48 54 8B 56 20 8B 83 9C 02 00 00 FF 93 98 02 00 00 5E 5B C3 80 BB 59 01 00 00 00 74 41 66 83 BB B2 01 00 00 00 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0E B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 45 00 78 00 70 00 75 00 6E 00 67 00 65 00 20 00 66 00 61 00 69 00 6C 00 65 00 64 00 20 00 66 00 6F 00 72 00 20 00 6F 00 6E 00 65 00 20 00 6F 00 72 00 20 00 6D 00 6F 00 72 00 65 00 20 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_35434_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandSEARCH"
		size = 212
		refs = "0018 TIdIMAP4Server.SendWrongConnectionState 005b TIdIMAP4Server.SendUnassignedDefaultMechanism 0064 _Dn_TStringList 0069 TStringList.Create 0074 TIdIMAP4Server.DoCommandSEARCH 008a BreakApart 0099 TIdIMAP4Server.ProcessSearch 00b3 TObject.Free 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B 46 20 80 78 48 03 74 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 9E 00 00 00 66 83 BB A2 02 00 00 00 74 18 8B 56 24 52 8B 48 54 8B 56 20 8B 83 A4 02 00 00 FF 93 A0 02 00 00 EB 7C 80 BB 59 01 00 00 00 74 73 66 83 BB CA 01 00 00 00 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 5E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 46 24 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35435_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandFETCH"
		size = 240
		refs = "0018 TIdIMAP4Server.SendWrongConnectionState 0076 TIdIMAP4Server.SendUnassignedDefaultMechanism 007f _Dn_TStringList 0084 TStringList.Create 008f TIdIMAP4Server.DoCommandFETCH 00a5 BreakApart 00b4 TIdIMAP4Server.ProcessFetch 00ce TObject.Free 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B 46 20 80 78 48 03 74 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 B9 00 00 00 66 83 BB AA 02 00 00 00 74 1B 8B 56 24 52 8B 48 54 8B 56 20 8B 83 AC 02 00 00 FF 93 A8 02 00 00 E9 94 00 00 00 80 BB 59 01 00 00 00 0F 84 87 00 00 00 66 83 BB CA 01 00 00 00 74 14 66 83 BB C2 01 00 00 00 74 0A 66 83 BB D2 01 00 00 00 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 5E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 46 24 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35436_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandSTORE"
		size = 216
		refs = "0018 TIdIMAP4Server.SendWrongConnectionState 002f TIdIMAP4Server.SendErrorOpenedReadOnly 0066 _Dn_TStringList 006b TStringList.Create 0076 TIdIMAP4Server.DoCommandSTORE 008c BreakApart 009b TIdIMAP4Server.ProcessStore 00b5 TObject.Free 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B 46 20 80 78 48 03 74 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 A0 00 00 00 8B 50 50 80 7A 50 01 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 89 00 00 00 66 83 BB B2 02 00 00 00 74 18 8B 56 24 52 8B 48 54 8B 56 20 8B 83 B4 02 00 00 FF 93 B0 02 00 00 EB 67 80 BB 59 01 00 00 00 74 5E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 46 24 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35437_0 {
	meta:
		name = "TIdIMAP4Server.MessageFlagSetToStr"
		size = 280
		refs = "0015 TIdIMAP4Server.MessageFlagSetToStr 0022 @UStrClr 002f MessageFlags 0042 @UStrCatN 00d5 TrimRight 00df @UStrAsg 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 8B D9 88 55 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? F6 45 FF 01 74 1A FF 33 A1 ?? ?? ?? ?? FF 30 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? F6 45 FF 02 74 1B FF 33 A1 ?? ?? ?? ?? FF 70 04 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? F6 45 FF 04 74 1B FF 33 A1 ?? ?? ?? ?? FF 70 08 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? F6 45 FF 08 74 1B FF 33 A1 ?? ?? ?? ?? FF 70 0C 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? F6 45 FF 10 74 1B FF 33 A1 ?? ?? ?? ?? FF 70 10 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 3B 00 74 14 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35438_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandCOPY"
		size = 248
		refs = "0018 TIdIMAP4Server.SendWrongConnectionState 002f TIdIMAP4Server.SendErrorOpenedReadOnly 007f TIdIMAP4Server.SendUnassignedDefaultMechanism 0088 _Dn_TStringList 008d TStringList.Create 0098 TIdIMAP4Server.DoCommandCOPY 00ae BreakApart 00bd TIdIMAP4Server.ProcessCopy 00d7 TObject.Free 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B 46 20 80 78 48 03 74 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 C2 00 00 00 8B 50 50 80 7A 50 01 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 AB 00 00 00 66 83 BB BA 02 00 00 00 74 1B 8B 56 24 52 8B 48 54 8B 56 20 8B 83 BC 02 00 00 FF 93 B8 02 00 00 E9 86 00 00 00 80 BB 59 01 00 00 00 74 7D 66 83 BB E2 01 00 00 00 74 0A 66 83 BB BA 01 00 00 00 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 5E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 46 24 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35439_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandUID"
		size = 692
		refs = "0016 TIdIMAP4Server.DoCommandUID 002e TIdIMAP4Server.SendWrongConnectionState 006c _Dn_TStringList 0071 TStringList.Create 0092 BreakApart 00a6 TIdIMAP4Server.SendIncorrectNumberOfParameters 00ab @TryFinallyExit 00f1 PosInStrArray 0132 TIdIMAP4Server.SendUnassignedDefaultMechanism 0155 TIdIMAP4Server.ProcessFetch 019a TIdIMAP4Server.ProcessCopy 01b5 TIdIMAP4Server.ProcessStore 01ea TIdIMAP4Server.ProcessSearch 01f5 TIdIMAP4Server.SendUnsupportedCommand 020f TObject.Free 0215 @HandleFinally 022c @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 80 78 48 03 74 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 E4 01 00 00 66 83 BB C2 02 00 00 00 74 1B 8B 56 24 52 8B 48 54 8B 56 20 8B 83 C4 02 00 00 FF 93 C0 02 00 00 E9 BF 01 00 00 80 BB 59 01 00 00 00 0F 84 B2 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 46 24 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 48 7D 13 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 67 01 00 00 6A 00 8D 4D F8 33 D2 8B 45 FC 8B 38 FF 57 0C 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 E8 B8 ?? ?? ?? ?? 89 45 EC B8 ?? ?? ?? ?? 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 8D 55 E8 B9 03 00 00 00 58 E8 ?? ?? ?? ?? 83 E8 01 72 15 74 62 48 0F 84 9D 00 00 00 48 0F 84 B1 00 00 00 E9 E1 00 00 00 66 83 BB CA 01 00 00 00 74 14 66 83 BB C2 01 00 00 00 74 0A 66 83 BB D2 01 00 00 00 75 13 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DB 00 00 00 33 D2 8B 45 FC 8B 08 FF 51 48 8B 45 FC 50 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? E9 9B 00 00 00 66 83 BB E2 01 00 00 00 74 0A 66 83 BB BA 01 00 00 00 75 13 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 96 00 00 00 33 D2 8B 45 FC 8B 08 FF 51 48 8B 45 FC 50 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? EB 59 33 D2 8B 45 FC 8B 08 FF 51 48 8B 45 FC 50 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? EB 3E 66 83 BB CA 01 00 00 00 75 10 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 46 33 D2 8B 45 FC 8B 08 FF 51 48 8B 45 FC 50 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 45 00 54 00 43 00 48 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 4F 00 50 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 54 00 4F 00 52 00 45 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 45 00 41 00 52 00 43 00 48 00 00 00 00 00 }
	condition:
		$1
}

rule function_35440_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandX"
		size = 60
		refs = "0035 TIdIMAP4Server.SendUnsupportedCommand"
	strings:
		$1 = { 53 56 66 83 B8 CA 02 00 00 00 75 1F 8B 5A 24 53 8B 4A 20 8B 59 54 8B F0 8B D1 8B CB 8B 86 CC 02 00 00 FF 96 C8 02 00 00 5E 5B C3 80 B8 59 01 00 00 00 74 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35441_0 {
	meta:
		name = "TIdIMAP4Server.DoCommandSTARTTLS"
		size = 328
		refs = "0019 TIdIMAP4Server.DoCommandSTARTTLS 002e _Dn_TIdServerIOHandlerSSLBase 0033 @IsClass 0066 TIdIMAP4PeerContext.GetUsingTLS 0072 RSIMAP4SvrNotPermittedWithTLS 0077 LoadResString 0096 TIdIMAP4Server.DoSendReply 00a0 RSIMAP4SvrBeginTLSNegotiation 00d6 _Dn_TIdSSLIOHandlerSocketBase 00db @AsClass 00ff @UStrArrayClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7E 20 8B 83 A8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 0F B6 83 54 01 00 00 04 FE 2C 02 72 1B 8B 46 24 50 8B 4F 54 8B 56 20 8B 83 D4 02 00 00 FF 93 D0 02 00 00 E9 86 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 74 2E 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 B9 ?? ?? ?? ?? 8B 56 20 8B C3 E8 ?? ?? ?? ?? EB 4D 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 B9 ?? ?? ?? ?? 8B 56 20 8B C3 E8 ?? ?? ?? ?? 8B 46 20 8B 40 14 8B 80 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 08 FF 91 04 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 41 00 44 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4F 00 4B 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_35446_0 {
	meta:
		name = "TIdConnectionIntercept.Disconnect"
		size = 37
	strings:
		$1 = { 53 8B D8 8B 43 3C 85 C0 74 05 8B 10 FF 52 48 66 83 7B 52 00 74 08 8B D3 8B 43 54 FF 53 50 33 C0 89 43 38 5B C3 }
	condition:
		$1
}

rule function_35447_0 {
	meta:
		name = "TIdConnectionIntercept.Connect"
		size = 41
	strings:
		$1 = { 53 56 8B F2 8B D8 89 73 38 66 83 7B 4A 00 74 08 8B D3 8B 43 4C FF 53 48 8B 43 3C 85 C0 74 07 8B D6 8B 08 FF 51 44 5E 5B C3 }
	condition:
		$1
}

rule function_35448_0 {
	meta:
		name = "TIdConnectionIntercept.Receive"
		size = 40
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 3C 85 C0 74 07 8B D6 8B 08 FF 51 4C 66 83 7B 5A 00 74 0A 8B CE 8B D3 8B 43 5C FF 53 58 5E 5B C3 }
	condition:
		$1
}

rule function_35449_0 {
	meta:
		name = "TIdConnectionIntercept.Send"
		size = 40
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 7B 62 00 74 0A 8B CE 8B D3 8B 43 64 FF 53 60 8B 43 3C 85 C0 74 07 8B D6 8B 08 FF 51 50 5E 5B C3 }
	condition:
		$1
}

rule function_35450_0 {
	meta:
		name = "TIdConnectionIntercept.SetIntercept"
		size = 183
		refs = "0019 TIdConnectionIntercept.SetIntercept 0034 TObject.ClassName 004c RSInterceptCircularLink 0051 LoadResString 005b _DV_EIdInterceptCircularLink 0060 Exception.CreateFmt 0065 @RaiseExcept 007a TComponent.RemoveFreeNotification 008b TComponent.FreeNotification 00a5 @UStrArrayClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D F0 89 4D EC 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 85 DB 74 46 3B F3 75 3B 8D 55 F0 8B 06 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5B 3C 85 DB 75 BA 8B 46 3C 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 89 46 3C 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41071_0 {
	meta:
		name = "TIdConnectionIntercept.SetIntercept"
		size = 183
		refs = "0019 TIdConnectionIntercept.SetIntercept 0034 TObject.ClassName 004c RSInterceptCircularLink 0051 LoadResString 005b _DV_EInInterceptCircularLink 0060 Exception.CreateFmt 0065 @RaiseExcept 007a TComponent.RemoveFreeNotification 008b TComponent.FreeNotification 00a5 @UStrArrayClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D F0 89 4D EC 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 85 DB 74 46 3B F3 75 3B 8D 55 F0 8B 06 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5B 3C 85 DB 75 BA 8B 46 3C 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 89 46 3C 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35451_0 {
	meta:
		name = "TDomImplementation.Notification"
		size = 39
		refs = "0010 TComponent.Notification"
		altNames = "TIdConnectionIntercept.Notification TXmlWFTestHandler.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0A 3B 77 3C 75 05 33 C0 89 47 3C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35452_0 {
	meta:
		name = "TIdConnectionIntercept.InitComponent"
		size = 16
		refs = "0006 TIdInitializerComponent.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 40 01 5B C3 }
	condition:
		$1
}

rule function_35455_0 {
	meta:
		name = "TIdInterceptSimLog.Connect"
		size = 30
		refs = "0006 TIdConnectionIntercept.Connect 0010 _Dn_TIdFileCreateStream 0015 TIdFileCreateStream.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 4B 68 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 6C 5B C3 }
	condition:
		$1
}

rule function_35456_0 {
	meta:
		name = "TIdInterceptSimLog.Disconnect"
		size = 28
		refs = "000f TObject.Free 0016 TIdConnectionIntercept.Disconnect"
	strings:
		$1 = { 53 8B D8 8D 43 6C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_35457_0 {
	meta:
		name = "TIdInterceptSimLog.Receive"
		size = 56
		refs = "000b TIdConnectionIntercept.Receive 0012 TIdInterceptSimLog.Receive 0019 TIdInterceptSimLog.WriteRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 65 00 63 00 76 00 00 00 00 00 }
	condition:
		$1
}

rule function_35458_0 {
	meta:
		name = "TIdInterceptSimLog.Send"
		size = 56
		refs = "0009 TIdInterceptSimLog.Send 0010 TIdInterceptSimLog.WriteRecord 0019 TIdConnectionIntercept.Send"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 65 00 6E 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_35459_0 {
	meta:
		name = "TIdInterceptSimLog.SetFilename"
		size = 101
		refs = "000f TIdInterceptSimLog.SetFilename 0023 RSLogFileAlreadyOpen 0028 LoadResString 0030 _Dn_EIdException 0035 EIdException.Toss 003f @UStrAsg 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 6C 00 74 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 68 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35460_0 {
	meta:
		name = "TIdInterceptSimLog.WriteRecord"
		size = 376
		refs = "001b TIdInterceptSimLog.WriteRecord 002c @DynArrayLength 007d @UStrCat3 0085 Output 008a @Write0UString 008f @WriteLn 0094 @_IOTest 00a8 IntToStr 00b8 @UStrCatN 00e0 WriteStringToStream 00ee WriteTIdBytesToStream 011c @UStrArrayClr 0122 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B C3 E8 ?? ?? ?? ?? 8B F8 83 FF 01 7E 34 80 7C 3B FE 0D 75 2D 80 7C 3B FF 0A 75 26 C6 45 FB 01 8B D7 83 EA 03 85 D2 7C 19 42 33 C0 80 3C 03 20 72 06 80 3C 03 7F 76 06 C6 45 FB 00 EB 04 40 4A 75 EA 80 7D FB 00 74 29 8D 45 F4 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 39 FF 75 FC 68 ?? ?? ?? ?? 8D 55 EC 8B C7 E8 ?? ?? ?? ?? FF 75 EC 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 6A 00 83 C9 FF 33 D2 8B 46 6C E8 ?? ?? ?? ?? 6A 00 8B CF 8B D3 8B 46 6C E8 ?? ?? ?? ?? 6A 01 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 46 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3A 00 45 00 4F 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3A 00 42 00 79 00 74 00 65 00 73 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_35463_0 {
	meta:
		name = "TIdInterceptThrottler.Receive"
		size = 140
		refs = "000e TIdConnectionIntercept.Receive 002c @DynArrayLength 0032 @_llmul 003c @_lldiv 004f _Dn_TIdAntiFreezeBase 0054 TIdAntiFreezeBase.Sleep"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7B 6C 00 7E 6F 8B 43 6C 99 52 50 6A 00 68 E8 03 00 00 6A 00 6A 08 8B 06 E8 ?? ?? ?? ?? 99 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 EB 1B BA FF FF FF 7F A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 81 2C 24 FF FF FF 7F 83 5C 24 04 00 83 7C 24 04 00 75 0B 81 3C 24 FF FF FF 7F 77 D5 EB 02 7F D1 8B 04 24 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_35464_0 {
	meta:
		name = "TIdInterceptThrottler.Send"
		size = 140
		refs = "000e TIdConnectionIntercept.Send 002c @DynArrayLength 0032 @_llmul 003c @_lldiv 004f _Dn_TIdAntiFreezeBase 0054 TIdAntiFreezeBase.Sleep"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7B 70 00 7E 6F 8B 43 70 99 52 50 6A 00 68 E8 03 00 00 6A 00 6A 08 8B 06 E8 ?? ?? ?? ?? 99 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 EB 1B BA FF FF FF 7F A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 81 2C 24 FF FF FF 7F 83 5C 24 04 00 83 7C 24 04 00 75 0B 81 3C 24 FF FF FF 7F 77 D5 EB 02 7F D1 8B 04 24 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_35465_0 {
	meta:
		name = "TIdInterceptThrottler.SetBitsPerSec"
		size = 10
	strings:
		$1 = { 89 50 68 89 50 6C 89 50 70 C3 }
	condition:
		$1
}

rule function_35474_0 {
	meta:
		name = "TIdIOHandler.Close"
		size = 84
		refs = "000b TIdIOHandler.Close 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 A4 00 00 00 85 C0 74 05 8B 10 FF 52 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 B4 00 00 00 00 8B 45 FC 8B 10 FF 92 D4 00 00 00 C3 E9 ?? ?? ?? ?? EB E3 59 5D C3 }
	condition:
		$1
}

rule function_41082_0 {
	meta:
		name = "TInIOHandler.Close"
		size = 84
		refs = "000b TInIOHandler.Close 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 A4 00 00 00 85 C0 74 05 8B 10 FF 52 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 B4 00 00 00 00 8B 45 FC 8B 10 FF 92 D4 00 00 00 C3 E9 ?? ?? ?? ?? EB E3 59 5D C3 }
	condition:
		$1
}

rule function_35475_0 {
	meta:
		name = "TIdIOHandler.Destroy"
		size = 84
		refs = "0003 @BeforeDestruction 0024 TObject.Free 0042 TIdComponent.Destroy 004d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 92 8C 00 00 00 8D 86 A0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 CC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_41083_0 {
	meta:
		name = "TInIOHandler.Destroy"
		size = 84
		refs = "0003 @BeforeDestruction 0024 TObject.Free 0042 TInComponent.Destroy 004d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 92 8C 00 00 00 8D 86 A0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 CC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35477_0 {
	meta:
		name = "TIdIOHandler.Open"
		size = 47
		refs = "0022 TIdBuffer.Clear"
	strings:
		$1 = { 53 8B D8 C6 83 B4 00 00 00 00 C6 83 91 00 00 00 00 8B C3 8B 10 FF 92 D4 00 00 00 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? C6 83 B4 00 00 00 01 5B C3 }
	condition:
		$1
}

rule function_41085_0 {
	meta:
		name = "TInIOHandler.Open"
		size = 47
		refs = "0022 TInBuffer.Clear"
	strings:
		$1 = { 53 8B D8 C6 83 B4 00 00 00 00 C6 83 91 00 00 00 00 8B C3 8B 10 FF 92 D4 00 00 00 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? C6 83 B4 00 00 00 01 5B C3 }
	condition:
		$1
}

rule function_35478_0 {
	meta:
		name = "TIdIOHandler.Notification"
		size = 45
		refs = "0010 TComponent.Notification"
		altNames = "TInIOHandler.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 A4 00 00 00 75 08 33 C0 89 87 A4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35481_0 {
	meta:
		name = "TIdIOHandler.SetDefStringEncoding"
		size = 36
		refs = "0014 EnsureEncoding"
		altNames = "TInIOHandler.SetDefStringEncoding"
	strings:
		$1 = { 53 51 8B D8 3B 93 D4 00 00 00 74 15 89 14 24 8B C4 33 D2 E8 ?? ?? ?? ?? 8B 04 24 89 83 D4 00 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_35483_0 {
	meta:
		name = "TIdIOHandler.RegisterIOHandler"
		size = 58
		refs = "0005 GIOHandlerClassList 000f _Dn_TList 0014 TObject.Create 0025 TList.IndexOf 0034 TList.Add"
		altNames = "TInIOHandler.RegisterIOHandler"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 75 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_35484_0 {
	meta:
		name = "TIdIOHandler.MakeIOHandler"
		size = 197
		refs = "0014 GIOHandlerClassList 001c TIdIOHandler.MakeIOHandler 0036 TList.Get 003d TObject.InheritsFrom 0051 TIdInitializerComponent.Create 0065 TObject.ClassName 007d RSIOHandlerTypeNotInstalled 0082 LoadResString 008c _Dn_EIdException 0091 Exception.CreateFmt 0096 @RaiseExcept 00b0 @UStrArrayClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F4 89 5D F0 8B F2 BF ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 8B 58 08 4B 83 FB 00 7C 2E 8B D3 8B 07 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 84 C0 74 14 8B D3 8B 07 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B D8 EB 41 4B 83 FB FF 75 D2 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41092_0 {
	meta:
		name = "TInIOHandler.MakeIOHandler"
		size = 197
		refs = "0014 GIOHandlerClassList 001c TInIOHandler.MakeIOHandler 0036 TList.Get 003d TObject.InheritsFrom 0051 TIdInitializerComponent.Create 0065 TObject.ClassName 007d RSIOHandlerTypeNotInstalled 0082 LoadResString 008c _Dn_EInException 0091 Exception.CreateFmt 0096 @RaiseExcept 00b0 @UStrArrayClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F4 89 5D F0 8B F2 BF ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 8B 58 08 4B 83 FB 00 7C 2E 8B D3 8B 07 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 84 C0 74 14 8B D3 8B 07 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B D8 EB 41 4B 83 FB FF 75 D2 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35485_0 {
	meta:
		name = "TIdIOHandler.GetDestination"
		size = 22
		refs = "000f @UStrAsg"
		altNames = "TInIOHandler.GetDestination TQuerySelectOptions.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 98 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98337_0 {
	meta:
		name = "TCustomWebAppPageModule.GetWebAppServices"
		size = 22
		refs = "000f @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 98 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35486_0 {
	meta:
		name = "TIdIOHandler.SetDestination"
		size = 22
		refs = "000f @UStrAsg"
		altNames = "TInIOHandler.SetDestination TQuerySelectOptions.SetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 98 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35487_0 {
	meta:
		name = "TIdIOHandler.BufferRemoveNotify"
		size = 19
		altNames = "TInIOHandler.BufferRemoveNotify"
	strings:
		$1 = { 53 8B D8 8B C1 99 52 50 33 D2 8B C3 8B 08 FF 51 48 5B C3 }
	condition:
		$1
}

rule function_35488_0 {
	meta:
		name = "TIdIOHandler.WriteBufferOpen"
		size = 50
		refs = "0011 TIdBuffer.Clear 001a _Dn_TIdBuffer 001f TIdBuffer.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 CC 00 00 00 85 C0 74 07 E8 ?? ?? ?? ?? EB 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 CC 00 00 00 89 B3 D0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_41096_0 {
	meta:
		name = "TInIOHandler.WriteBufferOpen"
		size = 50
		refs = "0011 TInBuffer.Clear 001a _Dn_TInBuffer 001f TInBuffer.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 CC 00 00 00 85 C0 74 07 E8 ?? ?? ?? ?? EB 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 CC 00 00 00 89 B3 D0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_35489_0 {
	meta:
		name = "TIdIOHandler.WriteBufferClose"
		size = 74
		refs = "000b TIdIOHandler.WriteBufferClose 0019 TIdIOHandler.WriteBufferFlush 003b TObject.Free 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 CC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 59 5D C3 }
	condition:
		$1
}

rule function_41097_0 {
	meta:
		name = "TInIOHandler.WriteBufferClose"
		size = 74
		refs = "000b TInIOHandler.WriteBufferClose 0019 TInIOHandler.WriteBufferFlush 003b TObject.Free 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 CC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 59 5D C3 }
	condition:
		$1
}

rule function_35490_0 {
	meta:
		name = "TIdIOHandler.WriteBufferFlush"
		size = 106
		refs = "000c TIdIOHandler.WriteBufferFlush 0030 TIdBuffer.ExtractToBytes 003f TIdIOHandler.WriteDirect 0055 TArray<System.Byte> 005a @DynArrayClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 CC 00 00 00 85 C0 74 23 83 78 20 00 7E 1D 6A 01 6A FF 8D 4D FC 87 CA E8 ?? ?? ?? ?? 6A 00 83 C9 FF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_41098_0 {
	meta:
		name = "TInIOHandler.WriteBufferFlush"
		size = 106
		refs = "000c TInIOHandler.WriteBufferFlush 0030 TInBuffer.ExtractToBytes 003f TInIOHandler.WriteDirect 0055 TArray<System.Byte> 005a @DynArrayClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 CC 00 00 00 85 C0 74 23 83 78 20 00 7E 1D 6A 01 6A FF 8D 4D FC 87 CA E8 ?? ?? ?? ?? 6A 00 83 C9 FF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_35491_0 {
	meta:
		name = "TIdIOHandler.WriteBufferClear"
		size = 18
		refs = "000d TIdBuffer.Clear"
	strings:
		$1 = { 8B 90 CC 00 00 00 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41099_0 {
	meta:
		name = "TInIOHandler.WriteBufferClear"
		size = 18
		refs = "000d TInBuffer.Clear"
	strings:
		$1 = { 8B 90 CC 00 00 00 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35492_0 {
	meta:
		name = "TIdIOHandler.WriteBufferCancel"
		size = 25
		altNames = "TInIOHandler.WriteBufferCancel"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 D4 00 00 00 8B C3 8B 10 FF 92 D8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_35493_0 {
	meta:
		name = "TIdIOHandler.Write"
		size = 128
		refs = "0012 TIdIOHandler.Write 002b iif 0043 ToBytes 0069 TArray<System.Byte> 006e @DynArrayClear 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 37 B1 02 8B 93 D4 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F0 6A 00 56 8D 45 FC 50 B9 01 00 00 00 83 CA FF 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 83 C9 FF 8B C3 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41101_0 {
	meta:
		name = "TInIOHandler.Write"
		size = 128
		refs = "0012 TInIOHandler.Write 002b iif 0043 ToBytes 0069 TArray<System.Byte> 006e @DynArrayClear 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 37 B1 02 8B 93 D4 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F0 6A 00 56 8D 45 FC 50 B9 01 00 00 00 83 CA FF 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 83 C9 FF 8B C3 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35494_0 {
	meta:
		name = "TIdIOHandler.Write"
		size = 93
		refs = "000f TIdIOHandler.Write 0021 ToBytes 0047 TArray<System.Byte> 004c @DynArrayClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 83 C9 FF 8B C6 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41102_0 {
	meta:
		name = "TInIOHandler.Write"
		size = 93
		refs = "000f TInIOHandler.Write 0021 ToBytes 0047 TArray<System.Byte> 004c @DynArrayClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 83 C9 FF 8B C6 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35495_0 {
	meta:
		name = "TIdIOHandler.Write"
		size = 116
		refs = "0012 TIdIOHandler.Write 0027 iif 0037 ToBytes 005d TArray<System.Byte> 0062 @DynArrayClear 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 02 8B 93 D4 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F0 6A 00 8D 4D FC 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 83 C9 FF 8B C3 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41103_0 {
	meta:
		name = "TInIOHandler.Write"
		size = 116
		refs = "0012 TInIOHandler.Write 0027 iif 0037 ToBytes 005d TArray<System.Byte> 0062 @DynArrayClear 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 02 8B 93 D4 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F0 6A 00 8D 4D FC 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 83 C9 FF 8B C3 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35496_0 {
	meta:
		name = "TIdIOHandler.Write"
		size = 115
		refs = "0010 TIdIOHandler.Write 001f GStack 0036 ToBytes 005c TArray<System.Byte> 0061 @DynArrayClear 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 C9 74 10 A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 51 30 8B F0 6A 00 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 83 C9 FF 8B C7 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41104_0 {
	meta:
		name = "TInIOHandler.Write"
		size = 115
		refs = "0010 TInIOHandler.Write 001f GStack 0036 ToBytes 005c TArray<System.Byte> 0061 @DynArrayClear 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 C9 74 10 A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 51 30 8B F0 6A 00 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 83 C9 FF 8B C7 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35498_0 {
	meta:
		name = "TIdIOHandler.Write"
		size = 125
		refs = "000d TIdIOHandler.Write 0022 GStack 003f ToBytes 0065 TArray<System.Byte> 006a @DynArrayClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 D2 74 18 FF 75 0C FF 75 08 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 34 89 45 08 89 55 0C 6A 00 FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 83 C9 FF 8B C6 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_41106_0 {
	meta:
		name = "TInIOHandler.Write"
		size = 125
		refs = "000d TInIOHandler.Write 0022 GStack 003f ToBytes 0065 TArray<System.Byte> 006a @DynArrayClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 D2 74 18 FF 75 0C FF 75 08 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 34 89 45 08 89 55 0C 6A 00 FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 83 C9 FF 8B C6 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_35499_0 {
	meta:
		name = "TIdIOHandler.Write"
		size = 272
		refs = "001a TIdIOHandler.Write 0033 iif 003e TIdIOHandler.WriteBufferingActive 0051 TIdIOHandler.WriteBufferOpen 00cb @HandleAnyException 00e1 @RaiseAgain 00e6 @DoneExcept 00fb @UStrClr 0101 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 D4 00 00 00 B1 02 8B 45 08 E8 ?? ?? ?? ?? 89 45 08 8B 45 FC E8 ?? ?? ?? ?? 34 01 88 45 F7 80 7D F7 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 14 8B 45 F8 8B 10 FF 52 14 8B D0 B1 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 25 43 33 F6 8D 4D F0 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 55 F0 8B 4D 08 8B 45 FC 8B 38 FF 97 A4 00 00 00 46 4B 75 DE 80 7D F7 00 74 0B 8B 45 FC 8B 10 FF 92 D8 00 00 00 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 80 7D F7 00 74 0B 8B 45 FC 8B 10 FF 92 D0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_41107_0 {
	meta:
		name = "TInIOHandler.Write"
		size = 272
		refs = "001a TInIOHandler.Write 0033 iif 003e TInIOHandler.WriteBufferingActive 0051 TInIOHandler.WriteBufferOpen 00cb @HandleAnyException 00e1 @RaiseAgain 00e6 @DoneExcept 00fb @UStrClr 0101 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 D4 00 00 00 B1 02 8B 45 08 E8 ?? ?? ?? ?? 89 45 08 8B 45 FC E8 ?? ?? ?? ?? 34 01 88 45 F7 80 7D F7 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 14 8B 45 F8 8B 10 FF 52 14 8B D0 B1 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 25 43 33 F6 8D 4D F0 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 55 F0 8B 4D 08 8B 45 FC 8B 38 FF 97 A4 00 00 00 46 4B 75 DE 80 7D F7 00 74 0B 8B 45 FC 8B 10 FF 92 D8 00 00 00 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 80 7D F7 00 74 0B 8B 45 FC 8B 10 FF 92 D0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_35500_0 {
	meta:
		name = "TIdIOHandler.Write"
		size = 115
		refs = "0010 TIdIOHandler.Write 001f GStack 0036 ToBytes 005c TArray<System.Byte> 0061 @DynArrayClear 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 C9 74 10 A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 51 2C 8B F0 6A 00 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 83 C9 FF 8B C7 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41108_0 {
	meta:
		name = "TInIOHandler.Write"
		size = 115
		refs = "0010 TInIOHandler.Write 001f GStack 0036 ToBytes 005c TArray<System.Byte> 0061 @DynArrayClear 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 C9 74 10 A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 51 2C 8B F0 6A 00 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 83 C9 FF 8B C7 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35502_0 {
	meta:
		name = "TIdIOHandler.ReadString"
		size = 149
		refs = "0019 TIdIOHandler.ReadString 0044 iif 005b BytesToString 0065 @UStrClr 007b TArray<System.Byte> 0080 @DynArrayClear 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7E 3A 6A 00 8D 55 FC 8B CE 8B C3 8B 38 FF 97 C0 00 00 00 B1 02 8B 93 D4 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 50 8B 45 08 50 8B CE 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_41110_0 {
	meta:
		name = "TInIOHandler.ReadString"
		size = 149
		refs = "0019 TInIOHandler.ReadString 0044 iif 005b BytesToString 0065 @UStrClr 007b TArray<System.Byte> 0080 @DynArrayClear 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7E 3A 6A 00 8D 55 FC 8B CE 8B C3 8B 38 FF 97 C0 00 00 00 B1 02 8B 93 D4 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 50 8B 45 08 50 8B CE 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_35503_0 {
	meta:
		name = "TIdIOHandler.ReadStrings"
		size = 138
		refs = "0018 TIdIOHandler.ReadStrings 002e iif 003e TIdIOHandler.ReadLongInt 0053 TIdIOHandler.ReadLn 0076 @UStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 02 8B 96 D4 00 00 00 8B 45 08 E8 ?? ?? ?? ?? 89 45 08 85 DB 7D 0B B2 01 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1C 43 8D 4D F8 8B 55 08 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 38 4B 75 E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_41111_0 {
	meta:
		name = "TInIOHandler.ReadStrings"
		size = 138
		refs = "0018 TInIOHandler.ReadStrings 002e iif 003e TInIOHandler.ReadLongInt 0053 TInIOHandler.ReadLn 0076 @UStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 02 8B 96 D4 00 00 00 8B 45 08 E8 ?? ?? ?? ?? 89 45 08 85 DB 7D 0B B2 01 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1C 43 8D 4D F8 8B 55 08 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 38 4B 75 E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_35504_0 {
	meta:
		name = "TIdIOHandler.ReadWord"
		size = 115
		refs = "000d TIdIOHandler.ReadWord 002f BytesToWord 003a GStack 005b TArray<System.Byte> 0060 @DynArrayClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 55 FC B9 02 00 00 00 8B 30 FF 96 C0 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F0 84 DB 74 10 A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 51 54 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35505_0 {
	meta:
		name = "TIdIOHandler.ReadSmallInt"
		size = 115
		refs = "000d TIdIOHandler.ReadSmallInt 002f BytesToShort 003a GStack 005b TArray<System.Byte> 0060 @DynArrayClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 55 FC B9 02 00 00 00 8B 30 FF 96 C0 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F0 84 DB 74 10 A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 51 54 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41113_0 {
	meta:
		name = "TInIOHandler.ReadSmallInt"
		size = 115
		refs = "000d TInIOHandler.ReadSmallInt 002f BytesToShort 003a GStack 005b TArray<System.Byte> 0060 @DynArrayClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 55 FC B9 02 00 00 00 8B 30 FF 96 C0 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F0 84 DB 74 10 A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 51 54 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41112_0 {
	meta:
		name = "TInIOHandler.ReadWord"
		size = 115
		refs = "000d TInIOHandler.ReadWord 002f BytesToWord 003a GStack 005b TArray<System.Byte> 0060 @DynArrayClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 55 FC B9 02 00 00 00 8B 30 FF 96 C0 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F0 84 DB 74 10 A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 51 54 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35506_0 {
	meta:
		name = "TIdIOHandler.ReadChar"
		size = 241
		refs = "001a TIdIOHandler.ReadChar 0033 iif 0054 TArray<System.Byte> 0059 @DynArraySetLength 006c TArray<System.Char> 008b TIdIOHandler.ReadByte 00a6 TEncoding.GetChars 00cf @DynArrayClear 00e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 90 D4 00 00 00 B1 02 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F0 BA 02 00 00 00 8B 45 F0 8B 08 FF 51 1C 8B D8 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 02 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 DB 7E 36 8B F3 85 F6 7E 30 BB 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 FC 88 44 1A FF 53 8B 45 F8 50 6A 00 33 C9 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 7F 04 43 4E 75 D5 8B 45 F8 0F B7 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41114_0 {
	meta:
		name = "TInIOHandler.ReadChar"
		size = 241
		refs = "001a TInIOHandler.ReadChar 0033 iif 0054 TArray<System.Byte> 0059 @DynArraySetLength 006c TArray<System.Char> 008b TInIOHandler.ReadByte 00a6 TEncoding.GetChars 00cf @DynArrayClear 00e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 90 D4 00 00 00 B1 02 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F0 BA 02 00 00 00 8B 45 F0 8B 08 FF 51 1C 8B D8 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 02 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 DB 7E 36 8B F3 85 F6 7E 30 BB 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 FC 88 44 1A FF 53 8B 45 F8 50 6A 00 33 C9 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 7F 04 43 4E 75 D5 8B 45 F8 0F B7 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35507_0 {
	meta:
		name = "TIdIOHandler.ReadByte"
		size = 85
		refs = "000a TIdIOHandler.ReadByte 003e TArray<System.Byte> 0043 @DynArrayClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 55 FC B9 01 00 00 00 8B 18 FF 93 C0 00 00 00 8B 45 FC 0F B6 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_41115_0 {
	meta:
		name = "TInIOHandler.ReadByte"
		size = 85
		refs = "000a TInIOHandler.ReadByte 003e TArray<System.Byte> 0043 @DynArrayClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 55 FC B9 01 00 00 00 8B 18 FF 93 C0 00 00 00 8B 45 FC 0F B6 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_35508_0 {
	meta:
		name = "TIdIOHandler.ReadLongInt"
		size = 115
		refs = "000d TIdIOHandler.ReadLongInt 002f BytesToLongInt 003a GStack 005b TArray<System.Byte> 0060 @DynArrayClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 55 FC B9 04 00 00 00 8B 30 FF 96 C0 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F0 84 DB 74 10 A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 51 58 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35510_0 {
	meta:
		name = "TIdIOHandler.ReadLongWord"
		size = 115
		refs = "000d TIdIOHandler.ReadLongWord 002f BytesToLongWord 003a GStack 005b TArray<System.Byte> 0060 @DynArrayClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 55 FC B9 04 00 00 00 8B 30 FF 96 C0 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F0 84 DB 74 10 A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 51 58 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41116_0 {
	meta:
		name = "TInIOHandler.ReadLongInt"
		size = 115
		refs = "000d TInIOHandler.ReadLongInt 002f BytesToLongInt 003a GStack 005b TArray<System.Byte> 0060 @DynArrayClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 55 FC B9 04 00 00 00 8B 30 FF 96 C0 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F0 84 DB 74 10 A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 51 58 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41118_0 {
	meta:
		name = "TInIOHandler.ReadLongWord"
		size = 115
		refs = "000d TInIOHandler.ReadLongWord 002f BytesToLongWord 003a GStack 005b TArray<System.Byte> 0060 @DynArrayClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 55 FC B9 04 00 00 00 8B 30 FF 96 C0 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F0 84 DB 74 10 A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 51 58 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35509_0 {
	meta:
		name = "TIdIOHandler.ReadInt64"
		size = 138
		refs = "0013 TIdIOHandler.ReadInt64 0035 BytesToInt64 004a GStack 006d TArray<System.Byte> 0072 @DynArrayClear 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 55 FC B9 08 00 00 00 8B 30 FF 96 C0 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 84 DB 74 18 FF 75 F4 FF 75 F0 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 5C 89 45 F0 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F0 8B 55 F4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41117_0 {
	meta:
		name = "TInIOHandler.ReadInt64"
		size = 138
		refs = "0013 TInIOHandler.ReadInt64 0035 BytesToInt64 004a GStack 006d TArray<System.Byte> 0072 @DynArrayClear 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 55 FC B9 08 00 00 00 8B 30 FF 96 C0 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 84 DB 74 18 FF 75 F4 FF 75 F0 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 5C 89 45 F0 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F0 8B 55 F4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35511_0 {
	meta:
		name = "TIdIOHandler.ReadLn"
		size = 52
		refs = "0011 TIdIOHandler.ReadLn"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A FF 56 57 83 C9 FF BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 C4 00 00 00 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_41119_0 {
	meta:
		name = "TInIOHandler.ReadLn"
		size = 52
		refs = "0011 TInIOHandler.ReadLn"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A FF 56 57 83 C9 FF BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 C4 00 00 00 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_35512_0 {
	meta:
		name = "TIdIOHandler.ReadLn"
		size = 94
		refs = "0011 @UStrAddRef 0019 TIdIOHandler.ReadLn 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A FF 56 8B 45 08 50 83 C9 FF 8B 55 FC 8B C3 8B 18 FF 93 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_41120_0 {
	meta:
		name = "TInIOHandler.ReadLn"
		size = 94
		refs = "0011 @UStrAddRef 0019 TInIOHandler.ReadLn 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A FF 56 8B 45 08 50 83 C9 FF 8B 55 FC 8B C3 8B 18 FF 93 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_35513_0 {
	meta:
		name = "TIdIOHandler.ReadLn"
		size = 572
		refs = "0020 @UStrAddRef 0028 TIdIOHandler.ReadLn 003e iif 0063 @UStrLAsg 0071 ToBytes 008c Ticks 00ac TIdBuffer.IndexOf 00bb @DynArrayLength 00c9 IndyMax 00e8 RSReadLnMaxLineLengthExceeded 00ed LoadResString 00f5 _Dn_EIdReadLnMaxLineLengthExceeded 00fa EIdException.Toss 0116 TIdBuffer.ExtractToString 0142 TIdIOHandler.ReadFromSource 016a GetTickDiff 0187 @UStrClr 01b0 TIdBuffer.ExtractToBytes 01bd @UStrEqual 01e6 BytesToString 0204 TArray<System.Byte> 020e @FinalizeArray 021c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D F8 89 5D F4 89 4D F0 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 02 8B 93 D4 00 00 00 8B 45 0C E8 ?? ?? ?? ?? 89 45 0C 83 7D 10 00 7D 09 8B 83 B0 00 00 00 89 45 10 83 7D FC 00 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? C6 83 BC 00 00 00 00 C6 83 BD 00 00 00 00 83 CE FF 33 C0 89 45 EC E8 ?? ?? ?? ?? 89 45 E8 8B 83 A0 00 00 00 8B 78 20 85 FF 7E 30 3B 7D EC 7E 0F 8B 4D EC 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 EB 03 83 CE FF 8B 45 F8 E8 ?? ?? ?? ?? 48 50 8B C7 5A 2B C2 33 D2 E8 ?? ?? ?? ?? 89 45 EC 83 7D 10 00 7E 49 3B 75 10 7E 44 80 BB AC 00 00 00 00 75 1A 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 BC 00 00 00 01 8B 45 08 50 8B 4D 0C 8B 55 10 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? E9 CB 00 00 00 83 FE FF 75 69 B1 01 B2 01 8B C3 8B 38 FF 97 84 00 00 00 83 7D F0 FF 0F 94 C0 50 8B 4D F0 B2 01 8B C3 E8 ?? ?? ?? ?? 40 0F 94 C0 88 83 BD 00 00 00 80 BB BD 00 00 00 00 75 21 83 7D F0 00 7C 1B E8 ?? ?? ?? ?? 8B D0 8B 45 E8 E8 ?? ?? ?? ?? 3B 45 F0 72 07 C6 83 BD 00 00 00 01 80 BB BD 00 00 00 00 74 0A 8B 45 08 E8 ?? ?? ?? ?? EB 5D 83 FE FF 0F 8E FD FE FF FF 6A 01 6A FF 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 03 CE 8D 55 F4 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 13 85 F6 7E 0F 8B 45 F4 0F B6 44 30 FF 66 83 F8 0D 75 01 4E 8B 45 0C 50 8B 45 08 50 8B CE 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_41121_0 {
	meta:
		name = "TInIOHandler.ReadLn"
		size = 572
		refs = "0020 @UStrAddRef 0028 TInIOHandler.ReadLn 003e iif 0063 @UStrLAsg 0071 ToBytes 008c Ticks 00ac TInBuffer.IndexOf 00bb @DynArrayLength 00c9 IndyMax 00e8 RSReadLnMaxLineLengthExceeded 00ed LoadResString 00f5 _Dn_EIdReadLnMaxLineLengthExceeded 00fa EInException.Toss 0116 TInBuffer.ExtractToString 0142 TInIOHandler.ReadFromSource 016a GetTickDiff 0187 @UStrClr 01b0 TInBuffer.ExtractToBytes 01bd @UStrEqual 01e6 BytesToString 0204 TArray<System.Byte> 020e @FinalizeArray 021c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D F8 89 5D F4 89 4D F0 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 02 8B 93 D4 00 00 00 8B 45 0C E8 ?? ?? ?? ?? 89 45 0C 83 7D 10 00 7D 09 8B 83 B0 00 00 00 89 45 10 83 7D FC 00 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? C6 83 BC 00 00 00 00 C6 83 BD 00 00 00 00 83 CE FF 33 C0 89 45 EC E8 ?? ?? ?? ?? 89 45 E8 8B 83 A0 00 00 00 8B 78 20 85 FF 7E 30 3B 7D EC 7E 0F 8B 4D EC 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 EB 03 83 CE FF 8B 45 F8 E8 ?? ?? ?? ?? 48 50 8B C7 5A 2B C2 33 D2 E8 ?? ?? ?? ?? 89 45 EC 83 7D 10 00 7E 49 3B 75 10 7E 44 80 BB AC 00 00 00 00 75 1A 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 BC 00 00 00 01 8B 45 08 50 8B 4D 0C 8B 55 10 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? E9 CB 00 00 00 83 FE FF 75 69 B1 01 B2 01 8B C3 8B 38 FF 97 84 00 00 00 83 7D F0 FF 0F 94 C0 50 8B 4D F0 B2 01 8B C3 E8 ?? ?? ?? ?? 40 0F 94 C0 88 83 BD 00 00 00 80 BB BD 00 00 00 00 75 21 83 7D F0 00 7C 1B E8 ?? ?? ?? ?? 8B D0 8B 45 E8 E8 ?? ?? ?? ?? 3B 45 F0 72 07 C6 83 BD 00 00 00 01 80 BB BD 00 00 00 00 74 0A 8B 45 08 E8 ?? ?? ?? ?? EB 5D 83 FE FF 0F 8E FD FE FF FF 6A 01 6A FF 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 03 CE 8D 55 F4 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 13 85 F6 7E 0F 8B 45 F4 0F B6 44 30 FF 66 83 F8 0D 75 01 4E 8B 45 0C 50 8B 45 08 50 8B CE 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_35514_0 {
	meta:
		name = "TIdIOHandler.ReadLnRFC"
		size = 76
		refs = "000d TIdIOHandler.ReadLnRFC"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 68 ?? ?? ?? ?? 57 8B 45 08 50 8B D6 B9 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_36154_0 {
	meta:
		name = "TIdMessageDecoder.ReadLnRFC"
		size = 76
		refs = "000d TIdMessageDecoder.ReadLnRFC"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 68 ?? ?? ?? ?? 57 8B 45 08 50 8B D6 B9 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_41122_0 {
	meta:
		name = "TInIOHandler.ReadLnRFC"
		size = 76
		refs = "000d TInIOHandler.ReadLnRFC"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 68 ?? ?? ?? ?? 57 8B 45 08 50 8B D6 B9 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_35515_0 {
	meta:
		name = "TIdIOHandler.ReadLnRFC"
		size = 112
		refs = "001b TIdIOHandler.ReadLn 0025 @UStrEqual 0033 TIdIOHandler.ReadLnRFC 0038 TextStartsWith 004d @UStrDelete"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 53 8B 4D 0C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 03 8B 55 10 E8 ?? ?? ?? ?? 75 05 C6 07 01 EB 24 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B C3 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? C6 07 00 5F 5E 5B 59 5D C2 0C 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_36155_0 {
	meta:
		name = "TIdMessageDecoder.ReadLnRFC"
		size = 112
		refs = "001b TIdMessageDecoder.ReadLn 0025 @UStrEqual 0033 TIdMessageDecoder.ReadLnRFC 0038 TextStartsWith 004d IdDelete"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 53 8B 4D 0C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 03 8B 55 10 E8 ?? ?? ?? ?? 75 05 C6 07 01 EB 24 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B C3 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? C6 07 00 5F 5E 5B 59 5D C2 0C 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_41123_0 {
	meta:
		name = "TInIOHandler.ReadLnRFC"
		size = 112
		refs = "001b TInIOHandler.ReadLn 0025 @UStrEqual 0033 TInIOHandler.ReadLnRFC 0038 TextStartsWith 004d @UStrDelete"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 53 8B 4D 0C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 03 8B 55 10 E8 ?? ?? ?? ?? 75 05 C6 07 01 EB 24 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B C3 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? C6 07 00 5F 5E 5B 59 5D C2 0C 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_35516_0 {
	meta:
		name = "TIdIOHandler.ReadLnSplit"
		size = 187
		refs = "0014 @UStrAddRef 001c TIdIOHandler.ReadLnSplit 0090 @HandleFinally 00a7 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D FC 8B DA 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 0F B6 80 AC 00 00 00 88 45 F7 8B 45 F8 C6 80 AC 00 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D 14 8B 55 FC 8B 45 F8 8B 30 FF 96 C4 00 00 00 8B 45 F8 0F B6 80 BC 00 00 00 88 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 45 F7 8B 55 F8 88 82 AC 00 00 00 C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_41124_0 {
	meta:
		name = "TInIOHandler.ReadLnSplit"
		size = 187
		refs = "0014 @UStrAddRef 001c TInIOHandler.ReadLnSplit 0090 @HandleFinally 00a7 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D FC 8B DA 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 0F B6 80 AC 00 00 00 88 45 F7 8B 45 F8 C6 80 AC 00 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D 14 8B 55 FC 8B 45 F8 8B 30 FF 96 C4 00 00 00 8B 45 F8 0F B6 80 BC 00 00 00 88 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 45 F7 8B 55 F8 88 82 AC 00 00 00 C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_35517_0 {
	meta:
		name = "TIdIOHandler.ReadLnWait"
		size = 257
		refs = "0023 TIdIOHandler.ReadLnWait 0039 iif 0043 @UStrClr 005d TIdIOHandler.ReadLn 0067 Trim 008d RSReadTimeout 0092 LoadResString 009c _Dn_EIdReadTimeout 00a1 EIdException.Create 00a6 @RaiseExcept 00b9 RSReadLnWaitMaxAttemptsExceeded 00c8 _Dn_EIdReadLnWaitMaxAttemptsExceeded 00ec @UStrArrayClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D E8 89 5D EC 89 4D F8 89 55 FC 8B F0 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 02 8B 96 D4 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F8 8B C7 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8B 45 F4 3B 45 FC 7D 61 8D 4D EC 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8B D7 E8 ?? ?? ?? ?? 8B 07 89 45 F0 8B 5D F0 85 DB 74 05 83 EB 04 8B 1B 85 DB 7F 56 80 BE BD 00 00 00 00 74 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F4 8B 45 F4 3B 45 FC 7C 9F 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_41125_0 {
	meta:
		name = "TInIOHandler.ReadLnWait"
		size = 257
		refs = "0023 TInIOHandler.ReadLnWait 0039 iif 0043 @UStrClr 005d TInIOHandler.ReadLn 0067 Trim 008d RSReadTimeout 0092 LoadResString 009c _Dn_EIdReadTimeout 00a1 EInException.Create 00a6 @RaiseExcept 00b9 RSReadLnWaitMaxAttemptsExceeded 00c8 _Dn_EIdReadLnWaitMaxAttemptsExceeded 00ec @UStrArrayClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D E8 89 5D EC 89 4D F8 89 55 FC 8B F0 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 02 8B 96 D4 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F8 8B C7 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8B 45 F4 3B 45 FC 7D 61 8D 4D EC 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8B D7 E8 ?? ?? ?? ?? 8B 07 89 45 F0 8B 5D F0 85 DB 74 05 83 EB 04 8B 1B 85 DB 7F 56 80 BE BD 00 00 00 00 74 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F4 8B 45 F4 3B 45 FC 7C 9F 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_35518_0 {
	meta:
		name = "TIdIOHandler.ReadFromSource"
		size = 685
		refs = "0022 TIdIOHandler.ReadFromSource 00c2 TArray<System.Byte> 00c7 @DynArraySetLength 0123 @DynArrayLength 013a TIdBuffer.Write 0155 @DynArrayClear 015b @HandleFinally 016b RSStatusDisconnected 0170 LoadResString 0178 _Dn_EIdClosedSocket 017d EIdException.Toss 018d RSNotConnected 019a _Dn_EIdNotConnected 01cf TIdIOHandler.InputBufferIsEmpty 0219 RSReadTimeout 0226 _Dn_EIdReadTimeout 0265 _Dn_EIdException 026a EIdException.Create 026f @RaiseExcept 0289 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F0 88 55 F7 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F0 FF 75 1E 8B 45 F8 8B 80 C0 00 00 00 83 F8 FF 74 04 85 C0 75 09 C7 45 F0 FE FF FF FF EB 03 89 45 F0 33 DB 33 C9 0F B6 55 F7 8B 45 F8 8B 30 FF 96 84 00 00 00 8B 45 F8 8B 10 FF 52 70 84 C0 0F 84 D9 01 00 00 33 C0 89 45 EC 8B 55 F0 8B 45 F8 8B 08 FF 91 9C 00 00 00 84 C0 0F 84 81 01 00 00 8B 45 F8 80 B8 B4 00 00 00 00 0F 84 E5 00 00 00 8B 45 F8 8B 10 FF 52 70 84 C0 0F 84 B3 00 00 00 8B 45 F8 8B 80 C4 00 00 00 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC 8B 45 F8 8B 08 FF 51 68 89 45 EC 83 7D EC 00 7E 4E 8B 45 EC 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 80 A4 00 00 00 85 C0 74 13 8D 55 FC 8B 08 FF 51 4C 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 8B 45 F8 8B 80 A0 00 00 00 83 C9 FF 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 80 7D F7 00 74 3C 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 20 80 7D F7 00 74 1A 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D EC 00 7D 40 8B 55 EC 8B 45 F8 8B 08 FF 51 74 8B D8 8B 45 F8 C6 80 91 00 00 00 01 8B 45 F8 8B 10 FF 92 8C 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 22 45 F7 74 0A 8B D3 8B 45 F8 8B 08 FF 51 78 33 C0 89 45 EC EB 10 83 7D EC 00 75 0A 8B 45 F8 C6 80 91 00 00 00 01 33 C9 0F B6 55 F7 8B 45 F8 8B 18 FF 93 84 00 00 00 8B 5D EC EB 25 80 7D 08 00 74 1A 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 CB FF EB 3F 83 7D EC 00 75 39 8B 45 F8 8B 10 FF 52 70 84 C0 0F 85 29 FE FF FF EB 27 80 7D F7 00 74 21 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_41126_0 {
	meta:
		name = "TInIOHandler.ReadFromSource"
		size = 685
		refs = "0022 TInIOHandler.ReadFromSource 00c2 TArray<System.Byte> 00c7 @DynArraySetLength 0123 @DynArrayLength 013a TInBuffer.Write 0155 @DynArrayClear 015b @HandleFinally 016b RSStatusDisconnected 0170 LoadResString 0178 _Dn_EIdClosedSocket 017d EInException.Toss 018d RSNotConnected 019a _Dn_EIdNotConnected 01cf TInIOHandler.InputBufferIsEmpty 0219 RSReadTimeout 0226 _Dn_EIdReadTimeout 0265 _Dn_EInException 026a EInException.Create 026f @RaiseExcept 0289 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F0 88 55 F7 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F0 FF 75 1E 8B 45 F8 8B 80 C0 00 00 00 83 F8 FF 74 04 85 C0 75 09 C7 45 F0 FE FF FF FF EB 03 89 45 F0 33 DB 33 C9 0F B6 55 F7 8B 45 F8 8B 30 FF 96 84 00 00 00 8B 45 F8 8B 10 FF 52 70 84 C0 0F 84 D9 01 00 00 33 C0 89 45 EC 8B 55 F0 8B 45 F8 8B 08 FF 91 9C 00 00 00 84 C0 0F 84 81 01 00 00 8B 45 F8 80 B8 B4 00 00 00 00 0F 84 E5 00 00 00 8B 45 F8 8B 10 FF 52 70 84 C0 0F 84 B3 00 00 00 8B 45 F8 8B 80 C4 00 00 00 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC 8B 45 F8 8B 08 FF 51 68 89 45 EC 83 7D EC 00 7E 4E 8B 45 EC 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 80 A4 00 00 00 85 C0 74 13 8D 55 FC 8B 08 FF 51 4C 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 8B 45 F8 8B 80 A0 00 00 00 83 C9 FF 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 80 7D F7 00 74 3C 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 20 80 7D F7 00 74 1A 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D EC 00 7D 40 8B 55 EC 8B 45 F8 8B 08 FF 51 74 8B D8 8B 45 F8 C6 80 91 00 00 00 01 8B 45 F8 8B 10 FF 92 8C 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 22 45 F7 74 0A 8B D3 8B 45 F8 8B 08 FF 51 78 33 C0 89 45 EC EB 10 83 7D EC 00 75 0A 8B 45 F8 C6 80 91 00 00 00 01 33 C9 0F B6 55 F7 8B 45 F8 8B 18 FF 93 84 00 00 00 8B 5D EC EB 25 80 7D 08 00 74 1A 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 CB FF EB 3F 83 7D EC 00 75 39 8B 45 F8 8B 10 FF 52 70 84 C0 0F 85 29 FE FF FF EB 27 80 7D F7 00 74 21 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_35519_0 {
	meta:
		name = "TIdIOHandler.CheckForDataOnSource"
		size = 74
		refs = "0035 TIdIOHandler.ReadFromSource"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 33 DB 8B 86 A0 00 00 00 8B 78 20 8B C6 8B 10 FF 92 80 00 00 00 84 C0 74 22 8B 86 A0 00 00 00 3B 78 20 7C 15 6A 00 8B CD 33 D2 8B C6 E8 ?? ?? ?? ?? 85 C0 7F 04 33 DB EB 02 B3 01 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_41127_0 {
	meta:
		name = "TInIOHandler.CheckForDataOnSource"
		size = 74
		refs = "0035 TInIOHandler.ReadFromSource"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 33 DB 8B 86 A0 00 00 00 8B 78 20 8B C6 8B 10 FF 92 80 00 00 00 84 C0 74 22 8B 86 A0 00 00 00 3B 78 20 7C 15 6A 00 8B CD 33 D2 8B C6 E8 ?? ?? ?? ?? 85 C0 7F 04 33 DB EB 02 B3 01 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35520_0 {
	meta:
		name = "TIdIOHandler.Write"
		size = 522
		refs = "001f TIdIOHandler.Write 003c TStream.GetPosition 0061 TStream.SetPosition 00c3 RSRequiresLargeStream 00c8 LoadResString 00d0 _DV_EIdIOHandlerRequiresLargeStream 00d5 EIdException.Toss 011a TArray<System.Byte> 011f @DynArraySetLength 0132 @DynArrayLength 013a IndyMin 0149 _Dn_TIdStreamHelperVCL 014e TIdStreamHelperVCL.ReadBytes 015c RSIdNoDataToRead 016b _Dn_EIdNoDataToRead 0170 EIdException.Create 0175 @RaiseExcept 01c5 @DynArrayClear 01cb @HandleFinally 01e7 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 5D FC 8B D9 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 0C 00 75 08 83 7D 08 00 73 32 EB 02 7D 2E 8B C6 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 8B C6 8B 10 FF 12 2B 45 F0 1B 55 F4 89 45 08 89 55 0C FF 75 F4 FF 75 F0 8B C6 E8 ?? ?? ?? ?? EB 23 83 7D 0C 00 75 1D 83 7D 08 00 75 17 8B C6 8B 10 FF 12 89 45 08 89 55 0C 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 5A 8B 45 F8 80 B8 90 00 00 00 00 74 12 FF 75 0C FF 75 08 B2 01 8B 45 F8 E8 ?? ?? ?? ?? EB 3C 83 7D 0C 00 75 0B 81 7D 08 FF FF FF 7F 76 1E EB 02 7E 1A 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B D0 B1 01 8B 45 F8 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 B2 01 8B 45 F8 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 C8 00 00 00 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 6C FF 75 0C FF 75 08 8B 45 FC E8 ?? ?? ?? ?? 99 52 50 E8 ?? ?? ?? ?? 8B D8 53 6A 00 8D 4D FC 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7F 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B CB 8B 55 FC 8B 45 F8 8B 38 FF 97 94 00 00 00 8B C3 99 29 45 08 19 55 0C 83 7D 0C 00 75 08 83 7D 08 00 77 88 EB 02 7F 84 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 F8 8B 08 FF 51 4C 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_41128_0 {
	meta:
		name = "TInIOHandler.Write"
		size = 522
		refs = "001f TInIOHandler.Write 003c TStream.GetPosition 0061 TStream.SetPosition 00c3 RSRequiresLargeStream 00c8 LoadResString 00d0 _DV_EInIOHandlerRequiresLargeStream 00d5 EInException.Toss 011a TArray<System.Byte> 011f @DynArraySetLength 0132 @DynArrayLength 013a IndyMin 0149 _Dn_TInStreamHelperVCL 014e TInStreamHelperVCL.ReadBytes 015c RSIdNoDataToRead 016b _Dn_EIdNoDataToRead 0170 EInException.Create 0175 @RaiseExcept 01c5 @DynArrayClear 01cb @HandleFinally 01e7 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 5D FC 8B D9 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 0C 00 75 08 83 7D 08 00 73 32 EB 02 7D 2E 8B C6 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 8B C6 8B 10 FF 12 2B 45 F0 1B 55 F4 89 45 08 89 55 0C FF 75 F4 FF 75 F0 8B C6 E8 ?? ?? ?? ?? EB 23 83 7D 0C 00 75 1D 83 7D 08 00 75 17 8B C6 8B 10 FF 12 89 45 08 89 55 0C 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 5A 8B 45 F8 80 B8 90 00 00 00 00 74 12 FF 75 0C FF 75 08 B2 01 8B 45 F8 E8 ?? ?? ?? ?? EB 3C 83 7D 0C 00 75 0B 81 7D 08 FF FF FF 7F 76 1E EB 02 7E 1A 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B D0 B1 01 8B 45 F8 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 B2 01 8B 45 F8 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 C8 00 00 00 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 6C FF 75 0C FF 75 08 8B 45 FC E8 ?? ?? ?? ?? 99 52 50 E8 ?? ?? ?? ?? 8B D8 53 6A 00 8D 4D FC 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7F 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B CB 8B 55 FC 8B 45 F8 8B 38 FF 97 94 00 00 00 8B C3 99 29 45 08 19 55 0C 83 7D 0C 00 75 08 83 7D 08 00 77 88 EB 02 7F 84 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 F8 8B 08 FF 51 4C 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_35521_0 {
	meta:
		name = "TIdIOHandler.ReadBytes"
		size = 166
		refs = "001e TIdIOHandler.ReadFromSource 005d TIdBuffer.ExtractToBytes"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 85 F6 7E 51 EB 2B 6A 01 83 C9 FF 33 D2 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 0B 8B 83 A0 00 00 00 3B 70 20 7E 19 B1 01 B2 01 8B C3 8B 38 FF 97 84 00 00 00 8B 83 A0 00 00 00 3B 70 20 7F CA 0F B6 45 08 50 6A FF 8B 55 FC 8B CE 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? EB 3B 85 F6 7D 37 6A 00 8B 8B C0 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? B1 01 B2 01 8B C3 8B 30 FF 96 84 00 00 00 0F B6 45 08 50 6A FF 8B 55 FC 83 C9 FF 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_41129_0 {
	meta:
		name = "TInIOHandler.ReadBytes"
		size = 166
		refs = "001e TInIOHandler.ReadFromSource 005d TInBuffer.ExtractToBytes"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 85 F6 7E 51 EB 2B 6A 01 83 C9 FF 33 D2 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 0B 8B 83 A0 00 00 00 3B 70 20 7E 19 B1 01 B2 01 8B C3 8B 38 FF 97 84 00 00 00 8B 83 A0 00 00 00 3B 70 20 7F CA 0F B6 45 08 50 6A FF 8B 55 FC 8B CE 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? EB 3B 85 F6 7D 37 6A 00 8B 8B C0 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? B1 01 B2 01 8B C3 8B 30 FF 96 84 00 00 00 0F B6 45 08 50 6A FF 8B 55 FC 83 C9 FF 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_35522_0 {
	meta:
		name = "TIdIOHandler.WriteLn"
		size = 25
		altNames = "TInIOHandler.WriteLn"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B CF 33 D2 8B C6 8B 18 FF 93 A4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35523_0 {
	meta:
		name = "TIdIOHandler.WriteLn"
		size = 116
		refs = "0012 TIdIOHandler.WriteLn 0027 @UStrCat3 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 8B 18 FF 93 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_41131_0 {
	meta:
		name = "TInIOHandler.WriteLn"
		size = 116
		refs = "0012 TInIOHandler.WriteLn 0027 @UStrCat3 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 8B 18 FF 93 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_35524_0 {
	meta:
		name = "TIdIOHandler.WriteLnRFC"
		size = 152
		refs = "0019 TIdIOHandler.WriteLnRFC 002b TextStartsWith 003e @UStrCat3 0074 @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 21 8D 45 F8 8B CF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B C6 8B 18 FF 93 A4 00 00 00 EB 0F 8B 4D FC 8B D7 8B C6 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_41132_0 {
	meta:
		name = "TInIOHandler.WriteLnRFC"
		size = 152
		refs = "0019 TInIOHandler.WriteLnRFC 002b TextStartsWith 003e @UStrCat3 0074 @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 21 8D 45 F8 8B CF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B C6 8B 18 FF 93 A4 00 00 00 EB 0F 8B 4D FC 8B D7 8B C6 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_35526_0 {
	meta:
		name = "TIdIOHandler.SetHost"
		size = 22
		refs = "000f @UStrAsg"
		altNames = "TIdUDPBase.SetHost TInIOHandler.SetHost"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 9C 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35527_0 {
	meta:
		name = "TIdIOHandler.SetPort"
		size = 7
		altNames = "TInIOHandler.SetPort TSeColorButtonObject.SetFocusedColor"
	strings:
		$1 = { 89 90 B8 00 00 00 C3 }
	condition:
		$1
}

rule function_35528_0 {
	meta:
		name = "TIdIOHandler.Connected"
		size = 66
		refs = "0027 TIdIOHandler.InputBufferIsEmpty"
	strings:
		$1 = { 53 56 8B D8 33 C9 33 D2 8B C3 8B 30 FF 96 84 00 00 00 80 BB 91 00 00 00 00 75 09 83 BB A0 00 00 00 00 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 80 BB B4 00 00 00 00 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_41136_0 {
	meta:
		name = "TInIOHandler.Connected"
		size = 66
		refs = "0027 TInIOHandler.InputBufferIsEmpty"
	strings:
		$1 = { 53 56 8B D8 33 C9 33 D2 8B C3 8B 30 FF 96 84 00 00 00 80 BB 91 00 00 00 00 75 09 83 BB A0 00 00 00 00 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 80 BB B4 00 00 00 00 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_35529_0 {
	meta:
		name = "AdjustStreamSize"
		size = 72
		refs = "000c TStream.GetPosition 001f TStream.SetSize64 003d TStream.SetPosition"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B C3 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B 55 FC 75 03 3B 45 F8 74 0D FF 75 FC FF 75 F8 8B C3 E8 ?? ?? ?? ?? 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_35530_0 {
	meta:
		name = "TIdIOHandler.ReadStream"
		size = 862
		refs = "001e TIdIOHandler.ReadStream 004c TIdIOHandler.ReadInt64 005e TIdIOHandler.ReadLongInt 008b TStream.GetPosition 00b7 RSDataTooLarge 00bc LoadResString 00c4 _DV_EIdIOHandlerStreamDataTooLarge 00c9 EIdException.Toss 00df AdjustStreamSize 0158 IndyMin 017b TIdBuffer.ExtractToStream 0193 TArray<System.Byte> 0198 @DynArraySetLength 01a9 @DynArrayLength 020f @HandleOnException 0217 _Dn_Exception 024c TIdBuffer.ExtractToBytes 0254 _Dn_EIdConnClosedGracefully 0259 @IsClass 0263 @DoneExcept 0268 @TryFinallyExit 026f @RaiseAgain 027d _Dn_TIdAntiFreezeBase 0282 TIdAntiFreezeBase.DoProcess 02a6 _Dn_TIdStreamHelperVCL 02ab TIdStreamHelperVCL.Write 02c1 @HandleFinally 0310 TStream.SetSize64 031e @DynArrayClear 033b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D FC 88 4D F3 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 0C FF 75 3D 83 7D 08 FF 75 37 80 7D F3 00 75 31 8B 45 F8 80 B8 90 00 00 00 00 74 12 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 EB 1F B2 01 8B 45 F8 E8 ?? ?? ?? ?? 99 89 45 E0 89 55 E4 EB 0C 8B 45 08 89 45 E0 8B 45 0C 89 45 E4 83 7D E4 FF 75 08 83 7D E0 FF 76 60 EB 02 7E 5C 8B 45 F4 E8 ?? ?? ?? ?? 89 45 D8 89 55 DC B8 FF FF FF FF BA FF FF FF 7F 2B 45 D8 1B 55 DC 3B 55 E4 75 07 3B 45 E0 73 1E EB 02 7D 1A 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 8B 55 DC 03 45 E0 13 55 E4 52 50 8B 45 F4 E8 ?? ?? ?? ?? 83 7D E4 FF 75 08 83 7D E0 FF 77 0E EB 02 7F 0A 80 7D F3 00 75 04 C6 45 F3 01 80 7D F3 00 74 10 6A 00 6A 00 33 D2 8B 45 F8 8B 08 FF 51 44 EB 10 FF 75 E4 FF 75 E0 33 D2 8B 45 F8 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 A0 00 00 00 8B 58 20 85 DB 7E 3E 80 7D F3 00 74 05 89 5D EC EB 1D 8B C3 99 52 50 FF 75 E4 FF 75 E0 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 99 29 45 E0 19 55 E4 6A FF 8B 45 F8 8B 80 A0 00 00 00 8B 4D EC 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 C4 00 00 00 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 80 7D F3 00 74 0D 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC EB 23 FF 75 E4 FF 75 E0 8B 45 FC E8 ?? ?? ?? ?? 99 52 50 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 01 0F 8C F2 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC 8B 4D EC 8B 45 F8 8B 18 FF 93 C0 00 00 00 33 C0 5A 59 59 64 89 10 EB 6A E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 F8 8B 80 A0 00 00 00 8B 50 20 8B 45 EC E8 ?? ?? ?? ?? 89 45 EC 6A 00 6A FF 8D 55 FC 8B 45 F8 8B 80 A0 00 00 00 8B 4D EC E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 22 45 F3 74 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 7E 26 8B 45 EC 50 6A 00 8B 4D FC 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D F3 00 75 0A 8B 45 EC 99 29 45 E0 19 55 E4 C3 E9 ?? ?? ?? ?? EB CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 51 4C 8B 45 F4 8B 10 FF 12 52 50 8B 45 F4 E8 ?? ?? ?? ?? 3B 54 24 04 75 09 3B 04 24 5A 58 73 18 EB 04 5A 58 7D 12 8B 45 F4 E8 ?? ?? ?? ?? 52 50 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_41138_0 {
	meta:
		name = "TInIOHandler.ReadStream"
		size = 862
		refs = "001e TInIOHandler.ReadStream 004c TInIOHandler.ReadInt64 005e TInIOHandler.ReadLongInt 008b TStream.GetPosition 00b7 RSDataTooLarge 00bc LoadResString 00c4 _DV_EInIOHandlerStreamDataTooLarge 00c9 EInException.Toss 00df AdjustStreamSize 0158 IndyMin 017b TInBuffer.ExtractToStream 0193 TArray<System.Byte> 0198 @DynArraySetLength 01a9 @DynArrayLength 020f @HandleOnException 0217 _Dn_Exception 024c TInBuffer.ExtractToBytes 0254 _Dn_EIdConnClosedGracefully 0259 @IsClass 0263 @DoneExcept 0268 @TryFinallyExit 026f @RaiseAgain 027d _Dn_TInAntiFreezeBase 0282 TInAntiFreezeBase.DoProcess 02a6 _Dn_TInStreamHelperVCL 02ab TInStreamHelperVCL.Write 02c1 @HandleFinally 0310 TStream.SetSize64 031e @DynArrayClear 033b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D FC 88 4D F3 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 0C FF 75 3D 83 7D 08 FF 75 37 80 7D F3 00 75 31 8B 45 F8 80 B8 90 00 00 00 00 74 12 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 EB 1F B2 01 8B 45 F8 E8 ?? ?? ?? ?? 99 89 45 E0 89 55 E4 EB 0C 8B 45 08 89 45 E0 8B 45 0C 89 45 E4 83 7D E4 FF 75 08 83 7D E0 FF 76 60 EB 02 7E 5C 8B 45 F4 E8 ?? ?? ?? ?? 89 45 D8 89 55 DC B8 FF FF FF FF BA FF FF FF 7F 2B 45 D8 1B 55 DC 3B 55 E4 75 07 3B 45 E0 73 1E EB 02 7D 1A 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 8B 55 DC 03 45 E0 13 55 E4 52 50 8B 45 F4 E8 ?? ?? ?? ?? 83 7D E4 FF 75 08 83 7D E0 FF 77 0E EB 02 7F 0A 80 7D F3 00 75 04 C6 45 F3 01 80 7D F3 00 74 10 6A 00 6A 00 33 D2 8B 45 F8 8B 08 FF 51 44 EB 10 FF 75 E4 FF 75 E0 33 D2 8B 45 F8 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 A0 00 00 00 8B 58 20 85 DB 7E 3E 80 7D F3 00 74 05 89 5D EC EB 1D 8B C3 99 52 50 FF 75 E4 FF 75 E0 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 99 29 45 E0 19 55 E4 6A FF 8B 45 F8 8B 80 A0 00 00 00 8B 4D EC 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 C4 00 00 00 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 80 7D F3 00 74 0D 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC EB 23 FF 75 E4 FF 75 E0 8B 45 FC E8 ?? ?? ?? ?? 99 52 50 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 01 0F 8C F2 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC 8B 4D EC 8B 45 F8 8B 18 FF 93 C0 00 00 00 33 C0 5A 59 59 64 89 10 EB 6A E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 F8 8B 80 A0 00 00 00 8B 50 20 8B 45 EC E8 ?? ?? ?? ?? 89 45 EC 6A 00 6A FF 8D 55 FC 8B 45 F8 8B 80 A0 00 00 00 8B 4D EC E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 22 45 F3 74 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 7E 26 8B 45 EC 50 6A 00 8B 4D FC 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D F3 00 75 0A 8B 45 EC 99 29 45 E0 19 55 E4 C3 E9 ?? ?? ?? ?? EB CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 51 4C 8B 45 F4 8B 10 FF 12 52 50 8B 45 F4 E8 ?? ?? ?? ?? 3B 54 24 04 75 09 3B 04 24 5A 58 73 18 EB 04 5A 58 7D 12 8B 45 F4 E8 ?? ?? ?? ?? 52 50 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_35531_0 {
	meta:
		name = "TIdIOHandler.Discard"
		size = 253
		refs = "0034 TIdIOHandler.Discard 005e iif 0068 TIdIOHandler.InputBufferIsEmpty 007f IndyMin 0091 TIdBuffer.Remove 00b9 TIdIOHandler.ReadFromSource 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 83 7D 0C 00 75 0C 83 7D 08 00 0F 86 DF 00 00 00 EB 06 0F 8E D7 00 00 00 FF 75 0C FF 75 08 33 D2 8B 45 FC 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 83 7D 0C 00 75 0C 81 7D 08 FF FF FF 7F 0F 92 C0 EB 03 0F 9C C0 B9 FF FF FF 7F 5A E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 3E 8B 45 FC 8B 80 A0 00 00 00 8B 50 20 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 80 A0 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B C3 99 29 45 08 19 55 0C 83 7D 0C 00 75 08 83 7D 08 01 73 04 EB 2C 7C 2A 6A 01 83 C9 FF 33 D2 8B 45 FC E8 ?? ?? ?? ?? 48 0F 8D 7A FF FF FF B1 01 B2 01 8B 45 FC 8B 18 FF 93 84 00 00 00 E9 66 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_41139_0 {
	meta:
		name = "TInIOHandler.Discard"
		size = 253
		refs = "0034 TInIOHandler.Discard 005e iif 0068 TInIOHandler.InputBufferIsEmpty 007f IndyMin 0091 TInBuffer.Remove 00b9 TInIOHandler.ReadFromSource 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 83 7D 0C 00 75 0C 83 7D 08 00 0F 86 DF 00 00 00 EB 06 0F 8E D7 00 00 00 FF 75 0C FF 75 08 33 D2 8B 45 FC 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 83 7D 0C 00 75 0C 81 7D 08 FF FF FF 7F 0F 92 C0 EB 03 0F 9C C0 B9 FF FF FF 7F 5A E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 3E 8B 45 FC 8B 80 A0 00 00 00 8B 50 20 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 80 A0 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B C3 99 29 45 08 19 55 0C 83 7D 0C 00 75 08 83 7D 08 01 73 04 EB 2C 7C 2A 6A 01 83 C9 FF 33 D2 8B 45 FC E8 ?? ?? ?? ?? 48 0F 8D 7A FF FF FF B1 01 B2 01 8B 45 FC 8B 18 FF 93 84 00 00 00 E9 66 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_35532_0 {
	meta:
		name = "TIdIOHandler.DiscardAll"
		size = 249
		refs = "001c TIdIOHandler.DiscardAll 0030 TIdBuffer.Clear 004d TIdIOHandler.ReadFromSource 007f @HandleOnException 0087 _Dn_Exception 00a3 _Dn_EIdConnClosedGracefully 00a8 @IsClass 00b1 @DoneExcept 00b8 @RaiseAgain 00c6 _Dn_TIdAntiFreezeBase 00cb TIdAntiFreezeBase.DoProcess 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 6A 00 6A 00 33 D2 8B 45 FC 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 83 C9 FF 33 D2 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 10 8B 45 FC 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? EB 0F B1 01 B2 01 8B 45 FC 8B 18 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 EB 43 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 FC 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 E8 ?? ?? ?? ?? EB 1D E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 60 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41140_0 {
	meta:
		name = "TInIOHandler.DiscardAll"
		size = 249
		refs = "001c TInIOHandler.DiscardAll 0030 TInBuffer.Clear 004d TInIOHandler.ReadFromSource 007f @HandleOnException 0087 _Dn_Exception 00a3 _Dn_EIdConnClosedGracefully 00a8 @IsClass 00b1 @DoneExcept 00b8 @RaiseAgain 00c6 _Dn_TInAntiFreezeBase 00cb TInAntiFreezeBase.DoProcess 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 6A 00 6A 00 33 D2 8B 45 FC 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 83 C9 FF 33 D2 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 10 8B 45 FC 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? EB 0F B1 01 B2 01 8B 45 FC 8B 18 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 EB 43 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 FC 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 E8 ?? ?? ?? ?? EB 1D E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 60 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35534_0 {
	meta:
		name = "TIdIOHandler.InputBufferAsString"
		size = 51
		refs = "0015 iif 002a TIdBuffer.ExtractToString"
	strings:
		$1 = { 53 56 57 55 8B E9 8B F2 8B D8 B1 02 8B 93 D4 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F0 55 8B BB A0 00 00 00 8B 57 20 8B CE 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_41142_0 {
	meta:
		name = "TInIOHandler.InputBufferAsString"
		size = 51
		refs = "0015 iif 002a TInBuffer.ExtractToString"
	strings:
		$1 = { 53 56 57 55 8B E9 8B F2 8B D8 B1 02 8B 93 D4 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F0 55 8B BB A0 00 00 00 8B 57 20 8B CE 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35535_0 {
	meta:
		name = "TIdIOHandler.AllData"
		size = 223
		refs = "0016 @UStrClr 002c TIdIOHandler.AllData 006e TIdIOHandler.ReadFromSource 0087 TIdIOHandler.InputBufferIsEmpty 0099 TIdIOHandler.InputBufferAsString 009f @HandleFinally 00b0 @HandleAnyException 00b5 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 E8 ?? ?? ?? ?? 6A 00 6A 00 33 D2 8B 45 FC 8B 08 FF 51 44 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 92 80 00 00 00 84 C0 74 74 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 B9 FA 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0E 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41143_0 {
	meta:
		name = "TInIOHandler.AllData"
		size = 223
		refs = "0016 @UStrClr 002c TInIOHandler.AllData 006e TInIOHandler.ReadFromSource 0087 TInIOHandler.InputBufferIsEmpty 0099 TInIOHandler.InputBufferAsString 009f @HandleFinally 00b0 @HandleAnyException 00b5 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 E8 ?? ?? ?? ?? 6A 00 6A 00 33 D2 8B 45 FC 8B 08 FF 51 44 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 92 80 00 00 00 84 C0 74 74 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 B9 FA 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0E 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35536_0 {
	meta:
		name = "TIdIOHandler.PerformCapture"
		size = 488
		refs = "001d TIdIOHandler.PerformCapture 003a iif 004c _Dn_TStrings 0051 @IsClass 0061 _Dn_TStream 0077 RSObjectTypeNotSupported 007c LoadResString 0084 _Dn_EIdObjectTypeNotSupported 0089 EIdException.Toss 00b3 TIdIOHandler.ReadLn 00be @UStrEqual 00c5 @TryFinallyExit 00e3 RSMaximumNumberOfCaptureLineExceeded 00f2 _Dn_EIdMaxCaptureLineExceeded 00f7 EIdException.Create 00fc @RaiseExcept 010f TextStartsWith 0125 @UStrDelete 0154 @UStrCat3 0162 WriteStringToStream 0184 @HandleFinally 01a0 @UStrArrayClr 01a8 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 06 8B 45 F8 8B 90 D4 00 00 00 B1 02 8B 45 08 E8 ?? ?? ?? ?? 89 45 08 33 C0 89 45 F4 33 DB 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 8B DF EB 30 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 89 7D F4 EB 1A 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 33 D2 8B 45 F8 8B 08 FF 51 44 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D FC 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 10 E8 ?? ?? ?? ?? 75 0A E8 ?? ?? ?? ?? E9 BC 00 00 00 8B 45 F8 8B 80 A8 00 00 00 85 C0 7E 25 3B 06 7D 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D 0C 00 74 23 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 06 85 DB 74 0F 8B 55 FC 8B C3 8B 08 FF 51 38 E9 6B FF FF FF 83 7D F4 00 0F 84 61 FF FF FF 8D 45 E8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 4D 08 8B 45 F4 E8 ?? ?? ?? ?? E9 3E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_41144_0 {
	meta:
		name = "TInIOHandler.PerformCapture"
		size = 488
		refs = "001d TInIOHandler.PerformCapture 003a iif 004c _Dn_TStrings 0051 @IsClass 0061 _Dn_TStream 0077 RSObjectTypeNotSupported 007c LoadResString 0084 _Dn_EIdObjectTypeNotSupported 0089 EInException.Toss 00b3 TInIOHandler.ReadLn 00be @UStrEqual 00c5 @TryFinallyExit 00e3 RSMaximumNumberOfCaptureLineExceeded 00f2 _Dn_EIdMaxCaptureLineExceeded 00f7 EInException.Create 00fc @RaiseExcept 010f TextStartsWith 0125 @UStrDelete 0154 @UStrCat3 0162 WriteStringToStream 0184 @HandleFinally 01a0 @UStrArrayClr 01a8 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 06 8B 45 F8 8B 90 D4 00 00 00 B1 02 8B 45 08 E8 ?? ?? ?? ?? 89 45 08 33 C0 89 45 F4 33 DB 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 8B DF EB 30 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 89 7D F4 EB 1A 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 33 D2 8B 45 F8 8B 08 FF 51 44 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D FC 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 10 E8 ?? ?? ?? ?? 75 0A E8 ?? ?? ?? ?? E9 BC 00 00 00 8B 45 F8 8B 80 A8 00 00 00 85 C0 7E 25 3B 06 7D 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D 0C 00 74 23 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 06 85 DB 74 0F 8B 55 FC 8B C3 8B 08 FF 51 38 E9 6B FF FF FF 83 7D F4 00 0F 84 61 FF FF FF 8D 45 E8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 4D 08 8B 45 F4 E8 ?? ?? ?? ?? E9 3E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_35537_0 {
	meta:
		name = "TIdIOHandler.InputLn"
		size = 640
		refs = "001f TIdIOHandler.InputLn 002d @UStrClr 0040 iif 0060 TIdIOHandler.ReadChar 00e0 @UStrSetLength 0121 StringOfChar 012c @UStrCat 0156 @UStrFromWChar 0177 TIdIOHandler.Write 0202 CharIsInSet 021f TIdIOHandler.WriteLn 0239 @UStrArrayClr 0247 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 5D E8 89 5D FC 8B D9 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B 45 F8 8B 90 D4 00 00 00 B1 02 8B 45 0C E8 ?? ?? ?? ?? 89 45 0C 83 7D 10 00 7D 0C 8B 45 F8 8B 80 B0 00 00 00 89 45 10 8B 55 0C 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 F2 8B 45 08 8B 00 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 8B F0 3B 75 10 0F 8F 46 01 00 00 0F B7 45 F2 83 C0 F8 83 F8 13 0F 87 E6 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 02 03 00 00 04 00 00 00 00 00 00 00 00 00 00 00 00 00 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 85 F6 0F 8E F4 00 00 00 8B D6 4A 8B 45 08 E8 ?? ?? ?? ?? 84 DB 0F 84 E1 00 00 00 8B 4D 0C BA ?? ?? ?? ?? 8B 45 F8 8B 30 FF 96 A0 00 00 00 E9 C9 00 00 00 83 7D 14 00 7E 44 8B C6 99 F7 7D 14 8B 45 14 2B C2 8B F0 8D 4D FC 8B D6 66 B8 20 00 E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 84 DB 0F 84 92 00 00 00 8B 4D 0C 8B 55 FC 8B 45 F8 8B 30 FF 96 A0 00 00 00 EB 7F 8D 45 E8 0F B7 55 F2 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 84 DB 74 61 8B 4D 0C 0F B7 55 F2 8B 45 F8 E8 ?? ?? ?? ?? EB 50 8D 45 E4 0F B7 55 F2 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 84 DB 74 32 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 75 11 8B 4D 0C 0F B7 55 F2 8B 45 F8 E8 ?? ?? ?? ?? EB 11 8B 4D 0C 8B 55 F4 8B 45 F8 8B 30 FF 96 A0 00 00 00 66 83 7D F2 0A 0F 85 81 FE FF FF 8B 45 08 8B 00 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 8B F0 EB 01 4E 85 F6 7E 15 8B 45 08 8B 00 B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 84 C0 75 E6 8B 45 08 8B D6 E8 ?? ?? ?? ?? 84 DB 74 0B 8B 55 0C 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 08 00 20 00 08 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_41145_0 {
	meta:
		name = "TInIOHandler.InputLn"
		size = 640
		refs = "001f TInIOHandler.InputLn 002d @UStrClr 0040 iif 0060 TInIOHandler.ReadChar 00e0 @UStrSetLength 0121 StringOfChar 012c @UStrCat 0156 @UStrFromWChar 0177 TInIOHandler.Write 0202 CharIsInSet 021f TInIOHandler.WriteLn 0239 @UStrArrayClr 0247 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 5D E8 89 5D FC 8B D9 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B 45 F8 8B 90 D4 00 00 00 B1 02 8B 45 0C E8 ?? ?? ?? ?? 89 45 0C 83 7D 10 00 7D 0C 8B 45 F8 8B 80 B0 00 00 00 89 45 10 8B 55 0C 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 F2 8B 45 08 8B 00 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 8B F0 3B 75 10 0F 8F 46 01 00 00 0F B7 45 F2 83 C0 F8 83 F8 13 0F 87 E6 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 02 03 00 00 04 00 00 00 00 00 00 00 00 00 00 00 00 00 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 85 F6 0F 8E F4 00 00 00 8B D6 4A 8B 45 08 E8 ?? ?? ?? ?? 84 DB 0F 84 E1 00 00 00 8B 4D 0C BA ?? ?? ?? ?? 8B 45 F8 8B 30 FF 96 A0 00 00 00 E9 C9 00 00 00 83 7D 14 00 7E 44 8B C6 99 F7 7D 14 8B 45 14 2B C2 8B F0 8D 4D FC 8B D6 66 B8 20 00 E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 84 DB 0F 84 92 00 00 00 8B 4D 0C 8B 55 FC 8B 45 F8 8B 30 FF 96 A0 00 00 00 EB 7F 8D 45 E8 0F B7 55 F2 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 84 DB 74 61 8B 4D 0C 0F B7 55 F2 8B 45 F8 E8 ?? ?? ?? ?? EB 50 8D 45 E4 0F B7 55 F2 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 84 DB 74 32 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 75 11 8B 4D 0C 0F B7 55 F2 8B 45 F8 E8 ?? ?? ?? ?? EB 11 8B 4D 0C 8B 55 F4 8B 45 F8 8B 30 FF 96 A0 00 00 00 66 83 7D F2 0A 0F 85 81 FE FF FF 8B 45 08 8B 00 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 8B F0 EB 01 4E 85 F6 7E 15 8B 45 08 8B 00 B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 84 C0 75 E6 8B 45 08 8B D6 E8 ?? ?? ?? ?? 84 DB 74 0B 8B 55 0C 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 08 00 20 00 08 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_35538_0 {
	meta:
		name = "TIdIOHandler.WaitFor"
		size = 302
		refs = "001d TIdIOHandler.WaitFor 002b @UStrClr 003a iif 0049 ToBytes 005b TIdBuffer.IndexOf 0077 @DynArrayLength 0088 TIdBuffer.ExtractToString 00b8 TIdBuffer.Remove 00c9 @UStrCat 00e9 IndyMax 00f9 TIdIOHandler.ReadFromSource 0114 TArray<System.Byte> 0119 @DynArrayClear 011f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 88 4D F7 89 55 F8 8B F0 8B 7D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? B1 02 8B 96 D4 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B F8 8D 4D FC 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 33 DB 8B CB 8B 55 FC 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 6C 0F B6 45 F7 22 45 14 74 1F 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 03 D3 8B CF 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? EB 74 8B 45 08 50 8B CF 8B D3 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? 80 7D F7 00 74 15 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? 80 7D 14 00 74 40 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 EB 30 8B 45 FC E8 ?? ?? ?? ?? 48 8B 96 A0 00 00 00 8B 52 20 2B D0 33 C0 E8 ?? ?? ?? ?? 8B D8 6A 01 8B 4D 0C B2 01 8B C6 E8 ?? ?? ?? ?? E9 4D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_41146_0 {
	meta:
		name = "TInIOHandler.WaitFor"
		size = 302
		refs = "001d TInIOHandler.WaitFor 002b @UStrClr 003a iif 0049 ToBytes 005b TInBuffer.IndexOf 0077 @DynArrayLength 0088 TInBuffer.ExtractToString 00b8 TInBuffer.Remove 00c9 @UStrCat 00e9 IndyMax 00f9 TInIOHandler.ReadFromSource 0114 TArray<System.Byte> 0119 @DynArrayClear 011f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 88 4D F7 89 55 F8 8B F0 8B 7D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? B1 02 8B 96 D4 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B F8 8D 4D FC 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 33 DB 8B CB 8B 55 FC 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 6C 0F B6 45 F7 22 45 14 74 1F 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 03 D3 8B CF 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? EB 74 8B 45 08 50 8B CF 8B D3 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? 80 7D F7 00 74 15 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? 80 7D 14 00 74 40 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 EB 30 8B 45 FC E8 ?? ?? ?? ?? 48 8B 96 A0 00 00 00 8B 52 20 2B D0 33 C0 E8 ?? ?? ?? ?? 8B D8 6A 01 8B 4D 0C B2 01 8B C6 E8 ?? ?? ?? ?? E9 4D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_35539_0 {
	meta:
		name = "TIdIOHandler.Capture"
		size = 32
		refs = "0004 TIdIOHandler.Capture"
	strings:
		$1 = { 6A 01 51 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_41147_0 {
	meta:
		name = "TInIOHandler.Capture"
		size = 32
		refs = "0004 TInIOHandler.Capture"
	strings:
		$1 = { 6A 01 51 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_35540_0 {
	meta:
		name = "TIdIOHandler.Capture"
		size = 39
		altNames = "TInIOHandler.Capture"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 45 10 50 0F B6 45 0C 50 8B 45 08 50 8B D7 8B C6 8B 18 FF 53 54 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_35541_0 {
	meta:
		name = "TIdIOHandler.Capture"
		size = 96
		refs = "000e TIdIOHandler.Capture 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 0F B6 45 0C 50 8B 45 08 50 8D 4D FC 8B D6 8B C3 8B 18 FF 53 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5E 5B 59 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_41149_0 {
	meta:
		name = "TInIOHandler.Capture"
		size = 96
		refs = "000e TInIOHandler.Capture 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 0F B6 45 0C 50 8B 45 08 50 8D 4D FC 8B D6 8B C3 8B 18 FF 53 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5E 5B 59 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_35543_0 {
	meta:
		name = "TIdIOHandler.Capture"
		size = 52
		refs = "0009 TIdIOHandler.Capture"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 68 ?? ?? ?? ?? 6A 01 51 8D 4C 24 0C 8B D7 8B C6 8B 18 FF 53 54 5A 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_41151_0 {
	meta:
		name = "TInIOHandler.Capture"
		size = 52
		refs = "0009 TInIOHandler.Capture"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 68 ?? ?? ?? ?? 6A 01 51 8D 4C 24 0C 8B D7 8B C6 8B 18 FF 53 54 5A 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_35544_0 {
	meta:
		name = "TIdIOHandler.Capture"
		size = 41
		altNames = "TInIOHandler.Capture"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B F0 51 0F B6 45 0C 50 8B 45 08 50 8D 4D FC 8B D7 8B C6 8B 18 FF 53 54 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_35545_0 {
	meta:
		name = "TIdIOHandler.InputBufferToStream"
		size = 14
		refs = "0009 TIdBuffer.ExtractToStream"
	strings:
		$1 = { 6A FF 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41153_0 {
	meta:
		name = "TInIOHandler.InputBufferToStream"
		size = 14
		refs = "0009 TInBuffer.ExtractToStream"
	strings:
		$1 = { 6A FF 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35546_0 {
	meta:
		name = "TIdIOHandler.InputBufferIsEmpty"
		size = 14
		altNames = "TInIOHandler.InputBufferIsEmpty"
	strings:
		$1 = { 8B 80 A0 00 00 00 83 78 20 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_35547_0 {
	meta:
		name = "TIdIOHandler.Write"
		size = 137
		refs = "0016 IndyLength 0033 TIdIOHandler.WriteDirect 0046 TIdBuffer.Write"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 4D 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 64 8B 93 CC 00 00 00 85 D2 75 11 8B 55 08 52 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? EB 49 8B 4D 08 51 6A FF 8B C8 8B C2 8B D6 E8 ?? ?? ?? ?? 8B 93 CC 00 00 00 8B 52 20 8B 83 D0 00 00 00 3B D0 7C 25 85 C0 7E 21 8B 93 D0 00 00 00 8B C3 8B 08 FF 91 DC 00 00 00 8B 83 CC 00 00 00 8B 40 20 3B 83 D0 00 00 00 7D DF 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_41155_0 {
	meta:
		name = "TInIOHandler.Write"
		size = 137
		refs = "0016 IndyLength 0033 TInIOHandler.WriteDirect 0046 TInBuffer.Write"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 4D 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 64 8B 93 CC 00 00 00 85 D2 75 11 8B 55 08 52 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? EB 49 8B 4D 08 51 6A FF 8B C8 8B C2 8B D6 E8 ?? ?? ?? ?? 8B 93 CC 00 00 00 8B 52 20 8B 83 D0 00 00 00 3B D0 7C 25 85 C0 7E 21 8B 93 D0 00 00 00 8B C3 8B 08 FF 91 DC 00 00 00 8B 83 CC 00 00 00 8B 40 20 3B 83 D0 00 00 00 7D DF 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_35548_0 {
	meta:
		name = "TIdIOHandler.WriteRFCStrings"
		size = 192
		refs = "001b TIdIOHandler.WriteRFCStrings 0034 iif 0099 @UStrClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 88 4D F7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 D4 00 00 00 B1 02 8B 45 08 E8 ?? ?? ?? ?? 89 45 08 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 25 43 33 F6 8D 4D F0 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 55 F0 8B 4D 08 8B 45 FC 8B 38 FF 97 A8 00 00 00 46 4B 75 DE 80 7D F7 00 74 13 8B 4D 08 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_41156_0 {
	meta:
		name = "TInIOHandler.WriteRFCStrings"
		size = 192
		refs = "001b TInIOHandler.WriteRFCStrings 0034 iif 0099 @UStrClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 88 4D F7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 D4 00 00 00 B1 02 8B 45 08 E8 ?? ?? ?? ?? 89 45 08 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 25 43 33 F6 8D 4D F0 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 55 F0 8B 4D 08 8B 45 FC 8B 38 FF 97 A8 00 00 00 46 4B 75 DE 80 7D F7 00 74 13 8B 4D 08 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_35549_0 {
	meta:
		name = "TIdIOHandler.WriteFile"
		size = 296
		refs = "0015 TIdIOHandler.WriteFile 0030 SetErrorMode 004a FileExists 0063 RSFileNotFound 0068 LoadResString 0072 _Dn_EIdFileNotFound 0077 Exception.CreateFmt 007c @RaiseExcept 0085 _Dn_TIdReadFileExclusiveStream 008a TIdReadFileExclusiveStream.Create 00d5 TObject.Free 00db @HandleFinally 0110 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 6A 01 E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2E 89 5D E8 C6 45 EC 11 8D 45 E8 50 6A 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 6A 00 33 C9 8B 55 F4 8B C6 8B 18 FF 93 B0 00 00 00 8B 45 F4 8B 10 FF 12 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41157_0 {
	meta:
		name = "TInIOHandler.WriteFile"
		size = 296
		refs = "0015 TInIOHandler.WriteFile 0030 SetErrorMode 004a FileExists 0063 RSFileNotFound 0068 LoadResString 0072 _Dn_EIdFileNotFound 0077 Exception.CreateFmt 007c @RaiseExcept 0085 _Dn_TIdReadFileExclusiveStream 008a TIdReadFileExclusiveStream.Create 00d5 TObject.Free 00db @HandleFinally 0110 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 6A 01 E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2E 89 5D E8 C6 45 EC 11 8D 45 E8 50 6A 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 6A 00 33 C9 8B 55 F4 8B C6 8B 18 FF 93 B0 00 00 00 8B 45 F4 8B 10 FF 12 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35550_0 {
	meta:
		name = "TIdIOHandler.WriteBufferingActive"
		size = 11
		altNames = "TInIOHandler.WriteBufferingActive TTabAction.HandlesTarget"
	strings:
		$1 = { 83 B8 CC 00 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_35551_0 {
	meta:
		name = "TIdIOHandler.CloseGracefully"
		size = 8
		altNames = "TInIOHandler.CloseGracefully"
	strings:
		$1 = { C6 80 91 00 00 00 01 C3 }
	condition:
		$1
}

rule function_35552_0 {
	meta:
		name = "TIdIOHandler.InterceptReceive"
		size = 20
		altNames = "TInIOHandler.InterceptReceive"
	strings:
		$1 = { 56 8B B0 A4 00 00 00 85 F6 74 07 8B C6 8B 08 FF 51 4C 5E C3 }
	condition:
		$1
}

rule function_35553_0 {
	meta:
		name = "TIdIOHandler.InitComponent"
		size = 106
		refs = "0006 TIdComponent.InitComponent 0045 TIdIOHandler.BufferRemoveNotify 004c _Dn_TIdBuffer 0051 TIdBuffer.Create 005e IndyASCIIEncoding"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 83 C4 00 00 00 00 80 00 00 C7 83 C8 00 00 00 00 80 00 00 C7 83 B0 00 00 00 00 40 00 00 C7 83 A8 00 00 00 FF FF FF FF C6 83 90 00 00 00 00 C7 83 C0 00 00 00 FF FF FF FF 53 68 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A0 00 00 00 B0 01 E8 ?? ?? ?? ?? 89 83 D4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_41161_0 {
	meta:
		name = "TInIOHandler.InitComponent"
		size = 106
		refs = "0006 TInComponent.InitComponent 0045 TInIOHandler.BufferRemoveNotify 004c _Dn_TInBuffer 0051 TInBuffer.Create 005e IndyASCIIEncoding"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 83 C4 00 00 00 00 80 00 00 C7 83 C8 00 00 00 00 80 00 00 C7 83 B0 00 00 00 00 40 00 00 C7 83 A8 00 00 00 FF FF FF FF C6 83 90 00 00 00 00 C7 83 C0 00 00 00 FF FF FF FF 53 68 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A0 00 00 00 B0 01 E8 ?? ?? ?? ?? 89 83 D4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_35554_0 {
	meta:
		name = "TIdIOHandler.WriteBufferFlush"
		size = 12
		altNames = "TInIOHandler.WriteBufferFlush"
	strings:
		$1 = { 83 CA FF 8B 08 FF 91 DC 00 00 00 C3 }
	condition:
		$1
}

rule function_35555_0 {
	meta:
		name = "TIdIOHandler.WriteBufferOpen"
		size = 12
		altNames = "TInIOHandler.WriteBufferOpen"
	strings:
		$1 = { 83 CA FF 8B 08 FF 91 E0 00 00 00 C3 }
	condition:
		$1
}

rule function_35556_0 {
	meta:
		name = "TIdIOHandler.WriteDirect"
		size = 324
		refs = "001d TIdIOHandler.WriteDirect 004b ToBytes 0061 @DynArrayLength 0077 TArray<System.Byte> 007c @DynArrayAsg 0089 IndyLength 00dc _Dn_TIdAntiFreezeBase 00e1 TIdAntiFreezeBase.DoProcess 012f @DynArrayClear 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 B2 01 8B C6 8B 38 FF 97 84 00 00 00 83 BE A4 00 00 00 00 74 31 8D 45 FC 50 8B CB 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 FC 8B 86 A4 00 00 00 8B 08 FF 51 50 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 33 C0 89 45 F0 EB 24 8D 45 FC 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CB 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 89 5D F0 83 7D EC 00 7E 7F 8B 45 EC 50 8B 4D F0 8B 55 FC 8B C6 8B 18 FF 53 6C 8B D8 85 DB 7D 27 8B D3 8B C6 8B 08 FF 51 74 89 45 E8 C6 86 91 00 00 00 01 8B C6 8B 10 FF 92 8C 00 00 00 8B 55 E8 8B C6 8B 08 FF 51 78 33 C9 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 07 C6 86 91 00 00 00 01 33 C9 B2 01 8B C6 8B 38 FF 97 84 00 00 00 8B C3 99 52 50 B2 01 8B C6 8B 08 FF 51 48 01 5D F0 29 5D EC 83 7D EC 00 7F 81 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_41164_0 {
	meta:
		name = "TInIOHandler.WriteDirect"
		size = 324
		refs = "001d TInIOHandler.WriteDirect 004b ToBytes 0061 @DynArrayLength 0077 TArray<System.Byte> 007c @DynArrayAsg 0089 IndyLength 00dc _Dn_TInAntiFreezeBase 00e1 TInAntiFreezeBase.DoProcess 012f @DynArrayClear 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 B2 01 8B C6 8B 38 FF 97 84 00 00 00 83 BE A4 00 00 00 00 74 31 8D 45 FC 50 8B CB 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 FC 8B 86 A4 00 00 00 8B 08 FF 51 50 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 33 C0 89 45 F0 EB 24 8D 45 FC 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CB 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 89 5D F0 83 7D EC 00 7E 7F 8B 45 EC 50 8B 4D F0 8B 55 FC 8B C6 8B 18 FF 53 6C 8B D8 85 DB 7D 27 8B D3 8B C6 8B 08 FF 51 74 89 45 E8 C6 86 91 00 00 00 01 8B C6 8B 10 FF 92 8C 00 00 00 8B 55 E8 8B C6 8B 08 FF 51 78 33 C9 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 07 C6 86 91 00 00 00 01 33 C9 B2 01 8B C6 8B 38 FF 97 84 00 00 00 8B C3 99 52 50 B2 01 8B C6 8B 08 FF 51 48 01 5D F0 29 5D EC 83 7D EC 00 7F 81 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_35559_0 {
	meta:
		name = "TIdIOHandlerSocket.Close"
		size = 27
		refs = "0015 TIdIOHandler.Close"
	strings:
		$1 = { 53 8B D8 8B 83 D8 00 00 00 85 C0 74 05 8B 10 FF 52 24 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_41167_0 {
	meta:
		name = "TInIOHandlerSocket.Close"
		size = 27
		refs = "0015 TInIOHandler.Close"
	strings:
		$1 = { 53 8B D8 8B 83 D8 00 00 00 85 C0 74 05 8B 10 FF 52 24 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_35560_0 {
	meta:
		name = "TIdIOHandlerSocket.ConnectClient"
		size = 193
		refs = "001e TIdSocketHandle.SetIPVersion 002c TIdSocketHandle.AllocateSocket 004d @UStrAsg 0087 Id_SO_True 009b TIdSocketHandle.SetSockOpt 00a2 TIdSocketHandle.Bind 00b0 TIdSocketHandle.SetUseNagle"
	strings:
		$1 = { 53 56 8B D8 8B B3 D8 00 00 00 8B C3 8B 10 FF 92 E8 00 00 00 0F B6 93 06 01 00 00 8B C6 E8 ?? ?? ?? ?? 33 C9 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F0 00 00 00 83 BB DC 00 00 00 00 74 0E 8D 46 18 8B 93 DC 00 00 00 E8 ?? ?? ?? ?? 0F B7 83 E0 00 00 00 66 89 46 20 0F B7 83 E4 00 00 00 66 89 46 0C 0F B7 83 E2 00 00 00 66 89 46 0E 80 BB 05 01 00 00 01 74 0B 80 BB 05 01 00 00 00 75 1B EB 19 A1 ?? ?? ?? ?? 8B 00 50 B9 04 00 00 00 BA FF FF 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 93 04 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 EC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_41168_0 {
	meta:
		name = "TInIOHandlerSocket.ConnectClient"
		size = 193
		refs = "001e TInSocketHandle.SetIPVersion 002c TInSocketHandle.AllocateSocket 004d @UStrAsg 0087 Id_SO_True 009b TInSocketHandle.SetSockOpt 00a2 TInSocketHandle.Bind 00b0 TInSocketHandle.SetUseNagle"
	strings:
		$1 = { 53 56 8B D8 8B B3 D8 00 00 00 8B C3 8B 10 FF 92 E8 00 00 00 0F B6 93 06 01 00 00 8B C6 E8 ?? ?? ?? ?? 33 C9 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F0 00 00 00 83 BB DC 00 00 00 00 74 0E 8D 46 18 8B 93 DC 00 00 00 E8 ?? ?? ?? ?? 0F B7 83 E0 00 00 00 66 89 46 20 0F B7 83 E4 00 00 00 66 89 46 0C 0F B7 83 E2 00 00 00 66 89 46 0E 80 BB 05 01 00 00 01 74 0B 80 BB 05 01 00 00 00 75 1B EB 19 A1 ?? ?? ?? ?? 8B 00 50 B9 04 00 00 00 BA FF FF 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 93 04 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 EC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_35561_0 {
	meta:
		name = "TIdIOHandlerSocket.Connected"
		size = 44
		refs = "0006 TIdIOHandlerSocket.BindingAllocated 0011 TIdIOHandler.Connected 001c TIdIOHandler.InputBufferIsEmpty"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_35598_0 {
	meta:
		name = "TIdIOHandlerStream.Connected"
		size = 44
		refs = "0006 TIdIOHandlerStream.StreamingAvailable 0011 TIdIOHandler.Connected 001c TIdIOHandler.InputBufferIsEmpty"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_41169_0 {
	meta:
		name = "TInIOHandlerSocket.Connected"
		size = 44
		refs = "0006 TInIOHandlerSocket.BindingAllocated 0011 TInIOHandler.Connected 001c TInIOHandler.InputBufferIsEmpty"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_35562_0 {
	meta:
		name = "TIdIOHandlerSocket.Destroy"
		size = 90
		refs = "0003 @BeforeDestruction 002a TObject.Free 0048 TIdIOHandler.Destroy 0053 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 00 01 00 00 85 C0 74 19 83 78 04 00 75 13 8D 86 00 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 D8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_41170_0 {
	meta:
		name = "TInIOHandlerSocket.Destroy"
		size = 90
		refs = "0003 @BeforeDestruction 002a TObject.Free 0048 TInIOHandler.Destroy 0053 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 00 01 00 00 85 C0 74 19 83 78 04 00 75 13 8D 86 00 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 D8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35566_0 {
	meta:
		name = "TIdIOHandlerSocket.GetDestination"
		size = 148
		refs = "0010 TIdIOHandlerSocket.GetDestination 0023 @UStrAsg 004d IntToStr 005c @UStrCatN 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 93 9C 00 00 00 E8 ?? ?? ?? ?? 0F B7 83 E6 00 00 00 8B B3 B8 00 00 00 3B C6 74 28 85 F6 7E 24 FF B3 9C 00 00 00 68 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? FF 75 FC 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_41174_0 {
	meta:
		name = "TInIOHandlerSocket.GetDestination"
		size = 148
		refs = "0010 TInIOHandlerSocket.GetDestination 0023 @UStrAsg 004d IntToStr 005c @UStrCatN 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 93 9C 00 00 00 E8 ?? ?? ?? ?? 0F B7 83 E6 00 00 00 8B B3 B8 00 00 00 3B C6 74 28 85 F6 7E 24 FF B3 9C 00 00 00 68 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? FF 75 FC 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_35567_0 {
	meta:
		name = "TIdIOHandlerSocket.Open"
		size = 107
		refs = "0006 TIdIOHandler.Open 0019 _Dn_TIdSocketHandle 001e TIdSocketHandle.Create 002d TIdSocketHandle.Reset"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 D8 00 00 00 85 C0 75 16 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D8 00 00 00 EB 07 B2 01 E8 ?? ?? ?? ?? 8B 83 D8 00 00 00 0F B7 93 E4 00 00 00 66 89 50 0C 0F B7 93 E2 00 00 00 66 89 50 0E 83 BB 9C 00 00 00 00 74 13 83 BB B8 00 00 00 00 7E 0A 8B C3 8B 10 FF 92 E4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_41175_0 {
	meta:
		name = "TInIOHandlerSocket.Open"
		size = 107
		refs = "0006 TInIOHandler.Open 0019 _Dn_TInSocketHandle 001e TInSocketHandle.Create 002d TInSocketHandle.Reset"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 D8 00 00 00 85 C0 75 16 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D8 00 00 00 EB 07 B2 01 E8 ?? ?? ?? ?? 8B 83 D8 00 00 00 0F B7 93 E4 00 00 00 66 89 50 0C 0F B7 93 E2 00 00 00 66 89 50 0E 83 BB 9C 00 00 00 00 74 13 83 BB B8 00 00 00 00 7E 0A 8B C3 8B 10 FF 92 E4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_35568_0 {
	meta:
		name = "TIdIOHandlerSocket.SetDestination"
		size = 192
		refs = "0014 TIdIOHandlerSocket.SetDestination 0027 LastDelimiter 0041 @UStrCopy 006a Trim 0079 IndyStrToInt 009c @UStrArrayClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 55 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 08 FF 51 5C 8D 45 F0 50 8D 53 01 B9 FF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 0F B7 96 E6 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_41176_0 {
	meta:
		name = "TInIOHandlerSocket.SetDestination"
		size = 192
		refs = "0014 TInIOHandlerSocket.SetDestination 0027 LastDelimiter 0041 @UStrCopy 006a Trim 0079 IndyStrToInt 009c @UStrArrayClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 55 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 08 FF 51 5C 8D 45 F0 50 8D 53 01 B9 FF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 0F B7 96 E6 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_35569_0 {
	meta:
		name = "TIdIOHandlerSocket.BindingAllocated"
		size = 22
		altNames = "TInIOHandlerSocket.BindingAllocated"
	strings:
		$1 = { 8B 88 D8 00 00 00 85 C9 0F 95 C2 84 D2 74 04 0F B6 51 14 8B C2 C3 }
	condition:
		$1
}

rule function_35570_0 {
	meta:
		name = "TIdIOHandlerSocket.WriteFile"
		size = 185
		refs = "0020 SetErrorMode 002b TIdIOHandlerSocket.WriteFile 003a FileExists 0043 GServeFileProc 004f TIdIOHandler.WriteBufferingActive 0077 @TryFinallyExit 0084 TIdIOHandler.WriteFile 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 8B F2 8B F8 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 6A 01 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 4C A1 ?? ?? ?? ?? 83 38 00 74 31 8B C7 E8 ?? ?? ?? ?? 84 C0 75 26 84 DB 74 22 8B 1D ?? ?? ?? ?? 8B 1B 8B 87 D8 00 00 00 8B 40 10 8B D6 FF D3 89 45 F8 89 55 FC E8 ?? ?? ?? ?? EB 2F 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 F8 8B 55 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41178_0 {
	meta:
		name = "TInIOHandlerSocket.WriteFile"
		size = 185
		refs = "0020 SetErrorMode 002b TInIOHandlerSocket.WriteFile 003a FileExists 0043 GServeFileProc 004f TInIOHandler.WriteBufferingActive 0077 @TryFinallyExit 0084 TInIOHandler.WriteFile 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 8B F2 8B F8 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 6A 01 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 4C A1 ?? ?? ?? ?? 83 38 00 74 31 8B C7 E8 ?? ?? ?? ?? 84 C0 75 26 84 DB 74 22 8B 1D ?? ?? ?? ?? 8B 1B 8B 87 D8 00 00 00 8B 40 10 8B D6 FF D3 89 45 F8 89 55 FC E8 ?? ?? ?? ?? EB 2F 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 F8 8B 55 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35571_0 {
	meta:
		name = "TIdIOHandlerSocket.SetTransparentProxy"
		size = 253
		refs = "0028 TComponent.RemoveFreeNotification 005b TObject.Free 006f TIdBaseComponent.Create 00bf TComponent.FreeNotification"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 0F 84 B6 00 00 00 83 7E 04 00 75 73 8B 83 00 01 00 00 85 C0 74 15 83 78 04 00 74 0F 8B D3 E8 ?? ?? ?? ?? 33 C0 89 83 00 01 00 00 8B 16 89 D0 8B F8 8B 93 00 01 00 00 85 D2 74 1B 8B 12 89 D0 3B F8 74 13 8D 83 00 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 83 BB 00 01 00 00 00 75 11 33 C9 B2 01 8B C7 E8 ?? ?? ?? ?? 89 83 00 01 00 00 8B D6 8B 83 00 01 00 00 8B 08 FF 51 08 EB 71 8B 83 00 01 00 00 85 C0 74 22 83 78 04 00 75 15 8D 83 00 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 83 00 01 00 00 8B D3 E8 ?? ?? ?? ?? EB 34 8B 83 00 01 00 00 85 C0 74 2A 83 78 04 00 75 15 8D 83 00 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 0F 8B D3 E8 ?? ?? ?? ?? 33 C0 89 83 00 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_41179_0 {
	meta:
		name = "TInIOHandlerSocket.SetTransparentProxy"
		size = 253
		refs = "0028 TComponent.RemoveFreeNotification 005b TObject.Free 006f TInBaseComponent.Create 00bf TComponent.FreeNotification"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 0F 84 B6 00 00 00 83 7E 04 00 75 73 8B 83 00 01 00 00 85 C0 74 15 83 78 04 00 74 0F 8B D3 E8 ?? ?? ?? ?? 33 C0 89 83 00 01 00 00 8B 16 89 D0 8B F8 8B 93 00 01 00 00 85 D2 74 1B 8B 12 89 D0 3B F8 74 13 8D 83 00 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 83 BB 00 01 00 00 00 75 11 33 C9 B2 01 8B C7 E8 ?? ?? ?? ?? 89 83 00 01 00 00 8B D6 8B 83 00 01 00 00 8B 08 FF 51 08 EB 71 8B 83 00 01 00 00 85 C0 74 22 83 78 04 00 75 15 8D 83 00 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 83 00 01 00 00 8B D3 E8 ?? ?? ?? ?? EB 34 8B 83 00 01 00 00 85 C0 74 2A 83 78 04 00 75 15 8D 83 00 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 0F 8B D3 E8 ?? ?? ?? ?? 33 C0 89 83 00 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35572_0 {
	meta:
		name = "TIdIOHandlerSocket.GetTransparentProxy"
		size = 40
		refs = "0011 _Dn_TIdSocksInfo 0016 TIdBaseComponent.Create"
	strings:
		$1 = { 53 8B D8 83 BB 00 01 00 00 00 75 14 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 00 01 00 00 8B 83 00 01 00 00 5B C3 }
	condition:
		$1
}

rule function_41180_0 {
	meta:
		name = "TInIOHandlerSocket.GetTransparentProxy"
		size = 40
		refs = "0011 _Dn_TInSocksInfo 0016 TInBaseComponent.Create"
	strings:
		$1 = { 53 8B D8 83 BB 00 01 00 00 00 75 14 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 00 01 00 00 8B 83 00 01 00 00 5B C3 }
	condition:
		$1
}

rule function_35573_0 {
	meta:
		name = "TIdIOHandlerSocket.GetUseNagle"
		size = 23
		altNames = "TInIOHandlerSocket.GetUseNagle"
	strings:
		$1 = { 8B 90 D8 00 00 00 85 D2 74 05 0F B6 42 35 C3 0F B6 80 04 01 00 00 C3 }
	condition:
		$1
}

rule function_35574_0 {
	meta:
		name = "TIdIOHandlerSocket.SetUseNagle"
		size = 24
		refs = "0013 TIdSocketHandle.SetUseNagle"
	strings:
		$1 = { 88 90 04 01 00 00 8B 88 D8 00 00 00 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41182_0 {
	meta:
		name = "TInIOHandlerSocket.SetUseNagle"
		size = 24
		refs = "0013 TInSocketHandle.SetUseNagle"
	strings:
		$1 = { 88 90 04 01 00 00 8B 88 D8 00 00 00 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35575_0 {
	meta:
		name = "TIdIOHandlerSocket.Notification"
		size = 29
		refs = "0017 TIdIOHandler.Notification"
	strings:
		$1 = { 53 80 F9 01 75 10 3B 90 00 01 00 00 75 08 33 DB 89 98 00 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_41183_0 {
	meta:
		name = "TInIOHandlerSocket.Notification"
		size = 29
		refs = "0017 TInIOHandler.Notification"
	strings:
		$1 = { 53 80 F9 01 75 10 3B 90 00 01 00 00 75 08 33 DB 89 98 00 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_35576_0 {
	meta:
		name = "TIdIOHandlerSocket.InitComponent"
		size = 26
		refs = "0006 TIdIOHandler.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 04 01 00 00 01 C6 83 06 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_41184_0 {
	meta:
		name = "TInIOHandlerSocket.InitComponent"
		size = 26
		refs = "0006 TInIOHandler.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 04 01 00 00 01 C6 83 06 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_35578_0 {
	meta:
		name = "TIdIOHandlerSocket.CheckForError"
		size = 49
		refs = "0022 GStack 0029 TIdStack.CheckForSocketError"
	strings:
		$1 = { 83 C4 F4 6A 02 C7 44 24 04 4A 27 00 00 C7 44 24 08 45 27 00 00 C7 44 24 0C 46 27 00 00 8D 4C 24 04 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_41186_0 {
	meta:
		name = "TInIOHandlerSocket.CheckForError"
		size = 49
		refs = "0022 GStack 0029 TInStack.CheckForSocketError"
	strings:
		$1 = { 83 C4 F4 6A 02 C7 44 24 04 4A 27 00 00 C7 44 24 08 45 27 00 00 C7 44 24 0C 46 27 00 00 8D 4C 24 04 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_35579_0 {
	meta:
		name = "TIdIOHandlerSocket.RaiseError"
		size = 13
		refs = "0001 GStack"
		altNames = "TInIOHandlerSocket.RaiseError"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 4C C3 }
	condition:
		$1
}

rule function_35582_0 {
	meta:
		name = "TIdIOHandlerStack.Connected"
		size = 25
		refs = "000c TIdIOHandler.ReadFromSource 0013 TIdIOHandlerSocket.Connected"
	strings:
		$1 = { 53 8B D8 6A 00 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_41190_0 {
	meta:
		name = "TInIOHandlerStack.Connected"
		size = 25
		refs = "000c TInIOHandler.ReadFromSource 0013 TInIOHandlerSocket.Connected"
	strings:
		$1 = { 53 8B D8 6A 00 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_35583_0 {
	meta:
		name = "DoConnectTimeout"
		size = 406
		refs = "0013 DoConnectTimeout 0036 _DV_TIdConnectThread 003b TIdConnectThread.Create 0051 _Dn_TIdAntiFreezeBase 0056 TIdAntiFreezeBase.ShouldUse 005f GAntiFreeze 006e IndyMin 0085 IndySleep 0093 TIdAntiFreezeBase.DoProcess 00fe _Dn_EIdSocketError 0103 EIdSocketError.CreateError 0108 @RaiseExcept 0113 _Dn_EIdConnectException 0118 EIdException.Toss 0122 TThread.Terminate 0138 TThread.WaitFor 0140 RSConnectTimeout 0145 LoadResString 014d _Dn_EIdConnectTimeout 0167 TObject.Free 016d @HandleFinally 0184 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FB FF 75 05 BB FE FF FF FF 8B 45 08 8B 40 FC 8B 88 D8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 A1 ?? ?? ?? ?? 8B 00 8B 40 3C BA 7D 00 00 00 E8 ?? ?? ?? ?? 8B F0 EB 05 BE 7D 00 00 00 83 FB FE 75 49 EB 15 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 0D 00 74 E2 EB 34 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 2B D8 85 DB 7E 09 8B 45 FC 80 78 0D 00 74 CC 8B 45 FC 80 78 0D 00 74 3F 8B 45 FC 83 78 48 00 74 6E 8B 45 FC 8B 58 44 85 DB 74 1A 8B 45 FC 8B 40 48 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 48 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 38 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 10 FF 92 8C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_41191_0 {
	meta:
		name = "DoConnectTimeout"
		size = 406
		refs = "0013 DoConnectTimeout 0036 _DV_TIdConnectThread 003b TIdConnectThread.Create 0051 _Dn_TInAntiFreezeBase 0056 TInAntiFreezeBase.ShouldUse 005f GAntiFreeze 006e IndyMin 0085 IndySleep 0093 TInAntiFreezeBase.DoProcess 00fe _Dn_EIdSocketError 0103 EIdSocketError.CreateError 0108 @RaiseExcept 0113 _Dn_EIdConnectException 0118 EInException.Toss 0122 TThread.Terminate 0138 TThread.WaitFor 0140 RSConnectTimeout 0145 LoadResString 014d _Dn_EIdConnectTimeout 0167 TObject.Free 016d @HandleFinally 0184 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FB FF 75 05 BB FE FF FF FF 8B 45 08 8B 40 FC 8B 88 D8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 A1 ?? ?? ?? ?? 8B 00 8B 40 3C BA 7D 00 00 00 E8 ?? ?? ?? ?? 8B F0 EB 05 BE 7D 00 00 00 83 FB FE 75 49 EB 15 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 0D 00 74 E2 EB 34 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 2B D8 85 DB 7E 09 8B 45 FC 80 78 0D 00 74 CC 8B 45 FC 80 78 0D 00 74 3F 8B 45 FC 83 78 48 00 74 6E 8B 45 FC 8B 58 44 85 DB 74 1A 8B 45 FC 8B 40 48 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 48 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 38 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 10 FF 92 8C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35584_0 {
	meta:
		name = "TIdIOHandlerStack.ConnectClient"
		size = 580
		refs = "001b TIdIOHandlerStack.ConnectClient 0028 TIdIOHandlerSocket.ConnectClient 0055 @UStrLAsg 00b4 GStack 00be TIdStack.IsIP 00e3 TIdComponent.DoStatus 00f8 TIdStack.ResolveHost 0112 MakeCanonicalIPv6Address 016e TIdSocketHandle.SetPeer 01a8 _Dn_TIdAntiFreezeBase 01ad TIdAntiFreezeBase.ShouldUse 01bc DoConnectTimeout 0217 TIdCustomTransparentProxy.Connect 0231 @UStrArrayClr 0237 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 F8 89 55 F4 89 45 FC 8D 7D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 E8 ?? ?? ?? ?? 8B 07 8B 98 00 01 00 00 85 DB 74 56 8B C3 8B 10 FF 52 50 84 C0 74 28 8D 45 F8 8B 17 8B 9A 00 01 00 00 8B 93 90 00 00 00 E8 ?? ?? ?? ?? 0F B7 B3 98 00 00 00 0F B6 83 9A 00 00 00 8B D8 EB 44 8D 45 F8 8B 17 8B 92 9C 00 00 00 E8 ?? ?? ?? ?? 8B 07 8B B0 B8 00 00 00 8B 07 0F B6 98 06 01 00 00 EB 21 8D 45 F8 8B 17 8B 92 9C 00 00 00 E8 ?? ?? ?? ?? 8B 07 8B B0 B8 00 00 00 8B 07 0F B6 98 06 01 00 00 84 DB 75 58 A1 ?? ?? ?? ?? 8B 00 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 75 38 8B 07 66 83 78 3A 00 74 18 6A 00 8B 45 F8 89 45 EC C6 45 F0 11 8D 4D EC 33 D2 8B 07 E8 ?? ?? ?? ?? 8D 45 F4 50 8B CB A1 ?? ?? ?? ?? 8B 00 8B 55 F8 E8 ?? ?? ?? ?? EB 61 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? EB 54 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 83 7D F4 00 75 38 8B 07 66 83 78 3A 00 74 18 6A 00 8B 45 F8 89 45 EC C6 45 F0 11 8D 4D EC 33 D2 8B 07 E8 ?? ?? ?? ?? 8D 45 F4 50 8B CB A1 ?? ?? ?? ?? 8B 00 8B 55 F8 E8 ?? ?? ?? ?? EB 0B 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 53 8B 07 8B 80 D8 00 00 00 8B CE 8B 55 F4 E8 ?? ?? ?? ?? 8B 07 66 83 78 3A 00 74 20 6A 00 8B 07 8B 80 D8 00 00 00 8B 40 1C 89 45 EC C6 45 F0 11 8D 4D EC B2 01 8B 07 E8 ?? ?? ?? ?? 8B 07 8B 80 94 00 00 00 85 C0 75 2B A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 55 B8 C0 D4 01 00 E8 ?? ?? ?? ?? 59 EB 16 8B 07 8B 80 D8 00 00 00 8B 10 FF 52 28 EB 07 55 E8 ?? ?? ?? ?? 59 8B 07 8B 98 00 01 00 00 85 DB 74 36 8B C3 8B 10 FF 52 50 84 C0 74 2B 8B 07 0F B7 80 B8 00 00 00 50 8B 07 0F B6 80 06 01 00 00 50 8B 07 8B 88 9C 00 00 00 8B 07 8B 80 00 01 00 00 8B 17 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41192_0 {
	meta:
		name = "TInIOHandlerStack.ConnectClient"
		size = 580
		refs = "001b TInIOHandlerStack.ConnectClient 0028 TInIOHandlerSocket.ConnectClient 0055 @UStrLAsg 00b4 GStack 00be TInStack.IsIP 00e3 TInComponent.DoStatus 00f8 TInStack.ResolveHost 0112 MakeCanonicalIPv6Address 016e TInSocketHandle.SetPeer 01a8 _Dn_TInAntiFreezeBase 01ad TInAntiFreezeBase.ShouldUse 01bc DoConnectTimeout 0217 TInCustomTransparentProxy.Connect 0231 @UStrArrayClr 0237 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 F8 89 55 F4 89 45 FC 8D 7D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 E8 ?? ?? ?? ?? 8B 07 8B 98 00 01 00 00 85 DB 74 56 8B C3 8B 10 FF 52 50 84 C0 74 28 8D 45 F8 8B 17 8B 9A 00 01 00 00 8B 93 90 00 00 00 E8 ?? ?? ?? ?? 0F B7 B3 98 00 00 00 0F B6 83 9A 00 00 00 8B D8 EB 44 8D 45 F8 8B 17 8B 92 9C 00 00 00 E8 ?? ?? ?? ?? 8B 07 8B B0 B8 00 00 00 8B 07 0F B6 98 06 01 00 00 EB 21 8D 45 F8 8B 17 8B 92 9C 00 00 00 E8 ?? ?? ?? ?? 8B 07 8B B0 B8 00 00 00 8B 07 0F B6 98 06 01 00 00 84 DB 75 58 A1 ?? ?? ?? ?? 8B 00 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 75 38 8B 07 66 83 78 3A 00 74 18 6A 00 8B 45 F8 89 45 EC C6 45 F0 11 8D 4D EC 33 D2 8B 07 E8 ?? ?? ?? ?? 8D 45 F4 50 8B CB A1 ?? ?? ?? ?? 8B 00 8B 55 F8 E8 ?? ?? ?? ?? EB 61 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? EB 54 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 83 7D F4 00 75 38 8B 07 66 83 78 3A 00 74 18 6A 00 8B 45 F8 89 45 EC C6 45 F0 11 8D 4D EC 33 D2 8B 07 E8 ?? ?? ?? ?? 8D 45 F4 50 8B CB A1 ?? ?? ?? ?? 8B 00 8B 55 F8 E8 ?? ?? ?? ?? EB 0B 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 53 8B 07 8B 80 D8 00 00 00 8B CE 8B 55 F4 E8 ?? ?? ?? ?? 8B 07 66 83 78 3A 00 74 20 6A 00 8B 07 8B 80 D8 00 00 00 8B 40 1C 89 45 EC C6 45 F0 11 8D 4D EC B2 01 8B 07 E8 ?? ?? ?? ?? 8B 07 8B 80 94 00 00 00 85 C0 75 2B A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 55 B8 C0 D4 01 00 E8 ?? ?? ?? ?? 59 EB 16 8B 07 8B 80 D8 00 00 00 8B 10 FF 52 28 EB 07 55 E8 ?? ?? ?? ?? 59 8B 07 8B 98 00 01 00 00 85 DB 74 36 8B C3 8B 10 FF 52 50 84 C0 74 2B 8B 07 0F B7 80 B8 00 00 00 50 8B 07 0F B6 80 06 01 00 00 50 8B 07 8B 88 9C 00 00 00 8B 07 8B 80 00 01 00 00 8B 17 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35585_0 {
	meta:
		name = "TIdIOHandlerStack.Readable"
		size = 12
		refs = "0007 TIdSocketHandle.Readable"
	strings:
		$1 = { 8B 80 D8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35587_0 {
	meta:
		name = "TIdIOHandlerStack.ReadDataFromSource"
		size = 12
		refs = "0007 TIdSocketHandle.Receive"
	strings:
		$1 = { 8B 80 D8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41195_0 {
	meta:
		name = "TInIOHandlerStack.ReadDataFromSource"
		size = 12
		refs = "0007 TInSocketHandle.Receive"
	strings:
		$1 = { 8B 80 D8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41193_0 {
	meta:
		name = "TInIOHandlerStack.Readable"
		size = 12
		refs = "0007 TInSocketHandle.Readable"
	strings:
		$1 = { 8B 80 D8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35586_0 {
	meta:
		name = "TIdIOHandlerStack.WriteDataToTarget"
		size = 24
		refs = "000f TIdSocketHandle.Send"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 80 D8 00 00 00 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_41194_0 {
	meta:
		name = "TInIOHandlerStack.WriteDataToTarget"
		size = 24
		refs = "000f TInSocketHandle.Send"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 80 D8 00 00 00 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_35588_0 {
	meta:
		name = "TIdIOHandlerStack.CheckForDisconnect"
		size = 93
		refs = "0016 TIdIOHandlerSocket.BindingAllocated 002d TIdComponent.DoStatus 0045 TIdIOHandler.InputBufferIsEmpty 0055 TIdIOHandler.RaiseConnClosedGracefully"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 80 BE 91 00 00 00 00 74 22 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 8B C6 8B 10 FF 92 8C 00 00 00 B2 04 8B C6 E8 ?? ?? ?? ?? B0 01 EB 09 8B C6 E8 ?? ?? ?? ?? 34 01 84 C0 74 17 8B C6 E8 ?? ?? ?? ?? 0A 04 24 74 0B 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_35595_0 {
	meta:
		name = "TIdIOHandlerStream.CheckForDisconnect"
		size = 93
		refs = "0016 TIdIOHandlerStream.StreamingAvailable 002d TIdComponent.DoStatus 0045 TIdIOHandler.InputBufferIsEmpty 0055 TIdIOHandler.RaiseConnClosedGracefully"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 80 BE 91 00 00 00 00 74 22 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 8B C6 8B 10 FF 92 8C 00 00 00 B2 04 8B C6 E8 ?? ?? ?? ?? B0 01 EB 09 8B C6 E8 ?? ?? ?? ?? 34 01 84 C0 74 17 8B C6 E8 ?? ?? ?? ?? 0A 04 24 74 0B 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_41196_0 {
	meta:
		name = "TInIOHandlerStack.CheckForDisconnect"
		size = 93
		refs = "0016 TInIOHandlerSocket.BindingAllocated 002d TInComponent.DoStatus 0045 TInIOHandler.InputBufferIsEmpty 0055 TInIOHandler.RaiseConnClosedGracefully"
	strings:
		$1 = { 53 56 51 88 0C 24 8B DA 8B F0 80 BE 91 00 00 00 00 74 22 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 8B C6 8B 10 FF 92 8C 00 00 00 B2 04 8B C6 E8 ?? ?? ?? ?? B0 01 EB 09 8B C6 E8 ?? ?? ?? ?? 34 01 84 C0 74 17 8B C6 E8 ?? ?? ?? ?? 0A 04 24 74 0B 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_35590_0 {
	meta:
		name = "TIdConnectThread.Execute"
		size = 185
		refs = "000e TIdConnectThread.Execute 003c @HandleOnException 0044 _Dn_EIdSocketError 0060 @RaiseAgain 0065 @DoneExcept 007c _Dn_Exception 0090 @UStrAsg 009d @IsClass"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 40 40 8B 10 FF 52 28 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 50 18 81 FA 19 27 00 00 74 0D 81 FA 36 27 00 00 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 40 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 FC 83 C0 48 8B 53 04 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B 43 18 8B 55 FC 89 42 44 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35594_0 {
	meta:
		name = "TIdIOHandlerStream.InitComponent"
		size = 25
		refs = "0006 TIdIOHandler.InitComponent 000d Indy8BitEncoding"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 89 83 D4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_35596_0 {
	meta:
		name = "TIdIOHandlerStream.Close"
		size = 59
		refs = "0006 TIdIOHandler.Close 0022 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB D8 00 00 00 00 74 26 8D 83 E8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 83 EC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_35597_0 {
	meta:
		name = "TIdIOHandlerStream.StreamingAvailable"
		size = 75
	strings:
		$1 = { 33 D2 0F B6 88 F0 00 00 00 80 E9 01 72 08 74 13 FE C9 74 1C EB 32 83 B8 E8 00 00 00 00 0F 95 C2 8B C2 C3 83 B8 EC 00 00 00 00 0F 95 C2 8B C2 C3 83 B8 E8 00 00 00 00 74 09 83 B8 EC 00 00 00 00 75 04 33 D2 EB 02 B2 01 8B C2 C3 }
	condition:
		$1
}

rule function_35599_0 {
	meta:
		name = "TIdIOHandlerStream.Create"
		size = 67
		refs = "000a @ClassCreate 0017 TIdBaseComponent.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 D8 00 00 00 01 C6 86 F0 00 00 00 02 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_35600_0 {
	meta:
		name = "TIdIOHandlerStream.Create"
		size = 145
		refs = "000d @ClassCreate 001a TIdBaseComponent.Create 007b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 D8 00 00 00 01 8B 45 0C 89 86 E8 00 00 00 8B 45 08 89 86 EC 00 00 00 83 BE E8 00 00 00 00 74 12 83 BE EC 00 00 00 00 75 09 C6 86 F0 00 00 00 00 EB 22 83 BE E8 00 00 00 00 75 12 83 BE EC 00 00 00 00 74 09 C6 86 F0 00 00 00 01 EB 07 C6 86 F0 00 00 00 02 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_35601_0 {
	meta:
		name = "TIdIOHandlerStream.Open"
		size = 110
		refs = "0006 TIdIOHandler.Open"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB E2 00 00 00 00 74 1B 8D 83 EC 00 00 00 50 8D 8B E8 00 00 00 8B D3 8B 83 E4 00 00 00 FF 93 E0 00 00 00 83 BB E8 00 00 00 00 74 12 83 BB EC 00 00 00 00 75 09 C6 83 F0 00 00 00 00 5B C3 83 BB E8 00 00 00 00 75 12 83 BB EC 00 00 00 00 74 09 C6 83 F0 00 00 00 01 EB 07 C6 83 F0 00 00 00 02 5B C3 }
	condition:
		$1
}

rule function_35602_0 {
	meta:
		name = "TIdIOHandlerStream.Readable"
		size = 11
		altNames = "TIdIOHandlerStream.SourceIsAvailable"
	strings:
		$1 = { 83 B8 E8 00 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_35603_0 {
	meta:
		name = "TIdIOHandlerStream.ReadDataFromSource"
		size = 67
		refs = "0012 @DynArrayLength 001e IndyMin 0032 _Dn_TIdStreamHelperVCL 0037 TIdStreamHelperVCL.ReadBytes"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB E8 00 00 00 00 74 2F 8B 06 E8 ?? ?? ?? ?? 8B D0 B8 00 80 00 00 E8 ?? ?? ?? ?? 85 C0 7E 1A 50 6A 00 8B CE 8B 93 E8 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_35604_0 {
	meta:
		name = "TIdIOHandlerStream.WriteDataToTarget"
		size = 53
		refs = "0016 _Dn_TIdStreamHelperVCL 0020 TIdStreamHelperVCL.Write 002b IndyLength"
	strings:
		$1 = { 55 8B EC 56 57 8B 75 08 8B B8 EC 00 00 00 85 FF 74 14 56 51 8B 0D ?? ?? ?? ?? 8B C7 91 87 CA E8 ?? ?? ?? ?? EB 09 8B C2 8B D6 E8 ?? ?? ?? ?? 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_35606_0 {
	meta:
		name = "TIdIOHandlerStream.CheckForError"
		size = 72
		refs = "0007 TIdIOHandlerStream.CheckForError 000e _Dn_EIdException 0013 EIdException.Create 0018 @RaiseExcept"
	strings:
		$1 = { 8B C2 85 C0 7D 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 74 00 72 00 65 00 61 00 6D 00 20 00 65 00 72 00 72 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_35607_0 {
	meta:
		name = "TIdIOHandlerStream.RaiseError"
		size = 64
		refs = "0001 TIdIOHandlerStream.RaiseError 0008 _Dn_EIdException 000d EIdException.Create 0012 @RaiseExcept"
	strings:
		$1 = { B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 74 00 72 00 65 00 61 00 6D 00 20 00 65 00 72 00 72 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_35610_0 {
	meta:
		name = "CompareWord"
		size = 24
	strings:
		$1 = { 66 3B D0 73 06 B8 01 00 00 00 C3 66 3B D0 76 05 83 C8 FF EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_35611_0 {
	meta:
		name = "CompareCardinal"
		size = 22
	strings:
		$1 = { 3B D0 73 06 B8 01 00 00 00 C3 3B D0 76 05 83 C8 FF EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_35612_0 {
	meta:
		name = "TIdIPAddress.CompareAddress"
		size = 227
		refs = "0019 TIdIPAddress.MakeAddressObject 0038 TIdIPAddress.CompareAddress 00cd TObject.Free 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 33 C0 89 45 FC 8B 03 8B D7 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 95 C0 34 01 88 06 80 3E 00 0F 85 A5 00 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 0F B6 43 08 8B 55 F8 3A 42 08 0F 95 06 80 3E 00 75 63 84 C0 75 24 8B 55 F8 8B 52 04 8B 43 04 3B D0 73 07 B8 01 00 00 00 EB 0B 3B D0 76 05 83 C8 FF EB 02 33 C0 89 45 FC EB 3B 33 C0 8B 4D F8 0F B7 4C 41 0A 0F B7 54 43 0A 66 3B CA 73 07 BA 01 00 00 00 EB 11 8B 4D F8 66 3B 54 41 0A 73 05 83 CA FF EB 02 33 D2 89 55 FC 83 7D FC 00 75 06 40 83 F8 08 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_41204_0 {
	meta:
		name = "TInIPAddress.CompareAddress"
		size = 227
		refs = "0019 TInIPAddress.MakeAddressObject 0038 TInIPAddress.CompareAddress 00cd TObject.Free 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 33 C0 89 45 FC 8B 03 8B D7 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 95 C0 34 01 88 06 80 3E 00 0F 85 A5 00 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 0F B6 43 08 8B 55 F8 3A 42 08 0F 95 06 80 3E 00 75 63 84 C0 75 24 8B 55 F8 8B 52 04 8B 43 04 3B D0 73 07 B8 01 00 00 00 EB 0B 3B D0 76 05 83 C8 FF EB 02 33 C0 89 45 FC EB 3B 33 C0 8B 4D F8 0F B7 4C 41 0A 0F B7 54 43 0A 66 3B CA 73 07 BA 01 00 00 00 EB 11 8B 4D F8 66 3B 54 41 0A 73 05 83 CA FF EB 02 33 D2 89 55 FC 83 7D FC 00 75 06 40 83 F8 08 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35613_0 {
	meta:
		name = "TIdIPAddress.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TObject.Create 002b @AfterConstruction"
		altNames = "TInIPAddress.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 08 00 33 C0 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_35614_0 {
	meta:
		name = "TIdIPAddress.HToNBytes"
		size = 173
		refs = "0010 TIdIPAddress.HToNBytes 0021 GStack 0033 ToBytes 003e TArray<System.Byte> 0043 @DynArrayAsg 0059 @DynArraySetLength 007a CopyTIdWord 009b @DynArrayClear 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 08 00 75 29 A1 ?? ?? ?? ?? 8B 00 8B 56 04 8B 08 FF 51 30 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3B 6A 10 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB A1 ?? ?? ?? ?? 8B 00 0F B7 54 5E 0A 8B 08 FF 51 2C 8B CB 03 C9 8B D7 E8 ?? ?? ?? ?? 43 83 FB 08 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41206_0 {
	meta:
		name = "TInIPAddress.HToNBytes"
		size = 173
		refs = "0010 TInIPAddress.HToNBytes 0021 GStack 0033 ToBytes 003e TArray<System.Byte> 0043 @DynArrayAsg 0059 @DynArraySetLength 007a CopyTIdWord 009b @DynArrayClear 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 08 00 75 29 A1 ?? ?? ?? ?? 8B 00 8B 56 04 8B 08 FF 51 30 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3B 6A 10 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB A1 ?? ?? ?? ?? 8B 00 0F B7 54 5E 0A 8B 08 FF 51 2C 8B CB 03 C9 8B D7 E8 ?? ?? ?? ?? 43 83 FB 08 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35615_0 {
	meta:
		name = "TIdIPAddress.GetIPAddress"
		size = 36
		refs = "0011 TIdIPAddress.GetIPv4AsString 001d TIdIPAddress.GetIPv6AsString"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 08 00 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_41207_0 {
	meta:
		name = "TInIPAddress.GetIPAddress"
		size = 36
		refs = "0011 TInIPAddress.GetIPv4AsString 001d TInIPAddress.GetIPv6AsString"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 08 00 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35616_0 {
	meta:
		name = "TIdIPAddress.GetIPv4AsString"
		size = 264
		refs = "0013 TIdIPAddress.GetIPv4AsString 003a IntToStr 0049 @UStrCat3 0076 @UStrCatN 00c1 @UStrCat 00ca @UStrClr 00e4 @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 08 00 0F 85 A0 00 00 00 8B 46 04 C1 E8 18 25 FF 00 00 00 33 D2 52 50 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 33 8B 46 04 C1 E8 10 25 FF 00 00 00 33 D2 52 50 8D 45 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 33 8B 46 04 C1 E8 08 25 FF 00 00 00 33 D2 52 50 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 46 04 25 FF 00 00 00 33 D2 52 50 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_41208_0 {
	meta:
		name = "TInIPAddress.GetIPv4AsString"
		size = 264
		refs = "0013 TInIPAddress.GetIPv4AsString 003a IntToStr 0049 @UStrCat3 0076 @UStrCatN 00c1 @UStrCat 00ca @UStrClr 00e4 @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 08 00 0F 85 A0 00 00 00 8B 46 04 C1 E8 18 25 FF 00 00 00 33 D2 52 50 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 33 8B 46 04 C1 E8 10 25 FF 00 00 00 33 D2 52 50 8D 45 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 33 8B 46 04 C1 E8 08 25 FF 00 00 00 33 D2 52 50 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 46 04 25 FF 00 00 00 33 D2 52 50 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_35617_0 {
	meta:
		name = "TIdIPAddress.GetIPv6AsString"
		size = 160
		refs = "0010 TIdIPAddress.GetIPv6AsString 002c IntToHex 0059 @UStrCatN 0068 @UStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7F 08 01 75 45 8B CE 0F B7 47 0A BA 04 00 00 00 E8 ?? ?? ?? ?? BB 01 00 00 00 FF 36 68 ?? ?? ?? ?? 8D 4D FC 0F B7 44 5F 0A BA 04 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 43 83 FB 08 75 D2 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_41209_0 {
	meta:
		name = "TInIPAddress.GetIPv6AsString"
		size = 160
		refs = "0010 TInIPAddress.GetIPv6AsString 002c IntToHex 0059 @UStrCatN 0068 @UStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7F 08 01 75 45 8B CE 0F B7 47 0A BA 04 00 00 00 E8 ?? ?? ?? ?? BB 01 00 00 00 FF 36 68 ?? ?? ?? ?? 8D 4D FC 0F B7 44 5F 0A BA 04 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 43 83 FB 08 75 D2 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_35618_0 {
	meta:
		name = "TIdIPAddress.MakeAddressObject"
		size = 179
		refs = "000e _DV_TIdIPAddress 0013 TIdIPAddress.Create 001e TIdIPAddress.MakeAddressObject 0034 IPv6ToIdIPv6Address 0055 IPv4ToDWord 007f TObject.Free 008e @HandleAnyException 00a0 @RaiseAgain 00a5 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D FB 8B 45 FC 8D 50 0A 8B C3 E8 ?? ?? ?? ?? 80 7D FB 00 75 11 8B 45 FC C6 40 08 01 33 C0 5A 59 59 64 89 10 EB 5A 8D 55 FB 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 80 7D FB 00 75 11 8B 45 FC C6 40 08 00 33 C0 5A 59 59 64 89 10 EB 33 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_41210_0 {
	meta:
		name = "TInIPAddress.MakeAddressObject"
		size = 179
		refs = "000e _DV_TInIPAddress 0013 TInIPAddress.Create 001e TInIPAddress.MakeAddressObject 0034 IPv6ToIdIPv6Address 0055 IPv4ToDWord 007f TObject.Free 008e @HandleAnyException 00a0 @RaiseAgain 00a5 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D FB 8B 45 FC 8D 50 0A 8B C3 E8 ?? ?? ?? ?? 80 7D FB 00 75 11 8B 45 FC C6 40 08 01 33 C0 5A 59 59 64 89 10 EB 5A 8D 55 FB 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 80 7D FB 00 75 11 8B 45 FC C6 40 08 00 33 C0 5A 59 59 64 89 10 EB 33 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35619_0 {
	meta:
		name = "TIdIPAddress.MakeAddressObject"
		size = 190
		refs = "0010 _DV_TIdIPAddress 0015 TIdIPAddress.Create 0020 TIdIPAddress.MakeAddressObject 0039 IPv4ToDWord 0066 IPv6ToIdIPv6Address 008a TObject.Free 0099 @HandleAnyException 00ab @RaiseAgain 00b0 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 8B F2 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 EB 01 72 04 74 29 EB 4E 8D 55 FB 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 80 7D FB 00 75 38 8B 45 FC C6 40 08 00 33 C0 5A 59 59 64 89 10 EB 5A 8D 4D FB 8B 45 FC 8D 50 0A 8B C6 E8 ?? ?? ?? ?? 80 7D FB 00 75 11 8B 45 FC C6 40 08 01 33 C0 5A 59 59 64 89 10 EB 33 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_41211_0 {
	meta:
		name = "TInIPAddress.MakeAddressObject"
		size = 190
		refs = "0010 _DV_TInIPAddress 0015 TInIPAddress.Create 0020 TInIPAddress.MakeAddressObject 0039 IPv4ToDWord 0066 IPv6ToIdIPv6Address 008a TObject.Free 0099 @HandleAnyException 00ab @RaiseAgain 00b0 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 8B F2 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 EB 01 72 04 74 29 EB 4E 8D 55 FB 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 80 7D FB 00 75 38 8B 45 FC C6 40 08 00 33 C0 5A 59 59 64 89 10 EB 5A 8D 4D FB 8B 45 FC 8D 50 0A 8B C6 E8 ?? ?? ?? ?? 80 7D FB 00 75 11 8B 45 FC C6 40 08 01 33 C0 5A 59 59 64 89 10 EB 33 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35622_0 {
	meta:
		name = "TIdIPAddrMon.InitComponent"
		size = 80
		refs = "0006 TIdComponent.InitComponent 002d _Dn_TStringList 0032 TStringList.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 83 94 00 00 00 F4 01 00 00 C6 83 90 00 00 00 00 C6 83 91 00 00 00 00 33 C0 89 83 98 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_35623_0 {
	meta:
		name = "TIdIPAddrMon.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 0010 TIdIPAddrMon.SetActive 0022 TObject.Free 0038 TIdComponent.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 91 00 00 00 00 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? 8B 86 A4 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35624_0 {
	meta:
		name = "TIdIPAddrMon.CheckAdapters"
		size = 286
		refs = "0013 TIdIPAddrMon.CheckAdapters 0057 TIdIPAddrMon.GetAdapterAddresses 005f TIdInitializerComponent.GetIsDesignTime 00b4 @UStrEqual 00be TIdIPAddrMon.DoStatusChanged 00cd @HandleAnyException 00d2 @DoneExcept 00ef @HandleFinally 010b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 91 00 00 00 00 0F 85 C8 00 00 00 8B 45 FC C6 80 91 00 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 5B 8B 45 FC 8B 80 A4 00 00 00 8B 10 FF 52 14 8B D8 8B 45 FC 8B 80 A0 00 00 00 8B 10 FF 52 14 3B D8 75 31 8D 55 F8 8B 45 FC 8B 80 A4 00 00 00 8B 08 FF 51 1C 8B 45 F8 50 8D 55 F4 8B 45 FC 8B 80 A0 00 00 00 8B 08 FF 51 1C 8B 55 F4 58 E8 ?? ?? ?? ?? 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 91 00 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35625_0 {
	meta:
		name = "TIdIPAddrMon.DoStatusChanged"
		size = 432
		refs = "0012 TIdIPAddrMon.DoStatusChanged 0051 @UStrLAsg 0141 @UStrEqual 017b @UStrArrayClr 0181 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB AA 00 00 00 00 0F 84 3B 01 00 00 8B 83 A4 00 00 00 8B 10 FF 52 14 8B F8 8B 83 A0 00 00 00 8B 10 FF 52 14 8B F0 3B F7 7E 60 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 4E 85 F6 0F 8C 07 01 00 00 46 89 75 F4 33 F6 8D 4D F8 8B D6 8B 83 A0 00 00 00 8B 38 FF 57 0C 8B 55 F8 8B 83 A4 00 00 00 8B 08 FF 51 54 40 75 18 8B 45 FC 50 8B 45 F8 50 8B CE 8B D3 8B 83 AC 00 00 00 FF 93 A8 00 00 00 46 FF 4D F4 75 C1 E9 BD 00 00 00 3B F7 7D 5D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 4F 85 FF 0F 8C A3 00 00 00 47 89 7D F4 33 F6 8D 4D FC 8B D6 8B 83 A4 00 00 00 8B 38 FF 57 0C 8B 55 FC 8B 83 A0 00 00 00 8B 08 FF 51 54 40 75 18 8B 45 FC 50 8B 45 F8 50 8B CE 8B D3 8B 83 AC 00 00 00 FF 93 A8 00 00 00 46 FF 4D F4 75 C1 EB 5C 8B 83 98 00 00 00 48 85 C0 7C 51 40 89 45 F4 33 F6 8D 4D FC 8B D6 8B 83 A4 00 00 00 8B 38 FF 57 0C 8D 4D F8 8B D6 8B 83 A0 00 00 00 8B 38 FF 57 0C 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 74 18 8B 45 FC 50 8B 45 F8 50 8B CE 8B D3 8B 83 AC 00 00 00 FF 93 A8 00 00 00 46 FF 4D F4 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 75 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 3E 00 00 00 }
	condition:
		$1
}

rule function_35627_0 {
	meta:
		name = "TIdIPAddrMon.SetActive"
		size = 144
		refs = "0016 TIdIPAddrMon.GetAdapterAddresses 001d TIdInitializerComponent.GetIsDesignTime 0032 _DV_TIdIPAddrMonThread 0037 TIdThread.Create 004c TIdIPAddrMon.CheckAdapters 0082 TObject.Free"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 9E 90 00 00 00 74 7D 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 61 84 DB 74 39 6A 01 6A 00 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 BE 9C 00 00 00 89 77 70 89 77 7C C7 47 78 ?? ?? ?? ?? 8B 86 94 00 00 00 89 47 74 8B C7 8B 10 FF 52 34 EB 24 8B BE 9C 00 00 00 85 FF 74 1A 8B C7 8B 10 FF 52 40 8D 86 9C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 88 9E 90 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35628_0 {
	meta:
		name = "TIdIPAddrMon.SetInterval"
		size = 22
	strings:
		$1 = { 8B CA 89 88 94 00 00 00 8B 90 9C 00 00 00 85 D2 74 03 89 4A 74 C3 }
	condition:
		$1
}

rule function_35629_0 {
	meta:
		name = "TIdIPAddrMonThread.Run"
		size = 72
		refs = "0019 IndySleep 003a TIdIPAddrMonThread.DoTimerEvent 0041 TIdThread.Synchronize"
	strings:
		$1 = { 53 56 8B F0 8B 5E 74 85 DB 7E 2D 81 FB F4 01 00 00 7E 12 B8 F4 01 00 00 E8 ?? ?? ?? ?? 81 EB F4 01 00 00 EB 09 8B C3 E8 ?? ?? ?? ?? 33 DB 80 7E 0D 00 75 11 85 DB 7F D3 56 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35630_0 {
	meta:
		name = "TIdIPAddrMonThread.DoTimerEvent"
		size = 21
	strings:
		$1 = { 53 66 83 78 7A 00 74 0B 8B D8 8B 50 70 8B 43 7C FF 53 78 5B C3 }
	condition:
		$1
}

rule function_35631_0 {
	meta:
		name = "TIdIPAddrMon.GetAdapterAddresses"
		size = 132
		refs = "000c TIdIPAddrMon.GetAdapterAddresses 003e GStack 0074 @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 86 A0 00 00 00 8B 08 FF 51 1C 8B 55 FC 8B 86 A4 00 00 00 8B 08 FF 51 2C 8B 86 A0 00 00 00 8B 10 FF 52 44 A1 ?? ?? ?? ?? 8B 00 8B 96 A0 00 00 00 8B 08 FF 91 A0 00 00 00 8B 86 A0 00 00 00 8B 10 FF 52 14 89 86 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_35636_0 {
	meta:
		name = "TIdIPMCastBase.GetIPVersion"
		size = 8
	strings:
		$1 = { 0F B6 80 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_35637_0 {
	meta:
		name = "TIdIPMCastBase.InitComponent"
		size = 68
		refs = "0006 TIdComponent.InitComponent 0011 TIdIPMCastBase.InitComponent 0016 @UStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 83 94 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 9C 00 00 00 00 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 32 00 32 00 34 00 2E 00 30 00 2E 00 30 00 2E 00 31 00 00 00 }
	condition:
		$1
}

rule function_35638_0 {
	meta:
		name = "TIdIPMCastBase.GetActive"
		size = 8
		altNames = "TXMLSchemaDef.GetStrictFormat"
	strings:
		$1 = { 0F B6 80 90 00 00 00 C3 }
	condition:
		$1
}

rule function_35639_0 {
	meta:
		name = "TIdIPMCastBase.IsValidMulticastGroup"
		size = 51
		refs = "0012 GStack 0019 TIdStack.IsValidIPv4MulticastGroup 002a TIdStack.IsValidIPv6MulticastGroup"
	strings:
		$1 = { 33 C9 0F B6 80 9C 00 00 00 2C 01 72 04 74 13 EB 1F A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B C8 8B C1 C3 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B C8 8B C1 C3 }
	condition:
		$1
}

rule function_35640_0 {
	meta:
		name = "TIdIPMCastBase.Loaded"
		size = 35
		refs = "0006 TComponent.Loaded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 83 90 00 00 00 C6 83 90 00 00 00 00 8B D0 8B C3 8B 08 FF 51 5C 5B C3 }
	condition:
		$1
}

rule function_35666_0 {
	meta:
		name = "TIdIPMCastServer.Loaded"
		size = 35
		refs = "0006 TIdIPMCastBase.Loaded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 83 90 00 00 00 C6 83 90 00 00 00 00 8B D0 8B C3 8B 08 FF 51 5C 5B C3 }
	condition:
		$1
}

rule function_35641_0 {
	meta:
		name = "TIdIPMCastBase.SetActive"
		size = 70
		refs = "0014 TIdInitializerComponent.GetIsDesignTime 001f TIdInitializerComponent.GetIsLoading"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 54 3A D8 74 32 8B C6 E8 ?? ?? ?? ?? 84 C0 75 21 8B C6 E8 ?? ?? ?? ?? 84 C0 75 16 84 DB 74 09 8B C6 8B 10 FF 52 58 EB 0F 8B C6 8B 10 FF 52 50 EB 06 88 9E 90 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_35642_0 {
	meta:
		name = "TIdIPMCastBase.SetIPv6AddrScope"
		size = 158
		refs = "001d TIdIPMCastBase.SetIPv6AddrScope 0092 @UStrAsg"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B F2 8B D8 8B 7D 08 0F B6 45 FF 83 F8 05 77 73 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 57 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? EB 4F 57 B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? EB 41 57 B1 04 8B D6 8B C3 E8 ?? ?? ?? ?? EB 33 57 B1 05 8B D6 8B C3 E8 ?? ?? ?? ?? EB 25 57 B1 08 8B D6 8B C3 E8 ?? ?? ?? ?? EB 17 57 B1 0E 8B D6 8B C3 E8 ?? ?? ?? ?? EB 09 8B C7 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_35643_0 {
	meta:
		name = "TIdIPMCastBase.SetIPv6AddrScope"
		size = 124
		refs = "000f TIdIPMCastBase.SetIPv6AddrScope 0031 IntToHex 0040 StringReplace 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8B 45 08 50 8D 4D FC 0F B6 C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 58 00 00 00 }
	condition:
		$1
}

rule function_35644_0 {
	meta:
		name = "TIdIPMCastBase.SetIPVersion"
		size = 164
		refs = "0030 TIdIPMCastBase.SetIPVersion 0035 @UStrAsg"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 68 3A D8 74 3A 33 D2 8B C6 8B 08 FF 51 5C 88 9E 9C 00 00 00 80 EB 01 72 04 74 14 EB 22 8D 86 94 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8D 86 94 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 32 00 32 00 34 00 2E 00 30 00 2E 00 30 00 2E 00 31 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 46 00 46 00 30 00 31 00 3A 00 30 00 3A 00 30 00 3A 00 30 00 3A 00 30 00 3A 00 30 00 3A 00 30 00 3A 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_35645_0 {
	meta:
		name = "TIdIPMCastBase.SetMulticastGroup"
		size = 144
		refs = "000f TIdIPMCastBase.SetMulticastGroup 0022 @UStrEqual 002d TIdIPMCastBase.IsValidMulticastGroup 0047 @UStrAsg 0051 RSIPMCastInvalidMulticastAddress 0056 LoadResString 0060 _DV_EIdMCastNotValidAddress 0065 EIdException.Create 006a @RaiseExcept 007f @UStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 94 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 46 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 33 D2 8B C3 8B 08 FF 51 5C 8D 83 94 00 00 00 8B D6 E8 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35646_0 {
	meta:
		name = "TIdIPMCastBase.SetPort"
		size = 32
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 98 00 00 00 74 0F 33 D2 8B C3 8B 08 FF 51 5C 89 B3 98 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_35649_0 {
	meta:
		name = "TIdIPMCastClient.InitComponent"
		size = 49
		refs = "0006 TIdIPMCastBase.InitComponent 0020 _Dn_TIdSocketHandles 0025 TIdSocketHandles.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 83 A4 00 00 00 00 20 00 00 C6 83 B9 00 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_35650_0 {
	meta:
		name = "TIdIPMCastClient.CloseBinding"
		size = 283
		refs = "002e TIdIPMCastClient.CloseBinding 0068 TIdSocketHandles.GetItem 009b TIdSocketHandle.DropMulticastMembership 00aa @HandleAnyException 00af @DoneExcept 00e8 TThread.WaitFor 00fd TObject.Free 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 FC 83 B8 A8 00 00 00 00 0F 84 F8 00 00 00 8B 45 FC 8B 80 AC 00 00 00 8B 10 FF 52 38 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 80 A0 00 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C 81 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 8B 45 FC 8B 80 A0 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 80 78 14 00 74 41 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A0 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 94 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 10 FF 52 24 FF 45 F8 FF 4D F4 75 8A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 AC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 A8 00 00 00 C3 E9 ?? ?? ?? ?? EB CA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35651_0 {
	meta:
		name = "TIdIPMCastClient.DoIPMCastRead"
		size = 32
	strings:
		$1 = { 53 66 83 B8 B2 00 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 B4 00 00 00 FF 93 B0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_35652_0 {
	meta:
		name = "TIdIPMCastClient.GetActive"
		size = 41
		refs = "0007 TIdIPMCastBase.GetActive"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 8B B3 A8 00 00 00 85 F6 74 06 80 7E 14 00 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_35653_0 {
	meta:
		name = "TIdIPMCastClient.GetBinding"
		size = 348
		refs = "000e TIdIPMCastClient.GetBinding 0037 TIdIPMCastClient.GetDefaultPort 0046 TIdSocketHandles.Add 0052 TIdSocketHandle.SetIPVersion 005c RSNoBindingsSpecified 0061 LoadResString 006b _Dn_EIdMCastNoBindings 0070 EIdException.Create 0075 @RaiseExcept 0096 TIdSocketHandles.GetItem 00a2 TIdSocketHandle.AllocateSocket 00b0 Id_SO_True 00cf TIdSocketHandle.SetSockOpt 00e1 TIdSocketHandle.Bind 00f9 TIdSocketHandle.AddMulticastMembership 0119 _DV_TIdIPMCastListenerThread 011e TIdIPMCastListenerThread.Create 0148 @UStrClr 014e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB A8 00 00 00 00 0F 85 0C 01 00 00 8B 83 A0 00 00 00 8B 40 08 83 78 08 01 7D 45 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 19 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 0F B6 93 9C 00 00 00 E8 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 A0 00 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 77 47 33 F6 8B D6 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 33 C9 BA 02 00 00 00 E8 ?? ?? ?? ?? 80 BB B8 00 00 00 01 75 24 A1 ?? ?? ?? ?? 8B 00 50 8B D6 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? B9 04 00 00 00 BA FF FF 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 8B 93 94 00 00 00 E8 ?? ?? ?? ?? 46 4F 75 8C 33 D2 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 89 83 A8 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 AC 00 00 00 8B C6 8B 10 FF 52 34 8B 9B A8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35654_0 {
	meta:
		name = "TIdIPMCastClient.GetDefaultPort"
		size = 11
	strings:
		$1 = { 8B 80 A0 00 00 00 0F B7 40 1C C3 }
	condition:
		$1
}

rule function_35655_0 {
	meta:
		name = "TIdIPMCastClient.PacketReceived"
		size = 20
	strings:
		$1 = { 53 56 8B F0 89 8E A8 00 00 00 8B C6 8B 18 FF 53 70 5E 5B C3 }
	condition:
		$1
}

rule function_35656_0 {
	meta:
		name = "TIdIPMCastClient.SetBindings"
		size = 16
		altNames = "TIdMessage.SetRecipients"
	strings:
		$1 = { 56 8B F0 8B 86 A0 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_35657_0 {
	meta:
		name = "TIdIPMCastClient.SetDefaultPort"
		size = 27
	strings:
		$1 = { 53 8B 88 A0 00 00 00 0F B7 59 1C 3B D3 74 0A 66 89 51 1C 89 90 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_35658_0 {
	meta:
		name = "TIdIPMCastClient.Destroy"
		size = 64
		refs = "0003 @BeforeDestruction 0023 TObject.Free 002e TIdComponent.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 8B 08 FF 51 5C 8D 86 A0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35659_0 {
	meta:
		name = "TIdIPMCastListenerThread.Create"
		size = 99
		refs = "000b @ClassCreate 0020 TIdThread.Create 0039 TArray<System.Byte> 003e @DynArrayClear 004f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 6A 01 6A 00 B1 01 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 74 E8 03 00 00 8B 86 A4 00 00 00 89 47 7C 8D 47 78 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 B7 80 00 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35661_0 {
	meta:
		name = "TIdIPMCastListenerThread.Run"
		size = 489
		refs = "001a TIdIPMCastListenerThread.Run 0032 TArray<System.Byte> 0037 @DynArraySetLength 003f _Dn_TIdSocketList 0044 TIdSocketList.CreateSocketList 0082 TIdSocketHandles.GetItem 00b9 TIdThread.GetStopped 00dd TIdSocketHandles.BindingByHandle 00f6 TIdSocketHandle.RecvFrom 0107 RSIPMCastReceiveError0 010c LoadResString 0116 _Dn_EIdUDPReceiveErrorZeroBytes 011b EIdException.Create 0120 @RaiseExcept 014d CopyTIdBytes 0161 TIdSocketHandle.SetPeer 0177 TIdIPMCastListenerThread.IPMCastRead 0186 TIdThread.Synchronize 01a3 TObject.Free 01a9 @HandleFinally 01c0 @UStrClr 01ce @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 E8 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 7C 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 80 00 00 00 8B 80 A0 00 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 25 46 33 FF 8B 83 80 00 00 00 8B 80 A0 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B 50 10 8B 45 EC 8B 08 FF 51 08 47 4E 75 DE 8B 53 74 8B 45 EC 8B 08 FF 51 24 8B 45 EC 8B 10 FF 52 10 8B F0 4E 85 F6 0F 8C DF 00 00 00 46 33 FF 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 C5 00 00 00 8B D7 8B 45 EC 8B 08 FF 11 8B D0 8B 83 80 00 00 00 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? 89 43 70 8D 45 F6 50 8D 45 F5 50 8D 4D FC 8D 55 F8 8B 43 70 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 7F 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8D 43 78 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8B 45 F0 50 8D 4B 78 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 45 F5 50 8B 43 70 0F B7 4D F6 8B 55 FC E8 ?? ?? ?? ?? 8B 83 80 00 00 00 80 B8 B9 00 00 00 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 0D 53 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 47 4E 0F 85 24 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35662_0 {
	meta:
		name = "TIdIPMCastListenerThread.IPMCastRead"
		size = 18
		refs = "000d TIdIPMCastClient.PacketReceived"
	strings:
		$1 = { 8B 48 70 8B 50 78 8B 80 80 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35665_0 {
	meta:
		name = "TIdIPMCastServer.InitComponent"
		size = 26
		refs = "0006 TIdIPMCastBase.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 AA 00 00 00 01 C6 83 AB 00 00 00 01 5B C3 }
	condition:
		$1
}

rule function_35667_0 {
	meta:
		name = "TIdIPMCastServer.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 001b TIdComponent.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 8B 08 FF 51 5C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35668_0 {
	meta:
		name = "TIdIPMCastServer.CloseBinding"
		size = 104
		refs = "0021 TIdIPMCastServer.CloseBinding 0035 TIdSocketHandle.DropMulticastMembership 0044 @HandleAnyException 0049 @DoneExcept 005e TObject.Free"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 80 A0 00 00 00 85 C0 74 4B 80 78 14 00 74 30 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 92 94 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35669_0 {
	meta:
		name = "TIdIPMCastServer.GetActive"
		size = 41
		refs = "0007 TIdIPMCastBase.GetActive"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 8B B3 A0 00 00 00 85 F6 74 06 80 7E 14 00 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_35670_0 {
	meta:
		name = "TIdIPMCastServer.GetBinding"
		size = 155
		refs = "0011 _Dn_TIdSocketHandle 0016 TIdSocketHandle.Create 0034 TIdSocketHandle.SetIPVersion 0046 TIdSocketHandle.AllocateSocket 005a @UStrAsg 0070 TIdSocketHandle.Bind 0081 TIdSocketHandle.AddMulticastMembership 0088 TIdIPMCastServer.ApplyTimeToLive 008f TIdIPMCastServer.ApplyLoopback"
	strings:
		$1 = { 53 8B D8 83 BB A0 00 00 00 00 75 14 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A0 00 00 00 8B 83 A0 00 00 00 80 78 14 00 75 67 0F B6 93 9C 00 00 00 E8 ?? ?? ?? ?? 33 C9 BA 02 00 00 00 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 8B 83 A0 00 00 00 83 C0 18 8B 93 A4 00 00 00 E8 ?? ?? ?? ?? 8B 83 A0 00 00 00 0F B7 93 A8 00 00 00 66 89 50 20 E8 ?? ?? ?? ?? 8B 93 94 00 00 00 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_35671_0 {
	meta:
		name = "TIdIPMCastServer.MulticastBuffer"
		size = 136
		refs = "0012 TIdIPMCastServer.MulticastBuffer 0021 TIdIPMCastBase.IsValidMulticastGroup 002d RSIPMCastInvalidMulticastAddress 0032 LoadResString 003a _Dn_EIdMCastNotValidAddress 003f EIdException.Toss 005f TIdSocketHandle.SendTo 0074 @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B C3 8B 10 FF 52 58 0F B6 40 2D 50 8B C3 8B 10 FF 52 58 8B CF 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_35672_0 {
	meta:
		name = "TIdIPMCastServer.Send"
		size = 104
		refs = "0012 TIdIPMCastServer.Send 0024 ToBytes 003b TIdIPMCastServer.MulticastBuffer 0051 TArray<System.Byte> 0056 @DynArrayClear 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 8B 98 00 00 00 8B 93 94 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35673_0 {
	meta:
		name = "TIdIPMCastServer.Send"
		size = 19
		refs = "000e TIdIPMCastServer.MulticastBuffer"
	strings:
		$1 = { 52 8B 88 98 00 00 00 8B 90 94 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35674_0 {
	meta:
		name = "TIdIPMCastServer.SetLoopback"
		size = 20
		refs = "000f TIdIPMCastServer.ApplyLoopback"
	strings:
		$1 = { 3A 90 AA 00 00 00 74 0B 88 90 AA 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35675_0 {
	meta:
		name = "TIdIPMCastServer.SetTTL"
		size = 20
		refs = "000f TIdIPMCastServer.ApplyTimeToLive"
	strings:
		$1 = { 3A 90 AB 00 00 00 74 0B 88 90 AB 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35676_0 {
	meta:
		name = "TIdIPMCastServer.ApplyLoopback"
		size = 30
		refs = "0019 TIdSocketHandle.SetLoopBack"
	strings:
		$1 = { 8B 90 A0 00 00 00 85 D2 74 13 80 7A 14 00 74 0D 0F B6 80 AA 00 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35677_0 {
	meta:
		name = "TIdIPMCastServer.ApplyTimeToLive"
		size = 30
		refs = "0019 TIdSocketHandle.SetMulticastTTL"
	strings:
		$1 = { 8B 90 A0 00 00 00 85 D2 74 13 80 7A 14 00 74 0D 0F B6 80 AB 00 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35680_0 {
	meta:
		name = "TIdIPWatch.AddToIPHistoryList"
		size = 236
		refs = "0016 @UStrAddRef 001e TIdIPWatch.AddToIPHistoryList 0037 @UStrEqual 00b7 @UStrArrayClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 73 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 64 8B 83 A0 00 00 00 8B 10 FF 52 14 85 C0 7E 27 8B B3 A0 00 00 00 8B C6 8B 10 FF 52 14 8B D0 4A 8D 4D F8 8B C6 8B 30 FF 56 0C 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 74 2E 8B 55 FC 8B 83 A0 00 00 00 8B 08 FF 51 38 8B 83 A0 00 00 00 8B 10 FF 52 14 3B 83 A8 00 00 00 7E 0D 33 D2 8B 83 A0 00 00 00 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 31 00 32 00 37 00 2E 00 30 00 2E 00 30 00 2E 00 31 00 00 00 }
	condition:
		$1
}

rule function_35681_0 {
	meta:
		name = "TIdIPWatch.CheckStatus"
		size = 552
		refs = "0012 TIdIPWatch.CheckStatus 0051 @UStrLAsg 005b TIdIPWatch.LocalIP 0069 @UStrAsg 0079 @UStrEqual 00cd TIdIPWatch.AddToIPHistoryList 017d @UStrClr 01a8 TIdInitializerComponent.GetIsDesignTime 01d3 @HandleAnyException 01d8 @DoneExcept 01f2 @UStrArrayClr 01f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE A5 00 00 00 00 74 0D 33 C0 5A 59 59 64 89 10 E9 9C 01 00 00 0F B6 9E A4 00 00 00 8D 45 FC 8B 96 94 00 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 86 94 00 00 00 E8 ?? ?? ?? ?? 8B 86 94 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 09 83 BE 94 00 00 00 00 75 04 33 C0 EB 02 B0 01 88 86 A4 00 00 00 84 DB 74 39 80 BE A4 00 00 00 00 75 30 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 14 83 7D FC 00 74 0E 8D 86 B8 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 96 B8 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 0F 85 B2 00 00 00 80 BE A4 00 00 00 00 0F 84 A5 00 00 00 83 BE AC 00 00 00 00 75 0A C7 86 AC 00 00 00 01 00 00 00 83 BE AC 00 00 00 01 75 7F 8B 86 B8 00 00 00 8B 96 94 00 00 00 E8 ?? ?? ?? ?? 75 6C 8B 86 A0 00 00 00 8B 10 FF 52 14 85 C0 7E 17 8B BE A0 00 00 00 8B C7 8B 10 FF 52 14 8B D0 4A 8B C7 8B 08 FF 51 48 8B 86 A0 00 00 00 8B 10 FF 52 14 85 C0 7E 2C 8B 86 A0 00 00 00 8B 10 FF 52 14 8B D0 4A 8D 4D F4 8B 86 A0 00 00 00 8B 38 FF 57 0C 8B 55 F4 8D 86 B8 00 00 00 E8 ?? ?? ?? ?? EB 0B 8D 86 B8 00 00 00 E8 ?? ?? ?? ?? C7 86 AC 00 00 00 02 00 00 00 84 DB 74 09 80 BE A4 00 00 00 00 74 0D 84 DB 75 2C 80 BE A4 00 00 00 00 74 23 8B C6 E8 ?? ?? ?? ?? 84 C0 75 18 66 83 BE B2 00 00 00 00 74 0E 8B D6 8B 86 B4 00 00 00 FF 96 B0 00 00 00 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 31 00 32 00 37 00 2E 00 30 00 2E 00 30 00 2E 00 31 00 00 00 }
	condition:
		$1
}

rule function_35682_0 {
	meta:
		name = "TIdIPWatch.InitComponent"
		size = 152
		refs = "0006 TIdComponent.InitComponent 000d _Dn_TStringList 0012 TStringList.Create 0043 @UStrClr 005c TIdIPWatch.InitComponent 0061 @UStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A0 00 00 00 C6 83 A4 00 00 00 00 33 C0 89 83 AC 00 00 00 C7 83 C0 00 00 00 E8 03 00 00 C6 83 90 00 00 00 00 8D 83 B8 00 00 00 E8 ?? ?? ?? ?? C6 83 A5 00 00 00 00 C6 83 98 00 00 00 01 8D 83 9C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 83 A8 00 00 00 19 00 00 00 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 70 00 68 00 69 00 73 00 74 00 2E 00 64 00 61 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_35683_0 {
	meta:
		name = "TIdIPWatch.Destroy"
		size = 85
		refs = "0003 @BeforeDestruction 001d TIdIPWatch.AddToIPHistoryList 0026 TIdIPWatch.SetActive 002d TIdIPWatch.SaveHistory 0038 TObject.Free 0043 TIdComponent.Destroy 004e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 BE A4 00 00 00 00 74 0D 8B 96 94 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35684_0 {
	meta:
		name = "TIdIPWatch.ForceCheck"
		size = 21
		refs = "0008 TIdIPWatch.CheckStatus"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B6 83 A4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_35685_0 {
	meta:
		name = "TIdIPWatch.LoadHistory"
		size = 177
		refs = "000d TIdIPWatch.LoadHistory 001a TIdInitializerComponent.GetIsDesignTime 0036 FileExists 008b @UStrAsg 00a0 @UStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 6D 8B 83 A0 00 00 00 8B 10 FF 52 44 B2 01 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 51 80 BB 98 00 00 00 00 74 48 8B 93 9C 00 00 00 8B 83 A0 00 00 00 8B 08 FF 51 68 8B 83 A0 00 00 00 8B 10 FF 52 14 85 C0 7E 28 8B B3 A0 00 00 00 8B C6 8B 10 FF 52 14 8B D0 4A 8D 4D FC 8B C6 8B 30 FF 56 0C 8B 55 FC 8D 83 B8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35686_0 {
	meta:
		name = "TIdIPWatch.LocalIP"
		size = 83
		refs = "0018 TIdIPWatch.LocalIP 0025 GStack 002c TIdStack.GetLocalAddress 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC C6 80 A5 00 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 A5 00 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5B 59 5D C3 }
	condition:
		$1
}

rule function_35687_0 {
	meta:
		name = "TIdIPWatch.SaveHistory"
		size = 42
		refs = "0006 TIdInitializerComponent.GetIsDesignTime"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1A 80 BB 98 00 00 00 00 74 11 8B 93 9C 00 00 00 8B 83 A0 00 00 00 8B 08 FF 51 7C 5B C3 }
	condition:
		$1
}

rule function_35688_0 {
	meta:
		name = "TIdIPWatch.SetActive"
		size = 133
		refs = "0012 TIdInitializerComponent.GetIsDesignTime 0027 _DV_TIdIPWatchThread 002c TIdThread.Create 0041 TIdIPWatch.CheckStatus 0077 TObject.Free"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 9E 90 00 00 00 74 72 8B C6 E8 ?? ?? ?? ?? 84 C0 75 61 84 DB 74 39 6A 01 6A 00 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 BE BC 00 00 00 89 77 74 89 77 7C C7 47 78 ?? ?? ?? ?? 8B 86 C0 00 00 00 89 47 70 8B C7 8B 10 FF 52 34 EB 24 8B BE BC 00 00 00 85 FF 74 1A 8B C7 8B 10 FF 52 40 8D 86 BC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 88 9E 90 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35689_0 {
	meta:
		name = "TIdIPWatch.SetMaxHistoryEntries"
		size = 45
	strings:
		$1 = { 53 8B D8 89 93 A8 00 00 00 EB 0D 33 D2 8B 83 A0 00 00 00 8B 08 FF 51 48 8B 83 A0 00 00 00 8B 10 FF 52 14 3B 83 A8 00 00 00 7F E0 5B C3 }
	condition:
		$1
}

rule function_35690_0 {
	meta:
		name = "TIdIPWatch.SetWatchInterval"
		size = 34
	strings:
		$1 = { 3B 90 C0 00 00 00 74 06 89 90 C0 00 00 00 8B 90 BC 00 00 00 85 D2 74 09 8B 80 C0 00 00 00 89 42 70 C3 }
	condition:
		$1
}

rule function_35691_0 {
	meta:
		name = "TIdIPWatchThread.Run"
		size = 72
		refs = "0019 IndySleep 0036 TIdIPWatchThread.TimerEvent 003d TIdThread.Synchronize"
	strings:
		$1 = { 53 56 8B F0 8B 5E 70 85 DB 7E 3A 81 FB F4 01 00 00 7E 12 B8 F4 01 00 00 E8 ?? ?? ?? ?? 81 EB F4 01 00 00 EB 09 8B C3 E8 ?? ?? ?? ?? 33 DB 80 7E 0D 00 75 11 56 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 DB 7F C6 5E 5B C3 }
	condition:
		$1
}

rule function_35692_0 {
	meta:
		name = "TIdIPWatchThread.TimerEvent"
		size = 14
	strings:
		$1 = { 53 8B D8 8B 50 74 8B 43 7C FF 53 78 5B C3 }
	condition:
		$1
}

rule function_35696_0 {
	meta:
		name = "TIdIRCReplies.Assign"
		size = 93
		refs = "000a _DV_TIdIRCReplies 000f @IsClass 001e @UStrAsg 0056 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3A 8D 43 04 8B 56 04 E8 ?? ?? ?? ?? 8D 43 04 8B 56 04 E8 ?? ?? ?? ?? 8D 43 08 8B 56 08 E8 ?? ?? ?? ?? 8D 43 0C 8B 56 0C E8 ?? ?? ?? ?? 8D 43 10 8B 56 10 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35697_0 {
	meta:
		name = "IRCTrimLeft"
		size = 65
		refs = "0039 @UStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 85 C0 74 05 83 E8 04 8B 00 BB 01 00 00 00 EB 01 43 3B C3 7C 10 66 83 7C 5E FE 20 77 08 66 83 7C 5E FE 01 75 EB 57 B9 FF FF FF 7F 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35698_0 {
	meta:
		name = "FetchIRCParam"
		size = 196
		refs = "0011 FetchIRCParam 0021 IRCTrimLeft 002e TextStartsWith 0045 @UStrCopy 004c @UStrClr 0060 Fetch 0075 @UStrAsg 008f @UStrArrayClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 03 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1C 56 B9 FF FF FF 7F BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 27 6A 01 56 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35699_0 {
	meta:
		name = "IRCQuote"
		size = 252
		refs = "000a IRCQuote 0060 StringsReplace"
	strings:
		$1 = { 53 56 83 C4 E0 8B F2 8B D8 B8 ?? ?? ?? ?? 89 04 24 B8 ?? ?? ?? ?? 89 44 24 04 B8 ?? ?? ?? ?? 89 44 24 08 B8 ?? ?? ?? ?? 89 44 24 0C 54 6A 03 56 B8 ?? ?? ?? ?? 89 44 24 1C B8 ?? ?? ?? ?? 89 44 24 20 B8 ?? ?? ?? ?? 89 44 24 24 B8 ?? ?? ?? ?? 89 44 24 28 8D 54 24 1C B9 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 10 00 10 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 10 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 10 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 10 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 10 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_35700_0 {
	meta:
		name = "IRCUnquote"
		size = 180
		refs = "000d @UStrAsg 002e IRCUnquote 0033 PosIdx 0047 IdDelete 006e @UniqueStringU"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 8B 06 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B F8 BB 01 00 00 00 8B 16 8B CB B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 5F 8B C6 B9 01 00 00 00 8B D3 E8 ?? ?? ?? ?? 4F 3B FB 7C 4C 8B 06 0F B7 44 58 FE 66 83 E8 30 74 0E 66 83 E8 3E 74 18 66 83 E8 04 74 22 EB 2E 8B C6 E8 ?? ?? ?? ?? 66 C7 44 58 FE 00 00 EB 1E 8B C6 E8 ?? ?? ?? ?? 66 C7 44 58 FE 0A 00 EB 0E 8B C6 E8 ?? ?? ?? ?? 66 C7 44 58 FE 0D 00 43 EB 8D 5A 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 10 00 00 00 }
	condition:
		$1
}

rule function_35701_0 {
	meta:
		name = "CTCPQuote"
		size = 144
		refs = "000a CTCPQuote 003c StringsReplace"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 B8 ?? ?? ?? ?? 89 04 24 B8 ?? ?? ?? ?? 89 44 24 04 54 6A 01 56 B8 ?? ?? ?? ?? 89 44 24 14 B8 ?? ?? ?? ?? 89 44 24 18 8D 54 24 14 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_35702_0 {
	meta:
		name = "CTCPUnquote"
		size = 128
		refs = "000d @UStrAsg 002e CTCPUnquote 0033 PosIdx 0047 IdDelete 005d @UniqueStringU"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 8B 06 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B F8 BB 01 00 00 00 8B 16 8B CB B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 2E 8B C6 B9 01 00 00 00 8B D3 E8 ?? ?? ?? ?? 4F 3B FB 7C 1B 8B 06 66 83 7C 58 FE 61 75 0E 8B C6 E8 ?? ?? ?? ?? 66 C7 44 58 FE 01 00 43 EB BE 5A 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_35703_0 {
	meta:
		name = "ExtractCTCPs"
		size = 208
		refs = "0015 ExtractCTCPs 002e PosIdx 005c @UStrCopy 0067 CTCPUnquote 0072 @UStrLAsg 008b IdDelete 00a4 @UStrClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 01 00 00 00 8B 16 8B C8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 5B 8D 4B 01 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 74 46 8D 45 FC 50 8B CF 2B CB 49 8D 53 01 8B 06 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 51 38 8B CF 2B CB 41 8B C6 8B D3 E8 ?? ?? ?? ?? 8B C3 EB 91 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_35704_0 {
	meta:
		name = "TIdIRCCommandHandler.DoParseParams"
		size = 114
		refs = "0015 @UStrAddRef 001d TIdIRCCommandHandler.DoParseParams 0037 FetchIRCParam 0061 @UStrArrayClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 44 EB 15 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 38 83 7D FC 00 75 E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35706_0 {
	meta:
		name = "TIdIRC.InitComponent"
		size = 96
		refs = "0006 TIdCmdTCPClient.InitComponent 000d _DV_TIdIRCReplies 0012 TIdIRCReplies.Create 002d TIdIRC.InitComponent 0048 TIdInitializerComponent.GetIsDesignTime 0053 TIdIRC.AssignIRCClientCommands"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 4C 01 00 00 66 BA 0B 1A 8B C3 8B 08 FF 91 A4 00 00 00 0F B6 05 ?? ?? ?? ?? 88 83 48 01 00 00 8B 83 18 01 00 00 C6 40 41 00 C6 40 40 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_35707_0 {
	meta:
		name = "TIdIRC.Destroy"
		size = 264
		refs = "0003 @BeforeDestruction 001a TObject.Free 00f6 TIdCmdTCPClient.Destroy 0101 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 4C 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 58 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 5C 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 60 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 64 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 68 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 6C 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 70 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 74 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 78 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 7C 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 80 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35708_0 {
	meta:
		name = "TIdIRC.GetUserMode"
		size = 212
		refs = "0017 TIdIRC.GetUserMode 0039 @UStrAsg 0040 IdIRCUserModeChars 0060 @UStrFromWChar 006b @UStrCat 009b @UStrClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 3A 87 48 01 00 00 74 4D 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB BE ?? ?? ?? ?? 8B C3 3C 07 77 0D 83 E0 7F 0F B6 97 48 01 00 00 0F A3 C2 73 19 8D 45 F8 0F B7 16 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 43 83 C6 02 80 FB 07 75 C9 EB 0D 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_35709_0 {
	meta:
		name = "TIdIRC.Connect"
		size = 352
		refs = "0018 TIdIRC.Connect 002f _Dn_TIdSSLIOHandlerSocketBase 0034 @IsClass 0045 @AsClass 0057 TIdCmdTCPClient.Connect 009e IndyFormat 00a9 TIdIRC.Raw 00ba TIdIRC.SetNickname 00cb TIdIRC.SetUsername 00da @HandleOnException 00e2 _Dn_EIdSocketError 00ee TIdTCPConnection.Disconnect 00f6 RSIRCCanNotConnect 00fb LoadResString 0105 _DV_EIdIRCError 010a EIdException.Create 010f @RaiseExcept 0114 @DoneExcept 0129 @UStrClr 0137 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 98 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 08 FF 91 04 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC C6 80 38 01 00 00 00 8B 45 FC 83 B8 44 01 00 00 00 74 2E 8D 45 F8 50 8B 45 FC 8B 80 44 01 00 00 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 30 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 3C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3F E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 41 00 53 00 53 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_35710_0 {
	meta:
		name = "TIdIRC.Disconnect"
		size = 144
		refs = "0015 TIdIRC.Disconnect 0035 IndyFormat 003f TIdIRC.Raw 0046 TIdTCPConnection.Disconnect 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 51 00 55 00 49 00 54 00 20 00 3A 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35711_0 {
	meta:
		name = "TIdIRC.Raw"
		size = 128
		refs = "0010 TIdIRC.Raw 0046 IRCQuote 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 74 84 C0 74 38 66 83 BE 42 03 00 00 00 74 11 57 33 C9 33 D2 8B 86 44 03 00 00 FF 96 40 03 00 00 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 33 C9 8B 86 98 00 00 00 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35712_0 {
	meta:
		name = "TIdIRC.AssignIRCClientCommands"
		size = 4732
		refs = "0011 TIdCommandHandlers.Add 001b TIdIRC.AssignIRCClientCommands 0020 @UStrAsg 002a TIdIRC.CommandPRIVMSG 0052 TIdIRC.CommandNOTICE 007a TIdIRC.CommandJOIN 009e TIdIRC.CommandPART 00c2 TIdIRC.CommandKICK 00e6 TIdIRC.CommandMODE 010e TIdIRC.CommandNICK 0132 TIdIRC.CommandQUIT 0156 TIdIRC.CommandSQUIT 017a TIdIRC.CommandINVITE 019e TIdIRC.CommandKILL 01c2 TIdIRC.CommandPING 01e6 TIdIRC.CommandWALLOPS 020e TIdIRC.CommandTOPIC 0232 TIdIRC.CommandERROR 025a TIdIRC.CommandWELCOME 0282 TIdIRC.CommandYOURHOST 02a6 TIdIRC.CommandCREATED 02ca TIdIRC.CommandMYINFO 02f2 TIdIRC.CommandISUPPORT 0316 TIdIRC.CommandBOUNCE 033a TIdIRC.CommandENDOFSTATS 035e TIdIRC.CommandSERVLIST 0382 TIdIRC.CommandSERVLISTEND 03a6 TIdIRC.CommandAWAY 03ca TIdIRC.CommandUSERHOST 03f2 TIdIRC.CommandISON 0465 TIdIRC.CommandWHOIS 04ef TIdIRC.CommandWHOWAS 051d TIdIRC.CommandENDOFWHO 0579 TIdIRC.CommandENDOFWHOIS 05d5 TIdIRC.CommandLISTSTART 0603 TIdIRC.CommandLIST 0631 TIdIRC.CommandLISTEND 065f TIdIRC.CommandCHANMODE 0709 TIdIRC.CommandINVITING 0737 TIdIRC.CommandSUMMONING 0765 TIdIRC.CommandINVITELIST 0793 TIdIRC.CommandENDOFINVITELIST 07c1 TIdIRC.CommandEXCEPTLIST 07ef TIdIRC.CommandENDOFEXCEPTLIST 081d TIdIRC.CommandVERSION 084b TIdIRC.CommandWHOREPLY 0879 TIdIRC.CommandNAMEREPLY 08a7 TIdIRC.CommandLINKS 08d5 TIdIRC.CommandENDOFLINKS 0903 TIdIRC.CommandENDOFNAMES 0931 TIdIRC.CommandBANLIST 095f TIdIRC.CommandENDOFBANLIST 098d TIdIRC.CommandENDOFWHOWAS 09bb TIdIRC.CommandINFO 09e9 TIdIRC.CommandMOTD 0a0d TIdIRC.CommandENDOFINFO 0a7f TIdIRC.CommandENDOFMOTD 0adc TIdIRC.CommandREHASHING 0b13 TIdIRC.CommandSERVICE 0b4a TIdIRC.CommandTIME 0b81 TIdIRC.CommandUSERSSTART 0bb8 TIdIRC.CommandUSERS 0bef TIdIRC.CommandENDOFUSERS 0c5d TIdIRC.CommandNICKINUSE 0c6d TIdIRC.DoBeforeCmd"
	strings:
		$1 = { 53 56 81 C4 54 FF FF FF 8B D8 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 04 8B 44 24 04 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 04 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 08 8B 44 24 08 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 08 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 0C 8B 44 24 0C 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 0C 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 10 8B 44 24 10 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 10 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 14 8B 44 24 14 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 14 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 18 8B 44 24 18 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 18 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 1C 8B 44 24 1C 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 1C 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 20 8B 44 24 20 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 20 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 24 8B 44 24 24 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 24 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 28 8B 44 24 28 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 28 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 2C 8B 44 24 2C 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 2C 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 30 8B 44 24 30 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 34 8B 44 24 34 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 34 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 38 8B 44 24 38 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 38 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 3C 8B 44 24 3C 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 3C 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 40 8B 44 24 40 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 40 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 44 8B 44 24 44 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 44 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 48 8B 44 24 48 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 48 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 4C 8B 44 24 4C 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 4C 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 50 8B 44 24 50 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 50 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 54 8B 44 24 54 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 54 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 58 8B 44 24 58 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 58 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 5C 8B 44 24 5C 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 5C 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 60 8B 44 24 60 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 60 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 64 8B 44 24 64 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 64 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 68 8B 44 24 68 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 68 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 6C 8B 44 24 6C 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 6C 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 70 8B 44 24 70 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 70 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 74 8B 44 24 74 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 74 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 78 8B 44 24 78 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 78 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 7C 8B 44 24 7C 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 7C 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 84 24 80 00 00 00 8B 84 24 80 00 00 00 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 84 24 80 00 00 00 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 84 24 84 00 00 00 8B 84 24 84 00 00 00 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 84 24 84 00 00 00 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 84 24 88 00 00 00 8B 84 24 88 00 00 00 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 84 24 8C 00 00 00 8B 84 24 8C 00 00 00 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 84 24 8C 00 00 00 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 84 24 90 00 00 00 8B 84 24 90 00 00 00 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 84 24 90 00 00 00 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 84 24 94 00 00 00 8B 84 24 94 00 00 00 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 84 24 94 00 00 00 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 84 24 98 00 00 00 8B 84 24 98 00 00 00 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 84 24 98 00 00 00 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 84 24 9C 00 00 00 8B 84 24 9C 00 00 00 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 84 24 9C 00 00 00 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 84 24 A0 00 00 00 8B 84 24 A0 00 00 00 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 84 24 A0 00 00 00 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 84 24 A4 00 00 00 8B 84 24 A4 00 00 00 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 84 24 A4 00 00 00 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 84 24 A8 00 00 00 8B 84 24 A8 00 00 00 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 84 24 A8 00 00 00 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 89 58 34 C7 40 30 ?? ?? ?? ?? 81 C4 AC 00 00 00 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 52 00 49 00 56 00 4D 00 53 00 47 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4E 00 4F 00 54 00 49 00 43 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4A 00 4F 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 41 00 52 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4B 00 49 00 43 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4F 00 44 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 49 00 43 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 51 00 55 00 49 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 51 00 55 00 49 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 4E 00 56 00 49 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4B 00 49 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 49 00 4E 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 41 00 4C 00 4C 00 4F 00 50 00 53 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 4F 00 50 00 49 00 43 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 45 00 52 00 52 00 4F 00 52 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 30 00 30 00 31 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 30 00 30 00 32 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 30 00 30 00 33 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 30 00 30 00 34 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 30 00 30 00 35 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 30 00 31 00 30 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 32 00 31 00 39 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 32 00 33 00 34 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 32 00 33 00 35 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 30 00 31 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 30 00 32 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 30 00 33 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 30 00 35 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 30 00 36 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 31 00 31 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 31 00 32 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 31 00 33 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 31 00 34 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 31 00 35 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 31 00 37 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 31 00 38 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 31 00 39 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 32 00 31 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 32 00 32 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 32 00 33 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 32 00 34 00 00 00 B0 04 02 00 }
	condition:
		$1
}

rule function_35713_0 {
	meta:
		name = "TIdIRC.DoBeforeCmd"
		size = 296
		refs = "0013 TIdIRC.DoBeforeCmd 0023 IRCUnquote 002d @UStrAsg 0039 TextStartsWith 0051 Fetch 0063 @UStrDelete 00a1 @UStrClr 00e4 @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 06 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 59 6A 01 8D 45 FC 50 8B C6 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 83 50 01 00 00 E8 ?? ?? ?? ?? 8D 83 54 01 00 00 8B 55 FC E8 ?? ?? ?? ?? EB 16 8D 83 50 01 00 00 E8 ?? ?? ?? ?? 8D 83 54 01 00 00 E8 ?? ?? ?? ?? 66 83 BB 42 03 00 00 00 74 14 8B 06 50 B1 01 8B 55 08 8B 83 44 03 00 00 FF 93 40 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 21 00 00 00 }
	condition:
		$1
}

rule function_35714_0 {
	meta:
		name = "TIdIRC.DoReplyUnknownCommand"
		size = 240
		refs = "0018 @UStrAddRef 0020 TIdIRC.DoReplyUnknownCommand 003b Fetch 0046 IndyStrToInt 00ce @UStrArrayClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 83 CA FF E8 ?? ?? ?? ?? 8B D0 81 FA AF 01 00 00 7D 12 83 EA 05 74 25 81 C2 75 FE FF FF 83 EA 19 72 1A EB 52 81 C2 51 FE FF FF 83 EA 02 72 2D 83 EA 03 74 28 4A 83 EA 42 72 02 EB 3A 66 83 BB F2 02 00 00 00 74 30 8B 55 FC 52 8B C8 8B D6 8B 83 F4 02 00 00 FF 93 F0 02 00 00 EB 1A 66 83 BB FA 02 00 00 00 74 10 8B C8 8B D6 8B 83 FC 02 00 00 FF 93 F8 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35715_0 {
	meta:
		name = "TIdIRC.CommandPRIVMSG"
		size = 1340
		refs = "001c TIdIRC.CommandPRIVMSG 0030 @UStrLAsg 003b FetchIRCParam 004d _Dn_TStringList 0052 TStringList.Create 006e ExtractCTCPs 0129 Fetch 0130 IdIRCCTCP 013d PosInStrArray 01cb @UStrCatN 01e1 TIdIRC.CTCPReply 028d Now 029f CurrencyString 02a4 DateTimeToStr 037e @UStrCat3 03a7 TIdIRC.ParseDCC 047f TObject.Free 0485 @HandleFinally 04a1 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 E4 8B 52 24 E8 ?? ?? ?? ?? 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8D 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 55 DC E8 ?? ?? ?? ?? 8B 45 DC 8B 10 FF 52 14 85 C0 75 3A 66 83 BB CA 01 00 00 00 0F 84 E2 03 00 00 8B 83 54 01 00 00 50 8B 45 F8 50 8B 45 F4 50 8B 8B 50 01 00 00 8B 45 E4 8B 50 20 8B 83 CC 01 00 00 FF 93 C8 01 00 00 E9 B6 03 00 00 83 7D F4 00 74 31 66 83 BB CA 01 00 00 00 74 27 8B 83 54 01 00 00 50 8B 45 F8 50 8B 45 F4 50 8B 8B 50 01 00 00 8B 45 E4 8B 50 20 8B 83 CC 01 00 00 FF 93 C8 01 00 00 8B 45 DC 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 6C 03 00 00 46 C7 45 E0 00 00 00 00 8D 4D F4 8B 55 E0 8B 45 DC 8B 38 FF 57 0C 6A 01 8D 45 F0 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 BA ?? ?? ?? ?? B9 0A 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 83 F8 0A 0F 87 C1 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 83 BB C2 02 00 00 00 74 2B 8B 83 54 01 00 00 50 8B 45 F8 50 8B 45 F0 50 8B 45 F4 50 8B 8B 50 01 00 00 8B 45 E4 8B 50 20 8B 83 C4 02 00 00 FF 93 C0 02 00 00 FF 75 F0 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 C4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 C4 50 8B 93 50 01 00 00 B9 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 7A 02 00 00 66 83 BB C2 02 00 00 00 74 2B 8B 83 54 01 00 00 50 8B 45 F8 50 8B 45 F0 50 8B 45 F4 50 8B 8B 50 01 00 00 8B 45 E4 8B 50 20 8B 83 C4 02 00 00 FF 93 C0 02 00 00 FF 75 F0 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 C0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 50 8B 93 50 01 00 00 B9 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 0D 02 00 00 66 83 BB C2 02 00 00 00 74 2B 8B 83 54 01 00 00 50 8B 45 F8 50 8B 45 F0 50 8B 45 F4 50 8B 8B 50 01 00 00 8B 45 E4 8B 50 20 8B 83 C4 02 00 00 FF 93 C0 02 00 00 E8 ?? ?? ?? ?? DD 5D D0 9B FF 75 D4 FF 75 D0 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 93 50 01 00 00 8B 4D F0 8B C3 E8 ?? ?? ?? ?? E9 A3 01 00 00 8B 83 4C 01 00 00 8B 40 04 50 8B 93 50 01 00 00 8B 4D F0 8B C3 E8 ?? ?? ?? ?? E9 84 01 00 00 8B 83 4C 01 00 00 8B 40 0C 50 8B 93 50 01 00 00 8B 4D F0 8B C3 E8 ?? ?? ?? ?? E9 65 01 00 00 8B 83 4C 01 00 00 8B 40 08 50 8B 93 50 01 00 00 8B 4D F0 8B C3 E8 ?? ?? ?? ?? E9 46 01 00 00 8B 83 4C 01 00 00 8B 40 10 50 8B 93 50 01 00 00 8B 4D F0 8B C3 E8 ?? ?? ?? ?? E9 27 01 00 00 E8 ?? ?? ?? ?? DD 5D C8 9B FF 75 CC FF 75 C8 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 93 50 01 00 00 8B 4D F0 8B C3 E8 ?? ?? ?? ?? E9 F2 00 00 00 8D 45 BC B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 93 50 01 00 00 8B 4D F0 8B C3 E8 ?? ?? ?? ?? E9 C9 00 00 00 8B 45 E4 8B 50 20 8B 4D F4 8B C3 E8 ?? ?? ?? ?? E9 B4 00 00 00 66 83 BB C2 02 00 00 00 74 2B 8B 83 54 01 00 00 50 8B 45 F8 50 8B 45 F0 50 8B 45 F4 50 8B 8B 50 01 00 00 8B 45 E4 8B 50 20 8B 83 C4 02 00 00 FF 93 C0 02 00 00 8D 45 B8 B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 93 50 01 00 00 8B 4D F0 8B C3 E8 ?? ?? ?? ?? EB 59 66 83 BB C2 02 00 00 00 74 2B 8B 83 54 01 00 00 50 8B 45 F8 50 8B 45 F0 50 8B 45 F4 50 8B 8B 50 01 00 00 8B 45 E4 8B 50 20 8B 83 C4 02 00 00 FF 93 C0 02 00 00 8D 45 B4 B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 B4 50 8B 93 50 01 00 00 8B 4D F0 8B C3 E8 ?? ?? ?? ?? FF 45 E0 4E 0F 85 9C FC FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 20 00 75 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 71 00 75 00 65 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 45 00 52 00 52 00 4D 00 53 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 4E 00 6F 00 20 00 45 00 72 00 72 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_35716_0 {
	meta:
		name = "TIdIRC.CommandNOTICE"
		size = 616
		refs = "0018 TIdIRC.CommandNOTICE 002c @UStrLAsg 0037 FetchIRCParam 0049 _Dn_TStringList 004e TStringList.Create 006a ExtractCTCPs 0125 Fetch 012c IdIRCCTCP 0139 PosInStrArray 0196 TIdIRC.ParseDCC 0223 TObject.Free 0229 @HandleFinally 0245 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 EC 8B 52 24 E8 ?? ?? ?? ?? 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8D 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 8B 10 FF 52 14 85 C0 75 3A 66 83 BB D2 01 00 00 00 0F 84 8A 01 00 00 8B 83 54 01 00 00 50 8B 45 F8 50 8B 45 F4 50 8B 8B 50 01 00 00 8B 45 EC 8B 50 20 8B 83 D4 01 00 00 FF 93 D0 01 00 00 E9 5E 01 00 00 83 7D F4 00 74 31 66 83 BB D2 01 00 00 00 74 27 8B 83 54 01 00 00 50 8B 45 F8 50 8B 45 F4 50 8B 8B 50 01 00 00 8B 45 EC 8B 50 20 8B 83 D4 01 00 00 FF 93 D0 01 00 00 8B 45 E4 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 14 01 00 00 46 C7 45 E8 00 00 00 00 8D 4D F4 8B 55 E8 8B 45 E4 8B 38 FF 57 0C 6A 01 8D 45 F0 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 BA ?? ?? ?? ?? B9 0A 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 83 E8 01 72 0D 83 E8 08 74 43 48 74 52 E9 84 00 00 00 66 83 BB CA 02 00 00 00 0F 84 AB 00 00 00 8B 83 54 01 00 00 50 8B 45 F8 50 8B 45 F0 50 8B 45 F4 50 8B 8B 50 01 00 00 8B 45 EC 8B 50 20 8B 83 CC 02 00 00 FF 93 C8 02 00 00 EB 7E 8B 45 EC 8B 50 20 8B 4D F4 8B C3 E8 ?? ?? ?? ?? EB 6C 66 83 BB CA 02 00 00 00 74 62 8B 83 54 01 00 00 50 8B 45 F8 50 8B 45 F0 50 8B 45 F4 50 8B 8B 50 01 00 00 8B 45 EC 8B 50 20 8B 83 CC 02 00 00 FF 93 C8 02 00 00 EB 35 66 83 BB CA 02 00 00 00 74 2B 8B 83 54 01 00 00 50 8B 45 F8 50 8B 45 F0 50 8B 45 F4 50 8B 8B 50 01 00 00 8B 45 EC 8B 50 20 8B 83 CC 02 00 00 FF 93 C8 02 00 00 FF 45 E8 4E 0F 85 F4 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35717_0 {
	meta:
		name = "TIdIRC.CommandJOIN"
		size = 116
		refs = "0010 TIdIRC.CommandJOIN 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 02 02 00 00 00 74 2D 8B 83 54 01 00 00 50 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8B 8B 50 01 00 00 8B 56 20 8B 83 04 02 00 00 FF 93 00 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35718_0 {
	meta:
		name = "TIdIRC.CommandPART"
		size = 167
		refs = "0012 TIdIRC.CommandPART 0094 @UStrArrayClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 0A 02 00 00 00 74 58 8B 46 0C 8B 10 FF 52 14 85 C0 7E 0D 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 46 0C 8B 10 FF 52 14 48 7E 10 8D 4D F8 BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 83 54 01 00 00 50 8B 45 FC 50 8B 45 F8 50 8B 8B 50 01 00 00 8B 56 20 8B 83 0C 02 00 00 FF 93 08 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35719_0 {
	meta:
		name = "TIdIRC.CommandKICK"
		size = 202
		refs = "0014 TIdIRC.CommandKICK 00b7 @UStrArrayClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 1A 02 00 00 00 74 79 8B 46 0C 8B 10 FF 52 14 85 C0 7E 0D 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 46 0C 8B 10 FF 52 14 48 7E 10 8D 4D F8 BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 46 0C 8B 10 FF 52 14 83 F8 02 7E 10 8D 4D F4 BA 02 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 83 54 01 00 00 50 8B 45 FC 50 8B 45 F8 50 8B 45 F4 50 8B 8B 50 01 00 00 8B 56 20 8B 83 1C 02 00 00 FF 93 18 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35720_0 {
	meta:
		name = "TIdIRC.CommandMODE"
		size = 195
		refs = "0011 TIdIRC.CommandMODE 0022 @UStrLAsg 002d FetchIRCParam 0037 TIdIRC.IsChannel 00b1 @UStrArrayClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 24 E8 ?? ?? ?? ?? 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 66 83 BB B2 02 00 00 00 74 52 8B 83 54 01 00 00 50 8B 45 F8 50 8B 45 FC 50 6A 00 8B 8B 50 01 00 00 8B 56 20 8B 83 B4 02 00 00 FF 93 B0 02 00 00 EB 2A 66 83 BB BA 02 00 00 00 74 20 8B 83 54 01 00 00 50 8B 45 FC 50 8B 8B 50 01 00 00 8B 56 20 8B 83 BC 02 00 00 FF 93 B8 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35721_0 {
	meta:
		name = "TIdIRC.CommandNICK"
		size = 116
		refs = "0010 TIdIRC.CommandNICK 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 0A 03 00 00 00 74 2D 8B 83 54 01 00 00 50 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8B 8B 50 01 00 00 8B 56 20 8B 83 0C 03 00 00 FF 93 08 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35722_0 {
	meta:
		name = "TIdIRC.CommandQUIT"
		size = 128
		refs = "0010 TIdIRC.CommandQUIT 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 1A 03 00 00 00 74 39 8B 46 0C 8B 10 FF 52 14 85 C0 7E 0D 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 83 54 01 00 00 50 8B 45 FC 50 8B 8B 50 01 00 00 8B 56 20 8B 83 1C 03 00 00 FF 93 18 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35723_0 {
	meta:
		name = "TIdIRC.CommandSQUIT"
		size = 167
		refs = "0012 TIdIRC.CommandSQUIT 0094 @UStrArrayClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 22 03 00 00 00 74 58 8B 46 0C 8B 10 FF 52 14 85 C0 7E 0D 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 46 0C 8B 10 FF 52 14 48 7E 10 8D 4D F8 BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 83 54 01 00 00 50 8B 45 FC 50 8B 45 F8 50 8B 8B 50 01 00 00 8B 56 20 8B 83 24 03 00 00 FF 93 20 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35724_0 {
	meta:
		name = "TIdIRC.CommandINVITE"
		size = 144
		refs = "0012 TIdIRC.CommandINVITE 007d @UStrArrayClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 42 02 00 00 00 74 41 8B 83 54 01 00 00 50 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 F8 50 8B 8B 50 01 00 00 8B 56 20 8B 83 44 02 00 00 FF 93 40 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35725_0 {
	meta:
		name = "TIdIRC.CommandKILL"
		size = 167
		refs = "0012 TIdIRC.CommandKILL 0094 @UStrArrayClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 12 03 00 00 00 74 58 8B 46 0C 8B 10 FF 52 14 85 C0 7E 0D 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 46 0C 8B 10 FF 52 14 48 7E 10 8D 4D F8 BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 83 54 01 00 00 50 8B 45 FC 50 8B 45 F8 50 8B 8B 50 01 00 00 8B 56 20 8B 83 14 03 00 00 FF 93 10 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35726_0 {
	meta:
		name = "TIdIRC.CommandPING"
		size = 123
		refs = "0010 TIdIRC.CommandPING 003b TIdIRC.Pong 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 0C 8B 10 FF 52 14 85 C0 7E 0D 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 66 83 BB C2 01 00 00 00 74 0F 8B 56 20 8B 83 C4 01 00 00 FF 93 C0 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35727_0 {
	meta:
		name = "TIdIRC.CommandWALLOPS"
		size = 131
		refs = "0011 TIdIRC.CommandWALLOPS 002c @UStrLAsg 003e FetchIRCParam 0071 @UStrArrayClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB EA 01 00 00 00 74 36 8D 45 FC 8B 56 24 E8 ?? ?? ?? ?? 8B 83 54 01 00 00 50 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 50 8B 8B 50 01 00 00 8B 56 20 8B 83 EC 01 00 00 FF 93 E8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35728_0 {
	meta:
		name = "TIdIRC.CommandTOPIC"
		size = 216
		refs = "0012 TIdIRC.CommandTOPIC 004b @UStrEqual 0072 @UStrClr 00b0 @UStrArrayClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 12 02 00 00 00 74 74 8B 46 0C 8B 10 FF 52 14 85 C0 7E 0D 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 46 04 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1D 8B 46 0C 8B 10 FF 52 14 48 7E 12 8D 4D F8 BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C EB 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 83 54 01 00 00 50 8B 45 FC 50 8B 45 F8 50 8B 8B 50 01 00 00 8B 56 20 8B 83 14 02 00 00 FF 93 10 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 33 00 31 00 00 00 }
	condition:
		$1
}

rule function_35729_0 {
	meta:
		name = "TIdIRC.CommandWELCOME"
		size = 117
		refs = "0011 TIdIRC.CommandWELCOME 002c @UStrLAsg 0037 FetchIRCParam 0063 @UStrArrayClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 8A 01 00 00 00 74 28 8D 45 FC 8B 56 24 E8 ?? ?? ?? ?? 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D F8 8B 56 20 8B 83 8C 01 00 00 FF 93 88 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35730_0 {
	meta:
		name = "TIdIRC.CommandERROR"
		size = 120
		refs = "0011 TIdIRC.CommandERROR 002c @UStrLAsg 0037 FetchIRCParam 0066 @UStrArrayClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB F2 02 00 00 00 74 2B 8D 45 FC 8B 56 24 E8 ?? ?? ?? ?? 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 50 33 C9 8B 56 20 8B 83 F4 02 00 00 FF 93 F0 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35731_0 {
	meta:
		name = "TIdIRC.CommandYOURHOST"
		size = 117
		refs = "0011 TIdIRC.CommandYOURHOST 002c @UStrLAsg 0037 FetchIRCParam 0063 @UStrArrayClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 92 01 00 00 00 74 28 8D 45 FC 8B 56 24 E8 ?? ?? ?? ?? 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D F8 8B 56 20 8B 83 94 01 00 00 FF 93 90 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35732_0 {
	meta:
		name = "TIdIRC.CommandCREATED"
		size = 117
		refs = "0011 TIdIRC.CommandCREATED 002c @UStrLAsg 0037 FetchIRCParam 0063 @UStrArrayClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 9A 01 00 00 00 74 28 8D 45 FC 8B 56 24 E8 ?? ?? ?? ?? 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 4D F8 8B 56 20 8B 83 9C 01 00 00 FF 93 98 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35733_0 {
	meta:
		name = "TIdIRC.CommandMYINFO"
		size = 169
		refs = "0014 TIdIRC.CommandMYINFO 002f @UStrLAsg 003a FetchIRCParam 0097 @UStrArrayClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB A2 01 00 00 00 74 59 8D 45 FC 8B 56 24 E8 ?? ?? ?? ?? 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F0 50 8B 45 EC 50 8B 45 FC 50 8B 4D F8 8B 56 20 8B 83 A4 01 00 00 FF 93 A0 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35734_0 {
	meta:
		name = "TIdIRC.DoBounce"
		size = 224
		refs = "0019 TIdIRC.DoBounce 004b FetchIRCParam 009c IndyStrToInt 00cd @UStrArrayClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 88 4D F3 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB AA 01 00 00 00 0F 84 86 00 00 00 80 7D F3 00 74 25 8D 4D F4 33 D2 8B 46 0C 8B 38 FF 57 0C 8D 55 FC 8D 45 F4 E8 ?? ?? ?? ?? 8D 55 F8 8D 45 F4 E8 ?? ?? ?? ?? EB 3A 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8D 4D F8 BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 46 0C 8B 10 FF 52 14 83 F8 02 7E 10 8D 4D F4 BA 02 00 00 00 8B 46 0C 8B 38 FF 57 0C 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 4D FC 8B 56 20 8B 83 AC 01 00 00 FF 93 A8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35735_0 {
	meta:
		name = "TIdIRC.CommandISUPPORT"
		size = 246
		refs = "0017 TIdIRC.CommandISUPPORT 0034 TIdIRC.DoBounce 0051 _Dn_TStringList 0056 TStringList.Create 00c6 TObject.Free 00cc @HandleFinally 00e3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 0C 8B 10 FF 52 14 48 75 11 B1 01 8B D6 8B 45 FC E8 ?? ?? ?? ?? E9 95 00 00 00 8B 45 FC 66 83 B8 B2 01 00 00 00 0F 84 84 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 0C 8B 10 FF 52 14 8B D8 4B 85 DB 7E 26 C7 45 F4 01 00 00 00 8D 4D F0 8B 46 0C 8B 55 F4 8B 38 FF 57 0C 8B 55 F0 8B 45 F8 8B 08 FF 51 38 FF 45 F4 4B 75 E1 8B 56 20 8B 5D FC 8B 4D F8 8B 83 B4 01 00 00 FF 93 B0 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35737_0 {
	meta:
		name = "TIdIRC.CommandAWAY"
		size = 263
		refs = "0014 TIdIRC.CommandAWAY 002a IndyStrToInt 00c6 TIdIRC.GetUsedNickname 00f5 @UStrArrayClr 00fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 40 10 33 D2 E8 ?? ?? ?? ?? 8B D0 81 EA 2D 01 00 00 74 0D 83 C2 FC 83 EA 02 72 4A E9 9A 00 00 00 66 83 BB FA 01 00 00 00 0F 84 8C 00 00 00 8B 83 54 01 00 00 50 8D 4D F8 8B 45 FC 8B 40 0C 33 D2 8B 30 FF 56 0C 8B 45 F8 50 6A 01 8B 45 FC 8B 50 20 8B 8B 50 01 00 00 8B 83 FC 01 00 00 FF 93 F8 01 00 00 EB 55 3D 32 01 00 00 0F 94 C0 88 83 49 01 00 00 66 83 BB FA 01 00 00 00 74 3D 6A 00 8D 4D F4 8B 45 FC 8B 40 0C 33 D2 8B 30 FF 56 0C 8B 45 F4 50 0F B6 83 49 01 00 00 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 8B 45 FC 8B 50 20 8B 83 FC 01 00 00 FF 93 F8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35738_0 {
	meta:
		name = "TIdIRC.CommandENDOFINFO"
		size = 33
		altNames = "TIdIRC.CommandUSERHOST"
	strings:
		$1 = { 53 66 83 B8 92 02 00 00 00 74 14 8B D8 8B 4A 24 8B 52 20 8B 83 94 02 00 00 FF 93 90 02 00 00 5B C3 }
	condition:
		$1
}

rule function_35739_0 {
	meta:
		name = "TIdIRC.CommandISON"
		size = 43
	strings:
		$1 = { 53 66 83 B8 F2 01 00 00 00 74 1E 8B 88 54 01 00 00 51 8B D8 8B 88 50 01 00 00 8B 52 20 8B 83 F4 01 00 00 FF 93 F0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_35740_0 {
	meta:
		name = "TIdIRC.CommandWHOIS"
		size = 113
		refs = "000f TIdIRC.CommandWHOIS 0025 _Dn_TStringList 002a TStringList.Create 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 74 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 74 01 00 00 8D 4D FC 33 D2 8B 46 0C 8B 30 FF 56 0C 8B 55 FC 8B 83 74 01 00 00 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35741_0 {
	meta:
		name = "TIdIRC.CommandENDOFWHOIS"
		size = 60
		refs = "000b TIdIRC.CommandWHOIS"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 66 83 BE A2 02 00 00 00 74 15 8B 8E 74 01 00 00 8B 53 20 8B 86 A4 02 00 00 FF 96 A0 02 00 00 8B 86 74 01 00 00 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_35742_0 {
	meta:
		name = "TIdIRC.CommandWHOWAS"
		size = 113
		refs = "000f TIdIRC.CommandWHOWAS 0025 _Dn_TStringList 002a TStringList.Create 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 78 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 78 01 00 00 8D 4D FC 33 D2 8B 46 0C 8B 30 FF 56 0C 8B 55 FC 8B 83 78 01 00 00 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35743_0 {
	meta:
		name = "TIdIRC.CommandENDOFWHOWAS"
		size = 60
		refs = "000b TIdIRC.CommandWHOWAS"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 66 83 BE AA 02 00 00 00 74 15 8B 8E 78 01 00 00 8B 53 20 8B 86 AC 02 00 00 FF 96 A8 02 00 00 8B 86 78 01 00 00 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_35744_0 {
	meta:
		name = "TIdIRC.CommandLISTSTART"
		size = 45
		refs = "0011 _Dn_TStringList 0016 TStringList.Create"
	strings:
		$1 = { 56 57 8B F0 8B BE 7C 01 00 00 85 FF 75 15 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 7C 01 00 00 5F 5E C3 8B C7 8B 10 FF 52 44 5F 5E C3 }
	condition:
		$1
}

rule function_35745_0 {
	meta:
		name = "TIdIRC.CommandLIST"
		size = 208
		refs = "0014 TIdIRC.CommandLIST 002a _Dn_TStringList 002f TStringList.Create 0082 @UStrCatN 00aa @UStrArrayClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 7C 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 7C 01 00 00 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C FF 75 F8 68 ?? ?? ?? ?? 8D 4D F4 BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C FF 75 F4 68 ?? ?? ?? ?? 8D 4D F0 BA 02 00 00 00 8B 46 0C 8B 30 FF 56 0C FF 75 F0 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 7C 01 00 00 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35746_0 {
	meta:
		name = "TIdIRC.CommandLISTEND"
		size = 60
		refs = "000b TIdIRC.CommandLIST"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 66 83 BE 62 02 00 00 00 74 15 8B 8E 7C 01 00 00 8B 53 20 8B 86 64 02 00 00 FF 96 60 02 00 00 8B 86 7C 01 00 00 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_35747_0 {
	meta:
		name = "TIdIRC.CommandINVITING"
		size = 43
	strings:
		$1 = { 53 66 83 B8 3A 02 00 00 00 74 1E 8B 88 54 01 00 00 51 8B D8 8B 88 50 01 00 00 8B 52 20 8B 83 3C 02 00 00 FF 93 38 02 00 00 5B C3 }
	condition:
		$1
}

rule function_35748_0 {
	meta:
		name = "TIdIRC.CommandSUMMONING"
		size = 43
	strings:
		$1 = { 53 66 83 B8 E2 01 00 00 00 74 1E 8B 88 54 01 00 00 51 8B D8 8B 88 50 01 00 00 8B 52 20 8B 83 E4 01 00 00 FF 93 E0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_35749_0 {
	meta:
		name = "TIdIRC.CommandINVITELIST"
		size = 184
		refs = "0014 TIdIRC.CommandINVITELIST 002a _Dn_TStringList 002f TStringList.Create 006a @UStrCatN 0092 @UStrArrayClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 60 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 60 01 00 00 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C FF 75 F8 68 ?? ?? ?? ?? 8D 4D F4 BA 01 00 00 00 8B 46 0C 8B 30 FF 56 0C FF 75 F4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 60 01 00 00 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35750_0 {
	meta:
		name = "TIdIRC.CommandENDOFINVITELIST"
		size = 164
		refs = "0010 TIdIRC.CommandENDOFINVITELIST 0026 _Dn_TStringList 002b TStringList.Create 0092 @UStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE 60 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 60 01 00 00 8D 4D FC 33 D2 8B 43 0C 8B 38 FF 57 0C 8B 55 FC 8B 86 60 01 00 00 8B 08 FF 51 38 66 83 BE 5A 02 00 00 00 74 1C 8B 86 60 01 00 00 50 8B 8E 50 01 00 00 8B 53 20 8B 86 5C 02 00 00 FF 96 58 02 00 00 8B 86 60 01 00 00 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35751_0 {
	meta:
		name = "TIdIRC.CommandEXCEPTLIST"
		size = 184
		refs = "0014 TIdIRC.CommandEXCEPTLIST 002a _Dn_TStringList 002f TStringList.Create 006a @UStrCatN 0092 @UStrArrayClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 5C 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 5C 01 00 00 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C FF 75 F8 68 ?? ?? ?? ?? 8D 4D F4 BA 01 00 00 00 8B 46 0C 8B 30 FF 56 0C FF 75 F4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 5C 01 00 00 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35752_0 {
	meta:
		name = "TIdIRC.CommandENDOFEXCEPTLIST"
		size = 164
		refs = "0010 TIdIRC.CommandENDOFEXCEPTLIST 0026 _Dn_TStringList 002b TStringList.Create 0092 @UStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE 5C 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 5C 01 00 00 8D 4D FC 33 D2 8B 43 0C 8B 38 FF 57 0C 8B 55 FC 8B 86 5C 01 00 00 8B 08 FF 51 38 66 83 BE 52 02 00 00 00 74 1C 8B 86 5C 01 00 00 50 8B 8E 50 01 00 00 8B 53 20 8B 86 54 02 00 00 FF 96 50 02 00 00 8B 86 5C 01 00 00 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35753_0 {
	meta:
		name = "TIdIRC.CommandWHOREPLY"
		size = 45
		refs = "000f _Dn_TStringList 0014 TStringList.Create"
	strings:
		$1 = { 53 8B D8 83 BB 70 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 70 01 00 00 33 D2 8B 83 70 01 00 00 8B 08 FF 51 38 5B C3 }
	condition:
		$1
}

rule function_35754_0 {
	meta:
		name = "TIdIRC.CommandENDOFWHO"
		size = 157
		refs = "0010 TIdIRC.CommandENDOFWHO 0026 _Dn_TStringList 002b TStringList.Create 008b @UStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE 70 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 70 01 00 00 8D 4D FC 33 D2 8B 43 0C 8B 38 FF 57 0C 8B 55 FC 8B 86 70 01 00 00 8B 08 FF 51 38 66 83 BE 9A 02 00 00 00 74 15 8B 8E 70 01 00 00 8B 53 20 8B 86 9C 02 00 00 FF 96 98 02 00 00 8B 86 70 01 00 00 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35755_0 {
	meta:
		name = "TIdIRC.CommandNAMEREPLY"
		size = 404
		refs = "001c TIdIRC.CommandNAMEREPLY 0035 _Dn_TStringList 003a TStringList.Create 008d StringsReplace 00b5 TStrings.SetCommaText 0111 TObject.Free 0117 @HandleFinally 0151 @UStrArrayClr 0159 @UStrClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 B8 6C 01 00 00 00 75 15 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 82 6C 01 00 00 8B 43 0C 8B 10 FF 52 14 83 F8 04 0F 8C C5 00 00 00 B8 ?? ?? ?? ?? 89 45 F0 8D 45 F0 50 6A 00 8D 45 FC 50 8D 4D EC 8B 43 0C BA 03 00 00 00 8B 18 FF 53 0C 8B 45 EC 50 B8 ?? ?? ?? ?? 89 45 E8 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 7C 38 46 33 DB 8D 4D E4 8B D3 8B 45 F4 8B 38 FF 57 0C 83 7D E4 00 74 1E 8D 4D E0 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 55 E0 8B 45 F8 8B 80 6C 01 00 00 8B 08 FF 51 38 43 4E 75 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 4D DC 8B 43 0C 33 D2 8B 18 FF 53 0C 8B 55 DC 8B 45 F8 8B 80 6C 01 00 00 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35756_0 {
	meta:
		name = "TIdIRC.CommandENDOFNAMES"
		size = 170
		refs = "0010 TIdIRC.CommandENDOFNAMES 0026 _Dn_TStringList 002b TStringList.Create 0039 @UStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE 6C 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 6C 01 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 43 0C 8B 10 FF 52 14 85 C0 7E 10 8D 4D FC BA 01 00 00 00 8B 43 0C 8B 38 FF 57 0C 66 83 BE 6A 02 00 00 00 74 19 8B 86 6C 01 00 00 50 8B 4D FC 8B 53 20 8B 86 6C 02 00 00 FF 96 68 02 00 00 8B 86 6C 01 00 00 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35757_0 {
	meta:
		name = "TIdIRC.CommandLINKS"
		size = 236
		refs = "0015 TIdIRC.CommandLINKS 002b _Dn_TStringList 0030 TStringList.Create 005b Fetch 00a0 @UStrCatN 00c8 @UStrArrayClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 64 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 64 01 00 00 8D 4D F8 BA 02 00 00 00 8B 46 0C 8B 38 FF 57 0C 6A 01 8D 45 FC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 33 D2 8B 46 0C 8B 38 FF 57 0C FF 75 F0 68 ?? ?? ?? ?? 8D 4D EC BA 01 00 00 00 8B 46 0C 8B 30 FF 56 0C FF 75 EC 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8D 45 F4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 83 64 01 00 00 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35758_0 {
	meta:
		name = "TIdIRC.CommandENDOFLINKS"
		size = 157
		refs = "0010 TIdIRC.CommandENDOFLINKS 0026 _Dn_TStringList 002b TStringList.Create 008b @UStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE 64 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 64 01 00 00 8D 4D FC 33 D2 8B 43 0C 8B 38 FF 57 0C 8B 55 FC 8B 86 64 01 00 00 8B 08 FF 51 38 66 83 BE 82 02 00 00 00 74 15 8B 8E 64 01 00 00 8B 53 20 8B 86 84 02 00 00 FF 96 80 02 00 00 8B 86 64 01 00 00 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35759_0 {
	meta:
		name = "TIdIRC.CommandBANLIST"
		size = 184
		refs = "0014 TIdIRC.CommandBANLIST 002a _Dn_TStringList 002f TStringList.Create 006a @UStrCatN 0092 @UStrArrayClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 58 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 58 01 00 00 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C FF 75 F8 68 ?? ?? ?? ?? 8D 4D F4 BA 01 00 00 00 8B 46 0C 8B 30 FF 56 0C FF 75 F4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 58 01 00 00 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35760_0 {
	meta:
		name = "TIdIRC.CommandENDOFBANLIST"
		size = 164
		refs = "0010 TIdIRC.CommandENDOFBANLIST 0026 _Dn_TStringList 002b TStringList.Create 0092 @UStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE 58 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 58 01 00 00 8D 4D FC 33 D2 8B 43 0C 8B 38 FF 57 0C 8B 55 FC 8B 86 58 01 00 00 8B 08 FF 51 38 66 83 BE 4A 02 00 00 00 74 1C 8B 86 58 01 00 00 50 8B 8E 50 01 00 00 8B 53 20 8B 86 4C 02 00 00 FF 96 48 02 00 00 8B 86 58 01 00 00 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35763_0 {
	meta:
		name = "TIdIRC.CommandMOTD"
		size = 113
		refs = "000f TIdIRC.CommandMOTD 0025 _Dn_TStringList 002a TStringList.Create 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 68 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 68 01 00 00 8D 4D FC 33 D2 8B 46 0C 8B 30 FF 56 0C 8B 55 FC 8B 83 68 01 00 00 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35764_0 {
	meta:
		name = "TIdIRC.CommandENDOFMOTD"
		size = 78
		refs = "0012 _Dn_TStringList 0017 TStringList.Create"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 BE 68 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 68 01 00 00 66 83 BE 22 02 00 00 00 74 15 8B 8E 68 01 00 00 8B 53 20 8B 86 24 02 00 00 FF 96 20 02 00 00 8B 86 68 01 00 00 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_35765_0 {
	meta:
		name = "TIdIRC.CommandREHASHING"
		size = 43
	strings:
		$1 = { 53 66 83 B8 DA 01 00 00 00 74 1E 8B 88 54 01 00 00 51 8B D8 8B 88 50 01 00 00 8B 52 20 8B 83 DC 01 00 00 FF 93 D8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_35766_0 {
	meta:
		name = "TIdIRC.CommandUSERSSTART"
		size = 45
		refs = "0011 _Dn_TStringList 0016 TStringList.Create"
	strings:
		$1 = { 56 57 8B F0 8B BE 80 01 00 00 85 FF 75 15 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 01 00 00 5F 5E C3 8B C7 8B 10 FF 52 44 5F 5E C3 }
	condition:
		$1
}

rule function_35767_0 {
	meta:
		name = "TIdIRC.CommandUSERS"
		size = 244
		refs = "0014 TIdIRC.CommandUSERS 002a @UStrEqual 003c _Dn_TStringList 0041 TStringList.Create 0094 @UStrCatN 00bc @UStrArrayClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 76 83 BE 80 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 01 00 00 8D 4D F8 33 D2 8B 43 0C 8B 38 FF 57 0C FF 75 F8 68 ?? ?? ?? ?? 8D 4D F4 BA 01 00 00 00 8B 43 0C 8B 38 FF 57 0C FF 75 F4 68 ?? ?? ?? ?? 8D 4D F0 BA 02 00 00 00 8B 43 0C 8B 18 FF 53 0C FF 75 F0 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 80 01 00 00 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 39 00 33 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35768_0 {
	meta:
		name = "TIdIRC.CommandENDOFUSERS"
		size = 78
		refs = "0012 _Dn_TStringList 0017 TStringList.Create"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 BE 80 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 01 00 00 66 83 BE 72 02 00 00 00 74 15 8B 8E 80 01 00 00 8B 53 20 8B 86 74 02 00 00 FF 96 70 02 00 00 8B 86 80 01 00 00 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_35769_0 {
	meta:
		name = "TIdIRC.CommandENDOFSTATS"
		size = 32
	strings:
		$1 = { 53 66 83 B8 7A 02 00 00 00 74 13 8B D8 33 C9 8B 52 20 8B 83 7C 02 00 00 FF 93 78 02 00 00 5B C3 }
	condition:
		$1
}

rule function_35772_0 {
	meta:
		name = "TIdIRC.CommandTIME"
		size = 572
		refs = "001b TIdIRC.CommandTIME 00d5 IndyFormat 01bc @UStrArrayClr 01dc @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0E 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BE 2A 03 00 00 00 0F 84 73 01 00 00 8D 4D FC 33 D2 8B 43 0C 8B 38 FF 57 0C 8B 43 0C 8B 10 FF 52 14 83 E8 02 74 13 83 E8 02 74 23 83 E8 03 0F 84 83 00 00 00 E9 30 01 00 00 8D 4D F8 BA 01 00 00 00 8B 43 0C 8B 38 FF 57 0C E9 1B 01 00 00 8D 45 F8 50 8D 4D DC BA 01 00 00 00 8B 43 0C 8B 38 FF 57 0C 8B 45 DC 89 45 E0 C6 45 E4 11 8D 4D D8 BA 02 00 00 00 8B 43 0C 8B 38 FF 57 0C 8B 45 D8 89 45 E8 C6 45 EC 11 8D 4D D4 BA 03 00 00 00 8B 43 0C 8B 38 FF 57 0C 8B 45 D4 89 45 F0 C6 45 F4 11 8D 55 E0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B2 00 00 00 8D 45 F8 50 8D 4D A0 BA 01 00 00 00 8B 43 0C 8B 38 FF 57 0C 8B 45 A0 89 45 A4 C6 45 A8 11 8D 4D 9C BA 02 00 00 00 8B 43 0C 8B 38 FF 57 0C 8B 45 9C 89 45 AC C6 45 B0 11 8D 4D 98 BA 03 00 00 00 8B 43 0C 8B 38 FF 57 0C 8B 45 98 89 45 B4 C6 45 B8 11 8D 4D 94 BA 04 00 00 00 8B 43 0C 8B 38 FF 57 0C 8B 45 94 89 45 BC C6 45 C0 11 8D 4D 90 BA 05 00 00 00 8B 43 0C 8B 38 FF 57 0C 8B 45 90 89 45 C4 C6 45 C8 11 8D 4D 8C BA 06 00 00 00 8B 43 0C 8B 38 FF 57 0C 8B 45 8C 89 45 CC C6 45 D0 11 8D 55 A4 B9 05 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D FC 8B 53 20 8B 86 2C 03 00 00 FF 96 28 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 25 00 73 00 20 00 25 00 73 00 20 00 25 00 73 00 20 00 25 00 73 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_35773_0 {
	meta:
		name = "TIdIRC.CommandSERVICE"
		size = 30
	strings:
		$1 = { 53 66 83 B8 32 03 00 00 00 74 11 8B D8 8B 52 20 8B 83 34 03 00 00 FF 93 30 03 00 00 5B C3 }
	condition:
		$1
}

rule function_35774_0 {
	meta:
		name = "TIdIRC.CommandVERSION"
		size = 152
		refs = "0014 TIdIRC.CommandVERSION 0085 @UStrArrayClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 3A 03 00 00 00 74 47 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 BA 02 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 F8 50 8D 4D F4 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F4 8B 56 20 8B 83 3C 03 00 00 FF 93 38 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35775_0 {
	meta:
		name = "TIdIRC.CommandCHANMODE"
		size = 166
		refs = "0014 TIdIRC.CommandCHANMODE 0093 @UStrArrayClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB B2 02 00 00 00 74 55 8B 83 54 01 00 00 50 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 F8 50 8D 4D F4 BA 02 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 F4 50 8B 8B 50 01 00 00 8B 56 20 8B 83 B4 02 00 00 FF 93 B0 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35776_0 {
	meta:
		name = "TIdIRC.CommandOPER"
		size = 116
		refs = "0010 TIdIRC.CommandOPER 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 32 02 00 00 00 74 2D 8B 83 54 01 00 00 50 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8B 8B 50 01 00 00 8B 56 20 8B 83 34 02 00 00 FF 93 30 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35777_0 {
	meta:
		name = "TIdIRC.CommandNICKINUSE"
		size = 136
		refs = "000d TIdIRC.CommandNICKINUSE 0012 @UStrEqual 003e TIdIRC.SetNickname 005c IndyStrToInt"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 04 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 59 8B C3 8B 10 FF 52 74 84 C0 74 4E 83 BB 34 01 00 00 00 74 45 80 BB 38 01 00 00 00 75 16 8B 93 34 01 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 38 01 00 00 01 EB 26 66 83 BB FA 02 00 00 00 74 1C 8B 46 04 8B 40 10 E8 ?? ?? ?? ?? 8B C8 8B 56 20 8B 83 FC 02 00 00 FF 93 F8 02 00 00 5E 5B C3 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 33 00 33 00 00 00 }
	condition:
		$1
}

rule function_35778_0 {
	meta:
		name = "TIdIRC.ParseDCC"
		size = 434
		refs = "001e TIdIRC.ParseDCC 002e @UStrLAsg 0039 FetchIRCParam 006c IdIRCDCC 0079 PosInStrArray 00b0 ExtractFileName 00bc IndyStrToInt 00c5 IndyStrToInt64 019f @UStrArrayClr 01a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8D 45 FC E8 ?? ?? ?? ?? 6A 01 BA ?? ?? ?? ?? B9 03 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 83 E8 01 72 15 74 60 48 0F 84 8A 00 00 00 48 0F 84 BE 00 00 00 E9 F2 00 00 00 66 83 BB DA 02 00 00 00 0F 84 E4 00 00 00 8B 45 F0 50 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 EC E8 ?? ?? ?? ?? 50 8B 45 E8 E8 ?? ?? ?? ?? 52 50 8B 8B 50 01 00 00 8B D7 8B 83 DC 02 00 00 FF 93 D8 02 00 00 E9 A5 00 00 00 66 83 BB D2 02 00 00 00 0F 84 97 00 00 00 8B 45 F0 50 8B 45 EC E8 ?? ?? ?? ?? 50 8B 8B 50 01 00 00 8B D7 8B 83 D4 02 00 00 FF 93 D0 02 00 00 EB 74 66 83 BB E2 02 00 00 00 74 6A 8B 45 F0 50 8B 45 F4 50 8B 45 EC E8 ?? ?? ?? ?? 50 8B 45 E8 E8 ?? ?? ?? ?? 52 50 8B 8B 50 01 00 00 8B D7 8B 83 E4 02 00 00 FF 93 E0 02 00 00 EB 39 66 83 BB EA 02 00 00 00 74 2F 8B 45 F0 50 8B 45 F4 50 8B 45 EC E8 ?? ?? ?? ?? 50 8B 45 E8 E8 ?? ?? ?? ?? 52 50 8B 8B 50 01 00 00 8B D7 8B 83 EC 02 00 00 FF 93 E8 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35779_0 {
	meta:
		name = "TIdIRC.GetUsedNickname"
		size = 47
		refs = "0018 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 38 01 00 00 00 74 10 8B C6 8B 93 34 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 30 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35780_0 {
	meta:
		name = "TIdIRC.SetNickname"
		size = 156
		refs = "0015 TIdIRC.SetNickname 0033 @UStrAsg 004f IndyFormat 0059 TIdIRC.Raw 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 74 84 C0 75 0F 8D 83 30 01 00 00 8B D6 E8 ?? ?? ?? ?? EB 24 8D 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 4E 00 49 00 43 00 4B 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_35781_0 {
	meta:
		name = "TIdIRC.SetUsername"
		size = 236
		refs = "0018 TIdIRC.SetUsername 0036 @UStrAsg 004d TIdIRC.GetUserMode 0080 IndyFormat 008a TIdIRC.Raw 009f @UStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D FC 89 4D D8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 74 84 C0 75 0F 8D 83 3C 01 00 00 8B D6 E8 ?? ?? ?? ?? EB 52 8D 45 FC 50 89 75 DC C6 45 E0 11 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 89 45 E4 C6 45 E8 11 66 C7 45 EC 2A 00 C6 45 F0 09 8B 83 40 01 00 00 89 45 F4 C6 45 F8 11 8D 55 DC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 55 00 53 00 45 00 52 00 20 00 25 00 73 00 20 00 25 00 73 00 20 00 25 00 73 00 20 00 3A 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_35782_0 {
	meta:
		name = "TIdIRC.SetIdIRCUserMode"
		size = 16
	strings:
		$1 = { 51 88 14 24 0F B6 14 24 88 90 48 01 00 00 5A C3 }
	condition:
		$1
}

rule function_35783_0 {
	meta:
		name = "TIdIRC.SetIdIRCReplies"
		size = 12
	strings:
		$1 = { 8B 80 4C 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_35784_0 {
	meta:
		name = "TIdIRC.IsChannel"
		size = 44
		refs = "0001 TIdIRC.IsChannel 000d CharIsInSet"
	strings:
		$1 = { B9 ?? ?? ?? ?? 8B C2 BA 01 00 00 00 E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 23 00 2B 00 21 00 00 00 00 00 }
	condition:
		$1
}

rule function_35785_0 {
	meta:
		name = "TIdIRC.IsOp"
		size = 32
		refs = "0003 TIdIRC.IsOp 0008 TextStartsWith"
	strings:
		$1 = { 8B C2 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_35786_0 {
	meta:
		name = "TIdIRC.IsVoice"
		size = 32
		refs = "0003 TIdIRC.IsVoice 0008 TextEndsWith"
	strings:
		$1 = { 8B C2 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 }
	condition:
		$1
}

rule function_35787_0 {
	meta:
		name = "TIdIRC.Say"
		size = 160
		refs = "0018 TIdIRC.Say 0042 IndyFormat 004c TIdIRC.Raw 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 52 00 49 00 56 00 4D 00 53 00 47 00 20 00 25 00 73 00 20 00 3A 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35788_0 {
	meta:
		name = "TIdIRC.Notice"
		size = 156
		refs = "0018 TIdIRC.Notice 0042 IndyFormat 004c TIdIRC.Raw 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 4E 00 4F 00 54 00 49 00 43 00 45 00 20 00 25 00 73 00 20 00 3A 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_35789_0 {
	meta:
		name = "TIdIRC.Action"
		size = 40
		refs = "0002 TIdIRC.Action 0007 TIdIRC.CTCPQuery"
	strings:
		$1 = { 51 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 43 00 54 00 49 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_35790_0 {
	meta:
		name = "TIdIRC.CTCPQuery"
		size = 208
		refs = "001c TIdIRC.CTCPQuery 002d UpperCase 0047 @UStrCatN 0057 CTCPQuote 0078 TIdIRC.Say 0092 @UStrArrayClr 009a @UStrClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 F6 74 16 FF 75 FC 68 ?? ?? ?? ?? 56 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_35791_0 {
	meta:
		name = "TIdIRC.CTCPReply"
		size = 208
		refs = "001c TIdIRC.CTCPReply 002d @UStrLAsg 0047 @UStrCatN 0057 CTCPQuote 0078 TIdIRC.Notice 0092 @UStrArrayClr 009a @UStrClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 85 F6 74 16 FF 75 FC 68 ?? ?? ?? ?? 56 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_35792_0 {
	meta:
		name = "TIdIRC.Join"
		size = 248
		refs = "001b TIdIRC.Join 002a TIdIRC.IsChannel 0056 IndyFormat 0060 TIdIRC.Raw 009b @UStrClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E8 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 58 85 FF 74 30 8D 45 FC 50 89 75 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 24 8D 45 E8 50 89 75 E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4A 00 4F 00 49 00 4E 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4A 00 4F 00 49 00 4E 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_35793_0 {
	meta:
		name = "TIdIRC.Part"
		size = 248
		refs = "001b TIdIRC.Part 002a TIdIRC.IsChannel 0056 IndyFormat 0060 TIdIRC.Raw 009b @UStrClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E8 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 58 85 FF 74 30 8D 45 FC 50 89 75 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 24 8D 45 E8 50 89 75 E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 41 00 52 00 54 00 20 00 25 00 73 00 20 00 3A 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 41 00 52 00 54 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_35794_0 {
	meta:
		name = "TIdIRC.Kick"
		size = 288
		refs = "001b TIdIRC.Kick 002a TIdIRC.IsChannel 0062 IndyFormat 006c TIdIRC.Raw 00b1 @UStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D E0 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6E 83 7D 08 00 74 3A 8D 45 FC 50 89 75 E4 C6 45 E8 11 89 7D EC C6 45 F0 11 8B 45 08 89 45 F4 C6 45 F8 11 8D 55 E4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 2E 8D 45 E0 50 89 75 D0 C6 45 D4 11 89 7D D8 C6 45 DC 11 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4B 00 49 00 43 00 4B 00 20 00 25 00 73 00 20 00 25 00 73 00 20 00 3A 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4B 00 49 00 43 00 4B 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35795_0 {
	meta:
		name = "TIdIRC.SetChannelMode"
		size = 284
		refs = "001b TIdIRC.SetChannelMode 002a TIdIRC.IsChannel 0058 IndyFormat 0062 TIdIRC.Raw 00b1 @UStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D E8 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6E 83 7D 08 00 75 30 8D 45 FC 50 89 75 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 38 8D 45 E8 50 89 75 D0 C6 45 D4 11 89 7D D8 C6 45 DC 11 8B 45 08 89 45 E0 C6 45 E4 11 8D 55 D0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 4F 00 44 00 45 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4D 00 4F 00 44 00 45 00 20 00 25 00 73 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_35796_0 {
	meta:
		name = "TIdIRC.SetUserMode"
		size = 152
		refs = "0018 TIdIRC.SetUserMode 0042 IndyFormat 004c TIdIRC.Raw 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 4F 00 44 00 45 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35797_0 {
	meta:
		name = "TIdIRC.GetChannelTopic"
		size = 148
		refs = "0015 TIdIRC.GetChannelTopic 0024 TIdIRC.IsChannel 0042 IndyFormat 004c TIdIRC.Raw 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 24 8D 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 4F 00 50 00 49 00 43 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35798_0 {
	meta:
		name = "TIdIRC.SetChannelTopic"
		size = 172
		refs = "0018 TIdIRC.SetChannelTopic 0027 TIdIRC.IsChannel 004f IndyFormat 0059 TIdIRC.Raw 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2E 8D 45 FC 50 89 75 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 54 00 4F 00 50 00 49 00 43 00 20 00 25 00 73 00 20 00 3A 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35799_0 {
	meta:
		name = "TIdIRC.SetAway"
		size = 176
		refs = "0015 TIdIRC.SetAway 0039 IndyFormat 0043 TIdIRC.Raw 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 26 8D 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 57 00 41 00 59 00 20 00 3A 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 57 00 41 00 59 00 00 00 00 00 }
	condition:
		$1
}

rule function_35800_0 {
	meta:
		name = "TIdIRC.Op"
		size = 32
		refs = "0002 TIdIRC.Op 0007 TIdIRC.SetChannelMode"
	strings:
		$1 = { 51 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 02 00 00 00 2B 00 6F 00 00 00 00 00 }
	condition:
		$1
}

rule function_35801_0 {
	meta:
		name = "TIdIRC.Deop"
		size = 32
		refs = "0002 TIdIRC.Deop 0007 TIdIRC.SetChannelMode"
	strings:
		$1 = { 51 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 6F 00 00 00 00 00 }
	condition:
		$1
}

rule function_35802_0 {
	meta:
		name = "TIdIRC.Voice"
		size = 32
		refs = "0002 TIdIRC.Voice 0007 TIdIRC.SetChannelMode"
	strings:
		$1 = { 51 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 02 00 00 00 2B 00 76 00 00 00 00 00 }
	condition:
		$1
}

rule function_35803_0 {
	meta:
		name = "TIdIRC.Devoice"
		size = 32
		refs = "0002 TIdIRC.Devoice 0007 TIdIRC.SetChannelMode"
	strings:
		$1 = { 51 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 76 00 00 00 00 00 }
	condition:
		$1
}

rule function_35804_0 {
	meta:
		name = "TIdIRC.Ban"
		size = 32
		refs = "0002 TIdIRC.Ban 0007 TIdIRC.SetChannelMode"
	strings:
		$1 = { 51 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 02 00 00 00 2B 00 62 00 00 00 00 00 }
	condition:
		$1
}

rule function_35805_0 {
	meta:
		name = "TIdIRC.Unban"
		size = 32
		refs = "0002 TIdIRC.Unban 0007 TIdIRC.SetChannelMode"
	strings:
		$1 = { 51 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 62 00 00 00 00 00 }
	condition:
		$1
}

rule function_35806_0 {
	meta:
		name = "TIdIRC.RegisterService"
		size = 204
		refs = "0018 TIdIRC.RegisterService 0056 IndyFormat 0060 TIdIRC.Raw 0075 @UStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 DC C6 45 E0 11 89 7D E4 C6 45 E8 11 8B 45 08 89 45 EC C6 45 F0 00 8B 45 0C 89 45 F4 C6 45 F8 11 8D 55 DC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 53 00 45 00 52 00 56 00 49 00 43 00 45 00 20 00 25 00 73 00 20 00 2A 00 20 00 25 00 73 00 20 00 25 00 73 00 20 00 30 00 20 00 3A 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35807_0 {
	meta:
		name = "TIdIRC.ListChannelNicknames"
		size = 252
		refs = "001b TIdIRC.ListChannelNicknames 002a TIdIRC.IsChannel 0056 IndyFormat 0060 TIdIRC.Raw 009b @UStrClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E8 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 58 85 FF 74 30 8D 45 FC 50 89 75 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 24 8D 45 E8 50 89 75 E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4E 00 41 00 4D 00 45 00 53 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 41 00 4D 00 45 00 53 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35808_0 {
	meta:
		name = "TIdIRC.ListChannel"
		size = 248
		refs = "001b TIdIRC.ListChannel 002a TIdIRC.IsChannel 0056 IndyFormat 0060 TIdIRC.Raw 009b @UStrClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E8 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 58 85 FF 74 30 8D 45 FC 50 89 75 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 24 8D 45 E8 50 89 75 E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 49 00 53 00 54 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 49 00 53 00 54 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_35809_0 {
	meta:
		name = "TIdIRC.Invite"
		size = 172
		refs = "0018 TIdIRC.Invite 0027 TIdIRC.IsChannel 004f IndyFormat 0059 TIdIRC.Raw 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2E 8D 45 FC 50 89 7D EC C6 45 F0 11 89 75 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 4E 00 56 00 49 00 54 00 45 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35810_0 {
	meta:
		name = "TIdIRC.GetMessageOfTheDay"
		size = 172
		refs = "0015 TIdIRC.GetMessageOfTheDay 0039 IndyFormat 0043 TIdIRC.Raw 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 26 8D 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 4F 00 54 00 44 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4F 00 54 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_35811_0 {
	meta:
		name = "TIdIRC.GetNetworkStatus"
		size = 344
		refs = "001e TIdIRC.GetNetworkStatus 0038 TIdIRC.Raw 005b IndyFormat 00d9 @UStrArrayClr 00e1 @UStrClr 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D EC 89 5D F0 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 15 85 FF 75 11 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 82 00 00 00 85 F6 75 26 8D 45 FC 50 89 7D F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 58 85 FF 75 26 8D 45 F0 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? EB 2E 8D 45 EC 50 89 75 DC C6 45 E0 11 89 7D E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 4C 00 55 00 53 00 45 00 52 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4C 00 55 00 53 00 45 00 52 00 53 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4C 00 55 00 53 00 45 00 52 00 53 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35812_0 {
	meta:
		name = "TIdIRC.GetServerVersion"
		size = 184
		refs = "0015 TIdIRC.GetServerVersion 002b TIdIRC.Raw 0047 IndyFormat 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 24 8D 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 45 00 52 00 53 00 49 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 56 00 45 00 52 00 53 00 49 00 4F 00 4E 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35813_0 {
	meta:
		name = "TIdIRC.GetServerStatus"
		size = 264
		refs = "001b TIdIRC.GetServerStatus 0034 IdIRCStatChars 0055 IndyFormat 005f TIdIRC.Raw 00a6 @UStrClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E8 89 5D FC 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 3C 8D 45 FC 50 0F B6 C3 0F B7 04 45 ?? ?? ?? ?? 66 89 45 EC C6 45 F0 09 89 75 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 30 8D 45 E8 50 0F B6 C3 0F B7 04 45 ?? ?? ?? ?? 66 89 45 E0 C6 45 E4 09 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 54 00 41 00 54 00 53 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 54 00 41 00 54 00 53 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35814_0 {
	meta:
		name = "TIdIRC.ListKnownServerNames"
		size = 284
		refs = "001b TIdIRC.ListKnownServerNames 0035 TIdIRC.Raw 0055 IndyFormat 00a4 @UStrClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D F0 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 12 85 FF 75 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 58 85 F6 75 26 8D 45 FC 50 89 7D F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 2E 8D 45 F0 50 89 75 E0 C6 45 E4 11 89 7D E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 49 00 4E 00 4B 00 53 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4C 00 49 00 4E 00 4B 00 53 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 49 00 4E 00 4B 00 53 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_35815_0 {
	meta:
		name = "TIdIRC.QueryServerTime"
		size = 172
		refs = "0015 TIdIRC.QueryServerTime 0039 IndyFormat 0043 TIdIRC.Raw 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 26 8D 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 49 00 4D 00 45 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 49 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_35816_0 {
	meta:
		name = "TIdIRC.RequestServerConnect"
		size = 288
		refs = "001f TIdIRC.RequestServerConnect 0057 IndyFormat 0061 TIdIRC.Raw 00a9 @UStrClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D DC 89 5D F8 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 3A 8D 45 F8 50 89 7D E0 C6 45 E4 11 8B 45 FC 89 45 E8 C6 45 EC 00 89 75 F0 C6 45 F4 11 8D 55 E0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 31 8D 45 DC 50 89 7D CC C6 45 D0 11 8B 45 FC 89 45 D4 C6 45 D8 00 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 4F 00 4E 00 4E 00 45 00 43 00 54 00 20 00 25 00 73 00 20 00 25 00 64 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 4F 00 4E 00 4E 00 45 00 43 00 54 00 20 00 25 00 73 00 20 00 25 00 64 00 00 00 }
	condition:
		$1
}

rule function_35817_0 {
	meta:
		name = "TIdIRC.TraceServer"
		size = 176
		refs = "0015 TIdIRC.TraceServer 0039 IndyFormat 0043 TIdIRC.Raw 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 26 8D 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 52 00 41 00 43 00 45 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 52 00 41 00 43 00 45 00 00 00 }
	condition:
		$1
}

rule function_35818_0 {
	meta:
		name = "TIdIRC.GetAdminInfo"
		size = 176
		refs = "0015 TIdIRC.GetAdminInfo 0039 IndyFormat 0043 TIdIRC.Raw 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 26 8D 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 44 00 4D 00 49 00 4E 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 44 00 4D 00 49 00 4E 00 00 00 }
	condition:
		$1
}

rule function_35819_0 {
	meta:
		name = "TIdIRC.GetServerInfo"
		size = 172
		refs = "0015 TIdIRC.GetServerInfo 0039 IndyFormat 0043 TIdIRC.Raw 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 26 8D 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 4E 00 46 00 4F 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 4E 00 46 00 4F 00 00 00 00 00 }
	condition:
		$1
}

rule function_35820_0 {
	meta:
		name = "TIdIRC.ListNetworkServices"
		size = 304
		refs = "001b TIdIRC.ListNetworkServices 0035 TIdIRC.Raw 005f IndyFormat 00a4 @UStrClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E8 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 75 12 85 F6 75 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 58 85 F6 74 30 8D 45 FC 50 89 7D EC C6 45 F0 11 89 75 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 24 8D 45 E8 50 89 7D E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 45 00 52 00 56 00 4C 00 49 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 45 00 52 00 56 00 4C 00 49 00 53 00 54 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 45 00 52 00 56 00 4C 00 49 00 53 00 54 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_35821_0 {
	meta:
		name = "TIdIRC.QueryService"
		size = 156
		refs = "0018 TIdIRC.QueryService 0042 IndyFormat 004c TIdIRC.Raw 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 51 00 55 00 45 00 52 00 59 00 20 00 25 00 73 00 20 00 3A 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_35822_0 {
	meta:
		name = "TIdIRC.Who"
		size = 264
		refs = "001b TIdIRC.Who 0035 TIdIRC.Raw 0055 IndyFormat 009a @UStrClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D FC 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 12 84 DB 75 0E BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 4E 84 DB 74 26 8D 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 24 8D 45 F0 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 57 00 48 00 4F 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 57 00 48 00 4F 00 20 00 25 00 73 00 20 00 6F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 57 00 48 00 4F 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35823_0 {
	meta:
		name = "TIdIRC.WhoIs"
		size = 240
		refs = "001b TIdIRC.WhoIs 0049 IndyFormat 0053 TIdIRC.Raw 008e @UStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E8 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 30 8D 45 FC 50 89 75 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 24 8D 45 E8 50 89 7D E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 48 00 4F 00 49 00 53 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 57 00 48 00 4F 00 49 00 53 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35824_0 {
	meta:
		name = "TIdIRC.WhoWas"
		size = 376
		refs = "0022 TIdIRC.WhoWas 004d IndyFormat 0057 TIdIRC.Raw 00dd @UStrClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D D0 89 5D EC 89 5D F8 8B F9 89 55 FC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 2D 85 FF 7D 29 8D 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 6F 85 F6 74 3A 8D 45 EC 50 8B 45 FC 89 45 D4 C6 45 D8 11 89 7D DC C6 45 E0 00 89 75 E4 C6 45 E8 11 8D 55 D4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? EB 31 8D 45 D0 50 8B 45 FC 89 45 C0 C6 45 C4 11 89 7D C8 C6 45 CC 00 8D 55 C0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 57 00 48 00 4F 00 57 00 41 00 53 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 57 00 48 00 4F 00 57 00 41 00 53 00 20 00 25 00 73 00 20 00 25 00 64 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 48 00 4F 00 57 00 41 00 53 00 20 00 25 00 73 00 20 00 25 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_35825_0 {
	meta:
		name = "TIdIRC.Kill"
		size = 152
		refs = "0018 TIdIRC.Kill 0042 IndyFormat 004c TIdIRC.Raw 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 4B 00 49 00 4C 00 4C 00 20 00 25 00 73 00 20 00 3A 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_35826_0 {
	meta:
		name = "TIdIRC.Ping"
		size = 236
		refs = "001b TIdIRC.Ping 0049 IndyFormat 0053 TIdIRC.Raw 008e @UStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E8 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 30 8D 45 FC 50 89 7D EC C6 45 F0 11 89 75 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 24 8D 45 E8 50 89 7D E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 49 00 4E 00 47 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 49 00 4E 00 47 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_35827_0 {
	meta:
		name = "TIdIRC.Pong"
		size = 236
		refs = "001b TIdIRC.Pong 0049 IndyFormat 0053 TIdIRC.Raw 008e @UStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E8 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 30 8D 45 FC 50 89 7D EC C6 45 F0 11 89 75 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 24 8D 45 E8 50 89 7D E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 4F 00 4E 00 47 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 4F 00 4E 00 47 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_35828_0 {
	meta:
		name = "TIdIRC.Error"
		size = 136
		refs = "0015 TIdIRC.Error 0035 IndyFormat 003f TIdIRC.Raw 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 52 00 52 00 4F 00 52 00 20 00 3A 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_35832_0 {
	meta:
		name = "TIdIRC.Summon"
		size = 388
		refs = "0022 TIdIRC.Summon 004d IndyFormat 0057 TIdIRC.Raw 0066 TIdIRC.IsChannel 00ea @UStrClr 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D D0 89 5D EC 89 5D F8 8B F9 89 55 FC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 75 2D 85 F6 75 29 8D 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 7C 85 F6 74 47 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6B 8D 45 EC 50 8B 45 FC 89 45 D4 C6 45 D8 11 89 7D DC C6 45 E0 11 89 75 E4 C6 45 E8 11 8D 55 D4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? EB 31 8D 45 D0 50 8B 45 FC 89 45 C0 C6 45 C4 11 89 7D C8 C6 45 CC 11 8D 55 C0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 55 00 4D 00 4D 00 4F 00 4E 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 55 00 4D 00 4D 00 4F 00 4E 00 20 00 25 00 73 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 55 00 4D 00 4D 00 4F 00 4E 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35833_0 {
	meta:
		name = "TIdIRC.ListServerUsers"
		size = 176
		refs = "0015 TIdIRC.ListServerUsers 0039 IndyFormat 0043 TIdIRC.Raw 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 26 8D 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 53 00 45 00 52 00 53 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 53 00 45 00 52 00 53 00 00 00 }
	condition:
		$1
}

rule function_35834_0 {
	meta:
		name = "TIdIRC.SayWALLOPS"
		size = 140
		refs = "0015 TIdIRC.SayWALLOPS 0035 IndyFormat 003f TIdIRC.Raw 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 41 00 4C 00 4C 00 4F 00 50 00 53 00 20 00 3A 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_35835_0 {
	meta:
		name = "TIdIRC.GetUserInfo"
		size = 140
		refs = "0015 TIdIRC.GetUserInfo 0035 IndyFormat 003f TIdIRC.Raw 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 53 00 45 00 52 00 48 00 4F 00 53 00 54 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_35836_0 {
	meta:
		name = "TIdIRC.GetUsersInfo"
		size = 216
		refs = "0017 TIdIRC.GetUsersInfo 0044 @UStrCatN 0067 IndyFormat 0072 TIdIRC.Raw 0087 @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F4 89 5D FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 41 01 85 C0 7E 4E 8B F1 85 F6 7C 20 46 8B DA FF 75 FC 68 ?? ?? ?? ?? FF 33 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C3 04 4E 75 E3 8D 45 F4 50 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 55 00 53 00 45 00 52 00 48 00 4F 00 53 00 54 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35837_0 {
	meta:
		name = "TIdIRC.IsOnIRC"
		size = 132
		refs = "0015 TIdIRC.IsOnIRC 0035 IndyFormat 003f TIdIRC.Raw 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 53 00 4F 00 4E 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_35838_0 {
	meta:
		name = "TIdIRC.IsOnIRC"
		size = 208
		refs = "0017 TIdIRC.IsOnIRC 0044 @UStrCatN 0067 IndyFormat 0072 TIdIRC.Raw 0087 @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F4 89 5D FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 41 01 85 C0 7E 4E 8B F1 85 F6 7C 20 46 8B DA FF 75 FC 68 ?? ?? ?? ?? FF 33 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C3 04 4E 75 E3 8D 45 F4 50 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 53 00 4F 00 4E 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35839_0 {
	meta:
		name = "TIdIRC.BecomeOp"
		size = 152
		refs = "0018 TIdIRC.BecomeOp 0042 IndyFormat 004c TIdIRC.Raw 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 4F 00 50 00 45 00 52 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35840_0 {
	meta:
		name = "TIdIRC.SQuit"
		size = 156
		refs = "0018 TIdIRC.SQuit 0042 IndyFormat 004c TIdIRC.Raw 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 51 00 55 00 49 00 54 00 20 00 25 00 73 00 20 00 3A 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_35841_0 {
	meta:
		name = "TIdIRC.SetChannelLimit"
		size = 112
		refs = "0012 TIdIRC.SetChannelLimit 0022 IntToStr 0034 TIdIRC.SetChannelMode 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2B 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_35842_0 {
	meta:
		name = "TIdIRC.SetChannelKey"
		size = 32
		refs = "0002 TIdIRC.SetChannelKey 0007 TIdIRC.SetChannelMode"
	strings:
		$1 = { 51 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 02 00 00 00 2B 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_35843_0 {
	meta:
		name = "TIdIRC.SetIOHandler"
		size = 85
		refs = "0006 TIdTCPClientCustom.SetIOHandler 0012 _Dn_TIdSSLIOHandlerSocketBase 0017 @IsClass"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 66 81 BE E4 00 00 00 0B 1A 75 29 66 BA E2 03 8B C6 8B 08 FF 91 A4 00 00 00 5E C3 66 81 BE E4 00 00 00 E2 03 75 0E 66 BA 0B 1A 8B C6 8B 08 FF 91 A4 00 00 00 5E C3 }
	condition:
		$1
}

rule function_35844_0 {
	meta:
		name = "Finalization"
		size = 90
		refs = "0007 Finalization 0013 _DV_4 001a IdIRCCTCP 0025 string 002a @FinalizeArray 002f IdIRCDCC 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2A B8 ?? ?? ?? ?? B9 0B 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_35846_0 {
	meta:
		name = "TIdIRCServer.InitComponent"
		size = 26
		refs = "0006 TIdCmdTCPServer.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 0B 1A 8B C3 8B 08 FF 91 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_35847_0 {
	meta:
		name = "TIdIRCServer.InitializeCommandHandlers"
		size = 2612
		refs = "000e TIdCommandHandlers.Add 0018 TIdIRCServer.InitializeCommandHandlers 001d @UStrAsg 0027 TIdIRCServer.DoCommandAdmin 004b TIdIRCServer.DoCommandAway 006f TIdIRCServer.DoCommandConnect 0093 TIdIRCServer.DoCommandError 00b7 TIdIRCServer.DoCommandInfo 00db TIdIRCServer.DoCommandInvite 00ff TIdIRCServer.DoCommandIsOn 0123 TIdIRCServer.DoCommandJoin 0147 TIdIRCServer.DoCommandKick 016b TIdIRCServer.DoCommandKill 018f TIdIRCServer.DoCommandLinks 01b3 TIdIRCServer.DoCommandList 01d7 TIdIRCServer.DoCommandMode 01fb TIdIRCServer.DoCommandNames 021f TIdIRCServer.DoCommandNick 0243 TIdIRCServer.DoCommandNotice 0267 TIdIRCServer.DoCommandOper 028b TIdIRCServer.DoCommandPart 02af TIdIRCServer.DoCommandPass 02d3 TIdIRCServer.DoCommandPing 02f7 TIdIRCServer.DoCommandPong 031b TIdIRCServer.DoCommandPrivMsg 033f TIdIRCServer.DoCommandQuit 0363 TIdIRCServer.DoCommandRehash 0387 TIdIRCServer.DoCommandRestart 03ab TIdIRCServer.DoCommandServer 03cf TIdIRCServer.DoCommandSQuit 03f3 TIdIRCServer.DoCommandStats 0417 TIdIRCServer.DoCommandSummon 043b TIdIRCServer.DoCommandTime 0466 TIdIRCServer.DoCommandTopic 0494 TIdIRCServer.DoCommandTrace 04c2 TIdIRCServer.DoCommandUser 04f0 TIdIRCServer.DoCommandUserHost 051e TIdIRCServer.DoCommandUsers 054c TIdIRCServer.DoCommandVersion 057a TIdIRCServer.DoCommandWallops 05a8 TIdIRCServer.DoCommandWho 05d6 TIdIRCServer.DoCommandWhoIs 0604 TIdIRCServer.DoCommandWhoWas"
	strings:
		$1 = { 53 56 83 C4 D4 8B D8 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 04 8B 44 24 04 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 04 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 08 8B 44 24 08 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 08 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 0C 8B 44 24 0C 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 0C 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 10 8B 44 24 10 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 10 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 14 8B 44 24 14 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 14 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 18 8B 44 24 18 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 18 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 1C 8B 44 24 1C 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 1C 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 20 8B 44 24 20 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 20 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 24 8B 44 24 24 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 24 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 28 8B 44 24 28 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 2C 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 44 00 4D 00 49 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 57 00 41 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 4F 00 4E 00 4E 00 45 00 43 00 54 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 45 00 52 00 52 00 4F 00 52 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 4E 00 46 00 4F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 4E 00 56 00 49 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 53 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4A 00 4F 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4B 00 49 00 43 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4B 00 49 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 49 00 4E 00 4B 00 53 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 49 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4F 00 44 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4E 00 41 00 4D 00 45 00 53 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 49 00 43 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4E 00 4F 00 54 00 49 00 43 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4F 00 50 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 41 00 52 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 41 00 53 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 49 00 4E 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 4E 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 52 00 49 00 56 00 4D 00 53 00 47 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 51 00 55 00 49 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 48 00 41 00 53 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 45 00 53 00 54 00 41 00 52 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 45 00 52 00 56 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 51 00 55 00 49 00 54 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 54 00 41 00 54 00 53 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 55 00 4D 00 4D 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 49 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 4F 00 50 00 49 00 43 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 52 00 41 00 43 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 55 00 53 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 53 00 45 00 52 00 48 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 53 00 45 00 52 00 53 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 45 00 52 00 53 00 49 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 41 00 4C 00 4C 00 4F 00 50 00 53 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 57 00 48 00 4F 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 48 00 4F 00 49 00 53 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 57 00 48 00 4F 00 57 00 41 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2A 00 5E 00 2A 00 00 00 }
	condition:
		$1
}

rule function_35848_0 {
	meta:
		name = "TIdIRCServer.DoCommandNotHandled"
		size = 204
		refs = "0016 TIdIRCServer.DoCommandNotHandled 0034 RSCMDNotRecognized 0039 LoadResString 0055 IndyFormat 0083 @UStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D FC 89 5D E8 8B F1 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 32 00 31 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_35849_0 {
	meta:
		name = "TIdIRCServer.DoCommandOther"
		size = 131
		refs = "0012 TIdIRCServer.DoCommandOther 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 52 01 00 00 00 74 32 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F8 8B D6 8B 83 54 01 00 00 FF 93 50 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_35850_0 {
	meta:
		name = "TIdIRCServer.DoCommandPass"
		size = 101
		refs = "0010 TIdIRCServer.DoCommandPass 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 5A 01 00 00 00 74 1E 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D FC 8B D6 8B 83 5C 01 00 00 FF 93 58 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35851_0 {
	meta:
		name = "TIdIRCServer.DoCommandNick"
		size = 129
		refs = "0012 TIdIRCServer.DoCommandNick 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 62 01 00 00 00 74 32 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F8 8B D6 8B 83 64 01 00 00 FF 93 60 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35854_0 {
	meta:
		name = "TIdIRCServer.DoCommandOper"
		size = 129
		refs = "0012 TIdIRCServer.DoCommandOper 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 62 01 00 00 00 74 32 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F8 8B D6 8B 83 64 01 00 00 FF 93 60 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35852_0 {
	meta:
		name = "TIdIRCServer.DoCommandUser"
		size = 171
		refs = "0014 TIdIRCServer.DoCommandUser 0098 @UStrArrayClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BE 6A 01 00 00 00 74 5A 8D 4D FC BA 01 00 00 00 8B 43 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 BA 02 00 00 00 8B 43 0C 8B 38 FF 57 0C 8B 45 F8 50 8D 4D F4 BA 03 00 00 00 8B 43 0C 8B 38 FF 57 0C 8B 45 F4 50 8D 4D F0 33 D2 8B 43 0C 8B 38 FF 57 0C 8B 4D F0 8B D3 8B 86 6C 01 00 00 FF 96 68 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35853_0 {
	meta:
		name = "TIdIRCServer.DoCommandServer"
		size = 151
		refs = "0014 TIdIRCServer.DoCommandServer 0084 @UStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 72 01 00 00 00 74 46 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 BA 02 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 F8 50 8D 4D F4 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F4 8B D6 8B 83 74 01 00 00 FF 93 70 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35855_0 {
	meta:
		name = "TIdIRCServer.DoCommandQuit"
		size = 101
		refs = "0010 TIdIRCServer.DoCommandQuit 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 82 01 00 00 00 74 1E 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D FC 8B D6 8B 83 84 01 00 00 FF 93 80 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35856_0 {
	meta:
		name = "TIdIRCServer.DoCommandSQuit"
		size = 129
		refs = "0012 TIdIRCServer.DoCommandSQuit 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 8A 01 00 00 00 74 32 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F8 8B D6 8B 83 8C 01 00 00 FF 93 88 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35857_0 {
	meta:
		name = "TIdIRCServer.DoCommandJoin"
		size = 129
		refs = "0012 TIdIRCServer.DoCommandJoin 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 92 01 00 00 00 74 32 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F8 8B D6 8B 83 94 01 00 00 FF 93 90 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35859_0 {
	meta:
		name = "TIdIRCServer.DoCommandMode"
		size = 192
		refs = "0015 TIdIRCServer.DoCommandMode 00ad @UStrArrayClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BE A2 01 00 00 00 74 6E 8D 4D FC BA 01 00 00 00 8B 43 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 BA 02 00 00 00 8B 43 0C 8B 38 FF 57 0C 8B 45 F8 50 8D 4D F4 BA 03 00 00 00 8B 43 0C 8B 38 FF 57 0C 8B 45 F4 50 8D 4D F0 BA 04 00 00 00 8B 43 0C 8B 38 FF 57 0C 8B 45 F0 50 8D 4D EC 33 D2 8B 43 0C 8B 38 FF 57 0C 8B 4D EC 8B D3 8B 86 A4 01 00 00 FF 96 A0 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35860_0 {
	meta:
		name = "TIdIRCServer.DoCommandTopic"
		size = 129
		refs = "0012 TIdIRCServer.DoCommandTopic 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB AA 01 00 00 00 74 32 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F8 8B D6 8B 83 AC 01 00 00 FF 93 A8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35861_0 {
	meta:
		name = "TIdIRCServer.DoCommandNames"
		size = 101
		refs = "0010 TIdIRCServer.DoCommandNames 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB B2 01 00 00 00 74 1E 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D FC 8B D6 8B 83 B4 01 00 00 FF 93 B0 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35862_0 {
	meta:
		name = "TIdIRCServer.DoCommandList"
		size = 129
		refs = "0012 TIdIRCServer.DoCommandList 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB BA 01 00 00 00 74 32 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F8 8B D6 8B 83 BC 01 00 00 FF 93 B8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35863_0 {
	meta:
		name = "TIdIRCServer.DoCommandInvite"
		size = 129
		refs = "0012 TIdIRCServer.DoCommandInvite 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB C2 01 00 00 00 74 32 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F8 8B D6 8B 83 C4 01 00 00 FF 93 C0 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35864_0 {
	meta:
		name = "TIdIRCServer.DoCommandKick"
		size = 151
		refs = "0014 TIdIRCServer.DoCommandKick 0084 @UStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB CA 01 00 00 00 74 46 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 BA 02 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 F8 50 8D 4D F4 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F4 8B D6 8B 83 CC 01 00 00 FF 93 C8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35865_0 {
	meta:
		name = "TIdIRCServer.DoCommandVersion"
		size = 101
		refs = "0010 TIdIRCServer.DoCommandVersion 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB D2 01 00 00 00 74 1E 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D FC 8B D6 8B 83 D4 01 00 00 FF 93 D0 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35866_0 {
	meta:
		name = "TIdIRCServer.DoCommandStats"
		size = 129
		refs = "0012 TIdIRCServer.DoCommandStats 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB DA 01 00 00 00 74 32 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F8 8B D6 8B 83 DC 01 00 00 FF 93 D8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35867_0 {
	meta:
		name = "TIdIRCServer.DoCommandLinks"
		size = 129
		refs = "0012 TIdIRCServer.DoCommandLinks 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB E2 01 00 00 00 74 32 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F8 8B D6 8B 83 E4 01 00 00 FF 93 E0 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35868_0 {
	meta:
		name = "TIdIRCServer.DoCommandTime"
		size = 101
		refs = "0010 TIdIRCServer.DoCommandTime 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB EA 01 00 00 00 74 1E 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D FC 8B D6 8B 83 EC 01 00 00 FF 93 E8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35869_0 {
	meta:
		name = "TIdIRCServer.DoCommandConnect"
		size = 151
		refs = "0014 TIdIRCServer.DoCommandConnect 0084 @UStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB F2 01 00 00 00 74 46 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 BA 02 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 F8 50 8D 4D F4 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F4 8B D6 8B 83 F4 01 00 00 FF 93 F0 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35870_0 {
	meta:
		name = "TIdIRCServer.DoCommandTrace"
		size = 101
		refs = "0010 TIdIRCServer.DoCommandTrace 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB FA 01 00 00 00 74 1E 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D FC 8B D6 8B 83 FC 01 00 00 FF 93 F8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35871_0 {
	meta:
		name = "TIdIRCServer.DoCommandAdmin"
		size = 101
		refs = "0010 TIdIRCServer.DoCommandAdmin 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 02 02 00 00 00 74 1E 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D FC 8B D6 8B 83 04 02 00 00 FF 93 00 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35872_0 {
	meta:
		name = "TIdIRCServer.DoCommandInfo"
		size = 101
		refs = "0010 TIdIRCServer.DoCommandInfo 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 0A 02 00 00 00 74 1E 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D FC 8B D6 8B 83 0C 02 00 00 FF 93 08 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35873_0 {
	meta:
		name = "TIdIRCServer.DoCommandPrivMsg"
		size = 129
		refs = "0012 TIdIRCServer.DoCommandPrivMsg 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 12 02 00 00 00 74 32 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F8 8B D6 8B 83 14 02 00 00 FF 93 10 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35874_0 {
	meta:
		name = "TIdIRCServer.DoCommandNotice"
		size = 129
		refs = "0012 TIdIRCServer.DoCommandNotice 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 1A 02 00 00 00 74 32 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F8 8B D6 8B 83 1C 02 00 00 FF 93 18 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35875_0 {
	meta:
		name = "TIdIRCServer.DoCommandWho"
		size = 129
		refs = "0012 TIdIRCServer.DoCommandWho 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 22 02 00 00 00 74 32 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F8 8B D6 8B 83 24 02 00 00 FF 93 20 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35876_0 {
	meta:
		name = "TIdIRCServer.DoCommandWhoIs"
		size = 129
		refs = "0012 TIdIRCServer.DoCommandWhoIs 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 2A 02 00 00 00 74 32 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F8 8B D6 8B 83 2C 02 00 00 FF 93 28 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35877_0 {
	meta:
		name = "TIdIRCServer.DoCommandWhoWas"
		size = 151
		refs = "0014 TIdIRCServer.DoCommandWhoWas 0084 @UStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 32 02 00 00 00 74 46 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 BA 02 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 F8 50 8D 4D F4 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F4 8B D6 8B 83 34 02 00 00 FF 93 30 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35878_0 {
	meta:
		name = "TIdIRCServer.DoCommandKill"
		size = 129
		refs = "0012 TIdIRCServer.DoCommandKill 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 3A 02 00 00 00 74 32 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F8 8B D6 8B 83 3C 02 00 00 FF 93 38 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35879_0 {
	meta:
		name = "TIdIRCServer.DoCommandPing"
		size = 129
		refs = "0012 TIdIRCServer.DoCommandPing 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 42 02 00 00 00 74 32 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F8 8B D6 8B 83 44 02 00 00 FF 93 40 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35880_0 {
	meta:
		name = "TIdIRCServer.DoCommandPong"
		size = 129
		refs = "0012 TIdIRCServer.DoCommandPong 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 4A 02 00 00 00 74 32 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F8 8B D6 8B 83 4C 02 00 00 FF 93 48 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35881_0 {
	meta:
		name = "TIdIRCServer.DoCommandError"
		size = 101
		refs = "0010 TIdIRCServer.DoCommandError 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 52 02 00 00 00 74 1E 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D FC 8B D6 8B 83 54 02 00 00 FF 93 50 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35882_0 {
	meta:
		name = "TIdIRCServer.DoCommandAway"
		size = 101
		refs = "0010 TIdIRCServer.DoCommandAway 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 5A 02 00 00 00 74 1E 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D FC 8B D6 8B 83 5C 02 00 00 FF 93 58 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35883_0 {
	meta:
		name = "TIdIRCServer.DoCommandRehash"
		size = 27
	strings:
		$1 = { 53 66 83 B8 62 02 00 00 00 74 0E 8B D8 8B 83 64 02 00 00 FF 93 60 02 00 00 5B C3 }
	condition:
		$1
}

rule function_35884_0 {
	meta:
		name = "TIdIRCServer.DoCommandRestart"
		size = 27
	strings:
		$1 = { 53 66 83 B8 6A 02 00 00 00 74 0E 8B D8 8B 83 6C 02 00 00 FF 93 68 02 00 00 5B C3 }
	condition:
		$1
}

rule function_35885_0 {
	meta:
		name = "TIdIRCServer.DoCommandSummon"
		size = 129
		refs = "0012 TIdIRCServer.DoCommandSummon 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 72 02 00 00 00 74 32 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D F8 8B D6 8B 83 74 02 00 00 FF 93 70 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35886_0 {
	meta:
		name = "TIdIRCServer.DoCommandUsers"
		size = 101
		refs = "0010 TIdIRCServer.DoCommandUsers 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 7A 02 00 00 00 74 1E 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D FC 8B D6 8B 83 7C 02 00 00 FF 93 78 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35887_0 {
	meta:
		name = "TIdIRCServer.DoCommandWallops"
		size = 101
		refs = "0010 TIdIRCServer.DoCommandWallops 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 82 02 00 00 00 74 1E 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D FC 8B D6 8B 83 84 02 00 00 FF 93 80 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35888_0 {
	meta:
		name = "TIdIRCServer.DoCommandUserHost"
		size = 101
		refs = "0010 TIdIRCServer.DoCommandUserHost 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 8A 02 00 00 00 74 1E 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D FC 8B D6 8B 83 8C 02 00 00 FF 93 88 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35889_0 {
	meta:
		name = "TIdIRCServer.DoCommandIsOn"
		size = 101
		refs = "0010 TIdIRCServer.DoCommandIsOn 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 92 02 00 00 00 74 1E 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D FC 8B D6 8B 83 94 02 00 00 FF 93 90 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35890_0 {
	meta:
		name = "TIdIRCServer.DoConnect"
		size = 58
		refs = "0014 _Dn_TIdSSLIOHandlerSocketBase 0019 @IsClass 0032 TIdCmdTCPServer.DoConnect"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 43 14 8B B8 98 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B C7 33 D2 8B 08 FF 91 04 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35891_0 {
	meta:
		name = "TIdIRCServer.SetIOHandler"
		size = 89
		refs = "0006 TIdCustomTCPServer.SetIOHandler 0012 _Dn_TIdServerIOHandlerSSLBase 0017 @IsClass 0022 TIdCustomTCPServer.GetDefaultPort"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 A8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B C6 E8 ?? ?? ?? ?? 66 3D 0B 1A 75 2B 66 BA E2 03 8B C6 8B 08 FF 91 98 00 00 00 5E C3 8B C6 E8 ?? ?? ?? ?? 66 3D E2 03 75 0E 66 BA 0B 1A 8B C6 8B 08 FF 91 98 00 00 00 5E C3 }
	condition:
		$1
}

rule function_35900_0 {
	meta:
		name = "TIdLogBase.Connect"
		size = 91
		refs = "000c TIdLogBase.Connect 0019 TIdConnectionIntercept.Connect 0027 RSLogConnected 002c LoadResString 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 7B 68 00 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_35901_0 {
	meta:
		name = "TIdLogBase.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 001b TComponent.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 8B 08 FF 51 60 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35902_0 {
	meta:
		name = "TIdLogBase.Disconnect"
		size = 91
		refs = "000c TIdLogBase.Disconnect 0020 RSLogDisconnected 0025 LoadResString 0036 TIdConnectionIntercept.Disconnect 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 68 00 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 54 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_35903_0 {
	meta:
		name = "TIdLogBase.InitComponent"
		size = 20
		refs = "0006 TIdConnectionIntercept.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 69 01 C6 43 6A 01 5B C3 }
	condition:
		$1
}

rule function_35904_0 {
	meta:
		name = "TIdLogBase.Loaded"
		size = 23
		refs = "0006 TComponent.Loaded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 53 6B 8B C3 8B 08 FF 51 60 5B C3 }
	condition:
		$1
}

rule function_35906_0 {
	meta:
		name = "TIdLogBase.Receive"
		size = 201
		refs = "0016 TIdLogBase.Receive 0025 TIdConnectionIntercept.Receive 0033 @UStrClr 003e Now 0050 CurrencyString 0055 DateTimeToStr 0060 @UStrLAsg 006a BytesToStringRaw 007d TIdLogBase.ReplaceCR 00b7 @UStrArrayClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7B 68 00 74 6A 8D 45 F8 E8 ?? ?? ?? ?? 80 7B 69 00 74 27 E8 ?? ?? ?? ?? DD 5D E8 9B FF 75 EC FF 75 E8 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 80 7B 6A 00 74 18 8D 4D E4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F8 8B C3 8B 18 FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35907_0 {
	meta:
		name = "TIdLogBase.ReplaceCR"
		size = 34
		refs = "0007 LNewStr 000f LOldStr 001b StringsReplace"
	strings:
		$1 = { 53 56 8B F1 8B DA 68 ?? ?? ?? ?? 6A 02 56 BA ?? ?? ?? ?? B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35908_0 {
	meta:
		name = "TIdLogBase.Send"
		size = 203
		refs = "0017 TIdLogBase.Send 002b @UStrClr 0036 Now 0048 CurrencyString 004d DateTimeToStr 0058 @UStrLAsg 0062 BytesToStringRaw 0075 TIdLogBase.ReplaceCR 0096 TIdConnectionIntercept.Send 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 68 00 74 6A 8D 45 F8 E8 ?? ?? ?? ?? 80 7B 69 00 74 27 E8 ?? ?? ?? ?? DD 5D E8 9B FF 75 EC FF 75 E8 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 80 7B 6A 00 74 18 8D 4D E4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F8 8B C3 8B 38 FF 57 5C 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35909_0 {
	meta:
		name = "TIdLogBase.SetActive"
		size = 56
		refs = "0009 TIdInitializerComponent.GetIsLoading"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 88 5E 6B 5E 5B C3 3A 5E 68 74 19 8B C3 88 46 68 84 C0 74 09 8B C6 8B 10 FF 52 64 EB 07 8B C6 8B 10 FF 52 68 5E 5B C3 }
	condition:
		$1
}

rule function_35910_0 {
	meta:
		name = "Finalization"
		size = 90
		refs = "0007 Finalization 0013 _DV_2 001a LOldStr 0025 string 002a @FinalizeArray 002f LNewStr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2A B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_35912_0 {
	meta:
		name = "TIdLogDebug.LogReceivedData"
		size = 136
		refs = "000f TIdLogDebug.LogReceivedData 002e @UStrCatN 0036 DebugOutput 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 65 00 63 00 76 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_35913_0 {
	meta:
		name = "TIdLogDebug.LogSentData"
		size = 136
		refs = "000f TIdLogDebug.LogSentData 002e @UStrCatN 0036 DebugOutput 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 65 00 6E 00 74 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_35914_0 {
	meta:
		name = "TIdLogDebug.LogStatus"
		size = 104
		refs = "000c TIdLogDebug.LogStatus 0021 @UStrCat3 0029 DebugOutput 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 74 00 61 00 74 00 20 00 00 00 }
	condition:
		$1
}

rule function_35917_0 {
	meta:
		name = "TBaseSocket.DoSend"
		size = 23
		altNames = "TIdLogEvent.LogReceivedData"
	strings:
		$1 = { 53 66 83 78 72 00 74 0D 51 8B D8 8B CA 8B D0 8B 43 74 FF 53 70 5B C3 }
	condition:
		$1
}

rule function_35918_0 {
	meta:
		name = "TIdLogEvent.LogSentData"
		size = 23
	strings:
		$1 = { 53 66 83 78 7A 00 74 0D 51 8B D8 8B CA 8B D0 8B 43 7C FF 53 78 5B C3 }
	condition:
		$1
}

rule function_35919_0 {
	meta:
		name = "TIdLogEvent.LogStatus"
		size = 31
		altNames = "TServerWinSocket.ThreadStart"
	strings:
		$1 = { 53 66 83 B8 82 00 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 84 00 00 00 FF 93 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_35922_0 {
	meta:
		name = "TIdLogFile.Close"
		size = 17
		refs = "000c TObject.Free"
	strings:
		$1 = { 83 C0 74 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_35923_0 {
	meta:
		name = "TIdLogFile.LogReceivedData"
		size = 164
		refs = "0014 TIdLogFile.LogReceivedData 0022 RSLogRecv 0027 LoadResString 0043 @UStrCatN 0067 @UStrArrayClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 56 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_35924_0 {
	meta:
		name = "TIdLogFile.LogSentData"
		size = 164
		refs = "0014 TIdLogFile.LogSentData 0022 RSLogSent 0027 LoadResString 0043 @UStrCatN 0067 @UStrArrayClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 56 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_35925_0 {
	meta:
		name = "TIdLogFile.LogStatus"
		size = 132
		refs = "0011 TIdLogFile.LogStatus 001f RSLogStat 0024 LoadResString 003a @UStrCatN 005e @UStrArrayClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 56 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_35926_0 {
	meta:
		name = "TIdLogFile.Open"
		size = 34
		refs = "0006 TIdInitializerComponent.GetIsDesignTime 0014 _Dn_TIdAppendFileStream 0019 TIdAppendFileStream.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 12 8B 4B 70 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 74 5B C3 }
	condition:
		$1
}

rule function_35927_0 {
	meta:
		name = "TIdLogFile.LogWriteString"
		size = 28
		refs = "0009 Indy8BitEncoding 0015 WriteStringToStream"
	strings:
		$1 = { 53 56 8B F2 8B D8 B0 01 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 74 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35928_0 {
	meta:
		name = "TIdLogFile.LogFormat"
		size = 288
		refs = "001e TIdLogFile.LogFormat 003b @UStrClr 004e Now 0060 CurrencyString 0065 DateTimeToStr 0075 @UStrCat3 0085 IndyFormat 0098 TIdLogBase.ReplaceCR 00a3 @UStrLAsg 00bb @UStrCatN 00e7 @UStrArrayClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 68 00 75 09 B2 01 8B C3 8B 08 FF 51 60 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 80 7B 69 00 74 2C E8 ?? ?? ?? ?? DD 5D E8 9B FF 75 EC FF 75 E8 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC B9 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 F4 50 8B D7 8B 4D 08 8B C6 E8 ?? ?? ?? ?? 80 7B 6A 00 74 18 8D 4D E4 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F4 E8 ?? ?? ?? ?? FF 75 FC FF 75 F4 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_35929_0 {
	meta:
		name = "TIdLogFile.SetFilename"
		size = 101
		refs = "000f TIdLogFile.SetFilename 0023 RSLogFileAlreadyOpen 0028 LoadResString 0030 _Dn_EIdException 0035 EIdException.Toss 003f @UStrAsg 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 74 00 74 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 70 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35932_0 {
	meta:
		name = "TIdLogStream.Disconnect"
		size = 50
		refs = "0006 TIdLogBase.Disconnect 001c TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 70 00 74 20 8D 43 74 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 78 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_35933_0 {
	meta:
		name = "TIdLogStream.InitComponent"
		size = 16
		refs = "0006 TIdLogBase.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 70 01 5B C3 }
	condition:
		$1
}

rule function_35934_0 {
	meta:
		name = "TIdLogStream.LogReceivedData"
		size = 36
		refs = "0011 Indy8BitEncoding 001c WriteStringToStream"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B 73 74 85 F6 74 12 B0 01 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35935_0 {
	meta:
		name = "TIdLogStream.LogSentData"
		size = 36
		refs = "0011 Indy8BitEncoding 001c WriteStringToStream"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B 73 78 85 F6 74 12 B0 01 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35939_0 {
	meta:
		name = "TIdLPR.InitComponent"
		size = 112
		refs = "0006 TIdTCPClientCustom.InitComponent 001f TIdLPR.InitComponent 0024 @UStrAsg 0035 _DV_TIdLPRControlFile 003a TIdLPRControlFile.Create 004b TIdTCPClientCustom.SetBoundPortMin 0056 TIdTCPClientCustom.SetBoundPortMax"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 03 02 8B C3 8B 08 FF 91 A4 00 00 00 8D 83 18 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 83 1C 01 00 00 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 20 01 00 00 66 BA D1 02 8B C3 E8 ?? ?? ?? ?? 66 BA DB 02 8B C3 E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 03 00 00 00 70 00 72 00 31 00 00 00 }
	condition:
		$1
}

rule function_35940_0 {
	meta:
		name = "TIdLPR.Connect"
		size = 297
		refs = "0015 TIdLPR.Connect 004d TIdTCPClientCustom.SetBoundPort 0063 TIdTCPClientCustom.Connect 007d @HandleOnException 0085 _Dn_EIdCouldNotBindSocket 008d _Dn_EIdSocketError 00a1 @RaiseAgain 00a9 TIdTCPConnection.Disconnect 00ae @DoneExcept 00e8 RSCannotBindRange 00ed LoadResString 00f7 _Dn_EIdCanNotBindPortInRange 00fc Exception.CreateFmt 0101 @RaiseExcept 0116 @UStrClr 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 E4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 0F B7 80 BE 00 00 00 8B 55 FC 0F B7 92 C0 00 00 00 66 2B D0 0F 87 80 00 00 00 4A 66 89 55 F8 66 89 45 FA 0F B7 55 FA 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 91 00 00 00 33 C0 5A 59 59 64 89 10 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? EB 16 81 78 18 40 27 00 00 74 05 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 FF 4D FA 66 FF 45 F8 75 89 8B 45 FC 0F B7 80 C0 00 00 00 89 45 E8 C6 45 EC 00 8B 45 FC 0F B7 80 BE 00 00 00 89 45 F0 C6 45 F4 00 8D 45 E8 50 6A 01 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35941_0 {
	meta:
		name = "TIdLPR.Print"
		size = 119
		refs = "000d _Dn_TMemoryStream 0012 TObject.Create 001d TIdLPR.Print 002a Indy8BitEncoding 0036 WriteStringToStream 0042 TStream.SetPosition 004c TIdLPR.InternalPrint 0066 TObject.Free 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B0 01 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35942_0 {
	meta:
		name = "TIdLPR.Print"
		size = 115
		refs = "000d _Dn_TMemoryStream 0012 TObject.Create 001d TIdLPR.Print 0032 WriteTIdBytesToStream 003e TStream.SetPosition 0048 TIdLPR.InternalPrint 0062 TObject.Free 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 83 C9 FF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_35943_0 {
	meta:
		name = "TIdLPR.PrintFile"
		size = 168
		refs = "0013 TIdLPR.PrintFile 0018 RPos 0040 @UStrCopy 0049 _Dn_TIdReadFileExclusiveStream 004e TIdReadFileExclusiveStream.Create 0069 TIdLPR.InternalPrint 0083 TObject.Free 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F2 8B F8 83 C9 FF 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B DE 85 DB 74 05 83 EB 04 8B 1B 8B 87 20 01 00 00 83 C0 10 50 8B CB 2B 4D F8 8B 55 F8 42 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_35944_0 {
	meta:
		name = "TIdLPR.GetJobId"
		size = 72
		refs = "0020 TIdLPR.GetJobId 0025 IndyFormat"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 56 8B 83 1C 01 00 00 89 44 24 04 C6 44 24 08 00 8D 54 24 04 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 2E 00 33 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_35945_0 {
	meta:
		name = "TIdLPR.SetJobId"
		size = 25
		refs = "0006 IndyStrToInt"
	strings:
		$1 = { 53 8B D8 8B C2 E8 ?? ?? ?? ?? 3D E7 03 00 00 7D 06 89 83 1C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_35946_0 {
	meta:
		name = "TIdLPR.InternalPrint"
		size = 884
		refs = "001d TIdLPR.InternalPrint 007a TIdLPR.GetJobId 0087 TIdLPR.DoOnLPRStatus 009d GStack 00b8 @UStrAsg 00c7 @HandleAnyException 00e2 @DoneExcept 0102 @UStrCatN 0120 TIdLPR.CheckReply 012b TIdLPR.GetControlData 014c IntToStr 01d1 TIdIOHandler.Write 029c @HandleOnException 02a4 _Dn_Exception 02d4 @UStrArrayClr 02e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 74 84 C0 75 0D 33 C0 5A 59 59 64 89 10 E9 70 02 00 00 8B 45 FC FF 80 1C 01 00 00 8B 45 FC 81 B8 1C 01 00 00 E7 03 00 00 7E 0D 8B 45 FC C7 80 1C 01 00 00 01 00 00 00 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 04 8B 55 F0 8B 45 FC 8B 80 20 01 00 00 83 C0 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 8B 45 FC 8B 80 20 01 00 00 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC FF B0 18 01 00 00 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 89 45 E4 8B 5D E4 85 DB 74 05 83 EB 04 8B 1B 68 ?? ?? ?? ?? 8D 55 DC 8B C3 E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? FF 75 D8 8B 45 FC 8B 80 20 01 00 00 FF 70 08 68 ?? ?? ?? ?? 8D 45 E0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 8B 45 FC 8B 80 98 00 00 00 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 12 52 50 8D 45 CC E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? 8D 55 C8 8B 45 FC E8 ?? ?? ?? ?? FF 75 C8 8B 45 FC 8B 80 20 01 00 00 FF 70 08 68 ?? ?? ?? ?? 8D 45 D0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 FC 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC 8B 80 98 00 00 00 33 C9 8B 55 F8 8B 18 FF 93 B0 00 00 00 8B 45 FC 8B 80 98 00 00 00 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 C4 8B 45 FC E8 ?? ?? ?? ?? 8B 4D C4 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 48 04 B2 02 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 6C 00 6F 00 63 00 61 00 6C 00 68 00 6F 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 02 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 63 00 66 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 03 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 64 00 66 00 41 00 00 00 00 00 }
	condition:
		$1
}

rule function_35947_0 {
	meta:
		name = "TIdLPR.GetQueueState"
		size = 300
		refs = "0016 TIdLPR.GetQueueState 0027 TIdLPR.DoOnLPRStatus 0050 @UStrCatN 00d6 @UStrArrayClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE B2 03 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 38 68 ?? ?? ?? ?? FF B3 18 01 00 00 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 33 C9 8B 83 98 00 00 00 8B 30 FF 96 A0 00 00 00 EB 36 68 ?? ?? ?? ?? FF B3 18 01 00 00 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 33 C9 8B 83 98 00 00 00 8B 30 FF 96 A0 00 00 00 8B 4D 08 33 D2 8B 83 98 00 00 00 8B 30 FF 96 B8 00 00 00 8B 4D 08 8B 09 B2 04 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 03 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_35948_0 {
	meta:
		name = "TIdLPR.GetControlData"
		size = 1824
		refs = "001c TIdLPR.GetControlData 002a @UStrClr 005b @UStrCatN 00b9 TIdLPR.GetJobId 036e IntToStr 04c0 @UStrAsg 04cf @HandleAnyException 04e1 @DoneExcept 04fb @UStrArrayClr 0509 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 9E 20 01 00 00 FF 75 FC 68 ?? ?? ?? ?? FF 73 08 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 73 18 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 10 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1F FF 75 FC 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? EB 2A FF 75 FC 68 ?? ?? ?? ?? 8D 55 F4 8B C6 E8 ?? ?? ?? ?? FF 75 F4 FF 73 08 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 80 7B 34 00 74 1D FF 75 FC 68 ?? ?? ?? ?? FF 73 18 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 0F B6 43 20 83 F8 09 0F 87 FA 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? FF 75 F0 FF 73 08 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? E9 9C 01 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? FF 75 EC FF 73 08 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? E9 6D 01 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? FF 75 E8 FF 73 08 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? E9 3E 01 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 55 E4 8B C6 E8 ?? ?? ?? ?? FF 75 E4 FF 73 08 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? E9 0F 01 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 55 E0 8B C6 E8 ?? ?? ?? ?? FF 75 E0 FF 73 08 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? E9 E0 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 55 DC 8B C6 E8 ?? ?? ?? ?? FF 75 DC FF 73 08 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? E9 B1 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 55 D8 8B C6 E8 ?? ?? ?? ?? FF 75 D8 FF 73 08 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? E9 82 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 55 D4 8B C6 E8 ?? ?? ?? ?? FF 75 D4 FF 73 08 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? EB 56 FF 75 FC 68 ?? ?? ?? ?? 8D 55 D0 8B C6 E8 ?? ?? ?? ?? FF 75 D0 FF 73 08 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? EB 2A FF 75 FC 68 ?? ?? ?? ?? 8D 55 CC 8B C6 E8 ?? ?? ?? ?? FF 75 CC FF 73 08 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 C8 8B C6 E8 ?? ?? ?? ?? FF 75 C8 FF 73 08 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 C4 8B C6 E8 ?? ?? ?? ?? FF 75 C4 FF 73 08 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 80 7B 20 02 75 5C 8B 73 0C 85 F6 7E 27 FF 75 FC 68 ?? ?? ?? ?? 8D 55 C0 8B C6 E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 73 1C 85 F6 7E 27 FF 75 FC 68 ?? ?? ?? ?? 8D 55 BC 8B C6 E8 ?? ?? ?? ?? FF 75 BC 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1D FF 75 FC 68 ?? ?? ?? ?? FF 73 04 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 80 7B 14 00 74 1D FF 75 FC 68 ?? ?? ?? ?? FF 73 18 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 24 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1D FF 75 FC 68 ?? ?? ?? ?? FF 73 24 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 28 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1D FF 75 FC 68 ?? ?? ?? ?? FF 73 28 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 2C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1D FF 75 FC 68 ?? ?? ?? ?? FF 73 2C 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 30 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1D FF 75 FC 68 ?? ?? ?? ?? FF 73 30 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 0F 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 48 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 50 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 4A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4A 00 63 00 66 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 64 00 66 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 64 00 64 00 66 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 66 00 64 00 66 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 67 00 64 00 66 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 64 00 66 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 64 00 66 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6F 00 64 00 66 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 70 00 64 00 66 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 72 00 64 00 66 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 55 00 64 00 66 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 63 00 66 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 49 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 43 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 32 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 33 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 34 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 72 00 72 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_35949_0 {
	meta:
		name = "TIdLPR.SeTIdLPRControlFile"
		size = 12
	strings:
		$1 = { 8B 80 20 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_35950_0 {
	meta:
		name = "TIdLPR.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TIdTCPConnection.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 20 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35951_0 {
	meta:
		name = "TIdLPR.PrintWaitingJobs"
		size = 244
		refs = "0015 TIdLPR.PrintWaitingJobs 0035 TIdLPR.DoOnLPRStatus 0055 @UStrCatN 0073 TIdLPR.CheckReply 008e @HandleOnException 0096 _Dn_Exception 00ac @DoneExcept 00c1 @UStrClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C9 B2 07 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC FF B0 18 01 00 00 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C9 B2 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 48 04 B2 02 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 03 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_35952_0 {
	meta:
		name = "TIdLPR.RemoveJobList"
		size = 412
		refs = "001b TIdLPR.RemoveJobList 003a TIdLPR.GetJobId 0047 TIdLPR.DoOnLPRStatus 0071 @UStrCatN 00de TIdLPR.CheckReply 0105 @HandleOnException 010d _Dn_Exception 0123 @DoneExcept 013d @UStrArrayClr 0143 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F8 B2 05 8B 45 FC E8 ?? ?? ?? ?? 84 DB 74 3E 68 ?? ?? ?? ?? 8B 45 FC FF B0 18 01 00 00 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 EB 4D 68 ?? ?? ?? ?? 8B 45 FC FF B0 18 01 00 00 68 ?? ?? ?? ?? 8B 45 FC 8B 80 20 01 00 00 FF 70 18 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D EC B2 06 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 48 04 B2 02 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 05 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 72 00 6F 00 6F 00 74 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35953_0 {
	meta:
		name = "TIdLPR.CheckReply"
		size = 158
		refs = "0016 TIdLPR.CheckReply 0027 TIdIOHandler.ReadByte 0041 TIdLPR.GetJobId 0059 RSLPRError 005e LoadResString 0068 _DV_EIdLPRErrorException 006d Exception.CreateFmt 0072 @RaiseExcept 008c @UStrArrayClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 D2 89 55 EC 89 55 E8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 8B D8 84 DB 74 45 0F B6 C3 89 45 F0 C6 45 F4 00 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35954_0 {
	meta:
		name = "TIdLPR.DoOnLPRStatus"
		size = 32
	strings:
		$1 = { 53 66 83 B8 12 01 00 00 00 74 13 51 8B CA 8B D8 8B D0 8B 83 14 01 00 00 FF 93 10 01 00 00 5B C3 }
	condition:
		$1
}

rule function_35955_0 {
	meta:
		name = "TIdLPRControlFile.Assign"
		size = 167
		refs = "000a _DV_TIdLPRControlFile 000f @IsClass 0024 @AsClass 0031 @UStrAsg 00a0 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 80 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 43 04 8B 56 04 E8 ?? ?? ?? ?? 8B 46 0C 89 43 0C 8D 43 10 8B 56 10 E8 ?? ?? ?? ?? 0F B6 46 14 88 43 14 8D 43 18 8B 56 18 E8 ?? ?? ?? ?? 8B 46 1C 89 43 1C 0F B6 46 20 88 43 20 8D 43 24 8B 56 24 E8 ?? ?? ?? ?? 8D 43 28 8B 56 28 E8 ?? ?? ?? ?? 8D 43 2C 8B 56 2C E8 ?? ?? ?? ?? 8D 43 30 8B 56 30 E8 ?? ?? ?? ?? 0F B6 46 34 88 43 34 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35956_0 {
	meta:
		name = "TIdLPRControlFile.Create"
		size = 228
		refs = "0016 @ClassCreate 0024 TIdLPRControlFile.Create 0034 TObject.Create 004a GStack 005f @UStrAsg 006e @HandleAnyException 0079 RSLPRUnknown 007e LoadResString 0083 @DoneExcept 00b6 @UStrClr 00bc @HandleFinally 00cc @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 04 8B 55 F4 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8D 50 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 40 20 04 8B 45 FC 33 D2 89 50 0C 8B 45 FC C6 40 14 00 8B 45 FC 33 D2 89 50 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_35959_0 {
	meta:
		name = "TIdMailBox.Clear"
		size = 140
		refs = "001b @UStrClr 0043 TLongIntArray 0048 @DynArraySetLength 006a TIdMailBox.Clear 007f TCollection.Clear"
	strings:
		$1 = { 53 8B D8 33 C0 89 43 54 33 C0 89 43 4C 33 C0 89 43 60 33 C0 89 43 3C 8D 43 5C E8 ?? ?? ?? ?? 8D 43 58 E8 ?? ?? ?? ?? 8D 43 44 E8 ?? ?? ?? ?? C6 43 50 01 C6 43 38 01 6A 00 8D 43 64 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8D 43 68 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 0F B6 05 ?? ?? ?? ?? 88 43 40 0F B6 05 ?? ?? ?? ?? 88 43 39 8B 43 48 E8 ?? ?? ?? ?? 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_35960_0 {
	meta:
		name = "TIdMailBox.InitComponent"
		size = 40
		refs = "0006 TIdInitializerComponent.InitComponent 000c _Dn_TIdMessageItem 0013 _Dn_TIdMessageCollection 0018 TCollection.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 48 8B C3 8B 10 FF 52 44 5B C3 }
	condition:
		$1
}

rule function_35965_0 {
	meta:
		name = "TIdMappedFTP.InitComponent"
		size = 53
		refs = "0006 TIdMappedPortTCP.InitComponent 0022 _DV_TIdMappedFtpContext"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 15 00 8B C3 8B 08 FF 91 98 00 00 00 66 C7 83 1C 01 00 00 15 00 A1 ?? ?? ?? ?? 89 83 9C 00 00 00 C6 83 40 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_35966_0 {
	meta:
		name = "TIdMappedFtpContext.Create"
		size = 95
		refs = "000d @ClassCreate 0022 TIdMappedPortContext.Create 002a @UStrClr 0049 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 68 E8 ?? ?? ?? ?? 8D 46 6C E8 ?? ?? ?? ?? 66 C7 46 70 00 00 66 C7 46 72 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_35967_0 {
	meta:
		name = "TIdMappedFtpContext.HandleLocalClientData"
		size = 344
		refs = "0013 TIdMappedFtpContext.HandleLocalClientData 002c TIdIOHandler.ReadLn 004b @UStrAsg 0060 Fetch 006b UpperCase 0080 TIdMappedFtpContext.GetFtpCmdLine 009a ToBytes 00a6 TArray<System.Byte> 00ab @DynArrayAsg 00f8 TIdIOHandler.InputBufferIsEmpty 011a @UStrArrayClr 0128 @DynArrayClear 013b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 43 14 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E AA 00 00 00 8D 43 64 8B 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 43 64 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 60 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 4D F0 8B 53 14 8B 92 98 00 00 00 8B 92 D4 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 58 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 43 5C 8B 08 FF 91 B8 00 00 00 8B C3 8B 10 FF 52 28 84 C0 75 27 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B 43 48 8B 80 98 00 00 00 33 C9 8B 30 FF 96 A4 00 00 00 8B C3 8B 10 FF 52 30 8B 43 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 19 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35968_0 {
	meta:
		name = "TIdMappedFtpContext.CreateDataChannelThread"
		size = 22
		refs = "0008 _DV_TIdMappedFtpDataThread 000d TIdMappedFtpDataThread.Create"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 74 5B C3 }
	condition:
		$1
}

rule function_35969_0 {
	meta:
		name = "TIdMappedFtpContext.ProcessDataCommand"
		size = 36
		refs = "0006 saDataCommands 0013 PosInStrArray"
	strings:
		$1 = { 53 8B D8 6A 01 BA ?? ?? ?? ?? B9 06 00 00 00 8B 43 60 E8 ?? ?? ?? ?? 40 7E 08 8B 43 74 8B 10 FF 52 34 5B C3 }
	condition:
		$1
}

rule function_35970_0 {
	meta:
		name = "ParsePort"
		size = 508
		refs = "001c ParsePort 002f @UStrLAsg 0044 Fetch 00ad @UStrCatN 00ca IndyStrToInt 00e9 TIdMappedFtpContext.CreateDataChannelThread 00f2 _Dn_TIdTCPClient 00f7 TIdBaseComponent.Create 0135 RSFTPCmdSuccessful 013a LoadResString 0155 IndyFormat 0165 @UStrCat3 0197 @UStrArrayClr 019d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B 75 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 16 8B 52 64 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 EC 8B 06 83 C0 68 BA 07 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B D3 C1 E2 08 66 03 D0 8B 06 66 89 50 70 8B 06 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 06 8B 40 74 89 58 74 8B 06 8B 50 68 8B C3 8B 08 FF 91 A0 00 00 00 8B 06 0F B7 50 70 8B C3 8B 08 FF 91 A4 00 00 00 8B 06 33 D2 8B 08 FF 51 2C 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D E0 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 06 8B 40 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 52 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 32 00 30 00 30 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_35971_0 {
	meta:
		name = "ParsePasv"
		size = 464
		refs = "0019 ParsePasv 003d @UStrAsg 0044 TIdMappedFtpContext.CreateDataChannelThread 004d _Dn_TIdSimpleServer 0052 TIdBaseComponent.Create 008a TIdSimpleServer.GetBinding 00c8 StringReplace 00e1 IntToStr 010c @UStrCatN 0121 RSFTPPassiveMode 0126 LoadResString 013f IndyFormat 014f @UStrCat3 0181 @UStrArrayClr 0187 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B 75 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 83 C0 68 8B 16 8B 52 14 8B 92 B0 00 00 00 8B 92 D8 00 00 00 8B 52 18 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 06 8B 40 74 89 58 74 8D 83 C0 00 00 00 8B 16 8B 52 68 E8 ?? ?? ?? ?? 8B 06 0F B7 40 70 66 89 83 C4 00 00 00 8B C3 8B 10 FF 92 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 50 18 8B 06 83 C0 68 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B7 40 20 8B 16 66 89 42 70 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 8B 06 8B 40 68 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 F8 8B 06 0F B7 40 70 C1 E8 08 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 8B 06 0F B7 40 70 25 FF 00 00 00 E8 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 06 B2 01 8B 08 FF 51 2C 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 06 8B 40 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 32 00 32 00 37 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_35972_0 {
	meta:
		name = "TIdMappedFtpContext.ProcessFtpCommand"
		size = 120
		refs = "000e TIdMappedFtpContext.ProcessFtpCommand 0013 @UStrEqual 001b ParsePort 0039 ParsePasv"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 60 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C 55 E8 ?? ?? ?? ?? 59 B0 01 59 5D C3 8B 45 FC 8B 40 60 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B 55 E8 ?? ?? ?? ?? 59 B0 01 EB 02 33 C0 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 52 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 41 00 53 00 56 00 00 00 00 00 }
	condition:
		$1
}

rule function_35973_0 {
	meta:
		name = "SendPort"
		size = 396
		refs = "0016 SendPort 003a @UStrAsg 0043 _Dn_TIdSimpleServer 0048 TIdBaseComponent.Create 0080 TIdSimpleServer.GetBinding 00c7 StringReplace 00e0 IntToStr 010b @UStrCatN 013e @UStrArrayClr 0144 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B 75 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 83 C0 6C 8B 16 8B 52 48 8B 92 B0 00 00 00 8B 92 D8 00 00 00 8B 52 18 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 06 8B 40 74 89 58 78 8D 83 C0 00 00 00 8B 16 8B 52 6C E8 ?? ?? ?? ?? 8B 06 0F B7 40 72 66 89 83 C4 00 00 00 8B C3 8B 10 FF 92 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 50 18 8B 06 83 C0 6C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B7 40 20 8B 16 66 89 42 72 6A 00 6A 00 68 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 8B 06 8B 40 6C B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 8B 06 0F B7 40 72 C1 E8 08 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B 06 0F B7 40 72 25 FF 00 00 00 E8 ?? ?? ?? ?? FF 75 F0 8D 45 FC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 66 C7 45 EC C8 00 8D 4D EC 8B 06 8B 40 48 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 4F 00 52 00 54 00 20 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_35974_0 {
	meta:
		name = "SendPasv"
		size = 568
		refs = "0017 SendPasv 0032 TIdTCPConnection.SendCmd 0055 Trim 005b IndyPos 0095 RPos 00b6 @UStrCopy 00d6 @UStrClr 00fa Fetch 010c @UStrCatN 0123 IdDelete 0140 IndyStrToInt 0175 _Dn_TIdTCPClient 017a TIdBaseComponent.Create 01bd @UStrArrayClr 01c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B 75 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 06 8B 40 48 66 B9 E3 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 8B 06 8B 40 48 8B 80 9C 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B D8 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 FC B8 ?? ?? ?? ?? FF D7 8B F8 85 DB 74 04 85 FF 75 33 83 C9 FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 8D 45 FC 50 8B CF 2B CB 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? EB 14 8D 45 FC 50 8B CF 2B CB 49 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 06 83 C0 6C E8 ?? ?? ?? ?? BB 04 00 00 00 8B 06 FF 70 6C 68 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 8B 06 83 C0 6C BA 03 00 00 00 E8 ?? ?? ?? ?? 4B 75 CC 8B 06 83 C0 6C B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C1 E0 08 8B 16 66 89 42 72 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 16 66 01 42 72 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 06 8B 40 74 89 58 78 8B 06 8B 50 6C 8B C3 8B 08 FF 91 A0 00 00 00 8B 06 0F B7 50 72 8B C3 8B 08 FF 91 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 41 00 53 00 56 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_35975_0 {
	meta:
		name = "TIdMappedFtpContext.ProcessOutboundDc"
		size = 58
		refs = "0028 SendPasv 0032 SendPort"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 5C 0F B6 80 40 01 00 00 84 C0 75 0A 84 D2 74 04 B0 02 EB 02 B0 01 3C 02 75 0A 55 E8 ?? ?? ?? ?? 59 59 5D C3 55 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_35976_0 {
	meta:
		name = "TIdMappedFtpContext.GetFtpCmdLine"
		size = 80
		refs = "001a TIdMappedFtpContext.GetFtpCmdLine 0029 @UStrCatN 0036 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 64 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1A FF 73 60 68 ?? ?? ?? ?? FF 73 64 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 60 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_35977_0 {
	meta:
		name = "TIdMappedFtpDataThread.BeforeRun"
		size = 103
		refs = "0007 TIdThread.BeforeRun 0012 _Dn_TIdTCPClient 0017 @IsClass 003e _Dn_TIdSimpleServer"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 5E 78 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 8B C3 8B 10 FF 92 AC 00 00 00 83 CA FF 8B 46 74 8B 08 FF 91 AC 00 00 00 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B 46 74 8B 10 FF 92 AC 00 00 00 83 CA FF 8B 46 78 8B 08 FF 91 AC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_35978_0 {
	meta:
		name = "TIdMappedFtpDataThread.Create"
		size = 87
		refs = "000b @ClassCreate 0020 TIdThread.Create 0030 _Dn_TIdSocketList 0035 TIdSocketList.CreateSocketList 0043 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 6A 01 6A 00 B1 01 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 70 C6 47 50 00 C6 47 0F 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 7C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35979_0 {
	meta:
		name = "TIdMappedFtpDataThread.Destroy"
		size = 84
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0042 TIdThread.Destroy 004d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 78 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 74 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 7C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35980_0 {
	meta:
		name = "TIdMappedFtpDataThread.Run"
		size = 628
		refs = "0010 TIdMappedFtpDataThread.Run 0036 _Dn_TIdIOHandlerSocket 003b @AsClass 00db TArray<System.Byte> 00e0 @DynArraySetLength 010a TIdBuffer.ExtractToBytes 0118 @DynArrayLength 0205 TIdTCPConnection.Disconnect 0235 @HandleFinally 0246 @HandleAnyException 0269 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 74 8B 80 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 D8 00 00 00 8B 70 10 8B 45 FC 8B 40 78 8B 80 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 D8 00 00 00 8B 40 10 89 45 F8 8B 45 FC 8B 58 7C 8B C3 8B 10 FF 52 18 8B D6 8B C3 8B 08 FF 51 08 8B 55 F8 8B C3 8B 08 FF 51 08 8B 45 FC 8B 40 7C BA FE FF FF FF 8B 08 FF 51 24 84 C0 0F 84 3F 01 00 00 8B D6 8B C3 8B 08 FF 51 1C 84 C0 0F 84 8E 00 00 00 8B 45 FC 8B 40 74 8B 80 98 00 00 00 33 D2 8B 08 FF 91 88 00 00 00 6A 00 8B 45 FC 05 80 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 01 6A FF 8B 45 FC 8D 90 80 00 00 00 8B 45 FC 8B 40 74 8B 80 98 00 00 00 8B 80 A0 00 00 00 83 C9 FF E8 ?? ?? ?? ?? 8B 45 FC 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 85 C0 7E 22 6A 00 8B 45 FC 8B 90 80 00 00 00 8B 45 FC 8B 40 78 8B 80 98 00 00 00 83 C9 FF 8B 30 FF 96 94 00 00 00 8B 55 F8 8B C3 8B 08 FF 51 1C 84 C0 0F 84 8E 00 00 00 8B 45 FC 8B 40 74 8B 80 98 00 00 00 33 D2 8B 08 FF 91 88 00 00 00 6A 00 8B 45 FC 05 80 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 01 6A FF 8B 45 FC 8D 90 80 00 00 00 8B 45 FC 8B 40 78 8B 80 98 00 00 00 8B 80 A0 00 00 00 83 C9 FF E8 ?? ?? ?? ?? 8B 45 FC 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 85 C0 7E 22 6A 00 8B 45 FC 8B 90 80 00 00 00 8B 45 FC 8B 40 74 8B 80 98 00 00 00 83 C9 FF 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 78 8B 10 FF 52 74 84 C0 75 13 8B 45 FC 8B 40 74 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 38 8B 45 FC 8B 40 74 8B 10 FF 52 74 84 C0 75 13 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 38 C3 E9 ?? ?? ?? ?? EB B4 33 C0 5A 59 59 64 89 10 EB 28 E9 ?? ?? ?? ?? 8B 45 FC 8B 40 74 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 38 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_35981_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_4 001a saDataCommands 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_35983_0 {
	meta:
		name = "TIdMappedPOP3.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 001a TObject.Free 0038 TIdCustomTCPServer.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 50 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 54 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35984_0 {
	meta:
		name = "TIdMappedPOP3.InitComponent"
		size = 284
		refs = "000f TIdMappedPOP3.InitComponent 001c TIdCustomMappedTelnet.InitComponent 002c @UStrAsg 0035 _Dn_TIdReplyPOP3 003a TIdReply.Create 004a RSPop3ProxyGreeting 004f LoadResString 007c RSPop3UnknownCommand 00ac _DV_TIdMappedPOP3Context 00cc @UStrArrayClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 83 58 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 54 01 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 8B 30 FF 56 48 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 50 01 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C6 8B 30 FF 56 48 66 BA 6E 00 8B C3 8B 08 FF 91 98 00 00 00 66 C7 83 1C 01 00 00 6E 00 A1 ?? ?? ?? ?? 89 83 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2D 00 45 00 52 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_35985_0 {
	meta:
		name = "TIdMappedPOP3.SetGreeting"
		size = 12
	strings:
		$1 = { 8B 80 54 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_35986_0 {
	meta:
		name = "TIdMappedPOP3.SetReplyUnknownCommand"
		size = 12
	strings:
		$1 = { 8B 80 50 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_35987_0 {
	meta:
		name = "TIdMappedPOP3Context.OutboundConnect"
		size = 1092
		refs = "0019 TIdMappedPOP3Context.OutboundConnect 0059 _Dn_TIdTCPClient 005e TIdBaseComponent.Create 00dd TIdIOHandler.ReadLn 00e8 Trim 00fd Fetch 010a TextIsSame 0116 RSPop3QuitMsg 011b LoadResString 012b @UStrCat3 014f TIdTCPConnection.Disconnect 0194 @UStrAsg 019f TrimLeft 01aa @UStrLAsg 01b8 TIdCustomMappedTelnet.ExtractHostAndPortFromLine 020f RSEmptyHost 021e _Dn_EIdException 0223 EIdException.Create 0228 @RaiseExcept 023b TIdTCPClientCustom.SetConnectTimeout 02a4 @HandleOnException 02ac _Dn_Exception 02c1 TObject.ClassName 02dc @UStrCatN 02e6 TIdTask.DoException 0317 @DoneExcept 0377 @UStrArrayClr 038a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 5C 89 45 F0 6A 00 8B 45 F0 8B 80 54 01 00 00 8B 10 FF 52 28 8B D0 8B 45 F4 8B 40 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F4 89 58 48 8B 45 F0 0F B7 90 1C 01 00 00 8B C3 8B 08 FF 91 A4 00 00 00 8B 45 F0 8B 90 18 01 00 00 8B C3 8B 08 FF 91 A0 00 00 00 8B 45 F0 8B 80 40 01 00 00 8B 55 F4 89 42 60 8B 55 F4 8B 45 F0 8B 08 FF 91 B4 00 00 00 8B 45 F4 83 78 60 00 7E 06 8B 45 F4 FF 48 60 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D EC 8B 45 F4 8B 40 14 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 4E 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 8B 40 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 8B 45 F4 8B 40 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 D7 01 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 4D 6A 00 8D 45 E0 50 8B 45 F0 8B 90 58 01 00 00 8D 45 FC B1 01 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 83 C0 70 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? EB 35 6A 00 8B 45 F0 8B 80 50 01 00 00 8B 10 FF 52 28 8B D0 8B 45 F4 8B 40 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 33 C0 5A 59 59 64 89 10 E9 28 01 00 00 8B 45 F4 8B 40 48 8B 80 CC 00 00 00 85 C0 74 05 83 E8 04 8B 00 48 7D 21 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 58 48 8B 45 F4 8B 50 54 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 AC 00 00 00 8D 4D D4 8B 45 F4 8B 40 48 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F4 83 C0 6C E8 ?? ?? ?? ?? 8B 45 F4 8B 48 70 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F4 8B 40 48 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 EB 78 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 68 ?? ?? ?? ?? 8D 55 CC 8B 03 E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? FF 73 04 8B 45 F4 83 C0 68 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 48 68 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F4 8B 40 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 48 8B 10 FF 52 74 84 C0 75 0D 8B 45 F4 83 78 60 01 0F 8D 77 FD FF FF 8B 45 F4 8B 40 48 8B 10 FF 52 74 84 C0 74 10 8B 55 F4 8B 45 F0 8B 08 FF 91 BC 00 00 00 EB 0B 8B 45 F4 8B 40 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 51 00 55 00 49 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2B 00 4F 00 4B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 55 00 53 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 53 00 45 00 52 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2D 00 45 00 52 00 52 00 20 00 00 00 }
	condition:
		$1
}

rule function_35990_0 {
	meta:
		name = "TIdMappedPortTCP.InitComponent"
		size = 23
		refs = "0006 TIdCustomTCPServer.InitComponent 000b _DV_TIdMappedPortContext"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 83 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_35991_0 {
	meta:
		name = "TIdMappedPortTCP.ContextCreated"
		size = 4
	strings:
		$1 = { 89 42 5C C3 }
	condition:
		$1
}

rule function_35992_0 {
	meta:
		name = "TIdMappedPortTCP.DoBeforeConnect"
		size = 27
		altNames = "TIdSSLIOHandlerSocketOpenSSL.DoStatusInfo TInSSLIOHandlerSocketOpenSSL.DoStatusInfo"
	strings:
		$1 = { 53 66 83 B8 22 01 00 00 00 74 0E 8B D8 8B 83 24 01 00 00 FF 93 20 01 00 00 5B C3 }
	condition:
		$1
}

rule function_35995_0 {
	meta:
		name = "TIWServerControllerBase.DoCloseSession"
		size = 27
		altNames = "TIdMappedPortTCP.DoLocalClientData TIdQotdUDPServer.DoOnCommandQUOTD"
	strings:
		$1 = { 53 66 83 B8 EA 00 00 00 00 74 0E 8B D8 8B 83 EC 00 00 00 FF 93 E8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_35996_0 {
	meta:
		name = "TIdMappedPortTCP.DoOutboundClientData"
		size = 27
		altNames = "TIdSSLIOHandlerSocketOpenSSL.DoGetPassword TIdTelnetServer.DoNegotiate TInSSLIOHandlerSocketOpenSSL.DoGetPassword"
	strings:
		$1 = { 53 66 83 B8 32 01 00 00 00 74 0E 8B D8 8B 83 34 01 00 00 FF 93 30 01 00 00 5B C3 }
	condition:
		$1
}

rule function_35997_0 {
	meta:
		name = "TIdMappedPortTCP.DoDisconnect"
		size = 44
		refs = "0008 TIdCustomTCPServer.DoDisconnect 0024 TIdTCPConnection.Disconnect"
	strings:
		$1 = { 53 56 57 8B DA 8B D3 E8 ?? ?? ?? ?? 8B FB 8B 77 48 85 F6 74 13 8B C6 8B 10 FF 52 74 84 C0 74 08 8B 47 48 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_35998_0 {
	meta:
		name = "TIdMappedPortTCP.DoOutboundDisconnect"
		size = 41
		refs = "0022 TIdTCPConnection.Disconnect"
	strings:
		$1 = { 53 56 8B DA 66 83 B8 3A 01 00 00 00 74 10 8B F0 8B D3 8B 86 3C 01 00 00 FF 96 38 01 00 00 8B 43 14 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_35999_0 {
	meta:
		name = "TIdMappedPortTCP.DoConnect"
		size = 88
	strings:
		$1 = { 53 56 57 8B DA 8B D3 8B 08 FF 91 B0 00 00 00 8B FB 8B C7 8B 10 FF 52 24 8B 77 4C 8B C6 8B 10 FF 52 18 8B 43 14 8B 80 B0 00 00 00 8B 80 D8 00 00 00 8B 50 10 8B C6 8B 08 FF 51 08 8B 47 48 8B 80 B0 00 00 00 8B 80 D8 00 00 00 8B 50 10 8B C6 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36000_0 {
	meta:
		name = "TIdMappedPortTCP.DoExecute"
		size = 111
		refs = "0011 TIdMappedPortTCP.DoExecute 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 F8 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 48 8B 10 FF 52 74 84 C0 75 12 33 DB 8B 55 F8 8B 45 FC 8B 08 FF 91 C4 00 00 00 EB 0D 8B 45 F8 8B 40 14 8B 10 FF 52 74 8B D8 C3 E9 ?? ?? ?? ?? EB CA 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_36001_0 {
	meta:
		name = "TIdMappedPortTCP.GetOnConnect"
		size = 18
	strings:
		$1 = { 8B 88 D0 00 00 00 89 0A 8B 88 D4 00 00 00 89 4A 04 C3 }
	condition:
		$1
}

rule function_36003_0 {
	meta:
		name = "TIdMappedPortTCP.GetOnDisconnect"
		size = 18
	strings:
		$1 = { 8B 88 D8 00 00 00 89 0A 8B 88 DC 00 00 00 89 4A 04 C3 }
	condition:
		$1
}

rule function_36004_0 {
	meta:
		name = "TIdMappedPortTCP.SetOnConnect"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 D0 00 00 00 8B 55 0C 89 90 D4 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_36006_0 {
	meta:
		name = "TIdMappedPortTCP.SetOnDisconnect"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 D8 00 00 00 8B 55 0C 89 90 DC 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_36007_0 {
	meta:
		name = "TIdMappedPortContext.Create"
		size = 100
		refs = "000d @ClassCreate 0022 TIdContext.Create 0027 _Dn_TIdSocketList 002c TIdSocketList.CreateSocketList 004e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 C7 46 54 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_36008_0 {
	meta:
		name = "TIdMappedPortContext.Destroy"
		size = 84
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0042 TIdContext.Destroy 004d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 4C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36009_0 {
	meta:
		name = "TIdMappedPortContext.CheckForData"
		size = 179
		refs = "0088 TIdIOHandler.InputBufferIsEmpty"
	strings:
		$1 = { 53 56 8B D8 84 D2 74 76 8D 53 50 B9 FE FF FF FF 8B 43 4C 8B 30 FF 56 28 84 C0 74 62 8B 43 14 8B 80 B0 00 00 00 8B 80 D8 00 00 00 8B 50 10 8B 43 50 8B 08 FF 51 1C 84 C0 74 13 8B 43 14 8B 80 98 00 00 00 33 D2 8B 08 FF 91 88 00 00 00 8B 43 48 8B 80 B0 00 00 00 8B 80 D8 00 00 00 8B 50 10 8B 43 50 8B 08 FF 51 1C 84 C0 74 13 8B 43 48 8B 80 98 00 00 00 33 D2 8B 08 FF 91 88 00 00 00 8B 43 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 8B 10 FF 52 1C 8B 43 48 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 8B 10 FF 52 20 5E 5B C3 }
	condition:
		$1
}

rule function_36010_0 {
	meta:
		name = "TIdMappedPortContext.HandleLocalClientData"
		size = 97
		refs = "000f TArray<System.Byte> 0014 @DynArraySetLength 0035 TIdBuffer.ExtractToBytes"
	strings:
		$1 = { 53 8B D8 6A 00 8D 43 58 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 01 6A FF 8D 53 58 8B 43 14 8B 80 98 00 00 00 8B 80 A0 00 00 00 83 C9 FF E8 ?? ?? ?? ?? 8B D3 8B 43 5C 8B 08 FF 91 B8 00 00 00 6A 00 8B 43 48 8B 80 98 00 00 00 83 C9 FF 8B 53 58 8B 18 FF 93 94 00 00 00 5B C3 }
	condition:
		$1
}

rule function_36011_0 {
	meta:
		name = "TIdMappedPortContext.HandleOutboundClientData"
		size = 97
		refs = "000f TArray<System.Byte> 0014 @DynArraySetLength 0035 TIdBuffer.ExtractToBytes"
	strings:
		$1 = { 53 8B D8 6A 00 8D 43 58 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 01 6A FF 8D 53 58 8B 43 48 8B 80 98 00 00 00 8B 80 A0 00 00 00 83 C9 FF E8 ?? ?? ?? ?? 8B D3 8B 43 5C 8B 08 FF 91 C0 00 00 00 6A 00 8B 43 14 8B 80 98 00 00 00 83 C9 FF 8B 53 58 8B 18 FF 93 94 00 00 00 5B C3 }
	condition:
		$1
}

rule function_36012_0 {
	meta:
		name = "TIdMappedPortContext.OutboundConnect"
		size = 214
		refs = "000f _Dn_TIdTCPClient 0014 TIdBaseComponent.Create 002a TIdMappedPortContext.OutboundConnect 0071 TIdTCPClientCustom.SetConnectTimeout 00a1 @HandleOnException 00a9 _Dn_Exception 00b7 TIdTask.DoException 00c2 TIdTCPConnection.Disconnect 00c7 @RaiseAgain 00cc @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 48 8B 45 FC 8B 70 5C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B7 96 1C 01 00 00 8B C3 8B 08 FF 91 A4 00 00 00 8B 96 18 01 00 00 8B C3 8B 08 FF 91 A0 00 00 00 8B 55 FC 8B C6 8B 08 FF 91 B4 00 00 00 8B 45 FC 8B 58 48 8B 45 FC 8B 50 54 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 AC 00 00 00 8B 55 FC 8B C6 8B 08 FF 91 BC 00 00 00 33 D2 8B 45 FC 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 EB 30 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36015_0 {
	meta:
		name = "TIdMappedPortUDP.InitComponent"
		size = 23
		refs = "0006 TIdUDPServer.InitComponent 0011 TIdUDPServer.SetDefaultPort"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 35 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_36017_0 {
	meta:
		name = "TIdMappedPortUDP.DoUDPRead"
		size = 307
		refs = "001c TIdMappedPortUDP.DoUDPRead 002f TIdUDPServer.DoUDPRead 0042 _Dn_TIdUDPClient 0047 TIdBaseComponent.Create 007f TIdUDPClient.SendBuffer 0097 TArray<System.Byte> 009c @DynArraySetLength 00e1 TIdSocketHandle.SendTo 00fb TObject.Free 0101 @HandleFinally 011e @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 89 55 F8 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B CF 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 98 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 93 EC 00 00 00 8B 45 F4 8B 08 FF 51 68 0F B7 93 E8 00 00 00 8B 45 F4 8B 08 FF 51 70 8B D7 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 94 00 00 00 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 FC 83 C9 FF 8B 45 F4 8B 18 FF 53 7C 8B D8 85 DB 7E 2E 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 50 6A 00 53 6A 00 0F B7 4E 22 8B 56 1C 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_36020_0 {
	meta:
		name = "TIdCustomMappedTelnet.InitComponent"
		size = 56
		refs = "0006 TIdMappedPortTCP.InitComponent 0015 _DV_TIdMappedTelnetContext"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 83 40 01 00 00 FF FF FF FF A1 ?? ?? ?? ?? 89 83 9C 00 00 00 66 BA 17 00 8B C3 8B 08 FF 91 98 00 00 00 66 C7 83 1C 01 00 00 17 00 5B C3 }
	condition:
		$1
}

rule function_36021_0 {
	meta:
		name = "TIdCustomMappedTelnet.DoCheckHostPort"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 4A 01 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 4C 01 00 00 FF 93 48 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_36022_0 {
	meta:
		name = "TIdCustomMappedTelnet.ExtractHostAndPortFromLine"
		size = 424
		refs = "0021 TIdCustomMappedTelnet.ExtractHostAndPortFromLine 002f @UStrClr 005e @UStrFromWChar 0069 @UStrCat 0071 @UStrLen 0083 CharIsInSet 00cb TrimRight 00d6 @UStrLAsg 00e1 TrimLeft 014a IndyStrToInt 0170 @UStrArrayClr 0183 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E A2 00 00 00 BB 01 00 00 00 EB 19 8D 45 EC 0F B7 54 5E FE E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 12 B9 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 CA 43 EB 19 8D 45 E8 0F B7 54 5E FE E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 12 B9 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 CA 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 45 F8 50 8B CE 8B 55 F0 8B 45 F4 8B 18 FF 93 C8 00 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 11 8B 45 F0 8B 40 48 8B 55 FC 8B 08 FF 91 A0 00 00 00 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 21 8B 45 F0 8B 58 48 0F B7 93 E4 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 00 00 09 00 20 00 3A 00 00 00 00 00 }
	condition:
		$1
}

rule function_36023_0 {
	meta:
		name = "TIdMappedTelnetContext.OutboundConnect"
		size = 600
		refs = "0015 TIdMappedTelnetContext.OutboundConnect 0024 _Dn_TIdTCPClient 0029 TIdBaseComponent.Create 00ce Trim 00dc TIdCustomMappedTelnet.ExtractHostAndPortFromLine 00fc RSEmptyHost 0101 LoadResString 010b _Dn_EIdException 0110 EIdException.Create 0115 @RaiseExcept 0128 TIdTCPClientCustom.SetConnectTimeout 0141 @HandleOnException 0149 _Dn_Exception 015e TObject.ClassName 0179 @UStrCatN 0183 TIdTask.DoException 01a4 @DoneExcept 01ed TIdTCPConnection.Disconnect 0207 @UStrArrayClr 020f @UStrClr 0215 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F8 89 58 48 8B 45 F8 8B 40 5C 89 45 F4 8B 45 F4 0F B7 90 1C 01 00 00 8B C3 8B 08 FF 91 A4 00 00 00 8B 45 F4 8B 90 18 01 00 00 8B C3 8B 08 FF 91 A0 00 00 00 8B 45 F4 8B 80 40 01 00 00 8B 55 F8 89 42 60 8B 55 F8 8B 45 F4 8B 08 FF 91 B4 00 00 00 8B 45 F4 83 B8 40 01 00 00 00 7E 09 8B 45 F4 FF 88 40 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 08 6A FF 6A 00 8D 45 F0 50 8B 45 F8 8B 40 14 8B 80 98 00 00 00 B1 01 33 D2 8B 18 FF 93 BC 00 00 00 8B 45 F0 8D 55 FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 48 8B 80 CC 00 00 00 85 C0 74 05 83 E8 04 8B 00 48 7D 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 58 48 8B 45 F8 8B 50 54 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 AC 00 00 00 33 C0 5A 59 59 64 89 10 EB 68 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 68 ?? ?? ?? ?? 8D 55 E8 8B 03 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? FF 73 04 8B 45 F8 83 C0 64 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 64 8B 45 F8 8B 40 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 48 8B 10 FF 52 74 84 C0 75 10 8B 45 F4 83 B8 40 01 00 00 00 0F 85 BB FE FF FF 8B 45 F8 8B 40 48 8B 10 FF 52 74 84 C0 74 10 8B 55 F8 8B 45 F4 8B 08 FF 91 BC 00 00 00 EB 0B 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 52 00 52 00 4F 00 52 00 3A 00 20 00 5B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5D 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_36024_0 {
	meta:
		name = "TIdCustomMappedTelnet.SetAllowedConnectAttempts"
		size = 22
	strings:
		$1 = { 85 D2 7C 07 89 90 40 01 00 00 C3 C7 80 40 01 00 00 FF FF FF FF C3 }
	condition:
		$1
}

rule function_36027_0 {
	meta:
		name = "TIdMIMEBoundary.Clear"
		size = 21
	strings:
		$1 = { 56 8B F0 8B 46 04 8B 10 FF 52 44 8B 46 08 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_36031_0 {
	meta:
		name = "TIdMIMEBoundary.GetBoundary"
		size = 43
		refs = "0024 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B 10 FF 52 14 85 C0 7E 0F 8B CE 33 D2 8B 43 04 8B 18 FF 53 0C 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36032_0 {
	meta:
		name = "TIdMIMEBoundary.GetParentPart"
		size = 97
		refs = "000c TIdMIMEBoundary.GetParentPart 0033 IndyStrToInt 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B 10 FF 52 14 85 C0 7E 19 8D 4D FC 33 D2 8B 43 08 8B 18 FF 53 0C 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 03 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_36033_0 {
	meta:
		name = "TIdMIMEBoundary.Pop"
		size = 25
	strings:
		$1 = { 56 8B F0 33 D2 8B 46 04 8B 08 FF 51 48 33 D2 8B 46 08 8B 08 FF 51 48 5E C3 }
	condition:
		$1
}

rule function_36034_0 {
	meta:
		name = "TIdMIMEBoundary.Push"
		size = 120
		refs = "0019 @UStrAddRef 0021 TIdMIMEBoundary.Push 003e IntToStr 0065 @UStrArrayClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 33 D2 8B 43 04 8B 38 FF 57 60 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 33 D2 8B 43 08 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_36035_0 {
	meta:
		name = "TIdMessage.AddHeader"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 70 8B 08 FF 51 38 5E C3 }
	condition:
		$1
}

rule function_36037_0 {
	meta:
		name = "TIdMessage.ClearBody"
		size = 21
		refs = "0007 TCollection.Clear"
	strings:
		$1 = { 56 8B F0 8B 46 74 E8 ?? ?? ?? ?? 8B 46 40 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_36038_0 {
	meta:
		name = "TIdMessage.ClearHeader"
		size = 264
		refs = "0007 TCollection.Clear 0035 @UStrClr 0075 TIdEMailAddressItem.SetText 00ba TIdMIMEBoundary.Clear 00c1 TIdMessage.ClearHeader 00cd TIdMessage.SetMsgID"
	strings:
		$1 = { 53 8B D8 8B 43 48 E8 ?? ?? ?? ?? 8B 43 3C E8 ?? ?? ?? ?? 33 C0 89 43 58 89 43 5C 8B 43 6C E8 ?? ?? ?? ?? 8B 83 80 00 00 00 8B 10 FF 52 44 8D 83 90 00 00 00 E8 ?? ?? ?? ?? 8D 83 A4 00 00 00 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 E8 ?? ?? ?? ?? 8D 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? C6 83 94 00 00 00 02 33 D2 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 8D 43 4C E8 ?? ?? ?? ?? 8D 43 44 E8 ?? ?? ?? ?? 8D 43 50 E8 ?? ?? ?? ?? 8D 43 54 E8 ?? ?? ?? ?? 33 D2 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 8B 43 70 8B 10 FF 52 44 8B 43 64 8B 10 FF 52 44 8B 43 78 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 43 69 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 83 B4 00 00 00 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 10 FF 52 44 C6 43 68 00 C6 83 CC 00 00 00 01 C6 83 CD 00 00 00 00 C6 83 CE 00 00 00 00 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_36039_0 {
	meta:
		name = "TIdMessage.InitComponent"
		size = 284
		refs = "0007 TIdInitializerComponent.InitComponent 000e _Dn_TStringList 0013 TStringList.Create 0025 _Dn_TIdEMailAddressList 002a TIdEMailAddressList.Create 005b _Dn_TIdMessageParts 0060 TIdMessageParts.Create 007e _Dn_TIdHeaderList 0083 TIdHeaderList.Create 00b2 _Dn_TIdEMailAddressItem 00b7 TIdEMailAddressItem.Create 00ee _DV_TIdMIMEBoundary 00f3 TIdMIMEBoundary.Create"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 40 C6 46 39 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A0 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 48 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 80 00 00 00 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 70 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 6C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 AC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B0 00 00 00 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 64 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 9C 00 00 00 C6 83 85 00 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 78 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 C8 00 00 00 8B C3 8B 10 FF 52 48 C6 43 68 00 5E 5B C3 }
	condition:
		$1
}

rule function_36040_0 {
	meta:
		name = "TIdMessage.Destroy"
		size = 278
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0104 TComponent.Destroy 010f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 A0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 74 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 80 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 70 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 64 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 6C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 B0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 9C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 78 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 C8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36041_0 {
	meta:
		name = "TIdMessage.IsBodyEmpty"
		size = 177
		refs = "0017 TIdMessage.IsBodyEmpty 0093 @UStrClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 EC 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8D 55 F4 8B 45 FC 8B 40 40 8B 08 FF 51 1C 8B 45 F4 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 33 BE 01 00 00 00 8D 55 EC 8B 45 FC 8B 40 40 8B 08 FF 51 1C 8B 45 EC 0F B7 44 70 FE 83 F8 0D 74 0F 83 F8 0A 74 0A 83 F8 09 74 05 83 F8 20 75 08 46 4B 75 D2 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_36042_0 {
	meta:
		name = "TIdMessage.GenerateHeader"
		size = 3028
		refs = "0018 TIdMessage.GenerateHeader 0026 TIdMessageParts.CountParts 0041 TIdMessage.SetEncoding 006b TIdMessageParts.GetItem 00c5 PosInStrArray 0166 @UStrClr 0178 TIdMIMEBoundary.Clear 0180 _Dn_TIdMIMEBoundaryStrings 0185 TIdMIMEBoundaryStrings.GenerateBoundary 0193 TIdMIMEBoundary.Push 01be TIdMessage.SetContentType 0208 TIdMessage.InitializeISO 0238 TIdMessage.IsBodyEmpty 025d EncodeAddress 026c TIdHeaderList.SetValue 0285 EncodeHeader 032a TStrings.GetCommaText 039d @UStrLAsg 03b0 IsHeaderMediaType 03e5 TIdHeaderList.SetParam 049e TIdEMailAddressItem.GetText 0514 EncodeAddressItem 054b TIdMessage.GetUseNowForDate 0554 Now 0576 LocalDateTimeToGMT 059a cPriorityStrs 05b6 IntToStr 062b TIdMessage.GetInReplyTo 0640 TIdHeaderList.GetValue 06a8 @UStrArrayClr 06bb @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 11 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 74 E8 ?? ?? ?? ?? 80 7B 68 00 75 20 8B 43 74 8B 40 08 83 78 08 00 75 0B B2 02 8B C3 E8 ?? ?? ?? ?? EB 09 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 74 8B 40 08 8B 70 08 4E 85 F6 0F 8C C1 00 00 00 46 33 FF 8B D7 8B 43 74 E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 51 28 83 7D F8 00 0F 84 9A 00 00 00 80 7B 68 01 75 5B 6A 00 B8 ?? ?? ?? ?? 89 45 C8 B8 ?? ?? ?? ?? 89 45 CC B8 ?? ?? ?? ?? 89 45 D0 B8 ?? ?? ?? ?? 89 45 D4 B8 ?? ?? ?? ?? 89 45 D8 B8 ?? ?? ?? ?? 89 45 DC 8D 55 C8 B9 05 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 40 75 4F 8B D7 8B 43 74 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 08 FF 51 40 EB 39 6A 00 B8 ?? ?? ?? ?? 89 45 C0 B8 ?? ?? ?? ?? 89 45 C4 8D 55 C0 B9 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 40 75 14 8B D7 8B 43 74 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 08 FF 51 40 47 4E 0F 85 42 FF FF FF 8B 43 74 8B 40 08 83 78 08 00 7E 3B 83 7B 50 00 74 35 6A 00 B8 ?? ?? ?? ?? 89 45 B4 B8 ?? ?? ?? ?? 89 45 B8 B8 ?? ?? ?? ?? 89 45 BC 8D 55 B4 B9 02 00 00 00 8B 43 50 E8 ?? ?? ?? ?? 40 75 08 8D 43 50 E8 ?? ?? ?? ?? 80 7B 68 01 0F 85 8B 00 00 00 8B 43 78 E8 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C9 FF 8B 55 F0 8B 43 78 E8 ?? ?? ?? ?? 8B 43 4C 85 C0 74 05 83 E8 04 8B 00 85 C0 75 4B 8B 43 74 83 78 2C 01 7E 22 83 78 20 00 7E 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 2E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 20 83 78 20 00 7E 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 74 8B 40 24 8B D3 8B 08 FF 51 04 8D 4D FC 8D 55 EA 8B C3 E8 ?? ?? ?? ?? 8B 53 70 8B 83 C8 00 00 00 8B 08 FF 51 08 80 7B 68 01 75 0F 8B 43 74 8B 40 08 83 78 08 01 0F 94 C0 EB 02 33 C0 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 88 83 CE 00 00 00 8B B3 C8 00 00 00 6A 01 8D 45 B0 50 8B 4D FC 0F B7 55 EA 8B 43 6C E8 ?? ?? ?? ?? 8B 4D B0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 AC 50 0F B7 4D EA 33 D2 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 4D AC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 45 A8 50 8B 4D FC 0F B7 55 EA 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 8B 4D A8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 45 A4 50 8B 4D FC 0F B7 55 EA 8B 43 48 E8 ?? ?? ?? ?? 8B 4D A4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 BB CD 00 00 00 00 75 10 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 24 6A 00 8D 45 A0 50 8B 4D FC 0F B7 55 EA 8B 43 3C E8 ?? ?? ?? ?? 8B 4D A0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 9C 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 8B 4D 9C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 7B 68 01 0F 85 EB 00 00 00 80 BB CE 00 00 00 00 74 40 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 04 01 00 00 83 7B 4C 00 74 7A 8D 45 F4 8B 53 44 E8 ?? ?? ?? ?? 83 7D F4 00 75 1E BA ?? ?? ?? ?? 8B 43 4C E8 ?? ?? ?? ?? 84 C0 74 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4B 4C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 74 8B 40 08 83 78 08 00 7E 1B 83 7D F0 00 74 15 8B 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 4B 50 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 62 8D 45 F4 8B 53 44 E8 ?? ?? ?? ?? 83 7D F4 00 75 1E BA ?? ?? ?? ?? 8B 43 4C E8 ?? ?? ?? ?? 84 C0 74 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4B 4C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 4B 50 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 98 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 8B 4D 98 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 45 94 50 8B 4D FC 0F B7 55 EA 8B 83 AC 00 00 00 E8 ?? ?? ?? ?? 8B 4D 94 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 90 50 0F B7 4D EA 33 D2 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B 4D 90 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 45 EC 50 8B 4D FC 0F B7 55 EA 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 8B 4D EC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 4D EC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 8B A4 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B E8 ?? ?? ?? ?? DD 5D E0 9B EB 0C 8B 43 58 89 45 E0 8B 43 5C 89 45 E4 FF 75 E4 FF 75 E0 8D 55 8C 33 C0 E8 ?? ?? ?? ?? 8B 4D 8C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 83 94 00 00 00 3C 02 74 37 83 E0 7F 8B 0C 85 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 88 0F B6 83 94 00 00 00 40 E8 ?? ?? ?? ?? 8B 4D 88 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 1C 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 BB CD 00 00 00 00 75 10 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 0F 8B 4B 7C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 64 8B 10 FF 52 14 85 C0 7E 0A 8B 53 64 8B C6 8B 08 FF 51 40 8D 55 84 8B C3 E8 ?? ?? ?? ?? 83 7D 84 00 75 3B 8D 4D 80 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7D 80 00 74 45 8D 8D 7C FF FF FF BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 8D 7C FF FF FF BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 1F 8D 95 78 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 8D 78 FF FF FF BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 0F 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 37 00 62 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 38 00 62 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 61 00 73 00 65 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 71 00 75 00 6F 00 74 00 65 00 64 00 2D 00 70 00 72 00 69 00 6E 00 74 00 61 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 62 00 69 00 6E 00 68 00 65 00 78 00 34 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 55 00 55 00 45 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 58 00 58 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 2F 00 6D 00 69 00 78 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 2F 00 61 00 6C 00 74 00 65 00 72 00 6E 00 61 00 74 00 69 00 76 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 74 00 65 00 78 00 74 00 2F 00 70 00 6C 00 61 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 72 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 75 00 62 00 6A 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 6F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 43 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 42 00 63 00 63 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4E 00 65 00 77 00 73 00 67 00 72 00 6F 00 75 00 70 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 31 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4D 00 49 00 4D 00 45 00 2D 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 72 00 61 00 6E 00 73 00 66 00 65 00 72 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 75 00 73 00 2D 00 61 00 73 00 63 00 69 00 69 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 62 00 6F 00 75 00 6E 00 64 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 6E 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 65 00 70 00 6C 00 79 00 2D 00 54 00 6F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4F 00 72 00 67 00 61 00 6E 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 2D 00 4E 00 6F 00 74 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2D 00 54 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 52 00 65 00 74 00 75 00 72 00 6E 00 2D 00 52 00 65 00 63 00 65 00 69 00 70 00 74 00 2D 00 54 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 65 00 66 00 65 00 72 00 65 00 6E 00 63 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 72 00 69 00 6F 00 72 00 69 00 74 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 58 00 2D 00 50 00 72 00 69 00 6F 00 72 00 69 00 74 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 2D 00 49 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 2D 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 6E 00 2D 00 52 00 65 00 70 00 6C 00 79 00 2D 00 54 00 6F 00 00 00 }
	condition:
		$1
}

rule function_36043_0 {
	meta:
		name = "GetMsgPriority"
		size = 280
		refs = "0012 @UStrAddRef 001a GetMsgPriority 002b LowerCase 0034 IndyPos 0075 Trim 008a Fetch 0097 IndyStrToInt 00b4 @UStrArrayClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 85 C0 74 04 B3 01 EB 55 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 85 C0 74 04 B3 03 EB 30 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B D8 4B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 75 00 72 00 67 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6E 00 6F 00 6E 00 2D 00 75 00 72 00 67 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36044_0 {
	meta:
		name = "TIdMessage.ProcessHeaders"
		size = 2016
		refs = "0016 TIdMessage.ProcessHeaders 002c TIdHeaderList.GetValue 0037 @UStrAsg 006f RemoveHeaderEntry 008d IsHeaderMediaType 00ef DecodeHeader 0123 TIdEMailAddressList.SetEMailAddresses 013d TIdMessage.SetMsgID 015b CommaSeparatedToStringList 0208 TIdMessage.SetInReplyTo 0226 TIdEMailAddressItem.SetText 0234 TIdEMailAddressItem.GetText 02b2 TIdEMailAddressList.GetEMailAddresses 02fe GMTToLocalDateTime 035e GetMsgPriority 03c5 TIdMIMEBoundary.Push 03e4 TIdMessage.SetEncoding 040c @UStrArrayClr 041f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 11 00 00 00 6A 00 6A 00 49 75 F9 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 4C E8 ?? ?? ?? ?? 83 7B 4C 00 75 1C 8D 43 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 45 6A 02 8D 45 F0 50 8D 4B 44 BA ?? ?? ?? ?? 8B 43 4C E8 ?? ?? ?? ?? 8B 55 F0 8D 43 4C E8 ?? ?? ?? ?? 83 7B 44 00 75 1E BA ?? ?? ?? ?? 8B 43 4C E8 ?? ?? ?? ?? 84 C0 74 0D 8D 43 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 55 EC 8D 43 50 E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 55 E8 8D 43 54 E8 ?? ?? ?? ?? 8D 4D E0 BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 83 98 00 00 00 E8 ?? ?? ?? ?? 8D 4D D8 BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 43 6C E8 ?? ?? ?? ?? 8D 4D D4 BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 8D 4D D0 BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 55 D0 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 8D 4D C8 BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 45 C8 8D 55 CC E8 ?? ?? ?? ?? 8B 55 CC 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 8D 4D C0 BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 45 C0 8D 55 C4 E8 ?? ?? ?? ?? 8B 55 C4 8B 43 48 E8 ?? ?? ?? ?? 8D 4D B8 BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 45 B8 8D 55 BC E8 ?? ?? ?? ?? 8B 55 BC 8B 43 3C E8 ?? ?? ?? ?? 8D 4D B4 BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 55 B4 8D 83 90 00 00 00 E8 ?? ?? ?? ?? 8D 4D B0 BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 55 B0 8B C3 E8 ?? ?? ?? ?? 8D 4D AC BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 55 AC 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 8D 55 A8 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 8B 45 A8 89 45 A4 8B 45 A4 85 C0 74 05 83 E8 04 8B 00 85 C0 75 1E 8D 4D A0 BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 55 A0 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 8D 4D 9C BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 55 9C 8D 83 A4 00 00 00 E8 ?? ?? ?? ?? 8D 4D 98 BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 55 98 8B 83 AC 00 00 00 E8 ?? ?? ?? ?? 8D 55 94 8B 83 AC 00 00 00 E8 ?? ?? ?? ?? 8B 45 94 89 45 A4 8B 45 A4 85 C0 74 05 83 E8 04 8B 00 85 C0 75 1E 8D 4D 90 BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 55 90 8B 83 AC 00 00 00 E8 ?? ?? ?? ?? 8D 4D 8C BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 45 8C E8 ?? ?? ?? ?? DD 5B 58 9B 8D 4D 88 BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 55 88 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 8D 4D 84 BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 45 84 89 45 A4 8B 45 A4 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 20 8D 4D 80 BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 45 80 E8 ?? ?? ?? ?? 88 83 94 00 00 00 EB 24 8D 8D 7C FF FF FF BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF E8 ?? ?? ?? ?? 88 83 94 00 00 00 6A 02 8D 85 78 FF FF FF 50 8D 4D FC BA ?? ?? ?? ?? 8B 43 4C E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8D 43 4C E8 ?? ?? ?? ?? 83 7D FC 00 74 0E 83 C9 FF 8B 55 FC 8B 43 78 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 83 7D F8 00 75 0B B2 02 8B C3 E8 ?? ?? ?? ?? EB 09 B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 BA 16 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 74 00 65 00 78 00 74 00 2F 00 70 00 6C 00 61 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 75 00 73 00 2D 00 61 00 73 00 63 00 69 00 69 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 72 00 61 00 6E 00 73 00 66 00 65 00 72 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 75 00 62 00 6A 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 72 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 2D 00 49 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4E 00 65 00 77 00 73 00 67 00 72 00 6F 00 75 00 70 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 6F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 43 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 42 00 63 00 63 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4F 00 72 00 67 00 61 00 6E 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 6E 00 2D 00 52 00 65 00 70 00 6C 00 79 00 2D 00 54 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 2D 00 4E 00 6F 00 74 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2D 00 54 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 52 00 65 00 74 00 75 00 72 00 6E 00 2D 00 52 00 65 00 63 00 65 00 69 00 70 00 74 00 2D 00 54 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 65 00 66 00 65 00 72 00 65 00 6E 00 63 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 65 00 70 00 6C 00 79 00 2D 00 54 00 6F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 74 00 75 00 72 00 6E 00 2D 00 50 00 61 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 6E 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 72 00 69 00 6F 00 72 00 69 00 74 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 58 00 2D 00 50 00 72 00 69 00 6F 00 72 00 69 00 74 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 62 00 6F 00 75 00 6E 00 64 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4D 00 49 00 4D 00 45 00 2D 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_36046_0 {
	meta:
		name = "TIWProgressIndicator.SetPreAsyncScript"
		size = 19
		altNames = "TIdMessage.SetBody TIdText.SetBody"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 40 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_36048_0 {
	meta:
		name = "TIdMessage.SetContentType"
		size = 316
		refs = "0011 TIdMessage.SetContentType 0030 RemoveHeaderEntry 003b @UStrAsg 0054 IsHeaderMediaType 0065 @UStrLAsg 00b2 @UStrArrayClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 5D 6A 02 8D 45 F8 50 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 4C E8 ?? ?? ?? ?? F6 43 1C 02 75 57 83 7D FC 00 75 1E BA ?? ?? ?? ?? 8B 43 4C E8 ?? ?? ?? ?? 84 C0 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 2D 8D 43 44 8B 55 FC E8 ?? ?? ?? ?? EB 20 8D 43 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 43 1C 02 75 0D 8D 43 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 75 00 73 00 2D 00 61 00 73 00 63 00 69 00 69 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 74 00 65 00 78 00 74 00 2F 00 70 00 6C 00 61 00 69 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_36049_0 {
	meta:
		name = "TIdMessage.SetExtraHeaders"
		size = 9
	strings:
		$1 = { 8B 40 64 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_36051_0 {
	meta:
		name = "TIdMessage.GetFrom"
		size = 32
		refs = "0010 TIdEMailAddressList.Add 001a TIdEMailAddressList.GetItem"
	strings:
		$1 = { 53 8B D8 8B 43 6C 8B 50 08 83 7A 08 00 75 05 E8 ?? ?? ?? ?? 33 D2 8B 43 6C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_36052_0 {
	meta:
		name = "TControl.SetFont"
		size = 13
		altNames = "TIdMessage.SetFromList"
	strings:
		$1 = { 56 8B F0 8B 46 6C 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_36053_0 {
	meta:
		name = "TIdMessage.SetHeaders"
		size = 9
	strings:
		$1 = { 8B 40 70 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_36054_0 {
	meta:
		name = "TIdMessage.SetNewsGroups"
		size = 22
		altNames = "TWebListInput.SetItems"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 80 00 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_36058_0 {
	meta:
		name = "TIdMessage.SetSender"
		size = 12
	strings:
		$1 = { 8B 80 B0 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_36059_0 {
	meta:
		name = "TIdMessage.GetUseNowForDate"
		size = 24
		refs = "0007 TIdMessage.GetUseNowForDate"
	strings:
		$1 = { 8B D0 DD 42 58 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 94 C0 C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_36060_0 {
	meta:
		name = "TIdMessage.SetUseNowForDate"
		size = 43
		refs = "0009 TIdMessage.GetUseNowForDate 0020 Now"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 17 84 DB 74 0A 33 C0 89 46 58 89 46 5C EB 09 E8 ?? ?? ?? ?? DD 5E 58 9B 5E 5B C3 }
	condition:
		$1
}

rule function_36061_0 {
	meta:
		name = "TIdMessage.SetAttachmentEncoding"
		size = 9
		refs = "0004 TIdMessageParts.SetAttachmentEncoding"
	strings:
		$1 = { 8B 40 74 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36062_0 {
	meta:
		name = "TIdMessage.GetAttachmentEncoding"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 74 8B 52 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36063_0 {
	meta:
		name = "TIdMessage.SetEncoding"
		size = 76
		refs = "0009 TIdMessage.SetEncoding 000e TIdMessage.SetAttachmentEncoding"
	strings:
		$1 = { 88 50 68 80 FA 01 75 0B BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 49 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 55 00 55 00 45 00 00 00 }
	condition:
		$1
}

rule function_36064_0 {
	meta:
		name = "TIdMessage.LoadFromFile"
		size = 220
		refs = "001b TIdMessage.LoadFromFile 002a FileExists 003a RSIdMessageCannotLoad 003f LoadResString 0055 IndyFormat 005d _DV_EIdMessageCannotLoad 0062 EIdException.Toss 006b _Dn_TIdReadFileExclusiveStream 0070 TIdReadFileExclusiveStream.Create 008d TIdMessage.LoadFromStream 00a7 TObject.Free 00ad @HandleFinally 00c9 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F8 89 5D F4 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C7 E8 ?? ?? ?? ?? 84 C0 75 34 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 89 7D EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CB 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_36065_0 {
	meta:
		name = "TIdMessage.LoadFromStream"
		size = 97
		refs = "0017 _Dn_TIdMessageClient 001c TIdInitializerComponent.Create 0027 TIdMessage.LoadFromStream 003a TIdMessageClient.ProcessMessage 004f TObject.Free 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B F2 8B F8 8B C7 8B 10 FF 52 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36066_0 {
	meta:
		name = "TIdMessage.SaveToFile"
		size = 154
		refs = "0014 _Dn_TIdFileCreateStream 0019 TIdFileCreateStream.Create 0024 TIdMessage.SaveToFile 004f TIdMessage.SaveToStream 006c @HandleFinally 0088 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D9 8B F2 89 45 FC 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC C6 80 CD 00 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 CD 00 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_36067_0 {
	meta:
		name = "TIdMessage.SaveToStream"
		size = 236
		refs = "0014 _Dn_TIdMessageClient 0019 TIdBaseComponent.Create 0024 TIdMessage.SaveToStream 0036 _Dn_TIdIOHandlerStream 003b TIdIOHandlerStream.Create 00a6 TObject.Free 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 8B FA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 57 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 C6 80 D8 00 00 00 00 8B 55 F8 8B 45 FC 8B 08 FF 51 60 8B CB 8B D6 8B 45 FC 8B 30 FF 96 D4 00 00 00 84 DB 75 18 8B 45 FC 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36068_0 {
	meta:
		name = "TCustomApplicationEvents.DoRestore"
		size = 27
		altNames = "TIdMessage.DoInitializeISO"
	strings:
		$1 = { 53 66 83 B8 8A 00 00 00 00 74 0E 8B D8 8B 83 8C 00 00 00 FF 93 88 00 00 00 5B C3 }
	condition:
		$1
}

rule function_36069_0 {
	meta:
		name = "TIdMessage.InitializeISO"
		size = 98
		refs = "000f IdGetDefaultCharSet 0018 IdCharsetNames 0022 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 8B F8 66 C7 03 42 00 E8 ?? ?? ?? ?? 0F B7 C0 8B 15 ?? ?? ?? ?? 8B 14 82 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 2D DF 00 74 08 66 2D 54 02 74 09 EB 1A 66 C7 03 51 00 EB 13 8B C6 8B 15 ?? ?? ?? ?? 8B 92 C0 0A 00 00 E8 ?? ?? ?? ?? 8B CE 8B D3 8B C7 8B 18 FF 53 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36070_0 {
	meta:
		name = "TIdMessage.DoCreateAttachment"
		size = 64
		refs = "0032 _Dn_TIdAttachmentFile 0037 TIdAttachmentFile.Create"
	strings:
		$1 = { 53 56 8B F1 8B D8 33 C0 89 06 66 83 BB C2 00 00 00 00 74 11 56 8B CA 8B D3 8B 83 C4 00 00 00 FF 93 C0 00 00 00 83 3E 00 75 13 6A 00 8B 4B 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 06 5E 5B C3 }
	condition:
		$1
}

rule function_36071_0 {
	meta:
		name = "TIdMessage.IsBodyEncodingRequired"
		size = 161
		refs = "0014 TIdMessage.IsBodyEncodingRequired 008d @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 F8 8B 40 40 8B 10 FF 52 14 48 85 C0 7C 4C 40 89 45 F0 C7 45 F4 00 00 00 00 8D 4D FC 8B 45 F8 8B 40 40 8B 55 F4 8B 30 FF 56 0C 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 18 BA 01 00 00 00 8B 4D FC 66 83 7C 51 FE 7F 76 04 B3 01 EB 0C 42 48 75 ED FF 45 F4 FF 4D F0 75 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38195_0 {
	meta:
		name = "TIdText.IsBodyEncodingRequired"
		size = 161
		refs = "0014 TIdText.IsBodyEncodingRequired 008d @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 F8 8B 40 40 8B 10 FF 52 14 48 85 C0 7C 4C 40 89 45 F0 C7 45 F4 00 00 00 00 8D 4D FC 8B 45 F8 8B 40 40 8B 55 F4 8B 30 FF 56 0C 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 18 BA 01 00 00 00 8B 4D FC 66 83 7C 51 FE 7F 76 04 B3 01 EB 0C 42 48 75 ED FF 45 F4 FF 4D F0 75 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_36072_0 {
	meta:
		name = "TIdMessage.GetInReplyTo"
		size = 22
		refs = "000f EnsureMsgIDBrackets"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36073_0 {
	meta:
		name = "TIdMessage.SetInReplyTo"
		size = 83
		refs = "000f TIdMessage.SetInReplyTo 001f EnsureMsgIDBrackets 002d @UStrAsg 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 A8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36074_0 {
	meta:
		name = "TIdMessage.SetMsgID"
		size = 80
		refs = "000f TIdMessage.SetMsgID 001f EnsureMsgIDBrackets 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 7C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36075_0 {
	meta:
		name = "TIdMessage.SetAttachmentTempDirectory"
		size = 92
		refs = "000f TIdMessage.SetAttachmentTempDirectory 001f @UStrEqual 002b IndyExcludeTrailingPathDelimiter 0036 @UStrAsg 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 53 38 E8 ?? ?? ?? ?? 74 15 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36076_0 {
	meta:
		name = "Finalization"
		size = 90
		refs = "0007 Finalization 0013 _DV_6 001a MessageFlags 0025 string 002a @FinalizeArray 002f cPriorityStrs 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2A B8 ?? ?? ?? ?? B9 06 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_36079_0 {
	meta:
		name = "TIdMessageBuilderAttachment.Assign"
		size = 102
		refs = "000b _DV_TIdMessageBuilderAttachment 0010 @IsClass 0021 @UStrAsg 005e TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 41 8D 43 0C 8B FE 8B 57 0C E8 ?? ?? ?? ?? 8D 43 10 8B 57 10 E8 ?? ?? ?? ?? 8D 43 14 8B 57 14 E8 ?? ?? ?? ?? 8B 47 18 89 43 18 8D 43 1C 8B 57 1C E8 ?? ?? ?? ?? 8D 43 20 8B 57 20 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36082_0 {
	meta:
		name = "TIdMessageBuilderAttachments.Add"
		size = 44
		refs = "000c TCollection.Add 0018 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 43 0C 8B D7 E8 ?? ?? ?? ?? 8D 43 1C 8B D6 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36083_0 {
	meta:
		name = "TIdMessageBuilderAttachments.Add"
		size = 54
		refs = "000f TCollection.Add 001c @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 43 0C 8B 55 08 E8 ?? ?? ?? ?? 8D 43 14 8B D7 E8 ?? ?? ?? ?? 89 73 18 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_36084_0 {
	meta:
		name = "FormatContentId"
		size = 35
		refs = "0012 EnsureMsgIDBrackets 001c @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 0C 00 74 0D 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36085_0 {
	meta:
		name = "FormatContentType"
		size = 38
		refs = "0012 @UStrAsg 001f GetMIMETypeFromFile"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 14 00 74 0D 8B C6 8B 53 14 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B 43 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36086_0 {
	meta:
		name = "FormatName"
		size = 53
		refs = "0012 @UStrAsg 0025 ExtractFileName 002e @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 20 00 74 0D 8B C6 8B 53 20 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 1C 00 74 0C 8B D6 8B 43 1C E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36087_0 {
	meta:
		name = "TIdMessageBuilderAttachments.AddToMessage"
		size = 544
		refs = "0027 TIdMessageBuilderAttachments.AddToMessage 0055 TIdMessageBuilderAttachments.GetAttachment 0072 _Dn_TIdAttachmentMemory 0077 TIdAttachmentMemory.Create 0096 ExtractFileName 00a4 @UStrAsg 00c9 TStream.CopyFrom 00e4 @HandleFinally 00f5 @HandleAnyException 00fd TObject.Free 0102 @RaiseAgain 0107 @DoneExcept 011d _Dn_TIdAttachmentFile 0122 TIdAttachmentFile.Create 0130 FormatName 0149 FormatContentId 015f FormatContentType 0196 IsHeaderMediaType 01d6 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D D8 89 5D DC 89 5D E0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B 40 08 48 85 C0 0F 8C 7D 01 00 00 40 89 45 E4 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 83 78 18 00 0F 84 A4 00 00 00 8B 45 F8 8B 48 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 E0 8B 45 EC 8B 40 1C E8 ?? ?? ?? ?? 8B 55 E0 8B 45 E8 83 C0 1C E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 5C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 6A 00 8B 55 EC 8B 52 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 60 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 35 E9 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B 45 EC 8B 40 1C 50 8B 45 F8 8B 48 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8D 55 DC 8B 45 EC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 E8 83 C0 20 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 EC E8 ?? ?? ?? ?? 8B 55 D8 8B 45 E8 8B 08 FF 51 44 8D 55 D4 8B 45 EC E8 ?? ?? ?? ?? 8B 55 D4 8B 45 E8 8B 08 FF 51 3C 8B 45 EC 8B 50 10 8B 45 E8 8B 08 FF 51 40 83 7D F4 FF 7E 32 8D 55 D0 8B 45 E8 8B 08 FF 51 24 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D BA ?? ?? ?? ?? 8B 45 E8 8B 08 FF 51 38 8B 45 E8 8B 55 F4 89 50 38 FF 45 F0 FF 4D E4 0F 85 8E FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 6D 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 69 00 6E 00 6C 00 69 00 6E 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_36090_0 {
	meta:
		name = "TIdCustomMessageBuilder.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TStringList 0023 TStringList.Create 002d _DV_TIdMessageBuilderAttachments 0032 TIdMessageBuilderAttachments.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84002_0 {
	meta:
		name = "TFadeControls.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TCriticalSection 0023 TCriticalSection.Create 002d _Dn_TObjectList 0032 TObjectList.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36092_0 {
	meta:
		name = "TIdCustomMessageBuilder.AddAttachments"
		size = 12
		refs = "0007 TIdMessageBuilderAttachments.AddToMessage"
	strings:
		$1 = { 83 C9 FF 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36093_0 {
	meta:
		name = "TIdCustomMessageBuilder.Clear"
		size = 37
		refs = "0007 TCollection.Clear 0017 @UStrClr"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8B 43 08 8B 10 FF 52 44 8D 43 0C E8 ?? ?? ?? ?? 8D 43 10 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_36094_0 {
	meta:
		name = "TIdCustomMessageBuilder.FillMessage"
		size = 80
		refs = "000d TIdMessage.ClearBody 0016 TIdMessage.SetContentType 001e @UStrClr 002f TIdMessage.SetEncoding 0040 TIdCustomMessageBuilder.AddAttachments"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 43 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 44 E8 ?? ?? ?? ?? 8D 43 50 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C6 8B 08 FF 11 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 8B 08 FF 51 04 5E 5B C3 }
	condition:
		$1
}

rule function_36095_0 {
	meta:
		name = "TIdCustomMessageBuilder.NewMessage"
		size = 99
		refs = "0010 _Dn_TIdMessage 0015 TIdBaseComponent.Create 0020 TIdCustomMessageBuilder.NewMessage 0030 TIdCustomMessageBuilder.FillMessage 003f @HandleAnyException 004c TObject.Free 0051 @RaiseAgain 0056 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36096_0 {
	meta:
		name = "TIdCustomMessageBuilder.SetAttachments"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 04 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_36097_0 {
	meta:
		name = "TIdCustomMessageBuilder.FillHeaders"
		size = 252
		refs = "000f TIdCustomMessageBuilder.FillHeaders 0039 TIdMessage.SetContentType 0041 @UStrClr 0052 TIdMessageParts.GetItem 0073 @UStrAsg 00bd @UStrArrayClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 04 8B 40 08 83 78 08 00 7E 69 8B 43 74 8B 50 08 83 7A 08 01 7E 1E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 43 44 E8 ?? ?? ?? ?? 8D 43 50 E8 ?? ?? ?? ?? EB 58 33 D2 E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B C6 8B 08 FF 51 24 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 43 44 8B 56 10 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 8B 08 FF 51 28 8B 55 F8 8D 43 50 E8 ?? ?? ?? ?? EB 19 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 44 E8 ?? ?? ?? ?? 8D 43 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 2F 00 6D 00 69 00 78 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_36098_0 {
	meta:
		name = "TIdCustomMessageBuilder.SetPlainText"
		size = 19
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 08 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_36099_0 {
	meta:
		name = "TIdMessageBuilderPlain.FillBody"
		size = 140
		refs = "0036 _Dn_TIdText 003b TIdText.Create 0042 TIdMessageBuilderPlain.FillBody 0054 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 08 8B 10 FF 52 14 85 C0 7E 4F 8B 46 04 8B 40 08 83 78 08 00 75 0D 8B 47 40 8B 56 08 8B 08 FF 51 08 EB 36 8B 46 08 50 8B 4F 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 3C 8D 43 10 8B 56 0C E8 ?? ?? ?? ?? 8B 56 10 8B C3 8B 08 FF 51 40 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 74 00 65 00 78 00 74 00 2F 00 70 00 6C 00 61 00 69 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_36100_0 {
	meta:
		name = "TIdMessageBuilderPlain.FillHeaders"
		size = 124
		refs = "0028 TIdMessageBuilderPlain.FillHeaders 002f TIdMessage.SetContentType 003a @UStrAsg 0051 TIdCustomMessageBuilder.FillHeaders"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 8B 10 FF 52 14 85 C0 7E 0F 8B 43 04 8B 40 08 83 78 08 00 0F 94 C0 EB 02 33 C0 84 C0 74 25 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 46 44 8B 53 0C E8 ?? ?? ?? ?? 8D 46 50 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 74 00 65 00 78 00 74 00 2F 00 70 00 6C 00 61 00 69 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_36101_0 {
	meta:
		name = "TIdMessageBuilderHtml.Create"
		size = 96
		refs = "000a @ClassCreate 0017 TIdCustomMessageBuilder.Create 001e _Dn_TStringList 0023 TStringList.Create 002d _DV_TIdMessageBuilderAttachments 0032 TIdMessageBuilderAttachments.Create 003d rsHtmlViewerNeeded 0042 LoadResString 004d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 8D 56 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36102_0 {
	meta:
		name = "TIdMessageBuilderHtml.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TIdCustomMessageBuilder.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36103_0 {
	meta:
		name = "TIdMessageBuilderHtml.Clear"
		size = 44
		refs = "000f @UStrClr 001f TCollection.Clear 0026 TIdCustomMessageBuilder.Clear"
	strings:
		$1 = { 53 8B D8 8B 43 14 8B 10 FF 52 44 8D 43 18 E8 ?? ?? ?? ?? 8D 43 1C E8 ?? ?? ?? ?? 8B 43 20 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_36104_0 {
	meta:
		name = "TIdMessageBuilderHtml.FillBody"
		size = 696
		refs = "00c2 _Dn_TIdText 00c7 TIdText.Create 00ce TIdMessageBuilderHtml.FillBody 00dc TCollectionItem.GetIndex 0129 @UStrAsg 01dc TIdMessageBuilderAttachments.AddToMessage"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B FA 8B F0 8B 46 08 8B 10 FF 52 14 85 C0 0F 9F 04 24 8B 46 14 8B 10 FF 52 14 85 C0 0F 9F C3 84 DB 74 0F 8B 46 20 8B 40 08 83 78 08 00 0F 9F C0 EB 02 33 C0 88 44 24 01 8B 46 04 8B 40 08 83 78 08 00 0F 9F C0 C7 44 24 04 FF FF FF FF C7 44 24 08 FF FF FF FF 0F B6 14 24 0A D3 75 0F 80 7C 24 01 00 75 08 84 C0 0F 84 6D 01 00 00 80 3C 24 00 74 16 8B D3 0A D0 75 10 8B 47 40 8B 56 08 8B 08 FF 51 08 E9 51 01 00 00 84 DB 74 1E 0F B6 14 24 0A 54 24 01 75 14 84 C0 75 10 8B 47 40 8B 56 14 8B 08 FF 51 08 E9 2F 01 00 00 84 1C 24 74 2E 84 C0 74 2A 6A 00 8B 4F 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 BA ?? ?? ?? ?? 8B C5 8B 08 FF 51 3C 8B C5 E8 ?? ?? ?? ?? 89 44 24 04 0F B6 04 24 0A C3 74 52 8B 46 08 50 8B 4F 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 84 DB 74 11 80 3C 24 00 75 0B 8B 45 40 8B 56 24 8B 08 FF 51 2C BA ?? ?? ?? ?? 8B C5 8B 08 FF 51 3C 8D 45 10 8B 56 0C E8 ?? ?? ?? ?? 8B 56 10 8B C5 8B 08 FF 51 40 8B 44 24 04 89 45 38 84 DB 0F 84 9A 00 00 00 80 7C 24 01 00 74 31 6A 00 8B 4F 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 3C 8B 44 24 04 89 43 38 8B C3 E8 ?? ?? ?? ?? 89 44 24 08 8B 46 14 50 8B 4F 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 3C 8D 43 10 8B 56 18 E8 ?? ?? ?? ?? 8B 56 1C 8B C3 8B 08 FF 51 40 83 7C 24 08 FF 74 09 8B 44 24 08 89 43 38 EB 07 8B 44 24 04 89 43 38 80 7C 24 01 00 74 0E 8B 4C 24 08 8B D7 8B 46 20 E8 ?? ?? ?? ?? 83 C4 0C 5D 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 15 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 2F 00 61 00 6C 00 74 00 65 00 72 00 6E 00 61 00 74 00 69 00 76 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 74 00 65 00 78 00 74 00 2F 00 70 00 6C 00 61 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 2F 00 72 00 65 00 6C 00 61 00 74 00 65 00 64 00 3B 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 22 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 00 00 }
	condition:
		$1
}

rule function_36105_0 {
	meta:
		name = "TIdMessageBuilderHtml.FillHeaders"
		size = 332
		refs = "002f TIdMessageBuilderHtml.FillHeaders 0036 TIdMessage.SetContentType 0041 @UStrAsg 00b3 @UStrClr 00c7 TIdCustomMessageBuilder.FillHeaders"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B 40 08 83 78 08 00 0F 85 AC 00 00 00 8B 43 08 8B 10 FF 52 14 85 C0 7E 30 8B 43 14 8B 10 FF 52 14 85 C0 75 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 46 44 8B 53 0C E8 ?? ?? ?? ?? 8D 46 50 8B 53 10 E8 ?? ?? ?? ?? EB 79 8B 43 14 8B 10 FF 52 14 85 C0 7E 6D 8B 43 08 8B 10 FF 52 14 85 C0 75 0F 8B 43 20 8B 40 08 83 78 08 00 0F 94 C0 EB 02 33 C0 84 C0 74 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 46 44 8B 53 18 E8 ?? ?? ?? ?? 8D 46 50 8B 53 1C E8 ?? ?? ?? ?? EB 28 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 46 44 E8 ?? ?? ?? ?? 8D 46 50 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 74 00 65 00 78 00 74 00 2F 00 70 00 6C 00 61 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 2F 00 61 00 6C 00 74 00 65 00 72 00 6E 00 61 00 74 00 69 00 76 00 65 00 00 00 }
	condition:
		$1
}

rule function_36108_0 {
	meta:
		name = "TIdMessageBuilderRtf.Create"
		size = 85
		refs = "000a @ClassCreate 0017 TIdCustomMessageBuilder.Create 001e _Dn_TStringList 0023 TStringList.Create 0032 rsRtfViewerNeeded 0037 LoadResString 0042 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 C6 46 18 00 8D 56 1C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36110_0 {
	meta:
		name = "TIdMessageBuilderRtf.Clear"
		size = 20
		refs = "000e TIdCustomMessageBuilder.Clear"
	strings:
		$1 = { 53 8B D8 8B 43 14 8B 10 FF 52 44 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_36111_0 {
	meta:
		name = "TIdMessageBuilderRtf.FillBody"
		size = 400
		refs = "008f _Dn_TIdText 0094 TIdText.Create 009b TIdMessageBuilderRtf.FillBody 00a9 TCollectionItem.GetIndex 011c cTextRtf"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B FA 8B F0 8B 46 08 8B 10 FF 52 14 85 C0 0F 9F 04 24 8B 46 14 8B 10 FF 52 14 85 C0 0F 9F C3 8B 46 04 8B 40 08 83 78 08 00 0F 9F C0 83 CD FF 0F B6 14 24 0A D3 75 08 84 C0 0F 84 E4 00 00 00 80 3C 24 00 74 16 8B D3 0A D0 75 10 8B 47 40 8B 56 08 8B 08 FF 51 08 E9 C8 00 00 00 84 DB 74 18 0F B6 14 24 0A D0 75 10 8B 47 40 8B 56 14 8B 08 FF 51 08 E9 AC 00 00 00 84 1C 24 74 2C 84 C0 74 28 6A 00 8B 4F 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 BA ?? ?? ?? ?? 8B C5 8B 08 FF 51 3C 8B C5 E8 ?? ?? ?? ?? 8B E8 0F B6 04 24 0A C3 74 45 8B 46 08 50 8B 4F 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 04 84 DB 74 15 80 3C 24 00 75 0F 8B 44 24 04 8B 40 40 8B 56 1C 8B 08 FF 51 2C BA ?? ?? ?? ?? 8B 44 24 04 8B 08 FF 51 3C 8B 44 24 04 89 68 38 84 DB 74 2A 8B 46 14 50 8B 4F 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 0F B6 46 18 8B 14 85 ?? ?? ?? ?? 8B C3 8B 08 FF 51 3C 89 6B 38 59 5A 5D 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 2F 00 61 00 6C 00 74 00 65 00 72 00 6E 00 61 00 74 00 69 00 76 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 74 00 65 00 78 00 74 00 2F 00 70 00 6C 00 61 00 69 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_36112_0 {
	meta:
		name = "TIdMessageBuilderRtf.FillHeaders"
		size = 280
		refs = "002f TIdMessageBuilderRtf.FillHeaders 0036 TIdMessage.SetContentType 0041 @UStrAsg 0071 cTextRtf 0080 @UStrClr 00b2 TIdCustomMessageBuilder.FillHeaders"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B 40 08 83 78 08 00 0F 85 97 00 00 00 8B 43 08 8B 10 FF 52 14 85 C0 7E 30 8B 43 14 8B 10 FF 52 14 85 C0 75 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 46 44 8B 53 0C E8 ?? ?? ?? ?? 8D 46 50 8B 53 10 E8 ?? ?? ?? ?? EB 64 8B 43 14 8B 10 FF 52 14 85 C0 7E 30 8B 43 08 8B 10 FF 52 14 85 C0 75 24 0F B6 43 18 8B 14 85 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 46 44 E8 ?? ?? ?? ?? 8D 46 50 E8 ?? ?? ?? ?? EB 28 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 46 44 E8 ?? ?? ?? ?? 8D 46 50 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 74 00 65 00 78 00 74 00 2F 00 70 00 6C 00 61 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 2F 00 61 00 6C 00 74 00 65 00 72 00 6E 00 61 00 74 00 69 00 76 00 65 00 00 00 }
	condition:
		$1
}

rule function_36116_0 {
	meta:
		name = "GetLongestLine"
		size = 224
		refs = "001a GetLongestLine 0028 @UStrClr 0077 @UStrCopy 0082 @UStrEqual 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 89 45 F0 8B 07 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 38 BB 01 00 00 00 8B 07 0F B7 44 58 FE 8B 55 FC 66 3B 02 75 20 8D 45 E8 50 8B 07 8B 4D F0 8B D3 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 FC E8 ?? ?? ?? ?? 75 03 89 5D F4 43 4E 75 CD 83 7D F4 00 7E 27 8B 45 F8 50 8B 4D F4 49 8B 07 BA 01 00 00 00 E8 ?? ?? ?? ?? 57 8B 55 F4 03 55 F0 8B 07 B9 FF FF FF 7F E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_36117_0 {
	meta:
		name = "RemoveLastBlankLine"
		size = 105
		refs = "000e RemoveLastBlankLine 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 2A 8B C6 8B 10 FF 52 14 8B F8 85 FF 7E 1D 8D 4D FC 8B D7 4A 8B C6 8B 18 FF 53 0C 83 7D FC 00 75 0A 8B D7 4A 8B C6 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36118_0 {
	meta:
		name = "TIdIOHandlerStreamMsg.Create"
		size = 81
		refs = "000d @ClassCreate 0022 TIdIOHandlerStream.Create 003b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 F8 00 00 00 00 C6 86 F9 00 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_36119_0 {
	meta:
		name = "TIdIOHandlerStreamMsg.Readable"
		size = 47
		refs = "000f TIdIOHandlerStream.Readable"
	strings:
		$1 = { 53 8B D8 80 BB F8 00 00 00 00 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 16 83 BB E8 00 00 00 00 74 0B 0F B6 83 F8 00 00 00 34 01 EB 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_36120_0 {
	meta:
		name = "TIdIOHandlerStreamMsg.ReadDataFromSource"
		size = 280
		refs = "0010 TIdIOHandlerStreamMsg.ReadDataFromSource 002c TIdIOHandlerStream.ReadDataFromSource 005b @UStrLAsg 0096 CopyTIdString 00bd @UStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB F8 00 00 00 00 0F 85 83 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 0F 8B 07 0F B6 44 30 FF 88 83 F9 00 00 00 EB 67 0F B6 83 F9 00 00 00 66 83 F8 0A 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 66 83 F8 0D 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 F8 00 00 00 01 6A FF 6A 00 8B D7 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 EB 02 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 0A 00 2E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 0D 00 0A 00 2E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_36121_0 {
	meta:
		name = "TIdMessageClient.InitComponent"
		size = 56
		refs = "0006 TIdExplicitTLSClient.InitComponent 001b TIdMessageClient.InitComponent 0020 @UStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 83 38 01 00 00 4F 00 00 00 8D 83 3C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_36122_0 {
	meta:
		name = "TIdMessageClient.WriteFoldedLine"
		size = 512
		refs = "001a TIdMessageClient.WriteFoldedLine 002a @UStrLAsg 0086 @UStrCopy 0096 GetLongestLine 00bf @UStrCat3 013b @UStrCatN 0159 @UStrLen 0175 Trim 01d1 @UStrArrayClr 01e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B DA 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 EC 8B 92 3C 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 66 89 45 EA 8B 45 EC 0F B7 B0 38 01 00 00 8B 5D F8 8B C3 85 C0 74 05 83 E8 04 8B 00 8B 55 EC 3B 82 38 01 00 00 0F 8E 2F 01 00 00 8D 45 F0 50 0F B7 CE BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D F4 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 74 05 83 EB 04 8B 1B 8D 45 E4 50 0F B7 D6 42 8B CB 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D E4 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 EC 8B 80 98 00 00 00 33 C9 8B 55 F4 8B 18 FF 93 A4 00 00 00 EB 7A 8D 45 F0 50 0F B7 CE 0F B7 45 EA 2B C8 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D F4 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B FF 75 FC FF 75 F0 8D 45 E0 50 0F B7 D6 0F B7 45 EA 2B D0 42 8B CB 8B 45 F8 E8 ?? ?? ?? ?? FF 75 E0 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8B 80 98 00 00 00 33 C9 8B 55 F4 8B 18 FF 93 A4 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 0F B7 D6 0F B7 4D EA 2B D1 3B C2 0F 8F 6D FF FF FF 8D 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 83 7D DC 00 74 3C 8D 45 D8 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 D8 8B 45 EC 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 EB 16 8B 45 EC 8B 80 98 00 00 00 33 C9 8B 55 F8 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36123_0 {
	meta:
		name = "CaptureAndDecodeCharset"
		size = 141
		refs = "000a _Dn_TMemoryStream 000f TObject.Create 001a CaptureAndDecodeCharset 003d TIdIOHandler.Capture 0049 TStream.SetPosition 0063 ReadStringsAsCharset 007d TObject.Free 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 01 53 8B 45 08 8B 48 F4 8B 45 08 8B 40 F8 8B 80 98 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 8B 48 44 8B 45 08 8B 40 F0 8B 50 40 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 5D C3 }
	condition:
		$1
}

rule function_36124_0 {
	meta:
		name = "ProcessTextPart"
		size = 1412
		refs = "001a ProcessTextPart 0027 _Dn_TMemoryStream 002c TObject.Create 004b TIdMIMEBoundary.GetParentPart 007e TStream.SetPosition 00ab ReadStringsAsCharset 00c7 TStrings.GetValue 00db ReadStringsAsContentType 0114 _Dn_TIdText 0119 TIdText.Create 0157 RemoveLastBlankLine 0174 TIdMessagePart.ResolveContentType 019c TIdMessagePart.GetCharSet 01aa @UStrAsg 0272 TStrings.GetName 0280 TIdHeaderList.IndexOfName 02d2 IsHeaderMediaType 032a PosInStrArray 0354 @HandleAnyException 035c TObject.Free 0361 @RaiseAgain 0366 @DoneExcept 03b3 @HandleFinally 03cf @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0C 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 F0 8B 40 78 E8 ?? ?? ?? ?? 8B 55 08 89 42 EC 8B 45 08 8D 48 FF 8B 06 8B 55 FC 8B 38 FF 57 50 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 84 DB 74 5E 8B 45 08 8B 40 F0 80 B8 CE 00 00 00 00 74 1F 8B 45 08 8B 40 F0 8B 48 44 8B 45 08 8B 40 F0 8B 50 40 8B 45 FC E8 ?? ?? ?? ?? E9 B6 02 00 00 6A 02 8D 4D E8 8B 06 8B 80 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 8B 45 08 8B 40 F0 8B 50 40 8B 45 FC E8 ?? ?? ?? ?? E9 86 02 00 00 8B 45 08 8B 40 F0 80 B8 CE 00 00 00 00 74 0B 8B 45 08 8B 40 F0 8B 58 70 EB 08 8B 06 8B 98 98 00 00 00 6A 00 8B 45 08 8B 40 F0 8B 48 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 8D 4D E4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 4D E4 8B 45 F4 8B 50 40 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 40 E8 ?? ?? ?? ?? 8D 4D DC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8D 4D E0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 8B 08 FF 51 3C 8D 4D D4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 D4 8D 4D D8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F4 83 C0 10 E8 ?? ?? ?? ?? 8D 4D D0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F4 8B 08 FF 51 40 8D 4D CC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F4 8B 08 FF 51 44 8D 4D C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F4 8B 08 FF 51 4C 8D 4D C4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 F4 8B 08 FF 51 48 8D 4D C0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F4 8B 08 FF 51 38 8B 45 08 8B 40 F0 80 B8 CE 00 00 00 00 75 6C 8B 45 F4 8B 40 18 83 C0 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 48 85 C0 7C 4D 40 89 45 EC C7 45 F8 00 00 00 00 8D 4D BC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 BC 8B 45 F4 8B 40 24 E8 ?? ?? ?? ?? 85 C0 7D 1B 8D 4D B8 8B 55 F8 8B C3 8B 38 FF 57 0C 8B 55 B8 8B 45 F4 8B 40 18 8B 08 FF 51 38 FF 45 F8 FF 4D EC 75 BE 8B 45 F4 83 C0 1C 8B 16 8B 92 90 00 00 00 E8 ?? ?? ?? ?? 8D 55 B4 8B 45 F4 8B 08 FF 51 24 8B 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 63 8B 45 08 8B 40 E8 8B 55 F4 89 42 38 8D 55 B0 8B 45 F4 8B 08 FF 51 28 83 7D B0 00 74 52 6A 00 8D 55 AC 8B 45 F4 8B 08 FF 51 28 8B 45 AC 50 B8 ?? ?? ?? ?? 89 45 A0 B8 ?? ?? ?? ?? 89 45 A4 B8 ?? ?? ?? ?? 89 45 A8 8D 55 A0 B9 02 00 00 00 58 E8 ?? ?? ?? ?? 40 75 18 33 D2 8B 45 F4 8B 08 FF 51 40 EB 0C 8B 45 08 8B 40 EC 8B 55 F4 89 42 38 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B 45 F0 89 06 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 10 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 72 00 61 00 6E 00 73 00 66 00 65 00 72 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 65 00 73 00 63 00 72 00 69 00 70 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 37 00 62 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 38 00 62 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_36125_0 {
	meta:
		name = "ProcessAttachment"
		size = 1432
		refs = "0019 ProcessAttachment 002d TIdMIMEBoundary.GetParentPart 00b2 @HandleFinally 00e8 TStrings.GetValue 00f6 TIdMessagePart.ResolveContentType 011e TIdMessagePart.GetCharSet 012c @UStrAsg 0137 _Dn_TIdMessageDecoderUUE 013c @IsClass 016d IsHeaderMediaType 0242 TStrings.GetName 0250 TIdHeaderList.IndexOfName 02fa PosInStrArray 0324 @HandleAnyException 032c TObject.Free 0331 @RaiseAgain 0336 @DoneExcept 0383 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F0 8B 40 78 E8 ?? ?? ?? ?? 8B 55 08 89 42 EC 8D 4D F8 8B 45 FC 8B 00 8B 90 98 00 00 00 8B 45 08 8B 40 F0 8B 18 FF 53 4C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 10 FF 52 5C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 08 8D 4A FF 8B 55 FC 8B 12 92 8B 18 FF 53 50 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 60 C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 8B 40 F0 80 B8 CE 00 00 00 00 74 0B 8B 45 08 8B 40 F0 8B 58 70 EB 0B 8B 45 FC 8B 00 8B 98 98 00 00 00 8D 4D E8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 08 FF 51 3C 8D 4D E0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8D 4D E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 FC 8B 00 8B 90 A8 00 00 00 8B 45 F8 8B 08 FF 51 40 EB 45 8D 55 DC 8B 45 F8 8B 08 FF 51 24 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 40 EB 1A 8D 4D D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F8 8B 08 FF 51 40 8D 4D D4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F8 8B 08 FF 51 38 8D 4D D0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F8 8B 08 FF 51 44 8D 4D CC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F8 8B 08 FF 51 4C 8D 4D C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F8 8B 08 FF 51 48 8B 45 08 8B 40 F0 80 B8 CE 00 00 00 00 75 63 8B 45 F8 8B 40 18 83 C0 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 48 85 C0 7C 44 40 89 45 F0 33 F6 8D 4D C4 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 F8 8B 40 24 E8 ?? ?? ?? ?? 85 C0 7D 1A 8D 4D C0 8B D6 8B C3 8B 38 FF 57 0C 8B 55 C0 8B 45 F8 8B 40 18 8B 08 FF 51 38 46 FF 4D F0 75 C2 8B 45 F8 83 C0 1C 8B 55 FC 8B 12 8B 92 90 00 00 00 E8 ?? ?? ?? ?? 8D 55 BC 8B 45 F8 8B 08 FF 51 24 8B 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 63 8B 45 08 8B 40 E8 8B 55 F8 89 42 38 8D 55 B8 8B 45 F8 8B 08 FF 51 28 83 7D B8 00 74 52 6A 00 8D 55 B4 8B 45 F8 8B 08 FF 51 28 8B 45 B4 50 B8 ?? ?? ?? ?? 89 45 A8 B8 ?? ?? ?? ?? 89 45 AC B8 ?? ?? ?? ?? 89 45 B0 8D 55 A8 B9 02 00 00 00 58 E8 ?? ?? ?? ?? 40 75 18 33 D2 8B 45 F8 8B 08 FF 51 40 EB 0C 8B 45 08 8B 40 EC 8B 55 F8 89 42 38 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 10 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 0F 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 6D 00 61 00 63 00 2D 00 62 00 69 00 6E 00 68 00 65 00 78 00 34 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 62 00 69 00 6E 00 68 00 65 00 78 00 34 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 72 00 61 00 6E 00 73 00 66 00 65 00 72 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 65 00 73 00 63 00 72 00 69 00 70 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 37 00 62 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 38 00 62 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_36126_0 {
	meta:
		name = "TIdMessageClient.ReceiveBody"
		size = 1176
		refs = "001a TIdMessageClient.ReceiveBody 0034 IsHeaderMediaType 006e PosInStrArray 007c @UStrClr 00cc IndyASCIIEncoding 00d7 Indy8BitEncoding 0114 CaptureAndDecodeCharset 0141 TIdMIMEBoundary.Count 0189 CharsetToEncoding 01bc TIdIOHandler.ReadLnRFC 01d7 _Dn_TIdMessageDecoderList 01dc TIdMessageDecoderList.CheckForStart 0203 RemoveLastBlankLine 0219 _Dn_TIdTCPStream 021e TIdTCPStream.Create 0232 TIdMIMEBoundary.GetParentPart 0262 ProcessTextPart 026e ProcessAttachment 0280 TObject.Free 02cf @HandleFinally 02e5 _Dn_TIdMessageDecoderMIME 02ea TIdBaseComponent.Create"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 33 DB 89 5D E4 89 4D F4 89 55 F0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B 45 F0 8B 40 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 44 8B 45 F0 83 78 50 00 74 3B 6A 00 B8 ?? ?? ?? ?? 89 45 D0 B8 ?? ?? ?? ?? 89 45 D4 B8 ?? ?? ?? ?? 89 45 D8 8D 55 D0 8B 45 F0 8B 40 50 B9 02 00 00 00 E8 ?? ?? ?? ?? 40 75 0B 8B 45 F0 83 C0 50 E8 ?? ?? ?? ?? 6A 00 B8 ?? ?? ?? ?? 89 45 BC B8 ?? ?? ?? ?? 89 45 C0 B8 ?? ?? ?? ?? 89 45 C4 B8 ?? ?? ?? ?? 89 45 C8 B8 ?? ?? ?? ?? 89 45 CC 8D 55 BC 8B 45 F0 8B 40 50 B9 04 00 00 00 E8 ?? ?? ?? ?? 83 E8 03 72 07 83 E8 02 72 0D EB 16 B0 01 E8 ?? ?? ?? ?? 8B D8 EB 14 B0 01 E8 ?? ?? ?? ?? 8B D8 EB 09 B0 01 E8 ?? ?? ?? ?? 8B D8 6A 00 6A 00 33 D2 8B 45 F8 8B 08 FF 51 44 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 80 B8 85 00 00 00 00 74 0E 55 8B C3 E8 ?? ?? ?? ?? 59 E9 6E 02 00 00 33 C0 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 80 78 68 01 75 0F 8B 45 F0 8B 40 78 E8 ?? ?? ?? ?? 85 C0 7F 39 8B 45 F0 80 78 68 02 0F 85 7F 01 00 00 6A 00 B8 ?? ?? ?? ?? 89 45 B4 B8 ?? ?? ?? ?? 89 45 B8 8D 55 B4 8B 45 F0 8B 40 50 B9 01 00 00 00 E8 ?? ?? ?? ?? 40 0F 85 53 01 00 00 8B 45 F0 8B 40 44 E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 50 8B 45 DC 50 8D 45 E4 50 8D 55 FF 8B 45 F8 8B 80 98 00 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D FF 00 0F 85 E3 00 00 00 83 7D E0 00 75 13 8B 4D E4 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 83 7D E0 00 75 13 8B 45 F0 8B 40 40 8B 55 E4 8B 08 FF 51 38 E9 A7 00 00 00 8B 45 F0 8B 40 40 E8 ?? ?? ?? ?? 83 7D E0 00 0F 84 92 00 00 00 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 89 82 A0 00 00 00 8B 45 F0 8B 40 78 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E0 8B 10 FF 52 54 8B 45 E0 0F B6 80 9C 00 00 00 2C 01 72 0C 74 18 FE C8 74 20 FE C8 74 2D EB 3E 55 8D 45 E0 33 D2 E8 ?? ?? ?? ?? 59 EB 30 55 8D 45 E0 E8 ?? ?? ?? ?? 59 EB 24 8B 5D E0 33 C0 89 45 E0 8B C3 E8 ?? ?? ?? ?? EB 13 8B 75 E0 33 C0 89 45 E0 8B C6 E8 ?? ?? ?? ?? C6 45 FF 01 83 7D E0 00 0F 85 6E FF FF FF 80 7D FF 00 0F 84 F1 FE FF FF 8B 45 F0 8B 40 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 C6 80 CE 00 00 00 01 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 89 82 A0 00 00 00 8B 45 E0 C6 80 AD 00 00 00 01 8B 10 FF 52 54 8B 45 E0 0F B6 80 9C 00 00 00 2C 01 72 0C 74 18 FE C8 74 20 FE C8 74 2B EB 36 55 8D 45 E0 B2 01 E8 ?? ?? ?? ?? 59 EB 28 55 8D 45 E0 E8 ?? ?? ?? ?? 59 EB 1C 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? EB 0D 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 37 00 62 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 38 00 62 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 71 00 75 00 6F 00 74 00 65 00 64 00 2D 00 70 00 72 00 69 00 6E 00 74 00 61 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 61 00 73 00 65 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_36127_0 {
	meta:
		name = "TIdMessageClient.SendHeader"
		size = 42
		refs = "000a TIdMessage.GenerateHeader"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C7 E8 ?? ?? ?? ?? 6A 00 33 C9 8B 97 C8 00 00 00 8B 86 98 00 00 00 8B 18 FF 93 AC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36128_0 {
	meta:
		name = "EncodeStrings"
		size = 365
		refs = "0018 EncodeStrings 0025 _Dn_TStringList 002a TStringList.Create 004a TIdBaseComponent.Create 0065 _Dn_TMemoryStream 006a TObject.Create 0098 WriteStringToStream 00a7 TStream.SetPosition 00bb TIdMessageEncoder.Encode 00db TObject.Free 00e1 @HandleFinally 0123 TIdIOHandler.WriteRFCStrings 015a @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 48 F0 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 55 08 89 42 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B C3 8B 08 FF 51 1C 8B 55 F8 8B 45 08 8B 40 FC 8B CF E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 50 FC 8B 45 08 8B 40 F8 8B 4D FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 08 33 C9 89 4A FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 08 33 C9 89 4A F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 6A 00 8B 45 08 8B 40 F0 8B 80 98 00 00 00 33 C9 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_36129_0 {
	meta:
		name = "EncodeAttachment"
		size = 263
		refs = "0018 _Dn_TIdTCPStream 001d TIdTCPStream.Create 002b EncodeAttachment 0040 TIdBaseComponent.Create 006a @UStrAsg 00ad @HandleFinally 00cf TObject.Free"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 68 00 20 00 00 8B 45 08 8B 48 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 48 F0 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 55 08 89 42 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 F8 05 90 00 00 00 8B 55 FC 8B 52 1C E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 54 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 08 8B 4A F4 8B 55 08 8B 52 F8 92 8B 18 FF 53 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 58 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 08 33 C9 89 4A F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 33 C9 89 4A F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 59 5D C3 }
	condition:
		$1
}

rule function_36130_0 {
	meta:
		name = "WriteTextPart"
		size = 1840
		refs = "001e WriteTextPart 0057 IsHeaderMediaType 00a5 PosInStrArray 0109 TIdText.IsBodyEncodingRequired 014b ExtractFileName 015c EncodeHeader 018a @UStrCat3 01bf @UStrCatN 022f TIdIOHandler.WriteLn 03a4 CharsetToEncoding 03d2 TextIsSame 03e6 _Dn_TIdMessageEncoderQuotedPrintable 03eb EncodeStrings 041f _Dn_TIdMessageEncoderMIME 043d TIdIOHandler.WriteRFCStrings 0452 TObject.Free 0458 @HandleFinally 0477 @UStrArrayClr 0499 @UStrClr"
	strings:
		$1 = { 55 8B EC B9 11 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 8B 75 08 83 C6 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 24 83 7D F4 00 75 0C BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 3C 8D 55 F0 8B C3 8B 08 FF 51 24 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 58 8D 55 EC 8B C3 8B 08 FF 51 28 83 7D EC 00 0F 84 AA 00 00 00 6A 00 8D 55 E8 8B C3 8B 08 FF 51 28 8B 45 E8 50 B8 ?? ?? ?? ?? 89 45 DC B8 ?? ?? ?? ?? 89 45 E0 B8 ?? ?? ?? ?? 89 45 E4 8D 55 DC B9 02 00 00 00 58 E8 ?? ?? ?? ?? 40 75 71 33 D2 8B C3 8B 08 FF 51 40 EB 66 8D 55 D8 8B C3 8B 08 FF 51 28 83 7D D8 00 75 0E BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 40 EB 48 6A 00 8D 55 D4 8B C3 8B 08 FF 51 28 8B 45 D4 50 B8 ?? ?? ?? ?? 89 45 CC B8 ?? ?? ?? ?? 89 45 D0 8D 55 CC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 40 75 17 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 40 8D 55 C8 8B C3 8B 08 FF 51 20 83 7D C8 00 75 0C BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 8B 45 08 8B 40 E8 50 8D 45 FC 50 8D 55 C4 8B 43 1C E8 ?? ?? ?? ?? 8B 45 C4 8B 55 08 0F B7 4A EE 33 D2 E8 ?? ?? ?? ?? 8D 55 C0 8B C3 8B 08 FF 51 24 83 7D C0 00 0F 84 BF 00 00 00 8D 55 B8 8B C3 8B 08 FF 51 24 8B 4D B8 8D 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 06 8B 80 98 00 00 00 33 C9 8B 38 FF 97 A0 00 00 00 83 7B 10 00 74 2F 68 ?? ?? ?? ?? FF 73 10 68 ?? ?? ?? ?? 8D 45 B4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 B4 8B 06 8B 80 98 00 00 00 33 C9 8B 38 FF 97 A0 00 00 00 83 7D FC 00 74 46 8B 06 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 38 FF 97 A4 00 00 00 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 B0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 B0 8B 06 8B 80 98 00 00 00 33 C9 8B 38 FF 97 A0 00 00 00 8B 06 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8D 55 AC 8B C3 8B 08 FF 51 28 83 7D AC 00 74 2F 8D 55 A4 8B C3 8B 08 FF 51 28 8B 4D A4 8D 45 A8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 8B 06 8B 80 98 00 00 00 33 C9 8B 38 FF 97 A4 00 00 00 8D 55 9C 8B C3 8B 08 FF 51 20 8B 4D 9C 8D 45 A0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 8B 06 8B 80 98 00 00 00 33 C9 8B 38 FF 97 A0 00 00 00 83 7D FC 00 74 46 8B 06 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 38 FF 97 A4 00 00 00 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 98 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 98 8B 06 8B 80 98 00 00 00 33 C9 8B 38 FF 97 A0 00 00 00 8B 06 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8D 55 94 8B C3 8B 08 FF 51 2C 83 7D 94 00 74 2F 8D 55 8C 8B C3 8B 08 FF 51 2C 8B 4D 8C 8D 45 90 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 90 8B 06 8B 80 98 00 00 00 33 C9 8B 38 FF 97 A4 00 00 00 8D 55 88 8B C3 8B 08 FF 51 34 83 7D 88 00 74 2F 8D 55 80 8B C3 8B 08 FF 51 34 8B 4D 80 8D 45 84 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 84 8B 06 8B 80 98 00 00 00 33 C9 8B 38 FF 97 A4 00 00 00 6A 00 8B 53 18 8B 06 8B 80 98 00 00 00 33 C9 8B 38 FF 97 AC 00 00 00 8B 06 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 7C FF FF FF 8B C3 8B 08 FF 51 28 8B 85 7C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 08 50 8B 43 40 8B 4D F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 4F 8D 95 78 FF FF FF 8B C3 8B 08 FF 51 28 8B 85 78 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 08 50 8B 43 40 8B 4D F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 16 8B 45 F8 50 8B 53 40 8B 06 8B 80 98 00 00 00 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 15 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 74 00 65 00 78 00 74 00 2F 00 70 00 6C 00 61 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 37 00 62 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 38 00 62 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 71 00 75 00 6F 00 74 00 65 00 64 00 2D 00 70 00 72 00 69 00 6E 00 74 00 61 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 61 00 73 00 65 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 69 00 6E 00 6C 00 69 00 6E 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 09 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 72 00 61 00 6E 00 73 00 66 00 65 00 72 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 09 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 49 00 44 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 65 00 73 00 63 00 72 00 69 00 70 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 00 00 }
	condition:
		$1
}

rule function_36131_0 {
	meta:
		name = "TIdMessageClient.SendBody"
		size = 5068
		refs = "001b TIdMessageClient.SendBody 0029 @UStrClr 0037 TIdMessage.InitializeISO 0088 PosInStrArray 00a6 RSMsgClientInvalidForTransferEncoding 00ab LoadResString 00b5 _Dn_EIdException 00ba EIdException.Create 00bf @RaiseExcept 00cf TIdIOHandler.WriteLn 00d9 RSMsgClientEncodingText 00f5 TIdComponent.DoStatus 0100 CharsetToEncoding 0121 TextIsSame 0135 _Dn_TIdMessageEncoderMIME 013a EncodeStrings 014d _Dn_TIdMessageEncoderQuotedPrintable 0168 TObject.Free 016e @HandleFinally 01e0 TIdMessageClient.EncodeAndWriteText 0243 TIdMessageParts.GetItem 0249 _Dn_TIdText 024e @IsClass 02b8 WriteTextPart 02ea _Dn_TIdAttachment 0312 RSMsgClientEncodingAttachment 034c TIdMessage.GetAttachmentEncoding 03d5 _Dn_TIdMessageEncoderUUE 03dd EncodeAttachment 03e7 _Dn_TIdMessageEncoderXXE 043d TIdMessage.IsBodyEmpty 048e TIdText.Create 049e @UStrAsg 0563 TIdMIMEBoundary.GetBoundary 0571 _Dn_TIdMIMEBoundaryStrings 0576 TIdMIMEBoundaryStrings.GenerateBoundary 0587 TIdMIMEBoundary.Push 05aa @UStrCat3 05ff @AsClass 064c IsHeaderMediaType 06b2 @UStrCatN 076a TIdMIMEBoundary.Pop 0794 TIdMIMEBoundary.GetParentPart 0956 ExtractFileName 0967 EncodeHeader 0d9c _Dn_TIdMessageEncoderBinHex4 0e08 ReadLnFromStream 0e80 TIdMIMEBoundary.Count 0f3b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 21 00 00 00 6A 00 6A 00 49 75 F9 53 56 89 55 D8 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 E8 ?? ?? ?? ?? 8D 4D E8 8D 55 EE 8B 45 D8 E8 ?? ?? ?? ?? 6A 00 6A 00 B2 01 8B 45 F0 8B 08 FF 51 44 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 D8 80 B8 CE 00 00 00 00 0F 85 0D 01 00 00 6A 00 B8 ?? ?? ?? ?? 89 45 BC B8 ?? ?? ?? ?? 89 45 C0 8D 55 BC 8B 45 D8 8B 40 50 B9 01 00 00 00 E8 ?? ?? ?? ?? 40 0F 84 E1 00 00 00 8B 45 D8 8B 40 74 8B 40 08 83 78 08 00 7E 21 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 6A 00 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 89 45 BC C6 45 C0 11 8D 4D BC B2 05 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 D8 8B 40 44 E8 ?? ?? ?? ?? 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D8 8B 40 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 55 8B 45 D8 8B 40 40 8B 4D C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 16 55 8B 45 D8 8B 40 40 8B 4D C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 D8 80 78 68 02 0F 85 94 02 00 00 8B 45 F0 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 6A 00 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 89 45 BC C6 45 C0 11 8D 4D BC B2 05 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 D8 8B 40 44 E8 ?? ?? ?? ?? 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D8 8B 50 40 8B 4D C8 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 D8 8B 40 74 8B 40 08 8B 40 08 85 C0 0F 8E DE 0C 00 00 48 85 C0 0F 8C D5 0C 00 00 40 89 45 C4 C7 45 D4 00 00 00 00 8B 45 D8 8B 40 74 8B 55 D4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 80 00 00 00 8B 45 F0 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 6A 00 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC 89 45 BC C6 45 C0 11 8D 4D BC B2 05 8B 45 F0 E8 ?? ?? ?? ?? 55 8B 45 D8 8B 40 74 8B 55 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 F0 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 E9 1A 01 00 00 8B 45 D8 8B 40 74 8B 55 D4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 F9 00 00 00 8B 45 D8 8B 40 74 8B 55 D4 E8 ?? ?? ?? ?? 89 45 D0 6A 00 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 89 45 BC C6 45 C0 11 8D 4D BC B2 05 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 A4 8B 45 D0 8B 08 FF 51 28 83 7D A4 00 75 57 6A 01 8D 55 A0 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 A0 50 B8 ?? ?? ?? ?? 89 45 BC B8 ?? ?? ?? ?? 89 45 C0 8D 55 BC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 40 74 18 8D 55 9C 8B 45 D8 E8 ?? ?? ?? ?? 8B 55 9C 8B 45 D0 8B 08 FF 51 40 EB 0D BA ?? ?? ?? ?? 8B 45 D0 8B 08 FF 51 40 6A 00 8D 55 98 8B 45 D0 8B 08 FF 51 28 8B 45 98 50 B8 ?? ?? ?? ?? 89 45 BC B8 ?? ?? ?? ?? 89 45 C0 8D 55 BC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 83 E8 01 72 04 74 14 EB 22 55 8B 15 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 59 EB 10 55 8B 15 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 59 8B 45 F0 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? FF 45 D4 FF 4D C4 0F 85 29 FE FF FF E9 EE 0A 00 00 C6 45 CF 00 8B 45 D8 80 B8 CE 00 00 00 00 0F 85 62 01 00 00 8B 45 F0 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 0F 85 D9 00 00 00 8B 45 D8 80 B8 CC 00 00 00 00 74 1E 8B 45 D8 8B 40 74 83 78 2C 00 75 12 8B 45 D8 8B 40 74 8B 40 08 83 78 08 00 0F 9F C0 EB 02 33 C0 84 C0 74 5F 8B 45 D8 8B 40 40 50 8B 45 D8 8B 48 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 43 10 8B 55 D8 8B 52 44 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 3C BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 40 C6 45 CF 01 8B 45 F0 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 EB 71 8B 45 D8 8B 40 44 E8 ?? ?? ?? ?? 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D8 8B 50 40 8B 4D C8 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 D8 8B 40 74 8B 40 08 83 78 08 00 74 18 8B 45 F0 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 8B 45 F0 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 D8 8B 40 78 E8 ?? ?? ?? ?? 83 7D E4 00 75 1E 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 8B 40 78 83 C9 FF 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 D8 8B 40 74 8B 40 08 8B 58 08 4B 80 7D CF 00 74 7C 8D 45 94 8B 4D E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 8B 45 F0 8B 80 98 00 00 00 33 C9 8B 30 FF 96 A4 00 00 00 6A 00 8D 55 90 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 90 89 45 BC C6 45 C0 11 8D 4D BC B2 05 8B 45 F0 E8 ?? ?? ?? ?? 55 8B 45 D8 8B 40 74 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 F0 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 4B 85 DB 0F 8C 44 08 00 00 43 89 5D C4 C7 45 D4 00 00 00 00 8B 45 D8 8B 40 74 8B 55 D4 E8 ?? ?? ?? ?? 8D 55 E0 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 84 B9 00 00 00 8D 45 8C 8B 4D E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 8C 8B 45 F0 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 8B 40 78 8B 4D D4 8B 55 E4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 88 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 88 8B 45 F0 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 68 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 45 84 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 84 8B 45 F0 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 8B 45 F0 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 49 07 00 00 8B 45 D8 80 B8 CE 00 00 00 00 0F 85 A7 00 00 00 EB 59 68 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 45 80 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 80 8B 45 F0 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 8B 45 F0 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 D8 8B 40 78 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 D8 8B 40 78 E8 ?? ?? ?? ?? 8B 45 D8 8B 40 74 8B 55 D4 E8 ?? ?? ?? ?? 8B 58 38 8B 45 D8 8B 40 78 E8 ?? ?? ?? ?? 3B D8 75 87 8D 85 7C FF FF FF 8B 4D E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B 45 F0 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 8B 45 D8 8B 40 74 8B 55 D4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 61 6A 00 8D 95 78 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 BC C6 45 C0 11 8D 4D BC B2 05 8B 45 F0 E8 ?? ?? ?? ?? 55 8B 45 D8 8B 40 74 8B 55 D4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 F0 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 14 06 00 00 8B 45 D8 8B 40 74 8B 55 D4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 F3 05 00 00 8B 45 D8 8B 40 74 8B 55 D4 E8 ?? ?? ?? ?? 89 45 D0 6A 00 8D 95 74 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 89 45 BC C6 45 C0 11 8D 4D BC B2 05 8B 45 F0 E8 ?? ?? ?? ?? 8D 95 70 FF FF FF 8B 45 D0 8B 08 FF 51 28 83 BD 70 FF FF FF 00 75 0D BA ?? ?? ?? ?? 8B 45 D0 8B 08 FF 51 40 8D 95 6C FF FF FF 8B 45 D0 8B 08 FF 51 20 83 BD 6C FF FF FF 00 75 0D BA ?? ?? ?? ?? 8B 45 D0 8B 08 FF 51 38 8D 95 68 FF FF FF 8B 45 D0 8B 08 FF 51 24 83 BD 68 FF FF FF 00 75 3E 8D 95 64 FF FF FF 8B 45 D0 8B 08 FF 51 28 8B 85 64 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F BA ?? ?? ?? ?? 8B 45 D0 8B 08 FF 51 3C EB 0D BA ?? ?? ?? ?? 8B 45 D0 8B 08 FF 51 3C 8B 45 E8 50 8D 45 DC 50 8D 95 60 FF FF FF 8B 45 D0 8B 40 1C E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 0F B7 4D EE 33 D2 E8 ?? ?? ?? ?? 8D 95 5C FF FF FF 8B 45 D0 8B 08 FF 51 28 8B 85 5C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 F5 00 00 00 BA ?? ?? ?? ?? 8B 45 D0 8B 08 FF 51 3C 8D 95 54 FF FF FF 8B 45 D0 8B 08 FF 51 24 8B 8D 54 FF FF FF 8D 85 58 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 58 FF FF FF 8B 45 F0 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 8B 45 D0 83 78 10 00 74 39 68 ?? ?? ?? ?? 8B 45 D0 FF 70 10 68 ?? ?? ?? ?? 8D 85 50 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8B 45 F0 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 83 7D DC 00 74 4E 8B 45 F0 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 68 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 85 4C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 4C FF FF FF 8B 45 F0 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 8B 45 F0 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 C1 01 00 00 8D 95 44 FF FF FF 8B 45 D0 8B 08 FF 51 24 8B 8D 44 FF FF FF 8D 85 48 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 48 FF FF FF 8B 45 F0 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 8B 45 D0 83 78 10 00 74 39 68 ?? ?? ?? ?? 8B 45 D0 FF 70 10 68 ?? ?? ?? ?? 8D 85 40 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 40 FF FF FF 8B 45 F0 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 83 7D DC 00 74 4E 8B 45 F0 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 68 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 85 3C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 3C FF FF FF 8B 45 F0 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 8B 45 F0 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8D 95 34 FF FF FF 8B 45 D0 8B 08 FF 51 28 8B 8D 34 FF FF FF 8D 85 38 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 38 FF FF FF 8B 45 F0 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 8D 95 2C FF FF FF 8B 45 D0 8B 08 FF 51 20 8B 8D 2C FF FF FF 8D 85 30 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 30 FF FF FF 8B 45 F0 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 83 7D DC 00 74 4E 8B 45 F0 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 68 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 85 28 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 28 FF FF FF 8B 45 F0 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 8B 45 F0 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8D 95 24 FF FF FF 8B 45 D0 8B 08 FF 51 2C 83 BD 24 FF FF FF 00 74 3D 8D 95 1C FF FF FF 8B 45 D0 8B 08 FF 51 2C 8B 8D 1C FF FF FF 8D 85 20 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 20 FF FF FF 8B 45 F0 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 8D 95 18 FF FF FF 8B 45 D0 8B 08 FF 51 34 83 BD 18 FF FF FF 00 74 3D 8D 95 10 FF FF FF 8B 45 D0 8B 08 FF 51 34 8B 8D 10 FF FF FF 8D 85 14 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 14 FF FF FF 8B 45 F0 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 6A 00 8B 45 D0 8B 50 18 8B 45 F0 8B 80 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 8B 45 F0 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 6A 00 8D 95 0C FF FF FF 8B 45 D0 8B 08 FF 51 28 8B 85 0C FF FF FF 50 B8 ?? ?? ?? ?? 89 85 00 FF FF FF B8 ?? ?? ?? ?? 89 85 04 FF FF FF B8 ?? ?? ?? ?? 89 85 08 FF FF FF 8D 95 00 FF FF FF B9 02 00 00 00 58 E8 ?? ?? ?? ?? 83 E8 01 72 07 74 1A 48 74 2C EB 3F 55 8B 15 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 59 E9 C6 00 00 00 55 8B 15 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 59 E9 B1 00 00 00 55 8B 15 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 59 E9 9C 00 00 00 8B 45 D0 8B 40 10 E8 ?? ?? ?? ?? 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D0 8B 10 FF 52 54 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8B 45 F0 8B 80 98 00 00 00 8B 4D C8 8B 55 E0 8B 30 FF 96 A8 00 00 00 8B 45 C8 50 8D 55 E0 83 C9 FF 8B C3 E8 ?? ?? ?? ?? 84 C0 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 8B 10 FF 52 58 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? FF 45 D4 FF 4D C4 0F 85 C7 F7 FF FF 8B 45 D8 8B 40 74 8B 40 08 83 78 08 00 0F 8E 8A 00 00 00 8B 45 D8 8B 40 78 E8 ?? ?? ?? ?? 48 85 C0 7C 7A 40 89 45 C4 8B 45 D8 80 B8 CE 00 00 00 00 75 5A 68 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8B 45 D8 8B 40 78 E8 ?? ?? ?? ?? FF B5 F8 FE FF FF 68 ?? ?? ?? ?? 8D 85 FC FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 FC FE FF FF 8B 45 F0 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 8B 45 F0 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 D8 8B 40 78 E8 ?? ?? ?? ?? FF 4D C4 75 8A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 F0 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 0C FF FF FF BA 2C 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 61 00 73 00 65 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 71 00 75 00 6F 00 74 00 65 00 64 00 2D 00 70 00 72 00 69 00 6E 00 74 00 61 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 20 00 53 00 74 00 61 00 72 00 74 00 20 00 6F 00 66 00 20 00 74 00 65 00 78 00 74 00 20 00 61 00 74 00 74 00 61 00 63 00 68 00 6D 00 65 00 }
	condition:
		$1
}

rule function_36132_0 {
	meta:
		name = "TIdMessageClient.SendMsg"
		size = 185
		refs = "0020 TIdMessageClient.SendMsg 0057 TIdIOHandler.WriteLn 0070 TIdIOHandler.WriteRFCStrings 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B F2 89 45 FC 6A 00 6A 00 B2 01 8B 45 FC 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE 84 00 00 00 00 74 43 6A 00 8B 56 70 8B 45 FC 8B 80 98 00 00 00 33 C9 8B 38 FF 97 AC 00 00 00 8B 45 FC 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 84 DB 75 35 6A 00 8B 56 40 8B 45 FC 8B 80 98 00 00 00 33 C9 E8 ?? ?? ?? ?? EB 1E 8B D6 8B 45 FC 8B 08 FF 91 D0 00 00 00 84 DB 75 0D 8B D6 8B 45 FC 8B 08 FF 91 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36133_0 {
	meta:
		name = "TIdMessageClient.ReceiveHeader"
		size = 182
		refs = "0025 TIdMessageClient.ReceiveHeader 003f TIdIOHandler.ReadLnRFC 0069 @UStrEqual 0082 TStrings.Append 008c TIdMessage.ProcessHeaders 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D F4 89 55 F8 89 45 FC 8B 5D 08 6A 00 6A 00 33 D2 8B 45 FC 8B 08 FF 51 44 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 53 8D 55 F3 8B 45 FC 8B 80 98 00 00 00 33 C9 E8 ?? ?? ?? ?? 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 75 06 0F B6 45 F3 EB 02 33 C0 84 C0 74 04 B0 01 EB 0D 8B 03 8B 55 F4 E8 ?? ?? ?? ?? 0F 94 C0 84 C0 75 14 83 3B 00 74 B6 8B 13 8B 45 F8 8B 40 70 E8 ?? ?? ?? ?? EB A7 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_36134_0 {
	meta:
		name = "TIdMessageClient.ProcessMessage"
		size = 208
		refs = "0019 TIdMessageClient.ProcessMessage 0093 @HandleFinally 00aa @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 98 00 00 00 00 74 6A 6A 00 6A 00 33 D2 8B 45 FC 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 33 C9 8B D6 8B 45 FC 8B 38 FF 97 C8 00 00 00 83 7D F8 00 75 16 84 DB 75 12 B9 ?? ?? ?? ?? 8B D6 8B 45 FC 8B 18 FF 93 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36135_0 {
	meta:
		name = "TIdMessageClient.ProcessMessage"
		size = 144
		refs = "0015 _DV_TIdIOHandlerStreamMsg 001a TIdIOHandlerStreamMsg.Create 002c TIdMessageClient.ProcessMessage 0073 TObject.Free 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 8B F2 89 45 FC 53 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 60 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 98 00 00 00 C6 80 D8 00 00 00 00 8B 10 FF 92 98 00 00 00 0F B6 4D 08 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 60 C3 E9 ?? ?? ?? ?? EB E0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_36136_0 {
	meta:
		name = "TIdMessageClient.ProcessMessage"
		size = 103
		refs = "0012 _Dn_TIdReadFileExclusiveStream 0017 TIdReadFileExclusiveStream.Create 0022 TIdMessageClient.ProcessMessage 0053 TObject.Free 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 45 08 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_36137_0 {
	meta:
		name = "TIdMessageClient.EncodeAndWriteText"
		size = 15
		refs = "000a TIdIOHandler.WriteRFCStrings"
	strings:
		$1 = { 51 8B 80 98 00 00 00 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36144_0 {
	meta:
		name = "TIdMessageDecoderList.ByName"
		size = 200
		refs = "0010 TIdMessageDecoderList.ByName 001e GMessageDecoderList 0054 RSMessageDecoderNotFound 0059 LoadResString 006f @UStrCatN 0079 _Dn_EIdException 007e EIdException.Create 0083 @RaiseExcept 009d @UStrArrayClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 83 3D ?? ?? ?? ?? 00 74 27 A1 ?? ?? ?? ?? 8B 40 04 8B D7 8B 08 FF 51 54 8B F0 83 FE FF 74 11 A1 ?? ?? ?? ?? 8B 40 04 8B D6 8B 08 FF 51 18 8B D8 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 57 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_36158_0 {
	meta:
		name = "TIdMessageEncoderList.ByName"
		size = 200
		refs = "0010 TIdMessageEncoderList.ByName 001e GMessageEncoderList 0054 RSMessageEncoderNotFound 0059 LoadResString 006f @UStrCatN 0079 _Dn_EIdException 007e EIdException.Create 0083 @RaiseExcept 009d @UStrArrayClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 83 3D ?? ?? ?? ?? 00 74 27 A1 ?? ?? ?? ?? 8B 40 04 8B D7 8B 08 FF 51 54 8B F0 83 FE FF 74 11 A1 ?? ?? ?? ?? 8B 40 04 8B D6 8B 08 FF 51 18 8B D8 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 57 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_36145_0 {
	meta:
		name = "TIdMessageDecoderList.CheckForStart"
		size = 91
		refs = "0011 GMessageDecoderList"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 4C 24 04 89 14 24 33 F6 83 3D ?? ?? ?? ?? 00 74 3B A1 ?? ?? ?? ?? 8B 40 04 8B 10 FF 52 14 8B D8 4B 85 DB 7C 27 43 33 FF A1 ?? ?? ?? ?? 8B 40 04 8B D7 8B 08 FF 51 18 8B 4C 24 04 8B 14 24 8B 30 FF 16 8B F0 85 F6 75 04 47 4B 75 DC 8B C6 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36147_0 {
	meta:
		name = "TIdMessageDecoderList.Destroy"
		size = 93
		refs = "0005 @BeforeDestruction 002a TObject.Free 0049 TObject.Destroy 0054 @ClassDestroy"
		altNames = "TIdMessageEncoderList.Destroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 8B 10 FF 52 14 8B E8 4D 85 ED 7C 16 45 33 FF 8B 46 04 8B D7 8B 08 FF 51 18 E8 ?? ?? ?? ?? 47 4D 75 ED 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36148_0 {
	meta:
		name = "TIdMessageDecoderList.RegisterDecoder"
		size = 52
		refs = "0008 GMessageDecoderList 0012 _DV_TIdMessageDecoderList 0017 TIdMessageDecoderList.Create"
	strings:
		$1 = { 53 56 8B F1 8B DA 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 04 8B CE 8B D3 8B 18 FF 53 3C 5E 5B C3 }
	condition:
		$1
}

rule function_36161_0 {
	meta:
		name = "TIdMessageEncoderList.RegisterEncoder"
		size = 52
		refs = "0008 GMessageEncoderList 0012 _DV_TIdMessageEncoderList 0017 TIdMessageEncoderList.Create"
	strings:
		$1 = { 53 56 8B F1 8B DA 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 04 8B CE 8B D3 8B 18 FF 53 3C 5E 5B C3 }
	condition:
		$1
}

rule function_36150_0 {
	meta:
		name = "TIdMessageDecoder.InitComponent"
		size = 37
		refs = "0006 TIdComponent.InitComponent 0014 _Dn_TStringList 0019 TStringList.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 94 00 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_36151_0 {
	meta:
		name = "TIdMessageDecoder.Destroy"
		size = 93
		refs = "0003 @BeforeDestruction 001a TObject.Free 004b TIdComponent.Destroy 0056 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 98 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 80 BE 94 00 00 00 00 74 15 8D 86 A0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 08 33 C0 89 86 A0 00 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36153_0 {
	meta:
		name = "TIdMessageDecoder.ReadLn"
		size = 175
		refs = "001c TIdMessageDecoder.ReadLn 0029 @UStrClr 0035 _Dn_TIdTCPStream 003a @IsClass 0061 TIdIOHandler.ReadLnSplit 006b @UStrCat 0085 ReadLnFromStream 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 86 A0 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 6A FF 6A FF 57 8D 45 F4 50 8D 55 FB 8B 86 A0 00 00 00 8B 40 04 8B 80 98 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 80 7D FB 00 75 CD EB 12 57 53 33 C9 83 CA FF 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_36162_0 {
	meta:
		name = "TIdMessageEncoder.Encode"
		size = 96
		refs = "0012 _Dn_TIdReadFileExclusiveStream 0017 TIdReadFileExclusiveStream.Create 0022 TIdMessageEncoder.Encode 004e TObject.Free 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CF 8B 55 FC 8B C3 8B 18 FF 53 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36163_0 {
	meta:
		name = "TIdMessageEncoder.Encode"
		size = 119
		refs = "0012 _Dn_TMemoryStream 0017 TObject.Create 0022 TIdMessageEncoder.Encode 0040 TStream.SetPosition 0065 TObject.Free 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F8 8B D6 8B C3 8B 18 FF 53 50 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_36164_0 {
	meta:
		name = "TIdMessageEncoder.InitComponent"
		size = 22
		refs = "0006 TIdComponent.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 83 94 00 00 00 94 02 00 00 5B C3 }
	condition:
		$1
}

rule function_36167_0 {
	meta:
		name = "TIdMessageEncoderInfoBinHex4.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TIdMessageEncoderInfo.Create 001c _DV_TIdMessageEncoderBinHex4 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36183_0 {
	meta:
		name = "TIdMessageEncoderInfoMIME.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TIdMessageEncoderInfo.Create 001c _DV_TIdMessageEncoderMIME 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36189_0 {
	meta:
		name = "TIdMessageEncoderInfoQuotedPrintable.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TIdMessageEncoderInfo.Create 001c _DV_TIdMessageEncoderQuotedPrintable 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36195_0 {
	meta:
		name = "TIdMessageEncoderInfoUUE.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TIdMessageEncoderInfo.Create 001c _DV_TIdMessageEncoderUUE 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36200_0 {
	meta:
		name = "TIdMessageEncoderInfoXXE.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TIdMessageEncoderInfo.Create 001c _DV_TIdMessageEncoderXXE 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36211_0 {
	meta:
		name = "TIdMessageEncoderInfoYenc.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TIdMessageEncoderInfo.Create 001c _DV_TIdMessageEncoderYenc 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36168_0 {
	meta:
		name = "TIdMessageEncoderBinHex4.Encode"
		size = 115
		refs = "0012 _Dn_TIdEncoderBinHex4 0017 TIdBaseComponent.Create 0022 TIdMessageEncoderBinHex4.Encode 0039 @UStrAsg 0061 TObject.Free 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 C0 40 8B 93 90 00 00 00 E8 ?? ?? ?? ?? 6A FF 8B CF 8B D6 8B 45 FC 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36170_0 {
	meta:
		name = "IdMessageCoderBinHex4"
		size = 68
		refs = "0002 _DV_3 000c _DV_TIdMessageEncoderInfoBinHex4 0011 TIdMessageEncoderInfoBinHex4.Create 0018 IdMessageCoderBinHex4 001d _Dn_TIdMessageEncoderList 0022 TIdMessageEncoderList.RegisterEncoder"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 69 00 6E 00 68 00 65 00 78 00 34 00 00 00 }
	condition:
		$1
}

rule function_36171_0 {
	meta:
		name = "TIdMessageDecoderMIMEIgnore.ReadBody"
		size = 6
	strings:
		$1 = { C6 01 00 33 C0 C3 }
	condition:
		$1
}

rule function_36172_0 {
	meta:
		name = "TIdMessageDecoderMIMEIgnore.ReadHeader"
		size = 8
	strings:
		$1 = { C6 80 9C 00 00 00 02 C3 }
	condition:
		$1
}

rule function_36173_0 {
	meta:
		name = "TIdMIMEBoundaryStrings.GenerateRandomChar"
		size = 80
		refs = "0004 RandSeed 000e Randomize 0013 Random 0019 TIdMIMEBoundaryStrings.GenerateRandomChar 002b @TRUNC"
	strings:
		$1 = { 83 C4 F8 A1 ?? ?? ?? ?? 83 38 00 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 E8 ?? ?? ?? ?? 83 C0 2F 83 F8 53 7E 06 83 C0 0D 59 5A C3 83 F8 39 7E 03 83 C0 07 59 5A C3 00 00 74 42 00 00 C0 3F }
	condition:
		$1
}

rule function_36174_0 {
	meta:
		name = "TIdMIMEBoundaryStrings.GenerateBoundary"
		size = 260
		refs = "000e TIdMIMEBoundaryStrings.GenerateBoundary 0013 @UStrAsg 0038 TIdMIMEBoundaryStrings.GenerateRandomChar 0040 @UniqueStringU 0062 Random 0081 @TRUNC"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B FA 8B E8 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 07 89 44 24 08 8B 44 24 08 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 1E BB 01 00 00 00 8B C5 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 66 89 54 58 FE 43 4E 75 E7 8B 07 89 44 24 08 8B 5C 24 08 85 DB 74 05 83 EB 04 8B 1B E8 ?? ?? ?? ?? 83 EB 02 89 5C 24 08 DB 44 24 08 DE C9 D8 05 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 66 C7 44 58 FE 3D 00 8B C7 E8 ?? ?? ?? ?? 66 C7 04 58 5F 00 83 C4 0C 5D 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 30 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 30 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 30 00 31 00 32 00 33 00 34 00 00 00 00 00 00 00 C0 3F }
	condition:
		$1
}

rule function_36175_0 {
	meta:
		name = "TIdMessageDecoderInfoMIME.CheckForStart"
		size = 392
		refs = "001c TIdMessageDecoderInfoMIME.CheckForStart 002f TIdMIMEBoundary.GetBoundary 0054 @UStrCat3 005e TextIsSame 006b _DV_TIdMessageDecoderMIME 0070 TIdBaseComponent.Create 0099 @UStrCatN 00af TIdMIMEBoundary.Pop 00b8 _DV_TIdMessageDecoderMIMEIgnore 00e5 PosInStrArray 00f7 TIdMessageDecoderMIME.Create 0113 @UStrArrayClr 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8D 55 FC 8B 43 78 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 86 00 00 00 8D 55 F4 8B 43 78 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 12 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 4B 68 ?? ?? ?? ?? 8D 55 EC 8B 43 78 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 74 18 8B 43 78 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 36 6A 00 B8 ?? ?? ?? ?? 89 45 E4 B8 ?? ?? ?? ?? 89 45 E8 8D 55 E4 B9 01 00 00 00 8B 43 50 E8 ?? ?? ?? ?? 40 74 11 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 2D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 61 00 73 00 65 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 71 00 75 00 6F 00 74 00 65 00 64 00 2D 00 70 00 72 00 69 00 6E 00 74 00 61 00 62 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_36176_0 {
	meta:
		name = "TIdMessageDecoderMIME.Create"
		size = 80
		refs = "000d @ClassCreate 001a TIdBaseComponent.Create 0028 @UStrAsg 003a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 A8 00 00 00 8B 55 08 E8 ?? ?? ?? ?? C6 86 AC 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_36177_0 {
	meta:
		name = "TIdMessageDecoderMIME.ReadBody"
		size = 1628
		refs = "002e TIdMessageDecoderMIME.ReadBody 0057 @UStrLAsg 0077 TStrings.GetValue 009d IsHeaderMediaType 00ef PosInStrArray 00fa @UStrClr 0107 TextIsSame 0114 _Dn_TIdDecoderMIMELineByLine 0119 TIdBaseComponent.Create 0138 _Dn_TIdDecoderQuotedPrintable 015c _Dn_TIdDecoderBinHex4 01a6 @UStrCat3 021f Indy8BitEncoding 0232 TIdMessageDecoder.ReadLnRFC 0272 @UStrEqual 0289 TextStartsWith 029f @UStrDelete 02ca _DV_TIdMessageDecoderMIME 02f1 _Dn_TIdMessage 02f6 @IsClass 0306 TIdMIMEBoundary.Pop 0341 WriteStringToStream 03c2 TIdDecoder.Decode 03e4 @UStrCat 0448 TObject.Free 044e @HandleFinally 046a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 DB 89 5D B0 89 5D B4 89 5D FC 89 5D F8 89 5D F4 89 5D F0 89 5D EC 89 5D E8 8B F1 89 55 E4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 DB 01 C6 06 00 33 C0 89 45 E0 80 BF AD 00 00 00 00 74 1B 8D 45 FC 8B 5F 04 8B 53 4C E8 ?? ?? ?? ?? 8D 45 F8 8B 53 50 E8 ?? ?? ?? ?? EB 26 8D 4D FC 8B 87 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 8B 87 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 75 1E BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3B 83 7D F8 00 74 35 6A 00 B8 ?? ?? ?? ?? 89 45 CC B8 ?? ?? ?? ?? 89 45 D0 B8 ?? ?? ?? ?? 89 45 D4 8D 55 CC B9 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 40 75 08 8D 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC EB 4D BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC EB 29 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC EB 05 33 C0 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D DC 00 74 0B 8B 55 E4 8B 45 DC 8B 08 FF 51 44 83 BF B0 00 00 00 00 74 23 8B 8F B0 00 00 00 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 B9 ?? ?? ?? ?? 8B 55 EC E8 ?? ?? ?? ?? 6A 00 B8 ?? ?? ?? ?? 89 45 B8 B8 ?? ?? ?? ?? 89 45 BC B8 ?? ?? ?? ?? 89 45 C0 B8 ?? ?? ?? ?? 89 45 C4 B8 ?? ?? ?? ?? 89 45 C8 8D 55 B8 B9 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 83 E8 03 72 07 83 E8 02 72 06 EB 08 33 DB EB 06 B3 01 EB 02 B3 01 80 BF AC 00 00 00 00 75 36 84 DB 74 21 68 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 50 8D 45 F4 50 8B D6 B9 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 6B 8D 45 F4 50 8B D6 33 C9 8B C7 E8 ?? ?? ?? ?? EB 5A 8D 45 F4 8B 97 A8 00 00 00 E8 ?? ?? ?? ?? 8D 87 A8 00 00 00 E8 ?? ?? ?? ?? C6 87 AC 00 00 00 00 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 08 C6 06 01 E9 87 01 00 00 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 12 8D 45 F4 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 80 3E 00 0F 85 5B 01 00 00 83 BF B0 00 00 00 00 74 5A 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 17 8B 4F 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 E9 2C 01 00 00 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 25 8B 5F 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 05 01 00 00 8B 43 78 E8 ?? ?? ?? ?? E9 F8 00 00 00 83 7D DC 00 0F 85 80 00 00 00 84 DB 74 4B 80 7D DB 00 74 06 C6 45 DB 00 EB 1C 83 7D E4 00 74 16 B0 01 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 83 7D E4 00 0F 84 BB FE FF FF B0 01 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 E4 E8 ?? ?? ?? ?? E9 A2 FE FF FF 83 7D E4 00 0F 84 98 FE FF FF 6A 01 6A 00 8D 45 B4 B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 B4 83 C9 FF 8B 45 E4 E8 ?? ?? ?? ?? E9 71 FE FF FF 8B 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8D 45 B0 B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 B0 8B 45 DC E8 ?? ?? ?? ?? E9 3F FE FF FF 8B 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? E9 1D FE FF FF 83 7D F4 00 0F 84 13 FE FF FF 8B 55 F4 8B 45 DC E8 ?? ?? ?? ?? E9 03 FE FF FF 83 7D DC 00 74 25 8B 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B 55 F0 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC 8B 10 FF 52 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 E0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 72 00 61 00 6E 00 73 00 66 00 65 00 72 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 6D 00 61 00 63 00 2D 00 62 00 69 00 6E 00 68 00 65 00 78 00 34 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 62 00 69 00 6E 00 68 00 65 00 78 00 34 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 37 00 62 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 38 00 62 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 61 00 73 00 65 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 71 00 75 00 6F 00 74 00 65 00 64 00 2D 00 70 00 72 00 69 00 6E 00 74 00 61 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 2D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_36178_0 {
	meta:
		name = "TIdMessageDecoderMIME.GetAttachmentFilename"
		size = 232
		refs = "001a TIdMessageDecoderMIME.GetAttachmentFilename 0032 ExtractHeaderSubItem 0066 DecodeHeader 0072 TIdMessageDecoderMIME.RemoveInvalidCharsFromFilename 007b @UStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 F8 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 B1 02 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 75 13 8D 45 FC 50 B1 02 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 19 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B CE 8B C3 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_36179_0 {
	meta:
		name = "TIdMessageDecoderMIME.CheckAndSetType"
		size = 260
		refs = "0018 TIdMessageDecoderMIME.CheckAndSetType 002d TIdMessageDecoderMIME.GetAttachmentFilename 003b @UStrAsg 005a IsHeaderMediaTypes 006a IsHeaderValue 0093 @UStrClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 90 00 00 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 F4 B8 ?? ?? ?? ?? 89 45 F8 8D 55 F4 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 19 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 75 09 C6 83 9C 00 00 00 00 EB 07 C6 83 9C 00 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 61 00 74 00 74 00 61 00 63 00 68 00 6D 00 65 00 6E 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_36180_0 {
	meta:
		name = "TIdMessageDecoderMIME.GetProperHeaderItem"
		size = 240
		refs = "0015 TIdMessageDecoderMIME.GetProperHeaderItem 0027 Pos 0037 @UStrAsg 0078 @UStrCopy 00a2 @UStrCatN 00bc @UStrArrayClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 0C 8B 45 FC 8B D7 E8 ?? ?? ?? ?? EB 69 8B F3 4E EB 01 4E 85 F6 7E 08 66 83 7C 77 FE 20 74 F3 8B C7 85 C0 74 05 83 E8 04 8B 00 43 EB 01 43 3B C3 7C 08 66 83 7C 5F FE 20 74 F3 8D 45 F8 50 8B CE BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 F4 50 B9 FF FF FF 7F 8B D3 8B C7 E8 ?? ?? ?? ?? FF 75 F4 8B 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_36181_0 {
	meta:
		name = "TIdMessageDecoderMIME.ReadHeader"
		size = 792
		refs = "0018 TIdMessageDecoderMIME.ReadHeader 0037 TIdMessageDecoderMIME.CheckAndSetType 004c TIdMessageDecoder.ReadLnRFC 007a CharIsInSet 00cb @UStrCopy 00db @UStrCatN 011f TIdMessageDecoderMIME.GetProperHeaderItem 0165 TStrings.GetValue 0172 IsHeaderMediaType 0189 ExtractHeaderSubItem 0194 _Dn_TIdMessage 0199 @IsClass 01c1 TIdMIMEBoundary.Push 01cf @UStrAsg 0237 @UStrArrayClr 024a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB AD 00 00 00 00 74 15 8B 43 04 8B 48 54 8B 50 4C 8B C3 E8 ?? ?? ?? ?? E9 E1 01 00 00 8D 45 F4 50 8D 55 F3 33 C9 8B C3 E8 ?? ?? ?? ?? 80 7D F3 00 74 0C C6 83 9C 00 00 00 03 E9 BF 01 00 00 83 7D F4 00 0F 84 EA 00 00 00 B9 ?? ?? ?? ?? BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 B0 00 00 00 8B 83 98 00 00 00 8B 10 FF 52 14 85 C0 7E 6B 8B 83 98 00 00 00 8B 10 FF 52 14 8B D0 4A 8D 4D E8 8B 83 98 00 00 00 8B 38 FF 57 0C FF 75 E8 68 ?? ?? ?? ?? 8D 45 E4 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? FF 75 E4 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 50 8B B3 98 00 00 00 8B C6 8B 10 FF 52 14 8B D0 4A 8B C6 59 8B 30 FF 56 20 E9 40 FF FF FF 8D 45 DC 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 DC 8D 4D E0 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8B 83 98 00 00 00 8B 08 FF 51 38 E9 0A FF FF FF 8D 4D D8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 8B 83 98 00 00 00 8B 08 FF 51 38 E9 EA FE FF FF 8D 4D F8 BA ?? ?? ?? ?? 8B 83 98 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 72 8D 45 FC 50 B1 02 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4B 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 24 8B 46 74 8B 40 08 8B 48 08 8B 46 78 8B 55 FC E8 ?? ?? ?? ?? 8D 83 B0 00 00 00 8B 55 FC E8 ?? ?? ?? ?? EB 17 8B 46 74 8B 40 08 8B 48 08 8B 46 78 8B 93 B0 00 00 00 E8 ?? ?? ?? ?? 8D 4D D4 BA ?? ?? ?? ?? 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 4D D0 BA ?? ?? ?? ?? 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B C3 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 09 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 62 00 6F 00 75 00 6E 00 64 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_36182_0 {
	meta:
		name = "TIdMessageDecoderMIME.RemoveInvalidCharsFromFilename"
		size = 256
		refs = "0016 TIdMessageDecoderMIME.RemoveInvalidCharsFromFilename 0025 @UStrAsg 0060 @UStrCopy 0092 @UStrFromWChar 009f Pos 00aa @UniqueStringU 00ca @UStrClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B D3 E8 ?? ?? ?? ?? 8B 06 89 45 FC 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 7C 2A 8B 06 0F B7 44 58 FE 66 83 F8 2F 74 06 66 83 F8 5C 75 12 56 8D 53 01 8B 06 B9 FF FF FF 7F E8 ?? ?? ?? ?? EB 05 4B 85 DB 75 D6 8B 06 89 45 FC 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F8 85 FF 7E 37 BB 01 00 00 00 8D 45 F8 8B 16 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0E 8B C6 E8 ?? ?? ?? ?? 66 C7 44 58 FE 5F 00 43 4F 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 5C 00 2F 00 3A 00 2A 00 3F 00 22 00 3C 00 3E 00 7C 00 00 00 }
	condition:
		$1
}

rule function_36184_0 {
	meta:
		name = "TIdMessageEncoderInfoMIME.InitializeHeaders"
		size = 280
		refs = "0013 TIdMessageEncoderInfoMIME.InitializeHeaders 001a TIdMessage.SetContentType"
	strings:
		$1 = { 53 8B DA 83 7B 4C 00 75 3D 8B 43 74 83 78 28 00 7E 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 26 83 78 20 00 7E 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 12 83 78 2C 00 7E 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 2F 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 2F 00 72 00 65 00 6C 00 61 00 74 00 65 00 64 00 3B 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 2F 00 61 00 6C 00 74 00 65 00 72 00 6E 00 61 00 74 00 69 00 76 00 65 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 2F 00 6D 00 69 00 78 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 2F 00 61 00 6C 00 74 00 65 00 72 00 6E 00 61 00 74 00 69 00 76 00 65 00 00 00 }
	condition:
		$1
}

rule function_36185_0 {
	meta:
		name = "TIdMessageEncoderMIME.Encode"
		size = 284
		refs = "0018 TIdMessageEncoderMIME.Encode 0029 TStream.SetPosition 004c _Dn_TIdEncoderMIME 0051 TIdBaseComponent.Create 0077 TIdEncoder.Encode 0087 @UStrCat3 00a0 WriteStringToStream 00ce TObject.Free 00d4 @HandleFinally 00eb @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 5D FC 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 8B C3 8B 10 FF 12 89 45 E8 89 55 EC 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 EB 3C 8D 45 E4 50 B9 39 00 00 00 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 45 F0 39 83 55 F4 00 6A 01 6A 00 83 C9 FF 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F4 3B 55 EC 75 07 3B 45 E8 72 B4 EB 02 7C B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_36186_0 {
	meta:
		name = "TIdMessageDecoderMIME.InitComponent"
		size = 264
		refs = "0013 TIdMessageDecoderMIME.InitComponent 0020 TIdMessageDecoder.InitComponent 0032 _Dn_TIdMessage 0037 @IsClass 0046 TIdMIMEBoundary.GetBoundary 0054 @UStrAsg 008a PosInStrArray 00a9 @UStrClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? C6 83 AD 00 00 00 00 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 59 8D 55 FC 8B 46 78 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 B0 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 83 78 50 00 74 37 6A 00 B8 ?? ?? ?? ?? 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 B8 ?? ?? ?? ?? 89 45 F8 8D 55 F0 8B 43 04 8B 40 50 B9 02 00 00 00 E8 ?? ?? ?? ?? 40 75 07 C6 83 AD 00 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 38 00 62 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 37 00 62 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_36188_0 {
	meta:
		name = "IdMessageCoderMIME"
		size = 92
		refs = "0002 _DV_6 000c _DV_TIdMessageDecoderInfoMIME 0011 TIdMessageDecoderInfo.Create 0018 IdMessageCoderMIME 001d _Dn_TIdMessageDecoderList 0022 TIdMessageDecoderList.RegisterDecoder 0029 _DV_TIdMessageEncoderInfoMIME 002e TIdMessageEncoderInfoMIME.Create 003a _Dn_TIdMessageEncoderList 003f TIdMessageEncoderList.RegisterEncoder"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 3A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 49 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_36190_0 {
	meta:
		name = "TIdMessageEncoderQuotedPrintable.Encode"
		size = 94
		refs = "000f _Dn_TIdEncoderQuotedPrintable 0014 TIdBaseComponent.Create 001f TIdMessageEncoderQuotedPrintable.Encode 004d TObject.Free 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A FF 8B CE 8B D3 8B 45 FC 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36192_0 {
	meta:
		name = "IdMessageCoderQuotedPrintable"
		size = 60
		refs = "0002 _DV_3 000c _DV_TIdMessageEncoderInfoQuotedPrintable 0011 TIdMessageEncoderInfoQuotedPrintable.Create 0018 IdMessageCoderQuotedPrintable 001d _Dn_TIdMessageEncoderList 0022 TIdMessageEncoderList.RegisterEncoder"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 51 00 50 00 00 00 00 00 }
	condition:
		$1
}

rule function_36193_0 {
	meta:
		name = "TIdMessageDecoderInfoUUE.CheckForStart"
		size = 224
		refs = "0017 TIdMessageDecoderInfoUUE.CheckForStart 002b TextStartsWith 003f CharEquals 0058 @UStrCopy 0062 IndyStrToInt 0070 _DV_TIdMessageDecoderUUE 0075 TIdBaseComponent.Create 00ad @UStrClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 69 66 B9 20 00 BA 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 55 8D 45 F8 50 B9 03 00 00 00 BA 07 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 85 C0 7E 32 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B FE 8D 87 90 00 00 00 50 B9 FF FF FF 7F BA 0B 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 87 9C 00 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 65 00 67 00 69 00 6E 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_36194_0 {
	meta:
		name = "TIdMessageDecoderUUE.ReadBody"
		size = 568
		refs = "001d TIdMessageDecoderUUE.ReadBody 003b TIdMessageDecoder.ReadLnRFC 007e _Dn_TIdDecoderUUE 0083 TIdBaseComponent.Create 00a0 @UStrAsg 00ab _Dn_TIdDecoderXXE 00d7 RSUnrecognizedUUEEncodingScheme 00dc LoadResString 00e6 _Dn_EIdException 00eb EIdException.Create 00f0 @RaiseExcept 0113 Trim 013f @UStrFromChar 014a @UStrEqual 015c TIdDecoder.Decode 0184 TextIsSame 01af TObject.Free 01b5 @HandleFinally 01d1 @UStrArrayClr 01e6 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 01 00 33 C0 89 45 F8 8D 45 FC 50 8D 55 F3 33 C9 8B C3 E8 ?? ?? ?? ?? 80 7D F3 00 0F 85 72 01 00 00 33 C0 89 45 F4 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 92 00 00 00 8B 45 FC 0F B7 00 83 C0 E0 66 83 E8 36 72 08 66 83 E8 12 74 2F EB 5A 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B D6 8B 45 F4 8B 08 FF 51 44 8D 83 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4E 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B D6 8B 45 F4 8B 08 FF 51 44 8D 83 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D F4 00 0F 84 8D 00 00 00 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 85 C0 75 04 B0 01 EB 20 8D 45 E0 8B 55 F4 0F B6 92 BF 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC E8 ?? ?? ?? ?? 0F 94 C0 84 C0 75 0B 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F3 33 C9 8B C3 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0A 45 F3 0F 84 7B FF FF FF 8B 45 F4 8B 10 FF 52 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B 45 F8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 55 00 55 00 45 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 58 00 58 00 45 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 65 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_36196_0 {
	meta:
		name = "TIdMessageEncoderUUEBase.Encode"
		size = 440
		refs = "001a TIdMessageEncoderUUEBase.Encode 002b TStream.SetPosition 0042 IntToStr 0062 @UStrCatN 006f WriteStringToStream 007e TIdBaseComponent.Create 00c1 TStream.GetPosition 00e7 @UStrFromChar 012d TObject.Free 0133 @HandleFinally 014f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 6A 01 6A 00 68 ?? ?? ?? ?? 8D 55 F4 8B 87 94 00 00 00 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF B7 90 00 00 00 68 ?? ?? ?? ?? 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 83 C9 FF 8B C6 E8 ?? ?? ?? ?? 8B 87 98 00 00 00 33 C9 B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 EB 21 6A 2D 8B CE 8B D3 8B 45 FC 8B 38 FF 57 44 6A 01 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 12 52 50 8B C3 E8 ?? ?? ?? ?? 3B 54 24 04 75 09 3B 04 24 5A 58 72 C3 EB 04 5A 58 7C BD 6A 01 6A 00 8D 45 EC 8B 55 FC 0F B6 52 3C E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 83 C9 FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 65 00 67 00 69 00 6E 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 65 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_36197_0 {
	meta:
		name = "TIdMessageEncoderUUE.InitComponent"
		size = 23
		refs = "0006 TIdMessageEncoder.InitComponent 000b _Dn_TIdEncoderUUE"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 83 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_36201_0 {
	meta:
		name = "TIdMessageEncoderXXE.InitComponent"
		size = 23
		refs = "0006 TIdMessageEncoder.InitComponent 000b _Dn_TIdEncoderXXE"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 83 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_37038_0 {
	meta:
		name = "TIdServerIOHandlerSocket.InitComponent"
		size = 23
		refs = "0006 TIdComponent.InitComponent 000b _Dn_TIdIOHandlerSocket"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 83 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_37041_0 {
	meta:
		name = "TIdServerIOHandlerStack.InitComponent"
		size = 23
		refs = "0006 TIdServerIOHandlerSocket.InitComponent 000b _Dn_TIdIOHandlerStack"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 83 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_41308_0 {
	meta:
		name = "TInServerIOHandlerSocket.InitComponent"
		size = 23
		refs = "0006 TInComponent.InitComponent 000b _Dn_TInIOHandlerSocket"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 83 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_41311_0 {
	meta:
		name = "TInServerIOHandlerStack.InitComponent"
		size = 23
		refs = "0006 TInServerIOHandlerSocket.InitComponent 000b _Dn_TInIOHandlerStack"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 83 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_36199_0 {
	meta:
		name = "IdMessageCoderUUE"
		size = 88
		refs = "0002 _DV_6 000c _DV_TIdMessageDecoderInfoUUE 0011 TIdMessageDecoderInfo.Create 0018 IdMessageCoderUUE 001d _Dn_TIdMessageDecoderList 0022 TIdMessageDecoderList.RegisterDecoder 0029 _DV_TIdMessageEncoderInfoUUE 002e TIdMessageEncoderInfoUUE.Create 003a _Dn_TIdMessageEncoderList 003f TIdMessageEncoderList.RegisterEncoder"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 3A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 03 00 00 00 55 00 55 00 45 00 00 00 }
	condition:
		$1
}

rule function_36203_0 {
	meta:
		name = "IdMessageCoderXXE"
		size = 60
		refs = "0002 _DV_3 000c _DV_TIdMessageEncoderInfoXXE 0011 TIdMessageEncoderInfoXXE.Create 0018 IdMessageCoderXXE 001d _Dn_TIdMessageEncoderList 0022 TIdMessageEncoderList.RegisterEncoder"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 58 00 58 00 45 00 00 00 }
	condition:
		$1
}

rule function_36204_0 {
	meta:
		name = "GetStrValue"
		size = 252
		refs = "0020 GetStrValue 0031 LowerCase 004c @UStrCat 0055 IndyPos 0067 @UStrClr 0085 @UStrCopy 00c6 @UStrArrayClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F4 89 5D F0 89 4D F8 8B FA 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 1D ?? ?? ?? ?? 8B 1B 5A FF D3 8B D8 85 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 43 8B C7 85 C0 74 05 83 E8 04 8B 00 40 03 D8 56 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 16 B8 ?? ?? ?? ?? FF D3 8B D8 85 DB 7E 10 56 8B CB 49 8B 06 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36205_0 {
	meta:
		name = "GetIntValue"
		size = 99
		refs = "000f GetIntValue 0027 GetStrValue 0035 IndyStrToInt 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 B9 FF FF 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 0C 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36206_0 {
	meta:
		name = "GetName"
		size = 148
		refs = "000d GetName 0021 LowerCase 002a IndyPos 004d @UStrCopy 0056 @UStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 8B D8 85 DB 7E 16 56 8D 53 05 8B 45 08 8B 40 FC B9 FF FF FF 7F E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 6E 00 61 00 6D 00 65 00 3D 00 00 00 }
	condition:
		$1
}

rule function_36207_0 {
	meta:
		name = "TIdMessageDecoderInfoYenc.CheckForStart"
		size = 376
		refs = "0017 TIdMessageDecoderInfoYenc.CheckForStart 002a TextStartsWith 003b _DV_TIdMessageDecoderYenc 0040 TIdBaseComponent.Create 005e GetIntValue 009c GetName 00ad @UStrAsg 00c6 @HandleAnyException 00d3 TObject.Free 00d8 @RaiseAgain 00dd @DoneExcept 00f9 @UStrClr 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D FC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 AD 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 89 82 B0 00 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 89 82 AC 00 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 89 82 A8 00 00 00 55 8D 45 F4 E8 ?? ?? ?? ?? 59 8B 55 F4 8B 45 F8 05 90 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 C6 80 9C 00 00 00 01 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 33 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3D 00 79 00 62 00 65 00 67 00 69 00 6E 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 69 00 6E 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 70 00 61 00 72 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_36208_0 {
	meta:
		name = "FlushOutputBuffer"
		size = 47
	strings:
		$1 = { 55 8B EC 53 8B 45 08 83 78 F8 00 74 17 8B 45 08 8B 48 F4 8B 45 08 8D 50 FC 8B 45 08 8B 40 F8 8B 18 FF 53 10 8B 45 08 33 D2 89 50 F4 5B 5D C3 }
	condition:
		$1
}

rule function_36209_0 {
	meta:
		name = "AddByteToOutputBuffer"
		size = 48
		refs = "0029 FlushOutputBuffer"
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 52 F4 8B 4D 08 8B 49 FC 88 04 11 8B 45 08 FF 40 F4 8B 45 08 81 78 F4 00 10 00 00 7C 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_36210_0 {
	meta:
		name = "TIdMessageDecoderYenc.ReadBody"
		size = 816
		refs = "0031 TIdMessageDecoderYenc.ReadBody 004a TArray<System.Byte> 004f @DynArraySetLength 0077 _Dn_TIdHashCRC32 007c TIdHash.Create 00a3 Indy8BitEncoding 00b0 TIdMessageDecoder.ReadLnRFC 00bb LowerCase 00c4 IndyPos 00e8 TextStartsWith 00f9 GetIntValue 0148 RSYencFileCorrupted 014d LoadResString 0155 _DV_EIdMessageYencCorruptionException 015a EIdException.Toss 0176 AddByteToOutputBuffer 0190 @UStrLen 01aa FlushOutputBuffer 01bb RSYencInvalidSize 01c8 _DV_EIdMessageYencInvalidSizeException 01e3 GetStrValue 0204 @UStrCat3 020c IndyStrToInt64 0228 RSYencInvalidCRC 0235 _DV_EIdMessageYencInvalidCRCException 0254 TObject.Free 025a @HandleFinally 0276 @UStrArrayClr 0291 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 33 DB 89 5D B4 89 5D B8 89 5D BC 89 5D C0 89 5D C4 89 5D C8 89 5D F0 89 5D EC 89 5D FC 8B D9 89 55 F8 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 10 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C6 03 00 33 C0 89 45 E4 8B 45 E8 8B 80 B0 00 00 00 89 45 DC 33 C0 89 45 F4 33 C0 89 45 E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 D4 8B 45 D0 8B 08 FF 51 10 8D 45 F0 50 B0 01 E8 ?? ?? ?? ?? 8B C8 8D 55 DB 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 C8 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 85 C0 0F 95 C0 0A 45 DB 0F 85 BE 00 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 24 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 2B D8 43 89 5D DC EB 88 BE 01 00 00 00 EB 71 8B 45 F0 0F B6 5C 70 FE 80 FB 3D 75 47 8B 45 F0 89 45 CC 83 7D CC 00 74 0B 8B 45 CC 83 E8 04 8B 00 89 45 CC 3B 75 CC 75 1A 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 8B 45 F0 0F B6 5C 70 FE 80 EB 2A 80 EB 40 EB 03 80 EB 2A 55 8B C3 E8 ?? ?? ?? ?? 59 8D 55 D4 8B CB 8B 45 D0 8B 18 FF 53 18 46 FF 45 E0 8B 45 F0 E8 ?? ?? ?? ?? 3B F0 7E 83 E9 FF FE FF FF 8D 55 D4 8B 45 D0 8B 08 FF 51 14 55 E8 ?? ?? ?? ?? 59 8B 45 DC 3B 45 E0 74 1A 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 BC 50 B9 FF FF 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 BC 8D 55 EC E8 ?? ?? ?? ?? 83 7D EC 00 74 46 8D 45 B8 8B 4D EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 52 50 8B 45 D4 33 D2 3B 54 24 04 75 03 3B 04 24 5A 58 74 1A 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 33 D2 89 55 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B 45 E4 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3D 00 79 00 65 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3D 00 79 00 70 00 61 00 72 00 74 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 65 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 62 00 65 00 67 00 69 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 72 00 63 00 33 00 32 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_36213_0 {
	meta:
		name = "FlushOutputBuffer"
		size = 38
		refs = "0018 WriteTIdBytesToStream"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 8B 48 F0 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 33 D2 89 50 F0 5D C3 }
	condition:
		$1
}

rule function_36214_0 {
	meta:
		name = "AddByteToOutputBuffer"
		size = 48
		refs = "0029 FlushOutputBuffer"
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 52 F0 8B 4D 08 8B 49 F4 88 04 11 8B 45 08 FF 40 F0 8B 45 08 81 78 F0 00 10 00 00 7C 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_36215_0 {
	meta:
		name = "ReadByteFromInputBuffer"
		size = 81
		refs = "0027 ReadTIdBytesFromStream"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 EC 8B 55 08 3B 42 E8 7C 28 6A 00 68 00 10 00 00 8B 45 08 8D 50 FC 8B 45 08 8B 40 E4 33 C9 E8 ?? ?? ?? ?? 8B 55 08 89 42 E8 8B 45 08 33 D2 89 50 EC 8B 45 08 8B 40 EC 8B 55 08 8B 52 FC 0F B6 04 02 8B 55 08 FF 42 EC 5D C3 }
	condition:
		$1
}

rule function_36216_0 {
	meta:
		name = "TIdMessageEncoderYenc.Encode"
		size = 852
		refs = "002f TIdMessageEncoderYenc.Encode 0048 TArray<System.Byte> 004d @DynArraySetLength 0077 IndyLength 008f _Dn_TIdHashCRC32 0094 TIdHash.Create 00c2 IntToStr 00f8 @UStrCatN 010a WriteStringToStream 0123 ReadByteFromInputBuffer 0158 AddByteToOutputBuffer 01c6 FlushOutputBuffer 01f6 IntToHex 0201 LowerCase 0242 TObject.Free 0248 @HandleFinally 0264 @UStrArrayClr 026c @UStrClr 027a @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 DB 89 5D B8 89 5D B4 89 5D B0 89 5D C0 89 5D BC 89 5D E0 89 5D F4 89 5D FC 89 4D F8 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 10 00 00 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 68 00 10 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A FF 6A FF 8B 45 E4 E8 ?? ?? ?? ?? 89 45 D0 89 55 D4 33 F6 C6 45 CE 3D 33 C0 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 C8 8B 45 C4 8B 08 FF 51 10 68 ?? ?? ?? ?? 8D 55 C0 B8 80 00 00 00 E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? FF 75 D4 FF 75 D0 8D 45 BC E8 ?? ?? ?? ?? FF 75 BC 68 ?? ?? ?? ?? FF B3 90 00 00 00 68 ?? ?? ?? ?? 8D 45 E0 BA 07 00 00 00 E8 ?? ?? ?? ?? 6A 01 6A 00 83 C9 FF 8B 55 E0 8B 45 F8 E8 ?? ?? ?? ?? C7 45 D8 00 00 00 00 C7 45 DC 00 00 00 00 E9 87 00 00 00 55 E8 ?? ?? ?? ?? 59 88 45 CF 83 45 D8 01 83 55 DC 00 0F B6 5D CF 80 C3 2A 8B C3 84 C0 74 12 04 F7 2C 02 72 0C 2C 02 74 08 2C 21 74 04 2C 0F 75 0F 55 0F B6 45 CE E8 ?? ?? ?? ?? 59 80 C3 40 46 55 8B C3 E8 ?? ?? ?? ?? 59 8D 55 C8 8B CB 8B 45 C4 8B 38 FF 57 18 46 83 FE 01 75 0F 80 FB 2E 75 0A 55 8B C3 E8 ?? ?? ?? ?? 59 46 81 FE 80 00 00 00 7C 14 55 B0 0D E8 ?? ?? ?? ?? 59 55 B0 0A E8 ?? ?? ?? ?? 59 33 F6 8B 45 D8 8B 55 DC 3B 55 D4 75 0B 3B 45 D0 0F 82 65 FF FF FF EB 06 0F 8C 5D FF FF FF 55 E8 ?? ?? ?? ?? 59 68 ?? ?? ?? ?? FF 75 D4 FF 75 D0 8D 45 B8 E8 ?? ?? ?? ?? FF 75 B8 68 ?? ?? ?? ?? 8B 45 C8 33 D2 52 50 8D 55 B0 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 B0 8D 55 B4 E8 ?? ?? ?? ?? FF 75 B4 68 ?? ?? ?? ?? 8D 45 E0 BA 05 00 00 00 E8 ?? ?? ?? ?? 6A 01 6A 00 83 C9 FF 8B 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C4 33 D2 89 55 C4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C7 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 3D 00 79 00 62 00 65 00 67 00 69 00 6E 00 20 00 6C 00 69 00 6E 00 65 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 73 00 69 00 7A 00 65 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 0D 00 0A 00 3D 00 79 00 65 00 6E 00 64 00 20 00 73 00 69 00 7A 00 65 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 63 00 72 00 63 00 33 00 32 00 3D 00 00 00 }
	condition:
		$1
}

rule function_36218_0 {
	meta:
		name = "IdMessageCoderYenc"
		size = 92
		refs = "0002 _DV_9 000c _DV_TIdMessageDecoderInfoYenc 0011 TIdMessageDecoderInfo.Create 0018 IdMessageCoderYenc 001d _Dn_TIdMessageDecoderList 0022 TIdMessageDecoderList.RegisterDecoder 0029 _DV_TIdMessageEncoderInfoYenc 002e TIdMessageEncoderInfoYenc.Create 003a _Dn_TIdMessageEncoderList 003f TIdMessageEncoderList.RegisterEncoder"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 3A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 04 00 00 00 79 00 45 00 6E 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_36222_0 {
	meta:
		name = "TIdMessageCollection.GetIdMessage"
		size = 21
		refs = "000b TCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 14 5E 5B C3 }
	condition:
		$1
}

rule function_36223_0 {
	meta:
		name = "TIdMessageCollection.SetIdMessage"
		size = 42
		refs = "000e TCollection.GetItem 0016 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 14 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 89 78 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36226_0 {
	meta:
		name = "TIdMessagePart.Assign"
		size = 93
		refs = "000a _DV_TIdMessagePart 000f @IsClass 0034 @UStrAsg 0056 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3A 8B 56 24 8B 43 24 8B 08 FF 51 08 8B 56 18 8B 43 18 8B 08 FF 51 08 8D 43 10 8B 56 10 E8 ?? ?? ?? ?? 8D 43 1C 8B 56 1C E8 ?? ?? ?? ?? 8D 43 20 8B 56 20 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36227_0 {
	meta:
		name = "TIdMessagePart.Create"
		size = 201
		refs = "0014 @ClassCreate 0021 TIdMessagePart.Create 0030 TCollectionItem.Create 003a _DV_TIdMessagePart 0044 RSTIdMessagePartCreate 0049 LoadResString 0053 _DV_EIdCanNotCreateMessagePart 0058 EIdException.Create 005d @RaiseExcept 006a _Dn_TIdHeaderList 006f TIdHeaderList.Create 009f @UStrClr 00a5 @HandleFinally 00b4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 13 89 D0 3B 05 ?? ?? ?? ?? 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 28 00 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 24 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 C7 43 38 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_36228_0 {
	meta:
		name = "TIdMessagePart.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TCollectionItem.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 24 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36229_0 {
	meta:
		name = "TIdMessagePart.GetContentDisposition"
		size = 76
		refs = "0009 TIdMessagePart.GetContentDisposition 0011 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_36230_0 {
	meta:
		name = "TIdMessagePart.GetContentID"
		size = 60
		refs = "0009 TIdMessagePart.GetContentID 0011 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 49 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_36231_0 {
	meta:
		name = "TIdMessagePart.GetContentDescription"
		size = 76
		refs = "0009 TIdMessagePart.GetContentDescription 0011 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 65 00 73 00 63 00 72 00 69 00 70 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_36232_0 {
	meta:
		name = "TIdMessagePart.GetContentLocation"
		size = 72
		refs = "0009 TIdMessagePart.GetContentLocation 0011 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_36233_0 {
	meta:
		name = "TIdMessagePart.GetContentTransfer"
		size = 88
		refs = "0009 TIdMessagePart.GetContentTransfer 0011 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 19 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 72 00 61 00 6E 00 73 00 66 00 65 00 72 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_36234_0 {
	meta:
		name = "TIdMessagePart.GetCharSet"
		size = 112
		refs = "000e @UStrAddRef 0016 TIdMessagePart.GetCharSet 002c ExtractHeaderSubItem 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 B1 02 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_36235_0 {
	meta:
		name = "TIdMessagePart.ResolveContentType"
		size = 372
		refs = "0012 @UStrAddRef 001a TIdMessagePart.ResolveContentType 0030 ExtractHeaderItem 0039 TIdMessagePart.GetMessageParts 0046 TIdMessageParts.GetOwnerMessage 0060 TIdMessageParts.GetItem 0070 TIdHeaderList.GetValue 007d IsHeaderMediaType 008d @UStrAsg 00a4 @UStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 0C 8B D7 8B 45 FC E8 ?? ?? ?? ?? EB 72 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 5E 8B C6 E8 ?? ?? ?? ?? 85 C0 74 53 80 78 68 01 75 4D 83 7B 38 FF 74 39 8B 53 38 8B C6 E8 ?? ?? ?? ?? 8B 40 24 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0E 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 2F 00 64 00 69 00 67 00 65 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 2F 00 72 00 66 00 63 00 38 00 32 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 74 00 65 00 78 00 74 00 2F 00 70 00 6C 00 61 00 69 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_36236_0 {
	meta:
		name = "TIdMessagePart.GetContentType"
		size = 64
		refs = "0009 TIdMessagePart.GetContentType 0011 TIdHeaderList.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_36237_0 {
	meta:
		name = "TIdMessagePart.GetMessageParts"
		size = 34
		refs = "000b _DV_TIdMessageParts 0010 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 8B C6 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_36238_0 {
	meta:
		name = "TIdMessagePart.GetOwnerMessage"
		size = 18
		refs = "0001 TIdMessagePart.GetMessageParts 000a TIdMessageParts.GetOwnerMessage"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 06 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_98209_0 {
	meta:
		name = "TCustomAdapterCommandGroup.GetAdapter"
		size = 18
		refs = "0001 TWebDisplayReferenceGroup.GetWebDisplayComponent 000a FindAdapter"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 06 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_36240_0 {
	meta:
		name = "TIdMessagePart.SetContentID"
		size = 52
		refs = "0006 TIdMessagePart.SetContentID 000b TIdHeaderList.SetValue"
	strings:
		$1 = { 8B CA 8B 40 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 49 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_36241_0 {
	meta:
		name = "TIdMessagePart.SetContentDescription"
		size = 68
		refs = "0006 TIdMessagePart.SetContentDescription 000b TIdHeaderList.SetValue"
	strings:
		$1 = { 8B CA 8B 40 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 65 00 73 00 63 00 72 00 69 00 70 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_36242_0 {
	meta:
		name = "TIdMessagePart.SetContentDisposition"
		size = 236
		refs = "0013 TIdMessagePart.SetContentDisposition 002e RemoveHeaderEntry 003e TIdHeaderList.SetValue 004f DecodeHeader 005a @UStrLAsg 006b @UStrAsg 0085 @UStrArrayClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 8D 45 F8 50 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 0B 8D 43 1C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_36243_0 {
	meta:
		name = "TIdMessagePart.SetContentLocation"
		size = 64
		refs = "0006 TIdMessagePart.SetContentLocation 000b TIdHeaderList.SetValue"
	strings:
		$1 = { 8B CA 8B 40 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_36244_0 {
	meta:
		name = "TIdMessagePart.SetContentTransfer"
		size = 80
		refs = "0006 TIdMessagePart.SetContentTransfer 000b TIdHeaderList.SetValue"
	strings:
		$1 = { 8B CA 8B 40 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 19 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 72 00 61 00 6E 00 73 00 66 00 65 00 72 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_36245_0 {
	meta:
		name = "TIdMessagePart.SetContentType"
		size = 268
		refs = "0013 TIdMessagePart.SetContentType 002e RemoveHeaderEntry 004f @UStrLAsg 005f TIdHeaderList.SetValue 0070 @UStrAsg 009b @UStrArrayClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 8D 45 FC 50 8D 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 02 8D 45 F0 50 8D 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 83 7D F8 00 74 0B 8D 43 10 8B 55 F8 E8 ?? ?? ?? ?? 83 7D F4 00 74 0B 8D 43 20 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_36248_0 {
	meta:
		name = "TIdMessageParts.CountParts"
		size = 174
		refs = "0013 TIdMessageParts.CountParts 0042 TIdMessageParts.GetItem 009c @UStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 43 20 33 C0 89 43 28 33 C0 89 43 2C 8B 43 08 8B 40 08 48 85 C0 7C 54 40 89 45 FC 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 51 2C 8B 45 F8 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 03 FF 43 28 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 00 FF 50 50 2C 01 72 04 74 07 EB 08 FF 43 2C EB 03 FF 43 20 46 FF 4D FC 75 B2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_36249_0 {
	meta:
		name = "TIdMessageParts.Create"
		size = 96
		refs = "000a @ClassCreate 0013 _DV_TIdMessagePart 001d TOwnedCollection.Create 0022 TIdMessageParts.Create 0029 TIdMessageParts.SetAttachmentEncoding 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 49 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_36251_0 {
	meta:
		name = "TIdMessageParts.GetOwnerMessage"
		size = 33
		refs = "0002 TOwnedCollection.GetOwner 000c _Dn_TIdMessage 0011 @IsClass"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 8B C3 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_36252_0 {
	meta:
		name = "TIdMessageParts.SetAttachmentEncoding"
		size = 34
		refs = "0009 _Dn_TIdMessageEncoderList 000e TIdMessageEncoderList.ByName 001b @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 24 8D 43 1C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36256_0 {
	meta:
		name = "TIdMultiPartFormDataStream.Create"
		size = 252
		refs = "000f @ClassCreate 001b TIdMultiPartFormDataStream.Create 002a TObject.Create 0046 TIdMultiPartFormDataStream.GenerateUniqueBoundary 0051 @UStrAsg 0061 @UStrCat3 006a _DV_TIdFormDataFields 006f TIdFormDataFields.Create 0087 @UStrClr 008d @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 28 00 00 00 00 C7 46 2C 00 00 00 00 C6 46 18 00 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 0C E8 ?? ?? ?? ?? 8B 4E 0C 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 2F 00 66 00 6F 00 72 00 6D 00 2D 00 64 00 61 00 74 00 61 00 3B 00 20 00 62 00 6F 00 75 00 6E 00 64 00 61 00 72 00 79 00 3D 00 00 00 00 00 }
	condition:
		$1
}

rule function_36258_0 {
	meta:
		name = "TIdMultiPartFormDataStream.AddObject"
		size = 151
		refs = "001c TIdMultiPartFormDataStream.AddObject 002a _Dn_TStream 002f @IsClass 003b RSMFDInvalidObjectType 0040 LoadResString 004a _DV_EIdInvalidObjectType 004f EIdException.Create 0054 @RaiseExcept 0069 TIdMultiPartFormDataStream.AddFormField 0080 @UStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 10 50 56 8B 45 08 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_36259_0 {
	meta:
		name = "TIdMultiPartFormDataStream.AddFile"
		size = 288
		refs = "001f TIdMultiPartFormDataStream.AddFile 002e _Dn_TIdReadFileExclusiveStream 0033 TIdReadFileExclusiveStream.Create 004c TIdFormDataFields.Add 005d @HandleAnyException 006a TObject.Free 006f @RaiseAgain 0074 @DoneExcept 007f @UStrAsg 0089 ExtractFileName 00b8 GetMIMETypeFromFile 00ea @UStrArrayClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F1 89 55 FC 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 30 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 1C 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 0C E8 ?? ?? ?? ?? 8B 45 F8 89 43 20 C6 43 28 01 85 FF 74 0C 8D 43 14 8B D7 E8 ?? ?? ?? ?? EB 15 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 14 E8 ?? ?? ?? ?? 8D 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_36260_0 {
	meta:
		name = "TIdMultiPartFormDataStream.AddFormField"
		size = 276
		refs = "001e TIdMultiPartFormDataStream.AddFormField 002c TIdFormDataFields.Add 0039 @UStrAsg 0044 ExtractFileName 0067 TIdFormDataField.SetContentType 00a6 @UStrClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B 7D 0C 8B 75 10 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 30 E8 ?? ?? ?? ?? 8B D8 8D 43 1C 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F4 8B 45 08 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 0C E8 ?? ?? ?? ?? 8D 43 24 8B 55 F8 E8 ?? ?? ?? ?? 85 FF 74 0B 8B D7 8B C3 E8 ?? ?? ?? ?? EB 0D 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 74 0A 8D 43 10 8B D6 E8 ?? ?? ?? ?? 8D 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 74 00 65 00 78 00 74 00 2F 00 70 00 6C 00 61 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 71 00 75 00 6F 00 74 00 65 00 64 00 2D 00 70 00 72 00 69 00 6E 00 74 00 61 00 62 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_36261_0 {
	meta:
		name = "TIdMultiPartFormDataStream.AddFormField"
		size = 260
		refs = "001a TIdMultiPartFormDataStream.AddFormField 002c RSMFDInvalidObjectType 0031 LoadResString 003b _DV_EIdInvalidObjectType 0040 EIdException.Create 0045 @RaiseExcept 004d TIdFormDataFields.Add 005a @UStrAsg 0065 ExtractFileName 0080 TIdFormDataField.SetContentType 008d GetMIMETypeFromFile 00d0 @UStrArrayClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 FC 8B 75 0C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 F6 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 30 E8 ?? ?? ?? ?? 8B D8 8D 43 1C 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F4 8B 45 08 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 0C E8 ?? ?? ?? ?? 89 73 20 85 FF 74 0B 8B D7 8B C3 E8 ?? ?? ?? ?? EB 16 8D 55 F0 8B 45 08 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 14 E8 ?? ?? ?? ?? 83 7D 10 00 74 0B 8D 43 10 8B 55 10 E8 ?? ?? ?? ?? 8D 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_36262_0 {
	meta:
		name = "TIdMultiPartFormDataStream.Clear"
		size = 97
		refs = "000b TCollection.Clear 0019 TObject.Free 0053 TArray<System.Byte> 0058 @DynArraySetLength"
	strings:
		$1 = { 53 8B D8 C6 43 18 00 8B 43 30 E8 ?? ?? ?? ?? 80 7B 08 00 74 08 8B 43 04 E8 ?? ?? ?? ?? 33 C0 89 43 04 C6 43 08 00 33 C0 89 43 14 C7 43 20 00 00 00 00 C7 43 24 00 00 00 00 C7 43 28 00 00 00 00 C7 43 2C 00 00 00 00 6A 00 8D 43 1C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5B C3 }
	condition:
		$1
}

rule function_36263_0 {
	meta:
		name = "TIdMultiPartFormDataStream.GenerateUniqueBoundary"
		size = 208
		refs = "0015 TIdMultiPartFormDataStream.GenerateUniqueBoundary 0028 @UStrLAsg 002d Now 0040 CurrencyString 0048 FormatDateTime 0057 @UStrCat3 0071 @UStrArrayClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 89 4D F8 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C3 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 6D 00 6D 00 64 00 64 00 79 00 79 00 68 00 68 00 6E 00 6E 00 73 00 73 00 7A 00 7A 00 7A 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_36264_0 {
	meta:
		name = "TIdMultiPartFormDataStream.CalculateSize"
		size = 128
		refs = "0030 TIdFormDataFields.GetFormDataField 0035 TIdFormDataField.GetFieldSize"
	strings:
		$1 = { 53 56 57 8B D8 C7 43 28 00 00 00 00 C7 43 2C 00 00 00 00 8B 43 30 8B 40 08 8B 40 08 85 C0 7E 5C 8B F0 4E 85 F6 7C 22 46 33 FF 8B D7 8B 43 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 43 28 13 53 2C 89 43 28 89 53 2C 47 4E 75 E1 8B 4B 0C 85 C9 74 05 83 E9 04 8B 09 8B C1 99 52 50 8B 43 28 8B 53 2C 83 C0 02 83 D2 00 03 04 24 13 54 24 04 83 C4 08 83 C0 04 83 D2 00 89 43 28 89 53 2C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36265_0 {
	meta:
		name = "TIdMultiPartFormDataStream.IdRead"
		size = 720
		refs = "001a TIdMultiPartFormDataStream.IdRead 003f TArray<System.Byte> 0044 @DynArraySetLength 005b @DynArrayLength 0070 TIdFormDataFields.GetFormDataField 0080 TIdFormDataField.FormatHeader 008e AppendString 0099 TIdFormDataField.PrepareDataStream 00dc IndyMin 0101 CopyTIdBytes 0180 _Dn_TIdStreamHelperVCL 0185 TIdStreamHelperVCL.ReadBytes 01c7 TObject.Free 01d5 TStream.SetPosition 0234 @UStrCatN 026c TCollection.GetCount 0291 @UStrArrayClr 0297 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 18 00 75 21 C6 43 18 01 33 C0 89 43 14 6A 00 8D 43 1C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 FF 33 C0 89 45 F8 E9 F2 01 00 00 8B 43 1C E8 ?? ?? ?? ?? 85 C0 75 58 83 7B 04 00 75 52 8B 53 14 8B 43 30 E8 ?? ?? ?? ?? 89 45 F0 6A 00 8D 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 EC 8D 43 1C 83 C9 FF E8 ?? ?? ?? ?? 8D 53 08 8B 45 F0 E8 ?? ?? ?? ?? 89 43 04 83 7B 04 00 75 15 6A 00 8D 43 1C 83 C9 FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 14 8B 43 1C E8 ?? ?? ?? ?? 85 C0 0F 8E 81 00 00 00 8B 43 1C E8 ?? ?? ?? ?? 8B D0 8B 45 08 2B 45 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 66 8B 43 1C E8 ?? ?? ?? ?? 2B C6 89 45 F4 8B 45 F8 50 56 8B 4D FC 33 D2 8B 43 1C E8 ?? ?? ?? ?? 83 7D F4 00 7E 13 6A 00 8B 45 F4 50 8D 4B 1C 8B D6 8B 43 1C E8 ?? ?? ?? ?? 8B 45 F4 50 8D 43 1C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 01 75 F8 8B C6 99 03 43 20 13 53 24 89 43 20 89 53 24 03 FE 3B 7D 08 0F 8D A2 00 00 00 8B 43 1C E8 ?? ?? ?? ?? 85 C0 0F 85 92 00 00 00 83 7B 04 00 0F 84 88 00 00 00 8B 45 08 2B C7 50 8B 45 F8 50 8B 4D FC 8B 53 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7E 16 01 75 F8 03 FE 8B C6 99 03 43 20 13 53 24 89 43 20 89 53 24 EB 52 6A 00 8D 43 1C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 80 7B 08 00 74 0A 8B 43 04 E8 ?? ?? ?? ?? EB 1E 6A 00 6A 00 8B 43 04 E8 ?? ?? ?? ?? 6A 00 8D 43 1C 83 C9 FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 43 04 C6 43 08 00 FF 43 14 8B 43 1C E8 ?? ?? ?? ?? 85 C0 75 46 83 7B 04 00 75 40 8B 43 30 8B 40 08 8B 40 08 3B 43 14 75 32 6A 00 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 43 1C 83 C9 FF E8 ?? ?? ?? ?? FF 43 14 3B 7D 08 7D 2B 8B 43 1C E8 ?? ?? ?? ?? 85 C0 0F 8F F9 FD FF FF 83 7B 04 00 0F 85 EF FD FF FF 8B 43 30 E8 ?? ?? ?? ?? 3B 43 14 0F 8F DE FD FF FF 8B DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_36266_0 {
	meta:
		name = "TIdMultiPartFormDataStream.IdSeek"
		size = 168
		refs = "007d TIdMultiPartFormDataStream.CalculateSize"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 80 EA 01 72 08 74 42 FE CA 74 4C EB 77 83 7D 0C 00 75 28 83 7D 08 00 75 22 C6 43 18 00 C7 43 20 00 00 00 00 C7 43 24 00 00 00 00 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 EB 49 8B 43 20 89 45 F8 8B 43 24 89 45 FC EB 3B 8B 43 20 89 45 F8 8B 43 24 89 45 FC EB 2D 83 7D 0C 00 75 1B 83 7D 08 00 75 15 8B C3 E8 ?? ?? ?? ?? 8B 43 28 89 45 F8 8B 43 2C 89 45 FC EB 0C 8B 43 20 89 45 F8 8B 43 24 89 45 FC 8B 45 F8 8B 55 FC 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_36267_0 {
	meta:
		name = "TIdMultiPartFormDataStream.IdWrite"
		size = 90
		refs = "000a TIdMultiPartFormDataStream.IdWrite 0018 RSUnsupportedOperation 001d LoadResString 0027 _DV_EIdUnsupportedOperation 002c EIdException.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_38852_0 {
	meta:
		name = "TCompressionStream.IdRead"
		size = 90
		refs = "000a TCompressionStream.IdRead 0018 sInvalidStreamOp 001d LoadResString 0027 _DV_ECompressionError 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_38860_0 {
	meta:
		name = "TDecompressionStream.IdWrite"
		size = 90
		refs = "000a TDecompressionStream.IdWrite 0018 sInvalidStreamOp 001d LoadResString 0027 _DV_EDecompressionError 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_36268_0 {
	meta:
		name = "TIdMultiPartFormDataStream.IdSetSize"
		size = 86
		refs = "0009 TIdMultiPartFormDataStream.IdSetSize 0017 RSUnsupportedOperation 001c LoadResString 0026 _DV_EIdUnsupportedOperation 002b EIdException.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_36272_0 {
	meta:
		name = "TIdFormDataField.Create"
		size = 86
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 0024 @UStrClr 0043 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 20 8D 46 0C E8 ?? ?? ?? ?? 8D 46 1C E8 ?? ?? ?? ?? 8D 46 14 E8 ?? ?? ?? ?? C6 46 28 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36273_0 {
	meta:
		name = "TIdFormDataField.Destroy"
		size = 54
		refs = "0003 @BeforeDestruction 0019 TObject.Free 0024 TCollectionItem.Destroy 002f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 20 85 C0 74 0B 80 7E 28 00 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36274_0 {
	meta:
		name = "TIdFormDataField.FormatHeader"
		size = 900
		refs = "001a TIdFormDataField.FormatHeader 0036 @UStrCat3 0041 IdGetDefaultCharSet 004a IdCharsetNames 0055 @UStrLAsg 00a5 EncodeHeader 00c1 IndyFormat 010e @UStrCat 01f1 @UStrArrayClr 0211 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 40 18 8B 48 0C 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 45 F6 42 00 E8 ?? ?? ?? ?? 0F B7 C0 8B 15 ?? ?? ?? ?? 8B 14 82 8D 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 2D DF 00 74 08 66 2D 54 02 74 0A EB 1C 66 C7 45 F6 51 00 EB 14 8D 45 F8 8B 15 ?? ?? ?? ?? 8B 92 C0 0A 00 00 E8 ?? ?? ?? ?? 53 8B 45 FC 89 45 E4 C6 45 E8 11 8B 45 F8 50 8D 45 E0 50 0F B7 4D F6 33 D2 8B 46 1C E8 ?? ?? ?? ?? 8B 45 E0 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 3D 8D 45 DC 50 8B 45 F8 50 8D 45 D0 50 0F B7 4D F6 33 D2 8B 46 0C E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 14 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 6A 8D 45 CC 50 8B 46 14 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 46 10 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 27 8D 45 C8 50 8B 46 10 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B C3 E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 18 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 27 8D 45 C4 50 8B 46 18 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B C3 E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 2D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 25 00 73 00 0D 00 0A 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 66 00 6F 00 72 00 6D 00 2D 00 64 00 61 00 74 00 61 00 3B 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 25 00 73 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3B 00 20 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 25 00 73 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 3A 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 22 00 25 00 73 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 72 00 61 00 6E 00 73 00 66 00 65 00 72 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_36276_0 {
	meta:
		name = "TIdCalculateSizeStream.IdWrite"
		size = 70
		refs = "000c IndyLength"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C2 8B 55 08 E8 ?? ?? ?? ?? 8B C8 85 C9 7E 29 8B C1 99 01 43 08 11 53 0C 8B 43 08 8B 53 0C 3B 53 14 75 07 3B 43 10 76 10 EB 02 7E 0C 8B 43 08 89 43 10 8B 43 0C 89 43 14 8B C1 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_36277_0 {
	meta:
		name = "TIdCalculateSizeStream.IdSeek"
		size = 127
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B C8 80 EA 01 72 08 74 14 FE CA 74 24 EB 34 8B 45 08 89 41 08 8B 45 0C 89 41 0C EB 26 8B 41 08 8B 51 0C 03 45 08 13 55 0C 89 41 08 89 51 0C EB 12 8B 41 10 8B 51 14 03 45 08 13 55 0C 89 41 08 89 51 0C 83 79 0C 00 75 08 83 79 08 00 73 12 EB 02 7D 0E C7 41 08 00 00 00 00 C7 41 0C 00 00 00 00 8B 41 08 89 45 F8 8B 41 0C 89 45 FC 8B 45 F8 8B 55 FC 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_36278_0 {
	meta:
		name = "TIdCalculateSizeStream.IdSetSize"
		size = 99
	strings:
		$1 = { 55 8B EC 8B C8 83 7D 0C 00 75 08 83 7D 08 00 73 12 EB 02 7D 0E C7 45 08 00 00 00 00 C7 45 0C 00 00 00 00 8B 41 10 8B 51 14 3B 55 0C 75 03 3B 45 08 74 2C 8B 45 08 89 41 10 8B 45 0C 89 41 14 8B 41 10 8B 51 14 3B 51 0C 75 07 3B 41 08 73 10 EB 02 7D 0C 8B 41 10 89 41 08 8B 41 14 89 41 0C 5D C2 08 00 }
	condition:
		$1
}

rule function_36279_0 {
	meta:
		name = "TIdFormDataField.GetFieldSize"
		size = 802
		refs = "0013 TIdFormDataField.GetFieldSize 0024 TIdFormDataField.FormatHeader 0053 cAllowedContentTransfers 0063 PosInStrArray 0092 _DV_TIdCalculateSizeStream 0097 TObject.Create 00b3 TStream.GetPosition 00dc _Dn_TIdEncoderQuotedPrintable 00e1 TIdEncoder.EncodeStream 0106 _Dn_TIdEncoderMIME 0142 TStream.SetPosition 0148 @HandleFinally 015f TObject.Free 01b5 IndyASCIIEncoding 01c0 TEncoding.GetByteCount 01f1 CharsetToEncoding 0265 TIdEncoder.EncodeString 030b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 D2 89 55 DC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC 89 45 D8 8B 4D D8 85 C9 74 05 83 E9 04 8B 09 8B C1 99 89 45 F0 89 55 F4 8B 45 FC 83 78 20 00 0F 84 1B 01 00 00 6A 00 BA ?? ?? ?? ?? 8B 45 FC 8B 40 18 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B D8 83 FB 02 7F 21 8B 45 FC 8B 40 20 8B 10 FF 12 03 45 F0 13 55 F4 83 C0 02 83 D2 00 89 45 F0 89 55 F4 E9 6B 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 20 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FB 03 75 2A 6A FF 8B 45 FC 8B 50 20 8B 4D E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 12 03 45 F0 13 55 F4 89 45 F0 89 55 F4 EB 2E 6A FF 8B 45 FC 8B 50 20 8B 4D E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 12 03 45 F0 13 55 F4 83 C0 02 83 D2 00 89 45 F0 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? FF 75 E4 FF 75 E0 8B 45 FC 8B 40 20 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 40 24 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 66 01 00 00 33 C0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 BA ?? ?? ?? ?? 8B 45 FC 8B 40 18 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 7F 2E B0 01 E8 ?? ?? ?? ?? 8B 55 FC 8B 52 24 E8 ?? ?? ?? ?? 8B D8 8B C3 99 03 45 F0 13 55 F4 83 C0 02 83 D2 00 89 45 F0 89 55 F4 E9 EB 00 00 00 83 FB 01 7C 3D 83 FB 02 7F 38 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 8B 50 24 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8B C3 99 03 45 F0 13 55 F4 83 C0 02 83 D2 00 89 45 F0 89 55 F4 E9 A9 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 89 45 EC 83 FB 03 75 2C 8B 45 EC 50 8B 45 FC 8B 50 24 8B 4D E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 12 03 45 F0 13 55 F4 89 45 F0 89 55 F4 EB 30 8B 45 EC 50 8B 45 FC 8B 50 24 8B 4D E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 12 03 45 F0 13 55 F4 83 C0 02 83 D2 00 89 45 F0 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 55 F4 83 C0 02 83 D2 00 89 45 F0 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 55 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_36280_0 {
	meta:
		name = "TIdFormDataField.PrepareDataStream"
		size = 628
		refs = "0029 TStream.SetPosition 0030 cAllowedContentTransfers 003d PosInStrArray 0056 _Dn_TMemoryStream 005b TObject.Create 0066 TIdFormDataField.PrepareDataStream 007e _Dn_TIdEncoderQuotedPrintable 0083 TIdEncoder.EncodeStream 0092 _Dn_TIdEncoderMIME 00ab WriteStringToStream 00c6 @HandleAnyException 00d3 TObject.Free 00d8 @RaiseAgain 00dd @DoneExcept 014d IndyASCIIEncoding 0185 CharsetToEncoding 01d0 TIdEncoder.EncodeString 0215 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B D8 33 C0 89 45 F8 8B 45 FC C6 00 00 8B 43 20 85 C0 0F 84 C8 00 00 00 6A 00 6A 00 E8 ?? ?? ?? ?? 6A 00 BA ?? ?? ?? ?? 8B 43 18 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B F0 83 FE 02 7F 0B 8B 43 20 89 45 F8 E9 00 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 FE 03 75 14 6A FF 8B 53 20 8B 4D F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 6A FF 8B 53 20 8B 4D F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 00 01 E9 67 01 00 00 8B 43 24 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 53 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 BA ?? ?? ?? ?? 8B 43 18 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7F 2D B0 01 E8 ?? ?? ?? ?? 8B C8 8B 53 24 8B 45 F8 E8 ?? ?? ?? ?? 6A 01 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E9 87 00 00 00 83 FE 01 7C 34 83 FE 02 7F 2F 8B 43 10 E8 ?? ?? ?? ?? 89 45 F4 8B 53 24 8B 4D F4 8B 45 F8 E8 ?? ?? ?? ?? 6A 01 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 4E 8B 43 10 E8 ?? ?? ?? ?? 89 45 F4 83 FE 03 75 16 8B 45 F4 50 8B 53 24 8B 4D F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 8B 45 F4 50 8B 53 24 8B 4D F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC C6 00 01 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_36281_0 {
	meta:
		name = "TIdFormDataField.GetFieldStream"
		size = 97
		refs = "000a TIdFormDataField.GetFieldStream 001e RSMFDInvalidObjectType 0023 LoadResString 002d _DV_EIdInvalidObjectType 0032 EIdException.Create 0037 @RaiseExcept 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 78 20 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 58 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_36282_0 {
	meta:
		name = "TIdFormDataField.GetFieldValue"
		size = 108
		refs = "000f TIdFormDataField.GetFieldValue 0023 RSMFDInvalidObjectType 0028 LoadResString 0032 _DV_EIdInvalidObjectType 0037 EIdException.Create 003c @RaiseExcept 0046 @UStrAsg 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 20 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36284_0 {
	meta:
		name = "TIdFormDataField.SetContentTransfer"
		size = 139
		refs = "000f TIdFormDataField.SetContentTransfer 002b cAllowedContentTransfers 0037 PosInStrArray 0042 RSMFDInvalidTransfer 0047 LoadResString 0051 _DV_EIdUnsupportedTransfer 0056 EIdException.Create 005b @RaiseExcept 0065 @UStrAsg 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 37 6A 00 BA ?? ?? ?? ?? B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 40 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 18 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36285_0 {
	meta:
		name = "TIdFormDataField.SetContentType"
		size = 372
		refs = "0013 TIdFormDataField.SetContentType 0032 @UStrLAsg 004f GetMIMETypeFromFile 0074 RemoveHeaderEntry 007f @UStrAsg 0092 IsHeaderMediaType 00ce @UStrArrayClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0C 8D 45 FC 8B D6 E8 ?? ?? ?? ?? EB 2A 8B 43 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0D 8D 55 FC 8B 43 0C E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8D 45 F4 50 8D 4D F8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 43 14 E8 ?? ?? ?? ?? 83 7D F8 00 75 1E BA ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 84 C0 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 0B 8D 43 10 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 18 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 6F 00 63 00 74 00 65 00 74 00 2D 00 73 00 74 00 72 00 65 00 61 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 75 00 73 00 2D 00 61 00 73 00 63 00 69 00 69 00 00 00 00 00 }
	condition:
		$1
}

rule function_36287_0 {
	meta:
		name = "TIdFormDataField.SetFieldStream"
		size = 129
		refs = "000f TIdFormDataField.SetFieldStream 0021 RSMFDInvalidObjectType 0026 LoadResString 0030 _DV_EIdInvalidObjectType 0035 EIdException.Create 003a @RaiseExcept 004c TObject.Free 0054 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 20 85 C0 74 0B 80 7B 28 00 74 05 E8 ?? ?? ?? ?? 8D 43 24 E8 ?? ?? ?? ?? 89 73 20 C6 43 28 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36288_0 {
	meta:
		name = "TIdFormDataField.SetFieldValue"
		size = 46
		refs = "0014 TObject.Free 0027 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 20 85 C0 74 14 80 7B 28 00 74 05 E8 ?? ?? ?? ?? 33 C0 89 43 20 C6 43 28 00 8D 43 24 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36289_0 {
	meta:
		name = "TIdFormDataField.SetFileName"
		size = 80
		refs = "000f TIdFormDataField.SetFileName 001f ExtractFileName 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36290_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_7 001a cAllowedContentTransfers 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_36325_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_3 001a sClasses 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_36292_0 {
	meta:
		name = "MakeLongWordIP"
		size = 35
	strings:
		$1 = { 55 8B EC 0F B6 C0 C1 E0 18 0F B6 D2 C1 E2 10 0B C2 0F B6 D1 C1 E2 08 0B C2 0F B6 55 08 0B C2 5D C2 04 00 }
	condition:
		$1
}

rule function_36293_0 {
	meta:
		name = "BreakupLongWordIP"
		size = 55
	strings:
		$1 = { 55 8B EC 53 BB 00 00 00 FF 23 D8 C1 EB 18 88 1A BA 00 00 FF 00 23 D0 C1 EA 10 88 11 BA 00 FF 00 00 23 D0 C1 EA 08 8B 4D 0C 88 11 24 FF 8B 55 08 88 02 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_36294_0 {
	meta:
		name = "StrToIP"
		size = 504
		refs = "002a string 002f @InitializeArray 0037 StrToIP 0048 @UStrLAsg 005d Fetch 00d3 IndyStrToInt 00ed @HandleOnException 00f5 _Dn_Exception 0111 RSNETCALInvalidIPString 0116 LoadResString 0120 _Dn_EIdException 0125 Exception.CreateFmt 012a @RaiseExcept 012f @DoneExcept 018e MakeLongWordIP 01aa @UStrArrayClr 01ca @FinalizeArray 01d2 @UStrClr 01d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 D2 89 55 BC 89 55 C0 89 55 CC 89 55 D0 89 55 D4 89 55 FC 89 45 E8 B9 04 00 00 00 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 E8 E8 ?? ?? ?? ?? 6A 01 8D 45 D4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8D 45 EC E8 ?? ?? ?? ?? 6A 01 8D 45 D0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8D 45 F0 E8 ?? ?? ?? ?? 6A 01 8D 45 CC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BB 04 00 00 00 8D 75 EC 8D 7D D8 8B 06 E8 ?? ?? ?? ?? 89 07 83 C7 04 83 C6 04 4B 75 EE 33 C0 5A 59 59 64 89 10 EB 47 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 E8 89 45 C4 C6 45 C8 11 8D 45 C4 50 6A 00 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 04 00 00 00 8D 45 D8 8B 10 81 EA 00 01 00 00 72 31 8B 45 E8 89 45 C4 C6 45 C8 11 8D 45 C4 50 6A 00 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 04 4B 75 BF 0F B6 45 E4 50 0F B6 4D E0 0F B6 55 DC 0F B6 45 D8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C3 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36295_0 {
	meta:
		name = "TIdNetworkCalculator.InitComponent"
		size = 99
		refs = "0007 TIdInitializerComponent.InitComponent 000e _DV_TIpProperty 0013 TIpProperty.Create 0022 TIdNetworkCalculator.NetMaskChanged 003d TIdNetworkCalculator.NetAddressChanged 0044 _Dn_TStringList 0049 TStringList.Create 005c TIdNetworkCalculator.SetNetworkMaskLength"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 40 89 5E 34 C7 46 30 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 44 89 5E 34 C7 46 30 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 C6 43 48 00 BA 20 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36296_0 {
	meta:
		name = "TIdNetworkCalculator.Destroy"
		size = 84
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0042 TComponent.Destroy 004d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36297_0 {
	meta:
		name = "TIdNetworkCalculator.FillIPList"
		size = 456
		refs = "001a TIdNetworkCalculator.FillIPList 003b TIdInitializerComponent.GetIsDesignTime 0047 TIdNetworkCalculator.NumIP 005a RSNETCALConfirmLongIPList 005f LoadResString 007d IndyFormat 009b TIpProperty.GetAsDoubleWord 00b5 TStrings.BeginUpdate 00fd BreakupLongWordIP 014d TStrings.Append 0168 TStrings.EndUpdate 016e @HandleFinally 0185 @UStrClr 0192 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 33 D2 89 55 E4 89 55 F4 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 38 8B 10 FF 52 14 85 C0 0F 85 3D 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 51 8B 45 FC E8 ?? ?? ?? ?? 3D 00 04 00 00 76 42 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 00 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 40 38 8B 08 FF 51 2C E9 E0 00 00 00 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 23 F0 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 38 8B 08 FF 51 28 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 76 69 46 8D 45 F9 50 8D 45 F8 50 8D 4D FA 8D 55 FB 8B C6 E8 ?? ?? ?? ?? 8D 45 E4 50 0F B6 45 FB 89 45 C4 C6 45 C8 00 0F B6 45 FA 89 45 CC C6 45 D0 00 0F B6 45 F9 89 45 D4 C6 45 D8 00 0F B6 45 F8 89 45 DC C6 45 E0 00 8D 55 C4 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 4B 75 97 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 25 00 64 00 2E 00 25 00 64 00 2E 00 25 00 64 00 2E 00 25 00 64 00 00 00 }
	condition:
		$1
}

rule function_36298_0 {
	meta:
		name = "TIdNetworkCalculator.GetListIP"
		size = 15
		refs = "0006 TIdNetworkCalculator.FillIPList"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 38 5B C3 }
	condition:
		$1
}

rule function_36299_0 {
	meta:
		name = "TIdNetworkCalculator.IsAddressInNetwork"
		size = 55
		refs = "000a StrToIP 0014 TIpProperty.GetAsDoubleWord"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B F0 8B 43 40 E8 ?? ?? ?? ?? 23 F0 8B 43 44 E8 ?? ?? ?? ?? 8B F8 8B 43 40 E8 ?? ?? ?? ?? 23 F8 3B F7 0F 94 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36300_0 {
	meta:
		name = "TIdNetworkCalculator.NetAddressChanged"
		size = 268
		refs = "000c TIdNetworkCalculator.NetAddressChanged 0025 TIpProperty.GetAsBinaryString 0032 TextStartsWith 00a9 @UStrClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 38 8B 10 FF 52 44 8D 55 FC 8B 43 44 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 48 00 EB 49 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 48 01 EB 32 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 48 02 EB 1B BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 48 03 EB 04 C6 43 48 04 66 83 7B 52 00 74 08 8B D3 8B 43 54 FF 53 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 31 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 31 00 31 00 30 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 31 00 31 00 31 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_36301_0 {
	meta:
		name = "TIdNetworkCalculator.NetMaskChanged"
		size = 248
		refs = "0010 TIdNetworkCalculator.NetMaskChanged 002c TIpProperty.GetAsBinaryString 0040 @UStrDelete 004d TextStartsWith 0057 IndyPos 0070 TIdNetworkCalculator.SetNetworkMaskLength 0078 RSNETCALCInvalidNetworkMask 007d LoadResString 0087 _Dn_EIdException 008c EIdException.Create 0091 @RaiseExcept 00d4 @UStrArrayClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 38 8B 10 FF 52 44 8B 73 3C 8D 55 FC 8B 43 40 E8 ?? ?? ?? ?? EB 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 DD 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 FC B8 ?? ?? ?? ?? FF D7 85 C0 7E 2A 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 BA 20 00 00 00 2B D0 8B C3 E8 ?? ?? ?? ?? 66 83 7B 52 00 74 08 8B D3 8B 43 54 FF 53 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 }
	condition:
		$1
}

rule function_36302_0 {
	meta:
		name = "TCallout.SetArrow"
		size = 9
		altNames = "TCanvas.SetPen TChartAxis.SetAxis TCustomChartElement.SetPen TIdNetworkCalculator.SetNetworkAddress"
	strings:
		$1 = { 8B 40 44 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_36304_0 {
	meta:
		name = "TIdNetworkCalculator.SetNetworkMaskLength"
		size = 53
		refs = "002f TIpProperty.SetAsDoubleWord"
	strings:
		$1 = { 53 83 FA 20 77 04 8B DA EB 05 BB 20 00 00 00 3B 58 3C 74 1F 89 58 3C 85 D2 76 0E B9 20 00 00 00 2B CB 83 CA FF D3 E2 EB 02 33 D2 8B 40 40 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_36305_0 {
	meta:
		name = "TIdNetworkCalculator.GetNetworkClassAsString"
		size = 27
		refs = "000f sClasses 0014 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 0F B6 53 48 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36306_0 {
	meta:
		name = "TIdNetworkCalculator.GetIsAddressRoutable"
		size = 85
		refs = "0009 TIpProperty.GetByte"
	strings:
		$1 = { 53 8B 58 44 33 D2 8B C3 E8 ?? ?? ?? ?? 3C 0A 74 3C 33 D2 8B C3 E8 ?? ?? ?? ?? 3C AC 75 12 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 04 F0 2C 10 72 1D 33 D2 8B C3 E8 ?? ?? ?? ?? 3C C0 75 14 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 3C A8 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_36307_0 {
	meta:
		name = "TIdNetworkCalculator.EndIP"
		size = 184
		refs = "000e TIpProperty.GetAsDoubleWord 0021 TIdNetworkCalculator.NumIP 003d BreakupLongWordIP 0084 TIdNetworkCalculator.EndIP 0089 IndyFormat"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B F2 8B D8 8B 43 44 E8 ?? ?? ?? ?? 8B F8 8B 43 40 E8 ?? ?? ?? ?? 23 F8 8B C3 E8 ?? ?? ?? ?? 48 03 F8 8B C7 8D 54 24 02 52 8D 54 24 07 52 8D 4C 24 09 8D 54 24 08 E8 ?? ?? ?? ?? 56 0F B6 44 24 04 89 44 24 08 C6 44 24 0C 00 0F B6 44 24 05 89 44 24 10 C6 44 24 14 00 0F B6 44 24 06 89 44 24 18 C6 44 24 1C 00 0F B6 44 24 07 89 44 24 20 C6 44 24 24 00 8D 54 24 08 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 24 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 25 00 64 00 2E 00 25 00 64 00 2E 00 25 00 64 00 2E 00 25 00 64 00 00 00 }
	condition:
		$1
}

rule function_36308_0 {
	meta:
		name = "TIdNetworkCalculator.NumIP"
		size = 16
	strings:
		$1 = { B9 20 00 00 00 2B 48 3C B8 01 00 00 00 D3 E0 C3 }
	condition:
		$1
}

rule function_36309_0 {
	meta:
		name = "TIdNetworkCalculator.StartIP"
		size = 176
		refs = "000e TIpProperty.GetAsDoubleWord 0033 BreakupLongWordIP 007a TIdNetworkCalculator.StartIP 007f IndyFormat"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B F2 8B D8 8B 43 44 E8 ?? ?? ?? ?? 8B F8 8B 43 40 E8 ?? ?? ?? ?? 23 F8 8B C7 8D 54 24 02 52 8D 54 24 07 52 8D 4C 24 09 8D 54 24 08 E8 ?? ?? ?? ?? 56 0F B6 44 24 04 89 44 24 08 C6 44 24 0C 00 0F B6 44 24 05 89 44 24 10 C6 44 24 14 00 0F B6 44 24 06 89 44 24 18 C6 44 24 1C 00 0F B6 44 24 07 89 44 24 20 C6 44 24 24 00 8D 54 24 08 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 24 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 25 00 64 00 2E 00 25 00 64 00 2E 00 25 00 64 00 2E 00 25 00 64 00 00 00 }
	condition:
		$1
}

rule function_36310_0 {
	meta:
		name = "TIpProperty.Create"
		size = 69
		refs = "000a @ClassCreate 0017 TObject.Create 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 25 00 C6 46 26 00 C6 46 27 00 C6 46 28 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36312_0 {
	meta:
		name = "TIpProperty.Assign"
		size = 111
		refs = "000a _DV_TIpProperty 000f @IsClass 0020 @AsClass 002e TIpProperty.GetByte 0068 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 59 8B 18 FF 53 10 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36313_0 {
	meta:
		name = "TIpProperty.GetBit"
		size = 9
	strings:
		$1 = { 0F B6 D2 0F B6 44 10 05 C3 }
	condition:
		$1
}

rule function_36314_0 {
	meta:
		name = "TIpProperty.SetAll"
		size = 125
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 45 08 3A 56 25 75 13 3A 4E 26 75 0E 0F B6 5E 27 3A 5D 0C 75 05 3A 46 28 74 55 88 56 25 88 4E 26 0F B6 55 0C 88 56 27 88 46 28 33 DB 33 D2 B9 07 00 00 00 2B CA B8 01 00 00 00 D3 E0 0F B6 4C 1E 25 23 C1 0F 95 C0 8B CB 03 C9 03 C9 03 C9 03 CA 88 44 0E 05 42 83 FA 08 75 D4 43 83 FB 04 75 CC 66 83 7E 32 00 74 08 8B D6 8B 46 34 FF 56 30 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_36315_0 {
	meta:
		name = "TIpProperty.GetAsBinaryString"
		size = 71
		refs = "000f @UStrSetLength 0022 @UniqueStringU"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B C6 BA 20 00 00 00 E8 ?? ?? ?? ?? BB 01 00 00 00 80 7C 1F 04 00 74 10 8B C6 E8 ?? ?? ?? ?? 66 C7 44 58 FE 31 00 EB 0E 8B C6 E8 ?? ?? ?? ?? 66 C7 44 58 FE 30 00 43 83 FB 21 75 D5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36316_0 {
	meta:
		name = "TIpProperty.GetAsDoubleWord"
		size = 23
		refs = "0012 MakeLongWordIP"
	strings:
		$1 = { 0F B6 50 28 52 0F B6 48 27 0F B6 50 26 0F B6 40 25 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36317_0 {
	meta:
		name = "TIpProperty.GetAsString"
		size = 124
		refs = "0048 TIpProperty.GetAsString 004d IndyFormat"
	strings:
		$1 = { 53 56 83 C4 E0 8B F2 8B D8 56 0F B6 43 25 89 44 24 04 C6 44 24 08 00 0F B6 43 26 89 44 24 0C C6 44 24 10 00 0F B6 43 27 89 44 24 14 C6 44 24 18 00 0F B6 43 28 89 44 24 1C C6 44 24 20 00 8D 54 24 04 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 20 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 25 00 64 00 2E 00 25 00 64 00 2E 00 25 00 64 00 2E 00 25 00 64 00 00 00 }
	condition:
		$1
}

rule function_36318_0 {
	meta:
		name = "TIpProperty.SetAsBinaryString"
		size = 192
		refs = "0012 TIpProperty.SetAsBinaryString 0036 RSNETCALCInvalidValueLength 003b LoadResString 0045 _Dn_EIdException 004a EIdException.Create 004f @RaiseExcept 0059 TIpProperty.GetAsBinaryString 0063 TextIsSame 0093 TIpProperty.SetAsDoubleWord 00ad @UStrArrayClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 04 00 75 75 8B C3 85 C0 74 05 83 E8 04 8B 00 83 F8 20 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2C 33 D2 B8 01 00 00 00 66 83 7C 43 FE 30 74 10 B9 20 00 00 00 2B C8 BF 01 00 00 00 D3 E7 0B D7 40 83 F8 21 75 E2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_36319_0 {
	meta:
		name = "TIpProperty.GetByte"
		size = 6
	strings:
		$1 = { 0F B6 44 10 25 C3 }
	condition:
		$1
}

rule function_36320_0 {
	meta:
		name = "TIpProperty.SetAsDoubleWord"
		size = 66
		refs = "001e BreakupLongWordIP"
	strings:
		$1 = { 53 51 8B D8 80 7B 04 00 75 35 8D 44 24 02 50 8D 44 24 07 50 8D 4C 24 09 8D 44 24 08 92 E8 ?? ?? ?? ?? 0F B6 44 24 02 50 0F B6 44 24 07 50 0F B6 4C 24 09 0F B6 54 24 08 8B C3 8B 18 FF 53 10 5A 5B C3 }
	condition:
		$1
}

rule function_36322_0 {
	meta:
		name = "TIpProperty.SetBit"
		size = 87
	strings:
		$1 = { 53 56 57 8B D9 8B F0 80 7E 04 00 75 46 0F B6 C2 3A 5C 06 05 74 3D 0F B6 C2 88 5C 06 05 0F B6 FA C1 EF 03 0F B6 C2 83 E0 07 B9 07 00 00 00 2B C8 B0 01 D2 E0 84 DB 74 06 08 44 3E 25 EB 06 F6 D0 20 44 3E 25 66 83 7E 32 00 74 08 8B D6 8B 46 34 FF 56 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36323_0 {
	meta:
		name = "TIpProperty.SetByte"
		size = 258
		refs = "0018 TIpProperty.GetByte"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 80 7F 04 00 0F 85 EB 00 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? 3A D8 0F 84 DA 00 00 00 83 EE 01 72 11 74 45 4E 74 72 4E 0F 84 9B 00 00 00 E9 C4 00 00 00 BA 02 00 00 00 8B C7 E8 ?? ?? ?? ?? 50 BA 03 00 00 00 8B C7 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C7 8B 18 FF 53 10 E9 8E 00 00 00 BA 02 00 00 00 8B C7 E8 ?? ?? ?? ?? 50 BA 03 00 00 00 8B C7 E8 ?? ?? ?? ?? 50 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C7 8B 18 FF 53 10 EB 5E 53 BA 03 00 00 00 8B C7 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 50 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C7 59 8B 18 FF 53 10 EB 2E BA 02 00 00 00 8B C7 E8 ?? ?? ?? ?? 50 53 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 50 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C7 59 8B 18 FF 53 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36324_0 {
	meta:
		name = "TIpProperty.GetAddressType"
		size = 389
		refs = "000b TIpProperty.GetByte 008f TIpProperty.GetAsDoubleWord"
	strings:
		$1 = { 53 56 8B F0 B3 03 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 C0 3D BF 00 00 00 7F 35 0F 84 13 01 00 00 83 F8 7F 7F 15 0F 84 DC 00 00 00 83 E8 01 72 5D 83 E8 09 74 71 E9 47 01 00 00 2D 80 00 00 00 0F 84 DA 00 00 00 83 E8 2C 74 63 E9 32 01 00 00 3D E0 00 00 00 7D 15 2D C0 00 00 00 74 6B 83 E8 1F 0F 84 F1 00 00 00 E9 16 01 00 00 05 20 FF FF FF 83 E8 10 0F 82 02 01 00 00 83 E8 0F 0F 82 FD 00 00 00 0F 84 83 00 00 00 E9 F4 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 07 33 DB E9 E2 00 00 00 B3 01 E9 DB 00 00 00 B3 04 E9 D4 00 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 3C 10 0F 85 C0 00 00 00 B3 04 E9 B9 00 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 3C A8 75 07 B3 04 E9 A2 00 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 8E 00 00 00 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 7E B3 02 EB 7A B3 05 EB 76 8B C6 E8 ?? ?? ?? ?? 83 F8 FF 75 04 B3 08 EB 66 B3 07 EB 62 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 52 B3 02 EB 4E BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 3C FF 75 3E BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 3C FF 75 2E B3 02 EB 2A BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 3C FF 75 1A BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 3C FF 75 0A B3 02 EB 06 B3 06 EB 02 B3 07 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_36327_0 {
	meta:
		name = "TIdNNTP.ParseXOVER"
		size = 452
		refs = "001e @UStrAddRef 0026 TIdNNTP.ParseXOVER 004a StringReplace 0055 @UStrLAsg 006a Fetch 0074 IndyStrToInt 0096 @UStrAsg 00d3 GMTToLocalDateTime 0186 @UStrArrayClr 018c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 89 03 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 24 E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 20 E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 1C DD 18 9B 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 18 E8 ?? ?? ?? ?? 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 14 E8 ?? ?? ?? ?? 6A 01 8D 45 DC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 33 D2 E8 ?? ?? ?? ?? 8B 55 10 89 02 6A 01 8D 45 D8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 33 D2 E8 ?? ?? ?? ?? 8B 55 0C 89 02 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 20 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 09 00 08 00 09 00 00 00 }
	condition:
		$1
}

rule function_36328_0 {
	meta:
		name = "TIdNNTP.ParseNewsGroup"
		size = 244
		refs = "0018 @UStrAddRef 0036 TIdNNTP.ParseNewsGroup 0051 Fetch 005c @UStrAsg 007b IndyStrToInt 00c9 @UStrArrayClr 00d1 @UStrClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 04 33 D2 89 10 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 8B 55 10 89 02 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 8B 55 0C 89 02 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36329_0 {
	meta:
		name = "TIdNNTP.InitComponent"
		size = 58
		refs = "0006 TIdMessageClient.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 80 01 00 00 02 66 BA 77 00 8B C3 8B 08 FF 91 A4 00 00 00 C6 83 83 01 00 00 00 66 C7 83 10 01 00 00 77 00 66 C7 83 12 01 00 00 33 02 5B C3 }
	condition:
		$1
}

rule function_36330_0 {
	meta:
		name = "TIdNNTP.SendCmd"
		size = 159
		refs = "0018 @UStrAddRef 0020 TIdNNTP.SendCmd 0036 TIdTCPConnection.SendCmd 004d TIdNNTP.SendAuth 0088 @UStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F0 8B 7D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A FF 57 8D 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 66 81 FB E0 01 74 07 66 81 FB C2 01 75 1D 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 50 57 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 10 8B 45 0C 50 8B 4D F8 8B D3 8B C6 8B 30 FF 56 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_36331_0 {
	meta:
		name = "TIdNNTP.Connect"
		size = 106
		refs = "000e TIdExplicitTLSClient.Connect 0016 TIdNNTP.Connect 0029 TIdTCPConnection.GetResponse 003d TIdNNTP.AfterConnect 004c @HandleAnyException 005b @RaiseAgain 0060 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 0F BF C0 8B 55 FC 89 82 40 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36332_0 {
	meta:
		name = "TIdNNTP.GetOverviewFMT"
		size = 92
		refs = "000d TIdNNTP.GetOverviewFMT 0014 TIdTCPConnection.SendCmd 0023 TIdIOHandler.Capture"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 66 B9 D7 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C9 8B D6 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 4C 00 49 00 53 00 54 00 20 00 4F 00 56 00 45 00 52 00 56 00 49 00 45 00 57 00 2E 00 46 00 4D 00 54 00 00 00 }
	condition:
		$1
}

rule function_36333_0 {
	meta:
		name = "TIdNNTP.XOVER"
		size = 94
		refs = "0011 @UStrAddRef 0019 TIdNNTP.XOVER 0029 TIdNNTP.XOVERCommon 0038 TIdIOHandler.Capture 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C9 8B D6 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36335_0 {
	meta:
		name = "TIdNNTP.XHDR"
		size = 115
		refs = "0013 @UStrAddRef 0023 TIdNNTP.XHDR 0036 TIdNNTP.XHDRCommon 0046 TIdIOHandler.Capture 0060 @UStrArrayClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C9 8B 55 08 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_36336_0 {
	meta:
		name = "TIdNNTP.SelectGroup"
		size = 312
		refs = "0017 @UStrAddRef 001f TIdNNTP.SelectGroup 0039 @UStrCat3 0077 Fetch 0081 IndyStrToInt 00eb @UStrArrayClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8D 45 F4 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 66 C7 45 F0 D3 00 8D 4D F0 8B C3 8B 30 FF 96 94 00 00 00 8D 4D F8 8B 83 9C 00 00 00 8B 40 18 33 D2 8B 30 FF 56 0C 6A 01 8D 45 EC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 89 83 4C 01 00 00 6A 01 8D 45 E8 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 D2 E8 ?? ?? ?? ?? 89 83 48 01 00 00 6A 01 8D 45 E4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 33 D2 E8 ?? ?? ?? ?? 89 83 44 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 47 00 72 00 6F 00 75 00 70 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36337_0 {
	meta:
		name = "TIdNNTP.IHAVE"
		size = 316
		refs = "0018 TIdNNTP.IHAVE 0046 IndyPos 0075 Fetch 008d @UStrCat3 009c TIdTCPConnection.SendCmd 00a7 TIdTCPConnection.WriteRFCStrings 00ac Input 00b1 @ReadLn 00b6 @_IOTest 00d0 @UStrArrayClr 00d8 @UStrClr 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4E 46 33 DB 8D 4D F0 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 55 F0 8B 3D ?? ?? ?? ?? 8B 3F B8 ?? ?? ?? ?? FF D7 85 C0 7E 24 8D 4D FC 8B D3 8B 45 F4 8B 30 FF 56 0C 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 43 4E 75 B5 6A 00 8D 45 E8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 66 B9 4F 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 2D 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 48 00 41 00 56 00 45 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_36338_0 {
	meta:
		name = "TIdNNTP.Check"
		size = 276
		refs = "0021 TIdNNTP.Check 0035 RSNNTPStringListNotInitialized 003a LoadResString 0044 _DV_EIdNNTPStringListNotInitialized 0049 EIdException.Create 004e @RaiseExcept 007d @UStrCat3 00ba TIdIOHandler.ReadLn 00e2 @UStrArrayClr 00e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 3A 43 33 F6 8D 4D E8 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 4D E8 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8B 80 98 00 00 00 33 C9 8B 38 FF 97 A4 00 00 00 46 4B 75 C9 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 22 43 8D 4D E4 8B 45 FC 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F4 8B 08 FF 51 38 4B 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 48 00 45 00 43 00 4B 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_36339_0 {
	meta:
		name = "TIdNNTP.TakeThis"
		size = 208
		refs = "0018 @UStrAddRef 0020 TIdNNTP.TakeThis 0038 @UStrCat3 0046 TIdTCPConnection.SendCmd 008b @UStrArrayClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 66 B9 EF 00 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 00 33 C9 8B D3 8B 86 98 00 00 00 8B 18 FF 93 B0 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 86 98 00 00 00 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 41 00 4B 00 45 00 54 00 48 00 49 00 53 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36340_0 {
	meta:
		name = "TIdNNTP.Post"
		size = 180
		refs = "000d TIdNNTP.Post 0014 TIdTCPConnection.SendCmd 003a TIdHeaderList.SetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 66 B9 54 01 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 50 01 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 13 8B 46 64 8B 8B 50 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B D6 8B C3 8B 30 FF 96 D4 00 00 00 6A 00 66 B9 F0 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 58 00 2D 00 4E 00 65 00 77 00 73 00 72 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36341_0 {
	meta:
		name = "TIdNNTP.Post"
		size = 108
		refs = "000d TIdNNTP.Post 0014 TIdTCPConnection.SendCmd"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 66 B9 54 01 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 33 C9 8B D6 8B 83 98 00 00 00 8B 30 FF 96 B0 00 00 00 6A 00 66 B9 F0 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36342_0 {
	meta:
		name = "TIdNNTP.ProcessGroupList"
		size = 308
		refs = "001e @UStrAddRef 0026 TIdNNTP.ProcessGroupList 0057 TIdTCPConnection.SendCmd 006a TIdIOHandler.ReadLn 0080 @UStrClr 0096 TIdNNTP.ParseNewsGroup 00ce @UStrEqual 00f3 @HandleFinally 010f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 DB 89 5D F8 89 5D F4 89 5D F0 8B D9 89 55 FC 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 33 D2 8B 45 EC 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CB 8B 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8D 4D F8 8B 45 EC 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? C6 45 E3 01 EB 51 8D 45 E4 50 8D 45 E8 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 F0 50 8D 45 E3 50 8B 4D E8 8B 55 F4 8B 45 0C FF 55 08 8D 4D F8 8B 45 EC 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 95 C0 22 45 E3 75 9A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 EC 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36343_0 {
	meta:
		name = "TIdNNTP.GetNewsgroupList"
		size = 148
		refs = "0009 TIdNNTP.GetNewsgroupList 0021 RSNNTPNoOnNewsgroupList 0026 LoadResString 0030 _DV_EIdNNTPNoOnNewsgroupList 0035 EIdException.Create 003a @RaiseExcept 0055 TIdNNTP.ProcessGroupList 006a @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 83 B8 5A 01 00 00 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF B0 5C 01 00 00 FF B0 58 01 00 00 B9 D7 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 49 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_36344_0 {
	meta:
		name = "TIdNNTP.GetNewGroupsList"
		size = 228
		refs = "0018 @UStrAddRef 0020 TIdNNTP.GetNewGroupsList 0038 RSNNTPNoOnNewGroupsList 003d LoadResString 0047 _DV_EIdNNTPNoOnNewGroupsList 004c EIdException.Create 0051 @RaiseExcept 0073 TIdNNTP.ConvertDateTimeDist 0083 @UStrCat3 0092 TIdNNTP.ProcessGroupList 00ac @UStrArrayClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BE 62 01 00 00 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF B6 64 01 00 00 FF B6 60 01 00 00 FF 75 0C FF 75 08 8D 45 F0 50 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 B9 E7 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4E 00 45 00 57 00 47 00 52 00 4F 00 55 00 50 00 53 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_36345_0 {
	meta:
		name = "TIdNNTP.GetNewNewsList"
		size = 444
		refs = "001e @UStrAddRef 002e TIdNNTP.GetNewNewsList 0049 RSNNTPNoOnNewNewsList 004e LoadResString 0058 _DV_EIdNNTPNoOnNewNewsList 005d EIdException.Create 0062 @RaiseExcept 00a4 TIdNNTP.ConvertDateTimeDist 00b4 @UStrCatN 00c3 TIdTCPConnection.SendCmd 00d6 TIdIOHandler.ReadLn 0111 @UStrEqual 0136 @HandleFinally 0152 @UStrArrayClr 0167 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B D9 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 66 83 B8 6A 01 00 00 00 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 33 D2 8B 45 F4 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 10 FF 75 0C 8D 45 E4 50 8B 4D 08 8B D3 8B 45 F4 E8 ?? ?? ?? ?? FF 75 E4 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 66 B9 E6 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 4D F8 8B 45 F4 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? C6 45 F3 01 EB 28 8D 4D F3 8B 5D F4 8B 55 F8 8B 83 6C 01 00 00 FF 93 68 01 00 00 8D 4D F8 8B 45 F4 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 95 C0 22 45 F3 75 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 45 00 57 00 4E 00 45 00 57 00 53 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36346_0 {
	meta:
		name = "TIdNNTP.Next"
		size = 76
		refs = "001b TIdNNTP.Next"
	strings:
		$1 = { 53 51 8B D8 6A 01 6A 00 66 C7 44 24 08 DF 00 66 C7 44 24 0A A5 01 8D 4C 24 08 BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 94 00 00 00 66 3D DF 00 0F 94 C0 5A 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 45 00 58 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_36347_0 {
	meta:
		name = "TIdNNTP.Previous"
		size = 76
		refs = "001b TIdNNTP.Previous"
	strings:
		$1 = { 53 51 8B D8 6A 01 6A 00 66 C7 44 24 08 DF 00 66 C7 44 24 0A A6 01 8D 4C 24 08 BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 94 00 00 00 66 3D DF 00 0F 94 C0 5A 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 41 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_36348_0 {
	meta:
		name = "TIdNNTP.SelectArticle"
		size = 164
		refs = "0013 TIdNNTP.SelectArticle 0027 IntToStr 0037 @UStrCat3 0076 @UStrArrayClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 66 C7 45 F4 DF 00 66 C7 45 F6 A7 01 8D 4D F4 8B C3 8B 18 FF 93 94 00 00 00 66 3D DF 00 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 54 00 41 00 54 00 20 00 00 00 }
	condition:
		$1
}

rule function_36349_0 {
	meta:
		name = "TIdNNTP.GetNewsgroupList"
		size = 68
		refs = "000d TIdNNTP.GetNewsgroupList 0014 TIdTCPConnection.SendCmd 0023 TIdIOHandler.Capture"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 66 B9 D7 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C9 8B D6 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 49 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_36350_0 {
	meta:
		name = "TIdNNTP.GetNewGroupsList"
		size = 188
		refs = "0016 @UStrAddRef 001e TIdNNTP.GetNewGroupsList 003c TIdNNTP.ConvertDateTimeDist 004c @UStrCat3 005a TIdTCPConnection.SendCmd 006a TIdIOHandler.Capture 0084 @UStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 FF 75 10 FF 75 0C 8D 45 F4 50 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 66 B9 E7 00 8B C6 E8 ?? ?? ?? ?? 33 C9 8B 55 08 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4E 00 45 00 57 00 47 00 52 00 4F 00 55 00 50 00 53 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_36351_0 {
	meta:
		name = "TIdNNTP.GetNewNewsList"
		size = 232
		refs = "0016 @UStrAddRef 0026 TIdNNTP.GetNewNewsList 0051 TIdNNTP.ConvertDateTimeDist 0061 @UStrCatN 006f TIdTCPConnection.SendCmd 007f TIdIOHandler.Capture 0099 @UStrArrayClr 00a1 @UStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 14 FF 75 10 8D 45 F4 50 8B 4D 0C 8B D3 8B C6 E8 ?? ?? ?? ?? FF 75 F4 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 66 B9 E6 00 8B C6 E8 ?? ?? ?? ?? 33 C9 8B 55 08 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 45 00 57 00 4E 00 45 00 57 00 53 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36352_0 {
	meta:
		name = "TIdNNTP.ConvertDateTimeDist"
		size = 304
		refs = "001c @UStrAddRef 0024 TIdNNTP.ConvertDateTimeDist 0037 @UStrLAsg 0052 CurrencyString 005a FormatDateTime 0064 @UStrAsg 0074 @UStrCat 009d @UStrCatN 00b7 @UStrArrayClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D F8 89 5D F4 89 4D FC 8B DA 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 89 45 E8 8B 45 10 89 45 EC FF 75 EC FF 75 E8 8D 4D F4 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C6 8B 55 F4 E8 ?? ?? ?? ?? 84 DB 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 19 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 79 00 79 00 6D 00 6D 00 64 00 64 00 20 00 68 00 68 00 6E 00 6E 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 47 00 4D 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 3C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_36353_0 {
	meta:
		name = "TIdNNTP.GetArticle"
		size = 188
		refs = "0016 TIdNNTP.GetArticle 0032 TIdTCPConnection.SendCmd 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 6A 00 66 B9 DC 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 48 8D 45 F8 50 33 C9 8B D6 8B C3 8B 38 FF 97 C8 00 00 00 83 7D F8 00 75 11 B9 ?? ?? ?? ?? 8B D6 8B C3 8B 18 FF 93 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 52 00 54 00 49 00 43 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36354_0 {
	meta:
		name = "TIdNNTP.GetArticle"
		size = 260
		refs = "001b TIdNNTP.GetArticle 002f IntToStr 003f @UStrCat3 00b0 @UStrClr 00bd @UStrArrayClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 66 C7 45 F0 DC 00 66 C7 45 F2 A7 01 8D 4D F0 8B C6 8B 18 FF 93 94 00 00 00 66 3D DC 00 0F 94 C0 8B D8 84 DB 74 33 8B 45 FC 8B 10 FF 52 48 8D 45 EC 50 33 C9 8B 55 FC 8B C6 8B 38 FF 97 C8 00 00 00 83 7D EC 00 75 12 B9 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 30 FF 96 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 52 00 54 00 49 00 43 00 4C 00 45 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36355_0 {
	meta:
		name = "TIdNNTP.GetArticle"
		size = 280
		refs = "0020 @UStrAddRef 0028 TIdNNTP.GetArticle 003d EnsureMsgIDBrackets 004d @UStrCat3 00bc @UStrClr 00c9 @UStrArrayClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 66 C7 45 EC DC 00 66 C7 45 EE AE 01 8D 4D EC 8B C6 8B 18 FF 93 94 00 00 00 66 3D DC 00 0F 94 C3 84 DB 74 33 8B 45 F8 8B 10 FF 52 48 8D 45 E8 50 33 C9 8B 55 F8 8B C6 8B 38 FF 97 C8 00 00 00 83 7D E8 00 75 12 B9 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 30 FF 96 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 52 00 54 00 49 00 43 00 4C 00 45 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36356_0 {
	meta:
		name = "TIdNNTP.GetArticle"
		size = 84
		refs = "0010 TIdNNTP.GetArticle 0017 TIdTCPConnection.SendCmd 002d TIdIOHandler.Capture"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 B3 01 6A 00 66 B9 DC 00 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 33 C9 8B D6 8B 87 98 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 52 00 54 00 49 00 43 00 4C 00 45 00 00 00 }
	condition:
		$1
}

rule function_36357_0 {
	meta:
		name = "TIdNNTP.GetArticle"
		size = 208
		refs = "001b TIdNNTP.GetArticle 002f IntToStr 003f @UStrCat3 0080 TIdIOHandler.Capture 009a @UStrArrayClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F8 89 5D F4 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 66 C7 45 F0 DC 00 66 C7 45 F2 A7 01 8D 4D F0 8B C6 8B 18 FF 93 94 00 00 00 66 3D DC 00 0F 94 C0 8B D8 84 DB 74 18 8B 45 FC 8B 10 FF 52 44 33 C9 8B 55 FC 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 52 00 54 00 49 00 43 00 4C 00 45 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_36358_0 {
	meta:
		name = "TIdNNTP.GetArticle"
		size = 224
		refs = "001c @UStrAddRef 0024 TIdNNTP.GetArticle 0039 EnsureMsgIDBrackets 0049 @UStrCat3 0088 TIdIOHandler.Capture 00a2 @UStrArrayClr 00aa @UStrClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 66 C7 45 EC DC 00 66 C7 45 EE AE 01 8D 4D EC 8B C6 8B 18 FF 93 94 00 00 00 66 3D DC 00 0F 94 C3 84 DB 74 18 8B 45 F8 8B 10 FF 52 44 33 C9 8B 55 F8 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 52 00 54 00 49 00 43 00 4C 00 45 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_36359_0 {
	meta:
		name = "TIdNNTP.GetArticle"
		size = 76
		refs = "0010 TIdNNTP.GetArticle 0017 TIdTCPConnection.SendCmd 0026 TIdIOHandler.Capture"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 B3 01 6A 00 66 B9 DC 00 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C9 8B D6 8B 87 98 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 52 00 54 00 49 00 43 00 4C 00 45 00 00 00 }
	condition:
		$1
}

rule function_36360_0 {
	meta:
		name = "TIdNNTP.GetArticle"
		size = 200
		refs = "001b TIdNNTP.GetArticle 002f IntToStr 003f @UStrCat3 0078 TIdIOHandler.Capture 0092 @UStrArrayClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F8 89 5D F4 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 66 C7 45 F0 DC 00 66 C7 45 F2 A7 01 8D 4D F0 8B C6 8B 18 FF 93 94 00 00 00 66 3D DC 00 0F 94 C0 8B D8 84 DB 74 10 33 C9 8B 55 FC 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 52 00 54 00 49 00 43 00 4C 00 45 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_36361_0 {
	meta:
		name = "TIdNNTP.GetArticle"
		size = 216
		refs = "001c @UStrAddRef 0024 TIdNNTP.GetArticle 0039 EnsureMsgIDBrackets 0049 @UStrCat3 0080 TIdIOHandler.Capture 009a @UStrArrayClr 00a2 @UStrClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 66 C7 45 EC DC 00 66 C7 45 EE AE 01 8D 4D EC 8B C6 8B 18 FF 93 94 00 00 00 66 3D DC 00 0F 94 C3 84 DB 74 10 33 C9 8B 55 F8 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 52 00 54 00 49 00 43 00 4C 00 45 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_36362_0 {
	meta:
		name = "TIdNNTP.GetBody"
		size = 104
		refs = "0014 TIdNNTP.GetBody 001b TIdTCPConnection.SendCmd"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B3 01 84 DB 74 2A 6A 00 66 B9 DE 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 48 B9 ?? ?? ?? ?? 8B D7 8B C6 8B 30 FF 96 C4 00 00 00 8B C3 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 4F 00 44 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36363_0 {
	meta:
		name = "TIdNNTP.GetBody"
		size = 216
		refs = "001b TIdNNTP.GetBody 002f IntToStr 003f @UStrCat3 009c @UStrArrayClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F8 89 5D F4 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 66 C7 45 F0 DE 00 66 C7 45 F2 A7 01 8D 4D F0 8B C6 8B 18 FF 93 94 00 00 00 66 3D DE 00 0F 94 C0 8B D8 84 DB 74 1A 8B 45 FC 8B 10 FF 52 48 B9 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 30 FF 96 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 4F 00 44 00 59 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36364_0 {
	meta:
		name = "TIdNNTP.GetBody"
		size = 232
		refs = "001c @UStrAddRef 0024 TIdNNTP.GetBody 0039 EnsureMsgIDBrackets 0049 @UStrCat3 00a4 @UStrArrayClr 00ac @UStrClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 66 C7 45 EC DE 00 66 C7 45 EE AE 01 8D 4D EC 8B C6 8B 18 FF 93 94 00 00 00 66 3D DE 00 0F 94 C3 84 DB 74 1A 8B 45 F8 8B 10 FF 52 48 B9 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 30 FF 96 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 4F 00 44 00 59 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36365_0 {
	meta:
		name = "TIdNNTP.GetBody"
		size = 80
		refs = "0010 TIdNNTP.GetBody 0017 TIdTCPConnection.SendCmd 002d TIdIOHandler.Capture"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 B3 01 6A 00 66 B9 DE 00 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 33 C9 8B D6 8B 87 98 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 4F 00 44 00 59 00 00 00 00 00 }
	condition:
		$1
}

rule function_36366_0 {
	meta:
		name = "TIdNNTP.GetBody"
		size = 200
		refs = "001b TIdNNTP.GetBody 002f IntToStr 003f @UStrCat3 0080 TIdIOHandler.Capture 009a @UStrArrayClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F8 89 5D F4 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 66 C7 45 F0 DE 00 66 C7 45 F2 A7 01 8D 4D F0 8B C6 8B 18 FF 93 94 00 00 00 66 3D DE 00 0F 94 C0 8B D8 84 DB 74 18 8B 45 FC 8B 10 FF 52 44 33 C9 8B 55 FC 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 4F 00 44 00 59 00 20 00 00 00 }
	condition:
		$1
}

rule function_36367_0 {
	meta:
		name = "TIdNNTP.GetBody"
		size = 216
		refs = "001c @UStrAddRef 0024 TIdNNTP.GetBody 0039 EnsureMsgIDBrackets 0049 @UStrCat3 0088 TIdIOHandler.Capture 00a2 @UStrArrayClr 00aa @UStrClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 66 C7 45 EC DE 00 66 C7 45 EE AE 01 8D 4D EC 8B C6 8B 18 FF 93 94 00 00 00 66 3D DE 00 0F 94 C3 84 DB 74 18 8B 45 F8 8B 10 FF 52 44 33 C9 8B 55 F8 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 4F 00 44 00 59 00 20 00 00 00 }
	condition:
		$1
}

rule function_36368_0 {
	meta:
		name = "TIdNNTP.GetBody"
		size = 72
		refs = "0010 TIdNNTP.GetBody 0017 TIdTCPConnection.SendCmd 0026 TIdIOHandler.Capture"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 B3 01 6A 00 66 B9 DE 00 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C9 8B D6 8B 87 98 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 4F 00 44 00 59 00 00 00 00 00 }
	condition:
		$1
}

rule function_36369_0 {
	meta:
		name = "TIdNNTP.GetBody"
		size = 192
		refs = "001b TIdNNTP.GetBody 002f IntToStr 003f @UStrCat3 0078 TIdIOHandler.Capture 0092 @UStrArrayClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F8 89 5D F4 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 66 C7 45 F0 DE 00 66 C7 45 F2 A7 01 8D 4D F0 8B C6 8B 18 FF 93 94 00 00 00 66 3D DE 00 0F 94 C0 8B D8 84 DB 74 10 33 C9 8B 55 FC 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 4F 00 44 00 59 00 20 00 00 00 }
	condition:
		$1
}

rule function_36370_0 {
	meta:
		name = "TIdNNTP.GetBody"
		size = 208
		refs = "001c @UStrAddRef 0024 TIdNNTP.GetBody 0039 EnsureMsgIDBrackets 0049 @UStrCat3 0080 TIdIOHandler.Capture 009a @UStrArrayClr 00a2 @UStrClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 66 C7 45 EC DE 00 66 C7 45 EE AE 01 8D 4D EC 8B C6 8B 18 FF 93 94 00 00 00 66 3D DE 00 0F 94 C3 84 DB 74 10 33 C9 8B 55 F8 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 4F 00 44 00 59 00 20 00 00 00 }
	condition:
		$1
}

rule function_36371_0 {
	meta:
		name = "TIdNNTP.GetHeader"
		size = 132
		refs = "0010 TIdNNTP.GetHeader 002a TIdTCPConnection.SendCmd 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 6A 00 66 B9 DD 00 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 48 8D 45 FC 50 33 C9 8B D6 8B C7 8B 30 FF 96 C8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 45 00 41 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_36372_0 {
	meta:
		name = "TIdNNTP.GetHeader"
		size = 208
		refs = "001a TIdNNTP.GetHeader 002e IntToStr 003e @UStrCat3 0097 @UStrClr 00a4 @UStrArrayClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 66 C7 45 F0 DD 00 66 C7 45 F2 A7 01 8D 4D F0 8B C6 8B 18 FF 93 94 00 00 00 66 3D DD 00 0F 94 C0 8B D8 84 DB 74 1B 8B 45 FC 8B 10 FF 52 48 8D 45 EC 50 33 C9 8B 55 FC 8B C6 8B 30 FF 96 C8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 48 00 45 00 41 00 44 00 20 00 00 00 }
	condition:
		$1
}

rule function_36373_0 {
	meta:
		name = "TIdNNTP.GetHeader"
		size = 228
		refs = "001f @UStrAddRef 0027 TIdNNTP.GetHeader 003c EnsureMsgIDBrackets 004c @UStrCat3 00a3 @UStrClr 00b0 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 66 C7 45 EC DD 00 66 C7 45 EE AE 01 8D 4D EC 8B C6 8B 18 FF 93 94 00 00 00 66 3D DD 00 0F 94 C3 84 DB 74 1B 8B 45 F8 8B 10 FF 52 48 8D 45 E8 50 33 C9 8B 55 F8 8B C6 8B 30 FF 96 C8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 48 00 45 00 41 00 44 00 20 00 00 00 }
	condition:
		$1
}

rule function_36374_0 {
	meta:
		name = "TIdNNTP.GetHeader"
		size = 80
		refs = "0010 TIdNNTP.GetHeader 0017 TIdTCPConnection.SendCmd 002d TIdIOHandler.Capture"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 B3 01 6A 00 66 B9 DD 00 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 33 C9 8B D6 8B 87 98 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 45 00 41 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_36375_0 {
	meta:
		name = "TIdNNTP.GetHeader"
		size = 200
		refs = "001b TIdNNTP.GetHeader 002f IntToStr 003f @UStrCat3 0080 TIdIOHandler.Capture 009a @UStrArrayClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F8 89 5D F4 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 66 C7 45 F0 DD 00 66 C7 45 F2 A7 01 8D 4D F0 8B C6 8B 18 FF 93 94 00 00 00 66 3D DD 00 0F 94 C0 8B D8 84 DB 74 18 8B 45 FC 8B 10 FF 52 44 33 C9 8B 55 FC 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 48 00 45 00 41 00 44 00 20 00 00 00 }
	condition:
		$1
}

rule function_36376_0 {
	meta:
		name = "TIdNNTP.GetHeader"
		size = 216
		refs = "001c @UStrAddRef 0024 TIdNNTP.GetHeader 0039 EnsureMsgIDBrackets 0049 @UStrCat3 0088 TIdIOHandler.Capture 00a2 @UStrArrayClr 00aa @UStrClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 66 C7 45 EC DD 00 66 C7 45 EE AE 01 8D 4D EC 8B C6 8B 18 FF 93 94 00 00 00 66 3D DD 00 0F 94 C3 84 DB 74 18 8B 45 F8 8B 10 FF 52 44 33 C9 8B 55 F8 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 48 00 45 00 41 00 44 00 20 00 00 00 }
	condition:
		$1
}

rule function_36377_0 {
	meta:
		name = "TIdNNTP.GetHeader"
		size = 72
		refs = "0010 TIdNNTP.GetHeader 0017 TIdTCPConnection.SendCmd 0026 TIdIOHandler.Capture"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 B3 01 6A 00 66 B9 DD 00 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C9 8B D6 8B 87 98 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 45 00 41 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_36378_0 {
	meta:
		name = "TIdNNTP.GetHeader"
		size = 192
		refs = "001b TIdNNTP.GetHeader 002f IntToStr 003f @UStrCat3 0078 TIdIOHandler.Capture 0092 @UStrArrayClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F8 89 5D F4 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 66 C7 45 F0 DD 00 66 C7 45 F2 A7 01 8D 4D F0 8B C6 8B 18 FF 93 94 00 00 00 66 3D DD 00 0F 94 C0 8B D8 84 DB 74 10 33 C9 8B 55 FC 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 48 00 45 00 41 00 44 00 20 00 00 00 }
	condition:
		$1
}

rule function_36379_0 {
	meta:
		name = "TIdNNTP.GetHeader"
		size = 208
		refs = "001c @UStrAddRef 0024 TIdNNTP.GetHeader 0039 EnsureMsgIDBrackets 0049 @UStrCat3 0080 TIdIOHandler.Capture 009a @UStrArrayClr 00a2 @UStrClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 66 C7 45 EC DD 00 66 C7 45 EE AE 01 8D 4D EC 8B C6 8B 18 FF 93 94 00 00 00 66 3D DD 00 0F 94 C3 84 DB 74 10 33 C9 8B 55 F8 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 48 00 45 00 41 00 44 00 20 00 00 00 }
	condition:
		$1
}

rule function_36381_0 {
	meta:
		name = "TIdNNTP.AfterConnect"
		size = 476
		refs = "0015 TIdNNTP.AfterConnect 0076 RSNNTPConnectionRefused 007b LoadResString 008b _DV_EIdNNTPConnectionRefused 0090 EIdReplyRFCError.CreateError 0095 @RaiseExcept 00bb TIdTCPConnection.SendCmd 00c9 TIdReply.GetNumericCode 012d TIdNNTP.GetCapability 0135 TIdNNTP.StartTLS 0149 TIdNNTP.SendAuth 0158 @HandleAnyException 0160 TIdTCPConnection.Disconnect 0165 @RaiseAgain 016a @DoneExcept 017f @UStrClr 0185 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 40 01 00 00 2D C8 00 00 00 74 11 48 74 1A 2D C7 00 00 00 74 1F 83 E8 66 74 26 EB 4B 8B 45 FC C6 80 82 01 00 00 00 EB 3F 8B 45 FC C6 80 82 01 00 00 01 EB 33 8B 45 FC C6 80 82 01 00 00 03 EB 27 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B9 F6 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 80 80 01 00 00 2C 01 72 06 FE C8 74 41 EB 7C 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 3D CB 00 00 00 74 0C 8B 45 FC C6 80 81 01 00 00 01 EB 49 8B 45 FC C6 80 81 01 00 00 00 EB 3D 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 3D C8 00 00 00 74 0C 8B 45 FC C6 80 81 01 00 00 05 EB 0A 8B 45 FC C6 80 81 01 00 00 04 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 83 01 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 4F 00 44 00 45 00 20 00 53 00 54 00 52 00 45 00 41 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 4F 00 44 00 45 00 20 00 52 00 45 00 41 00 44 00 45 00 52 00 00 00 }
	condition:
		$1
}

rule function_36383_0 {
	meta:
		name = "TIdNNTP.GetCapability"
		size = 448
		refs = "0012 TIdNNTP.GetCapability 0034 TIdTCPConnection.SendCmd 0054 TIdIOHandler.Capture 00be UpperCase 00c9 Trim 00eb TIdNNTP.IsExtCmdSupported 011d @UStrArrayClr 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 30 01 00 00 8B 10 FF 52 44 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 83 F8 65 75 1C 6A 01 6A 00 B9 ?? ?? ?? ?? 8B 93 30 01 00 00 8B 83 98 00 00 00 E8 ?? ?? ?? ?? EB 37 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 2D CA 00 74 06 66 83 E8 0D 75 1A 6A 01 6A 00 B9 ?? ?? ?? ?? 8B 93 30 01 00 00 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 83 30 01 00 00 8B 10 FF 52 14 48 85 C0 7C 42 40 89 45 FC 33 F6 8D 4D F0 8B D6 8B 83 30 01 00 00 8B 38 FF 57 0C 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 4D F8 8B D6 8B 83 30 01 00 00 8B 38 FF 57 20 46 FF 4D FC 75 C4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 88 83 85 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 88 83 84 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 41 00 50 00 41 00 42 00 49 00 4C 00 49 00 54 00 49 00 45 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 4C 00 49 00 53 00 54 00 20 00 45 00 58 00 54 00 45 00 4E 00 53 00 49 00 4F 00 4E 00 53 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4F 00 56 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 48 00 44 00 52 00 00 00 }
	condition:
		$1
}

rule function_36384_0 {
	meta:
		name = "TIdNNTP.IsExtCmdSupported"
		size = 120
		refs = "0013 @UStrAddRef 001b TIdNNTP.IsExtCmdSupported 002c UpperCase 0037 Trim 0065 @UStrArrayClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 30 01 00 00 8B 08 FF 51 54 40 0F 9F C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_36385_0 {
	meta:
		name = "TIdNNTP.StartTLS"
		size = 156
		refs = "000e _Dn_TIdSSLIOHandlerSocketBase 0013 @IsClass 0030 TIdNNTP.StartTLS 0037 TIdNNTP.IsExtCmdSupported 004c TIdTCPConnection.SendCmd 0063 TIdNNTP.AfterConnect 006c TIdExplicitTLSClient.ProcessTLSNegCmdFailed 0075 TIdExplicitTLSClient.ProcessTLSNotAvail"
	strings:
		$1 = { 53 56 8B D8 8B B3 98 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5E 80 BB 14 01 00 00 00 74 55 8B C6 80 B8 08 01 00 00 00 74 4A BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 33 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 3D 7E 01 75 13 8B C3 8B 10 FF 92 C0 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 10 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 54 00 41 00 52 00 54 00 54 00 4C 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_36387_0 {
	meta:
		name = "TIdNNTP.XHDR"
		size = 372
		refs = "0022 @UStrAddRef 0032 TIdNNTP.XHDR 0057 TIdNNTP.XHDRCommon 0086 TIdIOHandler.ReadLn 0094 @UStrClr 00aa TIdNNTP.ParseXHDRLine 00e7 @UStrEqual 010c @HandleFinally 0116 RSNNTPNoOnXHDREntry 011b LoadResString 0125 _DV_EIdNNTPNoOnXHDREntry 012a EIdException.Create 012f @RaiseExcept 0151 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 DB 89 5D E0 89 5D F4 89 5D F0 89 5D EC 89 4D F8 89 55 FC 89 45 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 66 83 B8 72 01 00 00 00 0F 84 C5 00 00 00 8B 4D F8 8B 55 FC 8B 45 E8 E8 ?? ?? ?? ?? 6A 00 6A 00 33 D2 8B 45 E8 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B 45 E8 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? C6 45 E7 01 EB 4E 8D 45 EC E8 ?? ?? ?? ?? 50 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 E7 50 8B 5D E8 8B 4D F0 8B 55 FC 8B 83 74 01 00 00 FF 93 70 01 00 00 8D 4D F4 8B 45 E8 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 95 C0 22 45 E7 75 9D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 E8 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36388_0 {
	meta:
		name = "TIdNNTP.XOVER"
		size = 412
		refs = "0028 @UStrAddRef 0030 TIdNNTP.XOVER 0052 TIdNNTP.XOVERCommon 0081 TIdIOHandler.ReadLn 00b5 TIdNNTP.ParseXOVER 010c @UStrEqual 0135 @HandleFinally 013f RSNNTPNoOnXOVER 0144 LoadResString 014e _DV_EIdNNTPNoOnXOVER 0153 EIdException.Create 0158 @RaiseExcept 016d @UStrClr 017a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 33 C9 89 4D C0 89 4D F8 89 4D F4 89 4D F0 89 4D EC 89 4D E8 89 4D E4 89 55 FC 89 45 E0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 66 83 B8 7A 01 00 00 00 0F 84 F0 00 00 00 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? 6A 00 6A 00 33 D2 8B 45 E0 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 45 E0 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? C6 45 C7 01 EB 78 8D 45 F4 50 8D 45 F0 50 8D 45 D0 50 8D 45 EC 50 8D 45 E8 50 8D 45 CC 50 8D 45 C8 50 8D 45 E4 50 8D 4D DC 8B 55 F8 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 F0 50 FF 75 D4 FF 75 D0 8B 45 EC 50 8B 45 E8 50 8B 45 CC 50 8B 45 C8 50 8B 45 E4 50 8D 45 C7 50 8B 5D E0 8B 4D F4 8B 55 DC 8B 83 7C 01 00 00 FF 93 78 01 00 00 8D 4D F8 8B 45 E0 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 95 C0 22 45 C7 0F 85 6F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 E0 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36389_0 {
	meta:
		name = "TIdNNTP.ParseXHDRLine"
		size = 168
		refs = "0016 @UStrAddRef 0034 TIdNNTP.ParseXHDRLine 004f Fetch 005a @UStrAsg 007a @UStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 DB 89 5D F4 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 04 33 D2 89 10 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36390_0 {
	meta:
		name = "TIdNNTP.XHDRCommon"
		size = 284
		refs = "001b @UStrAddRef 002b TIdNNTP.XHDRCommon 005b @UStrCatN 00a6 TIdTCPConnection.SendCmd 00bb @UStrClr 00c8 @UStrArrayClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 84 01 00 00 00 74 3F 6A 01 6A 00 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 66 C7 45 F0 E1 00 66 C7 45 F2 DD 00 8D 4D F0 8B C3 8B 18 FF 93 94 00 00 00 EB 2D 6A 00 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 66 B9 DD 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 44 00 52 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 58 00 48 00 44 00 52 00 20 00 00 00 }
	condition:
		$1
}

rule function_36391_0 {
	meta:
		name = "TIdNNTP.XOVERCommon"
		size = 204
		refs = "0013 @UStrAddRef 001b TIdNNTP.XOVERCommon 003c @UStrCat3 004a TIdTCPConnection.SendCmd 0086 @UStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 85 01 00 00 00 74 22 6A 00 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 66 B9 E0 00 8B C3 E8 ?? ?? ?? ?? EB 20 6A 00 8D 45 F4 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 66 B9 E0 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4F 00 56 00 45 00 52 00 20 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 58 00 4F 00 56 00 45 00 52 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_36392_0 {
	meta:
		name = "TIdNNTP.DisconnectNotifyPeer"
		size = 56
		refs = "0006 TIdTCPConnection.DisconnectNotifyPeer 0011 TIdNNTP.DisconnectNotifyPeer 0018 TIdTCPConnection.SendCmd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 66 B9 CD 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 51 00 55 00 49 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_36393_0 {
	meta:
		name = "TIdNNTP.SendAuth"
		size = 248
		refs = "0010 TIdNNTP.SendAuth 002d @UStrCat3 0046 TIdTCPConnection.SendCmd 0084 @UStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 45 FC 8B 8B EC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 66 C7 45 F8 19 01 66 C7 45 FA 7D 01 8D 4D F8 8B C3 E8 ?? ?? ?? ?? 66 3D 7D 01 75 23 6A 00 8D 45 F4 8B 8B E0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 66 B9 19 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 41 00 55 00 54 00 48 00 49 00 4E 00 46 00 4F 00 20 00 55 00 53 00 45 00 52 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 41 00 55 00 54 00 48 00 49 00 4E 00 46 00 4F 00 20 00 50 00 41 00 53 00 53 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_36396_0 {
	meta:
		name = "TIdNNTPServer.NNTPTimeToTime"
		size = 308
		refs = "0016 TIdNNTPServer.NNTPTimeToTime 0039 @UStrCopy 0046 IndyStrToInt 009b EncodeTime 00bf Trim 00cc TextIsSame 00d5 OffsetFromUTC 0100 @UStrArrayClr 0108 @UStrClr 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 BA 00 00 00 8D 45 EC 50 B9 02 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 EC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 8D 45 E8 50 B9 04 00 00 00 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F8 8D 45 E4 50 B9 06 00 00 00 BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 00 8B C8 8B D7 8B C6 E8 ?? ?? ?? ?? DD 5D F0 9B 8D 45 E0 50 B9 FF FF FF 7F BA 07 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 E8 ?? ?? ?? ?? DC 45 F0 DD 5D F0 9B EB 08 33 C0 89 45 F0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 DD 45 F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 4D 00 54 00 00 00 }
	condition:
		$1
}

rule function_36397_0 {
	meta:
		name = "TIdNNTPServer.NNTPDateTimeToDateTime"
		size = 440
		refs = "001b TIdNNTPServer.NNTPDateTimeToDateTime 003b @UStrLAsg 0050 Fetch 0077 @UStrCopy 0084 IndyStrToInt 0098 @UStrDelete 0153 EncodeDate 0161 TIdNNTPServer.NNTPTimeToTime 0182 @UStrArrayClr 0195 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 89 45 F4 85 F6 0F 84 37 01 00 00 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 83 F8 06 7E 39 8D 45 E8 50 B9 04 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 BA B1 07 00 00 E8 ?? ?? ?? ?? 8B F0 8D 45 F8 B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 3C 8D 45 E4 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 BA 45 00 00 00 E8 ?? ?? ?? ?? 8B F0 8D 45 F8 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 66 81 C6 D0 07 8D 45 E0 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F8 8D 45 F8 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 DC BA 01 00 00 00 E8 ?? ?? ?? ?? 66 89 45 EE 8D 45 F8 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F B7 4D EE 8B D7 8B C6 E8 ?? ?? ?? ?? DD 5D D4 9B 8B 55 FC 8B C3 E8 ?? ?? ?? ?? DC 45 D4 DD 5D F0 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE DD 45 F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36398_0 {
	meta:
		name = "TIdNNTPServer.CommandArticle"
		size = 472
		refs = "0016 TIdNNTPServer.CommandArticle 0025 TIdNNTPServer.SecLayerRequired 0036 TIdNNTPServer.AuthRequired 004e TIdNNTPServer.LookupMessage 0070 IntToStr 008d @UStrCatN 00a4 TIdCommand.SendReply 00c5 TIdReply.SetNumericCode 014b @UStrArrayClr 0153 @UStrClr 0159 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 04 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 F3 00 00 00 8D 45 FC 50 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? FE C8 74 09 FE C8 74 71 E9 D6 00 00 00 66 83 BB 72 01 00 00 00 74 53 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 BA DC 00 00 00 8B 46 18 8B 38 FF 57 44 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B 56 20 8B 83 74 01 00 00 FF 93 70 01 00 00 EB 79 BA F4 01 00 00 8B 46 18 E8 ?? ?? ?? ?? EB 6A 66 83 BB 7A 01 00 00 00 74 53 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D EC BA DC 00 00 00 8B 46 18 8B 38 FF 57 44 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B 56 20 8B 83 7C 01 00 00 FF 93 78 01 00 00 EB 0D BA F4 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 20 00 61 00 72 00 74 00 69 00 63 00 6C 00 65 00 20 00 72 00 65 00 74 00 72 00 69 00 65 00 76 00 65 00 64 00 20 00 2D 00 20 00 68 00 65 00 61 00 64 00 20 00 61 00 6E 00 64 00 20 00 62 00 6F 00 64 00 79 00 20 00 66 00 6F 00 6C 00 6C 00 6F 00 77 00 00 00 }
	condition:
		$1
}

rule function_36399_0 {
	meta:
		name = "TIdNNTPServer.CommandBody"
		size = 456
		refs = "0016 TIdNNTPServer.CommandBody 0025 TIdNNTPServer.SecLayerRequired 0036 TIdNNTPServer.AuthRequired 004e TIdNNTPServer.LookupMessage 0070 IntToStr 008d @UStrCatN 00a4 TIdCommand.SendReply 00c5 TIdReply.SetNumericCode 014b @UStrArrayClr 0153 @UStrClr 0159 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 04 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 F3 00 00 00 8D 45 FC 50 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? FE C8 74 09 FE C8 74 71 E9 D6 00 00 00 66 83 BB 82 01 00 00 00 74 53 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 BA DC 00 00 00 8B 46 18 8B 38 FF 57 44 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B 56 20 8B 83 84 01 00 00 FF 93 80 01 00 00 EB 79 BA F4 01 00 00 8B 46 18 E8 ?? ?? ?? ?? EB 6A 66 83 BB 8A 01 00 00 00 74 53 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D EC BA DC 00 00 00 8B 46 18 8B 38 FF 57 44 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B 56 20 8B 83 8C 01 00 00 FF 93 88 01 00 00 EB 0D BA F4 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 20 00 61 00 72 00 74 00 69 00 63 00 6C 00 65 00 20 00 72 00 65 00 74 00 72 00 69 00 65 00 76 00 65 00 64 00 20 00 2D 00 20 00 62 00 6F 00 64 00 79 00 20 00 66 00 6F 00 6C 00 6C 00 6F 00 77 00 73 00 00 00 }
	condition:
		$1
}

rule function_36400_0 {
	meta:
		name = "TIdNNTPServer.CommandDate"
		size = 204
		refs = "0018 TIdNNTPServer.CommandDate 0027 TIdNNTPServer.SecLayerRequired 0038 @UStrLAsg 003d Now 0046 TimeZoneBias 005c CurrencyString 0064 FormatDateTime 008e @UStrArrayClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 49 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D E8 9B E8 ?? ?? ?? ?? DC 45 E8 DD 5D F0 9B FF 75 F4 FF 75 F0 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F8 BA 6F 00 00 00 8B 46 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 79 00 79 00 79 00 79 00 6D 00 6D 00 64 00 64 00 68 00 68 00 6E 00 6E 00 73 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_36401_0 {
	meta:
		name = "TIdNNTPServer.CommandHelp"
		size = 108
		refs = "0027 TIdNNTPServer.CommandHelp"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B 86 5C 01 00 00 8B 10 FF 52 14 85 C0 7E 11 8B 96 5C 01 00 00 8B 47 1C 8B 08 FF 51 08 5F 5E C3 BA ?? ?? ?? ?? 8B 47 1C 8B 08 FF 51 2C 5F 5E C3 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 4E 00 6F 00 20 00 68 00 65 00 6C 00 70 00 20 00 61 00 76 00 61 00 69 00 6C 00 61 00 62 00 6C 00 65 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_36402_0 {
	meta:
		name = "TIdNNTPServer.CommandGroup"
		size = 288
		refs = "0019 TIdNNTPServer.CommandGroup 0028 TIdNNTPServer.SecLayerRequired 0039 TIdNNTPServer.AuthRequired 004c Trim 006b TIdNNTPServer.DoSelectGroup 007c @UStrAsg 00ba IndyFormat 00df @UStrClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 C9 89 4D E8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 9A 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 89 00 00 00 8D 55 FC 8B 46 24 E8 ?? ?? ?? ?? 8B 7E 20 8D 45 F4 50 8D 45 F0 50 8D 45 EC 50 8D 45 FB 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 80 7D FB 00 74 59 8D 47 60 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 F4 89 45 C8 C6 45 CC 00 8B 45 F0 89 45 D0 C6 45 D4 00 8B 45 EC 89 45 D8 C6 45 DC 00 8B 45 FC 89 45 E0 C6 45 E4 11 8D 55 C8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 BA D3 00 00 00 8B 46 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 25 00 64 00 20 00 25 00 64 00 20 00 25 00 64 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_36403_0 {
	meta:
		name = "TIdNNTPServer.CommandHead"
		size = 456
		refs = "0016 TIdNNTPServer.CommandHead 0025 TIdNNTPServer.SecLayerRequired 0036 TIdNNTPServer.AuthRequired 004e TIdNNTPServer.LookupMessage 0070 IntToStr 008d @UStrCatN 00a4 TIdCommand.SendReply 00c5 TIdReply.SetNumericCode 014b @UStrArrayClr 0153 @UStrClr 0159 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 04 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 F3 00 00 00 8D 45 FC 50 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? FE C8 74 09 FE C8 74 71 E9 D6 00 00 00 66 83 BB 92 01 00 00 00 74 53 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 BA DC 00 00 00 8B 46 18 8B 38 FF 57 44 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B 56 20 8B 83 94 01 00 00 FF 93 90 01 00 00 EB 79 BA F4 01 00 00 8B 46 18 E8 ?? ?? ?? ?? EB 6A 66 83 BB 9A 01 00 00 00 74 53 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D EC BA DC 00 00 00 8B 46 18 8B 38 FF 57 44 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B 56 20 8B 83 9C 01 00 00 FF 93 98 01 00 00 EB 0D BA F4 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 20 00 61 00 72 00 74 00 69 00 63 00 6C 00 65 00 20 00 72 00 65 00 74 00 72 00 69 00 65 00 76 00 65 00 64 00 20 00 2D 00 20 00 68 00 65 00 61 00 64 00 20 00 66 00 6F 00 6C 00 6C 00 6F 00 77 00 73 00 00 00 }
	condition:
		$1
}

rule function_36404_0 {
	meta:
		name = "TIdNNTPServer.CommandIHave"
		size = 464
		refs = "0019 TIdNNTPServer.CommandIHave 0028 TIdNNTPServer.SecLayerRequired 0039 TIdNNTPServer.AuthRequired 0052 Trim 005f TextStartsWith 00b9 TIdCommand.SendReply 00c1 @UStrClr 00ea iif 0106 TIdReply.SetNumericCode 012f @UStrArrayClr 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 E5 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 D4 00 00 00 8B 46 20 89 45 F4 8D 55 FC 8B 46 24 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 AE 00 00 00 66 83 BB 62 02 00 00 00 0F 84 93 00 00 00 66 83 BB 2A 02 00 00 00 0F 84 85 00 00 00 0F B6 45 F3 50 8B 4D FC 8B 55 F4 8B 83 64 02 00 00 FF 93 60 02 00 00 80 7D F3 00 74 59 B9 ?? ?? ?? ?? BA 4F 01 00 00 8B 46 18 8B 38 FF 57 44 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 4D F3 8B 55 F4 8B 83 2C 02 00 00 FF 93 28 02 00 00 B9 B4 01 00 00 BA EB 00 00 00 0F B6 45 F3 E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B 46 18 8B 18 FF 53 44 EB 1C BA B3 01 00 00 8B 46 18 E8 ?? ?? ?? ?? EB 0D BA F4 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 37 00 00 00 73 00 65 00 6E 00 64 00 20 00 61 00 72 00 74 00 69 00 63 00 6C 00 65 00 20 00 74 00 6F 00 20 00 62 00 65 00 20 00 74 00 72 00 61 00 6E 00 73 00 66 00 65 00 72 00 72 00 65 00 64 00 2E 00 20 00 20 00 45 00 6E 00 64 00 20 00 77 00 69 00 74 00 68 00 20 00 3C 00 43 00 52 00 4C 00 46 00 3E 00 2E 00 3C 00 43 00 52 00 4C 00 46 00 3E 00 00 00 }
	condition:
		$1
}

rule function_36405_0 {
	meta:
		name = "TIdNNTPServer.CommandLast"
		size = 368
		refs = "0014 TIdNNTPServer.CommandLast 0023 TIdNNTPServer.SecLayerRequired 0034 TIdNNTPServer.AuthRequired 0067 TIdNNTPServer.RawNavigate 0078 IntToStr 0095 @UStrCatN 00b4 TIdReply.SetNumericCode 00dd @UStrArrayClr 00e5 @UStrClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 98 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 87 00 00 00 66 83 BB CA 01 00 00 00 74 70 8B 7E 20 8B 47 5C 89 45 F8 FF B3 CC 01 00 00 FF B3 C8 01 00 00 8D 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 3A 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 BA DF 00 00 00 8B 46 18 8B 18 FF 53 44 EB 1C BA AE 01 00 00 8B 46 18 E8 ?? ?? ?? ?? EB 0D BA F4 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 20 00 61 00 72 00 74 00 69 00 63 00 6C 00 65 00 20 00 72 00 65 00 74 00 72 00 69 00 65 00 76 00 65 00 64 00 20 00 2D 00 20 00 72 00 65 00 71 00 75 00 65 00 73 00 74 00 20 00 74 00 65 00 78 00 74 00 20 00 73 00 65 00 70 00 61 00 72 00 61 00 74 00 65 00 6C 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_36406_0 {
	meta:
		name = "TIdNNTPServer.CommandList"
		size = 96
		refs = "000b TIdNNTPServer.SecLayerRequired 0018 TIdNNTPServer.AuthRequired 0023 TIdCommand.SendReply 002d TIdNNTPServer.DoListGroups 0040 TIdNNTPServer.CommandList"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 39 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2C 8B C6 E8 ?? ?? ?? ?? 8B 56 20 8B C3 E8 ?? ?? ?? ?? 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36407_0 {
	meta:
		name = "TIdNNTPServer.CommandListActiveGroups"
		size = 128
		refs = "000b TIdNNTPServer.SecLayerRequired 0018 TIdNNTPServer.AuthRequired 002d TIdCommand.SendReply 0052 TIdNNTPServer.CommandListActiveGroups 0069 TIdReply.SetNumericCode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 5A 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 4D 66 83 BB DA 01 00 00 00 74 36 8B C6 E8 ?? ?? ?? ?? 8B 4E 24 8B 56 20 8B 83 DC 01 00 00 FF 93 D8 01 00 00 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 EB 0D BA F4 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36408_0 {
	meta:
		name = "TIdNNTPServer.CommandListActiveTimes"
		size = 128
		refs = "000b TIdNNTPServer.SecLayerRequired 0018 TIdNNTPServer.AuthRequired 002d TIdCommand.SendReply 0052 TIdNNTPServer.CommandListActiveTimes 0069 TIdReply.SetNumericCode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 5A 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 4D 66 83 BB E2 01 00 00 00 74 36 8B C6 E8 ?? ?? ?? ?? 8B 4E 24 8B 56 20 8B 83 E4 01 00 00 FF 93 E0 01 00 00 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 EB 0D BA F7 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36409_0 {
	meta:
		name = "TIdNNTPServer.CommandListDescriptions"
		size = 128
		refs = "000b TIdNNTPServer.SecLayerRequired 0018 TIdNNTPServer.AuthRequired 002d TIdCommand.SendReply 0052 TIdNNTPServer.CommandListDescriptions 0069 TIdReply.SetNumericCode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 5A 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 4D 66 83 BB EA 01 00 00 00 74 36 8B C6 E8 ?? ?? ?? ?? 8B 4E 24 8B 56 20 8B 83 EC 01 00 00 FF 93 E8 01 00 00 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 EB 0D BA F7 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36410_0 {
	meta:
		name = "TIdNNTPServer.CommandListDistributions"
		size = 128
		refs = "000b TIdNNTPServer.SecLayerRequired 0018 TIdNNTPServer.AuthRequired 002d TIdCommand.SendReply 004f TIdNNTPServer.CommandListDistributions 0066 TIdReply.SetNumericCode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 57 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 4A 66 83 BB F2 01 00 00 00 74 33 8B C6 E8 ?? ?? ?? ?? 8B 56 20 8B 83 F4 01 00 00 FF 93 F0 01 00 00 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 EB 0D BA F7 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36411_0 {
	meta:
		name = "TIdNNTPServer.CommandListDistribPats"
		size = 128
		refs = "0017 TIdNNTPServer.CommandListDistribPats 0041 TIdReply.SetNumericCode"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 86 60 01 00 00 8B 10 FF 52 14 85 C0 7E 22 B9 ?? ?? ?? ?? BA D7 00 00 00 8B 47 18 8B 18 FF 53 44 8B 96 60 01 00 00 8B 47 1C 8B 08 FF 51 08 EB 0D BA F7 01 00 00 8B 47 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 69 00 6E 00 66 00 6F 00 72 00 6D 00 61 00 74 00 69 00 6F 00 6E 00 20 00 66 00 6F 00 6C 00 6C 00 6F 00 77 00 73 00 00 00 }
	condition:
		$1
}

rule function_36412_0 {
	meta:
		name = "TIdNNTPServer.CommandListExtensions"
		size = 1196
		refs = "0008 TIdNNTPServer.CommandListExtensions 001c TIdCommand.SendReply 0028 _Dn_TIdServerIOHandlerSSLBase 002d @IsClass"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 B9 ?? ?? ?? ?? BA CA 00 00 00 8B 46 18 8B 38 FF 57 44 8B C6 E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 80 BB 58 01 00 00 00 75 1B 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 38 FF 97 A4 00 00 00 66 83 BB 3A 02 00 00 00 74 1B 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 38 FF 97 A4 00 00 00 66 83 BB 42 02 00 00 00 74 1B 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 38 FF 97 A4 00 00 00 66 83 BB 4A 02 00 00 00 74 1B 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 38 FF 97 A4 00 00 00 66 83 BB 52 02 00 00 00 74 1B 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 38 FF 97 A4 00 00 00 66 83 BB D2 01 00 00 00 74 25 66 83 BB 12 02 00 00 00 74 1B 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 38 FF 97 A4 00 00 00 66 83 BB DA 01 00 00 00 74 1B 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 38 FF 97 A4 00 00 00 66 83 BB E2 01 00 00 00 74 1B 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 38 FF 97 A4 00 00 00 66 83 BB F2 01 00 00 00 74 1B 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 38 FF 97 A4 00 00 00 8B 83 60 01 00 00 8B 10 FF 52 14 85 C0 7E 1B 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 38 FF 97 A4 00 00 00 66 83 BB 02 02 00 00 00 75 0F 8B 83 64 01 00 00 8B 10 FF 52 14 85 C0 7E 1B 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 38 FF 97 A4 00 00 00 66 83 BB EA 01 00 00 00 74 1B 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 38 FF 97 A4 00 00 00 66 83 BB 0A 02 00 00 00 74 1B 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 38 FF 97 A4 00 00 00 66 83 BB FA 01 00 00 00 74 0F 8B 56 20 8B 83 FC 01 00 00 FF 93 F8 01 00 00 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 15 00 00 00 45 00 78 00 74 00 65 00 6E 00 73 00 69 00 6F 00 6E 00 73 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 53 00 54 00 41 00 52 00 54 00 54 00 4C 00 53 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 48 00 44 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 4F 00 56 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 58 00 52 00 4F 00 56 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 58 00 50 00 41 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 4C 00 49 00 53 00 54 00 47 00 52 00 4F 00 55 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 4C 00 49 00 53 00 54 00 20 00 41 00 43 00 54 00 49 00 56 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 20 00 4C 00 49 00 53 00 54 00 20 00 41 00 43 00 54 00 49 00 56 00 45 00 2E 00 54 00 49 00 4D 00 45 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 20 00 4C 00 49 00 53 00 54 00 20 00 44 00 49 00 53 00 54 00 52 00 49 00 42 00 55 00 54 00 49 00 4F 00 4E 00 53 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 20 00 4C 00 49 00 53 00 54 00 20 00 44 00 49 00 53 00 54 00 52 00 49 00 42 00 2E 00 50 00 41 00 54 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 4C 00 49 00 53 00 54 00 20 00 48 00 45 00 41 00 44 00 45 00 52 00 53 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 20 00 4C 00 49 00 53 00 54 00 20 00 4E 00 45 00 57 00 53 00 47 00 52 00 4F 00 55 00 50 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 20 00 4C 00 49 00 53 00 54 00 20 00 53 00 55 00 42 00 53 00 43 00 52 00 49 00 50 00 54 00 49 00 4F 00 4E 00 53 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36413_0 {
	meta:
		name = "TIdNNTPServer.CommandListGroup"
		size = 348
		refs = "0015 TIdNNTPServer.CommandListGroup 0024 TIdNNTPServer.SecLayerRequired 0035 TIdNNTPServer.AuthRequired 006a Trim 0088 @UStrLAsg 00ca @UStrAsg 00da TIdCommand.SendReply 0113 TIdReply.SetNumericCode 0137 @UStrClr 013d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 F6 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 E5 00 00 00 66 83 BB D2 01 00 00 00 0F 84 CA 00 00 00 66 83 BB 12 02 00 00 00 0F 84 BC 00 00 00 8B 46 20 89 45 F8 8D 55 FC 8B 46 24 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0E 8D 45 FC 8B 55 F8 8B 52 60 E8 ?? ?? ?? ?? C6 45 F3 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1A 8D 45 F3 50 8D 45 F4 50 8B 4D FC 8B 55 F8 8B 83 D4 01 00 00 FF 93 D0 01 00 00 80 7D F3 00 74 4A 8B 45 F8 83 C0 60 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 55 F4 89 50 5C 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 14 02 00 00 FF 93 10 02 00 00 8B 45 F8 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 EB 1C BA 9C 01 00 00 8B 46 18 E8 ?? ?? ?? ?? EB 0D BA F6 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36414_0 {
	meta:
		name = "TIdNNTPServer.CommandListHeaders"
		size = 248
		refs = "0021 TIdNNTPServer.CommandListHeaders 003f TIdCommand.SendReply 0088 TIdReply.SetNumericCode"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 66 83 BE 02 02 00 00 00 75 0F 8B 86 64 01 00 00 8B 10 FF 52 14 85 C0 7E 5F B9 ?? ?? ?? ?? BA D7 00 00 00 8B 47 18 8B 18 FF 53 44 66 83 BE 02 02 00 00 00 74 33 8B C7 E8 ?? ?? ?? ?? 8B 57 20 8B 86 04 02 00 00 FF 96 00 02 00 00 8B 47 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 EB 1D 8B 96 64 01 00 00 8B 47 1C 8B 08 FF 51 08 EB 0D BA F4 01 00 00 8B 47 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 25 00 00 00 48 00 65 00 61 00 64 00 65 00 72 00 73 00 20 00 61 00 6E 00 64 00 20 00 6D 00 65 00 74 00 61 00 64 00 61 00 74 00 61 00 20 00 69 00 74 00 65 00 6D 00 73 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36415_0 {
	meta:
		name = "TIdNNTPServer.CommandListOverview"
		size = 128
		refs = "0017 TIdNNTPServer.CommandListOverview 0041 TIdReply.SetNumericCode"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 86 64 01 00 00 8B 10 FF 52 14 85 C0 7E 22 B9 ?? ?? ?? ?? BA D7 00 00 00 8B 47 18 8B 18 FF 53 44 8B 96 64 01 00 00 8B 47 1C 8B 08 FF 51 08 EB 0D BA F7 01 00 00 8B 47 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 69 00 6E 00 66 00 6F 00 72 00 6D 00 61 00 74 00 69 00 6F 00 6E 00 20 00 66 00 6F 00 6C 00 6C 00 6F 00 77 00 73 00 00 00 }
	condition:
		$1
}

rule function_36416_0 {
	meta:
		name = "TIdNNTPServer.CommandListSubscriptions"
		size = 200
		refs = "000c TIdNNTPServer.SecLayerRequired 0019 TIdNNTPServer.AuthRequired 002c TIdNNTPServer.CommandListSubscriptions 0040 TIdCommand.SendReply 0079 TIdReply.SetNumericCode"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 69 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 5C 66 83 BB 0A 02 00 00 00 74 45 B9 ?? ?? ?? ?? BA D7 00 00 00 8B 46 18 8B 38 FF 57 44 8B C6 E8 ?? ?? ?? ?? 8B 56 20 8B 83 0C 02 00 00 FF 93 08 02 00 00 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 EB 0D BA F7 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 69 00 6E 00 66 00 6F 00 72 00 6D 00 61 00 74 00 69 00 6F 00 6E 00 20 00 66 00 6F 00 6C 00 6C 00 6F 00 77 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36417_0 {
	meta:
		name = "TIdNNTPServer.CommandModeReader"
		size = 42
		refs = "000b TIdNNTPServer.SecLayerRequired 0023 TIdReply.SetNumericCode"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 14 8B 43 20 C6 40 64 01 BA C8 00 00 00 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36418_0 {
	meta:
		name = "TIdNNTPServer.CommandNewGroups"
		size = 428
		refs = "0017 TIdNNTPServer.CommandNewGroups 0026 TIdNNTPServer.SecLayerRequired 0037 TIdNNTPServer.AuthRequired 0064 @UStrClr 007b TIdNNTPServer.NNTPDateTimeToDateTime 0099 TIdNNTPServer.NNTPTimeToTime 00ca TextIsSame 00d3 OffsetFromUTC 0110 TIdCommand.SendReply 0152 TIdReply.SetNumericCode 016c @UStrArrayClr 017a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 24 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 13 01 00 00 8B 46 0C 8B 10 FF 52 14 48 0F 8E F7 00 00 00 66 83 BB 22 02 00 00 00 0F 84 E9 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8D 4D EC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 55 EC 8B 03 E8 ?? ?? ?? ?? DD 5D F0 9B 8D 4D E8 BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 55 E8 8B 03 E8 ?? ?? ?? ?? DC 45 F0 DD 5D F0 9B 8B 46 0C 8B 10 FF 52 14 83 F8 02 7E 5C 8D 4D E4 BA 02 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B E8 ?? ?? ?? ?? DC 45 F0 DD 5D F0 9B 8B 46 0C 8B 10 FF 52 14 83 F8 03 7E 22 8D 4D FC BA 03 00 00 00 8B 46 0C 8B 38 FF 57 0C EB 10 8D 4D FC BA 02 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B C6 E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 8B 4D FC 8B 56 20 8B 83 24 02 00 00 FF 93 20 02 00 00 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 EB 0D BA F4 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 4D 00 54 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36419_0 {
	meta:
		name = "TIdNNTPServer.CommandNewNews"
		size = 452
		refs = "0018 TIdNNTPServer.CommandNewNews 0027 TIdNNTPServer.SecLayerRequired 0038 TIdNNTPServer.AuthRequired 0067 @UStrClr 0081 TIdNNTPServer.NNTPDateTimeToDateTime 009f TIdNNTPServer.NNTPTimeToTime 00d0 TextIsSame 00d9 OffsetFromUTC 0116 TIdCommand.SendReply 0169 TIdReply.SetNumericCode 0183 @UStrArrayClr 0191 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 3A 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 29 01 00 00 8B 46 0C 8B 10 FF 52 14 83 F8 02 0F 8E 0B 01 00 00 66 83 BB 5A 02 00 00 00 0F 84 FD 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8D 4D EC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 55 EC 8B 03 E8 ?? ?? ?? ?? DD 5D F0 9B 8D 4D E8 BA 02 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 55 E8 8B 03 E8 ?? ?? ?? ?? DC 45 F0 DD 5D F0 9B 8B 46 0C 8B 10 FF 52 14 83 F8 03 7E 5C 8D 4D E4 BA 03 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B E8 ?? ?? ?? ?? DC 45 F0 DD 5D F0 9B 8B 46 0C 8B 10 FF 52 14 83 F8 04 7E 22 8D 4D FC BA 04 00 00 00 8B 46 0C 8B 38 FF 57 0C EB 10 8D 4D FC BA 03 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B C6 E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 8B 45 FC 50 8D 4D E0 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 4D E0 8B 56 20 8B 83 5C 02 00 00 FF 93 58 02 00 00 8B 46 20 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 EB 0D BA F4 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 4D 00 54 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36420_0 {
	meta:
		name = "TIdNNTPServer.CommandNext"
		size = 368
		refs = "0014 TIdNNTPServer.CommandNext 0023 TIdNNTPServer.SecLayerRequired 0034 TIdNNTPServer.AuthRequired 0067 TIdNNTPServer.RawNavigate 0078 IntToStr 0095 @UStrCatN 00b4 TIdReply.SetNumericCode 00dd @UStrArrayClr 00e5 @UStrClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 98 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 87 00 00 00 66 83 BB C2 01 00 00 00 74 70 8B 7E 20 8B 47 5C 89 45 F8 FF B3 C4 01 00 00 FF B3 C0 01 00 00 8D 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 3A 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 BA DF 00 00 00 8B 46 18 8B 18 FF 53 44 EB 1C BA AE 01 00 00 8B 46 18 E8 ?? ?? ?? ?? EB 0D BA F4 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 20 00 61 00 72 00 74 00 69 00 63 00 6C 00 65 00 20 00 72 00 65 00 74 00 72 00 69 00 65 00 76 00 65 00 64 00 20 00 2D 00 20 00 72 00 65 00 71 00 75 00 65 00 73 00 74 00 20 00 74 00 65 00 78 00 74 00 20 00 73 00 65 00 70 00 61 00 72 00 61 00 74 00 65 00 6C 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_36421_0 {
	meta:
		name = "TIdNNTPServer.CommandPost"
		size = 351
		refs = "0016 TIdNNTPServer.CommandPost 0027 TIdNNTPServer.SecLayerRequired 003a TIdNNTPServer.AuthRequired 0063 _Dn_TIdReplyRFC 0068 TIdReply.Create 008c iif 0096 TIdReply.SetNumericCode 00e3 TObject.Free 00e9 @HandleFinally 00fd @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 0A 01 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 F7 00 00 00 8B 45 F4 8B 40 20 89 45 E8 8B 45 F8 66 83 B8 2A 02 00 00 00 0F 95 45 F3 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 B8 01 00 00 BA 54 01 00 00 0F B6 45 F3 E8 ?? ?? ?? ?? 8B D0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F8 8B 80 44 01 00 00 8B 55 EC 8B 08 FF 51 30 6A 00 8B 45 EC 8B 10 FF 52 28 8B D0 8B 45 E8 8B 40 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 80 7D F3 00 74 48 C6 45 F2 00 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC 50 8D 4D F2 8B 5D F8 8B 55 E8 8B 83 2C 02 00 00 FF 93 28 02 00 00 B9 B9 01 00 00 BA F0 00 00 00 0F B6 45 F2 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 18 8B 4D FC 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_36422_0 {
	meta:
		name = "TIdNNTPServer.CommandSlave"
		size = 42
		refs = "000b TIdNNTPServer.SecLayerRequired 0023 TIdReply.SetNumericCode"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 14 8B 43 20 C6 40 64 00 BA DC 00 00 00 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36423_0 {
	meta:
		name = "TIdNNTPServer.CommandStat"
		size = 464
		refs = "0016 TIdNNTPServer.CommandStat 0025 TIdNNTPServer.SecLayerRequired 0036 TIdNNTPServer.AuthRequired 004e TIdNNTPServer.LookupMessage 0070 IntToStr 008d @UStrCatN 00a4 TIdCommand.SendReply 00c5 TIdReply.SetNumericCode 014b @UStrArrayClr 0153 @UStrClr 0159 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 04 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 F3 00 00 00 8D 45 FC 50 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? FE C8 74 09 FE C8 74 71 E9 D6 00 00 00 66 83 BB B2 01 00 00 00 74 53 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 BA DC 00 00 00 8B 46 18 8B 38 FF 57 44 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B 56 20 8B 83 B4 01 00 00 FF 93 B0 01 00 00 EB 79 BA F4 01 00 00 8B 46 18 E8 ?? ?? ?? ?? EB 6A 66 83 BB BA 01 00 00 00 74 53 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D EC BA DC 00 00 00 8B 46 18 8B 38 FF 57 44 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B 56 20 8B 83 BC 01 00 00 FF 93 B8 01 00 00 EB 0D BA F4 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 20 00 61 00 72 00 74 00 69 00 63 00 6C 00 65 00 20 00 72 00 65 00 74 00 72 00 69 00 65 00 76 00 65 00 64 00 20 00 2D 00 20 00 73 00 74 00 61 00 74 00 69 00 73 00 74 00 69 00 63 00 73 00 20 00 6F 00 6E 00 6C 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_36424_0 {
	meta:
		name = "TIdNNTPServer.CommandXHdr"
		size = 336
		refs = "001c TIdNNTPServer.CommandXHdr 002b TIdNNTPServer.SecLayerRequired 003c TIdNNTPServer.AuthRequired 0095 TIdNNTPServer.LookupMessageRangeOrID 00a6 TIdCommand.SendReply 00fb TIdReply.SetNumericCode 011f @UStrClr 012c @UStrArrayClr 0132 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 D7 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 C6 00 00 00 66 83 BB 3A 02 00 00 00 0F 84 AB 00 00 00 8B 46 0C 8B 10 FF 52 14 85 C0 0F 8E 8C 00 00 00 8B 46 0C 8B 10 FF 52 14 48 7E 10 8D 4D FC BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8D 45 F4 50 8D 45 F0 50 8D 45 F8 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 71 8B 46 20 89 45 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F0 50 8B 45 F8 50 8D 4D E8 33 D2 8B 46 0C 8B 30 FF 56 0C 8B 4D E8 8B 55 EC 8B 83 3C 02 00 00 FF 93 38 02 00 00 8B 45 EC 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 EB 1C BA F5 01 00 00 8B 46 18 E8 ?? ?? ?? ?? EB 0D BA F4 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36425_0 {
	meta:
		name = "TIdNNTPServer.CommandXOver"
		size = 180
		refs = "000f TIdNNTPServer.SecLayerRequired 0020 TIdNNTPServer.AuthRequired 0040 TIdNNTPServer.LookupMessageRange 0054 TIdReply.SetNumericCode 005b TIdCommand.SendReply 0082 TIdNNTPServer.CommandXOver"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 82 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 75 66 83 BB 42 02 00 00 00 74 5E 54 8D 44 24 08 50 8B 4E 24 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 55 8B 7E 20 BA E0 00 00 00 8B 46 18 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 44 24 04 50 8B 4C 24 04 8B D7 8B 83 44 02 00 00 FF 93 40 02 00 00 8B 47 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 EB 0D BA F4 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36426_0 {
	meta:
		name = "TIdNNTPServer.CommandXROver"
		size = 180
		refs = "000f TIdNNTPServer.SecLayerRequired 0020 TIdNNTPServer.AuthRequired 0040 TIdNNTPServer.LookupMessageRange 0054 TIdReply.SetNumericCode 005b TIdCommand.SendReply 0082 TIdNNTPServer.CommandXROver"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 82 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 75 66 83 BB 4A 02 00 00 00 74 5E 54 8D 44 24 08 50 8B 4E 24 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 55 8B 7E 20 BA E0 00 00 00 8B 46 18 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 44 24 04 50 8B 4C 24 04 8B D7 8B 83 4C 02 00 00 FF 93 48 02 00 00 8B 47 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 EB 0D BA F4 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36427_0 {
	meta:
		name = "TIdNNTPServer.CommandXPat"
		size = 512
		refs = "0022 TIdNNTPServer.CommandXPat 0031 TIdNNTPServer.SecLayerRequired 0042 TIdNNTPServer.AuthRequired 0091 TIdNNTPServer.LookupMessageRangeOrID 00ee @UStrCatN 010f TIdCommand.SendReply 0168 TIdReply.SetNumericCode 0191 @UStrArrayClr 01a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D D8 89 4D DC 89 4D E0 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 3E 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 2D 01 00 00 66 83 BB 52 02 00 00 00 0F 84 12 01 00 00 8B 46 0C 8B 10 FF 52 14 83 F8 02 0F 8E F2 00 00 00 8D 45 F0 50 8D 45 EC 50 8D 45 FC 50 8D 4D E0 BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 4D E0 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 DE 00 00 00 8B 46 20 89 45 E8 8D 4D F8 BA 02 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 46 0C 8B 10 FF 52 14 48 83 E8 03 7C 39 40 89 45 E4 C7 45 F4 03 00 00 00 FF 75 F8 68 ?? ?? ?? ?? 8D 4D DC 8B 55 F4 8B 46 0C 8B 38 FF 57 0C FF 75 DC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 F4 FF 4D E4 75 D2 B9 ?? ?? ?? ?? BA DD 00 00 00 8B 46 18 8B 38 FF 57 44 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 EC 50 8B 45 FC 50 8B 45 F8 50 8D 4D D8 33 D2 8B 46 0C 8B 30 FF 56 0C 8B 4D D8 8B 55 E8 8B 83 54 02 00 00 FF 93 50 02 00 00 8B 45 E8 8B 40 14 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 EB 1C BA F5 01 00 00 8B 46 18 E8 ?? ?? ?? ?? EB 0D BA F4 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 48 00 65 00 61 00 64 00 65 00 72 00 20 00 66 00 6F 00 6C 00 6C 00 6F 00 77 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36428_0 {
	meta:
		name = "TIdNNTPServer.InitComponent"
		size = 568
		refs = "000f TIdNNTPServer.InitComponent 001c TIdExplicitTLSServer.InitComponent 0023 _Dn_TStringList 0028 TStringList.Create 00ad _DV_TIdNNTPContext 00e7 TIdCmdTCPServer.GetGreeting 00f1 TIdReply.SetNumericCode 00f9 RSNNTPReplyProgramFault 00fe LoadResString 0109 TIdCmdTCPServer.GetExceptionReply 011c RSNNTPServerNotRecognized 012c TIdCmdTCPServer.GetReplyUnknownCommand 0151 @UStrArrayClr 0157 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 60 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 5C 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 64 01 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 38 A1 ?? ?? ?? ?? 89 83 9C 00 00 00 66 C7 83 50 01 00 00 77 00 66 C7 83 52 01 00 00 33 02 66 BA 77 00 8B C3 8B 08 FF 91 98 00 00 00 0F B6 05 ?? ?? ?? ?? 88 83 68 01 00 00 8B C3 E8 ?? ?? ?? ?? BA C8 00 00 00 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? BA F7 01 00 00 59 8B 30 FF 56 44 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? BA F4 01 00 00 59 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 75 00 62 00 6A 00 65 00 63 00 74 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 6F 00 6D 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 44 00 61 00 74 00 65 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 2D 00 49 00 44 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 66 00 65 00 72 00 65 00 6E 00 63 00 65 00 73 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 79 00 74 00 65 00 73 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4C 00 69 00 6E 00 65 00 73 00 3A 00 00 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_36429_0 {
	meta:
		name = "TIdNNTPServer.Destroy"
		size = 93
		refs = "0003 @BeforeDestruction 001a TObject.Free 004b TIdCmdTCPServer.Destroy 0056 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 60 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 5C 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 64 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36430_0 {
	meta:
		name = "TIdNNTPServer.DoListGroups"
		size = 27
	strings:
		$1 = { 53 66 83 B8 1A 02 00 00 00 74 0E 8B D8 8B 83 1C 02 00 00 FF 93 18 02 00 00 5B C3 }
	condition:
		$1
}

rule function_36431_0 {
	meta:
		name = "TIdNNTPServer.DoSelectGroup"
		size = 85
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B 55 08 8B 4D 0C 8B 7D 10 8B 75 14 33 DB 89 1E 33 DB 89 1F 33 DB 89 19 C6 02 00 66 83 B8 32 02 00 00 00 74 18 56 57 51 52 8B D8 8B 55 FC 8B 4D F8 8B 83 34 02 00 00 FF 93 30 02 00 00 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_36432_0 {
	meta:
		name = "TIdNNTPServer.SetIOHandler"
		size = 42
		refs = "0006 TIdExplicitTLSServer.SetIOHandler 0012 _Dn_TIdServerIOHandlerSSLBase 0017 @IsClass 0024 TIdNNTPServer.SetImplicitTLS"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_36433_0 {
	meta:
		name = "TIdNNTPServer.SetImplicitTLS"
		size = 192
		refs = "000f TIdNNTPServer.SetImplicitTLS 0029 _Dn_TIdServerIOHandlerSSLBase 002e @IsClass 0043 TIdCustomTCPServer.GetDefaultPort 0082 RSNNTPSvrImplicitTLSRequiresSSL 0087 LoadResString 008f _DV_EIdNNTPImplicitTLSRequiresSSL 0094 EIdException.Toss 00af @UStrClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E 58 01 00 00 74 7D 8B 86 A8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 44 88 9E 58 01 00 00 84 DB 74 1D 8B C6 E8 ?? ?? ?? ?? 66 83 F8 77 75 51 66 BA 33 02 8B C6 8B 08 FF 91 98 00 00 00 EB 41 8B C6 E8 ?? ?? ?? ?? 66 3D 33 02 75 34 66 BA 77 00 8B C6 8B 08 FF 91 98 00 00 00 EB 24 84 DB 74 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 9E 58 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36434_0 {
	meta:
		name = "TIdNNTPServer.CommandSTARTTLS"
		size = 226
		refs = "000f _Dn_TIdServerIOHandlerSSLBase 0014 @IsClass 0033 TIdNNTPContext.GetUsingTLS 0048 TIdReply.SetNumericCode 004f TIdCommand.SendReply 005e _Dn_TIdSSLIOHandlerSocketBase 0063 @AsClass 0075 @UStrClr 00a2 TIdCmdTCPServer.GetReplyUnknownCommand"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B 87 A8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B1 00 00 00 80 BF 58 01 00 00 00 0F 85 A4 00 00 00 8B 73 20 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 83 00 00 00 8B 43 18 BA 7E 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 46 14 8B 80 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 08 FF 91 04 01 00 00 8D 46 6C E8 ?? ?? ?? ?? 8D 46 68 E8 ?? ?? ?? ?? C6 46 48 00 8D 46 4C E8 ?? ?? ?? ?? 8D 46 54 E8 ?? ?? ?? ?? C6 46 58 00 C6 46 64 00 6A 00 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 52 28 8B D0 8B 46 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 EB 1C 8B 43 18 BA 44 02 00 00 E8 ?? ?? ?? ?? EB 0D 8B 43 18 BA F4 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36435_0 {
	meta:
		name = "TIdNNTPServer.InitializeCommandHandlers"
		size = 6136
		refs = "000a TIdCmdTCPServer.InitializeCommandHandlers 0015 TIdCommandHandlers.Add 001f TIdNNTPServer.InitializeCommandHandlers 0024 @UStrAsg 002e TIdNNTPServer.CommandArticle 003b TIdReply.SetNumericCode 0063 TIdNNTPServer.CommandAuthInfoUser 0094 TIdNNTPServer.CommandAuthInfoPassword 00c5 TIdNNTPServer.CommandAuthInfoSimple 00f6 TIdNNTPServer.CommandAuthInfoGeneric 0127 TIdNNTPServer.CommandBody 014f TIdNNTPServer.CommandDate 0177 TIdNNTPServer.CommandHead 019f TIdNNTPServer.CommandHelp 01d4 TIdNNTPServer.CommandGroup 0209 TIdNNTPServer.CommandIHave 0231 TIdNNTPServer.CommandLast 0259 TIdNNTPServer.CommandListOverview 02b9 TIdNNTPServer.CommandListExtensions 02e1 TIdNNTPServer.CommandList 0316 TIdNNTPServer.CommandListGroup 033e TIdNNTPServer.CommandModeReader 0366 TIdNNTPServer.CommandNewGroups 0397 TIdNNTPServer.CommandNewNews 03bf TIdNNTPServer.CommandNext 03e7 TIdNNTPServer.CommandPost 0445 TIdNNTPServer.CommandSlave 047a TIdNNTPServer.CommandStat 04a6 TIdNNTPServer.CommandXHdr 0510 TIdNNTPServer.CommandXOver 057a TIdNNTPServer.CommandXROver 05af TIdNNTPServer.CommandXPat 05ee TIdNNTPServer.CommandSTARTTLS 0605 TIdReplies.Add"
	strings:
		$1 = { 53 56 83 C4 F4 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA F4 01 00 00 E8 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA F6 01 00 00 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA F6 01 00 00 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA 5E 01 00 00 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA F5 01 00 00 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA 64 00 00 00 E8 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA 9B 01 00 00 E8 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 30 BA D7 00 00 00 E8 ?? ?? ?? ?? 8B 46 48 BA ?? ?? ?? ?? 8B 08 FF 51 38 C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA D7 00 00 00 E8 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA E7 00 00 00 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 1C 01 8B 46 30 BA CD 00 00 00 E8 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 04 24 C6 40 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 04 8B 44 24 04 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 04 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 44 24 04 C6 40 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 01 8B 46 30 BA DD 00 00 00 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 01 8B 46 30 BA E1 00 00 00 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA E0 00 00 00 E8 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA E0 00 00 00 E8 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA F4 01 00 00 E8 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA F4 01 00 00 E8 ?? ?? ?? ?? C6 46 42 01 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 89 44 24 08 8B 44 24 08 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 08 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 9B 44 01 00 00 B9 ?? ?? ?? ?? BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA C7 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA C8 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA C9 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA CA 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA CD 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA D7 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA DD 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA E0 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA E1 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA E7 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA EB 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA F0 00 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA 19 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA 4F 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA 54 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA 7D 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA 7E 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA 90 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA 93 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA 9B 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA 9C 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA A4 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA A5 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA A6 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA A7 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA AE 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA B3 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA B4 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA B5 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA B8 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA B9 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA C2 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA C4 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA E0 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA E2 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA E3 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA F4 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA F5 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA F6 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA F7 01 00 00 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA 44 02 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 52 00 54 00 49 00 43 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 55 00 54 00 48 00 49 00 4E 00 46 00 4F 00 20 00 55 00 53 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 55 00 54 00 48 00 49 00 4E 00 46 00 4F 00 20 00 50 00 41 00 53 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 41 00 55 00 54 00 48 00 49 00 4E 00 46 00 4F 00 20 00 53 00 49 00 4D 00 50 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 41 00 55 00 54 00 48 00 49 00 4E 00 46 00 4F 00 20 00 47 00 45 00 4E 00 45 00 52 00 49 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 4F 00 44 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 45 00 41 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 45 00 4C 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 47 00 52 00 4F 00 55 00 50 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 48 00 41 00 56 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 41 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 4C 00 49 00 53 00 54 00 20 00 4F 00 76 00 65 00 72 00 76 00 69 00 65 00 77 00 2E 00 66 00 6D 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 4C 00 49 00 53 00 54 00 20 00 4E 00 45 00 57 00 53 00 47 00 52 00 4F 00 55 00 50 00 53 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 4C 00 49 00 53 00 54 00 20 00 45 00 58 00 54 00 45 00 4E 00 53 00 49 00 4F 00 4E 00 53 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 49 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4C 00 49 00 53 00 54 00 47 00 52 00 4F 00 55 00 50 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 4F 00 44 00 45 00 20 00 52 00 45 00 41 00 44 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4E 00 45 00 57 00 47 00 52 00 4F 00 55 00 50 00 53 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4E 00 45 00 57 00 4E 00 45 00 57 00 53 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 45 00 58 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 51 00 55 00 49 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 4C 00 41 00 56 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 54 00 41 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 58 00 48 00 44 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 48 00 44 00 52 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 58 00 4F 00 56 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4F 00 56 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 58 00 52 00 4F 00 56 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 58 00 50 00 41 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 54 00 41 00 52 00 54 00 54 00 4C 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 68 00 65 00 6C 00 70 00 20 00 74 00 65 00 78 00 74 00 20 00 66 00 6F 00 6C 00 6C 00 6F 00 77 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 64 00 65 00 62 00 75 00 67 00 20 00 6F 00 75 00 74 00 70 00 75 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 73 00 65 00 72 00 76 00 65 00 72 00 20 00 72 00 65 00 61 00 64 00 79 00 20 00 2D 00 20 00 70 00 6F 00 73 00 74 00 69 00 6E 00 67 00 20 00 61 00 6C 00 6C 00 6F 00 77 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 73 00 65 00 72 00 76 00 65 00 72 00 20 00 72 00 65 00 61 00 64 00 79 00 20 00 2D 00 20 00 6E 00 6F 00 20 00 70 00 6F 00 73 00 74 00 69 00 6E 00 67 00 20 00 61 00 6C 00 6C 00 6F 00 77 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 73 00 6C 00 61 00 76 00 65 00 20 00 73 00 74 00 61 00 74 00 75 00 73 00 20 00 6E 00 6F 00 74 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 63 00 6C 00 6F 00 73 00 69 00 6E 00 67 00 20 00 63 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 2D 00 20 00 67 00 6F 00 6F 00 64 00 62 00 79 00 65 00 21 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 6C 00 69 00 73 00 74 00 20 00 6F 00 66 00 20 00 6E 00 65 00 77 00 73 00 67 00 72 00 6F 00 75 00 70 00 73 00 20 00 66 00 6F 00 6C 00 6C 00 6F 00 77 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 48 00 65 00 61 00 64 00 65 00 72 00 73 00 20 00 66 00 6F 00 6C 00 6C 00 6F 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 4F 00 76 00 65 00 72 00 76 00 69 00 65 00 77 00 20 00 69 00 6E 00 66 00 6F 00 72 00 6D 00 61 00 74 00 69 00 6F 00 6E 00 20 00 66 00 6F 00 6C 00 6C 00 6F 00 77 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 6C 00 69 00 73 00 74 00 20 00 6F 00 66 00 20 00 6E 00 65 00 77 00 20 00 6E 00 65 00 77 00 73 00 67 00 72 00 6F 00 75 00 70 00 73 00 20 00 66 00 6F 00 6C 00 6C 00 6F 00 77 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 61 00 72 00 74 00 69 00 63 00 6C 00 65 00 20 00 74 00 72 00 61 00 6E 00 73 00 66 00 65 00 72 00 72 00 65 00 64 00 20 00 6F 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 61 00 72 00 74 00 69 00 63 00 6C 00 65 00 20 00 70 00 6F 00 73 00 74 00 65 00 64 00 20 00 6F 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 61 00 63 00 63 00 65 00 70 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 38 00 00 00 73 00 65 00 6E 00 64 00 20 00 61 00 72 00 74 00 69 00 63 00 6C 00 65 00 20 00 74 00 6F 00 20 00 62 00 65 00 20 00 74 00 72 00 61 00 6E 00 73 00 66 00 65 00 72 00 72 00 65 00 64 00 2E 00 20 00 45 00 6E 00 64 00 20 00 }
	condition:
		$1
}

rule function_36436_0 {
	meta:
		name = "TIdNNTPServer.AuthRequired"
		size = 164
		refs = "000e TIdNNTPServer.AuthRequired 007e TIdReply.SetNumericCode"
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 8B 77 20 0F B6 05 ?? ?? ?? ?? 3A 83 68 01 00 00 74 10 66 83 BB 72 02 00 00 00 74 06 80 7E 48 00 74 04 33 C0 EB 02 B0 01 88 04 24 80 3C 24 00 74 58 66 83 BB 7A 02 00 00 00 74 1D 8B 47 24 50 8D 44 24 04 50 8B 47 04 8B 48 10 8B D6 8B 83 7C 02 00 00 FF 93 78 02 00 00 80 3C 24 00 74 2B 0F B6 05 ?? ?? ?? ?? 3A 83 68 01 00 00 75 0F 8B 47 18 BA C2 01 00 00 E8 ?? ?? ?? ?? EB 0D 8B 47 18 BA E0 01 00 00 E8 ?? ?? ?? ?? 0F B6 04 24 5A 5F 5E 5B C3 00 00 00 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_36437_0 {
	meta:
		name = "TIdNNTPServer.DoCheckMsgID"
		size = 38
	strings:
		$1 = { 53 51 33 DB 89 1C 24 66 83 B8 A2 01 00 00 00 74 0F 54 8B D8 8B 83 A4 01 00 00 FF 93 A0 01 00 00 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_36438_0 {
	meta:
		name = "TIdNNTPServer.DoCheckMsgNo"
		size = 60
		refs = "0014 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 66 83 BB AA 01 00 00 00 74 12 56 8B 4D FC 8B D7 8B 83 AC 01 00 00 FF 93 A8 01 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_36439_0 {
	meta:
		name = "TIdNNTPServer.RawNavigate"
		size = 80
		refs = "000d @UStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 8B C6 E8 ?? ?? ?? ?? 8B 43 5C 89 45 FC 83 7D FC 00 7E 2C 66 83 7D 0A 00 74 0C 56 8D 4D FC 8B D3 8B 45 0C FF 55 08 8B 45 FC 3B 43 5C 74 11 83 7D FC 00 7E 0B 83 3E 00 74 06 8B 45 FC 89 43 5C 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_36440_0 {
	meta:
		name = "TIdNNTPServer.SetHelp"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 5C 01 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_36441_0 {
	meta:
		name = "TIdNNTPServer.SetDistributionPatterns"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 60 01 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_36442_0 {
	meta:
		name = "TIdNNTPContext.Create"
		size = 72
		refs = "000d @ClassCreate 0022 TIdContext.Create 0032 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 5C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_36443_0 {
	meta:
		name = "TIdNNTPContext.GenerateAuthEmail"
		size = 276
		refs = "0013 TIdNNTPContext.GenerateAuthEmail 0024 @UStrClr 005e @UStrLAsg 0082 GStack 009b @HandleAnyException 00a8 @DoneExcept 00d7 @UStrCatN 00f1 @UStrArrayClr 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 C0 50 E8 ?? ?? ?? ?? 8B 45 F4 83 78 6C 00 0F 84 A6 00 00 00 8B 45 F4 8B 40 14 8B 98 B0 00 00 00 85 DB 0F 84 92 00 00 00 8B B3 D8 00 00 00 85 F6 0F 84 84 00 00 00 8D 45 FC 8B 56 1C E8 ?? ?? ?? ?? 83 7D FC 00 74 73 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 0F B6 8B 06 01 00 00 A1 ?? ?? ?? ?? 8B 00 8B 55 FC 8B 18 FF 53 28 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 75 0B 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 FF 70 6C 68 ?? ?? ?? ?? FF 75 F8 8B 45 F4 83 C0 50 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_36444_0 {
	meta:
		name = "TIdNNTPContext.GetUsingTLS"
		size = 42
		refs = "0011 _Dn_TIdSSLIOHandlerSocketBase 0016 @IsClass"
		altNames = "TIdPOP3ServerContext.GetUsingTLS TIdSMTPServerContext.GetUsingTLS"
	strings:
		$1 = { 53 56 8B D8 8B 43 14 8B B0 98 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 0F B6 86 08 01 00 00 34 01 5E 5B C3 }
	condition:
		$1
}

rule function_36445_0 {
	meta:
		name = "TIdNNTPServer.SetOverviewFormat"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 64 01 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_36446_0 {
	meta:
		name = "TIdNNTPServer.CommandAuthInfoPassword"
		size = 296
		refs = "0016 TIdNNTPServer.CommandAuthInfoPassword 0025 TIdNNTPServer.SecLayerRequired 0068 @UStrClr 00a0 @UStrAsg 00c6 TIdNNTPContext.GenerateAuthEmail 00d3 TIdReply.SetNumericCode 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 D3 00 00 00 F6 83 68 01 00 00 01 0F 84 B9 00 00 00 66 83 BB 72 02 00 00 00 0F 84 AB 00 00 00 8B 46 0C 8B 10 FF 52 14 48 0F 85 8D 00 00 00 8B 46 20 89 45 FC 8B 45 FC 83 C0 4C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 54 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 50 E8 ?? ?? ?? ?? 8B 45 FC C6 40 58 00 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 55 F8 8B 45 FC 83 C0 68 E8 ?? ?? ?? ?? 8B 45 FC 8D 48 48 8B 55 FC 8B 83 74 02 00 00 FF 93 70 02 00 00 8B 45 FC 80 78 48 00 74 17 8B 45 FC E8 ?? ?? ?? ?? BA 19 01 00 00 8B 46 18 E8 ?? ?? ?? ?? EB 2B BA E2 01 00 00 8B 46 18 E8 ?? ?? ?? ?? EB 1C BA E2 01 00 00 8B 46 18 E8 ?? ?? ?? ?? EB 0D BA F4 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_36447_0 {
	meta:
		name = "TIdNNTPServer.CommandAuthInfoUser"
		size = 296
		refs = "0016 TIdNNTPServer.CommandAuthInfoUser 0025 TIdNNTPServer.SecLayerRequired 0068 @UStrClr 00a0 @UStrAsg 00c6 TIdNNTPContext.GenerateAuthEmail 00d3 TIdReply.SetNumericCode 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 D3 00 00 00 F6 83 68 01 00 00 01 0F 84 B9 00 00 00 66 83 BB 72 02 00 00 00 0F 84 AB 00 00 00 8B 46 0C 8B 10 FF 52 14 48 0F 85 8D 00 00 00 8B 46 20 89 45 FC 8B 45 FC 83 C0 4C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 54 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 50 E8 ?? ?? ?? ?? 8B 45 FC C6 40 58 00 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 55 F8 8B 45 FC 83 C0 6C E8 ?? ?? ?? ?? 8B 45 FC 8D 48 48 8B 55 FC 8B 83 74 02 00 00 FF 93 70 02 00 00 8B 45 FC 80 78 48 00 74 17 8B 45 FC E8 ?? ?? ?? ?? BA 19 01 00 00 8B 46 18 E8 ?? ?? ?? ?? EB 2B BA 7D 01 00 00 8B 46 18 E8 ?? ?? ?? ?? EB 1C BA E2 01 00 00 8B 46 18 E8 ?? ?? ?? ?? EB 0D BA F4 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_36448_0 {
	meta:
		name = "TIdNNTPServer.CommandAuthInfoSimple"
		size = 488
		refs = "001c TIdNNTPServer.CommandAuthInfoSimple 0055 _Dn_TIdReplyRFC 005a TIdReply.Create 0078 TIdReply.SetNumericCode 00c5 TObject.Free 00cb @HandleFinally 00e3 TIdIOHandler.ReadLn 00ee @UStrClr 0120 Fetch 012e @UStrAsg 0139 Trim 0170 TIdNNTPContext.GenerateAuthEmail 01be @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 C9 89 4D E4 89 4D E8 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 F6 80 68 01 00 00 02 0F 84 62 01 00 00 8B 45 F8 66 83 B8 72 02 00 00 00 0F 84 51 01 00 00 8B 45 F4 8B 40 20 89 45 EC 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA 5E 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 44 01 00 00 8B 55 F0 8B 08 FF 51 30 6A 00 8B 45 F0 8B 10 FF 52 28 8B D0 8B 45 EC 8B 40 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8D 4D FC 8B 45 EC 8B 40 14 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 EC 83 C0 4C E8 ?? ?? ?? ?? 8B 45 EC 83 C0 54 E8 ?? ?? ?? ?? 8B 45 EC 83 C0 50 E8 ?? ?? ?? ?? 8B 45 EC C6 40 58 01 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC 83 C0 6C E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 EC 83 C0 68 E8 ?? ?? ?? ?? 8B 45 EC 8D 48 48 8B 5D F8 8B 55 EC 8B 83 74 02 00 00 FF 93 70 02 00 00 8B 45 EC 80 78 48 00 74 1A 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 18 BA FA 00 00 00 E8 ?? ?? ?? ?? EB 22 8B 45 F4 8B 40 18 BA C4 01 00 00 E8 ?? ?? ?? ?? EB 10 8B 45 F4 8B 40 18 BA F4 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36449_0 {
	meta:
		name = "TIdNNTPServer.CommandAuthInfoGeneric"
		size = 396
		refs = "0014 TIdNNTPServer.CommandAuthInfoGeneric 0043 Trim 0059 IndyPos 0091 Fetch 009c @UStrAsg 00ba @UStrClr 00ec TIdNNTPContext.GenerateAuthEmail 00fc TIdReply.SetNumericCode 014c @UStrArrayClr 015a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 83 68 01 00 00 04 0F 84 FB 00 00 00 66 83 BB 72 02 00 00 00 0F 84 ED 00 00 00 8D 55 FC 8B 45 F8 8B 40 24 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 19 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 85 C0 0F 94 C0 EB 02 33 C0 84 C0 0F 84 9A 00 00 00 8B 45 F8 8B 70 20 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 46 4C E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 46 54 E8 ?? ?? ?? ?? 8D 46 50 E8 ?? ?? ?? ?? C6 46 58 02 8D 46 6C E8 ?? ?? ?? ?? 8D 46 68 E8 ?? ?? ?? ?? 8D 4E 48 8B D6 8B 83 74 02 00 00 FF 93 70 02 00 00 80 7E 48 00 74 19 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 18 BA 19 01 00 00 E8 ?? ?? ?? ?? EB 34 8B 45 F8 8B 40 18 BA F6 01 00 00 E8 ?? ?? ?? ?? EB 22 8B 45 F8 8B 40 18 BA F5 01 00 00 E8 ?? ?? ?? ?? EB 10 8B 45 F8 8B 40 18 BA F4 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36450_0 {
	meta:
		name = "TIdNNTPServer.SecLayerRequired"
		size = 95
		refs = "0015 _Dn_TIdSSLIOHandlerSocketBase 001a @IsClass 0055 TIdReply.SetNumericCode"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B 46 20 8B 40 14 8B 80 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 35 80 BF 54 01 00 00 02 75 15 8B 46 20 8B 40 14 8B 80 98 00 00 00 80 B8 08 01 00 00 00 75 04 33 DB EB 02 B3 01 84 DB 74 0D BA E3 01 00 00 8B 46 18 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36451_0 {
	meta:
		name = "TIdNNTPServer.LookupMessage"
		size = 400
		refs = "001c TIdNNTPServer.LookupMessage 0034 Trim 003c @UStrClr 0049 TextStartsWith 006a TIdReply.SetNumericCode 0080 TIdNNTPServer.DoCheckMsgID 00aa @UStrAsg 00ec IndyStrToInt 010c TIdNNTPServer.DoCheckMsgNo 016d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D EC 89 5D FC 89 4D F4 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8B 73 20 8D 55 FC 8B 43 24 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 22 8B 56 60 85 D2 74 05 83 EA 04 8B 12 85 D2 75 12 BA 9C 01 00 00 8B 43 18 E8 ?? ?? ?? ?? E9 DB 00 00 00 84 C0 74 40 8B 4D FC 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 89 02 8B 45 F4 83 38 00 7F 12 BA AE 01 00 00 8B 43 18 E8 ?? ?? ?? ?? E9 AB 00 00 00 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? C6 45 F3 01 E9 97 00 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 75 1F 8B 46 5C 8B 55 F4 89 02 8B 45 F4 83 38 00 7F 73 BA A4 01 00 00 8B 43 18 E8 ?? ?? ?? ?? EB 68 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 89 02 8B 45 F4 83 38 00 7E 1E 8D 45 EC 50 8B 4D F4 8B 09 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 8B 00 89 45 E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0F BA A7 01 00 00 8B 43 18 E8 ?? ?? ?? ?? EB 0C 8B 45 F4 8B 00 89 46 5C C6 45 F3 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F3 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 }
	condition:
		$1
}

rule function_36452_0 {
	meta:
		name = "TIdNNTPServer.LookupMessageRange"
		size = 392
		refs = "001c TIdNNTPServer.LookupMessageRange 004c TIdReply.SetNumericCode 005b Trim 007a IndyPos 00a3 Fetch 00ad IndyStrToInt 00ee @UStrLAsg 0156 @UStrArrayClr 015e @UStrClr 0164 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 F8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 F8 8B 78 20 8B 47 60 85 C0 74 05 83 E8 04 8B 00 85 C0 75 15 8B 45 F8 8B 40 18 BA 9C 01 00 00 E8 ?? ?? ?? ?? E9 EB 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 75 09 33 DB 8B 47 5C 89 06 EB 49 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 48 0F 9F C3 84 DB 74 23 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 89 06 EB 0C 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 06 83 3E 00 7F 12 8B 45 F8 8B 40 18 BA A4 01 00 00 E8 ?? ?? ?? ?? EB 68 84 DB 74 59 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 75 09 8B 45 08 33 D2 89 10 EB 31 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 89 02 8B 45 08 8B 00 3B 06 7D 19 8B 45 F8 8B 40 18 BA F5 01 00 00 E8 ?? ?? ?? ?? EB 0B 8B 06 8B 55 08 89 02 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_36453_0 {
	meta:
		name = "TIdNNTPServer.LookupMessageRangeOrID"
		size = 212
		refs = "001a TIdNNTPServer.LookupMessageRangeOrID 0033 Trim 0040 TextStartsWith 0050 TIdNNTPServer.DoCheckMsgID 0064 TIdReply.SetNumericCode 007b @UStrAsg 0094 TIdNNTPServer.LookupMessageRange 00ab @UStrClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 F8 8B 78 20 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3B 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 85 C0 7F 12 8B 45 F8 8B 40 18 BA AE 01 00 00 E8 ?? ?? ?? ?? EB 30 8B 55 10 89 02 8B 55 0C 89 02 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? B3 01 EB 17 8B 45 10 50 8B 45 0C 50 8B 4D FC 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 }
	condition:
		$1
}

rule function_36456_0 {
	meta:
		name = "GetDomain"
		size = 132
		refs = "000d GetDomain 0012 Pos 0029 @UStrCopy 004f @UStrAsg"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 8B D8 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 83 FE FF 7E 2A 57 8B CE 49 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B FB 85 FF 74 05 83 EF 04 8B 3F 55 8D 56 01 8B CF 8B C3 E8 ?? ?? ?? ?? EB 15 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C5 8B D3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36457_0 {
	meta:
		name = "NTLMFunctionsLoaded"
		size = 46
		refs = "0001 Load 000a DES_set_odd_parity 0014 DES_set_key 001e DES_ecb_encrypt"
	strings:
		$1 = { E8 ?? ?? ?? ?? 84 C0 74 24 A1 ?? ?? ?? ?? 83 38 00 74 14 A1 ?? ?? ?? ?? 83 38 00 74 0A A1 ?? ?? ?? ?? 83 38 00 75 04 33 C0 EB 02 B0 01 C3 }
	condition:
		$1
}

rule function_36458_0 {
	meta:
		name = "setup_des_key"
		size = 204
		refs = "00ab DES_set_odd_parity 00bb DES_set_key"
	strings:
		$1 = { 56 57 83 C4 F0 8B F0 8D 3C 24 A5 A5 8B F2 8B FC 0F B6 07 88 44 24 08 C1 E0 07 24 FF 0F B6 57 01 0F B6 CA D1 E9 0A C1 88 44 24 09 C1 E2 06 80 E2 FF 0F B6 47 02 0F B6 C8 C1 E9 02 0A D1 88 54 24 0A C1 E0 05 24 FF 0F B6 57 03 0F B6 CA C1 E9 03 0A C1 88 44 24 0B C1 E2 04 80 E2 FF 0F B6 47 04 C1 E8 04 0A D0 88 54 24 0C 0F B6 47 04 03 C0 03 C0 03 C0 24 FF 0F B6 57 05 C1 EA 05 0A C2 88 44 24 0D 0F B6 47 05 03 C0 03 C0 24 FF 0F B6 57 06 C1 EA 06 0A C2 88 44 24 0E 0F B6 47 06 03 C0 24 FF 88 44 24 0F 8D 44 24 08 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 56 8D 44 24 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_36459_0 {
	meta:
		name = "calc_resp"
		size = 167
		refs = "0017 setup_des_key 0025 Move 0037 DES_ecb_encrypt"
	strings:
		$1 = { 53 56 57 55 81 C4 38 FF FF FF 8B F1 8B FA 8B D8 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 8B C7 8B D4 B9 08 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 44 24 0C 50 56 8D 44 24 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 10 8D 54 24 08 8B FB 8B C7 83 C0 07 E8 ?? ?? ?? ?? 6A 01 8D 44 24 0C 50 8B EE 8B C5 83 C0 08 50 8D 44 24 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 10 8D 54 24 08 83 C7 0E 8B C7 E8 ?? ?? ?? ?? 6A 01 8D 44 24 0C 50 83 C5 10 55 8D 44 24 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 10 81 C4 C8 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36460_0 {
	meta:
		name = "SetupLanManagerPassword"
		size = 376
		refs = "0021 SetupLanManagerPassword 0034 UpperCase 0047 @LStrFromUStr 005d @LStrCopy 0077 @UniqueStringA 0081 Move 00aa setup_des_key 00bc Magic 00c1 DES_ecb_encrypt 0109 @FillChar 011a calc_resp 012a TArray<System.Byte> 012f @DynArraySetLength 015f @UStrClr 0167 @LStrClr 016d @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 33 DB 89 9D F4 FE FF FF 89 5D FC 89 4D F4 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 F4 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 50 B9 0E 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 12 8D 45 FC E8 ?? ?? ?? ?? 8D 55 D1 8B CB E8 ?? ?? ?? ?? 83 FB 0E 7D 16 8D 53 01 83 FA 0E 7F 0E 8D 44 15 D0 C6 00 00 42 40 83 FA 0F 75 F6 8D 95 11 FF FF FF 8D 45 D1 E8 ?? ?? ?? ?? 6A 01 8D 85 11 FF FF FF 50 8D 45 DF 50 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 10 8D 95 11 FF FF FF 8D 45 D1 83 C0 07 E8 ?? ?? ?? ?? 6A 01 8D 85 11 FF FF FF 50 8D 45 DF 83 C0 08 50 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 10 8D 45 EF 33 C9 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 8D F9 FE FF FF 8D 45 DF 8B 55 F8 E8 ?? ?? ?? ?? 6A 18 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 F4 8B 12 8D 85 F9 FE FF FF B9 18 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_36461_0 {
	meta:
		name = "BuildUnicode"
		size = 96
		refs = "000f BuildUnicode 001a TEncoding.GetUnicode 0024 TEncoding.GetBytes 002f TArray<System.Byte> 0034 @DynArrayAsg 004f @DynArrayClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69633_0 {
	meta:
		name = "BytesOf"
		size = 96
		refs = "000f BytesOf 001a TEncoding.GetANSI 0024 TEncoding.GetBytes 002f TArray<System.Byte> 0034 @DynArrayAsg 004f @DynArrayClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69637_0 {
	meta:
		name = "PlatformBytesOf"
		size = 96
		refs = "000f PlatformBytesOf 001a TEncoding.GetUnicode 0024 TEncoding.GetBytes 002f TArray<System.Byte> 0034 @DynArrayAsg 004f @DynArrayClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69640_0 {
	meta:
		name = "WideBytesOf"
		size = 96
		refs = "000f WideBytesOf 001a TEncoding.GetUnicode 0024 TEncoding.GetBytes 002f TArray<System.Byte> 0034 @DynArrayAsg 004f @DynArrayClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36462_0 {
	meta:
		name = "CreateNTPassword"
		size = 245
		refs = "0018 CreateNTPassword 0023 CheckMD4Permitted 002a _Dn_TIdHashMessageDigest4 002f TIdHashMessageDigest4.Create 0049 TEncoding.GetUnicode 0055 TIdHash.HashString 006a TObject.Free 0070 @HandleFinally 0082 Move 0091 @FillChar 009f calc_resp 00af TArray<System.Byte> 00b4 @DynArraySetLength 00e4 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 33 DB 89 5D FC 89 4D F4 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 DB 8B 45 FC B9 10 00 00 00 E8 ?? ?? ?? ?? 8D 45 EB 33 C9 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 4D C3 8D 45 DB 8B 55 F8 E8 ?? ?? ?? ?? 6A 18 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 F4 8B 12 8D 45 C3 B9 18 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_36463_0 {
	meta:
		name = "BuildType1Message"
		size = 408
		refs = "0028 BuildType1Message 0038 UpperCase 0043 IndyASCIIEncoding 004e ToBytes 007c @FillChar 0089 cProtocolStr 008e StrPLCopy 0099 MSG1_FLAGS 00a5 @DynArrayLength 00cf HostToLittleEndian 012a RawToBytes 0139 AppendBytes 0153 _Dn_TIdEncoderMIME 0158 TIdEncoder.EncodeBytes 0172 @UStrArrayClr 017b TArray<System.Byte> 0185 @FinalizeArray 018b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D C8 89 5D CC 89 5D FC 89 5D F8 89 5D F4 89 4D F0 8B FA 8B F0 8D 5D D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 CC 8B C6 E8 ?? ?? ?? ?? 8B 45 CC 50 B0 01 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 58 E8 ?? ?? ?? ?? 8D 55 C8 8B C7 E8 ?? ?? ?? ?? 8B 45 C8 50 B0 01 E8 ?? ?? ?? ?? 8B D0 8D 4D F8 58 E8 ?? ?? ?? ?? 8B C3 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 8B C3 B9 08 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 08 01 0F B7 05 ?? ?? ?? ?? 66 89 43 0C 8B 45 FC E8 ?? ?? ?? ?? 66 89 43 10 C7 43 14 20 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 66 89 43 18 0F B7 43 10 03 43 14 89 43 1C 0F B6 43 08 E8 ?? ?? ?? ?? 88 43 08 0F B7 43 0C E8 ?? ?? ?? ?? 66 89 43 0C 0F B7 43 10 E8 ?? ?? ?? ?? 8B F0 66 89 73 10 66 89 73 12 8B 43 14 E8 ?? ?? ?? ?? 89 43 14 0F B7 43 18 E8 ?? ?? ?? ?? 8B F0 66 89 73 18 66 89 73 1A 8B 43 1C E8 ?? ?? ?? ?? 89 43 1C 8D 4D F4 8B C3 BA 20 00 00 00 E8 ?? ?? ?? ?? 6A FF 8D 45 F4 33 C9 8B 55 FC E8 ?? ?? ?? ?? 6A FF 8D 45 F4 33 C9 8B 55 F8 E8 ?? ?? ?? ?? 8B 4D F0 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_36464_0 {
	meta:
		name = "BuildType3Message"
		size = 825
		refs = "002d BuildType3Message 003f SetupLanManagerPassword 004b CreateNTPassword 0056 UpperCase 005b TEncoding.GetUnicode 0066 TEncoding.GetBytes 0072 TArray<System.Byte> 0077 @DynArrayAsg 00d6 @UStrLAsg 011b cProtocolStr 0120 StrPLCopy 012f @DynArrayLength 01aa MSG3_FLAGS 01b5 HostToLittleEndian 0286 RawToBytes 0295 AppendBytes 02dc _Dn_TIdEncoderMIME 02e1 TIdEncoder.EncodeBytes 0304 @FinalizeArray 0311 @UStrArrayClr 032a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 10 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D C4 89 55 C8 89 45 CC 8B 7D 0C 8B 75 10 8D 5D 84 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 4D F4 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 CC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D 80 8B 55 D8 E8 ?? ?? ?? ?? 8B 55 80 8D 45 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 55 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D4 8B 45 C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 8D 7C FF FF FF 8B 55 D4 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8D 45 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 8B 55 C4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 8D 78 FF FF FF 8B 55 D0 E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8D 45 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 55 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 B9 08 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 43 08 03 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 66 89 43 0C C7 43 10 40 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 66 89 43 14 0F B7 43 0C 03 43 10 89 43 18 8B 45 F0 E8 ?? ?? ?? ?? 66 89 43 1C 0F B7 43 14 03 43 18 89 43 20 8B 45 E8 E8 ?? ?? ?? ?? 66 89 43 24 0F B7 43 1C 03 43 20 89 43 28 8B 45 EC E8 ?? ?? ?? ?? 66 89 43 2C 0F B7 43 24 03 43 28 89 43 30 66 C7 43 34 00 00 0F B7 43 24 0F B7 53 2C 03 C2 89 43 38 A1 ?? ?? ?? ?? 89 43 3C 8B 43 08 E8 ?? ?? ?? ?? 89 43 08 0F B7 43 0C E8 ?? ?? ?? ?? 8B F0 66 89 73 0C 66 89 73 0E 8B 43 10 E8 ?? ?? ?? ?? 89 43 10 0F B7 43 14 E8 ?? ?? ?? ?? 8B F0 66 89 73 14 66 89 73 16 8B 43 18 E8 ?? ?? ?? ?? 89 43 18 0F B7 43 1C E8 ?? ?? ?? ?? 8B F0 66 89 73 1C 66 89 73 1E 8B 43 20 E8 ?? ?? ?? ?? 89 43 20 0F B7 43 24 E8 ?? ?? ?? ?? 8B F0 66 89 73 24 66 89 73 26 8B 43 28 E8 ?? ?? ?? ?? 89 43 28 0F B7 43 2C E8 ?? ?? ?? ?? 8B F0 66 89 73 2C 66 89 73 2E 8B 43 30 E8 ?? ?? ?? ?? 89 43 30 0F B7 43 34 E8 ?? ?? ?? ?? 8B F0 66 89 73 34 66 89 73 36 8B 43 38 E8 ?? ?? ?? ?? 89 43 38 8B 43 3C E8 ?? ?? ?? ?? 89 43 3C 8D 4D FC 8B C3 BA 40 00 00 00 E8 ?? ?? ?? ?? 6A FF 8D 45 FC 33 C9 8B 55 F8 E8 ?? ?? ?? ?? 6A FF 8D 45 FC 33 C9 8B 55 F4 E8 ?? ?? ?? ?? 6A FF 8D 45 FC 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 6A FF 8D 45 FC 33 C9 8B 55 E8 E8 ?? ?? ?? ?? 6A FF 8D 45 FC 33 C9 8B 55 EC E8 ?? ?? ?? ?? 8B 4D 08 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_36469_0 {
	meta:
		name = "EnsureValidCharsByValidSet"
		size = 167
		refs = "001e EnsureValidCharsByValidSet 002b @UStrClr 004f CharIsInSet 0063 @UStrFromWChar 006d @UStrCat 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 40 BB 01 00 00 00 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1C 8D 45 F0 8B 55 FC 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? EB 0A 8B C7 8B 55 F4 E8 ?? ?? ?? ?? 43 4E 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_36470_0 {
	meta:
		name = "EnsureValidCharsByInvalidSet"
		size = 167
		refs = "001e EnsureValidCharsByInvalidSet 002b @UStrClr 004f CharIsInSet 0063 @UStrFromWChar 006d @UStrCat 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 40 BB 01 00 00 00 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 1C 8D 45 F0 8B 55 FC 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? EB 0A 8B C7 8B 55 F4 E8 ?? ?? ?? ?? 43 4E 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_36471_0 {
	meta:
		name = "FileNameUnixToVMS"
		size = 424
		refs = "0017 FileNameUnixToVMS 002d CharRange 0055 @UStrCatN 005e UpperCase 0072 Fetch 00a6 @UStrLAsg 00bc @UStrCopy 00d0 EnsureValidCharsByValidSet 011a @UStrAsg 0150 @UStrArrayClr 0156 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 66 BA 5A 00 66 B8 41 00 E8 ?? ?? ?? ?? FF 75 F0 8D 4D EC 66 BA 39 00 66 B8 30 00 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 6A 01 8D 45 FC 50 8B C3 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8B C3 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 50 B9 27 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E4 50 B9 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 B9 27 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E0 50 B9 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F8 E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 83 7D F8 00 74 16 FF 33 68 ?? ?? ?? ?? FF 75 F8 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 5F 00 2D 00 24 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 }
	condition:
		$1
}

rule function_36472_0 {
	meta:
		name = "FileNameVMSToUnix"
		size = 124
		refs = "000f FileNameVMSToUnix 001e @UStrAsg 0032 Fetch 0045 LowerCase 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B D6 E8 ?? ?? ?? ?? 6A 01 8D 45 FC 50 8B C3 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_36474_0 {
	meta:
		name = "FileNameUnixToMSDOS"
		size = 408
		refs = "0015 FileNameUnixToMSDOS 002b CharRange 0058 @UStrCatN 0061 UpperCase 0075 Fetch 008b @UStrCopy 009f EnsureValidCharsByValidSet 00e8 @UStrLAsg 00f2 @UStrAsg 0128 @UStrArrayClr 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 66 BA 5A 00 66 B8 41 00 E8 ?? ?? ?? ?? FF 75 F0 8D 4D EC 66 BA 39 00 66 B8 30 00 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 6A 01 8D 45 FC 50 8B C3 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 B9 08 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 50 B9 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8B C3 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 B9 03 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E8 50 B9 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 83 7D F8 00 74 16 FF 33 68 ?? ?? ?? ?? FF 75 F8 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 5F 00 24 00 7E 00 21 00 23 00 25 00 26 00 2D 00 7B 00 7D 00 28 00 29 00 40 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 B4 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 }
	condition:
		$1
}

rule function_36475_0 {
	meta:
		name = "FileNameUnixToWin32"
		size = 188
		refs = "0009 FileNameUnixToWin32 0015 EnsureValidCharsByInvalidSet 0039 CharIsInSet 005b @UStrDelete 006c @UStrAsg"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 53 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 3B 00 74 52 8B 03 89 04 24 8B 34 24 85 F6 74 05 83 EE 04 8B 36 8B 03 B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 84 C0 74 2F 8B 03 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B D3 B9 01 00 00 00 92 E8 ?? ?? ?? ?? 83 3B 00 75 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 22 00 2A 00 2F 00 3A 00 3C 00 3E 00 3F 00 5C 00 7C 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_36477_0 {
	meta:
		name = "FileNameUnixToVMCMS"
		size = 372
		refs = "0015 FileNameUnixToVMCMS 002b CharRange 0053 @UStrCatN 005c UpperCase 0070 Fetch 0084 EnsureValidCharsByValidSet 009a @UStrCopy 00cd @UStrLAsg 00ed @UStrAsg 0123 @UStrArrayClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 66 BA 5A 00 66 B8 41 00 E8 ?? ?? ?? ?? FF 75 F0 8D 4D EC 66 BA 39 00 66 B8 30 00 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 6A 01 8D 45 FC 50 8B C3 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 B9 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 50 B9 08 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8B C3 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 50 B9 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 50 B9 08 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 83 7D F8 00 74 16 FF 33 68 ?? ?? ?? ?? FF 75 F8 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 40 00 23 00 24 00 2B 00 2D 00 3A 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 }
	condition:
		$1
}

rule function_36479_0 {
	meta:
		name = "FileNameUnixToMUSICSP"
		size = 368
		refs = "0016 FileNameUnixToMUSICSP 002c CharRange 0054 @UStrCatN 0074 @UStrCat3 007d UpperCase 0090 EnsureValidCharsByValidSet 009a @UStrAsg 00ac @UStrCopy 00c0 CharIsInSet 00e9 @UStrDelete 00f2 @UniqueStringU 0111 @UStrArrayClr 0117 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 66 BA 5A 00 66 B8 41 00 E8 ?? ?? ?? ?? FF 75 F4 8D 4D F0 66 BA 39 00 66 B8 30 00 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 4D EC 66 BA 39 00 66 B8 30 00 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 03 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 53 8B 03 B9 0F 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 3B 00 74 46 8B 03 8B 4D F8 BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 33 8B 03 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 48 7E 13 8B C3 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 0C 8B C3 E8 ?? ?? ?? ?? 66 C7 00 5F 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 24 00 23 00 40 00 5F 00 2B 00 2D 00 2E 00 25 00 26 00 21 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2B 00 2D 00 2E 00 25 00 21 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 }
	condition:
		$1
}

rule function_36481_0 {
	meta:
		name = "FileNameUnixToMVS"
		size = 552
		refs = "0026 FileNameUnixToMVS 003c CharRange 0064 @UStrCatN 0091 UpperCase 0098 @UStrClr 00ad Fetch 00c3 CharIsInSet 00d9 @UStrDelete 00f8 EnsureValidCharsByValidSet 0103 @UStrLAsg 0119 @UStrCopy 01d2 @UStrArrayClr 01e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 88 4D EB 89 55 EC 8B F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E4 66 BA 39 00 66 B8 30 00 E8 ?? ?? ?? ?? FF 75 E4 8D 4D E0 66 BA 5A 00 66 B8 41 00 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 4D F0 66 BA 5A 00 66 B8 41 00 E8 ?? ?? ?? ?? 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 BE 2B 00 00 00 2B F0 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 01 8D 45 FC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 2E 8B 4D F0 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 1A 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 02 EB D2 83 7D FC 00 74 1C 8D 45 DC 50 33 C9 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC 50 B9 08 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 69 FF 33 68 ?? ?? ?? ?? FF 75 FC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 3B 00 74 19 8B 03 66 83 38 2E 75 11 8B C3 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 03 89 45 D8 8B 45 D8 85 C0 74 05 83 E8 04 8B 00 3B F0 7D 04 B0 01 EB 07 83 7D F8 00 0F 94 C0 84 C0 74 11 53 8B 03 8B CE BA 01 00 00 00 E8 ?? ?? ?? ?? EB 0A 83 7D F8 00 0F 85 06 FF FF FF 80 7D EB 00 74 20 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? 8B C3 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 03 00 00 00 40 00 24 00 23 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 }
	condition:
		$1
}

rule function_36483_0 {
	meta:
		name = "MPEiXValidateFIlePart"
		size = 296
		refs = "0016 @UStrAddRef 001e MPEiXValidateFIlePart 0034 CharRange 0052 @UStrCat3 005c UpperCase 0062 IndyPos 0084 Fetch 008e @UStrAsg 00a3 EnsureValidCharsByValidSet 00bc CharIsInSet 00d1 @UStrDelete 00ea @UStrCopy 0104 @UStrArrayClr 010a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 66 BA 5A 00 66 B8 41 00 E8 ?? ?? ?? ?? 8D 4D F0 66 BA 39 00 66 B8 30 00 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 13 B8 ?? ?? ?? ?? FF D6 48 7E 1E 6A 01 8D 45 EC 50 8B C3 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 83 3B 00 74 45 8D 45 E8 50 8B 03 33 C9 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 03 8B 4D F8 BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 18 8B C3 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 3B 00 74 02 EB D5 53 8B 03 B9 08 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36484_0 {
	meta:
		name = "FileNameUnixToMPEiXTraditional"
		size = 180
		refs = "001c FileNameUnixToMPEiXTraditional 002b MPEiXValidateFIlePart 0051 @UStrCatN 008d @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 3D FF 33 68 ?? ?? ?? ?? FF 75 FC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 FF 33 68 ?? ?? ?? ?? FF 75 FC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36485_0 {
	meta:
		name = "FileNameUnixToMPEiXHFS"
		size = 396
		refs = "001c FileNameUnixToMPEiXHFS 0032 CharRange 006d @UStrCatN 007a @UStrLAsg 0083 @UStrAsg 009b EnsureValidCharsByValidSet 00b4 CharIsInSet 00c9 @UStrDelete 00e2 @UStrCat3 0104 @UStrCopy 011e @UStrArrayClr 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 66 BA 7A 00 66 B8 61 00 E8 ?? ?? ?? ?? FF 75 F4 8D 4D F0 66 BA 5A 00 66 B8 41 00 E8 ?? ?? ?? ?? FF 75 F0 8D 4D EC 66 BA 39 00 66 B8 30 00 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B D6 E8 ?? ?? ?? ?? 83 3F 00 74 48 8D 45 E8 50 8B 07 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E8 8B C7 E8 ?? ?? ?? ?? 8B 07 8B 4D F8 BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 18 8B C7 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 3F 00 74 02 EB D5 84 DB 74 10 8B 0F 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8B 0F 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 57 8B 07 B9 FF 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 5F 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_36486_0 {
	meta:
		name = "FileNameUnixToOS9"
		size = 292
		refs = "0015 FileNameUnixToOS9 002b CharRange 004b @UStrCat3 0074 @UStrAsg 008c EnsureValidCharsByValidSet 00a5 CharIsInSet 00ba @UStrDelete 00d3 @UStrCopy 00ed @UStrArrayClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 66 BA 5A 00 66 B8 41 00 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 4D F0 66 BA 7A 00 66 B8 61 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC 59 E8 ?? ?? ?? ?? 8D 4D EC 66 BA 39 00 66 B8 30 00 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B D6 E8 ?? ?? ?? ?? 83 3B 00 74 48 8D 45 E8 50 8B 03 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 03 8B 4D FC BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 18 8B C3 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 3B 00 74 02 EB D5 53 8B 03 B9 1D 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5F 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 }
	condition:
		$1
}

rule function_36489_0 {
	meta:
		name = "ReverseEndian"
		size = 47
	strings:
		$1 = { BA 00 00 00 FF 23 D0 C1 EA 18 B9 00 00 FF 00 23 C8 C1 E9 08 0B D1 B9 00 FF 00 00 23 C8 C1 E1 08 0B D1 25 FF 00 00 00 C1 E0 18 0B D0 8B C2 C3 }
	condition:
		$1
}

rule function_36490_0 {
	meta:
		name = "ReverseEndian"
		size = 276
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 08 8B 55 0C 81 E0 00 00 00 FF 33 D2 0F AC D0 18 C1 EA 18 52 50 8B 45 08 8B 55 0C 81 E0 00 00 FF 00 33 D2 0F AC D0 08 C1 EA 08 0B 04 24 0B 54 24 04 83 C4 08 52 50 8B 45 08 8B 55 0C 81 E0 00 FF 00 00 33 D2 0F A4 C2 08 C1 E0 08 0B 04 24 0B 54 24 04 83 C4 08 52 50 8B 45 08 8B 55 0C 81 E0 FF 00 00 00 33 D2 0F A4 C2 18 C1 E0 18 0B 04 24 0B 54 24 04 83 C4 08 52 50 8B 45 08 8B 55 0C 33 C0 81 E2 00 00 00 FF 0F AC D0 18 C1 EA 18 0B 04 24 0B 54 24 04 83 C4 08 52 50 8B 45 08 8B 55 0C 33 C0 81 E2 00 00 FF 00 0F AC D0 08 C1 EA 08 0B 04 24 0B 54 24 04 83 C4 08 52 50 8B 45 08 8B 55 0C 33 C0 81 E2 00 FF 00 00 0F A4 C2 08 C1 E0 08 0B 04 24 0B 54 24 04 83 C4 08 52 50 8B 45 08 8B 55 0C 33 C0 81 E2 FF 00 00 00 0F A4 C2 18 C1 E0 18 0B 04 24 0B 54 24 04 83 C4 08 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_36491_0 {
	meta:
		name = "Hash4ToInt64"
		size = 95
		refs = "0017 BytesToLongWord"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F8 33 F6 8D 5C 24 08 8B D6 03 D2 03 D2 8B C7 E8 ?? ?? ?? ?? 89 03 46 83 C3 04 83 FE 04 75 E8 8B 44 24 08 33 44 24 10 33 D2 8B D0 33 C0 52 50 8B 44 24 14 33 44 24 1C 33 D2 0B 04 24 0B 54 24 04 83 C4 08 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36492_0 {
	meta:
		name = "Hash5ToInt64"
		size = 99
		refs = "0017 BytesToLongWord"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B F8 33 F6 8D 5C 24 08 8B D6 03 D2 03 D2 8B C7 E8 ?? ?? ?? ?? 89 03 46 83 C3 04 83 FE 05 75 E8 8B 44 24 08 33 44 24 10 33 44 24 18 33 D2 8B D0 33 C0 52 50 8B 44 24 14 33 44 24 1C 33 D2 0B 04 24 0B 54 24 04 83 C4 08 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36493_0 {
	meta:
		name = "TIdOTPCalculator.ToHex"
		size = 29
		refs = "0014 IntToHex"
	strings:
		$1 = { 55 8B EC 53 8B DA FF 75 0C FF 75 08 8B D3 B8 10 00 00 00 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_36494_0 {
	meta:
		name = "GetBits"
		size = 40
		refs = "0012 @_llshl 001e @_llushr"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 45 08 8B 55 0C 8B CB E8 ?? ?? ?? ?? B9 40 00 00 00 2B CE E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_36495_0 {
	meta:
		name = "TIdOTPCalculator.ToSixWordFormat"
		size = 168
		refs = "001b GetBits 0025 Dictionary 002a TIdOTPCalculator.ToSixWordFormat 0036 @UStrCatN 008a @UStrCat"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 33 DB FF 36 FF 75 0C FF 75 08 6B C3 0B BA 0B 00 00 00 E8 ?? ?? ?? ?? 0F B7 C0 FF 34 85 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 43 83 FB 05 75 CA 33 FF 33 DB FF 75 0C FF 75 08 8B C3 03 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 0F B7 C0 03 F8 43 83 FB 21 75 E1 83 E7 03 FF 75 0C FF 75 08 BA 0B 00 00 00 B8 37 00 00 00 E8 ?? ?? ?? ?? 0F B7 C0 03 F8 8B 14 BD ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36496_0 {
	meta:
		name = "TIdOTPCalculator.GenerateKeyMD4"
		size = 384
		refs = "001e TIdOTPCalculator.GenerateKeyMD4 0029 CheckMD4Permitted 0030 _Dn_TIdHashMessageDigest4 0035 TIdHashMessageDigest4.Create 0054 LowerCase 005e @UStrCat 006b TIdHash.HashString 0073 Hash4ToInt64 0089 TArray<System.Byte> 008e @DynArraySetLength 00a3 ReverseEndian 00bd CopyTIdLongWord 00e3 TIdHash.HashBytes 010e TObject.Free 0114 @HandleFinally 0142 @DynArrayClear 014a @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 DB 89 5D D4 89 5D DC 89 5D D8 89 5D FC 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 DC 50 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8D 45 D8 8B D6 E8 ?? ?? ?? ?? 8B 55 D8 33 C9 8B 45 EC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 6A 08 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 5D 08 85 DB 7E 5C FF 75 E4 FF 75 E0 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 8B 45 E4 33 D2 E8 ?? ?? ?? ?? 8D 55 FC 33 C9 E8 ?? ?? ?? ?? 8B 45 E0 83 E0 FF E8 ?? ?? ?? ?? 8D 55 FC B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 4D D4 8B 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 4B 75 A4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB FF 75 E4 FF 75 E0 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 8B 45 F0 8B 55 F4 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_36497_0 {
	meta:
		name = "TIdOTPCalculator.GenerateKeyMD5"
		size = 384
		refs = "001e TIdOTPCalculator.GenerateKeyMD5 0029 CheckMD5Permitted 0030 _Dn_TIdHashMessageDigest5 0035 TIdHashMessageDigest4.Create 0054 LowerCase 005e @UStrCat 006b TIdHash.HashString 0073 Hash4ToInt64 0089 TArray<System.Byte> 008e @DynArraySetLength 00a3 ReverseEndian 00bd CopyTIdLongWord 00e3 TIdHash.HashBytes 010e TObject.Free 0114 @HandleFinally 0142 @DynArrayClear 014a @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 DB 89 5D D4 89 5D DC 89 5D D8 89 5D FC 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 DC 50 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8D 45 D8 8B D6 E8 ?? ?? ?? ?? 8B 55 D8 33 C9 8B 45 EC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 6A 08 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 5D 08 85 DB 7E 5C FF 75 E4 FF 75 E0 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 8B 45 E4 33 D2 E8 ?? ?? ?? ?? 8D 55 FC 33 C9 E8 ?? ?? ?? ?? 8B 45 E0 83 E0 FF E8 ?? ?? ?? ?? 8D 55 FC B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 4D D4 8B 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 4B 75 A4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB FF 75 E4 FF 75 E0 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 8B 45 F0 8B 55 F4 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_36498_0 {
	meta:
		name = "TIdOTPCalculator.GenerateKeySHA1"
		size = 364
		refs = "001e TIdOTPCalculator.GenerateKeySHA1 002b _Dn_TIdHashSHA1 0030 TIdHashSHA1.Create 004f LowerCase 0059 @UStrCat 0066 TIdHash.HashString 006e Hash5ToInt64 0084 TArray<System.Byte> 0089 @DynArraySetLength 009e ReverseEndian 00b3 CopyTIdLongWord 00d4 TIdHash.HashBytes 00ff TObject.Free 0105 @HandleFinally 012e @DynArrayClear 0136 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 DB 89 5D D4 89 5D DC 89 5D D8 89 5D FC 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 DC 50 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8D 45 D8 8B D6 E8 ?? ?? ?? ?? 8B 55 D8 33 C9 8B 45 EC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 6A 08 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 5D 08 85 DB 7E 52 FF 75 E4 FF 75 E0 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 8B 45 E4 33 D2 8D 55 FC 33 C9 E8 ?? ?? ?? ?? 8B 45 E0 83 E0 FF 8D 55 FC B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 4D D4 8B 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 4B 75 AE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 E0 89 45 F0 8B 45 E4 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 8B 45 F0 8B 55 F4 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_36499_0 {
	meta:
		name = "TIdOTPCalculator.GenerateSixWordKey"
		size = 300
		refs = "001d TIdOTPCalculator.GenerateSixWordKey 002f Pos 004e @UStrCopy 0063 Fetch 0080 IndyStrToInt 00b8 @UStrAsg 00c4 @UStrClr 00e0 @UStrArrayClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F0 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E 83 00 00 00 83 C3 04 8D 45 FC 50 B9 FF FF 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B D8 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 53 8D 45 E8 50 8B 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 08 E8 ?? ?? ?? ?? B3 01 EB 0A 8B 45 08 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6F 00 74 00 70 00 2D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36500_0 {
	meta:
		name = "TIdOTPCalculator.GenerateSixWordKey"
		size = 312
		refs = "0018 TIdOTPCalculator.GenerateSixWordKey 0047 PosInStrArray 0063 TIdOTPCalculator.GenerateKeyMD4 006f TIdOTPCalculator.ToSixWordFormat 0081 TIdOTPCalculator.GenerateKeyMD5 009f TIdOTPCalculator.GenerateKeySHA1 00b5 RSOTPUnknownMethod 00ba LoadResString 00c4 _DV_EIdOTPUnknownMethod 00c9 EIdException.Create 00ce @RaiseExcept 00e3 @UStrClr 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 B8 ?? ?? ?? ?? 89 45 F4 B8 ?? ?? ?? ?? 89 45 F8 B8 ?? ?? ?? ?? 89 45 FC 8D 55 F4 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 E8 01 72 07 74 23 48 74 3E EB 5A 8B 45 0C 50 8B 4D 10 8B D7 8B C3 E8 ?? ?? ?? ?? 52 50 8B 55 08 8B C3 E8 ?? ?? ?? ?? EB 5D 8B 45 0C 50 8B 4D 10 8B D7 8B C3 E8 ?? ?? ?? ?? 52 50 8B 55 08 8B C3 E8 ?? ?? ?? ?? EB 3F 8B 45 0C 50 8B 4D 10 8B D7 8B C3 E8 ?? ?? ?? ?? 52 50 8B 55 08 8B C3 E8 ?? ?? ?? ?? EB 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6D 00 64 00 34 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6D 00 64 00 35 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 68 00 61 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_36501_0 {
	meta:
		name = "TIdOTPCalculator.IsValidOTPString"
		size = 288
		refs = "0016 TIdOTPCalculator.IsValidOTPString 0028 Pos 0043 @UStrCopy 0058 Fetch 0082 PosInStrArray 00a4 @UStrArrayClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 89 4D F8 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 5A 83 C3 04 8D 45 FC 50 B9 FF FF 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 B8 ?? ?? ?? ?? 89 45 EC B8 ?? ?? ?? ?? 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 8D 55 EC B9 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 40 0F 9F C3 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 6F 00 74 00 70 00 2D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6D 00 64 00 34 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6D 00 64 00 35 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 68 00 61 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_36502_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_4 001a Dictionary 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 00 08 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_36504_0 {
	meta:
		name = "TIdPOP3.CheckMessages"
		size = 248
		refs = "0010 TIdPOP3.CheckMessages 0032 TIdTCPConnection.SendCmd 005f IndyPos 007b @UStrCopy 0083 IndyStrToInt 00a0 @UStrArrayClr 00a8 @UStrClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 6A 00 8D 45 F4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 8B 83 9C 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 31 8D 45 F0 50 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B C8 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 54 00 41 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36505_0 {
	meta:
		name = "TIdPOP3.Login"
		size = 832
		refs = "0017 TIdPOP3.Login 0051 TIdTCPConnection.SendCmd 005e @UStrEqual 0075 TIdExplicitTLSClient.ProcessTLSNegCmdFailed 007f TIdExplicitTLSClient.ProcessTLSNotAvail 00b5 CheckMD5Permitted 00bc _Dn_TIdHashMessageDigest5 00c1 TIdHashMessageDigest4.Create 00f0 @UStrCat3 00fd TIdHash.HashStringAsHex 0108 LowerCase 011d TObject.Free 0123 @HandleFinally 014e @UStrCatN 016b RSPOP3ServerDoNotSupportAPOP 0170 LoadResString 017a _DV_EIdDoesNotSupportAPOP 017f EIdException.Create 0184 @RaiseExcept 0233 TIdSASLEntries.LoginSASL 024d @UStrArrayClr 0255 @UStrClr"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 0F B6 80 14 01 00 00 04 FE 2C 02 73 52 8B 45 F8 8B 10 FF 92 B4 00 00 00 84 C0 74 3B 6A 00 8D 45 F0 50 33 C9 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8B 45 F8 8B 10 FF 92 C0 00 00 00 EB 12 8B 45 F8 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 0F B6 80 40 01 00 00 2C 01 0F 82 F8 00 00 00 74 0D FE C8 0F 84 48 01 00 00 E9 93 01 00 00 8B 45 F8 80 B8 48 01 00 00 00 0F 84 B3 00 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 50 8B 45 F8 8B 88 E0 00 00 00 8B 45 F8 8B 90 44 01 00 00 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 6A 00 8D 45 E4 50 68 ?? ?? ?? ?? 8B 45 F8 FF B0 EC 00 00 00 68 ?? ?? ?? ?? FF 75 FC 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 B9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E9 D0 00 00 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AA 00 00 00 6A 00 8D 45 D8 50 8B 45 F8 8B 88 EC 00 00 00 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 B9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 8D 45 D0 50 8B 45 F8 8B 88 E0 00 00 00 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC B9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 50 68 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 C8 8D 45 C8 50 6A 00 B8 ?? ?? ?? ?? 89 45 C4 8D 45 C4 50 6A 00 8B 45 F8 50 8B 45 F8 8B 80 30 01 00 00 50 68 ?? ?? ?? ?? 8B 45 F8 8B 88 CC 00 00 00 8B 45 F8 8B 80 4C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 54 00 4C 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 50 00 4F 00 50 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 53 00 45 00 52 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 41 00 53 00 53 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 70 00 6F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 41 00 53 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 55 00 54 00 48 00 00 00 00 00 }
	condition:
		$1
}

rule function_36506_0 {
	meta:
		name = "TIdPOP3.InitComponent"
		size = 78
		refs = "0006 TIdMessageClient.InitComponent 0016 _Dn_TIdSASLEntries 001b TIdSASLEntries.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 41 01 00 00 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 4C 01 00 00 66 C7 83 10 01 00 00 6E 00 66 C7 83 12 01 00 00 E3 03 66 BA 6E 00 8B C3 8B 08 FF 91 A4 00 00 00 C6 83 40 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_36507_0 {
	meta:
		name = "TIdPOP3.Delete"
		size = 180
		refs = "0013 TIdPOP3.Delete 0029 IntToStr 0039 @UStrCat3 0045 TIdTCPConnection.SendCmd 0052 @UStrEqual 0071 @UStrArrayClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 50 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 44 00 45 00 4C 00 45 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 }
	condition:
		$1
}

rule function_36508_0 {
	meta:
		name = "TIdPOP3.DisconnectNotifyPeer"
		size = 132
		refs = "000c TIdPOP3.DisconnectNotifyPeer 0019 TIdTCPConnection.DisconnectNotifyPeer 0030 TIdTCPConnection.SendCmd 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 6A 00 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 51 00 55 00 49 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_36510_0 {
	meta:
		name = "TIdPOP3.KeepAlive"
		size = 116
		refs = "0009 TIdPOP3.KeepAlive 0024 TIdTCPConnection.SendCmd 0039 @UStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 55 FC 52 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 4F 00 4F 00 50 00 00 00 00 00 }
	condition:
		$1
}

rule function_36511_0 {
	meta:
		name = "TIdPOP3.Reset"
		size = 140
		refs = "000c TIdPOP3.Reset 0026 TIdTCPConnection.SendCmd 0033 @UStrEqual 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 50 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 53 00 45 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 }
	condition:
		$1
}

rule function_36512_0 {
	meta:
		name = "TIdPOP3.RetrieveRaw"
		size = 208
		refs = "0016 TIdPOP3.RetrieveRaw 002c IntToStr 003c @UStrCat3 0048 TIdTCPConnection.SendCmd 0055 @UStrEqual 0065 Indy8BitEncoding 0074 TIdIOHandler.Capture 008e @UStrArrayClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 8B D8 84 DB 74 16 B0 01 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 45 00 54 00 52 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 }
	condition:
		$1
}

rule function_36514_0 {
	meta:
		name = "TIdPOP3.Retrieve"
		size = 260
		refs = "001b TIdPOP3.Retrieve 0031 IntToStr 0041 @UStrCat3 004d TIdTCPConnection.SendCmd 005a @UStrEqual 00b0 @UStrArrayClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 F8 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 8B D8 84 DB 74 33 8B 45 FC 8B 10 FF 52 48 8D 45 EC 50 33 C9 8B 55 FC 8B C6 8B 38 FF 97 C8 00 00 00 83 7D EC 00 75 12 B9 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 30 FF 96 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 45 00 54 00 52 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36515_0 {
	meta:
		name = "TIdPOP3.RetrieveHeader"
		size = 244
		refs = "0018 TIdPOP3.RetrieveHeader 003a IntToStr 004f @UStrCatN 005e TIdTCPConnection.SendCmd 008f @UStrArrayClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 48 6A 00 8D 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 8B C7 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 B9 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 50 B9 ?? ?? ?? ?? 8B D6 8B C3 8B 18 FF 93 C8 00 00 00 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 4F 00 50 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36516_0 {
	meta:
		name = "TIdPOP3.RetrieveMailBoxSize"
		size = 320
		refs = "0012 TIdPOP3.RetrieveMailBoxSize 003f TIdTCPConnection.SendCmd 004f TIdIOHandler.ReadLn 0066 Fetch 0085 IndyStrToInt 00a4 @UStrEqual 00bb @HandleAnyException 00c3 @DoneExcept 00dd @UStrArrayClr 00e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 8B 83 98 00 00 00 33 D2 E8 ?? ?? ?? ?? EB 46 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 03 F0 8D 4D FC 8B 83 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 06 83 7D FC 00 75 A5 33 C0 5A 59 59 64 89 10 EB 0D E9 ?? ?? ?? ?? 83 CE FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 49 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36517_0 {
	meta:
		name = "TIdPOP3.RetrieveMsgSize"
		size = 288
		refs = "0016 TIdPOP3.RetrieveMsgSize 0033 IntToStr 0043 @UStrCat3 0052 TIdTCPConnection.SendCmd 008a Fetch 00aa IndyStrToInt 00c7 @UStrArrayClr 00cf @UStrClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 FF FF FF FF 6A 00 8D 45 F4 50 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 B9 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 8B 83 9C 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 38 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 83 CA FF E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 49 00 53 00 54 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36518_0 {
	meta:
		name = "TIdPOP3.UIDL"
		size = 304
		refs = "001a TIdPOP3.UIDL 0034 IntToStr 0044 @UStrCat3 0050 TIdTCPConnection.SendCmd 005d @UStrEqual 00ab Indy8BitEncoding 00ba TIdIOHandler.Capture 00d4 @UStrArrayClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 55 6A 00 8D 45 F8 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 45 FF 80 7D FF 00 74 53 8B 86 9C 00 00 00 8B 50 18 8B C7 8B 08 FF 51 08 EB 41 6A 00 8D 45 EC 50 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 45 FF 80 7D FF 00 74 16 B0 01 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 49 00 44 00 4C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 55 00 49 00 44 00 4C 00 00 00 00 00 }
	condition:
		$1
}

rule function_36519_0 {
	meta:
		name = "TIdPOP3.Top"
		size = 280
		refs = "001e TIdPOP3.Top 002e IntToStr 003e @UStrCat3 0064 @UStrCatN 0076 TIdTCPConnection.SendCmd 0083 @UStrEqual 0091 Indy8BitEncoding 00a1 TIdIOHandler.Capture 00bb @UStrArrayClr 00c3 @UStrClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 74 22 FF 75 FC 68 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? FF 75 F0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 6A 00 8D 45 EC 50 33 C9 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C3 84 DB 74 17 B0 01 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 4F 00 50 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 }
	condition:
		$1
}

rule function_36520_0 {
	meta:
		name = "TIdPOP3.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TIdMessageClient.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 4C 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36521_0 {
	meta:
		name = "TIdPOP3.CAPA"
		size = 196
		refs = "000d TIdPOP3.CAPA 0032 TIdTCPConnection.SendCmd 003f @UStrEqual 0059 TIdIOHandler.Capture 0084 @UStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 30 01 00 00 8B 10 FF 52 44 6A 00 8D 45 FC 50 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C3 84 DB 74 13 33 C9 8B 96 30 01 00 00 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 8B 86 30 01 00 00 8B 10 FF 52 14 85 C0 0F 9F C0 88 86 49 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 41 00 50 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 }
	condition:
		$1
}

rule function_36522_0 {
	meta:
		name = "TIdPOP3.Notification"
		size = 51
		refs = "0020 TIdSASLEntries.RemoveByComp 002b TIdTCPConnection.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 80 FB 01 75 16 83 BE 4C 01 00 00 00 74 0D 8B D7 8B 86 4C 01 00 00 E8 ?? ?? ?? ?? 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36523_0 {
	meta:
		name = "TIdPOP3.GetSupportsTLS"
		size = 52
		refs = "0004 TIdPOP3.GetSupportsTLS"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B 83 30 01 00 00 8B 08 FF 51 54 40 0F 9F C0 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 54 00 4C 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_36524_0 {
	meta:
		name = "TIdPOP3.SetSASLMechanisms"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 4C 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_36525_0 {
	meta:
		name = "TIdPOP3.Connect"
		size = 464
		refs = "0013 TIdPOP3.Connect 003a @UStrClr 004b _Dn_TIdSSLIOHandlerSocketBase 0050 @IsClass 0061 @AsClass 007e TIdExplicitTLSClient.Connect 00c5 Pos 00de @UStrCopy 0131 TIdPOP3.CAPA 0157 @HandleAnyException 0166 @RaiseAgain 016b @DoneExcept 018e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 C6 80 48 01 00 00 00 8B 45 F8 C6 80 49 01 00 00 00 8B 45 F8 05 44 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 98 98 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 80 BA 14 01 00 00 01 0F 95 C2 8B 08 FF 91 04 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F4 50 33 C9 BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 93 88 00 00 00 8D 4D FC 8B 45 F8 8B 80 9C 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 3E 8D 45 FC 50 B9 FF FF FF 7F 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 18 8B 45 F8 05 44 01 00 00 50 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 80 44 01 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C0 8B 55 F8 88 82 48 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 41 01 00 00 00 74 0B 8B 45 F8 8B 10 FF 92 D8 00 00 00 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 51 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_36528_0 {
	meta:
		name = "TIdPOP3Server.DoReplyUnknownCommand"
		size = 344
		refs = "0021 @UStrAddRef 0029 TIdPOP3Server.DoReplyUnknownCommand 003a @UStrLAsg 0078 Fetch 008e RSPOP3SvrUnknownCmdFmt 0093 LoadResString 009e IndyFormat 00e7 TObject.Free 00ed @HandleFinally 0109 @UStrArrayClr 0111 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D F0 89 5D E4 89 5D E0 89 5D F8 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 83 44 01 00 00 50 8B 83 40 01 00 00 33 C9 B2 01 FF 50 34 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F0 50 6A 01 8D 45 E4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 8D 45 E8 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 33 C9 5A E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 48 6A 00 8B 45 F4 8B 10 FF 52 28 8B D0 8B 46 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2D 00 45 00 52 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_36529_0 {
	meta:
		name = "TIdPOP3Server.InitializeCommandHandlers"
		size = 1412
		refs = "0012 TIdPOP3Server.InitializeCommandHandlers 001f TIdCmdTCPServer.InitializeCommandHandlers 002a TIdCommandHandlers.Add 0039 @UStrAsg 0043 TIdPOP3Server.CommandUser 0050 TIdReply.SetCode 0085 TIdPOP3Server.CommandPass 00c7 TIdPOP3Server.CommandList 0109 TIdPOP3Server.CommandRetr 014b TIdPOP3Server.CommandDele 018d TIdPOP3Server.CommandUIDL 01cf TIdPOP3Server.CommandStat 0211 TIdPOP3Server.CommandTop 0251 RSPOP3SvrNoOp 0256 LoadResString 029b TIdPOP3Server.CommandAPOP 02db RSPOP3SvrReset 0307 TIdPOP3Server.CommandRset 032f TIdPOP3Server.CommandQuit 033b RSPOP3SvrClosingConnection 039f TIdPOP3Server.CommandSTLS 03dd TIdPOP3Server.CommandCAPA 03f7 @UStrArrayClr 03fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 42 01 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 42 01 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 42 01 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 42 01 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 42 01 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 42 01 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 42 01 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B 46 30 BA ?? ?? ?? ?? 8B 38 FF 57 48 8B 46 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 46 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 42 01 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8B 46 30 BA ?? ?? ?? ?? 8B 38 FF 57 48 8B 46 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? C6 46 1C 01 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B 46 30 8B 38 FF 57 48 BA ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? C6 46 42 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 55 00 53 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2D 00 45 00 52 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 41 00 53 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 49 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 45 00 54 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 45 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 55 00 49 00 44 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 54 00 41 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 4F 00 50 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 4F 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 50 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 53 00 45 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 51 00 55 00 49 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 54 00 4C 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 41 00 50 00 41 00 00 00 00 00 }
	condition:
		$1
}

rule function_36530_0 {
	meta:
		name = "TIdPOP3Server.CommandUser"
		size = 180
		refs = "0012 TIdPOP3Server.CommandUser 0022 TIdPOP3ServerContext.GetTLSIsRequired 002f TIdPOP3Server.MustUseTLS 0055 @UStrAsg 005d RSPOP3SvrPasswordRequired 0062 LoadResString 008c @UStrArrayClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C7 E8 ?? ?? ?? ?? EB 41 8B 43 0C 8B 10 FF 52 14 85 C0 7E 18 8D 4D FC 33 D2 8B 43 0C 8B 38 FF 57 0C 8B 55 FC 8D 46 48 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 18 8B 18 FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 }
	condition:
		$1
}

rule function_36531_0 {
	meta:
		name = "TIdPOP3Server.CommandPass"
		size = 220
		refs = "0015 TIdPOP3Server.CommandPass 0025 TIdPOP3ServerContext.GetTLSIsRequired 0033 TIdPOP3Server.MustUseTLS 0059 @UStrAsg 0086 RSPOP3SvrLoginOk 008b LoadResString 00b5 @UStrArrayClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 66 8B 43 0C 8B 10 FF 52 14 85 C0 7E 18 8D 4D F8 33 D2 8B 43 0C 8B 38 FF 57 0C 8B 55 F8 8D 46 4C E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 5A 01 00 00 00 74 14 8B 7D FC 8B CE 8B 53 20 8B 87 5C 01 00 00 FF 97 58 01 00 00 C6 46 50 01 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B 43 18 8B 18 FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 }
	condition:
		$1
}

rule function_36532_0 {
	meta:
		name = "TIdPOP3Server.CommandList"
		size = 121
		refs = "000f TIdPOP3Server.CommandList 0029 TIdPOP3Server.IsAuthed 0043 IndyStrToInt 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 62 01 00 00 00 0F 95 C1 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 26 8D 55 FC 8B 46 0C 8B 08 FF 51 1C 8B 45 FC 83 CA FF E8 ?? ?? ?? ?? 8B C8 8B D6 8B 83 64 01 00 00 FF 93 60 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36533_0 {
	meta:
		name = "TIdPOP3Server.CommandRetr"
		size = 122
		refs = "0010 TIdPOP3Server.CommandRetr 002a TIdPOP3Server.IsAuthed 0043 IndyStrToInt 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 6A 01 00 00 00 0F 95 C1 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 8D 4D FC 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B D6 8B 83 6C 01 00 00 FF 93 68 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36534_0 {
	meta:
		name = "TIdPOP3Server.CommandDele"
		size = 118
		refs = "000f TIdPOP3Server.CommandDele 0029 TIdPOP3Server.IsAuthed 0040 IndyStrToInt 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 72 01 00 00 00 0F 95 C1 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 8D 55 FC 8B 46 0C 8B 08 FF 51 1C 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B D6 8B 83 74 01 00 00 FF 93 70 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36535_0 {
	meta:
		name = "TIdPOP3Server.CommandQuit"
		size = 27
	strings:
		$1 = { 53 66 83 B8 8A 01 00 00 00 74 0E 8B D8 8B 83 8C 01 00 00 FF 93 88 01 00 00 5B C3 }
	condition:
		$1
}

rule function_36536_0 {
	meta:
		name = "TIdPOP3Server.CommandAPOP"
		size = 580
		refs = "001a TIdPOP3Server.CommandAPOP 003a RSPOP3SvrWrongState 003f LoadResString 005f TIdPOP3ServerContext.GetTLSIsRequired 006d TIdPOP3Server.MustUseTLS 0088 RSPOP3SvrNotHandled 00a8 IndyFormat 00ed _Dn_TIdHashMessageDigest5 00f2 TIdHashMessageDigest4.Create 0118 @UStrCat3 0125 TIdHash.HashStringAsHex 0130 IndyLowerCase 0145 TObject.Free 014b @HandleFinally 016b @UStrEqual 0180 RSPOP3SvrLoginFailed 01a2 RSPOP3SvrLoginOk 01d4 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 20 89 45 F0 8B 45 F0 80 78 50 00 74 25 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 8B 45 F4 8B 40 18 BA ?? ?? ?? ?? 8B 18 FF 53 48 E9 63 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 55 F4 8B C3 E8 ?? ?? ?? ?? E9 48 01 00 00 66 83 BB A2 01 00 00 00 75 44 8D 45 E4 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8D 55 D8 33 C9 58 E8 ?? ?? ?? ?? 8B 4D E4 8B 45 F4 8B 40 18 BA ?? ?? ?? ?? 8B 18 FF 53 48 E9 FA 00 00 00 8D 45 FC 50 8D 4D D4 8B 45 F4 8B 40 0C 33 D2 8B 30 FF 56 0C 8B 4D D4 8B 55 F4 8B 83 A4 01 00 00 FF 93 A0 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D0 50 8B 45 F0 8B 50 54 8D 45 CC 8B 4D FC E8 ?? ?? ?? ?? 8B 55 CC 33 C9 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D0 8D 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 4D C8 8B 45 F4 8B 40 0C BA 01 00 00 00 8B 18 FF 53 0C 8B 55 C8 8B 45 F8 E8 ?? ?? ?? ?? 0F 94 C3 8B 45 F0 88 58 50 84 DB 75 22 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 8B 45 F4 8B 40 18 BA ?? ?? ?? ?? 8B 18 FF 53 48 EB 20 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 8B 45 F4 8B 40 18 BA ?? ?? ?? ?? 8B 18 FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 2D 00 45 00 52 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 50 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 }
	condition:
		$1
}

rule function_36537_0 {
	meta:
		name = "TIdPOP3Server.IsAuthed"
		size = 224
		refs = "001c TIdPOP3Server.IsAuthed 0041 RSPOP3SvrNotHandled 0046 LoadResString 0062 IndyFormat 007c RSPOP3SvrLoginFirst 00a6 @UStrClr 00b3 @UStrArrayClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D F8 89 5D F4 88 4D FF 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 0F B6 58 50 84 DB 74 47 0F B6 5D FF 84 DB 75 5C 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 46 04 8B 40 10 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 46 18 8B 30 FF 56 48 EB 1D 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 BA ?? ?? ?? ?? 8B 46 18 8B 30 FF 56 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2D 00 45 00 52 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_36538_0 {
	meta:
		name = "TIdPOP3Server.CommandStat"
		size = 216
		refs = "0014 TIdPOP3Server.CommandStat 002e TIdPOP3Server.IsAuthed 0052 IntToStr 0075 @UStrCatN 009f @UStrArrayClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 92 01 00 00 00 0F 95 C1 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 53 8D 45 F8 50 8D 4D FC 8B D6 8B 83 94 01 00 00 FF 93 90 01 00 00 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? FF 75 EC 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B 46 18 8B 18 FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 }
	condition:
		$1
}

rule function_36539_0 {
	meta:
		name = "TIdPOP3Server.CommandRset"
		size = 47
		refs = "0016 TIdPOP3Server.IsAuthed"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 BB 9A 01 00 00 00 0F 95 C1 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B 83 9C 01 00 00 FF 93 98 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_36540_0 {
	meta:
		name = "TIdPOP3Server.CommandTop"
		size = 244
		refs = "0014 TIdPOP3Server.CommandTop 002e TIdPOP3Server.IsAuthed 0056 IndyStrToInt 009a RSPOP3SvrInvalidSyntax 009f LoadResString 00c9 @UStrArrayClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 82 01 00 00 00 0F 95 C1 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 7D 8B 46 0C 8B 10 FF 52 14 83 F8 02 75 53 8D 4D F8 33 D2 8B 46 0C 8B 38 FF 57 0C 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 89 45 FC 8D 4D F4 BA 01 00 00 00 8B 46 0C 8B 38 FF 57 0C 8B 45 F4 83 CA FF E8 ?? ?? ?? ?? 83 7D FC 01 7C 18 85 C0 7C 14 50 8B 4D FC 8B D6 8B 83 84 01 00 00 FF 93 80 01 00 00 EB 1D 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 46 18 8B 18 FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 2D 00 45 00 52 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_36541_0 {
	meta:
		name = "TIdPOP3Server.CommandUIDL"
		size = 121
		refs = "000f TIdPOP3Server.CommandUIDL 0029 TIdPOP3Server.IsAuthed 0043 IndyStrToInt 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 7A 01 00 00 00 0F 95 C1 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 26 8D 55 FC 8B 46 0C 8B 08 FF 51 1C 8B 45 FC 83 CA FF E8 ?? ?? ?? ?? 8B C8 8B D6 8B 83 7C 01 00 00 FF 93 78 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36542_0 {
	meta:
		name = "TIdPOP3Server.CommandSTLS"
		size = 360
		refs = "0014 TIdPOP3Server.CommandSTLS 0024 TIdPOP3ServerContext.GetCanUseExplicitTLS 0033 TIdPOP3ServerContext.GetUsingTLS 003f RSPOP3SvrNotPermittedWithTLS 0044 LoadResString 0067 RSPOP3SvrNotInThisState 0086 RSPOP3SvrBeginTLSNegotiation 00a2 TIdCommand.SendReply 00c6 RSPOP3SvrNotHandled 00e6 IndyFormat 0110 @UStrArrayClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 20 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 8E 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 22 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B 43 18 8B 18 FF 53 48 E9 9D 00 00 00 80 7E 50 00 74 1F 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 18 8B 18 FF 53 48 EB 78 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B 43 18 8B 30 FF 56 48 8B C3 E8 ?? ?? ?? ?? 8B 43 20 8B 40 14 8B 80 98 00 00 00 33 D2 8B 08 FF 91 04 01 00 00 EB 3C 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 43 18 8B 18 FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2D 00 45 00 52 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 54 00 4C 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_36543_0 {
	meta:
		name = "TIdPOP3Server.CommandCAPA"
		size = 344
		refs = "0016 TIdPOP3Server.CommandCAPA 002a RSPOP3SvrCapaList 002f LoadResString 004b TIdPOP3ServerContext.GetCanUseExplicitTLS 0057 TIdPOP3ServerContext.GetUsingTLS 00d4 @UStrClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 89 45 FC 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 43 18 8B 38 FF 57 48 C6 43 28 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 19 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0D BA ?? ?? ?? ?? 8B 43 1C 8B 08 FF 51 38 66 83 BE 82 01 00 00 00 74 0D BA ?? ?? ?? ?? 8B 43 1C 8B 08 FF 51 38 66 83 BE 7A 01 00 00 00 74 0D BA ?? ?? ?? ?? 8B 43 1C 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 43 1C 8B 08 FF 51 38 66 83 BE AA 01 00 00 00 74 12 8B 4B 1C 8B 53 20 8B 86 AC 01 00 00 FF 96 A8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 54 00 4C 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 4F 00 50 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 55 00 49 00 44 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 55 00 53 00 45 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_36544_0 {
	meta:
		name = "TIdPOP3Server.InitComponent"
		size = 55
		refs = "0006 TIdExplicitTLSServer.InitComponent 000b _DV_TIdPOP3ServerContext"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 83 9C 00 00 00 66 C7 83 50 01 00 00 6E 00 66 C7 83 52 01 00 00 E3 03 66 BA 6E 00 8B C3 8B 08 FF 91 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_36545_0 {
	meta:
		name = "TIdPOP3Server.CreateExceptionReply"
		size = 132
		refs = "000b TIdPOP3Server.CreateExceptionReply 0021 _Dn_TIdReplyPOP3 0026 TIdReplyPOP3.CreateWithReplyTexts 0030 RSPOP3SvrInternalError 0035 LoadResString 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 44 01 00 00 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 2D 00 45 00 52 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_36548_0 {
	meta:
		name = "TIdPOP3Server.CreateMaxConnectionReply"
		size = 132
		refs = "000b TIdPOP3Server.CreateMaxConnectionReply 0021 _Dn_TIdReplyPOP3 0026 TIdReplyPOP3.CreateWithReplyTexts 0030 RSPOP3SvrTooManyCons 0035 LoadResString 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 44 01 00 00 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 2D 00 45 00 52 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_36549_0 {
	meta:
		name = "TIdPOP3Server.CreateReplyUnknownCommand"
		size = 132
		refs = "000b TIdPOP3Server.CreateReplyUnknownCommand 0021 _Dn_TIdReplyPOP3 0026 TIdReplyPOP3.CreateWithReplyTexts 0030 RSPOP3SvrUnknownCmd 0035 LoadResString 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 44 01 00 00 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 2D 00 45 00 52 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_36546_0 {
	meta:
		name = "TIdPOP3Server.CreateGreeting"
		size = 128
		refs = "000b TIdPOP3Server.CreateGreeting 0021 _Dn_TIdReplyPOP3 0026 TIdReplyPOP3.CreateWithReplyTexts 0030 RSPOP3SvrWelcome 0035 LoadResString 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 44 01 00 00 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 }
	condition:
		$1
}

rule function_36547_0 {
	meta:
		name = "TIdPOP3Server.CreateHelpReply"
		size = 128
		refs = "000b TIdPOP3Server.CreateHelpReply 0021 _Dn_TIdReplyPOP3 0026 TIdReplyPOP3.CreateWithReplyTexts 0030 RSPOP3SvrHelpFollows 0035 LoadResString 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 44 01 00 00 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 }
	condition:
		$1
}

rule function_36553_0 {
	meta:
		name = "TIdPOP3ServerContext.GetCanUseExplicitTLS"
		size = 46
		refs = "000e _Dn_TIdSSLIOHandlerSocketBase 0013 @IsClass"
		altNames = "TIdSMTPServerContext.GetCanUseExplicitTLS"
	strings:
		$1 = { 53 8B D8 8B 43 14 8B 80 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 43 40 0F B6 80 54 01 00 00 04 FE 2C 02 0F 92 C0 5B C3 }
	condition:
		$1
}

rule function_36554_0 {
	meta:
		name = "TIdPOP3ServerContext.GetTLSIsRequired"
		size = 31
		refs = "0017 TIdPOP3ServerContext.GetUsingTLS"
	strings:
		$1 = { 53 8B D8 8B 43 40 80 B8 54 01 00 00 02 0F 94 C0 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 34 01 5B C3 }
	condition:
		$1
}

rule function_37185_0 {
	meta:
		name = "TIdSMTPServerContext.GetTLSIsRequired"
		size = 31
		refs = "0017 TIdSMTPServerContext.GetUsingTLS"
	strings:
		$1 = { 53 8B D8 8B 43 40 80 B8 54 01 00 00 02 0F 94 C0 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 34 01 5B C3 }
	condition:
		$1
}

rule function_36555_0 {
	meta:
		name = "TIdPOP3Server.MustUseTLS"
		size = 116
		refs = "000d TIdPOP3Server.MustUseTLS 001b RSPOP3SvrMustUseSTLS 0020 LoadResString 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B 43 18 8B 30 FF 56 48 C6 43 08 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2D 00 45 00 52 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_36556_0 {
	meta:
		name = "TIdPOP3Server.SendGreeting"
		size = 552
		refs = "0021 TIdPOP3Server.SendGreeting 002d GetFIPSMode 0052 _Dn_TIdReplyPOP3 0057 TIdReply.Create 0072 CurrentProcessId 007f IntToStr 008c GetClockValue 00b1 GStack 00cd @UStrCatN 011c RSPOP3SvrWelcomeAPOP 0121 LoadResString 012c @UStrCat 0147 TIdReply.SetCode 0180 TObject.Free 0186 @HandleFinally 0194 TIdCustomTCPServer.SendGreeting 01ae @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 3D ?? ?? ?? ?? 8B 3F FF D7 84 C0 0F 85 4F 01 00 00 66 83 BB A2 01 00 00 00 0F 84 41 01 00 00 8B DE 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 99 33 C2 2B C2 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 7D 07 F7 D8 83 D2 00 F7 DA 52 50 8D 45 F0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 04 FF 75 EC 68 ?? ?? ?? ?? 8D 43 54 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 8B 10 FF 52 14 85 C0 7E 38 8D 4D E4 8B 45 FC 8B 40 18 33 D2 8B 38 FF 57 0C FF 75 E4 68 ?? ?? ?? ?? FF 73 54 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 8B 40 18 8B 08 FF 51 38 EB 26 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 53 54 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F8 8B 40 18 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 8B 45 F8 8B 10 FF 52 28 8B D0 8B 46 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 }
	condition:
		$1
}

rule function_36559_0 {
	meta:
		name = "TIdQOTD.InitComponent"
		size = 26
		refs = "0006 TIdTCPClientCustom.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 11 00 8B C3 8B 08 FF 91 A4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_36563_0 {
	meta:
		name = "TIdQOTDServer.InitComponent"
		size = 26
		refs = "0006 TIdCustomTCPServer.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 11 00 8B C3 8B 08 FF 91 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_36564_0 {
	meta:
		name = "TIdQOTDServer.DoExecute"
		size = 131
		refs = "0013 TIdQOTDServer.DoExecute 0058 TIdTCPConnection.Disconnect 006d @UStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 45 FB 01 66 83 B8 1A 01 00 00 00 74 29 8D 4D FC 8B F0 8B D3 8B 86 1C 01 00 00 FF 96 18 01 00 00 8B 43 14 8B 80 98 00 00 00 33 C9 8B 55 FC 8B 30 FF 96 A0 00 00 00 8B 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_36567_0 {
	meta:
		name = "TIdQOTDUDP.InitComponent"
		size = 23
		refs = "0006 TIdUDPClient.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 11 00 8B C3 8B 08 FF 51 70 5B C3 }
	condition:
		$1
}

rule function_36568_0 {
	meta:
		name = "TIdQOTDUDP.GetQuote"
		size = 60
		refs = "0009 TIdQOTDUDP.GetQuote 0010 TIdUDPClient.Send 0018 Indy8BitEncoding 0024 TIdUDPBase.ReceiveString"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 B0 01 E8 ?? ?? ?? ?? 8B C8 83 CA FF 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36571_0 {
	meta:
		name = "TIdQotdUDPServer.InitComponent"
		size = 23
		refs = "0006 TIdUDPServer.InitComponent 0011 TIdUDPServer.SetDefaultPort"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 11 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_36573_0 {
	meta:
		name = "TIdQotdUDPServer.DoUDPRead"
		size = 165
		refs = "000e TIdQotdUDPServer.DoUDPRead 001f TIdUDPServer.DoUDPRead 0027 @UStrClr 0054 ToBytes 006f TIdSocketHandle.SendTo 0085 TArray<System.Byte> 008a @DynArrayClear 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 4D FC 8B 55 08 8B C3 8B 18 FF 93 98 00 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 28 8D 4D F8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 8B 45 08 0F B7 48 22 8B 45 08 8B 50 1C 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_36576_0 {
	meta:
		name = "TIdRawBase.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 001a TObject.Free 0038 TIdComponent.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 90 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36577_0 {
	meta:
		name = "TIdRawBase.GetBinding"
		size = 103
		refs = "0021 TIdSocketHandle.AllocateSocket 004a TIdSocketHandle.SetSockOpt 005b TIdSocketHandle.SetTTL"
	strings:
		$1 = { 53 8B D8 8B 83 90 00 00 00 80 78 14 00 75 50 80 78 2D 00 75 12 8B 8B A0 00 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 27 8B 8B A4 00 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 6A 01 B9 15 00 00 00 BA 29 00 00 00 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B 93 A8 00 00 00 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B 83 90 00 00 00 5B C3 }
	condition:
		$1
}

rule function_36578_0 {
	meta:
		name = "TIdRawBase.ReceiveBuffer"
		size = 253
		refs = "0018 TIdRawBase.ReceiveBuffer 0034 @DynArrayLength 004f TIdRawBase.GetBinding 0056 TIdSocketHandle.Readable 0073 TIdSocketHandle.RecvFrom 0081 TIdPacketInfo.Reset 0092 @UStrAsg 00c8 GStack 00e7 @UStrClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 85 F6 7D 06 8B B3 9C 00 00 00 8B 07 E8 ?? ?? ?? ?? 85 C0 0F 8E 96 00 00 00 8B 83 90 00 00 00 80 78 2D 00 75 68 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 84 C0 74 78 8D 45 F6 50 8D 45 F5 50 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 8B D7 E8 ?? ?? ?? ?? 89 45 F8 8B 83 AC 00 00 00 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 83 C0 04 8B 55 FC E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 0F B7 55 F6 66 89 50 08 0F B6 55 F5 88 50 10 0F B6 55 F5 88 50 20 EB 22 8B 83 AC 00 00 00 50 8B C3 E8 ?? ?? ?? ?? 8B 50 10 8B CF A1 ?? ?? ?? ?? 8B 00 8B 18 FF 53 7C 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_36579_0 {
	meta:
		name = "TIdRawBase.Send"
		size = 100
		refs = "0012 TIdRawBase.Send 0026 ToBytes 004b TArray<System.Byte> 0050 @DynArrayClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 55 08 8B 45 0C E8 ?? ?? ?? ?? 8B 45 FC 50 8B CF 8B D6 8B C3 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_36580_0 {
	meta:
		name = "TIdRawBase.Send"
		size = 91
		refs = "0012 TIdRawBase.Send 0024 ToBytes 0044 TArray<System.Byte> 0049 @DynArrayClear 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36581_0 {
	meta:
		name = "TIdRawBase.Send"
		size = 28
	strings:
		$1 = { 53 56 8B F0 52 0F B7 8E 98 00 00 00 8B C6 8B 96 94 00 00 00 8B 18 FF 53 60 5E 5B C3 }
	condition:
		$1
}

rule function_36582_0 {
	meta:
		name = "TIdRawBase.Send"
		size = 125
		refs = "0012 TIdRawBase.Send 002b GStack 0034 TIdStack.ResolveHost 004a TIdRawBase.GetBinding 0054 TIdSocketHandle.SendTo 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 83 90 00 00 00 0F B6 48 2D A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 8B 45 08 50 8B 83 90 00 00 00 0F B6 40 2D 50 8B C3 E8 ?? ?? ?? ?? 8B CF 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_36583_0 {
	meta:
		name = "TIdRawBase.SetTTL"
		size = 37
		refs = "0020 TIdSocketHandle.SetTTL"
	strings:
		$1 = { 3B 90 A8 00 00 00 74 1C 8B CA 89 88 A8 00 00 00 8B 90 90 00 00 00 80 7A 14 00 74 08 8B C1 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36584_0 {
	meta:
		name = "TIdRawBase.InitComponent"
		size = 100
		refs = "0007 TIdComponent.InitComponent 0010 _Dn_TIdSocketHandle 0015 TIdSocketHandle.Create 0026 TIdSocketHandle.SetIPVersion 002d _Dn_TIdPacketInfo 0032 TObject.Create"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 90 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 AC 00 00 00 33 C0 89 83 9C 00 00 00 66 C7 83 98 00 00 00 00 00 C7 83 A0 00 00 00 FF 00 00 00 C7 83 A8 00 00 00 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_36585_0 {
	meta:
		name = "TIdRawBase.GetIPVersion"
		size = 11
	strings:
		$1 = { 8B 80 90 00 00 00 0F B6 40 2D C3 }
	condition:
		$1
}

rule function_36586_0 {
	meta:
		name = "TIdRawBase.SetIPVersion"
		size = 12
		refs = "0007 TIdSocketHandle.SetIPVersion"
	strings:
		$1 = { 8B 80 90 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_115332_0 {
	meta:
		name = "TXMLBroker.AddNotify"
		size = 12
		refs = "0007 TList.Add"
	strings:
		$1 = { 8B 80 90 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36587_0 {
	meta:
		name = "THTTPReqResp.SetSOAPAction"
		size = 22
		refs = "000f @UStrAsg"
		altNames = "TIdRawBase.SetHost"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 94 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36592_0 {
	meta:
		name = "IdRawBuildArp"
		size = 348
		refs = "001c @DynArrayLength 003f TArray<System.Byte> 0044 @DynArraySetLength 004e _Dn_TIdARPHdr 0053 TIdARPHdr.Create 005e IdRawBuildArp 0069 GStack 00cb TIdEtherAddr.CopyFrom 00d3 TIdLongWord.Get_l 00e0 TIdLongWord.Set_l 00fc TIdInAddr.CopyFrom 011c CopyTIdBytes 0148 TObject.Free 014e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 88 4D FB 66 89 55 FC 66 89 45 FE 8B 5D 08 8B 75 0C 8B 03 E8 ?? ?? ?? ?? 83 C0 1C 89 45 F0 8B 03 E8 ?? ?? ?? ?? 3B 45 F0 73 19 8B 45 F0 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 00 0F B7 55 FE 8B 08 FF 51 2C 8B 55 F4 66 89 42 04 A1 ?? ?? ?? ?? 8B 00 0F B7 55 FC 8B 08 FF 51 2C 8B 55 F4 66 89 42 06 8B 45 F4 0F B6 55 FB 88 50 08 8B 45 F4 0F B6 55 24 88 50 09 A1 ?? ?? ?? ?? 8B 00 0F B7 55 20 8B 08 FF 51 2C 8B 55 F4 66 89 42 0A 8B 45 F4 8B 40 0C 8B 55 1C E8 ?? ?? ?? ?? 8B 45 18 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 10 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 14 8B 55 14 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 18 8B 55 10 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 15 6A 08 8B C6 E8 ?? ?? ?? ?? 50 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 F0 8D 4D F0 8B D3 8B 45 F4 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule function_36593_0 {
	meta:
		name = "IdRawBuildDns"
		size = 335
		refs = "001d @DynArrayLength 0040 TArray<System.Byte> 0045 @DynArraySetLength 004f _Dn_TIdDNSHdr 0054 TIdStruct.Create 005f IdRawBuildDns 006a GStack 010f CopyTIdBytes 013b TObject.Free 0141 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 66 89 4D FA 66 89 55 FC 66 89 45 FE 8B 75 08 8B 5D 0C 8B C3 E8 ?? ?? ?? ?? 83 C0 0C 89 45 F0 8B 06 E8 ?? ?? ?? ?? 3B 45 F0 73 19 8B 45 F0 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 00 0F B7 55 FE 8B 08 FF 51 2C 8B 55 F4 66 89 42 04 A1 ?? ?? ?? ?? 8B 00 0F B7 55 FC 8B 08 FF 51 2C 8B 55 F4 66 89 42 06 A1 ?? ?? ?? ?? 8B 00 0F B7 55 FA 8B 08 FF 51 2C 8B 55 F4 66 89 42 08 A1 ?? ?? ?? ?? 8B 00 0F B7 55 18 8B 08 FF 51 2C 8B 55 F4 66 89 42 0A A1 ?? ?? ?? ?? 8B 00 0F B7 55 14 8B 08 FF 51 2C 8B 55 F4 66 89 42 0C A1 ?? ?? ?? ?? 8B 00 0F B7 55 10 8B 08 FF 51 2C 8B 55 F4 66 89 42 0E 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 15 6A 0C 8B C3 E8 ?? ?? ?? ?? 50 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 F0 8D 4D F0 8B D6 8B 45 F4 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_36594_0 {
	meta:
		name = "IdRawBuildEthernet"
		size = 275
		refs = "001f @DynArrayLength 0059 TArray<System.Byte> 005e @DynArraySetLength 0068 _Dn_TIdEthernetHdr 006d TIdEthernetHdr.Create 0078 IdRawBuildEthernet 008b TIdEtherAddr.CopyFrom 009e GStack 00e4 CopyTIdBytes 00fe TObject.Free 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 66 89 4D FA 89 55 FC 8B F8 8B 75 08 8B 5D 0C 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 8B 47 04 E8 ?? ?? ?? ?? 5A 03 D0 83 C2 02 52 8B C3 E8 ?? ?? ?? ?? 5A 03 D0 89 55 F0 8B 06 E8 ?? ?? ?? ?? 3B 45 F0 73 19 8B 45 F0 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 40 04 8B D7 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 0F B7 55 FA 8B 08 FF 51 2C 8B 55 F4 66 89 42 0C 33 C0 89 45 F0 8D 4D F0 8B D6 8B 45 F4 8B 38 FF 57 0C 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 17 8B 45 F0 50 8B C3 E8 ?? ?? ?? ?? 50 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_36595_0 {
	meta:
		name = "IdRawBuildIp"
		size = 349
		refs = "0020 @DynArrayLength 0045 TArray<System.Byte> 004a @DynArraySetLength 0054 _Dn_TIdIPHdr 0059 TIdIPHdr.Create 0064 IdRawBuildIp 0087 GStack 00ee TIdInAddr.CopyFrom 012e CopyTIdBytes 0148 TObject.Free 014e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 66 89 4D FA 88 55 FD 66 89 45 FE 8B 7D 08 8B 75 0C 8B 5D 10 8B C3 E8 ?? ?? ?? ?? 83 C0 14 03 C7 89 45 F0 8B 06 E8 ?? ?? ?? ?? 3B 45 F0 73 19 8B 45 F0 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 C6 40 04 45 8B 45 F4 0F B6 55 FD 88 50 05 0F B7 55 FE 83 C2 14 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 30 8B 55 F4 66 89 42 06 A1 ?? ?? ?? ?? 8B 00 0F B7 55 FA 8B 08 FF 51 2C 8B 55 F4 66 89 42 08 A1 ?? ?? ?? ?? 8B 00 0F B7 55 24 8B 08 FF 51 2C 8B 55 F4 66 89 42 0A 8B 45 F4 0F B6 55 20 88 50 0C 8B 45 F4 0F B6 55 1C 88 50 0D 8B 45 F4 66 C7 40 0E 00 00 8B 45 F4 8B 40 10 8B 55 18 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 14 8B 55 14 E8 ?? ?? ?? ?? 89 7D F0 8D 4D F0 8B D6 8B 45 F4 8B 38 FF 57 0C 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 17 8B 45 F0 50 8B C3 E8 ?? ?? ?? ?? 50 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule function_36596_0 {
	meta:
		name = "IdRawBuildIcmpEcho"
		size = 273
		refs = "001b @DynArrayLength 003e TArray<System.Byte> 0043 @DynArraySetLength 004d _Dn_TIdICMPHdr 0052 TIdICMPHdr.Create 005d IdRawBuildIcmpEcho 007c GStack 0094 TIdicmp_hun.Setecho_id 00b1 TIdicmp_hun.Setecho_seq 00d1 CopyTIdBytes 00fd TObject.Free 0103 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 66 89 4D FC 88 55 FE 88 45 FF 8B 75 08 8B 5D 0C 8B C3 E8 ?? ?? ?? ?? 83 C0 08 89 45 F4 8B 06 E8 ?? ?? ?? ?? 3B 45 F4 73 19 8B 45 F4 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 0F B6 55 FF 88 50 04 8B 45 F8 0F B6 55 FE 88 50 05 A1 ?? ?? ?? ?? 8B 00 0F B7 55 FC 8B 08 FF 51 2C 8B D0 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 0F B7 55 10 8B 08 FF 51 2C 8B D0 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 15 6A 08 8B C3 E8 ?? ?? ?? ?? 50 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8D 4D F4 8B D6 8B 45 F8 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_36597_0 {
	meta:
		name = "IdRawBuildIcmpMask"
		size = 301
		refs = "001b @DynArrayLength 003e TArray<System.Byte> 0043 @DynArraySetLength 004d _Dn_TIdICMPHdr 0052 TIdICMPHdr.Create 005d IdRawBuildIcmpMask 007c GStack 0094 TIdicmp_hun.Setecho_id 00b1 TIdicmp_hun.Setecho_seq 00cd TIdicmp_dun.Setmask 00ed CopyTIdBytes 0119 TObject.Free 011f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 66 89 4D FC 88 55 FE 88 45 FF 8B 75 08 8B 5D 0C 8B C3 E8 ?? ?? ?? ?? 83 C0 08 89 45 F4 8B 06 E8 ?? ?? ?? ?? 3B 45 F4 73 19 8B 45 F4 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 0F B6 55 FF 88 50 04 8B 45 F8 0F B6 55 FE 88 50 05 A1 ?? ?? ?? ?? 8B 00 0F B7 55 FC 8B 08 FF 51 2C 8B D0 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 0F B7 55 14 8B 08 FF 51 2C 8B D0 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 10 8B 08 FF 51 30 8B D0 8B 45 F8 8B 40 0C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 15 6A 0C 8B C3 E8 ?? ?? ?? ?? 50 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8D 4D F4 8B D6 8B 45 F8 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_36598_0 {
	meta:
		name = "IdRawBuildIcmpUnreach"
		size = 301
		refs = "0019 IdRawBuildIcmpUnreach 002d @DynArrayLength 0043 TArray<System.Byte> 0048 @DynArraySetLength 0052 _Dn_TIdICMPHdr 0057 TIdICMPHdr.Create 0085 TIdicmp_hun.Setecho_id 0092 TIdicmp_hun.Setecho_seq 00b4 ToBytes 00ca IdRawBuildIp 00f6 TObject.Free 00fc @HandleFinally 0119 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 1E 00 00 00 8B 06 E8 ?? ?? ?? ?? 3B 45 F4 73 19 8B 45 F4 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 88 58 04 8B 45 F8 0F B6 55 FF 88 50 05 8B 45 F8 8B 40 08 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 33 D2 E8 ?? ?? ?? ?? 0F B7 45 24 50 0F B6 45 20 50 0F B6 45 1C 50 8B 45 18 50 8B 45 14 50 8D 55 F0 8B 45 10 E8 ?? ?? ?? ?? 8B 45 F0 50 56 6A 08 0F B7 4D 28 0F B6 55 2C 33 C0 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8D 4D F4 8B D6 8B 45 F8 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C2 28 00 }
	condition:
		$1
}

rule function_36599_0 {
	meta:
		name = "IdRawBuildIcmpTimeExceed"
		size = 250
		refs = "0017 @DynArrayLength 003d TArray<System.Byte> 0042 @DynArraySetLength 004c _Dn_TIdICMPHdr 0051 TIdICMPHdr.Create 005c IdRawBuildIcmpTimeExceed 0083 TIdicmp_hun.Setecho_id 0090 TIdicmp_hun.Setecho_seq 00ba IdRawBuildIp 00e6 TObject.Free 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 55 FE 88 45 FF 8B 5D 08 8B 75 0C 8B C6 E8 ?? ?? ?? ?? 83 C0 08 83 C0 14 89 45 F4 8B 03 E8 ?? ?? ?? ?? 3B 45 F4 73 19 8B 45 F4 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 0F B6 55 FF 88 50 04 8B 45 F8 0F B6 55 FE 88 50 05 8B 45 F8 8B 40 08 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 33 D2 E8 ?? ?? ?? ?? 0F B7 45 20 50 0F B6 45 1C 50 0F B6 45 18 50 8B 45 14 50 8B 45 10 50 56 53 6A 08 0F B7 4D 24 0F B6 55 28 33 C0 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8D 4D F4 8B D3 8B 45 F8 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule function_36600_0 {
	meta:
		name = "IdRawBuildIcmpTimestamp"
		size = 357
		refs = "001b @DynArrayLength 003e TArray<System.Byte> 0043 @DynArraySetLength 004d _Dn_TIdICMPHdr 0052 TIdICMPHdr.Create 005d IdRawBuildIcmpTimestamp 007c GStack 0094 TIdicmp_hun.Setecho_id 00b1 TIdicmp_hun.Setecho_seq 00cd TIdicmp_dun.Setts_otime 00e9 TIdicmp_dun.Setts_rtime 0105 TIdicmp_dun.Setts_ttime 0125 CopyTIdBytes 0151 TObject.Free 0157 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 66 89 4D FC 88 55 FE 88 45 FF 8B 75 08 8B 5D 0C 8B C3 E8 ?? ?? ?? ?? 83 C0 1C 89 45 F4 8B 06 E8 ?? ?? ?? ?? 3B 45 F4 73 19 8B 45 F4 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 0F B6 55 FF 88 50 04 8B 45 F8 0F B6 55 FE 88 50 05 A1 ?? ?? ?? ?? 8B 00 0F B7 55 FC 8B 08 FF 51 2C 8B D0 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 0F B7 55 1C 8B 08 FF 51 2C 8B D0 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 18 8B 08 FF 51 30 8B D0 8B 45 F8 8B 40 0C E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 14 8B 08 FF 51 30 8B D0 8B 45 F8 8B 40 0C E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 10 8B 08 FF 51 30 8B D0 8B 45 F8 8B 40 0C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 15 6A 14 8B C3 E8 ?? ?? ?? ?? 50 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8D 4D F4 8B D6 8B 45 F8 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_36601_0 {
	meta:
		name = "IdRawBuildIcmpRedirect"
		size = 248
		refs = "001a @DynArrayLength 0040 TArray<System.Byte> 0045 @DynArraySetLength 004f _Dn_TIdICMPHdr 0054 TIdICMPHdr.Create 005f IdRawBuildIcmpRedirect 0080 TIdLongWord.Get_l 008d TIdicmp_hun.Setgateway_s_b1 00b7 IdRawBuildIp 00e3 TObject.Free 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 88 55 FE 88 45 FF 8B 5D 08 8B 75 0C 8B C6 E8 ?? ?? ?? ?? 83 C0 08 83 C0 14 89 45 F4 8B 03 E8 ?? ?? ?? ?? 3B 45 F4 73 19 8B 45 F4 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 0F B6 55 FF 88 50 04 8B 45 F8 0F B6 55 FE 88 50 05 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 0F B7 45 20 50 0F B6 45 1C 50 0F B6 45 18 50 8B 45 14 50 8B 45 10 50 56 53 6A 08 0F B7 4D 24 0F B6 55 28 33 C0 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8D 4D F4 8B D3 8B 45 F8 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 28 00 }
	condition:
		$1
}

rule function_36602_0 {
	meta:
		name = "IdRawBuildIgmp"
		size = 214
		refs = "001d @DynArrayLength 0033 TArray<System.Byte> 0038 @DynArraySetLength 0042 _Dn_TIdIGMPHdr 0047 TIdIGMPHdr.Create 0052 IdRawBuildIgmp 0078 TIdLongWord.Get_l 0085 TIdLongWord.Set_l 0095 CopyTIdWord 00c1 TObject.Free 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 88 55 FF 8B D8 8B 75 08 C7 45 F4 0A 00 00 00 8B 06 E8 ?? ?? ?? ?? 3B 45 F4 73 19 8B 45 F4 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 88 58 04 8B 45 F8 0F B6 55 FF 88 50 05 8B 45 F8 66 C7 40 06 00 00 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 8B D6 B9 08 00 00 00 0F B7 45 0C E8 ?? ?? ?? ?? 33 C0 89 45 F4 8D 4D F4 8B D6 8B 45 F8 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_36603_0 {
	meta:
		name = "IdRawBuildRip"
		size = 368
		refs = "001b @DynArrayLength 003e TArray<System.Byte> 0043 @DynArraySetLength 004d _Dn_TIdRIPHdr 0052 TIdStruct.Create 005d IdRawBuildRip 007c GStack 0130 CopyTIdBytes 015c TObject.Free 0162 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 66 89 4D FC 88 55 FE 88 45 FF 8B 75 08 8B 5D 0C 8B C3 E8 ?? ?? ?? ?? 83 C0 18 89 45 F4 8B 06 E8 ?? ?? ?? ?? 3B 45 F4 73 19 8B 45 F4 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 0F B6 55 FF 88 50 04 8B 45 F8 0F B6 55 FE 88 50 05 A1 ?? ?? ?? ?? 8B 00 0F B7 55 FC 8B 08 FF 51 2C 8B 55 F8 66 89 42 06 A1 ?? ?? ?? ?? 8B 00 0F B7 55 24 8B 08 FF 51 2C 8B 55 F8 66 89 42 08 A1 ?? ?? ?? ?? 8B 00 0F B7 55 20 8B 08 FF 51 2C 8B 55 F8 66 89 42 0A A1 ?? ?? ?? ?? 8B 00 8B 55 1C 8B 08 FF 51 30 8B 55 F8 89 42 0C A1 ?? ?? ?? ?? 8B 00 8B 55 18 8B 08 FF 51 30 8B 55 F8 89 42 10 A1 ?? ?? ?? ?? 8B 00 8B 55 14 8B 08 FF 51 30 8B 55 F8 89 42 14 A1 ?? ?? ?? ?? 8B 00 8B 55 10 8B 08 FF 51 30 8B 55 F8 89 42 18 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 15 6A 18 8B C3 E8 ?? ?? ?? ?? 50 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8D 4D F4 8B D6 8B 45 F8 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule function_36604_0 {
	meta:
		name = "IdRawBuildTcp"
		size = 344
		refs = "001c @DynArrayLength 003f TArray<System.Byte> 0044 @DynArraySetLength 004e _Dn_TIdTCPHdr 0053 TIdStruct.Create 005e IdRawBuildTcp 0069 GStack 0118 CopyTIdBytes 0144 TObject.Free 014a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F8 66 89 55 FC 66 89 45 FE 8B 5D 08 8B 75 0C 8B 03 E8 ?? ?? ?? ?? 83 C0 14 89 45 F0 8B 03 E8 ?? ?? ?? ?? 3B 45 F0 73 19 8B 45 F0 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 00 0F B7 55 FE 8B 08 FF 51 2C 8B 55 F4 66 89 42 04 A1 ?? ?? ?? ?? 8B 00 0F B7 55 FC 8B 08 FF 51 2C 8B 55 F4 66 89 42 06 A1 ?? ?? ?? ?? 8B 00 8B 55 F8 8B 08 FF 51 30 8B 55 F4 89 42 08 A1 ?? ?? ?? ?? 8B 00 8B 55 1C 8B 08 FF 51 30 8B 55 F4 89 42 0C 8B 45 F4 0F B6 55 18 88 50 11 8B 45 F4 C6 40 10 50 A1 ?? ?? ?? ?? 8B 00 0F B7 55 14 8B 08 FF 51 2C 8B 55 F4 66 89 42 12 8B 45 F4 66 C7 40 14 00 00 8B 45 F4 0F B7 55 10 66 89 50 16 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 15 6A 14 8B C6 E8 ?? ?? ?? ?? 50 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 F0 8D 4D F0 8B D3 8B 45 F4 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_36605_0 {
	meta:
		name = "IdRawBuildUdp"
		size = 269
		refs = "0018 @DynArrayLength 003b TArray<System.Byte> 0040 @DynArraySetLength 004a _Dn_TIdUDPHdr 004f TIdStruct.Create 005a IdRawBuildUdp 0065 GStack 00cd CopyTIdBytes 00f9 TObject.Free 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B D9 66 89 55 FC 66 89 45 FE 8B 75 08 8B C3 E8 ?? ?? ?? ?? 83 C0 08 89 45 F4 8B 06 E8 ?? ?? ?? ?? 3B 45 F4 73 19 8B 45 F4 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 00 0F B7 55 FE 8B 08 FF 51 2C 8B 55 F8 66 89 42 06 A1 ?? ?? ?? ?? 8B 00 0F B7 55 FC 8B 08 FF 51 2C 8B 55 F8 66 89 42 06 A1 ?? ?? ?? ?? 8B 00 8B 55 F4 8B 08 FF 51 30 8B 55 F8 66 89 42 08 8B 45 F8 66 C7 40 0A 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 15 6A 08 8B C3 E8 ?? ?? ?? ?? 50 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8D 4D F4 8B D6 8B 45 F8 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_36608_0 {
	meta:
		name = "TIdICMPEcho.GetBytesLen"
		size = 15
		refs = "0006 TIdStruct.GetBytesLen"
		altNames = "TIdICMPFrag.GetBytesLen TIdSunB.GetBytesLen TIdSunW.GetBytesLen"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C0 04 5B C3 }
	condition:
		$1
}

rule function_36609_0 {
	meta:
		name = "TIdSunB.ReadStruct"
		size = 68
		refs = "0010 TIdStruct.ReadStruct"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 03 0F B6 04 07 88 46 04 FF 03 8B 03 0F B6 04 07 88 46 05 FF 03 8B 03 0F B6 04 07 88 46 06 FF 03 8B 03 0F B6 04 07 88 46 07 FF 03 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36610_0 {
	meta:
		name = "TIdSunB.WriteStruct"
		size = 76
		refs = "0010 TIdStruct.WriteStruct"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 03 8B 17 0F B6 4E 04 88 0C 02 FF 03 8B 03 8B 17 0F B6 4E 05 88 0C 02 FF 03 8B 03 8B 17 0F B6 4E 06 88 0C 02 FF 03 8B 03 8B 17 0F B6 4E 07 88 0C 02 FF 03 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36612_0 {
	meta:
		name = "TIdICMPEcho.ReadStruct"
		size = 56
		refs = "0010 TIdStruct.ReadStruct 0019 BytesToWord"
		altNames = "TIdICMPFrag.ReadStruct TIdSunW.ReadStruct"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 04 83 03 02 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 06 83 03 02 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36613_0 {
	meta:
		name = "TIdICMPEcho.WriteStruct"
		size = 66
		refs = "0010 TIdStruct.WriteStruct 0019 HostToLittleEndian 0022 CopyTIdWord"
		altNames = "TIdICMPFrag.WriteStruct TIdSunW.WriteStruct"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 0F B7 46 04 E8 ?? ?? ?? ?? 8B 0B 8B D7 E8 ?? ?? ?? ?? 83 03 02 0F B7 46 06 E8 ?? ?? ?? ?? 8B 0B 8B D7 E8 ?? ?? ?? ?? 83 03 02 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36620_0 {
	meta:
		name = "TIdDNSHdr.GetBytesLen"
		size = 15
		refs = "0006 TIdStruct.GetBytesLen"
		altNames = "TIdICMPTs.GetBytesLen"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C0 0C 5B C3 }
	condition:
		$1
}

rule function_36621_0 {
	meta:
		name = "TIdICMPTs.ReadStruct"
		size = 69
		refs = "0010 TIdStruct.ReadStruct 0019 BytesToLongWord"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 13 8B C7 E8 ?? ?? ?? ?? 89 46 04 83 03 04 8B 13 8B C7 E8 ?? ?? ?? ?? 89 46 08 83 03 04 8B 13 8B C7 E8 ?? ?? ?? ?? 89 46 0C 83 03 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36622_0 {
	meta:
		name = "TIdICMPTs.WriteStruct"
		size = 84
		refs = "0010 TIdStruct.WriteStruct 0018 HostToLittleEndian 0021 CopyTIdWord"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B 0B 8B D7 E8 ?? ?? ?? ?? 83 03 04 8B 46 08 E8 ?? ?? ?? ?? 8B 0B 8B D7 E8 ?? ?? ?? ?? 83 03 04 8B 46 0C E8 ?? ?? ?? ?? 8B 0B 8B D7 E8 ?? ?? ?? ?? 83 03 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36628_0 {
	meta:
		name = "TIdicmp_hun.Getgateway_s_w1"
		size = 15
		refs = "0009 BytesToLongWord"
	strings:
		$1 = { 53 8B D8 33 D2 8B 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_36629_0 {
	meta:
		name = "TIdicmp_hun.Setgateway_s_w1"
		size = 15
		refs = "000a CopyTIdLongWord"
	strings:
		$1 = { 0F B7 D2 83 C0 04 33 C9 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36630_0 {
	meta:
		name = "TIdLongWord.Gets_w2"
		size = 14
		refs = "0009 BytesToWord"
		altNames = "TIdicmp_hun.Getgateway_s_w2"
	strings:
		$1 = { BA 02 00 00 00 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36631_0 {
	meta:
		name = "TIdicmp_hun.Setgateway_s_w2"
		size = 29
		refs = "0009 HostToLittleEndian 0016 CopyTIdWord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8D 53 04 B9 02 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36632_0 {
	meta:
		name = "TIdLongWord.Gets_b1"
		size = 7
		altNames = "TIdicmp6_un.Geticmp6_data8 TIdicmp_dun.Getdata TIdicmp_hun.Getgateway_s_b1"
	strings:
		$1 = { 8B 40 04 0F B6 00 C3 }
	condition:
		$1
}

rule function_36633_0 {
	meta:
		name = "TIdLongWord.Sets_b1"
		size = 6
		altNames = "TIdicmp6_un.Seticmp6_data8 TIdicmp_dun.setdata TIdicmp_hun.Setgateway_s_b1"
	strings:
		$1 = { 8B 40 04 88 10 C3 }
	condition:
		$1
}

rule function_36634_0 {
	meta:
		name = "TIdLongWord.Gets_b2"
		size = 8
		altNames = "TIdicmp_hun.Getgateway_s_b2"
	strings:
		$1 = { 8B 40 04 0F B6 40 01 C3 }
	condition:
		$1
}

rule function_36635_0 {
	meta:
		name = "TIdLongWord.Sets_b2"
		size = 7
		altNames = "TIdicmp_hun.Setgateway_s_b2"
	strings:
		$1 = { 8B 40 04 88 50 01 C3 }
	condition:
		$1
}

rule function_36636_0 {
	meta:
		name = "TIdLongWord.Gets_b3"
		size = 8
		altNames = "TIdicmp_hun.Getgateway_s_b3"
	strings:
		$1 = { 8B 40 04 0F B6 40 02 C3 }
	condition:
		$1
}

rule function_36637_0 {
	meta:
		name = "TIdLongWord.Sets_b3"
		size = 7
		altNames = "TIdicmp_hun.Setgateway_s_b3"
	strings:
		$1 = { 8B 40 04 88 50 02 C3 }
	condition:
		$1
}

rule function_36638_0 {
	meta:
		name = "TIdLongWord.Gets_b4"
		size = 8
		altNames = "TIdicmp_hun.Getgateway_s_b4"
	strings:
		$1 = { 8B 40 04 0F B6 40 03 C3 }
	condition:
		$1
}

rule function_36639_0 {
	meta:
		name = "TIdLongWord.Sets_b4"
		size = 7
		altNames = "TIdicmp_hun.Setgateway_s_b4"
	strings:
		$1 = { 8B 40 04 88 50 03 C3 }
	condition:
		$1
}

rule function_36640_0 {
	meta:
		name = "TIdLongWord.Get_l"
		size = 11
		refs = "0006 BytesToLongWord"
		altNames = "TIdicmp6_un.Geticmp6_un_data32 TIdicmp_dun.Getts_otime TIdicmp_hun.Getgateway_s_l"
	strings:
		$1 = { 33 D2 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37987_0 {
	meta:
		name = "TIdLongWord.Gets_w1"
		size = 11
		refs = "0006 BytesToWord"
	strings:
		$1 = { 33 D2 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36717_0 {
	meta:
		name = "TIdicmp6_un.Geticmp6_data16"
		size = 11
		refs = "0006 BytesToWord"
	strings:
		$1 = { 33 D2 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36641_0 {
	meta:
		name = "TIdLongWord.Set_l"
		size = 12
		refs = "0007 CopyTIdLongWord"
		altNames = "TIdicmp6_un.Seticmp6_un_data32 TIdicmp_dun.Setts_otime TIdicmp_hun.Setgateway_s_l"
	strings:
		$1 = { 83 C0 04 33 C9 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37988_0 {
	meta:
		name = "TIdLongWord.SetS_w1"
		size = 12
		refs = "0007 CopyTIdWord"
	strings:
		$1 = { 83 C0 04 33 C9 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36718_0 {
	meta:
		name = "TIdicmp6_un.Seticmp6_data16"
		size = 12
		refs = "0007 CopyTIdWord"
	strings:
		$1 = { 83 C0 04 33 C9 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36649_0 {
	meta:
		name = "TIdicmp_dun.Getts_rtime"
		size = 14
		refs = "0009 BytesToLongWord"
		altNames = "TIdicmp_dun.Getts_ttime"
	strings:
		$1 = { BA 04 00 00 00 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36650_0 {
	meta:
		name = "TIdicmp_dun.Setts_rtime"
		size = 15
		refs = "000a CopyTIdLongWord"
	strings:
		$1 = { 83 C0 04 B9 04 00 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36652_0 {
	meta:
		name = "TIdicmp_dun.Setts_ttime"
		size = 15
		refs = "000a CopyTIdLongWord"
	strings:
		$1 = { 83 C0 04 B9 08 00 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36657_0 {
	meta:
		name = "TIdICMPHdr.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TIdStruct.Create 001e _DV_TIdicmp_hun 0023 TIdicmp_hun.Create 002d _DV_TIdicmp_dun 0032 TIdicmp_dun.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36659_0 {
	meta:
		name = "TIdICMPHdr.GetBytesLen"
		size = 39
		refs = "0010 TIdStruct.GetBytesLen"
	strings:
		$1 = { 53 56 8B D8 8B 43 08 8B 10 FF 12 8B F0 8B C3 E8 ?? ?? ?? ?? 83 C0 04 03 F0 8B 43 0C 8B 10 FF 12 03 F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36660_0 {
	meta:
		name = "TIdICMPHdr.ReadStruct"
		size = 88
		refs = "0011 TIdStruct.ReadStruct 0030 BytesToWord"
	strings:
		$1 = { 53 56 57 55 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 03 0F B6 04 07 88 46 04 FF 03 8B 03 0F B6 04 07 88 46 05 FF 03 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 06 83 03 02 8B CB 8B D7 8B 46 08 8B 28 FF 55 08 8B CB 8B D7 8B 46 0C 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36661_0 {
	meta:
		name = "TIdICMPHdr.WriteStruct"
		size = 92
		refs = "0011 TIdStruct.WriteStruct 0038 CopyTIdWord"
	strings:
		$1 = { 53 56 57 55 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 03 8B 17 0F B6 4E 04 88 0C 02 FF 03 8B 03 8B 17 0F B6 4E 05 88 0C 02 FF 03 8B 0B 8B D7 0F B7 46 06 E8 ?? ?? ?? ?? 83 03 02 8B CB 8B D7 8B 46 08 8B 28 FF 55 0C 8B CB 8B D7 8B 46 0C 8B 18 FF 53 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36663_0 {
	meta:
		name = "TIdEtherAddr.getether_addr_octet"
		size = 8
		altNames = "TIdIPOptions.get_ipopt_list TIdTCPOptions.gettcpopt_list TIdicmp6_un.Geticmp6_un_data8"
	strings:
		$1 = { 8B 40 04 0F B6 04 10 C3 }
	condition:
		$1
}

rule function_36664_0 {
	meta:
		name = "TIdEtherAddr.setether_addr_octet"
		size = 7
		altNames = "TIdIPOptions.set_ipopt_list TIdTCPOptions.settcpopt_list TIdicmp6_un.Seticmp6_un_data8"
	strings:
		$1 = { 8B 40 04 88 0C 10 C3 }
	condition:
		$1
}

rule function_36665_0 {
	meta:
		name = "TIdIPHdr.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TIdStruct.Create 001e _DV_TIdInAddr 0023 TIdLongWord.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_97248_0 {
	meta:
		name = "TAdapterHiddenFieldsList.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TStringList 0023 TStringList.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36667_0 {
	meta:
		name = "TIdIPHdr.GetBytesLen"
		size = 42
		refs = "0010 TIdStruct.GetBytesLen"
	strings:
		$1 = { 53 56 8B D8 8B 43 10 8B 10 FF 12 8B F0 8B C3 E8 ?? ?? ?? ?? 83 C0 0C 03 F0 8B 43 14 8B 10 FF 12 03 F0 8B C6 83 C0 04 5E 5B C3 }
	condition:
		$1
}

rule function_36668_0 {
	meta:
		name = "TIdIPHdr.CopyFrom"
		size = 97
		refs = "0049 TIdInAddr.CopyFrom"
	strings:
		$1 = { 53 56 8B F2 8B D8 0F B6 46 04 88 43 04 0F B6 46 05 88 43 05 0F B7 46 06 66 89 43 06 0F B7 46 08 66 89 43 08 0F B7 46 0A 66 89 43 0A 0F B6 46 0C 88 43 0C 0F B6 46 0D 88 43 0D 0F B7 46 0E 66 89 43 0E 8B 56 10 8B 43 10 E8 ?? ?? ?? ?? 8B 56 14 8B 43 14 E8 ?? ?? ?? ?? 8B 46 18 89 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_36669_0 {
	meta:
		name = "TIdIPHdr.ReadStruct"
		size = 196
		refs = "0012 TIdStruct.ReadStruct 003d BytesToWord 00b2 BytesToLongWord"
	strings:
		$1 = { 53 56 57 55 51 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 03 0F B6 04 07 88 46 04 FF 03 24 0F 0F B6 C0 03 C0 03 C0 89 04 24 8B 03 0F B6 04 07 88 46 05 FF 03 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 06 83 03 02 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 08 83 03 02 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 0A 83 03 02 8B 03 0F B6 04 07 88 46 0C FF 03 8B 03 0F B6 04 07 88 46 0D FF 03 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 0E 83 03 02 8B CB 8B D7 8B 46 10 8B 28 FF 55 08 8B CB 8B D7 8B 46 14 8B 28 FF 55 08 8B 03 3B 04 24 72 0C 8B 13 8B C7 E8 ?? ?? ?? ?? 89 46 18 8B 04 24 89 03 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36670_0 {
	meta:
		name = "TIdIPHdr.WriteStruct"
		size = 181
		refs = "0011 TIdStruct.WriteStruct 0038 CopyTIdWord 00a9 CopyTIdLongWord"
	strings:
		$1 = { 53 56 57 55 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 03 8B 17 0F B6 4E 04 88 0C 02 FF 03 8B 03 8B 17 0F B6 4E 05 88 0C 02 FF 03 8B 0B 8B D7 0F B7 46 06 E8 ?? ?? ?? ?? 83 03 02 8B 0B 8B D7 0F B7 46 08 E8 ?? ?? ?? ?? 83 03 02 8B 0B 8B D7 0F B7 46 0A E8 ?? ?? ?? ?? 83 03 02 8B 03 8B 17 0F B6 04 02 88 46 0C FF 03 8B 03 8B 17 0F B6 04 02 88 46 0D FF 03 8B 0B 8B D7 0F B7 46 0E E8 ?? ?? ?? ?? 83 03 02 8B CB 8B D7 8B 46 10 8B 28 FF 55 0C 8B CB 8B D7 8B 46 14 8B 28 FF 55 0C 8B 0B 8B D7 8B 46 18 E8 ?? ?? ?? ?? 83 03 04 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36674_0 {
	meta:
		name = "TIdTCPHdr.GetBytesLen"
		size = 15
		refs = "0006 TIdStruct.GetBytesLen"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C0 14 5B C3 }
	condition:
		$1
}

rule function_36675_0 {
	meta:
		name = "TIdTCPHdr.ReadStruct"
		size = 156
		refs = "0010 TIdStruct.ReadStruct 0019 BytesToWord 0039 BytesToLongWord"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 04 83 03 02 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 06 83 03 02 8B 13 8B C7 E8 ?? ?? ?? ?? 89 46 08 83 03 04 8B 13 8B C7 E8 ?? ?? ?? ?? 89 46 0C 83 03 04 8B 03 0F B6 04 07 88 46 10 FF 03 8B 03 0F B6 04 07 88 46 11 FF 03 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 12 83 03 02 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 14 83 03 02 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 16 83 03 02 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36676_0 {
	meta:
		name = "TIdTCPHdr.WriteStruct"
		size = 160
		refs = "0010 TIdStruct.WriteStruct 001d CopyTIdWord 003c CopyTIdLongWord"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 0B 8B D7 0F B7 46 04 E8 ?? ?? ?? ?? 83 03 02 8B 0B 8B D7 0F B7 46 06 E8 ?? ?? ?? ?? 83 03 02 8B 0B 8B D7 8B 46 08 E8 ?? ?? ?? ?? 83 03 04 8B 0B 8B D7 8B 46 0C E8 ?? ?? ?? ?? 83 03 04 8B 03 8B 17 0F B6 4E 10 88 0C 02 FF 03 8B 03 8B 17 0F B6 4E 11 88 0C 02 FF 03 8B 0B 8B D7 0F B7 46 12 E8 ?? ?? ?? ?? 83 03 02 8B 0B 8B D7 0F B7 46 14 E8 ?? ?? ?? ?? 83 03 02 8B 0B 8B D7 0F B7 46 16 E8 ?? ?? ?? ?? 83 03 02 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36677_0 {
	meta:
		name = "TIdUDPHdr.GetBytesLen"
		size = 15
		refs = "0006 TIdStruct.GetBytesLen"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C0 08 5B C3 }
	condition:
		$1
}

rule function_36678_0 {
	meta:
		name = "TIdUDPHdr.ReadStruct"
		size = 88
		refs = "0010 TIdStruct.ReadStruct 0019 BytesToWord"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 04 83 03 02 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 06 83 03 02 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 08 83 03 02 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 0A 83 03 02 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36679_0 {
	meta:
		name = "TIdUDPHdr.WriteStruct"
		size = 88
		refs = "0010 TIdStruct.WriteStruct 001d CopyTIdWord"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 0B 8B D7 0F B7 46 04 E8 ?? ?? ?? ?? 83 03 02 8B 0B 8B D7 0F B7 46 06 E8 ?? ?? ?? ?? 83 03 02 8B 0B 8B D7 0F B7 46 08 E8 ?? ?? ?? ?? 83 03 02 8B 0B 8B D7 0F B7 46 0A E8 ?? ?? ?? ?? 83 03 02 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36682_0 {
	meta:
		name = "TIdIGMPHdr.GetBytesLen"
		size = 30
		refs = "0010 TIdStruct.GetBytesLen"
		altNames = "TIdicmp6_hdr.GetBytesLen"
	strings:
		$1 = { 53 56 8B D8 8B 43 08 8B 10 FF 12 8B F0 8B C3 E8 ?? ?? ?? ?? 83 C0 04 03 F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36683_0 {
	meta:
		name = "TIdIGMPHdr.ReadStruct"
		size = 74
		refs = "0010 TIdStruct.ReadStruct 002f BytesToWord"
		altNames = "TIdicmp6_hdr.ReadStruct"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 03 0F B6 04 07 88 46 04 FF 03 8B 03 0F B6 04 07 88 46 05 FF 03 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 06 83 03 02 8B CB 8B D7 8B 46 08 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36684_0 {
	meta:
		name = "TIdIGMPHdr.WriteStruct"
		size = 78
		refs = "0010 TIdStruct.WriteStruct 0037 CopyTIdWord"
		altNames = "TIdicmp6_hdr.WriteStruct"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 03 8B 17 0F B6 4E 04 88 0C 02 FF 03 8B 03 8B 17 0F B6 4E 05 88 0C 02 FF 03 8B 0B 8B D7 0F B7 46 06 E8 ?? ?? ?? ?? 83 03 02 8B CB 8B D7 8B 46 08 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36689_0 {
	meta:
		name = "TIdEtherAddr.SetData"
		size = 17
		refs = "000c CopyTIdBytes"
	strings:
		$1 = { 6A 00 6A 06 8D 48 04 8B C2 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36692_0 {
	meta:
		name = "TIdEthernetHdr.GetBytesLen"
		size = 39
		refs = "0010 TIdStruct.GetBytesLen"
	strings:
		$1 = { 53 56 8B D8 8B 43 04 8B 10 FF 12 8B F0 8B C3 E8 ?? ?? ?? ?? 03 F0 8B 43 08 8B 10 FF 12 03 F0 8B C6 83 C0 02 5E 5B C3 }
	condition:
		$1
}

rule function_36693_0 {
	meta:
		name = "TIdEthernetHdr.ReadStruct"
		size = 66
		refs = "0011 TIdStruct.ReadStruct 0032 BytesToWord"
	strings:
		$1 = { 53 56 57 55 8B F1 8B FA 8B D8 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8B CE 8B D7 8B 43 04 8B 28 FF 55 08 8B CE 8B D7 8B 43 08 8B 28 FF 55 08 8B 16 8B C7 E8 ?? ?? ?? ?? 66 89 43 0C 83 06 02 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36694_0 {
	meta:
		name = "TIdEthernetHdr.WriteStruct"
		size = 66
		refs = "0011 TIdStruct.WriteStruct 0036 CopyTIdWord"
	strings:
		$1 = { 53 56 57 55 8B F1 8B FA 8B D8 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8B CE 8B D7 8B 43 04 8B 28 FF 55 0C 8B CE 8B D7 8B 43 08 8B 28 FF 55 0C 8B 0E 8B D7 0F B7 43 0C E8 ?? ?? ?? ?? 83 06 02 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36695_0 {
	meta:
		name = "TIdEthernetHdr.CopyFrom"
		size = 39
		refs = "000d TIdEtherAddr.CopyFrom"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 56 04 8B 43 04 E8 ?? ?? ?? ?? 8B 56 08 8B 43 08 E8 ?? ?? ?? ?? 0F B7 46 0C 66 89 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_36697_0 {
	meta:
		name = "TIdARPHdr.Destroy"
		size = 100
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0052 TObject.Destroy 005d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36698_0 {
	meta:
		name = "TIdARPHdr.GetBytesLen"
		size = 57
		refs = "0010 TIdStruct.GetBytesLen"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 8B 10 FF 12 8B F0 8B C3 E8 ?? ?? ?? ?? 83 C0 08 03 F0 8B 43 10 8B 10 FF 12 03 F0 8B 43 14 8B 10 FF 12 03 F0 8B 43 18 8B 10 FF 12 03 F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36699_0 {
	meta:
		name = "TIdARPHdr.ReadStruct"
		size = 144
		refs = "0011 TIdStruct.ReadStruct 001a BytesToWord"
	strings:
		$1 = { 53 56 57 55 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 04 83 03 02 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 06 83 03 02 8B 03 0F B6 04 07 88 46 08 FF 03 8B 03 0F B6 04 07 88 46 09 FF 03 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 0A 83 03 02 8B CB 8B D7 8B 46 0C 8B 28 FF 55 08 8B CB 8B D7 8B 46 10 8B 28 FF 55 08 8B CB 8B D7 8B 46 14 8B 28 FF 55 08 8B CB 8B D7 8B 46 18 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36700_0 {
	meta:
		name = "TIdARPHdr.WriteStruct"
		size = 148
		refs = "0011 TIdStruct.WriteStruct 001e CopyTIdWord"
	strings:
		$1 = { 53 56 57 55 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 0B 8B D7 0F B7 46 04 E8 ?? ?? ?? ?? 83 03 02 8B 0B 8B D7 0F B7 46 06 E8 ?? ?? ?? ?? 83 03 02 8B 03 8B 17 0F B6 4E 08 88 0C 02 FF 03 8B 03 8B 17 0F B6 4E 09 88 0C 02 FF 03 8B 0B 8B D7 0F B7 46 0A E8 ?? ?? ?? ?? 83 03 02 8B CB 8B D7 8B 46 0C 8B 28 FF 55 0C 8B CB 8B D7 8B 46 10 8B 28 FF 55 0C 8B CB 8B D7 8B 46 14 8B 28 FF 55 0C 8B CB 8B D7 8B 46 18 8B 18 FF 53 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36702_0 {
	meta:
		name = "TIdDNSHdr.ReadStruct"
		size = 120
		refs = "0010 TIdStruct.ReadStruct 0019 BytesToWord"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 04 83 03 02 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 06 83 03 02 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 08 83 03 02 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 0A 83 03 02 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 0C 83 03 02 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 0E 83 03 02 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36703_0 {
	meta:
		name = "TIdDNSHdr.WriteStruct"
		size = 120
		refs = "0010 TIdStruct.WriteStruct 001d CopyTIdWord"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 0B 8B D7 0F B7 46 04 E8 ?? ?? ?? ?? 83 03 02 8B 0B 8B D7 0F B7 46 06 E8 ?? ?? ?? ?? 83 03 02 8B 0B 8B D7 0F B7 46 08 E8 ?? ?? ?? ?? 83 03 02 8B 0B 8B D7 0F B7 46 0A E8 ?? ?? ?? ?? 83 03 02 8B 0B 8B D7 0F B7 46 0C E8 ?? ?? ?? ?? 83 03 02 8B 0B 8B D7 0F B7 46 0E E8 ?? ?? ?? ?? 83 03 02 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36704_0 {
	meta:
		name = "TIdRIPHdr.GetBytesLen"
		size = 15
		refs = "0006 TIdStruct.GetBytesLen"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C0 18 5B C3 }
	condition:
		$1
}

rule function_36705_0 {
	meta:
		name = "TIdRIPHdr.ReadStruct"
		size = 154
		refs = "0010 TIdStruct.ReadStruct 002f BytesToWord 005f BytesToLongWord"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 03 0F B6 04 07 88 46 04 FF 03 8B 03 0F B6 04 07 88 46 05 FF 03 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 06 83 03 02 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 08 83 03 02 8B 13 8B C7 E8 ?? ?? ?? ?? 66 89 46 0A 83 03 02 8B 13 8B C7 E8 ?? ?? ?? ?? 89 46 0C 83 03 04 8B 13 8B C7 E8 ?? ?? ?? ?? 89 46 10 83 03 04 8B 13 8B C7 E8 ?? ?? ?? ?? 89 46 14 83 03 04 8B 13 8B C7 E8 ?? ?? ?? ?? 89 46 18 83 03 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36706_0 {
	meta:
		name = "TIdRIPHdr.WriteStruct"
		size = 158
		refs = "0010 TIdStruct.WriteStruct 0037 CopyTIdWord 0066 CopyTIdLongWord"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 03 8B 17 0F B6 4E 04 88 0C 02 FF 03 8B 03 8B 17 0F B6 4E 05 88 0C 02 FF 03 8B 0B 8B D7 0F B7 46 06 E8 ?? ?? ?? ?? 83 03 02 8B 0B 8B D7 0F B7 46 08 E8 ?? ?? ?? ?? 83 03 02 8B 0B 8B D7 0F B7 46 0A E8 ?? ?? ?? ?? 83 03 02 8B 0B 8B D7 8B 46 0C E8 ?? ?? ?? ?? 83 03 04 8B 0B 8B D7 8B 46 10 E8 ?? ?? ?? ?? 83 03 04 8B 0B 8B D7 8B 46 14 E8 ?? ?? ?? ?? 83 03 04 8B 0B 8B D7 8B 46 18 E8 ?? ?? ?? ?? 83 03 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36709_0 {
	meta:
		name = "TIdicmp6_un.Geticmp6_un_data16"
		size = 44
		refs = "0011 BytesToWord"
	strings:
		$1 = { 33 C9 83 EA 01 72 04 74 11 EB 1E 33 D2 8B 40 04 E8 ?? ?? ?? ?? 8B C8 8B C1 C3 BA 02 00 00 00 8B 40 04 E8 ?? ?? ?? ?? 8B C8 8B C1 C3 }
	condition:
		$1
}

rule function_36710_0 {
	meta:
		name = "TIdicmp6_un.Seticmp6_un_data16"
		size = 38
		refs = "0011 CopyTIdWord"
	strings:
		$1 = { 83 EA 01 72 04 74 0F EB 1C 8D 50 04 8B C1 33 C9 E8 ?? ?? ?? ?? C3 8D 50 04 8B C1 B9 02 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36728_0 {
	meta:
		name = "TIdRemoteCMDClient.InitComponent"
		size = 26
		refs = "0006 TIdTCPClientCustom.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 10 01 00 00 01 C6 83 11 01 00 00 01 5B C3 }
	condition:
		$1
}

rule function_36731_0 {
	meta:
		name = "SendAuthentication"
		size = 264
		refs = "0010 SendAuthentication 0021 IntToStr 002e @UStrCat 005a @UStrCat3 00e5 @UStrArrayClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 0F B7 C3 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 8B 45 08 8B 50 F8 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 FC 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 8B 45 08 8B 50 F4 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 8B 40 FC 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 8B 45 08 8B 50 0C 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 8B 40 FC 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_36732_0 {
	meta:
		name = "TIdRemoteCMDClient.InternalExec"
		size = 964
		refs = "0022 @UStrAddRef 003a TIdRemoteCMDClient.InternalExec 0047 @UStrClr 005f TIdTCPClientCustom.SetBoundPortMin 006b TIdTCPClientCustom.SetBoundPortMax 0097 _Dn_TIdIOHandlerStack 009c TIdBaseComponent.Create 00d8 _Dn_TIdSimpleServer 010d @UStrAsg 014c _DV_TIdStdErrThread 0151 TIdStdErrThread.Create 016b TIdSimpleServer.GetBinding 0174 SendAuthentication 01a4 TIdIOHandler.ReadString 01b1 @UStrEqual 021e @HandleFinally 0248 TThread.WaitFor 026a TObject.Free 0368 TIdTCPConnection.Disconnect 038a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 DB 89 5D E0 89 5D E4 89 5D E8 89 4D F4 89 55 F8 89 45 FC 8B 5D 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 10 01 00 00 00 74 1A 66 BA 00 02 8B 45 FC E8 ?? ?? ?? ?? 66 BA FF 03 8B 45 FC E8 ?? ?? ?? ?? EB 14 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 B0 00 00 00 00 75 19 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 60 8B 45 FC 8B 10 FF 92 AC 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 80 B8 11 01 00 00 00 0F 84 C5 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 05 C0 00 00 00 8B 55 FC 8B 92 B0 00 00 00 8B 92 D8 00 00 00 8B 52 18 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 80 C0 00 00 00 8B 55 F0 66 89 82 C6 00 00 00 8B 45 FC 0F B7 80 BE 00 00 00 8B 55 F0 66 89 82 C8 00 00 00 8B 45 F0 8B 10 FF 92 A4 00 00 00 6A 00 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 55 8B 45 F0 E8 ?? ?? ?? ?? 0F B7 40 20 E8 ?? ?? ?? ?? 59 8B 45 EC 8B 10 FF 52 34 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 50 8B 45 FC 8B 80 98 00 00 00 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 95 C0 8B 55 FC 88 82 18 01 00 00 6A 00 6A 00 33 D2 8B 45 FC 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 45 FC 8B 80 98 00 00 00 33 D2 8B 18 FF 93 B8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 4C 8B 45 FC 05 14 01 00 00 8B 55 EC 8B 52 74 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 92 A0 00 00 00 8B 45 EC 8B 10 FF 52 3C 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 55 33 C0 E8 ?? ?? ?? ?? 59 8D 45 E4 50 8B 45 FC 8B 80 98 00 00 00 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 95 C0 8B 55 FC 88 82 18 01 00 00 6A 00 6A 00 33 D2 8B 45 FC 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 18 01 00 00 00 74 28 8D 4D E0 8B 45 FC 8B 80 98 00 00 00 33 D2 8B 18 FF 93 B8 00 00 00 8B 55 E0 8B 45 FC 05 14 01 00 00 E8 ?? ?? ?? ?? EB 15 8B CB 8B 45 FC 8B 80 98 00 00 00 33 D2 8B 18 FF 93 B8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_36733_0 {
	meta:
		name = "TIdStdErrThread.Create"
		size = 91
		refs = "000e @ClassCreate 0023 TIdThread.Create 0044 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 6A 01 6A 00 B1 01 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 70 C6 47 0F 00 C6 47 50 00 8B 47 70 8B 10 FF 92 A4 00 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_36734_0 {
	meta:
		name = "TIdStdErrThread.Run"
		size = 104
		refs = "000d TIdStdErrThread.Run 0042 @UStrAsg 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CA FF 8B 43 70 8B 08 FF 91 AC 00 00 00 8D 4D FC 8B 43 70 8B 80 98 00 00 00 33 D2 8B 30 FF 96 B8 00 00 00 8B 55 FC 8D 43 74 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36738_0 {
	meta:
		name = "ExecuteCMD"
		size = 660
		refs = "0016 ExecuteCMD 0066 IndyStrToInt 0084 _Dn_TIdTCPClient 0089 TIdBaseComponent.Create 00ad TIdTCPClientCustom.SetBoundPortMin 00bc TIdTCPClientCustom.SetBoundPortMax 00db TIdTCPClientCustom.SetBoundIP 0145 @HandleOnException 014d _Dn_EIdSocketError 0156 @RaiseAgain 015b @DoneExcept 018e @UStrLAsg 022f TIdTCPConnection.Disconnect 024f TObject.Free 0255 @HandleFinally 0271 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B 5D 08 83 C3 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 C6 40 FB 01 8B 45 08 33 D2 89 50 FC 6A FF 6A 00 8D 45 FC 50 8B 03 8B 40 14 8B 80 98 00 00 00 83 C9 FF BA ?? ?? ?? ?? 8B 30 FF 96 C4 00 00 00 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 55 08 66 89 42 F2 8B 45 08 66 83 78 F2 00 0F 84 E2 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 FC 8B 45 08 8B 40 EC 80 B8 19 01 00 00 00 74 1E 8B 45 08 8B 40 FC 66 BA 00 02 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 66 BA FF 03 E8 ?? ?? ?? ?? 8B 03 8B 40 14 8B 80 B0 00 00 00 8B 80 D8 00 00 00 8B 50 18 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 03 8B 40 14 8B 80 B0 00 00 00 8B 80 D8 00 00 00 8B 50 1C 8B 45 08 8B 40 FC 8B 08 FF 91 A0 00 00 00 8B 45 08 0F B7 50 F2 8B 45 08 8B 40 FC 8B 08 FF 91 A4 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 FC 8B 10 FF 92 AC 00 00 00 33 C0 5A 59 59 64 89 10 EB 25 33 C0 5A 59 59 64 89 10 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB B5 6A FF 6A 00 8D 45 F8 50 8B 03 8B 40 14 8B 80 98 00 00 00 83 C9 FF BA ?? ?? ?? ?? 8B 30 FF 96 C4 00 00 00 8B 55 F8 8B 45 08 83 C0 E8 E8 ?? ?? ?? ?? 6A FF 6A 00 8D 45 F4 50 8B 03 8B 40 14 8B 80 98 00 00 00 83 C9 FF BA ?? ?? ?? ?? 8B 30 FF 96 C4 00 00 00 8B 55 F4 8B 45 08 83 C0 E4 E8 ?? ?? ?? ?? 6A FF 6A 00 8D 45 F0 50 8B 03 8B 40 14 8B 80 98 00 00 00 83 C9 FF BA ?? ?? ?? ?? 8B 30 FF 96 C4 00 00 00 8B 55 F0 8B 45 08 83 C0 E0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E8 50 8B 45 08 8B 40 E4 50 8B 45 08 8B 40 E0 50 8B 45 08 8B 48 FC 8B 13 8B 45 08 8B 40 EC 8B 18 FF 93 B0 00 00 00 8B 45 08 83 78 FC 00 74 0B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 08 33 C9 89 4A FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_36739_0 {
	meta:
		name = "TIdRemoteCMDServer.DoExecute"
		size = 171
		refs = "001c TIdRemoteCMDServer.DoExecute 0040 _Dn_TIdIOHandlerSocket 0045 @AsClass 0063 ExecuteCMD 0078 TIdTCPConnection.Disconnect 0096 @UStrArrayClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 C9 89 4D E8 89 4D E4 89 4D E0 89 55 F4 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 80 B8 18 01 00 00 00 74 38 8B 45 F4 8B 40 14 8B 80 98 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 D8 00 00 00 0F B7 58 20 66 81 FB 00 02 73 07 66 81 FB FF 03 77 10 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 8B 45 F4 8B 40 14 E8 ?? ?? ?? ?? C6 45 FB 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_36740_0 {
	meta:
		name = "TIdRemoteCMDServer.SendError"
		size = 133
		refs = "000d @UStrAddRef 0015 TIdRemoteCMDServer.SendError 002f TIdIOHandler.Write 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 14 8B 80 98 00 00 00 33 C9 66 BA 01 00 E8 ?? ?? ?? ?? 85 F6 74 15 33 C9 8B 55 08 8B 86 98 00 00 00 8B 18 FF 93 A0 00 00 00 EB 16 8B 43 14 8B 80 98 00 00 00 33 C9 8B 55 08 8B 18 FF 93 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_36741_0 {
	meta:
		name = "TIdRemoteCMDServer.SendResults"
		size = 128
		refs = "000c @UStrAddRef 0014 TIdRemoteCMDServer.SendResults 002a @UStrCat3 0055 @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 4D 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_36746_0 {
	meta:
		name = "TIdReply.AssignTo"
		size = 62
		refs = "000b _DV_TIdReply 0010 @IsClass 0020 TIdReply.SetCode 0036 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B FB 8B 56 0C 8B C7 E8 ?? ?? ?? ?? 8B 47 18 8B 56 18 8B 08 FF 51 08 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_41216_0 {
	meta:
		name = "TInReply.AssignTo"
		size = 62
		refs = "000b _DV_TInReply 0010 @IsClass 0020 TInReply.SetCode 0036 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B FB 8B 56 0C 8B C7 E8 ?? ?? ?? ?? 8B 47 18 8B 56 18 8B 08 FF 51 08 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36747_0 {
	meta:
		name = "TIdReply.Clear"
		size = 21
		refs = "000f @UStrClr"
		altNames = "TInReply.Clear"
	strings:
		$1 = { 53 8B D8 8B 43 18 8B 10 FF 52 44 8D 43 0C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_36748_0 {
	meta:
		name = "TIdReply.CreateWithReplyTexts"
		size = 72
		refs = "000d @ClassCreate 001a TCollectionItem.Create 0027 TIdReply.CommonInit 0032 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 14 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_41218_0 {
	meta:
		name = "TInReply.CreateWithReplyTexts"
		size = 72
		refs = "000d @ClassCreate 001a TCollectionItem.Create 0027 TInReply.CommonInit 0032 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 14 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_36749_0 {
	meta:
		name = "TIdReply.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 001e TIdReply.CommonInit 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_94996_0 {
	meta:
		name = "TBSpline.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TObject.Create 001e TBSpline.Clear 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_41219_0 {
	meta:
		name = "TInReply.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 001e TInReply.CommonInit 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_72239_0 {
	meta:
		name = "TInterval.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TObject.Create 001e TInterval.Clear 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_80985_0 {
	meta:
		name = "TStringGrid.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TCustomGrid.Create 001e TStringGrid.Initialize 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_95837_0 {
	meta:
		name = "TWebRequest.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TObject.Create 001e TWebRequest.UpdateMethodType 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36750_0 {
	meta:
		name = "TIdReply.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TCollectionItem.Destroy 003d @ClassDestroy"
		altNames = "TInReply.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36751_0 {
	meta:
		name = "TIdReply.CommonInit"
		size = 35
		refs = "0006 _Dn_TStringList 000b TStringList.Create"
		altNames = "TInReply.CommonInit"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 5B C3 }
	condition:
		$1
}

rule function_36752_0 {
	meta:
		name = "TIdReply.GetDisplayName"
		size = 136
		refs = "000f TIdReply.GetDisplayName 0045 @UStrCatN 0051 @UStrAsg 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 18 8B 10 FF 52 14 85 C0 7E 26 FF 73 0C 68 ?? ?? ?? ?? 8D 4D FC 33 D2 8B 43 18 8B 18 FF 53 0C FF 75 FC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_41222_0 {
	meta:
		name = "TInReply.GetDisplayName"
		size = 136
		refs = "000f TInReply.GetDisplayName 0045 @UStrCatN 0051 @UStrAsg 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 18 8B 10 FF 52 14 85 C0 7E 26 FF 73 0C 68 ?? ?? ?? ?? 8D 4D FC 33 D2 8B 43 18 8B 18 FF 53 0C FF 75 FC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36753_0 {
	meta:
		name = "TIdReply.ReplyExists"
		size = 12
		altNames = "TInReply.ReplyExists"
	strings:
		$1 = { 53 8B D8 83 7B 0C 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_36756_0 {
	meta:
		name = "TIdReply.SetReply"
		size = 85
		refs = "0012 TIdReply.SetReply 0022 IntToStr 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 8B 18 FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41226_0 {
	meta:
		name = "TInReply.SetReply"
		size = 85
		refs = "0012 TInReply.SetReply 0022 IntToStr 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 8B 18 FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36757_0 {
	meta:
		name = "TIdReply.GetNumericCode"
		size = 11
		refs = "0006 IndyStrToInt"
		altNames = "TInReply.GetNumericCode"
	strings:
		$1 = { 33 D2 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36758_0 {
	meta:
		name = "TIdReply.SetCode"
		size = 234
		refs = "0019 TIdReply.SetCode 0029 @UStrEqual 0051 RSReplyInvalidCode 0056 LoadResString 0060 _Dn_EIdException 0065 Exception.CreateFmt 006a @RaiseExcept 0093 RSReplyCodeAlreadyExists 00bd @UStrAsg 00d7 @UStrArrayClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B D6 E8 ?? ?? ?? ?? 0F 84 8E 00 00 00 8B D6 8B C3 8B 08 FF 51 24 84 C0 75 2E 89 75 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 3B 33 C9 8B D6 8B 38 FF 57 2C 85 C0 74 2E 89 75 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 30 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41228_0 {
	meta:
		name = "TInReply.SetCode"
		size = 234
		refs = "0019 TInReply.SetCode 0029 @UStrEqual 0051 RSReplyInvalidCode 0056 LoadResString 0060 _Dn_EInException 0065 Exception.CreateFmt 006a @RaiseExcept 0093 RSReplyCodeAlreadyExists 00bd @UStrAsg 00d7 @UStrArrayClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B D6 E8 ?? ?? ?? ?? 0F 84 8E 00 00 00 8B D6 8B C3 8B 08 FF 51 24 84 C0 75 2E 89 75 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 3B 33 C9 8B D6 8B 38 FF 57 2C 85 C0 74 2E 89 75 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 30 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_36759_0 {
	meta:
		name = "TIdReply.SetReply"
		size = 26
		refs = "0009 TIdReply.SetCode"
	strings:
		$1 = { 56 57 8B F9 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D7 8B 46 18 8B 08 FF 51 2C 5F 5E C3 }
	condition:
		$1
}

rule function_41229_0 {
	meta:
		name = "TInReply.SetReply"
		size = 26
		refs = "0009 TInReply.SetCode"
	strings:
		$1 = { 56 57 8B F9 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D7 8B 46 18 8B 08 FF 51 2C 5F 5E C3 }
	condition:
		$1
}

rule function_36762_0 {
	meta:
		name = "TIdReply.GetFormattedReply"
		size = 6
		altNames = "TInReply.GetFormattedReply TTaskDialogBaseButtonItem.Click TTrackBarStyleHook.CNHScroll TTrackBarStyleHook.CNVScroll"
	strings:
		$1 = { 8B 10 FF 52 20 C3 }
	condition:
		$1
}

rule function_36763_0 {
	meta:
		name = "TIdReply.GetFormattedReplyStrings"
		size = 16
		altNames = "TIdReplyIMAP4.GetFormattedReply TInReply.GetFormattedReplyStrings"
	strings:
		$1 = { 53 8B D8 8B 43 10 8B 10 FF 52 44 8B 43 10 5B C3 }
	condition:
		$1
}

rule function_36764_0 {
	meta:
		name = "TIdReply.UpdateText"
		size = 14
		altNames = "TInReply.UpdateText"
	strings:
		$1 = { 8B 50 14 85 D2 74 06 92 8B 08 FF 51 30 C3 }
	condition:
		$1
}

rule function_36766_0 {
	meta:
		name = "TIdReplies.Add"
		size = 89
		refs = "0012 TIdReplies.Add 0022 IntToStr 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36767_0 {
	meta:
		name = "TIdReplies.Add"
		size = 96
		refs = "0010 TIdReplies.Add 003c @HandleAnyException 0049 TObject.Free 004e @RaiseAgain 0053 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CF 8B D6 8B 45 FC 8B 18 FF 53 48 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36769_0 {
	meta:
		name = "TIdReplies.Find"
		size = 103
		refs = "002b TIdReplies.GetItem 0035 @UStrEqual"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 0C 24 8B EA 8B F0 33 C0 89 44 24 04 85 ED 74 44 8B 46 08 8B 78 08 4F 85 FF 7C 39 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 40 0C 8B D5 E8 ?? ?? ?? ?? 75 1D 8B D3 8B C6 E8 ?? ?? ?? ?? 3B 04 24 74 0F 8B D3 8B C6 E8 ?? ?? ?? ?? 89 44 24 04 EB 04 43 4F 75 CA 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36772_0 {
	meta:
		name = "TIdReplies.UpdateText"
		size = 52
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 46 18 8B 10 FF 52 14 85 C0 75 1D 8B CE 8B 56 0C 8B C3 8B 18 FF 53 2C 8B F8 85 FF 74 0B 8B 57 18 8B 46 18 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36775_0 {
	meta:
		name = "TIdReplyFTP.AssignTo"
		size = 75
		refs = "000b _DV_TIdReplyFTP 0010 @IsClass 001d TIdReply.GetNumericCode 0026 TIdReply.SetNumericCode 0043 TIdReplyRFC.AssignTo"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 26 8B FB 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 0F B6 46 1C 88 47 1C 8B 56 18 8B 47 18 8B 08 FF 51 08 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36776_0 {
	meta:
		name = "TIdReplyFTP.CreateWithReplyTexts"
		size = 67
		refs = "000d @ClassCreate 001e TIdReply.CreateWithReplyTexts 002d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 1C 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_83447_0 {
	meta:
		name = "TRibbonTabs.Create"
		size = 67
		refs = "000d @ClassCreate 001e TOwnedCollection.Create 002d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 1C 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_36778_0 {
	meta:
		name = "TIdReplyFTP.GetFormattedReply"
		size = 484
		refs = "0018 TIdReplyFTP.GetFormattedReply 002f TIdReply.GetNumericCode 0046 IntToStr 00ad @UStrCatN 00da @UStrCat3 01a3 @UStrArrayClr 01ab @UStrClr 01b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 20 89 45 F8 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 8E 3B 01 00 00 8B C6 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 46 18 8B 10 FF 52 14 85 C0 0F 8E FF 00 00 00 8B 46 18 8B 10 FF 52 14 48 85 C0 0F 8C 22 01 00 00 40 89 45 F4 33 DB 8B 46 18 8B 10 FF 52 14 48 3B D8 0F 8D 9B 00 00 00 80 7E 1C 01 75 63 85 DB 75 35 FF 75 FC 68 ?? ?? ?? ?? 8D 4D EC 8B D3 8B 46 18 8B 38 FF 57 0C FF 75 EC 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 08 FF 51 38 E9 8C 00 00 00 8D 4D E4 8B D3 8B 46 18 8B 38 FF 57 0C 8B 4D E4 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 8B 08 FF 51 38 EB 62 FF 75 FC 68 ?? ?? ?? ?? 8D 4D DC 8B D3 8B 46 18 8B 38 FF 57 0C FF 75 DC 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F8 8B 08 FF 51 38 EB 30 FF 75 FC 68 ?? ?? ?? ?? 8D 4D D4 8B D3 8B 46 18 8B 38 FF 57 0C FF 75 D4 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F8 8B 08 FF 51 38 43 FF 4D F4 0F 85 1A FF FF FF EB 34 8D 45 D0 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F8 8B 08 FF 51 38 EB 17 8B 46 18 8B 10 FF 52 14 85 C0 7E 0B 8B 56 18 8B 45 F8 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36779_0 {
	meta:
		name = "TIdReplyFTP.IsEndMarker"
		size = 86
		refs = "0023 IsNumeric 004f CharEquals"
	strings:
		$1 = { 53 56 8B DA 8B F3 8B C6 85 C0 74 05 83 E8 04 8B 00 83 F8 03 7C 13 B9 01 00 00 00 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 24 8B C6 85 C0 74 05 83 E8 04 8B 00 83 F8 03 75 04 B0 01 EB 10 66 B9 20 00 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36780_0 {
	meta:
		name = "TIdReplyFTP.IsEndReply"
		size = 119
		refs = "0012 TIdReplyFTP.IsEndReply 0038 @UStrCopy 0042 TextIsSame 0063 @UStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 FF 50 38 84 C0 74 23 8D 45 FC 50 B9 03 00 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B D7 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36781_0 {
	meta:
		name = "TIdReplyFTP.SetFormattedReply"
		size = 472
		refs = "001a TIdReplyFTP.SetFormattedReply 0058 @UStrCopy 0063 Trim 0074 CharEquals 0085 @UStrSetLength 008f TIdReply.SetCode 010a TextStartsWith 0177 TrimLeft 01a8 @UStrArrayClr 01bb @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 30 8B C3 8B 10 FF 52 14 85 C0 0F 8E 58 01 00 00 8D 45 E4 50 8D 4D E0 33 D2 8B C3 8B 38 FF 57 0C 8B 45 E0 B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 FC E8 ?? ?? ?? ?? 66 B9 2D 00 BA 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0D 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 4D F4 33 D2 8B C3 8B 38 FF 57 0C 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 8D 45 DC 50 8D 57 02 B9 FF FF FF 7F 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 DC 8B 46 18 8B 08 FF 51 38 C6 46 1C 00 8B C3 8B 10 FF 52 14 48 0F 8E B6 00 00 00 8B C3 8B 10 FF 52 14 48 85 C0 0F 8E A6 00 00 00 89 45 E8 C7 45 EC 01 00 00 00 8D 4D D8 8B 55 EC 8B C3 8B 38 FF 57 0C 8B 45 D8 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 2F 8D 4D F0 8B 55 EC 8B C3 8B 38 FF 57 0C 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 8D 45 F8 50 8D 57 02 B9 FF FF FF 7F 8B 45 F0 E8 ?? ?? ?? ?? EB 3A 8D 4D D4 8B 55 EC 8B C3 8B 38 FF 57 0C 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 C6 46 1C 01 8D 4D D0 8B 55 EC 8B C3 8B 38 FF 57 0C 8B 45 D0 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 46 18 8B 08 FF 51 38 FF 45 EC FF 4D E8 0F 85 64 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36782_0 {
	meta:
		name = "TIdReplyFTP.RaiseReplyError"
		size = 119
		refs = "000c TIdReplyFTP.RaiseReplyError 0019 TIdReply.GetNumericCode 003f _DV_EIdFTPServiceNotAvailable 0044 EIdReplyRFCError.CreateError 0049 @RaiseExcept 0052 TIdReplyRFC.RaiseReplyError 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3D A5 01 00 00 75 2B 8D 55 FC 8B 43 18 8B 08 FF 51 1C 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_36786_0 {
	meta:
		name = "TIdReplyIMAP4.ParseRequest"
		size = 140
		refs = "0015 @UStrAddRef 001d TIdReplyIMAP4.ParseRequest 0038 Fetch 0043 @UStrAsg 004d TIdReplyIMAP4.IsItAValidSequenceNumber 0069 @UStrArrayClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 43 1C E8 ?? ?? ?? ?? 8B 53 1C 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36787_0 {
	meta:
		name = "TIdReplyIMAP4.GetExtra"
		size = 29
		refs = "000c _Dn_TStringList 0011 TStringList.Create"
	strings:
		$1 = { 53 8B D8 83 7B 20 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 8B 43 20 5B C3 }
	condition:
		$1
}

rule function_94707_0 {
	meta:
		name = "TTeeZoom.GetAxesHistory"
		size = 29
		refs = "000c _DV_TZoomSnapshots 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 20 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 8B 43 20 5B C3 }
	condition:
		$1
}

rule function_36788_0 {
	meta:
		name = "TIdReplyIMAP4.CreateWithReplyTexts"
		size = 85
		refs = "000d @ClassCreate 001e TIdReply.CreateWithReplyTexts 0025 _Dn_TStringList 002a TStringList.Create 003f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 8B C6 8B 10 FF 52 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_36790_0 {
	meta:
		name = "TIdReplyIMAP4.Clear"
		size = 32
		refs = "0006 TIdReply.Clear 000e @UStrClr 0015 TIdReplyIMAP4.GetExtra"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 46 1C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_36791_0 {
	meta:
		name = "TIdReplyIMAP4.RaiseReplyError"
		size = 90
		refs = "000c TIdReplyIMAP4.RaiseReplyError 0019 TIdReplyIMAP4.GetExtra 002b _DV_EIdReplyIMAP4Error 0030 EIdException.Create 0035 @RaiseExcept 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 51 1C 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_36792_0 {
	meta:
		name = "TIdReplyIMAP4.IsItAValidSequenceNumber"
		size = 64
		refs = "001f CharEquals 0036 IsNumeric"
	strings:
		$1 = { 53 8B DA 8B C3 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7C 12 66 B9 43 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 11 B9 02 00 00 00 83 CA FF 8B C3 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_36793_0 {
	meta:
		name = "TIdReplyIMAP4.CheckIfCodeIsValid"
		size = 107
		refs = "000d TIdReplyIMAP4.CheckIfCodeIsValid 001a VALID_TAGGEDREPLIES 0026 PosInStrArray 0035 Trim 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 BA ?? ?? ?? ?? B9 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 46 75 14 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36795_0 {
	meta:
		name = "TIdReplyIMAP4.SetFormattedReply"
		size = 3248
		refs = "001a TIdReplyIMAP4.SetFormattedReply 002f @UStrClr 0048 TIdReplyIMAP4.DoReplyError 0091 Fetch 009c Trim 00b2 @UStrLAsg 00e1 @UStrEqual 0186 VALID_TAGGEDREPLIES 0193 PosInStrArray 01a1 @UStrAsg 0278 TIdReplyIMAP4.IsItAValidSequenceNumber 0323 TIdReplyIMAP4.GetExtra 037b @UStrArrayClr 038e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 30 8D 45 FC E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 14 85 C0 7F 0E 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 14 83 E8 02 85 C0 0F 8C BC 00 00 00 40 89 45 EC C7 45 F0 00 00 00 00 8D 4D F4 8B 55 F0 8B C6 8B 38 FF 57 0C 83 7D F4 00 0F 84 8E 00 00 00 6A 01 8D 45 E8 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8D 55 FC E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 75 1C 8D 4D E0 8B 55 F0 8B C6 8B 38 FF 57 0C 8B 4D E0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1C 8D 4D DC 8B 55 F0 8B C6 8B 38 FF 57 0C 8B 4D DC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 18 8B 08 FF 51 38 FF 45 F0 FF 4D EC 0F 85 4F FF FF FF 8B C6 8B 10 FF 52 14 8B D0 4A 8D 4D F4 8B C6 8B 38 FF 57 0C 83 7D F4 00 75 0E 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 6A 01 8D 45 D8 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 8D 55 FC E8 ?? ?? ?? ?? 8D 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 F8 E8 ?? ?? ?? ?? 6A 01 BA ?? ?? ?? ?? B9 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 40 7E 1B 8D 43 0C 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 43 18 8B 08 FF 51 38 E9 8B 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 AA 00 00 00 83 7D F8 00 75 0E 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 43 1C 8B 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 D0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 8D 55 FC E8 ?? ?? ?? ?? 8D 55 CC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 CC 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 75 0E 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 01 BA ?? ?? ?? ?? B9 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 40 75 0F 8B 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 43 0C 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 43 18 8B 08 FF 51 38 E9 CE 00 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 AD 00 00 00 83 7D F8 00 75 0F 8B 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 43 1C 8B 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 C8 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 8D 55 FC E8 ?? ?? ?? ?? 8D 55 C4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 75 0F 8B 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 01 BA ?? ?? ?? ?? B9 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 40 75 0F 8B 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 43 0C 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 51 38 EB 0F 8B 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7B 0C 00 75 1F 8B C6 8B 10 FF 52 14 8B D0 4A 8D 4D C0 8B C6 8B 30 FF 56 0C 8B 55 C0 8B 43 18 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 52 00 00 00 55 00 6E 00 65 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 3A 00 20 00 4C 00 6F 00 67 00 69 00 63 00 20 00 65 00 72 00 72 00 6F 00 72 00 2C 00 20 00 53 00 65 00 74 00 46 00 6F 00 72 00 6D 00 61 00 74 00 74 00 65 00 64 00 52 00 65 00 70 00 6C 00 79 00 20 00 63 00 61 00 6C 00 6C 00 65 00 64 00 20 00 77 00 69 00 74 00 68 00 20 00 61 00 6E 00 20 00 65 00 6D 00 70 00 74 00 79 00 20 00 6C 00 69 00 73 00 74 00 20 00 6F 00 66 00 20 00 70 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 7B 00 00 00 55 00 6E 00 65 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 3A 00 20 00 4E 00 6F 00 6E 00 2D 00 6C 00 61 00 73 00 74 00 20 00 72 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 20 00 6C 00 69 00 6E 00 65 00 20 00 28 00 69 00 2E 00 65 00 2E 00 20 00 61 00 20 00 64 00 61 00 74 00 61 00 20 00 6C 00 69 00 6E 00 65 00 29 00 20 00 6F 00 6E 00 6C 00 79 00 20 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 64 00 20 00 6F 00 6E 00 65 00 20 00 77 00 6F 00 72 00 64 00 2C 00 20 00 69 00 6E 00 73 00 74 00 65 00 61 00 64 00 20 00 6F 00 66 00 20 00 61 00 20 00 2A 00 20 00 66 00 6F 00 6C 00 6C 00 6F 00 77 00 65 00 64 00 20 00 62 00 79 00 20 00 6F 00 6E 00 65 00 20 00 6F 00 72 00 20 00 6D 00 6F 00 72 00 65 00 20 00 77 00 6F 00 72 00 64 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 4C 00 00 00 55 00 6E 00 65 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 3A 00 20 00 4E 00 6F 00 6E 00 2D 00 6C 00 61 00 73 00 74 00 20 00 72 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 20 00 6C 00 69 00 6E 00 65 00 20 00 28 00 69 00 2E 00 65 00 2E 00 20 00 61 00 20 00 64 00 61 00 74 00 61 00 20 00 6C 00 69 00 6E 00 65 00 29 00 20 00 64 00 69 00 64 00 20 00 6E 00 6F 00 74 00 20 00 73 00 74 00 61 00 72 00 74 00 20 00 77 00 69 00 74 00 68 00 20 00 61 00 20 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 72 00 00 00 55 00 6E 00 65 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 3A 00 20 00 52 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 20 00 28 00 6C 00 61 00 73 00 74 00 29 00 20 00 6C 00 69 00 6E 00 65 00 20 00 77 00 61 00 73 00 20 00 65 00 6D 00 70 00 74 00 79 00 20 00 69 00 6E 00 73 00 74 00 65 00 61 00 64 00 20 00 6F 00 66 00 20 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 69 00 6E 00 67 00 20 00 61 00 20 00 6C 00 69 00 6E 00 65 00 20 00 77 00 69 00 74 00 68 00 20 00 61 00 20 00 72 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 20 00 63 00 6F 00 64 00 65 00 20 00 6C 00 69 00 6B 00 65 00 20 00 4F 00 4B 00 2C 00 20 00 4E 00 4F 00 2C 00 20 00 42 00 41 00 44 00 2C 00 20 00 65 00 74 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 33 00 00 00 55 00 6E 00 65 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 3A 00 20 00 52 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 20 00 28 00 6C 00 61 00 73 00 74 00 29 00 20 00 6C 00 69 00 6E 00 65 00 20 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 64 00 20 00 6F 00 6E 00 6C 00 79 00 20 00 61 00 20 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 3C 00 00 00 55 00 6E 00 65 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 3A 00 20 00 52 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 20 00 28 00 6C 00 61 00 73 00 74 00 29 00 20 00 6C 00 69 00 6E 00 65 00 20 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 64 00 20 00 6F 00 6E 00 6C 00 79 00 20 00 61 00 20 00 2A 00 20 00 28 00 74 00 79 00 70 00 65 00 20 00 32 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 6A 00 00 00 55 00 6E 00 65 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 3A 00 20 00 52 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 20 00 28 00 6C 00 61 00 73 00 74 00 29 00 20 00 6C 00 69 00 6E 00 65 00 20 00 73 00 74 00 61 00 72 00 74 00 65 00 64 00 20 00 77 00 69 00 74 00 68 00 20 00 61 00 20 00 2A 00 20 00 62 00 75 00 74 00 20 00 6E 00 65 00 78 00 74 00 20 00 77 00 6F 00 72 00 64 00 20 00 77 00 61 00 73 00 20 00 6E 00 6F 00 74 00 20 00 61 00 20 00 76 00 61 00 6C 00 69 00 64 00 20 00 72 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 20 00 6C 00 69 00 6B 00 65 00 20 00 4F 00 4B 00 2C 00 20 00 42 00 41 00 44 00 2C 00 20 00 65 00 74 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 5D 00 00 00 55 00 6E 00 65 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 3A 00 20 00 52 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 20 00 28 00 6C 00 61 00 73 00 74 00 29 00 20 00 6C 00 69 00 6E 00 65 00 20 00 73 00 74 00 61 00 72 00 74 00 65 00 64 00 20 00 77 00 69 00 74 00 68 00 20 00 61 00 20 00 63 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 20 00 72 00 65 00 66 00 65 00 72 00 65 00 6E 00 63 00 65 00 20 00 28 00 6C 00 69 00 6B 00 65 00 20 00 43 00 34 00 31 00 29 00 20 00 62 00 75 00 74 00 20 00 6E 00 6F 00 74 00 68 00 69 00 6E 00 67 00 20 00 65 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 83 00 00 00 55 00 6E 00 65 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 3A 00 20 00 4C 00 6F 00 67 00 69 00 63 00 20 00 65 00 72 00 72 00 6F 00 72 00 2C 00 20 00 6C 00 69 00 6E 00 65 00 20 00 73 00 74 00 61 00 72 00 74 00 73 00 20 00 77 00 69 00 74 00 68 00 20 00 61 00 20 00 63 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 20 00 72 00 65 00 66 00 65 00 72 00 65 00 6E 00 63 00 65 00 20 00 28 00 6C 00 69 00 6B 00 65 00 20 00 43 00 34 00 31 00 29 00 20 00 62 00 75 00 74 00 20 00 6E 00 6F 00 74 00 68 00 69 00 6E 00 67 00 20 00 65 00 6C 00 73 00 65 00 2C 00 20 00 77 00 68 00 79 00 20 00 77 00 61 00 73 00 20 00 61 00 6E 00 20 00 65 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 20 00 6E 00 6F 00 74 00 20 00 74 00 68 00 72 00 6F 00 77 00 6E 00 20 00 65 00 61 00 72 00 6C 00 69 00 65 00 72 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 74 00 00 00 55 00 6E 00 65 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 3A 00 20 00 4C 00 69 00 6E 00 65 00 20 00 73 00 74 00 61 00 72 00 74 00 73 00 20 00 77 00 69 00 74 00 68 00 20 00 61 00 20 00 63 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 20 00 72 00 65 00 66 00 65 00 72 00 65 00 6E 00 63 00 65 00 20 00 28 00 6C 00 69 00 6B 00 65 00 20 00 43 00 34 00 31 00 29 00 20 00 62 00 75 00 74 00 20 00 6E 00 65 00 78 00 74 00 20 00 77 00 6F 00 72 00 64 00 20 00 77 00 61 00 73 00 20 00 6E 00 6F 00 74 00 20 00 61 00 20 00 76 00 61 00 6C 00 69 00 64 00 20 00 72 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 20 00 6C 00 69 00 6B 00 65 00 20 00 4F 00 4B 00 2C 00 20 00 42 00 41 00 44 00 2C 00 20 00 65 00 74 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 6F 00 00 00 55 00 6E 00 65 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 3A 00 20 00 4C 00 69 00 6E 00 65 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 73 00 74 00 61 00 72 00 74 00 20 00 77 00 69 00 74 00 68 00 20 00 61 00 20 00 63 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 20 00 72 00 65 00 66 00 65 00 72 00 65 00 6E 00 63 00 65 00 20 00 28 00 6C 00 69 00 6B 00 65 00 20 00 43 00 34 00 31 00 29 00 2C 00 20 00 61 00 20 00 2A 00 2C 00 20 00 6F 00 72 00 20 00 61 00 20 00 76 00 61 00 6C 00 69 00 64 00 20 00 72 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 20 00 6C 00 69 00 6B 00 65 00 20 00 4F 00 4B 00 2C 00 20 00 42 00 41 00 44 00 2C 00 20 00 65 00 74 00 63 00 00 00 }
	condition:
		$1
}

rule function_36796_0 {
	meta:
		name = "TIdReplyIMAP4.RemoveUnsolicitedResponses"
		size = 259
		refs = "0031 string 0036 @AddRefArray 003e TIdReplyIMAP4.RemoveUnsolicitedResponses 0087 TIdReplyIMAP4.DoesLineHaveExpectedResponse 00a6 TIdReplyIMAP4.GetExtra 00d0 @UStrClr 00ea @FinalizeArray 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F8 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 4D F4 89 55 FC 8B D8 8B 4D F4 41 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 18 8B 10 FF 52 14 48 33 F6 85 C0 7C 68 40 89 45 F0 8D 4D F8 8B D6 8B 43 18 8B 38 FF 57 0C 83 7D F8 00 75 0C 8B D6 8B 43 18 8B 08 FF 51 48 EB 40 8B 45 F4 50 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 03 46 EB 28 8D 4D EC 8B D6 8B 43 18 8B 38 FF 57 0C 8B 45 EC 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 38 8B D6 8B 43 18 8B 08 FF 51 48 FF 4D F0 75 9C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 4D F4 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B 7D E0 8B 75 E4 8B 5D E8 8B E5 5D C3 }
	condition:
		$1
}

rule function_36797_0 {
	meta:
		name = "TIdReplyIMAP4.DoesLineHaveExpectedResponse"
		size = 304
		refs = "0027 @UStrAddRef 0034 string 0039 @AddRefArray 0041 TIdReplyIMAP4.DoesLineHaveExpectedResponse 0056 Pos 006c IsNumeric 0084 @UStrCopy 00b8 @UStrLAsg 00d5 PosInStrArray 00f4 @UStrArrayClr 0106 @FinalizeArray 010c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B 5D 08 85 DB 78 07 8B 34 99 4B 56 79 F9 8B CC 89 4D FC 89 55 F8 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D 08 41 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7E 5E 8B D6 4A B9 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 14 8D 45 F8 50 8D 56 01 B9 FF FF FF 7F 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7E 16 8D 45 F4 50 8B CE 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 18 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? EB 0B 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 6A 01 8B 55 FC 8B 4D 08 8B 45 F4 E8 ?? ?? ?? ?? 40 7E 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 4D 08 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 8B C3 8B 75 EC 8B 5D F0 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36798_0 {
	meta:
		name = "TIdReplyIMAP4.DoReplyError"
		size = 200
		refs = "0016 @UStrAddRef 0026 TIdReplyIMAP4.DoReplyError 0037 @UStrLAsg 0055 @UStrCatN 005f _DV_EIdReplyIMAP4Error 0064 EIdException.Create 0069 @RaiseExcept 0083 @UStrArrayClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 DB 89 5D F4 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 83 7D F8 00 74 18 FF 75 F4 68 ?? ?? ?? ?? FF 75 F8 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 12 00 00 00 2C 00 20 00 6F 00 66 00 66 00 65 00 6E 00 64 00 69 00 6E 00 67 00 20 00 6C 00 69 00 6E 00 65 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_36802_0 {
	meta:
		name = "TIdReplyPOP3.Assign"
		size = 73
		refs = "000b _DV_TIdReplyPOP3 0010 @IsClass 0020 TIdReply.SetCode 002b @UStrAsg 0041 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B FB 8B 57 0C 8B C6 E8 ?? ?? ?? ?? 8D 46 1C 8B 57 1C E8 ?? ?? ?? ?? 8B 57 18 8B 46 18 8B 08 FF 51 08 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36803_0 {
	meta:
		name = "TIdReplyPOP3.CheckIfCodeIsValid"
		size = 107
		refs = "000d TIdReplyPOP3.CheckIfCodeIsValid 001a VALID_POP3_STR 0026 PosInStrArray 0035 Trim 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 BA ?? ?? ?? ?? B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 46 7F 14 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36804_0 {
	meta:
		name = "TIdReplyPOP3.CreateWithReplyTexts"
		size = 96
		refs = "000d @ClassCreate 001e TIdReply.CreateWithReplyTexts 0026 TIdReplyPOP3.CreateWithReplyTexts 002b @UStrAsg 0036 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 4F 00 4B 00 00 00 }
	condition:
		$1
}

rule function_36805_0 {
	meta:
		name = "TIdReplyPOP3.ExtractTextPosArray"
		size = 111
		refs = "000f TIdReplyPOP3.ExtractTextPosArray 0024 TIdReplyPOP3.FindCodeTextDelim 0033 @UStrCopy 003b VALID_POP3_STR 0045 PosInStrArray 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36806_0 {
	meta:
		name = "TIdReplyPOP3.FindCodeTextDelim"
		size = 236
		refs = "0015 TIdReplyPOP3.FindCodeTextDelim 0028 @UStrLAsg 0035 TextStartsWith 004b @UStrDelete 0053 IndyPos 00b4 @UStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 89 55 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 14 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? B3 01 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 8B F0 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 FC B8 ?? ?? ?? ?? FF D7 85 F6 7E 0C 85 C0 74 1F 3B C6 7D 1B 8B F0 EB 17 85 C0 74 04 8B F0 EB 0F 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8D 70 01 84 DB 74 01 46 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36807_0 {
	meta:
		name = "TIdReplyPOP3.GetFormattedReply"
		size = 520
		refs = "0018 TIdReplyPOP3.GetFormattedReply 0077 @UStrEqual 00ac @UStrCatN 01b7 @UStrArrayClr 01bd @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 20 89 45 FC 83 7E 0C 00 0F 84 54 01 00 00 8B 46 18 8B 10 FF 52 14 85 C0 0F 8E 37 01 00 00 8B 46 18 8B 10 FF 52 14 48 85 C0 0F 8C 4A 01 00 00 40 89 45 F8 33 DB 8B 46 18 8B 10 FF 52 14 48 3B D8 0F 8D 84 00 00 00 8B 46 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 43 83 7E 1C 00 74 3D FF 76 0C 68 ?? ?? ?? ?? FF 76 1C 68 ?? ?? ?? ?? 8D 4D F0 8B D3 8B 46 18 8B 38 FF 57 0C FF 75 F0 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 38 E9 B1 00 00 00 FF 76 0C 68 ?? ?? ?? ?? 8D 4D E8 8B D3 8B 46 18 8B 38 FF 57 0C FF 75 E8 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8B 08 FF 51 38 EB 7F 8B 46 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 40 83 7E 1C 00 74 3A FF 76 0C 68 ?? ?? ?? ?? FF 76 1C 68 ?? ?? ?? ?? 8D 4D E0 8B D3 8B 46 18 8B 38 FF 57 0C FF 75 E0 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 08 FF 51 38 EB 30 FF 76 0C 68 ?? ?? ?? ?? 8D 4D D8 8B D3 8B 46 18 8B 38 FF 57 0C FF 75 D8 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 8B 08 FF 51 38 43 FF 4D F8 0F 85 E2 FE FF FF EB 24 8B 56 0C 8B 45 FC 8B 08 FF 51 38 EB 17 8B 46 18 8B 10 FF 52 14 85 C0 7E 0B 8B 56 18 8B 45 FC 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2D 00 45 00 52 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36808_0 {
	meta:
		name = "TIdReplyPOP3.IsEndMarker"
		size = 50
		refs = "0009 TIdReplyPOP3.FindCodeTextDelim"
	strings:
		$1 = { 53 56 8B F2 33 DB 8B D6 E8 ?? ?? ?? ?? 85 C0 7E 1C 8B D6 85 D2 74 05 83 EA 04 8B 12 3B D0 7D 04 B3 01 EB 09 66 83 7C 46 FE 2D 0F 95 C3 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_36809_0 {
	meta:
		name = "TIdReplyPOP3.IsValidEnhancedCode"
		size = 304
		refs = "0017 TIdReplyPOP3.IsValidEnhancedCode 0027 Trim 0040 @UStrLAsg 0069 @UStrDelete 009b Fetch 00b3 VALID_ENH_CODES 00c0 PosInStrArray 00da TextStartsWith 0102 @UStrArrayClr 010a @UStrClr 0110 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 88 4D FB 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 83 7D F4 00 0F 94 C3 84 DB 0F 85 B2 00 00 00 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 9E 00 00 00 8B 45 FC 66 83 38 5B 0F 85 91 00 00 00 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 79 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 FC 66 83 7C 42 FE 5D 75 62 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 74 1A 6A 01 BA ?? ?? ?? ?? B9 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 40 0F 9F C3 EB 22 BF 05 00 00 00 BE ?? ?? ?? ?? 8B 16 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 06 83 C6 04 4F 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 }
	condition:
		$1
}

rule function_36810_0 {
	meta:
		name = "TIdReplyPOP3.RaiseReplyError"
		size = 92
		refs = "000c TIdReplyPOP3.RaiseReplyError 002d _DV_EIdReplyPOP3Error 0032 EIdReplyPOP3Error.CreateError 0037 @RaiseExcept 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 18 8B 08 FF 51 1C 8B 45 FC 50 6A 00 8B 4B 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_36811_0 {
	meta:
		name = "TIdReplyPOP3.SetEnhancedCode"
		size = 288
		refs = "0013 TIdReplyPOP3.SetEnhancedCode 0023 @UStrLAsg 0031 @UStrClr 0041 UpperCase 0065 @UStrCat3 0089 @UStrCat 0095 TIdReplyPOP3.IsValidEnhancedCode 00a4 @UStrAsg 00ae RSPOP3ReplyInvalidEnhancedCode 00b3 LoadResString 00c7 _DV_EIdPOP3ReplyInvalidEnhancedCode 00cc EIdException.Create 00d1 @RaiseExcept 00eb @UStrArrayClr 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 83 7D FC 00 75 0D 8D 43 1C E8 ?? ?? ?? ?? E9 9B 00 00 00 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 38 5B 74 10 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 FC 66 83 7C 42 FE 5D 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B 03 E8 ?? ?? ?? ?? 84 C0 74 0D 8D 43 1C 8B 55 FC E8 ?? ?? ?? ?? EB 2B 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 }
	condition:
		$1
}

rule function_36812_0 {
	meta:
		name = "TIdReplyPOP3.SetFormattedReply"
		size = 440
		refs = "001c TIdReplyPOP3.SetFormattedReply 0050 TIdReplyPOP3.ExtractTextPosArray 0063 VALID_POP3_STR 006a TIdReply.SetCode 00b8 TIdReplyPOP3.FindCodeTextDelim 00dd @UStrCopy 00ea @UStrEqual 0101 Fetch 010d TIdReplyPOP3.IsValidEnhancedCode 0131 @UStrAsg 0172 @UStrArrayClr 017a @UStrClr 0180 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 30 8B 45 F8 8B 10 FF 52 14 85 C0 0F 8E 1F 01 00 00 8D 4D E8 33 D2 8B 45 F8 8B 30 FF 56 0C 8B 55 E8 8B 03 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 FF 7E 11 8B 45 F0 8B 14 85 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 48 85 C0 0F 8C CB 00 00 00 40 89 45 EC 33 F6 83 7D F0 FF 75 1A 8D 4D E4 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 55 E4 8B 03 E8 ?? ?? ?? ?? 89 45 F0 8D 4D E0 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 55 E0 8B 03 E8 ?? ?? ?? ?? 89 45 F4 8D 45 FC 50 8D 4D DC 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 45 DC 8B 55 F4 42 B9 FF FF FF 7F E8 ?? ?? ?? ?? 8B 43 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 45 6A 01 8D 45 D8 50 8D 45 FC 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 33 C9 8B 03 E8 ?? ?? ?? ?? 84 C0 74 20 6A 01 8D 45 D4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8D 43 1C E8 ?? ?? ?? ?? 8B 55 FC 8B 43 18 8B 08 FF 51 38 46 FF 4D EC 0F 85 3B FF FF FF 83 7D F0 FF 75 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2D 00 45 00 52 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36814_0 {
	meta:
		name = "EIdReplyPOP3Error.CreateError"
		size = 87
		refs = "000e @ClassCreate 0020 EIdException.Create 002a @UStrAsg 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 0C 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 18 8B D6 E8 ?? ?? ?? ?? 8D 47 1C 8B 55 08 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_36815_0 {
	meta:
		name = "Finalization"
		size = 90
		refs = "0007 Finalization 0013 _DV_8 001a VALID_ENH_CODES 0025 string 002a @FinalizeArray 002f VALID_POP3_STR 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2A B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_36817_0 {
	meta:
		name = "TIdReplyRFC.AssignTo"
		size = 68
		refs = "000b _DV_TIdReplyRFC 0010 @IsClass 001d TIdReply.GetNumericCode 0026 TIdReply.SetNumericCode 003c TIdReply.AssignTo"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B FB 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 47 18 8B 56 18 8B 08 FF 51 08 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_41245_0 {
	meta:
		name = "TInReplyRFC.AssignTo"
		size = 68
		refs = "000b _DV_TInReplyRFC 0010 @IsClass 001d TInReply.GetNumericCode 0026 TInReply.SetNumericCode 003c TInReply.AssignTo"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B FB 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 47 18 8B 56 18 8B 08 FF 51 08 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36818_0 {
	meta:
		name = "TIdReplyRFC.CheckIfCodeIsValid"
		size = 107
		refs = "000d TIdReplyRFC.CheckIfCodeIsValid 001c IndyStrToInt 0035 Trim 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D8 83 FB 64 7C 08 81 FB E8 03 00 00 7C 14 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41246_0 {
	meta:
		name = "TInReplyRFC.CheckIfCodeIsValid"
		size = 107
		refs = "000d TInReplyRFC.CheckIfCodeIsValid 001c IndyStrToInt 0035 Trim 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D8 83 FB 64 7C 08 81 FB E8 03 00 00 7C 14 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36819_0 {
	meta:
		name = "TIdReplyRFC.GetFormattedReply"
		size = 348
		refs = "0015 TIdReplyRFC.GetFormattedReply 002c TIdReply.GetNumericCode 0040 IntToStr 0099 @UStrCatN 011c @UStrArrayClr 0124 @UStrClr 012a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 20 89 45 F8 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E B5 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 46 18 8B 10 FF 52 14 85 C0 0F 8E 8E 00 00 00 8B 46 18 8B 10 FF 52 14 48 85 C0 0F 8C A1 00 00 00 40 89 45 F4 33 DB 8B 46 18 8B 10 FF 52 14 48 3B D8 7D 32 FF 75 FC 68 ?? ?? ?? ?? 8D 4D EC 8B D3 8B 46 18 8B 38 FF 57 0C FF 75 EC 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 08 FF 51 38 EB 30 FF 75 FC 68 ?? ?? ?? ?? 8D 4D E4 8B D3 8B 46 18 8B 38 FF 57 0C FF 75 E4 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 8B 08 FF 51 38 43 FF 4D F4 75 8B EB 24 8B 55 FC 8B 45 F8 8B 08 FF 51 38 EB 17 8B 46 18 8B 10 FF 52 14 85 C0 7E 0B 8B 56 18 8B 45 F8 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_41247_0 {
	meta:
		name = "TInReplyRFC.GetFormattedReply"
		size = 348
		refs = "0015 TInReplyRFC.GetFormattedReply 002c TInReply.GetNumericCode 0040 IntToStr 0099 @UStrCatN 011c @UStrArrayClr 0124 @UStrClr 012a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 20 89 45 F8 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E B5 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 46 18 8B 10 FF 52 14 85 C0 0F 8E 8E 00 00 00 8B 46 18 8B 10 FF 52 14 48 85 C0 0F 8C A1 00 00 00 40 89 45 F4 33 DB 8B 46 18 8B 10 FF 52 14 48 3B D8 7D 32 FF 75 FC 68 ?? ?? ?? ?? 8D 4D EC 8B D3 8B 46 18 8B 38 FF 57 0C FF 75 EC 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 08 FF 51 38 EB 30 FF 75 FC 68 ?? ?? ?? ?? 8D 4D E4 8B D3 8B 46 18 8B 38 FF 57 0C FF 75 E4 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 8B 08 FF 51 38 43 FF 4D F4 75 8B EB 24 8B 55 FC 8B 45 F8 8B 08 FF 51 38 EB 17 8B 46 18 8B 10 FF 52 14 85 C0 7E 0B 8B 56 18 8B 45 F8 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36820_0 {
	meta:
		name = "TIdReplyRFC.IsEndMarker"
		size = 28
		altNames = "TInReplyRFC.IsEndMarker"
	strings:
		$1 = { 8B C2 85 C0 74 05 83 E8 04 8B 00 83 F8 04 7C 09 66 83 7A 06 20 0F 94 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_36821_0 {
	meta:
		name = "TIdReplyRFC.RaiseReplyError"
		size = 96
		refs = "000c TIdReplyRFC.RaiseReplyError 0028 TIdReply.GetNumericCode 0031 _DV_EIdReplyRFCError 0036 EIdReplyRFCError.CreateError 003b @RaiseExcept 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 18 8B 08 FF 51 1C 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_41249_0 {
	meta:
		name = "TInReplyRFC.RaiseReplyError"
		size = 96
		refs = "000c TInReplyRFC.RaiseReplyError 0028 TInReply.GetNumericCode 0031 _DV_EInReplyRFCError 0036 EInReplyRFCError.CreateError 003b @RaiseExcept 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 18 8B 08 FF 51 1C 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_36822_0 {
	meta:
		name = "TIdReplyRFC.ReplyExists"
		size = 34
		refs = "0006 TIdReply.GetNumericCode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7F 10 8B 43 18 8B 10 FF 52 14 85 C0 7F 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_41250_0 {
	meta:
		name = "TInReplyRFC.ReplyExists"
		size = 34
		refs = "0006 TInReply.GetNumericCode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7F 10 8B 43 18 8B 10 FF 52 14 85 C0 7F 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_36823_0 {
	meta:
		name = "TIdReplyRFC.SetFormattedReply"
		size = 238
		refs = "0018 TIdReplyRFC.SetFormattedReply 0058 @UStrCopy 0063 Trim 006d TIdReply.SetCode 00d3 @UStrArrayClr 00db @UStrClr 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 30 8B 45 F8 8B 10 FF 52 14 85 C0 0F 8E 84 00 00 00 8D 45 F0 50 8D 4D EC 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 EC B9 03 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 3D 43 C7 45 F4 00 00 00 00 8D 45 E8 50 8D 4D E4 8B 55 F4 8B 45 F8 8B 38 FF 57 0C 8B 45 E4 B9 FF FF FF 7F BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 46 18 8B 08 FF 51 38 FF 45 F4 4B 75 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41251_0 {
	meta:
		name = "TInReplyRFC.SetFormattedReply"
		size = 238
		refs = "0018 TInReplyRFC.SetFormattedReply 0058 @UStrCopy 0063 Trim 006d TInReply.SetCode 00d3 @UStrArrayClr 00db @UStrClr 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 30 8B 45 F8 8B 10 FF 52 14 85 C0 0F 8E 84 00 00 00 8D 45 F0 50 8D 4D EC 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 EC B9 03 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 3D 43 C7 45 F4 00 00 00 00 8D 45 E8 50 8D 4D E4 8B 55 F4 8B 45 F8 8B 38 FF 57 0C 8B 45 E4 B9 FF FF FF 7F BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 46 18 8B 08 FF 51 38 FF 45 F4 4B 75 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_36827_0 {
	meta:
		name = "TIdRepliesRFC.UpdateText"
		size = 472
		refs = "0016 TIdRepliesRFC.UpdateText 0025 TIdReplies.UpdateText 003c TIdReply.GetNumericCode 0055 IntToStr 00f8 @UStrClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 18 8B 10 FF 52 14 85 C0 0F 85 AE 00 00 00 8B C6 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 6B C0 64 89 45 FC 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B CE 8B C3 8B 18 FF 53 2C 8B F8 85 FF 75 71 8B 45 FC 3D 2C 01 00 00 7F 0E 74 38 83 E8 64 74 15 83 E8 64 74 1F EB 64 2D 90 01 00 00 74 34 83 E8 64 74 3E EB 56 BA ?? ?? ?? ?? 8B 46 18 8B 08 FF 51 2C EB 47 BA ?? ?? ?? ?? 8B 46 18 8B 08 FF 51 2C EB 38 BA ?? ?? ?? ?? 8B 46 18 8B 08 FF 51 2C EB 29 BA ?? ?? ?? ?? 8B 46 18 8B 08 FF 51 2C EB 1A BA ?? ?? ?? ?? 8B 46 18 8B 08 FF 51 2C EB 0B 8B 57 18 8B 46 18 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 6E 00 66 00 6F 00 72 00 6D 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 65 00 6D 00 70 00 6F 00 72 00 61 00 72 00 79 00 20 00 45 00 72 00 72 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 50 00 65 00 72 00 6D 00 61 00 6E 00 65 00 6E 00 74 00 20 00 45 00 72 00 72 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 20 00 45 00 72 00 72 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_41255_0 {
	meta:
		name = "TIdRepliesRFC.UpdateText"
		size = 472
		refs = "0016 TIdRepliesRFC.UpdateText 0025 TIdReplies.UpdateText 003c TInReply.GetNumericCode 0055 IntToStr 00f8 @UStrClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 18 8B 10 FF 52 14 85 C0 0F 85 AE 00 00 00 8B C6 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 6B C0 64 89 45 FC 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B CE 8B C3 8B 18 FF 53 2C 8B F8 85 FF 75 71 8B 45 FC 3D 2C 01 00 00 7F 0E 74 38 83 E8 64 74 15 83 E8 64 74 1F EB 64 2D 90 01 00 00 74 34 83 E8 64 74 3E EB 56 BA ?? ?? ?? ?? 8B 46 18 8B 08 FF 51 2C EB 47 BA ?? ?? ?? ?? 8B 46 18 8B 08 FF 51 2C EB 38 BA ?? ?? ?? ?? 8B 46 18 8B 08 FF 51 2C EB 29 BA ?? ?? ?? ?? 8B 46 18 8B 08 FF 51 2C EB 1A BA ?? ?? ?? ?? 8B 46 18 8B 08 FF 51 2C EB 0B 8B 57 18 8B 46 18 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 6E 00 66 00 6F 00 72 00 6D 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 65 00 6D 00 70 00 6F 00 72 00 61 00 72 00 79 00 20 00 45 00 72 00 72 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 50 00 65 00 72 00 6D 00 61 00 6E 00 65 00 6E 00 74 00 20 00 45 00 72 00 72 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 20 00 45 00 72 00 72 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_36830_0 {
	meta:
		name = "TIdSMTPEnhancedCode.AssignTo"
		size = 71
		refs = "000a _DV_TIdSMTPEnhancedCode 000f @IsClass 001d TIdSMTPEnhancedCode.SetStatusClass 0034 TIdSMTPEnhancedCode.SetAvailable 0040 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B 53 04 8B C6 E8 ?? ?? ?? ?? 8B 43 08 89 46 08 8B 43 0C 89 46 0C 0F B6 53 10 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36831_0 {
	meta:
		name = "TIdSMTPEnhancedCode.Create"
		size = 74
		refs = "000a @ClassCreate 0017 TObject.Create 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 04 02 00 00 00 33 C0 89 46 08 33 C0 89 46 0C C6 46 10 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36832_0 {
	meta:
		name = "TIdSMTPEnhancedCode.GetReplyAsStr"
		size = 248
		refs = "0015 TIdSMTPEnhancedCode.GetReplyAsStr 0022 @UStrClr 003f IntToStr 0051 @UStrCopy 00ba @UStrCatN 00d4 @UStrArrayClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 80 7B 10 00 0F 84 8E 00 00 00 8D 45 FC 50 8B 43 04 33 D2 52 50 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F4 50 8B 43 08 33 D2 52 50 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 B9 03 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 EC 50 8B 43 0C 33 D2 52 50 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 B9 03 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 EC 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36833_0 {
	meta:
		name = "TIdSMTPEnhancedCode.IsValidReplyCode"
		size = 284
		refs = "0011 TIdSMTPEnhancedCode.IsValidReplyCode 0021 Trim 003a @UStrLAsg 004f Fetch 0076 CharIsInSet 009d IsNumeric 00d3 @UStrArrayClr 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 83 7D F0 00 0F 94 C3 84 DB 0F 85 89 00 00 00 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 3F 6A 01 8D 45 F4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F4 00 74 24 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 18 83 7D F8 00 74 0C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 32 00 34 00 35 00 00 00 }
	condition:
		$1
}

rule function_36834_0 {
	meta:
		name = "TIdSMTPEnhancedCode.SetAvailable"
		size = 30
	strings:
		$1 = { 3A 50 10 74 18 88 50 10 84 D2 74 11 C7 40 04 02 00 00 00 33 D2 89 50 08 33 D2 89 50 0C C3 }
	condition:
		$1
}

rule function_36835_0 {
	meta:
		name = "TIdSMTPEnhancedCode.SetReplyAsStr"
		size = 268
		refs = "0013 TIdSMTPEnhancedCode.SetReplyAsStr 0022 TIdSMTPEnhancedCode.IsValidReplyCode 002e RSSMTPReplyInvalidReplyStr 0033 LoadResString 003b _DV_EIdSMTPReplyInvalidReplyString 0040 EIdException.Toss 004a @UStrLAsg 005f Fetch 0084 IndyStrToInt 00da @UStrArrayClr 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1A 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 57 6A 01 8D 45 F4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 89 43 04 6A 01 8D 45 F4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 89 43 08 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 89 43 0C C6 43 10 01 EB 04 C6 43 10 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_36836_0 {
	meta:
		name = "TIdSMTPEnhancedCode.SetStatusClass"
		size = 103
		refs = "000f TIdSMTPEnhancedCode.SetStatusClass 002c RSSMTPReplyInvalidClass 0031 LoadResString 0039 _DV_EIdSMTPReplyInvalidClass 003e EIdException.Toss 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 83 E8 02 74 22 83 C0 FE 83 E8 02 72 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36837_0 {
	meta:
		name = "TIdReplySMTP.AssignTo"
		size = 72
		refs = "000b _DV_TIdReplySMTP 0010 @IsClass 0020 TIdReply.SetCode 002a TIdReplySMTP.SetEnhancedCode 0040 TIdReplyRFC.AssignTo"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8B FB 8B 56 0C 8B C7 E8 ?? ?? ?? ?? 8B 56 1C 8B C7 E8 ?? ?? ?? ?? 8B 56 18 8B 47 18 8B 08 FF 51 08 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36838_0 {
	meta:
		name = "TIdReplySMTP.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TIdReply.Create 001e _DV_TIdSMTPEnhancedCode 0023 TIdSMTPEnhancedCode.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 1C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36839_0 {
	meta:
		name = "TIdReplySMTP.CreateWithReplyTexts"
		size = 78
		refs = "000d @ClassCreate 001e TIdReply.CreateWithReplyTexts 0025 _DV_TIdSMTPEnhancedCode 002a TIdSMTPEnhancedCode.Create 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 1C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_36841_0 {
	meta:
		name = "TIdReplySMTP.GetFormattedReply"
		size = 576
		refs = "0019 TIdReplySMTP.GetFormattedReply 0030 TIdReply.GetNumericCode 0047 IntToStr 009b TIdSMTPEnhancedCode.GetReplyAsStr 00c0 @UStrCatN 0202 @UStrArrayClr 020a @UStrClr 0210 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 20 89 45 F8 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 8E 99 01 00 00 8B C6 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 46 18 8B 10 FF 52 14 85 C0 0F 8E 35 01 00 00 8B 46 18 8B 10 FF 52 14 48 85 C0 0F 8C 80 01 00 00 40 89 45 F4 33 DB 8B 46 18 8B 10 FF 52 14 48 3B D8 0F 8D 83 00 00 00 8B 46 1C 80 78 10 00 74 48 FF 75 FC 68 ?? ?? ?? ?? 8D 55 EC 8B 46 1C E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 4D E8 8B D3 8B 46 18 8B 38 FF 57 0C FF 75 E8 8D 45 F0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 08 FF 51 38 E9 B0 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 4D E0 8B D3 8B 46 18 8B 38 FF 57 0C FF 75 E0 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 8B 08 FF 51 38 EB 7E 8B 46 1C 80 78 10 00 74 45 FF 75 FC 68 ?? ?? ?? ?? 8D 55 D8 8B 46 1C E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 4D D4 8B D3 8B 46 18 8B 38 FF 57 0C FF 75 D4 8D 45 DC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 8B 08 FF 51 38 EB 30 FF 75 FC 68 ?? ?? ?? ?? 8D 4D CC 8B D3 8B 46 18 8B 38 FF 57 0C FF 75 CC 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F8 8B 08 FF 51 38 43 FF 4D F4 0F 85 E4 FE FF FF EB 5C 8B 5E 1C 80 7B 10 00 74 2F FF 75 FC 68 ?? ?? ?? ?? 8D 55 C4 8B C3 E8 ?? ?? ?? ?? FF 75 C4 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F8 8B 08 FF 51 38 EB 24 8B 55 FC 8B 45 F8 8B 08 FF 51 38 EB 17 8B 46 18 8B 10 FF 52 14 85 C0 7E 0B 8B 56 18 8B 45 F8 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36842_0 {
	meta:
		name = "TIdReplySMTP.RaiseReplyError"
		size = 100
		refs = "000c TIdReplySMTP.RaiseReplyError 002c TIdReply.GetNumericCode 0035 _DV_EIdSMTPReplyError 003a EIdSMTPReplyError.CreateError 003f @RaiseExcept 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 1C 50 8D 55 FC 8B 43 18 8B 08 FF 51 1C 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_36843_0 {
	meta:
		name = "TColumn.SetTitle"
		size = 9
		altNames = "TFramedBorder.SetInner TIWScriptEvents.SetEventNamesList TIdReplySMTP.SetEnhancedCode"
	strings:
		$1 = { 8B 40 1C 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_36844_0 {
	meta:
		name = "TIdReplySMTP.SetEnhReply"
		size = 35
		refs = "000f TIdReply.SetReply 0019 TIdSMTPEnhancedCode.SetReplyAsStr"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 1C E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_36845_0 {
	meta:
		name = "TIdReplySMTP.SetFormattedReply"
		size = 344
		refs = "0018 TIdReplySMTP.SetFormattedReply 0058 @UStrCopy 0063 Trim 008b @UStrSetLength 0095 TIdReply.SetCode 00db TIdSMTPEnhancedCode.IsValidReplyCode 00f4 Fetch 00ff TIdSMTPEnhancedCode.SetReplyAsStr 012a @UStrArrayClr 0132 @UStrClr 0138 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 30 8B 45 F8 8B 10 FF 52 14 85 C0 0F 8E DB 00 00 00 8D 45 F0 50 8D 4D EC 33 D2 8B 45 F8 8B 30 FF 56 0C 8B 45 EC B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 04 75 17 8B 45 FC 66 83 78 06 2D 75 0D 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 6C 46 C7 45 F4 00 00 00 00 8D 45 FC 50 8D 4D E8 8B 55 F4 8B 45 F8 8B 38 FF 57 0C 8B 45 E8 B9 FF FF FF 7F BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 20 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 43 1C E8 ?? ?? ?? ?? 8B 55 FC 8B 43 18 8B 08 FF 51 38 FF 45 F4 4E 75 9C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36847_0 {
	meta:
		name = "EIdSMTPReplyError.CreateError"
		size = 157
		refs = "0015 @ClassCreate 0022 EIdSMTPReplyError.CreateError 0035 EIdReplyRFCError.CreateError 003c _DV_TIdSMTPEnhancedCode 0041 TIdSMTPEnhancedCode.Create 0051 TIdSMTPEnhancedCode.GetReplyAsStr 005b TIdSMTPEnhancedCode.SetReplyAsStr 0070 @UStrClr 0076 @HandleFinally 0085 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 1C 8D 55 F8 8B 45 0C E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_36857_0 {
	meta:
		name = "TIdRexec.InitComponent"
		size = 33
		refs = "0006 TIdRemoteCMDClient.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 00 02 8B C3 8B 08 FF 91 A4 00 00 00 C6 83 10 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_36858_0 {
	meta:
		name = "TIdRexec.Execute"
		size = 96
		refs = "0011 @UStrAddRef 0019 TIdRexec.Execute 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 56 8B 8B E0 00 00 00 8B 93 EC 00 00 00 8B C3 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36861_0 {
	meta:
		name = "TIdRexecServer.InitComponent"
		size = 40
		refs = "0006 TIdCustomTCPServer.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 00 02 8B C3 8B 08 FF 91 98 00 00 00 C6 83 18 01 00 00 00 C6 83 19 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_36862_0 {
	meta:
		name = "TIdRexecServer.DoCMD"
		size = 129
		refs = "0010 @UStrAddRef 0028 TIdRexecServer.DoCMD 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 22 01 00 00 00 74 1C 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B 83 24 01 00 00 FF 93 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_36870_0 {
	meta:
		name = "TIdRSHServer.DoCMD"
		size = 129
		refs = "0010 @UStrAddRef 0028 TIdRSHServer.DoCMD 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 22 01 00 00 00 74 1C 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B 83 24 01 00 00 FF 93 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_36865_0 {
	meta:
		name = "TIdRSH.InitComponent"
		size = 48
		refs = "0006 TIdRemoteCMDClient.InitComponent 001f @UStrClr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 02 02 8B C3 8B 08 FF 91 A4 00 00 00 8D 83 20 01 00 00 E8 ?? ?? ?? ?? 8D 83 24 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_36866_0 {
	meta:
		name = "TIdRSH.Execute"
		size = 96
		refs = "0011 @UStrAddRef 0019 TIdRSH.Execute 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 56 8B 8B 24 01 00 00 8B 93 20 01 00 00 8B C3 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36869_0 {
	meta:
		name = "TIdRSHServer.InitComponent"
		size = 40
		refs = "0006 TIdCustomTCPServer.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 02 02 8B C3 8B 08 FF 91 98 00 00 00 C6 83 18 01 00 00 01 C6 83 19 01 00 00 01 5B C3 }
	condition:
		$1
}

rule function_36874_0 {
	meta:
		name = "TIdSASL.InitComponent"
		size = 24
		refs = "0006 TIdInitializerComponent.InitComponent 000d GlobalSASLList 0012 TThreadList.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_36875_0 {
	meta:
		name = "TIdSASL.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 000c GlobalSASLList 0015 TThreadList.RemoveItem 0020 TComponent.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 8B D6 33 C9 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36879_0 {
	meta:
		name = "TIdSASL.IsAuthProtocolAvailable"
		size = 112
		refs = "0015 TIdSASL.IsAuthProtocolAvailable 0032 @UStrFromString 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 20 8D 55 E4 8B 03 FF 50 58 8D 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 54 40 7F 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_36881_0 {
	meta:
		name = "TIdSASL.ServiceName"
		size = 8
	strings:
		$1 = { 53 8B DA C6 03 00 5B C3 }
	condition:
		$1
}

rule function_36884_0 {
	meta:
		name = "TIdSASLAnonymous.InitComponent"
		size = 17
		refs = "0006 TIdSASL.InitComponent"
		altNames = "TIdSASLExternal.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 38 5B C3 }
	condition:
		$1
}

rule function_36885_0 {
	meta:
		name = "TIdSASLAnonymous.IsReadyToStart"
		size = 12
		altNames = "TIdSASLExternal.IsReadyToStart"
	strings:
		$1 = { 53 8B D8 83 7B 3C 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_36886_0 {
	meta:
		name = "TIdSASLAnonymous.ServiceName"
		size = 32
		refs = "0008 TIdSASLAnonymous.ServiceName"
	strings:
		$1 = { 53 56 57 8B DA 8B FB BE ?? ?? ?? ?? A5 A5 66 A5 5F 5E 5B C3 09 41 4E 4F 4E 59 4D 4F 55 53 00 00 }
	condition:
		$1
}

rule function_36887_0 {
	meta:
		name = "TIdSASLAnonymous.StartAuthenticate"
		size = 22
		refs = "000d @UStrAsg"
		altNames = "TIdSASLExternal.StartAuthenticate"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 53 3C E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_36890_0 {
	meta:
		name = "TIdSASLListEntry.Assign"
		size = 44
		refs = "000a _DV_TIdSASLListEntry 000f @IsClass 0025 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B 46 0C 89 43 0C 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36891_0 {
	meta:
		name = "TIdSASLListEntry.GetDisplayName"
		size = 51
		refs = "001d @UStrFromString 0028 TCollectionItem.GetDisplayName"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F2 8B D8 8B 7B 0C 85 FF 74 12 8B D4 8B 07 FF 50 58 8B D4 8B C6 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36892_0 {
	meta:
		name = "CheckStrFail"
		size = 59
		refs = "0015 PosInStrArray"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 6A 01 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 40 75 12 6A 01 8B 55 0C 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 40 74 04 33 C0 EB 02 B0 01 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_36893_0 {
	meta:
		name = "PerformSASLLogin"
		size = 644
		refs = "0029 PerformSASLLogin 0053 @UStrFromString 0063 @UStrCatN 008c CheckStrFail 00aa PosInStrArray 00d6 TrimRight 00e5 TIdDecoder.DecodeString 0106 @UStrLAsg 0119 TIdEncoder.Encode 0126 TIdTCPConnection.SendCmd 0244 @UStrArrayClr 0259 @UStrClr 025f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F4 89 55 F8 8B F8 8B 5D 08 8B 75 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 6A FF 6A 00 57 68 ?? ?? ?? ?? 8D 55 D0 8B 45 24 8B 00 FF 50 58 8D 55 D0 8D 45 E8 E8 ?? ?? ?? ?? FF 75 E8 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8D 4D D0 8B C3 8B 38 FF 97 94 00 00 00 56 8B 45 0C 50 8B 55 18 8B 83 9C 00 00 00 8B 40 0C 8B 4D 14 E8 ?? ?? ?? ?? 84 C0 0F 85 96 01 00 00 6A 01 8B 55 18 8B 83 9C 00 00 00 8B 40 0C 8B 4D 14 E8 ?? ?? ?? ?? 40 7E 09 C6 45 F3 01 E9 74 01 00 00 8D 45 FC 50 8D 55 C8 8B 83 9C 00 00 00 8B 40 18 8B 08 FF 51 1C 8B 45 C8 8D 55 CC E8 ?? ?? ?? ?? 8B 55 CC 8B 45 1C 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 C4 50 8B 4D F8 8B 55 FC 8B 45 24 8B 38 FF 57 44 8B 55 C4 8D 45 FC E8 ?? ?? ?? ?? 6A 00 8D 45 C0 50 33 C9 8B 55 FC 8B 45 20 E8 ?? ?? ?? ?? 8B 55 C0 83 C9 FF 8B C3 E8 ?? ?? ?? ?? 56 8B 45 0C 50 8B 55 18 8B 83 9C 00 00 00 8B 40 0C 8B 4D 14 E8 ?? ?? ?? ?? 84 C0 0F 84 A4 00 00 00 8B 45 24 8B 10 FF 52 4C E9 D6 00 00 00 8D 45 FC 50 8D 55 B8 8B 83 9C 00 00 00 8B 40 18 8B 08 FF 51 1C 8B 45 B8 8D 55 BC E8 ?? ?? ?? ?? 8B 55 BC 8B 45 1C 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 B4 50 8B 4D F8 8B 55 FC 8B 45 24 8B 38 FF 57 48 8B 55 B4 8D 45 FC E8 ?? ?? ?? ?? 6A 00 8D 45 B0 50 33 C9 8B 55 FC 8B 45 20 E8 ?? ?? ?? ?? 8B 55 B0 83 C9 FF 8B C3 E8 ?? ?? ?? ?? 56 8B 45 0C 50 8B 55 18 8B 83 9C 00 00 00 8B 40 0C 8B 4D 14 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 24 8B 10 FF 52 4C EB 3F 6A 01 8B D6 8B 83 9C 00 00 00 8B 40 0C 8B 4D 0C E8 ?? ?? ?? ?? 40 0F 8F 4D FF FF FF 6A 01 8B 55 18 8B 83 9C 00 00 00 8B 40 0C 8B 4D 14 E8 ?? ?? ?? ?? 40 0F 9F 45 F3 8B 45 24 8B 10 FF 52 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36896_0 {
	meta:
		name = "TIdSASLEntries.CheckIfEmpty"
		size = 118
		refs = "000e TIdSASLEntries.CheckIfEmpty 002b TIdSASLEntries.GetItem 003d RSSASLRequired 0042 LoadResString 004a _DV_EIdSASLMechNeeded 004f EIdException.Toss 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 08 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 83 78 0C 00 75 1E 46 4B 75 ED 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36898_0 {
	meta:
		name = "TIdSASLEntries.IndexOfComp"
		size = 50
		refs = "001b TIdSASLEntries.GetItem"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 08 8B 58 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 68 0C 74 07 46 4B 75 EE 83 CE FF 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78938_0 {
	meta:
		name = "TControlCollection.IndexOf"
		size = 50
		refs = "001b TControlCollection.GetItem"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 08 8B 58 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 68 0C 74 07 46 4B 75 EE 83 CE FF 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36900_0 {
	meta:
		name = "SetupErrorReply"
		size = 55
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 10 8B 80 9C 00 00 00 8B 00 89 C2 33 C9 8B C2 B2 01 FF 50 1C 8B D8 8B 45 08 8B 40 10 8B 90 9C 00 00 00 8B C3 8B 08 FF 51 08 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_36901_0 {
	meta:
		name = "TIdSASLEntries.LoginSASL"
		size = 726
		refs = "001d TIdSASLEntries.LoginSASL 002a TIdSASLEntries.CheckIfEmpty 0031 _Dn_TList 0036 TObject.Create 004e _Dn_TStringList 0053 TStringList.Create 0075 TIdSASLEntries.ParseCapaReplyToList 008a TIdSASLEntries.GetItem 00a9 TList.IndexOf 00b6 TList.Add 00d6 TObject.Free 00dc @HandleFinally 00ef RSSASLNotSupported 00f4 LoadResString 00fc _DV_EIdSASLNotSupported 0101 EIdException.Toss 0156 TList.Get 0176 _Dn_TIdEncoderMIME 017b TIdBaseComponent.Create 018d _Dn_TIdDecoderMIME 01c0 PerformSASLLogin 01c9 @TryFinallyExit 01e9 SetupErrorReply 020d RSSASLNotReady 021a _DV_EIdSASLNotReady 02c1 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 50 8B 4D EC 8B 55 0C 8B C7 E8 ?? ?? ?? ?? 8B 47 08 8B 70 08 4E 83 FE 00 7C 3B 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 58 0C 85 DB 74 25 8B 55 EC 8B C3 8B 08 FF 51 54 84 C0 74 17 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 40 75 0A 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 4E 83 FE FF 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 E8 83 78 08 00 75 1A 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 8B 78 08 4F 85 FF 0F 8C AC 00 00 00 47 33 F6 8B D6 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 50 84 C0 0F 84 86 00 00 00 83 7D F4 00 75 11 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 83 7D F0 00 75 11 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 53 8B 45 F4 50 8B 45 F0 50 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 4D 24 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 19 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CA 00 00 00 83 7D E4 00 75 0A 55 E8 ?? ?? ?? ?? 59 89 45 E4 46 4F 0F 85 57 FF FF FF 83 7D E4 00 74 0A 8B 45 E4 8B 10 FF 52 3C EB 1A 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule function_36902_0 {
	meta:
		name = "TIdSASLEntries.LoginSASL"
		size = 463
		refs = "001f TIdSASLEntries.LoginSASL 0031 TIdSASLEntries.CheckIfEmpty 0038 _Dn_TStringList 003d TStringList.Create 005f TIdSASLEntries.ParseCapaReplyToList 0075 TIdSASLEntries.FindSASL 0092 TObject.Free 0098 @HandleFinally 00a8 RSSASLNotSupported 00ad LoadResString 00b5 _DV_EIdSASLNotSupported 00ba EIdException.Toss 00d0 RSSASLNotReady 00dd _DV_EIdSASLNotReady 00eb _Dn_TIdEncoderMIME 00f0 TIdBaseComponent.Create 010a _Dn_TIdDecoderMIME 014e PerformSASLLogin 01bb @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D E0 89 5D E4 89 4D F8 89 55 FC 8B D8 8B 75 24 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 50 8B 4D EC 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 45 EC 8B 08 FF 51 54 40 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 83 7D E8 00 75 1C 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 8B 45 E8 8B 10 FF 52 50 84 C0 75 1A 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 50 8B 45 F4 50 8B 45 F0 50 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 4D 28 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0B 8B 45 10 8B 10 FF 92 8C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule function_36903_0 {
	meta:
		name = "TIdSASLEntries.ParseCapaReply"
		size = 102
		refs = "0010 _Dn_TStringList 0015 TStringList.Create 0020 TIdSASLEntries.ParseCapaReply 0033 TIdSASLEntries.ParseCapaReplyToList 0042 @HandleAnyException 004f TObject.Free 0054 @RaiseAgain 0059 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 57 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36904_0 {
	meta:
		name = "TIdSASLEntries.ParseCapaReplyToList"
		size = 464
		refs = "0020 TIdSASLEntries.ParseCapaReplyToList 0038 TStrings.BeginUpdate 007a TextStartsWith 0099 VALIDDELIMS 00a1 CharIsInSet 00c8 @UStrCopy 00d3 UpperCase 00de @UStrLAsg 00fc StringReplace 011e Fetch 0145 @UStrLen 0168 TStrings.EndUpdate 016e @HandleFinally 018a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F0 89 55 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 0F 84 40 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C FA 00 00 00 43 C7 45 EC 00 00 00 00 8D 4D FC 8B 55 EC 8B 45 F4 8B 30 FF 56 0C 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 C7 00 00 00 8B 7D 08 8B F7 85 F6 74 05 83 EE 04 8B 36 8D 56 01 8B 0D ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 A0 00 00 00 8B F7 85 F6 74 05 83 EE 04 8B 36 8D 45 E4 50 8D 56 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? EB 34 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 19 8B 55 F8 8B 45 F0 8B 08 FF 51 54 40 75 0B 8B 55 F8 8B 45 F0 8B 08 FF 51 38 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7F C0 FF 45 EC 4B 0F 85 0E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 04 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_36905_0 {
	meta:
		name = "TIdSASLEntries.FindSASL"
		size = 162
		refs = "0018 TIdSASLEntries.FindSASL 003e TIdSASLEntries.GetItem 005c @UStrFromString 0067 TextIsSame 008c @UStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 FC 8B 40 08 8B 70 08 4E 85 F6 7C 46 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 83 7B 0C 00 74 2D 8D 55 D8 8B 43 0C 8B 00 FF 50 58 8D 55 D8 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 0C 89 45 F4 EB 04 47 4E 75 BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_36906_0 {
	meta:
		name = "TIdSASLEntries.RemoveByComp"
		size = 52
		refs = "0018 TIdSASLEntries.GetItem 0026 TCollection.Delete"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 08 8B 58 08 4B 83 FB 00 7C 1D 8B D3 8B C6 E8 ?? ?? ?? ?? 3B 78 0C 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 E3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_36912_0 {
	meta:
		name = "HashResult"
		size = 162
		refs = "0015 HashResult 0022 _Dn_TIdHashMessageDigest5 0027 TIdHashMessageDigest4.Create 0048 TIdHash.HashString 0053 TArray<System.Byte> 0058 @DynArrayAsg 006d TObject.Free 0073 @HandleFinally 0090 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_36913_0 {
	meta:
		name = "HashResultAsHex"
		size = 147
		refs = "0015 HashResultAsHex 0022 _Dn_TIdHashMessageDigest5 0027 TIdHashMessageDigest4.Create 0045 TIdHash.HashBytesAsHex 004f LowerCase 0064 TObject.Free 006a @HandleFinally 0081 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_36915_0 {
	meta:
		name = "CalcDigestResponse"
		size = 1108
		refs = "0021 CalcDigestResponse 0044 @UStrCatN 0051 ToBytes 0072 _Dn_TIdHashMessageDigest5 0077 TIdHashMessageDigest4.Create 0099 TIdHash.HashString 00a5 TArray<System.Byte> 00aa @DynArrayAsg 00bf TObject.Free 00c5 @HandleFinally 00e7 AppendBytes 0116 @UStrEqual 0128 @UStrCat3 0193 @DynArraySetLength 01d2 TIdHash.HashBytesAsHex 01dd LowerCase 020c IntToHex 02d6 TIdHash.HashStringAsHex 0309 @UStrAsg 0323 @UStrArrayClr 0336 @FinalizeArray 033e @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? FF 75 20 68 ?? ?? ?? ?? FF 75 1C 8D 45 BC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 BC 8D 4D F4 33 D2 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 56 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 B8 50 33 C9 8B 55 E4 8B 45 CC E8 ?? ?? ?? ?? 8B 55 B8 8D 45 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 FC 8B 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 8D 45 FC 33 C9 8B 55 F4 E8 ?? ?? ?? ?? 83 7D 0C 00 74 1C 6A FF 8D 4D B4 33 D2 8B 45 0C E8 ?? ?? ?? ?? 8B 55 B4 8D 45 FC 33 C9 E8 ?? ?? ?? ?? 8B 45 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1F 8D 45 B0 8B 4D 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 8D 4D F8 33 D2 E8 ?? ?? ?? ?? EB 5F 8B 45 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 29 68 ?? ?? ?? ?? FF 75 10 68 ?? ?? ?? ?? 8D 45 AC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 AC 8D 4D F8 33 D2 E8 ?? ?? ?? ?? EB 18 6A 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 EC 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D A8 8B 55 EC 8B 45 C8 E8 ?? ?? ?? ?? 8B 45 A8 8D 55 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 5D 18 8D 4D DC BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D A4 8B 55 E8 8B 45 C4 E8 ?? ?? ?? ?? 8B 45 A4 8D 55 D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 75 E0 68 ?? ?? ?? ?? FF 75 20 68 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? FF 75 1C 68 ?? ?? ?? ?? FF 75 14 68 ?? ?? ?? ?? FF 75 D8 8D 45 D4 BA 0B 00 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 A0 50 33 C9 8B 55 D4 8B 45 C0 E8 ?? ?? ?? ?? 8B 45 A0 8D 55 D0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 8B 55 D0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 D0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B0 5F 5E 5B 8B E5 5D C2 1C 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 61 00 75 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 55 00 54 00 48 00 45 00 4E 00 54 00 49 00 43 00 41 00 54 00 45 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 61 00 75 00 74 00 68 00 2D 00 69 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 61 00 75 00 74 00 68 00 2D 00 63 00 6F 00 6E 00 66 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 3A 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 00 00 }
	condition:
		$1
}

rule function_36916_0 {
	meta:
		name = "TIdSASLCRAMBase.ContinueAuthenticate"
		size = 15
		refs = "0007 @UStrClr"
		altNames = "TIdSASLDigest.ContinueAuthenticate"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_36917_0 {
	meta:
		name = "TIdSASLCRAMMD5.IsReadyToStart"
		size = 15
		refs = "0003 GetFIPSMode"
		altNames = "TIdSASLDigest.IsReadyToStart TIdSASLSKey.IsReadyToStart"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B FF D3 34 01 5B C3 }
	condition:
		$1
}

rule function_36918_0 {
	meta:
		name = "TIdSASLDigest.ServiceName"
		size = 36
		refs = "0008 TIdSASLDigest.ServiceName"
	strings:
		$1 = { 53 56 57 8B DA 8B FB BE ?? ?? ?? ?? A5 A5 66 A5 A4 5F 5E 5B C3 00 00 00 0A 44 49 47 45 53 54 2D 4D 44 35 00 }
	condition:
		$1
}

rule function_36919_0 {
	meta:
		name = "TIdSASLDigest.StartAuthenticate"
		size = 1848
		refs = "0020 TIdSASLDigest.StartAuthenticate 003c @UStrCatN 0043 _Dn_TStringList 0048 TStringList.Create 0081 @UStrLAsg 009b Fetch 00c6 Trim 00d1 TrimLeft 00e9 TextStartsWith 014f @UStrCopy 01f2 @UStrLen 020d TStrings.GetValue 021b TStrings.SetCommaText 0272 RSSASLDigestAuthConfNotSupported 0277 LoadResString 0282 _DV_EIdSASLDigestAuthConfNotSupported 0287 EIdException.Toss 02c8 RSSASLDigestMissingAlgorithm 02d8 _DV_EIdSASLDigestChallNoAlgorithm 02e2 Now 02f4 CurrencyString 02f9 DateTimeToStr 030b _Dn_TIdHashMessageDigest5 0310 TIdHashMessageDigest4.Create 0335 TIdHash.HashStringAsHex 0343 LowerCase 0358 TObject.Free 035e @HandleFinally 03a6 TIdSASLUserPass.GetPassword 03bb TIdSASLUserPass.GetUsername 03ca CalcDigestResponse 03d8 @UStrClr 0408 IntToHex 04dd @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 14 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F1 8B DA 89 45 BC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C 68 ?? ?? ?? ?? 56 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 FC 8B D3 E8 ?? ?? ?? ?? E9 64 01 00 00 6A 01 8D 45 90 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 90 8B 45 B8 8B 08 FF 51 38 6A 01 8D 45 8C 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 8C 8D 55 D8 E8 ?? ?? ?? ?? 8D 55 88 8B 45 FC E8 ?? ?? ?? ?? 8B 55 88 8D 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 94 00 00 00 8B 45 FC 89 45 A8 8B 45 A8 89 45 A4 83 7D A4 00 74 0B 8B 45 A4 83 E8 04 8B 00 89 45 A4 8B 45 A4 89 45 AC BB 02 00 00 00 3B 5D AC 7F 1B 8B 45 FC 0F B7 74 58 FE 66 83 FE 22 74 0D 66 83 FE 5C 75 01 43 43 3B 5D AC 7E E5 8D 45 D0 50 8B CB 83 E9 02 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8D 45 D4 8B 55 D0 E8 ?? ?? ?? ?? 6A 01 8D 45 84 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 20 6A 01 8D 45 80 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 80 8D 55 D4 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? FF 75 D4 8D 85 7C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B 45 B8 8B 08 FF 51 38 8D 95 78 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 8F 8C FE FF FF 8D 8D 74 FF FF FF BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8B 45 B0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 B0 8B 08 FF 51 54 40 7E 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 B0 8B 08 FF 51 54 40 7E 30 BA ?? ?? ?? ?? 8B 45 B0 8B 08 FF 51 54 40 75 20 8D 95 70 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 70 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E0 BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 8D 4D DC BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 8D 4D E4 BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 83 7D E4 00 75 20 8D 95 6C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 6C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D 98 9B FF 75 9C FF 75 98 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 55 CC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 94 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 68 FF FF FF 50 33 C9 8B 55 C8 8B 45 94 E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 8D 55 C4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 94 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 F4 8B 55 C4 E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 F4 50 6A 01 8B 45 F8 50 8B 45 EC 50 8B 45 BC 8B 40 40 50 8D 45 F0 50 8D 95 64 FF FF FF 8B 45 BC E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 50 8D 95 60 FF FF FF 8B 45 BC E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 8B 4D DC 5A E8 ?? ?? ?? ?? 83 7D E8 00 75 0A 8B 45 08 E8 ?? ?? ?? ?? EB 1A 68 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? BB 01 00 00 00 8D 4D C0 BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 08 FF 30 68 ?? ?? ?? ?? 8D 95 5C FF FF FF 8B 45 BC E8 ?? ?? ?? ?? FF B5 5C FF FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 75 F8 8B 45 08 BA 16 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 B0 33 D2 89 55 B0 E8 ?? ?? ?? ?? 8B 45 B8 33 D2 89 55 B8 E8 ?? ?? ?? ?? 8B 45 B4 33 D2 89 55 B4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 5C FF FF FF BA 0E 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 BA 10 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 71 00 6F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 61 00 75 00 74 00 68 00 2D 00 69 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 61 00 75 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 61 00 75 00 74 00 68 00 2D 00 63 00 6F 00 6E 00 66 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6E 00 6F 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 72 00 65 00 61 00 6C 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 61 00 6C 00 67 00 6F 00 72 00 69 00 74 00 68 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 75 00 73 00 65 00 72 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 2C 00 72 00 65 00 61 00 6C 00 6D 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 2C 00 6E 00 6F 00 6E 00 63 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2C 00 6E 00 63 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2C 00 63 00 6E 00 6F 00 6E 00 63 00 65 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 2C 00 64 00 69 00 67 00 65 00 73 00 74 00 2D 00 75 00 72 00 69 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 2C 00 72 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2C 00 71 00 6F 00 70 00 3D 00 00 00 }
	condition:
		$1
}

rule function_36924_0 {
	meta:
		name = "TIdSASLExternal.ServiceName"
		size = 32
		refs = "0008 TIdSASLExternal.ServiceName"
	strings:
		$1 = { 53 56 57 8B DA 8B FB BE ?? ?? ?? ?? A5 A5 A4 5F 5E 5B C3 00 08 45 58 54 45 52 4E 41 4C 00 00 00 }
	condition:
		$1
}

rule function_36928_0 {
	meta:
		name = "TIdSASLLogin.StartAuthenticate"
		size = 21
		refs = "000c TIdSASLUserPass.GetUsername"
		altNames = "TIdSASLOTP.StartAuthenticate TIdSASLSKey.StartAuthenticate"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 55 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_36929_0 {
	meta:
		name = "TIdSASLLogin.ContinueAuthenticate"
		size = 21
		refs = "000c TIdSASLUserPass.GetPassword"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 55 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_36930_0 {
	meta:
		name = "TIdSASLLogin.InitComponent"
		size = 19
		refs = "0006 TIdSASL.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 43 38 C8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_36931_0 {
	meta:
		name = "TIdSASLLogin.ServiceName"
		size = 28
		refs = "0008 TIdSASLLogin.ServiceName"
	strings:
		$1 = { 53 56 57 8B DA 8B FB BE ?? ?? ?? ?? A5 66 A5 5F 5E 5B C3 00 05 4C 4F 47 49 4E 00 00 }
	condition:
		$1
}

rule function_36934_0 {
	meta:
		name = "TIdSASLOTP.ContinueAuthenticate"
		size = 87
		refs = "000f TIdSASLOTP.ContinueAuthenticate 0023 TIdSASLUserPass.GetPassword 002f TIdSASLOTP.GenerateOTP 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_36935_0 {
	meta:
		name = "TIdSASLOTP.InitComponent"
		size = 19
		refs = "0006 TIdSASL.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 43 38 E8 03 00 00 5B C3 }
	condition:
		$1
}

rule function_36936_0 {
	meta:
		name = "TIdSASLOTP.ServiceName"
		size = 11
	strings:
		$1 = { 53 8B DA C7 03 03 4F 54 50 5B C3 }
	condition:
		$1
}

rule function_36938_0 {
	meta:
		name = "TIdSASLOTP.GenerateOTP"
		size = 136
		refs = "0013 TIdSASLOTP.GenerateOTP 0026 _Dn_TIdOTPCalculator 002b TIdOTPCalculator.GenerateSixWordKey 003e @UStrCat3 0047 @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CF 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B C3 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 05 00 00 00 77 00 6F 00 72 00 64 00 3A 00 00 00 }
	condition:
		$1
}

rule function_36941_0 {
	meta:
		name = "TIdSASLPlain.IsReadyToStart"
		size = 23
		refs = "0006 TIdSASLUserPass.IsReadyToStart"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 83 7B 40 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_36942_0 {
	meta:
		name = "TIdSASLPlain.ServiceName"
		size = 28
		refs = "0008 TIdSASLPlain.ServiceName"
	strings:
		$1 = { 53 56 57 8B DA 8B FB BE ?? ?? ?? ?? A5 66 A5 5F 5E 5B C3 00 05 50 4C 41 49 4E 00 00 }
	condition:
		$1
}

rule function_36943_0 {
	meta:
		name = "TIdSASLPlain.StartAuthenticate"
		size = 164
		refs = "0010 TIdSASLPlain.StartAuthenticate 0020 TIdSASLUserPass.GetUsername 002b @UStrLAsg 0056 TIdSASLUserPass.GetPassword 0066 @UStrCatN 0080 @UStrArrayClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 40 E8 ?? ?? ?? ?? 83 7D FC 00 75 0B 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? FF 75 F4 8B 45 08 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_36946_0 {
	meta:
		name = "TIdSASLSKey.ContinueAuthenticate"
		size = 212
		refs = "0015 TIdSASLSKey.ContinueAuthenticate 0025 Trim 003a Fetch 0044 IndyStrToInt 0065 TIdSASLUserPass.GetPassword 007b _Dn_TIdOTPCalculator 0080 TIdOTPCalculator.GenerateSixWordKey 009a @UStrArrayClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 8B F0 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 56 8B 45 08 50 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6D 00 64 00 34 00 00 00 }
	condition:
		$1
}

rule function_36947_0 {
	meta:
		name = "TIdSASLSKey.InitComponent"
		size = 19
		refs = "0006 TIdSASL.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 43 38 84 03 00 00 5B C3 }
	condition:
		$1
}

rule function_36949_0 {
	meta:
		name = "TIdSASLSKey.ServiceName"
		size = 28
		refs = "0008 TIdSASLSKey.ServiceName"
	strings:
		$1 = { 53 56 57 8B DA 8B FB BE ?? ?? ?? ?? A5 A4 5F 5E 5B C3 00 00 04 53 4B 45 59 00 00 00 }
	condition:
		$1
}

rule function_36953_0 {
	meta:
		name = "TIdSASLUserPass.GetPassword"
		size = 113
		refs = "0010 TIdSASLUserPass.GetPassword 0027 @UStrAsg 0031 RSUnassignedUserPassProv 0036 LoadResString 0040 _DV_EIdUserPassProviderUnassigned 0045 EIdException.Create 004a @RaiseExcept 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 3C 85 F6 74 0C 8B C7 8B 56 3C E8 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36954_0 {
	meta:
		name = "TIdSASLUserPass.GetUsername"
		size = 113
		refs = "0010 TIdSASLUserPass.GetUsername 0027 @UStrAsg 0031 RSUnassignedUserPassProv 0036 LoadResString 0040 _DV_EIdUserPassProviderUnassigned 0045 EIdException.Create 004a @RaiseExcept 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 3C 85 F6 74 0C 8B C7 8B 56 38 E8 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36955_0 {
	meta:
		name = "TIdSASLUserPass.IsReadyToStart"
		size = 26
	strings:
		$1 = { 53 56 8B D8 8B 73 3C 85 F6 74 0A 83 7E 38 00 0F 95 C0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_36956_0 {
	meta:
		name = "TIdSASLUserPass.Notification"
		size = 23
		refs = "0011 TComponent.Notification"
	strings:
		$1 = { 53 80 F9 01 75 0A 3B 50 3C 75 05 33 DB 89 58 3C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_36957_0 {
	meta:
		name = "TIdSASLUserPass.SetUserPassProvider"
		size = 43
		refs = "0014 TComponent.RemoveFreeNotification 0024 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 3C 3B F0 74 1B 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 43 3C 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36962_0 {
	meta:
		name = "TIdSASLCRAMBase.StartAuthenticate"
		size = 172
		refs = "0013 TIdSASLCRAMBase.StartAuthenticate 0032 TIdSASLUserPass.GetUsername 0048 TIdSASLUserPass.GetPassword 0062 @UStrCatN 006c @UStrClr 0086 @UStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 3C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B CE 8B 03 FF 50 5C FF 75 F8 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_36965_0 {
	meta:
		name = "TIdSASLCRAMMD5.BuildKeydAuth"
		size = 273
		refs = "0017 TIdSASLCRAMMD5.BuildKeydAuth 0024 _Dn_TIdHMACMD5 0029 TIdHMAC.Create 0046 ToBytes 0055 TArray<System.Byte> 005a @DynArrayAsg 0078 TIdHMAC.HashValue 009a ToHex 00a5 LowerCase 00bf TObject.Free 00c5 @HandleFinally 00dc @UStrClr 00ef @FinalizeArray 00fd @DynArrayClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D F4 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 83 C0 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 45 F0 50 83 C9 FF 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 33 C9 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_36970_0 {
	meta:
		name = "TIdSASLCRAMSHA1.BuildKeydAuth"
		size = 273
		refs = "0017 TIdSASLCRAMSHA1.BuildKeydAuth 0024 _Dn_TIdHMACSHA1 0029 TIdHMAC.Create 0046 ToBytes 0055 TArray<System.Byte> 005a @DynArrayAsg 0078 TIdHMAC.HashValue 009a ToHex 00a5 LowerCase 00bf TObject.Free 00c5 @HandleFinally 00dc @UStrClr 00ef @FinalizeArray 00fd @DynArrayClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D F4 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 83 C0 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 45 F0 50 83 C9 FF 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 33 C9 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_36967_0 {
	meta:
		name = "TIdSASLCRAMMD5.ServiceName"
		size = 32
		refs = "0008 TIdSASLCRAMMD5.ServiceName"
	strings:
		$1 = { 53 56 57 8B DA 8B FB BE ?? ?? ?? ?? A5 A5 A4 5F 5E 5B C3 00 08 43 52 41 4D 2D 4D 44 35 00 00 00 }
	condition:
		$1
}

rule function_36971_0 {
	meta:
		name = "TIdSASLCRAMSHA1.ServiceName"
		size = 32
		refs = "0008 TIdSASLCRAMSHA1.ServiceName"
	strings:
		$1 = { 53 56 57 8B DA 8B FB BE ?? ?? ?? ?? A5 A5 66 A5 5F 5E 5B C3 09 43 52 41 4D 2D 53 48 41 31 00 00 }
	condition:
		$1
}

rule function_36979_0 {
	meta:
		name = "TIdScheduler.InitComponent"
		size = 27
		refs = "0006 TIdInitializerComponent.InitComponent 000d _Dn_TIdThreadSafeList 0012 TIdThreadSafeList.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 5B C3 }
	condition:
		$1
}

rule function_41269_0 {
	meta:
		name = "TInScheduler.InitComponent"
		size = 27
		refs = "0006 TIdInitializerComponent.InitComponent 000d _Dn_TInThreadSafeList 0012 TInThreadSafeList.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 5B C3 }
	condition:
		$1
}

rule function_36980_0 {
	meta:
		name = "TIdScheduler.ReleaseYarn"
		size = 11
		refs = "0006 TThreadList.RemoveItem"
		altNames = "TInScheduler.ReleaseYarn"
	strings:
		$1 = { 8B 40 38 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_36981_0 {
	meta:
		name = "TIdScheduler.TerminateAllYarns"
		size = 137
		refs = "0011 TThreadList.LockList 001b TIdScheduler.TerminateAllYarns 002d @TryFinallyExit 0040 TList.Get 006b TMonitor.Exit 0071 @HandleFinally 007d IndySleep"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7E 08 85 FF 75 07 E8 ?? ?? ?? ?? EB 50 8B DF 4B 83 FB 00 7C 19 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 54 4B 83 FB FF 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 38 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA B8 F4 01 00 00 E8 ?? ?? ?? ?? EB 87 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41271_0 {
	meta:
		name = "TInScheduler.TerminateAllYarns"
		size = 137
		refs = "0011 TThreadList.LockList 001b TInScheduler.TerminateAllYarns 002d @TryFinallyExit 0040 TList.Get 006b TMonitor.Exit 0071 @HandleFinally 007d IndySleep"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7E 08 85 FF 75 07 E8 ?? ?? ?? ?? EB 50 8B DF 4B 83 FB 00 7C 19 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 54 4B 83 FB FF 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 38 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA B8 F4 01 00 00 E8 ?? ?? ?? ?? EB 87 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36984_0 {
	meta:
		name = "TIdSchedulerOfThread.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 0019 TIdScheduler.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 58 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_41274_0 {
	meta:
		name = "TInSchedulerOfThread.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 0019 TInScheduler.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 58 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94296_0 {
	meta:
		name = "TTeeSeriesSource.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 0019 TComponent.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 58 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36985_0 {
	meta:
		name = "TIdSchedulerOfThread.StartYarn"
		size = 22
		refs = "0009 TIdThreadWithTask.SetTask"
	strings:
		$1 = { 56 8B 72 08 8B D1 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 34 5E C3 }
	condition:
		$1
}

rule function_41275_0 {
	meta:
		name = "TInSchedulerOfThread.StartYarn"
		size = 22
		refs = "0009 TInThreadWithTask.SetTask"
	strings:
		$1 = { 56 8B 72 08 8B D1 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 34 5E C3 }
	condition:
		$1
}

rule function_36986_0 {
	meta:
		name = "TIdSchedulerOfThread.NewThread"
		size = 220
		refs = "0016 TIdSchedulerOfThread.NewThread 002e TIdThreadSafeList.IsCountLessThan 003a RSchedMaxThreadEx 003f LoadResString 0047 _Dn_EIdSchedulerMaxThreadsExceeded 004c EIdException.Toss 0069 IndyFormat 008f IndySetThreadPriority 00a9 @UStrArrayClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 3C 85 F6 74 29 8B D6 42 8B 43 38 E8 ?? ?? ?? ?? 84 C0 75 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8B 43 08 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 33 C9 B2 01 8B 43 44 FF 50 44 8B F0 0F B6 43 40 3C 03 74 0E 8B D0 B9 01 00 00 80 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 20 00 55 00 73 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_41276_0 {
	meta:
		name = "TInSchedulerOfThread.NewThread"
		size = 220
		refs = "0016 TInSchedulerOfThread.NewThread 002e TInThreadSafeList.IsCountLessThan 003a RSchedMaxThreadEx 003f LoadResString 0047 _Dn_EInSchedulerMaxThreadsExceeded 004c EInException.Toss 0069 IndyFormat 008f IndySetThreadPriority 00a9 @UStrArrayClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 3C 85 F6 74 29 8B D6 42 8B 43 38 E8 ?? ?? ?? ?? 84 C0 75 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8B 43 08 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 33 C9 B2 01 8B 43 44 FF 50 44 8B F0 0F B6 43 40 3C 03 74 0E 8B D0 B9 01 00 00 80 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 20 00 55 00 73 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_36987_0 {
	meta:
		name = "TIdSchedulerOfThread.NewYarn"
		size = 108
		refs = "000f TIdSchedulerOfThread.NewYarn 0021 RSThreadSchedulerThreadRequired 0026 LoadResString 002e _Dn_EIdException 0033 EIdException.Toss 003d _DV_TIdYarnOfThread 0042 TIdYarnOfThread.Create 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41277_0 {
	meta:
		name = "TInSchedulerOfThread.NewYarn"
		size = 108
		refs = "000f TInSchedulerOfThread.NewYarn 0021 RSThreadSchedulerThreadRequired 0026 LoadResString 002e _Dn_EInException 0033 EInException.Toss 003d _DV_TInYarnOfThread 0042 TInYarnOfThread.Create 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_36988_0 {
	meta:
		name = "TIdSchedulerOfThread.TerminateYarn"
		size = 42
		refs = "0024 TObject.Free"
		altNames = "TInSchedulerOfThread.TerminateYarn"
	strings:
		$1 = { 51 89 14 24 8B 04 24 8B 40 08 85 C0 74 0D 80 78 0E 00 75 07 8B 10 FF 52 38 5A C3 8B 04 24 33 D2 89 14 24 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_36989_0 {
	meta:
		name = "TIdSchedulerOfThread.InitComponent"
		size = 29
		refs = "0006 TIdScheduler.InitComponent 0014 _Dn_TIdThreadWithTask"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 40 03 33 C0 89 43 3C A1 ?? ?? ?? ?? 89 43 44 5B C3 }
	condition:
		$1
}

rule function_41279_0 {
	meta:
		name = "TInSchedulerOfThread.InitComponent"
		size = 29
		refs = "0006 TInScheduler.InitComponent 0014 _Dn_TInThreadWithTask"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 40 03 33 C0 89 43 3C A1 ?? ?? ?? ?? 89 43 44 5B C3 }
	condition:
		$1
}

rule function_36990_0 {
	meta:
		name = "TIdYarnOfThread.Create"
		size = 80
		refs = "000f @ClassCreate 0022 TObject.Create 0038 @AfterConstruction"
		altNames = "TInYarnOfThread.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 33 D2 8B C3 E8 ?? ?? ?? ?? 89 7B 04 89 73 08 89 5E 5C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_36991_0 {
	meta:
		name = "TIdYarnOfThread.Destroy"
		size = 46
		refs = "0003 @BeforeDestruction 001c TObject.Destroy 0027 @ClassDestroy"
		altNames = "TInYarnOfThread.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 8B D6 8B 08 FF 51 4C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36994_0 {
	meta:
		name = "TIdSchedulerOfThreadDefault.AcquireYarn"
		size = 37
		refs = "0010 TIdSchedulerOfThread.NewYarn 001c TThreadList.Add"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 10 FF 52 5C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_41284_0 {
	meta:
		name = "TInSchedulerOfThreadDefault.AcquireYarn"
		size = 37
		refs = "0010 TInSchedulerOfThread.NewYarn 001c TThreadList.Add"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 10 FF 52 5C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_36995_0 {
	meta:
		name = "TIdSchedulerOfThreadDefault.ReleaseYarn"
		size = 76
		refs = "000d TIdScheduler.ReleaseYarn 0024 IsCurrentThread 0037 TThread.SetSuspended 003e TThread.WaitFor 0045 TObject.Free"
	strings:
		$1 = { 53 56 8B CA 8B 59 08 33 F6 89 71 08 E8 ?? ?? ?? ?? 85 DB 74 34 33 C0 89 43 5C 8B C3 8B 10 FF 52 3C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 0F 01 EB 17 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_41285_0 {
	meta:
		name = "TInSchedulerOfThreadDefault.ReleaseYarn"
		size = 76
		refs = "000d TInScheduler.ReleaseYarn 0024 IsCurrentThread 0037 TThread.SetSuspended 003e TThread.WaitFor 0045 TObject.Free"
	strings:
		$1 = { 53 56 8B CA 8B 59 08 33 F6 89 71 08 E8 ?? ?? ?? ?? 85 DB 74 34 33 C0 89 43 5C 8B C3 8B 10 FF 52 3C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 0F 01 EB 17 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_36999_0 {
	meta:
		name = "TIdSchedulerOfThreadPool.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TIdSchedulerOfThread.Destroy 0022 TObject.Free 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8D 46 4C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_41289_0 {
	meta:
		name = "TInSchedulerOfThreadPool.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TInSchedulerOfThread.Destroy 0022 TObject.Free 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8D 46 4C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37000_0 {
	meta:
		name = "TIdSchedulerOfThreadPool.AcquireYarn"
		size = 49
		refs = "0008 TIdThreadSafeList.Pull 001c TIdSchedulerOfThread.NewYarn 0028 TThreadList.Add"
	strings:
		$1 = { 53 56 8B D8 8B 43 4C E8 ?? ?? ?? ?? 85 C0 75 07 8B C3 8B 10 FF 52 5C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_41290_0 {
	meta:
		name = "TInSchedulerOfThreadPool.AcquireYarn"
		size = 49
		refs = "0008 TInThreadSafeList.Pull 001c TInSchedulerOfThread.NewYarn 0028 TThreadList.Add"
	strings:
		$1 = { 53 56 8B D8 8B 43 4C E8 ?? ?? ?? ?? 85 C0 75 07 8B C3 8B 10 FF 52 5C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_37001_0 {
	meta:
		name = "TIdSchedulerOfThreadPool.ReleaseYarn"
		size = 202
		refs = "001a TIdScheduler.ReleaseYarn 0037 TThreadList.LockList 003f TIdSchedulerOfThreadPool.ReleaseYarn 0061 TList.Add 0066 @TryFinallyExit 0083 TMonitor.Exit 0089 @HandleFinally 009b IsCurrentThread 00b2 TThread.SetSuspended 00ba TThread.WaitFor 00c2 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B C2 8B 48 08 89 4D F8 33 C9 89 48 08 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 9E 00 00 00 8B 45 F8 33 D2 89 50 5C 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 50 08 8B 4D FC 3B 51 48 7D 18 8B 55 F8 80 7A 0D 00 75 0F 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 8B 10 FF 52 3C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 09 8B 45 F8 C6 40 0F 01 EB 1A 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_41291_0 {
	meta:
		name = "TInSchedulerOfThreadPool.ReleaseYarn"
		size = 202
		refs = "001a TInScheduler.ReleaseYarn 0037 TThreadList.LockList 003f TInSchedulerOfThreadPool.ReleaseYarn 0061 TList.Add 0066 @TryFinallyExit 0083 TMonitor.Exit 0089 @HandleFinally 009b IsCurrentThread 00b2 TThread.SetSuspended 00ba TThread.WaitFor 00c2 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B C2 8B 48 08 89 4D F8 33 C9 89 48 08 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 9E 00 00 00 8B 45 F8 33 D2 89 50 5C 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 50 08 8B 4D FC 3B 51 48 7D 18 8B 55 F8 80 7A 0D 00 75 0F 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 8B 10 FF 52 3C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 09 8B 45 F8 C6 40 0F 01 EB 1A 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_37002_0 {
	meta:
		name = "TIdSchedulerOfThreadPool.TerminateAllYarns"
		size = 146
		refs = "000d TIdScheduler.TerminateAllYarns 001c TThreadList.LockList 0026 TIdSchedulerOfThreadPool.TerminateAllYarns 0037 TList.Get 0049 TThread.SetSuspended 0050 TThread.WaitFor 0057 TObject.Free 0060 TList.Delete 0081 TMonitor.Exit 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 85 C0 74 72 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 32 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 3C 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 83 7E 08 00 7F C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41292_0 {
	meta:
		name = "TInSchedulerOfThreadPool.TerminateAllYarns"
		size = 146
		refs = "000d TInScheduler.TerminateAllYarns 001c TThreadList.LockList 0026 TInSchedulerOfThreadPool.TerminateAllYarns 0037 TList.Get 0049 TThread.SetSuspended 0050 TThread.WaitFor 0057 TObject.Free 0060 TList.Delete 0081 TMonitor.Exit 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 85 C0 74 72 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 32 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 3C 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 83 7E 08 00 7F C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37003_0 {
	meta:
		name = "TIdSchedulerOfThreadPool.Init"
		size = 133
		refs = "000c TIdScheduler.Init 0014 TIdInitializerComponent.GetIsDesignTime 002c TThreadList.LockList 0036 TIdSchedulerOfThreadPool.Init 004f TList.Add 0075 TMonitor.Exit 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 65 8B 45 FC 83 78 48 00 7E 5C 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 11 8B 45 FC 8B 10 FF 52 5C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 55 FC 3B 42 48 7C E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_41293_0 {
	meta:
		name = "TInSchedulerOfThreadPool.Init"
		size = 133
		refs = "000c TInScheduler.Init 0014 TIdInitializerComponent.GetIsDesignTime 002c TThreadList.LockList 0036 TInSchedulerOfThreadPool.Init 004f TList.Add 0075 TMonitor.Exit 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 65 8B 45 FC 83 78 48 00 7E 5C 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 11 8B 45 FC 8B 10 FF 52 5C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 55 FC 3B 42 48 7C E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_37004_0 {
	meta:
		name = "TIdSchedulerOfThreadPool.NewThread"
		size = 10
		refs = "0001 TIdSchedulerOfThread.NewThread"
	strings:
		$1 = { E8 ?? ?? ?? ?? C6 40 50 01 C3 }
	condition:
		$1
}

rule function_41294_0 {
	meta:
		name = "TInSchedulerOfThreadPool.NewThread"
		size = 10
		refs = "0001 TInSchedulerOfThread.NewThread"
	strings:
		$1 = { E8 ?? ?? ?? ?? C6 40 50 01 C3 }
	condition:
		$1
}

rule function_37005_0 {
	meta:
		name = "TIdSchedulerOfThreadPool.InitComponent"
		size = 27
		refs = "0006 TIdSchedulerOfThread.InitComponent 000d _Dn_TIdThreadSafeList 0012 TIdThreadSafeList.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 4C 5B C3 }
	condition:
		$1
}

rule function_41295_0 {
	meta:
		name = "TInSchedulerOfThreadPool.InitComponent"
		size = 27
		refs = "0006 TInSchedulerOfThread.InitComponent 000d _Dn_TInThreadSafeList 0012 TInThreadSafeList.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 4C 5B C3 }
	condition:
		$1
}

rule function_37009_0 {
	meta:
		name = "TIdServerInterceptLogBase.Accept"
		size = 51
		refs = "0009 _DV_TIdServerInterceptLogFileConnection 000e TIdBaseComponent.Create"
	strings:
		$1 = { 53 56 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 89 70 70 0F B6 56 3C 88 50 69 0F B6 56 3D 88 50 6A B2 01 8B 08 FF 51 60 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_37010_0 {
	meta:
		name = "TIdServerInterceptLogBase.InitComponent"
		size = 35
		refs = "0006 TIdInitializerComponent.InitComponent 0015 _Dn_TIdCriticalSection 001a TCriticalSection.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 3D 01 C6 43 3C 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 5B C3 }
	condition:
		$1
}

rule function_37013_0 {
	meta:
		name = "TIdServerInterceptLogBase.LogWriteString"
		size = 119
		refs = "0027 TIdServerInterceptLogBase.LogWriteString 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 5A 8B 45 FC 8B 40 38 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 3E 00 75 0F 8B 45 FC 8B 10 FF 52 44 8B 45 FC C6 40 3E 01 8B D3 8B 45 FC 8B 08 FF 51 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 38 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_37014_0 {
	meta:
		name = "TIdServerInterceptLogFileConnection.LogReceivedData"
		size = 200
		refs = "0016 TIdServerInterceptLogFileConnection.LogReceivedData 0036 RSLogRecv 003b LoadResString 0057 @UStrCatN 007c @UStrArrayClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 6C FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 56 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 8D 45 FC BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 70 8B 08 FF 51 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_37015_0 {
	meta:
		name = "TIdServerInterceptLogFileConnection.LogSentData"
		size = 200
		refs = "0016 TIdServerInterceptLogFileConnection.LogSentData 0036 RSLogSent 003b LoadResString 0057 @UStrCatN 007c @UStrArrayClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 6C FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 56 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 8D 45 FC BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 70 8B 08 FF 51 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_37016_0 {
	meta:
		name = "TIdServerInterceptLogFileConnection.LogStatus"
		size = 172
		refs = "0013 TIdServerInterceptLogFileConnection.LogStatus 0033 RSLogStat 0038 LoadResString 004e @UStrCatN 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 6C FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 56 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 70 8B 08 FF 51 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_37017_0 {
	meta:
		name = "TIdServerInterceptLogFileConnection.GetConnectionID"
		size = 204
		refs = "0010 TIdServerInterceptLogFileConnection.GetConnectionID 0021 _Dn_TIdTCPConnection 0026 @IsClass 0057 IntToStr 0066 @UStrCatN 0074 @UStrAsg 0089 @UStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 38 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3E 8B 87 B0 00 00 00 85 C0 74 34 83 B8 D8 00 00 00 00 74 2B 8B 98 D8 00 00 00 FF 73 1C 68 ?? ?? ?? ?? 8D 55 FC 0F B7 43 22 E8 ?? ?? ?? ?? FF 75 FC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 30 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 3A 00 30 00 00 00 }
	condition:
		$1
}

rule function_37020_0 {
	meta:
		name = "TIdServerInterceptLogEvent.DoLogWriteString"
		size = 22
		altNames = "TNativeXml.DoProgress"
	strings:
		$1 = { 53 66 83 78 42 00 74 0C 8B D8 8B CA 8B D0 8B 43 44 FF 53 40 5B C3 }
	condition:
		$1
}

rule function_37024_0 {
	meta:
		name = "TIdServerInterceptLogFile.Init"
		size = 168
		refs = "000e TIdServerInterceptLogFile.Init 001b TIdServerInterceptLogBase.Init 0022 TIdInitializerComponent.GetIsDesignTime 0036 ParamStr 0046 ChangeFileExt 0051 @UStrAsg 005b _Dn_TIdAppendFileStream 0060 TIdAppendFileStream.Create 007d @UStrArrayClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3D 83 7B 44 00 75 25 8D 55 F8 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 43 44 E8 ?? ?? ?? ?? 8B 4B 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 6C 00 6F 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_37025_0 {
	meta:
		name = "TIdServerInterceptLogFile.DoLogWriteString"
		size = 16
		refs = "000b WriteStringToStream"
	strings:
		$1 = { 6A 01 6A 00 83 C9 FF 8B 40 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37032_0 {
	meta:
		name = "TIdServerIOHandler.SetScheduler"
		size = 49
		refs = "0017 TComponent.RemoveFreeNotification 002a TComponent.FreeNotification"
		altNames = "TInServerIOHandler.SetScheduler"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 90 00 00 00 3B F0 74 1E 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 83 90 00 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37037_0 {
	meta:
		name = "TIdServerIOHandlerSocket.Accept"
		size = 180
		refs = "001f TIdBaseComponent.Create 002a TIdServerIOHandlerSocket.Accept 0049 TIdSocketHandle.Select 005e TIdSocketHandle.Accept 007e TIdThread.GetStopped 009c TObject.Free 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B DA 8B F8 33 C0 89 45 FC 8B 87 98 00 00 00 33 C9 B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 10 FF 92 98 00 00 00 EB 3A BA FA 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2A 8B 53 10 8B 45 F8 8B 80 D8 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 F8 8B 10 FF 52 7C 8B 45 F8 89 45 FC 33 C0 89 45 F8 EB 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_41307_0 {
	meta:
		name = "TInServerIOHandlerSocket.Accept"
		size = 180
		refs = "001f TInBaseComponent.Create 002a TInServerIOHandlerSocket.Accept 0049 TInSocketHandle.Select 005e TInSocketHandle.Accept 007e TInThread.GetStopped 009c TObject.Free 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B DA 8B F8 33 C0 89 45 FC 8B 87 98 00 00 00 33 C9 B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 10 FF 92 98 00 00 00 EB 3A BA FA 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2A 8B 53 10 8B 45 F8 8B 80 D8 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 F8 8B 10 FF 52 7C 8B 45 F8 89 45 FC 33 C0 89 45 F8 EB 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_37042_0 {
	meta:
		name = "TIdServerIOHandlerStack.MakeClientIOHandler"
		size = 16
		refs = "000b TIdBaseComponent.Create"
	strings:
		$1 = { 33 C9 B2 01 8B 80 98 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41312_0 {
	meta:
		name = "TInServerIOHandlerStack.MakeClientIOHandler"
		size = 16
		refs = "000b TInBaseComponent.Create"
	strings:
		$1 = { 33 C9 B2 01 8B 80 98 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37045_0 {
	meta:
		name = "TIdSimpleServer.Abort"
		size = 8
	strings:
		$1 = { C6 80 B8 00 00 00 01 C3 }
	condition:
		$1
}

rule function_37046_0 {
	meta:
		name = "TIdSimpleServer.BeginListen"
		size = 147
		refs = "0006 TIdSimpleServer.GetBinding 001b TIdSimpleServer.CreateBinding 004c @UStrAsg 006c TIdCustomTransparentProxy.Bind 0075 TIdSimpleServer.Bind 0086 TIdSocketHandle.Listen"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 11 8B C3 8B 10 FF 92 A8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 B0 00 00 00 8B 10 FF 92 F4 00 00 00 8B 10 FF 52 50 84 C0 74 3C 8B 83 B0 00 00 00 8B 80 D8 00 00 00 83 C0 18 8B 93 C0 00 00 00 E8 ?? ?? ?? ?? 8B 83 B0 00 00 00 8B 10 FF 92 F4 00 00 00 0F B7 8B C4 00 00 00 8B 93 98 00 00 00 E8 ?? ?? ?? ?? EB 18 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? C6 83 D0 00 00 00 01 5B C3 }
	condition:
		$1
}

rule function_37047_0 {
	meta:
		name = "TIdSimpleServer.Bind"
		size = 209
		refs = "000e TIdSimpleServer.GetBinding 0018 TIdSimpleServer.Bind 003a TIdSocketHandle.SetIPVersion 0048 TIdSocketHandle.AllocateSocket 0065 @UStrAsg 0096 TIdSocketHandle.Bind 00b0 @HandleAnyException 00c2 @RaiseAgain 00c7 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 98 00 00 00 8B 45 FC 0F B6 90 CA 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 10 8B 55 FC 89 82 CC 00 00 00 8D 43 18 8B 55 FC 8B 92 C0 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 80 C4 00 00 00 66 89 43 20 8B 45 FC 0F B7 80 C6 00 00 00 66 89 43 0C 8B 45 FC 0F B7 80 C8 00 00 00 66 89 43 0E 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC C7 80 CC 00 00 00 FF FF FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37048_0 {
	meta:
		name = "TIdSimpleServer.CreateBinding"
		size = 37
		refs = "0011 TIdTCPConnection.CreateIOHandler"
	strings:
		$1 = { 53 8B D8 83 BB 98 00 00 00 00 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 83 98 00 00 00 8B 10 FF 92 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_37051_0 {
	meta:
		name = "TIdSimpleServer.EndListen"
		size = 15
	strings:
		$1 = { C6 80 B8 00 00 00 00 C6 80 D0 00 00 00 00 C3 }
	condition:
		$1
}

rule function_37052_0 {
	meta:
		name = "TIdSimpleServer.GetBinding"
		size = 20
	strings:
		$1 = { 8B 90 B0 00 00 00 85 D2 74 07 8B 82 D8 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_37053_0 {
	meta:
		name = "TIdSimpleServer.SetIOHandler"
		size = 122
		refs = "000f TIdSimpleServer.SetIOHandler 0021 _Dn_TIdIOHandlerSocket 0026 @IsClass 0032 RSCannotUseNonSocketIOHandler 0037 LoadResString 0041 _DV_EIdCannotUseNonSocketIOHandler 0046 EIdException.Create 004b @RaiseExcept 0054 TIdTCPConnection.SetIOHandler 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 32 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37054_0 {
	meta:
		name = "TIdSimpleServer.SetIPVersion"
		size = 27
	strings:
		$1 = { 56 8B CA 88 88 CA 00 00 00 8B B0 B0 00 00 00 85 F6 74 06 88 8E 06 01 00 00 5E C3 }
	condition:
		$1
}

rule function_37055_0 {
	meta:
		name = "DoListenTimeout"
		size = 322
		refs = "0065 TIdSimpleServer.GetBinding 006c TIdSocketHandle.Select"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 88 55 FB 89 45 FC 8B 45 08 8B 40 FC 8B B0 BC 00 00 00 83 7D FC FF 75 07 C7 45 FC FE FF FF FF 83 7D FC FE 75 61 80 7D FB 00 74 2B 8B 45 08 8B 40 FC 8B 80 B0 00 00 00 8B 10 FF 92 F4 00 00 00 8B 55 08 8B 52 FC 8B 92 98 00 00 00 8B CE 8B 18 FF 53 70 8B D8 EB 14 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 85 C0 00 00 00 8B 45 08 8B 40 FC 80 B8 B8 00 00 00 00 74 A4 E9 AC 00 00 00 3B 75 FC 7D 60 80 7D FB 00 74 2B 8B 45 08 8B 40 FC 8B 80 B0 00 00 00 8B 10 FF 92 F4 00 00 00 8B 55 08 8B 52 FC 8B 92 98 00 00 00 8B CE 8B 18 FF 53 70 8B D8 EB 14 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 5E 8B 45 08 8B 40 FC 80 B8 B8 00 00 00 00 75 4F 29 75 FC 3B 75 FC 7C A0 80 7D FB 00 74 2C 8B 45 08 8B 40 FC 8B 80 B0 00 00 00 8B 10 FF 92 F4 00 00 00 8B 55 08 8B 52 FC 8B 92 98 00 00 00 8B 4D FC 8B 18 FF 53 70 8B D8 EB 15 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B D8 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_37056_0 {
	meta:
		name = "TIdSimpleServer.Listen"
		size = 257
		refs = "0015 TIdSimpleServer.Listen 0056 DoListenTimeout 0074 TIdSimpleServer.GetBinding 0086 TIdSocketHandle.Accept 00a2 GStack 00c2 RSAcceptTimeout 00c7 LoadResString 00d1 _Dn_EIdAcceptTimeout 00d6 EIdException.Create 00db @RaiseExcept 00f0 @UStrClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 D0 00 00 00 00 75 0B 8B 45 FC 8B 10 FF 92 A4 00 00 00 8B 45 FC 8B 80 B0 00 00 00 8B 10 FF 92 F4 00 00 00 8B 10 FF 52 50 84 C0 74 0F 55 B2 01 8B C3 E8 ?? ?? ?? ?? 59 8B D8 EB 5B 55 33 D2 8B C3 E8 ?? ?? ?? ?? 59 8B D8 84 DB 74 28 8B 45 FC E8 ?? ?? ?? ?? 8B 40 10 50 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 8B 10 FF 52 7C 8B 45 FC 8B 90 CC 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 18 8B 45 FC C7 80 CC 00 00 00 FF FF FF FF 84 DB 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_37057_0 {
	meta:
		name = "TIdSimpleServer.InitComponent"
		size = 32
		refs = "0006 TIdTCPConnection.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 83 BC 00 00 00 E8 03 00 00 C7 83 CC 00 00 00 FF FF FF FF 5B C3 }
	condition:
		$1
}

rule function_37060_0 {
	meta:
		name = "TIdSMTP.Assign"
		size = 232
		refs = "000a _DV_TIdSMTP 000f @IsClass 0024 @AsClass 0044 @UStrAsg 0051 TIdSMTP.SetSASLMechanisms 00d5 TIdSMTPBase.SetPipeline 00e1 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C1 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 0F B6 86 58 01 00 00 88 83 58 01 00 00 8D 83 44 01 00 00 8B 96 44 01 00 00 E8 ?? ?? ?? ?? 8B 96 5C 01 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 96 49 01 00 00 8B C3 8B 08 FF 91 D8 00 00 00 0F B6 96 14 01 00 00 8B C3 8B 08 FF 91 BC 00 00 00 8B 96 CC 00 00 00 8B C3 8B 08 FF 91 A0 00 00 00 8D 83 40 01 00 00 8B 96 40 01 00 00 E8 ?? ?? ?? ?? 0F B7 96 E4 00 00 00 8B C3 8B 08 FF 91 A4 00 00 00 8D 83 EC 00 00 00 8B 96 EC 00 00 00 E8 ?? ?? ?? ?? 8D 83 E0 00 00 00 8B 96 E0 00 00 00 E8 ?? ?? ?? ?? 0F B6 96 48 01 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37061_0 {
	meta:
		name = "TIdSMTP.Authenticate"
		size = 740
		refs = "0016 TIdSMTP.Authenticate 0037 TIdSMTPBase.StartTLS 0086 _Dn_TStringList 008b TStringList.Create 00bb TIdSASLEntries.ParseCapaReplyToList 00d2 @TryFinallyExit 00f1 TObject.Free 00f7 @HandleFinally 0102 _Dn_TIdEncoderMIME 0107 TIdBaseComponent.Create 012b TIdTCPConnection.SendCmd 0146 TIdEncoder.Encode 020a TIdSASLEntries.LoginSASL 0233 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 D2 89 55 E8 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 59 01 00 00 00 74 07 B3 01 E9 EF 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 0F B6 80 58 01 00 00 2C 01 72 0F 74 1C FE C8 0F 84 6B 01 00 00 E9 C0 01 00 00 8B 45 FC C6 80 59 01 00 00 01 E9 B1 01 00 00 8B 45 FC 83 B8 EC 00 00 00 00 0F 84 A1 01 00 00 8B 45 FC 80 B8 5A 01 00 00 00 74 7A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 ?? ?? ?? ?? 8B 45 FC 8B 90 30 01 00 00 8B 45 FC 8B 80 5C 01 00 00 8B 4D F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 54 40 75 0C 33 DB E8 ?? ?? ?? ?? E9 47 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 66 B9 4E 01 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A 01 6A 00 8D 45 F0 50 8B 45 FC 8B 90 EC 00 00 00 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 66 C7 45 EC EB 00 66 C7 45 EE 4E 01 8D 4D EC 8B 45 FC 8B 18 FF 93 94 00 00 00 66 3D 4E 01 75 28 6A 00 8D 45 E8 50 8B 45 FC 8B 90 E0 00 00 00 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E8 66 B9 EB 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC C6 80 59 01 00 00 01 EB 5A 68 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 EC 8D 45 EC 50 6A 00 B8 ?? ?? ?? ?? 89 45 E4 8D 45 E4 50 6A 00 8B 45 FC 50 8B 45 FC 8B 80 30 01 00 00 50 68 ?? ?? ?? ?? 8B 45 FC 8B 88 CC 00 00 00 8B 45 FC 8B 80 5C 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 80 59 01 00 00 01 8B 45 FC 0F B6 98 59 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 55 00 54 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 4F 00 47 00 49 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 41 00 55 00 54 00 48 00 20 00 4C 00 4F 00 47 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 6D 00 74 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 32 00 33 00 35 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 33 00 33 00 34 00 00 00 }
	condition:
		$1
}

rule function_37062_0 {
	meta:
		name = "TIdSMTP.Connect"
		size = 105
		refs = "0018 TIdExplicitTLSClient.Connect 0020 TIdSMTP.Connect 0034 TIdTCPConnection.GetResponse 003c TIdSMTPBase.SendGreeting 004b @HandleAnyException 005a @RaiseAgain 005f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC C6 80 59 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 66 BA DC 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 78 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37063_0 {
	meta:
		name = "TIdSMTP.InitComponent"
		size = 46
		refs = "0006 TIdSMTPBase.InitComponent 000f _Dn_TIdSASLEntries 0014 TIdSASLEntries.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 5C 01 00 00 C6 83 58 01 00 00 01 C6 83 5A 01 00 00 01 5B C3 }
	condition:
		$1
}

rule function_37064_0 {
	meta:
		name = "TIdSMTP.DisconnectNotifyPeer"
		size = 56
		refs = "0006 TIdTCPConnection.DisconnectNotifyPeer 0011 TIdSMTP.DisconnectNotifyPeer 0018 TIdTCPConnection.SendCmd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 66 B9 DD 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 51 00 55 00 49 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_37106_0 {
	meta:
		name = "TIdSMTPRelay.DisconnectNotifyPeer"
		size = 56
		refs = "0006 TIdTCPConnection.DisconnectNotifyPeer 0011 TIdSMTPRelay.DisconnectNotifyPeer 0018 TIdTCPConnection.SendCmd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 66 B9 DD 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 51 00 55 00 49 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_37065_0 {
	meta:
		name = "TIdSMTP.Expand"
		size = 152
		refs = "0015 @UStrAddRef 001d TIdSMTP.Expand 0037 @UStrCat3 006d @UStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 DB 89 5D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 66 C7 45 F4 FA 00 66 C7 45 F6 FB 00 8D 4D F4 8B C3 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 45 00 58 00 50 00 4E 00 20 00 00 00 }
	condition:
		$1
}

rule function_37066_0 {
	meta:
		name = "InternalQuickSend"
		size = 336
		refs = "0014 _DV_TIdSMTP 0019 TIdBaseComponent.Create 0024 InternalQuickSend 0034 _Dn_TIdMessage 0059 @UStrAsg 0069 TIdEMailAddressList.SetEMailAddresses 0071 TIdMessage.GetFrom 0079 TIdEMailAddressItem.SetText 0092 TIdMessage.SetContentType 00f7 TIdTCPConnection.Disconnect 00fd @HandleFinally 0119 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B DA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 05 98 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 A0 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 18 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 40 8B 55 14 8B 08 FF 51 2C 8B 55 10 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 44 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 83 C0 50 8B 55 08 E8 ?? ?? ?? ?? 8B D6 8B 45 FC 8B 08 FF 91 A0 00 00 00 8B 45 FC 8B 10 FF 92 AC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 08 FF 91 E0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 14 00 }
	condition:
		$1
}

rule function_37067_0 {
	meta:
		name = "TIdSMTP.QuickSend"
		size = 474
		refs = "001e TIdSMTP.QuickSend 002e @UStrLAsg 0061 @UStrClr 007a _DV_TIdSMTP 007f TIdBaseComponent.Create 009a _Dn_TIdMessage 00c0 @UStrAsg 00d1 TIdEMailAddressList.SetEMailAddresses 00d9 TIdMessage.GetFrom 00e1 TIdEMailAddressItem.SetText 00fa TIdMessage.SetContentType 0160 TIdTCPConnection.Disconnect 0166 @HandleFinally 0182 TObject.Free 01c6 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 10 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 0C E8 ?? ?? ?? ?? 8D 45 EC 8B 55 08 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 D8 05 98 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 D8 8B 80 A0 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 D8 8B 40 40 8B 55 EC 8B 08 FF 51 2C 8B 55 E8 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 83 C0 44 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 D8 83 C0 50 8B 55 E0 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 DC 8B 08 FF 91 A0 00 00 00 8B 45 DC 8B 10 FF 92 AC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 D8 8B 45 DC 8B 08 FF 91 E0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 33 D2 89 55 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_37068_0 {
	meta:
		name = "TIdSMTP.QuickSend"
		size = 483
		refs = "001e TIdSMTP.QuickSend 002e @UStrLAsg 0083 _DV_TIdSMTP 0088 TIdBaseComponent.Create 00a3 _Dn_TIdMessage 00c9 @UStrAsg 00da TIdEMailAddressList.SetEMailAddresses 00e2 TIdMessage.GetFrom 00ea TIdEMailAddressItem.SetText 0103 TIdMessage.SetContentType 0169 TIdTCPConnection.Disconnect 016f @HandleFinally 018b TObject.Free 01cf @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 1C E8 ?? ?? ?? ?? 8D 45 F0 8B 55 18 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 14 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 10 E8 ?? ?? ?? ?? 8D 45 E4 8B 55 0C E8 ?? ?? ?? ?? 8D 45 E0 8B 55 08 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 D8 05 98 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 D8 8B 80 A0 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 D8 8B 40 40 8B 55 EC 8B 08 FF 51 2C 8B 55 E8 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 83 C0 44 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 D8 83 C0 50 8B 55 E0 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 DC 8B 08 FF 91 A0 00 00 00 8B 45 DC 8B 10 FF 92 AC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 D8 8B 45 DC 8B 08 FF 91 E0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 33 D2 89 55 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_37069_0 {
	meta:
		name = "TIdSMTP.InternalSend"
		size = 96
		refs = "001d TIdSMTP.InternalSend 0025 TIdHeaderList.SetValue 0034 TIdSMTPBase.InternalSend"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 92 F0 00 00 00 8B 8B 40 01 00 00 BA ?? ?? ?? ?? 8B 46 64 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 58 00 2D 00 4D 00 61 00 69 00 6C 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_37070_0 {
	meta:
		name = "TIdSMTP.SetAuthType"
		size = 19
	strings:
		$1 = { 88 90 58 01 00 00 80 FA 02 75 07 C6 80 49 01 00 00 01 C3 }
	condition:
		$1
}

rule function_37071_0 {
	meta:
		name = "TIdSMTP.SetUseEhlo"
		size = 47
	strings:
		$1 = { 88 90 49 01 00 00 84 D2 75 24 C6 80 58 01 00 00 01 0F B6 90 14 01 00 00 80 C2 FE 80 EA 02 73 0E C6 80 14 01 00 00 00 C6 80 48 01 00 00 00 C3 }
	condition:
		$1
}

rule function_37072_0 {
	meta:
		name = "TIdSMTP.Verify"
		size = 176
		refs = "0019 @UStrAddRef 0021 TIdSMTP.Verify 003b @UStrCat3 0083 @UStrArrayClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 66 C7 45 F4 FA 00 66 C7 45 F6 FB 00 8D 4D F4 8B C3 8B 38 FF 97 94 00 00 00 8B CE 8B 83 9C 00 00 00 8B 40 18 33 D2 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 52 00 46 00 59 00 20 00 00 00 }
	condition:
		$1
}

rule function_37073_0 {
	meta:
		name = "TIdSMTP.Notification"
		size = 51
		refs = "0020 TIdSASLEntries.RemoveByComp 002b TIdTCPConnection.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 80 FB 01 75 16 83 BE 5C 01 00 00 00 74 0D 8B D7 8B 86 5C 01 00 00 E8 ?? ?? ?? ?? 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37074_0 {
	meta:
		name = "TIdSMTP.SetUseTLS"
		size = 37
		refs = "0006 TIdExplicitTLSClient.SetUseTLS"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 83 14 01 00 00 04 FE 2C 02 73 0C B2 01 8B C3 8B 08 FF 91 D8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_37075_0 {
	meta:
		name = "TIdSMTP.SetSASLMechanisms"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 5C 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_37076_0 {
	meta:
		name = "TIdSMTP.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TIdMessageClient.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 5C 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37077_0 {
	meta:
		name = "TIdSMTP.Disconnect"
		size = 63
		refs = "000b TIdSMTP.Disconnect 0019 TIdTCPConnection.Disconnect 0036 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 59 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_37081_0 {
	meta:
		name = "TIdSMTPBase.InitComponent"
		size = 87
		refs = "0006 TIdMessageClient.InitComponent 0038 @UStrClr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 C7 83 12 01 00 00 D1 01 66 C7 83 10 01 00 00 19 00 C6 83 48 01 00 00 00 C6 83 49 01 00 00 01 C6 83 4A 01 00 00 00 8D 83 40 01 00 00 E8 ?? ?? ?? ?? 8D 83 44 01 00 00 E8 ?? ?? ?? ?? 66 BA 19 00 8B C3 8B 08 FF 91 A4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_37082_0 {
	meta:
		name = "TIdSMTPBase.GetSupportsTLS"
		size = 60
		refs = "0004 TIdSMTPBase.GetSupportsTLS"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B 83 30 01 00 00 8B 08 FF 51 54 40 0F 9F C0 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 54 00 41 00 52 00 54 00 54 00 4C 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_37107_0 {
	meta:
		name = "TIdSMTPRelay.GetSupportsTLS"
		size = 60
		refs = "0004 TIdSMTPRelay.GetSupportsTLS"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B 83 30 01 00 00 8B 08 FF 51 54 40 0F 9F C0 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 54 00 41 00 52 00 54 00 54 00 4C 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_37083_0 {
	meta:
		name = "TIdSMTPBase.SendGreeting"
		size = 308
		refs = "0010 TIdSMTPBase.SendGreeting 0038 @UStrLAsg 0042 GStack 0057 IndyComputerName 0072 @UStrCat3 007f TIdTCPConnection.SendCmd 00f1 @UStrArrayClr 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 30 01 00 00 8B 10 FF 52 44 83 BE 44 01 00 00 00 74 10 8D 45 FC 8B 96 44 01 00 00 E8 ?? ?? ?? ?? EB 1D 8D 55 FC A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 04 83 7D FC 00 75 08 8D 45 FC E8 ?? ?? ?? ?? 80 BE 49 01 00 00 00 74 57 6A 00 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 83 C9 FF 8B C6 E8 ?? ?? ?? ?? 66 3D FA 00 75 32 8B 86 9C 00 00 00 8B 50 18 8B 86 30 01 00 00 8B 08 FF 51 40 8B 86 30 01 00 00 8B 10 FF 52 14 85 C0 7E 2F 33 D2 8B 86 30 01 00 00 8B 08 FF 51 48 EB 20 6A 00 8D 45 F4 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 66 B9 FA 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 45 00 48 00 4C 00 4F 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 48 00 45 00 4C 00 4F 00 20 00 00 00 }
	condition:
		$1
}

rule function_37084_0 {
	meta:
		name = "TIdSMTPBase.SetPipeline"
		size = 18
	strings:
		$1 = { 88 90 48 01 00 00 84 D2 74 07 C6 80 49 01 00 00 01 C3 }
	condition:
		$1
}

rule function_37085_0 {
	meta:
		name = "TIdSMTPBase.SetUseEhlo"
		size = 18
	strings:
		$1 = { 88 90 49 01 00 00 84 D2 75 07 C6 80 48 01 00 00 00 C3 }
	condition:
		$1
}

rule function_37086_0 {
	meta:
		name = "TIdSMTPBase.SendNoPipelining"
		size = 592
		refs = "0019 TIdSMTPBase.SendNoPipelining 0037 @UStrCatN 0066 @UStrCat 00b1 TIdTCPConnection.SendCmd 00ba MAILFROM_ACCEPT 00de TIdSMTPBase.WriteRecipientsNoPipelining 00e7 DATA_ACCEPT 010c DATA_PERIOD_ACCEPT 0128 @HandleOnException 0130 _Dn_EIdSMTPReplyError 014b @RaiseAgain 0150 @DoneExcept 0165 @UStrClr 016b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 4A 01 00 00 00 74 5C 8B 45 F8 8B 80 30 01 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 54 40 7E 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 83 B8 4C 01 00 00 00 74 1E FF 75 FC 68 ?? ?? ?? ?? 8B 45 F8 FF B0 4C 01 00 00 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 0F B7 0D ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 0F B7 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 8B D3 8B 45 F8 8B 18 FF 93 D4 00 00 00 6A 00 0F B7 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4D 00 41 00 49 00 4C 00 20 00 46 00 52 00 4F 00 4D 00 3A 00 20 00 3C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 56 00 45 00 52 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 56 00 45 00 52 00 50 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 58 00 56 00 45 00 52 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 53 00 45 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 41 00 54 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_37087_0 {
	meta:
		name = "SetupErrorReply"
		size = 184
		refs = "000c SetupErrorReply 001b _Dn_TIdReplySMTP 0020 TIdReplySMTP.Create 0055 TIdReply.GetNumericCode 005e TIdReply.SetNumericCode 0075 @AsClass 0080 TIdSMTPEnhancedCode.GetReplyAsStr 008b TIdSMTPEnhancedCode.SetReplyAsStr 00a5 @UStrArrayClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 FC 8B 45 08 8B 40 FC 8B 80 9C 00 00 00 8B 40 18 8B 08 FF 51 1C 8B 55 FC 8B 43 18 8B 08 FF 51 2C 8B 45 08 8B 40 FC 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 9C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 1C 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_37088_0 {
	meta:
		name = "TIdSMTPBase.SendPipelining"
		size = 1032
		refs = "001d TIdSMTPBase.SendPipelining 0040 @UStrCatN 006f @UStrCat 00c4 TIdIOHandler.WriteBufferingActive 00dd TIdIOHandler.WriteBufferOpen 0123 TIdSMTPBase.WriteRecipientsPipeLine 0161 @HandleAnyException 017d @RaiseAgain 0182 @DoneExcept 018f TIdTCPConnection.GetResponse 0194 RSET_ACCEPT 019b PosInSmallIntArray 01a4 SetupErrorReply 01ba MAILFROM_ACCEPT 01ff RCPTTO_ACCEPT 0218 TIdEMailAddressList.GetItem 0223 TIdSMTPBase.FailedRecipientCanContinue 0268 DATA_ACCEPT 0294 TIdTCPConnection.SendCmd 0299 DATA_PERIOD_ACCEPT 02ff TObject.Free 0305 @HandleFinally 031c @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D F8 8B D9 89 55 F4 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 4A 01 00 00 00 74 5C 8B 45 FC 8B 80 30 01 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 54 40 7E 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 B8 4C 01 00 00 00 74 1E FF 75 F8 68 ?? ?? ?? ?? 8B 45 FC FF B0 4C 01 00 00 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 34 01 88 45 EB 80 7D EB 00 74 0E 8B 45 FC 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 8B 45 FC 8B 80 98 00 00 00 33 C9 8B 55 F8 8B 18 FF 93 A4 00 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A4 00 00 00 80 7D EB 00 74 11 8B 45 FC 8B 80 98 00 00 00 8B 10 FF 92 D8 00 00 00 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 80 7D EB 00 74 11 8B 45 FC 8B 80 98 00 00 00 8B 10 FF 92 D0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 40 75 0A 55 E8 ?? ?? ?? ?? 59 89 45 F0 33 C9 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 40 75 10 83 7D F0 00 75 0A 55 E8 ?? ?? ?? ?? 59 89 45 F0 8B 46 08 8B 40 08 85 C0 7E 78 33 D2 89 55 EC 8B D8 4B 85 DB 7C 51 43 33 FF 33 C9 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B9 01 00 00 00 E8 ?? ?? ?? ?? 40 75 2B FF 45 EC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 50 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 10 83 7D F0 00 75 0A 55 E8 ?? ?? ?? ?? 59 89 45 F0 47 4B 75 B2 83 7D F0 00 75 15 8B 46 08 8B 40 08 3B 45 EC 75 0A 55 E8 ?? ?? ?? ?? 59 89 45 F0 33 C9 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 40 74 43 33 C9 8B 55 F4 8B 45 FC 8B 18 FF 93 D4 00 00 00 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 40 75 22 83 7D F0 00 75 1C 55 E8 ?? ?? ?? ?? 59 89 45 F0 EB 10 83 7D F0 00 75 0A 55 E8 ?? ?? ?? ?? 59 89 45 F0 83 7D F0 00 74 1A 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4D 00 41 00 49 00 4C 00 20 00 46 00 52 00 4F 00 4D 00 3A 00 20 00 3C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 56 00 45 00 52 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 56 00 45 00 52 00 50 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 58 00 56 00 45 00 52 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 53 00 45 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 41 00 54 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_37089_0 {
	meta:
		name = "TIdSMTPBase.StartTLS"
		size = 224
		refs = "000e TIdSMTPBase.StartTLS 0025 _Dn_TIdSSLIOHandlerSocketBase 002a @IsClass 0066 TIdTCPConnection.SendCmd 007f TIdSMTPBase.SendGreeting 0089 TIdExplicitTLSClient.ProcessTLSNegCmdFailed 0093 TIdExplicitTLSClient.ProcessTLSNotAvail 00a2 @HandleAnyException 00aa TIdTCPConnection.Disconnect 00af @RaiseAgain 00b4 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 98 98 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 65 8B 45 FC 80 B8 14 01 00 00 00 74 59 8B C3 80 B8 08 01 00 00 00 74 4E 8B 45 FC 8B 10 FF 92 B4 00 00 00 84 C0 74 37 6A 00 83 C9 FF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 66 3D DC 00 75 15 8B 45 FC 8B 10 FF 92 C0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 12 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 54 00 41 00 52 00 54 00 54 00 4C 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_37090_0 {
	meta:
		name = "TIdSMTPBase.FailedRecipientCanContinue"
		size = 135
		refs = "0016 TIdSMTPBase.FailedRecipientCanContinue 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 52 01 00 00 00 0F 95 45 FF 80 7D FF 00 74 2D 8B B3 9C 00 00 00 8B 46 0C 50 8D 55 F8 8B 46 18 8B 08 FF 51 1C 8B 45 F8 50 8D 45 FF 50 8B CF 8B D3 8B 83 54 01 00 00 FF 93 50 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_37091_0 {
	meta:
		name = "TIdSMTPBase.WriteRecipientNoPipelining"
		size = 176
		refs = "000f TIdSMTPBase.WriteRecipientNoPipelining 0031 @UStrCatN 003e TIdTCPConnection.SendCmd 0045 RCPTTO_ACCEPT 0051 PosInSmallIntArray 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 68 ?? ?? ?? ?? FF 76 0C 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 83 C9 FF 8B C3 E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 40 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 52 00 43 00 50 00 54 00 20 00 54 00 4F 00 3A 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_37092_0 {
	meta:
		name = "TIdSMTPBase.WriteRecipientPipeLine"
		size = 156
		refs = "0010 TIdSMTPBase.WriteRecipientPipeLine 0030 @UStrCatN 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? FF 77 0C 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 33 C9 8B 86 98 00 00 00 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 52 00 43 00 50 00 54 00 20 00 54 00 4F 00 3A 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_37093_0 {
	meta:
		name = "TIdSMTPBase.WriteRecipientsNoPipelining"
		size = 145
		refs = "002e TIdEMailAddressList.GetItem 0037 TIdSMTPBase.WriteRecipientNoPipelining 0051 TIdSMTPBase.FailedRecipientCanContinue"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B FA 8B E8 8B 47 08 8B 40 08 85 C0 7E 75 33 D2 89 14 24 C6 44 24 04 01 8B F0 4E 85 F6 7C 3E 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 84 C0 75 21 FF 04 24 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 50 0C 8B C5 E8 ?? ?? ?? ?? 84 C0 75 07 C6 44 24 04 00 EB 04 43 4E 75 C5 80 7C 24 04 00 75 04 B0 01 EB 0C 8B 47 08 8B 40 08 3B 04 24 0F 94 C0 84 C0 74 0B 8B 85 9C 00 00 00 8B 10 FF 52 3C 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37094_0 {
	meta:
		name = "TIdSMTPBase.WriteRecipientsPipeLine"
		size = 49
		refs = "001b TIdEMailAddressList.GetItem 0024 TIdSMTPBase.WriteRecipientPipeLine"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 45 08 8B 58 08 4B 85 DB 7C 19 43 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 46 4B 75 EA 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37095_0 {
	meta:
		name = "TIdSMTPBase.InternalSend"
		size = 116
		refs = "0016 TIdSMTPBase.InternalSend 0033 TIdSMTPBase.SendPipelining 0044 TIdSMTPBase.SendNoPipelining"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 80 BB 48 01 00 00 00 74 24 BA ?? ?? ?? ?? 8B 83 30 01 00 00 8B 08 FF 51 54 40 7E 11 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0F 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 49 00 50 00 45 00 4C 00 49 00 4E 00 49 00 4E 00 47 00 00 00 00 00 }
	condition:
		$1
}

rule function_37096_0 {
	meta:
		name = "TIdSMTPBase.Send"
		size = 131
		refs = "000f _Dn_TIdEMailAddressList 0014 TIdEMailAddressList.Create 001f TIdSMTPBase.Send 0033 TIdEMailAddressList.AddItems 0072 TObject.Free 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 93 A0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 53 48 8B 45 FC E8 ?? ?? ?? ?? 8B 53 3C 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC 8B D3 8B C6 8B 18 FF 93 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37097_0 {
	meta:
		name = "TIdSMTPBase.Send"
		size = 120
		refs = "0012 TIdSMTPBase.Send 0029 Trim 0036 TIdMessage.GetFrom 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 B0 00 00 00 8B 40 0C E8 ?? ?? ?? ?? 83 7D FC 00 75 12 8B C3 E8 ?? ?? ?? ?? 8B 40 0C 8D 55 FC E8 ?? ?? ?? ?? 57 8B 4D FC 8B D3 8B C6 8B 18 FF 93 DC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37098_0 {
	meta:
		name = "TIdSMTPBase.Send"
		size = 136
		refs = "0012 _Dn_TIdEMailAddressList 0017 TIdEMailAddressList.Create 0022 TIdSMTPBase.Send 0036 TIdEMailAddressList.AddItems 0076 TObject.Free 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B DA 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 93 A0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 53 48 8B 45 FC E8 ?? ?? ?? ?? 8B 53 3C 8B 45 FC E8 ?? ?? ?? ?? 57 8B 4D FC 8B D3 8B C6 8B 18 FF 93 EC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37099_0 {
	meta:
		name = "TIdSMTPBase.Send"
		size = 27
	strings:
		$1 = { 55 8B EC 53 56 8B F0 51 8B C6 8B 4D 08 8B 18 FF 93 DC 00 00 00 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37102_0 {
	meta:
		name = "TIdSMTPRelay.Assign"
		size = 88
		refs = "000b _DV_TIdSMTPRelay 0010 @IsClass 0027 @UStrAsg 0045 TIdSMTPRelay.SetDNSServer 0050 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 33 8D 83 40 01 00 00 8B FE 8B 97 40 01 00 00 E8 ?? ?? ?? ?? 0F B7 97 E4 00 00 00 8B C3 8B 08 FF 91 A4 00 00 00 8B 97 60 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37103_0 {
	meta:
		name = "TIdSMTPRelay.Connect"
		size = 315
		refs = "0024 TIdSMTPRelay.Connect 003f TIdExplicitTLSClient.Connect 004e @HandleOnException 0056 _Dn_EIdSocketError 0076 @RaiseAgain 007b @DoneExcept 00ee TIdSMTPBase.SendGreeting 00f6 TIdSMTPBase.StartTLS 010d _Dn_Exception 011e TIdSMTPRelay.ProcessException 0126 TIdTCPConnection.Disconnect"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 89 45 FC 8B 45 FC 8B 80 70 01 00 00 0F B6 58 39 84 DB 74 5F 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 B2 01 8B 45 FC 8B 08 FF 91 BC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 32 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 50 18 81 FA 4D 27 00 00 74 08 81 FA 4C 27 00 00 75 04 33 DB EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 75 41 8B 45 FC 8B 80 70 01 00 00 0F B6 40 38 FE C8 74 06 FE C8 74 0E EB 18 8B 45 FC C6 80 14 01 00 00 03 EB 16 8B 45 FC C6 80 14 01 00 00 02 EB 0A 8B 45 FC C6 80 14 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 66 C7 45 F4 DC 00 8D 55 F4 33 C9 8B 45 FC 8B 18 FF 93 84 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 30 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 4D F8 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37104_0 {
	meta:
		name = "TIdSMTPRelay.InitComponent"
		size = 76
		refs = "0006 TIdSMTPBase.InitComponent 000f _DV_TIdSSLSupportOptions 0014 TIdSSLSupportOptions.Create 0021 _Dn_TStringList 0026 TStringList.Create 0031 _DV_TIdSMTPRelayStatusItem 003b _DV_TIdSMTPRelayStatusList 0040 TOwnedCollection.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 70 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 58 01 00 00 A1 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 5C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_37105_0 {
	meta:
		name = "TIdSMTPRelay.Destroy"
		size = 93
		refs = "0003 @BeforeDestruction 001a TObject.Free 004b TIdMessageClient.Destroy 0056 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 70 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 58 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 5C 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37108_0 {
	meta:
		name = "TIdSMTPRelay.ProcessException"
		size = 202
		refs = "0019 TIdSMTPRelay.ProcessException 002a TIdSMTPRelayStatusList.Add 003a @UStrAsg 0051 _Dn_EIdSMTPReplyError 0056 @IsClass 0067 @AsClass 007a TIdSMTPEnhancedCode.GetReplyAsStr 0085 TIdSMTPEnhancedCode.SetReplyAsStr 00b7 @UStrClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 5C 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 14 8B 55 FC 8B 52 0C E8 ?? ?? ?? ?? C6 43 0C 00 8D 43 10 8B 57 04 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 47 18 89 43 18 8D 55 F8 8B 47 1C E8 ?? ?? ?? ?? 8B 55 F8 8B 43 1C E8 ?? ?? ?? ?? 66 83 BE 6A 01 00 00 00 74 13 6A 06 8B 4D FC 8B D6 8B 86 6C 01 00 00 FF 96 68 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_37109_0 {
	meta:
		name = "TIdSMTPRelay.ResolveMXServers"
		size = 592
		refs = "001d @UStrAddRef 0025 TIdSMTPRelay.ResolveMXServers 0038 Pos 0056 RSDirSMTPInvalidEMailAddress 005b LoadResString 0065 _DV_EIdDirectSMTPCannotResolveMX 006a Exception.CreateFmt 006f @RaiseExcept 0083 @UStrCopy 008c _Dn_TIdDNSResolver 0091 TIdBaseComponent.Create 010a @UStrAsg 0119 TIdDNSResolver.Resolve 014d TQueryResult.GetItem 0157 _Dn_TMXRecord 015c @IsClass 01c7 RSDirSMTPNoMXRecordsForDomain 01fa TObject.Free 0200 @HandleFinally 021c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D D8 89 4D DC 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 75 31 8B 45 FC 89 45 E0 C6 45 E4 11 8D 45 E0 50 6A 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8D 57 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 86 58 01 00 00 8B 10 FF 52 44 8B 45 F4 C6 80 B8 00 00 00 01 8B 86 98 00 00 00 85 C0 74 1A 83 B8 C0 00 00 00 00 7E 11 8B 80 C0 00 00 00 8B 55 F4 89 82 D4 00 00 00 EB 0D 8B 45 F4 C7 80 D4 00 00 00 30 75 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? 89 90 D0 00 00 00 8B 45 F4 05 C4 00 00 00 8B 96 60 01 00 00 E8 ?? ?? ?? ?? 6A 01 33 C9 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 CC 00 00 00 8B 40 08 8B 40 08 85 C0 7E 74 66 C7 45 EE FF FF 48 85 C0 7C 69 40 89 45 E8 33 FF 8B 45 F4 8B 80 CC 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3A 89 5D F0 8B 45 F0 0F B7 40 28 66 3B 45 EE 73 19 66 89 45 EE 8B 45 F0 8B 48 24 8B 86 58 01 00 00 33 D2 8B 18 FF 53 60 EB 11 8B 45 F0 8B 50 24 8B 86 58 01 00 00 8B 08 FF 51 38 47 FF 4D E8 75 9D 8B 86 58 01 00 00 8B 10 FF 52 14 85 C0 75 31 8B 45 F8 89 45 E0 C6 45 E4 11 8D 45 E0 50 6A 00 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 00 40 00 00 }
	condition:
		$1
}

rule function_37110_0 {
	meta:
		name = "RelayInternalSend"
		size = 1004
		refs = "0024 RelayInternalSend 005a TIdEMailAddressList.GetItem 00de TIdSMTPRelay.ResolveMXServers 0112 @UStrAsg 013a TIdTCPConnection.Disconnect 0187 TIdSMTPRelay.Connect 0207 Trim 0234 TIdHeaderList.SetValue 0261 TIdSMTPRelayStatusList.Add 02c1 @HandleAnyException 02c9 @DoneExcept 0321 RSDirSMTPCantConnectToSMTPSvr 0326 LoadResString 0330 _Dn_EIdTCPConnectionError 0335 Exception.CreateFmt 033a @RaiseExcept 0349 @HandleOnException 0351 _Dn_Exception 0370 TIdSMTPRelay.ProcessException 0393 @HandleFinally 03aa @UStrClr 03b7 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D E0 89 5D E4 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 08 83 78 08 00 0F 84 5B 03 00 00 C6 45 EF 00 8B 45 08 8B 40 FC 66 83 B8 6A 01 00 00 00 74 26 6A 04 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 58 FC 8B 45 08 8B 50 FC 8B 83 6C 01 00 00 FF 93 68 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 66 83 B8 6A 01 00 00 00 74 26 6A 00 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 58 FC 8B 45 08 8B 50 FC 8B 83 6C 01 00 00 FF 93 68 01 00 00 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 50 0C 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 89 45 F0 E9 E1 01 00 00 8D 4D E8 8B 45 08 8B 40 FC 8B 80 58 01 00 00 8B 55 F0 8B 18 FF 53 0C 8B 55 E8 8B 45 08 8B 40 FC 05 CC 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 10 FF 52 74 84 C0 74 0B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 66 83 B8 6A 01 00 00 00 74 26 6A 01 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 58 FC 8B 45 08 8B 50 FC 8B 83 6C 01 00 00 FF 93 68 01 00 00 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 66 83 B8 6A 01 00 00 00 74 26 6A 02 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 58 FC 8B 45 08 8B 50 FC 8B 83 6C 01 00 00 FF 93 68 01 00 00 8B 45 08 8B 40 FC 66 83 B8 6A 01 00 00 00 74 26 6A 03 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 58 FC 8B 45 08 8B 50 FC 8B 83 6C 01 00 00 FF 93 68 01 00 00 8D 55 E4 8B 45 08 8B 40 FC 8B 80 40 01 00 00 E8 ?? ?? ?? ?? 83 7D E4 00 74 27 8D 55 E0 8B 45 08 8B 40 FC 8B 80 40 01 00 00 E8 ?? ?? ?? ?? 8B 4D E0 8B 45 FC 8B 40 70 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 08 8B 40 FC 8B 4D F8 8B 55 FC 8B 18 FF 93 DC 00 00 00 C6 45 EF 01 8B 45 08 8B 40 FC 8B 80 5C 01 00 00 E8 ?? ?? ?? ?? 8B D8 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 50 0C 8D 43 14 E8 ?? ?? ?? ?? C6 43 0C 01 8B 45 08 8B 40 FC 66 83 B8 6A 01 00 00 00 74 26 6A 05 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 58 FC 8B 45 08 8B 50 FC 8B 83 6C 01 00 00 FF 93 68 01 00 00 33 C0 5A 59 59 64 89 10 EB 0D E9 ?? ?? ?? ?? FF 45 F0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 58 01 00 00 8B 10 FF 52 14 48 3B 45 F0 7C 0A 80 7D EF 00 0F 84 FE FD FF FF 8B 45 08 8B 40 FC 8B 10 FF 52 74 84 C0 75 41 80 7D EF 00 75 3B 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 0C 89 45 D8 C6 45 DC 11 8D 45 D8 50 6A 00 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 31 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 58 00 2D 00 4D 00 61 00 69 00 6C 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_37111_0 {
	meta:
		name = "TIdSMTPRelay.Send"
		size = 493
		refs = "0021 TIdSMTPRelay.Send 0038 Trim 004f @UStrLAsg 0059 TIdMessage.GetFrom 007b _Dn_TIdEMailAddressList 0080 TIdEMailAddressList.Create 00a8 TIdEMailAddressList.AddItems 00cb _Dn_TStringList 00d0 TStringList.Create 00ec TIdEMailAddressList.GetDomains 0138 TIdEMailAddressList.AddressesByDomain 0147 RelayInternalSend 0166 TObject.Free 016c @HandleFinally 01d2 @UStrArrayClr 01da @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D F8 89 4D F0 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B 45 FC 8B 80 74 01 00 00 E8 ?? ?? ?? ?? 83 7D E0 00 74 13 8D 45 F8 8B 55 FC 8B 92 74 01 00 00 E8 ?? ?? ?? ?? EB 13 8B 45 F4 E8 ?? ?? ?? ?? 8B 50 0C 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F0 00 74 08 8B 45 F0 89 45 EC EB 11 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D F0 00 75 2D 8B 45 F4 8B 90 A0 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F4 8B 50 48 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F4 8B 50 3C 8B 45 EC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 E4 8B 45 EC E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E4 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 33 F6 8D 4D DC 8B D6 8B 45 E4 8B 38 FF 57 0C 8B 4D DC 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 55 8B 4D E8 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 59 46 4B 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 75 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37112_0 {
	meta:
		name = "TIdSMTPRelay.SetDNSServer"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 60 01 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37114_0 {
	meta:
		name = "TIdSMTPRelay.SetOnStatus"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 68 01 00 00 8B 55 0C 89 90 6C 01 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_37115_0 {
	meta:
		name = "TIdSMTPRelay.SetSSLOptions"
		size = 12
	strings:
		$1 = { 8B 80 70 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_37116_0 {
	meta:
		name = "TIdSMTPRelay.SetUseEhlo"
		size = 22
		refs = "0006 TIdSMTPBase.SetUseEhlo"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 70 01 00 00 C6 40 38 00 5B C3 }
	condition:
		$1
}

rule function_37117_0 {
	meta:
		name = "TIdSMTPRelay.SetRelaySender"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 74 01 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37121_0 {
	meta:
		name = "TIdSMTPRelayStatusItem.Create"
		size = 77
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 001e _Dn_TIdSMTPEnhancedCode 0023 TIdSMTPEnhancedCode.Create 003a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 1C C6 46 0C 00 33 C0 89 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_37123_0 {
	meta:
		name = "TIdSMTPRelayStatusItem.SetEnhancedCode"
		size = 80
		refs = "000f TIdSMTPRelayStatusItem.SetEnhancedCode 001f TIdSMTPEnhancedCode.GetReplyAsStr 002a TIdSMTPEnhancedCode.SetReplyAsStr 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37124_0 {
	meta:
		name = "TIdSSLSupportOptions.Assign"
		size = 60
		refs = "000a _DV_TIdSSLSupportOptions 000f @IsClass 001e TIdSSLSupportOptions.SetSSLSupport 0029 TIdSSLSupportOptions.SetTryImplicitTLS 0035 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 0F B6 56 38 8B C3 E8 ?? ?? ?? ?? 0F B6 56 39 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37125_0 {
	meta:
		name = "TIdSSLSupportOptions.Create"
		size = 68
		refs = "000b @ClassCreate 001a TIdInitializerComponent.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 3C C6 47 38 00 C6 47 39 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37126_0 {
	meta:
		name = "TIdSSLSupportOptions.SetSSLSupport"
		size = 72
		refs = "000d TIdInitializerComponent.GetIsLoading"
	strings:
		$1 = { 53 56 8B DA 8B F0 84 DB 74 16 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 46 3C 8B 10 FF 92 B8 00 00 00 84 DB 74 16 8B 46 3C 80 B8 49 01 00 00 00 75 0A 8B 46 3C C6 80 49 01 00 00 01 84 DB 75 04 C6 46 39 00 88 5E 38 5E 5B C3 }
	condition:
		$1
}

rule function_37127_0 {
	meta:
		name = "TIdSSLSupportOptions.SetTryImplicitTLS"
		size = 57
		refs = "000d TIdInitializerComponent.GetIsLoading 002f TIdSSLSupportOptions.SetSSLSupport"
	strings:
		$1 = { 53 56 8B DA 8B F0 84 DB 74 16 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 46 3C 8B 10 FF 92 B8 00 00 00 84 DB 74 0F 80 7E 38 00 75 09 B2 01 8B C6 E8 ?? ?? ?? ?? 88 5E 39 5E 5B C3 }
	condition:
		$1
}

rule function_37130_0 {
	meta:
		name = "TIdSMTPServer.CmdSyntaxError"
		size = 352
		refs = "001e @UStrAddRef 0026 TIdSMTPServer.CmdSyntaxError 0037 UpCaseFirstWord 0063 _Dn_TIdReplySMTP 0068 TIdReplySMTP.CreateWithReplyTexts 0072 TIdCmdTCPServer.GetReplyUnknownCommand 008d RSFTPCmdNotRecognized 0092 LoadResString 00ab IndyFormat 00c3 TIdSMTPServer.SetEnhReply 0102 TObject.Free 0108 @HandleFinally 0124 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D F0 89 5D EC 89 5D F8 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D 08 00 74 08 8B 45 08 89 45 F4 EB 29 8B 83 44 01 00 00 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 08 FF 51 08 68 ?? ?? ?? ?? 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 45 F0 50 0F B6 46 55 50 B9 F4 01 00 00 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 45 F4 8B 10 FF 52 28 8B D0 8B 46 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 AC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D 08 00 75 0D 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 35 00 2E 00 30 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_37131_0 {
	meta:
		name = "TIdSMTPServer.BadSequenceError"
		size = 128
		refs = "000f TIdSMTPServer.BadSequenceError 0022 RSSMTPSvrBadSequence 0027 LoadResString 0042 TIdSMTPServer.SetEnhReply 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 46 20 0F B6 40 55 50 B9 F7 01 00 00 8B 56 18 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 35 00 2E 00 35 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_37133_0 {
	meta:
		name = "TIdSMTPServer.CreateGreeting"
		size = 109
		refs = "000a TIdSMTPServer.CreateGreeting 0020 _Dn_TIdReplySMTP 0025 TIdReplySMTP.CreateWithReplyTexts 002f RSSMTPSvrWelcome 0034 LoadResString 0046 TIdReplySMTP.SetEnhReply 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 44 01 00 00 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 33 C9 BA DC 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_37134_0 {
	meta:
		name = "TIdSMTPServer.CreateReplyUnknownCommand"
		size = 116
		refs = "000d _Dn_TIdReplySMTP 0012 TIdReplySMTP.CreateWithReplyTexts 0019 TIdSMTPServer.CreateReplyUnknownCommand 002a TIdReplySMTP.SetEnhReply"
	strings:
		$1 = { 53 8B 80 44 01 00 00 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA F4 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 5B C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 79 00 6E 00 74 00 61 00 78 00 20 00 45 00 72 00 72 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 35 00 2E 00 35 00 2E 00 32 00 00 00 }
	condition:
		$1
}

rule function_37135_0 {
	meta:
		name = "TIdSMTPServer.CommandEHLO"
		size = 732
		refs = "0016 TIdSMTPServer.CommandEHLO 002a TIdSMTPServer.DoReset 0039 @UStrAsg 0049 DomainName 005d TIdSMTPServer.SPFAuthOk 0073 RSSMTPSvrHello 0078 LoadResString 0091 IndyFormat 00a6 TIdSMTPServer.SetEnhReply 011e TIdSMTPServerContext.GetCanUseExplicitTLS 0129 TIdSMTPServerContext.GetUsingTLS 0186 @UStrClr 0193 @UStrArrayClr 0199 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 20 33 C9 8B D6 8B C7 E8 ?? ?? ?? ?? C6 46 55 01 8D 46 58 8B 53 24 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 FC 8B 43 24 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 24 50 8B 4B 18 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 0C 01 00 00 6A 00 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 24 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 01 B9 FA 00 00 00 8B 53 18 8B C7 E8 ?? ?? ?? ?? 66 83 BF 92 01 00 00 00 74 10 8B 43 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 43 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 80 BF 9C 01 00 00 00 74 10 8B 43 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 8D 45 E8 50 8B 87 A0 01 00 00 89 45 EC C6 45 F0 00 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 43 18 8B 40 18 8B 08 FF 51 38 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 10 8B 43 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 43 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 43 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 43 18 8B 40 18 BA ?? ?? ?? ?? 8B 08 FF 51 38 C6 46 48 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 48 00 4C 00 4F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 41 00 55 00 54 00 48 00 20 00 4C 00 4F 00 47 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 45 00 4E 00 48 00 41 00 4E 00 43 00 45 00 44 00 53 00 54 00 41 00 54 00 55 00 53 00 43 00 4F 00 44 00 45 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 49 00 50 00 45 00 4C 00 49 00 4E 00 49 00 4E 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 49 00 5A 00 45 00 20 00 25 00 64 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 54 00 41 00 52 00 54 00 54 00 4C 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 48 00 55 00 4E 00 4B 00 49 00 4E 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 38 00 42 00 49 00 54 00 4D 00 49 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 42 00 49 00 4E 00 41 00 52 00 59 00 4D 00 49 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_37139_0 {
	meta:
		name = "TIdSMTPServer.InitComponent"
		size = 136
		refs = "0006 TIdExplicitTLSServer.InitComponent 000b _DV_TIdSMTPServerContext 0018 TIdCmdTCPServer.GetHelpReply 001f TIdReply.SetCode 004a TIdSMTPServer.InitComponent 004f @UStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 83 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 66 C7 83 50 01 00 00 19 00 66 C7 83 52 01 00 00 D1 01 66 BA 19 00 8B C3 8B 08 FF 91 98 00 00 00 8D 83 98 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 6E 00 64 00 79 00 20 00 53 00 4D 00 54 00 50 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_37140_0 {
	meta:
		name = "TIdSMTPServer.InitializeCommandHandlers"
		size = 1460
		refs = "0013 TIdSMTPServer.InitializeCommandHandlers 0020 TIdCmdTCPServer.InitializeCommandHandlers 002b TIdCommandHandlers.Add 003a @UStrAsg 0044 TIdSMTPServer.CommandEHLO 0051 TIdReply.SetNumericCode 0070 TIdSMTPServer.SetEnhReply 0094 TIdSMTPServer.CommandHELO 00e4 TIdSMTPServer.CommandAUTH 0126 RSSMTPSvrOk 012b LoadResString 014a TIdSMTPServer.CommandNOOP 0196 RSSMTPSvrQuit 01ba TIdSMTPServer.CommandQUIT 01e4 TIdSMTPServer.CommandRCPT 023e TIdSMTPServer.CommandMAIL 0292 TIdSMTPServer.CommandDATA 029c RSSMTPSvrStartData 0312 TIdSMTPServer.CommandRSET 0339 RSSMTPSvrReadyForTLS 035d TIdSMTPServer.CommandSTARTTLS 0381 TIdSMTPServer.CommandBDAT 03d2 @UStrArrayClr 03d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA FA 00 00 00 8B 43 30 E8 ?? ?? ?? ?? C6 43 42 01 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 C3 01 00 00 8B 53 20 8B C6 E8 ?? ?? ?? ?? 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? BA FA 00 00 00 8B 43 30 E8 ?? ?? ?? ?? C6 43 42 01 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 C3 01 00 00 8B 53 20 8B C6 E8 ?? ?? ?? ?? 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 C3 01 00 00 8B 53 20 8B C6 E8 ?? ?? ?? ?? 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 6A 01 B9 FA 00 00 00 8B 53 30 8B C6 E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 C3 01 00 00 8B 53 20 8B C6 E8 ?? ?? ?? ?? 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 43 0C 20 00 C6 43 1C 01 68 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 B9 DD 00 00 00 8B 53 30 8B C6 E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 43 0C 20 00 89 73 3C C7 43 38 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 B9 FA 00 00 00 8B 53 30 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 B9 26 02 00 00 8B 53 20 8B C6 E8 ?? ?? ?? ?? 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 43 0C 20 00 89 73 3C C7 43 38 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 B9 FA 00 00 00 8B 53 30 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 B9 C3 01 00 00 8B 53 20 8B C6 E8 ?? ?? ?? ?? 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 6A 00 B9 62 01 00 00 8B 53 30 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 C3 01 00 00 8B 53 20 8B C6 E8 ?? ?? ?? ?? 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 BA FA 00 00 00 8B 43 30 8B 38 FF 57 44 89 73 3C C7 43 38 ?? ?? ?? ?? 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 6A 00 B9 DC 00 00 00 8B 53 30 8B C6 E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? 8B 86 18 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 3C C7 43 38 ?? ?? ?? ?? C6 43 42 01 68 ?? ?? ?? ?? 6A 00 6A 00 B9 FA 00 00 00 8B 53 30 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 C3 01 00 00 8B 53 20 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 48 00 4C 00 4F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 34 00 2E 00 35 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 20 00 45 00 72 00 72 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 45 00 4C 00 4F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 55 00 54 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 4F 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 32 00 2E 00 30 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 51 00 55 00 49 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 43 00 50 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 32 00 2E 00 31 00 2E 00 35 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 35 00 2E 00 31 00 2E 00 31 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 41 00 49 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 32 00 2E 00 31 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 35 00 2E 00 31 00 2E 00 38 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 41 00 54 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 53 00 45 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 54 00 41 00 52 00 54 00 54 00 4C 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 44 00 41 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_37141_0 {
	meta:
		name = "TIdSMTPServer.MustUseTLS"
		size = 128
		refs = "000f TIdSMTPServer.MustUseTLS 0022 RSSMTPSvrReqSTARTTLS 0027 LoadResString 0042 TIdSMTPServer.SetEnhReply 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 46 20 0F B6 40 55 50 B9 12 02 00 00 8B 56 18 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 35 00 2E 00 37 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_37142_0 {
	meta:
		name = "TIdSMTPServer.CommandAUTH"
		size = 248
		refs = "0014 TIdSMTPServer.CommandAUTH 0026 TIdSMTPServerContext.SetPipeLining 0035 TIdSMTPServer.BadSequenceError 0041 TIdSMTPServerContext.GetTLSIsRequired 004e TIdSMTPServer.MustUseTLS 0063 TIdSMTPServer.AuthFailed 0080 @UStrLAsg 0095 Fetch 00a0 Trim 00b0 TIdSMTPServer.DoAuthLogin 00bb TIdSMTPServer.CmdSyntaxError 00d5 @UStrArrayClr 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 20 33 D2 8B C7 E8 ?? ?? ?? ?? 80 7F 55 00 75 0E 8B D3 8B C6 E8 ?? ?? ?? ?? E9 81 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 6B 66 83 BE 92 01 00 00 00 75 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 56 8B 43 24 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 3D 8D 45 FC 8B 53 24 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 50 8B 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_37143_0 {
	meta:
		name = "TIdSMTPServer.CommandHELO"
		size = 312
		refs = "0017 TIdSMTPServer.CommandHELO 0030 TIdSMTPServer.BadSequenceError 0055 TIdSMTPServer.DoReset 0060 @UStrAsg 0074 DomainName 0089 TIdSMTPServer.SPFAuthOk 0099 RSSMTPSvrHello 009e LoadResString 00b7 IndyFormat 00d5 RSSMTPSvrParmErr 00ff @UStrClr 010c @UStrArrayClr 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 20 80 7E 48 00 74 0F 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 B5 00 00 00 8B 43 24 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 84 00 00 00 33 C9 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 46 58 8B 53 24 E8 ?? ?? ?? ?? C6 46 54 01 68 ?? ?? ?? ?? 8D 55 F8 8B 43 24 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 24 50 8B 4B 18 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 5D 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 43 24 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 4D F4 BA FA 00 00 00 8B 43 18 8B 18 FF 53 44 C6 46 48 01 EB 1D 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 BA F5 01 00 00 8B 43 18 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 45 00 4C 00 4F 00 00 00 00 00 }
	condition:
		$1
}

rule function_37144_0 {
	meta:
		name = "TIdSMTPServer.DoAuthLogin"
		size = 900
		refs = "0022 TIdSMTPServer.DoAuthLogin 003f TIdSMTPServerContext.SetPipeLining 004b TextIsSame 0068 _Dn_TIdEncoderMIME 006d TIdInitializerComponent.Create 0085 _Dn_TIdDecoderMIME 00b4 TIdEncoder.Encode 00cf TIdCommand.SendReply 00e5 TIdIOHandler.ReadLn 00f0 Trim 00ff @UStrEqual 0109 @UStrClr 0116 @UStrLAsg 012f TIdDecoder.DecodeString 01b8 TObject.Free 01be @HandleFinally 01f1 @HandleAnyException 01f6 @DoneExcept 0254 @UStrAsg 0274 @UStrCat3 0293 TIdSMTPServer.SetEnhReply 02a8 TIdSMTPServer.AuthFailed 02c2 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 20 89 45 E4 C6 45 EB 01 33 D2 8B 45 E4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A3 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D 08 00 75 51 8D 45 FC 50 33 C9 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 18 8B 4D FC BA 4E 01 00 00 8B 18 FF 53 44 8B 45 EC E8 ?? ?? ?? ?? 8D 4D D8 8B 45 E4 8B 40 14 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 FC E8 ?? ?? ?? ?? EB 24 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A 8D 45 FC E8 ?? ?? ?? ?? EB 0B 8D 45 FC 8B 55 08 E8 ?? ?? ?? ?? 83 7D FC 00 74 13 8D 45 F8 50 8B 45 DC 8B 00 33 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 45 FC 50 33 C9 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 18 8B 4D FC BA 4E 01 00 00 8B 18 FF 53 44 8B 45 EC E8 ?? ?? ?? ?? 8D 4D D4 8B 45 EC 8B 40 20 8B 40 14 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 D4 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 13 8D 45 F4 50 8B 45 DC 8B 00 33 C9 8B 55 FC E8 ?? ?? ?? ?? C6 45 EB 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D EB 00 0F 85 9D 00 00 00 8B 45 F0 66 83 B8 92 01 00 00 00 0F 95 C0 34 01 88 45 EA 80 7D EA 00 75 1D 8B 45 F4 50 8D 45 EA 50 8B 5D F0 8B 4D F8 8B 55 E4 8B 83 94 01 00 00 FF 93 90 01 00 00 8B 45 E4 0F B6 55 EA 88 50 64 80 7D EA 00 74 57 8B 45 E4 83 C0 5C 8B 55 F8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 CC 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D CC 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 8B 45 E4 0F B6 40 55 50 8B 45 EC 8B 50 18 B9 EB 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? EB 0B 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 4F 00 47 00 49 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 73 00 65 00 72 00 6E 00 61 00 6D 00 65 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 32 00 2E 00 37 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 77 00 65 00 6C 00 63 00 6F 00 6D 00 65 00 20 00 00 00 }
	condition:
		$1
}

rule function_37145_0 {
	meta:
		name = "TIdSMTPServer.SetEnhReply"
		size = 69
		refs = "0017 _Dn_TIdReplySMTP 001c @IsClass 002d TIdReplySMTP.SetEnhReply"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B DA 8B 7D 0C 80 7D 08 00 74 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 57 8B 4D 10 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0B 8B CF 8B D6 8B C3 8B 18 FF 53 44 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_37146_0 {
	meta:
		name = "TIdSMTPServer.AuthFailed"
		size = 136
		refs = "000f TIdSMTPServer.AuthFailed 0022 RSSMTPSvrAuthFailed 0027 LoadResString 0042 TIdSMTPServer.SetEnhReply 0049 TIdCommand.SendReply 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 20 0F B6 40 55 50 B9 17 02 00 00 8B 53 18 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 35 00 2E 00 37 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_37147_0 {
	meta:
		name = "TIdSMTPServer.AddrInvalid"
		size = 176
		refs = "001b TIdSMTPServer.AddrInvalid 0032 RSSMTPSvrAddressError 0037 LoadResString 004d IndyFormat 0068 TIdSMTPServer.SetEnhReply 0082 @UStrArrayClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 7D F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 46 20 0F B6 40 55 50 B9 F4 01 00 00 8B 56 18 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 35 00 2E 00 31 00 2E 00 31 00 00 00 }
	condition:
		$1
}

rule function_37148_0 {
	meta:
		name = "TIdSMTPServer.AddrNotWillForward"
		size = 256
		refs = "0022 TIdSMTPServer.AddrNotWillForward 0038 RSSMTPUserNotLocal 003d LoadResString 0060 IndyFormat 006e RSSMTPUserNotLocalNoAddr 00ac TIdSMTPServer.SetEnhReply 00c1 @UStrClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D E0 89 5D F4 89 5D FC 89 4D F8 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 36 8D 45 FC 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 89 45 E4 C6 45 E8 11 89 7D EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? EB 2A 8D 45 FC 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 F8 89 45 D8 C6 45 DC 11 8D 55 D8 33 C9 58 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC 50 8B 46 20 0F B6 40 55 50 B9 09 02 00 00 8B 56 18 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 35 00 2E 00 37 00 2E 00 31 00 00 00 }
	condition:
		$1
}

rule function_37149_0 {
	meta:
		name = "TIdSMTPServer.AddrValid"
		size = 176
		refs = "001b TIdSMTPServer.AddrValid 0032 RSSMTPSvrAddressOk 0037 LoadResString 004d IndyFormat 0068 TIdSMTPServer.SetEnhReply 0082 @UStrArrayClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 7D F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 46 20 0F B6 40 55 50 B9 FA 00 00 00 8B 56 18 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 32 00 2E 00 31 00 2E 00 35 00 00 00 }
	condition:
		$1
}

rule function_37150_0 {
	meta:
		name = "TIdSMTPServer.AddrNoRelaying"
		size = 176
		refs = "001b TIdSMTPServer.AddrNoRelaying 0032 RSSMTPSvrNoRelay 0037 LoadResString 004d IndyFormat 0068 TIdSMTPServer.SetEnhReply 0082 @UStrArrayClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 7D F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 46 20 0F B6 40 55 50 B9 26 02 00 00 8B 56 18 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 35 00 2E 00 37 00 2E 00 31 00 00 00 }
	condition:
		$1
}

rule function_37162_0 {
	meta:
		name = "TIdSMTPServer.MailFromReject"
		size = 176
		refs = "001b TIdSMTPServer.MailFromReject 0032 RSSMTPSvrNotPermitted 0037 LoadResString 004d IndyFormat 0068 TIdSMTPServer.SetEnhReply 0082 @UStrArrayClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 7D F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 46 20 0F B6 40 55 50 B9 26 02 00 00 8B 56 18 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 35 00 2E 00 37 00 2E 00 31 00 00 00 }
	condition:
		$1
}

rule function_37151_0 {
	meta:
		name = "TIdSMTPServer.AddrWillForward"
		size = 256
		refs = "0022 TIdSMTPServer.AddrWillForward 0038 RSSMTPUserNotLocalFwdAddr 003d LoadResString 0060 IndyFormat 006e RSSMTPUserNotLocalNoAddr 00ac TIdSMTPServer.SetEnhReply 00c1 @UStrClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D E0 89 5D F4 89 5D FC 89 4D F8 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 36 8D 45 FC 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 89 45 E4 C6 45 E8 11 89 7D EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? EB 2A 8D 45 FC 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 F8 89 45 D8 C6 45 DC 11 8D 55 D8 33 C9 58 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC 50 8B 46 20 0F B6 40 55 50 B9 FB 00 00 00 8B 56 18 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 32 00 2E 00 31 00 2E 00 35 00 00 00 }
	condition:
		$1
}

rule function_37152_0 {
	meta:
		name = "TIdSMTPServer.AddrTooManyRecipients"
		size = 128
		refs = "000f TIdSMTPServer.AddrTooManyRecipients 0022 RSSMTPTooManyRecipients 0027 LoadResString 0042 TIdSMTPServer.SetEnhReply 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 46 20 0F B6 40 55 50 B9 FA 00 00 00 8B 56 18 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 35 00 2E 00 35 00 2E 00 33 00 00 00 }
	condition:
		$1
}

rule function_37153_0 {
	meta:
		name = "TIdSMTPServer.AddrDisabledPerm"
		size = 176
		refs = "001b TIdSMTPServer.AddrDisabledPerm 0032 RSSMTPAccountDisabled 0037 LoadResString 004d IndyFormat 0068 TIdSMTPServer.SetEnhReply 0082 @UStrArrayClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 7D F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 46 20 0F B6 40 55 50 B9 26 02 00 00 8B 56 18 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 35 00 2E 00 32 00 2E 00 31 00 00 00 }
	condition:
		$1
}

rule function_37154_0 {
	meta:
		name = "TIdSMTPServer.AddrDisabledTemp"
		size = 176
		refs = "001b TIdSMTPServer.AddrDisabledTemp 0032 RSSMTPAccountDisabled 0037 LoadResString 004d IndyFormat 0068 TIdSMTPServer.SetEnhReply 0082 @UStrArrayClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 7D F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 46 20 0F B6 40 55 50 B9 26 02 00 00 8B 56 18 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 34 00 2E 00 32 00 2E 00 31 00 00 00 }
	condition:
		$1
}

rule function_37155_0 {
	meta:
		name = "TIdSMTPServer.MailSubmitLimitExceeded"
		size = 136
		refs = "000f TIdSMTPServer.MailSubmitLimitExceeded 0022 RSSMTPMsgLenLimit 0027 LoadResString 0042 TIdSMTPServer.SetEnhReply 0049 TIdCommand.SendReply 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 20 0F B6 40 55 50 B9 28 02 00 00 8B 53 18 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 35 00 2E 00 32 00 2E 00 33 00 00 00 }
	condition:
		$1
}

rule function_37156_0 {
	meta:
		name = "TIdSMTPServer.MailSubmitLocalProcessingError"
		size = 136
		refs = "000f TIdSMTPServer.MailSubmitLocalProcessingError 0022 RSSMTPLocalProcessingError 0027 LoadResString 0042 TIdSMTPServer.SetEnhReply 0049 TIdCommand.SendReply 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 20 0F B6 40 55 50 B9 C3 01 00 00 8B 53 18 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 34 00 2E 00 33 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_37157_0 {
	meta:
		name = "TIdSMTPServer.MailSubmitOk"
		size = 108
		refs = "000f TIdSMTPServer.MailSubmitOk 001f RSSMTPSvrOk 0024 LoadResString 003f TIdSMTPServer.SetEnhReply 0046 TIdCommand.SendReply 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 20 0F B6 40 55 50 B9 FA 00 00 00 8B 53 18 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37158_0 {
	meta:
		name = "TIdSMTPServer.MailSubmitStorageExceededFull"
		size = 136
		refs = "000f TIdSMTPServer.MailSubmitStorageExceededFull 0022 RSSMTPSvrExceededStorageAlloc 0027 LoadResString 0042 TIdSMTPServer.SetEnhReply 0049 TIdCommand.SendReply 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 20 0F B6 40 55 50 B9 28 02 00 00 8B 53 18 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 34 00 2E 00 32 00 2E 00 32 00 00 00 }
	condition:
		$1
}

rule function_37159_0 {
	meta:
		name = "TIdSMTPServer.MailSubmitSystemFull"
		size = 136
		refs = "000f TIdSMTPServer.MailSubmitSystemFull 0022 RSSMTPSvrInsufficientSysStorage 0027 LoadResString 0042 TIdSMTPServer.SetEnhReply 0049 TIdCommand.SendReply 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 20 0F B6 40 55 50 B9 C4 01 00 00 8B 53 18 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 34 00 2E 00 33 00 2E 00 31 00 00 00 }
	condition:
		$1
}

rule function_37160_0 {
	meta:
		name = "TIdSMTPServer.MailSubmitTransactionFailed"
		size = 136
		refs = "000f TIdSMTPServer.MailSubmitTransactionFailed 0022 RSSMTPSvrTransactionFailed 0027 LoadResString 0042 TIdSMTPServer.SetEnhReply 0049 TIdCommand.SendReply 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 20 0F B6 40 55 50 B9 2A 02 00 00 8B 53 18 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 34 00 2E 00 32 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_37161_0 {
	meta:
		name = "TIdSMTPServer.MailFromAccept"
		size = 176
		refs = "001b TIdSMTPServer.MailFromAccept 0032 RSSMTPSvrAddressOk 0037 LoadResString 004d IndyFormat 0068 TIdSMTPServer.SetEnhReply 0082 @UStrArrayClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 7D F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 46 20 0F B6 40 55 50 B9 FA 00 00 00 8B 56 18 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 32 00 2E 00 31 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_37163_0 {
	meta:
		name = "TIdSMTPServer.NoHello"
		size = 128
		refs = "000f TIdSMTPServer.NoHello 0022 RSSMTPSvrNoHello 0027 LoadResString 0042 TIdSMTPServer.SetEnhReply 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 46 20 0F B6 40 55 50 B9 F5 01 00 00 8B 56 18 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 35 00 2E 00 35 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_37164_0 {
	meta:
		name = "TIdSMTPServer.CommandMAIL"
		size = 1104
		refs = "0028 TIdSMTPServer.CommandMAIL 0058 @UStrClr 0063 TCollection.Clear 0073 TextStartsWith 0084 _Dn_TIdEMailAddressItem 0089 TIdEMailAddressItem.Create 00b3 @UStrCopy 00be TrimLeft 00d3 Fetch 00de TIdEMailAddressItem.SetText 00ee TIdEMailAddressItem.GetDomain 010a TIdSMTPServer.SPFAuthOk 011d _Dn_TStringList 0122 TStringList.Create 0143 SplitColumns 0163 TStrings.GetValue 016b IndyStrToInt 018b TIdSMTPServer.MailSubmitLimitExceeded 0190 @TryFinallyExit 01ed PosInStrArray 0216 TIdSMTPServer.InvalidSyntax 0270 TObject.Free 0276 @HandleFinally 029d TIdSMTPServer.MailFromAccept 02ae @UStrAsg 02d5 TIdEMailAddressItem.GetText 02e3 TIdSMTPServer.MailFromReject 02f0 TIdSMTPServer.MailSubmitSystemFull 0337 TIdSMTPServer.NoHello 033f TIdSMTPServerContext.CheckPipeLine 0361 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 33 C9 89 4D B8 89 4D C8 89 4D CC 89 4D D0 89 4D D4 89 4D D8 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 20 89 45 EC 8B 45 EC 80 78 54 00 75 0D 8B 45 EC 80 78 55 00 0F 84 DF 02 00 00 8B 45 EC 83 C0 4C E8 ?? ?? ?? ?? 8B 45 EC 8B 40 50 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A4 02 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 D8 50 8B 45 F4 8B 40 24 B9 FF FF FF 7F BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 D4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F0 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 D0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 D0 50 8B 45 F0 8B 40 0C 50 8B 45 F4 8B 48 18 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 EB 01 00 00 C6 45 EB 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 8B 08 FF 51 58 40 74 47 8D 4D CC BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 89 45 E0 8B 45 F8 8B 80 A0 01 00 00 85 C0 7E 26 3B 45 E0 7D 21 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A5 01 00 00 C7 45 E0 FF FF FF FF BA ?? ?? ?? ?? 8B 45 E4 8B 08 FF 51 58 40 74 74 6A 00 8D 4D C8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 C8 50 B8 ?? ?? ?? ?? 89 45 BC B8 ?? ?? ?? ?? 89 45 C0 B8 ?? ?? ?? ?? 89 45 C4 8D 55 BC B9 02 00 00 00 58 E8 ?? ?? ?? ?? 83 E8 01 72 07 74 0B 48 74 0E EB 12 C6 45 DF 00 EB 2A C6 45 DF 01 EB 24 C6 45 DF 02 EB 1E 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1A 01 00 00 C6 45 DF 01 8B 45 F8 66 83 B8 62 01 00 00 00 74 20 8B 45 E4 50 8D 45 EB 50 8B 45 F0 8B 48 0C 8B 5D F8 8B 55 EC 8B 83 64 01 00 00 FF 93 60 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 EB 2C 01 72 0C 74 48 FE C8 74 5F FE C8 74 68 EB 71 8B 45 F0 8B 48 0C 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC 83 C0 4C 8B 55 F0 8B 52 0C E8 ?? ?? ?? ?? 8B 45 EC 8B 55 E0 89 50 68 0F B6 45 DF 8B 55 EC 88 42 74 8B 45 EC C6 40 48 02 EB 33 8D 55 B8 8B 45 F0 E8 ?? ?? ?? ?? 8B 4D B8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? EB 18 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? EB 0B 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? EB 0B 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 52 00 4F 00 4D 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 41 00 49 00 4C 00 20 00 46 00 52 00 4F 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 49 00 5A 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 4F 00 44 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 37 00 42 00 49 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 38 00 42 00 49 00 54 00 4D 00 49 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 42 00 49 00 4E 00 41 00 52 00 59 00 4D 00 49 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_37165_0 {
	meta:
		name = "TIdSMTPServer.InvalidSyntax"
		size = 128
		refs = "000f TIdSMTPServer.InvalidSyntax 0022 RSPOP3SvrInvalidSyntax 0027 LoadResString 0042 TIdSMTPServer.SetEnhReply 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 46 20 0F B6 40 55 50 B9 F5 01 00 00 8B 56 18 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 35 00 2E 00 35 00 2E 00 34 00 00 00 }
	condition:
		$1
}

rule function_37166_0 {
	meta:
		name = "TIdSMTPServer.CommandRCPT"
		size = 972
		refs = "001a TIdSMTPServer.CommandRCPT 0028 @UStrClr 0049 TIdSMTPServer.BadSequenceError 0074 TextStartsWith 0089 _Dn_TIdEMailAddressItem 008e TIdEMailAddressItem.Create 00b8 @UStrCopy 00c3 TrimLeft 00d8 Fetch 00e3 TIdEMailAddressItem.SetText 00fb _Dn_TStringList 0100 TStringList.Create 0121 SplitColumns 015f TObject.Free 0165 @HandleFinally 01b4 TIdSMTPServer.AddrValid 01bf TIdEMailAddressItem.GetText 01ce TIdEMailAddressList.Add 01f1 TIdSMTPServer.AddrNoRelaying 020b TIdSMTPServer.AddrWillForward 0267 TIdSMTPServer.AddrNotWillForward 0277 TIdSMTPServer.AddrTooManyRecipients 028a TIdSMTPServer.AddrDisabledPerm 029d TIdSMTPServer.AddrDisabledTemp 02aa TIdSMTPServer.MailSubmitSystemFull 02b7 TIdSMTPServer.MailSubmitLimitExceeded 02ca TIdSMTPServer.AddrInvalid 02d4 RSSMTPNoOnRcptTo 02d9 LoadResString 02e3 _DV_EIdSMTPServerNoRcptTo 02e8 EIdException.Create 02ed @RaiseExcept 031c RSSMTPSvrParmErrRcptTo 0340 TIdSMTPServer.SetEnhReply 034d TIdSMTPServer.NoHello 0355 TIdSMTPServerContext.CheckPipeLine 036f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 40 20 89 45 E8 8B 45 E8 0F B6 40 48 04 FE 2C 02 72 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? E9 07 03 00 00 8B 45 E8 80 78 54 00 75 0D 8B 45 E8 80 78 55 00 0F 84 DE 02 00 00 8B 45 F0 8B 40 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 93 02 00 00 C6 45 E7 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 DC 50 8B 45 F0 8B 40 24 B9 FF FF FF 7F BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC 8D 55 F8 E8 ?? ?? ?? ?? 6A 01 8D 45 D8 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F4 66 83 B8 72 01 00 00 00 0F 84 D8 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? 8B 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 45 E7 50 8D 45 FC 50 8B 45 EC 8B 48 0C 8B 5D F4 8B 55 E8 8B 83 74 01 00 00 FF 93 70 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 E7 83 F8 09 0F 87 45 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 EC 8B 48 0C 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D4 50 8B 45 E8 8B 40 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 E8 C6 40 48 03 E9 0D 01 00 00 8B 45 EC 8B 48 0C 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? E9 F7 00 00 00 8B 45 FC 50 8B 45 EC 8B 48 0C 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 83 7D FC 00 74 15 8B 45 E8 8B 40 50 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? EB 20 8D 55 D0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D0 50 8B 45 E8 8B 40 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 E8 C6 40 48 03 E9 9B 00 00 00 8B 45 FC 50 8B 45 EC 8B 48 0C 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? E9 81 00 00 00 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? EB 74 8B 45 EC 8B 48 0C 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? EB 61 8B 45 EC 8B 48 0C 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? EB 4E 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? EB 41 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? EB 34 8B 45 EC 8B 48 0C 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? EB 21 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 68 ?? ?? ?? ?? 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 50 8B 45 E8 0F B6 40 55 50 8B 45 F0 8B 50 18 B9 F5 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? EB 0B 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 4F 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 35 00 2E 00 35 00 2E 00 32 00 00 00 }
	condition:
		$1
}

rule function_37167_0 {
	meta:
		name = "TIdSMTPServer.CommandSTARTTLS"
		size = 240
		refs = "0010 TIdSMTPServer.CommandSTARTTLS 0028 TIdSMTPServer.BadSequenceError 0034 TIdSMTPServerContext.GetCanUseExplicitTLS 0041 TIdSMTPServer.CmdSyntaxError 004a TIdSMTPServerContext.SetPipeLining 0051 TIdSMTPServerContext.GetUsingTLS 006d RSSMTPSvrReadyForTLS 0072 LoadResString 008a TIdSMTPServer.SetEnhReply 0091 TIdCommand.SendReply 00af TIdSMTPServer.DoReset 00c4 @UStrClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 20 80 7B 55 00 75 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E9 82 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 12 8B D7 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 4F 68 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 0F B6 43 55 50 8B 57 18 B9 DC 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 43 14 8B 80 98 00 00 00 33 D2 8B 08 FF 91 04 01 00 00 B1 01 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 32 00 2E 00 30 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_37168_0 {
	meta:
		name = "TIdSMTPServer.CommandNOOP"
		size = 11
		refs = "0006 TIdSMTPServerContext.SetPipeLining"
	strings:
		$1 = { 8B 42 20 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37169_0 {
	meta:
		name = "TIdSMTPServer.CommandQUIT"
		size = 22
		refs = "0009 TIdSMTPServerContext.SetPipeLining 0010 TIdCommand.SendReply"
	strings:
		$1 = { 53 8B DA 33 D2 8B 43 20 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_37170_0 {
	meta:
		name = "TIdSMTPServer.CommandRSET"
		size = 11
		refs = "0006 TIdSMTPServer.DoReset"
	strings:
		$1 = { 33 C9 8B 52 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37171_0 {
	meta:
		name = "AddrFromHost"
		size = 116
		refs = "0010 AddrFromHost 001f GStack 0039 @HandleAnyException 0046 @UStrAsg 004b @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 33 C9 8B D3 8B 18 FF 53 28 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 75 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 00 00 }
	condition:
		$1
}

rule function_37172_0 {
	meta:
		name = "TIdSMTPServer.CommandDATA"
		size = 384
		refs = "0016 TIdSMTPServer.CommandDATA 0035 TIdSMTPServer.BadSequenceError 0076 TIdSMTPServer.MsgBegan 0094 IndyASCIIEncoding 009f Indy8BitEncoding 00ab RSSMTPSvrStartData 00b0 LoadResString 00cc TIdSMTPServer.SetEnhReply 00d3 TIdCommand.SendReply 00dd TIdSMTPServerContext.SetPipeLining 00f9 TIdIOHandler.Capture 0106 TIdSMTPServer.MsgReceived 0120 TObject.Free 012d TIdSMTPServer.DoReset 0133 @HandleFinally 013f TIdSMTPServer.NoHello 015e @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 89 45 F8 8B 45 F8 80 78 48 03 74 0F 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 0F 01 00 00 8B 45 F8 80 78 54 00 75 0D 8B 45 F8 80 78 55 00 0F 84 E5 00 00 00 8B 45 F8 80 78 74 02 75 0F 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 E1 00 00 00 8D 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 80 78 74 00 75 0B B0 01 E8 ?? ?? ?? ?? 8B F0 EB 09 B0 01 E8 ?? ?? ?? ?? 8B F0 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F8 0F B6 40 55 50 8B 53 18 B9 62 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 6A 01 56 8B 45 F8 8B 40 14 8B 80 98 00 00 00 B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? 33 C9 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_37173_0 {
	meta:
		name = "TIdSMTPServer.CommandBDAT"
		size = 504
		refs = "001a TIdSMTPServer.CommandBDAT 003f TIdSMTPServer.BadSequenceError 0064 TIdSMTPServerContext.SetPipeLining 008d IndyStrToStreamSize 00ad TIdSMTPServer.CmdSyntaxError 00da TextIsSame 00f5 TIdIOHandler.Discard 012b TIdSMTPServer.MsgBegan 016f TIdSMTPServer.MsgReceived 0189 TIdSMTPServer.DoReset 018f @HandleFinally 01a7 TIdSMTPServer.NoHello 01cb @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 89 45 F8 8B 45 F8 0F B6 40 48 2C 03 74 13 2C 02 74 0F 8B D6 8B 45 FC E8 ?? ?? ?? ?? E9 6D 01 00 00 8B 45 F8 80 78 54 00 75 0D 8B 45 F8 80 78 55 00 0F 84 43 01 00 00 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 46 0C 8B 10 FF 52 14 85 C0 0F 8E 1D 01 00 00 6A FF 6A FF 8D 4D EC 8B 46 0C 33 D2 8B 18 FF 53 0C 8B 45 EC E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 83 7D F4 00 75 08 83 7D F0 00 73 13 EB 02 7D 0F 8B D6 8B 45 FC E8 ?? ?? ?? ?? E9 FF 00 00 00 8B 46 0C 8B 10 FF 52 14 48 7E 4B 8D 4D E8 8B 46 0C BA 01 00 00 00 8B 18 FF 53 0C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 26 FF 75 F4 FF 75 F0 8B 45 F8 8B 40 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? E9 AD 00 00 00 B3 01 EB 02 33 DB 8B 45 F8 C6 40 48 05 8B 45 F8 83 78 70 00 75 11 8B 45 F8 8D 48 70 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 8B 45 F8 8B 50 70 8B 45 F8 8B 40 14 8B 80 98 00 00 00 33 C9 8B 38 FF 97 CC 00 00 00 84 DB 74 60 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 48 70 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 41 00 53 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_37174_0 {
	meta:
		name = "TIdSMTPServer.DoReset"
		size = 42
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D1 8B C6 8B 08 FF 51 18 66 83 BB 82 01 00 00 00 74 0E 8B D6 8B 83 84 01 00 00 FF 93 80 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_37175_0 {
	meta:
		name = "TIdSMTPServer.SetMaxMsgSize"
		size = 24
		refs = "000b IndyMax"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C6 E8 ?? ?? ?? ?? 89 83 A0 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_37176_0 {
	meta:
		name = "ReplaceReceivedTokens"
		size = 1364
		refs = "0021 ReplaceReceivedTokens 002f @UStrClr 0036 _Dn_TStringList 003b TStringList.Create 0058 Pos 0063 TIdContext.GetBinding 006e AddrFromHost 007e @UStrCat3 010d iif 01ef :6 01f4 @DynArraySetLength 026b @UStrCopy 02a2 @DynArrayHigh 02bb StringsReplace 02d5 TObject.Free 02db @HandleFinally 02f7 @UStrArrayClr 030a @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 2D 8B C3 E8 ?? ?? ?? ?? 8B 40 1C 8D 55 E0 E8 ?? ?? ?? ?? 8B 4D E0 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F0 8B 08 FF 51 38 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 22 8B C3 E8 ?? ?? ?? ?? 8B 48 1C 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F0 8B 08 FF 51 38 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1B 8B 4B 58 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F0 8B 08 FF 51 38 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 32 8D 45 D0 50 0F B6 43 55 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F0 8B 08 FF 51 38 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 21 8B 43 40 8B 88 98 01 00 00 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F0 8B 08 FF 51 38 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 2D 8B C3 E8 ?? ?? ?? ?? 8B 40 18 8D 55 C4 E8 ?? ?? ?? ?? 8B 4D C4 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F0 8B 08 FF 51 38 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 22 8B C3 E8 ?? ?? ?? ?? 8B 48 18 8D 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F0 8B 08 FF 51 38 8B 45 F0 8B 10 FF 52 14 85 C0 0F 8E E3 00 00 00 8B 45 F0 8B 10 FF 52 14 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F0 8B 10 FF 52 14 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F0 8B 10 FF 52 14 48 85 C0 7C 73 40 89 45 E8 33 DB 8D 4D BC 8B D3 8B 45 F0 8B 38 FF 57 0C 8B 55 BC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 8D 04 98 50 8D 4D B8 8B D3 8B 45 F0 8B 38 FF 57 0C 8B 45 B8 8B 4D EC 49 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 04 98 50 8D 4D B4 8B D3 8B 45 F0 8B 38 FF 57 0C 8B 45 B4 8B 55 EC 42 B9 FF FF FF 7F E8 ?? ?? ?? ?? 43 FF 4D E8 75 93 8B 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 0D 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 24 00 68 00 6F 00 73 00 74 00 6E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 24 00 68 00 6F 00 73 00 74 00 6E 00 61 00 6D 00 65 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 24 00 69 00 70 00 61 00 64 00 64 00 72 00 65 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 24 00 69 00 70 00 61 00 64 00 64 00 72 00 65 00 73 00 73 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 24 00 68 00 65 00 6C 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 24 00 68 00 65 00 6C 00 6F 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 24 00 70 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 6D 00 74 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 73 00 6D 00 74 00 70 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 24 00 70 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 24 00 73 00 65 00 72 00 76 00 65 00 72 00 6E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 24 00 73 00 65 00 72 00 76 00 65 00 72 00 6E 00 61 00 6D 00 65 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 24 00 73 00 76 00 72 00 68 00 6F 00 73 00 74 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 24 00 73 00 76 00 72 00 68 00 6F 00 73 00 74 00 6E 00 61 00 6D 00 65 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 24 00 73 00 76 00 72 00 69 00 70 00 61 00 64 00 64 00 72 00 65 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 24 00 73 00 76 00 72 00 69 00 70 00 61 00 64 00 64 00 72 00 65 00 73 00 73 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_37177_0 {
	meta:
		name = "TIdSMTPServer.MsgBegan"
		size = 664
		refs = "0019 TIdSMTPServer.MsgBegan 0050 _Dn_TMemoryStream 0055 TObject.Create 0075 @UStrLAsg 00b9 @UStrCatN 00c9 WriteStringToStream 00e0 ReplaceReceivedTokens 00ed @UStrCat 010c @HandleAnyException 011d TObject.Free 0122 @RaiseAgain 0127 @DoneExcept 0141 @UStrArrayClr 0149 @UStrClr 014f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 33 D2 89 10 66 83 BB 5A 01 00 00 00 74 11 8B 4D F8 8B D6 8B 83 5C 01 00 00 FF 93 58 01 00 00 8B 45 F8 83 38 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 02 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 BB 7A 01 00 00 00 74 11 8D 4D FC 8B D6 8B 83 7C 01 00 00 FF 93 78 01 00 00 80 7E 6D 00 74 33 6A 01 6A 00 68 ?? ?? ?? ?? FF 76 4C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 00 83 C9 FF E8 ?? ?? ?? ?? 83 7D FC 00 74 2E 6A 01 6A 00 8D 4D F0 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 00 83 C9 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 8B 45 F8 8B 00 8B 55 F8 33 C9 89 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 6D 00 00 00 52 00 65 00 63 00 65 00 69 00 76 00 65 00 64 00 3A 00 20 00 66 00 72 00 6F 00 6D 00 20 00 24 00 68 00 6F 00 73 00 74 00 6E 00 61 00 6D 00 65 00 5B 00 24 00 69 00 70 00 61 00 64 00 64 00 72 00 65 00 73 00 73 00 5D 00 20 00 28 00 68 00 65 00 6C 00 6F 00 3D 00 24 00 68 00 65 00 6C 00 6F 00 29 00 20 00 62 00 79 00 20 00 24 00 73 00 76 00 72 00 68 00 6F 00 73 00 74 00 6E 00 61 00 6D 00 65 00 5B 00 24 00 73 00 76 00 72 00 69 00 70 00 61 00 64 00 64 00 72 00 65 00 73 00 73 00 5D 00 20 00 77 00 69 00 74 00 68 00 20 00 24 00 70 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 20 00 28 00 24 00 73 00 65 00 72 00 76 00 65 00 72 00 6E 00 61 00 6D 00 65 00 29 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 52 00 65 00 63 00 65 00 69 00 76 00 65 00 64 00 2D 00 50 00 61 00 74 00 68 00 3A 00 20 00 3C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_37178_0 {
	meta:
		name = "TIdSMTPServer.MsgReceived"
		size = 211
		refs = "0015 TStream.SetPosition 0072 TIdSMTPServer.MsgReceived 0093 TIdSMTPServer.MailSubmitOk 009e TIdSMTPServer.MailSubmitStorageExceededFull 00a9 TIdSMTPServer.MailSubmitSystemFull 00b4 TIdSMTPServer.MailSubmitLocalProcessingError 00bf TIdSMTPServer.MailSubmitTransactionFailed 00ca TIdSMTPServer.MailSubmitLimitExceeded"
	strings:
		$1 = { 53 56 57 51 8B F1 8B FA 8B D8 C6 04 24 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 83 BB A0 01 00 00 00 7E 28 8B C6 8B 10 FF 12 52 50 8B 83 A0 01 00 00 99 3B 54 24 04 75 09 3B 04 24 5A 58 73 0C EB 04 5A 58 7D 06 C6 04 24 05 EB 1C 66 83 BB 6A 01 00 00 00 74 12 54 8B 57 20 8B CE 8B 83 6C 01 00 00 FF 93 68 01 00 00 0F B6 04 24 83 F8 05 77 5F FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? EB 35 8B D7 8B C3 E8 ?? ?? ?? ?? EB 2A 8B D7 8B C3 E8 ?? ?? ?? ?? EB 1F 8B D7 8B C3 E8 ?? ?? ?? ?? EB 14 8B D7 8B C3 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37179_0 {
	meta:
		name = "TIdSMTPServer.SPFAuthOk"
		size = 384
		refs = "0021 TIdSMTPServer.SPFAuthOk 004c TIdContext.GetBinding 008f RSSMTPSvrSPFCheckFailed 0094 LoadResString 00ad IndyFormat 00c5 TIdSMTPServer.SetEnhReply 00d8 RSSMTPSvrSPFCheckError 0128 @UStrArrayClr 013b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D E4 89 5D E0 89 5D F4 89 5D F0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 C6 45 FA 01 66 83 BB 8A 01 00 00 00 74 24 8B 45 0C 50 8B 45 08 50 8D 45 FA 50 8B C6 E8 ?? ?? ?? ?? 8B 48 1C 8B D6 8B 83 8C 01 00 00 FF 93 88 01 00 00 0F B6 45 FA 2C 03 72 10 74 17 FE C8 74 0A 48 2C 02 72 57 E9 99 00 00 00 C6 45 FB 01 E9 90 00 00 00 68 ?? ?? ?? ?? 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 10 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 45 F4 50 0F B6 46 55 50 B9 26 02 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 47 68 ?? ?? ?? ?? 8D 45 E4 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 10 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 45 E4 50 0F B6 46 55 50 B9 C3 01 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 FB 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 35 00 2E 00 37 00 2E 00 31 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 34 00 2E 00 34 00 2E 00 33 00 00 00 }
	condition:
		$1
}

rule function_37180_0 {
	meta:
		name = "TIdSMTPServerContext.CheckPipeLine"
		size = 32
		refs = "000d TIdIOHandler.InputBufferIsEmpty 001a TIdSMTPServerContext.SetPipeLining"
	strings:
		$1 = { 53 8B D8 8B 43 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_37181_0 {
	meta:
		name = "TIdSMTPServerContext.Create"
		size = 124
		refs = "000d @ClassCreate 0022 TIdContext.Create 002e @UStrClr 0053 _Dn_TIdEMailAddressList 0058 TIdEMailAddressList.Create 0066 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 48 00 8D 46 4C E8 ?? ?? ?? ?? C6 46 54 00 C6 46 55 00 8D 46 5C E8 ?? ?? ?? ?? 8D 46 60 E8 ?? ?? ?? ?? C6 46 64 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_37186_0 {
	meta:
		name = "TIdSMTPServerContext.Reset"
		size = 119
		refs = "0029 @UStrClr 0039 TCollection.Clear 006a TObject.Free 0071 TIdSMTPServerContext.CheckPipeLine"
	strings:
		$1 = { 53 8B D8 84 D2 75 12 80 7B 55 00 75 06 80 7B 54 00 74 06 C6 43 48 01 EB 0C C6 43 48 00 C6 43 55 00 C6 43 54 00 8D 43 4C E8 ?? ?? ?? ?? 8D 43 58 E8 ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8D 43 5C E8 ?? ?? ?? ?? 8D 43 60 E8 ?? ?? ?? ?? C6 43 64 00 33 C0 89 43 68 C6 43 74 01 C6 43 6D 00 8D 43 70 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_37187_0 {
	meta:
		name = "TIdSMTPServerContext.SetPipeLining"
		size = 65
		refs = "001a TIdIOHandler.WriteBufferOpen"
	strings:
		$1 = { 53 56 8B DA 8B F0 84 DB 74 16 80 7E 6C 00 75 10 8B 46 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? EB 1B 84 DB 75 17 80 7E 6C 00 74 11 8B 46 14 8B 80 98 00 00 00 8B 10 FF 92 D8 00 00 00 88 5E 6C 5E 5B C3 }
	condition:
		$1
}

rule function_37190_0 {
	meta:
		name = "IPToID"
		size = 344
		refs = "0017 @UStrAddRef 001f IPToID 002c @UStrClr 0041 IndyPos 006b @UStrCopy 00c2 @UStrDelete 00cc IndyStrToInt 00d8 @UStrFromWChar 00e2 @UStrCat 0125 @UStrArrayClr 0138 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B FA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? C7 45 F0 03 00 00 00 8D 45 F4 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 8B F0 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 8D 45 F4 50 8B CB 2B CE BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 85 D2 74 05 83 EA 04 8B 12 8B C8 2B CA 41 8D 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8D 45 EC 8B D3 E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? FF 4D F0 0F 85 48 FF FF FF 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 8B 55 E8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_37191_0 {
	meta:
		name = "MibIntToASNObject"
		size = 142
		refs = "0018 MibIntToASNObject 0028 ASNEncInt 0035 ASNObject 0043 MibToId 005f @UStrCat3 0079 @UStrArrayClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 4D F4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_37192_0 {
	meta:
		name = "MibUIntToASNObject"
		size = 142
		refs = "0018 MibUIntToASNObject 0028 ASNEncUInt 0035 ASNObject 0043 MibToId 005f @UStrCat3 0079 @UStrArrayClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 4D F4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_37193_0 {
	meta:
		name = "MibObjIDToASNObject"
		size = 142
		refs = "0018 MibObjIDToASNObject 0028 MibToId 0038 ASNObject 0061 @UStrCat3 007b @UStrArrayClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 4D F4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37194_0 {
	meta:
		name = "MibIPAddrToASNObject"
		size = 142
		refs = "0018 MibIPAddrToASNObject 0028 IPToID 0038 ASNObject 0046 MibToId 0061 @UStrCat3 007b @UStrArrayClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA 40 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 4D F4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37195_0 {
	meta:
		name = "MibNullToASNObject"
		size = 125
		refs = "0013 MibNullToASNObject 0028 ASNObject 0036 MibToId 0051 @UStrCat3 006b @UStrArrayClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA 05 00 00 00 33 C0 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8D 4D F8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37196_0 {
	meta:
		name = "MibStrToASNObject"
		size = 129
		refs = "0016 MibStrToASNObject 0028 ASNObject 0036 MibToId 0052 @UStrCat3 006c @UStrArrayClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8D 4D F8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_37197_0 {
	meta:
		name = "TSNMPInfo.Create"
		size = 115
		refs = "000b @ClassCreate 001a TObject.Create 0024 _Dn_TStringList 0029 TStringList.Create 0049 @UStrAsg 005f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 40 8D 47 08 8B 96 D8 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 6C 66 89 47 14 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37199_0 {
	meta:
		name = "TSNMPInfo.SyncMIB"
		size = 50
	strings:
		$1 = { 53 56 8B F0 8B 46 40 8B 10 FF 52 14 8B D8 8B C3 50 8B 46 3C 8B 10 FF 52 14 8B D8 4B 58 2B D8 7C 0E 43 33 D2 8B 46 40 8B 08 FF 51 38 4B 75 F3 5E 5B C3 }
	condition:
		$1
}

rule function_37200_0 {
	meta:
		name = "TSNMPInfo.DecodeBuf"
		size = 391
		refs = "001c @UStrAddRef 0027 TSNMPInfo.DecodeBuf 003d ASNDecLen 0050 ASNItem 005a IndyStrToInt 0078 TSNMPInfo.SetCommunity 0149 TSNMPInfo.MIBAdd 0167 @UStrArrayClr 017a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8D 7D F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 07 02 00 00 00 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B F0 8D 45 E8 50 8D 4D EC 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E8 33 D2 E8 ?? ?? ?? ?? 89 43 24 8D 45 E4 50 8D 4D EC 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 45 E0 50 8D 4D EC 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E0 33 D2 E8 ?? ?? ?? ?? 89 43 28 8D 45 DC 50 8D 4D EC 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B 45 DC 33 D2 E8 ?? ?? ?? ?? 89 43 30 8D 45 D8 50 8D 4D EC 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B 45 D8 33 D2 E8 ?? ?? ?? ?? 89 43 34 8D 45 D4 50 8D 4D EC 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B 45 D4 33 D2 E8 ?? ?? ?? ?? 89 43 38 8D 45 D0 50 8D 4D EC 8B C7 8B 55 FC E8 ?? ?? ?? ?? 3B 37 7E 48 8D 45 CC 50 8D 4D EC 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8D 4D EC 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 50 8D 4D EC 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B 45 EC 50 8B 4D F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 3B 37 7F B8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37201_0 {
	meta:
		name = "TSNMPInfo.EncodeBuf"
		size = 1317
		refs = "001c TSNMPInfo.EncodeBuf 002a @UStrClr 0031 TSNMPInfo.SyncMIB 00bf IndyStrToInt 00d2 ASNEncInt 00e0 ASNObject 00ef MibToId 010b @UStrCat3 0116 @UStrLAsg 0151 ASNEncUInt 024a IPToID 03a3 @UStrCat 03bc @UStrFromWChar 0454 @UStrCatN 04e8 @UStrAsg 0505 @UStrArrayClr 0518 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 1D 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 B8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 3C 8B 10 FF 52 14 48 85 C0 0F 8C 6B 03 00 00 40 89 45 B0 33 F6 8B D6 8B 43 40 8B 08 FF 51 18 89 45 B4 83 7D B4 00 75 07 C7 45 B4 04 00 00 00 8B 45 B4 83 F8 06 7F 19 0F 84 2A 01 00 00 83 E8 02 74 26 83 E8 03 0F 84 2C 02 00 00 E9 8D 02 00 00 83 E8 40 0F 84 96 01 00 00 48 83 E8 03 0F 82 85 00 00 00 E9 75 02 00 00 8D 4D F4 8B D6 8B 43 3C 8B 38 FF 57 0C 8D 4D A4 8B D6 8B 43 40 8B 38 FF 57 0C 8B 45 A4 33 D2 E8 ?? ?? ?? ?? 8B F8 C7 45 AC 02 00 00 00 8D 55 9C 8B C7 E8 ?? ?? ?? ?? 8B 45 9C 8D 4D A0 8B 55 AC E8 ?? ?? ?? ?? 8B 45 A0 50 8D 55 94 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 94 8D 4D 98 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 98 8D 45 F0 59 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? E9 67 02 00 00 8D 4D EC 8B D6 8B 43 3C 8B 38 FF 57 0C 8D 4D 90 8B D6 8B 43 40 8B 38 FF 57 0C 8B 45 90 33 D2 E8 ?? ?? ?? ?? 8B F8 8B 45 B4 89 45 A8 8D 55 88 8B C7 E8 ?? ?? ?? ?? 8B 45 88 8D 4D 8C 8B 55 A8 E8 ?? ?? ?? ?? 8B 45 8C 50 8D 55 80 8B 45 EC E8 ?? ?? ?? ?? 8B 45 80 8D 4D 84 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 84 8D 45 E8 59 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 E8 E8 ?? ?? ?? ?? E9 E8 01 00 00 8D 4D E4 8B D6 8B 43 3C 8B 38 FF 57 0C 8D 4D E0 8B D6 8B 43 40 8B 38 FF 57 0C 8D 95 78 FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 8D 8D 7C FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 50 8D 95 70 FF FF FF 8B 45 E4 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 8D 8D 74 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8D 45 DC 59 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 DC E8 ?? ?? ?? ?? E9 60 01 00 00 8D 4D D8 8B D6 8B 43 3C 8B 38 FF 57 0C 8D 4D D4 8B D6 8B 43 40 8B 38 FF 57 0C 8D 95 68 FF FF FF 8B 45 D4 E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 8D 8D 6C FF FF FF BA 40 00 00 00 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 50 8D 95 60 FF FF FF 8B 45 D8 E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 8D 8D 64 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 95 64 FF FF FF 8D 45 D0 59 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 D0 E8 ?? ?? ?? ?? E9 D8 00 00 00 8D 4D CC 8B D6 8B 43 3C 8B 38 FF 57 0C 8D 8D 5C FF FF FF BA 05 00 00 00 33 C0 E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 50 8D 95 54 FF FF FF 8B 45 CC E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 8D 8D 58 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 95 58 FF FF FF 8D 45 C8 59 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 C8 E8 ?? ?? ?? ?? EB 72 8D 4D C4 8B D6 8B 43 3C 8B 38 FF 57 0C 8D 4D C0 8B D6 8B 43 40 8B 38 FF 57 0C 8B 7D B4 8D 8D 50 FF FF FF 8B D7 8B 45 C0 E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 50 8D 95 48 FF FF FF 8B 45 C4 E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 8D 8D 4C FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 95 4C FF FF FF 8D 45 BC 59 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 BC E8 ?? ?? ?? ?? 8D 8D 44 FF FF FF BA 30 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 95 44 FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 46 FF 4D B0 0F 85 9B FC FF FF 8D 85 3C FF FF FF 0F B7 53 30 E8 ?? ?? ?? ?? 8B 85 3C FF FF FF 8D 8D 40 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? FF B5 40 FF FF FF 8D 85 34 FF FF FF 0F B7 53 34 E8 ?? ?? ?? ?? 8B 85 34 FF FF FF 8D 8D 38 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? FF B5 38 FF FF FF 8D 85 2C FF FF FF 0F B7 53 38 E8 ?? ?? ?? ?? 8B 85 2C FF FF FF 8D 8D 30 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? FF B5 30 FF FF FF 8D 8D 28 FF FF FF BA 30 00 00 00 8B 45 FC E8 ?? ?? ?? ?? FF B5 28 FF FF FF 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 20 FF FF FF 0F B7 53 24 E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 8D 8D 24 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? FF B5 24 FF FF FF 8D 8D 1C FF FF FF BA 04 00 00 00 8B 43 08 E8 ?? ?? ?? ?? FF B5 1C FF FF FF 8D 8D 18 FF FF FF 8B 53 28 8B 45 FC E8 ?? ?? ?? ?? FF B5 18 FF FF FF 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 8D 14 FF FF FF BA 30 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 95 14 FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B 45 B8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 14 FF FF FF BA 25 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC BA 11 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37202_0 {
	meta:
		name = "TSNMPInfo.Clear"
		size = 172
		refs = "000d TSNMPInfo.Clear 0029 @UStrAsg 009b @UStrClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 46 24 8D 46 08 8B 56 04 8B 92 D8 00 00 00 E8 ?? ?? ?? ?? 8B 5E 04 3B B3 EC 00 00 00 75 0D 0F B7 83 DC 00 00 00 66 89 46 14 EB 0B 8B C3 8B 10 FF 52 6C 66 89 46 14 8D 55 FC 8B 46 04 8B 08 FF 51 64 8B 55 FC 8D 46 10 E8 ?? ?? ?? ?? 33 C0 89 46 28 33 C0 89 46 30 33 C0 89 46 34 33 C0 89 46 38 8B 46 3C 8B 10 FF 52 44 8B 46 40 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37203_0 {
	meta:
		name = "TSNMPInfo.MIBAdd"
		size = 174
		refs = "0015 @UStrAddRef 0025 TSNMPInfo.MIBAdd 0032 TSNMPInfo.SyncMIB 0099 @UStrArrayClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 46 3C 8B 08 FF 51 38 8B 46 3C 8B 10 FF 52 14 8B D8 8B 46 40 8B 10 FF 52 14 3B D8 7D 1E 8B D3 4A 8B 4D F8 8B 46 40 8B 38 FF 57 20 8B D3 4A 8B 4D 08 8B 46 40 8B 18 FF 53 24 EB 0E 8B 4D 08 8B 55 F8 8B 46 40 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_37204_0 {
	meta:
		name = "TSNMPInfo.MIBDelete"
		size = 49
		refs = "0009 TSNMPInfo.SyncMIB"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D7 8B 46 3C 8B 08 FF 51 48 8B 46 40 8B 10 FF 52 14 48 3B F8 7F 0A 8B D7 8B 46 40 8B 08 FF 51 48 5F 5E C3 }
	condition:
		$1
}

rule function_37205_0 {
	meta:
		name = "TSNMPInfo.MIBGet"
		size = 120
		refs = "0014 @UStrAddRef 001c TSNMPInfo.MIBGet 0029 TSNMPInfo.SyncMIB 0042 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 3C 8B 08 FF 51 54 8B F0 85 F6 7D 0A 8B 45 F8 E8 ?? ?? ?? ?? EB 0D 8B 4D F8 8B D6 8B 43 40 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_37206_0 {
	meta:
		name = "TSNMPInfo.EncodeTrap"
		size = 1369
		refs = "0019 TSNMPInfo.EncodeTrap 0027 @UStrClr 00b5 IndyStrToInt 00c8 ASNEncInt 00d6 ASNObject 00e5 MibToId 0101 @UStrCat3 010c @UStrLAsg 0147 ASNEncUInt 0234 IPToID 038d @UStrCat 048f @UStrCatN 049e @UStrFromWChar 0518 @UStrAsg 0537 @UStrArrayClr 054a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 1E 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 0C E8 ?? ?? ?? ?? 8B 43 3C 8B 10 FF 52 14 48 85 C0 0F 8C 5F 03 00 00 40 89 45 B8 33 F6 8B D6 8B 43 40 8B 08 FF 51 18 89 45 BC 83 7D BC 00 75 07 C7 45 BC 04 00 00 00 8B 45 BC 83 F8 06 7F 19 0F 84 2A 01 00 00 83 E8 02 74 26 83 E8 03 0F 84 20 02 00 00 E9 81 02 00 00 83 E8 40 0F 84 8A 01 00 00 48 83 E8 03 0F 82 85 00 00 00 E9 69 02 00 00 8D 4D F8 8B D6 8B 43 3C 8B 38 FF 57 0C 8D 4D AC 8B D6 8B 43 40 8B 38 FF 57 0C 8B 45 AC 33 D2 E8 ?? ?? ?? ?? 8B F8 C7 45 B4 02 00 00 00 8D 55 A4 8B C7 E8 ?? ?? ?? ?? 8B 45 A4 8D 4D A8 8B 55 B4 E8 ?? ?? ?? ?? 8B 45 A8 50 8D 55 9C 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 9C 8D 4D A0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 A0 8D 45 F4 59 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? E9 5B 02 00 00 8D 4D F0 8B D6 8B 43 3C 8B 38 FF 57 0C 8D 4D 98 8B D6 8B 43 40 8B 38 FF 57 0C 8B 45 98 33 D2 E8 ?? ?? ?? ?? 8B F8 8B 45 BC 89 45 B0 8D 55 90 8B C7 E8 ?? ?? ?? ?? 8B 45 90 8D 4D 94 8B 55 B0 E8 ?? ?? ?? ?? 8B 45 94 50 8D 55 88 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 88 8D 4D 8C BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 8C 8D 45 EC 59 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 EC E8 ?? ?? ?? ?? E9 DC 01 00 00 8D 4D E8 8B D6 8B 43 3C 8B 38 FF 57 0C 8D 4D E4 8B D6 8B 43 40 8B 38 FF 57 0C 8D 55 80 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 80 8D 4D 84 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 84 50 8D 95 78 FF FF FF 8B 45 E8 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 8D 8D 7C FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8D 45 E0 59 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 E0 E8 ?? ?? ?? ?? E9 60 01 00 00 8D 4D DC 8B D6 8B 43 3C 8B 38 FF 57 0C 8D 4D D8 8B D6 8B 43 40 8B 38 FF 57 0C 8D 95 70 FF FF FF 8B 45 D8 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 8D 8D 74 FF FF FF BA 40 00 00 00 E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 50 8D 95 68 FF FF FF 8B 45 DC E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 8D 8D 6C FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8D 45 D4 59 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 D4 E8 ?? ?? ?? ?? E9 D8 00 00 00 8D 4D D0 8B D6 8B 43 3C 8B 38 FF 57 0C 8D 8D 64 FF FF FF BA 05 00 00 00 33 C0 E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 50 8D 95 5C FF FF FF 8B 45 D0 E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 8D 8D 60 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8D 45 CC 59 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 CC E8 ?? ?? ?? ?? EB 72 8D 4D C8 8B D6 8B 43 3C 8B 38 FF 57 0C 8D 4D C4 8B D6 8B 43 40 8B 38 FF 57 0C 8B 7D BC 8D 8D 58 FF FF FF 8B D7 8B 45 C4 E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 50 8D 95 50 FF FF FF 8B 45 C8 E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 8D 8D 54 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 95 54 FF FF FF 8D 45 C0 59 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 C0 E8 ?? ?? ?? ?? 8D 8D 4C FF FF FF BA 30 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 95 4C FF FF FF 8D 43 0C E8 ?? ?? ?? ?? 46 FF 4D B8 0F 85 A7 FC FF FF 8D 95 44 FF FF FF 8B 43 18 E8 ?? ?? ?? ?? 8B 85 44 FF FF FF 8D 8D 48 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? FF B5 48 FF FF FF 8D 95 3C FF FF FF 8B 43 10 E8 ?? ?? ?? ?? 8B 85 3C FF FF FF 8D 8D 40 FF FF FF BA 40 00 00 00 E8 ?? ?? ?? ?? FF B5 40 FF FF FF 8D 95 34 FF FF FF 8B 43 1C E8 ?? ?? ?? ?? 8B 85 34 FF FF FF 8D 8D 38 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? FF B5 38 FF FF FF 8D 95 2C FF FF FF 8B 43 20 E8 ?? ?? ?? ?? 8B 85 2C FF FF FF 8D 8D 30 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? FF B5 30 FF FF FF 8D 95 24 FF FF FF 8B 43 2C E8 ?? ?? ?? ?? 8B 85 24 FF FF FF 8D 8D 28 FF FF FF BA 43 00 00 00 E8 ?? ?? ?? ?? FF B5 28 FF FF FF 8D 8D 20 FF FF FF BA 30 00 00 00 8B 43 0C E8 ?? ?? ?? ?? FF B5 20 FF FF FF 8D 43 0C BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 85 18 FF FF FF 0F B7 53 24 E8 ?? ?? ?? ?? 8B 85 18 FF FF FF 8D 8D 1C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? FF B5 1C FF FF FF 8D 8D 14 FF FF FF BA 04 00 00 00 8B 43 08 E8 ?? ?? ?? ?? FF B5 14 FF FF FF 8D 8D 10 FF FF FF 8B 53 28 8B 43 0C E8 ?? ?? ?? ?? FF B5 10 FF FF FF 8D 43 0C BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 8D 0C FF FF FF BA 30 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 8B 95 0C FF FF FF 8D 43 0C E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 0C FF FF FF BA 29 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 BA 10 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37207_0 {
	meta:
		name = "TSNMPInfo.DecodeTrap"
		size = 442
		refs = "001b TSNMPInfo.DecodeTrap 0031 ASNDecLen 0044 ASNItem 004e IndyStrToInt 006c TSNMPInfo.SetCommunity 00a9 @UStrAsg 0178 TSNMPInfo.MIBAdd 0198 @UStrArrayClr 01ab @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 8D 7D F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 07 02 00 00 00 8B C7 8B 53 0C E8 ?? ?? ?? ?? 8B F0 8D 45 EC 50 8D 4D F0 8B C7 8B 53 0C E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 89 43 24 8D 45 E8 50 8D 4D F0 8B C7 8B 53 0C E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 45 E4 50 8D 4D F0 8B C7 8B 53 0C E8 ?? ?? ?? ?? 8B 45 E4 BA A4 00 00 00 E8 ?? ?? ?? ?? 89 43 28 8D 45 E0 50 8D 4D F0 8B C7 8B 53 0C E8 ?? ?? ?? ?? 8B 55 E0 8D 43 18 E8 ?? ?? ?? ?? 8D 45 DC 50 8D 4D F0 8B C7 8B 53 0C E8 ?? ?? ?? ?? 8B 55 DC 8D 43 10 E8 ?? ?? ?? ?? 8D 45 D8 50 8D 4D F0 8B C7 8B 53 0C E8 ?? ?? ?? ?? 8B 45 D8 33 D2 E8 ?? ?? ?? ?? 89 43 1C 8D 45 D4 50 8D 4D F0 8B C7 8B 53 0C E8 ?? ?? ?? ?? 8B 45 D4 33 D2 E8 ?? ?? ?? ?? 89 43 20 8D 45 D0 50 8D 4D F0 8B C7 8B 53 0C E8 ?? ?? ?? ?? 8B 45 D0 33 D2 E8 ?? ?? ?? ?? 89 43 2C 8D 45 CC 50 8D 4D F0 8B C7 8B 53 0C E8 ?? ?? ?? ?? 3B 37 7E 48 8D 45 C8 50 8D 4D F0 8B C7 8B 53 0C E8 ?? ?? ?? ?? 8D 45 FC 50 8D 4D F0 8B C7 8B 53 0C E8 ?? ?? ?? ?? 8D 45 F8 50 8D 4D F0 8B C7 8B 53 0C E8 ?? ?? ?? ?? 8B 45 F0 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 3B 37 7F B8 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37208_0 {
	meta:
		name = "TSNMPInfo.SetCommunity"
		size = 38
		refs = "000c @UStrEqual 0015 TSNMPInfo.Clear 001f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 8B D6 E8 ?? ?? ?? ?? 74 11 8B C3 E8 ?? ?? ?? ?? 8D 43 08 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37209_0 {
	meta:
		name = "TIdSNMP.InitComponent"
		size = 180
		refs = "0006 TIdUDPClient.InitComponent 0025 TIdSNMP.InitComponent 002a @UStrAsg 0033 _DV_TSNMPInfo 0038 TSNMPInfo.Create 0071 TSNMPInfo.Clear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA A1 00 8B C3 8B 08 FF 51 70 66 C7 83 DC 00 00 00 A2 00 8D 83 D8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 E4 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 E8 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 EC 00 00 00 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 8B 83 E8 00 00 00 E8 ?? ?? ?? ?? 8B 83 EC 00 00 00 E8 ?? ?? ?? ?? C7 83 A4 00 00 00 88 13 00 00 5B C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_37210_0 {
	meta:
		name = "TIdSNMP.Destroy"
		size = 93
		refs = "0003 @BeforeDestruction 001a TObject.Free 004b TIdUDPClient.Destroy 0056 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 E8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 E4 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 EC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37211_0 {
	meta:
		name = "TIdSNMP.GetBinding"
		size = 130
		refs = "0008 TIdUDPClient.GetBinding 001c _Dn_TIdSocketHandle 0021 TIdSocketHandle.Create 004b TIdSocketHandle.AllocateSocket 0056 @UStrAsg 0071 TIdSocketHandle.SetIPVersion 0078 TIdSocketHandle.Bind"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 83 BB E0 00 00 00 00 75 14 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 E0 00 00 00 8B B3 E0 00 00 00 80 7E 14 00 75 45 66 83 BB DC 00 00 00 00 74 3B 33 C9 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 46 18 8B 57 18 E8 ?? ?? ?? ?? 0F B7 83 DC 00 00 00 66 89 46 20 8B C3 8B 10 FF 52 5C 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37212_0 {
	meta:
		name = "TIdSNMP.CloseBinding"
		size = 31
		refs = "0012 TObject.Free 0019 TIdUDPBase.CloseBinding"
	strings:
		$1 = { 53 8B D8 8D 83 E0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_37213_0 {
	meta:
		name = "TIdSNMP.SendQuery"
		size = 366
		refs = "0013 TIdSNMP.SendQuery 0027 TSNMPInfo.Clear 0038 TSNMPInfo.EncodeBuf 004c @UStrAsg 0060 Indy8BitEncoding 0070 TIdUDPBase.Send 00ab TIdUDPBase.ReceiveString 00ce @HandleOnException 00d6 _Dn_EIdSocketError 00f4 @UStrClr 00fb @RaiseAgain 0100 @DoneExcept 0122 TSNMPInfo.DecodeBuf 0159 @UStrArrayClr 015f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 E8 00 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC 8B 80 E4 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 80 E4 00 00 00 83 C0 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 98 E4 00 00 00 8B 43 0C 50 B0 01 E8 ?? ?? ?? ?? 50 0F B7 4B 14 8B 53 10 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 A4 00 00 00 50 B0 01 E8 ?? ?? ?? ?? 50 8D 45 F4 50 8B 45 FC 8B 98 E4 00 00 00 8D 4B 14 8D 53 10 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 E8 00 00 00 83 C0 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 81 78 18 46 27 00 00 75 13 8B 45 FC 8B 80 E8 00 00 00 83 C0 0C E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 98 E8 00 00 00 83 7B 0C 00 74 13 8B 45 FC 8B 80 E8 00 00 00 8B 50 0C 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 E8 00 00 00 83 7B 0C 00 74 06 83 7B 34 00 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37214_0 {
	meta:
		name = "TIdSNMP.QuickSend"
		size = 167
		refs = "0016 TIdSNMP.QuickSend 0025 TIdSNMP.SetCommunity 003a TSNMPInfo.Clear 0053 TSNMPInfo.MIBAdd 005a TIdSNMP.SendQuery 0071 TSNMPInfo.MIBGet 007c @UStrAsg 0091 @UStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D1 8B C6 E8 ?? ?? ?? ?? 8B 55 0C 8B C6 8B 08 FF 51 68 8B 86 E4 00 00 00 E8 ?? ?? ?? ?? 8B 86 E4 00 00 00 C7 40 28 A0 00 00 00 6A 04 33 C9 8B 55 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 1C 8D 4D F8 8B 55 FC 8B 86 E8 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_37215_0 {
	meta:
		name = "TIdSNMP.SendTrap"
		size = 59
		refs = "0012 TSNMPInfo.EncodeTrap 0023 Indy8BitEncoding 0032 TIdUDPBase.Send"
	strings:
		$1 = { 53 56 8B D8 8B 83 EC 00 00 00 C7 40 28 A4 00 00 00 E8 ?? ?? ?? ?? 8B B3 EC 00 00 00 8B 46 0C 50 B0 01 E8 ?? ?? ?? ?? 50 0F B7 4E 14 8B 56 10 8B C3 E8 ?? ?? ?? ?? B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_37216_0 {
	meta:
		name = "TIdSNMP.ReceiveTrap"
		size = 291
		refs = "0012 TIdSNMP.ReceiveTrap 0057 TArray<System.Byte> 005c @DynArraySetLength 006c TIdSocketHandle.Readable 007e @UStrClr 00ab TIdSocketHandle.RecvFrom 00b4 Indy8BitEncoding 00c5 BytesToString 00d6 @UStrAsg 00e9 TSNMPInfo.DecodeTrap 010e @DynArrayClear 0114 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 87 EC 00 00 00 C7 40 28 A4 00 00 00 8B B7 A4 00 00 00 83 FE FF 74 04 85 F6 75 05 BE FE FF FF FF 8B C7 8B 10 FF 52 58 8B 87 94 00 00 00 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D6 8B 87 E0 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 1C 8B 87 EC 00 00 00 83 C0 10 E8 ?? ?? ?? ?? 8B 87 EC 00 00 00 66 C7 40 14 00 00 EB 5F 8B 87 EC 00 00 00 8D 50 14 52 8D 55 FB 52 8D 48 10 8D 55 FC 8B 87 E0 00 00 00 E8 ?? ?? ?? ?? 8B F0 B0 01 E8 ?? ?? ?? ?? 50 8D 45 F4 50 8B CE 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 87 EC 00 00 00 83 C0 0C E8 ?? ?? ?? ?? 8B B7 EC 00 00 00 83 7E 0C 00 74 09 8B C6 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37217_0 {
	meta:
		name = "TIdSNMP.QuickSendTrap"
		size = 239
		refs = "0016 TIdSNMP.QuickSendTrap 002c @UStrAsg 0042 TSNMPInfo.SetCommunity 00af TSNMPInfo.MIBAdd 00bc TIdSNMP.SendTrap 00d8 @UStrArrayClr 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 EC 00 00 00 83 C0 10 8B D7 E8 ?? ?? ?? ?? 8B 86 EC 00 00 00 0F B7 55 18 66 89 50 14 8B 55 1C E8 ?? ?? ?? ?? 8B 86 EC 00 00 00 83 C0 18 8B D3 E8 ?? ?? ?? ?? 8B 86 EC 00 00 00 8B 55 14 89 50 1C 8B 55 10 89 50 20 8B 45 0C 8B 10 FF 52 14 48 85 C0 7C 44 40 89 45 FC 33 DB 8B D3 8B 45 08 8B 08 FF 51 18 50 8D 4D F8 8B D3 8B 45 08 8B 38 FF 57 0C 8B 45 F8 50 8D 4D F4 8B D3 8B 45 0C 8B 38 FF 57 0C 8B 55 F4 8B 86 EC 00 00 00 59 E8 ?? ?? ?? ?? 43 FF 4D FC 75 C2 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_37218_0 {
	meta:
		name = "TIdSNMP.QuickReceiveTrap"
		size = 284
		refs = "001c TIdSNMP.QuickReceiveTrap 0029 TIdSNMP.ReceiveTrap 0046 @UStrAsg 0103 @UStrArrayClr 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 0F 84 B3 00 00 00 8B C7 8B B3 EC 00 00 00 8B 56 10 E8 ?? ?? ?? ?? 0F B7 46 14 8B 55 1C 66 89 02 8B 45 FC 8B 56 18 E8 ?? ?? ?? ?? 8B 45 20 8B 56 08 E8 ?? ?? ?? ?? 8B 46 1C 8B 55 18 89 02 8B 46 20 8B 55 14 89 02 8B 46 2C 8B 55 10 89 02 8B 45 0C 8B 10 FF 52 44 8B 45 08 8B 10 FF 52 44 8B 83 EC 00 00 00 8B 40 3C 8B 10 FF 52 14 48 85 C0 7C 48 40 89 45 F4 33 F6 8D 4D F0 8B 83 EC 00 00 00 8B 40 3C 8B D6 8B 38 FF 57 0C 8B 55 F0 8B 45 0C 8B 08 FF 51 38 8D 4D EC 8B 83 EC 00 00 00 8B 40 40 8B D6 8B 38 FF 57 0C 8B 55 EC 8B 45 08 8B 08 FF 51 38 46 FF 4D F4 75 BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule function_37219_0 {
	meta:
		name = "TSNMPInfo.GetValue"
		size = 25
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 40 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37220_0 {
	meta:
		name = "TSNMPInfo.GetValueCount"
		size = 9
	strings:
		$1 = { 8B 40 40 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_37221_0 {
	meta:
		name = "TSNMPInfo.GetValueType"
		size = 28
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 40 8B 08 FF 51 18 85 C0 75 05 B8 04 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_37222_0 {
	meta:
		name = "TSNMPInfo.GetValueOID"
		size = 25
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 3C 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37223_0 {
	meta:
		name = "TIdSNMP.SetCommunity"
		size = 76
		refs = "000f @UStrEqual 001e @UStrAsg 002b TSNMPInfo.SetCommunity"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 D8 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 34 8D 83 D8 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B D6 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 E8 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 EC 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37224_0 {
	meta:
		name = "TIdSNMP.SetTrapPort"
		size = 40
	strings:
		$1 = { 53 56 8B F2 8B D8 66 3B B3 DC 00 00 00 74 16 8B 83 E0 00 00 00 85 C0 74 05 8B 10 FF 52 24 66 89 B3 DC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_37227_0 {
	meta:
		name = "TIdSNPP.InitComponent"
		size = 26
		refs = "0006 TIdTCPClientCustom.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 61 1E 8B C3 8B 08 FF 91 A4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_37228_0 {
	meta:
		name = "TIdSNPP.Connect"
		size = 198
		refs = "0015 TIdSNPP.Connect 0023 TIdTCPClientCustom.Connect 003e TIdTCPConnection.GetResponse 006a TIdReply.GetNumericCode 0073 _DV_EIdSNPPConnectionRefused 0078 EIdReplyRFCError.CreateError 007d @RaiseExcept 008c @HandleAnyException 0094 TIdTCPConnection.Disconnect 0099 @RaiseAgain 009e @DoneExcept 00b3 @UStrClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 66 3D DC 00 74 39 8D 55 F8 8B 45 FC 8B 80 9C 00 00 00 8B 40 18 8B 08 FF 51 1C 8B 45 F8 50 8B 45 FC 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_37229_0 {
	meta:
		name = "TIdSNPP.DisconnectNotifyPeer"
		size = 56
		refs = "0006 TIdTCPConnection.DisconnectNotifyPeer 0011 TIdSNPP.DisconnectNotifyPeer 0018 TIdTCPConnection.SendCmd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 66 B9 D3 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 51 00 55 00 49 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_37230_0 {
	meta:
		name = "TIdSNPP.Pager"
		size = 236
		refs = "001a @UStrAddRef 0022 TIdSNPP.Pager 003a @UStrCat3 0042 Output 0047 @Write0UString 004c @WriteLn 0051 @_IOTest 0098 TIdComponent.DoStatus 00ad @UStrClr 00ba @UStrArrayClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 55 F8 83 C9 FF 8B C6 8B 38 FF 97 84 00 00 00 66 3D FA 00 75 04 B3 01 EB 2B 6A 00 8D 4D EC 8B 86 9C 00 00 00 8B 40 18 33 D2 8B 38 FF 57 0C 8B 45 EC 89 45 F0 C6 45 F4 11 8D 4D F0 B2 05 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 41 00 47 00 45 00 52 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_37231_0 {
	meta:
		name = "TIdSNPP.Reset"
		size = 52
		refs = "0001 Output 0006 TIdSNPP.Reset 000b @Write0UString 0010 @WriteLn 0015 @_IOTest"
	strings:
		$1 = { A1 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 45 00 53 00 45 00 54 00 00 00 }
	condition:
		$1
}

rule function_37232_0 {
	meta:
		name = "TIdSNPP.SendMessage"
		size = 316
		refs = "0018 @UStrAddRef 0028 TIdSNPP.SendMessage 003b Pos 0058 RSSNPPNoMultiLine 005d LoadResString 0067 _DV_EIdSNPPNoMultiLineMessages 006c EIdException.Create 0096 TIdSNPP.Pager 00a4 TIdSNPP.SNPPMsg 00ad Output 00b7 @Write0UString 00bc @WriteLn 00c1 @_IOTest 00f2 @UStrArrayClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 11 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 1C 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 5C 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 4C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3E 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 A1 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 66 C7 45 F0 FA 00 8D 55 F0 33 C9 8B C3 8B 18 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 45 00 4E 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_37233_0 {
	meta:
		name = "TIdSNPP.SNPPMsg"
		size = 232
		refs = "001a @UStrAddRef 0022 TIdSNPP.SNPPMsg 003a @UStrCat3 0042 Output 0047 @Write0UString 004c @WriteLn 0051 @_IOTest 0096 TIdComponent.DoStatus 00ab @UStrClr 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 55 F8 83 C9 FF 8B C6 8B 38 FF 97 84 00 00 00 66 3D FA 00 75 04 B3 01 EB 29 6A 00 8D 55 EC 8B 86 9C 00 00 00 8B 40 18 8B 08 FF 51 1C 8B 45 EC 89 45 F0 C6 45 F4 11 8D 4D F0 B2 05 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 45 00 53 00 53 00 20 00 00 00 }
	condition:
		$1
}

rule function_37236_0 {
	meta:
		name = "TIdSNTP.DateTimeToNTP"
		size = 196
		refs = "000d TimeZoneBias 0016 TIdSNTP.DateTimeToNTP 0050 @TRUNC 0061 Frac"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F1 8B DA E8 ?? ?? ?? ?? DC 45 08 D8 25 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DD 5D F8 9B 8B 45 F8 89 45 F0 8B 45 FC 89 45 F4 DB 2D ?? ?? ?? ?? DC 5D F0 9B DF E0 9E 73 0D DB 2D ?? ?? ?? ?? DC 6D F0 DD 5D F0 9B DD 45 F0 E8 ?? ?? ?? ?? 89 03 DD 45 F8 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 DD 5D F0 9B DB 2D ?? ?? ?? ?? DC 5D F0 9B DF E0 9E 73 0D DB 2D ?? ?? ?? ?? DC 6D F0 DD 5D F0 9B DD 45 F0 E8 ?? ?? ?? ?? 89 06 5E 5B 8B E5 5D C2 08 00 00 00 00 00 40 00 C0 A8 47 00 00 00 80 00 00 00 80 1F 40 00 00 00 00 7A 44 }
	condition:
		$1
}

rule function_37237_0 {
	meta:
		name = "TIdSNTP.NTPToDateTime"
		size = 232
		refs = "001c TIdSNTP.NTPToDateTime 0084 @TRUNC 00a0 TimeZoneBias"
	strings:
		$1 = { 83 C4 E0 89 54 24 18 33 C0 89 44 24 1C DF 6C 24 18 DD 5C 24 08 9B DD 44 24 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 15 DB 2D ?? ?? ?? ?? DC 44 24 08 D8 25 ?? ?? ?? ?? DD 5C 24 08 9B 89 4C 24 18 33 C0 89 44 24 1C DF 6C 24 18 DD 5C 24 10 9B DD 44 24 10 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 15 DB 2D ?? ?? ?? ?? DC 44 24 10 D8 25 ?? ?? ?? ?? DD 5C 24 10 9B DB 2D ?? ?? ?? ?? DC 7C 24 10 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 18 89 54 24 1C DF 6C 24 18 D8 35 ?? ?? ?? ?? DD 5C 24 10 9B E8 ?? ?? ?? ?? DD 44 24 08 DC 44 24 10 D8 35 ?? ?? ?? ?? DE E1 D8 05 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 20 C3 00 00 00 00 00 00 00 00 00 00 80 00 00 00 80 1F 40 00 00 00 00 80 3F 00 00 7A 44 00 C0 A8 47 00 00 00 40 }
	condition:
		$1
}

rule function_37238_0 {
	meta:
		name = "TIdSNTP.InitComponent"
		size = 28
		refs = "0006 TIdUDPClient.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 C7 83 A0 00 00 00 7B 00 C6 83 08 01 00 00 01 5B C3 }
	condition:
		$1
}

rule function_37239_0 {
	meta:
		name = "TIdSNTP.Disregard"
		size = 124
		refs = "002b Int 0031 TIdSNTP.Disregard 0049 Frac"
	strings:
		$1 = { 53 56 51 8B F0 0F B6 02 24 C0 0F B6 C0 C1 E8 06 88 04 24 0F B6 5A 01 80 3C 24 03 74 40 DD 86 00 01 00 00 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 1E DD 86 00 01 00 00 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 04 33 C0 EB 02 B0 01 80 BE 08 01 00 00 00 74 0B 80 FB 0F 77 04 84 DB 75 02 B0 01 5A 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_37240_0 {
	meta:
		name = "TIdSNTP.GetAdjustmentTime"
		size = 28
	strings:
		$1 = { 83 C4 F8 8B 90 E0 00 00 00 89 14 24 8B 90 E4 00 00 00 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_37241_0 {
	meta:
		name = "TIdSNTP.GetDateTime"
		size = 800
		refs = "0017 TIdSNTP.GetDateTime 0035 TArray<System.Byte> 003a @DynArraySetLength 004c FillBytes 0057 Now 006b TIdSNTP.DateTimeToNTP 0070 GStack 0087 CopyTIdLongWord 00ad TIdUDPClient.SendBuffer 00c2 @DynArrayLength 010a BytesToLongWord 0254 TIdSNTP.NTPToDateTime 02d4 TIdSNTP.Disregard 0305 @DynArrayClear 030b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 D2 89 55 FC 8B D8 8D 75 C0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 89 45 F4 6A 30 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 FC 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 00 1B E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 4E 2C 8D 56 28 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 56 28 8B 08 FF 51 30 8D 55 FC B9 28 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 56 2C 8B 08 FF 51 30 8D 55 FC B9 2C 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 83 C9 FF 8B C3 8B 38 FF 57 7C 8B 45 FC E8 ?? ?? ?? ?? 83 F8 30 0F 8C 1F 02 00 00 E8 ?? ?? ?? ?? DD 9B D8 00 00 00 9B 8B 45 FC 0F B6 00 88 06 8B 45 FC 0F B6 40 01 88 46 01 8B 45 FC 0F B6 40 02 88 46 02 8B 45 FC 0F B6 40 03 88 46 03 BA 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 89 46 04 BA 08 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 89 46 08 BA 0C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 89 46 0C BA 10 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 89 46 10 BA 14 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 89 46 14 BA 18 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 89 46 18 BA 1C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 89 46 1C BA 20 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 89 46 20 BA 24 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 89 46 24 BA 28 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 89 46 28 BA 2C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 58 89 46 2C 8B 4E 1C 8B 56 18 8B C3 E8 ?? ?? ?? ?? DD 9B E8 00 00 00 9B 8B 4E 24 8B 56 20 8B C3 E8 ?? ?? ?? ?? DD 9B F0 00 00 00 9B 8B 4E 2C 8B 56 28 8B C3 E8 ?? ?? ?? ?? DD 9B 00 01 00 00 9B DD 83 D8 00 00 00 DC A3 E8 00 00 00 DD 83 00 01 00 00 DC A3 F0 00 00 00 DE E9 DD 9B F8 00 00 00 9B DD 83 F0 00 00 00 DC A3 E8 00 00 00 DD 83 00 01 00 00 DC A3 D8 00 00 00 DE C1 D8 35 ?? ?? ?? ?? DD 9B E0 00 00 00 9B 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 12 8B 83 00 01 00 00 89 45 F0 8B 83 04 01 00 00 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA DD 45 F0 5F 5E 5B 8B E5 5D C3 00 00 00 00 40 }
	condition:
		$1
}

rule function_37242_0 {
	meta:
		name = "TIdSNTP.SyncTime"
		size = 64
		refs = "0006 TIdSNTP.GetDateTime 000c TIdSNTP.SyncTime 0035 IndySetLocalTime"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 C0 84 C0 74 1E DD 83 E8 00 00 00 DC 83 E0 00 00 00 DC 83 F8 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_37245_0 {
	meta:
		name = "TIdSocketHandle.AllocateSocket"
		size = 70
		refs = "001b TIdSocketHandle.Reset 002a GStack 003e TIdSocketHandle.SetHandle"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 24 80 7B 14 00 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 0F B6 43 2D 50 0F B6 43 2C 50 A1 ?? ?? ?? ?? 8B 00 8B CF 8B D6 8B 30 FF 56 50 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_41315_0 {
	meta:
		name = "TInSocketHandle.AllocateSocket"
		size = 70
		refs = "001b TInSocketHandle.Reset 002a GStack 003e TInSocketHandle.SetHandle"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 24 80 7B 14 00 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 0F B6 43 2D 50 0F B6 43 2C 50 A1 ?? ?? ?? ?? 8B 00 8B CF 8B D6 8B 30 FF 56 50 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37246_0 {
	meta:
		name = "TIdSocketHandle.Disconnect"
		size = 18
		refs = "0002 GStack"
		altNames = "TInSocketHandle.Disconnect"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 8B 40 10 92 8B 08 FF 51 18 C3 }
	condition:
		$1
}

rule function_37247_0 {
	meta:
		name = "TIdSocketHandle.CloseSocket"
		size = 101
		refs = "001e TIdSocketHandle.CloseSocket 003e TIdSocketHandle.SetHandle 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 80 78 14 00 74 52 8B 45 FC 8B 40 30 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 14 00 8B 45 FC 8B 10 FF 52 20 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 30 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 59 5D C3 }
	condition:
		$1
}

rule function_41317_0 {
	meta:
		name = "TInSocketHandle.CloseSocket"
		size = 101
		refs = "001e TInSocketHandle.CloseSocket 003e TInSocketHandle.SetHandle 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 80 78 14 00 74 52 8B 45 FC 8B 40 30 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 14 00 8B 45 FC 8B 10 FF 52 20 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 30 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 59 5D C3 }
	condition:
		$1
}

rule function_37248_0 {
	meta:
		name = "TIdSocketHandle.Connect"
		size = 133
		refs = "0025 GStack 003e TIdSocketHandle.Connect 0055 TIdSocketHandle.UpdateBindingLocal 005d TIdSocketHandle.UpdateBindingPeer 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 0F B7 40 22 50 8B 45 FC 0F B6 40 2D 50 8B 45 FC 8B 48 1C 8B 45 FC 8B 50 10 A1 ?? ?? ?? ?? 8B 00 8B 18 FF 53 10 8B 45 FC 8B 40 30 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 14 00 74 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 30 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_41318_0 {
	meta:
		name = "TInSocketHandle.Connect"
		size = 133
		refs = "0025 GStack 003e TInSocketHandle.Connect 0055 TInSocketHandle.UpdateBindingLocal 005d TInSocketHandle.UpdateBindingPeer 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 0F B7 40 22 50 8B 45 FC 0F B6 40 2D 50 8B 45 FC 8B 48 1C 8B 45 FC 8B 50 10 A1 ?? ?? ?? ?? 8B 00 8B 18 FF 53 10 8B 45 FC 8B 40 30 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 14 00 74 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 30 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_37249_0 {
	meta:
		name = "TIdSocketHandle.Destroy"
		size = 75
		refs = "0003 @BeforeDestruction 001e TObject.Free 0039 TCollectionItem.Destroy 0044 @ClassDestroy"
		altNames = "TInSocketHandle.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 24 8D 46 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37250_0 {
	meta:
		name = "TIdSocketHandle.Receive"
		size = 24
		refs = "0007 GStack"
		altNames = "TInSocketHandle.Receive"
	strings:
		$1 = { 53 56 8B F0 8B CA A1 ?? ?? ?? ?? 8B 00 8B 56 10 8B 18 FF 53 6C 5E 5B C3 }
	condition:
		$1
}

rule function_37251_0 {
	meta:
		name = "TIdSocketHandle.Send"
		size = 99
		refs = "0012 TIdSocketHandle.Send 0026 ToBytes 004a TArray<System.Byte> 004f @DynArrayClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A FF 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 33 C9 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41321_0 {
	meta:
		name = "TInSocketHandle.Send"
		size = 99
		refs = "0012 TInSocketHandle.Send 0026 ToBytes 004a TArray<System.Byte> 004f @DynArrayClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A FF 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 33 C9 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37252_0 {
	meta:
		name = "TIdSocketHandle.Send"
		size = 39
		refs = "0010 GStack"
		altNames = "TInSocketHandle.Send"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 51 8B 45 08 50 A1 ?? ?? ?? ?? 8B 00 8B 56 10 8B CF 8B 18 FF 53 70 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37253_0 {
	meta:
		name = "TIdSocketHandle.SetSockOpt"
		size = 39
		refs = "0010 GStack"
		altNames = "TInSocketHandle.SetSockOpt"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 51 8B 45 08 50 A1 ?? ?? ?? ?? 8B 00 8B 56 10 8B CF 8B 18 FF 53 68 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37254_0 {
	meta:
		name = "TIdSocketHandle.SendTo"
		size = 105
		refs = "0012 TIdSocketHandle.SendTo 0026 ToBytes 0050 TArray<System.Byte> 0055 @DynArrayClear 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 55 08 8B 45 10 E8 ?? ?? ?? ?? 8B 45 FC 50 0F B6 45 0C 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_41324_0 {
	meta:
		name = "TInSocketHandle.SendTo"
		size = 105
		refs = "0012 TInSocketHandle.SendTo 0026 ToBytes 0050 TArray<System.Byte> 0055 @DynArrayClear 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 55 08 8B 45 10 E8 ?? ?? ?? ?? 8B 45 FC 50 0F B6 45 0C 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_37255_0 {
	meta:
		name = "TIdSocketHandle.SendTo"
		size = 27
		refs = "0012 TIdSocketHandle.SendTo"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 53 6A 00 6A FF 0F B6 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_41325_0 {
	meta:
		name = "TInSocketHandle.SendTo"
		size = 27
		refs = "0012 TInSocketHandle.SendTo"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 53 6A 00 6A FF 0F B6 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_37256_0 {
	meta:
		name = "TIdSocketHandle.SendTo"
		size = 50
		refs = "001a GStack"
		altNames = "TInSocketHandle.SendTo"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 45 10 50 8B 45 0C 50 57 51 0F B6 45 08 50 A1 ?? ?? ?? ?? 8B 00 8B 56 10 8B 4D 14 8B 18 FF 53 78 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_37257_0 {
	meta:
		name = "TIdSocketHandle.RecvFrom"
		size = 43
		refs = "0014 GStack"
		altNames = "TInSocketHandle.RecvFrom"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 51 8B 45 0C 50 8B 45 08 50 A1 ?? ?? ?? ?? 8B 00 8B CF 8B 56 10 8B 18 FF 53 74 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_37258_0 {
	meta:
		name = "TIdSocketHandle.Bind"
		size = 303
		refs = "0019 TIdSocketHandle.Bind 0070 RSInvalidPortRange 0075 LoadResString 007f _Dn_EIdInvalidPortRange 0084 Exception.CreateFmt 0089 @RaiseExcept 0092 TIdSocketHandle.BindPortReserved 00ba RSCannotBindRange 00c9 _Dn_EIdCanNotBindPortInRange 00de TIdSocketHandle.TryBind 00ea RSCouldNotBindSocket 00f9 _Dn_EIdCouldNotBindSocket 00fe EIdException.Create 011d @UStrArrayClr 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 D2 89 55 E4 89 55 E8 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 73 20 66 85 F6 0F 85 A9 00 00 00 66 83 7B 0C 00 0F 84 9E 00 00 00 66 83 7B 0E 00 0F 84 93 00 00 00 0F B7 43 0C 66 3B 43 0E 76 3F 0F B7 43 0C 89 45 F0 C6 45 F4 00 0F B7 43 0E 89 45 F8 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 78 8B C3 E8 ?? ?? ?? ?? 84 C0 75 6D 0F B7 43 0C 89 45 F0 C6 45 F4 00 0F B7 43 0E 89 45 F8 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2E 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41328_0 {
	meta:
		name = "TInSocketHandle.Bind"
		size = 303
		refs = "0019 TInSocketHandle.Bind 0070 RSInvalidPortRange 0075 LoadResString 007f _Dn_EIdInvalidPortRange 0084 Exception.CreateFmt 0089 @RaiseExcept 0092 TInSocketHandle.BindPortReserved 00ba RSCannotBindRange 00c9 _Dn_EIdCanNotBindPortInRange 00de TInSocketHandle.TryBind 00ea RSCouldNotBindSocket 00f9 _Dn_EIdCouldNotBindSocket 00fe EInException.Create 011d @UStrArrayClr 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 D2 89 55 E4 89 55 E8 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 73 20 66 85 F6 0F 85 A9 00 00 00 66 83 7B 0C 00 0F 84 9E 00 00 00 66 83 7B 0E 00 0F 84 93 00 00 00 0F B7 43 0C 66 3B 43 0E 76 3F 0F B7 43 0C 89 45 F0 C6 45 F4 00 0F B7 43 0E 89 45 F8 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 78 8B C3 E8 ?? ?? ?? ?? 84 C0 75 6D 0F B7 43 0C 89 45 F0 C6 45 F4 00 0F B7 43 0E 89 45 F8 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2E 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37259_0 {
	meta:
		name = "TIdSocketHandle.Broadcast"
		size = 100
		refs = "0012 TIdSocketHandle.Broadcast 0029 ToBytes 004b TArray<System.Byte> 0050 @DynArrayClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8D 4D FC 8B 55 08 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_41329_0 {
	meta:
		name = "TInSocketHandle.Broadcast"
		size = 100
		refs = "0012 TInSocketHandle.Broadcast 0029 ToBytes 004b TArray<System.Byte> 0050 @DynArrayClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8D 4D FC 8B 55 08 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_37260_0 {
	meta:
		name = "TIdSocketHandle.Broadcast"
		size = 216
		refs = "0014 TIdSocketHandle.Broadcast 0025 Trim 0038 @UStrLAsg 0047 GStack 0051 TIdStack.ResolveHost 0065 TIdSocketHandle.SetBroadcastFlag 0074 TIdSocketHandle.SendTo 007b TIdSocketHandle.BroadcastEnabledChanged 0095 @UStrArrayClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 08 E8 ?? ?? ?? ?? 83 7D FC 00 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 8D 45 F8 50 0F B6 4B 2D A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 56 6A 00 8B CF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 32 00 35 00 35 00 2E 00 32 00 35 00 35 00 2E 00 32 00 35 00 35 00 2E 00 32 00 35 00 35 00 00 00 }
	condition:
		$1
}

rule function_41330_0 {
	meta:
		name = "TInSocketHandle.Broadcast"
		size = 216
		refs = "0014 TInSocketHandle.Broadcast 0025 Trim 0038 @UStrLAsg 0047 GStack 0051 TInStack.ResolveHost 0065 TInSocketHandle.SetBroadcastFlag 0074 TInSocketHandle.SendTo 007b TInSocketHandle.BroadcastEnabledChanged 0095 @UStrArrayClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 08 E8 ?? ?? ?? ?? 83 7D FC 00 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 8D 45 F8 50 0F B6 4B 2D A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 56 6A 00 8B CF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 32 00 35 00 35 00 2E 00 32 00 35 00 35 00 2E 00 32 00 35 00 35 00 2E 00 32 00 35 00 35 00 00 00 }
	condition:
		$1
}

rule function_37261_0 {
	meta:
		name = "TIdSocketHandle.BroadcastEnabledChanged"
		size = 10
		refs = "0005 TIdSocketHandle.SetBroadcastFlag"
	strings:
		$1 = { 0F B6 50 34 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41331_0 {
	meta:
		name = "TInSocketHandle.BroadcastEnabledChanged"
		size = 10
		refs = "0005 TInSocketHandle.SetBroadcastFlag"
	strings:
		$1 = { 0F B6 50 34 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37262_0 {
	meta:
		name = "TIdSocketHandle.SetPeer"
		size = 40
		refs = "0012 @UStrAsg"
		altNames = "TInSocketHandle.SetPeer"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8D 43 1C 8B D6 E8 ?? ?? ?? ?? 66 89 7B 22 0F B6 45 08 88 43 2D 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37263_0 {
	meta:
		name = "TIdSocketHandle.SetBinding"
		size = 40
		refs = "0012 @UStrAsg"
		altNames = "TInSocketHandle.SetBinding"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8D 43 18 8B D6 E8 ?? ?? ?? ?? 66 89 7B 20 0F B6 45 08 88 43 2D 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37264_0 {
	meta:
		name = "TIdSocketHandle.SetBroadcastEnabled"
		size = 20
		refs = "000f TIdSocketHandle.BroadcastEnabledChanged"
	strings:
		$1 = { 3A 50 34 74 0E 88 50 34 80 78 14 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41334_0 {
	meta:
		name = "TInSocketHandle.SetBroadcastEnabled"
		size = 20
		refs = "000f TInSocketHandle.BroadcastEnabledChanged"
	strings:
		$1 = { 3A 50 34 74 0E 88 50 34 80 78 14 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37265_0 {
	meta:
		name = "TIdSocketHandle.SetBroadcastFlag"
		size = 46
		refs = "0012 iif 0018 GStack"
		altNames = "TInSocketHandle.SetBroadcastFlag"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 20 33 C9 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 B9 FF FF 00 00 8B 56 10 8B 18 FF 53 68 5E 5B C3 }
	condition:
		$1
}

rule function_37266_0 {
	meta:
		name = "TIdSocketHandle.SetOverLapped"
		size = 4
		altNames = "TInSocketHandle.SetOverLapped TSOAPAttachment.SetOwnership"
	strings:
		$1 = { 88 50 2C C3 }
	condition:
		$1
}

rule function_37267_0 {
	meta:
		name = "TIdSocketHandle.Listen"
		size = 24
		refs = "0005 GStack"
		altNames = "TInSocketHandle.Listen"
	strings:
		$1 = { 53 56 8B F0 A1 ?? ?? ?? ?? 8B 00 8B CA 8B 56 10 8B 18 FF 53 3C 5E 5B C3 }
	condition:
		$1
}

rule function_37268_0 {
	meta:
		name = "TIdSocketHandle.Accept"
		size = 131
		refs = "0015 TIdSocketHandle.Accept 0024 TIdSocketHandle.Reset 0030 GStack 0039 TIdStack.Accept 004c TIdSocketHandle.SetHandle 0053 TIdSocketHandle.UpdateBindingLocal 005a TIdSocketHandle.UpdateBindingPeer 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C6 E8 ?? ?? ?? ?? 8D 45 FA 50 8D 4D FC A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 83 F8 FF 0F 95 C3 84 DB 74 17 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_41338_0 {
	meta:
		name = "TInSocketHandle.Accept"
		size = 131
		refs = "0015 TInSocketHandle.Accept 0024 TInSocketHandle.Reset 0030 GStack 0039 TInStack.Accept 004c TInSocketHandle.SetHandle 0053 TInSocketHandle.UpdateBindingLocal 005a TInSocketHandle.UpdateBindingPeer 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C6 E8 ?? ?? ?? ?? 8D 45 FA 50 8D 4D FC A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 83 F8 FF 0F 95 C3 84 DB 74 17 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_37269_0 {
	meta:
		name = "TIdSocketHandle.Create"
		size = 128
		refs = "000b @ClassCreate 001c TCollectionItem.Create 0027 _Dn_TIdCriticalSection 002c TCriticalSection.Create 0034 _Dn_TIdSocketList 0039 TIdSocketList.CreateSocketList 0045 TIdSocketHandle.Reset 006c @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 35 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 30 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 24 B2 01 8B C7 E8 ?? ?? ?? ?? 66 C7 47 0C 00 00 66 C7 47 0E 00 00 C6 47 2D 00 85 F6 74 08 0F B7 46 1C 66 89 47 20 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_41339_0 {
	meta:
		name = "TInSocketHandle.Create"
		size = 128
		refs = "000b @ClassCreate 001c TCollectionItem.Create 0027 _Dn_TIdCriticalSection 002c TCriticalSection.Create 0034 _Dn_TIdSocketList 0039 TIdSocketList.CreateSocketList 0045 TInSocketHandle.Reset 006c @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 35 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 30 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 24 B2 01 8B C7 E8 ?? ?? ?? ?? 66 C7 47 0C 00 00 66 C7 47 0E 00 00 C6 47 2D 00 85 F6 74 08 0F B7 46 1C 66 89 47 20 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37270_0 {
	meta:
		name = "CheckIsReadable"
		size = 110
		refs = "000c CheckIsReadable 0026 RSConnectionClosedGracefully 002b LoadResString 0033 _Dn_EIdConnClosedGracefully 0038 EIdException.Toss 0045 TIdSocketHandle.Select 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 80 78 14 00 75 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_41340_0 {
	meta:
		name = "CheckIsReadable"
		size = 110
		refs = "000c CheckIsReadable 0026 RSConnectionClosedGracefully 002b LoadResString 0033 _Dn_EIdConnClosedGracefully 0038 EInException.Toss 0045 TInSocketHandle.Select 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 80 78 14 00 75 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_37271_0 {
	meta:
		name = "TIdSocketHandle.Readable"
		size = 124
		refs = "0017 _Dn_TIdAntiFreezeBase 001c TIdAntiFreezeBase.ShouldUse 002b GAntiFreeze 0035 CheckIsReadable"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 89 45 FC 83 FE FF 75 05 BE FE FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 45 83 FE FE 75 32 55 A1 ?? ?? ?? ?? 8B 00 8B 40 3C E8 ?? ?? ?? ?? 59 8B D8 84 DB 74 E9 EB 32 55 8B C7 E8 ?? ?? ?? ?? 59 8B D8 84 DB 75 23 A1 ?? ?? ?? ?? 8B 00 2B 70 3C A1 ?? ?? ?? ?? 8B 00 8B 78 3C 3B F7 7F D9 55 8B C6 E8 ?? ?? ?? ?? 59 8B D8 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41341_0 {
	meta:
		name = "TInSocketHandle.Readable"
		size = 124
		refs = "0017 _Dn_TInAntiFreezeBase 001c TInAntiFreezeBase.ShouldUse 002b GAntiFreeze 0035 CheckIsReadable"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 89 45 FC 83 FE FF 75 05 BE FE FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 45 83 FE FE 75 32 55 A1 ?? ?? ?? ?? 8B 00 8B 40 3C E8 ?? ?? ?? ?? 59 8B D8 84 DB 74 E9 EB 32 55 8B C7 E8 ?? ?? ?? ?? 59 8B D8 84 DB 75 23 A1 ?? ?? ?? ?? 8B 00 2B 70 3C A1 ?? ?? ?? ?? 8B 00 8B 78 3C 3B F7 7F D9 55 8B C6 E8 ?? ?? ?? ?? 59 8B D8 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37272_0 {
	meta:
		name = "TIdSocketHandle.Assign"
		size = 83
		refs = "000a _DV_TIdSocketHandle 000f @IsClass 001e @UStrAsg 004c TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8D 43 18 8B 56 18 E8 ?? ?? ?? ?? 0F B7 46 20 66 89 43 20 8D 43 1C 8B 56 1C E8 ?? ?? ?? ?? 0F B7 46 22 66 89 43 22 0F B6 46 2D 88 43 2D 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_41342_0 {
	meta:
		name = "TInSocketHandle.Assign"
		size = 83
		refs = "000a _DV_TInSocketHandle 000f @IsClass 001e @UStrAsg 004c TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8D 43 18 8B 56 18 E8 ?? ?? ?? ?? 0F B7 46 20 66 89 43 20 8D 43 1C 8B 56 1C E8 ?? ?? ?? ?? 0F B7 46 22 66 89 43 22 0F B6 46 2D 88 43 2D 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37273_0 {
	meta:
		name = "TIdSocketHandle.UpdateBindingLocal"
		size = 31
		refs = "000e GStack"
		altNames = "TInSocketHandle.UpdateBindingLocal"
	strings:
		$1 = { 53 8D 50 20 52 8D 50 2D 52 8D 48 18 8B 15 ?? ?? ?? ?? 8B 12 8B 40 10 92 8B 18 FF 53 24 5B C3 }
	condition:
		$1
}

rule function_37274_0 {
	meta:
		name = "TIdSocketHandle.UpdateBindingPeer"
		size = 31
		refs = "000e GStack"
		altNames = "TInSocketHandle.UpdateBindingPeer"
	strings:
		$1 = { 53 8D 50 22 52 8D 50 2D 52 8D 48 1C 8B 15 ?? ?? ?? ?? 8B 12 8B 40 10 92 8B 18 FF 53 20 5B C3 }
	condition:
		$1
}

rule function_37275_0 {
	meta:
		name = "TIdSocketHandle.Reset"
		size = 55
		refs = "000c TIdSocketHandle.SetHandle 0018 @UStrClr"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 CA FF 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0E 8D 46 18 E8 ?? ?? ?? ?? 66 C7 46 20 00 00 8D 46 1C E8 ?? ?? ?? ?? 66 C7 46 22 00 00 C6 46 2D 00 5E 5B C3 }
	condition:
		$1
}

rule function_41345_0 {
	meta:
		name = "TInSocketHandle.Reset"
		size = 55
		refs = "000c TInSocketHandle.SetHandle 0018 @UStrClr"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 CA FF 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0E 8D 46 18 E8 ?? ?? ?? ?? 66 C7 46 20 00 00 8D 46 1C E8 ?? ?? ?? ?? 66 C7 46 22 00 00 C6 46 2D 00 5E 5B C3 }
	condition:
		$1
}

rule function_37276_0 {
	meta:
		name = "TIdSocketHandle.TryBind"
		size = 94
		refs = "0011 TIdSocketHandle.TryBind 002c GStack 003c TIdSocketHandle.UpdateBindingLocal 004b @HandleAnyException 0052 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 55 FE 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 45 FE 50 0F B6 46 2D 50 8B 4E 18 8B 56 10 A1 ?? ?? ?? ?? 8B 00 8B 18 FF 53 0C B3 01 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41346_0 {
	meta:
		name = "TInSocketHandle.TryBind"
		size = 94
		refs = "0011 TInSocketHandle.TryBind 002c GStack 003c TInSocketHandle.UpdateBindingLocal 004b @HandleAnyException 0052 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 55 FE 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 45 FE 50 0F B6 46 2D 50 8B 4E 18 8B 56 10 A1 ?? ?? ?? ?? 8B 00 8B 18 FF 53 0C B3 01 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37277_0 {
	meta:
		name = "TIdSocketHandle.BindPortReserved"
		size = 52
		refs = "001b TIdSocketHandle.TryBind"
	strings:
		$1 = { 53 56 57 55 8B F8 33 DB 0F B7 77 0E 0F B7 6F 0C 66 2B EE 77 18 4D 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 06 4E 66 FF C5 75 E9 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_41347_0 {
	meta:
		name = "TInSocketHandle.BindPortReserved"
		size = 52
		refs = "001b TInSocketHandle.TryBind"
	strings:
		$1 = { 53 56 57 55 8B F8 33 DB 0F B7 77 0E 0F B7 6F 0C 66 2B EE 77 18 4D 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 06 4E 66 FF C5 75 E9 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37278_0 {
	meta:
		name = "TIdSocketHandle.GetSockOpt"
		size = 39
		refs = "0010 GStack"
		altNames = "TInSocketHandle.GetSockOpt"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 51 8B 45 08 50 A1 ?? ?? ?? ?? 8B 00 8B 56 10 8B CF 8B 18 FF 53 64 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37279_0 {
	meta:
		name = "TIdSocketHandle.Select"
		size = 32
		refs = "0013 _Dn_TIdAntiFreezeBase 0018 TIdAntiFreezeBase.DoProcess"
	strings:
		$1 = { 53 8B 40 24 8B 08 FF 51 24 8B D8 84 DB 0F 94 C2 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_41349_0 {
	meta:
		name = "TInSocketHandle.Select"
		size = 32
		refs = "0013 _Dn_TInAntiFreezeBase 0018 TInAntiFreezeBase.DoProcess"
	strings:
		$1 = { 53 8B 40 24 8B 08 FF 51 24 8B D8 84 DB 0F 94 C2 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_37280_0 {
	meta:
		name = "TIdSocketHandle.SetHandle"
		size = 120
		refs = "0047 TIdSocketHandle.GetSockOpt"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 43 10 83 F8 FF 74 0A 8B D0 8B 43 24 8B 08 FF 51 14 8B C6 89 43 10 83 F8 FF 0F 95 C2 88 53 14 84 D2 74 44 8B 53 10 8B 43 24 8B 08 FF 51 08 8D 43 28 50 B9 08 10 00 00 BA FF FF 00 00 8B C3 E8 ?? ?? ?? ?? 83 7B 28 01 75 23 54 B9 01 00 00 00 BA 06 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 3C 24 00 0F 94 C0 88 43 35 EB 05 33 C0 89 43 28 5A 5E 5B C3 }
	condition:
		$1
}

rule function_41350_0 {
	meta:
		name = "TInSocketHandle.SetHandle"
		size = 120
		refs = "0047 TInSocketHandle.GetSockOpt"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 43 10 83 F8 FF 74 0A 8B D0 8B 43 24 8B 08 FF 51 14 8B C6 89 43 10 83 F8 FF 0F 95 C2 88 53 14 84 D2 74 44 8B 53 10 8B 43 24 8B 08 FF 51 08 8D 43 28 50 B9 08 10 00 00 BA FF FF 00 00 8B C3 E8 ?? ?? ?? ?? 83 7B 28 01 75 23 54 B9 01 00 00 00 BA 06 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 3C 24 00 0F 94 C0 88 43 35 EB 05 33 C0 89 43 28 5A 5E 5B C3 }
	condition:
		$1
}

rule function_37281_0 {
	meta:
		name = "TIdSocketHandle.SetIPVersion"
		size = 98
		refs = "0009 TIdSocketHandle.SetIPVersion 0022 RSCannotSetIPVersionWhenConnected 0027 LoadResString 0031 _Dn_EIdCannotSetIPVersionWhenConnected 0036 EIdException.Create 003b @RaiseExcept 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 3A 50 2D 74 2A 80 78 14 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 50 2D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_41351_0 {
	meta:
		name = "TInSocketHandle.SetIPVersion"
		size = 98
		refs = "0009 TInSocketHandle.SetIPVersion 0022 RSCannotSetIPVersionWhenConnected 0027 LoadResString 0031 _Dn_EIdCannotSetIPVersionWhenConnected 0036 EInException.Create 003b @RaiseExcept 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 3A 50 2D 74 2A 80 78 14 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 50 2D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_37282_0 {
	meta:
		name = "TIdSocketHandle.AddMulticastMembership"
		size = 40
		refs = "0011 GStack"
		altNames = "TInSocketHandle.AddMulticastMembership"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 18 50 0F B6 46 2D 50 A1 ?? ?? ?? ?? 8B 00 8B CF 8B 56 10 8B 18 FF 93 94 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37283_0 {
	meta:
		name = "TIdSocketHandle.DropMulticastMembership"
		size = 40
		refs = "0011 GStack"
		altNames = "TInSocketHandle.DropMulticastMembership"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 18 50 0F B6 46 2D 50 A1 ?? ?? ?? ?? 8B 00 8B CF 8B 56 10 8B 18 FF 93 90 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37284_0 {
	meta:
		name = "TIdSocketHandle.SetKeepAliveValues"
		size = 42
		refs = "0010 GStack"
		altNames = "TInSocketHandle.SetKeepAliveValues"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F0 57 8B 45 08 50 A1 ?? ?? ?? ?? 8B 00 8B CA 8B 56 10 8B 18 FF 93 84 00 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37285_0 {
	meta:
		name = "TIdSocketHandle.SetLoopBack"
		size = 32
		refs = "000a GStack"
		altNames = "TInSocketHandle.SetLoopBack"
	strings:
		$1 = { 53 56 8B F0 0F B6 46 2D 50 A1 ?? ?? ?? ?? 8B 00 8B CA 8B 56 10 8B 18 FF 93 8C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_37286_0 {
	meta:
		name = "TIdSocketHandle.SetMulticastTTL"
		size = 32
		refs = "000a GStack"
		altNames = "TInSocketHandle.SetMulticastTTL"
	strings:
		$1 = { 53 56 8B F0 0F B6 46 2D 50 A1 ?? ?? ?? ?? 8B 00 8B CA 8B 56 10 8B 18 FF 93 88 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_37287_0 {
	meta:
		name = "TIdSocketHandle.SetNagleOpt"
		size = 35
		refs = "001e TIdSocketHandle.SetSockOpt"
	strings:
		$1 = { 80 78 14 00 74 1C 83 78 28 01 75 16 80 F2 01 83 E2 7F 52 B9 01 00 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41357_0 {
	meta:
		name = "TInSocketHandle.SetNagleOpt"
		size = 35
		refs = "001e TInSocketHandle.SetSockOpt"
	strings:
		$1 = { 80 78 14 00 74 1C 83 78 28 01 75 16 80 F2 01 83 E2 7F 52 B9 01 00 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37288_0 {
	meta:
		name = "TIdSocketHandle.SetTTL"
		size = 37
		refs = "000f TIdSocketHandle.SetSockOpt"
	strings:
		$1 = { 80 78 2D 00 75 0E 52 B9 04 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 52 B9 04 00 00 00 BA 29 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41358_0 {
	meta:
		name = "TInSocketHandle.SetTTL"
		size = 37
		refs = "000f TInSocketHandle.SetSockOpt"
	strings:
		$1 = { 80 78 2D 00 75 0E 52 B9 04 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 52 B9 04 00 00 00 BA 29 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37289_0 {
	meta:
		name = "TIdSocketHandle.SetUseNagle"
		size = 18
		refs = "000d TIdSocketHandle.SetNagleOpt"
	strings:
		$1 = { 3A 50 35 74 0C 8B CA 88 48 35 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41359_0 {
	meta:
		name = "TInSocketHandle.SetUseNagle"
		size = 18
		refs = "000d TInSocketHandle.SetNagleOpt"
	strings:
		$1 = { 3A 50 35 74 0C 8B CA 88 48 35 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37290_0 {
	meta:
		name = "TIdSocketHandles.Add"
		size = 31
		refs = "0006 TCollection.Add 000c _DV_TIdSocketHandle 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 53 1C 66 89 50 20 5B C3 }
	condition:
		$1
}

rule function_41360_0 {
	meta:
		name = "TInSocketHandles.Add"
		size = 31
		refs = "0006 TCollection.Add 000c _DV_TInSocketHandle 0011 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 53 1C 66 89 50 20 5B C3 }
	condition:
		$1
}

rule function_37291_0 {
	meta:
		name = "TIdSocketHandles.BindingByHandle"
		size = 62
		refs = "001b TIdSocketHandles.GetItem"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 33 ED 8B 46 08 8B 58 08 4B 83 FB 00 7C 21 8B D3 8B C6 E8 ?? ?? ?? ?? 3B 78 10 75 0D 8B D3 8B C6 E8 ?? ?? ?? ?? 8B E8 EB 06 4B 83 FB FF 75 DF 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_41361_0 {
	meta:
		name = "TInSocketHandles.BindingByHandle"
		size = 62
		refs = "001b TInSocketHandles.GetItem"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 33 ED 8B 46 08 8B 58 08 4B 83 FB 00 7C 21 8B D3 8B C6 E8 ?? ?? ?? ?? 3B 78 10 75 0D 8B D3 8B C6 E8 ?? ?? ?? ?? 8B E8 EB 06 4B 83 FB FF 75 DF 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37297_0 {
	meta:
		name = "TIdSocksInfo.Assign"
		size = 63
		refs = "000a _DV_TIdSocksInfo 000f @IsClass 0038 TIdCustomTransparentProxy.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8B C6 0F B6 90 A8 00 00 00 88 93 A8 00 00 00 0F B6 80 A9 00 00 00 88 83 A9 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_41367_0 {
	meta:
		name = "TInSocksInfo.Assign"
		size = 63
		refs = "000a _DV_TInSocksInfo 000f @IsClass 0038 TInCustomTransparentProxy.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8B C6 0F B6 90 A8 00 00 00 88 93 A8 00 00 00 0F B6 80 A9 00 00 00 88 83 A9 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37298_0 {
	meta:
		name = "TIdSocksInfo.MakeSocks4Request"
		size = 848
		refs = "0022 TIdSocksInfo.MakeSocks4Request 0030 TIdIOHandler.WriteBufferingActive 0043 TIdIOHandler.WriteBufferOpen 005d ToBytes 0092 GStack 00d2 @UStrLAsg 00e8 TIdStack.ResolveHost 00ff Fetch 0107 IndyStrToInt 026d @HandleAnyException 0283 @RaiseAgain 0288 @DoneExcept 029e TArray<System.Byte> 02a8 @FinalizeArray 02b0 @UStrClr 02be @DynArrayClear 0313 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 34 01 88 45 F7 80 7D F7 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 F0 B0 04 E8 ?? ?? ?? ?? 8B 55 F0 83 C9 FF 8B 45 F8 8B 38 FF 97 94 00 00 00 6A 00 8D 55 EC 0F B6 45 08 E8 ?? ?? ?? ?? 8B 55 EC 83 C9 FF 8B 45 F8 8B 38 FF 97 94 00 00 00 A1 ?? ?? ?? ?? 8B 00 0F B7 55 0C 8B 08 FF 51 2C 8B F8 6A 00 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8B 55 E8 83 C9 FF 8B 45 F8 8B 38 FF 97 94 00 00 00 80 BB A9 00 00 00 02 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 14 8D 45 FC 50 A1 ?? ?? ?? ?? 8B 00 33 C9 8B D6 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 83 C9 FF 8B 45 F8 8B 38 FF 97 94 00 00 00 6A 00 6A 01 8D 45 D8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC 83 C9 FF 8B 45 F8 8B 38 FF 97 94 00 00 00 6A 00 6A 01 8D 45 D0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 8B 55 D4 83 C9 FF 8B 45 F8 8B 38 FF 97 94 00 00 00 6A 00 6A 01 8D 45 C8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8B 55 CC 83 C9 FF 8B 45 F8 8B 38 FF 97 94 00 00 00 6A 00 8D 4D C4 8B 83 9C 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 55 C4 83 C9 FF 8B 45 F8 8B 38 FF 97 94 00 00 00 6A 00 8D 55 C0 33 C0 E8 ?? ?? ?? ?? 8B 55 C0 83 C9 FF 8B 45 F8 8B 38 FF 97 94 00 00 00 80 BB A9 00 00 00 02 75 3C 6A 00 8D 4D BC 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 55 BC 83 C9 FF 8B 45 F8 8B 18 FF 93 94 00 00 00 6A 00 8D 55 B8 33 C0 E8 ?? ?? ?? ?? 8B 55 B8 83 C9 FF 8B 45 F8 8B 18 FF 93 94 00 00 00 80 7D F7 00 74 0B 8B 45 F8 8B 10 FF 92 D8 00 00 00 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 80 7D F7 00 74 0B 8B 45 F8 8B 10 FF 92 D0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 80 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 30 00 2E 00 30 00 2E 00 30 00 2E 00 31 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_41368_0 {
	meta:
		name = "TInSocksInfo.MakeSocks4Request"
		size = 848
		refs = "0022 TInSocksInfo.MakeSocks4Request 0030 TInIOHandler.WriteBufferingActive 0043 TInIOHandler.WriteBufferOpen 005d ToBytes 0092 GStack 00d2 @UStrLAsg 00e8 TInStack.ResolveHost 00ff Fetch 0107 IndyStrToInt 026d @HandleAnyException 0283 @RaiseAgain 0288 @DoneExcept 029e TArray<System.Byte> 02a8 @FinalizeArray 02b0 @UStrClr 02be @DynArrayClear 0313 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 34 01 88 45 F7 80 7D F7 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 F0 B0 04 E8 ?? ?? ?? ?? 8B 55 F0 83 C9 FF 8B 45 F8 8B 38 FF 97 94 00 00 00 6A 00 8D 55 EC 0F B6 45 08 E8 ?? ?? ?? ?? 8B 55 EC 83 C9 FF 8B 45 F8 8B 38 FF 97 94 00 00 00 A1 ?? ?? ?? ?? 8B 00 0F B7 55 0C 8B 08 FF 51 2C 8B F8 6A 00 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8B 55 E8 83 C9 FF 8B 45 F8 8B 38 FF 97 94 00 00 00 80 BB A9 00 00 00 02 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 14 8D 45 FC 50 A1 ?? ?? ?? ?? 8B 00 33 C9 8B D6 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 83 C9 FF 8B 45 F8 8B 38 FF 97 94 00 00 00 6A 00 6A 01 8D 45 D8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC 83 C9 FF 8B 45 F8 8B 38 FF 97 94 00 00 00 6A 00 6A 01 8D 45 D0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 8B 55 D4 83 C9 FF 8B 45 F8 8B 38 FF 97 94 00 00 00 6A 00 6A 01 8D 45 C8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8B 55 CC 83 C9 FF 8B 45 F8 8B 38 FF 97 94 00 00 00 6A 00 8D 4D C4 8B 83 9C 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 55 C4 83 C9 FF 8B 45 F8 8B 38 FF 97 94 00 00 00 6A 00 8D 55 C0 33 C0 E8 ?? ?? ?? ?? 8B 55 C0 83 C9 FF 8B 45 F8 8B 38 FF 97 94 00 00 00 80 BB A9 00 00 00 02 75 3C 6A 00 8D 4D BC 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 55 BC 83 C9 FF 8B 45 F8 8B 18 FF 93 94 00 00 00 6A 00 8D 55 B8 33 C0 E8 ?? ?? ?? ?? 8B 55 B8 83 C9 FF 8B 45 F8 8B 18 FF 93 94 00 00 00 80 7D F7 00 74 0B 8B 45 F8 8B 10 FF 92 D8 00 00 00 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 80 7D F7 00 74 0B 8B 45 F8 8B 10 FF 92 D0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 80 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 30 00 2E 00 30 00 2E 00 30 00 2E 00 31 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_37299_0 {
	meta:
		name = "TIdSocksInfo.MakeSocks4Connection"
		size = 288
		refs = "0015 TIdSocksInfo.MakeSocks4Connection 0029 TIdSocksInfo.MakeSocks4Request 0062 RSSocksRequestFailed 0067 LoadResString 0071 _Dn_EIdSocksRequestFailed 0076 EIdException.Create 007b @RaiseExcept 0085 RSSocksRequestServerFailed 0094 _Dn_EIdSocksRequestServerFailed 00a8 RSSocksRequestIdentFailed 00b7 _Dn_EIdSocksRequestIdentFailed 00cb RSSocksUnknownError 00da _Dn_EIdSocksUnknownError 00fe @UStrArrayClr 0107 TArray<System.Byte> 010c @DynArrayClear 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B7 55 08 52 6A 01 8B D6 E8 ?? ?? ?? ?? 6A 00 8D 55 FC B9 08 00 00 00 8B C6 8B 18 FF 93 C0 00 00 00 8B 45 FC 0F B6 40 01 2C 5A 0F 84 98 00 00 00 FE C8 74 0A FE C8 74 29 FE C8 74 48 EB 69 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_41369_0 {
	meta:
		name = "TInSocksInfo.MakeSocks4Connection"
		size = 288
		refs = "0015 TInSocksInfo.MakeSocks4Connection 0029 TInSocksInfo.MakeSocks4Request 0062 RSSocksRequestFailed 0067 LoadResString 0071 _Dn_EInSocksRequestFailed 0076 EInException.Create 007b @RaiseExcept 0085 RSSocksRequestServerFailed 0094 _Dn_EInSocksRequestServerFailed 00a8 RSSocksRequestIdentFailed 00b7 _Dn_EInSocksRequestIdentFailed 00cb RSSocksUnknownError 00da _Dn_EInSocksUnknownError 00fe @UStrArrayClr 0107 TArray<System.Byte> 010c @DynArrayClear 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B7 55 08 52 6A 01 8B D6 E8 ?? ?? ?? ?? 6A 00 8D 55 FC B9 08 00 00 00 8B C6 8B 18 FF 93 C0 00 00 00 8B 45 FC 0F B6 40 01 2C 5A 0F 84 98 00 00 00 FE C8 74 0A FE C8 74 29 FE C8 74 48 EB 69 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_37300_0 {
	meta:
		name = "TIdSocksInfo.MakeSocks5Request"
		size = 630
		refs = "001b TIdSocksInfo.MakeSocks5Request 0048 MakeCanonicalIPv6Address 0084 _Dn_TIdIPAddress 0089 TIdIPAddress.MakeAddressObject 00af TIdIPAddress.HToNBytes 00bc CopyTIdBytes 00d6 TObject.Free 00dc @HandleFinally 00ee GStack 00f7 TIdStack.IsIP 01b5 ToBytes 01c1 TArray<System.Byte> 01c6 @DynArrayAsg 024c @FinalizeArray 0254 @UStrClr 0262 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 8B 00 C6 00 05 8B 45 0C 8B 00 0F B6 55 10 88 50 01 8B 45 0C 8B 00 C6 40 02 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 87 00 00 00 8B 45 0C 8B 00 C6 40 03 04 8B 45 0C 8B 00 C6 40 04 10 8B 45 08 C7 00 05 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D F8 00 74 1C 6A 04 6A 10 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC 8B 4D 0C 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 08 83 00 10 E9 0C 01 00 00 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 84 C0 74 78 8B 45 0C 8B 00 C6 40 03 01 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D F8 00 74 1C 6A 04 6A 04 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 8B 4D 0C 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 08 C7 00 08 00 00 00 E9 82 00 00 00 8B 45 0C 8B 00 C6 40 03 03 8B F3 8B C6 85 C0 74 05 83 E8 04 8B 00 8B 55 0C 8B 12 88 42 04 8B 45 08 C7 00 05 00 00 00 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 3C 8D 4D E4 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 8B 55 08 8B 12 52 50 8B 4D 0C 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 8B 55 08 01 02 A1 ?? ?? ?? ?? 8B 00 0F B7 55 14 8B 08 FF 51 2C 8B D8 8B 45 08 8B 00 50 6A 02 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 8B 4D 0C 33 D2 E8 ?? ?? ?? ?? 8B 45 08 83 00 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_41370_0 {
	meta:
		name = "TInSocksInfo.MakeSocks5Request"
		size = 630
		refs = "001b TInSocksInfo.MakeSocks5Request 0048 MakeCanonicalIPv6Address 0084 _Dn_TInIPAddress 0089 TInIPAddress.MakeAddressObject 00af TInIPAddress.HToNBytes 00bc CopyTIdBytes 00d6 TObject.Free 00dc @HandleFinally 00ee GStack 00f7 TInStack.IsIP 01b5 ToBytes 01c1 TArray<System.Byte> 01c6 @DynArrayAsg 024c @FinalizeArray 0254 @UStrClr 0262 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 8B 00 C6 00 05 8B 45 0C 8B 00 0F B6 55 10 88 50 01 8B 45 0C 8B 00 C6 40 02 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 87 00 00 00 8B 45 0C 8B 00 C6 40 03 04 8B 45 0C 8B 00 C6 40 04 10 8B 45 08 C7 00 05 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D F8 00 74 1C 6A 04 6A 10 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC 8B 4D 0C 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 08 83 00 10 E9 0C 01 00 00 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 84 C0 74 78 8B 45 0C 8B 00 C6 40 03 01 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D F8 00 74 1C 6A 04 6A 04 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 8B 4D 0C 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 08 C7 00 08 00 00 00 E9 82 00 00 00 8B 45 0C 8B 00 C6 40 03 03 8B F3 8B C6 85 C0 74 05 83 E8 04 8B 00 8B 55 0C 8B 12 88 42 04 8B 45 08 C7 00 05 00 00 00 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 3C 8D 4D E4 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 8B 55 08 8B 12 52 50 8B 4D 0C 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 8B 55 08 01 02 A1 ?? ?? ?? ?? 8B 00 0F B7 55 14 8B 08 FF 51 2C 8B D8 8B 45 08 8B 00 50 6A 02 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 8B 4D 0C 33 D2 E8 ?? ?? ?? ?? 8B 45 08 83 00 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_37301_0 {
	meta:
		name = "TIdSocksInfo.MakeSocks5Connection"
		size = 842
		refs = "0021 TIdSocksInfo.MakeSocks5Connection 0030 TIdSocksInfo.AuthenticateSocks5Connection 0043 TArray<System.Byte> 0048 @DynArraySetLength 0065 TIdSocksInfo.MakeSocks5Request 0076 ToBytes 0087 @DynArrayAsg 0096 TIdIOHandler.WriteDirect 00c7 @HandleAnyException 00cf RSSocksServerRespondError 00d4 LoadResString 00de _Dn_EIdSocksServerRespondError 00e3 EIdException.Create 00e8 @RaiseExcept 00ed @DoneExcept 0135 RSSocksServerGeneralError 0144 _Dn_EIdSocksServerGeneralError 015b RSSocksServerPermissionError 016a _Dn_EIdSocksServerPermissionError 0181 RSSocksServerNetUnreachableError 0190 _Dn_EIdSocksServerNetUnreachableError 01a7 RSSocksServerHostUnreachableError 01b6 _Dn_EIdSocksServerHostUnreachableError 01cd RSSocksServerConnectionRefusedError 01dc _Dn_EIdSocksServerConnectionRefusedError 01f3 RSSocksServerTTLExpiredError 0202 _Dn_EIdSocksServerTTLExpiredError 0216 RSSocksServerCommandError 0225 _Dn_EIdSocksServerCommandError 0239 RSSocksServerAddressError 0248 _Dn_EIdSocksServerAddressError 025c RSSocksUnknownError 026b _Dn_EIdSocksUnknownError 0319 @UStrArrayClr 0327 @DynArrayClear 033b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 68 FF 00 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 0F B7 45 0C 50 6A 01 8D 45 FC 50 8D 45 F8 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 F4 50 33 C9 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 83 C9 FF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC B9 05 00 00 00 8B C3 8B 30 FF 96 C0 00 00 00 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 01 83 F8 08 0F 87 57 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 48 01 00 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 22 01 00 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FC 00 00 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D6 00 00 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B0 00 00 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8A 00 00 00 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 03 FE C8 74 0A 2C 02 74 0F FE C8 74 1A EB 1F C7 45 F8 06 00 00 00 EB 16 8B 45 FC 0F B6 40 04 83 C0 02 89 45 F8 EB 07 C7 45 F8 12 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 4D F8 49 8D 55 FC 8B C3 8B 18 FF 93 C0 00 00 00 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_41371_0 {
	meta:
		name = "TInSocksInfo.MakeSocks5Connection"
		size = 842
		refs = "0021 TInSocksInfo.MakeSocks5Connection 0030 TInSocksInfo.AuthenticateSocks5Connection 0043 TArray<System.Byte> 0048 @DynArraySetLength 0065 TInSocksInfo.MakeSocks5Request 0076 ToBytes 0087 @DynArrayAsg 0096 TInIOHandler.WriteDirect 00c7 @HandleAnyException 00cf RSSocksServerRespondError 00d4 LoadResString 00de _Dn_EInSocksServerRespondError 00e3 EInException.Create 00e8 @RaiseExcept 00ed @DoneExcept 0135 RSSocksServerGeneralError 0144 _Dn_EInSocksServerGeneralError 015b RSSocksServerPermissionError 016a _Dn_EInSocksServerPermissionError 0181 RSSocksServerNetUnreachableError 0190 _Dn_EInSocksServerNetUnreachableError 01a7 RSSocksServerHostUnreachableError 01b6 _Dn_EInSocksServerHostUnreachableError 01cd RSSocksServerConnectionRefusedError 01dc _Dn_EInSocksServerConnectionRefusedError 01f3 RSSocksServerTTLExpiredError 0202 _Dn_EInSocksServerTTLExpiredError 0216 RSSocksServerCommandError 0225 _Dn_EInSocksServerCommandError 0239 RSSocksServerAddressError 0248 _Dn_EInSocksServerAddressError 025c RSSocksUnknownError 026b _Dn_EInSocksUnknownError 0319 @UStrArrayClr 0327 @DynArrayClear 033b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 68 FF 00 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 0F B7 45 0C 50 6A 01 8D 45 FC 50 8D 45 F8 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 F4 50 33 C9 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 83 C9 FF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC B9 05 00 00 00 8B C3 8B 30 FF 96 C0 00 00 00 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 01 83 F8 08 0F 87 57 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 48 01 00 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 22 01 00 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FC 00 00 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D6 00 00 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B0 00 00 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8A 00 00 00 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 03 FE C8 74 0A 2C 02 74 0F FE C8 74 1A EB 1F C7 45 F8 06 00 00 00 EB 16 8B 45 FC 0F B6 40 04 83 C0 02 89 45 F8 EB 07 C7 45 F8 12 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 4D F8 49 8D 55 FC 8B C3 8B 18 FF 93 C0 00 00 00 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_37302_0 {
	meta:
		name = "TIdSocksInfo.MakeSocks4Bind"
		size = 623
		refs = "0020 TIdSocksInfo.MakeSocks4Bind 002f _Dn_TIdTCPClient 0034 TIdBaseComponent.Create 0055 TArray<System.Byte> 005a @DynArraySetLength 00bf TIdSocksInfo.MakeSocks4Request 00f8 RSSocksRequestFailed 00fd LoadResString 0107 _Dn_EIdSocksRequestFailed 010c EIdException.Create 0111 @RaiseExcept 011b RSSocksRequestServerFailed 012a _Dn_EIdSocksRequestServerFailed 013e RSSocksRequestIdentFailed 014d _Dn_EIdSocksRequestIdentFailed 0161 RSSocksUnknownError 0170 _Dn_EIdSocksUnknownError 01ae BytesToIPv4Str 01d1 TIdSocketHandle.SetBinding 01e0 @HandleAnyException 01e8 RSSocksServerRespondError 01f7 _Dn_EIdSocksServerRespondError 0206 @DoneExcept 022a TObject.Free 0230 @HandleFinally 024c @UStrArrayClr 025a @DynArrayClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 08 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C3 8B 08 FF 91 F8 00 00 00 8B D3 8B 45 F8 8B 08 FF 51 60 8B 96 90 00 00 00 8B 45 F8 8B 08 FF 91 A0 00 00 00 0F B7 96 98 00 00 00 8B 45 F8 8B 08 FF 91 A4 00 00 00 8B 45 F8 8B 10 FF 92 AC 00 00 00 8B D6 8B C3 8B 08 FF 91 F8 00 00 00 0F B7 45 08 50 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 55 FC B9 02 00 00 00 8B C3 8B 30 FF 96 C0 00 00 00 8B 45 FC 0F B6 40 01 2C 5A 0F 84 98 00 00 00 FE C8 74 0A FE C8 74 29 FE C8 74 48 EB 69 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC B9 06 00 00 00 8B C3 8B 30 FF 96 C0 00 00 00 6A 00 8D 4D E4 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 0F B6 00 8B C8 C1 E1 08 8B 45 FC 0F B6 40 01 66 03 C8 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 51 60 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_41372_0 {
	meta:
		name = "TInSocksInfo.MakeSocks4Bind"
		size = 623
		refs = "0020 TInSocksInfo.MakeSocks4Bind 002f _Dn_TInTCPClient 0034 TInBaseComponent.Create 0055 TArray<System.Byte> 005a @DynArraySetLength 00bf TInSocksInfo.MakeSocks4Request 00f8 RSSocksRequestFailed 00fd LoadResString 0107 _Dn_EInSocksRequestFailed 010c EInException.Create 0111 @RaiseExcept 011b RSSocksRequestServerFailed 012a _Dn_EInSocksRequestServerFailed 013e RSSocksRequestIdentFailed 014d _Dn_EInSocksRequestIdentFailed 0161 RSSocksUnknownError 0170 _Dn_EInSocksUnknownError 01ae BytesToIPv4Str 01d1 TInSocketHandle.SetBinding 01e0 @HandleAnyException 01e8 RSSocksServerRespondError 01f7 _Dn_EInSocksServerRespondError 0206 @DoneExcept 022a TObject.Free 0230 @HandleFinally 024c @UStrArrayClr 025a @DynArrayClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 08 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C3 8B 08 FF 91 F8 00 00 00 8B D3 8B 45 F8 8B 08 FF 51 60 8B 96 90 00 00 00 8B 45 F8 8B 08 FF 91 A0 00 00 00 0F B7 96 98 00 00 00 8B 45 F8 8B 08 FF 91 A4 00 00 00 8B 45 F8 8B 10 FF 92 AC 00 00 00 8B D6 8B C3 8B 08 FF 91 F8 00 00 00 0F B7 45 08 50 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 55 FC B9 02 00 00 00 8B C3 8B 30 FF 96 C0 00 00 00 8B 45 FC 0F B6 40 01 2C 5A 0F 84 98 00 00 00 FE C8 74 0A FE C8 74 29 FE C8 74 48 EB 69 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC B9 06 00 00 00 8B C3 8B 30 FF 96 C0 00 00 00 6A 00 8D 4D E4 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 0F B6 00 8B C8 C1 E1 08 8B 45 FC 0F B6 40 01 66 03 C8 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 51 60 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_37303_0 {
	meta:
		name = "TIdSocksInfo.MakeConnection"
		size = 50
		refs = "001b TIdSocksInfo.MakeSocks4Connection 0029 TIdSocksInfo.MakeSocks5Connection"
	strings:
		$1 = { 55 8B EC 53 0F B6 98 A9 00 00 00 4B 80 EB 02 72 04 74 0E EB 18 0F B7 5D 0C 53 E8 ?? ?? ?? ?? EB 0C 0F B7 5D 0C 53 6A 00 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_41373_0 {
	meta:
		name = "TInSocksInfo.MakeConnection"
		size = 50
		refs = "001b TInSocksInfo.MakeSocks4Connection 0029 TInSocksInfo.MakeSocks5Connection"
	strings:
		$1 = { 55 8B EC 53 0F B6 98 A9 00 00 00 4B 80 EB 02 72 04 74 0E EB 18 0F B7 5D 0C 53 E8 ?? ?? ?? ?? EB 0C 0F B7 5D 0C 53 6A 00 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_37304_0 {
	meta:
		name = "TIdSocksInfo.GetEnabled"
		size = 14
		altNames = "TInSocksInfo.GetEnabled"
	strings:
		$1 = { 0F B6 80 A9 00 00 00 48 2C 03 0F 92 C0 C3 }
	condition:
		$1
}

rule function_37305_0 {
	meta:
		name = "TIdSocksInfo.InitComponent"
		size = 60
		refs = "0006 TIdComponent.InitComponent 002b _Dn_TIdIOHandlerStack 0030 TIdInitializerComponent.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 A8 00 00 00 00 C6 83 A9 00 00 00 00 66 C7 83 98 00 00 00 38 04 C6 83 9A 00 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 AC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_41375_0 {
	meta:
		name = "TInSocksInfo.InitComponent"
		size = 60
		refs = "0006 TInComponent.InitComponent 002b _Dn_TInIOHandlerStack 0030 TIdInitializerComponent.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 A8 00 00 00 00 C6 83 A9 00 00 00 00 66 C7 83 98 00 00 00 38 04 C6 83 9A 00 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 AC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_37306_0 {
	meta:
		name = "TIdSocksInfo.AuthenticateSocks5Connection"
		size = 717
		refs = "0018 TIdSocksInfo.AuthenticateSocks5Connection 002e TArray<System.Byte> 0033 @DynArraySetLength 0075 TIdIOHandler.WriteDirect 00a6 @HandleOnException 00ae _Dn_Exception 00ba RSSocksServerRespondError 00bf LoadResString 00c9 _Dn_EIdSocksServerRespondError 00ce EIdException.Create 00d3 @RaiseExcept 00d8 @DoneExcept 00f0 RSSocksAuthMethodError 00ff _Dn_EIdSocksAuthMethodError 018f ToBytes 019c CopyTIdBytes 0259 RSSocksAuthError 0268 _Dn_EIdSocksAuthError 028c @UStrArrayClr 029f @FinalizeArray 02ba @DynArrayClear 02c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 80 BB A8 00 00 00 00 75 09 8B 45 FC C6 40 02 00 EB 07 8B 45 FC C6 40 02 02 8B 45 FC 0F B6 40 02 88 45 FB 8B 45 FC C6 00 05 8B 45 FC C6 40 01 01 6A 00 83 C9 FF 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 55 FC B9 02 00 00 00 8B C6 8B 38 FF 97 C0 00 00 00 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 01 3A 45 FB 75 04 3C FF 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB A8 00 00 00 01 0F 85 5C 01 00 00 8B 83 9C 00 00 00 85 C0 74 05 83 E8 04 8B 00 88 45 FA 8B 83 94 00 00 00 85 C0 74 05 83 E8 04 8B 00 88 45 F9 0F B6 45 FA 83 C0 03 0F B6 55 F9 03 C2 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC C6 00 01 8B 45 FC 0F B6 55 FA 88 50 01 BF 02 00 00 00 80 7D FA 00 76 29 57 0F B6 45 FA 50 8D 4D EC 8B 83 9C 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 EC 8D 4D FC 33 D2 E8 ?? ?? ?? ?? 0F B6 45 FA 03 F8 8B 45 FC 0F B6 55 F9 88 14 38 47 80 7D F9 00 76 23 57 0F B6 45 F9 50 8D 4D E8 8B 83 94 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 E8 8D 4D FC 33 D2 E8 ?? ?? ?? ?? 6A 00 83 C9 FF 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 55 FC B9 02 00 00 00 8B C6 8B 18 FF 93 C0 00 00 00 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 01 00 74 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41376_0 {
	meta:
		name = "TInSocksInfo.AuthenticateSocks5Connection"
		size = 717
		refs = "0018 TInSocksInfo.AuthenticateSocks5Connection 002e TArray<System.Byte> 0033 @DynArraySetLength 0075 TInIOHandler.WriteDirect 00a6 @HandleOnException 00ae _Dn_Exception 00ba RSSocksServerRespondError 00bf LoadResString 00c9 _Dn_EInSocksServerRespondError 00ce EInException.Create 00d3 @RaiseExcept 00d8 @DoneExcept 00f0 RSSocksAuthMethodError 00ff _Dn_EInSocksAuthMethodError 018f ToBytes 019c CopyTIdBytes 0259 RSSocksAuthError 0268 _Dn_EInSocksAuthError 028c @UStrArrayClr 029f @FinalizeArray 02ba @DynArrayClear 02c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 80 BB A8 00 00 00 00 75 09 8B 45 FC C6 40 02 00 EB 07 8B 45 FC C6 40 02 02 8B 45 FC 0F B6 40 02 88 45 FB 8B 45 FC C6 00 05 8B 45 FC C6 40 01 01 6A 00 83 C9 FF 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 55 FC B9 02 00 00 00 8B C6 8B 38 FF 97 C0 00 00 00 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 01 3A 45 FB 75 04 3C FF 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB A8 00 00 00 01 0F 85 5C 01 00 00 8B 83 9C 00 00 00 85 C0 74 05 83 E8 04 8B 00 88 45 FA 8B 83 94 00 00 00 85 C0 74 05 83 E8 04 8B 00 88 45 F9 0F B6 45 FA 83 C0 03 0F B6 55 F9 03 C2 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC C6 00 01 8B 45 FC 0F B6 55 FA 88 50 01 BF 02 00 00 00 80 7D FA 00 76 29 57 0F B6 45 FA 50 8D 4D EC 8B 83 9C 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 EC 8D 4D FC 33 D2 E8 ?? ?? ?? ?? 0F B6 45 FA 03 F8 8B 45 FC 0F B6 55 F9 88 14 38 47 80 7D F9 00 76 23 57 0F B6 45 F9 50 8D 4D E8 8B 83 94 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 E8 8D 4D FC 33 D2 E8 ?? ?? ?? ?? 6A 00 83 C9 FF 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 55 FC B9 02 00 00 00 8B C6 8B 18 FF 93 C0 00 00 00 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 01 00 74 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37307_0 {
	meta:
		name = "TIdSocksInfo.MakeSocks5Bind"
		size = 1244
		refs = "0021 TIdSocksInfo.MakeSocks5Bind 0030 _Dn_TIdTCPClient 0035 TIdBaseComponent.Create 0059 TArray<System.Byte> 005e @DynArraySetLength 00ce TIdSocksInfo.AuthenticateSocks5Connection 00e9 TIdSocksInfo.MakeSocks5Request 00fc ToBytes 013d @HandleAnyException 0145 RSSocksServerRespondError 014a LoadResString 0154 _Dn_EIdSocksServerRespondError 0159 EIdException.Create 015e @RaiseExcept 0163 @DoneExcept 01ab RSSocksServerGeneralError 01ba _Dn_EIdSocksServerGeneralError 01d1 RSSocksServerPermissionError 01e0 _Dn_EIdSocksServerPermissionError 01f7 RSSocksServerNetUnreachableError 0206 _Dn_EIdSocksServerNetUnreachableError 021d RSSocksServerHostUnreachableError 022c _Dn_EIdSocksServerHostUnreachableError 0243 RSSocksServerConnectionRefusedError 0252 _Dn_EIdSocksServerConnectionRefusedError 0269 RSSocksServerTTLExpiredError 0278 _Dn_EIdSocksServerTTLExpiredError 028c RSSocksServerCommandError 029b _Dn_EIdSocksServerCommandError 02af RSSocksServerAddressError 02be _Dn_EIdSocksServerAddressError 02d2 RSSocksUnknownError 02e1 _Dn_EIdSocksUnknownError 036e BytesToIPv4Str 0392 TIdSocketHandle.SetPeer 03bb BytesToString 03c3 GStack 03cc TIdStack.ResolveHost 03ff BytesToIPv6 040c IPv6AddressToStr 0489 TObject.Free 048f @HandleFinally 04ab @UStrArrayClr 04b9 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 FF 00 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B FB 8B C7 8B 08 FF 91 F8 00 00 00 8B D3 8B 45 F0 8B 08 FF 51 60 8B 96 90 00 00 00 8B 45 F0 8B 08 FF 91 A0 00 00 00 0F B6 96 9A 00 00 00 8B 45 F0 8B 08 FF 91 A8 00 00 00 0F B7 96 98 00 00 00 8B 45 F0 8B 08 FF 91 A4 00 00 00 8B 45 F0 8B 10 FF 92 AC 00 00 00 8B D6 8B C7 8B 08 FF 91 F8 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B7 45 0C 50 6A 02 8D 45 FC 50 8D 45 F4 50 8B 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 45 D8 50 33 C9 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 83 C9 FF 8B C3 8B 30 FF 96 94 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC B9 04 00 00 00 8B C3 8B 30 FF 96 C0 00 00 00 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 01 83 F8 08 0F 87 57 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 48 01 00 00 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 22 01 00 00 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FC 00 00 00 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D6 00 00 00 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B0 00 00 00 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8A 00 00 00 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 03 88 45 EF 0F B6 45 EF FE C8 74 0A 2C 02 74 0F FE C8 74 1A EB 1F C7 45 F4 06 00 00 00 EB 16 8B 45 FC 0F B6 40 04 83 C0 02 89 45 F4 EB 07 C7 45 F4 12 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC 8B 4D F4 8B C3 8B 30 FF 96 C0 00 00 00 0F B6 45 EF FE C8 74 11 2C 02 74 45 FE C8 0F 84 98 00 00 00 E9 D1 00 00 00 6A 00 8D 4D AC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 AC 8B 45 FC 0F B6 40 04 8B C8 C1 E1 08 8B 45 FC 0F B6 40 05 66 03 C8 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? E9 99 00 00 00 8B F3 0F B6 86 06 01 00 00 50 8D 45 A8 50 6A 00 8D 45 A4 50 8B 4D F4 83 E9 02 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 A4 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 FC 0F B6 40 04 8B C8 C1 E1 08 8B 45 FC 0F B6 40 05 66 03 C8 8B 86 D8 00 00 00 E8 ?? ?? ?? ?? EB 3E 8D 55 DE 33 C9 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8D 55 A0 8D 45 DE E8 ?? ?? ?? ?? 8B 55 A0 8B 45 FC 0F B6 40 10 8B C8 C1 E1 08 8B 45 FC 0F B6 40 11 66 03 C8 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 8D 55 9C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 9C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F0 8B 08 FF 51 60 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C BA 0F 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_41377_0 {
	meta:
		name = "TInSocksInfo.MakeSocks5Bind"
		size = 1244
		refs = "0021 TInSocksInfo.MakeSocks5Bind 0030 _Dn_TInTCPClient 0035 TInBaseComponent.Create 0059 TArray<System.Byte> 005e @DynArraySetLength 00ce TInSocksInfo.AuthenticateSocks5Connection 00e9 TInSocksInfo.MakeSocks5Request 00fc ToBytes 013d @HandleAnyException 0145 RSSocksServerRespondError 014a LoadResString 0154 _Dn_EInSocksServerRespondError 0159 EInException.Create 015e @RaiseExcept 0163 @DoneExcept 01ab RSSocksServerGeneralError 01ba _Dn_EInSocksServerGeneralError 01d1 RSSocksServerPermissionError 01e0 _Dn_EInSocksServerPermissionError 01f7 RSSocksServerNetUnreachableError 0206 _Dn_EInSocksServerNetUnreachableError 021d RSSocksServerHostUnreachableError 022c _Dn_EInSocksServerHostUnreachableError 0243 RSSocksServerConnectionRefusedError 0252 _Dn_EInSocksServerConnectionRefusedError 0269 RSSocksServerTTLExpiredError 0278 _Dn_EInSocksServerTTLExpiredError 028c RSSocksServerCommandError 029b _Dn_EInSocksServerCommandError 02af RSSocksServerAddressError 02be _Dn_EInSocksServerAddressError 02d2 RSSocksUnknownError 02e1 _Dn_EInSocksUnknownError 036e BytesToIPv4Str 0392 TInSocketHandle.SetPeer 03bb BytesToString 03c3 GStack 03cc TInStack.ResolveHost 03ff BytesToIPv6 040c IPv6AddressToStr 0489 TObject.Free 048f @HandleFinally 04ab @UStrArrayClr 04b9 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 FF 00 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B FB 8B C7 8B 08 FF 91 F8 00 00 00 8B D3 8B 45 F0 8B 08 FF 51 60 8B 96 90 00 00 00 8B 45 F0 8B 08 FF 91 A0 00 00 00 0F B6 96 9A 00 00 00 8B 45 F0 8B 08 FF 91 A8 00 00 00 0F B7 96 98 00 00 00 8B 45 F0 8B 08 FF 91 A4 00 00 00 8B 45 F0 8B 10 FF 92 AC 00 00 00 8B D6 8B C7 8B 08 FF 91 F8 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B7 45 0C 50 6A 02 8D 45 FC 50 8D 45 F4 50 8B 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 45 D8 50 33 C9 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 83 C9 FF 8B C3 8B 30 FF 96 94 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC B9 04 00 00 00 8B C3 8B 30 FF 96 C0 00 00 00 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 01 83 F8 08 0F 87 57 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 48 01 00 00 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 22 01 00 00 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FC 00 00 00 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D6 00 00 00 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B0 00 00 00 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8A 00 00 00 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 03 88 45 EF 0F B6 45 EF FE C8 74 0A 2C 02 74 0F FE C8 74 1A EB 1F C7 45 F4 06 00 00 00 EB 16 8B 45 FC 0F B6 40 04 83 C0 02 89 45 F4 EB 07 C7 45 F4 12 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC 8B 4D F4 8B C3 8B 30 FF 96 C0 00 00 00 0F B6 45 EF FE C8 74 11 2C 02 74 45 FE C8 0F 84 98 00 00 00 E9 D1 00 00 00 6A 00 8D 4D AC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 AC 8B 45 FC 0F B6 40 04 8B C8 C1 E1 08 8B 45 FC 0F B6 40 05 66 03 C8 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? E9 99 00 00 00 8B F3 0F B6 86 06 01 00 00 50 8D 45 A8 50 6A 00 8D 45 A4 50 8B 4D F4 83 E9 02 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 A4 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 FC 0F B6 40 04 8B C8 C1 E1 08 8B 45 FC 0F B6 40 05 66 03 C8 8B 86 D8 00 00 00 E8 ?? ?? ?? ?? EB 3E 8D 55 DE 33 C9 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8D 55 A0 8D 45 DE E8 ?? ?? ?? ?? 8B 55 A0 8B 45 FC 0F B6 40 10 8B C8 C1 E1 08 8B 45 FC 0F B6 40 11 66 03 C8 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 8D 55 9C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 9C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F0 8B 08 FF 51 60 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C BA 0F 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_37308_0 {
	meta:
		name = "TIdSocksInfo.Bind"
		size = 53
		refs = "001b TIdSocksInfo.MakeSocks4Bind 002c TIdSocksInfo.MakeSocks5Bind"
	strings:
		$1 = { 55 8B EC 53 0F B6 98 A9 00 00 00 4B 80 EB 02 72 04 74 0E EB 1B 0F B7 5D 0C 53 E8 ?? ?? ?? ?? EB 0F 0F B7 5D 0C 53 0F B6 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_41378_0 {
	meta:
		name = "TInSocksInfo.Bind"
		size = 53
		refs = "001b TInSocksInfo.MakeSocks4Bind 002c TInSocksInfo.MakeSocks5Bind"
	strings:
		$1 = { 55 8B EC 53 0F B6 98 A9 00 00 00 4B 80 EB 02 72 04 74 0E EB 1B 0F B7 5D 0C 53 E8 ?? ?? ?? ?? EB 0F 0F B7 5D 0C 53 0F B6 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_37309_0 {
	meta:
		name = "TIdSocksInfo.Listen"
		size = 48
		refs = "001a TIdSocksInfo.MakeSocks4Listen 0025 TIdSocksInfo.MakeSocks5Listen"
	strings:
		$1 = { 53 56 8B F1 33 C9 0F B6 98 A9 00 00 00 4B 80 EB 02 72 04 74 0D EB 14 8B CE E8 ?? ?? ?? ?? 8B C8 EB 09 8B CE E8 ?? ?? ?? ?? 8B C8 8B C1 5E 5B C3 }
	condition:
		$1
}

rule function_41379_0 {
	meta:
		name = "TInSocksInfo.Listen"
		size = 48
		refs = "001a TInSocksInfo.MakeSocks4Listen 0025 TInSocksInfo.MakeSocks5Listen"
	strings:
		$1 = { 53 56 8B F1 33 C9 0F B6 98 A9 00 00 00 4B 80 EB 02 72 04 74 0D EB 14 8B CE E8 ?? ?? ?? ?? 8B C8 EB 09 8B CE E8 ?? ?? ?? ?? 8B C8 8B C1 5E 5B C3 }
	condition:
		$1
}

rule function_37310_0 {
	meta:
		name = "TIdSocksInfo.MakeSocks5Listen"
		size = 857
		refs = "001f TIdSocksInfo.MakeSocks5Listen 0038 TArray<System.Byte> 003d @DynArraySetLength 004d TIdSocketHandle.Readable 00b3 RSSocksServerGeneralError 00b8 LoadResString 00c2 _Dn_EIdSocksServerGeneralError 00c7 EIdException.Create 00cc @RaiseExcept 00d9 RSSocksServerPermissionError 00e8 _Dn_EIdSocksServerPermissionError 00ff RSSocksServerNetUnreachableError 010e _Dn_EIdSocksServerNetUnreachableError 0125 RSSocksServerHostUnreachableError 0134 _Dn_EIdSocksServerHostUnreachableError 014b RSSocksServerConnectionRefusedError 015a _Dn_EIdSocksServerConnectionRefusedError 0171 RSSocksServerTTLExpiredError 0180 _Dn_EIdSocksServerTTLExpiredError 0194 RSSocksServerCommandError 01a3 _Dn_EIdSocksServerCommandError 01b7 RSSocksServerAddressError 01c6 _Dn_EIdSocksServerAddressError 01da RSSocksUnknownError 01e9 _Dn_EIdSocksUnknownError 025c BytesToIPv4Str 0280 TIdSocketHandle.SetPeer 02a7 BytesToString 02af GStack 02b8 TIdStack.ResolveHost 02eb BytesToIPv6 02f8 IPv6AddressToStr 0336 @UStrArrayClr 0344 @DynArrayClear 034a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 FF 00 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 86 D8 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 84 C5 02 00 00 6A 00 8D 55 FC B9 04 00 00 00 8B C6 8B 38 FF 97 C0 00 00 00 8B 45 FC 0F B6 40 01 83 F8 08 0F 87 57 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 48 01 00 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 22 01 00 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FC 00 00 00 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D6 00 00 00 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B0 00 00 00 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8A 00 00 00 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 03 88 45 F7 0F B6 45 F7 FE C8 74 06 2C 02 74 0B EB 18 C7 45 F8 06 00 00 00 EB 16 8B 45 FC 0F B6 40 04 83 C0 02 89 45 F8 EB 07 C7 45 F8 12 00 00 00 6A 00 8D 55 FC 8B 4D F8 8B C6 8B 38 FF 97 C0 00 00 00 0F B6 45 F7 FE C8 74 09 2C 02 74 3D E9 91 00 00 00 6A 00 8D 4D BC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 BC 8B 45 FC 0F B6 40 04 8B C8 C1 E1 08 8B 45 FC 0F B6 40 05 66 03 C8 8B 86 D8 00 00 00 E8 ?? ?? ?? ?? E9 97 00 00 00 0F B6 86 06 01 00 00 50 8D 45 B8 50 6A 00 8D 45 B4 50 8B 4D F8 83 E9 02 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 B4 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 FC 0F B6 40 04 8B C8 C1 E1 08 8B 45 FC 0F B6 40 05 66 03 C8 8B 86 D8 00 00 00 E8 ?? ?? ?? ?? EB 3E 8D 55 E6 33 C9 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8D 55 B0 8D 45 E6 E8 ?? ?? ?? ?? 8B 55 B0 8B 45 FC 0F B6 40 10 8B C8 C1 E1 08 8B 45 FC 0F B6 40 11 66 03 C8 8B 86 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 0D 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41380_0 {
	meta:
		name = "TInSocksInfo.MakeSocks5Listen"
		size = 857
		refs = "001f TInSocksInfo.MakeSocks5Listen 0038 TArray<System.Byte> 003d @DynArraySetLength 004d TInSocketHandle.Readable 00b3 RSSocksServerGeneralError 00b8 LoadResString 00c2 _Dn_EInSocksServerGeneralError 00c7 EInException.Create 00cc @RaiseExcept 00d9 RSSocksServerPermissionError 00e8 _Dn_EInSocksServerPermissionError 00ff RSSocksServerNetUnreachableError 010e _Dn_EInSocksServerNetUnreachableError 0125 RSSocksServerHostUnreachableError 0134 _Dn_EInSocksServerHostUnreachableError 014b RSSocksServerConnectionRefusedError 015a _Dn_EInSocksServerConnectionRefusedError 0171 RSSocksServerTTLExpiredError 0180 _Dn_EInSocksServerTTLExpiredError 0194 RSSocksServerCommandError 01a3 _Dn_EInSocksServerCommandError 01b7 RSSocksServerAddressError 01c6 _Dn_EInSocksServerAddressError 01da RSSocksUnknownError 01e9 _Dn_EInSocksUnknownError 025c BytesToIPv4Str 0280 TInSocketHandle.SetPeer 02a7 BytesToString 02af GStack 02b8 TInStack.ResolveHost 02eb BytesToIPv6 02f8 IPv6AddressToStr 0336 @UStrArrayClr 0344 @DynArrayClear 034a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 FF 00 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 86 D8 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 84 C5 02 00 00 6A 00 8D 55 FC B9 04 00 00 00 8B C6 8B 38 FF 97 C0 00 00 00 8B 45 FC 0F B6 40 01 83 F8 08 0F 87 57 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 48 01 00 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 22 01 00 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FC 00 00 00 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D6 00 00 00 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B0 00 00 00 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8A 00 00 00 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 03 88 45 F7 0F B6 45 F7 FE C8 74 06 2C 02 74 0B EB 18 C7 45 F8 06 00 00 00 EB 16 8B 45 FC 0F B6 40 04 83 C0 02 89 45 F8 EB 07 C7 45 F8 12 00 00 00 6A 00 8D 55 FC 8B 4D F8 8B C6 8B 38 FF 97 C0 00 00 00 0F B6 45 F7 FE C8 74 09 2C 02 74 3D E9 91 00 00 00 6A 00 8D 4D BC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 BC 8B 45 FC 0F B6 40 04 8B C8 C1 E1 08 8B 45 FC 0F B6 40 05 66 03 C8 8B 86 D8 00 00 00 E8 ?? ?? ?? ?? E9 97 00 00 00 0F B6 86 06 01 00 00 50 8D 45 B8 50 6A 00 8D 45 B4 50 8B 4D F8 83 E9 02 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 B4 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 FC 0F B6 40 04 8B C8 C1 E1 08 8B 45 FC 0F B6 40 05 66 03 C8 8B 86 D8 00 00 00 E8 ?? ?? ?? ?? EB 3E 8D 55 E6 33 C9 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8D 55 B0 8D 45 E6 E8 ?? ?? ?? ?? 8B 55 B0 8B 45 FC 0F B6 40 10 8B C8 C1 E1 08 8B 45 FC 0F B6 40 11 66 03 C8 8B 86 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 0D 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37311_0 {
	meta:
		name = "TIdSocksInfo.MakeSocks4Listen"
		size = 400
		refs = "001a TIdSocksInfo.MakeSocks4Listen 0030 TArray<System.Byte> 0035 @DynArraySetLength 0045 TIdSocketHandle.Readable 0088 RSSocksRequestFailed 008d LoadResString 0097 _Dn_EIdSocksRequestFailed 009c EIdException.Create 00a1 @RaiseExcept 00ab RSSocksRequestServerFailed 00ba _Dn_EIdSocksRequestServerFailed 00ce RSSocksRequestIdentFailed 00dd _Dn_EIdSocksRequestIdentFailed 00f1 RSSocksUnknownError 0100 _Dn_EIdSocksUnknownError 0130 BytesToIPv4Str 0153 TIdSocketHandle.SetPeer 016d @UStrArrayClr 017b @DynArrayClear 0181 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 06 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 86 D8 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 84 04 01 00 00 6A 00 8D 55 FC B9 02 00 00 00 8B C6 8B 38 FF 97 C0 00 00 00 8B 45 FC 0F B6 40 01 2C 5A 0F 84 98 00 00 00 FE C8 74 0A FE C8 74 29 FE C8 74 48 EB 69 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 55 FC B9 06 00 00 00 8B C6 8B 38 FF 97 C0 00 00 00 6A 00 8D 4D E8 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 0F B6 00 8B C8 C1 E1 08 8B 45 FC 0F B6 40 01 66 03 C8 8B 86 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41381_0 {
	meta:
		name = "TInSocksInfo.MakeSocks4Listen"
		size = 400
		refs = "001a TInSocksInfo.MakeSocks4Listen 0030 TArray<System.Byte> 0035 @DynArraySetLength 0045 TInSocketHandle.Readable 0088 RSSocksRequestFailed 008d LoadResString 0097 _Dn_EInSocksRequestFailed 009c EInException.Create 00a1 @RaiseExcept 00ab RSSocksRequestServerFailed 00ba _Dn_EInSocksRequestServerFailed 00ce RSSocksRequestIdentFailed 00dd _Dn_EInSocksRequestIdentFailed 00f1 RSSocksUnknownError 0100 _Dn_EInSocksUnknownError 0130 BytesToIPv4Str 0153 TInSocketHandle.SetPeer 016d @UStrArrayClr 017b @DynArrayClear 0181 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 06 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 86 D8 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 84 04 01 00 00 6A 00 8D 55 FC B9 02 00 00 00 8B C6 8B 38 FF 97 C0 00 00 00 8B 45 FC 0F B6 40 01 2C 5A 0F 84 98 00 00 00 FE C8 74 0A FE C8 74 29 FE C8 74 48 EB 69 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 55 FC B9 06 00 00 00 8B C6 8B 38 FF 97 C0 00 00 00 6A 00 8D 4D E8 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 0F B6 00 8B C8 C1 E1 08 8B 45 FC 0F B6 40 01 66 03 C8 8B 86 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37312_0 {
	meta:
		name = "TIdSocksInfo.CloseSocks5UDPAssociation"
		size = 23
		altNames = "TInSocksInfo.CloseSocks5UDPAssociation"
	strings:
		$1 = { 56 8B B0 AC 00 00 00 85 F6 74 0A 8B C6 8B 10 FF 92 8C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_37313_0 {
	meta:
		name = "TIdSocksInfo.MakeSocks5UDPAssociation"
		size = 1208
		refs = "001c TIdSocksInfo.MakeSocks5UDPAssociation 009d TArray<System.Byte> 00a2 @DynArraySetLength 00b6 TIdSocksInfo.AuthenticateSocks5Connection 00e4 TIdSocksInfo.MakeSocks5Request 011b ToBytes 016a @HandleAnyException 0172 RSSocksServerRespondError 0177 LoadResString 0181 _Dn_EIdSocksServerRespondError 0186 EIdException.Create 018b @RaiseExcept 0190 @DoneExcept 01d8 RSSocksServerGeneralError 01e7 _Dn_EIdSocksServerGeneralError 01fe RSSocksServerPermissionError 020d _Dn_EIdSocksServerPermissionError 0224 RSSocksServerNetUnreachableError 0233 _Dn_EIdSocksServerNetUnreachableError 024a RSSocksServerHostUnreachableError 0259 _Dn_EIdSocksServerHostUnreachableError 0270 RSSocksServerConnectionRefusedError 027f _Dn_EIdSocksServerConnectionRefusedError 0296 RSSocksServerTTLExpiredError 02a5 _Dn_EIdSocksServerTTLExpiredError 02b9 RSSocksServerCommandError 02c8 _Dn_EIdSocksServerCommandError 02dc RSSocksServerAddressError 02eb _Dn_EIdSocksServerAddressError 02ff RSSocksUnknownError 030e _Dn_EIdSocksUnknownError 03a2 _Dn_TIdIOHandlerStack 03a7 @AsClass 03cd TIdSocketHandle.SetPeer 0418 @HandleOnException 0420 _Dn_Exception 043a @RaiseAgain 0459 @UStrArrayClr 0467 @DynArrayClear 047b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 90 90 00 00 00 8B 45 F8 8B 80 AC 00 00 00 8B 08 FF 51 5C 8B 45 F8 0F B7 90 98 00 00 00 8B 45 F8 8B 80 AC 00 00 00 8B 08 FF 51 60 8B 55 F8 0F B6 92 9A 00 00 00 8B 45 F8 8B 80 AC 00 00 00 88 90 06 01 00 00 8B 55 F8 0F B6 9A 9A 00 00 00 8B 10 FF 92 98 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 FF 00 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 90 AC 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 9A 00 00 00 00 75 24 6A 00 6A 03 8D 45 FC 50 8D 45 F4 50 8B 45 F8 8B 90 AC 00 00 00 B9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 22 6A 00 6A 03 8D 45 FC 50 8D 45 F4 50 8B 45 F8 8B 90 AC 00 00 00 B9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 8D 45 F0 50 33 C9 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 80 AC 00 00 00 83 C9 FF 8B 38 FF 97 94 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC 8B 45 F8 8B 80 AC 00 00 00 B9 02 00 00 00 8B 38 FF 97 C0 00 00 00 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 01 83 F8 08 0F 87 57 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 48 01 00 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 22 01 00 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FC 00 00 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D6 00 00 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B0 00 00 00 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8A 00 00 00 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 55 FC 8B 45 F8 8B 80 AC 00 00 00 B9 02 00 00 00 8B 38 FF 97 C0 00 00 00 8B 45 FC 0F B6 40 01 FE C8 74 0A 2C 02 74 11 FE C8 74 1C EB 23 C7 45 F4 06 00 00 00 33 DB EB 18 8B 45 FC 0F B6 40 04 83 C0 02 89 45 F4 EB 09 C7 45 F4 12 00 00 00 B3 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC 8B 45 F8 8B 80 AC 00 00 00 8B 4D F4 8B 38 FF 97 C0 00 00 00 53 8B 45 F8 8B 80 AC 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 D8 00 00 00 8B 50 1C 8B 45 FC 0F B6 40 04 8B C8 C1 E1 08 8B 45 FC 0F B6 40 05 66 03 C8 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 28 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 8B 80 AC 00 00 00 8B 10 FF 92 8C 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 30 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 3A 00 30 00 00 00 }
	condition:
		$1
}

rule function_41383_0 {
	meta:
		name = "TInSocksInfo.MakeSocks5UDPAssociation"
		size = 1208
		refs = "001c TInSocksInfo.MakeSocks5UDPAssociation 009d TArray<System.Byte> 00a2 @DynArraySetLength 00b6 TInSocksInfo.AuthenticateSocks5Connection 00e4 TInSocksInfo.MakeSocks5Request 011b ToBytes 016a @HandleAnyException 0172 RSSocksServerRespondError 0177 LoadResString 0181 _Dn_EInSocksServerRespondError 0186 EInException.Create 018b @RaiseExcept 0190 @DoneExcept 01d8 RSSocksServerGeneralError 01e7 _Dn_EInSocksServerGeneralError 01fe RSSocksServerPermissionError 020d _Dn_EInSocksServerPermissionError 0224 RSSocksServerNetUnreachableError 0233 _Dn_EInSocksServerNetUnreachableError 024a RSSocksServerHostUnreachableError 0259 _Dn_EInSocksServerHostUnreachableError 0270 RSSocksServerConnectionRefusedError 027f _Dn_EInSocksServerConnectionRefusedError 0296 RSSocksServerTTLExpiredError 02a5 _Dn_EInSocksServerTTLExpiredError 02b9 RSSocksServerCommandError 02c8 _Dn_EInSocksServerCommandError 02dc RSSocksServerAddressError 02eb _Dn_EInSocksServerAddressError 02ff RSSocksUnknownError 030e _Dn_EInSocksUnknownError 03a2 _Dn_TInIOHandlerStack 03a7 @AsClass 03cd TInSocketHandle.SetPeer 0418 @HandleOnException 0420 _Dn_Exception 043a @RaiseAgain 0459 @UStrArrayClr 0467 @DynArrayClear 047b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 90 90 00 00 00 8B 45 F8 8B 80 AC 00 00 00 8B 08 FF 51 5C 8B 45 F8 0F B7 90 98 00 00 00 8B 45 F8 8B 80 AC 00 00 00 8B 08 FF 51 60 8B 55 F8 0F B6 92 9A 00 00 00 8B 45 F8 8B 80 AC 00 00 00 88 90 06 01 00 00 8B 55 F8 0F B6 9A 9A 00 00 00 8B 10 FF 92 98 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 FF 00 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 90 AC 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 9A 00 00 00 00 75 24 6A 00 6A 03 8D 45 FC 50 8D 45 F4 50 8B 45 F8 8B 90 AC 00 00 00 B9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 22 6A 00 6A 03 8D 45 FC 50 8D 45 F4 50 8B 45 F8 8B 90 AC 00 00 00 B9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 8D 45 F0 50 33 C9 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 80 AC 00 00 00 83 C9 FF 8B 38 FF 97 94 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC 8B 45 F8 8B 80 AC 00 00 00 B9 02 00 00 00 8B 38 FF 97 C0 00 00 00 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 01 83 F8 08 0F 87 57 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 48 01 00 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 22 01 00 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FC 00 00 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D6 00 00 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B0 00 00 00 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8A 00 00 00 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 55 FC 8B 45 F8 8B 80 AC 00 00 00 B9 02 00 00 00 8B 38 FF 97 C0 00 00 00 8B 45 FC 0F B6 40 01 FE C8 74 0A 2C 02 74 11 FE C8 74 1C EB 23 C7 45 F4 06 00 00 00 33 DB EB 18 8B 45 FC 0F B6 40 04 83 C0 02 89 45 F4 EB 09 C7 45 F4 12 00 00 00 B3 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 55 FC 8B 45 F8 8B 80 AC 00 00 00 8B 4D F4 8B 38 FF 97 C0 00 00 00 53 8B 45 F8 8B 80 AC 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 D8 00 00 00 8B 50 1C 8B 45 FC 0F B6 40 04 8B C8 C1 E1 08 8B 45 FC 0F B6 40 05 66 03 C8 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 28 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 8B 80 AC 00 00 00 8B 10 FF 92 8C 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 30 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 3A 00 30 00 00 00 }
	condition:
		$1
}

rule function_37314_0 {
	meta:
		name = "TIdSocksInfo.CloseUDP"
		size = 108
		refs = "0009 TIdSocksInfo.CloseUDP 0028 RSSocksUDPNotSupported 002d LoadResString 0037 _DV_EIdSocksUDPNotSupportedBySOCKSVersion 003c EIdException.Create 0041 @RaiseExcept 0048 TIdSocksInfo.CloseSocks5UDPAssociation 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 90 A9 00 00 00 4A 80 EA 02 72 04 74 25 EB 28 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_41384_0 {
	meta:
		name = "TInSocksInfo.CloseUDP"
		size = 108
		refs = "0009 TInSocksInfo.CloseUDP 0028 RSSocksUDPNotSupported 002d LoadResString 0037 _DV_EInSocksUDPNotSupportedBySOCKSVersion 003c EInException.Create 0041 @RaiseExcept 0048 TInSocksInfo.CloseSocks5UDPAssociation 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 90 A9 00 00 00 4A 80 EA 02 72 04 74 25 EB 28 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_37315_0 {
	meta:
		name = "TIdSocksInfo.OpenUDP"
		size = 112
		refs = "000a TIdSocksInfo.OpenUDP 0029 RSSocksUDPNotSupported 002e LoadResString 0038 _DV_EIdSocksUDPNotSupportedBySOCKSVersion 003d EIdException.Create 0042 @RaiseExcept 0049 TIdSocksInfo.MakeSocks5UDPAssociation 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 0F B6 88 A9 00 00 00 49 80 E9 02 72 04 74 25 EB 28 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_41385_0 {
	meta:
		name = "TInSocksInfo.OpenUDP"
		size = 112
		refs = "000a TInSocksInfo.OpenUDP 0029 RSSocksUDPNotSupported 002e LoadResString 0038 _DV_EInSocksUDPNotSupportedBySOCKSVersion 003d EInException.Create 0042 @RaiseExcept 0049 TInSocksInfo.MakeSocks5UDPAssociation 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 0F B6 88 A9 00 00 00 49 80 E9 02 72 04 74 25 EB 28 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_37316_0 {
	meta:
		name = "TIdSocksInfo.DisasmUDPReplyPacket"
		size = 378
		refs = "001d TIdSocksInfo.DisasmUDPReplyPacket 002a @DynArrayLength 0055 BytesToIPv4Str 0060 @UStrAsg 009a BytesToString 00bb BytesToIPv6 00ca GStack 00ea IPv6AddressToStr 012b TArray<System.Byte> 0130 @DynArraySetLength 014b CopyTIdBytes 0165 @UStrArrayClr 016b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D E4 89 4D FC 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 83 F8 05 0F 8C 18 01 00 00 0F B6 46 03 FE C8 74 06 2C 02 74 2C EB 66 BF 08 00 00 00 8D 4D E4 BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C C6 00 00 E9 90 00 00 00 0F B6 7E 04 83 C7 04 8B C6 E8 ?? ?? ?? ?? 8D 57 05 3B C2 0F 8C C7 00 00 00 6A 00 8D 45 E0 50 0F B6 4E 04 BA 05 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC E8 ?? ?? ?? ?? EB 54 BF 14 00 00 00 8D 55 E8 B9 05 00 00 00 8B C6 E8 ?? ?? ?? ?? C7 45 F8 08 00 00 00 8D 5D E8 A1 ?? ?? ?? ?? 8B 00 0F B7 13 8B 08 FF 51 54 66 89 03 83 C3 02 FF 4D F8 75 E6 8D 55 DC 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C C6 00 01 0F B6 04 3E C1 E0 08 0F B6 54 3E 01 66 03 C2 8B 55 10 66 89 02 83 C7 02 8B C6 E8 ?? ?? ?? ?? 2B C7 50 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8B C6 E8 ?? ?? ?? ?? 2B C7 50 8B 4D 08 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_41386_0 {
	meta:
		name = "TInSocksInfo.DisasmUDPReplyPacket"
		size = 378
		refs = "001d TInSocksInfo.DisasmUDPReplyPacket 002a @DynArrayLength 0055 BytesToIPv4Str 0060 @UStrAsg 009a BytesToString 00bb BytesToIPv6 00ca GStack 00ea IPv6AddressToStr 012b TArray<System.Byte> 0130 @DynArraySetLength 014b CopyTIdBytes 0165 @UStrArrayClr 016b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D E4 89 4D FC 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 83 F8 05 0F 8C 18 01 00 00 0F B6 46 03 FE C8 74 06 2C 02 74 2C EB 66 BF 08 00 00 00 8D 4D E4 BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C C6 00 00 E9 90 00 00 00 0F B6 7E 04 83 C7 04 8B C6 E8 ?? ?? ?? ?? 8D 57 05 3B C2 0F 8C C7 00 00 00 6A 00 8D 45 E0 50 0F B6 4E 04 BA 05 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC E8 ?? ?? ?? ?? EB 54 BF 14 00 00 00 8D 55 E8 B9 05 00 00 00 8B C6 E8 ?? ?? ?? ?? C7 45 F8 08 00 00 00 8D 5D E8 A1 ?? ?? ?? ?? 8B 00 0F B7 13 8B 08 FF 51 54 66 89 03 83 C3 02 FF 4D F8 75 E6 8D 55 DC 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C C6 00 01 0F B6 04 3E C1 E0 08 0F B6 54 3E 01 66 03 C2 8B 55 10 66 89 02 83 C7 02 8B C6 E8 ?? ?? ?? ?? 2B C7 50 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8B C6 E8 ?? ?? ?? ?? 2B C7 50 8B 4D 08 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_37317_0 {
	meta:
		name = "TIdSocksInfo.MakeUDPRequestPacket"
		size = 708
		refs = "001f TIdSocksInfo.MakeUDPRequestPacket 0038 TArray<System.Byte> 003d @DynArraySetLength 0064 MakeCanonicalIPv6Address 009e _Dn_TIdIPAddress 00a3 TIdIPAddress.MakeAddressObject 00c9 TIdIPAddress.HToNBytes 00d6 CopyTIdBytes 00f0 TObject.Free 00f6 @HandleFinally 0106 GStack 010f TIdStack.IsIP 01cf ToBytes 01e0 @DynArrayAsg 0246 @DynArrayLength 029a @FinalizeArray 02a2 @UStrClr 02b0 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B D9 89 55 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 04 00 00 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 00 C6 00 00 8B 45 08 8B 00 C6 40 01 00 8B 45 08 8B 00 C6 40 02 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 83 00 00 00 8B 45 08 8B 00 C6 40 03 04 8B 45 08 8B 00 C6 40 04 10 C7 45 F4 05 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D F0 00 74 1C 6A 04 6A 10 8D 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E4 8B 4D 08 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 83 45 F4 10 E9 0A 01 00 00 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 84 C0 74 7C 8B 45 08 8B 00 C6 40 03 01 8B 45 08 8B 00 C6 40 04 04 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D F0 00 74 1C 6A 04 6A 04 8D 55 E0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E0 8B 4D 08 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB C7 45 F4 08 00 00 00 EB 7C 8B 45 08 8B 00 C6 40 03 03 8B F3 8B C6 85 C0 74 05 83 E8 04 8B 00 8B 55 08 8B 12 88 42 04 C7 45 F4 05 00 00 00 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 3A 8D 4D DC 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 8B 55 F4 52 50 8B 4D 08 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 01 45 F4 A1 ?? ?? ?? ?? 8B 00 0F B7 55 0C 8B 08 FF 51 2C 8B D8 8B 45 F4 50 6A 02 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 8B 4D 08 33 D2 E8 ?? ?? ?? ?? 83 45 F4 02 8B 45 F8 E8 ?? ?? ?? ?? 03 45 F4 50 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 4D 08 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_41387_0 {
	meta:
		name = "TInSocksInfo.MakeUDPRequestPacket"
		size = 708
		refs = "001f TInSocksInfo.MakeUDPRequestPacket 0038 TArray<System.Byte> 003d @DynArraySetLength 0064 MakeCanonicalIPv6Address 009e _Dn_TInIPAddress 00a3 TInIPAddress.MakeAddressObject 00c9 TInIPAddress.HToNBytes 00d6 CopyTIdBytes 00f0 TObject.Free 00f6 @HandleFinally 0106 GStack 010f TInStack.IsIP 01cf ToBytes 01e0 @DynArrayAsg 0246 @DynArrayLength 029a @FinalizeArray 02a2 @UStrClr 02b0 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B D9 89 55 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 04 00 00 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 00 C6 00 00 8B 45 08 8B 00 C6 40 01 00 8B 45 08 8B 00 C6 40 02 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 83 00 00 00 8B 45 08 8B 00 C6 40 03 04 8B 45 08 8B 00 C6 40 04 10 C7 45 F4 05 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D F0 00 74 1C 6A 04 6A 10 8D 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E4 8B 4D 08 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 83 45 F4 10 E9 0A 01 00 00 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 84 C0 74 7C 8B 45 08 8B 00 C6 40 03 01 8B 45 08 8B 00 C6 40 04 04 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D F0 00 74 1C 6A 04 6A 04 8D 55 E0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E0 8B 4D 08 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB C7 45 F4 08 00 00 00 EB 7C 8B 45 08 8B 00 C6 40 03 03 8B F3 8B C6 85 C0 74 05 83 E8 04 8B 00 8B 55 08 8B 12 88 42 04 C7 45 F4 05 00 00 00 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 3A 8D 4D DC 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 8B 55 F4 52 50 8B 4D 08 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 01 45 F4 A1 ?? ?? ?? ?? 8B 00 0F B7 55 0C 8B 08 FF 51 2C 8B D8 8B 45 F4 50 6A 02 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 8B 4D 08 33 D2 E8 ?? ?? ?? ?? 83 45 F4 02 8B 45 F8 E8 ?? ?? ?? ?? 03 45 F4 50 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 4D 08 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_37318_0 {
	meta:
		name = "TIdSocksInfo.RecvFromUDP"
		size = 340
		refs = "001c TIdSocksInfo.RecvFromUDP 0036 RSSocksUDPNotSupported 003b LoadResString 0045 _DV_EIdSocksUDPNotSupportedBySOCKSVersion 004a EIdException.Create 004f @RaiseExcept 0059 @DynArrayLength 006d TArray<System.Byte> 0072 @DynArraySetLength 007f TIdSocketHandle.Readable 008c @UStrClr 00b0 TIdSocketHandle.RecvFrom 00e1 TIdSocksInfo.DisasmUDPReplyPacket 00f2 @DynArrayAsg 010c CopyTIdBytes 0127 @DynArrayClear 0143 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B DA 8B F0 8B 7D 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 86 A9 00 00 00 48 2C 02 73 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 05 C8 00 00 00 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 8B C3 E8 ?? ?? ?? ?? 84 C0 75 19 33 DB 8B C7 E8 ?? ?? ?? ?? 8B 45 10 66 C7 00 00 00 8B 45 0C C6 00 00 EB 70 8B 45 10 50 8B 45 0C 50 8B CF 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 10 50 8B 45 0C 50 8D 45 F0 50 8B CF 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 6A 00 53 8B 4D F8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 8B C3 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_41388_0 {
	meta:
		name = "TInSocksInfo.RecvFromUDP"
		size = 340
		refs = "001c TInSocksInfo.RecvFromUDP 0036 RSSocksUDPNotSupported 003b LoadResString 0045 _DV_EInSocksUDPNotSupportedBySOCKSVersion 004a EInException.Create 004f @RaiseExcept 0059 @DynArrayLength 006d TArray<System.Byte> 0072 @DynArraySetLength 007f TInSocketHandle.Readable 008c @UStrClr 00b0 TInSocketHandle.RecvFrom 00e1 TInSocksInfo.DisasmUDPReplyPacket 00f2 @DynArrayAsg 010c CopyTIdBytes 0127 @DynArrayClear 0143 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B DA 8B F0 8B 7D 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 86 A9 00 00 00 48 2C 02 73 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 05 C8 00 00 00 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 8B C3 E8 ?? ?? ?? ?? 84 C0 75 19 33 DB 8B C7 E8 ?? ?? ?? ?? 8B 45 10 66 C7 00 00 00 8B 45 0C C6 00 00 EB 70 8B 45 10 50 8B 45 0C 50 8B CF 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 10 50 8B 45 0C 50 8D 45 F0 50 8B CF 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 6A 00 53 8B 4D F8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 8B C3 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_37319_0 {
	meta:
		name = "TIdSocksInfo.SendToUDP"
		size = 162
		refs = "0014 TIdSocksInfo.SendToUDP 002e RSSocksUDPNotSupported 0033 LoadResString 003d _DV_EIdSocksUDPNotSupportedBySOCKSVersion 0042 EIdException.Create 0047 @RaiseExcept 005c TIdSocksInfo.MakeUDPRequestPacket 006a TIdSocketHandle.Send 007f @UStrClr 0088 TArray<System.Byte> 008d @DynArrayClear 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 83 A9 00 00 00 48 2C 02 73 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 10 50 8D 45 FC 50 8B CF 8B 55 08 8B C3 E8 ?? ?? ?? ?? 6A FF 33 C9 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_41389_0 {
	meta:
		name = "TInSocksInfo.SendToUDP"
		size = 162
		refs = "0014 TInSocksInfo.SendToUDP 002e RSSocksUDPNotSupported 0033 LoadResString 003d _DV_EInSocksUDPNotSupportedBySOCKSVersion 0042 EInException.Create 0047 @RaiseExcept 005c TInSocksInfo.MakeUDPRequestPacket 006a TInSocketHandle.Send 007f @UStrClr 0088 TArray<System.Byte> 008d @DynArrayClear 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 83 A9 00 00 00 48 2C 02 73 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 10 50 8D 45 FC 50 8B CF 8B 55 08 8B C3 E8 ?? ?? ?? ?? 6A FF 33 C9 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_37320_0 {
	meta:
		name = "TIdSocksInfo.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TIdComponent.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 AC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_41390_0 {
	meta:
		name = "TInSocksInfo.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TInComponent.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 AC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85557_0 {
	meta:
		name = "TSeBitmapObject.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TSeStyleObject.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 AC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37325_0 {
	meta:
		name = "IPToBytes"
		size = 268
		refs = "0018 @UStrAddRef 0020 IPToBytes 0039 TArray<System.Byte> 003e @DynArraySetLength 0064 _Dn_TIdIPAddress 0069 TIdIPAddress.MakeAddressObject 0089 @DynArrayLength 0095 TIdIPAddress.HToNBytes 00a1 CopyTIdBytes 00b5 FillBytes 00cf TObject.Free 00d5 @HandleFinally 00f2 @DynArrayClear 00fa @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 75 19 6A 04 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 17 6A 10 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B CB 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D F8 00 74 23 6A 00 8B 06 E8 ?? ?? ?? ?? 50 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B CE 33 D2 E8 ?? ?? ?? ?? EB 12 8B 06 E8 ?? ?? ?? ?? 8B D0 8B C6 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37326_0 {
	meta:
		name = "ReadFrom"
		size = 106
		refs = "002b cMaxBufSize 0030 IndyMin 0045 TStream.SetPosition 0060 TIdBuffer.ExtractToStream"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 BA 19 00 00 00 8B 83 98 00 00 00 8B 08 FF 91 88 00 00 00 8B 83 98 00 00 00 8B 80 A0 00 00 00 8B 40 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7E 2A 6A 00 6A 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 6A FF 8B 45 08 8B 50 FC 8B 83 98 00 00 00 8B 80 A0 00 00 00 8B CE E8 ?? ?? ?? ?? 8B C6 5E 5B 5D C3 }
	condition:
		$1
}

rule function_37327_0 {
	meta:
		name = "TransferData"
		size = 233
		refs = "0010 _Dn_TMemoryStream 0015 TObject.Create 0020 TransferData 002b cMaxBufSize 0036 TStream.SetSize64 0040 ReadFrom 0053 TStream.SetPosition 00d7 TObject.Free 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 F8 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 99 52 50 8B 45 FC E8 ?? ?? ?? ?? EB 6A 55 8B C6 E8 ?? ?? ?? ?? 59 8B D8 85 DB 7E 27 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B C3 99 52 50 8B 45 F8 8B 80 98 00 00 00 33 C9 8B 55 FC 8B 18 FF 93 B0 00 00 00 55 8B 45 F8 E8 ?? ?? ?? ?? 59 8B D8 85 DB 7E 24 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B C3 99 52 50 8B 86 98 00 00 00 33 C9 8B 55 FC 8B 18 FF 93 B0 00 00 00 8B C6 8B 10 FF 52 74 84 C0 74 10 8B 45 F8 8B 10 FF 52 74 84 C0 0F 85 7B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_37328_0 {
	meta:
		name = "TIdCustomSocksServer.DoAuthenticate"
		size = 43
	strings:
		$1 = { 53 51 66 83 B8 22 01 00 00 00 0F 95 04 24 80 3C 24 00 74 10 8B CC 8B D8 8B 83 24 01 00 00 FF 93 20 01 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_37329_0 {
	meta:
		name = "TIdCustomSocksServer.DoBeforeSocksConnect"
		size = 51
	strings:
		$1 = { 55 8B EC 51 53 C6 45 FF 01 66 83 B8 2A 01 00 00 00 74 16 8B 5D 08 53 8D 5D FF 53 8B D8 8B 83 2C 01 00 00 FF 93 28 01 00 00 0F B6 45 FF 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_37330_0 {
	meta:
		name = "TIdCustomSocksServer.DoBeforeSocksBind"
		size = 51
	strings:
		$1 = { 55 8B EC 51 53 C6 45 FF 01 66 83 B8 32 01 00 00 00 74 16 8B 5D 08 53 8D 5D FF 53 8B D8 8B 83 34 01 00 00 FF 93 30 01 00 00 0F B6 45 FF 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_37331_0 {
	meta:
		name = "TIdCustomSocksServer.DoVerifyBoundPeer"
		size = 51
	strings:
		$1 = { 55 8B EC 51 53 C6 45 FF 01 66 83 B8 3A 01 00 00 00 74 16 8B 5D 08 53 8D 5D FF 53 8B D8 8B 83 3C 01 00 00 FF 93 38 01 00 00 0F B6 45 FF 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_37332_0 {
	meta:
		name = "SendV4Response"
		size = 198
		refs = "0014 SendV4Response 002a TArray<System.Byte> 002f @DynArraySetLength 0043 GStack 005b CopyTIdWord 006b IPToBytes 0078 CopyTIdBytes 00b1 @FinalizeArray 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 08 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC C6 00 04 8B 45 FC 88 58 01 A1 ?? ?? ?? ?? 8B 00 0F B7 55 08 8B 08 FF 51 2C 8D 55 FC B9 02 00 00 00 E8 ?? ?? ?? ?? 6A 04 6A 04 8D 4D F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC 33 D2 E8 ?? ?? ?? ?? 6A 00 8B 46 14 8B 80 98 00 00 00 83 C9 FF 8B 55 FC 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_37333_0 {
	meta:
		name = "SendV5MethodResponse"
		size = 126
		refs = "000f SendV5MethodResponse 0025 TArray<System.Byte> 002a @DynArraySetLength 006d @DynArrayClear 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC C6 00 05 8B 45 FC 88 58 01 6A 00 8B 46 14 8B 80 98 00 00 00 83 C9 FF 8B 55 FC 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37334_0 {
	meta:
		name = "SendV5AuthResponse"
		size = 126
		refs = "000f SendV5AuthResponse 0025 TArray<System.Byte> 002a @DynArraySetLength 006d @DynArrayClear 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC C6 00 01 8B 45 FC 88 58 01 6A 00 8B 46 14 8B 80 98 00 00 00 83 C9 FF 8B 55 FC 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37335_0 {
	meta:
		name = "SendV5Response"
		size = 254
		refs = "0014 SendV5Response 0028 IPToBytes 0030 @DynArrayLength 0045 TArray<System.Byte> 004a @DynArraySetLength 006b LTypes 0089 CopyTIdBytes 008e GStack 00b0 CopyTIdWord 00e9 @FinalizeArray 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 56 48 8D 4D F8 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C0 04 83 C0 02 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC C6 00 05 8B 45 FC 88 58 01 8B 45 FC C6 40 02 00 0F B6 46 48 0F B6 80 ?? ?? ?? ?? 8B 55 FC 88 42 03 6A 04 8B 45 F8 E8 ?? ?? ?? ?? 50 8D 4D FC 33 D2 8B 45 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 0F B7 55 08 8B 08 FF 51 2C 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 83 C1 04 8D 55 FC 58 E8 ?? ?? ?? ?? 6A 00 8B 46 14 8B 80 98 00 00 00 83 C9 FF 8B 55 FC 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_37336_0 {
	meta:
		name = "ReadStringNullTerm"
		size = 118
		refs = "000d ReadStringNullTerm 001a @UStrClr 0030 TIdIOHandler.ReadChar 0041 @UStrFromWChar 004b @UStrCat 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 14 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B D8 66 85 DB 74 14 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 66 85 DB 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37337_0 {
	meta:
		name = "TIdCustomSocksServer.HandleConnectV4"
		size = 422
		refs = "0023 TIdCustomSocksServer.HandleConnectV4 005f BytesToWord 0066 GStack 0083 BytesToIPv4Str 008d @UStrAsg 0096 ReadStringNullTerm 00b0 @UStrClr 0136 SendV4Response 0141 TIdTCPConnection.Disconnect 0149 RSSocksSvrInvalidLogin 014e LoadResString 0156 _DV_EIdSocksSvrInvalidLogin 015b EIdException.Toss 0183 @UStrArrayClr 018c TArray<System.Byte> 0191 @DynArrayClear 0197 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 89 55 FC 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 55 F8 8B 45 FC 8B 40 14 8B 80 98 00 00 00 B9 07 00 00 00 8B 38 FF 97 C0 00 00 00 8B 45 F8 0F B6 00 8B 55 F4 88 02 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 8B 55 08 66 89 02 8D 4D F0 BA 03 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 55 8D 45 EC E8 ?? ?? ?? ?? 59 8B 55 EC 8B 45 FC 83 C0 4C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 50 E8 ?? ?? ?? ?? 8B 45 F8 80 78 03 00 75 57 8B 45 F8 80 78 04 00 75 4E 8B 45 F8 80 78 05 00 75 45 8B 45 F8 80 78 06 00 74 3C 55 8D 45 E8 E8 ?? ?? ?? ?? 59 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 80 B0 00 00 00 85 C0 74 0F 0F B6 80 06 01 00 00 8B 55 FC 88 42 48 EB 10 8B 45 FC C6 40 48 00 EB 07 8B 45 FC C6 40 48 00 8B 55 FC 8B C3 8B 08 FF 91 B8 00 00 00 84 C0 75 33 6A 00 33 C9 B2 5D 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 33 C9 B2 5A 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_37338_0 {
	meta:
		name = "TIdCustomSocksServer.HandleConnectV5"
		size = 923
		refs = "0021 TIdCustomSocksServer.HandleConnectV5 0039 TIdIOHandler.ReadByte 005a @UStrClr 006b SendV5MethodResponse 007c ByteIndex 0090 TIdTCPConnection.Disconnect 0098 RSSocksSvrNotSupported 009d LoadResString 00a5 _DV_EIdSocksSvrNotSupported 00aa EIdException.Toss 00e1 TIdIOHandler.ReadString 00ec @UStrAsg 0130 SendV5AuthResponse 0140 RSSocksSvrInvalidLogin 014d _DV_EIdSocksSvrInvalidLogin 01d5 BytesToIPv4Str 01ed BytesToWord 01f4 GStack 023d @DynArrayLength 024c BytesToString 02cd BytesToIPv6 02f8 IPv6AddressToStr 0337 SendV5Response 0347 RSSocksSvrWrongATYP 0354 _DV_EIdSocksSvrSocks5WrongATYP 0373 @UStrArrayClr 037c TArray<System.Byte> 0386 @FinalizeArray 038c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8B 43 14 8B B8 98 00 00 00 8B C7 E8 ?? ?? ?? ?? 0F B6 C8 8D 55 FC 8B C7 8B 38 FF 97 C0 00 00 00 80 BE 18 01 00 00 00 75 1E 8D 43 4C E8 ?? ?? ?? ?? 8D 43 50 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? E9 EB 00 00 00 33 C9 8B 55 FC B0 02 E8 ?? ?? ?? ?? 40 75 2B B2 FF 8B C3 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 02 8B C3 E8 ?? ?? ?? ?? 8B 43 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 43 14 8B B8 98 00 00 00 8B C7 E8 ?? ?? ?? ?? 0F B6 D0 8B C7 33 C9 E8 ?? ?? ?? ?? 8B 55 DC 8D 43 4C E8 ?? ?? ?? ?? 8D 45 D8 50 8B 43 14 8B B8 98 00 00 00 8B C7 E8 ?? ?? ?? ?? 0F B6 D0 8B C7 33 C9 E8 ?? ?? ?? ?? 8B 55 D8 8D 43 50 E8 ?? ?? ?? ?? 8B D3 8B C6 8B 08 FF 91 B8 00 00 00 84 C0 75 2B B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8B 43 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 88 02 8B 43 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8B 43 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? FE C8 74 11 2C 02 74 6A FE C8 0F 84 FD 00 00 00 E9 7D 01 00 00 6A 01 8D 55 F8 8B 43 14 8B 80 98 00 00 00 B9 06 00 00 00 8B 30 FF 96 C0 00 00 00 8D 4D D0 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 0C E8 ?? ?? ?? ?? BA 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 8B 55 08 66 89 02 C6 43 48 00 E9 4F 01 00 00 6A 01 8B 43 14 8B B0 98 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 C8 83 C1 02 8D 55 F8 8B C6 8B 30 FF 96 C0 00 00 00 6A 00 8D 45 CC 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 83 E9 02 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 0C E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 83 EA 02 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 8B 55 08 66 89 02 8B 43 14 8B 80 B0 00 00 00 85 C0 74 0F 0F B6 80 06 01 00 00 88 43 48 E9 BD 00 00 00 C6 43 48 00 E9 B4 00 00 00 6A 01 8D 55 F8 8B 43 14 8B 80 98 00 00 00 B9 12 00 00 00 8B 30 FF 96 C0 00 00 00 8D 55 E4 33 C9 8B 45 F8 E8 ?? ?? ?? ?? BF 08 00 00 00 8D 75 E4 A1 ?? ?? ?? ?? 8B 00 0F B7 16 8B 08 FF 51 54 66 89 06 83 C6 02 4F 75 E8 8D 55 C8 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 0C E8 ?? ?? ?? ?? BA 10 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 8B 55 08 66 89 02 C6 43 48 01 EB 2F 6A 00 33 C9 B2 08 8B C3 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_37339_0 {
	meta:
		name = "TIdCustomSocksServer.DoExecute"
		size = 380
		refs = "0016 TIdCustomSocksServer.DoExecute 0029 _DV_TIdSocksServerContext 002e @AsClass 0041 TIdIOHandler.ReadByte 006a RSSocksSvrWrongSocksVersion 006f LoadResString 0077 _DV_EIdSocksSvrWrongSocksVer 007c EIdException.Toss 010f SendV4Response 011e SendV5Response 0129 TIdTCPConnection.Disconnect 0131 RSSocksSvrWrongSocksCommand 013e _DV_EIdSocksSvrWrongSocksCmd 015d @UStrArrayClr 0165 @UStrClr 016b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 01 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F8 8B 40 14 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 88 43 54 80 7B 54 04 75 09 80 BE 19 01 00 00 00 75 29 80 7B 54 05 75 09 80 BE 1A 01 00 00 00 75 1A 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 43 54 2C 04 74 06 FE C8 74 1B EB 30 8D 45 FC 50 8D 45 F4 50 8D 4D F6 8B D3 8B C6 8B 38 FF 97 C8 00 00 00 EB 17 8D 45 FC 50 8D 45 F4 50 8D 4D F6 8B D3 8B C6 8B 38 FF 97 CC 00 00 00 0F B6 45 F6 FE C8 74 06 FE C8 74 18 EB 2C 0F B7 45 F4 50 8B 4D FC 8B D3 8B C6 8B 18 FF 93 B0 00 00 00 EB 65 0F B7 45 F4 50 8B 4D FC 8B D3 8B C6 8B 18 FF 93 B4 00 00 00 EB 4F 0F B6 43 54 2C 04 74 06 FE C8 74 11 EB 1C 6A 00 33 C9 B2 5D 8B C3 E8 ?? ?? ?? ?? EB 0D 6A 00 33 C9 B2 07 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37340_0 {
	meta:
		name = "TIdSocksServer.CommandConnect"
		size = 542
		refs = "001c TIdSocksServer.CommandConnect 002c @UStrLAsg 0063 SendV4Response 0073 SendV5Response 007e TIdTCPConnection.Disconnect 0086 RSSocksSvrAccessDenied 008b LoadResString 0093 _DV_EIdSocksSvrAccessDenied 0098 EIdException.Toss 00c2 _Dn_TIdTCPClient 00c7 TIdBaseComponent.Create 0106 TIdTCPClientCustom.SetConnectTimeout 0120 @HandleAnyException 0157 @RaiseAgain 015c @DoneExcept 01b7 TransferData 01e4 TObject.Free 01ea @HandleFinally 0201 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D FC 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 0F B7 45 08 66 89 45 F2 8D 45 F2 50 8D 4D FC 8B 55 F8 8B C3 8B 18 FF 93 BC 00 00 00 84 C0 75 4C 8B 45 F8 80 78 54 04 75 10 6A 00 33 C9 B2 5B 8B 45 F8 E8 ?? ?? ?? ?? EB 0E 6A 00 33 C9 B2 02 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 0F B7 55 F2 8B 45 F4 8B 08 FF 91 A4 00 00 00 8B 55 FC 8B 45 F4 8B 08 FF 91 A0 00 00 00 8B 45 F8 0F B6 50 48 8B 45 F4 8B 08 FF 91 A8 00 00 00 BA C0 D4 01 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 92 AC 00 00 00 33 C0 5A 59 59 64 89 10 EB 41 E9 ?? ?? ?? ?? 8B 45 F8 80 78 54 04 75 10 6A 00 33 C9 B2 5B 8B 45 F8 E8 ?? ?? ?? ?? EB 0E 6A 00 33 C9 B2 04 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 80 78 54 04 75 23 8B 45 F4 8B 80 B0 00 00 00 8B 80 D8 00 00 00 0F B7 50 20 52 8B 48 18 B2 5A 8B 45 F8 E8 ?? ?? ?? ?? EB 21 8B 45 F4 8B 80 B0 00 00 00 8B 80 D8 00 00 00 0F B7 50 20 52 8B 48 18 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_37341_0 {
	meta:
		name = "TIdSocksServer.CommandBind"
		size = 807
		refs = "001f TIdSocksServer.CommandBind 002f @UStrLAsg 0066 SendV4Response 0076 SendV5Response 0081 TIdTCPConnection.Disconnect 0089 RSSocksSvrAccessDenied 008e LoadResString 0096 _DV_EIdSocksSvrAccessDenied 009b EIdException.Toss 00c5 _Dn_TIdSimpleServer 00ca TIdBaseComponent.Create 00dc TIdSimpleServer.SetIPVersion 00f6 @HandleAnyException 012d @RaiseAgain 0132 @DoneExcept 0143 TIdSimpleServer.GetBinding 024c RSSocksSvrPeerMismatch 0259 _DV_EIdSocksSvrPeerMismatch 02bb TransferData 02e8 TObject.Free 02ee @HandleFinally 030a @UStrArrayClr 0312 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 5D FC 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 0F B7 45 08 66 89 45 F2 8D 45 F2 50 8D 4D FC 8B 55 F8 8B C3 8B 30 FF 96 C0 00 00 00 84 C0 75 4C 8B 45 F8 80 78 54 04 75 10 6A 00 33 C9 B2 5B 8B 45 F8 E8 ?? ?? ?? ?? EB 0E 6A 00 33 C9 B2 02 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 0F B6 50 48 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 92 A4 00 00 00 33 C0 5A 59 59 64 89 10 EB 41 E9 ?? ?? ?? ?? 8B 45 F8 80 78 54 04 75 10 6A 00 33 C9 B2 5B 8B 45 F8 E8 ?? ?? ?? ?? EB 0E 6A 00 33 C9 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 80 78 54 04 75 24 8B 45 F4 E8 ?? ?? ?? ?? 0F B7 40 20 50 8B 45 F4 E8 ?? ?? ?? ?? 8B 48 18 B2 5A 8B 45 F8 E8 ?? ?? ?? ?? EB 22 8B 45 F4 E8 ?? ?? ?? ?? 0F B7 40 20 50 8B 45 F4 E8 ?? ?? ?? ?? 8B 48 18 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA C0 D4 01 00 8B 45 F4 8B 08 FF 91 AC 00 00 00 33 C0 5A 59 59 64 89 10 EB 41 E9 ?? ?? ?? ?? 8B 45 F8 80 78 54 04 75 10 6A 00 33 C9 B2 5D 8B 45 F8 E8 ?? ?? ?? ?? EB 0E 6A 00 33 C9 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 1C 50 8B 4D FC 8B 55 F8 8B C3 8B 18 FF 93 C4 00 00 00 84 C0 75 54 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 80 78 54 04 75 10 6A 00 33 C9 B2 5B 8B 45 F8 E8 ?? ?? ?? ?? EB 0E 6A 00 33 C9 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 80 78 54 04 75 24 8B 45 F4 E8 ?? ?? ?? ?? 0F B7 40 22 50 8B 45 F4 E8 ?? ?? ?? ?? 8B 48 1C B2 5A 8B 45 F8 E8 ?? ?? ?? ?? EB 22 8B 45 F4 E8 ?? ?? ?? ?? 0F B7 40 22 50 8B 45 F4 E8 ?? ?? ?? ?? 8B 48 1C 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_37342_0 {
	meta:
		name = "TIdEventSocksServer.CommandConnect"
		size = 38
	strings:
		$1 = { 55 8B EC 53 66 83 B8 42 01 00 00 00 74 13 0F B7 5D 08 53 8B D8 8B 83 44 01 00 00 FF 93 40 01 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37343_0 {
	meta:
		name = "TIdEventSocksServer.CommandBind"
		size = 38
	strings:
		$1 = { 55 8B EC 53 66 83 B8 4A 01 00 00 00 74 13 0F B7 5D 08 53 8B D8 8B 83 4C 01 00 00 FF 93 48 01 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37344_0 {
	meta:
		name = "TIdCustomSocksServer.InitComponent"
		size = 58
		refs = "0006 TIdCustomTCPServer.InitComponent 000b _DV_TIdSocksServerContext"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 83 9C 00 00 00 66 BA 38 04 8B C3 8B 08 FF 91 98 00 00 00 C6 83 19 01 00 00 01 C6 83 1A 01 00 00 01 C6 83 18 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_37345_0 {
	meta:
		name = "TIdSocksServerContext.Create"
		size = 91
		refs = "000d @ClassCreate 0022 TIdContext.Create 002e @UStrClr 0045 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 48 00 8D 46 4C E8 ?? ?? ?? ?? 8D 46 50 E8 ?? ?? ?? ?? C6 46 54 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_37355_0 {
	meta:
		name = "RegisterSSL"
		size = 99
		refs = "000f GSSLRegistry 0014 TIdSSLRegistry.Add 0020 @UStrAsg"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 8D 43 10 8B D7 E8 ?? ?? ?? ?? 8D 43 14 8B 55 FC E8 ?? ?? ?? ?? 8D 43 18 8B 55 14 E8 ?? ?? ?? ?? 8D 43 1C 8B 55 10 E8 ?? ?? ?? ?? 8B 45 0C 89 43 20 8B 45 08 89 43 24 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_41400_0 {
	meta:
		name = "RegisterSSL"
		size = 99
		refs = "000f GSSLRegistry 0014 TInSSLRegistry.Add 0020 @UStrAsg"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 8D 43 10 8B D7 E8 ?? ?? ?? ?? 8D 43 14 8B 55 FC E8 ?? ?? ?? ?? 8D 43 18 8B 55 14 E8 ?? ?? ?? ?? 8D 43 1C 8B 55 10 E8 ?? ?? ?? ?? 8B 45 0C 89 43 20 8B 45 08 89 43 24 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_37356_0 {
	meta:
		name = "TIdSSLIOHandlerSocketBase.ReadDataFromSource"
		size = 24
		refs = "000a TIdIOHandlerStack.ReadDataFromSource"
	strings:
		$1 = { 80 B8 08 01 00 00 00 74 06 E8 ?? ?? ?? ?? C3 8B 08 FF 91 FC 00 00 00 C3 }
	condition:
		$1
}

rule function_41401_0 {
	meta:
		name = "TInSSLIOHandlerSocketBase.ReadDataFromSource"
		size = 24
		refs = "000a TInIOHandlerStack.ReadDataFromSource"
	strings:
		$1 = { 80 B8 08 01 00 00 00 74 06 E8 ?? ?? ?? ?? C3 8B 08 FF 91 FC 00 00 00 C3 }
	condition:
		$1
}

rule function_37357_0 {
	meta:
		name = "TIdSSLIOHandlerSocketBase.WriteDataToTarget"
		size = 40
		refs = "0013 TIdIOHandlerStack.WriteDataToTarget"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 80 B8 08 01 00 00 00 74 08 56 E8 ?? ?? ?? ?? EB 09 56 8B 18 FF 93 00 01 00 00 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_41402_0 {
	meta:
		name = "TInSSLIOHandlerSocketBase.WriteDataToTarget"
		size = 40
		refs = "0013 TInIOHandlerStack.WriteDataToTarget"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 80 B8 08 01 00 00 00 74 08 56 E8 ?? ?? ?? ?? EB 09 56 8B 18 FF 93 00 01 00 00 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37358_0 {
	meta:
		name = "TIdSSLIOHandlerSocketBase.SetPassThrough"
		size = 7
		altNames = "TInSSLIOHandlerSocketBase.SetPassThrough"
	strings:
		$1 = { 88 90 08 01 00 00 C3 }
	condition:
		$1
}

rule function_37359_0 {
	meta:
		name = "TIdSSLIOHandlerSocketBase.SetURIToCheck"
		size = 22
		refs = "000f @UStrAsg"
		altNames = "TInSSLIOHandlerSocketBase.SetURIToCheck"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 0C 01 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37367_0 {
	meta:
		name = "GetStateVars"
		size = 749
		refs = "001d GetStateVars 008e RSOSSLAlert 0093 LoadResString 009d SSL_alert_type_string_long 00b4 IndyFormat 00bf @UStrAsg 00d4 @UStrFromPChar 00e5 RSOSSLReadAlert 011c SSL_alert_desc_string_long 013c RSOSSLWriteAlert 018f RSOSSLAcceptLoop 019a SSL_state_string_long 01ba RSOSSLAcceptError 01cd RSOSSLAcceptFailed 01dc RSOSSLAcceptExit 0203 RSOSSLConnectLoop 022e RSOSSLConnectError 0241 RSOSSLConnectFailed 0250 RSOSSLConnectExit 0274 RSOSSLHandshakeStart 0298 RSOSSLHandshakeDone 02cc @UStrArrayClr 02df @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 FA 01 20 00 00 7F 30 0F 84 56 01 00 00 83 EA 10 0F 84 32 02 00 00 83 EA 10 0F 84 4D 02 00 00 81 EA E1 0F 00 00 0F 84 AC 01 00 00 4A 0F 84 CC 01 00 00 E9 57 02 00 00 81 EA 02 20 00 00 0F 84 47 01 00 00 81 EA FE 1F 00 00 74 13 83 EA 04 74 65 83 EA 04 0F 84 B3 00 00 00 E9 30 02 00 00 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 53 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 F0 C6 45 F4 06 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 53 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8B 45 08 E8 ?? ?? ?? ?? E9 D9 01 00 00 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 53 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 F0 C6 45 F4 06 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 0C E8 ?? ?? ?? ?? 53 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8B 45 08 E8 ?? ?? ?? ?? E9 82 01 00 00 8D 45 E4 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 53 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 F0 C6 45 F4 06 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 0C E8 ?? ?? ?? ?? 53 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8B 45 08 E8 ?? ?? ?? ?? E9 2B 01 00 00 8B 55 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8B 45 08 E8 ?? ?? ?? ?? E9 04 01 00 00 85 DB 7D 0F 8B 55 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 20 85 DB 75 0F 8B 55 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 55 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8B 45 08 E8 ?? ?? ?? ?? E9 B7 00 00 00 8B 55 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8B 45 08 E8 ?? ?? ?? ?? E9 90 00 00 00 85 DB 7D 0F 8B 55 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 20 85 DB 75 0F 8B 55 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 55 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8B 45 08 E8 ?? ?? ?? ?? EB 46 8B 55 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8B 45 08 E8 ?? ?? ?? ?? EB 22 8B 55 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_37368_0 {
	meta:
		name = "PasswordCallback"
		size = 363
		refs = "0015 PasswordCallback 0020 GStack 003d LockPassCB 0057 @LStrClr 0065 _DV_TIdSSLIOHandlerSocketOpenSSL 006a @IsClass 009f _DV_TIdServerIOHandlerSSLOpenSSL 00d5 @FillChar 00e3 StrPLCopy 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C0 89 45 FC 8B 75 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 40 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 FC E8 ?? ?? ?? ?? 8B 5D 14 8B 7B 34 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 26 85 F6 0F 9F C1 8D 55 FC 8B C7 8B 38 FF 97 20 01 00 00 83 7D FC 00 75 0E 8D 55 FC 8B 43 34 8B 08 FF 91 1C 01 00 00 8B 7B 34 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 85 F6 0F 9F C1 8D 55 FC 8B C7 8B 30 FF 56 78 83 7D FC 00 75 0B 8D 55 FC 8B 43 34 8B 08 FF 51 74 8B 45 08 33 C9 8B 55 0C E8 ?? ?? ?? ?? 8B 4D 0C 8B 55 FC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 89 45 F8 8B 45 08 8B 55 0C C6 44 10 FF 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 F4 8B 08 FF 51 44 C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41413_0 {
	meta:
		name = "PasswordCallback"
		size = 363
		refs = "0015 PasswordCallback 0020 GStack 003d LockPassCB 0057 @LStrClr 0065 _DV_TInSSLIOHandlerSocketOpenSSL 006a @IsClass 009f _DV_TInServerIOHandlerSSLOpenSSL 00d5 @FillChar 00e3 StrPLCopy 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C0 89 45 FC 8B 75 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 40 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 FC E8 ?? ?? ?? ?? 8B 5D 14 8B 7B 34 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 26 85 F6 0F 9F C1 8D 55 FC 8B C7 8B 38 FF 97 20 01 00 00 83 7D FC 00 75 0E 8D 55 FC 8B 43 34 8B 08 FF 91 1C 01 00 00 8B 7B 34 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 85 F6 0F 9F C1 8D 55 FC 8B C7 8B 30 FF 56 78 83 7D FC 00 75 0B 8D 55 FC 8B 43 34 8B 08 FF 51 74 8B 45 08 33 C9 8B 55 0C E8 ?? ?? ?? ?? 8B 4D 0C 8B 55 FC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 89 45 F8 8B 45 08 8B 55 0C C6 44 10 FF 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 F4 8B 08 FF 51 44 C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37369_0 {
	meta:
		name = "InfoCallback"
		size = 1787
		refs = "001d InfoCallback 0028 GStack 0045 LockInfoCB 005e SSL_get_app_data 006a SSL_state_string_long 0077 StrPas 008d RSOSSLStatusString 0092 LoadResString 009d IndyFormat 00a6 _DV_TIdSSLIOHandlerSocketOpenSSL 00ab @IsClass 0144 RSOSSLAlert 0156 SSL_alert_type_string_long 0185 @UStrFromPChar 0196 RSOSSLReadAlert 01c8 SSL_alert_desc_string_long 01e8 RSOSSLWriteAlert 0236 RSOSSLAcceptLoop 0266 RSOSSLAcceptError 027b RSOSSLAcceptFailed 028a RSOSSLAcceptExit 02b4 RSOSSLConnectLoop 02e4 RSOSSLConnectError 02f9 RSOSSLConnectFailed 0308 RSOSSLConnectExit 032f RSOSSLHandshakeStart 0356 RSOSSLHandshakeDone 038b TIdSSLIOHandlerSocketOpenSSL.DoStatusInfoEx 0394 _DV_TIdServerIOHandlerSSLOpenSSL 0676 TIdServerIOHandlerSSLOpenSSL.DoStatusInfoEx 0693 @HandleFinally 06d3 @UStrArrayClr 06db @LStrClr"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B 7D 0C 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 40 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C6 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 50 56 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 0B 8D 45 DC 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 33 C9 5A E8 ?? ?? ?? ?? 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D8 02 00 00 8B 43 04 8B 55 FC 8B 08 FF 91 18 01 00 00 8B 43 04 66 83 B8 2A 01 00 00 00 0F 84 B9 02 00 00 89 75 F0 8B 45 10 89 45 EC 8B C7 3D 01 20 00 00 7F 2F 0F 84 44 01 00 00 83 E8 10 0F 84 34 02 00 00 83 E8 10 0F 84 52 02 00 00 2D E1 0F 00 00 0F 84 A5 01 00 00 48 0F 84 C8 01 00 00 E9 60 02 00 00 2D 02 20 00 00 0F 84 3A 01 00 00 2D FE 1F 00 00 74 13 83 E8 04 74 60 83 E8 04 0F 84 A9 00 00 00 E9 3B 02 00 00 8D 45 FC 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 DC C6 45 E0 06 8D 55 DC 33 C9 58 E8 ?? ?? ?? ?? 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 E9 01 00 00 8D 45 FC 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 DC C6 45 E0 06 8D 55 DC 33 C9 58 E8 ?? ?? ?? ?? 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 97 01 00 00 8D 45 FC 50 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 50 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 DC C6 45 E0 06 8D 55 DC 33 C9 58 E8 ?? ?? ?? ?? 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 45 01 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 1B 01 00 00 83 7D EC 00 7D 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 83 7D EC 00 75 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 C7 00 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 9D 00 00 00 83 7D EC 00 7D 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 83 7D EC 00 75 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? EB 4C 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? EB 25 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 FC 50 8B 45 F8 50 8B 43 04 8B CF 8B D6 E8 ?? ?? ?? ?? 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D5 02 00 00 8B 43 04 8B 55 FC 8B 08 FF 51 70 8B 43 04 66 83 B8 AA 00 00 00 00 0F 84 B9 02 00 00 89 75 E8 8B 45 10 89 45 E4 8B C7 3D 01 20 00 00 7F 2F 0F 84 44 01 00 00 83 E8 10 0F 84 34 02 00 00 83 E8 10 0F 84 52 02 00 00 2D E1 0F 00 00 0F 84 A5 01 00 00 48 0F 84 C8 01 00 00 E9 60 02 00 00 2D 02 20 00 00 0F 84 3A 01 00 00 2D FE 1F 00 00 74 13 83 E8 04 74 60 83 E8 04 0F 84 A9 00 00 00 E9 3B 02 00 00 8D 45 FC 50 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 50 8B 45 E4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 DC C6 45 E0 06 8D 55 DC 33 C9 58 E8 ?? ?? ?? ?? 8B 45 E4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 E9 01 00 00 8D 45 FC 50 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 50 8B 45 E4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 DC C6 45 E0 06 8D 55 DC 33 C9 58 E8 ?? ?? ?? ?? 8B 45 E4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 97 01 00 00 8D 45 FC 50 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 50 8B 45 E4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 DC C6 45 E0 06 8D 55 DC 33 C9 58 E8 ?? ?? ?? ?? 8B 45 E4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 45 01 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 1B 01 00 00 83 7D E4 00 7D 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 83 7D E4 00 75 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 C7 00 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 9D 00 00 00 83 7D E4 00 7D 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 83 7D E4 00 75 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? EB 4C 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? EB 25 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 FC 50 8B 45 F8 50 8B 43 04 8B CF 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 F4 8B 08 FF 51 44 C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41414_0 {
	meta:
		name = "InfoCallback"
		size = 1787
		refs = "001d InfoCallback 0028 GStack 0045 LockInfoCB 005e SSL_get_app_data 006a SSL_state_string_long 0077 StrPas 008d RSOSSLStatusString 0092 LoadResString 009d IndyFormat 00a6 _DV_TInSSLIOHandlerSocketOpenSSL 00ab @IsClass 0144 RSOSSLAlert 0156 SSL_alert_type_string_long 0185 @UStrFromPChar 0196 RSOSSLReadAlert 01c8 SSL_alert_desc_string_long 01e8 RSOSSLWriteAlert 0236 RSOSSLAcceptLoop 0266 RSOSSLAcceptError 027b RSOSSLAcceptFailed 028a RSOSSLAcceptExit 02b4 RSOSSLConnectLoop 02e4 RSOSSLConnectError 02f9 RSOSSLConnectFailed 0308 RSOSSLConnectExit 032f RSOSSLHandshakeStart 0356 RSOSSLHandshakeDone 038b TInSSLIOHandlerSocketOpenSSL.DoStatusInfoEx 0394 _DV_TInServerIOHandlerSSLOpenSSL 0676 TInServerIOHandlerSSLOpenSSL.DoStatusInfoEx 0693 @HandleFinally 06d3 @UStrArrayClr 06db @LStrClr"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B 7D 0C 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 40 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C6 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 50 56 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 0B 8D 45 DC 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 33 C9 5A E8 ?? ?? ?? ?? 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D8 02 00 00 8B 43 04 8B 55 FC 8B 08 FF 91 18 01 00 00 8B 43 04 66 83 B8 2A 01 00 00 00 0F 84 B9 02 00 00 89 75 F0 8B 45 10 89 45 EC 8B C7 3D 01 20 00 00 7F 2F 0F 84 44 01 00 00 83 E8 10 0F 84 34 02 00 00 83 E8 10 0F 84 52 02 00 00 2D E1 0F 00 00 0F 84 A5 01 00 00 48 0F 84 C8 01 00 00 E9 60 02 00 00 2D 02 20 00 00 0F 84 3A 01 00 00 2D FE 1F 00 00 74 13 83 E8 04 74 60 83 E8 04 0F 84 A9 00 00 00 E9 3B 02 00 00 8D 45 FC 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 DC C6 45 E0 06 8D 55 DC 33 C9 58 E8 ?? ?? ?? ?? 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 E9 01 00 00 8D 45 FC 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 DC C6 45 E0 06 8D 55 DC 33 C9 58 E8 ?? ?? ?? ?? 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 97 01 00 00 8D 45 FC 50 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 50 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 DC C6 45 E0 06 8D 55 DC 33 C9 58 E8 ?? ?? ?? ?? 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 45 01 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 1B 01 00 00 83 7D EC 00 7D 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 83 7D EC 00 75 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 C7 00 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 9D 00 00 00 83 7D EC 00 7D 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 83 7D EC 00 75 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? EB 4C 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? EB 25 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 FC 50 8B 45 F8 50 8B 43 04 8B CF 8B D6 E8 ?? ?? ?? ?? 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D5 02 00 00 8B 43 04 8B 55 FC 8B 08 FF 51 70 8B 43 04 66 83 B8 AA 00 00 00 00 0F 84 B9 02 00 00 89 75 E8 8B 45 10 89 45 E4 8B C7 3D 01 20 00 00 7F 2F 0F 84 44 01 00 00 83 E8 10 0F 84 34 02 00 00 83 E8 10 0F 84 52 02 00 00 2D E1 0F 00 00 0F 84 A5 01 00 00 48 0F 84 C8 01 00 00 E9 60 02 00 00 2D 02 20 00 00 0F 84 3A 01 00 00 2D FE 1F 00 00 74 13 83 E8 04 74 60 83 E8 04 0F 84 A9 00 00 00 E9 3B 02 00 00 8D 45 FC 50 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 50 8B 45 E4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 DC C6 45 E0 06 8D 55 DC 33 C9 58 E8 ?? ?? ?? ?? 8B 45 E4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 E9 01 00 00 8D 45 FC 50 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 50 8B 45 E4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 DC C6 45 E0 06 8D 55 DC 33 C9 58 E8 ?? ?? ?? ?? 8B 45 E4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 97 01 00 00 8D 45 FC 50 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 50 8B 45 E4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 DC C6 45 E0 06 8D 55 DC 33 C9 58 E8 ?? ?? ?? ?? 8B 45 E4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 45 01 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 1B 01 00 00 83 7D E4 00 7D 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 83 7D E4 00 75 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 C7 00 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? E9 9D 00 00 00 83 7D E4 00 7D 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 83 7D E4 00 75 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? EB 4C 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? EB 25 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 FC 50 8B 45 F8 50 8B 43 04 8B CF 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 F4 8B 08 FF 51 44 C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37370_0 {
	meta:
		name = "TranslateInternalVerifyToSSL"
		size = 35
	strings:
		$1 = { 51 88 04 24 33 C0 F6 04 24 01 74 03 83 C8 01 F6 04 24 02 74 03 83 C8 02 F6 04 24 04 74 03 83 C8 04 5A C3 }
	condition:
		$1
}

rule function_37371_0 {
	meta:
		name = "VerifyCallback"
		size = 411
		refs = "0010 LockVerifyCB 001c VerifyCallback 003b X509_STORE_CTX_get_app_data 0051 @TryFinallyExit 005c X509_STORE_CTX_get_current_cert 0070 _DV_TIdX509 0075 TIdX509.Create 008d SSL_get_app_data 0095 X509_STORE_CTX_get_error 00a3 X509_STORE_CTX_get_error_depth 00d2 _DV_TIdSSLIOHandlerSocketOpenSSL 00d7 @IsClass 0102 _DV_TIdServerIOHandlerSSLOpenSSL 013e TObject.Free 0144 @HandleFinally 0155 @HandleAnyException 015a @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B 75 0C 8B 7D 08 A1 ?? ?? ?? ?? 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 45 F3 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 15 89 7D FC 33 C0 5A 59 59 64 89 10 E8 ?? ?? ?? ?? E9 37 01 00 00 56 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 F8 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? 8B D8 56 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 E8 56 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 EC 85 FF 7E 0B 8B 43 14 8B 40 14 3B 45 EC 7D 02 33 FF C6 45 E7 00 4F 75 04 C6 45 E7 01 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8B 45 EC 50 8B 45 E8 50 8B C6 0F B6 4D E7 8B 55 F4 8B 30 FF 96 24 01 00 00 88 45 F3 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B 45 EC 50 8B 45 E8 50 8B C6 0F B6 4D E7 8B 55 F4 8B 18 FF 53 7C 88 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D F3 00 74 09 C7 45 FC 01 00 00 00 EB 05 33 C0 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41416_0 {
	meta:
		name = "VerifyCallback"
		size = 411
		refs = "0010 LockVerifyCB 001c VerifyCallback 003b X509_STORE_CTX_get_app_data 0051 @TryFinallyExit 005c X509_STORE_CTX_get_current_cert 0070 _DV_TIdX509 0075 TIdX509.Create 008d SSL_get_app_data 0095 X509_STORE_CTX_get_error 00a3 X509_STORE_CTX_get_error_depth 00d2 _DV_TInSSLIOHandlerSocketOpenSSL 00d7 @IsClass 0102 _DV_TInServerIOHandlerSSLOpenSSL 013e TObject.Free 0144 @HandleFinally 0155 @HandleAnyException 015a @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B 75 0C 8B 7D 08 A1 ?? ?? ?? ?? 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 45 F3 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 15 89 7D FC 33 C0 5A 59 59 64 89 10 E8 ?? ?? ?? ?? E9 37 01 00 00 56 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 F8 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? 8B D8 56 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 E8 56 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 EC 85 FF 7E 0B 8B 43 14 8B 40 14 3B 45 EC 7D 02 33 FF C6 45 E7 00 4F 75 04 C6 45 E7 01 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8B 45 EC 50 8B 45 E8 50 8B C6 0F B6 4D E7 8B 55 F4 8B 30 FF 96 24 01 00 00 88 45 F3 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B 45 EC 50 8B 45 E8 50 8B C6 0F B6 4D E7 8B 55 F4 8B 18 FF 53 7C 88 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D F3 00 74 09 C7 45 FC 01 00 00 00 EB 05 33 C0 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37373_0 {
	meta:
		name = "by_Indy_unicode_file_ctrl"
		size = 292
		refs = "000e by_Indy_unicode_file_ctrl 0038 X509_get_default_cert_file_env 0046 @UStrFromPChar 0051 GetEnvironmentVariable 0067 Indy_unicode_X509_load_cert_crl_file 0076 X509_get_default_cert_file 00af X509err 00bc @UStrFromPWChar 00ef Indy_unicode_X509_load_cert_file 0111 @UStrArrayClr 0117 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 0C 48 0F 85 D7 00 00 00 8B 45 14 48 0F 84 87 00 00 00 83 E8 02 0F 85 A3 00 00 00 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 1A B9 01 00 00 00 8B 55 FC 8B 45 08 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 83 E3 7F EB 2B A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 B9 01 00 00 00 8B 45 08 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 83 E3 7F 85 DB 75 57 BA 68 00 00 00 B8 65 00 00 00 E8 ?? ?? ?? ?? EB 46 8D 45 FC 8B 55 10 E8 ?? ?? ?? ?? B9 01 00 00 00 8B 55 FC 8B 45 08 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 83 E3 7F EB 21 8D 45 FC 8B 55 10 E8 ?? ?? ?? ?? 8B 4D 14 8B 55 FC 8B 45 08 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 83 E3 7F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37374_0 {
	meta:
		name = "Indy_unicode_X509_load_cert_file"
		size = 533
		refs = "0035 Indy_unicode_X509_load_cert_file 0042 _Dn_TMemoryStream 0047 TObject.Create 0054 TMemoryStream.LoadFromFile 0063 @HandleAnyException 0072 X509err 007a TObject.Free 007f @DoneExcept 00ab BIO_new_mem_buf 00cf @TryFinallyExit 00f5 PEM_read_bio_X509_AUX 0107 ERR_peek_last_error 0110 ERR_GET_REASON 011e ERR_clear_error 0147 X509_STORE_add_cert 0163 X509_free 017d d2i_X509_bio 01ed BIO_free 0205 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B DA 8B F8 33 C0 89 45 F8 33 F6 33 C0 89 45 F0 85 DB 75 0C C7 45 F8 01 00 00 00 E9 DF 01 00 00 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? BA 02 00 00 00 B8 6F 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 83 01 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 10 FF 12 50 8B 45 F4 8B 40 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 89 45 F0 83 7D F0 00 75 19 BA 02 00 00 00 B8 6F 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 33 01 00 00 8B 45 FC 48 74 0C 48 0F 84 91 00 00 00 E9 DB 00 00 00 6A 00 6A 00 6A 00 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 10 8B D8 85 DB 75 3B A1 ?? ?? ?? ?? 8B 00 FF D0 E8 ?? ?? ?? ?? 83 F8 6C 75 0F 85 F6 7E 0B A1 ?? ?? ?? ?? 8B 00 FF D0 EB 49 BA 09 00 00 00 B8 6F 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CA 00 00 00 53 8B 47 10 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 85 C0 75 0A E8 ?? ?? ?? ?? E9 AB 00 00 00 46 53 A1 ?? ?? ?? ?? 8B 00 FF D0 59 E9 79 FF FF FF 89 75 F8 EB 65 6A 00 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 8B D8 85 DB 75 16 BA 0D 00 00 00 B8 6F 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 53 8B 47 10 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 85 C0 75 07 E8 ?? ?? ?? ?? EB 4B 89 45 F8 EB 16 BA 64 00 00 00 B8 6F 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37375_0 {
	meta:
		name = "Indy_unicode_X509_load_cert_crl_file"
		size = 504
		refs = "002d Indy_unicode_X509_load_cert_file 003d Indy_unicode_X509_load_cert_crl_file 004a _Dn_TMemoryStream 004f TObject.Create 005c TMemoryStream.LoadFromFile 006b @HandleAnyException 007a X509err 0082 TObject.Free 0087 @DoneExcept 00b3 BIO_new_mem_buf 00d7 @TryFinallyExit 00eb PEM_X509_INFO_read_bio 010b BIO_free 0123 @HandleFinally 0156 sk_num 016f sk_value 018b X509_STORE_add_cert 01a9 X509_STORE_add_crl 01c9 X509_INFO_free 01d5 sk_free"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B DA 89 45 FC 33 C0 89 45 F8 33 C0 89 45 E8 33 C0 89 45 F4 33 C0 89 45 EC 83 F9 01 74 12 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 E9 B5 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? BA 02 00 00 00 B8 84 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5E 01 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 10 FF 12 50 8B 45 F4 8B 40 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 89 45 EC 83 7D EC 00 75 19 BA 02 00 00 00 B8 84 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0E 01 00 00 6A 00 6A 00 6A 00 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 10 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 83 7D F0 00 75 14 BA 09 00 00 00 B8 84 00 00 00 E8 ?? ?? ?? ?? E9 AB 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B F0 4E 85 F6 7C 55 46 33 FF 57 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 8B D8 8B 03 85 C0 74 17 50 8B 45 FC 8B 40 10 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 FF 45 E8 8B 43 04 85 C0 74 17 50 8B 45 FC 8B 40 10 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 FF 45 E8 47 4E 75 AE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 C3 E9 ?? ?? ?? ?? EB E0 8B 45 E8 89 45 F8 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37376_0 {
	meta:
		name = "IndySSL_load_client_CA_file_err"
		size = 37
		refs = "0009 X509_NAME_free 0014 sk_pop_free"
	strings:
		$1 = { 53 8B D8 83 3B 00 74 1B A1 ?? ?? ?? ?? 8B 00 50 8B 03 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 33 C0 89 03 5B C3 }
	condition:
		$1
}

rule function_37377_0 {
	meta:
		name = "xname_cmp"
		size = 29
		refs = "0010 X509_NAME_cmp"
	strings:
		$1 = { 55 8B EC 8B 45 0C 8B 00 50 8B 45 08 8B 00 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 5D C3 }
	condition:
		$1
}

rule function_37378_0 {
	meta:
		name = "IndySSL_load_client_CA_file"
		size = 818
		refs = "001a xname_cmp 0020 sk_new 003a IndySSL_load_client_CA_file 005a _Dn_TMemoryStream 005f TObject.Create 006c TMemoryStream.LoadFromFile 007b @HandleAnyException 008a SSLerr 0092 TObject.Free 0097 @DoneExcept 009c @TryFinallyExit 00c8 BIO_new_mem_buf 0108 sk_new_null 014a X509_get_subject_name 0160 X509_NAME_free 016c sk_pop_free 019c X509_NAME_dup 01ec sk_find 020e sk_push 0235 PEM_read_bio_X509 0259 X509_free 028d @HandleFinally 02a5 BIO_free 02f9 sk_free 0320 ERR_clear_error"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B D8 33 C0 89 45 FC C6 45 EB 00 33 C0 89 45 EC B8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 F0 83 7D F0 00 0F 84 D4 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 30 E9 ?? ?? ?? ?? BA 02 00 00 00 B8 B9 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 83 02 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 10 FF 12 50 8B 45 F8 8B 40 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 89 45 F4 83 7D F4 00 0F 84 D6 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 29 01 00 00 83 7D FC 00 75 3E A1 ?? ?? ?? ?? 8B 00 FF D0 89 45 FC 83 7D FC 00 75 2C BA 41 00 00 00 B8 B9 00 00 00 E8 ?? ?? ?? ?? C6 45 EB 01 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E3 01 00 00 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B F0 85 F6 75 40 83 7D FC 00 74 1D A1 ?? ?? ?? ?? 8B 00 50 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 33 C0 89 45 FC C6 45 EB 01 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8F 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 40 83 7D FC 00 74 1D A1 ?? ?? ?? ?? 8B 00 50 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 33 C0 89 45 FC C6 45 EB 01 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 42 01 00 00 53 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 85 C0 7C 0D 53 A1 ?? ?? ?? ?? 8B 00 FF D0 59 EB 22 53 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 53 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 6A 00 8D 55 EC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 85 C0 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0E 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 80 7D EB 00 74 23 83 7D FC 00 74 1D A1 ?? ?? ?? ?? 8B 00 50 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 33 C0 89 45 FC C3 E9 ?? ?? ?? ?? EB BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 C3 E9 ?? ?? ?? ?? EB EA BA 41 00 00 00 B8 B9 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 C3 E9 ?? ?? ?? ?? EB EA BA 41 00 00 00 B8 B9 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 09 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37379_0 {
	meta:
		name = "IndySSL_CTX_use_PrivateKey_file"
		size = 429
		refs = "001d IndySSL_CTX_use_PrivateKey_file 002a _Dn_TMemoryStream 002f TObject.Create 003c TMemoryStream.LoadFromFile 004b @HandleAnyException 005a SSLerr 0062 TObject.Free 0067 @DoneExcept 0093 BIO_new_mem_buf 00b7 @TryFinallyExit 00e8 PEM_read_bio_PrivateKey 00fc d2i_PrivateKey_bio 0145 SSL_CTX_use_PrivateKey 0155 EVP_PKEY_free 0170 BIO_free 017b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? BA 02 00 00 00 B8 B0 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 33 01 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 10 FF 12 50 8B 45 F8 8B 40 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 89 45 F4 83 7D F4 00 75 19 BA 07 00 00 00 B8 B0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E3 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 4F 74 05 4F 74 1C EB 35 BF 09 00 00 00 8B 46 70 50 8B 4E 6C 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 EB 36 BF 0D 00 00 00 6A 00 8B 45 F4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 8B D8 EB 1B BA 7C 00 00 00 B8 B0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7D 85 DB 75 18 8B D7 B8 B0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 61 53 56 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 89 45 FC 53 A1 ?? ?? ?? ?? 8B 00 FF D0 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37380_0 {
	meta:
		name = "IndySSL_CTX_use_certificate_file"
		size = 427
		refs = "001d IndySSL_CTX_use_certificate_file 002a _Dn_TMemoryStream 002f TObject.Create 003c TMemoryStream.LoadFromFile 004b @HandleAnyException 005a SSLerr 0062 TObject.Free 0067 @DoneExcept 0093 BIO_new_mem_buf 00b7 @TryFinallyExit 00e0 d2i_X509_bio 0101 PEM_read_bio_X509 0143 SSL_CTX_use_certificate 0153 X509_free 016e BIO_free 0179 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? BA 02 00 00 00 B8 AD 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 31 01 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 10 FF 12 50 8B 45 F8 8B 40 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 89 45 F4 83 7D F4 00 75 19 BA 07 00 00 00 B8 AD 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E1 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 4F 74 1E 4F 75 35 BF 0D 00 00 00 6A 00 8B 45 F4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 8B D8 EB 35 BF 09 00 00 00 8B 46 70 50 8B 4E 6C 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 EB 1B BA 7C 00 00 00 B8 AD 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7D 85 DB 75 18 8B D7 B8 AD 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 61 53 56 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 89 45 FC 53 A1 ?? ?? ?? ?? 8B 00 FF D0 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37381_0 {
	meta:
		name = "IndyX509_STORE_load_locations"
		size = 196
		refs = "0019 IndyX509_STORE_load_locations 002a Indy_x509_unicode_file_lookup 0033 X509_STORE_add_lookup 004a @UStrToPWChar 0059 X509_LOOKUP_load_file 006f @LStrFromUStr 0077 @LStrToPChar 0083 X509_STORE_load_locations 00af @LStrClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 85 DB 74 37 68 ?? ?? ?? ?? 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 89 45 F8 83 7D F8 00 74 57 8B C3 E8 ?? ?? ?? ?? 8B D0 B9 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 48 75 3E 85 F6 74 2D 8D 45 F4 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 6A 00 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 0C 48 75 0D 85 DB 75 04 85 F6 74 05 BF 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37383_0 {
	meta:
		name = "AddMins"
		size = 36
		refs = "000b AddMins"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DB 6D 08 D8 35 ?? ?? ?? ?? DC 45 14 DD 5D F8 9B DD 45 F8 59 59 5D C2 14 00 00 00 00 B4 44 }
	condition:
		$1
}

rule function_37384_0 {
	meta:
		name = "AddHrs"
		size = 36
		refs = "000b AddHrs"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DB 6D 08 D8 35 ?? ?? ?? ?? DC 45 14 DD 5D F8 9B DD 45 F8 59 59 5D C2 14 00 00 00 00 C0 41 }
	condition:
		$1
}

rule function_37385_0 {
	meta:
		name = "GetLocalTime"
		size = 27
		refs = "0007 TimeZoneBias"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? DC 6D 08 DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_37386_0 {
	meta:
		name = "DumpCert"
		size = 232
		refs = "0015 DumpCert 0020 X509_print 002e BIO_s_mem 0038 BIO_new 006a BIO_get_mem_data 0082 IndyUTF8Encoding 008e TEncoding.GetString 00b4 BIO_free 00bf @HandleFinally 00d6 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 00 0F 84 98 00 00 00 A1 ?? ?? ?? ?? 8B 00 FF D0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 7E 28 83 7D F8 00 74 22 53 8D 45 F4 50 B0 01 E8 ?? ?? ?? ?? 8B 55 F8 8B 12 33 C9 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0E 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37387_0 {
	meta:
		name = "SslLockingCallback"
		size = 122
		refs = "000f CallbackLockList 0014 TThreadList.LockList 001e SslLockingCallback 0032 TList.Get 004f TMonitor.Exit 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 0C 33 C0 89 45 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 3B 73 08 7D 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 08 83 E0 01 48 75 09 8B 45 FC 8B 10 FF 12 EB 08 8B 45 FC 8B 10 FF 52 04 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37388_0 {
	meta:
		name = "PrepareOpenSSLLocking"
		size = 165
		refs = "0008 CallbackLockList 000d TThreadList.LockList 0017 PrepareOpenSSLLocking 0022 _CRYPTO_num_locks 0035 _Dn_TIdCriticalSection 003a TCriticalSection.Create 0055 TList.Add 0064 @HandleAnyException 006c TObject.Free 0071 @RaiseAgain 0076 @DoneExcept 0093 TMonitor.Exit 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 4B 85 DB 7C 4C 43 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37389_0 {
	meta:
		name = "UTCTime2DateTime"
		size = 200
		refs = "0038 UTC_Time_Decode 0050 EncodeDate 006b EncodeTime 007d UTCTime2DateTime 009c TimeZoneBias"
	strings:
		$1 = { 53 83 C4 C0 8B D8 33 C0 89 04 24 89 44 24 04 8D 44 24 0C 50 8D 44 24 12 50 8D 44 24 18 50 8D 44 24 1E 50 8D 44 24 24 50 8D 44 24 2C 50 8D 4C 24 22 8D 54 24 20 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 77 0F B7 4C 24 0C 0F B7 54 24 0A 0F B7 44 24 08 E8 ?? ?? ?? ?? DD 5C 24 38 9B 6A 00 0F B7 4C 24 16 0F B7 54 24 14 0F B7 44 24 12 E8 ?? ?? ?? ?? DC 44 24 38 DD 1C 24 9B DB 44 24 18 D8 35 ?? ?? ?? ?? DC 04 24 DD 5C 24 20 9B DB 44 24 14 D8 35 ?? ?? ?? ?? DC 04 24 DD 5C 24 28 9B E8 ?? ?? ?? ?? DC 2C 24 DD 5C 24 30 9B 8B 44 24 30 89 04 24 8B 44 24 34 89 44 24 04 DD 04 24 83 C4 40 5B C3 00 00 00 B4 44 00 00 C0 41 }
	condition:
		$1
}

rule function_37390_0 {
	meta:
		name = "LogicalAnd"
		size = 8
	strings:
		$1 = { 23 C2 3B D0 0F 94 C0 C3 }
	condition:
		$1
}

rule function_37391_0 {
	meta:
		name = "BytesToHexString"
		size = 196
		refs = "0018 BytesToHexString 0025 @UStrClr 0044 @UStrCat 0061 IndyFormat 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F8 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 4E 85 F6 7C 48 46 C7 45 FC 00 00 00 00 83 7D FC 00 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 0F B6 07 89 45 F0 C6 45 F4 00 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 47 FF 45 FC 4E 75 C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 2E 00 32 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_37392_0 {
	meta:
		name = "MDAsString"
		size = 200
		refs = "0016 MDAsString 0023 @UStrClr 0049 @UStrCat 0066 IndyFormat 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 3B 4F 85 FF 7C 4D 47 C7 45 FC 00 00 00 00 8D 43 04 8B D8 83 7D FC 00 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 0F B6 03 89 45 F0 C6 45 F4 00 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? FF 45 FC 43 4F 75 C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 2E 00 32 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_37393_0 {
	meta:
		name = "LoadOpenSSLLibrary"
		size = 286
		refs = "0005 SSLIsLoaded 000a TIdThreadSafe.Lock 0012 LoadOpenSSLLibrary 0022 TIdThreadSafeBoolean.GetValue 002f @TryFinallyExit 0039 Load 0051 OpenSSL_add_all_ciphers 005a OpenSSL_add_all_digests 0063 InitializeRandom 0068 SSL_load_error_strings 0071 SSLeay_add_ssl_algorithms 0092 _Dn_TIdCriticalSection 0097 TCriticalSection.Create 009c LockInfoCB 00ad LockPassCB 00be LockVerifyCB 00c5 _Dn_TThreadList 00ca TThreadList.Create 00cf CallbackLockList 00d4 PrepareOpenSSLLocking 00d9 SslLockingCallback 00df CRYPTO_set_locking_callback 00f0 TIdThreadSafeBoolean.SetValue 010b TIdThreadSafe.Unlock 0111 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E C6 45 FF 01 E8 ?? ?? ?? ?? E9 DF 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 80 7D FF 00 75 0A E8 ?? ?? ?? ?? E9 C7 00 00 00 A1 ?? ?? ?? ?? 8B 00 FF D0 A1 ?? ?? ?? ?? 8B 00 FF D0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 FF D0 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 0F 9F 45 FF 80 7D FF 00 75 0A E8 ?? ?? ?? ?? E9 88 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 0F B6 45 FF 59 5D C3 }
	condition:
		$1
}

rule function_41438_0 {
	meta:
		name = "LoadOpenSSLLibrary"
		size = 286
		refs = "0005 SSLIsLoaded 000a TInThreadSafe.Lock 0012 LoadOpenSSLLibrary 0022 TInThreadSafeBoolean.GetValue 002f @TryFinallyExit 0039 Load 0051 OpenSSL_add_all_ciphers 005a OpenSSL_add_all_digests 0063 InitializeRandom 0068 SSL_load_error_strings 0071 SSLeay_add_ssl_algorithms 0092 _Dn_TIdCriticalSection 0097 TCriticalSection.Create 009c LockInfoCB 00ad LockPassCB 00be LockVerifyCB 00c5 _Dn_TThreadList 00ca TThreadList.Create 00cf CallbackLockList 00d4 PrepareOpenSSLLocking 00d9 SslLockingCallback 00df CRYPTO_set_locking_callback 00f0 TInThreadSafeBoolean.SetValue 010b TInThreadSafe.Unlock 0111 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E C6 45 FF 01 E8 ?? ?? ?? ?? E9 DF 00 00 00 E8 ?? ?? ?? ?? 88 45 FF 80 7D FF 00 75 0A E8 ?? ?? ?? ?? E9 C7 00 00 00 A1 ?? ?? ?? ?? 8B 00 FF D0 A1 ?? ?? ?? ?? 8B 00 FF D0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 FF D0 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 0F 9F 45 FF 80 7D FF 00 75 0A E8 ?? ?? ?? ?? E9 88 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 0F B6 45 FF 59 5D C3 }
	condition:
		$1
}

rule function_37394_0 {
	meta:
		name = "UnLoadOpenSSLLibrary"
		size = 230
		refs = "0008 LockInfoCB 0016 CRYPTO_set_locking_callback 0020 Unload 0032 TObject.Free 0037 LockPassCB 0049 LockVerifyCB 005c CallbackLockList 0069 TThreadList.LockList 0073 UnLoadOpenSSLLibrary 008d TList.Get 00b7 TMonitor.Exit 00bd @HandleFinally 00d8 SSLIsLoaded 00dd TIdThreadSafeBoolean.SetValue"
	strings:
		$1 = { 55 8B EC 53 56 57 83 3D ?? ?? ?? ?? 00 0F 84 CE 00 00 00 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 59 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 72 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B C7 8B 10 FF 52 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_41439_0 {
	meta:
		name = "UnLoadOpenSSLLibrary"
		size = 230
		refs = "0008 LockInfoCB 0016 CRYPTO_set_locking_callback 0020 Unload 0032 TObject.Free 0037 LockPassCB 0049 LockVerifyCB 005c CallbackLockList 0069 TThreadList.LockList 0073 UnLoadOpenSSLLibrary 008d TList.Get 00b7 TMonitor.Exit 00bd @HandleFinally 00d8 SSLIsLoaded 00dd TInThreadSafeBoolean.SetValue"
	strings:
		$1 = { 55 8B EC 53 56 57 83 3D ?? ?? ?? ?? 00 0F 84 CE 00 00 00 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 59 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 72 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B C7 8B 10 FF 52 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_37395_0 {
	meta:
		name = "TIdSSLOptions.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TObject.Create 0022 TIdSSLOptions.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 10 03 0F B6 05 ?? ?? ?? ?? 88 46 11 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 08 00 00 00 }
	condition:
		$1
}

rule function_41440_0 {
	meta:
		name = "TInSSLOptions.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TObject.Create 0022 TInSSLOptions.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 10 03 0F B6 05 ?? ?? ?? ?? 88 46 11 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 08 00 00 00 }
	condition:
		$1
}

rule function_37396_0 {
	meta:
		name = "TIdSSLOptions.SetMethod"
		size = 80
		refs = "0017 TIdSSLOptions.SetMethod"
	strings:
		$1 = { 88 50 10 80 EA 01 72 0C 74 15 FE CA 74 1C FE CA 74 23 EB 2B 0F B6 15 ?? ?? ?? ?? 88 50 11 C3 0F B6 15 ?? ?? ?? ?? 88 50 11 C3 0F B6 15 ?? ?? ?? ?? 88 50 11 C3 0F B6 15 ?? ?? ?? ?? 88 50 11 C3 01 00 00 00 0D 00 00 00 04 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_41441_0 {
	meta:
		name = "TInSSLOptions.SetMethod"
		size = 80
		refs = "0017 TInSSLOptions.SetMethod"
	strings:
		$1 = { 88 50 10 80 EA 01 72 0C 74 15 FE CA 74 1C FE CA 74 23 EB 2B 0F B6 15 ?? ?? ?? ?? 88 50 11 C3 0F B6 15 ?? ?? ?? ?? 88 50 11 C3 0F B6 15 ?? ?? ?? ?? 88 50 11 C3 0F B6 15 ?? ?? ?? ?? 88 50 11 C3 01 00 00 00 0D 00 00 00 04 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_37397_0 {
	meta:
		name = "TIdSSLOptions.SetSSLVersions"
		size = 128
		refs = "0011 TIdSSLOptions.SetSSLVersions"
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 04 24 88 43 11 0F B6 05 ?? ?? ?? ?? 3A 43 11 75 07 C6 43 10 00 5A 5B C3 0F B6 05 ?? ?? ?? ?? 3A 43 11 75 06 C6 43 10 02 EB 36 0F B6 05 ?? ?? ?? ?? 3A 43 11 75 06 C6 43 10 03 EB 24 C6 43 10 01 F6 43 11 02 74 1A 80 63 11 FD 0F B6 05 ?? ?? ?? ?? 3A 43 11 75 0A 0F B6 05 ?? ?? ?? ?? 88 43 11 5A 5B C3 01 00 00 00 04 00 00 00 08 00 00 00 00 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_41442_0 {
	meta:
		name = "TInSSLOptions.SetSSLVersions"
		size = 128
		refs = "0011 TInSSLOptions.SetSSLVersions"
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 04 24 88 43 11 0F B6 05 ?? ?? ?? ?? 3A 43 11 75 07 C6 43 10 00 5A 5B C3 0F B6 05 ?? ?? ?? ?? 3A 43 11 75 06 C6 43 10 02 EB 36 0F B6 05 ?? ?? ?? ?? 3A 43 11 75 06 C6 43 10 03 EB 24 C6 43 10 01 F6 43 11 02 74 1A 80 63 11 FD 0F B6 05 ?? ?? ?? ?? 3A 43 11 75 0A 0F B6 05 ?? ?? ?? ?? 88 43 11 5A 5B C3 01 00 00 00 04 00 00 00 08 00 00 00 00 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_37398_0 {
	meta:
		name = "TIdSSLOptions.AssignTo"
		size = 138
		refs = "000b _DV_TIdSSLOptions 0010 @IsClass 0021 @UStrAsg 0042 TIdSSLOptions.SetMethod 004d TIdSSLOptions.SetSSLVersions 0077 @LStrAsg 0082 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 65 8B FE 8D 47 04 8B 53 04 E8 ?? ?? ?? ?? 8D 47 08 8B 53 08 E8 ?? ?? ?? ?? 8D 47 0C 8B 53 0C E8 ?? ?? ?? ?? 0F B6 53 10 8B C7 E8 ?? ?? ?? ?? 0F B6 53 11 8B C7 E8 ?? ?? ?? ?? 0F B6 43 12 88 47 12 0F B6 43 18 88 47 18 8B 43 14 89 47 14 8D 47 1C 8B 53 1C E8 ?? ?? ?? ?? 8D 47 20 8B 53 20 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_41443_0 {
	meta:
		name = "TInSSLOptions.AssignTo"
		size = 138
		refs = "000b _DV_TInSSLOptions 0010 @IsClass 0021 @UStrAsg 0042 TInSSLOptions.SetMethod 004d TInSSLOptions.SetSSLVersions 0077 @LStrAsg 0082 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 65 8B FE 8D 47 04 8B 53 04 E8 ?? ?? ?? ?? 8D 47 08 8B 53 08 E8 ?? ?? ?? ?? 8D 47 0C 8B 53 0C E8 ?? ?? ?? ?? 0F B6 53 10 8B C7 E8 ?? ?? ?? ?? 0F B6 53 11 8B C7 E8 ?? ?? ?? ?? 0F B6 43 12 88 47 12 0F B6 43 18 88 47 18 8B 43 14 89 47 14 8D 47 1C 8B 53 1C E8 ?? ?? ?? ?? 8D 47 20 8B 53 20 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37399_0 {
	meta:
		name = "TIdServerIOHandlerSSLOpenSSL.InitComponent"
		size = 30
		refs = "0006 TIdComponent.InitComponent 000d _DV_TIdSSLOptions 0012 TIdSSLOptions.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_41444_0 {
	meta:
		name = "TInServerIOHandlerSSLOpenSSL.InitComponent"
		size = 30
		refs = "0006 TInComponent.InitComponent 000d _DV_TInSSLOptions 0012 TInSSLOptions.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_37400_0 {
	meta:
		name = "TIdServerIOHandlerSSLOpenSSL.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TIdComponent.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 98 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_41445_0 {
	meta:
		name = "TInServerIOHandlerSSLOpenSSL.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TInComponent.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 98 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37401_0 {
	meta:
		name = "TIdServerIOHandlerSSLOpenSSL.Init"
		size = 235
		refs = "0007 _DV_TIdSSLContext 000c TIdSSLContext.Create 0028 @UStrAsg 0085 @LStrAsg 00e4 TIdSSLContext.InitContext"
	strings:
		$1 = { 53 56 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 9C 00 00 00 89 5E 34 8D 46 08 8B 93 98 00 00 00 8B 52 04 E8 ?? ?? ?? ?? 8D 46 0C 8B 93 98 00 00 00 8B 52 08 E8 ?? ?? ?? ?? 8D 46 10 8B 93 98 00 00 00 8B 52 0C E8 ?? ?? ?? ?? 8B 83 98 00 00 00 8B 40 14 89 46 14 8B 83 98 00 00 00 0F B6 40 18 88 46 18 8D 46 1C 8B 93 98 00 00 00 8B 52 1C E8 ?? ?? ?? ?? 8D 46 20 8B 93 98 00 00 00 8B 52 20 E8 ?? ?? ?? ?? 66 83 BB C2 00 00 00 00 0F 95 C0 88 46 29 66 83 BB A2 00 00 00 00 75 0E 66 83 BB AA 00 00 00 00 75 04 33 C0 EB 02 B0 01 88 46 28 8B 83 98 00 00 00 0F B6 40 10 88 46 04 8B 83 98 00 00 00 0F B6 40 12 88 46 06 8B 83 98 00 00 00 0F B6 40 11 88 46 05 B2 01 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_41446_0 {
	meta:
		name = "TInServerIOHandlerSSLOpenSSL.Init"
		size = 235
		refs = "0007 _DV_TInSSLContext 000c TInSSLContext.Create 0028 @UStrAsg 0085 @LStrAsg 00e4 TInSSLContext.InitContext"
	strings:
		$1 = { 53 56 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 9C 00 00 00 89 5E 34 8D 46 08 8B 93 98 00 00 00 8B 52 04 E8 ?? ?? ?? ?? 8D 46 0C 8B 93 98 00 00 00 8B 52 08 E8 ?? ?? ?? ?? 8D 46 10 8B 93 98 00 00 00 8B 52 0C E8 ?? ?? ?? ?? 8B 83 98 00 00 00 8B 40 14 89 46 14 8B 83 98 00 00 00 0F B6 40 18 88 46 18 8D 46 1C 8B 93 98 00 00 00 8B 52 1C E8 ?? ?? ?? ?? 8D 46 20 8B 93 98 00 00 00 8B 52 20 E8 ?? ?? ?? ?? 66 83 BB C2 00 00 00 00 0F 95 C0 88 46 29 66 83 BB A2 00 00 00 00 75 0E 66 83 BB AA 00 00 00 00 75 04 33 C0 EB 02 B0 01 88 46 28 8B 83 98 00 00 00 0F B6 40 10 88 46 04 8B 83 98 00 00 00 0F B6 40 12 88 46 06 8B 83 98 00 00 00 0F B6 40 11 88 46 05 B2 01 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37402_0 {
	meta:
		name = "TIdServerIOHandlerSSLOpenSSL.Accept"
		size = 230
		refs = "0010 _DV_TIdSSLIOHandlerSocketOpenSSL 0015 TIdBaseComponent.Create 0020 TIdServerIOHandlerSSLOpenSSL.Accept 004f TIdSocketHandle.Accept 0068 TObject.Free 008a _DV_TIdSSLSocket 008f TIdSSLSocket.Create 00c5 @HandleAnyException 00d2 @RaiseAgain 00d7 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 B2 01 8B 45 FC 8B 08 FF 91 04 01 00 00 8B 45 FC 8B 10 FF 92 98 00 00 00 8B 56 10 8B 45 FC 8B 80 D8 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 56 8B 45 FC 05 14 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC C6 80 09 01 00 00 01 8B 83 98 00 00 00 8B 55 FC 89 82 14 01 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 18 01 00 00 8B 83 9C 00 00 00 8B 55 FC 89 82 10 01 00 00 EB 0D 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_41447_0 {
	meta:
		name = "TInServerIOHandlerSSLOpenSSL.Accept"
		size = 230
		refs = "0010 _DV_TInSSLIOHandlerSocketOpenSSL 0015 TInBaseComponent.Create 0020 TInServerIOHandlerSSLOpenSSL.Accept 004f TInSocketHandle.Accept 0068 TObject.Free 008a _DV_TInSSLSocket 008f TInSSLSocket.Create 00c5 @HandleAnyException 00d2 @RaiseAgain 00d7 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 B2 01 8B 45 FC 8B 08 FF 91 04 01 00 00 8B 45 FC 8B 10 FF 92 98 00 00 00 8B 56 10 8B 45 FC 8B 80 D8 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 56 8B 45 FC 05 14 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC C6 80 09 01 00 00 01 8B 83 98 00 00 00 8B 55 FC 89 82 14 01 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 18 01 00 00 8B 83 9C 00 00 00 8B 55 FC 89 82 10 01 00 00 EB 0D 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_37403_0 {
	meta:
		name = "TIdServerIOHandlerSSLOpenSSL.DoStatusInfo"
		size = 27
		altNames = "TInServerIOHandlerSSLOpenSSL.DoStatusInfo"
	strings:
		$1 = { 53 66 83 B8 A2 00 00 00 00 74 0E 8B D8 8B 83 A4 00 00 00 FF 93 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_37404_0 {
	meta:
		name = "TIdServerIOHandlerSSLOpenSSL.DoStatusInfoEx"
		size = 50
		altNames = "TInServerIOHandlerSSLOpenSSL.DoStatusInfoEx"
	strings:
		$1 = { 55 8B EC 53 66 83 B8 AA 00 00 00 00 74 1F 51 8B 4D 10 51 8B 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 AC 00 00 00 FF 93 A8 00 00 00 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_37405_0 {
	meta:
		name = "TCustomApplicationEvents.DoModalEnd"
		size = 27
		altNames = "TIdServerIOHandlerSSLOpenSSL.DoGetPassword TInServerIOHandlerSSLOpenSSL.DoGetPassword"
	strings:
		$1 = { 53 66 83 B8 B2 00 00 00 00 74 0E 8B D8 8B 83 B4 00 00 00 FF 93 B0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_37406_0 {
	meta:
		name = "TIdServerIOHandlerSSLOpenSSL.DoGetPasswordEx"
		size = 32
		altNames = "TInServerIOHandlerSSLOpenSSL.DoGetPasswordEx"
	strings:
		$1 = { 53 66 83 B8 BA 00 00 00 00 74 13 51 8B CA 8B D8 8B D0 8B 83 BC 00 00 00 FF 93 B8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_37407_0 {
	meta:
		name = "TIdServerIOHandlerSSLOpenSSL.DoVerifyPeer"
		size = 47
		altNames = "TInServerIOHandlerSSLOpenSSL.DoVerifyPeer"
	strings:
		$1 = { 55 8B EC 53 B3 01 66 83 B8 C2 00 00 00 00 74 18 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 C4 00 00 00 FF 93 C0 00 00 00 8B D8 8B C3 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_37408_0 {
	meta:
		name = "TIdServerIOHandlerSSLOpenSSL.MakeFTPSvrPort"
		size = 200
		refs = "000e _DV_TIdSSLIOHandlerSocketOpenSSL 0013 TIdBaseComponent.Create 001e TIdServerIOHandlerSSLOpenSSL.MakeFTPSvrPort 00a9 @HandleAnyException 00b1 TObject.Free 00b6 @RaiseAgain 00bb @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC 8B 08 FF 91 04 01 00 00 8B 45 FC 89 98 34 01 00 00 8B 13 8B 52 74 89 90 30 01 00 00 8B 45 FC 8B 93 B8 00 00 00 89 90 38 01 00 00 8B 93 BC 00 00 00 89 90 3C 01 00 00 8B 45 FC C6 80 09 01 00 00 01 8B 93 98 00 00 00 8B 45 FC 8B 80 14 01 00 00 8B 08 FF 51 08 8B 45 FC 8B 80 14 01 00 00 C6 40 12 03 8B 83 9C 00 00 00 8B 55 FC 89 82 10 01 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41453_0 {
	meta:
		name = "TInServerIOHandlerSSLOpenSSL.MakeFTPSvrPort"
		size = 200
		refs = "000e _DV_TInSSLIOHandlerSocketOpenSSL 0013 TInBaseComponent.Create 001e TInServerIOHandlerSSLOpenSSL.MakeFTPSvrPort 00a9 @HandleAnyException 00b1 TObject.Free 00b6 @RaiseAgain 00bb @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC 8B 08 FF 91 04 01 00 00 8B 45 FC 89 98 34 01 00 00 8B 13 8B 52 74 89 90 30 01 00 00 8B 45 FC 8B 93 B8 00 00 00 89 90 38 01 00 00 8B 93 BC 00 00 00 89 90 3C 01 00 00 8B 45 FC C6 80 09 01 00 00 01 8B 93 98 00 00 00 8B 45 FC 8B 80 14 01 00 00 8B 08 FF 51 08 8B 45 FC 8B 80 14 01 00 00 C6 40 12 03 8B 83 9C 00 00 00 8B 55 FC 89 82 10 01 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37409_0 {
	meta:
		name = "TIdServerIOHandlerSSLOpenSSL.Shutdown"
		size = 31
		refs = "0012 TObject.Free 0019 TIdServerIOHandler.Shutdown"
	strings:
		$1 = { 53 8B D8 8D 83 9C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_41454_0 {
	meta:
		name = "TInServerIOHandlerSSLOpenSSL.Shutdown"
		size = 31
		refs = "0012 TObject.Free 0019 TInServerIOHandler.Shutdown"
	strings:
		$1 = { 53 8B D8 8D 83 9C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_37410_0 {
	meta:
		name = "TIdServerIOHandlerSSLOpenSSL.MakeFTPSvrPasv"
		size = 196
		refs = "000e _DV_TIdSSLIOHandlerSocketOpenSSL 0013 TIdBaseComponent.Create 001e TIdServerIOHandlerSSLOpenSSL.MakeFTPSvrPasv 00a5 @HandleAnyException 00ad TObject.Free 00b2 @RaiseAgain 00b7 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC 8B 08 FF 91 04 01 00 00 8B 45 FC 89 98 34 01 00 00 8B 13 8B 52 74 89 90 30 01 00 00 8B 45 FC 8B 93 B8 00 00 00 89 90 38 01 00 00 8B 93 BC 00 00 00 89 90 3C 01 00 00 8B 45 FC C6 80 09 01 00 00 01 8B 93 98 00 00 00 8B 45 FC 8B 80 14 01 00 00 8B 08 FF 51 08 8B 45 FC 8B 80 14 01 00 00 C6 40 12 03 8B 45 FC 33 D2 89 90 10 01 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41455_0 {
	meta:
		name = "TInServerIOHandlerSSLOpenSSL.MakeFTPSvrPasv"
		size = 196
		refs = "000e _DV_TInSSLIOHandlerSocketOpenSSL 0013 TInBaseComponent.Create 001e TInServerIOHandlerSSLOpenSSL.MakeFTPSvrPasv 00a5 @HandleAnyException 00ad TObject.Free 00b2 @RaiseAgain 00b7 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC 8B 08 FF 91 04 01 00 00 8B 45 FC 89 98 34 01 00 00 8B 13 8B 52 74 89 90 30 01 00 00 8B 45 FC 8B 93 B8 00 00 00 89 90 38 01 00 00 8B 93 BC 00 00 00 89 90 3C 01 00 00 8B 45 FC C6 80 09 01 00 00 01 8B 93 98 00 00 00 8B 45 FC 8B 80 14 01 00 00 8B 08 FF 51 08 8B 45 FC 8B 80 14 01 00 00 C6 40 12 03 8B 45 FC 33 D2 89 90 10 01 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37411_0 {
	meta:
		name = "TIdServerIOHandlerSSLOpenSSL.MakeClientIOHandler"
		size = 173
		refs = "000e _DV_TIdSSLIOHandlerSocketOpenSSL 0013 TIdBaseComponent.Create 001e TIdServerIOHandlerSSLOpenSSL.MakeClientIOHandler 008e @HandleAnyException 0096 TObject.Free 009b @RaiseAgain 00a0 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC 8B 08 FF 91 04 01 00 00 8B 93 98 00 00 00 8B 45 FC 8B 80 14 01 00 00 8B 08 FF 51 08 8B 45 FC 33 D2 89 90 10 01 00 00 8B 45 FC 89 98 34 01 00 00 8B 13 8B 52 74 89 90 30 01 00 00 8B 45 FC 8B 93 B8 00 00 00 89 90 38 01 00 00 8B 93 BC 00 00 00 89 90 3C 01 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41456_0 {
	meta:
		name = "TInServerIOHandlerSSLOpenSSL.MakeClientIOHandler"
		size = 173
		refs = "000e _DV_TInSSLIOHandlerSocketOpenSSL 0013 TInBaseComponent.Create 001e TInServerIOHandlerSSLOpenSSL.MakeClientIOHandler 008e @HandleAnyException 0096 TObject.Free 009b @RaiseAgain 00a0 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC 8B 08 FF 91 04 01 00 00 8B 93 98 00 00 00 8B 45 FC 8B 80 14 01 00 00 8B 08 FF 51 08 8B 45 FC 33 D2 89 90 10 01 00 00 8B 45 FC 89 98 34 01 00 00 8B 13 8B 52 74 89 90 30 01 00 00 8B 45 FC 8B 93 B8 00 00 00 89 90 38 01 00 00 8B 93 BC 00 00 00 89 90 3C 01 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37412_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSL.InitComponent"
		size = 52
		refs = "0006 TIdIOHandlerSocket.InitComponent 0014 _DV_TIdSSLOptions 0019 TIdSSLOptions.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 09 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 14 01 00 00 C6 83 48 01 00 00 01 33 C0 89 83 10 01 00 00 5B C3 }
	condition:
		$1
}

rule function_41457_0 {
	meta:
		name = "TInSSLIOHandlerSocketOpenSSL.InitComponent"
		size = 52
		refs = "0006 TInIOHandlerSocket.InitComponent 0014 _DV_TInSSLOptions 0019 TInSSLOptions.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 09 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 14 01 00 00 C6 83 48 01 00 00 01 33 C0 89 83 10 01 00 00 5B C3 }
	condition:
		$1
}

rule function_37413_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSL.Destroy"
		size = 102
		refs = "0003 @BeforeDestruction 001a TObject.Free 0054 TIdIOHandlerSocket.Destroy 005f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 18 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 80 BE 09 01 00 00 00 75 26 8D 86 10 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 14 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_41458_0 {
	meta:
		name = "TInSSLIOHandlerSocketOpenSSL.Destroy"
		size = 102
		refs = "0003 @BeforeDestruction 001a TObject.Free 0054 TInIOHandlerSocket.Destroy 005f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 18 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 80 BE 09 01 00 00 00 75 26 8D 86 10 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 14 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37414_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSL.ConnectClient"
		size = 117
		refs = "0024 TIdSSLIOHandlerSocketOpenSSL.ConnectClient 0032 TIdIOHandlerStack.ConnectClient 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 0F B6 80 08 01 00 00 88 45 FB 8B 45 FC C6 80 08 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B6 55 FB 88 90 08 01 00 00 C3 E9 ?? ?? ?? ?? EB EB 8B 55 FC 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 45 FC 8B 10 FF 92 10 01 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_41459_0 {
	meta:
		name = "TInSSLIOHandlerSocketOpenSSL.ConnectClient"
		size = 117
		refs = "0024 TInSSLIOHandlerSocketOpenSSL.ConnectClient 0032 TInIOHandlerStack.ConnectClient 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 0F B6 80 08 01 00 00 88 45 FB 8B 45 FC C6 80 08 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B6 55 FB 88 90 08 01 00 00 C3 E9 ?? ?? ?? ?? EB EB 8B 55 FC 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 45 FC 8B 10 FF 92 10 01 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_37415_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSL.StartSSL"
		size = 110
		refs = "000e TIdSSLIOHandlerSocketOpenSSL.StartSSL 001c TIdSSLIOHandlerSocketOpenSSL.Init 002b @HandleOnException 0033 _DV_EIdOSSLCouldNotLoadSSLLibrary 0048 @RaiseAgain 004d @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 27 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 80 B8 08 01 00 00 00 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 08 01 00 00 00 75 0B 8B 45 FC 8B 10 FF 92 28 01 00 00 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41460_0 {
	meta:
		name = "TInSSLIOHandlerSocketOpenSSL.StartSSL"
		size = 110
		refs = "000e TInSSLIOHandlerSocketOpenSSL.StartSSL 001c TInSSLIOHandlerSocketOpenSSL.Init 002b @HandleOnException 0033 _DV_EIdOSSLCouldNotLoadSSLLibrary 0048 @RaiseAgain 004d @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 27 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 80 B8 08 01 00 00 00 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 08 01 00 00 00 75 0B 8B 45 FC 8B 10 FF 92 28 01 00 00 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37416_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSL.Close"
		size = 59
		refs = "0012 TObject.Free 0035 TIdIOHandlerSocket.Close"
	strings:
		$1 = { 53 8B D8 8D 83 18 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 80 BB 09 01 00 00 00 75 13 8D 83 10 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_41461_0 {
	meta:
		name = "TInSSLIOHandlerSocketOpenSSL.Close"
		size = 59
		refs = "0012 TObject.Free 0035 TInIOHandlerSocket.Close"
	strings:
		$1 = { 53 8B D8 8D 83 18 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 80 BB 09 01 00 00 00 75 13 8D 83 10 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_37417_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSL.Open"
		size = 13
		refs = "0008 TIdIOHandlerSocket.Open"
	strings:
		$1 = { C6 80 B4 00 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41462_0 {
	meta:
		name = "TInSSLIOHandlerSocketOpenSSL.Open"
		size = 13
		refs = "0008 TInIOHandlerSocket.Open"
	strings:
		$1 = { C6 80 B4 00 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37418_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSL.SetPassThrough"
		size = 215
		refs = "000f TIdSSLIOHandlerSocketOpenSSL.SetPassThrough 002c TIdIOHandlerSocket.BindingAllocated 004d RSOSSLCouldNotLoadSSLLibrary 0052 LoadResString 005c _DV_EIdOSSLCouldNotLoadSSLLibrary 0061 EIdException.Create 0066 @RaiseExcept 0078 Win32MajorVersion 0094 TIdSocketHandle.SetSockOpt 00c6 @UStrClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E 08 01 00 00 0F 84 90 00 00 00 84 DB 75 43 8B C6 E8 ?? ?? ?? ?? 84 C0 74 7B 83 BE 10 01 00 00 00 74 0C 8B C6 8B 10 FF 92 28 01 00 00 EB 66 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 43 8B C6 E8 ?? ?? ?? ?? 84 C0 74 38 A1 ?? ?? ?? ?? 83 38 06 7C 2E 6A 00 B9 06 10 00 00 BA FF FF 00 00 8B 86 D8 00 00 00 E8 ?? ?? ?? ?? 6A 00 B9 05 10 00 00 BA FF FF 00 00 8B 86 D8 00 00 00 E8 ?? ?? ?? ?? 88 9E 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41463_0 {
	meta:
		name = "TInSSLIOHandlerSocketOpenSSL.SetPassThrough"
		size = 215
		refs = "000f TInSSLIOHandlerSocketOpenSSL.SetPassThrough 002c TInIOHandlerSocket.BindingAllocated 004d RSOSSLCouldNotLoadSSLLibrary 0052 LoadResString 005c _DV_EIdOSSLCouldNotLoadSSLLibrary 0061 EInException.Create 0066 @RaiseExcept 0078 Win32MajorVersion 0094 TInSocketHandle.SetSockOpt 00c6 @UStrClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E 08 01 00 00 0F 84 90 00 00 00 84 DB 75 43 8B C6 E8 ?? ?? ?? ?? 84 C0 74 7B 83 BE 10 01 00 00 00 74 0C 8B C6 8B 10 FF 92 28 01 00 00 EB 66 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 43 8B C6 E8 ?? ?? ?? ?? 84 C0 74 38 A1 ?? ?? ?? ?? 83 38 06 7C 2E 6A 00 B9 06 10 00 00 BA FF FF 00 00 8B 86 D8 00 00 00 E8 ?? ?? ?? ?? 6A 00 B9 05 10 00 00 BA FF FF 00 00 8B 86 D8 00 00 00 E8 ?? ?? ?? ?? 88 9E 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37419_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSL.RecvEnc"
		size = 12
		refs = "0007 TIdSSLSocket.Recv"
	strings:
		$1 = { 8B 80 18 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41464_0 {
	meta:
		name = "TInSSLIOHandlerSocketOpenSSL.RecvEnc"
		size = 12
		refs = "0007 TInSSLSocket.Recv"
	strings:
		$1 = { 8B 80 18 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37420_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSL.SendEnc"
		size = 24
		refs = "000f TIdSSLSocket.Send"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_41465_0 {
	meta:
		name = "TInSSLIOHandlerSocketOpenSSL.SendEnc"
		size = 24
		refs = "000f TInSSLSocket.Send"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 80 18 01 00 00 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37421_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSL.AfterAccept"
		size = 85
		refs = "000e TIdSSLIOHandlerSocketOpenSSL.AfterAccept 001c TIdIOHandler.AfterAccept 0036 @HandleAnyException 0046 @RaiseAgain 004b @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 10 01 00 00 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 8C 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41466_0 {
	meta:
		name = "TInSSLIOHandlerSocketOpenSSL.AfterAccept"
		size = 85
		refs = "000e TInSSLIOHandlerSocketOpenSSL.AfterAccept 001c TInIOHandler.AfterAccept 0036 @HandleAnyException 0046 @RaiseAgain 004b @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 10 01 00 00 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 8C 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37422_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSL.Init"
		size = 248
		refs = "0014 _DV_TIdSSLContext 0019 TIdSSLContext.Create 0035 @UStrAsg 0092 @LStrAsg 00f1 TIdSSLContext.InitContext"
	strings:
		$1 = { 53 56 8B D8 83 BB 10 01 00 00 00 0F 85 E4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 10 01 00 00 89 5E 34 8D 46 08 8B 93 14 01 00 00 8B 52 04 E8 ?? ?? ?? ?? 8D 46 0C 8B 93 14 01 00 00 8B 52 08 E8 ?? ?? ?? ?? 8D 46 10 8B 93 14 01 00 00 8B 52 0C E8 ?? ?? ?? ?? 8B 83 14 01 00 00 8B 40 14 89 46 14 8B 83 14 01 00 00 0F B6 40 18 88 46 18 8D 46 1C 8B 93 14 01 00 00 8B 52 1C E8 ?? ?? ?? ?? 8D 46 20 8B 93 14 01 00 00 8B 52 20 E8 ?? ?? ?? ?? 66 83 BB 42 01 00 00 00 0F 95 C0 88 46 29 66 83 BB 22 01 00 00 00 75 0E 66 83 BB 2A 01 00 00 00 75 04 33 C0 EB 02 B0 01 88 46 28 8B 83 14 01 00 00 0F B6 40 10 88 46 04 8B 83 14 01 00 00 0F B6 40 11 88 46 05 8B 83 14 01 00 00 0F B6 40 12 88 46 06 33 D2 8B 83 10 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_41467_0 {
	meta:
		name = "TInSSLIOHandlerSocketOpenSSL.Init"
		size = 248
		refs = "0014 _DV_TInSSLContext 0019 TInSSLContext.Create 0035 @UStrAsg 0092 @LStrAsg 00f1 TInSSLContext.InitContext"
	strings:
		$1 = { 53 56 8B D8 83 BB 10 01 00 00 00 0F 85 E4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 10 01 00 00 89 5E 34 8D 46 08 8B 93 14 01 00 00 8B 52 04 E8 ?? ?? ?? ?? 8D 46 0C 8B 93 14 01 00 00 8B 52 08 E8 ?? ?? ?? ?? 8D 46 10 8B 93 14 01 00 00 8B 52 0C E8 ?? ?? ?? ?? 8B 83 14 01 00 00 8B 40 14 89 46 14 8B 83 14 01 00 00 0F B6 40 18 88 46 18 8D 46 1C 8B 93 14 01 00 00 8B 52 1C E8 ?? ?? ?? ?? 8D 46 20 8B 93 14 01 00 00 8B 52 20 E8 ?? ?? ?? ?? 66 83 BB 42 01 00 00 00 0F 95 C0 88 46 29 66 83 BB 22 01 00 00 00 75 0E 66 83 BB 2A 01 00 00 00 75 04 33 C0 EB 02 B0 01 88 46 28 8B 83 14 01 00 00 0F B6 40 10 88 46 04 8B 83 14 01 00 00 0F B6 40 11 88 46 05 8B 83 14 01 00 00 0F B6 40 12 88 46 06 33 D2 8B 83 10 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37424_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSL.DoStatusInfoEx"
		size = 50
		altNames = "TInSSLIOHandlerSocketOpenSSL.DoStatusInfoEx"
	strings:
		$1 = { 55 8B EC 53 66 83 B8 2A 01 00 00 00 74 1F 51 8B 4D 10 51 8B 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 2C 01 00 00 FF 93 28 01 00 00 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_37426_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSL.DoGetPasswordEx"
		size = 32
		altNames = "TInSSLIOHandlerSocketOpenSSL.DoGetPasswordEx"
	strings:
		$1 = { 53 66 83 B8 3A 01 00 00 00 74 13 51 8B CA 8B D8 8B D0 8B 83 3C 01 00 00 FF 93 38 01 00 00 5B C3 }
	condition:
		$1
}

rule function_37427_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSL.DoVerifyPeer"
		size = 47
		altNames = "TInSSLIOHandlerSocketOpenSSL.DoVerifyPeer"
	strings:
		$1 = { 55 8B EC 53 B3 01 66 83 B8 42 01 00 00 00 74 18 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 44 01 00 00 FF 93 40 01 00 00 8B D8 8B C3 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_37428_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSL.OpenEncodedConnection"
		size = 178
		refs = "0012 _DV_TIdSSLSocket 0017 TIdSSLSocket.Create 0031 Win32MajorVersion 005b TIdSocketHandle.SetSockOpt 008e TIdSSLSocket.Accept 00a4 TIdSSLSocket.Connect"
	strings:
		$1 = { 53 56 8B D8 83 BB 18 01 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 18 01 00 00 8B 83 18 01 00 00 8B 93 10 01 00 00 89 50 14 A1 ?? ?? ?? ?? 83 38 06 7C 3B 8B B3 C0 00 00 00 85 F6 7F 05 BE 30 75 00 00 56 B9 06 10 00 00 BA FF FF 00 00 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 56 B9 05 10 00 00 BA FF FF 00 00 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 80 BB 09 01 00 00 00 74 16 8B 83 D8 00 00 00 8B 50 10 8B 83 18 01 00 00 E8 ?? ?? ?? ?? EB 14 8B 83 D8 00 00 00 8B 50 10 8B 83 18 01 00 00 E8 ?? ?? ?? ?? C6 83 08 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_41473_0 {
	meta:
		name = "TInSSLIOHandlerSocketOpenSSL.OpenEncodedConnection"
		size = 178
		refs = "0012 _DV_TInSSLSocket 0017 TInSSLSocket.Create 0031 Win32MajorVersion 005b TInSocketHandle.SetSockOpt 008e TInSSLSocket.Accept 00a4 TInSSLSocket.Connect"
	strings:
		$1 = { 53 56 8B D8 83 BB 18 01 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 18 01 00 00 8B 83 18 01 00 00 8B 93 10 01 00 00 89 50 14 A1 ?? ?? ?? ?? 83 38 06 7C 3B 8B B3 C0 00 00 00 85 F6 7F 05 BE 30 75 00 00 56 B9 06 10 00 00 BA FF FF 00 00 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 56 B9 05 10 00 00 BA FF FF 00 00 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 80 BB 09 01 00 00 00 74 16 8B 83 D8 00 00 00 8B 50 10 8B 83 18 01 00 00 E8 ?? ?? ?? ?? EB 14 8B 83 D8 00 00 00 8B 50 10 8B 83 18 01 00 00 E8 ?? ?? ?? ?? C6 83 08 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_37430_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSL.Clone"
		size = 194
		refs = "000e _DV_TIdSSLIOHandlerSocketOpenSSL 0013 TIdBaseComponent.Create 001e TIdSSLIOHandlerSocketOpenSSL.Clone 0086 _DV_TIdSSLSocket 008b TIdSSLSocket.Create 00a3 @HandleAnyException 00ab TObject.Free 00b0 @RaiseAgain 00b5 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 93 14 01 00 00 8B 45 FC 8B 80 14 01 00 00 8B 08 FF 51 08 8B 45 FC 89 98 24 01 00 00 8B 13 8B 92 18 01 00 00 89 90 20 01 00 00 8B 45 FC 89 98 34 01 00 00 8B 13 8B 92 1C 01 00 00 89 90 30 01 00 00 8B 45 FC 89 98 44 01 00 00 8B 13 8B 92 24 01 00 00 89 90 40 01 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 18 01 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41475_0 {
	meta:
		name = "TInSSLIOHandlerSocketOpenSSL.Clone"
		size = 194
		refs = "000e _DV_TInSSLIOHandlerSocketOpenSSL 0013 TInBaseComponent.Create 001e TInSSLIOHandlerSocketOpenSSL.Clone 0086 _DV_TInSSLSocket 008b TInSSLSocket.Create 00a3 @HandleAnyException 00ab TObject.Free 00b0 @RaiseAgain 00b5 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 93 14 01 00 00 8B 45 FC 8B 80 14 01 00 00 8B 08 FF 51 08 8B 45 FC 89 98 24 01 00 00 8B 13 8B 92 18 01 00 00 89 90 20 01 00 00 8B 45 FC 89 98 34 01 00 00 8B 13 8B 92 1C 01 00 00 89 90 30 01 00 00 8B 45 FC 89 98 44 01 00 00 8B 13 8B 92 24 01 00 00 89 90 40 01 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 18 01 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37431_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSL.CheckForError"
		size = 93
		refs = "0015 TIdIOHandlerSocket.CheckForError 0026 TIdSSLSocket.GetSSLError 004e _Dn_EIdOpenSSLAPISSLError 0053 EIdOpenSSLAPISSLError.RaiseExceptionCode"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 80 BB 08 01 00 00 00 74 0D 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 3A 8B D7 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 75 04 33 F6 EB 23 83 FE 05 75 0E 83 CA FF 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 10 6A 00 8B CF 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_41476_0 {
	meta:
		name = "TInSSLIOHandlerSocketOpenSSL.CheckForError"
		size = 93
		refs = "0015 TInIOHandlerSocket.CheckForError 0026 TInSSLSocket.GetSSLError 004e _Dn_EIdOpenSSLAPISSLError 0053 EIdOpenSSLAPISSLError.RaiseExceptionCode"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 80 BB 08 01 00 00 00 74 0D 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 3A 8B D7 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 75 04 33 F6 EB 23 83 FE 05 75 0E 83 CA FF 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 10 6A 00 8B CF 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37432_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSL.RaiseError"
		size = 65
		refs = "0022 TIdIOHandlerSocket.RaiseError 0036 _Dn_EIdOpenSSLAPISSLError 003c EIdOpenSSLAPISSLError.RaiseException"
	strings:
		$1 = { 80 B8 08 01 00 00 00 75 18 81 FA 4A 27 00 00 74 10 81 FA 45 27 00 00 74 08 81 FA 46 27 00 00 75 06 E8 ?? ?? ?? ?? C3 6A 00 8B 80 18 01 00 00 8B 40 0C 8B CA 8B 15 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41477_0 {
	meta:
		name = "TInSSLIOHandlerSocketOpenSSL.RaiseError"
		size = 65
		refs = "0022 TInIOHandlerSocket.RaiseError 0036 _Dn_EIdOpenSSLAPISSLError 003c EIdOpenSSLAPISSLError.RaiseException"
	strings:
		$1 = { 80 B8 08 01 00 00 00 75 18 81 FA 4A 27 00 00 74 10 81 FA 45 27 00 00 74 08 81 FA 46 27 00 00 75 06 E8 ?? ?? ?? ?? C3 6A 00 8B 80 18 01 00 00 8B 40 0C 8B CA 8B 15 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37433_0 {
	meta:
		name = "TIdSSLContext.Create"
		size = 172
		refs = "000f @ClassCreate 001b TIdSSLContext.Create 002a TObject.Create 002f LoadOpenSSLLibrary 003b RSOSSLCouldNotLoadSSLLibrary 0040 LoadResString 004a _DV_EIdOSSLCouldNotLoadSSLLibrary 004f EIdException.Create 0054 @RaiseExcept 007e @UStrClr 0084 @HandleFinally 0091 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 46 18 C6 46 06 00 C7 46 2C 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_41478_0 {
	meta:
		name = "TInSSLContext.Create"
		size = 172
		refs = "000f @ClassCreate 001b TInSSLContext.Create 002a TObject.Create 002f LoadOpenSSLLibrary 003b RSOSSLCouldNotLoadSSLLibrary 0040 LoadResString 004a _DV_EIdOSSLCouldNotLoadSSLLibrary 004f EInException.Create 0054 @RaiseExcept 007e @UStrClr 0084 @HandleFinally 0091 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 46 18 C6 46 06 00 C7 46 2C 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_37435_0 {
	meta:
		name = "TIdSSLContext.DestroyContext"
		size = 28
		refs = "000c SSL_CTX_free"
		altNames = "TInSSLContext.DestroyContext"
	strings:
		$1 = { 53 8B D8 8B 43 24 85 C0 74 10 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 33 C0 89 43 24 5B C3 }
	condition:
		$1
}

rule function_37436_0 {
	meta:
		name = "TIdSSLContext.InitContext"
		size = 656
		refs = "0017 TIdSSLContext.InitContext 0024 TIdSSLContext.DestroyContext 0041 TIdSSLContext.SetSSLMethod 0049 SSL_CTX_new 005f RSSSLCreatingContextError 0064 LoadResString 006e _DV_EIdOSSLCreatingContextError 0073 EIdException.Create 0078 @RaiseExcept 008b SSL_CTX_set_options 00be SSL_CTX_set_mode 00c3 PasswordCallback 00cd SSL_CTX_set_default_passwd_cb 00de SSL_CTX_set_default_passwd_cb_userdata 00ee SSL_CTX_set_default_verify_paths 0106 TIdSSLContext.LoadRootCert 0112 RSSSLLoadingRootCertError 011f _DV_EIdOSSLLoadingRootCertError 0124 EIdOpenSSLAPICryptoError.RaiseException 0131 TIdSSLContext.LoadCert 013d RSSSLLoadingCertError 014a _DV_EIdOSSLLoadingCertError 015c TIdSSLContext.LoadKey 0168 RSSSLLoadingKeyError 0175 _DV_EIdOSSLLoadingKeyError 0185 InfoCallback 018d SSL_CTX_set_info_callback 019b @LStrToPChar 01a5 SSL_CTX_set_cipher_list 01cf RSSSLSettingCipherError 01fc TIdSSLContext.SetVerifyMode 0211 SSL_CTX_set_session_id_context 0226 IndySSL_load_client_CA_file 0230 SSL_CTX_set_client_CA_list 0251 @UStrArrayClr 0257 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 7B 06 00 75 10 80 7D FF 01 75 06 C6 43 06 02 EB 04 C6 43 06 01 8B C3 E8 ?? ?? ?? ?? 8B F0 56 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B F8 89 7B 24 85 FF 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 43 05 01 75 0D BA 00 00 00 01 8B 43 24 E8 ?? ?? ?? ?? F6 43 05 04 75 0D BA 00 00 00 02 8B 43 24 E8 ?? ?? ?? ?? F6 43 05 08 75 0D BA 00 00 00 04 8B 43 24 E8 ?? ?? ?? ?? BA 04 00 00 00 8B 43 24 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 50 8B 43 24 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 53 8B 43 24 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 8B 43 24 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 83 7B 08 00 75 06 83 7B 1C 00 74 25 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1A 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 0C 00 74 25 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1A 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 10 00 74 25 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1A 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7B 28 00 74 0D BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 83 7B 20 00 74 1B 8B 43 20 E8 ?? ?? ?? ?? 50 8B 43 24 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 EB 15 68 ?? ?? ?? ?? 8B 43 24 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 85 C0 7F 1A 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 3A 43 18 74 0F 0F B6 4B 29 0F B6 53 18 8B C3 E8 ?? ?? ?? ?? 80 7D FF 01 75 16 6A 04 8D 43 2C 50 8B 43 24 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 0C 83 7B 08 00 74 19 8B 43 08 E8 ?? ?? ?? ?? 50 8B 43 24 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 41 45 53 3A 41 4C 4C 3A 21 61 4E 55 4C 4C 3A 21 65 4E 55 4C 4C 3A 2B 52 43 34 3A 40 53 54 52 45 4E 47 54 48 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_41481_0 {
	meta:
		name = "TInSSLContext.InitContext"
		size = 656
		refs = "0017 TInSSLContext.InitContext 0024 TInSSLContext.DestroyContext 0041 TInSSLContext.SetSSLMethod 0049 SSL_CTX_new 005f RSSSLCreatingContextError 0064 LoadResString 006e _DV_EIdOSSLCreatingContextError 0073 EInException.Create 0078 @RaiseExcept 008b SSL_CTX_set_options 00be SSL_CTX_set_mode 00c3 PasswordCallback 00cd SSL_CTX_set_default_passwd_cb 00de SSL_CTX_set_default_passwd_cb_userdata 00ee SSL_CTX_set_default_verify_paths 0106 TInSSLContext.LoadRootCert 0112 RSSSLLoadingRootCertError 011f _DV_EIdOSSLLoadingRootCertError 0124 EIdOpenSSLAPICryptoError.RaiseException 0131 TInSSLContext.LoadCert 013d RSSSLLoadingCertError 014a _DV_EIdOSSLLoadingCertError 015c TInSSLContext.LoadKey 0168 RSSSLLoadingKeyError 0175 _DV_EIdOSSLLoadingKeyError 0185 InfoCallback 018d SSL_CTX_set_info_callback 019b @LStrToPChar 01a5 SSL_CTX_set_cipher_list 01cf RSSSLSettingCipherError 01fc TInSSLContext.SetVerifyMode 0211 SSL_CTX_set_session_id_context 0226 IndySSL_load_client_CA_file 0230 SSL_CTX_set_client_CA_list 0251 @UStrArrayClr 0257 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 7B 06 00 75 10 80 7D FF 01 75 06 C6 43 06 02 EB 04 C6 43 06 01 8B C3 E8 ?? ?? ?? ?? 8B F0 56 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B F8 89 7B 24 85 FF 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 43 05 01 75 0D BA 00 00 00 01 8B 43 24 E8 ?? ?? ?? ?? F6 43 05 04 75 0D BA 00 00 00 02 8B 43 24 E8 ?? ?? ?? ?? F6 43 05 08 75 0D BA 00 00 00 04 8B 43 24 E8 ?? ?? ?? ?? BA 04 00 00 00 8B 43 24 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 50 8B 43 24 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 53 8B 43 24 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 8B 43 24 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 83 7B 08 00 75 06 83 7B 1C 00 74 25 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1A 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 0C 00 74 25 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1A 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 10 00 74 25 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1A 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7B 28 00 74 0D BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 83 7B 20 00 74 1B 8B 43 20 E8 ?? ?? ?? ?? 50 8B 43 24 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 EB 15 68 ?? ?? ?? ?? 8B 43 24 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 85 C0 7F 1A 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 3A 43 18 74 0F 0F B6 4B 29 0F B6 53 18 8B C3 E8 ?? ?? ?? ?? 80 7D FF 01 75 16 6A 04 8D 43 2C 50 8B 43 24 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 0C 83 7B 08 00 74 19 8B 43 08 E8 ?? ?? ?? ?? 50 8B 43 24 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 41 45 53 3A 41 4C 4C 3A 21 61 4E 55 4C 4C 3A 21 65 4E 55 4C 4C 3A 2B 52 43 34 3A 40 53 54 52 45 4E 47 54 48 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_37437_0 {
	meta:
		name = "TIdSSLContext.SetVerifyMode"
		size = 98
		refs = "0015 VerifyCallback 003e SSL_CTX_set_verify 0052 SSL_CTX_set_verify_depth"
		altNames = "TInSSLContext.SetVerifyMode"
	strings:
		$1 = { 53 56 57 51 88 14 24 8B D8 8B 7B 24 85 FF 74 4D 84 C9 74 07 BE ?? ?? ?? ?? EB 02 33 F6 33 C0 F6 04 24 01 74 03 83 C8 01 F6 04 24 02 74 03 83 C8 02 F6 04 24 04 74 03 83 C8 04 56 50 57 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 0C 8B 43 14 50 8B 43 24 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37438_0 {
	meta:
		name = "TIdSSLContext.GetVerifyMode"
		size = 7
		altNames = "TInSSLContext.GetVerifyMode"
	strings:
		$1 = { 0F B6 50 18 8B C2 C3 }
	condition:
		$1
}

rule function_37439_0 {
	meta:
		name = "TIdSSLContext.SetSSLMethod"
		size = 389
		refs = "000c TIdSSLContext.SetSSLMethod 0020 RSOSSLModeNotSet 0025 LoadResString 002f _DV_EIdOSSLModeNotSet 0034 EIdException.Create 0039 @RaiseExcept 006a SSLv2_server_method 007a SSLv2_client_method 008a SSLv2_method 00a6 SSLv23_server_method 00b6 SSLv23_client_method 00c6 SSLv23_method 00e2 SSLv3_server_method 00ef SSLv3_client_method 00fc SSLv3_method 0115 TLSv1_server_method 0122 TLSv1_client_method 012f TLSv1_method 013f RSSSLGetMethodError 014e _DV_EIdOSSLGetMethodError 0172 @UStrArrayClr 0178 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 78 06 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 50 04 80 EA 01 72 17 74 51 FE CA 0F 84 85 00 00 00 FE CA 0F 84 B0 00 00 00 E9 DE 00 00 00 0F B6 40 06 FE C8 74 14 FE C8 75 20 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 E9 E3 00 00 00 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 E9 D3 00 00 00 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 E9 C3 00 00 00 0F B6 40 06 FE C8 74 14 FE C8 75 20 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 E9 A7 00 00 00 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 E9 97 00 00 00 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 E9 87 00 00 00 0F B6 40 06 FE C8 74 11 FE C8 75 1A A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 EB 6E A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 EB 61 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 EB 54 0F B6 40 06 FE C8 74 11 FE C8 75 1A A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 EB 3B A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 EB 2E A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 EB 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_41484_0 {
	meta:
		name = "TInSSLContext.SetSSLMethod"
		size = 389
		refs = "000c TInSSLContext.SetSSLMethod 0020 RSOSSLModeNotSet 0025 LoadResString 002f _DV_EIdOSSLModeNotSet 0034 EInException.Create 0039 @RaiseExcept 006a SSLv2_server_method 007a SSLv2_client_method 008a SSLv2_method 00a6 SSLv23_server_method 00b6 SSLv23_client_method 00c6 SSLv23_method 00e2 SSLv3_server_method 00ef SSLv3_client_method 00fc SSLv3_method 0115 TLSv1_server_method 0122 TLSv1_client_method 012f TLSv1_method 013f RSSSLGetMethodError 014e _DV_EIdOSSLGetMethodError 0172 @UStrArrayClr 0178 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 78 06 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 50 04 80 EA 01 72 17 74 51 FE CA 0F 84 85 00 00 00 FE CA 0F 84 B0 00 00 00 E9 DE 00 00 00 0F B6 40 06 FE C8 74 14 FE C8 75 20 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 E9 E3 00 00 00 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 E9 D3 00 00 00 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 E9 C3 00 00 00 0F B6 40 06 FE C8 74 14 FE C8 75 20 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 E9 A7 00 00 00 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 E9 97 00 00 00 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 E9 87 00 00 00 0F B6 40 06 FE C8 74 11 FE C8 75 1A A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 EB 6E A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 EB 61 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 EB 54 0F B6 40 06 FE C8 74 11 FE C8 75 1A A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 EB 3B A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 EB 2E A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 EB 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_37440_0 {
	meta:
		name = "TIdSSLContext.LoadRootCert"
		size = 111
		refs = "000f TIdSSLContext.LoadRootCert 0023 @UStrLAsg 003c IndyX509_STORE_load_locations 005b @UStrArrayClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 24 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 1C E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B 46 0C E8 ?? ?? ?? ?? 85 C0 0F 9F C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_41485_0 {
	meta:
		name = "TInSSLContext.LoadRootCert"
		size = 111
		refs = "000f TInSSLContext.LoadRootCert 0023 @UStrLAsg 003c IndyX509_STORE_load_locations 005b @UStrArrayClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 24 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 1C E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B 46 0C E8 ?? ?? ?? ?? 85 C0 0F 9F C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_37441_0 {
	meta:
		name = "TIdSSLContext.LoadCert"
		size = 26
		refs = "000f IndySSL_CTX_use_certificate_file"
		altNames = "TInSSLContext.LoadCert"
	strings:
		$1 = { 53 8B D8 B9 01 00 00 00 8B 53 0C 8B 43 24 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_37442_0 {
	meta:
		name = "TIdSSLContext.LoadKey"
		size = 49
		refs = "000f IndySSL_CTX_use_PrivateKey_file 0021 SSL_CTX_check_private_key"
		altNames = "TInSSLContext.LoadKey"
	strings:
		$1 = { 53 8B D8 B9 01 00 00 00 8B 53 10 8B 43 24 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 84 C0 74 13 8B 43 24 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 85 C0 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_37443_0 {
	meta:
		name = "TIdSSLContext.Clone"
		size = 104
		refs = "0007 _DV_TIdSSLContext 000c TIdSSLContext.Create 003c @UStrAsg"
	strings:
		$1 = { 53 56 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 0F B6 43 28 88 46 28 0F B6 43 29 88 46 29 0F B6 43 04 88 46 04 0F B6 43 05 88 46 05 0F B6 43 06 88 46 06 8D 46 08 8B 53 08 E8 ?? ?? ?? ?? 8D 46 0C 8B 53 0C E8 ?? ?? ?? ?? 8D 46 10 8B 53 10 E8 ?? ?? ?? ?? 0F B6 43 18 88 46 18 8B 43 14 89 46 14 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_41488_0 {
	meta:
		name = "TInSSLContext.Clone"
		size = 104
		refs = "0007 _DV_TInSSLContext 000c TInSSLContext.Create 003c @UStrAsg"
	strings:
		$1 = { 53 56 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 0F B6 43 28 88 46 28 0F B6 43 29 88 46 29 0F B6 43 04 88 46 04 0F B6 43 05 88 46 05 0F B6 43 06 88 46 06 8D 46 08 8B 53 08 E8 ?? ?? ?? ?? 8D 46 0C 8B 53 0C E8 ?? ?? ?? ?? 8D 46 10 8B 53 10 E8 ?? ?? ?? ?? 0F B6 43 18 88 46 18 8B 43 14 89 46 14 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_37445_0 {
	meta:
		name = "TIdSSLSocket.Destroy"
		size = 105
		refs = "0003 @BeforeDestruction 0014 SSL_shutdown 0022 SSL_free 003c TObject.Free 0057 TObject.Destroy 0062 @ClassDestroy"
		altNames = "TInSSLSocket.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C 85 C0 74 1E 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B 46 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 33 C0 89 46 0C 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37446_0 {
	meta:
		name = "TIdSSLSocket.GetSSLError"
		size = 92
		refs = "0006 SSL_get_error 001b TIdSSLSocket.GetSSLError"
	strings:
		$1 = { 52 8B 40 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 8B D0 83 FA 06 77 43 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 C3 B8 03 00 00 00 C3 B8 02 00 00 00 C3 B8 06 00 00 00 C3 B8 05 00 00 00 C3 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_41491_0 {
	meta:
		name = "TInSSLSocket.GetSSLError"
		size = 92
		refs = "0006 SSL_get_error 001b TInSSLSocket.GetSSLError"
	strings:
		$1 = { 52 8B 40 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 8B D0 83 FA 06 77 43 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 C3 B8 03 00 00 00 C3 B8 02 00 00 00 C3 B8 06 00 00 00 C3 B8 05 00 00 00 C3 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_37447_0 {
	meta:
		name = "TIdSSLSocket.Accept"
		size = 664
		refs = "001b TIdSSLSocket.Accept 002c _DV_TIdSSLIOHandlerSocketOpenSSL 0031 @IsClass 0042 @AsClass 0054 SSL_new 006a RSSSLCreatingSessionError 006f LoadResString 0079 _DV_EIdOSSLCreatingSessionError 007e EIdException.Create 0083 @RaiseExcept 008d SSL_set_app_data 009b RSSSLDataBindingError 00ae _DV_EIdOSSLDataBindingError 00b3 EIdOpenSSLAPISSLError.RaiseException 00c0 SSL_set_fd 00d5 RSSSLFDSetError 00e8 _DV_EIdOSSLFDSetError 00f6 SSL_accept 0109 RSSSLAcceptError 011c _DV_EIdOSSLAcceptError 012d TIdSSLSocket.GetSSLCipher 0135 TIdSSLCipher.GetName 0151 TIdSSLCipher.GetDescription 016a TIdSSLCipher.GetBits 0172 IntToStr 018e TIdSSLCipher.GetVersion 01a3 @UStrCatN 01ce @UStrArrayClr 01d6 @UStrClr 01dc @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 EB 02 33 FF 8B 43 14 8B 40 24 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B F0 89 73 0C 85 F6 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 43 0C E8 ?? ?? ?? ?? 8B F0 85 F6 7F 20 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B CE 8B 53 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 8B F0 85 F6 7F 20 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B CE 8B 53 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B F0 85 F6 7F 20 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B CE 8B 53 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 D8 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 FC BA 0C 00 00 00 E8 ?? ?? ?? ?? 85 FF 74 0D 8B 55 FC 8B C7 8B 08 FF 91 18 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 69 00 70 00 68 00 65 00 72 00 3A 00 20 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 64 00 65 00 73 00 63 00 72 00 69 00 70 00 74 00 69 00 6F 00 6E 00 20 00 3D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 69 00 74 00 73 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 3D 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_41492_0 {
	meta:
		name = "TInSSLSocket.Accept"
		size = 664
		refs = "001b TInSSLSocket.Accept 002c _DV_TInSSLIOHandlerSocketOpenSSL 0031 @IsClass 0042 @AsClass 0054 SSL_new 006a RSSSLCreatingSessionError 006f LoadResString 0079 _DV_EIdOSSLCreatingSessionError 007e EInException.Create 0083 @RaiseExcept 008d SSL_set_app_data 009b RSSSLDataBindingError 00ae _DV_EIdOSSLDataBindingError 00b3 EIdOpenSSLAPISSLError.RaiseException 00c0 SSL_set_fd 00d5 RSSSLFDSetError 00e8 _DV_EIdOSSLFDSetError 00f6 SSL_accept 0109 RSSSLAcceptError 011c _DV_EIdOSSLAcceptError 012d TInSSLSocket.GetSSLCipher 0135 TInSSLCipher.GetName 0151 TInSSLCipher.GetDescription 016a TInSSLCipher.GetBits 0172 IntToStr 018e TInSSLCipher.GetVersion 01a3 @UStrCatN 01ce @UStrArrayClr 01d6 @UStrClr 01dc @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 EB 02 33 FF 8B 43 14 8B 40 24 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B F0 89 73 0C 85 F6 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 43 0C E8 ?? ?? ?? ?? 8B F0 85 F6 7F 20 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B CE 8B 53 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 8B F0 85 F6 7F 20 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B CE 8B 53 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B F0 85 F6 7F 20 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B CE 8B 53 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 D8 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 FC BA 0C 00 00 00 E8 ?? ?? ?? ?? 85 FF 74 0D 8B 55 FC 8B C7 8B 08 FF 91 18 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 69 00 70 00 68 00 65 00 72 00 3A 00 20 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 64 00 65 00 73 00 63 00 72 00 69 00 70 00 74 00 69 00 6F 00 6E 00 20 00 3D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 69 00 74 00 73 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 3D 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_37448_0 {
	meta:
		name = "TIdSSLSocket.Connect"
		size = 708
		refs = "001b TIdSSLSocket.Connect 002c _DV_TIdSSLIOHandlerSocketOpenSSL 0031 @IsClass 0042 @AsClass 0054 SSL_new 006a RSSSLCreatingSessionError 006f LoadResString 0079 _DV_EIdOSSLCreatingSessionError 007e EIdException.Create 0083 @RaiseExcept 008d SSL_set_app_data 009b RSSSLDataBindingError 00ae _DV_EIdOSSLDataBindingError 00b3 EIdOpenSSLAPISSLError.RaiseException 00c0 SSL_set_fd 00d5 RSSSLFDSetError 00e8 _DV_EIdOSSLFDSetError 0115 SSL_copy_session_id 0125 SSL_connect 0138 RSSSLConnectError 014b _DV_EIdOSSLConnectError 015c TIdSSLSocket.GetSSLCipher 0164 TIdSSLCipher.GetName 0180 TIdSSLCipher.GetDescription 0199 TIdSSLCipher.GetBits 01a1 IntToStr 01bd TIdSSLCipher.GetVersion 01d2 @UStrCatN 01fd @UStrArrayClr 0205 @UStrClr 020b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 EB 02 33 FF 8B 43 14 8B 40 24 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B F0 89 73 0C 85 F6 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 43 0C E8 ?? ?? ?? ?? 8B F0 85 F6 7F 20 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B CE 8B 53 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 8B F0 85 F6 7F 20 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B CE 8B 53 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 74 2B 83 BF 18 01 00 00 00 74 22 3B 9F 18 01 00 00 74 1A 8B 87 18 01 00 00 8B 40 0C 50 8B 43 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 8B 43 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B F0 85 F6 7F 20 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B CE 8B 53 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 D8 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 FC BA 0C 00 00 00 E8 ?? ?? ?? ?? 85 FF 74 0D 8B 55 FC 8B C7 8B 08 FF 91 18 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 69 00 70 00 68 00 65 00 72 00 3A 00 20 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 64 00 65 00 73 00 63 00 72 00 69 00 70 00 74 00 69 00 6F 00 6E 00 20 00 3D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 69 00 74 00 73 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 3D 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_41493_0 {
	meta:
		name = "TInSSLSocket.Connect"
		size = 708
		refs = "001b TInSSLSocket.Connect 002c _DV_TInSSLIOHandlerSocketOpenSSL 0031 @IsClass 0042 @AsClass 0054 SSL_new 006a RSSSLCreatingSessionError 006f LoadResString 0079 _DV_EIdOSSLCreatingSessionError 007e EInException.Create 0083 @RaiseExcept 008d SSL_set_app_data 009b RSSSLDataBindingError 00ae _DV_EIdOSSLDataBindingError 00b3 EIdOpenSSLAPISSLError.RaiseException 00c0 SSL_set_fd 00d5 RSSSLFDSetError 00e8 _DV_EIdOSSLFDSetError 0115 SSL_copy_session_id 0125 SSL_connect 0138 RSSSLConnectError 014b _DV_EIdOSSLConnectError 015c TInSSLSocket.GetSSLCipher 0164 TInSSLCipher.GetName 0180 TInSSLCipher.GetDescription 0199 TInSSLCipher.GetBits 01a1 IntToStr 01bd TInSSLCipher.GetVersion 01d2 @UStrCatN 01fd @UStrArrayClr 0205 @UStrClr 020b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 EB 02 33 FF 8B 43 14 8B 40 24 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B F0 89 73 0C 85 F6 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 43 0C E8 ?? ?? ?? ?? 8B F0 85 F6 7F 20 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B CE 8B 53 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 8B F0 85 F6 7F 20 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B CE 8B 53 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 74 2B 83 BF 18 01 00 00 00 74 22 3B 9F 18 01 00 00 74 1A 8B 87 18 01 00 00 8B 40 0C 50 8B 43 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 8B 43 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B F0 85 F6 7F 20 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B CE 8B 53 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 D8 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 FC BA 0C 00 00 00 E8 ?? ?? ?? ?? 85 FF 74 0D 8B 55 FC 8B C7 8B 08 FF 91 18 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 69 00 70 00 68 00 65 00 72 00 3A 00 20 00 6E 00 61 00 6D 00 65 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 64 00 65 00 73 00 63 00 72 00 69 00 70 00 74 00 69 00 6F 00 6E 00 20 00 3D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 69 00 74 00 73 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 3D 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_37449_0 {
	meta:
		name = "TIdSSLSocket.Recv"
		size = 78
		refs = "000a @DynArrayLength 0017 SSL_read 0031 TIdSSLSocket.GetSSLError"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 07 E8 ?? ?? ?? ?? 50 8B 07 50 8B 46 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 0C 8B D8 85 DB 7E 04 8B C3 EB 1E 8B D3 8B C6 E8 ?? ?? ?? ?? 83 F8 02 74 CD 83 F8 03 74 C8 83 F8 06 75 04 33 C0 EB 02 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_41494_0 {
	meta:
		name = "TInSSLSocket.Recv"
		size = 78
		refs = "000a @DynArrayLength 0017 SSL_read 0031 TInSSLSocket.GetSSLError"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 07 E8 ?? ?? ?? ?? 50 8B 07 50 8B 46 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 0C 8B D8 85 DB 7E 04 8B C3 EB 1E 8B D3 8B C6 E8 ?? ?? ?? ?? 83 F8 02 74 CD 83 F8 03 74 C8 83 F8 06 75 04 33 C0 EB 02 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37450_0 {
	meta:
		name = "TIdSSLSocket.Send"
		size = 118
		refs = "0028 SSL_write 004d TIdSSLSocket.GetSSLError"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 8B 7D 08 33 C0 89 45 F4 57 8B 45 FC 8B 55 F8 03 C2 50 8B 46 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 0C 8B D8 85 DB 7E 0F 01 5D F4 01 5D F8 2B FB 83 FF 01 7C 24 EB D1 8B D3 8B C6 E8 ?? ?? ?? ?? 83 F8 02 74 C3 83 F8 03 74 BE 83 F8 06 75 07 33 C0 89 45 F4 EB 03 89 5D F4 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_41495_0 {
	meta:
		name = "TInSSLSocket.Send"
		size = 118
		refs = "0028 SSL_write 004d TInSSLSocket.GetSSLError"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 8B 7D 08 33 C0 89 45 F4 57 8B 45 FC 8B 55 F8 03 C2 50 8B 46 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 0C 8B D8 85 DB 7E 0F 01 5D F4 01 5D F8 2B FB 83 FF 01 7C 24 EB D1 8B D3 8B C6 E8 ?? ?? ?? ?? 83 F8 02 74 C3 83 F8 03 74 BE 83 F8 06 75 07 33 C0 89 45 F4 EB 03 89 5D F4 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_37451_0 {
	meta:
		name = "TIdSSLSocket.GetPeerCert"
		size = 55
		refs = "000f SSL_get_peer_certificate 0025 _DV_TIdX509 002a TIdX509.Create"
		altNames = "TInSSLSocket.GetPeerCert"
	strings:
		$1 = { 53 56 8B D8 83 7B 08 00 75 27 8B 43 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B F0 85 F6 74 13 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 8B 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_37452_0 {
	meta:
		name = "TIdSSLSocket.GetSSLCipher"
		size = 37
		refs = "0014 _DV_TIdSSLCipher 0019 TIdSSLCipher.Create"
	strings:
		$1 = { 53 8B D8 83 7B 10 00 75 17 83 7B 0C 00 74 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B 43 10 5B C3 }
	condition:
		$1
}

rule function_41497_0 {
	meta:
		name = "TInSSLSocket.GetSSLCipher"
		size = 37
		refs = "0014 _DV_TInSSLCipher 0019 TInSSLCipher.Create"
	strings:
		$1 = { 53 8B D8 83 7B 10 00 75 17 83 7B 0C 00 74 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B 43 10 5B C3 }
	condition:
		$1
}

rule function_37453_0 {
	meta:
		name = "TIdSSLSocket.GetSessionID"
		size = 79
		refs = "000f SSL_get_session 001a SSL_SESSION_get_id"
		altNames = "TInSSLSocket.GetSessionID"
	strings:
		$1 = { 53 56 8B DA 33 D2 89 13 33 D2 89 53 04 8B 15 ?? ?? ?? ?? 83 3A 00 74 34 8B 15 ?? ?? ?? ?? 83 3A 00 74 29 8B 50 0C 85 D2 74 22 52 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B F0 85 F6 74 11 53 56 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 89 43 04 5E 5B C3 }
	condition:
		$1
}

rule function_37454_0 {
	meta:
		name = "TIdSSLSocket.GetSessionIDAsString"
		size = 176
		refs = "0016 TIdSSLSocket.GetSessionIDAsString 0023 @UStrClr 002d TIdSSLSocket.GetSessionID 005f IndyFormat 0069 @UStrCat 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 76 39 8B D8 4B 85 DB 72 32 43 33 FF 8D 45 F4 50 8B 45 FC 0F B6 04 38 89 45 EC C6 45 F0 00 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 47 4B 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 2E 00 32 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_41499_0 {
	meta:
		name = "TInSSLSocket.GetSessionIDAsString"
		size = 176
		refs = "0016 TInSSLSocket.GetSessionIDAsString 0023 @UStrClr 002d TInSSLSocket.GetSessionID 005f IndyFormat 0069 @UStrCat 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 76 39 8B D8 4B 85 DB 72 32 43 33 FF 8D 45 F4 50 8B 45 FC 0F B6 04 38 89 45 EC C6 45 F0 00 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 47 4B 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 2E 00 32 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_37456_0 {
	meta:
		name = "TIdX509Name.CertInOneLine"
		size = 142
		refs = "001c TIdX509Name.CertInOneLine 0030 @UStrClr 0044 X509_NAME_oneline 0056 StrPas 0063 @UStrFromLStr 007b @LStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 F7 FF FF 53 56 57 33 C9 89 8D F8 F7 FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 04 85 FF 75 09 8B C6 E8 ?? ?? ?? ?? EB 31 68 01 08 00 00 8D 85 FF F7 FF FF 50 57 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 0C 8D 95 F8 F7 FF FF E8 ?? ?? ?? ?? 8B 95 F8 F7 FF FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 F7 FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37457_0 {
	meta:
		name = "TIdX509Name.GetHash"
		size = 49
		refs = "0016 @FillChar 001e X509_NAME_hash"
	strings:
		$1 = { 53 56 51 8B D8 8B 73 04 85 F6 75 10 8B C4 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 0E 56 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 04 24 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_37458_0 {
	meta:
		name = "TIdX509Name.GetHashAsString"
		size = 72
		refs = "000d TIdX509Name.GetHash 0021 TIdX509Name.GetHashAsString 0026 IndyFormat"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 56 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 C6 44 24 08 00 8D 54 24 04 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 2E 00 38 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_37461_0 {
	meta:
		name = "TIdX509Fingerprints.GetMD5"
		size = 45
		refs = "0007 CheckMD5Permitted 0011 EVP_md5 001f X509_digest"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 56 8D 46 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 50 8B 43 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_37462_0 {
	meta:
		name = "TIdX509Fingerprints.GetMD5AsString"
		size = 228
		refs = "001a TIdX509Fingerprints.GetMD5AsString 002a TIdX509Fingerprints.GetMD5 0032 @UStrClr 0051 @UStrCat 006e IndyFormat 0089 @UStrAsg 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 33 C9 89 4D B0 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 B4 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 7D B4 4F 85 FF 7C 44 47 33 F6 8D 5D B8 85 F6 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 50 0F B6 03 89 45 A8 C6 45 AC 00 8D 55 A8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8D 45 FC E8 ?? ?? ?? ?? 46 43 4F 75 C2 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 2E 00 32 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_37484_0 {
	meta:
		name = "TIdX509.RFingerprintAsString"
		size = 228
		refs = "001a TIdX509.RFingerprintAsString 002a TIdX509.RFingerprint 0032 @UStrClr 0051 @UStrCat 006e IndyFormat 0089 @UStrAsg 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 33 C9 89 4D B0 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 B4 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 7D B4 4F 85 FF 7C 44 47 33 F6 8D 5D B8 85 F6 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 50 0F B6 03 89 45 A8 C6 45 AC 00 8D 55 A8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8D 45 FC E8 ?? ?? ?? ?? 46 43 4F 75 C2 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 2E 00 32 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_37464_0 {
	meta:
		name = "TIdX509Fingerprints.GetSHA1AsString"
		size = 228
		refs = "001a TIdX509Fingerprints.GetSHA1AsString 002a TIdX509Fingerprints.GetSHA1 0032 @UStrClr 0051 @UStrCat 006e IndyFormat 0089 @UStrAsg 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 33 C9 89 4D B0 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 B4 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 7D B4 4F 85 FF 7C 44 47 33 F6 8D 5D B8 85 F6 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 50 0F B6 03 89 45 A8 C6 45 AC 00 8D 55 A8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8D 45 FC E8 ?? ?? ?? ?? 46 43 4F 75 C2 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 2E 00 32 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_37463_0 {
	meta:
		name = "TIdX509Fingerprints.GetSHA1"
		size = 40
		refs = "000c EVP_sha1 001a X509_digest"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8D 46 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 50 8B 43 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_37465_0 {
	meta:
		name = "TIdX509Fingerprints.GetSHA224"
		size = 67
		refs = "0007 EVP_sha224 0024 X509_digest 003c @FillChar"
	strings:
		$1 = { 53 56 8B DA 8B F0 A1 ?? ?? ?? ?? 83 38 00 74 22 53 8D 43 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 50 8B 46 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 10 5E 5B C3 8B C3 33 C9 BA 44 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37467_0 {
	meta:
		name = "TIdX509Fingerprints.GetSHA256"
		size = 67
		refs = "0007 EVP_sha256 0024 X509_digest 003c @FillChar"
	strings:
		$1 = { 53 56 8B DA 8B F0 A1 ?? ?? ?? ?? 83 38 00 74 22 53 8D 43 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 50 8B 46 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 10 5E 5B C3 8B C3 33 C9 BA 44 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37469_0 {
	meta:
		name = "TIdX509Fingerprints.GetSHA384"
		size = 67
		refs = "0007 EVP_sha384 0024 X509_digest 003c @FillChar"
	strings:
		$1 = { 53 56 8B DA 8B F0 A1 ?? ?? ?? ?? 83 38 00 74 22 53 8D 43 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 50 8B 46 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 10 5E 5B C3 8B C3 33 C9 BA 44 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37471_0 {
	meta:
		name = "TIdX509Fingerprints.GetSHA512"
		size = 67
		refs = "0007 EVP_sha512 0024 X509_digest 003c @FillChar"
	strings:
		$1 = { 53 56 8B DA 8B F0 A1 ?? ?? ?? ?? 83 38 00 74 22 53 8D 43 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 50 8B 46 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 10 5E 5B C3 8B C3 33 C9 BA 44 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37466_0 {
	meta:
		name = "TIdX509Fingerprints.GetSHA224AsString"
		size = 248
		refs = "001a TIdX509Fingerprints.GetSHA224AsString 0025 EVP_sha224 0034 TIdX509Fingerprints.GetSHA224 003c @UStrClr 005b @UStrCat 0078 IndyFormat 0093 @UStrAsg 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 33 C9 89 4D B0 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 00 74 6B 8D 55 B4 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 7D B4 4F 85 FF 7C 44 47 33 F6 8D 5D B8 85 F6 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 50 0F B6 03 89 45 A8 C6 45 AC 00 8D 55 A8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8D 45 FC E8 ?? ?? ?? ?? 46 43 4F 75 C2 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 2E 00 32 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_37468_0 {
	meta:
		name = "TIdX509Fingerprints.GetSHA256AsString"
		size = 248
		refs = "001a TIdX509Fingerprints.GetSHA256AsString 0025 EVP_sha256 0034 TIdX509Fingerprints.GetSHA256 003c @UStrClr 005b @UStrCat 0078 IndyFormat 0093 @UStrAsg 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 33 C9 89 4D B0 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 00 74 6B 8D 55 B4 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 7D B4 4F 85 FF 7C 44 47 33 F6 8D 5D B8 85 F6 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 50 0F B6 03 89 45 A8 C6 45 AC 00 8D 55 A8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8D 45 FC E8 ?? ?? ?? ?? 46 43 4F 75 C2 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 2E 00 32 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_37470_0 {
	meta:
		name = "TIdX509Fingerprints.GetSHA384AsString"
		size = 248
		refs = "001a TIdX509Fingerprints.GetSHA384AsString 0025 EVP_sha384 0034 TIdX509Fingerprints.GetSHA384 003c @UStrClr 005b @UStrCat 0078 IndyFormat 0093 @UStrAsg 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 33 C9 89 4D B0 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 00 74 6B 8D 55 B4 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 7D B4 4F 85 FF 7C 44 47 33 F6 8D 5D B8 85 F6 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 50 0F B6 03 89 45 A8 C6 45 AC 00 8D 55 A8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8D 45 FC E8 ?? ?? ?? ?? 46 43 4F 75 C2 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 2E 00 32 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_37472_0 {
	meta:
		name = "TIdX509Fingerprints.GetSHA512AsString"
		size = 248
		refs = "001a TIdX509Fingerprints.GetSHA512AsString 0025 EVP_sha512 0034 TIdX509Fingerprints.GetSHA512 003c @UStrClr 005b @UStrCat 0078 IndyFormat 0093 @UStrAsg 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 33 C9 89 4D B0 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 00 74 6B 8D 55 B4 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 7D B4 4F 85 FF 7C 44 47 33 F6 8D 5D B8 85 F6 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 50 0F B6 03 89 45 A8 C6 45 AC 00 8D 55 A8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8D 45 FC E8 ?? ?? ?? ?? 46 43 4F 75 C2 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 2E 00 32 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_37473_0 {
	meta:
		name = "TIdX509SigInfo.GetSignature"
		size = 220
		refs = "001a TIdX509SigInfo.GetSignature 0028 @UStrClr 004c @UStrCat 0069 IndyFormat 0084 @UStrAsg 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F4 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 8B 40 08 8B 58 08 8B 38 4F 85 FF 7C 41 47 33 F6 85 F6 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 0F B6 03 89 45 EC C6 45 F0 00 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 43 46 4F 75 C2 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 2E 00 32 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_37475_0 {
	meta:
		name = "TIdX509SigInfo.GetSigTypeAsString"
		size = 36
		refs = "0009 TIdX509SigInfo.GetSigType 000f OBJ_nid2ln 001d @UStrFromPChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37476_0 {
	meta:
		name = "TIdX509.Create"
		size = 124
		refs = "000e @ClassCreate 001d TObject.Create 0036 _DV_TIdX509Fingerprints 003b TIdX509Info.Create 0048 _DV_TIdX509SigInfo 0065 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 1C 89 77 10 0F B6 45 08 88 47 0C 8B 4F 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 8B 4F 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 33 C0 89 47 14 33 C0 89 47 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37477_0 {
	meta:
		name = "TIdX509.Destroy"
		size = 136
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0066 X509_free 0076 TObject.Destroy 0081 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 80 7E 0C 00 74 0E 8B 46 10 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37478_0 {
	meta:
		name = "TIdX509.GetDisplayInfo"
		size = 280
		refs = "0014 TIdX509.GetDisplayInfo 002e _Dn_TStringList 0033 TStringList.Create 0048 X509_print 0056 BIO_s_mem 0060 BIO_new 0092 BIO_get_mem_data 00aa IndyUTF8Encoding 00b6 TEncoding.GetString 00dc BIO_free 00e7 @HandleFinally 0104 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 1C 00 0F 85 C2 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 1C 8B F3 8B 45 FC 8B 58 10 A1 ?? ?? ?? ?? 83 38 00 0F 84 98 00 00 00 A1 ?? ?? ?? ?? 8B 00 FF D0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F8 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 28 83 7D F4 00 74 22 53 8D 45 F0 50 B0 01 E8 ?? ?? ?? ?? 8B 55 F4 8B 12 33 C9 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0E 8B 45 F8 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 C3 E9 ?? ?? ?? ?? EB E4 8B 45 FC 8B 58 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37479_0 {
	meta:
		name = "TIdX509.GetSerialNumber"
		size = 244
		refs = "0018 TIdX509.GetSerialNumber 002b X509_get_serialNumber 003a @UStrClr 0058 @UStrCat 0075 IndyFormat 0090 @UStrAsg 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F4 89 4D FC 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 50 10 85 D2 74 6D 52 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B F0 8D 45 FC E8 ?? ?? ?? ?? 8B 5E 08 8B 3E 4F 85 FF 7C 41 47 33 F6 85 F6 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 0F B6 03 89 45 EC C6 45 F0 00 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 43 46 4F 75 C2 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 2E 00 32 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_37481_0 {
	meta:
		name = "TIdX509.RSubject"
		size = 57
		refs = "0013 X509_get_subject_name 0027 _DV_TIdX509Name 002c TIdX509Name.Create"
	strings:
		$1 = { 53 56 8B D8 83 7B 14 00 75 29 8B 43 10 85 C0 74 0F 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B F0 EB 02 33 F6 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 14 8B 43 14 5E 5B C3 }
	condition:
		$1
}

rule function_37482_0 {
	meta:
		name = "TIdX509.RIssuer"
		size = 57
		refs = "0013 X509_get_issuer_name 0027 _DV_TIdX509Name 002c TIdX509Name.Create"
	strings:
		$1 = { 53 56 8B D8 83 7B 18 00 75 29 8B 43 10 85 C0 74 0F 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8B F0 EB 02 33 F6 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 8B 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_37483_0 {
	meta:
		name = "TIdX509.RFingerprint"
		size = 40
		refs = "000c EVP_md5 001a X509_digest"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8D 46 04 50 A1 ?? ?? ?? ?? 8B 00 FF D0 50 8B 43 10 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_37485_0 {
	meta:
		name = "TIdX509.RnotBefore"
		size = 252
		refs = "001f X509_get_notBefore 0058 UTC_Time_Decode 0070 EncodeDate 008b EncodeTime 009e TIdX509.RnotBefore 00bf TimeZoneBias"
	strings:
		$1 = { 53 56 83 C4 B8 8B D8 8B 73 10 85 F6 75 0E 33 C0 89 04 24 89 44 24 04 E9 CF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 89 44 24 08 89 44 24 0C 8D 44 24 14 50 8D 44 24 1A 50 8D 44 24 20 50 8D 44 24 26 50 8D 44 24 2C 50 8D 44 24 34 50 8D 4C 24 2A 8D 54 24 28 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 7C 0F B7 4C 24 14 0F B7 54 24 12 0F B7 44 24 10 E8 ?? ?? ?? ?? DD 5C 24 40 9B 6A 00 0F B7 4C 24 1E 0F B7 54 24 1C 0F B7 44 24 1A E8 ?? ?? ?? ?? DC 44 24 40 DD 5C 24 08 9B DB 44 24 20 D8 35 ?? ?? ?? ?? DC 44 24 08 DD 5C 24 28 9B DB 44 24 1C D8 35 ?? ?? ?? ?? DC 44 24 08 DD 5C 24 30 9B E8 ?? ?? ?? ?? DC 6C 24 08 DD 5C 24 38 9B 8B 44 24 38 89 44 24 08 8B 44 24 3C 89 44 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 DD 04 24 83 C4 48 5E 5B C3 00 00 B4 44 00 00 C0 41 }
	condition:
		$1
}

rule function_37486_0 {
	meta:
		name = "TIdX509.RnotAfter"
		size = 252
		refs = "001f X509_get_notAfter 0058 UTC_Time_Decode 0070 EncodeDate 008b EncodeTime 009e TIdX509.RnotAfter 00bf TimeZoneBias"
	strings:
		$1 = { 53 56 83 C4 B8 8B D8 8B 73 10 85 F6 75 0E 33 C0 89 04 24 89 44 24 04 E9 CF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 89 44 24 08 89 44 24 0C 8D 44 24 14 50 8D 44 24 1A 50 8D 44 24 20 50 8D 44 24 26 50 8D 44 24 2C 50 8D 44 24 34 50 8D 4C 24 2A 8D 54 24 28 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 7C 0F B7 4C 24 14 0F B7 54 24 12 0F B7 44 24 10 E8 ?? ?? ?? ?? DD 5C 24 40 9B 6A 00 0F B7 4C 24 1E 0F B7 54 24 1C 0F B7 44 24 1A E8 ?? ?? ?? ?? DC 44 24 40 DD 5C 24 08 9B DB 44 24 20 D8 35 ?? ?? ?? ?? DC 44 24 08 DD 5C 24 28 9B DB 44 24 1C D8 35 ?? ?? ?? ?? DC 44 24 08 DD 5C 24 30 9B E8 ?? ?? ?? ?? DC 6C 24 08 DD 5C 24 38 9B 8B 44 24 38 89 44 24 08 8B 44 24 3C 89 44 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 DD 04 24 83 C4 48 5E 5B C3 00 00 B4 44 00 00 C0 41 }
	condition:
		$1
}

rule function_37489_0 {
	meta:
		name = "TIdSSLCipher.GetDescription"
		size = 141
		refs = "001b TIdSSLCipher.GetDescription 0039 SSL_get_current_cipher 0044 SSL_CIPHER_description 0056 StrPas 0063 @UStrFromLStr 007b @LStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FB FF FF 53 56 33 C9 89 8D F8 FB FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 04 00 00 8D 85 FF FB FF FF 50 8B 43 04 8B 40 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 0C 8D 95 F8 FB FF FF E8 ?? ?? ?? ?? 8B 95 F8 FB FF FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FB FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41534_0 {
	meta:
		name = "TInSSLCipher.GetDescription"
		size = 141
		refs = "001b TInSSLCipher.GetDescription 0039 SSL_get_current_cipher 0044 SSL_CIPHER_description 0056 StrPas 0063 @UStrFromLStr 007b @LStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FB FF FF 53 56 33 C9 89 8D F8 FB FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 04 00 00 8D 85 FF FB FF FF 50 8B 43 04 8B 40 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 0C 8D 95 F8 FB FF FF E8 ?? ?? ?? ?? 8B 95 F8 FB FF FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FB FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37490_0 {
	meta:
		name = "TIdSSLCipher.GetName"
		size = 105
		refs = "000f TIdSSLCipher.GetName 0021 SSL_get_current_cipher 002c SSL_CIPHER_get_name 0039 StrPas 0043 @UStrFromLStr 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 40 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37492_0 {
	meta:
		name = "TIdSSLCipher.GetVersion"
		size = 105
		refs = "000f TIdSSLCipher.GetVersion 0021 SSL_get_current_cipher 002c SSL_CIPHER_get_version 0039 StrPas 0043 @UStrFromLStr 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 40 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41535_0 {
	meta:
		name = "TInSSLCipher.GetName"
		size = 105
		refs = "000f TInSSLCipher.GetName 0021 SSL_get_current_cipher 002c SSL_CIPHER_get_name 0039 StrPas 0043 @UStrFromLStr 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 40 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41537_0 {
	meta:
		name = "TInSSLCipher.GetVersion"
		size = 105
		refs = "000f TInSSLCipher.GetVersion 0021 SSL_get_current_cipher 002c SSL_CIPHER_get_version 0039 StrPas 0043 @UStrFromLStr 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 40 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37491_0 {
	meta:
		name = "TIdSSLCipher.GetBits"
		size = 41
		refs = "000d SSL_get_current_cipher 0018 SSL_CIPHER_get_bits"
		altNames = "TInSSLCipher.GetBits"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 8B 40 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 59 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_37493_0 {
	meta:
		name = "Finalization"
		size = 32
		refs = "0002 _DV_52 0009 UnLoadOpenSSLLibrary 000e SSLIsLoaded 001b TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 17 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37494_0 {
	meta:
		name = "IdSSLOpenSSL"
		size = 588
		refs = "0002 _DV_52 000c _Dn_TIdThreadSafeBoolean 0011 TIdThreadSafe.Create 0016 SSLIsLoaded 001b IdSSLOpenSSL 0025 _DV_TIdSSLIOHandlerSocketOpenSSL 002b _DV_TIdServerIOHandlerSSLOpenSSL 0040 RegisterSSL"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 3B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 34 00 00 00 4F 00 70 00 65 00 6E 00 20 00 53 00 53 00 4C 00 20 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 20 00 44 00 4C 00 4C 00 20 00 44 00 65 00 6C 00 70 00 68 00 69 00 20 00 61 00 6E 00 64 00 20 00 43 00 2B 00 2B 00 42 00 75 00 69 00 6C 00 64 00 65 00 72 00 20 00 69 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3A 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 69 00 6E 00 64 00 79 00 70 00 72 00 6F 00 6A 00 65 00 63 00 74 00 2E 00 6F 00 72 00 67 00 2F 00 0A 00 0D 00 4F 00 72 00 69 00 67 00 69 00 6E 00 61 00 6C 00 20 00 41 00 75 00 74 00 68 00 6F 00 72 00 20 00 2D 00 20 00 47 00 72 00 65 00 67 00 6F 00 72 00 20 00 49 00 62 00 69 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 5A 00 00 00 43 00 6F 00 70 00 79 00 72 00 69 00 67 00 68 00 74 00 20 00 A9 00 20 00 31 00 39 00 39 00 33 00 20 00 2D 00 20 00 32 00 30 00 30 00 39 00 0A 00 0D 00 43 00 68 00 61 00 64 00 20 00 5A 00 2E 00 20 00 48 00 6F 00 77 00 65 00 72 00 20 00 28 00 4B 00 75 00 64 00 7A 00 75 00 29 00 20 00 61 00 6E 00 64 00 20 00 74 00 68 00 65 00 20 00 49 00 6E 00 64 00 79 00 20 00 50 00 69 00 74 00 20 00 43 00 72 00 65 00 77 00 2E 00 20 00 41 00 6C 00 6C 00 20 00 72 00 69 00 67 00 68 00 74 00 73 00 20 00 72 00 65 00 73 00 65 00 72 00 76 00 65 00 64 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 6E 00 64 00 79 00 20 00 50 00 69 00 74 00 20 00 43 00 72 00 65 00 77 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 70 00 65 00 6E 00 53 00 53 00 4C 00 00 00 }
	condition:
		$1
}

rule function_41539_0 {
	meta:
		name = "InSSLOpenSSL"
		size = 588
		refs = "0002 _DV_52 000c _Dn_TInThreadSafeBoolean 0011 TInThreadSafe.Create 0016 SSLIsLoaded 001b InSSLOpenSSL 0025 _DV_TInSSLIOHandlerSocketOpenSSL 002b _DV_TInServerIOHandlerSSLOpenSSL 0040 RegisterSSL"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 3B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 34 00 00 00 4F 00 70 00 65 00 6E 00 20 00 53 00 53 00 4C 00 20 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 20 00 44 00 4C 00 4C 00 20 00 44 00 65 00 6C 00 70 00 68 00 69 00 20 00 61 00 6E 00 64 00 20 00 43 00 2B 00 2B 00 42 00 75 00 69 00 6C 00 64 00 65 00 72 00 20 00 69 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3A 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 69 00 6E 00 64 00 79 00 70 00 72 00 6F 00 6A 00 65 00 63 00 74 00 2E 00 6F 00 72 00 67 00 2F 00 0A 00 0D 00 4F 00 72 00 69 00 67 00 69 00 6E 00 61 00 6C 00 20 00 41 00 75 00 74 00 68 00 6F 00 72 00 20 00 2D 00 20 00 47 00 72 00 65 00 67 00 6F 00 72 00 20 00 49 00 62 00 69 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 5A 00 00 00 43 00 6F 00 70 00 79 00 72 00 69 00 67 00 68 00 74 00 20 00 A9 00 20 00 31 00 39 00 39 00 33 00 20 00 2D 00 20 00 32 00 30 00 30 00 39 00 0A 00 0D 00 43 00 68 00 61 00 64 00 20 00 5A 00 2E 00 20 00 48 00 6F 00 77 00 65 00 72 00 20 00 28 00 4B 00 75 00 64 00 7A 00 75 00 29 00 20 00 61 00 6E 00 64 00 20 00 74 00 68 00 65 00 20 00 49 00 6E 00 64 00 79 00 20 00 50 00 69 00 74 00 20 00 43 00 72 00 65 00 77 00 2E 00 20 00 41 00 6C 00 6C 00 20 00 72 00 69 00 67 00 68 00 74 00 73 00 20 00 72 00 65 00 73 00 65 00 72 00 76 00 65 00 64 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 6E 00 64 00 79 00 20 00 50 00 69 00 74 00 20 00 43 00 72 00 65 00 77 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 70 00 65 00 6E 00 53 00 53 00 4C 00 00 00 }
	condition:
		$1
}

rule function_37495_0 {
	meta:
		name = "HMAC_Init_ex"
		size = 69
		refs = "0006 _HMAC_Init_ex 0025 _1_0_HMAC_Init_ex"
	strings:
		$1 = { 55 8B EC 53 83 3D ?? ?? ?? ?? 00 74 16 8B 5D 08 53 8B 5D 0C 53 51 52 50 FF 15 ?? ?? ?? ?? 83 C4 14 EB 1D 83 3D ?? ?? ?? ?? 00 74 14 8B 5D 08 53 8B 5D 0C 53 51 52 50 FF 15 ?? ?? ?? ?? 83 C4 14 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_37496_0 {
	meta:
		name = "HMAC_Update"
		size = 44
		refs = "0002 _HMAC_Update 0018 _1_0_HMAC_Update"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0D 51 52 50 FF 15 ?? ?? ?? ?? 83 C4 0C C3 83 3D ?? ?? ?? ?? 00 74 0C 51 52 50 FF 15 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_37497_0 {
	meta:
		name = "HMAC_Final"
		size = 44
		refs = "0002 _HMAC_Final 0018 _1_0_HMAC_Update 0024 _1_0_HMAC_Final"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0D 51 52 50 FF 15 ?? ?? ?? ?? 83 C4 0C C3 83 3D ?? ?? ?? ?? 00 74 0C 51 52 50 FF 15 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_37498_0 {
	meta:
		name = "IsOpenSSL_1x"
		size = 32
		refs = "0002 SSLeay"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 14 FF 15 ?? ?? ?? ?? 25 00 00 00 F0 3D 00 00 00 10 0F 94 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_37499_0 {
	meta:
		name = "OpenSSLIsHashingIntfAvail"
		size = 33
		refs = "0002 EVP_DigestInit_ex 000b EVP_DigestUpdate 0014 EVP_DigestFinal_ex"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 12 83 3D ?? ?? ?? ?? 00 74 09 83 3D ?? ?? ?? ?? 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_37500_0 {
	meta:
		name = "OpenSSLGetFIPSMode"
		size = 11
		refs = "0001 FIPS_mode"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 0F 95 C0 C3 }
	condition:
		$1
}

rule function_37501_0 {
	meta:
		name = "OpenSSLSetFIPSMode"
		size = 31
		refs = "000a FIPS_mode_set"
	strings:
		$1 = { 84 C0 74 0F B8 01 00 00 00 E8 ?? ?? ?? ?? 48 0F 94 C0 C3 33 C0 E8 ?? ?? ?? ?? 48 0F 94 C0 C3 }
	condition:
		$1
}

rule function_37502_0 {
	meta:
		name = "OpenSSLGetDigestCtx"
		size = 120
		refs = "000a AllocMem 0013 EVP_MD_CTX_init 001e EVP_DigestInit_ex 0029 OpenSSLGetDigestCtx 002e _DV_EIdDigestInitEx 0033 EIdOpenSSLAPICryptoError.RaiseException"
	strings:
		$1 = { 53 56 8B F0 B8 18 00 00 00 E8 ?? ?? ?? ?? 8B D8 53 FF 15 ?? ?? ?? ?? 59 6A 00 56 53 FF 15 ?? ?? ?? ?? 83 C4 0C 48 74 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5E 5B C3 B0 04 02 00 FF FF FF FF 17 00 00 00 45 00 56 00 50 00 5F 00 44 00 69 00 67 00 65 00 73 00 74 00 49 00 6E 00 69 00 74 00 5F 00 65 00 78 00 20 00 65 00 72 00 72 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_37505_0 {
	meta:
		name = "OpenSSLIsMD4HashIntfAvail"
		size = 11
		refs = "0002 EVP_md4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_37522_0 {
	meta:
		name = "OpenSSLIsHMACMD5Avail"
		size = 11
		refs = "0002 EVP_md5"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_37524_0 {
	meta:
		name = "OpenSSLIsHMACSHA1Avail"
		size = 11
		refs = "0002 EVP_sha1"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_41571_0 {
	meta:
		name = "OpenSSLIsHMACSHA224Avail"
		size = 11
		refs = "0002 EVP_sha224"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_41573_0 {
	meta:
		name = "OpenSSLIsHMACSHA256Avail"
		size = 11
		refs = "0002 EVP_sha256"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_41575_0 {
	meta:
		name = "OpenSSLIsHMACSHA384Avail"
		size = 11
		refs = "0002 EVP_sha384"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_41577_0 {
	meta:
		name = "OpenSSLIsHMACSHA512Avail"
		size = 11
		refs = "0002 EVP_sha512"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_37507_0 {
	meta:
		name = "OpenSSLIsMD5HashIntfAvail"
		size = 11
		refs = "0002 EVP_md5"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_37509_0 {
	meta:
		name = "OpenSSLIsSHA1HashIntfAvail"
		size = 11
		refs = "0002 EVP_sha1"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_41556_0 {
	meta:
		name = "OpenSSLIsSHA224HashIntfAvail"
		size = 11
		refs = "0002 EVP_sha224"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_41558_0 {
	meta:
		name = "OpenSSLIsSHA256HashIntfAvail"
		size = 11
		refs = "0002 EVP_sha256"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_41560_0 {
	meta:
		name = "OpenSSLIsSHA384HashIntfAvail"
		size = 11
		refs = "0002 EVP_sha384"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_41562_0 {
	meta:
		name = "OpenSSLIsSHA512HashIntfAvail"
		size = 11
		refs = "0002 EVP_sha512"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_38631_0 {
	meta:
		name = "Winsock2Loaded"
		size = 11
		refs = "0002 hWinSockDll"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_37506_0 {
	meta:
		name = "OpenSSLGetMD4HashInst"
		size = 128
		refs = "0004 EVP_md4 0010 AllocMem 0019 EVP_MD_CTX_init 0024 EVP_DigestInit_ex 002f OpenSSLGetMD4HashInst 0034 _DV_EIdDigestInitEx 0039 EIdOpenSSLAPICryptoError.RaiseException"
	strings:
		$1 = { 53 56 FF 15 ?? ?? ?? ?? 8B F0 B8 18 00 00 00 E8 ?? ?? ?? ?? 8B D8 53 FF 15 ?? ?? ?? ?? 59 6A 00 56 53 FF 15 ?? ?? ?? ?? 83 C4 0C 48 74 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 45 00 56 00 50 00 5F 00 44 00 69 00 67 00 65 00 73 00 74 00 49 00 6E 00 69 00 74 00 5F 00 65 00 78 00 20 00 65 00 72 00 72 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_37508_0 {
	meta:
		name = "OpenSSLGetMD5HashInst"
		size = 128
		refs = "0004 EVP_md5 0010 AllocMem 0019 EVP_MD_CTX_init 0024 EVP_DigestInit_ex 002f OpenSSLGetMD5HashInst 0034 _DV_EIdDigestInitEx 0039 EIdOpenSSLAPICryptoError.RaiseException"
	strings:
		$1 = { 53 56 FF 15 ?? ?? ?? ?? 8B F0 B8 18 00 00 00 E8 ?? ?? ?? ?? 8B D8 53 FF 15 ?? ?? ?? ?? 59 6A 00 56 53 FF 15 ?? ?? ?? ?? 83 C4 0C 48 74 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 45 00 56 00 50 00 5F 00 44 00 69 00 67 00 65 00 73 00 74 00 49 00 6E 00 69 00 74 00 5F 00 65 00 78 00 20 00 65 00 72 00 72 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_37510_0 {
	meta:
		name = "OpenSSLGetSHA1HashInst"
		size = 128
		refs = "0004 EVP_sha1 0010 AllocMem 0019 EVP_MD_CTX_init 0024 EVP_DigestInit_ex 002f OpenSSLGetSHA1HashInst 0034 _DV_EIdDigestInitEx 0039 EIdOpenSSLAPICryptoError.RaiseException"
	strings:
		$1 = { 53 56 FF 15 ?? ?? ?? ?? 8B F0 B8 18 00 00 00 E8 ?? ?? ?? ?? 8B D8 53 FF 15 ?? ?? ?? ?? 59 6A 00 56 53 FF 15 ?? ?? ?? ?? 83 C4 0C 48 74 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 45 00 56 00 50 00 5F 00 44 00 69 00 67 00 65 00 73 00 74 00 49 00 6E 00 69 00 74 00 5F 00 65 00 78 00 20 00 65 00 72 00 72 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_37512_0 {
	meta:
		name = "OpenSSLGetSHA224HashInst"
		size = 128
		refs = "0004 EVP_sha224 0010 AllocMem 0019 EVP_MD_CTX_init 0024 EVP_DigestInit_ex 002f OpenSSLGetSHA224HashInst 0034 _DV_EIdDigestInitEx 0039 EIdOpenSSLAPICryptoError.RaiseException"
	strings:
		$1 = { 53 56 FF 15 ?? ?? ?? ?? 8B F0 B8 18 00 00 00 E8 ?? ?? ?? ?? 8B D8 53 FF 15 ?? ?? ?? ?? 59 6A 00 56 53 FF 15 ?? ?? ?? ?? 83 C4 0C 48 74 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 45 00 56 00 50 00 5F 00 44 00 69 00 67 00 65 00 73 00 74 00 49 00 6E 00 69 00 74 00 5F 00 65 00 78 00 20 00 65 00 72 00 72 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_37514_0 {
	meta:
		name = "OpenSSLGetSHA256HashInst"
		size = 128
		refs = "0004 EVP_sha256 0010 AllocMem 0019 EVP_MD_CTX_init 0024 EVP_DigestInit_ex 002f OpenSSLGetSHA256HashInst 0034 _DV_EIdDigestInitEx 0039 EIdOpenSSLAPICryptoError.RaiseException"
	strings:
		$1 = { 53 56 FF 15 ?? ?? ?? ?? 8B F0 B8 18 00 00 00 E8 ?? ?? ?? ?? 8B D8 53 FF 15 ?? ?? ?? ?? 59 6A 00 56 53 FF 15 ?? ?? ?? ?? 83 C4 0C 48 74 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 45 00 56 00 50 00 5F 00 44 00 69 00 67 00 65 00 73 00 74 00 49 00 6E 00 69 00 74 00 5F 00 65 00 78 00 20 00 65 00 72 00 72 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_37516_0 {
	meta:
		name = "OpenSSLGetSHA384HashInst"
		size = 128
		refs = "0004 EVP_sha384 0010 AllocMem 0019 EVP_MD_CTX_init 0024 EVP_DigestInit_ex 002f OpenSSLGetSHA384HashInst 0034 _DV_EIdDigestInitEx 0039 EIdOpenSSLAPICryptoError.RaiseException"
	strings:
		$1 = { 53 56 FF 15 ?? ?? ?? ?? 8B F0 B8 18 00 00 00 E8 ?? ?? ?? ?? 8B D8 53 FF 15 ?? ?? ?? ?? 59 6A 00 56 53 FF 15 ?? ?? ?? ?? 83 C4 0C 48 74 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 45 00 56 00 50 00 5F 00 44 00 69 00 67 00 65 00 73 00 74 00 49 00 6E 00 69 00 74 00 5F 00 65 00 78 00 20 00 65 00 72 00 72 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_37518_0 {
	meta:
		name = "OpenSSLGetSHA512HashInst"
		size = 128
		refs = "0004 EVP_sha512 0010 AllocMem 0019 EVP_MD_CTX_init 0024 EVP_DigestInit_ex 002f OpenSSLGetSHA512HashInst 0034 _DV_EIdDigestInitEx 0039 EIdOpenSSLAPICryptoError.RaiseException"
	strings:
		$1 = { 53 56 FF 15 ?? ?? ?? ?? 8B F0 B8 18 00 00 00 E8 ?? ?? ?? ?? 8B D8 53 FF 15 ?? ?? ?? ?? 59 6A 00 56 53 FF 15 ?? ?? ?? ?? 83 C4 0C 48 74 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 45 00 56 00 50 00 5F 00 44 00 69 00 67 00 65 00 73 00 74 00 49 00 6E 00 69 00 74 00 5F 00 65 00 78 00 20 00 65 00 72 00 72 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_37519_0 {
	meta:
		name = "OpenSSLUpdateHashInst"
		size = 108
		refs = "0009 @DynArrayLength 0012 EVP_DigestUpdate 001d OpenSSLUpdateHashInst 0022 _DV_EIdDigestInitEx 0027 EIdOpenSSLAPICryptoError.RaiseException"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 50 53 56 FF 15 ?? ?? ?? ?? 83 C4 0C 48 74 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 45 00 56 00 50 00 5F 00 44 00 69 00 67 00 65 00 73 00 74 00 55 00 70 00 64 00 61 00 74 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_37520_0 {
	meta:
		name = "OpenSSLFinalHashInst"
		size = 172
		refs = "0012 TArray<System.Byte> 0017 @DynArraySetLength 0025 EVP_DigestFinal_ex 0030 OpenSSLFinalHashInst 0035 _DV_EIdDigestFinalEx 003a EIdOpenSSLAPICryptoError.RaiseException 005a EVP_MD_CTX_cleanup 0062 @FreeMem"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 6A 40 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 54 8B 06 50 53 FF 15 ?? ?? ?? ?? 83 C4 0C 48 74 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 53 FF 15 ?? ?? ?? ?? 59 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 45 00 56 00 50 00 5F 00 44 00 69 00 67 00 65 00 73 00 74 00 46 00 69 00 6E 00 61 00 6C 00 5F 00 65 00 78 00 20 00 65 00 72 00 72 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_37521_0 {
	meta:
		name = "OpenSSLIsHMACAvail"
		size = 78
		refs = "0002 HMAC_CTX_init 000b _HMAC_Init_ex 0014 _1_0_HMAC_Init_ex 001d _HMAC_Update 0026 _1_0_HMAC_Update 002f _HMAC_Final 0038 _1_0_HMAC_Final 0041 HMAC_CTX_cleanup"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 3F 83 3D ?? ?? ?? ?? 00 75 09 83 3D ?? ?? ?? ?? 00 74 2D 83 3D ?? ?? ?? ?? 00 75 09 83 3D ?? ?? ?? ?? 00 74 1B 83 3D ?? ?? ?? ?? 00 75 09 83 3D ?? ?? ?? ?? 00 74 09 83 3D ?? ?? ?? ?? 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_37523_0 {
	meta:
		name = "OpenSSLGetHMACMD5Inst"
		size = 102
		refs = "000c AllocMem 0015 HMAC_CTX_init 0021 @DynArrayLength 0029 EVP_md5 0031 _HMAC_Init_ex 004a _1_0_HMAC_Init_ex"
	strings:
		$1 = { 53 56 57 55 8B F0 B8 D0 00 00 00 E8 ?? ?? ?? ?? 8B D8 53 FF 15 ?? ?? ?? ?? 59 8B FB 8B EE 8B C6 E8 ?? ?? ?? ?? 8B F0 FF 15 ?? ?? ?? ?? 33 D2 83 3D ?? ?? ?? ?? 00 74 10 52 50 56 55 57 FF 15 ?? ?? ?? ?? 83 C4 14 EB 17 83 3D ?? ?? ?? ?? 00 74 0E 52 50 56 55 57 FF 15 ?? ?? ?? ?? 83 C4 14 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37525_0 {
	meta:
		name = "OpenSSLGetHMACSHA1Inst"
		size = 102
		refs = "000c AllocMem 0015 HMAC_CTX_init 0021 @DynArrayLength 0029 EVP_sha1 0031 _HMAC_Init_ex 004a _1_0_HMAC_Init_ex"
	strings:
		$1 = { 53 56 57 55 8B F0 B8 D0 00 00 00 E8 ?? ?? ?? ?? 8B D8 53 FF 15 ?? ?? ?? ?? 59 8B FB 8B EE 8B C6 E8 ?? ?? ?? ?? 8B F0 FF 15 ?? ?? ?? ?? 33 D2 83 3D ?? ?? ?? ?? 00 74 10 52 50 56 55 57 FF 15 ?? ?? ?? ?? 83 C4 14 EB 17 83 3D ?? ?? ?? ?? 00 74 0E 52 50 56 55 57 FF 15 ?? ?? ?? ?? 83 C4 14 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37527_0 {
	meta:
		name = "OpenSSLGetHMACSHA224Inst"
		size = 102
		refs = "000c AllocMem 0015 HMAC_CTX_init 0021 @DynArrayLength 0029 EVP_sha224 0031 _HMAC_Init_ex 004a _1_0_HMAC_Init_ex"
	strings:
		$1 = { 53 56 57 55 8B F0 B8 D0 00 00 00 E8 ?? ?? ?? ?? 8B D8 53 FF 15 ?? ?? ?? ?? 59 8B FB 8B EE 8B C6 E8 ?? ?? ?? ?? 8B F0 FF 15 ?? ?? ?? ?? 33 D2 83 3D ?? ?? ?? ?? 00 74 10 52 50 56 55 57 FF 15 ?? ?? ?? ?? 83 C4 14 EB 17 83 3D ?? ?? ?? ?? 00 74 0E 52 50 56 55 57 FF 15 ?? ?? ?? ?? 83 C4 14 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37529_0 {
	meta:
		name = "OpenSSLGetHMACSHA256Inst"
		size = 102
		refs = "000c AllocMem 0015 HMAC_CTX_init 0021 @DynArrayLength 0029 EVP_sha256 0031 _HMAC_Init_ex 004a _1_0_HMAC_Init_ex"
	strings:
		$1 = { 53 56 57 55 8B F0 B8 D0 00 00 00 E8 ?? ?? ?? ?? 8B D8 53 FF 15 ?? ?? ?? ?? 59 8B FB 8B EE 8B C6 E8 ?? ?? ?? ?? 8B F0 FF 15 ?? ?? ?? ?? 33 D2 83 3D ?? ?? ?? ?? 00 74 10 52 50 56 55 57 FF 15 ?? ?? ?? ?? 83 C4 14 EB 17 83 3D ?? ?? ?? ?? 00 74 0E 52 50 56 55 57 FF 15 ?? ?? ?? ?? 83 C4 14 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37531_0 {
	meta:
		name = "OpenSSLGetHMACSHA384Inst"
		size = 102
		refs = "000c AllocMem 0015 HMAC_CTX_init 0021 @DynArrayLength 0029 EVP_sha384 0031 _HMAC_Init_ex 004a _1_0_HMAC_Init_ex"
	strings:
		$1 = { 53 56 57 55 8B F0 B8 D0 00 00 00 E8 ?? ?? ?? ?? 8B D8 53 FF 15 ?? ?? ?? ?? 59 8B FB 8B EE 8B C6 E8 ?? ?? ?? ?? 8B F0 FF 15 ?? ?? ?? ?? 33 D2 83 3D ?? ?? ?? ?? 00 74 10 52 50 56 55 57 FF 15 ?? ?? ?? ?? 83 C4 14 EB 17 83 3D ?? ?? ?? ?? 00 74 0E 52 50 56 55 57 FF 15 ?? ?? ?? ?? 83 C4 14 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37533_0 {
	meta:
		name = "OpenSSLGetHMACSHA512Inst"
		size = 102
		refs = "000c AllocMem 0015 HMAC_CTX_init 0021 @DynArrayLength 0029 EVP_sha512 0031 _HMAC_Init_ex 004a _1_0_HMAC_Init_ex"
	strings:
		$1 = { 53 56 57 55 8B F0 B8 D0 00 00 00 E8 ?? ?? ?? ?? 8B D8 53 FF 15 ?? ?? ?? ?? 59 8B FB 8B EE 8B C6 E8 ?? ?? ?? ?? 8B F0 FF 15 ?? ?? ?? ?? 33 D2 83 3D ?? ?? ?? ?? 00 74 10 52 50 56 55 57 FF 15 ?? ?? ?? ?? 83 C4 14 EB 17 83 3D ?? ?? ?? ?? 00 74 0E 52 50 56 55 57 FF 15 ?? ?? ?? ?? 83 C4 14 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37534_0 {
	meta:
		name = "OpenSSLUpdateHMACInst"
		size = 64
		refs = "000c @DynArrayLength 0012 _HMAC_Update 0029 _1_0_HMAC_Update"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B FB 8B C3 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0E 50 57 56 FF 15 ?? ?? ?? ?? 83 C4 0C EB 15 83 3D ?? ?? ?? ?? 00 74 0C 50 57 56 FF 15 ?? ?? ?? ?? 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37535_0 {
	meta:
		name = "OpenSSLFinalHMACInst"
		size = 135
		refs = "001c TArray<System.Byte> 0021 @DynArraySetLength 0030 _HMAC_Final 0047 _1_0_HMAC_Update 0053 _1_0_HMAC_Final 0076 HMAC_CTX_cleanup 007e @FreeMem"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 C7 04 24 40 00 00 00 8B 04 24 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B FB 8B 06 8B D4 83 3D ?? ?? ?? ?? 00 74 0E 52 50 57 FF 15 ?? ?? ?? ?? 83 C4 0C EB 15 83 3D ?? ?? ?? ?? 00 74 0C 52 50 57 FF 15 ?? ?? ?? ?? 83 C4 0C 8B 04 24 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 53 FF 15 ?? ?? ?? ?? 59 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37536_0 {
	meta:
		name = "FIPS_mode_set"
		size = 24
		refs = "0004 _FIPS_mode_set"
	strings:
		$1 = { 33 D2 83 3D ?? ?? ?? ?? 00 74 0A 50 FF 15 ?? ?? ?? ?? 59 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_37537_0 {
	meta:
		name = "FIPS_mode"
		size = 18
		refs = "0004 _FIPS_mode"
	strings:
		$1 = { 33 C0 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37538_0 {
	meta:
		name = "GetErrorMessage"
		size = 37
		refs = "000d ERR_error_string 0019 StrPas"
	strings:
		$1 = { 53 81 C4 5C FF FF FF 8B DA 54 50 FF 15 ?? ?? ?? ?? 83 C4 08 8B D3 8B C4 E8 ?? ?? ?? ?? 81 C4 A4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_37539_0 {
	meta:
		name = "EIdOpenSSLAPICryptoError.RaiseException"
		size = 26
		refs = "0008 ERR_get_error 0013 EIdOpenSSLAPICryptoError.RaiseExceptionCode"
	strings:
		$1 = { 53 56 8B F2 8B D8 FF 15 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_37540_0 {
	meta:
		name = "EIdOpenSSLAPICryptoError.RaiseExceptionCode"
		size = 276
		refs = "0027 EIdOpenSSLAPICryptoError.RaiseExceptionCode 0041 ERR_error_string 0052 StrPas 0066 @UStrFromLStr 0079 @UStrCatN 00bd @RaiseExcept 00d5 @UStrClr 00e2 @LStrArrayClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 AC FE FF FF 53 56 57 33 DB 89 9D AC FE FF FF 89 5D FC 89 5D F8 89 5D F4 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 4A 8B C3 8D 95 53 FF FF FF 52 50 FF 15 ?? ?? ?? ?? 83 C4 08 8D 55 F8 8D 85 53 FF FF FF E8 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 8D 85 AC FE FF FF 8B 55 F8 E8 ?? ?? ?? ?? FF B5 AC FE FF FF 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 2C 8B C3 8D 95 B2 FE FF FF 52 50 FF 15 ?? ?? ?? ?? 83 C4 08 8D 55 F4 8D 85 B2 FE FF FF E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8B 4D FC B2 01 8B C6 FF 50 08 8B D0 89 5A 18 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 AC FE FF FF E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_37541_0 {
	meta:
		name = "EIdOpenSSLAPISSLError.RaiseException"
		size = 45
		refs = "0014 SSL_get_error 0022 EIdOpenSSLAPISSLError.RaiseExceptionCode"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 8B 45 08 50 56 57 FF 15 ?? ?? ?? ?? 83 C4 08 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37542_0 {
	meta:
		name = "EIdOpenSSLAPISSLError.RaiseExceptionCode"
		size = 484
		refs = "0046 EIdOpenSSLAPISSLError.RaiseExceptionCode 005f @UStrCat3 0069 @UStrClr 0081 ERR_get_error 00a8 _DV_EIdOSSLUnderlyingCryptoError 00ad EIdOpenSSLAPICryptoError.RaiseExceptionCode 00be RSSSLEOFViolation 00c3 LoadResString 00f6 @RaiseExcept 0101 GStack 0108 TIdStack.RaiseLastSocketError 012a EIdOpenSSLAPICryptoError.RaiseException 013a ERR_error_string 014b StrPas 0159 @UStrFromLStr 01a9 @UStrArrayClr 01b1 @LStrClr 01bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 34 FF FF FF 53 56 57 33 DB 89 9D 38 FF FF FF 89 9D 34 FF FF FF 89 9D 3C FF FF FF 89 9D 44 FF FF FF 89 9D 40 FF FF FF 89 9D 48 FF FF FF 89 5D FC 89 5D F8 89 4D F4 8B DA 8B F0 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 11 8D 45 FC B9 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B C3 48 0F 84 98 00 00 00 83 E8 04 0F 85 AF 00 00 00 FF 15 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 23 8D 85 48 FF FF FF 8B CF 8B 55 FC E8 ?? ?? ?? ?? 8B 8D 48 FF FF FF 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F4 00 75 43 8D 95 40 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 40 FF FF FF 8D 85 44 FF FF FF 8B 55 FC E8 ?? ?? ?? ?? 8B 8D 44 FF FF FF B2 01 8B C6 FF 50 08 8B D0 89 5A 18 8B 45 F4 89 42 1C 8B C2 E8 ?? ?? ?? ?? 83 7D F4 FF 75 2E A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? EB 20 8D 85 3C FF FF FF 8B CF 8B 55 FC E8 ?? ?? ?? ?? 8B 95 3C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8D 95 4F FF FF FF 52 50 FF 15 ?? ?? ?? ?? 83 C4 08 8D 55 F8 8D 85 4F FF FF FF E8 ?? ?? ?? ?? 8D 85 34 FF FF FF 8B 55 F8 E8 ?? ?? ?? ?? 8B 8D 34 FF FF FF 8D 85 38 FF FF FF 8B 55 FC E8 ?? ?? ?? ?? 8B 8D 38 FF FF FF B2 01 8B C6 FF 50 08 8B D0 89 5A 18 8B 45 F4 89 42 1C 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 34 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_41587_0 {
	meta:
		name = "EIdOpenSSLAPISSLError.RaiseExceptionCode"
		size = 484
		refs = "0046 EIdOpenSSLAPISSLError.RaiseExceptionCode 005f @UStrCat3 0069 @UStrClr 0081 ERR_get_error 00a8 _DV_EIdOSSLUnderlyingCryptoError 00ad EIdOpenSSLAPICryptoError.RaiseExceptionCode 00be RSSSLEOFViolation 00c3 LoadResString 00f6 @RaiseExcept 0101 GStack 0108 TInStack.RaiseLastSocketError 012a EIdOpenSSLAPICryptoError.RaiseException 013a ERR_error_string 014b StrPas 0159 @UStrFromLStr 01a9 @UStrArrayClr 01b1 @LStrClr 01bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 34 FF FF FF 53 56 57 33 DB 89 9D 38 FF FF FF 89 9D 34 FF FF FF 89 9D 3C FF FF FF 89 9D 44 FF FF FF 89 9D 40 FF FF FF 89 9D 48 FF FF FF 89 5D FC 89 5D F8 89 4D F4 8B DA 8B F0 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 11 8D 45 FC B9 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B C3 48 0F 84 98 00 00 00 83 E8 04 0F 85 AF 00 00 00 FF 15 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 23 8D 85 48 FF FF FF 8B CF 8B 55 FC E8 ?? ?? ?? ?? 8B 8D 48 FF FF FF 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F4 00 75 43 8D 95 40 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 40 FF FF FF 8D 85 44 FF FF FF 8B 55 FC E8 ?? ?? ?? ?? 8B 8D 44 FF FF FF B2 01 8B C6 FF 50 08 8B D0 89 5A 18 8B 45 F4 89 42 1C 8B C2 E8 ?? ?? ?? ?? 83 7D F4 FF 75 2E A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? EB 20 8D 85 3C FF FF FF 8B CF 8B 55 FC E8 ?? ?? ?? ?? 8B 95 3C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8D 95 4F FF FF FF 52 50 FF 15 ?? ?? ?? ?? 83 C4 08 8D 55 F8 8D 85 4F FF FF FF E8 ?? ?? ?? ?? 8D 85 34 FF FF FF 8B 55 F8 E8 ?? ?? ?? ?? 8B 8D 34 FF FF FF 8D 85 38 FF FF FF 8B 55 FC E8 ?? ?? ?? ?? 8B 8D 38 FF FF FF B2 01 8B C6 FF 50 08 8B D0 89 5A 18 8B 45 F4 89 42 1C 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 34 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_37544_0 {
	meta:
		name = "LoadFunction"
		size = 54
		refs = "000a @UStrToPWChar 0010 hIdSSL 0016 GetProcAddress 0027 FFailedFunctionLoadList"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 84 DB 74 10 85 FF 75 0C 8B D6 A1 ?? ?? ?? ?? 8B 08 FF 51 38 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_41589_0 {
	meta:
		name = "LoadFunction"
		size = 54
		refs = "000a @UStrToPWChar 0010 hInSSL 0016 GetProcAddress 0027 FFailedFunctionLoadList"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 84 DB 74 10 85 FF 75 0C 8B D6 A1 ?? ?? ?? ?? 8B 08 FF 51 38 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37545_0 {
	meta:
		name = "LoadFunctionCLib"
		size = 54
		refs = "000a @UStrToPWChar 0010 hIdCrypto 0016 GetProcAddress 0027 FFailedFunctionLoadList"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 84 DB 74 10 85 FF 75 0C 8B D6 A1 ?? ?? ?? ?? 8B 08 FF 51 38 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37546_0 {
	meta:
		name = "LoadOldCLib"
		size = 83
		refs = "000d @UStrToPWChar 0013 hIdCrypto 0019 GetProcAddress 0043 FFailedFunctionLoadList"
	strings:
		$1 = { 53 56 57 55 8B D9 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B E8 85 ED 75 29 8B C7 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B E8 84 DB 74 10 85 ED 75 0C 8B D6 A1 ?? ?? ?? ?? 8B 08 FF 51 38 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37547_0 {
	meta:
		name = "ErrMsg"
		size = 120
		refs = "000f ErrMsg 0024 @LStrSetLength 0031 @LStrToPChar 0039 ERR_error_string_n 0052 @LStrFromPChar 0067 @LStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 33 C9 BA 2C 01 00 00 E8 ?? ?? ?? ?? 68 2C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 53 FF 15 ?? ?? ?? ?? 83 C4 0C 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37548_0 {
	meta:
		name = "LoadSSLCryptoLibrary"
		size = 56
		refs = "0006 LoadSSLCryptoLibrary 000b SafeLoadLibrary"
	strings:
		$1 = { BA 00 80 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 6C 00 69 00 62 00 65 00 61 00 79 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_37549_0 {
	meta:
		name = "LoadSSLLibrary"
		size = 116
		refs = "0006 LoadSSLLibrary 000b SafeLoadLibrary"
	strings:
		$1 = { BA 00 80 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0F BA 00 80 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 73 00 73 00 6C 00 65 00 61 00 79 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6C 00 69 00 62 00 73 00 73 00 6C 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_37550_0 {
	meta:
		name = "Load"
		size = 18056
		refs = "0004 FFailedFunctionLoadList 000f hIdCrypto 0017 LoadSSLCryptoLibrary 0022 hIdSSL 002e LoadSSLLibrary 003a Load 003f LoadFunction 0044 SSL_CTX_set_cipher_list 0055 SSL_CTX_new 0066 SSL_CTX_free 0077 SSL_set_fd 0088 SSL_CTX_use_PrivateKey_file 0099 SSL_CTX_use_PrivateKey 00aa SSL_CTX_use_certificate 00bb SSL_CTX_use_certificate_file 00cc SSL_load_error_strings 00dd SSL_state_string_long 00ee SSL_alert_desc_string_long 00ff SSL_alert_type_string_long 0110 SSL_get_peer_certificate 0121 SSL_CTX_set_verify 0132 SSL_CTX_set_verify_depth 0143 SSL_CTX_get_verify_depth 0154 SSL_CTX_set_default_passwd_cb 0165 SSL_CTX_set_default_passwd_cb_userdata 0176 SSL_CTX_check_private_key 0187 SSL_new 0198 SSL_free 01a9 SSL_accept 01ba SSL_connect 01cb SSL_read 01dc SSL_peek 01ed SSL_pending 01fe SSL_write 020f SSL_ctrl 0220 SSL_callback_ctrl 0231 SSL_CTX_ctrl 0242 SSL_CTX_callback_ctrl 0253 SSL_get_error 0264 SSLv2_method 0275 SSLv2_server_method 0286 SSLv2_client_method 0297 SSLv3_method 02a8 SSLv3_server_method 02b9 SSLv3_client_method 02ca SSLv23_method 02db SSLv23_server_method 02ec SSLv23_client_method 02fd TLSv1_method 030e TLSv1_server_method 031f TLSv1_client_method 0330 DTLSv1_method 0341 DTLSv1_server_method 0352 DTLSv1_client_method 0363 SSL_shutdown 0374 SSL_set_connect_state 0385 SSL_set_accept_state 0396 SSL_set_shutdown 03a7 SSL_CTX_load_verify_locations 03b8 SSL_get_session 03c9 SSLeay_add_ssl_algorithms 03da SSL_SESSION_get_id 03eb SSL_copy_session_id 03f7 LoadFunctionCLib 03fc _SSLeay_version 040d SSLeay 041e d2i_X509_NAME 042f i2d_X509_NAME 0440 X509_NAME_oneline 0451 X509_NAME_cmp 0462 X509_NAME_hash 0473 X509_set_issuer_name 0484 X509_get_issuer_name 0495 X509_set_subject_name 04a6 X509_get_subject_name 04b7 X509_digest 04c8 X509_LOOKUP_ctrl 04d9 X509_STORE_add_cert 04ea X509_STORE_add_crl 04fb X509_STORE_CTX_get_ex_data 050c X509_STORE_CTX_get_error 051d X509_STORE_CTX_set_error 052e X509_STORE_CTX_get_error_depth 053f X509_STORE_CTX_get_current_cert 0550 X509_STORE_add_lookup 0561 X509_STORE_load_locations 0572 i2d_DSAPrivateKey 0583 d2i_DSAPrivateKey 0594 d2i_PrivateKey 05a5 d2i_PrivateKey_bio 05b6 X509_sign 05c7 X509_REQ_sign 05d8 X509_REQ_add_extensions 05e9 X509V3_EXT_conf_nid 05fa X509_EXTENSION_create_by_NID 060b X509V3_set_ctx 061c X509_EXTENSION_free 062d X509_add_ext 063e X509_print 064f RAND_screen 0660 DES_set_odd_parity 0671 DES_set_key 0682 DES_ecb_encrypt 0693 LoadOldCLib 0698 Id_ossl_old_des_set_odd_parity 06ae Id_ossl_old_des_set_key 06c4 Id_ossl_old_des_ecb_encrypt 06d5 SSL_set_ex_data 06e6 SSL_get_ex_data 06f7 SSL_load_client_CA_file 0708 SSL_CTX_set_client_CA_list 0719 SSL_CTX_set_default_verify_paths 072a SSL_CTX_set_session_id_context 073b SSL_CIPHER_description 074c SSL_get_current_cipher 075d SSL_CIPHER_get_name 076e SSL_CIPHER_get_version 077f SSL_CIPHER_get_bits 0790 _CRYPTO_lock 07a1 _CRYPTO_num_locks 07b2 CRYPTO_set_locking_callback 07c3 ERR_put_error 07d4 ERR_get_error 07e5 ERR_peek_error 07f6 ERR_peek_last_error 0807 ERR_clear_error 0818 ERR_error_string 0829 ERR_error_string_n 083a ERR_lib_error_string 084b ERR_func_error_string 085c ERR_reason_error_string 086d ERR_load_ERR_strings 087e ERR_load_crypto_strings 088f ERR_free_strings 08a0 ERR_remove_thread_state 08ba ERR_remove_state 08cb CRYPTO_cleanup_all_ex_data 08dc SSL_COMP_get_compression_methods 08ed sk_pop_free 08fe RSA_free 090f RSA_generate_key 0920 RSA_check_key 0931 RSA_generate_key_ex 0942 RSA_new 0953 RSA_size 0964 RSA_private_decrypt 0975 RSA_public_encrypt 0986 BN_hex2bn 0997 BN_bn2hex 09a8 BIO_new 09b9 BIO_free 09ca BIO_new_mem_buf 09db BIO_s_mem 09ec BIO_s_file 09fd BIO_ctrl 0a0e BIO_int_ctrl 0a1f BIO_ptr_ctrl 0a30 BIO_new_file 0a41 BIO_puts 0a52 BIO_read 0a63 BIO_write 0a74 i2d_X509_bio 0a85 i2d_PrivateKey_bio 0a96 d2i_X509_bio 0aa7 i2d_X509_REQ_bio 0ab8 i2d_PKCS7 0ac9 d2i_PKCS7 0ada i2d_X509 0aeb d2i_X509 0afc i2d_X509_REQ 0b0d d2i_X509_REQ 0b1e i2d_X509_CRL 0b2f d2i_X509_CRL 0b40 i2d_RSAPrivateKey 0b51 d2i_RSAPrivateKey 0b62 i2d_RSAPublicKey 0b73 d2i_RSAPublicKey 0b84 i2d_PrivateKey 0ba6 i2d_DSAparams 0bb7 d2i_DSAparams 0bc8 i2d_DHparams 0bd9 d2i_DHparams 0bea i2d_NETSCAPE_CERT_SEQUENCE 0bfb d2i_NETSCAPE_CERT_SEQUENCE 0c0c X509_get_default_cert_file 0c1d X509_get_default_cert_file_env 0c2e X509_new 0c3f X509_free 0c50 X509_REQ_new 0c61 X509_REQ_free 0c72 X509_to_X509_REQ 0c83 X509_NAME_new 0c94 X509_NAME_free 0ca5 X509_NAME_add_entry_by_txt 0cb6 X509_INFO_free 0cc7 X509_set_version 0cd8 X509_get_serialNumber 0ce9 X509_gmtime_adj 0cfa X509_set_notBefore 0d0b X509_set_notAfter 0d1c X509_set_pubkey 0d2d X509_REQ_set_pubkey 0d3e _PEM_read_bio_X509 0d4f _PEM_read_bio_X509_REQ 0d60 _PEM_read_bio_X509_CRL 0d71 _PEM_read_bio_RSAPrivateKey 0d82 _PEM_read_bio_RSAPublicKey 0d93 _PEM_read_bio_DSAPrivateKey 0da4 _PEM_read_bio_PrivateKey 0db5 _PEM_read_bio_PKCS7 0dc6 _PEM_read_bio_DHparams 0dd7 _PEM_read_bio_DSAparams 0de8 _PEM_read_bio_NETSCAPE_CERT_SEQUENCE 0df9 _PEM_write_bio_X509 0e0a _PEM_write_bio_X509_REQ 0e1b _PEM_write_bio_X509_CRL 0e2c _PEM_write_bio_RSAPublicKey 0e3d _PEM_write_bio_DSAPrivateKey 0e4e _PEM_write_bio_PrivateKey 0e5f _PEM_write_bio_PKCS7 0e70 _PEM_write_bio_DHparams 0e81 _PEM_write_bio_DSAparams 0e92 _PEM_write_bio_NETSCAPE_CERT_SEQUENCE 0ea3 _PEM_write_bio_PKCS8PrivateKey 0eb4 PEM_X509_INFO_read_bio 0ec5 PEM_read_bio_X509_AUX 0ed6 EVP_des_ede3_cbc 0ee7 EVP_sha512 0ef8 EVP_sha384 0f09 EVP_sha256 0f1a EVP_sha224 0f2b EVP_sha1 0f3c EVP_md5 0f4d EVP_md4 0f5e EVP_MD_CTX_init 0f6f EVP_DigestInit_ex 0f80 EVP_DigestUpdate 0f91 EVP_DigestFinal_ex 0fa2 EVP_MD_CTX_cleanup 0fb3 EVP_PKEY_type 0fc4 EVP_PKEY_new 0fd5 EVP_PKEY_free 0fe6 EVP_PKEY_assign 0ff7 EVP_get_digestbyname 1008 HMAC_CTX_init 103d _1_0_HMAC_Init_ex 104e _1_0_HMAC_Update 105f _1_0_HMAC_Final 1072 _HMAC_Init_ex 1083 _HMAC_Update 1094 _HMAC_Final 10a5 HMAC_CTX_cleanup 10b6 OBJ_obj2nid 10c7 OBJ_nid2obj 10d8 OBJ_nid2ln 10e9 OBJ_nid2sn 10fa ASN1_INTEGER_set 110b ASN1_INTEGER_get 111c ASN1_STRING_type_new 112d ASN1_STRING_free 113e ASN1_dup 114f CRYPTO_set_mem_functions 1160 CRYPTO_malloc 1171 CRYPTO_free 1182 CRYPTO_mem_leaks 1193 CRYPTO_mem_ctrl 11a4 CRYPTO_set_mem_debug_functions 11b5 PKCS12_create 11c6 i2d_PKCS12_bio 11d7 PKCS12_free 11ed OpenSSL_add_all_algorithms 11fe OpenSSL_add_all_ciphers 120f OpenSSL_add_all_digests 1220 EVP_cleanup 1231 sk_num 1242 sk_new 1253 sk_new_null 1264 sk_free 1275 sk_push 1286 sk_dup 1297 sk_find 12a8 sk_value 12b9 _FIPS_mode_set 12ca _FIPS_mode"
	strings:
		$1 = { 53 B3 01 A1 ?? ?? ?? ?? 8B 10 FF 52 44 83 3D ?? ?? ?? ?? 00 75 0A E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 85 B0 12 00 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 11 B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? }
	condition:
		$1
}

rule function_41595_0 {
	meta:
		name = "Load"
		size = 18056
		refs = "0004 FFailedFunctionLoadList 000f hIdCrypto 0017 LoadSSLCryptoLibrary 0022 hInSSL 002e LoadSSLLibrary 003a Load 003f LoadFunction 0044 SSL_CTX_set_cipher_list 0055 SSL_CTX_new 0066 SSL_CTX_free 0077 SSL_set_fd 0088 SSL_CTX_use_PrivateKey_file 0099 SSL_CTX_use_PrivateKey 00aa SSL_CTX_use_certificate 00bb SSL_CTX_use_certificate_file 00cc SSL_load_error_strings 00dd SSL_state_string_long 00ee SSL_alert_desc_string_long 00ff SSL_alert_type_string_long 0110 SSL_get_peer_certificate 0121 SSL_CTX_set_verify 0132 SSL_CTX_set_verify_depth 0143 SSL_CTX_get_verify_depth 0154 SSL_CTX_set_default_passwd_cb 0165 SSL_CTX_set_default_passwd_cb_userdata 0176 SSL_CTX_check_private_key 0187 SSL_new 0198 SSL_free 01a9 SSL_accept 01ba SSL_connect 01cb SSL_read 01dc SSL_peek 01ed SSL_pending 01fe SSL_write 020f SSL_ctrl 0220 SSL_callback_ctrl 0231 SSL_CTX_ctrl 0242 SSL_CTX_callback_ctrl 0253 SSL_get_error 0264 SSLv2_method 0275 SSLv2_server_method 0286 SSLv2_client_method 0297 SSLv3_method 02a8 SSLv3_server_method 02b9 SSLv3_client_method 02ca SSLv23_method 02db SSLv23_server_method 02ec SSLv23_client_method 02fd TLSv1_method 030e TLSv1_server_method 031f TLSv1_client_method 0330 DTLSv1_method 0341 DTLSv1_server_method 0352 DTLSv1_client_method 0363 SSL_shutdown 0374 SSL_set_connect_state 0385 SSL_set_accept_state 0396 SSL_set_shutdown 03a7 SSL_CTX_load_verify_locations 03b8 SSL_get_session 03c9 SSLeay_add_ssl_algorithms 03da SSL_SESSION_get_id 03eb SSL_copy_session_id 03f7 LoadFunctionCLib 03fc _SSLeay_version 040d SSLeay 041e d2i_X509_NAME 042f i2d_X509_NAME 0440 X509_NAME_oneline 0451 X509_NAME_cmp 0462 X509_NAME_hash 0473 X509_set_issuer_name 0484 X509_get_issuer_name 0495 X509_set_subject_name 04a6 X509_get_subject_name 04b7 X509_digest 04c8 X509_LOOKUP_ctrl 04d9 X509_STORE_add_cert 04ea X509_STORE_add_crl 04fb X509_STORE_CTX_get_ex_data 050c X509_STORE_CTX_get_error 051d X509_STORE_CTX_set_error 052e X509_STORE_CTX_get_error_depth 053f X509_STORE_CTX_get_current_cert 0550 X509_STORE_add_lookup 0561 X509_STORE_load_locations 0572 i2d_DSAPrivateKey 0583 d2i_DSAPrivateKey 0594 d2i_PrivateKey 05a5 d2i_PrivateKey_bio 05b6 X509_sign 05c7 X509_REQ_sign 05d8 X509_REQ_add_extensions 05e9 X509V3_EXT_conf_nid 05fa X509_EXTENSION_create_by_NID 060b X509V3_set_ctx 061c X509_EXTENSION_free 062d X509_add_ext 063e X509_print 064f RAND_screen 0660 DES_set_odd_parity 0671 DES_set_key 0682 DES_ecb_encrypt 0693 LoadOldCLib 0698 Id_ossl_old_des_set_odd_parity 06ae Id_ossl_old_des_set_key 06c4 Id_ossl_old_des_ecb_encrypt 06d5 SSL_set_ex_data 06e6 SSL_get_ex_data 06f7 SSL_load_client_CA_file 0708 SSL_CTX_set_client_CA_list 0719 SSL_CTX_set_default_verify_paths 072a SSL_CTX_set_session_id_context 073b SSL_CIPHER_description 074c SSL_get_current_cipher 075d SSL_CIPHER_get_name 076e SSL_CIPHER_get_version 077f SSL_CIPHER_get_bits 0790 _CRYPTO_lock 07a1 _CRYPTO_num_locks 07b2 CRYPTO_set_locking_callback 07c3 ERR_put_error 07d4 ERR_get_error 07e5 ERR_peek_error 07f6 ERR_peek_last_error 0807 ERR_clear_error 0818 ERR_error_string 0829 ERR_error_string_n 083a ERR_lib_error_string 084b ERR_func_error_string 085c ERR_reason_error_string 086d ERR_load_ERR_strings 087e ERR_load_crypto_strings 088f ERR_free_strings 08a0 ERR_remove_thread_state 08ba ERR_remove_state 08cb CRYPTO_cleanup_all_ex_data 08dc SSL_COMP_get_compression_methods 08ed sk_pop_free 08fe RSA_free 090f RSA_generate_key 0920 RSA_check_key 0931 RSA_generate_key_ex 0942 RSA_new 0953 RSA_size 0964 RSA_private_decrypt 0975 RSA_public_encrypt 0986 BN_hex2bn 0997 BN_bn2hex 09a8 BIO_new 09b9 BIO_free 09ca BIO_new_mem_buf 09db BIO_s_mem 09ec BIO_s_file 09fd BIO_ctrl 0a0e BIO_int_ctrl 0a1f BIO_ptr_ctrl 0a30 BIO_new_file 0a41 BIO_puts 0a52 BIO_read 0a63 BIO_write 0a74 i2d_X509_bio 0a85 i2d_PrivateKey_bio 0a96 d2i_X509_bio 0aa7 i2d_X509_REQ_bio 0ab8 i2d_PKCS7 0ac9 d2i_PKCS7 0ada i2d_X509 0aeb d2i_X509 0afc i2d_X509_REQ 0b0d d2i_X509_REQ 0b1e i2d_X509_CRL 0b2f d2i_X509_CRL 0b40 i2d_RSAPrivateKey 0b51 d2i_RSAPrivateKey 0b62 i2d_RSAPublicKey 0b73 d2i_RSAPublicKey 0b84 i2d_PrivateKey 0ba6 i2d_DSAparams 0bb7 d2i_DSAparams 0bc8 i2d_DHparams 0bd9 d2i_DHparams 0bea i2d_NETSCAPE_CERT_SEQUENCE 0bfb d2i_NETSCAPE_CERT_SEQUENCE 0c0c X509_get_default_cert_file 0c1d X509_get_default_cert_file_env 0c2e X509_new 0c3f X509_free 0c50 X509_REQ_new 0c61 X509_REQ_free 0c72 X509_to_X509_REQ 0c83 X509_NAME_new 0c94 X509_NAME_free 0ca5 X509_NAME_add_entry_by_txt 0cb6 X509_INFO_free 0cc7 X509_set_version 0cd8 X509_get_serialNumber 0ce9 X509_gmtime_adj 0cfa X509_set_notBefore 0d0b X509_set_notAfter 0d1c X509_set_pubkey 0d2d X509_REQ_set_pubkey 0d3e _PEM_read_bio_X509 0d4f _PEM_read_bio_X509_REQ 0d60 _PEM_read_bio_X509_CRL 0d71 _PEM_read_bio_RSAPrivateKey 0d82 _PEM_read_bio_RSAPublicKey 0d93 _PEM_read_bio_DSAPrivateKey 0da4 _PEM_read_bio_PrivateKey 0db5 _PEM_read_bio_PKCS7 0dc6 _PEM_read_bio_DHparams 0dd7 _PEM_read_bio_DSAparams 0de8 _PEM_read_bio_NETSCAPE_CERT_SEQUENCE 0df9 _PEM_write_bio_X509 0e0a _PEM_write_bio_X509_REQ 0e1b _PEM_write_bio_X509_CRL 0e2c _PEM_write_bio_RSAPublicKey 0e3d _PEM_write_bio_DSAPrivateKey 0e4e _PEM_write_bio_PrivateKey 0e5f _PEM_write_bio_PKCS7 0e70 _PEM_write_bio_DHparams 0e81 _PEM_write_bio_DSAparams 0e92 _PEM_write_bio_NETSCAPE_CERT_SEQUENCE 0ea3 _PEM_write_bio_PKCS8PrivateKey 0eb4 PEM_X509_INFO_read_bio 0ec5 PEM_read_bio_X509_AUX 0ed6 EVP_des_ede3_cbc 0ee7 EVP_sha512 0ef8 EVP_sha384 0f09 EVP_sha256 0f1a EVP_sha224 0f2b EVP_sha1 0f3c EVP_md5 0f4d EVP_md4 0f5e EVP_MD_CTX_init 0f6f EVP_DigestInit_ex 0f80 EVP_DigestUpdate 0f91 EVP_DigestFinal_ex 0fa2 EVP_MD_CTX_cleanup 0fb3 EVP_PKEY_type 0fc4 EVP_PKEY_new 0fd5 EVP_PKEY_free 0fe6 EVP_PKEY_assign 0ff7 EVP_get_digestbyname 1008 HMAC_CTX_init 103d _1_0_HMAC_Init_ex 104e _1_0_HMAC_Update 105f _1_0_HMAC_Final 1072 _HMAC_Init_ex 1083 _HMAC_Update 1094 _HMAC_Final 10a5 HMAC_CTX_cleanup 10b6 OBJ_obj2nid 10c7 OBJ_nid2obj 10d8 OBJ_nid2ln 10e9 OBJ_nid2sn 10fa ASN1_INTEGER_set 110b ASN1_INTEGER_get 111c ASN1_STRING_type_new 112d ASN1_STRING_free 113e ASN1_dup 114f CRYPTO_set_mem_functions 1160 CRYPTO_malloc 1171 CRYPTO_free 1182 CRYPTO_mem_leaks 1193 CRYPTO_mem_ctrl 11a4 CRYPTO_set_mem_debug_functions 11b5 PKCS12_create 11c6 i2d_PKCS12_bio 11d7 PKCS12_free 11ed OpenSSL_add_all_algorithms 11fe OpenSSL_add_all_ciphers 120f OpenSSL_add_all_digests 1220 EVP_cleanup 1231 sk_num 1242 sk_new 1253 sk_new_null 1264 sk_free 1275 sk_push 1286 sk_dup 1297 sk_find 12a8 sk_value 12b9 _FIPS_mode_set 12ca _FIPS_mode"
	strings:
		$1 = { 53 B3 01 A1 ?? ?? ?? ?? 8B 10 FF 52 44 83 3D ?? ?? ?? ?? 00 75 0A E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 85 B0 12 00 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 11 B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 B8 ?? ?? }
	condition:
		$1
}

rule function_37551_0 {
	meta:
		name = "InitializeFuncPointers"
		size = 1898
		refs = "0003 SSL_CTX_set_cipher_list 000a SSL_CTX_new 0011 SSL_CTX_free 0018 SSL_set_fd 001f SSL_CTX_use_PrivateKey_file 0026 SSL_CTX_use_PrivateKey 002d SSL_CTX_use_certificate 0034 SSL_CTX_use_certificate_file 003b SSL_load_error_strings 0042 SSL_state_string_long 0050 SSL_alert_type_string_long 0057 SSL_get_peer_certificate 005e SSL_CTX_set_verify 0065 SSL_CTX_set_verify_depth 006c SSL_CTX_get_verify_depth 0073 SSL_CTX_set_default_passwd_cb 007a SSL_CTX_set_default_passwd_cb_userdata 0081 SSL_CTX_check_private_key 0088 SSL_new 008f SSL_free 0096 SSL_accept 009d SSL_connect 00a4 SSL_read 00ab SSL_peek 00b2 SSL_pending 00b9 SSL_write 00c0 SSL_ctrl 00c7 SSL_callback_ctrl 00ce SSL_CTX_ctrl 00d5 SSL_CTX_callback_ctrl 00dc SSL_get_error 00e3 SSLv2_method 00ea SSLv2_server_method 00f1 SSLv2_client_method 00f8 SSLv3_method 00ff SSLv3_server_method 0106 SSLv3_client_method 010d SSLv23_method 0114 SSLv23_server_method 011b SSLv23_client_method 0122 TLSv1_method 0129 TLSv1_server_method 0130 TLSv1_client_method 0137 DTLSv1_method 013e DTLSv1_server_method 0145 DTLSv1_client_method 014c SSL_shutdown 0153 SSL_set_connect_state 015a SSL_set_accept_state 0161 SSL_set_shutdown 0168 SSL_CTX_load_verify_locations 016f SSL_get_session 0176 SSLeay_add_ssl_algorithms 017d SSL_SESSION_get_id 0184 SSL_copy_session_id 018b _SSLeay_version 0192 SSLeay 0199 X509_NAME_oneline 01a0 X509_NAME_hash 01a7 X509_set_issuer_name 01ae X509_get_issuer_name 01b5 X509_set_subject_name 01bc X509_get_subject_name 01c3 X509_digest 01ca X509_LOOKUP_ctrl 01d1 X509_STORE_add_cert 01d8 X509_STORE_add_crl 01df X509_STORE_CTX_get_ex_data 01e6 X509_STORE_CTX_get_error 01ed X509_STORE_CTX_set_error 01f4 X509_STORE_CTX_get_error_depth 01fb X509_STORE_CTX_get_current_cert 0202 X509_STORE_add_lookup 0209 X509_STORE_load_locations 0210 X509_sign 0217 X509_REQ_sign 021e X509_REQ_add_extensions 0225 X509V3_EXT_conf_nid 022c X509_EXTENSION_create_by_NID 0233 X509V3_set_ctx 023a X509_EXTENSION_free 0241 X509_add_ext 0248 X509_print 024f RAND_screen 0256 DES_set_odd_parity 025d DES_set_key 0264 DES_ecb_encrypt 026b Id_ossl_old_des_set_odd_parity 0272 Id_ossl_old_des_set_key 0279 Id_ossl_old_des_ecb_encrypt 0280 SSL_set_ex_data 0287 SSL_get_ex_data 028e SSL_load_client_CA_file 0295 SSL_CTX_set_client_CA_list 029c SSL_CTX_set_default_verify_paths 02a3 SSL_CTX_set_session_id_context 02aa SSL_CIPHER_description 02b1 SSL_get_current_cipher 02b8 SSL_CIPHER_get_name 02bf SSL_CIPHER_get_version 02c6 SSL_CIPHER_get_bits 02cd _CRYPTO_num_locks 02d4 CRYPTO_set_locking_callback 02db ERR_put_error 02e2 ERR_get_error 02e9 ERR_peek_error 02f0 ERR_peek_last_error 02f7 ERR_clear_error 02fe ERR_error_string 0305 ERR_error_string_n 030c ERR_lib_error_string 0313 ERR_func_error_string 031a ERR_reason_error_string 0321 ERR_load_ERR_strings 0328 ERR_load_crypto_strings 032f ERR_free_strings 0336 ERR_remove_thread_state 033d ERR_remove_state 0344 CRYPTO_cleanup_all_ex_data 034b SSL_COMP_get_compression_methods 0352 sk_pop_free 0359 RSA_new 0360 RSA_free 0367 RSA_size 036e RSA_generate_key 0375 RSA_generate_key_ex 037c RSA_check_key 0383 RSA_private_decrypt 038a RSA_public_encrypt 0391 BIO_new 0398 BIO_free 039f BIO_s_mem 03a6 BIO_s_file 03ad BIO_new_mem_buf 03b4 BIO_ctrl 03bb BIO_ptr_ctrl 03c2 BIO_int_ctrl 03c9 BIO_new_file 03d0 BIO_puts 03d7 BIO_read 03de BIO_write 03e5 BN_hex2bn 03ec BN_bn2hex 03f3 i2d_PKCS7 03fa d2i_PKCS7 0401 i2d_RSAPrivateKey 0408 d2i_RSAPrivateKey 040f i2d_DSAPrivateKey 0416 d2i_DSAPrivateKey 041d i2d_X509_bio 0424 i2d_PrivateKey_bio 042b i2d_PrivateKey 0432 d2i_PrivateKey 0439 d2i_PrivateKey_bio 0440 i2d_X509 0447 d2i_X509_bio 044e d2i_X509 0455 X509_NAME_new 045c X509_NAME_free 0463 i2d_X509_REQ_bio 046a i2d_X509_REQ 0471 d2i_X509_REQ 0478 i2d_X509_NAME 047f d2i_X509_NAME 0486 i2d_DSAparams 048d d2i_DSAparams 0494 i2d_DHparams 049b d2i_DHparams 04a2 i2d_NETSCAPE_CERT_SEQUENCE 04a9 d2i_NETSCAPE_CERT_SEQUENCE 04b0 X509_get_default_cert_file 04b7 X509_get_default_cert_file_env 04be X509_new 04c5 X509_free 04cc X509_REQ_new 04d3 X509_REQ_free 04da X509_to_X509_REQ 04e1 X509_NAME_add_entry_by_txt 04e8 X509_INFO_free 04ef X509_set_version 04f6 X509_get_serialNumber 04fd X509_gmtime_adj 0504 X509_set_notBefore 050b X509_set_notAfter 0512 X509_set_pubkey 0519 X509_REQ_set_pubkey 0520 _PEM_read_bio_X509 0527 _PEM_read_bio_X509_REQ 052e _PEM_read_bio_X509_CRL 0535 _PEM_read_bio_RSAPrivateKey 053c _PEM_read_bio_RSAPublicKey 0543 _PEM_read_bio_DSAPrivateKey 054a _PEM_read_bio_PrivateKey 0551 _PEM_read_bio_PKCS7 0558 _PEM_read_bio_DHparams 055f _PEM_read_bio_DSAparams 0566 _PEM_read_bio_NETSCAPE_CERT_SEQUENCE 056d _PEM_write_bio_X509 0574 _PEM_write_bio_X509_REQ 057b _PEM_write_bio_X509_CRL 0582 _PEM_write_bio_RSAPublicKey 0589 _PEM_write_bio_RSAPrivateKey 0590 _PEM_write_bio_DSAPrivateKey 0597 _PEM_write_bio_PrivateKey 059e _PEM_write_bio_PKCS7 05a5 _PEM_write_bio_DHparams 05ac _PEM_write_bio_DSAparams 05b3 _PEM_write_bio_NETSCAPE_CERT_SEQUENCE 05ba _PEM_write_bio_PKCS8PrivateKey 05c1 PEM_X509_INFO_read_bio 05c8 PEM_read_bio_X509_AUX 05cf EVP_des_ede3_cbc 05d6 EVP_sha512 05dd EVP_sha384 05e4 EVP_sha256 05eb EVP_sha224 05f2 EVP_sha1 05f9 EVP_md5 0600 EVP_md4 0607 EVP_MD_CTX_init 060e EVP_DigestInit_ex 0615 EVP_DigestUpdate 061c EVP_DigestFinal_ex 0623 EVP_MD_CTX_cleanup 062a EVP_PKEY_type 0631 EVP_PKEY_new 0638 EVP_PKEY_free 063f EVP_PKEY_assign 0646 EVP_get_digestbyname 064d HMAC_CTX_init 0654 _HMAC_Init_ex 065b _HMAC_Update 0662 _HMAC_Final 0669 _1_0_HMAC_Init_ex 0670 _1_0_HMAC_Update 0677 _1_0_HMAC_Final 067e HMAC_CTX_cleanup 0685 OBJ_obj2nid 068c OBJ_nid2obj 0693 OBJ_nid2ln 069a OBJ_nid2sn 06a1 ASN1_INTEGER_set 06a8 ASN1_INTEGER_get 06af ASN1_STRING_type_new 06b6 ASN1_STRING_free 06bd ASN1_dup 06c4 _CRYPTO_lock 06cb CRYPTO_set_mem_functions 06d2 CRYPTO_malloc 06d9 CRYPTO_free 06e0 CRYPTO_mem_leaks 06e7 CRYPTO_mem_ctrl 06ee CRYPTO_set_mem_debug_functions 06f5 PKCS12_create 06fc i2d_PKCS12_bio 0703 PKCS12_free 070a OpenSSL_add_all_algorithms 0711 OpenSSL_add_all_ciphers 0718 OpenSSL_add_all_digests 071f EVP_cleanup 0726 sk_new 072d sk_num 0734 sk_new_null 073b sk_free 0742 sk_push 0749 sk_dup 0750 sk_find 0757 sk_value 075e _FIPS_mode_set 0765 _FIPS_mode"
	strings:
		$1 = { 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37552_0 {
	meta:
		name = "Unload"
		size = 2035
		refs = "0002 SSLeay 000f SSL_COMP_get_compression_methods 0015 CRYPTO_free 001d sk_pop_free 0026 CRYPTO_cleanup_all_ex_data 002c ERR_free_strings 0032 ERR_remove_thread_state 0048 ERR_remove_state 004f EVP_cleanup 0055 hIdSSL 0063 FreeLibrary 0070 hIdCrypto 008c SSL_CTX_set_cipher_list 0093 SSL_CTX_new 009a SSL_CTX_free 00a1 SSL_set_fd 00a8 SSL_CTX_use_PrivateKey_file 00af SSL_CTX_use_PrivateKey 00b6 SSL_CTX_use_certificate 00bd SSL_CTX_use_certificate_file 00c4 SSL_load_error_strings 00cb SSL_state_string_long 00d9 SSL_alert_type_string_long 00e0 SSL_get_peer_certificate 00e7 SSL_CTX_set_verify 00ee SSL_CTX_set_verify_depth 00f5 SSL_CTX_get_verify_depth 00fc SSL_CTX_set_default_passwd_cb 0103 SSL_CTX_set_default_passwd_cb_userdata 010a SSL_CTX_check_private_key 0111 SSL_new 0118 SSL_free 011f SSL_accept 0126 SSL_connect 012d SSL_read 0134 SSL_peek 013b SSL_pending 0142 SSL_write 0149 SSL_ctrl 0150 SSL_callback_ctrl 0157 SSL_CTX_ctrl 015e SSL_CTX_callback_ctrl 0165 SSL_get_error 016c SSLv2_method 0173 SSLv2_server_method 017a SSLv2_client_method 0181 SSLv3_method 0188 SSLv3_server_method 018f SSLv3_client_method 0196 SSLv23_method 019d SSLv23_server_method 01a4 SSLv23_client_method 01ab TLSv1_method 01b2 TLSv1_server_method 01b9 TLSv1_client_method 01c0 DTLSv1_method 01c7 DTLSv1_server_method 01ce DTLSv1_client_method 01d5 SSL_shutdown 01dc SSL_set_connect_state 01e3 SSL_set_accept_state 01ea SSL_set_shutdown 01f1 SSL_CTX_load_verify_locations 01f8 SSL_get_session 01ff SSLeay_add_ssl_algorithms 0206 SSL_SESSION_get_id 020d SSL_copy_session_id 0214 _SSLeay_version 0222 X509_NAME_oneline 0229 X509_NAME_hash 0230 X509_set_issuer_name 0237 X509_get_issuer_name 023e X509_set_subject_name 0245 X509_get_subject_name 024c X509_digest 0253 X509_LOOKUP_ctrl 025a X509_STORE_add_cert 0261 X509_STORE_add_crl 0268 X509_STORE_CTX_get_ex_data 026f X509_STORE_CTX_get_error 0276 X509_STORE_CTX_set_error 027d X509_STORE_CTX_get_error_depth 0284 X509_STORE_CTX_get_current_cert 028b X509_STORE_add_lookup 0292 X509_STORE_load_locations 0299 X509_sign 02a0 X509_REQ_sign 02a7 X509_REQ_add_extensions 02ae X509V3_EXT_conf_nid 02b5 X509_EXTENSION_create_by_NID 02bc X509V3_set_ctx 02c3 X509_EXTENSION_free 02ca X509_add_ext 02d1 X509_print 02d8 RAND_screen 02df DES_set_odd_parity 02e6 DES_set_key 02ed DES_ecb_encrypt 02f4 Id_ossl_old_des_set_odd_parity 02fb Id_ossl_old_des_set_key 0302 Id_ossl_old_des_ecb_encrypt 0309 SSL_set_ex_data 0310 SSL_get_ex_data 0317 SSL_load_client_CA_file 031e SSL_CTX_set_client_CA_list 0325 SSL_CTX_set_default_verify_paths 032c SSL_CTX_set_session_id_context 0333 SSL_CIPHER_description 033a SSL_get_current_cipher 0341 SSL_CIPHER_get_name 0348 SSL_CIPHER_get_version 034f SSL_CIPHER_get_bits 0356 _CRYPTO_num_locks 035d CRYPTO_set_locking_callback 0364 ERR_put_error 036b ERR_get_error 0372 ERR_peek_error 0379 ERR_peek_last_error 0380 ERR_clear_error 0387 ERR_error_string 038e ERR_error_string_n 0395 ERR_lib_error_string 039c ERR_func_error_string 03a3 ERR_reason_error_string 03aa ERR_load_ERR_strings 03b1 ERR_load_crypto_strings 03e2 RSA_new 03e9 RSA_free 03f0 RSA_size 03f7 RSA_generate_key 03fe RSA_generate_key_ex 0405 RSA_check_key 040c RSA_private_decrypt 0413 RSA_public_encrypt 041a BIO_new 0421 BIO_free 0428 BIO_s_mem 042f BIO_s_file 0436 BIO_new_mem_buf 043d BIO_ctrl 0444 BIO_ptr_ctrl 044b BIO_int_ctrl 0452 BIO_new_file 0459 BIO_puts 0460 BIO_read 0467 BIO_write 046e BN_hex2bn 0475 BN_bn2hex 047c i2d_PKCS7 0483 d2i_PKCS7 048a i2d_RSAPrivateKey 0491 d2i_RSAPrivateKey 0498 i2d_DSAPrivateKey 049f d2i_DSAPrivateKey 04a6 i2d_X509_bio 04ad i2d_PrivateKey_bio 04b4 i2d_PrivateKey 04bb d2i_PrivateKey 04c2 d2i_PrivateKey_bio 04c9 i2d_X509 04d0 d2i_X509_bio 04d7 d2i_X509 04de X509_NAME_new 04e5 X509_NAME_free 04ec i2d_X509_REQ_bio 04f3 i2d_X509_REQ 04fa d2i_X509_REQ 0501 i2d_X509_NAME 0508 d2i_X509_NAME 050f i2d_DSAparams 0516 d2i_DSAparams 051d i2d_DHparams 0524 d2i_DHparams 052b i2d_NETSCAPE_CERT_SEQUENCE 0532 d2i_NETSCAPE_CERT_SEQUENCE 0539 X509_get_default_cert_file 0540 X509_get_default_cert_file_env 0547 X509_new 054e X509_free 0555 X509_REQ_new 055c X509_REQ_free 0563 X509_to_X509_REQ 056a X509_NAME_add_entry_by_txt 0571 X509_INFO_free 0578 X509_set_version 057f X509_get_serialNumber 0586 X509_gmtime_adj 058d X509_set_notBefore 0594 X509_set_notAfter 059b X509_set_pubkey 05a2 X509_REQ_set_pubkey 05a9 _PEM_read_bio_X509 05b0 _PEM_read_bio_X509_REQ 05b7 _PEM_read_bio_X509_CRL 05be _PEM_read_bio_RSAPrivateKey 05c5 _PEM_read_bio_RSAPublicKey 05cc _PEM_read_bio_DSAPrivateKey 05d3 _PEM_read_bio_PrivateKey 05da _PEM_read_bio_PKCS7 05e1 _PEM_read_bio_DHparams 05e8 _PEM_read_bio_DSAparams 05ef _PEM_read_bio_NETSCAPE_CERT_SEQUENCE 05f6 _PEM_write_bio_X509 05fd _PEM_write_bio_X509_REQ 0604 _PEM_write_bio_X509_CRL 060b _PEM_write_bio_RSAPublicKey 0612 _PEM_write_bio_RSAPrivateKey 0619 _PEM_write_bio_DSAPrivateKey 0620 _PEM_write_bio_PrivateKey 0627 _PEM_write_bio_PKCS7 062e _PEM_write_bio_DHparams 0635 _PEM_write_bio_DSAparams 063c _PEM_write_bio_NETSCAPE_CERT_SEQUENCE 0643 _PEM_write_bio_PKCS8PrivateKey 064a PEM_X509_INFO_read_bio 0651 PEM_read_bio_X509_AUX 0658 EVP_des_ede3_cbc 065f EVP_sha512 0666 EVP_sha384 066d EVP_sha256 0674 EVP_sha224 067b EVP_sha1 0682 EVP_md5 0689 EVP_md4 0690 EVP_MD_CTX_init 0697 EVP_DigestInit_ex 069e EVP_DigestUpdate 06a5 EVP_DigestFinal_ex 06ac EVP_MD_CTX_cleanup 06b3 EVP_PKEY_type 06ba EVP_PKEY_new 06c1 EVP_PKEY_free 06c8 EVP_PKEY_assign 06cf EVP_get_digestbyname 06d6 HMAC_CTX_init 06dd _HMAC_Init_ex 06e4 _HMAC_Update 06eb _HMAC_Final 06f2 _1_0_HMAC_Init_ex 06f9 _1_0_HMAC_Update 0700 _1_0_HMAC_Final 0707 HMAC_CTX_cleanup 070e OBJ_obj2nid 0715 OBJ_nid2obj 071c OBJ_nid2ln 0723 OBJ_nid2sn 072a ASN1_INTEGER_set 0731 ASN1_INTEGER_get 0738 ASN1_STRING_type_new 073f ASN1_STRING_free 0746 ASN1_dup 074d _CRYPTO_lock 0754 CRYPTO_set_mem_functions 075b CRYPTO_malloc 0769 CRYPTO_mem_leaks 0770 CRYPTO_mem_ctrl 0777 CRYPTO_set_mem_debug_functions 077e PKCS12_create 0785 i2d_PKCS12_bio 078c PKCS12_free 0793 OpenSSL_add_all_algorithms 079a OpenSSL_add_all_ciphers 07a1 OpenSSL_add_all_digests 07af sk_new 07b6 sk_num 07bd sk_new_null 07c4 sk_free 07cb sk_push 07d2 sk_dup 07d9 sk_find 07e0 sk_value 07e7 _FIPS_mode_set 07ee _FIPS_mode"
	strings:
		$1 = { FF 15 ?? ?? ?? ?? 3D 1F 80 90 00 75 17 FF 15 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 52 50 FF 15 ?? ?? ?? ?? 83 C4 08 FF 15 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B 6A 00 FF 15 ?? ?? ?? ?? 59 EB 09 6A 00 FF 15 ?? ?? ?? ?? 59 FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 76 12 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 76 12 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37553_0 {
	meta:
		name = "WhichFailedToLoad"
		size = 112
		refs = "0005 hIdSSL 000f WhichFailedToLoad 0014 @UStrAsg 001d FFailedFunctionLoadList 0022 TStrings.GetCommaText"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 1C 00 00 00 46 00 61 00 69 00 6C 00 65 00 64 00 20 00 74 00 6F 00 20 00 6C 00 6F 00 61 00 64 00 20 00 73 00 73 00 6C 00 65 00 61 00 79 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_41598_0 {
	meta:
		name = "WhichFailedToLoad"
		size = 112
		refs = "0005 hInSSL 000f WhichFailedToLoad 0014 @UStrAsg 001d FFailedFunctionLoadList 0022 TStrings.GetCommaText"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 1C 00 00 00 46 00 61 00 69 00 6C 00 65 00 64 00 20 00 74 00 6F 00 20 00 6C 00 6F 00 61 00 64 00 20 00 73 00 73 00 6C 00 65 00 61 00 79 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_37554_0 {
	meta:
		name = "UTC_Time_Decode"
		size = 736
		refs = "001e UTC_Time_Decode 0046 @LStrFromPCharLen 0051 @UStrFromLStr 0063 IsNumeric 008c @UStrCopy 0094 IndyStrToInt 01b9 CharIsInSet 01dd CharEquals 01ea iif 0206 @UStrFromChar 022e @LStrCopy 028d @LStrClr 0295 @UStrClr 02aa @UStrArrayClr 02b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C7 45 F8 01 00 00 00 8B 10 83 FA 0C 0F 8C 42 02 00 00 6A 00 8D 4D FC 8B 40 08 91 87 D1 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 B9 01 00 00 00 BA 0C 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 0D 02 00 00 8D 45 F0 50 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 EC B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 66 05 6C 07 66 89 03 8D 45 E8 50 8D 45 E4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E4 B9 02 00 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 66 89 06 8D 45 E0 50 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 DC B9 02 00 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 1C 66 89 02 8D 45 D8 50 8D 45 D4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 D4 B9 02 00 00 00 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B 55 18 66 89 02 8D 45 D0 50 8D 45 CC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 CC B9 02 00 00 00 BA 09 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 8B 55 14 66 89 02 8D 45 C8 50 8D 45 C4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 C4 B9 02 00 00 00 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 8B 55 10 66 89 02 66 81 3B 9E 07 73 04 66 83 03 64 8B 45 0C 33 D2 89 10 8B 45 08 33 D2 89 10 8D 45 C0 8B 55 FC E8 ?? ?? ?? ?? 8B 45 C0 B9 ?? ?? ?? ?? BA 0D 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 B7 00 00 00 8D 45 BC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 BC 66 B9 2D 00 BA 0D 00 00 00 E8 ?? ?? ?? ?? B9 01 00 00 00 83 CA FF E8 ?? ?? ?? ?? 8B F0 BB 0E 00 00 00 83 FB 10 74 1C 8D 45 B8 8B 55 FC 0F B6 54 1A FF E8 ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 84 C0 74 66 43 83 FB 13 75 D9 8D 45 B0 50 B9 0F 00 00 00 BA 0E 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 B0 8D 45 B4 E8 ?? ?? ?? ?? 8B 45 B4 E8 ?? ?? ?? ?? F7 EE 8B 55 0C 89 02 8D 45 A8 50 B9 12 00 00 00 BA 11 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 A8 8D 45 AC E8 ?? ?? ?? ?? 8B 45 AC E8 ?? ?? ?? ?? F7 EE 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 BA 11 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 8B 45 F8 5E 5B 8B E5 5D C2 18 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 2B 00 00 00 00 00 }
	condition:
		$1
}

rule function_37555_0 {
	meta:
		name = "SSL_set_app_data"
		size = 14
		refs = "0006 SSL_set_ex_data"
	strings:
		$1 = { 52 6A 00 50 FF 15 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_37556_0 {
	meta:
		name = "SSL_get_app_data"
		size = 13
		refs = "0005 SSL_get_ex_data"
	strings:
		$1 = { 6A 00 50 FF 15 ?? ?? ?? ?? 83 C4 08 C3 }
	condition:
		$1
}

rule function_37563_0 {
	meta:
		name = "X509_STORE_CTX_get_app_data"
		size = 13
		refs = "0005 X509_STORE_CTX_get_ex_data"
	strings:
		$1 = { 6A 00 50 FF 15 ?? ?? ?? ?? 83 C4 08 C3 }
	condition:
		$1
}

rule function_37562_0 {
	meta:
		name = "X509_NAME_dup"
		size = 23
		refs = "0002 d2i_X509_NAME 0008 i2d_X509_NAME 000f ASN1_dup"
	strings:
		$1 = { 50 A1 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_37564_0 {
	meta:
		name = "X509_CRL_get_version"
		size = 13
		refs = "0007 ASN1_INTEGER_get"
		altNames = "X509_get_version"
	strings:
		$1 = { 8B 00 8B 00 50 FF 15 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule function_37565_0 {
	meta:
		name = "X509_get_signature_type"
		size = 26
		refs = "000b OBJ_obj2nid 0013 EVP_PKEY_type"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 00 50 FF 15 ?? ?? ?? ?? 59 50 FF 15 ?? ?? ?? ?? 59 5B C3 }
	condition:
		$1
}

rule function_37566_0 {
	meta:
		name = "X509_CRL_get_nextUpdate"
		size = 6
		altNames = "X509_REQ_get_subject_name"
	strings:
		$1 = { 8B 00 8B 40 10 C3 }
	condition:
		$1
}

rule function_37567_0 {
	meta:
		name = "X509_get_notBefore"
		size = 8
	strings:
		$1 = { 8B 00 8B 40 10 8B 00 C3 }
	condition:
		$1
}

rule function_37568_0 {
	meta:
		name = "X509_get_notAfter"
		size = 9
	strings:
		$1 = { 8B 00 8B 40 10 8B 40 04 C3 }
	condition:
		$1
}

rule function_37569_0 {
	meta:
		name = "X509_REQ_get_version"
		size = 14
		refs = "0008 ASN1_INTEGER_get"
	strings:
		$1 = { 8B 00 8B 40 0C 50 FF 15 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule function_37571_0 {
	meta:
		name = "X509_CRL_get_lastUpdate"
		size = 6
	strings:
		$1 = { 8B 00 8B 40 0C C3 }
	condition:
		$1
}

rule function_37573_0 {
	meta:
		name = "X509_CRL_get_issuer"
		size = 6
	strings:
		$1 = { 8B 00 8B 40 08 C3 }
	condition:
		$1
}

rule function_37574_0 {
	meta:
		name = "X509_CRL_get_REVOKED"
		size = 6
	strings:
		$1 = { 8B 00 8B 40 14 C3 }
	condition:
		$1
}

rule function_37575_0 {
	meta:
		name = "SSL_CTX_set_info_callback"
		size = 7
	strings:
		$1 = { 89 90 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_37576_0 {
	meta:
		name = "SSL_CTX_set_options"
		size = 16
		refs = "0008 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 52 6A 20 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37579_0 {
	meta:
		name = "SSL_set_options"
		size = 16
		refs = "0008 SSL_ctrl"
	strings:
		$1 = { 6A 00 52 6A 20 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37577_0 {
	meta:
		name = "SSL_CTX_clear_options"
		size = 16
		refs = "0008 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 52 6A 4D 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37578_0 {
	meta:
		name = "SSL_CTX_get_options"
		size = 17
		refs = "0009 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 20 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37581_0 {
	meta:
		name = "SSL_get_options"
		size = 17
		refs = "0009 SSL_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 20 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37580_0 {
	meta:
		name = "SSL_clear_mode"
		size = 16
		refs = "0008 SSL_ctrl"
	strings:
		$1 = { 6A 00 52 6A 4E 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37583_0 {
	meta:
		name = "SSL_CTX_clear_mode"
		size = 16
		refs = "0008 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 52 6A 4E 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37582_0 {
	meta:
		name = "SSL_CTX_set_mode"
		size = 16
		refs = "0008 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 52 6A 21 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37584_0 {
	meta:
		name = "SSL_CTX_get_mode"
		size = 17
		refs = "0009 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 21 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37585_0 {
	meta:
		name = "SSL_set_mtu"
		size = 16
		refs = "0008 SSL_ctrl"
	strings:
		$1 = { 6A 00 52 6A 11 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37586_0 {
	meta:
		name = "SSL_get_secure_renegotiation_support"
		size = 17
		refs = "0009 SSL_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 4C 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37587_0 {
	meta:
		name = "SSL_CTX_sess_number"
		size = 17
		refs = "0009 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 14 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37588_0 {
	meta:
		name = "SSL_CTX_sess_connect"
		size = 17
		refs = "0009 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 15 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37589_0 {
	meta:
		name = "SSL_CTX_sess_connect_good"
		size = 17
		refs = "0009 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 16 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37590_0 {
	meta:
		name = "SSL_CTX_sess_connect_renegotiate"
		size = 17
		refs = "0009 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 17 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37591_0 {
	meta:
		name = "SSL_CTX_sess_accept"
		size = 17
		refs = "0009 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 18 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37592_0 {
	meta:
		name = "SSL_CTX_sess_accept_renegotiate"
		size = 17
		refs = "0009 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 1A 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37593_0 {
	meta:
		name = "SSL_CTX_sess_accept_good"
		size = 17
		refs = "0009 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 19 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37594_0 {
	meta:
		name = "SSL_CTX_sess_hits"
		size = 17
		refs = "0009 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 1B 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37595_0 {
	meta:
		name = "SSL_CTX_sess_cb_hits"
		size = 17
		refs = "0009 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 1C 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37596_0 {
	meta:
		name = "SSL_CTX_sess_misses"
		size = 17
		refs = "0009 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 1D 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37597_0 {
	meta:
		name = "SSL_CTX_sess_timeouts"
		size = 17
		refs = "0009 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 1E 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37598_0 {
	meta:
		name = "SSL_CTX_sess_cache_full"
		size = 17
		refs = "0009 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 1F 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37599_0 {
	meta:
		name = "SSL_CTX_sess_set_cache_size"
		size = 16
		refs = "0008 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 52 6A 2A 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37600_0 {
	meta:
		name = "SSL_CTX_sess_get_cache_size"
		size = 17
		refs = "0009 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 2B 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37601_0 {
	meta:
		name = "SSL_CTX_set_session_cache_mode"
		size = 16
		refs = "0008 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 52 6A 2C 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37602_0 {
	meta:
		name = "SSL_CTX_get_session_cache_mode"
		size = 17
		refs = "0009 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 2D 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37603_0 {
	meta:
		name = "SSL_CTX_get_read_ahead"
		size = 17
		refs = "0009 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 28 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37604_0 {
	meta:
		name = "SSL_CTX_set_read_ahead"
		size = 16
		refs = "0008 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 52 6A 29 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37605_0 {
	meta:
		name = "SSL_CTX_get_max_cert_list"
		size = 17
		refs = "0009 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 32 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37607_0 {
	meta:
		name = "SSL_get_max_cert_list"
		size = 17
		refs = "0009 SSL_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 32 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37606_0 {
	meta:
		name = "SSL_CTX_set_max_cert_list"
		size = 16
		refs = "0008 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 52 6A 32 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37608_0 {
	meta:
		name = "SSL_set_max_cert_list"
		size = 16
		refs = "0008 SSL_ctrl"
	strings:
		$1 = { 6A 00 52 6A 33 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37609_0 {
	meta:
		name = "DTLSv1_get_timeout"
		size = 16
		refs = "0008 SSL_ctrl"
	strings:
		$1 = { 52 6A 00 6A 49 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37610_0 {
	meta:
		name = "DTLSv1_handle_timeout"
		size = 17
		refs = "0009 SSL_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 4A 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37611_0 {
	meta:
		name = "DTLSv1_listen"
		size = 16
		refs = "0008 SSL_ctrl"
	strings:
		$1 = { 52 6A 00 6A 4B 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37612_0 {
	meta:
		name = "SSL_session_reused"
		size = 17
		refs = "0009 SSL_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 08 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37688_0 {
	meta:
		name = "BIO_get_close"
		size = 17
		refs = "0009 BIO_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 08 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37613_0 {
	meta:
		name = "SSL_num_renegotiations"
		size = 17
		refs = "0009 SSL_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 0A 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37689_0 {
	meta:
		name = "BIO_pending"
		size = 17
		refs = "0009 BIO_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 0A 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37614_0 {
	meta:
		name = "SSL_clear_num_renegotiations"
		size = 17
		refs = "0009 SSL_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 0B 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37691_0 {
	meta:
		name = "BIO_flush"
		size = 17
		refs = "0009 BIO_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 0B 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37615_0 {
	meta:
		name = "SSL_total_renegotiations"
		size = 17
		refs = "0009 SSL_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 0C 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37616_0 {
	meta:
		name = "SSL_CTX_need_tmp_RSA"
		size = 17
		refs = "0009 SSL_CTX_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 01 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37685_0 {
	meta:
		name = "BIO_reset"
		size = 17
		refs = "0009 BIO_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 01 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37620_0 {
	meta:
		name = "SSL_need_tmp_RSA"
		size = 17
		refs = "0009 SSL_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 01 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37617_0 {
	meta:
		name = "SSL_CTX_set_tmp_rsa"
		size = 16
		refs = "0008 SSL_CTX_ctrl"
	strings:
		$1 = { 52 6A 00 6A 02 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37621_0 {
	meta:
		name = "SSL_set_tmp_rsa"
		size = 16
		refs = "0008 SSL_ctrl"
	strings:
		$1 = { 52 6A 00 6A 02 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37618_0 {
	meta:
		name = "SSL_CTX_set_tmp_dh"
		size = 16
		refs = "0008 SSL_CTX_ctrl"
	strings:
		$1 = { 52 6A 00 6A 03 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37622_0 {
	meta:
		name = "SSL_set_tmp_dh"
		size = 16
		refs = "0008 SSL_ctrl"
	strings:
		$1 = { 52 6A 00 6A 03 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37619_0 {
	meta:
		name = "SSL_CTX_set_tmp_ecdh"
		size = 16
		refs = "0008 SSL_CTX_ctrl"
	strings:
		$1 = { 52 6A 00 6A 04 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37623_0 {
	meta:
		name = "SSL_set_tmp_ecdh"
		size = 16
		refs = "0008 SSL_ctrl"
	strings:
		$1 = { 52 6A 00 6A 04 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37624_0 {
	meta:
		name = "SSL_CTX_add_extra_chain_cert"
		size = 16
		refs = "0008 SSL_CTX_ctrl"
	strings:
		$1 = { 52 6A 00 6A 0E 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37625_0 {
	meta:
		name = "SSL_set_tlsext_host_name"
		size = 92
		refs = "000e @LStrAddRef 0016 SSL_set_tlsext_host_name 0024 @LStrToPChar 0030 SSL_ctrl 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 37 53 FF 15 ?? ?? ?? ?? 83 C4 10 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_37626_0 {
	meta:
		name = "SSL_set_tlsext_debug_callback"
		size = 14
		refs = "0006 SSL_callback_ctrl"
	strings:
		$1 = { 52 6A 38 50 FF 15 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_37627_0 {
	meta:
		name = "SSL_set_tlsext_debug_arg"
		size = 16
		refs = "0008 SSL_ctrl"
	strings:
		$1 = { 52 6A 00 6A 39 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37628_0 {
	meta:
		name = "SSL_set_tlsext_status_type"
		size = 16
		refs = "0008 SSL_ctrl"
	strings:
		$1 = { 6A 00 52 6A 41 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37629_0 {
	meta:
		name = "SSL_get_tlsext_status_exts"
		size = 16
		refs = "0008 SSL_ctrl"
	strings:
		$1 = { 52 6A 00 6A 42 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37630_0 {
	meta:
		name = "SSL_set_tlsext_status_exts"
		size = 16
		refs = "0008 SSL_ctrl"
	strings:
		$1 = { 52 6A 00 6A 43 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37631_0 {
	meta:
		name = "SSL_get_tlsext_status_ids"
		size = 16
		refs = "0008 SSL_ctrl"
	strings:
		$1 = { 52 6A 00 6A 44 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37632_0 {
	meta:
		name = "SSL_set_tlsext_status_ids"
		size = 16
		refs = "0008 SSL_ctrl"
	strings:
		$1 = { 52 6A 00 6A 45 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37633_0 {
	meta:
		name = "SSL_get_tlsext_status_ocsp_resp"
		size = 16
		refs = "0008 SSL_ctrl"
	strings:
		$1 = { 52 6A 00 6A 46 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37634_0 {
	meta:
		name = "SSL_set_tlsext_status_ocsp_resp"
		size = 15
		refs = "0007 SSL_ctrl"
	strings:
		$1 = { 52 51 6A 47 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37635_0 {
	meta:
		name = "SSL_CTX_set_tlsext_servername_callback"
		size = 14
		refs = "0006 SSL_CTX_callback_ctrl"
	strings:
		$1 = { 52 6A 35 50 FF 15 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_37636_0 {
	meta:
		name = "SSL_CTX_get_version"
		size = 5
	strings:
		$1 = { 8B 00 8B 00 C3 }
	condition:
		$1
}

rule function_37637_0 {
	meta:
		name = "BIO_set_conn_hostname"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 52 6A 00 6A 64 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37638_0 {
	meta:
		name = "BIO_set_conn_port"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 52 6A 01 6A 64 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37639_0 {
	meta:
		name = "BIO_set_conn_ip"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 52 6A 02 6A 64 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37640_0 {
	meta:
		name = "BIO_set_conn_int_port"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 52 6A 03 6A 64 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37641_0 {
	meta:
		name = "BIO_get_conn_hostname"
		size = 15
		refs = "0007 BIO_ptr_ctrl"
	strings:
		$1 = { 6A 00 6A 7B 50 FF 15 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_37642_0 {
	meta:
		name = "BIO_get_conn_port"
		size = 15
		refs = "0007 BIO_ptr_ctrl"
	strings:
		$1 = { 6A 01 6A 7B 50 FF 15 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_37643_0 {
	meta:
		name = "BIO_get_conn_ip"
		size = 15
		refs = "0007 BIO_ptr_ctrl"
	strings:
		$1 = { 6A 02 6A 7B 50 FF 15 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_37644_0 {
	meta:
		name = "BIO_get_conn_int_port"
		size = 17
		refs = "0009 BIO_int_ctrl"
	strings:
		$1 = { 6A 00 6A 03 6A 7B 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37645_0 {
	meta:
		name = "BIO_set_nbio"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 6A 00 52 6A 66 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37646_0 {
	meta:
		name = "BIO_set_accept_port"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 52 6A 00 6A 76 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37647_0 {
	meta:
		name = "BIO_get_accept_port"
		size = 15
		refs = "0007 BIO_ptr_ctrl"
	strings:
		$1 = { 6A 00 6A 7C 50 FF 15 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_37648_0 {
	meta:
		name = "BIO_set_nbio_accept"
		size = 38
		refs = "000d BIO_ctrl"
	strings:
		$1 = { 85 D2 74 11 6A 61 6A 01 6A 76 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 6A 00 6A 01 6A 76 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37649_0 {
	meta:
		name = "BIO_set_accept_bios"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 52 6A 02 6A 76 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37650_0 {
	meta:
		name = "BIO_set_bind_mode"
		size = 19
		refs = "000b BIO_ctrl"
	strings:
		$1 = { 6A 00 52 68 83 00 00 00 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37651_0 {
	meta:
		name = "BIO_get_bind_mode"
		size = 20
		refs = "000c BIO_ctrl"
	strings:
		$1 = { 6A 00 6A 00 68 84 00 00 00 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37652_0 {
	meta:
		name = "BIO_do_accept"
		size = 17
		refs = "0009 BIO_ctrl"
		altNames = "BIO_do_connect BIO_do_handshake"
	strings:
		$1 = { 6A 00 6A 00 6A 65 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37655_0 {
	meta:
		name = "BIO_set_url"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 52 6A 00 6A 67 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37656_0 {
	meta:
		name = "BIO_set_proxies"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 52 6A 01 6A 67 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37657_0 {
	meta:
		name = "BIO_set_filter_bio"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 52 6A 02 6A 67 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37658_0 {
	meta:
		name = "BIO_set_proxy_header"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 52 6A 04 6A 67 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37659_0 {
	meta:
		name = "BIO_set_no_connect_return"
		size = 16
		refs = "0008 BIO_int_ctrl"
	strings:
		$1 = { 52 6A 05 6A 67 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37660_0 {
	meta:
		name = "BIO_get_proxy_header"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 52 6A 00 6A 79 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37661_0 {
	meta:
		name = "BIO_get_proxies"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 52 6A 01 6A 79 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37662_0 {
	meta:
		name = "BIO_get_url"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 52 6A 02 6A 79 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37663_0 {
	meta:
		name = "BIO_get_no_connect_return"
		size = 17
		refs = "0009 BIO_ctrl"
	strings:
		$1 = { 6A 00 6A 05 6A 79 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37664_0 {
	meta:
		name = "BIO_set_fd"
		size = 15
		refs = "0007 BIO_int_ctrl"
	strings:
		$1 = { 52 51 6A 68 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37665_0 {
	meta:
		name = "BIO_get_fd"
		size = 21
		refs = "000c BIO_ctrl"
	strings:
		$1 = { 51 89 14 24 54 6A 00 6A 69 50 FF 15 ?? ?? ?? ?? 83 C4 10 5A C3 }
	condition:
		$1
}

rule function_37666_0 {
	meta:
		name = "BIO_seek"
		size = 19
		refs = "000b BIO_ctrl"
	strings:
		$1 = { 6A 00 52 68 80 00 00 00 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37667_0 {
	meta:
		name = "BIO_tell"
		size = 20
		refs = "000c BIO_ctrl"
	strings:
		$1 = { 6A 00 6A 00 68 85 00 00 00 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37668_0 {
	meta:
		name = "BIO_read_filename"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 52 6A 03 6A 6C 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37669_0 {
	meta:
		name = "BIO_write_filename"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 52 6A 05 6A 6C 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37670_0 {
	meta:
		name = "BIO_append_filename"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 52 6A 09 6A 6C 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37671_0 {
	meta:
		name = "BIO_rw_filename"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 52 6A 07 6A 6C 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37672_0 {
	meta:
		name = "BIO_set_ssl"
		size = 15
		refs = "0007 BIO_ctrl"
	strings:
		$1 = { 52 51 6A 6D 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37673_0 {
	meta:
		name = "BIO_get_ssl"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 52 6A 00 6A 6E 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37674_0 {
	meta:
		name = "BIO_set_ssl_mode"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 6A 00 52 6A 77 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37675_0 {
	meta:
		name = "BIO_set_ssl_renegotiate_bytes"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 6A 00 52 6A 7D 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37676_0 {
	meta:
		name = "BIO_get_num_renegotiates"
		size = 17
		refs = "0009 BIO_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 7E 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37677_0 {
	meta:
		name = "BIO_set_ssl_renegotiate_timeout"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 6A 00 52 6A 7F 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37678_0 {
	meta:
		name = "BIO_get_mem_data"
		size = 18
		refs = "000a BIO_ctrl"
	strings:
		$1 = { 8B 12 52 6A 00 6A 03 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37679_0 {
	meta:
		name = "BIO_set_mem_buf"
		size = 15
		refs = "0007 BIO_ctrl"
	strings:
		$1 = { 52 51 6A 72 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37680_0 {
	meta:
		name = "BIO_get_mem_ptr"
		size = 18
		refs = "000a BIO_ctrl"
	strings:
		$1 = { 8B 12 52 6A 00 6A 73 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37681_0 {
	meta:
		name = "BIO_set_mem_eof_return"
		size = 19
		refs = "000b BIO_ctrl"
	strings:
		$1 = { 6A 00 52 68 82 00 00 00 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37682_0 {
	meta:
		name = "BIO_get_buffer_num_lines"
		size = 17
		refs = "0009 BIO_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 74 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37683_0 {
	meta:
		name = "BIO_set_buffer_size"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 6A 00 52 6A 75 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37695_0 {
	meta:
		name = "BIO_set_read_buffer_size"
		size = 16
		refs = "0008 BIO_int_ctrl"
	strings:
		$1 = { 6A 00 52 6A 75 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37684_0 {
	meta:
		name = "BIO_dup_state"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 52 6A 00 6A 0C 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37686_0 {
	meta:
		name = "BIO_eof"
		size = 17
		refs = "0009 BIO_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 02 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37687_0 {
	meta:
		name = "BIO_set_close"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 6A 00 52 6A 09 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37690_0 {
	meta:
		name = "BIO_wpending"
		size = 17
		refs = "0009 BIO_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 0D 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37692_0 {
	meta:
		name = "BIO_buffer_get_num_lines"
		size = 17
		refs = "0009 BIO_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 05 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37693_0 {
	meta:
		name = "BIO_get_info_callback"
		size = 18
		refs = "000a BIO_ctrl"
	strings:
		$1 = { 8B 12 52 6A 00 6A 0F 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37694_0 {
	meta:
		name = "BIO_set_info_callback"
		size = 14
		refs = "0006 BIO_callback_ctrl"
	strings:
		$1 = { 52 6A 0E 50 FF 15 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_37696_0 {
	meta:
		name = "BIO_set_write_buffer_size"
		size = 16
		refs = "0008 BIO_int_ctrl"
	strings:
		$1 = { 6A 01 52 6A 75 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37697_0 {
	meta:
		name = "BIO_make_bio_pair"
		size = 19
		refs = "000b BIO_ctrl"
	strings:
		$1 = { 52 6A 00 68 8A 00 00 00 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37698_0 {
	meta:
		name = "BIO_destroy_bio_pair"
		size = 20
		refs = "000c BIO_ctrl"
	strings:
		$1 = { 6A 00 6A 00 68 8B 00 00 00 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37699_0 {
	meta:
		name = "BIO_shutdown_wr"
		size = 20
		refs = "000c BIO_ctrl"
	strings:
		$1 = { 6A 00 6A 00 68 8E 00 00 00 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37700_0 {
	meta:
		name = "BIO_get_write_guarantee"
		size = 20
		refs = "000c BIO_ctrl"
	strings:
		$1 = { 6A 00 6A 00 68 8C 00 00 00 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37701_0 {
	meta:
		name = "BIO_get_read_request"
		size = 20
		refs = "000c BIO_ctrl"
	strings:
		$1 = { 6A 00 6A 00 68 8D 00 00 00 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37702_0 {
	meta:
		name = "_BIO_ctrl_dgram_connect"
		size = 35
		refs = "0016 BIO_ctrl"
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 54 6A 00 6A 1F 50 FF 15 ?? ?? ?? ?? 83 C4 10 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_37703_0 {
	meta:
		name = "BIO_ctrl_set_connected"
		size = 34
		refs = "0015 BIO_ctrl"
	strings:
		$1 = { 56 57 83 C4 F0 8B F1 8D 3C 24 A5 A5 A5 A5 54 52 6A 20 50 FF 15 ?? ?? ?? ?? 83 C4 10 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_37704_0 {
	meta:
		name = "BIO_dgram_recv_timedout"
		size = 17
		refs = "0009 BIO_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 25 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37705_0 {
	meta:
		name = "BIO_dgram_send_timedout"
		size = 17
		refs = "0009 BIO_ctrl"
	strings:
		$1 = { 6A 00 6A 00 6A 26 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37706_0 {
	meta:
		name = "BIO_dgram_get_peer"
		size = 16
		refs = "0008 BIO_ctrl"
	strings:
		$1 = { 52 6A 00 6A 2E 50 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37707_0 {
	meta:
		name = "BIO_dgram_set_peer"
		size = 35
		refs = "0016 BIO_ctrl"
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 54 6A 00 6A 2C 50 FF 15 ?? ?? ?? ?? 83 C4 10 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_37708_0 {
	meta:
		name = "PEM_read_bio_X509"
		size = 25
		refs = "000d _PEM_read_bio_X509"
		altNames = "PEM_read_bio_X509_CRL PEM_read_bio_X509_REQ"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 50 FF 15 ?? ?? ?? ?? 83 C4 10 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37716_0 {
	meta:
		name = "PEM_read_bio_DHparams"
		size = 25
		refs = "000d _PEM_read_bio_DHparams"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 50 FF 15 ?? ?? ?? ?? 83 C4 10 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37713_0 {
	meta:
		name = "PEM_read_bio_DSAPrivateKey"
		size = 25
		refs = "000d _PEM_read_bio_DSAPrivateKey"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 50 FF 15 ?? ?? ?? ?? 83 C4 10 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37717_0 {
	meta:
		name = "PEM_read_bio_DSAparams"
		size = 25
		refs = "000d _PEM_read_bio_DSAparams"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 50 FF 15 ?? ?? ?? ?? 83 C4 10 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37718_0 {
	meta:
		name = "PEM_read_bio_NETSCAPE_CERT_SEQUENCE"
		size = 25
		refs = "000d _PEM_read_bio_NETSCAPE_CERT_SEQUENCE"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 50 FF 15 ?? ?? ?? ?? 83 C4 10 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37715_0 {
	meta:
		name = "PEM_read_bio_PKCS7"
		size = 25
		refs = "000d _PEM_read_bio_PKCS7"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 50 FF 15 ?? ?? ?? ?? 83 C4 10 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37714_0 {
	meta:
		name = "PEM_read_bio_PrivateKey"
		size = 25
		refs = "000d _PEM_read_bio_PrivateKey"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 50 FF 15 ?? ?? ?? ?? 83 C4 10 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37711_0 {
	meta:
		name = "PEM_read_bio_RSAPrivateKey"
		size = 25
		refs = "000d _PEM_read_bio_RSAPrivateKey"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 50 FF 15 ?? ?? ?? ?? 83 C4 10 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37712_0 {
	meta:
		name = "PEM_read_bio_RSAPublicKey"
		size = 25
		refs = "000d _PEM_read_bio_RSAPublicKey"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 50 FF 15 ?? ?? ?? ?? 83 C4 10 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_37719_0 {
	meta:
		name = "PEM_write_bio_X509"
		size = 12
		refs = "0004 _PEM_write_bio_X509"
		altNames = "PEM_write_bio_X509_CRL PEM_write_bio_X509_REQ"
	strings:
		$1 = { 52 50 FF 15 ?? ?? ?? ?? 83 C4 08 C3 }
	condition:
		$1
}

rule function_37727_0 {
	meta:
		name = "PEM_write_bio_DHparams"
		size = 12
		refs = "0004 _PEM_write_bio_DHparams"
	strings:
		$1 = { 52 50 FF 15 ?? ?? ?? ?? 83 C4 08 C3 }
	condition:
		$1
}

rule function_37728_0 {
	meta:
		name = "PEM_write_bio_DSAparams"
		size = 12
		refs = "0004 _PEM_write_bio_DSAparams"
	strings:
		$1 = { 52 50 FF 15 ?? ?? ?? ?? 83 C4 08 C3 }
	condition:
		$1
}

rule function_37729_0 {
	meta:
		name = "PEM_write_bio_NETSCAPE_CERT_SEQUENCE"
		size = 12
		refs = "0004 _PEM_write_bio_NETSCAPE_CERT_SEQUENCE"
	strings:
		$1 = { 52 50 FF 15 ?? ?? ?? ?? 83 C4 08 C3 }
	condition:
		$1
}

rule function_37726_0 {
	meta:
		name = "PEM_write_bio_PKCS7"
		size = 12
		refs = "0004 _PEM_write_bio_PKCS7"
	strings:
		$1 = { 52 50 FF 15 ?? ?? ?? ?? 83 C4 08 C3 }
	condition:
		$1
}

rule function_37722_0 {
	meta:
		name = "PEM_write_bio_RSAPublicKey"
		size = 12
		refs = "0004 _PEM_write_bio_RSAPublicKey"
	strings:
		$1 = { 52 50 FF 15 ?? ?? ?? ?? 83 C4 08 C3 }
	condition:
		$1
}

rule function_37723_0 {
	meta:
		name = "PEM_write_bio_RSAPrivateKey"
		size = 37
		refs = "0019 _PEM_write_bio_RSAPrivateKey"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 51 52 50 FF 15 ?? ?? ?? ?? 83 C4 1C 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_37724_0 {
	meta:
		name = "PEM_write_bio_DSAPrivateKey"
		size = 37
		refs = "0019 _PEM_write_bio_DSAPrivateKey"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 51 52 50 FF 15 ?? ?? ?? ?? 83 C4 1C 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_37725_0 {
	meta:
		name = "PEM_write_bio_PrivateKey"
		size = 37
		refs = "0019 _PEM_write_bio_PrivateKey"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 51 52 50 FF 15 ?? ?? ?? ?? 83 C4 1C 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_37730_0 {
	meta:
		name = "OPENSSL_malloc"
		size = 24
		refs = "0003 OPENSSL_malloc 000a CRYPTO_malloc"
	strings:
		$1 = { 6A 00 68 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 83 C4 0C C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_37731_0 {
	meta:
		name = "CRYPTO_SetMemCheck"
		size = 27
		refs = "000d iif 0014 CRYPTO_mem_ctrl"
	strings:
		$1 = { 53 8B D8 33 C9 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 59 5B C3 }
	condition:
		$1
}

rule function_37732_0 {
	meta:
		name = "EVP_PKEY_assign_RSA"
		size = 14
		refs = "0006 EVP_PKEY_assign"
	strings:
		$1 = { 52 6A 06 50 FF 15 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_37733_0 {
	meta:
		name = "EVP_PKEY_assign_DSA"
		size = 14
		refs = "0006 EVP_PKEY_assign"
	strings:
		$1 = { 52 6A 74 50 FF 15 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_37734_0 {
	meta:
		name = "EVP_PKEY_assign_DH"
		size = 14
		refs = "0006 EVP_PKEY_assign"
	strings:
		$1 = { 52 6A 1C 50 FF 15 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_37735_0 {
	meta:
		name = "EVP_PKEY_assign_EC_KEY"
		size = 17
		refs = "0009 EVP_PKEY_assign"
	strings:
		$1 = { 52 68 98 01 00 00 50 FF 15 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_37736_0 {
	meta:
		name = "X509V3_set_ctx_nodb"
		size = 29
	strings:
		$1 = { 56 57 83 C4 D8 8B F0 8D 3C 24 B9 0A 00 00 00 F3 A5 33 C0 89 44 24 24 83 C4 28 5F 5E C3 }
	condition:
		$1
}

rule function_37737_0 {
	meta:
		name = "ERR_PACK"
		size = 28
	strings:
		$1 = { 25 FF 00 00 00 C1 E0 18 81 E2 FF 0F 00 00 C1 E2 0C 0B C2 81 E1 FF 0F 00 00 0B C1 C3 }
	condition:
		$1
}

rule function_37738_0 {
	meta:
		name = "ERR_GET_LIB"
		size = 9
		altNames = "FIRST_IPADDRESS"
	strings:
		$1 = { C1 E8 18 25 FF 00 00 00 C3 }
	condition:
		$1
}

rule function_37739_0 {
	meta:
		name = "ERR_GET_FUNC"
		size = 9
	strings:
		$1 = { C1 E8 0C 25 FF 0F 00 00 C3 }
	condition:
		$1
}

rule function_37740_0 {
	meta:
		name = "ERR_FATAL_ERROR"
		size = 10
	strings:
		$1 = { F7 C0 40 00 00 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_37741_0 {
	meta:
		name = "ERR_GET_REASON"
		size = 6
	strings:
		$1 = { 25 FF 0F 00 00 C3 }
	condition:
		$1
}

rule function_37742_0 {
	meta:
		name = "SYSerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 02 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37743_0 {
	meta:
		name = "BNerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 03 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37744_0 {
	meta:
		name = "RSAerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 04 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37745_0 {
	meta:
		name = "DHerrr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 05 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37746_0 {
	meta:
		name = "EVPerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 06 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37747_0 {
	meta:
		name = "BUFerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 07 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37748_0 {
	meta:
		name = "OBJerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 08 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37749_0 {
	meta:
		name = "PEMerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 09 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37750_0 {
	meta:
		name = "DSAerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 0A FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37751_0 {
	meta:
		name = "X509err"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 0B FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37752_0 {
	meta:
		name = "ASN1err"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 0D FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37753_0 {
	meta:
		name = "CONFerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 0E FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37754_0 {
	meta:
		name = "CRYPTOerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 0F FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37755_0 {
	meta:
		name = "ECerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 10 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37756_0 {
	meta:
		name = "SSLerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 14 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37757_0 {
	meta:
		name = "BIOerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 20 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37758_0 {
	meta:
		name = "PKCS7err"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 21 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37759_0 {
	meta:
		name = "X509V3err"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 22 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37760_0 {
	meta:
		name = "PKCS12err"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 23 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37761_0 {
	meta:
		name = "RANDerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 24 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37762_0 {
	meta:
		name = "DSOerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 25 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37763_0 {
	meta:
		name = "ENGINEerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 26 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37764_0 {
	meta:
		name = "OCSPerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 27 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37765_0 {
	meta:
		name = "UIerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 28 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37766_0 {
	meta:
		name = "COMPerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 29 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37767_0 {
	meta:
		name = "ECDSAerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 2A FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37768_0 {
	meta:
		name = "ECDHerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 2B FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37769_0 {
	meta:
		name = "STOREerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 2C FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37770_0 {
	meta:
		name = "FIPSerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 2D FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37771_0 {
	meta:
		name = "CMSerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 2E FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37772_0 {
	meta:
		name = "TSerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 2F FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37773_0 {
	meta:
		name = "HMACerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 30 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37774_0 {
	meta:
		name = "JPAKEerr"
		size = 18
		refs = "000a ERR_put_error"
	strings:
		$1 = { 6A 00 6A 00 52 50 6A 31 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37775_0 {
	meta:
		name = "CRYPTO_w_lock"
		size = 17
		refs = "0009 _CRYPTO_lock"
	strings:
		$1 = { 6A 00 6A 00 50 6A 09 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37776_0 {
	meta:
		name = "CRYPTO_w_unlock"
		size = 17
		refs = "0009 _CRYPTO_lock"
	strings:
		$1 = { 6A 00 6A 00 50 6A 0A FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37777_0 {
	meta:
		name = "CRYPTO_r_lock"
		size = 17
		refs = "0009 _CRYPTO_lock"
	strings:
		$1 = { 6A 00 6A 00 50 6A 05 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37778_0 {
	meta:
		name = "CRYPTO_r_unlock"
		size = 17
		refs = "0009 _CRYPTO_lock"
	strings:
		$1 = { 6A 00 6A 00 50 6A 06 FF 15 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_37779_0 {
	meta:
		name = "X509_LOOKUP_load_file"
		size = 17
		refs = "0009 X509_LOOKUP_ctrl"
	strings:
		$1 = { 6A 00 51 52 6A 01 50 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37780_0 {
	meta:
		name = "X509_LOOKUP_add_dir"
		size = 17
		refs = "0009 X509_LOOKUP_ctrl"
	strings:
		$1 = { 6A 00 51 52 6A 02 50 FF 15 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_37782_0 {
	meta:
		name = "IdSSLOpenSSLHeaders"
		size = 427
		refs = "0002 _DV_9 0010 _Dn_TStringList 0015 TStringList.Create 001a FFailedFunctionLoadList 001f SetFIPSMode 0025 OpenSSLSetFIPSMode 002a GetFIPSMode 0030 OpenSSLGetFIPSMode 0035 IsHashingIntfAvail 003b OpenSSLIsHashingIntfAvail 0040 IsMD2HashIntfAvail 0046 OpenSSLIsMD2HashIntfAvail 004b GetMD2HashInst 0051 OpenSSLGetMD2HashInst 0056 IsMD4HashIntfAvail 005c OpenSSLIsMD4HashIntfAvail 0061 GetMD4HashInst 0067 OpenSSLGetMD4HashInst 006c IsMD5HashIntfAvail 0072 OpenSSLIsMD5HashIntfAvail 0077 GetMD5HashInst 007d OpenSSLGetMD5HashInst 0082 IsSHA1HashIntfAvail 0088 OpenSSLIsSHA1HashIntfAvail 008d GetSHA1HashInst 0093 OpenSSLGetSHA1HashInst 0098 IsSHA224HashIntfAvail 009e OpenSSLIsSHA224HashIntfAvail 00a3 GetSHA224HashInst 00a9 OpenSSLGetSHA224HashInst 00ae IsSHA256HashIntfAvail 00b4 OpenSSLIsSHA256HashIntfAvail 00b9 GetSHA256HashInst 00bf OpenSSLGetSHA256HashInst 00c4 IsSHA384HashIntfAvail 00ca OpenSSLIsSHA384HashIntfAvail 00cf GetSHA384HashInst 00d5 OpenSSLGetSHA384HashInst 00da IsSHA512HashIntfAvail 00e0 OpenSSLIsSHA512HashIntfAvail 00e5 GetSHA512HashInst 00eb OpenSSLGetSHA512HashInst 00f0 UpdateHashInst 00f6 OpenSSLUpdateHashInst 00fb FinalHashInst 0101 OpenSSLFinalHashInst 0106 IsHMACAvail 010c OpenSSLIsHMACAvail 0111 IsHMACMD5Avail 0117 OpenSSLIsHMACMD5Avail 011c GetHMACMD5HashInst 0122 OpenSSLGetHMACMD5Inst 0127 IsHMACSHA1Avail 012d OpenSSLIsHMACSHA1Avail 0132 GetHMACSHA1HashInst 0138 OpenSSLGetHMACSHA1Inst 013d IsHMACSHA224Avail 0143 OpenSSLIsHMACSHA224Avail 0148 GetHMACSHA224HashInst 014e OpenSSLGetHMACSHA224Inst 0153 IsHMACSHA256Avail 0159 OpenSSLIsHMACSHA256Avail 015e GetHMACSHA256HashInst 0164 OpenSSLGetHMACSHA256Inst 0169 IsHMACSHA384Avail 016f OpenSSLIsHMACSHA384Avail 0174 GetHMACSHA384HashInst 017a OpenSSLGetHMACSHA384Inst 017f IsHMACSHA512Avail 0185 OpenSSLIsHMACSHA512Avail 018a GetHMACSHA512HashInst 0190 OpenSSLGetHMACSHA512Inst 0195 UpdateHMACInst 019b OpenSSLUpdateHMACInst 01a0 FinalHMACInst 01a6 OpenSSLFinalHMACInst"
		altNames = "InSSLOpenSSLHeaders"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 0F 83 9D 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37783_0 {
	meta:
		name = "SecInvalidateHandle"
		size = 14
	strings:
		$1 = { C7 00 FF FF FF FF C7 40 04 FF FF FF FF C3 }
	condition:
		$1
}

rule function_37784_0 {
	meta:
		name = "SecIsValidHandle"
		size = 36
	strings:
		$1 = { 56 57 83 C4 F8 8B F0 8D 3C 24 A5 A5 83 3C 24 FF 74 07 83 7C 24 04 FF 75 04 33 C0 EB 02 B0 01 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_37785_0 {
	meta:
		name = "SEC_SUCCESS"
		size = 6
	strings:
		$1 = { 85 C0 0F 9D C0 C3 }
	condition:
		$1
}

rule function_37831_0 {
	meta:
		name = "SetStackClass"
		size = 18
		refs = "000b GStackClass"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC A3 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_37832_0 {
	meta:
		name = "TIdPacketInfo.Reset"
		size = 87
		refs = "000e @UStrClr"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 C0 04 E8 ?? ?? ?? ?? 8B 45 FC 66 C7 40 08 00 00 8B 45 FC 33 D2 89 50 0C 8B 45 FC C6 40 10 00 8B 45 FC 83 C0 14 E8 ?? ?? ?? ?? 8B 45 FC 66 C7 40 18 00 00 8B 45 FC 33 D2 89 50 1C 8B 45 FC C6 40 20 00 8B 45 FC C6 40 21 00 59 5D C3 }
	condition:
		$1
}

rule function_37833_0 {
	meta:
		name = "TIdSocketList.Create"
		size = 83
		refs = "000e @ClassCreate 001e TObject.Create 0025 _Dn_TIdCriticalSection 002a TCriticalSection.Create 003e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_37834_0 {
	meta:
		name = "TIdSocketList.CreateSocketList"
		size = 29
		refs = "000c GSocketListClass"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC B2 01 A1 ?? ?? ?? ?? FF 50 04 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_37835_0 {
	meta:
		name = "TIdSocketList.Destroy"
		size = 81
		refs = "0007 @BeforeDestruction 002d TObject.Free 003b TObject.Destroy 0049 @ClassDestroy"
		altNames = "TIdStack.Destroy TInStack.Destroy"
	strings:
		$1 = { 55 8B EC 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 83 C0 04 89 45 F4 8B 45 F4 8B 00 89 45 F0 8B 45 F4 33 D2 89 10 8B 45 F0 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_37836_0 {
	meta:
		name = "TIdSocketList.Lock"
		size = 20
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 04 8B 10 FF 12 59 5D C3 }
	condition:
		$1
}

rule function_37837_0 {
	meta:
		name = "TIdSocketList.Select"
		size = 28
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F0 89 55 F4 89 45 FC C6 45 FB 00 8A 45 FB 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_37838_0 {
	meta:
		name = "TIdSocketList.Unlock"
		size = 21
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 04 8B 10 FF 52 04 59 5D C3 }
	condition:
		$1
}

rule function_37839_0 {
	meta:
		name = "EIdSocketError.CreateError"
		size = 82
		refs = "000e @ClassCreate 0024 EIdException.Create 003b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 4D 08 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 50 18 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_41879_0 {
	meta:
		name = "EIdSocketError.CreateError"
		size = 82
		refs = "000e @ClassCreate 0024 EInException.Create 003b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 4D 08 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 50 18 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_37840_0 {
	meta:
		name = "TIdStack.Create"
		size = 65
		refs = "000e @ClassCreate 001e TObject.Create 002c @AfterConstruction"
		altNames = "TInStack.Create"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_37842_0 {
	meta:
		name = "TIdStack.IPVersionUnsupported"
		size = 94
		refs = "0012 TIdStack.IPVersionUnsupported 0020 RSIPVersionUnsupported 0025 LoadResString 002f _DV_EIdIPVersionUnsupported 0034 EIdException.Create 0039 @RaiseExcept 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_41882_0 {
	meta:
		name = "TInStack.IPVersionUnsupported"
		size = 94
		refs = "0012 TInStack.IPVersionUnsupported 0020 RSIPVersionUnsupported 0025 LoadResString 002f _DV_EIdIPVersionUnsupported 0034 EInException.Create 0039 @RaiseExcept 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_42234_0 {
	meta:
		name = "TInUDPClient.RaiseUseProxyError"
		size = 94
		refs = "0012 TInUDPClient.RaiseUseProxyError 0020 RSUDPMustUseProxyOpen 0025 LoadResString 002f _DV_EIdMustUseOpenProxy 0034 EInException.Create 0039 @RaiseExcept 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_37843_0 {
	meta:
		name = "TIdStack.Accept"
		size = 51
		altNames = "TInStack.Accept"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 4D F4 89 55 F8 89 45 FC 8B 45 08 50 8D 45 EF 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 18 FF 53 08 89 45 F0 8B 45 F0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_37844_0 {
	meta:
		name = "TIdStack.GetPeerName"
		size = 45
		altNames = "TInStack.GetPeerName"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D F4 89 55 F8 89 45 FC 8B 45 08 50 8D 45 F3 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 18 FF 53 20 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_37845_0 {
	meta:
		name = "TIdStack.GetSocketName"
		size = 45
		altNames = "TInStack.GetSocketName"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D F4 89 55 F8 89 45 FC 8B 45 08 50 8D 45 F3 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 18 FF 53 24 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_37846_0 {
	meta:
		name = "TIdStack.GetLocalAddresses"
		size = 80
		refs = "0015 _Dn_TStringList 001a TStringList.Create"
		altNames = "TInStack.GetLocalAddresses"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 83 78 04 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8B 45 FC 8B 40 04 8B 10 FF 52 44 8B 45 FC 8B 50 04 8B 45 FC 8B 08 FF 91 A0 00 00 00 8B 45 FC 8B 40 04 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_37847_0 {
	meta:
		name = "TIdStack.GetLocalAddress"
		size = 123
		refs = "0011 @UStrClr 0018 _Dn_TStringList 001d TStringList.Create 0028 TIdStack.GetLocalAddress 006a TObject.Free 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 FC 8B 08 FF 91 A0 00 00 00 8B 45 F4 8B 10 FF 52 14 85 C0 7E 0D 8B 4D F8 33 D2 8B 45 F4 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41887_0 {
	meta:
		name = "TInStack.GetLocalAddress"
		size = 123
		refs = "0011 @UStrClr 0018 _Dn_TStringList 001d TStringList.Create 0028 TInStack.GetLocalAddress 006a TObject.Free 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 FC 8B 08 FF 91 A0 00 00 00 8B 45 F4 8B 10 FF 52 14 85 C0 7E 0D 8B 4D F8 33 D2 8B 45 F4 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37848_0 {
	meta:
		name = "TIdStack.IsIP"
		size = 376
		refs = "001e @UStrAddRef 0026 TIdStack.IsIP 0041 Fetch 004c IndyStrToInt 014a @UStrArrayClr 0152 @UStrClr 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 33 C9 89 4D E0 89 4D E4 89 4D E8 89 4D EC 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 EC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 83 CA FF E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 FF 7E 09 81 7D F0 00 01 00 00 7C 04 33 C0 EB 02 B0 01 88 45 F7 6A 01 8D 45 E8 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 83 CA FF E8 ?? ?? ?? ?? 89 45 F0 80 7D F7 00 74 0F 83 7D F0 FF 7E 09 81 7D F0 00 01 00 00 7C 04 33 C0 EB 02 B0 01 88 45 F7 6A 01 8D 45 E4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 83 CA FF E8 ?? ?? ?? ?? 89 45 F0 80 7D F7 00 74 0F 83 7D F0 FF 7E 09 81 7D F0 00 01 00 00 7C 04 33 C0 EB 02 B0 01 88 45 F7 6A 01 8D 45 E0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 83 CA FF E8 ?? ?? ?? ?? 89 45 F0 80 7D F7 00 74 15 83 7D F0 FF 7E 0F 81 7D F0 00 01 00 00 7D 06 83 7D F8 00 74 04 33 C0 EB 02 B0 01 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8A 45 F7 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_41888_0 {
	meta:
		name = "TInStack.IsIP"
		size = 376
		refs = "001e @UStrAddRef 0026 TInStack.IsIP 0041 Fetch 004c IndyStrToInt 014a @UStrArrayClr 0152 @UStrClr 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 33 C9 89 4D E0 89 4D E4 89 4D E8 89 4D EC 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 EC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 83 CA FF E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 FF 7E 09 81 7D F0 00 01 00 00 7C 04 33 C0 EB 02 B0 01 88 45 F7 6A 01 8D 45 E8 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 83 CA FF E8 ?? ?? ?? ?? 89 45 F0 80 7D F7 00 74 0F 83 7D F0 FF 7E 09 81 7D F0 00 01 00 00 7C 04 33 C0 EB 02 B0 01 88 45 F7 6A 01 8D 45 E4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 83 CA FF E8 ?? ?? ?? ?? 89 45 F0 80 7D F7 00 74 0F 83 7D F0 FF 7E 09 81 7D F0 00 01 00 00 7C 04 33 C0 EB 02 B0 01 88 45 F7 6A 01 8D 45 E0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 83 CA FF E8 ?? ?? ?? ?? 89 45 F0 80 7D F7 00 74 15 83 7D F0 FF 7E 0F 81 7D F0 00 01 00 00 7D 06 83 7D F8 00 74 04 33 C0 EB 02 B0 01 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8A 45 F7 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_37849_0 {
	meta:
		name = "TIdStack.MakeCanonicalIPv6Address"
		size = 30
		refs = "0016 MakeCanonicalIPv6Address"
		altNames = "TInStack.MakeCanonicalIPv6Address"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_37850_0 {
	meta:
		name = "TIdStack.ResolveHost"
		size = 232
		refs = "0014 @UStrClr 0024 TIdStack.ResolveHost 002c TextIsSame 003d @UStrAsg 004a TIdStack.IsIP 007b TIdStack.MakeCanonicalIPv6Address 009d TIdStack.IPVersionUnsupported"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D F7 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 8A 45 F7 2C 01 72 04 74 50 EB 76 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5E 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? EB 42 8B 45 08 50 33 C9 8B 55 F8 8B 45 FC 8B 18 FF 13 EB 30 8B 4D 08 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 83 38 00 75 1A 8B 45 08 50 B1 01 8B 55 F8 8B 45 FC 8B 18 FF 13 EB 08 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4C 00 4F 00 43 00 41 00 4C 00 48 00 4F 00 53 00 54 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 31 00 32 00 37 00 2E 00 30 00 2E 00 30 00 2E 00 31 00 00 00 }
	condition:
		$1
}

rule function_41890_0 {
	meta:
		name = "TInStack.ResolveHost"
		size = 232
		refs = "0014 @UStrClr 0024 TInStack.ResolveHost 002c TextIsSame 003d @UStrAsg 004a TInStack.IsIP 007b TInStack.MakeCanonicalIPv6Address 009d TInStack.IPVersionUnsupported"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D F7 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 8A 45 F7 2C 01 72 04 74 50 EB 76 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5E 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? EB 42 8B 45 08 50 33 C9 8B 55 F8 8B 45 FC 8B 18 FF 13 EB 30 8B 4D 08 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 83 38 00 75 1A 8B 45 08 50 B1 01 8B 55 F8 8B 45 FC 8B 18 FF 13 EB 08 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4C 00 4F 00 43 00 41 00 4C 00 48 00 4F 00 53 00 54 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 31 00 32 00 37 00 2E 00 30 00 2E 00 30 00 2E 00 31 00 00 00 }
	condition:
		$1
}

rule function_37851_0 {
	meta:
		name = "TIdStack.SendTo"
		size = 62
		altNames = "TInStack.SendTo"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D F4 89 55 F8 89 45 FC 8B 45 14 50 6A FF 8B 45 10 50 66 8B 45 0C 50 8A 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 18 FF 53 78 89 45 F0 8B 45 F0 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_37852_0 {
	meta:
		name = "TIdStack.DecUsage"
		size = 114
		refs = "000a GStackCriticalSection 0016 TIdStack.DecUsage 0022 GInstanceCount 0039 GStack 004b TObject.Free 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC A1 ?? ?? ?? ?? 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 76 26 FF 0D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 17 A1 ?? ?? ?? ?? 89 45 F8 33 C0 A3 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 59 59 5D C3 }
	condition:
		$1
}

rule function_41892_0 {
	meta:
		name = "TInStack.DecUsage"
		size = 114
		refs = "000a GStackCriticalSection 0016 TInStack.DecUsage 0022 GInstanceCount 0039 GStack 004b TObject.Free 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC A1 ?? ?? ?? ?? 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 76 26 FF 0D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 17 A1 ?? ?? ?? ?? 89 45 F8 33 C0 A3 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 59 59 5D C3 }
	condition:
		$1
}

rule function_37853_0 {
	meta:
		name = "TIdStack.IncUsage"
		size = 218
		refs = "0010 TIdStack.IncUsage 001b GStackCriticalSection 0033 GInstanceCount 003c GStack 0047 RSStackAlreadyCreated 004c LoadResString 0054 _Dn_EIdException 0059 EIdException.Toss 005f GStackClass 006a RSStackClassUndefined 00ae @HandleFinally 00ca @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 55 83 3D ?? ?? ?? ?? 00 74 1A 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 1A 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? FF 50 14 A3 ?? ?? ?? ?? FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_41893_0 {
	meta:
		name = "TInStack.IncUsage"
		size = 218
		refs = "0010 TInStack.IncUsage 001b GStackCriticalSection 0033 GInstanceCount 003c GStack 0047 RSStackAlreadyCreated 004c LoadResString 0054 _Dn_EInException 0059 EInException.Toss 005f GStackClass 006a RSStackClassUndefined 00ae @HandleFinally 00ca @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 55 83 3D ?? ?? ?? ?? 00 74 1A 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 1A 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? FF 50 14 A3 ?? ?? ?? ?? FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_37854_0 {
	meta:
		name = "TIdStack.CheckForSocketError"
		size = 39
		refs = "0016 TIdStack.RaiseLastSocketError"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 83 7D F8 FF 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_41894_0 {
	meta:
		name = "TInStack.CheckForSocketError"
		size = 39
		refs = "0016 TInStack.RaiseLastSocketError"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 83 7D F8 FF 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_37855_0 {
	meta:
		name = "TIdStack.CheckForSocketError"
		size = 106
		altNames = "TInStack.CheckForSocketError"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 89 45 F0 83 7D F8 FF 75 46 8B 45 FC 8B 10 FF 52 40 89 45 E8 8B 45 08 85 C0 7C 29 40 89 45 E4 C7 45 EC 00 00 00 00 8B 45 F4 8B 55 EC 8B 04 90 3B 45 E8 75 08 8B 45 E8 89 45 F0 EB 13 FF 45 EC FF 4D E4 75 E2 8B 55 E8 8B 45 FC 8B 08 FF 51 4C 8B 45 F0 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_37856_0 {
	meta:
		name = "TIdStack.RaiseLastSocketError"
		size = 28
		altNames = "TInStack.RaiseLastSocketError"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 10 FF 52 40 8B D0 8B 45 FC 8B 08 FF 51 4C 59 5D C3 }
	condition:
		$1
}

rule function_37857_0 {
	meta:
		name = "TIdStack.RaiseSocketError"
		size = 159
		refs = "0019 TIdStack.RaiseSocketError 0044 _DV_EIdNotASocket 0049 EIdSocketError.CreateError 004e @RaiseExcept 006a _DV_EIdSocketError 008e @UStrArrayClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 7D F8 36 27 00 00 75 26 8D 4D F4 8B 55 F8 8B 45 FC 8B 18 FF 53 48 8B 45 F4 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 8B 55 F8 8B 45 FC 8B 18 FF 53 48 8B 45 F0 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41897_0 {
	meta:
		name = "TInStack.RaiseSocketError"
		size = 159
		refs = "0019 TInStack.RaiseSocketError 0044 _DV_EIdNotASocket 0049 EIdSocketError.CreateError 004e @RaiseExcept 006a _DV_EIdSocketError 008e @UStrArrayClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 7D F8 36 27 00 00 75 26 8D 4D F4 8B 55 F8 8B 45 FC 8B 18 FF 53 48 8B 45 F4 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 8B 55 F8 8B 45 FC 8B 18 FF 53 48 8B 45 F0 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37858_0 {
	meta:
		name = "TIdStack.WSTranslateSocketErrorMsg"
		size = 1084
		refs = "001c TIdStack.WSTranslateSocketErrorMsg 002a @UStrClr 0146 RSStackEINTR 014b LoadResString 0158 RSStackEBADF 016a RSStackEACCES 017c RSStackEFAULT 018e RSStackEINVAL 01a0 RSStackEMFILE 01b2 RSStackEWOULDBLOCK 01c4 RSStackEINPROGRESS 01d6 RSStackEALREADY 01e8 RSStackENOTSOCK 01fa RSStackEDESTADDRREQ 020c RSStackEMSGSIZE 021e RSStackEPROTOTYPE 0230 RSStackENOPROTOOPT 0242 RSStackEPROTONOSUPPORT 0254 RSStackESOCKTNOSUPPORT 0266 RSStackEOPNOTSUPP 0278 RSStackEPFNOSUPPORT 028a RSStackEAFNOSUPPORT 029c RSStackEADDRINUSE 02ae RSStackEADDRNOTAVAIL 02c0 RSStackENETDOWN 02d2 RSStackENETUNREACH 02e4 RSStackENETRESET 02f6 RSStackECONNABORTED 0308 RSStackECONNRESET 031a RSStackENOBUFS 032c RSStackEISCONN 033e RSStackENOTCONN 0350 RSStackESHUTDOWN 035f RSStackETOOMANYREFS 036e RSStackETIMEDOUT 037d RSStackECONNREFUSED 038c RSStackELOOP 039b RSStackENAMETOOLONG 03aa RSStackEHOSTDOWN 03b9 RSStackEHOSTUNREACH 03c8 RSStackENOTEMPTY 03d9 RSStackError 0406 IndyFormat 0411 @UStrAsg 042b @UStrArrayClr 0431 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 DB 89 5D F0 89 5D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 05 EC D8 FF FF 83 F8 3E 0F 87 92 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7D 02 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6B 02 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 59 02 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 47 02 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 35 02 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 23 02 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 11 02 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FF 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ED 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DB 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C9 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B7 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A5 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 93 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 81 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6F 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5D 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4B 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 39 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 27 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 15 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 03 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F1 00 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DF 00 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CD 00 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BB 00 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A9 00 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 97 00 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 85 00 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 76 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 58 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 49 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 89 45 DC C6 45 E0 00 8B 45 F4 8B 00 89 45 E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41898_0 {
	meta:
		name = "TInStack.WSTranslateSocketErrorMsg"
		size = 1084
		refs = "001c TInStack.WSTranslateSocketErrorMsg 002a @UStrClr 0146 RSStackEINTR 014b LoadResString 0158 RSStackEBADF 016a RSStackEACCES 017c RSStackEFAULT 018e RSStackEINVAL 01a0 RSStackEMFILE 01b2 RSStackEWOULDBLOCK 01c4 RSStackEINPROGRESS 01d6 RSStackEALREADY 01e8 RSStackENOTSOCK 01fa RSStackEDESTADDRREQ 020c RSStackEMSGSIZE 021e RSStackEPROTOTYPE 0230 RSStackENOPROTOOPT 0242 RSStackEPROTONOSUPPORT 0254 RSStackESOCKTNOSUPPORT 0266 RSStackEOPNOTSUPP 0278 RSStackEPFNOSUPPORT 028a RSStackEAFNOSUPPORT 029c RSStackEADDRINUSE 02ae RSStackEADDRNOTAVAIL 02c0 RSStackENETDOWN 02d2 RSStackENETUNREACH 02e4 RSStackENETRESET 02f6 RSStackECONNABORTED 0308 RSStackECONNRESET 031a RSStackENOBUFS 032c RSStackEISCONN 033e RSStackENOTCONN 0350 RSStackESHUTDOWN 035f RSStackETOOMANYREFS 036e RSStackETIMEDOUT 037d RSStackECONNREFUSED 038c RSStackELOOP 039b RSStackENAMETOOLONG 03aa RSStackEHOSTDOWN 03b9 RSStackEHOSTUNREACH 03c8 RSStackENOTEMPTY 03d9 RSStackError 0406 IndyFormat 0411 @UStrAsg 042b @UStrArrayClr 0431 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 DB 89 5D F0 89 5D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 05 EC D8 FF FF 83 F8 3E 0F 87 92 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7D 02 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6B 02 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 59 02 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 47 02 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 35 02 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 23 02 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 11 02 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FF 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ED 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DB 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C9 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B7 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A5 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 93 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 81 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6F 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5D 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4B 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 39 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 27 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 15 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 03 01 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F1 00 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DF 00 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CD 00 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BB 00 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A9 00 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 97 00 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 85 00 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 76 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 58 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 49 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 89 45 DC C6 45 E0 00 8B 45 F4 8B 00 89 45 E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37859_0 {
	meta:
		name = "TIdStack.HostToNetwork"
		size = 61
		altNames = "TInStack.HostToNetwork"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 33 C0 89 45 F0 8B 45 F8 8B 55 F0 66 8B 14 50 8B 45 FC 8B 08 FF 51 2C 8B 55 F4 8B 4D F0 66 89 04 4A FF 45 F0 83 7D F0 08 75 DB 8B E5 5D C3 }
	condition:
		$1
}

rule function_37860_0 {
	meta:
		name = "TIdStack.NetworkToHost"
		size = 61
		altNames = "TInStack.NetworkToHost"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 33 C0 89 45 F0 8B 45 F8 8B 55 F0 66 8B 14 50 8B 45 FC 8B 08 FF 51 54 8B 55 F4 8B 4D F0 66 89 04 4A FF 45 F0 83 7D F0 08 75 DB 8B E5 5D C3 }
	condition:
		$1
}

rule function_37861_0 {
	meta:
		name = "TIdStack.IsValidIPv4MulticastGroup"
		size = 188
		refs = "0018 TIdStack.IsValidIPv4MulticastGroup 002a GStack 002f TIdStack.IsIP 003e @UStrLAsg 0053 Fetch 005b IndyStrToInt 008e @UStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 33 C9 89 4D E8 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 46 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 F0 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 89 45 EC 81 7D EC E0 00 00 00 7C 09 81 7D EC EF 00 00 00 7E 04 33 C0 EB 02 B0 01 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8A 45 F7 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_41901_0 {
	meta:
		name = "TInStack.IsValidIPv4MulticastGroup"
		size = 188
		refs = "0018 TInStack.IsValidIPv4MulticastGroup 002a GStack 002f TInStack.IsIP 003e @UStrLAsg 0053 Fetch 005b IndyStrToInt 008e @UStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 33 C9 89 4D E8 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 46 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 F0 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 89 45 EC 81 7D EC E0 00 00 00 7C 09 81 7D EC EF 00 00 00 7E 04 33 C0 EB 02 B0 01 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8A 45 F7 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_37862_0 {
	meta:
		name = "TIdStack.IsValidIPv6MulticastGroup"
		size = 132
		refs = "0015 TIdStack.IsValidIPv6MulticastGroup 0029 TIdStack.MakeCanonicalIPv6Address 003c TextStartsWith 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 83 7D F0 00 74 12 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 88 45 F7 EB 04 C6 45 F7 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 F7 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 46 00 46 00 00 00 00 00 }
	condition:
		$1
}

rule function_41902_0 {
	meta:
		name = "TInStack.IsValidIPv6MulticastGroup"
		size = 132
		refs = "0015 TInStack.IsValidIPv6MulticastGroup 0029 TInStack.MakeCanonicalIPv6Address 003c TextStartsWith 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 83 7D F0 00 74 12 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 88 45 F7 EB 04 C6 45 F7 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 F7 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 46 00 46 00 00 00 00 00 }
	condition:
		$1
}

rule function_37863_0 {
	meta:
		name = "TIdStack.CalcCheckSum"
		size = 137
		refs = "001a @DynArrayLength 002e BytesToWord"
		altNames = "TInStack.CalcCheckSum"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 55 F8 89 45 FC 33 C0 89 45 E8 33 C0 89 45 F0 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 01 7E 1F 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 0F B7 C0 01 45 E8 83 6D EC 02 83 45 F0 02 83 7D EC 01 7F E1 83 7D EC 00 7E 0D 8B 45 F8 8B 55 F0 0F B6 04 10 01 45 E8 8B 45 E8 C1 E8 10 8B 55 E8 81 E2 FF FF 00 00 03 C2 89 45 E8 8B 45 E8 C1 E8 10 01 45 E8 66 8B 45 E8 66 F7 D0 66 89 45 F6 66 8B 45 F6 8B E5 5D C3 }
	condition:
		$1
}

rule function_37864_0 {
	meta:
		name = "TIdStack.SetKeepAliveValues"
		size = 57
		refs = "001d iif"
		altNames = "TInStack.SetKeepAliveValues"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D F7 89 55 F8 89 45 FC 6A 08 33 C9 BA 01 00 00 00 8A 45 F7 E8 ?? ?? ?? ?? 50 B9 FF FF 00 00 8B 55 F8 8B 45 FC 8B 18 FF 53 68 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_37866_0 {
	meta:
		name = "IdStack"
		size = 47
		refs = "0002 _DV_9 000a _Dn_TIdStackWindows 000f GStackClass 0016 _Dn_TIdCriticalSection 001b TCriticalSection.Create 0020 GStackCriticalSection 002a IndyRegisterExpectedMemoryLeak"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 25 A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_41906_0 {
	meta:
		name = "InStack"
		size = 47
		refs = "0002 _DV_9 000a _Dn_TInStackWindows 000f GStackClass 0016 _Dn_TIdCriticalSection 001b TCriticalSection.Create 0020 GStackCriticalSection 002a IndyRegisterExpectedMemoryLeak"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 25 A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_37881_0 {
	meta:
		name = "TIdStackBSDBase.TranslateTInAddrToString"
		size = 340
		refs = "0023 TIdStackBSDBase.TranslateTInAddrToString 0043 IntToStr 0097 @UStrCatN 00a0 @UStrClr 00c5 IntToHex 00fa @UStrSetLength 0104 TIdStack.IPVersionUnsupported 011e @UStrArrayClr 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 55 F8 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 E9 01 72 07 74 69 E9 C7 00 00 00 8B 45 F8 0F B6 00 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B 45 F8 0F B6 40 01 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8B 45 F8 0F B6 40 02 8D 55 EC E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B 45 F8 0F B6 40 03 8D 55 E8 E8 ?? ?? ?? ?? FF 75 E8 8B C6 BA 07 00 00 00 E8 ?? ?? ?? ?? EB 6B 8B C6 E8 ?? ?? ?? ?? BF 08 00 00 00 8B 5D F8 FF 36 0F B7 13 8B 45 FC 8B 08 FF 51 54 0F B7 C0 8D 4D E4 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C3 02 4F 75 C9 8B 06 89 45 E0 8B 45 E0 85 C0 74 05 83 E8 04 8B 00 8B D0 4A 8B C6 E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_41921_0 {
	meta:
		name = "TInStackBSDBase.TranslateTInAddrToString"
		size = 340
		refs = "0023 TInStackBSDBase.TranslateTInAddrToString 0043 IntToStr 0097 @UStrCatN 00a0 @UStrClr 00c5 IntToHex 00fa @UStrSetLength 0104 TInStack.IPVersionUnsupported 011e @UStrArrayClr 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 55 F8 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 E9 01 72 07 74 69 E9 C7 00 00 00 8B 45 F8 0F B6 00 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B 45 F8 0F B6 40 01 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8B 45 F8 0F B6 40 02 8D 55 EC E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B 45 F8 0F B6 40 03 8D 55 E8 E8 ?? ?? ?? ?? FF 75 E8 8B C6 BA 07 00 00 00 E8 ?? ?? ?? ?? EB 6B 8B C6 E8 ?? ?? ?? ?? BF 08 00 00 00 8B 5D F8 FF 36 0F B7 13 8B 45 FC 8B 08 FF 51 54 0F B7 C0 8D 4D E4 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C3 02 4F 75 C9 8B 06 89 45 E0 8B 45 E0 85 C0 74 05 83 E8 04 8B 00 8B D0 4A 8B C6 E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_37882_0 {
	meta:
		name = "TIdStackBSDBase.TranslateStringToTInAddr"
		size = 312
		refs = "0024 TIdStackBSDBase.TranslateStringToTInAddr 0047 @UStrLAsg 005c Fetch 0064 IndyStrToInt 00d2 IPv6ToIdIPv6Address 00f1 TIdStack.IPVersionUnsupported 010b @UStrArrayClr 0113 @UStrClr 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D E4 89 5D E8 89 5D FC 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 08 2C 01 72 0B 0F 84 90 00 00 00 E9 AD 00 00 00 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 88 03 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 88 43 01 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 88 43 02 6A 01 8D 45 DC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 88 43 03 EB 29 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 8D 4D CC 8D 55 EC 8B C6 8B 30 FF 56 38 8D 75 CC 8B FB A5 A5 A5 A5 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_41922_0 {
	meta:
		name = "TInStackBSDBase.TranslateStringToTInAddr"
		size = 312
		refs = "0024 TInStackBSDBase.TranslateStringToTInAddr 0047 @UStrLAsg 005c Fetch 0064 IndyStrToInt 00d2 IPv6ToIdIPv6Address 00f1 TInStack.IPVersionUnsupported 010b @UStrArrayClr 0113 @UStrClr 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D E4 89 5D E8 89 5D FC 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 08 2C 01 72 0B 0F 84 90 00 00 00 E9 AD 00 00 00 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 88 03 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 88 43 01 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 88 43 02 6A 01 8D 45 DC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 88 43 03 EB 29 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 8D 4D CC 8D 55 EC 8B C6 8B 30 FF 56 38 8D 75 CC 8B FB A5 A5 A5 A5 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_37883_0 {
	meta:
		name = "TIdStackBSDBase.NewSocketHandle"
		size = 67
		refs = "001b IdIPFamily 0036 TIdStack.RaiseLastSocketError"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B D8 8B 45 FC 50 0F B6 45 08 50 0F B6 45 0C 8B 04 85 ?? ?? ?? ?? 8B CA 8B D3 92 8B 30 FF 96 D0 00 00 00 8B F0 83 FE FF 75 07 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_41923_0 {
	meta:
		name = "TInStackBSDBase.NewSocketHandle"
		size = 67
		refs = "001b IdIPFamily 0036 TInStack.RaiseLastSocketError"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B D8 8B 45 FC 50 0F B6 45 08 50 0F B6 45 0C 8B 04 85 ?? ?? ?? ?? 8B CA 8B D3 92 8B 30 FF 96 D0 00 00 00 8B F0 83 FE FF 75 07 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_37884_0 {
	meta:
		name = "TIdStackBSDBase.Create"
		size = 59
		refs = "000a @ClassCreate 0017 TIdStack.Create 001d GBSDStack 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 89 35 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_41924_0 {
	meta:
		name = "TInStackBSDBase.Create"
		size = 59
		refs = "000a @ClassCreate 0017 TInStack.Create 001d GBSDStack 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 89 35 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_37885_0 {
	meta:
		name = "TIdStackBSDBase.Receive"
		size = 46
		refs = "000c @DynArrayLength 0026 TIdStack.CheckForSocketError"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B 06 E8 ?? ?? ?? ?? 50 6A 00 8B 0E 8B D7 8B C3 8B 30 FF 96 A8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_41925_0 {
	meta:
		name = "TInStackBSDBase.Receive"
		size = 46
		refs = "000c @DynArrayLength 0026 TInStack.CheckForSocketError"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B 06 E8 ?? ?? ?? ?? 50 6A 00 8B 0E 8B D7 8B C3 8B 30 FF 96 A8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37886_0 {
	meta:
		name = "TIdStackBSDBase.Send"
		size = 59
		refs = "0016 IndyLength"
		altNames = "TInStackBSDBase.Send"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 4D 0C 8B 55 08 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 16 50 6A 00 8B 45 0C 8D 0C 06 8B 55 FC 8B C3 8B 18 FF 93 AC 00 00 00 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_37887_0 {
	meta:
		name = "TIdStackBSDBase.ReceiveFrom"
		size = 66
		refs = "0010 @DynArrayLength 0037 TIdStack.CheckForSocketError"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 06 E8 ?? ?? ?? ?? 50 6A 00 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 0E 8B 55 FC 8B C3 8B 30 FF 96 C8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_41927_0 {
	meta:
		name = "TInStackBSDBase.ReceiveFrom"
		size = 66
		refs = "0010 @DynArrayLength 0037 TInStack.CheckForSocketError"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 06 E8 ?? ?? ?? ?? 50 6A 00 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 0E 8B 55 FC 8B C3 8B 30 FF 96 C8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_37888_0 {
	meta:
		name = "TIdStackBSDBase.SendTo"
		size = 79
		refs = "0017 IndyLength"
		altNames = "TInStackBSDBase.SendTo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B F0 8B 4D 18 8B 55 14 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 24 53 6A 00 8B 45 10 50 0F B7 45 0C 50 0F B6 45 08 50 8B 45 18 8D 0C 07 8B 55 FC 8B C6 8B 30 FF 96 CC 00 00 00 8B C3 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_37889_0 {
	meta:
		name = "TIdStackBSDBase.DropMulticastMembership"
		size = 63
		refs = "0025 iif 0033 TIdStackBSDBase.MembershipSockOpt"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8B 45 0C 50 84 DB 0F 94 C0 B9 0D 00 00 00 BA 0D 00 00 00 E8 ?? ?? ?? ?? 50 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_41929_0 {
	meta:
		name = "TInStackBSDBase.DropMulticastMembership"
		size = 63
		refs = "0025 iif 0033 TInStackBSDBase.MembershipSockOpt"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8B 45 0C 50 84 DB 0F 94 C0 B9 0D 00 00 00 BA 0D 00 00 00 E8 ?? ?? ?? ?? 50 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_37890_0 {
	meta:
		name = "TIdStackBSDBase.AddMulticastMembership"
		size = 63
		refs = "0025 iif 0033 TIdStackBSDBase.MembershipSockOpt"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8B 45 0C 50 84 DB 0F 94 C0 B9 0C 00 00 00 BA 0C 00 00 00 E8 ?? ?? ?? ?? 50 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_41930_0 {
	meta:
		name = "TInStackBSDBase.AddMulticastMembership"
		size = 63
		refs = "0025 iif 0033 TInStackBSDBase.MembershipSockOpt"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8B 45 0C 50 84 DB 0F 94 C0 B9 0C 00 00 00 BA 0C 00 00 00 E8 ?? ?? ?? ?? 50 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_37891_0 {
	meta:
		name = "TIdStackBSDBase.SetMulticastTTL"
		size = 97
		refs = "0035 TIdStack.IPVersionUnsupported 004c GBSDStack"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FF 8B FA 0F B6 55 08 80 EA 01 72 04 74 0B EB 15 33 DB BE 0A 00 00 00 EB 15 BB 29 00 00 00 BE 0A 00 00 00 EB 09 33 DB 33 F6 E8 ?? ?? ?? ?? 0F B6 45 FF 89 45 F8 56 8D 45 F8 50 6A 04 8B CB 8B D7 A1 ?? ?? ?? ?? 8B 18 FF 93 B8 00 00 00 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_41931_0 {
	meta:
		name = "TInStackBSDBase.SetMulticastTTL"
		size = 97
		refs = "0035 TInStack.IPVersionUnsupported 004c GBSDStack"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FF 8B FA 0F B6 55 08 80 EA 01 72 04 74 0B EB 15 33 DB BE 0A 00 00 00 EB 15 BB 29 00 00 00 BE 0A 00 00 00 EB 09 33 DB 33 F6 E8 ?? ?? ?? ?? 0F B6 45 FF 89 45 F8 56 8D 45 F8 50 6A 04 8B CB 8B D7 A1 ?? ?? ?? ?? 8B 18 FF 93 B8 00 00 00 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_37892_0 {
	meta:
		name = "TIdStackBSDBase.SetLoopBack"
		size = 97
		refs = "0035 TIdStack.IPVersionUnsupported 004c GBSDStack"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FF 8B FA 0F B6 55 08 80 EA 01 72 04 74 0B EB 15 33 DB BE 0B 00 00 00 EB 15 BB 29 00 00 00 BE 0B 00 00 00 EB 09 33 DB 33 F6 E8 ?? ?? ?? ?? 0F B6 45 FF 89 45 F8 56 8D 45 F8 50 6A 04 8B CB 8B D7 A1 ?? ?? ?? ?? 8B 18 FF 93 B8 00 00 00 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_41932_0 {
	meta:
		name = "TInStackBSDBase.SetLoopBack"
		size = 97
		refs = "0035 TInStack.IPVersionUnsupported 004c GBSDStack"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FF 8B FA 0F B6 55 08 80 EA 01 72 04 74 0B EB 15 33 DB BE 0B 00 00 00 EB 15 BB 29 00 00 00 BE 0B 00 00 00 EB 09 33 DB 33 F6 E8 ?? ?? ?? ?? 0F B6 45 FF 89 45 F8 56 8D 45 F8 50 6A 04 8B CB 8B D7 A1 ?? ?? ?? ?? 8B 18 FF 93 B8 00 00 00 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_37893_0 {
	meta:
		name = "TIdStackBSDBase.MembershipSockOpt"
		size = 194
		refs = "0023 TIdStack.IsValidIPv4MulticastGroup 0037 GBSDStack 003c TIdStackBSDBase.TranslateStringToTInAddr 0074 TIdStack.IsValidIPv6MulticastGroup 00b5 TIdStack.IPVersionUnsupported"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F1 8B FA 8B D8 0F B6 45 08 2C 01 72 07 74 56 E9 94 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 8A 00 00 00 6A 00 8D 4D F8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 4D FC 8B 55 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 50 8D 45 F8 50 6A 08 33 C9 8B D7 A1 ?? ?? ?? ?? 8B 18 FF 93 B8 00 00 00 EB 4A 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3D 6A 01 8D 4D E4 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F4 8B 45 0C 50 8D 45 E4 50 6A 14 B9 29 00 00 00 8B D7 A1 ?? ?? ?? ?? 8B 18 FF 93 B8 00 00 00 EB 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_41933_0 {
	meta:
		name = "TInStackBSDBase.MembershipSockOpt"
		size = 194
		refs = "0023 TInStack.IsValidIPv4MulticastGroup 0037 GBSDStack 003c TInStackBSDBase.TranslateStringToTInAddr 0074 TInStack.IsValidIPv6MulticastGroup 00b5 TInStack.IPVersionUnsupported"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F1 8B FA 8B D8 0F B6 45 08 2C 01 72 07 74 56 E9 94 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 8A 00 00 00 6A 00 8D 4D F8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 4D FC 8B 55 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 50 8D 45 F8 50 6A 08 33 C9 8B D7 A1 ?? ?? ?? ?? 8B 18 FF 93 B8 00 00 00 EB 4A 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3D 6A 01 8D 4D E4 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F4 8B 45 0C 50 8D 45 E4 50 6A 14 B9 29 00 00 00 8B D7 A1 ?? ?? ?? ?? 8B 18 FF 93 B8 00 00 00 EB 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_37894_0 {
	meta:
		name = "TIdStackBSDBase.WSGetServByPort"
		size = 102
		refs = "000e _Dn_TStringList 0013 TStringList.Create 001e TIdStackBSDBase.WSGetServByPort 0042 @HandleAnyException 004f TObject.Free 0054 @RaiseAgain 0059 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D FC 8B D6 8B C3 8B 18 FF 93 C4 00 00 00 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41934_0 {
	meta:
		name = "TInStackBSDBase.WSGetServByPort"
		size = 102
		refs = "000e _Dn_TStringList 0013 TStringList.Create 001e TInStackBSDBase.WSGetServByPort 0042 @HandleAnyException 004f TObject.Free 0054 @RaiseAgain 0059 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D FC 8B D6 8B C3 8B 18 FF 93 C4 00 00 00 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37899_0 {
	meta:
		name = "TIdStackWindows.Create"
		size = 159
		refs = "000e @ClassCreate 001b TIdStackBSDBase.Create 0021 GStarted 002c TIdStackWindows.Create 0037 InitializeWinSock 003c InitLibrary 004b @HandleOnException 0053 _Dn_Exception 0063 _Dn_EIdStackInitializationFailed 0068 EIdException.Create 006d @RaiseExcept 0072 @DoneExcept 007f GWindowsStack 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 75 55 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 89 35 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_41939_0 {
	meta:
		name = "TInStackWindows.Create"
		size = 159
		refs = "000e @ClassCreate 001b TInStackBSDBase.Create 0021 GStarted 002c TInStackWindows.Create 0037 InitializeWinSock 003c InitLibrary 004b @HandleOnException 0053 _Dn_Exception 0063 _Dn_EInStackInitializationFailed 0068 EInException.Create 006d @RaiseExcept 0072 @DoneExcept 007f GWindowsStack 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 75 55 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 89 35 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_37901_0 {
	meta:
		name = "TIdStackWindows.Accept"
		size = 268
		refs = "001a TIdStackWindows.Accept 0035 accept 0069 TIdStackBSDBase.TranslateTInAddrToString 0074 @UStrAsg 007e ntohs 00cd closesocket 00db TIdStack.IPVersionUnsupported 00f5 @UStrArrayClr 00fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 89 4D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 1C 00 00 00 8D 45 F8 50 8D 45 DC 50 52 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 83 FB FF 0F 84 97 00 00 00 0F B7 45 DC 66 83 E8 02 74 08 66 83 E8 15 74 3C EB 71 8D 7D DC 8D 45 D8 50 8D 57 04 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC E8 ?? ?? ?? ?? 0F B7 47 02 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 55 0C 66 89 02 8B 45 08 C6 00 00 EB 4B 8D 45 D4 50 8D 55 E4 B1 01 8B C6 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC E8 ?? ?? ?? ?? 0F B7 45 DE 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 55 0C 66 89 02 8B 45 08 C6 00 01 EB 14 53 A1 ?? ?? ?? ?? 8B 00 FF D0 83 CB FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_41941_0 {
	meta:
		name = "TInStackWindows.Accept"
		size = 268
		refs = "001a TInStackWindows.Accept 0035 accept 0069 TInStackBSDBase.TranslateTInAddrToString 0074 @UStrAsg 007e ntohs 00cd closesocket 00db TInStack.IPVersionUnsupported 00f5 @UStrArrayClr 00fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 89 4D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 1C 00 00 00 8D 45 F8 50 8D 45 DC 50 52 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 83 FB FF 0F 84 97 00 00 00 0F B7 45 DC 66 83 E8 02 74 08 66 83 E8 15 74 3C EB 71 8D 7D DC 8D 45 D8 50 8D 57 04 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC E8 ?? ?? ?? ?? 0F B7 47 02 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 55 0C 66 89 02 8B 45 08 C6 00 00 EB 4B 8D 45 D4 50 8D 55 E4 B1 01 8B C6 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC E8 ?? ?? ?? ?? 0F B7 45 DE 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 55 0C 66 89 02 8B 45 08 C6 00 01 EB 14 53 A1 ?? ?? ?? ?? 8B 00 FF D0 83 CB FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_37902_0 {
	meta:
		name = "TIdStackWindows.Bind"
		size = 188
		refs = "001b @FillChar 0041 TIdStackBSDBase.TranslateStringToTInAddr 004b htons 0094 TIdStack.IPVersionUnsupported 00a2 bind 00af TIdStack.CheckForSocketError"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F9 89 55 FC 8B D8 8D 45 E0 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 0F B6 45 08 2C 01 72 04 74 35 EB 64 8D 75 E0 66 C7 06 02 00 85 FF 74 0E 6A 00 8D 4E 04 8B D7 8B C3 E8 ?? ?? ?? ?? 0F B7 45 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 66 89 46 02 BE 10 00 00 00 EB 3A 66 C7 45 E0 17 00 85 FF 74 0E 6A 01 8D 4D E8 8B D7 8B C3 E8 ?? ?? ?? ?? 0F B7 45 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 66 89 45 E2 BE 1C 00 00 00 EB 09 33 F6 8B C3 E8 ?? ?? ?? ?? 56 8D 45 E0 50 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_41942_0 {
	meta:
		name = "TInStackWindows.Bind"
		size = 188
		refs = "001b @FillChar 0041 TInStackBSDBase.TranslateStringToTInAddr 004b htons 0094 TInStack.IPVersionUnsupported 00a2 bind 00af TInStack.CheckForSocketError"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F9 89 55 FC 8B D8 8D 45 E0 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 0F B6 45 08 2C 01 72 04 74 35 EB 64 8D 75 E0 66 C7 06 02 00 85 FF 74 0E 6A 00 8D 4E 04 8B D7 8B C3 E8 ?? ?? ?? ?? 0F B7 45 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 66 89 46 02 BE 10 00 00 00 EB 3A 66 C7 45 E0 17 00 85 FF 74 0E 6A 01 8D 4D E8 8B D7 8B C3 E8 ?? ?? ?? ?? 0F B7 45 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 66 89 45 E2 BE 1C 00 00 00 EB 09 33 F6 8B C3 E8 ?? ?? ?? ?? 56 8D 45 E0 50 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_37903_0 {
	meta:
		name = "TIdStackWindows.WSCloseSocket"
		size = 11
		refs = "0002 closesocket"
		altNames = "TInStackWindows.WSCloseSocket"
	strings:
		$1 = { 52 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_37917_0 {
	meta:
		name = "TIdStackWindows.HostToNetwork"
		size = 11
		refs = "0002 htons"
	strings:
		$1 = { 52 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_37919_0 {
	meta:
		name = "TIdStackWindows.HostToNetwork"
		size = 11
		refs = "0002 htonl"
	strings:
		$1 = { 52 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_37918_0 {
	meta:
		name = "TIdStackWindows.NetworkToHost"
		size = 11
		refs = "0002 ntohs"
	strings:
		$1 = { 52 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_37920_0 {
	meta:
		name = "TIdStackWindows.NetworkToHost"
		size = 11
		refs = "0002 ntohl"
	strings:
		$1 = { 52 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_37913_0 {
	meta:
		name = "TIdStackWindows.WSSetLastError"
		size = 11
		refs = "0002 WSASetLastError"
	strings:
		$1 = { 52 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_41957_0 {
	meta:
		name = "TInStackWindows.HostToNetwork"
		size = 11
		refs = "0002 htons"
	strings:
		$1 = { 52 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_41959_0 {
	meta:
		name = "TInStackWindows.HostToNetwork"
		size = 11
		refs = "0002 htonl"
	strings:
		$1 = { 52 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_41958_0 {
	meta:
		name = "TInStackWindows.NetworkToHost"
		size = 11
		refs = "0002 ntohs"
	strings:
		$1 = { 52 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_41960_0 {
	meta:
		name = "TInStackWindows.NetworkToHost"
		size = 11
		refs = "0002 ntohl"
	strings:
		$1 = { 52 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_41953_0 {
	meta:
		name = "TInStackWindows.WSSetLastError"
		size = 11
		refs = "0002 WSASetLastError"
	strings:
		$1 = { 52 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_37904_0 {
	meta:
		name = "TIdStackWindows.HostByAddress"
		size = 501
		refs = "001f TIdStackWindows.HostByAddress 002a GIdIPv6FuncsAvailable 004c @LStrFromUStr 0054 @LStrToPChar 005a inet_addr 006e gethostbyaddr 0082 TIdStack.CheckForSocketError 0090 @UStrFromPChar 009d RSIPv6Unavailable 00a2 LoadResString 00ac _DV_EIdIPv6Unavailable 00b1 EIdException.Create 00b6 @RaiseExcept 00c2 TIdStack.IPVersionUnsupported 00e3 @FillChar 00ec IdIPFamily 0117 @UStrToPWChar 011d getaddrinfo 012e gaiErrorToWsaError 0151 @UStrSetLength 0177 getnameinfo 01a1 @UStrFromPWChar 01b7 freeaddrinfo 01c1 @HandleFinally 01d8 @UStrClr 01e0 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D FC 8B D9 89 55 F8 8B F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 38 00 0F 85 94 00 00 00 80 EB 01 72 04 74 5B EB 7F 8D 45 FC 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 89 45 F4 6A 02 6A 20 8D 45 F4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 85 DB 75 0F 83 CA FF 8B C7 E8 ?? ?? ?? ?? E9 3C 01 00 00 8B C6 8B 13 E8 ?? ?? ?? ?? E9 2E 01 00 00 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 08 01 00 00 8B C7 E8 ?? ?? ?? ?? E9 FC 00 00 00 8B C3 2C 02 72 07 8B C7 E8 ?? ?? ?? ?? 8D 45 D0 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 0F B6 C3 8B 15 ?? ?? ?? ?? 8B 04 82 89 45 D4 C7 45 D8 01 00 00 00 C7 45 D0 02 00 00 00 33 C0 89 45 F0 8D 45 F0 50 8D 45 D0 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 85 DB 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 4C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 BA 01 04 00 00 E8 ?? ?? ?? ?? 6A 04 6A 00 6A 00 68 01 04 00 00 8B 06 E8 ?? ?? ?? ?? 50 8B 45 F0 8B 40 10 50 8B 45 F0 8B 40 18 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 85 DB 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 4C 8B 06 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_41944_0 {
	meta:
		name = "TInStackWindows.HostByAddress"
		size = 501
		refs = "001f TInStackWindows.HostByAddress 002a GIdIPv6FuncsAvailable 004c @LStrFromUStr 0054 @LStrToPChar 005a inet_addr 006e gethostbyaddr 0082 TInStack.CheckForSocketError 0090 @UStrFromPChar 009d RSIPv6Unavailable 00a2 LoadResString 00ac _DV_EIdIPv6Unavailable 00b1 EInException.Create 00b6 @RaiseExcept 00c2 TInStack.IPVersionUnsupported 00e3 @FillChar 00ec IdIPFamily 0117 @UStrToPWChar 011d getaddrinfo 012e gaiErrorToWsaError 0151 @UStrSetLength 0177 getnameinfo 01a1 @UStrFromPWChar 01b7 freeaddrinfo 01c1 @HandleFinally 01d8 @UStrClr 01e0 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D FC 8B D9 89 55 F8 8B F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 38 00 0F 85 94 00 00 00 80 EB 01 72 04 74 5B EB 7F 8D 45 FC 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 89 45 F4 6A 02 6A 20 8D 45 F4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 85 DB 75 0F 83 CA FF 8B C7 E8 ?? ?? ?? ?? E9 3C 01 00 00 8B C6 8B 13 E8 ?? ?? ?? ?? E9 2E 01 00 00 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 08 01 00 00 8B C7 E8 ?? ?? ?? ?? E9 FC 00 00 00 8B C3 2C 02 72 07 8B C7 E8 ?? ?? ?? ?? 8D 45 D0 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 0F B6 C3 8B 15 ?? ?? ?? ?? 8B 04 82 89 45 D4 C7 45 D8 01 00 00 00 C7 45 D0 02 00 00 00 33 C0 89 45 F0 8D 45 F0 50 8D 45 D0 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 85 DB 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 4C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 BA 01 04 00 00 E8 ?? ?? ?? ?? 6A 04 6A 00 6A 00 68 01 04 00 00 8B 06 E8 ?? ?? ?? ?? 50 8B 45 F0 8B 40 10 50 8B 45 F0 8B 40 18 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 85 DB 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 4C 8B 06 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_37905_0 {
	meta:
		name = "TIdStackWindows.ReadHostName"
		size = 110
		refs = "000c TIdStackWindows.ReadHostName 0021 @LStrSetLength 002e @LStrToPChar 0034 gethostname 0049 @UStrFromPChar 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 33 C9 BA FA 00 00 00 E8 ?? ?? ?? ?? 68 FA 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_41945_0 {
	meta:
		name = "TInStackWindows.ReadHostName"
		size = 110
		refs = "000c TInStackWindows.ReadHostName 0021 @LStrSetLength 002e @LStrToPChar 0034 gethostname 0049 @UStrFromPChar 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 33 C9 BA FA 00 00 00 E8 ?? ?? ?? ?? 68 FA 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_37906_0 {
	meta:
		name = "TIdStackWindows.Listen"
		size = 33
		refs = "000c listen 0019 TIdStack.CheckForSocketError"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_41946_0 {
	meta:
		name = "TInStackWindows.Listen"
		size = 33
		refs = "000c listen 0019 TInStack.CheckForSocketError"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37907_0 {
	meta:
		name = "TIdStackWindows.WSRecv"
		size = 26
		refs = "000e recv"
		altNames = "TInStackWindows.WSRecv"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 8B 45 0C 50 51 52 A1 ?? ?? ?? ?? 8B 00 FF D0 5D C2 08 00 }
	condition:
		$1
}

rule function_37908_0 {
	meta:
		name = "TIdStackWindows.RecvFrom"
		size = 266
		refs = "001a TIdStackWindows.RecvFrom 0041 recvfrom 0074 TIdStackBSDBase.TranslateTInAddrToString 007f @UStrAsg 0089 ntohs 00d9 TIdStack.IPVersionUnsupported 00f3 @UStrArrayClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 89 4D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 1C 00 00 00 8D 45 F8 50 8D 45 DC 50 8B 45 14 50 8B 45 18 50 8B 45 FC 50 52 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 85 DB 0F 8C 8A 00 00 00 0F B7 45 DC 66 83 E8 02 74 08 66 83 E8 15 74 3C EB 71 8D 7D DC 8D 45 D8 50 8D 57 04 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 10 E8 ?? ?? ?? ?? 0F B7 47 02 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 55 0C 66 89 02 8B 45 08 C6 00 00 EB 3E 8D 45 D4 50 8D 55 E4 B1 01 8B C6 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 10 E8 ?? ?? ?? ?? 0F B7 45 DE 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 55 0C 66 89 02 8B 45 08 C6 00 01 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_41948_0 {
	meta:
		name = "TInStackWindows.RecvFrom"
		size = 266
		refs = "001a TInStackWindows.RecvFrom 0041 recvfrom 0074 TInStackBSDBase.TranslateTInAddrToString 007f @UStrAsg 0089 ntohs 00d9 TInStack.IPVersionUnsupported 00f3 @UStrArrayClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 89 4D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 1C 00 00 00 8D 45 F8 50 8D 45 DC 50 8B 45 14 50 8B 45 18 50 8B 45 FC 50 52 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 85 DB 0F 8C 8A 00 00 00 0F B7 45 DC 66 83 E8 02 74 08 66 83 E8 15 74 3C EB 71 8D 7D DC 8D 45 D8 50 8D 57 04 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 10 E8 ?? ?? ?? ?? 0F B7 47 02 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 55 0C 66 89 02 8B 45 08 C6 00 00 EB 3E 8D 45 D4 50 8D 55 E4 B1 01 8B C6 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 10 E8 ?? ?? ?? ?? 0F B7 45 DE 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 55 0C 66 89 02 8B 45 08 C6 00 01 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_37909_0 {
	meta:
		name = "TIdStackWindows.WSSend"
		size = 47
		refs = "0017 send 0024 TIdStack.CheckForSocketError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 57 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_41949_0 {
	meta:
		name = "TInStackWindows.WSSend"
		size = 47
		refs = "0017 send 0024 TInStack.CheckForSocketError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 57 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_37910_0 {
	meta:
		name = "TIdStackWindows.WSSendTo"
		size = 344
		refs = "0020 TIdStackWindows.WSSendTo 0035 @FillChar 0058 TIdStackBSDBase.TranslateStringToTInAddr 0062 htons 00a8 TIdStack.IPVersionUnsupported 00bf sendto 00e0 RSPackageSizeTooBig 00e5 LoadResString 00ef _Dn_EIdPackageSizeTooBig 00f4 EIdException.Create 00f9 @RaiseExcept 0102 TIdStack.RaiseLastSocketError 0110 RSNotAllBytesSent 011f _Dn_EIdNotAllBytesSent 0143 @UStrArrayClr 0149 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 89 4D F8 89 55 FC 8B F0 8B 7D 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 DC 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 0F B6 45 08 2C 01 72 04 74 32 EB 5E 8D 5D DC 66 C7 03 02 00 6A 00 8D 4B 04 8B 55 10 8B C6 E8 ?? ?? ?? ?? 0F B7 45 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 66 89 43 02 BB 10 00 00 00 EB 37 66 C7 45 DC 17 00 6A 01 8D 4D E4 8B 55 10 8B C6 E8 ?? ?? ?? ?? 0F B7 45 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 66 89 45 DE BB 1C 00 00 00 EB 09 33 DB 8B C6 E8 ?? ?? ?? ?? 53 8D 45 DC 50 8B 45 14 50 57 8B 45 F8 50 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 83 FB FF 75 3A 8B C6 8B 10 FF 52 40 3D 38 27 00 00 75 23 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2E 8B C6 E8 ?? ?? ?? ?? EB 25 3B FB 74 21 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_41950_0 {
	meta:
		name = "TInStackWindows.WSSendTo"
		size = 344
		refs = "0020 TInStackWindows.WSSendTo 0035 @FillChar 0058 TInStackBSDBase.TranslateStringToTInAddr 0062 htons 00a8 TInStack.IPVersionUnsupported 00bf sendto 00e0 RSPackageSizeTooBig 00e5 LoadResString 00ef _Dn_EIdPackageSizeTooBig 00f4 EInException.Create 00f9 @RaiseExcept 0102 TInStack.RaiseLastSocketError 0110 RSNotAllBytesSent 011f _Dn_EIdNotAllBytesSent 0143 @UStrArrayClr 0149 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 89 4D F8 89 55 FC 8B F0 8B 7D 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 DC 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 0F B6 45 08 2C 01 72 04 74 32 EB 5E 8D 5D DC 66 C7 03 02 00 6A 00 8D 4B 04 8B 55 10 8B C6 E8 ?? ?? ?? ?? 0F B7 45 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 66 89 43 02 BB 10 00 00 00 EB 37 66 C7 45 DC 17 00 6A 01 8D 4D E4 8B 55 10 8B C6 E8 ?? ?? ?? ?? 0F B7 45 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 66 89 45 DE BB 1C 00 00 00 EB 09 33 DB 8B C6 E8 ?? ?? ?? ?? 53 8D 45 DC 50 8B 45 14 50 57 8B 45 F8 50 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 83 FB FF 75 3A 8B C6 8B 10 FF 52 40 3D 38 27 00 00 75 23 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2E 8B C6 E8 ?? ?? ?? ?? EB 25 3B FB 74 21 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_37911_0 {
	meta:
		name = "TIdStackWindows.SetSocketOption"
		size = 49
		refs = "0019 setsockopt 0026 TIdStack.CheckForSocketError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 6A 04 8D 45 08 50 8B 45 0C 50 57 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_41951_0 {
	meta:
		name = "TInStackWindows.SetSocketOption"
		size = 49
		refs = "0019 setsockopt 0026 TInStack.CheckForSocketError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 6A 04 8D 45 08 50 8B 45 0C 50 57 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_37912_0 {
	meta:
		name = "TIdStackWindows.WSGetLastError"
		size = 10
		refs = "0001 WSAGetLastError"
		altNames = "TInStackWindows.WSGetLastError"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_39777_0 {
	meta:
		name = "TIdProc._ERR_get_error"
		size = 10
		refs = "0001 ERR_get_error"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_39778_0 {
	meta:
		name = "TIdProc._ERR_load_crypto_strings"
		size = 10
		refs = "0001 ERR_load_crypto_strings"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_39780_0 {
	meta:
		name = "TIdProc._OpenSSL_add_all_ciphers"
		size = 10
		refs = "0001 OpenSSL_add_all_ciphers"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_37914_0 {
	meta:
		name = "TIdStackWindows.WSSocket"
		size = 48
		refs = "0016 WSASocket 0024 socket"
		altNames = "TInStackWindows.WSSocket"
	strings:
		$1 = { 55 8B EC 8B 45 0C 80 7D 08 00 74 14 6A 01 6A 00 6A 00 50 51 52 A1 ?? ?? ?? ?? 8B 00 FF D0 EB 0C 50 51 52 A1 ?? ?? ?? ?? 8B 00 FF D0 5D C2 08 00 }
	condition:
		$1
}

rule function_37915_0 {
	meta:
		name = "TIdStackWindows.WSGetServByName"
		size = 243
		refs = "0018 TIdStackWindows.WSGetServByName 002e @LStrFromUStr 0038 @LStrToPChar 003e getservbyname 0050 ntohs 006e IndyStrToInt 007f @HandleOnException 0087 _Dn_EConvertError 00a3 RSInvalidServiceName 00a8 LoadResString 00b2 _Dn_EIdInvalidServiceName 00b7 Exception.CreateFmt 00bc @RaiseExcept 00c1 @DoneExcept 00d6 @UStrClr 00de @LStrClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D FC 89 55 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 74 12 0F B7 40 08 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 EB 69 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 47 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41955_0 {
	meta:
		name = "TInStackWindows.WSGetServByName"
		size = 243
		refs = "0018 TInStackWindows.WSGetServByName 002e @LStrFromUStr 0038 @LStrToPChar 003e getservbyname 0050 ntohs 006e IndyStrToInt 007f @HandleOnException 0087 _Dn_EConvertError 00a3 RSInvalidServiceName 00a8 LoadResString 00b2 _Dn_EIdInvalidServiceName 00b7 Exception.CreateFmt 00bc @RaiseExcept 00c1 @DoneExcept 00d6 @UStrClr 00de @LStrClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D FC 89 55 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 74 12 0F B7 40 08 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 EB 69 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 47 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37916_0 {
	meta:
		name = "TIdStackWindows.AddServByPortToList"
		size = 220
		refs = "0017 TIdStackWindows.AddServByPortToList 0025 htons 0032 getservbyport 0043 TIdStack.RaiseLastSocketError 004b TStrings.BeginUpdate 0063 @UStrFromPChar 00a7 TStrings.EndUpdate 00ad @HandleFinally 00c9 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 56 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B7 C0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B F0 85 F6 75 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 16 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 38 33 DB 8B 76 04 EB 16 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 38 43 8B 3C 9E 85 FF 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41956_0 {
	meta:
		name = "TInStackWindows.AddServByPortToList"
		size = 220
		refs = "0017 TInStackWindows.AddServByPortToList 0025 htons 0032 getservbyport 0043 TInStack.RaiseLastSocketError 004b TStrings.BeginUpdate 0063 @UStrFromPChar 00a7 TStrings.EndUpdate 00ad @HandleFinally 00c9 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 56 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B7 C0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B F0 85 F6 75 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 16 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 38 33 DB 8B 76 04 EB 16 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 38 43 8B 3C 9E 85 FF 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37921_0 {
	meta:
		name = "TIdStackWindows.HostToNetwork"
		size = 78
		refs = "0018 htonl"
		altNames = "TInStackWindows.HostToNetwork"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 8B 45 F4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 89 45 F4 89 5D F0 8B 45 F0 89 45 F8 8B 45 F4 89 45 FC 8B 45 F8 8B 55 FC 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_37922_0 {
	meta:
		name = "TIdStackWindows.NetworkToHost"
		size = 78
		refs = "0018 ntohl"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 8B 45 F4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 89 45 F4 89 5D F0 8B 45 F0 89 45 F8 8B 45 F4 89 45 FC 8B 45 F8 8B 55 FC 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_41962_0 {
	meta:
		name = "TInStackWindows.NetworkToHost"
		size = 78
		refs = "0018 ntohl"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 8B 45 F4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 89 45 F4 89 5D F0 8B 45 F0 89 45 F8 8B 45 F4 89 45 FC 8B 45 F8 8B 55 FC 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_37923_0 {
	meta:
		name = "TIdStackWindows.AddLocalAddressesToList"
		size = 503
		refs = "001f TIdStackWindows.AddLocalAddressesToList 0034 GIdIPv6FuncsAvailable 004d @LStrFromUStr 0055 @LStrToPChar 005b gethostbyname 006c TIdStack.RaiseLastSocketError 0089 TStrings.BeginUpdate 00aa TIdStackBSDBase.TranslateTInAddrToString 00d4 TStrings.EndUpdate 00da @HandleFinally 00eb @FillChar 0110 @UStrToPWChar 0116 getaddrinfo 0127 gaiErrorToWsaError 01af freeaddrinfo 01d5 @UStrArrayClr 01dd @LStrClr 01e5 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 33 C9 89 4D C4 89 4D C8 89 4D FC 89 4D F8 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 04 A1 ?? ?? ?? ?? 80 38 00 0F 85 9F 00 00 00 8D 45 F8 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 85 DB 75 07 8B C6 E8 ?? ?? ?? ?? 8B 43 0C 89 45 F0 33 DB 8B 45 F0 83 3C 98 00 0F 84 3A 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C8 50 8B 45 F0 8B 14 98 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F4 8B 08 FF 51 38 43 8B 45 F0 83 3C 98 00 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 CC 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? C7 45 D0 02 00 00 00 C7 45 D4 01 00 00 00 33 C0 89 45 EC 8D 45 EC 50 8D 45 CC 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 85 DB 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 4C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D EC 8D 45 C4 50 8B 43 18 8D 50 04 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 F4 8B 08 FF 51 38 8B 5B 1C 85 DB 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41963_0 {
	meta:
		name = "TInStackWindows.AddLocalAddressesToList"
		size = 503
		refs = "001f TInStackWindows.AddLocalAddressesToList 0034 GIdIPv6FuncsAvailable 004d @LStrFromUStr 0055 @LStrToPChar 005b gethostbyname 006c TInStack.RaiseLastSocketError 0089 TStrings.BeginUpdate 00aa TInStackBSDBase.TranslateTInAddrToString 00d4 TStrings.EndUpdate 00da @HandleFinally 00eb @FillChar 0110 @UStrToPWChar 0116 getaddrinfo 0127 gaiErrorToWsaError 01af freeaddrinfo 01d5 @UStrArrayClr 01dd @LStrClr 01e5 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 33 C9 89 4D C4 89 4D C8 89 4D FC 89 4D F8 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 04 A1 ?? ?? ?? ?? 80 38 00 0F 85 9F 00 00 00 8D 45 F8 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 85 DB 75 07 8B C6 E8 ?? ?? ?? ?? 8B 43 0C 89 45 F0 33 DB 8B 45 F0 83 3C 98 00 0F 84 3A 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C8 50 8B 45 F0 8B 14 98 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F4 8B 08 FF 51 38 43 8B 45 F0 83 3C 98 00 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 CC 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? C7 45 D0 02 00 00 00 C7 45 D4 01 00 00 00 33 C0 89 45 EC 8D 45 EC 50 8D 45 CC 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 85 DB 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 4C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D EC 8D 45 C4 50 8B 43 18 8D 50 04 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 F4 8B 08 FF 51 38 8B 5B 1C 85 DB 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37924_0 {
	meta:
		name = "TIdStackWindows.WSShutdown"
		size = 12
		refs = "0003 shutdown"
		altNames = "TInStackWindows.WSShutdown"
	strings:
		$1 = { 51 52 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_37925_0 {
	meta:
		name = "TIdStackWindows.GetSocketName"
		size = 250
		refs = "001b TIdStackWindows.GetSocketName 0036 getsockname 0043 TIdStack.CheckForSocketError 0068 TIdStackBSDBase.TranslateTInAddrToString 0072 @UStrAsg 007c ntohs 00cb TIdStack.IPVersionUnsupported 00e5 @UStrArrayClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 1C 00 00 00 8D 45 FC 50 8D 45 E0 50 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B7 45 E0 66 83 E8 02 74 08 66 83 E8 15 74 3B EB 6F 8D 75 E0 8D 45 DC 50 8D 56 04 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8B C7 E8 ?? ?? ?? ?? 0F B7 46 02 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 55 0C 66 89 02 8B 45 08 C6 00 00 EB 3D 8D 45 D8 50 8D 55 E8 B1 01 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 8B C7 E8 ?? ?? ?? ?? 0F B7 45 E2 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 55 0C 66 89 02 8B 45 08 C6 00 01 EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_37946_0 {
	meta:
		name = "TIdStackWindows.GetPeerName"
		size = 250
		refs = "001b TIdStackWindows.GetPeerName 0036 getpeername 0043 TIdStack.CheckForSocketError 0068 TIdStackBSDBase.TranslateTInAddrToString 0072 @UStrAsg 007c ntohs 00cb TIdStack.IPVersionUnsupported 00e5 @UStrArrayClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 1C 00 00 00 8D 45 FC 50 8D 45 E0 50 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B7 45 E0 66 83 E8 02 74 08 66 83 E8 15 74 3B EB 6F 8D 75 E0 8D 45 DC 50 8D 56 04 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8B C7 E8 ?? ?? ?? ?? 0F B7 46 02 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 55 0C 66 89 02 8B 45 08 C6 00 00 EB 3D 8D 45 D8 50 8D 55 E8 B1 01 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 8B C7 E8 ?? ?? ?? ?? 0F B7 45 E2 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 55 0C 66 89 02 8B 45 08 C6 00 01 EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_41986_0 {
	meta:
		name = "TInStackWindows.GetPeerName"
		size = 250
		refs = "001b TInStackWindows.GetPeerName 0036 getpeername 0043 TInStack.CheckForSocketError 0068 TInStackBSDBase.TranslateTInAddrToString 0072 @UStrAsg 007c ntohs 00cb TInStack.IPVersionUnsupported 00e5 @UStrArrayClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 1C 00 00 00 8D 45 FC 50 8D 45 E0 50 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B7 45 E0 66 83 E8 02 74 08 66 83 E8 15 74 3B EB 6F 8D 75 E0 8D 45 DC 50 8D 56 04 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8B C7 E8 ?? ?? ?? ?? 0F B7 46 02 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 55 0C 66 89 02 8B 45 08 C6 00 00 EB 3D 8D 45 D8 50 8D 55 E8 B1 01 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 8B C7 E8 ?? ?? ?? ?? 0F B7 45 E2 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 55 0C 66 89 02 8B 45 08 C6 00 01 EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_41965_0 {
	meta:
		name = "TInStackWindows.GetSocketName"
		size = 250
		refs = "001b TInStackWindows.GetSocketName 0036 getsockname 0043 TInStack.CheckForSocketError 0068 TInStackBSDBase.TranslateTInAddrToString 0072 @UStrAsg 007c ntohs 00cb TInStack.IPVersionUnsupported 00e5 @UStrArrayClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 1C 00 00 00 8D 45 FC 50 8D 45 E0 50 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B7 45 E0 66 83 E8 02 74 08 66 83 E8 15 74 3B EB 6F 8D 75 E0 8D 45 DC 50 8D 56 04 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8B C7 E8 ?? ?? ?? ?? 0F B7 46 02 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 55 0C 66 89 02 8B 45 08 C6 00 00 EB 3D 8D 45 D8 50 8D 55 E8 B1 01 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 8B C7 E8 ?? ?? ?? ?? 0F B7 45 E2 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 55 0C 66 89 02 8B 45 08 C6 00 01 EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_37926_0 {
	meta:
		name = "TIdStackWindows.WSGetSockOpt"
		size = 51
		refs = "001b getsockopt 0028 TIdStack.CheckForSocketError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_37948_0 {
	meta:
		name = "TIdStackWindows.SetSocketOption"
		size = 51
		refs = "001b setsockopt 0028 TIdStack.CheckForSocketError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_41988_0 {
	meta:
		name = "TInStackWindows.SetSocketOption"
		size = 51
		refs = "001b setsockopt 0028 TInStack.CheckForSocketError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_41966_0 {
	meta:
		name = "TInStackWindows.WSGetSockOpt"
		size = 51
		refs = "001b getsockopt 0028 TInStack.CheckForSocketError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_37927_0 {
	meta:
		name = "TIdSocketListWindows.Add"
		size = 177
		refs = "0015 TIdSocketListWindows.Add 0023 TIdSocketList.Lock 0042 RSSetSizeExceeded 0047 LoadResString 0051 _Dn_EIdStackSetSizeExceeded 0056 EIdException.Create 005b @RaiseExcept 0083 TIdSocketList.Unlock 0089 @HandleFinally 00a0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 08 40 72 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 55 FC 89 5C 82 0C 8B 45 FC FF 40 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_41967_0 {
	meta:
		name = "TIdSocketListWindows.Add"
		size = 177
		refs = "0015 TIdSocketListWindows.Add 0023 TIdSocketList.Lock 0042 RSSetSizeExceeded 0047 LoadResString 0051 _Dn_EInStackSetSizeExceeded 0056 EInException.Create 005b @RaiseExcept 0083 TIdSocketList.Unlock 0089 @HandleFinally 00a0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 08 40 72 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 55 FC 89 5C 82 0C 8B 45 FC FF 40 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_37928_0 {
	meta:
		name = "TIdSocketListWindows.Clear"
		size = 72
		refs = "000b TIdSocketList.Lock 0013 TIdSocketListWindows.Clear 0024 FD_ZERO 0039 TIdSocketList.Unlock 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_37929_0 {
	meta:
		name = "TIdSocketListWindows.ContainsSocket"
		size = 88
		refs = "0010 TIdSocketList.Lock 0018 TIdSocketListWindows.ContainsSocket 002b FD_ISSET 0043 TIdSocketList.Unlock 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8D 50 08 8B C3 E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_37930_0 {
	meta:
		name = "TIdSocketListWindows.Count"
		size = 76
		refs = "000d TIdSocketList.Lock 0015 TIdSocketListWindows.Count 0039 TIdSocketList.Unlock 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_38305_0 {
	meta:
		name = "TIdThreadSafeCardinal.GetValue"
		size = 76
		refs = "000d TIdThreadSafe.Lock 0015 TIdThreadSafeCardinal.GetValue 0039 TIdThreadSafe.Unlock 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_38283_0 {
	meta:
		name = "TIdThreadSafeInteger.GetValue"
		size = 76
		refs = "000d TIdThreadSafe.Lock 0015 TIdThreadSafeInteger.GetValue 0039 TIdThreadSafe.Unlock 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_42163_0 {
	meta:
		name = "TInThreadSafeCardinal.GetValue"
		size = 76
		refs = "000d TInThreadSafe.Lock 0015 TInThreadSafeCardinal.GetValue 0039 TInThreadSafe.Unlock 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_42141_0 {
	meta:
		name = "TInThreadSafeInteger.GetValue"
		size = 76
		refs = "000d TInThreadSafe.Lock 0015 TInThreadSafeInteger.GetValue 0039 TInThreadSafe.Unlock 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_37931_0 {
	meta:
		name = "TIdSocketListWindows.GetItem"
		size = 183
		refs = "0015 TIdSocketListWindows.GetItem 0028 TIdSocketList.Lock 0058 RSSetSizeExceeded 005d LoadResString 0067 _Dn_EIdStackSetSizeExceeded 006c EIdException.Create 0071 @RaiseExcept 0086 TIdSocketList.Unlock 008c @HandleFinally 00a3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 16 8B 45 FC 8B 40 08 3B C3 76 0C 8B 45 FC 8B 44 98 0C 89 45 F8 EB 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41971_0 {
	meta:
		name = "TIdSocketListWindows.GetItem"
		size = 183
		refs = "0015 TIdSocketListWindows.GetItem 0028 TIdSocketList.Lock 0058 RSSetSizeExceeded 005d LoadResString 0067 _Dn_EInStackSetSizeExceeded 006c EInException.Create 0071 @RaiseExcept 0086 TIdSocketList.Unlock 008c @HandleFinally 00a3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 16 8B 45 FC 8B 40 08 3B C3 76 0C 8B 45 FC 8B 44 98 0C 89 45 F8 EB 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37932_0 {
	meta:
		name = "TIdSocketListWindows.Remove"
		size = 141
		refs = "000e TIdSocketList.Lock 0016 TIdSocketListWindows.Remove 007d TIdSocketList.Unlock 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 40 08 85 C0 76 42 8B D0 4A 85 D2 7C 3B 42 33 C0 8B 4D FC 3B 5C 81 0C 75 2B 8B 55 FC FF 4A 08 8B 55 FC 8B 52 08 8B 4D FC 8B 54 91 0C 8B 4D FC 89 54 81 0C 8B 55 FC 8B 52 08 8B 4D FC 33 DB 89 5C 91 0C EB 04 40 4A 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_37933_0 {
	meta:
		name = "TIdStackWindows.WSTranslateSocketErrorMsg"
		size = 161
		refs = "001b TIdStackWindows.WSTranslateSocketErrorMsg 0039 RSStackHOST_NOT_FOUND 003e LoadResString 0054 RSStackError 0067 IndyFormat 0074 TIdStack.WSTranslateSocketErrorMsg 008e @UStrArrayClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 FB F9 2A 00 00 75 40 57 89 5D F0 C6 45 F4 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 89 45 F8 C6 45 FC 11 8D 45 F0 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? EB 0B 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41973_0 {
	meta:
		name = "TInStackWindows.WSTranslateSocketErrorMsg"
		size = 161
		refs = "001b TInStackWindows.WSTranslateSocketErrorMsg 0039 RSStackHOST_NOT_FOUND 003e LoadResString 0054 RSStackError 0067 IndyFormat 0074 TInStack.WSTranslateSocketErrorMsg 008e @UStrArrayClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 FB F9 2A 00 00 75 40 57 89 5D F0 C6 45 F4 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 89 45 F8 C6 45 FC 11 8D 45 F0 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? EB 0B 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37934_0 {
	meta:
		name = "TIdSocketListWindows.SelectRead"
		size = 53
		refs = "0011 TIdSocketListWindows.GetFDSet 0021 TIdSocketListWindows.FDSelect"
	strings:
		$1 = { 53 56 81 C4 FC FE FF FF 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 6A 00 56 8D 54 24 08 33 C9 8B 03 E8 ?? ?? ?? ?? 83 3C 24 00 0F 97 C0 81 C4 04 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_37935_0 {
	meta:
		name = "TIdSocketListWindows.FDSelect"
		size = 106
		refs = "0044 select 004f GBSDStack 0058 TIdStack.CheckForSocketError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F2 8B 5D 08 83 FB FE 75 04 33 C0 EB 23 8B C3 BF E8 03 00 00 99 F7 FF 89 45 F8 8B C3 BB E8 03 00 00 99 F7 FB 69 C2 E8 03 00 00 89 45 FC 8D 45 F8 50 8B 45 0C 50 51 56 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_41975_0 {
	meta:
		name = "TIdSocketListWindows.FDSelect"
		size = 106
		refs = "0044 select 004f GBSDStack 0058 TInStack.CheckForSocketError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F2 8B 5D 08 83 FB FE 75 04 33 C0 EB 23 8B C3 BF E8 03 00 00 99 F7 FF 89 45 F8 8B C3 BB E8 03 00 00 99 F7 FB 69 C2 E8 03 00 00 89 45 FC 8D 45 F8 50 8B 45 0C 50 51 56 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_37936_0 {
	meta:
		name = "TIdSocketListWindows.SelectReadList"
		size = 89
		refs = "0014 TIdSocketListWindows.GetFDSet 0024 TIdSocketListWindows.FDSelect 0039 _Dn_TIdSocketList 003e TIdSocketList.CreateSocketList 0049 TIdSocketListWindows.SetFDSet"
	strings:
		$1 = { 53 56 57 81 C4 FC FE FF FF 8B F9 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 6A 00 57 8D 54 24 08 33 C9 8B 03 E8 ?? ?? ?? ?? 83 3C 24 00 0F 97 C3 84 DB 74 1A 83 3E 00 75 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 06 8B D4 8B 06 E8 ?? ?? ?? ?? 8B C3 81 C4 04 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37937_0 {
	meta:
		name = "ReadSet"
		size = 29
		refs = "000d TIdSocketListWindows.GetFDSet"
	strings:
		$1 = { 53 56 8B F1 8B DA 85 C0 74 0C 8B D3 E8 ?? ?? ?? ?? 89 1E 5E 5B C3 33 C0 89 06 5E 5B C3 }
	condition:
		$1
}

rule function_37938_0 {
	meta:
		name = "TIdSocketListWindows.Select"
		size = 159
		refs = "0022 ReadSet 0058 TIdSocketListWindows.FDSelect 006c TIdSocketListWindows.SetFDSet"
	strings:
		$1 = { 55 8B EC 81 C4 E0 FC FF FF 53 56 57 8B F1 8B DA 89 45 FC 8B 7D 0C 8D 4D F4 8D 95 E8 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 8D 95 E4 FD FF FF 8B C6 E8 ?? ?? ?? ?? 8D 4D EC 8D 95 E0 FC FF FF 8B C7 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 08 50 8B 4D F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 85 DB 74 0D 8D 95 E8 FE FF FF 8B C3 E8 ?? ?? ?? ?? 85 F6 74 0D 8D 95 E4 FD FF FF 8B C6 E8 ?? ?? ?? ?? 85 FF 74 0D 8D 95 E0 FC FF FF 8B C7 E8 ?? ?? ?? ?? 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_37939_0 {
	meta:
		name = "TIdSocketListWindows.SetFDSet"
		size = 84
		refs = "0010 TIdSocketList.Lock 0018 TIdSocketListWindows.SetFDSet 0042 TIdSocketList.Unlock 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B F3 8D 78 08 B9 41 00 00 00 F3 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37940_0 {
	meta:
		name = "TIdSocketListWindows.GetFDSet"
		size = 84
		refs = "0010 TIdSocketList.Lock 0018 TIdSocketListWindows.GetFDSet 0042 TIdSocketList.Unlock 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8D 70 08 8B FB B9 41 00 00 00 F3 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_37941_0 {
	meta:
		name = "TIdStackWindows.SetBlocking"
		size = 45
		refs = "0018 ioctlsocket 0025 TIdStack.CheckForSocketError"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 80 F1 01 0F B6 C1 89 04 24 54 68 7E 66 04 80 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_41981_0 {
	meta:
		name = "TInStackWindows.SetBlocking"
		size = 45
		refs = "0018 ioctlsocket 0025 TInStack.CheckForSocketError"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 80 F1 01 0F B6 C1 89 04 24 54 68 7E 66 04 80 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_37942_0 {
	meta:
		name = "TIdSocketListWindows.Clone"
		size = 154
		refs = "000f _DV_TIdSocketListWindows 0014 TIdSocketList.Create 001f TIdSocketListWindows.Clone 002d TIdSocketList.Lock 0049 TIdSocketListWindows.SetFDSet 005e TIdSocketList.Unlock 0064 @HandleFinally 0075 @HandleAnyException 0082 TObject.Free 0087 @RaiseAgain 008c @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8D 50 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_37943_0 {
	meta:
		name = "TIdStackWindows.WouldBlock"
		size = 39
		refs = "001a TIdStack.CheckForSocketError"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 6A 00 C7 44 24 04 33 27 00 00 8D 4C 24 04 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5A 5E 5B C3 }
	condition:
		$1
}

rule function_41983_0 {
	meta:
		name = "TInStackWindows.WouldBlock"
		size = 39
		refs = "001a TInStack.CheckForSocketError"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 6A 00 C7 44 24 04 33 27 00 00 8D 4C 24 04 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5A 5E 5B C3 }
	condition:
		$1
}

rule function_37944_0 {
	meta:
		name = "TIdStackWindows.HostByName"
		size = 460
		refs = "001b TIdStackWindows.HostByName 0026 GIdIPv6FuncsAvailable 004a @LStrFromUStr 0052 @LStrToPChar 0058 gethostbyname 0069 TIdStack.RaiseLastSocketError 0099 TIdStackBSDBase.TranslateTInAddrToString 00a6 RSIPv6Unavailable 00ab LoadResString 00b5 _DV_EIdIPv6Unavailable 00ba EIdException.Create 00bf @RaiseExcept 00cb TIdStack.IPVersionUnsupported 00ec @FillChar 00f5 IdIPFamily 0118 @UStrToPWChar 011e getaddrinfo 012f gaiErrorToWsaError 018e freeaddrinfo 0198 @HandleFinally 01af @UStrClr 01b7 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D FC 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 38 00 0F 85 A1 00 00 00 80 EB 01 72 07 74 68 E9 89 00 00 00 8D 45 FC 8B D7 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 85 DB 75 07 8B C6 E8 ?? ?? ?? ?? 8B 43 0C 8B 00 0F B6 10 88 55 F8 0F B6 50 01 88 55 F9 0F B6 50 02 88 55 FA 0F B6 40 03 88 45 FB 8B 45 08 50 8D 55 F8 33 C9 8B C6 E8 ?? ?? ?? ?? E9 FC 00 00 00 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D6 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 CA 00 00 00 8B C3 2C 02 72 07 8B C6 E8 ?? ?? ?? ?? 8D 45 D4 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 0F B6 C3 8B 15 ?? ?? ?? ?? 8B 04 82 89 45 D8 C7 45 DC 01 00 00 00 33 C0 89 45 F4 8D 45 F4 50 8D 45 D4 50 6A 00 8B C7 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B F8 85 FF 74 10 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 4C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 75 18 8B 45 08 50 8B CB 8B 45 F4 8B 40 18 8D 50 04 8B C6 E8 ?? ?? ?? ?? EB 16 8B 45 08 50 8B CB 8B 45 F4 8B 40 18 8D 50 08 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_41984_0 {
	meta:
		name = "TInStackWindows.HostByName"
		size = 460
		refs = "001b TInStackWindows.HostByName 0026 GIdIPv6FuncsAvailable 004a @LStrFromUStr 0052 @LStrToPChar 0058 gethostbyname 0069 TInStack.RaiseLastSocketError 0099 TInStackBSDBase.TranslateTInAddrToString 00a6 RSIPv6Unavailable 00ab LoadResString 00b5 _DV_EIdIPv6Unavailable 00ba EInException.Create 00bf @RaiseExcept 00cb TInStack.IPVersionUnsupported 00ec @FillChar 00f5 IdIPFamily 0118 @UStrToPWChar 011e getaddrinfo 012f gaiErrorToWsaError 018e freeaddrinfo 0198 @HandleFinally 01af @UStrClr 01b7 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D FC 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 38 00 0F 85 A1 00 00 00 80 EB 01 72 07 74 68 E9 89 00 00 00 8D 45 FC 8B D7 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D8 85 DB 75 07 8B C6 E8 ?? ?? ?? ?? 8B 43 0C 8B 00 0F B6 10 88 55 F8 0F B6 50 01 88 55 F9 0F B6 50 02 88 55 FA 0F B6 40 03 88 45 FB 8B 45 08 50 8D 55 F8 33 C9 8B C6 E8 ?? ?? ?? ?? E9 FC 00 00 00 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D6 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 CA 00 00 00 8B C3 2C 02 72 07 8B C6 E8 ?? ?? ?? ?? 8D 45 D4 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 0F B6 C3 8B 15 ?? ?? ?? ?? 8B 04 82 89 45 D8 C7 45 DC 01 00 00 00 33 C0 89 45 F4 8D 45 F4 50 8D 45 D4 50 6A 00 8B C7 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B F8 85 FF 74 10 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 4C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 75 18 8B 45 08 50 8B CB 8B 45 F4 8B 40 18 8D 50 04 8B C6 E8 ?? ?? ?? ?? EB 16 8B 45 08 50 8B CB 8B 45 F4 8B 40 18 8D 50 08 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_37945_0 {
	meta:
		name = "TIdStackWindows.Connect"
		size = 179
		refs = "001b @FillChar 003e TIdStackBSDBase.TranslateStringToTInAddr 0048 htons 008e TIdStack.IPVersionUnsupported 0099 connect 00a6 TIdStack.CheckForSocketError"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D FC 8B FA 8B D8 8D 45 E0 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 0F B6 45 08 2C 01 72 04 74 32 EB 5E 8D 75 E0 66 C7 06 02 00 6A 00 8D 4E 04 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B7 45 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 66 89 46 02 BE 10 00 00 00 EB 37 66 C7 45 E0 17 00 6A 01 8D 4D E8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B7 45 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 66 89 45 E2 BE 1C 00 00 00 EB 09 33 F6 8B C3 E8 ?? ?? ?? ?? 56 8D 45 E0 50 57 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_41985_0 {
	meta:
		name = "TInStackWindows.Connect"
		size = 179
		refs = "001b @FillChar 003e TInStackBSDBase.TranslateStringToTInAddr 0048 htons 008e TInStack.IPVersionUnsupported 0099 connect 00a6 TInStack.CheckForSocketError"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D FC 8B FA 8B D8 8D 45 E0 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 0F B6 45 08 2C 01 72 04 74 32 EB 5E 8D 75 E0 66 C7 06 02 00 6A 00 8D 4E 04 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B7 45 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 66 89 46 02 BE 10 00 00 00 EB 37 66 C7 45 E0 17 00 6A 01 8D 4D E8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B7 45 0C 50 A1 ?? ?? ?? ?? 8B 00 FF D0 66 89 45 E2 BE 1C 00 00 00 EB 09 33 F6 8B C3 E8 ?? ?? ?? ?? 56 8D 45 E0 50 57 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_37947_0 {
	meta:
		name = "TIdStackWindows.Disconnect"
		size = 40
		altNames = "TInStackWindows.Disconnect"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 B9 01 00 00 00 8B D6 8B C3 8B 38 FF 97 B0 00 00 00 8B D6 8B C3 8B 08 FF 91 A4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37949_0 {
	meta:
		name = "TIdStackWindows.GetSocketOption"
		size = 63
		altNames = "TInStackWindows.GetSocketOption"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B F0 8D 7D F4 C7 45 F8 04 00 00 00 8B 45 0C 50 57 8D 45 F8 50 8B 4D FC 8B C6 8B 18 FF 93 D4 00 00 00 8B 45 08 8B 55 F4 89 10 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_37950_0 {
	meta:
		name = "TIdStackWindows.SupportsIPv6"
		size = 158
		refs = "0019 WSAEnumProtocols 002e @GetMem 0039 TIdStackWindows.SupportsIPv6 0089 @FreeMem 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 C6 45 FF 00 33 C0 89 45 F8 8D 45 F8 50 6A 00 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 40 75 71 83 7D F8 00 76 6B 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 8D 45 F8 50 8B 45 F4 50 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 7E 1E 8B 55 F4 48 85 C0 7C 16 40 83 7A 4C 17 75 06 C6 45 FF 01 EB 09 81 C2 74 02 00 00 48 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_41990_0 {
	meta:
		name = "TInStackWindows.SupportsIPv6"
		size = 158
		refs = "0019 WSAEnumProtocols 002e @GetMem 0039 TInStackWindows.SupportsIPv6 0089 @FreeMem 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 C6 45 FF 00 33 C0 89 45 F8 8D 45 F8 50 6A 00 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 40 75 71 83 7D F8 00 76 6B 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 8D 45 F8 50 8B 45 F4 50 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 7E 1E 8B 55 F4 48 85 C0 7C 16 40 83 7A 4C 17 75 06 C6 45 FF 01 EB 09 81 C2 74 02 00 00 48 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37951_0 {
	meta:
		name = "TIdStackWindows.IOControl"
		size = 22
		refs = "000a ioctlsocket"
		altNames = "TInStackWindows.IOControl"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 51 52 A1 ?? ?? ?? ?? 8B 00 FF D0 5D C2 04 00 }
	condition:
		$1
}

rule function_37952_0 {
	meta:
		name = "TIdStackWindows.WSQuerryIPv6Route"
		size = 186
		refs = "0020 @FillChar 003a TIdStackBSDBase.TranslateStringToTInAddr 004d Move 0057 htons 0090 WSAIoctl 009d TIdStack.CheckForSocketError"
	strings:
		$1 = { 55 8B EC 81 C4 60 FF FF FF 53 56 57 8B F1 8B FA 8B D8 8D 85 60 FF FF FF 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 66 C7 85 60 FF FF FF 17 00 6A 01 8D 8D 68 FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8D 85 68 FF FF FF B9 10 00 00 00 E8 ?? ?? ?? ?? 0F B7 45 10 50 A1 ?? ?? ?? ?? 8B 00 FF D0 66 89 85 62 FF FF FF 8D B5 7C FF FF FF 6A 00 6A 00 8D 45 FC 50 68 80 00 00 00 8D 85 7C FF FF FF 50 6A 1C 8D 85 60 FF FF FF 50 68 14 00 00 C8 57 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 55 0C 8D 46 08 B9 10 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_41992_0 {
	meta:
		name = "TInStackWindows.WSQuerryIPv6Route"
		size = 186
		refs = "0020 @FillChar 003a TInStackBSDBase.TranslateStringToTInAddr 004d Move 0057 htons 0090 WSAIoctl 009d TInStack.CheckForSocketError"
	strings:
		$1 = { 55 8B EC 81 C4 60 FF FF FF 53 56 57 8B F1 8B FA 8B D8 8D 85 60 FF FF FF 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 66 C7 85 60 FF FF FF 17 00 6A 01 8D 8D 68 FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8D 85 68 FF FF FF B9 10 00 00 00 E8 ?? ?? ?? ?? 0F B7 45 10 50 A1 ?? ?? ?? ?? 8B 00 FF D0 66 89 85 62 FF FF FF 8D B5 7C FF FF FF 6A 00 6A 00 8D 45 FC 50 68 80 00 00 00 8D 85 7C FF FF FF 50 6A 1C 8D 85 60 FF FF FF 50 68 14 00 00 C8 57 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 55 0C 8D 46 08 B9 10 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_37953_0 {
	meta:
		name = "TIdStackWindows.WriteChecksum"
		size = 87
		refs = "0022 HostToLittleEndian 002c CopyTIdWord 0044 TIdStackWindows.WriteChecksumIPv6 004d TIdStack.IPVersionUnsupported"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 0F B6 45 08 2C 01 72 04 74 1F EB 35 8B 16 8B C3 8B 08 FF 91 98 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B 4D 14 E8 ?? ?? ?? ?? EB 1F 8B 45 14 50 8B 45 10 50 0F B7 45 0C 50 8B CE 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_41993_0 {
	meta:
		name = "TInStackWindows.WriteChecksum"
		size = 87
		refs = "0022 HostToLittleEndian 002c CopyTIdWord 0044 TInStackWindows.WriteChecksumIPv6 004d TInStack.IPVersionUnsupported"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 0F B6 45 08 2C 01 72 04 74 1F EB 35 8B 16 8B C3 8B 08 FF 91 98 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B 4D 14 E8 ?? ?? ?? ?? EB 1F 8B 45 14 50 8B 45 10 50 0F B7 45 0C 50 8B CE 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_37954_0 {
	meta:
		name = "TIdStackWindows.WriteChecksumIPv6"
		size = 312
		refs = "0019 TIdStackWindows.WriteChecksumIPv6 0039 TIdStackWindows.WSQuerryIPv6Route 0040 @DynArrayLength 0052 TArray<System.Byte> 0057 @DynArraySetLength 006a Move 0094 GStack 00a8 CopyTIdLongWord 00bc @FillChar 00e8 CopyTIdBytes 00fe HostToLittleEndian 0108 CopyTIdWord 0123 @DynArrayClear 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D FC 8B F1 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 45 08 50 8D 45 E4 50 8D 45 D4 50 8B 4D 0C 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 83 C0 28 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8D 45 E4 B9 1C 00 00 00 E8 ?? ?? ?? ?? BB 1C 00 00 00 8B 45 FC 8D 14 18 8D 45 D4 B9 1C 00 00 00 E8 ?? ?? ?? ?? 83 C3 1C 8B 06 E8 ?? ?? ?? ?? 89 45 F4 A1 ?? ?? ?? ?? 8B 00 8B 55 F4 8B 08 FF 51 30 8D 55 FC 8B CB E8 ?? ?? ?? ?? 83 C3 04 8B 45 FC 03 C3 33 C9 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C3 03 8B 45 FC C6 04 18 3A 43 8B 06 C6 40 02 00 8B 06 C6 40 03 00 53 8B 06 E8 ?? ?? ?? ?? 50 8D 4D FC 8B 06 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 91 98 00 00 00 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 4D 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_41994_0 {
	meta:
		name = "TInStackWindows.WriteChecksumIPv6"
		size = 312
		refs = "0019 TInStackWindows.WriteChecksumIPv6 0039 TInStackWindows.WSQuerryIPv6Route 0040 @DynArrayLength 0052 TArray<System.Byte> 0057 @DynArraySetLength 006a Move 0094 GStack 00a8 CopyTIdLongWord 00bc @FillChar 00e8 CopyTIdBytes 00fe HostToLittleEndian 0108 CopyTIdWord 0123 @DynArrayClear 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D FC 8B F1 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 45 08 50 8D 45 E4 50 8D 45 D4 50 8B 4D 0C 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 83 C0 28 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8D 45 E4 B9 1C 00 00 00 E8 ?? ?? ?? ?? BB 1C 00 00 00 8B 45 FC 8D 14 18 8D 45 D4 B9 1C 00 00 00 E8 ?? ?? ?? ?? 83 C3 1C 8B 06 E8 ?? ?? ?? ?? 89 45 F4 A1 ?? ?? ?? ?? 8B 00 8B 55 F4 8B 08 FF 51 30 8D 55 FC 8B CB E8 ?? ?? ?? ?? 83 C3 04 8B 45 FC 03 C3 33 C9 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C3 03 8B 45 FC C6 04 18 3A 43 8B 06 C6 40 02 00 8B 06 C6 40 03 00 53 8B 06 E8 ?? ?? ?? ?? 50 8D 4D FC 8B 06 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 91 98 00 00 00 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 4D 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_37955_0 {
	meta:
		name = "TIdStackWindows.ReceiveMsg"
		size = 700
		refs = "002c TIdStackWindows.ReceiveMsg 0037 Win32MajorVersion 004f Win32MinorVersion 005f @DynArrayLength 0064 WSA_CMSG_LEN 007a TArray<System.Byte> 007f @DynArraySetLength 00a0 @FillChar 00d8 WSARecvMsg 00e6 TIdStack.CheckForSocketError 00ed TIdPacketInfo.Reset 0113 TIdStackBSDBase.TranslateTInAddrToString 011e @UStrAsg 0128 ntohs 0177 TIdStack.IPVersionUnsupported 0183 WSA_CMSG_NXTHDR 01b5 WSA_CMSG_DATA 028e @UStrArrayClr 029c @DynArrayClear 02a4 @UStrClr 02aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 DB 89 5D 98 89 5D 9C 89 5D A0 89 5D A4 89 5D FC 89 5D F8 8B D9 89 55 F0 89 45 F4 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 05 7F 1C A1 ?? ?? ?? ?? 83 38 05 0F 85 D9 01 00 00 A1 ?? ?? ?? ?? 83 38 01 0F 8C CB 01 00 00 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 57 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 E8 ?? ?? ?? ?? 89 45 E1 8B 03 89 45 E5 8D 45 A9 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 8D 45 E1 89 45 B1 C7 45 B5 01 00 00 00 89 7D B9 8B 45 F8 89 45 BD 8D 45 C5 89 45 A9 C7 45 AD 1C 00 00 00 6A 00 6A 00 8D 45 EC 50 8D 45 A9 50 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B7 45 C5 66 83 E8 02 74 08 66 83 E8 15 74 39 EB 6B 8D 5D C5 8D 45 A4 50 8D 53 04 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 A4 8D 46 04 E8 ?? ?? ?? ?? 0F B7 43 02 50 A1 ?? ?? ?? ?? 8B 00 FF D0 66 89 46 08 C6 46 10 00 EB 41 8D 45 A0 50 8D 55 CD B1 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 A0 8D 46 04 E8 ?? ?? ?? ?? 0F B7 45 C7 50 A1 ?? ?? ?? ?? 8B 00 FF D0 66 89 46 08 C6 46 10 01 EB 0D 33 C0 89 45 EC 8B 45 F4 E8 ?? ?? ?? ?? 33 DB 8D 45 A9 8B D3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 E7 00 00 00 8B 43 08 83 E8 13 74 07 83 E8 02 74 77 EB DD 0F B7 45 C5 66 83 E8 02 74 08 66 83 E8 15 74 32 EB CB 8B C3 E8 ?? ?? ?? ?? 8B F8 8D 45 9C 50 8B D7 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 9C 8D 46 14 E8 ?? ?? ?? ?? 8B 47 04 89 46 1C C6 46 20 00 EB 9B 8B C3 E8 ?? ?? ?? ?? 8B F8 8D 45 98 50 8B D7 B1 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 98 8D 46 14 E8 ?? ?? ?? ?? 8B 47 10 89 46 1C C6 46 20 01 E9 68 FF FF FF 8B C3 E8 ?? ?? ?? ?? 0F B6 00 88 46 21 E9 56 FF FF FF 8B 03 E8 ?? ?? ?? ?? 50 6A 00 8D 45 FC 50 8D 45 EA 50 8D 45 E9 50 8B CB 8B 55 F0 8B 45 F4 8B 18 FF 93 C8 00 00 00 89 45 EC 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 0F B7 45 EA 66 89 46 08 0F B6 45 E9 88 46 10 0F B6 45 E9 88 46 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B 45 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_41995_0 {
	meta:
		name = "TInStackWindows.ReceiveMsg"
		size = 700
		refs = "002c TInStackWindows.ReceiveMsg 0037 Win32MajorVersion 004f Win32MinorVersion 005f @DynArrayLength 0064 WSA_CMSG_LEN 007a TArray<System.Byte> 007f @DynArraySetLength 00a0 @FillChar 00d8 WSARecvMsg 00e6 TInStack.CheckForSocketError 00ed TIdPacketInfo.Reset 0113 TInStackBSDBase.TranslateTInAddrToString 011e @UStrAsg 0128 ntohs 0177 TInStack.IPVersionUnsupported 0183 WSA_CMSG_NXTHDR 01b5 WSA_CMSG_DATA 028e @UStrArrayClr 029c @DynArrayClear 02a4 @UStrClr 02aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 DB 89 5D 98 89 5D 9C 89 5D A0 89 5D A4 89 5D FC 89 5D F8 8B D9 89 55 F0 89 45 F4 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 05 7F 1C A1 ?? ?? ?? ?? 83 38 05 0F 85 D9 01 00 00 A1 ?? ?? ?? ?? 83 38 01 0F 8C CB 01 00 00 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 57 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 E8 ?? ?? ?? ?? 89 45 E1 8B 03 89 45 E5 8D 45 A9 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 8D 45 E1 89 45 B1 C7 45 B5 01 00 00 00 89 7D B9 8B 45 F8 89 45 BD 8D 45 C5 89 45 A9 C7 45 AD 1C 00 00 00 6A 00 6A 00 8D 45 EC 50 8D 45 A9 50 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B7 45 C5 66 83 E8 02 74 08 66 83 E8 15 74 39 EB 6B 8D 5D C5 8D 45 A4 50 8D 53 04 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 A4 8D 46 04 E8 ?? ?? ?? ?? 0F B7 43 02 50 A1 ?? ?? ?? ?? 8B 00 FF D0 66 89 46 08 C6 46 10 00 EB 41 8D 45 A0 50 8D 55 CD B1 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 A0 8D 46 04 E8 ?? ?? ?? ?? 0F B7 45 C7 50 A1 ?? ?? ?? ?? 8B 00 FF D0 66 89 46 08 C6 46 10 01 EB 0D 33 C0 89 45 EC 8B 45 F4 E8 ?? ?? ?? ?? 33 DB 8D 45 A9 8B D3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 E7 00 00 00 8B 43 08 83 E8 13 74 07 83 E8 02 74 77 EB DD 0F B7 45 C5 66 83 E8 02 74 08 66 83 E8 15 74 32 EB CB 8B C3 E8 ?? ?? ?? ?? 8B F8 8D 45 9C 50 8B D7 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 9C 8D 46 14 E8 ?? ?? ?? ?? 8B 47 04 89 46 1C C6 46 20 00 EB 9B 8B C3 E8 ?? ?? ?? ?? 8B F8 8D 45 98 50 8B D7 B1 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 98 8D 46 14 E8 ?? ?? ?? ?? 8B 47 10 89 46 1C C6 46 20 01 E9 68 FF FF FF 8B C3 E8 ?? ?? ?? ?? 0F B6 00 88 46 21 E9 56 FF FF FF 8B 03 E8 ?? ?? ?? ?? 50 6A 00 8D 45 FC 50 8D 45 EA 50 8D 45 E9 50 8B CB 8B 55 F0 8B 45 F4 8B 18 FF 93 C8 00 00 00 89 45 EC 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 0F B7 45 EA 66 89 46 08 0F B6 45 E9 88 46 10 0F B6 45 E9 88 46 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B 45 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_37956_0 {
	meta:
		name = "TIdStackWindows.CheckIPVersionSupport"
		size = 62
		refs = "000d IdIPFamily"
		altNames = "TInStackWindows.CheckIPVersionSupport"
	strings:
		$1 = { 53 56 8B F0 6A 00 6A 00 0F B6 C2 8B 15 ?? ?? ?? ?? 8B 14 82 B9 01 00 00 00 8B C6 8B 18 FF 93 D0 00 00 00 83 F8 FF 0F 95 C3 84 DB 74 0C 8B D0 8B C6 8B 08 FF 91 A4 00 00 00 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_37957_0 {
	meta:
		name = "ServeFile"
		size = 238
		refs = "002f @UStrToPWChar 0035 CreateFile 004a ServeFile 0064 TransmitFile 0072 GetFileSizeEx 008c @TryFinallyExit 009b GetFileSize 00a9 GetLastError 00d6 CloseHandle 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B DA 8B F0 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 6A 00 68 80 00 00 08 6A 03 6A 00 6A 01 68 00 00 00 80 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 FF 0F 84 9C 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 F4 50 56 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 74 54 83 3D ?? ?? ?? ?? 00 74 19 8D 45 E8 50 8B 45 F4 50 FF 15 ?? ?? ?? ?? 85 C0 75 2D E8 ?? ?? ?? ?? EB 50 8D 45 EC 50 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 FF 75 10 E8 ?? ?? ?? ?? 85 C0 74 07 E8 ?? ?? ?? ?? EB 2A 8B 45 E8 89 45 F8 8B 45 EC 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 F8 8B 55 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_37958_0 {
	meta:
		name = "TIdStackWindows.SetKeepAliveValues"
		size = 123
		refs = "0014 Win32MajorVersion 0049 WSAIoctl 005f iif"
		altNames = "TInStackWindows.SetKeepAliveValues"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D9 8B FA 8B F0 84 DB 74 40 A1 ?? ?? ?? ?? 83 38 05 7C 36 C7 45 F0 01 00 00 00 8B 45 0C 89 45 F4 8B 45 08 89 45 F8 6A 00 6A 00 8D 45 FC 50 6A 00 6A 00 6A 0C 8D 45 F0 50 68 04 00 00 98 57 A1 ?? ?? ?? ?? 8B 00 FF D0 EB 1F 6A 08 33 C9 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 B9 FF FF 00 00 8B D7 8B C6 8B 18 FF 53 68 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_37959_0 {
	meta:
		name = "Finalization"
		size = 35
		refs = "0002 _DV_4 000a GStarted 0012 CloseLibrary 0017 UninitializeWinSock"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 1A 80 3D ?? ?? ?? ?? 00 74 11 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 C3 }
	condition:
		$1
}

rule function_37960_0 {
	meta:
		name = "IdStackWindows"
		size = 136
		refs = "0002 _DV_4 000b GStarted 0011 GSocketListClass 0017 _DV_TIdSocketListWindows 001e Win32Platform 0028 IdStackWindows 0032 GetModuleHandle 0038 GetProcAddress 003d GetFileSizeEx 0042 GServeFileProc 0048 ServeFile"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 43 C6 05 ?? ?? ?? ?? 00 A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 A1 ?? ?? ?? ?? 83 38 02 75 25 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 00 00 00 47 00 65 00 74 00 46 00 69 00 6C 00 65 00 53 00 69 00 7A 00 65 00 45 00 78 00 00 00 4B 00 65 00 72 00 6E 00 65 00 6C 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_42000_0 {
	meta:
		name = "InStackWindows"
		size = 136
		refs = "0002 _DV_4 000b GStarted 0011 GSocketListClass 0017 _DV_TIdSocketListWindows 001e Win32Platform 0028 InStackWindows 0032 GetModuleHandle 0038 GetProcAddress 003d GetFileSizeEx 0042 GServeFileProc 0048 ServeFile"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 43 C6 05 ?? ?? ?? ?? 00 A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 A1 ?? ?? ?? ?? 83 38 02 75 25 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 00 00 00 47 00 65 00 74 00 46 00 69 00 6C 00 65 00 53 00 69 00 7A 00 65 00 45 00 78 00 00 00 4B 00 65 00 72 00 6E 00 65 00 6C 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_37963_0 {
	meta:
		name = "TIdStreamHelperVCL.ReadBytes"
		size = 149
		refs = "0026 TArray<System.Byte> 002b @DynArraySetLength 0046 TStream.GetPosition 0053 @DynArrayLength"
		altNames = "TInStreamHelperVCL.ReadBytes"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 89 55 FC 8B 7D 08 33 C0 89 45 F8 83 3E 00 75 17 6A 00 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 5D 0C 85 DB 7D 13 8B 45 FC 8B 10 FF 12 8B D8 8B 45 FC E8 ?? ?? ?? ?? 2B D8 85 DB 74 39 8B 06 E8 ?? ?? ?? ?? 8D 14 3B 3B C2 7D 19 8D 04 3B 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 06 8D 14 38 8B CB 8B 45 FC 8B 18 FF 53 0C 89 45 F8 8B 45 F8 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_37964_0 {
	meta:
		name = "TIdStreamHelperVCL.Write"
		size = 61
		refs = "001a IndyLength"
		altNames = "TInStreamHelperVCL.Write"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 89 55 FC 33 F6 85 DB 74 23 8B 4D 08 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 12 8B 55 08 8D 14 13 8B C8 8B 45 FC 8B 18 FF 53 10 8B F0 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_37965_0 {
	meta:
		name = "TIdStreamHelperVCL.Seek"
		size = 38
		altNames = "TInStreamHelperVCL.Seek"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8B C1 92 8B 08 FF 51 18 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_37968_0 {
	meta:
		name = "StrHtmlEncode"
		size = 380
		refs = "0013 StrHtmlEncode 0033 StringReplace 005a @UStrAsg 00c2 @UStrArrayClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 53 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F4 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 01 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 26 00 61 00 6D 00 70 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 6C 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 67 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_37969_0 {
	meta:
		name = "StrHtmlDecode"
		size = 380
		refs = "0013 StrHtmlDecode 0033 StringReplace 005a @UStrAsg 00c2 @UStrArrayClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 53 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F4 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 67 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 6C 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 26 00 61 00 6D 00 70 00 3B 00 00 00 }
	condition:
		$1
}

rule function_37970_0 {
	meta:
		name = "StrXHtmlEncode"
		size = 464
		refs = "0013 StrXHtmlEncode 0033 StringReplace 005a @UStrAsg 00e9 @UStrArrayClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 53 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F4 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F0 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 26 00 61 00 6D 00 70 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 6C 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 67 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 61 00 70 00 6F 00 73 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 }
	condition:
		$1
}

rule function_37971_0 {
	meta:
		name = "StrXHtmlDecode"
		size = 464
		refs = "0013 StrXHtmlDecode 0033 StringReplace 005a @UStrAsg 00e9 @UStrArrayClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 53 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F4 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F0 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 61 00 70 00 6F 00 73 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 67 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 6C 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 26 00 61 00 6D 00 70 00 3B 00 00 00 }
	condition:
		$1
}

rule function_37972_0 {
	meta:
		name = "BinToHexStr"
		size = 131
		refs = "0011 BinToHexStr 0027 IdHexDigits 0030 @UStrFromWChar 0057 @UStrCat3 0071 @UStrArrayClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC B2 0F 22 D3 0F B6 D2 8B 0D ?? ?? ?? ?? 0F B7 14 51 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 0F B6 D3 C1 EA 04 8B 0D ?? ?? ?? ?? 0F B7 14 51 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_37973_0 {
	meta:
		name = "IsWhiteString"
		size = 88
		refs = "0023 IsWhiteString 002c CharIsInSet"
	strings:
		$1 = { 53 56 57 55 8B F8 B3 01 8B C7 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 25 8B E8 85 ED 7E 1F BE 01 00 00 00 B9 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 04 46 4D 75 E6 8B C3 5D 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 09 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_37974_0 {
	meta:
		name = "SplitString"
		size = 166
		refs = "0012 SplitString 0022 @UStrLAsg 002c Pos 003c @UStrAsg 0044 @UStrClr 0057 @UStrCopy 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 14 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 37 57 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 F6 74 05 83 EE 04 8B 36 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 8B 45 08 50 8D 14 1E 8B CF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_37975_0 {
	meta:
		name = "CommaAdd"
		size = 64
		refs = "0012 @UStrAsg 001a CommaAdd 0027 @UStrCatN"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 DB 75 0B 8B C7 8B D6 E8 ?? ?? ?? ?? EB 13 53 68 ?? ?? ?? ?? 56 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_37981_0 {
	meta:
		name = "TIdStruct.WriteStruct"
		size = 56
		refs = "0016 @DynArrayLength 0028 TArray<System.Byte> 002d @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 12 03 07 8B D8 8B 06 E8 ?? ?? ?? ?? 3B D8 76 16 53 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37982_0 {
	meta:
		name = "TIdUnion.GetBytesLen"
		size = 13
		refs = "0007 @DynArrayLength"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81139_0 {
	meta:
		name = "TGIFList.Last"
		size = 13
		refs = "0007 TList.Last"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_37983_0 {
	meta:
		name = "TIdUnion.SetBytesLen"
		size = 32
		refs = "0011 TArray<System.Byte> 0016 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_37984_0 {
	meta:
		name = "TIdUnion.ReadStruct"
		size = 57
		refs = "0010 TIdStruct.ReadStruct 001a @DynArrayLength 0027 CopyTIdBytes"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 43 04 E8 ?? ?? ?? ?? 50 8D 4B 04 8B 16 8B C7 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 01 06 5F 5E 5B C3 }
	condition:
		$1
}

rule function_37985_0 {
	meta:
		name = "TIdUnion.WriteStruct"
		size = 58
		refs = "0010 TIdStruct.WriteStruct 001b @DynArrayLength 0028 CopyTIdBytes"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 06 50 8B 43 04 E8 ?? ?? ?? ?? 50 8B CF 33 D2 8B 43 04 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 01 06 5F 5E 5B C3 }
	condition:
		$1
}

rule function_38000_0 {
	meta:
		name = "TIdLongWord.SetS_w2"
		size = 15
		refs = "000a CopyTIdWord"
	strings:
		$1 = { 83 C0 04 B9 02 00 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38006_0 {
	meta:
		name = "TIdSync.Synchronize"
		size = 14
		refs = "0009 TThread.Synchronize"
		altNames = "TInSync.Synchronize"
	strings:
		$1 = { 50 8B 00 8B 00 50 33 C0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38007_0 {
	meta:
		name = "TIdSync.SynchronizeMethod"
		size = 20
		refs = "000c TThread.Synchronize"
		altNames = "TInSync.SynchronizeMethod"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 33 C0 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_38010_0 {
	meta:
		name = "TIdNotify.NotifyMethod"
		size = 20
		refs = "000c TThread.Queue"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 33 C0 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_62695_0 {
	meta:
		name = "TThread.RemoveQueuedEvents"
		size = 20
		refs = "000c TThread.RemoveQueuedEvents"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 33 C0 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_38009_0 {
	meta:
		name = "TIdNotify.Notify"
		size = 48
		refs = "0004 InMainThread 001b TObject.Free 002a TThread.Queue"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 84 C0 74 15 80 7B 04 00 75 0F 8B C3 8B 10 FF 12 8B C3 E8 ?? ?? ?? ?? 5B C3 53 8B 03 8B 00 50 33 C0 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_38011_0 {
	meta:
		name = "TIdNotifyMethod.Create"
		size = 71
		refs = "000d @ClassCreate 001a TIdNotify.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 08 8B 45 0C 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_38012_0 {
	meta:
		name = "TIdNotifyMethod.DoNotify"
		size = 11
	strings:
		$1 = { 53 8B D8 8B 43 0C FF 53 08 5B C3 }
	condition:
		$1
}

rule function_38015_0 {
	meta:
		name = "TIdSysLog.InitComponent"
		size = 23
		refs = "0006 TIdUDPClient.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 02 02 8B C3 8B 08 FF 51 70 5B C3 }
	condition:
		$1
}

rule function_38016_0 {
	meta:
		name = "TIdSysLog.SendLogMessage"
		size = 113
		refs = "000f TIdSysLog.SendLogMessage 001e Now 002c TIdSysLogMessage.SetTimeStamp 0041 Indy8BitEncoding 004b TIdUDPClient.Send 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 C9 74 13 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 8B 08 FF 51 60 8B 45 FC 50 B0 01 E8 ?? ?? ?? ?? 8B C8 8B C3 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38018_0 {
	meta:
		name = "TIdSysLog.SendLogMessage"
		size = 133
		refs = "0012 _Dn_TIdSysLogMessage 0017 TIdBaseComponent.Create 0022 TIdSysLog.SendLogMessage 0035 TIdSysLogMsgPart.SetText 003f TIdSysLogMessage.SetFacility 004b TIdSysLogMessage.SetSeverity 0071 TObject.Free 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B F2 8B F8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 0F B6 55 08 8B 45 FC E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_38019_0 {
	meta:
		name = "TIdSysLog.SendLogMessage"
		size = 183
		refs = "0018 _Dn_TIdSysLogMessage 001d TIdBaseComponent.Create 0028 TIdSysLog.SendLogMessage 0046 TIdSysLogMsgPart.SetPID 0057 @UStrAsg 0065 TIdSysLogMsgPart.SetProcess 0071 TIdSysLogMessage.SetFacility 007d TIdSysLogMessage.SetSeverity 00a3 TObject.Free 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 89 55 FC 8B F0 8B 5D 0C 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 40 38 88 58 04 88 58 04 84 DB 74 08 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 38 83 C0 10 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 38 8B 55 FC E8 ?? ?? ?? ?? 0F B6 55 14 8B 45 F4 E8 ?? ?? ?? ?? 0F B6 55 10 8B 45 F4 E8 ?? ?? ?? ?? B1 01 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_38022_0 {
	meta:
		name = "logFacilityToNo"
		size = 238
		refs = "000f logFacilityToNo"
	strings:
		$1 = { 83 E0 7F 83 F8 17 0F 87 DD 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 C3 66 B8 01 00 C3 66 B8 02 00 C3 66 B8 03 00 C3 66 B8 04 00 C3 66 B8 05 00 C3 66 B8 06 00 C3 66 B8 07 00 C3 66 B8 09 00 C3 66 B8 08 00 C3 66 B8 0A 00 C3 66 B8 0B 00 C3 66 B8 0C 00 C3 66 B8 0D 00 C3 66 B8 0E 00 C3 66 B8 0F 00 C3 66 B8 10 00 C3 66 B8 11 00 C3 66 B8 12 00 C3 66 B8 13 00 C3 66 B8 14 00 C3 66 B8 15 00 C3 66 B8 16 00 C3 66 B8 17 00 C3 66 B8 17 00 C3 }
	condition:
		$1
}

rule function_38023_0 {
	meta:
		name = "NoToFacility"
		size = 190
		refs = "000f NoToFacility"
	strings:
		$1 = { 0F B7 C0 83 F8 17 0F 87 AF 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 C3 B0 01 C3 B0 02 C3 B0 03 C3 B0 04 C3 B0 05 C3 B0 06 C3 B0 07 C3 B0 09 C3 B0 08 C3 B0 0A C3 B0 0B C3 B0 0C C3 B0 0D C3 B0 0E C3 B0 0F C3 B0 10 C3 B0 11 C3 B0 12 C3 B0 13 C3 B0 14 C3 B0 15 C3 B0 16 C3 B0 17 C3 B0 17 C3 }
	condition:
		$1
}

rule function_38024_0 {
	meta:
		name = "logSeverityToNo"
		size = 90
		refs = "000b logSeverityToNo"
	strings:
		$1 = { 83 E0 7F 83 F8 07 77 4D FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 C3 66 B8 01 00 C3 66 B8 02 00 C3 66 B8 03 00 C3 66 B8 04 00 C3 66 B8 05 00 C3 66 B8 06 00 C3 66 B8 07 00 C3 66 B8 07 00 C3 }
	condition:
		$1
}

rule function_38025_0 {
	meta:
		name = "NoToSeverity"
		size = 74
		refs = "000b NoToSeverity"
	strings:
		$1 = { 0F B7 C0 83 F8 07 77 3F FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 C3 B0 01 C3 B0 02 C3 B0 03 C3 B0 04 C3 B0 05 C3 B0 06 C3 B0 07 C3 B0 07 C3 }
	condition:
		$1
}

rule function_38026_0 {
	meta:
		name = "SeverityToString"
		size = 180
		refs = "0012 SeverityToString 0039 STR_SYSLOG_SEVERITY_EMERGENCY 003e LoadResString 0047 STR_SYSLOG_SEVERITY_ALERT 0055 STR_SYSLOG_SEVERITY_CRITICAL 0063 STR_SYSLOG_SEVERITY_ERROR 0071 STR_SYSLOG_SEVERITY_WARNING 007f STR_SYSLOG_SEVERITY_NOTICE 008d STR_SYSLOG_SEVERITY_INFORMATIONAL 009b STR_SYSLOG_SEVERITY_DEBUG 00a9 STR_SYSLOG_SEVERITY_UNKNOWN"
	strings:
		$1 = { 53 8B DA 83 E0 7F 83 F8 07 0F 87 97 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_38027_0 {
	meta:
		name = "FacilityToString"
		size = 468
		refs = "0012 FacilityToString 0079 STR_SYSLOG_FACILITY_KERNEL 007e LoadResString 0087 STR_SYSLOG_FACILITY_USER 0095 STR_SYSLOG_FACILITY_MAIL 00a3 STR_SYSLOG_FACILITY_SYS_DAEMON 00b1 STR_SYSLOG_FACILITY_SECURITY1 00bf STR_SYSLOG_FACILITY_INTERNAL 00cd STR_SYSLOG_FACILITY_LPR 00db STR_SYSLOG_FACILITY_NNTP 00e9 STR_SYSLOG_FACILITY_CLOCK1 00f7 STR_SYSLOG_FACILITY_UUCP 0105 STR_SYSLOG_FACILITY_SECURITY2 0113 STR_SYSLOG_FACILITY_FTP 0121 STR_SYSLOG_FACILITY_NTP 012f STR_SYSLOG_FACILITY_AUDIT 013d STR_SYSLOG_FACILITY_ALERT 014b STR_SYSLOG_FACILITY_CLOCK2 0159 STR_SYSLOG_FACILITY_LOCAL0 0167 STR_SYSLOG_FACILITY_LOCAL1 0175 STR_SYSLOG_FACILITY_LOCAL2 0183 STR_SYSLOG_FACILITY_LOCAL3 0191 STR_SYSLOG_FACILITY_LOCAL4 019f STR_SYSLOG_FACILITY_LOCAL5 01ad STR_SYSLOG_FACILITY_LOCAL6 01bb STR_SYSLOG_FACILITY_LOCAL7 01c9 STR_SYSLOG_FACILITY_UNKNOWN"
	strings:
		$1 = { 53 8B DA 83 E0 7F 83 F8 17 0F 87 B7 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_38028_0 {
	meta:
		name = "ExtractAlphaNumericStr"
		size = 118
		refs = "0029 IndyMin 0040 IsAlphaNumeric 005b @UStrCopy"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F0 33 ED 8B 06 89 44 24 04 8B 5C 24 04 85 DB 74 05 83 EB 04 8B 1B BA 20 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 1C 89 C3 BF 01 00 00 00 8B 06 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 74 05 45 47 4B 75 EB 8B 04 24 50 8B 06 8B CD BA 01 00 00 00 E8 ?? ?? ?? ?? 56 8D 55 01 8B 06 B9 FF FF FF 7F E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_38029_0 {
	meta:
		name = "TIdSysLogMessage.Assign"
		size = 98
		refs = "000a _DV_TIdSysLogMessage 000f @IsClass 0020 @AsClass 002d TIdSysLogMessage.SetPri 0037 TIdSysLogMessage.SetHostname 004f TIdSysLogMessage.SetTimeStamp 005b TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3F 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 0F B6 56 58 8B C3 E8 ?? ?? ?? ?? 8B 56 40 8B C3 E8 ?? ?? ?? ?? 8B 56 38 8B 43 38 8B 08 FF 51 08 FF 76 4C FF 76 48 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38030_0 {
	meta:
		name = "TIdSysLogMessage.DecodeTimeStamp"
		size = 780
		refs = "001b @UStrAddRef 0023 TIdSysLogMessage.DecodeTimeStamp 0038 Now 0050 DecodeDate 0079 RSInvalidSyslogTimeStamp 007e LoadResString 0088 _Dn_EInvalidSyslogMessage 008d Exception.CreateFmt 0092 @RaiseExcept 00a8 @UStrCopy 00b0 StrToMonth 0116 IndyStrToInt 02bc EncodeDate 02cd EncodeTime 02ee @UStrArrayClr 02f6 @UStrClr 02fc @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 44 E8 ?? ?? ?? ?? DD 5D E0 9B FF 75 E4 FF 75 E0 8D 4D EA 8D 55 EC 8D 45 EE E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 10 74 31 8B 45 FC 89 45 D8 C6 45 DC 11 8D 45 D8 50 6A 00 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 50 B9 03 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 0F B6 C0 66 89 45 EC 0F B7 45 EC 66 F7 D0 48 66 83 E8 0C 73 31 8B 45 FC 89 45 D8 C6 45 DC 11 8D 45 D8 50 6A 00 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 50 B9 02 00 00 00 BA 05 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C8 33 D2 E8 ?? ?? ?? ?? 66 89 45 EA 0F B7 45 EA 48 66 83 E8 1F 72 31 8B 45 FC 89 45 D8 C6 45 DC 11 8D 45 D8 50 6A 00 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C0 50 B9 02 00 00 00 BA 08 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C0 33 D2 E8 ?? ?? ?? ?? 8B D8 8B C3 66 F7 D0 66 83 E8 18 73 31 8B 45 FC 89 45 D8 C6 45 DC 11 8D 45 D8 50 6A 00 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B8 50 B9 02 00 00 00 BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B8 33 D2 E8 ?? ?? ?? ?? 8B F0 8B C6 66 F7 D0 66 83 E8 3C 73 31 8B 45 FC 89 45 D8 C6 45 DC 11 8D 45 D8 50 6A 00 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 50 B9 02 00 00 00 BA 0E 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B0 33 D2 E8 ?? ?? ?? ?? 8B F8 8B C7 66 F7 D0 66 83 E8 3C 73 31 8B 45 FC 89 45 D8 C6 45 DC 11 8D 45 D8 50 6A 00 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D AC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 78 1E 20 74 31 8B 45 FC 89 45 D8 C6 45 DC 11 8D 45 D8 50 6A 00 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 4D EA 0F B7 55 EC 0F B7 45 EE E8 ?? ?? ?? ?? DD 5D D8 9B 6A 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? DC 45 D8 DD 5D F0 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 DD 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38031_0 {
	meta:
		name = "TIdSysLogMessage.ReadFromBytes"
		size = 103
		refs = "0012 TIdSysLogMessage.ReadFromBytes 0022 @UStrAsg 0036 BytesToString 0040 TIdSysLogMessage.SetRawMessage 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 54 8B D7 E8 ?? ?? ?? ?? 6A 00 8D 45 FC 50 B9 00 04 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38032_0 {
	meta:
		name = "TIdSysLogMessage.Parse"
		size = 41
	strings:
		$1 = { 53 51 8B D8 C7 04 24 01 00 00 00 8B D4 8B C3 8B 08 FF 51 48 8B D4 8B C3 8B 08 FF 51 4C 8B D4 8B C3 8B 08 FF 51 50 5A 5B C3 }
	condition:
		$1
}

rule function_38033_0 {
	meta:
		name = "TIdSysLogMessage.ReadHeader"
		size = 320
		refs = "0017 TIdSysLogMessage.ReadHeader 0041 @UStrCopy 0066 @UStrLen 00a0 Pos 00b5 @UStrAsg 00d7 @HandleOnException 00df _Dn_Exception 00e8 Now 0105 @DoneExcept 011a @UStrClr 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F8 50 8B 16 8B 45 FC 8B 40 50 B9 10 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 5C 8B 45 FC DD 58 48 9B 83 06 10 8B 1E EB 01 43 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 3B D8 7D 0E 8B 45 FC 8B 40 50 66 83 7C 58 FE 20 75 E2 8B 45 FC 83 C0 40 50 8B CB 2B 0E 8B 16 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 40 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 13 8B 45 FC 83 C0 40 8B 55 FC 8B 52 54 E8 ?? ?? ?? ?? EB 03 43 89 1E 8B 45 FC 8D 50 40 8B 45 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 EB 33 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC DD 58 48 9B 8B 45 FC 83 C0 40 8B 55 FC 8B 52 54 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_38034_0 {
	meta:
		name = "TIdSysLogMessage.ReadMSG"
		size = 50
		refs = "001f @UStrCopy 002a TIdSysLogMsgPart.SetText"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 50 85 F6 74 05 83 EE 04 8B 36 8D 43 44 50 8B 17 8B CE 8B 43 50 E8 ?? ?? ?? ?? 8B 53 44 8B 43 38 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_38035_0 {
	meta:
		name = "TIdSysLogMessage.ReadPRI"
		size = 495
		refs = "0024 TIdSysLogMessage.ReadPRI 0048 @UStrClr 005c CharEquals 0068 RSInvalidSyslogPRI 006d LoadResString 0077 _Dn_EInvalidSyslogMessage 007c EIdException.Create 0081 @RaiseExcept 00b7 IsNumeric 00d3 RSInvalidSyslogPRINumber 00e7 Exception.CreateFmt 0104 @UStrFromWChar 010f @UStrCat 0176 IndyStrToInt 0180 TIdSysLogMessage.SetPri 018f @HandleOnException 0197 _Dn_Exception 01b2 @DoneExcept 01cc @UStrArrayClr 01e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D D8 89 4D DC 89 4D E0 89 4D EC 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 00 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 12 8B 45 F8 8B 40 50 66 B9 3C 00 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 FF 00 8B 55 F4 8B 12 8B 45 F8 8B 40 50 66 B9 3E 00 E8 ?? ?? ?? ?? 84 C0 0F 85 80 00 00 00 8B 4D F4 8B 09 8B 45 F8 8B 40 50 BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 31 8B 45 FC 89 45 E4 C6 45 E8 11 8D 45 E4 50 6A 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 8B 55 F4 8B 12 8B 4D F8 8B 49 50 0F B7 54 51 FE E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 00 8B 55 F0 83 C2 05 3B C2 0F 85 5F FF FF FF 8B 55 F4 8B 12 8B 45 F8 8B 40 50 66 B9 3E 00 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 FF 00 8D 55 FC 8B 45 F8 8B 08 FF 51 44 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 28 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? B2 0D 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F0 89 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38036_0 {
	meta:
		name = "TIdSysLogMessage.UpdatePRI"
		size = 40
		refs = "0008 logFacilityToNo 0018 logSeverityToNo 0022 TIdSysLogMessage.SetPri"
	strings:
		$1 = { 53 8B D8 0F B6 43 3C E8 ?? ?? ?? ?? 03 C0 03 C0 03 C0 50 0F B6 43 3D E8 ?? ?? ?? ?? 5A 02 D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_38037_0 {
	meta:
		name = "TIdSysLogMessage.SetFacility"
		size = 20
	strings:
		$1 = { 56 8B F0 3A 56 3C 74 0A 88 56 3C 8B C6 8B 10 FF 52 58 5E C3 }
	condition:
		$1
}

rule function_38038_0 {
	meta:
		name = "TIdSysLogMessage.SetHostname"
		size = 168
		refs = "0015 TIdSysLogMessage.SetHostname 0025 @UStrEqual 0033 Pos 004c RSInvalidHostName 0051 LoadResString 005b _Dn_EInvalidSyslogMessage 0060 Exception.CreateFmt 0065 @RaiseExcept 006f @UStrAsg 0084 @UStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 40 8B D6 E8 ?? ?? ?? ?? 74 48 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 2E 89 75 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 40 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_38039_0 {
	meta:
		name = "TIdSysLogMessage.SetSeverity"
		size = 20
	strings:
		$1 = { 56 8B F0 3A 56 3D 74 0A 88 56 3D 8B C6 8B 10 FF 52 58 5E C3 }
	condition:
		$1
}

rule function_38041_0 {
	meta:
		name = "YearOf"
		size = 36
		refs = "0016 DecodeDate"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? 0F B7 45 FE 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_38042_0 {
	meta:
		name = "DayToStr"
		size = 120
		refs = "000f DayToStr 0026 IntToStr 0035 @UStrCat3 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 FB 0A 73 1C 8D 55 FC 0F B7 C3 E8 ?? ?? ?? ?? 8B 4D FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8B D6 0F B7 C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_38043_0 {
	meta:
		name = "TIdSysLogMessage.GetHeader"
		size = 332
		refs = "0016 TIdSysLogMessage.GetHeader 0021 Now 002d YearOf 0052 TIdSysLogMessage.SetTimeStamp 0066 DecodeDate 007e DecodeTime 0089 monthnames 00a0 DayToStr 00e7 IndyFormat 00fc @UStrClr 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 C9 89 4D BC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 8B F8 FF 73 4C FF 73 48 E8 ?? ?? ?? ?? 66 3B F8 74 13 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? FF 73 4C FF 73 48 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? FF 73 4C FF 73 48 8D 45 F2 50 8D 4D F4 8D 55 F6 8D 45 F8 E8 ?? ?? ?? ?? 56 0F B7 45 FC 8B 15 ?? ?? ?? ?? 8B 44 82 FC 89 45 C0 C6 45 C4 11 8D 55 BC 0F B7 45 FA E8 ?? ?? ?? ?? 8B 45 BC 89 45 C8 C6 45 CC 11 0F B7 45 F8 89 45 D0 C6 45 D4 00 0F B7 45 F6 89 45 D8 C6 45 DC 00 0F B7 45 F4 89 45 E0 C6 45 E4 00 8B 43 40 89 45 E8 C6 45 EC 11 8D 55 C0 B9 05 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 17 00 00 00 25 00 73 00 20 00 25 00 73 00 20 00 25 00 2E 00 32 00 64 00 3A 00 25 00 2E 00 32 00 64 00 3A 00 25 00 2E 00 32 00 64 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_38044_0 {
	meta:
		name = "TIdSysLogMessage.EncodeMessage"
		size = 220
		refs = "0018 TIdSysLogMessage.EncodeMessage 0034 TIdSysLogMessage.GetHeader 0049 TIdSysLogMsgPart.GetText 0065 IndyFormat 008f @UStrCopy 00a9 @UStrArrayClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 C9 89 4D E4 89 4D E0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 0F B6 43 58 89 45 E8 C6 45 EC 00 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 C6 45 F4 11 8D 55 E0 8B 43 38 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F8 C6 45 FC 11 8D 55 E8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 89 45 DC 8B 45 DC 85 C0 74 05 83 E8 04 8B 00 3D 00 04 00 00 7E 12 56 8B 06 B9 00 04 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 25 00 64 00 3E 00 25 00 73 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_38045_0 {
	meta:
		name = "TIdSysLogMessage.SetPri"
		size = 179
		refs = "0019 TIdSysLogMessage.SetPri 0035 IntToStr 004d RSInvalidSyslogPRINumber 0052 LoadResString 005c _Dn_EInvalidSyslogMessage 0061 Exception.CreateFmt 0066 @RaiseExcept 0076 NoToFacility 0083 NoToSeverity 00a0 @UStrArrayClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 5E 58 74 62 8B C3 2C C0 72 3C 8D 55 F4 0F B6 C3 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 5E 58 0F B6 FB 8B C7 C1 E8 03 E8 ?? ?? ?? ?? 88 46 3C 8B C7 83 E0 07 E8 ?? ?? ?? ?? 88 46 3D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38046_0 {
	meta:
		name = "TIdSysLogMessage.InitComponent"
		size = 178
		refs = "0012 TIdSysLogMessage.InitComponent 0020 TIdInitializerComponent.InitComponent 002a TIdSysLogMessage.SetPri 002f _Dn_TIdStack 0034 TIdStack.IncUsage 004a GStack 005c TIdSysLogMessage.SetHostname 0073 TIdStack.DecUsage 0079 @HandleFinally 0082 _DV_TIdSysLogMsgPart 0087 TObject.Create 00a2 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? B2 0D 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 04 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_38047_0 {
	meta:
		name = "TIdSysLogMessage.CheckASCIIRange"
		size = 142
		refs = "0014 TIdSysLogMessage.CheckASCIIRange 0028 CharRange 0050 CharIsInSet 005b @UniqueStringU 007b @UStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 66 BA 7F 00 33 C0 E8 ?? ?? ?? ?? 8B 07 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 27 BB 01 00 00 00 8B 07 8B 4D FC 8B D3 E8 ?? ?? ?? ?? 84 C0 75 0E 8B C7 E8 ?? ?? ?? ?? 66 C7 44 58 FE 3F 00 43 4E 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38049_0 {
	meta:
		name = "TIdSysLogMessage.SetMsg"
		size = 9
		altNames = "TSitePageModuleHelper.SetDefaultActionName TXMLBroker.SetWebDispatch"
	strings:
		$1 = { 8B 40 38 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_38050_0 {
	meta:
		name = "TIdSysLogMessage.SetRawMessage"
		size = 26
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 50 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 54 5E 5B C3 }
	condition:
		$1
}

rule function_38051_0 {
	meta:
		name = "TIdSysLogMessage.SendToHost"
		size = 129
		refs = "000f TIdSysLogMessage.SendToHost 0024 _Dn_TIdUDPClient 0029 TIdBaseComponent.Create 0041 Indy8BitEncoding 0050 @AsClass 005b TIdUDPBase.Send 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 5C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 5C 8D 55 FC 8B C3 8B 08 FF 51 60 8B 45 FC 50 B0 01 E8 ?? ?? ?? ?? 50 8B 43 5C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 B9 02 02 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38052_0 {
	meta:
		name = "TIdSysLogMsgPart.Assign"
		size = 118
		refs = "000f TIdSysLogMsgPart.Assign 001d _DV_TIdSysLogMsgPart 0022 @IsClass 0033 @AsClass 003b TIdSysLogMsgPart.GetText 0045 TIdSysLogMsgPart.SetText 0050 TPersistent.Assign 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38053_0 {
	meta:
		name = "TIdSysLogMsgPart.SetPID"
		size = 13
	strings:
		$1 = { 8B CA 89 48 0C 41 0F 95 C2 88 50 04 C3 }
	condition:
		$1
}

rule function_38054_0 {
	meta:
		name = "TIdSysLogMsgPart.SetProcess"
		size = 99
		refs = "0011 TIdSysLogMsgPart.SetProcess 0021 @UStrLAsg 002c ExtractAlphaNumericStr 0037 @UStrAsg 0051 @UStrArrayClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38055_0 {
	meta:
		name = "TIdSysLogMsgPart.GetText"
		size = 208
		refs = "0015 TIdSysLogMsgPart.GetText 0025 @UStrAsg 0048 IndyFormat 0052 @UStrCat 0068 @UStrCatN 0074 @UStrEqual 007d @UStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 56 08 E8 ?? ?? ?? ?? 80 7E 04 00 74 27 8D 45 FC 50 8B 46 0C 89 45 F4 C6 45 F8 00 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? FF 76 10 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 5B 00 25 00 64 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_38056_0 {
	meta:
		name = "TIdSysLogMsgPart.SetText"
		size = 404
		refs = "0013 TIdSysLogMsgPart.SetText 0021 @UStrClr 003e @UStrLAsg 0049 ExtractAlphaNumericStr 0054 @UStrAsg 0061 TextStartsWith 007b @UStrCopy 0090 Fetch 009b IndyStrToInt 012d @UStrArrayClr 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 08 E8 ?? ?? ?? ?? C7 43 0C FF FF FF FF C6 43 04 00 8D 43 10 E8 ?? ?? ?? ?? 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 08 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 42 8D 45 FC 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 83 CA FF E8 ?? ?? ?? ?? 8B F0 89 73 0C 46 0F 95 C0 88 43 04 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 18 8D 45 FC 50 B9 FF FF FF 7F BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 38 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 11 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 8D 45 FC 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 43 10 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_38059_0 {
	meta:
		name = "TIdSyslogServer.DoUDPRead"
		size = 134
		refs = "001c TIdUDPServer.DoUDPRead 0025 _Dn_TIdSysLogMessage 002a TIdBaseComponent.Create 0035 TIdSyslogServer.DoUDPRead 0071 TObject.Free 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 89 55 FC 8B F0 8B 5D 08 53 8B CF 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4B 1C 8B D7 8B 45 F8 8B 38 FF 57 64 8B CB 8B 55 F8 8B C6 8B 18 FF 93 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_38060_0 {
	meta:
		name = "TIdSyslogServer.InitComponent"
		size = 23
		refs = "0006 TIdUDPServer.InitComponent 0011 TIdUDPServer.SetDefaultPort"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 02 02 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_38061_0 {
	meta:
		name = "TIdSyslogServer.DoSyslogEvent"
		size = 36
	strings:
		$1 = { 53 66 83 B8 EA 00 00 00 00 74 17 85 D2 74 13 51 8B D8 8B CA 8B D0 8B 83 EC 00 00 00 FF 93 E8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_38064_0 {
	meta:
		name = "TIdSystat.InitComponent"
		size = 26
		refs = "0006 TIdTCPClientCustom.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 0B 00 8B C3 8B 08 FF 91 A4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_38065_0 {
	meta:
		name = "TIdSystat.GetStat"
		size = 153
		refs = "0016 TIdSystat.GetStat 006a TIdTCPConnection.Disconnect 0070 @HandleFinally 0087 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 AC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 45 FC 8B 80 98 00 00 00 33 D2 8B 30 FF 96 B8 00 00 00 8B 55 F8 8B C3 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38068_0 {
	meta:
		name = "TIdSystatServer.InitComponent"
		size = 26
		refs = "0006 TIdCustomTCPServer.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 0B 00 8B C3 8B 08 FF 91 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_38069_0 {
	meta:
		name = "TIdSystatServer.DoExecute"
		size = 215
		refs = "0015 TIdSystatServer.DoExecute 0034 _Dn_TStringList 0039 TStringList.Create 009a TObject.Free 00a0 @HandleFinally 00ad TIdTCPConnection.Disconnect 00c2 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 66 83 BB 1A 01 00 00 00 0F 84 80 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F4 8B 55 FC 8B 83 1C 01 00 00 FF 93 18 01 00 00 8D 55 F0 8B 45 F4 8B 08 FF 51 1C 8B 55 F0 8B 45 FC 8B 40 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38072_0 {
	meta:
		name = "TIdSystatUDP.InitComponent"
		size = 33
		refs = "0006 TIdUDPClient.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 0B 00 8B C3 8B 08 FF 51 70 C7 83 A4 00 00 00 E8 03 00 00 5B C3 }
	condition:
		$1
}

rule function_38073_0 {
	meta:
		name = "TIdSystatUDP.GetStat"
		size = 156
		refs = "0010 TIdSystatUDP.GetStat 003a TIdUDPClient.Send 0045 Indy8BitEncoding 0050 TIdUDPBase.ReceiveString 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A4 00 00 00 8B F0 83 FE FE 75 02 8B F0 8B C7 8B 10 FF 52 44 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 B0 01 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 0C 8B 55 FC 8B C7 8B 08 FF 51 38 EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_38076_0 {
	meta:
		name = "TIdSystatUDPServer.InitComponent"
		size = 23
		refs = "0006 TIdUDPServer.InitComponent 0011 TIdUDPServer.SetDefaultPort"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 0B 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_38077_0 {
	meta:
		name = "MaxLenStr"
		size = 60
		refs = "000f @UStrAsg 0033 @UStrSetLength"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 03 89 45 FC 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 3D 22 02 00 00 7E 0C 8B C3 BA 22 02 00 00 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38078_0 {
	meta:
		name = "TIdSystatUDPServer.DoUDPRead"
		size = 536
		refs = "001b TIdSystatUDPServer.DoUDPRead 002c TIdUDPServer.DoUDPRead 0041 _Dn_TStringList 0046 TStringList.Create 0071 @UStrClr 00a8 MaxLenStr 00b8 @UStrCatN 00d6 TrimLeft 00e1 @UStrLAsg 00ee ToBytes 0109 TIdSocketHandle.SendTo 0196 TObject.Free 019c @HandleFinally 01b4 TArray<System.Byte> 01b9 @DynArrayClear 01c6 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 66 83 BB EA 00 00 00 00 0F 84 64 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F4 8B 55 08 8B 83 EC 00 00 00 FF 93 E8 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 48 85 C0 0F 8C B6 00 00 00 40 89 45 F0 33 DB FF 75 FC 68 ?? ?? ?? ?? 8D 4D E8 8B D3 8B 45 F4 8B 30 FF 56 0C 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? FF 75 EC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 3D 24 02 00 00 7E 58 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8D 4D E0 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 50 6A 00 8B 45 08 0F B7 48 22 8B 45 08 8B 50 1C 8B 45 08 E8 ?? ?? ?? ?? 8D 4D DC 8B D3 8B 45 F4 8B 30 FF 56 0C 8B 45 DC 8D 55 FC E8 ?? ?? ?? ?? EB 0B 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 43 FF 4D F0 0F 85 50 FF FF FF 83 7D FC 00 74 3E 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 8D 4D D4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 50 6A 00 8B 45 08 0F B7 48 22 8B 45 08 8B 50 1C 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_38085_0 {
	meta:
		name = "TIdTask.Create"
		size = 64
		refs = "000b @ClassCreate 001a TObject.Create 002c @AfterConstruction"
		altNames = "TInTask.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C C6 47 04 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_38088_0 {
	meta:
		name = "TIdTask.DoBeforeRun"
		size = 10
		altNames = "TInTask.DoBeforeRun"
	strings:
		$1 = { C6 40 04 01 8B 10 FF 52 04 C3 }
	condition:
		$1
}

rule function_38090_0 {
	meta:
		name = "TBaseAdapterErrorsList.HasObjectErrors"
		size = 6
		altNames = "TIdTask.DoException TInTask.DoException"
	strings:
		$1 = { 8B 08 FF 51 0C C3 }
	condition:
		$1
}

rule function_38093_0 {
	meta:
		name = "TIdTCPClientCustom.InitComponent"
		size = 56
		refs = "0006 TIdTCPConnection.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 83 E8 00 00 00 FF FF FF FF 66 C7 83 BC 00 00 00 00 00 66 C7 83 C0 00 00 00 00 00 66 C7 83 BE 00 00 00 00 00 C6 83 F1 00 00 00 01 5B C3 }
	condition:
		$1
}

rule function_42042_0 {
	meta:
		name = "TInTCPClientCustom.InitComponent"
		size = 56
		refs = "0006 TInTCPConnection.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 83 E8 00 00 00 FF FF FF FF 66 C7 83 BC 00 00 00 00 00 66 C7 83 C0 00 00 00 00 00 66 C7 83 BE 00 00 00 00 00 C6 83 F1 00 00 00 01 5B C3 }
	condition:
		$1
}

rule function_38094_0 {
	meta:
		name = "TIdTCPClientCustom.Connect"
		size = 744
		refs = "0015 TIdTCPClientCustom.Connect 002f RSAlreadyConnected 0034 LoadResString 003c _Dn_EIdAlreadyConnected 0041 EIdException.Toss 0054 _Dn_EIdHostRequired 006d _Dn_EIdPortRequired 0161 @UStrAsg 01cc TIdIOHandlerSocket.SetUseNagle 0271 TIdComponent.DoStatus 028b @HandleAnyException 02bb @RaiseAgain 02c0 @DoneExcept 02d5 @UStrClr 02db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 74 84 C0 74 1A 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 B8 CC 00 00 00 00 75 0C 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 E4 00 00 00 00 75 0C 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 B8 98 00 00 00 00 75 37 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B D0 8B 45 FC 8B 08 FF 51 60 8B 45 FC 8B 80 98 00 00 00 8B 55 FC 8B 4A 38 89 48 38 8B 4A 3C 89 48 3C 8B 45 FC C6 80 A0 00 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 B8 C8 00 00 00 00 74 17 8B 45 FC 8B 90 C8 00 00 00 8B 45 FC 8B 80 98 00 00 00 8B 08 FF 51 58 8B 45 FC 0F B7 90 E4 00 00 00 8B 45 FC 8B 80 98 00 00 00 8B 08 FF 51 60 8B 45 FC 8B 90 CC 00 00 00 8B 45 FC 8B 80 98 00 00 00 8B 08 FF 51 5C 8B 55 FC 8B 92 C4 00 00 00 8B 45 FC 8B 80 98 00 00 00 89 90 94 00 00 00 8B 55 FC 8B 92 E8 00 00 00 89 90 C0 00 00 00 8B 45 FC 8B 98 B0 00 00 00 85 DB 0F 84 D9 00 00 00 8D 83 DC 00 00 00 8B 55 FC 8B 92 B8 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 0F B7 92 BC 00 00 00 8B 45 FC 8B 80 B0 00 00 00 66 89 90 E0 00 00 00 8B 55 FC 0F B7 92 C0 00 00 00 66 89 90 E4 00 00 00 8B 55 FC 0F B7 92 BE 00 00 00 66 89 90 E2 00 00 00 8B 55 FC 0F B6 92 D0 00 00 00 88 90 06 01 00 00 8B 55 FC 0F B6 92 F0 00 00 00 88 90 05 01 00 00 8B 55 FC 0F B6 92 F1 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 00 00 00 8B 55 FC 8B 8A F8 00 00 00 89 88 E8 00 00 00 8B 8A FC 00 00 00 89 88 EC 00 00 00 8B 55 FC 8B 8A 00 01 00 00 89 88 F0 00 00 00 8B 8A 04 01 00 00 89 88 F4 00 00 00 8B 55 FC 8B 8A 08 01 00 00 89 88 F8 00 00 00 8B 8A 0C 01 00 00 89 88 FC 00 00 00 8B 45 FC 8B 80 98 00 00 00 8B 10 FF 92 98 00 00 00 8B 45 FC 8B 80 98 00 00 00 8B 80 A4 00 00 00 85 C0 74 08 8B 55 FC 8B 08 FF 51 44 6A 00 8B 45 FC 8B 80 CC 00 00 00 89 45 F0 C6 45 F4 11 8D 4D F0 B2 02 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 98 00 00 00 33 C0 5A 59 59 64 89 10 EB 3A E9 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 85 C0 74 1E 8B 10 FF 92 8C 00 00 00 8B 45 FC 80 B8 A0 00 00 00 00 74 0A 33 D2 8B 45 FC 8B 08 FF 51 60 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42043_0 {
	meta:
		name = "TInTCPClientCustom.Connect"
		size = 744
		refs = "0015 TInTCPClientCustom.Connect 002f RSAlreadyConnected 0034 LoadResString 003c _Dn_EIdAlreadyConnected 0041 EInException.Toss 0054 _Dn_EIdHostRequired 006d _Dn_EIdPortRequired 0161 @UStrAsg 01cc TInIOHandlerSocket.SetUseNagle 0271 TInComponent.DoStatus 028b @HandleAnyException 02bb @RaiseAgain 02c0 @DoneExcept 02d5 @UStrClr 02db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 74 84 C0 74 1A 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 B8 CC 00 00 00 00 75 0C 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 E4 00 00 00 00 75 0C 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 B8 98 00 00 00 00 75 37 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B D0 8B 45 FC 8B 08 FF 51 60 8B 45 FC 8B 80 98 00 00 00 8B 55 FC 8B 4A 38 89 48 38 8B 4A 3C 89 48 3C 8B 45 FC C6 80 A0 00 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 B8 C8 00 00 00 00 74 17 8B 45 FC 8B 90 C8 00 00 00 8B 45 FC 8B 80 98 00 00 00 8B 08 FF 51 58 8B 45 FC 0F B7 90 E4 00 00 00 8B 45 FC 8B 80 98 00 00 00 8B 08 FF 51 60 8B 45 FC 8B 90 CC 00 00 00 8B 45 FC 8B 80 98 00 00 00 8B 08 FF 51 5C 8B 55 FC 8B 92 C4 00 00 00 8B 45 FC 8B 80 98 00 00 00 89 90 94 00 00 00 8B 55 FC 8B 92 E8 00 00 00 89 90 C0 00 00 00 8B 45 FC 8B 98 B0 00 00 00 85 DB 0F 84 D9 00 00 00 8D 83 DC 00 00 00 8B 55 FC 8B 92 B8 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 0F B7 92 BC 00 00 00 8B 45 FC 8B 80 B0 00 00 00 66 89 90 E0 00 00 00 8B 55 FC 0F B7 92 C0 00 00 00 66 89 90 E4 00 00 00 8B 55 FC 0F B7 92 BE 00 00 00 66 89 90 E2 00 00 00 8B 55 FC 0F B6 92 D0 00 00 00 88 90 06 01 00 00 8B 55 FC 0F B6 92 F0 00 00 00 88 90 05 01 00 00 8B 55 FC 0F B6 92 F1 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 00 00 00 8B 55 FC 8B 8A F8 00 00 00 89 88 E8 00 00 00 8B 8A FC 00 00 00 89 88 EC 00 00 00 8B 55 FC 8B 8A 00 01 00 00 89 88 F0 00 00 00 8B 8A 04 01 00 00 89 88 F4 00 00 00 8B 55 FC 8B 8A 08 01 00 00 89 88 F8 00 00 00 8B 8A 0C 01 00 00 89 88 FC 00 00 00 8B 45 FC 8B 80 98 00 00 00 8B 10 FF 92 98 00 00 00 8B 45 FC 8B 80 98 00 00 00 8B 80 A4 00 00 00 85 C0 74 08 8B 55 FC 8B 08 FF 51 44 6A 00 8B 45 FC 8B 80 CC 00 00 00 89 45 F0 C6 45 F4 11 8D 4D F0 B2 02 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 98 00 00 00 33 C0 5A 59 59 64 89 10 EB 3A E9 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 85 C0 74 1E 8B 10 FF 92 8C 00 00 00 8B 45 FC 80 B8 A0 00 00 00 00 74 0A 33 D2 8B 45 FC 8B 08 FF 51 60 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38095_0 {
	meta:
		name = "TIdTCPClientCustom.ConnectAndGetAll"
		size = 89
		refs = "0019 TIdTCPClientCustom.ConnectAndGetAll 0049 TIdTCPConnection.Disconnect 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 10 FF 92 AC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 45 FC 8B 80 98 00 00 00 33 D2 8B 18 FF 93 B8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_42044_0 {
	meta:
		name = "TInTCPClientCustom.ConnectAndGetAll"
		size = 89
		refs = "0019 TInTCPClientCustom.ConnectAndGetAll 0049 TInTCPConnection.Disconnect 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 10 FF 92 AC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 45 FC 8B 80 98 00 00 00 33 D2 8B 18 FF 93 B8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_38097_0 {
	meta:
		name = "TIdTCPClientCustom.SetConnectTimeout"
		size = 23
		altNames = "TInTCPClientCustom.SetConnectTimeout"
	strings:
		$1 = { 89 90 C4 00 00 00 8B 88 98 00 00 00 85 C9 74 06 89 91 94 00 00 00 C3 }
	condition:
		$1
}

rule function_38098_0 {
	meta:
		name = "TIdTCPClientCustom.SetReadTimeout"
		size = 23
		altNames = "TInTCPClientCustom.SetReadTimeout"
	strings:
		$1 = { 89 90 E8 00 00 00 8B 88 98 00 00 00 85 C9 74 06 89 91 C0 00 00 00 C3 }
	condition:
		$1
}

rule function_38099_0 {
	meta:
		name = "TIdTCPClientCustom.SetReuseSocket"
		size = 27
		altNames = "TInTCPClientCustom.SetReuseSocket"
	strings:
		$1 = { 56 8B CA 88 88 F0 00 00 00 8B B0 B0 00 00 00 85 F6 74 06 88 8E 05 01 00 00 5E C3 }
	condition:
		$1
}

rule function_38100_0 {
	meta:
		name = "TIdTCPClientCustom.SetUseNagle"
		size = 24
		refs = "0013 TIdIOHandlerSocket.SetUseNagle"
	strings:
		$1 = { 88 90 F1 00 00 00 8B 88 B0 00 00 00 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42049_0 {
	meta:
		name = "TInTCPClientCustom.SetUseNagle"
		size = 24
		refs = "0013 TInIOHandlerSocket.SetUseNagle"
	strings:
		$1 = { 88 90 F1 00 00 00 8B 88 B0 00 00 00 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38101_0 {
	meta:
		name = "TIdTCPClientCustom.SetBoundIP"
		size = 47
		refs = "0010 @UStrAsg"
		altNames = "TInTCPClientCustom.SetBoundIP"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8D 83 B8 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B BB B0 00 00 00 85 FF 74 0D 8D 87 DC 00 00 00 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_38102_0 {
	meta:
		name = "TIdTCPClientCustom.SetBoundPort"
		size = 25
		altNames = "TInTCPClientCustom.SetBoundPort"
	strings:
		$1 = { 66 89 90 BC 00 00 00 8B 88 B0 00 00 00 85 C9 74 07 66 89 91 E0 00 00 00 C3 }
	condition:
		$1
}

rule function_38103_0 {
	meta:
		name = "TIdTCPClientCustom.SetBoundPortMax"
		size = 25
		altNames = "TInTCPClientCustom.SetBoundPortMax"
	strings:
		$1 = { 66 89 90 BE 00 00 00 8B 88 B0 00 00 00 85 C9 74 07 66 89 91 E2 00 00 00 C3 }
	condition:
		$1
}

rule function_38104_0 {
	meta:
		name = "TIdTCPClientCustom.SetBoundPortMin"
		size = 25
		altNames = "TInTCPClientCustom.SetBoundPortMin"
	strings:
		$1 = { 66 89 90 C0 00 00 00 8B 88 B0 00 00 00 85 C9 74 07 66 89 91 E4 00 00 00 C3 }
	condition:
		$1
}

rule function_38105_0 {
	meta:
		name = "TIdTCPClientCustom.SetHost"
		size = 43
		refs = "0010 @UStrAsg"
		altNames = "TInTCPClientCustom.SetHost"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8D 83 CC 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B BB 98 00 00 00 85 FF 74 09 8B D6 8B C7 8B 08 FF 51 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_38106_0 {
	meta:
		name = "TIdTCPClientCustom.SetPort"
		size = 36
		altNames = "TInTCPClientCustom.SetPort"
	strings:
		$1 = { 56 57 8B F0 66 89 96 E4 00 00 00 8B BE 98 00 00 00 85 FF 74 0C 0F B7 C2 8B D0 8B C7 8B 08 FF 51 60 5F 5E C3 }
	condition:
		$1
}

rule function_38107_0 {
	meta:
		name = "TIdTCPClientCustom.SetIPVersion"
		size = 27
		altNames = "TInTCPClientCustom.SetIPVersion"
	strings:
		$1 = { 56 8B CA 88 88 D0 00 00 00 8B B0 B0 00 00 00 85 F6 74 06 88 8E 06 01 00 00 5E C3 }
	condition:
		$1
}

rule function_38108_0 {
	meta:
		name = "TIdTCPClientCustom.SetOnBeforeBind"
		size = 53
		altNames = "TInTCPClientCustom.SetOnBeforeBind"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 F8 00 00 00 8B 55 0C 89 90 FC 00 00 00 8B 90 B0 00 00 00 85 D2 74 12 8B 45 08 89 82 E8 00 00 00 8B 45 0C 89 82 EC 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_38109_0 {
	meta:
		name = "TIdTCPClientCustom.SetOnAfterBind"
		size = 53
		altNames = "TInTCPClientCustom.SetOnAfterBind"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 00 01 00 00 8B 55 0C 89 90 04 01 00 00 8B 90 B0 00 00 00 85 D2 74 12 8B 45 08 89 82 F0 00 00 00 8B 45 0C 89 82 F4 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_38110_0 {
	meta:
		name = "TIdTCPClientCustom.SetOnSocketAllocated"
		size = 53
		altNames = "TInTCPClientCustom.SetOnSocketAllocated"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 08 01 00 00 8B 55 0C 89 90 0C 01 00 00 8B 90 B0 00 00 00 85 D2 74 12 8B 45 08 89 82 F8 00 00 00 8B 45 0C 89 82 FC 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_38111_0 {
	meta:
		name = "TIdTCPClientCustom.SetIOHandler"
		size = 278
		refs = "0007 TIdTCPConnection.SetIOHandler 006b @UStrAsg 00c1 TIdIOHandlerSocket.SetUseNagle"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 98 00 00 00 85 C0 74 3B 0F B7 96 E4 00 00 00 8B 08 FF 51 60 8B 96 CC 00 00 00 8B 86 98 00 00 00 8B 08 FF 51 5C 8B 86 98 00 00 00 8B 96 C4 00 00 00 89 90 94 00 00 00 8B 96 E8 00 00 00 89 90 C0 00 00 00 8B 9E B0 00 00 00 85 DB 0F 84 B5 00 00 00 8D 83 DC 00 00 00 8B 96 B8 00 00 00 E8 ?? ?? ?? ?? 8B 86 B0 00 00 00 0F B7 96 BC 00 00 00 66 89 90 E0 00 00 00 0F B7 96 C0 00 00 00 66 89 90 E4 00 00 00 0F B7 96 BE 00 00 00 66 89 90 E2 00 00 00 0F B6 96 D0 00 00 00 88 90 06 01 00 00 0F B6 96 F0 00 00 00 88 90 05 01 00 00 0F B6 96 F1 00 00 00 E8 ?? ?? ?? ?? 8B 86 B0 00 00 00 8B 96 F8 00 00 00 89 90 E8 00 00 00 8B 96 FC 00 00 00 89 90 EC 00 00 00 8B 96 00 01 00 00 89 90 F0 00 00 00 8B 96 04 01 00 00 89 90 F4 00 00 00 8B 96 08 01 00 00 89 90 F8 00 00 00 8B 96 0C 01 00 00 89 90 FC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_42060_0 {
	meta:
		name = "TInTCPClientCustom.SetIOHandler"
		size = 278
		refs = "0007 TInTCPConnection.SetIOHandler 006b @UStrAsg 00c1 TInIOHandlerSocket.SetUseNagle"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 98 00 00 00 85 C0 74 3B 0F B7 96 E4 00 00 00 8B 08 FF 51 60 8B 96 CC 00 00 00 8B 86 98 00 00 00 8B 08 FF 51 5C 8B 86 98 00 00 00 8B 96 C4 00 00 00 89 90 94 00 00 00 8B 96 E8 00 00 00 89 90 C0 00 00 00 8B 9E B0 00 00 00 85 DB 0F 84 B5 00 00 00 8D 83 DC 00 00 00 8B 96 B8 00 00 00 E8 ?? ?? ?? ?? 8B 86 B0 00 00 00 0F B7 96 BC 00 00 00 66 89 90 E0 00 00 00 0F B7 96 C0 00 00 00 66 89 90 E4 00 00 00 0F B7 96 BE 00 00 00 66 89 90 E2 00 00 00 0F B6 96 D0 00 00 00 88 90 06 01 00 00 0F B6 96 F0 00 00 00 88 90 05 01 00 00 0F B6 96 F1 00 00 00 E8 ?? ?? ?? ?? 8B 86 B0 00 00 00 8B 96 F8 00 00 00 89 90 E8 00 00 00 8B 96 FC 00 00 00 89 90 EC 00 00 00 8B 96 00 01 00 00 89 90 F0 00 00 00 8B 96 04 01 00 00 89 90 F4 00 00 00 8B 96 08 01 00 00 89 90 F8 00 00 00 8B 96 0C 01 00 00 89 90 FC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_38113_0 {
	meta:
		name = "TIdTCPClientCustom.Connect"
		size = 25
		altNames = "TInTCPClientCustom.Connect"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 91 A0 00 00 00 8B C6 8B 10 FF 92 AC 00 00 00 5E C3 }
	condition:
		$1
}

rule function_38114_0 {
	meta:
		name = "TIdTCPClientCustom.Connect"
		size = 41
		altNames = "TInTCPClientCustom.Connect"
	strings:
		$1 = { 56 57 8B F9 8B F0 8B C6 8B 08 FF 91 A0 00 00 00 8B D7 8B C6 8B 08 FF 91 A4 00 00 00 8B C6 8B 10 FF 92 AC 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_38115_0 {
	meta:
		name = "TIdTCPClientCustom.GetReadTimeout"
		size = 24
		altNames = "TInTCPClientCustom.GetReadTimeout"
	strings:
		$1 = { 8B 90 98 00 00 00 85 D2 74 07 8B 82 C0 00 00 00 C3 8B 80 E8 00 00 00 C3 }
	condition:
		$1
}

rule function_38116_0 {
	meta:
		name = "TIdTCPClientCustom.GetReuseSocket"
		size = 26
		altNames = "TInTCPClientCustom.GetReuseSocket"
	strings:
		$1 = { 8B 90 B0 00 00 00 85 D2 74 08 0F B6 82 05 01 00 00 C3 0F B6 80 F0 00 00 00 C3 }
	condition:
		$1
}

rule function_38117_0 {
	meta:
		name = "TIdTCPClientCustom.GetUseNagle"
		size = 26
		refs = "000d TIdIOHandlerSocket.GetUseNagle"
	strings:
		$1 = { 8B 90 B0 00 00 00 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 0F B6 80 F1 00 00 00 C3 }
	condition:
		$1
}

rule function_42066_0 {
	meta:
		name = "TInTCPClientCustom.GetUseNagle"
		size = 26
		refs = "000d TInIOHandlerSocket.GetUseNagle"
	strings:
		$1 = { 8B 90 B0 00 00 00 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 0F B6 80 F1 00 00 00 C3 }
	condition:
		$1
}

rule function_38120_0 {
	meta:
		name = "TIdTCPConnection.GetIntercept"
		size = 24
		altNames = "TInTCPConnection.GetIntercept"
	strings:
		$1 = { 8B 90 98 00 00 00 85 D2 74 07 8B 82 A4 00 00 00 C3 8B 80 94 00 00 00 C3 }
	condition:
		$1
}

rule function_38122_0 {
	meta:
		name = "TIdTCPConnection.CreateIOHandler"
		size = 153
		refs = "000f TIdTCPConnection.CreateIOHandler 0028 RSIOHandlerCannotChange 002d LoadResString 0035 _Dn_EIdException 003a EIdException.Toss 0047 _Dn_TIdIOHandler 004c TIdIOHandler.MakeIOHandler 0063 TIdIOHandler.MakeDefaultIOHandler 0088 @UStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 74 84 C0 74 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 74 19 33 C9 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 60 EB 15 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 60 C6 83 A0 00 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42071_0 {
	meta:
		name = "TInTCPConnection.CreateIOHandler"
		size = 153
		refs = "000f TInTCPConnection.CreateIOHandler 0028 RSIOHandlerCannotChange 002d LoadResString 0035 _Dn_EInException 003a EInException.Toss 0047 _Dn_TInIOHandler 004c TInIOHandler.MakeIOHandler 0063 TInIOHandler.MakeDefaultIOHandler 0088 @UStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 74 84 C0 74 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 74 19 33 C9 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 60 EB 15 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 60 C6 83 A0 00 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38123_0 {
	meta:
		name = "TIdTCPConnection.Connected"
		size = 32
		altNames = "TInTCPConnection.Connected"
	strings:
		$1 = { 56 8B B0 98 00 00 00 85 F6 0F 95 C2 84 D2 74 0C 8B C6 8B 10 FF 92 80 00 00 00 8B D0 8B C2 5E C3 }
	condition:
		$1
}

rule function_38124_0 {
	meta:
		name = "TIdTCPConnection.Destroy"
		size = 111
		refs = "0004 @BeforeDestruction 0039 TObject.Free 005a TIdComponent.Destroy 0067 @ClassDestroy"
	strings:
		$1 = { 53 56 51 E8 ?? ?? ?? ?? 88 14 24 8B D8 8B B3 98 00 00 00 85 F6 74 13 8B C6 8B 10 FF 92 8C 00 00 00 33 D2 8B C3 8B 08 FF 51 60 8D 83 9C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 83 90 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 0F B6 14 24 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_42073_0 {
	meta:
		name = "TInTCPConnection.Destroy"
		size = 111
		refs = "0004 @BeforeDestruction 0039 TObject.Free 005a TInComponent.Destroy 0067 @ClassDestroy"
	strings:
		$1 = { 53 56 51 E8 ?? ?? ?? ?? 88 14 24 8B D8 8B B3 98 00 00 00 85 F6 74 13 8B C6 8B 10 FF 92 8C 00 00 00 33 D2 8B C3 8B 08 FF 51 60 8D 83 9C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 83 90 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 0F B6 14 24 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_38125_0 {
	meta:
		name = "TIdTCPConnection.Disconnect"
		size = 136
		refs = "000b TIdTCPConnection.Disconnect 0056 TIdComponent.DoStatus 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 84 D2 74 14 8B 45 FC 8B 10 FF 52 74 84 C0 74 08 8B 45 FC 8B 10 FF 52 7C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 85 C0 74 36 80 B8 B4 00 00 00 00 74 2D B2 03 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 8B 10 FF 92 8C 00 00 00 8B 45 FC 8B 10 FF 52 50 B2 04 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 59 5D C3 }
	condition:
		$1
}

rule function_42074_0 {
	meta:
		name = "TInTCPConnection.Disconnect"
		size = 136
		refs = "000b TInTCPConnection.Disconnect 0056 TInComponent.DoStatus 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 84 D2 74 14 8B 45 FC 8B 10 FF 52 74 84 C0 74 08 8B 45 FC 8B 10 FF 52 7C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 85 C0 74 36 80 B8 B4 00 00 00 00 74 2D B2 03 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 8B 10 FF 92 8C 00 00 00 8B 45 FC 8B 10 FF 52 50 B2 04 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 59 5D C3 }
	condition:
		$1
}

rule function_38126_0 {
	meta:
		name = "TCustomTaskDialog.DoOnDialogCreated"
		size = 29
		altNames = "TDdeClientConv.Close TIdTCPConnection.DoOnDisconnected TInTCPConnection.DoOnDisconnected TOpenDialog.DoFolderChange TXMLDocument.DoAfterOpen"
	strings:
		$1 = { 53 66 83 B8 AA 00 00 00 00 74 10 8B D8 8B D0 8B 83 AC 00 00 00 FF 93 A8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_38127_0 {
	meta:
		name = "TIdTCPConnection.GetResponse"
		size = 55
		refs = "0021 TIdReply.GetNumericCode"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 55 08 8B C3 8B 08 FF 91 80 00 00 00 57 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 8B 18 FF 53 6C 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_42076_0 {
	meta:
		name = "TInTCPConnection.GetResponse"
		size = 55
		refs = "0021 TInReply.GetNumericCode"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 55 08 8B C3 8B 08 FF 91 80 00 00 00 57 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 8B 18 FF 53 6C 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_38128_0 {
	meta:
		name = "TIdTCPConnection.RaiseExceptionForLastCmdResult"
		size = 91
		refs = "000f TIdTCPConnection.RaiseExceptionForLastCmdResult 0035 @RaiseExcept 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 9C 00 00 00 8B 40 18 8B 08 FF 51 1C 8B 4D FC B2 01 8B C6 FF 50 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42077_0 {
	meta:
		name = "TInTCPConnection.RaiseExceptionForLastCmdResult"
		size = 91
		refs = "000f TInTCPConnection.RaiseExceptionForLastCmdResult 0035 @RaiseExcept 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 9C 00 00 00 8B 40 18 8B 08 FF 51 1C 8B 4D FC B2 01 8B C6 FF 50 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38129_0 {
	meta:
		name = "TIdTCPConnection.RaiseExceptionForLastCmdResult"
		size = 12
		altNames = "TInTCPConnection.RaiseExceptionForLastCmdResult"
	strings:
		$1 = { 8B 80 9C 00 00 00 8B 10 FF 52 3C C3 }
	condition:
		$1
}

rule function_38130_0 {
	meta:
		name = "TIdTCPConnection.SendCmd"
		size = 137
		refs = "0018 @UStrAddRef 0020 TIdTCPConnection.SendCmd 002d TIdTCPConnection.CheckConnected 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 51 64 8B CE 8B 55 FC 8B 83 98 00 00 00 8B 38 FF 97 A4 00 00 00 56 8B 55 F8 8B 4D 0C 8B C3 8B 18 FF 93 84 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_42079_0 {
	meta:
		name = "TInTCPConnection.SendCmd"
		size = 137
		refs = "0018 @UStrAddRef 0020 TInTCPConnection.SendCmd 002d TInTCPConnection.CheckConnected 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 51 64 8B CE 8B 55 FC 8B 83 98 00 00 00 8B 38 FF 97 A4 00 00 00 56 8B 55 F8 8B 4D 0C 8B C3 8B 18 FF 93 84 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_38131_0 {
	meta:
		name = "TIdTCPConnection.Notification"
		size = 69
		refs = "0010 TComponent.Notification"
		altNames = "TInTCPConnection.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 28 3B B7 94 00 00 00 75 08 33 C0 89 87 94 00 00 00 3B B7 98 00 00 00 75 10 33 C0 89 87 98 00 00 00 33 C0 89 87 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_38132_0 {
	meta:
		name = "TIdTCPConnection.SetIntercept"
		size = 179
		refs = "000f TIdTCPConnection.SetIntercept 0046 RSInterceptIsDifferent 004b LoadResString 0053 _Dn_EIdException 0058 EIdException.Toss 0069 TComponent.RemoveFreeNotification 007c TComponent.FreeNotification 00a2 @UStrClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B B3 94 00 00 00 74 70 83 BB 98 00 00 00 00 74 32 85 F6 74 2E 8B 83 98 00 00 00 8B 80 A4 00 00 00 85 C0 74 1E 3B F0 74 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 94 00 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 83 94 00 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B 83 98 00 00 00 85 C0 74 07 8B D6 8B 08 FF 51 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42081_0 {
	meta:
		name = "TInTCPConnection.SetIntercept"
		size = 179
		refs = "000f TInTCPConnection.SetIntercept 0046 RSInterceptIsDifferent 004b LoadResString 0053 _Dn_EInException 0058 EInException.Toss 0069 TComponent.RemoveFreeNotification 007c TComponent.FreeNotification 00a2 @UStrClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B B3 94 00 00 00 74 70 83 BB 98 00 00 00 00 74 32 85 F6 74 2E 8B 83 98 00 00 00 8B 80 A4 00 00 00 85 C0 74 1E 3B F0 74 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 94 00 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 83 94 00 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B 83 98 00 00 00 85 C0 74 07 8B D6 8B 08 FF 51 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38133_0 {
	meta:
		name = "TIdTCPConnection.SetIOHandler"
		size = 272
		refs = "000f TIdTCPConnection.SetIOHandler 0048 RSInterceptIsDifferent 004d LoadResString 0055 _Dn_EIdException 005a EIdException.Toss 007f TObject.Free 00a7 TComponent.RemoveFreeNotification 00b4 TComponent.FreeNotification 00d5 _Dn_TIdIOHandlerSocket 00da @IsClass 00ff @UStrClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B B3 98 00 00 00 0F 84 C9 00 00 00 85 F6 74 35 83 BB 94 00 00 00 00 74 2C 8B 86 A4 00 00 00 85 C0 74 22 3B 83 94 00 00 00 74 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB A0 00 00 00 00 74 1C 83 BB 98 00 00 00 00 74 13 8D 83 98 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 89 83 B0 00 00 00 C6 83 A0 00 00 00 00 8B 83 98 00 00 00 85 C0 74 0F 33 D2 89 90 88 00 00 00 8B D3 E8 ?? ?? ?? ?? 85 F6 74 39 8B D3 8B C6 E8 ?? ?? ?? ?? 89 9E 88 00 00 00 8B 83 94 00 00 00 85 C0 74 09 8B D0 8B C6 8B 08 FF 51 64 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 89 B3 B0 00 00 00 89 B3 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42082_0 {
	meta:
		name = "TInTCPConnection.SetIOHandler"
		size = 272
		refs = "000f TInTCPConnection.SetIOHandler 0048 RSInterceptIsDifferent 004d LoadResString 0055 _Dn_EInException 005a EInException.Toss 007f TObject.Free 00a7 TComponent.RemoveFreeNotification 00b4 TComponent.FreeNotification 00d5 _Dn_TInIOHandlerSocket 00da @IsClass 00ff @UStrClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B B3 98 00 00 00 0F 84 C9 00 00 00 85 F6 74 35 83 BB 94 00 00 00 00 74 2C 8B 86 A4 00 00 00 85 C0 74 22 3B 83 94 00 00 00 74 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB A0 00 00 00 00 74 1C 83 BB 98 00 00 00 00 74 13 8D 83 98 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 89 83 B0 00 00 00 C6 83 A0 00 00 00 00 8B 83 98 00 00 00 85 C0 74 0F 33 D2 89 90 88 00 00 00 8B D3 E8 ?? ?? ?? ?? 85 F6 74 39 8B D3 8B C6 E8 ?? ?? ?? ?? 89 9E 88 00 00 00 8B 83 94 00 00 00 85 C0 74 09 8B D0 8B C6 8B 08 FF 51 64 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 89 B3 B0 00 00 00 89 B3 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38134_0 {
	meta:
		name = "TIdTCPConnection.WriteHeader"
		size = 312
		refs = "001a TIdTCPConnection.WriteHeader 0027 TIdTCPConnection.CheckConnected 0038 TIdIOHandler.WriteBufferingActive 004b TIdIOHandler.WriteBufferOpen 008e ReplaceOnlyFirst 00ac TIdIOHandler.WriteLn 00cc @HandleAnyException 00e2 @RaiseAgain 00e7 @DoneExcept 0101 @UStrArrayClr 0107 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F0 89 4D EC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 83 98 00 00 00 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 34 01 88 45 FB 80 7D FB 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 3A 43 33 F6 8D 45 F0 50 8D 4D EC 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 45 EC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 33 C9 8B 45 F4 8B 38 FF 97 A4 00 00 00 46 4B 75 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 80 7D FB 00 74 0B 8B 45 F4 8B 10 FF 92 D8 00 00 00 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 80 7D FB 00 74 0B 8B 45 F4 8B 10 FF 92 D0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_42083_0 {
	meta:
		name = "TInTCPConnection.WriteHeader"
		size = 312
		refs = "001a TInTCPConnection.WriteHeader 0027 TInTCPConnection.CheckConnected 0038 TInIOHandler.WriteBufferingActive 004b TInIOHandler.WriteBufferOpen 008e ReplaceOnlyFirst 00ac TInIOHandler.WriteLn 00cc @HandleAnyException 00e2 @RaiseAgain 00e7 @DoneExcept 0101 @UStrArrayClr 0107 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F0 89 4D EC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 83 98 00 00 00 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 34 01 88 45 FB 80 7D FB 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 3A 43 33 F6 8D 45 F0 50 8D 4D EC 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 45 EC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 33 C9 8B 45 F4 8B 38 FF 97 A4 00 00 00 46 4B 75 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 80 7D FB 00 74 0B 8B 45 F4 8B 10 FF 92 D8 00 00 00 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 80 7D FB 00 74 0B 8B 45 F4 8B 10 FF 92 D0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_38135_0 {
	meta:
		name = "TIdTCPConnection.SendCmd"
		size = 134
		refs = "0017 @UStrAddRef 001f TIdTCPConnection.SendCmd 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 85 F6 7D 17 6A FF 57 8D 4D FC 8B 55 FC 8B C3 8B 18 FF 93 94 00 00 00 8B D8 EB 19 6A 00 57 66 89 75 F8 8D 4D F8 8B 55 FC 8B C3 8B 18 FF 93 94 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_42084_0 {
	meta:
		name = "TInTCPConnection.SendCmd"
		size = 134
		refs = "0017 @UStrAddRef 001f TInTCPConnection.SendCmd 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 85 F6 7D 17 6A FF 57 8D 4D FC 8B 55 FC 8B C3 8B 18 FF 93 94 00 00 00 8B D8 EB 19 6A 00 57 66 89 75 F8 8D 4D F8 8B 55 FC 8B C3 8B 18 FF 93 94 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_38136_0 {
	meta:
		name = "TIdTCPConnection.CheckForGracefulDisconnect"
		size = 120
		refs = "000e TIdTCPConnection.CheckForGracefulDisconnect 0038 RSNotConnected 003d LoadResString 0047 _Dn_EIdException 004c EIdException.Create 0051 @RaiseExcept 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B BE 98 00 00 00 85 FF 74 0E 33 C9 8B C7 8B 18 FF 93 84 00 00 00 EB 25 84 D2 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42085_0 {
	meta:
		name = "TInTCPConnection.CheckForGracefulDisconnect"
		size = 120
		refs = "000e TInTCPConnection.CheckForGracefulDisconnect 0038 RSNotConnected 003d LoadResString 0047 _Dn_EInException 004c EInException.Create 0051 @RaiseExcept 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B BE 98 00 00 00 85 FF 74 0E 33 C9 8B C7 8B 18 FF 93 84 00 00 00 EB 25 84 D2 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38137_0 {
	meta:
		name = "TIdTCPConnection.CheckResponse"
		size = 78
		altNames = "TInTCPConnection.CheckResponse"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 57 89 4D F8 8B FA 89 45 FC 8B 55 08 8B CA 83 F9 FF 7E 2A 33 C0 8B F1 85 F6 7C 13 46 8B 55 F8 66 3B 3A 75 04 B0 01 EB 06 83 C2 02 4E 75 F1 84 C0 75 0B 8B 45 FC 8B 10 FF 92 8C 00 00 00 8B C7 5F 5E 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_38138_0 {
	meta:
		name = "TIdTCPConnection.GetInternalResponse"
		size = 206
		refs = "0016 TIdTCPConnection.GetInternalResponse 0023 TIdTCPConnection.CheckConnected 002a _Dn_TStringList 002f TStringList.Create 009e TObject.Free 00a4 @HandleFinally 00bb @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 FC 50 8B 83 98 00 00 00 8B CE BA FF FF FF 7F 8B 38 FF 97 C8 00 00 00 8B 55 FC 8B 45 F8 8B 08 FF 51 38 8B 83 9C 00 00 00 8B 00 8B 55 FC FF 50 38 84 C0 74 CA 8B 83 9C 00 00 00 8B 55 F8 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42087_0 {
	meta:
		name = "TInTCPConnection.GetInternalResponse"
		size = 206
		refs = "0016 TInTCPConnection.GetInternalResponse 0023 TInTCPConnection.CheckConnected 002a _Dn_TStringList 002f TStringList.Create 009e TObject.Free 00a4 @HandleFinally 00bb @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 FC 50 8B 83 98 00 00 00 8B CE BA FF FF FF 7F 8B 38 FF 97 C8 00 00 00 8B 55 FC 8B 45 F8 8B 08 FF 51 38 8B 83 9C 00 00 00 8B 00 8B 55 FC FF 50 38 84 C0 74 CA 8B 83 9C 00 00 00 8B 55 F8 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38139_0 {
	meta:
		name = "TIdTCPConnection.WriteRFCStrings"
		size = 33
		refs = "0009 TIdTCPConnection.CheckConnected 001a TIdIOHandler.WriteRFCStrings"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 B1 01 8B D6 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42088_0 {
	meta:
		name = "TInTCPConnection.WriteRFCStrings"
		size = 33
		refs = "0009 TInTCPConnection.CheckConnected 001a TInIOHandler.WriteRFCStrings"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 B1 01 8B D6 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38140_0 {
	meta:
		name = "TIdTCPConnection.GetResponse"
		size = 58
		altNames = "TInTCPConnection.GetResponse"
	strings:
		$1 = { 53 56 51 8B F0 66 85 D2 7D 14 51 8D 54 24 04 8B C6 83 C9 FF 8B 18 FF 93 84 00 00 00 EB 18 51 66 89 54 24 04 8D 44 24 04 8B D0 8B C6 33 C9 8B 18 FF 93 84 00 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_38141_0 {
	meta:
		name = "TIdTCPConnection.GetResponse"
		size = 55
		altNames = "TInTCPConnection.GetResponse"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B DA 8B F0 8B 55 FC 8B C6 8B 08 FF 91 80 00 00 00 8B 45 08 50 8B 86 9C 00 00 00 8B 50 0C 8B CB 8B C6 8B 18 FF 53 70 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_38142_0 {
	meta:
		name = "TIdTCPConnection.SendCmd"
		size = 135
		refs = "0018 @UStrAddRef 0020 TIdTCPConnection.SendCmd 002d TIdTCPConnection.CheckConnected 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 51 64 8B CE 8B 55 FC 8B 83 98 00 00 00 8B 38 FF 97 A4 00 00 00 8B 45 08 50 8B CE 8B 55 F8 8B C3 8B 18 FF 93 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_42091_0 {
	meta:
		name = "TInTCPConnection.SendCmd"
		size = 135
		refs = "0018 @UStrAddRef 0020 TInTCPConnection.SendCmd 002d TInTCPConnection.CheckConnected 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 51 64 8B CE 8B 55 FC 8B 83 98 00 00 00 8B 38 FF 97 A4 00 00 00 8B 45 08 50 8B CE 8B 55 F8 8B C3 8B 18 FF 93 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_38143_0 {
	meta:
		name = "TIdTCPConnection.CheckResponse"
		size = 56
		refs = "0015 TextIsSame 002d @UStrAsg"
		altNames = "TInTCPConnection.CheckResponse"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B DA 8B F8 85 F6 74 17 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A 8B C7 8B 10 FF 92 8C 00 00 00 8B 45 08 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_38144_0 {
	meta:
		name = "TIdTCPConnection.WorkBeginEvent"
		size = 20
		altNames = "TInTCPConnection.WorkBeginEvent"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B D1 8B 08 FF 51 44 5D C2 08 00 }
	condition:
		$1
}

rule function_38145_0 {
	meta:
		name = "TIdTCPConnection.WorkEndEvent"
		size = 8
		altNames = "TInTCPConnection.WorkEndEvent"
	strings:
		$1 = { 8B D1 8B 08 FF 51 4C C3 }
	condition:
		$1
}

rule function_38146_0 {
	meta:
		name = "TIdTCPConnection.WorkEvent"
		size = 20
		altNames = "TInTCPConnection.WorkEvent"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B D1 8B 08 FF 51 48 5D C2 08 00 }
	condition:
		$1
}

rule function_38147_0 {
	meta:
		name = "TIdTCPConnection.InitComponent"
		size = 67
		refs = "0007 TIdComponent.InitComponent"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 58 8B F0 89 B3 B4 00 00 00 6A 00 33 C9 B2 01 8B C6 FF 50 34 89 83 90 00 00 00 6A 00 33 C9 B2 01 8B 83 B4 00 00 00 FF 50 34 89 83 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_42096_0 {
	meta:
		name = "TInTCPConnection.InitComponent"
		size = 67
		refs = "0007 TInComponent.InitComponent"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 58 8B F0 89 B3 B4 00 00 00 6A 00 33 C9 B2 01 8B C6 FF 50 34 89 83 90 00 00 00 6A 00 33 C9 B2 01 8B 83 B4 00 00 00 FF 50 34 89 83 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_38148_0 {
	meta:
		name = "TIdTCPConnection.CheckConnected"
		size = 86
		refs = "0009 TIdTCPConnection.CheckConnected 0020 RSNotConnected 0025 LoadResString 002d _Dn_EIdNotConnected 0032 EIdException.Toss 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 B8 98 00 00 00 00 75 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_42097_0 {
	meta:
		name = "TInTCPConnection.CheckConnected"
		size = 86
		refs = "0009 TInTCPConnection.CheckConnected 0020 RSNotConnected 0025 LoadResString 002d _Dn_EIdNotConnected 0032 EInException.Toss 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 B8 98 00 00 00 00 75 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_38149_0 {
	meta:
		name = "TChartAxis.SetMinorGrid"
		size = 12
		altNames = "TCustomAdapterGrid.SetTableAttributes TIdTCPConnection.SetGreeting TInTCPConnection.SetGreeting"
	strings:
		$1 = { 8B 80 90 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_38150_0 {
	meta:
		name = "TIdTCPConnection.Disconnect"
		size = 8
		altNames = "TInTCPConnection.Disconnect"
	strings:
		$1 = { B2 01 8B 08 FF 51 78 C3 }
	condition:
		$1
}

rule function_38155_0 {
	meta:
		name = "TIdTCPServer.CheckOkToBeActive"
		size = 98
		refs = "000c TIdTCPServer.CheckOkToBeActive 0019 TIdCustomTCPServer.CheckOkToBeActive 002b RSNoOnExecute 0030 LoadResString 0038 _DV_EIdTCPNoOnExecute 003d EIdException.Toss 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 66 83 BB EA 00 00 00 00 75 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_42104_0 {
	meta:
		name = "TInTCPServer.CheckOkToBeActive"
		size = 98
		refs = "000c TInTCPServer.CheckOkToBeActive 0019 TInCustomTCPServer.CheckOkToBeActive 002b RSNoOnExecute 0030 LoadResString 0038 _DV_EIdTCPNoOnExecute 003d EInException.Toss 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 66 83 BB EA 00 00 00 00 75 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_38159_0 {
	meta:
		name = "TIdTCPStream.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 0C 00 74 11 8B 46 04 8B 80 98 00 00 00 8B 10 FF 92 D8 00 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38160_0 {
	meta:
		name = "TIdTCPStream.IdRead"
		size = 208
		refs = "0018 TIdTCPStream.IdRead 001d ToDo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 83 7D FC 00 74 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B D7 8B 43 04 8B 80 98 00 00 00 8B CE 8B 18 FF 93 C0 00 00 00 8B C6 5F 5E 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 3E 00 00 00 49 00 64 00 52 00 65 00 61 00 64 00 28 00 29 00 20 00 6D 00 65 00 74 00 68 00 6F 00 64 00 20 00 6F 00 66 00 20 00 54 00 49 00 64 00 54 00 43 00 50 00 53 00 74 00 72 00 65 00 61 00 6D 00 20 00 63 00 6C 00 61 00 73 00 73 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 20 00 73 00 65 00 65 00 6B 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_38161_0 {
	meta:
		name = "TIdTCPStream.IdSeek"
		size = 32
		altNames = "TNullStream.Seek"
	strings:
		$1 = { 55 8B EC 83 C4 F8 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 8B 45 F8 8B 55 FC 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_38163_0 {
	meta:
		name = "TIdTCPStream.IdWrite"
		size = 106
		refs = "0027 TIdIOHandler.WriteBufferingActive"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 80 7B 0C 00 75 30 83 7B 08 00 7E 2A 8B 43 04 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 18 8B 43 04 8B 80 98 00 00 00 8B 53 08 8B 08 FF 91 E0 00 00 00 C6 43 0C 01 8B 45 FC 50 8B 43 04 8B 80 98 00 00 00 8B CE 8B D7 8B 18 FF 93 94 00 00 00 8B C6 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_38166_0 {
	meta:
		name = "TIdTelnetReadThread.Create"
		size = 62
		refs = "000a @ClassCreate 0020 TIdThread.Create 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 70 6A 01 6A 00 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38167_0 {
	meta:
		name = "TIdTelnetReadThread.Run"
		size = 116
		refs = "000d TIdIOHandler.InputBufferIsEmpty 004a TIdTelnet.Negotiate 0059 TIdThread.Synchronize"
	strings:
		$1 = { 53 8B D8 8B 43 70 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 16 8B 43 70 8B 80 98 00 00 00 BA FE FF FF FF 8B 08 FF 91 88 00 00 00 8B 43 70 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 20 8B 43 70 80 B8 14 01 00 00 00 74 07 E8 ?? ?? ?? ?? EB 0D 50 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 70 8B 80 98 00 00 00 33 C9 B2 01 8B 18 FF 93 84 00 00 00 5B C3 }
	condition:
		$1
}

rule function_38168_0 {
	meta:
		name = "TIdTelnet.SendCh"
		size = 96
		refs = "002b TIdIOHandler.Write 0034 TIdTelnet.SendCh"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 74 84 C0 74 35 66 83 FE 0D 75 09 80 BB 20 01 00 00 00 74 11 33 C9 8B D6 8B 83 98 00 00 00 E8 ?? ?? ?? ?? EB 15 33 C9 BA ?? ?? ?? ?? 8B 83 98 00 00 00 8B 18 FF 93 A0 00 00 00 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_38169_0 {
	meta:
		name = "TIdTelnet.SendString"
		size = 148
		refs = "0056 TIdIOHandler.Write 005f TIdTelnet.SendString"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 14 24 8B D8 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 5B C7 44 24 04 01 00 00 00 8B C3 8B 10 FF 52 74 84 C0 74 48 8B 04 24 8B 54 24 04 0F B7 44 50 FE 66 83 F8 0D 75 09 80 BB 20 01 00 00 00 74 11 33 C9 8B D0 8B 83 98 00 00 00 E8 ?? ?? ?? ?? EB 15 33 C9 BA ?? ?? ?? ?? 8B 83 98 00 00 00 8B 38 FF 97 A0 00 00 00 FF 44 24 04 4E 75 AD 59 5A 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_38170_0 {
	meta:
		name = "TIdTelnet.InitComponent"
		size = 80
		refs = "0006 TIdTCPClientCustom.InitComponent 0011 TIdTelnet.InitComponent 0016 @UStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 83 10 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 14 01 00 00 00 C6 83 20 01 00 00 00 66 BA 17 00 8B C3 8B 08 FF 91 A4 00 00 00 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 64 00 75 00 6D 00 62 00 00 00 00 00 }
	condition:
		$1
}

rule function_38172_0 {
	meta:
		name = "TIdTelnet.Disconnect"
		size = 120
		refs = "0023 TIdTelnet.Disconnect 0033 TIdTCPConnection.Disconnect 0052 TThread.WaitFor 0067 TObject.Free 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B 45 FC 8B B0 30 01 00 00 85 F6 74 07 8B C6 8B 10 FF 52 3C 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 30 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B 45 FC 05 30 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38173_0 {
	meta:
		name = "TIdTelnet.DoOnDataAvailable"
		size = 116
		refs = "000a TIdTelnet.DoOnDataAvailable 0036 RSTELNETSRVOnDataAvailableIsNil 003b LoadResString 0045 _DV_EIdTelnetServerOnDataAvailableIsNil 004a EIdException.Create 004f @RaiseExcept 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 66 83 B8 1A 01 00 00 00 74 14 8B D8 8B CA 8B D0 8B 83 1C 01 00 00 FF 93 18 01 00 00 EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_38174_0 {
	meta:
		name = "TIdTelnet.Connect"
		size = 186
		refs = "0015 TIdTelnet.Connect 0023 TIdTCPClientCustom.Connect 0045 _DV_TIdTelnetReadThread 004a TIdTelnetReadThread.Create 0062 @HandleAnyException 0074 RSNoCreateListeningThread 0079 LoadResString 0083 _DV_EIdTelnetClientConnectError 0088 EIdException.Create 008d @RaiseExcept 0092 @DoneExcept 00a7 @UStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 20 01 00 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 30 01 00 00 33 C0 5A 59 59 64 89 10 EB 35 E9 ?? ?? ?? ?? B2 01 8B 45 FC 8B 08 FF 51 78 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38175_0 {
	meta:
		name = "TIdTelnet.SendNegotiationResp"
		size = 143
		refs = "0018 TIdTelnet.SendNegotiationResp 002e TArray<System.Byte> 0033 @DynArraySetLength 007d @DynArrayClear 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 88 4D FB 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC C6 00 FF 8B 45 FC 88 58 01 8B 45 FC 0F B6 55 FB 88 50 02 6A 00 83 C9 FF 8B 55 FC 8B 86 98 00 00 00 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38176_0 {
	meta:
		name = "TIdTelnet.SendSubNegotiationResp"
		size = 200
		refs = "0012 TIdTelnet.SendSubNegotiationResp 001f @DynArrayLength 0034 TArray<System.Byte> 0039 @DynArraySetLength 0065 CopyTIdBytes 00b6 @DynArrayClear 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 83 C0 03 83 C0 02 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC C6 00 FF 8B 45 FC C6 40 01 FA 8B 45 FC 88 58 02 6A 03 8B C7 E8 ?? ?? ?? ?? 50 8D 4D FC 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC C6 44 02 FE FF 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC C6 44 02 FF F0 6A 00 83 C9 FF 8B 55 FC 8B 86 98 00 00 00 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38177_0 {
	meta:
		name = "TIdTelnet.Handle_SB"
		size = 240
		refs = "0014 TIdTelnet.Handle_SB 0023 TArray<System.Byte> 0028 @DynArrayClear 0034 @DynArrayLength 004b @UStrLAsg 0061 @UStrAsg 0076 @DynArraySetLength 008f AppendString 009b TIdTelnet.SendSubNegotiationResp 00b0 @UStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 EB 18 75 6E 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 63 80 3E 01 75 5E 8D 45 F8 8B 97 10 01 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 75 10 8D 87 10 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC C6 00 00 6A 00 8D 45 FC 83 C9 FF 8B 55 F8 E8 ?? ?? ?? ?? 8B 4D FC B2 18 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 4E 00 4B 00 4E 00 4F 00 57 00 4E 00 00 00 }
	condition:
		$1
}

rule function_38178_0 {
	meta:
		name = "TIdTelnet.Negotiate"
		size = 861
		refs = "0011 TIdTelnet.Negotiate 0020 TArray<System.Byte> 0025 @DynArrayClear 003e TIdIOHandler.ReadByte 004f AppendByte 00ed TIdTelnet.DoTelnetCommand 0106 TIdTelnet.SendNegotiationResp 01d1 @DynArrayLength 01e3 TIdTelnet.DoOnDataAvailable 01f8 @DynArraySetLength 02a0 TIdTelnet.Handle_SB 030d TIdIOHandler.InputBufferIsEmpty 034b @FinalizeArray 0351 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 8B D8 80 FB FF 74 0F 8D 45 FC 8B D3 E8 ?? ?? ?? ?? E9 AE 02 00 00 C6 86 20 01 00 00 01 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 8B D8 80 FB FF 75 0F 8D 45 FC B2 FF E8 ?? ?? ?? ?? E9 86 02 00 00 0F B6 C3 05 11 FF FF FF 83 F8 0F 0F 87 75 02 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 05 00 00 00 00 00 00 00 00 00 00 06 01 02 04 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 FE C8 74 06 2C 18 74 11 EB 15 C6 45 F6 FD 33 D2 8B C6 E8 ?? ?? ?? ?? EB 0A C6 45 F6 FD EB 04 C6 45 F6 FE 8B CB 0F B6 55 F6 8B C6 E8 ?? ?? ?? ?? E9 F7 01 00 00 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 FE C8 75 0F C6 45 F6 FE B2 01 8B C6 E8 ?? ?? ?? ?? EB 04 C6 45 F6 FE 8B CB 0F B6 55 F6 8B C6 E8 ?? ?? ?? ?? E9 BF 01 00 00 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 FE C8 75 0F B2 02 8B C6 E8 ?? ?? ?? ?? C6 45 F6 FC EB 04 C6 45 F6 FC 8B CB 0F B6 55 F6 8B C6 E8 ?? ?? ?? ?? E9 87 01 00 00 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 FE C8 74 0A 2C 17 74 15 2C 0D 74 17 EB 1B C6 45 F6 FB B2 01 8B C6 E8 ?? ?? ?? ?? EB 10 C6 45 F6 FB EB 0A C6 45 F6 FC EB 04 C6 45 F6 FC 8B CB 0F B6 55 F6 8B C6 E8 ?? ?? ?? ?? E9 39 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 8E 29 01 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 E9 02 01 00 00 6A 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 22 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 88 45 F7 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 8B D8 80 FB FF 0F 85 89 00 00 00 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 8B D8 80 EB F0 74 16 80 EB 0A 74 39 80 EB 05 75 CE 8D 45 F8 B2 FF E8 ?? ?? ?? ?? EB C2 8B 4D F8 0F B6 55 F7 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 48 8B 4D F8 0F B6 55 F7 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 88 45 F7 E9 61 FF FF FF 8D 45 F8 8B D3 E8 ?? ?? ?? ?? E9 52 FF FF FF 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 1E FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 0A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38179_0 {
	meta:
		name = "TIdTelnet.DoTelnetCommand"
		size = 31
	strings:
		$1 = { 53 66 83 B8 2A 01 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 2C 01 00 00 FF 93 28 01 00 00 5B C3 }
	condition:
		$1
}

rule function_38182_0 {
	meta:
		name = "TIdTelnetServer.InitComponent"
		size = 63
		refs = "0006 TIdCustomTCPServer.InitComponent 001b RSTELNETSRVWelcomeString 0020 LoadResString 0033 _DV_TIdTelnetServerContext"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 83 18 01 00 00 03 00 00 00 8D 93 28 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 BA 17 00 8B C3 8B 08 FF 91 98 00 00 00 A1 ?? ?? ?? ?? 89 83 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_38183_0 {
	meta:
		name = "TIdTelnetServer.DoAuthenticate"
		size = 135
		refs = "0010 TIdTelnetServer.DoAuthenticate 0028 RSTELNETSRVNoAuthHandler 002d LoadResString 0037 _Dn_EIdException 003c EIdException.Create 0041 @RaiseExcept 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 66 83 B8 22 01 00 00 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 FF 00 8B 5D 08 53 8D 5D FF 53 8B D8 8B 83 24 01 00 00 FF 93 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_38184_0 {
	meta:
		name = "TIdTelnetServer.DoConnect"
		size = 632
		refs = "001c TIdTelnetServer.DoConnect 003a TIdCustomTCPServer.DoConnect 0043 _DV_TIdTelnetServerContext 0048 @AsClass 009a TIdIOHandler.WriteLn 00c8 RSTELNETSRVUsernamePrompt 00cd LoadResString 0113 @UStrAsg 011b RSTELNETSRVPasswordPrompt 019c RSTELNETSRVInvalidLogin 01cd RSTELNETSRVMaxloginAttempt 01dc _Dn_EIdException 01e1 EIdException.Create 01e6 @RaiseExcept 0201 @HandleOnException 0209 _Dn_Exception 0233 TIdTCPConnection.Disconnect 0238 @DoneExcept 0252 @UStrArrayClr 0258 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 70 48 8B 55 FC 8B C3 8B 08 FF 91 B4 00 00 00 8B 83 28 01 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 2F 8B 93 28 01 00 00 8B 45 FC 8B 40 14 8B 80 98 00 00 00 33 C9 8B 38 FF 97 A4 00 00 00 8B 45 FC 8B 40 14 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 66 83 BB 22 01 00 00 00 0F 84 4A 01 00 00 8B 83 18 01 00 00 85 C0 0F 8E 3C 01 00 00 89 45 F4 C7 45 F8 01 00 00 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 40 14 8B 80 98 00 00 00 33 C9 8B 38 FF 97 A0 00 00 00 6A 08 6A FF 6A 00 8D 45 EC 50 8B 45 FC 8B 40 14 8B 80 98 00 00 00 B1 01 33 D2 8B 38 FF 97 BC 00 00 00 8B 55 EC 8D 46 04 E8 ?? ?? ?? ?? 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 8B 40 14 8B 80 98 00 00 00 33 C9 8B 38 FF 97 A0 00 00 00 6A 08 6A FF 6A 00 8D 45 E4 50 8B 45 FC 8B 40 14 8B 80 98 00 00 00 B1 01 BA ?? ?? ?? ?? 8B 38 FF 97 BC 00 00 00 8B 55 E4 8D 46 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 46 08 50 8B 4E 04 8B 55 FC 8B C3 8B 38 FF 97 B0 00 00 00 84 C0 75 5E 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC 8B 40 14 8B 80 98 00 00 00 33 C9 8B 38 FF 97 A4 00 00 00 8B 83 18 01 00 00 3B 45 F8 75 21 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F8 FF 4D F4 0F 85 CE FE FF FF 33 C0 5A 59 59 64 89 10 EB 3C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C6 8B 56 04 8B 45 FC 8B 40 14 8B 80 98 00 00 00 33 C9 8B 18 FF 93 A4 00 00 00 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_38186_0 {
	meta:
		name = "TIdTelnetServerContext.Create"
		size = 82
		refs = "000d @ClassCreate 0022 TIdContext.Create 0029 _DV_TTelnetData 002e TObject.Create 003c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_38190_0 {
	meta:
		name = "TIdText.Assign"
		size = 59
		refs = "000a _DV_TIdText 000f @IsClass 0020 @AsClass 0034 TIdMessagePart.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 40 8B 43 40 8B 08 FF 51 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38191_0 {
	meta:
		name = "TIdText.Create"
		size = 101
		refs = "000e @ClassCreate 001c TIdMessagePart.Create 0023 _Dn_TStringList 0028 TStringList.Create 004e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7E 40 C6 47 39 01 83 7D 08 00 74 0A 8B C7 8B 55 08 8B 08 FF 51 08 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 59 5D C2 04 00 }
	condition:
		$1
}

rule function_38201_0 {
	meta:
		name = "TIdThread.WaitAllThreadsTerminated"
		size = 43
		refs = "0008 GThreadCount 000d TIdThreadSafeInteger.GetValue 001b IndySleep"
	strings:
		$1 = { 53 8B DA 85 DB 7E 22 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 14 B8 FA 00 00 00 E8 ?? ?? ?? ?? 81 EB FA 00 00 00 85 DB 7F DE 5B C3 }
	condition:
		$1
}

rule function_42108_0 {
	meta:
		name = "TInThread.WaitAllThreadsTerminated"
		size = 43
		refs = "0008 GThreadCount 000d TInThreadSafeInteger.GetValue 001b IndySleep"
	strings:
		$1 = { 53 8B DA 85 DB 7E 22 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 14 B8 FA 00 00 00 E8 ?? ?? ?? ?? 81 EB FA 00 00 00 85 DB 7F DE 5B C3 }
	condition:
		$1
}

rule function_38202_0 {
	meta:
		name = "TIdThread.TerminateAndWaitFor"
		size = 115
		refs = "000c TIdThread.TerminateAndWaitFor 0020 RSThreadTerminateAndWaitFor 0025 LoadResString 002f _DV_EIdThreadTerminateAndWaitFor 0034 EIdException.Create 0039 @RaiseExcept 004e TThread.WaitFor 0063 @UStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0F 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 3C 8B C3 8B 10 FF 52 34 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_42109_0 {
	meta:
		name = "TInThread.TerminateAndWaitFor"
		size = 115
		refs = "000c TInThread.TerminateAndWaitFor 0020 RSThreadTerminateAndWaitFor 0025 LoadResString 002f _DV_EInThreadTerminateAndWaitFor 0034 EInException.Create 0039 @RaiseExcept 004e TThread.WaitFor 0063 @UStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0F 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 3C 8B C3 8B 10 FF 52 34 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_38207_0 {
	meta:
		name = "TIdThread.Execute"
		size = 676
		refs = "001a TIdThread.Execute 001f @UStrAsg 002d SetThreadName 005e TIdThread.GetStopped 008d TThread.SetSuspended 0103 @HandleOnException 010b _Dn_Exception 012c @RaiseAgain 0131 @DoneExcept 01ad @HandleFinally 01be @HandleAnyException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 83 78 4C 00 75 10 8B 45 FC 83 C0 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 97 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 38 8B 45 FC 8B 10 FF 52 24 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 24 8B 45 FC 80 78 0D 00 0F 85 77 01 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 0D 00 0F 85 60 01 00 00 8B 45 FC 80 48 51 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 48 00 74 63 EB 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 2C 33 C0 5A 59 59 64 89 10 EB 33 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B D3 8B 45 FC 8B 08 FF 51 28 84 C0 75 0D 8B 45 FC 8B 10 FF 52 3C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 A1 EB 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 2C 33 C0 5A 59 59 64 89 10 EB 33 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C6 8B D6 8B 45 FC 8B 08 FF 51 28 84 C0 75 0D 8B 45 FC 8B 10 FF 52 3C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 3C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 1C C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 78 0D 00 0F 84 5C FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 10 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 42 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 13 89 D0 8B 55 FC 89 42 58 8B 45 FC 83 C0 54 8B 53 04 E8 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 51 20 8B 45 FC 8B 10 FF 52 3C E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 64 00 54 00 68 00 72 00 65 00 61 00 64 00 20 00 28 00 75 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_38208_0 {
	meta:
		name = "TIdThread.Create"
		size = 136
		refs = "000e @ClassCreate 001c TIdThread.Create 002e _Dn_TIdCriticalSection 0033 TCriticalSection.Create 0048 @UStrAsg 0053 TThread.Create 0058 GThreadCount 005d TIdThreadSafeInteger.Increment 006a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 0F B6 05 ?? ?? ?? ?? 88 46 51 84 DB 74 04 80 4E 51 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 44 0F B6 45 0C 88 46 48 8D 46 4C 8B 55 08 E8 ?? ?? ?? ?? 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_42115_0 {
	meta:
		name = "TInThread.Create"
		size = 136
		refs = "000e @ClassCreate 001c TInThread.Create 002e _Dn_TIdCriticalSection 0033 TCriticalSection.Create 0048 @UStrAsg 0053 TThread.Create 0058 GThreadCount 005d TInThreadSafeInteger.Increment 006a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 0F B6 05 ?? ?? ?? ?? 88 46 51 84 DB 74 04 80 4E 51 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 44 0F B6 45 0C 88 46 48 8D 46 4C 8B 55 08 E8 ?? ?? ?? ?? 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_38209_0 {
	meta:
		name = "TIdThread.Destroy"
		size = 259
		refs = "0007 @BeforeDestruction 0024 TIdThread.Destroy 0069 TObject.Free 00ac @HandleFinally 00c6 GThreadCount 00cb TIdThreadSafeInteger.Decrement 00ed TThread.Destroy 00fb @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC C6 40 0F 00 8B 45 FC 8B 10 FF 52 3C 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC F6 40 51 02 74 08 8B 45 FC 8B 10 FF 52 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 83 C0 5C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 83 C0 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A3 C3 E9 ?? ?? ?? ?? E9 6A FF FF FF 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_42116_0 {
	meta:
		name = "TInThread.Destroy"
		size = 259
		refs = "0007 @BeforeDestruction 0024 TInThread.Destroy 0069 TObject.Free 00ac @HandleFinally 00c6 GThreadCount 00cb TInThreadSafeInteger.Decrement 00ed TThread.Destroy 00fb @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC C6 40 0F 00 8B 45 FC 8B 10 FF 52 3C 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC F6 40 51 02 74 08 8B 45 FC 8B 10 FF 52 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 83 C0 5C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 83 C0 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A3 C3 E9 ?? ?? ?? ?? E9 6A FF FF FF 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_38210_0 {
	meta:
		name = "TIdThread.Start"
		size = 113
		refs = "0015 TIdThread.Start 0023 TIdThread.GetStopped 004a TThread.SetSuspended 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 44 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 23 8B 45 FC 80 78 0D 00 74 09 8B 45 FC 80 48 51 01 EB 07 8B 45 FC 80 60 51 FE 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 59 5D C3 }
	condition:
		$1
}

rule function_42117_0 {
	meta:
		name = "TInThread.Start"
		size = 113
		refs = "0015 TInThread.Start 0023 TInThread.GetStopped 004a TThread.SetSuspended 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 44 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 23 8B 45 FC 80 78 0D 00 74 09 8B 45 FC 80 48 51 01 EB 07 8B 45 FC 80 60 51 FE 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 59 5D C3 }
	condition:
		$1
}

rule function_38211_0 {
	meta:
		name = "TIdThread.Stop"
		size = 104
		refs = "0015 TIdThread.Stop 0023 TIdThread.GetStopped 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 44 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 1A 8B 45 FC 0F B6 40 50 2C 01 73 08 8B 45 FC 8B 10 FF 52 3C 8B 45 FC 80 48 51 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 59 5D C3 }
	condition:
		$1
}

rule function_42118_0 {
	meta:
		name = "TInThread.Stop"
		size = 104
		refs = "0015 TInThread.Stop 0023 TInThread.GetStopped 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 44 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 1A 8B 45 FC 0F B6 40 50 2C 01 73 08 8B 45 FC 8B 10 FF 52 3C 8B 45 FC 80 48 51 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 59 5D C3 }
	condition:
		$1
}

rule function_38212_0 {
	meta:
		name = "TIdThread.GetStopped"
		size = 117
		refs = "001b TIdThread.GetStopped 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 44 85 C0 74 56 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 0D 00 75 16 8B 45 FC F6 40 51 01 75 0D 8B 45 FC 80 78 0E 00 75 04 33 C0 EB 02 B0 01 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED C6 45 FB 01 0F B6 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_42119_0 {
	meta:
		name = "TInThread.GetStopped"
		size = 117
		refs = "001b TInThread.GetStopped 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 44 85 C0 74 56 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 0D 00 75 16 8B 45 FC F6 40 51 01 75 0D 8B 45 FC 80 78 0E 00 75 04 33 C0 EB 02 B0 01 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED C6 45 FB 01 0F B6 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_38215_0 {
	meta:
		name = "TIdThread.Terminate"
		size = 81
		refs = "0015 TIdThread.Terminate 002a TThread.Terminate 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 44 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 48 51 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 59 5D C3 }
	condition:
		$1
}

rule function_42122_0 {
	meta:
		name = "TInThread.Terminate"
		size = 81
		refs = "0015 TInThread.Terminate 002a TThread.Terminate 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 44 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 48 51 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 59 5D C3 }
	condition:
		$1
}

rule function_38216_0 {
	meta:
		name = "TIdThread.Cleanup"
		size = 47
		refs = "0013 TObject.Free"
		altNames = "TInThread.Cleanup"
	strings:
		$1 = { 53 8B D8 80 63 51 FD 8D 43 5C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? F6 43 51 04 74 10 8D 43 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_38219_0 {
	meta:
		name = "TIdThreadWithTask.AfterRun"
		size = 20
		refs = "0007 TIdTask.DoAfterRun 000e TIdThread.AfterRun"
	strings:
		$1 = { 53 8B D8 8B 43 70 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_42126_0 {
	meta:
		name = "TInThreadWithTask.AfterRun"
		size = 20
		refs = "0007 TInTask.DoAfterRun 000e TInThread.AfterRun"
	strings:
		$1 = { 53 8B D8 8B 43 70 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_38220_0 {
	meta:
		name = "TIdThreadWithTask.BeforeRun"
		size = 20
		refs = "0006 TIdThread.BeforeRun 000e TIdTask.DoBeforeRun"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_42127_0 {
	meta:
		name = "TInThreadWithTask.BeforeRun"
		size = 20
		refs = "0006 TInThread.BeforeRun 000e TInTask.DoBeforeRun"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 70 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_38221_0 {
	meta:
		name = "TIdThreadWithTask.DoException"
		size = 28
		refs = "000b TIdThread.DoException 0015 TIdTask.DoException"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 70 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42128_0 {
	meta:
		name = "TInThreadWithTask.DoException"
		size = 28
		refs = "000b TInThread.DoException 0015 TInTask.DoException"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 70 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38222_0 {
	meta:
		name = "TIdThreadWithTask.Create"
		size = 74
		refs = "000e @ClassCreate 0025 TIdThread.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 6A 01 8B 45 08 50 B1 01 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 70 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_42129_0 {
	meta:
		name = "TInThreadWithTask.Create"
		size = 74
		refs = "000e @ClassCreate 0025 TInThread.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 6A 01 8B 45 08 50 B1 01 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 70 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_38223_0 {
	meta:
		name = "TIdThreadWithTask.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TIdThread.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 70 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42130_0 {
	meta:
		name = "TInThreadWithTask.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TInThread.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 70 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38224_0 {
	meta:
		name = "TIdThreadWithTask.Run"
		size = 24
		refs = "0007 TIdTask.DoRun"
	strings:
		$1 = { 53 8B D8 8B 43 70 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 8B 10 FF 52 38 5B C3 }
	condition:
		$1
}

rule function_42131_0 {
	meta:
		name = "TInThreadWithTask.Run"
		size = 24
		refs = "0007 TInTask.DoRun"
	strings:
		$1 = { 53 8B D8 8B 43 70 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 8B 10 FF 52 38 5B C3 }
	condition:
		$1
}

rule function_38225_0 {
	meta:
		name = "TIdThreadWithTask.SetTask"
		size = 33
		refs = "0017 TObject.Free"
		altNames = "TInThreadWithTask.SetTask"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 70 74 13 8D 43 70 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 89 73 70 5E 5B C3 }
	condition:
		$1
}

rule function_38227_0 {
	meta:
		name = "IdThread"
		size = 50
		refs = "0002 _DV_6 000c _Dn_TIdThreadSafeInteger 0011 TIdThreadSafe.Create 0016 GThreadCount 0020 IndyRegisterExpectedMemoryLeak"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42134_0 {
	meta:
		name = "InThread"
		size = 50
		refs = "0002 _DV_6 000c _Dn_TInThreadSafeInteger 0011 TInThreadSafe.Create 0016 GThreadCount 0020 IndyRegisterExpectedMemoryLeak"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38228_0 {
	meta:
		name = "TIdThreadEx.AfterExecute"
		size = 66
		refs = "000b TIdThreadEx.AfterExecute 0039 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 70 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 70 C6 40 38 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_38229_0 {
	meta:
		name = "TIdThreadEx.AfterRun"
		size = 9
	strings:
		$1 = { 8B 40 70 8B 10 FF 52 48 C3 }
	condition:
		$1
}

rule function_38230_0 {
	meta:
		name = "TIdThreadEx.BeforeExecute"
		size = 9
	strings:
		$1 = { 8B 40 70 8B 10 FF 52 4C C3 }
	condition:
		$1
}

rule function_38231_0 {
	meta:
		name = "TIdThreadEx.BeforeRun"
		size = 9
	strings:
		$1 = { 8B 40 70 8B 10 FF 52 50 C3 }
	condition:
		$1
}

rule function_38232_0 {
	meta:
		name = "TIdThreadEx.Cleanup"
		size = 20
		refs = "0006 TIdThread.Cleanup"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 70 8B 10 FF 52 54 5B C3 }
	condition:
		$1
}

rule function_38233_0 {
	meta:
		name = "TIdThreadEx.Create"
		size = 182
		refs = "0015 @ClassCreate 0024 TIdThreadEx.Create 0045 iif 0054 TIdThread.Create 008b @UStrClr 0091 @HandleFinally 00a0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 46 39 50 8D 45 F8 50 83 7E 40 00 0F 94 C0 8B 4E 40 8B 56 08 E8 ?? ?? ?? ?? 8B 45 F8 50 B1 01 33 D2 8B C3 E8 ?? ?? ?? ?? 80 63 51 FB 8B C6 89 43 70 89 43 64 8B 00 8B 40 58 89 43 60 8B 43 70 89 43 6C 8B 00 8B 40 64 89 43 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38234_0 {
	meta:
		name = "TIdThreadEx.HandleRunException"
		size = 9
	strings:
		$1 = { 8B 40 70 8B 08 FF 51 5C C3 }
	condition:
		$1
}

rule function_38235_0 {
	meta:
		name = "TIdThreadEx.Run"
		size = 9
	strings:
		$1 = { 8B 40 70 8B 10 FF 52 60 C3 }
	condition:
		$1
}

rule function_38236_0 {
	meta:
		name = "TCustomMSHTMLParser.DoReadyStateChange"
		size = 20
		altNames = "TIdThreadComponent.DoAfterExecute TNativeXml.DoUnicodeLoss"
	strings:
		$1 = { 53 66 83 78 4A 00 74 0A 8B D8 8B D0 8B 43 4C FF 53 48 5B C3 }
	condition:
		$1
}

rule function_38239_0 {
	meta:
		name = "TIdThreadComponent.DoBeforeRun"
		size = 20
	strings:
		$1 = { 53 66 83 78 62 00 74 0A 8B D8 8B D0 8B 43 64 FF 53 60 5B C3 }
	condition:
		$1
}

rule function_38241_0 {
	meta:
		name = "TIdThreadComponent.Destroy"
		size = 82
		refs = "0004 @BeforeDestruction 002f TObject.Free 003d TComponent.Destroy 004a @ClassDestroy"
	strings:
		$1 = { 53 56 51 E8 ?? ?? ?? ?? 88 14 24 8B D8 8B 73 3C 85 F6 74 0F 8B C6 8B 10 FF 52 3C 8B 43 3C 8B 10 FF 52 34 8D 43 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 0F B6 14 24 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_38243_0 {
	meta:
		name = "TIdThreadComponent.DoHandleRunException"
		size = 42
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 B8 92 00 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 94 00 00 00 FF 93 90 00 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_38244_0 {
	meta:
		name = "TFindDialog.Find"
		size = 29
		altNames = "TIdThreadComponent.DoStopped"
	strings:
		$1 = { 53 66 83 B8 82 00 00 00 00 74 10 8B D8 8B D0 8B 83 84 00 00 00 FF 93 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_38245_0 {
	meta:
		name = "TCustomFileDialog.DoOnFolderChange"
		size = 29
		altNames = "TFindDialog.Replace TIdThreadComponent.DoTerminate"
	strings:
		$1 = { 53 66 83 B8 8A 00 00 00 00 74 10 8B D8 8B D0 8B 83 8C 00 00 00 FF 93 88 00 00 00 5B C3 }
	condition:
		$1
}

rule function_38248_0 {
	meta:
		name = "TIdThreadComponent.GetReturnValue"
		size = 7
	strings:
		$1 = { 8B 40 3C 8B 40 14 C3 }
	condition:
		$1
}

rule function_38249_0 {
	meta:
		name = "TIdThreadComponent.GetStopMode"
		size = 17
	strings:
		$1 = { 8B 50 3C 85 D2 75 05 0F B6 40 3B C3 0F B6 42 50 C3 }
	condition:
		$1
}

rule function_38250_0 {
	meta:
		name = "TIdThreadComponent.GetStopped"
		size = 18
		refs = "000a TIdThread.GetStopped"
	strings:
		$1 = { 8B 50 3C 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 B0 01 C3 }
	condition:
		$1
}

rule function_38251_0 {
	meta:
		name = "TIdThreadComponent.GetSuspended"
		size = 8
	strings:
		$1 = { 8B 40 3C 0F B6 40 0E C3 }
	condition:
		$1
}

rule function_38252_0 {
	meta:
		name = "TIdThreadComponent.GetTerminated"
		size = 15
	strings:
		$1 = { 8B 50 3C 85 D2 74 05 0F B6 42 0D C3 B0 01 C3 }
	condition:
		$1
}

rule function_38253_0 {
	meta:
		name = "TIdThreadComponent.GetTerminatingException"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 3C 8B 52 54 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38254_0 {
	meta:
		name = "TIdThreadComponent.GetTerminatingExceptionClass"
		size = 7
		altNames = "TPopupMenu.GetHelpContext"
	strings:
		$1 = { 8B 40 3C 8B 40 58 C3 }
	condition:
		$1
}

rule function_38255_0 {
	meta:
		name = "TIdThreadComponent.Loaded"
		size = 59
		refs = "0006 TComponent.Loaded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 3C 85 C0 74 15 66 83 BB 8A 00 00 00 00 74 0B 89 58 1C 8B 13 8B 52 68 89 50 18 80 7B 38 00 74 0D C6 43 38 00 B2 01 8B C3 8B 08 FF 51 6C 5B C3 }
	condition:
		$1
}

rule function_38256_0 {
	meta:
		name = "TCustomFileDialog.DoOnExecute"
		size = 20
		altNames = "TCustomScreenTipsManager.DoScreenTipsLoaded TIdThreadComponent.DoRun"
	strings:
		$1 = { 53 66 83 78 7A 00 74 0A 8B D8 8B D0 8B 43 7C FF 53 78 5B C3 }
	condition:
		$1
}

rule function_38257_0 {
	meta:
		name = "TIdThreadComponent.SetActive"
		size = 65
		refs = "0009 TIdInitializerComponent.GetIsDesignTime 0014 TIdInitializerComponent.GetIsLoading 001f TIdThreadComponent.GetActive"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 2A 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B C6 E8 ?? ?? ?? ?? 3A D8 74 14 84 DB 74 09 8B C6 8B 10 FF 52 70 EB 07 8B C6 8B 10 FF 52 74 88 5E 38 5E 5B C3 }
	condition:
		$1
}

rule function_38258_0 {
	meta:
		name = "TIdThreadComponent.SetData"
		size = 7
	strings:
		$1 = { 8B 40 3C 89 50 40 C3 }
	condition:
		$1
}

rule function_38259_0 {
	meta:
		name = "TIdThreadComponent.SetReturnValue"
		size = 7
	strings:
		$1 = { 8B 40 3C 89 50 14 C3 }
	condition:
		$1
}

rule function_38260_0 {
	meta:
		name = "TIdThreadComponent.SetStopMode"
		size = 20
	strings:
		$1 = { 8B 48 3C 85 C9 74 09 80 79 0D 00 75 03 88 51 50 88 50 3B C3 }
	condition:
		$1
}

rule function_38261_0 {
	meta:
		name = "TIdThreadComponent.Start"
		size = 161
		refs = "0007 TIdInitializerComponent.GetIsDesignTime 002c TObject.Free 003b _DV_TIdThreadEx 0040 TIdThreadEx.Create 0076 @UStrAsg 0089 TThread.SetPriority"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 8B 00 00 00 8B 43 3C 85 C0 74 16 80 78 0D 00 74 10 8D 43 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 83 7B 3C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C 66 83 BB 8A 00 00 00 00 74 10 8B 43 3C 89 58 1C 8B 13 8B 52 68 89 50 18 EB 0B 8B 43 3C 33 D2 89 50 18 89 50 1C 8B 43 3C 83 C0 4C 8B 53 40 E8 ?? ?? ?? ?? 8B 43 3C 0F B6 53 39 88 50 48 0F B6 53 3A E8 ?? ?? ?? ?? 0F B6 43 3B 8B 73 3C 88 46 50 8B C6 8B 10 FF 52 34 5E 5B C3 }
	condition:
		$1
}

rule function_38262_0 {
	meta:
		name = "TIdThreadComponent.Stop"
		size = 17
	strings:
		$1 = { 56 8B 70 3C 85 F6 74 07 8B C6 8B 10 FF 52 38 5E C3 }
	condition:
		$1
}

rule function_38263_0 {
	meta:
		name = "TIdThreadComponent.Synchronize"
		size = 21
		refs = "000d TIdThread.Synchronize"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 3C E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_38264_0 {
	meta:
		name = "TIdThreadComponent.Terminate"
		size = 9
	strings:
		$1 = { 8B 40 3C 8B 10 FF 52 3C C3 }
	condition:
		$1
}

rule function_38265_0 {
	meta:
		name = "TIdThreadComponent.TerminateAndWaitFor"
		size = 9
	strings:
		$1 = { 8B 40 3C 8B 10 FF 52 40 C3 }
	condition:
		$1
}

rule function_38267_0 {
	meta:
		name = "TIdThreadComponent.GetPriority"
		size = 28
		refs = "000e TThread.GetPriority"
	strings:
		$1 = { 53 56 8B D8 8B 73 3C 85 F6 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 0F B6 43 3A 5E 5B C3 }
	condition:
		$1
}

rule function_38268_0 {
	meta:
		name = "TIdThreadComponent.SetPriority"
		size = 32
		refs = "0016 TThread.SetPriority"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 3C 85 C0 74 0D 80 78 0D 00 75 07 8B D3 E8 ?? ?? ?? ?? 88 5E 3A 5E 5B C3 }
	condition:
		$1
}

rule function_38269_0 {
	meta:
		name = "TIdThreadComponent.GetActive"
		size = 43
		refs = "0009 TIdInitializerComponent.GetIsDesignTime 0020 TIdThreadComponent.IsRunning"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 0F B6 5E 38 EB 0F 83 7E 3C 00 74 09 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_38270_0 {
	meta:
		name = "TIdThreadComponent.SetOnTerminate"
		size = 60
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 88 00 00 00 8B 55 0C 89 90 8C 00 00 00 8B 50 3C 85 D2 74 1C 66 83 7D 0A 00 74 0D 89 42 1C 8B 00 8B 40 68 89 42 18 EB 08 33 C0 89 42 18 89 42 1C 5D C2 08 00 }
	condition:
		$1
}

rule function_38271_0 {
	meta:
		name = "TIdThreadComponent.SetLoop"
		size = 99
		refs = "000f TIdThreadComponent.SetLoop 001c TIdThreadComponent.IsRunning 0028 RSThreadComponentLoopAlreadyRunning 002d LoadResString 0035 _Dn_EIdException 003a EIdException.Toss 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 5E 39 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38272_0 {
	meta:
		name = "TIdThreadComponent.SetThreadName"
		size = 106
		refs = "000f TIdThreadComponent.SetThreadName 001c TIdThreadComponent.IsRunning 0028 RSThreadComponentThreadNameAlreadyRunning 002d LoadResString 0035 _Dn_EIdException 003a EIdException.Toss 0044 @UStrAsg 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 40 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38273_0 {
	meta:
		name = "TIdThreadComponent.IsRunning"
		size = 28
		refs = "0013 TIdThread.GetStopped"
	strings:
		$1 = { 53 56 8B D8 8B 73 3C 85 F6 75 05 33 C0 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 34 01 5E 5B C3 }
	condition:
		$1
}

rule function_38274_0 {
	meta:
		name = "TIdThreadComponent.InitComponent"
		size = 30
		refs = "0006 TIdInitializerComponent.InitComponent 000f TIdThreadComponent.SetStopMode 0018 TIdThreadComponent.SetPriority"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 03 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_38279_0 {
	meta:
		name = "TIWSessions.InternalLock"
		size = 8
		altNames = "TIdThreadSafe.Lock TInThreadSafe.Lock TInvokableClassRegistry.Lock"
	strings:
		$1 = { 8B 40 04 8B 10 FF 12 C3 }
	condition:
		$1
}

rule function_38280_0 {
	meta:
		name = "TIWSessions.InternalUnLock"
		size = 9
		altNames = "TIdThreadSafe.Unlock TInThreadSafe.Unlock TInvokableClassRegistry.UnLock"
	strings:
		$1 = { 8B 40 04 8B 10 FF 52 04 C3 }
	condition:
		$1
}

rule function_38281_0 {
	meta:
		name = "TIdThreadSafeInteger.Decrement"
		size = 82
		refs = "000d TIdThreadSafe.Lock 0015 TIdThreadSafeInteger.Decrement 003f TIdThreadSafe.Unlock 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 8B 45 FC FF 48 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_38303_0 {
	meta:
		name = "TIdThreadSafeCardinal.Decrement"
		size = 82
		refs = "000d TIdThreadSafe.Lock 0015 TIdThreadSafeCardinal.Decrement 003f TIdThreadSafe.Unlock 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 8B 45 FC FF 48 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_42161_0 {
	meta:
		name = "TInThreadSafeCardinal.Decrement"
		size = 82
		refs = "000d TInThreadSafe.Lock 0015 TInThreadSafeCardinal.Decrement 003f TInThreadSafe.Unlock 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 8B 45 FC FF 48 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_42139_0 {
	meta:
		name = "TInThreadSafeInteger.Decrement"
		size = 82
		refs = "000d TInThreadSafe.Lock 0015 TInThreadSafeInteger.Decrement 003f TInThreadSafe.Unlock 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 8B 45 FC FF 48 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_38282_0 {
	meta:
		name = "TIdThreadSafeInteger.Decrement"
		size = 86
		refs = "0010 TIdThreadSafe.Lock 0018 TIdThreadSafeInteger.Decrement 0042 TIdThreadSafe.Unlock 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 8B 45 FC 29 58 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38304_0 {
	meta:
		name = "TIdThreadSafeCardinal.Decrement"
		size = 86
		refs = "0010 TIdThreadSafe.Lock 0018 TIdThreadSafeCardinal.Decrement 0042 TIdThreadSafe.Unlock 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 8B 45 FC 29 58 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42162_0 {
	meta:
		name = "TInThreadSafeCardinal.Decrement"
		size = 86
		refs = "0010 TInThreadSafe.Lock 0018 TInThreadSafeCardinal.Decrement 0042 TInThreadSafe.Unlock 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 8B 45 FC 29 58 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42140_0 {
	meta:
		name = "TInThreadSafeInteger.Decrement"
		size = 86
		refs = "0010 TInThreadSafe.Lock 0018 TInThreadSafeInteger.Decrement 0042 TInThreadSafe.Unlock 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 8B 45 FC 29 58 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38284_0 {
	meta:
		name = "TIdThreadSafeInteger.Increment"
		size = 82
		refs = "000d TIdThreadSafe.Lock 0015 TIdThreadSafeInteger.Increment 003f TIdThreadSafe.Unlock 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 8B 45 FC FF 40 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_38306_0 {
	meta:
		name = "TIdThreadSafeCardinal.Increment"
		size = 82
		refs = "000d TIdThreadSafe.Lock 0015 TIdThreadSafeCardinal.Increment 003f TIdThreadSafe.Unlock 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 8B 45 FC FF 40 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_42164_0 {
	meta:
		name = "TInThreadSafeCardinal.Increment"
		size = 82
		refs = "000d TInThreadSafe.Lock 0015 TInThreadSafeCardinal.Increment 003f TInThreadSafe.Unlock 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 8B 45 FC FF 40 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_42142_0 {
	meta:
		name = "TInThreadSafeInteger.Increment"
		size = 82
		refs = "000d TInThreadSafe.Lock 0015 TInThreadSafeInteger.Increment 003f TInThreadSafe.Unlock 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 8B 45 FC FF 40 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_38285_0 {
	meta:
		name = "TIdThreadSafeInteger.Increment"
		size = 86
		refs = "0010 TIdThreadSafe.Lock 0018 TIdThreadSafeInteger.Increment 0042 TIdThreadSafe.Unlock 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 8B 45 FC 01 58 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38307_0 {
	meta:
		name = "TIdThreadSafeCardinal.Increment"
		size = 86
		refs = "0010 TIdThreadSafe.Lock 0018 TIdThreadSafeCardinal.Increment 0042 TIdThreadSafe.Unlock 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 8B 45 FC 01 58 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42165_0 {
	meta:
		name = "TInThreadSafeCardinal.Increment"
		size = 86
		refs = "0010 TInThreadSafe.Lock 0018 TInThreadSafeCardinal.Increment 0042 TInThreadSafe.Unlock 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 8B 45 FC 01 58 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42143_0 {
	meta:
		name = "TInThreadSafeInteger.Increment"
		size = 86
		refs = "0010 TInThreadSafe.Lock 0018 TInThreadSafeInteger.Increment 0042 TInThreadSafe.Unlock 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 8B 45 FC 01 58 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38286_0 {
	meta:
		name = "TIdThreadSafeInteger.SetValue"
		size = 71
		refs = "000e TIdThreadSafe.Lock 0016 TIdThreadSafeInteger.SetValue 0037 TIdThreadSafe.Unlock 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 58 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_38308_0 {
	meta:
		name = "TIdThreadSafeCardinal.SetValue"
		size = 71
		refs = "000e TIdThreadSafe.Lock 0016 TIdThreadSafeCardinal.SetValue 0037 TIdThreadSafe.Unlock 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 58 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_42166_0 {
	meta:
		name = "TInThreadSafeCardinal.SetValue"
		size = 71
		refs = "000e TInThreadSafe.Lock 0016 TInThreadSafeCardinal.SetValue 0037 TInThreadSafe.Unlock 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 58 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_42144_0 {
	meta:
		name = "TInThreadSafeInteger.SetValue"
		size = 71
		refs = "000e TInThreadSafe.Lock 0016 TInThreadSafeInteger.SetValue 0037 TInThreadSafe.Unlock 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 58 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_38287_0 {
	meta:
		name = "TIdThreadSafeString.Append"
		size = 78
		refs = "000e TIdThreadSafe.Lock 0016 TIdThreadSafeString.Append 0029 @UStrCat 003e TIdThreadSafe.Unlock 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 08 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_38290_0 {
	meta:
		name = "TIdThreadSafeString.SetValue"
		size = 78
		refs = "000e TIdThreadSafe.Lock 0016 TIdThreadSafeString.SetValue 0029 @UStrAsg 003e TIdThreadSafe.Unlock 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 08 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_42145_0 {
	meta:
		name = "TInThreadSafeString.Append"
		size = 78
		refs = "000e TInThreadSafe.Lock 0016 TInThreadSafeString.Append 0029 @UStrCat 003e TInThreadSafe.Unlock 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 08 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_42148_0 {
	meta:
		name = "TInThreadSafeString.SetValue"
		size = 78
		refs = "000e TInThreadSafe.Lock 0016 TInThreadSafeString.SetValue 0029 @UStrAsg 003e TInThreadSafe.Unlock 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 08 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_38288_0 {
	meta:
		name = "TIdThreadSafeString.GetValue"
		size = 78
		refs = "000e TIdThreadSafe.Lock 0016 TIdThreadSafeString.GetValue 0029 @UStrAsg 003e TIdThreadSafe.Unlock 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_42146_0 {
	meta:
		name = "TInThreadSafeString.GetValue"
		size = 78
		refs = "000e TInThreadSafe.Lock 0016 TInThreadSafeString.GetValue 0029 @UStrAsg 003e TInThreadSafe.Unlock 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_38289_0 {
	meta:
		name = "TIdThreadSafeString.Prepend"
		size = 84
		refs = "000e TIdThreadSafe.Lock 0016 TIdThreadSafeString.Prepend 002f @UStrCat3 0044 TIdThreadSafe.Unlock 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 48 08 8B 45 FC 83 C0 08 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_42147_0 {
	meta:
		name = "TInThreadSafeString.Prepend"
		size = 84
		refs = "000e TInThreadSafe.Lock 0016 TInThreadSafeString.Prepend 002f @UStrCat3 0044 TInThreadSafe.Unlock 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 48 08 8B 45 FC 83 C0 08 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_38291_0 {
	meta:
		name = "TIdThreadSafeStringList.Add"
		size = 72
		refs = "000e TIdThreadSafeStringList.Lock 0016 TIdThreadSafeStringList.Add 0038 TIdThreadSafeStringList.Unlock 003e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D6 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_42149_0 {
	meta:
		name = "TInThreadSafeStringList.Add"
		size = 72
		refs = "000e TInThreadSafeStringList.Lock 0016 TInThreadSafeStringList.Add 0038 TInThreadSafeStringList.Unlock 003e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D6 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_38292_0 {
	meta:
		name = "TIdThreadSafeStringList.AddObject"
		size = 80
		refs = "0012 TIdThreadSafeStringList.Lock 001a TIdThreadSafeStringList.AddObject 003e TIdThreadSafeStringList.Unlock 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CF 8B D6 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42150_0 {
	meta:
		name = "TInThreadSafeStringList.AddObject"
		size = 80
		refs = "0012 TInThreadSafeStringList.Lock 001a TInThreadSafeStringList.AddObject 003e TInThreadSafeStringList.Unlock 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CF 8B D6 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38293_0 {
	meta:
		name = "TIdThreadSafeStringList.Clear"
		size = 66
		refs = "000b TIdThreadSafeStringList.Lock 0013 TIdThreadSafeStringList.Clear 0033 TIdThreadSafeStringList.Unlock 0039 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_42151_0 {
	meta:
		name = "TInThreadSafeStringList.Clear"
		size = 66
		refs = "000b TInThreadSafeStringList.Lock 0013 TInThreadSafeStringList.Clear 0033 TInThreadSafeStringList.Unlock 0039 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_38296_0 {
	meta:
		name = "TIdThreadSafeStringList.Empty"
		size = 85
		refs = "000e TIdThreadSafeStringList.Lock 0018 TIdThreadSafeStringList.Empty 0040 TIdThreadSafeStringList.Unlock 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 14 85 C0 0F 94 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42154_0 {
	meta:
		name = "TInThreadSafeStringList.Empty"
		size = 85
		refs = "000e TInThreadSafeStringList.Lock 0018 TInThreadSafeStringList.Empty 0040 TInThreadSafeStringList.Unlock 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 14 85 C0 0F 94 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38299_0 {
	meta:
		name = "TIdThreadSafeStringList.ObjectByItem"
		size = 106
		refs = "0016 TIdThreadSafeStringList.Lock 0020 TIdThreadSafeStringList.ObjectByItem 0055 TIdThreadSafeStringList.Unlock 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B DA 89 45 FC 33 C0 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B C6 8B 08 FF 51 54 83 F8 FF 7E 0C 8B D0 8B C6 8B 08 FF 51 18 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42157_0 {
	meta:
		name = "TInThreadSafeStringList.ObjectByItem"
		size = 106
		refs = "0016 TInThreadSafeStringList.Lock 0020 TInThreadSafeStringList.ObjectByItem 0055 TInThreadSafeStringList.Unlock 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B DA 89 45 FC 33 C0 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B C6 8B 08 FF 51 54 83 F8 FF 7E 0C 8B D0 8B C6 8B 08 FF 51 18 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38300_0 {
	meta:
		name = "TIdThreadSafeStringList.Remove"
		size = 92
		refs = "000f TIdThreadSafeStringList.Lock 0019 TIdThreadSafeStringList.Remove 004b TIdThreadSafeStringList.Unlock 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D6 8B C3 8B 08 FF 51 54 83 F8 FF 7E 09 8B D0 8B C3 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42158_0 {
	meta:
		name = "TInThreadSafeStringList.Remove"
		size = 92
		refs = "000f TInThreadSafeStringList.Lock 0019 TInThreadSafeStringList.Remove 004b TInThreadSafeStringList.Unlock 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D6 8B C3 8B 08 FF 51 54 83 F8 FF 7E 09 8B D0 8B C3 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38309_0 {
	meta:
		name = "TIdThreadSafeList.IsCountLessThan"
		size = 30
		refs = "000d TIdThreadSafeList.Count"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 DB 74 0F 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 97 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_42167_0 {
	meta:
		name = "TInThreadSafeList.IsCountLessThan"
		size = 30
		refs = "000d TInThreadSafeList.Count"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 DB 74 0F 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 97 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_38311_0 {
	meta:
		name = "TIdThreadSafeList.Pop"
		size = 114
		refs = "000f TThreadList.LockList 0019 TIdThreadSafeList.Pop 0030 TList.Get 003e TList.Delete 005d TMonitor.Exit 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 08 85 F6 7E 1A 8B D6 4A 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? EB 05 33 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42169_0 {
	meta:
		name = "TInThreadSafeList.Pop"
		size = 114
		refs = "000f TThreadList.LockList 0019 TInThreadSafeList.Pop 0030 TList.Get 003e TList.Delete 005d TMonitor.Exit 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 08 85 F6 7E 1A 8B D6 4A 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? EB 05 33 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38312_0 {
	meta:
		name = "TIdThreadSafeList.Pull"
		size = 108
		refs = "000e TThreadList.LockList 0018 TIdThreadSafeList.Pull 002d TList.Get 0039 TList.Delete 0058 TMonitor.Exit 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 00 7E 17 33 D2 8B C3 E8 ?? ?? ?? ?? 89 45 F8 33 D2 8B C3 E8 ?? ?? ?? ?? EB 05 33 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42170_0 {
	meta:
		name = "TInThreadSafeList.Pull"
		size = 108
		refs = "000e TThreadList.LockList 0018 TInThreadSafeList.Pull 002d TList.Get 0039 TList.Delete 0058 TMonitor.Exit 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 00 7E 17 33 D2 8B C3 E8 ?? ?? ?? ?? 89 45 F8 33 D2 8B C3 E8 ?? ?? ?? ?? EB 05 33 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38313_0 {
	meta:
		name = "TIdThreadSafeList.Assign"
		size = 135
		refs = "0013 TThreadList.LockList 001d TIdThreadSafeList.Assign 0037 TList.SetCapacity 004f TList.Get 0058 TList.Add 0074 TMonitor.Exit 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 10 FF 52 08 8B 45 F8 8B 50 0C 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 8B 58 08 4B 85 DB 7C 1A 43 33 F6 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 46 4B 75 E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42171_0 {
	meta:
		name = "TInThreadSafeList.Assign"
		size = 135
		refs = "0013 TThreadList.LockList 001d TInThreadSafeList.Assign 0037 TList.SetCapacity 004f TList.Get 0058 TList.Add 0074 TMonitor.Exit 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 10 FF 52 08 8B 45 F8 8B 50 0C 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 8B 58 08 4B 85 DB 7C 1A 43 33 F6 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 46 4B 75 E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38314_0 {
	meta:
		name = "TIdThreadSafeList.Assign"
		size = 77
		refs = "000e TThreadList.LockList 0016 TIdThreadSafeList.Assign 003d TMonitor.Exit 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_42172_0 {
	meta:
		name = "TInThreadSafeList.Assign"
		size = 77
		refs = "000e TThreadList.LockList 0016 TInThreadSafeList.Assign 003d TMonitor.Exit 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_38315_0 {
	meta:
		name = "TIdThreadSafeList.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TThreadList.Create 0026 @AfterConstruction"
		altNames = "TInThreadSafeList.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 10 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38316_0 {
	meta:
		name = "TIdThreadSafeList.ClearAndFree"
		size = 108
		refs = "000e TThreadList.LockList 0018 TIdThreadSafeList.ClearAndFree 0032 TList.Get 0037 TObject.Free 005a TMonitor.Exit 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B C7 8B 10 FF 52 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_42174_0 {
	meta:
		name = "TInThreadSafeList.ClearAndFree"
		size = 108
		refs = "000e TThreadList.LockList 0018 TInThreadSafeList.ClearAndFree 0032 TList.Get 0037 TObject.Free 005a TMonitor.Exit 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B C7 8B 10 FF 52 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38317_0 {
	meta:
		name = "TIdThreadSafeList.Destroy"
		size = 49
		refs = "0003 @BeforeDestruction 0014 TIdThreadSafeList.ClearAndFree 001f TThreadList.Destroy 002a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 10 00 74 07 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_42175_0 {
	meta:
		name = "TInThreadSafeList.Destroy"
		size = 49
		refs = "0003 @BeforeDestruction 0014 TInThreadSafeList.ClearAndFree 001f TThreadList.Destroy 002a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 10 00 74 07 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38318_0 {
	meta:
		name = "TIdThreadSafeList.Count"
		size = 76
		refs = "000d TThreadList.LockList 0015 TIdThreadSafeList.Count 0039 TMonitor.Exit 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 08 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_42176_0 {
	meta:
		name = "TInThreadSafeList.Count"
		size = 76
		refs = "000d TThreadList.LockList 0015 TInThreadSafeList.Count 0039 TMonitor.Exit 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 08 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_38319_0 {
	meta:
		name = "TIdThreadSafeBoolean.GetValue"
		size = 78
		refs = "000d TIdThreadSafe.Lock 0015 TIdThreadSafeBoolean.GetValue 003a TIdThreadSafe.Unlock 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 0F B6 40 08 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_42177_0 {
	meta:
		name = "TInThreadSafeBoolean.GetValue"
		size = 78
		refs = "000d TInThreadSafe.Lock 0015 TInThreadSafeBoolean.GetValue 003a TInThreadSafe.Unlock 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 0F B6 40 08 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_38320_0 {
	meta:
		name = "TIdThreadSafeBoolean.SetValue"
		size = 71
		refs = "000e TIdThreadSafe.Lock 0016 TIdThreadSafeBoolean.SetValue 0037 TIdThreadSafe.Unlock 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 88 58 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_42178_0 {
	meta:
		name = "TInThreadSafeBoolean.SetValue"
		size = 71
		refs = "000e TInThreadSafe.Lock 0016 TInThreadSafeBoolean.SetValue 0037 TInThreadSafe.Unlock 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 88 58 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_38321_0 {
	meta:
		name = "TIdThreadSafeBoolean.Toggle"
		size = 86
		refs = "000d TIdThreadSafe.Lock 0015 TIdThreadSafeBoolean.Toggle 0042 TIdThreadSafe.Unlock 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 0F B6 40 08 34 01 8B 55 FC 88 42 08 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_42179_0 {
	meta:
		name = "TInThreadSafeBoolean.Toggle"
		size = 86
		refs = "000d TInThreadSafe.Lock 0015 TInThreadSafeBoolean.Toggle 0042 TInThreadSafe.Unlock 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 0F B6 40 08 34 01 8B 55 FC 88 42 08 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_38322_0 {
	meta:
		name = "TIdThreadSafeDateTime.Add"
		size = 79
		refs = "000b TIdThreadSafe.Lock 0013 TIdThreadSafeDateTime.Add 003e TIdThreadSafe.Unlock 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC DD 40 08 DC 45 08 8B 45 FC DD 58 08 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_38326_0 {
	meta:
		name = "TIdThreadSafeDouble.Add"
		size = 79
		refs = "000b TIdThreadSafe.Lock 0013 TIdThreadSafeDouble.Add 003e TIdThreadSafe.Unlock 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC DD 40 08 DC 45 08 8B 45 FC DD 58 08 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_42180_0 {
	meta:
		name = "TInThreadSafeDateTime.Add"
		size = 79
		refs = "000b TInThreadSafe.Lock 0013 TInThreadSafeDateTime.Add 003e TInThreadSafe.Unlock 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC DD 40 08 DC 45 08 8B 45 FC DD 58 08 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_42184_0 {
	meta:
		name = "TInThreadSafeDouble.Add"
		size = 79
		refs = "000b TInThreadSafe.Lock 0013 TInThreadSafeDouble.Add 003e TInThreadSafe.Unlock 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC DD 40 08 DC 45 08 8B 45 FC DD 58 08 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_38323_0 {
	meta:
		name = "TIdThreadSafeDateTime.GetValue"
		size = 82
		refs = "000d TIdThreadSafe.Lock 0015 TIdThreadSafeDateTime.GetValue 003f TIdThreadSafe.Unlock 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 08 89 55 F0 8B 50 0C 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_38327_0 {
	meta:
		name = "TIdThreadSafeDouble.GetValue"
		size = 82
		refs = "000d TIdThreadSafe.Lock 0015 TIdThreadSafeDouble.GetValue 003f TIdThreadSafe.Unlock 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 08 89 55 F0 8B 50 0C 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_42181_0 {
	meta:
		name = "TInThreadSafeDateTime.GetValue"
		size = 82
		refs = "000d TInThreadSafe.Lock 0015 TInThreadSafeDateTime.GetValue 003f TInThreadSafe.Unlock 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 08 89 55 F0 8B 50 0C 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_42185_0 {
	meta:
		name = "TInThreadSafeDouble.GetValue"
		size = 82
		refs = "000d TInThreadSafe.Lock 0015 TInThreadSafeDouble.GetValue 003f TInThreadSafe.Unlock 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 08 89 55 F0 8B 50 0C 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_38324_0 {
	meta:
		name = "TIdThreadSafeDateTime.SetValue"
		size = 78
		refs = "000b TIdThreadSafe.Lock 0013 TIdThreadSafeDateTime.SetValue 003d TIdThreadSafe.Unlock 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 08 89 50 08 8B 55 0C 89 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_38328_0 {
	meta:
		name = "TIdThreadSafeDouble.SetValue"
		size = 78
		refs = "000b TIdThreadSafe.Lock 0013 TIdThreadSafeDouble.SetValue 003d TIdThreadSafe.Unlock 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 08 89 50 08 8B 55 0C 89 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_38335_0 {
	meta:
		name = "TIdThreadSafeInt64.SetValue"
		size = 78
		refs = "000b TIdThreadSafe.Lock 0013 TIdThreadSafeInt64.SetValue 003d TIdThreadSafe.Unlock 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 08 89 50 08 8B 55 0C 89 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_42182_0 {
	meta:
		name = "TInThreadSafeDateTime.SetValue"
		size = 78
		refs = "000b TInThreadSafe.Lock 0013 TInThreadSafeDateTime.SetValue 003d TInThreadSafe.Unlock 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 08 89 50 08 8B 55 0C 89 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_42186_0 {
	meta:
		name = "TInThreadSafeDouble.SetValue"
		size = 78
		refs = "000b TInThreadSafe.Lock 0013 TInThreadSafeDouble.SetValue 003d TInThreadSafe.Unlock 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 08 89 50 08 8B 55 0C 89 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_42193_0 {
	meta:
		name = "TInThreadSafeInt64.SetValue"
		size = 78
		refs = "000b TInThreadSafe.Lock 0013 TInThreadSafeInt64.SetValue 003d TInThreadSafe.Unlock 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 08 89 50 08 8B 55 0C 89 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_38325_0 {
	meta:
		name = "TIdThreadSafeDateTime.Subtract"
		size = 79
		refs = "000b TIdThreadSafe.Lock 0013 TIdThreadSafeDateTime.Subtract 003e TIdThreadSafe.Unlock 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC DD 40 08 DC 65 08 8B 45 FC DD 58 08 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_38329_0 {
	meta:
		name = "TIdThreadSafeDouble.Subtract"
		size = 79
		refs = "000b TIdThreadSafe.Lock 0013 TIdThreadSafeDouble.Subtract 003e TIdThreadSafe.Unlock 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC DD 40 08 DC 65 08 8B 45 FC DD 58 08 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_42183_0 {
	meta:
		name = "TInThreadSafeDateTime.Subtract"
		size = 79
		refs = "000b TInThreadSafe.Lock 0013 TInThreadSafeDateTime.Subtract 003e TInThreadSafe.Unlock 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC DD 40 08 DC 65 08 8B 45 FC DD 58 08 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_42187_0 {
	meta:
		name = "TInThreadSafeDouble.Subtract"
		size = 79
		refs = "000b TInThreadSafe.Lock 0013 TInThreadSafeDouble.Subtract 003e TInThreadSafe.Unlock 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC DD 40 08 DC 65 08 8B 45 FC DD 58 08 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_38330_0 {
	meta:
		name = "TIdThreadSafeInt64.Decrement"
		size = 102
		refs = "000d TIdThreadSafe.Lock 0015 TIdThreadSafeInt64.Decrement 004e TIdThreadSafe.Unlock 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 08 89 55 F0 8B 50 0C 89 55 F4 8B 45 08 8B 55 0C 8B 4D FC 29 41 08 19 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 55 F4 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_42188_0 {
	meta:
		name = "TInThreadSafeInt64.Decrement"
		size = 102
		refs = "000d TInThreadSafe.Lock 0015 TInThreadSafeInt64.Decrement 004e TInThreadSafe.Unlock 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 08 89 55 F0 8B 50 0C 89 55 F4 8B 45 08 8B 55 0C 8B 4D FC 29 41 08 19 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 55 F4 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_38331_0 {
	meta:
		name = "TIdThreadSafeInt64.Decrement"
		size = 96
		refs = "000d TIdThreadSafe.Lock 0015 TIdThreadSafeInt64.Decrement 004a TIdThreadSafe.Unlock 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 08 89 55 F0 8B 50 0C 89 55 F4 8B 45 FC 83 68 08 01 83 58 0C 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 55 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_42189_0 {
	meta:
		name = "TInThreadSafeInt64.Decrement"
		size = 96
		refs = "000d TInThreadSafe.Lock 0015 TInThreadSafeInt64.Decrement 004a TInThreadSafe.Unlock 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 08 89 55 F0 8B 50 0C 89 55 F4 8B 45 FC 83 68 08 01 83 58 0C 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 55 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_38332_0 {
	meta:
		name = "TIdThreadSafeInt64.GetValue"
		size = 85
		refs = "000d TIdThreadSafe.Lock 0015 TIdThreadSafeInt64.GetValue 003f TIdThreadSafe.Unlock 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 08 89 55 F0 8B 50 0C 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 55 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_42190_0 {
	meta:
		name = "TInThreadSafeInt64.GetValue"
		size = 85
		refs = "000d TInThreadSafe.Lock 0015 TInThreadSafeInt64.GetValue 003f TInThreadSafe.Unlock 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 08 89 55 F0 8B 50 0C 89 55 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 55 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_38333_0 {
	meta:
		name = "TIdThreadSafeInt64.Increment"
		size = 102
		refs = "000d TIdThreadSafe.Lock 0015 TIdThreadSafeInt64.Increment 004e TIdThreadSafe.Unlock 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 08 89 55 F0 8B 50 0C 89 55 F4 8B 45 08 8B 55 0C 8B 4D FC 01 41 08 11 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 55 F4 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_42191_0 {
	meta:
		name = "TInThreadSafeInt64.Increment"
		size = 102
		refs = "000d TInThreadSafe.Lock 0015 TInThreadSafeInt64.Increment 004e TInThreadSafe.Unlock 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 08 89 55 F0 8B 50 0C 89 55 F4 8B 45 08 8B 55 0C 8B 4D FC 01 41 08 11 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 55 F4 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_38334_0 {
	meta:
		name = "TIdThreadSafeInt64.Increment"
		size = 96
		refs = "000d TIdThreadSafe.Lock 0015 TIdThreadSafeInt64.Increment 004a TIdThreadSafe.Unlock 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 08 89 55 F0 8B 50 0C 89 55 F4 8B 45 FC 83 40 08 01 83 50 0C 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 55 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_42192_0 {
	meta:
		name = "TInThreadSafeInt64.Increment"
		size = 96
		refs = "000d TInThreadSafe.Lock 0015 TInThreadSafeInt64.Increment 004a TInThreadSafe.Unlock 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 08 89 55 F0 8B 50 0C 89 55 F4 8B 45 FC 83 40 08 01 83 50 0C 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 55 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_38338_0 {
	meta:
		name = "TIdCustomTime.InitComponent"
		size = 54
		refs = "0006 TIdTCPClientCustom.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 25 00 8B C3 8B 08 FF 91 A4 00 00 00 33 C0 89 83 10 01 00 00 C7 83 14 01 00 00 00 00 00 40 C7 83 1C 01 00 00 C4 09 00 00 5B C3 }
	condition:
		$1
}

rule function_38339_0 {
	meta:
		name = "TIdCustomTime.GetDateTime"
		size = 124
		refs = "000a TIdCustomTime.GetDateTimeCard 0022 Int 0047 TIdCustomTime.GetDateTime 0053 TimeZoneBias"
	strings:
		$1 = { 53 56 83 C4 E4 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 4F DD 83 10 01 00 00 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? 8B 83 18 01 00 00 B9 E8 03 00 00 33 D2 F7 F1 03 F0 89 74 24 08 33 C0 89 44 24 0C DF 6C 24 08 D8 35 ?? ?? ?? ?? DE C1 DB 7C 24 10 9B E8 ?? ?? ?? ?? DB 6C 24 10 DE E1 DD 1C 24 9B EB 09 33 C0 89 04 24 89 44 24 04 DD 04 24 83 C4 1C 5E 5B C3 00 00 00 00 C0 A8 47 }
	condition:
		$1
}

rule function_38340_0 {
	meta:
		name = "TIdCustomTime.GetDateTimeCard"
		size = 147
		refs = "0019 TIdCustomTime.GetDateTimeCard 003c Ticks 004e TIdIOHandler.ReadLongWord 005f GetTickDiff 007f TIdTCPConnection.Disconnect 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC 8B 10 FF 92 AC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 1C 01 00 00 8B 55 FC 8B 92 98 00 00 00 89 82 C0 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 80 98 00 00 00 B2 01 E8 ?? ?? ?? ?? 89 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? D1 E8 8B 55 FC 89 82 18 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38341_0 {
	meta:
		name = "TIdCustomTime.SyncTime"
		size = 52
		refs = "0004 TIdCustomTime.GetDateTime 0011 TIdCustomTime.SyncTime 0029 IndySetLocalTime"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 C0 84 C0 74 0D FF 74 24 04 FF 74 24 04 E8 ?? ?? ?? ?? 59 5A C3 00 00 00 00 }
	condition:
		$1
}

rule function_38351_0 {
	meta:
		name = "TIdCustomTimeUDP.SyncTime"
		size = 52
		refs = "0004 TIdCustomTimeUDP.GetDateTime 0011 TIdCustomTimeUDP.SyncTime 0029 IndySetLocalTime"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 C0 84 C0 74 0D FF 74 24 04 FF 74 24 04 E8 ?? ?? ?? ?? 59 5A C3 00 00 00 00 }
	condition:
		$1
}

rule function_38344_0 {
	meta:
		name = "TIdCustomTimeServer.InitComponent"
		size = 44
		refs = "0006 TIdCustomTCPServer.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 25 00 8B C3 8B 08 FF 91 98 00 00 00 33 C0 89 83 18 01 00 00 C7 83 1C 01 00 00 00 00 00 40 5B C3 }
	condition:
		$1
}

rule function_38345_0 {
	meta:
		name = "TIdCustomTimeServer.DoExecute"
		size = 124
		refs = "001b Int 0024 Now 002e TimeZoneBias 003d TIdCustomTimeServer.DoExecute 004e @TRUNC 005d TIdIOHandler.Write 0064 TIdTCPConnection.Disconnect"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B F0 B3 01 8B 7A 14 DD 86 18 01 00 00 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 3C 24 9B E8 ?? ?? ?? ?? DD 5C 24 0C 9B E8 ?? ?? ?? ?? DC 44 24 0C DB 2C 24 DE E9 D8 0D ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 B1 01 8B 87 98 00 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C3 83 C4 14 5F 5E 5B C3 00 00 00 00 00 C0 41 00 00 70 42 }
	condition:
		$1
}

rule function_38348_0 {
	meta:
		name = "TIdCustomTimeUDP.InitComponent"
		size = 41
		refs = "0006 TIdUDPClient.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 25 00 8B C3 8B 08 FF 51 70 33 C0 89 83 D8 00 00 00 C7 83 DC 00 00 00 00 00 00 40 5B C3 }
	condition:
		$1
}

rule function_38349_0 {
	meta:
		name = "TIdCustomTimeUDP.GetDateTime"
		size = 124
		refs = "000a TIdCustomTimeUDP.GetDateTimeCard 0022 Int 0047 TIdCustomTimeUDP.GetDateTime 0053 TimeZoneBias"
	strings:
		$1 = { 53 56 83 C4 E4 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 4F DD 83 D8 00 00 00 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? 8B 83 E0 00 00 00 B9 E8 03 00 00 33 D2 F7 F1 03 F0 89 74 24 08 33 C0 89 44 24 0C DF 6C 24 08 D8 35 ?? ?? ?? ?? DE C1 DB 7C 24 10 9B E8 ?? ?? ?? ?? DB 6C 24 10 DE E1 DD 1C 24 9B EB 09 33 C0 89 04 24 89 44 24 04 DD 04 24 83 C4 1C 5E 5B C3 00 00 00 00 C0 A8 47 }
	condition:
		$1
}

rule function_38350_0 {
	meta:
		name = "TIdCustomTimeUDP.GetDateTimeCard"
		size = 179
		refs = "0013 TIdCustomTimeUDP.GetDateTimeCard 0024 TIdUDPClient.Send 0029 Ticks 003c TArray<System.Byte> 0041 @DynArraySetLength 005b BytesToLongWord 0062 GStack 007c GetTickDiff 009f @DynArrayClear 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 6A 04 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 FC 83 C9 FF 8B C3 8B 30 FF 56 7C 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 51 58 8B F0 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? D1 E8 89 83 E0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38354_0 {
	meta:
		name = "TIdCustomTimeUDPServer.InitComponent"
		size = 41
		refs = "0006 TIdUDPServer.InitComponent 0011 TIdUDPServer.SetDefaultPort"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 25 00 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 E8 00 00 00 C7 83 EC 00 00 00 00 00 00 40 5B C3 }
	condition:
		$1
}

rule function_38355_0 {
	meta:
		name = "TIdCustomTimeUDPServer.DoUDPRead"
		size = 216
		refs = "0014 TIdCustomTimeUDPServer.DoUDPRead 0025 TIdUDPServer.DoUDPRead 0037 Int 0040 Now 0049 TimeZoneBias 0068 @TRUNC 006f GStack 0084 ToBytes 00b5 TArray<System.Byte> 00ba @DynArrayClear 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? DD 86 E8 00 00 00 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F4 9B E8 ?? ?? ?? ?? DD 5D EC 9B E8 ?? ?? ?? ?? DC 45 EC DB 6D F4 DE E9 D8 0D ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 A1 ?? ?? ?? ?? 8B 00 8B D7 8B 08 FF 51 30 8B F8 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 08 0F B7 48 22 8B 45 08 8B 50 1C 8B C6 8B 18 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 C0 41 00 00 70 42 }
	condition:
		$1
}

rule function_38358_0 {
	meta:
		name = "TIdTraceRoute.DoReply"
		size = 300
		refs = "0015 TIdTraceRoute.DoReply 0056 PosInStrArray 0089 GStack 00a4 @UStrAsg 00b3 @HandleAnyException 00cc @DoneExcept 00d4 TIdCustomIcmpClient.DoReply 00e9 @UStrClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 E8 00 00 00 00 0F 84 A1 00 00 00 6A 01 B8 ?? ?? ?? ?? 89 45 F4 B8 ?? ?? ?? ?? 89 45 F8 8D 55 F4 8B 45 FC 8B 80 D0 00 00 00 8B 40 08 B9 01 00 00 00 E8 ?? ?? ?? ?? 40 75 73 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 45 FC 8B 80 90 00 00 00 0F B6 48 2D 8B 45 FC 8B 80 D0 00 00 00 8B 50 08 A1 ?? ?? ?? ?? 8B 00 8B 18 FF 53 28 8B 55 F0 8B 45 FC 8B 80 D0 00 00 00 83 C0 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? 8B 45 FC 8B 98 D0 00 00 00 8D 43 20 8B 53 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 30 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 3A 00 30 00 00 00 }
	condition:
		$1
}

rule function_38359_0 {
	meta:
		name = "TIdTraceRoute.Trace"
		size = 192
		refs = "0014 TIdTraceRoute.Trace 002d GStack 003a TIdStack.ResolveHost 004f TIdRawBase.SetTTL 006e TIdCustomIcmpClient.InternalPing 00ad @UStrClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 83 90 00 00 00 0F B6 48 2D A1 ?? ?? ?? ?? 8B 00 8B 93 94 00 00 00 E8 ?? ?? ?? ?? C7 45 F8 01 00 00 00 BF 01 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? BE 01 00 00 00 8B 83 D0 00 00 00 89 70 1C 0F B7 45 F8 50 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 83 D0 00 00 00 0F B6 40 19 2C 02 74 04 2C 02 75 18 47 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 03 C0 89 45 F8 46 83 FE 1F 75 BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38362_0 {
	meta:
		name = "TIdTrivialFTP.CheckOptionAck"
		size = 600
		refs = "0023 TIdTrivialFTP.CheckOptionAck 004c ByteIndex 005c _Dn_EIdTFTPOptionNegotiationFailed 0061 EIdException.Create 0066 @RaiseExcept 006d IndyASCIIEncoding 007f BytesToString 00a4 PosInStrArray 00c5 RSTFTPUnsupportedOption 00ca LoadResString 00d9 Exception.CreateFmt 0133 IndyStrToInt 0167 RSTFTPUnsupportedOptionValue 019c @DynArrayLength 01b3 @HandleOnException 01bb _Dn_Exception 01db SendError 01e0 @RaiseAgain 01e5 @DoneExcept 01fa @UStrClr 020f @UStrArrayClr 0215 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D C8 89 5D DC 89 5D FC 89 5D F8 88 4D F3 8B FA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 02 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E9 54 01 00 00 8B CB 8B D7 33 C0 E8 ?? ?? ?? ?? 8B F0 83 FE FF 75 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 50 8D 45 FC 50 8B CE 2B CB 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 5E 01 6A 00 B8 ?? ?? ?? ?? 89 45 E0 B8 ?? ?? ?? ?? 89 45 E4 8D 55 E0 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 83 7D EC FF 75 31 8B 45 FC 89 45 E0 C6 45 E4 11 8D 45 E0 50 6A 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CB 8B D7 33 C0 E8 ?? ?? ?? ?? 8B F0 83 FE FF 75 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 50 8D 45 F8 50 8B CE 2B CB 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 5E 01 8B 45 EC 83 E8 01 72 04 74 68 EB 6A 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 08 7C 09 81 7D E8 B8 FF 00 00 7E 3B 8B 45 F8 89 45 CC C6 45 D0 11 8B 45 FC 89 45 D4 C6 45 D8 11 8D 45 CC 50 6A 01 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 83 C0 04 8B 55 F4 89 82 94 00 00 00 EB 04 80 7D F3 00 8B C7 E8 ?? ?? ?? ?? 3B D8 0F 8C 9D FE FF FF 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 50 8B 45 F4 0F B7 88 E0 00 00 00 8B 45 F4 8B 90 E4 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 6C 00 6B 00 73 00 69 00 7A 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 73 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_38363_0 {
	meta:
		name = "TIdTrivialFTP.InitComponent"
		size = 50
		refs = "0006 TIdUDPClient.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 D8 00 00 00 01 66 BA 45 00 8B C3 8B 08 FF 51 70 C7 83 DC 00 00 00 DC 05 00 00 C7 83 A4 00 00 00 A0 0F 00 00 5B C3 }
	condition:
		$1
}

rule function_38364_0 {
	meta:
		name = "TIdTrivialFTP.Get"
		size = 1484
		refs = "0023 TIdTrivialFTP.Get 0050 ToBytes 005b TIdTrivialFTP.ModeToStr 0088 IntToStr 00c3 @DynArrayLength 010f TArray<System.Byte> 0114 @DynArraySetLength 011e GStack 0133 CopyTIdWord 014d CopyTIdBytes 0236 TIdUDPClient.SendBuffer 02b1 RSTimeOut 02b6 LoadResString 02c0 _Dn_EIdTFTPException 02c5 EIdException.Create 02ca @RaiseExcept 02eb BytesToWord 0368 WriteTIdBytesToStream 0386 @HandleOnException 038e _Dn_Exception 03ae SendError 03b3 @RaiseAgain 03b8 @DoneExcept 03c2 TIdTrivialFTP.SendAck 042e RSTFTPUnexpectedOp 0442 Exception.CreateFmt 047a TIdTrivialFTP.RaiseError 048c TIdTrivialFTP.CheckOptionAck 0526 @HandleFinally 0564 @UStrArrayClr 0584 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D DC 8B DA 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E0 C7 80 94 00 00 00 04 02 00 00 8D 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 D4 8D 4D F4 33 D2 E8 ?? ?? ?? ?? 8D 4D F0 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D0 8B 45 E0 8B 80 DC 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 8D 4D EC 33 D2 E8 ?? ?? ?? ?? 8D 4D E8 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 CC 33 C0 E8 ?? ?? ?? ?? 8B 45 CC 8D 4D E4 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 83 C3 02 43 8B 45 F4 E8 ?? ?? ?? ?? 03 D8 43 8B 45 F0 E8 ?? ?? ?? ?? 03 D8 43 8B 45 EC E8 ?? ?? ?? ?? 03 D8 43 8B 45 E8 E8 ?? ?? ?? ?? 03 D8 43 8B 45 E4 E8 ?? ?? ?? ?? 03 D8 43 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB A1 ?? ?? ?? ?? 8B 00 66 BA 01 00 8B 08 FF 51 2C 8D 55 FC 8B CB E8 ?? ?? ?? ?? 83 C3 02 53 8B 45 F8 E8 ?? ?? ?? ?? 50 8D 4D FC 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 03 D8 8B 45 FC C6 04 18 00 43 53 8B 45 F4 E8 ?? ?? ?? ?? 50 8D 4D FC 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 03 D8 8B 45 FC C6 04 18 00 43 53 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 4D FC 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 03 D8 8B 45 FC C6 04 18 00 43 53 8B 45 EC E8 ?? ?? ?? ?? 50 8D 4D FC 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 03 D8 8B 45 FC C6 04 18 00 43 53 8B 45 E8 E8 ?? ?? ?? ?? 50 8D 4D FC 33 D2 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 03 D8 8B 45 FC C6 04 18 00 43 53 8B 45 E4 E8 ?? ?? ?? ?? 50 8D 4D FC 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 03 D8 8B 45 FC C6 04 18 00 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? 66 C7 45 DA 01 00 C6 45 D9 00 6A 00 6A 00 33 D2 8B 45 E0 8B 08 FF 51 44 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E0 8B 80 94 00 00 00 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 E0 05 E0 00 00 00 50 8B 45 E0 8B 80 A4 00 00 00 50 8B 45 E0 8D 88 E4 00 00 00 8D 55 FC 8B 45 E0 8B 18 FF 53 74 8B D8 85 DB 7F 21 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 66 83 E8 03 74 18 66 83 E8 02 0F 84 66 01 00 00 66 FF C8 0F 84 6D 01 00 00 E9 81 01 00 00 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 8B F0 66 3B 75 DA 0F 85 C1 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 83 EB 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 04 8B CB 8B 55 FC 8B 45 DC E8 ?? ?? ?? ?? 8B C3 99 52 50 33 D2 8B 45 E0 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 50 8B 45 E0 0F B7 88 E0 00 00 00 8B 45 E0 8B 90 E4 00 00 00 8B 45 E0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 45 E0 E8 ?? ?? ?? ?? 66 81 FE FF FF 0F 85 83 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 3B 82 94 00 00 00 7C 67 6A 04 6A 00 8B 45 E0 0F B7 88 E0 00 00 00 8B 45 E0 8B 90 E4 00 00 00 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 8B 80 E4 00 00 00 89 45 B8 C6 45 BC 11 8B 45 E0 0F B7 80 E0 00 00 00 89 45 C0 C6 45 C4 00 8D 45 B8 50 6A 01 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 D9 01 E9 AF 00 00 00 46 66 89 75 DA 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 3B 82 94 00 00 00 0F 9C 45 D9 E9 90 00 00 00 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? E9 80 00 00 00 B1 01 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? 33 D2 8B 45 E0 E8 ?? ?? ?? ?? EB 67 6A 04 6A 00 8B 45 E0 0F B7 88 E0 00 00 00 8B 45 E0 8B 90 E4 00 00 00 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 8B 80 E4 00 00 00 89 45 B8 C6 45 BC 11 8B 45 E0 0F B7 80 E0 00 00 00 89 45 C0 C6 45 C4 00 8D 45 B8 50 6A 01 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D D9 00 0F 84 53 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 E0 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 52 58 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 6C 00 6B 00 73 00 69 00 7A 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 73 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_38365_0 {
	meta:
		name = "TIdTrivialFTP.Get"
		size = 96
		refs = "0012 _Dn_TIdFileCreateStream 0017 TIdFileCreateStream.Create 0022 TIdTrivialFTP.Get 004e TObject.Free 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38366_0 {
	meta:
		name = "TIdTrivialFTP.ModeToStr"
		size = 104
		refs = "0015 TIdTrivialFTP.ModeToStr 001a @UStrAsg"
	strings:
		$1 = { 53 8B DA 0F B6 80 D8 00 00 00 2C 01 72 04 74 10 EB 1A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6E 00 65 00 74 00 61 00 73 00 63 00 69 00 69 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6F 00 63 00 74 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_38367_0 {
	meta:
		name = "SendDataPacket"
		size = 389
		refs = "0030 IndyMin 0045 TArray<System.Byte> 004a @DynArraySetLength 0052 GStack 0066 CopyTIdWord 0088 SendDataPacket 00a5 ReadTIdBytesFromStream 00b6 @HandleOnException 00be _Dn_Exception 00e7 SendError 00ec @RaiseAgain 00f1 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B 75 08 83 C6 EC 8B 7D 08 83 C7 FC 8B 45 08 8B 40 F8 8B 80 94 00 00 00 83 E8 04 99 52 50 8B 45 08 FF 70 F4 FF 70 F0 E8 ?? ?? ?? ?? 89 06 8B 06 83 C0 04 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? 8B 00 66 BA 03 00 8B 08 FF 51 2C 8B D7 33 C9 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B D3 8B 08 FF 51 2C 8B D7 B9 02 00 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 06 99 52 50 8B D7 8B 45 08 8B 40 E8 B9 04 00 00 00 E8 ?? ?? ?? ?? 89 06 33 C0 5A 59 59 64 89 10 EB 40 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 50 8B 45 08 8B 40 F8 0F B7 88 E0 00 00 00 8B 45 08 8B 40 F8 8B 90 E4 00 00 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 83 C0 04 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 07 50 8B 45 08 8B 40 F8 0F B7 88 E0 00 00 00 8B 45 08 8B 40 F8 8B 90 E4 00 00 00 8B 45 08 8B 40 F8 8B 38 FF 97 84 00 00 00 8B 45 08 C6 40 E7 01 8B 06 99 52 50 8B 45 08 8B 40 F8 B2 01 8B 08 FF 51 48 8B 06 99 8B 4D 08 29 41 F0 19 51 F4 8B 06 8B 55 08 8B 52 F8 8B 92 94 00 00 00 83 EA 04 3B C2 8B 45 08 0F 9C 40 E6 8B 45 08 66 89 58 E4 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_38368_0 {
	meta:
		name = "TIdTrivialFTP.Put"
		size = 1436
		refs = "0020 TIdTrivialFTP.Put 0052 TStream.GetPosition 006d ToBytes 0078 TIdTrivialFTP.ModeToStr 00a5 IntToStr 00e4 @DynArrayLength 0130 TArray<System.Byte> 0135 @DynArraySetLength 013f GStack 0154 CopyTIdWord 016e CopyTIdBytes 0257 TIdUDPClient.SendBuffer 02bb IndyMax 02e1 RSTimeOut 02e6 LoadResString 02f0 _Dn_EIdTFTPException 02f5 EIdException.Create 02fa @RaiseExcept 031e BytesToWord 039d SendError 03a6 _Dn_EIdTFTPAllocationExceeded 03b7 SendDataPacket 0412 RSTFTPUnexpectedOp 0426 Exception.CreateFmt 0438 TIdTrivialFTP.CheckOptionAck 0450 TIdTrivialFTP.RaiseError 04ea @HandleFinally 0528 @UStrArrayClr 0548 @FinalizeArray 0556 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 8B D9 89 55 E8 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 C7 80 94 00 00 00 04 02 00 00 8B 45 E8 8B 10 FF 12 52 50 8B 45 E8 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 89 45 F0 89 55 F4 8D 4D E0 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 C8 8D 4D DC 33 D2 E8 ?? ?? ?? ?? 8D 4D D8 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 C4 8B 45 F8 8B 80 DC 00 00 00 E8 ?? ?? ?? ?? 8B 45 C4 8D 4D D4 33 D2 E8 ?? ?? ?? ?? 8D 4D D0 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 8D 45 C0 E8 ?? ?? ?? ?? 8B 45 C0 8D 4D CC 33 D2 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B D8 83 C3 02 43 8B 45 DC E8 ?? ?? ?? ?? 03 D8 43 8B 45 D8 E8 ?? ?? ?? ?? 03 D8 43 8B 45 D4 E8 ?? ?? ?? ?? 03 D8 43 8B 45 D0 E8 ?? ?? ?? ?? 03 D8 43 8B 45 CC E8 ?? ?? ?? ?? 03 D8 43 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB A1 ?? ?? ?? ?? 8B 00 66 BA 02 00 8B 08 FF 51 2C 8D 55 FC 8B CB E8 ?? ?? ?? ?? 83 C3 02 53 8B 45 E0 E8 ?? ?? ?? ?? 50 8D 4D FC 33 D2 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 03 D8 8B 45 FC C6 04 18 00 43 53 8B 45 DC E8 ?? ?? ?? ?? 50 8D 4D FC 33 D2 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 03 D8 8B 45 FC C6 04 18 00 43 53 8B 45 D8 E8 ?? ?? ?? ?? 50 8D 4D FC 33 D2 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 03 D8 8B 45 FC C6 04 18 00 43 53 8B 45 D4 E8 ?? ?? ?? ?? 50 8D 4D FC 33 D2 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 03 D8 8B 45 FC C6 04 18 00 43 53 8B 45 D0 E8 ?? ?? ?? ?? 50 8D 4D FC 33 D2 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 03 D8 8B 45 FC C6 04 18 00 43 53 8B 45 CC E8 ?? ?? ?? ?? 50 8D 4D FC 33 D2 8B 45 CC E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 03 D8 8B 45 FC C6 04 18 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 66 C7 45 E4 00 00 C6 45 E6 00 FF 75 F4 FF 75 F0 B2 01 8B 45 F8 8B 08 FF 51 44 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 80 94 00 00 00 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 05 E0 00 00 00 50 8B 45 F8 8B 90 A4 00 00 00 B8 F4 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 F8 8D 88 E4 00 00 00 8D 55 FC 8B 45 F8 8B 18 FF 53 74 89 45 EC 83 7D EC 00 7F 21 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 66 83 E8 04 74 13 66 FF C8 0F 84 0A 01 00 00 66 FF C8 74 7D E9 0D 01 00 00 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 66 3B 45 E4 0F 85 4F 01 00 00 C6 45 E7 00 80 7D E6 00 0F 85 41 01 00 00 66 3D FF FF 75 32 6A 03 6A 00 8B 45 F8 0F B7 88 E0 00 00 00 8B 45 F8 8B 90 E4 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 40 E8 ?? ?? ?? ?? 59 E9 FC 00 00 00 66 83 7D E4 00 74 67 6A 04 6A 00 8B 45 F8 0F B7 88 E0 00 00 00 8B 45 F8 8B 90 E4 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 E4 00 00 00 89 45 AC C6 45 B0 11 8B 45 F8 0F B7 80 E0 00 00 00 89 45 B4 C6 45 B8 00 8D 45 AC 50 6A 01 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 55 66 B8 01 00 E8 ?? ?? ?? ?? 59 EB 74 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 67 6A 04 6A 00 8B 45 F8 0F B7 88 E0 00 00 00 8B 45 F8 8B 90 E4 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 E4 00 00 00 89 45 AC C6 45 B0 11 8B 45 F8 0F B7 80 E0 00 00 00 89 45 B4 C6 45 B8 00 8D 45 AC 50 6A 01 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D E6 00 0F 84 BC FD FF FF 80 7D E7 00 0F 85 B2 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 F8 8B 08 FF 51 4C C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 58 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 6C 00 6B 00 73 00 69 00 7A 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 73 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_38369_0 {
	meta:
		name = "TIdTrivialFTP.Put"
		size = 87
		refs = "000d _Dn_TIdReadFileExclusiveStream 0014 TIdReadFileExclusiveStream.Create 001f TIdTrivialFTP.Put 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B D8 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38370_0 {
	meta:
		name = "TIdTrivialFTP.RaiseError"
		size = 377
		refs = "000c TIdTrivialFTP.RaiseError 0019 IndyASCIIEncoding 0025 @DynArrayLength 0036 BytesToString 0042 BytesToWord 0049 GStack 0091 _Dn_EIdTFTPFileNotFound 0096 EIdException.Create 009b @RaiseExcept 00aa _Dn_EIdTFTPAccessViolation 00c3 _Dn_EIdTFTPAllocationExceeded 00dc _Dn_EIdTFTPIllegalOperation 00f2 _Dn_EIdTFTPUnknownTransferID 0108 _Dn_EIdTFTPFileAlreadyExists 011e _Dn_EIdTFTPNoSuchUser 0134 _Dn_EIdTFTPOptionNegotiationFailed 014a _Dn_EIdTFTPException 0169 @UStrClr 016f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B0 01 E8 ?? ?? ?? ?? 50 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B C8 83 E9 04 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 0F B7 C0 83 F8 08 0F 87 E4 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B4 00 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9B 00 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 82 00 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6C 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 56 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 40 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2A 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 14 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_38371_0 {
	meta:
		name = "TIdTrivialFTP.SendAck"
		size = 102
		refs = "000f TIdTrivialFTP.SendAck 001f MakeActPkt 0050 TArray<System.Byte> 0055 @DynArrayClear 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 0F B7 8B E0 00 00 00 8B 93 E4 00 00 00 8B C3 8B 18 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38374_0 {
	meta:
		name = "MakeActPkt"
		size = 83
		refs = "0011 TArray<System.Byte> 0016 @DynArraySetLength 001e GStack 0032 CopyTIdWord"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 04 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? 8B 00 66 BA 04 00 8B 08 FF 51 2C 8B D3 33 C9 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 51 2C 8B D3 B9 02 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38375_0 {
	meta:
		name = "SendError"
		size = 260
		refs = "0016 @UStrAddRef 001e SendError 0031 ToBytes 0039 @DynArrayLength 004c TArray<System.Byte> 0051 @DynArraySetLength 0059 GStack 006e CopyTIdWord 00a3 CopyTIdBytes 00e8 @FinalizeArray 00f0 @UStrClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 33 D2 8B 45 08 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 C0 04 40 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? 8B 00 66 BA 05 00 8B 08 FF 51 2C 8D 55 F8 33 C9 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 0F B7 55 0C 8B 08 FF 51 2C 8D 55 F8 B9 02 00 00 00 E8 ?? ?? ?? ?? 6A 04 8B 45 F4 E8 ?? ?? ?? ?? 50 8D 4D F8 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 C0 04 8B 55 F8 C6 04 02 00 8B 45 F8 50 8B CE 8B 55 FC 8B C3 8B 18 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_38376_0 {
	meta:
		name = "SendError"
		size = 96
		refs = "0012 SendError 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 57 8D 55 FC 8B C3 8B 08 FF 51 64 8B 45 FC 50 8B C3 8B 10 FF 52 6C 8B C8 8B C3 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38444_0 {
	meta:
		name = "TIdUDPClient.Send"
		size = 96
		refs = "0012 TIdUDPClient.Send 0039 TIdUDPBase.Send 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 57 8D 55 FC 8B C3 8B 08 FF 51 64 8B 45 FC 50 8B C3 8B 10 FF 52 6C 8B C8 8B C3 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38377_0 {
	meta:
		name = "SendError"
		size = 270
		refs = "0019 @UStrAddRef 0021 SendError 0031 _Dn_EIdTFTPFileNotFound 0036 @IsClass 0046 _Dn_EIdTFTPAccessViolation 005b _Dn_EIdTFTPAllocationExceeded 0070 _Dn_EIdTFTPIllegalOperation 0085 _Dn_EIdTFTPUnknownTransferID 009a _Dn_EIdTFTPFileAlreadyExists 00af _Dn_EIdTFTPNoSuchUser 00c4 _Dn_EIdTFTPOptionNegotiationFailed 00f9 @UStrClr 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 66 89 4D FA 89 55 FC 8B F8 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 66 BE 01 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 66 BE 02 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 66 BE 03 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 66 BE 04 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 66 BE 05 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 66 BE 06 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 66 BE 07 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 66 BE 08 00 56 8B 43 04 50 0F B7 4D FA 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_38378_0 {
	meta:
		name = "SendError"
		size = 91
		refs = "000f SendError 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 8B 08 FF 51 64 8B 45 FC 50 8B C3 8B 10 FF 52 6C 8B C8 8B C3 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38381_0 {
	meta:
		name = "TIdTrivialFTPServer.InitComponent"
		size = 41
		refs = "0006 TIdUDPServer.InitComponent 0011 TIdUDPServer.SetDefaultPort 0018 _Dn_TIdThreadSafeList 001d TIdThreadSafeList.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 45 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 E8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_38382_0 {
	meta:
		name = "TIdTrivialFTPServer.DoReadFile"
		size = 335
		refs = "001d @UStrAddRef 0025 TIdTrivialFTPServer.DoReadFile 008c RSTFTPAccessDenied 0091 LoadResString 009b _Dn_EIdTFTPAccessViolation 00a0 Exception.CreateFmt 00a5 @RaiseExcept 00b5 _Dn_TIdReadFileExclusiveStream 00ba TIdReadFileExclusiveStream.Create 00e2 _DV_TIdTFTPServerSendFileThread 00e7 TIdTFTPServerSendFileThread.Create 00f6 @HandleOnException 00fe _Dn_EFOpenError 010e _Dn_EIdTFTPFileNotFound 0113 EIdException.Create 011d @DoneExcept 0132 @UStrClr 0140 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 88 4D FB 89 55 FC 8B D8 8B 75 10 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FA 01 33 C0 89 45 F4 C6 45 F9 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB FA 00 00 00 00 74 1E 56 8D 45 FA 50 8D 45 F4 50 8D 45 F9 50 8D 4D FC 8B D3 8B 83 FC 00 00 00 FF 93 F8 00 00 00 80 7D FA 00 75 31 8B 45 FC 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F4 00 75 16 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 C6 45 F9 01 0F B6 45 FB 50 56 8B 45 F4 50 0F B6 45 F9 50 8B 45 0C 50 0F B6 45 08 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_38383_0 {
	meta:
		name = "TIdTrivialFTPServer.DoTransferComplete"
		size = 62
		refs = "0034 TObject.Free"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 0C 66 83 B8 F2 00 00 00 00 74 1B 51 56 0F B6 4D 08 51 8B D8 8B CA 8B D0 8B 83 F4 00 00 00 FF 93 F0 00 00 00 EB 0B 8B 06 33 D2 89 16 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_38384_0 {
	meta:
		name = "TIdTrivialFTPServer.DoUDPRead"
		size = 1344
		refs = "0023 TPeerInfo 0028 @InitializeRecord 0030 TIdTrivialFTPServer.DoUDPRead 0046 TIdUDPServer.DoUDPRead 005b @DynArrayLength 0067 BytesToWord 006e GStack 00b5 RSTFTPUnexpectedOp 00ba LoadResString 00c4 _Dn_EIdTFTPIllegalOperation 00c9 Exception.CreateFmt 00ce @RaiseExcept 00de ByteIndex 012e IndyASCIIEncoding 0140 BytesToString 01bb TIdTrivialFTPServer.StrToMode 02c8 TextStartsWith 02d4 IndyStrToInt 030c RSTFTPUnsupportedOptionValue 031b _Dn_EIdTFTPOptionNegotiationFailed 0347 IndyStrToInt64 040c @UStrLAsg 0476 @HandleOnException 047e _Dn_EIdTFTPException 0486 _Dn_Exception 04a0 SendError 04bd @RaiseAgain 04c2 @DoneExcept 04dc @UStrArrayClr 04ea @FinalizeRecord 04fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B DA 89 45 E8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CF 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C7 E8 ?? ?? ?? ?? 48 7E 1D 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 66 89 45 E6 EB 06 66 C7 45 E6 00 00 0F B7 45 E6 48 66 83 E8 02 72 42 8B 45 08 8B 40 1C 89 45 C4 C6 45 C8 11 8B 45 08 0F B7 40 22 89 45 CC C6 45 D0 00 8D 45 C4 50 6A 01 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 02 00 00 00 8B CB 8B D7 33 C0 E8 ?? ?? ?? ?? 8B F0 83 FE FF 75 42 8B 45 08 8B 40 1C 89 45 C4 C6 45 C8 11 8B 45 08 0F B7 40 22 89 45 CC C6 45 D0 00 8D 45 C4 50 6A 01 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 50 8D 45 FC 50 8B CE 2B CB 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 5E 01 8B CB 8B D7 33 C0 E8 ?? ?? ?? ?? 8B F0 83 FE FF 75 42 8B 45 08 8B 40 1C 89 45 C4 C6 45 C8 11 8B 45 08 0F B7 40 22 89 45 CC C6 45 D0 00 8D 45 C4 50 6A 01 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 50 8D 45 B4 50 8B CE 2B CB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 B4 8B 45 E8 E8 ?? ?? ?? ?? 88 45 D7 8D 5E 01 C7 45 E0 00 02 00 00 C7 45 D8 FF FF FF FF C7 45 DC FF FF FF FF E9 14 02 00 00 8B CB 8B D7 33 C0 E8 ?? ?? ?? ?? 8B F0 83 FE FF 75 42 8B 45 08 8B 40 1C 89 45 C4 C6 45 C8 11 8B 45 08 0F B7 40 22 89 45 CC C6 45 D0 00 8D 45 C4 50 6A 01 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 50 8D 45 F8 50 8B CE 2B CB 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 5E 01 8B CB 8B D7 33 C0 E8 ?? ?? ?? ?? 8B F0 83 FE FF 75 42 8B 45 08 8B 40 1C 89 45 C4 C6 45 C8 11 8B 45 08 0F B7 40 22 89 45 CC C6 45 D0 00 8D 45 C4 50 6A 01 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D AC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 50 8D 45 F4 50 8B CE 2B CB 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 5E 01 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 5E 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E0 83 7D E0 08 7C 0D 81 7D E0 B8 FF 00 00 0F 8E 05 01 00 00 8B 45 F4 89 45 C4 C6 45 C8 11 8B 45 F8 89 45 CC C6 45 D0 11 8D 45 C4 50 6A 01 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C5 00 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 B0 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 89 45 D8 89 55 DC 66 83 7D E6 01 75 4D 83 7D DC 00 75 04 83 7D D8 00 0F 84 8B 00 00 00 8B 45 F4 89 45 C4 C6 45 C8 11 8B 45 F8 89 45 CC C6 45 D0 11 8D 45 C4 50 6A 01 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4E 81 7D DC FF FF FF 7F 75 08 83 7D D8 FF 76 3F EB 02 7E 3B 8B 45 F4 89 45 C4 C6 45 C8 11 8B 45 F8 89 45 CC C6 45 D0 11 8D 45 C4 50 6A 01 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 3B D8 0F 8C DD FD FF FF 8D 45 EC 8B 55 08 8B 52 1C E8 ?? ?? ?? ?? 8B 45 08 0F B7 40 22 89 45 F0 66 83 7D E6 01 75 2A 8D 45 EC 50 8B 45 E0 50 83 7D DC 00 75 04 83 7D D8 00 0F 94 C0 50 0F B6 4D D7 8B 55 FC 8B 45 E8 8B 18 FF 93 98 00 00 00 EB 20 8D 45 EC 50 8B 45 E0 50 FF 75 DC FF 75 D8 0F B6 4D D7 8B 55 FC 8B 45 E8 8B 18 FF 93 9C 00 00 00 33 C0 5A 59 59 64 89 10 EB 51 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 50 8B 45 08 0F B7 48 22 8B 45 08 8B 50 1C 8B 45 E8 E8 ?? ?? ?? ?? EB 1B 50 8B 45 08 0F B7 48 22 8B 45 08 8B 50 1C 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 6C 00 6B 00 73 00 69 00 7A 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 73 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_38385_0 {
	meta:
		name = "TIdTrivialFTPServer.DoWriteFile"
		size = 456
		refs = "0020 @UStrAddRef 0028 TIdTrivialFTPServer.DoWriteFile 008f RSTFTPAccessDenied 0094 LoadResString 009e _Dn_EIdTFTPAccessViolation 00a3 Exception.CreateFmt 00a8 @RaiseExcept 00b8 _Dn_TIdFileCreateStream 00bd TIdFileCreateStream.Create 00f0 TStream.SetSize64 00ff @HandleAnyException 0116 RSTFTPDiskFull 0125 _Dn_EIdTFTPAllocationExceeded 0134 @DoneExcept 0156 _DV_TIdTFTPServerReceiveFileThread 015b TIdTFTPServerReceiveFileThread.Create 016a @HandleOnException 0172 _Dn_EFCreateError 0187 EIdException.Create 01ab @UStrArrayClr 01b3 @UStrClr 01b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D E8 88 4D FB 89 55 FC 8B D8 8B 75 14 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FA 01 33 C0 89 45 F4 C6 45 F9 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 02 01 00 00 00 74 1E 56 8D 45 FA 50 8D 45 F4 50 8D 45 F9 50 8D 4D FC 8B D3 8B 83 04 01 00 00 FF 93 00 01 00 00 80 7D FA 00 75 31 8B 45 FC 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F4 00 75 16 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 C6 45 F9 01 83 7D 0C 00 75 08 83 7D 08 00 72 64 EB 02 7C 60 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3A E9 ?? ?? ?? ?? 33 C0 89 45 EC C6 45 F0 00 8D 45 EC 50 6A 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FB 50 56 8B 45 F4 50 0F B6 45 F9 50 8B 45 10 50 FF 75 0C FF 75 08 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_38386_0 {
	meta:
		name = "TIdTrivialFTPServer.StrToMode"
		size = 276
		refs = "0013 @UStrAddRef 001b TIdTrivialFTPServer.StrToMode 004b PosInStrArray 0074 RSTFTPUnsupportedTrxMode 0079 LoadResString 0083 _Dn_EIdTFTPIllegalOperation 0088 Exception.CreateFmt 008d @RaiseExcept 00a2 @UStrClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 C9 89 4D E4 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B8 ?? ?? ?? ?? 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 B8 ?? ?? ?? ?? 89 45 F8 8D 55 F0 B9 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 E8 02 72 04 74 06 EB 08 B3 01 EB 35 33 DB EB 31 8B 45 FC 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6F 00 63 00 74 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6E 00 65 00 74 00 61 00 73 00 63 00 69 00 69 00 00 00 00 00 }
	condition:
		$1
}

rule function_38387_0 {
	meta:
		name = "TIdTrivialFTPServer.Destroy"
		size = 91
		refs = "0003 @BeforeDestruction 001c IndySleep 0027 TIdThreadSafeList.Count 003e TObject.Free 0049 TIdUDPServer.Destroy 0054 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 BE C0 00 00 00 00 74 1B EB 0A B8 64 00 00 00 E8 ?? ?? ?? ?? 8B 86 E8 00 00 00 E8 ?? ?? ?? ?? 85 C0 7F E7 8D 86 E8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38388_0 {
	meta:
		name = "TIdTrivialFTPServer.ActiveThreads"
		size = 12
		refs = "0007 TIdThreadSafeList.Count"
	strings:
		$1 = { 8B 80 E8 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38389_0 {
	meta:
		name = "TIdTFTPServerThread.Create"
		size = 190
		refs = "000f @ClassCreate 0028 TIdThread.Create 0045 _Dn_TIdUDPClient 004a TIdBaseComponent.Create 0099 TThreadList.Add 00a6 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 14 6A 01 6A 00 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 0F 01 8B 45 10 89 43 70 0F B6 45 0C 88 83 89 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 80 00 00 00 89 B3 8C 00 00 00 8B B3 80 00 00 00 C7 86 A4 00 00 00 DC 05 00 00 8B 17 8B C6 8B 08 FF 51 68 0F B7 57 04 8B C6 8B 08 FF 51 70 8B 45 08 83 C0 04 89 86 94 00 00 00 8B 83 8C 00 00 00 8B 80 E8 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_38390_0 {
	meta:
		name = "TIdTFTPServerThread.Destroy"
		size = 101
		refs = "0003 @BeforeDestruction 0020 TObject.Free 0048 TThreadList.RemoveItem 0053 TIdThread.Destroy 005e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 BE 89 00 00 00 00 74 10 8D 46 70 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 80 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B D6 8B 86 8C 00 00 00 8B 80 E8 00 00 00 33 C9 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38391_0 {
	meta:
		name = "TIdTFTPServerThread.AfterRun"
		size = 33
		refs = "0010 TIdTFTPServerThread.TransferComplete 001c TIdThread.Synchronize"
	strings:
		$1 = { 8B 90 8C 00 00 00 80 BA C0 00 00 00 00 74 06 E8 ?? ?? ?? ?? C3 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38392_0 {
	meta:
		name = "TIdTFTPServerThread.BeforeRun"
		size = 296
		refs = "000e TIdTFTPServerThread.BeforeRun 0041 GStack 0054 ToBytes 0060 TArray<System.Byte> 0065 @DynArrayAsg 006c IndyASCIIEncoding 007d AppendString 0087 AppendByte 00a6 IntToStr 00d5 @DynArraySetLength 00ed @UStrClr 00fb @DynArrayClear 0101 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 43 74 00 00 33 C0 89 43 7C C6 83 88 00 00 00 00 8B 83 80 00 00 00 81 B8 94 00 00 00 04 02 00 00 0F 84 84 00 00 00 A1 ?? ?? ?? ?? 8B 00 66 BA 06 00 8B 08 FF 51 2C 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 78 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 50 8D 43 78 83 C9 FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 78 33 D2 E8 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 50 8D 55 F8 8B 83 80 00 00 00 8B 80 94 00 00 00 83 E8 04 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 78 83 C9 FF E8 ?? ?? ?? ?? 8D 43 78 33 D2 E8 ?? ?? ?? ?? EB 18 6A 00 8D 43 78 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 6C 00 6B 00 73 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_38393_0 {
	meta:
		name = "TIdTFTPServerThread.HandleRunException"
		size = 18
		refs = "000a SendError"
	strings:
		$1 = { 53 33 DB 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_38394_0 {
	meta:
		name = "TIdTFTPServerThread.TransferComplete"
		size = 174
		refs = "0013 TPeerInfo 0018 @InitializeRecord 0020 TIdTFTPServerThread.TransferComplete 003f @UStrLAsg 005c _DV_TIdTFTPServerReceiveFileThread 0061 @IsClass 008f @UStrClr 009d @FinalizeRecord 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 83 80 00 00 00 8B 08 FF 51 64 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 83 80 00 00 00 8B 10 FF 52 6C 0F B7 C0 89 45 FC 8D 43 70 50 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 4D F8 0F B6 93 88 00 00 00 8B 83 8C 00 00 00 8B 18 FF 93 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38395_0 {
	meta:
		name = "TIdTFTPServerSendFileThread.Create"
		size = 91
		refs = "000d @ClassCreate 0030 TIdTFTPServerThread.Create 0045 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B6 45 1C 50 8B 45 18 50 8B 45 14 50 0F B6 45 10 50 8B 45 0C 50 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 08 88 86 90 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_38396_0 {
	meta:
		name = "TIdTFTPServerSendFileThread.BeforeRun"
		size = 272
		refs = "000e TIdTFTPServerSendFileThread.BeforeRun 001b TIdTFTPServerThread.BeforeRun 0030 @DynArrayLength 0039 GStack 004c ToBytes 0058 TArray<System.Byte> 005d @DynArrayAsg 0064 IndyASCIIEncoding 0075 AppendString 007f AppendByte 0098 TStream.GetPosition 00ab IntToStr 00d8 @UStrClr 00e6 @DynArrayClear 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB 90 00 00 00 00 0F 84 9B 00 00 00 8B 43 78 E8 ?? ?? ?? ?? 85 C0 75 29 A1 ?? ?? ?? ?? 8B 00 66 BA 06 00 8B 08 FF 51 2C 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 78 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 50 8D 43 78 83 C9 FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 78 33 D2 E8 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 50 8B 43 70 8B 10 FF 12 52 50 8B 43 70 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 78 83 C9 FF E8 ?? ?? ?? ?? 8D 43 78 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 73 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_38397_0 {
	meta:
		name = "TIdTFTPServerSendFileThread.Run"
		size = 815
		refs = "0017 TIdTFTPServerSendFileThread.Run 0025 @DynArrayLength 003e _Dn_EIdTFTPAllocationExceeded 0043 EIdException.Create 0048 @RaiseExcept 0067 TArray<System.Byte> 006c @DynArraySetLength 0074 GStack 0089 CopyTIdWord 00c8 ReadTIdBytesFromStream 0111 RSTimeOut 0116 LoadResString 0120 _Dn_EIdTFTPIllegalOperation 0138 TIdUDPClient.SendBuffer 01b6 BytesToWord 026f RSTFTPUnexpectedOp 0283 Exception.CreateFmt 028f Abort 02ff @UStrArrayClr 0307 @UStrClr 031d @DynArrayClear 0323 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 78 E8 ?? ?? ?? ?? 85 C0 0F 85 D6 00 00 00 66 81 7B 74 FF FF 75 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 FF 43 74 8B 83 80 00 00 00 8B 80 94 00 00 00 50 8D 43 78 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? 8B 00 66 BA 03 00 8B 08 FF 51 2C 8D 53 78 33 C9 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 0F B7 53 74 8B 08 FF 51 2C 8D 53 78 B9 02 00 00 00 E8 ?? ?? ?? ?? 8B 83 80 00 00 00 8B 80 94 00 00 00 83 E8 04 99 52 50 8D 53 78 B9 04 00 00 00 8B 43 70 E8 ?? ?? ?? ?? 8B F0 8D 46 04 50 8D 43 78 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 83 80 00 00 00 8B 80 94 00 00 00 83 E8 04 3B F0 7D 07 C6 83 88 00 00 00 01 33 C0 89 43 7C 83 7B 7C 03 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 78 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 8B 83 80 00 00 00 8B 80 94 00 00 00 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F6 50 6A FF 8D 4D F8 8D 55 FC 8B 83 80 00 00 00 8B 30 FF 56 74 8B F0 85 F6 7F 1D 80 BB 88 00 00 00 00 74 0C 8B C3 8B 10 FF 52 38 E9 58 01 00 00 FF 43 7C E9 50 01 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 66 83 E8 03 74 6A 66 FF C8 74 0E 66 FF C8 0F 84 B2 00 00 00 E9 B4 00 00 00 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 0F B7 F0 0F B7 43 74 3B F0 75 18 6A 00 8D 43 78 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 80 BB 88 00 00 00 00 0F 84 BD 00 00 00 8B C3 8B 10 FF 52 38 E9 B1 00 00 00 8D 55 DC 8B 83 80 00 00 00 8B 08 FF 51 64 8B 45 DC 89 45 E0 C6 45 E4 11 8B 83 80 00 00 00 8B 10 FF 52 6C 0F B7 C0 89 45 E8 C6 45 EC 00 8D 45 E0 50 6A 01 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5B E8 ?? ?? ?? ?? EB 54 8D 55 D4 8B 83 80 00 00 00 8B 08 FF 51 64 8B 45 D4 89 45 E0 C6 45 E4 11 8B 83 80 00 00 00 8B 10 FF 52 6C 0F B7 C0 89 45 E8 C6 45 EC 00 8D 45 E0 50 6A 01 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38398_0 {
	meta:
		name = "TIdTFTPServerReceiveFileThread.Create"
		size = 99
		refs = "000d @ClassCreate 0030 TIdTFTPServerThread.Create 004d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B6 45 20 50 8B 45 1C 50 8B 45 18 50 0F B6 45 14 50 8B 45 10 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 86 90 00 00 00 8B 45 0C 89 86 94 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_38399_0 {
	meta:
		name = "TIdTFTPServerReceiveFileThread.BeforeRun"
		size = 304
		refs = "000e TIdTFTPServerReceiveFileThread.BeforeRun 001b TIdTFTPServerThread.BeforeRun 004d @DynArrayLength 0056 GStack 0069 ToBytes 0075 TArray<System.Byte> 007a @DynArrayAsg 0081 IndyASCIIEncoding 0092 AppendString 009c AppendByte 00b8 IntToStr 00f7 @UStrClr 0105 @DynArrayClear 010b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? C7 83 98 00 00 00 00 00 00 00 C7 83 9C 00 00 00 00 00 00 00 83 BB 94 00 00 00 FF 75 07 83 BB 90 00 00 00 FF 0F 84 8B 00 00 00 8B 43 78 E8 ?? ?? ?? ?? 85 C0 75 29 A1 ?? ?? ?? ?? 8B 00 66 BA 06 00 8B 08 FF 51 2C 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 78 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 50 8D 43 78 83 C9 FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 78 33 D2 E8 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 50 FF B3 94 00 00 00 FF B3 90 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 78 83 C9 FF E8 ?? ?? ?? ?? 8D 43 78 33 D2 E8 ?? ?? ?? ?? 8B 43 78 E8 ?? ?? ?? ?? 85 C0 7E 06 66 C7 43 74 01 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 73 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_38400_0 {
	meta:
		name = "TIdTFTPServerReceiveFileThread.HandleRunException"
		size = 184
		refs = "0019 TIdTFTPServerReceiveFileThread.HandleRunException 0027 _Dn_EWriteError 002c @IsClass 003e RSTFTPDiskFull 0043 LoadResString 004f TStream.GetPosition 006a IndyFormat 007c SendError 0087 TIdTFTPServerThread.HandleRunException 00a3 @UStrArrayClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D FC 89 4D F8 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4E 33 DB 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 47 70 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 8D 45 E8 89 45 F0 C6 45 F4 10 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC 66 BA 03 00 8B 87 80 00 00 00 E8 ?? ?? ?? ?? EB 0B 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38401_0 {
	meta:
		name = "TIdTFTPServerReceiveFileThread.Run"
		size = 1088
		refs = "002e TIdTFTPServerReceiveFileThread.Run 003c @DynArrayLength 004c MakeActPkt 0058 TArray<System.Byte> 005d @DynArrayAsg 0085 RSTimeOut 008a LoadResString 0094 _Dn_EIdTFTPIllegalOperation 0099 EIdException.Create 009e @RaiseExcept 00ac TIdUDPClient.SendBuffer 00cc @DynArraySetLength 013e BytesToWord 0145 GStack 01a0 RSTFTPUnexpectedOp 01b4 Exception.CreateFmt 020d TStream.GetPosition 022b RSTFTPDiskFull 023a _Dn_EIdTFTPAllocationExceeded 02b4 WriteTIdBytesToStream 0385 Abort 03f5 @UStrArrayClr 040a @UStrClr 0418 @DynArrayClear 0434 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 33 D2 89 55 AC 89 55 A8 89 55 B0 89 55 B4 89 55 CC 89 55 C8 89 55 E0 89 55 E4 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 78 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 E4 0F B7 43 74 E8 ?? ?? ?? ?? 8B 55 E4 8D 43 78 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 81 7B 74 FF FF 75 09 C6 83 88 00 00 00 01 EB 04 66 FF 43 74 33 C0 89 43 7C 83 7B 7C 03 75 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 78 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 8B 83 80 00 00 00 8B 80 94 00 00 00 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F6 50 6A FF 8D 4D F8 8D 55 FC 8B 83 80 00 00 00 8B 30 FF 56 74 99 89 45 E8 89 55 EC 83 7D EC 00 75 08 83 7D E8 00 77 21 EB 02 7F 1D 80 BB 88 00 00 00 00 74 0C 8B C3 8B 10 FF 52 38 E9 C9 02 00 00 FF 43 7C E9 C1 02 00 00 8B 45 E8 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 66 83 E8 03 74 6C 66 FF C8 74 0E 66 FF C8 0F 84 20 02 00 00 E9 22 02 00 00 8D 55 CC 8B 83 80 00 00 00 8B 08 FF 51 64 8B 45 CC 89 45 D0 C6 45 D4 11 8B 83 80 00 00 00 8B 10 FF 52 6C 0F B7 C0 89 45 D8 C6 45 DC 00 8D 45 D0 50 6A 01 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1D 02 00 00 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 0F B7 C0 33 D2 89 45 E8 89 55 EC 0F B7 43 74 33 D2 3B 55 EC 0F 85 E8 01 00 00 3B 45 E8 0F 85 DF 01 00 00 80 BB 88 00 00 00 00 74 3F 8B 43 70 E8 ?? ?? ?? ?? 89 45 B8 89 55 BC 8D 45 B8 89 45 C0 C6 45 C4 10 8D 45 C0 50 6A 00 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BB 94 00 00 00 00 75 0F 83 BB 90 00 00 00 00 0F 82 B8 00 00 00 EB 06 0F 8C B0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 E8 04 99 52 50 8B 83 90 00 00 00 8B 93 94 00 00 00 2B 83 98 00 00 00 1B 93 9C 00 00 00 3B 54 24 04 75 09 3B 04 24 5A 58 73 7D EB 04 5A 58 7D 77 6A 04 8B 8B 90 00 00 00 2B 8B 98 00 00 00 8B 55 FC 8B 43 70 E8 ?? ?? ?? ?? 8B 83 90 00 00 00 89 83 98 00 00 00 8B 83 94 00 00 00 89 83 9C 00 00 00 C6 83 88 00 00 00 01 8B 43 70 E8 ?? ?? ?? ?? 89 45 B8 89 55 BC 8D 45 B8 89 45 C0 C6 45 C4 10 8D 45 C0 50 6A 00 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 04 8B 45 FC E8 ?? ?? ?? ?? 8B C8 83 E9 04 8B 55 FC 8B 43 70 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 E8 04 99 01 83 98 00 00 00 11 93 9C 00 00 00 6A 00 8D 43 78 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B 93 80 00 00 00 8B 92 94 00 00 00 83 EA 04 3B C2 0F 9C C0 88 83 88 00 00 00 EB 5B E8 ?? ?? ?? ?? EB 54 8D 55 AC 8B 83 80 00 00 00 8B 08 FF 51 64 8B 45 AC 89 45 D0 C6 45 D4 11 8B 83 80 00 00 00 8B 10 FF 52 6C 0F B7 C0 89 45 D8 C6 45 DC 00 8D 45 D0 50 6A 01 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38405_0 {
	meta:
		name = "TIdUDPBase.Broadcast"
		size = 43
		refs = "0020 TIdSocketHandle.Broadcast"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 50 8B 45 08 50 8B C3 8B 10 FF 52 58 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_38406_0 {
	meta:
		name = "TIdUDPBase.Broadcast"
		size = 39
		refs = "001c TIdSocketHandle.Broadcast"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B C3 8B 10 FF 52 58 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_38407_0 {
	meta:
		name = "TIdUDPBase.BroadcastEnabledChanged"
		size = 24
		refs = "0013 TIdSocketHandle.SetBroadcastEnabled"
	strings:
		$1 = { 8B 90 90 00 00 00 85 D2 74 0D 0F B6 80 A9 00 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38408_0 {
	meta:
		name = "TIdUDPBase.CloseBinding"
		size = 19
		refs = "000e TObject.Free"
	strings:
		$1 = { 05 90 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38409_0 {
	meta:
		name = "TIdUDPBase.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0010 TIdUDPBase.SetActive 0022 TIdComponent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 50 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38410_0 {
	meta:
		name = "TIdUDPBase.GetActive"
		size = 28
	strings:
		$1 = { 0F B6 90 98 00 00 00 84 D2 75 0E 8B 88 90 00 00 00 85 C9 74 04 0F B6 51 14 8B C2 C3 }
	condition:
		$1
}

rule function_38411_0 {
	meta:
		name = "TCustomActionManager.GetFileName"
		size = 22
		refs = "000f @UStrAsg"
		altNames = "TIdUDPBase.GetHost"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 9C 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38413_0 {
	meta:
		name = "TIdUDPBase.GetPort"
		size = 8
	strings:
		$1 = { 0F B7 80 A0 00 00 00 C3 }
	condition:
		$1
}

rule function_38414_0 {
	meta:
		name = "TIdUDPBase.InitComponent"
		size = 39
		refs = "0006 TIdComponent.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 83 94 00 00 00 00 20 00 00 C7 83 A4 00 00 00 FE FF FF FF C6 83 A8 00 00 00 00 5B C3 }
	condition:
		$1
}

rule function_38415_0 {
	meta:
		name = "TIdUDPBase.Loaded"
		size = 35
		refs = "0006 TComponent.Loaded 001d TIdUDPBase.SetActive"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 83 98 00 00 00 C6 83 98 00 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_38416_0 {
	meta:
		name = "TIdUDPBase.ReceiveBuffer"
		size = 93
		refs = "0016 TIdUDPBase.ReceiveBuffer 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FA 50 8D 45 F9 50 51 8B D7 8D 4D FC 8B C6 8B 18 FF 53 78 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38417_0 {
	meta:
		name = "TIdUDPBase.ReceiveBuffer"
		size = 40
		altNames = "TIdUDPClient.ReceiveBuffer"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B F0 8B 45 0C 50 8D 45 FF 50 8B 45 08 50 8B D7 8B C6 8B 18 FF 53 78 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_38418_0 {
	meta:
		name = "TIdUDPBase.ReceiveBuffer"
		size = 119
		refs = "0037 TIdSocketHandle.Readable 0044 @UStrClr 0067 TIdSocketHandle.RecvFrom"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B D8 8B 45 08 83 F8 FF 75 15 8B 83 A4 00 00 00 85 C0 75 07 BE FE FF FF FF EB 06 8B F0 EB 02 8B F0 8B C3 8B 10 FF 52 58 8B D6 E8 ?? ?? ?? ?? 84 C0 75 13 33 DB 8B C7 E8 ?? ?? ?? ?? 8B 45 10 66 C7 00 00 00 EB 1B 8B 45 10 50 8B 45 0C 50 8B C3 8B 10 FF 52 58 8B CF 8B 55 FC E8 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_38419_0 {
	meta:
		name = "TIdUDPBase.ReceiveString"
		size = 139
		refs = "0012 TIdUDPBase.ReceiveString 002d TArray<System.Byte> 0032 @DynArraySetLength 005c BytesToString 0077 @DynArrayClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 94 00 00 00 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 57 8B 45 10 50 8B CE 8D 55 FC 8B C3 8B 18 FF 53 74 8B D8 8B 45 0C 50 8B 45 08 50 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_38420_0 {
	meta:
		name = "TIdUDPBase.ReceiveString"
		size = 91
		refs = "0018 TIdUDPBase.ReceiveString 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 57 8B 45 08 50 8D 4D FA 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_38421_0 {
	meta:
		name = "TIdUDPBase.Send"
		size = 103
		refs = "0012 TIdUDPBase.Send 0026 ToBytes 004e TArray<System.Byte> 0053 @DynArrayClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 55 08 8B 45 0C E8 ?? ?? ?? ?? 8B 45 FC 50 8B CF 8B D6 8B C3 8B 18 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_38422_0 {
	meta:
		name = "TIdUDPBase.SendBuffer"
		size = 45
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 5C 50 8B 45 08 50 8B CF 8B D6 8B C3 8B 18 FF 93 80 00 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_38423_0 {
	meta:
		name = "TIdUDPBase.SendBuffer"
		size = 121
		refs = "001d TIdUDPBase.SendBuffer 002e GStack 0037 TIdStack.ResolveHost 004f TIdSocketHandle.SendTo 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 66 89 4D FA 8B FA 8B F0 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CB A1 ?? ?? ?? ?? 8B 00 8B D7 E8 ?? ?? ?? ?? 8B 45 08 50 53 8B C6 8B 10 FF 52 58 0F B7 4D FA 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_38424_0 {
	meta:
		name = "TIdUDPBase.SetActive"
		size = 70
		refs = "0014 TIdInitializerComponent.GetIsDesignTime 001f TIdInitializerComponent.GetIsLoading"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 54 3A D8 74 32 8B C6 E8 ?? ?? ?? ?? 84 C0 75 21 8B C6 E8 ?? ?? ?? ?? 84 C0 75 16 84 DB 74 09 8B C6 8B 10 FF 52 58 EB 0F 8B C6 8B 10 FF 52 50 EB 06 88 9E 98 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_38425_0 {
	meta:
		name = "TIdUDPBase.SetBroadcastEnabled"
		size = 43
		refs = "0024 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 3A 93 A9 00 00 00 74 1C 88 93 A9 00 00 00 8B C3 8B 10 FF 52 54 84 C0 74 0B 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38428_0 {
	meta:
		name = "TIdUDPBase.SetPort"
		size = 8
	strings:
		$1 = { 66 89 90 A0 00 00 00 C3 }
	condition:
		$1
}

rule function_38431_0 {
	meta:
		name = "TIdUDPClient.CloseProxy"
		size = 52
		refs = "0006 TIdUDPClient.UseProxy"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 24 80 BB BA 00 00 00 00 74 1B 8B C3 8B 10 FF 52 58 8B D0 8B 83 D4 00 00 00 8B 08 FF 51 60 C6 83 BA 00 00 00 00 5B C3 }
	condition:
		$1
}

rule function_38432_0 {
	meta:
		name = "TIdUDPClient.Connect"
		size = 397
		refs = "0015 TIdUDPClient.Connect 0022 TIdUDPClient.Connected 0097 GStack 009e TIdStack.IsIP 00cb TIdComponent.DoStatus 00ef TIdStack.ResolveHost 0115 TIdSocketHandle.SetPeer 016e @UStrArrayClr 0181 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C3 8B 10 FF 92 94 00 00 00 8B B3 D4 00 00 00 85 F6 74 4B 8B C6 8B 10 FF 52 50 84 C0 74 40 8B C3 8B 10 FF 52 6C 50 6A 00 8D 55 F8 8B C3 8B 08 FF 51 64 8B 45 F8 50 8B C3 8B 10 FF 52 58 8B D0 8B 83 D4 00 00 00 59 8B 30 FF 56 5C C6 83 BA 00 00 00 01 C6 83 D0 00 00 00 01 E9 CF 00 00 00 8D 55 F4 8B C3 8B 08 FF 51 64 8B 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 75 4F 66 83 7B 3A 00 74 22 6A 00 8D 55 E8 8B C3 8B 08 FF 51 64 8B 45 E8 89 45 EC C6 45 F0 11 8D 4D EC 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 E4 8B C3 8B 08 FF 51 64 8B 55 E4 0F B6 8B A8 00 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? EB 0A 8D 55 FC 8B C3 8B 08 FF 51 64 6A 00 8B C3 8B 10 FF 52 6C 50 8B C3 8B 10 FF 52 58 8B 55 FC 59 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 58 8B 10 FF 52 28 6A 00 8D 55 E0 8B C3 8B 08 FF 51 64 8B 45 E0 89 45 EC C6 45 F0 11 8D 4D EC B2 02 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 88 00 00 00 C6 83 D0 00 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38433_0 {
	meta:
		name = "TIdUDPClient.Connected"
		size = 32
	strings:
		$1 = { 0F B6 90 D0 00 00 00 84 D2 74 12 8B 90 90 00 00 00 85 D2 74 06 0F B6 52 14 EB 02 33 D2 8B C2 C3 }
	condition:
		$1
}

rule function_38434_0 {
	meta:
		name = "TIdUDPClient.Disconnect"
		size = 89
		refs = "0006 TIdUDPClient.Connected 0013 TIdComponent.DoStatus 001a TIdUDPClient.UseProxy 002e TIdUDPClient.CloseProxy"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 49 B2 03 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 80 BB BA 00 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B 83 90 00 00 00 8B 10 FF 52 24 8B C3 8B 10 FF 92 8C 00 00 00 B2 04 8B C3 E8 ?? ?? ?? ?? C6 83 D0 00 00 00 00 5B C3 }
	condition:
		$1
}

rule function_38435_0 {
	meta:
		name = "TIdUDPClient.DoOnConnected"
		size = 29
	strings:
		$1 = { 53 66 83 B8 C2 00 00 00 00 74 10 8B D8 8B D0 8B 83 C4 00 00 00 FF 93 C0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_38437_0 {
	meta:
		name = "TIdUDPClient.GetBinding"
		size = 147
		refs = "0012 _Dn_TIdSocketHandle 0017 TIdSocketHandle.Create 0037 TIdSocketHandle.AllocateSocket 0045 @UStrAsg 0074 TIdSocketHandle.SetIPVersion 007b TIdSocketHandle.Bind 0086 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 83 BB 90 00 00 00 00 75 14 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 90 00 00 00 8B B3 90 00 00 00 80 7E 14 00 75 5D 33 C9 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 46 18 8B 93 B0 00 00 00 E8 ?? ?? ?? ?? 0F B7 83 B4 00 00 00 66 89 46 20 0F B7 83 B6 00 00 00 66 89 46 0C 0F B7 83 B8 00 00 00 66 89 46 0E 0F B6 93 A8 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? 8B 83 90 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_38438_0 {
	meta:
		name = "TIdUDPClient.GetTransparentProxy"
		size = 40
		refs = "0011 _Dn_TIdSocksInfo 0016 TIdBaseComponent.Create"
	strings:
		$1 = { 53 8B D8 83 BB D4 00 00 00 00 75 14 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D4 00 00 00 8B 83 D4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_38439_0 {
	meta:
		name = "TIdUDPClient.InitComponent"
		size = 53
		refs = "0006 TIdUDPBase.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 BA 00 00 00 00 C6 83 D0 00 00 00 00 66 C7 83 B4 00 00 00 00 00 66 C7 83 B6 00 00 00 00 00 66 C7 83 B8 00 00 00 00 00 5B C3 }
	condition:
		$1
}

rule function_38440_0 {
	meta:
		name = "TIdUDPClient.OpenProxy"
		size = 60
		refs = "0007 TIdUDPClient.UseProxy"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2A 80 BB BA 00 00 00 00 75 21 6A 00 6A 00 8B C3 8B 10 FF 52 58 8B D0 33 C9 8B 83 D4 00 00 00 8B 30 FF 56 5C C6 83 BA 00 00 00 01 5E 5B C3 }
	condition:
		$1
}

rule function_38441_0 {
	meta:
		name = "TIdUDPClient.ReceiveBuffer"
		size = 228
		refs = "0017 TIdUDPClient.ReceiveBuffer 0042 TIdUDPClient.UseProxy 0056 TIdUDPClient.RaiseUseProxyError 0085 TIdUDPClient.Connected 0096 TIdSocketHandle.Readable 00a8 TIdSocketHandle.Receive 00b8 TIdUDPBase.ReceiveBuffer 00cf @UStrClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 83 F9 FF 75 15 8B 83 A4 00 00 00 85 C0 75 07 BE FE FF FF FF EB 06 8B F0 EB 02 8B F1 8B C3 E8 ?? ?? ?? ?? 84 C0 74 38 80 BB BA 00 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 45 F6 50 8D 45 F5 50 56 8B C3 8B 10 FF 52 58 8B D0 8B 4D F8 8B 83 D4 00 00 00 8B 18 FF 53 64 8B F8 EB 3C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 8B D6 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 20 8B 55 F8 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B F8 EB 0E 8B 55 F8 8B CE 8B C3 E8 ?? ?? ?? ?? 8B F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38445_0 {
	meta:
		name = "TIdUDPClient.SendBuffer"
		size = 218
		refs = "0011 TIdUDPClient.SendBuffer 001e TIdUDPClient.UseProxy 0032 TIdUDPClient.RaiseUseProxyError 006f TIdUDPClient.Connected 0084 TIdSocketHandle.Send 00ae TIdUDPBase.SendBuffer 00c8 @UStrArrayClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 46 80 BB BA 00 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 6C 50 8B C3 8B 10 FF 52 5C 50 56 8D 55 FC 8B C3 8B 08 FF 51 64 8B 45 FC 50 8B C3 8B 10 FF 52 58 8B D0 8B 83 D4 00 00 00 59 8B 18 FF 53 68 EB 46 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 6A FF 33 C9 8B D6 8B 83 90 00 00 00 E8 ?? ?? ?? ?? EB 28 8B C3 8B 10 FF 52 5C 50 56 8D 55 F8 8B C3 8B 08 FF 51 64 8B 45 F8 50 8B C3 8B 10 FF 52 6C 8B C8 8B C3 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38446_0 {
	meta:
		name = "TIdUDPClient.SendBuffer"
		size = 98
		refs = "000f TIdUDPClient.UseProxy 0023 TIdUDPClient.RaiseUseProxyError 0057 TIdUDPBase.SendBuffer"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 35 80 BB BA 00 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 57 8B C3 8B 10 FF 52 5C 50 8B 45 08 50 8B C3 8B 10 FF 52 58 8B D0 8B CE 8B 83 D4 00 00 00 8B 18 FF 53 68 EB 0F 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_38447_0 {
	meta:
		name = "TIdUDPClient.SetHost"
		size = 43
		refs = "000f @UStrEqual 0024 TIdUDPBase.SetHost"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 9C 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 0A 8B C3 8B 10 FF 92 94 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38448_0 {
	meta:
		name = "TIdUDPClient.SetIPVersion"
		size = 36
		refs = "001d TIdUDPBase.SetIPVersion"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E A8 00 00 00 74 0A 8B C6 8B 10 FF 92 94 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38449_0 {
	meta:
		name = "TIdUDPClient.SetPort"
		size = 37
		refs = "001e TIdUDPBase.SetPort"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 3B B3 A0 00 00 00 74 0A 8B C3 8B 10 FF 92 94 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38450_0 {
	meta:
		name = "TIdUDPClient.SetTransparentProxy"
		size = 253
		refs = "0028 TComponent.RemoveFreeNotification 005b TObject.Free 006f TIdBaseComponent.Create 00bf TComponent.FreeNotification"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 0F 84 B6 00 00 00 83 7E 04 00 75 73 8B 83 D4 00 00 00 85 C0 74 15 83 78 04 00 74 0F 8B D3 E8 ?? ?? ?? ?? 33 C0 89 83 D4 00 00 00 8B 16 89 D0 8B F8 8B 93 D4 00 00 00 85 D2 74 1B 8B 12 89 D0 3B F8 74 13 8D 83 D4 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 83 BB D4 00 00 00 00 75 11 33 C9 B2 01 8B C7 E8 ?? ?? ?? ?? 89 83 D4 00 00 00 8B D6 8B 83 D4 00 00 00 8B 08 FF 51 08 EB 71 8B 83 D4 00 00 00 85 C0 74 22 83 78 04 00 75 15 8D 83 D4 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 83 D4 00 00 00 8B D3 E8 ?? ?? ?? ?? EB 34 8B 83 D4 00 00 00 85 C0 74 2A 83 78 04 00 75 15 8D 83 D4 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 0F 8B D3 E8 ?? ?? ?? ?? 33 C0 89 83 D4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_38451_0 {
	meta:
		name = "TIdUDPClient.UseProxy"
		size = 21
	strings:
		$1 = { 8B 90 D4 00 00 00 85 D2 74 08 8B C2 8B 10 FF 52 50 C3 33 C0 C3 }
	condition:
		$1
}

rule function_38452_0 {
	meta:
		name = "TIdUDPClient.Destroy"
		size = 84
		refs = "0003 @BeforeDestruction 000e TIdUDPClient.UseProxy 0022 TIdUDPClient.CloseProxy 0029 TIdUDPClient.Connected 0042 TIdUDPBase.Destroy 004d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 10 80 BE BA 00 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 94 00 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38453_0 {
	meta:
		name = "TIdUDPClient.ReceiveBuffer"
		size = 138
		refs = "0030 TIdUDPClient.UseProxy 0044 TIdUDPClient.RaiseUseProxyError 007e TIdUDPBase.ReceiveBuffer"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 45 08 83 F8 FF 75 15 8B 83 A4 00 00 00 85 C0 75 07 BE FE FF FF FF EB 06 8B F0 EB 02 8B F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 35 80 BB BA 00 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 10 50 8B 45 0C 50 56 8B C3 8B 10 FF 52 58 8B D0 8B CF 8B 83 D4 00 00 00 8B 18 FF 53 64 EB 15 8B 45 10 50 8B 45 0C 50 56 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_38454_0 {
	meta:
		name = "TIdUDPClient.SendBuffer"
		size = 100
		refs = "000f TIdUDPClient.UseProxy 0023 TIdUDPClient.RaiseUseProxyError 0059 TIdUDPBase.SendBuffer"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 80 BB BA 00 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 57 0F B6 45 0C 50 8B 45 08 50 8B C3 8B 10 FF 52 58 8B D0 8B CE 8B 83 D4 00 00 00 8B 18 FF 53 68 EB 14 0F B6 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_38457_0 {
	meta:
		name = "TIdUDPServer.BroadcastEnabledChanged"
		size = 67
		refs = "002b TIdSocketHandles.GetItem 0037 TIdSocketHandle.SetBroadcastEnabled"
	strings:
		$1 = { 53 56 57 8B D8 83 BB B4 00 00 00 00 74 31 8B 83 B0 00 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 20 46 33 FF 8B D7 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 0F B6 93 A9 00 00 00 E8 ?? ?? ?? ?? 47 4E 75 E3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_38458_0 {
	meta:
		name = "TIdUDPServer.CloseBinding"
		size = 154
		refs = "0017 TThreadList.LockList 0021 TIdUDPServer.CloseBinding 0032 TList.Get 004a TThread.WaitFor 0051 TObject.Free 005a TList.Delete 007e TMonitor.Exit 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 80 B8 00 00 00 85 C0 74 74 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 31 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 38 8B 43 70 8B 10 FF 52 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 83 7E 08 00 7F C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 00 00 00 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B 45 FC 33 D2 89 90 B4 00 00 00 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38459_0 {
	meta:
		name = "TIdUDPServer.Destroy"
		size = 83
		refs = "0003 @BeforeDestruction 0010 TIdUDPBase.SetActive 0023 TObject.Free 0041 TIdUDPBase.Destroy 004c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 B0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 B8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38462_0 {
	meta:
		name = "TIdUDPServer.DoOnUDPException"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 E2 00 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 E4 00 00 00 FF 93 E0 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_38463_0 {
	meta:
		name = "TIdUDPServer.DoUDPRead"
		size = 37
	strings:
		$1 = { 55 8B EC 53 66 83 B8 DA 00 00 00 00 74 12 8B 5D 08 53 8B D8 8B 83 DC 00 00 00 FF 93 D8 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_38464_0 {
	meta:
		name = "TIdUDPServer.GetActive"
		size = 30
		refs = "0006 TIdUDPBase.GetActive"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0E 8B 93 B4 00 00 00 85 D2 74 04 0F B6 42 14 5B C3 }
	condition:
		$1
}

rule function_38465_0 {
	meta:
		name = "TIdUDPServer.GetBinding"
		size = 552
		refs = "0015 TIdUDPServer.GetBinding 0042 TIdSocketHandles.Add 0047 GStack 006a TIdSocketHandle.SetIPVersion 0090 TIdSocketHandles.GetItem 00a0 TIdSocketHandle.AllocateSocket 00c5 TIdSocketHandle.Bind 00d6 TCollection.GetCount 00ea @HandleAnyException 0117 @RaiseAgain 011c @DoneExcept 017f IntToStr 018f @UStrCatN 019f TThreadList.Add 01d1 @CallDynaInst 01ef @UStrClr 01f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 B4 00 00 00 00 0F 85 A6 01 00 00 8B 45 FC 8B 80 B0 00 00 00 8B 50 08 83 7A 08 00 75 2D E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 10 FF 92 80 00 00 00 84 C0 74 15 8B 45 FC 8B 80 B0 00 00 00 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 49 8B 45 FC 8B 80 B0 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 33 C9 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 88 00 00 00 8B C3 E8 ?? ?? ?? ?? FF 45 F8 8B 45 FC 8B 80 B0 00 00 00 E8 ?? ?? ?? ?? 3B 45 F8 7F A4 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? FF 4D F8 83 7D F8 00 7C 1F 8B 45 FC 8B 80 B0 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 10 FF 52 24 FF 4D F8 83 7D F8 00 7D E1 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 8C 00 00 00 8B 45 FC 8B 80 B0 00 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 71 46 C7 45 F8 00 00 00 00 8B 45 FC 8B 80 B0 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 BC 00 00 00 8B 4D FC B2 01 FF 50 44 8B D8 8B 45 FC FF 70 08 68 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 40 E8 ?? ?? ?? ?? FF 75 F4 8D 43 4C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 34 FF 45 F8 4E 75 97 8B 45 FC 8B 80 B0 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 89 82 B4 00 00 00 8B 45 FC 66 BE F0 FF E8 ?? ?? ?? ?? 8B 45 FC 8B 98 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 4C 00 69 00 73 00 74 00 65 00 6E 00 65 00 72 00 20 00 23 00 00 00 }
	condition:
		$1
}

rule function_38466_0 {
	meta:
		name = "TIdUDPServer.GetDefaultPort"
		size = 11
	strings:
		$1 = { 8B 80 B0 00 00 00 0F B7 40 1C C3 }
	condition:
		$1
}

rule function_38467_0 {
	meta:
		name = "TIdUDPServer.InitComponent"
		size = 61
		refs = "0006 TIdUDPBase.InitComponent 000f _Dn_TIdSocketHandles 0014 TIdSocketHandles.Create 0021 _Dn_TThreadList 0026 TThreadList.Create 0031 _DV_TIdUDPListenerThread"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B8 00 00 00 A1 ?? ?? ?? ?? 89 83 BC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_38469_0 {
	meta:
		name = "TIdUDPServer.SetDefaultPort"
		size = 11
	strings:
		$1 = { 8B 80 B0 00 00 00 66 89 50 1C C3 }
	condition:
		$1
}

rule function_38471_0 {
	meta:
		name = "TIdUDPListenerThread.Create"
		size = 112
		refs = "000e @ClassCreate 0023 TIdThread.Create 0046 TArray<System.Byte> 004b @DynArraySetLength 0059 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 6A 01 6A 00 B1 01 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 74 E8 03 00 00 8B 45 08 89 47 70 89 B7 88 00 00 00 6A 00 8D 47 78 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_38472_0 {
	meta:
		name = "TIdUDPListenerThread.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 0017 TArray<System.Byte> 001c @DynArraySetLength 002a TIdThread.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 8D 46 78 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38473_0 {
	meta:
		name = "TIdUDPListenerThread.Run"
		size = 397
		refs = "0015 TIdUDPListenerThread.Run 002c TIdSocketHandle.Select 004a TIdThread.GetStopped 0073 TArray<System.Byte> 0078 @DynArraySetLength 0097 TIdSocketHandle.RecvFrom 00b0 TIdSocketHandle.SetPeer 00e8 TIdUDPListenerThread.UDPRead 00fb TIdThread.Synchronize 010a @HandleOnException 0112 _Dn_Exception 0126 @UStrAsg 014d TIdUDPListenerThread.UDPException 0165 @DoneExcept 017a @UStrClr 0180 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 50 74 8B 45 F8 8B 40 70 E8 ?? ?? ?? ?? 84 C0 0F 84 31 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 A9 00 00 00 8B 45 F8 8B 80 88 00 00 00 8B 80 94 00 00 00 50 8B 45 F8 83 C0 78 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F6 50 8D 45 F5 50 8D 4D FC 8B 45 F8 8D 50 78 8B 45 F8 8B 40 70 E8 ?? ?? ?? ?? 8B D8 0F B6 45 F5 50 8B 45 F8 8B 40 70 0F B7 4D F6 8B 55 FC E8 ?? ?? ?? ?? 85 DB 7E 47 53 8B 45 F8 83 C0 78 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 80 88 00 00 00 80 B8 C0 00 00 00 00 74 0A 8B 45 F8 E8 ?? ?? ?? ?? EB 11 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 60 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 F8 83 C0 7C 8B 53 04 E8 ?? ?? ?? ?? 8B 13 89 D0 8B 55 F8 89 82 80 00 00 00 8B 45 F8 8B 80 88 00 00 00 80 B8 C0 00 00 00 00 74 0A 8B 45 F8 E8 ?? ?? ?? ?? EB 11 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38474_0 {
	meta:
		name = "TIdUDPListenerThread.UDPRead"
		size = 26
	strings:
		$1 = { 53 8B 50 70 52 8B 48 78 8B D0 8B 80 88 00 00 00 8B 18 FF 93 94 00 00 00 5B C3 }
	condition:
		$1
}

rule function_38475_0 {
	meta:
		name = "TIdUDPListenerThread.UDPException"
		size = 33
	strings:
		$1 = { 53 8B 50 7C 52 8B 90 80 00 00 00 52 8B 48 70 8B D0 8B 80 88 00 00 00 8B 18 FF 93 90 00 00 00 5B C3 }
	condition:
		$1
}

rule function_38478_0 {
	meta:
		name = "TIdUnixTime.InitComponent"
		size = 48
		refs = "0006 TIdCustomTime.InitComponent 0019 UNIXSTARTDATE"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 07 02 8B C3 8B 08 FF 91 A4 00 00 00 A1 ?? ?? ?? ?? 8B 10 89 93 10 01 00 00 8B 50 04 89 93 14 01 00 00 5B C3 }
	condition:
		$1
}

rule function_38481_0 {
	meta:
		name = "TIdUnixTimeServer.InitComponent"
		size = 48
		refs = "0006 TIdCustomTimeServer.InitComponent 0019 UNIXSTARTDATE"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 07 02 8B C3 8B 08 FF 91 98 00 00 00 A1 ?? ?? ?? ?? 8B 10 89 93 18 01 00 00 8B 50 04 89 93 1C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_38484_0 {
	meta:
		name = "TIdUnixTimeUDP.InitComponent"
		size = 45
		refs = "0006 TIdCustomTimeUDP.InitComponent 0016 UNIXSTARTDATE"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 07 02 8B C3 8B 08 FF 51 70 A1 ?? ?? ?? ?? 8B 10 89 93 D8 00 00 00 8B 50 04 89 93 DC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_38487_0 {
	meta:
		name = "TIdUnixTimeUDPServer.InitComponent"
		size = 45
		refs = "0006 TIdCustomTimeUDPServer.InitComponent 0011 TIdUDPServer.SetDefaultPort 0016 UNIXSTARTDATE"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 07 02 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 89 93 E8 00 00 00 8B 50 04 89 93 EC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_38490_0 {
	meta:
		name = "TIdURI.Create"
		size = 81
		refs = "000b @ClassCreate 001a TObject.Create 0032 TIdURI.SetURI 003d @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 09 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42270_0 {
	meta:
		name = "TInURI.Create"
		size = 81
		refs = "000b @ClassCreate 001a TObject.Create 0032 TInURI.SetURI 003d @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 09 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_38491_0 {
	meta:
		name = "TIdURI.NormalizePath"
		size = 164
		refs = "0008 TIdURI.NormalizePath 000d Pos 0022 CharIsInSet 0065 @UniqueStringU 0074 @UStrLen"
	strings:
		$1 = { 53 56 57 8B F2 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 2B 43 8B 06 B9 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 84 C0 74 47 8D 53 01 8B 06 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 83 C3 02 EB 2F BB 01 00 00 00 EB 28 8B 06 0F B7 7C 58 FE 66 83 FF 3F 74 26 66 83 FF 23 74 20 66 83 FF 5C 75 0E 8B C6 E8 ?? ?? ?? ?? 66 C7 44 58 FE 2F 00 43 8B 06 E8 ?? ?? ?? ?? 3B D8 7E CD 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_42271_0 {
	meta:
		name = "TInURI.NormalizePath"
		size = 164
		refs = "0008 TInURI.NormalizePath 000d Pos 0022 CharIsInSet 0065 @UniqueStringU 0074 @UStrLen"
	strings:
		$1 = { 53 56 57 8B F2 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 2B 43 8B 06 B9 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 84 C0 74 47 8D 53 01 8B 06 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 83 C3 02 EB 2F BB 01 00 00 00 EB 28 8B 06 0F B7 7C 58 FE 66 83 FF 3F 74 26 66 83 FF 23 74 20 66 83 FF 5C 75 0E 8B C6 E8 ?? ?? ?? ?? 66 C7 44 58 FE 2F 00 43 8B 06 E8 ?? ?? ?? ?? 3B D8 7E CD 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_38492_0 {
	meta:
		name = "TIdURI.SetURI"
		size = 1036
		refs = "001b TIdURI.SetURI 002b @UStrAsg 0035 TIdURI.NormalizePath 0040 @UStrLAsg 0048 @UStrClr 0092 IndyPos 00bc @UStrCopy 00cc @UStrDelete 0121 Fetch 025f RPos 0288 @UStrCat3 0373 @UStrArrayClr 0379 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 8D 53 0C 8B 03 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 0C E8 ?? ?? ?? ?? 8D 43 18 E8 ?? ?? ?? ?? 8D 43 08 E8 ?? ?? ?? ?? 8D 43 14 E8 ?? ?? ?? ?? 8D 43 04 E8 ?? ?? ?? ?? 8D 43 10 E8 ?? ?? ?? ?? 8D 43 1C E8 ?? ?? ?? ?? 8D 43 20 E8 ?? ?? ?? ?? 8D 43 24 E8 ?? ?? ?? ?? 8D 43 28 E8 ?? ?? ?? ?? C6 43 2C 00 8B 35 ?? ?? ?? ?? 8B 36 8B 55 F8 B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 0F 8E 03 02 00 00 8D 43 08 50 8B CE 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 4E 02 8D 45 F8 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 F8 B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 7E 28 8D 43 28 50 8D 56 01 B9 FF FF FF 7F 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 50 8B CE 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 6A 01 8D 45 FC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 7E 5B 8D 43 24 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B CE BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 43 24 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 43 20 E8 ?? ?? ?? ?? 8B 43 20 85 C0 74 05 83 E8 04 8B 00 85 C0 75 08 8D 43 24 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 85 C0 7E 7A 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 8B F0 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 FC B8 ?? ?? ?? ?? FF D7 3B F0 7E 50 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 43 18 E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 43 18 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 2C 01 EB 20 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 43 18 E8 ?? ?? ?? ?? 8D 43 10 8B 55 FC E8 ?? ?? ?? ?? 83 C9 FF 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7E 37 8D 45 E0 50 8B CE BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D E0 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B CE BA 01 00 00 00 E8 ?? ?? ?? ?? E9 87 00 00 00 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 78 8B 35 ?? ?? ?? ?? 8B 36 8B 55 F8 B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 7E 28 8D 43 28 50 8D 56 01 B9 FF FF FF 7F 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 50 8B CE 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 83 C9 FF 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7E 22 8D 43 14 50 8B CE BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 8B CE BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 43 04 8B 55 F8 E8 ?? ?? ?? ?? 8D 43 1C 8B 53 04 E8 ?? ?? ?? ?? 6A 01 8D 45 DC 50 8D 43 1C B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8D 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 2F 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_42272_0 {
	meta:
		name = "TInURI.SetURI"
		size = 1036
		refs = "001b TInURI.SetURI 002b @UStrAsg 0035 TInURI.NormalizePath 0040 @UStrLAsg 0048 @UStrClr 0092 IndyPos 00bc @UStrCopy 00cc @UStrDelete 0121 Fetch 025f RPos 0288 @UStrCat3 0373 @UStrArrayClr 0379 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 8D 53 0C 8B 03 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 0C E8 ?? ?? ?? ?? 8D 43 18 E8 ?? ?? ?? ?? 8D 43 08 E8 ?? ?? ?? ?? 8D 43 14 E8 ?? ?? ?? ?? 8D 43 04 E8 ?? ?? ?? ?? 8D 43 10 E8 ?? ?? ?? ?? 8D 43 1C E8 ?? ?? ?? ?? 8D 43 20 E8 ?? ?? ?? ?? 8D 43 24 E8 ?? ?? ?? ?? 8D 43 28 E8 ?? ?? ?? ?? C6 43 2C 00 8B 35 ?? ?? ?? ?? 8B 36 8B 55 F8 B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 0F 8E 03 02 00 00 8D 43 08 50 8B CE 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 4E 02 8D 45 F8 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 F8 B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 7E 28 8D 43 28 50 8D 56 01 B9 FF FF FF 7F 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 50 8B CE 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 6A 01 8D 45 FC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 7E 5B 8D 43 24 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B CE BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 43 24 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 43 20 E8 ?? ?? ?? ?? 8B 43 20 85 C0 74 05 83 E8 04 8B 00 85 C0 75 08 8D 43 24 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 85 C0 7E 7A 8B 35 ?? ?? ?? ?? 8B 36 8B 55 FC B8 ?? ?? ?? ?? FF D6 8B F0 8B 3D ?? ?? ?? ?? 8B 3F 8B 55 FC B8 ?? ?? ?? ?? FF D7 3B F0 7E 50 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 43 18 E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 43 18 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 2C 01 EB 20 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 43 18 E8 ?? ?? ?? ?? 8D 43 10 8B 55 FC E8 ?? ?? ?? ?? 83 C9 FF 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7E 37 8D 45 E0 50 8B CE BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D E0 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B CE BA 01 00 00 00 E8 ?? ?? ?? ?? E9 87 00 00 00 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 78 8B 35 ?? ?? ?? ?? 8B 36 8B 55 F8 B8 ?? ?? ?? ?? FF D6 8B F0 85 F6 7E 28 8D 43 28 50 8D 56 01 B9 FF FF FF 7F 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 50 8B CE 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 83 C9 FF 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7E 22 8D 43 14 50 8B CE BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 8B CE BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 43 04 8B 55 F8 E8 ?? ?? ?? ?? 8D 43 1C 8B 53 04 E8 ?? ?? ?? ?? 6A 01 8D 45 DC 50 8D 43 1C B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8D 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 2F 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_38493_0 {
	meta:
		name = "TIdURI.GetURI"
		size = 112
		refs = "000f TIdURI.GetURI 0026 TIdURI.GetFullURI 0031 @UStrAsg 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 0F B6 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 0C E8 ?? ?? ?? ?? 8B CE 0F B6 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 03 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_42273_0 {
	meta:
		name = "TInURI.GetURI"
		size = 112
		refs = "000f TInURI.GetURI 0026 TInURI.GetFullURI 0031 @UStrAsg 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 0F B6 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 0C E8 ?? ?? ?? ?? 8B CE 0F B6 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 03 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_38494_0 {
	meta:
		name = "TIdURI.URLDecode"
		size = 580
		refs = "0020 @UStrAddRef 0028 TIdURI.URLDecode 0036 @UStrClr 003f TArray<System.Char> 0044 @DynArrayClear 004d TArray<System.Byte> 005c EnsureEncoding 0083 AppendByte 009e CharIsInSet 00b6 @UStrCopy 00d8 @UStrCat3 00e0 IndyStrToInt 00fc @HandleAnyException 0101 @DoneExcept 0148 @DynArraySetLength 0179 TEncoding.GetBytes 0186 AppendBytes 01a2 @UStrLen 01b9 TEncoding.GetString 01e1 @UStrArrayClr 0210 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D EC 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC B2 04 E8 ?? ?? ?? ?? C7 45 E8 01 00 00 00 E9 32 01 00 00 8B 45 FC 8B 55 E8 0F B7 5C 50 FE 66 83 FB 25 74 12 8B D3 8D 45 F0 E8 ?? ?? ?? ?? FF 45 E8 E9 0F 01 00 00 FF 45 E8 B9 ?? ?? ?? ?? 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 64 8D 45 F8 50 B9 02 00 00 00 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 83 45 E8 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B D0 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 A3 00 00 00 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 94 00 00 00 8D 45 F8 50 8B 55 E8 42 B9 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 45 E8 05 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 75 18 6A 01 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 E0 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 F4 66 89 02 6A FF 8D 4D DC 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F0 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3B 45 E8 0F 8D BD FE FF FF 8B 4D 08 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B4 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 75 00 55 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_42274_0 {
	meta:
		name = "TInURI.URLDecode"
		size = 580
		refs = "0020 @UStrAddRef 0028 TInURI.URLDecode 0036 @UStrClr 003f TArray<System.Char> 0044 @DynArrayClear 004d TArray<System.Byte> 005c EnsureEncoding 0083 AppendByte 009e CharIsInSet 00b6 @UStrCopy 00d8 @UStrCat3 00e0 IndyStrToInt 00fc @HandleAnyException 0101 @DoneExcept 0148 @DynArraySetLength 0179 TEncoding.GetBytes 0186 AppendBytes 01a2 @UStrLen 01b9 TEncoding.GetString 01e1 @UStrArrayClr 0210 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D EC 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC B2 04 E8 ?? ?? ?? ?? C7 45 E8 01 00 00 00 E9 32 01 00 00 8B 45 FC 8B 55 E8 0F B7 5C 50 FE 66 83 FB 25 74 12 8B D3 8D 45 F0 E8 ?? ?? ?? ?? FF 45 E8 E9 0F 01 00 00 FF 45 E8 B9 ?? ?? ?? ?? 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 64 8D 45 F8 50 B9 02 00 00 00 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 83 45 E8 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B D0 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 A3 00 00 00 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 94 00 00 00 8D 45 F8 50 8B 55 E8 42 B9 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 45 E8 05 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 75 18 6A 01 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 E0 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 F4 66 89 02 6A FF 8D 4D DC 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F0 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3B 45 E8 0F 8D BD FE FF FF 8B 4D 08 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B4 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 75 00 55 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_38495_0 {
	meta:
		name = "TIdURI.ParamsEncode"
		size = 400
		refs = "0021 TIdURI.ParamsEncode 002e @UStrClr 0037 TArray<System.Byte> 003c @DynArrayClear 0050 EnsureEncoding 0071 @DynArraySetLength 008f UnsafeChars 0094 WideCharIsInSet 00b1 CalcUTF16CharLength 00cd TEncoding.GetBytes 00fe IntToHex 010d @UStrCatN 0125 @UStrFromWChar 012f @UStrCat 013a @UStrLen 015d @UStrArrayClr 0171 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D FC 89 4D F4 89 55 F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 FD 00 00 00 8D 45 F4 B2 04 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 45 F4 8B 08 FF 51 1C 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 F0 E9 B4 00 00 00 8B 45 F8 8B 55 F0 0F B7 3C 50 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0D 66 83 FF 21 72 07 66 81 FF 80 00 76 76 8B 55 F0 42 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 50 8B 45 FC 50 6A 00 8B 4D F0 41 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E4 8B 75 E4 4E 85 F6 7C 3B 46 C7 45 EC 00 00 00 00 FF 33 68 ?? ?? ?? ?? 8B 45 FC 8B 55 EC 0F B6 04 10 8D 4D E0 BA 02 00 00 00 E8 ?? ?? ?? ?? FF 75 E0 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 EC 4E 75 CD 8B 45 E8 01 45 F0 EB 17 8D 45 DC 8B D7 E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? FF 45 F0 8B 45 F8 E8 ?? ?? ?? ?? 3B 45 F0 0F 8F 3B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 }
	condition:
		$1
}

rule function_42275_0 {
	meta:
		name = "TInURI.ParamsEncode"
		size = 400
		refs = "0021 TInURI.ParamsEncode 002e @UStrClr 0037 TArray<System.Byte> 003c @DynArrayClear 0050 EnsureEncoding 0071 @DynArraySetLength 008f UnsafeChars 0094 WideCharIsInSet 00b1 CalcUTF16CharLength 00cd TEncoding.GetBytes 00fe IntToHex 010d @UStrCatN 0125 @UStrFromWChar 012f @UStrCat 013a @UStrLen 015d @UStrArrayClr 0171 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D FC 89 4D F4 89 55 F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 FD 00 00 00 8D 45 F4 B2 04 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 45 F4 8B 08 FF 51 1C 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 F0 E9 B4 00 00 00 8B 45 F8 8B 55 F0 0F B7 3C 50 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0D 66 83 FF 21 72 07 66 81 FF 80 00 76 76 8B 55 F0 42 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 50 8B 45 FC 50 6A 00 8B 4D F0 41 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E4 8B 75 E4 4E 85 F6 7C 3B 46 C7 45 EC 00 00 00 00 FF 33 68 ?? ?? ?? ?? 8B 45 FC 8B 55 EC 0F B6 04 10 8D 4D E0 BA 02 00 00 00 E8 ?? ?? ?? ?? FF 75 E0 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 EC 4E 75 CD 8B 45 E8 01 45 F0 EB 17 8D 45 DC 8B D7 E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? FF 45 F0 8B 45 F8 E8 ?? ?? ?? ?? 3B 45 F0 0F 8F 3B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 }
	condition:
		$1
}

rule function_38496_0 {
	meta:
		name = "TIdURI.PathEncode"
		size = 444
		refs = "0021 TIdURI.PathEncode 002e @UStrClr 0037 TArray<System.Byte> 003c @DynArrayClear 0050 EnsureEncoding 0071 @DynArraySetLength 0094 WideCharIsInSet 00b0 CalcUTF16CharLength 00cc TEncoding.GetBytes 00fd IntToHex 010c @UStrCatN 0124 @UStrFromWChar 012e @UStrCat 0139 @UStrLen 015c @UStrArrayClr 0170 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D FC 89 4D F4 89 55 F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 FC 00 00 00 8D 45 F4 B2 04 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 45 F4 8B 08 FF 51 1C 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 F0 E9 B3 00 00 00 8B 45 F8 8B 55 F0 0F B7 3C 50 8B D7 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0C 66 83 FF 21 72 06 66 83 FF 7F 76 76 8B 55 F0 42 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 50 8B 45 FC 50 6A 00 8B 4D F0 41 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E4 8B 75 E4 4E 85 F6 7C 3B 46 C7 45 EC 00 00 00 00 FF 33 68 ?? ?? ?? ?? 8B 45 FC 8B 55 EC 0F B6 04 10 8D 4D E0 BA 02 00 00 00 E8 ?? ?? ?? ?? FF 75 E0 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 EC 4E 75 CD 8B 45 E8 01 45 F0 EB 17 8D 45 DC 8B D7 E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? FF 45 F0 8B 45 F8 E8 ?? ?? ?? ?? 3B 45 F0 0F 8F 3C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 2A 00 3C 00 3E 00 23 00 25 00 22 00 7B 00 7D 00 7C 00 5C 00 5E 00 5B 00 5D 00 60 00 2B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 }
	condition:
		$1
}

rule function_42276_0 {
	meta:
		name = "TInURI.PathEncode"
		size = 444
		refs = "0021 TInURI.PathEncode 002e @UStrClr 0037 TArray<System.Byte> 003c @DynArrayClear 0050 EnsureEncoding 0071 @DynArraySetLength 0094 WideCharIsInSet 00b0 CalcUTF16CharLength 00cc TEncoding.GetBytes 00fd IntToHex 010c @UStrCatN 0124 @UStrFromWChar 012e @UStrCat 0139 @UStrLen 015c @UStrArrayClr 0170 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D FC 89 4D F4 89 55 F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 FC 00 00 00 8D 45 F4 B2 04 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 45 F4 8B 08 FF 51 1C 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 F0 E9 B3 00 00 00 8B 45 F8 8B 55 F0 0F B7 3C 50 8B D7 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0C 66 83 FF 21 72 06 66 83 FF 7F 76 76 8B 55 F0 42 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 50 8B 45 FC 50 6A 00 8B 4D F0 41 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E4 8B 75 E4 4E 85 F6 7C 3B 46 C7 45 EC 00 00 00 00 FF 33 68 ?? ?? ?? ?? 8B 45 FC 8B 55 EC 0F B6 04 10 8D 4D E0 BA 02 00 00 00 E8 ?? ?? ?? ?? FF 75 E0 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 EC 4E 75 CD 8B 45 E8 01 45 F0 EB 17 8D 45 DC 8B D7 E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? FF 45 F0 8B 45 F8 E8 ?? ?? ?? ?? 3B 45 F0 0F 8F 3C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 2A 00 3C 00 3E 00 23 00 25 00 22 00 7B 00 7D 00 7C 00 5C 00 5E 00 5B 00 5D 00 60 00 2B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 }
	condition:
		$1
}

rule function_38497_0 {
	meta:
		name = "TIdURI.URLEncode"
		size = 248
		refs = "0012 TIdURI.URLEncode 001f _DV_TIdURI 0026 TIdURI.Create 004d TIdURI.PathEncode 005b @UStrAsg 0095 TIdURI.ParamsEncode 00ae TIdURI.GetURI 00c3 TObject.Free 00c9 @HandleFinally 00e5 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B 45 FC 8B 50 14 8B 45 FC 8B 00 8B CB E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 83 C0 14 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 FC 8B 50 04 8B 45 FC 8B 00 8B CB E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 83 C0 04 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 FC 8B 50 28 8B 45 FC 8B 00 8B CB E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 83 C0 28 E8 ?? ?? ?? ?? 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_42277_0 {
	meta:
		name = "TInURI.URLEncode"
		size = 248
		refs = "0012 TInURI.URLEncode 001f _DV_TInURI 0026 TInURI.Create 004d TInURI.PathEncode 005b @UStrAsg 0095 TInURI.ParamsEncode 00ae TInURI.GetURI 00c3 TObject.Free 00c9 @HandleFinally 00e5 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B 45 FC 8B 50 14 8B 45 FC 8B 00 8B CB E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 83 C0 14 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 FC 8B 50 04 8B 45 FC 8B 00 8B CB E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 83 C0 04 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 FC 8B 50 28 8B 45 FC 8B 00 8B CB E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 83 C0 28 E8 ?? ?? ?? ?? 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_38498_0 {
	meta:
		name = "TIdURI.GetFullURI"
		size = 748
		refs = "0021 TIdURI.GetFullURI 0035 RSURINoProto 003a LoadResString 0044 _DV_EIdURIException 0049 EIdException.Create 004e @RaiseExcept 005c RSURINoHost 0085 @UStrCat3 009c @UStrCat 00ba @UStrCatN 0106 PosInStrArray 011f @UStrEqual 01b3 TIdURI.GetPathAndParams 01ec @UStrAsg 0201 @UStrClr 020e @UStrArrayClr 021c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D E0 89 5D F0 89 5D F4 89 5D FC 8B F1 88 55 FB 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 00 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 18 00 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC B9 ?? ?? ?? ?? 8B 53 08 E8 ?? ?? ?? ?? 83 7B 20 00 74 3C F6 45 FB 01 74 36 8D 45 FC 8B 53 20 E8 ?? ?? ?? ?? 83 7B 24 00 74 18 FF 75 FC 68 ?? ?? ?? ?? FF 73 24 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? 83 7B 10 00 0F 84 CD 00 00 00 6A 00 B8 ?? ?? ?? ?? 89 45 E4 B8 ?? ?? ?? ?? 89 45 E8 B8 ?? ?? ?? ?? 89 45 EC 8D 55 E4 B9 02 00 00 00 8B 43 08 E8 ?? ?? ?? ?? 83 E8 01 72 07 74 32 48 74 58 EB 7F 8B 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 84 00 00 00 FF 75 FC 68 ?? ?? ?? ?? FF 73 10 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 6A 8B 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 5B FF 75 FC 68 ?? ?? ?? ?? FF 73 10 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 41 8B 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 32 FF 75 FC 68 ?? ?? ?? ?? FF 73 10 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 18 FF 75 FC 68 ?? ?? ?? ?? FF 73 10 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 83 7B 1C 00 74 1E F6 45 FB 02 74 18 FF 75 FC 68 ?? ?? ?? ?? FF 73 1C 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 2F 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 54 00 54 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 48 00 54 00 54 00 50 00 53 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 46 00 54 00 50 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 38 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 34 00 33 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 32 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_42278_0 {
	meta:
		name = "TInURI.GetFullURI"
		size = 748
		refs = "0021 TInURI.GetFullURI 0035 RSURINoProto 003a LoadResString 0044 _DV_EInURIException 0049 EInException.Create 004e @RaiseExcept 005c RSURINoHost 0085 @UStrCat3 009c @UStrCat 00ba @UStrCatN 0106 PosInStrArray 011f @UStrEqual 01b3 TInURI.GetPathAndParams 01ec @UStrAsg 0201 @UStrClr 020e @UStrArrayClr 021c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D E0 89 5D F0 89 5D F4 89 5D FC 8B F1 88 55 FB 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 00 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 18 00 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC B9 ?? ?? ?? ?? 8B 53 08 E8 ?? ?? ?? ?? 83 7B 20 00 74 3C F6 45 FB 01 74 36 8D 45 FC 8B 53 20 E8 ?? ?? ?? ?? 83 7B 24 00 74 18 FF 75 FC 68 ?? ?? ?? ?? FF 73 24 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? 83 7B 10 00 0F 84 CD 00 00 00 6A 00 B8 ?? ?? ?? ?? 89 45 E4 B8 ?? ?? ?? ?? 89 45 E8 B8 ?? ?? ?? ?? 89 45 EC 8D 55 E4 B9 02 00 00 00 8B 43 08 E8 ?? ?? ?? ?? 83 E8 01 72 07 74 32 48 74 58 EB 7F 8B 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 84 00 00 00 FF 75 FC 68 ?? ?? ?? ?? FF 73 10 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 6A 8B 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 5B FF 75 FC 68 ?? ?? ?? ?? FF 73 10 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 41 8B 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 32 FF 75 FC 68 ?? ?? ?? ?? FF 73 10 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 18 FF 75 FC 68 ?? ?? ?? ?? FF 73 10 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 83 7B 1C 00 74 1E F6 45 FB 02 74 18 FF 75 FC 68 ?? ?? ?? ?? FF 73 1C 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 2F 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 54 00 54 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 48 00 54 00 54 00 50 00 53 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 46 00 54 00 50 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 38 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 34 00 33 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 32 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_38499_0 {
	meta:
		name = "TIdURI.GetPathAndParams"
		size = 68
		refs = "000f @UStrCat3 001c TIdURI.GetPathAndParams 002b @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 4B 04 8B 53 14 E8 ?? ?? ?? ?? 83 7B 28 00 74 16 FF 36 68 ?? ?? ?? ?? FF 73 28 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_42279_0 {
	meta:
		name = "TInURI.GetPathAndParams"
		size = 68
		refs = "000f @UStrCat3 001c TInURI.GetPathAndParams 002b @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 4B 04 8B 53 14 E8 ?? ?? ?? ?? 83 7B 28 00 74 16 FF 36 68 ?? ?? ?? ?? FF 73 28 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_38502_0 {
	meta:
		name = "CalcUTF16CharLength"
		size = 13
		refs = "0004 TCharacter.ConvertToUtf32"
	strings:
		$1 = { 51 8B CC E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_75706_0 {
	meta:
		name = "TCoolBar.HitTest"
		size = 13
		refs = "0004 TCoolBar.PtInGripRect"
	strings:
		$1 = { 51 8B CC E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_38503_0 {
	meta:
		name = "WideCharIsInSet"
		size = 46
	strings:
		$1 = { 56 57 8B FA 33 D2 8B C8 85 C9 74 05 83 E9 04 8B 09 85 C9 7E 14 BE 01 00 00 00 66 3B 7C 70 FE 75 04 B2 01 EB 04 46 49 75 F1 8B C2 5F 5E C3 }
	condition:
		$1
}

rule function_38504_0 {
	meta:
		name = "GetUTF16Codepoint"
		size = 95
		refs = "0015 GetUTF16Codepoint 0025 @UStrLAsg 0034 TCharacter.ConvertToUtf32 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B C6 8D 4D F8 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_61909_0 {
	meta:
		name = "ConvertToUtf32"
		size = 95
		refs = "0015 ConvertToUtf32 0025 @UStrLAsg 0034 TCharacter.ConvertToUtf32 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B C6 8D 4D F8 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38508_0 {
	meta:
		name = "TIdCustomUserManager.AuthenticateUser"
		size = 53
		refs = "0013 TIdCustomUserManager.AuthenticateUser 001d TIdCustomUserManager.IsRegisteredUser"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B F2 8B E8 54 8B CF 8B D6 8B C5 E8 ?? ?? ?? ?? 8B D0 8B 45 00 E8 ?? ?? ?? ?? 8B D8 8B 14 24 8B C5 8B 08 FF 51 64 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_38509_0 {
	meta:
		name = "TIdCustomUserManager.AuthenticateUser"
		size = 158
		refs = "001c TIdCustomUserManager.AuthenticateUser 002c @UStrLAsg 0031 IdUserHandleNone 0038 IdUserAccessDenied 0086 @UStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 89 55 F8 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 06 A1 ?? ?? ?? ?? 89 45 F4 56 8D 45 F4 50 8D 4D FC 8B 55 F8 8B C3 8B 38 FF 57 44 56 8D 45 F4 50 8D 4D FC 8B 55 F8 8B C3 8B 38 FF 57 48 56 8D 45 F4 50 8D 4D FC 8B 55 F8 8B C3 8B 18 FF 53 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_38510_0 {
	meta:
		name = "TIdCustomUserManager.IsRegisteredUser"
		size = 6
	strings:
		$1 = { 85 D2 0F 9D C0 C3 }
	condition:
		$1
}

rule function_38511_0 {
	meta:
		name = "TIdCustomUserManager.DoBeforeAuthentication"
		size = 37
	strings:
		$1 = { 55 8B EC 53 66 83 78 4A 00 74 15 51 8B 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 43 4C FF 53 48 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_38512_0 {
	meta:
		name = "TIdCustomUserManager.DoAfterAuthentication"
		size = 37
	strings:
		$1 = { 55 8B EC 53 66 83 78 42 00 74 15 51 8B 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 43 44 FF 53 40 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_38513_0 {
	meta:
		name = "TIdCustomUserManager.GetOptions"
		size = 12
		refs = "0003 TIdCustomUserManager.GetOptions"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 00 00 00 00 }
	condition:
		$1
}

rule function_63961_0 {
	meta:
		name = "GetMinimumBlockAlignment"
		size = 8
		refs = "0003 MinimumBlockAlignment"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96906_0 {
	meta:
		name = "TBaseAdapterAction.ImplGetFailureOptions"
		size = 12
		refs = "0003 TBaseAdapterAction.ImplGetFailureOptions"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 00 00 00 00 }
	condition:
		$1
}

rule function_87159_0 {
	meta:
		name = "TCustomStyleServices.GetFlags"
		size = 12
		refs = "0003 TCustomStyleServices.GetFlags"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 00 00 00 00 }
	condition:
		$1
}

rule function_89107_0 {
	meta:
		name = "TGestureEngine.GetFlags"
		size = 12
		refs = "0003 TGestureEngine.GetFlags"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 00 00 00 00 }
	condition:
		$1
}

rule function_38516_0 {
	meta:
		name = "TIdCustomUserManager.LogoffUser"
		size = 13
	strings:
		$1 = { 51 89 14 24 8B D4 8B 08 FF 51 50 5A C3 }
	condition:
		$1
}

rule function_38517_0 {
	meta:
		name = "TIdCustomUserManager.DoLogoffUser"
		size = 22
		altNames = "TReader.ReferenceName"
	strings:
		$1 = { 53 66 83 78 52 00 74 0C 8B CA 8B D8 8B D0 8B 43 54 FF 53 50 5B C3 }
	condition:
		$1
}

rule function_38518_0 {
	meta:
		name = "TIdCustomUserManager.ChallengeUser"
		size = 18
		refs = "000a @UStrClr"
	strings:
		$1 = { 55 8B EC C6 02 01 8B 45 08 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_38521_0 {
	meta:
		name = "TIdUserAccount.CheckPassword"
		size = 55
		refs = "000b _DV_TIdUserAccounts 0010 @AsClass 0020 @UStrEqual 0030 TextIsSame"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 78 1D 00 74 10 8B 43 18 8B D6 E8 ?? ?? ?? ?? 0F 94 C0 5E 5B C3 8B D6 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38522_0 {
	meta:
		name = "TIdUserAccount.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 001e _Dn_TStringList 0023 TStringList.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 33 C0 89 46 20 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38528_0 {
	meta:
		name = "TIdUserAccounts.GetByUsername"
		size = 139
		refs = "0027 TIdUserAccounts.GetAccount 0031 @UStrEqual 0068 TextIsSame"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 33 C0 89 04 24 80 7F 1C 00 74 37 8B 47 08 8B 70 08 4E 85 F6 7C 63 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 50 14 8B C5 E8 ?? ?? ?? ?? 75 0E 8B D3 8B C7 E8 ?? ?? ?? ?? 89 04 24 EB 3D 43 4E 75 D9 EB 37 8B 47 08 8B 70 08 4E 85 F6 7C 2C 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 50 14 8B C5 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B C7 E8 ?? ?? ?? ?? 89 04 24 EB 04 43 4E 75 D7 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_38531_0 {
	meta:
		name = "TIdUserManager.InitComponent"
		size = 29
		refs = "0006 TIdInitializerComponent.InitComponent 000f _DV_TIdUserAccounts 0014 TIdUserAccounts.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 58 5B C3 }
	condition:
		$1
}

rule function_38533_0 {
	meta:
		name = "TIdUserManager.DoAuthentication"
		size = 90
		refs = "0013 IdUserHandleNone 001e IdUserAccessDenied 002b TIdUserAccounts.GetByUsername"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B 75 0C 8B 15 ?? ?? ?? ?? 89 16 8B 55 08 8B 0D ?? ?? ?? ?? 89 0A 8B 55 FC 8B 40 58 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1D 8B 55 F8 8B 12 8B C3 8B 08 FF 51 24 84 C0 74 0D 8B 43 08 89 06 8B 45 08 8B 53 20 89 10 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_38534_0 {
	meta:
		name = "TCustomHostBehaviorInit.SetNamespaces"
		size = 13
		altNames = "TIdUserManager.SetAccounts"
	strings:
		$1 = { 56 8B F0 8B 46 58 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_38535_0 {
	meta:
		name = "TIdUserManager.GetOptions"
		size = 44
		refs = "0008 TIdUserManager.GetOptions"
	strings:
		$1 = { 53 56 57 8B F0 0F B6 1D ?? ?? ?? ?? 8B 7E 58 80 7F 1C 00 74 03 80 CB 01 80 7F 1D 00 74 03 80 CB 02 8B C3 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_38536_0 {
	meta:
		name = "TIdUserManager.SetOptions"
		size = 29
	strings:
		$1 = { 51 88 14 24 F6 04 24 01 0F 95 C1 8B 50 58 88 4A 1C F6 04 24 02 0F 95 C1 88 4A 1D 5A C3 }
	condition:
		$1
}

rule function_38537_0 {
	meta:
		name = "TIdSimpleUserManager.DoAuthentication"
		size = 37
	strings:
		$1 = { 55 8B EC 53 66 83 78 62 00 74 15 51 8B 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 43 64 FF 53 60 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_38538_0 {
	meta:
		name = "TIdSimpleUserManager.GetOptions"
		size = 7
	strings:
		$1 = { 0F B6 50 58 8B C2 C3 }
	condition:
		$1
}

rule function_38539_0 {
	meta:
		name = "TIdSimpleUserManager.SetOptions"
		size = 13
	strings:
		$1 = { 51 88 14 24 0F B6 14 24 88 50 58 5A C3 }
	condition:
		$1
}

rule function_38544_0 {
	meta:
		name = "IndyStrToFloat"
		size = 300
		refs = "001b IndyStrToFloat 002b @UStrLAsg 0058 IdDelete 0072 Fetch 007c IndyStrToInt 0093 PadString 00b4 @UStrCopy 00fa @UStrArrayClr 0102 @UStrClr 0108 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 33 D2 89 55 E4 89 55 E8 89 55 EC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 7C 1F 8B 45 FC 66 83 7C 58 FE 2C 75 0F 8D 45 FC B9 01 00 00 00 8B D3 E8 ?? ?? ?? ?? 4B 85 DB 75 E1 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 8B D8 8D 45 E8 50 66 B9 30 00 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 E4 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 33 D2 E8 ?? ?? ?? ?? 89 5D DC 33 D2 89 55 E0 DF 6D DC 89 45 D4 33 C0 89 45 D8 DF 6D D4 D8 35 ?? ?? ?? ?? DE C1 DB 7D F0 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 DB 6D F0 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_38545_0 {
	meta:
		name = "AddValueToStrings"
		size = 91
		refs = "000e @UStrAddRef 0016 AddValueToStrings 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0A 8B 55 FC 8B C6 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_38546_0 {
	meta:
		name = "ParseDelimiterToStrings"
		size = 127
		refs = "0016 @UStrAddRef 001e ParseDelimiterToStrings 0036 @UStrFromWChar 0043 Fetch 004d AddValueToStrings 006d @UStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 27 6A 01 8D 45 F8 50 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC B1 01 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38547_0 {
	meta:
		name = "ParseDateTimeStamp"
		size = 551
		refs = "0019 ParseDateTimeStamp 002f CharEquals 004c @UStrCopy 0054 IndyStrToInt 01df EncodeDate 01f0 EncodeTime 0211 @UStrArrayClr 0217 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 B9 54 00 BA 09 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 C2 00 00 00 8D 45 E8 50 B9 04 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 89 45 F4 8D 45 E4 50 B9 02 00 00 00 BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 89 45 EC 8D 45 E0 50 B9 02 00 00 00 BA 07 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 89 45 F0 8D 45 DC 50 B9 02 00 00 00 BA 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B F0 8D 45 D8 50 B9 02 00 00 00 BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B F8 8D 45 D4 50 B9 02 00 00 00 BA 0E 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B D8 E9 D5 00 00 00 8D 45 D0 50 B9 04 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 89 45 F4 8D 45 CC 50 B9 02 00 00 00 BA 06 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 89 45 EC 8D 45 C8 50 B9 02 00 00 00 BA 09 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 89 45 F0 8B C3 85 C0 74 05 83 E8 04 8B 00 83 F8 0E 7E 5F 8D 45 C4 50 B9 02 00 00 00 BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8B F0 8D 45 C0 50 B9 02 00 00 00 BA 0F 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 8B F8 8D 45 BC 50 B9 02 00 00 00 BA 12 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 8B D8 EB 06 33 F6 33 FF 33 DB 0F B7 4D F0 0F B7 55 EC 0F B7 45 F4 E8 ?? ?? ?? ?? DD 5D B4 9B 6A 00 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? DC 45 B4 DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 0C 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB DD 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38548_0 {
	meta:
		name = "GetAttributesAndValue"
		size = 364
		refs = "0016 @UStrAddRef 001e GetAttributesAndValue 002b _Dn_TStringList 0030 TStringList.Create 0047 IndyPos 006c Fetch 008a StringReplace 0095 @UStrLAsg 00d7 @UStrAsg 00e6 @HandleAnyException 00f3 TObject.Free 00f8 @RaiseAgain 00fd @DoneExcept 0112 @UStrClr 011f @UStrArrayClr 0125 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 FC B8 ?? ?? ?? ?? FF D3 85 C0 74 76 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 EC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F8 E8 ?? ?? ?? ?? EB 30 6A 01 8D 45 F4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D F4 85 DB 74 05 83 EB 04 8B 1B 85 DB 7E 0B 8B 55 F4 8B 45 F0 8B 08 FF 51 38 83 7D F8 00 75 CA 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_38549_0 {
	meta:
		name = "ParseOrg"
		size = 144
		refs = "0015 @UStrAddRef 001d ParseOrg 0038 Fetch 0043 @UStrAsg 0052 ParseDelimiterToStrings 006c @UStrArrayClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 66 B9 3B 00 8B 55 FC 8B 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_38550_0 {
	meta:
		name = "ParseGeography"
		size = 160
		refs = "0013 @UStrAddRef 001b ParseGeography 0036 Fetch 003e IndyStrToFloat 007d @UStrArrayClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DD 5B 08 9B 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? DD 5B 10 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_38551_0 {
	meta:
		name = "ParseTelephone"
		size = 484
		refs = "001b @UStrAddRef 0023 ParseTelephone 0034 GetAttributesAndValue 0072 TelephoneTypePropertyParameter 007c PosInStrArray 0188 @UStrAsg 01a2 TObject.Free 01a8 @HandleFinally 01bf @UStrClr 01cc @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C 08 01 00 00 43 33 F6 6A 00 8D 4D EC 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 45 EC BA ?? ?? ?? ?? B9 0D 00 00 00 E8 ?? ?? ?? ?? 83 F8 0D 0F 87 D3 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F4 66 83 48 0C 01 E9 87 00 00 00 8B 45 F4 66 83 48 0C 02 EB 7D 8B 45 F4 66 83 48 0C 04 EB 73 8B 45 F4 66 83 48 0C 08 EB 69 8B 45 F4 66 83 48 0C 10 EB 5F 8B 45 F4 66 83 48 0C 20 EB 55 8B 45 F4 66 83 48 0C 40 EB 4B 8B 45 F4 66 81 48 0C 80 00 EB 40 8B 45 F4 66 81 48 0C 00 01 EB 35 8B 45 F4 66 81 48 0C 00 02 EB 2A 8B 45 F4 66 81 48 0C 00 04 EB 1F 8B 45 F4 66 81 48 0C 00 08 EB 14 8B 45 F4 66 81 48 0C 00 10 EB 09 8B 45 F4 66 81 48 0C 00 20 46 4B 0F 85 FB FE FF FF 8B 45 F0 8B 10 FF 52 14 85 C0 75 0E 8B 45 F4 0F B7 15 ?? ?? ?? ?? 66 89 50 0C 8B 45 F4 83 C0 10 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 10 00 00 00 }
	condition:
		$1
}

rule function_38552_0 {
	meta:
		name = "ParseAddress"
		size = 576
		refs = "001b @UStrAddRef 0023 ParseAddress 0034 GetAttributesAndValue 0078 AttribsArray 0082 PosInStrArray 0103 Fetch 010e @UStrAsg 01e8 TObject.Free 01ee @HandleFinally 020a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 80 00 00 00 46 C7 45 F0 00 00 00 00 6A 00 8D 4D EC 8B 55 F0 8B 45 F4 8B 38 FF 57 0C 8B 45 EC BA ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? 83 F8 06 77 4B FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 80 4B 0C 01 EB 22 80 4B 0C 02 EB 1C 80 4B 0C 04 EB 16 80 4B 0C 08 EB 10 80 4B 0C 10 EB 0A 80 4B 0C 20 EB 04 80 4B 0C 40 FF 45 F0 4E 75 88 8B 45 F4 8B 10 FF 52 14 85 C0 75 0A 0F B6 05 ?? ?? ?? ?? 88 43 0C 6A 01 8D 45 E8 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 43 10 E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 43 14 E8 ?? ?? ?? ?? 6A 01 8D 45 E0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8D 43 18 E8 ?? ?? ?? ?? 6A 01 8D 45 DC 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8D 43 1C E8 ?? ?? ?? ?? 6A 01 8D 45 D8 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8D 43 20 E8 ?? ?? ?? ?? 6A 01 8D 45 D4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8D 43 24 E8 ?? ?? ?? ?? 6A 01 8D 45 D0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8D 43 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_38553_0 {
	meta:
		name = "ParseMailingLabel"
		size = 364
		refs = "001b @UStrAddRef 0023 ParseMailingLabel 0034 GetAttributesAndValue 0072 AttribsArray 007c PosInStrArray 012a TObject.Free 0130 @HandleFinally 0147 @UStrClr 0154 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C 91 00 00 00 43 33 F6 6A 00 8D 4D EC 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 45 EC BA ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? 83 F8 06 77 60 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F4 80 48 0C 01 EB 34 8B 45 F4 80 48 0C 02 EB 2B 8B 45 F4 80 48 0C 04 EB 22 8B 45 F4 80 48 0C 08 EB 19 8B 45 F4 80 48 0C 10 EB 10 8B 45 F4 80 48 0C 20 EB 07 8B 45 F4 80 48 0C 40 46 4B 0F 85 72 FF FF FF 8B 45 F0 8B 10 FF 52 14 85 C0 75 0D 8B 45 F4 0F B6 15 ?? ?? ?? ?? 88 50 0C 8B 45 F4 8B 40 10 8B 55 F8 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 3C 00 00 00 }
	condition:
		$1
}

rule function_38554_0 {
	meta:
		name = "ParseName"
		size = 336
		refs = "0016 @UStrAddRef 001e ParseName 0039 Fetch 0044 @UStrAsg 00d7 StringReplace 00e2 @UStrLAsg 00f1 ParseDelimiterToStrings 010b @UStrArrayClr 0111 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 43 08 E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 43 04 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 43 10 E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 43 14 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F8 E8 ?? ?? ?? ?? 66 B9 2C 00 8B 55 F8 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_38555_0 {
	meta:
		name = "IsPreferred"
		size = 148
		refs = "000c IsPreferred 0044 TextIsSame 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 2C 43 33 F6 8D 4D FC 8B 45 08 8B 40 FC 8B D6 8B 38 FF 57 0C 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 06 46 4B 75 D7 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 52 00 45 00 46 00 00 00 00 00 }
	condition:
		$1
}

rule function_38556_0 {
	meta:
		name = "ParseEMailAddress"
		size = 433
		refs = "001a @UStrAddRef 0022 ParseEMailAddress 0033 GetAttributesAndValue 0052 @UStrAsg 0058 IsPreferred 0092 EMailTypePropertyParameter 009c PosInStrArray 0175 TObject.Free 017b @HandleFinally 0192 @UStrClr 019f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D F4 89 55 F8 89 45 F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 83 C0 10 8B 55 F4 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 55 F0 88 42 0D 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C E9 00 00 00 43 C7 45 EC 00 00 00 00 6A 01 8D 4D E8 8B 55 EC 8B 45 FC 8B 30 FF 56 0C 8B 45 E8 BA ?? ?? ?? ?? B9 0B 00 00 00 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 AC 00 00 00 83 F8 0B 0F 87 AD 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F0 C6 40 0C 00 EB 6D 8B 45 F0 C6 40 0C 01 EB 64 8B 45 F0 C6 40 0C 02 EB 5B 8B 45 F0 C6 40 0C 03 EB 52 8B 45 F0 C6 40 0C 04 EB 49 8B 45 F0 C6 40 0C 05 EB 40 8B 45 F0 C6 40 0C 06 EB 37 8B 45 F0 C6 40 0C 07 EB 2E 8B 45 F0 C6 40 0C 08 EB 25 8B 45 F0 C6 40 0C 09 EB 1C 8B 45 F0 C6 40 0C 0A EB 13 8B 45 F0 C6 40 0C 0B EB 0A FF 45 EC 4B 0F 85 1F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38557_0 {
	meta:
		name = "TIdVCard.InitComponent"
		size = 257
		refs = "0006 TIdInitializerComponent.InitComponent 000d _DV_TIdVCardEmbeddedObject 0012 TIdVCardEmbeddedObject.Create 0055 _Dn_TStringList 005a TStringList.Create 0073 _DV_TIdVCardBusinessInfo 0078 TIdVCardBusinessInfo.Create 0082 _DV_TIdVCardGeog 0087 TObject.Create 0091 _DV_TIdVCardName 0096 TIdVCardName.Create 00b1 _DV_TIdVCardEMailAddresses 00b6 TIdVCardEMailAddresses.Create 00c2 _DV_TIdVCardAddresses 00c7 TIdVCardAddresses.Create 00d3 _DV_TIdVCardTelephones 00d8 TIdVCardTelephones.Create 00f3 _DV_TIdVCardMailingLabels 00f8 TIdVCardMailingLabels.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 90 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 94 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 98 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 9C 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 4C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 58 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 5C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 64 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 60 5B C3 }
	condition:
		$1
}

rule function_38558_0 {
	meta:
		name = "TIdVCard.Destroy"
		size = 294
		refs = "0003 @BeforeDestruction 001b TObject.Free 0112 TComponent.Destroy 011f @ClassDestroy"
	strings:
		$1 = { 53 51 E8 ?? ?? ?? ?? 88 14 24 8B D8 8D 83 9C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 83 90 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 83 94 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 83 98 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 60 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 64 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 5C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 4C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 0F B6 14 24 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_38559_0 {
	meta:
		name = "TIdVCard.ReadFromStrings"
		size = 440
		refs = "0026 TIdVCard.ReadFromStrings 0069 Trim 0076 TextIsSame 00f3 PosInStrArray 013c TIdVCard.SetVariablesAfterRead 0151 @UStrClr 015e @UStrArrayClr 0164 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D CC 89 4D DC 89 4D D8 89 4D E0 89 4D E8 89 4D E4 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 4C 8B 10 FF 52 44 33 C0 89 45 F8 8B C6 8B 10 FF 52 14 48 85 C0 0F 8C D9 00 00 00 40 89 45 F4 33 DB 8D 4D E4 8B D3 8B C6 8B 38 FF 57 0C 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 A7 00 00 00 43 FF 4D F4 75 CE E9 9C 00 00 00 8D 4D E0 8B D3 8B C6 8B 38 FF 57 0C 8B 45 E0 89 45 F0 8B 45 F0 89 45 EC 83 7D EC 00 74 0B 8B 45 EC 83 E8 04 8B 00 89 45 EC 83 7D EC 00 7E 6C 6A 00 8D 4D D8 8B D3 8B C6 8B 38 FF 57 0C 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 45 DC 50 B8 ?? ?? ?? ?? 89 45 D0 B8 ?? ?? ?? ?? 89 45 D4 8D 55 D0 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 83 E8 01 72 04 74 07 EB 08 FF 45 F8 EB 03 FF 4D F8 8D 4D CC 8B D3 8B C6 8B 38 FF 57 0C 8B 55 CC 8B 45 FC 8B 40 4C 8B 08 FF 51 38 83 7D F8 01 7C 10 43 8B C6 8B 10 FF 52 14 3B D8 0F 8C 55 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 42 00 45 00 47 00 49 00 4E 00 3A 00 56 00 43 00 41 00 52 00 44 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 4E 00 44 00 3A 00 56 00 43 00 41 00 52 00 44 00 00 00 }
	condition:
		$1
}

rule function_38563_0 {
	meta:
		name = "UnfoldLines"
		size = 212
		refs = "0018 UnfoldLines 0025 @UStrClr 0047 Trim 0051 @UStrCat 008a CharIsInSet 00aa @UStrArrayClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 8B 75 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? FF 06 EB 2A 8D 4D F8 8B 16 8B 45 08 8B 40 F8 8B 40 4C 8B 38 FF 57 0C 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? FF 06 8B 45 08 8B 40 F8 8B 40 4C 8B 10 FF 52 14 3B 06 7E 29 8D 4D F4 8B 16 8B 45 08 8B 40 F8 8B 40 4C 8B 38 FF 57 0C 8B 45 F4 B9 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 9B FF 0E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 09 00 00 00 00 00 }
	condition:
		$1
}

rule function_38565_0 {
	meta:
		name = "ParseEmbeddedObject"
		size = 828
		refs = "002d @UStrAddRef 0035 ParseEmbeddedObject 0046 GetAttributesAndValue 009e PosInStrArray 0109 @UStrAsg 015d UnfoldLines 016f @UStrCat3 0182 AddValueToStrings 01ac Trim 01ff CharIsInSet 0223 TObject.Free 0229 @HandleFinally 0245 @UStrArrayClr 024d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 C9 89 4D BC 89 4D C4 89 4D C0 89 4D C8 89 4D CC 89 4D E0 89 4D EC 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C A7 00 00 00 46 33 DB 6A 01 8D 4D EC 8B D3 8B 45 F0 8B 38 FF 57 0C 8B 45 EC 50 B8 ?? ?? ?? ?? 89 45 E4 B8 ?? ?? ?? ?? 89 45 E8 8D 55 E4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 40 74 09 8B 45 F4 C6 40 0C 01 EB 5F 6A 01 8D 4D E0 8B D3 8B 45 F0 8B 38 FF 57 0C 8B 45 E0 50 B8 ?? ?? ?? ?? 89 45 D0 B8 ?? ?? ?? ?? 89 45 D4 B8 ?? ?? ?? ?? 89 45 D8 B8 ?? ?? ?? ?? 89 45 DC 8D 55 D0 B9 03 00 00 00 58 E8 ?? ?? ?? ?? 40 75 1B 8D 4D CC 8B D3 8B 45 F0 8B 38 FF 57 0C 8B 55 CC 8B 45 F4 83 C0 04 E8 ?? ?? ?? ?? 43 4E 0F 85 5C FF FF FF BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 54 40 7F 30 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 54 40 7F 20 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 54 40 7F 10 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 54 40 7E 23 8B 45 08 50 8D 45 C8 E8 ?? ?? ?? ?? 59 8B 4D C8 8B 45 F4 83 C0 08 8B 55 F8 E8 ?? ?? ?? ?? E9 95 00 00 00 8B 45 F4 8B 40 10 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 FF 40 FC EB 36 8D 4D C0 8B 45 08 8B 50 FC 8B 45 08 8B 40 F8 8B 40 4C 8B 18 FF 53 0C 8B 45 C0 8D 55 C4 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 F4 8B 40 10 E8 ?? ?? ?? ?? 8B 45 08 FF 40 FC 8B 45 08 8B 40 F8 8B 40 4C 8B 10 FF 52 14 8B 55 08 3B 42 FC 7E 2D 8D 4D BC 8B 45 08 8B 50 FC 8B 45 08 8B 40 F8 8B 40 4C 8B 18 FF 53 0C 8B 45 BC B9 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 87 8B 45 08 FF 48 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 45 00 4E 00 43 00 4F 00 44 00 49 00 4E 00 47 00 3D 00 42 00 41 00 53 00 45 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 41 00 53 00 45 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 56 00 41 00 4C 00 55 00 45 00 3D 00 55 00 52 00 49 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 56 00 41 00 4C 00 55 00 45 00 3D 00 55 00 52 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 55 00 52 00 49 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 55 00 52 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 09 00 00 00 00 00 }
	condition:
		$1
}

rule function_38566_0 {
	meta:
		name = "TIdVCard.SetVariablesAfterRead"
		size = 2308
		refs = "0018 TIdVCard.SetVariablesAfterRead 0028 _Dn_TIdDecoderQuotedPrintable 002d TIdBaseComponent.Create 005f IndyPos 0081 @UStrCopy 008c UpperCase 0102 TrimLeft 010d @UStrCat 0166 TIdDecoder.DecodeString 0171 @UStrLAsg 018d @UStrClr 029a @UStrCatN 02e4 ReplaceOnlyFirst 0304 Fetch 030b VCardProperties 0318 PosInStrArray 03a1 UnfoldLines 03b6 @UStrCat3 03e1 ParseName 0413 ParseDelimiterToStrings 042a ParseEmbeddedObject 0450 ParseDateTimeStamp 046a TIdVCardAddresses.Add 048c ParseAddress 049c TIdVCardMailingLabels.Add 04be ParseMailingLabel 04ce TIdVCardTelephones.Add 04f0 ParseTelephone 0500 TIdVCardEMailAddresses.Add 052e ParseEMailAddress 05b4 ParseGeography 0628 ProcessAgent 065f ParseOrg 07aa AddValueToStrings 07fe IndyStrToFloat 086e TObject.Free 0874 @HandleFinally 0893 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 1C 00 00 00 6A 00 6A 00 49 75 F9 53 56 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 FC E9 F8 07 00 00 8D 4D F4 8B 45 F8 8B 40 4C 8B 55 FC 8B 18 FF 53 0C 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 F4 B8 ?? ?? ?? ?? FF D3 8B F0 8D 45 F0 50 8B CE 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 D4 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 85 C0 0F 8E F4 01 00 00 8D 45 EC 50 8D 56 01 B9 FF FF FF 7F 8B 45 F4 E8 ?? ?? ?? ?? FF 45 FC 8D 4D D0 8B 45 F8 8B 40 4C 8B 55 FC 8B 18 FF 53 0C 8B 55 D0 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 8B D8 85 DB 75 6A 8D 4D C8 8B 45 F8 8B 40 4C 8B 55 FC 8B 18 FF 53 0C 8B 45 C8 8D 55 CC E8 ?? ?? ?? ?? 8B 55 CC 8D 45 EC E8 ?? ?? ?? ?? FF 45 FC 8B 45 F8 8B 40 4C 8B 10 FF 52 14 3B 45 FC 74 27 8D 4D C4 8B 45 F8 8B 40 4C 8B 55 FC 8B 18 FF 53 0C 8B 55 C4 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 8B D8 EB 05 BB 01 00 00 00 85 DB 74 96 FF 4D FC 8D 45 C0 50 8B 45 E0 8B 00 33 C9 8B 55 EC E8 ?? ?? ?? ?? 8B 55 C0 8D 45 EC E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 F0 B8 ?? ?? ?? ?? FF D3 8B D8 8D 45 F4 E8 ?? ?? ?? ?? 85 DB 74 6B 8D 45 E8 50 8B CB BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 BC 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 BC 8B 35 ?? ?? ?? ?? 8B 36 B8 ?? ?? ?? ?? FF D6 85 C0 75 0B 8D 45 F4 8B 55 E8 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 53 01 B9 FF FF FF 7F 8B 45 F0 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 F0 B8 ?? ?? ?? ?? FF D3 8B D8 85 DB 75 95 8B 45 F0 89 45 DC 83 7D DC 00 74 0B 8B 45 DC 83 E8 04 8B 00 89 45 DC 83 7D DC 00 74 2C 8D 55 B8 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 B8 8B 1D ?? ?? ?? ?? 8B 1B B8 ?? ?? ?? ?? FF D3 85 C0 75 0B 8D 45 F4 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 F4 89 45 D8 83 7D D8 00 74 0B 8B 45 D8 83 E8 04 8B 00 89 45 D8 8B 5D D8 85 DB 7E 1F 8B 45 F4 66 83 7C 58 FE 3B 75 14 8D 45 F4 50 8B CB 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF 75 EC 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 F4 B8 ?? ?? ?? ?? FF D3 8B F0 8B 1D ?? ?? ?? ?? 8B 1B 8B 55 F4 B8 ?? ?? ?? ?? FF D3 89 45 E4 3B 75 E4 7C 06 83 7D E4 00 75 21 8D 45 B4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 B4 8D 45 F4 E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 BA ?? ?? ?? ?? B9 1B 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 83 F8 1B 0F 87 1C 05 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 8D 45 B0 E8 ?? ?? ?? ?? 59 8B 4D B0 8B 45 F8 8B 40 48 83 C0 18 8B 55 F4 E8 ?? ?? ?? ?? E9 82 04 00 00 55 8D 45 A8 E8 ?? ?? ?? ?? 59 8B 4D A8 8D 45 AC 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 AC 8B 45 F8 8B 40 48 E8 ?? ?? ?? ?? E9 57 04 00 00 55 8D 45 A0 E8 ?? ?? ?? ?? 59 8B 4D A0 8D 45 A4 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 A4 8B 45 F8 8B 40 48 8B 40 20 66 B9 2C 00 E8 ?? ?? ?? ?? E9 25 04 00 00 55 8B 45 F8 8B 80 90 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 59 E9 0D 04 00 00 55 8D 45 98 E8 ?? ?? ?? ?? 59 8B 4D 98 8D 45 9C 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 9C E8 ?? ?? ?? ?? 8B 45 F8 DD 98 88 00 00 00 9B E9 DE 03 00 00 8B 45 F8 8B 40 5C E8 ?? ?? ?? ?? 50 55 8D 45 90 E8 ?? ?? ?? ?? 59 8B 4D 90 8D 45 94 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 94 58 E8 ?? ?? ?? ?? E9 AC 03 00 00 8B 45 F8 8B 40 60 E8 ?? ?? ?? ?? 50 55 8D 45 88 E8 ?? ?? ?? ?? 59 8B 4D 88 8D 45 8C 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 8C 58 E8 ?? ?? ?? ?? E9 7A 03 00 00 8B 45 F8 8B 40 64 E8 ?? ?? ?? ?? 50 55 8D 45 80 E8 ?? ?? ?? ?? 59 8B 4D 80 8D 45 84 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 84 58 E8 ?? ?? ?? ?? E9 48 03 00 00 8B 45 F8 8B 40 58 E8 ?? ?? ?? ?? 50 55 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 78 FF FF FF 8D 85 7C FF FF FF 8B 55 F4 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 58 E8 ?? ?? ?? ?? E9 0A 03 00 00 55 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 74 FF FF FF 8B 45 F8 83 C0 54 8B 55 F4 E8 ?? ?? ?? ?? E9 E4 02 00 00 55 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 70 FF FF FF 8B 45 F8 8B 40 44 83 C0 18 8B 55 F4 E8 ?? ?? ?? ?? E9 BB 02 00 00 55 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 68 FF FF FF 8D 85 6C FF FF FF 8B 55 F4 E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B 45 F8 8B 40 44 E8 ?? ?? ?? ?? E9 84 02 00 00 55 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 64 FF FF FF 8B 45 F8 8B 40 40 83 C0 04 8B 55 F4 E8 ?? ?? ?? ?? E9 5B 02 00 00 55 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 60 FF FF FF 8B 45 F8 8B 40 40 83 C0 08 8B 55 F4 E8 ?? ?? ?? ?? E9 32 02 00 00 55 8B 45 F8 8B 80 94 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 59 E9 1A 02 00 00 E8 ?? ?? ?? ?? E9 10 02 00 00 55 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 58 FF FF FF 8D 85 5C FF FF FF 8B 55 F4 E8 ?? ?? ?? ?? 8B 95 5C FF FF FF 8B 45 F8 8B 40 40 E8 ?? ?? ?? ?? E9 D9 01 00 00 55 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 50 FF FF FF 8D 85 54 FF FF FF 8B 55 F4 E8 ?? ?? ?? ?? 8B 95 54 FF FF FF 8B 45 F8 8B 40 3C 66 B9 2C 00 E8 ?? ?? ?? ?? E9 9E 01 00 00 55 8D 85 48 FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 48 FF FF FF 8D 85 4C FF FF FF 8B 55 F4 E8 ?? ?? ?? ?? 8B 95 4C FF FF FF 8B 45 F8 8B 40 38 8B 08 FF 51 38 E9 67 01 00 00 55 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 44 FF FF FF 8B 45 F8 83 C0 70 8B 55 F4 E8 ?? ?? ?? ?? E9 41 01 00 00 55 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 3C FF FF FF 8D 85 40 FF FF FF 8B 55 F4 E8 ?? ?? ?? ?? 8B 85 40 FF FF FF E8 ?? ?? ?? ?? 8B 45 F8 DD 98 80 00 00 00 9B E9 06 01 00 00 55 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 38 FF FF FF 8B 45 F8 8B 40 48 83 C0 1C 8B 55 F4 E8 ?? ?? ?? ?? E9 DD 00 00 00 55 8B 45 F8 8B 80 98 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 59 E9 C5 00 00 00 55 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 30 FF FF FF 8D 85 34 FF FF FF 8B 55 F4 E8 ?? ?? ?? ?? 8B 95 34 FF FF FF 8B 45 F8 8B 40 50 E8 ?? ?? ?? ?? E9 8E 00 00 00 55 8D 85 2C FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 2C FF FF FF 8B 45 F8 83 C0 74 8B 55 F4 E8 ?? ?? ?? ?? EB 6B 55 8D 85 24 FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 24 FF FF FF 8D 85 28 FF FF FF 8B 55 F4 E8 ?? ?? ?? ?? 8B 85 28 FF FF FF E8 ?? ?? ?? ?? 8B 45 F8 DD 58 68 9B EB 36 55 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 20 FF FF FF 8B 45 F8 83 C0 78 8B 55 F4 E8 ?? ?? ?? ?? EB 13 55 8B 45 F8 8B 80 9C 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 59 FF 45 FC 8B 45 F8 8B 40 4C 8B 10 FF 52 14 3B 45 FC 0F 8F F4 F7 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 20 FF FF FF BA 2E 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 51 00 55 00 4F 00 54 00 45 00 44 00 2D 00 50 00 52 00 49 00 4E 00 54 00 41 00 42 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_38571_0 {
	meta:
		name = "TIdVCardEMailItem.Assign"
		size = 78
		refs = "000a _DV_TIdVCardEMailItem 000f @IsClass 0020 @AsClass 003b @UStrAsg 0047 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 0F B6 46 0C 88 43 0C 0F B6 46 0D 88 43 0D 8D 43 10 8B 56 10 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38572_0 {
	meta:
		name = "TIdVCardEMailItem.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 0C 05 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38581_0 {
	meta:
		name = "TIdVCardName.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TStringList 0023 TStringList.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38582_0 {
	meta:
		name = "TIdVCardName.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TPersistent.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38583_0 {
	meta:
		name = "TIdVCardName.SetNickNames"
		size = 19
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 20 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_38585_0 {
	meta:
		name = "TIWTestFramework.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TStringList 0023 TStringList.Create 0031 @AfterConstruction"
		altNames = "TIdVCardBusinessInfo.Create TIdVCardEmbeddedObject.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38589_0 {
	meta:
		name = "TIdVCardMailingLabelItem.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 001e _Dn_TStringList 0023 TStringList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38588_0 {
	meta:
		name = "TIdVCardMailingLabelItem.Assign"
		size = 72
		refs = "000b _DV_TIdVCardMailingLabelItem 0010 @IsClass 0021 @AsClass 0040 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 0F B6 47 0C 88 46 0C 8B 57 10 8B 46 10 8B 08 FF 51 08 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_38599_0 {
	meta:
		name = "TIdCardPhoneNumber.Assign"
		size = 72
		refs = "000a _DV_TIdCardPhoneNumber 000f @IsClass 0020 @AsClass 0035 @UStrAsg 0041 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 0F B7 46 0C 66 89 43 0C 8D 43 10 8B 56 10 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38600_0 {
	meta:
		name = "TIdCardAddressItem.Assign"
		size = 137
		refs = "000a _DV_TIdCardAddressItem 000f @IsClass 0020 @AsClass 0034 @UStrAsg 0082 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 66 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 0F B6 46 0C 88 43 0C 8D 43 10 8B 56 10 E8 ?? ?? ?? ?? 8D 43 14 8B 56 14 E8 ?? ?? ?? ?? 8D 43 18 8B 56 18 E8 ?? ?? ?? ?? 8D 43 1C 8B 56 1C E8 ?? ?? ?? ?? 8D 43 20 8B 56 20 E8 ?? ?? ?? ?? 8D 43 24 8B 56 24 E8 ?? ?? ?? ?? 8D 43 28 8B 56 28 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38601_0 {
	meta:
		name = "Finalization"
		size = 153
		refs = "0007 Finalization 0013 _DV_41 001a VCardProperties 0025 string 002a @FinalizeArray 002f EMailTypePropertyParameter 0044 TelephoneTypePropertyParameter 0059 AttribsArray 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 69 B8 ?? ?? ?? ?? B9 1C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0E 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_38603_0 {
	meta:
		name = "TIdWebDAV.DAVPropPatch"
		size = 188
		refs = "0011 TIdCustomHTTP.GetRequest 001c TIdWebDAV.DAVPropPatch 0021 TIdHeaderList.SetValue 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 8B 4D 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 45 0C 50 8D 45 FC 50 6A FF 8B CB BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 5E 5B 59 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 44 00 65 00 70 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 52 00 4F 00 50 00 50 00 41 00 54 00 43 00 48 00 00 00 }
	condition:
		$1
}

rule function_38604_0 {
	meta:
		name = "TIdWebDAV.DAVPropFind"
		size = 444
		refs = "0018 TIdWebDAV.DAVPropFind 0034 IntToStr 0057 @UStrCatN 0063 TIdCustomHTTP.GetRequest 0071 TIdHeaderList.SetValue 0114 @HandleFinally 0130 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 08 FF 7E 4F 68 ?? ?? ?? ?? 8D 55 F4 8B 45 0C E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B 45 08 E8 ?? ?? ?? ?? FF 75 F0 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 17 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 8B 4D 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 45 14 50 8D 45 F0 50 6A FF 8B CB BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 08 FF 7E 17 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 10 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 6F 00 77 00 73 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 61 00 6E 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 44 00 65 00 70 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 52 00 4F 00 50 00 46 00 49 00 4E 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_38605_0 {
	meta:
		name = "TIdWebDAV.DAVOrderPatch"
		size = 76
		refs = "0012 TIdWebDAV.DAVOrderPatch"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 51 6A 00 8D 44 24 08 50 6A FF BA ?? ?? ?? ?? 8B C6 8B CF 8B 18 FF 93 B4 00 00 00 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4F 00 52 00 44 00 45 00 52 00 50 00 41 00 54 00 43 00 48 00 00 00 00 00 }
	condition:
		$1
}

rule function_38606_0 {
	meta:
		name = "TIdWebDAV.DAVSearch"
		size = 444
		refs = "0018 TIdWebDAV.DAVSearch 0033 IntToStr 0056 @UStrCatN 0062 TIdCustomHTTP.GetRequest 0070 TIdHeaderList.SetValue 0116 @HandleFinally 0132 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 14 FF 7E 4E 68 ?? ?? ?? ?? 8D 55 F4 8B C6 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B 45 14 E8 ?? ?? ?? ?? FF 75 F0 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 17 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 8B 4D 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B 45 0C 50 8D 45 F0 50 6A FF 8B CB BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 14 FF 7E 17 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 10 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 6F 00 77 00 73 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 61 00 6E 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 44 00 65 00 70 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 45 00 41 00 52 00 43 00 48 00 00 00 00 00 }
	condition:
		$1
}

rule function_38607_0 {
	meta:
		name = "TIdWebDAV.DAVMove"
		size = 448
		refs = "0018 TIdWebDAV.DAVMove 002c TIdCustomHTTP.GetRequest 003e TIdHeaderList.SetValue 00f4 TIdHeaderList.GetValue 0111 @HandleFinally 0128 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 0C 00 75 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 8B 4D 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 10 50 8D 45 FC 50 6A FF 8B CB BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D 0C 00 75 18 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 8D 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 0C 00 B0 04 02 00 FF FF FF FF 01 00 00 00 46 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4F 00 76 00 65 00 72 00 77 00 72 00 69 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 65 00 73 00 74 00 69 00 6E 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 44 00 65 00 70 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4F 00 56 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_38608_0 {
	meta:
		name = "TIdWebDAV.DAVCopy"
		size = 452
		refs = "0018 TIdWebDAV.DAVCopy 0026 TIdCustomHTTP.GetRequest 0035 TIdHeaderList.SetValue 004c iif 0102 @HandleFinally 0119 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 0F B6 45 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 8B 4D 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 10 50 8D 45 F8 50 6A FF 8B CB BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 65 00 73 00 74 00 69 00 6E 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 46 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4F 00 76 00 65 00 72 00 77 00 72 00 69 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 44 00 65 00 70 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 4F 00 50 00 59 00 00 00 00 00 }
	condition:
		$1
}

rule function_38609_0 {
	meta:
		name = "TIdWebDAV.DAVCheckIn"
		size = 608
		refs = "0019 TIdWebDAV.DAVCheckIn 005e @UStrCatN 0065 _Dn_TMemoryStream 006a TObject.Create 0082 IndyUTF8Encoding 008f WriteStringToStream 009b TStream.SetPosition 00cd TObject.Free 00d3 @HandleFinally 00ea @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8D 45 F4 50 6A FF 8B CE BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 B4 00 00 00 83 7D F8 00 0F 84 91 00 00 00 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B0 01 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 6A 00 8D 45 F4 50 6A FF 8B CE BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 48 00 45 00 43 00 4B 00 49 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 5A 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 75 00 74 00 66 00 2D 00 38 00 22 00 20 00 3F 00 3E 00 3C 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 75 00 70 00 64 00 61 00 74 00 65 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 44 00 3D 00 22 00 44 00 41 00 56 00 3A 00 22 00 3E 00 3C 00 73 00 65 00 74 00 3E 00 3C 00 70 00 72 00 6F 00 70 00 3E 00 3C 00 63 00 6F 00 6D 00 6D 00 65 00 6E 00 74 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 3C 00 2F 00 63 00 6F 00 6D 00 6D 00 65 00 6E 00 74 00 3E 00 3C 00 2F 00 70 00 72 00 6F 00 70 00 3E 00 3C 00 2F 00 73 00 65 00 74 00 3E 00 3C 00 2F 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 75 00 70 00 64 00 61 00 74 00 65 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 52 00 4F 00 50 00 50 00 41 00 54 00 43 00 48 00 00 00 }
	condition:
		$1
}

rule function_38610_0 {
	meta:
		name = "TIdWebDAV.DAVCheckOut"
		size = 616
		refs = "0019 TIdWebDAV.DAVCheckOut 0060 @UStrCatN 0067 _Dn_TMemoryStream 006c TObject.Create 0084 IndyUTF8Encoding 0091 WriteStringToStream 009d TStream.SetPosition 00cf TObject.Free 00d5 @HandleFinally 00ec @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 6A 00 8D 45 F4 50 6A FF 8B CB BA ?? ?? ?? ?? 8B C6 8B 38 FF 97 B4 00 00 00 83 7D 08 00 0F 84 91 00 00 00 68 ?? ?? ?? ?? FF 75 08 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B0 01 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 6A 00 8D 45 F4 50 6A FF 8B CB BA ?? ?? ?? ?? 8B C6 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 48 00 45 00 43 00 4B 00 4F 00 55 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 5A 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 75 00 74 00 66 00 2D 00 38 00 22 00 20 00 3F 00 3E 00 3C 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 75 00 70 00 64 00 61 00 74 00 65 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 44 00 3D 00 22 00 44 00 41 00 56 00 3A 00 22 00 3E 00 3C 00 73 00 65 00 74 00 3E 00 3C 00 70 00 72 00 6F 00 70 00 3E 00 3C 00 63 00 6F 00 6D 00 6D 00 65 00 6E 00 74 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 3C 00 2F 00 63 00 6F 00 6D 00 6D 00 65 00 6E 00 74 00 3E 00 3C 00 2F 00 70 00 72 00 6F 00 70 00 3E 00 3C 00 2F 00 73 00 65 00 74 00 3E 00 3C 00 2F 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 75 00 70 00 64 00 61 00 74 00 65 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 52 00 4F 00 50 00 50 00 41 00 54 00 43 00 48 00 00 00 }
	condition:
		$1
}

rule function_38611_0 {
	meta:
		name = "TIdWebDAV.DAVUnCheckOut"
		size = 72
		refs = "0014 TIdWebDAV.DAVUnCheckOut"
	strings:
		$1 = { 53 56 8B F0 6A 00 6A 00 8D 44 24 08 50 6A FF 8B CA 8B C6 BA ?? ?? ?? ?? 8B 18 FF 93 B4 00 00 00 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 55 00 4E 00 43 00 48 00 45 00 43 00 4B 00 4F 00 55 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_38612_0 {
	meta:
		name = "TIdWebDAV.DAVLock"
		size = 808
		refs = "001a TIdWebDAV.DAVLock 0028 TIdCustomHTTP.GetRequest 0038 TIdHeaderList.SetValue 00e2 @UStrCatN 01f6 @HandleFinally 0212 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 89 45 FC 8B 5D 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 8B 4D 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D 0C 00 74 33 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 31 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 8B 4D 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 74 34 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 50 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? EB 53 83 7D 14 00 74 36 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 50 68 ?? ?? ?? ?? FF 75 14 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? EB 17 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8B 45 1C 50 8D 45 F4 50 6A FF 8B CE BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 85 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 18 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 66 00 2D 00 4D 00 61 00 74 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 66 00 2D 00 4E 00 6F 00 6E 00 65 00 2D 00 4D 00 61 00 74 00 63 00 68 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 44 00 65 00 70 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 28 00 3C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3E 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 4F 00 43 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_38613_0 {
	meta:
		name = "TIdWebDAV.DAVUnLock"
		size = 304
		refs = "0018 TIdWebDAV.DAVUnLock 0026 TIdCustomHTTP.GetRequest 0042 @UStrCatN 0050 TIdHeaderList.SetValue 00a4 @HandleFinally 00bb @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 50 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8D 45 F8 50 6A FF 8B CB BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 6F 00 63 00 6B 00 2D 00 54 00 6F 00 6B 00 65 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 4E 00 4C 00 4F 00 43 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_38614_0 {
	meta:
		name = "TIdWebDAV.DAVReport"
		size = 72
		refs = "0013 TIdWebDAV.DAVReport"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 51 8B 45 08 50 55 6A FF BA ?? ?? ?? ?? 8B C6 8B CF 8B 18 FF 93 B4 00 00 00 5F 5E 5B 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 50 00 4F 00 52 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_38615_0 {
	meta:
		name = "TIdWebDAV.DAVVersionControl"
		size = 80
		refs = "0014 TIdWebDAV.DAVVersionControl"
	strings:
		$1 = { 53 56 8B F0 6A 00 6A 00 8D 44 24 08 50 6A FF 8B CA 8B C6 BA ?? ?? ?? ?? 8B 18 FF 93 B4 00 00 00 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 56 00 45 00 52 00 53 00 49 00 4F 00 4E 00 2D 00 43 00 4F 00 4E 00 54 00 52 00 4F 00 4C 00 00 00 }
	condition:
		$1
}

rule function_38616_0 {
	meta:
		name = "TIdWebDAV.DAVLabel"
		size = 64
		refs = "0012 TIdWebDAV.DAVLabel"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 51 6A 00 8D 44 24 08 50 6A FF BA ?? ?? ?? ?? 8B C6 8B CF 8B 18 FF 93 B4 00 00 00 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 41 00 42 00 45 00 4C 00 00 00 }
	condition:
		$1
}

rule function_38617_0 {
	meta:
		name = "TIdWebDAV.DAVPut"
		size = 292
		refs = "0018 TIdWebDAV.DAVPut 002c TIdCustomHTTP.GetRequest 004a @UStrCatN 0058 TIdHeaderList.SetValue 008d TIdCustomHTTP.Put 00bd @HandleFinally 00d4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 08 00 74 36 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 50 68 ?? ?? ?? ?? FF 75 08 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? EB 17 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D 08 00 74 17 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 02 00 00 00 28 00 3C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3E 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_38618_0 {
	meta:
		name = "TIdWebDAV.DAVDelete"
		size = 288
		refs = "0018 TIdWebDAV.DAVDelete 002c TIdCustomHTTP.GetRequest 004a @UStrCatN 0058 TIdHeaderList.SetValue 0089 TIdCustomHTTP.Delete 00b9 @HandleFinally 00d0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 DB 89 5D F4 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 74 36 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 50 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? EB 17 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 17 8B 45 FC E8 ?? ?? ?? ?? 8B 40 54 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 28 00 3C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3E 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_38619_0 {
	meta:
		name = "TIdWebDAV.DAVMakeCollection"
		size = 60
		refs = "0014 TIdWebDAV.DAVMakeCollection"
	strings:
		$1 = { 53 56 8B F0 6A 00 6A 00 8D 44 24 08 50 6A FF 8B CA 8B C6 BA ?? ?? ?? ?? 8B 18 FF 93 B4 00 00 00 5E 5B C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 4B 00 43 00 4F 00 4C 00 00 00 }
	condition:
		$1
}

rule function_38622_0 {
	meta:
		name = "TIdWhois.InitComponent"
		size = 96
		refs = "0006 TIdTCPClientCustom.InitComponent 000b TIdWhois.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 91 A0 00 00 00 66 BA 2B 00 8B C3 8B 08 FF 91 A4 00 00 00 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 77 00 68 00 6F 00 69 00 73 00 2E 00 69 00 6E 00 74 00 65 00 72 00 6E 00 69 00 63 00 2E 00 6E 00 65 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_38623_0 {
	meta:
		name = "TIdWhois.WhoIs"
		size = 116
		refs = "001d TIdWhois.WhoIs 0062 TIdTCPConnection.Disconnect 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC 8B 10 FF 92 AC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 98 00 00 00 33 C9 8B D6 8B 18 FF 93 A4 00 00 00 8B CF 8B 45 FC 8B 80 98 00 00 00 33 D2 8B 18 FF 93 B8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38626_0 {
	meta:
		name = "TIdWhoIsServer.InitComponent"
		size = 26
		refs = "0006 TIdCustomTCPServer.InitComponent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 BA 2B 00 8B C3 8B 08 FF 91 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_38627_0 {
	meta:
		name = "TIdWhoIsServer.DoExecute"
		size = 155
		refs = "0014 TIdWhoIsServer.DoExecute 0031 TIdIOHandler.ReadLn 006a TIdTCPConnection.Disconnect 0084 @UStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 01 8B 5F 14 8D 4D FC 33 D2 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 66 83 BE 1A 01 00 00 00 74 28 8D 45 F8 50 8B 4D FC 8B D7 8B 86 1C 01 00 00 FF 96 18 01 00 00 33 C9 8B 55 F8 8B 83 98 00 00 00 8B 30 FF 96 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38632_0 {
	meta:
		name = "InitializeWinSock"
		size = 268
		refs = "0016 InitializeWinSock 0022 hWinSockDll 0038 SafeLoadLibrary 0058 WSAStartup 0069 FreeLibrary 0077 GetLastError 0084 RSWinsockLoadError 0089 LoadResString 00b4 _DV_EIdWinsockStubError 00b9 EIdWinsockStubError.Build 00be @RaiseExcept 00d6 @UStrClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 64 FE FF FF 53 33 C0 89 85 6C FE FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 0F 85 95 00 00 00 BA 00 80 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 2C 8D 85 72 FE FF FF 50 68 02 02 00 00 FF 15 ?? ?? ?? ?? 8B D8 85 DB 74 60 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? EB 07 E8 ?? ?? ?? ?? 8B D8 8D 95 6C FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 6C FE FF FF 50 B8 ?? ?? ?? ?? 89 85 64 FE FF FF C6 85 68 FE FF FF 11 8D 85 64 FE FF FF 50 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 6C FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 53 00 32 00 5F 00 33 00 32 00 2E 00 44 00 4C 00 4C 00 00 00 00 00 }
	condition:
		$1
}

rule function_38633_0 {
	meta:
		name = "LoadMSWSock"
		size = 192
		refs = "000f LoadMSWSock 001b hMSWSockDll 002d SafeLoadLibrary 0043 RSWinsockLoadError 0048 LoadResString 0063 GetLastError 006c _DV_EIdWinsockStubError 0071 EIdWinsockStubError.Build 0076 @RaiseExcept 008b @UStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 58 BA 00 80 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 3B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 53 00 57 00 53 00 4F 00 43 00 4B 00 2E 00 44 00 4C 00 4C 00 00 00 }
	condition:
		$1
}

rule function_38634_0 {
	meta:
		name = "UninitializeWinSock"
		size = 61
		refs = "0002 hMSWSockDll 0010 FreeLibrary 001d hWinSockDll 0026 WSACleanup"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 12 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 18 FF 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38635_0 {
	meta:
		name = "EIdWinsockStubError.Build"
		size = 268
		refs = "0014 @ClassCreate 0039 EIdWinsockStubError.Build 0051 IndyFormat 005c @UStrAsg 006f EIdException.Create 007b SysErrorMessage 009e @UStrCatN 00c4 @UStrArrayClr 00ca @HandleFinally 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 5D 0C 8B 75 08 03 F6 46 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 0C 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 55 0C 8B 4D 08 8B 45 10 E8 ?? ?? ?? ?? 8B 55 FC 8D 47 20 E8 ?? ?? ?? ?? 89 77 18 85 F6 75 0E 8B 4F 20 33 D2 8B C7 E8 ?? ?? ?? ?? EB 39 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 47 1C E8 ?? ?? ?? ?? FF 77 20 68 ?? ?? ?? ?? FF 77 1C 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 84 DB 74 0E E8 ?? ?? ?? ?? 8B 45 D8 64 A3 00 00 00 00 8B C7 8B 7D E8 8B 75 EC 8B 5D F0 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_42292_0 {
	meta:
		name = "EIdWinsockStubError.Build"
		size = 268
		refs = "0014 @ClassCreate 0039 EIdWinsockStubError.Build 0051 IndyFormat 005c @UStrAsg 006f EInException.Create 007b SysErrorMessage 009e @UStrCatN 00c4 @UStrArrayClr 00ca @HandleFinally 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 5D 0C 8B 75 08 03 F6 46 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 0C 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 55 0C 8B 4D 08 8B 45 10 E8 ?? ?? ?? ?? 8B 55 FC 8D 47 20 E8 ?? ?? ?? ?? 89 77 18 85 F6 75 0E 8B 4F 20 33 D2 8B C7 E8 ?? ?? ?? ?? EB 39 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 47 1C E8 ?? ?? ?? ?? FF 77 20 68 ?? ?? ?? ?? FF 77 1C 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 84 DB 74 0E E8 ?? ?? ?? ?? 8B 45 D8 64 A3 00 00 00 00 8B C7 8B 7D E8 8B 75 EC 8B 5D F0 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_38636_0 {
	meta:
		name = "FixupStub"
		size = 207
		refs = "0018 FixupStub 002a RSWinsockCallError 002f LoadResString 004c _DV_EIdWinsockStubError 0051 EIdWinsockStubError.Build 0056 @RaiseExcept 005d @UStrToPWChar 0064 GetProcAddress 00b3 @UStrClr 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 34 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 5D F4 C6 45 F8 11 8D 45 F4 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B F0 85 F6 75 34 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 89 5D F4 C6 45 F8 11 8D 45 F4 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38637_0 {
	meta:
		name = "FixupStubEx"
		size = 153
		refs = "0012 FixupStubEx 0035 WSAIoctl 0041 RSWinsockCallError 0046 LoadResString 005d WSAGetLastError 0066 _DV_EIdWinsockStubError 006b EIdWinsockStubError.Build 0070 @RaiseExcept 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F4 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 6A 00 8D 55 F8 52 6A 04 8D 55 FC 52 6A 10 51 68 06 00 00 C8 50 FF 15 ?? ?? ?? ?? 85 C0 74 37 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 89 5D EC C6 45 F0 11 8D 45 EC 50 6A 00 FF 15 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38638_0 {
	meta:
		name = "Stub_WSAStartup"
		size = 288
		refs = "000f Stub_WSAStartup 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAStartup 00d8 @UStrClr 00e5 @UStrArrayClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 0C 50 0F B7 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 53 00 41 00 53 00 74 00 61 00 72 00 74 00 75 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_38639_0 {
	meta:
		name = "Stub_WSACleanup"
		size = 276
		refs = "000f Stub_WSACleanup 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSACleanup 00cf @UStrClr 00dc @UStrArrayClr 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 53 00 41 00 43 00 6C 00 65 00 61 00 6E 00 75 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_38640_0 {
	meta:
		name = "Stub_accept"
		size = 284
		refs = "000f Stub_accept 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 accept 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 61 00 63 00 63 00 65 00 70 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_38641_0 {
	meta:
		name = "Stub_bind"
		size = 280
		refs = "000f Stub_bind 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 bind 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 69 00 6E 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_38642_0 {
	meta:
		name = "Stub_closesocket"
		size = 284
		refs = "000f Stub_closesocket 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 closesocket 00d3 @UStrClr 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 6C 00 6F 00 73 00 65 00 73 00 6F 00 63 00 6B 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_38643_0 {
	meta:
		name = "Stub_connect"
		size = 284
		refs = "000f Stub_connect 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 connect 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 00 00 }
	condition:
		$1
}

rule function_38644_0 {
	meta:
		name = "Stub_ioctlsocket"
		size = 292
		refs = "000f Stub_ioctlsocket 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 ioctlsocket 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 69 00 6F 00 63 00 74 00 6C 00 73 00 6F 00 63 00 6B 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_38645_0 {
	meta:
		name = "Stub_getpeername"
		size = 292
		refs = "000f Stub_getpeername 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 getpeername 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 67 00 65 00 74 00 70 00 65 00 65 00 72 00 6E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_38646_0 {
	meta:
		name = "Stub_getsockname"
		size = 292
		refs = "000f Stub_getsockname 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 getsockname 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 67 00 65 00 74 00 73 00 6F 00 63 00 6B 00 6E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_38647_0 {
	meta:
		name = "Stub_getsockopt"
		size = 300
		refs = "000f Stub_getsockopt 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 getsockopt 00e3 @UStrClr 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 67 00 65 00 74 00 73 00 6F 00 63 00 6B 00 6F 00 70 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_38648_0 {
	meta:
		name = "Stub_htonl"
		size = 272
		refs = "000f Stub_htonl 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 htonl 00d3 @UStrClr 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 68 00 74 00 6F 00 6E 00 6C 00 00 00 }
	condition:
		$1
}

rule function_38649_0 {
	meta:
		name = "Stub_htons"
		size = 272
		refs = "000f Stub_htons 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 htons 00d4 @UStrClr 00e1 @UStrArrayClr 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 0F B7 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 68 00 74 00 6F 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_38650_0 {
	meta:
		name = "Stub_inet_addr"
		size = 280
		refs = "000f Stub_inet_addr 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 inet_addr 00d3 @UStrClr 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 65 00 74 00 5F 00 61 00 64 00 64 00 72 00 00 00 }
	condition:
		$1
}

rule function_38651_0 {
	meta:
		name = "Stub_inet_ntoa"
		size = 276
		refs = "000f Stub_inet_ntoa 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 inet_ntoa 00d2 @UStrClr 00df @UStrArrayClr 00e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? FF 75 08 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 65 00 74 00 5F 00 6E 00 74 00 6F 00 61 00 00 00 }
	condition:
		$1
}

rule function_38652_0 {
	meta:
		name = "Stub_listen"
		size = 280
		refs = "000f Stub_listen 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 listen 00d7 @UStrClr 00e4 @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6C 00 69 00 73 00 74 00 65 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_38653_0 {
	meta:
		name = "Stub_ntohl"
		size = 272
		refs = "000f Stub_ntohl 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 ntohl 00d3 @UStrClr 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6E 00 74 00 6F 00 68 00 6C 00 00 00 }
	condition:
		$1
}

rule function_38654_0 {
	meta:
		name = "Stub_ntohs"
		size = 272
		refs = "000f Stub_ntohs 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 ntohs 00d4 @UStrClr 00e1 @UStrArrayClr 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 0F B7 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6E 00 74 00 6F 00 68 00 73 00 00 00 }
	condition:
		$1
}

rule function_38655_0 {
	meta:
		name = "Stub_recv"
		size = 284
		refs = "000f Stub_recv 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 recv 00df @UStrClr 00ec @UStrArrayClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 72 00 65 00 63 00 76 00 00 00 00 00 }
	condition:
		$1
}

rule function_38656_0 {
	meta:
		name = "Stub_recvfrom"
		size = 300
		refs = "000f Stub_recvfrom 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 recvfrom 00e7 @UStrClr 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 18 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 72 00 65 00 63 00 76 00 66 00 72 00 6F 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_38657_0 {
	meta:
		name = "Stub_select"
		size = 292
		refs = "000f Stub_select 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 select 00e3 @UStrClr 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_38658_0 {
	meta:
		name = "Stub_send"
		size = 284
		refs = "000f Stub_send 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 send 00df @UStrClr 00ec @UStrArrayClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 65 00 6E 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_38659_0 {
	meta:
		name = "Stub_sendto"
		size = 296
		refs = "000f Stub_sendto 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 sendto 00e7 @UStrClr 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 18 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 65 00 6E 00 64 00 74 00 6F 00 00 00 00 00 }
	condition:
		$1
}

rule function_38660_0 {
	meta:
		name = "Stub_setsockopt"
		size = 300
		refs = "000f Stub_setsockopt 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 setsockopt 00e3 @UStrClr 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 65 00 74 00 73 00 6F 00 63 00 6B 00 6F 00 70 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_38661_0 {
	meta:
		name = "Stub_shutdown"
		size = 284
		refs = "000f Stub_shutdown 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 shutdown 00d7 @UStrClr 00e4 @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 68 00 75 00 74 00 64 00 6F 00 77 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_38662_0 {
	meta:
		name = "Stub_socket"
		size = 284
		refs = "000f Stub_socket 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 socket 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 6F 00 63 00 6B 00 65 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_38663_0 {
	meta:
		name = "Stub_gethostbyaddr"
		size = 296
		refs = "000f Stub_gethostbyaddr 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 gethostbyaddr 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 67 00 65 00 74 00 68 00 6F 00 73 00 74 00 62 00 79 00 61 00 64 00 64 00 72 00 00 00 }
	condition:
		$1
}

rule function_38664_0 {
	meta:
		name = "Stub_gethostbyname"
		size = 288
		refs = "000f Stub_gethostbyname 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 gethostbyname 00d3 @UStrClr 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 67 00 65 00 74 00 68 00 6F 00 73 00 74 00 62 00 79 00 6E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_38665_0 {
	meta:
		name = "Stub_gethostname"
		size = 288
		refs = "000f Stub_gethostname 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 gethostname 00d7 @UStrClr 00e4 @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 67 00 65 00 74 00 68 00 6F 00 73 00 74 00 6E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_38666_0 {
	meta:
		name = "Stub_getservbyport"
		size = 292
		refs = "000f Stub_getservbyport 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 getservbyport 00d7 @UStrClr 00e4 @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 67 00 65 00 74 00 73 00 65 00 72 00 76 00 62 00 79 00 70 00 6F 00 72 00 74 00 00 00 }
	condition:
		$1
}

rule function_38667_0 {
	meta:
		name = "Stub_getservbyname"
		size = 292
		refs = "000f Stub_getservbyname 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 getservbyname 00d7 @UStrClr 00e4 @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 67 00 65 00 74 00 73 00 65 00 72 00 76 00 62 00 79 00 6E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_38668_0 {
	meta:
		name = "Stub_getprotobynumber"
		size = 296
		refs = "000f Stub_getprotobynumber 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 getprotobynumber 00d3 @UStrClr 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 67 00 65 00 74 00 70 00 72 00 6F 00 74 00 6F 00 62 00 79 00 6E 00 75 00 6D 00 62 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_38669_0 {
	meta:
		name = "Stub_getprotobyname"
		size = 292
		refs = "000f Stub_getprotobyname 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 getprotobyname 00d3 @UStrClr 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 67 00 65 00 74 00 70 00 72 00 6F 00 74 00 6F 00 62 00 79 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_38670_0 {
	meta:
		name = "Stub_WSASetLastError"
		size = 288
		refs = "000f Stub_WSASetLastError 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSASetLastError 00d1 @UStrClr 00de @UStrArrayClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 08 50 FF 15 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 57 00 53 00 41 00 53 00 65 00 74 00 4C 00 61 00 73 00 74 00 45 00 72 00 72 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_38671_0 {
	meta:
		name = "Stub_WSAGetLastError"
		size = 284
		refs = "000f Stub_WSAGetLastError 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAGetLastError 00cf @UStrClr 00dc @UStrArrayClr 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 57 00 53 00 41 00 47 00 65 00 74 00 4C 00 61 00 73 00 74 00 45 00 72 00 72 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_38672_0 {
	meta:
		name = "Stub_WSAIsBlocking"
		size = 280
		refs = "000f Stub_WSAIsBlocking 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAIsBlocking 00cf @UStrClr 00dc @UStrArrayClr 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 57 00 53 00 41 00 49 00 73 00 42 00 6C 00 6F 00 63 00 6B 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_38673_0 {
	meta:
		name = "Stub_WSAUnhookBlockingHook"
		size = 296
		refs = "000f Stub_WSAUnhookBlockingHook 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAUnhookBlockingHook 00cf @UStrClr 00dc @UStrArrayClr 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 15 00 00 00 57 00 53 00 41 00 55 00 6E 00 68 00 6F 00 6F 00 6B 00 42 00 6C 00 6F 00 63 00 6B 00 69 00 6E 00 67 00 48 00 6F 00 6F 00 6B 00 00 00 }
	condition:
		$1
}

rule function_38674_0 {
	meta:
		name = "Stub_WSASetBlockingHook"
		size = 300
		refs = "000f Stub_WSASetBlockingHook 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSASetBlockingHook 00d3 @UStrClr 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 57 00 53 00 41 00 53 00 65 00 74 00 42 00 6C 00 6F 00 63 00 6B 00 69 00 6E 00 67 00 48 00 6F 00 6F 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_38675_0 {
	meta:
		name = "Stub_WSACancelBlockingCall"
		size = 296
		refs = "000f Stub_WSACancelBlockingCall 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSACancelBlockingCall 00cf @UStrClr 00dc @UStrArrayClr 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 15 00 00 00 57 00 53 00 41 00 43 00 61 00 6E 00 63 00 65 00 6C 00 42 00 6C 00 6F 00 63 00 6B 00 69 00 6E 00 67 00 43 00 61 00 6C 00 6C 00 00 00 }
	condition:
		$1
}

rule function_38676_0 {
	meta:
		name = "Stub_WSAAsyncGetServByName"
		size = 324
		refs = "000f Stub_WSAAsyncGetServByName 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAAsyncGetServByName 00e7 @UStrClr 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 18 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 57 00 53 00 41 00 41 00 73 00 79 00 6E 00 63 00 47 00 65 00 74 00 53 00 65 00 72 00 76 00 42 00 79 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_38677_0 {
	meta:
		name = "Stub_WSAAsyncGetServByPort"
		size = 324
		refs = "000f Stub_WSAAsyncGetServByPort 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAAsyncGetServByPort 00e7 @UStrClr 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 18 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 57 00 53 00 41 00 41 00 73 00 79 00 6E 00 63 00 47 00 65 00 74 00 53 00 65 00 72 00 76 00 42 00 79 00 50 00 6F 00 72 00 74 00 00 00 }
	condition:
		$1
}

rule function_38678_0 {
	meta:
		name = "Stub_WSAAsyncGetProtoByName"
		size = 324
		refs = "000f Stub_WSAAsyncGetProtoByName 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAAsyncGetProtoByName 00e3 @UStrClr 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 57 00 53 00 41 00 41 00 73 00 79 00 6E 00 63 00 47 00 65 00 74 00 50 00 72 00 6F 00 74 00 6F 00 42 00 79 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_38679_0 {
	meta:
		name = "Stub_WSAAsyncGetProtoByNumber"
		size = 328
		refs = "000f Stub_WSAAsyncGetProtoByNumber 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAAsyncGetProtoByNumber 00e3 @UStrClr 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 57 00 53 00 41 00 41 00 73 00 79 00 6E 00 63 00 47 00 65 00 74 00 50 00 72 00 6F 00 74 00 6F 00 42 00 79 00 4E 00 75 00 6D 00 62 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_38680_0 {
	meta:
		name = "Stub_WSAAsyncGetHostByName"
		size = 320
		refs = "000f Stub_WSAAsyncGetHostByName 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAAsyncGetHostByName 00e3 @UStrClr 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 57 00 53 00 41 00 41 00 73 00 79 00 6E 00 63 00 47 00 65 00 74 00 48 00 6F 00 73 00 74 00 42 00 79 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_38681_0 {
	meta:
		name = "Stub_WSAAsyncGetHostByAddr"
		size = 328
		refs = "000f Stub_WSAAsyncGetHostByAddr 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAAsyncGetHostByAddr 00eb @UStrClr 00f8 @UStrArrayClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 1C 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 57 00 53 00 41 00 41 00 73 00 79 00 6E 00 63 00 47 00 65 00 74 00 48 00 6F 00 73 00 74 00 42 00 79 00 41 00 64 00 64 00 72 00 00 00 }
	condition:
		$1
}

rule function_38682_0 {
	meta:
		name = "Stub_WSACancelAsyncRequest"
		size = 304
		refs = "000f Stub_WSACancelAsyncRequest 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSACancelAsyncRequest 00d3 @UStrClr 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 57 00 53 00 41 00 43 00 61 00 6E 00 63 00 65 00 6C 00 41 00 73 00 79 00 6E 00 63 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 00 00 }
	condition:
		$1
}

rule function_38683_0 {
	meta:
		name = "Stub_WSAAsyncSelect"
		size = 304
		refs = "000f Stub_WSAAsyncSelect 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAAsyncSelect 00df @UStrClr 00ec @UStrArrayClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 57 00 53 00 41 00 41 00 73 00 79 00 6E 00 63 00 53 00 65 00 6C 00 65 00 63 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_38684_0 {
	meta:
		name = "Stub___WSAFDIsSet"
		size = 292
		refs = "000f Stub___WSAFDIsSet 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 __WSAFDIsSet 00d7 @UStrClr 00e4 @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 5F 00 5F 00 57 00 53 00 41 00 46 00 44 00 49 00 73 00 53 00 65 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_38685_0 {
	meta:
		name = "Stub_WSAAccept"
		size = 296
		refs = "000f Stub_WSAAccept 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAAccept 00e3 @UStrClr 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 57 00 53 00 41 00 41 00 63 00 63 00 65 00 70 00 74 00 00 00 }
	condition:
		$1
}

rule function_38686_0 {
	meta:
		name = "Stub_WSACloseEvent"
		size = 288
		refs = "000f Stub_WSACloseEvent 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSACloseEvent 00d3 @UStrClr 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 57 00 53 00 41 00 43 00 6C 00 6F 00 73 00 65 00 45 00 76 00 65 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_38687_0 {
	meta:
		name = "Stub_WSAConnect"
		size = 308
		refs = "000f Stub_WSAConnect 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAConnect 00eb @UStrClr 00f8 @UStrArrayClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 1C 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 53 00 41 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_38688_0 {
	meta:
		name = "Stub_WSACreateEvent"
		size = 284
		refs = "000f Stub_WSACreateEvent 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSACreateEvent 00cf @UStrClr 00dc @UStrArrayClr 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 57 00 53 00 41 00 43 00 72 00 65 00 61 00 74 00 65 00 45 00 76 00 65 00 6E 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_38689_0 {
	meta:
		name = "Stub_WSADuplicateSocketA"
		size = 308
		refs = "000f Stub_WSADuplicateSocketA 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSADuplicateSocketA 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 57 00 53 00 41 00 44 00 75 00 70 00 6C 00 69 00 63 00 61 00 74 00 65 00 53 00 6F 00 63 00 6B 00 65 00 74 00 41 00 00 00 }
	condition:
		$1
}

rule function_38690_0 {
	meta:
		name = "Stub_WSADuplicateSocketW"
		size = 308
		refs = "000f Stub_WSADuplicateSocketW 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSADuplicateSocketW 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 57 00 53 00 41 00 44 00 75 00 70 00 6C 00 69 00 63 00 61 00 74 00 65 00 53 00 6F 00 63 00 6B 00 65 00 74 00 57 00 00 00 }
	condition:
		$1
}

rule function_38691_0 {
	meta:
		name = "Stub_WSADuplicateSocket"
		size = 308
		refs = "000f Stub_WSADuplicateSocket 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSADuplicateSocket 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 57 00 53 00 41 00 44 00 75 00 70 00 6C 00 69 00 63 00 61 00 74 00 65 00 53 00 6F 00 63 00 6B 00 65 00 74 00 57 00 00 00 }
	condition:
		$1
}

rule function_38692_0 {
	meta:
		name = "Stub_WSAEnumNetworkEvents"
		size = 312
		refs = "000f Stub_WSAEnumNetworkEvents 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAEnumNetworkEvents 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 57 00 53 00 41 00 45 00 6E 00 75 00 6D 00 4E 00 65 00 74 00 77 00 6F 00 72 00 6B 00 45 00 76 00 65 00 6E 00 74 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_38693_0 {
	meta:
		name = "Stub_WSAEnumProtocolsA"
		size = 304
		refs = "000f Stub_WSAEnumProtocolsA 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAEnumProtocolsA 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 57 00 53 00 41 00 45 00 6E 00 75 00 6D 00 50 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 73 00 41 00 00 00 }
	condition:
		$1
}

rule function_38694_0 {
	meta:
		name = "Stub_WSAEnumProtocolsW"
		size = 304
		refs = "000f Stub_WSAEnumProtocolsW 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAEnumProtocolsW 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 57 00 53 00 41 00 45 00 6E 00 75 00 6D 00 50 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 73 00 57 00 00 00 }
	condition:
		$1
}

rule function_38695_0 {
	meta:
		name = "Stub_WSAEnumProtocols"
		size = 304
		refs = "000f Stub_WSAEnumProtocols 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAEnumProtocols 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 57 00 53 00 41 00 45 00 6E 00 75 00 6D 00 50 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 73 00 57 00 00 00 }
	condition:
		$1
}

rule function_38696_0 {
	meta:
		name = "Stub_WSAEventSelect"
		size = 300
		refs = "000f Stub_WSAEventSelect 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAEventSelect 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 57 00 53 00 41 00 45 00 76 00 65 00 6E 00 74 00 53 00 65 00 6C 00 65 00 63 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_38697_0 {
	meta:
		name = "Stub_WSAGetOverlappedResult"
		size = 324
		refs = "000f Stub_WSAGetOverlappedResult 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAGetOverlappedResult 00e3 @UStrClr 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 57 00 53 00 41 00 47 00 65 00 74 00 4F 00 76 00 65 00 72 00 6C 00 61 00 70 00 70 00 65 00 64 00 52 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_38698_0 {
	meta:
		name = "Stub_WSAGetQOSByName"
		size = 300
		refs = "000f Stub_WSAGetQOSByName 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAGetQosByName 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 57 00 53 00 41 00 47 00 65 00 74 00 51 00 4F 00 53 00 42 00 79 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_38699_0 {
	meta:
		name = "Stub_WSAHtonl"
		size = 288
		refs = "000f Stub_WSAHtonl 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAHtonl 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 57 00 53 00 41 00 48 00 74 00 6F 00 6E 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_38700_0 {
	meta:
		name = "Stub_WSAHtons"
		size = 288
		refs = "000f Stub_WSAHtons 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAHtons 00dc @UStrClr 00e9 @UStrArrayClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 0F B7 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 57 00 53 00 41 00 48 00 74 00 6F 00 6E 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_38701_0 {
	meta:
		name = "Stub_WSAIoctl"
		size = 312
		refs = "000f Stub_WSAIoctl 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAIoctl 00f3 @UStrClr 0100 @UStrArrayClr 0106 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 28 50 8B 45 24 50 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 24 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 57 00 53 00 41 00 49 00 6F 00 63 00 74 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_38702_0 {
	meta:
		name = "Stub_WSAJoinLeaf"
		size = 312
		refs = "000f Stub_WSAJoinLeaf 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAJoinLeaf 00ef @UStrClr 00fc @UStrArrayClr 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 24 50 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 20 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 53 00 41 00 4A 00 6F 00 69 00 6E 00 4C 00 65 00 61 00 66 00 00 00 }
	condition:
		$1
}

rule function_38703_0 {
	meta:
		name = "Stub_WSANtohl"
		size = 288
		refs = "000f Stub_WSANtohl 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSANtohl 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 57 00 53 00 41 00 4E 00 74 00 6F 00 68 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_38704_0 {
	meta:
		name = "Stub_WSANtohs"
		size = 288
		refs = "000f Stub_WSANtohs 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSANtohs 00dc @UStrClr 00e9 @UStrArrayClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 0F B7 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 57 00 53 00 41 00 4E 00 74 00 6F 00 68 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_38705_0 {
	meta:
		name = "Stub_WSARecv"
		size = 300
		refs = "000f Stub_WSARecv 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSARecv 00eb @UStrClr 00f8 @UStrArrayClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 1C 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 53 00 41 00 52 00 65 00 63 00 76 00 00 00 }
	condition:
		$1
}

rule function_38706_0 {
	meta:
		name = "Stub_WSARecvDisconnect"
		size = 300
		refs = "000f Stub_WSARecvDisconnect 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSARecvDisconnect 00d7 @UStrClr 00e4 @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 57 00 53 00 41 00 52 00 65 00 63 00 76 00 44 00 69 00 73 00 63 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 00 00 }
	condition:
		$1
}

rule function_38707_0 {
	meta:
		name = "Stub_WSARecvFrom"
		size = 316
		refs = "000f Stub_WSARecvFrom 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSARecvFrom 00f3 @UStrClr 0100 @UStrArrayClr 0106 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 28 50 8B 45 24 50 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 24 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 53 00 41 00 52 00 65 00 63 00 76 00 46 00 72 00 6F 00 6D 00 00 00 }
	condition:
		$1
}

rule function_38708_0 {
	meta:
		name = "Stub_WSAResetEvent"
		size = 288
		refs = "000f Stub_WSAResetEvent 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAResetEvent 00d3 @UStrClr 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 57 00 53 00 41 00 52 00 65 00 73 00 65 00 74 00 45 00 76 00 65 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_38709_0 {
	meta:
		name = "Stub_WSASend"
		size = 300
		refs = "000f Stub_WSASend 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSASend 00eb @UStrClr 00f8 @UStrArrayClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 1C 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 53 00 41 00 53 00 65 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_38710_0 {
	meta:
		name = "Stub_WSASendDisconnect"
		size = 300
		refs = "000f Stub_WSASendDisconnect 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSASendDisconnect 00d7 @UStrClr 00e4 @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 57 00 53 00 41 00 53 00 65 00 6E 00 64 00 44 00 69 00 73 00 63 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 00 00 }
	condition:
		$1
}

rule function_38711_0 {
	meta:
		name = "Stub_WSASendTo"
		size = 312
		refs = "000f Stub_WSASendTo 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSASendTo 00f3 @UStrClr 0100 @UStrArrayClr 0106 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 28 50 8B 45 24 50 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 24 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 57 00 53 00 41 00 53 00 65 00 6E 00 64 00 54 00 6F 00 00 00 }
	condition:
		$1
}

rule function_38712_0 {
	meta:
		name = "Stub_WSASetEvent"
		size = 284
		refs = "000f Stub_WSASetEvent 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSASetEvent 00d3 @UStrClr 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 53 00 41 00 53 00 65 00 74 00 45 00 76 00 65 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_38713_0 {
	meta:
		name = "Stub_WSASocketA"
		size = 304
		refs = "000f Stub_WSASocketA 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSASocketA 00e7 @UStrClr 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 18 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 53 00 41 00 53 00 6F 00 63 00 6B 00 65 00 74 00 41 00 00 00 00 00 }
	condition:
		$1
}

rule function_38714_0 {
	meta:
		name = "Stub_WSASocketW"
		size = 304
		refs = "000f Stub_WSASocketW 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSASocketW 00e7 @UStrClr 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 18 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 53 00 41 00 53 00 6F 00 63 00 6B 00 65 00 74 00 57 00 00 00 00 00 }
	condition:
		$1
}

rule function_38715_0 {
	meta:
		name = "Stub_WSASocket"
		size = 304
		refs = "000f Stub_WSASocket 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSASocket 00e7 @UStrClr 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 18 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 53 00 41 00 53 00 6F 00 63 00 6B 00 65 00 74 00 57 00 00 00 00 00 }
	condition:
		$1
}

rule function_38716_0 {
	meta:
		name = "Stub_WSAWaitForMultipleEvents"
		size = 328
		refs = "000f Stub_WSAWaitForMultipleEvents 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAWaitForMultipleEvents 00e3 @UStrClr 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 57 00 53 00 41 00 57 00 61 00 69 00 74 00 46 00 6F 00 72 00 4D 00 75 00 6C 00 74 00 69 00 70 00 6C 00 65 00 45 00 76 00 65 00 6E 00 74 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_38717_0 {
	meta:
		name = "Stub_WSAAddressToStringA"
		size = 316
		refs = "000f Stub_WSAAddressToStringA 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAAddressToStringA 00e3 @UStrClr 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 57 00 53 00 41 00 41 00 64 00 64 00 72 00 65 00 73 00 73 00 54 00 6F 00 53 00 74 00 72 00 69 00 6E 00 67 00 41 00 00 00 }
	condition:
		$1
}

rule function_38718_0 {
	meta:
		name = "Stub_WSAAddressToStringW"
		size = 316
		refs = "000f Stub_WSAAddressToStringW 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAAddressToStringW 00e3 @UStrClr 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 57 00 53 00 41 00 41 00 64 00 64 00 72 00 65 00 73 00 73 00 54 00 6F 00 53 00 74 00 72 00 69 00 6E 00 67 00 57 00 00 00 }
	condition:
		$1
}

rule function_38719_0 {
	meta:
		name = "Stub_WSAAddressToString"
		size = 316
		refs = "000f Stub_WSAAddressToString 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAAddressToString 00e3 @UStrClr 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 57 00 53 00 41 00 41 00 64 00 64 00 72 00 65 00 73 00 73 00 54 00 6F 00 53 00 74 00 72 00 69 00 6E 00 67 00 57 00 00 00 }
	condition:
		$1
}

rule function_38720_0 {
	meta:
		name = "Stub_WSAStringToAddressA"
		size = 316
		refs = "000f Stub_WSAStringToAddressA 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAStringToAddressA 00e3 @UStrClr 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 57 00 53 00 41 00 53 00 74 00 72 00 69 00 6E 00 67 00 54 00 6F 00 41 00 64 00 64 00 72 00 65 00 73 00 73 00 41 00 00 00 }
	condition:
		$1
}

rule function_38721_0 {
	meta:
		name = "Stub_WSAStringToAddressW"
		size = 316
		refs = "000f Stub_WSAStringToAddressW 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAStringToAddressW 00e3 @UStrClr 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 57 00 53 00 41 00 53 00 74 00 72 00 69 00 6E 00 67 00 54 00 6F 00 41 00 64 00 64 00 72 00 65 00 73 00 73 00 57 00 00 00 }
	condition:
		$1
}

rule function_38722_0 {
	meta:
		name = "Stub_WSAStringToAddress"
		size = 316
		refs = "000f Stub_WSAStringToAddress 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAStringToAddress 00e3 @UStrClr 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 57 00 53 00 41 00 53 00 74 00 72 00 69 00 6E 00 67 00 54 00 6F 00 41 00 64 00 64 00 72 00 65 00 73 00 73 00 57 00 00 00 }
	condition:
		$1
}

rule function_38723_0 {
	meta:
		name = "Stub_WSALookupServiceBeginA"
		size = 316
		refs = "000f Stub_WSALookupServiceBeginA 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSALookupServiceBeginA 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 57 00 53 00 41 00 4C 00 6F 00 6F 00 6B 00 75 00 70 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 42 00 65 00 67 00 69 00 6E 00 41 00 00 00 00 00 }
	condition:
		$1
}

rule function_38724_0 {
	meta:
		name = "Stub_WSALookupServiceBeginW"
		size = 316
		refs = "000f Stub_WSALookupServiceBeginW 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSALookupServiceBeginW 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 57 00 53 00 41 00 4C 00 6F 00 6F 00 6B 00 75 00 70 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 42 00 65 00 67 00 69 00 6E 00 57 00 00 00 00 00 }
	condition:
		$1
}

rule function_38725_0 {
	meta:
		name = "Stub_WSALookupServiceBegin"
		size = 316
		refs = "000f Stub_WSALookupServiceBegin 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSALookupServiceBegin 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 57 00 53 00 41 00 4C 00 6F 00 6F 00 6B 00 75 00 70 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 42 00 65 00 67 00 69 00 6E 00 57 00 00 00 00 00 }
	condition:
		$1
}

rule function_38726_0 {
	meta:
		name = "Stub_WSALookupServiceNextA"
		size = 316
		refs = "000f Stub_WSALookupServiceNextA 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSALookupServiceNextA 00df @UStrClr 00ec @UStrArrayClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 57 00 53 00 41 00 4C 00 6F 00 6F 00 6B 00 75 00 70 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 4E 00 65 00 78 00 74 00 41 00 00 00 }
	condition:
		$1
}

rule function_38727_0 {
	meta:
		name = "Stub_WSALookupServiceNextW"
		size = 316
		refs = "000f Stub_WSALookupServiceNextW 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSALookupServiceNextW 00df @UStrClr 00ec @UStrArrayClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 57 00 53 00 41 00 4C 00 6F 00 6F 00 6B 00 75 00 70 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 4E 00 65 00 78 00 74 00 57 00 00 00 }
	condition:
		$1
}

rule function_38728_0 {
	meta:
		name = "Stub_WSALookupServiceNext"
		size = 316
		refs = "000f Stub_WSALookupServiceNext 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSALookupServiceNext 00df @UStrClr 00ec @UStrArrayClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 57 00 53 00 41 00 4C 00 6F 00 6F 00 6B 00 75 00 70 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 4E 00 65 00 78 00 74 00 57 00 00 00 }
	condition:
		$1
}

rule function_38729_0 {
	meta:
		name = "Stub_WSALookupServiceEnd"
		size = 300
		refs = "000f Stub_WSALookupServiceEnd 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSALookupServiceEnd 00d3 @UStrClr 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 57 00 53 00 41 00 4C 00 6F 00 6F 00 6B 00 75 00 70 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 45 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_38730_0 {
	meta:
		name = "Stub_WSANSPIoctl"
		size = 312
		refs = "000f Stub_WSANSPIoctl 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSANSPIoctl 00ef @UStrClr 00fc @UStrArrayClr 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 24 50 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 20 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 53 00 41 00 4E 00 53 00 50 00 49 00 6F 00 63 00 74 00 6C 00 00 00 }
	condition:
		$1
}

rule function_38731_0 {
	meta:
		name = "Stub_WSAInstallServiceClassA"
		size = 308
		refs = "000f Stub_WSAInstallServiceClassA 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAInstallServiceClassA 00d3 @UStrClr 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 57 00 53 00 41 00 49 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 43 00 6C 00 61 00 73 00 73 00 41 00 00 00 }
	condition:
		$1
}

rule function_38732_0 {
	meta:
		name = "Stub_WSAInstallServiceClassW"
		size = 308
		refs = "000f Stub_WSAInstallServiceClassW 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAInstallServiceClassW 00d3 @UStrClr 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 57 00 53 00 41 00 49 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 43 00 6C 00 61 00 73 00 73 00 57 00 00 00 }
	condition:
		$1
}

rule function_38733_0 {
	meta:
		name = "Stub_WSAInstallServiceClass"
		size = 308
		refs = "000f Stub_WSAInstallServiceClass 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAInstallServiceClass 00d3 @UStrClr 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 57 00 53 00 41 00 49 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 43 00 6C 00 61 00 73 00 73 00 57 00 00 00 }
	condition:
		$1
}

rule function_38734_0 {
	meta:
		name = "Stub_WSARemoveServiceClass"
		size = 304
		refs = "000f Stub_WSARemoveServiceClass 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSARemoveServiceClass 00d3 @UStrClr 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 57 00 53 00 41 00 52 00 65 00 6D 00 6F 00 76 00 65 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 43 00 6C 00 61 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_38735_0 {
	meta:
		name = "Stub_WSAGetServiceClassInfoA"
		size = 320
		refs = "000f Stub_WSAGetServiceClassInfoA 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAGetServiceClassInfoA 00df @UStrClr 00ec @UStrArrayClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 57 00 53 00 41 00 47 00 65 00 74 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 43 00 6C 00 61 00 73 00 73 00 49 00 6E 00 66 00 6F 00 41 00 00 00 }
	condition:
		$1
}

rule function_38736_0 {
	meta:
		name = "Stub_WSAGetServiceClassInfoW"
		size = 320
		refs = "000f Stub_WSAGetServiceClassInfoW 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAGetServiceClassInfoW 00df @UStrClr 00ec @UStrArrayClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 57 00 53 00 41 00 47 00 65 00 74 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 43 00 6C 00 61 00 73 00 73 00 49 00 6E 00 66 00 6F 00 57 00 00 00 }
	condition:
		$1
}

rule function_38737_0 {
	meta:
		name = "Stub_WSAGetServiceClassInfo"
		size = 320
		refs = "000f Stub_WSAGetServiceClassInfo 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAGetServiceClassInfo 00df @UStrClr 00ec @UStrArrayClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 57 00 53 00 41 00 47 00 65 00 74 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 43 00 6C 00 61 00 73 00 73 00 49 00 6E 00 66 00 6F 00 57 00 00 00 }
	condition:
		$1
}

rule function_38738_0 {
	meta:
		name = "Stub_WSAEnumNameSpaceProvidersA"
		size = 320
		refs = "000f Stub_WSAEnumNameSpaceProvidersA 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAEnumNameSpaceProvidersA 00d7 @UStrClr 00e4 @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 57 00 53 00 41 00 45 00 6E 00 75 00 6D 00 4E 00 61 00 6D 00 65 00 53 00 70 00 61 00 63 00 65 00 50 00 72 00 6F 00 76 00 69 00 64 00 65 00 72 00 73 00 41 00 00 00 00 00 }
	condition:
		$1
}

rule function_38739_0 {
	meta:
		name = "Stub_WSAEnumNameSpaceProvidersW"
		size = 320
		refs = "000f Stub_WSAEnumNameSpaceProvidersW 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAEnumNameSpaceProvidersW 00d7 @UStrClr 00e4 @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 57 00 53 00 41 00 45 00 6E 00 75 00 6D 00 4E 00 61 00 6D 00 65 00 53 00 70 00 61 00 63 00 65 00 50 00 72 00 6F 00 76 00 69 00 64 00 65 00 72 00 73 00 57 00 00 00 00 00 }
	condition:
		$1
}

rule function_38740_0 {
	meta:
		name = "Stub_WSAEnumNameSpaceProviders"
		size = 320
		refs = "000f Stub_WSAEnumNameSpaceProviders 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAEnumNameSpaceProviders 00d7 @UStrClr 00e4 @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 57 00 53 00 41 00 45 00 6E 00 75 00 6D 00 4E 00 61 00 6D 00 65 00 53 00 70 00 61 00 63 00 65 00 50 00 72 00 6F 00 76 00 69 00 64 00 65 00 72 00 73 00 57 00 00 00 00 00 }
	condition:
		$1
}

rule function_38741_0 {
	meta:
		name = "Stub_WSAGetServiceClassNameByClassIdA"
		size = 336
		refs = "000f Stub_WSAGetServiceClassNameByClassIdA 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAGetServiceClassNameByClassIdA 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 57 00 53 00 41 00 47 00 65 00 74 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 43 00 6C 00 61 00 73 00 73 00 4E 00 61 00 6D 00 65 00 42 00 79 00 43 00 6C 00 61 00 73 00 73 00 49 00 64 00 41 00 00 00 00 00 }
	condition:
		$1
}

rule function_38742_0 {
	meta:
		name = "Stub_WSAGetServiceClassNameByClassIdW"
		size = 336
		refs = "000f Stub_WSAGetServiceClassNameByClassIdW 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAGetServiceClassNameByClassIdW 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 57 00 53 00 41 00 47 00 65 00 74 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 43 00 6C 00 61 00 73 00 73 00 4E 00 61 00 6D 00 65 00 42 00 79 00 43 00 6C 00 61 00 73 00 73 00 49 00 64 00 57 00 00 00 00 00 }
	condition:
		$1
}

rule function_38743_0 {
	meta:
		name = "Stub_WSAGetServiceClassNameByClassId"
		size = 336
		refs = "000f Stub_WSAGetServiceClassNameByClassId 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAGetServiceClassNameByClassId 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 57 00 53 00 41 00 47 00 65 00 74 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 43 00 6C 00 61 00 73 00 73 00 4E 00 61 00 6D 00 65 00 42 00 79 00 43 00 6C 00 61 00 73 00 73 00 49 00 64 00 57 00 00 00 00 00 }
	condition:
		$1
}

rule function_38744_0 {
	meta:
		name = "Stub_WSASetServiceA"
		size = 300
		refs = "000f Stub_WSASetServiceA 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSASetServiceA 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 57 00 53 00 41 00 53 00 65 00 74 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 41 00 00 00 00 00 }
	condition:
		$1
}

rule function_38745_0 {
	meta:
		name = "Stub_WSASetServiceW"
		size = 300
		refs = "000f Stub_WSASetServiceW 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSASetServiceW 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 57 00 53 00 41 00 53 00 65 00 74 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 57 00 00 00 00 00 }
	condition:
		$1
}

rule function_38746_0 {
	meta:
		name = "Stub_WSASetService"
		size = 300
		refs = "000f Stub_WSASetService 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSASetService 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 57 00 53 00 41 00 53 00 65 00 74 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 57 00 00 00 00 00 }
	condition:
		$1
}

rule function_38747_0 {
	meta:
		name = "Stub_WSAProviderConfigChange"
		size = 316
		refs = "000f Stub_WSAProviderConfigChange 001b hWinSockDll 0028 @UStrLAsg 0034 RSWinsockCallError 0039 LoadResString 0059 _DV_EIdWinsockStubError 005e EIdWinsockStubError.Build 0063 @RaiseExcept 006b @UStrToPWChar 0072 GetProcAddress 00b2 WSAProviderConfigChange 00db @UStrClr 00e8 @UStrArrayClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 57 00 53 00 41 00 50 00 72 00 6F 00 76 00 69 00 64 00 65 00 72 00 43 00 6F 00 6E 00 66 00 69 00 67 00 43 00 68 00 61 00 6E 00 67 00 65 00 00 00 }
	condition:
		$1
}

rule function_38748_0 {
	meta:
		name = "Stub_TransmitFile"
		size = 108
		refs = "0008 WSAID_TRANSMITFILE 000d Stub_TransmitFile 0014 FixupStubEx 0019 TransmitFile"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 53 FF 15 ?? ?? ?? ?? 5B 5D C2 1C 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 54 00 72 00 61 00 6E 00 73 00 6D 00 69 00 74 00 46 00 69 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_38749_0 {
	meta:
		name = "Stub_AcceptEx"
		size = 180
		refs = "0008 WSAID_GETACCEPTEXSOCKADDRS 000d Stub_AcceptEx 0014 FixupStubEx 0019 GetAcceptExSockaddrs 001e WSAID_ACCEPTEX 002f AcceptEx"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 24 50 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 53 FF 15 ?? ?? ?? ?? 5B 5D C2 20 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 47 00 65 00 74 00 41 00 63 00 63 00 65 00 70 00 74 00 45 00 78 00 53 00 6F 00 63 00 6B 00 61 00 64 00 64 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 45 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_38750_0 {
	meta:
		name = "Stub_WSARecvEx"
		size = 428
		refs = "0010 Stub_WSARecvEx 001c hMSWSockDll 002e SafeLoadLibrary 0044 RSWinsockLoadError 0049 LoadResString 0064 GetLastError 006d _DV_EIdWinsockStubError 0072 EIdWinsockStubError.Build 0077 @RaiseExcept 008a @UStrLAsg 0096 RSWinsockCallError 00cd @UStrToPWChar 00d4 GetProcAddress 0114 WSARecvEx 0146 @UStrArrayClr 0159 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 58 BA 00 80 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 3B 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 37 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 6D 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 B9 26 27 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5B 8B E5 5D C2 10 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 53 00 57 00 53 00 4F 00 43 00 4B 00 2E 00 44 00 4C 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 57 00 53 00 41 00 52 00 65 00 63 00 76 00 45 00 78 00 00 00 }
	condition:
		$1
}

rule function_38751_0 {
	meta:
		name = "Stub_ConnectEx"
		size = 100
		refs = "0008 WSAID_CONNECTEX 000d Stub_ConnectEx 0014 FixupStubEx 0019 ConnectEx"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 53 FF 15 ?? ?? ?? ?? 5B 5D C2 1C 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 45 00 78 00 00 00 }
	condition:
		$1
}

rule function_38752_0 {
	meta:
		name = "Stub_DisconnectEx"
		size = 96
		refs = "0008 WSAID_DISCONNECTEX 000d Stub_DisconnectEx 0014 FixupStubEx 0019 DisconnectEx"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 8B 45 0C 50 53 FF 15 ?? ?? ?? ?? 5B 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 69 00 73 00 63 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 45 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_38753_0 {
	meta:
		name = "Stub_WSARecvMsg"
		size = 96
		refs = "0008 WSAID_WSARECVMSG 000d Stub_WSARecvMsg 0014 FixupStubEx 0019 WSARecvMsg"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 53 FF 15 ?? ?? ?? ?? 5B 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 53 00 41 00 52 00 65 00 63 00 76 00 4D 00 73 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_38754_0 {
	meta:
		name = "Stub_TransmitPackets"
		size = 108
		refs = "0008 WSAID_TRANSMITPACKETS 000d Stub_TransmitPackets 0014 FixupStubEx 0019 TransmitPackets"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 53 FF 15 ?? ?? ?? ?? 5B 5D C2 18 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 72 00 61 00 6E 00 73 00 6D 00 69 00 74 00 50 00 61 00 63 00 6B 00 65 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_38755_0 {
	meta:
		name = "Stub_WSASendMsg"
		size = 100
		refs = "0008 WSAID_WSASENDMSG 000d Stub_WSASendMsg 0014 FixupStubEx 0019 WSASendMsg"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 53 FF 15 ?? ?? ?? ?? 5B 5D C2 18 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 53 00 41 00 53 00 65 00 6E 00 64 00 4D 00 73 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_38756_0 {
	meta:
		name = "Stub_WSAPoll"
		size = 80
		refs = "0008 WSAID_WSAPOLL 000d Stub_WSAPoll 0014 FixupStubEx 0019 WSAPoll"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 53 FF 15 ?? ?? ?? ?? 5B 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 53 00 41 00 50 00 6F 00 6C 00 6C 00 00 00 }
	condition:
		$1
}

rule function_38757_0 {
	meta:
		name = "InitializeStubs"
		size = 1191
		refs = "0002 accept 0006 Stub_accept 000c bind 0010 Stub_bind 0016 closesocket 001a Stub_closesocket 0020 connect 0024 Stub_connect 002a ioctlsocket 002e Stub_ioctlsocket 0034 getpeername 0038 Stub_getpeername 003e getsockname 0042 Stub_getsockname 0048 getsockopt 004c Stub_getsockopt 0052 htonl 0056 Stub_htonl 005c htons 0060 Stub_htons 0066 inet_addr 006a Stub_inet_addr 0070 inet_ntoa 0074 Stub_inet_ntoa 007a listen 007e Stub_listen 0084 ntohl 0088 Stub_ntohl 008e ntohs 0092 Stub_ntohs 0098 recv 009c Stub_recv 00a2 recvfrom 00a6 Stub_recvfrom 00ac select 00b0 Stub_select 00b6 send 00ba Stub_send 00c0 sendto 00c4 Stub_sendto 00ca setsockopt 00ce Stub_setsockopt 00d4 shutdown 00d8 Stub_shutdown 00de socket 00e2 Stub_socket 00e8 gethostbyaddr 00ec Stub_gethostbyaddr 00f2 gethostbyname 00f6 Stub_gethostbyname 00fc gethostname 0100 Stub_gethostname 0106 getservbyport 010a Stub_getservbyport 0110 getservbyname 0114 Stub_getservbyname 011a getprotobynumber 011e Stub_getprotobynumber 0124 getprotobyname 0128 Stub_getprotobyname 012e __WSAFDIsSet 0132 Stub___WSAFDIsSet 0138 AcceptEx 013c Stub_AcceptEx 0142 ConnectEx 0146 Stub_ConnectEx 014c DisconnectEx 0150 Stub_DisconnectEx 0156 TransmitFile 015a Stub_TransmitFile 0160 TransmitPackets 0164 Stub_TransmitPackets 016a WSAAccept 016e Stub_WSAAccept 0174 WSACancelAsyncRequest 0178 Stub_WSACancelAsyncRequest 017e WSAAsyncGetHostByAddr 0182 Stub_WSAAsyncGetHostByAddr 0188 WSAAsyncGetHostByName 018c Stub_WSAAsyncGetHostByName 0192 WSAAsyncGetProtoByName 0196 Stub_WSAAsyncGetProtoByName 019c WSAAsyncGetProtoByNumber 01a0 Stub_WSAAsyncGetProtoByNumber 01a6 WSAAsyncGetServByName 01aa Stub_WSAAsyncGetServByName 01b0 WSAAsyncGetServByPort 01b4 Stub_WSAAsyncGetServByPort 01ba WSAAsyncSelect 01be Stub_WSAAsyncSelect 01c4 WSAAddressToStringA 01c8 Stub_WSAAddressToStringA 01ce WSAAddressToStringW 01d2 Stub_WSAAddressToStringW 01d8 WSAAddressToString 01dc Stub_WSAAddressToString 01e2 WSACancelBlockingCall 01e6 Stub_WSACancelBlockingCall 01ec WSACleanup 01f0 Stub_WSACleanup 01f6 WSACloseEvent 01fa Stub_WSACloseEvent 0200 WSAConnect 0204 Stub_WSAConnect 020a WSACreateEvent 020e Stub_WSACreateEvent 0214 WSADuplicateSocketA 0218 Stub_WSADuplicateSocketA 021e WSADuplicateSocketW 0222 Stub_WSADuplicateSocketW 0228 WSADuplicateSocket 022c Stub_WSADuplicateSocket 0232 WSAEnumNameSpaceProvidersA 0236 Stub_WSAEnumNameSpaceProvidersA 023c WSAEnumNameSpaceProvidersW 0240 Stub_WSAEnumNameSpaceProvidersW 0246 WSAEnumNameSpaceProviders 024a Stub_WSAEnumNameSpaceProviders 0250 WSAEnumNetworkEvents 0254 Stub_WSAEnumNetworkEvents 025a WSAEnumProtocolsA 025e Stub_WSAEnumProtocolsA 0264 WSAEnumProtocolsW 0268 Stub_WSAEnumProtocolsW 026e WSAEnumProtocols 0272 Stub_WSAEnumProtocols 0278 WSAEventSelect 027c Stub_WSAEventSelect 0282 WSAGetLastError 0286 Stub_WSAGetLastError 028c WSAGetOverlappedResult 0290 Stub_WSAGetOverlappedResult 0296 WSAGetQosByName 029a Stub_WSAGetQOSByName 02a0 WSAGetServiceClassInfoA 02a4 Stub_WSAGetServiceClassInfoA 02aa WSAGetServiceClassInfoW 02ae Stub_WSAGetServiceClassInfoW 02b4 WSAGetServiceClassInfo 02b8 Stub_WSAGetServiceClassInfo 02be WSAGetServiceClassNameByClassIdA 02c2 Stub_WSAGetServiceClassNameByClassIdA 02c8 WSAGetServiceClassNameByClassIdW 02cc Stub_WSAGetServiceClassNameByClassIdW 02d2 WSAGetServiceClassNameByClassId 02d6 Stub_WSAGetServiceClassNameByClassId 02dc WSAHtonl 02e0 Stub_WSAHtonl 02e6 WSAHtons 02ea Stub_WSAHtons 02f0 WSAInstallServiceClassA 02f4 Stub_WSAInstallServiceClassA 02fa WSAInstallServiceClassW 02fe Stub_WSAInstallServiceClassW 0304 WSAInstallServiceClass 0308 Stub_WSAInstallServiceClass 030e WSAIoctl 0312 Stub_WSAIoctl 0318 WSAIsBlocking 031c Stub_WSAIsBlocking 0322 WSAJoinLeaf 0326 Stub_WSAJoinLeaf 032c WSALookupServiceBeginA 0330 Stub_WSALookupServiceBeginA 0336 WSALookupServiceBeginW 033a Stub_WSALookupServiceBeginW 0340 WSALookupServiceBegin 0344 Stub_WSALookupServiceBegin 034a WSALookupServiceEnd 034e Stub_WSALookupServiceEnd 0354 WSALookupServiceNextA 0358 Stub_WSALookupServiceNextA 035e WSALookupServiceNextW 0362 Stub_WSALookupServiceNextW 0368 WSALookupServiceNext 036c Stub_WSALookupServiceNext 0372 WSANSPIoctl 0376 Stub_WSANSPIoctl 037c WSANtohl 0380 Stub_WSANtohl 0386 WSANtohs 038a Stub_WSANtohs 0390 WSAPoll 0394 Stub_WSAPoll 039a WSAProviderConfigChange 039e Stub_WSAProviderConfigChange 03a4 WSARecv 03a8 Stub_WSARecv 03ae WSARecvDisconnect 03b2 Stub_WSARecvDisconnect 03b8 WSARecvEx 03bc Stub_WSARecvEx 03c2 WSARecvFrom 03c6 Stub_WSARecvFrom 03cc WSARecvMsg 03d0 Stub_WSARecvMsg 03d6 WSARemoveServiceClass 03da Stub_WSARemoveServiceClass 03e0 WSAResetEvent 03e4 Stub_WSAResetEvent 03ea WSASend 03ee Stub_WSASend 03f4 WSASendDisconnect 03f8 Stub_WSASendDisconnect 03fe WSASendMsg 0402 Stub_WSASendMsg 0408 WSASendTo 040c Stub_WSASendTo 0412 WSASetBlockingHook 0416 Stub_WSASetBlockingHook 041c WSASetEvent 0420 Stub_WSASetEvent 0426 WSASetLastError 042a Stub_WSASetLastError 0430 WSASetServiceA 0434 Stub_WSASetServiceA 043a WSASetServiceW 043e Stub_WSASetServiceW 0444 WSASetService 0448 Stub_WSASetService 044e WSASocketA 0452 Stub_WSASocketA 0458 WSASocketW 045c Stub_WSASocketW 0462 WSASocket 0466 Stub_WSASocket 046c WSAStartup 0470 Stub_WSAStartup 0476 WSAStringToAddressA 047a Stub_WSAStringToAddressA 0480 WSAStringToAddressW 0484 Stub_WSAStringToAddressW 048a WSAStringToAddress 048e Stub_WSAStringToAddress 0494 WSAUnhookBlockingHook 0498 Stub_WSAUnhookBlockingHook 049e WSAWaitForMultipleEvents 04a2 Stub_WSAWaitForMultipleEvents"
	strings:
		$1 = { C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38758_0 {
	meta:
		name = "DIMAKEUSAGEDWORD"
		size = 12
		altNames = "MakeLParam MakeLResult MakeLong MakeWParam WSAMAKEASYNCREPLY WSAMAKESELECTREPLY WSAMakeSelectReply WSAMakeSyncReply"
	strings:
		$1 = { 0F B7 C0 0F B7 D2 C1 E2 10 0B C2 C3 }
	condition:
		$1
}

rule function_38761_0 {
	meta:
		name = "EventRefFromWpLp"
		size = 4
		altNames = "GET_WHQL_YEAR GetBValue GetMValue GetRed HiWord PROPSETHDR_OSVER_KIND WSAGETASYNCERROR WSAGETSELECTERROR WSAGetAsyncError WSAGetSelectError mci_HMS_Second mci_MSF_Frame mci_TMSF_Second"
	strings:
		$1 = { C1 E8 10 C3 }
	condition:
		$1
}

rule function_38764_0 {
	meta:
		name = "FD_CLR"
		size = 37
	strings:
		$1 = { 33 C9 EB 1C 3B 44 8A 04 75 15 EB 09 8B 44 8A 08 89 44 8A 04 41 8B 02 48 3B C8 72 F0 FF 0A C3 41 3B 0A 72 E0 C3 }
	condition:
		$1
}

rule function_38765_0 {
	meta:
		name = "FD_ISSET"
		size = 23
		refs = "000a __WSAFDIsSet"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 53 FF 15 ?? ?? ?? ?? 83 F8 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_38766_0 {
	meta:
		name = "FD_SET"
		size = 14
	strings:
		$1 = { 8B 0A 83 F9 40 73 06 89 44 8A 04 FF 02 C3 }
	condition:
		$1
}

rule function_38767_0 {
	meta:
		name = "FD_ZERO"
		size = 5
		altNames = "TMonitor.TSpinWait.Reset TSpinWait.Reset"
	strings:
		$1 = { 33 D2 89 10 C3 }
	condition:
		$1
}

rule function_38774_0 {
	meta:
		name = "WSA_CMSGHDR_ALIGN"
		size = 13
	strings:
		$1 = { 33 D2 42 8B CA 49 03 C1 F7 D1 23 C1 C3 }
	condition:
		$1
}

rule function_38775_0 {
	meta:
		name = "Align4"
		size = 7
		altNames = "WSA_CMSGDATA_ALIGN"
	strings:
		$1 = { 83 C0 03 83 E0 FC C3 }
	condition:
		$1
}

rule function_38776_0 {
	meta:
		name = "WSA_CMSG_FIRSTHDR"
		size = 17
	strings:
		$1 = { 85 C0 74 0A 83 78 10 0C 72 04 8B 40 14 C3 33 C0 C3 }
	condition:
		$1
}

rule function_38777_0 {
	meta:
		name = "WSA_CMSG_NXTHDR"
		size = 68
		refs = "0021 WSA_CMSGHDR_ALIGN"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 75 14 85 F6 74 0B 83 7E 10 0C 72 05 8B 46 14 EB 28 33 C0 5E 5B C3 8B 03 E8 ?? ?? ?? ?? 03 C3 83 C0 0C 8B 56 14 03 56 10 3B C2 76 04 33 C0 EB 09 8B 03 E8 ?? ?? ?? ?? 03 C3 5E 5B C3 }
	condition:
		$1
}

rule function_38778_0 {
	meta:
		name = "WSA_CMSG_DATA"
		size = 4
		altNames = "WSA_CMSG_LEN"
	strings:
		$1 = { 83 C0 0C C3 }
	condition:
		$1
}

rule function_38779_0 {
	meta:
		name = "WSA_CMSG_SPACE"
		size = 21
		refs = "0006 WSA_CMSGHDR_ALIGN"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C0 0C 83 C0 03 83 E0 FC 5B C3 }
	condition:
		$1
}

rule function_38781_0 {
	meta:
		name = "IP_MSFILTER_SIZE"
		size = 8
	strings:
		$1 = { 03 C0 03 C0 83 C0 10 C3 }
	condition:
		$1
}

rule function_38782_0 {
	meta:
		name = "SS_PORT"
		size = 12
	strings:
		$1 = { 85 C0 74 05 0F B7 40 02 C3 33 C0 C3 }
	condition:
		$1
}

rule function_38783_0 {
	meta:
		name = "IN6ADDR_ANY_INIT"
		size = 13
		refs = "0008 @FillChar"
		altNames = "TGUID.Empty"
	strings:
		$1 = { 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68969_0 {
	meta:
		name = "FileCreate"
		size = 13
		refs = "0008 FileCreate"
	strings:
		$1 = { 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38784_0 {
	meta:
		name = "IN6ADDR_LOOPBACK_INIT"
		size = 23
		refs = "000d @FillChar"
	strings:
		$1 = { 53 8B D8 8B C3 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? C6 43 0F 01 5B C3 }
	condition:
		$1
}

rule function_38785_0 {
	meta:
		name = "IN6ADDR_SETANY"
		size = 49
	strings:
		$1 = { 85 C0 74 2C 66 C7 00 17 00 66 C7 40 02 00 00 33 D2 89 50 04 8D 50 08 33 C9 89 0A 8D 50 0C 33 C9 89 0A 8D 50 10 33 C9 89 0A 83 C0 14 33 D2 89 10 C3 }
	condition:
		$1
}

rule function_38786_0 {
	meta:
		name = "IN6ADDR_SETLOOPBACK"
		size = 51
	strings:
		$1 = { 85 C0 74 2E 66 C7 00 17 00 66 C7 40 02 00 00 33 D2 89 50 04 8D 50 08 33 C9 89 0A 8D 50 0C 33 C9 89 0A 8D 50 10 33 C9 89 0A 83 C0 14 C7 00 01 00 00 00 C3 }
	condition:
		$1
}

rule function_38787_0 {
	meta:
		name = "IN6ADDR_ISANY"
		size = 52
	strings:
		$1 = { 85 C0 74 2D 66 83 38 17 75 20 8D 50 08 83 3A 00 75 18 8D 50 0C 83 3A 00 75 10 8D 50 10 83 3A 00 75 08 83 C0 14 83 38 00 74 04 33 C0 EB 05 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_38788_0 {
	meta:
		name = "IN6ADDR_ISLOOPBACK"
		size = 52
	strings:
		$1 = { 85 C0 74 2D 66 83 38 17 75 20 8D 50 08 83 3A 00 75 18 8D 50 0C 83 3A 00 75 10 8D 50 10 83 3A 00 75 08 83 C0 14 83 38 01 74 04 33 C0 EB 05 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_38789_0 {
	meta:
		name = "IN6_ADDR_EQUAL"
		size = 11
		refs = "0006 CompareMem"
	strings:
		$1 = { B9 10 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38790_0 {
	meta:
		name = "IN6_IS_ADDR_UNSPECIFIED"
		size = 16
		refs = "0001 in6addr_any 000b CompareMem"
	strings:
		$1 = { BA ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38791_0 {
	meta:
		name = "IN6_IS_ADDR_LOOPBACK"
		size = 16
		refs = "0001 in6addr_loopback 000b CompareMem"
	strings:
		$1 = { BA ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38792_0 {
	meta:
		name = "IN6_IS_ADDR_MULTICAST"
		size = 14
	strings:
		$1 = { 85 C0 74 07 80 38 FF 0F 94 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_38793_0 {
	meta:
		name = "IN6_IS_ADDR_EUI64"
		size = 36
	strings:
		$1 = { 85 C0 74 1D 0F B6 10 F6 C2 E0 74 12 85 C0 74 08 80 FA FF 0F 94 C0 EB 02 33 C0 34 01 EB 05 33 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_38794_0 {
	meta:
		name = "IN6_IS_ADDR_SUBNET_ROUTER_ANYCAST"
		size = 109
	strings:
		$1 = { 85 C0 74 66 85 C0 74 1F 0F B6 10 F6 C2 E0 74 13 85 C0 74 08 80 FA FF 0F 94 C2 EB 02 33 D2 80 F2 01 EB 06 33 D2 EB 02 33 D2 84 D2 74 0A 66 83 78 08 00 0F 94 C2 EB 02 33 D2 84 D2 74 0A 66 83 78 0A 00 0F 94 C2 EB 02 33 D2 84 D2 74 0A 66 83 78 0C 00 0F 94 C2 EB 02 33 D2 84 D2 74 0A 66 83 78 0E 00 0F 94 C0 EB 05 33 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_38795_0 {
	meta:
		name = "IN6_IS_ADDR_SUBNET_RESERVED_ANYCAST"
		size = 119
	strings:
		$1 = { 85 C0 74 70 85 C0 74 1F 0F B6 10 F6 C2 E0 74 13 85 C0 74 08 80 FA FF 0F 94 C2 EB 02 33 D2 80 F2 01 EB 06 33 D2 EB 02 33 D2 84 D2 74 0B 66 81 78 08 FD FF 0F 94 C2 EB 02 33 D2 84 D2 74 0B 66 81 78 0A FF FF 0F 94 C2 EB 02 33 D2 84 D2 74 0B 66 81 78 0C FF FF 0F 94 C2 EB 02 33 D2 84 D2 74 11 0F B7 40 0E 66 25 FF 80 66 3D FF 80 0F 94 C0 EB 05 33 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_38796_0 {
	meta:
		name = "IN6_IS_ADDR_ANYCAST"
		size = 250
	strings:
		$1 = { 85 C0 0F 84 EF 00 00 00 85 C0 74 73 85 C0 74 1F 0F B6 10 F6 C2 E0 74 13 85 C0 74 08 80 FA FF 0F 94 C2 EB 02 33 D2 80 F2 01 EB 06 33 D2 EB 02 33 D2 84 D2 74 0B 66 81 78 08 FD FF 0F 94 C2 EB 02 33 D2 84 D2 74 0B 66 81 78 0A FF FF 0F 94 C2 EB 02 33 D2 84 D2 74 0B 66 81 78 0C FF FF 0F 94 C2 EB 02 33 D2 84 D2 74 13 0F B7 50 0E 66 81 E2 FF 80 66 81 FA FF 80 0F 94 C2 EB 06 33 D2 EB 02 33 D2 84 D2 74 04 B0 01 EB 70 85 C0 74 67 85 C0 74 1F 0F B6 10 F6 C2 E0 74 13 85 C0 74 08 80 FA FF 0F 94 C2 EB 02 33 D2 80 F2 01 EB 06 33 D2 EB 02 33 D2 84 D2 74 0A 66 83 78 08 00 0F 94 C2 EB 02 33 D2 84 D2 74 0A 66 83 78 0A 00 0F 94 C2 EB 02 33 D2 84 D2 74 0A 66 83 78 0C 00 0F 94 C2 EB 02 33 D2 84 D2 74 0A 66 83 78 0E 00 0F 94 C0 EB 09 33 C0 EB 05 33 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_38797_0 {
	meta:
		name = "IN6_IS_ADDR_LINKLOCAL"
		size = 29
	strings:
		$1 = { 85 C0 74 16 80 38 FE 75 0A 0F B6 40 01 24 C0 3C 80 74 04 33 C0 EB 05 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_38798_0 {
	meta:
		name = "IN6_IS_ADDR_SITELOCAL"
		size = 29
	strings:
		$1 = { 85 C0 74 16 80 38 FE 75 0A 0F B6 40 01 24 C0 3C C0 74 04 33 C0 EB 05 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_38799_0 {
	meta:
		name = "IN6_IS_ADDR_V4MAPPED"
		size = 56
	strings:
		$1 = { 85 C0 74 31 66 83 38 00 75 24 66 83 78 02 00 75 1D 66 83 78 04 00 75 16 66 83 78 06 00 75 0F 66 83 78 08 00 75 08 66 81 78 0A FF FF 74 04 33 C0 EB 05 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_38800_0 {
	meta:
		name = "IN6_IS_ADDR_V4COMPAT"
		size = 81
	strings:
		$1 = { 85 C0 74 4A 66 83 38 00 75 3D 66 83 78 02 00 75 36 66 83 78 04 00 75 2F 66 83 78 06 00 75 28 66 83 78 08 00 75 21 66 83 78 0A 00 75 1A 66 83 78 0C 00 75 17 80 78 0E 00 75 11 0F B6 50 0F 84 D2 74 05 80 FA 01 75 04 33 C0 EB 05 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_38801_0 {
	meta:
		name = "IN6_IS_ADDR_MC_NODELOCAL"
		size = 41
	strings:
		$1 = { 85 C0 74 22 85 C0 74 08 80 38 FF 0F 94 C2 EB 02 33 D2 84 D2 74 0D 0F B6 40 01 24 0F 3C 01 0F 94 C0 EB 05 33 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_38802_0 {
	meta:
		name = "IN6_IS_ADDR_MC_LINKLOCAL"
		size = 41
	strings:
		$1 = { 85 C0 74 22 85 C0 74 08 80 38 FF 0F 94 C2 EB 02 33 D2 84 D2 74 0D 0F B6 40 01 24 0F 3C 02 0F 94 C0 EB 05 33 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_38803_0 {
	meta:
		name = "IN6_IS_ADDR_MC_SITELOCAL"
		size = 41
	strings:
		$1 = { 85 C0 74 22 85 C0 74 08 80 38 FF 0F 94 C2 EB 02 33 D2 84 D2 74 0D 0F B6 40 01 24 0F 3C 05 0F 94 C0 EB 05 33 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_38804_0 {
	meta:
		name = "IN6_IS_ADDR_MC_ORGLOCAL"
		size = 41
	strings:
		$1 = { 85 C0 74 22 85 C0 74 08 80 38 FF 0F 94 C2 EB 02 33 D2 84 D2 74 0D 0F B6 40 01 24 0F 3C 08 0F 94 C0 EB 05 33 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_38805_0 {
	meta:
		name = "IN6_IS_ADDR_MC_GLOBAL"
		size = 41
	strings:
		$1 = { 85 C0 74 22 85 C0 74 08 80 38 FF 0F 94 C2 EB 02 33 D2 84 D2 74 0D 0F B6 40 01 24 0F 3C 0E 0F 94 C0 EB 05 33 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_38806_0 {
	meta:
		name = "IN6_SET_ADDR_UNSPECIFIED"
		size = 15
		refs = "000a @FillChar"
	strings:
		$1 = { 8B 00 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38807_0 {
	meta:
		name = "IN6_SET_ADDR_LOOPBACK"
		size = 25
		refs = "000d @FillChar"
	strings:
		$1 = { 53 8B D8 8B 03 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 03 C6 40 0F 01 5B C3 }
	condition:
		$1
}

rule function_38808_0 {
	meta:
		name = "SET_NETBIOS_SOCKADDR"
		size = 105
		refs = "001a @PCharLen 0030 Move 0057 @FillChar"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 85 C0 74 56 8B D8 66 C7 03 11 00 66 89 53 02 8B C7 E8 ?? ?? ?? ?? 8B F0 83 FE 0F 72 11 8D 53 04 8B C7 B9 0F 00 00 00 E8 ?? ?? ?? ?? EB 25 85 F6 76 0C 8D 53 04 8B C7 8B CE E8 ?? ?? ?? ?? BA 0F 00 00 00 2B D6 8D 43 04 03 C6 66 B9 20 00 E8 ?? ?? ?? ?? 0F B6 45 08 88 43 13 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_38809_0 {
	meta:
		name = "GROUP_FILTER_SIZE"
		size = 9
	strings:
		$1 = { C1 E0 07 05 8C 00 00 00 C3 }
	condition:
		$1
}

rule function_38811_0 {
	meta:
		name = "IdWinsock2"
		size = 86
		refs = "000a _DV_2 001c @FillChar 0024 in6addr_any 0043 in6addr_loopback 004c InitializeStubs"
		altNames = "InWinsock2"
	strings:
		$1 = { 55 8B EC 83 C4 E0 56 57 83 2D ?? ?? ?? ?? 01 73 3F 8D 45 F0 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 75 F0 BF ?? ?? ?? ?? A5 A5 A5 A5 8D 45 E0 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? C6 45 EF 01 8D 75 E0 BF ?? ?? ?? ?? A5 A5 A5 A5 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_38812_0 {
	meta:
		name = "gaiErrorToWsaError"
		size = 149
		refs = "000f gaiErrorToWsaError 0089 IndyRaiseLastError"
	strings:
		$1 = { 53 8B D0 83 FA 0B 0F 87 83 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 DB EB 4A BB FA 2A 00 00 EB 43 BB 26 27 00 00 EB 3C BB FB 2A 00 00 EB 35 BB 3F 27 00 00 EB 2E BB 08 00 00 00 EB 27 BB FC 2A 00 00 EB 20 BB F9 2A 00 00 EB 19 BB 7D 27 00 00 EB 12 BB 3C 27 00 00 EB 0B 33 DB E8 ?? ?? ?? ?? EB 02 8B D8 8B C3 5B C3 }
	condition:
		$1
}

rule function_38813_0 {
	meta:
		name = "CloseLibrary"
		size = 128
		refs = "0001 Win32Platform 000b Win32MajorVersion 0015 hWship6Dll 001c InterlockedExchangeTHandle 0026 FreeLibrary 002b hfwpuclntDll 0042 GIdIPv6FuncsAvailable 004a getaddrinfo 0051 getnameinfo 0058 freeaddrinfo 005f WSASetSocketPeerTargetName 0066 WSADeleteSocketPeerTargetName 006d WSAImpersonateSocketPeer 0074 WSAQUERYSOCKETSECURITY 007b WSARevertImpersonation"
	strings:
		$1 = { A1 ?? ?? ?? ?? 83 38 02 75 75 A1 ?? ?? ?? ?? 83 38 05 7C 6B B8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 85 C0 74 06 50 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 85 C0 74 06 50 E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38814_0 {
	meta:
		name = "InitLibrary"
		size = 1036
		refs = "0002 GIdIPv6FuncsAvailable 0008 Win32Platform 0016 Win32MajorVersion 0024 Winsock2Loaded 002d InitializeWinSock 0032 WinsockHandle 0037 hProcHandle 003c InitLibrary 0047 GetProcAddress 004c getaddrinfo 0064 SafeLoadLibrary 0069 hWship6Dll 00aa getnameinfo 00cc freeaddrinfo 00f5 inet_pton 010a inet_ntop 011f GetAddrInfoEx 0134 SetAddrInfoEx 0149 FreeAddrInfoEx 015d hfwpuclntDll 017b WSASetSocketPeerTargetName 0190 WSADeleteSocketPeerTargetName 01a5 WSAImpersonateSocketPeer 01ba WSAQUERYSOCKETSECURITY 01cf WSARevertImpersonation 01d5 CloseLibrary"
	strings:
		$1 = { C6 05 ?? ?? ?? ?? 00 A1 ?? ?? ?? ?? 83 38 02 0F 85 C4 01 00 00 A1 ?? ?? ?? ?? 83 38 05 0F 8C B6 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 33 BA 00 80 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 84 3B 01 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 84 19 01 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 84 F7 00 00 00 C6 05 ?? ?? ?? ?? 01 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? BA 00 80 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 6F 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 00 00 47 00 65 00 74 00 41 00 64 00 64 00 72 00 49 00 6E 00 66 00 6F 00 57 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 73 00 68 00 69 00 70 00 36 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 47 00 65 00 74 00 4E 00 61 00 6D 00 65 00 49 00 6E 00 66 00 6F 00 57 00 00 00 00 00 46 00 72 00 65 00 65 00 41 00 64 00 64 00 72 00 49 00 6E 00 66 00 6F 00 57 00 00 00 49 00 6E 00 65 00 74 00 50 00 74 00 6F 00 6E 00 57 00 00 00 49 00 6E 00 65 00 74 00 4E 00 74 00 6F 00 70 00 57 00 00 00 47 00 65 00 74 00 41 00 64 00 64 00 72 00 49 00 6E 00 66 00 6F 00 45 00 78 00 57 00 00 00 00 00 53 00 65 00 74 00 41 00 64 00 64 00 72 00 49 00 6E 00 66 00 6F 00 45 00 78 00 57 00 00 00 00 00 46 00 72 00 65 00 65 00 41 00 64 00 64 00 72 00 49 00 6E 00 66 00 6F 00 45 00 78 00 57 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 46 00 77 00 70 00 75 00 63 00 6C 00 6E 00 74 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 57 00 53 00 41 00 53 00 65 00 74 00 53 00 6F 00 63 00 6B 00 65 00 74 00 50 00 65 00 65 00 72 00 54 00 61 00 72 00 67 00 65 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 57 00 53 00 41 00 44 00 65 00 6C 00 65 00 74 00 65 00 53 00 6F 00 63 00 6B 00 65 00 74 00 50 00 65 00 65 00 72 00 54 00 61 00 72 00 67 00 65 00 74 00 4E 00 61 00 6D 00 65 00 00 00 57 00 53 00 41 00 49 00 6D 00 70 00 65 00 72 00 73 00 6F 00 6E 00 61 00 74 00 65 00 53 00 6F 00 63 00 6B 00 65 00 74 00 50 00 65 00 65 00 72 00 00 00 00 00 57 00 53 00 41 00 51 00 75 00 65 00 72 00 79 00 53 00 6F 00 63 00 6B 00 65 00 74 00 53 00 65 00 63 00 75 00 72 00 69 00 74 00 79 00 00 00 00 00 57 00 53 00 41 00 52 00 65 00 76 00 65 00 72 00 74 00 49 00 6D 00 70 00 65 00 72 00 73 00 6F 00 6E 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_38819_0 {
	meta:
		name = "CCheck"
		size = 23
		refs = "000a _DV_ECompressionError 000f EZlibError.RaiseException"
	strings:
		$1 = { 53 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_38820_0 {
	meta:
		name = "DCheck"
		size = 23
		refs = "000a _DV_EDecompressionError 000f EZlibError.RaiseException"
	strings:
		$1 = { 53 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_38821_0 {
	meta:
		name = "CompressBuf"
		size = 356
		refs = "001b @FillChar 0043 @GetMem 0050 CompressBuf 0081 deflateInit_ 008e _DV_ECompressionError 0093 EZlibError.RaiseException 00be @ReallocMem 00e1 deflate 00e6 CCheck 00fe deflateEnd 0116 @HandleFinally 013a @HandleAnyException 0144 @FreeMem 0149 @RaiseAgain 014e @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 4D FC 8B DA 8B F0 8D 45 C4 33 C9 BA 38 00 00 00 E8 ?? ?? ?? ?? 8B C3 B9 0A 00 00 00 99 F7 F9 03 C3 83 C0 0C 05 FF 00 00 00 25 00 FF FF FF 8B 55 08 89 02 8B 45 08 8B 00 E8 ?? ?? ?? ?? 8B 55 FC 89 02 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 89 75 C4 89 5D C8 8B 45 FC 8B 00 89 45 D0 8B 45 08 8B 00 89 45 D4 B8 09 00 00 00 6A 38 B9 ?? ?? ?? ?? 8D 55 C4 92 E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 EB 31 8B 5D FC 8B 1B 8B 45 08 81 00 00 01 00 00 8B 55 08 8B 12 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 00 8B 55 D0 2B D3 03 C2 89 45 D0 C7 45 D4 00 01 00 00 8D 45 C4 BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 BA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 FC 8B 55 D8 E8 ?? ?? ?? ?? 8B 45 08 8B 55 D8 89 10 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 8B 45 FC 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 00 31 2E 32 2E 35 00 00 00 }
	condition:
		$1
}

rule function_38822_0 {
	meta:
		name = "DMAOfStream"
		size = 93
		refs = "000b _Dn_TCustomMemoryStream 0010 @IsClass 002e TStream.GetPosition 0042 IndyMin"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 8B 73 04 EB 02 33 F6 85 F6 74 30 8B C3 8B 10 FF 12 52 50 8B C3 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 6A 00 6A FF E8 ?? ?? ?? ?? 89 07 8B C3 E8 ?? ?? ?? ?? 01 C6 EB 04 33 C0 89 07 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_38823_0 {
	meta:
		name = "CanResizeDMAStream"
		size = 45
		refs = "0007 _Dn_TCustomMemoryStream 000c @IsClass 0018 _Dn_TStringStream"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 15 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_38824_0 {
	meta:
		name = "TryStreamType"
		size = 176
		refs = "001d TryStreamType 0026 inflateInit2_ 0033 _DV_EDecompressionError 0038 EZlibError.RaiseException 004d inflateGetHeader 006b inflate 0077 inflateEnd"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F1 89 14 24 8B F8 8B 07 89 44 24 04 8B 47 04 89 44 24 08 6A 38 B9 ?? ?? ?? ?? 8B C7 8B D6 E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 1F 75 22 83 3C 24 00 74 1C 8B 14 24 8B C7 E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 BA 05 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 8B C7 E8 ?? ?? ?? ?? 8B F0 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 75 0D 8B 44 24 04 89 07 8B 44 24 08 89 47 04 8B C3 83 C4 0C 5F 5E 5B C3 00 31 2E 32 2E 35 00 00 00 }
	condition:
		$1
}

rule function_38825_0 {
	meta:
		name = "LocalTryStreamType"
		size = 176
		refs = "0010 inflateInitEx 001d _DV_EDecompressionError 0022 EZlibError.RaiseException 0041 inflateGetHeader 0063 inflate 0073 inflateEnd"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B D3 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 FB 01 75 2C 8B 45 08 83 78 F8 00 74 23 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 75 1D 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 89 02 8B 45 08 8B 40 F0 8B 55 08 8B 52 FC 89 42 04 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_38826_0 {
	meta:
		name = "CheckInitInflateStream"
		size = 80
		refs = "0038 LocalTryStreamType"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 55 F8 89 45 FC 8B 45 FC 83 78 0C 00 75 0B 8B 45 FC 8B 00 8B 55 FC 89 42 0C 8B 45 FC 8B 00 89 45 F4 8B 45 FC 8B 40 04 89 45 F0 33 DB 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 75 08 43 80 FB 02 75 ED B3 02 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38827_0 {
	meta:
		name = "GetStreamType"
		size = 63
		refs = "001a @FillChar 002a CheckInitInflateStream"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 8B F9 8B DA 8B F0 8D 45 C8 33 C9 BA 38 00 00 00 E8 ?? ?? ?? ?? 89 75 C8 89 5D CC 8D 45 C8 8B D7 E8 ?? ?? ?? ?? 2B 5D CC 8B 55 08 89 1A 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_38828_0 {
	meta:
		name = "GetStreamType"
		size = 350
		refs = "0018 _Dn_TCustomMemoryStream 001d @IsClass 003b TStream.GetPosition 004f IndyMin 007d @GetMem 0088 GetStreamType 00ea @ReallocMem 0125 _Dn_TIdStreamHelperVCL 012a TIdStreamHelperVCL.Seek 013f @FreeMem 0145 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B D9 89 55 F8 89 45 FC 8B 75 FC 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 8B 7E 04 EB 02 33 FF 85 FF 74 31 8B C6 8B 10 FF 12 52 50 8B C6 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 6A 00 6A FF E8 ?? ?? ?? ?? 89 45 F0 8B C6 E8 ?? ?? ?? ?? 01 C7 EB 05 33 C0 89 45 F0 89 7D EC 83 7D EC 00 0F 94 45 EB 80 7D EB 00 74 0D B8 14 00 00 00 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D EB 00 74 19 8B 45 EC 8B 55 F0 8D 14 10 B9 14 00 00 00 8B 45 FC 8B 30 FF 56 0C 01 45 F0 53 8B 4D F8 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 88 45 F7 8B 03 3B 45 F0 72 26 80 7D EB 00 74 20 8B 45 F0 B9 14 00 00 00 33 D2 F7 F1 85 D2 75 10 8B 55 F0 83 C2 14 8D 45 EC E8 ?? ?? ?? ?? EB A2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D EB 00 74 48 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 33 D2 F7 D8 83 D2 00 F7 DA 52 50 B1 01 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 C3 E9 ?? ?? ?? ?? EB AA 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38829_0 {
	meta:
		name = "Strm_in_func"
		size = 110
		refs = "0021 TStream.GetPosition 0035 IndyMin 0046 _Dn_TIdStreamHelperVCL 004b TIdStreamHelperVCL.Seek"
	strings:
		$1 = { 55 8B EC 53 56 8B 55 0C 8B 45 08 8B 18 8B 48 08 85 C9 74 3D 89 0A 8B C3 8B 10 FF 12 52 50 8B C3 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 6A 00 6A FF E8 ?? ?? ?? ?? 8B F0 8B C6 33 D2 52 50 B1 01 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 83 C0 10 89 02 8B 02 8B D0 B9 00 00 01 00 8B C3 8B 18 FF 53 0C 8B F0 8B C6 5E 5B 5D C3 }
	condition:
		$1
}

rule function_38830_0 {
	meta:
		name = "Strm_out_func"
		size = 30
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 10 8B 55 0C 8B 45 08 8B 40 04 8B CB 8B 30 FF 56 10 2B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_38831_0 {
	meta:
		name = "DecompressStream"
		size = 456
		refs = "0019 @FillChar 0023 @GetMem 002e DecompressStream 0047 _Dn_TCustomMemoryStream 004c @IsClass 006a TStream.GetPosition 007e IndyMin 00b6 Strm_in_func 00d6 CheckInitInflateStream 0100 inflateBackInit_ 010d _DV_EDecompressionError 0112 EZlibError.RaiseException 0125 Strm_out_func 0139 inflateBack 0162 _Dn_TIdStreamHelperVCL 0167 TIdStreamHelperVCL.Seek 017c inflateBackEnd 0194 @HandleFinally 01ab @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 89 55 FC 8B F8 8D 45 BC 33 C9 BA 38 00 00 00 E8 ?? ?? ?? ?? B8 14 80 01 00 E8 ?? ?? ?? ?? 89 45 F8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B DF 8B 45 F8 83 C0 0C 89 45 F4 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 8B 73 04 EB 02 33 F6 85 F6 74 33 8B C3 8B 10 FF 12 52 50 8B C3 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 6A 00 6A FF E8 ?? ?? ?? ?? 8B 55 F4 89 02 8B C3 E8 ?? ?? ?? ?? 01 C6 EB 07 8B 45 F4 33 D2 89 10 8B 45 F8 89 70 08 8B 45 F8 89 38 8B 45 F8 8B 55 FC 89 50 04 8D 45 BC 50 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 C0 8B 45 F8 05 10 00 01 00 89 45 C8 33 C0 89 45 CC 8D 45 BC 33 D2 E8 ?? ?? ?? ?? 33 C0 89 45 C8 33 C0 89 45 CC B8 0F 00 00 00 8B 55 F8 81 C2 10 00 01 00 68 ?? ?? ?? ?? 6A 38 8D 4D BC 91 87 D1 E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 ?? ?? ?? ?? 8B 45 F8 50 BA ?? ?? ?? ?? 8D 45 BC 8B 4D F8 E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 33 D2 F7 D8 83 D2 00 F7 DA 52 50 B1 01 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 31 2E 32 2E 35 00 00 00 }
	condition:
		$1
}

rule function_38832_0 {
	meta:
		name = "IndyDecompressStream"
		size = 524
		refs = "0020 @FillChar 002a @GetMem 0035 IndyDecompressStream 004f _Dn_TCustomMemoryStream 0054 @IsClass 0072 TStream.GetPosition 0086 IndyMin 00c1 Strm_in_func 00f6 TryStreamType 0142 inflateBackInit_ 014f _DV_EDecompressionError 0154 EZlibError.RaiseException 0167 Strm_out_func 017b inflateBack 01a5 _Dn_TIdStreamHelperVCL 01aa TIdStreamHelperVCL.Seek 01bf inflateBackEnd 01d7 @HandleFinally 01ee @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 75 F4 8D 45 B4 33 C9 BA 38 00 00 00 E8 ?? ?? ?? ?? B8 14 80 01 00 E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 5D FC 8B 45 F0 83 C0 0C 89 45 EC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 8B 7B 04 EB 02 33 FF 85 FF 74 33 8B C3 8B 10 FF 12 52 50 8B C3 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 6A 00 6A FF E8 ?? ?? ?? ?? 8B 55 EC 89 02 8B C3 E8 ?? ?? ?? ?? 01 C7 EB 07 8B 45 EC 33 D2 89 10 8B 45 F0 89 78 08 8B 45 F0 8B 55 FC 89 10 8B 45 F0 8B 55 F8 89 50 04 8D 45 B4 50 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 B8 8B 45 F0 05 10 00 01 00 89 45 C0 33 C0 89 45 C4 83 7D F4 20 7E 41 8B 45 F4 83 E8 20 99 33 C2 2B C2 8B F0 8D 45 B4 8B CE 33 D2 E8 ?? ?? ?? ?? 84 C0 75 24 8D 4E 10 8D 45 B4 33 D2 E8 ?? ?? ?? ?? 84 C0 74 05 83 C6 10 EB 0E 8B CE F7 D9 8D 45 B4 33 D2 E8 ?? ?? ?? ?? 33 C0 89 45 C0 33 C0 89 45 C4 68 ?? ?? ?? ?? 6A 38 8B 45 F0 8D 88 10 00 01 00 8D 45 B4 8B D6 E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 ?? ?? ?? ?? 8B 45 F0 50 BA ?? ?? ?? ?? 8D 45 B4 8B 4D F0 E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 33 D2 F7 D8 83 D2 00 F7 DA 52 50 B1 01 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 31 2E 32 2E 35 00 00 00 }
	condition:
		$1
}

rule function_38833_0 {
	meta:
		name = "ExpandStream"
		size = 60
		refs = "0012 TStream.SetSize64 001a _Dn_TMemoryStream 001f @IsClass"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 B3 01 FF 75 0C FF 75 08 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 46 10 99 52 50 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_38834_0 {
	meta:
		name = "WriteOut"
		size = 318
		refs = "0085 TStream.SetSize64 008d _Dn_TMemoryStream 0092 @IsClass 00c0 _Dn_TIdStreamHelperVCL 00c5 TIdStreamHelperVCL.Seek 00d9 _Dn_TCustomMemoryStream 00fc TStream.GetPosition 0110 IndyMin"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 45 08 80 78 C7 00 74 41 8B 45 08 83 78 C0 00 76 1D 8B 45 08 8B 48 C0 8B 45 08 2B 48 D8 8B 45 08 8B 50 B8 8B 45 08 8B 40 BC 8B 18 FF 53 10 8B 45 08 C7 40 D8 00 00 01 00 8B 45 08 8B 40 B8 8B 55 08 89 42 D4 E9 D8 00 00 00 8B 45 08 83 78 D8 00 75 4B 8B 45 08 8B 70 BC 8B 45 08 8B 40 BC 8B 10 FF 12 05 00 00 01 00 83 D2 00 89 45 F8 89 55 FC B3 01 FF 75 FC FF 75 F8 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 46 10 99 52 50 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 C0 8B 55 08 2B 42 D8 33 D2 52 50 8B 45 08 8B 50 BC B1 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 58 BC 8B 45 08 8D 78 D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 8B 73 04 EB 02 33 F6 85 F6 74 30 8B C3 8B 10 FF 12 52 50 8B C3 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 6A 00 6A FF E8 ?? ?? ?? ?? 89 07 8B C3 E8 ?? ?? ?? ?? 01 C6 EB 04 33 C0 89 07 8B 45 08 89 70 D4 8B 45 08 8B 40 D8 8B 55 08 89 42 C0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38835_0 {
	meta:
		name = "IndyCompressStream"
		size = 640
		refs = "001d @FillChar 003a _Dn_TCustomMemoryStream 003f @IsClass 005d TStream.GetPosition 0071 IndyMin 009d @GetMem 00a8 IndyCompressStream 00c9 _Dn_TStringStream 011f deflateInit2_ 012c _DV_ECompressionError 0131 EZlibError.RaiseException 0168 WriteOut 0173 deflate 01cf TStream.SetSize64 01ed _Dn_TIdStreamHelperVCL 01f2 TIdStreamHelperVCL.Seek 0212 deflateEnd 023f @FreeMem 0245 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 89 4D B0 89 55 BC 89 45 B4 8D 45 C8 33 C9 BA 38 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 AC 33 C0 89 45 B8 33 C0 89 45 C0 8B 75 B4 8D 5D CC 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 8B 7E 04 EB 02 33 FF 85 FF 74 30 8B C6 8B 10 FF 12 52 50 8B C6 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 6A 00 6A FF E8 ?? ?? ?? ?? 89 03 8B C6 E8 ?? ?? ?? ?? 01 C7 EB 04 33 C0 89 03 8B C7 89 45 C8 85 C0 0F 94 45 AB 80 7D AB 00 74 0D B8 00 00 01 00 E8 ?? ?? ?? ?? 89 45 AC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 12 8B 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 88 45 C7 80 7D C7 00 74 0D B8 00 00 01 00 E8 ?? ?? ?? ?? 89 45 B8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 10 50 8B 45 0C 50 8B 45 08 50 68 ?? ?? ?? ?? 6A 38 8D 45 C8 B9 08 00 00 00 8B 55 B0 E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D CC 00 75 25 80 7D AB 00 74 19 8B 55 AC B9 00 00 01 00 8B 45 B4 8B 18 FF 53 0C 89 45 CC 8B 45 AC 89 45 C8 83 7D CC 00 74 2B 83 7D D8 00 75 07 55 E8 ?? ?? ?? ?? 59 8D 45 C8 33 D2 E8 ?? ?? ?? ?? 8B D8 85 C0 7D B8 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB AA 8D 45 C8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 0F 94 C0 8B D8 55 E8 ?? ?? ?? ?? 59 84 DB 74 D0 80 7D C7 00 75 12 8B 45 BC E8 ?? ?? ?? ?? 52 50 8B 45 BC E8 ?? ?? ?? ?? 80 7D AB 00 74 1F 8B 45 CC 33 D2 F7 D8 83 D2 00 F7 DA 52 50 B1 01 8B 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 8B 45 D0 33 D2 52 50 B1 01 8B 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D B8 00 74 08 8B 45 B8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D AC 00 74 08 8B 45 AC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 00 31 2E 32 2E 35 00 00 00 }
	condition:
		$1
}

rule function_38837_0 {
	meta:
		name = "DoCompressStreamEx"
		size = 650
		refs = "001d @FillChar 003a _Dn_TCustomMemoryStream 003f @IsClass 005d TStream.GetPosition 0071 IndyMin 009d @GetMem 00a8 DoCompressStreamEx 00cf _Dn_TStringStream 0117 Levels 011f deflateInitEx 012c _DV_ECompressionError 0131 EZlibError.RaiseException 0168 WriteOut 0173 deflate 01e2 TStream.SetSize64 0200 _Dn_TIdStreamHelperVCL 0205 TIdStreamHelperVCL.Seek 0225 deflateEnd 0252 @FreeMem 0258 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 88 4D B3 89 55 BC 89 45 B4 8D 45 C8 33 C9 BA 38 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 AC 33 C0 89 45 B8 33 C0 89 45 C0 8B 75 B4 8D 5D CC 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 8B 7E 04 EB 02 33 FF 85 FF 74 30 8B C6 8B 10 FF 12 52 50 8B C6 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 6A 00 6A FF E8 ?? ?? ?? ?? 89 03 8B C6 E8 ?? ?? ?? ?? 01 C7 EB 04 33 C0 89 03 8B C7 89 45 C8 85 C0 0F 94 45 AB 80 7D AB 00 74 0D B8 00 00 01 00 E8 ?? ?? ?? ?? 89 45 AC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7D 08 00 74 2C 8B 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 8B 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 06 B0 01 EB 02 33 C0 34 01 88 45 C7 80 7D C7 00 74 0D B8 00 00 01 00 E8 ?? ?? ?? ?? 89 45 B8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 4D 0C 0F B6 45 B3 0F BE 90 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D CC 00 75 25 80 7D AB 00 74 19 8B 55 AC B9 00 00 01 00 8B 45 B4 8B 18 FF 53 0C 89 45 CC 8B 45 AC 89 45 C8 83 7D CC 00 74 2B 83 7D D8 00 75 07 55 E8 ?? ?? ?? ?? 59 8D 45 C8 33 D2 E8 ?? ?? ?? ?? 8B D8 85 C0 7D B8 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB AA 83 7D CC 00 75 0D 83 7D D8 00 75 07 55 E8 ?? ?? ?? ?? 59 8D 45 C8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 0F 94 C0 8B D8 55 E8 ?? ?? ?? ?? 59 84 DB 74 BD 80 7D C7 00 75 12 8B 45 BC E8 ?? ?? ?? ?? 52 50 8B 45 BC E8 ?? ?? ?? ?? 80 7D AB 00 74 1F 8B 45 CC 33 D2 F7 D8 83 D2 00 F7 DA 52 50 B1 01 8B 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 8B 45 D0 33 D2 52 50 B1 01 8B 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D B8 00 74 08 8B 45 B8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D AC 00 74 08 8B 45 AC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_38839_0 {
	meta:
		name = "CompressStreamEx"
		size = 21
		refs = "000c DoCompressStreamEx"
	strings:
		$1 = { 55 8B EC 53 0F B6 5D 08 53 6A 01 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_78956_0 {
	meta:
		name = "TControlItem.SetLocation"
		size = 21
		refs = "000c TControlItem.InternalSetLocation"
	strings:
		$1 = { 55 8B EC 53 0F B6 5D 08 53 6A 01 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_38840_0 {
	meta:
		name = "CompressString"
		size = 168
		refs = "0011 _Dn_TStringStream 0016 TStringStream.Create 0021 CompressString 0058 CompressStream 0063 TStringStream.GetDataString 0078 TObject.Free 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D FF 8B DA 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 FF 50 8B CB 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_38841_0 {
	meta:
		name = "DecompressBuf"
		size = 344
		refs = "001b @FillChar 0041 @GetMem 004e DecompressBuf 007f inflateInit_ 008c _DV_EDecompressionError 0091 EZlibError.RaiseException 00b8 @ReallocMem 00d4 inflate 00d9 DCheck 00f1 inflateEnd 0109 @HandleFinally 012d @HandleAnyException 0137 @FreeMem 013c @RaiseAgain 0141 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 8B F9 8B F2 89 45 FC 8D 45 C4 33 C9 BA 38 00 00 00 E8 ?? ?? ?? ?? 8D 9E FF 00 00 00 81 E3 00 FF FF FF 85 FF 75 07 8B 45 08 89 18 EB 05 8B 45 08 89 38 8B 45 08 8B 00 E8 ?? ?? ?? ?? 8B 55 0C 89 02 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 89 45 C4 89 75 C8 8B 45 0C 8B 00 89 45 D0 8B 45 08 8B 00 89 45 D4 BA ?? ?? ?? ?? 8D 45 C4 B9 38 00 00 00 E8 ?? ?? ?? ?? 8B F0 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 EB 29 8B 75 0C 8B 36 8B 45 08 01 18 8B 55 08 8B 12 8B 45 0C E8 ?? ?? ?? ?? 8B 45 0C 8B 00 8B 55 D0 2B D6 03 C2 89 45 D0 89 5D D4 8D 45 C4 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 0C 8B 55 D8 E8 ?? ?? ?? ?? 8B 45 08 8B 55 D8 89 10 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 8B 45 0C 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 00 00 31 2E 32 2E 35 00 00 00 }
	condition:
		$1
}

rule function_38842_0 {
	meta:
		name = "DecompressToUserBuf"
		size = 276
		refs = "0018 DecompressToUserBuf 002d @FillChar 004e inflateInit_ 005b _DV_EDecompressionError 0060 EZlibError.RaiseException 007b inflate 0098 sTargetBufferTooSmall 009d LoadResString 00a7 _DV_EZlibError 00ac Exception.Create 00b1 @RaiseExcept 00c6 inflateEnd 00de @HandleFinally 00f5 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D C4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C8 33 C9 BA 38 00 00 00 E8 ?? ?? ?? ?? 89 5D C8 89 75 CC 89 7D D4 8B 45 08 89 45 D8 BA ?? ?? ?? ?? 8D 45 C8 B9 38 00 00 00 E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 C8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 74 21 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 31 2E 32 2E 35 00 00 00 }
	condition:
		$1
}

rule function_38843_0 {
	meta:
		name = "EZlibError.RaiseException"
		size = 116
		refs = "0015 EZlibError.RaiseException 0030 sZLibError 0035 LoadResString 0041 Exception.CreateFmt 004d @RaiseExcept 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 75 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D0 89 72 18 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38844_0 {
	meta:
		name = "TCustomZlibStream.Create"
		size = 154
		refs = "000b @ClassCreate 001a TObject.Create 0024 TStream.GetPosition 0036 @FillChar 0086 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 8B C6 E8 ?? ?? ?? ?? 89 47 08 8D 47 18 33 C9 BA 38 00 00 00 E8 ?? ?? ?? ?? 8D 47 50 89 47 24 33 C0 89 47 28 8D 47 50 89 47 18 33 C0 89 47 1C 8D 87 50 01 01 00 33 C9 BA 34 00 00 00 E8 ?? ?? ?? ?? C6 87 84 01 01 00 00 8D 87 50 00 01 00 89 87 6C 01 01 00 C7 87 70 01 01 00 00 01 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_38848_0 {
	meta:
		name = "TCompressionStream.CreateEx"
		size = 480
		refs = "001b @ClassCreate 002f TCompressionStream.CreateEx 0042 TCustomZlibStream.Create 004b TArray<System.Byte> 0050 @DynArrayClear 007e Levels 0089 deflateInitEx 0096 _DV_ECompressionError 009b EZlibError.RaiseException 00ba CharsetToEncoding 00d0 TEncoding.GetUnicode 00db TEncoding.GetBytes 00f2 _Dn_TEncoding 00f7 TEncoding.Convert 010c TObject.Free 0112 @HandleFinally 011e @DynArrayLength 012b @LStrFromPCharLen 0145 StrPLCopy 0159 deflateSetHeader 017c @LStrClr 01a0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D FC 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D F2 88 55 F3 89 45 F4 8B 5D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 14 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 83 C0 50 8B 55 F4 89 42 24 8B 45 F4 C7 40 28 00 00 01 00 8B C3 8B 55 F4 88 82 84 01 01 00 8B C8 0F B6 45 F2 0F BE 90 ?? ?? ?? ?? 8B 45 F4 83 C0 18 E8 ?? ?? ?? ?? 8B F0 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 FB 01 0F 85 B5 00 00 00 8B 45 F4 8B 55 08 89 90 54 01 01 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 4D E8 8B 55 0C E8 ?? ?? ?? ?? 8B 45 E8 50 8D 45 FC 50 E8 ?? ?? ?? ?? 8B D0 8B 4D EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 88 70 01 01 00 8B 45 F4 8B 80 6C 01 01 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 8D 90 50 01 01 00 8B 45 F4 83 C0 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_38849_0 {
	meta:
		name = "TCompressionStream.Create"
		size = 96
		refs = "000d @ClassCreate 002b TCompressionStream.CreateEx 004a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 45 0C 80 7D 08 00 74 12 50 6A 00 6A 00 6A 00 33 D2 8B C3 E8 ?? ?? ?? ?? EB 10 50 6A 02 6A 00 6A 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_38850_0 {
	meta:
		name = "TCompressionStream.CreateGZ"
		size = 73
		refs = "000d @ClassCreate 0028 TCompressionStream.CreateEx 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 10 50 6A 01 8B 45 0C 50 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_38851_0 {
	meta:
		name = "TCompressionStream.Destroy"
		size = 281
		refs = "0008 @BeforeDestruction 0026 TCompressionStream.Destroy 0037 TStream.GetPosition 005f TStream.SetPosition 0077 TStream.WriteBuffer 009d deflate 00a2 CCheck 00eb deflateEnd 00f1 @HandleFinally 0102 TCustomZlibStream.Destroy 0110 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 33 D2 89 50 18 8B 45 FC 33 D2 89 50 1C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 52 50 8B 45 FC 8B 58 08 8B C3 99 3B 54 24 04 75 03 3B 04 24 5A 58 74 3E 8B C3 99 52 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? EB 2C 8B 45 FC 8D 50 50 8B 45 FC 8B 40 04 B9 00 00 01 00 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 50 8B 55 FC 89 42 24 8B 45 FC C7 40 28 00 00 01 00 8B 45 FC 83 C0 18 BA 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 74 09 8B 45 FC 83 78 28 00 74 B3 8B 45 FC 8B 40 28 3D 00 00 01 00 73 18 B9 00 00 01 00 2B C8 8B 45 FC 8D 50 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38853_0 {
	meta:
		name = "TCompressionStream.IdWrite"
		size = 170
		refs = "0019 TStream.GetPosition 003b TStream.SetPosition 0047 deflate 0057 _DV_ECompressionError 005c EZlibError.RaiseException 0072 TStream.WriteBuffer 0095 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 8D 04 0A 89 43 18 8B 45 08 89 43 1C 8B 43 04 E8 ?? ?? ?? ?? 52 50 8B 73 08 8B C6 99 3B 54 24 04 75 03 3B 04 24 5A 58 74 67 8B C6 99 52 50 8B 43 04 E8 ?? ?? ?? ?? EB 58 8D 43 18 33 D2 E8 ?? ?? ?? ?? 8B F8 89 7D FC 85 FF 7D 0C 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 28 00 75 33 8D 53 50 B9 00 00 01 00 8B 43 04 E8 ?? ?? ?? ?? 8D 43 50 89 43 24 C7 43 28 00 00 01 00 8B 43 04 E8 ?? ?? ?? ?? 89 43 08 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 83 7B 1C 00 77 A2 8B 45 08 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_38854_0 {
	meta:
		name = "TCompressionStream.IdSeek"
		size = 135
		refs = "0014 TCompressionStream.IdSeek 0040 sInvalidStreamOp 0045 LoadResString 004f _DV_ECompressionError 0054 Exception.Create 0059 @RaiseExcept 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B DA 8B C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 0C 00 75 18 83 7D 08 00 75 12 80 FB 01 75 0D 8B 41 20 33 D2 89 45 F8 89 55 FC EB 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_38855_0 {
	meta:
		name = "TCompressionStream.GetCompressionRate"
		size = 84
		refs = "0034 TCompressionStream.GetCompressionRate"
	strings:
		$1 = { 83 C4 EC 8B 50 20 85 D2 75 07 33 C0 89 04 24 EB 31 8B 48 2C 89 4C 24 04 33 C9 89 4C 24 08 DF 6C 24 04 89 54 24 0C 33 C0 89 44 24 10 DF 6C 24 0C DE F9 D8 2D ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D9 1C 24 9B D9 04 24 83 C4 14 C3 00 00 00 00 00 80 3F 00 00 C8 42 }
	condition:
		$1
}

rule function_38856_0 {
	meta:
		name = "TDecompressionStream.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TCustomZlibStream.Create 0035 TDecompressionStream.InitRead 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 08 99 89 86 88 01 01 00 89 96 8C 01 01 00 C6 86 84 01 01 00 02 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38857_0 {
	meta:
		name = "TDecompressionStream.Destroy"
		size = 73
		refs = "0003 @BeforeDestruction 001f _Dn_TIdStreamHelperVCL 0024 TIdStreamHelperVCL.Seek 002c inflateEnd 0037 TCustomZlibStream.Destroy 0042 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 1C 33 D2 F7 D8 83 D2 00 F7 DA 52 50 8B 56 04 B1 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38858_0 {
	meta:
		name = "TDecompressionStream.InitRead"
		size = 175
		refs = "002e GetStreamType 0062 _Dn_TIdStreamHelperVCL 0067 TIdStreamHelperVCL.Seek 0095 inflateInitEx 00a2 _DV_EDecompressionError 00a7 EZlibError.RaiseException"
	strings:
		$1 = { 53 56 51 8B D8 83 7B 20 00 0F 87 9C 00 00 00 8D 53 50 B9 00 00 01 00 8B 43 04 8B 30 FF 56 0C 8B F0 54 8D 8B 50 01 01 00 8D 43 50 8B D6 E8 ?? ?? ?? ?? 88 83 84 01 01 00 3B 34 24 74 12 80 BB 84 01 01 00 01 75 3B 83 BB 80 01 01 00 00 75 32 8B C6 33 D2 F7 D8 83 D2 00 F7 DA 52 50 B1 01 8B 53 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CC 8D 93 50 01 01 00 8B 43 04 E8 ?? ?? ?? ?? 88 83 84 01 01 00 8D 43 50 89 43 18 89 73 1C 0F B6 93 84 01 01 00 8D 43 18 E8 ?? ?? ?? ?? 8B D8 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_38859_0 {
	meta:
		name = "TDecompressionStream.IdRead"
		size = 191
		refs = "0022 TStream.GetPosition 0044 TStream.SetPosition 0081 @CallDynaInst 008b inflate 009b _DV_ECompressionError 00a0 EZlibError.RaiseException"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B D8 8B 02 8B 55 FC 03 C2 89 43 24 8B 45 08 89 43 28 8B 43 04 E8 ?? ?? ?? ?? 52 50 8B 73 08 8B C6 99 3B 54 24 04 75 03 3B 04 24 5A 58 74 6F 8B C6 99 52 50 8B 43 04 E8 ?? ?? ?? ?? EB 60 83 7B 1C 00 75 35 8D 53 50 B9 00 00 01 00 8B 43 04 8B 30 FF 56 0C 89 43 1C 83 7B 1C 00 74 47 8D 43 50 89 43 18 8B 43 04 E8 ?? ?? ?? ?? 89 43 08 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 8D 43 18 33 D2 E8 ?? ?? ?? ?? 8B F8 89 7D F8 85 FF 7D 0C 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 01 74 06 83 7B 28 00 77 9A 8B 45 08 2B 43 28 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_38861_0 {
	meta:
		name = "TDecompressionStream.IdSeek"
		size = 380
		refs = "001f TDecompressionStream.IdSeek 003d inflateReset 004a _DV_EDecompressionError 004f EZlibError.RaiseException 006e TStream.SetPosition 00da @_lldiv 00f2 TStream.ReadBuffer 0107 @_llmod 0123 sInvalidStreamOp 0128 LoadResString 013a Exception.Create 013f @RaiseExcept 0162 @UStrClr 0168 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 EC 53 56 33 C9 89 8D EC EF FF FF 8B CA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 0C 00 75 51 83 7D 08 00 75 4B 84 C9 75 47 8D 43 18 E8 ?? ?? ?? ?? 8B F0 85 C0 7D 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 50 89 43 18 33 C0 89 43 1C FF B3 8C 01 01 00 FF B3 88 01 01 00 8B 43 04 E8 ?? ?? ?? ?? 8B 83 88 01 01 00 89 43 08 E9 C3 00 00 00 83 7D 0C 00 75 08 83 7D 08 00 72 09 EB 02 7C 05 80 F9 01 74 0C 8B 45 08 2B 43 2C 74 7F 84 C9 75 7B 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 84 C9 75 0B 8B 43 2C 33 D2 29 45 F0 19 55 F4 83 7D F4 00 75 08 83 7D F0 00 76 7B EB 02 7E 77 6A 00 68 00 10 00 00 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 15 8D 95 F0 EF FF FF B9 00 10 00 00 8B C3 E8 ?? ?? ?? ?? 4E 75 EB 6A 00 68 00 10 00 00 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8B C8 8D 95 F0 EF FF FF 8B C3 E8 ?? ?? ?? ?? EB 27 8D 95 EC EF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D EC EF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 2C 33 D2 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC EF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 8B 55 FC 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_38862_0 {
	meta:
		name = "TDecompressionStream.IsGZip"
		size = 24
	strings:
		$1 = { 80 B8 84 01 01 00 01 75 09 83 B8 80 01 01 00 01 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_38871_0 {
	meta:
		name = "GotoDataStart"
		size = 372
		refs = "0014 GotoDataStart 002a TArray<System.Byte> 002f @DynArraySetLength 006f _Dn_TIdStreamHelperVCL 0074 TIdStreamHelperVCL.Seek 0087 TIdStreamHelperVCL.ReadBytes 00c2 BytesToWord 0163 @FinalizeArray 0169 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B 5D 08 83 C3 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 02 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 01 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 03 8B 13 B1 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 6A 00 8D 4D FC 8B 13 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 06 8B 13 B1 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 00 24 04 3C 04 75 32 6A 02 6A 00 8D 4D F8 8B 13 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 0F B7 C0 33 D2 52 50 8B 13 B1 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 00 24 08 3C 08 75 1B 6A 01 6A 00 8D 4D F4 8B 13 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 80 38 00 75 E5 8B 45 FC 0F B6 00 24 10 3C 10 75 1B 6A 01 6A 00 8D 4D F4 8B 13 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 80 38 00 75 E5 8B 45 FC 0F B6 00 24 02 3C 02 75 12 6A 00 6A 02 8B 13 B1 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38872_0 {
	meta:
		name = "TIdZLibCompressorBase.DecompressGZipStream"
		size = 212
		refs = "0018 TIdZLibCompressorBase.DecompressGZipStream 0024 GotoDataStart 0033 _Dn_TIdStreamHelperVCL 0038 TIdStreamHelperVCL.Seek 0048 TArray<System.Byte> 004d @DynArraySetLength 0071 TIdStreamHelperVCL.Write 009b TStream.SetSize64 00c2 @DynArrayClear 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 6A FF 6A FE B1 01 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 C6 00 78 8B 45 F8 C6 40 01 9C 6A 02 6A 00 8B 4D F8 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 6A FE B1 01 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 12 83 E8 08 83 DA 00 52 50 8B 45 FC E8 ?? ?? ?? ?? 8B CE 8B 55 FC 8B C3 8B 18 FF 53 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38873_0 {
	meta:
		name = "TIdZLibCompressorBase.DecompressDeflateStream"
		size = 42
		refs = "0012 _Dn_TIdStreamHelperVCL 0017 TIdStreamHelperVCL.Seek"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A 00 6A 0A B1 01 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 8B 18 FF 53 4C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_38874_0 {
	meta:
		name = "TIdZLibCompressorBase.DecompressFTPDeflate"
		size = 46
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 5D 08 85 DB 7E 0C 8B C3 99 33 C2 2B C2 83 C0 20 8B D8 53 8B D7 8B C6 8B 18 FF 53 54 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_38875_0 {
	meta:
		name = "TIdZLibCompressorBase.CompressFTPDeflate"
		size = 31
	strings:
		$1 = { 55 8B EC 53 0F B6 5D 14 53 8B 5D 10 53 8B 5D 0C 53 8B 5D 08 53 8B 18 FF 53 50 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_38876_0 {
	meta:
		name = "TIdZLibCompressorBase.CompressHTTPDeflate"
		size = 19
	strings:
		$1 = { 55 8B EC 53 0F B6 5D 08 53 8B 18 FF 53 48 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_38877_0 {
	meta:
		name = "TIdZLibCompressorBase.DecompressHTTPDeflate"
		size = 372
		refs = "001e TIdZLibCompressorBase.DecompressHTTPDeflate 0034 TArray<System.Byte> 0039 @DynArraySetLength 0073 TStream.GetPosition 0087 _Dn_TIdStreamHelperVCL 008c TIdStreamHelperVCL.ReadBytes 00c7 _Dn_EIdException 00cc EIdException.Toss 00ec TStream.SetPosition 0124 @FinalizeArray 012a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 01 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 04 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 6A 01 6A 00 8D 4D FC 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 6A 00 8D 4D F8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 00 C1 E0 08 8B 55 F8 0F B6 12 03 C2 B9 1F 00 00 00 33 D2 F7 F1 85 D2 74 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 04 6A 00 8D 4D F4 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 EC FF 75 E8 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D3 8B C6 8B 30 FF 56 4C FF 75 EC FF 75 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 16 00 00 00 45 00 72 00 72 00 6F 00 72 00 20 00 2D 00 20 00 69 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 68 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_38883_0 {
	meta:
		name = "deflateInit"
		size = 24
		refs = "0003 deflateInit 0008 deflateInit_"
	strings:
		$1 = { 6A 38 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 31 2E 32 2E 35 00 00 00 }
	condition:
		$1
}

rule function_38884_0 {
	meta:
		name = "deflateInit2"
		size = 44
		refs = "0011 deflateInit2 0018 deflateInit2_"
	strings:
		$1 = { 55 8B EC 53 8B 5D 10 53 8B 5D 0C 53 8B 5D 08 53 68 ?? ?? ?? ?? 6A 38 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 00 00 00 31 2E 32 2E 35 00 00 00 }
	condition:
		$1
}

rule function_38885_0 {
	meta:
		name = "deflateInitEx"
		size = 56
		refs = "000e WBits 001d deflateInitEx 0026 deflateInit2_"
	strings:
		$1 = { 56 57 55 BE 08 00 00 00 83 E1 7F 8B 0C 8D ?? ?? ?? ?? BF 09 00 00 00 33 ED 51 57 55 68 ?? ?? ?? ?? 6A 38 8B CE E8 ?? ?? ?? ?? 5D 5F 5E C3 00 00 31 2E 32 2E 35 00 00 00 }
	condition:
		$1
}

rule function_38886_0 {
	meta:
		name = "inflateInitEx"
		size = 16
		refs = "0006 WBits 000b inflateInit2"
	strings:
		$1 = { 83 E2 7F 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49024_0 {
	meta:
		name = "GetRegInfo"
		size = 16
		refs = "0006 InfoAttributeStr 000b GetRegInfo"
	strings:
		$1 = { 83 E2 7F 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38887_0 {
	meta:
		name = "inflateInit"
		size = 24
		refs = "0001 inflateInit 000b inflateInit_"
	strings:
		$1 = { BA ?? ?? ?? ?? B9 38 00 00 00 E8 ?? ?? ?? ?? C3 31 2E 32 2E 35 00 00 00 }
	condition:
		$1
}

rule function_38888_0 {
	meta:
		name = "inflateInit2"
		size = 48
		refs = "0009 zlibAllocMem 0016 zlibFreeMem 001d inflateInit2 0022 inflateInit2_"
	strings:
		$1 = { 83 78 20 00 75 07 C7 40 20 ?? ?? ?? ?? 83 78 24 00 75 07 C7 40 24 ?? ?? ?? ?? 6A 38 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 31 2E 32 2E 35 00 00 00 }
	condition:
		$1
}

rule function_38889_0 {
	meta:
		name = "inflateBackInit"
		size = 24
		refs = "0001 inflateBackInit 0008 inflateBackInit_"
	strings:
		$1 = { 68 ?? ?? ?? ?? 6A 38 E8 ?? ?? ?? ?? C3 00 00 00 31 2E 32 2E 35 00 00 00 }
	condition:
		$1
}

rule function_38890_0 {
	meta:
		name = "_malloc"
		size = 13
		refs = "0007 @GetMem"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_38891_0 {
	meta:
		name = "_free"
		size = 13
		refs = "0007 @FreeMem"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_71155_0 {
	meta:
		name = "_malloc"
		size = 13
		refs = "0007 AllocMem"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_71154_0 {
	meta:
		name = "free"
		size = 13
		refs = "0007 @FreeMem"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_71152_0 {
	meta:
		name = "malloc"
		size = 13
		refs = "0007 AllocMem"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_38892_0 {
	meta:
		name = "_memset"
		size = 20
		refs = "000e @FillChar"
	strings:
		$1 = { 55 8B EC 0F B6 4D 0C 8B 45 08 8B 55 10 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_38893_0 {
	meta:
		name = "_memcpy"
		size = 19
		refs = "000d Move"
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 45 0C 8B 4D 10 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_38894_0 {
	meta:
		name = "zlibAllocMem"
		size = 16
		refs = "000a @GetMem"
	strings:
		$1 = { 55 8B EC 8B 45 0C F7 6D 10 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_43882_0 {
	meta:
		name = "zlibAllocMem"
		size = 16
		refs = "000a AllocMem"
	strings:
		$1 = { 55 8B EC 8B 45 0C F7 6D 10 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_38895_0 {
	meta:
		name = "zlibFreeMem"
		size = 13
		refs = "0007 @FreeMem"
	strings:
		$1 = { 55 8B EC 8B 45 0C E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_38899_0 {
	meta:
		name = "adler32"
		size = 792
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 8B FB C1 EF 10 81 E7 FF FF 00 00 81 E3 FF FF 00 00 83 7D 10 01 75 30 33 C0 8A 06 03 D8 81 FB F1 FF 00 00 72 06 81 EB F1 FF 00 00 03 FB 81 FF F1 FF 00 00 72 06 81 EF F1 FF 00 00 8B C7 C1 E0 10 0B C3 E9 15 02 00 00 85 F6 75 0A B8 01 00 00 00 E9 07 02 00 00 83 7D 10 10 73 3D EB 09 33 D2 8A 16 03 DA 46 03 FB 8B 4D 10 83 45 10 FF 85 C9 75 EC 81 FB F1 FF 00 00 72 06 81 EB F1 FF 00 00 B9 F1 FF 00 00 8B C7 33 D2 F7 F1 89 D7 8B C7 C1 E0 10 0B C3 E9 C4 01 00 00 81 7D 10 B0 15 00 00 0F 82 CC 00 00 00 81 6D 10 B0 15 00 00 B8 5B 01 00 00 33 D2 8A 16 03 DA 03 FB 33 C9 8A 4E 01 03 D9 03 FB 33 D2 8A 56 02 03 DA 03 FB 33 C9 8A 4E 03 03 D9 03 FB 33 D2 8A 56 04 03 DA 03 FB 33 C9 8A 4E 05 03 D9 03 FB 33 D2 8A 56 06 03 DA 03 FB 33 C9 8A 4E 07 03 D9 03 FB 33 D2 8A 56 08 03 DA 03 FB 33 C9 8A 4E 09 03 D9 03 FB 33 D2 8A 56 0A 03 DA 03 FB 33 C9 8A 4E 0B 03 D9 03 FB 33 D2 8A 56 0C 03 DA 03 FB 33 C9 8A 4E 0D 03 D9 03 FB 33 D2 8A 56 0E 03 DA 03 FB 33 C9 8A 4E 0F 03 D9 03 FB 83 C6 10 48 0F 85 67 FF FF FF B9 F1 FF 00 00 8B C3 33 D2 F7 F1 89 D3 B9 F1 FF 00 00 8B C7 33 D2 F7 F1 89 D7 81 7D 10 B0 15 00 00 0F 83 34 FF FF FF 83 7D 10 00 0F 84 DA 00 00 00 83 7D 10 10 0F 82 AB 00 00 00 83 6D 10 10 33 C9 8A 0E 03 D9 03 FB 33 C0 8A 46 01 03 D8 03 FB 33 D2 8A 56 02 03 DA 03 FB 33 C9 8A 4E 03 03 D9 03 FB 33 C0 8A 46 04 03 D8 03 FB 33 D2 8A 56 05 03 DA 03 FB 33 C9 8A 4E 06 03 D9 03 FB 33 C0 8A 46 07 03 D8 03 FB 33 D2 8A 56 08 03 DA 03 FB 33 C9 8A 4E 09 03 D9 03 FB 33 C0 8A 46 0A 03 D8 03 FB 33 D2 8A 56 0B 03 DA 03 FB 33 C9 8A 4E 0C 03 D9 03 FB 33 C0 8A 46 0D 03 D8 03 FB 33 D2 8A 56 0E 03 DA 03 FB 33 C9 8A 4E 0F 03 D9 03 FB 83 C6 10 83 7D 10 10 0F 83 60 FF FF FF EB 09 33 C0 8A 06 03 D8 46 03 FB 8B 55 10 83 45 10 FF 85 D2 75 EC B9 F1 FF 00 00 8B C3 33 D2 F7 F1 89 D3 B9 F1 FF 00 00 8B C7 33 D2 F7 F1 89 D7 8B C7 C1 E0 10 0B C3 5F 5E 5B 5D C3 90 90 90 55 8B EC 53 56 57 33 D2 8B 45 10 B9 F1 FF 00 00 F7 F1 8B FA 8B 5D 08 81 E3 FF FF 00 00 8B F7 0F AF F3 8B C6 33 D2 B9 F1 FF 00 00 F7 F1 89 D6 8B 55 0C 8B 45 08 8B 4D 0C C1 E8 10 81 E1 FF FF 00 00 C1 EA 10 25 FF FF 00 00 81 E2 FF FF 00 00 81 C1 F1 FF 00 00 03 C2 49 05 F1 FF 00 00 03 D9 2B C7 03 F0 81 FB F1 FF 00 00 72 06 81 EB F1 FF 00 00 81 FB F1 FF 00 00 72 06 81 EB F1 FF 00 00 81 FE E2 FF 01 00 72 06 81 EE E2 FF 01 00 81 FE F1 FF 00 00 72 06 81 EE F1 FF 00 00 8B C6 C1 E0 10 0B C3 5F 5E 5B 5D C3 90 }
	condition:
		$1
}

rule function_38900_0 {
	meta:
		name = "adler32_combine"
		size = 53
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 55 0C 52 8B 4D 08 51 E8 44 FF FF FF 83 C4 0C 5D C3 90 90 90 55 8B EC 8B 45 10 50 8B 55 0C 52 8B 4D 08 51 E8 28 FF FF FF 83 C4 0C 5D C3 }
	condition:
		$1
}

rule function_38901_0 {
	meta:
		name = "compress2"
		size = 160
		refs = "0044 _DV_. 004e deflateInit_ 0063 deflate 0073 deflateEnd"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 8D 7D C8 8B 75 0C 8B 45 10 89 07 8B 55 14 89 57 04 8B 4D 08 89 4F 0C 8B 16 8B C2 89 47 10 3B D0 74 07 B8 FB FF FF FF EB 65 33 D2 89 57 20 33 C9 89 4F 24 33 C0 89 47 28 6A 38 68 ?? ?? ?? ?? 8B 55 18 52 57 E8 ?? ?? ?? ?? 83 C4 10 8B D8 85 DB 74 04 8B C3 EB 38 6A 04 57 E8 ?? ?? ?? ?? 83 C4 08 8B D8 83 FB 01 74 16 57 E8 ?? ?? ?? ?? 59 85 DB 75 07 B8 FB FF FF FF EB 14 8B C3 EB 10 8B 57 14 89 16 57 E8 ?? ?? ?? ?? 59 8B D8 8B C3 5F 5E 5B 8B E5 5D C3 90 90 }
	condition:
		$1
}

rule function_38902_0 {
	meta:
		name = "compress"
		size = 32
	strings:
		$1 = { 55 8B EC 6A FF 8B 45 14 50 8B 55 10 52 8B 4D 0C 51 8B 45 08 50 E8 46 FF FF FF 83 C4 14 5D C3 90 }
	condition:
		$1
}

rule function_38903_0 {
	meta:
		name = "compressBound"
		size = 32
	strings:
		$1 = { 55 8B EC 8B 45 08 8B D0 8B C8 C1 EA 0C 03 D0 C1 E9 0E C1 E8 19 03 D1 03 D0 83 C2 0D 8B C2 5D C3 }
	condition:
		$1
}

rule function_38905_0 {
	meta:
		name = "crc32"
		size = 2180
		refs = "0010 _DV_."
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 10 8B 55 0C 8B 45 08 B9 ?? ?? ?? ?? 85 D2 75 07 33 C0 E9 1E 01 00 00 C7 45 FC 01 00 00 00 80 7D FC 00 74 10 56 52 50 E8 10 01 00 00 83 C4 0C E9 01 01 00 00 56 52 50 E8 C0 03 00 00 83 C4 0C E9 F1 00 00 00 83 F0 FF 83 FE 08 0F 82 C4 00 00 00 33 DB 8A 1A 42 33 D8 81 E3 FF 00 00 00 C1 E8 08 8B 1C 99 33 D8 8B C3 33 DB 8A 1A 42 33 D8 81 E3 FF 00 00 00 C1 E8 08 8B 1C 99 33 D8 8B C3 33 DB 8A 1A 42 33 D8 81 E3 FF 00 00 00 C1 E8 08 8B 1C 99 33 D8 8B C3 33 DB 8A 1A 42 33 D8 81 E3 FF 00 00 00 C1 E8 08 8B 1C 99 33 D8 8B C3 33 DB 8A 1A 42 33 D8 81 E3 FF 00 00 00 C1 E8 08 8B 1C 99 33 D8 8B C3 33 DB 8A 1A 42 33 D8 81 E3 FF 00 00 00 C1 E8 08 8B 1C 99 33 D8 8B C3 33 DB 8A 1A 42 33 D8 81 E3 FF 00 00 00 C1 E8 08 8B 1C 99 33 D8 8B C3 33 DB 8A 1A 42 33 D8 81 E3 FF 00 00 00 C1 E8 08 8B 1C 99 33 D8 83 EE 08 8B C3 83 FE 08 0F 83 3C FF FF FF 85 F6 74 1A 33 DB 8A 1A 33 D8 81 E3 FF 00 00 00 C1 E8 08 8B 1C 99 33 D8 42 8B C3 4E 75 E6 83 F0 FF 5E 5B 59 5D C3 90 90 55 8B EC 53 56 57 B9 ?? ?? ?? ?? 8B 45 08 8B 5D 10 F7 D0 8B 55 0C EB 17 0F B6 32 33 F0 42 81 E6 FF 00 00 00 C1 E8 08 8B 34 B1 33 F0 4B 8B C6 85 DB 74 05 F6 C2 03 75 E0 83 FB 20 0F 82 0C 02 00 00 33 02 83 C2 04 8B F8 8B F0 C1 EF 08 81 E6 FF 00 00 00 81 E7 FF 00 00 00 8B B4 B1 00 0C 00 00 33 B4 B9 00 08 00 00 8B F8 C1 EF 10 81 E7 FF 00 00 00 C1 E8 18 33 B4 B9 00 04 00 00 33 34 81 8B C6 33 02 83 C2 04 8B F8 8B F0 C1 EF 08 81 E6 FF 00 00 00 81 E7 FF 00 00 00 8B B4 B1 00 0C 00 00 33 B4 B9 00 08 00 00 8B F8 C1 EF 10 81 E7 FF 00 00 00 C1 E8 18 33 B4 B9 00 04 00 00 33 34 81 8B C6 33 02 83 C2 04 8B F8 8B F0 C1 EF 08 81 E6 FF 00 00 00 81 E7 FF 00 00 00 8B B4 B1 00 0C 00 00 33 B4 B9 00 08 00 00 8B F8 C1 EF 10 81 E7 FF 00 00 00 C1 E8 18 33 B4 B9 00 04 00 00 33 34 81 8B C6 33 02 83 C2 04 8B F8 8B F0 C1 EF 08 81 E6 FF 00 00 00 81 E7 FF 00 00 00 8B B4 B1 00 0C 00 00 33 B4 B9 00 08 00 00 8B F8 C1 EF 10 81 E7 FF 00 00 00 C1 E8 18 33 B4 B9 00 04 00 00 33 34 81 8B C6 33 02 83 C2 04 8B F8 8B F0 C1 EF 08 81 E6 FF 00 00 00 81 E7 FF 00 00 00 8B B4 B1 00 0C 00 00 33 B4 B9 00 08 00 00 8B F8 C1 EF 10 81 E7 FF 00 00 00 C1 E8 18 33 B4 B9 00 04 00 00 33 34 81 8B C6 33 02 83 C2 04 8B F8 8B F0 C1 EF 08 81 E6 FF 00 00 00 81 E7 FF 00 00 00 8B B4 B1 00 0C 00 00 33 B4 B9 00 08 00 00 8B F8 C1 EF 10 81 E7 FF 00 00 00 C1 E8 18 33 B4 B9 00 04 00 00 33 34 81 8B C6 33 02 83 C2 04 8B F8 8B F0 C1 EF 08 81 E6 FF 00 00 00 81 E7 FF 00 00 00 8B B4 B1 00 0C 00 00 33 B4 B9 00 08 00 00 8B F8 C1 EF 10 81 E7 FF 00 00 00 C1 E8 18 33 B4 B9 00 04 00 00 33 34 81 8B C6 33 02 83 C2 04 8B F8 8B F0 C1 EF 08 81 E6 FF 00 00 00 81 E7 FF 00 00 00 8B B4 B1 00 0C 00 00 33 B4 B9 00 08 00 00 8B F8 C1 EF 10 81 E7 FF 00 00 00 C1 E8 18 33 B4 B9 00 04 00 00 33 34 81 83 EB 20 8B C6 83 FB 20 0F 83 F4 FD FF FF 83 FB 04 72 48 33 02 83 C2 04 8B F8 8B F0 C1 EF 08 81 E6 FF 00 00 00 81 E7 FF 00 00 00 8B B4 B1 00 0C 00 00 33 B4 B9 00 08 00 00 8B F8 C1 EF 10 81 E7 FF 00 00 00 C1 E8 18 33 B4 B9 00 04 00 00 33 34 81 83 EB 04 8B C6 83 FB 04 73 B8 85 DB 74 19 0F B6 32 33 F0 81 E6 FF 00 00 00 C1 E8 08 8B 34 B1 33 F0 42 8B C6 4B 75 E7 F7 D0 5F 5E 5B 5D C3 90 90 55 8B EC 53 56 57 B9 ?? ?? ?? ?? 8B 45 08 8B 5D 10 8B F0 8B F8 C1 EF 08 8B 55 0C C1 EE 18 81 E7 00 FF 00 00 81 E6 FF 00 00 00 03 F7 8B F8 81 E7 00 FF 00 00 25 FF 00 00 00 C1 E7 08 C1 E0 18 03 F7 03 F0 8B C6 F7 D0 EB 1A 0F B6 3A 8B F0 42 C1 EE 18 33 F7 C1 E0 08 8B B4 B1 00 10 00 00 33 F0 4B 8B C6 85 DB 74 05 F6 C2 03 75 DD 83 EA 04 83 FB 20 0F 82 2C 02 00 00 83 C2 04 33 02 83 C2 04 8B F8 8B F0 C1 EF 08 81 E6 FF 00 00 00 81 E7 FF 00 00 00 8B B4 B1 00 10 00 00 33 B4 B9 00 14 00 00 8B F8 C1 EF 10 81 E7 FF 00 00 00 C1 E8 18 33 B4 B9 00 18 00 00 33 B4 81 00 1C 00 00 8B C6 33 02 83 C2 04 8B F8 8B F0 C1 EF 08 81 E6 FF 00 00 00 81 E7 FF 00 00 00 8B B4 B1 00 10 00 00 33 B4 B9 00 14 00 00 8B F8 C1 EF 10 81 E7 FF 00 00 00 C1 E8 18 33 B4 B9 00 18 00 00 33 B4 81 00 1C 00 00 8B C6 33 02 83 C2 04 8B F8 8B F0 C1 EF 08 81 E6 FF 00 00 00 81 E7 FF 00 00 00 8B B4 B1 00 10 00 00 33 B4 B9 00 14 00 00 8B F8 C1 EF 10 81 E7 FF 00 00 00 C1 E8 18 33 B4 B9 00 18 00 00 33 B4 81 00 1C 00 00 8B C6 33 02 83 C2 04 8B F8 8B F0 C1 EF 08 81 E6 FF 00 00 00 81 E7 FF 00 00 00 8B B4 B1 00 10 00 00 33 B4 B9 00 14 00 00 8B F8 C1 EF 10 81 E7 FF 00 00 00 C1 E8 18 33 B4 B9 00 18 00 00 33 B4 81 00 1C 00 00 8B C6 33 02 83 C2 04 8B F8 8B F0 C1 EF 08 81 E6 FF 00 00 00 81 E7 FF 00 00 00 8B B4 B1 00 10 00 00 33 B4 B9 00 14 00 00 8B F8 C1 EF 10 81 E7 FF 00 00 00 C1 E8 18 33 B4 B9 00 18 00 00 33 B4 81 00 1C 00 00 8B C6 33 02 83 C2 04 8B F8 8B F0 C1 EF 08 81 E6 FF 00 00 00 81 E7 FF 00 00 00 8B B4 B1 00 10 00 00 33 B4 B9 00 14 00 00 8B F8 C1 EF 10 81 E7 FF 00 00 00 C1 E8 18 33 B4 B9 00 18 00 00 33 B4 81 00 1C 00 00 8B C6 33 02 83 C2 04 8B F8 8B F0 C1 EF 08 81 E6 FF 00 00 00 81 E7 FF 00 00 00 8B B4 B1 00 10 00 00 33 B4 B9 00 14 00 00 8B F8 C1 EF 10 81 E7 FF 00 00 00 C1 E8 18 33 B4 B9 00 18 00 00 33 B4 81 00 1C 00 00 8B C6 33 02 8B F8 8B F0 C1 EF 08 81 E6 FF 00 00 00 81 E7 FF 00 00 00 8B B4 B1 00 10 00 00 33 B4 B9 00 14 00 00 8B F8 C1 EF 10 81 E7 FF 00 00 00 C1 E8 18 33 B4 B9 00 18 00 00 33 B4 81 00 1C 00 00 83 EB 20 8B C6 83 FB 20 0F 83 D4 FD FF FF 83 FB 04 72 4C 83 C2 04 33 02 8B F8 8B F0 C1 EF 08 81 E6 FF 00 00 00 81 E7 FF 00 00 00 8B B4 B1 00 10 00 00 33 B4 B9 00 14 00 00 8B F8 C1 EF 10 81 E7 FF 00 00 00 C1 E8 18 33 B4 B9 00 18 00 00 33 B4 81 00 1C 00 00 83 EB 04 8B C6 83 FB 04 73 B4 83 C2 04 85 DB 74 1C 0F B6 3A 8B F0 C1 EE 18 33 F7 C1 E0 08 8B B4 B1 00 10 00 00 33 F0 42 8B C6 4B 75 E4 F7 D0 8B D0 8B C8 C1 E9 08 C1 EA 18 81 E1 00 FF 00 00 81 E2 FF 00 00 00 03 D1 8B C8 81 E1 00 FF 00 00 25 FF 00 00 00 C1 E1 08 C1 E0 18 03 D1 03 D0 8B C2 5F 5E 5B 5D C3 55 8B EC 8B 45 0C 8B 55 08 33 C9 85 C0 74 0F A8 01 74 02 33 0A D1 E8 83 C2 04 85 C0 75 F1 8B C1 5D C3 90 90 55 8B EC 53 56 57 33 FF 8B 45 08 8B F0 8B 45 0C 8B D8 8B 03 50 8B 55 0C 52 E8 BE FF FF FF 83 C4 08 89 06 47 83 C6 04 83 C3 04 83 FF 20 7C E3 5F 5E 5B 5D C3 55 8B EC 81 C4 00 FF FF FF 56 57 8B 75 10 8B 7D 08 85 F6 7F 07 8B C7 E9 B5 00 00 00 C7 85 00 FF FF FF 20 83 B8 ED BA 01 00 00 00 B9 01 00 00 00 8D 85 04 FF FF FF 89 10 03 D2 41 83 C0 04 83 F9 20 7C F3 8D 95 00 FF FF FF 52 8D 4D 80 51 E8 79 FF FF FF 83 C4 08 8D 45 80 50 8D 95 00 FF FF FF 52 E8 66 FF FF FF 83 C4 08 8D 8D 00 FF FF FF 51 8D 45 80 50 E8 53 FF FF FF 83 C4 08 F7 C6 01 00 00 00 74 0F 57 8D 55 80 52 E8 1A FF FF FF 83 C4 08 8B F8 D1 FE 85 F6 74 33 8D 4D 80 51 8D 85 00 FF FF FF 50 E8 23 FF FF FF 83 C4 08 F7 C6 01 00 00 00 74 12 57 8D 95 00 FF FF FF 52 E8 E7 FE FF FF 83 C4 08 8B F8 D1 FE 85 F6 75 9D 33 7D 0C 8B C7 5F 5E 8B E5 5D C3 90 }
	condition:
		$1
}

rule function_38906_0 {
	meta:
		name = "crc32_combine"
		size = 53
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 55 0C 52 8B 4D 08 51 E8 14 FF FF FF 83 C4 0C 5D C3 90 90 90 55 8B EC 8B 45 10 50 8B 55 0C 52 8B 4D 08 51 E8 F8 FE FF FF 83 C4 0C 5D C3 }
	condition:
		$1
}

rule function_38907_0 {
	meta:
		name = "deflateInit_"
		size = 40
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 55 10 52 6A 00 6A 08 6A 0F 6A 08 8B 4D 0C 51 8B 45 08 50 E8 08 00 00 00 83 C4 20 5D C3 90 90 90 }
	condition:
		$1
}

rule function_38908_0 {
	meta:
		name = "deflateInit2_"
		size = 568
		refs = "001f _DV_. 0051 zcalloc 0063 zcfree 01da z_errmsg"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 20 8B 7D 14 8B 75 08 C7 45 FC 01 00 00 00 85 C0 74 10 8A 00 3A 05 ?? ?? ?? ?? 75 06 83 7D 24 38 74 0A B8 FA FF FF FF E9 FD 01 00 00 85 F6 75 0A B8 FE FF FF FF E9 EF 01 00 00 33 D2 89 56 18 83 7E 20 00 75 0C C7 46 20 ?? ?? ?? ?? 33 C9 89 4E 28 83 7E 24 00 75 07 C7 46 24 ?? ?? ?? ?? 83 7D 0C FF 75 07 C7 45 0C 06 00 00 00 85 FF 7D 09 33 C0 F7 DF 89 45 FC EB 0F 83 FF 0F 7E 0A C7 45 FC 02 00 00 00 83 EF 10 83 7D 18 01 7C 2E 83 7D 18 09 7F 28 83 7D 10 08 75 22 83 FF 08 7C 1D 83 FF 0F 7F 18 83 7D 0C 00 7C 12 83 7D 0C 09 7F 0C 83 7D 1C 00 7C 06 83 7D 1C 04 7E 0A B8 FE FF FF FF E9 64 01 00 00 83 FF 08 75 05 BF 09 00 00 00 68 C4 16 00 00 6A 01 8B 46 28 50 FF 56 20 83 C4 0C 8B D8 85 DB 75 0A B8 FC FF FF FF E9 39 01 00 00 89 5E 1C 89 33 8B 55 FC 33 C9 89 53 18 89 4B 1C 8B C7 BA 01 00 00 00 8B C8 89 43 30 D3 E2 89 53 2C 4A 89 53 34 BA 01 00 00 00 8B 45 18 83 C0 07 8B C8 89 43 50 D3 E2 89 53 4C 4A 89 53 54 33 D2 8B 43 50 B9 03 00 00 00 83 C0 03 48 F7 F1 89 43 58 6A 02 8B 4B 2C 51 8B 46 28 50 FF 56 20 83 C4 0C 89 43 38 6A 02 8B 53 2C 52 8B 4E 28 51 FF 56 20 83 C4 0C 89 43 40 6A 02 8B 43 4C 50 8B 56 28 52 FF 56 20 89 43 44 33 C9 89 8B C0 16 00 00 83 C4 0C 8B 4D 18 B8 01 00 00 00 83 C1 06 D3 E0 89 83 9C 16 00 00 6A 04 50 8B 56 28 52 FF 56 20 83 C4 0C 89 43 08 8B 93 9C 16 00 00 C1 E2 02 89 53 0C 83 7B 38 00 74 12 83 7B 40 00 74 0C 83 7B 44 00 74 06 83 7B 08 00 75 1D C7 43 04 9A 02 00 00 A1 ?? ?? ?? ?? 89 46 18 56 E8 25 0E 00 00 59 B8 FC FF FF FF EB 43 8B 93 9C 16 00 00 D1 EA 03 D2 03 C2 89 83 A4 16 00 00 8B 8B 9C 16 00 00 8D 0C 49 03 4B 08 89 8B 98 16 00 00 8B 4D 0C 89 8B 84 00 00 00 8B 45 1C 89 83 88 00 00 00 8A 55 10 88 53 24 56 E8 17 01 00 00 59 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38909_0 {
	meta:
		name = "deflateSetDictionary"
		size = 272
		refs = "005a adler32 008b memcpy"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 08 33 C0 8B 75 10 89 45 FC 85 FF 74 24 83 7F 1C 00 74 1E 83 7D 0C 00 74 18 8B 57 1C 83 7A 18 02 74 0F 8B 47 1C 83 78 18 01 75 10 83 78 04 2A 74 0A B8 FE FF FF FF E9 C4 00 00 00 8B 5F 1C 83 7B 18 00 74 17 8B 45 10 50 8B 55 0C 52 8B 4F 30 51 E8 ?? ?? ?? ?? 83 C4 0C 89 47 30 83 FE 03 73 07 33 C0 E9 98 00 00 00 8B 43 2C 3B F0 76 0A 8B F0 8B 45 10 2B C6 01 45 0C 56 8B 55 0C 52 8B 4B 38 51 E8 ?? ?? ?? ?? 89 73 6C 89 73 5C 8B 4B 38 33 C0 83 C4 0C 8A 01 89 43 48 8B 53 38 8B 4B 58 D3 E0 0F B6 52 01 33 C2 23 43 54 89 43 48 33 C0 EB 3F 8B 4B 58 8B 53 48 D3 E2 8B 4B 38 0F B6 4C 01 02 33 D1 23 53 54 89 53 48 8B 53 44 8B 4B 48 66 8B 14 4A 8B 4B 34 23 C8 8B 7B 40 66 89 14 4F 0F B7 CA 89 4D FC 8B 53 44 8B 4B 48 66 89 04 4A 40 8B D6 83 EA 03 3B C2 76 B8 83 7D FC 00 33 C0 5F 5E 5B 59 5D C3 90 90 }
	condition:
		$1
}

rule function_38910_0 {
	meta:
		name = "deflateReset"
		size = 168
		refs = "0075 crc32 0085 adler32 0096 _tr_init"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 85 F6 74 12 83 7E 1C 00 74 0C 83 7E 20 00 74 06 83 7E 24 00 75 07 B8 FE FF FF FF EB 7F 33 D2 33 C0 89 56 14 89 56 08 89 46 18 33 C0 C7 46 2C 02 00 00 00 8B 5E 1C 89 43 14 8B 53 08 89 53 10 8B 43 18 85 C0 7D 05 F7 D8 89 43 18 83 7B 18 00 74 07 BA 2A 00 00 00 EB 05 BA 71 00 00 00 89 53 04 83 7B 18 02 75 10 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 0C EB 0E 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 89 46 30 33 C0 89 43 28 53 E8 ?? ?? ?? ?? 59 53 E8 FB 0E 00 00 59 33 C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_38911_0 {
	meta:
		name = "deflateSetHeader"
		size = 52
	strings:
		$1 = { 55 8B EC 8B 45 08 85 C0 74 06 83 78 1C 00 75 07 B8 FE FF FF FF 5D C3 8B 50 1C 83 7A 18 02 74 07 B8 FE FF FF FF 5D C3 8B 4D 0C 33 C0 89 4A 1C 5D C3 90 90 90 }
	condition:
		$1
}

rule function_38912_0 {
	meta:
		name = "deflatePrime"
		size = 68
	strings:
		$1 = { 55 8B EC 53 8B 55 0C 8B 45 08 85 C0 74 06 83 78 1C 00 75 08 B8 FE FF FF FF 5B 5D C3 8B 58 1C 8B CA 89 93 BC 16 00 00 66 BA 01 00 66 D3 E2 66 81 C2 FF FF 66 23 55 10 33 C0 66 89 93 B8 16 00 00 5B 5D C3 90 }
	condition:
		$1
}

rule function_38913_0 {
	meta:
		name = "deflateParams"
		size = 224
		refs = "005b _DV_."
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 10 8B 5D 0C 8B 45 08 33 D2 85 C0 74 06 83 78 1C 00 75 0A B8 FE FF FF FF E9 B4 00 00 00 8B 70 1C 83 FB FF 75 05 BB 06 00 00 00 85 DB 7C 0E 83 FB 09 7F 09 85 FF 7C 05 83 FF 04 7E 0A B8 FE FF FF FF E9 8B 00 00 00 8B 8E 84 00 00 00 8D 0C 49 8B 0C 8D ?? ?? ?? ?? 89 4D FC 3B BE 88 00 00 00 75 0F 8D 0C 5B 8B 0C 8D ?? ?? ?? ?? 3B 4D FC 74 13 83 78 08 00 74 0D 6A 05 50 E8 01 02 00 00 83 C4 08 8B D0 3B 9E 84 00 00 00 74 3E 89 9E 84 00 00 00 8D 04 5B 0F B7 0C 85 ?? ?? ?? ?? 89 8E 80 00 00 00 0F B7 0C 85 ?? ?? ?? ?? 89 8E 8C 00 00 00 0F B7 0C 85 ?? ?? ?? ?? 89 8E 90 00 00 00 0F B7 04 85 ?? ?? ?? ?? 89 46 7C 89 BE 88 00 00 00 8B C2 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38914_0 {
	meta:
		name = "deflateTune"
		size = 64
	strings:
		$1 = { 55 8B EC 8B 45 08 85 C0 74 06 83 78 1C 00 75 07 B8 FE FF FF FF 5D C3 8B 40 1C 8B 55 0C 89 90 8C 00 00 00 8B 4D 10 89 88 80 00 00 00 8B 55 14 89 90 90 00 00 00 8B 4D 18 89 48 7C 33 C0 5D C3 90 }
	condition:
		$1
}

rule function_38915_0 {
	meta:
		name = "deflateBound"
		size = 360
		refs = "0135 memcpy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 0C 8B 55 08 8D 58 07 8D 48 3F C1 EB 03 C1 E9 06 03 D8 03 D9 83 C3 05 85 D2 74 06 83 7A 1C 00 75 08 8D 43 06 E9 A6 00 00 00 8B 52 1C 8B 4A 18 83 E9 01 72 07 74 09 49 74 1A EB 61 33 C9 EB 62 83 7A 6C 00 74 07 B9 04 00 00 00 EB 02 33 C9 83 C1 06 EB 4E B9 12 00 00 00 8B 72 1C 85 F6 74 42 83 7E 10 00 74 08 8B 7E 14 83 C7 02 03 CF 8B 76 1C 85 F6 74 08 41 46 80 7E FF 00 75 F8 8B 72 1C 8B 76 24 85 F6 74 08 41 46 80 7E FF 00 75 F8 8B 72 1C 83 7E 2C 00 74 0A 83 C1 02 EB 05 B9 06 00 00 00 83 7A 30 0F 75 06 83 7A 50 0F 74 05 8D 04 19 EB 1D 8B D0 8B D8 C1 EA 0C 03 D0 C1 EB 0E C1 E8 19 03 D3 03 D0 83 C2 0D 83 EA 06 03 CA 8B C1 5F 5E 5B 5D C3 55 8B EC 53 8B 55 0C 8B 45 08 8B 48 14 FF 40 14 8B 58 08 8D 0C 0B 51 8B CA C1 E9 08 5B 88 0B 8B 48 14 FF 40 14 8B 40 08 80 E2 FF 88 14 08 5B 5D C3 90 90 90 55 8B EC 53 56 8B 5D 08 8B 43 1C 8B 70 14 8B 53 10 3B F2 76 02 8B F2 85 F6 74 37 56 8B 40 10 50 8B 53 0C 52 E8 ?? ?? ?? ?? 83 C4 0C 8B C6 01 43 0C 8B 53 1C 01 42 10 01 73 14 29 73 10 8B 4B 1C 29 71 14 8B 43 1C 83 78 14 00 75 06 8B 50 08 89 50 10 5E 5B 5D C3 90 90 }
	condition:
		$1
}

rule function_38916_0 {
	meta:
		name = "deflate"
		size = 2332
		refs = "004f z_errmsg 009f crc32 037a adler32 0753 _DV_. 079f _tr_align 07b3 _tr_stored_block 07da memset"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B 7D 0C 8B 75 08 85 F6 74 0F 83 7E 1C 00 74 09 83 FF 05 7F 04 85 FF 7D 0A B8 FE FF FF FF E9 E7 08 00 00 83 7E 0C 00 8B 5E 1C 74 19 83 3E 00 75 06 83 7E 04 00 75 0E 81 7B 04 9A 02 00 00 75 17 83 FF 04 74 12 A1 ?? ?? ?? ?? 89 46 18 B8 FE FF FF FF E9 B3 08 00 00 83 7E 10 00 75 13 8B 15 ?? ?? ?? ?? B8 FB FF FF FF 89 56 18 E9 9A 08 00 00 89 33 8B 53 28 89 55 FC 89 7B 28 83 7B 04 2A 0F 85 F6 02 00 00 83 7B 18 02 0F 85 35 02 00 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 89 46 30 8B 4B 14 FF 43 14 8B 43 08 C6 04 08 1F 8B 53 14 FF 43 14 8B 4B 08 C6 04 11 8B 8B 4B 14 FF 43 14 8B 43 08 C6 04 08 08 83 7B 1C 00 0F 85 8B 00 00 00 8B 53 14 FF 43 14 8B 43 08 C6 04 10 00 8B 53 14 FF 43 14 8B 4B 08 C6 04 11 00 8B 4B 14 FF 43 14 8B 43 08 C6 04 08 00 8B 53 14 FF 43 14 8B 43 08 C6 04 10 00 8B 53 14 FF 43 14 8B 4B 08 C6 04 11 00 8B 4B 14 FF 43 14 83 BB 84 00 00 00 09 8B 43 08 75 04 B2 02 EB 18 83 BB 88 00 00 00 02 7D 09 83 BB 84 00 00 00 02 7D 04 B2 04 EB 02 33 D2 88 14 08 8B 43 14 FF 43 14 8B 4B 08 C6 04 01 0B C7 43 04 71 00 00 00 E9 1F 02 00 00 8B 4B 1C 83 39 00 74 04 B0 01 EB 02 33 C0 8B 53 1C 83 7A 2C 00 74 04 B1 02 EB 02 33 C9 02 C1 8B 53 1C 83 7A 10 00 75 04 33 D2 EB 02 B2 04 02 C2 8B 4B 1C 83 79 1C 00 75 04 33 D2 EB 02 B2 08 02 C2 8B 4B 1C 83 79 24 00 75 04 33 D2 EB 02 B2 10 02 C2 8B 4B 14 FF 43 14 8B 53 08 88 04 0A 8B 43 14 FF 43 14 8B 4B 08 8B 53 1C 8A 52 04 80 E2 FF 88 14 01 8B 43 14 FF 43 14 8B 4B 08 8B 53 1C 8B 52 04 C1 EA 08 80 E2 FF 88 14 01 8B 43 14 FF 43 14 8B 4B 08 8B 53 1C 8B 52 04 C1 EA 10 80 E2 FF 88 14 01 8B 43 14 FF 43 14 8B 4B 08 8B 53 1C 8B 52 04 C1 EA 18 80 E2 FF 88 14 01 8B 43 14 FF 43 14 83 BB 84 00 00 00 09 8B 4B 08 75 04 B2 02 EB 18 83 BB 88 00 00 00 02 7D 09 83 BB 84 00 00 00 02 7D 04 B2 04 EB 02 33 D2 88 14 01 8B 43 14 FF 43 14 8B 4B 08 8B 53 1C 8A 52 0C 80 E2 FF 88 14 01 8B 43 1C 83 78 10 00 74 2D 8B 4B 14 FF 43 14 8B 53 08 8D 0C 0A 51 5A 8A 40 14 24 FF 88 02 8B 43 14 FF 43 14 8B 4B 08 8B 53 1C 8B 52 14 C1 EA 08 80 E2 FF 88 14 01 8B 43 1C 83 78 2C 00 74 17 8B 4B 14 51 8B 4B 08 51 8B 46 30 50 E8 ?? ?? ?? ?? 83 C4 0C 89 46 30 33 D2 89 53 20 C7 43 04 45 00 00 00 E9 B7 00 00 00 8B 4B 30 83 E9 08 C1 E1 04 83 C1 08 C1 E1 08 83 BB 88 00 00 00 02 7D 09 83 BB 84 00 00 00 02 7D 04 33 C0 EB 23 8B 83 84 00 00 00 83 F8 06 7D 07 B8 01 00 00 00 EB 11 83 F8 06 75 07 B8 02 00 00 00 EB 05 B8 03 00 00 00 C1 E0 06 0B C8 83 7B 6C 00 74 03 83 C9 20 8B C1 51 B9 1F 00 00 00 33 D2 F7 F1 59 B8 1F 00 00 00 2B C2 03 C8 C7 43 04 71 00 00 00 51 53 E8 2D FC FF FF 83 C4 08 83 7B 6C 00 74 23 8B 56 30 C1 EA 10 52 53 E8 17 FC FF FF 83 C4 08 8B 4E 30 81 E1 FF FF 00 00 51 53 E8 04 FC FF FF 83 C4 08 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 89 46 30 83 7B 04 45 0F 85 D7 00 00 00 8B 4B 1C 83 79 10 00 0F 84 C3 00 00 00 8B 43 14 89 45 F8 EB 63 8B 53 14 3B 53 0C 75 40 8B 4B 1C 83 79 2C 00 74 25 8B 43 14 3B 45 F8 76 1D 8B 53 14 2B 55 F8 52 8B 4B 08 03 4D F8 51 8B 46 30 50 E8 ?? ?? ?? ?? 83 C4 0C 89 46 30 56 E8 C9 FB FF FF 59 8B 43 14 89 45 F8 3B 43 0C 74 2C 8B 53 1C 8B 4A 10 8B 43 20 8A 14 01 8B 4B 14 FF 43 14 8B 43 08 88 14 08 FF 43 20 8B 53 1C 8B 4A 14 81 E1 FF FF 00 00 3B 4B 20 77 8C 8B 4B 1C 83 79 2C 00 74 25 8B 43 14 3B 45 F8 76 1D 8B 53 14 2B 55 F8 52 8B 4B 08 03 4D F8 51 8B 46 30 50 E8 ?? ?? ?? ?? 83 C4 0C 89 46 30 8B 53 1C 8B 4A 14 3B 4B 20 75 15 33 C0 89 43 20 C7 43 04 49 00 00 00 EB 07 C7 43 04 49 00 00 00 83 7B 04 49 0F 85 D5 00 00 00 8B 53 1C 83 7A 1C 00 0F 84 C1 00 00 00 8B 4B 14 89 4D F4 8B 43 14 3B 43 0C 75 49 8B 53 1C 83 7A 2C 00 74 25 8B 4B 14 3B 4D F4 76 1D 8B 43 14 2B 45 F4 50 8B 53 08 03 55 F4 52 8B 4E 30 51 E8 ?? ?? ?? ?? 83 C4 0C 89 46 30 56 E8 EA FA FF FF 59 8B 43 14 89 45 F4 3B 43 0C 75 09 C7 45 F0 01 00 00 00 EB 28 8B 53 20 FF 43 20 8B 43 1C 8B 48 1C 0F B6 14 11 89 55 F0 8B 4B 14 FF 43 14 8B 43 08 8A 55 F0 88 14 08 83 7D F0 00 75 87 8B 4B 1C 83 79 2C 00 74 25 8B 43 14 3B 45 F4 76 1D 8B 53 14 2B 55 F4 52 8B 4B 08 03 4D F4 51 8B 46 30 50 E8 ?? ?? ?? ?? 83 C4 0C 89 46 30 83 7D F0 00 75 15 33 D2 89 53 20 C7 43 04 5B 00 00 00 EB 07 C7 43 04 5B 00 00 00 83 7B 04 5B 0F 85 D0 00 00 00 8B 4B 1C 83 79 24 00 0F 84 BC 00 00 00 8B 43 14 89 45 EC 8B 53 14 3B 53 0C 75 49 8B 4B 1C 83 79 2C 00 74 25 8B 43 14 3B 45 EC 76 1D 8B 53 14 2B 55 EC 52 8B 4B 08 03 4D EC 51 8B 46 30 50 E8 ?? ?? ?? ?? 83 C4 0C 89 46 30 56 E8 0B FA FF FF 59 8B 43 14 89 45 EC 3B 43 0C 75 09 C7 45 E8 01 00 00 00 EB 28 8B 53 20 FF 43 20 8B 4B 1C 8B 41 24 0F B6 14 10 89 55 E8 8B 4B 14 FF 43 14 8B 43 08 8A 55 E8 88 14 08 83 7D E8 00 75 87 8B 4B 1C 83 79 2C 00 74 25 8B 4B 14 3B 4D EC 76 1D 8B 43 14 2B 45 EC 50 8B 53 08 03 55 EC 52 8B 4E 30 51 E8 ?? ?? ?? ?? 83 C4 0C 89 46 30 83 7D E8 00 75 10 C7 43 04 67 00 00 00 EB 07 C7 43 04 67 00 00 00 83 7B 04 67 75 6E 8B 43 1C 83 78 2C 00 74 5E 8B 53 14 83 C2 02 3B 53 0C 76 07 56 E8 6A F9 FF FF 59 8B 4B 14 83 C1 02 3B 4B 0C 77 48 8B 43 14 FF 43 14 8B 53 08 8A 4E 30 80 E1 FF 88 0C 02 8B 43 14 FF 43 14 8B 53 08 8B 4E 30 C1 E9 08 80 E1 FF 88 0C 02 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 89 46 30 C7 43 04 71 00 00 00 EB 07 C7 43 04 71 00 00 00 83 7B 14 00 74 1D 56 E8 0A F9 FF FF 83 7E 10 00 59 75 33 C7 43 28 FF FF FF FF 33 C0 E9 60 02 00 00 EB 23 83 7E 04 00 75 1D 3B 7D FC 7F 18 83 FF 04 74 13 8B 15 ?? ?? ?? ?? B8 FB FF FF FF 89 56 18 E9 3B 02 00 00 81 7B 04 9A 02 00 00 75 19 83 7E 04 00 74 13 8B 15 ?? ?? ?? ?? B8 FB FF FF FF 89 56 18 E9 19 02 00 00 83 7E 04 00 75 1B 83 7B 74 00 75 15 85 FF 0F 84 FE 00 00 00 81 7B 04 9A 02 00 00 0F 84 F1 00 00 00 83 BB 88 00 00 00 02 75 0C 57 53 E8 61 13 00 00 83 C4 08 EB 2C 83 BB 88 00 00 00 03 75 0C 57 53 E8 BC 10 00 00 83 C4 08 EB 17 57 53 8B 93 84 00 00 00 8D 14 52 8B 0C 95 ?? ?? ?? ?? FF D1 83 C4 08 89 45 E4 83 7D E4 02 74 06 83 7D E4 03 75 07 C7 43 04 9A 02 00 00 83 7D E4 00 74 06 83 7D E4 02 75 14 83 7E 10 00 75 07 C7 43 28 FF FF FF FF 33 C0 E9 81 01 00 00 83 7D E4 01 75 74 83 FF 01 75 09 53 E8 ?? ?? ?? ?? 59 EB 4B 83 FF 05 74 46 6A 00 6A 00 6A 00 53 E8 ?? ?? ?? ?? 83 C4 10 83 FF 03 75 32 8B 53 44 8B 4B 4C 66 C7 44 4A FE 00 00 8B 4B 4C 49 03 C9 51 6A 00 8B 43 44 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7B 74 00 75 0A 33 D2 33 C9 89 53 6C 89 4B 5C 56 E8 B1 F7 FF FF 83 7E 10 00 59 75 0E C7 43 28 FF FF FF FF 33 C0 E9 07 01 00 00 83 FF 04 74 07 33 C0 E9 FB 00 00 00 8B 43 18 85 C0 7F 0A B8 01 00 00 00 E9 EA 00 00 00 83 F8 02 0F 85 9C 00 00 00 8B 53 14 FF 43 14 8B 4B 08 8A 46 30 24 FF 88 04 11 8B 53 14 FF 43 14 8B 4B 08 8B 46 30 C1 E8 08 24 FF 88 04 11 8B 53 14 FF 43 14 8B 4B 08 8B 46 30 C1 E8 10 24 FF 88 04 11 8B 53 14 FF 43 14 8B 4B 08 8B 46 30 C1 E8 18 24 FF 88 04 11 8B 53 14 FF 43 14 8B 4B 08 8A 46 08 24 FF 88 04 11 8B 53 14 FF 43 14 8B 4B 08 8B 46 08 C1 E8 08 24 FF 88 04 11 8B 53 14 FF 43 14 8B 4B 08 8B 46 08 C1 E8 10 24 FF 88 04 11 8B 53 14 FF 43 14 8B 4B 08 8B 46 08 C1 E8 18 24 FF 88 04 11 EB 23 8B 56 30 C1 EA 10 52 53 E8 99 F6 FF FF 83 C4 08 8B 4E 30 81 E1 FF FF 00 00 51 53 E8 86 F6 FF FF 83 C4 08 56 E8 B1 F6 FF FF 59 8B 43 18 85 C0 7E 05 F7 D8 89 43 18 83 7B 14 00 74 04 33 C0 EB 05 B8 01 00 00 00 5F 5E 5B 8B E5 5D C3 90 90 }
	condition:
		$1
}

rule function_38917_0 {
	meta:
		name = "deflateEnd"
		size = 200
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 85 DB 74 06 83 7B 1C 00 75 0A B8 FE FF FF FF E9 A8 00 00 00 8B 53 1C 8B 72 04 83 FE 2A 74 28 83 FE 45 74 23 83 FE 49 74 1E 83 FE 5B 74 19 83 FE 67 74 14 83 FE 71 74 0F 81 FE 9A 02 00 00 74 07 B8 FE FF FF FF EB 75 8B 53 1C 8B 42 08 85 C0 74 0B 50 8B 53 28 52 FF 53 24 83 C4 08 8B 4B 1C 8B 41 44 85 C0 74 0B 50 8B 53 28 52 FF 53 24 83 C4 08 8B 4B 1C 8B 41 40 85 C0 74 0B 50 8B 53 28 52 FF 53 24 83 C4 08 8B 4B 1C 8B 41 38 85 C0 74 0B 50 8B 53 28 52 FF 53 24 83 C4 08 8B 4B 1C 51 8B 4B 28 51 FF 53 24 83 C4 08 33 C0 89 43 1C 83 FE 71 75 07 B8 FD FF FF FF EB 02 33 C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_38918_0 {
	meta:
		name = "deflateCopy"
		size = 4584
		refs = "002d memcpy 01cd adler32 01eb crc32 023a memset 024e _DV_. 0665 _tr_flush_block 0840 _length_code 085c _dist_code"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 0C 8B 75 08 85 C0 74 0A 85 F6 74 06 83 78 1C 00 75 0A B8 FE FF FF FF E9 6F 01 00 00 8B 78 1C 6A 38 50 56 E8 ?? ?? ?? ?? 83 C4 0C 68 C4 16 00 00 6A 01 8B 46 28 50 FF 56 20 83 C4 0C 8B D8 85 DB 75 0A B8 FC FF FF FF E9 3F 01 00 00 89 5E 1C 68 C4 16 00 00 57 53 E8 ?? ?? ?? ?? 83 C4 0C 89 33 6A 02 8B 53 2C 52 8B 4E 28 51 FF 56 20 83 C4 0C 89 43 38 6A 02 8B 4B 2C 51 8B 46 28 50 FF 56 20 83 C4 0C 89 43 40 6A 02 8B 53 4C 52 8B 4E 28 51 FF 56 20 83 C4 0C 89 43 44 6A 04 8B 83 9C 16 00 00 50 8B 56 28 52 FF 56 20 83 C4 0C 89 45 FC 8B 4D FC 89 4B 08 83 7B 38 00 74 12 83 7B 40 00 74 0C 83 7B 44 00 74 06 83 7B 08 00 75 11 56 E8 5C FE FF FF 59 B8 FC FF FF FF E9 AD 00 00 00 8B 53 2C 03 D2 52 8B 4F 38 51 8B 43 38 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 53 2C 03 D2 52 8B 4F 40 51 8B 43 40 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 53 4C 03 D2 52 8B 4F 44 51 8B 43 44 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 53 0C 52 8B 4F 08 51 8B 43 08 50 E8 ?? ?? ?? ?? 8B 57 10 83 C4 0C 2B 57 08 03 53 08 89 53 10 8D 93 94 00 00 00 8B 8B 9C 16 00 00 D1 E9 03 C9 03 4D FC 89 8B A4 16 00 00 8D 8B 88 09 00 00 8B 83 9C 16 00 00 8D 04 40 03 43 08 89 83 98 16 00 00 89 93 18 0B 00 00 8D 83 7C 0A 00 00 89 8B 24 0B 00 00 89 83 30 0B 00 00 33 C0 5F 5E 5B 59 5D C3 90 90 55 8B EC 53 56 8B 45 10 8B 5D 08 8B 73 04 3B C6 73 02 8B F0 85 F6 75 04 33 C0 EB 54 29 73 04 8B 53 1C 83 7A 18 01 75 15 56 8B 0B 51 8B 4B 30 51 E8 ?? ?? ?? ?? 83 C4 0C 89 43 30 EB 1C 8B 43 1C 83 78 18 02 75 13 56 8B 13 52 8B 4B 30 51 E8 ?? ?? ?? ?? 83 C4 0C 89 43 30 56 8B 03 50 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 0C 8B C6 01 03 01 73 08 5E 5B 5D C3 55 8B EC 53 8B 5D 08 8B 43 2C 03 C0 89 43 3C 8B 53 44 8B 4B 4C 66 C7 44 4A FE 00 00 8B 4B 4C 49 03 C9 51 6A 00 8B 43 44 50 E8 ?? ?? ?? ?? 8B 93 84 00 00 00 83 C4 0C 8D 14 52 0F B7 0C 95 ?? ?? ?? ?? 89 8B 80 00 00 00 8B 83 84 00 00 00 8D 04 40 0F B7 14 85 ?? ?? ?? ?? 89 93 8C 00 00 00 8B 8B 84 00 00 00 8D 0C 49 0F B7 04 8D ?? ?? ?? ?? 89 83 90 00 00 00 33 C0 8B 93 84 00 00 00 8D 14 52 0F B7 0C 95 ?? ?? ?? ?? 89 4B 7C 89 43 6C 33 D2 33 C9 89 53 5C 89 4B 74 B8 02 00 00 00 33 D2 89 43 78 89 43 60 89 53 68 33 C9 89 4B 48 5B 5D C3 90 90 90 55 8B EC 83 C4 E4 53 56 57 8B 45 08 8B 50 7C 89 55 FC 8B 50 38 8B 70 78 03 50 6C 8B 88 90 00 00 00 89 4D F8 8B 78 2C 81 EF 06 01 00 00 3B 78 6C 73 10 8B 48 2C 81 E9 06 01 00 00 8B 58 6C 2B D9 EB 02 33 DB 89 5D F4 8B 48 40 89 4D F0 8B 78 34 89 7D EC 8B 48 38 03 48 6C 81 C1 02 01 00 00 89 4D E8 8A 4C 32 FF 88 4D E7 8A 0C 32 88 4D E6 8B 78 78 3B B8 8C 00 00 00 72 04 C1 6D FC 02 8B 4D F8 3B 48 74 76 06 8B 78 74 89 7D F8 8B 48 38 03 4D 0C 8A 1C 31 3A 5D E6 0F 85 9D 00 00 00 8A 5C 31 FF 3A 5D E7 0F 85 90 00 00 00 8A 19 3A 1A 0F 85 86 00 00 00 41 8A 19 3A 5A 01 75 7E 83 C2 02 41 42 41 8A 1A 3A 19 75 3D 42 41 8A 1A 3A 19 75 35 42 41 8A 1A 3A 19 75 2D 42 41 8A 1A 3A 19 75 25 42 41 8A 1A 3A 19 75 1D 42 41 8A 1A 3A 19 75 15 42 41 8A 1A 3A 19 75 0D 42 41 8A 1A 3A 19 75 05 3B 55 E8 72 BB 8B 4D E8 2B CA 51 B9 02 01 00 00 5A 2B CA 8B 55 E8 81 C2 FE FE FF FF 3B F1 7D 1A 8B 5D 0C 89 58 70 8B F1 3B 4D F8 7D 2B 8A 4C 32 FF 88 4D E7 8A 0C 32 88 4D E6 8B 7D 0C 23 7D EC 8B 4D F0 0F B7 3C 79 89 7D 0C 3B 7D F4 76 09 FF 4D FC 0F 85 33 FF FF FF 8B 50 74 8B CE 3B D1 72 04 8B C1 EB 02 8B C2 5F 5E 5B 8B E5 5D C3 90 55 8B EC 83 C4 F8 53 56 57 8B 5D 08 8B 73 2C 8B 43 3C 2B 43 74 2B 43 6C 89 45 F8 EB 20 83 7D F8 00 75 11 83 7B 6C 00 75 0B 83 7B 74 00 75 05 89 75 F8 EB 09 83 7D F8 FF 75 03 FF 4D F8 8B 53 2C 81 EA 06 01 00 00 03 D6 3B 53 6C 77 71 56 8B 43 38 8B D0 8B FE 03 D7 52 50 E8 ?? ?? ?? ?? 83 C4 0C 29 73 70 29 73 6C 29 7B 5C 8B 43 4C 8B D0 03 D2 03 53 44 83 EA 02 0F B7 0A 89 4D FC 3B 75 FC 77 09 66 8B 4D FC 66 2B CE EB 02 33 C9 66 89 0A 48 75 E1 8B C6 8B D0 03 D2 03 53 40 83 EA 02 0F B7 0A 89 4D FC 3B 75 FC 77 09 66 8B 4D FC 66 2B CE EB 02 33 C9 66 89 0A 48 75 E1 01 75 F8 8B 3B 83 7F 04 00 0F 84 DF 00 00 00 8B 45 F8 50 8B 53 38 03 53 6C 03 53 74 52 57 E8 8A FC FF FF 83 C4 0C 01 43 74 83 7B 74 03 72 26 8B 4B 38 8B 7B 6C 33 C0 8A 04 39 89 43 48 8B 4B 58 D3 E0 8B 53 38 8B 4B 6C 0F B6 54 0A 01 33 C2 23 43 54 89 43 48 8B 43 74 3D 06 01 00 00 73 0C 8B 13 83 7A 04 00 0F 85 E9 FE FF FF 8B 4B 3C 8B 93 C0 16 00 00 3B CA 76 76 8B 73 6C 03 F0 3B F2 76 2C 8B F9 2B FE 81 FF 02 01 00 00 76 05 BF 02 01 00 00 57 6A 00 8B 43 38 03 C6 50 E8 ?? ?? ?? ?? 83 C4 0C 03 FE 89 BB C0 16 00 00 EB 41 8D 96 02 01 00 00 8B 83 C0 16 00 00 3B D0 76 31 8B FA 8B 53 3C 2B D0 2B F8 3B FA 76 09 8B 7B 3C 2B BB C0 16 00 00 57 6A 00 8B 43 38 03 83 C0 16 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 01 BB C0 16 00 00 5F 5E 5B 59 59 5D C3 55 8B EC 53 56 8B 5D 08 BE FF FF 00 00 8B 43 0C 83 E8 05 3B F0 76 02 8B F0 83 7B 74 01 77 23 53 E8 2B FE FF FF 59 8B 43 74 85 C0 75 0D 83 7D 0C 00 75 07 33 C0 E9 2F 01 00 00 85 C0 0F 84 C1 00 00 00 8B 53 74 33 C9 01 53 6C 89 4B 74 8B 43 5C 8B 53 6C 03 C6 85 D2 74 04 3B C2 77 49 2B D0 89 53 74 89 43 6C 6A 00 8B 4B 6C 2B 4B 5C 51 83 7B 5C 00 7C 08 8B 4B 38 03 4B 5C EB 02 33 C9 51 53 E8 ?? ?? ?? ?? 83 C4 10 8B 43 6C 89 43 5C 8B 13 52 E8 4A EF FF FF 59 8B 0B 83 79 10 00 75 07 33 C0 E9 C3 00 00 00 8B 53 6C 8B 43 2C 2B 53 5C 2D 06 01 00 00 3B D0 0F 82 5D FF FF FF 6A 00 8B 53 6C 2B 53 5C 52 83 7B 5C 00 7C 08 8B 4B 38 03 4B 5C EB 02 33 C9 51 53 E8 ?? ?? ?? ?? 83 C4 10 8B 43 6C 89 43 5C 8B 13 52 E8 F3 EE FF FF 59 8B 0B 83 79 10 00 0F 85 1F FF FF FF 33 C0 EB 6B E9 16 FF FF FF 83 7D 0C 04 0F 94 C2 83 E2 01 52 8B 4B 6C 2B 4B 5C 51 83 7B 5C 00 7C 08 8B 43 38 03 43 5C EB 02 33 C0 50 53 E8 ?? ?? ?? ?? 83 C4 10 8B 53 6C 89 53 5C 8B 0B 51 E8 A3 EE FF FF 59 8B 03 83 78 10 00 75 11 83 7D 0C 04 75 07 B8 02 00 00 00 EB 16 33 C0 EB 12 83 7D 0C 04 75 07 B8 03 00 00 00 EB 05 B8 01 00 00 00 5E 5B 5D C3 90 90 90 55 8B EC 53 56 8B 5D 08 81 7B 74 06 01 00 00 73 26 53 E8 C9 FC FF FF 59 8B 43 74 3D 06 01 00 00 73 0D 83 7D 0C 00 75 07 33 C0 E9 B1 02 00 00 85 C0 0F 84 43 02 00 00 33 F6 83 7B 74 03 72 43 8B 4B 58 8B 43 48 D3 E0 8B 53 38 8B 4B 6C 0F B6 54 0A 02 33 C2 23 43 54 89 43 48 8B 43 44 8B 53 48 66 8B 04 50 8B 4B 6C 23 4B 34 8B 53 40 66 89 04 4A 0F B7 F0 8B 43 44 8B 53 48 66 8B 4B 6C 66 89 0C 50 85 F6 74 1E 8B 4B 6C 8B 43 2C 2D 06 01 00 00 2B CE 3B C8 77 0D 56 53 E8 D2 FA FF FF 83 C4 08 89 43 60 83 7B 60 03 0F 82 27 01 00 00 66 8B 43 6C 8B 8B A4 16 00 00 66 2B 43 70 8B B3 A0 16 00 00 8A 53 60 66 89 04 71 80 EA 03 8B 8B A0 16 00 00 48 FF 83 A0 16 00 00 8B B3 98 16 00 00 88 14 0E 81 E2 FF 00 00 00 33 C9 8A 8A ?? ?? ?? ?? 0F B7 D0 66 FF 84 8B 98 04 00 00 81 FA 00 01 00 00 7D 0B 0F B7 C8 8A 91 ?? ?? ?? ?? EB 0C 0F B7 C0 C1 F8 07 8A 90 ?? ?? ?? ?? 33 C0 8A C2 66 FF 84 83 88 09 00 00 8B 8B 9C 16 00 00 49 3B 8B A0 16 00 00 0F 94 C0 83 E0 01 8B 53 60 29 53 74 8B 4B 60 3B 8B 80 00 00 00 77 59 83 7B 74 03 72 53 FF 4B 60 FF 43 6C 8B 4B 58 8B 53 48 D3 E2 8B 4B 38 8B 73 6C 0F B6 4C 31 02 33 D1 23 53 54 89 53 48 8B 53 44 8B 4B 48 66 8B 14 4A 8B 4B 6C 23 4B 34 8B 73 40 66 89 14 4E 8B 53 44 8B 4B 48 66 8B 73 6C 66 89 34 4A FF 4B 60 75 B8 FF 43 6C E9 88 00 00 00 8B 53 60 33 C9 01 53 6C 89 4B 60 8B 4B 6C 8B 53 38 0F B6 14 0A 89 53 48 8B 4B 58 8B 73 6C D3 E2 8B 4B 38 0F B6 4C 31 01 33 D1 23 53 54 89 53 48 EB 56 8B 43 38 8B 53 6C 8A 04 10 8B 93 A4 16 00 00 8B 8B A0 16 00 00 66 C7 04 4A 00 00 8B 93 A0 16 00 00 FF 83 A0 16 00 00 8B 8B 98 16 00 00 88 04 11 25 FF 00 00 00 66 FF 84 83 94 00 00 00 8B 8B 9C 16 00 00 49 3B 8B A0 16 00 00 0F 94 C0 83 E0 01 FF 4B 74 FF 43 6C 85 C0 0F 84 D5 FD FF FF 6A 00 8B 53 6C 2B 53 5C 52 83 7B 5C 00 7C 08 8B 4B 38 03 4B 5C EB 02 33 C9 51 53 E8 ?? ?? ?? ?? 83 C4 10 8B 43 6C 89 43 5C 8B 13 52 E8 0C EC FF FF 59 8B 0B 83 79 10 00 0F 85 97 FD FF FF 33 C0 EB 6B E9 8E FD FF FF 83 7D 0C 04 0F 94 C2 83 E2 01 52 8B 4B 6C 2B 4B 5C 51 83 7B 5C 00 7C 08 8B 43 38 03 43 5C EB 02 33 C0 50 53 E8 ?? ?? ?? ?? 83 C4 10 8B 53 6C 89 53 5C 8B 0B 51 E8 BC EB FF FF 59 8B 03 83 78 10 00 75 11 83 7D 0C 04 75 07 B8 02 00 00 00 EB 16 33 C0 EB 12 83 7D 0C 04 75 07 B8 03 00 00 00 EB 05 B8 01 00 00 00 5E 5B 5D C3 55 8B EC 51 53 56 8B 5D 08 81 7B 74 06 01 00 00 73 26 53 E8 E4 F9 FF FF 59 8B 43 74 3D 06 01 00 00 73 0D 83 7D 0C 00 75 07 33 C0 E9 A9 03 00 00 85 C0 0F 84 DF 02 00 00 33 F6 83 7B 74 03 72 43 8B 4B 58 8B 43 48 D3 E0 8B 53 38 8B 4B 6C 0F B6 54 0A 02 33 C2 23 43 54 89 43 48 8B 43 44 8B 53 48 66 8B 04 50 8B 4B 6C 23 4B 34 8B 53 40 66 89 04 4A 0F B7 F0 8B 43 44 8B 53 48 66 8B 4B 6C 66 89 0C 50 8B 4B 60 89 4B 78 8B 43 70 89 43 64 C7 43 60 02 00 00 00 85 F6 74 53 8B 53 78 3B 93 80 00 00 00 73 48 8B 4B 6C 8B 43 2C 2D 06 01 00 00 2B CE 3B C8 77 37 56 53 E8 CF F7 FF FF 83 C4 08 89 43 60 83 7B 60 05 77 24 83 BB 88 00 00 00 01 74 14 83 7B 60 03 75 15 8B 53 6C 2B 53 70 81 FA 00 10 00 00 76 07 C7 43 60 02 00 00 00 8B 43 78 83 F8 03 0F 82 5D 01 00 00 3B 43 60 0F 82 54 01 00 00 8B 53 6C 03 53 74 83 EA 03 89 55 FC 66 8B 43 6C 8B 8B A4 16 00 00 48 8B B3 A0 16 00 00 66 2B 43 64 8A 53 78 66 89 04 71 80 EA 03 8B 8B A0 16 00 00 48 FF 83 A0 16 00 00 8B B3 98 16 00 00 88 14 0E 81 E2 FF 00 00 00 33 C9 8A 8A ?? ?? ?? ?? 0F B7 D0 66 FF 84 8B 98 04 00 00 81 FA 00 01 00 00 7D 0B 0F B7 C8 8A 91 ?? ?? ?? ?? EB 0C 0F B7 C0 C1 F8 07 8A 90 ?? ?? ?? ?? 33 C0 8A C2 66 FF 84 83 88 09 00 00 8B 8B 9C 16 00 00 49 3B 8B A0 16 00 00 0F 94 C0 83 E0 01 8B 53 78 4A 29 53 74 83 6B 78 02 FF 43 6C 8B 4B 6C 3B 4D FC 77 40 8B 4B 58 8B 53 48 D3 E2 8B 4B 38 8B 73 6C 0F B6 4C 31 02 33 D1 23 53 54 89 53 48 8B 53 44 8B 4B 48 66 8B 14 4A 8B 4B 6C 23 4B 34 8B 73 40 66 89 14 4E 8B 53 44 8B 4B 48 66 8B 73 6C 66 89 34 4A FF 4B 78 75 B0 33 D2 89 53 68 C7 43 60 02 00 00 00 FF 43 6C 85 C0 0F 84 FD FD FF FF 6A 00 8B 43 6C 2B 43 5C 50 83 7B 5C 00 7C 08 8B 4B 38 03 4B 5C EB 02 33 C9 51 53 E8 ?? ?? ?? ?? 83 C4 10 8B 43 6C 89 43 5C 8B 13 52 E8 4F E9 FF FF 59 8B 0B 83 79 10 00 0F 85 BF FD FF FF 33 C0 E9 88 01 00 00 E9 B3 FD FF FF 83 7B 68 00 0F 84 A5 00 00 00 8B 53 38 8B 43 6C 8A 44 02 FF 8B 93 A4 16 00 00 8B 8B A0 16 00 00 66 C7 04 4A 00 00 8B 93 A0 16 00 00 FF 83 A0 16 00 00 8B 8B 98 16 00 00 88 04 11 25 FF 00 00 00 66 FF 84 83 94 00 00 00 8B 8B 9C 16 00 00 49 3B 8B A0 16 00 00 0F 94 C0 83 E0 01 85 C0 74 32 6A 00 8B 53 6C 2B 53 5C 52 83 7B 5C 00 7C 08 8B 4B 38 03 4B 5C EB 02 33 C9 51 53 E8 ?? ?? ?? ?? 83 C4 10 8B 43 6C 89 43 5C 8B 13 52 E8 A6 E8 FF FF 59 FF 43 6C FF 4B 74 8B 0B 83 79 10 00 0F 85 10 FD FF FF 33 C0 E9 D9 00 00 00 E9 04 FD FF FF C7 43 68 01 00 00 00 FF 43 6C FF 4B 74 E9 F2 FC FF FF 83 7B 68 00 74 56 8B 53 38 8B 43 6C 8A 44 02 FF 8B 93 A4 16 00 00 8B 8B A0 16 00 00 66 C7 04 4A 00 00 8B 93 A0 16 00 00 FF 83 A0 16 00 00 8B 8B 98 16 00 00 88 04 11 25 FF 00 00 00 66 FF 84 83 94 00 00 00 8B 8B 9C 16 00 00 49 3B 8B A0 16 00 00 0F 94 C0 83 E0 01 33 D2 89 53 68 83 7D 0C 04 0F 94 C1 83 E1 01 51 8B 43 6C 2B 43 5C 50 83 7B 5C 00 7C 08 8B 53 38 03 53 5C EB 02 33 D2 52 53 E8 ?? ?? ?? ?? 83 C4 10 8B 43 6C 89 43 5C 8B 0B 51 E8 DF E7 FF FF 59 8B 03 83 78 10 00 75 11 83 7D 0C 04 75 07 B8 02 00 00 00 EB 16 33 C0 EB 12 83 7D 0C 04 75 07 B8 03 00 00 00 EB 05 B8 01 00 00 00 5E 5B 59 5D C3 90 90 55 8B EC 53 56 8B 5D 08 81 7B 74 02 01 00 00 73 26 53 E8 05 F6 FF FF 59 8B 43 74 3D 02 01 00 00 73 0D 83 7D 0C 00 75 07 33 C0 E9 5C 02 00 00 85 C0 0F 84 EE 01 00 00 33 D2 89 53 60 83 7B 74 03 0F 82 96 00 00 00 83 7B 6C 00 0F 86 8C 00 00 00 8B 43 38 03 43 6C 48 33 D2 8A 10 40 33 C9 8A 08 3B D1 75 78 40 33 C9 8A 08 3B D1 75 6F 40 33 C9 8A 08 3B D1 75 66 8B 4B 38 03 4B 6C 81 C1 02 01 00 00 40 0F B6 30 3B D6 75 3C 40 0F B6 30 3B D6 75 34 40 0F B6 30 3B D6 75 2C 40 0F B6 30 3B D6 75 24 40 0F B6 30 3B D6 75 1C 40 0F B6 30 3B D6 75 14 40 0F B6 30 3B D6 75 0C 40 0F B6 30 3B D6 75 04 3B C8 77 BC 2B C8 BA 02 01 00 00 2B D1 89 53 60 8B 43 74 3B D0 76 03 89 43 60 83 7B 60 03 0F 82 9A 00 00 00 66 B8 01 00 8B 8B A4 16 00 00 8B B3 A0 16 00 00 8A 53 60 80 EA 03 66 89 04 71 48 8B 8B A0 16 00 00 FF 83 A0 16 00 00 8B B3 98 16 00 00 88 14 0E 81 E2 FF 00 00 00 33 C9 8A 8A ?? ?? ?? ?? 0F B7 D0 66 FF 84 8B 98 04 00 00 81 FA 00 01 00 00 7D 0B 0F B7 C8 8A 91 ?? ?? ?? ?? EB 0C 0F B7 C0 C1 F8 07 8A 90 ?? ?? ?? ?? 33 C0 8A C2 66 FF 84 83 88 09 00 00 8B 8B 9C 16 00 00 49 3B 8B A0 16 00 00 0F 94 C0 83 E0 01 8B 53 60 29 53 74 8B 4B 60 01 4B 6C 33 D2 89 53 60 EB 56 8B 43 38 8B 4B 6C 8A 04 08 8B 93 A4 16 00 00 8B 8B A0 16 00 00 66 C7 04 4A 00 00 8B 93 A0 16 00 00 FF 83 A0 16 00 00 8B 8B 98 16 00 00 88 04 11 25 FF 00 00 00 66 FF 84 83 94 00 00 00 8B 8B 9C 16 00 00 49 3B 8B A0 16 00 00 0F 94 C0 83 E0 01 FF 4B 74 FF 43 6C 85 C0 0F 84 2A FE FF FF 6A 00 8B 53 6C 2B 53 5C 52 83 }
	condition:
		$1
}

rule function_38919_0 {
	meta:
		name = "inflateBackInit_"
		size = 220
		refs = "001a _DV_. 0057 zcalloc 0069 zcfree"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 14 8B 7D 10 8B 75 0C 8B 5D 08 85 C0 74 10 8A 00 3A 05 ?? ?? ?? ?? 75 06 83 7D 18 38 74 0A B8 FA FF FF FF E9 81 00 00 00 85 DB 74 0E 85 FF 74 0A 83 FE 08 7C 05 83 FE 0F 7E 07 B8 FE FF FF FF EB 68 33 D2 89 53 18 83 7B 20 00 75 0C C7 43 20 ?? ?? ?? ?? 33 C9 89 4B 28 83 7B 24 00 75 07 C7 43 24 ?? ?? ?? ?? 68 CC 1B 00 00 6A 01 8B 4B 28 51 FF 53 20 83 C4 0C 85 C0 75 07 B8 FC FF FF FF EB 28 8B CE BA 01 00 00 00 D3 E2 89 43 1C 33 C9 C7 40 14 00 80 00 00 89 70 24 89 50 28 33 D2 89 78 34 89 50 30 89 48 2C 33 C0 5F 5E 5B 5D C3 90 90 55 8B EC 8B 45 08 C7 40 4C ?? ?? ?? ?? C7 40 54 09 00 00 00 C7 40 50 ?? ?? ?? ?? C7 40 58 05 00 00 00 5D C3 }
	condition:
		$1
}

rule function_38920_0 {
	meta:
		name = "inflateBack"
		size = 3384
		refs = "007b inflateBackInit_ 0161 _DV_. 0290 memcpy 042c inflate_table 0832 inflate_fast"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 83 7D 08 00 74 09 8B 45 08 83 78 1C 00 75 0A B8 FE FF FF FF E9 0F 0D 00 00 8B 55 08 8B 45 08 33 C9 33 F6 8B 7A 1C 33 D2 89 50 18 C7 07 0B 00 00 00 89 4F 04 89 77 2C 8B 45 08 8B 10 89 55 FC 83 7D FC 00 74 08 8B 4D 08 8B 71 04 EB 02 33 F6 33 C0 89 45 F0 33 DB 8B 47 34 89 45 F8 8B 57 28 89 55 F4 8B 0F 83 C1 F5 83 F9 12 0F 87 99 0C 00 00 8A 89 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 06 00 05 00 00 04 00 00 00 03 00 00 00 00 00 00 00 02 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 7F 04 00 74 17 8B CB 8B C3 83 E1 07 83 E0 07 D3 6D F0 2B D8 C7 07 1C 00 00 00 EB 99 83 FB 03 73 43 85 F6 75 25 8D 55 FC 52 8B 4D 10 51 FF 55 0C 83 C4 08 8B F0 85 F6 75 11 33 C0 89 45 FC C7 45 E0 FB FF FF FF E9 20 0C 00 00 8B 55 FC 33 C0 8B CB 4E 8A 02 D3 E0 01 45 F0 FF 45 FC 83 C3 08 83 FB 03 72 BD 8B 55 F0 83 E2 01 89 57 04 D1 6D F0 4B 8B 4D F0 83 E1 03 83 E9 01 72 0A 74 10 49 74 1C 49 74 21 EB 2F C7 07 0D 00 00 00 EB 27 57 E8 92 FE FF FF 59 C7 07 14 00 00 00 EB 18 C7 07 10 00 00 00 EB 10 8B 4D 08 C7 41 18 ?? ?? ?? ?? C7 07 1D 00 00 00 C1 6D F0 02 83 EB 02 E9 F4 FE FF FF 8B C3 83 E0 07 8B C8 D3 6D F0 2B D8 83 FB 20 73 43 85 F6 75 25 8D 45 FC 50 8B 55 10 52 FF 55 0C 83 C4 08 8B F0 85 F6 75 11 33 C0 89 45 FC C7 45 E0 FB FF FF FF E9 6F 0B 00 00 8B 55 FC 33 C0 8B CB 4E 8A 02 D3 E0 01 45 F0 FF 45 FC 83 C3 08 83 FB 20 72 BD 8B 55 F0 8B 45 F0 C1 EA 10 25 FF FF 00 00 81 F2 FF FF 00 00 3B C2 74 15 8B 4D 08 C7 41 18 ?? ?? ?? ?? C7 07 1D 00 00 00 E9 73 FE FF FF 89 47 40 33 C0 33 DB 89 45 F0 E9 A8 00 00 00 89 45 EC 85 F6 75 25 8D 45 FC 50 8B 55 10 52 FF 55 0C 83 C4 08 8B F0 85 F6 75 11 33 C0 89 45 FC C7 45 E0 FB FF FF FF E9 ED 0A 00 00 83 7D F4 00 75 34 8B 57 34 89 55 F8 8B 4F 28 89 4D F4 8B 4D F4 89 4F 2C 8B 45 F4 50 8B 55 F8 52 8B 4D 18 51 FF 55 14 83 C4 0C 85 C0 74 0C C7 45 E0 FB FF FF FF E9 B3 0A 00 00 3B 75 EC 73 03 89 75 EC 8B 45 EC 3B 45 F4 76 06 8B 55 F4 89 55 EC 8B 4D EC 51 8B 45 FC 50 8B 55 F8 52 E8 ?? ?? ?? ?? 2B 75 EC 8B 45 EC 01 45 FC 83 C4 0C 8B 55 EC 29 55 F4 01 45 F8 8B 4D EC 29 4F 40 8B 47 40 85 C0 0F 85 4D FF FF FF C7 07 0B 00 00 00 E9 A6 FD FF FF 83 FB 0E 73 43 85 F6 75 25 8D 55 FC 52 8B 4D 10 51 FF 55 0C 83 C4 08 8B F0 85 F6 75 11 33 C0 89 45 FC C7 45 E0 FB FF FF FF E9 2D 0A 00 00 8B 55 FC 33 C0 8B CB 4E 8A 02 D3 E0 01 45 F0 FF 45 FC 83 C3 08 83 FB 0E 72 BD 8B 55 F0 83 E2 1F 81 C2 01 01 00 00 89 57 60 C1 6D F0 05 83 EB 05 8B 4D F0 83 E1 1F 41 89 4F 64 C1 6D F0 05 83 EB 05 8B 4D F0 83 E1 0F 83 C1 04 89 4F 5C C1 6D F0 04 83 EB 04 81 7F 60 1E 01 00 00 77 06 83 7F 64 1E 76 15 8B 45 08 C7 40 18 ?? ?? ?? ?? C7 07 1D 00 00 00 E9 00 FD FF FF 33 D2 89 57 68 EB 6A 83 FB 03 73 43 85 F6 75 25 8D 4D FC 51 8B 45 10 50 FF 55 0C 83 C4 08 8B F0 85 F6 75 11 33 C0 89 45 FC C7 45 E0 FB FF FF FF E9 80 09 00 00 8B 55 FC 33 C0 8B CB 4E 8A 02 D3 E0 01 45 F0 FF 45 FC 83 C3 08 83 FB 03 72 BD 8B 57 68 FF 47 68 66 8B 45 F0 0F B7 0C 55 ?? ?? ?? ?? 66 83 E0 07 66 89 44 4F 70 C1 6D F0 03 83 EB 03 8B 57 68 3B 57 5C 72 8E EB 15 8B 4F 68 FF 47 68 0F B7 0C 4D ?? ?? ?? ?? 66 C7 44 4F 70 00 00 83 7F 68 13 72 E5 8D 87 30 05 00 00 8D 97 F0 02 00 00 89 47 6C 89 47 4C C7 47 54 07 00 00 00 52 8D 4F 54 51 8D 47 6C 50 8D 57 70 6A 13 52 6A 00 E8 ?? ?? ?? ?? 83 C4 18 89 45 E0 83 7D E0 00 74 15 8B 4D 08 C7 41 18 ?? ?? ?? ?? C7 07 1D 00 00 00 E9 1A FC FF FF 33 C0 89 47 68 E9 9D 02 00 00 8B 4F 54 B8 01 00 00 00 D3 E0 48 23 45 F0 8B 57 4C 8B 0C 82 89 4D E8 33 C0 8A 45 E9 3B D8 73 40 85 F6 75 25 8D 55 FC 52 8B 4D 10 51 FF 55 0C 83 C4 08 8B F0 85 F6 75 11 33 C0 89 45 FC C7 45 E0 FB FF FF FF E9 7C 08 00 00 8B 55 FC 33 C0 8B CB 4E 8A 02 D3 E0 01 45 F0 FF 45 FC 83 C3 08 EB A0 0F B7 55 EA 83 FA 10 7D 6B EB 3E 85 F6 75 25 8D 4D FC 51 8B 4D 10 51 FF 55 0C 83 C4 08 8B F0 85 F6 75 11 33 C0 89 45 FC C7 45 E0 FB FF FF FF E9 31 08 00 00 8B 55 FC 33 C0 8B CB 4E 8A 02 D3 E0 01 45 F0 FF 45 FC 83 C3 08 33 D2 8A 55 E9 3B DA 72 B9 8A 45 E9 33 D2 8B C8 8A D0 D3 6D F0 2B DA 8B 4F 68 FF 47 68 66 8B 45 EA 66 89 44 4F 70 E9 C9 01 00 00 0F B7 55 EA 83 FA 10 0F 85 95 00 00 00 EB 3E 85 F6 75 25 8D 4D FC 51 8B 45 10 50 FF 55 0C 83 C4 08 8B F0 85 F6 75 11 33 C0 89 45 FC C7 45 E0 FB FF FF FF E9 B9 07 00 00 8B 55 FC 33 C0 8B CB 4E 8A 02 D3 E0 01 45 F0 FF 45 FC 83 C3 08 33 D2 8A 55 E9 83 C2 02 3B DA 72 B6 8A 45 E9 33 D2 8B C8 8A D0 D3 6D F0 2B DA 83 7F 68 00 75 15 8B 4D 08 C7 41 18 ?? ?? ?? ?? C7 07 1D 00 00 00 E9 56 01 00 00 8B 47 68 8B 55 F0 83 E2 03 0F B7 44 47 6E 83 C2 03 89 55 EC C1 6D F0 02 83 EB 02 E9 ED 00 00 00 0F B7 4D EA 83 F9 11 0F 85 B1 00 00 00 EB 3E 85 F6 75 25 8D 4D FC 51 8B 45 10 50 FF 55 0C 83 C4 08 8B F0 85 F6 75 11 33 C0 89 45 FC C7 45 E0 FB FF FF FF E9 17 07 00 00 8B 55 FC 33 C0 8B CB 4E 8A 02 D3 E0 01 45 F0 FF 45 FC 83 C3 08 33 D2 8A 55 E9 83 C2 03 3B DA 72 B6 8A 45 E9 33 D2 8B C8 8A D0 D3 6D F0 2B DA 33 C0 8B 55 F0 83 E2 07 83 C2 03 89 55 EC C1 6D F0 03 83 EB 03 EB 6F EB 3E 85 F6 75 25 8D 4D FC 51 8B 4D 10 51 FF 55 0C 83 C4 08 8B F0 85 F6 75 11 33 C0 89 45 FC C7 45 E0 FB FF FF FF E9 A6 06 00 00 8B 55 FC 33 C0 8B CB 4E 8A 02 D3 E0 01 45 F0 FF 45 FC 83 C3 08 33 D2 8A 55 E9 83 C2 07 3B DA 72 B6 8A 45 E9 33 D2 8B C8 8A D0 D3 6D F0 2B DA 33 C0 8B 55 F0 83 E2 7F 83 C2 0B 89 55 EC C1 6D F0 07 83 EB 07 8B 4F 60 8B 57 68 03 55 EC 03 4F 64 3B CA 73 1F 8B 45 08 C7 40 18 ?? ?? ?? ?? C7 07 1D 00 00 00 EB 27 EB 0B 8B 4F 68 FF 47 68 66 89 44 4F 70 8B 55 EC 83 45 EC FF 85 D2 75 EA 8B 47 60 03 47 64 3B 47 68 0F 87 54 FD FF FF 83 3F 1D 0F 84 5B F9 FF FF 66 83 BF 70 02 00 00 00 75 15 8B 4D 08 C7 41 18 ?? ?? ?? ?? C7 07 1D 00 00 00 E9 3C F9 FF FF 8D 8F 30 05 00 00 8D 97 F0 02 00 00 89 4F 6C 8D 4F 54 8B 47 6C 89 47 4C 8D 47 6C C7 47 54 09 00 00 00 52 51 50 8D 4F 70 8B 57 60 52 51 6A 01 E8 ?? ?? ?? ?? 83 C4 18 89 45 E0 83 7D E0 00 74 15 8B 45 08 C7 40 18 ?? ?? ?? ?? C7 07 1D 00 00 00 E9 E7 F8 FF FF 8B 57 6C 8D 8F F0 02 00 00 89 57 50 8D 47 58 C7 47 58 06 00 00 00 51 50 8D 57 6C 52 8B 4F 64 51 8B 47 60 03 C0 03 C7 83 C0 70 50 6A 02 E8 ?? ?? ?? ?? 83 C4 18 89 45 E0 83 7D E0 00 74 15 8B 55 08 C7 42 18 ?? ?? ?? ?? C7 07 1D 00 00 00 E9 94 F8 FF FF C7 07 14 00 00 00 83 FE 06 0F 82 81 00 00 00 81 7D F4 02 01 00 00 72 78 8B 4D 08 8B 45 F8 89 41 0C 8B 55 08 8B 45 F4 89 42 10 8B 55 08 8B 4D FC 89 0A 8B 4D 08 89 71 04 8B 45 F0 89 47 38 89 5F 3C 8B 57 28 3B 57 2C 76 09 8B 77 28 2B 75 F4 89 77 2C 8B 47 28 50 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 8B 71 0C 89 75 F8 8B 45 08 8B 50 10 89 55 F4 8B 4D 08 8B 31 89 75 FC 8B 45 08 8B 70 04 8B 47 38 89 45 F0 8B 5F 3C E9 04 F8 FF FF 8B 4F 54 B8 01 00 00 00 D3 E0 48 23 45 F0 8B 57 4C 8B 0C 82 89 4D E8 33 C0 8A 45 E9 3B D8 73 40 85 F6 75 25 8D 55 FC 52 8B 4D 10 51 FF 55 0C 83 C4 08 8B F0 85 F6 75 11 33 C0 89 45 FC C7 45 E0 FB FF FF FF E9 70 04 00 00 8B 55 FC 33 C0 8B CB 4E 8A 02 D3 E0 01 45 F0 FF 45 FC 83 C3 08 EB A0 80 7D E8 00 0F 84 98 00 00 00 F6 45 E8 F0 0F 85 8E 00 00 00 8B 55 E8 89 55 E4 33 C9 33 C0 8A 45 E4 8A 4D E5 03 C8 BA 01 00 00 00 D3 E2 4A 8A 4D E5 23 55 F0 0F B7 45 E6 D3 EA 8B 4F 4C 03 D0 33 C0 8B 14 91 89 55 E8 33 C9 8A 4D E5 8A 45 E9 03 C8 3B D9 73 40 85 F6 75 25 8D 55 FC 52 8B 4D 10 51 FF 55 0C 83 C4 08 8B F0 85 F6 75 11 33 C0 89 45 FC C7 45 E0 FB FF FF FF E9 DB 03 00 00 8B 55 FC 33 C0 8B CB 4E 8A 02 D3 E0 01 45 F0 FF 45 FC 83 C3 08 EB 85 8A 4D E5 33 D2 D3 6D F0 8A 55 E5 2B DA 8A 4D E9 33 C0 D3 6D F0 8A 45 E9 2B D8 0F B7 55 EA 89 57 40 80 7D E8 00 75 53 83 7D F4 00 75 34 8B 4F 34 89 4D F8 8B 47 28 89 45 F4 8B 55 F4 89 57 2C 8B 4D F4 51 8B 45 F8 50 8B 55 18 52 FF 55 14 83 C4 0C 85 C0 74 0C C7 45 E0 FB FF FF FF E9 63 03 00 00 8A 4F 40 8B 45 F8 88 08 FF 45 F8 FF 4D F4 C7 07 14 00 00 00 E9 95 F6 FF FF F6 45 E8 20 74 0B C7 07 0B 00 00 00 E9 84 F6 FF FF F6 45 E8 40 74 15 8B 55 08 C7 42 18 ?? ?? ?? ?? C7 07 1D 00 00 00 E9 69 F6 FF FF 33 C9 8A 4D E8 83 E1 0F 89 4F 48 83 7F 48 00 74 5F EB 3E 85 F6 75 25 8D 45 FC 50 8B 55 10 52 FF 55 0C 83 C4 08 8B F0 85 F6 75 11 33 C0 89 45 FC C7 45 E0 FB FF FF FF E9 E2 02 00 00 8B 55 FC 33 C0 8B CB 4E 8A 02 D3 E0 01 45 F0 FF 45 FC 83 C3 08 3B 5F 48 72 BD 8B 4F 48 BA 01 00 00 00 D3 E2 4A 23 55 F0 01 57 40 8B 4F 48 D3 6D F0 2B 5F 48 8B 4F 58 B8 01 00 00 00 D3 E0 48 23 45 F0 8B 57 50 8B 0C 82 89 4D E8 33 C0 8A 45 E9 3B D8 73 40 85 F6 75 25 8D 55 FC 52 8B 4D 10 51 FF 55 0C 83 C4 08 8B F0 85 F6 75 11 33 C0 89 45 FC C7 45 E0 FB FF FF FF E9 65 02 00 00 8B 55 FC 33 C0 8B CB 4E 8A 02 D3 E0 01 45 F0 FF 45 FC 83 C3 08 EB A0 F6 45 E8 F0 0F 85 8E 00 00 00 8B 55 E8 89 55 E4 33 C9 33 C0 8A 45 E4 8A 4D E5 03 C8 BA 01 00 00 00 D3 E2 4A 8A 4D E5 23 55 F0 0F B7 45 E6 D3 EA 8B 4F 50 03 D0 33 C0 8B 14 91 89 55 E8 33 C9 8A 4D E5 8A 45 E9 03 C8 3B D9 73 40 85 F6 75 25 8D 55 FC 52 8B 4D 10 51 FF 55 0C 83 C4 08 8B F0 85 F6 75 11 33 C0 89 45 FC C7 45 E0 FB FF FF FF E9 DA 01 00 00 8B 55 FC 33 C0 8B CB 4E 8A 02 D3 E0 01 45 F0 FF 45 FC 83 C3 08 EB 85 8A 4D E5 33 D2 D3 6D F0 8A 55 E5 2B DA 8A 4D E9 33 C0 D3 6D F0 8A 45 E9 2B D8 F6 45 E8 40 74 15 8B 55 08 C7 42 18 ?? ?? ?? ?? C7 07 1D 00 00 00 E9 D9 F4 FF FF 0F B7 4D EA 89 4F 44 33 C0 8A 45 E8 83 E0 0F 89 47 48 83 7F 48 00 74 5F EB 3E 85 F6 75 25 8D 55 FC 52 8B 4D 10 51 FF 55 0C 83 C4 08 8B F0 85 F6 75 11 33 C0 89 45 FC C7 45 E0 FB FF FF FF E9 4B 01 00 00 8B 55 FC 33 C0 8B CB 4E 8A 02 D3 E0 01 45 F0 FF 45 FC 83 C3 08 3B 5F 48 72 BD 8B 4F 48 BA 01 00 00 00 D3 E2 4A 23 55 F0 01 57 44 8B 4F 48 D3 6D F0 2B 5F 48 8B 47 28 3B 47 2C 76 05 8B 55 F4 EB 02 33 D2 8B 47 28 2B C2 3B 47 44 73 15 8B 4D 08 C7 41 18 ?? ?? ?? ?? C7 07 1D 00 00 00 E9 34 F4 FF FF 83 7D F4 00 75 34 8B 4F 34 89 4D F8 8B 47 28 89 45 F4 8B 55 F4 89 57 2C 8B 4D F4 51 8B 45 F8 50 8B 55 18 52 FF 55 14 83 C4 0C 85 C0 74 0C C7 45 E0 FB FF FF FF E9 AF 00 00 00 8B 4F 28 2B 4F 44 89 4D EC 8B 45 EC 3B 45 F4 73 11 8B 45 F8 8B 55 F4 03 45 EC 2B 55 EC 89 55 EC EB 0C 8B 45 F8 8B 55 F4 2B 47 44 89 55 EC 8B 4F 40 3B 4D EC 73 06 8B 57 40 89 55 EC 8B 4D EC 29 4F 40 8B 55 EC 29 55 F4 8A 08 8B 55 F8 88 0A 40 FF 45 F8 FF 4D EC 75 F0 83 7F 40 00 0F 85 64 FF FF FF E9 93 F3 FF FF C7 45 E0 01 00 00 00 8B 47 28 3B 45 F4 76 39 8B 4F 28 2B 4D F4 51 8B 47 34 50 8B 55 18 52 FF 55 14 83 C4 0C 85 C0 74 20 C7 45 E0 FB FF FF FF EB 17 C7 45 E0 FD FF FF FF EB 0E C7 45 E0 FE FF FF FF EB 05 E9 4B F3 FF FF 8B 4D 08 8B 5D FC 89 19 8B 45 08 89 70 04 8B 45 E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38921_0 {
	meta:
		name = "inflateBackEnd"
		size = 55
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 85 DB 74 0C 83 7B 1C 00 74 06 83 7B 24 00 75 08 B8 FE FF FF FF 5B 5D C3 8B 53 1C 52 8B 4B 28 51 FF 53 24 83 C4 08 33 C9 89 4B 1C 33 C0 5B 5D C3 }
	condition:
		$1
}

rule function_38922_0 {
	meta:
		name = "inflate_fast"
		size = 1173
		refs = "0237 _DV_."
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 8B 45 08 8B 50 1C 89 55 FC 8B 4D 08 8B 01 48 89 45 F8 8B 55 08 8B 4A 04 83 E9 05 03 4D F8 89 4D F4 8B 45 08 8B 55 08 8B 4D 0C 8B 40 0C 48 8B 52 10 2B CA 8B D8 2B D9 81 EA 01 01 00 00 03 D0 89 5D F0 89 55 EC 8B 55 FC 8B 4A 28 89 4D E8 8B 55 FC 8B 4A 2C 89 4D E4 8B 55 FC 8B 4A 30 89 4D E0 8B 55 FC 8B 4A 34 89 4D DC 8B 55 FC 8B 4A 38 89 4D D8 8B 55 FC 8B 4A 3C 89 4D D4 8B 55 FC 8B 4A 4C 89 4D D0 8B 55 FC 8B 4A 50 89 4D CC 8B 55 FC 8B 4A 54 BA 01 00 00 00 D3 E2 4A 89 55 C8 BA 01 00 00 00 8B 4D FC 8B 49 58 D3 E2 4A 89 55 C4 83 7D D4 0F 73 2A FF 45 F8 8B 4D D4 8B 55 F8 0F B6 12 D3 E2 01 55 D8 83 45 D4 08 FF 45 F8 8B 4D D4 8B 55 F8 0F B6 12 D3 E2 01 55 D8 83 45 D4 08 8B 4D D8 23 4D C8 8B 55 D0 8B 0C 8A 89 4D C0 33 DB 8A 5D C1 8B CB D3 6D D8 29 5D D4 33 DB 8A 5D C0 85 DB 75 0B 40 8A 55 C2 88 10 E9 D3 02 00 00 F6 C3 10 0F 84 7B 02 00 00 0F B7 4D C2 89 4D BC 83 E3 0F 85 DB 74 32 3B 5D D4 76 15 FF 45 F8 8B 4D D4 8B 55 F8 0F B6 12 D3 E2 01 55 D8 83 45 D4 08 8B CB BA 01 00 00 00 D3 E2 4A 23 55 D8 01 55 BC 8B CB D3 6D D8 29 5D D4 83 7D D4 0F 73 2A FF 45 F8 8B 4D D4 8B 55 F8 0F B6 12 D3 E2 01 55 D8 83 45 D4 08 FF 45 F8 8B 4D D4 8B 55 F8 0F B6 12 D3 E2 01 55 D8 83 45 D4 08 8B 4D D8 23 4D C4 8B 55 CC 8B 0C 8A 89 4D C0 33 DB 8A 5D C1 8B CB D3 6D D8 29 5D D4 33 DB 8A 5D C0 F6 C3 10 0F 84 A2 01 00 00 0F B7 75 C2 83 E3 0F 3B 5D D4 76 2F FF 45 F8 8B 4D D4 8B 55 F8 0F B6 12 D3 E2 01 55 D8 83 45 D4 08 3B 5D D4 76 15 FF 45 F8 8B 4D D4 8B 55 F8 0F B6 12 D3 E2 01 55 D8 83 45 D4 08 8B CB BA 01 00 00 00 D3 E2 4A 8B CB 23 55 D8 D3 6D D8 29 5D D4 8B D8 2B 5D F0 03 F2 3B DE 0F 83 FE 00 00 00 8B D6 2B D3 8B DA 3B 5D E4 76 24 8B 4D FC 83 B9 C0 1B 00 00 00 74 18 8B 55 08 C7 42 18 ?? ?? ?? ?? 8B 4D FC C7 01 1D 00 00 00 E9 B3 01 00 00 8B 55 DC 4A 83 7D E0 00 75 1E 8B 4D E8 2B CB 03 D1 3B 5D BC 73 72 29 5D BC 40 42 8A 0A 88 08 4B 75 F7 8B D0 2B D6 EB 60 3B 5D E0 76 3F 8B 4D E8 03 4D E0 2B CB 03 D1 2B 5D E0 3B 5D BC 73 49 29 5D BC 40 42 8A 0A 88 08 4B 75 F7 8B 55 DC 4A 8B 7D E0 3B 7D BC 73 31 8B 5D E0 29 5D BC 40 42 8A 0A 88 08 4B 75 F7 8B D0 2B D6 EB 1C 8B 4D E0 2B CB 03 D1 3B 5D BC 73 10 29 5D BC 40 42 8A 0A 88 08 4B 75 F7 8B D0 2B D6 83 7D BC 02 76 1C 42 40 8A 0A 42 88 08 40 8A 0A 42 88 08 40 8A 0A 88 08 83 6D BC 03 83 7D BC 02 77 E4 83 7D BC 00 0F 84 EE 00 00 00 40 42 8A 0A 88 08 83 7D BC 01 0F 86 DE 00 00 00 40 42 8A 12 88 10 E9 D3 00 00 00 8B D0 2B D6 42 40 8A 0A 42 88 08 40 8A 0A 42 88 08 40 8A 0A 88 08 83 6D BC 03 83 7D BC 02 77 E4 83 7D BC 00 0F 84 A9 00 00 00 40 42 8A 0A 88 08 83 7D BC 01 0F 86 99 00 00 00 40 42 8A 12 88 10 E9 8E 00 00 00 F6 C3 40 75 23 8B CB BA 01 00 00 00 D3 E2 4A 23 55 D8 0F B7 4D C2 03 D1 8B 4D CC 8B 14 91 89 55 C0 E9 1D FE FF FF EB 66 8B 55 08 C7 42 18 ?? ?? ?? ?? 8B 4D FC C7 01 1D 00 00 00 EB 62 EB 4F F6 C3 40 75 23 8B CB BA 01 00 00 00 D3 E2 4A 23 55 D8 0F B7 4D C2 03 D1 8B 4D D0 8B 14 91 89 55 C0 E9 35 FD FF FF EB 27 F6 C3 20 74 0D 8B 55 FC C7 02 0B 00 00 00 EB 28 EB 15 8B 4D 08 C7 41 18 ?? ?? ?? ?? 8B 55 FC C7 02 1D 00 00 00 EB 11 8B 4D F8 3B 4D F4 73 09 3B 45 EC 0F 82 BC FC FF FF 8B 55 D4 C1 EA 03 89 55 BC 8B 4D BC 29 4D F8 8B 55 BC C1 E2 03 29 55 D4 BA 01 00 00 00 8B 4D D4 D3 E2 4A 21 55 D8 8B 55 08 8B 4D F8 41 89 0A 8D 48 01 8B 55 08 89 4A 0C 8B 4D F8 3B 4D F4 73 0B 8B 55 F4 2B 55 F8 83 C2 05 EB 0D 8B 4D F8 2B 4D F4 BA 05 00 00 00 2B D1 8B 4D 08 89 51 04 3B 45 EC 73 0D 8B 55 EC 2B D0 81 C2 01 01 00 00 EB 0A 2B 45 EC BA 01 01 00 00 2B D0 8B 45 08 89 50 10 8B 4D FC 8B 5D D8 89 59 38 8B 45 FC 8B 55 D4 89 50 3C 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38923_0 {
	meta:
		name = "inflateReset"
		size = 140
	strings:
		$1 = { 55 8B EC 8B 55 08 85 D2 74 06 83 7A 1C 00 75 07 B8 FE FF FF FF 5D C3 8B 42 1C 33 C9 89 48 1C 89 4A 14 89 4A 08 33 C9 89 4A 18 33 C9 C7 42 30 01 00 00 00 33 D2 89 10 33 D2 89 50 04 89 48 0C C7 40 14 00 80 00 00 33 D2 33 C9 89 50 20 33 D2 89 48 28 33 C9 89 50 2C 89 48 30 33 D2 33 C9 89 50 38 8D 90 30 05 00 00 89 48 3C 89 50 6C 89 50 50 89 50 4C C7 80 C0 1B 00 00 01 00 00 00 C7 80 C4 1B 00 00 FF FF FF FF 33 C0 5D C3 90 }
	condition:
		$1
}

rule function_38924_0 {
	meta:
		name = "inflateReset2"
		size = 136
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 0C 8B 7D 08 85 FF 74 06 83 7F 1C 00 75 07 B8 FE FF FF FF EB 64 8B 77 1C 85 DB 7D 09 33 C0 F7 DB 89 45 FC EB 11 8B D3 C1 FA 04 42 83 FB 30 89 55 FC 7D 03 83 E3 0F 85 DB 74 11 83 FB 08 7C 05 83 FB 0F 7E 07 B8 FE FF FF FF EB 2E 8B 46 34 85 C0 74 17 8B 56 24 3B D3 74 10 50 8B 4F 28 51 FF 57 24 83 C4 08 33 C9 89 4E 34 8B 45 FC 89 46 08 89 5E 24 57 E8 F3 FE FF FF 59 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_38925_0 {
	meta:
		name = "inflateInit2_"
		size = 168
		refs = "0014 _DV_. 0040 zcalloc 0052 zcfree"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 10 8B 5D 08 85 C0 74 10 8A 00 3A 05 ?? ?? ?? ?? 75 06 83 7D 14 38 74 07 B8 FA FF FF FF EB 7A 85 DB 75 07 B8 FE FF FF FF EB 6F 33 D2 89 53 18 83 7B 20 00 75 0C C7 43 20 ?? ?? ?? ?? 33 C9 89 4B 28 83 7B 24 00 75 07 C7 43 24 ?? ?? ?? ?? 68 CC 1B 00 00 6A 01 8B 4B 28 51 FF 53 20 83 C4 0C 8B F0 85 F6 75 07 B8 FC FF FF FF EB 2D 89 73 1C 33 D2 89 56 34 8B 4D 0C 51 53 E8 F2 FE FF FF 83 C4 08 8B F8 85 FF 74 10 56 8B 43 28 50 FF 53 24 83 C4 08 33 D2 89 53 1C 8B C7 5F 5E 5B 5D C3 90 90 }
	condition:
		$1
}

rule function_38926_0 {
	meta:
		name = "inflateInit_"
		size = 28
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 55 0C 52 6A 0F 8B 4D 08 51 E8 42 FF FF FF 83 C4 10 5D C3 90 }
	condition:
		$1
}

rule function_38927_0 {
	meta:
		name = "inflatePrime"
		size = 400
		refs = "0071 _DV_. 010b memcpy"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 10 8B 55 0C 8B 45 08 85 C0 74 06 83 78 1C 00 75 07 B8 FE FF FF FF EB 44 8B 40 1C 85 D2 7D 0E 33 D2 33 C9 89 50 38 89 48 3C 33 C0 EB 2F 83 FA 10 7F 0A 8B 48 3C 03 CA 83 F9 20 76 07 B8 FE FF FF FF EB 19 8B CA BE 01 00 00 00 D3 E6 4E 23 DE 8B 48 3C D3 E3 01 58 38 01 50 3C 33 C0 5E 5B 5D C3 90 55 8B EC 8B 45 08 C7 40 4C ?? ?? ?? ?? C7 40 54 09 00 00 00 C7 40 50 ?? ?? ?? ?? C7 40 58 05 00 00 00 5D C3 55 8B EC 53 56 57 8B 45 08 8B 58 1C 83 7B 34 00 75 30 6A 01 8B 4B 24 B8 01 00 00 00 D3 E0 50 8B 55 08 8B 4A 28 51 8B 45 08 FF 50 20 83 C4 0C 8B F0 89 73 34 85 F6 75 0A B8 01 00 00 00 E9 BA 00 00 00 83 7B 28 00 75 17 8B 4B 24 BA 01 00 00 00 D3 E2 89 53 28 33 C9 89 4B 30 33 C0 89 43 2C 8B 55 08 8B 75 0C 2B 72 10 8B 43 28 3B F0 72 24 50 8B 55 08 8B 4A 0C 2B 4B 28 51 8B 4B 34 51 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 89 43 30 8B 53 28 89 53 2C EB 67 8B 7B 28 2B 7B 30 3B F7 73 02 8B FE 57 8B 45 08 8B 50 0C 2B D6 52 8B 4B 34 03 4B 30 51 E8 ?? ?? ?? ?? 83 C4 0C 2B F7 85 F6 74 21 56 8B 4D 08 8B 41 0C 2B C6 50 8B 53 34 52 E8 ?? ?? ?? ?? 83 C4 0C 89 73 30 8B 4B 28 89 4B 2C EB 1B 01 7B 30 8B 43 30 3B 43 28 75 05 33 D2 89 53 30 8B 4B 2C 3B 4B 28 73 03 01 7B 2C 33 C0 5F 5E 5B 5D C3 90 90 90 }
	condition:
		$1
}

rule function_38928_0 {
	meta:
		name = "inflate"
		size = 5468
		refs = "0092 inflateReset 0164 crc32 01e5 _DV_. 0266 adler32 0534 memcpy 0af5 inflate_table 0e63 inflate_fast"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 83 7D 08 00 74 23 8B 45 08 83 78 1C 00 74 1A 8B 55 08 83 7A 0C 00 74 11 8B 4D 08 83 39 00 75 13 8B 45 08 83 78 04 00 74 0A B8 FE FF FF FF E9 16 15 00 00 8B 55 08 8B 5A 1C 83 3B 0B 75 06 C7 03 0C 00 00 00 8B 45 08 8B 50 0C 89 55 F8 8B 4D 08 8B 49 10 89 4D F4 8B 45 08 8B 10 89 55 FC 8B 4D 08 8B 43 38 8B 79 04 89 45 F0 8B 73 3C 89 7D EC 33 D2 8B 45 F4 89 45 E8 89 55 D4 8B 0B 83 F9 1F 0F 87 75 13 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 7B 08 00 75 0B C7 03 0C 00 00 00 E9 5D FF FF FF 83 FE 10 73 22 85 FF 0F 84 DF 12 00 00 8B 45 FC 33 D2 8B CE 4F 8A 10 D3 E2 01 55 F0 FF 45 FC 83 C6 08 83 FE 10 72 DE F6 43 08 02 74 50 81 7D F0 1F 8B 00 00 75 47 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 89 43 18 8A 4D F0 8D 55 D0 88 4D D0 8B 45 F0 C1 E8 08 88 45 D1 6A 02 52 8B 4B 18 51 E8 ?? ?? ?? ?? 83 C4 0C 89 43 18 33 C0 33 F6 89 45 F0 C7 03 01 00 00 00 E9 E0 FE FF FF 33 C0 89 43 10 83 7B 20 00 74 0A 8B 53 20 C7 42 30 FF FF FF FF F6 43 08 01 74 20 8B 45 F0 8B 55 F0 25 FF 00 00 00 B9 1F 00 00 00 C1 EA 08 C1 E0 08 03 C2 33 D2 F7 F1 85 D2 74 15 8B 45 08 C7 40 18 ?? ?? ?? ?? C7 03 1D 00 00 00 E9 90 FE FF FF 8B 4D F0 83 E1 0F 83 F9 08 74 15 8B 45 08 C7 40 18 ?? ?? ?? ?? C7 03 1D 00 00 00 E9 70 FE FF FF C1 6D F0 04 83 EE 04 8B 55 F0 83 E2 0F 83 C2 08 89 55 D8 83 7B 24 00 75 08 8B 4D D8 89 4B 24 EB 1D 8B 45 D8 3B 43 24 76 15 8B 55 08 C7 42 18 ?? ?? ?? ?? C7 03 1D 00 00 00 E9 32 FE FF FF 8B 4D D8 B8 01 00 00 00 D3 E0 89 43 14 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 89 43 18 8B 55 08 89 42 30 F6 45 F1 02 74 07 B9 09 00 00 00 EB 05 B9 0B 00 00 00 89 0B 33 C0 33 F6 89 45 F0 E9 EE FD FF FF 83 FE 10 73 22 85 FF 0F 84 70 11 00 00 8B 45 FC 33 D2 8B CE 4F 8A 10 D3 E2 01 55 F0 FF 45 FC 83 C6 08 83 FE 10 72 DE 8B 45 F0 89 43 10 25 FF 00 00 00 83 F8 08 74 15 8B 55 08 C7 42 18 ?? ?? ?? ?? C7 03 1D 00 00 00 E9 A2 FD FF FF F6 43 11 E0 74 15 8B 4D 08 C7 41 18 ?? ?? ?? ?? C7 03 1D 00 00 00 E9 87 FD FF FF 83 7B 20 00 74 0E 8B 4D F0 8B 43 20 C1 E9 08 83 E1 01 89 08 F6 43 11 02 74 24 8A 55 F0 8D 45 D0 88 55 D0 8B 4D F0 C1 E9 08 88 4D D1 6A 02 50 8B 53 18 52 E8 ?? ?? ?? ?? 83 C4 0C 89 43 18 33 C9 33 F6 89 4D F0 C7 03 02 00 00 00 83 FE 20 73 22 85 FF 0F 84 BE 10 00 00 8B 45 FC 33 D2 8B CE 4F 8A 10 D3 E2 01 55 F0 FF 45 FC 83 C6 08 83 FE 20 72 DE 83 7B 20 00 74 09 8B 4B 20 8B 45 F0 89 41 04 F6 43 11 02 74 36 8A 55 F0 88 55 D0 8B 4D F0 C1 E9 08 88 4D D1 8D 4D D0 8B 45 F0 C1 E8 10 88 45 D2 8B 55 F0 C1 EA 18 88 55 D3 6A 04 51 8B 43 18 50 E8 ?? ?? ?? ?? 83 C4 0C 89 43 18 33 D2 33 F6 89 55 F0 C7 03 03 00 00 00 83 FE 10 73 22 85 FF 0F 84 3F 10 00 00 8B 45 FC 33 D2 8B CE 4F 8A 10 D3 E2 01 55 F0 FF 45 FC 83 C6 08 83 FE 10 72 DE 83 7B 20 00 74 1B 8B 43 20 8B 4D F0 81 E1 FF 00 00 00 89 48 08 8B 55 F0 8B 43 20 C1 EA 08 89 50 0C F6 43 11 02 74 24 8A 55 F0 88 55 D0 8B 4D F0 C1 E9 08 88 4D D1 8D 4D D0 6A 02 51 8B 43 18 50 E8 ?? ?? ?? ?? 83 C4 0C 89 43 18 33 D2 33 F6 89 55 F0 C7 03 04 00 00 00 F6 43 11 04 74 6F 83 FE 10 73 22 85 FF 0F 84 BA 0F 00 00 8B 45 FC 33 D2 8B CE 4F 8A 10 D3 E2 01 55 F0 FF 45 FC 83 C6 08 83 FE 10 72 DE 8B 4D F0 89 4B 40 83 7B 20 00 74 09 8B 43 20 8B 55 F0 89 50 14 F6 43 11 02 74 24 8A 4D F0 8D 55 D0 88 4D D0 8B 45 F0 C1 E8 08 88 45 D1 6A 02 52 8B 4B 18 51 E8 ?? ?? ?? ?? 83 C4 0C 89 43 18 33 C0 33 F6 89 45 F0 EB 0E 83 7B 20 00 74 08 8B 43 20 33 D2 89 50 10 C7 03 05 00 00 00 F6 43 11 04 0F 84 98 00 00 00 8B 4B 40 89 4D E4 3B 7D E4 73 03 89 7D E4 83 7D E4 00 74 7A 83 7B 20 00 74 48 8B 4B 20 83 79 10 00 74 3F 8B 43 20 8B 50 14 2B 53 40 89 55 D8 8B 4D D8 8B 43 20 03 4D E4 3B 48 18 76 0B 8B 53 20 8B 4A 18 2B 4D D8 EB 03 8B 4D E4 51 8B 45 FC 50 8B 53 20 8B 4A 10 03 4D D8 51 E8 ?? ?? ?? ?? 83 C4 0C F6 43 11 02 74 17 8B 45 E4 50 8B 55 FC 52 8B 4B 18 51 E8 ?? ?? ?? ?? 83 C4 0C 89 43 18 2B 7D E4 8B 45 E4 01 45 FC 8B 55 E4 29 53 40 83 7B 40 00 0F 85 A2 0E 00 00 33 C9 89 4B 40 C7 03 06 00 00 00 F6 43 11 08 74 7E 85 FF 0F 84 89 0E 00 00 33 C0 89 45 E4 8B 55 FC 8B 45 E4 0F B6 14 02 89 55 D8 FF 45 E4 8B 43 20 85 C0 74 1D 83 78 1C 00 74 17 8B 50 20 3B 53 40 76 0F 8B 4B 40 FF 43 40 8B 40 1C 8A 55 D8 88 14 08 83 7D D8 00 74 05 3B 7D E4 77 C1 F6 43 11 02 74 17 8B 4D E4 51 8B 4D FC 51 8B 43 18 50 E8 ?? ?? ?? ?? 83 C4 0C 89 43 18 2B 7D E4 8B 55 E4 01 55 FC 83 7D D8 00 0F 85 15 0E 00 00 EB 0E 83 7B 20 00 74 08 8B 4B 20 33 C0 89 41 1C 33 D2 89 53 40 C7 03 07 00 00 00 F6 43 11 10 74 7F 85 FF 0F 84 EC 0D 00 00 33 C9 89 4D E4 8B 45 FC 8B 55 E4 33 C9 8A 0C 10 89 4D D8 FF 45 E4 8B 43 20 85 C0 74 1D 83 78 24 00 74 17 8B 50 28 3B 53 40 76 0F 8B 53 40 FF 43 40 8B 40 24 8A 4D D8 88 0C 10 83 7D D8 00 74 05 3B 7D E4 77 C0 F6 43 11 02 74 17 8B 4D E4 51 8B 45 FC 50 8B 53 18 52 E8 ?? ?? ?? ?? 83 C4 0C 89 43 18 2B 7D E4 8B 4D E4 01 4D FC 83 7D D8 00 0F 85 77 0D 00 00 EB 0E 83 7B 20 00 74 08 8B 43 20 33 D2 89 50 24 C7 03 08 00 00 00 F6 43 11 02 74 51 83 FE 10 73 22 85 FF 0F 84 4E 0D 00 00 8B 45 FC 33 D2 8B CE 4F 8A 10 D3 E2 01 55 F0 FF 45 FC 83 C6 08 83 FE 10 72 DE 8B 4B 18 81 E1 FF FF 00 00 3B 4D F0 74 15 8B 45 08 C7 40 18 ?? ?? ?? ?? C7 03 1D 00 00 00 E9 82 F9 FF FF 33 D2 33 F6 89 55 F0 83 7B 20 00 74 19 8B 43 10 8B 53 20 C1 F8 09 83 E0 01 89 42 2C 8B 4B 20 C7 41 30 01 00 00 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 89 43 18 8B 55 08 89 42 30 C7 03 0B 00 00 00 E9 3A F9 FF FF 83 FE 20 73 22 85 FF 0F 84 BC 0C 00 00 8B 45 FC 33 D2 8B CE 4F 8A 10 D3 E2 01 55 F0 FF 45 FC 83 C6 08 83 FE 20 72 DE 8B 4D F0 8B 75 F0 8B 45 F0 8B 55 F0 C1 EE 08 25 00 FF 00 00 C1 E9 18 81 E6 00 FF 00 00 C1 E0 08 81 E1 FF 00 00 00 81 E2 FF 00 00 00 03 CE C1 E2 18 03 C8 03 CA 89 4B 18 8B 75 08 89 4E 30 33 C0 33 F6 89 45 F0 C7 03 0A 00 00 00 83 7B 0C 00 75 33 8B 45 08 8B 55 F8 89 50 0C 8B 4D 08 8B 45 F4 89 41 10 8B 55 08 8B 4D FC 89 0A 8B 4D 08 89 79 04 8B 45 F0 89 43 38 89 73 3C B8 02 00 00 00 E9 5D 0D 00 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 89 43 18 8B 55 08 89 42 30 C7 03 0B 00 00 00 83 7D 0C 05 0F 84 F7 0B 00 00 83 7D 0C 06 0F 84 ED 0B 00 00 83 7B 04 00 74 1A 8B CE 83 E1 07 D3 6D F0 8B CE 83 E1 07 2B F1 C7 03 1A 00 00 00 E9 3E F8 FF FF 83 FE 03 73 22 85 FF 0F 84 C0 0B 00 00 8B 45 FC 33 D2 8B CE 4F 8A 10 D3 E2 01 55 F0 FF 45 FC 83 C6 08 83 FE 03 72 DE 8B 4D F0 83 E1 01 89 4B 04 D1 6D F0 4E 8B 45 F0 83 E0 03 83 E8 01 72 0A 74 10 48 74 2E 48 74 33 EB 41 C7 03 0D 00 00 00 EB 39 53 E8 3B F6 FF FF 59 C7 03 13 00 00 00 83 7D 0C 06 75 26 C1 6D F0 02 83 EE 02 E9 5D 0B 00 00 EB 18 C7 03 10 00 00 00 EB 10 8B 55 08 C7 42 18 ?? ?? ?? ?? C7 03 1D 00 00 00 C1 6D F0 02 83 EE 02 E9 A8 F7 FF FF 8B C6 83 E0 07 8B C8 D3 6D F0 2B F0 83 FE 20 73 22 85 FF 0F 84 1E 0B 00 00 8B 45 FC 33 D2 8B CE 4F 8A 10 D3 E2 01 55 F0 FF 45 FC 83 C6 08 83 FE 20 72 DE 8B 55 F0 8B 45 F0 C1 EA 10 25 FF FF 00 00 81 F2 FF FF 00 00 3B C2 74 15 8B 4D 08 C7 41 18 ?? ?? ?? ?? C7 03 1D 00 00 00 E9 48 F7 FF FF 89 43 40 33 C9 33 F6 89 4D F0 C7 03 0E 00 00 00 83 7D 0C 06 0F 84 BD 0A 00 00 C7 03 0F 00 00 00 8B 43 40 89 45 E4 83 7D E4 00 74 54 3B 7D E4 73 03 89 7D E4 8B 55 E4 3B 55 F4 76 06 8B 4D F4 89 4D E4 83 7D E4 00 0F 84 8B 0A 00 00 8B 4D E4 51 8B 45 FC 50 8B 55 F8 52 E8 ?? ?? ?? ?? 2B 7D E4 8B 4D E4 01 4D FC 83 C4 0C 8B 45 E4 29 45 F4 8B 55 E4 01 55 F8 8B 4D E4 29 4B 40 E9 C8 F6 FF FF C7 03 0B 00 00 00 E9 BD F6 FF FF 83 FE 0E 73 22 85 FF 0F 84 3F 0A 00 00 8B 45 FC 33 D2 8B CE 4F 8A 10 D3 E2 01 55 F0 FF 45 FC 83 C6 08 83 FE 0E 72 DE 8B 4D F0 83 E1 1F 81 C1 01 01 00 00 89 4B 60 C1 6D F0 05 83 EE 05 8B 45 F0 83 E0 1F 40 89 43 64 C1 6D F0 05 83 EE 05 8B 55 F0 83 E2 0F 83 C2 04 89 53 5C C1 6D F0 04 83 EE 04 81 7B 60 1E 01 00 00 77 06 83 7B 64 1E 76 15 8B 4D 08 C7 41 18 ?? ?? ?? ?? C7 03 1D 00 00 00 E9 38 F6 FF FF 33 C0 89 43 68 C7 03 11 00 00 00 EB 49 83 FE 03 73 22 85 FF 0F 84 AD 09 00 00 8B 45 FC 33 D2 8B CE 4F 8A 10 D3 E2 01 55 F0 FF 45 FC 83 C6 08 83 FE 03 72 DE 66 8B 4D F0 8B 43 68 66 83 E1 07 FF 43 68 0F B7 14 45 ?? ?? ?? ?? 66 89 4C 53 70 C1 6D F0 03 83 EE 03 8B 4B 68 3B 4B 5C 72 AF EB 15 8B 43 68 FF 43 68 0F B7 14 45 ?? ?? ?? ?? 66 C7 44 53 70 00 00 83 7B 68 13 72 E5 8D 8B 30 05 00 00 8D 93 F0 02 00 00 89 4B 6C 8D 4B 54 8B 43 6C 89 43 4C 8D 43 6C C7 43 54 07 00 00 00 52 51 50 8D 53 70 6A 13 52 6A 00 E8 ?? ?? ?? ?? 83 C4 18 89 45 D4 83 7D D4 00 74 15 8B 4D 08 C7 41 18 ?? ?? ?? ?? C7 03 1D 00 00 00 E9 6A F5 FF FF 33 C0 89 43 68 C7 03 12 00 00 00 E9 00 02 00 00 8B 4B 54 B8 01 00 00 00 D3 E0 48 23 45 F0 8B 53 4C 8B 0C 82 89 4D E0 33 C0 8A 45 E1 3B F0 73 1F 85 FF 0F 84 C1 08 00 00 8B 45 FC 33 D2 8B CE 4F 8A 10 D3 E2 01 55 F0 FF 45 FC 83 C6 08 EB C1 0F B7 4D E2 83 F9 10 7D 4B EB 1D 85 FF 0F 84 97 08 00 00 8B 45 FC 33 D2 8B CE 4F 8A 10 D3 E2 01 55 F0 FF 45 FC 83 C6 08 33 C9 8A 4D E1 3B F1 72 DA 8A 45 E1 8B C8 25 FF 00 00 00 D3 6D F0 2B F0 8B 53 68 FF 43 68 66 8B 45 E2 66 89 44 53 70 E9 6D 01 00 00 0F B7 55 E2 83 FA 10 75 77 EB 1D 85 FF 0F 84 43 08 00 00 8B 45 FC 33 D2 8B CE 4F 8A 10 D3 E2 01 55 F0 FF 45 FC 83 C6 08 33 C9 8A 4D E1 83 C1 02 3B F1 72 D7 8A 45 E1 33 D2 8B C8 8A D0 D3 6D F0 2B F2 83 7B 68 00 75 15 8B 4D 08 C7 41 18 ?? ?? ?? ?? C7 03 1D 00 00 00 E9 1F 01 00 00 8B 43 68 0F B7 54 43 6E 89 55 D8 8B 4D F0 83 E1 03 83 C1 03 89 4D E4 C1 6D F0 02 83 EE 02 E9 AF 00 00 00 0F B7 45 E2 83 F8 11 75 73 EB 1D 85 FF 0F 84 C3 07 00 00 8B 45 FC 33 D2 8B CE 4F 8A 10 D3 E2 01 55 F0 FF 45 FC 83 C6 08 33 C9 8A 4D E1 83 C1 03 3B F1 72 D7 8A 45 E1 8B C8 25 FF 00 00 00 D3 6D F0 2B F0 33 D2 89 55 D8 8B 4D F0 83 E1 07 83 C1 03 89 4D E4 C1 6D F0 03 83 EE 03 EB 52 EB 1D 85 FF 0F 84 6F 07 00 00 8B 45 FC 33 D2 8B CE 4F 8A 10 D3 E2 01 55 F0 FF 45 FC 83 C6 08 33 C9 8A 4D E1 83 C1 07 3B F1 72 D7 8A 45 E1 8B C8 25 FF 00 00 00 D3 6D F0 2B F0 33 D2 89 55 D8 8B 4D F0 83 E1 7F 83 C1 0B 89 4D E4 C1 6D F0 07 83 EE 07 8B 43 68 8B 53 60 03 53 64 03 45 E4 3B C2 76 23 8B 4D 08 C7 41 18 ?? ?? ?? ?? C7 03 1D 00 00 00 EB 2B EB 0F 8B 43 68 FF 43 68 66 8B 55 D8 66 89 54 43 70 8B 4D E4 83 45 E4 FF 85 C9 75 E6 8B 43 60 03 43 64 3B 43 68 0F 87 F1 FD FF FF 83 3B 1D 0F 84 42 F3 FF FF 66 83 BB 70 02 00 00 00 75 15 8B 55 08 C7 42 18 ?? ?? ?? ?? C7 03 1D 00 00 00 E9 23 F3 FF FF 8D 8B 30 05 00 00 8D 93 F0 02 00 00 89 4B 6C 8D 4B 54 8B 43 6C 89 43 4C 8D 43 6C C7 43 54 09 00 00 00 52 51 50 8D 4B 70 8B 53 60 52 51 6A 01 E8 ?? ?? ?? ?? 83 C4 18 89 45 D4 83 7D D4 00 74 15 8B 45 08 C7 40 18 ?? ?? ?? ?? C7 03 1D 00 00 00 E9 CE F2 FF FF 8B 53 6C 8D 8B F0 02 00 00 89 53 50 8D 43 58 C7 43 58 06 00 00 00 51 50 8D 53 6C 52 8B 4B 64 51 8B 43 60 03 C0 03 C3 83 C0 70 50 6A 02 E8 ?? ?? ?? ?? 83 C4 18 89 45 D4 83 7D D4 00 74 15 8B 55 08 C7 42 18 ?? ?? ?? ?? C7 03 1D 00 00 00 E9 7B F2 FF FF C7 03 13 00 00 00 83 7D 0C 06 0F 84 FA 05 00 00 C7 03 14 00 00 00 83 FF 06 0F 82 83 00 00 00 81 7D F4 02 01 00 00 72 7A 8B 4D 08 8B 45 F8 89 41 0C 8B 55 08 8B 45 F4 89 42 10 8B 55 08 8B 4D FC 89 0A 8B 4D 08 89 79 04 8B 45 F0 89 43 38 89 73 3C 8B 55 E8 52 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 8B 50 0C 89 55 F8 8B 4D 08 8B 41 10 89 45 F4 8B 55 08 8B 0A 89 4D FC 8B 45 08 8B 78 04 8B 43 38 89 45 F0 8B 73 3C 83 3B 0B 0F 85 E8 F1 FF FF C7 83 C4 1B 00 00 FF FF FF FF E9 D9 F1 FF FF 33 C0 89 83 C4 1B 00 00 8B 4B 54 BA 01 00 00 00 D3 E2 4A 23 55 F0 8B 43 4C 8B 14 90 89 55 E0 33 C9 8A 4D E1 3B F1 73 1F 85 FF 0F 84 38 05 00 00 8B 45 FC 33 D2 8B CE 4F 8A 10 D3 E2 01 55 F0 FF 45 FC 83 C6 08 EB C1 80 7D E0 00 74 7E F6 45 E0 F0 75 78 8B 4D E0 89 4D DC 33 C9 33 C0 8A 45 DC 8A 4D DD 03 C8 BA 01 00 00 00 D3 E2 4A 8A 4D DD 23 55 F0 D3 EA 0F B7 45 DE 03 D0 8B 43 4C 33 C9 8B 14 90 89 55 E0 33 C0 8A 45 E1 8A 4D DD 03 C8 3B F1 73 1F 85 FF 0F 84 CC 04 00 00 8B 55 FC 33 C0 8B CE 4F 8A 02 D3 E0 01 45 F0 FF 45 FC 83 C6 08 EB A6 8A 4D DD 33 D2 D3 6D F0 8A 55 DD 2B F2 33 C9 8A 4D DD 01 8B C4 1B 00 00 8A 4D E1 33 C0 D3 6D F0 8A 45 E1 2B F0 33 D2 8A 55 E1 01 93 C4 1B 00 00 0F B7 4D E2 89 4B 40 80 7D E0 00 75 0B C7 03 19 00 00 00 E9 DE F0 FF FF F6 45 E0 20 74 15 C7 83 C4 1B 00 00 FF FF FF FF C7 03 0B 00 00 00 E9 C3 F0 FF FF F6 45 E0 40 74 15 8B 45 08 C7 40 18 ?? ?? ?? ?? C7 03 1D 00 00 00 E9 A8 F0 FF FF 33 D2 8A 55 E0 83 E2 0F 89 53 48 C7 03 15 00 00 00 83 7B 48 00 74 4D EB 1D 85 FF 0F 84 16 04 00 00 8B 45 FC }
	condition:
		$1
}

rule function_38929_0 {
	meta:
		name = "inflateEnd"
		size = 76
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 85 DB 74 0C 83 7B 1C 00 74 06 83 7B 24 00 75 08 B8 FE FF FF FF 5B 5D C3 8B 43 1C 8B 50 34 85 D2 74 0B 52 8B 4B 28 51 FF 53 24 83 C4 08 8B 4B 1C 51 8B 43 28 50 FF 53 24 83 C4 08 33 D2 89 53 1C 33 C0 5B 5D C3 }
	condition:
		$1
}

rule function_38930_0 {
	meta:
		name = "inflateSetDictionary"
		size = 208
		refs = "0044 adler32 0099 memcpy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 10 8B 7D 08 85 FF 74 06 83 7F 1C 00 75 0A B8 FE FF FF FF E9 AA 00 00 00 8B 5F 1C 83 7B 08 00 74 0F 83 3B 0A 74 0A B8 FE FF FF FF E9 92 00 00 00 83 3B 0A 75 28 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 56 8B 55 0C 52 50 E8 ?? ?? ?? ?? 83 C4 0C 3B 43 18 74 07 B8 FD FF FF FF EB 65 8B 57 10 52 57 E8 E5 E8 FF FF 83 C4 08 85 C0 74 0D C7 03 1E 00 00 00 B8 FC FF FF FF EB 47 8B 43 28 3B F0 76 1E 50 8B 55 0C 03 D6 2B 53 28 52 8B 4B 34 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 4B 28 89 4B 2C EB 19 56 8B 45 0C 50 8B 53 34 03 53 28 2B D6 52 E8 ?? ?? ?? ?? 83 C4 0C 89 73 2C C7 43 0C 01 00 00 00 33 C0 5F 5E 5B 5D C3 90 }
	condition:
		$1
}

rule function_38931_0 {
	meta:
		name = "inflateGetHeader"
		size = 144
	strings:
		$1 = { 55 8B EC 8B 55 0C 8B 45 08 85 C0 74 06 83 78 1C 00 75 07 B8 FE FF FF FF 5D C3 8B 40 1C F6 40 08 02 75 07 B8 FE FF FF FF 5D C3 89 50 20 33 C9 89 4A 30 33 C0 5D C3 90 90 55 8B EC 53 56 57 8B 5D 10 8B 45 08 8B 00 33 C9 8B 55 0C EB 2C 0F B6 32 83 F8 02 73 04 33 FF EB 05 BF FF 00 00 00 3B F7 75 03 40 EB 12 80 3A 00 74 04 33 C0 EB 09 BE 04 00 00 00 2B F0 8B C6 41 42 3B D9 76 05 83 F8 04 72 CB 8B 55 08 89 02 8B C1 5F 5E 5B 5D C3 90 90 }
	condition:
		$1
}

rule function_38932_0 {
	meta:
		name = "inflateSync"
		size = 216
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 75 08 85 F6 74 06 83 7E 1C 00 75 0A B8 FE FF FF FF E9 B1 00 00 00 83 7E 04 00 8B 5E 1C 75 10 83 7B 3C 08 73 0A B8 FB FF FF FF E9 98 00 00 00 83 3B 1F 74 4A C7 03 1F 00 00 00 8B 4B 3C 83 E1 07 D3 63 38 8B 53 3C 83 E2 07 29 53 3C 33 C0 8D 55 F8 EB 0F 8A 4B 38 40 88 0A 42 C1 6B 38 08 83 6B 3C 08 83 7B 3C 08 73 EB 33 D2 89 53 68 50 8D 45 F8 50 8D 4B 68 51 E8 23 FF FF FF 83 C4 0C 8B 4E 04 51 8B 06 50 8D 53 68 52 E8 10 FF FF FF 83 C4 0C 29 46 04 01 06 01 46 08 83 7B 68 04 74 07 B8 FD FF FF FF EB 21 8B 7E 08 8B 46 14 89 45 FC 56 E8 D1 E4 FF FF 59 89 7E 08 8B 55 FC 33 C0 89 56 14 C7 03 0B 00 00 00 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_38933_0 {
	meta:
		name = "inflateSyncPoint"
		size = 52
	strings:
		$1 = { 55 8B EC 8B 45 08 85 C0 74 06 83 78 1C 00 75 07 B8 FE FF FF FF 5D C3 8B 40 1C 83 38 0D 75 06 83 78 3C 00 74 04 33 D2 EB 05 BA 01 00 00 00 8B C2 5D C3 90 90 }
	condition:
		$1
}

rule function_38934_0 {
	meta:
		name = "inflateCopy"
		size = 340
		refs = "009c memcpy"
	strings:
		$1 = { 55 8B EC 51 53 56 57 83 7D 08 00 8B 75 0C 74 16 85 F6 74 12 83 7E 1C 00 74 0C 83 7E 20 00 74 06 83 7E 24 00 75 0A B8 FE FF FF FF E9 1C 01 00 00 8B 5E 1C 68 CC 1B 00 00 6A 01 8B 46 28 50 FF 56 20 83 C4 0C 8B F8 85 FF 75 0A B8 FC FF FF FF E9 F8 00 00 00 33 D2 89 55 FC 83 7B 34 00 74 35 6A 01 8B 4B 24 B8 01 00 00 00 D3 E0 50 8B 56 28 52 FF 56 20 83 C4 0C 89 45 FC 83 7D FC 00 75 15 57 8B 4E 28 51 FF 56 24 83 C4 08 B8 FC FF FF FF E9 B8 00 00 00 6A 38 56 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 68 CC 1B 00 00 53 57 E8 ?? ?? ?? ?? 83 C4 0C 8D 83 30 05 00 00 8B 53 4C 3B C2 77 41 8D 8B BC 1B 00 00 3B D1 77 37 2B D0 85 D2 79 03 83 C2 03 C1 FA 02 C1 E2 02 03 D7 81 C2 30 05 00 00 89 57 4C 8B 53 50 2B D0 85 D2 79 03 83 C2 03 C1 FA 02 C1 E2 02 03 D7 81 C2 30 05 00 00 89 57 50 8B 4B 6C 2B C8 85 C9 79 03 83 C1 03 C1 F9 02 C1 E1 02 03 CF 81 C1 30 05 00 00 89 4F 6C 83 7D FC 00 74 1B 8B 4B 24 B8 01 00 00 00 D3 E0 50 8B 53 34 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 FC 33 C0 89 57 34 8B 4D 08 89 79 1C 5F 5E 5B 59 5D C3 90 90 }
	condition:
		$1
}

rule function_38935_0 {
	meta:
		name = "inflateUndermine"
		size = 60
	strings:
		$1 = { 55 8B EC 8B 45 08 85 C0 74 06 83 78 1C 00 75 07 B8 FE FF FF FF 5D C3 8B 40 1C 8B 55 0C 83 FA 01 1B C9 F7 D9 89 88 C0 1B 00 00 C7 80 C0 1B 00 00 01 00 00 00 B8 FD FF FF FF 5D C3 90 }
	condition:
		$1
}

rule function_38936_0 {
	meta:
		name = "inflateMark"
		size = 69
	strings:
		$1 = { 55 8B EC 8B 45 08 85 C0 74 06 83 78 1C 00 75 07 B8 00 00 FF FF 5D C3 8B 40 1C 8B 90 C4 1B 00 00 C1 E2 10 83 38 0F 75 05 8B 48 40 EB 12 83 38 18 75 0B 8B 88 C8 1B 00 00 2B 48 40 EB 02 33 C9 03 D1 8B C2 5D C3 }
	condition:
		$1
}

rule function_38937_0 {
	meta:
		name = "inflate_table"
		size = 1159
		refs = "01ba _DV_."
	strings:
		$1 = { 55 8B EC 83 C4 84 33 C0 53 56 57 8B 55 10 89 45 FC 8D 45 A4 66 C7 00 00 00 FF 45 FC 83 C0 02 83 7D FC 0F 76 EF 33 C0 8B 4D 0C 3B D0 76 10 0F B7 19 83 C1 02 40 66 FF 44 5D A4 3B D0 77 F0 8B 45 18 8B 08 8D 45 C2 89 4D F0 C7 45 F4 0F 00 00 00 66 83 38 00 75 0C FF 4D F4 83 C0 FE 83 7D F4 01 73 EE 8B 4D F0 3B 4D F4 76 06 8B 45 F4 89 45 F0 83 7D F4 00 75 38 C6 45 D8 40 C6 45 D9 01 66 C7 45 DA 00 00 8B 55 14 8B 0A 83 02 04 8B 5D D8 89 19 8B 45 14 8B 10 83 00 04 8B 4D D8 89 0A 8B 45 18 C7 00 01 00 00 00 33 C0 E9 D2 03 00 00 C7 45 F8 01 00 00 00 8D 4D A6 89 4D C4 8B 45 F8 3B 45 F4 73 18 8B 4D C4 66 83 39 00 75 0F FF 45 F8 83 45 C4 02 8B 45 F8 3B 45 F4 72 E8 8B 4D F0 3B 4D F8 73 06 8B 45 F8 89 45 F0 C7 45 FC 01 00 00 00 B9 01 00 00 00 8D 45 A6 03 C9 0F B7 18 2B CB 85 C9 7D 08 83 C8 FF E9 75 03 00 00 FF 45 FC 83 C0 02 83 7D FC 0F 76 E1 85 C9 7E 14 83 7D 08 00 74 06 83 7D F4 01 74 08 83 C8 FF E9 51 03 00 00 66 C7 45 86 00 00 C7 45 FC 01 00 00 00 8D 4D A6 8D 45 86 89 4D C4 66 8B 08 8B 5D C4 66 03 0B 66 89 48 02 83 C0 02 FF 45 FC 83 45 C4 02 83 7D FC 0F 72 E3 33 C0 8B 4D 0C 89 4D C4 3B D0 76 2B 8B 4D C4 66 8B 09 66 85 C9 74 17 0F B7 C9 66 8B 5C 4D 84 66 FF 44 4D 84 0F B7 CB 8B 5D 1C 66 89 04 4B 40 83 45 C4 02 3B D0 77 D5 8B 45 08 83 E8 01 72 04 74 14 EB 37 8B 55 1C 89 55 CC 89 55 D0 C7 45 C8 13 00 00 00 EB 3A C7 45 D0 ?? ?? ?? ?? 81 6D D0 02 02 00 00 C7 45 CC ?? ?? ?? ?? 81 6D CC 02 02 00 00 C7 45 C8 00 01 00 00 EB 15 C7 45 D0 ?? ?? ?? ?? C7 45 CC ?? ?? ?? ?? C7 45 C8 FF FF FF FF 8B 4D F8 BB 01 00 00 00 89 4D FC 33 D2 8B 4D 14 33 C0 8B 09 89 4D D4 33 C9 8B 75 F0 89 4D EC C7 45 E0 FF FF FF FF 8B 4D F0 D3 E3 89 5D E8 8B 4D E8 49 89 4D DC 83 7D 08 01 75 09 81 7D E8 54 03 00 00 73 0F 83 7D 08 02 75 13 81 7D E8 50 02 00 00 72 0A B8 01 00 00 00 E9 32 02 00 00 8B 7D 1C 8D 04 47 89 45 C4 8A 4D FC 2A 4D EC 88 4D D9 8B 45 C4 66 8B 08 0F B7 C1 3B 45 C8 7D 0A C6 45 D8 00 66 89 4D DA EB 25 3B 45 C8 7E 16 8B 4D CC 8A 0C 41 88 4D D8 8B 7D D0 66 8B 04 47 66 89 45 DA EB 0A C6 45 D8 60 66 C7 45 DA 00 00 8B 4D FC 2B 4D EC B8 01 00 00 00 D3 E0 8B CE BB 01 00 00 00 D3 E3 89 5D E4 8B 4D E4 89 4D F8 29 45 E4 8B 4D EC 8B DA D3 EB 03 5D E4 8B 4D D4 8B 7D D8 89 3C 99 83 7D E4 00 75 E4 8B 4D FC 49 B8 01 00 00 00 D3 E0 EB 02 D1 E8 85 D0 75 FA 85 C0 74 09 8B F8 4F 23 D7 03 D0 EB 02 33 D2 83 45 C4 02 8B 45 FC 66 FF 4C 45 A4 66 8B 4C 45 A4 66 85 C9 75 1C 8B 45 FC 3B 45 F4 0F 84 D9 00 00 00 8B 4D C4 0F B7 01 8B 4D 0C 0F B7 04 41 89 45 FC 8B 4D FC 3B 4D F0 0F 86 1F FF FF FF 8B 45 DC 23 C2 3B 45 E0 0F 84 11 FF FF FF 83 7D EC 00 75 06 8B 4D F0 89 4D EC 8B 45 F8 C1 E0 02 01 45 D4 8B 75 FC 2B 75 EC 8B CE B8 01 00 00 00 D3 E0 8B C8 EB 0E 0F B7 44 45 A4 2B C8 85 C9 7E 0D 46 03 C9 8B 45 EC 03 C6 3B 45 F4 72 E8 8B CE B8 01 00 00 00 D3 E0 01 45 E8 83 7D 08 01 75 09 81 7D E8 54 03 00 00 73 0F 83 7D 08 02 75 13 81 7D E8 50 02 00 00 72 0A B8 01 00 00 00 E9 C6 00 00 00 8B 4D DC 23 CA 89 4D E0 8B 45 14 8B 00 8B 4D E0 8B DE 88 1C 88 8B 4D E0 8A 5D F0 88 5C 88 01 8B 4D D4 2B C8 85 C9 79 03 83 C1 03 C1 F9 02 8B 5D E0 66 89 4C 98 02 E9 62 FE FF FF C6 45 D8 40 8A 45 FC 2A 45 EC 88 45 D9 66 C7 45 DA 00 00 85 D2 74 5F 83 7D EC 00 74 23 8B 4D DC 23 CA 3B 4D E0 74 19 33 C0 89 45 EC 8B 4D F0 89 4D FC 8B 45 14 8B 08 89 4D D4 8A 45 FC 88 45 D9 8B 4D EC 8B C2 D3 E8 8B 4D D4 8B 5D D8 89 1C 81 8B 4D FC 49 B8 01 00 00 00 D3 E0 EB 02 D1 E8 85 D0 75 FA 85 C0 74 09 8B C8 49 23 D1 03 D0 EB 02 33 D2 85 D2 75 A1 8B 45 E8 8B 55 14 C1 E0 02 01 02 8B 45 18 8B 4D F0 89 08 33 C0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38938_0 {
	meta:
		name = "_DF_."
		size = 4
	strings:
		$1 = { C3 90 90 90 }
	condition:
		$1
}

rule function_38939_0 {
	meta:
		name = "_tr_init"
		size = 4472
		refs = "002a _DV_."
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 E8 F0 FF FF FF 8D 83 94 00 00 00 8D 93 88 09 00 00 89 83 18 0B 00 00 8D 8B 7C 0A 00 00 C7 83 20 0B 00 00 ?? ?? ?? ?? 89 93 24 0B 00 00 C7 83 2C 0B 00 00 ?? ?? ?? ?? 89 8B 30 0B 00 00 33 C9 C7 83 38 0B 00 00 ?? ?? ?? ?? 66 C7 83 B8 16 00 00 00 00 89 8B BC 16 00 00 C7 83 B4 16 00 00 08 00 00 00 53 E8 05 00 00 00 59 5B 5D C3 90 55 8B EC 53 8B 4D 08 33 C0 8D 91 94 00 00 00 66 C7 02 00 00 40 83 C2 04 3D 1E 01 00 00 7C F0 33 C0 8D 91 88 09 00 00 66 C7 02 00 00 40 83 C2 04 83 F8 1E 7C F2 33 C0 8D 91 7C 0A 00 00 66 C7 02 00 00 40 83 C2 04 83 F8 13 7C F2 66 C7 81 94 04 00 00 01 00 33 DB 33 C0 89 99 AC 16 00 00 89 99 A8 16 00 00 89 81 B0 16 00 00 89 81 A0 16 00 00 5B 5D C3 90 55 8B EC 83 C4 F4 53 56 57 8B 45 08 8B 55 10 8B 4D 0C 8B 94 90 5C 0B 00 00 89 55 FC 8B 5D FC 8B 55 10 03 D2 8D 9C 18 58 14 00 00 89 5D F4 8B 5D FC 8D 1C 99 89 5D F8 E9 A1 00 00 00 3B 90 50 14 00 00 7D 4F 8B 9C 90 60 0B 00 00 8B B4 90 5C 0B 00 00 66 8B 1C 99 66 3B 1C B1 72 36 8B 9C 90 60 0B 00 00 8B B4 90 5C 0B 00 00 66 8B 1C 99 66 3B 1C B1 75 1F 8B 9C 90 60 0B 00 00 8B B4 90 5C 0B 00 00 8A 9C 18 58 14 00 00 3A 9C 30 58 14 00 00 77 01 42 8B 9C 90 5C 0B 00 00 8B 75 F8 66 8B 1C 99 66 3B 1E 77 43 8B B4 90 5C 0B 00 00 8B 7D F8 66 8B 1C B1 66 3B 1F 75 0E 8B 5D F4 8A 1B 3A 9C 30 58 14 00 00 76 22 8B 5D 10 8B B4 90 5C 0B 00 00 89 B4 98 5C 0B 00 00 89 55 10 03 D2 3B 90 50 14 00 00 0F 8E 53 FF FF FF 8B 55 10 8B 4D FC 89 8C 90 5C 0B 00 00 5F 5E 5B 8B E5 5D C3 90 90 90 55 8B EC 83 C4 D4 53 56 57 8B 45 0C 8B 18 8B 50 04 89 55 FC 8B 50 08 33 C0 8B 0A 89 4D F8 8B 4A 04 89 4D F4 8B 4A 08 89 4D F0 8B 52 10 89 45 E0 33 C0 8B 4D 08 81 C1 3C 0B 00 00 66 C7 01 00 00 40 83 C1 02 83 F8 0F 7E F2 8B 45 08 8B 80 54 14 00 00 8B 4D 08 8B 84 81 5C 0B 00 00 66 C7 44 83 02 00 00 8B 4D 08 8B 81 54 14 00 00 40 89 45 EC 8B 4D 08 8B 45 EC 8D 8C 81 5C 0B 00 00 89 4D DC 81 7D EC 3D 02 00 00 0F 8D 96 00 00 00 8B 45 DC 8B 08 0F B7 44 8B 02 0F B7 44 83 02 40 3B D0 7D 05 8B C2 FF 45 E0 66 89 44 8B 02 3B 4D FC 7F 5F 8B 75 08 66 FF 84 46 3C 0B 00 00 33 F6 89 75 E8 3B 4D F0 7C 0E 8B F1 2B 75 F0 8B 7D F4 8B 34 B7 89 75 E8 66 8B 34 8B 66 89 75 E6 0F B7 75 E6 03 45 E8 0F AF F0 8B 45 08 01 B0 A8 16 00 00 83 7D F8 00 74 1B 8B 45 F8 0F B7 4C 88 02 03 4D E8 0F B7 45 E6 0F AF C8 8B 45 08 01 88 AC 16 00 00 FF 45 EC 83 45 DC 04 81 7D EC 3D 02 00 00 0F 8C 6A FF FF FF 83 7D E0 00 0F 84 B8 00 00 00 8D 42 FF 8B 4D 08 8D 8C 41 3C 0B 00 00 EB 04 48 83 C1 FE 66 83 39 00 74 F6 8B 4D 08 66 FF 8C 41 3C 0B 00 00 8B 4D 08 66 83 84 41 3E 0B 00 00 02 8B 45 08 66 FF 8C 50 3C 0B 00 00 83 6D E0 02 83 7D E0 00 7F BB 8B C2 8B 55 08 85 C0 8D 8C 42 3C 0B 00 00 89 4D D8 74 60 8B 55 D8 0F B7 0A 8B 55 08 8B 75 EC 85 C9 8D 94 B2 5C 0B 00 00 89 55 D4 74 3D FF 4D EC 83 45 D4 FC 8B 55 D4 8B 12 3B 55 FC 7F DB 0F B7 74 93 02 3B F0 74 1E 0F B7 74 93 02 8B F8 2B FE 0F B7 34 93 0F AF FE 8B 75 08 01 BE A8 16 00 00 66 89 44 93 02 49 85 C9 75 C3 48 83 45 D8 FE 85 C0 75 A0 5F 5E 5B 8B E5 5D C3 55 8B EC 83 C4 E0 33 C9 8D 55 E2 53 56 57 8B 45 10 BB 01 00 00 00 66 8B 30 66 03 F1 03 F6 8B CE 66 89 32 43 83 C2 02 83 C0 02 83 FB 0F 7E E7 33 FF 8B 45 08 8D 58 02 3B 7D 0C 7F 2B 0F B7 33 85 F6 74 1B 56 66 8B 44 75 E0 66 FF 44 75 E0 0F B7 D0 52 E8 1D 19 00 00 83 C4 08 66 89 43 FE 47 83 C3 04 3B 7D 0C 7E D5 5F 5E 5B 8B E5 5D C3 90 90 55 8B EC 83 C4 F0 53 56 57 33 F6 8B 45 0C 8B 5D 08 8B 10 89 55 FC 8B 4D 0C 8B 41 08 8B 10 89 55 F8 8D 93 58 14 00 00 8B 48 0C 89 4D F4 33 C9 C7 45 F0 FF FF FF FF 89 8B 50 14 00 00 C7 83 54 14 00 00 3D 02 00 00 3B 75 F4 8B 45 FC 0F 8D 83 00 00 00 66 83 38 00 74 1B 89 75 F0 FF 83 50 14 00 00 8B 8B 50 14 00 00 89 B4 8B 5C 0B 00 00 C6 02 00 EB 06 66 C7 40 02 00 00 46 42 83 C0 04 3B 75 F4 7C CF EB 50 83 7D F0 02 7D 08 FF 45 F0 8B 55 F0 EB 02 33 D2 FF 83 50 14 00 00 8B 83 50 14 00 00 89 94 83 5C 0B 00 00 8B FA 8B 45 FC 66 C7 04 B8 01 00 C6 84 3B 58 14 00 00 00 FF 8B A8 16 00 00 83 7D F8 00 74 0E 8B 55 F8 0F B7 4C BA 02 29 8B AC 16 00 00 83 BB 50 14 00 00 02 7C A7 8B 4D 0C 8B 45 F0 89 41 04 8B B3 50 14 00 00 D1 FE 79 03 83 D6 00 83 FE 01 7C 14 56 8B 45 FC 50 53 E8 A0 FB FF FF 83 C4 0C 4E 83 FE 01 7D EC 8B 7D F4 8B B3 60 0B 00 00 8B 83 50 14 00 00 83 83 50 14 00 00 FF 8B 94 83 5C 0B 00 00 89 93 60 0B 00 00 6A 01 8B 4D FC 51 53 E8 68 FB FF FF 83 C4 0C 8B 83 60 0B 00 00 FF 8B 54 14 00 00 8B 93 54 14 00 00 89 B4 93 5C 0B 00 00 FF 8B 54 14 00 00 8B 8B 54 14 00 00 89 84 8B 5C 0B 00 00 8B 55 FC 66 8B 0C 82 8B 55 FC 66 03 0C B2 51 8B 4D FC 5A 66 89 14 B9 8A 8C 03 58 14 00 00 3A 8C 33 58 14 00 00 77 09 8A 94 33 58 14 00 00 EB 07 8A 94 03 58 14 00 00 42 88 94 3B 58 14 00 00 8B 4D FC 66 89 7C 81 02 8B 45 FC 66 89 7C B0 02 89 BB 60 0B 00 00 47 6A 01 8B 4D FC 51 53 E8 D7 FA FF FF 83 C4 0C 83 BB 50 14 00 00 02 0F 8D 33 FF FF FF FF 8B 54 14 00 00 8B 83 54 14 00 00 8B 93 60 0B 00 00 89 94 83 5C 0B 00 00 8B 4D 0C 51 53 E8 A4 FB FF FF 83 C4 08 81 C3 3C 0B 00 00 53 8B 45 F0 50 8B 55 FC 52 E8 79 FD FF FF 83 C4 0C 5F 5E 5B 8B E5 5D C3 90 90 90 55 8B EC 83 C4 F0 33 C9 53 56 8B 45 0C BB 07 00 00 00 C7 45 F8 FF FF FF FF 0F B7 50 02 C7 45 F4 04 00 00 00 85 D2 75 0C C7 45 F4 03 00 00 00 BB 8A 00 00 00 8B 75 10 66 C7 44 B0 06 FF FF 33 F6 83 C0 06 89 75 FC 89 45 F0 8B 45 FC 3B 45 10 0F 8F AD 00 00 00 8B C2 8B 55 F0 41 0F B7 12 3B D9 7E 0B 3B D0 75 07 E9 84 00 00 00 EB 4D 3B 4D F4 7D 0D 8B 5D 08 66 01 8C 83 7C 0A 00 00 EB 3B 85 C0 74 1C 3B 45 F8 74 0B 8B 4D 08 66 FF 84 81 7C 0A 00 00 8B 4D 08 66 FF 81 BC 0A 00 00 EB 1B 83 F9 0A 7F 0C 8B 4D 08 66 FF 81 C0 0A 00 00 EB 0A 8B 4D 08 66 FF 81 C4 0A 00 00 33 C9 89 45 F8 85 D2 75 0E C7 45 F4 03 00 00 00 BB 8A 00 00 00 EB 1E 3B D0 75 0E C7 45 F4 03 00 00 00 BB 06 00 00 00 EB 0C C7 45 F4 04 00 00 00 BB 07 00 00 00 FF 45 FC 83 45 F0 04 8B 45 FC 3B 45 10 0F 8E 53 FF FF FF 5E 5B 8B E5 5D C3 55 8B EC 83 C4 BC B9 07 00 00 00 53 56 57 33 DB 8B 45 08 C7 45 F8 FF FF FF FF 8B 55 0C 0F B7 72 02 C7 45 F4 04 00 00 00 85 F6 75 0C C7 45 F4 03 00 00 00 B9 8A 00 00 00 33 D2 89 55 FC 8B 55 0C 83 C2 06 89 55 BC 8B 55 FC 3B 55 10 0F 8F 34 06 00 00 8B D6 8B 75 BC 43 0F B7 36 3B CB 7E 0E 3B F2 75 0A E9 0B 06 00 00 E9 D1 05 00 00 3B 5D F4 0F 8D C6 00 00 00 0F B7 8C 90 7E 0A 00 00 89 4D F0 B9 10 00 00 00 2B 4D F0 3B 88 BC 16 00 00 7D 7E 0F B7 8C 90 7C 0A 00 00 89 4D EC 66 8B 7D EC 8B 88 BC 16 00 00 66 D3 E7 66 09 B8 B8 16 00 00 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 5F 8A 88 B8 16 00 00 80 E1 FF 88 0F 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 0F B7 88 B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 88 BC 16 00 00 0F B7 7D EC D3 FF 66 89 B8 B8 16 00 00 8B 4D F0 83 E9 10 03 88 BC 16 00 00 89 88 BC 16 00 00 EB 21 66 8B BC 90 7C 0A 00 00 8B 88 BC 16 00 00 66 D3 E7 66 09 B8 B8 16 00 00 8B 4D F0 01 88 BC 16 00 00 4B 0F 85 3F FF FF FF E9 02 05 00 00 85 D2 0F 84 2B 02 00 00 3B 55 F8 0F 84 BB 00 00 00 0F B7 8C 90 7E 0A 00 00 89 4D E8 B9 10 00 00 00 2B 4D E8 3B 88 BC 16 00 00 7D 7E 0F B7 8C 90 7C 0A 00 00 89 4D E4 66 8B 7D E4 8B 88 BC 16 00 00 66 D3 E7 66 09 B8 B8 16 00 00 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 5F 8A 88 B8 16 00 00 80 E1 FF 88 0F 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 0F B7 88 B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 88 BC 16 00 00 0F B7 7D E4 D3 FF 66 89 B8 B8 16 00 00 8B 4D E8 83 E9 10 03 88 BC 16 00 00 89 88 BC 16 00 00 EB 21 66 8B BC 90 7C 0A 00 00 8B 88 BC 16 00 00 66 D3 E7 66 09 B8 B8 16 00 00 8B 4D E8 01 88 BC 16 00 00 4B 0F B7 88 BE 0A 00 00 89 4D E0 B9 10 00 00 00 2B 4D E0 3B 88 BC 16 00 00 7D 7D 0F B7 88 BC 0A 00 00 89 4D DC 66 8B 7D DC 8B 88 BC 16 00 00 66 D3 E7 66 09 B8 B8 16 00 00 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 5F 8A 88 B8 16 00 00 80 E1 FF 88 0F 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 0F B7 88 B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 88 BC 16 00 00 0F B7 7D DC D3 FF 66 89 B8 B8 16 00 00 8B 4D E0 83 E9 10 03 88 BC 16 00 00 89 88 BC 16 00 00 EB 20 66 8B B8 BC 0A 00 00 8B 88 BC 16 00 00 66 D3 E7 66 09 B8 B8 16 00 00 8B 4D E0 01 88 BC 16 00 00 C7 45 D8 02 00 00 00 B9 10 00 00 00 2B 4D D8 3B 88 BC 16 00 00 7D 76 83 C3 FD 8B 88 BC 16 00 00 8B FB 66 D3 E7 66 09 B8 B8 16 00 00 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 5F 8A 88 B8 16 00 00 80 E1 FF 88 0F 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 0F B7 88 B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 88 BC 16 00 00 0F B7 DB D3 FB 66 89 98 B8 16 00 00 8B 4D D8 83 E9 10 03 88 BC 16 00 00 89 88 BC 16 00 00 E9 F2 02 00 00 66 81 C3 FD FF 8B 88 BC 16 00 00 66 D3 E3 66 09 98 B8 16 00 00 8B 7D D8 01 B8 BC 16 00 00 E9 CF 02 00 00 83 FB 0A 0F 8F 67 01 00 00 0F B7 88 C2 0A 00 00 89 4D D4 B9 10 00 00 00 2B 4D D4 3B 88 BC 16 00 00 7D 7D 0F B7 88 C0 0A 00 00 89 4D D0 66 8B 7D D0 8B 88 BC 16 00 00 66 D3 E7 66 09 B8 B8 16 00 00 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 5F 8A 88 B8 16 00 00 80 E1 FF 88 0F 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 0F B7 88 B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 88 BC 16 00 00 0F B7 7D D0 D3 FF 66 89 B8 B8 16 00 00 8B 4D D4 83 E9 10 03 88 BC 16 00 00 89 88 BC 16 00 00 EB 20 66 8B B8 C0 0A 00 00 8B 88 BC 16 00 00 66 D3 E7 66 09 B8 B8 16 00 00 8B 4D D4 01 88 BC 16 00 00 C7 45 CC 03 00 00 00 B9 10 00 00 00 2B 4D CC 3B 88 BC 16 00 00 7D 76 83 C3 FD 8B 88 BC 16 00 00 8B FB 66 D3 E7 66 09 B8 B8 16 00 00 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 5F 8A 88 B8 16 00 00 80 E1 FF 88 0F 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 0F B7 88 B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 88 BC 16 00 00 0F B7 DB D3 FB 66 89 98 B8 16 00 00 8B 4D CC 83 E9 10 03 88 BC 16 00 00 89 88 BC 16 00 00 E9 82 01 00 00 66 81 C3 FD FF 8B 88 BC 16 00 00 66 D3 E3 66 09 98 B8 16 00 00 8B 7D CC 01 B8 BC 16 00 00 E9 5F 01 00 00 0F B7 88 C6 0A 00 00 89 4D C8 B9 10 00 00 00 2B 4D C8 3B 88 BC 16 00 00 7D 7D 0F B7 88 C4 0A 00 00 89 4D C4 66 8B 7D C4 8B 88 BC 16 00 00 66 D3 E7 66 09 B8 B8 16 00 00 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 5F 8A 88 B8 16 00 00 80 E1 FF 88 0F 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 0F B7 88 B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 88 BC 16 00 00 0F B7 7D C4 D3 FF 66 89 B8 B8 16 00 00 8B 4D C8 83 E9 10 03 88 BC 16 00 00 89 88 BC 16 00 00 EB 20 66 8B B8 C4 0A 00 00 8B 88 BC 16 00 00 66 D3 E7 66 09 B8 B8 16 00 00 8B 4D C8 01 88 BC 16 00 00 C7 45 C0 07 00 00 00 B9 10 00 00 00 2B 4D C0 3B 88 BC 16 00 00 7D 73 83 C3 F5 8B 88 BC 16 00 00 8B FB 66 D3 E7 66 09 B8 B8 16 00 00 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 5F 8A 88 B8 16 00 00 80 E1 FF 88 0F 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 0F B7 88 B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 88 BC 16 00 00 0F B7 DB D3 FB 66 89 98 B8 16 00 00 8B 4D C0 83 E9 10 03 88 BC 16 00 00 89 88 BC 16 00 00 EB 1E 66 81 C3 F5 FF 8B 88 BC 16 00 00 66 D3 E3 66 09 98 B8 16 00 00 8B 7D C0 01 B8 BC 16 00 00 33 DB 89 55 F8 85 F6 75 0E C7 45 F4 03 00 00 00 B9 8A 00 00 00 EB 1E 3B F2 75 0E C7 45 F4 03 00 00 00 B9 06 00 00 00 EB 0C C7 45 F4 04 00 00 00 B9 07 00 00 00 FF 45 FC 83 45 BC 04 8B 55 FC 3B 55 10 0F 8E CC F9 FF FF 5F 5E 5B 8B E5 5D C3 90 90 90 55 8B EC 53 8B 5D 08 8B 83 1C 0B 00 00 8D 93 94 00 00 00 50 52 53 E8 4D F8 FF FF 83 C4 0C 8B 8B 28 0B 00 00 51 8D 8B 88 09 00 00 51 53 E8 36 F8 FF FF 83 C4 0C 8D 83 30 0B 00 00 50 53 E8 02 F6 FF FF 83 C4 08 B8 12 00 00 00 BA ?? ?? ?? ?? 33 C9 8A 0A 66 83 BC 8B 7E 0A 00 00 00 75 07 48 4A 83 F8 03 7D EA 8D 14 40 83 C2 11 01 93 A8 16 00 00 5B 5D C3 55 8B EC 51 53 56 57 8B 5D 08 B8 05 00 00 00 BA 10 00 00 00 2B D0 3B 93 BC 16 00 00 7D 78 8B 55 0C 81 C2 FF FE FF FF 8B 8B BC 16 00 00 8B F2 8B FE 66 D3 E7 66 09 BB B8 16 00 00 8B 4B 14 FF 43 14 8B 7B 08 8D 0C 0F 51 5F 8A 8B B8 16 00 00 80 E1 FF 88 0F 8B 4B 14 FF 43 14 8B 7B 08 8D 0C 0F 51 0F B7 8B B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 8B BC 16 00 00 0F B7 D6 D3 FA 66 89 93 B8 16 00 00 83 E8 10 03 83 BC 16 00 00 89 83 BC 16 00 00 EB 1F 66 8B 55 0C 8B 8B BC 16 00 00 66 81 C2 FF FE 66 D3 E2 66 09 93 B8 16 00 00 01 83 BC 16 00 00 B8 05 00 00 00 BA 10 00 00 00 2B D0 3B 93 BC 16 00 00 7D 73 8B 55 10 4A 8B 8B BC 16 00 00 8B F2 8B FE 66 D3 E7 66 09 BB B8 16 00 00 8B 4B 14 FF 43 14 8B 7B 08 8D 0C 0F 51 5F 8A 8B B8 16 00 00 80 E1 FF 88 0F 8B 4B 14 FF 43 14 8B 7B 08 8D 0C 0F 51 0F B7 8B B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 8B BC 16 00 00 0F B7 D6 D3 FA 66 89 93 B8 16 00 00 83 E8 10 03 83 BC 16 00 00 89 83 BC 16 00 00 EB 1F 66 8B 55 10 8B 8B BC 16 00 00 66 81 C2 FF FF 66 D3 E2 66 09 93 B8 16 00 00 01 83 BC 16 00 00 B8 04 00 00 00 BA 10 00 00 00 2B D0 3B 93 BC 16 00 00 7D 75 8B 55 14 83 C2 FC 8B 8B BC 16 00 00 8B F2 8B FE 66 D3 E7 66 09 BB B8 16 00 00 8B 4B 14 }
	condition:
		$1
}

rule function_38940_0 {
	meta:
		name = "_tr_stored_block"
		size = 192
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 14 8B 45 08 BA 03 00 00 00 B9 10 00 00 00 2B CA 3B 88 BC 16 00 00 7D 6F 8B 88 BC 16 00 00 8B F3 8B FE 66 D3 E7 66 09 B8 B8 16 00 00 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 5F 8A 88 B8 16 00 00 80 E1 FF 88 0F 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 0F B7 88 B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 88 BC 16 00 00 0F B7 DE D3 FB 66 89 98 B8 16 00 00 83 EA 10 03 90 BC 16 00 00 89 90 BC 16 00 00 EB 16 8B 88 BC 16 00 00 66 D3 E3 66 09 98 B8 16 00 00 01 90 BC 16 00 00 6A 01 8B 55 10 52 8B 55 0C 52 50 E8 27 0C 00 00 83 C4 10 5F 5E 5B 5D C3 90 90 90 }
	condition:
		$1
}

rule function_38941_0 {
	meta:
		name = "_tr_align"
		size = 728
		refs = "00ac _DV_."
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 B8 03 00 00 00 BA 10 00 00 00 2B D0 3B 93 BC 16 00 00 7D 74 BA 02 00 00 00 8B 8B BC 16 00 00 8B F2 8B FE 66 D3 E7 66 09 BB B8 16 00 00 8B 4B 14 FF 43 14 8B 7B 08 8D 0C 0F 51 5F 8A 8B B8 16 00 00 80 E1 FF 88 0F 8B 4B 14 FF 43 14 8B 7B 08 8D 0C 0F 51 0F B7 8B B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 8B BC 16 00 00 0F B7 D6 D3 FA 66 89 93 B8 16 00 00 83 E8 10 03 83 BC 16 00 00 89 83 BC 16 00 00 EB 1A 66 BA 02 00 8B 8B BC 16 00 00 66 D3 E2 66 09 93 B8 16 00 00 01 83 BC 16 00 00 B8 ?? ?? ?? ?? BA 10 00 00 00 0F B7 00 2B D0 3B 93 BC 16 00 00 7D 77 B9 ?? ?? ?? ?? 0F B7 11 8B 8B BC 16 00 00 8B F2 8B FE 66 D3 E7 66 09 BB B8 16 00 00 8B 4B 14 FF 43 14 8B 7B 08 8D 0C 0F 51 5F 8A 8B B8 16 00 00 80 E1 FF 88 0F 8B 4B 14 FF 43 14 8B 7B 08 8D 0C 0F 51 0F B7 8B B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 8B BC 16 00 00 0F B7 D6 D3 FA 66 89 93 B8 16 00 00 83 E8 10 03 83 BC 16 00 00 89 83 BC 16 00 00 EB 1E 8B 8B BC 16 00 00 BA ?? ?? ?? ?? 66 8B 12 66 D3 E2 66 09 93 B8 16 00 00 01 83 BC 16 00 00 53 E8 D7 09 00 00 59 8B 83 B4 16 00 00 83 C0 0B 8B 93 BC 16 00 00 2B C2 83 F8 09 0F 8D 51 01 00 00 B8 03 00 00 00 B9 10 00 00 00 2B C8 3B D1 7E 74 BA 02 00 00 00 8B 8B BC 16 00 00 8B F2 8B FE 66 D3 E7 66 09 BB B8 16 00 00 8B 4B 14 FF 43 14 8B 7B 08 8D 0C 0F 51 5F 8A 8B B8 16 00 00 80 E1 FF 88 0F 8B 4B 14 FF 43 14 8B 7B 08 8D 0C 0F 51 0F B7 8B B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 8B BC 16 00 00 0F B7 D6 D3 FA 66 89 93 B8 16 00 00 83 E8 10 03 83 BC 16 00 00 89 83 BC 16 00 00 EB 1A 66 BA 02 00 8B 8B BC 16 00 00 66 D3 E2 66 09 93 B8 16 00 00 01 83 BC 16 00 00 B8 ?? ?? ?? ?? BA 10 00 00 00 0F B7 00 2B D0 3B 93 BC 16 00 00 7D 77 B9 ?? ?? ?? ?? 0F B7 11 8B 8B BC 16 00 00 8B F2 8B FE 66 D3 E7 66 09 BB B8 16 00 00 8B 4B 14 FF 43 14 8B 7B 08 8D 0C 0F 51 5F 8A 8B B8 16 00 00 80 E1 FF 88 0F 8B 4B 14 FF 43 14 8B 7B 08 8D 0C 0F 51 0F B7 8B B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 8B BC 16 00 00 0F B7 D6 D3 FA 66 89 93 B8 16 00 00 83 E8 10 03 83 BC 16 00 00 89 83 BC 16 00 00 EB 1E 8B 8B BC 16 00 00 BA ?? ?? ?? ?? 66 8B 12 66 D3 E2 66 09 93 B8 16 00 00 01 83 BC 16 00 00 53 E8 6C 08 00 00 59 C7 83 B4 16 00 00 07 00 00 00 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_38942_0 {
	meta:
		name = "_tr_flush_block"
		size = 2529
		refs = "0154 _DV_."
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 14 8B 7D 10 8B 5D 08 33 C0 89 45 FC 83 BB 84 00 00 00 00 7E 5E 8B 13 83 7A 2C 02 75 0C 53 E8 8C 07 00 00 59 8B 0B 89 41 2C 8D 8B 18 0B 00 00 51 53 E8 F5 EE FF FF 83 C4 08 8D 83 24 0B 00 00 50 53 E8 E5 EE FF FF 83 C4 08 53 E8 98 F8 FF FF 59 89 45 FC 8B 83 A8 16 00 00 8B 93 AC 16 00 00 83 C2 0A 83 C0 0A C1 E8 03 C1 EA 03 3B C2 72 09 8B C2 EB 05 8D 57 05 8B C2 8D 4F 04 3B C1 72 1A 83 7D 0C 00 74 14 56 57 8B 55 0C 52 53 E8 CE FB FF FF 83 C4 10 E9 9E 01 00 00 83 BB 88 00 00 00 04 74 08 3B C2 0F 85 B8 00 00 00 B8 03 00 00 00 BA 10 00 00 00 2B D0 3B 93 BC 16 00 00 7D 70 8D 56 02 8B 8B BC 16 00 00 8B FA 66 D3 E7 66 09 BB B8 16 00 00 8B 4B 14 FF 43 14 8B 7B 08 8D 0C 0F 51 5F 8A 8B B8 16 00 00 80 E1 FF 88 0F 8B 4B 14 FF 43 14 8B 7B 08 8D 0C 0F 51 0F B7 8B B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 8B BC 16 00 00 0F B7 D2 D3 FA 66 89 93 B8 16 00 00 83 E8 10 03 83 BC 16 00 00 89 83 BC 16 00 00 EB 1C 8B 8B BC 16 00 00 8B D6 66 83 C2 02 66 D3 E2 66 09 93 B8 16 00 00 01 83 BC 16 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 8D 01 00 00 83 C4 0C E9 D5 00 00 00 B8 03 00 00 00 BA 10 00 00 00 2B D0 3B 93 BC 16 00 00 7D 70 8D 56 04 8B 8B BC 16 00 00 8B FA 66 D3 E7 66 09 BB B8 16 00 00 8B 4B 14 FF 43 14 8B 7B 08 8D 0C 0F 51 5F 8A 8B B8 16 00 00 80 E1 FF 88 0F 8B 4B 14 FF 43 14 8B 7B 08 8D 0C 0F 51 0F B7 8B B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 8B BC 16 00 00 0F B7 D2 D3 FA 66 89 93 B8 16 00 00 83 E8 10 03 83 BC 16 00 00 89 83 BC 16 00 00 EB 1C 8B 8B BC 16 00 00 8B D6 66 83 C2 04 66 D3 E2 66 09 93 B8 16 00 00 01 83 BC 16 00 00 8B 45 FC 40 50 8B 8B 28 0B 00 00 41 51 8B 83 1C 0B 00 00 40 50 53 E8 3E F7 FF FF 83 C4 10 8D 93 88 09 00 00 52 8D 8B 94 00 00 00 51 53 E8 B3 00 00 00 83 C4 0C 53 E8 1E E9 FF FF 59 85 F6 74 07 53 E8 87 06 00 00 59 5F 5E 5B 59 5D C3 55 8B EC 53 56 8B 45 08 8B 4D 10 8B 55 0C 8B 98 A4 16 00 00 8B B0 A0 16 00 00 66 89 14 73 8B 98 A0 16 00 00 FF 80 A0 16 00 00 8B B0 98 16 00 00 85 D2 8D 1C 1E 53 5B 88 0B 75 0A 66 FF 84 88 94 00 00 00 EB 3B FF 80 B0 16 00 00 4A 0F B6 89 ?? ?? ?? ?? 66 FF 84 88 98 04 00 00 81 FA 00 01 00 00 73 08 8A 8A ?? ?? ?? ?? EB 09 C1 EA 07 8A 8A ?? ?? ?? ?? 33 D2 8A D1 66 FF 84 90 88 09 00 00 8B 90 9C 16 00 00 4A 3B 90 A0 16 00 00 0F 94 C0 83 E0 01 5E 5B 5D C3 90 55 8B EC 83 C4 E4 33 D2 53 56 57 8B 45 08 8B 5D 0C 89 55 F8 83 B8 A0 16 00 00 00 0F 84 E9 03 00 00 8B 88 A4 16 00 00 8B 55 F8 0F B7 34 51 8B 90 98 16 00 00 8B 4D F8 0F B6 14 0A 89 55 FC FF 45 F8 85 F6 0F 85 B0 00 00 00 8B 4D FC 0F B7 54 8B 02 B9 10 00 00 00 2B CA 3B 88 BC 16 00 00 7D 77 8B 4D FC 0F B7 34 8B 8B 88 BC 16 00 00 8B FE 66 D3 E7 66 09 B8 B8 16 00 00 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 5F 8A 88 B8 16 00 00 80 E1 FF 88 0F 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 0F B7 88 B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 88 BC 16 00 00 0F B7 F6 D3 FE 66 89 B0 B8 16 00 00 83 EA 10 03 90 BC 16 00 00 89 90 BC 16 00 00 E9 24 03 00 00 8B 88 BC 16 00 00 8B 75 FC 66 8B 34 B3 66 D3 E6 66 09 B0 B8 16 00 00 01 90 BC 16 00 00 E9 02 03 00 00 8B 55 FC 0F B6 92 ?? ?? ?? ?? 0F B7 8C 93 06 04 00 00 89 4D F4 B9 10 00 00 00 2B 4D F4 3B 88 BC 16 00 00 7D 7E 0F B7 8C 93 04 04 00 00 89 4D F0 66 8B 7D F0 8B 88 BC 16 00 00 66 D3 E7 66 09 B8 B8 16 00 00 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 5F 8A 88 B8 16 00 00 80 E1 FF 88 0F 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 0F B7 88 B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 88 BC 16 00 00 0F B7 7D F0 D3 FF 66 89 B8 B8 16 00 00 8B 4D F4 83 E9 10 03 88 BC 16 00 00 89 88 BC 16 00 00 EB 21 66 8B BC 93 04 04 00 00 8B 88 BC 16 00 00 66 D3 E7 66 09 B8 B8 16 00 00 8B 4D F4 01 88 BC 16 00 00 8B 0C 95 ?? ?? ?? ?? 85 C9 0F 84 AB 00 00 00 8B 14 95 ?? ?? ?? ?? 29 55 FC 8B D1 B9 10 00 00 00 2B CA 3B 88 BC 16 00 00 7D 76 8B 4D FC 89 4D EC 66 8B 7D EC 8B 88 BC 16 00 00 66 D3 E7 66 09 B8 B8 16 00 00 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 5F 8A 88 B8 16 00 00 80 E1 FF 88 0F 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 0F B7 88 B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 88 BC 16 00 00 0F B7 7D EC D3 FF 66 89 B8 B8 16 00 00 83 EA 10 03 90 BC 16 00 00 89 90 BC 16 00 00 EB 1A 66 8B 7D FC 8B 88 BC 16 00 00 66 D3 E7 66 09 B8 B8 16 00 00 01 90 BC 16 00 00 4E 81 FE 00 01 00 00 73 08 8A 96 ?? ?? ?? ?? EB 0B 8B CE C1 E9 07 8A 91 ?? ?? ?? ?? 81 E2 FF 00 00 00 8B 4D 10 0F B7 4C 91 02 89 4D E8 B9 10 00 00 00 2B 4D E8 3B 88 BC 16 00 00 7D 7D 8B 4D 10 0F B7 0C 91 89 4D E4 66 8B 7D E4 8B 88 BC 16 00 00 66 D3 E7 66 09 B8 B8 16 00 00 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 5F 8A 88 B8 16 00 00 80 E1 FF 88 0F 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 0F B7 88 B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 88 BC 16 00 00 0F B7 7D E4 D3 FF 66 89 B8 B8 16 00 00 8B 4D E8 83 E9 10 03 88 BC 16 00 00 89 88 BC 16 00 00 EB 20 8B 88 BC 16 00 00 8B 7D 10 66 8B 3C 97 66 D3 E7 66 09 B8 B8 16 00 00 8B 4D E8 01 88 BC 16 00 00 8B 0C 95 ?? ?? ?? ?? 85 C9 0F 84 9B 00 00 00 2B 34 95 ?? ?? ?? ?? 8B D1 B9 10 00 00 00 2B CA 3B 88 BC 16 00 00 7D 6D 8B 88 BC 16 00 00 8B FE 66 D3 E7 66 09 B8 B8 16 00 00 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 5F 8A 88 B8 16 00 00 80 E1 FF 88 0F 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 0F B7 88 B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 88 BC 16 00 00 0F B7 F6 D3 FE 66 89 B0 B8 16 00 00 83 EA 10 03 90 BC 16 00 00 89 90 BC 16 00 00 EB 16 8B 88 BC 16 00 00 66 D3 E6 66 09 B0 B8 16 00 00 01 90 BC 16 00 00 8B 55 F8 3B 90 A0 16 00 00 0F 82 17 FC FF FF 0F B7 93 02 04 00 00 B9 10 00 00 00 2B CA 3B 88 BC 16 00 00 7D 74 0F B7 B3 00 04 00 00 8B 88 BC 16 00 00 8B FE 66 D3 E7 66 09 B8 B8 16 00 00 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 5F 8A 88 B8 16 00 00 80 E1 FF 88 0F 8B 48 14 FF 40 14 8B 78 08 8D 0C 0F 51 0F B7 88 B8 16 00 00 C1 F9 08 5F 88 0F B9 10 00 00 00 2B 88 BC 16 00 00 0F B7 F6 D3 FE 66 89 B0 B8 16 00 00 83 EA 10 03 90 BC 16 00 00 89 90 BC 16 00 00 EB 1D 66 8B B3 00 04 00 00 8B 88 BC 16 00 00 66 D3 E6 66 09 B0 B8 16 00 00 01 90 BC 16 00 00 0F B7 93 02 04 00 00 89 90 B4 16 00 00 5F 5E 5B 8B E5 5D C3 90 90 90 55 8B EC 53 33 C0 8B 5D 08 B9 7F C0 FF F3 8D 93 94 00 00 00 F6 C1 01 74 0B 66 83 3A 00 74 05 33 C0 5B 5D C3 83 C2 04 40 D1 E9 83 F8 1F 7E E5 66 83 BB B8 00 00 00 00 75 14 66 83 BB BC 00 00 00 00 75 0A 66 83 BB C8 00 00 00 00 74 08 B8 01 00 00 00 5B 5D C3 B8 20 00 00 00 8D 93 14 01 00 00 66 83 3A 00 74 08 B8 01 00 00 00 5B 5D C3 40 83 C2 04 3D 00 01 00 00 7C E7 33 C0 5B 5D C3 90 90 55 8B EC 8B 55 08 33 C0 8B CA 83 E1 01 D1 EA 0B C1 03 C0 FF 4D 0C 8B 4D 0C 85 C9 7F EB D1 E8 5D C3 90 90 90 55 8B EC 53 8B 45 08 83 B8 BC 16 00 00 10 75 3F 8B 50 14 FF 40 14 8B 48 08 8A 98 B8 16 00 00 80 E3 FF 88 1C 11 8B 50 14 FF 40 14 8B 48 08 0F B7 98 B8 16 00 00 C1 FB 08 88 1C 11 66 C7 80 B8 16 00 00 00 00 33 D2 89 90 BC 16 00 00 5B 5D C3 83 B8 BC 16 00 00 08 7C 21 8B 48 14 FF 40 14 8B 50 08 8A 98 B8 16 00 00 88 1C 0A 66 C1 A8 B8 16 00 00 08 83 A8 BC 16 00 00 08 5B 5D C3 55 8B EC 53 8B 45 08 83 B8 BC 16 00 00 08 7E 2D 8B 50 14 FF 40 14 8B 48 08 8A 98 B8 16 00 00 80 E3 FF 88 1C 11 8B 50 14 FF 40 14 8B 48 08 0F B7 98 B8 16 00 00 C1 FB 08 88 1C 11 EB 1B 83 B8 BC 16 00 00 00 7E 12 8B 50 14 FF 40 14 8B 48 08 8A 98 B8 16 00 00 88 1C 11 66 C7 80 B8 16 00 00 00 00 33 D2 89 90 BC 16 00 00 5B 5D C3 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 53 E8 7F FF FF FF 59 C7 83 B4 16 00 00 08 00 00 00 83 7D 14 00 74 69 8B 53 14 FF 43 14 8B 4B 08 8D 14 11 52 8B C7 8B C8 80 E1 FF 5A 88 0A 8B 4B 14 FF 43 14 8B 53 08 8D 0C 0A 51 0F B7 D7 C1 FA 08 59 88 11 8B 53 14 FF 43 14 8B 4B 08 F6 D0 8D 14 11 24 FF 52 59 88 01 8B 43 14 FF 43 14 8B 53 08 8B CF 66 F7 D1 0F B7 C9 C1 F9 08 88 0C 02 EB 0F 8B 43 14 FF 43 14 8B 53 08 8A 0E 88 0C 02 46 8B C7 83 C7 FF 85 C0 75 E8 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_38943_0 {
	meta:
		name = "uncompress"
		size = 177
		refs = "004f _DV_. 0055 inflateInit_ 006a inflate 007a inflateEnd"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 8D 7D C8 8B 45 14 8B 75 0C 8B 55 10 89 17 8B D0 89 57 04 3B C2 74 0A B8 FB FF FF FF E9 80 00 00 00 8B 4D 08 89 4F 0C 8B 16 8B C2 89 47 10 3B D0 74 07 B8 FB FF FF FF EB 68 33 D2 33 C9 89 57 20 89 4F 24 6A 38 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 83 C4 0C 8B D8 85 DB 74 04 8B C3 EB 44 6A 04 57 E8 ?? ?? ?? ?? 83 C4 08 8B D8 83 FB 01 74 22 57 E8 ?? ?? ?? ?? 59 83 FB 02 74 0B 83 FB FB 75 0D 83 7F 04 00 75 07 B8 FD FF FF FF EB 14 8B C3 EB 10 8B 57 14 89 16 57 E8 ?? ?? ?? ?? 59 8B D8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38945_0 {
	meta:
		name = "zlibCompileFlags"
		size = 156
	strings:
		$1 = { 33 C0 BA 04 00 00 00 83 EA 02 74 19 83 EA 02 74 09 83 EA 04 74 07 EB 0A EB 0B 40 EB 08 83 C0 02 EB 03 83 C0 03 B9 04 00 00 00 83 E9 02 74 1B 83 E9 02 74 09 83 E9 04 74 09 EB 0C EB 0D 83 C0 04 EB 08 83 C0 08 EB 03 83 C0 0C BA 04 00 00 00 83 EA 02 74 1B 83 EA 02 74 09 83 EA 04 74 09 EB 0C EB 0D 83 C0 10 EB 08 83 C0 20 EB 03 83 C0 30 B9 04 00 00 00 83 E9 02 74 1F 83 E9 02 74 09 83 E9 04 74 09 EB 0E EB 11 83 C0 40 EB 0C 05 80 00 00 00 EB 05 05 C0 00 00 00 C3 90 90 90 }
	condition:
		$1
}

rule function_38946_0 {
	meta:
		name = "zError"
		size = 20
		refs = "000e z_errmsg"
	strings:
		$1 = { 55 8B EC B8 02 00 00 00 2B 45 08 8B 04 85 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_38947_0 {
	meta:
		name = "zcalloc"
		size = 36
		refs = "001a malloc"
	strings:
		$1 = { 55 8B EC 8B 45 10 8B 55 0C 83 7D 08 00 74 06 8B C8 2B C8 03 D1 0F AF D0 52 E8 ?? ?? ?? ?? 59 5D C3 90 90 90 }
	condition:
		$1
}

rule function_38948_0 {
	meta:
		name = "zcfree"
		size = 19
		refs = "0008 free"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 E8 ?? ?? ?? ?? 83 7D 08 00 59 5D C3 }
	condition:
		$1
}

rule function_38949_0 {
	meta:
		name = "_DF_."
		size = 49
		refs = "001f gzclose_r 0028 gzclose_w"
		altNames = "gzclose"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 85 DB 75 07 B8 FE FF FF FF EB 1A 8B F3 81 3E 4F 1C 00 00 75 09 53 E8 ?? ?? ?? ?? 59 EB 07 53 E8 ?? ?? ?? ?? 59 5E 5B 5D C3 }
	condition:
		$1
}

rule function_38950_0 {
	meta:
		name = "_DF_."
		size = 3244
		refs = "0023 read 0039 __errno 0041 strerror 004b gz_error 01bc malloc 01e8 free 01fc _DV_. 0240 inflateInit2_ 05fb inflateReset 0607 crc32 064c memcpy 06c3 inflate 0c19 memchr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 14 8B 7D 10 8B 75 08 33 C0 89 03 8B D7 2B 13 52 8B 4D 0C 03 0B 51 8B 4E 04 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 7E 06 01 03 3B 3B 77 DF 85 C0 7D 1F E8 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 59 50 6A FF 56 E8 ?? ?? ?? ?? 83 C4 0C 83 C8 FF EB 0D 85 C0 75 07 C7 46 28 01 00 00 00 33 C0 5F 5E 5B 5D C3 90 90 90 55 8B EC 53 56 8B 5D 08 83 7B 4C 00 8D 73 54 74 05 83 C8 FF EB 2A 83 7B 28 00 75 22 8D 56 04 52 8B 4B 10 51 8B 4B 18 51 53 E8 66 FF FF FF 83 C4 10 40 75 05 83 C8 FF EB 07 8B 53 18 89 16 33 C0 5E 5B 5D C3 55 8B EC 53 56 57 8B 75 08 8D 5E 54 83 7B 04 00 75 0F 56 E8 A4 FF FF FF 59 40 75 05 83 CF FF EB 1C 83 7B 04 00 75 05 83 CF FF EB 11 FF 4B 04 8B 03 FF 03 8A 10 8B FA 81 E7 FF 00 00 00 83 7B 04 00 75 0F 56 E8 73 FF FF FF 59 40 75 05 83 C8 FF EB 19 83 7B 04 00 75 05 83 C8 FF EB 0E FF 4B 04 8B 13 FF 03 8A 02 25 FF 00 00 00 C1 E0 08 03 F8 83 7B 04 00 75 0F 56 E8 40 FF FF FF 59 40 75 05 83 CA FF EB 1A 83 7B 04 00 75 05 83 CA FF EB 0F FF 4B 04 8B 03 FF 03 8A 10 81 E2 FF 00 00 00 C1 E2 10 03 FA 83 7B 04 00 75 0F 56 E8 0C FF FF FF 59 40 75 05 83 C8 FF EB 19 83 7B 04 00 75 05 83 C8 FF EB 0E FF 4B 04 8B 13 FF 03 8A 02 25 FF 00 00 00 83 F8 FF 75 05 83 C8 FF EB 0C C1 E0 18 8B 55 0C 03 F8 33 C0 89 3A 5F 5E 5B 5D C3 90 90 90 55 8B EC 51 53 56 57 8B 75 08 83 7E 10 00 8D 5E 54 0F 85 C5 00 00 00 8B 46 14 50 E8 ?? ?? ?? ?? 59 89 46 18 8B 56 14 03 D2 52 E8 ?? ?? ?? ?? 59 89 46 1C 83 7E 18 00 74 06 83 7E 1C 00 75 34 8B 46 1C 85 C0 74 07 50 E8 ?? ?? ?? ?? 59 8B 46 18 85 C0 74 07 50 E8 ?? ?? ?? ?? 59 68 ?? ?? ?? ?? 6A FC 56 E8 ?? ?? ?? ?? 83 C4 0C 83 C8 FF E9 5B 04 00 00 8B 56 14 33 C9 89 56 10 89 4E 74 33 C9 33 C0 89 4E 78 89 46 7C 33 D2 33 C9 89 56 58 89 4E 54 6A 38 68 ?? ?? ?? ?? 8D 46 54 6A F1 50 E8 ?? ?? ?? ?? 83 C4 10 85 C0 74 31 8B 56 1C 52 E8 ?? ?? ?? ?? 59 8B 46 18 50 E8 ?? ?? ?? ?? 59 33 D2 89 56 10 68 ?? ?? ?? ?? 6A FC 56 E8 ?? ?? ?? ?? 83 C4 0C 83 C8 FF E9 F2 03 00 00 83 7B 04 00 75 1F 56 E8 E4 FD FF FF 59 40 75 08 83 C8 FF E9 DA 03 00 00 83 7B 04 00 75 07 33 C0 E9 CD 03 00 00 8B 13 33 C9 8A 0A 83 F9 1F 0F 85 80 03 00 00 FF 4B 04 FF 03 83 7B 04 00 75 12 56 E8 AB FD FF FF 59 40 75 08 83 C8 FF E9 A1 03 00 00 83 7B 04 00 0F 84 4C 03 00 00 8B 13 33 C9 8A 0A 81 F9 8B 00 00 00 0F 85 3A 03 00 00 FF 4B 04 FF 03 83 7B 04 00 75 0F 56 E8 72 FD FF FF 59 40 75 05 83 C9 FF EB 1A 83 7B 04 00 75 05 83 C9 FF EB 0F FF 4B 04 8B 03 FF 03 8A 08 81 E1 FF 00 00 00 83 F9 08 74 18 68 ?? ?? ?? ?? 6A FD 56 E8 ?? ?? ?? ?? 83 C4 0C 83 C8 FF E9 34 03 00 00 83 7B 04 00 75 0F 56 E8 26 FD FF FF 59 40 75 05 83 CA FF EB 1A 83 7B 04 00 75 05 83 CA FF EB 0F FF 4B 04 8B 03 FF 03 8A 10 81 E2 FF 00 00 00 89 55 FC F6 45 FC E0 74 18 68 ?? ?? ?? ?? 6A FD 56 E8 ?? ?? ?? ?? 83 C4 0C 83 C8 FF E9 E4 02 00 00 83 7B 04 00 75 0A 56 E8 D6 FC FF FF 59 40 74 1A 83 7B 04 00 75 05 83 C9 FF EB 0F FF 4B 04 8B 0B FF 03 8A 09 81 E1 FF 00 00 00 83 7B 04 00 75 0A 56 E8 AC FC FF FF 59 40 74 19 83 7B 04 00 75 05 83 C8 FF EB 0E FF 4B 04 8B 13 FF 03 8A 02 25 FF 00 00 00 83 7B 04 00 75 0A 56 E8 83 FC FF FF 59 40 74 1A 83 7B 04 00 75 05 83 CA FF EB 0F FF 4B 04 8B 0B FF 03 8A 11 81 E2 FF 00 00 00 83 7B 04 00 75 0A 56 E8 59 FC FF FF 59 40 74 19 83 7B 04 00 75 05 83 C8 FF EB 0E FF 4B 04 8B 0B FF 03 8A 01 25 FF 00 00 00 83 7B 04 00 75 0A 56 E8 30 FC FF FF 59 40 74 1A 83 7B 04 00 75 05 83 CA FF EB 0F FF 4B 04 8B 0B FF 03 8A 11 81 E2 FF 00 00 00 83 7B 04 00 75 0A 56 E8 06 FC FF FF 59 40 74 19 83 7B 04 00 75 05 83 C8 FF EB 0E FF 4B 04 8B 0B FF 03 8A 01 25 FF 00 00 00 F6 45 FC 04 0F 84 A2 00 00 00 83 7B 04 00 75 0F 56 E8 D3 FB FF FF 59 40 75 05 83 CF FF EB 1C 83 7B 04 00 75 05 83 CF FF EB 11 FF 4B 04 8B 03 FF 03 8A 10 8B FA 81 E7 FF 00 00 00 83 7B 04 00 75 0F 56 E8 A2 FB FF FF 59 40 75 05 83 C8 FF EB 19 83 7B 04 00 75 05 83 C8 FF EB 0E FF 4B 04 8B 13 FF 03 8A 02 25 FF 00 00 00 C1 E0 08 03 F8 EB 33 83 7B 04 00 75 0F 56 E8 6D FB FF FF 59 40 75 05 83 CA FF EB 1A 83 7B 04 00 75 05 83 CA FF EB 0F FF 4B 04 8B 03 FF 03 8A 10 81 E2 FF 00 00 00 85 D2 7C 09 8B C7 83 C7 FF 85 C0 75 C4 F6 45 FC 08 74 33 83 7B 04 00 75 0F 56 E8 2B FB FF FF 59 40 75 05 83 C9 FF EB 1A 83 7B 04 00 75 05 83 C9 FF EB 0F FF 4B 04 8B 03 FF 03 8A 08 81 E1 FF 00 00 00 85 C9 7F CD F6 45 FC 10 74 32 83 7B 04 00 75 0F 56 E8 F2 FA FF FF 59 40 75 05 83 C8 FF EB 19 83 7B 04 00 75 05 83 C8 FF EB 0E FF 4B 04 8B 13 FF 03 8A 02 25 FF 00 00 00 85 C0 7F CE F6 45 FC 02 74 53 83 7B 04 00 75 0A 56 E8 BA FA FF FF 59 40 74 1A 83 7B 04 00 75 05 83 CA FF EB 0F FF 4B 04 8B 0B FF 03 8A 11 81 E2 FF 00 00 00 83 7B 04 00 75 0A 56 E8 90 FA FF FF 59 40 74 19 83 7B 04 00 75 05 83 C8 FF EB 0E FF 4B 04 8B 0B FF 03 8A 01 25 FF 00 00 00 53 E8 ?? ?? ?? ?? 59 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 89 43 30 33 D2 C7 46 34 02 00 00 00 83 C4 0C 33 C0 89 56 38 EB 4D EB 0D 8B 56 1C C6 02 1F C7 46 24 01 00 00 00 8B 4E 0C 89 4E 30 8B 46 1C 89 46 20 8B 53 04 85 D2 74 1B 52 8B 0B 51 03 46 24 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4B 04 01 4E 24 33 C0 89 43 04 C7 46 34 01 00 00 00 C7 46 38 01 00 00 00 33 C0 5F 5E 5B 59 5D C3 55 8B EC 83 C4 F4 53 56 57 8B 75 08 8D 5E 54 8B 43 10 89 45 FC 83 7B 04 00 75 12 56 E8 D7 F9 FF FF 59 40 75 08 83 C8 FF E9 47 01 00 00 83 7B 04 00 75 18 68 ?? ?? ?? ?? 6A FD 56 E8 ?? ?? ?? ?? 83 C4 0C 83 C8 FF E9 29 01 00 00 6A 00 53 E8 ?? ?? ?? ?? 83 C4 08 8B F8 83 FF FE 74 05 83 FF 02 75 18 68 ?? ?? ?? ?? 6A FE 56 E8 ?? ?? ?? ?? 83 C4 0C 83 C8 FF E9 FA 00 00 00 83 FF FC 75 18 68 ?? ?? ?? ?? 6A FC 56 E8 ?? ?? ?? ?? 83 C4 0C 83 C8 FF E9 DD 00 00 00 83 FF FD 75 24 83 7B 18 00 75 07 BA ?? ?? ?? ?? EB 03 8B 53 18 52 6A FD 56 E8 ?? ?? ?? ?? 83 C4 0C 83 C8 FF E9 B4 00 00 00 8B 43 10 85 C0 74 09 83 FF 01 0F 85 45 FF FF FF 8B 55 FC 2B D0 89 56 24 8B 4B 0C 2B 4E 24 89 4E 20 8B 4E 24 51 8B 46 20 50 8B 53 30 52 E8 ?? ?? ?? ?? 83 C4 0C 89 43 30 4F 75 77 8D 4D F8 51 56 E8 37 F9 FF FF 83 C4 08 40 74 10 8D 45 F4 50 56 E8 27 F9 FF FF 83 C4 08 40 75 15 68 ?? ?? ?? ?? 6A FD 56 E8 ?? ?? ?? ?? 83 C4 0C 83 C8 FF EB 44 8B 55 F8 3B 53 30 74 15 68 ?? ?? ?? ?? 6A FD 56 E8 ?? ?? ?? ?? 83 C4 0C 83 C8 FF EB 27 8B 53 14 83 E2 FF 3B 55 F4 74 15 68 ?? ?? ?? ?? 6A FD 56 E8 ?? ?? ?? ?? 83 C4 0C 83 C8 FF EB 07 33 D2 89 56 34 33 C0 5F 5E 5B 8B E5 5D C3 90 55 8B EC 53 56 8B 5D 08 83 7B 34 00 8D 73 54 75 19 53 E8 99 F9 FF FF 59 40 75 05 83 C8 FF EB 5C 83 7B 24 00 74 04 33 C0 EB 52 83 7B 34 01 75 27 8D 53 24 52 8B 4B 10 03 C9 51 8B 4B 1C 51 53 E8 CC F7 FF FF 83 C4 10 40 75 05 83 C8 FF EB 2D 8B 53 1C 89 53 20 EB 23 83 7B 34 02 75 1D 8B 4B 10 03 C9 89 4E 10 8B 43 1C 89 46 0C 53 E8 13 FE FF FF 59 40 75 05 83 C8 FF EB 02 33 C0 5E 5B 5D C3 55 8B EC 53 56 8B 75 0C 8B 5D 08 85 F6 74 4C 83 7B 24 00 74 27 81 7B 24 FF FF FF 7F 77 05 3B 73 24 7D 04 8B C6 EB 03 8B 43 24 29 43 24 01 43 20 8B 53 0C 03 D0 2B F0 89 53 0C EB 1B 83 7B 28 00 74 06 83 7B 58 00 74 13 53 E8 32 FF FF FF 59 40 75 05 83 C8 FF EB 06 85 F6 75 B4 33 C0 5E 5B 5D C3 90 90 90 55 8B EC 83 C4 F8 53 56 57 8B 75 10 8B 45 08 85 C0 75 08 83 C8 FF E9 39 01 00 00 8B D8 8D 7B 54 81 3B 4F 1C 00 00 75 06 83 7B 4C 00 74 08 83 C8 FF E9 1E 01 00 00 85 F6 7D 18 68 ?? ?? ?? ?? 6A FB 53 E8 ?? ?? ?? ?? 83 C4 0C 83 C8 FF E9 02 01 00 00 85 F6 75 07 33 C0 E9 F7 00 00 00 83 7B 48 00 74 1D 33 D2 89 53 48 8B 4B 44 51 53 E8 2A FF FF FF 83 C4 08 40 75 08 83 C8 FF E9 D4 00 00 00 33 D2 89 55 FC 8B 43 24 85 C0 74 30 3B F0 73 04 8B D6 EB 03 8B 53 24 89 55 F8 8B 45 F8 50 8B 4B 20 51 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 F8 01 43 20 8B 55 F8 29 53 24 EB 75 83 7B 28 00 74 0A 83 7F 04 00 0F 84 85 00 00 00 83 7B 34 00 74 09 8B 4B 10 03 C9 3B F1 73 11 53 E8 3B FE FF FF 59 40 75 64 83 C8 FF EB 6A EB 45 83 7B 34 01 75 1C 8D 55 F8 52 56 8B 4D 0C 51 53 E8 2B F6 FF FF 83 C4 10 40 75 2A 83 C8 FF EB 48 EB 23 89 77 10 8B 55 0C 89 57 0C 53 E8 83 FC FF FF 59 40 75 05 83 C8 FF EB 2E 8B 53 24 33 C9 89 55 F8 89 4B 24 2B 75 F8 8B 4D F8 01 4D 0C 8B 45 F8 01 45 FC 8B 53 0C 03 55 F8 89 53 0C 85 F6 0F 85 34 FF FF FF 8B 45 FC 5F 5E 5B 59 59 5D C3 90 55 8B EC 51 8B 55 08 85 D2 75 06 83 C8 FF 59 5D C3 8B C2 81 38 4F 1C 00 00 75 06 83 78 4C 00 74 06 83 C8 FF 59 5D C3 83 78 24 00 74 15 FF 48 24 FF 40 0C 8B 50 20 FF 40 20 33 C9 8A 0A 8B C1 59 5D C3 6A 01 8D 45 FF 50 52 E8 56 FE FF FF 83 C4 0C 48 7D 05 83 CA FF EB 05 33 D2 8A 55 FF 8B C2 59 5D C3 90 55 8B EC 53 56 8B 45 0C 8B 75 08 85 C0 75 08 83 C8 FF E9 BF 00 00 00 8B D8 81 3B 4F 1C 00 00 75 06 83 7B 4C 00 74 08 83 C8 FF E9 A7 00 00 00 83 7B 48 00 74 1D 33 D2 89 53 48 8B 4B 44 51 53 E8 98 FD FF FF 83 C4 08 40 75 08 83 C8 FF E9 84 00 00 00 85 F6 7D 05 83 C8 FF EB 7B 83 7B 24 00 75 1E C7 43 24 01 00 00 00 8B 43 10 03 C0 03 43 1C 48 89 43 20 8B D6 88 10 FF 4B 0C 8B C6 EB 57 8B 53 10 03 D2 3B 53 24 75 15 68 ?? ?? ?? ?? 6A FB 53 E8 ?? ?? ?? ?? 83 C4 0C 83 C8 FF EB 38 8B 53 1C 3B 53 20 75 1E 8B C2 8B 4B 10 03 43 24 03 C9 03 CA 8B D1 EB 06 4A 48 8A 08 88 0A 3B 43 1C 77 F5 89 53 20 FF 43 24 FF 4B 20 8B C6 8B 53 20 88 02 8B C6 FF 4B 0C 5E 5B 5D C3 90 90 55 8B EC 83 C4 F8 53 56 57 8B 75 10 8B 45 08 85 C0 74 0B 83 7D 0C 00 74 05 83 FE 01 7D 07 33 C0 E9 D8 00 00 00 8B D8 81 3B 4F 1C 00 00 75 06 83 7B 4C 00 74 07 33 C0 E9 C1 00 00 00 83 7B 48 00 74 1C 33 D2 89 53 48 8B 4B 44 51 53 E8 AF FC FF FF 83 C4 08 40 75 07 33 C0 E9 9F 00 00 00 8B FE 8B 55 0C 4F 89 55 FC 85 FF 0F 84 85 00 00 00 83 7B 24 00 75 20 53 E8 05 FC FF FF 59 40 75 04 33 C0 EB 7A 83 7B 24 00 75 0C 8B 55 0C 3B 55 FC 75 63 33 C0 EB 68 3B 7B 24 73 04 8B F7 EB 03 8B 73 24 56 6A 0A 8B 43 20 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 83 7D F8 00 74 07 8B 75 F8 2B 73 20 46 56 8B 43 20 50 8B 55 0C 52 E8 ?? ?? ?? ?? 29 73 24 8B C6 01 43 20 83 C4 0C 8B 53 0C 2B FE 03 D6 89 53 0C 01 45 0C 85 FF 74 0A 83 7D F8 00 0F 84 7B FF FF FF 8B 4D 0C C6 01 00 8B 45 FC 5F 5E 5B 59 59 5D C3 55 8B EC 53 8B 45 08 85 C0 75 05 33 C0 5B 5D C3 8B D8 81 3B 4F 1C 00 00 74 05 33 C0 5B 5D C3 83 7B 34 00 75 0D 83 7B 24 00 75 07 53 E8 FB F4 FF FF 59 8B 43 38 5B 5D C3 }
	condition:
		$1
}

rule function_38951_0 {
	meta:
		name = "gzclose_r"
		size = 129
		refs = "002f inflateEnd 0039 free 004e gz_error 0064 close"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 85 C0 75 07 B8 FE FF FF FF EB 6A 8B D8 81 3B 4F 1C 00 00 74 07 B8 FE FF FF FF EB 59 83 7B 10 00 74 1E 8D 53 54 52 E8 ?? ?? ?? ?? 59 8B 4B 1C 51 E8 ?? ?? ?? ?? 59 8B 4B 18 51 E8 ?? ?? ?? ?? 59 6A 00 6A 00 53 E8 ?? ?? ?? ?? 83 C4 0C 8B 43 08 50 E8 ?? ?? ?? ?? 59 8B 53 04 52 E8 ?? ?? ?? ?? 59 8B F0 53 E8 ?? ?? ?? ?? 59 85 F6 74 05 83 C8 FF EB 02 33 C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_38952_0 {
	meta:
		name = "_DF_."
		size = 1596
		refs = "0010 malloc 003a free 004e _DV_. 0056 gz_error 0088 deflateInit2_ 011c write 0130 __errno 0138 strerror 016f deflate 01a3 deflateReset 020f memset 031a memcpy 043e strlen 04f8 _vsnprintf 0626 deflateParams"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8D 73 54 8B 43 14 50 E8 ?? ?? ?? ?? 59 89 43 18 8B 53 14 52 E8 ?? ?? ?? ?? 59 89 43 1C 83 7B 18 00 74 06 83 7B 1C 00 75 31 8B 43 1C 85 C0 74 07 50 E8 ?? ?? ?? ?? 59 8B 43 18 85 C0 74 07 50 E8 ?? ?? ?? ?? 59 68 ?? ?? ?? ?? 6A FC 53 E8 ?? ?? ?? ?? 83 C4 0C 83 C8 FF EB 64 33 D2 89 56 20 33 C9 89 4E 24 33 C9 89 4E 28 6A 38 68 ?? ?? ?? ?? 8B 43 40 50 6A 08 6A 1F 6A 08 8B 53 3C 52 56 E8 ?? ?? ?? ?? 83 C4 20 85 C0 74 1F 8B 4B 18 51 E8 ?? ?? ?? ?? 59 68 ?? ?? ?? ?? 6A FC 53 E8 ?? ?? ?? ?? 83 C4 0C 83 C8 FF EB 14 8B 43 14 89 43 10 89 46 10 8B 43 1C 89 46 0C 89 43 20 33 C0 5E 5B 5D C3 90 90 55 8B EC 51 53 56 57 8B 75 08 83 7E 10 00 8D 5E 54 75 12 56 E8 1B FF FF FF 59 40 75 08 83 C8 FF E9 B9 00 00 00 33 C0 83 7B 10 00 74 0F 83 7D 0C 00 74 67 83 7D 0C 04 75 03 48 75 5E 8B 7B 0C 2B 7E 20 85 FF 74 3C 57 8B 46 20 50 8B 56 04 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 85 C0 7C 05 3B 7D FC 74 1F E8 ?? ?? ?? ?? 8B 10 52 E8 ?? ?? ?? ?? 59 50 6A FF 56 E8 ?? ?? ?? ?? 83 C4 0C 83 C8 FF EB 5C 83 7B 10 00 75 0C 8B 56 10 89 53 10 8B 4E 1C 89 4B 0C 8B 4B 0C 89 4E 20 8B 7B 10 8B 45 0C 50 53 E8 ?? ?? ?? ?? 83 C4 08 83 F8 FE 75 15 68 ?? ?? ?? ?? 6A FE 56 E8 ?? ?? ?? ?? 83 C4 0C 83 C8 FF EB 1A 2B 7B 10 85 FF 0F 85 58 FF FF FF 83 7D 0C 04 75 07 53 E8 ?? ?? ?? ?? 59 33 C0 5F 5E 5B 59 5D C3 55 8B EC 83 C4 F8 53 56 57 8B 75 0C 8B 5D 08 8D 43 54 89 45 F8 8B 55 F8 83 7A 04 00 74 13 6A 00 53 E8 F6 FE FF FF 83 C4 08 40 75 05 83 C8 FF EB 6B C7 45 FC 01 00 00 00 85 F6 74 5E 81 7B 10 FF FF FF 7F 77 05 3B 73 10 7D 04 8B FE EB 03 8B 7B 10 83 7D FC 00 74 14 57 6A 00 8B 43 18 50 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 89 55 FC 8B 4D F8 89 79 04 8B 4D F8 8B 43 18 89 01 8B 53 0C 03 D7 89 53 0C 6A 00 53 E8 93 FE FF FF 83 C4 08 40 75 05 83 C8 FF EB 08 2B F7 85 F6 75 A2 33 C0 5F 5E 5B 59 59 5D C3 90 55 8B EC 83 C4 F8 53 56 57 8B 75 10 8B 45 08 89 75 FC 85 C0 75 07 33 C0 E9 1F 01 00 00 8B D8 8D 7B 54 81 3B B1 79 00 00 75 06 83 7B 4C 00 74 07 33 C0 E9 05 01 00 00 85 F6 7D 17 68 ?? ?? ?? ?? 6A FB 53 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 E9 EA 00 00 00 85 F6 75 07 33 C0 E9 DF 00 00 00 83 7B 10 00 75 11 53 E8 43 FD FF FF 59 40 75 07 33 C0 E9 C8 00 00 00 83 7B 48 00 74 1C 33 D2 89 53 48 8B 4B 44 51 53 E8 D3 FE FF FF 83 C4 08 40 75 07 33 C0 E9 A6 00 00 00 3B 73 10 73 66 83 7F 04 00 75 05 8B 53 18 89 17 8B 4B 10 2B 4F 04 89 4D F8 3B 75 F8 73 03 89 75 F8 8B 4D F8 51 8B 45 0C 50 8B 17 03 57 04 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D F8 01 4F 04 8B 43 0C 03 45 F8 89 43 0C 8B 55 F8 01 55 0C 2B 75 F8 85 F6 74 12 6A 00 53 E8 87 FD FF FF 83 C4 08 40 75 04 33 C0 EB 41 85 F6 75 9C EB 38 83 7F 04 00 74 12 6A 00 53 E8 69 FD FF FF 83 C4 08 40 75 04 33 C0 EB 23 89 77 04 8B 55 0C 89 17 03 73 0C 89 73 0C 6A 00 53 E8 49 FD FF FF 83 C4 08 40 75 04 33 C0 EB 03 8B 45 FC 5F 5E 5B 59 59 5D C3 90 55 8B EC 51 53 56 57 83 7D 08 00 8B 7D 0C 75 05 83 C8 FF EB 7F 8B 5D 08 8D 73 54 81 3B B1 79 00 00 75 06 83 7B 4C 00 74 05 83 C8 FF EB 66 83 7B 48 00 74 1A 33 D2 89 53 48 8B 4B 44 51 53 E8 D5 FD FF FF 83 C4 08 40 75 05 83 C8 FF EB 46 8B 46 04 3B 43 10 73 1D 85 C0 75 05 8B 53 18 89 16 8B 4E 04 FF 46 04 8B 36 8B C7 88 04 0E FF 43 0C 8B C7 EB 21 8B D7 8D 4D FF 88 55 FF 6A 01 51 8B 45 08 50 E8 35 FE FF FF 83 C4 0C 48 74 05 83 C8 FF EB 02 8B C7 5F 5E 5B 59 5D C3 90 90 55 8B EC 53 56 8B 75 0C 56 E8 ?? ?? ?? ?? 59 8B D8 53 56 8B 45 08 50 E8 04 FE FF FF 83 C4 0C 85 C0 75 09 85 DB 74 05 83 CA FF EB 02 8B D0 8B C2 5E 5B 5D C3 55 8B EC 53 56 57 8B 45 08 85 C0 75 08 83 C8 FF E9 A3 00 00 00 8B D8 8D 7B 54 81 3B B1 79 00 00 75 06 83 7B 4C 00 74 07 33 C0 E9 89 00 00 00 83 7B 10 00 75 0E 53 E8 5D FB FF FF 59 40 75 04 33 C0 EB 75 83 7B 48 00 74 19 33 D2 89 53 48 8B 4B 44 51 53 E8 F0 FC FF FF 83 C4 08 40 75 04 33 C0 EB 56 83 7F 04 00 74 12 6A 00 53 E8 F4 FB FF FF 83 C4 08 40 75 04 33 C0 EB 3E 8B 73 10 8B 43 18 8D 55 10 C6 44 30 FF 00 52 8B 4D 0C 51 56 50 E8 ?? ?? ?? ?? 83 C4 10 85 C0 7E 0E 3B F0 7E 0A 8B 53 18 80 7C 32 FF 00 74 04 33 C0 EB 0B 89 47 04 8B 4B 18 89 0F 01 43 0C 5F 5E 5B 5D C3 90 90 90 55 8B EC 53 56 8B 75 0C 8B 45 08 85 C0 75 05 83 C8 FF EB 54 8B D8 81 3B B1 79 00 00 75 06 83 7B 4C 00 74 07 B8 FE FF FF FF EB 3D 85 F6 7C 05 83 FE 04 7E 07 B8 FE FF FF FF EB 2D 83 7B 48 00 74 1A 33 D2 89 53 48 8B 4B 44 51 53 E8 38 FC FF FF 83 C4 08 40 75 05 83 C8 FF EB 0D 56 53 E8 42 FB FF FF 83 C4 08 8B 43 4C 5E 5B 5D C3 55 8B EC 51 53 56 57 8B 7D 10 8B 75 0C 8B 45 08 85 C0 75 0A B8 FE FF FF FF E9 83 00 00 00 8B D8 8D 43 54 89 45 FC 81 3B B1 79 00 00 75 06 83 7B 4C 00 74 07 B8 FE FF FF FF EB 66 3B 73 3C 75 09 3B 7B 40 75 04 33 C0 EB 58 83 7B 48 00 74 1A 33 D2 89 53 48 8B 4B 44 51 53 E8 BE FB FF FF 83 C4 08 40 75 05 83 C8 FF EB 38 83 7B 10 00 74 2A 8B 55 FC 83 7A 04 00 74 13 6A 01 53 E8 B8 FA FF FF 83 C4 08 40 75 05 8B 43 4C EB 16 57 56 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 89 73 3C 89 7B 40 33 C0 5F 5E 5B 59 5D C3 90 }
	condition:
		$1
}

rule function_38953_0 {
	meta:
		name = "gzclose_w"
		size = 167
		refs = "0055 deflateEnd 005f free 0074 gz_error 008a close"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 33 F6 85 C0 75 0A B8 FE FF FF FF E9 8B 00 00 00 8B D8 81 3B B1 79 00 00 74 07 B8 FE FF FF FF EB 7A 83 7B 48 00 74 14 33 D2 89 53 48 8B 4B 44 51 53 E8 36 FB FF FF 83 C4 08 03 F0 6A 04 53 E8 45 FA FF FF 83 C4 08 03 F0 8D 4B 54 51 E8 ?? ?? ?? ?? 59 8B 43 1C 50 E8 ?? ?? ?? ?? 59 8B 53 18 52 E8 ?? ?? ?? ?? 59 6A 00 6A 00 53 E8 ?? ?? ?? ?? 83 C4 0C 8B 4B 08 51 E8 ?? ?? ?? ?? 59 8B 43 04 50 E8 ?? ?? ?? ?? 59 03 F0 53 E8 ?? ?? ?? ?? 59 85 F6 74 05 83 C8 FF EB 02 33 C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_38954_0 {
	meta:
		name = "_DF_."
		size = 1568
		refs = "0056 malloc 00f3 free 0140 strlen 01c5 open 0205 lseek 0279 _DV_. 027f sprintf"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 81 3B 4F 1C 00 00 75 16 33 C0 89 43 24 33 D2 89 53 28 33 C9 89 4B 34 C7 43 38 01 00 00 00 33 C9 89 4B 48 6A 00 6A 00 53 E8 EC 05 00 00 83 C4 0C 33 C0 89 43 0C 33 D2 89 53 58 5B 5D C3 55 8B EC 53 56 57 8B 75 10 8B 7D 08 68 8C 00 00 00 E8 ?? ?? ?? ?? 59 8B D8 85 DB 75 07 33 C0 E9 BA 01 00 00 33 D2 33 C9 89 53 10 C7 43 14 00 20 00 00 89 4B 50 33 C9 89 0B 33 C0 C7 43 3C FF FF FF FF 89 43 40 E9 94 00 00 00 8A 06 3C 30 7C 0F 3C 39 7F 0B 0F BE D0 83 C2 D0 89 53 3C EB 7E 0F BE 0E 83 F9 62 7F 18 74 74 83 E9 2B 74 3F 83 E9 1B 74 63 83 E9 0C 74 55 83 E9 0F 74 28 EB 5E 83 E9 66 74 37 83 E9 02 74 3B 83 E9 0A 74 07 83 E9 05 74 0A EB 48 C7 03 4F 1C 00 00 EB 40 C7 03 B1 79 00 00 EB 38 C7 03 01 00 00 00 EB 30 53 E8 ?? ?? ?? ?? 59 33 C0 E9 23 01 00 00 C7 43 40 01 00 00 00 EB 19 C7 43 40 02 00 00 00 EB 10 C7 43 40 03 00 00 00 EB 07 C7 43 40 04 00 00 00 46 80 3E 00 0F 85 63 FF FF FF 83 3B 00 75 0E 53 E8 ?? ?? ?? ?? 59 33 C0 E9 E4 00 00 00 57 E8 ?? ?? ?? ?? 59 40 50 E8 ?? ?? ?? ?? 59 8B F0 89 73 08 85 F6 75 0E 53 E8 ?? ?? ?? ?? 59 33 C0 E9 BE 00 00 00 8B 53 08 33 C0 57 83 C9 FF F2 AE F7 D1 2B F9 8B F2 87 F7 8B D1 8B C7 C1 E9 02 F3 A5 8B CA 83 E1 03 F3 A4 83 7D 0C FF 5F 74 05 8B 75 0C EB 3B 68 B6 01 00 00 81 3B 4F 1C 00 00 75 04 33 C0 EB 19 81 3B B1 79 00 00 75 07 B8 00 02 00 00 EB 05 B8 00 08 00 00 0D 01 01 00 00 0D 00 80 00 00 50 57 E8 ?? ?? ?? ?? 83 C4 0C 8B F0 89 73 04 46 75 15 8B 43 08 50 E8 ?? ?? ?? ?? 59 53 E8 ?? ?? ?? ?? 59 33 C0 EB 39 83 3B 01 75 06 C7 03 B1 79 00 00 81 3B 4F 1C 00 00 75 1D 6A 01 6A 00 8B 53 04 52 E8 ?? ?? ?? ?? 83 C4 0C 8B F0 89 73 2C 46 75 05 33 C0 89 43 2C 53 E8 E1 FD FF FF 59 8B C3 5F 5E 5B 5D C3 90 55 8B EC 8B 45 0C 50 6A FF 8B 55 08 52 E8 0A FE FF FF 83 C4 0C 5D C3 90 55 8B EC 8B 45 0C 50 6A FF 8B 55 08 52 E8 F2 FD FF FF 83 C4 0C 5D C3 90 55 8B EC 53 56 8B 75 08 83 FE FF 74 0E 6A 13 E8 ?? ?? ?? ?? 59 8B D8 85 C0 75 04 33 C0 EB 28 56 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 0C 52 56 53 E8 B3 FD FF FF 83 C4 0C 8B F0 53 E8 ?? ?? ?? ?? 59 8B C6 5E 5B 5D C3 90 55 8B EC 8B 55 0C 8B 45 08 85 C0 75 05 83 C8 FF 5D C3 8B 08 81 F9 4F 1C 00 00 74 0D 81 F9 B1 79 00 00 74 05 83 C8 FF 5D C3 83 78 10 00 74 05 83 C8 FF 5D C3 85 D2 75 05 83 C8 FF 5D C3 89 50 14 33 C0 5D C3 55 8B EC 53 8B 45 08 85 C0 75 06 83 C8 FF 5B 5D C3 8B D8 81 3B 4F 1C 00 00 75 06 83 7B 4C 00 74 06 83 C8 FF 5B 5D C3 6A 00 8B 53 2C 52 8B 4B 04 51 E8 ?? ?? ?? ?? 83 C4 0C 40 75 06 83 C8 FF 5B 5D C3 53 E8 D0 FC FF FF 59 33 C0 5B 5D C3 90 90 55 8B EC 53 56 8B 45 10 8B 75 0C 8B 55 08 85 D2 75 08 83 C8 FF E9 1E 01 00 00 8B DA 8B 0B 81 F9 4F 1C 00 00 74 10 81 F9 B1 79 00 00 74 08 83 C8 FF E9 02 01 00 00 83 7B 4C 00 74 08 83 C8 FF E9 F4 00 00 00 85 C0 74 0D 83 F8 01 74 08 83 C8 FF E9 E3 00 00 00 85 C0 75 05 2B 73 0C EB 09 83 7B 48 00 74 03 03 73 44 33 C9 89 4B 48 81 3B 4F 1C 00 00 75 58 83 7B 34 01 75 52 8B 43 0C 03 C6 3B 43 30 7C 48 6A 01 8B D6 2B 53 24 52 8B 4B 04 51 E8 ?? ?? ?? ?? 83 C4 0C 40 75 08 83 C8 FF E9 95 00 00 00 33 D2 89 53 24 33 C9 89 4B 28 33 C9 89 4B 48 6A 00 6A 00 53 E8 2C 02 00 00 83 C4 0C 33 C0 89 43 58 01 73 0C 8B 43 0C EB 6C 85 F6 7D 28 81 3B 4F 1C 00 00 74 05 83 C8 FF EB 5B 03 73 0C 85 F6 7D 05 83 C8 FF EB 4F 52 E8 C1 FE FF FF 59 40 75 05 83 C8 FF EB 40 81 3B 4F 1C 00 00 75 25 81 7B 24 FF FF FF 7F 77 05 3B 73 24 7D 04 8B C6 EB 03 8B 43 24 29 43 24 01 43 20 8B 53 0C 03 D0 2B F0 89 53 0C 85 F6 74 0A C7 43 48 01 00 00 00 89 73 44 8B 43 0C 03 C6 5E 5B 5D C3 55 8B EC 8B 45 10 50 8B 55 0C 52 8B 4D 08 51 E8 B0 FE FF FF 83 C4 0C 3B C0 74 03 83 C8 FF 5D C3 55 8B EC 8B 45 08 85 C0 75 05 83 C8 FF 5D C3 8B 10 81 FA 4F 1C 00 00 74 0D 81 FA B1 79 00 00 74 05 83 C8 FF 5D C3 83 78 48 00 74 05 8B 50 44 EB 02 33 D2 03 50 0C 8B C2 5D C3 90 90 55 8B EC 8B 45 08 50 E8 B8 FF FF FF 59 3B C0 74 03 83 C8 FF 5D C3 90 90 55 8B EC 53 8B 45 08 85 C0 75 06 83 C8 FF 5B 5D C3 8B D8 8B 03 3D 4F 1C 00 00 74 0D 3D B1 79 00 00 74 06 83 C8 FF 5B 5D C3 6A 01 6A 00 8B 53 04 52 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 FF 75 06 83 C8 FF 5B 5D C3 81 3B 4F 1C 00 00 75 03 2B 43 58 5B 5D C3 90 90 55 8B EC 8B 45 08 50 E8 A0 FF FF FF 59 3B C0 74 03 83 C8 FF 5D C3 90 90 55 8B EC 8B 45 08 85 C0 75 04 33 C0 5D C3 8B 10 81 FA 4F 1C 00 00 74 0C 81 FA B1 79 00 00 74 04 33 C0 5D C3 81 FA 4F 1C 00 00 75 1D 83 78 28 00 74 0C 83 78 58 00 75 06 83 78 24 00 74 04 33 D2 EB 09 BA 01 00 00 00 EB 02 33 D2 8B C2 5D C3 90 55 8B EC 8B 4D 0C 8B 45 08 85 C0 75 04 33 C0 5D C3 8B 10 81 FA 4F 1C 00 00 74 0C 81 FA B1 79 00 00 74 04 33 C0 5D C3 85 C9 74 05 8B 50 4C 89 11 83 78 50 00 75 07 B9 ?? ?? ?? ?? EB 03 8B 48 50 8B C1 5D C3 55 8B EC 8B 45 08 85 C0 74 2C 8B 10 81 FA 4F 1C 00 00 74 08 81 FA B1 79 00 00 75 1A 81 FA 4F 1C 00 00 75 05 33 C9 89 48 28 6A 00 6A 00 50 E8 05 00 00 00 83 C4 0C 5D C3 }
	condition:
		$1
}

rule function_38955_0 {
	meta:
		name = "gz_error"
		size = 191
		refs = "001e free 0042 strlen 0057 malloc 006d _DV_. 00a6 strcat"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 7D 0C 8B 75 10 8B 43 50 85 C0 74 12 83 7B 4C FC 74 07 50 E8 ?? ?? ?? ?? 59 33 D2 89 53 50 89 7B 4C 85 F6 0F 84 87 00 00 00 83 FF FC 75 05 89 73 50 EB 7D 8B 4B 08 51 E8 ?? ?? ?? ?? 59 8B F8 56 E8 ?? ?? ?? ?? 59 03 F8 83 C7 03 57 E8 ?? ?? ?? ?? 59 89 43 50 85 C0 75 10 C7 43 4C FC FF FF FF C7 43 50 ?? ?? ?? ?? EB 47 8B 4B 08 8B 53 50 8B F9 33 C0 56 83 C9 FF F2 AE F7 D1 2B F9 8B F2 87 F7 8B D1 8B C7 C1 E9 02 F3 A5 8B CA 83 E1 03 F3 A4 5E 68 ?? ?? ?? ?? 8B 4B 50 51 E8 ?? ?? ?? ?? 83 C4 08 56 8B 43 50 50 E8 ?? ?? ?? ?? 83 C4 08 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_38959_0 {
	meta:
		name = "TCustomWebBrowserAction.Create"
		size = 216
		refs = "001e @ClassCreate 002a TCustomWebBrowserAction.Create 0039 TCustomAction.Create 0048 Null 0056 @OleVarFromVar 0080 CGID_MSHTML 00a4 Variant 00ae @FinalizeArray 00b4 @HandleFinally 00c1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 B9 00 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8D 86 D8 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 E0 8D 86 E8 00 00 00 E8 ?? ?? ?? ?? C6 86 F8 00 00 00 02 33 C0 89 86 B0 00 00 00 A1 ?? ?? ?? ?? 56 8D BE C0 00 00 00 8B F0 A5 A5 A5 A5 5E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_38960_0 {
	meta:
		name = "TCustomWebBrowserAction.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 0018 TComponent.RemoveFreeNotification 0023 TCustomAction.Destroy 002e @ClassDestroy"
		altNames = "TEditAction.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 A8 00 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38961_0 {
	meta:
		name = "TCustomWebBrowserAction.ExecuteTarget"
		size = 740
		refs = "0018 TCustomWebBrowserAction.ExecuteTarget 0025 TBasicAction.ExecuteTarget 0048 TWebBrowserEx.GetDocument2 0066 TCustomWebBrowserCommandUpdater.DoBeforeCommand 00b2 @WStrFromUStr 00c7 TWebBrowserEx.GetActiveDocument 00d7 @IntfCast 00e8 @CheckAutoResult 0162 CmdExecOption 019e TWebBrowserEx.GetViewLinkDocuments 022a TCustomWebBrowserCommandUpdater.UpdateCommands 023b TCustomWebBrowserCommandUpdater.CommandState 0248 TCustomWebBrowserAction.UpdateCheckedState 0259 TCustomWebBrowserCommandUpdater.DoAfterCommand 026e @IntfClear 0296 @WStrClr 02b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B B3 BC 00 00 00 85 F6 0F 84 26 02 00 00 83 7E 38 00 0F 84 1C 02 00 00 8D 55 EC 8B 46 38 E8 ?? ?? ?? ?? 83 7D EC 00 0F 84 07 02 00 00 8D 4D F7 8B 93 B0 00 00 00 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? 80 7D F7 00 0F 85 A9 01 00 00 80 BB B8 00 00 00 00 74 74 8D 45 E8 50 FF B3 E4 00 00 00 FF B3 E0 00 00 00 FF B3 DC 00 00 00 FF B3 D8 00 00 00 80 BB F8 00 00 00 01 0F 94 C0 F6 D8 1B C0 50 8D 45 E4 8B 93 AC 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 55 DC 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 90 18 01 00 00 E8 ?? ?? ?? ?? E9 2C 01 00 00 0F B6 83 D0 00 00 00 2C 02 72 04 74 25 EB 44 8D 55 D8 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 D4 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 34 8D 83 E8 00 00 00 50 8D 83 D8 00 00 00 50 0F B6 83 F8 00 00 00 8B 04 85 ?? ?? ?? ?? 50 8B 83 B0 00 00 00 50 8D 83 C0 00 00 00 50 8B 45 F8 50 8B 00 FF 50 10 80 BB D0 00 00 00 01 0F 85 92 00 00 00 8D 4D FC 8B 83 BC 00 00 00 8B 40 38 8B 93 B0 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 75 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 66 46 C7 45 F0 00 00 00 00 8D 4D D0 8B 55 F0 8B 45 FC 8B 38 FF 57 0C 8B 55 D0 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 34 8D 83 E8 00 00 00 50 8D 83 D8 00 00 00 50 0F B6 83 F8 00 00 00 8B 04 85 ?? ?? ?? ?? 50 8B 83 B0 00 00 00 50 8D 83 C0 00 00 00 50 8B 45 F8 50 8B 00 FF 50 10 FF 45 F0 4E 75 A2 8B 93 B0 00 00 00 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? 8B 93 B0 00 00 00 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? 88 83 D1 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 B0 00 00 00 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B0 5F 5E 5B 8B E5 5D C3 00 00 00 25 44 2C 33 CB 26 D0 11 B4 83 00 C0 4F D9 01 19 CB BC 22 B7 68 4E 1B 10 A2 BC 00 AA 00 40 47 70 }
	condition:
		$1
}

rule function_38962_0 {
	meta:
		name = "TCustomWebBrowserAction.HandlesTarget"
		size = 11
	strings:
		$1 = { 83 B8 BC 00 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_38963_0 {
	meta:
		name = "TCustomWebBrowserAction.Notification"
		size = 45
		refs = "0010 TBasicAction.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 BC 00 00 00 75 08 33 C0 89 87 BC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_38964_0 {
	meta:
		name = "TCustomWebBrowserAction.SetCmdID"
		size = 78
		refs = "0023 TCustomWebBrowserCommandUpdater.UnRegisterCommand 0047 TCustomWebBrowserCommandUpdater.RegisterCommand"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 B0 00 00 00 74 3D 8B 83 BC 00 00 00 85 C0 74 0F 85 F6 74 0B 8B 93 B0 00 00 00 E8 ?? ?? ?? ?? 89 B3 B0 00 00 00 8B 83 BC 00 00 00 85 C0 74 14 83 BB B0 00 00 00 00 74 0B 8B 93 B0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_38965_0 {
	meta:
		name = "TCustomWebBrowserAction.SetCommandUpdater"
		size = 62
		refs = "001a TComponent.FreeNotification 0038 TCustomWebBrowserCommandUpdater.RegisterCommand"
	strings:
		$1 = { 53 8B D8 3B 93 BC 00 00 00 74 31 89 93 BC 00 00 00 85 D2 74 09 8B C2 8B D3 E8 ?? ?? ?? ?? 8B 83 BC 00 00 00 85 C0 74 14 83 BB B0 00 00 00 00 74 0B 8B 93 B0 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_38966_0 {
	meta:
		name = "TCustomWebBrowserAction.UpdateCheckedState"
		size = 40
		refs = "000c TCustomAction.SetChecked"
	strings:
		$1 = { F6 80 D1 00 00 00 04 74 08 B2 01 E8 ?? ?? ?? ?? C3 80 B8 B9 00 00 00 00 74 0D 80 78 71 00 74 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38967_0 {
	meta:
		name = "TCustomWebBrowserAction.UpdateTarget"
		size = 79
		refs = "0018 TCustomAction.SetEnabled 002b TCustomWebBrowserCommandUpdater.CommandState 0049 TCustomWebBrowserAction.UpdateCheckedState"
	strings:
		$1 = { 53 8B D8 8B 83 BC 00 00 00 85 C0 74 06 83 78 38 00 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 8B 93 B0 00 00 00 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? 88 83 D1 00 00 00 F6 83 D1 00 00 00 02 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_38970_0 {
	meta:
		name = "TWebBrowserCut.ExecuteTarget"
		size = 15
		refs = "000a TWebBrowserEx.CutToClipBoard"
	strings:
		$1 = { 8B 80 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39003_0 {
	meta:
		name = "TWebBrowserBack.ExecuteTarget"
		size = 15
		refs = "000a TWebBrowser.GoBack"
	strings:
		$1 = { 8B 80 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38972_0 {
	meta:
		name = "TWebBrowserCopy.ExecuteTarget"
		size = 15
		refs = "000a TWebBrowserEx.CopyToClipBoard"
	strings:
		$1 = { 8B 80 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39005_0 {
	meta:
		name = "TWebBrowserForward.ExecuteTarget"
		size = 15
		refs = "000a TWebBrowser.GoForward"
	strings:
		$1 = { 8B 80 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39007_0 {
	meta:
		name = "TWebBrowserHome.ExecuteTarget"
		size = 15
		refs = "000a TWebBrowser.GoHome"
	strings:
		$1 = { 8B 80 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39009_0 {
	meta:
		name = "TWebBrowserSearch.ExecuteTarget"
		size = 15
		refs = "000a TWebBrowser.GoSearch"
	strings:
		$1 = { 8B 80 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_38971_0 {
	meta:
		name = "TWebBrowserCopy.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowserCopy.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 0F 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 6F 00 70 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_38973_0 {
	meta:
		name = "TWebBrowserPaste.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowserPaste.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 1A 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 61 00 73 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_38974_0 {
	meta:
		name = "TWebBrowserSelectAll.Create"
		size = 116
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowserSelectAll.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 1F 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 41 00 6C 00 6C 00 00 00 }
	condition:
		$1
}

rule function_38975_0 {
	meta:
		name = "TWebBrowserUndo.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowserUndo.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 2B 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 55 00 6E 00 64 00 6F 00 00 00 00 00 }
	condition:
		$1
}

rule function_38976_0 {
	meta:
		name = "TWebBrowserRedo.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowserRedo.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 1D 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 65 00 64 00 6F 00 00 00 00 00 }
	condition:
		$1
}

rule function_38977_0 {
	meta:
		name = "TWebBrowserDelete.Create"
		size = 112
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowserDelete.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 11 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 65 00 6C 00 65 00 74 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_38978_0 {
	meta:
		name = "TWebBrowserBold.Create"
		size = 156
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowserBold.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 0055 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 34 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 86 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 B9 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 6F 00 6C 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 74 00 72 00 6F 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_38979_0 {
	meta:
		name = "TWebBrowserItalic.Create"
		size = 148
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowserItalic.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 0055 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 38 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 86 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 B9 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 74 00 61 00 6C 00 69 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 69 00 00 00 }
	condition:
		$1
}

rule function_38980_0 {
	meta:
		name = "TWebBrowserUnderLine.Create"
		size = 152
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowserUnderLine.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 0055 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 3F 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 86 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 B9 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 6E 00 64 00 65 00 72 00 6C 00 69 00 6E 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 75 00 00 00 }
	condition:
		$1
}

rule function_38981_0 {
	meta:
		name = "TWebBrowserClearSelection.Create"
		size = 116
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowserClearSelection.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA D7 07 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 6E 00 73 00 65 00 6C 00 65 00 63 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_38982_0 {
	meta:
		name = "TWebBrowserMultiSelect.Create"
		size = 81
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0020 TCustomAction.SetAutoCheck 002c TCustomWebBrowserAction.SetCmdID 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? BA 59 09 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 B9 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38983_0 {
	meta:
		name = "TWebBrowserAtomicSelect.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TWebBrowserToggleAction.Create 0023 TCustomWebBrowserAction.SetCmdID 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 5F 09 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 B9 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_38984_0 {
	meta:
		name = "TWebBrowserOrderedList.Create"
		size = 172
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowserOrderedList.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 0055 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 88 08 00 00 8B C6 E8 ?? ?? ?? ?? 8D 86 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 B9 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 6E 00 73 00 65 00 72 00 74 00 4F 00 72 00 64 00 65 00 72 00 65 00 64 00 4C 00 69 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6F 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_38985_0 {
	meta:
		name = "TWebBrowserUnorderedList.Create"
		size = 176
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowserUnorderedList.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 0055 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 89 08 00 00 8B C6 E8 ?? ?? ?? ?? 8D 86 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 B9 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 6E 00 73 00 65 00 72 00 74 00 55 00 6E 00 6F 00 72 00 64 00 65 00 72 00 65 00 64 00 4C 00 69 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 75 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_38986_0 {
	meta:
		name = "TWebBrowserAlignLeft.Create"
		size = 184
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowserAlignLeft.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 0055 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 3B 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 86 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 B9 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 4A 00 75 00 73 00 74 00 69 00 66 00 79 00 4C 00 65 00 66 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 64 00 69 00 76 00 20 00 61 00 6C 00 69 00 67 00 6E 00 3D 00 6C 00 65 00 66 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_38987_0 {
	meta:
		name = "TWebBrowserAlignRight.Create"
		size = 188
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowserAlignRight.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 0055 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 3C 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 86 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 B9 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 4A 00 75 00 73 00 74 00 69 00 66 00 79 00 52 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 64 00 69 00 76 00 20 00 61 00 6C 00 69 00 67 00 6E 00 3D 00 72 00 69 00 67 00 68 00 74 00 00 00 }
	condition:
		$1
}

rule function_38988_0 {
	meta:
		name = "TWebBrowserAlignCenter.Create"
		size = 192
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowserAlignCenter.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 0055 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 39 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 86 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 B9 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 4A 00 75 00 73 00 74 00 69 00 66 00 79 00 43 00 65 00 6E 00 74 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 64 00 69 00 76 00 20 00 61 00 6C 00 69 00 67 00 6E 00 3D 00 63 00 65 00 6E 00 74 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_38989_0 {
	meta:
		name = "TWebBrowserAlignFull.Create"
		size = 124
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowserAlignFull.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 0045 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 32 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 B9 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 4A 00 75 00 73 00 74 00 69 00 66 00 79 00 46 00 75 00 6C 00 6C 00 00 00 }
	condition:
		$1
}

rule function_38990_0 {
	meta:
		name = "TWebBrowserIndent.Create"
		size = 232
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowserIndent.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 004e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 8A 08 00 00 8B C6 E8 ?? ?? ?? ?? 8D 86 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 6E 00 64 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 62 00 6C 00 6F 00 63 00 6B 00 71 00 75 00 6F 00 74 00 65 00 20 00 64 00 69 00 72 00 3D 00 6C 00 74 00 72 00 20 00 73 00 74 00 79 00 6C 00 65 00 3D 00 22 00 4D 00 41 00 52 00 47 00 49 00 4E 00 2D 00 52 00 49 00 47 00 48 00 54 00 3A 00 20 00 30 00 70 00 78 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_38991_0 {
	meta:
		name = "TWebBrowserUnindent.Create"
		size = 112
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowserUnindent.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 8B 08 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 75 00 74 00 64 00 65 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_38992_0 {
	meta:
		name = "TWebBrowserCreateURL.Create"
		size = 136
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 002b TWebBrowserCreateURL.Create 0030 @UStrAsg 003c TCustomWebBrowserAction.SetCmdID 004e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 C7 86 FA 00 00 00 FF FF 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 4C 08 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 F8 00 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 4C 00 69 00 6E 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_38993_0 {
	meta:
		name = "TWebBrowserCreateURL.UpdateTarget"
		size = 268
		refs = "0011 TWebBrowserCreateURL.UpdateTarget 0030 TCustomAction.SetEnabled 0046 TWebBrowserEx.GetActiveDocument 0069 @IntfClear 0076 Supports 008c @WStrFromUStr 00a1 @CheckAutoResult 00d0 @WStrClr 00d9 IHTMLDocument 00e3 @FinalizeArray 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 BC 00 00 00 85 C0 74 06 83 78 38 00 75 0E 33 D2 8B C3 E8 ?? ?? ?? ?? E9 86 00 00 00 8D 55 F8 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 83 7D F8 00 74 6F 8D 55 F4 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 38 8D 45 F0 50 8D 45 EC 8B 93 AC 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 50 8B 00 FF 90 04 01 00 00 E8 ?? ?? ?? ?? 66 83 7D F0 01 1B D2 42 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5B 8B E5 5D C3 25 44 2C 33 CB 26 D0 11 B4 83 00 C0 4F D9 01 19 }
	condition:
		$1
}

rule function_38994_0 {
	meta:
		name = "TWebBrowserRemoveURL.Create"
		size = 112
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowserRemoveURL.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 4D 08 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 6E 00 6C 00 69 00 6E 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_38995_0 {
	meta:
		name = "TWebBrowser2DPosition.Create"
		size = 124
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowser2DPosition.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 0045 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 5A 09 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 B9 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 32 00 44 00 2D 00 50 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_38996_0 {
	meta:
		name = "TWebBrowserAbsolutePosition.Create"
		size = 144
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowserAbsolutePosition.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 004c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 5D 09 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 D0 00 00 00 02 C6 86 B9 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 41 00 62 00 73 00 6F 00 6C 00 75 00 74 00 65 00 50 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_38998_0 {
	meta:
		name = "TWebBrowserDesignMode.ExecuteTarget"
		size = 176
		refs = "000e TWebBrowserDesignMode.ExecuteTarget 0030 TWebBrowserEx.GetDocument2 003e @CheckAutoResult 007a IHTMLDocument2 0084 @FinalizeArray 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 71 00 74 26 68 ?? ?? ?? ?? 8D 55 FC 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? EB 24 68 ?? ?? ?? ?? 8D 55 F8 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 59 59 5D C3 00 00 00 04 00 00 00 4F 00 6E 00 00 00 00 00 06 00 00 00 4F 00 66 00 66 00 00 00 }
	condition:
		$1
}

rule function_38999_0 {
	meta:
		name = "TWebBrowserDesignMode.UpdateTarget"
		size = 103
		refs = "000d TWebBrowserDesignMode.UpdateTarget 002e TWebBrowserEx.GetDocument2 0041 TCustomAction.SetEnabled 0056 @IntfClear 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 BC 00 00 00 85 F6 74 17 83 7E 38 00 74 11 8D 55 FC 8B 46 38 E8 ?? ?? ?? ?? 83 7D FC 00 75 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39000_0 {
	meta:
		name = "TWebBrowserPrint.Create"
		size = 124
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 002b TWebBrowserPrint.Create 0030 @UStrAsg 003c TCustomWebBrowserAction.SetCmdID 004e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 C7 86 FA 00 00 00 FF FF 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 1B 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 F8 00 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 72 00 69 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_39002_0 {
	meta:
		name = "TWebBrowserSaveAs.Create"
		size = 128
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 002b TWebBrowserSaveAs.Create 0030 @UStrAsg 003c TCustomWebBrowserAction.SetCmdID 004e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 C7 86 FA 00 00 00 FF FF 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 47 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 F8 00 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 61 00 76 00 65 00 41 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_39004_0 {
	meta:
		name = "TWebBrowserBack.UpdateTarget"
		size = 40
		refs = "0023 TCustomAction.SetEnabled"
	strings:
		$1 = { 8B 90 BC 00 00 00 85 D2 74 12 83 7A 38 00 74 0C 8B 52 38 80 BA 2D 06 00 00 00 75 04 33 D2 EB 02 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39006_0 {
	meta:
		name = "TWebBrowserForward.UpdateTarget"
		size = 40
		refs = "0023 TCustomAction.SetEnabled"
	strings:
		$1 = { 8B 90 BC 00 00 00 85 D2 74 12 83 7A 38 00 74 0C 8B 52 38 80 BA 2E 06 00 00 00 75 04 33 D2 EB 02 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39008_0 {
	meta:
		name = "TWebBrowserHome.UpdateTarget"
		size = 28
		refs = "0017 TCustomAction.SetEnabled"
		altNames = "TWebBrowserSearch.UpdateTarget TWebBrowserSelectAllControls.UpdateTarget"
	strings:
		$1 = { 8B 90 BC 00 00 00 85 D2 74 06 83 7A 38 00 75 04 33 D2 EB 02 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39011_0 {
	meta:
		name = "TSearchAction.ExecuteTarget"
		size = 37
		refs = "0015 TComponent.FreeNotification 001e TCommonDialogAction.ExecuteTarget"
		altNames = "TWebBrowserSearchAction.ExecuteTarget"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 89 83 D0 00 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39012_0 {
	meta:
		name = "TWebBrowserSearchAction.HandlesTarget"
		size = 45
		refs = "0005 Screen 0010 _Dn_TWebBrowser 0015 @IsClass 0024 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F0 A1 ?? ?? ?? ?? 8B 00 8B 40 64 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_84727_0 {
	meta:
		name = "TSearchAction.HandlesTarget"
		size = 45
		refs = "0005 Screen 0010 _Dn_TCustomEdit 0015 @IsClass 0024 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F0 A1 ?? ?? ?? ?? 8B 00 8B 40 64 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_39013_0 {
	meta:
		name = "TSearchAction.Notification"
		size = 45
		refs = "0010 TCommonDialogAction.Notification"
		altNames = "TWebBrowserSearchAction.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 D0 00 00 00 75 08 33 C0 89 87 D0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39014_0 {
	meta:
		name = "TWebBrowserSearchAction.Search"
		size = 8
	strings:
		$1 = { 83 B8 D0 00 00 00 00 C3 }
	condition:
		$1
}

rule function_39015_0 {
	meta:
		name = "TWebBrowserSearchAction.UpdateTarget"
		size = 110
		refs = "000f TWebBrowserSearchAction.UpdateTarget 001d _Dn_TWebBrowser 0022 @IsClass 0035 TOleControl.GetIDispatchProp 0048 TCustomAction.SetEnabled 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8D 4D FC BA CB 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 75 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39016_0 {
	meta:
		name = "TWebBrowserZeroBorder.Create"
		size = 79
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0023 TCustomWebBrowserAction.SetCmdID 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 18 09 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 F8 00 00 00 02 C6 86 D0 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39017_0 {
	meta:
		name = "TWebBrowserZeroBorder.UpdateTarget"
		size = 76
		refs = "0029 TCustomAction.SetEnabled 003a TCustomWebBrowserCommandUpdater.CommandState 0046 TCustomAction.SetChecked"
	strings:
		$1 = { 53 8B D8 8B 83 BC 00 00 00 85 C0 74 13 83 78 38 00 74 0D 8B 40 38 66 83 B8 40 04 00 00 00 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 93 B0 00 00 00 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? A8 01 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39018_0 {
	meta:
		name = "TWebBrowserShowTags.Create"
		size = 183
		refs = "0015 @ClassCreate 0021 TWebBrowserShowTags.Create 0030 TCustomWebBrowserAction.Create 0039 TWebBrowserShowTags.SetShowTags 0047 HTMLTags 004e TCustomWebBrowserAction.SetCmdID 005d Null 006b @OleVarFromVar 008e @VarClr 0094 @HandleFinally 00a1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 86 00 01 00 00 8B 14 85 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C6 86 F8 00 00 00 02 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8D 86 E8 00 00 00 E8 ?? ?? ?? ?? C6 86 B9 00 00 00 01 C6 86 D0 00 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39019_0 {
	meta:
		name = "TWebBrowserShowTags.SetShowTags"
		size = 30
		refs = "0014 HTMLTags 0019 TCustomWebBrowserAction.SetCmdID"
	strings:
		$1 = { 3A 90 00 01 00 00 74 15 88 90 00 01 00 00 83 E2 7F 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39020_0 {
	meta:
		name = "TWebBrowserLiveResize.Create"
		size = 132
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0022 TWebBrowserLiveResize.Create 0027 @UStrAsg 0033 TCustomWebBrowserAction.SetCmdID 004c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 5E 09 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 F8 00 00 00 00 C6 86 B9 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 69 00 76 00 65 00 52 00 65 00 73 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_39021_0 {
	meta:
		name = "TWebBrowserRespectVisiblity.Create"
		size = 81
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0023 TCustomWebBrowserAction.SetCmdID 002c TCustomAction.SetAutoCheck 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 65 09 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? C6 86 B9 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39022_0 {
	meta:
		name = "TWebBrowserUndoAction.AfterAction"
		size = 90
		refs = "000c TWebBrowserUndoAction.AfterAction 002c TWebBrowserEx.GetMarkupServices 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 00 01 00 00 00 74 1A 8D 55 FC 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39023_0 {
	meta:
		name = "TWebBrowserUndoAction.BeforeAction"
		size = 116
		refs = "000e TWebBrowserUndoAction.BeforeAction 0028 @WStrFromUStr 003d TWebBrowserEx.GetMarkupServices 005b @IntfClear 0063 @WStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 00 01 00 00 00 74 29 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_39024_0 {
	meta:
		name = "TWebBrowserUndoAction.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 00 01 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39026_0 {
	meta:
		name = "TWebBrowserUndoAction.ExecuteTarget"
		size = 40
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 33 C9 8B D6 8B C3 8B 38 FF 57 68 8B D6 8B C3 8B 08 FF 51 6C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39027_0 {
	meta:
		name = "TWebBrowserToggleAction.Create"
		size = 157
		refs = "0015 @ClassCreate 0021 TWebBrowserToggleAction.Create 0030 TCustomWebBrowserAction.Create 0039 TCustomAction.SetAutoCheck 0041 Null 004f @OleVarFromVar 0074 @VarClr 007a @HandleFinally 0087 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8D 86 E8 00 00 00 E8 ?? ?? ?? ?? 66 C7 86 D8 00 00 00 0B 00 C6 86 F8 00 00 00 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39028_0 {
	meta:
		name = "TWebBrowserToggleAction.ExecuteTarget"
		size = 62
		refs = "001d @VarFromBool 0037 TCustomWebBrowserAction.ExecuteTarget"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 00 01 00 00 00 74 14 8D 83 D8 00 00 00 0F B6 53 71 80 F2 01 E8 ?? ?? ?? ?? EB 0F 8D 83 D8 00 00 00 0F B6 53 71 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39030_0 {
	meta:
		name = "TWebBrowserAddFavorites.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0023 TCustomWebBrowserAction.SetCmdID 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA D5 08 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 F8 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39031_0 {
	meta:
		name = "TWebBrowserFont.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0023 TCustomWebBrowserAction.SetCmdID 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 5A 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 F8 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39032_0 {
	meta:
		name = "TWebBrowserColor.Create"
		size = 64
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 6C C6 46 68 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39033_0 {
	meta:
		name = "TWebBrowserColor.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 0018 TComponent.RemoveFreeNotification 0023 TCustomWebBrowserAction.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 00 01 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39034_0 {
	meta:
		name = "TWebBrowserColor.DoAccept"
		size = 45
		refs = "0027 TWebBrowserColor.SetColor"
	strings:
		$1 = { 53 66 83 B8 0A 01 00 00 00 74 12 8B D8 8B D0 8B 83 0C 01 00 00 FF 93 08 01 00 00 5B C3 8B 90 00 01 00 00 8B 52 70 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39036_0 {
	meta:
		name = "TWebBrowserColor.ExecuteTarget"
		size = 198
		refs = "005b TWebBrowserColor.ExecuteTarget 0069 TWebBrowserColor.GetColor 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC C6 80 04 01 00 00 00 8B 45 FC 83 B8 00 01 00 00 00 0F 84 9E 00 00 00 8B 45 FC 66 83 B8 1A 01 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 1C 01 00 00 FF 93 18 01 00 00 8B 45 FC 8B 80 BC 00 00 00 8B 40 38 8B 55 FC 89 82 A8 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B B2 00 01 00 00 89 46 70 8B C6 8B 10 FF 52 50 8B D8 8B 45 FC 88 98 04 01 00 00 84 DB 74 0A 8B 45 FC 8B 10 FF 52 64 EB 08 8B 45 FC 8B 10 FF 52 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 A8 00 00 00 C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39037_0 {
	meta:
		name = "TWebBrowserColor.GetColor"
		size = 140
		refs = "0011 TWebBrowserColor.GetColor 0049 TWebBrowserEx.GetCommandTarget 005a @VarToInteger 0071 @IntfClear 0079 @VarClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 1C 10 74 07 BB 00 00 00 20 EB 38 8D 45 F0 50 33 C0 50 6A 02 8B 83 B0 00 00 00 50 8D 83 C0 00 00 00 50 8D 55 EC 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 10 8D 45 F0 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39038_0 {
	meta:
		name = "TWebBrowserColor.Notification"
		size = 50
		refs = "0010 TCustomWebBrowserAction.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? F6 47 1C 08 75 14 80 FB 01 75 0F 3B B7 00 01 00 00 75 07 8B C7 8B 10 FF 52 6C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39039_0 {
	meta:
		name = "TWebBrowserColor.SetColor"
		size = 142
		refs = "0014 TWebBrowserColor.SetColor 002c @OleVarFromInt 0051 TWebBrowserEx.GetCommandTarget 005f OleCheck 0074 @IntfClear 007c @VarClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 1C 10 75 3F 8D 45 F0 8B D6 B1 FC E8 ?? ?? ?? ?? 33 C0 50 8D 45 F0 50 6A 02 8B 83 B0 00 00 00 50 8D 83 C0 00 00 00 50 8D 55 EC 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39040_0 {
	meta:
		name = "TWebBrowserColor.SetupDialog"
		size = 198
		refs = "0011 TWebBrowserColor.SetupDialog 0020 _Dn_TColorDialog 0025 TColorDialog.Create 0038 TObject.ClassName 006a @UStrCopy 0085 TComponent.SetSubComponent 0092 TComponent.FreeNotification 00a7 @UStrClr 00b4 @UStrArrayClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 00 01 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 45 F4 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 8D 45 F0 50 8B CE BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 83 00 01 00 00 8B 08 FF 51 24 B2 01 8B 83 00 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 00 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39041_0 {
	meta:
		name = "TWebBrowserBackColor.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TWebBrowserColor.Create 0023 TCustomWebBrowserAction.SetCmdID 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 33 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 F8 00 00 00 02 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39042_0 {
	meta:
		name = "TWebBrowserForeColor.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TWebBrowserColor.Create 0023 TCustomWebBrowserAction.SetCmdID 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 37 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 F8 00 00 00 02 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39043_0 {
	meta:
		name = "TWebBrowserPrintPreview.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0023 TCustomWebBrowserAction.SetCmdID 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA D3 07 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 F8 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39044_0 {
	meta:
		name = "TWebBrowserAutoURLDetect.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TWebBrowserToggleAction.Create 0023 TCustomWebBrowserAction.SetCmdID 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 60 09 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 B9 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39046_0 {
	meta:
		name = "TWebBrowserSearchReplace.ExecuteTarget"
		size = 34
		refs = "0006 TWebBrowserSearchAction.ExecuteTarget 001c TWebBrowserSearchReplace.Replace"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 89 98 8C 00 00 00 C7 80 88 00 00 00 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84733_0 {
	meta:
		name = "TSearchReplace.ExecuteTarget"
		size = 34
		refs = "0006 TSearchAction.ExecuteTarget 001c TSearchReplace.Replace"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 89 98 8C 00 00 00 C7 80 88 00 00 00 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39048_0 {
	meta:
		name = "TColorSelect.GetDialog"
		size = 7
		altNames = "TFileAction.GetDialog TFilePageSetup.GetDialog TFilePrintSetup.GetDialog TFileSaveAs.GetSaveDialog TFontEdit.GetDialog THTTPReqResp.GetCertContext TOpenPicture.GetDialog TPrintDlg.GetDialog TSavePicture.GetDialog TSearchFind.GetFindDialog TSearchReplace.GetReplaceDialog TWebBrowserSearchReplace.GetReplaceDialog"
	strings:
		$1 = { 8B 80 C8 00 00 00 C3 }
	condition:
		$1
}

rule function_39051_0 {
	meta:
		name = "THintAction.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TCustomAction.Create 0026 @AfterConstruction"
		altNames = "TSearchFindNext.Create TWebBrowserSearchFindNext.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 68 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39052_0 {
	meta:
		name = "TWebBrowserSearchFindNext.ExecuteTarget"
		size = 15
	strings:
		$1 = { 8B 88 A8 00 00 00 89 91 A8 00 00 00 85 C9 C3 }
	condition:
		$1
}

rule function_39054_0 {
	meta:
		name = "TWebBrowserSearchFindNext.UpdateTarget"
		size = 17
		refs = "000c TCustomAction.SetEnabled"
	strings:
		$1 = { 83 B8 A8 00 00 00 00 75 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39055_0 {
	meta:
		name = "TWebBrowserSuperscript.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 B0 00 00 00 C8 08 00 00 C6 86 B9 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39056_0 {
	meta:
		name = "TWebBrowserSubscript.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 B0 00 00 00 C7 08 00 00 C6 86 B9 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39057_0 {
	meta:
		name = "TWebBrowserFrameAction.UpdateTarget"
		size = 194
		refs = "0011 TWebBrowserFrameAction.UpdateTarget 0032 TWebBrowserEx.GetDocument2 0044 @IntfClear 0064 @CheckAutoResult 0080 TCustomAction.SetEnabled 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 BC 00 00 00 85 F6 74 61 83 7E 38 00 74 5B 8D 55 FC 8B 46 38 E8 ?? ?? ?? ?? 83 7D FC 00 74 4A 8D 45 F8 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8D 55 F0 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 83 7D F8 00 0F 95 C2 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39059_0 {
	meta:
		name = "TWebBrowserSeamlessJoin.DoAction"
		size = 676
		refs = "001c TWebBrowserSeamlessJoin.DoAction 002a TWebBrowserUndoAction.DoAction 0038 @WStrFromUStr 0050 TWebBrowserEx.GetMarkupServices 007c @IntfClear 0091 TWebBrowserEx.GetDocument2 009f @CheckAutoResult 00b8 Supports 00df @OleVarFromInt 01c7 @HandleFinally 01ef OleVariant 01f9 @FinalizeArray 0219 @WStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F4 8B 52 08 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 EC 8B 45 F4 8B 80 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 54 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 80 78 71 00 0F 84 AD 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 55 E4 8B 45 F4 8B 80 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 D7 00 00 00 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 45 D4 33 D2 B1 01 E8 ?? ?? ?? ?? FF 75 E0 FF 75 DC FF 75 D8 FF 75 D4 8B 45 FC 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 8D 45 C4 33 D2 B1 01 E8 ?? ?? ?? ?? FF 75 D0 FF 75 CC FF 75 C8 FF 75 C4 8B 45 FC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? EB 76 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 55 C0 8B 45 F4 8B 80 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 C0 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8D 45 BC 50 6A 00 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8D 45 BC 50 6A 00 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8D 45 BC 50 6A 00 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 B8 8B 45 F4 8B 80 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 00 FF 50 58 C3 E9 ?? ?? ?? ?? EB DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A5 5B 8B E5 5D C3 00 00 19 F3 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 02 00 00 00 30 00 00 00 16 00 00 00 66 00 72 00 61 00 6D 00 65 00 42 00 6F 00 72 00 64 00 65 00 72 00 00 00 0C 00 00 00 62 00 6F 00 72 00 64 00 65 00 72 00 00 00 00 00 18 00 00 00 66 00 72 00 61 00 6D 00 65 00 53 00 70 00 61 00 63 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_39061_0 {
	meta:
		name = "TWebBrowserDeleteFrame.DoAction"
		size = 148
		refs = "0010 TWebBrowserDeleteFrame.DoAction 001d TWebBrowserUndoAction.DoAction 002e @IntfClear 0039 TWebBrowserEx.GetDocument2 0047 @CheckAutoResult 0055 TWebBrowserEx.GetMarkupServices 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 83 BC 00 00 00 8B 58 38 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39062_0 {
	meta:
		name = "TWebBrowserDeleteFrame.HandlesTarget"
		size = 22
	strings:
		$1 = { 8B 90 BC 00 00 00 85 D2 74 06 83 7A 38 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_39063_0 {
	meta:
		name = "TWebBrowserDeleteFrame.UpdateTarget"
		size = 308
		refs = "0013 TWebBrowserDeleteFrame.UpdateTarget 003c TWebBrowserEx.GetDocument2 0052 @IntfClear 0072 @CheckAutoResult 00bb Supports 00c4 TCustomAction.SetEnabled 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 BC 00 00 00 85 F6 0F 84 AA 00 00 00 83 7E 38 00 0F 84 A0 00 00 00 8D 55 FC 8B 46 38 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 8B 00 00 00 8D 45 F8 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8D 55 F0 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 83 7D F8 00 74 40 8D 45 EC E8 ?? ?? ?? ?? 50 8D 55 E8 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 14 33 D2 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5E 5B 8B E5 5D C3 00 00 00 13 F3 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_39064_0 {
	meta:
		name = "TWebBrowserElementAction.GetElement"
		size = 123
		refs = "0010 TWebBrowserElementAction.GetElement 001d @IntfClear 0038 TWebBrowserEx.GetDisplayServices 0054 TWebBrowserEx.GetCurrentElement 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B B3 BC 00 00 00 85 F6 74 2D 83 7E 38 00 74 27 8D 55 FC 8B 46 38 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 F6 43 1C 10 75 10 8B D7 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39065_0 {
	meta:
		name = "TWebBrowserElementAction.IsTargetElement"
		size = 100
		refs = "000c TWebBrowserElementAction.IsTargetElement 0029 Supports 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 70 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_39066_0 {
	meta:
		name = "TWebBrowserElementAction.UpdateTarget"
		size = 27
		refs = "0015 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 8B D8 F6 43 1C 10 75 10 8B C3 8B 10 FF 52 74 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39067_0 {
	meta:
		name = "TWebBrowserTableAction.IsTargetElement"
		size = 100
		refs = "000c TWebBrowserTableAction.IsTargetElement 0029 Supports 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 70 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 1E F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_39068_0 {
	meta:
		name = "TWebBrowserTableCellAction.GetElement"
		size = 220
		refs = "0011 TWebBrowserTableCellAction.GetElement 0020 TWebBrowserElementAction.GetElement 002e Supports 003a @IntfClear 0048 @CheckAutoResult 0052 @IntfCopy 008a TWebBrowserEx.GetIsEditableElement 00ab IHTMLElement 00b5 @FinalizeArray 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? EB 30 BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 75 25 8D 45 FC E8 ?? ?? ?? ?? 50 8B 03 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 83 3B 00 75 CB 83 3B 00 74 39 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 03 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 55 F8 8B 86 BC 00 00 00 8B 40 38 0F B6 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 00 3D F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 02 00 00 00 }
	condition:
		$1
}

rule function_39069_0 {
	meta:
		name = "TWebBrowserTableCellAction.IsTargetElement"
		size = 74
		refs = "000c TWebBrowserTableCellAction.IsTargetElement 0038 @IntfClear 003e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 70 83 7D FC 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_39070_0 {
	meta:
		name = "TWebBrowserTableInsertRow.DoAction"
		size = 1180
		refs = "001b TWebBrowserTableInsertRow.DoAction 0028 TWebBrowserUndoAction.DoAction 003c @IntfClear 004b @CheckAutoResult 0056 @IntfCopy 0063 Supports 0077 @IntfCast 00ca _Dn_TMarkupServices 00cf TComponent.Create 00ff RowPosition 011f TCustomMarkupServices.GetStartPos 0156 TCustomMarkupServices.GetFinishPos 018d TCustomMarkupServices.GetInsertPos 01be TCustomMarkupServices.GetMarkupServices 01d2 TCustomMarkupServices.InsertElement 028d @OleVarFromInt 036f TObject.Free 0375 @HandleFinally 0390 IMarkupPointer2 039a @FinalizeArray 03ab OleVariant 0421 IHTMLElement"
	strings:
		$1 = { 55 8B EC 51 B9 11 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 8B 08 FF 51 70 EB 43 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 10 8D 45 F0 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 11 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 A6 83 7D FC 00 0F 84 DF 02 00 00 83 7D F0 00 0F 84 D5 02 00 00 8D 45 E8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 B6 02 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 BC 00 00 00 8B 50 38 8B 45 E4 8B 08 FF 51 40 0F B6 86 08 01 00 00 8B 04 85 ?? ?? ?? ?? 50 8D 45 DC 8B 55 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8D 55 D8 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 2C 0F B6 86 08 01 00 00 8B 04 85 ?? ?? ?? ?? 50 8D 45 D4 8B 55 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 50 8D 55 D0 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 D0 50 8B 00 FF 50 2C 0F B6 86 08 01 00 00 8B 04 85 ?? ?? ?? ?? 50 8D 45 CC 8B 55 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8D 55 C8 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 00 FF 50 2C 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 C4 8B 55 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 50 8D 55 C0 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 C0 50 8B 00 FF 50 18 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 6A 01 8B 45 F8 50 8D 55 BC 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 00 FF 50 2C 6A 01 8B 45 F8 50 8D 55 B8 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 00 FF 50 2C 6A 01 8B 45 F8 50 8D 55 B4 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 B4 50 8B 00 FF 50 2C 8D 45 B0 50 8D 45 AC E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 AC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 75 B0 4E 85 F6 0F 8C EE 00 00 00 46 33 DB 8D 45 F4 E8 ?? ?? ?? ?? 50 8D 45 A4 E8 ?? ?? ?? ?? 50 8D 45 94 8B D3 B1 FC E8 ?? ?? ?? ?? FF 75 A0 FF 75 9C FF 75 98 FF 75 94 8D 45 84 8B D3 B1 FC E8 ?? ?? ?? ?? FF 75 90 FF 75 8C FF 75 88 FF 75 84 8B 45 EC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 55 A4 8D 45 A8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 50 8D 55 80 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 80 50 8B 00 FF 50 18 8B 55 F4 8B 45 E4 E8 ?? ?? ?? ?? 6A 03 8B 45 F4 50 8D 95 7C FF FF FF 8B 45 E4 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 50 8B 00 FF 50 2C 6A 03 8B 45 F4 50 8D 95 78 FF FF FF 8B 45 E4 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 50 8B 00 FF 50 2C 6A 03 8B 45 F4 50 8D 95 74 FF FF FF 8B 45 E4 E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 50 8B 00 FF 50 2C 43 4E 0F 85 15 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 74 FF FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 84 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 23 FF FF FF 5E 5B 8B E5 5D C3 00 3C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 1E F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_39071_0 {
	meta:
		name = "TWebBrowserTableDeleteCell.DoAction"
		size = 480
		refs = "001a TWebBrowserTableDeleteCell.DoAction 0027 TWebBrowserUndoAction.DoAction 0039 @IntfClear 0048 Supports 0062 @CheckAutoResult 00e7 @IntfCast 017d IHTMLElement 0187 @FinalizeArray 0195 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 8B 08 FF 51 70 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 EF 00 00 00 8D 45 E8 50 8B 45 FC 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 8B 5D E8 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 E4 50 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0F 53 8B 45 F0 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 8D 45 E8 50 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 83 7D E8 00 75 68 8D 45 F4 8B 55 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 DC 50 8D 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 24 8D 45 E8 50 8B 45 F0 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 EC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 5B 8B E5 5D C3 3D F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 3C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 3B F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_39072_0 {
	meta:
		name = "TWebBrowserTableInsertCell.DoAction"
		size = 272
		refs = "0016 TWebBrowserTableInsertCell.DoAction 0023 TWebBrowserUndoAction.DoAction 0035 @IntfClear 0044 Supports 005a @CheckAutoResult 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 8B 08 FF 51 70 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 61 8D 45 F0 50 8B 45 FC 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 8B 5D F0 8D 45 EC E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 18 8D 45 E8 E8 ?? ?? ?? ?? 50 53 8B 45 F4 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C3 00 3D F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 3C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_39073_0 {
	meta:
		name = "TWebBrowserTableColumnAction.ExecuteTarget"
		size = 740
		refs = "001b TWebBrowserTableColumnAction.ExecuteTarget 0040 @IntfClear 004f Supports 0065 @CheckAutoResult 008c @IntfCopy 0145 @OleVarFromInt 01a5 @IntfCast 024a IHTMLElementCollection 0254 @FinalizeArray 025d OleVariant 02a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 EC 8B C3 8B 08 FF 51 64 8D 55 F8 8B C3 8B 08 FF 51 70 83 CE FF 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 50 8D 45 E0 50 8B 45 FC 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 8B 75 E0 EB 39 8D 45 DC E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 11 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 B0 83 7D F8 00 0F 84 66 01 00 00 83 FE FF 0F 84 5D 01 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 3E 01 00 00 8D 45 E0 50 8D 45 D8 E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 E0 48 85 C0 0F 8C 06 01 00 00 40 89 45 E4 C7 45 E8 00 00 00 00 8D 45 D4 E8 ?? ?? ?? ?? 50 8D 45 C4 8B 55 E8 B1 FC E8 ?? ?? ?? ?? FF 75 D0 FF 75 CC FF 75 C8 FF 75 C4 8D 45 B4 8B 55 E8 B1 FC E8 ?? ?? ?? ?? FF 75 C0 FF 75 BC FF 75 B8 FF 75 B4 8D 45 B0 E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 8B 45 B0 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 55 D4 8D 83 08 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 50 8D 45 AC E8 ?? ?? ?? ?? 50 8B 83 08 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 AC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 3B 75 E0 7E 3C 8D 45 E0 50 8D 45 A8 E8 ?? ?? ?? ?? 50 8B 83 08 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 A8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 4D E0 49 8B 55 EC 8B C3 8B 38 FF 57 68 EB 0C 8B CE 8B 55 EC 8B C3 8B 38 FF 57 68 FF 45 E8 FF 4D E4 0F 85 05 FF FF FF 8B 55 EC 8B C3 8B 08 FF 51 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9A 5F 5E 5B 8B E5 5D C3 00 00 3D F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 3C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 1E F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_39074_0 {
	meta:
		name = "TWebBrowserTableInsertColumn.DoAction"
		size = 161
		refs = "0013 TWebBrowserTableInsertColumn.DoAction 002f @IntfClear 0041 @CheckAutoResult 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 10 01 00 00 00 75 01 46 8D 45 FC 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 83 08 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 3B 75 FC 75 03 83 CE FF 8D 45 F4 E8 ?? ?? ?? ?? 50 56 8B 83 08 01 00 00 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39075_0 {
	meta:
		name = "TWebBrowserTableDeleteColumn.DoAction"
		size = 19
		refs = "000e @CheckAutoResult"
	strings:
		$1 = { 51 8B 80 08 01 00 00 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39076_0 {
	meta:
		name = "TWebBrowserTableMoveRow.DoAction"
		size = 432
		refs = "001a TWebBrowserTableMoveRow.DoAction 0027 TWebBrowserUndoAction.DoAction 003e Supports 004e @IntfClear 005d @CheckAutoResult 0068 @IntfCopy 00a0 @IntfCast 00f7 MoveDirection 013a IHTMLElement 0144 @FinalizeArray 0162 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 51 70 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 D6 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 95 00 00 00 8D 45 EC E8 ?? ?? ?? ?? 50 8D 45 E8 8B 55 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 E4 E8 ?? ?? ?? ?? 50 8D 45 E0 50 8B 45 F8 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 8B 45 E0 0F B6 93 08 01 00 00 03 04 95 ?? ?? ?? ?? 50 8D 45 DC 50 8B 45 F8 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 F4 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5B 8B E5 5D C3 00 00 00 3D F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 3C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B C7 F5 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_39077_0 {
	meta:
		name = "TWebBrowserTableMoveRow.UpdateTarget"
		size = 508
		refs = "0018 TWebBrowserTableMoveRow.UpdateTarget 004e Supports 005e @IntfClear 0077 @CheckAutoResult 00bf TCustomAction.SetEnabled 00f0 @IntfCopy 0197 IHTMLElement 01a1 @FinalizeArray 01bf @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 1C 10 0F 85 49 01 00 00 8B C3 8B 10 FF 52 74 84 C0 0F 84 31 01 00 00 8D 55 F0 8B C3 8B 08 FF 51 70 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 1B 01 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 EC 8B C3 8B 08 FF 51 70 8B 45 EC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 DB 00 00 00 80 BB 08 01 00 00 00 74 25 8D 45 E8 50 8B 45 F4 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 83 7D E8 00 0F 9F C2 8B C3 E8 ?? ?? ?? ?? E9 AD 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? EB 22 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 1B 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 BD 83 7D F8 00 74 5A 8D 45 E8 50 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 75 E8 4E 8D 45 DC 50 8B 45 F4 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 3B 75 DC 0F 9F C2 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5E 5B 8B E5 5D C3 00 3D F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 3C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 1E F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_39078_0 {
	meta:
		name = "TWebBrowserTableDeleteRow.DoAction"
		size = 584
		refs = "001a TWebBrowserTableDeleteRow.DoAction 0027 TWebBrowserUndoAction.DoAction 0039 @IntfClear 0048 @CheckAutoResult 0061 Supports 0082 @IntfCast 01aa IHTMLElement 01b4 @FinalizeArray 01ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 51 70 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 E4 50 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 13 01 00 00 8D 45 E0 E8 ?? ?? ?? ?? 50 8D 45 DC 8B 55 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 E0 50 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 CB 00 00 00 8D 45 D8 50 8B 45 F4 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 8B 45 D8 50 8B 45 F0 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 45 D8 50 8D 45 D4 E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 83 7D D8 00 75 78 8D 45 F8 8B 55 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 D0 50 8D 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 34 8D 45 E8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 19 8D 45 CC E8 ?? ?? ?? ?? 50 6A FF 8B 45 E8 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9A 5B 8B E5 5D C3 3C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 3B F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 1E F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B DA F5 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_39079_0 {
	meta:
		name = "TWebBrowserKeepSelection.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 002a TCustomWebBrowserAction.SetCmdID 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 F8 00 00 00 02 BA 6A 09 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39080_0 {
	meta:
		name = "TWebBrowserTableDelete.DoAction"
		size = 164
		refs = "0010 TWebBrowserTableDelete.DoAction 001d TWebBrowserUndoAction.DoAction 002f @IntfClear 003e Supports 005b @CheckAutoResult 0071 IHTMLDOMNode 007b @FinalizeArray 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 51 70 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 19 8D 45 F4 E8 ?? ?? ?? ?? 50 6A FF 8B 45 F8 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 DA F5 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_39081_0 {
	meta:
		name = "TWebBrowserTableDelete.GetElement"
		size = 140
		refs = "000f TWebBrowserTableDelete.GetElement 001e TWebBrowserControlAction.GetElement 0028 @IntfClear 0036 @CheckAutoResult 0040 @IntfCopy 0051 Supports 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? EB 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 03 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 83 3B 00 74 10 BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 74 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 1E F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_39082_0 {
	meta:
		name = "TWebBrowserControlSelection.AfterAction"
		size = 90
		refs = "000c TWebBrowserControlSelection.AfterAction 002c TWebBrowserEx.GetMarkupServices 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 04 01 00 00 00 74 1A 8D 55 FC 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39083_0 {
	meta:
		name = "TWebBrowserControlSelection.BeforeAction"
		size = 116
		refs = "000e TWebBrowserControlSelection.BeforeAction 0028 @WStrFromUStr 003d TWebBrowserEx.GetMarkupServices 005b @IntfClear 0063 @WStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 04 01 00 00 00 74 29 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_39084_0 {
	meta:
		name = "TWebBrowserControlSelection.Create"
		size = 80
		refs = "000a @ClassCreate 0017 TCustomWebBrowserAction.Create 003d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 04 01 00 00 01 C7 86 08 01 00 00 FF FF FF 7F C7 86 0C 01 00 00 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39085_0 {
	meta:
		name = "TWebBrowserControlSelection.ExecuteTarget"
		size = 536
		refs = "001a TWebBrowserControlSelection.ExecuteTarget 0034 SafeCreateControlRange 0045 @IntfClear 0052 Supports 0098 @CheckAutoResult 00af @VarClr 00f5 @VarFromBool 0101 VarIsNull 0119 @VarAnd 012a @VarToBool 0189 @HandleFinally 01a9 OleVariant 01b3 @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 EC 8B 80 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 EC 05 00 01 00 00 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 31 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 10 FF 52 64 8B 45 EC 83 B8 00 01 00 00 00 0F 84 E1 00 00 00 8D 45 E4 50 8B 45 EC 8B 80 00 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 75 E4 4E 85 F6 0F 8C BD 00 00 00 46 33 DB 8D 45 F0 E8 ?? ?? ?? ?? 50 6A 00 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 50 53 8B 45 EC 8B 80 00 01 00 00 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 45 D0 8B 55 EC 0F B6 92 14 01 00 00 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 45 F0 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C0 8D 55 F0 E8 ?? ?? ?? ?? 8D 55 C0 58 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 84 C0 75 2B 8D 45 BC E8 ?? ?? ?? ?? 50 53 8B 45 EC 8B 80 00 01 00 00 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 4D BC 8B D3 8B 45 EC 8B 38 FF 57 68 43 4E 0F 85 46 FF FF FF 8B 45 EC 8B 10 FF 52 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 05 00 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5F 5E 5B 8B E5 5D C3 00 00 9C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 20 00 00 00 44 00 65 00 73 00 69 00 67 00 6E 00 5F 00 54 00 69 00 6D 00 65 00 5F 00 4C 00 6F 00 63 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_39086_0 {
	meta:
		name = "TWebBrowserControlSelection.GetEnabled"
		size = 308
		refs = "0017 TWebBrowserControlSelection.GetEnabled 0042 SafeCreateControlRange 0051 @IntfClear 005e Supports 007b @CheckAutoResult 00be TWebBrowserEx.GetIsContentPage 00d5 TWebBrowserEx.GetCurrentElement 00e6 TWebBrowserEx.GetIsEditableElement 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B B7 BC 00 00 00 85 F6 0F 84 BF 00 00 00 83 7E 38 00 0F 84 B5 00 00 00 8D 55 FC 8B 46 38 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 87 10 01 00 00 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 86 00 00 00 8D 45 F8 50 8B 87 10 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 F8 3B 87 0C 01 00 00 7C 20 8D 45 F4 50 8B 87 10 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 F4 3B 87 08 01 00 00 7E 04 33 DB EB 02 B3 01 84 DB 74 3C 8B 87 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 2A 8D 55 F0 8B 87 BC 00 00 00 8B 70 38 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 0F B6 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 00 00 9C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 04 00 00 00 }
	condition:
		$1
}

rule function_39087_0 {
	meta:
		name = "TWebBrowserControlSelection.UpdateTarget"
		size = 76
		refs = "000b TWebBrowserControlSelection.UpdateTarget 0023 TCustomAction.SetEnabled 003d @IntfClear 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 70 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 10 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 5D C3 }
	condition:
		$1
}

rule function_39088_0 {
	meta:
		name = "TWebBrowserAlignControls.BeforeAction"
		size = 104
		refs = "000c TWebBrowserAlignControls.BeforeAction 0019 TWebBrowserControlSelection.BeforeAction 0021 @IntfClear 0035 @CheckAutoResult 0043 @IntfCopy 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 8B 83 00 01 00 00 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 18 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39089_0 {
	meta:
		name = "TWebBrowserAlignControls.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TWebBrowserControlSelection.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 14 01 00 00 01 C7 86 0C 01 00 00 02 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_39090_0 {
	meta:
		name = "TWebBrowserAlignControlsLeft.DoAction"
		size = 192
		refs = "001e @IntfAddRef 0026 TWebBrowserAlignControlsLeft.DoAction 0048 @CheckAutoResult 0055 @OleVarFromInt 0069 @IntfClear 00a6 @VarClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 59 8D 45 E8 50 8B 83 18 01 00 00 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC B1 FC E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 90 4C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39091_0 {
	meta:
		name = "TWebBrowserAlignControlsRight.DoAction"
		size = 251
		refs = "0020 @IntfAddRef 0028 TWebBrowserAlignControlsRight.DoAction 004e @CheckAutoResult 0090 @OleVarFromInt 00a4 @IntfClear 00e1 @VarClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 8E 00 00 00 8D 45 E8 50 8B 83 18 01 00 00 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 8B 75 E8 8D 45 E4 50 8B 83 18 01 00 00 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 03 75 E4 8D 45 E0 50 8B 45 FC 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 8B D6 2B 55 E0 8D 45 EC B1 FC E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8D 45 DC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 90 4C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39092_0 {
	meta:
		name = "TWebBrowserAlignControlsTop.DoAction"
		size = 192
		refs = "001e @IntfAddRef 0026 TWebBrowserAlignControlsTop.DoAction 0048 @CheckAutoResult 0055 @OleVarFromInt 0069 @IntfClear 00a6 @VarClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 59 8D 45 E8 50 8B 83 18 01 00 00 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC B1 FC E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 90 44 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39093_0 {
	meta:
		name = "TWebBrowserAlignControlsBottom.DoAction"
		size = 283
		refs = "0021 @IntfAddRef 0029 TWebBrowserAlignControlsBottom.DoAction 0043 @IntfClear 0055 @CheckAutoResult 00a8 @OleVarFromInt 0101 @VarClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 A5 00 00 00 8D 45 E8 50 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 83 18 01 00 00 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 90 84 02 00 00 E8 ?? ?? ?? ?? 8B 75 E8 8D 45 E0 50 8B 83 18 01 00 00 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 03 75 E0 8D 45 DC 50 8B 45 FC 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 8B D6 2B 55 DC 8D 45 EC B1 FC E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8D 45 D8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 90 44 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39094_0 {
	meta:
		name = "TWebBrowserAlignVerticalCenters.DoAction"
		size = 301
		refs = "0021 @IntfAddRef 0029 TWebBrowserAlignVerticalCenters.DoAction 0043 @IntfClear 0055 @CheckAutoResult 00ba @OleVarFromInt 0113 @VarClr 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 B7 00 00 00 8D 45 E8 50 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 83 18 01 00 00 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 90 84 02 00 00 E8 ?? ?? ?? ?? 8B 75 E8 8D 45 E0 50 8B 83 18 01 00 00 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 D1 F8 79 03 83 D0 00 03 F0 8D 45 DC 50 8B 45 FC 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC D1 F8 79 03 83 D0 00 8B D6 2B D0 8D 45 EC B1 FC E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8D 45 D8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 90 44 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39095_0 {
	meta:
		name = "TWebBrowserAlignHorizontalCenters.DoAction"
		size = 301
		refs = "0021 @IntfAddRef 0029 TWebBrowserAlignHorizontalCenters.DoAction 0043 @IntfClear 0055 @CheckAutoResult 00ba @OleVarFromInt 0113 @VarClr 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 B7 00 00 00 8D 45 E8 50 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 83 18 01 00 00 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 90 8C 02 00 00 E8 ?? ?? ?? ?? 8B 75 E8 8D 45 E0 50 8B 83 18 01 00 00 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 D1 F8 79 03 83 D0 00 03 F0 8D 45 DC 50 8B 45 FC 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC D1 F8 79 03 83 D0 00 8B D6 2B D0 8D 45 EC B1 FC E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8D 45 D8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 90 4C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39096_0 {
	meta:
		name = "TWebBrowserMakeSameWidth.DoAction"
		size = 204
		refs = "001c @IntfAddRef 0024 TWebBrowserMakeSameWidth.DoAction 0039 GetPixelWidthPropertyValue 0045 @OleVarFromInt 0059 @IntfClear 0068 @CheckAutoResult 008e TCustomWebBrowserCommandUpdater.DoElementPropertiesChanged 00ab @VarClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 60 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B D0 8D 45 EC B1 FC E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 90 EC 01 00 00 E8 ?? ?? ?? ?? 0F B6 0D ?? ?? ?? ?? 8B 55 FC 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_39097_0 {
	meta:
		name = "TWebBrowserMakeSameHeight.DoAction"
		size = 204
		refs = "001c @IntfAddRef 0024 TWebBrowserMakeSameHeight.DoAction 0039 GetPixelHeightPropertyValue 0045 @OleVarFromInt 0059 @IntfClear 0068 @CheckAutoResult 008e TCustomWebBrowserCommandUpdater.DoElementPropertiesChanged 00ab @VarClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 60 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B D0 8D 45 EC B1 FC E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 90 F4 01 00 00 E8 ?? ?? ?? ?? 0F B6 0D ?? ?? ?? ?? 8B 55 FC 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_39098_0 {
	meta:
		name = "TWebBrowserMakeSameSize.DoAction"
		size = 300
		refs = "0020 @IntfAddRef 0028 TWebBrowserMakeSameSize.DoAction 0041 GetPixelWidthPropertyValue 004d @OleVarFromInt 0061 @IntfClear 0070 @CheckAutoResult 008c GetPixelHeightPropertyValue 00e1 TCustomWebBrowserCommandUpdater.DoElementPropertiesChanged 00fe @VarClr 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 AB 00 00 00 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B D0 8D 45 EC B1 FC E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 90 EC 01 00 00 E8 ?? ?? ?? ?? 8B 83 18 01 00 00 E8 ?? ?? ?? ?? 8B D0 8D 45 D8 B1 FC E8 ?? ?? ?? ?? FF 75 E4 FF 75 E0 FF 75 DC FF 75 D8 8D 45 D4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 00 FF 90 F4 01 00 00 E8 ?? ?? ?? ?? 0F B6 0D ?? ?? ?? ?? 8B 55 FC 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5E 5B 8B E5 5D C3 02 00 00 00 }
	condition:
		$1
}

rule function_39099_0 {
	meta:
		name = "TWebBrowserDesignTimeLock.DoAction"
		size = 620
		refs = "001f @IntfAddRef 0027 TWebBrowserDesignTimeLock.DoAction 003e SafeCreateControlRange 004a @IntfClear 0057 Supports 0071 @CheckAutoResult 0088 @VarClr 00be VarIsNull 00cc @VarFromBool 00d4 @VarToBool 0135 @OleVarFromUStr 01d0 OleVariant 01da @FinalizeArray 0210 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 53 01 00 00 8D 45 E0 50 8B 45 F8 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 5D E0 4B 85 DB 0F 8C 27 01 00 00 43 33 F6 8D 45 E8 E8 ?? ?? ?? ?? 50 6A 00 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 50 56 8B 45 F8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 0A 8D 45 E8 33 D2 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 4E 8D 45 D8 50 6A 00 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8D 45 D8 50 6A 00 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 00 FF 90 E0 02 00 00 E8 ?? ?? ?? ?? EB 76 6A 01 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 D0 FF 75 CC FF 75 C8 FF 75 C4 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 6A 00 8D 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 C0 FF 75 BC FF 75 B8 FF 75 B4 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 B0 50 8B 00 FF 90 D8 02 00 00 E8 ?? ?? ?? ?? 46 4B 0F 85 DC FE FF FF 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AD 5E 5B 8B E5 5D C3 9C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 20 00 00 00 44 00 65 00 73 00 69 00 67 00 6E 00 5F 00 54 00 69 00 6D 00 65 00 5F 00 4C 00 6F 00 63 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_39100_0 {
	meta:
		name = "TWebBrowserDesignTimeLock.UpdateTarget"
		size = 444
		refs = "001b TWebBrowserDesignTimeLock.UpdateTarget 002a TWebBrowserControlSelection.UpdateTarget 0045 SafeCreateControlRange 0051 @IntfClear 005e Supports 0078 @CheckAutoResult 008b @VarClr 00c1 VarIsNull 00cb @VarFromBool 00da @VarCopy 00e2 @VarNot 00eb @VarOr 00f3 @VarToBool 0110 TCustomAction.SetChecked 0144 OleVariant 014e @FinalizeArray 0174 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7B 72 00 0F 84 F1 00 00 00 8D 55 E4 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 95 00 00 00 8D 45 E0 50 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 75 E0 4E 85 F6 7C 7B 46 33 FF 8D 45 E8 E8 ?? ?? ?? ?? 50 6A 00 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 50 57 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8B D0 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 8D 55 E8 8D 45 BC E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 55 BC 58 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 84 C0 75 04 47 4E 75 88 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 1C 8D 45 E8 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5F 5E 5B 8B E5 5D C3 00 00 00 9C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 20 00 00 00 44 00 65 00 73 00 69 00 67 00 6E 00 5F 00 54 00 69 00 6D 00 65 00 5F 00 4C 00 6F 00 63 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_39101_0 {
	meta:
		name = "TWebBrowserInsertTag.CanInsert"
		size = 232
		refs = "0011 TWebBrowserInsertTag.CanInsert 0038 SafeCreateControlRange 0045 Supports 0055 @IntfClear 0067 TWebBrowserEx.GetDocument2 0075 @CheckAutoResult 009b CanInsertControlAtCurrentPosition 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 BC 00 00 00 85 F6 74 6C 83 7E 38 00 74 66 8D 55 FC 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 40 8D 45 F8 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8D 55 F0 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 83 7D F8 00 74 04 33 DB EB 10 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5E 5B 8B E5 5D C3 00 00 9C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_39102_0 {
	meta:
		name = "ValidateInsertablePosition"
		size = 180
		refs = "0013 @IntfAddRef 001b ValidateInsertablePosition 0028 TWebBrowserEx.GetIsContentPage 0034 @IntfClear 0043 OleCheck 0054 TWebBrowserEx.GetIsEditableElement 0060 sCannotInsertAtCurrentPosition 0065 LoadResString 006f _Dn_Exception 0074 Exception.Create 0079 @RaiseExcept 008e @UStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4D 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 0F B6 0D ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 00 02 00 00 00 }
	condition:
		$1
}

rule function_39103_0 {
	meta:
		name = "CanInsertControlAtCurrentPosition"
		size = 192
		refs = "0011 CanInsertControlAtCurrentPosition 0020 TWebBrowserEx.GetIsContentPage 002b TWebBrowserEx.GetCurrentElementType 003f TWebBrowserEx.GetCurrentElement 0050 TWebBrowserEx.GetIsEditableElement 005c @IntfClear 0075 @CheckAutoResult 009e IHTMLElement 00a8 @FinalizeArray 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 64 8B C6 E8 ?? ?? ?? ?? 04 FE 2C 02 72 04 74 21 EB 53 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 0F B6 0D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 34 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 55 F8 0F B6 0D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5E 5B 8B E5 5D C3 02 00 00 00 }
	condition:
		$1
}

rule function_39104_0 {
	meta:
		name = "ShowElementCreateError"
		size = 156
		refs = "0018 ShowElementCreateError 002a sElementCreateError 002f LoadResString 004f Format 006b MessageDlgPosHelp 0085 @UStrArrayClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 5D E8 C6 45 EC 11 89 75 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_39105_0 {
	meta:
		name = "TWebBrowserInsertTag.ExecuteTarget"
		size = 700
		refs = "001a TWebBrowserInsertTag.ExecuteTarget 0043 TWebBrowserEx.GetMarkupServices 0067 @IntfClear 0075 TWebBrowserInsertTag.GetTagID 0084 OleCheck 00aa TWebBrowserEx.GetCaret 012e ValidateInsertablePosition 013d @HandleOnException 0145 _Dn_Exception 015a ShowElementCreateError 015f Abort 0164 @DoneExcept 01a6 TWebBrowserEx.GetDisplayServices 0205 @HandleFinally 024f IHTMLCaret 0259 @FinalizeArray 0272 IMarkupPointer"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 80 BC 00 00 00 8B 40 38 89 45 E4 8D 55 EC 8B 45 E4 8B 80 0C 05 00 00 8B 40 38 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 54 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 6A 00 8B 45 F8 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 DC 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 6A 01 8B 45 F4 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E4 8B 80 0C 05 00 00 8B 40 38 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 50 04 8B 45 E8 8B 80 00 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8B 45 FC 50 8B 45 EC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 6A 01 8B 45 FC 50 8B 45 F8 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 55 D8 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 6A 00 8B 45 F8 50 8B 45 F0 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 6A 01 6A 00 8B 45 F0 50 8D 55 D4 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 58 C3 E9 ?? ?? ?? ?? EB EF 8B 45 E8 66 83 B8 0A 01 00 00 00 74 15 8B 5D E8 8B 4D FC 8B 55 E8 8B 83 0C 01 00 00 FF 93 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AA 5F 5E 5B 8B E5 5D C3 00 14 00 00 00 49 00 6E 00 73 00 65 00 72 00 74 00 5F 00 54 00 61 00 67 00 00 00 00 00 02 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_39106_0 {
	meta:
		name = "TWebBrowserInsertTag.GetTagID"
		size = 141
		refs = "0011 TWebBrowserInsertTag.GetTagID 003a @WStrFromUStr 004d TWebBrowserEx.GetMarkupServices 005b OleCheck 0070 @IntfClear 0078 @WStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B B3 BC 00 00 00 85 F6 74 35 83 7E 38 00 74 2F 8D 45 FC 8B 93 00 01 00 00 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 FC 50 8D 55 F4 8B 46 38 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39107_0 {
	meta:
		name = "TWebBrowserInsertTag.SetHTMLTag"
		size = 178
		refs = "0014 TWebBrowserInsertTag.SetHTMLTag 0027 AnsiCompareText 0045 @WStrFromUStr 0058 TWebBrowserEx.GetMarkupServices 0066 OleCheck 0073 @UStrAsg 0097 @IntfClear 009f @WStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 93 00 01 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 57 8B BB BC 00 00 00 85 FF 74 40 83 7F 38 00 74 3A 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 FC 50 8D 55 F4 8B 47 38 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 8D 83 00 01 00 00 8B D6 E8 ?? ?? ?? ?? EB 0D 8D 83 00 01 00 00 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39108_0 {
	meta:
		name = "TWebBrowserInsertTag.UpdateTarget"
		size = 119
		refs = "000d TWebBrowserInsertTag.UpdateTarget 0033 TOleControl.GetIDispatchProp 0051 TCustomAction.SetEnabled 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 BC 00 00 00 85 F6 74 27 83 7E 38 00 74 21 8D 4D FC 8B 46 38 BA CB 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 0B 8B C3 8B 10 FF 52 64 84 C0 75 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39110_0 {
	meta:
		name = "TWebBrowserInputAction.IsTargetElement"
		size = 100
		refs = "000c TWebBrowserInputAction.IsTargetElement 0029 Supports 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 70 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 D2 F5 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_39111_0 {
	meta:
		name = "TWebBrowserControlAction.GetElement"
		size = 240
		refs = "0014 TWebBrowserControlAction.GetElement 0021 @IntfClear 0042 TWebBrowserEx.Selection 0059 SafeCreateControlRange 0070 Supports 0086 @CheckAutoResult 00c2 IHTMLControlRange 00cc @FinalizeArray 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B B3 BC 00 00 00 85 F6 74 79 83 7E 38 00 74 73 F6 43 1C 10 75 6D 8D 55 F4 8B 46 38 E8 ?? ?? ?? ?? 83 7D F4 00 74 5C 8D 55 FC 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 30 8D 45 F0 50 8B 45 F8 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 83 7D F0 01 75 18 8B C7 E8 ?? ?? ?? ?? 50 6A 00 8B 45 F8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 00 9C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_39112_0 {
	meta:
		name = "TWebBrowserImageAction.IsTargetElement"
		size = 100
		refs = "000c TWebBrowserImageAction.IsTargetElement 0029 Supports 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 70 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 40 F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_39113_0 {
	meta:
		name = "TWebBrowserAbsolutionPositionAction.GetEnabled"
		size = 312
		refs = "0013 TWebBrowserAbsolutionPositionAction.GetEnabled 0020 TWebBrowserControlSelection.GetEnabled 0041 TCustomWebBrowserCommandUpdater.GetActionState 005e @CheckAutoResult 0071 @IntfClear 00a3 @WStrClr 00c2 WideCompareText 00e4 TCustomWebBrowserCommandUpdater.SaveActionState 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 0F 84 B7 00 00 00 0F B6 45 FB 50 B1 01 8B D3 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 85 9B 00 00 00 8D 45 F4 50 8B 83 10 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 75 F4 4E 85 F6 7C 6A 46 33 FF 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F0 E8 ?? ?? ?? ?? 50 57 8B 83 10 01 00 00 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 90 54 02 00 00 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 06 C6 45 FB 00 EB 04 47 4E 75 99 0F B6 45 FB 50 B1 01 8B D3 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 10 00 00 00 61 00 62 00 73 00 6F 00 6C 00 75 00 74 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_39114_0 {
	meta:
		name = "TWebBrowserBringToFront.DoAction"
		size = 257
		refs = "001b TWebBrowserBringToFront.DoAction 0044 @CheckAutoResult 006d @IntfClear 00a7 @OleVarFromInt 00df @VarClr 00f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 1A 01 00 00 00 0F 84 9B 00 00 00 8D 45 F0 50 8B 83 00 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 75 F0 4E 85 F6 7C 7E 46 C7 45 F4 00 00 00 00 8D 4D F8 8B D3 8B 83 1C 01 00 00 FF 93 18 01 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 EC E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 83 00 01 00 00 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8D 45 DC 8B 55 F8 B1 FC E8 ?? ?? ?? ?? FF 75 E8 FF 75 E4 FF 75 E0 FF 75 DC 8B 45 FC 50 8B 00 FF 90 58 02 00 00 E8 ?? ?? ?? ?? FF 45 F4 4E 75 8A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39115_0 {
	meta:
		name = "TWebBrowserSendToBack.DoAction"
		size = 257
		refs = "001b TWebBrowserSendToBack.DoAction 0044 @CheckAutoResult 006d @IntfClear 00a7 @OleVarFromInt 00df @VarClr 00f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 1A 01 00 00 00 0F 84 9B 00 00 00 8D 45 F0 50 8B 83 00 01 00 00 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 75 F0 4E 85 F6 7C 7E 46 C7 45 F4 00 00 00 00 8D 4D F8 8B D3 8B 83 1C 01 00 00 FF 93 18 01 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 EC E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 83 00 01 00 00 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8D 45 DC 8B 55 F8 B1 FC E8 ?? ?? ?? ?? FF 75 E8 FF 75 E4 FF 75 E0 FF 75 DC 8B 45 FC 50 8B 00 FF 90 58 02 00 00 E8 ?? ?? ?? ?? FF 45 F4 4E 75 8A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39116_0 {
	meta:
		name = "TWebBrowserInsertFormTag.CanInsert"
		size = 188
		refs = "000f TWebBrowserInsertFormTag.CanInsert 001c TWebBrowserInsertTag.CanInsert 0033 TWebBrowserEx.GetCurrentElement 0048 Supports 0058 @IntfClear 0067 @CheckAutoResult 0072 @IntfCopy 008e IHTMLElement 0098 @FinalizeArray 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 56 8D 55 FC 8B 86 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? B3 01 83 7D FC 00 74 3D BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 28 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5E 5B 59 59 5D C3 F7 F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_39117_0 {
	meta:
		name = "CanSelect"
		size = 120
		refs = "000c @IntfAddRef 0014 CanSelect 0041 TWebBrowserEx.GetIsEditableElement 0060 @IntfClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 80 78 FF 00 74 26 8B 45 08 8B 40 F8 8B 80 BC 00 00 00 8B 40 38 0F B6 0D ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_39118_0 {
	meta:
		name = "TWebBrowserSelectAllControls.ExecuteTarget"
		size = 1248
		refs = "0019 TWebBrowserSelectAllControls.ExecuteTarget 0033 TWebBrowserEx.GetActiveDocument 003f @IntfClear 004c Supports 006b @CheckAutoResult 012a TWebBrowserEx.GetIsContentPage 016c @OleVarFromInt 01db @IntfCast 01e3 CanSelect 020c @HandleAnyException 0211 @DoneExcept 0396 IHTMLElement 03a0 @FinalizeArray 03c2 OleVariant 0408 IDispatch 0450 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 14 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8B 45 F8 8B 80 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 D8 50 8D 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 1E 03 00 00 8D 45 D4 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 E6 02 00 00 8D 45 D0 E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 00 FF 90 3C 01 00 00 E8 ?? ?? ?? ?? 8B 45 D0 50 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 AB 02 00 00 8D 45 CC E8 ?? ?? ?? ?? 50 8D 45 C8 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 00 FF 90 74 01 00 00 E8 ?? ?? ?? ?? 8B 45 CC 50 8D 45 E4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 59 02 00 00 8B 45 F8 8B 80 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 88 45 FF 8D 45 C4 50 8B 45 E4 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 C4 48 85 C0 0F 8C 01 02 00 00 40 89 45 DC C7 45 E0 00 00 00 00 8D 45 C0 E8 ?? ?? ?? ?? 50 8D 45 B0 8B 55 E0 B1 FC E8 ?? ?? ?? ?? FF 75 BC FF 75 B8 FF 75 B4 FF 75 B0 8D 45 A0 8B 55 E0 B1 FC E8 ?? ?? ?? ?? FF 75 AC FF 75 A8 FF 75 A4 FF 75 A0 8B 45 E4 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 45 C0 50 8D 45 E8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 5A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 45 9C 8B 55 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C E8 ?? ?? ?? ?? 59 84 C0 74 12 8B 45 E8 50 8B 45 F4 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 39 01 00 00 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2A 01 00 00 8D 45 98 E8 ?? ?? ?? ?? 50 8D 45 88 8B 55 E0 B1 FC E8 ?? ?? ?? ?? FF 75 94 FF 75 90 FF 75 8C FF 75 88 8D 85 78 FF FF FF 8B 55 E0 B1 FC E8 ?? ?? ?? ?? FF 75 84 FF 75 80 FF B5 7C FF FF FF FF B5 78 FF FF FF 8B 45 E4 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 45 98 50 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 B7 00 00 00 8D 85 74 FF FF FF 50 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 00 FF 90 A0 00 00 00 E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8D 85 70 FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 66 83 BD 74 FF FF FF 00 74 62 55 8D 85 68 FF FF FF 8B 55 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 68 FF FF FF E8 ?? ?? ?? ?? 59 84 C0 74 3E 8D 85 64 FF FF FF 8B 55 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 50 8D 85 60 FF FF FF 8B 55 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? FF 45 E0 FF 4D DC 0F 85 0A FE FF FF 8D 45 C4 50 8B 45 F4 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 83 7D C4 00 7E 0E 8B 45 F4 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 85 64 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 2A FF FF FF 5F 5E 5B 8B E5 5D C3 25 44 2C 33 CB 26 D0 11 B4 83 00 C0 4F D9 01 19 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 9C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 1F F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B E9 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 58 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 5E F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_39120_0 {
	meta:
		name = "TWebBrowserFormatAction.UpdateTarget"
		size = 152
		refs = "000d TWebBrowserFormatAction.UpdateTarget 001a TCustomWebBrowserAction.UpdateTarget 002e TWebBrowserEx.GetIsContentPage 0045 TWebBrowserEx.GetCurrentElement 0056 TWebBrowserEx.GetIsEditableElement 0063 TCustomAction.SetEnabled 006c TCustomAction.SetChecked 0081 @IntfClear 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 7B 72 00 74 4C 8B 83 BC 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 3A 8D 55 FC 8B 83 BC 00 00 00 8B 70 38 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 0F B6 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 12 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_39121_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_89 001a DesignMode 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_49438_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_4 001a ContentTypeFormat 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_39269_0 {
	meta:
		name = "GetDefaultPath"
		size = 100
		refs = "0008 GetDefaultPath 0010 TextStartsWith 0024 RPos 003c @UStrCopy 004a @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 84 C0 74 2A 83 C9 FF 8B 53 14 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 83 FE 01 7E 13 57 8B CE 49 BA 01 00 00 00 8B 43 14 E8 ?? ?? ?? ?? EB 0C 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_39286_0 {
	meta:
		name = "TInCookie.ParseServerCookie"
		size = 892
		refs = "002a TInCookie.ParseServerCookie 003b _Dn_TStringList 0040 TStringList.Create 0057 SplitCookieText 0069 @TryFinallyExit 007b TStrings.GetName 0086 @UStrAsg 0093 TStrings.GetValueFromIndex 00ad Now 00cb GetLastValueOf 00df @UStrLAsg 00e5 CurrencyString 00ed StrToFloat 014c EncodeDate 0166 EncodeTime 0175 @UStrClr 01a4 IsDomainMatch 01d5 CanonicalizeHostName 020b GetDefaultPath 024f IsHTTP 0278 TObject.Free 027e @HandleFinally 029a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 33 DB 89 5D A8 89 5D AC 89 5D B8 89 5D BC 89 5D EC 89 5D E4 89 5D E0 89 4D E8 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 DF 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 55 E8 ?? ?? ?? ?? 59 8B 45 F0 8B 10 FF 52 14 85 C0 75 0A E8 ?? ?? ?? ?? E9 12 02 00 00 8D 4D BC 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 BC 8D 43 1C E8 ?? ?? ?? ?? 8D 4D B8 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 B8 8D 43 28 E8 ?? ?? ?? ?? 33 D2 8B 45 F0 8B 08 FF 51 48 E8 ?? ?? ?? ?? DD 5B 30 9B 8B 43 30 89 43 40 8B 43 34 89 43 44 55 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 2A C6 43 48 01 8D 45 E4 8B 55 EC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? DB 7D D0 9B DB 6D D0 DD 5B 10 9B EB 73 55 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 2A C6 43 48 01 8D 45 E0 8B 55 EC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? DB 7D C0 9B DB 6D C0 DD 5B 10 9B EB 36 C6 43 48 00 66 B9 1F 00 66 BA 0C 00 66 B8 0F 27 E8 ?? ?? ?? ?? DD 5D B0 9B 68 E7 03 00 00 66 B9 3B 00 66 BA 3B 00 66 B8 17 00 E8 ?? ?? ?? ?? DC 45 B0 DD 5B 10 9B 8D 45 EC E8 ?? ?? ?? ?? 55 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 2D 8B 45 E8 8B 40 18 8B 55 EC E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 CE 00 00 00 C6 43 38 00 8D 43 0C 8B 55 EC E8 ?? ?? ?? ?? EB 1D C6 43 38 01 8D 55 AC 8B 45 E8 8B 40 18 E8 ?? ?? ?? ?? 8B 55 AC 8D 43 0C E8 ?? ?? ?? ?? 55 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 0D 8D 43 20 8B 55 EC E8 ?? ?? ?? ?? EB 16 8D 55 A8 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 A8 8D 43 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 58 40 0F 95 C0 88 43 24 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 58 40 0F 95 C0 88 43 18 80 7B 18 00 74 16 8B 45 E8 8B 40 08 E8 ?? ?? ?? ?? 84 C0 75 07 E8 ?? ?? ?? ?? EB 26 C6 45 DF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 0F B6 45 DF 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 41 00 58 00 2D 00 41 00 47 00 45 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 58 00 50 00 49 00 52 00 45 00 53 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 4F 00 4D 00 41 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 41 00 54 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 45 00 43 00 55 00 52 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 54 00 54 00 50 00 4F 00 4E 00 4C 00 59 00 00 00 00 00 }
	condition:
		$1
}

rule function_39350_0 {
	meta:
		name = "TInCustomHTTPServer.CreateSession"
		size = 244
		refs = "005e TInCookies.Add 0068 TInCustomHTTPServer.CreateSession 006d @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B F0 80 BE 28 01 00 00 00 0F 84 8C 00 00 00 8D 4D F8 8B C6 8B 18 FF 93 B8 00 00 00 83 7D F8 00 75 19 8B 45 08 8B 90 DC 00 00 00 8B 86 24 01 00 00 8B 08 FF 51 50 89 45 F8 EB 0E 8B 55 F8 8B 86 24 01 00 00 8B 08 FF 51 5C 8B 45 FC 8B 80 B4 00 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 28 8B 55 F8 8B 52 18 E8 ?? ?? ?? ?? 8D 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 CC 00 00 00 8B 45 08 8B 55 F8 89 90 E0 00 00 00 EB 05 33 C0 89 45 F8 8B 45 F8 5E 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 6E 00 48 00 54 00 54 00 50 00 53 00 45 00 53 00 53 00 49 00 4F 00 4E 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_39367_0 {
	meta:
		name = "TInCustomHTTPServer.GetSessionFromCookie"
		size = 356
		refs = "001a TInCustomHTTPServer.GetSessionFromCookie 004d TInCookies.GetCookieIndex 0060 TInCookies.GetCookie 006b @UStrLAsg 00f1 TInCustomHTTPServer.CreateSession 011e @UStrClr 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B D9 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 8B 45 08 C6 00 01 8B 45 F8 80 B8 28 01 00 00 00 0F 84 B9 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 83 CC 00 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 75 8B D6 8B 83 CC 00 00 00 E8 ?? ?? ?? ?? 8B 50 28 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 80 24 01 00 00 8B 8B DC 00 00 00 8B 55 FC 8B 38 FF 57 58 89 45 F0 83 7D F0 00 75 3D 8B 45 0C 50 8B 45 08 50 8B 45 FC 50 8B CB 8B 55 F4 8B 45 F8 8B 38 FF 97 BC 00 00 00 8B 45 08 80 38 00 74 19 8D 4E 01 BA ?? ?? ?? ?? 8B 83 CC 00 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 8B 83 7D F0 00 75 26 8B 45 08 80 38 00 74 1E 8B 45 F8 80 B8 18 01 00 00 00 74 12 53 8B 4D 0C 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 89 83 E0 00 00 00 8B 45 0C 8B 55 F0 89 90 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 6E 00 48 00 54 00 54 00 50 00 53 00 45 00 53 00 53 00 49 00 4F 00 4E 00 49 00 44 00 00 00 }
	condition:
		$1
}

rule function_39384_0 {
	meta:
		name = "TInHTTPResponseInfo.CloseSession"
		size = 176
		refs = "0007 TInHTTPResponseInfo.CloseSession 0012 TInCookies.GetCookieIndex 0026 TCollection.Delete 004a TInCookies.Add 0059 @UStrAsg 0079 TObject.Free"
	strings:
		$1 = { 53 56 8B F0 33 C9 BA ?? ?? ?? ?? 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? 8B D8 83 FB FF 7E 26 8B D3 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? 8B CB BA ?? ?? ?? ?? 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? 8B D8 83 FB FF 7F DA 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 46 58 D8 25 ?? ?? ?? ?? DD 5B 10 9B 8D 86 CC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 6E 00 48 00 54 00 54 00 50 00 53 00 45 00 53 00 53 00 49 00 4F 00 4E 00 49 00 44 00 00 00 00 00 E0 40 }
	condition:
		$1
}

rule function_39471_0 {
	meta:
		name = "ValidateTimeStamp"
		size = 176
		refs = "0001 ValidateTimeStamp 0006 ToDo"
	strings:
		$1 = { B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 4A 00 00 00 56 00 61 00 6C 00 69 00 64 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 28 00 29 00 20 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 69 00 6E 00 20 00 49 00 6E 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 53 00 74 00 61 00 6D 00 70 00 2E 00 70 00 61 00 73 00 20 00 69 00 73 00 20 00 6E 00 6F 00 74 00 20 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 65 00 64 00 20 00 79 00 65 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_39556_0 {
	meta:
		name = "TIdHTTPIP.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 001d TIdCustomHTTP.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 80 01 00 00 8B 10 FF 52 0C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39557_0 {
	meta:
		name = "TIdHTTPIP.InitComponent"
		size = 60
		refs = "0006 TIdCustomHTTP.InitComponent 0011 TIdHTTPIP.InitComponent 0016 @UStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 83 84 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 40 01 00 00 01 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 74 00 74 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_39558_0 {
	meta:
		name = "TIdHTTPPeer.DoRequestMethod"
		size = 234
		refs = "002f @UStrAddRef 003f TIdHTTPPeer.DoRequestMethod 0083 @HandleOnException 008b _Dn_EIdHTTPProtocolException 00a6 _Dn_EIPHTTPProtocolExceptionPeer 00ab EIPHTTPProtocolExceptionPeer.Create 00b0 @RaiseExcept 00b5 @DoneExcept 00cf @UStrArrayClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 5D 0C 8B 75 08 03 F6 46 85 F6 78 0A C1 EE 02 8B 3C B3 4E 57 79 F9 89 65 0C 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 43 10 8B 4D F8 8B 55 FC 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 43 1C 50 8B 43 04 50 8B 43 18 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 7D EC 8B 75 F0 8B 5D F4 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_39559_0 {
	meta:
		name = "TIdHTTPPeer.DoRequestDelete"
		size = 248
		refs = "002c @UStrAddRef 0034 TIdHTTPPeer.DoRequestDelete 0077 @HandleOnException 007f _Dn_EIdHTTPProtocolException 009a _Dn_EIPHTTPProtocolExceptionPeer 009f EIPHTTPProtocolExceptionPeer.Create 00a4 @RaiseExcept 00a9 @DoneExcept 00be @UStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 0C 8B 75 08 03 F6 46 85 F6 78 0A C1 EE 02 8B 3C B3 4E 57 79 F9 89 65 0C 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 43 10 8B 4D FC BA ?? ?? ?? ?? 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 43 1C 50 8B 43 04 50 8B 43 18 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 7D F0 8B 75 F4 8B 5D F8 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 45 00 54 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_39560_0 {
	meta:
		name = "TIdHTTPPeer.DoRequestHead"
		size = 244
		refs = "002c @UStrAddRef 0034 TIdHTTPPeer.DoRequestHead 0077 @HandleOnException 007f _Dn_EIdHTTPProtocolException 009a _Dn_EIPHTTPProtocolExceptionPeer 009f EIPHTTPProtocolExceptionPeer.Create 00a4 @RaiseExcept 00a9 @DoneExcept 00be @UStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 0C 8B 75 08 03 F6 46 85 F6 78 0A C1 EE 02 8B 3C B3 4E 57 79 F9 89 65 0C 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 43 10 8B 4D FC BA ?? ?? ?? ?? 8B 18 FF 93 B4 00 00 00 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 43 1C 50 8B 43 04 50 8B 43 18 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 7D F0 8B 75 F4 8B 5D F8 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 45 00 41 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_39561_0 {
	meta:
		name = "TIdHTTPPeer.FreeIOHandler"
		size = 43
		refs = "001d TObject.Free 0025 @IntfClear"
	strings:
		$1 = { 53 8B D8 8B 43 10 83 B8 98 00 00 00 00 74 12 05 98 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 14 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_39562_0 {
	meta:
		name = "TIdHTTPPeer.DoGet"
		size = 163
		refs = "0012 @UStrAddRef 001a TIdHTTPPeer.DoGet 003b TIdCustomHTTP.Get 004a @HandleOnException 0052 _Dn_EIdHTTPProtocolException 006d _Dn_EIPHTTPProtocolExceptionPeer 0072 EIPHTTPProtocolExceptionPeer.Create 0077 @RaiseExcept 007c @DoneExcept 0091 @UStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 43 10 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 43 1C 50 8B 43 04 50 8B 43 18 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39563_0 {
	meta:
		name = "TIdHTTPPeer.Connected"
		size = 9
		altNames = "TIdTCPClientPeer.Connected TIdTCPClientPeerIP.Connected"
	strings:
		$1 = { 8B 40 10 8B 10 FF 52 74 C3 }
	condition:
		$1
}

rule function_39565_0 {
	meta:
		name = "TIdHTTPPeer.Create"
		size = 251
		refs = "0016 @ClassCreate 0026 TIdHTTPPeer.Create 0033 _DV_TIdHTTPPeer.Create$8$ActRec 0038 TObject.Create 004b @IntfCopy 0058 @IntfClear 0099 _DV_TIdHTTPIP 009e TIdBaseComponent.Create 00d5 @HandleFinally 00e4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B FE 89 7B 0C 8D 47 14 E8 ?? ?? ?? ?? 8B 43 0C 83 C0 18 E8 ?? ?? ?? ?? 8B 43 0C 83 C0 1C E8 ?? ?? ?? ?? 8B 43 0C 83 C0 20 E8 ?? ?? ?? ?? 8B 43 0C 83 C0 24 E8 ?? ?? ?? ?? 8B 43 0C 83 C0 28 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 43 0C 89 78 10 8D 87 80 01 00 00 8B D3 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39566_0 {
	meta:
		name = "TIdHTTPPeer.Destroy"
		size = 71
		refs = "0003 @BeforeDestruction 000f @IntfClear 001e TIdClassIP.NeedToFree 002a TObject.Free 0035 TObject.Destroy 0040 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 14 E8 ?? ?? ?? ?? 8D 46 20 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 8B 46 10 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39568_0 {
	meta:
		name = "TIdHTTPPeer.DoGet"
		size = 165
		refs = "0012 @UStrAddRef 001a TIdHTTPPeer.DoGet 003b TIdCustomHTTP.Get 004a @HandleOnException 0052 _Dn_EIdHTTPProtocolException 006d _Dn_EIPHTTPProtocolExceptionPeer 0072 EIPHTTPProtocolExceptionPeer.Create 0077 @RaiseExcept 007c @DoneExcept 0091 @UStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 8B CE 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 43 1C 50 8B 43 04 50 8B 43 18 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_39569_0 {
	meta:
		name = "TIdHTTPPeer.DoPost"
		size = 169
		refs = "0012 @UStrAddRef 001a TIdHTTPPeer.DoPost 003f TIdCustomHTTP.Post 004e @HandleOnException 0056 _Dn_EIdHTTPProtocolException 0071 _Dn_EIPHTTPProtocolExceptionPeer 0076 EIPHTTPProtocolExceptionPeer.Create 007b @RaiseExcept 0080 @DoneExcept 0095 @UStrClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 43 10 8B CE 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 43 1C 50 8B 43 04 50 8B 43 18 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_39572_0 {
	meta:
		name = "TIdHTTPPeer.DoPut"
		size = 169
		refs = "0012 @UStrAddRef 001a TIdHTTPPeer.DoPut 003f TIdCustomHTTP.Put 004e @HandleOnException 0056 _Dn_EIdHTTPProtocolException 0071 _Dn_EIPHTTPProtocolExceptionPeer 0076 EIPHTTPProtocolExceptionPeer.Create 007b @RaiseExcept 0080 @DoneExcept 0095 @UStrClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 43 10 8B CE 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 43 1C 50 8B 43 04 50 8B 43 18 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_39570_0 {
	meta:
		name = "TIdHTTPPeer.DoPost"
		size = 171
		refs = "0012 @UStrAddRef 001a TIdHTTPPeer.DoPost 0041 TIdCustomHTTP.Post 0050 @HandleOnException 0058 _Dn_EIdHTTPProtocolException 0073 _Dn_EIPHTTPProtocolExceptionPeer 0078 EIPHTTPProtocolExceptionPeer.Create 007d @RaiseExcept 0082 @DoneExcept 0097 @UStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 08 50 8B 43 10 8B CE 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 43 1C 50 8B 43 04 50 8B 43 18 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_39574_0 {
	meta:
		name = "TIdHTTPPeer.GetConnectTimeout"
		size = 10
	strings:
		$1 = { 8B 40 10 8B 80 C4 00 00 00 C3 }
	condition:
		$1
}

rule function_39575_0 {
	meta:
		name = "TIdHTTPPeer.GetHTTPOptions"
		size = 172
		refs = "0013 TIdHTTPPeer.GetHTTPOptions"
	strings:
		$1 = { 53 56 8B F0 8B 46 10 F6 80 41 01 00 00 01 74 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 8B 46 10 F6 80 41 01 00 00 02 74 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 8B 46 10 F6 80 41 01 00 00 04 74 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 8B 46 10 F6 80 41 01 00 00 08 74 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 8B 46 10 F6 80 41 01 00 00 10 74 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 8B 46 10 F6 80 41 01 00 00 20 74 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 8B C3 5E 5B C3 00 01 00 00 00 02 00 00 00 04 00 00 00 08 00 00 00 10 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_39576_0 {
	meta:
		name = "TIdHTTPPeer.GetIOHandler"
		size = 248
		refs = "0016 @IntfClear 003e @IntfCopy 0054 _Dn_TIdSSLIOHandlerSocketOpenSSL 0059 @IsClass 006a @AsClass 0073 _DV_TIdSSLIOHandlerSocketOpenSSLPeer 0078 TIdSSLIOHandlerSocketOpenSSLPeer.Create 0092 _Dn_TIdIOHandlerSocket 00b1 _DV_TIdIOHandlerSocketPeer 00b6 TIdIOHandlerSocketPeer.Create 00d1 _DV_TIdIOHandlerPeerIP 00d6 TIdIOHandlerPeerIP.Create"
		altNames = "TIdTCPClientPeer.GetIOHandler TIdTCPClientPeerIP.GetIOHandler"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 10 83 B8 98 00 00 00 00 75 0C 8B C6 E8 ?? ?? ?? ?? E9 D5 00 00 00 83 7B 14 00 74 22 8B 43 14 8B 10 FF 52 0C 8B 53 10 3B 82 98 00 00 00 75 0F 8B C6 8B 53 14 E8 ?? ?? ?? ?? E9 AD 00 00 00 8B 43 10 8B B8 98 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B C6 E8 ?? ?? ?? ?? EB 5C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B C6 E8 ?? ?? ?? ?? EB 1E 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B C6 E8 ?? ?? ?? ?? 8D 43 14 8B 16 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39579_0 {
	meta:
		name = "TIdHTTPPeer.GetProtocol"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 8B 92 84 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39580_0 {
	meta:
		name = "TIdHTTPPeer.GetProxyParams"
		size = 115
		refs = "0015 @IntfClear 003b @IntfCopy 004d _DV_TIdProxyConnectionInfoPeer 0052 TIdProxyConnectionInfoPeer.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 83 B8 4C 01 00 00 00 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 20 00 74 1F 8B 43 20 8B 10 FF 52 0C 8B 53 10 3B 82 4C 01 00 00 75 0C 8B C6 8B 53 20 E8 ?? ?? ?? ?? EB 2F 8B 43 10 8B 88 4C 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 8D 43 20 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39582_0 {
	meta:
		name = "TIdHTTPPeer.SetHTTPOptions"
		size = 204
		refs = "001a TIdHTTPPeer.SetHTTPOptions"
	strings:
		$1 = { 53 56 51 88 14 24 8B D8 F6 04 24 01 74 16 8B 73 10 0F B6 86 41 01 00 00 0A 05 ?? ?? ?? ?? 88 86 41 01 00 00 F6 04 24 02 74 16 8B 73 10 0F B6 86 41 01 00 00 0A 05 ?? ?? ?? ?? 88 86 41 01 00 00 F6 04 24 04 74 16 8B 73 10 0F B6 86 41 01 00 00 0A 05 ?? ?? ?? ?? 88 86 41 01 00 00 F6 04 24 08 74 16 8B 73 10 0F B6 86 41 01 00 00 0A 05 ?? ?? ?? ?? 88 86 41 01 00 00 F6 04 24 10 74 16 8B 73 10 0F B6 86 41 01 00 00 0A 05 ?? ?? ?? ?? 88 86 41 01 00 00 F6 04 24 20 74 16 8B 73 10 0F B6 86 41 01 00 00 0A 05 ?? ?? ?? ?? 88 86 41 01 00 00 5A 5E 5B C3 01 00 00 00 02 00 00 00 04 00 00 00 08 00 00 00 10 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_39583_0 {
	meta:
		name = "TIdHTTPPeer.SetIOHandler"
		size = 105
		refs = "000e @IntfAddRef 0016 TIdHTTPPeer.SetIOHandler 002a _Dn_TIdIOHandler 002f @AsClass 0044 @IntfCopy 0059 @IntfClear 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 10 8B 08 FF 51 60 8D 43 14 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39723_0 {
	meta:
		name = "TIdTCPClientPeer.SetIOHandler"
		size = 105
		refs = "000e @IntfAddRef 0016 TIdTCPClientPeer.SetIOHandler 002a _Dn_TIdIOHandler 002f @AsClass 0044 @IntfCopy 0059 @IntfClear 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 10 8B 08 FF 51 60 8D 43 14 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39744_0 {
	meta:
		name = "TIdTCPClientPeerIP.SetIOHandler"
		size = 105
		refs = "000e @IntfAddRef 0016 TIdTCPClientPeerIP.SetIOHandler 002a _Dn_TIdIOHandler 002f @AsClass 0044 @IntfCopy 0059 @IntfClear 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 10 8B 08 FF 51 60 8D 43 14 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39584_0 {
	meta:
		name = "TIdHTTPPeer.SetProtocol"
		size = 81
		refs = "000e @UStrAddRef 0016 TIdHTTPPeer.SetProtocol 002c @UStrAsg 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 05 84 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39585_0 {
	meta:
		name = "TIdHTTPPeer.SetProxyParams"
		size = 46
		refs = "000f _Dn_TIdProxyConnectionInfo 0014 @AsClass 0027 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 10 89 82 4C 01 00 00 8D 43 20 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39588_0 {
	meta:
		name = "TIdHTTPPeer.SetManagedIOHandler"
		size = 10
		altNames = "TIdTCPClientPeer.SetManagedIOHandler TIdTCPClientPeerIP.SetManagedIOHandler"
	strings:
		$1 = { 8B 40 10 88 90 A0 00 00 00 C3 }
	condition:
		$1
}

rule function_39590_0 {
	meta:
		name = "TIdHTTPPeer.GetRequest"
		size = 123
		refs = "000b TIdCustomHTTP.GetRequest 0016 @IntfClear 0041 @IntfCopy 0054 _DV_TIdHTTPRequestPeer 0059 TIdHTTPRequestPeer.Create"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 10 E8 ?? ?? ?? ?? 85 C0 75 09 8B C6 E8 ?? ?? ?? ?? EB 5B 83 7B 18 00 74 25 8B 43 18 8B 10 FF 92 84 00 00 00 8B F8 8B 43 10 E8 ?? ?? ?? ?? 3B F8 75 0C 8B C6 8B 53 18 E8 ?? ?? ?? ?? EB 30 8B 43 10 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D4 8B C6 E8 ?? ?? ?? ?? 8D 43 18 8B 16 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39591_0 {
	meta:
		name = "TIdHTTPPeer.GetResponse"
		size = 123
		refs = "000b TIdCustomHTTP.GetResponse 0016 @IntfClear 0041 @IntfCopy 0054 _DV_TIdHTTPResponsePeer 0059 TIdHTTPResponsePeer.Create"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 10 E8 ?? ?? ?? ?? 85 C0 75 09 8B C6 E8 ?? ?? ?? ?? EB 5B 83 7B 1C 00 74 25 8B 43 1C 8B 10 FF 92 84 00 00 00 8B F8 8B 43 10 E8 ?? ?? ?? ?? 3B F8 75 0C 8B C6 8B 53 1C E8 ?? ?? ?? ?? EB 30 8B 43 10 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C6 E8 ?? ?? ?? ?? 8D 43 1C 8B 16 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39593_0 {
	meta:
		name = "TIdHTTPPeer.GetResponseText"
		size = 19
		refs = "000c TIdCustomHTTP.GetResponseText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39806_0 {
	meta:
		name = "TIdBasicAuthenticationPeer.GetPassword"
		size = 19
		refs = "000c TIdAuthentication.GetPassword"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39807_0 {
	meta:
		name = "TIdBasicAuthenticationPeer.GetUserName"
		size = 19
		refs = "000c TIdAuthentication.GetUserName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39760_0 {
	meta:
		name = "TIdX509Peer.GetSerialNumber"
		size = 19
		refs = "000c TIdX509.GetSerialNumber"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52361_0 {
	meta:
		name = "TObjectMemberGroupScope.TWrappersEnumerator.GetCurrent"
		size = 19
		refs = "000c TList<System.IInterface>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48898_0 {
	meta:
		name = "TSOAPHeaders.SendAt"
		size = 19
		refs = "000c THeaderList.GetHeader"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39594_0 {
	meta:
		name = "TIdHTTPPeer.GetSocket"
		size = 115
		refs = "0015 @IntfClear 003b @IntfCopy 004d _DV_TIdIOHandlerSocketPeer 0052 TIdIOHandlerSocketPeer.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 83 B8 B0 00 00 00 00 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 24 00 74 1F 8B 43 24 8B 10 FF 52 30 8B 53 10 3B 82 B0 00 00 00 75 0C 8B C6 8B 53 24 E8 ?? ?? ?? ?? EB 2F 8B 43 10 8B 88 B0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C6 E8 ?? ?? ?? ?? 8D 43 24 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39595_0 {
	meta:
		name = "TFont.GetQuality"
		size = 11
		altNames = "TIdHTTPPeer.GetManagedIOHandler TIdTCPClientPeer.GetManagedIOHandler TIdTCPClientPeerIP.GetManagedIOHandler"
	strings:
		$1 = { 8B 40 10 0F B6 80 A0 00 00 00 C3 }
	condition:
		$1
}

rule function_39596_0 {
	meta:
		name = "TIdHTTPPeer.GetURL"
		size = 115
		refs = "0015 @IntfClear 003b @IntfCopy 004d _DV_TIdURIPeer 0052 TIdURIPeer.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 83 B8 44 01 00 00 00 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 28 00 74 1F 8B 43 28 8B 10 FF 52 0C 8B 53 10 3B 82 44 01 00 00 75 0C 8B C6 8B 53 28 E8 ?? ?? ?? ?? EB 2F 8B 43 10 8B 88 44 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 8D 43 28 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39598_0 {
	meta:
		name = "TIdHTTPResponsePeer.Create"
		size = 62
		refs = "000b @ClassCreate 001c TIdEntityHeaderInfoPeer.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 20 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39601_0 {
	meta:
		name = "TIdHTTPResponsePeer.GetResponseText"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 8B 92 B0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39602_0 {
	meta:
		name = "TIdHTTPResponsePeer.SetResponseText"
		size = 76
		refs = "000e @UStrAddRef 0016 TIdHTTPResponsePeer.SetResponseText 0027 TIdHTTPResponse.SetResponseText 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_46025_0 {
	meta:
		name = "TIWCompContext.AddStyle"
		size = 76
		refs = "000e @UStrAddRef 0016 TIWCompContext.AddStyle 0027 TIWPageContext40.AddStyle 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39603_0 {
	meta:
		name = "TIdHeaderListPeer.Add"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 0C 8B 08 FF 51 38 5E C3 }
	condition:
		$1
}

rule function_39605_0 {
	meta:
		name = "TIdHeaderListPeer.Clear"
		size = 9
	strings:
		$1 = { 8B 40 0C 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_39608_0 {
	meta:
		name = "TIdHeaderListPeer.GetFoldLines"
		size = 8
	strings:
		$1 = { 8B 40 0C 0F B6 40 5D C3 }
	condition:
		$1
}

rule function_39614_0 {
	meta:
		name = "TIdHeaderListPeer.SetFoldLines"
		size = 7
	strings:
		$1 = { 8B 40 0C 88 50 5D C3 }
	condition:
		$1
}

rule function_39615_0 {
	meta:
		name = "TIdHeaderListPeer.SetValue"
		size = 82
		refs = "0011 @UStrAddRef 0019 TIdHeaderListPeer.SetValue 002c TIdHeaderList.SetValue 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D6 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39616_0 {
	meta:
		name = "TIdHTTPRequestInfoPeer.Create"
		size = 70
		refs = "000b @ClassCreate 001c TIdEntityHeaderInfoPeer.Create 0024 @IntfClear 0032 @AfterConstruction"
		altNames = "TIdHTTPRequestPeer.Create TIdHTTPResponseInfoPeer.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 24 E8 ?? ?? ?? ?? 89 77 20 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39617_0 {
	meta:
		name = "TIdHTTPRequestPeer.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f @IntfClear 001a TObject.Destroy 0025 @ClassDestroy"
		altNames = "TIdHTTPResponseInfoPeer.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 24 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39618_0 {
	meta:
		name = "TIdHTTPRequestInfoPeer.GetAccept"
		size = 25
		refs = "0012 @UStrAsg"
		altNames = "TIdHTTPRequestPeer.GetAccept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 8B 92 88 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39619_0 {
	meta:
		name = "TIdHTTPRequestPeer.GetAuthentication"
		size = 115
		refs = "0015 @IntfClear 003b @IntfCopy 004d _DV_TIdAuthenticationPeer 0052 TIdAuthenticationPeer.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 20 83 B8 C0 00 00 00 00 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 24 00 74 1F 8B 43 24 8B 10 FF 52 0C 8B 53 20 3B 82 C0 00 00 00 75 0C 8B C6 8B 53 24 E8 ?? ?? ?? ?? EB 2F 8B 43 20 8B 88 C0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 8D 43 24 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39622_0 {
	meta:
		name = "TIdHTTPRequestPeer.SetAccept"
		size = 81
		refs = "000e @UStrAddRef 0016 TIdHTTPRequestPeer.SetAccept 002c @UStrAsg 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 05 88 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39921_0 {
	meta:
		name = "TIdHTTPRequestInfoPeer.SetAccept"
		size = 81
		refs = "000e @UStrAddRef 0016 TIdHTTPRequestInfoPeer.SetAccept 002c @UStrAsg 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 05 88 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39623_0 {
	meta:
		name = "TIdHTTPRequestPeer.SetAuthentication"
		size = 104
		refs = "000e @IntfAddRef 0016 TIdHTTPRequestPeer.SetAuthentication 002a _Dn_TIdAuthentication 002f @AsClass 0043 @IntfCopy 0058 @IntfClear 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 20 89 82 C0 00 00 00 8D 43 24 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39624_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.GetRawHeaders"
		size = 106
		refs = "0012 @IntfClear 0035 @IntfCopy 0044 _DV_TIdHeaderListPeer 0049 TIdHeaderListPeer.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 83 78 0C 00 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 10 00 74 1C 8B 43 10 8B 10 FF 52 0C 8B 53 0C 3B 42 0C 75 0C 8B C6 8B 53 10 E8 ?? ?? ?? ?? EB 2C 8B 43 0C 8B 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 8D 43 10 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39625_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.GetCustomHeaders"
		size = 106
		refs = "0012 @IntfClear 0035 @IntfCopy 0044 _DV_TIdHeaderListPeer 0049 TIdHeaderListPeer.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 83 78 54 00 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 14 00 74 1C 8B 43 14 8B 10 FF 52 0C 8B 53 0C 3B 42 54 75 0C 8B C6 8B 53 14 E8 ?? ?? ?? ?? EB 2C 8B 43 0C 8B 48 54 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 8D 43 14 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39626_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.GetDate"
		size = 25
	strings:
		$1 = { 83 C4 F8 8B 40 0C 8B 50 58 89 14 24 8B 50 5C 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_39627_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.GetETag"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C 8B 52 68 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39629_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.GetLastModified"
		size = 25
	strings:
		$1 = { 83 C4 F8 8B 40 0C 8B 50 70 89 14 24 8B 50 74 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_39631_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.Create"
		size = 67
		refs = "000b @ClassCreate 0019 @IntfClear 002f @AfterConstruction"
		altNames = "TIdTCPConnectionPeer.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 10 E8 ?? ?? ?? ?? 8D 47 14 E8 ?? ?? ?? ?? 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39632_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.GetCharSet"
		size = 22
		refs = "000f @UStrAsg"
		altNames = "TIdProxyConnectionInfoPeer.GetProxyServer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C 8B 52 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39633_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.GetConnection"
		size = 22
		refs = "000f @UStrAsg"
		altNames = "TIdProxyConnectionInfoPeer.GetProxyUserName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C 8B 52 14 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39634_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.GetContentEncoding"
		size = 22
		refs = "000f @UStrAsg"
		altNames = "TIdSocketHandlePeer.GetPeerIP"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C 8B 52 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39635_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.GetContentLanguage"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39636_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.GetContentLength"
		size = 29
	strings:
		$1 = { 83 C4 F8 8B 40 0C 8B 50 28 89 14 24 8B 50 2C 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_39637_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.GetContentRangeEnd"
		size = 29
	strings:
		$1 = { 83 C4 F8 8B 40 0C 8B 50 30 89 14 24 8B 50 34 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_39638_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.GetContentRangeStart"
		size = 29
	strings:
		$1 = { 83 C4 F8 8B 40 0C 8B 50 38 89 14 24 8B 50 3C 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_39639_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.GetContentType"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C 8B 52 4C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39640_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.GetContentVersion"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C 8B 52 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39641_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.GetPragma"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C 8B 52 78 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39642_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.SetCharSet"
		size = 79
		refs = "000e @UStrAddRef 0016 TIdEntityHeaderInfoPeer.SetCharSet 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 83 C0 10 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39643_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.SetConnection"
		size = 79
		refs = "000e @UStrAddRef 0016 TIdEntityHeaderInfoPeer.SetConnection 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 83 C0 14 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39667_0 {
	meta:
		name = "TIdProxyConnectionInfoPeer.SetProxyUserName"
		size = 79
		refs = "000e @UStrAddRef 0016 TIdProxyConnectionInfoPeer.SetProxyUserName 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 83 C0 14 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39644_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.SetContentEncoding"
		size = 79
		refs = "000e @UStrAddRef 0016 TIdEntityHeaderInfoPeer.SetContentEncoding 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 83 C0 1C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39645_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.SetContentLanguage"
		size = 79
		refs = "000e @UStrAddRef 0016 TIdEntityHeaderInfoPeer.SetContentLanguage 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 83 C0 20 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39646_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.SetContentLength"
		size = 21
		refs = "000d TIdEntityHeaderInfo.SetContentLength"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 0C E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_39647_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.SetContentRangeEnd"
		size = 22
	strings:
		$1 = { 55 8B EC 8B 40 0C 8B 55 08 89 50 30 8B 55 0C 89 50 34 5D C2 08 00 }
	condition:
		$1
}

rule function_39648_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.SetContentRangeStart"
		size = 22
		altNames = "TMimeAttachHandlerImpl.SetOnSendAttachmentEvent"
	strings:
		$1 = { 55 8B EC 8B 40 0C 8B 55 08 89 50 38 8B 55 0C 89 50 3C 5D C2 08 00 }
	condition:
		$1
}

rule function_39649_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.SetContentType"
		size = 76
		refs = "000e @UStrAddRef 0016 TIdEntityHeaderInfoPeer.SetContentType 0027 TIdEntityHeaderInfo.SetContentType 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48094_0 {
	meta:
		name = "TAddScriptElements.AddError"
		size = 76
		refs = "000e @UStrAddRef 0016 TAddScriptElements.AddError 0027 TScriptManager.AddError 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39666_0 {
	meta:
		name = "TIdProxyConnectionInfoPeer.SetProxyServer"
		size = 76
		refs = "000e @UStrAddRef 0016 TIdProxyConnectionInfoPeer.SetProxyServer 0027 TIdProxyConnectionInfo.SetProxyServer 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_49243_0 {
	meta:
		name = "TMimeAttachHandlerImpl.AddSoapHeader"
		size = 76
		refs = "000e @UStrAddRef 0016 TMimeAttachHandlerImpl.AddSoapHeader 0027 TMimeAttachmentHandler.AddSoapHeader 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39650_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.SetContentVersion"
		size = 79
		refs = "000e @UStrAddRef 0016 TIdEntityHeaderInfoPeer.SetContentVersion 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 83 C0 50 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39651_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.SetDate"
		size = 22
	strings:
		$1 = { 55 8B EC 8B 40 0C 8B 55 08 89 50 58 8B 55 0C 89 50 5C 5D C2 08 00 }
	condition:
		$1
}

rule function_39652_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.SetETag"
		size = 79
		refs = "000e @UStrAddRef 0016 TIdEntityHeaderInfoPeer.SetETag 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 83 C0 68 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39653_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.SetLastModified"
		size = 22
	strings:
		$1 = { 55 8B EC 8B 40 0C 8B 55 08 89 50 70 8B 55 0C 89 50 74 5D C2 08 00 }
	condition:
		$1
}

rule function_39654_0 {
	meta:
		name = "TIdEntityHeaderInfoPeer.SetPragma"
		size = 79
		refs = "000e @UStrAddRef 0016 TIdEntityHeaderInfoPeer.SetPragma 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 83 C0 78 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39656_0 {
	meta:
		name = "TIdProxyConnectionInfoPeer.GetBasicAuthentication"
		size = 8
	strings:
		$1 = { 8B 40 0C 0F B6 40 18 C3 }
	condition:
		$1
}

rule function_39659_0 {
	meta:
		name = "TIdProxyConnectionInfoPeer.GetProxyPassword"
		size = 22
		refs = "000f @UStrAsg"
		altNames = "TIdSSLOptionsPeer.GetCertFile"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C 8B 52 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39660_0 {
	meta:
		name = "TIdProxyConnectionInfoPeer.GetProxyPort"
		size = 7
	strings:
		$1 = { 8B 40 0C 8B 40 0C C3 }
	condition:
		$1
}

rule function_39663_0 {
	meta:
		name = "TIdProxyConnectionInfoPeer.SetBasicAuthentication"
		size = 7
	strings:
		$1 = { 8B 40 0C 88 50 18 C3 }
	condition:
		$1
}

rule function_39664_0 {
	meta:
		name = "TIdProxyConnectionInfoPeer.SetProxyPassword"
		size = 79
		refs = "000e @UStrAddRef 0016 TIdProxyConnectionInfoPeer.SetProxyPassword 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 83 C0 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39819_0 {
	meta:
		name = "TIdSSLOptionsPeer.SetCertFile"
		size = 79
		refs = "000e @UStrAddRef 0016 TIdSSLOptionsPeer.SetCertFile 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 83 C0 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39668_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSLPeer.AfterConstruction"
		size = 16
		refs = "0006 TInterfacedObject.AfterConstruction"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 2C 00 5B C3 }
	condition:
		$1
}

rule function_39670_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSLPeer.Create"
		size = 228
		refs = "0016 @ClassCreate 0026 TIdSSLIOHandlerSocketOpenSSLPeer.Create 0033 _DV_TIdSSLIOHandlerSocketOpenSSLPeer.Create$113$ActRec 0038 TObject.Create 004b @IntfCopy 0058 @IntfClear 0075 _DV_TIdSSLIOHandlerSocketOpenSSLIP 007a TIdBaseComponent.Create 00a3 TIdIOHandlerSocketPeer.Create 00be @HandleFinally 00cd @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B FE 89 7B 0C 8D 47 34 E8 ?? ?? ?? ?? 8B 7B 0C 33 C0 89 47 38 89 47 3C 8D 47 40 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 43 0C 89 78 30 8D 87 58 01 00 00 8B D3 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 8B 43 0C 8B 48 30 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39671_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSLPeer.Create"
		size = 95
		refs = "000e @ClassCreate 001d @IntfClear 003d TIdIOHandlerSocketPeer.Create 004a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8D 43 34 E8 ?? ?? ?? ?? 33 C0 89 43 38 89 43 3C 8D 43 40 E8 ?? ?? ?? ?? 8B C6 89 43 30 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_39672_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSLPeer.Destroy"
		size = 87
		refs = "0003 @BeforeDestruction 000f @IntfClear 0016 TIdSSLIOHandlerSocketOpenSSLPeer.NeedToFree 0029 _DV_TIdSSLIOHandlerSocketOpenSSLIP 002e @IsClass 003a TObject.Free 0045 TObject.Destroy 0050 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 34 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 20 83 7E 30 00 74 1A 8B 46 30 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 46 30 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39675_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSLPeer.GetOnVerifyPeer"
		size = 33
	strings:
		$1 = { 8B 48 30 66 83 B9 42 01 00 00 00 74 0C 8B 48 38 89 0A 8B 48 3C 89 4A 04 C3 33 C0 89 02 89 42 04 C3 }
	condition:
		$1
}

rule function_39676_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSLPeer.GetPassThrough"
		size = 11
	strings:
		$1 = { 8B 40 30 0F B6 80 08 01 00 00 C3 }
	condition:
		$1
}

rule function_39677_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSLPeer.GetSSLOptions"
		size = 115
		refs = "0015 @IntfClear 003b @IntfCopy 004d _DV_TIdSSLOptionsPeer 0052 TIdSSLOptionsPeer.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 30 83 B8 14 01 00 00 00 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 34 00 74 1F 8B 43 34 8B 10 FF 52 0C 8B 53 30 3B 82 14 01 00 00 75 0C 8B C6 8B 53 34 E8 ?? ?? ?? ?? EB 2F 8B 43 30 8B 88 14 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 8D 43 34 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39678_0 {
	meta:
		name = "THTTPDataLink.Modified"
		size = 5
		altNames = "TIdSSLIOHandlerSocketOpenSSLPeer.SetDestroyed"
	strings:
		$1 = { C6 40 2C 01 C3 }
	condition:
		$1
}

rule function_39679_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSLPeer.SetOnVerifyPeer"
		size = 38
		refs = "001e TIdSSLIOHandlerSocketOpenSSLPeer.LOnVerifyPeerEvent"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 38 8B 55 0C 89 50 3C 8B 50 30 89 82 44 01 00 00 C7 82 40 01 00 00 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_39680_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSLPeer.SetPassThrough"
		size = 12
	strings:
		$1 = { 8B 40 30 8B 08 FF 91 04 01 00 00 C3 }
	condition:
		$1
}

rule function_39681_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSLPeer.SetSSLOptions"
		size = 104
		refs = "000e @IntfAddRef 0016 TIdSSLIOHandlerSocketOpenSSLPeer.SetSSLOptions 002a _Dn_TIdSSLOptions 002f @AsClass 0043 @IntfCopy 0058 @IntfClear 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 30 89 82 14 01 00 00 8D 43 34 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39682_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSLPeer.LOnVerifyPeerEvent"
		size = 83
		refs = "001d _DV_TIdX509Peer 0022 TIdX509Peer.Create 0033 @IntfCopy"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B F2 8B D8 33 C0 66 83 7B 3A 00 74 36 6A 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA DC 8D 43 40 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 0F B6 4D FF 8B 53 40 8B 43 3C FF 53 38 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_39683_0 {
	meta:
		name = "TCoolBand.IsColorStored"
		size = 7
		altNames = "TIdSSLIOHandlerSocketOpenSSLPeer.NeedToFree"
	strings:
		$1 = { 0F B6 40 2C 34 01 C3 }
	condition:
		$1
}

rule function_39684_0 {
	meta:
		name = "TIdIOHandlerPeer.CheckForDataOnSource"
		size = 16
		altNames = "TIdIOHandlerPeerIP.CheckForDataOnSource"
	strings:
		$1 = { 56 8B F0 8B 46 0C 8B 08 FF 91 88 00 00 00 5E C3 }
	condition:
		$1
}

rule function_39685_0 {
	meta:
		name = "TIdIOHandlerPeer.Close"
		size = 12
		altNames = "TIdIOHandlerPeerIP.Close"
	strings:
		$1 = { 8B 40 0C 8B 10 FF 92 8C 00 00 00 C3 }
	condition:
		$1
}

rule function_39686_0 {
	meta:
		name = "TIdIOHandlerPeer.Connected"
		size = 12
		altNames = "TIdIOHandlerPeerIP.Connected"
	strings:
		$1 = { 8B 40 0C 8B 10 FF 92 80 00 00 00 C3 }
	condition:
		$1
}

rule function_39688_0 {
	meta:
		name = "TIdIOHandlerPeer.GetInputBuffer"
		size = 63
		refs = "0017 @IntfClear 0022 _DV_TIdBufferPeer 0027 TIdBufferPeer.Create 0037 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 0C 8B B8 A0 00 00 00 85 FF 75 09 8B C6 E8 ?? ?? ?? ?? EB 1E 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39692_0 {
	meta:
		name = "TIdIOHandlerPeer.ReadBytes"
		size = 29
		altNames = "TIdIOHandlerPeerIP.ReadBytes"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 0F B6 45 08 50 8B 46 0C 8B 18 FF 93 C0 00 00 00 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_39693_0 {
	meta:
		name = "TIdIOHandlerPeer.Write"
		size = 34
		altNames = "TIdIOHandlerPeerIP.Write"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 45 08 50 8B D7 8B 46 0C 8B 18 FF 93 94 00 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_39697_0 {
	meta:
		name = "TIdContextPeer.Create"
		size = 59
		refs = "000b @ClassCreate 0019 @IntfClear 0027 @AfterConstruction"
		altNames = "TIdIOHandlerPeerIP.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 10 E8 ?? ?? ?? ?? 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39698_0 {
	meta:
		name = "TIdIOHandlerPeerIP.GetInputBuffer"
		size = 115
		refs = "0015 @IntfClear 003b @IntfCopy 004d _DV_TIdBufferPeer 0052 TIdBufferPeer.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 83 B8 A0 00 00 00 00 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 10 00 74 1F 8B 43 10 8B 10 FF 52 0C 8B 53 0C 3B 82 A0 00 00 00 75 0C 8B C6 8B 53 10 E8 ?? ?? ?? ?? EB 2F 8B 43 0C 8B 88 A0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 8D 43 10 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39704_0 {
	meta:
		name = "TIdTCPClientIP.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 0026 TIdTCPConnection.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 BE 10 01 00 00 00 74 0B 8B 86 10 01 00 00 8B 10 FF 52 0C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39706_0 {
	meta:
		name = "TIdTCPClientPeer.Create"
		size = 196
		refs = "0016 @ClassCreate 0026 TIdTCPClientPeer.Create 0033 _DV_TIdTCPClientPeer.Create$149$ActRec 0038 TObject.Create 004b @IntfCopy 0058 @IntfClear 0062 _DV_TIdTCPClientIP 0067 TIdBaseComponent.Create 009e @HandleFinally 00ad @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B FE 89 7B 0C 8D 47 14 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 43 0C 89 78 10 8D 87 10 01 00 00 8B D3 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39727_0 {
	meta:
		name = "TIdTCPClientPeerIP.Create"
		size = 196
		refs = "0016 @ClassCreate 0026 TIdTCPClientPeerIP.Create 0033 _DV_TIdTCPClientPeerIP.Create$170$ActRec 0038 TObject.Create 004b @IntfCopy 0058 @IntfClear 0062 _DV_TIdTCPClientIP 0067 TIdBaseComponent.Create 009e @HandleFinally 00ad @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B FE 89 7B 0C 8D 47 14 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 43 0C 89 78 10 8D 87 10 01 00 00 8B D3 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39707_0 {
	meta:
		name = "TIdTCPClientPeer.Destroy"
		size = 63
		refs = "0003 @BeforeDestruction 000f @IntfClear 0016 TIdClassIP.NeedToFree 0022 TObject.Free 002d TObject.Destroy 0038 @ClassDestroy"
		altNames = "TIdTCPClientPeerIP.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 14 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 8B 46 10 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39708_0 {
	meta:
		name = "TIdTCPClientPeer.Connect"
		size = 12
		altNames = "TIdTCPClientPeerIP.Connect"
	strings:
		$1 = { 8B 40 10 8B 10 FF 92 AC 00 00 00 C3 }
	condition:
		$1
}

rule function_39712_0 {
	meta:
		name = "TIdTCPClientPeer.GetBoundIP"
		size = 25
		refs = "0012 @UStrAsg"
		altNames = "TIdTCPClientPeerIP.GetBoundIP"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 8B 92 B8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39713_0 {
	meta:
		name = "TIdTCPClientPeer.GetHost"
		size = 25
		refs = "0012 @UStrAsg"
		altNames = "TIdTCPClientPeerIP.GetHost"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 8B 92 CC 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39714_0 {
	meta:
		name = "TIdTCPClientPeer.GetSocket"
		size = 63
		refs = "0017 @IntfClear 0022 _DV_TIdIOHandlerSocketPeer 0027 TIdIOHandlerSocketPeer.Create 0037 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 10 8B B8 B0 00 00 00 85 FF 75 09 8B C6 E8 ?? ?? ?? ?? EB 1E 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39718_0 {
	meta:
		name = "TIdTCPClientPeer.GetPort"
		size = 11
		altNames = "TIdTCPClientPeerIP.GetPort"
	strings:
		$1 = { 8B 40 10 0F B7 80 E4 00 00 00 C3 }
	condition:
		$1
}

rule function_39721_0 {
	meta:
		name = "TIdTCPClientPeer.SetBoundIP"
		size = 76
		refs = "000e @UStrAddRef 0016 TIdTCPClientPeer.SetBoundIP 0027 TIdTCPClientCustom.SetBoundIP 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39742_0 {
	meta:
		name = "TIdTCPClientPeerIP.SetBoundIP"
		size = 76
		refs = "000e @UStrAddRef 0016 TIdTCPClientPeerIP.SetBoundIP 0027 TIdTCPClientCustom.SetBoundIP 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39722_0 {
	meta:
		name = "TIdTCPClientPeer.SetHost"
		size = 79
		refs = "000e @UStrAddRef 0016 TIdTCPClientPeer.SetHost 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 10 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39743_0 {
	meta:
		name = "TIdTCPClientPeerIP.SetHost"
		size = 79
		refs = "000e @UStrAddRef 0016 TIdTCPClientPeerIP.SetHost 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 10 8B 08 FF 91 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39724_0 {
	meta:
		name = "TIdTCPClientPeer.SetPort"
		size = 16
		altNames = "TIdTCPClientPeerIP.SetPort"
	strings:
		$1 = { 56 8B F0 8B 46 10 8B 08 FF 91 A4 00 00 00 5E C3 }
	condition:
		$1
}

rule function_39735_0 {
	meta:
		name = "TIdTCPClientPeerIP.GetSocket"
		size = 115
		refs = "0015 @IntfClear 003b @IntfCopy 004d _DV_TIdIOHandlerSocketPeer 0052 TIdIOHandlerSocketPeer.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 83 B8 B0 00 00 00 00 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 18 00 74 1F 8B 43 18 8B 10 FF 52 30 8B 53 10 3B 82 B0 00 00 00 75 0C 8B C6 8B 53 18 E8 ?? ?? ?? ?? EB 2F 8B 43 10 8B 88 B0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C6 E8 ?? ?? ?? ?? 8D 43 18 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39750_0 {
	meta:
		name = "TIdBufferPeer.GetSize"
		size = 7
	strings:
		$1 = { 8B 40 0C 8B 40 20 C3 }
	condition:
		$1
}

rule function_39751_0 {
	meta:
		name = "TIdX509IP.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0020 TIdX509.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 20 00 74 08 8B 46 20 8B 10 FF 52 0C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39753_0 {
	meta:
		name = "TIdX509Peer.Create"
		size = 222
		refs = "0016 @ClassCreate 0026 TIdX509Peer.Create 0033 _DV_TIdX509Peer.Create$196$ActRec 0038 TObject.Create 004b @IntfCopy 0058 @IntfClear 007d _DV_TIdX509IP 0082 TIdX509.Create 00b6 @HandleFinally 00c5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B FE 89 7B 0C 8D 47 14 E8 ?? ?? ?? ?? 8B 43 0C 83 C0 18 E8 ?? ?? ?? ?? 8B 43 0C 83 C0 1C E8 ?? ?? ?? ?? 0F B6 45 08 50 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 43 0C 89 78 10 8D 47 20 8B D3 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_39754_0 {
	meta:
		name = "TIdBasicAuthenticationPeer.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 000e TIdClassIP.NeedToFree 001a TObject.Free 0025 TObject.Destroy 0030 @ClassDestroy"
		altNames = "TIdSchedulerOfThreadPoolPeer.Destroy TIdX509Peer.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 8B 46 10 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39756_0 {
	meta:
		name = "TIdX509Peer.GetIssuer"
		size = 120
		refs = "000b TIdX509.RIssuer 0016 @IntfClear 003e @IntfCopy 0051 _DV_TIdX509NamePeer 0056 TIdX509NamePeer.Create"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 10 E8 ?? ?? ?? ?? 85 C0 75 09 8B C6 E8 ?? ?? ?? ?? EB 58 83 7B 14 00 74 22 8B 43 14 8B 10 FF 52 0C 8B F8 8B 43 10 E8 ?? ?? ?? ?? 3B F8 75 0C 8B C6 8B 53 14 E8 ?? ?? ?? ?? EB 30 8B 43 10 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 8D 43 14 8B 16 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39757_0 {
	meta:
		name = "TIdX509Peer.GetNotAfter"
		size = 21
		refs = "0007 TIdX509.RnotAfter"
	strings:
		$1 = { 83 C4 F8 8B 40 10 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_39758_0 {
	meta:
		name = "TIdX509Peer.GetNotBefore"
		size = 21
		refs = "0007 TIdX509.RnotBefore"
	strings:
		$1 = { 83 C4 F8 8B 40 10 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_39761_0 {
	meta:
		name = "TIdX509Peer.GetSigInfo"
		size = 106
		refs = "0012 @IntfClear 0035 @IntfCopy 0044 _DV_TIdX509SigInfoPeer 0049 TIdX509SigInfoPeer.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 83 78 08 00 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 18 00 74 1C 8B 43 18 8B 10 FF 52 0C 8B 53 10 3B 42 08 75 0C 8B C6 8B 53 18 E8 ?? ?? ?? ?? EB 2C 8B 43 10 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 8D 43 18 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39762_0 {
	meta:
		name = "TIdX509Peer.GetSubject"
		size = 120
		refs = "000b TIdX509.RSubject 0016 @IntfClear 003e @IntfCopy 0051 _DV_TIdX509NamePeer 0056 TIdX509NamePeer.Create"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 10 E8 ?? ?? ?? ?? 85 C0 75 09 8B C6 E8 ?? ?? ?? ?? EB 58 83 7B 1C 00 74 22 8B 43 1C 8B 10 FF 52 0C 8B F8 8B 43 10 E8 ?? ?? ?? ?? 3B F8 75 0C 8B C6 8B 53 1C E8 ?? ?? ?? ?? EB 30 8B 43 10 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 8D 43 1C 8B 16 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39765_0 {
	meta:
		name = "TIdX509NamePeer.GetHash"
		size = 84
		refs = "000d TIdX509Name.GetHash"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B F4 8B 43 0C E8 ?? ?? ?? ?? 89 44 24 04 0F B6 44 24 04 88 06 0F B6 44 24 05 88 46 01 0F B6 44 24 06 88 46 02 0F B6 44 24 07 88 46 03 0F B7 44 24 04 66 89 06 0F B7 44 24 06 66 89 46 02 8B 44 24 04 89 06 89 06 8B 06 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_39768_0 {
	meta:
		name = "TIdX509NamePeer.GetOneLine"
		size = 19
		refs = "000c TIdX509Name.CertInOneLine"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80772_0 {
	meta:
		name = "TCustomGrid.ObserverAdded$6145$ActRec.$1$Body"
		size = 19
		refs = "000c TCustomGrid.ObserverCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114127_0 {
	meta:
		name = "TCustomOwnedNode.GetItem"
		size = 19
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39828_0 {
	meta:
		name = "TIdAuthenticationPeer.GetPassword"
		size = 19
		refs = "000c TIdAuthentication.GetPassword"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39829_0 {
	meta:
		name = "TIdAuthenticationPeer.GetUserName"
		size = 19
		refs = "000c TIdAuthentication.GetUserName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39773_0 {
	meta:
		name = "TIdX509SigInfoPeer.GetSigTypeAsString"
		size = 19
		refs = "000c TIdX509SigInfo.GetSigTypeAsString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39772_0 {
	meta:
		name = "TIdX509SigInfoPeer.GetSignature"
		size = 19
		refs = "000c TIdX509SigInfo.GetSignature"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50428_0 {
	meta:
		name = "TXSInteger.NativeToXS"
		size = 19
		refs = "000c IntToStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39774_0 {
	meta:
		name = "TIdProc._d2i_RSAPublicKey"
		size = 25
		refs = "000a d2i_RSAPublicKey"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 51 52 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 0C 5D C2 04 00 }
	condition:
		$1
}

rule function_39775_0 {
	meta:
		name = "TIdProc._d2i_X509"
		size = 25
		refs = "000a d2i_X509"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 51 52 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 0C 5D C2 04 00 }
	condition:
		$1
}

rule function_39776_0 {
	meta:
		name = "TIdProc._ERR_error_string"
		size = 15
		refs = "0003 ERR_error_string"
	strings:
		$1 = { 51 52 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 C3 }
	condition:
		$1
}

rule function_39779_0 {
	meta:
		name = "TIdProc._i2d_RSAPublicKey"
		size = 15
		refs = "0003 i2d_RSAPublicKey"
	strings:
		$1 = { 51 52 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 08 C3 }
	condition:
		$1
}

rule function_39781_0 {
	meta:
		name = "TIdProc._RSA_free"
		size = 12
		refs = "0002 RSA_free"
	strings:
		$1 = { 52 A1 ?? ?? ?? ?? 8B 00 FF D0 59 C3 }
	condition:
		$1
}

rule function_39785_0 {
	meta:
		name = "TIdProc._RSA_size"
		size = 12
		refs = "0002 RSA_size"
	strings:
		$1 = { 52 A1 ?? ?? ?? ?? 8B 00 FF D0 59 C3 }
	condition:
		$1
}

rule function_39782_0 {
	meta:
		name = "TIdProc._RSA_generate_key"
		size = 19
		refs = "0007 RSA_generate_key"
	strings:
		$1 = { 6A 00 6A 00 51 52 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 10 C3 }
	condition:
		$1
}

rule function_39783_0 {
	meta:
		name = "TIdProc._RSA_private_decrypt"
		size = 33
		refs = "0012 RSA_private_decrypt"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 8B 45 0C 50 8B 45 10 50 51 52 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 14 5D C2 0C 00 }
	condition:
		$1
}

rule function_39784_0 {
	meta:
		name = "TIdProc._RSA_public_encrypt"
		size = 33
		refs = "0012 RSA_public_encrypt"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 8B 45 0C 50 8B 45 10 50 51 52 A1 ?? ?? ?? ?? 8B 00 FF D0 83 C4 14 5D C2 0C 00 }
	condition:
		$1
}

rule function_39790_0 {
	meta:
		name = "TIdProc.GMTToLocalDateTime"
		size = 79
		refs = "000d @UStrAddRef 0015 TIdProc.GMTToLocalDateTime 0023 GMTToLocalDateTime 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_39793_0 {
	meta:
		name = "TIdProc.ParamsEncode"
		size = 33
		refs = "0012 _Dn_TIdURI 0017 TIdURI.ParamsEncode"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 45 08 50 8B CE 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_39794_0 {
	meta:
		name = "TIdProc.ReadStringAsCharset"
		size = 27
		refs = "0011 ReadStringAsCharset"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_39795_0 {
	meta:
		name = "TIdProc.ReadStringFromStream"
		size = 31
		refs = "0015 ReadStringFromStream"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 45 08 50 8B 4D 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_39798_0 {
	meta:
		name = "TIdProc.URLDecode"
		size = 86
		refs = "000e @UStrAddRef 0016 TIdProc.URLDecode 002a _Dn_TIdURI 002f TIdURI.URLDecode 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CB 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_39799_0 {
	meta:
		name = "TIdProc.URLEncode"
		size = 24
		refs = "000c _Dn_TIdURI 0011 TIdURI.URLEncode"
	strings:
		$1 = { 53 56 8B F1 8B DA 56 33 C9 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39800_0 {
	meta:
		name = "TIdBasicAuthenticationIP.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0020 TIdAuthentication.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 14 00 74 08 8B 46 14 8B 10 FF 52 0C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39802_0 {
	meta:
		name = "TIdBasicAuthenticationPeer.Create"
		size = 177
		refs = "0016 @ClassCreate 0023 TIdBasicAuthenticationPeer.Create 0030 _DV_TIdBasicAuthenticationPeer.Create$245$ActRec 0035 TObject.Create 0048 @IntfCopy 0052 _DV_TIdBasicAuthenticationIP 0057 TIdAuthentication.Create 0085 @IntfClear 008b @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 43 0C 89 78 10 8D 47 14 8B D3 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_39808_0 {
	meta:
		name = "TIdBasicAuthenticationPeer.SetPassword"
		size = 76
		refs = "000e @UStrAddRef 0016 TIdBasicAuthenticationPeer.SetPassword 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 10 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39809_0 {
	meta:
		name = "TIdBasicAuthenticationPeer.SetUsername"
		size = 76
		refs = "000e @UStrAddRef 0016 TIdBasicAuthenticationPeer.SetUsername 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 10 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39813_0 {
	meta:
		name = "TIdSSLOptionsPeer.GetKeyFile"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C 8B 52 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39814_0 {
	meta:
		name = "TIdSSLOptionsPeer.GetMethod"
		size = 136
		refs = "0024 TIdSSLOptionsPeer.GetMethod 002b _Dn_Exception 0030 Exception.Create 0035 @RaiseExcept"
	strings:
		$1 = { 8B 40 0C 0F B6 40 10 2C 01 72 0C 74 0D FE C8 74 0C FE C8 74 0B EB 0C 33 C0 C3 B0 01 C3 B0 02 C3 B0 03 C3 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 55 00 6E 00 65 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 20 00 6D 00 65 00 74 00 68 00 6F 00 64 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 66 00 6F 00 75 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_39815_0 {
	meta:
		name = "TIdSSLOptionsPeer.GetMode"
		size = 116
		refs = "0024 TIdSSLOptionsPeer.GetMode 002b _Dn_Exception 0030 Exception.Create 0035 @RaiseExcept"
	strings:
		$1 = { 8B 40 0C 0F B6 40 12 2C 01 72 0C 74 0D FE C8 74 0C FE C8 74 0B EB 0C 33 C0 C3 B0 01 C3 B0 02 C3 B0 03 C3 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 55 00 6E 00 65 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 20 00 6D 00 6F 00 64 00 65 00 20 00 66 00 6F 00 75 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_39817_0 {
	meta:
		name = "TIdSSLOptionsPeer.GetRootCertFile"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C 8B 52 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39818_0 {
	meta:
		name = "TIdSSLOptionsPeer.GetVerifyMode"
		size = 84
		refs = "0010 TIdSSLOptionsPeer.GetVerifyMode"
	strings:
		$1 = { 53 56 8B F0 8B 46 0C F6 40 18 01 74 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 8B 46 0C F6 40 18 02 74 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 8B 46 0C F6 40 18 04 74 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 8B C3 5E 5B C3 00 00 00 01 00 00 00 02 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_39820_0 {
	meta:
		name = "TIdSSLOptionsPeer.SetKeyFile"
		size = 79
		refs = "000e @UStrAddRef 0016 TIdSSLOptionsPeer.SetKeyFile 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 83 C0 0C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39821_0 {
	meta:
		name = "TIdSSLOptionsPeer.SetMethod"
		size = 61
		refs = "0017 TIdSSLOptions.SetMethod"
	strings:
		$1 = { 80 EA 01 72 0C 74 15 FE CA 74 1C FE CA 74 23 EB 2B 33 D2 8B 40 0C E8 ?? ?? ?? ?? C3 B2 01 8B 40 0C E8 ?? ?? ?? ?? C3 B2 02 8B 40 0C E8 ?? ?? ?? ?? C3 B2 03 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_39822_0 {
	meta:
		name = "TIdSSLOptionsPeer.SetMode"
		size = 49
	strings:
		$1 = { 80 EA 01 72 0C 74 12 FE CA 74 16 FE CA 74 1A EB 1F 8B 40 0C C6 40 12 00 C3 8B 40 0C C6 40 12 01 C3 8B 40 0C C6 40 12 02 C3 8B 40 0C C6 40 12 03 C3 }
	condition:
		$1
}

rule function_39823_0 {
	meta:
		name = "TIdSSLOptionsPeer.SetRootCertFile"
		size = 79
		refs = "000e @UStrAddRef 0016 TIdSSLOptionsPeer.SetRootCertFile 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 83 C0 04 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39824_0 {
	meta:
		name = "TIdSSLOptionsPeer.SetVerifyMode"
		size = 92
		refs = "0017 TIdSSLOptionsPeer.SetVerifyMode"
	strings:
		$1 = { 53 56 51 88 14 24 8B D8 F6 04 24 01 74 10 8B 73 0C 0F B6 46 18 0A 05 ?? ?? ?? ?? 88 46 18 F6 04 24 02 74 10 8B 73 0C 0F B6 46 18 0A 05 ?? ?? ?? ?? 88 46 18 F6 04 24 04 74 10 8B 73 0C 0F B6 46 18 0A 05 ?? ?? ?? ?? 88 46 18 5A 5E 5B C3 00 00 01 00 00 00 02 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_39830_0 {
	meta:
		name = "TIdAuthenticationPeer.SetPassword"
		size = 76
		refs = "000e @UStrAddRef 0016 TIdAuthenticationPeer.SetPassword 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 0C 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39831_0 {
	meta:
		name = "TIdAuthenticationPeer.SetUsername"
		size = 76
		refs = "000e @UStrAddRef 0016 TIdAuthenticationPeer.SetUsername 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 0C 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39835_0 {
	meta:
		name = "TIdURIPeer.URLEncode"
		size = 37
		refs = "001a TIdURI.URLEncode"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 43 0C 8B 00 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_39836_0 {
	meta:
		name = "TIdServerIOHandlerSSLOpenSSLIP.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 0026 TIdServerIOHandlerSSLOpenSSL.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 BE C8 00 00 00 00 74 0B 8B 86 C8 00 00 00 8B 10 FF 52 0C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39838_0 {
	meta:
		name = "TIdServerIOHandlerSSLOpenSSLPeer.Create"
		size = 204
		refs = "0016 @ClassCreate 0026 TIdServerIOHandlerSSLOpenSSLPeer.Create 0033 _DV_TIdServerIOHandlerSSLOpenSSLPeer.Create$281$ActRec 0038 TObject.Create 004b @IntfCopy 0060 @IntfClear 006a _DV_TIdServerIOHandlerSSLOpenSSLIP 006f TIdBaseComponent.Create 00a6 @HandleFinally 00b5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 0C 33 C0 89 46 18 89 46 1C 8D 46 20 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 0C 89 70 10 8D 86 C8 00 00 00 8B D3 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39839_0 {
	meta:
		name = "TIdServerIOHandlerSSLOpenSSLPeer.Create"
		size = 67
		refs = "000b @ClassCreate 0021 @IntfClear 002f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 47 18 89 47 1C 8D 47 20 E8 ?? ?? ?? ?? 89 77 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39840_0 {
	meta:
		name = "TIdServerIOHandlerSSLOpenSSLPeer.Destroy"
		size = 79
		refs = "0003 @BeforeDestruction 000e TIdClassIP.NeedToFree 0021 _DV_TIdServerIOHandlerSSLOpenSSLIP 0026 @IsClass 0032 TObject.Free 003d TObject.Destroy 0048 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 20 83 7E 10 00 74 1A 8B 46 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 46 10 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39843_0 {
	meta:
		name = "TIdServerIOHandlerSSLOpenSSLPeer.GetOnGetPassword"
		size = 33
	strings:
		$1 = { 8B 48 10 66 83 B9 B2 00 00 00 00 74 0C 8B 48 18 89 0A 8B 48 1C 89 4A 04 C3 33 C0 89 02 89 42 04 C3 }
	condition:
		$1
}

rule function_39844_0 {
	meta:
		name = "TIdServerIOHandlerSSLOpenSSLPeer.GetSSLOptions"
		size = 115
		refs = "0015 @IntfClear 003b @IntfCopy 004d _DV_TIdSSLOptionsPeer 0052 TIdSSLOptionsPeer.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 83 B8 98 00 00 00 00 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 20 00 74 1F 8B 43 20 8B 10 FF 52 0C 8B 53 10 3B 82 98 00 00 00 75 0C 8B C6 8B 53 20 E8 ?? ?? ?? ?? EB 2F 8B 43 10 8B 88 98 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 8D 43 20 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39845_0 {
	meta:
		name = "TIdServerIOHandlerSSLOpenSSLPeer.SetOnGetPassword"
		size = 38
		refs = "001e TIdServerIOHandlerSSLOpenSSLPeer.LOnGetPassEvent"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 18 8B 55 0C 89 50 1C 8B 50 10 89 82 B4 00 00 00 C7 82 B0 00 00 00 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_39846_0 {
	meta:
		name = "TGIFStream.Progress"
		size = 18
		altNames = "TIdServerIOHandlerSSLOpenSSLPeer.LOnGetPassEvent"
	strings:
		$1 = { 53 66 83 78 1A 00 74 08 8B D8 8B 43 1C FF 53 18 5B C3 }
	condition:
		$1
}

rule function_39847_0 {
	meta:
		name = "TIdHTTPServerIP.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 0026 TIdCustomHTTPServer.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 BE A8 01 00 00 00 74 0B 8B 86 A8 01 00 00 8B 10 FF 52 0C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39849_0 {
	meta:
		name = "TIdHTTPServerPeer.Create"
		size = 279
		refs = "0016 @ClassCreate 0026 TIdHTTPServerPeer.Create 0033 _DV_TIdHTTPServerPeer.Create$292$ActRec 0038 TObject.Create 004b @IntfCopy 0057 _DV_TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext> 005c TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Create 006a @IntfClear 00b5 _DV_TIdHTTPServerIP 00ba TIdBaseComponent.Create 00f1 @HandleFinally 0100 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 0C 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7B 0C 89 47 14 8D 47 18 E8 ?? ?? ?? ?? 8B 43 0C 83 C0 1C E8 ?? ?? ?? ?? 8B 43 0C 83 C0 20 E8 ?? ?? ?? ?? 8B 43 0C 33 D2 89 50 28 89 50 2C 33 D2 89 50 30 89 50 34 33 D2 89 50 38 89 50 3C 33 D2 89 50 40 89 50 44 33 D2 89 50 48 89 50 4C 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 43 0C 89 78 10 8D 87 A8 01 00 00 8B D3 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39850_0 {
	meta:
		name = "TIdHTTPServerPeer.Destroy"
		size = 95
		refs = "0003 @BeforeDestruction 000f @IntfClear 002f TObject.Free 0036 TIdClassIP.NeedToFree 004d TObject.Destroy 0058 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 20 E8 ?? ?? ?? ?? 8D 46 18 E8 ?? ?? ?? ?? 8D 46 1C E8 ?? ?? ?? ?? 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 8B 46 10 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39851_0 {
	meta:
		name = "TIdHTTPServerPeer.GetActive"
		size = 11
		altNames = "TIdTCPServerPeer.GetActive"
	strings:
		$1 = { 8B 40 10 0F B6 80 90 00 00 00 C3 }
	condition:
		$1
}

rule function_39852_0 {
	meta:
		name = "TIdHTTPServerPeer.GetBindings"
		size = 115
		refs = "0015 @IntfClear 003b @IntfCopy 004d _DV_TIdSocketHandlesPeer 0052 TIdSocketHandlesPeer.Create"
		altNames = "TIdTCPServerPeer.GetBindings"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 83 B8 98 00 00 00 00 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 18 00 74 1F 8B 43 18 8B 10 FF 52 0C 8B 53 10 3B 82 98 00 00 00 75 0C 8B C6 8B 53 18 E8 ?? ?? ?? ?? EB 2F 8B 43 10 8B 88 98 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 8D 43 18 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39854_0 {
	meta:
		name = "TIdHTTPServerPeer.GetIOHandler"
		size = 183
		refs = "0016 @IntfClear 003e @IntfCopy 0051 _Dn_TIdServerIOHandlerSSLOpenSSL 0056 @IsClass 0067 @AsClass 0070 _DV_TIdServerIOHandlerSSLOpenSSLPeer 0075 TIdServerIOHandlerSSLOpenSSLPeer.Create 0090 _DV_TIdServerIOHandlerPeer 0095 TIdServerIOHandlerPeer.Create"
		altNames = "TIdTCPServerPeer.GetIOHandler"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 10 83 B8 A8 00 00 00 00 75 0C 8B C6 E8 ?? ?? ?? ?? E9 94 00 00 00 83 7B 1C 00 74 1F 8B 43 1C 8B 10 FF 52 0C 8B 53 10 3B 82 A8 00 00 00 75 0C 8B C6 8B 53 1C E8 ?? ?? ?? ?? EB 6F 8B 43 10 8B B8 A8 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C6 E8 ?? ?? ?? ?? EB 1E 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B C6 E8 ?? ?? ?? ?? 8D 43 1C 8B 16 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39856_0 {
	meta:
		name = "TIdHTTPServerPeer.GetKeepAlive"
		size = 11
	strings:
		$1 = { 8B 40 10 0F B6 80 19 01 00 00 C3 }
	condition:
		$1
}

rule function_39858_0 {
	meta:
		name = "TIdHTTPServerPeer.GetOnCommandGet"
		size = 33
	strings:
		$1 = { 8B 48 10 66 83 B9 6A 01 00 00 00 74 0C 8B 48 30 89 0A 8B 48 34 89 4A 04 C3 33 C0 89 02 89 42 04 C3 }
	condition:
		$1
}

rule function_39859_0 {
	meta:
		name = "TIdHTTPServerPeer.GetOnCommandOther"
		size = 33
	strings:
		$1 = { 8B 48 10 66 83 B9 72 01 00 00 00 74 0C 8B 48 38 89 0A 8B 48 3C 89 4A 04 C3 33 C0 89 02 89 42 04 C3 }
	condition:
		$1
}

rule function_39860_0 {
	meta:
		name = "TIdHTTPServerPeer.GetOnConnect"
		size = 33
		altNames = "TIdTCPServerPeer.GetOnConnect"
	strings:
		$1 = { 8B 48 10 66 83 B9 D2 00 00 00 00 74 0C 8B 48 28 89 0A 8B 48 2C 89 4A 04 C3 33 C0 89 02 89 42 04 C3 }
	condition:
		$1
}

rule function_39861_0 {
	meta:
		name = "TIdHTTPServerPeer.GetOnDisconnect"
		size = 33
	strings:
		$1 = { 8B 48 10 66 83 B9 DA 00 00 00 00 74 0C 8B 48 40 89 0A 8B 48 44 89 4A 04 C3 33 C0 89 02 89 42 04 C3 }
	condition:
		$1
}

rule function_39862_0 {
	meta:
		name = "TIdHTTPServerPeer.GetOnExecute"
		size = 33
	strings:
		$1 = { 8B 48 10 66 83 B9 EA 00 00 00 00 74 0C 8B 48 48 89 0A 8B 48 4C 89 4A 04 C3 33 C0 89 02 89 42 04 C3 }
	condition:
		$1
}

rule function_39863_0 {
	meta:
		name = "TIdHTTPServerPeer.GetScheduler"
		size = 115
		refs = "0015 @IntfClear 003b @IntfCopy 004d _DV_TIdSchedulerPeer 0052 TIdSchedulerPeer.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 83 B8 94 00 00 00 00 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 20 00 74 1F 8B 43 20 8B 10 FF 52 0C 8B 53 10 3B 82 94 00 00 00 75 0C 8B C6 8B 53 20 E8 ?? ?? ?? ?? EB 2F 8B 43 10 8B 88 94 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 8D 43 20 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39864_0 {
	meta:
		name = "TIdHTTPServerPeer.GetServerSoftware"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 8B 92 1C 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39865_0 {
	meta:
		name = "TIdHTTPServerPeer.GetUseNagle"
		size = 11
		altNames = "TIdTCPServerPeer.GetUseNagle"
	strings:
		$1 = { 8B 40 10 0F B6 80 10 01 00 00 C3 }
	condition:
		$1
}

rule function_39866_0 {
	meta:
		name = "TIdHTTPServerPeer.LOnCommandGetEvent"
		size = 203
		refs = "0016 TIdHTTPServerPeer.LOnCommandGetEvent 002c _DV_TIdContextPeer 0031 TIdContextPeer.Create 0042 @IntfCopy 004b _DV_TIdHTTPRequestInfoPeer 0050 TIdHTTPRequestInfoPeer.Create 006b _DV_TIdHTTPResponseInfoPeer 0070 TIdHTTPResponseInfoPeer.Create 00a6 @IntfClear 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 32 00 74 6E 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8D 45 FC E8 ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D4 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D4 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 4D F8 8B 55 FC 8B 43 34 FF 53 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_39867_0 {
	meta:
		name = "TIdHTTPServerPeer.LOnCommandOtherEvent"
		size = 203
		refs = "0016 TIdHTTPServerPeer.LOnCommandOtherEvent 002c _DV_TIdContextPeer 0031 TIdContextPeer.Create 0042 @IntfCopy 004b _DV_TIdHTTPRequestInfoPeer 0050 TIdHTTPRequestInfoPeer.Create 006b _DV_TIdHTTPResponseInfoPeer 0070 TIdHTTPResponseInfoPeer.Create 00a6 @IntfClear 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 3A 00 74 6E 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8D 45 FC E8 ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D4 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D4 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 4D F8 8B 55 FC 8B 43 3C FF 53 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_39868_0 {
	meta:
		name = "TIdHTTPServerPeer.LOnConnectEvent"
		size = 243
		refs = "0016 TIdHTTPServerPeer.LOnConnectEvent 0027 TMonitor.CheckMonitorSupport 002e TMonitor.GetMonitor 0036 TMonitor.Enter 0051 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.ContainsKey 0065 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.GetItem 0070 _DV_TIdContextPeer 0075 TIdContextPeer.Create 0086 @IntfCopy 0096 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Add 00ae TMonitor.Exit 00b4 @HandleFinally 00e1 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 70 14 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 14 8B D3 E8 ?? ?? ?? ?? 84 C0 74 12 8D 4D FC 8B 45 F8 8B 40 14 8B D3 E8 ?? ?? ?? ?? EB 2F 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 8B 4D FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 66 83 78 2A 00 74 0C 8B 5D F8 8B 55 FC 8B 43 2C FF 53 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_39869_0 {
	meta:
		name = "TIdHTTPServerPeer.LOnDisconnectEvent"
		size = 190
		refs = "0016 TIdHTTPServerPeer.LOnDisconnectEvent 0027 TMonitor.CheckMonitorSupport 002e TMonitor.GetMonitor 0036 TMonitor.Enter 0054 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.GetItem 0061 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Remove 0079 TMonitor.Exit 007f @HandleFinally 00ac @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 70 14 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 45 F8 8B 40 14 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 66 83 78 42 00 74 0C 8B 5D F8 8B 55 FC 8B 43 44 FF 53 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_39870_0 {
	meta:
		name = "TIdHTTPServerPeer.LOnExecuteEvent"
		size = 177
		refs = "0016 TIdHTTPServerPeer.LOnExecuteEvent 0031 TMonitor.CheckMonitorSupport 0038 TMonitor.GetMonitor 0040 TMonitor.Enter 005e TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.GetItem 0076 TMonitor.Exit 007c @HandleFinally 009f @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 66 83 78 4A 00 74 64 8B 45 F8 8B 58 14 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 45 F8 8B 40 14 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 5D F8 8B 55 FC 8B 43 4C FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_39871_0 {
	meta:
		name = "TIdHTTPServerPeer.SetActive"
		size = 16
		altNames = "TIdTCPServerPeer.SetActive"
	strings:
		$1 = { 56 8B F0 8B 46 10 8B 08 FF 91 90 00 00 00 5E C3 }
	condition:
		$1
}

rule function_39872_0 {
	meta:
		name = "TIdHTTPServerPeer.SetBindings"
		size = 108
		refs = "000e @IntfAddRef 0016 TIdHTTPServerPeer.SetBindings 002a _Dn_TIdSocketHandles 002f @AsClass 0047 @IntfCopy 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 10 8B 08 FF 91 94 00 00 00 8D 43 18 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_40000_0 {
	meta:
		name = "TIdTCPServerPeer.SetBindings"
		size = 108
		refs = "000e @IntfAddRef 0016 TIdTCPServerPeer.SetBindings 002a _Dn_TIdSocketHandles 002f @AsClass 0047 @IntfCopy 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 10 8B 08 FF 91 94 00 00 00 8D 43 18 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39873_0 {
	meta:
		name = "TIdHTTPServerPeer.SetDefaultPort"
		size = 16
		altNames = "TIdTCPServerPeer.SetDefaultPort"
	strings:
		$1 = { 56 8B F0 8B 46 10 8B 08 FF 91 98 00 00 00 5E C3 }
	condition:
		$1
}

rule function_39874_0 {
	meta:
		name = "TIdHTTPServerPeer.SetIOHandler"
		size = 108
		refs = "000e @IntfAddRef 0016 TIdHTTPServerPeer.SetIOHandler 002a _Dn_TIdServerIOHandler 002f @AsClass 0047 @IntfCopy 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 10 8B 08 FF 91 A0 00 00 00 8D 43 1C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_40002_0 {
	meta:
		name = "TIdTCPServerPeer.SetIOHandler"
		size = 108
		refs = "000e @IntfAddRef 0016 TIdTCPServerPeer.SetIOHandler 002a _Dn_TIdServerIOHandler 002f @AsClass 0047 @IntfCopy 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 10 8B 08 FF 91 A0 00 00 00 8D 43 1C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39875_0 {
	meta:
		name = "TIdHTTPServerPeer.SetKeepAlive"
		size = 10
	strings:
		$1 = { 8B 40 10 88 90 19 01 00 00 C3 }
	condition:
		$1
}

rule function_39876_0 {
	meta:
		name = "TIdHTTPServerPeer.SetOnCommandGet"
		size = 38
		refs = "0012 TIdHTTPServerPeer.LOnCommandGetEvent"
	strings:
		$1 = { 55 8B EC 8B 50 10 89 82 6C 01 00 00 C7 82 68 01 00 00 ?? ?? ?? ?? 8B 55 08 89 50 30 8B 55 0C 89 50 34 5D C2 08 00 }
	condition:
		$1
}

rule function_39877_0 {
	meta:
		name = "TIdHTTPServerPeer.SetOnCommandOther"
		size = 38
		refs = "0012 TIdHTTPServerPeer.LOnCommandOtherEvent"
	strings:
		$1 = { 55 8B EC 8B 50 10 89 82 74 01 00 00 C7 82 70 01 00 00 ?? ?? ?? ?? 8B 55 08 89 50 38 8B 55 0C 89 50 3C 5D C2 08 00 }
	condition:
		$1
}

rule function_39878_0 {
	meta:
		name = "TIdHTTPServerPeer.SetOnConnect"
		size = 38
		refs = "0012 TIdHTTPServerPeer.LOnConnectEvent"
	strings:
		$1 = { 55 8B EC 8B 50 10 89 82 D4 00 00 00 C7 82 D0 00 00 00 ?? ?? ?? ?? 8B 55 08 89 50 28 8B 55 0C 89 50 2C 5D C2 08 00 }
	condition:
		$1
}

rule function_40003_0 {
	meta:
		name = "TIdTCPServerPeer.SetOnConnect"
		size = 38
		refs = "0012 TIdTCPServerPeer.LOnConnectEvent"
	strings:
		$1 = { 55 8B EC 8B 50 10 89 82 D4 00 00 00 C7 82 D0 00 00 00 ?? ?? ?? ?? 8B 55 08 89 50 28 8B 55 0C 89 50 2C 5D C2 08 00 }
	condition:
		$1
}

rule function_39879_0 {
	meta:
		name = "TIdHTTPServerPeer.SetOnDisconnect"
		size = 38
		refs = "0012 TIdHTTPServerPeer.LOnDisconnectEvent"
	strings:
		$1 = { 55 8B EC 8B 50 10 89 82 DC 00 00 00 C7 82 D8 00 00 00 ?? ?? ?? ?? 8B 55 08 89 50 40 8B 55 0C 89 50 44 5D C2 08 00 }
	condition:
		$1
}

rule function_39880_0 {
	meta:
		name = "TIdHTTPServerPeer.SetOnExecute"
		size = 38
		refs = "0012 TIdHTTPServerPeer.LOnExecuteEvent"
	strings:
		$1 = { 55 8B EC 8B 50 10 89 82 EC 00 00 00 C7 82 E8 00 00 00 ?? ?? ?? ?? 8B 55 08 89 50 48 8B 55 0C 89 50 4C 5D C2 08 00 }
	condition:
		$1
}

rule function_39881_0 {
	meta:
		name = "TIdHTTPServerPeer.SetScheduler"
		size = 108
		refs = "000e @IntfAddRef 0016 TIdHTTPServerPeer.SetScheduler 002a _Dn_TIdScheduler 002f @AsClass 0047 @IntfCopy 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 10 8B 08 FF 91 A4 00 00 00 8D 43 20 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39882_0 {
	meta:
		name = "TIdHTTPServerPeer.SetServerSoftware"
		size = 81
		refs = "000e @UStrAddRef 0016 TIdHTTPServerPeer.SetServerSoftware 002c @UStrAsg 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 05 1C 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39883_0 {
	meta:
		name = "TIdHTTPServerPeer.SetUseNagle"
		size = 10
		altNames = "TIdTCPServerPeer.SetUseNagle"
	strings:
		$1 = { 8B 40 10 88 90 10 01 00 00 C3 }
	condition:
		$1
}

rule function_39889_0 {
	meta:
		name = "TIdContextPeer.GetConnection"
		size = 106
		refs = "0012 @IntfClear 0035 @IntfCopy 0044 _DV_TIdTCPConnectionPeer 0049 TIdTCPConnectionPeer.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 83 78 14 00 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 10 00 74 1C 8B 43 10 8B 10 FF 52 0C 8B 53 0C 3B 42 14 75 0C 8B C6 8B 53 10 E8 ?? ?? ?? ?? EB 2C 8B 43 0C 8B 48 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8B C6 E8 ?? ?? ?? ?? 8D 43 10 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39890_0 {
	meta:
		name = "TCustomOwnedNode.GetCount"
		size = 7
		altNames = "TIdContextPeer.GetData TScopeSymbols.GetSymbolCount TWebSessionIDsImpl.GetIDCount"
	strings:
		$1 = { 8B 40 0C 8B 40 08 C3 }
	condition:
		$1
}

rule function_39893_0 {
	meta:
		name = "TIdContextPeer.SetData"
		size = 7
	strings:
		$1 = { 8B 40 0C 89 50 08 C3 }
	condition:
		$1
}

rule function_39894_0 {
	meta:
		name = "TIdTCPConnectionPeer.Connected"
		size = 9
	strings:
		$1 = { 8B 40 0C 8B 10 FF 52 74 C3 }
	condition:
		$1
}

rule function_39896_0 {
	meta:
		name = "TIdTCPConnectionPeer.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f @IntfClear 001a TObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 10 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57142_0 {
	meta:
		name = "TBindingManagerDefault.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f @IntfClear 001a TBindingManager.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 10 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39898_0 {
	meta:
		name = "TIdTCPConnectionPeer.GetIOHandler"
		size = 248
		refs = "0016 @IntfClear 003e @IntfCopy 0054 _Dn_TIdSSLIOHandlerSocketOpenSSL 0059 @IsClass 006a @AsClass 0073 _DV_TIdSSLIOHandlerSocketOpenSSLPeer 0078 TIdSSLIOHandlerSocketOpenSSLPeer.Create 0092 _Dn_TIdIOHandlerSocket 00b1 _DV_TIdIOHandlerSocketPeer 00b6 TIdIOHandlerSocketPeer.Create 00d1 _DV_TIdIOHandlerPeerIP 00d6 TIdIOHandlerPeerIP.Create"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 0C 83 B8 98 00 00 00 00 75 0C 8B C6 E8 ?? ?? ?? ?? E9 D5 00 00 00 83 7B 10 00 74 22 8B 43 10 8B 10 FF 52 0C 8B 53 0C 3B 82 98 00 00 00 75 0F 8B C6 8B 53 10 E8 ?? ?? ?? ?? E9 AD 00 00 00 8B 43 0C 8B B8 98 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B C6 E8 ?? ?? ?? ?? EB 5C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B C6 E8 ?? ?? ?? ?? EB 1E 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B C6 E8 ?? ?? ?? ?? 8D 43 10 8B 16 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39901_0 {
	meta:
		name = "TIdTCPConnectionPeer.GetSocket"
		size = 115
		refs = "0015 @IntfClear 003b @IntfCopy 004d _DV_TIdIOHandlerSocketPeer 0052 TIdIOHandlerSocketPeer.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 83 B8 B0 00 00 00 00 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 14 00 74 1F 8B 43 14 8B 10 FF 52 30 8B 53 0C 3B 82 B0 00 00 00 75 0C 8B C6 8B 53 14 E8 ?? ?? ?? ?? EB 2F 8B 43 0C 8B 88 B0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C6 E8 ?? ?? ?? ?? 8D 43 14 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39902_0 {
	meta:
		name = "TIdTCPConnectionPeer.GetManagedIOHandler"
		size = 11
	strings:
		$1 = { 8B 40 0C 0F B6 80 A0 00 00 00 C3 }
	condition:
		$1
}

rule function_39903_0 {
	meta:
		name = "TIdTCPConnectionPeer.SetManagedIOHandler"
		size = 10
	strings:
		$1 = { 8B 40 0C 88 90 A0 00 00 00 C3 }
	condition:
		$1
}

rule function_39904_0 {
	meta:
		name = "TIdTCPConnectionPeer.SetIOHandler"
		size = 105
		refs = "000e @IntfAddRef 0016 TIdTCPConnectionPeer.SetIOHandler 002a _Dn_TIdIOHandler 002f @AsClass 0044 @IntfCopy 0059 @IntfClear 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 0C 8B 08 FF 51 60 8D 43 10 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39907_0 {
	meta:
		name = "TIdHTTPRequestInfoPeer.GetAuthPassword"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 8B 92 00 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39908_0 {
	meta:
		name = "TIdHTTPRequestInfoPeer.GetAuthUsername"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 8B 92 FC 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39909_0 {
	meta:
		name = "TIdHTTPRequestInfoPeer.GetCommand"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 8B 92 EC 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39910_0 {
	meta:
		name = "TIdHTTPRequestInfoPeer.GetCommandType"
		size = 176
		refs = "0012 TIdHTTPRequestInfoPeer.GetCommandType 0056 _Dn_Exception 005b Exception.Create 0060 @RaiseExcept"
	strings:
		$1 = { 8B 40 20 0F B6 80 10 01 00 00 83 F8 07 77 3F FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 C3 B0 01 C3 B0 02 C3 B0 03 C3 B0 04 C3 B0 05 C3 B0 06 C3 B0 07 C3 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 55 00 6E 00 65 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 20 00 48 00 54 00 54 00 50 00 20 00 63 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 20 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_39911_0 {
	meta:
		name = "TIdHTTPRequestInfoPeer.GetDocument"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 8B 92 E4 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39914_0 {
	meta:
		name = "TIdHTTPRequestInfoPeer.GetParams"
		size = 10
	strings:
		$1 = { 8B 40 20 8B 80 D0 00 00 00 C3 }
	condition:
		$1
}

rule function_39915_0 {
	meta:
		name = "TIdHTTPRequestInfoPeer.GetPostStream"
		size = 10
	strings:
		$1 = { 8B 40 20 8B 80 D4 00 00 00 C3 }
	condition:
		$1
}

rule function_39916_0 {
	meta:
		name = "TIdHTTPRequestInfoPeer.GetRemoteIP"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 8B 92 DC 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39917_0 {
	meta:
		name = "TIdHTTPRequestInfoPeer.GetSession"
		size = 228
		refs = "000f TIdHTTPRequestInfoPeer.GetSession 0023 @IntfClear 0032 Supports 007a @IntfCopy 008c _DV_TIdHTTPSessionPeer 0091 TIdHTTPSessionPeer.Create 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 24 00 74 19 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B 43 20 83 B8 E0 00 00 00 00 75 09 8B C6 E8 ?? ?? ?? ?? EB 5A 83 7B 24 00 74 25 83 7D FC 00 74 1F 8B 45 FC 8B 10 FF 52 0C 8B 53 20 3B 82 E0 00 00 00 75 0C 8B C6 8B 53 24 E8 ?? ?? ?? ?? EB 2F 8B 43 20 8B 88 E0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 8D 43 24 8B 16 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 F1 4E FB 30 42 69 F9 47 8E CB 5E 24 54 CE 3E D7 }
	condition:
		$1
}

rule function_39918_0 {
	meta:
		name = "TIdHTTPRequestInfoPeer.GetURI"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 8B 92 E8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39919_0 {
	meta:
		name = "TIdHTTPRequestInfoPeer.GetUserAgent"
		size = 25
		refs = "0012 @UStrAsg"
		altNames = "TIdHTTPResponseInfoPeer.GetAuthRealm"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 8B 92 A8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39920_0 {
	meta:
		name = "TIdHTTPRequestInfoPeer.GetVersion"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 8B 92 F0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39922_0 {
	meta:
		name = "TIdHTTPRequestInfoPeer.SetDocument"
		size = 81
		refs = "000e @UStrAddRef 0016 TIdHTTPRequestInfoPeer.SetDocument 002c @UStrAsg 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 05 E4 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39923_0 {
	meta:
		name = "TIdHTTPRequestInfoPeer.SetPostStream"
		size = 10
	strings:
		$1 = { 8B 40 20 89 90 D4 00 00 00 C3 }
	condition:
		$1
}

rule function_39924_0 {
	meta:
		name = "TIdHTTPRequestInfoPeer.SetUserAgent"
		size = 81
		refs = "000e @UStrAddRef 0016 TIdHTTPRequestInfoPeer.SetUserAgent 002c @UStrAsg 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 05 A8 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39938_0 {
	meta:
		name = "TIdHTTPResponseInfoPeer.SetAuthRealm"
		size = 81
		refs = "000e @UStrAddRef 0016 TIdHTTPResponseInfoPeer.SetAuthRealm 002c @UStrAsg 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 05 A8 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39928_0 {
	meta:
		name = "TIdHTTPResponseInfoPeer.GetCloseConnection"
		size = 11
	strings:
		$1 = { 8B 40 20 0F B6 80 C0 00 00 00 C3 }
	condition:
		$1
}

rule function_39929_0 {
	meta:
		name = "TIdHTTPResponseInfoPeer.GetContentStream"
		size = 10
	strings:
		$1 = { 8B 40 20 8B 80 B8 00 00 00 C3 }
	condition:
		$1
}

rule function_39930_0 {
	meta:
		name = "TIdHTTPResponseInfoPeer.GetContentText"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 8B 92 BC 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39931_0 {
	meta:
		name = "TIdHTTPResponseInfoPeer.GetFreeContentStream"
		size = 11
	strings:
		$1 = { 8B 40 20 0F B6 80 C1 00 00 00 C3 }
	condition:
		$1
}

rule function_39932_0 {
	meta:
		name = "TIdHTTPResponseInfoPeer.GetHeaderHasBeenWritten"
		size = 11
	strings:
		$1 = { 8B 40 20 0F B6 80 C2 00 00 00 C3 }
	condition:
		$1
}

rule function_39936_0 {
	meta:
		name = "TIdHTTPResponseInfoPeer.GetResponseText"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 8B 92 C4 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39937_0 {
	meta:
		name = "TIdHTTPResponseInfoPeer.GetWWWAuthenticate"
		size = 115
		refs = "0015 @IntfClear 003b @IntfCopy 004d _DV_TIdHeaderListPeer 0052 TIdHeaderListPeer.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 20 83 B8 9C 00 00 00 00 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 24 00 74 1F 8B 43 24 8B 10 FF 52 0C 8B 53 20 3B 82 9C 00 00 00 75 0C 8B C6 8B 53 24 E8 ?? ?? ?? ?? EB 2F 8B 43 20 8B 88 9C 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 8D 43 24 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39940_0 {
	meta:
		name = "TIdHTTPResponseInfoPeer.SetContentStream"
		size = 10
	strings:
		$1 = { 8B 40 20 89 90 B8 00 00 00 C3 }
	condition:
		$1
}

rule function_39941_0 {
	meta:
		name = "TIdHTTPResponseInfoPeer.SetContentText"
		size = 81
		refs = "000e @UStrAddRef 0016 TIdHTTPResponseInfoPeer.SetContentText 002c @UStrAsg 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 05 BC 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39942_0 {
	meta:
		name = "TIdHTTPResponseInfoPeer.SetFreeContentStream"
		size = 10
	strings:
		$1 = { 8B 40 20 88 90 C1 00 00 00 C3 }
	condition:
		$1
}

rule function_39943_0 {
	meta:
		name = "TIdHTTPResponseInfoPeer.SetHeaderHasBeenWritten"
		size = 10
	strings:
		$1 = { 8B 40 20 88 90 C2 00 00 00 C3 }
	condition:
		$1
}

rule function_39945_0 {
	meta:
		name = "TIdHTTPResponseInfoPeer.SetResponseText"
		size = 81
		refs = "000e @UStrAddRef 0016 TIdHTTPResponseInfoPeer.SetResponseText 002c @UStrAsg 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 05 C4 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39946_0 {
	meta:
		name = "TIdHTTPResponseInfoPeer.SetWWWAuthenticate"
		size = 105
		refs = "000e @IntfAddRef 0016 TIdHTTPResponseInfoPeer.SetWWWAuthenticate 002a _Dn_TIdHeaderList 002f @AsClass 0039 TIdResponseHeaderInfo.SetWWWAuthenticate 0044 @IntfCopy 0059 @IntfClear 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 20 E8 ?? ?? ?? ?? 8D 43 24 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_39950_0 {
	meta:
		name = "TIdStackPeer.GetObject"
		size = 8
		refs = "0001 GStack"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 C3 }
	condition:
		$1
}

rule function_51453_0 {
	meta:
		name = "DliFailureHook2"
		size = 8
		refs = "0001 pfnDliFailureHook"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 C3 }
	condition:
		$1
}

rule function_51451_0 {
	meta:
		name = "DliNotifyHook2"
		size = 8
		refs = "0001 pfnDliNotifyHook"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 C3 }
	condition:
		$1
}

rule function_46115_0 {
	meta:
		name = "ReturnMajorIISVersion"
		size = 8
		refs = "0001 Win32MajorVersion"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 C3 }
	condition:
		$1
}

rule function_39951_0 {
	meta:
		name = "TIdStackPeer.SetKeepAliveValues"
		size = 48
		refs = "0008 GStack"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 A1 ?? ?? ?? ?? 83 38 00 74 19 8B 45 0C 50 8B 45 08 50 A1 ?? ?? ?? ?? 8B 00 8B D6 8B 18 FF 93 84 00 00 00 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_39952_0 {
	meta:
		name = "TIdIOHandlerSocketPeer.Create"
		size = 70
		refs = "000b @ClassCreate 001c TIdIOHandlerPeerIP.Create 0024 @IntfClear 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 20 E8 ?? ?? ?? ?? 89 77 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_39953_0 {
	meta:
		name = "TIdIOHandlerSocketPeer.GetBinding"
		size = 115
		refs = "0015 @IntfClear 003b @IntfCopy 004d _DV_TIdSocketHandlePeer 0052 TIdSocketHandlePeer.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 1C 83 B8 D8 00 00 00 00 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 20 00 74 1F 8B 43 20 8B 10 FF 52 0C 8B 53 1C 3B 82 D8 00 00 00 75 0C 8B C6 8B 53 20 E8 ?? ?? ?? ?? EB 2F 8B 43 1C 8B 88 D8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 8D 43 20 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39957_0 {
	meta:
		name = "TIdSocketHandlePeer.GetHandle"
		size = 7
	strings:
		$1 = { 8B 40 0C 8B 40 10 C3 }
	condition:
		$1
}

rule function_39961_0 {
	meta:
		name = "TIdSocketHandlePeer.GetPeerPort"
		size = 8
	strings:
		$1 = { 8B 40 0C 0F B7 40 22 C3 }
	condition:
		$1
}

rule function_39962_0 {
	meta:
		name = "TIdSocketHandlePeer.GetPort"
		size = 8
	strings:
		$1 = { 8B 40 0C 0F B7 40 20 C3 }
	condition:
		$1
}

rule function_39963_0 {
	meta:
		name = "TIdSocketHandlePeer.SetPort"
		size = 8
	strings:
		$1 = { 8B 40 0C 66 89 50 20 C3 }
	condition:
		$1
}

rule function_39964_0 {
	meta:
		name = "TIdSocketHandlesPeer.Add"
		size = 47
		refs = "000a TIdSocketHandles.Add 0013 _DV_TIdSocketHandlePeer 0018 TIdSocketHandlePeer.Create 0028 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39968_0 {
	meta:
		name = "TIdSchedulerOfThreadPoolIP.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0020 TIdSchedulerOfThreadPool.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 50 00 74 08 8B 46 50 8B 10 FF 52 0C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39970_0 {
	meta:
		name = "TIdSchedulerOfThreadPoolPeer.Create"
		size = 183
		refs = "0016 @ClassCreate 0026 TIdSchedulerOfThreadPoolPeer.Create 0033 _DV_TIdSchedulerOfThreadPoolPeer.Create$413$ActRec 0038 TObject.Create 004b @IntfCopy 0058 _DV_TIdSchedulerOfThreadPoolIP 005d TIdBaseComponent.Create 008b @IntfClear 0091 @HandleFinally 00a0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 0C 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 43 0C 89 78 10 8D 47 50 8B D3 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39973_0 {
	meta:
		name = "TIdSchedulerOfThreadPoolPeer.GetMaxThreads"
		size = 7
	strings:
		$1 = { 8B 40 10 8B 40 3C C3 }
	condition:
		$1
}

rule function_39975_0 {
	meta:
		name = "TIdSchedulerOfThreadPoolPeer.GetPoolSize"
		size = 7
	strings:
		$1 = { 8B 40 10 8B 40 48 C3 }
	condition:
		$1
}

rule function_39976_0 {
	meta:
		name = "TIdSchedulerOfThreadPoolPeer.SetMaxThreads"
		size = 7
	strings:
		$1 = { 8B 40 10 89 50 3C C3 }
	condition:
		$1
}

rule function_39977_0 {
	meta:
		name = "TIdSchedulerOfThreadPoolPeer.SetPoolSize"
		size = 7
	strings:
		$1 = { 8B 40 10 89 50 48 C3 }
	condition:
		$1
}

rule function_39981_0 {
	meta:
		name = "TIdTCPServerIP.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 0026 TIdCustomTCPServer.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 BE 18 01 00 00 00 74 0B 8B 86 18 01 00 00 8B 10 FF 52 0C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39982_0 {
	meta:
		name = "TIdTCPServerPeer.LOnConnectEvent"
		size = 243
		refs = "0016 TIdTCPServerPeer.LOnConnectEvent 0027 TMonitor.CheckMonitorSupport 002e TMonitor.GetMonitor 0036 TMonitor.Enter 0051 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.ContainsKey 0065 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.GetItem 0070 _DV_TIdContextPeer 0075 TIdContextPeer.Create 0086 @IntfCopy 0096 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Add 00ae TMonitor.Exit 00b4 @HandleFinally 00e1 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 70 20 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 20 8B D3 E8 ?? ?? ?? ?? 84 C0 74 12 8D 4D FC 8B 45 F8 8B 40 20 8B D3 E8 ?? ?? ?? ?? EB 2F 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 20 8B 4D FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 20 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 66 83 78 2A 00 74 0C 8B 5D F8 8B 55 FC 8B 43 2C FF 53 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_39983_0 {
	meta:
		name = "TIdTCPServerPeer.LOnDisconnectEvent"
		size = 190
		refs = "0016 TIdTCPServerPeer.LOnDisconnectEvent 0027 TMonitor.CheckMonitorSupport 002e TMonitor.GetMonitor 0036 TMonitor.Enter 0054 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.GetItem 0061 TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Remove 0079 TMonitor.Exit 007f @HandleFinally 00ac @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 70 20 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 45 F8 8B 40 20 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 20 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 20 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 66 83 78 32 00 74 0C 8B 5D F8 8B 55 FC 8B 43 34 FF 53 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_39984_0 {
	meta:
		name = "TIdTCPServerPeer.LOnExecuteEvent"
		size = 177
		refs = "0016 TIdTCPServerPeer.LOnExecuteEvent 0031 TMonitor.CheckMonitorSupport 0038 TMonitor.GetMonitor 0040 TMonitor.Enter 005e TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.GetItem 0076 TMonitor.Exit 007c @HandleFinally 009f @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 66 83 78 3A 00 74 64 8B 45 F8 8B 58 20 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 45 F8 8B 40 20 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 20 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 5D F8 8B 55 FC 8B 43 3C FF 53 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_39986_0 {
	meta:
		name = "TIdTCPServerPeer.Create"
		size = 262
		refs = "0016 @ClassCreate 0026 TIdTCPServerPeer.Create 0033 _DV_TIdTCPServerPeer.Create$429$ActRec 0038 TObject.Create 004b @IntfCopy 0058 @IntfClear 0077 _DV_TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext> 007c TDictionary<IdContext.TIdContext,IPPeerAPI.IIPContext>.Create 00a4 _DV_TIdTCPServerIP 00a9 TIdBaseComponent.Create 00e0 @HandleFinally 00ef @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 0C 8D 46 14 E8 ?? ?? ?? ?? 8B 43 0C 83 C0 18 E8 ?? ?? ?? ?? 8B 43 0C 83 C0 1C E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 0C 89 46 20 33 C0 89 46 28 89 46 2C 33 C0 89 46 30 89 46 34 33 C0 89 46 38 89 46 3C 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 0C 89 70 10 8D 86 18 01 00 00 8B D3 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_39987_0 {
	meta:
		name = "TIdTCPServerPeer.Destroy"
		size = 95
		refs = "0003 @BeforeDestruction 000f @IntfClear 002f TObject.Free 0036 TIdClassIP.NeedToFree 004d TObject.Destroy 0058 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 14 E8 ?? ?? ?? ?? 8D 46 18 E8 ?? ?? ?? ?? 8D 46 1C E8 ?? ?? ?? ?? 8D 46 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 8B 46 10 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_39995_0 {
	meta:
		name = "TIdTCPServerPeer.GetOnDisconnect"
		size = 33
	strings:
		$1 = { 8B 48 10 66 83 B9 DA 00 00 00 00 74 0C 8B 48 30 89 0A 8B 48 34 89 4A 04 C3 33 C0 89 02 89 42 04 C3 }
	condition:
		$1
}

rule function_39996_0 {
	meta:
		name = "TIdTCPServerPeer.GetOnExecute"
		size = 33
	strings:
		$1 = { 8B 48 10 66 83 B9 EA 00 00 00 00 74 0C 8B 48 38 89 0A 8B 48 3C 89 4A 04 C3 33 C0 89 02 89 42 04 C3 }
	condition:
		$1
}

rule function_39997_0 {
	meta:
		name = "TIdTCPServerPeer.GetScheduler"
		size = 115
		refs = "0015 @IntfClear 003b @IntfCopy 004d _DV_TIdSchedulerPeer 0052 TIdSchedulerPeer.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 83 B8 94 00 00 00 00 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 14 00 74 1F 8B 43 14 8B 10 FF 52 0C 8B 53 10 3B 82 94 00 00 00 75 0C 8B C6 8B 53 14 E8 ?? ?? ?? ?? EB 2F 8B 43 10 8B 88 94 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 8D 43 14 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40004_0 {
	meta:
		name = "TIdTCPServerPeer.SetOnDisconnect"
		size = 38
		refs = "0012 TIdTCPServerPeer.LOnDisconnectEvent"
	strings:
		$1 = { 55 8B EC 8B 50 10 89 82 DC 00 00 00 C7 82 D8 00 00 00 ?? ?? ?? ?? 8B 55 08 89 50 30 8B 55 0C 89 50 34 5D C2 08 00 }
	condition:
		$1
}

rule function_40005_0 {
	meta:
		name = "TIdTCPServerPeer.SetOnExecute"
		size = 38
		refs = "0012 TIdTCPServerPeer.LOnExecuteEvent"
	strings:
		$1 = { 55 8B EC 8B 50 10 89 82 EC 00 00 00 C7 82 E8 00 00 00 ?? ?? ?? ?? 8B 55 08 89 50 38 8B 55 0C 89 50 3C 5D C2 08 00 }
	condition:
		$1
}

rule function_40006_0 {
	meta:
		name = "TIdTCPServerPeer.SetScheduler"
		size = 108
		refs = "000e @IntfAddRef 0016 TIdTCPServerPeer.SetScheduler 002a _Dn_TIdScheduler 002f @AsClass 0047 @IntfCopy 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 10 8B 08 FF 91 A4 00 00 00 8D 43 14 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_40009_0 {
	meta:
		name = "TIdClassIP.AfterConstruction"
		size = 16
		refs = "0006 TInterfacedObject.AfterConstruction"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 0C 00 5B C3 }
	condition:
		$1
}

rule function_40010_0 {
	meta:
		name = "TIdClassIP.NeedToFree"
		size = 7
	strings:
		$1 = { 0F B6 40 0C 34 01 C3 }
	condition:
		$1
}

rule function_40012_0 {
	meta:
		name = "TIdSSLIOHandlerSocketOpenSSLIP.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 0026 TIdSSLIOHandlerSocketOpenSSL.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 BE 58 01 00 00 00 74 0B 8B 86 58 01 00 00 8B 10 FF 52 0C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40016_0 {
	meta:
		name = "TIdHTTPSessionPeer.GetSessionID"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C 8B 52 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40017_0 {
	meta:
		name = "TIPTestServerPeer.TOnGetPassword.Create"
		size = 58
		refs = "000b @ClassCreate 001b @LStrAsg 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69278_0 {
	meta:
		name = "Exception.Create"
		size = 58
		refs = "000b @ClassCreate 001b @UStrAsg 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65771_0 {
	meta:
		name = "TCustomIniFile.Create"
		size = 58
		refs = "000b @ClassCreate 001b @UStrAsg 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_44039_0 {
	meta:
		name = "TIWContentBase.Create"
		size = 58
		refs = "000b @ClassCreate 001b @UStrAsg 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73362_0 {
	meta:
		name = "TOleStream.Create"
		size = 58
		refs = "000b @ClassCreate 001b @IntfCopy 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40019_0 {
	meta:
		name = "TIPTestServerPeer.GetExtensionMimeType"
		size = 301
		refs = "0016 TIPTestServerPeer.GetExtensionMimeType 002f _DV_TIPTestServerPeer.TMimeTable 0034 TIdMimeTable.Create 008f @UStrCopy 009a LowerCase 00c0 TDictionary<System.string,System.string>.ContainsKey 00d2 TDictionary<System.string,System.string>.Add 00eb TObject.Free 00f1 @HandleFinally 010d @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 55 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 0F 84 CD 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 C6 40 04 00 8B 45 F0 8B 10 FF 52 04 8B 45 F0 8B 40 14 8B 10 FF 52 14 8B F0 4E 85 F6 7C 70 46 33 DB 8D 45 EC 50 8D 4D E8 8B 45 F0 8B 40 14 8B D3 8B 38 FF 57 0C 8B 45 E8 B9 FF FF FF 7F BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F8 E8 ?? ?? ?? ?? 8D 4D E4 8B 45 F0 8B 40 10 8B D3 8B 38 FF 57 0C 8B 45 E4 8D 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 0E 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 43 4E 75 93 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_40020_0 {
	meta:
		name = "TIPTestServerPeer.GetOpenPort"
		size = 260
		refs = "0013 _Dn_TIdSocketHandle 0018 TIdSocketHandle.Create 0026 TIPTestServerPeer.GetOpenPort 002b @UStrAsg 0047 _Dn_TIdStack 004c TIdStack.IncUsage 0069 TIdSocketHandle.AllocateSocket 007f TIdSocketHandle.Bind 00a4 @HandleFinally 00bd TIdStack.DecUsage 00d4 @HandleAnyException 00d9 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 FC 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 66 C7 40 20 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 0F B7 40 20 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 30 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_40021_0 {
	meta:
		name = "TIPTestServerPeer.TestCertificateFiles"
		size = 548
		refs = "0018 TIPTestServerPeer.TestCertificateFiles 0053 _Dn_TIdHTTPServer 0058 TIdBaseComponent.Create 0064 _Dn_TIdServerIOHandlerSSLOpenSSL 0075 _Dn_TIdHTTP 0086 _Dn_TIdSSLIOHandlerSocketOpenSSL 0098 _DV_TIPTestServerPeer.TOnGetPassword 009d TIPTestServerPeer.TOnGetPassword.Create 00a7 _Dn_TStringList 00ac TStringList.Create 00d0 @UStrAsg 010e TIPTestServerPeer.TOnGetPassword.OnGetPassword 0163 Format 0171 TIdCustomHTTP.Post 0186 TObject.Free 01b4 @HandleFinally 01d0 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 DB 89 5D E4 89 5D E0 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 89 45 F4 33 C0 89 45 F0 33 C0 89 45 EC 33 C0 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 4D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 55 F8 8B 45 FC 8B 08 FF 91 A0 00 00 00 8B 45 F8 8B 80 98 00 00 00 83 C0 08 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 98 00 00 00 83 C0 04 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 8B 80 98 00 00 00 83 C0 0C 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 EC 89 90 B4 00 00 00 C7 80 B0 00 00 00 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 91 98 00 00 00 B2 01 8B 45 FC 8B 08 FF 91 90 00 00 00 8B 55 F0 8B 45 F4 8B 08 FF 51 60 8B 45 F4 8B 80 98 00 00 00 8B D3 8B 08 FF 51 60 6A 00 8D 45 E4 50 8D 45 E0 50 89 5D D8 C6 45 DC 00 8D 55 D8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 4D E8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 18 00 00 00 68 00 74 00 74 00 70 00 73 00 3A 00 2F 00 2F 00 6C 00 6F 00 63 00 61 00 6C 00 68 00 6F 00 73 00 74 00 3A 00 25 00 64 00 2F 00 61 00 62 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_40022_0 {
	meta:
		name = "TIPTestServerPeer.TestOpenPort"
		size = 154
		refs = "000d TIPTestServerPeer.TestOpenPort 001c _DV_TIdTCPServerPeer 0021 TIdTCPServerPeer.Create 0032 @IntfCopy 004e _Dn_TIdTCPServer 0053 @AsClass 0072 TIdCustomTCPServer.StartListening 0087 @IntfClear 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA BC 8D 45 FC E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B 45 FC 8B 10 FF 52 40 8B 45 FC 8B 10 FF 52 5C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 83 98 00 00 00 66 89 70 1C B2 01 8B C3 8B 08 FF 91 90 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_40024_0 {
	meta:
		name = "IndyPeerImpl"
		size = 680
		refs = "0013 IndyPeerImpl 001f _DV_7 002b _DV_TIdProc 0034 IPImpId 003d PeerFactory 0048 TIPPeerFactory.RegisterPeer 004d _DV_TIdStackPeer 006f _DV_TIdHTTPPeer 0091 _DV_TIdSSLIOHandlerSocketOpenSSLPeer 00b3 _DV_TIdTCPClientPeerIP 00d5 _DV_TIdBasicAuthenticationPeer 00f7 _DV_TIdX509Peer 0119 _DV_TIdServerIOHandlerSSLOpenSSLPeer 013b _DV_TIdHTTPServerPeer 015d _DV_TIdSchedulerOfThreadPoolPeer 017f _DV_TIdTCPServerPeer 01a1 _DV_TIPTestServerPeer 01d8 @UStrArrayClr 01de @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 0F 83 98 01 00 00 A1 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 45 DC E8 ?? ?? ?? ?? 8B 45 DC 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 45 D0 E8 ?? ?? ?? ?? 8B 45 D0 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 0C 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 01 68 E2 DA 52 CA FD 43 93 32 5C D9 51 E3 B7 56 A3 5A 94 02 F1 4E 58 4B BA 30 67 5A B8 C6 97 05 D8 5B BD B8 9D C3 F1 4D BB 14 62 5F C8 60 29 DB A0 64 D1 19 B6 81 35 45 98 89 F1 78 48 6E FE FA 5C BE B0 9B 9E 9D 5E 48 80 3D 99 96 45 CE 1B 8F AF 03 49 B4 07 A3 D5 47 AA 2C 6C 79 67 74 1C 9D 6D 1B 10 4B 18 9C 79 45 A3 81 0F 23 8A 01 CC 18 E8 20 AC 1D 25 A9 9F 40 AD 04 5E 7F 34 DA A8 38 50 8F 56 D8 92 B7 16 45 8B 0B 4E 3E B8 86 81 94 8C 50 3D B1 86 40 6C 43 8A D9 12 B3 53 57 D4 59 F9 E2 8D EA 55 90 73 40 81 18 43 72 83 DC 02 D6 3B 2F 68 46 C8 9F D2 4E 8D 75 89 84 9A 68 58 75 }
	condition:
		$1
}

rule function_40459_0 {
	meta:
		name = "TIndyTCPConnectionTransport.Create"
		size = 65
		refs = "000b @ClassCreate 001a TObject.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 10 33 C0 89 47 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40462_0 {
	meta:
		name = "TIndyTCPConnectionTransport.GetConnected"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 0B 8B C6 8B 10 FF 52 74 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_40464_0 {
	meta:
		name = "ReadBuffer"
		size = 96
		refs = "0018 _Dn_TIdTCPStream 001d TIdTCPStream.Create 0028 ReadBuffer 003a TStream.ReadBuffer 004f TObject.Free 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 6A 00 8B 45 08 8B 40 FC 8B 48 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B CE 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40466_0 {
	meta:
		name = "WriteBuffer"
		size = 96
		refs = "0018 _Dn_TIdTCPStream 001d TIdTCPStream.Create 0028 WriteBuffer 003a TStream.WriteBuffer 004f TObject.Free 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 6A 00 8B 45 08 8B 40 FC 8B 48 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B CE 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40465_0 {
	meta:
		name = "TIndyTCPConnectionTransport.Receive"
		size = 172
		refs = "0014 @IntfClear 0024 ReadBuffer 002d CheckSignature 0043 _Dn_TDataBlock 0048 TDataBlock.Create 0058 TIndyTCPConnectionTransport.Receive 005d @IntfCast"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B DA 89 45 FC 8B 7D 08 8B C7 E8 ?? ?? ?? ?? 84 DB 55 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? 55 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 59 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 07 8B 55 F4 8B 08 FF 51 18 8B 07 8B 55 F8 8B 08 FF 51 24 8B 07 8B 10 FF 52 10 8B F0 8B 07 8B 10 FF 52 0C 01 C6 55 8B C6 8B 55 F4 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C2 04 00 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_40467_0 {
	meta:
		name = "TIndyTCPConnectionTransport.Send"
		size = 58
		refs = "002d WriteBuffer"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 FF 8B C3 8B 10 FF 52 10 8B F0 55 8B C3 8B 10 FF 52 14 50 8B C3 8B 10 FF 52 0C 5A 03 D0 8B C6 E8 ?? ?? ?? ?? 59 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_40468_0 {
	meta:
		name = "TIndyTCPClientTransport.Create"
		size = 76
		refs = "000b @ClassCreate 0018 _Dn_TIdTCPClient 001d TIdBaseComponent.Create 002d TIndyTCPConnectionTransport.Create 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 18 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_40469_0 {
	meta:
		name = "TIndyTCPClientTransport.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TIndyTCPConnectionTransport.Destroy 001a TIdTCPConnection.Disconnect 0022 TObject.Free 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_40470_0 {
	meta:
		name = "TIndyTCPClientTransport.SetConnected"
		size = 163
		refs = "000f TIndyTCPClientTransport.SetConnected 001c TIndyTCPConnectionTransport.GetConnected 0032 sNoHost 0037 LoadResString 0041 _Dn_ESocketConnectionError 0046 Exception.Create 004b @RaiseExcept 007d TIdTCPConnection.Disconnect 0092 @UStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 3A D8 74 5D 84 DB 74 51 83 7E 1C 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 56 20 8B 46 18 8B 08 FF 91 A4 00 00 00 8B 56 1C 8B 46 18 8B 08 FF 91 A0 00 00 00 8B 46 18 8B 10 FF 92 AC 00 00 00 EB 08 8B 46 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_41597_0 {
	meta:
		name = "Unload"
		size = 2035
		refs = "0002 hInSSL 000b SSLeay 0018 SSL_COMP_get_compression_methods 001e CRYPTO_free 0026 sk_pop_free 002f CRYPTO_cleanup_all_ex_data 0035 ERR_free_strings 003b ERR_remove_thread_state 0051 ERR_remove_state 0058 EVP_cleanup 0063 FreeLibrary 0070 hIdCrypto 008c SSL_CTX_set_cipher_list 0093 SSL_CTX_new 009a SSL_CTX_free 00a1 SSL_set_fd 00a8 SSL_CTX_use_PrivateKey_file 00af SSL_CTX_use_PrivateKey 00b6 SSL_CTX_use_certificate 00bd SSL_CTX_use_certificate_file 00c4 SSL_load_error_strings 00cb SSL_state_string_long 00d9 SSL_alert_type_string_long 00e0 SSL_get_peer_certificate 00e7 SSL_CTX_set_verify 00ee SSL_CTX_set_verify_depth 00f5 SSL_CTX_get_verify_depth 00fc SSL_CTX_set_default_passwd_cb 0103 SSL_CTX_set_default_passwd_cb_userdata 010a SSL_CTX_check_private_key 0111 SSL_new 0118 SSL_free 011f SSL_accept 0126 SSL_connect 012d SSL_read 0134 SSL_peek 013b SSL_pending 0142 SSL_write 0149 SSL_ctrl 0150 SSL_callback_ctrl 0157 SSL_CTX_ctrl 015e SSL_CTX_callback_ctrl 0165 SSL_get_error 016c SSLv2_method 0173 SSLv2_server_method 017a SSLv2_client_method 0181 SSLv3_method 0188 SSLv3_server_method 018f SSLv3_client_method 0196 SSLv23_method 019d SSLv23_server_method 01a4 SSLv23_client_method 01ab TLSv1_method 01b2 TLSv1_server_method 01b9 TLSv1_client_method 01c0 DTLSv1_method 01c7 DTLSv1_server_method 01ce DTLSv1_client_method 01d5 SSL_shutdown 01dc SSL_set_connect_state 01e3 SSL_set_accept_state 01ea SSL_set_shutdown 01f1 SSL_CTX_load_verify_locations 01f8 SSL_get_session 01ff SSLeay_add_ssl_algorithms 0206 SSL_SESSION_get_id 020d SSL_copy_session_id 0214 _SSLeay_version 0222 X509_NAME_oneline 0229 X509_NAME_hash 0230 X509_set_issuer_name 0237 X509_get_issuer_name 023e X509_set_subject_name 0245 X509_get_subject_name 024c X509_digest 0253 X509_LOOKUP_ctrl 025a X509_STORE_add_cert 0261 X509_STORE_add_crl 0268 X509_STORE_CTX_get_ex_data 026f X509_STORE_CTX_get_error 0276 X509_STORE_CTX_set_error 027d X509_STORE_CTX_get_error_depth 0284 X509_STORE_CTX_get_current_cert 028b X509_STORE_add_lookup 0292 X509_STORE_load_locations 0299 X509_sign 02a0 X509_REQ_sign 02a7 X509_REQ_add_extensions 02ae X509V3_EXT_conf_nid 02b5 X509_EXTENSION_create_by_NID 02bc X509V3_set_ctx 02c3 X509_EXTENSION_free 02ca X509_add_ext 02d1 X509_print 02d8 RAND_screen 02df DES_set_odd_parity 02e6 DES_set_key 02ed DES_ecb_encrypt 02f4 Id_ossl_old_des_set_odd_parity 02fb Id_ossl_old_des_set_key 0302 Id_ossl_old_des_ecb_encrypt 0309 SSL_set_ex_data 0310 SSL_get_ex_data 0317 SSL_load_client_CA_file 031e SSL_CTX_set_client_CA_list 0325 SSL_CTX_set_default_verify_paths 032c SSL_CTX_set_session_id_context 0333 SSL_CIPHER_description 033a SSL_get_current_cipher 0341 SSL_CIPHER_get_name 0348 SSL_CIPHER_get_version 034f SSL_CIPHER_get_bits 0356 _CRYPTO_num_locks 035d CRYPTO_set_locking_callback 0364 ERR_put_error 036b ERR_get_error 0372 ERR_peek_error 0379 ERR_peek_last_error 0380 ERR_clear_error 0387 ERR_error_string 038e ERR_error_string_n 0395 ERR_lib_error_string 039c ERR_func_error_string 03a3 ERR_reason_error_string 03aa ERR_load_ERR_strings 03b1 ERR_load_crypto_strings 03e2 RSA_new 03e9 RSA_free 03f0 RSA_size 03f7 RSA_generate_key 03fe RSA_generate_key_ex 0405 RSA_check_key 040c RSA_private_decrypt 0413 RSA_public_encrypt 041a BIO_new 0421 BIO_free 0428 BIO_s_mem 042f BIO_s_file 0436 BIO_new_mem_buf 043d BIO_ctrl 0444 BIO_ptr_ctrl 044b BIO_int_ctrl 0452 BIO_new_file 0459 BIO_puts 0460 BIO_read 0467 BIO_write 046e BN_hex2bn 0475 BN_bn2hex 047c i2d_PKCS7 0483 d2i_PKCS7 048a i2d_RSAPrivateKey 0491 d2i_RSAPrivateKey 0498 i2d_DSAPrivateKey 049f d2i_DSAPrivateKey 04a6 i2d_X509_bio 04ad i2d_PrivateKey_bio 04b4 i2d_PrivateKey 04bb d2i_PrivateKey 04c2 d2i_PrivateKey_bio 04c9 i2d_X509 04d0 d2i_X509_bio 04d7 d2i_X509 04de X509_NAME_new 04e5 X509_NAME_free 04ec i2d_X509_REQ_bio 04f3 i2d_X509_REQ 04fa d2i_X509_REQ 0501 i2d_X509_NAME 0508 d2i_X509_NAME 050f i2d_DSAparams 0516 d2i_DSAparams 051d i2d_DHparams 0524 d2i_DHparams 052b i2d_NETSCAPE_CERT_SEQUENCE 0532 d2i_NETSCAPE_CERT_SEQUENCE 0539 X509_get_default_cert_file 0540 X509_get_default_cert_file_env 0547 X509_new 054e X509_free 0555 X509_REQ_new 055c X509_REQ_free 0563 X509_to_X509_REQ 056a X509_NAME_add_entry_by_txt 0571 X509_INFO_free 0578 X509_set_version 057f X509_get_serialNumber 0586 X509_gmtime_adj 058d X509_set_notBefore 0594 X509_set_notAfter 059b X509_set_pubkey 05a2 X509_REQ_set_pubkey 05a9 _PEM_read_bio_X509 05b0 _PEM_read_bio_X509_REQ 05b7 _PEM_read_bio_X509_CRL 05be _PEM_read_bio_RSAPrivateKey 05c5 _PEM_read_bio_RSAPublicKey 05cc _PEM_read_bio_DSAPrivateKey 05d3 _PEM_read_bio_PrivateKey 05da _PEM_read_bio_PKCS7 05e1 _PEM_read_bio_DHparams 05e8 _PEM_read_bio_DSAparams 05ef _PEM_read_bio_NETSCAPE_CERT_SEQUENCE 05f6 _PEM_write_bio_X509 05fd _PEM_write_bio_X509_REQ 0604 _PEM_write_bio_X509_CRL 060b _PEM_write_bio_RSAPublicKey 0612 _PEM_write_bio_RSAPrivateKey 0619 _PEM_write_bio_DSAPrivateKey 0620 _PEM_write_bio_PrivateKey 0627 _PEM_write_bio_PKCS7 062e _PEM_write_bio_DHparams 0635 _PEM_write_bio_DSAparams 063c _PEM_write_bio_NETSCAPE_CERT_SEQUENCE 0643 _PEM_write_bio_PKCS8PrivateKey 064a PEM_X509_INFO_read_bio 0651 PEM_read_bio_X509_AUX 0658 EVP_des_ede3_cbc 065f EVP_sha512 0666 EVP_sha384 066d EVP_sha256 0674 EVP_sha224 067b EVP_sha1 0682 EVP_md5 0689 EVP_md4 0690 EVP_MD_CTX_init 0697 EVP_DigestInit_ex 069e EVP_DigestUpdate 06a5 EVP_DigestFinal_ex 06ac EVP_MD_CTX_cleanup 06b3 EVP_PKEY_type 06ba EVP_PKEY_new 06c1 EVP_PKEY_free 06c8 EVP_PKEY_assign 06cf EVP_get_digestbyname 06d6 HMAC_CTX_init 06dd _HMAC_Init_ex 06e4 _HMAC_Update 06eb _HMAC_Final 06f2 _1_0_HMAC_Init_ex 06f9 _1_0_HMAC_Update 0700 _1_0_HMAC_Final 0707 HMAC_CTX_cleanup 070e OBJ_obj2nid 0715 OBJ_nid2obj 071c OBJ_nid2ln 0723 OBJ_nid2sn 072a ASN1_INTEGER_set 0731 ASN1_INTEGER_get 0738 ASN1_STRING_type_new 073f ASN1_STRING_free 0746 ASN1_dup 074d _CRYPTO_lock 0754 CRYPTO_set_mem_functions 075b CRYPTO_malloc 0769 CRYPTO_mem_leaks 0770 CRYPTO_mem_ctrl 0777 CRYPTO_set_mem_debug_functions 077e PKCS12_create 0785 i2d_PKCS12_bio 078c PKCS12_free 0793 OpenSSL_add_all_algorithms 079a OpenSSL_add_all_ciphers 07a1 OpenSSL_add_all_digests 07af sk_new 07b6 sk_num 07bd sk_new_null 07c4 sk_free 07cb sk_push 07d2 sk_dup 07d9 sk_find 07e0 sk_value 07e7 _FIPS_mode_set 07ee _FIPS_mode"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 65 FF 15 ?? ?? ?? ?? 3D 1F 80 90 00 75 17 FF 15 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 52 50 FF 15 ?? ?? ?? ?? 83 C4 08 FF 15 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B 6A 00 FF 15 ?? ?? ?? ?? 59 EB 09 6A 00 FF 15 ?? ?? ?? ?? 59 FF 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 12 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42114_0 {
	meta:
		name = "TInThread.Execute"
		size = 676
		refs = "001a TInThread.Execute 001f @UStrAsg 002d SetThreadName 005e TInThread.GetStopped 008d TThread.SetSuspended 0103 @HandleOnException 010b _Dn_Exception 012c @RaiseAgain 0131 @DoneExcept 01ad @HandleFinally 01be @HandleAnyException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 83 78 4C 00 75 10 8B 45 FC 83 C0 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 97 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 38 8B 45 FC 8B 10 FF 52 24 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 24 8B 45 FC 80 78 0D 00 0F 85 77 01 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 0D 00 0F 85 60 01 00 00 8B 45 FC 80 48 51 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 48 00 74 63 EB 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 2C 33 C0 5A 59 59 64 89 10 EB 33 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B D3 8B 45 FC 8B 08 FF 51 28 84 C0 75 0D 8B 45 FC 8B 10 FF 52 3C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 A1 EB 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 2C 33 C0 5A 59 59 64 89 10 EB 33 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C6 8B D6 8B 45 FC 8B 08 FF 51 28 84 C0 75 0D 8B 45 FC 8B 10 FF 52 3C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 3C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 1C C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 78 0D 00 0F 84 5C FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 10 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 42 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 13 89 D0 8B 55 FC 89 42 58 8B 45 FC 83 C0 54 8B 53 04 E8 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 51 20 8B 45 FC 8B 10 FF 52 3C E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 6E 00 54 00 68 00 72 00 65 00 61 00 64 00 20 00 28 00 75 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_42197_0 {
	meta:
		name = "TInUDPBase.Broadcast"
		size = 50
		refs = "0028 TInSocketHandle.Broadcast"
	strings:
		$1 = { 55 8B EC 83 C4 F4 66 89 4D F6 89 55 F8 89 45 FC 8B 45 0C 50 8B 45 08 50 8B 45 FC 8B 10 FF 52 58 66 8B 4D F6 8B 55 F8 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_42198_0 {
	meta:
		name = "TInUDPBase.Broadcast"
		size = 46
		refs = "0024 TInSocketHandle.Broadcast"
	strings:
		$1 = { 55 8B EC 83 C4 F4 66 89 4D F6 89 55 F8 89 45 FC 8B 45 08 50 8B 45 FC 8B 10 FF 52 58 66 8B 4D F6 8B 55 F8 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_42199_0 {
	meta:
		name = "TInUDPBase.BroadcastEnabledChanged"
		size = 45
		refs = "0026 TInSocketHandle.SetBroadcastEnabled"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 B8 90 00 00 00 00 74 17 8B 45 FC 8A 90 A9 00 00 00 8B 45 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_42200_0 {
	meta:
		name = "TInUDPBase.CloseBinding"
		size = 23
		refs = "0010 FreeAndNil"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 05 90 00 00 00 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_42201_0 {
	meta:
		name = "TInUDPBase.Destroy"
		size = 67
		refs = "0007 @BeforeDestruction 0017 TInUDPBase.SetActive 002d TInComponent.Destroy 003b @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 50 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_42202_0 {
	meta:
		name = "TInUDPBase.GetActive"
		size = 61
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8A 80 98 00 00 00 88 45 FB 80 7D FB 00 75 1B 8B 45 FC 83 B8 90 00 00 00 00 74 0F 8B 45 FC 8B 80 90 00 00 00 8A 40 14 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_42203_0 {
	meta:
		name = "TInUDPBase.GetHost"
		size = 33
		refs = "0019 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 92 9C 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_42204_0 {
	meta:
		name = "TInUDPBase.GetIPVersion"
		size = 28
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8A 80 A8 00 00 00 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_42205_0 {
	meta:
		name = "TInUDPBase.GetPort"
		size = 31
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 66 8B 80 A0 00 00 00 66 89 45 FA 66 8B 45 FA 59 59 5D C3 }
	condition:
		$1
}

rule function_42206_0 {
	meta:
		name = "TInUDPBase.InitComponent"
		size = 54
		refs = "000b TInComponent.InitComponent"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 80 94 00 00 00 00 20 00 00 8B 45 FC C7 80 A4 00 00 00 FE FF FF FF 8B 45 FC C6 80 A8 00 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_42207_0 {
	meta:
		name = "TInUDPBase.Loaded"
		size = 54
		refs = "000d TComponent.Loaded 002e TInUDPBase.SetActive"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 80 98 00 00 00 88 45 FB 8B 45 FC C6 80 98 00 00 00 00 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_42208_0 {
	meta:
		name = "TInUDPBase.ReceiveBuffer"
		size = 101
		refs = "0019 TInUDPBase.ReceiveBuffer 0051 @UStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EA 50 8D 45 E9 50 8B 45 F4 50 8D 4D EC 8B 55 F8 8B 45 FC 8B 18 FF 53 78 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42209_0 {
	meta:
		name = "TInUDPBase.ReceiveBuffer"
		size = 55
		altNames = "TInUDPClient.ReceiveBuffer"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 4D F4 89 55 F8 89 45 FC 8B 45 0C 50 8D 45 EF 50 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 18 FF 53 78 89 45 F0 8B 45 F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_42210_0 {
	meta:
		name = "TInUDPBase.ReceiveBuffer"
		size = 144
		refs = "004a TInSocketHandle.Readable 005b @UStrClr 0080 TInSocketHandle.RecvFrom"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 4D F4 89 55 F8 89 45 FC 83 7D 08 FF 75 23 8B 45 FC 83 B8 A4 00 00 00 00 75 09 C7 45 EC FE FF FF FF EB 14 8B 45 FC 8B 80 A4 00 00 00 89 45 EC EB 06 8B 45 08 89 45 EC 8B 45 FC 8B 10 FF 52 58 8B 55 EC E8 ?? ?? ?? ?? 84 C0 75 17 33 C0 89 45 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 10 66 C7 00 00 00 EB 1E 8B 45 10 50 8B 45 0C 50 8B 45 FC 8B 10 FF 52 58 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_42211_0 {
	meta:
		name = "TInUDPBase.ReceiveString"
		size = 155
		refs = "0019 TInUDPBase.ReceiveString 0037 TArray<System.Byte> 003c @DynArraySetLength 006d BytesToString 0088 @DynArrayClear 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 94 00 00 00 50 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 50 8B 45 10 50 8B 4D F8 8D 55 EC 8B 45 FC 8B 18 FF 53 74 89 45 F0 8B 45 0C 50 8B 45 08 50 8B 4D F0 33 D2 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_42212_0 {
	meta:
		name = "TInUDPBase.ReceiveString"
		size = 97
		refs = "0019 TInUDPBase.ReceiveString 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8B 45 F4 50 8B 45 08 50 8D 4D EE 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_42213_0 {
	meta:
		name = "TInUDPBase.Send"
		size = 114
		refs = "001a TInUDPBase.Send 002e ToBytes 005a TArray<System.Byte> 005f @DynArrayClear 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 66 89 4D F6 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B 55 08 8B 45 0C E8 ?? ?? ?? ?? 8B 45 F0 50 66 8B 4D F6 8B 55 F8 8B 45 FC 8B 18 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_42214_0 {
	meta:
		name = "TInUDPBase.SendBuffer"
		size = 55
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 66 89 4D F6 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 52 5C 50 8B 45 08 50 66 8B 4D F6 8B 55 F8 8B 45 FC 8B 18 FF 93 80 00 00 00 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_42215_0 {
	meta:
		name = "TInUDPBase.SendBuffer"
		size = 122
		refs = "001a TInUDPBase.SendBuffer 002c GStack 0036 TInStack.ResolveHost 0052 TInSocketHandle.SendTo 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 66 89 4D F6 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8A 4D 0C A1 ?? ?? ?? ?? 8B 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 50 8A 45 0C 50 8B 45 FC 8B 10 FF 52 58 66 8B 4D F6 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_42216_0 {
	meta:
		name = "TInUDPBase.SetActive"
		size = 91
		refs = "001d TIdInitializerComponent.GetIsDesignTime 0029 TIdInitializerComponent.GetIsLoading"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 8B 10 FF 52 54 3A 45 FB 74 3E 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 26 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 1A 80 7D FB 00 74 0A 8B 45 FC 8B 10 FF 52 58 EB 16 8B 45 FC 8B 10 FF 52 50 EB 0C 8A 45 FB 8B 55 FC 88 82 98 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_42217_0 {
	meta:
		name = "TInUDPBase.SetBroadcastEnabled"
		size = 68
		refs = "003b @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 88 55 FB 89 45 FC 8B 45 FC 8A 80 A9 00 00 00 3A 45 FB 74 24 8A 45 FB 8B 55 FC 88 82 A9 00 00 00 8B 45 FC 8B 10 FF 52 54 84 C0 74 0C 8B 45 FC 66 BE F0 FF E8 ?? ?? ?? ?? 5E 59 59 5D C3 }
	condition:
		$1
}

rule function_42218_0 {
	meta:
		name = "TInUDPBase.SetHost"
		size = 32
		refs = "0018 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 05 9C 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_42219_0 {
	meta:
		name = "TInUDPBase.SetIPVersion"
		size = 28
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 45 FB 8B 55 FC 88 82 A8 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_42220_0 {
	meta:
		name = "TInUDPBase.SetPort"
		size = 31
	strings:
		$1 = { 55 8B EC 83 C4 F8 66 89 55 FA 89 45 FC 66 8B 45 FA 8B 55 FC 66 89 82 A0 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_42223_0 {
	meta:
		name = "TInUDPClient.CloseProxy"
		size = 68
		refs = "000b TInUDPClient.UseProxy"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2E 8B 45 FC 80 B8 BA 00 00 00 00 74 22 8B 45 FC 8B 10 FF 52 58 8B D0 8B 45 FC 8B 80 D4 00 00 00 8B 08 FF 51 60 8B 45 FC C6 80 BA 00 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_42224_0 {
	meta:
		name = "TInUDPClient.Connect"
		size = 441
		refs = "0018 TInUDPClient.Connect 0026 TInUDPClient.Connected 00b2 GStack 00b9 TInStack.IsIP 00eb TInComponent.DoStatus 0112 TInStack.ResolveHost 013b TInSocketHandle.SetPeer 019b @UStrArrayClr 01ae @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 FC 8B 10 FF 92 94 00 00 00 8B 45 FC 83 B8 D4 00 00 00 00 74 5E 8B 45 FC 8B 80 D4 00 00 00 8B 10 FF 52 50 84 C0 74 4C 8B 45 FC 8B 10 FF 52 6C 50 6A 00 8D 55 F4 8B 45 FC 8B 08 FF 51 64 8B 45 F4 50 8B 45 FC 8B 10 FF 52 58 8B D0 8B 45 FC 8B 80 D4 00 00 00 59 8B 18 FF 53 5C 8B 45 FC C6 80 BA 00 00 00 01 8B 45 FC C6 80 D0 00 00 00 01 E9 E2 00 00 00 8D 55 F0 8B 45 FC 8B 08 FF 51 64 8B 55 F0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 75 57 8B 45 FC 66 83 78 3A 00 74 24 6A 00 8D 55 E4 8B 45 FC 8B 08 FF 51 64 8B 45 E4 89 45 E8 C6 45 EC 11 8D 4D E8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 E0 8B 45 FC 8B 08 FF 51 64 8B 55 E0 8B 45 FC 8A 88 A8 00 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? EB 0B 8D 55 F8 8B 45 FC 8B 08 FF 51 64 6A 00 8B 45 FC 8B 10 FF 52 6C 50 8B 45 FC 8B 10 FF 52 58 8B 55 F8 59 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 58 8B 10 FF 52 28 6A 00 8D 55 DC 8B 45 FC 8B 08 FF 51 64 8B 45 DC 89 45 E8 C6 45 EC 11 8D 4D E8 B2 02 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 88 00 00 00 8B 45 FC C6 80 D0 00 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42225_0 {
	meta:
		name = "TInUDPClient.Connected"
		size = 67
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8A 80 D0 00 00 00 88 45 FB 80 7D FB 00 74 21 8B 45 FC 83 B8 90 00 00 00 00 74 11 8B 45 FC 8B 80 90 00 00 00 8A 40 14 88 45 FB EB 04 C6 45 FB 00 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_42226_0 {
	meta:
		name = "TInUDPClient.Disconnect"
		size = 109
		refs = "000b TInUDPClient.Connected 0019 TInComponent.DoStatus 0021 TInUDPClient.UseProxy 0039 TInUDPClient.CloseProxy"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 57 B2 03 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 FC 80 B8 BA 00 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 90 00 00 00 8B 10 FF 52 24 8B 45 FC 8B 10 FF 92 8C 00 00 00 B2 04 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 D0 00 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_42227_0 {
	meta:
		name = "TInUDPClient.DoOnConnected"
		size = 43
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 66 83 B8 C2 00 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 C4 00 00 00 FF 93 C0 00 00 00 5B 59 5D C3 }
	condition:
		$1
}

rule function_42228_0 {
	meta:
		name = "TInUDPClient.DoOnDisconnected"
		size = 43
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 66 83 B8 CA 00 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 CC 00 00 00 FF 93 C8 00 00 00 5B 59 5D C3 }
	condition:
		$1
}

rule function_42229_0 {
	meta:
		name = "TInUDPClient.GetBinding"
		size = 209
		refs = "001b _Dn_TInSocketHandle 0020 TInSocketHandle.Create 004d TInSocketHandle.AllocateSocket 0061 @UStrAsg 00a5 TInSocketHandle.SetIPVersion 00ad TInSocketHandle.Bind 00b9 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 89 45 FC 8B 45 FC 83 B8 90 00 00 00 00 75 17 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 90 00 00 00 8B 45 FC 8B 80 90 00 00 00 89 45 F4 8B 45 F4 80 78 14 00 75 7B 33 C9 BA 02 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 83 C0 18 8B 55 FC 8B 92 B0 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 66 8B 80 B4 00 00 00 8B 55 F4 66 89 42 20 8B 45 FC 66 8B 80 B6 00 00 00 8B 55 F4 66 89 42 0C 8B 45 FC 66 8B 80 B8 00 00 00 8B 55 F4 66 89 42 0E 8B 45 FC 8A 90 A8 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 66 BE F0 FF E8 ?? ?? ?? ?? 8B 45 FC 8B 80 90 00 00 00 89 45 F8 8B 45 F8 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_42230_0 {
	meta:
		name = "TInUDPClient.GetTransparentProxy"
		size = 63
		refs = "001a _Dn_TInSocksInfo 001f TInBaseComponent.Create"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 83 B8 D4 00 00 00 00 75 17 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 D4 00 00 00 8B 45 FC 8B 80 D4 00 00 00 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_42231_0 {
	meta:
		name = "TInUDPClient.InitComponent"
		size = 74
		refs = "000b TInUDPBase.InitComponent"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 BA 00 00 00 00 8B 45 FC C6 80 D0 00 00 00 00 8B 45 FC 66 C7 80 B4 00 00 00 00 00 8B 45 FC 66 C7 80 B6 00 00 00 00 00 8B 45 FC 66 C7 80 B8 00 00 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_42232_0 {
	meta:
		name = "TInUDPClient.OpenProxy"
		size = 76
		refs = "000c TInUDPClient.UseProxy"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 FC 80 B8 BA 00 00 00 00 75 28 6A 00 6A 00 8B 45 FC 8B 10 FF 52 58 8B D0 33 C9 8B 45 FC 8B 80 D4 00 00 00 8B 18 FF 53 5C 8B 45 FC C6 80 BA 00 00 00 01 5B 59 5D C3 }
	condition:
		$1
}

rule function_42233_0 {
	meta:
		name = "TInUDPClient.ReceiveBuffer"
		size = 276
		refs = "0019 TInUDPClient.ReceiveBuffer 005b TInUDPClient.UseProxy 0073 TInUDPClient.RaiseUseProxyError 00ab TInUDPClient.Connected 00c0 TInSocketHandle.Readable 00d5 TInSocketHandle.Receive 00e8 TInUDPBase.ReceiveBuffer 0100 @UStrClr 0106 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 DB 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 83 7D F4 FF 75 23 8B 45 FC 83 B8 A4 00 00 00 00 75 09 C7 45 EC FE FF FF FF EB 14 8B 45 FC 8B 80 A4 00 00 00 89 45 EC EB 06 8B 45 F4 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 44 8B 45 FC 80 B8 BA 00 00 00 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 50 8D 45 E6 50 8D 45 E5 50 8B 45 EC 50 8B 45 FC 8B 10 FF 52 58 8B D0 8B 4D F8 8B 45 FC 8B 80 D4 00 00 00 8B 18 FF 53 64 89 45 F0 EB 48 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2B 8B 55 EC 8B 45 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 27 8B 55 F8 8B 45 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 89 45 F0 EB 11 8B 55 F8 8B 4D EC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42236_0 {
	meta:
		name = "TInUDPClient.Send"
		size = 111
		refs = "0019 TInUDPClient.Send 0049 TInUDPBase.Send 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8B 45 F4 50 8D 55 F0 8B 45 FC 8B 08 FF 51 64 8B 45 F0 50 8B 45 FC 8B 10 FF 52 6C 8B C8 8B 45 FC 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42237_0 {
	meta:
		name = "TInUDPClient.SendBuffer"
		size = 252
		refs = "0019 TInUDPClient.SendBuffer 0027 TInUDPClient.UseProxy 003f TInUDPClient.RaiseUseProxyError 0087 TInUDPClient.Connected 00a0 TInSocketHandle.Send 00d1 TInUDPBase.SendBuffer 00eb @UStrArrayClr 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 54 8B 45 FC 80 B8 BA 00 00 00 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 6C 50 8B 45 FC 8B 10 FF 52 5C 50 8B 45 F8 50 8D 55 F4 8B 45 FC 8B 08 FF 51 64 8B 45 F4 50 8B 45 FC 8B 10 FF 52 58 8B D0 8B 45 FC 8B 80 D4 00 00 00 59 8B 18 FF 53 68 EB 52 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 17 6A FF 33 C9 8B 55 F8 8B 45 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? EB 2F 8B 45 FC 8B 10 FF 52 5C 50 8B 45 F8 50 8D 55 F0 8B 45 FC 8B 08 FF 51 64 8B 45 F0 50 8B 45 FC 8B 10 FF 52 6C 8B C8 8B 45 FC 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42238_0 {
	meta:
		name = "TInUDPClient.SendBuffer"
		size = 122
		refs = "0015 TInUDPClient.UseProxy 002d TInUDPClient.RaiseUseProxyError 006f TInUDPBase.SendBuffer"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 66 89 4D F6 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 43 8B 45 FC 80 B8 BA 00 00 00 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 66 8B 45 F6 50 8B 45 FC 8B 10 FF 52 5C 50 8B 45 08 50 8B 45 FC 8B 10 FF 52 58 8B D0 8B 4D F8 8B 45 FC 8B 80 D4 00 00 00 8B 18 FF 53 68 EB 13 8B 45 08 50 66 8B 4D F6 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_42239_0 {
	meta:
		name = "TInUDPClient.SetHost"
		size = 57
		refs = "0019 @UStrEqual 0031 TInUDPBase.SetHost"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 80 9C 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 74 0B 8B 45 FC 8B 10 FF 92 94 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_42240_0 {
	meta:
		name = "TInUDPClient.SetIPVersion"
		size = 52
		refs = "002c TInUDPBase.SetIPVersion"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 8A 80 A8 00 00 00 3A 45 FB 74 0B 8B 45 FC 8B 10 FF 92 94 00 00 00 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_42241_0 {
	meta:
		name = "TInUDPClient.SetPort"
		size = 56
		refs = "0030 TInUDPBase.SetPort"
	strings:
		$1 = { 55 8B EC 83 C4 F8 66 89 55 FA 89 45 FC 8B 45 FC 66 8B 80 A0 00 00 00 66 3B 45 FA 74 0B 8B 45 FC 8B 10 FF 92 94 00 00 00 66 8B 55 FA 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_42242_0 {
	meta:
		name = "TInUDPClient.SetTransparentProxy"
		size = 364
		refs = "004b TComponent.RemoveFreeNotification 005e TObject.ClassType 008d FreeAndNil 00a5 TInBaseComponent.Create 011c TComponent.FreeNotification"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 83 7D F8 00 0F 84 0C 01 00 00 8B 45 F8 83 78 04 00 0F 85 A5 00 00 00 8B 45 FC 83 B8 D4 00 00 00 00 74 2B 8B 45 FC 8B 80 D4 00 00 00 83 78 04 00 74 1C 8B 55 FC 8B 45 FC 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 D4 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 83 B8 D4 00 00 00 00 74 20 8B 45 FC 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 3B 45 F4 74 0D 8B 45 FC 05 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 D4 00 00 00 00 75 15 33 C9 B2 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 FC 89 82 D4 00 00 00 8B 55 F8 8B 45 FC 8B 80 D4 00 00 00 8B 08 FF 51 08 E9 A0 00 00 00 8B 45 FC 83 B8 D4 00 00 00 00 74 2F 8B 45 FC 8B 80 D4 00 00 00 83 78 04 00 75 0F 8B 45 FC 05 D4 00 00 00 E8 ?? ?? ?? ?? EB 11 8B 55 FC 8B 45 FC 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 89 82 D4 00 00 00 8B 55 FC 8B 45 FC 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? EB 46 8B 45 FC 83 B8 D4 00 00 00 00 74 3A 8B 45 FC 8B 80 D4 00 00 00 83 78 04 00 75 0F 8B 45 FC 05 D4 00 00 00 E8 ?? ?? ?? ?? EB 1C 8B 55 FC 8B 45 FC 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 D4 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_42243_0 {
	meta:
		name = "TInUDPClient.UseProxy"
		size = 51
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 83 B8 D4 00 00 00 00 74 13 8B 45 FC 8B 80 D4 00 00 00 8B 10 FF 52 50 88 45 FB EB 04 C6 45 FB 00 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_42244_0 {
	meta:
		name = "TInUDPClient.Destroy"
		size = 104
		refs = "0007 @BeforeDestruction 0015 TInUDPClient.UseProxy 002d TInUDPClient.CloseProxy 0035 TInUDPClient.Connected 0052 TInUDPBase.Destroy 0060 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 FC 80 B8 BA 00 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 FC 8B 10 FF 92 94 00 00 00 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_42245_0 {
	meta:
		name = "TInUDPClient.ReceiveBuffer"
		size = 182
		refs = "0043 TInUDPClient.UseProxy 005b TInUDPClient.RaiseUseProxyError 00a5 TInUDPBase.ReceiveBuffer"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 4D F4 89 55 F8 89 45 FC 83 7D 08 FF 75 23 8B 45 FC 83 B8 A4 00 00 00 00 75 09 C7 45 EC FE FF FF FF EB 14 8B 45 FC 8B 80 A4 00 00 00 89 45 EC EB 06 8B 45 08 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 44 8B 45 FC 80 B8 BA 00 00 00 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 10 50 8B 45 0C 50 8B 45 EC 50 8B 45 FC 8B 10 FF 52 58 8B D0 8B 4D F8 8B 45 FC 8B 80 D4 00 00 00 8B 18 FF 53 64 89 45 F0 EB 1D 8B 45 10 50 8B 45 0C 50 8B 45 EC 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_42246_0 {
	meta:
		name = "TInUDPClient.SendBuffer"
		size = 121
		refs = "0015 TInUDPClient.UseProxy 002d TInUDPClient.RaiseUseProxyError 006e TInUDPBase.SendBuffer"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 66 89 4D F6 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3E 8B 45 FC 80 B8 BA 00 00 00 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 66 8B 45 F6 50 8A 45 0C 50 8B 45 08 50 8B 45 FC 8B 10 FF 52 58 8B D0 8B 4D F8 8B 45 FC 8B 80 D4 00 00 00 8B 18 FF 53 68 EB 17 8A 45 0C 50 8B 45 08 50 66 8B 4D F6 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_42249_0 {
	meta:
		name = "TInUDPServer.BroadcastEnabledChanged"
		size = 103
		refs = "001f TCollection.GetCount 0029 @IntOver 0049 TInSocketHandles.GetItem 0057 TInSocketHandle.SetBroadcastEnabled"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC 8B 45 FC 83 B8 B4 00 00 00 00 74 4E 8B 45 FC 8B 80 B0 00 00 00 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 32 40 89 45 F4 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 FC 8B 80 B0 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8A 92 A9 00 00 00 E8 ?? ?? ?? ?? FF 45 F8 FF 4D F4 75 D9 8B E5 5D C3 }
	condition:
		$1
}

rule function_42250_0 {
	meta:
		name = "TInUDPServer.CloseBinding"
		size = 175
		refs = "0023 TThreadList.LockList 002e TInUDPServer.CloseBinding 0040 TList.Get 005e TThread.WaitFor 0066 TObject.Free 0070 TList.Delete 0094 TThreadList.UnlockList 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC 8B 45 FC 83 B8 B8 00 00 00 00 0F 84 87 00 00 00 8B 45 FC 8B 80 B8 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 3A 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 10 FF 52 38 8B 45 F4 8B 40 70 8B 10 FF 52 24 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 83 78 08 00 7F BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC 33 D2 89 90 B4 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_42251_0 {
	meta:
		name = "TInUDPServer.Destroy"
		size = 85
		refs = "0007 @BeforeDestruction 0017 TInUDPBase.SetActive 0024 FreeAndNil 003f TInUDPBase.Destroy 004d @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 B0 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 B8 00 00 00 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_42252_0 {
	meta:
		name = "TInUDPServer.DoBeforeBind"
		size = 49
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC 66 83 B8 CA 00 00 00 00 74 12 8B 5D FC 8B 55 F8 8B 83 CC 00 00 00 FF 93 C8 00 00 00 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42253_0 {
	meta:
		name = "TInUDPServer.DoAfterBind"
		size = 43
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 66 83 B8 D2 00 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 D4 00 00 00 FF 93 D0 00 00 00 5B 59 5D C3 }
	condition:
		$1
}

rule function_42254_0 {
	meta:
		name = "TInUDPServer.DoOnUDPException"
		size = 65
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 66 83 B8 E2 00 00 00 00 74 1D 8B 45 0C 50 8B 45 08 50 8B 5D FC 8B 4D F4 8B 55 F8 8B 83 E4 00 00 00 FF 93 E0 00 00 00 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_42255_0 {
	meta:
		name = "TInUDPServer.DoUDPRead"
		size = 61
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 66 83 B8 DA 00 00 00 00 74 19 8B 45 08 50 8B 5D FC 8B 4D F4 8B 55 F8 8B 83 DC 00 00 00 FF 93 D8 00 00 00 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_42256_0 {
	meta:
		name = "TInUDPServer.GetActive"
		size = 60
		refs = "000d TInUDPBase.GetActive"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 75 1B 8B 45 FC 83 B8 B4 00 00 00 00 74 0F 8B 45 FC 8B 80 B4 00 00 00 8A 40 14 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_42257_0 {
	meta:
		name = "TInUDPServer.GetBinding"
		size = 624
		refs = "0015 TInUDPServer.GetBinding 0039 TCollection.GetCount 004b TInSocketHandles.Add 0050 GStack 0073 TInSocketHandle.SetIPVersion 0099 TInSocketHandles.GetItem 00ab TInSocketHandle.AllocateSocket 00d1 TInSocketHandle.Bind 00dc @IntOver 00fe @HandleAnyException 013b @RaiseAgain 0140 @DoneExcept 01bc IntToStr 01cf @UStrCatN 01e0 TThreadList.Add 0215 @CallDynaInst 0236 @UStrClr 023c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 E4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 B4 00 00 00 00 0F 85 EA 01 00 00 8B 45 FC 8B 80 B0 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 36 8B 45 FC 8B 80 B0 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 10 FF 92 80 00 00 00 84 C0 74 15 8B 45 FC 8B 80 B0 00 00 00 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 54 8B 45 FC 8B 80 B0 00 00 00 8B 55 F0 E8 ?? ?? ?? ?? 89 45 EC 33 C9 BA 02 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 00 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 88 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 83 45 F0 01 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 00 00 00 E8 ?? ?? ?? ?? 3B 45 F0 7F 99 33 C0 5A 59 59 64 89 10 EB 47 E9 ?? ?? ?? ?? 83 6D F0 01 71 05 E8 ?? ?? ?? ?? 83 7D F0 00 7C 27 8B 45 FC 8B 80 B0 00 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B 10 FF 52 24 83 6D F0 01 71 05 E8 ?? ?? ?? ?? 83 7D F0 00 7D D9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 8C 00 00 00 8B 45 FC 8B 80 B0 00 00 00 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C 85 00 00 00 40 89 45 E8 C7 45 F0 00 00 00 00 8B 45 FC 8B 80 B0 00 00 00 8B 55 F0 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 BC 00 00 00 8B 4D FC B2 01 FF 50 44 89 45 F4 8B 45 FC FF 70 08 68 ?? ?? ?? ?? 8D 55 E4 8B 45 F0 83 C0 01 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E4 8B 45 F4 83 C0 4C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 34 FF 45 F0 FF 4D E8 75 86 8B 45 FC 8B 80 B0 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 89 82 B4 00 00 00 8B 45 FC 66 BE F0 FF E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B4 00 00 00 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 4C 00 69 00 73 00 74 00 65 00 6E 00 65 00 72 00 20 00 23 00 00 00 }
	condition:
		$1
}

rule function_42258_0 {
	meta:
		name = "TInUDPServer.GetDefaultPort"
		size = 34
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 80 B0 00 00 00 66 8B 40 1C 66 89 45 FA 66 8B 45 FA 59 59 5D C3 }
	condition:
		$1
}

rule function_42259_0 {
	meta:
		name = "TInUDPServer.InitComponent"
		size = 77
		refs = "000b TInUDPBase.InitComponent 0015 _Dn_TInSocketHandles 001a TInSocketHandles.Create 002a _Dn_TThreadList 002f TThreadList.Create 003d _DV_TIdUDPListenerThread"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 B0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 B8 00 00 00 A1 ?? ?? ?? ?? 8B 55 FC 89 82 BC 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_42260_0 {
	meta:
		name = "TInUDPServer.SetBindings"
		size = 33
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 B0 00 00 00 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_42261_0 {
	meta:
		name = "TInUDPServer.SetDefaultPort"
		size = 34
	strings:
		$1 = { 55 8B EC 83 C4 F8 66 89 55 FA 89 45 FC 8B 45 FC 8B 80 B0 00 00 00 66 8B 55 FA 66 89 50 1C 59 59 5D C3 }
	condition:
		$1
}

rule function_42262_0 {
	meta:
		name = "TIdUDPListenerThread.AfterRun"
		size = 29
		refs = "000b TInThread.AfterRun"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 70 8B 10 FF 52 24 59 5D C3 }
	condition:
		$1
}

rule function_42263_0 {
	meta:
		name = "TIdUDPListenerThread.Create"
		size = 134
		refs = "000e @ClassCreate 0027 TInThread.Create 0059 TArray<System.Byte> 005e @DynArraySetLength 006f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 6A 01 6A 00 B1 01 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 74 E8 03 00 00 8B 45 FC 8B 55 08 89 50 70 8B 45 FC 8B 55 F4 89 90 88 00 00 00 6A 00 8B 45 FC 83 C0 78 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_42264_0 {
	meta:
		name = "TIdUDPListenerThread.Destroy"
		size = 76
		refs = "0007 @BeforeDestruction 0020 TArray<System.Byte> 0025 @DynArraySetLength 0036 TInThread.Destroy 0044 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 6A 00 8B 45 FC 83 C0 78 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_42265_0 {
	meta:
		name = "TIdUDPListenerThread.Run"
		size = 410
		refs = "0015 TIdUDPListenerThread.Run 002c TInSocketHandle.Select 004a TInThread.GetStopped 0073 TArray<System.Byte> 0078 @DynArraySetLength 0097 TInSocketHandle.RecvFrom 00b0 TInSocketHandle.SetPeer 00ed TIdUDPListenerThread.UDPRead 0100 TInThread.Synchronize 010f @HandleOnException 0117 _Dn_Exception 012f @UStrAsg 0137 TObject.ClassType 015a TIdUDPListenerThread.UDPException 0172 @DoneExcept 0187 @UStrClr 018d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 74 8B 45 FC 8B 40 70 E8 ?? ?? ?? ?? 84 C0 0F 84 3E 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 AE 00 00 00 8B 45 FC 8B 80 88 00 00 00 8B 80 94 00 00 00 50 8B 45 FC 83 C0 78 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F6 50 8D 45 F5 50 8D 4D F8 8B 45 FC 8D 50 78 8B 45 FC 8B 40 70 E8 ?? ?? ?? ?? 89 45 F0 8A 45 F5 50 8B 45 FC 8B 40 70 66 8B 4D F6 8B 55 F8 E8 ?? ?? ?? ?? 83 7D F0 00 7E 4A 8B 45 F0 50 8B 45 FC 83 C0 78 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 80 88 00 00 00 80 B8 C0 00 00 00 00 74 0A 8B 45 FC E8 ?? ?? ?? ?? EB 11 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 68 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 45 EC 8B 45 FC 83 C0 7C 8B 55 EC 8B 52 04 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 55 FC 89 82 80 00 00 00 8B 45 FC 8B 80 88 00 00 00 80 B8 C0 00 00 00 00 74 0A 8B 45 FC E8 ?? ?? ?? ?? EB 11 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42266_0 {
	meta:
		name = "TIdUDPListenerThread.UDPRead"
		size = 45
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 40 70 50 8B 45 FC 8B 48 78 8B 55 FC 8B 45 FC 8B 80 88 00 00 00 8B 18 FF 93 94 00 00 00 5B 59 5D C3 }
	condition:
		$1
}

rule function_42267_0 {
	meta:
		name = "TIdUDPListenerThread.UDPException"
		size = 55
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 40 7C 50 8B 45 FC 8B 80 80 00 00 00 50 8B 45 FC 8B 48 70 8B 55 FC 8B 45 FC 8B 80 88 00 00 00 8B 18 FF 93 90 00 00 00 5B 59 5D C3 }
	condition:
		$1
}

rule function_42497_0 {
	meta:
		name = "UpdateImplementationID"
		size = 164
		refs = "0011 UpdateImplementationID 0021 UpperCase 003b @UStrEqual 0044 @UStrClr 004f @UStrAsg 0069 @UStrArrayClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 75 09 8B C6 E8 ?? ?? ?? ?? EB 09 8B C6 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 6E 00 64 00 79 00 50 00 65 00 65 00 72 00 49 00 6D 00 70 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_42498_0 {
	meta:
		name = "GStackPeers"
		size = 208
		refs = "0013 GStackPeers 0020 @IntfClear 002a UpdateImplementationID 0033 PeerFactory 003e TIPPeerFactory.ContainsPeer 0064 TIPPeerFactory.CreatePeer 007c Supports 0081 GStackPeer 0088 @IntfCopy 009d @UStrClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 84 C0 74 3A 8D 45 F8 50 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 13 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 A3 5A 94 02 F1 4E 58 4B BA 30 67 5A B8 C6 97 05 }
	condition:
		$1
}

rule function_42499_0 {
	meta:
		name = "IPProcs"
		size = 272
		refs = "0014 IPProcs 0024 UpdateImplementationID 002d PeerFactory 0038 TIPPeerFactory.ContainsPeer 0044 sIPProcsNotDefined 0049 LoadResString 0053 _DV_EIPAbstractError 0058 Exception.Create 005d @RaiseExcept 007f TIPPeerFactory.CreatePeer 008a @IntfClear 0097 Supports 00a3 sIPProcNotSupported 00d6 @UStrArrayClr 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 F4 50 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 00 00 00 01 68 E2 DA 52 CA FD 43 93 32 5C D9 51 E3 B7 56 }
	condition:
		$1
}

rule function_42500_0 {
	meta:
		name = "PeerFactory"
		size = 57
		refs = "0002 FPeerFactory 000c _DV_TIPPeerFactory 0011 TIPPeerFactory.Create 0024 @IntfCopy 0034 @SafeIntfAsClass"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 1F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_42501_0 {
	meta:
		name = "TIPPeerFactory.ContainsPeer"
		size = 52
		refs = "0012 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.ContainsKey 0020 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.GetItem 0027 TDictionary<System.TGUID,System.TClass>.ContainsKey"
	strings:
		$1 = { 53 56 57 55 8B E9 8B F2 8B F8 33 DB 8B D6 8B 47 0C E8 ?? ?? ?? ?? 84 C0 74 13 8B D6 8B 47 0C E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 8B D8 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42502_0 {
	meta:
		name = "TIPPeerFactory.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TIPPeerFactory.Create 001e _DV_TObjectDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>> 0023 TObjectDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 02 00 00 00 }
	condition:
		$1
}

rule function_42503_0 {
	meta:
		name = "TIPPeerFactory.CreatePeer"
		size = 908
		refs = "0026 TRttiContext 002b @InitializeRecord 0034 TValue 0041 TIPPeerFactory.CreatePeer 004e @IntfClear 0059 UpdateImplementationID 0065 TIPPeerFactory.ContainsPeer 0081 GUIDToString 0097 sIPPeerNotRegisteredDefault 009c LoadResString 00a7 Format 00b1 _DV_EIPAbstractError 00b6 Exception.Create 00bb @RaiseExcept 00eb sIPPeerNotRegisteredId 011d TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.GetItem 0124 TDictionary<System.TGUID,System.TClass>.GetItem 0136 TRttiContext.Create 0147 @CopyRecord 0151 TRttiContext.GetType 0174 TValue.&op_Implicit 01bc TRttiType.GetAsInstance 01c1 TRttiInstanceType.GetMetaclassType 01ca TRttiMethod.Invoke 01d2 TValue.AsObject 01e7 Supports 0229 sPeerCreationFailed 02dc @UStrArrayClr 02f2 @FinalizeArray 0300 @FinalizeRecord 0322 @UStrClr 034c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 19 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 89 55 DC 8B F0 8B 7D 08 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 DC E8 ?? ?? ?? ?? 8B CB 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 A5 00 00 00 83 7D F8 00 75 4A 8D 45 D8 50 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 8D 45 D0 50 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 33 C9 5A E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 55 8D 45 C4 50 8D 55 B0 8B C3 E8 ?? ?? ?? ?? 8B 45 B0 89 45 B4 C6 45 B8 11 8B 45 F8 89 45 BC C6 45 C0 11 8D 45 B4 50 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 46 0C E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 2A 01 00 00 8D 45 A8 E8 ?? ?? ?? ?? 8D 55 A8 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B F0 6A 01 8D 45 E0 50 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 50 8D 95 60 FF FF FF 8B 45 10 E8 ?? ?? ?? ?? 56 57 8D B5 60 FF FF FF 8D BD 78 FF FF FF B9 06 00 00 00 F3 A5 5F 5E 8D 95 48 FF FF FF 0F B6 45 0C E8 ?? ?? ?? ?? 56 57 8D B5 48 FF FF FF 8D 7D 90 B9 06 00 00 00 F3 A5 5F 5E 8D 85 78 FF FF FF 50 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 59 58 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 85 D0 00 00 00 8D 85 44 FF FF FF 50 8D 95 40 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 40 FF FF FF 89 45 B4 C6 45 B8 11 8B 45 F8 89 45 BC C6 45 C0 11 8D 45 B4 50 8D 95 3C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 3C FF FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D 44 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 85 38 FF FF FF 50 8D 95 34 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 34 FF FF FF 89 45 B4 C6 45 B8 11 8B 45 F8 89 45 BC C6 45 C0 11 8D 45 B4 50 8D 95 30 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 30 FF FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D 38 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 30 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 85 48 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 AC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 7B FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 00 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_42504_0 {
	meta:
		name = "TIPPeerFactory.CreatePeer"
		size = 812
		refs = "0026 TRttiContext 002b @InitializeRecord 0034 TValue 0041 TIPPeerFactory.CreatePeer 004e @IntfClear 0059 UpdateImplementationID 0065 TIPPeerFactory.ContainsPeer 0081 GUIDToString 0097 sIPPeerNotRegisteredDefault 009c LoadResString 00a7 Format 00b1 _DV_EIPAbstractError 00b6 Exception.Create 00bb @RaiseExcept 00eb sIPPeerNotRegisteredId 011d TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.GetItem 0124 TDictionary<System.TGUID,System.TClass>.GetItem 0136 TRttiContext.Create 0147 @CopyRecord 0151 TRttiContext.GetType 016d TRttiType.GetAsInstance 0172 TRttiInstanceType.GetMetaclassType 017d TRttiMethod.Invoke 0196 TValue.AsObject 01ab Supports 01e1 sPeerCreationFailed 0288 @UStrArrayClr 0296 @FinalizeRecord 02c6 @UStrClr 02f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 10 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 89 55 DC 8B F0 8B 7D 08 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 DC E8 ?? ?? ?? ?? 8B CB 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 A5 00 00 00 83 7D F8 00 75 4A 8D 45 D8 50 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 8D 45 D0 50 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 33 C9 5A E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 55 8D 45 C4 50 8D 55 B0 8B C3 E8 ?? ?? ?? ?? 8B 45 B0 89 45 B4 C6 45 B8 11 8B 45 F8 89 45 BC C6 45 C0 11 8D 45 B4 50 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 46 0C E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 DC 00 00 00 8D 45 A8 E8 ?? ?? ?? ?? 8D 55 A8 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B F0 6A FF 8D 45 90 50 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 50 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8D 4D 90 58 E8 ?? ?? ?? ?? 8D 55 90 8D 45 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 85 B8 00 00 00 8D 45 8C 50 8D 55 88 8B C3 E8 ?? ?? ?? ?? 8B 45 88 89 45 B4 C6 45 B8 11 8B 45 F8 89 45 BC C6 45 C0 11 8D 45 B4 50 8D 55 84 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 84 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D 8C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 61 8D 45 80 50 8D 95 7C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 89 45 B4 C6 45 B8 11 8B 45 F8 89 45 BC C6 45 C0 11 8D 45 B4 50 8D 95 78 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 78 FF FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D 80 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 90 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 AC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 86 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 00 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_42506_0 {
	meta:
		name = "TIPPeerFactory.CreatePeer"
		size = 860
		refs = "0026 TRttiContext 002b @InitializeRecord 0034 TValue 0041 TIPPeerFactory.CreatePeer 004e @IntfClear 0059 UpdateImplementationID 0065 TIPPeerFactory.ContainsPeer 0081 GUIDToString 0097 sIPPeerNotRegisteredDefault 009c LoadResString 00a7 Format 00b1 _DV_EIPAbstractError 00b6 Exception.Create 00bb @RaiseExcept 00eb sIPPeerNotRegisteredId 011d TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.GetItem 0124 TDictionary<System.TGUID,System.TClass>.GetItem 0136 TRttiContext.Create 0147 @CopyRecord 0151 TRttiContext.GetType 0174 TValue.&op_Implicit 0193 TRttiType.GetAsInstance 0198 TRttiInstanceType.GetMetaclassType 01a1 TRttiMethod.Invoke 01a9 TValue.AsObject 01be Supports 0200 sPeerCreationFailed 02b3 @UStrArrayClr 02c4 @FinalizeRecord 02f4 @UStrClr 031e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 13 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 89 55 DC 8B F0 8B 7D 08 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 DC E8 ?? ?? ?? ?? 8B CB 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 A5 00 00 00 83 7D F8 00 75 4A 8D 45 D8 50 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 8D 45 D0 50 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 33 C9 5A E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 55 8D 45 C4 50 8D 55 B0 8B C3 E8 ?? ?? ?? ?? 8B 45 B0 89 45 B4 C6 45 B8 11 8B 45 F8 89 45 BC C6 45 C0 11 8D 45 B4 50 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 46 0C E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 01 01 00 00 8D 45 A8 E8 ?? ?? ?? ?? 8D 55 A8 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B F0 6A 00 8D 45 E0 50 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 50 8D 95 78 FF FF FF 8B 45 0C E8 ?? ?? ?? ?? 56 57 8D B5 78 FF FF FF 8D 7D 90 B9 06 00 00 00 F3 A5 5F 5E 8D 45 90 50 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 59 58 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 85 D0 00 00 00 8D 85 74 FF FF FF 50 8D 95 70 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 89 45 B4 C6 45 B8 11 8B 45 F8 89 45 BC C6 45 C0 11 8D 45 B4 50 8D 95 6C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 6C FF FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D 74 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 85 68 FF FF FF 50 8D 95 64 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 89 45 B4 C6 45 B8 11 8B 45 F8 89 45 BC C6 45 C0 11 8D 45 B4 50 8D 95 60 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 60 FF FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D 68 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 60 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 AC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 83 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 00 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_42507_0 {
	meta:
		name = "TIPPeerFactory.RegisterPeer"
		size = 296
		refs = "001f TIPPeerFactory.RegisterPeer 002f UpperCase 0049 @UStrEqual 0057 sPeerReservedID 005c LoadResString 0077 Format 0081 _DV_EIPAbstractError 0086 Exception.Create 008b @RaiseExcept 0095 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.ContainsKey 00a3 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.GetItem 00b0 _DV_TDictionary<System.TGUID,System.TClass> 00b5 TDictionary<System.TGUID,System.TClass>.Create 00c3 TDictionary<System.string,System.Generics.Collections.TDictionary<System.TGUID,System.TClass>>.Add 00d0 TDictionary<System.TGUID,System.TClass>.Add 00ea @UStrArrayClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 58 E8 ?? ?? ?? ?? 75 40 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B F8 EB 1C 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 4D 08 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 6E 00 64 00 79 00 50 00 65 00 65 00 72 00 49 00 6D 00 70 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_42508_0 {
	meta:
		name = "EIPHTTPProtocolExceptionPeer.Create"
		size = 149
		refs = "000e @ClassCreate 001c @UStrAddRef 002c EIPHTTPProtocolExceptionPeer.Create 0040 @UStrAsg 006b @UStrArrayClr 0071 @HandleFinally 007e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 77 18 8D 47 1C 8B 55 10 E8 ?? ?? ?? ?? 8D 47 04 8B 55 0C E8 ?? ?? ?? ?? 8B 45 08 89 47 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_42511_0 {
	meta:
		name = "TPair<System.TGUID,System.TClass>.Create"
		size = 20
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 A5 A5 A5 A5 89 58 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42512_0 {
	meta:
		name = "TEnumerable<IPPeerAPI.TPair<System.TGUID,System.TClass>>.ToArrayImpl"
		size = 153
		refs = "001b TArray<IPPeerAPI.TPair<System.TGUID,System.TClass>> 0020 @DynArraySetLength 002c TEnumerable<IPPeerAPI.TPair<System.TGUID,System.TClass>>.GetEnumerator 0037 TEnumerable<IPPeerAPI.TPair<System.TGUID,System.TClass>>.ToArrayImpl 0065 TEnumerator<IPPeerAPI.TPair<System.TGUID,System.TClass>>.MoveNext 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8D 55 E4 8B 45 F8 8B 08 FF 11 8D 04 9B 8B 55 FC 8B 12 8D 3C 82 8D 75 E4 A5 A5 A5 A5 A5 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42517_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.TGUID,System.TClass>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.TGUID,System.TClass>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.TGUID,System.TClass>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 C2 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C C2 FF 74 21 8B 55 FC 8B 54 C2 14 52 8B 55 FC 8D 44 C2 04 50 8D 04 5B 8B 55 FC 8B 14 C2 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42519_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.GetBucketIndex"
		size = 123
		refs = "0013 @DynArrayLength"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 4C 24 04 89 14 24 8B F0 8B 46 04 E8 ?? ?? ?? ?? 85 C0 75 07 BB 00 00 00 80 EB 51 8B 46 04 E8 ?? ?? ?? ?? 48 23 44 24 04 8B D8 8D 04 5B 8B 56 04 8B 3C C2 83 FF FF 75 04 F7 D3 EB 30 3B 7C 24 04 75 19 8D 04 5B 8B 56 04 8D 54 C2 04 8B 0C 24 8B 46 0C 8B 38 FF 57 0C 84 C0 75 11 43 8B 46 04 E8 ?? ?? ?? ?? 3B D8 7C C2 33 DB EB BE 8B C3 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42521_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.GetItem"
		size = 66
		refs = "000b TDictionary<System.TGUID,System.TClass>.Hash 0016 TDictionary<System.TGUID,System.TClass>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8B 44 C2 14 5E 5B C3 }
	condition:
		$1
}

rule function_42522_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.SetItem"
		size = 104
		refs = "000f TDictionary<System.TGUID,System.TClass>.Hash 001a TDictionary<System.TGUID,System.TClass>.GetBucketIndex 0024 SGenericItemNotFound 002b _Dn_EListError 0030 Exception.CreateRes 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 40 8B 4B 04 8B 74 D1 14 8B 43 04 8B 0C 24 89 4C D0 14 B1 01 8B D6 8B C3 8B 30 FF 56 0C 33 C9 8B 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_42523_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.RehashAdd"
		size = 77
		refs = "001a TDictionary<System.TGUID,System.TClass>.GetBucketIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? F7 D0 8D 14 40 8B 4B 04 8B 75 FC 89 34 D1 8B 4B 04 8B 75 F8 8D 7C D1 04 A5 A5 A5 A5 8B 43 04 8B 4D 08 89 4C D0 14 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_42524_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.DoAdd"
		size = 89
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 89 55 FC 8B F0 8D 04 5B 8B 56 04 8B 4D FC 89 0C C2 8B 56 04 8B 4D 0C 56 8D 7C C2 04 8B F1 A5 A5 A5 A5 5E 8B 56 04 8B 4D 08 89 4C C2 14 FF 46 08 8B 55 0C 33 C9 8B C6 8B 18 FF 53 08 33 C9 8B 55 08 8B C6 8B 18 FF 53 0C 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_42525_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.DoSetValue"
		size = 50
	strings:
		$1 = { 53 56 57 8B F1 8B D8 8D 04 52 8B 4B 04 8B 7C C1 14 8B 53 04 89 74 C2 14 B1 01 8B D7 8B C3 8B 38 FF 57 0C 33 C9 8B D6 8B C3 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42526_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.DoRemove"
		size = 261
		refs = "0014 TDictionary<System.TGUID,System.TClass>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B F0 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 0A 33 C0 89 45 F8 E9 D1 00 00 00 8D 04 5B 8B 56 04 C7 04 C2 FF FF FF FF 8B 56 04 8B 44 C2 14 89 45 F8 8B FB 43 8B 46 04 E8 ?? ?? ?? ?? 3B D8 75 02 33 DB 8D 04 5B 8B 56 04 8B 04 C2 89 45 F4 83 7D F4 FF 74 4F 8B 46 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CB 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 5B 8B 56 04 8D 04 C2 50 8D 04 7F 8B 56 04 59 56 8B F1 8D 3C C2 B9 06 00 00 00 F3 A5 5E 8B FB 8D 04 7F 8B 56 04 C7 04 C2 FF FF FF FF EB 90 8D 1C 7F 8B 46 04 C7 04 D8 FF FF FF FF 8B 56 04 8D 44 DA 04 8B CF 8B F8 33 C0 AB AB AB AB 8B F9 8B 46 04 33 D2 89 54 D8 14 FF 4E 08 0F B6 5D 08 8B CB 8B 55 FC 8B C6 8B 38 FF 57 08 8B CB 8B 55 F8 8B C6 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_42528_0 {
	meta:
		name = "TDictionary<T>.KeyNotify"
		size = 23
	strings:
		$1 = { 56 8B F0 66 83 7E 1A 00 74 0B 51 8B CA 8B D6 8B 46 1C FF 56 18 5E C3 }
	condition:
		$1
}

rule function_42533_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.Create"
		size = 175
		refs = "0010 @ClassCreate 0029 TDictionary<System.TGUID,System.TClass>.Create 0030 TEnumerable<IPPeerAPI.TPair<System.TGUID,System.TClass>>.GetEnumerator 0059 TDictionary<System.TGUID,System.TClass>.AddOrSetValue 0061 TEnumerator<IPPeerAPI.TPair<System.TGUID,System.TClass>>.MoveNext 0088 @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 E0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 F4 8B 08 FF 11 8B 4E 10 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42534_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.Create"
		size = 179
		refs = "0010 @ClassCreate 002b TDictionary<System.TGUID,System.TClass>.Create 0032 TEnumerable<IPPeerAPI.TPair<System.TGUID,System.TClass>>.GetEnumerator 005b TDictionary<System.TGUID,System.TClass>.AddOrSetValue 0063 TEnumerator<IPPeerAPI.TPair<System.TGUID,System.TClass>>.MoveNext 008a @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 E0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B D6 8B 45 F4 8B 08 FF 11 8B 4E 10 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_42536_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.Add"
		size = 99
		refs = "0016 TDictionary<System.TGUID,System.TClass>.Grow 001f TDictionary<System.TGUID,System.TClass>.Hash 002c TDictionary<System.TGUID,System.TClass>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.TGUID,System.TClass>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52515_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Add"
		size = 99
		refs = "0016 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Grow 001f TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Hash 002c TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60040_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Add"
		size = 99
		refs = "0016 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Grow 001f TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Hash 002c TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42538_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.TGUID,System.TClass>.Hash 001c TDictionary<System.TGUID,System.TClass>.GetBucketIndex 002b TPair<System.TGUID,System.TClass>.Create 003a TDictionary<System.TGUID,System.TClass>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 8B D3 33 C9 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42539_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.Clear"
		size = 207
		refs = "0014 TDictionary<System.TGUID,System.TClass>.Clear 0026 TDictionary<System.TGUID,System.TClass>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.TGUID,System.TClass>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C C2 FF 74 26 8D 04 5B 8B 55 FC 8D 54 C2 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 C2 14 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_42541_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.TGUID,System.TClass>.Hash 0019 TDictionary<System.TGUID,System.TClass>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0E 8D 04 40 8B 4B 04 8B 44 C1 14 89 07 EB 04 33 C0 89 07 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42542_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.TGUID,System.TClass>.Grow 001f TDictionary<System.TGUID,System.TClass>.Hash 002c TDictionary<System.TGUID,System.TClass>.GetBucketIndex 003c TDictionary<System.TGUID,System.TClass>.DoSetValue 0051 TDictionary<System.TGUID,System.TClass>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52521_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Grow 001f TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Hash 002c TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetBucketIndex 003c TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.DoSetValue 0051 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60046_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Grow 001f TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Hash 002c TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.GetBucketIndex 003c TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.DoSetValue 0051 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 56 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42544_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.TGUID,System.TClass>.ContainsValue 0025 TEqualityComparer<System.TClass>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C C2 FF 74 1D 8D 04 5B 8B 56 04 8B 54 C2 14 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42551_0 {
	meta:
		name = "TEnumerable<System.TGUID>.ToArray"
		size = 182
		refs = "000f _DV_TList<System.TGUID> 0014 TList<System.TGUID>.Create 001f TEnumerable<System.TGUID>.ToArray 002c TEnumerable<System.TGUID>.GetEnumerator 0054 TList<System.TGUID>.Add 005c TEnumerator<System.TGUID>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 E4 8B 45 F4 8B 08 FF 11 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89290_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.Gestures.TGesturePoint>.ToArray"
		size = 182
		refs = "000f _DV_TList<Vcl.Touch.Gestures.TGesturePoint> 0014 TList<Vcl.Touch.Gestures.TGesturePoint>.Create 001f TEnumerable<Vcl.Touch.Gestures.TGesturePoint>.ToArray 002c TEnumerable<Vcl.Touch.Gestures.TGesturePoint>.GetEnumerator 0054 TList<Vcl.Touch.Gestures.TGesturePoint>.Add 005c TEnumerator<Vcl.Touch.Gestures.TGesturePoint>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 E4 8B 45 F4 8B 08 FF 11 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42558_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.TKeyEnumerator.GetCurrent"
		size = 27
	strings:
		$1 = { 56 57 8B 48 08 8D 0C 49 8B 40 04 8B 40 04 8D 74 C8 04 8B FA A5 A5 A5 A5 5F 5E C3 }
	condition:
		$1
}

rule function_42562_0 {
	meta:
		name = "TDictionary<T>.TKeyEnumerator.MoveNext"
		size = 55
		refs = "0026 @DynArrayLength"
		altNames = "TDictionary<T>.TPairEnumerator.MoveNext TDictionary<T>.TValueEnumerator.MoveNext"
	strings:
		$1 = { 53 56 8B F0 EB 19 FF 46 08 8B 46 08 8D 04 40 8B 56 04 8B 52 04 83 3C C2 FF 74 04 B3 01 EB 13 8B 46 04 8B 40 04 E8 ?? ?? ?? ?? 48 3B 46 08 7F D6 33 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_42572_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.TValueEnumerator.GetCurrent"
		size = 17
	strings:
		$1 = { 8B 50 08 8D 14 52 8B 40 04 8B 40 04 8B 44 D0 14 C3 }
	condition:
		$1
}

rule function_42577_0 {
	meta:
		name = "TDictionary<System.TGUID,System.TClass>.TPairEnumerator.GetCurrent"
		size = 48
	strings:
		$1 = { 53 56 57 8B 48 08 8D 0C 49 8B 58 04 8B 5B 04 8D 74 CB 04 8B FA A5 A5 A5 A5 8B 48 08 8D 0C 49 8B 40 04 8B 40 04 8B 44 C8 14 89 42 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42724_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.GetItem"
		size = 57
		refs = "0010 SArgumentOutOfRange 0017 _Dn_EArgumentOutOfRangeException 001c Exception.CreateRes 0021 @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B D9 85 D2 7C 05 3B 50 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 92 8B 40 04 8D 34 90 8B FB A5 A5 A5 A5 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42725_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.SetItem"
		size = 104
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B F1 8B D8 85 D2 7C 05 3B 53 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 92 8B 4B 04 56 8D 34 81 8D 7C 24 04 A5 A5 A5 A5 A5 5E 8B 53 04 56 8D 3C 82 A5 A5 A5 A5 A5 5E B1 01 8B D4 8B C3 8B 38 FF 57 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42728_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.DoDelete"
		size = 172
		refs = "0018 SArgumentOutOfRange 001f _Dn_EArgumentOutOfRangeException 0024 Exception.CreateRes 0029 @RaiseExcept 007d Move 0095 @FillChar"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B D9 8B F2 8B E8 85 F6 7C 05 3B 75 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 3C B6 8B 45 04 56 57 8D 34 B8 8D 7C 24 08 A5 A5 A5 A5 A5 5F 5E 8B 55 04 8D 04 BA 8B CF 8B F8 33 C0 AB AB AB AB AB 8B F9 FF 4D 08 8B 45 08 3B F0 74 39 8B 55 04 8D 14 BA 52 8B 55 04 8D 54 BA 14 2B C6 8B C8 03 C9 03 C9 8D 0C 89 8B C2 5A E8 ?? ?? ?? ?? 8B 45 08 8D 04 80 8B 55 04 8D 04 82 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 8B CB 8B D4 8B C5 8B 18 FF 53 08 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42735_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Add"
		size = 63
		refs = "000f TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.GrowCheck"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8D 04 80 8B 53 04 56 8D 3C 82 A5 A5 A5 A5 A5 5E FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42739_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Insert"
		size = 151
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.GrowCheck 005c Move 006e @FillChar"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 36 8D 2C B6 8B 53 04 8D 54 AA 14 52 8B 53 04 8D 14 AA 2B C6 8B C8 03 C9 03 C9 8D 0C 89 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 A8 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 8D 04 B6 8B 53 04 57 8B F7 8D 3C 82 A5 A5 A5 A5 A5 5F FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42740_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.InsertRange"
		size = 251
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.GrowCheck 007e Move 0097 @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 49 8B D6 03 D3 8D 14 92 8B 4D FC 8B 49 04 8D 14 91 52 8D 3C 9B 8B 55 FC 8B 52 04 8D 14 BA 2B C3 8B C8 03 C9 03 C9 8D 0C 89 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 B8 8B D6 03 D2 03 D2 8D 14 92 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 28 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8D 0C 89 8B 75 FC 8B 76 04 8D 3C 8E 8B F0 A5 A5 A5 A5 A5 42 83 C0 14 FF 4D F4 75 E1 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 14 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_42746_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Extract"
		size = 62
		refs = "000a TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.IndexOf 0036 TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0D 8B C6 8B F8 33 C0 AB AB AB AB AB EB 1B 8D 14 80 8B 4B 04 8B FE 8D 34 91 A5 A5 A5 A5 A5 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42747_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Exchange"
		size = 75
	strings:
		$1 = { 53 56 57 83 C4 EC 8B D9 8D 34 92 8B 48 04 56 8D 34 B1 8D 7C 24 04 A5 A5 A5 A5 A5 5E 8D 0C 9B 8B 78 04 8D 0C 8F 51 8B 50 04 59 8D 3C B2 8B F1 A5 A5 A5 A5 A5 8D 14 9B 8B 40 04 8D 3C 90 8B F4 A5 A5 A5 A5 A5 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42748_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Move"
		size = 203
		refs = "0020 SArgumentOutOfRange 0027 _Dn_EArgumentOutOfRangeException 002c Exception.CreateRes 0031 @RaiseExcept 007b Move 00b2 @FillChar"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B F1 8B FA 8B D8 3B F7 0F 84 AE 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 2C BF 8B 43 04 56 57 8D 34 A8 8D 7C 24 08 A5 A5 A5 A5 A5 5F 5E 8B 53 04 8D 04 AA 8B CF 8B F8 33 C0 AB AB AB AB AB 8B F9 3B F7 7E 1F 8B 43 04 8D 14 A8 8B 43 04 8D 44 A8 14 8B CE 2B CF 03 C9 03 C9 8D 0C 89 E8 ?? ?? ?? ?? EB 20 8D 04 B6 8B 53 04 8D 54 82 14 8B 4B 04 8D 04 81 2B FE 8B CF 03 C9 03 C9 8D 0C 89 E8 ?? ?? ?? ?? 8D 3C B6 8B 43 04 8D 04 B8 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 3C B8 8B F4 A5 A5 A5 A5 A5 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42755_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.Reverse"
		size = 93
	strings:
		$1 = { 53 56 57 55 83 C4 EC 33 D2 8B 58 08 4B 3B DA 7E 44 8D 34 92 8B 48 04 56 8D 34 B1 8D 7C 24 04 A5 A5 A5 A5 A5 5E 8D 0C 9B 8B 78 04 8D 0C 8F 51 8B 48 04 5F 8B EF 8D 3C B1 8B F5 A5 A5 A5 A5 A5 8D 0C 9B 8B 70 04 8D 3C 8E 8B F4 A5 A5 A5 A5 A5 42 4B 3B DA 7F BC 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42761_0 {
	meta:
		name = "TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.ToArray"
		size = 97
		refs = "001a TArray<IPPeerAPI.TPair<System.TGUID,System.TClass>> 001f @DynArraySetLength 003a TList<IPPeerAPI.TPair<System.TGUID,System.TClass>>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 E8 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2C 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 04 9B 8B 14 24 8B 12 56 57 8D 74 24 0C 8D 3C 82 A5 A5 A5 A5 A5 5F 5E 43 4F 75 D7 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_42768_0 {
	meta:
		name = "TEqualityComparer<System.TGUID>.Default"
		size = 32
		refs = "000a TGUID 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 10 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_50077_0 {
	meta:
		name = "TEqualityComparer<System.Variant>.Default"
		size = 32
		refs = "000a Variant 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 10 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_42792_0 {
	meta:
		name = "TList<System.TGUID>.InsertRange"
		size = 126
		refs = "0018 TList<System.TGUID>.InsertRange 0041 TList<System.TGUID>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 EC 8B 45 FC 8B 08 FF 51 18 8D 4D EC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89312_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.InsertRange"
		size = 126
		refs = "0018 TList<Vcl.Touch.Gestures.TGesturePoint>.InsertRange 0041 TList<Vcl.Touch.Gestures.TGesturePoint>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 EC 8B 45 FC 8B 08 FF 51 18 8D 4D EC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_42793_0 {
	meta:
		name = "TList<System.TGUID>.InsertRange"
		size = 116
		refs = "000f TEnumerable<System.TGUID>.GetEnumerator 001a TList<System.TGUID>.InsertRange 0038 TList<System.TGUID>.Insert 0041 TEnumerator<System.TGUID>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 EC 8B 45 FC 8B 08 FF 11 8D 4D EC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89313_0 {
	meta:
		name = "TList<Vcl.Touch.Gestures.TGesturePoint>.InsertRange"
		size = 116
		refs = "000f TEnumerable<Vcl.Touch.Gestures.TGesturePoint>.GetEnumerator 001a TList<Vcl.Touch.Gestures.TGesturePoint>.InsertRange 0038 TList<Vcl.Touch.Gestures.TGesturePoint>.Insert 0041 TEnumerator<Vcl.Touch.Gestures.TGesturePoint>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 EC 8B 45 FC 8B 08 FF 11 8D 4D EC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43100_0 {
	meta:
		name = "TArray.QuickSort<IPPeerAPI.TPair<System.TGUID,System.TClass>>"
		size = 265
		refs = "00f0 TArray.QuickSort<IPPeerAPI.TPair<System.TGUID,System.TClass>>"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 E2 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E D4 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8D 04 80 8B 55 F8 56 8D 34 82 8D 7D E0 A5 A5 A5 A5 A5 5E EB 01 43 8D 04 9B 8B 55 F8 8D 14 82 8D 4D E0 8B 45 10 8B 38 FF 57 0C 85 C0 7C E7 EB 01 4E 8D 04 B6 8B 55 F8 8D 14 82 8D 4D E0 8B 45 10 8B 38 FF 57 0C 85 C0 7F E7 3B F3 7C 46 3B F3 74 40 8D 04 9B 8B 55 F8 56 8D 34 82 8D 7D CC A5 A5 A5 A5 A5 5E 8D 14 B6 8B 4D F8 8D 14 91 52 8B 55 F8 59 56 8B F1 8D 3C 82 A5 A5 A5 A5 A5 5E 8D 04 B6 8B 55 F8 56 8D 3C 82 8D 75 CC A5 A5 A5 A5 A5 5E 43 4E 3B F3 0F 8D 7B FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 2C FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_43103_0 {
	meta:
		name = "TArray.QuickSort<System.TGUID>"
		size = 265
		refs = "00f0 TArray.QuickSort<System.TGUID>"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 E2 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E D4 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 03 C0 8B 55 F8 56 8D 34 C2 8D 7D E4 A5 A5 A5 A5 5E EB 01 43 8B C3 03 C0 8B 55 F8 8D 14 C2 8D 4D E4 8B 45 10 8B 38 FF 57 0C 85 C0 7C E6 EB 01 4E 8B C6 03 C0 8B 55 F8 8D 14 C2 8D 4D E4 8B 45 10 8B 38 FF 57 0C 85 C0 7F E6 3B F3 7C 46 3B F3 74 40 8B C3 03 C0 8B 55 F8 56 8D 34 C2 8D 7D D4 A5 A5 A5 A5 5E 8B D6 03 D2 8B 4D F8 8D 14 D1 52 8B 55 F8 59 56 8B F1 8D 3C C2 A5 A5 A5 A5 5E 8B C6 03 C0 8B 55 F8 56 8D 3C C2 8D 75 D4 A5 A5 A5 A5 5E 43 4E 3B F3 0F 8D 79 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 2C FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_89359_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Touch.Gestures.TGesturePoint>"
		size = 265
		refs = "00f0 TArray.QuickSort<Vcl.Touch.Gestures.TGesturePoint>"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 E2 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E D4 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 03 C0 8B 55 F8 56 8D 34 C2 8D 7D E4 A5 A5 A5 A5 5E EB 01 43 8B C3 03 C0 8B 55 F8 8D 14 C2 8D 4D E4 8B 45 10 8B 38 FF 57 0C 85 C0 7C E6 EB 01 4E 8B C6 03 C0 8B 55 F8 8D 14 C2 8D 4D E4 8B 45 10 8B 38 FF 57 0C 85 C0 7F E6 3B F3 7C 46 3B F3 74 40 8B C3 03 C0 8B 55 F8 56 8D 34 C2 8D 7D D4 A5 A5 A5 A5 5E 8B D6 03 D2 8B 4D F8 8D 14 D1 52 8B 55 F8 59 56 8B F1 8D 3C C2 A5 A5 A5 A5 5E 8B C6 03 C0 8B 55 F8 56 8D 3C C2 8D 75 D4 A5 A5 A5 A5 5E 43 4E 3B F3 0F 8D 79 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 2C FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_43136_0 {
	meta:
		name = "TIWShowMessage.InitializeAndShow"
		size = 460
		refs = "001a @UStrAddRef 002a TIWShowMessage.InitializeAndShow 0039 _Dn_TIWText 003e TIWCustomControl.Create 0083 TIWCustomControl.set_UseFrame 0098 _Dn_TIWButton 00c3 TControl.SetText 00d3 TIWShowMessage.ShowMessageOnClick 00f0 gServerController 0103 @UStrCat3 010d FileExists 011a _Dn_TIWTemplateProcessorHTML 011f TIWVCLComponent.Create 0128 TIWForm.set_LayoutMgr 012f TIWForm.get_LayoutMgr 013d @UStrAsg 0161 @UStrArrayClr 0167 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 68 51 01 00 00 6A 79 B9 08 00 00 00 BA 08 00 00 00 8B C6 8B 38 FF 97 A4 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B 55 FC 8B 86 A0 02 00 00 8B 08 FF 51 2C 80 7D 08 03 0F 94 C2 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 8B 08 FF 91 84 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 6A 4B 6A 19 B9 88 00 00 00 BA 88 00 00 00 8B C6 8B 38 FF 97 A4 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 9E 1C 01 00 00 C7 86 18 01 00 00 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B D3 8B C6 8B 08 FF 91 84 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 90 48 01 00 00 8D 45 F4 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F4 B2 01 E8 ?? ?? ?? ?? 84 C0 74 2C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 40 4C 83 C0 04 8B 55 F8 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 7C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 74 00 65 00 78 00 74 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 75 00 74 00 6E 00 4F 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_43137_0 {
	meta:
		name = "TIWShowMessage.ShowMessageOnClick"
		size = 280
		refs = "000f TIWShowMessage.ShowMessageOnClick 001c TIWBaseForm.GetWebApplication 0021 TIWApplication.GetActiveForm 002d TObject.ClassName 003a @UStrLAsg 0061 CompareText 0089 gMainFormClass 0094 RSNoMainForm 009d _Dn_Exception 00a2 Exception.Create 00a7 @RaiseExcept 00d7 @UStrArrayClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 53 8B C3 8B 10 FF 92 78 01 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 39 A1 ?? ?? ?? ?? 83 38 00 75 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B CE B2 01 FF 50 38 8B 10 FF 92 7C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 54 00 49 00 57 00 53 00 68 00 6F 00 77 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_43139_0 {
	meta:
		name = "TIWAppForm.RequestAuth"
		size = 40
		refs = "0001 gSC 0008 TIWServerControllerBase.AuthActive"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 74 15 A1 ?? ?? ?? ?? 8B 00 8B 80 70 01 00 00 80 78 38 00 0F 94 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_43140_0 {
	meta:
		name = "TCustomOutline.Expand"
		size = 31
		altNames = "TIWAppForm.DoURLRequest"
	strings:
		$1 = { 53 66 83 B8 7A 03 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 7C 03 00 00 FF 93 78 03 00 00 5B C3 }
	condition:
		$1
}

rule function_43142_0 {
	meta:
		name = "TIWAppForm.GenerateForm"
		size = 41
		refs = "0009 TIWBaseForm.GetWebApplication 0022 TIWForm.GenerateForm"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 90 88 00 00 00 8B C3 8B 08 FF 91 70 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43143_0 {
	meta:
		name = "TIWAppForm.GetURL"
		size = 49
		refs = "0009 @UStrClr 0010 gDefaltURLs"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 5C 8B D8 83 FB FF 7E 0E 8B CE 8B D3 A1 ?? ?? ?? ?? 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_43144_0 {
	meta:
		name = "TIWAppForm.SetAsMainForm"
		size = 9
		refs = "0002 gMainFormClass"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 89 02 C3 }
	condition:
		$1
}

rule function_46143_0 {
	meta:
		name = "TIWServerControllerBase.SetServerControllerClass"
		size = 9
		refs = "0002 gServerControllerClass"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 89 02 C3 }
	condition:
		$1
}

rule function_43145_0 {
	meta:
		name = "TIWAppForm.SetURL"
		size = 292
		refs = "0016 TIWAppForm.SetURL 0022 gDefaltURLs 002c _Dn_TStringList 0031 TStringList.Create 0042 TStringList.SetSorted 0055 TIWAppForm.GetURL 0065 TObject.ClassName 0072 @UStrCat 007c _Dn_EIWException 0081 EInException.Create 0086 @RaiseExcept 0090 _Dn_TIWURLMap 0095 TIWURLMap.Add 00a1 @UStrCat3 00ca @UStrArrayClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 26 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C6 40 39 02 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 2B 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 8B CF 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B CF 8B D6 E8 ?? ?? ?? ?? 8B 55 F4 8B CB A1 ?? ?? ?? ?? 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 20 00 61 00 6C 00 72 00 65 00 61 00 64 00 79 00 20 00 68 00 61 00 73 00 20 00 61 00 20 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 20 00 55 00 52 00 4C 00 2E 00 00 00 }
	condition:
		$1
}

rule function_43146_0 {
	meta:
		name = "TIWAppForm.InitControl"
		size = 55
		refs = "0006 TIWForm.InitControl 0025 TControl.SetWidth 0031 TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 00 03 00 00 00 74 0A 8B C3 8B 10 FF 92 78 01 00 00 BA 2C 01 00 00 8B C3 E8 ?? ?? ?? ?? BA C8 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_43149_0 {
	meta:
		name = "TIWApplication.GetDesignMode"
		size = 26
		refs = "0001 gServerController 0012 TIWDataModule.GetDesignMode"
	strings:
		$1 = { A1 ?? ?? ?? ?? 83 38 00 74 0D A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_43150_0 {
	meta:
		name = "ToUInt32"
		size = 35
	strings:
		$1 = { 55 8B EC 0F B6 C0 C1 E0 08 0F B6 D2 03 C2 C1 E0 08 0F B6 D1 03 C2 C1 E0 08 0F B6 55 08 03 C2 5D C2 04 00 }
	condition:
		$1
}

rule function_43151_0 {
	meta:
		name = "TIWApplication.GenerateSessionID"
		size = 239
		refs = "001f TIWApplication.GenerateSessionID 002c CreateGUID 003f ToBase36 0079 ToUInt32 00c3 @UStrCatN 00dd @UStrArrayClr 00e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D EC 89 4D E8 89 4D E4 89 4D E0 8B DA 8D 75 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 06 33 D2 52 50 8D 55 EC B8 07 00 00 00 E8 ?? ?? ?? ?? FF 75 EC 0F B7 46 04 C1 E0 10 0F B7 56 06 03 C2 33 D2 52 50 8D 55 E8 B8 07 00 00 00 E8 ?? ?? ?? ?? FF 75 E8 0F B6 46 0B 50 0F B6 4E 0A 0F B6 56 09 0F B6 46 08 E8 ?? ?? ?? ?? 33 D2 52 50 8D 55 E4 B8 07 00 00 00 E8 ?? ?? ?? ?? FF 75 E4 0F B6 46 0F 50 0F B6 4E 0E 0F B6 56 0D 0F B6 46 0C E8 ?? ?? ?? ?? 33 D2 52 50 8D 55 E0 B8 07 00 00 00 E8 ?? ?? ?? ?? FF 75 E0 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43152_0 {
	meta:
		name = "TIWApplication.GetActiveMasterTemplate"
		size = 60
		refs = "0009 TIWApplication.GetActiveForm 000e TIWApplication.GetActiveMasterTemplate 0013 SupportsInterface 0024 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 8B 93 A0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 70 93 07 4B B7 D1 13 4D 95 01 AD 0D 15 72 BF 4D }
	condition:
		$1
}

rule function_43153_0 {
	meta:
		name = "TIWApplication.Create"
		size = 1068
		refs = "001e @ClassCreate 0034 TIWBrowserType 0039 @AddRefRecord 0041 TIWApplication.Create 004c GLicense 0055 TIWLicense.CanIDoThis 005e GSessionCountCS 0076 GSessionCount 0080 RSDoodle 0087 _Dn_EIWException 008c EIWException.IfTrue 00af @HandleFinally 00bd TIWVCLComponent.Create 00cc _DV_TIWFlexLock 00d1 TCriticalSection.Create 00de _Dn_TList 00e3 TObject.Create 0117 _Dn_TStringList 011c TStringList.Create 012c _Dn_TIWPermissions 0131 TIWPermissions.Create 0161 TIWApplication.InitApplication 0193 gServerController 01a0 @UStrAsg 01a6 GSessions 01df Now 01fe TIWServerControllerBase.DoGetSessionID 021c TIWApplication.GenerateSessionID 0245 TIWApplication.GetDesignMode 0258 TIWServerControllerBase.GetCacheDir 02a3 @UStrCatN 02b1 DirectoryExists 02c5 MakeDirectory 02cf _DV_TIWCallBacks 02d4 TIWCallBacks.Create 02e1 _Dn_TIWCallBackResponse 02e6 TIWCallBackResponse.Create 0309 IsLibrary 0342 IWStringReplace 038d @UStrArrayClr 03a2 @UStrClr 03b0 @FinalizeRecord 03c6 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D F8 A5 A5 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 B2 02 E8 ?? ?? ?? ?? 84 C0 75 58 A1 ?? ?? ?? ?? 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 3D ?? ?? ?? ?? 05 0F 9D C2 8B 0D ?? ?? ?? ?? 8B 09 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 50 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 42 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 42 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 82 8C 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 42 60 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 82 B8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 42 50 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D 24 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 80 B8 C8 00 00 00 00 0F 85 02 02 00 00 8B 45 F4 C7 40 44 FF FF FF FF 8B 45 F4 C7 40 48 FF FF FF FF 8B 45 F4 05 A0 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 92 D4 00 00 00 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1B A1 ?? ?? ?? ?? 66 83 78 12 00 74 0F 8B 1D ?? ?? ?? ?? 8B 55 F4 8B 43 14 FF 53 10 A1 ?? ?? ?? ?? 8B 00 8B 80 3C 01 00 00 8B 55 F4 89 82 BC 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 DD 98 C0 00 00 00 9B 8B 45 F4 8D 48 64 A1 ?? ?? ?? ?? 8B 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 64 85 C0 74 05 83 E8 04 8B 00 85 C0 75 19 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 83 C0 64 E8 ?? ?? ?? ?? 8B 45 F4 05 D4 00 00 00 8B 55 F4 8B 52 64 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 E8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 05 D8 00 00 00 E8 ?? ?? ?? ?? EB 39 8D 55 E4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 FF 70 64 68 ?? ?? ?? ?? 8B 45 F4 05 D8 00 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 D8 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 F4 8B 80 D8 00 00 00 B2 01 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 42 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F4 89 58 74 8B 45 F4 89 43 10 A1 ?? ?? ?? ?? 8B 00 80 B8 A4 00 00 00 00 74 6F A1 ?? ?? ?? ?? 80 38 00 74 44 8D 45 E0 50 68 ?? ?? ?? ?? 8B 45 F4 FF 70 64 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D DC 8B 45 F4 8B 40 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 83 C0 68 E8 ?? ?? ?? ?? EB 21 8B 45 F4 FF 70 68 68 ?? ?? ?? ?? 8B 45 F4 FF 70 64 8B 45 F4 83 C0 68 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5F 5E 5B 8B E5 5D C2 20 00 B0 04 02 00 FF FF FF FF 04 00 00 00 75 00 73 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 24 00 00 00 00 00 }
	condition:
		$1
}

rule function_43154_0 {
	meta:
		name = "TIWApplication.GetUserCacheURL"
		size = 248
		refs = "0013 TIWApplication.GetUserCacheURL 0021 gServerController 0028 TIWServerControllerBase.GetCacheURL 002d IsLibrary 0046 @UStrCat3 0053 IWStringReplace 005e @UStrLAsg 0081 @UStrCatN 00ad @UStrArrayClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 2C 8D 45 F8 50 8D 45 F4 B9 ?? ?? ?? ?? 8B 53 64 E8 ?? ?? ?? ?? 8B 55 F4 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 56 FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 73 64 68 ?? ?? ?? ?? 8D 45 F0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 75 00 73 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_43155_0 {
	meta:
		name = "TIWApplication.MarkAccess"
		size = 17
		refs = "0004 Now"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? DD 9B 98 00 00 00 9B 5B C3 }
	condition:
		$1
}

rule function_43158_0 {
	meta:
		name = "TIWApplication.TerminateAndRedirect"
		size = 212
		refs = "0012 TIWApplication.TerminateAndRedirect 001f CheckNotServerType 0037 @UStrAsg 005b iif 007e @UStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B0 01 E8 ?? ?? ?? ?? C6 83 C8 00 00 00 01 85 FF 74 1C 8D 83 A4 00 00 00 8B D7 E8 ?? ?? ?? ?? 8D 83 CC 00 00 00 8B D6 E8 ?? ?? ?? ?? EB 23 8D 45 FC 50 85 F6 0F 95 C0 B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 CC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 1A 00 00 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 68 00 61 00 73 00 20 00 74 00 65 00 72 00 6D 00 69 00 6E 00 61 00 74 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_43159_0 {
	meta:
		name = "TIWApplication.RegisterCallBack"
		size = 84
		refs = "000e @UStrAddRef 0016 TIWApplication.RegisterCallBack 002d TIWCallBacks.RegisterCallBack 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B 55 FC 8B 43 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_43160_0 {
	meta:
		name = "TIWApplication.PerformCallBack"
		size = 141
		refs = "0010 @UStrAddRef 0018 TIWApplication.PerformCallBack 003e TIWCallBackResponse.Initialize 004c TIWCallBacks.PerformCallBack 0066 @HandleFinally 007d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 C6 40 4C 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 74 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 38 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 C6 40 4C 00 C3 E9 ?? ?? ?? ?? EB F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_43161_0 {
	meta:
		name = "TIWApplication.SetActiveForm"
		size = 180
		refs = "0010 TIWApplication.SetActiveForm 0028 TList.Add 0038 TList.Get 005b SupportsInterface 0071 HTML40FormInterface 0092 @IntfClear 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 58 83 7F 08 00 75 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 1C 8B 43 58 8B 50 08 4A 8B C7 E8 ?? ?? ?? ?? 3B F0 74 0A 8B D6 8B 43 58 E8 ?? ?? ?? ?? 8B 43 44 F7 6B 48 48 74 2E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 43 48 50 8B 43 44 50 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 33 C9 33 D2 8B 18 FF 53 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 70 93 07 4B B7 D1 13 4D 95 01 AD 0D 15 72 BF 4D }
	condition:
		$1
}

rule function_43162_0 {
	meta:
		name = "TIWApplication.Destroy"
		size = 968
		refs = "001b @BeforeDestruction 0033 TSearchRec 0038 @InitializeRecord 0040 TIWApplication.Destroy 005b gServerController 0090 TIWServerControllerBase.DoCloseSession 009f @HandleAnyException 00a4 @DoneExcept 00aa GSessions 0113 TObject.Free 012c GLicense 0135 TIWLicense.CanIDoThis 013e GSessionCountCS 0156 GSessionCount 0173 @HandleFinally 0198 TComponent.Destroy 026b TIWApplication.GetDesignMode 0284 DirectoryExists 02a8 @UStrCat3 02be FindFirst 02e2 AnsiPos 030d DeleteFile 0318 FindNext 0336 FindClose 034f RemoveDir 036c @UStrArrayClr 037d @FinalizeRecord 0399 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 81 C4 80 FD FF FF 53 56 57 33 C9 89 8D 80 FD FF FF 89 8D 84 FD FF FF E8 ?? ?? ?? ?? 88 95 8B FD FF FF 89 85 8C FD FF FF 8D 85 90 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 85 8C FD FF FF 83 78 58 00 0F 84 F9 02 00 00 A1 ?? ?? ?? ?? 83 38 00 0F 84 89 00 00 00 8B 85 8C FD FF FF 83 78 64 00 74 7D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 8B 95 8C FD FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 40 A1 ?? ?? ?? ?? 66 83 78 1A 00 74 34 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8B 95 8C FD FF FF 8B 43 1C FF 53 18 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 85 8C FD FF FF 05 80 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 B2 02 E8 ?? ?? ?? ?? 84 C0 75 3C A1 ?? ?? ?? ?? 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 FF 0D ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 95 8B FD FF FF 80 E2 FC 8B 85 8C FD FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 8C FD FF FF 05 8C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 85 8C FD FF FF 83 C0 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 85 8C FD FF FF 05 B8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 85 8C FD FF FF 83 C0 60 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 85 8C FD FF FF 83 C0 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 85 8C FD FF FF 83 C0 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 85 8C FD FF FF 83 C0 74 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 85 8C FD FF FF 83 C0 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 85 8C FD FF FF E8 ?? ?? ?? ?? 84 C0 0F 85 DC 00 00 00 8B 85 8C FD FF FF 8B 80 D8 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 C3 00 00 00 8B 85 8C FD FF FF 8B 90 D8 00 00 00 8D 85 84 FD FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 84 FD FF FF 8D 8D 90 FD FF FF BA FF 01 00 00 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 4C 8B 95 A4 FD FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 7E 28 8B 85 8C FD FF FF 8B 90 D8 00 00 00 8D 85 80 FD FF FF 8B 8D A4 FD FF FF E8 ?? ?? ?? ?? 8B 85 80 FD FF FF E8 ?? ?? ?? ?? 8D 85 90 FD FF FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 B4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 90 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 85 8C FD FF FF 8B 80 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 80 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 90 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 80 BD 8B FD FF FF 00 7E 0B 8B 85 8C FD FF FF E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 2A 00 2E 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_43163_0 {
	meta:
		name = "TIWApplication.RemoveForm"
		size = 53
		refs = "0019 TList.Get 0027 TList.Delete"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 58 8B 58 08 4B 83 FB 00 7C 1E 8B D3 8B 46 58 E8 ?? ?? ?? ?? 3B F8 75 0A 8B D3 8B 46 58 E8 ?? ?? ?? ?? 4B 83 FB FF 75 E2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43164_0 {
	meta:
		name = "TIWApplication.GetActiveForm"
		size = 25
		refs = "0012 TList.Last"
	strings:
		$1 = { 53 56 8B D8 33 C0 8B 73 58 83 7E 08 00 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43165_0 {
	meta:
		name = "TIWApplication.Notification"
		size = 97
		refs = "0010 TComponent.Notification 0018 _Dn_TDataModule 001d @IsClass 0029 _Dn_TIWBaseForm 0043 TList.Add 0059 TList.RemoveItem"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 84 DB 75 0F 8B D7 8B 86 8C 00 00 00 E8 ?? ?? ?? ?? EB 14 80 FB 01 75 0F 8B 86 8C 00 00 00 8B D7 33 C9 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43166_0 {
	meta:
		name = "TIWApplication.GetForm"
		size = 22
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43168_0 {
	meta:
		name = "TIWApplication.GenerateActiveForm"
		size = 194
		refs = "000c TIWApplication.GetActiveForm 0013 gServerController 005f TIWApplication.ChangeActiveForm 00b3 _Dn_TIWServer 00b8 TIWServer.TerminateApplication"
	strings:
		$1 = { 53 56 57 55 51 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 8B 00 66 83 B8 12 01 00 00 00 74 43 80 BB C8 00 00 00 00 75 3A 33 C0 89 04 24 54 8B 2D ?? ?? ?? ?? 8B 6D 00 8B CE 8B D3 8B 85 14 01 00 00 FF 95 10 01 00 00 83 3C 24 00 74 15 8B 04 24 8B 10 FF 92 7C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 34 24 80 BB C8 00 00 00 00 75 3B 85 F6 74 49 8B D7 8B C6 8B 08 FF 91 8C 01 00 00 A1 ?? ?? ?? ?? 8B 00 66 83 B8 1A 01 00 00 00 74 2C 8B 3D ?? ?? ?? ?? 8B 3F 8B CE 8B D3 8B 87 1C 01 00 00 FF 97 18 01 00 00 EB 12 8B 8B B0 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43169_0 {
	meta:
		name = "TIWApplication.SendStream"
		size = 560
		refs = "0023 TIWApplication.SendStream 0043 Trim 0058 @LStrFromUStr 009a @UStrCatN 00aa TStrings.SetValue 00db Now 00ec _Dn_TIWServer 00f1 TIWServer.DateTimeToInternetStr 0121 @UStrArrayClr 0129 @LStrClr 0131 @UStrClr 0137 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 88 4D FB 89 55 FC 8B D8 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 B0 00 00 00 8B 55 FC 8B C6 8B 08 FF 51 20 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 83 7D F4 00 74 20 8D 45 F0 8B D7 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D F0 BA 08 00 00 00 8B C6 8B 38 FF 57 04 EB 11 B9 ?? ?? ?? ?? BA 08 00 00 00 8B C6 8B 38 FF 57 04 80 7D FB 00 75 2C 68 ?? ?? ?? ?? FF 75 08 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D EC BA ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? EB 2A 68 ?? ?? ?? ?? FF 75 08 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 BA ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 4D E4 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8B 83 B0 00 00 00 8B 40 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 08 00 00 00 E4 04 01 00 FF FF FF FF 13 00 00 00 61 70 70 6C 69 63 61 74 69 6F 6E 2F 75 6E 6B 6E 6F 77 6E 00 B0 04 02 00 FF FF FF FF 11 00 00 00 69 00 6E 00 6C 00 69 00 6E 00 65 00 3B 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 61 00 74 00 74 00 61 00 63 00 68 00 6D 00 65 00 6E 00 74 00 3B 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 78 00 70 00 69 00 72 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_43170_0 {
	meta:
		name = "TIWApplication.SendFile"
		size = 173
		refs = "0012 @UStrAddRef 0022 TIWApplication.SendFile 0038 ExtractFileName 0049 ExtractFileExt 0054 GetContentType 0067 _Dn_TFileStream 006c TFileStream.Create 0077 TIWApplication.SendStream 008c @UStrClr 0099 @UStrArrayClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 08 00 75 0A 8D 55 08 8B C6 E8 ?? ?? ?? ?? 83 7D 0C 00 75 16 8D 55 FC 8B 45 08 E8 ?? ?? ?? ?? 8D 55 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 6A 20 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B CB 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_43171_0 {
	meta:
		name = "TIWApplication.UnInitialize"
		size = 17
	strings:
		$1 = { 33 D2 89 90 B4 00 00 00 33 D2 89 90 B0 00 00 00 C3 }
	condition:
		$1
}

rule function_43172_0 {
	meta:
		name = "TIWApplication.Initialize"
		size = 13
	strings:
		$1 = { 89 90 B4 00 00 00 89 88 B0 00 00 00 C3 }
	condition:
		$1
}

rule function_43173_0 {
	meta:
		name = "TIWApplication.GetExecAction"
		size = 196
		refs = "0013 TIWApplication.GetExecAction 0021 @UStrClr 002e Pos 003f @UStrLAsg 005b iif 0082 @UStrCat3 009c @UStrArrayClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 53 68 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 83 BB DC 00 00 00 00 0F 94 C0 8B 8B DC 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 50 83 BB DC 00 00 00 00 0F 94 C0 33 C9 8B 53 68 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 24 00 00 00 00 00 }
	condition:
		$1
}

rule function_43174_0 {
	meta:
		name = "TIWApplication.GetSecureMode"
		size = 256
		refs = "0011 TIWApplication.GetSecureMode 001c GAppType 002c gServerController 007d @UStrFromLStr 008a @UStrLAsg 0095 AnsiCompareText 00b6 @LStrClr 00c3 @UStrArrayClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 0F B6 00 2C 01 72 04 74 3A EB 76 A1 ?? ?? ?? ?? 8B 00 8B 80 44 01 00 00 8B 70 08 85 F6 7E 19 A1 ?? ?? ?? ?? BA 18 00 00 00 8B 83 B4 00 00 00 8B 08 FF 51 0C 3B F0 74 04 33 C0 EB 02 B0 01 88 43 40 EB 3E 8D 4D F4 BA ?? ?? ?? ?? 8B 83 B4 00 00 00 8B 30 FF 56 34 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 88 43 40 0F B6 5B 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 00 E4 04 01 00 FF FF FF FF 05 00 00 00 48 54 54 50 53 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_43175_0 {
	meta:
		name = "TIWApplication.SwitchToSecure"
		size = 456
		refs = "0018 TIWApplication.SwitchToSecure 0025 TIWApplication.GetSecureMode 0032 gServerController 0052 @UStrLAsg 0075 @LStrCat3 0080 @UStrFromLStr 00a1 IntToStr 00b1 @UStrCat3 00c4 iif 00d2 IncludeURLPathDelimiter 010e @UStrCatN 0118 TIWApplication.GoToURL 0132 @UStrArrayClr 013f @LStrArrayClr 0152 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 EB 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 80 44 01 00 00 83 78 08 00 0F 8E D4 00 00 00 8D 45 FC 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 8D 4D EC BA 0A 00 00 00 8B 83 B4 00 00 00 8B 38 FF 57 04 8B 4D EC 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 8D 45 E8 50 8D 55 E0 A1 ?? ?? ?? ?? 8B 00 8B 80 44 01 00 00 8B 70 08 8B C6 E8 ?? ?? ?? ?? 8B 4D E0 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 81 FE BB 01 00 00 0F 95 C0 33 C9 E8 ?? ?? ?? ?? FF 75 E8 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 83 D0 00 00 00 33 D2 52 50 8D 45 D8 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? FF 73 64 8D 45 F8 BA 09 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C3 00 E4 04 01 00 FF FF FF FF 08 00 00 00 68 74 74 70 73 3A 2F 2F 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 61 00 6C 00 6C 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 57 00 41 00 50 00 50 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_43176_0 {
	meta:
		name = "TIWApplication.SwitchToNonSecure"
		size = 444
		refs = "0018 TIWApplication.SwitchToNonSecure 0025 TIWApplication.GetSecureMode 0032 gServerController 004f @UStrLAsg 0072 @LStrCat3 007d @UStrFromLStr 009b IntToStr 00ab @UStrCat3 00bb iif 00c9 IncludeURLPathDelimiter 0105 @UStrCatN 010f TIWApplication.GoToURL 0129 @UStrArrayClr 0136 @LStrArrayClr 0149 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 E2 00 00 00 A1 ?? ?? ?? ?? 8B 00 83 B8 30 01 00 00 00 0F 8E CE 00 00 00 8D 45 FC 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 8D 4D EC BA 0A 00 00 00 8B 83 B4 00 00 00 8B 38 FF 57 04 8B 4D EC 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? FF 75 F4 8D 45 E8 50 8D 55 E0 A1 ?? ?? ?? ?? 8B 00 8B B0 30 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 4D E0 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 83 FE 50 0F 95 C0 33 C9 E8 ?? ?? ?? ?? FF 75 E8 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 83 D0 00 00 00 33 D2 52 50 8D 45 D8 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? FF 73 64 8D 45 F8 BA 09 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C3 00 00 E4 04 01 00 FF FF FF FF 07 00 00 00 68 74 74 70 3A 2F 2F 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 61 00 6C 00 6C 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 57 00 41 00 50 00 50 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_43177_0 {
	meta:
		name = "TIWApplication.ShowMessage"
		size = 79
		refs = "000e @UStrAddRef 0016 TIWApplication.ShowMessage 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_43178_0 {
	meta:
		name = "TIWApplication.ShowMessage"
		size = 83
		refs = "0011 @UStrAddRef 0019 TIWApplication.ShowMessage 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CB 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_43179_0 {
	meta:
		name = "TIWApplication.ShowMessage"
		size = 2068
		refs = "0022 @UStrAddRef 0032 TIWApplication.ShowMessage 003f CheckNotServerType 004a TIWApplication.GetActiveForm 0069 HTML40FormInterface 0095 RSMessageDialog 00da StringReplace 0126 @UStrCatN 0145 TIWPageContext40.AddToInitProcNewWindowCode 0155 _Dn_TIWBaseHTMLControl 015a TIWBaseHTMLControl.TextToJSStringLiteral 0165 @UStrLAsg 01df MessageFormInterface 0202 @IntfClear 0212 @UStrClr 0227 @UStrArrayClr 024a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 88 4D F7 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B0 01 E8 ?? ?? ?? ?? 0F B6 5D F7 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0C 80 FB 02 74 07 80 FB 03 74 02 B3 02 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 83 7D F0 00 75 02 B3 02 80 EB 01 0F 82 D0 00 00 00 74 0F 4B 80 EB 02 0F 82 1A 01 00 00 E9 62 01 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? FF 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 EC 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 E8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 BA 11 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 8B 10 FF 52 78 8B 55 F8 E8 ?? ?? ?? ?? E9 A3 00 00 00 8D 4D E0 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8B 45 DC 8B 55 F8 8B 08 FF 51 74 EB 4D 83 7D 08 00 75 0D 8D 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 94 01 00 00 8B CE B2 01 FF 90 88 01 00 00 8B D8 0F B6 45 F7 50 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 8B 4D 08 8B 55 FC 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AE 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF F7 00 00 00 6D 00 73 00 67 00 57 00 69 00 6E 00 64 00 6F 00 77 00 3D 00 77 00 69 00 6E 00 64 00 6F 00 77 00 2E 00 6F 00 70 00 65 00 6E 00 28 00 22 00 22 00 2C 00 22 00 53 00 68 00 6F 00 77 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 22 00 2C 00 22 00 6D 00 65 00 6E 00 75 00 62 00 61 00 72 00 3D 00 6E 00 6F 00 2C 00 73 00 63 00 72 00 6F 00 6C 00 6C 00 62 00 61 00 72 00 73 00 3D 00 79 00 65 00 73 00 2C 00 73 00 74 00 61 00 74 00 75 00 73 00 3D 00 6E 00 6F 00 2C 00 77 00 69 00 64 00 74 00 68 00 3D 00 33 00 30 00 30 00 2C 00 68 00 65 00 69 00 67 00 68 00 74 00 3D 00 33 00 30 00 30 00 2C 00 74 00 6F 00 6F 00 6C 00 62 00 61 00 72 00 3D 00 6E 00 6F 00 2C 00 6C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 3D 00 6E 00 6F 00 2C 00 72 00 65 00 73 00 69 00 7A 00 61 00 62 00 6C 00 65 00 3D 00 6E 00 6F 00 2C 00 64 00 69 00 72 00 65 00 63 00 74 00 6F 00 72 00 69 00 65 00 73 00 3D 00 6E 00 6F 00 22 00 29 00 3B 00 0D 00 0A 00 6D 00 73 00 67 00 57 00 69 00 6E 00 64 00 6F 00 77 00 2E 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 6F 00 70 00 65 00 6E 00 28 00 22 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 22 00 2C 00 20 00 22 00 72 00 65 00 70 00 6C 00 61 00 63 00 65 00 22 00 29 00 3B 00 0D 00 0A 00 6D 00 73 00 67 00 57 00 69 00 6E 00 64 00 6F 00 77 00 2E 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 77 00 72 00 69 00 74 00 65 00 28 00 27 00 3C 00 48 00 54 00 4D 00 4C 00 3E 00 3C 00 48 00 45 00 41 00 44 00 3E 00 3C 00 54 00 49 00 54 00 4C 00 45 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 3C 00 2F 00 54 00 49 00 54 00 4C 00 45 00 3E 00 3C 00 2F 00 48 00 45 00 41 00 44 00 3E 00 27 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 6D 00 73 00 67 00 57 00 69 00 6E 00 64 00 6F 00 77 00 2E 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 77 00 72 00 69 00 74 00 65 00 28 00 27 00 3C 00 42 00 4F 00 44 00 59 00 3E 00 27 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 6D 00 73 00 67 00 57 00 69 00 6E 00 64 00 6F 00 77 00 2E 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 77 00 72 00 69 00 74 00 65 00 28 00 27 00 3C 00 43 00 45 00 4E 00 54 00 45 00 52 00 3E 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 62 00 72 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0D 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 3C 00 2F 00 43 00 45 00 4E 00 54 00 45 00 52 00 3E 00 27 00 29 00 00 00 B0 04 02 00 FF FF FF FF 73 00 00 00 6D 00 73 00 67 00 57 00 69 00 6E 00 64 00 6F 00 77 00 2E 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 77 00 72 00 69 00 74 00 65 00 28 00 27 00 3C 00 46 00 4F 00 52 00 4D 00 20 00 6F 00 6E 00 53 00 75 00 62 00 6D 00 69 00 74 00 3D 00 22 00 77 00 69 00 6E 00 64 00 6F 00 77 00 2E 00 63 00 6C 00 6F 00 73 00 65 00 28 00 29 00 3B 00 22 00 3E 00 3C 00 43 00 45 00 4E 00 54 00 45 00 52 00 3E 00 3C 00 49 00 4E 00 50 00 55 00 54 00 20 00 54 00 59 00 50 00 45 00 3D 00 22 00 62 00 75 00 74 00 74 00 6F 00 6E 00 22 00 20 00 4E 00 41 00 4D 00 45 00 3D 00 22 00 62 00 75 00 74 00 6E 00 43 00 6C 00 6F 00 73 00 65 00 22 00 20 00 56 00 41 00 4C 00 55 00 45 00 3D 00 22 00 4F 00 6B 00 22 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 20 00 6F 00 6E 00 43 00 6C 00 69 00 63 00 6B 00 3D 00 22 00 77 00 69 00 6E 00 64 00 6F 00 77 00 2E 00 63 00 6C 00 6F 00 73 00 65 00 28 00 29 00 3B 00 22 00 3E 00 3C 00 2F 00 43 00 45 00 4E 00 54 00 45 00 52 00 3E 00 3C 00 2F 00 46 00 4F 00 52 00 4D 00 3E 00 27 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 6D 00 73 00 67 00 57 00 69 00 6E 00 64 00 6F 00 77 00 2E 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 77 00 72 00 69 00 74 00 65 00 28 00 27 00 3C 00 2F 00 42 00 4F 00 44 00 59 00 3E 00 27 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 6D 00 73 00 67 00 57 00 69 00 6E 00 64 00 6F 00 77 00 2E 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 63 00 6C 00 6F 00 73 00 65 00 28 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 2E 00 61 00 6C 00 65 00 72 00 74 00 28 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 57 00 53 00 68 00 6F 00 77 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 2E 00 68 00 74 00 6D 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_43180_0 {
	meta:
		name = "TIWApplication.ChangeActiveForm"
		size = 452
		refs = "0012 TIWApplication.ChangeActiveForm 001f TIWApplication.GetActiveForm 002c TIWApplication.GetExecAction 003a @UStrAsg 004b SupportsInterface 006a TIWApplication.GetSecureMode 0072 RSSecureModeRequired 0079 _Dn_EIWException 007e EIWException.IfFalse 008f RSNonSecureModeRequired 009b EIWException.IfTrue 00ac EInException.Toss 00d8 @UStrFromLStr 00e3 TIWApplication.GetBrowser 00ea _Dn_TIWServer 00f0 TIWServer.CheckBrowser 010e TObject.Free 0124 _Dn_TIWBaseForm 0129 TIWBaseForm.CreateNew 0132 TIWApplication.SetActiveForm 013c TIWApplication.ShowMessage 0151 @LStrClr 015e @UStrArrayClr 0166 @UStrClr 016c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 89 45 F8 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 86 88 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F8 0F B6 80 C8 02 00 00 2C 01 72 51 74 06 FE C8 74 1F EB 3A 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 0D ?? ?? ?? ?? 8B 09 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2C 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 0D ?? ?? ?? ?? 8B 09 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 0F 84 88 00 00 00 6A 01 8D 45 FC 50 8D 4D EC BA 0D 00 00 00 8B 86 B4 00 00 00 8B 18 FF 53 04 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8B C6 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 83 7D FC 00 74 46 8B 45 F8 8B 10 FF 92 78 01 00 00 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 75 19 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 70 93 07 4B B7 D1 13 4D 95 01 AD 0D 15 72 BF 4D B0 04 02 00 FF FF FF FF 17 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 6D 00 6F 00 64 00 65 00 00 00 }
	condition:
		$1
}

rule function_43181_0 {
	meta:
		name = "TIWApplication.ExecuteActiveForm"
		size = 604
		refs = "0018 TIWApplication.ExecuteActiveForm 0033 IntToStr 0044 @UStrCat3 006a @UStrClr 0080 TIWApplication.GetActiveForm 00a0 SupportsInterface 00af HTML40FormInterface 00d2 @IntfClear 00d8 @HandleFinally 00f0 TList.Get 00f5 TObject.Free 0102 TList.Delete 011d @HandleOnException 0125 _Dn_Exception 0138 gServerController 0144 TIWServerControllerBase.DoException 016c TIWApplication.ShowMessage 0191 @DoneExcept 01aa TWebResponse.GetUnicodeContent 01d2 TIWApplication.Terminate 01e5 TIWApplication.ChangeActiveForm 01ff @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 D0 00 00 00 33 D2 52 50 8D 45 E8 E8 ?? ?? ?? ?? 8B 4D E8 8B 45 F8 8B 50 64 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B C6 8B 08 FF 51 54 8B F8 85 FF 7E 09 8B D7 8B C6 8B 08 FF 51 48 8B 45 F8 05 A4 00 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 80 F0 02 00 00 8B D6 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 36 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B 10 FF 92 90 01 00 00 EB 1B 8B C3 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 60 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 58 60 83 7B 08 00 7F D9 33 C0 5A 59 59 64 89 10 EB 79 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 C6 45 F3 00 8D 45 F3 50 A1 ?? ?? ?? ?? 8B 00 8B CB 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 26 80 7D F3 00 75 3E 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 0F B6 88 C0 00 00 00 8B 53 04 8B 45 F8 E8 ?? ?? ?? ?? EB 1E 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 0F B6 88 C0 00 00 00 8B 53 04 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 98 B0 00 00 00 83 7B 08 00 75 45 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 83 7D E4 00 75 35 8B 45 F8 83 B8 A4 00 00 00 00 75 29 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 0C 33 D2 8B 45 F8 E8 ?? ?? ?? ?? EB 11 8B 45 F8 FF 80 D0 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 70 93 07 4B B7 D1 13 4D 95 01 AD 0D 15 72 BF 4D B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 57 00 45 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 2E 00 68 00 74 00 6D 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_43182_0 {
	meta:
		name = "TIWApplication.AddDataModule"
		size = 39
		refs = "000a _Dn_TIWServerControllerBase 000f @IsClass 0020 TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0D 8B D6 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43183_0 {
	meta:
		name = "TIWApplication.RemoveDataModule"
		size = 41
		refs = "000a _Dn_TIWServerControllerBase 000f @IsClass 0022 TList.RemoveItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0F 8B 83 8C 00 00 00 8B D6 33 C9 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43184_0 {
	meta:
		name = "TIWApplication.FindFile"
		size = 190
		refs = "0017 @UStrAddRef 001f TIWApplication.FindFile 0062 @UStrFromLStr 006d @UStrLAsg 0078 AnsiCompareText 009c @LStrClr 00a9 @UStrArrayClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 55 FC 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 80 84 00 00 00 8B 10 FF 12 8B D8 4B 85 DB 7C 4C 43 33 FF 8B 45 F0 8B 80 84 00 00 00 8B D7 8B 08 FF 51 04 8B F0 8D 55 EC 8B C6 8B 08 FF 11 8B 55 EC 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 06 47 4B 75 B7 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43185_0 {
	meta:
		name = "TIWApplication.FullApplicationURL"
		size = 352
		refs = "001a TIWApplication.FullApplicationURL 0036 gServerController 0053 iif 0070 @UStrFromLStr 008c IntToStr 009b @UStrCatN 00a0 IsLibrary 00c9 @UStrCat 00de @LStrClr 00eb @UStrArrayClr 0106 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 BA 18 00 00 00 8B C3 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? 8B 12 8B 92 44 01 00 00 3B 42 08 0F 94 C0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC 8D 4D F4 BA 0A 00 00 00 8B C3 8B 38 FF 57 04 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? BA 18 00 00 00 8B C3 8B 08 FF 51 0C 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 24 8D 4D E8 BA 17 00 00 00 8B C3 8B 18 FF 53 04 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 68 00 74 00 74 00 70 00 73 00 3A 00 2F 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_43186_0 {
	meta:
		name = "TIWApplication.IncrementTrackId"
		size = 7
	strings:
		$1 = { FF 80 D0 00 00 00 C3 }
	condition:
		$1
}

rule function_43187_0 {
	meta:
		name = "TIWApplication.InitApplication"
		size = 412
		refs = "0019 TIWBrowserType 001e @AddRefRecord 0026 TIWApplication.InitApplication 0045 @UStrAsg 004a gServerController 0082 Pos 0093 @UStrCat 009a IsLibrary 00c4 TIWApplication.Initialize 00d9 TIWServerControllerBase.DoCheckBrowser 00eb RSUnknownBrowserType 00f2 _Dn_EUnknownBrowserException 00f7 EInException.Toss 010f TIWApplication.MarkAccess 0170 @FinalizeRecord 0176 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 8D 7D F8 A5 A5 8B D9 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 F8 88 46 78 0F B6 45 F9 88 46 79 8D 46 7C 8B 55 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 74 46 A1 ?? ?? ?? ?? 8B 00 83 B8 50 01 00 00 00 74 36 8D 46 68 8B 15 ?? ?? ?? ?? 8B 12 8B 92 50 01 00 00 E8 ?? ?? ?? ?? 8B 56 68 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 24 8D 46 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 A1 ?? ?? ?? ?? 80 38 00 74 0B 8D 46 68 8B 55 08 E8 ?? ?? ?? ?? C6 45 F7 00 A1 ?? ?? ?? ?? 83 38 00 74 21 8B 4D 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 F7 50 8D 55 F8 A1 ?? ?? ?? ?? 8B 00 8B CE E8 ?? ?? ?? ?? 80 7D F7 00 75 18 80 7E 78 00 75 12 8B 15 ?? ?? ?? ?? 8B 12 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 80 BE C8 00 00 00 00 75 4D 8B C6 E8 ?? ?? ?? ?? 8D 46 70 8B 55 18 E8 ?? ?? ?? ?? 8D 46 6C 8B 55 14 E8 ?? ?? ?? ?? 8D 86 90 00 00 00 8B 55 1C E8 ?? ?? ?? ?? 8D 86 A8 00 00 00 8B 55 10 E8 ?? ?? ?? ?? 83 7D 0C 00 74 0E 8B 55 0C 8B 86 B8 00 00 00 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 1C 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 24 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_43188_0 {
	meta:
		name = "TIWApplication.GoToURL"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 A4 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43189_0 {
	meta:
		name = "TIWApplication.GetInternalURLBase"
		size = 112
		refs = "0007 gServerController 0017 GAppType 0026 @UStrAsg 002d TIWApplication.GetInternalURLBase 0032 Pos 0042 @UStrCat 0053 TIWServerControllerBase.GetInternalFilesURL"
	strings:
		$1 = { 53 56 8B DA 8B F0 A1 ?? ?? ?? ?? 8B 00 80 B8 54 01 00 00 00 75 0A A1 ?? ?? ?? ?? 80 38 00 75 29 8B C3 8B 56 68 E8 ?? ?? ?? ?? 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 1D 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B D3 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 24 00 00 00 00 00 }
	condition:
		$1
}

rule function_43192_0 {
	meta:
		name = "TIWApplication.SetUserNameAndPassword"
		size = 106
		refs = "0013 @UStrAddRef 0023 TIWApplication.SetUserNameAndPassword 0034 @UStrAsg 0059 @UStrArrayClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 70 8B 55 FC E8 ?? ?? ?? ?? 8D 43 6C 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_43193_0 {
	meta:
		name = "TIWApplication.ReleaseForm"
		size = 63
		refs = "001c TList.Get 0036 TList.Add"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 33 DB 8B 46 60 8B 68 08 4D 83 FD 00 7C 16 8B D5 8B 46 60 E8 ?? ?? ?? ?? 3B F8 75 02 B3 01 4D 83 FD FF 75 EA 84 DB 75 0A 8B D7 8B 46 60 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43194_0 {
	meta:
		name = "TIWApplication.GetApplicationPath"
		size = 95
		refs = "000f TIWApplication.GetApplicationPath 0024 GGetAppPath 002f @UStrAsg 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 54 00 75 14 8D 45 FC FF 15 ?? ?? ?? ?? 8B 55 FC 8D 43 54 E8 ?? ?? ?? ?? 8B C6 8B 53 54 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_43195_0 {
	meta:
		name = "TIWApplication.GetApplicationURL"
		size = 24
		refs = "0011 TIWApplication.FullApplicationURL"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 93 B4 00 00 00 8B 03 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43197_0 {
	meta:
		name = "TIWApplication.GetBrowserSubtype"
		size = 5
	strings:
		$1 = { 0F B6 40 79 C3 }
	condition:
		$1
}

rule function_43198_0 {
	meta:
		name = "TIWApplication.GetSessionTimeStamp"
		size = 28
	strings:
		$1 = { 83 C4 F8 8B 90 C0 00 00 00 89 14 24 8B 90 C4 00 00 00 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_43199_0 {
	meta:
		name = "TIWApplication.GetActiveFormCount"
		size = 7
		altNames = "TScreen.GetCustomFormCount"
	strings:
		$1 = { 8B 40 58 8B 40 08 C3 }
	condition:
		$1
}

rule function_43200_0 {
	meta:
		name = "TIWApplication.NewWindow"
		size = 28
		refs = "0007 TIWApplication.NewWindow"
	strings:
		$1 = { 6A FF 6A FF 0F B6 0D ?? ?? ?? ?? 51 6A FF 6A FF 33 C9 E8 ?? ?? ?? ?? C3 00 00 00 00 }
	condition:
		$1
}

rule function_43201_0 {
	meta:
		name = "TIWApplication.NewWindow"
		size = 40
		refs = "000f TIWApplication.NewWindow"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 53 8B 5D 08 53 0F B6 1D ?? ?? ?? ?? 53 6A FF 6A FF E8 ?? ?? ?? ?? 5B 5D C2 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_43202_0 {
	meta:
		name = "TIWApplication.NewWindow"
		size = 1304
		refs = "0029 TIWApplication.NewWindow 0036 CheckNotServerType 0048 @UStrLAsg 005a @UStrCat 00d5 @UStrDelete 00e4 IntToStr 00f4 @UStrCat3 00fe @UStrClr 01e4 @UStrCatN 0244 TIWCallBackResponse.AddJavaScriptToExecute 024d TIWApplication.GetActiveForm 0255 HTML40FormInterface 0265 TIWPageContext40.AddToInitProcNewWindowCode 027a @IntfClear 0287 @UStrArrayClr 029a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D DC 89 55 E0 8B F0 8B 5D 10 8B 7D 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B0 01 E8 ?? ?? ?? ?? F6 C3 01 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 C3 02 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 C3 04 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 C3 08 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 C3 10 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 C3 20 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 C3 40 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 1B 8B 45 F8 66 83 38 2C 75 12 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 FF FF 74 1C 8D 55 D8 8B C7 E8 ?? ?? ?? ?? 8B 4D D8 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 F4 E8 ?? ?? ?? ?? 83 7D 14 FF 74 1D 8D 55 D4 8B 45 14 E8 ?? ?? ?? ?? 8B 4D D4 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 F0 E8 ?? ?? ?? ?? 83 7D 0C FF 74 1D 8D 55 D0 8B 45 0C E8 ?? ?? ?? ?? 8B 4D D0 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 EC E8 ?? ?? ?? ?? 83 7D 08 FF 74 1D 8D 55 CC 8B 45 08 E8 ?? ?? ?? ?? 8B 4D CC 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 54 68 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 E4 8D 45 FC BA 11 00 00 00 E8 ?? ?? ?? ?? EB 4A 68 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 E4 8D 45 FC BA 0F 00 00 00 E8 ?? ?? ?? ?? 80 BE 94 00 00 00 00 74 0D 8B 55 FC 8B 46 74 E8 ?? ?? ?? ?? EB 1F 8B C6 E8 ?? ?? ?? ?? 8D 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 8B 10 FF 52 78 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 64 00 69 00 72 00 65 00 63 00 74 00 6F 00 72 00 69 00 65 00 73 00 3D 00 79 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 2C 00 73 00 74 00 61 00 74 00 75 00 73 00 3D 00 79 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 2C 00 6D 00 65 00 6E 00 75 00 62 00 61 00 72 00 3D 00 79 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 2C 00 73 00 63 00 72 00 6F 00 6C 00 6C 00 62 00 61 00 72 00 73 00 3D 00 79 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 2C 00 72 00 65 00 73 00 69 00 7A 00 61 00 62 00 6C 00 65 00 3D 00 79 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 2C 00 63 00 6F 00 70 00 79 00 68 00 69 00 73 00 74 00 6F 00 72 00 79 00 3D 00 79 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 2C 00 66 00 75 00 6C 00 6C 00 73 00 63 00 72 00 65 00 65 00 6E 00 3D 00 79 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 68 00 65 00 69 00 67 00 68 00 74 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 77 00 69 00 64 00 74 00 68 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 6F 00 70 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6C 00 65 00 66 00 74 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 69 00 66 00 20 00 28 00 77 00 69 00 6E 00 64 00 6F 00 77 00 2E 00 66 00 6F 00 63 00 75 00 73 00 29 00 20 00 7B 00 78 00 4E 00 65 00 77 00 57 00 69 00 6E 00 64 00 6F 00 77 00 2E 00 66 00 6F 00 63 00 75 00 73 00 28 00 29 00 7D 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 78 00 4E 00 65 00 77 00 57 00 69 00 6E 00 64 00 6F 00 77 00 20 00 3D 00 20 00 77 00 69 00 6E 00 64 00 6F 00 77 00 2E 00 6F 00 70 00 65 00 6E 00 28 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 2C 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 29 00 3B 00 00 00 }
	condition:
		$1
}

rule function_43203_0 {
	meta:
		name = "TIWApplication.Lock"
		size = 8
	strings:
		$1 = { 8B 40 3C 8B 10 FF 12 C3 }
	condition:
		$1
}

rule function_43205_0 {
	meta:
		name = "TIWApplication.Unlock"
		size = 9
	strings:
		$1 = { 8B 40 3C 8B 10 FF 52 04 C3 }
	condition:
		$1
}

rule function_43206_0 {
	meta:
		name = "TIWSessions.Clear"
		size = 240
		refs = "0010 TIWSessions.InternalLock 0018 TIWSessions.Clear 003b TIWApplication.Lock 0050 TIWApplication.Unlock 0067 GSetWebApplicationThreadVar 0084 TObject.Free 009f @HandleFinally 00b0 @HandleAnyException 00b5 @DoneExcept 00dd TIWSessions.InternalUnLock"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 92 00 00 00 8B 45 FC 8B 40 0C 33 D2 8B 08 FF 51 18 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 33 D2 8B 08 FF 51 48 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 FF 15 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 33 C0 89 45 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C0 FF 15 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 10 FF 52 14 85 C0 0F 8F 5B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_43207_0 {
	meta:
		name = "CompareFunc"
		size = 97
		refs = "0011 @UStrAddRef 0021 CompareFunc 0032 AnsiCompareText 004e @UStrArrayClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_43208_0 {
	meta:
		name = "HashFunc"
		size = 122
		refs = "0013 @UStrAddRef 001b HashFunc 003e @UStrCopy 0046 FromBase36 004b @_llmod 0067 @UStrArrayClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 68 FF FF 00 00 8D 45 F8 50 B9 04 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_43209_0 {
	meta:
		name = "TIWSessions.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TCriticalSection 0023 TCriticalSection.Create 002d _Dn_TIWSessionList 0032 TIWSessionList.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_43210_0 {
	meta:
		name = "TIWSessions.Destroy"
		size = 75
		refs = "0003 @BeforeDestruction 000e TIWSessions.Clear 001e TObject.Free 0039 TObject.Destroy 0044 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43212_0 {
	meta:
		name = "TIWSessions.LockList"
		size = 43
		refs = "0007 TIWSessions.InternalLock 000e _Dn_TList 0013 TObject.Create 0021 TIWSessions.GetList"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 08 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_43213_0 {
	meta:
		name = "TIWSessions.UnLockList"
		size = 28
		refs = "000f TObject.Free 0016 TIWSessions.InternalUnLock"
	strings:
		$1 = { 53 8B D8 8D 43 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_43216_0 {
	meta:
		name = "TIWSessions.RemoveExpiredSessions"
		size = 248
		refs = "0010 TIWSessions.LockList 001b TIWSessions.RemoveExpiredSessions 0046 TList.Get 0051 TIWApplication.TryLock 0068 Now 0093 TList.Add 00a4 TIWSessionList.LookUpAndRemove 00b9 TIWApplication.Unlock 00bf @HandleFinally 00e2 TIWSessions.UnLockList"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 40 08 48 85 C0 0F 8C 9D 00 00 00 40 89 45 E8 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 6C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 45 EC DC A0 98 00 00 00 8B 45 EC DB 80 BC 00 00 00 D8 35 ?? ?? ?? ?? DE D9 9B DF E0 9E 77 1C 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC 8B 50 64 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 F4 FF 4D E8 0F 85 6E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 00 00 B4 44 }
	condition:
		$1
}

rule function_43217_0 {
	meta:
		name = "TIWSessions.AddSessionAndLock"
		size = 240
		refs = "000e TIWSessions.InternalLock 0016 TIWSessions.AddSessionAndLock 002a TIWSessionList.LookUp 0036 _Dn_EIWException 003b EIWException.IfAssigned 0042 TIWApplication.Lock 0052 TIWSessionList.Add 0067 TIWSessions.InternalUnLock 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 64 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D0 B9 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 53 64 8B 45 FC 8B 40 0C 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 35 00 00 00 41 00 6E 00 20 00 69 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 6F 00 63 00 63 00 75 00 72 00 72 00 65 00 64 00 20 00 69 00 6E 00 20 00 54 00 49 00 57 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 73 00 2E 00 41 00 64 00 64 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 2E 00 00 00 }
	condition:
		$1
}

rule function_43218_0 {
	meta:
		name = "TIWSessions.Remove"
		size = 83
		refs = "0012 TIWSessions.InternalLock 001a TIWSessions.Remove 002e TIWSessionList.LookUpAndRemove 0043 TIWSessions.InternalUnLock 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 85 DB 74 41 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 64 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_43219_0 {
	meta:
		name = "TIWSessions.LookupAndLock"
		size = 272
		refs = "0013 @UStrAddRef 001b TIWSessions.LookupAndLock 002a Now 0064 TIWSessions.InternalLock 0080 TIWSessionList.LookUp 0091 TIWApplication.TryLock 009a @TryFinallyExit 00b8 TIWSessions.InternalUnLock 00be @HandleFinally 00c7 Sleep 00ef @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 76 0B E8 ?? ?? ?? ?? DD 5D E8 9B EB 0E C7 45 E8 00 00 C0 FF C7 45 EC FF FF DF 41 89 5D D8 33 C0 89 45 DC DF 6D D8 DB 2D ?? ?? ?? ?? DE C9 DD 5D E0 9B 33 C0 89 45 F4 EB 6B 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 0C 8B 55 FC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 13 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 0E E8 ?? ?? ?? ?? EB 3E E8 ?? ?? ?? ?? EB 37 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 6A 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 45 E8 DC 45 E0 DE D9 9B DF E0 9E 77 82 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5B 8B E5 5D C3 00 0D B9 67 FA EB 50 D7 C6 E4 3F 00 00 }
	condition:
		$1
}

rule function_43220_0 {
	meta:
		name = "TIWSessions.LookupByTaggedNameAndLock"
		size = 248
		refs = "001b @UStrAddRef 0023 TIWSessions.LookupByTaggedNameAndLock 0036 TIWSessions.InternalLock 0076 @UStrLAsg 008c AnsiCompareText 00a0 TIWApplication.Lock 00a5 @TryFinallyExit 00c0 TIWSessions.InternalUnLock 00c6 @HandleFinally 00e2 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F8 89 4D F4 89 55 FC 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 8B 45 F0 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 8B 40 0C 8B 10 FF 52 14 8B F0 4E 85 F6 7C 55 46 33 FF 8B 45 F0 8B 40 0C 8B D7 8B 08 FF 51 18 8B D8 8D 45 F8 8B 93 D4 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 12 89 5D EC 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 47 4E 75 AE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 EC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43221_0 {
	meta:
		name = "TIWSessions.IsValidSession"
		size = 88
		refs = "0010 TIWSessions.InternalLock 0018 TIWSessions.IsValidSession 002b TIWSessionList.Exists 0043 TIWSessions.InternalUnLock 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_43222_0 {
	meta:
		name = "TIWSessions.Terminate"
		size = 198
		refs = "0010 @UStrAddRef 0018 TIWSessions.Terminate 0026 TIWSessions.InternalLock 0042 TIWSessionList.LookUp 0053 TIWApplication.Lock 0061 TIWSessionList.LookUpAndRemove 006d TIWApplication.Unlock 007a TObject.Free 0095 TIWSessions.InternalUnLock 009b @HandleFinally 00b2 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 0C 8B 55 FC E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 31 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 55 FC E8 ?? ?? ?? ?? C6 45 F7 01 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? EB 04 C6 45 F7 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 8B E5 5D C3 }
	condition:
		$1
}

rule function_43223_0 {
	meta:
		name = "TIWFlexLock.TryEnter"
		size = 20
		refs = "0008 TryEnterCriticalSection"
	strings:
		$1 = { 53 8B D8 8D 43 04 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5B C3 }
	condition:
		$1
}

rule function_43224_0 {
	meta:
		name = "TIWCallBacks.RegisterCallBack"
		size = 191
		refs = "000f @UStrAddRef 0017 TIWCallBacks.RegisterCallBack 003e _DV_TIWCallback 0043 TIWCallback.Create 0069 TObject.Free 00ac @UStrClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 54 40 75 27 8B 45 FC 50 FF 75 0C FF 75 08 8B 4E 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C6 8B 18 FF 53 3C EB 46 8B 55 FC 8B C6 8B 08 FF 51 54 8B D0 8B C6 8B 08 FF 51 18 E8 ?? ?? ?? ?? 8B 45 FC 50 FF 75 0C FF 75 08 8B 4E 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 55 FC 8B C6 8B 08 FF 51 54 8B D0 8B C6 59 8B 18 FF 53 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_43226_0 {
	meta:
		name = "TIWCallBacks.Destroy"
		size = 68
		refs = "0004 @BeforeDestruction 001a TObject.Free 0031 TStringList.Destroy 003c @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 33 FF EB 0F 8B D7 8B C6 8B 08 FF 51 18 E8 ?? ?? ?? ?? 47 8B C6 8B 10 FF 52 14 3B F8 7C E6 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43227_0 {
	meta:
		name = "TIWCallBacks.PerformCallBack"
		size = 101
		refs = "000f @UStrAddRef 0017 TIWCallBacks.PerformCallBack 003f TIWCallback.PerformCallBack 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 54 8B F0 8B D6 8B C3 8B 08 FF 51 18 85 F6 7C 09 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_43228_0 {
	meta:
		name = "TIWCallback.Create"
		size = 140
		refs = "000e @ClassCreate 001c @UStrAddRef 0024 TIWCallback.Create 0033 TObject.Create 0041 @UStrAsg 0062 @UStrClr 0068 @HandleFinally 0075 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 08 8D 47 04 8B 55 10 E8 ?? ?? ?? ?? 8B 45 08 89 47 10 8B 45 0C 89 47 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_43230_0 {
	meta:
		name = "TIWCallback.PerformCallBack"
		size = 199
		refs = "0013 TIWCallback.PerformCallBack 0020 _Dn_TStringList 0025 TStringList.Create 003e TIWApplication.GetActiveForm 0062 TIWForm.SendAJAXNotification 0078 TIWForm.GetIWAJAXNotificationJSCode 0083 TIWCallBackResponse.AddJavaScriptToExecute 0098 TObject.Free 009e @HandleFinally 00b5 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 E8 ?? ?? ?? ?? 8B 90 F0 02 00 00 8B 45 FC 8B 08 FF 51 40 8B 55 FC 8B 43 14 FF 53 10 8B 43 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B 73 08 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 46 74 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_43231_0 {
	meta:
		name = "TIWSessions.LookUp"
		size = 80
		refs = "000e @UStrAddRef 0016 TIWSessions.LookUp 0027 TIWSessionList.LookUp 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_43236_0 {
	meta:
		name = "TAbstractTest.SetFailsOnMemoryRecovery"
		size = 4
		altNames = "TIWAuther.SetAutherPolicy"
	strings:
		$1 = { 88 50 38 C3 }
	condition:
		$1
}

rule function_43239_0 {
	meta:
		name = "TIWAutherEvent.Check"
		size = 58
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 66 83 78 42 00 74 14 8B 5D FC 8B 4D F4 8B 55 F8 8B 43 44 FF 53 40 88 45 F3 EB 04 C6 45 F3 00 8A 45 F3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43242_0 {
	meta:
		name = "TIWAutherINI.Check"
		size = 288
		refs = "001c TIWAutherINI.Check 002e gSC 0035 TIWServerControllerBase.GetAppPath 0042 @UStrCat 004c _Dn_TIniFile 0051 TCustomIniFile.Create 008f SameText 00aa TObject.Free 00b0 @HandleFinally 00cc @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D E8 89 5D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8D 55 E8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 3C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 EC 50 8B 45 FC 8B 40 3C B9 ?? ?? ?? ?? 8B 55 F8 8B 18 FF 53 04 83 7D EC 00 74 0E 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 88 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8A 45 F3 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 23 00 41 00 75 00 74 00 68 00 2E 00 69 00 6E 00 69 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_43243_0 {
	meta:
		name = "TIWAutherINI.Create"
		size = 71
		refs = "000e @ClassCreate 0024 TIWAuther.Create 0032 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_43244_0 {
	meta:
		name = "TIWAutherINI.Destroy"
		size = 49
		refs = "0007 @BeforeDestruction 001b TComponent.Destroy 0029 @ClassDestroy"
		altNames = "TIWHTMLManager.Destroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43247_0 {
	meta:
		name = "TIWAutherList.Check"
		size = 103
		refs = "0019 TIWAutherList.Check 0030 TStrings.GetValue 003b SameText 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D EC 8B 55 F8 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B 45 EC 8B 55 F4 E8 ?? ?? ?? ?? 88 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 F3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43248_0 {
	meta:
		name = "TIWAutherList.Create"
		size = 89
		refs = "000e @ClassCreate 0024 TIWAuther.Create 002b _Dn_TStringList 0030 TStringList.Create 0044 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 3C 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_43249_0 {
	meta:
		name = "TIWAutherList.Destroy"
		size = 60
		refs = "0007 @BeforeDestruction 0018 FreeAndNil 0026 TComponent.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 83 C0 3C E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43250_0 {
	meta:
		name = "TIWAutherList.SetList"
		size = 30
		altNames = "TIWDBNavImages.SetNext_Disabled TIWJQueryWidget.SetContentFiles"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 3C 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_43256_0 {
	meta:
		name = "CopyStringToAddress"
		size = 44
		refs = "001a @LStrToPChar 0023 Move"
	strings:
		$1 = { 53 56 57 51 8B F2 8B F8 89 34 24 8B 1C 24 85 DB 74 05 83 EB 04 8B 1B 8B C6 E8 ?? ?? ?? ?? 8B CB 8B D7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43259_0 {
	meta:
		name = "TIWBase.FindEntryPoint"
		size = 46
		refs = "0008 TIWBase.FindEntryPoint 0021 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B C3 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_43262_0 {
	meta:
		name = "TIWBaseComponentImplementation.Create"
		size = 90
		refs = "000b @ClassCreate 001a TObject.Create 0024 _Dn_TStringList 0029 TStringList.Create 0033 _Dn_TList 0046 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81493_0 {
	meta:
		name = "TColorMapOptimizer.Create"
		size = 90
		refs = "000b @ClassCreate 001a TObject.Create 0024 _Dn_TList 0046 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43265_0 {
	meta:
		name = "TChartWalls.SetBottom"
		size = 9
		altNames = "TIWBaseComponentImplementation.set_ExtraTagParams TIWProgressTextSettings.SetFont"
	strings:
		$1 = { 8B 40 08 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_43266_0 {
	meta:
		name = "TIWBaseComponentImplementation.SupportsInput"
		size = 94
		refs = "000d TIWBaseComponentImplementation.SupportsInput 001b isInputControl 002c InputInterface 004b @IntfClear 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 E8 ?? ?? ?? ?? 8B D8 84 DB 74 15 8D 55 FC 8B 46 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 1C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_43268_0 {
	meta:
		name = "TIWBaseComponentImplementation.AddFreeNotifier"
		size = 52
		refs = "0007 TIWBaseComponentImplementation.AddFreeNotifier 000e SupportsInterface 001c TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 00 58 A0 4E 85 75 B2 2D 4B 8D 5A 3E 5D 56 50 B5 E2 }
	condition:
		$1
}

rule function_43269_0 {
	meta:
		name = "TIWBaseComponentImplementation.RemoveFreeNotifier"
		size = 39
		refs = "0010 TList.IndexOf 0020 TList.RemoveItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 DB 74 1A 8B D6 8B 43 0C E8 ?? ?? ?? ?? 85 C0 7C 0C 8B 43 0C 8B D6 33 C9 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43270_0 {
	meta:
		name = "TIWBaseComponentImplementation.DoFreeNotification"
		size = 148
		refs = "000e TIWBaseComponentImplementation.DoFreeNotification 002c TList.Get 0036 SupportsInterface 004c FreeNotificationInterface 0070 @IntfClear 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 78 08 4F 85 FF 7C 3C 47 33 F6 8B D6 8B 43 0C E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 53 04 8B 08 FF 51 0C 46 4F 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 58 A0 4E 85 75 B2 2D 4B 8D 5A 3E 5D 56 50 B5 E2 }
	condition:
		$1
}

rule function_43271_0 {
	meta:
		name = "TIWBaseComponent.Create"
		size = 67
		refs = "000a @ClassCreate 0017 TComponent.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B C6 8B 10 FF 52 48 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_43272_0 {
	meta:
		name = "TIWBaseComponent.Dispose"
		size = 96
		refs = "000d TIWBaseComponent.Dispose 0021 isBaseContainer 0030 BaseContainerInterface 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 04 85 F6 74 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B 45 FC 8B D3 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_43273_0 {
	meta:
		name = "TIWBaseComponent.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 0020 TObject.Free 002b TComponent.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 8B C6 8B 08 FF 51 40 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43277_0 {
	meta:
		name = "TIWBaseComponent.InitControl"
		size = 162
		refs = "000f TIWBaseComponent.InitControl 001d isBaseContainer 002c BaseContainerInterface 0043 _Dn_TFrame 0048 @IsClass 0086 IIWBaseContainer 0090 @FinalizeArray 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B 45 FC 8B D3 8B 08 FF 51 20 EB 38 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B 46 04 E8 ?? ?? ?? ?? 84 C0 74 18 8D 55 F8 8B 43 04 8B 40 04 E8 ?? ?? ?? ?? 8B 45 F8 8B D3 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_43283_0 {
	meta:
		name = "TIWBaseComponent.get_ComponentName"
		size = 19
		refs = "000c UpperCase"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62218_0 {
	meta:
		name = "TCollection.GetItem"
		size = 19
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98487_0 {
	meta:
		name = "TScriptIncludeItem.GetScript"
		size = 19
		refs = "000c TScriptFile.GetScript"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97674_0 {
	meta:
		name = "TWebComponentList.GetComponent"
		size = 19
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43289_0 {
	meta:
		name = "TIWBaseContainerLayout.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f @IntfClear 001a TComponent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 40 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43291_0 {
	meta:
		name = "TIWBaseContainerLayout.SetContainer"
		size = 76
		refs = "000e @IntfAddRef 0016 TIWBaseContainerLayout.SetContainer 0027 @IntfCopy 003c @IntfClear 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 40 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47022_0 {
	meta:
		name = "TWebDataDisplay.SetCaption"
		size = 76
		refs = "000e @UStrAddRef 0016 TWebDataDisplay.SetCaption 0027 @UStrAsg 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 40 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_43292_0 {
	meta:
		name = "GetParentNoFormTag"
		size = 161
		refs = "000e GetParentNoFormTag 002b HTML40ContainerInterface 004b _Dn_TIWTemplateProcessorHTML 0050 @IsClass 008d @IntfClear 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 85 F6 74 5E 8B 7E 38 85 FF 74 57 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 38 8B 45 FC 8B 10 FF 52 54 85 C0 74 2C 8B 45 FC 8B 10 FF 52 54 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 FC 8B 10 FF 52 54 8B 10 FF 52 48 84 C0 74 04 B3 01 EB 0F 8B 45 08 50 8B 46 38 E8 ?? ?? ?? ?? 59 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_43293_0 {
	meta:
		name = "TIWBaseContainerLayout.GetNoFormTag"
		size = 32
		refs = "0018 GetParentNoFormTag"
	strings:
		$1 = { 55 8B EC 53 8B D8 33 C0 83 7B 40 00 74 0F 55 8B 43 40 8B 10 FF 52 1C E8 ?? ?? ?? ?? 59 5B 5D C3 }
	condition:
		$1
}

rule function_43294_0 {
	meta:
		name = "TIWBaseContainerLayout.InitControl"
		size = 20
		refs = "0006 TIWBaseLayoutComponent.InitControl 000e @UStrClr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 3C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_43298_0 {
	meta:
		name = "IWUnRegisterPaintHandler"
		size = 39
		refs = "0002 GPaintHandlers"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 1D 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 54 83 F8 FF 7E 0C 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 48 C3 }
	condition:
		$1
}

rule function_43299_0 {
	meta:
		name = "IWRegisterPaintHandler"
		size = 96
		refs = "0009 GPaintHandlers 0013 _Dn_TStringList 0018 TStringList.Create 0029 TStringList.SetSorted"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 83 3D ?? ?? ?? ?? 00 75 1D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 A1 ?? ?? ?? ?? 8B 08 FF 51 54 83 F8 FF 75 10 8B CF 8B D6 A1 ?? ?? ?? ?? 8B 18 FF 53 3C EB 0E 8B CF 8B D0 A1 ?? ?? ?? ?? 8B 18 FF 53 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43300_0 {
	meta:
		name = "IWEnableControlTesting"
		size = 8
		refs = "0002 GControlTesting"
	strings:
		$1 = { C6 05 ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_43301_0 {
	meta:
		name = "TIWBaseControl.CreatePaintHandler"
		size = 83
		refs = "0009 GPaintHandlers 0039 GDefaultPaintHandler"
	strings:
		$1 = { 53 56 57 8B F9 33 DB 83 3D ?? ?? ?? ?? 00 74 3D A1 ?? ?? ?? ?? 8B 08 FF 51 54 8B F0 83 FE FF 7E 16 8B D6 A1 ?? ?? ?? ?? 8B 08 FF 51 18 8B CF B2 01 FF 10 8B D8 EB 16 83 3D ?? ?? ?? ?? 00 74 0D 8B CF B2 01 A1 ?? ?? ?? ?? FF 10 8B D8 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43302_0 {
	meta:
		name = "TIWBaseControl.Paint"
		size = 34
		refs = "001d TIWVCLBaseControl.Paint"
	strings:
		$1 = { 80 B8 B1 01 00 00 00 74 18 8B 90 BC 01 00 00 85 D2 74 09 8B C2 8B 10 FF 52 04 EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43303_0 {
	meta:
		name = "TControl.CMColorChanged"
		size = 9
		altNames = "TControl.CMEnabledChanged TControl.CMFontChanged TCustomAdapter.InIterator TCustomTeePanel.CanvasChanged TIWBaseControl.TextChangedNotification TIWBaseHTMLControl.ColorChanged TIWBaseHTMLControl.ExtraTagParamsChanged TIWBaseHTMLControl.FontChanged TIWBaseHTMLControl.TextChangedNotification TIWCustomFile.DoUploadButtonChange TIWCustomRectangle.BorderOptionsChange TShape.StyleChanged TSpeedButton.CMFontChanged TSpeedButton.CMTextChanged TSpeedButton.GlyphChanged TTIWCustomWebEdit.FontChanged"
	strings:
		$1 = { 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43304_0 {
	meta:
		name = "TIWBaseControl.InitDesignTime"
		size = 197
		refs = "0011 TIWBaseControl.InitDesignTime 001e TIWVCLBaseControl.InitDesignTime 005b IntToStr 0069 TObject.ClassName 0075 @UStrCat3 0080 TComponent.FindComponent 00b3 @UStrArrayClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB B1 01 00 00 00 74 10 8B C3 8B 10 FF 92 EC 00 00 00 89 83 BC 01 00 00 80 BB B1 01 00 00 00 75 59 83 7B 08 00 75 53 83 7B 04 00 74 4D BE 01 00 00 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B 03 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC 59 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? 85 C0 75 0C 8B 55 FC 8B C3 8B 08 FF 51 24 EB 09 46 81 FE 00 00 00 80 75 B8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43305_0 {
	meta:
		name = "TIWBaseControl.InitControl"
		size = 50
		refs = "0006 TIWVCLBaseControl.InitControl 0018 TControl.SetShowHint 0021 _DV_TIWBaseControlImplementation 0026 TIWBaseControlImplementation.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 78 B2 01 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_43306_0 {
	meta:
		name = "TIWBaseControl.SetName"
		size = 156
		refs = "0015 TIWBaseControl.SetName 0027 Pos 003e RSInvalidComponentName 0047 Format 0051 _Dn_Exception 0056 Exception.Create 005b @RaiseExcept 0064 TControl.SetName 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 30 8D 45 FC 50 89 5D F4 C6 45 F8 11 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 }
	condition:
		$1
}

rule function_43307_0 {
	meta:
		name = "TIWBaseControl.ParentChanging"
		size = 177
		refs = "0014 TIWBaseControl.ParentChanging 0025 isBaseContainer 0033 BaseContainerInterface 0073 TIWBaseControlImplementation.ParentChanging 007e TIWVCLBaseControl.ParentChanging 0094 IIWBaseContainer 009e @FinalizeArray 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 1F 8B C6 E8 ?? ?? ?? ?? 84 C0 74 14 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B D3 8B 08 FF 51 24 85 FF 74 1F 8B C7 E8 ?? ?? ?? ?? 84 C0 74 14 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 8B D3 8B 08 FF 51 20 8B 83 B8 01 00 00 85 C0 74 09 8B CF 8B D6 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_43308_0 {
	meta:
		name = "TIWBaseControl.Dispose"
		size = 181
		refs = "0011 TIWBaseControl.Dispose 0033 TObject.Free 0045 TIWBaseControlImplementation.ParentContainer 006c TIWVCLBaseControl.Dispose 0099 IIWBaseContainer 00a3 @FinalizeArray 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE B1 01 00 00 00 74 13 8D 86 BC 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 74 2C 8D 55 FC 8B 86 B8 01 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8D 55 F8 8B 86 B8 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 51 24 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 74 13 8D 86 B8 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_43310_0 {
	meta:
		name = "TIWBaseControl.Hide"
		size = 11
	strings:
		$1 = { 33 D2 8B 08 FF 91 E8 00 00 00 C3 }
	condition:
		$1
}

rule function_43311_0 {
	meta:
		name = "TIWBaseControl.Show"
		size = 11
	strings:
		$1 = { B2 01 8B 08 FF 91 E8 00 00 00 C3 }
	condition:
		$1
}

rule function_43312_0 {
	meta:
		name = "TIWBaseControl.get_Canvas"
		size = 12
		refs = "0007 TIWBaseControlImplementation.GetCanvas"
	strings:
		$1 = { 8B 80 B8 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43315_0 {
	meta:
		name = "TIWBaseControl.PaintTo"
		size = 12
		refs = "0007 TIWBaseControlImplementation.PaintTo"
	strings:
		$1 = { 8B 80 B8 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43313_0 {
	meta:
		name = "TIWBaseControl.InitPainthandler"
		size = 85
		refs = "000d TIWBaseControl.InitPainthandler 001f TObject.ClassName 002b TIWBaseControl.CreatePaintHandler 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 33 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B CB 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_43314_0 {
	meta:
		name = "TIWBaseControl.ParentContainer"
		size = 22
		refs = "000f TIWBaseControlImplementation.ParentContainer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 B8 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43316_0 {
	meta:
		name = "TIWBaseControlImplementation.Create"
		size = 63
		refs = "000b @ClassCreate 001a TObject.Create 002b @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 89 77 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43318_0 {
	meta:
		name = "TIWBaseControlImplementation.PaintTo"
		size = 142
		refs = "0012 TIWBaseControlImplementation.PaintTo 0043 BaseControlInterface 0067 @HandleFinally 007e @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 50 08 8D 55 F4 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 50 08 C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_43319_0 {
	meta:
		name = "TIWBaseControlImplementation.GetCanvas"
		size = 43
		refs = "000d _Dn_TControlCanvas 0012 TCanvas.Create 0021 TControlCanvas.SetControl"
	strings:
		$1 = { 53 56 8B D8 83 7B 08 00 75 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 08 8B 53 04 8B C6 E8 ?? ?? ?? ?? 8B 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_43320_0 {
	meta:
		name = "TIWBaseControlImplementation.ParentChanging"
		size = 27
		refs = "000d isBaseContainer"
	strings:
		$1 = { 53 56 8B D9 8B F0 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 03 89 5E 10 5E 5B C3 }
	condition:
		$1
}

rule function_43321_0 {
	meta:
		name = "TIWBaseControlImplementation.ParentContainer"
		size = 139
		refs = "000a @IntfClear 0012 isBaseContainer 0020 BaseContainerInterface 005e _Dn_TFrame 0063 @IsClass"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 43 10 E8 ?? ?? ?? ?? EB 61 8B 43 04 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 0F 8B D6 8B 43 04 8B 40 38 E8 ?? ?? ?? ?? EB 43 8B 43 04 8B 40 38 85 C0 74 39 83 78 38 00 74 33 8B 43 04 8B 78 38 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8B 47 38 E8 ?? ?? ?? ?? 84 C0 74 10 8B D6 8B 43 04 8B 40 38 8B 40 38 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43323_0 {
	meta:
		name = "TIWPaintHandler.GetControlCanvas"
		size = 94
		refs = "000d TIWPaintHandler.GetControlCanvas 001d isBaseControl 002c BaseControlInterface 004b @IntfClear 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 20 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_43326_0 {
	meta:
		name = "MessageFormInterface"
		size = 60
		refs = "0009 @IntfClear 001b MessageFormInterface 0022 GetIWInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 15 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 04 14 5F CA F2 2A 57 4E 81 19 05 8D 53 E2 E8 E2 }
	condition:
		$1
}

rule function_43327_0 {
	meta:
		name = "TestFrameWorkInterface"
		size = 60
		refs = "0009 @IntfClear 001b TestFrameWorkInterface 0022 GetIWInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 15 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 DC 2B 8E 3E 21 50 D0 42 AF 8B 94 A5 A8 6E B5 E1 }
	condition:
		$1
}

rule function_43328_0 {
	meta:
		name = "TIWBaseForm.Show"
		size = 19
		refs = "0006 TIWBaseForm.GetWebApplication 000d TIWApplication.SetActiveForm"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74137_0 {
	meta:
		name = "TButtonItem.ScrollIntoView"
		size = 19
		refs = "0006 TButtonItem.GetCategoryButtons 000d TCategoryButtons.ScrollIntoView"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_43334_0 {
	meta:
		name = "TIWBaseForm.Hide"
		size = 19
		refs = "0006 TIWBaseForm.GetWebApplication 000d TIWApplication.RemoveForm"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_43331_0 {
	meta:
		name = "TIWBaseForm.Create"
		size = 314
		refs = "0017 @ClassCreate 0025 TIWBaseForm.Create 003f GlobalNameSpace 0072 TIWBaseContainer.GetDesignMode 007c _DV_TIWBaseForm 0084 InitInheritedComponent 0099 TObject.ClassName 00ab RSNotFound 00b4 Format 00be _Dn_EResNotFound 00c3 Exception.Create 00c8 @RaiseExcept 00e7 @HandleFinally 00f1 TIWBaseForm.DoCreate 0106 @UStrClr 0124 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D F4 89 5D E8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 D2 8B 45 FC 8B 18 FF 93 88 01 00 00 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 00 89 C3 8B 45 FC 8B 00 FF 90 6C 01 00 00 3B D8 74 5E 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 52 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 40 8D 45 F4 50 8D 55 E8 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 55 EC A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43333_0 {
	meta:
		name = "TIWBaseForm.Submit"
		size = 164
		refs = "000e @IntfAddRef 0016 TIWBaseForm.Submit 0021 GTestFramework 0045 _Dn_EIWException 004a EInException.Create 004f @RaiseExcept 0064 @IntfClear 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 00 74 13 A1 ?? ?? ?? ?? 8B 00 8B 4D FC 8B D3 8B 18 FF 53 0C EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 B0 04 02 00 FF FF FF FF 11 00 00 00 4E 00 6F 00 74 00 20 00 69 00 6E 00 20 00 74 00 65 00 73 00 74 00 20 00 6D 00 6F 00 64 00 65 00 2E 00 00 00 }
	condition:
		$1
}

rule function_43335_0 {
	meta:
		name = "TIWBaseForm.Release"
		size = 36
		refs = "000d TIWBaseForm.GetWebApplication 0014 TIWApplication.ReleaseForm"
	strings:
		$1 = { 53 8B D8 C6 83 F4 02 00 00 01 8B C3 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 74 01 00 00 5B C3 }
	condition:
		$1
}

rule function_43336_0 {
	meta:
		name = "TIWBaseForm.GetWebApplication"
		size = 64
		refs = "0007 TIWBaseContainer.GetDesignMode 001e GGetWebApplicationThreadVar"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 33 C0 5E 5B C3 83 BB FC 02 00 00 00 75 1A A1 ?? ?? ?? ?? 83 38 00 74 10 8B 35 ?? ?? ?? ?? 8B 36 FF D6 89 83 FC 02 00 00 8B 83 FC 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_43337_0 {
	meta:
		name = "TIWBaseForm.DoAfterRender"
		size = 29
	strings:
		$1 = { 53 66 83 B8 DA 02 00 00 00 74 10 8B D8 8B D0 8B 83 DC 02 00 00 FF 93 D8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_43338_0 {
	meta:
		name = "TIWBaseForm.DoCreate"
		size = 40
		refs = "0010 TIWBaseContainer.GetDesignMode"
	strings:
		$1 = { 53 8B D8 66 83 BB E2 02 00 00 00 74 19 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0E 8B D3 8B 83 E4 02 00 00 FF 93 E0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_43339_0 {
	meta:
		name = "TIWBaseForm.DoDestroy"
		size = 29
	strings:
		$1 = { 53 66 83 B8 EA 02 00 00 00 74 10 8B D8 8B D0 8B 83 EC 02 00 00 FF 93 E8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_43340_0 {
	meta:
		name = "TIWBaseForm.Dispose"
		size = 123
		refs = "000d TIWBaseForm.GetWebApplication 001f TIWApplication.RemoveForm 0032 TObject.Free 0074 TIWModuleDsn.Dispose"
	strings:
		$1 = { 53 56 8B DA 8B F0 84 DB 74 65 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C6 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8D 86 F0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 D4 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 CC 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 D0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43344_0 {
	meta:
		name = "TIWBaseForm.InitControl"
		size = 91
		refs = "0006 TIWModuleDsn.InitControl 0014 _Dn_TStringList 0019 TStringList.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 08 03 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 F0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 CC 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D4 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_43345_0 {
	meta:
		name = "TIWBaseForm.CreateNew"
		size = 59
		refs = "000d @ClassCreate 001a TIWBaseContainer.Create 0025 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_43346_0 {
	meta:
		name = "TCustomRibbon.SetQuickAccessToolbar"
		size = 12
		altNames = "TCustomTeePanel.SetEmboss TIWBaseForm.SetExtraHeader"
	strings:
		$1 = { 8B 80 CC 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_43347_0 {
	meta:
		name = "TIWBaseForm.SetFormAction"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 04 03 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43348_0 {
	meta:
		name = "TIWBaseForm.SetHiddenFields"
		size = 12
	strings:
		$1 = { 8B 80 D4 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_43349_0 {
	meta:
		name = "TIWBaseForm.SetContentFiles"
		size = 12
	strings:
		$1 = { 8B 80 D0 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_43350_0 {
	meta:
		name = "LocateComponent"
		size = 1220
		refs = "0026 @UStrAddRef 002e LocateComponent 0044 TComponentArray 0049 @DynArraySetLength 0059 @DynArrayClear 0061 isBaseControl 0072 SupportsInterface 0081 BaseControlInterface 0099 isBaseContainer 00ac BaseContainerInterface 0114 @DynArrayHigh 0124 @DynArrayLength 0166 isInputControl 017d InputInterface 01d5 _Dn_TFrame 01da @IsClass 02cf TComponent.GetComponentCount 02ee TComponent.GetComponent 034a @UStrCat3 0355 @UStrLAsg 0360 AnsiCompareText 03f4 @UStrCopy 045c @UStrClr 0464 @IntfClear 0481 @UStrArrayClr 04a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E0 89 55 E4 89 45 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 2C BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 1B 8D 55 D4 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 D4 8B 10 FF 52 28 84 C0 0F 84 B6 03 00 00 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 0F 84 03 02 00 00 8D 55 F4 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F4 8B 08 FF 51 2C 85 C0 0F 85 A8 01 00 00 8B 45 F4 8B 10 FF 52 34 48 85 C0 0F 8C 77 03 00 00 40 89 45 D8 C7 45 DC 00 00 00 00 8B 55 DC 8B 45 F4 8B 08 FF 51 30 E8 ?? ?? ?? ?? 84 C0 74 67 8D 45 F8 50 8B 55 DC 8B 45 F4 8B 08 FF 51 30 8B D0 8B 4D E0 41 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 3C 46 33 FF 8B 03 E8 ?? ?? ?? ?? 40 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 E8 ?? ?? ?? ?? 8B 13 8D 44 82 FC 50 8B 45 F8 8B 04 B8 5A 89 02 47 4E 75 C7 8B 55 DC 8B 45 F4 8B 08 FF 51 30 E8 ?? ?? ?? ?? 84 C0 74 5A 8B 55 DC 8B 45 F4 8B 08 FF 51 30 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 8B 55 FC 8B 08 FF 51 30 84 C0 74 38 8B 03 E8 ?? ?? ?? ?? 40 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 DC 8B 45 F4 8B 08 FF 51 30 8B F0 8B 03 E8 ?? ?? ?? ?? 8B 13 89 74 82 FC 8B 55 DC 8B 45 F4 8B 08 FF 51 30 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 78 8B 55 DC 8B 45 F4 8B 08 FF 51 30 80 78 61 00 74 67 8D 45 F8 50 8B 55 DC 8B 45 F4 8B 08 FF 51 30 8B D0 8B 4D E0 41 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 3C 46 33 FF 8B 03 E8 ?? ?? ?? ?? 40 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 E8 ?? ?? ?? ?? 8B 13 8D 44 82 FC 50 8B 45 F8 8B 04 B8 5A 89 02 47 4E 75 C7 FF 45 DC FF 4D D8 0F 85 79 FE FF FF E9 E0 01 00 00 8B 03 E8 ?? ?? ?? ?? 40 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B 45 F4 8B 08 FF 51 2C 8B F0 8B 03 E8 ?? ?? ?? ?? 8B 13 89 74 82 FC E9 A3 01 00 00 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 8D 01 00 00 8B 45 E4 80 78 61 00 0F 84 80 01 00 00 8B 45 E4 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 6F 01 00 00 40 89 45 D8 C7 45 DC 00 00 00 00 8B 55 DC 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B0 00 00 00 8D 45 F8 50 8B 55 DC 8B 45 E4 E8 ?? ?? ?? ?? 8B D0 8B 4D E0 41 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 7C 46 33 FF 83 7D E0 00 7E 04 B0 01 EB 32 8B 45 F8 8B 04 B8 8B 50 08 8B 45 E4 8B 48 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 35 8B 03 E8 ?? ?? ?? ?? 40 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 E8 ?? ?? ?? ?? 8B 13 8D 44 82 FC 50 8B 45 F8 8B 04 B8 5A 89 02 47 4E 75 87 83 3B 00 0F 85 9C 00 00 00 8B 55 DC 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7C 8B 55 DC 8B 45 E4 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E4 8B 70 08 85 F6 74 05 83 EE 04 8B 36 8D 45 CC 50 B9 FF FF FF 7F 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC 8B 45 E8 8B 08 FF 51 30 84 C0 74 38 8B 03 E8 ?? ?? ?? ?? 40 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 DC 8B 45 E4 E8 ?? ?? ?? ?? 8B F0 8B 03 E8 ?? ?? ?? ?? 8B 13 89 74 82 FC FF 45 DC FF 4D D8 0F 85 9C FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AD 5F 5E 5B 8B E5 5D C2 04 00 E5 0C 0B B5 1E 51 83 4D 8E 4D 79 2F 66 D1 69 30 }
	condition:
		$1
}

rule function_43351_0 {
	meta:
		name = "TIWBaseForm.SetChildOrder"
		size = 52
		refs = "000d _Dn_TIWBaseControl 0012 @IsClass 001f TIWBaseForm.SetZOrderPosition 002c TWinControl.SetChildOrder"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D7 8B C3 E8 ?? ?? ?? ?? EB 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43352_0 {
	meta:
		name = "GetParentIWForm"
		size = 59
		refs = "0013 _DV_TIWBaseForm 0018 @IsClass"
	strings:
		$1 = { 53 56 8B D8 EB 02 8B DE 8B 73 38 85 F6 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 E6 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 8B C3 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_43353_0 {
	meta:
		name = "ValidParentIWForm"
		size = 128
		refs = "0013 ValidParentIWForm 0020 GetParentIWForm 003e SParentRequired 0043 LoadResString 004d _Dn_EInvalidOperation 0052 Exception.CreateFmt 0057 @RaiseExcept 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 31 8B 46 08 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43354_0 {
	meta:
		name = "TIWBaseForm.SetZOrderPosition"
		size = 348
		refs = "001e TWinControl.GetControlCount 0033 TWinControl.GetControl 006b _Dn_TList 0070 TObject.Create 007b TIWBaseForm.SetZOrderPosition 00a8 TList.Add 00b8 TList.Delete 00c6 TList.Insert 0106 TList.Get 0130 TObject.Free 0136 @HandleFinally 0140 ValidParentIWForm 0151 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8B 45 FC 8B 40 38 85 C0 0F 84 38 01 00 00 E8 ?? ?? ?? ?? 8B F8 33 DB 3B FB 7E 17 8B 45 FC 8B 40 38 8B D3 E8 ?? ?? ?? ?? 3B 45 FC 74 05 43 3B FB 7F E9 3B FB 0F 84 0C 01 00 00 83 7D F8 00 7D 05 33 C0 89 45 F8 3B 7D F8 7F 06 8B C7 48 89 45 F8 3B 5D F8 0F 84 ED 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B F7 4E 85 F6 7C 26 46 C7 45 F4 00 00 00 00 8B 45 FC 8B 40 38 8B 55 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? FF 45 F4 4E 75 E2 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 58 38 EB 13 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 91 84 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 7F E2 8B F7 4E 85 F6 7C 23 46 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 91 84 00 00 00 FF 45 F4 4E 75 E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC E8 ?? ?? ?? ?? F6 40 5C 04 74 0B B2 01 66 BE D1 FF E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43357_0 {
	meta:
		name = "TIWBaseForm.TextToHTMLStringLiteral"
		size = 272
		refs = "001a @UStrAddRef 0022 TIWBaseForm.TextToHTMLStringLiteral 002f @UStrClr 007d @UStrFromWChar 0087 @UStrCat 00b7 Format 00c1 @UStrAsg 00df @UStrArrayClr 00e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D F4 89 5D F8 8B F9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 0F 8E 80 00 00 00 BB 01 00 00 00 8B 45 FC 0F B6 44 58 FE 04 D4 2C 03 72 15 48 2C 0A 72 10 04 F9 2C 1A 72 0A 2C 04 74 06 04 FE 2C 1A 73 1C 8D 45 F8 8B 55 FC 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? EB 38 8D 45 F4 50 8B 07 89 45 E4 C6 45 E8 11 8B 45 FC 0F B7 44 58 FE 89 45 EC C6 45 F0 00 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 43 4E 75 85 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 26 00 23 00 25 00 64 00 3B 00 00 00 }
	condition:
		$1
}

rule function_43358_0 {
	meta:
		name = "ControlSortYX"
		size = 19
	strings:
		$1 = { 8B C8 8B 41 4C 2B 42 4C 85 C0 75 06 8B 41 48 2B 42 48 C3 }
	condition:
		$1
}

rule function_43359_0 {
	meta:
		name = "ControlSortXY"
		size = 19
	strings:
		$1 = { 8B C8 8B 41 48 2B 42 48 85 C0 75 06 8B 41 4C 2B 42 4C C3 }
	condition:
		$1
}

rule function_43360_0 {
	meta:
		name = "TIWBaseForm.ResetTabOrders"
		size = 346
		refs = "0015 _Dn_TList 001a TObject.Create 0025 TWinControl.GetControlCount 0039 TWinControl.GetControl 003f _Dn_TIWContainer 0044 @IsClass 005f @AsClass 0080 _Dn_TIWBaseControl 009d TList.Add 00b2 ControlSortXY 00ba TList.Sort 00c1 ControlSortYX 00e1 TList.Get 014d TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 88 4D F7 89 55 F8 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 75 46 33 DB 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 28 6A 00 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 0F B6 4D F7 8B 45 FC 8B 38 FF 97 80 01 00 00 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 43 4E 75 8E 0F B6 45 F7 2C 01 72 04 74 11 EB 1C BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 0D BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 70 08 4E 85 F6 7C 22 46 33 DB 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 66 69 55 08 E8 03 66 03 D3 8B 08 FF 91 B4 00 00 00 43 4E 75 E1 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 40 46 33 DB 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8B 45 08 40 50 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 0F B6 4D F7 8B 45 FC 8B 38 FF 97 80 01 00 00 43 4E 75 C3 8B 45 F0 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_43367_0 {
	meta:
		name = "TAdapterControlGroup.GetControlRequirements"
		size = 6
		altNames = "TIWBaseHTML40Component.RenderAsyncComponent"
	strings:
		$1 = { 8B 08 FF 51 68 C3 }
	condition:
		$1
}

rule function_43374_0 {
	meta:
		name = "TIWBaseHTMLComponentImplementation.DoHTMLTag"
		size = 23
	strings:
		$1 = { 53 66 83 78 12 00 74 0D 8B D8 8B CA 8B 50 04 8B 43 14 FF 53 10 5B C3 }
	condition:
		$1
}

rule function_43375_0 {
	meta:
		name = "TIWBaseHTMLComponentImplementation.getHTMLName"
		size = 22
		refs = "000f UpperCase"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 40 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43376_0 {
	meta:
		name = "TIWBaseHTMLComponentImplementation.getOnHTMLTag"
		size = 12
	strings:
		$1 = { 8B 48 10 89 0A 8B 48 14 89 4A 04 C3 }
	condition:
		$1
}

rule function_43377_0 {
	meta:
		name = "TIWBaseHTMLComponentImplementation.MakeHTMLTag"
		size = 38
		refs = "000c TIWBaseComponentImplementation.get_ExtraTagParams 0015 TIWMarkupLanguageTag.AddParmsList 001e TIWMarkupLanguageElement.Render"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43379_0 {
	meta:
		name = "TIWBaseHTMLComponent.RenderMarkupLanguageTag"
		size = 6
	strings:
		$1 = { 8B 08 FF 51 64 C3 }
	condition:
		$1
}

rule function_43381_0 {
	meta:
		name = "TIWBaseHTMLComponent.get_HTMLName"
		size = 23
		refs = "0009 TIWBaseHTMLComponent.BaseHTMLComponentImplementation"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 04 5E 5B C3 }
	condition:
		$1
}

rule function_114854_0 {
	meta:
		name = "GetDOM"
		size = 23
		refs = "0009 GetDOMVendor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 04 5E 5B C3 }
	condition:
		$1
}

rule function_95570_0 {
	meta:
		name = "TCGIApplication.NewResponse"
		size = 23
		refs = "0009 TCGIApplication.GetFactory"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 04 5E 5B C3 }
	condition:
		$1
}

rule function_43382_0 {
	meta:
		name = "TIWBaseHTMLComponent.get_OnHTMLTag"
		size = 27
		refs = "0009 TIWBaseHTMLComponent.BaseHTMLComponentImplementation"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 10 89 16 8B 50 14 89 56 04 5E 5B C3 }
	condition:
		$1
}

rule function_43385_0 {
	meta:
		name = "TIWBaseHTMLComponent.MakeHTMLTag"
		size = 29
		refs = "000c TIWBaseHTMLComponent.BaseHTMLComponentImplementation 0015 TIWBaseHTMLComponentImplementation.MakeHTMLTag"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59471_0 {
	meta:
		name = "TAbstractObjectMemberInstance.Lookup"
		size = 29
		refs = "000c TAbstractObjectMemberInstance.GetCache 0015 TObjectWrapper.Lookup"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_44087_0 {
	meta:
		name = "TIWCustomControl.RenderCSSClass"
		size = 29
		refs = "000c TIWCustomControl.HTMLControlImplementation 0015 TIWHTMLControlImplementation.RenderCSSClass"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_44058_0 {
	meta:
		name = "TIWCustomControl.RenderStyle"
		size = 29
		refs = "000c TIWCustomControl.HTMLControlImplementation 0015 TIWHTMLControlImplementation.RenderStyle"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43386_0 {
	meta:
		name = "TIWBaseHTMLComponent.MakeHTMLTag"
		size = 99
		refs = "0010 _Dn_TIWRenderStream 0015 TIWRenderStream.Create 0020 TIWBaseHTMLComponent.MakeHTMLTag 003c TIWRenderStream.Extract 0051 TObject.Free 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_43438_0 {
	meta:
		name = "TIWBaseHTMLControl.MakeHTMLTag"
		size = 99
		refs = "0010 _Dn_TIWRenderStream 0015 TIWRenderStream.Create 0020 TIWBaseHTMLControl.MakeHTMLTag 003c TIWRenderStream.Extract 0051 TObject.Free 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45913_0 {
	meta:
		name = "TIWCustomRegion.MakeHTMLTag"
		size = 99
		refs = "0010 _Dn_TIWRenderStream 0015 TIWRenderStream.Create 0020 TIWCustomRegion.MakeHTMLTag 003c TIWRenderStream.Extract 0051 TObject.Free 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_43389_0 {
	meta:
		name = "TIWBaseHTMLComponent.set_OnHTMLTag"
		size = 29
		refs = "000f TIWBaseHTMLComponent.BaseHTMLComponentImplementation 0014 TIWBaseHTMLComponentImplementation.setOnHTMLTag"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_43393_0 {
	meta:
		name = "TIWBaseHTMLControl.getTabOrder"
		size = 56
		refs = "0007 TIWBaseHTMLControl.OwnerFrame 0014 TIWBaseHTMLControl.OwnerForm 0027 TList.IndexOf"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 09 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 10 8B D6 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 0F B7 86 D2 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_43394_0 {
	meta:
		name = "TIWBaseHTMLControl.get_RealTabOrder"
		size = 67
		refs = "0009 TIWBaseHTMLControl.OwnerForm 001a _Dn_TIWForm 001f @IsClass 0036 TList.IndexOf"
	strings:
		$1 = { 53 56 57 55 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 83 CF FF 85 DB 74 26 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B AB 5C 03 00 00 85 ED 74 0B 8B C5 8B D6 E8 ?? ?? ?? ?? 8B F8 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45226_0 {
	meta:
		name = "TIWHTMLContainer.get_RealTabOrder"
		size = 67
		refs = "0009 TIWHTMLContainer.OwnerForm 001a _Dn_TIWForm 001f @IsClass 0036 TList.IndexOf"
	strings:
		$1 = { 53 56 57 55 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 83 CF FF 85 DB 74 26 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B AB 5C 03 00 00 85 ED 74 0B 8B C5 8B D6 E8 ?? ?? ?? ?? 8B F8 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43395_0 {
	meta:
		name = "TIWBaseHTMLControl.setTabOrder"
		size = 320
		refs = "0010 TIWBaseHTMLControl.setTabOrder 001d TIWBaseHTMLControl.OwnerFrame 0033 TIWBaseHTMLControl.OwnerForm 0050 SupportsInterface 0062 TabOrderInterface 0083 TList.IndexOf 0094 TList.Delete 009b TIWVCLBaseControl.GetLoading 00c3 TList.Insert 00d2 TList.Add 011e @IntfClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 18 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A8 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 1C 84 C0 0F 84 83 00 00 00 85 F6 74 70 8B D3 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 85 C0 7C 0D 8B D0 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 26 66 83 FF FF 74 20 0F BF C7 8B 96 B4 02 00 00 3B 42 08 7D 12 0F BF D7 8B CB 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? EB 21 8B D3 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 66 89 83 D2 01 00 00 66 83 FF FF 74 1D 66 89 BB D2 01 00 00 EB 14 66 C7 83 D2 01 00 00 FF FF EB 09 66 C7 83 D2 01 00 00 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 B7 65 AF 2D AE B5 86 47 BA F8 42 22 9F A4 07 3B }
	condition:
		$1
}

rule function_43396_0 {
	meta:
		name = "TIWBaseHTMLControl.OwnerForm"
		size = 142
		refs = "000f _Dn_TIWBaseForm 0016 @IsClass 0026 _Dn_TIWHTMLContainer 0036 TIWHTMLContainer.OwnerForm 0042 _Dn_TFrame"
	strings:
		$1 = { 53 56 57 55 8B D8 33 FF 8B 73 38 8B C6 8B 2D ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 84 C0 74 04 8B FE EB 65 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 49 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 38 8B 46 38 8B D5 E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 38 8B 78 38 EB 22 8B 43 38 8B 40 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 43 38 8B 40 38 E8 ?? ?? ?? ?? 8B F8 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45223_0 {
	meta:
		name = "TIWHTMLContainer.OwnerForm"
		size = 142
		refs = "000f _Dn_TIWBaseForm 0016 @IsClass 0026 _DV_TIWHTMLContainer 0036 TIWHTMLContainer.OwnerForm 0042 _Dn_TFrame"
	strings:
		$1 = { 53 56 57 55 8B D8 33 FF 8B 73 38 8B C6 8B 2D ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 84 C0 74 04 8B FE EB 65 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 49 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 38 8B 46 38 8B D5 E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 38 8B 78 38 EB 22 8B 43 38 8B 40 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 43 38 8B 40 38 E8 ?? ?? ?? ?? 8B F8 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43397_0 {
	meta:
		name = "TIWBaseHTMLControl.OwnerFrame"
		size = 42
		refs = "000e _Dn_TIWHTMLContainer 0013 @IsClass 001e TIWHTMLContainer.OwnerFrame"
	strings:
		$1 = { 53 56 57 8B D8 33 F6 8B 7B 38 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C7 E8 ?? ?? ?? ?? 8B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43398_0 {
	meta:
		name = "TIWBaseHTMLControl.AfterParentChanging"
		size = 92
		refs = "0011 TIWVCLBaseControl.AfterParentChanging 0019 _Dn_TFrame 0020 @IsClass"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C7 8B 2D ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 84 C0 75 0D 8B C6 8B D5 E8 ?? ?? ?? ?? 84 C0 74 0D 83 CA FF 8B C3 8B 08 FF 91 B4 00 00 00 85 F6 75 11 85 FF 74 0D 83 CA FF 8B C3 8B 08 FF 91 B4 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43400_0 {
	meta:
		name = "TIWBaseHTMLControl.TextToHTML"
		size = 664
		refs = "001e TIWBaseHTMLControl.TextToHTML 002b @UStrClr 0031 GGetWebApplicationThreadVar 008d @UStrCat 0132 @UStrFromWChar 01ad @UStrArrayClr 01b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 88 4D FB 89 55 FC 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B FF D3 0F B6 80 94 00 00 00 88 45 FA 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 0F 8E 3E 01 00 00 BE 01 00 00 00 8B 45 FC 0F B7 44 70 FE 83 F8 27 7F 0E 74 4B 83 E8 22 74 35 83 E8 04 74 52 EB 61 83 E8 3C 74 07 83 E8 02 74 13 EB 55 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F9 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E8 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D7 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C6 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B5 00 00 00 8B 45 FC 0F B7 44 70 FE 66 83 E8 0A 74 06 66 83 E8 03 75 54 80 7D FB 00 74 32 8B 45 FC 0F B7 44 70 FE 66 83 E8 0A 74 0B 66 83 E8 03 74 13 E9 82 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 74 8B C7 33 D2 E8 ?? ?? ?? ?? EB 69 8D 45 F4 8B 55 FC 0F B7 54 72 FE E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? EB 4D 8B 45 FC 66 83 7C 70 FE 20 0F 94 C0 22 45 0C 74 22 80 7D FA 00 74 0E 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8D 45 F0 8B 55 FC 0F B7 54 72 FE E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 46 4B 0F 85 C7 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 6C 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 67 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 26 00 23 00 33 00 39 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 26 00 61 00 6D 00 70 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 62 00 72 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 26 00 61 00 6D 00 70 00 3B 00 6E 00 62 00 73 00 70 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 6E 00 62 00 73 00 70 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_43404_0 {
	meta:
		name = "TIWBaseHTMLControl.SupportsSubmit"
		size = 12
		refs = "0007 TIWBaseComponentImplementation.SupportsSubmit"
	strings:
		$1 = { 8B 80 CC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43440_0 {
	meta:
		name = "TIWBaseHTMLControl.AddFreeNotifier"
		size = 12
		refs = "0007 TIWBaseComponentImplementation.AddFreeNotifier"
	strings:
		$1 = { 8B 80 CC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43430_0 {
	meta:
		name = "TIWBaseHTMLControl.DoHTMLTag"
		size = 12
		refs = "0007 TIWBaseHTMLComponentImplementation.DoHTMLTag"
	strings:
		$1 = { 8B 80 CC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43441_0 {
	meta:
		name = "TIWBaseHTMLControl.RemoveFreeNotifier"
		size = 12
		refs = "0007 TIWBaseComponentImplementation.RemoveFreeNotifier"
	strings:
		$1 = { 8B 80 CC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43405_0 {
	meta:
		name = "TIWBaseHTMLControl.SupportsInput"
		size = 12
		refs = "0007 TIWBaseComponentImplementation.SupportsInput"
	strings:
		$1 = { 8B 80 CC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43420_0 {
	meta:
		name = "TIWBaseHTMLControl.get_ExtraTagParams"
		size = 12
		refs = "0007 TIWBaseComponentImplementation.get_ExtraTagParams"
	strings:
		$1 = { 8B 80 CC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43431_0 {
	meta:
		name = "TIWBaseHTMLControl.get_HTMLHeight"
		size = 12
		refs = "0007 TIWBaseHTMLControlImplementation.getHTMLHeight"
	strings:
		$1 = { 8B 80 CC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43432_0 {
	meta:
		name = "TIWBaseHTMLControl.get_HTMLWidth"
		size = 12
		refs = "0007 TIWBaseHTMLControlImplementation.getHTMLWidth"
	strings:
		$1 = { 8B 80 CC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43425_0 {
	meta:
		name = "TIWBaseHTMLControl.get_Visible"
		size = 12
		refs = "0007 TIWBaseHTMLControlImplementation.GetVisible"
	strings:
		$1 = { 8B 80 CC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43414_0 {
	meta:
		name = "TIWBaseHTMLControl.get_WebColor"
		size = 12
		refs = "0007 TIWBaseHTMLControlImplementation.getIWColor"
	strings:
		$1 = { 8B 80 CC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43413_0 {
	meta:
		name = "TIWBaseHTMLControl.get_WebFont"
		size = 12
		refs = "0007 TIWBaseHTMLControlImplementation.getFont"
	strings:
		$1 = { 8B 80 CC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43412_0 {
	meta:
		name = "TIWBaseHTMLControl.set_WebFont"
		size = 12
		refs = "0007 TIWBaseHTMLControlImplementation.setFont"
	strings:
		$1 = { 8B 80 CC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43406_0 {
	meta:
		name = "TIWBaseHTMLControl.get_ComponentName"
		size = 21
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 14 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_43408_0 {
	meta:
		name = "TIWBaseHTMLControl.InitDesignTime"
		size = 38
		refs = "0006 TIWBaseControl.InitDesignTime 0016 TIWBaseHTMLControl.get_WebFont 0020 TIWBaseHTMLControl.FontChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB B1 01 00 00 00 74 11 8B C3 E8 ?? ?? ?? ?? 89 58 1C C7 40 18 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_43409_0 {
	meta:
		name = "TIWBaseHTMLControl.InitControl"
		size = 112
		refs = "0016 TIWBaseControl.InitControl 0034 TIWBaseHTMLControl.set_NonEditableAsLabel 0044 TControl.SetShowHint 0061 TIWBaseHTMLControl.ExtraTagParamsChanged"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 00 01 00 00 89 83 CC 01 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 78 B2 01 8B C3 8B 08 FF 91 FC 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? C6 83 CA 01 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 80 BB B1 01 00 00 00 75 14 8B C3 8B 10 FF 92 1C 01 00 00 89 58 44 C7 40 40 ?? ?? ?? ?? 66 C7 83 D2 01 00 00 FF FF 5B C3 }
	condition:
		$1
}

rule function_43411_0 {
	meta:
		name = "TIWBaseHTMLControl.TextToJSStringLiteral"
		size = 804
		refs = "0020 TIWBaseHTMLControl.TextToJSStringLiteral 0030 @UStrAsg 00b5 @UStrCopy 00df @UStrCatN 011c @UStrCat3 0299 @UStrArrayClr 029f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 BE 01 00 00 00 8B F8 85 FF 0F 8E 34 02 00 00 C7 45 F8 01 00 00 00 8B 45 FC 8B 55 F8 0F B7 44 50 FE 0F B7 C0 83 F8 27 7F 22 0F 84 40 01 00 00 83 E8 0A 0F 84 AD 00 00 00 83 E8 03 74 6E 83 E8 15 0F 84 E4 00 00 00 E9 ED 01 00 00 83 E8 3C 0F 84 A2 01 00 00 83 E8 02 0F 84 57 01 00 00 83 E8 1E 0F 85 D2 01 00 00 8D 45 F4 50 8B CE 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 F0 50 8D 56 01 8B 03 B9 FF FF FF 7F E8 ?? ?? ?? ?? FF 75 F0 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C6 02 E9 8E 01 00 00 8D 45 EC 50 8D 56 01 8B 03 B9 FF FF FF 7F E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 E8 50 8B CE 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 59 E8 ?? ?? ?? ?? E9 54 01 00 00 8D 45 E4 50 8B CE 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 45 E0 50 8D 56 01 8B 03 B9 FF FF FF 7F E8 ?? ?? ?? ?? FF 75 E0 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C6 02 E9 0F 01 00 00 8D 45 DC 50 8B CE 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 45 D8 50 8D 56 01 8B 03 B9 FF FF FF 7F E8 ?? ?? ?? ?? FF 75 D8 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C6 02 E9 CA 00 00 00 8D 45 D4 50 8B CE 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8D 45 D0 50 8D 56 01 8B 03 B9 FF FF FF 7F E8 ?? ?? ?? ?? FF 75 D0 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C6 02 E9 85 00 00 00 8D 45 CC 50 8B CE 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? 8D 45 C8 50 8D 56 01 8B 03 B9 FF FF FF 7F E8 ?? ?? ?? ?? FF 75 C8 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C6 02 EB 43 8D 45 C4 50 8B CE 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 8D 45 C0 50 8D 56 01 8B 03 B9 FF FF FF 7F E8 ?? ?? ?? ?? FF 75 C0 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C6 02 EB 01 46 FF 45 F8 4F 0F 85 D3 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 0E 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 3C 00 00 00 00 00 }
	condition:
		$1
}

rule function_43415_0 {
	meta:
		name = "TIWBaseHTMLControl.set_WebColor"
		size = 26
		refs = "000a TIWBaseHTMLControlImplementation.setIWColor"
	strings:
		$1 = { 56 8B F0 8B 86 CC 01 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 AC 00 00 00 5E C3 }
	condition:
		$1
}

rule function_43416_0 {
	meta:
		name = "TIWBaseHTMLControl.get_Editable"
		size = 8
	strings:
		$1 = { 0F B6 80 C8 01 00 00 C3 }
	condition:
		$1
}

rule function_43417_0 {
	meta:
		name = "TIWBaseHTMLControl.set_Editable"
		size = 7
	strings:
		$1 = { 88 90 C8 01 00 00 C3 }
	condition:
		$1
}

rule function_43418_0 {
	meta:
		name = "TIWBaseHTMLControl.get_NonEditableAsLabel"
		size = 8
	strings:
		$1 = { 0F B6 80 C9 01 00 00 C3 }
	condition:
		$1
}

rule function_43419_0 {
	meta:
		name = "TIWBaseHTMLControl.set_NonEditableAsLabel"
		size = 7
	strings:
		$1 = { 88 90 C9 01 00 00 C3 }
	condition:
		$1
}

rule function_43421_0 {
	meta:
		name = "TIWBaseHTMLControl.set_ExtraTagParams"
		size = 45
		refs = "000f TIWBaseComponentImplementation.set_ExtraTagParams 0026 TIWBaseHTMLControl.ExtraTagParamsChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 CC 01 00 00 E8 ?? ?? ?? ?? 85 F6 74 13 80 BB B1 01 00 00 00 75 0A 89 5E 44 C7 46 40 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43422_0 {
	meta:
		name = "TIWBaseHTMLControl.get_HTMLName"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 CC 01 00 00 8B 08 FF 51 04 5E 5B C3 }
	condition:
		$1
}

rule function_43424_0 {
	meta:
		name = "TIWBaseHTMLControl.set_OnHTMLTag"
		size = 24
		refs = "0010 TIWBaseHTMLComponentImplementation.setOnHTMLTag"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 80 CC 01 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_43426_0 {
	meta:
		name = "TIWBaseHTMLControl.set_Visible"
		size = 31
		refs = "000b TIWVCLBaseControl.set_Visible 0018 TIWBaseHTMLControlImplementation.SetVisible"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 86 CC 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43427_0 {
	meta:
		name = "TIWBaseHTMLControl.get_ControlEncode"
		size = 8
	strings:
		$1 = { 0F B6 80 CA 01 00 00 C3 }
	condition:
		$1
}

rule function_43428_0 {
	meta:
		name = "TIWBaseHTMLControl.set_ControlEncode"
		size = 7
	strings:
		$1 = { 88 90 CA 01 00 00 C3 }
	condition:
		$1
}

rule function_43429_0 {
	meta:
		name = "TIWBaseHTMLControl.RenderMarkupLanguageTag"
		size = 21
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B C6 8B 08 FF 91 18 01 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_43435_0 {
	meta:
		name = "TIWBaseHTMLControl.RenderTabOrder"
		size = 212
		refs = "0013 TIWBaseHTMLControl.RenderTabOrder 0025 SupportsInterface 0033 TabOrderInterface 005d IntToStr 006c TIWMarkupLanguageTag.AddStringParam 0081 @IntfClear 0089 @UStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 43 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 1C 84 C0 74 2D 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 10 0F BF C0 40 8D 55 F8 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 B7 65 AF 2D AE B5 86 47 BA F8 42 22 9F A4 07 3B B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 61 00 62 00 49 00 6E 00 64 00 65 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_43437_0 {
	meta:
		name = "TIWBaseHTMLControl.MakeHTMLTag"
		size = 248
		refs = "0016 TIWBaseHTMLControl.MakeHTMLTag 0028 SupportsInterface 0036 TabOrderInterface 0059 TIWBaseHTMLControl.RenderTabOrder 0068 TIWBaseHTMLComponentImplementation.MakeHTMLTag 0072 TIWBaseControl.ParentContainer 0082 TIWContainerContext.GetComponentContext 00aa TIWRenderStream.WriteString 00c0 IIWBaseContainer 00ca @FinalizeArray 00d2 @IntfClear 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 1C 84 C0 74 17 8B C3 8B 10 FF 92 0C 01 00 00 84 C0 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 8B CE 8B D7 8B 83 CC 01 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 40 8B 53 08 E8 ?? ?? ?? ?? 85 C0 74 24 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 40 8B 53 08 E8 ?? ?? ?? ?? 8B 50 18 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 00 00 00 B7 65 AF 2D AE B5 86 47 BA F8 42 22 9F A4 07 3B }
	condition:
		$1
}

rule function_43439_0 {
	meta:
		name = "TIWBaseHTMLControl.NeedsFormTag"
		size = 8
	strings:
		$1 = { 0F B6 80 D0 01 00 00 C3 }
	condition:
		$1
}

rule function_43442_0 {
	meta:
		name = "TIWBaseHTMLControlImplementation.Create"
		size = 94
		refs = "000b @ClassCreate 001c TIWBaseComponentImplementation.Create 0026 _Dn_TIWFont 002b TIWFont.Create 003f TIWBaseHTMLControlImplementation.fontChangeEvent 004a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 24 C6 47 1C 01 8B 47 24 89 78 1C C7 40 18 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43444_0 {
	meta:
		name = "TIWBaseHTMLControlImplementation.fontChangeEvent"
		size = 12
	strings:
		$1 = { 8B 40 18 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43447_0 {
	meta:
		name = "TIWBaseHTMLControlImplementation.setFont"
		size = 24
	strings:
		$1 = { 53 8B D8 8B 43 24 8B 08 FF 51 08 8B 43 18 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_43449_0 {
	meta:
		name = "TIWBaseHTMLControlImplementation.setIWColor"
		size = 15
	strings:
		$1 = { 89 50 20 8B 40 18 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43451_0 {
	meta:
		name = "TIWBaseHTMLControlImplementation.getTabOrder"
		size = 5
		altNames = "TRttiIntfMethod.GetVirtualIndex"
	strings:
		$1 = { 0F B7 40 28 C3 }
	condition:
		$1
}

rule function_43452_0 {
	meta:
		name = "TIWBaseHTMLControlImplementation.setTabOrder"
		size = 5
	strings:
		$1 = { 66 89 50 28 C3 }
	condition:
		$1
}

rule function_43453_0 {
	meta:
		name = "TIWBaseHTMLControlImplementation.getHTMLWidth"
		size = 7
	strings:
		$1 = { 8B 40 18 8B 40 50 C3 }
	condition:
		$1
}

rule function_43454_0 {
	meta:
		name = "TIWBaseHTMLControlImplementation.getHTMLHeight"
		size = 7
	strings:
		$1 = { 8B 40 18 8B 40 54 C3 }
	condition:
		$1
}

rule function_43455_0 {
	meta:
		name = "TIWBaseHTMLControlImplementation.getHTMLName"
		size = 219
		refs = "0014 TIWBaseHTMLControlImplementation.getHTMLName 0025 isBaseContainer 0037 BaseContainerInterface 0050 @UStrCat3 005a UpperCase 0068 _Dn_TFrame 006d @IsClass 00b0 @UStrClr 00b8 @IntfClear 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 18 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 33 8D 55 F4 8B 7B 18 8B 47 38 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 8B 08 FF 51 10 8B 4D F8 8B 57 08 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? EB 3F 8B 7B 18 8B 47 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8B 4F 08 8B 43 18 8B 40 04 8B 50 08 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B D6 E8 ?? ?? ?? ?? EB 0A 8B D6 8B 47 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43457_0 {
	meta:
		name = "TIWBaseHTMLControl.ReleaseImplementation"
		size = 19
		refs = "000e TObject.Free"
	strings:
		$1 = { 05 CC 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43460_0 {
	meta:
		name = "TIWBaseHTMLForm.SetBGColor"
		size = 71
		refs = "0012 fromTColor 001a toTColor 002a iif"
	strings:
		$1 = { 53 56 8B DA 8B F0 89 9E 10 03 00 00 B8 FF FF FF 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 3D FF FF FF 1F 0F 94 C0 8B CB 5A E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 24 01 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_43461_0 {
	meta:
		name = "TIWBaseHTMLForm.ValidateRename"
		size = 204
		refs = "0017 TIWBaseHTMLForm.ValidateRename 0024 TIWBaseContainer.GetDesignMode 0038 SupportsInterface 0044 @IntfClear 0056 GetIWInterface 008a TComponent.ValidateRename 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 52 BA ?? ?? ?? ?? 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 3E 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 84 C0 74 18 8D 55 F4 8B 45 FC 8B 08 FF 51 14 8B 45 F4 8B 4D 08 8B D6 8B 38 FF 57 1C 8B 45 08 50 8B CE 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 1E F7 1A A0 D7 5A DC 49 8E F5 76 A1 26 00 AF 65 }
	condition:
		$1
}

rule function_43462_0 {
	meta:
		name = "TIWBaseHTMLForm.InitControl"
		size = 79
		refs = "0006 TIWBaseForm.InitControl 0010 fromTColor 0019 TIWBaseHTMLForm.SetBGColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 89 83 14 03 00 00 B8 FF FF FF 1F E8 ?? ?? ?? ?? 89 83 18 03 00 00 B8 FF FF FF 1F E8 ?? ?? ?? ?? 89 83 1C 03 00 00 5B C3 }
	condition:
		$1
}

rule function_43466_0 {
	meta:
		name = "BaseHTMLControlInterface"
		size = 60
		refs = "0009 @IntfClear 001b BaseHTMLControlInterface 0022 GetIWInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 15 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 AD 6F 58 EE 75 A4 A3 44 8A E4 3F 55 E5 83 A6 61 }
	condition:
		$1
}

rule function_43467_0 {
	meta:
		name = "BaseHTMLComponentInterface"
		size = 60
		refs = "0009 @IntfClear 001b BaseHTMLComponentInterface 0022 GetIWInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 15 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 66 F8 FC 2B 0C AC 71 4A 9B 58 A8 16 D4 2F FE 44 }
	condition:
		$1
}

rule function_43470_0 {
	meta:
		name = "SupportsInterface"
		size = 29
		refs = "0011 TObject.GetInterfaceEntry"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 85 DB 74 0E 8B D6 8B 03 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_43471_0 {
	meta:
		name = "GetIWInterface"
		size = 37
		refs = "000e SupportsInterface 001d TObject.GetInterface"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43477_0 {
	meta:
		name = "SubmitInterface"
		size = 60
		refs = "0009 @IntfClear 001b SubmitInterface 0022 GetIWInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 15 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 D9 5C 66 93 43 F7 65 49 BE 3F C6 53 49 13 E7 F7 }
	condition:
		$1
}

rule function_43478_0 {
	meta:
		name = "MultiInputInterface"
		size = 60
		refs = "0009 @IntfClear 001b MultiInputInterface 0022 GetIWInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 15 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 6B 7D 3C A7 22 9C 20 4B 9F 3F E7 3E D2 C6 66 E6 }
	condition:
		$1
}

rule function_43479_0 {
	meta:
		name = "BaseControlInterface"
		size = 60
		refs = "0009 @IntfClear 001b BaseControlInterface 0022 GetIWInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 15 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 15 33 54 F3 83 E8 48 46 88 64 4F 88 25 38 4D 5E }
	condition:
		$1
}

rule function_43480_0 {
	meta:
		name = "BaseContainerInterface"
		size = 60
		refs = "0009 @IntfClear 001b BaseContainerInterface 0022 GetIWInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 15 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 40 ED A6 62 46 92 E7 48 86 A3 A4 67 52 B0 39 4B }
	condition:
		$1
}

rule function_43481_0 {
	meta:
		name = "InputInterface"
		size = 60
		refs = "0009 @IntfClear 001b InputInterface 0022 GetIWInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 15 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 17 C7 BD 73 55 02 69 44 89 D3 66 2F 83 6A 8A A0 }
	condition:
		$1
}

rule function_43482_0 {
	meta:
		name = "BaseComponentInterface"
		size = 60
		refs = "0009 @IntfClear 001b BaseComponentInterface 0022 GetIWInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 15 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 38 D5 4C EE DB 27 1D 47 B0 CF 0F 22 BE 42 94 61 }
	condition:
		$1
}

rule function_43483_0 {
	meta:
		name = "TabOrderInterface"
		size = 60
		refs = "0009 @IntfClear 001b TabOrderInterface 0022 GetIWInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 15 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B7 65 AF 2D AE B5 86 47 BA F8 42 22 9F A4 07 3B }
	condition:
		$1
}

rule function_43484_0 {
	meta:
		name = "FreeNotificationInterface"
		size = 60
		refs = "0009 @IntfClear 001b FreeNotificationInterface 0022 GetIWInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 15 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 58 A0 4E 85 75 B2 2D 4B 8D 5A 3E 5D 56 50 B5 E2 }
	condition:
		$1
}

rule function_43486_0 {
	meta:
		name = "UpdateNotifiedInterface"
		size = 60
		refs = "0009 @IntfClear 001b UpdateNotifiedInterface 0022 GetIWInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 15 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 D0 03 9A 6F B8 96 35 4F 85 92 A4 A5 9D B5 B1 33 }
	condition:
		$1
}

rule function_43490_0 {
	meta:
		name = "TIWBaseLayoutComponent.InitDesignTime"
		size = 94
		refs = "0006 TIWVCLComponent.InitDesignTime 000d TIWVCLComponent.GetDesignMode 001f isBaseContainer 002c _Dn_TFrame 0031 @IsClass 003e _DV_TIWBaseLayoutComponent 004d GWarningProc 0054 RSCanUseIWControlOnVCLForm"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 47 83 7B 04 00 74 41 8B 43 04 E8 ?? ?? ?? ?? 84 C0 75 35 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 23 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B 1D ?? ?? ?? ?? 8B 1B A1 ?? ?? ?? ?? 8B 00 FF D3 5B C3 }
	condition:
		$1
}

rule function_43491_0 {
	meta:
		name = "TIWBaseLayoutComponent.InitControl"
		size = 23
		refs = "0006 TIWVCLComponent.InitControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 39 01 8B C3 8B 10 FF 52 50 5B C3 }
	condition:
		$1
}

rule function_43492_0 {
	meta:
		name = "TIWBaseLayoutComponent.Initialize"
		size = 9
	strings:
		$1 = { 88 50 38 8B 10 FF 52 50 C3 }
	condition:
		$1
}

rule function_43497_0 {
	meta:
		name = "GetName"
		size = 264
		refs = "0013 GetName 0020 GetOwner 003e _Dn_TIWAppForm 0043 @IsClass 005b @UStrCat3 006c @UStrEqual 0077 iif 00a1 @UStrAsg 00bb @UStrArrayClr 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 73 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 74 66 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 50 8D 45 FC 50 8D 45 F8 8B 4B 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 33 D2 59 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 59 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 57 00 46 00 72 00 61 00 6D 00 65 00 52 00 65 00 67 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_43498_0 {
	meta:
		name = "TIWContainerContext.AddComponent"
		size = 465
		refs = "001f TIWContainerContext.AddComponent 0031 isBaseComponent 0044 BaseComponentInterface 0059 TIWContainerContext.GetControlInstance 0085 UpperCase 00c6 GetName 00dc @UStrEqual 012a isInputControl 0139 InputInterface 0176 TObject.Free 018c IIWInputControl 0196 @FinalizeArray 01a3 @UStrArrayClr 01b8 @IntfClear 01be @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 8B 43 08 E8 ?? ?? ?? ?? 84 C0 0F 84 E9 00 00 00 8D 55 FC 8B 43 08 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 08 FF 51 2C 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 3B 43 08 0F 94 C0 8B D0 80 F2 01 88 55 EF 84 D2 0F 84 B3 00 00 00 8D 55 E4 8B 45 FC 8B 08 FF 51 2C 8B 45 E4 8D 55 F4 E8 ?? ?? ?? ?? 8B CB 8B 55 F4 8B 46 08 8B 38 FF 57 3C 8B 4B 08 8B 55 F4 8B 46 04 8B 38 FF 57 3C 8B CB 8B 55 F4 8B 46 10 8B 38 FF 57 3C 8B 4B 08 8B 55 F4 8B 46 0C 8B 38 FF 57 3C 8D 55 E0 8B 43 08 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 74 44 8B CB 8B 55 F8 8B 46 10 8B 38 FF 57 3C 8B 4B 08 8B 55 F8 8B 46 0C 8B 38 FF 57 3C 8D 55 F0 8B 43 08 8B 40 08 E8 ?? ?? ?? ?? 8B CB 8B 55 F0 8B 46 10 8B 38 FF 57 3C 8B 4B 08 8B 55 F0 8B 46 0C 8B 38 FF 57 3C 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 2E 8D 55 DC 8B 43 08 E8 ?? ?? ?? ?? 8B 45 DC 8B 10 FF 52 0C 3A 46 1C 76 16 8D 55 D8 8B 43 08 E8 ?? ?? ?? ?? 8B 45 D8 8B 10 FF 52 0C 88 46 1C 8B D3 8B 46 08 8B 08 FF 51 5C 40 0F 94 C0 22 45 08 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C3 0F B6 45 EF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_43499_0 {
	meta:
		name = "TIWContainerContext.RemoveComponent"
		size = 27
	strings:
		$1 = { 53 8B D8 8B 43 08 8B 08 FF 51 5C 85 C0 7C 0A 8B D0 8B 43 08 8B 08 FF 51 48 5B C3 }
	condition:
		$1
}

rule function_43500_0 {
	meta:
		name = "TIWContainerContext.Create"
		size = 216
		refs = "000f @ClassCreate 001f TObject.Create 0031 _Dn_TStringList 0036 TStringList.Create 0044 TStringList.SetSorted 00c0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B6 45 08 88 43 24 C6 43 1D 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 04 8B C6 33 D2 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 0C 8B C6 33 D2 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 08 8B C6 33 D2 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 10 8B C6 33 D2 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 14 8B C6 33 D2 E8 ?? ?? ?? ?? C6 43 1C 00 89 7B 20 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_43501_0 {
	meta:
		name = "TIWContainerContext.Destroy"
		size = 218
		refs = "0005 @BeforeDestruction 0025 TObject.Free 00c6 TObject.Destroy 00d1 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 04 85 C0 74 15 8B 10 FF 52 44 8D 45 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 45 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 75 08 85 F6 74 34 8B C6 8B 10 FF 52 14 48 85 C0 7C 18 40 89 C6 33 FF 8B 45 08 8B D7 8B 08 FF 51 18 E8 ?? ?? ?? ?? 47 4E 75 ED 8D 45 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 45 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 75 14 85 F6 74 34 8B C6 8B 10 FF 52 14 48 85 C0 7C 18 40 89 C6 33 FF 8B 45 14 8B D7 8B 08 FF 51 18 E8 ?? ?? ?? ?? 47 4E 75 ED 8D 45 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43502_0 {
	meta:
		name = "getObject"
		size = 41
	strings:
		$1 = { 53 56 57 8B DA 8B F0 33 FF 8B C6 8B 10 FF 52 14 3B D8 7D 0F 85 DB 7C 0B 8B D3 8B C6 8B 08 FF 51 18 8B F8 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43503_0 {
	meta:
		name = "TIWContainerContext.GetComponentContext"
		size = 360
		refs = "0016 @UStrAddRef 001e TIWContainerContext.GetComponentContext 0031 UpperCase 003c @UStrLAsg 0046 TIWContainerContext.IsValidComponent 0068 AnsiPos 0075 getObject 00ab @UStrCopy 00c9 isBaseContainer 00d7 BaseContainerInterface 012b @UStrClr 0133 @IntfClear 0140 @UStrArrayClr 0146 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 C8 00 00 00 8B 55 FC 8B 43 10 8B 08 FF 51 54 8B F8 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 7C 0E 8B D7 8B 43 10 E8 ?? ?? ?? ?? 85 C0 74 11 8B D7 8B 43 10 8B 08 FF 51 18 8B F0 E9 8C 00 00 00 8D 45 F8 50 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 43 0C 8B 08 FF 51 54 8B D0 8B 43 0C 8B 08 FF 51 18 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 49 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 40 8B F8 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 EC 50 8D 53 02 8B CE 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_43504_0 {
	meta:
		name = "getObject"
		size = 41
	strings:
		$1 = { 53 56 57 8B DA 8B F0 33 FF 85 DB 7C 16 8B C6 8B 10 FF 52 14 3B D8 7D 0B 8B D3 8B C6 8B 08 FF 51 18 8B F8 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43505_0 {
	meta:
		name = "TIWContainerContext.GetControlInstance"
		size = 364
		refs = "0016 @UStrAddRef 001e TIWContainerContext.GetControlInstance 0031 UpperCase 003c @UStrLAsg 0046 TIWContainerContext.IsValidComponent 0065 getObject 007a AnsiPos 00a3 @UStrCopy 00c1 isBaseContainer 00cf BaseContainerInterface 0131 @UStrClr 0139 @IntfClear 0146 @UStrArrayClr 014c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 CE 00 00 00 8B 55 FC 8B 43 0C 8B 08 FF 51 54 8B F8 8B D7 8B 43 0C E8 ?? ?? ?? ?? 85 C0 0F 85 A3 00 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 8E 00 00 00 8D 45 F8 50 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 43 0C 8B 08 FF 51 54 8B D0 8B 43 0C 8B 08 FF 51 18 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 57 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 40 8B F8 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 EC 50 8D 53 02 8B CE 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 8B F0 EB 0C 8B D7 8B 43 0C 8B 08 FF 51 18 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C6 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_43508_0 {
	meta:
		name = "TIWContainerContext.GetMarkupLanguageTag"
		size = 80
		refs = "000e @UStrAddRef 0016 TIWContainerContext.GetMarkupLanguageTag 0026 TIWContainerContext.GetComponentContext 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 58 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_43509_0 {
	meta:
		name = "TIWContainerContext.IsValidComponent"
		size = 324
		refs = "0016 @UStrAddRef 001e TIWContainerContext.IsValidComponent 002f UpperCase 003a @UStrLAsg 005e AnsiPos 0087 @UStrCopy 009f TIWContainerContext.GetControlInstance 00a8 isBaseContainer 00b6 BaseContainerInterface 010a @UStrClr 0112 @IntfClear 011f @UStrArrayClr 0125 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 46 0C 8B 08 FF 51 54 40 0F 9F C3 84 DB 0F 85 A4 00 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 8F 00 00 00 8D 45 F8 50 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 60 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 49 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 40 8B F8 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 EC 50 8D 53 02 8B CE 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_43510_0 {
	meta:
		name = "TIWContainerContext.GetMarkupLanguageTagList"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 08 8B 08 FF 51 18 8B 40 04 5E 5B C3 }
	condition:
		$1
}

rule function_43511_0 {
	meta:
		name = "TIWBaseComponentContext.Create"
		size = 89
		refs = "000f @ClassCreate 0022 TObject.Create 0041 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 0C 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 0C 89 7B 08 8B 46 20 89 43 10 8B 45 08 89 43 14 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_43519_0 {
	meta:
		name = "TIWCallBackResponse.AddJavaScriptToExecute"
		size = 124
		refs = "000e @UStrAddRef 0016 TIWCallBackResponse.AddJavaScriptToExecute 002e TIWMarkupLanguageTagCollection.AddTag 003b TIWMarkupLanguageTagCollection.AddText 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B 55 FC 8B 40 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 6C 00 69 00 74 00 65 00 72 00 61 00 6C 00 00 00 }
	condition:
		$1
}

rule function_43520_0 {
	meta:
		name = "TIWCallBackResponse.AddTagToExecute"
		size = 14
		refs = "0009 TIWMarkupLanguageTagCollection.AddTagAsObject"
	strings:
		$1 = { 8B 40 08 8B 40 0C 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43521_0 {
	meta:
		name = "TIWCallBackResponse.AddTagToUpdate"
		size = 81
		refs = "000e @UStrAddRef 0016 TIWCallBackResponse.AddTagToUpdate 002c TIWMarkupLanguageTagCollection.AddText 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 40 0C 33 C9 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_43522_0 {
	meta:
		name = "TIWCallBackResponse.AddTagToUpdate"
		size = 14
		refs = "0009 TIWMarkupLanguageTagCollection.AddTagAsObject"
	strings:
		$1 = { 8B 40 04 8B 40 0C 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43523_0 {
	meta:
		name = "TIWCallBackResponse.Initialize"
		size = 148
		refs = "0011 TIWCallBackResponse.Initialize 0018 _Dn_TIWXMLTag 001d TIWXMLTag.CreateTag 0046 TIWMarkupLanguageTagCollection.AddTagAsObject"
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 40 0C 8B 10 FF 52 08 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 8B 43 0C 8B 40 0C 33 C9 8B 53 04 E8 ?? ?? ?? ?? 8B 43 0C 8B 40 0C 33 C9 8B 53 08 E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 06 00 00 00 75 00 70 00 64 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 65 00 78 00 65 00 63 00 75 00 74 00 65 00 00 00 }
	condition:
		$1
}

rule function_43524_0 {
	meta:
		name = "TIWCallBackResponse.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TObject.Create 001e TIWCallBackResponse.Create 0025 _Dn_TIWXMLTag 002a TIWXMLTag.CreateTag 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 72 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_43526_0 {
	meta:
		name = "TIWCallBackResponse.DoFullSubmit"
		size = 88
		refs = "0001 TIWCallBackResponse.DoFullSubmit 0008 _Dn_Exception 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 19 00 00 00 4F 00 70 00 65 00 72 00 61 00 74 00 69 00 6F 00 6E 00 20 00 6E 00 6F 00 74 00 20 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_43527_0 {
	meta:
		name = "TIWCallBackResponse.SetSubmitURL"
		size = 124
		refs = "000e @UStrAddRef 0016 TIWCallBackResponse.SetSubmitURL 002e TIWMarkupLanguageTagCollection.AddTag 003b TIWMarkupLanguageTagCollection.AddText 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B 55 FC 8B 40 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 75 00 62 00 6D 00 69 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_43528_0 {
	meta:
		name = "TIWCallBackResponse.SetTrackNumber"
		size = 124
		refs = "000e @UStrAddRef 0016 TIWCallBackResponse.SetTrackNumber 002e TIWMarkupLanguageTagCollection.AddTag 003b TIWMarkupLanguageTagCollection.AddText 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B 55 FC 8B 40 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 74 00 72 00 61 00 63 00 6B 00 69 00 64 00 00 00 }
	condition:
		$1
}

rule function_43529_0 {
	meta:
		name = "TIWCallBackResponse.StreamResponse"
		size = 196
		refs = "000d TIWCallBackResponse.StreamResponse 001f TIWRenderStream.WriteString 0029 TIWMarkupLanguageElement.Render 003c @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5E 5B 5D C3 00 00 B0 04 02 00 FF FF FF FF 37 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 55 00 54 00 46 00 2D 00 38 00 22 00 20 00 73 00 74 00 61 00 6E 00 64 00 61 00 6C 00 6F 00 6E 00 65 00 3D 00 22 00 79 00 65 00 73 00 22 00 3F 00 3E 00 00 00 }
	condition:
		$1
}

rule function_43532_0 {
	meta:
		name = "IWColorToIdent"
		size = 41
		refs = "000c IWColors 0015 IntToIdent 0022 ColorToIdent"
	strings:
		$1 = { 53 56 8B F2 8B D8 68 8E 00 00 00 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43533_0 {
	meta:
		name = "IdentToIWColor"
		size = 41
		refs = "000c IWColors 0015 IdentToInt 0022 IdentToColor"
	strings:
		$1 = { 53 56 8B F2 8B D8 68 8E 00 00 00 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43534_0 {
	meta:
		name = "GetIWColorValues"
		size = 35
		refs = "000b IWColors"
	strings:
		$1 = { 55 8B EC 53 56 BE 8F 00 00 00 BB ?? ?? ?? ?? 8B 13 8B 45 0C FF 55 08 83 C3 08 4E 75 F2 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_43535_0 {
	meta:
		name = "IWColorToString"
		size = 124
		refs = "000c toTColor 0013 IWColorToIdent 0025 ColorToIdent 0030 HexDisplayPrefix 004f IWColorToString 0054 FmtStr"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 84 C0 75 3D 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 84 C0 75 2B 6A 01 A1 ?? ?? ?? ?? 8B 00 89 44 24 04 C6 44 24 08 11 89 5C 24 0C C6 44 24 10 00 8D 4C 24 04 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 25 00 2E 00 38 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_43536_0 {
	meta:
		name = "StringToIWColor"
		size = 33
		refs = "0009 IdentToIWColor 0014 StrToInt"
	strings:
		$1 = { 53 51 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_70084_0 {
	meta:
		name = "StringToColor"
		size = 33
		refs = "0009 IdentToColor 0014 StrToInt"
	strings:
		$1 = { 53 51 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_43539_0 {
	meta:
		name = "ColorToRGBString"
		size = 320
		refs = "0015 ColorToRGBString 0022 @UStrClr 0029 toTColor 0038 @UStrAsg 005b ColorToRGB 0067 IntToHex 007a @UStrFromWChar 00dd @UStrCatN 00f7 @UStrArrayClr 00fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 40 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A0 00 00 00 8B C6 E8 ?? ?? ?? ?? 3D FF FF FF 1F 0F 84 8E 00 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CB BA 06 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC 8B 13 0F B7 52 08 E8 ?? ?? ?? ?? FF 75 FC 8D 45 F8 8B 13 0F B7 52 0A E8 ?? ?? ?? ?? FF 75 F8 8D 45 F4 8B 13 0F B7 52 04 E8 ?? ?? ?? ?? FF 75 F4 8D 45 F0 8B 13 0F B7 52 06 E8 ?? ?? ?? ?? FF 75 F0 8D 45 EC 8B 13 0F B7 12 E8 ?? ?? ?? ?? FF 75 EC 8D 45 E8 8B 13 0F B7 52 02 E8 ?? ?? ?? ?? FF 75 E8 8B C3 BA 07 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 74 00 72 00 61 00 6E 00 73 00 70 00 61 00 72 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_43540_0 {
	meta:
		name = "HTMLColor"
		size = 168
		refs = "0014 HTMLColor 0030 ColorToRGBString 0040 @UStrCatN 004b toTColor 005b iif 0075 @UStrArrayClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? FF 75 F8 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 3D FF FF FF 1F 0F 95 C0 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_43541_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_2 001a IWColors 0025 TIdentMapEntry 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 8F 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_43542_0 {
	meta:
		name = "IWColor"
		size = 30
		refs = "0002 _DV_2 000a IWColorToIdent 000f IdentToIWColor 0014 TIWColor 0019 RegisterIntegerConsts"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43932_0 {
	meta:
		name = "IWCompTabControl"
		size = 128
		refs = "0002 _DV_3 000a IWCompTabControl 0014 _Dn_TIWServer 0019 TIWServer.AddInternalFile"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 2F 00 6A 00 73 00 2F 00 74 00 61 00 62 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 2E 00 6A 00 73 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 57 00 5F 00 4A 00 53 00 5F 00 54 00 41 00 42 00 43 00 4F 00 4E 00 54 00 52 00 4F 00 4C 00 00 00 00 00 }
	condition:
		$1
}

rule function_45955_0 {
	meta:
		name = "IWRegion"
		size = 128
		refs = "0002 _DV_3 000a IWRegion 0014 _Dn_TIWServer 0019 TIWServer.AddInternalFile"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 2F 00 6A 00 73 00 2F 00 49 00 57 00 53 00 70 00 6C 00 69 00 74 00 74 00 65 00 72 00 2E 00 6A 00 73 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 57 00 5F 00 4A 00 53 00 5F 00 49 00 57 00 53 00 50 00 4C 00 49 00 54 00 54 00 45 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_89185_0 {
	meta:
		name = "Vcl.Touch.Gestures"
		size = 30
		refs = "0002 _DV_7 000a GestureToIdent 000f IdentToGesture 0014 TGestureID 0019 RegisterIntegerConsts"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43543_0 {
	meta:
		name = "TIWActiveX.InitControl"
		size = 49
		refs = "000b TIWCustomObject.InitControl 0012 _Dn_TIWFileReference 0017 TIWFileReference.Create"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 C8 02 00 00 8B 45 FC C6 80 C0 02 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_43544_0 {
	meta:
		name = "TIWActiveX.RenderHTML"
		size = 664
		refs = "001e TIWActiveX.RenderHTML 0052 @UStrCat3 0060 _Dn_TIWHTMLTag 0065 TIWMarkupLanguageTag.CreateTag 0083 @UStrCat 0093 TIWMarkupLanguageTag.AddStringParam 009b TIWHTMLTag.GetContents 00a7 TIWHTMLTagCollection.AddTag 00c5 TIWCustomObject.RenderHTML 00d6 TIWHTMLTagCollection.AddTagAsObject 0122 @UStrCatN 012d TIWMarkupLanguageTagCollection.AddText 0157 @UStrArrayClr 015d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 33 C9 89 4D DC 89 4D E0 89 4D E4 89 4D E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 CC 02 00 00 00 0F 84 FB 00 00 00 8D 55 E4 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 55 E4 8D 45 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 55 E0 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 4D E8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 33 C9 58 E8 ?? ?? ?? ?? EB 0E 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 5F 00 54 00 6F 00 42 00 65 00 52 00 65 00 57 00 72 00 69 00 74 00 74 00 65 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 69 00 76 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 5F 00 64 00 69 00 76 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6D 00 6D 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 63 00 72 00 69 00 70 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4A 00 61 00 76 00 61 00 73 00 63 00 72 00 69 00 70 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 6F 00 41 00 58 00 52 00 65 00 57 00 72 00 69 00 74 00 65 00 28 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 22 00 20 00 29 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_43545_0 {
	meta:
		name = "TIWActiveX.Dispose"
		size = 40
		refs = "0015 FreeAndNil 0020 TIWCustomObject.Dispose"
		altNames = "TIWMPEG.Dispose"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 05 C8 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43546_0 {
	meta:
		name = "TIWActiveX.DoFileReferenceChage"
		size = 416
		refs = "0014 TIWActiveX.DoFileReferenceChage 002f gServerController 0036 TIWServerControllerBase.GetFilesURL 0046 @UStrAsg 0081 @BoundErr 00a1 @UStrLen 00ad @IntOver 00c0 @UStrCopy 00d3 Pos 00f1 @UStrCat3 0102 TIWFileReference.GetFilename 010d ExtractFileName 013b @UStrClr 0148 @UStrArrayClr 014e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 1C 10 0F 85 FF 00 00 00 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 05 A4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 A4 02 00 00 00 75 12 8B 45 FC 05 A4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 01 00 00 00 8B 55 FC 8B 92 A4 02 00 00 48 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 40 66 83 7C 42 FE 2F 75 36 8B 45 FC 05 A4 02 00 00 50 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B C8 83 E9 01 71 05 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 A4 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 74 1B 8B 45 FC 05 A4 02 00 00 8B 55 FC 8B 8A A4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 4D F0 8B 45 FC 05 AC 02 00 00 8B 55 FC 8B 92 A4 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 2F 00 46 00 69 00 6C 00 65 00 73 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 2E 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2F 00 2E 00 2E 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_43547_0 {
	meta:
		name = "TIWActiveX.SetActiveXObject"
		size = 134
		refs = "0018 TIWActiveX.SetActiveXObject 0037 gServerController 003e TIWServerControllerBase.GetFilesURL 004c TIWFileReference.Location 005c @UStrAsg 0076 @UStrArrayClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F4 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 80 C8 02 00 00 8B 08 FF 51 08 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 05 98 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_43550_0 {
	meta:
		name = "TIWCustomButton.GetSubmitParam"
		size = 22
		refs = "000f @UStrAsg"
		altNames = "TIWCustomEdit.GetSubmitParam TIWCustomRadioGroup.GetSubmitParam"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 98 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43551_0 {
	meta:
		name = "TIWCustomButton.RenderAsync"
		size = 572
		refs = "0015 TIWCustomButton.RenderAsync 0029 _Dn_TIWXMLTag 002e TIWXMLTag.CreateTag 005c TIWMarkupLanguageTag.AddStringParam 0078 TControl.GetText 008d TIWCustomControl.RenderAsyncPropertyAsString 0094 TIWBaseHTMLControl.get_WebFont 00a1 TIWBaseHTMLControl.get_WebColor 00a6 toTColor 00bc ColorToRGBString 00cc @UStrCat3 00d9 TIWCustomControl.AddAsyncStyle 00f0 TIWCustomControl.RenderAsyncPropertyAsColor 0104 TIWCustomControl.RenderAsyncCommonProperties 0113 @HandleAnyException 0120 TObject.Free 0125 @DoneExcept 013f @UStrArrayClr 0147 @UStrClr 0155 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B C3 8B 08 FF 91 14 01 00 00 8B 4D F8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 6A 00 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 78 08 00 74 3F 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D 0F 00 00 FF 74 2C 8B C3 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B 45 FC 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 57 00 42 00 55 00 54 00 54 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 61 00 70 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 FF 07 00 00 }
	condition:
		$1
}

rule function_43552_0 {
	meta:
		name = "TIWCustomButton.RenderHTML"
		size = 1164
		refs = "001b TIWCustomButton.RenderHTML 003c _Dn_TIWHTMLTag 0041 TIWMarkupLanguageTag.CreateTag 0065 TIWMarkupLanguageTag.AddStringParam 0081 TControl.GetText 008d TIWBaseHTMLControl.TextToHTML 00ae @UStrCatN 00bd StringReplace 00c9 TIWHTMLTag.GetContents 00d1 TIWMarkupLanguageTagCollection.AddText 00e3 @HandleAnyException 00f0 TObject.Free 00f5 @RaiseAgain 00fa @DoneExcept 01f1 TIWBaseHTMLControl.get_WebFont 01fe TIWBaseHTMLControl.get_WebColor 0203 toTColor 021e ColorToRGBString 023c TIWFont.FontToStringStyle 0274 TIWMarkupLanguageTag.Add 02b4 @UStrArrayClr 02bc @UStrClr 02e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB A0 02 00 00 00 0F 84 CE 00 00 00 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 8B A0 02 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 6A 00 8D 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 03 B1 01 E8 ?? ?? ?? ?? 8B 45 F4 50 68 ?? ?? ?? ?? FF B3 A0 02 00 00 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D EC 8B 93 A0 02 00 00 58 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 94 00 00 00 E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 76 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 45 E8 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B 03 B1 01 E8 ?? ?? ?? ?? 8B 4D E8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 E0 8B C3 8B 08 FF 91 14 01 00 00 8B 4D E0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 0F B6 83 9C 02 00 00 2C 01 72 08 74 1A FE C8 74 2A EB 3A B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 26 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 78 08 00 74 65 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D 0F 00 00 FF 74 52 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 D8 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 D4 50 8B C3 E8 ?? ?? ?? ?? 0F B6 56 1C 33 C9 E8 ?? ?? ?? ?? FF 75 D4 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D DC BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 68 84 C0 75 0D BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C1 8B 45 FC 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 55 00 54 00 54 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 41 00 43 00 43 00 45 00 53 00 53 00 4B 00 45 00 59 00 00 00 02 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3C 00 75 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 2F 00 75 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 41 00 4C 00 55 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 75 00 62 00 6D 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 75 00 74 00 74 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 72 00 65 00 73 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 54 00 59 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 49 00 53 00 41 00 42 00 4C 00 45 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_43553_0 {
	meta:
		name = "TIWCustomButton.Submit"
		size = 32
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 98 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_43554_0 {
	meta:
		name = "TIWCustomButton.InitControl"
		size = 96
		refs = "0006 TIWCustomControl.InitControl 0010 fromTColor 0019 TIWBaseHTMLControl.set_WebColor 0030 TIWCustomControl.set_RenderSize 003c TControl.SetHeight 0048 TControl.SetWidth 0053 @UStrClr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B8 0F 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? C6 83 D0 01 00 00 01 C6 83 9C 02 00 00 01 B2 01 8B C3 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 4B 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 A0 02 00 00 E8 ?? ?? ?? ?? C6 83 E8 01 00 00 01 5B C3 }
	condition:
		$1
}

rule function_43555_0 {
	meta:
		name = "TIWCustomButton.HookEvents"
		size = 180
		refs = "0011 TIWCustomButton.HookEvents 0020 TIWCustomControl.HookEvents 0035 TIWCustomControl.SubmitHandler 0040 TIWVCLBaseControl.HasOnClick 005b iif 006a TIWScriptEvents.HookEvent 0084 @UStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 6A 00 8D 45 F8 50 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0D 80 BB 9C 02 00 00 00 74 04 33 C0 EB 02 B0 01 33 C9 5A E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 6E 00 43 00 6C 00 69 00 63 00 6B 00 00 00 }
	condition:
		$1
}

rule function_43558_0 {
	meta:
		name = "TIWCalendar.CellExists"
		size = 141
		refs = "0039 RSIndexOutOfBounds 0042 _Dn_Exception 0047 Exception.Create 004c @RaiseExcept 0066 @BoundErr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 8B 55 FC 3B 82 F0 02 00 00 7D 1A 8B 45 F8 8B 55 FC 3B 82 F4 02 00 00 7D 0C 83 7D F4 00 7C 06 83 7D F8 00 7D 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 F4 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 83 3C 90 00 0F 95 45 F3 8A 45 F3 8B E5 5D C3 }
	condition:
		$1
}

rule function_43559_0 {
	meta:
		name = "TIWCalendar.InitControl"
		size = 488
		refs = "000d TIWCustomGrid.InitControl 0012 _DV_TIWCalendarCell 001d _DV_TIWCalendarCells 0022 TOwnedCollection.Create 0032 _Dn_TIWFileReference 0037 TIWFileReference.Create 0074 fromTColor 00aa _Dn_TIWFont 00af TIWFont.Create 00ef RSNext 00f6 @UStrAsg 0104 RSPrevious 011a Now 015b :TIWCustomGrid.:2 0160 @DynArraySetLength 0176 @IntOver 01a9 @BoundErr 01b7 :TIWCustomGrid.:1 01cc SysLocale"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 F8 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 FC 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 00 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 04 03 00 00 B8 DC DC DC 00 E8 ?? ?? ?? ?? 8B 55 FC 89 82 08 03 00 00 B8 E6 E6 FA 00 E8 ?? ?? ?? ?? 8B 55 FC 89 82 38 03 00 00 B8 B0 C4 DE 00 E8 ?? ?? ?? ?? 8B 55 FC 89 82 0C 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 10 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 14 03 00 00 8B 45 FC C6 80 3C 03 00 00 00 8B 45 FC C6 80 49 03 00 00 01 8B 45 FC 05 6C 03 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8B 45 FC 05 70 03 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8B 45 FC C6 80 48 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC DD 98 78 03 00 00 9B 8B 45 FC C7 80 F4 02 00 00 08 00 00 00 8B 45 FC C7 80 F0 02 00 00 07 00 00 00 8B 45 FC 8B 80 F4 02 00 00 50 8B 45 FC 05 B8 02 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 80 F4 02 00 00 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 4D 40 89 45 F4 C7 45 F8 00 00 00 00 8B 45 FC 8B 80 F0 02 00 00 50 8B 45 F8 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8D 04 82 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 FF 45 F8 FF 4D F4 75 BE A1 ?? ?? ?? ?? 8B 00 85 C0 79 05 E8 ?? ?? ?? ?? 8B 55 FC 89 82 84 03 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_43560_0 {
	meta:
		name = "TIWCalendar.InitDesignTime"
		size = 74
		refs = "000b TIWBaseHTMLControl.InitDesignTime 0022 TIWCalendar.SetStartDate 003c RSToday 0043 @UStrAsg"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC FF B0 7C 03 00 00 FF B0 78 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B1 01 00 00 00 74 15 8B 45 FC 05 68 03 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_43561_0 {
	meta:
		name = "TIWCalendar.Dispose"
		size = 105
		refs = "0015 FreeAndNil 0061 TIWCustomGrid.Dispose"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 05 F8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 FC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 00 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 04 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 10 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 14 03 00 00 E8 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43562_0 {
	meta:
		name = "TIWCalendar.DoCellClick"
		size = 124
		refs = "0019 TIWCalendar.GetCell 0058 TIWCalendar.DoCellClick 006f TIWCalendar.SetSelectedDate"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 83 7D F8 00 75 11 83 7D F4 00 75 0B 8B 45 FC 8B 10 FF 92 78 01 00 00 83 7D F8 00 75 13 83 7D F4 06 75 0D 33 D2 8B 45 FC 8B 08 FF 91 7C 01 00 00 8B 45 F0 DD 40 60 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 11 8B 45 F0 FF 70 64 FF 70 60 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_43563_0 {
	meta:
		name = "TIWCalendar.GoNextMonth"
		size = 93
		refs = "0033 @IntOver"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 66 83 B8 EC 02 00 00 0C 75 20 8B 45 FC 66 C7 80 EC 02 00 00 01 00 8B 45 FC 66 83 80 EE 02 00 00 01 73 19 E8 ?? ?? ?? ?? EB 12 8B 45 FC 66 83 80 EC 02 00 00 01 73 05 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 91 74 01 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_43564_0 {
	meta:
		name = "TIWCalendar.GoPreviousMonth"
		size = 86
		refs = "002e @IntOver"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 66 83 B8 EC 02 00 00 01 75 20 8B 45 FC 66 C7 80 EC 02 00 00 0C 00 8B 45 FC 66 83 A8 EE 02 00 00 01 73 19 E8 ?? ?? ?? ?? EB 12 8B 45 FC 66 83 A8 EC 02 00 00 01 73 05 E8 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 91 74 01 00 00 59 5D C3 }
	condition:
		$1
}

rule function_43565_0 {
	meta:
		name = "TIWCalendar.GetCell"
		size = 226
		refs = "0019 TIWCalendar.CellExists 002f TIWCalendarCells.Add 0049 @BoundErr 0068 TIWBaseHTMLControl.get_WebFont"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 82 00 00 00 8B 45 FC 8B 80 F8 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B 89 B8 02 00 00 85 C9 74 05 3B 51 FC 72 05 E8 ?? ?? ?? ?? 8B 14 91 8B 4D F4 85 D2 74 05 3B 4A FC 72 05 E8 ?? ?? ?? ?? 89 04 8A 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 4D FC 8B 89 B8 02 00 00 85 C9 74 05 3B 41 FC 72 05 E8 ?? ?? ?? ?? 8B 04 81 8B 4D F4 85 C0 74 05 3B 48 FC 72 05 E8 ?? ?? ?? ?? 8B 04 88 8B 40 24 8B 08 FF 51 08 8B 45 F8 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 F4 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 8B 04 90 89 45 F0 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_43566_0 {
	meta:
		name = "TIWCalendar.LoadMonth"
		size = 2096
		refs = "001f TFormatSettings 0024 @InitializeRecord 002c TIWCalendar.LoadMonth 0052 TIWCalendar.GetCell 0069 @IntOver 0090 TIWGridCell.SetText 00a4 TIWGridCell.SetHeight 00c4 TIWGridCell.SetWidth 016b TIWFileReference.Location 0191 TIWImageFile.SetImageFile 023e EncodeDate 0356 TIWFileReference.SetFilename 0362 TIWCalendarCell.SetCellDate 037c IsLeapYear 038f MonthDays 03a7 @BoundErr 03e3 DayOfWeek 0456 IntToStr 04de Format 0500 Date 0562 Trim 05ff GetLocaleFormatSettings 0618 FormatDateTime 0639 DecodeDate 06c8 iif 0721 TIWCustomControl.set_DoRefreshControl 073e @UStrArrayClr 075f @FinalizeRecord 0767 @UStrClr 076d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 29 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 B8 89 45 FC 8D 85 F4 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 84 01 00 00 33 C0 89 45 F8 8B 4D F8 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 CC 8B 45 FC 0F B6 80 80 03 00 00 03 45 F8 71 05 E8 ?? ?? ?? ?? B9 07 00 00 00 99 F7 F9 8D 8D F0 FE FF FF 8B 45 FC 8B 18 FF 93 80 01 00 00 8B 95 F0 FE FF FF 8B 45 CC E8 ?? ?? ?? ?? 8B 45 CC C6 40 11 02 BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8B 45 CC C6 40 40 00 8B 45 F8 85 C0 74 14 83 E8 06 74 0F BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? EB 0D BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? FF 45 F8 83 7D F8 07 0F 85 62 FF FF FF 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? C6 40 18 01 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? C6 40 11 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? C6 40 40 00 B9 06 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? C6 40 18 01 B9 06 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? C6 40 11 01 B9 06 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? C6 40 40 00 8B 45 FC 83 B8 04 03 00 00 00 74 3E 8D 8D EC FE FF FF 33 D2 8B 45 FC 8B 80 04 03 00 00 E8 ?? ?? ?? ?? 83 BD EC FE FF FF 00 74 1F 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 40 5C 8B 55 FC 8B 92 04 03 00 00 E8 ?? ?? ?? ?? EB 1A 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 92 70 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 00 03 00 00 00 74 41 8D 8D E8 FE FF FF 33 D2 8B 45 FC 8B 80 00 03 00 00 E8 ?? ?? ?? ?? 83 BD E8 FE FF FF 00 74 22 B9 06 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 40 5C 8B 55 FC 8B 92 00 03 00 00 E8 ?? ?? ?? ?? EB 1D B9 06 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 92 6C 03 00 00 E8 ?? ?? ?? ?? 66 C7 45 EE 01 00 C6 45 DF 01 66 8B 4D EE 8B 45 FC 66 8B 90 EC 02 00 00 8B 45 FC 66 8B 80 EE 02 00 00 E8 ?? ?? ?? ?? DD 5D E0 9B 8B 45 FC 8B 80 F4 02 00 00 83 E8 01 71 05 E8 ?? ?? ?? ?? 83 E8 05 71 05 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 F4 02 00 00 83 EA 01 71 05 E8 ?? ?? ?? ?? 2B D0 0F 8C 68 03 00 00 42 89 55 C8 89 45 F8 8B 45 FC 8B 80 F0 02 00 00 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C 3A 03 00 00 40 89 45 C4 C7 45 F4 00 00 00 00 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 C0 8B 45 C0 C6 40 11 02 8B 45 C0 C6 40 40 00 33 D2 8B 45 C0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 3C 03 00 00 00 74 30 80 7D DF 00 74 11 8B 45 FC 8B 80 08 03 00 00 8B 55 C0 89 42 14 EB 0F 8B 45 FC 8B 80 38 03 00 00 8B 55 C0 89 42 14 8A 45 DF 34 01 88 45 DF EB 0F 8B 45 FC 8B 80 08 03 00 00 8B 55 C0 89 42 14 8B 45 FC 8B 90 10 03 00 00 8B 45 C0 8B 40 24 8B 08 FF 51 08 8B 45 C0 C6 40 18 00 8B 45 C0 8B 40 5C 8B 80 C4 02 00 00 33 D2 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 C0 E8 ?? ?? ?? ?? 8B 45 C0 8B 40 68 8B 10 FF 52 44 8B 45 FC 66 8B 80 EE 02 00 00 E8 ?? ?? ?? ?? 83 E0 7F 6B C0 03 71 05 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8D 04 C2 8B 55 FC 0F B7 92 EC 02 00 00 4A 83 FA 0B 76 05 E8 ?? ?? ?? ?? 42 66 8B 44 50 FE 66 3B 45 EE 0F 82 13 02 00 00 66 8B 4D EE 8B 45 FC 66 8B 90 EC 02 00 00 8B 45 FC 66 8B 80 EE 02 00 00 E8 ?? ?? ?? ?? DD 5D E0 9B FF 75 E4 FF 75 E0 E8 ?? ?? ?? ?? 0F B7 C0 83 C0 05 71 05 E8 ?? ?? ?? ?? B9 07 00 00 00 33 D2 F7 F1 8B CA 8B 45 FC 0F B6 80 80 03 00 00 03 45 F4 71 05 E8 ?? ?? ?? ?? BB 07 00 00 00 99 F7 FB 3B CA 0F 85 AB 01 00 00 FF 75 E4 FF 75 E0 8B 45 C0 E8 ?? ?? ?? ?? 8B 45 C0 FF 70 64 FF 70 60 8B 45 C0 8B 50 68 8B 45 FC 8B 08 FF 91 70 01 00 00 8D 95 E4 FE FF FF 0F B7 45 EE E8 ?? ?? ?? ?? 8B 95 E4 FE FF FF 8B 45 C0 E8 ?? ?? ?? ?? 8B 45 C0 8B 40 68 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 77 40 89 45 BC C7 45 F0 00 00 00 00 8D 85 E0 FE FF FF 50 8B 45 C0 8B 40 38 89 85 D0 FE FF FF C6 85 D4 FE FF FF 11 8D 8D CC FE FF FF 8B 55 F0 8B 45 C0 8B 40 68 8B 18 FF 53 0C 8B 85 CC FE FF FF 89 85 D8 FE FF FF C6 85 DC FE FF FF 11 8D 95 D0 FE FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 E0 FE FF FF 8B 45 C0 E8 ?? ?? ?? ?? FF 45 F0 FF 4D BC 75 94 8B 45 C0 C6 40 18 01 E8 ?? ?? ?? ?? DC 5D E0 9B DF E0 9E 0F 85 B1 00 00 00 8B 45 FC 83 B8 FC 02 00 00 00 74 35 8D 8D C8 FE FF FF 33 D2 8B 45 FC 8B 80 FC 02 00 00 E8 ?? ?? ?? ?? 83 BD C8 FE FF FF 00 74 16 8B 45 FC 8B 90 FC 02 00 00 8B 45 C0 8B 40 5C E8 ?? ?? ?? ?? EB 70 8D 95 C4 FE FF FF 8B 45 FC 8B 80 68 03 00 00 E8 ?? ?? ?? ?? 83 BD C4 FE FF FF 00 74 53 8D 85 C0 FE FF FF 50 8B 45 FC 8B 80 68 03 00 00 89 85 D0 FE FF FF C6 85 D4 FE FF FF 11 8B 45 C0 8B 40 38 89 85 D8 FE FF FF C6 85 DC FE FF FF 11 8D 95 D0 FE FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 C0 FE FF FF 8B 45 C0 E8 ?? ?? ?? ?? 66 83 45 EE 01 73 05 E8 ?? ?? ?? ?? FF 45 F4 FF 4D C4 0F 85 D1 FC FF FF FF 45 F8 FF 4D C8 0F 85 9F FC FF FF 8D 95 F4 FE FF FF 8B 45 FC 8B 80 84 03 00 00 85 C0 79 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E4 FF 75 E0 8D 4D D8 8D 95 F4 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 32 03 00 00 00 74 2A FF 75 E4 FF 75 E0 8D 4D D2 8D 55 D4 8D 45 D6 E8 ?? ?? ?? ?? 8D 4D D8 0F B7 55 D4 8B 5D FC 8B 83 34 03 00 00 FF 93 30 03 00 00 8D 85 BC FE FF FF 50 8D 85 B8 FE FF FF 50 8B 45 D8 89 85 D0 FE FF FF C6 85 D4 FE FF FF 11 FF 75 E4 FF 75 E0 8D 8D B4 FE FF FF 8D 95 F4 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 B4 FE FF FF 89 85 D8 FE FF FF C6 85 DC FE FF FF 11 8D 95 D0 FE FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 B8 FE FF FF 8B 4D D8 8B 45 FC 8A 80 49 03 00 00 E8 ?? ?? ?? ?? 8B 85 BC FE FF FF 50 B9 01 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? B9 01 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? C6 40 11 02 B9 01 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 40 24 8B 55 FC 8B 92 14 03 00 00 8B 08 FF 51 08 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 B4 FE FF FF BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 85 E0 FE FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BF 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 32 00 30 00 25 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 31 00 34 00 25 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 31 00 35 00 25 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 31 00 30 00 25 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 3C 00 42 00 52 00 3E 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6D 00 6D 00 6D 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 79 00 79 00 79 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_43567_0 {
	meta:
		name = "TIWCalendar.RenderCells"
		size = 1396
		refs = "002b TIWCalendar.RenderCells 003f TIWCustomGrid.RenderCells 0047 TIWHTMLTag.GetContents 0053 TIWHTMLTagCollection.AddTag 007f TIWMarkupLanguageTag.AddIntegerParam 00a8 TIWMarkupLanguageTag.AddStringParam 00f6 @BoundErr 0126 TIWCalendarCell.RenderContents 0136 TIWCustomControl.SubmitLink 0144 TIWMarkupLanguageElement.Render 014c TObject.Free 0174 TIWHTMLTagCollection.AddTagAsObject 027c @IntOver 02d9 TIWCalendar.CellExists 0355 IntToStr 0378 @UStrCatN 041a TIWMarkupLanguageTagCollection.AddText 044c @UStrArrayClr 0454 @UStrClr 045a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 33 DB 89 5D A0 89 5D 9C 89 5D 98 89 5D 94 89 5D A4 89 5D A8 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 B9 07 00 00 00 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 33 D2 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 8B 04 90 89 45 D4 6A 00 8B 45 F8 8A 40 1C 50 8D 4D A8 8B 55 F8 8B 45 D4 E8 ?? ?? ?? ?? 8B 55 A8 B9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 D0 8D 55 E8 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 6A 00 8B 45 F8 50 8B 45 E8 50 33 C9 8B 55 FC 8B 45 D4 8B 18 FF 53 20 50 8B 45 D8 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 33 C0 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 BA 01 00 00 00 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 8B 04 90 89 45 CC 6A 01 8B 45 F8 50 6A 00 33 C9 8B 55 FC 8B 45 CC 8B 18 FF 53 20 50 8B 45 D8 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 33 C0 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 BA 06 00 00 00 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 8B 04 90 89 45 C8 6A 00 8B 45 F8 8A 40 1C 50 8D 4D A4 8B 55 F8 8B 45 C8 E8 ?? ?? ?? ?? 8B 55 A4 B9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 C4 8D 55 E8 8B 45 C4 E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 6A 06 8B 45 F8 50 8B 45 E8 50 33 C9 8B 55 FC 8B 45 C8 8B 18 FF 53 20 50 8B 45 D8 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F4 02 00 00 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8E AE 01 00 00 89 45 C0 C7 45 F0 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 BC 8B 45 FC 8B 80 F0 02 00 00 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C 66 01 00 00 40 89 45 B8 C7 45 EC 00 00 00 00 8B 4D EC 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 11 01 00 00 8B 45 F0 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 EC 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 8B 04 90 89 45 B4 8B 45 B4 80 78 41 00 0F 84 F8 00 00 00 8B 45 B4 80 78 18 00 0F 84 98 00 00 00 6A 00 8B 45 F8 8A 40 1C 50 8D 4D A0 8B 55 F8 8B 45 B4 E8 ?? ?? ?? ?? 8B 45 A0 50 8D 55 98 8B 45 F0 E8 ?? ?? ?? ?? FF 75 98 68 ?? ?? ?? ?? 8D 55 94 8B 45 EC E8 ?? ?? ?? ?? FF 75 94 8D 45 9C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D 9C 8B 45 FC 5A E8 ?? ?? ?? ?? 89 45 B0 8D 55 E8 8B 45 B0 E8 ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 50 8B 45 E8 50 8B 4D F0 8B 55 FC 8B 45 B4 8B 18 FF 53 20 50 8B 45 BC E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? EB 53 8B 45 EC 50 8B 45 F8 50 6A 00 8B 4D F0 8B 55 FC 8B 45 B4 8B 18 FF 53 20 50 8B 45 BC E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? EB 28 8B 45 BC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 AC 8B 45 AC E8 ?? ?? ?? ?? 33 C9 33 D2 E8 ?? ?? ?? ?? FF 45 EC FF 4D B8 0F 85 A5 FE FF FF FF 45 F0 FF 4D C0 0F 85 5C FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 4F 00 4C 00 53 00 50 00 41 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 61 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 31 00 30 00 30 00 25 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 77 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 65 00 6C 00 6C 00 70 00 61 00 64 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 65 00 6C 00 6C 00 73 00 70 00 61 00 63 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 30 00 5F 00 30 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 30 00 5F 00 36 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 }
	condition:
		$1
}

rule function_43568_0 {
	meta:
		name = "TIWCalendar.GetSubmitParam"
		size = 33
		refs = "0019 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 92 E8 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43569_0 {
	meta:
		name = "TIWCalendar.IsValidCell"
		size = 23
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F4 89 45 FC C6 45 FB 00 8A 45 FB 8B E5 5D C3 }
	condition:
		$1
}

rule function_43570_0 {
	meta:
		name = "TIWCalendar.RenderHTML"
		size = 864
		refs = "001d TIWCalendar.RenderHTML 002b TIWCalendar.SetHeaderCells 0039 _Dn_TIWHTMLTag 003e TIWMarkupLanguageTag.CreateTag 006d TIWMarkupLanguageTag.AddStringParam 0083 TIWMarkupLanguageTag.AddColor 0099 TIWMarkupLanguageTag.AddIntegerParam 00c3 TIWCustomControl.get_UseFrame 00d9 @IntOver 00e4 iif 0104 TIWCustomControl.set_RenderSize 0118 TControl.GetText 012d @UStrCatN 0153 TIWHTMLTag.GetContents 015b TIWMarkupLanguageTagCollection.AddText 01cb @HandleAnyException 01d3 FreeAndNil 01d8 @RaiseAgain 01dd @DoneExcept 01f2 @UStrClr 01ff @UStrArrayClr 021f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 4D F0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 B4 02 00 00 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 BC 02 00 00 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 C0 02 00 00 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 DC 02 00 00 00 74 38 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 52 50 8B 4D FC 2B 91 C4 02 00 00 71 05 E8 ?? ?? ?? ?? 8B 4D FC 8B 49 50 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8A 90 DC 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 EC 50 68 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 33 C9 5A E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8D 45 DC 50 68 ?? ?? ?? ?? 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC 8B 80 D8 02 00 00 33 C9 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 8B 45 FC 8B 18 FF 93 60 01 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 41 00 42 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 47 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 45 00 4C 00 4C 00 50 00 41 00 44 00 44 00 49 00 4E 00 47 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 45 00 4C 00 4C 00 53 00 50 00 41 00 43 00 49 00 4E 00 47 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 49 00 44 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 43 00 41 00 50 00 54 00 49 00 4F 00 4E 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 3C 00 2F 00 43 00 41 00 50 00 54 00 49 00 4F 00 4E 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 53 00 55 00 4D 00 4D 00 41 00 52 00 59 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 3C 00 2F 00 53 00 55 00 4D 00 4D 00 41 00 52 00 59 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_43571_0 {
	meta:
		name = "TIWCalendar.SetCurrentDayImage"
		size = 33
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 FC 02 00 00 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_43572_0 {
	meta:
		name = "TIWCalendar.SetNextMonthImage"
		size = 33
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 00 03 00 00 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_43573_0 {
	meta:
		name = "TIWCalendar.SetOnDateChange"
		size = 33
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 55 08 89 90 18 03 00 00 8B 55 0C 89 90 1C 03 00 00 59 5D C2 08 00 }
	condition:
		$1
}

rule function_43574_0 {
	meta:
		name = "TIWCalendar.SetPreviousMonthImage"
		size = 33
		altNames = "TIWDBNavigator.SetDBNavImages"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 04 03 00 00 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_43575_0 {
	meta:
		name = "TIWCalendar.Submit"
		size = 180
		refs = "0019 TIWCalendar.Submit 002f @UStrAsg 003a @UStrLAsg 004f Fetch 0057 StrToInt 008b @UStrClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 05 E8 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 89 45 EC 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 8B 4D F0 8B 55 EC 8B 45 FC 8B 18 FF 93 6C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 }
	condition:
		$1
}

rule function_43576_0 {
	meta:
		name = "TIWCalendar.GetCurrentDayImage"
		size = 28
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 80 FC 02 00 00 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_43577_0 {
	meta:
		name = "TIWCalendar.GetNextMonthImage"
		size = 28
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 80 00 03 00 00 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_43578_0 {
	meta:
		name = "TIWCalendar.GetPreviousMonthImage"
		size = 28
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 80 04 03 00 00 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_43579_0 {
	meta:
		name = "TIWCalendar.SetCalendarFont"
		size = 33
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 10 03 00 00 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_43580_0 {
	meta:
		name = "TIWCalendar.SetCalendarHeaderFont"
		size = 33
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 14 03 00 00 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_43581_0 {
	meta:
		name = "TIWCalendar.SetHeaderCells"
		size = 116
		refs = "0018 @IntOver 0037 TIWCalendar.GetCell"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC 8B 45 FC 8B 80 F0 02 00 00 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 50 40 89 45 F4 C7 45 F8 00 00 00 00 8B 4D F8 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 40 24 8B 55 FC 8B 92 14 03 00 00 8B 08 FF 51 08 8B 4D F8 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 92 0C 03 00 00 89 50 14 FF 45 F8 FF 4D F4 75 BB 8B E5 5D C3 }
	condition:
		$1
}

rule function_43582_0 {
	meta:
		name = "TIWCalendar.DoGetDateInformation"
		size = 57
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC 66 83 B8 22 03 00 00 00 74 18 FF 75 0C FF 75 08 8B 5D FC 8B 55 F8 8B 83 24 03 00 00 FF 93 20 03 00 00 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_43583_0 {
	meta:
		name = "TIWCalendar.GetDayName"
		size = 86
		refs = "0018 @IntOver 003e @BoundErr 004e @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 83 C0 01 71 05 E8 ?? ?? ?? ?? B9 07 00 00 00 99 F7 F9 83 C2 01 71 05 E8 ?? ?? ?? ?? 89 55 F8 8B 45 F4 8B 55 F8 4A 83 FA 06 76 05 E8 ?? ?? ?? ?? 42 8B 4D FC 8B 94 91 48 03 00 00 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_43584_0 {
	meta:
		name = "TIWCalendar.SetStartDate"
		size = 267
		refs = "0060 DecodeDate 0065 Now 00ab EncodeDate 00ba TIWCalendar.SetSelectedDate"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC DD 45 08 8B 45 FC DC 98 78 03 00 00 9B DF E0 9E 0F 84 E6 00 00 00 8B 45 FC 8B 55 08 89 90 78 03 00 00 8B 55 0C 89 90 7C 03 00 00 8B 45 FC 33 D2 89 90 40 03 00 00 89 90 44 03 00 00 FF 75 0C FF 75 08 8D 4D FA 8B 45 FC 8D 90 EC 02 00 00 8B 45 FC 05 EE 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 4D FA 8D 55 F6 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 66 8B 80 EC 02 00 00 66 3B 45 F6 75 32 8B 45 FC 66 8B 80 EE 02 00 00 66 3B 45 F8 75 22 66 8B 4D FA 66 8B 55 F6 66 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 FC E8 ?? ?? ?? ?? EB 2C 66 B9 01 00 8B 45 FC 66 8B 90 EC 02 00 00 8B 45 FC 66 8B 80 EE 02 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B1 01 00 00 00 75 0D 33 D2 8B 45 FC 8B 08 FF 91 74 01 00 00 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_43585_0 {
	meta:
		name = "TIWCalendar.DoGetDayNames"
		size = 337
		refs = "001d TFormatSettings 0022 @InitializeRecord 002a TIWCalendar.DoGetDayNames 0048 @BoundErr 004d GetLocaleFormatSettings 008f iif 00b3 @UStrAsg 012f @UStrClr 0140 @FinalizeRecord 0146 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 30 FF FF FF 53 33 D2 89 95 30 FF FF FF 89 45 FC 8D 85 34 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 34 FF FF FF 8B 45 FC 8B 80 84 03 00 00 85 C0 79 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 F8 01 00 00 00 8D 85 30 FF FF FF 50 8B 45 F8 48 83 F8 06 76 05 E8 ?? ?? ?? ?? 40 8B 4C 85 B4 8B 45 F8 48 83 F8 06 76 05 E8 ?? ?? ?? ?? 40 8B 54 85 D0 8B 45 FC 8A 80 48 03 00 00 E8 ?? ?? ?? ?? 8B 95 30 FF FF FF 8B 45 F8 48 83 F8 06 76 05 E8 ?? ?? ?? ?? 40 8B 4D FC 8D 84 81 48 03 00 00 E8 ?? ?? ?? ?? FF 45 F8 83 7D F8 08 75 98 8B 45 FC 66 83 B8 2A 03 00 00 00 74 4E 8B 45 FC 05 54 03 00 00 50 8B 45 FC 05 58 03 00 00 50 8B 45 FC 05 5C 03 00 00 50 8B 45 FC 05 60 03 00 00 50 8B 45 FC 05 64 03 00 00 50 8B 45 FC 8D 88 50 03 00 00 8B 45 FC 8D 90 4C 03 00 00 8B 5D FC 8B 83 2C 03 00 00 FF 93 28 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 8D 85 34 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43586_0 {
	meta:
		name = "TIWCalendar.DoRenderCell"
		size = 61
		altNames = "TIWCustomGrid.DoRenderCell"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 66 83 B8 D2 02 00 00 00 74 19 8B 45 08 50 8B 5D FC 8B 4D F4 8B 55 F8 8B 83 D4 02 00 00 FF 93 D0 02 00 00 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_43587_0 {
	meta:
		name = "TIWCalendar.DefineProperties"
		size = 320
		refs = "0014 TControl.DefineProperties 001d TIWCalendar.LoadCaptionToday 0026 TIWCalendar.StoreCaptionToday 0035 RSToday 003c @UStrEqual 0044 TIWCalendar.DefineProperties 0055 TIWCalendar.LoadCaptionPrevious 005e TIWCalendar.StoreCaptionPrevious 006d RSPrevious 008d TIWCalendar.LoadCaptionNext 0096 TIWCalendar.StoreCaptionNext 00a5 RSNext"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 8B 80 68 03 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 95 C1 BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 53 04 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 8B 80 70 03 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 95 C1 BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 53 04 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 8B 80 6C 03 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 95 C1 BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 61 00 70 00 74 00 69 00 6F 00 6E 00 54 00 6F 00 64 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 61 00 70 00 74 00 69 00 6F 00 6E 00 50 00 72 00 65 00 76 00 69 00 6F 00 75 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 70 00 74 00 69 00 6F 00 6E 00 4E 00 65 00 78 00 74 00 00 00 }
	condition:
		$1
}

rule function_43588_0 {
	meta:
		name = "TIWCalendar.LoadCaptionToday"
		size = 91
		refs = "0015 TIWCalendar.LoadCaptionToday 0026 TReader.ReadString 0036 @UStrAsg 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 05 68 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_43589_0 {
	meta:
		name = "TIWCalendar.StoreCaptionToday"
		size = 33
		refs = "0019 TWriter.WriteString"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 90 68 03 00 00 8B 45 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43590_0 {
	meta:
		name = "TIWCalendar.LoadCaptionPrevious"
		size = 91
		refs = "0015 TIWCalendar.LoadCaptionPrevious 0026 TReader.ReadString 0036 @UStrAsg 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 05 70 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_43591_0 {
	meta:
		name = "TIWCalendar.StoreCaptionPrevious"
		size = 33
		refs = "0019 TWriter.WriteString"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 90 70 03 00 00 8B 45 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43592_0 {
	meta:
		name = "TIWCalendar.LoadCaptionNext"
		size = 91
		refs = "0015 TIWCalendar.LoadCaptionNext 0026 TReader.ReadString 0036 @UStrAsg 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 05 6C 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_43593_0 {
	meta:
		name = "TIWCalendar.StoreCaptionNext"
		size = 33
		refs = "0019 TWriter.WriteString"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 90 6C 03 00 00 8B 45 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43594_0 {
	meta:
		name = "TIWCalendar.SetSelectedDate"
		size = 96
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC DD 80 40 03 00 00 DC 5D 08 9B DF E0 9E 74 40 8B 45 FC 8B 55 08 89 90 40 03 00 00 8B 55 0C 89 90 44 03 00 00 8B 45 FC 66 83 B8 1A 03 00 00 00 74 1E 8B 45 FC FF B0 44 03 00 00 FF B0 40 03 00 00 8B 5D FC 8B 83 1C 03 00 00 FF 93 18 03 00 00 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_43595_0 {
	meta:
		name = "TIWCalendarCell.Create"
		size = 145
		refs = "000e @ClassCreate 0024 TIWGridCell.Create 002c TIWCalendarCells.Owner 0032 _DV_TIWCalendar 0037 @AsClass 0046 _Dn_TIWImageFile 004b TIWCustomControl.Create 0063 _Dn_TStringList 0068 TStringList.Create 007c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 58 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 5C 8B 45 FC 33 D2 89 50 60 89 50 64 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 68 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_43596_0 {
	meta:
		name = "TIWCalendarCell.Destroy"
		size = 71
		refs = "0007 @BeforeDestruction 0018 TObject.Free 0031 TIWGridCell.Destroy 003f @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 40 5C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 68 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43597_0 {
	meta:
		name = "TIWCalendarCell.RenderContents"
		size = 296
		refs = "0019 TIWCalendarCell.RenderContents 0028 _Dn_TIWHTMLTag 002d TIWMarkupLanguageElement.Create 0054 TIWFileReference.Location 0067 TIWCustomImage.SetUseSize 0081 TIWHTMLTag.GetContents 0089 TIWHTMLTagCollection.AddTagAsObject 00a6 TIWHTMLTagCollection.AddTag 00c4 TIWMarkupLanguageTagCollection.AddText 00cf TIWMarkupLanguageElement.Render 00e4 TObject.Free 00ea @HandleFinally 0101 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D EC 8B 45 FC 8B 40 5C 8B 80 C4 02 00 00 33 D2 E8 ?? ?? ?? ?? 83 7D EC 00 74 4C 8B 45 FC 8B 40 5C 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 5C 8B 55 F8 8B 08 FF 91 18 01 00 00 50 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 45 FC 83 78 38 00 74 14 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 78 38 00 74 15 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 FC 8B 52 38 33 C9 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 42 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_43598_0 {
	meta:
		name = "TIWCalendarCell.RenderSelf"
		size = 1348
		refs = "0024 @UStrAddRef 002c TIWCalendarCell.RenderSelf 0049 _Dn_TIWHTMLTag 004e TIWMarkupLanguageTag.CreateTag 0067 TIWHTMLTag.GetContents 0073 TIWMarkupLanguageTagCollection.AddText 0085 @HandleAnyException 008d FreeAndNil 0092 @RaiseAgain 0097 @DoneExcept 00a7 TIWGridCell.SetGrid 00b0 _DV_TIWCalendar 00b5 @IsClass 00cb TIWCalendar.DoRenderCell 00e1 @UStrClr 0104 @UStrLAsg 0139 @UStrLen 0166 iif 0191 TIWMarkupLanguageTag.Add 019e IWGridAlignments 01ae TIWMarkupLanguageTag.AddStringParam 01ee @UStrEqual 020a @UStrCat3 0282 HTMLColor 02f4 TIWFont.FontToStringTag 0305 TIWHTMLTagCollection.AddTagAsObject 036d @HandleFinally 0389 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 41 00 75 61 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 EF 02 00 00 E9 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D3 02 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 10 50 8B 4D F4 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8A 40 40 2C 01 72 0C 74 19 FE C8 74 24 FE C8 74 2F EB 3A 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 85 C0 75 0E 8D 45 08 8B 55 FC 8B 52 38 E8 ?? ?? ?? ?? 6A 00 8D 45 E8 50 8B 45 FC 8A 40 28 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 11 8B 15 ?? ?? ?? ?? 8B 0C 82 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 FC 8A 40 48 34 01 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 FC 83 78 44 00 74 12 8B 45 FC 8B 40 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 33 C0 EB 02 B0 01 50 8B 45 FC 8B 48 44 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 33 C9 58 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 D8 50 8B 45 FC 83 78 2C 00 74 12 8B 45 FC 8B 40 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 33 C0 EB 02 B0 01 50 8B 45 FC 8B 48 2C 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 33 C9 58 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F0 E8 ?? ?? ?? ?? 8D 4D D0 8B 45 FC 8B 40 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 CC 50 8B 45 FC 8B 40 58 8B 80 74 03 00 00 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 50 8B 45 FC 8B 40 58 8B 88 74 03 00 00 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 33 C9 58 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 58 83 B8 74 03 00 00 00 75 37 8B 45 FC 8B 40 24 8B 55 08 E8 ?? ?? ?? ?? 50 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 85 C0 75 26 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 8B 55 08 E8 ?? ?? ?? ?? EB 12 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F0 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 6E 00 62 00 73 00 70 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 56 00 41 00 6C 00 69 00 67 00 6E 00 3D 00 6D 00 69 00 64 00 64 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 56 00 41 00 6C 00 69 00 67 00 6E 00 3D 00 74 00 6F 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 56 00 41 00 6C 00 69 00 67 00 6E 00 3D 00 62 00 6F 00 74 00 74 00 6F 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 56 00 41 00 6C 00 69 00 67 00 6E 00 3D 00 62 00 61 00 73 00 65 00 6C 00 69 00 6E 00 65 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 6C 00 69 00 67 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4E 00 4F 00 57 00 52 00 41 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 57 00 69 00 64 00 74 00 68 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 48 00 65 00 69 00 67 00 68 00 74 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 47 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4C 00 41 00 53 00 53 00 3D 00 00 00 00 00 }
	condition:
		$1
}

rule function_43599_0 {
	meta:
		name = "TIWCalendarCell.SetCellDate"
		size = 27
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 55 08 89 50 60 8B 55 0C 89 50 64 59 5D C2 08 00 }
	condition:
		$1
}

rule function_43600_0 {
	meta:
		name = "TIWCalendarCell.SetDateInformation"
		size = 30
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 68 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_43601_0 {
	meta:
		name = "TIWCalendarCells.Add"
		size = 27
		refs = "000d TCollection.Add"
		altNames = "TIWGridCells.Add TIWObjectParams.Add"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_43602_0 {
	meta:
		name = "TIWCalendarCells.Owner"
		size = 27
		refs = "000d TOwnedCollection.GetOwner"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_45188_0 {
	meta:
		name = "TIWGridCells.Owner"
		size = 27
		refs = "000d TOwnedCollection.GetOwner"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_43605_0 {
	meta:
		name = "TIWCustomCheckBox.GetSubmitParam"
		size = 33
		refs = "0019 @UStrAsg"
		altNames = "TIWCustomRadioButton.GetSubmitParam TIWOrderedListbox.GetSubmitParam"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 92 98 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43606_0 {
	meta:
		name = "TIWCustomCheckBox.get_ShouldRenderTabOrder"
		size = 20
		altNames = "TIWCustomGrid.get_HasTabOrder TIWDataModuleCreator.GetExisting TIWDataModuleCreator.GetMainForm TIWDataModuleCreator.GetShowForm TIWDataModuleCreator.GetUnnamed TIWDeployCreator.GetExisting TIWDeployCreator.GetMainForm TIWDeployCreator.GetShowForm TIWDeployCreator.GetShowSource TIWDeployCreator.GetUnnamed TIWFrameCreator.GetExisting TIWFrameCreator.GetMainForm TIWFrameCreator.GetUnnamed TIWProjectCreator.GetExisting TIWProjectCreator.GetUnnamed TIWServerControllerCreator.GetExisting TIWServerControllerCreator.GetMainForm TIWServerControllerCreator.GetShowForm TIWServerControllerCreator.GetShowSource TIWServerControllerCreator.GetUnnamed TIWUnitCreator.GetExisting TIWUnitCreator.GetMainForm TIWUnitCreator.GetUnnamed TIWUserSessionCreator.GetExisting TIWUserSessionCreator.GetMainForm TIWUserSessionCreator.GetShowForm TIWUserSessionCreator.GetUnnamed"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC C6 45 FB 00 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_43607_0 {
	meta:
		name = "TIWCustomCheckBox.RenderAsync"
		size = 448
		refs = "001b TIWCustomCheckBox.RenderAsync 002f _Dn_TIWXMLTag 0034 TIWXMLTag.CreateTag 0063 TIWMarkupLanguageTag.AddStringParam 0091 TIWCustomControl.RenderAsyncProperty 009c TControl.GetText 00b2 TIWCustomControl.RenderAsyncPropertyAsString 00c7 TIWCustomControl.RenderAsyncCommonProperties 00d6 @HandleAnyException 00de FreeAndNil 00e3 @DoneExcept 00f8 @UStrClr 0106 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 4D F0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 64 01 00 00 50 8B 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 50 6A 00 8B 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 57 00 43 00 48 00 45 00 43 00 4B 00 42 00 4F 00 58 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 68 00 65 00 63 00 6B 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 61 00 70 00 74 00 69 00 6F 00 6E 00 00 00 9D 07 00 00 }
	condition:
		$1
}

rule function_43608_0 {
	meta:
		name = "TIWCustomCheckBox.RenderHTML"
		size = 3660
		refs = "001d TIWCustomCheckBox.RenderHTML 0031 _Dn_TIWHTMLTag 0036 TIWMarkupLanguageTag.CreateTag 0065 TIWMarkupLanguageTag.AddStringParam 007d TIWHTMLTag.GetContents 0089 TIWHTMLTagCollection.AddTag 0097 TabOrderInterface 00c3 @IntOver 00cb IntToStr 00f5 iif 0100 TIWMarkupLanguageTag.Add 0108 TIWBaseHTMLControl.get_Editable 0161 @UStrCat 0274 @UStrCatN 028f TControl.GetText 02a3 TIWMarkupLanguageTagCollection.AddText 02c6 TIWApplication.GetInternalURLBase 02e3 TIWCompContext.CacheImage 03b3 TIWCompContext.AddToInitProc 0439 TIWVCLBaseControl.HasOnClick 04ca TIWMarkupLanguageTag.AddIntegerParam 0730 @HandleAnyException 0738 FreeAndNil 073d @RaiseAgain 0742 @DoneExcept 075a @UStrClr 076a @UStrArrayClr 0787 @IntfClear 07a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 16 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D4 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 4D D4 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 9D 02 00 00 00 0F 85 33 02 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D0 8B 10 FF 52 1C 84 C0 74 38 8D 55 C8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C8 8B 10 FF 52 10 0F BF C0 83 C0 01 71 05 E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8B 4D CC BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 C4 50 8B 45 FC 8B 10 FF 52 68 34 01 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 8E 00 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 FC 8A 80 9C 02 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 BC 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 B8 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 B4 50 8B 45 FC 8A 80 9C 02 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B1 01 00 00 00 75 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8D 55 B0 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B0 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 44 8B 45 FC 8B 10 FF 52 68 84 C0 74 38 68 ?? ?? ?? ?? 8D 55 A8 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 A8 68 ?? ?? ?? ?? 8D 45 AC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D AC BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 55 A4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A4 50 8B 45 EC E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? E9 79 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 CC 02 00 00 8D 55 A0 8B 45 F8 8B 40 10 E8 ?? ?? ?? ?? 8D 45 A0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A0 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 9C 8B 45 F8 8B 40 10 E8 ?? ?? ?? ?? 8D 45 9C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 9C BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 94 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 94 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 90 50 8B 45 FC 8A 80 9C 02 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 90 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 8C 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 8C 68 ?? ?? ?? ?? 8D 45 88 50 8B 45 FC 8A 80 9C 02 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 88 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 98 BA 0D 00 00 00 E8 ?? ?? ?? ?? 8B 55 98 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 80 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 80 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B 45 FC 8B 08 FF 91 14 01 00 00 FF B5 7C FF FF FF 68 ?? ?? ?? ?? 8D 85 78 FF FF FF 50 8B 45 FC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF B5 78 FF FF FF 68 ?? ?? ?? ?? 8D 45 84 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 4D 84 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8D 95 74 FF FF FF 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 85 74 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 74 FF FF FF BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? B9 0A 00 00 00 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? B9 0C 00 00 00 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8D 95 70 FF FF FF 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 85 70 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 70 FF FF FF BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8D 95 6C FF FF FF 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 85 6C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 6C FF FF FF BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? E9 B3 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 8D 95 64 FF FF FF 8B 45 F8 8B 40 10 E8 ?? ?? ?? ?? FF B5 64 FF FF FF 68 ?? ?? ?? ?? 8D 85 60 FF FF FF 50 8B 45 FC 8A 80 9C 02 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF B5 60 FF FF FF 68 ?? ?? ?? ?? 8D 85 68 FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 8D 68 FF FF FF BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? B9 0A 00 00 00 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? B9 0C 00 00 00 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 9E 00 00 00 8B 45 FC 8B 10 FF 52 68 84 C0 0F 84 8E 00 00 00 68 ?? ?? ?? ?? 8D 95 58 FF FF FF 8B 45 FC 8B 08 FF 91 14 01 00 00 FF B5 58 FF FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 54 FF FF FF 8B 45 FC 8B 08 FF 91 14 01 00 00 FF B5 54 FF FF FF 68 ?? ?? ?? ?? 8D 85 50 FF FF FF 50 8B 45 FC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF B5 50 FF FF FF 68 ?? ?? ?? ?? 8D 85 5C FF FF FF BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 8D 5C FF FF FF BA ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8D 95 4C FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 50 8B 45 D8 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 8D 85 50 FF FF FF BA 15 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A8 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 50 00 41 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 61 00 62 00 49 00 6E 00 64 00 65 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 49 00 53 00 41 00 42 00 4C 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 48 00 45 00 43 00 4B 00 42 00 4F 00 58 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 48 00 45 00 43 00 4B 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 5F 00 43 00 48 00 45 00 43 00 4B 00 42 00 4F 00 58 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 66 00 61 00 6C 00 73 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 6E 00 43 00 6C 00 69 00 63 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 5F 00 43 00 48 00 4B 00 42 00 43 00 41 00 50 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 63 00 68 00 65 00 63 00 6B 00 42 00 6F 00 78 00 43 00 6C 00 69 00 63 00 6B 00 28 00 65 00 76 00 65 00 6E 00 74 00 2C 00 20 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 27 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 2F 00 67 00 66 00 78 00 2F 00 43 00 6F 00 6F 00 6C 00 43 00 68 00 65 00 63 00 6B 00 42 00 6F 00 78 00 5F 00 46 00 61 00 6C 00 73 00 65 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 43 00 6F 00 6F 00 6C 00 43 00 68 00 65 00 63 00 6B 00 42 00 6F 00 78 00 5F 00 46 00 61 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 2F 00 67 00 66 00 78 00 2F 00 43 00 6F 00 6F 00 6C 00 43 00 68 00 65 00 63 00 6B 00 42 00 6F 00 78 00 5F 00 54 00 72 00 75 00 65 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 6F 00 6F 00 6C 00 43 00 68 00 65 00 63 00 6B 00 42 00 6F 00 78 00 5F 00 54 00 72 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 69 00 6D 00 61 00 67 00 65 00 73 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 5F 00 49 00 6D 00 61 00 67 00 65 00 2E 00 73 00 72 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 3D 00 47 00 49 00 6D 00 61 00 67 00 65 00 43 00 61 00 63 00 68 00 65 00 5F 00 43 00 6F 00 6F 00 6C 00 43 00 68 00 65 00 63 00 6B 00 42 00 6F 00 78 00 5F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2E 00 73 00 72 00 63 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 46 00 69 00 6E 00 64 00 45 00 6C 00 65 00 6D 00 28 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 5F 00 43 00 48 00 45 00 43 00 4B 00 42 00 4F 00 58 00 27 00 29 00 2E 00 76 00 61 00 6C 00 75 00 65 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4F 00 66 00 66 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 52 00 45 00 46 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 74 00 65 00 78 00 74 00 2D 00 64 00 65 00 63 00 6F 00 72 00 61 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 6E 00 6F 00 6E 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 43 00 6F 00 6F 00 6C 00 43 00 68 00 65 00 63 00 6B 00 42 00 6F 00 78 00 54 00 6F 00 67 00 67 00 6C 00 65 00 28 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 5F 00 43 00 48 00 45 00 43 00 4B 00 42 00 4F 00 58 00 27 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5F 00 49 00 6D 00 61 00 67 00 65 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 49 00 4D 00 47 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 49 00 6D 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 4F 00 52 00 44 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 49 00 44 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 45 00 49 00 47 00 48 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 49 00 44 00 44 00 45 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 2F 00 67 00 66 00 78 00 2F 00 43 00 6F 00 6F 00 6C 00 43 00 68 00 65 00 63 00 6B 00 42 00 6F 00 78 00 5F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 52 00 43 00 00 00 }
	condition:
		$1
}

rule function_43609_0 {
	meta:
		name = "TIWCustomCheckBox.SetValue"
		size = 220
		refs = "0016 TIWCustomCheckBox.SetValue 0027 RequiresUpdateNotification 0039 UpdateNotifiedInterface 0054 AnsiSameText 00b4 @IntfClear 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 1C 8D 55 F0 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 F0 8B 4D F8 8B 55 FC 8B 18 FF 53 0C BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 88 45 F7 8B 45 FC 8B 10 FF 92 64 01 00 00 3A 45 F7 74 38 8A 55 F7 8B 45 FC 8B 08 FF 91 60 01 00 00 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B 45 FC 66 83 B8 A2 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 A4 02 00 00 FF 93 A0 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_43610_0 {
	meta:
		name = "TIWCustomCheckBox.Submit"
		size = 43
		refs = "0018 @UStrAsg"
		altNames = "TIWCustomRadioButton.Submit"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 05 98 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 F0 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_43611_0 {
	meta:
		name = "TIWCustomCheckBox.SetChecked"
		size = 86
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 88 55 FB 89 45 FC 8B 45 FC 8A 80 9C 02 00 00 3A 45 FB 74 36 8A 45 FB 8B 55 FC 88 82 9C 02 00 00 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B 45 FC 66 83 B8 A2 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 A4 02 00 00 FF 93 A0 02 00 00 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_43612_0 {
	meta:
		name = "TIWCustomCheckBox.GetChecked"
		size = 28
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8A 80 9C 02 00 00 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_43613_0 {
	meta:
		name = "TIWCustomCheckBox.InitControl"
		size = 64
		refs = "000b TIWCustomControl.InitControl 0022 TControl.SetHeight 002f TControl.SetWidth"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 D0 01 00 00 01 BA 15 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BA 79 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 E8 01 00 00 01 59 5D C3 }
	condition:
		$1
}

rule function_43614_0 {
	meta:
		name = "TIWCustomCheckBox.HookEvents"
		size = 204
		refs = "001c TIWCustomCheckBox.HookEvents 0030 TIWCustomControl.HookEvents 0044 TIWBaseHTMLControl.get_Editable 005e TIWCustomControl.SubmitHandler 006a TIWVCLBaseControl.HasOnClick 0072 iif 0082 TIWScriptEvents.HookEvent 009c @UStrArrayClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F0 89 5D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 9D 02 00 00 00 75 46 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3A 8D 45 F0 50 6A 00 8D 45 EC 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 6E 00 43 00 6C 00 69 00 63 00 6B 00 00 00 }
	condition:
		$1
}

rule function_43615_0 {
	meta:
		name = "TIWCustomCheckBox.GetInputControlNames"
		size = 136
		refs = "0015 TIWCustomCheckBox.GetInputControlNames 0036 @UStrCat 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 5F 00 43 00 48 00 45 00 43 00 4B 00 42 00 4F 00 58 00 00 00 }
	condition:
		$1
}

rule function_43616_0 {
	meta:
		name = "TIWCustomCheckBox.IsForThisControl"
		size = 160
		refs = "0015 @UStrAddRef 001d TIWCustomCheckBox.IsForThisControl 003e @UStrCat 0049 @UStrEqual 0062 @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 0F 94 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8A 45 F7 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 5F 00 43 00 48 00 45 00 43 00 4B 00 42 00 4F 00 58 00 00 00 }
	condition:
		$1
}

rule function_43618_0 {
	meta:
		name = "IWCompCheckbox"
		size = 320
		refs = "0005 _DV_3 000d IWCompCheckbox 0017 _Dn_TIWServer 001c TIWServer.AddInternalFile"
	strings:
		$1 = { 55 8B EC 83 2D ?? ?? ?? ?? 01 73 28 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 2F 00 67 00 66 00 78 00 2F 00 43 00 6F 00 6F 00 6C 00 43 00 68 00 65 00 63 00 6B 00 42 00 6F 00 78 00 5F 00 46 00 61 00 6C 00 73 00 65 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 43 00 6F 00 6F 00 6C 00 43 00 68 00 65 00 63 00 6B 00 42 00 6F 00 78 00 5F 00 46 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 2F 00 67 00 66 00 78 00 2F 00 43 00 6F 00 6F 00 6C 00 43 00 68 00 65 00 63 00 6B 00 42 00 6F 00 78 00 5F 00 54 00 72 00 75 00 65 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 43 00 6F 00 6F 00 6C 00 43 00 68 00 65 00 63 00 6B 00 42 00 6F 00 78 00 5F 00 54 00 72 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_43619_0 {
	meta:
		name = "TIWCustomEdit.SetValue"
		size = 147
		refs = "0012 TIWCustomEdit.SetValue 0020 RequiresUpdateNotification 002f UpdateNotifiedInterface 0045 TControl.GetText 004f @UStrEqual 005a TControl.SetText 0063 TIWCustomControl.set_DoRefreshControl 0078 @UStrClr 0080 @IntfClear 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 38 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC 8B 43 38 E8 ?? ?? ?? ?? 8B 45 FC 8B CE 8B D3 8B 38 FF 57 0C 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 74 12 8B D6 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_43621_0 {
	meta:
		name = "TIWCustomEdit.get_ShouldRenderTabOrder"
		size = 33
		refs = "0006 TIWBaseHTMLControl.get_Editable 0011 TIWBaseHTMLControl.get_NonEditableAsLabel"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_43622_0 {
	meta:
		name = "TIWCustomEdit.RenderAsync"
		size = 944
		refs = "0016 TIWCustomEdit.RenderAsync 002a _Dn_TIWXMLTag 002f TIWXMLTag.CreateTag 005d TIWMarkupLanguageTag.AddStringParam 0064 TIWBaseHTMLControl.get_NonEditableAsLabel 006f TIWBaseHTMLControl.get_Editable 00a4 toTColor 00be ColorToRGBString 00d3 @UStrCatN 00e0 TIWCustomControl.AddAsyncStyle 013b TIWCustomControl.RenderAsyncProperty 0145 TControl.GetText 015a TIWCustomControl.RenderAsyncPropertyAsString 0168 IntToStr 0191 TIWCustomControl.RenderAsyncCommonProperties 01a0 @HandleAnyException 01ad TObject.Free 01b2 @DoneExcept 01c7 @UStrClr 01dc @UStrArrayClr 01e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B C3 8B 08 FF 91 14 01 00 00 8B 4D F8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 35 68 ?? ?? ?? ?? 8D 55 F0 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B6 83 9C 02 00 00 2C 01 72 08 74 28 FE C8 74 13 EB 31 B9 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 0F B9 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B6 83 BA 02 00 00 50 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 6A 00 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 8B 45 E8 50 6A 01 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B 45 FC 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 57 00 45 00 44 00 49 00 54 00 41 00 53 00 4C 00 41 00 42 00 45 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 57 00 45 00 44 00 49 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 74 00 65 00 78 00 74 00 2D 00 61 00 6C 00 69 00 67 00 6E 00 3A 00 6C 00 65 00 66 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 74 00 65 00 78 00 74 00 2D 00 61 00 6C 00 69 00 67 00 6E 00 3A 00 63 00 65 00 6E 00 74 00 65 00 72 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 74 00 65 00 78 00 74 00 2D 00 61 00 6C 00 69 00 67 00 6E 00 3A 00 72 00 69 00 67 00 68 00 74 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 65 00 61 00 64 00 4F 00 6E 00 6C 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 61 00 78 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 FF 07 00 00 }
	condition:
		$1
}

rule function_43623_0 {
	meta:
		name = "TIWCustomEdit.RenderHTML"
		size = 1164
		refs = "001a TIWCustomEdit.RenderHTML 002c TIWBaseHTMLControl.get_Editable 0037 TIWBaseHTMLControl.get_NonEditableAsLabel 004d _Dn_TIWHTMLTag 0052 TIWMarkupLanguageTag.CreateTag 0076 TIWMarkupLanguageTag.AddStringParam 00b8 TIWMarkupLanguageTag.AddBoolParam 00fd TIWMarkupLanguageTag.AddIntegerParam 011e TControl.GetText 012a TIWBaseHTMLControl.TextToHTML 0162 iif 016d TIWMarkupLanguageTag.Add 018f RSValidationRequeredField 0198 Format 01d3 @UStrCatN 01de TIWCompContext.AddValidation 01f0 @HandleAnyException 01fd TObject.Free 0202 @RaiseAgain 0207 @DoneExcept 0215 _Dn_TIWLabel 021a TIWCustomControl.Create 0245 TIWCustomLabel.SetAlignment 0278 StringOfChar 0283 TControl.SetText 02a1 TIWBaseHTMLControl.get_WebFont 02bb TControl.SetWidth 02c6 TControl.SetHeight 02f6 @HandleFinally 030d @UStrClr 032a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 CD 01 00 00 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 8B BC 02 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8B C3 8B 08 FF 91 14 01 00 00 8B 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 29 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1E B1 01 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 68 84 C0 75 0F B1 01 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 83 A8 02 00 00 85 C0 75 14 B9 FF FF FF 7F BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 0F 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8D 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B 03 B1 01 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 50 80 BB BA 02 00 00 00 75 0D 80 BB B1 01 00 00 00 75 04 33 C0 EB 02 B0 01 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 80 BB B9 02 00 00 00 74 68 8D 45 E4 50 8B 83 F4 01 00 00 89 45 DC C6 45 E0 11 8D 55 DC A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 55 D4 8B C3 8B 08 FF 91 14 01 00 00 FF 75 D4 68 ?? ?? ?? ?? 8D 55 D0 8B C3 8B 08 FF 91 14 01 00 00 FF 75 D0 68 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B C7 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 0D 01 00 00 E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EC 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 53 08 8B 45 F8 8B 08 FF 51 24 0F B6 93 9C 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 80 BB B8 02 00 00 00 74 37 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 89 45 C8 8B 75 C8 85 F6 74 05 83 EE 04 8B 36 8D 4D C4 8B D6 66 B8 2A 00 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 F8 E8 ?? ?? ?? ?? EB 15 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 8B 53 50 8B 45 F8 E8 ?? ?? ?? ?? 8B 53 54 8B 45 F8 E8 ?? ?? ?? ?? 8B D7 8B 45 F8 8B 08 FF 91 18 01 00 00 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B1 8B 45 FC 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 49 00 53 00 41 00 42 00 4C 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 45 00 41 00 44 00 4F 00 4E 00 4C 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 41 00 58 00 4C 00 45 00 4E 00 47 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 41 00 4C 00 55 00 45 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 57 00 43 00 4C 00 20 00 21 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 20 00 26 00 26 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 57 00 43 00 4C 00 2E 00 76 00 61 00 6C 00 75 00 65 00 2E 00 6C 00 65 00 6E 00 67 00 74 00 68 00 3D 00 3D 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_43624_0 {
	meta:
		name = "TIWCustomEdit.FormHasOnDefaultActionSet"
		size = 48
		refs = "0005 TIWBaseHTMLControl.OwnerForm 0013 _Dn_TIWForm 0018 @IsClass"
	strings:
		$1 = { 53 56 33 DB E8 ?? ?? ?? ?? 8B F0 85 F6 74 1C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 66 83 BE 42 03 00 00 00 0F 95 C3 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_43625_0 {
	meta:
		name = "TIWCustomEdit.DoSubmit"
		size = 68
		refs = "0022 TIWCustomEdit.FormHasOnDefaultActionSet 002d TIWBaseHTMLControl.OwnerForm"
	strings:
		$1 = { 53 56 8B D8 66 83 BB B2 02 00 00 00 74 11 8B D3 8B 83 B4 02 00 00 FF 93 B0 02 00 00 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D3 8B 86 44 03 00 00 FF 96 40 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_43626_0 {
	meta:
		name = "TIWCustomEdit.Submit"
		size = 29
		refs = "000f @UStrAsg 0016 TIWCustomEdit.DoSubmit"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 98 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43627_0 {
	meta:
		name = "TIWCustomEdit.RenderStyle"
		size = 548
		refs = "001a TIWCustomEdit.RenderStyle 0030 TIWBaseHTMLControl.get_WebFont 003b ColorToRGBString 0050 @UStrCatN 0063 toTColor 0073 iif 0083 TIWCustomControl.RenderStyle 008e @UStrCat3 00e8 @UStrCat 011e @UStrArrayClr 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 40 04 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8B 40 04 E8 ?? ?? ?? ?? 3D FF FF FF 1F 0F 95 C0 33 C9 5A E8 ?? ?? ?? ?? 8B 45 FC 50 8D 4D F0 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 59 E8 ?? ?? ?? ?? 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 29 FF 36 68 ?? ?? ?? ?? 8D 55 EC 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? 0F B6 83 9C 02 00 00 2C 01 72 08 74 22 FE C8 74 10 EB 28 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 74 00 65 00 78 00 74 00 2D 00 61 00 6C 00 69 00 67 00 6E 00 3A 00 6C 00 65 00 66 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 74 00 65 00 78 00 74 00 2D 00 61 00 6C 00 69 00 67 00 6E 00 3A 00 63 00 65 00 6E 00 74 00 65 00 72 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 74 00 65 00 78 00 74 00 2D 00 61 00 6C 00 69 00 67 00 6E 00 3A 00 72 00 69 00 67 00 68 00 74 00 3B 00 00 00 }
	condition:
		$1
}

rule function_43628_0 {
	meta:
		name = "TIWCustomEdit.HookEvents"
		size = 972
		refs = "0020 TIWCustomEdit.HookEvents 0031 TIWCustomControl.HookEvents 0042 TIWCustomEdit.FormHasOnDefaultActionSet 0054 TObject.ClassName 0061 @UStrEqual 0078 TIWApplication.GetBrowser 008c iif 00e2 @UStrCatN 00f1 TIWScriptEvents.HookEvent 00fc toTColor 010a TIWBaseHTMLControl.get_Editable 0121 ColorToRGBString 0196 @UStrArrayClr 019c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 66 83 BB B2 02 00 00 00 75 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A7 00 00 00 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 8A 00 00 00 68 ?? ?? ?? ?? 8D 45 F4 50 8B 47 04 E8 ?? ?? ?? ?? 3C 02 0F 94 C0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 91 14 01 00 00 FF 75 F0 68 ?? ?? ?? ?? 8D 45 EC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 0F B6 83 F0 01 00 00 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 BA 09 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 79 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6E 68 ?? ?? ?? ?? 8D 55 E4 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 DC 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 54 00 49 00 57 00 41 00 64 00 76 00 45 00 64 00 69 00 74 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 76 00 61 00 72 00 20 00 72 00 65 00 73 00 20 00 3D 00 20 00 43 00 68 00 65 00 63 00 6B 00 52 00 65 00 74 00 75 00 72 00 6E 00 4B 00 65 00 79 00 28 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 65 00 76 00 65 00 6E 00 74 00 2E 00 77 00 68 00 69 00 63 00 68 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 65 00 76 00 65 00 6E 00 74 00 2E 00 6B 00 65 00 79 00 43 00 6F 00 64 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2C 00 20 00 27 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 27 00 2C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 72 00 65 00 73 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4F 00 6E 00 4B 00 65 00 79 00 50 00 72 00 65 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 74 00 68 00 69 00 73 00 2E 00 73 00 74 00 79 00 6C 00 65 00 2E 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 43 00 6F 00 6C 00 6F 00 72 00 3D 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 27 00 3B 00 20 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 74 00 72 00 75 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 6E 00 46 00 6F 00 63 00 75 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 6E 00 42 00 6C 00 75 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_43629_0 {
	meta:
		name = "TIWCustomEdit.InitControl"
		size = 140
		refs = "0006 TIWCustomControl.InitControl 0010 fromTColor 0038 TIWCustomEdit.InitControl 003d @UStrAsg 0049 TControl.SetHeight 0055 TControl.SetWidth 0065 TIWCustomControl.set_RenderSize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 89 83 A4 02 00 00 B8 FF FF FF 1F E8 ?? ?? ?? ?? 89 83 A0 02 00 00 C6 83 D0 01 00 00 01 8D 83 BC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 15 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 79 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 9C 02 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? C6 83 E8 01 00 00 01 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 45 00 58 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_43630_0 {
	meta:
		name = "TIWCustomEdit.SetFocusColor"
		size = 23
	strings:
		$1 = { 3B 90 A4 02 00 00 74 0E 89 90 A4 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43631_0 {
	meta:
		name = "TIWCustomEdit.SetMaxLength"
		size = 23
		altNames = "TIWCustomFile.SetBGColor"
	strings:
		$1 = { 3B 90 A8 02 00 00 74 0E 89 90 A8 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43632_0 {
	meta:
		name = "TIWCustomEdit.SetReadOnly"
		size = 23
	strings:
		$1 = { 3A 90 BA 02 00 00 74 0E 88 90 BA 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43633_0 {
	meta:
		name = "TIWCustomEdit.SetRequired"
		size = 23
	strings:
		$1 = { 3A 90 B9 02 00 00 74 0E 88 90 B9 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43634_0 {
	meta:
		name = "TIWCustomFile.GetSubmitParam"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 A4 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43635_0 {
	meta:
		name = "TIWCustomFile.GetSize"
		size = 30
	strings:
		$1 = { 53 56 8B D8 33 C0 8B B3 BC 02 00 00 85 F6 74 0B 8B C6 8B 10 FF 52 08 8B 10 FF 12 5E 5B C3 }
	condition:
		$1
}

rule function_43636_0 {
	meta:
		name = "TIWCustomFile.GetContentType"
		size = 98
		refs = "0010 TIWCustomFile.GetContentType 001d @UStrClr 003b @UStrFromLStr 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B BB BC 02 00 00 85 FF 74 14 8D 55 FC 8B C7 8B 08 FF 51 0C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_43637_0 {
	meta:
		name = "TIWCustomFile.SaveToFile"
		size = 103
		refs = "000e @UStrAddRef 0016 TIWCustomFile.SaveToFile 0030 @UStrLAsg 0042 THTTPFile.SaveToFile 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 0E 8D 45 FC 8B 93 B4 02 00 00 E8 ?? ?? ?? ?? 8B 83 BC 02 00 00 85 C0 74 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_43638_0 {
	meta:
		name = "TIWCustomFile.SaveToStream"
		size = 18
		refs = "000d THTTPFile.SaveToStream"
	strings:
		$1 = { 8B 88 BC 02 00 00 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43639_0 {
	meta:
		name = "TIWCustomEdit.SetPasswordPrompt"
		size = 156
		refs = "000f TIWCustomEdit.SetPasswordPrompt 002a iif 0038 @UStrAsg 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 86 BC 02 00 00 E8 ?? ?? ?? ?? 88 9E B8 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 45 00 58 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 41 00 53 00 53 00 57 00 4F 00 52 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_43640_0 {
	meta:
		name = "TIWCustomEdit.SetBGColor"
		size = 23
	strings:
		$1 = { 3B 90 A0 02 00 00 74 0E 89 90 A0 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43641_0 {
	meta:
		name = "TIWCustomEdit.SetAlignment"
		size = 23
	strings:
		$1 = { 3A 90 9C 02 00 00 74 0E 88 90 9C 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43642_0 {
	meta:
		name = "TIWCustomFile.SetValue"
		size = 109
		refs = "0010 TIWCustomFile.SetValue 001e RequiresUpdateNotification 002d UpdateNotifiedInterface 0046 @UStrAsg 005b @IntfClear 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 38 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC 8B 43 38 E8 ?? ?? ?? ?? 8B 45 FC 8B CE 8B D3 8B 38 FF 57 0C 8D 83 B4 02 00 00 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_43643_0 {
	meta:
		name = "TIWCustomFile.RenderHTML"
		size = 3372
		refs = "001b TIWCustomFile.RenderHTML 002f _Dn_TIWHTMLTag 0034 TIWMarkupLanguageTag.CreateTag 004e gServerController 005e TIWServerControllerBase.NewCacheFile 006c TIWApplication.GetUserCacheURL 007b ExtractFileName 0084 @UStrCat 0094 TIWMarkupLanguageTag.AddStringParam 00bf TIWCustomControl.get_StyleRenderOptions 00d5 TIWMarkupLanguageTag.AddIntegerParam 0127 fromTColor 013d ColorToRGBString 0169 _Dn_TIWForm 016e @IsClass 017f @AsClass 018f _Dn_TIWRegion 01c8 TIWApplication.GetBrowser 020e TIWHTMLTag.GetContents 021a TIWHTMLTagCollection.AddTag 0297 TIWMarkupLanguageTag.AddBoolParam 02ce TIWCustomControl.get_Css 030d TIWBaseHTMLControl.get_WebFont 0315 TIWFont.FontToStringStyle 032c iif 0347 IntToStr 036f @UStrCatN 03c0 TIWTagParamsStringList.GetValue 03f6 TIWTagParamsStringList.SetValue 0416 TIWMarkupLanguageTag.Add 057f @UStrCat3 05de _Dn_TIWRenderStream 05e3 TIWRenderStream.Create 0601 TIWRenderStream.WriteString 060c TIWMarkupLanguageElement.Render 0628 _Dn_TFileStream 062d TFileStream.Create 064d TStream.CopyFrom 0662 TObject.Free 0668 @HandleFinally 06b3 @HandleAnyException 06c5 @DoneExcept 06df @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0D 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 FC 50 A1 ?? ?? ?? ?? 8B 00 8B 00 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F4 8B 40 10 E8 ?? ?? ?? ?? 8D 45 E0 50 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 58 E8 ?? ?? ?? ?? 8B 4D E0 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 78 04 00 74 10 8B 4B 50 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 3B 83 AC 02 00 00 74 23 8D 55 D8 8B 83 AC 02 00 00 E8 ?? ?? ?? ?? 8B 4D D8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E9 B4 00 00 00 B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B F0 8B 7B 38 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B0 10 03 00 00 EB 28 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 20 01 00 00 8B F0 B8 FF FF FF 1F E8 ?? ?? ?? ?? 3B F0 74 49 8B 45 F4 8B 40 10 E8 ?? ?? ?? ?? 3C 02 75 3A B8 FF FF FF 1F E8 ?? ?? ?? ?? 3B 83 AC 02 00 00 75 28 B8 FF FF FF 1F E8 ?? ?? ?? ?? 3B F0 74 1A 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 8B 4D D4 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 BB B1 01 00 00 00 75 11 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C3 8B 10 FF 52 68 84 C0 75 0E B1 01 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8D 55 D0 8B C3 8B 08 FF 91 14 01 00 00 8B 4D D0 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 83 7D CC 00 76 1E 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 8B 4D C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? E9 04 01 00 00 8D 45 C4 50 8D 45 C0 50 8B 45 F4 8B 40 10 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 45 C0 50 8B C3 E8 ?? ?? ?? ?? 0F B6 40 06 33 C9 5A E8 ?? ?? ?? ?? 8D 45 C4 50 8D 45 BC 50 68 ?? ?? ?? ?? 8D 55 B4 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? FF 75 B4 68 ?? ?? ?? ?? 8D 55 B0 8B 43 50 E8 ?? ?? ?? ?? FF 75 B0 68 ?? ?? ?? ?? 8D 45 B8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 B8 50 8B C3 E8 ?? ?? ?? ?? 0F B6 40 04 33 C9 5A E8 ?? ?? ?? ?? 8B 55 BC 58 E8 ?? ?? ?? ?? 8B 4D C4 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 3B 83 A8 02 00 00 74 46 8D 4D A8 8B 47 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 A8 68 ?? ?? ?? ?? 8D 55 A4 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? FF 75 A4 8D 45 AC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D AC 8B 47 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB B1 01 00 00 00 75 0B 8B C3 8B 10 FF 52 68 84 C0 75 0C BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8D 55 A0 8B C3 8B 08 FF 91 14 01 00 00 8B 4D A0 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 98 8B C3 8B 08 FF 91 14 01 00 00 FF 75 98 68 ?? ?? ?? ?? 8D 45 9C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D 9C BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 80 BB B1 01 00 00 00 75 6E 8B 45 F4 8B 78 10 8B 57 68 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 8F D0 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 68 20 FF 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 55 E8 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 BA 13 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 46 00 52 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 74 00 6D 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 52 00 43 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 66 00 72 00 61 00 6D 00 65 00 62 00 6F 00 72 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6E 00 6F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 73 00 63 00 72 00 6F 00 6C 00 6C 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 77 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6F 00 64 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 4F 00 50 00 4D 00 41 00 52 00 47 00 49 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 45 00 46 00 54 00 4D 00 41 00 52 00 47 00 49 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 47 00 43 00 4F 00 4C 00 4F 00 52 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 66 00 6F 00 72 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6D 00 65 00 74 00 68 00 6F 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 2F 00 66 00 6F 00 72 00 6D 00 2D 00 64 00 61 00 74 00 61 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 65 00 6E 00 63 00 74 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 48 00 69 00 64 00 64 00 65 00 6E 00 53 00 75 00 62 00 6D 00 69 00 74 00 46 00 6F 00 72 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 33 00 00 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 47 00 53 00 75 00 62 00 6D 00 69 00 74 00 74 00 69 00 6E 00 67 00 20 00 3D 00 20 00 74 00 72 00 75 00 65 00 3B 00 20 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 53 00 68 00 6F 00 77 00 42 00 75 00 73 00 79 00 28 00 74 00 72 00 75 00 65 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6F 00 6E 00 73 00 75 00 62 00 6D 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 6E 00 70 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 49 00 53 00 41 00 42 00 4C 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 66 00 69 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3B 00 20 00 77 00 69 00 64 00 74 00 68 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 49 00 44 00 44 00 45 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 57 00 5F 00 41 00 63 00 74 00 69 00 6F 00 6E 00 50 00 61 00 72 00 61 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 57 00 5F 00 4D 00 61 00 69 00 6E 00 50 00 61 00 67 00 65 00 53 00 75 00 62 00 6D 00 69 00 74 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 49 00 57 00 5F 00 4D 00 61 00 69 00 6E 00 50 00 61 00 67 00 65 00 53 00 75 00 62 00 6D 00 69 00 74 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 50 00 61 00 72 00 61 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 67 00 65 00 74 00 46 00 69 00 6C 00 65 00 4C 00 65 00 6E 00 67 00 74 00 68 00 28 00 27 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 57 00 5F 00 46 00 69 00 6C 00 65 00 53 00 69 00 7A 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 2F 00 75 00 70 00 6C 00 6F 00 61 00 64 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 57 00 5F 00 54 00 72 00 61 00 63 00 6B 00 49 00 44 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 41 00 4C 00 55 00 45 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 61 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 3C 00 48 00 54 00 4D 00 4C 00 3E 00 3C 00 48 00 45 00 41 00 44 00 3E 00 3C 00 2F 00 48 00 45 00 41 00 44 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 2F 00 48 00 54 00 4D 00 4C 00 3E 00 00 00 }
	condition:
		$1
}

rule function_43644_0 {
	meta:
		name = "TIWCustomFile.Submit"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 A4 02 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43646_0 {
	meta:
		name = "TIWCustomFile.InitControl"
		size = 114
		refs = "0006 TIWCustomControl.InitControl 001c TControl.SetWidth 0028 TControl.SetHeight 0039 TIWCustomControl.set_RenderSize 0042 TIWBaseHTMLControl.set_ControlEncode 004c fromTColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 83 A0 02 00 00 E8 03 00 00 BA 04 01 00 00 8B C3 E8 ?? ?? ?? ?? BA 50 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 BC 02 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 89 83 A8 02 00 00 B8 FF FF FF 1F E8 ?? ?? ?? ?? 89 83 AC 02 00 00 C7 83 B8 02 00 00 15 00 00 00 5B C3 }
	condition:
		$1
}

rule function_43647_0 {
	meta:
		name = "TIWCustomFile.DoOnStatus"
		size = 21
	strings:
		$1 = { 53 8B D8 8B CA 8B D0 8B 83 9C 02 00 00 FF 93 98 02 00 00 5B C3 }
	condition:
		$1
}

rule function_43648_0 {
	meta:
		name = "TIWCustomFile.GetAsyncOnStatus"
		size = 228
		refs = "0011 TIWCustomFile.GetAsyncOnStatus 002a IntToStr 0053 @UStrCatN 006d @UStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 FC 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 F8 8B C3 8B 08 FF 91 14 01 00 00 FF 75 F8 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 57 00 54 00 69 00 6D 00 65 00 72 00 28 00 74 00 72 00 75 00 65 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2C 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 53 00 74 00 61 00 74 00 75 00 73 00 22 00 29 00 00 00 }
	condition:
		$1
}

rule function_43649_0 {
	meta:
		name = "TIWCustomFile.AssignAsyncEvents"
		size = 148
		refs = "000f TIWCustomFile.AssignAsyncEvents 0025 TIWCustomFile.DoOnStatus 003f @UStrCat 004a TIWApplication.RegisterCallBack 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 9A 02 00 00 00 74 2B 53 68 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 91 14 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 46 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 53 00 74 00 61 00 74 00 75 00 73 00 00 00 }
	condition:
		$1
}

rule function_43650_0 {
	meta:
		name = "TIWCustomFile.Dispose"
		size = 37
		refs = "0015 TObject.Free 001e TIWCustomControl.Dispose"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 86 BC 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43651_0 {
	meta:
		name = "TIWCustomFile.RenderStyle"
		size = 328
		refs = "0012 TIWCustomFile.RenderStyle 0023 TIWCustomControl.RenderStyle 002f @UStrCat 003a toTColor 0056 ColorToRGBString 006a @UStrCatN 007f @UStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 29 FF 33 68 ?? ?? ?? ?? 8D 55 FC 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 31 00 00 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 77 00 69 00 64 00 74 00 68 00 3A 00 30 00 3B 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 6E 00 6F 00 6E 00 65 00 3B 00 6F 00 76 00 65 00 72 00 66 00 6C 00 6F 00 77 00 3A 00 68 00 69 00 64 00 64 00 65 00 6E 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_43652_0 {
	meta:
		name = "TIWCustomFile.SetFileValue"
		size = 52
		refs = "0015 TObject.Free 0022 _Dn_THTTPFile 0027 THTTPFile.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 BC 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 85 F6 74 14 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 BC 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_43654_0 {
	meta:
		name = "TIWCustomFile.SetFrameBGColor"
		size = 15
	strings:
		$1 = { 89 90 AC 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43658_0 {
	meta:
		name = "QualityText"
		size = 304
		refs = "0019 QualityText 003e @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 88 45 FF 33 C0 8A 45 FF 83 F8 05 77 77 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 49 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4C 00 6F 00 77 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 75 00 74 00 6F 00 4C 00 6F 00 77 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 75 00 74 00 6F 00 48 00 69 00 67 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4D 00 65 00 64 00 69 00 75 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 69 00 67 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 65 00 73 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_43659_0 {
	meta:
		name = "AlignText"
		size = 248
		refs = "0019 AlignText 003a @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 88 45 FF 33 C0 8A 45 FF 83 F8 04 77 64 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 6F 00 6E 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 6F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 69 00 67 00 68 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 6F 00 74 00 74 00 6F 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_43660_0 {
	meta:
		name = "SAlignText"
		size = 460
		refs = "001d SAlignText 004e @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 88 45 FF 33 C0 8A 45 FF 83 F8 08 0F 87 B0 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 76 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 58 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 49 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 6F 00 6E 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 6F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 69 00 67 00 68 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 6F 00 74 00 74 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 6F 00 70 00 4C 00 65 00 66 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 6F 00 70 00 52 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 42 00 6F 00 74 00 74 00 6F 00 6D 00 4C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 42 00 6F 00 74 00 74 00 6F 00 6D 00 52 00 69 00 67 00 68 00 74 00 00 00 }
	condition:
		$1
}

rule function_43661_0 {
	meta:
		name = "ScaleText"
		size = 216
		refs = "0023 ScaleText 0028 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 88 45 FF 8A 45 FF 2C 01 72 0C 74 19 FE C8 74 24 FE C8 74 2F EB 3A 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 68 00 6F 00 77 00 41 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 6F 00 42 00 6F 00 72 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 78 00 61 00 63 00 74 00 46 00 69 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_43662_0 {
	meta:
		name = "TIWCustomFlash.InitControl"
		size = 616
		refs = "000b TIWCustomObject.InitControl 001f fromTColor 0039 _Dn_TIWFileReference 003e TIWFileReference.Create 0068 TControl.SetWidth 0075 TControl.SetHeight 0082 TIWCustomFlash.InitControl 0087 @UStrAsg"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 C9 02 00 00 01 B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B 55 FC 89 82 CC 02 00 00 8B 45 FC C6 80 D0 02 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 D4 02 00 00 8B 45 FC C6 80 D8 02 00 00 01 8B 45 FC C6 80 D9 02 00 00 04 BA D4 01 00 00 8B 45 FC E8 ?? ?? ?? ?? BA 3C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 A0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 2A 00 00 00 63 00 6C 00 73 00 69 00 64 00 3A 00 44 00 32 00 37 00 43 00 44 00 42 00 36 00 45 00 2D 00 41 00 45 00 36 00 44 00 2D 00 31 00 31 00 63 00 66 00 2D 00 39 00 36 00 42 00 38 00 2D 00 34 00 34 00 34 00 35 00 35 00 33 00 35 00 34 00 30 00 30 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 44 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 61 00 63 00 74 00 69 00 76 00 65 00 2E 00 6D 00 61 00 63 00 72 00 6F 00 6D 00 65 00 64 00 69 00 61 00 2E 00 63 00 6F 00 6D 00 2F 00 66 00 6C 00 61 00 73 00 68 00 35 00 2F 00 63 00 61 00 62 00 73 00 2F 00 73 00 77 00 66 00 6C 00 61 00 73 00 68 00 2E 00 63 00 61 00 62 00 23 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 35 00 2C 00 30 00 2C 00 30 00 2C 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 55 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 6D 00 61 00 63 00 72 00 6F 00 6D 00 65 00 64 00 69 00 61 00 2E 00 63 00 6F 00 6D 00 2F 00 73 00 68 00 6F 00 63 00 6B 00 77 00 61 00 76 00 65 00 2F 00 64 00 6F 00 77 00 6E 00 6C 00 6F 00 61 00 64 00 2F 00 69 00 6E 00 64 00 65 00 78 00 2E 00 63 00 67 00 69 00 3F 00 50 00 31 00 5F 00 50 00 72 00 6F 00 64 00 5F 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 53 00 68 00 6F 00 63 00 6B 00 77 00 61 00 76 00 65 00 46 00 6C 00 61 00 73 00 68 00 00 00 }
	condition:
		$1
}

rule function_43663_0 {
	meta:
		name = "TIWCustomFlash.Dispose"
		size = 40
		refs = "0015 FreeAndNil 0020 TIWCustomObject.Dispose"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 05 D4 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43664_0 {
	meta:
		name = "TIWCustomFlash.RenderHTML"
		size = 1160
		refs = "0019 TIWCustomFlash.RenderHTML 0040 TCollection.Clear 004e TIWObjectParams.Add 0061 @UStrAsg 0069 gServerController 0070 TIWServerControllerBase.GetFilesURL 0084 TIWFileReference.Location 00e2 iif 016d QualityText 01f8 ColorToRGBString 0238 AlignText 0278 SAlignText 02b8 ScaleText 031c TIWCustomObject.RenderHTML 0339 @UStrArrayClr 033f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0C 00 00 00 6A 00 6A 00 49 75 F9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 80 78 1C 02 0F 95 C0 8B 55 FC 88 82 C0 02 00 00 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 C4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 C4 8D 4D C8 8B 45 FC 8B 80 D4 02 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F0 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 05 98 02 00 00 8B 55 F0 8B 52 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8A 80 C9 02 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 EC 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 BC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8A 80 D8 02 00 00 E8 ?? ?? ?? ?? 8B 55 BC 8B 45 E8 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8A 80 D9 02 00 00 8D 55 B8 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 E4 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8A 80 D0 02 00 00 E8 ?? ?? ?? ?? 8B 55 B4 8B 45 E0 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 B0 8B 45 FC 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 8B 55 B0 8B 45 DC 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 D8 8B 45 D8 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8A 80 C8 02 00 00 8D 55 AC E8 ?? ?? ?? ?? 8B 55 AC 8B 45 D8 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 D4 8B 45 D4 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8A 80 DA 02 00 00 8D 55 A8 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 D4 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 D0 8B 45 D0 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8A 80 DB 02 00 00 8D 55 A4 E8 ?? ?? ?? ?? 8B 55 A4 8B 45 D0 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 CC 8B 45 CC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8A 80 DC 02 00 00 E8 ?? ?? ?? ?? 8B 55 A0 8B 45 CC 83 C0 10 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 4F 00 56 00 49 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4C 00 41 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 41 00 4C 00 53 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 52 00 55 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 4F 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 51 00 55 00 41 00 4C 00 49 00 54 00 59 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 45 00 4E 00 55 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 47 00 43 00 4F 00 4C 00 4F 00 52 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 4C 00 49 00 47 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 41 00 4C 00 49 00 47 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 43 00 41 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 57 00 4C 00 49 00 56 00 45 00 43 00 4F 00 4E 00 4E 00 45 00 43 00 54 00 00 00 }
	condition:
		$1
}

rule function_43665_0 {
	meta:
		name = "TIWCustomFlash.SetFlashFile"
		size = 33
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 D4 02 00 00 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_43668_0 {
	meta:
		name = "TIWCustomLabel.get_HasTabOrder"
		size = 8
	strings:
		$1 = { 0F B6 80 A0 02 00 00 C3 }
	condition:
		$1
}

rule function_43669_0 {
	meta:
		name = "TCustomForm.CMUpdateActions"
		size = 9
		altNames = "TCustomRibbon.ChangeQuickAccessToolbarPositionHandler TIWCustomLabel.get_ShouldRenderTabOrder"
	strings:
		$1 = { 8B 10 FF 92 10 01 00 00 C3 }
	condition:
		$1
}

rule function_43670_0 {
	meta:
		name = "TIWCustomLabel.RenderAsync"
		size = 688
		refs = "0014 TIWCustomLabel.RenderAsync 0028 _Dn_TIWXMLTag 002d TIWXMLTag.CreateTag 005b TIWMarkupLanguageTag.AddStringParam 007f TIWMarkupLanguageTagCollection.AddTag 0088 TIWCustomLabel.RenderLabelText 0090 @UStrClr 00ac @UStrCat 00c2 TIWCustomLabel.GetBGColor 00c7 toTColor 00e5 ColorToRGBString 00fa @UStrCatN 0107 TIWCustomControl.AddAsyncStyle 011b TIWCustomControl.RenderAsyncCommonProperties 012a @HandleAnyException 0137 TObject.Free 013c @DoneExcept 0156 @UStrArrayClr 0164 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F4 8B C3 8B 08 FF 91 14 01 00 00 8B 4D F4 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 0F B6 83 98 02 00 00 FE C8 74 13 FE C8 75 1C 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 2C FF 75 FC 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 50 8B 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 57 00 4C 00 41 00 42 00 45 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 6E 00 65 00 72 00 48 00 54 00 4D 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 74 00 65 00 78 00 74 00 2D 00 61 00 6C 00 69 00 67 00 6E 00 3A 00 20 00 63 00 65 00 6E 00 74 00 65 00 72 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 74 00 65 00 78 00 74 00 2D 00 61 00 6C 00 69 00 67 00 6E 00 3A 00 20 00 72 00 69 00 67 00 68 00 74 00 3B 00 20 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 FF 07 00 00 }
	condition:
		$1
}

rule function_43671_0 {
	meta:
		name = "TIWCustomLabel.RenderLabelText"
		size = 340
		refs = "0014 TIWCustomLabel.RenderLabelText 0024 TControl.GetText 0037 @UStrLAsg 005f TIWBaseHTMLControl.TextToHTML 007d iif 00a0 @UStrCatN 00ad TIWMarkupLanguageTagCollection.AddText 00c7 @UStrArrayClr 00cf @UStrClr 00e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 45 FC 50 0F B6 83 9B 02 00 00 50 8D 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 B1 01 8B 03 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 0F B6 83 99 02 00 00 59 E8 ?? ?? ?? ?? 80 BB 9A 02 00 00 00 74 1A 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C9 8B 55 FC 8B 46 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 3C 00 73 00 70 00 61 00 6E 00 3E 00 3C 00 2F 00 73 00 70 00 61 00 6E 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3C 00 6E 00 6F 00 62 00 72 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 2F 00 6E 00 6F 00 62 00 72 00 3E 00 00 00 }
	condition:
		$1
}

rule function_43672_0 {
	meta:
		name = "TIWCustomLabel.RenderHTML"
		size = 652
		refs = "0013 TIWCustomLabel.RenderHTML 0026 @UStrLAsg 003d _Dn_TIWHTMLTag 0042 TIWMarkupLanguageTag.CreateTag 0066 TIWMarkupLanguageTag.AddStringParam 0096 TIWCustomLabel.RenderLabelText 00a0 TIWCustomControl.get_Css 00c2 @UStrCat 00d8 TIWBaseHTMLControl.get_WebColor 00dd toTColor 00fb ColorToRGBString 0110 @UStrCatN 011d @UStrEqual 012a TIWMarkupLanguageTag.Add 0139 @HandleAnyException 0146 TObject.Free 014b @RaiseAgain 0150 @DoneExcept 016a @UStrArrayClr 0172 @UStrClr 0178 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BB 9C 02 00 00 00 74 39 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8D 55 F4 8B 83 9C 02 00 00 8B 08 FF 91 14 01 00 00 8B 4D F4 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 16 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 83 7D F0 00 75 2B 0F B6 83 98 02 00 00 FE C8 74 13 FE C8 75 1C 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 2C FF 75 FC 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0B 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 74 00 79 00 6C 00 65 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 41 00 42 00 45 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 66 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 50 00 41 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 74 00 65 00 78 00 74 00 2D 00 61 00 6C 00 69 00 67 00 6E 00 3A 00 63 00 65 00 6E 00 74 00 65 00 72 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 74 00 65 00 78 00 74 00 2D 00 61 00 6C 00 69 00 67 00 6E 00 3A 00 72 00 69 00 67 00 68 00 74 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_43673_0 {
	meta:
		name = "TIWCustomLabel.InitControl"
		size = 85
		refs = "0006 TIWCustomControl.InitControl 0012 TControl.SetHeight 001e TControl.SetWidth 003f fromTColor 0048 TIWBaseHTMLControl.set_WebColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA 15 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 79 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 78 C6 83 99 02 00 00 00 C6 83 98 02 00 00 00 B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? C6 83 A0 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_43674_0 {
	meta:
		name = "TIWCustomLabel.SetAutoSize"
		size = 30
		refs = "000b TIWVCLBaseControl.SetAutoSize 0017 TIWCustomControl.set_RenderSize"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 80 F2 01 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43675_0 {
	meta:
		name = "TIWCustomLabel.SetAlignment"
		size = 23
		altNames = "TIWLinkBase.SetAlignment"
	strings:
		$1 = { 3A 90 98 02 00 00 74 0E 88 90 98 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43676_0 {
	meta:
		name = "TIWCustomLabel.SetRawText"
		size = 7
	strings:
		$1 = { 88 90 99 02 00 00 C3 }
	condition:
		$1
}

rule function_43679_0 {
	meta:
		name = "TIWCustomLabel.SetForControl"
		size = 7
	strings:
		$1 = { 89 90 9C 02 00 00 C3 }
	condition:
		$1
}

rule function_43680_0 {
	meta:
		name = "TIWCustomLabel.SetHasTabOrder"
		size = 7
	strings:
		$1 = { 88 90 A0 02 00 00 C3 }
	condition:
		$1
}

rule function_43681_0 {
	meta:
		name = "TIWCustomLabel.RenderStyle"
		size = 105
		refs = "000e TIWVCLBaseControl.GetAutoSize 0017 TIWCustomControl.get_RenderSize 0037 TIWCustomControl.set_RenderSize 004b TIWCustomControl.RenderStyle"
	strings:
		$1 = { 53 56 57 55 51 8B E9 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 88 04 24 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 3A D0 75 12 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 51 78 8B CD 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 8B 08 FF 51 78 0F B6 14 24 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43684_0 {
	meta:
		name = "TIWCustomListCombo.get_ShouldRenderTabOrder"
		size = 49
		refs = "000d TIWBaseHTMLControl.get_Editable 0019 TIWBaseHTMLControl.get_NonEditableAsLabel"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_43685_0 {
	meta:
		name = "TIWCustomListCombo.OnItemsChange"
		size = 37
		refs = "0012 TIWCustomControl.set_DoRefreshControl"
		altNames = "TIWCustomMemo.OnItemsChange"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_43686_0 {
	meta:
		name = "TIWCustomListCombo.InitControl"
		size = 208
		refs = "000b TIWCustomControl.InitControl 0015 fromTColor 004c TIWCustomListCombo.InitControl 0051 @UStrAsg"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B 55 FC 89 82 A0 02 00 00 8B 45 FC C6 80 D0 01 00 00 01 B2 01 8B 45 FC 8B 08 FF 91 64 01 00 00 8B 45 FC C6 80 B9 02 00 00 00 8B 45 FC 05 AC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C7 80 A4 02 00 00 FF FF FF FF 8B 45 FC C6 80 E8 01 00 00 01 B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B 55 FC 89 82 BC 02 00 00 B2 01 8B 45 FC 8B 08 FF 91 80 00 00 00 8B 45 FC C6 80 B8 02 00 00 01 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 2D 00 2D 00 20 00 4E 00 6F 00 20 00 53 00 65 00 6C 00 65 00 63 00 74 00 69 00 6F 00 6E 00 20 00 2D 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_43687_0 {
	meta:
		name = "TIWCustomListCombo.Dispose"
		size = 40
		refs = "0015 FreeAndNil 0020 TIWCustomControl.Dispose"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 05 9C 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43688_0 {
	meta:
		name = "TIWCustomListCombo.GetSorted"
		size = 30
		refs = "000d TIWCustomListCombo.GetItems"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8A 40 38 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_43689_0 {
	meta:
		name = "TIWCustomListCombo.DoChange"
		size = 43
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 66 83 B8 B2 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 B4 02 00 00 FF 93 B0 02 00 00 5B 59 5D C3 }
	condition:
		$1
}

rule function_43690_0 {
	meta:
		name = "TIWCustomListCombo.RenderOnChangeIntoTag"
		size = 74
		refs = "0010 @UStrAddRef 0018 TIWCustomListCombo.RenderOnChangeIntoTag 0037 @UStrClr 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F4 89 45 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 FB 8B E5 5D C3 }
	condition:
		$1
}

rule function_43691_0 {
	meta:
		name = "TIWCustomListCombo.HookEvents"
		size = 576
		refs = "0021 TIWCustomListCombo.HookEvents 0035 TIWCustomControl.HookEvents 003d TIWBaseHTMLControl.get_Editable 0065 @UStrFromLStr 008d TIWCustomControl.SubmitHandler 00a5 iif 00b5 TIWScriptEvents.HookEvent 00c3 toTColor 00f0 ColorToRGBString 0105 @UStrCatN 016a @UStrArrayClr 0172 @LStrClr 017a @UStrClr 0180 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 74 8D 4D EC 8B 45 F8 8B 40 04 8B 80 B4 00 00 00 BA 0D 00 00 00 8B 18 FF 53 04 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 08 FF 91 68 01 00 00 84 C0 75 3E 8D 45 E8 50 6A 00 8D 45 E4 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 66 83 B8 B2 02 00 00 00 0F 95 C0 33 C9 E8 ?? ?? ?? ?? 8B 4D E8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 0F 84 82 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 76 68 ?? ?? ?? ?? 8D 55 DC 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 D4 8B 45 FC 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D D8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4F 00 6E 00 43 00 68 00 61 00 6E 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 74 00 68 00 69 00 73 00 2E 00 73 00 74 00 79 00 6C 00 65 00 2E 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 43 00 6F 00 6C 00 6F 00 72 00 3D 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 6E 00 46 00 6F 00 63 00 75 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 6E 00 42 00 6C 00 75 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_43692_0 {
	meta:
		name = "TIWCustomComboBox.RenderOnChangeIntoTag"
		size = 264
		refs = "001b @UStrAddRef 0023 TIWCustomComboBox.RenderOnChangeIntoTag 0034 UpperCase 0041 Pos 00a0 @UStrArrayClr 00a8 @UStrClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 33 C9 89 4D E8 89 4D EC 89 4D F0 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 38 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 20 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 04 33 C0 EB 02 B0 01 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8A 45 F7 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 53 00 49 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 41 00 43 00 49 00 4E 00 54 00 4F 00 53 00 48 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4D 00 41 00 43 00 00 00 }
	condition:
		$1
}

rule function_43693_0 {
	meta:
		name = "TIWCustomComboBox.Create"
		size = 111
		refs = "000e @ClassCreate 0024 TIWCustomControl.Create 002b _Dn_TIWFileReference 0030 TIWFileReference.Create 0043 fromTColor 005a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 CC 02 00 00 B8 0F 00 00 FF E8 ?? ?? ?? ?? 8B 55 FC 89 82 C8 02 00 00 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_43694_0 {
	meta:
		name = "TIWCustomComboBox.Destroy"
		size = 63
		refs = "0007 @BeforeDestruction 001b TObject.Free 0029 TIWVCLBaseControl.Destroy 0037 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43695_0 {
	meta:
		name = "TIWCustomComboBox.GetSubmitParam"
		size = 33
		refs = "0019 @UStrAsg"
		altNames = "TIWCustomListbox.GetSubmitParam"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 92 C0 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43696_0 {
	meta:
		name = "TIWCustomComboBox.RenderAsync"
		size = 940
		refs = "0021 TIWCustomComboBox.RenderAsync 0035 _Dn_TIWXMLTag 003a TIWXMLTag.CreateTag 0069 TIWMarkupLanguageTag.AddStringParam 0083 TIWBaseHTMLControl.get_Editable 0099 TIWCustomControl.RenderAsyncProperty 00bf TIWMarkupLanguageTagCollection.AddTag 0111 TIWMarkupLanguageTag.AddIntegerParam 0127 TIWMarkupLanguageTagCollection.AddText 012f TIWCustomListCombo.GetItems 013e @IntOver 016c @UStrClr 0183 @UStrLAsg 0198 Fetch 01a5 IntToStr 01ff TIWBaseHTMLControl.TextToHTML 0230 TIWCustomControl.RenderAsyncCommonProperties 023f @HandleAnyException 0247 FreeAndNil 024c @DoneExcept 0266 @UStrArrayClr 0279 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D D0 89 4D D4 89 4D EC 89 4D E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D4 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 4D D4 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 14 6A 01 8B 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 12 6A 00 8B 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8B 45 FC 83 B8 A4 02 00 00 FF 74 0C 8B 45 FC 80 B8 A9 02 00 00 00 75 4D 8B 45 E4 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 83 C9 FF BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 AC 02 00 00 8B 45 E0 8B 40 0C 33 C9 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C D5 00 00 00 40 89 45 DC C7 45 F0 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 4D EC 8B 55 F0 8B 18 FF 53 0C 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A8 02 00 00 00 74 22 8D 45 E8 8B 55 EC E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 E8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8D 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E4 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 8B 45 FC 8B 80 A4 02 00 00 3B 45 F0 75 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B 4D E8 BA ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 6A 00 8D 45 D0 50 8B 45 FC 8B 00 33 C9 8B 55 EC E8 ?? ?? ?? ?? 8B 55 D0 8B 45 D8 8B 40 0C 33 C9 E8 ?? ?? ?? ?? FF 45 F0 FF 4D DC 0F 85 36 FF FF FF 66 A1 ?? ?? ?? ?? 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 57 00 43 00 4F 00 4D 00 42 00 4F 00 42 00 4F 00 58 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 65 00 61 00 64 00 4F 00 6E 00 6C 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 74 00 65 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 69 00 74 00 65 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 FF 07 00 00 }
	condition:
		$1
}

rule function_43697_0 {
	meta:
		name = "RenderSelectedBoxStyle"
		size = 984
		refs = "0013 RenderSelectedBoxStyle 0040 @IntOver 0045 IntToStr 009b @UStrLAsg 015a TIWBaseHTMLControl.get_WebFont 016a TIWFont.FontToStringStyle 018b ColorToRGBString 01b0 @UStrCatN 01ca @UStrArrayClr 01d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8A 40 1C FE C8 74 04 2C 07 75 1D 8D 55 F8 8B 45 08 8B 40 F8 8B 40 50 83 E8 16 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B 8D 55 F8 8B 45 08 8B 40 F8 8B 40 50 83 E8 12 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8A 40 1C FE C8 74 04 2C 07 75 1D 8D 55 F0 8B 45 08 8B 40 F8 8B 40 50 83 E8 12 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8A 40 1C FE C8 74 1D 2C 03 74 06 2C 04 74 15 EB 30 8D 55 F4 8B 45 08 8B 40 F8 8B 40 54 E8 ?? ?? ?? ?? EB 38 8D 55 F4 8B 45 08 8B 40 F8 8B 40 54 83 E8 04 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B 8D 55 F4 8B 45 08 8B 40 F8 8B 40 54 83 C0 01 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8A 40 1C FE C8 74 04 2C 07 75 1D 8D 55 EC 8B 45 08 8B 40 F8 8B 40 54 83 C0 01 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8D 45 EC 8B 55 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 E8 50 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8A 52 1C 33 C9 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 8B 45 08 8B 40 F8 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B 45 FC BA 0E 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 71 00 00 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 61 00 62 00 73 00 6F 00 6C 00 75 00 74 00 65 00 3B 00 20 00 63 00 75 00 72 00 73 00 6F 00 72 00 3A 00 20 00 70 00 6F 00 69 00 6E 00 74 00 65 00 72 00 3B 00 20 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 20 00 69 00 6E 00 73 00 65 00 74 00 3B 00 20 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 77 00 69 00 64 00 74 00 68 00 3A 00 32 00 70 00 78 00 3B 00 20 00 7A 00 2D 00 69 00 6E 00 64 00 65 00 78 00 3A 00 20 00 31 00 3B 00 74 00 6F 00 70 00 3A 00 20 00 30 00 70 00 78 00 3B 00 20 00 6C 00 65 00 66 00 74 00 3A 00 20 00 30 00 70 00 78 00 3B 00 20 00 77 00 69 00 64 00 74 00 68 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 70 00 78 00 3B 00 20 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 70 00 78 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 3B 00 20 00 70 00 61 00 64 00 64 00 69 00 6E 00 67 00 2D 00 6C 00 65 00 66 00 74 00 3A 00 20 00 35 00 3B 00 20 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 3B 00 20 00 63 00 6C 00 69 00 70 00 3A 00 72 00 65 00 63 00 74 00 28 00 30 00 70 00 78 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 70 00 78 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 78 00 2C 00 30 00 70 00 78 00 29 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_43698_0 {
	meta:
		name = "RenderSelectedTextStyle"
		size = 432
		refs = "0011 RenderSelectedTextStyle 002d @IntOver 0032 IntToStr 003d TIWBaseHTMLControl.get_WebFont 0061 ColorToRGBString 00ac @UStrCatN 00c6 @UStrArrayClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 08 8B 40 F8 8B 40 50 83 E8 12 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 40 20 8D 55 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B 45 08 8B 40 F8 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 40 20 8D 55 EC E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B 45 FC BA 0B 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3B 00 20 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 70 00 78 00 3B 00 20 00 77 00 69 00 64 00 74 00 68 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 70 00 78 00 3B 00 63 00 6C 00 69 00 70 00 3A 00 72 00 65 00 63 00 74 00 28 00 30 00 70 00 78 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 70 00 78 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 78 00 2C 00 30 00 70 00 78 00 29 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_43699_0 {
	meta:
		name = "RenderSelectedText"
		size = 128
		refs = "0027 @UStrAsg 0043 TIWCustomListCombo.GetItems 0057 TStrings.GetName"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 08 8B 40 F8 83 B8 A4 02 00 00 00 7D 16 8B 45 FC 8B 55 08 8B 52 F8 8B 92 AC 02 00 00 E8 ?? ?? ?? ?? EB 4F 8B 45 08 8B 40 F8 80 B8 A8 02 00 00 00 74 21 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8B 52 F8 8B 92 A4 02 00 00 E8 ?? ?? ?? ?? EB 1F 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8B 52 F8 8B 92 A4 02 00 00 8B 18 FF 53 0C 5B 59 5D C3 }
	condition:
		$1
}

rule function_43700_0 {
	meta:
		name = "RenderButtonStyle"
		size = 608
		refs = "0010 RenderButtonStyle 002c @IntOver 0031 IntToStr 0078 ColorToRGBString 0088 @UStrCatN 00a2 @UStrArrayClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 08 8B 40 F8 8B 40 50 83 E8 12 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B 45 08 8B 40 F8 8B 40 54 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B 45 08 8B 40 F8 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? FF 75 F0 8B 45 FC BA 09 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 68 00 00 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 61 00 62 00 73 00 6F 00 6C 00 75 00 74 00 65 00 3B 00 20 00 63 00 75 00 72 00 73 00 6F 00 72 00 20 00 3A 00 70 00 6F 00 69 00 6E 00 74 00 65 00 72 00 3B 00 20 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 77 00 69 00 64 00 74 00 68 00 3A 00 20 00 31 00 70 00 78 00 3B 00 20 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 20 00 6F 00 75 00 74 00 73 00 65 00 74 00 3B 00 20 00 20 00 7A 00 2D 00 69 00 6E 00 64 00 65 00 78 00 3A 00 20 00 32 00 3B 00 74 00 6F 00 70 00 3A 00 20 00 30 00 70 00 78 00 3B 00 20 00 6C 00 65 00 66 00 74 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 70 00 78 00 3B 00 20 00 77 00 69 00 64 00 74 00 68 00 3A 00 31 00 38 00 70 00 78 00 3B 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 70 00 78 00 3B 00 20 00 63 00 6C 00 69 00 70 00 3A 00 72 00 65 00 63 00 74 00 28 00 30 00 70 00 78 00 2C 00 32 00 32 00 70 00 78 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 70 00 78 00 2C 00 30 00 70 00 78 00 29 00 3B 00 20 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_43701_0 {
	meta:
		name = "RenderImageStyle"
		size = 116
		refs = "000b RenderImageStyle 0010 @UStrAsg"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5D C3 00 B0 04 02 00 FF FF FF FF 26 00 00 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 61 00 62 00 73 00 6F 00 6C 00 75 00 74 00 65 00 3B 00 6C 00 65 00 66 00 74 00 3A 00 20 00 2D 00 31 00 70 00 78 00 3B 00 74 00 6F 00 70 00 3A 00 31 00 70 00 78 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_43702_0 {
	meta:
		name = "RenderImageSource"
		size = 212
		refs = "0010 RenderImageSource 001e gServerController 0025 TIWServerControllerBase.GetFilesURL 003c TIWFileReference.Location 0055 TIWApplication.GetInternalURLBase 0065 @UStrCat3 007f @UStrArrayClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B 45 08 8B 40 F8 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 83 38 00 75 21 8D 55 F4 8B 45 08 8B 40 FC 8B 40 10 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 2F 00 67 00 66 00 78 00 2F 00 43 00 6F 00 6D 00 62 00 6F 00 42 00 6F 00 78 00 44 00 6F 00 77 00 6E 00 41 00 72 00 72 00 6F 00 77 00 2E 00 67 00 69 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_43703_0 {
	meta:
		name = "RenderDropdownStyle"
		size = 908
		refs = "0014 RenderDropdownStyle 0060 @IntOver 0065 IntToStr 00a9 TIWCustomListCombo.GetItems 00cc Min 010f ColorToRGBString 0126 TIWBaseHTMLControl.get_WebFont 0136 TIWFont.FontToStringStyle 0146 @UStrCatN 0160 @UStrArrayClr 0173 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F8 8B 80 A0 02 00 00 89 45 F0 81 7D F0 FF FF FF 1F 75 07 C7 45 F0 FF FF FF 00 8B 45 08 8B 40 FC 8A 40 1C FE C8 74 04 2C 07 75 1D 8D 55 F8 8B 45 08 8B 40 F8 8B 40 50 83 E8 08 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 8D 55 F8 8B 45 08 8B 40 F8 8B 40 50 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 08 8B 40 F8 8B 40 54 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 10 FF 52 14 83 C0 02 71 05 E8 ?? ?? ?? ?? 6B D0 0E 71 05 E8 ?? ?? ?? ?? B8 5F 00 00 00 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 55 E8 8B 45 08 8B 40 F8 8B 40 50 83 C0 01 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 8B 45 F0 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 45 E0 50 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8A 52 1C 33 C9 E8 ?? ?? ?? ?? FF 75 E0 8B 45 FC BA 0D 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 7D 00 00 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 61 00 62 00 73 00 6F 00 6C 00 75 00 74 00 65 00 3B 00 20 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 69 00 6E 00 73 00 65 00 74 00 3B 00 20 00 70 00 61 00 64 00 64 00 69 00 6E 00 67 00 2D 00 6C 00 65 00 66 00 74 00 3A 00 35 00 3B 00 20 00 76 00 69 00 73 00 69 00 62 00 69 00 6C 00 69 00 74 00 79 00 3A 00 20 00 68 00 69 00 64 00 64 00 65 00 6E 00 3B 00 20 00 6F 00 76 00 65 00 72 00 66 00 6C 00 6F 00 77 00 3A 00 61 00 75 00 74 00 6F 00 3B 00 20 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 77 00 69 00 64 00 74 00 68 00 3A 00 32 00 70 00 78 00 3B 00 20 00 20 00 7A 00 2D 00 69 00 6E 00 64 00 65 00 78 00 3A 00 20 00 33 00 3B 00 74 00 6F 00 70 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 70 00 78 00 3B 00 20 00 6C 00 65 00 66 00 74 00 3A 00 20 00 30 00 70 00 78 00 3B 00 20 00 77 00 69 00 64 00 74 00 68 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 70 00 78 00 3B 00 20 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 70 00 78 00 3B 00 20 00 63 00 6C 00 69 00 70 00 3A 00 72 00 65 00 63 00 74 00 28 00 30 00 70 00 78 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 70 00 78 00 2C 00 31 00 30 00 30 00 70 00 78 00 2C 00 30 00 70 00 78 00 29 00 3B 00 20 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_43704_0 {
	meta:
		name = "RenderItemStyle"
		size = 244
		refs = "0012 RenderItemStyle 0031 fromTColor 0053 ColorToRGBString 0068 @UStrCatN 007d @UStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F8 8B 80 A0 02 00 00 89 45 F8 B8 FF FF FF 1F E8 ?? ?? ?? ?? 3B 45 F8 75 0D B8 FF FF FF 00 E8 ?? ?? ?? ?? 89 45 F8 68 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 3B 00 20 00 63 00 75 00 72 00 73 00 6F 00 72 00 20 00 3A 00 70 00 6F 00 69 00 6E 00 74 00 65 00 72 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_43705_0 {
	meta:
		name = "TIWCustomComboBox.RenderHTML"
		size = 6868
		refs = "001c TIWCustomComboBox.RenderHTML 002f TIWBaseHTMLControl.get_Editable 003b TIWBaseHTMLControl.get_NonEditableAsLabel 0069 _Dn_TIWHTMLTag 006e TIWMarkupLanguageTag.CreateTag 009d TIWMarkupLanguageTag.AddStringParam 00af TIWMarkupLanguageTag.AddIntegerParam 00df @UStrFromLStr 0110 TIWCustomControl.SubmitHandler 0139 TIWMarkupLanguageTag.Add 0160 TIWMarkupLanguageTag.AddBoolParam 01b6 RSSelectionRequired 01bf Format 01fc @UStrCatN 0208 TIWCompContext.AddValidation 0210 TIWCustomListCombo.GetItems 023d TIWHTMLTag.GetContents 0249 TIWHTMLTagCollection.AddTag 028d TIWMarkupLanguageTagCollection.AddText 02a4 @IntOver 02d2 @UStrClr 02e9 @UStrLAsg 02fe Fetch 030b IntToStr 0341 iif 035c @UStrCat3 037c TIWBaseHTMLControl.TextToHTML 03c1 @HandleAnyException 03c9 FreeAndNil 03ce @RaiseAgain 03d3 @DoneExcept 07b7 @UStrCat 07d6 RenderSelectedBoxStyle 0875 RenderSelectedTextStyle 089e RenderSelectedText 091f RenderButtonStyle 09ae RenderImageStyle 09ce RenderImageSource 0a39 RenderDropdownStyle 0ac0 RenderItemStyle 0c5c TStrings.GetName 0c74 TStrings.GetValue 0ca6 StringReplace 0f51 _Dn_TIWLabel 0f56 TIWCustomControl.Create 0f86 TIWCustomLabel.SetBGColor 0fab TIWBaseHTMLControl.get_WebFont 0fc8 TControl.SetWidth 0fd6 TControl.SetHeight 0fe0 TControl.SetText 1085 TObject.Free 108b @HandleFinally 10aa @UStrArrayClr 10bf @LStrClr"
	strings:
		$1 = { 55 8B EC B9 2F 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 04 0F 00 00 8B 45 F8 8A 80 C4 02 00 00 2C 01 72 0B 0F 84 82 03 00 00 E9 32 10 00 00 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 B4 8B 45 F8 8B 08 FF 91 14 01 00 00 8B 4D B4 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? B9 01 00 00 00 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 B1 01 00 00 00 75 65 8D 4D AC 8B 45 FC 8B 40 10 8B 80 B4 00 00 00 BA 0D 00 00 00 8B 18 FF 53 04 8B 55 AC 8D 45 B0 E8 ?? ?? ?? ?? 8B 55 B0 8B 45 F8 8B 08 FF 91 68 01 00 00 84 C0 74 2F 8B 45 F8 66 83 B8 B2 02 00 00 00 74 22 6A 00 8D 45 A8 50 33 C9 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D A8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 68 84 C0 75 0D BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 2A 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 1E B1 01 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 B8 02 00 00 00 74 13 8B 45 F8 8B 48 50 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 B9 02 00 00 00 74 6E 8D 45 A4 50 8B 45 F8 8B 80 F4 01 00 00 89 45 9C C6 45 A0 11 8D 55 9C A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 45 A4 50 8D 55 94 8B 45 F8 8B 08 FF 91 14 01 00 00 FF 75 94 68 ?? ?? ?? ?? 8D 55 90 8B 45 F8 8B 08 FF 91 14 01 00 00 FF 75 90 68 ?? ?? ?? ?? 8D 45 98 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 98 8B 45 FC 59 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 0F 8E 81 01 00 00 8B 45 F8 83 B8 A4 02 00 00 FF 74 0C 8B 45 F8 80 B8 A9 02 00 00 00 75 58 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 8B 45 F8 83 B8 A4 02 00 00 FF 75 0D BA ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 83 C9 FF BA ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B 55 F8 8B 92 AC 02 00 00 33 C9 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C 03 01 00 00 40 89 45 D4 C7 45 F0 00 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D EC 8B 55 F0 8B 18 FF 53 0C 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 A8 02 00 00 00 74 22 8D 45 E8 8B 55 EC E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 E8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8D 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 8D 45 8C 50 8B 45 F8 8B 80 A4 02 00 00 3B 45 F0 0F 94 C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 8C 8B 45 D0 E8 ?? ?? ?? ?? 8D 45 88 8B 4D E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 88 8B 45 D0 E8 ?? ?? ?? ?? 6A 01 8D 45 84 50 8B 45 F8 8B 00 33 C9 8B 55 EC E8 ?? ?? ?? ?? 8B 45 84 50 8B 45 D0 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? FF 45 F0 FF 4D D4 0F 85 1B FF FF FF EB 11 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 D1 0C 00 00 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B5 0C 00 00 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 8D 55 80 8B 45 F8 8B 08 FF 91 14 01 00 00 8B 4D 80 BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B 45 F8 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B 8D 7C FF FF FF BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 74 FF FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 FF B5 74 FF FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 70 FF FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 FF B5 70 FF FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 50 8B 45 E4 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 68 84 C0 0F 84 45 01 00 00 68 ?? ?? ?? ?? 8D 95 68 FF FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 FF B5 68 FF FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 64 FF FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 FF B5 64 FF FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 60 FF FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 FF B5 60 FF FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 5C FF FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 FF B5 5C FF FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 58 FF FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 FF B5 58 FF FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 54 FF FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 FF B5 54 FF FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 50 FF FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 FF B5 50 FF FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 6C FF FF FF BA 20 00 00 00 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 50 8B 45 E4 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 48 FF FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 FF B5 48 FF FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 44 FF FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 FF B5 44 FF FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 40 FF FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 FF B5 40 FF FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 3C FF FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 FF B5 3C FF FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 4C FF FF FF BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 50 8B 45 E4 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 45 F8 66 83 B8 B2 02 00 00 00 74 44 6A 00 8D 85 38 FF FF FF 50 8D 95 34 FF FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 8B 8D 34 FF FF FF BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 85 38 FF FF FF 50 8B 45 E4 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8D 95 30 FF FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 8D 85 30 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 30 FF FF FF BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 55 8D 85 2C FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 2C FF FF FF BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8D 95 28 FF FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 8D 85 28 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 28 FF FF FF BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 8D 95 24 FF FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 8D 85 24 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 24 FF FF FF BA ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 55 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 20 FF FF FF BA ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 6A 01 8D 85 1C FF FF FF 50 55 8D 85 18 FF FF FF E8 ?? ?? ?? ?? 59 8B 95 18 FF FF FF 8B 45 F8 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 50 8B 45 C8 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8D 95 14 FF FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 8D 85 14 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 14 FF FF FF BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 55 8D 85 10 FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 10 FF FF FF BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8D 95 0C FF FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 8D 85 0C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 0C FF FF FF BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C4 B9 11 00 00 00 BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? B9 12 00 00 00 BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 55 8D 85 08 FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 08 FF FF FF BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 55 8D 85 04 FF FF FF E8 ?? ?? ?? ?? 59 8B 8D 04 FF FF FF BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8D 95 00 FF FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 8D 85 00 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 00 FF FF FF BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 55 8D 85 FC FE FF FF E8 ?? ?? ?? ?? 59 8B 8D FC FE FF FF BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 F8 83 B8 A4 02 00 00 FF 74 10 8B 45 F8 80 B8 A9 02 00 00 00 0F 85 19 01 00 00 8B 45 E4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C0 8D 95 F8 FE FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 8D 85 F8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F8 FE FF FF BA ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 55 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 59 8B 8D F4 FE FF FF BA ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 8D 95 EC FE FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 FF B5 EC FE FF FF 68 ?? ?? ?? ?? 6A 01 8D 85 E8 FE FF FF 50 8B 45 F8 8B 90 AC 02 00 00 8B 45 F8 8B 00 33 C9 E8 ?? ?? ?? ?? FF B5 E8 FE FF FF 68 ?? ?? ?? ?? 8D 85 F0 FE FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 8D F0 FE FF FF BA ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 6A 01 8D 85 E4 FE FF FF 50 8B 45 F8 8B 90 AC 02 00 00 8B 45 F8 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 85 E4 FE FF FF 50 8B 45 C0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C E7 02 00 00 40 89 45 D4 C7 45 F0 00 00 00 00 8B 45 E4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 BC 8D 95 DC FE FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 FF B5 DC FE FF FF 68 ?? ?? ?? ?? 8D 95 D8 FE FF FF 8B 45 F0 E8 ?? ?? ?? ?? FF B5 D8 FE FF FF 8D 85 E0 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 8D E0 FE FF FF BA ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 55 8D 85 D4 FE FF FF E8 ?? ?? ?? ?? 59 8B 8D D4 FE FF FF BA ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 8B 45 F8 80 B8 A8 02 00 00 00 0F 84 48 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 8D D0 FE FF FF 8B 55 F0 E8 ?? ?? ?? ?? 8B 85 D0 FE FF FF 50 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D E0 5A E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D DC 8B 55 F0 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 8D 85 CC FE FF FF 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 95 CC FE FF FF 8D 45 E0 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 8D 85 C8 FE FF FF 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 95 C8 FE FF FF 8D 45 DC E8 ?? ?? ?? ?? 8D 95 C0 FE FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 FF B5 C0 FE FF FF 68 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 85 C4 FE FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 8D C4 FE FF FF BA ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 6A 00 8D 85 BC FE FF FF 50 8B 45 F8 E8 ?? ?? ?? ?? 8D 8D B8 FE FF FF 8B 55 F0 E8 ?? ?? ?? ?? 8B 95 B8 FE FF FF 8B 45 F8 8B 00 B1 01 E8 ?? ?? ?? ?? 8B 85 BC FE FF FF 50 8B 45 BC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? E9 EE 00 00 00 A0 ?? ?? ?? ?? 50 8D 45 E0 50 8B 45 F8 E8 ?? ?? ?? ?? 8D 8D B4 FE FF FF 8B 55 F0 8B 18 FF 53 0C 8B 85 B4 FE FF FF B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 AC FE FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 FF B5 AC FE FF FF 68 ?? ?? ?? ?? 8D 95 A8 FE FF FF 8B 45 F0 E8 ?? ?? ?? ?? FF B5 A8 FE FF FF 68 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 85 B0 FE FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 8D B0 FE FF FF BA ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 6A 00 8D 85 A4 FE FF FF 50 8B 45 F8 E8 ?? ?? ?? ?? 8D 8D A0 FE FF FF 8B 55 F0 8B 18 FF 53 0C 8B 95 A0 FE FF FF 8B 45 F8 8B 00 B1 01 E8 ?? ?? ?? ?? 8B 85 A4 FE FF FF 50 8B 45 BC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? FF 45 F0 FF 4D D4 0F 85 24 FD FF FF 8B 45 F8 80 B8 B9 02 00 00 00 0F 84 86 00 00 00 8D 85 9C FE FF FF 50 8B 45 F8 8B 80 F4 01 00 00 89 45 9C C6 45 A0 11 8D 55 9C A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 85 9C FE FF FF 50 8D 95 94 FE FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 FF B5 94 FE FF FF 68 ?? ?? ?? ?? 8D 95 90 FE FF FF 8B 45 F8 8B 08 FF 91 14 01 00 00 FF B5 90 FE FF FF 68 ?? ?? ?? ?? 8D 85 98 FE FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 95 98 FE FF FF 8B 45 FC 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 62 01 00 00 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 46 01 00 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 50 08 8B 45 B8 8B 08 FF 51 24 8B 45 F8 8B 90 A0 02 00 00 8B 45 B8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 1C 01 00 00 50 8B 45 B8 8B 10 FF 92 1C 01 00 00 5A 8B 08 FF 51 08 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 B8 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 8B 45 F8 8B 50 50 8B 45 B8 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 54 8B 45 B8 E8 ?? ?? ?? ?? 33 D2 8B 45 B8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 7E 6E 8B 45 F8 83 B8 A4 02 00 00 FF 7E }
	condition:
		$1
}

rule function_43706_0 {
	meta:
		name = "TIWCustomListCombo.getText"
		size = 166
		refs = "001d TIWCustomListCombo.GetItems 0052 TStrings.GetName 009d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC 83 B8 A4 02 00 00 FF 7E 5A 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 8B 55 FC 3B 82 A4 02 00 00 7E 42 8B 45 FC 80 B8 A8 02 00 00 00 74 1B 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B 92 A4 02 00 00 E8 ?? ?? ?? ?? EB 49 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B 92 A4 02 00 00 8B 18 FF 53 0C EB 2E 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 8B 55 FC 3B 82 A4 02 00 00 7F 0E 83 CA FF 8B 45 FC 8B 08 FF 91 60 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_43707_0 {
	meta:
		name = "findApplication"
		size = 82
		refs = "0028 _Dn_TIWBaseHTMLForm 002d @IsClass"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC 8B 45 FC 8B 40 38 89 45 F4 EB 09 8B 45 F4 8B 40 38 89 45 F4 83 7D F4 00 74 12 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 DF 83 7D F4 00 74 0B 8B 45 F4 8B 40 04 89 45 F8 EB 05 33 C0 89 45 F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_43708_0 {
	meta:
		name = "TIWCustomListCombo.SetItemIndex"
		size = 145
		refs = "0011 TIWVCLBaseControl.GetLoading 002b TIWCustomListCombo.GetItems 0059 TIWCustomControl.set_DoRefreshControl 006a GGetWebApplicationThreadVar 0088 TIWCustomListCombo.DoChange"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 F8 8B 55 FC 89 82 A4 02 00 00 EB 65 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 3B 45 F8 7E 53 8B 45 FC 8B 80 A4 02 00 00 3B 45 F8 74 45 8B 45 F8 8B 55 FC 89 82 A4 02 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B 1D ?? ?? ?? ?? 8B 1B FF D3 89 45 F4 83 7D F4 00 74 11 8B 45 F4 80 78 4C 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43709_0 {
	meta:
		name = "TIWCustomListCombo.SetItems"
		size = 97
		refs = "0027 TIWCustomListCombo.GetItems"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 F8 8B 10 FF 52 14 85 C0 74 1B 8B 45 F8 8B 10 FF 52 14 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 3B D8 7D 0D 8B 45 FC C7 80 A4 02 00 00 FF FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 51 08 8B 45 FC 8B 10 FF 92 9C 00 00 00 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_43710_0 {
	meta:
		name = "TIWCustomListCombo.SetRequireSelection"
		size = 28
		altNames = "TIWTreeView.SetWrapItems"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 45 FB 8B 55 FC 88 82 A9 02 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_43711_0 {
	meta:
		name = "TIWCustomListCombo.SetSorted"
		size = 43
		refs = "0010 TIWCustomListCombo.GetItems 0018 TStringList.SetSorted"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8A 55 FB E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_43712_0 {
	meta:
		name = "TIWCustomComboBox.SetValue"
		size = 504
		refs = "001b TIWCustomComboBox.SetValue 002c RequiresUpdateNotification 003e UpdateNotifiedInterface 0057 @UStrLAsg 006f TIWCustomListCombo.GetItems 007e @IntOver 00b0 @UStrLen 00d1 AnsiPos 00f9 @UStrCopy 0104 @UStrEqual 0167 Fetch 0172 StrToIntDef 019b TIWCustomControl.set_DoRefreshControl 01b5 @UStrArrayClr 01bd @IntfClear 01c5 @UStrClr 01cb @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 1C 8D 55 E8 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 E8 8B 4D F8 8B 55 FC 8B 18 FF 53 0C 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A8 02 00 00 00 0F 84 EB 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C AA 00 00 00 40 89 45 EC C7 45 F0 00 00 00 00 8D 45 E4 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E0 8B 55 F0 8B 18 FF 53 0C 8B 45 E0 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D DC 8B 55 F0 8B 18 FF 53 0C 8B 55 DC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 01 71 05 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D D8 8B 55 F0 8B 18 FF 53 0C 8B 45 D8 5A 59 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 75 1E 8B 45 FC 8B 80 A4 02 00 00 3B 45 F0 74 1C 8B 55 F0 8B 45 FC 8B 08 FF 91 60 01 00 00 EB 0C FF 45 F0 FF 4D EC 0F 85 61 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 3B 45 F0 75 4F 83 CA FF 8B 45 FC 8B 08 FF 91 60 01 00 00 EB 3F 6A 01 8D 45 D4 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 83 CA FF E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 8B 55 FC 3B 82 A4 02 00 00 74 0E 8B 55 F0 8B 45 FC 8B 08 FF 91 60 01 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_43713_0 {
	meta:
		name = "TIWCustomListCombo.SetUseSize"
		size = 39
		refs = "0013 TIWCustomControl.set_RenderSize"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 8A 45 FB 8B 55 FC 88 82 B8 02 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_43714_0 {
	meta:
		name = "TIWCustomListCombo.SetItemsHaveValues"
		size = 39
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 45 FB 8B 55 FC 88 82 A8 02 00 00 8B 45 FC 8B 10 FF 92 9C 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_43715_0 {
	meta:
		name = "TIWCustomListCombo.RenderStyle"
		size = 216
		refs = "0019 TIWCustomListCombo.RenderStyle 002d TIWCustomControl.RenderStyle 003b toTColor 005d ColorToRGBString 0072 @UStrCatN 0087 @UStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 30 8B 45 F4 FF 30 68 ?? ?? ?? ?? 8D 55 F0 8B 45 FC 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8B 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 11 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_43716_0 {
	meta:
		name = "TIWCustomListCombo.SetBGColor"
		size = 39
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 89 82 A0 02 00 00 8B 45 FC 8B 10 FF 92 9C 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_43717_0 {
	meta:
		name = "TIWCustomListCombo.RenderScripts"
		size = 360
		refs = "0015 TIWCustomListCombo.RenderScripts 0026 TIWCustomControl.RenderScripts 0073 iif 0088 @UStrCatN 0093 TIWCompContext.AddToIWCLInitProc 00ad @UStrArrayClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 F0 68 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 EC 68 ?? ?? ?? ?? 8D 45 E8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8A 80 98 02 00 00 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 F4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 69 00 66 00 28 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 57 00 43 00 4C 00 29 00 20 00 7B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 57 00 43 00 4C 00 2E 00 41 00 75 00 74 00 6F 00 48 00 69 00 64 00 65 00 20 00 3D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 7D 00 00 00 00 00 }
	condition:
		$1
}

rule function_43718_0 {
	meta:
		name = "TIWCustomListCombo.InitItems"
		size = 56
		refs = "000d _DV_TIWStringList2 0012 TIWStringList2.Create 0031 TIWCustomListCombo.OnItemsChange"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 9C 02 00 00 8B 45 FC 8B 80 9C 02 00 00 8B 55 FC 89 50 44 C7 40 40 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_43719_0 {
	meta:
		name = "TIWCustomListCombo.GetItems"
		size = 51
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 83 B8 9C 02 00 00 00 75 0B 8B 45 FC 8B 10 FF 92 5C 01 00 00 8B 45 FC 8B 80 9C 02 00 00 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_43720_0 {
	meta:
		name = "TIWCustomListbox.MouseDownEvent"
		size = 30
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_43721_0 {
	meta:
		name = "TIWCustomListbox.InitControl"
		size = 86
		refs = "000b TIWCustomListCombo.InitControl 0012 _Dn_TList 0017 TObject.Create 002d TControl.SetHeight 003a TControl.SetWidth 0041 _Dn_TStringList 0046 TStringList.Create"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 C8 02 00 00 BA 79 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BA 79 00 00 00 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 CC 02 00 00 59 5D C3 }
	condition:
		$1
}

rule function_43722_0 {
	meta:
		name = "TIWCustomListbox.Dispose"
		size = 53
		refs = "0015 FreeAndNil 002d TIWCustomListCombo.Dispose"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 05 CC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 C8 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43723_0 {
	meta:
		name = "TIWCustomListbox.GetSelected"
		size = 71
		refs = "0025 TList.IndexOf"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 80 B8 C4 02 00 00 00 74 18 8B 55 F8 8B 45 FC 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? 40 0F 9F 45 F7 EB 10 8B 45 F8 8B 55 FC 3B 82 A4 02 00 00 0F 94 45 F7 8A 45 F7 8B E5 5D C3 }
	condition:
		$1
}

rule function_43725_0 {
	meta:
		name = "TIWCustomListbox.RenderAsync"
		size = 1088
		refs = "0024 TIWCustomListbox.RenderAsync 0038 _Dn_TIWXMLTag 003d TIWXMLTag.CreateTag 006c TIWMarkupLanguageTag.AddStringParam 0090 TIWMarkupLanguageTagCollection.AddTag 00af iif 00bf TIWMarkupLanguageTagCollection.AddText 012f TIWMarkupLanguageTag.AddIntegerParam 014d TIWCustomListCombo.GetItems 015c @IntOver 018a @UStrClr 01a1 @UStrLAsg 01b6 Fetch 01c3 IntToStr 01fd TIWCustomListbox.GetSelected 0244 TIWBaseHTMLControl.TextToHTML 0275 TIWCustomControl.RenderAsyncCommonProperties 0284 @HandleAnyException 028c FreeAndNil 0291 @DoneExcept 02ab @UStrArrayClr 02be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 C9 89 4D C8 89 4D CC 89 4D D0 89 4D EC 89 4D E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D0 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 4D D0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8D 45 CC 50 8B 45 FC 8A 80 C4 02 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 45 E4 8B 40 0C 33 C9 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8B 45 FC 83 B8 A4 02 00 00 FF 74 0C 8B 45 FC 80 B8 A9 02 00 00 00 75 59 8B 45 FC 80 B8 C4 02 00 00 00 75 4D 8B 45 E0 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 83 C9 FF BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 AC 02 00 00 8B 45 DC 8B 40 0C 33 C9 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C FC 00 00 00 40 89 45 D8 C7 45 F0 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 4D EC 8B 55 F0 8B 18 FF 53 0C 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A8 02 00 00 00 74 22 8D 45 E8 8B 55 EC E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 E8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8D 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 8B 45 FC 8B 80 A4 02 00 00 3B 45 F0 75 0C 8B 45 FC 80 B8 C4 02 00 00 00 74 1B 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1E 8B 45 FC 80 B8 C4 02 00 00 00 74 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B 4D E8 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 6A 00 8D 45 C8 50 8B 45 FC 8B 00 33 C9 8B 55 EC E8 ?? ?? ?? ?? 8B 55 C8 8B 45 D4 8B 40 0C 33 C9 E8 ?? ?? ?? ?? FF 45 F0 FF 4D D8 0F 85 0F FF FF FF 66 A1 ?? ?? ?? ?? 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 57 00 4C 00 49 00 53 00 54 00 42 00 4F 00 58 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 5F 00 74 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 2D 00 6F 00 6E 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 2D 00 6D 00 75 00 6C 00 74 00 69 00 70 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 74 00 65 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 69 00 74 00 65 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 FF 07 00 00 }
	condition:
		$1
}

rule function_43726_0 {
	meta:
		name = "TIWCustomListbox.RenderHTML"
		size = 1768
		refs = "001d TIWCustomListbox.RenderHTML 0030 TIWBaseHTMLControl.get_Editable 003c TIWBaseHTMLControl.get_NonEditableAsLabel 0052 _Dn_TIWHTMLTag 0057 TIWMarkupLanguageTag.CreateTag 0086 TIWMarkupLanguageTag.AddStringParam 00a3 TIWMarkupLanguageTag.AddIntegerParam 00bc iif 00c7 TIWMarkupLanguageTag.Add 011a TIWMarkupLanguageTag.AddBoolParam 0151 RSSelectionRequired 015a Format 0197 @UStrCatN 01a3 TIWCompContext.AddValidation 01ab TIWCustomListCombo.GetItems 01e4 TIWHTMLTag.GetContents 01f0 TIWHTMLTagCollection.AddTag 0228 TIWMarkupLanguageTagCollection.AddText 023f @IntOver 026d @UStrClr 0284 @UStrLAsg 0299 Fetch 02a6 IntToStr 02e6 TIWCustomListbox.GetSelected 0338 TIWBaseHTMLControl.TextToHTML 037d @HandleAnyException 0385 FreeAndNil 038a @RaiseAgain 038f @DoneExcept 039e _Dn_TIWLabel 03a3 TIWCustomControl.Create 03d3 TIWCustomLabel.SetBGColor 03e9 @UStrAsg 040e TIWCustomControl.get_ScriptEvents 042b TControl.SetWidth 0439 TControl.SetHeight 0443 TControl.SetText 047e TStrings.GetName 0493 TStrings.GetValue 050e TObject.Free 0514 @HandleFinally 0530 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0C 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 50 03 00 00 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D4 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 4D D4 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 48 54 85 C9 79 03 83 C1 0F C1 F9 04 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 D0 50 8B 45 FC 8A 80 C4 02 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B8 02 00 00 00 74 13 8B 45 FC 8B 48 50 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 68 84 C0 75 0D BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 1E B1 01 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B9 02 00 00 00 74 6E 8D 45 CC 50 8B 45 FC 8B 80 F4 01 00 00 89 45 C4 C6 45 C8 11 8D 55 C4 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 45 CC 50 8D 55 BC 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 BC 68 ?? ?? ?? ?? 8D 55 B8 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 B8 68 ?? ?? ?? ?? 8D 45 C0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F8 59 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 0F 8E A2 01 00 00 8B 45 FC 83 B8 A4 02 00 00 FF 74 0C 8B 45 FC 80 B8 A9 02 00 00 00 75 58 8B 45 FC 80 B8 C4 02 00 00 00 75 4C 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 83 C9 FF BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 AC 02 00 00 33 C9 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C 24 01 00 00 40 89 45 E0 C7 45 F0 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 4D EC 8B 55 F0 8B 18 FF 53 0C 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A8 02 00 00 00 74 22 8D 45 E8 8B 55 EC E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 E8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8D 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 8D 45 B4 50 8B 45 FC 8B 80 A4 02 00 00 3B 45 F0 75 0C 8B 45 FC 80 B8 C4 02 00 00 00 74 1F 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 80 B8 C4 02 00 00 00 75 04 33 C0 EB 02 B0 01 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B 45 DC E8 ?? ?? ?? ?? 8B 4D E8 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 6A 01 8D 45 B0 50 8B 45 FC 8B 00 33 C9 8B 55 EC E8 ?? ?? ?? ?? 8B 45 B0 50 8B 45 DC E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? FF 45 F0 FF 4D E0 0F 85 FA FE FF FF EB 11 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 9E 01 00 00 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 82 01 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 08 8B 45 D8 8B 08 FF 51 24 8B 45 FC 8B 90 A0 02 00 00 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 FC 05 F4 01 00 00 8B 55 FC 8B 92 F4 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 1C 01 00 00 50 8B 45 D8 8B 10 FF 92 1C 01 00 00 5A 8B 08 FF 51 08 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 D8 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 8B 45 FC 8B 50 50 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 54 8B 45 D8 E8 ?? ?? ?? ?? 33 D2 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 A4 02 00 00 FF 0F 8E 95 00 00 00 8B 45 FC 80 B8 A8 02 00 00 00 74 50 6A 01 8D 45 AC 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D A4 8B 55 FC 8B 92 A4 02 00 00 E8 ?? ?? ?? ?? 8B 45 A4 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D A8 5A E8 ?? ?? ?? ?? 8B 55 A8 8B 45 D8 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 55 AC 8B 45 D8 E8 ?? ?? ?? ?? EB 39 6A 01 8D 45 A0 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D 9C 8B 55 FC 8B 92 A4 02 00 00 8B 18 FF 53 0C 8B 55 9C 8B 45 D8 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 55 A0 8B 45 D8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 D8 8B 08 FF 91 18 01 00 00 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 8B 45 F4 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 49 00 5A 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 55 00 4C 00 54 00 49 00 50 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 49 00 44 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 49 00 53 00 41 00 42 00 4C 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 45 00 41 00 44 00 4F 00 4E 00 4C 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 57 00 43 00 4C 00 20 00 21 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 20 00 26 00 26 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 57 00 43 00 4C 00 2E 00 76 00 61 00 6C 00 75 00 65 00 3D 00 3D 00 22 00 2D 00 31 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 41 00 4C 00 55 00 45 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_43727_0 {
	meta:
		name = "TIWCustomListbox.ResetSelection"
		size = 35
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 C8 02 00 00 8B 10 FF 52 08 8B 45 FC 8B 10 FF 92 9C 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_43728_0 {
	meta:
		name = "TIWCustomListbox.SetSelected"
		size = 113
		refs = "001c TIWCustomListbox.GetSelected 0031 TList.Add 005e TList.Remove"
	strings:
		$1 = { 55 8B EC 83 C4 F4 88 4D F7 89 55 F8 89 45 FC 80 7D F7 00 74 2D 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 49 8B 55 F8 8B 45 FC 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 EB 2B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1C 8B 55 F8 8B 45 FC 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_43729_0 {
	meta:
		name = "TIWCustomListbox.SetItemIndex"
		size = 58
		refs = "0013 TIWCustomListCombo.SetItemIndex 0032 TIWCustomListbox.SetSelected"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 C4 02 00 00 00 74 13 B1 01 8B 45 FC 8B 90 A4 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43730_0 {
	meta:
		name = "TIWCustomListbox.SetMultiSelect"
		size = 55
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 80 7D FB 00 74 0A 8B 45 FC C6 80 A9 02 00 00 00 8A 45 FB 8B 55 FC 88 82 C4 02 00 00 8B 45 FC 8B 10 FF 92 9C 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_43731_0 {
	meta:
		name = "TIWCustomListbox.SetValue"
		size = 1012
		refs = "001a TIWCustomListbox.SetValue 002b RequiresUpdateNotification 003d UpdateNotifiedInterface 0056 @UStrLAsg 006b Fetch 0088 @UStrEqual 00a5 TIWCustomListCombo.GetItems 00b4 @IntOver 00e6 @UStrLen 0107 AnsiPos 012f @UStrCopy 0165 StrToIntDef 019e :TIWCustomListbox.:1 01a3 @DynArraySetLength 01e4 @BoundErr 02d9 StrToInt 035e TIWCustomListbox.SetSelected 0370 TIWCustomControl.set_DoRefreshControl 038a @UStrArrayClr 0392 @IntfClear 03a0 @DynArrayClear 03b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 1C 8D 55 E0 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 E0 8B 4D F8 8B 55 FC 8B 18 FF 53 0C 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A8 02 00 00 00 0F 84 DF 00 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 13 83 CA FF 8B 45 FC 8B 08 FF 91 60 01 00 00 E9 D5 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C B6 00 00 00 40 89 45 E4 C7 45 E8 00 00 00 00 8D 45 DC 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D D8 8B 55 E8 8B 18 FF 53 0C 8B 45 D8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D D4 8B 55 E8 8B 18 FF 53 0C 8B 55 D4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 01 71 05 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D D0 8B 55 E8 8B 18 FF 53 0C 8B 45 D0 5A 59 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F0 E8 ?? ?? ?? ?? 75 10 8B 55 E8 8B 45 FC 8B 08 FF 91 60 01 00 00 EB 26 FF 45 E8 FF 4D E4 0F 85 6F FF FF FF EB 18 83 CA FF 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 60 01 00 00 8B 45 FC 80 B8 C4 02 00 00 00 0F 84 E4 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 50 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C 41 01 00 00 40 89 45 E4 C7 45 E8 00 00 00 00 8B 45 E8 8B 55 EC 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 4D E8 8B 5D FC 3B 8B A4 02 00 00 0F 94 C1 88 0C 02 FF 45 E8 FF 4D E4 75 D2 E9 03 01 00 00 6A 01 8D 45 F0 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A8 02 00 00 00 0F 84 A9 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C 95 00 00 00 40 89 45 E4 C7 45 E8 00 00 00 00 8D 45 CC 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D C8 8B 55 E8 8B 18 FF 53 0C 8B 45 C8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D C4 8B 55 E8 8B 18 FF 53 0C 8B 55 C4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 01 71 05 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D C0 8B 55 E8 8B 18 FF 53 0C 8B 45 C0 5A 59 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F0 E8 ?? ?? ?? ?? 74 15 FF 45 E8 FF 4D E4 75 83 EB 0B 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 3B 45 E8 7E 18 8B 45 E8 8B 55 EC 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? C6 04 02 01 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 8F ED FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 35 40 89 45 E4 C7 45 E8 00 00 00 00 8B 45 E8 8B 55 EC 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8A 0C 02 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? FF 45 E8 FF 4D E4 75 D6 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_43732_0 {
	meta:
		name = "TIWCustomListbox.Submit"
		size = 136
		refs = "0019 @UStrAsg 0021 TIWCustomListCombo.DoChange 0029 TIWCustomListbox.Submit 002e @UStrEqual"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC 05 C0 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 21 8B 45 FC 66 83 B8 D2 02 00 00 00 74 1F 8B 5D FC 8B 55 FC 8B 83 D4 02 00 00 FF 93 D0 02 00 00 EB 0B 8B 45 FC 8B 10 FF 92 F0 00 00 00 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 62 00 6C 00 43 00 6C 00 69 00 63 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_43733_0 {
	meta:
		name = "TIWCustomListbox.HookEvents"
		size = 328
		refs = "001f TIWCustomListbox.HookEvents 0033 TIWCustomListCombo.HookEvents 003b TIWBaseHTMLControl.get_Editable 0055 TIWCustomControl.SubmitHandler 0061 TIWVCLBaseControl.HasOnClick 0069 iif 0079 TIWScriptEvents.HookEvent 00d4 @UStrArrayClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 7B 8D 45 F0 50 6A 00 8D 45 EC 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 E8 50 6A 00 8D 45 E4 50 33 C9 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 66 83 B8 D2 02 00 00 00 0F 95 C0 33 C9 E8 ?? ?? ?? ?? 8B 4D E8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 6E 00 43 00 6C 00 69 00 63 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 62 00 6C 00 43 00 6C 00 69 00 63 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4F 00 6E 00 44 00 62 00 6C 00 43 00 6C 00 69 00 63 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_43734_0 {
	meta:
		name = "TIWCustomListbox.DoItemsChange"
		size = 27
		refs = "0013 TIWCustomListCombo.OnItemsChange"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43735_0 {
	meta:
		name = "TIWCustomListbox.DoItemsChanging"
		size = 67
		refs = "002b TIWCustomListCombo.GetItems"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 B8 C4 02 00 00 00 74 27 8B 45 FC 8B 80 C8 02 00 00 83 78 08 00 7E 18 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 CC 02 00 00 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_43736_0 {
	meta:
		name = "TIWCustomListbox.InitItems"
		size = 62
		refs = "000b TIWCustomListCombo.InitItems 0021 TIWCustomListbox.DoItemsChange 0037 TIWCustomListbox.DoItemsChanging"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 02 00 00 8B 55 FC 89 50 44 C7 40 40 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 02 00 00 8B 55 FC 89 50 4C C7 40 48 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_43737_0 {
	meta:
		name = "TIWCustomComboBox.InitControl"
		size = 44
		refs = "000b TIWCustomListCombo.InitControl 0018 TControl.SetHeight 0025 TControl.SetWidth"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? BA 15 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BA 79 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_43738_0 {
	meta:
		name = "TIWCustomComboBox.Submit"
		size = 40
		refs = "0018 @UStrAsg 0020 TIWCustomListCombo.DoChange"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 05 C0 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43739_0 {
	meta:
		name = "TIWCustomListCombo.Clear"
		size = 37
		refs = "0019 TIWCustomListCombo.GetItems"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 83 CA FF 8B 45 FC 8B 08 FF 91 60 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 44 59 5D C3 }
	condition:
		$1
}

rule function_43740_0 {
	meta:
		name = "TIWListbox.SetRequireSelection"
		size = 43
		refs = "0023 TIWCustomListCombo.SetRequireSelection"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 80 7D FB 00 74 0A 8B 45 FC C6 80 C4 02 00 00 00 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43741_0 {
	meta:
		name = "TIWCustomListbox.GetOnClick"
		size = 39
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 8A 18 01 00 00 89 08 8B 8A 1C 01 00 00 89 48 04 59 59 5D C3 }
	condition:
		$1
}

rule function_43742_0 {
	meta:
		name = "TIWCustomListbox.SetOnClick"
		size = 33
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 55 08 89 90 18 01 00 00 8B 55 0C 89 90 1C 01 00 00 59 5D C2 08 00 }
	condition:
		$1
}

rule function_43743_0 {
	meta:
		name = "TIWStringList2.InsertItem"
		size = 166
		refs = "001d TStringList.InsertItem 0029 _DV_TIWCustomListbox 002e @IsClass 0044 @IntOver 0074 TIWCustomListbox.GetSelected 0084 TIWCustomListbox.SetSelected"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 4D F4 89 55 F8 89 45 FC 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 58 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6A 8B 45 FC 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 8B 55 F8 83 C2 01 71 05 E8 ?? ?? ?? ?? 2B D0 7F 37 4A 89 55 EC 89 45 F0 8B 55 F0 83 EA 01 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 8B C8 8B 55 F0 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? FF 4D F0 FF 45 EC 75 D0 33 C9 8B 55 F8 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_43744_0 {
	meta:
		name = "TIWStringList2.Create"
		size = 77
		refs = "000e @ClassCreate 0021 TStringList.Create 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 50 58 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_43745_0 {
	meta:
		name = "TIWStringList2.Delete"
		size = 172
		refs = "0013 TStringList.Delete 001f _DV_TIWCustomListbox 0024 @IsClass 004d @IntOver 0058 TIWCustomListbox.GetSelected 0068 TIWCustomListbox.SetSelected"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 58 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7C 8B 45 F8 50 8B 45 FC 8B 10 FF 52 14 5A 2B C2 7C 37 40 89 45 F0 89 55 F4 8B 55 F4 83 C2 01 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? FF 45 F4 FF 4D F0 75 D0 8B 45 FC 8B 10 FF 52 14 8B D0 33 C9 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 85 C0 75 11 83 CA FF 8B 45 FC 8B 40 58 8B 08 FF 91 60 01 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_43746_0 {
	meta:
		name = "TIWStringList2.Exchange"
		size = 196
		refs = "0019 TStringList.Exchange 0025 _DV_TIWCustomListbox 002a @IsClass 0040 TIWCustomListbox.GetSelected 0066 TIWCustomListbox.SetSelected"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 58 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 8A 00 00 00 8B 55 F8 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 84 C0 74 34 8B 55 F4 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 84 C0 75 22 33 C9 8B 55 F8 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? B1 01 8B 55 F4 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? EB 44 8B 55 F8 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 84 C0 75 32 8B 55 F4 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 84 C0 74 20 B1 01 8B 55 F8 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 33 C9 8B 55 F4 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_43747_0 {
	meta:
		name = "TIWStringList2.QuickSort"
		size = 237
		refs = "0025 @IntOver 00d0 TIWStringList2.QuickSort"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 89 45 F0 8B 45 F4 89 45 EC 8B 45 F8 03 45 F4 71 05 E8 ?? ?? ?? ?? D1 E8 89 45 E8 EB 0B 83 45 F0 01 71 05 E8 ?? ?? ?? ?? 8B 4D E8 8B 55 F0 8B 45 FC FF 55 08 85 C0 7C E5 EB 0B 83 6D EC 01 71 05 E8 ?? ?? ?? ?? 8B 4D E8 8B 55 EC 8B 45 FC FF 55 08 85 C0 7F E5 8B 45 F0 3B 45 EC 7F 42 8B 4D EC 8B 55 F0 8B 45 FC 8B 18 FF 53 4C 8B 45 E8 3B 45 F0 75 08 8B 45 EC 89 45 E8 EB 0E 8B 45 E8 3B 45 EC 75 06 8B 45 F0 89 45 E8 83 45 F0 01 71 05 E8 ?? ?? ?? ?? 83 6D EC 01 71 05 E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 7E 81 8B 45 F8 3B 45 EC 7D 12 8B 45 08 50 8B 4D EC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 89 45 F8 8B 45 F0 3B 45 F4 0F 8C 2A FF FF FF 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_43748_0 {
	meta:
		name = "TIWStringList2.CustomSort"
		size = 92
		refs = "003f @IntOver 0049 TIWStringList2.QuickSort"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 78 38 00 75 43 8B 45 FC 8B 10 FF 52 14 48 7E 38 8B 45 FC 8B 10 FF 92 94 00 00 00 8B 45 F8 50 8B 45 FC 8B 10 FF 52 14 8B C8 83 E9 01 71 05 E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 90 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_43750_0 {
	meta:
		name = "IWCompListbox"
		size = 168
		refs = "0005 _DV_6 000d IWCompListbox 0017 _Dn_TIWServer 001c TIWServer.AddInternalFile"
	strings:
		$1 = { 55 8B EC 83 2D ?? ?? ?? ?? 01 73 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 2F 00 67 00 66 00 78 00 2F 00 43 00 6F 00 6D 00 62 00 6F 00 42 00 6F 00 78 00 44 00 6F 00 77 00 6E 00 41 00 72 00 72 00 6F 00 77 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 43 00 6F 00 6D 00 62 00 6F 00 42 00 6F 00 78 00 44 00 6F 00 77 00 6E 00 41 00 72 00 72 00 6F 00 77 00 00 00 00 00 }
	condition:
		$1
}

rule function_43751_0 {
	meta:
		name = "TIWCustomMemo.InitControl"
		size = 166
		refs = "000b TIWCustomControl.InitControl 0012 _Dn_TStringList 0017 TStringList.Create 0036 TIWCustomMemo.OnItemsChange 004d TControl.SetHeight 005a TControl.SetWidth 006e fromTColor 0081 TIWCustomControl.set_RenderSize"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A0 02 00 00 8B 45 FC 8B 80 A0 02 00 00 8B 55 FC 89 50 44 C7 40 40 ?? ?? ?? ?? 8B 45 FC C6 80 D0 01 00 00 01 BA 79 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BA 79 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 A5 02 00 00 01 B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B 55 FC 89 82 9C 02 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 E8 01 00 00 01 8B 45 FC C6 80 99 02 00 00 01 8B 45 FC C6 80 A6 02 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_43752_0 {
	meta:
		name = "TIWCustomMemo.getText"
		size = 33
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 A0 02 00 00 8B 08 FF 51 1C 59 59 5D C3 }
	condition:
		$1
}

rule function_43753_0 {
	meta:
		name = "TIWCustomMemo.SetText"
		size = 33
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 A0 02 00 00 8B 08 FF 51 2C 59 59 5D C3 }
	condition:
		$1
}

rule function_43754_0 {
	meta:
		name = "TIWCustomMemo.TextChangedNotification"
		size = 92
		refs = "0012 TIWCustomMemo.TextChangedNotification 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 08 FF 91 BC 00 00 00 8B 55 F8 8B 45 FC 8B 80 A0 02 00 00 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_43755_0 {
	meta:
		name = "TIWCustomMemo.Dispose"
		size = 40
		refs = "0015 FreeAndNil 0020 TIWCustomControl.Dispose"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 05 A0 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43756_0 {
	meta:
		name = "TIWCustomMemo.RenderAsync"
		size = 688
		refs = "001d TIWCustomMemo.RenderAsync 0031 _Dn_TIWXMLTag 0036 TIWXMLTag.CreateTag 0065 TIWMarkupLanguageTag.AddStringParam 0085 toTColor 00a2 ColorToRGBString 00b7 @UStrCatN 00c5 TIWCustomControl.AddAsyncStyle 00cd TIWBaseHTMLControl.get_Editable 00e0 TIWCustomControl.RenderAsyncProperty 00f2 TIWMarkupLanguageTagCollection.AddTag 0118 TIWBaseHTMLControl.TextToHTML 012c @UStrLen 0145 @IntOver 014d @UStrSetLength 015d TIWMarkupLanguageTagCollection.AddText 0172 TIWCustomControl.RenderAsyncCommonProperties 0181 @HandleAnyException 0189 FreeAndNil 018e @DoneExcept 01a3 @UStrClr 01b0 @UStrArrayClr 01be @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 4D E8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 39 68 ?? ?? ?? ?? 8D 55 E0 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 34 01 50 8B 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 6A 00 8D 45 F0 50 8D 55 DC 8B 45 FC 8B 08 FF 91 BC 00 00 00 8B 55 DC 8B 45 FC 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A5 02 00 00 00 75 29 8B 45 F0 E8 ?? ?? ?? ?? 83 F8 02 7C 1C 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 83 EA 02 71 05 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 0C 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 57 00 4D 00 45 00 4D 00 4F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 65 00 61 00 64 00 4F 00 6E 00 6C 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 65 00 78 00 74 00 00 00 00 00 FF 07 00 00 }
	condition:
		$1
}

rule function_43757_0 {
	meta:
		name = "TIWCustomMemo.RenderStyle"
		size = 476
		refs = "001f TIWCustomMemo.RenderStyle 0033 TIWCustomControl.RenderStyle 004d ColorToRGBString 0062 @UStrCatN 0074 toTColor 0084 iif 008f @UStrCat 00f1 @UStrArrayClr 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F0 50 68 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 0F 95 C0 33 C9 5A E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8D 45 E4 50 8B 45 FC 8A 80 99 02 00 00 34 01 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 45 FC 80 B8 A6 02 00 00 00 74 10 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 6F 00 76 00 65 00 72 00 66 00 6C 00 6F 00 77 00 3A 00 20 00 68 00 69 00 64 00 64 00 65 00 6E 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 20 00 6E 00 6F 00 6E 00 65 00 3B 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 30 00 30 00 30 00 30 00 30 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_43758_0 {
	meta:
		name = "TIWCustomMemo.RenderHTML"
		size = 848
		refs = "001c TIWCustomMemo.RenderHTML 0030 _Dn_TIWHTMLTag 0035 TIWMarkupLanguageTag.CreateTag 0064 TIWMarkupLanguageTag.AddStringParam 0070 TIWBaseHTMLControl.get_Editable 007e iif 0089 TIWMarkupLanguageTag.Add 00a4 TIWMarkupLanguageTag.AddBoolParam 00e5 TIWBaseHTMLControl.TextToHTML 00f9 @UStrLen 0112 @IntOver 011a @UStrSetLength 0122 TIWHTMLTag.GetContents 012c TIWMarkupLanguageTagCollection.AddText 0136 TIWCustomControl.set_UseFrame 0145 @HandleAnyException 014d FreeAndNil 0152 @RaiseAgain 0157 @DoneExcept 0172 BaseComponentInterface 019a RSValidationRequeredField 01a3 Format 01e0 @UStrCatN 01ec TIWCompContext.AddValidation 0206 @UStrArrayClr 020e @UStrClr 0216 @IntfClear 0231 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 4D EC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? 34 01 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 68 84 C0 75 0F B1 01 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 98 02 00 00 00 74 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 6A 00 8D 45 F0 50 8D 55 E4 8B 45 FC 8B 08 FF 91 BC 00 00 00 8B 55 E4 8B 45 FC 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A5 02 00 00 00 75 29 8B 45 F0 E8 ?? ?? ?? ?? 83 F8 02 7C 1C 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 83 EA 02 71 05 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A4 02 00 00 00 0F 84 85 00 00 00 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 52 1C 84 C0 74 6E 8D 45 DC 50 8B 45 FC 8B 80 F4 01 00 00 89 45 D4 C6 45 D8 11 8D 55 D4 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 55 CC 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 CC 68 ?? ?? ?? ?? 8D 55 C8 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 C8 68 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F8 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 45 00 58 00 54 00 41 00 52 00 45 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 45 00 41 00 44 00 4F 00 4E 00 4C 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 49 00 53 00 41 00 42 00 4C 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4F 00 46 00 46 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 57 00 52 00 41 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 57 00 43 00 4C 00 20 00 21 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 20 00 26 00 26 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 57 00 43 00 4C 00 2E 00 76 00 61 00 6C 00 75 00 65 00 2E 00 6C 00 65 00 6E 00 67 00 74 00 68 00 3D 00 3D 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_43759_0 {
	meta:
		name = "TIWCustomMemo.SetBGColor"
		size = 53
		altNames = "TIWProgressBar.SetPercent"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 80 9C 02 00 00 3B 45 F8 74 17 8B 45 F8 8B 55 FC 89 82 9C 02 00 00 8B 45 FC 8B 10 FF 92 9C 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_43760_0 {
	meta:
		name = "TIWCustomMemo.SetLines"
		size = 54
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 A0 02 00 00 8B 08 FF 51 08 8B 45 FC C6 80 A5 02 00 00 01 8B 45 FC 8B 10 FF 92 9C 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_43762_0 {
	meta:
		name = "TIWCustomMemo.SetValue"
		size = 332
		refs = "0016 TIWCustomMemo.SetValue 0027 RequiresUpdateNotification 0039 UpdateNotifiedInterface 0060 StringReplace 0087 @UStrLAsg 00b4 @UStrEqual 00f3 @UStrArrayClr 00fb @IntfClear 0103 @UStrClr 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 1C 8D 55 F0 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 F0 8B 4D F8 8B 55 FC 8B 18 FF 53 0C A0 ?? ?? ?? ?? 50 8D 45 F4 50 33 C9 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 8D 45 EC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 A0 02 00 00 8B 08 FF 51 2C 8D 55 E8 8B 45 FC 8B 80 A0 02 00 00 8B 08 FF 51 1C 8B 45 E8 8B 55 F4 E8 ?? ?? ?? ?? 0F 94 C0 8B 55 FC 88 82 A5 02 00 00 8B 55 F4 8B 45 FC 8B 08 FF 91 E0 00 00 00 8B 45 FC 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 8B E5 5D C3 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_43763_0 {
	meta:
		name = "TIWCustomMemo.Clear"
		size = 24
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 A0 02 00 00 8B 10 FF 52 44 59 5D C3 }
	condition:
		$1
}

rule function_43764_0 {
	meta:
		name = "TIWCustomMemo.SetVertScrollBar"
		size = 53
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 45 FB 8B 55 FC 3A 82 99 02 00 00 74 17 8A 45 FB 8B 55 FC 88 82 99 02 00 00 8B 45 FC 8B 10 FF 92 9C 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_43767_0 {
	meta:
		name = "TrimChar"
		size = 216
		refs = "0016 @UStrAddRef 0026 TrimChar 0084 @UStrDelete 00a9 @UStrAsg 00c3 @UStrArrayClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 4D F7 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 6C 33 D2 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 54 BE 01 00 00 00 80 7D F7 00 74 07 B8 01 00 00 00 EB 0C 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 4D F8 0F B7 4C 71 FE 8B 7D FC 66 3B 4C 47 FE 75 20 8D 55 FC B9 01 00 00 00 92 E8 ?? ?? ?? ?? B2 01 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 74 04 46 4B 75 B1 84 D2 75 94 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_43768_0 {
	meta:
		name = "TrimChar"
		size = 131
		refs = "0018 @UStrAddRef 0028 TrimChar 004a @UStrLAsg 0072 @UStrArrayClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 DB 89 5D F4 8B D9 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 B1 01 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 53 33 C9 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43769_0 {
	meta:
		name = "FixCaption"
		size = 153
		refs = "0017 @UStrAddRef 001f FixCaption 002c @UStrClr 005e @UStrFromWChar 0068 @UStrCat 0086 @UStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 2E BB 01 00 00 00 8B 45 FC 66 83 7C 58 FE 26 74 1A 8D 45 F8 8B 55 FC 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 43 4E 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_43770_0 {
	meta:
		name = "DQuoteStr"
		size = 136
		refs = "000f DQuoteStr 0029 TrimChar 003d @UStrCatN 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_43771_0 {
	meta:
		name = "TIWMenuStyle.Create"
		size = 190
		refs = "000b @ClassCreate 001a TObject.Create 0024 _Dn_TIWFont 0029 TIWFont.Create 0054 fromTColor 009f TIWFont.SeTIWColor 00aa @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 24 B8 FF FF FF 1F E8 ?? ?? ?? ?? 89 47 10 B8 FF FF FF 1F E8 ?? ?? ?? ?? 89 47 08 B8 FF FF FF 1F E8 ?? ?? ?? ?? 89 47 04 B8 FF FF FF 1F E8 ?? ?? ?? ?? 89 47 0C B8 FF FF FF 1F E8 ?? ?? ?? ?? 89 47 14 B8 C0 C0 C0 00 E8 ?? ?? ?? ?? 8B D0 8B 47 24 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43772_0 {
	meta:
		name = "TIWMenuStyle.Destroy"
		size = 84
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0042 TPersistent.Destroy 004d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43773_0 {
	meta:
		name = "TIWMenuStyle.SetOrientation"
		size = 15
	strings:
		$1 = { 88 50 38 8B 40 34 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43774_0 {
	meta:
		name = "TIWMenuStyle.SetMenuItemFont"
		size = 24
	strings:
		$1 = { 53 8B D8 8B 43 20 8B 08 FF 51 08 8B 43 34 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_43775_0 {
	meta:
		name = "TIWMenuStyle.SetSelectedMenuItemFont"
		size = 24
	strings:
		$1 = { 53 8B D8 8B 43 1C 8B 08 FF 51 08 8B 43 34 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_43776_0 {
	meta:
		name = "TIWMenuStyle.SetDisabledMenuItemFont"
		size = 24
	strings:
		$1 = { 53 8B D8 8B 43 24 8B 08 FF 51 08 8B 43 34 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_43777_0 {
	meta:
		name = "TIWMenuStyle.Assign"
		size = 138
		refs = "000a _DV_TIWMenuStyle 000f @IsClass 0020 @AsClass 0061 @UStrAsg 0083 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 67 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 56 1C 8B 43 1C 8B 08 FF 51 08 8B 46 18 89 43 18 8B 56 20 8B 43 20 8B 08 FF 51 08 0F B6 46 38 88 43 38 8B 46 34 89 43 34 8B 56 24 8B 43 24 8B 08 FF 51 08 8D 43 30 8B 56 30 E8 ?? ?? ?? ?? 8D 43 2C 8B 56 2C E8 ?? ?? ?? ?? 8D 43 28 8B 56 28 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43778_0 {
	meta:
		name = "TIWMenuStyle.SetDisabledItemBGColor"
		size = 15
	strings:
		$1 = { 89 50 0C 8B 40 34 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43779_0 {
	meta:
		name = "TIWMenuStyle.SetItemBGColor"
		size = 15
	strings:
		$1 = { 89 50 08 8B 40 34 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43780_0 {
	meta:
		name = "TIWMenuStyle.SetSelectedItemBGColor"
		size = 15
	strings:
		$1 = { 89 50 04 8B 40 34 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43781_0 {
	meta:
		name = "TIWMenuStyle.SetBGColor"
		size = 15
	strings:
		$1 = { 89 50 10 8B 40 34 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43782_0 {
	meta:
		name = "TIWMenuStyle.SetBorderColor"
		size = 15
	strings:
		$1 = { 89 50 14 8B 40 34 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43783_0 {
	meta:
		name = "TIWMenu.Create"
		size = 218
		refs = "000e @ClassCreate 001c TIWCustomControl.Create 0025 _DV_TIWMainMenuStyle 002a TIWMenuStyle.Create 003c fromTColor 0045 TIWMenuStyle.SetBGColor 004e _DV_TIWMenuStyle 0064 TIWMenuStyle.SetOrientation 0077 TControl.SetHeight 0083 TControl.SetWidth 0096 TIWMenu.SetItemSpacing 009d _Dn_TStringList 00a2 TStringList.Create 00b8 TIWCustomControl.set_SupportsPartial 00c5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C4 02 00 00 B8 E0 DF E3 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C8 02 00 00 8B C6 B2 01 E8 ?? ?? ?? ?? C6 83 A0 02 00 00 00 BA 14 00 00 00 8B C3 E8 ?? ?? ?? ?? BA C8 00 00 00 8B C3 E8 ?? ?? ?? ?? C7 83 B8 02 00 00 1E 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D0 02 00 00 C6 83 98 02 00 00 01 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_43784_0 {
	meta:
		name = "TIWMenu.Destroy"
		size = 93
		refs = "0003 @BeforeDestruction 001a TObject.Free 004b TIWVCLBaseControl.Destroy 0056 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 C4 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 C8 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 D0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43785_0 {
	meta:
		name = "TIWMenu.SetMainMenuStyle"
		size = 26
	strings:
		$1 = { 56 8B F0 8B 86 C4 02 00 00 8B 08 FF 51 08 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_43786_0 {
	meta:
		name = "TIWMenu.SetSubMenuStyle"
		size = 26
	strings:
		$1 = { 56 8B F0 8B 86 C8 02 00 00 8B 08 FF 51 08 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_43787_0 {
	meta:
		name = "TIWMenu.SetAttachedMenu"
		size = 15
	strings:
		$1 = { 89 90 A4 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43788_0 {
	meta:
		name = "TIWMenu.SetItemSpacing"
		size = 36
	strings:
		$1 = { 3A 90 BC 02 00 00 74 1B 8B CA 88 88 BC 02 00 00 84 C9 75 07 C6 80 A0 02 00 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43789_0 {
	meta:
		name = "TIWMenu.SetPadding"
		size = 23
	strings:
		$1 = { 3B 90 B4 02 00 00 74 0E 89 90 B4 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43790_0 {
	meta:
		name = "TIWMenu.SetTextOffset"
		size = 23
	strings:
		$1 = { 3B 90 B8 02 00 00 74 0E 89 90 B8 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43791_0 {
	meta:
		name = "TIWMenu.RenderHTML"
		size = 6212
		refs = "001c TIWMenu.RenderHTML 0036 _Dn_TIWLayoutMgrForm 003b @IsClass 0044 TIWCustomControl.set_RenderSize 005a TMenuItem.GetCount 006f TIWCompContext.AddScriptFile 007b _Dn_TIWPageContext40 0080 @AsClass 0096 TIWCustomControl.get_Css 00a1 Trim 00c9 @UStrEqual 00d6 TIWHTMLTag.GetContents 00e2 TIWMarkupLanguageTagCollection.AddText 00ee TIWCustomControl.get_ZIndex 00f9 IntToStr 010e @UStrCatN 0135 TIWFont.FontToStringStyle 0152 fromTColor 0173 ColorToRGBString 01ef iif 0236 TIWCustomControl.set_Css 0381 @UStrAsg 0c80 _Dn_TIWHTMLTag 0c85 TIWMarkupLanguageTag.CreateTag 0c9f _DV_TIWMainMenuStyle 0ca4 TIWMenuStyle.Create 0cf7 _DV_TIWHTMLTable 0cfc TIWHTMLTable.Create 0d0d TIWHTMLTagCollection.AddTagAsObject 0d26 TIWHTMLTable.generateMenu 0d32 TIWMarkupLanguageTag.ClearParam 0d57 TIWMarkupLanguageTag.AddStringParam 0dd6 TIWCompContext.AddToJavaScriptOnce 0f66 @UStrCat 0f7e TIWApplication.GetInternalURLBase 0f9d TIWCompContext.CacheImage 0fb2 TObject.Free 0fb8 @HandleFinally 0fc5 TIWCompContext.AddToInitProc 0fd4 @HandleAnyException 0fe6 @RaiseAgain 0feb @DoneExcept 1008 @UStrArrayClr 1010 @UStrClr"
	strings:
		$1 = { 55 8B EC B9 29 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 F8 8B 40 0C 8B 40 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B B3 A4 02 00 00 85 F6 0F 84 99 0F 00 00 8B 46 3C E8 ?? ?? ?? ?? 85 C0 0F 8E 89 0F 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 70 64 8B 83 C4 02 00 00 8B 78 20 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 83 7D EC 00 74 28 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 67 01 00 00 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 64 8D 55 D8 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8D 45 D4 50 8B 45 F8 0F B6 50 1C 33 C9 8B C7 E8 ?? ?? ?? ?? 8B 45 D4 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B 93 C4 02 00 00 3B 42 08 74 40 68 ?? ?? ?? ?? 8D 55 CC 8B 83 C4 02 00 00 8B 40 08 E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? EB 13 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 C4 50 8D 55 C0 8B 83 C4 02 00 00 8B 40 14 E8 ?? ?? ?? ?? 8B 45 C0 50 B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B 93 C4 02 00 00 3B 42 14 0F 95 C0 B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 8B 78 1C 8D 55 BC 8B 83 C4 02 00 00 8B 40 28 E8 ?? ?? ?? ?? 83 7D BC 00 74 24 8D 55 B8 8B 83 C4 02 00 00 8B 40 28 E8 ?? ?? ?? ?? 8B 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 07 01 00 00 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 64 8D 55 B0 E8 ?? ?? ?? ?? FF 75 B0 68 ?? ?? ?? ?? 8D 45 B4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 B4 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8D 45 AC 50 8B 45 F8 0F B6 50 1C 33 C9 8B C7 E8 ?? ?? ?? ?? 8B 45 AC 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B 93 C4 02 00 00 3B 42 04 74 40 68 ?? ?? ?? ?? 8D 55 A4 8B 83 C4 02 00 00 8B 40 04 E8 ?? ?? ?? ?? FF 75 A4 68 ?? ?? ?? ?? 8D 45 A8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 A8 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? EB 13 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 83 C0 28 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 8B 78 20 8D 55 A0 8B 83 C4 02 00 00 8B 40 30 E8 ?? ?? ?? ?? 83 7D A0 00 74 24 8D 55 9C 8B 83 C4 02 00 00 8B 40 30 E8 ?? ?? ?? ?? 8B 45 9C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 07 01 00 00 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 64 8D 55 94 E8 ?? ?? ?? ?? FF 75 94 68 ?? ?? ?? ?? 8D 45 98 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 98 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8D 45 90 50 8B 45 F8 0F B6 50 1C 33 C9 8B C7 E8 ?? ?? ?? ?? 8B 45 90 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B 93 C4 02 00 00 3B 42 08 74 40 68 ?? ?? ?? ?? 8D 55 88 8B 83 C4 02 00 00 8B 40 08 E8 ?? ?? ?? ?? FF 75 88 68 ?? ?? ?? ?? 8D 45 8C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 8C 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? EB 13 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 83 C0 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 8B 78 24 8D 55 84 8B 83 C4 02 00 00 8B 40 2C E8 ?? ?? ?? ?? 83 7D 84 00 74 24 8D 55 80 8B 83 C4 02 00 00 8B 40 2C E8 ?? ?? ?? ?? 8B 45 80 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 23 01 00 00 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 64 8D 95 78 FF FF FF E8 ?? ?? ?? ?? FF B5 78 FF FF FF 68 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8D 85 74 FF FF FF 50 8B 45 F8 0F B6 50 1C 33 C9 8B C7 E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B 93 C4 02 00 00 3B 42 0C 74 4A 68 ?? ?? ?? ?? 8D 95 6C FF FF FF 8B 83 C4 02 00 00 8B 40 0C E8 ?? ?? ?? ?? FF B5 6C FF FF FF 68 ?? ?? ?? ?? 8D 85 70 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 83 C0 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 8B 78 20 8D 95 68 FF FF FF 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 83 BD 68 FF FF FF 00 74 27 8D 95 64 FF FF FF 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B 85 64 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 9B 01 00 00 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 64 8D 95 5C FF FF FF E8 ?? ?? ?? ?? FF B5 5C FF FF FF 68 ?? ?? ?? ?? 8D 85 60 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B 93 C8 02 00 00 3B 42 08 74 4C 68 ?? ?? ?? ?? 8D 95 54 FF FF FF 8B 83 C8 02 00 00 8B 40 08 E8 ?? ?? ?? ?? FF B5 54 FF FF FF 68 ?? ?? ?? ?? 8D 85 58 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? EB 13 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 50 8B 45 F8 0F B6 50 1C 33 C9 8B C7 E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 48 FF FF FF 50 8D 95 44 FF FF FF 8B 83 C8 02 00 00 8B 40 14 E8 ?? ?? ?? ?? 8B 85 44 FF FF FF 50 B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B 93 C8 02 00 00 3B 42 14 0F 95 C0 B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? FF B5 48 FF FF FF 68 ?? ?? ?? ?? 8D 85 4C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 CC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 8B 78 1C 8D 95 40 FF FF FF 8B 83 C8 02 00 00 8B 40 28 E8 ?? ?? ?? ?? 83 BD 40 FF FF FF 00 74 2A 8D 95 3C FF FF FF 8B 83 C8 02 00 00 8B 40 28 E8 ?? ?? ?? ?? 8B 85 3C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 25 01 00 00 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 64 8D 95 34 FF FF FF E8 ?? ?? ?? ?? FF B5 34 FF FF FF 68 ?? ?? ?? ?? 8D 85 38 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 38 FF FF FF 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B 93 C8 02 00 00 3B 42 04 74 4C 68 ?? ?? ?? ?? 8D 95 2C FF FF FF 8B 83 C8 02 00 00 8B 40 04 E8 ?? ?? ?? ?? FF B5 2C FF FF FF 68 ?? ?? ?? ?? 8D 85 30 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 30 FF FF FF 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? EB 13 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 28 FF FF FF 50 8B 45 F8 0F B6 50 1C 33 C9 8B C7 E8 ?? ?? ?? ?? 8B 85 28 FF FF FF 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 83 C0 28 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 8B 78 20 8D 95 24 FF FF FF 8B 83 C8 02 00 00 8B 40 30 E8 ?? ?? ?? ?? 83 BD 24 FF FF FF 00 74 2A 8D 95 20 FF FF FF 8B 83 C8 02 00 00 8B 40 30 E8 ?? ?? ?? ?? 8B 85 20 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 25 01 00 00 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 64 8D 95 18 FF FF FF E8 ?? ?? ?? ?? FF B5 18 FF FF FF 68 ?? ?? ?? ?? 8D 85 1C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B 93 C8 02 00 00 3B 42 08 74 4C 68 ?? ?? ?? ?? 8D 95 10 FF FF FF 8B 83 C8 02 00 00 8B 40 08 E8 ?? ?? ?? ?? FF B5 10 FF FF FF 68 ?? ?? ?? ?? 8D 85 14 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 14 FF FF FF 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? EB 13 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 0C FF FF FF 50 8B 45 F8 0F B6 50 1C 33 C9 8B C7 E8 ?? ?? ?? ?? 8B 85 0C FF FF FF 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 83 C0 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 8B 78 24 8D 95 08 FF FF FF 8B 83 C8 02 00 00 8B 40 2C E8 ?? ?? ?? ?? 83 BD 08 FF FF FF 00 74 2A 8D 95 04 FF FF FF 8B 83 C8 02 00 00 8B 40 2C E8 ?? ?? ?? ?? 8B 85 04 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 23 01 00 00 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 64 8D 95 FC FE FF FF E8 ?? ?? ?? ?? FF B5 FC FE FF FF 68 ?? ?? ?? ?? 8D 85 00 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 00 FF FF FF 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B 93 C8 02 00 00 3B 42 0C 74 4A 68 ?? ?? ?? ?? 8D 95 F4 FE FF FF 8B 83 C8 02 00 00 8B 40 0C E8 ?? ?? ?? ?? FF B5 F4 FE FF FF 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF 50 8B 45 F8 0F B6 50 1C 33 C9 8B C7 E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 83 C0 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 93 C4 02 00 00 8B 45 F0 8B 08 FF 51 08 8B 83 D0 02 00 00 8B 10 FF 52 44 8B 83 A4 02 00 00 8B 48 3C 8B 83 D0 02 00 00 33 D2 8B 30 FF 56 3C 8B 83 A4 02 00 00 8B 40 3C 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B F0 8B 45 F0 50 6A 00 8D 45 FC 50 8B 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 8D EC FE FF FF 8B 55 F8 8B C3 8B 38 FF 97 54 01 00 00 8B 8D EC FE FF FF BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 95 E8 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 8B 8D E8 FE FF FF BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 95 E4 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 8D E4 FE FF FF BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 DC FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 DC FE FF FF 68 ?? ?? ?? ?? 8D 85 E0 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 E0 FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8D 95 D8 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 D8 FE FF FF 68 ?? ?? ?? ?? 8D 95 D4 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 D4 FE FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 D0 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 D0 FE FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 83 C4 02 00 00 FF 70 28 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 CC FE FF FF 50 8D 85 C8 FE FF FF 50 8B 45 F0 80 78 38 01 0F 94 C0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D C8 FE FF FF 8B 45 F0 80 78 38 00 0F 94 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF B5 CC FE FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 14 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 8D 95 C4 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 C4 FE FF FF 68 ?? ?? ?? ?? 8D 85 C0 FE FF FF 50 0F B6 83 98 02 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF B5 C0 FE FF FF 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 BC FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 BC FE FF FF 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 95 B8 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 8D 85 B8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 B8 FE FF FF 50 8D 95 B4 FE FF FF 8B 45 F8 8B 40 10 E8 ?? ?? ?? ?? 8D 85 B4 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D B4 FE FF FF 8B 45 F8 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 B4 FE }
	condition:
		$1
}

rule function_43793_0 {
	meta:
		name = "TIWMenu.Notification"
		size = 55
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 1A 3B BE A4 02 00 00 75 12 33 C0 89 86 A4 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43794_0 {
	meta:
		name = "TIWMenu.SetIWAutoSize"
		size = 34
		refs = "0012 TIWMenu.SetItemSpacing"
	strings:
		$1 = { 53 8B D8 88 93 A0 02 00 00 84 D2 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_43795_0 {
	meta:
		name = "TIWMenu.Submit"
		size = 53
		refs = "0010 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8D 83 9C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D6 8B BB D0 02 00 00 8B C7 8B 08 FF 51 54 8B D0 8B C7 8B 08 FF 51 18 8B 10 FF 52 54 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43796_0 {
	meta:
		name = "TIWLinkBase.GetSubmitParam"
		size = 22
		refs = "000f @UStrAsg"
		altNames = "TIWMenu.GetSubmitParam"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 9C 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43797_0 {
	meta:
		name = "TIWHTMLTable.Create"
		size = 104
		refs = "000e @ClassCreate 001b TIWHTMLTable.Create 0024 TIWMarkupLanguageTag.CreateTag 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 6A 00 B9 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 20 8B 45 08 89 47 24 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 61 00 62 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_43798_0 {
	meta:
		name = "TIWHTMLTable.generateMenuElement"
		size = 2720
		refs = "0023 TIWHTMLTable.generateMenuElement 0044 TIWMarkupLanguageTag.AddStringParam 0066 TIWMarkupLanguageTag.AddIntegerParam 00ac TIWCustomControl.get_WebCursor 0110 @UStrLAsg 021c @UStrCat3 0259 IntToStr 0269 @UStrCatN 02ee TIWHTMLTag.GetContents 02fa TIWHTMLTagCollection.AddTag 0335 TIWMarkupLanguageTagCollection.AddText 0356 TIWMarkupLanguageTag.Add 0374 StringReplace 0453 TIWImageList.ExtractImageToCache 0476 gServerController 047d TIWServerControllerBase.GetCacheURL 0488 @UStrCat 057c TMenuItem.GetCount 05a3 TIWApplication.GetInternalURLBase 05ee @UStrArrayClr 0601 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 80 78 3D 00 74 14 8B 45 08 8B 48 30 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 12 8B 45 08 8B 48 2C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 20 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 10 0F 87 4E 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F1 00 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DF 00 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CD 00 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BB 00 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A9 00 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 97 00 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 85 00 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 76 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 58 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 49 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 1F 8D 45 E8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 73 20 8D 55 E0 8B C6 8B 08 FF 91 14 01 00 00 FF 75 E0 68 ?? ?? ?? ?? 8B 55 F0 8B 86 D0 02 00 00 8B 08 FF 51 5C 8D 55 DC E8 ?? ?? ?? ?? FF 75 DC 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 D4 8B C6 8B 08 FF 91 14 01 00 00 FF 75 D4 68 ?? ?? ?? ?? 8B 55 F0 8B 86 D0 02 00 00 8B 08 FF 51 5C 8D 55 D0 E8 ?? ?? ?? ?? FF 75 D0 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 55 F0 8B BE D0 02 00 00 8B C7 8B 08 FF 51 5C 8B D0 8B C7 59 8B 30 FF 56 20 8B 45 08 0F B6 40 38 2C 01 72 0B 0F 84 E3 00 00 00 E9 ED 02 00 00 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 CC 50 8B 45 F0 8B 40 38 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B C7 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0F 02 00 00 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 20 8B 80 A4 02 00 00 8B 40 4C 85 C0 0F 84 86 00 00 00 8B 55 F0 83 7A 44 FF 7E 7D 89 45 EC 8D 4D FC 8B 45 F0 8B 50 44 8B 45 EC E8 ?? ?? ?? ?? 83 7D FC 00 74 4E 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 55 C8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 45 C8 8B 55 FC E8 ?? ?? ?? ?? 8B 4D C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 28 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 0F B6 05 ?? ?? ?? ?? 50 8D 45 C4 50 8B 45 F0 8B 40 38 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 7E 41 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 55 C0 8B 45 F4 8B 40 10 E8 ?? ?? ?? ?? 8D 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 13 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 6F 00 72 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 31 00 30 00 30 00 25 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 77 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 68 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 65 00 6C 00 6C 00 73 00 70 00 61 00 63 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 65 00 6C 00 6C 00 70 00 61 00 64 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 6F 00 69 00 6E 00 74 00 65 00 72 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 63 00 72 00 6F 00 73 00 73 00 68 00 61 00 69 00 72 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6D 00 6F 00 76 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 65 00 2D 00 72 00 65 00 73 00 69 00 7A 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6E 00 65 00 2D 00 72 00 65 00 73 00 69 00 7A 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6E 00 77 00 2D 00 72 00 65 00 73 00 69 00 7A 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6E 00 2D 00 72 00 65 00 73 00 69 00 7A 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 65 00 2D 00 72 00 65 00 73 00 69 00 7A 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 77 00 2D 00 72 00 65 00 73 00 69 00 7A 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 73 00 2D 00 72 00 65 00 73 00 69 00 7A 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 77 00 2D 00 72 00 65 00 73 00 69 00 7A 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 65 00 78 00 74 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 77 00 61 00 69 00 74 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 68 00 65 00 6C 00 70 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 75 00 72 00 73 00 6F 00 72 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5F 00 73 00 75 00 62 00 6D 00 65 00 6E 00 75 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 74 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 74 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 31 00 36 00 70 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 6E 00 62 00 73 00 70 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6E 00 6F 00 77 00 72 00 61 00 70 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 32 00 34 00 70 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 6C 00 69 00 67 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6D 00 69 00 64 00 64 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 76 00 61 00 6C 00 69 00 67 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 69 00 6D 00 67 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 73 00 72 00 63 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 38 00 70 00 78 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 2F 00 67 00 66 00 78 00 2F 00 6D 00 65 00 6E 00 75 00 5F 00 61 00 72 00 72 00 6F 00 77 00 5F 00 72 00 69 00 67 00 68 00 74 00 2E 00 67 00 69 00 66 00 00 00 }
	condition:
		$1
}

rule function_43799_0 {
	meta:
		name = "TIWHTMLTable.generateMenu"
		size = 2768
		refs = "0023 TIWHTMLTable.generateMenu 0031 @UStrClr 006b IntToStr 0080 @UStrCatN 0090 TIWMarkupLanguageTag.AddStringParam 017c _DV_TIWMainMenuStyle 0181 @IsClass 0193 TIWCustomControl.get_Css 01cd TIWMarkupLanguageTag.AddIntegerParam 01f6 TIWCustomControl.get_ZIndex 0211 @UStrCat3 022c TMenuItem.GetCount 024e TMenuItem.GetItem 026b TMenuItem.IsLine 0284 TIWHTMLTag.GetContents 0290 TIWHTMLTagCollection.AddTag 0338 _DV_TIWHTMLTable 033d TIWHTMLTable.Create 034d TIWHTMLTagCollection.AddTagAsObject 0367 TIWHTMLTable.generateMenuElement 037e _Dn_TIWHTMLTag 0383 TIWMarkupLanguageTag.CreateTag 047a TIWMarkupLanguageTagCollection.AddText 04f0 StringOfChar 061c _DV_TIWMenuStyle 0621 TIWMenuStyle.Create 0668 @UStrCat 069c iif 06dd TObject.Free 06e3 @HandleFinally 072a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 33 DB 8D 55 DC 8B 45 F8 8B 40 20 8B 08 FF 91 14 01 00 00 FF 75 DC 68 ?? ?? ?? ?? 8B 45 F8 8B 50 24 8B 45 F8 8B 40 20 8B 80 D0 02 00 00 8B 08 FF 51 5C 8D 55 D8 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D E0 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 F8 8B 40 20 8B 08 FF 91 14 01 00 00 FF 75 D0 68 ?? ?? ?? ?? 8B 45 F8 8B 50 24 8B 45 F8 8B 40 20 8B 80 D0 02 00 00 8B 08 FF 51 5C 8D 55 CC E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 45 F8 8B 50 24 8B 45 F8 8B 40 20 8B B0 D0 02 00 00 8B C6 8B 08 FF 51 5C 8B D0 8B C6 59 8B 30 FF 56 20 8D 55 C4 8B 45 F8 8B 40 20 8B 08 FF 91 14 01 00 00 FF 75 C4 68 ?? ?? ?? ?? 8B 45 F8 8B 50 24 8B 45 F8 8B 40 20 8B 80 D0 02 00 00 8B 08 FF 51 5C 8D 55 C0 E8 ?? ?? ?? ?? FF 75 C0 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 45 F8 8B 50 24 8B 45 F8 8B 40 20 8B B0 D0 02 00 00 8B C6 8B 08 FF 51 5C 8B D0 8B C6 59 8B 30 FF 56 20 8B 45 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8D 55 BC 8B 45 F8 8B 40 20 E8 ?? ?? ?? ?? 8B 4D BC BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 19 8B 45 F8 8B 40 20 8B 88 CC 02 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 20 E8 ?? ?? ?? ?? 83 C0 64 8D 55 B4 E8 ?? ?? ?? ?? 8B 4D B4 8D 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 24 E8 ?? ?? ?? ?? 48 85 C0 0F 8C C9 01 00 00 40 89 45 E4 C7 45 EC 00 00 00 00 8B 45 F8 8B 40 24 8B 55 EC E8 ?? ?? ?? ?? 80 78 42 00 0F 84 9A 01 00 00 8B 45 F8 8B 40 24 8B 55 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5E 8B 45 10 80 78 38 01 0F 85 76 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 10 8B 48 30 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 25 01 00 00 8B 45 F8 8B 40 24 8B 55 EC E8 ?? ?? ?? ?? 8B C8 8B 45 F8 8B 40 20 8B 80 D0 02 00 00 33 D2 8B 30 FF 56 3C 8B 45 10 80 78 38 01 75 73 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 10 50 8B 45 F8 8B 40 24 50 8B 45 F8 8B 48 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 50 8B 45 F8 8B 40 24 8B 55 EC E8 ?? ?? ?? ?? 8B C8 8B 55 F4 58 E8 ?? ?? ?? ?? E9 86 00 00 00 85 DB 75 26 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 10 50 8B 45 F8 8B 40 24 50 8B 45 F8 8B 48 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 50 8B 45 F8 8B 40 24 8B 55 EC E8 ?? ?? ?? ?? 8B C8 8B 55 F4 58 E8 ?? ?? ?? ?? FF 45 EC FF 4D E4 0F 85 42 FE FF FF 8B 55 F8 8B 52 24 8B 45 F8 8B 40 20 8B 88 A4 02 00 00 3B 51 3C 0F 85 C6 00 00 00 80 B8 BC 02 00 00 00 0F 85 B9 00 00 00 8B 45 10 80 78 38 01 75 4D 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 63 85 DB 75 26 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D FC 8B 55 0C 03 D2 66 B8 20 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 24 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 0C 02 00 00 40 89 45 E4 C7 45 EC 00 00 00 00 8B 45 F8 8B 40 24 8B 55 EC E8 ?? ?? ?? ?? 80 78 42 00 0F 84 DD 01 00 00 8B 45 F8 8B 40 24 8B 55 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 C2 01 00 00 8B 45 08 FF 30 FF 75 FC 68 ?? ?? ?? ?? 8D 55 B0 8B 45 F8 8B 40 20 8B 08 FF 91 14 01 00 00 FF 75 B0 68 ?? ?? ?? ?? 8B 45 F8 8B 40 24 8B 55 EC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 20 8B 80 D0 02 00 00 8B 08 FF 51 5C 8D 55 AC E8 ?? ?? ?? ?? FF 75 AC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B 45 10 FF 70 28 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 BA 0D 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 24 8B 55 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 07 01 00 00 8B 45 F8 8B 40 24 8B 55 EC E8 ?? ?? ?? ?? 50 8B 45 F8 8B 48 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B D8 8B 4B 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 8B 90 C8 02 00 00 8B 45 E8 8B 08 FF 51 08 8B 45 E8 50 8B 45 0C 40 50 8D 45 A8 50 8B 4D F0 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 8B 45 08 FF 30 FF 75 FC 68 ?? ?? ?? ?? 8D 45 A4 50 8D 45 A0 50 8B 45 E8 0F B6 58 38 80 FB 01 0F 94 C0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A0 84 DB 0F 94 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 A4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 BA 06 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 FF 30 FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 BA 04 00 00 00 E8 ?? ?? ?? ?? FF 45 EC FF 4D E4 0F 85 FF FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 11 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5F 00 73 00 75 00 62 00 6D 00 65 00 6E 00 75 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 74 00 61 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 6F 00 72 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 65 00 6C 00 6C 00 73 00 70 00 61 00 63 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 65 00 6C 00 6C 00 70 00 61 00 64 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 3C 00 00 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 61 00 62 00 73 00 6F 00 6C 00 75 00 74 00 65 00 3B 00 20 00 76 00 69 00 73 00 69 00 62 00 69 00 6C 00 69 00 74 00 79 00 3A 00 68 00 69 00 64 00 64 00 65 00 6E 00 3B 00 20 00 64 00 69 00 73 00 70 00 6C 00 61 00 79 00 3A 00 6E 00 6F 00 6E 00 65 00 3B 00 20 00 7A 00 2D 00 69 00 6E 00 64 00 65 00 78 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 74 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 74 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 68 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 31 00 30 00 30 00 25 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 68 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 6E 00 62 00 73 00 70 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 77 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 77 00 69 00 74 00 68 00 20 00 28 00 61 00 64 00 64 00 4D 00 65 00 6E 00 75 00 49 00 74 00 65 00 6D 00 28 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 22 00 2C 00 20 00 69 00 64 00 29 00 29 00 20 00 7B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 20 00 20 00 53 00 65 00 6C 00 65 00 63 00 74 00 65 00 64 00 49 00 74 00 65 00 6D 00 53 00 74 00 79 00 6C 00 65 00 20 00 3D 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 20 00 20 00 4D 00 65 00 6E 00 75 00 4F 00 72 00 69 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 20 00 3D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 72 00 72 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6D 00 6F 00 56 00 65 00 72 00 74 00 69 00 63 00 61 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6D 00 6F 00 48 00 6F 00 72 00 69 00 7A 00 6F 00 6E 00 74 00 61 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_43801_0 {
	meta:
		name = "IWCompMenu"
		size = 256
		refs = "0002 _DV_4 000a IWCompMenu 0014 _Dn_TIWServer 0019 TIWServer.AddInternalFile"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 28 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 2F 00 6A 00 73 00 2F 00 49 00 57 00 4D 00 65 00 6E 00 75 00 2E 00 6A 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 57 00 5F 00 4A 00 53 00 5F 00 49 00 57 00 4D 00 45 00 4E 00 55 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 2F 00 67 00 66 00 78 00 2F 00 6D 00 65 00 6E 00 75 00 5F 00 61 00 72 00 72 00 6F 00 77 00 5F 00 72 00 69 00 67 00 68 00 74 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 6D 00 65 00 6E 00 75 00 5F 00 61 00 72 00 72 00 6F 00 77 00 5F 00 72 00 69 00 67 00 68 00 74 00 00 00 }
	condition:
		$1
}

rule function_43802_0 {
	meta:
		name = "TIWMPEG.InitControl"
		size = 71
		refs = "000b TIWCustomObject.InitControl 0012 _Dn_TIWFileReference 0017 TIWFileReference.Create 0040 TIWMPEG.DoFileReferenceChange"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 C8 02 00 00 8B 45 FC C6 80 C0 02 00 00 00 8B 45 FC 8B 80 C8 02 00 00 8B 55 FC 89 50 0C C7 40 08 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_43803_0 {
	meta:
		name = "TIWMPEG.RenderInnerHTML"
		size = 260
		refs = "0015 TIWMPEG.RenderInnerHTML 0026 TIWCustomObject.RenderInnerHTML 004b TIWMarkupLanguageTag.AddStringParam 0067 iif 008c @UStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 80 B8 C0 02 00 00 00 74 42 8B 45 FC 8B 88 98 02 00 00 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8A 80 CC 02 00 00 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 52 00 43 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 41 00 55 00 54 00 4F 00 53 00 54 00 41 00 52 00 54 00 00 00 }
	condition:
		$1
}

rule function_43805_0 {
	meta:
		name = "TIWMPEG.DoFileReferenceChange"
		size = 186
		refs = "0018 TIWMPEG.DoFileReferenceChange 002f gServerController 0036 TIWServerControllerBase.GetFilesURL 0046 @UStrAsg 0060 TIWFileReference.Location 0090 TIWCustomControl.set_DoRefreshControl 00aa @UStrArrayClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 1C 10 75 69 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 05 A4 02 00 00 E8 ?? ?? ?? ?? 8D 4D F0 8B 45 FC 8B 90 A4 02 00 00 8B 45 FC 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 05 AC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 98 02 00 00 8B 55 FC 8B 92 AC 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_43806_0 {
	meta:
		name = "TIWMPEG.SetAutoStart"
		size = 50
		refs = "002a TIWCustomControl.get_DoRefreshControl"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 45 FB 8B 55 FC 3A 82 CC 02 00 00 74 14 8A 45 FB 8B 55 FC 88 82 CC 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43807_0 {
	meta:
		name = "TIWDBRadioGroup.SetValues"
		size = 33
		altNames = "TIWMPEG.SetMPEGFile"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 C8 02 00 00 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_43810_0 {
	meta:
		name = "TIWObjectParam.Assign"
		size = 116
		refs = "0011 TObject.ClassType 002a TPersistent.Assign 0035 _DV_TIWObjectParam 003a @AsClass 004e @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 74 0D 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 3F 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 83 C0 0C 8B 55 F4 8B 52 0C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 8B 55 F4 8B 52 10 E8 ?? ?? ?? ?? 8B 45 F4 8A 40 14 8B 55 FC 88 42 14 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43811_0 {
	meta:
		name = "TIWObjectParam.Create"
		size = 78
		refs = "000e @ClassCreate 0024 TCollectionItem.Create 0039 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 14 01 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_43813_0 {
	meta:
		name = "TIWObjectParams.Create"
		size = 77
		refs = "000e @ClassCreate 001c _DV_TIWObjectParam 002a TOwnedCollection.Create 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC A1 ?? ?? ?? ?? 50 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_46446_0 {
	meta:
		name = "TIWTreeViewItems.Create"
		size = 77
		refs = "000e @ClassCreate 001c _DV_TIWTreeViewItem 002a TOwnedCollection.Create 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC A1 ?? ?? ?? ?? 50 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_43814_0 {
	meta:
		name = "TIWObjectParams.GetItem"
		size = 33
		refs = "0013 TCollection.GetItem"
		altNames = "TIWTreeViewItems.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_43815_0 {
	meta:
		name = "TIWObjectParams.SetItem"
		size = 33
		refs = "0019 TCollection.SetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_43816_0 {
	meta:
		name = "TIWCustomObject.InitControl"
		size = 156
		refs = "000b TIWCustomControl.InitControl 0015 _DV_TIWObjectParams 001a TIWObjectParams.Create 003a @UStrClr"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 B8 02 00 00 8B 45 FC C6 80 C0 02 00 00 01 8B 45 FC 05 9C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 A0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 A4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 A8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 A8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 AC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 B4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 BC 02 00 00 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_43817_0 {
	meta:
		name = "TIWCustomObject.Dispose"
		size = 40
		refs = "0015 FreeAndNil 0020 TIWCustomControl.Dispose"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 05 B8 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43818_0 {
	meta:
		name = "TIWCustomObject.RenderHTML"
		size = 1380
		refs = "0021 TIWCustomObject.RenderHTML 0045 _Dn_TIWHTMLTag 004a TIWMarkupLanguageTag.CreateTag 0079 TIWMarkupLanguageTag.AddStringParam 0119 TIWMarkupLanguageTag.AddIntegerParam 014e TIWMarkupLanguageTag.Add 017e TCollection.GetCount 0188 @IntOver 01a3 TIWHTMLTag.GetContents 01b7 TIWObjectParams.GetItem 01d3 @UStrLAsg 023d @UStrCatN 024a TIWMarkupLanguageTagCollection.AddText 0268 @HandleAnyException 0270 FreeAndNil 0275 @RaiseAgain 027a @DoneExcept 0307 @UStrArrayClr 030f @UStrClr 0315 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D D8 89 4D DC 89 4D E0 89 4D F0 89 55 E4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 C0 02 00 00 00 0F 85 45 02 00 00 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 4D E0 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 A0 02 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 A4 02 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 B4 02 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 9C 02 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 A8 02 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 AC 02 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 83 78 50 00 7E 13 8B 45 FC 8B 48 50 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 83 78 54 00 7E 13 8B 45 FC 8B 48 54 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B0 02 00 00 00 74 0D BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 C4 02 00 00 00 74 16 8B 45 FC 8B 88 C4 02 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C C6 00 00 00 40 89 45 EC C7 45 F4 00 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC 8B 80 B8 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8A 40 14 2C 01 72 08 74 24 FE C8 74 11 EB 2B 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? FF 70 0C 68 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? FF 70 10 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 33 C9 8B 45 E8 E8 ?? ?? ?? ?? FF 45 F4 FF 4D EC 0F 85 45 FF FF FF 33 C0 5A 59 59 64 89 10 E9 8A 00 00 00 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 71 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 4D D8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 91 5C 01 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 42 00 4A 00 45 00 43 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 4C 00 41 00 53 00 53 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 4F 00 44 00 45 00 42 00 41 00 53 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 52 00 43 00 48 00 49 00 56 00 45 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 4F 00 44 00 45 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 41 00 54 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 49 00 44 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 45 00 49 00 47 00 48 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 45 00 43 00 4C 00 41 00 52 00 45 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 54 00 41 00 4E 00 44 00 42 00 59 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 72 00 65 00 66 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6F 00 62 00 6A 00 65 00 63 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 3C 00 70 00 61 00 72 00 61 00 6D 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 22 00 20 00 76 00 61 00 6C 00 75 00 65 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 22 00 20 00 76 00 61 00 6C 00 75 00 65 00 74 00 79 00 70 00 65 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 56 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_43819_0 {
	meta:
		name = "TIWCustomObject.RenderInnerHTML"
		size = 688
		refs = "001b TIWCustomObject.RenderInnerHTML 002f TIWHTMLTag.GetContents 003b TIWHTMLTagCollection.AddTag 004e _Dn_TIWHTMLTag 0053 TIWMarkupLanguageTag.CreateTag 007f @UStrCat 008f TIWMarkupLanguageTag.AddStringParam 00ec TIWMarkupLanguageTag.AddIntegerParam 012c TCollection.GetCount 0136 @IntOver 0156 TIWObjectParams.GetItem 0190 TIWMarkupLanguageTagCollection.AddText 019f @HandleAnyException 01a7 FreeAndNil 01ac @RaiseAgain 01b1 @DoneExcept 01cb @UStrArrayClr 01d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 4D E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 74 19 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 EB 16 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 98 02 00 00 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 83 78 50 00 7E 13 8B 45 FC 8B 48 50 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 83 78 54 00 7E 13 8B 45 FC 8B 48 54 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 BC 02 00 00 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 45 40 89 45 EC C7 45 F0 00 00 00 00 8B 45 FC 8B 80 B8 02 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B 40 10 50 8B 45 FC 8B 80 B8 02 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B 50 0C 8B 45 F4 59 E8 ?? ?? ?? ?? FF 45 F0 FF 4D EC 75 C6 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 45 00 4D 00 42 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 45 00 4D 00 42 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 52 00 43 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 49 00 44 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 45 00 49 00 47 00 48 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 4C 00 55 00 47 00 49 00 4E 00 53 00 50 00 41 00 47 00 45 00 00 00 }
	condition:
		$1
}

rule function_43820_0 {
	meta:
		name = "TIWCustomObject.RenderAsync"
		size = 596
		refs = "0024 TIWCustomObject.RenderAsync 0038 _Dn_TIWXMLTag 003d TIWXMLTag.CreateTag 006c TIWMarkupLanguageTag.AddStringParam 0079 TObject.ClassName 0084 UpperCase 0091 Pos 00a6 @UStrDelete 0110 TIWMarkupLanguageTagCollection.AddTag 011d TIWXMLTag.SetCDATA 0128 TIWMarkupLanguageElement.Render 0138 TIWMarkupLanguageTagCollection.AddText 014d FreeAndNil 0153 @HandleFinally 016a TIWCustomControl.RenderAsyncCommonProperties 0179 @HandleAnyException 0186 @DoneExcept 01a0 @UStrArrayClr 01a8 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D D8 89 4D DC 89 4D E0 89 4D E4 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 4D E4 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 12 8D 45 F0 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 4D DC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 C0 02 00 00 00 74 75 33 D2 8B 45 FC 8B 08 FF 91 5C 01 00 00 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 B2 01 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 EC E8 ?? ?? ?? ?? 8B 55 D8 8B 45 E8 8B 40 0C 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 66 A1 ?? ?? ?? ?? 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 6E 00 65 00 72 00 48 00 54 00 4D 00 4C 00 00 00 FF 07 00 00 }
	condition:
		$1
}

rule function_43823_0 {
	meta:
		name = "TIWOrderedListbox.Dispose"
		size = 92
		refs = "0015 FreeAndNil 0054 TIWCustomControl.Dispose"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 05 A0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 CC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 B8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 BC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 C0 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43824_0 {
	meta:
		name = "TIWOrderedListbox.GetItems"
		size = 28
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 80 A0 02 00 00 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_43826_0 {
	meta:
		name = "TIWOrderedListbox.InitControl"
		size = 364
		refs = "000b TIWCustomControl.InitControl 0012 _Dn_TStringList 0017 TStringList.Create 003a TIWOrderedListbox.InitControl 0042 TControl.SetText 005f @UStrAsg 0078 _Dn_TIWFont 007d TIWFont.Create"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 CC 02 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 9C 02 00 00 8B 45 FC 05 A8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 B8 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 BC 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 C0 02 00 00 59 5D C3 00 B0 04 02 00 FF FF FF FF 34 00 00 00 55 00 73 00 65 00 20 00 74 00 68 00 65 00 20 00 4D 00 6F 00 76 00 65 00 20 00 75 00 70 00 20 00 61 00 6E 00 64 00 20 00 4D 00 6F 00 76 00 65 00 20 00 64 00 6F 00 77 00 6E 00 20 00 62 00 75 00 74 00 74 00 6F 00 6E 00 73 00 20 00 74 00 6F 00 20 00 73 00 6F 00 72 00 74 00 20 00 69 00 74 00 65 00 6D 00 73 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 6F 00 76 00 65 00 20 00 64 00 6F 00 77 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 6F 00 76 00 65 00 20 00 75 00 70 00 00 00 }
	condition:
		$1
}

rule function_43827_0 {
	meta:
		name = "TIWOrderedListbox.InitDesignTime"
		size = 18
		refs = "000b TIWBaseHTMLControl.InitDesignTime"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_46398_0 {
	meta:
		name = "TIWTreeView.Loaded"
		size = 18
		refs = "000b TControl.Loaded"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_45962_0 {
	meta:
		name = "WarningHandler"
		size = 18
		refs = "000b ShowMessage"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_43828_0 {
	meta:
		name = "TIWOrderedListbox.RenderHTML"
		size = 4124
		refs = "001c TIWOrderedListbox.RenderHTML 0045 @UStrCat3 0098 TIWCompContext.AddScriptFile 00a6 _Dn_TIWHTMLTag 00ab TIWMarkupLanguageTag.CreateTag 00da TIWMarkupLanguageTag.AddStringParam 0106 TIWFont.FontToStringStyle 011b @UStrCatN 012f TIWCustomControl.get_Css 0161 iif 0174 TControl.GetText 01af TIWHTMLTag.GetContents 01b7 TIWMarkupLanguageTagCollection.AddText 01d1 TIWHTMLTagCollection.AddTag 025c TIWMarkupLanguageTag.Add 0279 TIWMarkupLanguageTag.AddIntegerParam 02a7 @IntOver 02f8 IntToStr 04d6 TStrings.GetValueFromIndex 0500 TIWOrderedListbox.GetSelected 0542 TStrings.GetName 0a13 @UStrCat 0a35 @HandleAnyException 0a3d FreeAndNil 0a42 @RaiseAgain 0a47 @DoneExcept 0a64 @UStrArrayClr 0a84 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 1F 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 B8 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 55 B8 8B 45 FC 05 AC 02 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 B4 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 55 B4 8B 45 FC 05 B0 02 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 B0 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 55 B0 8B 45 FC 05 B4 02 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 AC 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 4D AC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 A8 50 68 ?? ?? ?? ?? 8D 45 A0 50 68 ?? ?? ?? ?? 8D 45 98 50 8B 45 F8 8A 50 1C 8B 45 FC 8B 80 BC 02 00 00 33 C9 E8 ?? ?? ?? ?? FF 75 98 68 ?? ?? ?? ?? 8D 45 9C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 9C 50 68 ?? ?? ?? ?? 8D 55 90 8B 45 FC E8 ?? ?? ?? ?? FF 75 90 68 ?? ?? ?? ?? 8D 45 94 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 94 50 8D 55 8C 8B 45 FC E8 ?? ?? ?? ?? 83 7D 8C 00 0F 95 C0 5A 59 E8 ?? ?? ?? ?? FF 75 A0 68 ?? ?? ?? ?? 8D 55 88 8B 45 FC E8 ?? ?? ?? ?? FF 75 88 68 ?? ?? ?? ?? 8D 45 A4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 A4 50 8D 55 84 8B 45 FC E8 ?? ?? ?? ?? 8B 45 84 33 C9 5A E8 ?? ?? ?? ?? 8B 45 A8 50 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC 33 C9 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C9 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8D 45 80 50 8B 45 FC 8A 80 C8 02 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 80 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 FC 8B 48 54 85 C9 79 03 83 C1 0F C1 F9 04 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 83 BD 7C FF FF FF 00 0F 84 B8 00 00 00 68 ?? ?? ?? ?? 8B 45 FC 6B 40 50 02 71 05 E8 ?? ?? ?? ?? B9 03 00 00 00 99 F7 F9 8B C8 83 E9 10 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 50 8B 45 FC 2B 90 9C 02 00 00 71 05 E8 ?? ?? ?? ?? 83 EA 10 71 05 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 9C 02 00 00 00 0F 95 C0 E8 ?? ?? ?? ?? 8D 95 74 FF FF FF E8 ?? ?? ?? ?? FF B5 74 FF FF FF 68 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 8D 78 FF FF FF BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8D 95 70 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 8D 70 FF FF FF BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? E9 B5 00 00 00 8D 85 68 FF FF FF 50 8B 45 F8 8A 50 1C 8B 45 FC 8B 80 B8 02 00 00 33 C9 E8 ?? ?? ?? ?? FF B5 68 FF FF FF 68 ?? ?? ?? ?? 8B 45 FC 6B 40 50 02 71 05 E8 ?? ?? ?? ?? B9 03 00 00 00 99 F7 F9 8B C8 83 E9 10 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 50 8B 45 FC 2B 90 9C 02 00 00 71 05 E8 ?? ?? ?? ?? 83 EA 10 71 05 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 9C 02 00 00 00 0F 95 C0 E8 ?? ?? ?? ?? 8D 95 64 FF FF FF E8 ?? ?? ?? ?? FF B5 64 FF FF FF 68 ?? ?? ?? ?? 8D 85 6C FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 8D 6C FF FF FF BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 B4 02 00 00 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC FF B0 AC 02 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 B0 02 00 00 68 ?? ?? ?? ?? 8D 95 5C FF FF FF 8B 45 FC 8B 08 FF 91 14 01 00 00 FF B5 5C FF FF FF 68 ?? ?? ?? ?? 8D 85 60 FF FF FF BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 8D 60 FF FF FF BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 89 45 DC 8B 45 FC 8B 80 A0 02 00 00 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C C3 00 00 00 40 89 45 D8 C7 45 F0 00 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 89 45 D4 8D 8D 58 FF FF FF 8B 45 FC 8B 80 A0 02 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B 8D 58 FF FF FF BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 C8 02 00 00 00 74 0F 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 1A 8B 45 FC 80 B8 C8 02 00 00 00 75 1B 8B 45 FC 8B 80 C4 02 00 00 3B 45 F0 75 0D BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8D 8D 54 FF FF FF 8B 45 FC 8B 80 A0 02 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 50 8B 45 D4 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? FF 45 F0 FF 4D D8 0F 85 48 FF FF FF 33 C9 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 89 45 D0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 8B 45 FC 8B 88 AC 02 00 00 BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8B 45 FC 8B 88 A4 02 00 00 BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8D 95 50 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 83 BD 50 FF FF FF 00 0F 84 85 00 00 00 8B 45 FC 8B 40 50 B9 03 00 00 00 99 F7 F9 8B C8 8B 45 FC 83 B8 9C 02 00 00 00 0F 95 C0 8B 55 FC 8B 92 9C 02 00 00 E8 ?? ?? ?? ?? 8D 95 48 FF FF FF E8 ?? ?? ?? ?? 8B 8D 48 FF FF FF 8D 85 4C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 4C FF FF FF BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8D 95 44 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 8D 44 FF FF FF BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? E9 87 00 00 00 8D 85 3C FF FF FF 50 8B 45 F8 8A 50 1C 8B 45 FC 8B 80 C0 02 00 00 33 C9 E8 ?? ?? ?? ?? FF B5 3C FF FF FF 68 ?? ?? ?? ?? 8B 45 FC 8B 40 50 B9 03 00 00 00 99 F7 F9 8B C8 8B 45 FC 83 B8 9C 02 00 00 00 0F 95 C0 8B 55 FC 8B 92 9C 02 00 00 E8 ?? ?? ?? ?? 8D 95 38 FF FF FF E8 ?? ?? ?? ?? FF B5 38 FF FF FF 8D 85 40 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 8D 40 FF FF FF BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC FF B0 B4 02 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 AC 02 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 B0 02 00 00 68 ?? ?? ?? ?? 8D 95 30 FF FF FF 8B 45 FC 8B 08 FF 91 14 01 00 00 FF B5 30 FF FF FF 68 ?? ?? ?? ?? 8D 85 34 FF FF FF BA 09 00 00 00 E8 ?? ?? ?? ?? 8B 8D 34 FF FF FF BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 33 C9 BA ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 89 45 C4 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C0 8B 45 FC 8B 88 B0 02 00 00 BA ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 A8 02 00 00 BA ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 8D 95 2C FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 83 BD 2C FF FF FF 00 0F 84 85 00 00 00 8B 45 FC 8B 40 50 B9 03 00 00 00 99 F7 F9 8B C8 8B 45 FC 83 B8 9C 02 00 00 00 0F 95 C0 8B 55 FC 8B 92 9C 02 00 00 E8 ?? ?? ?? ?? 8D 95 24 FF FF FF E8 ?? ?? ?? ?? 8B 8D 24 FF FF FF 8D 85 28 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 28 FF FF FF BA ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 8D 95 20 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 8D 20 FF FF FF BA ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? E9 87 00 00 00 8D 85 18 FF FF FF 50 8B 45 F8 8A 50 1C 8B 45 FC 8B 80 C0 02 00 00 33 C9 E8 ?? ?? ?? ?? FF B5 18 FF FF FF 68 ?? ?? ?? ?? 8B 45 FC 8B 40 50 B9 03 00 00 00 99 F7 F9 8B C8 8B 45 FC 83 B8 9C 02 00 00 00 0F 95 C0 8B 55 FC 8B 92 9C 02 00 00 E8 ?? ?? ?? ?? 8D 95 14 FF FF FF E8 ?? ?? ?? ?? FF B5 14 FF FF FF 8D 85 1C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 8D 1C FF FF FF BA ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC FF B0 B4 02 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 AC 02 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 B0 02 00 00 68 ?? ?? ?? ?? 8D 95 0C FF FF FF 8B 45 FC 8B 08 FF 91 14 01 00 00 FF B5 0C FF FF FF 68 ?? ?? ?? ?? 8D 85 10 FF FF FF BA 09 00 00 00 E8 ?? ?? ?? ?? 8B 8D 10 FF FF FF BA ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 89 45 BC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 8D 95 08 FF FF FF 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 85 08 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 08 FF FF FF BA ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 08 FF FF FF BA 1F 00 00 00 E8 ?? ?? ?? ?? 8D 45 84 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 8C BA 0C 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 8B 45 F4 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 75 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 64 00 6F 00 77 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 69 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 2F 00 6A 00 73 00 2F 00 49 00 57 00 4F 00 72 00 64 00 65 00 72 00 65 00 64 00 4C 00 69 00 73 00 74 00 62 00 6F 00 78 00 2E 00 6A 00 73 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 41 00 42 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 3C 00 54 00 52 00 3E 00 3C 00 54 00 44 00 20 00 43 00 4F 00 4C 00 53 00 50 00 41 00 4E 00 3D 00 32 00 3E 00 3C 00 43 00 41 00 50 00 54 00 49 00 4F 00 4E 00 20 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 54 00 59 00 4C 00 45 00 20 00 3D 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 4C 00 41 00 53 00 53 00 20 00 3D 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 3C 00 2F 00 43 00 41 00 50 00 54 00 49 00 4F 00 4E 00 3E 00 3C 00 2F 00 54 00 44 00 3E 00 3C 00 2F 00 54 00 52 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 32 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 4F 00 57 00 53 00 50 00 41 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4D 00 49 00 44 00 44 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 56 00 41 00 4C 00 49 00 47 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 45 00 4E 00 54 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 4C 00 49 00 47 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 55 00 4C 00 54 00 49 00 50 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 49 00 5A 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 77 00 69 00 64 00 74 00 68 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 54 00 59 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 4C 00 41 00 53 00 53 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 44 00 6F 00 4F 00 72 00 64 00 65 00 72 00 65 00 64 00 4C 00 69 00 73 00 74 00 43 00 6C 00 69 00 63 00 6B 00 28 00 74 00 68 00 69 00 73 00 2C 00 20 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 27 00 2C 00 20 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5F 00 56 00 41 00 4C 00 55 00 45 00 27 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4F 00 6E 00 43 00 68 00 61 00 6E 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 41 00 4C 00 55 00 45 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 4F 00 54 00 54 00 4F 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 55 00 54 00 54 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 49 00 53 00 41 00 42 00 4C 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 4D 00 6F 00 76 00 65 00 4F 00 72 00 64 00 65 00 72 00 65 00 64 00 4C 00 69 00 73 00 74 00 49 00 74 00 65 00 6D 00 28 00 31 00 2C 00 20 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6F 00 6E 00 63 00 6C 00 69 00 63 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 4F 00 50 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 4D 00 6F 00 76 00 65 00 4F 00 72 00 64 00 65 00 72 00 65 00 64 00 4C 00 69 00 73 00 74 00 49 00 74 00 65 00 6D 00 28 00 2D 00 31 00 2C 00 20 00 27 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 49 00 44 00 44 00 45 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 56 00 41 00 4C 00 55 00 45 00 }
	condition:
		$1
}

rule function_43829_0 {
	meta:
		name = "TIWOrderedListbox.SetItems"
		size = 33
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 A0 02 00 00 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_43830_0 {
	meta:
		name = "TIWOrderedListbox.Submit"
		size = 32
		refs = "0018 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 05 98 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43831_0 {
	meta:
		name = "TIWOrderedListbox.GetInputControlNames"
		size = 132
		refs = "0015 TIWOrderedListbox.GetInputControlNames 0036 @UStrCat 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 56 00 41 00 4C 00 55 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_43832_0 {
	meta:
		name = "TIWOrderedListbox.IsForThisControl"
		size = 156
		refs = "0015 @UStrAddRef 001d TIWOrderedListbox.IsForThisControl 003e @UStrCat 0049 @UStrEqual 0062 @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 0F 94 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8A 45 F7 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 56 00 41 00 4C 00 55 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_43833_0 {
	meta:
		name = "TIWOrderedListbox.SetValue"
		size = 612
		refs = "0025 TIWOrderedListbox.SetValue 0036 RequiresUpdateNotification 0048 UpdateNotifiedInterface 006b @UStrLAsg 0072 _Dn_TStringList 0077 TStringList.Create 0082 TIWOrderedListbox.ResetSelection 00a5 Fetch 00c5 @BoundErr 00da @UStrLen 00e6 @IntOver 00f3 @UStrCopy 0136 TStrings.GetValueFromIndex 0141 @UStrEqual 0209 FreeAndNil 020f @HandleFinally 022b @UStrArrayClr 0233 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 C9 89 4D D0 89 4D D4 89 4D D8 89 4D DC 89 4D EC 89 4D E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 1C 8D 55 DC 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 DC 8B 4D F8 8B 55 FC 8B 18 FF 53 0C 83 7D F8 00 0F 84 B1 01 00 00 8D 45 E8 8B 55 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 EC 50 8D 45 E8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2F 01 00 00 C6 45 E7 00 B8 01 00 00 00 8B 55 EC 48 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 40 66 83 7C 42 FE 2A 75 29 8D 45 EC 50 8B 45 EC E8 ?? ?? ?? ?? 8B C8 83 E9 01 71 05 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 45 EC E8 ?? ?? ?? ?? C6 45 E7 01 8B 45 FC 8B 80 A0 02 00 00 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C AD 00 00 00 40 89 45 E0 C7 45 F0 00 00 00 00 8D 4D D8 8B 45 FC 8B 80 A0 02 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 D8 8B 55 EC E8 ?? ?? ?? ?? 75 75 8D 4D D4 8B 45 FC 8B 80 A0 02 00 00 8B 55 F0 8B 18 FF 53 0C 8B 55 D4 8B 45 F4 8B 08 FF 51 38 80 7D E7 00 74 5C 8B 45 FC 80 B8 C8 02 00 00 00 74 27 8D 4D D0 8B 45 FC 8B 80 A0 02 00 00 8B 55 F0 8B 18 FF 53 0C 8B 55 D0 8B 45 FC 8B 80 CC 02 00 00 8B 08 FF 51 38 EB 29 8B 45 F4 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 8B 55 FC 89 82 C4 02 00 00 EB 0C FF 45 F0 FF 4D E0 0F 85 5E FF FF FF 6A 01 8D 45 EC 50 8D 45 E8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D EC 00 0F 85 C7 FE FF FF 8B 45 FC 8B 80 A0 02 00 00 8B 55 F4 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_43834_0 {
	meta:
		name = "TIWOrderedListbox.SetItemIndex"
		size = 107
		refs = "0010 TIWVCLBaseControl.GetLoading 002a TIWOrderedListbox.GetItems 0058 TIWCustomControl.set_DoRefreshControl"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 F8 8B 55 FC 89 82 C4 02 00 00 EB 41 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 3B 45 F8 7E 2F 8B 45 FC 8B 80 C4 02 00 00 3B 45 F8 74 21 8B 45 F8 8B 55 FC 89 82 C4 02 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_43835_0 {
	meta:
		name = "TIWOrderedListbox.SetMultiSelect"
		size = 28
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 45 FB 8B 55 FC 88 82 C8 02 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_43836_0 {
	meta:
		name = "TIWOrderedListbox.GetSelected"
		size = 141
		refs = "0016 TIWOrderedListbox.GetSelected 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 C8 02 00 00 00 74 2C 8D 4D F0 8B 55 F8 8B 45 FC 8B 80 A0 02 00 00 8B 18 FF 53 0C 8B 55 F0 8B 45 FC 8B 80 CC 02 00 00 8B 08 FF 51 54 40 0F 9F 45 F7 EB 10 8B 45 F8 8B 55 FC 3B 82 C4 02 00 00 0F 94 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 F7 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43837_0 {
	meta:
		name = "TIWOrderedListbox.SetSelected"
		size = 201
		refs = "001c TIWOrderedListbox.SetSelected 0033 TIWOrderedListbox.GetSelected 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 89 5D F0 88 4D F7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D F7 00 74 36 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 5C 8D 4D F0 8B 55 F8 8B 45 FC 8B 80 A0 02 00 00 8B 18 FF 53 0C 8B 55 F0 8B 45 FC 8B 80 CC 02 00 00 8B 08 FF 51 38 EB 35 8D 4D EC 8B 55 F8 8B 45 FC 8B 80 A0 02 00 00 8B 18 FF 53 0C 8B 55 EC 8B 45 FC 8B 80 CC 02 00 00 8B 08 FF 51 54 8B D0 8B 45 FC 8B 80 CC 02 00 00 8B 08 FF 51 48 8B 45 FC 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43838_0 {
	meta:
		name = "TIWOrderedListbox.ResetSelection"
		size = 37
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 CC 02 00 00 8B 10 FF 52 44 8B 45 FC C7 80 C4 02 00 00 FF FF FF FF 59 5D C3 }
	condition:
		$1
}

rule function_43840_0 {
	meta:
		name = "IWCompOrderedListbox"
		size = 156
		refs = "0005 _DV_2 000d IWCompOrderedListbox 0017 _Dn_TIWServer 001c TIWServer.AddInternalFile"
	strings:
		$1 = { 55 8B EC 83 2D ?? ?? ?? ?? 01 73 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 2F 00 6A 00 73 00 2F 00 49 00 57 00 4F 00 72 00 64 00 65 00 72 00 65 00 64 00 4C 00 69 00 73 00 74 00 62 00 6F 00 78 00 2E 00 6A 00 73 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 49 00 57 00 5F 00 4A 00 53 00 5F 00 49 00 57 00 4F 00 52 00 44 00 45 00 52 00 45 00 44 00 4C 00 49 00 53 00 54 00 42 00 4F 00 58 00 00 00 00 00 }
	condition:
		$1
}

rule function_43841_0 {
	meta:
		name = "TIWProgressBar.InitControl"
		size = 84
		refs = "000b TIWCustomControl.InitControl 0015 fromTColor 001f TIWProgressBar.SetBGColor 0033 TIWBaseHTMLControl.set_WebColor 0040 TControl.SetHeight 004d TControl.SetWidth"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? B8 C0 C0 C0 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? B8 00 00 FF 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? BA 11 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BA E1 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_43842_0 {
	meta:
		name = "TIWProgressBar.RenderAsync"
		size = 244
		refs = "001b TIWProgressBar.RenderAsync 0048 IntToStr 005d @UStrCatN 006e TIWCallBackResponse.AddJavaScriptToExecute 008d @UStrArrayClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 33 C9 89 4D F0 89 4D EC 89 4D E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 EC 68 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 40 10 8B 40 74 E8 ?? ?? ?? ?? 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 8B E5 5D C3 B0 04 02 00 FF FF FF FF 18 00 00 00 50 00 65 00 72 00 63 00 65 00 6E 00 74 00 61 00 67 00 65 00 2E 00 73 00 74 00 79 00 6C 00 65 00 2E 00 77 00 69 00 64 00 74 00 68 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 25 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_43843_0 {
	meta:
		name = "TIWProgressBar.RenderHTML"
		size = 1352
		refs = "0027 TIWProgressBar.RenderHTML 003b _Dn_TIWHTMLTag 0040 TIWMarkupLanguageTag.CreateTag 0060 TIWMarkupLanguageTag.AddIntegerParam 0077 TIWHTMLTag.GetContents 0083 TIWHTMLTagCollection.AddTag 00ae ColorToRGBString 00be TIWMarkupLanguageTag.AddStringParam 0187 @UStrCat 01d8 IntToStr 01fd TIWBaseHTMLControl.get_WebColor 026a TIWBaseHTMLControl.get_WebFont 0277 TIWFont.FontToStringStyle 02b9 TIWMarkupLanguageTagCollection.AddText 0315 @HandleAnyException 031d FreeAndNil 0322 @RaiseAgain 0327 @DoneExcept 0341 @UStrArrayClr 0347 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 C9 89 4D C0 89 4D C4 89 4D C8 89 4D CC 89 4D D0 89 4D D4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8D 55 D4 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B 4D D4 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 48 50 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 48 54 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C9 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 8B 48 54 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8D 55 D0 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 9C 02 00 00 00 7E 50 8D 55 CC 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 C8 E8 ?? ?? ?? ?? 8B 4D C8 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? EB 12 B9 01 00 00 00 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A0 02 00 00 00 74 74 8B 45 E0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 8D 45 C4 50 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8A 52 1C 33 C9 E8 ?? ?? ?? ?? 8B 4D C4 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8D 55 C0 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 8D 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 50 8B 45 DC E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? EB 14 8B 45 E0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 B8 9C 02 00 00 64 74 2B 8B 45 E4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 8B 45 D8 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 41 00 42 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 65 00 6C 00 6C 00 70 00 61 00 64 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 65 00 6C 00 6C 00 73 00 70 00 61 00 63 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 67 00 63 00 6F 00 6C 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 77 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 68 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 31 00 30 00 30 00 25 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 65 00 72 00 63 00 65 00 6E 00 74 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 65 00 6E 00 74 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 6C 00 69 00 67 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6D 00 69 00 64 00 64 00 6C 00 65 00 76 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 76 00 61 00 6C 00 69 00 67 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 70 00 61 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 6E 00 62 00 73 00 70 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_43844_0 {
	meta:
		name = "TIWProgressBar.SetBGColor"
		size = 53
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 80 98 02 00 00 3B 45 F8 74 17 8B 45 F8 8B 55 FC 89 82 98 02 00 00 8B 45 FC 8B 10 FF 92 9C 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_43848_0 {
	meta:
		name = "TIWCustomQuickTime.InitControl"
		size = 444
		refs = "000b TIWCustomObject.InitControl 0018 TIWCustomQuickTime.InitControl 001d @UStrAsg 0048 _Dn_TIWFileReference 004d TIWFileReference.Create 006d @UStrClr"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 A0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 BC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 E4 02 00 00 8B 45 FC C6 80 C0 02 00 00 01 8B 45 FC 05 DC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 E8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 F4 02 00 00 E8 ?? ?? ?? ?? 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 2A 00 00 00 63 00 6C 00 73 00 69 00 64 00 3A 00 30 00 32 00 42 00 46 00 32 00 35 00 44 00 35 00 2D 00 38 00 43 00 31 00 37 00 2D 00 34 00 42 00 32 00 33 00 2D 00 42 00 43 00 38 00 30 00 2D 00 44 00 33 00 34 00 38 00 38 00 41 00 42 00 44 00 44 00 43 00 36 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 61 00 70 00 70 00 6C 00 65 00 2E 00 63 00 6F 00 6D 00 2F 00 71 00 74 00 61 00 63 00 74 00 69 00 76 00 65 00 78 00 2F 00 71 00 74 00 70 00 6C 00 75 00 67 00 69 00 6E 00 2E 00 63 00 61 00 62 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 61 00 70 00 70 00 6C 00 65 00 2E 00 63 00 6F 00 6D 00 2F 00 71 00 75 00 69 00 63 00 6B 00 74 00 69 00 6D 00 65 00 2F 00 64 00 6F 00 77 00 6E 00 6C 00 6F 00 61 00 64 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_43849_0 {
	meta:
		name = "TIWCustomQuickTime.Dispose"
		size = 40
		refs = "0015 FreeAndNil 0020 TIWCustomObject.Dispose"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 05 E4 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43850_0 {
	meta:
		name = "TIWCustomQuickTime.DoFileReferenceChage"
		size = 416
		refs = "0014 TIWCustomQuickTime.DoFileReferenceChage 002f gServerController 0036 TIWServerControllerBase.GetFilesURL 0046 @UStrAsg 0081 @BoundErr 00a1 @UStrLen 00ad @IntOver 00c0 @UStrCopy 00d3 Pos 00f1 @UStrCat3 0102 TIWFileReference.GetFilename 010d ExtractFileName 013b @UStrClr 0148 @UStrArrayClr 014e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 1C 10 0F 85 FF 00 00 00 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 05 A4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 A4 02 00 00 00 75 12 8B 45 FC 05 A4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 01 00 00 00 8B 55 FC 8B 92 A4 02 00 00 48 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 40 66 83 7C 42 FE 2F 75 36 8B 45 FC 05 A4 02 00 00 50 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B C8 83 E9 01 71 05 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 A4 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 74 1B 8B 45 FC 05 A4 02 00 00 8B 55 FC 8B 8A A4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 80 E4 02 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 4D F0 8B 45 FC 05 AC 02 00 00 8B 55 FC 8B 92 A4 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 2F 00 46 00 69 00 6C 00 65 00 73 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 2E 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2F 00 2E 00 2E 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_43851_0 {
	meta:
		name = "TIWCustomQuickTime.RenderHTML"
		size = 1712
		refs = "001a TIWCustomQuickTime.RenderHTML 002e TCollection.Clear 003c TIWObjectParams.Add 004f @UStrAsg 006b iif 00ab ColorToRGBString 017e IntToStr 02cb gServerController 02d2 TIWServerControllerBase.GetFilesURL 02e6 TIWFileReference.Location 048a TIWCustomObject.RenderHTML 04aa @UStrArrayClr 04b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 10 00 00 00 6A 00 6A 00 49 75 F9 51 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8A 80 C8 02 00 00 E8 ?? ?? ?? ?? 8B 55 B0 8B 45 F0 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 AC 8B 45 FC 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 8B 55 AC 8B 45 EC 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8A 80 D0 02 00 00 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 E8 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8A 80 D1 02 00 00 E8 ?? ?? ?? ?? 8B 55 A4 8B 45 E4 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 A0 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 8B 55 A0 8B 45 E0 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 9C 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8A 80 D8 02 00 00 E8 ?? ?? ?? ?? 8B 55 9C 8B 45 DC 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 D8 8B 45 D8 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 83 C0 10 8B 55 FC 8B 92 DC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 D4 8B 45 D4 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 98 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8A 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 55 98 8B 45 D4 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 D0 8B 45 D0 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 94 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8A 80 E1 02 00 00 E8 ?? ?? ?? ?? 8B 55 94 8B 45 D0 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 CC 8B 45 CC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 8C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 8C 8D 4D 90 8B 45 FC 8B 80 E4 02 00 00 E8 ?? ?? ?? ?? 8B 55 90 8B 45 CC 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 05 98 02 00 00 8B 55 CC 8B 52 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 C8 8B 45 C8 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 83 C0 10 8B 55 FC 8B 92 E8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 C4 8B 45 C4 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 88 8B 45 FC 8B 80 EC 02 00 00 E8 ?? ?? ?? ?? 8B 55 88 8B 45 C4 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 C0 8B 45 C0 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 84 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8A 80 F0 02 00 00 E8 ?? ?? ?? ?? 8B 55 84 8B 45 C0 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 BC 8B 45 BC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 83 C0 10 8B 55 FC 8B 92 F4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 B8 8B 45 B8 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 80 8B 45 FC 8B 80 F8 02 00 00 E8 ?? ?? ?? ?? 8B 55 80 8B 45 B8 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 89 45 B4 8B 45 B4 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 0E 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 55 00 54 00 4F 00 50 00 4C 00 41 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 41 00 4C 00 53 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 52 00 55 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 47 00 43 00 4F 00 4C 00 4F 00 52 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 41 00 43 00 48 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 4F 00 4E 00 54 00 52 00 4F 00 4C 00 4C 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 45 00 49 00 47 00 48 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 49 00 44 00 44 00 45 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 52 00 45 00 46 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4B 00 49 00 4F 00 53 00 4B 00 4D 00 4F 00 44 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 4F 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 52 00 43 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 4F 00 56 00 49 00 45 00 4E 00 41 00 4D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 41 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 4C 00 41 00 59 00 45 00 56 00 45 00 52 00 59 00 46 00 52 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 43 00 41 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 56 00 4F 00 4C 00 55 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 49 00 44 00 54 00 48 00 00 00 }
	condition:
		$1
}

rule function_43852_0 {
	meta:
		name = "TIWCustomQuickTime.SetMovFile"
		size = 134
		refs = "0018 TIWCustomQuickTime.SetMovFile 0037 gServerController 003e TIWServerControllerBase.GetFilesURL 004c TIWFileReference.Location 005c @UStrAsg 0076 @UStrArrayClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F4 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 80 E4 02 00 00 8B 08 FF 51 08 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 05 98 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_43855_0 {
	meta:
		name = "TIWCustomRadioButton.GetInputControlNames"
		size = 41
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 10 FF 52 44 8B 45 FC 8B 90 A0 02 00 00 8B 45 F8 8B 08 FF 51 38 59 59 5D C3 }
	condition:
		$1
}

rule function_43856_0 {
	meta:
		name = "TIWCustomRadioButton.HookEvents"
		size = 192
		refs = "001c TIWCustomRadioButton.HookEvents 0030 TIWCustomControl.HookEvents 0038 TIWBaseHTMLControl.get_Editable 0052 TIWCustomControl.SubmitHandler 005e TIWVCLBaseControl.HasOnClick 0066 iif 0076 TIWScriptEvents.HookEvent 0090 @UStrArrayClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F0 89 5D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3A 8D 45 F0 50 6A 00 8D 45 EC 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 6E 00 43 00 6C 00 69 00 63 00 6B 00 00 00 }
	condition:
		$1
}

rule function_43857_0 {
	meta:
		name = "TIWCustomRadioButton.InitControl"
		size = 136
		refs = "000b TIWCustomControl.InitControl 0022 TControl.SetHeight 002f TControl.SetWidth 0046 TIWCustomRadioButton.InitControl 004b @UStrAsg"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 D0 01 00 00 01 BA 15 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BA 79 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 E8 01 00 00 01 8B 45 FC 05 A0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 9C 02 00 00 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6E 00 6F 00 20 00 67 00 72 00 6F 00 75 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_43858_0 {
	meta:
		name = "TIWCustomRadioButton.IsForThisControl"
		size = 90
		refs = "0010 @UStrAddRef 0018 TIWCustomRadioButton.IsForThisControl 002f AnsiSameText 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 A0 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 F7 8B E5 5D C3 }
	condition:
		$1
}

rule function_43860_0 {
	meta:
		name = "TIWCustomRadioButton.RenderAsync"
		size = 448
		refs = "001b TIWCustomRadioButton.RenderAsync 002f _Dn_TIWXMLTag 0034 TIWXMLTag.CreateTag 0063 TIWMarkupLanguageTag.AddStringParam 008f TIWCustomControl.RenderAsyncProperty 009a TControl.GetText 00b0 TIWCustomControl.RenderAsyncPropertyAsString 00c5 TIWCustomControl.RenderAsyncCommonProperties 00d4 @HandleAnyException 00dc FreeAndNil 00e1 @DoneExcept 00f6 @UStrClr 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 4D F0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8A 80 A4 02 00 00 50 8B 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 50 6A 00 8B 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 57 00 52 00 41 00 44 00 49 00 4F 00 42 00 55 00 54 00 54 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 48 00 45 00 43 00 4B 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 61 00 70 00 74 00 69 00 6F 00 6E 00 00 00 9D 07 00 00 }
	condition:
		$1
}

rule function_43861_0 {
	meta:
		name = "TIWCustomRadioButton.RenderHTML"
		size = 1376
		refs = "001d TIWCustomRadioButton.RenderHTML 0031 _Dn_TIWHTMLTag 0036 TIWMarkupLanguageTag.CreateTag 0065 TIWMarkupLanguageTag.AddStringParam 0080 @UStrCat 0098 TIWHTMLTag.GetContents 00a4 TIWHTMLTagCollection.AddTag 00af TIWBaseHTMLControl.get_Editable 00e2 iif 00ed TIWMarkupLanguageTag.Add 01c3 @UStrCatN 02d4 TControl.GetText 02e8 TIWMarkupLanguageTagCollection.AddText 02f7 @HandleAnyException 02ff FreeAndNil 0304 @RaiseAgain 0309 @DoneExcept 031e @UStrClr 032b @UStrArrayClr 0331 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 4D E8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 1E 01 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 FC 8A 80 A4 02 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 A0 02 00 00 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 9C 02 00 00 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 D8 50 8B 45 FC 8B 10 FF 52 68 84 C0 74 10 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 68 84 C0 0F 84 9C 00 00 00 68 ?? ?? ?? ?? 8B 45 FC FF B0 A0 02 00 00 68 ?? ?? ?? ?? 8D 55 D0 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 D0 68 ?? ?? ?? ?? 8D 45 D4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D D4 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 54 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 CC 50 8B 45 FC 8A 80 A4 02 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B1 01 00 00 00 75 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 55 C8 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 52 8B 45 FC 8B 10 FF 52 68 84 C0 74 46 68 ?? ?? ?? ?? 8B 45 FC FF B0 A0 02 00 00 68 ?? ?? ?? ?? 8D 55 C0 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 C0 68 ?? ?? ?? ?? 8D 45 C4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D C4 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 BC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 BC 50 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 50 00 41 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 75 00 73 00 74 00 6F 00 6D 00 52 00 61 00 64 00 69 00 6F 00 47 00 72 00 6F 00 75 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 41 00 44 00 49 00 4F 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 48 00 45 00 43 00 4B 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 49 00 4E 00 50 00 55 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 41 00 4C 00 55 00 45 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 49 00 53 00 41 00 42 00 4C 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 52 00 61 00 64 00 69 00 6F 00 42 00 75 00 74 00 74 00 6F 00 6E 00 28 00 27 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 27 00 2C 00 27 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 5F 00 49 00 4E 00 50 00 55 00 54 00 27 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 6E 00 43 00 6C 00 69 00 63 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 66 00 61 00 6C 00 73 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 5F 00 43 00 41 00 50 00 54 00 52 00 41 00 44 00 49 00 4F 00 42 00 55 00 54 00 54 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_43862_0 {
	meta:
		name = "TIWCustomRadioButton.SetChecked"
		size = 39
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 45 FB 8B 55 FC 88 82 A4 02 00 00 8B 45 FC 8B 10 FF 92 9C 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_43863_0 {
	meta:
		name = "TIWCustomRadioButton.SetValue"
		size = 166
		refs = "0016 TIWCustomRadioButton.SetValue 0027 RequiresUpdateNotification 0039 UpdateNotifiedInterface 0058 AnsiSameText 0095 @IntfClear 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 1C 8D 55 F0 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 F0 8B 4D F8 8B 55 FC 8B 18 FF 53 0C 8B 45 FC 8B 90 9C 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 88 45 F7 8B 45 FC 8A 80 A4 02 00 00 3A 45 F7 74 17 8A 45 F7 8B 55 FC 88 82 A4 02 00 00 8B 45 FC 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43865_0 {
	meta:
		name = "TIWCustomRadioButton.getTabOrder"
		size = 23
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 66 C7 45 FA 00 00 66 8B 45 FA 59 59 5D C3 }
	condition:
		$1
}

rule function_43866_0 {
	meta:
		name = "TIWCustomRadioButton.setTabOrder"
		size = 27
		refs = "0013 TIWBaseHTMLControl.setTabOrder"
	strings:
		$1 = { 55 8B EC 83 C4 F8 66 89 55 FA 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43867_0 {
	meta:
		name = "TIWCustomRadioButton.SetName"
		size = 89
		refs = "0034 @UStrEqual 0046 @UStrAsg 0051 TIWCustomControl.SetName"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 B8 B1 01 00 00 00 74 32 8B 45 FC 83 B8 9C 02 00 00 00 74 16 8B 45 FC 8B 80 9C 02 00 00 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? 75 10 8B 45 FC 05 9C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_43870_0 {
	meta:
		name = "TIWCustomRectangle.InitControl"
		size = 99
		refs = "0007 TIWCustomControl.InitControl 0011 fromTColor 001a TIWBaseHTMLControl.set_WebColor 0026 TControl.SetWidth 0032 TControl.SetHeight 003b TIWCustomControl.set_RenderSize 0042 _Dn_TIWBorderOptions 0047 TIWBorderOptions.Create 005c TIWCustomRectangle.BorderOptionsChange"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? BA C8 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 9C 02 00 00 89 5E 14 89 5E 0C C7 46 08 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43871_0 {
	meta:
		name = "TIWCustomRectangle.Dispose"
		size = 37
		refs = "0015 TObject.Free 001e TIWCustomControl.Dispose"
		altNames = "TIWList.Dispose"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 86 9C 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43873_0 {
	meta:
		name = "TIWCustomRectangle.RenderHTML"
		size = 124
		refs = "000c TIWCustomRectangle.RenderHTML 0013 _Dn_TIWHTMLTag 0018 TIWMarkupLanguageTag.CreateTag 0033 TIWCustomRectangle.RenderInnerHTML 0042 @HandleAnyException 004f TObject.Free 0054 @RaiseAgain 0059 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 69 00 76 00 00 00 }
	condition:
		$1
}

rule function_43874_0 {
	meta:
		name = "TIWCustomRectangle.RenderAsync"
		size = 380
		refs = "0016 TIWCustomRectangle.RenderAsync 002a _Dn_TIWXMLTag 002f TIWXMLTag.CreateTag 005d TIWMarkupLanguageTag.AddStringParam 0081 TIWMarkupLanguageTagCollection.AddTag 008a TIWCustomRectangle.RenderInnerHTML 009e TIWCustomControl.RenderAsyncCommonProperties 00ad @HandleAnyException 00ba TObject.Free 00bf @DoneExcept 00d4 @UStrClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B C3 8B 08 FF 91 14 01 00 00 8B 4D F8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 57 00 52 00 45 00 43 00 54 00 41 00 4E 00 47 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 6E 00 65 00 72 00 48 00 54 00 4D 00 4C 00 00 00 FF 07 00 00 }
	condition:
		$1
}

rule function_43875_0 {
	meta:
		name = "TIWCustomRectangle.RenderInnerHTML"
		size = 964
		refs = "0011 TIWCustomRectangle.RenderInnerHTML 0026 TIWMarkupLanguageTagCollection.AddTag 0035 @UStrCat 0044 TIWMarkupLanguageTag.AddStringParam 004b TIWBaseHTMLControl.get_WebColor 0059 TIWMarkupLanguageTag.AddColor 006e TIWMarkupLanguageTag.AddIntegerParam 007c toTColor 0094 ColorToRGBString 00da TControl.GetText 00fb TIWMarkupLanguageTagCollection.AddText 010d IWGridAlignments 01a5 TIWBaseHTMLControl.get_WebFont 01ab TIWFont.FontToStringTag 01b5 TIWMarkupLanguageTagCollection.AddTagAsObject 01cf @UStrArrayClr 01e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 42 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 8B 48 18 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 20 8D 55 F8 8B 83 9C 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B F0 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 83 7D F4 00 75 20 8B 46 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 0C 33 C9 33 D2 E8 ?? ?? ?? ?? E9 B5 00 00 00 0F B6 83 98 02 00 00 8B 15 ?? ?? ?? ?? 8B 0C 82 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 83 A0 02 00 00 2C 01 72 0C 74 1D FE C8 74 2C FE C8 74 3B EB 4A B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 37 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 24 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 11 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 0C 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D0 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 61 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 77 00 69 00 64 00 74 00 68 00 3A 00 31 00 30 00 30 00 25 00 3B 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 31 00 30 00 30 00 25 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 47 00 43 00 4F 00 4C 00 4F 00 52 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 4F 00 52 00 44 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 42 00 4F 00 52 00 44 00 45 00 52 00 43 00 4F 00 4C 00 4F 00 52 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 45 00 4C 00 4C 00 50 00 41 00 44 00 44 00 49 00 4E 00 47 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 45 00 4C 00 4C 00 53 00 50 00 41 00 43 00 49 00 4E 00 47 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 74 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 4C 00 49 00 47 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4D 00 49 00 44 00 44 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 56 00 41 00 4C 00 49 00 47 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 74 00 6F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 6F 00 74 00 74 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 61 00 73 00 6C 00 69 00 6E 00 65 00 00 00 }
	condition:
		$1
}

rule function_43876_0 {
	meta:
		name = "TIWCustomRectangle.SetAlignment"
		size = 15
		altNames = "TIWList.SetNumbered"
	strings:
		$1 = { 88 90 98 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43877_0 {
	meta:
		name = "TIWCustomRectangle.SetBorderOptions"
		size = 26
		altNames = "TIWList.SetItems"
	strings:
		$1 = { 53 8B D8 8B 83 9C 02 00 00 8B 08 FF 51 08 8B C3 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_43879_0 {
	meta:
		name = "TIWCustomRectangle.SetVAlign"
		size = 15
	strings:
		$1 = { 88 90 A0 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43884_0 {
	meta:
		name = "LoadZLIB"
		size = 572
		refs = "000e LoadZLIB 001a gsAppPath 0029 @UStrCat3 0031 @UStrToPWChar 0037 LoadLibrary 003c libraryHandle 005f RSZLibNotFound 0068 Format 0072 _Dn_Exception 0077 Exception.Create 007c @RaiseExcept 0091 GetProcAddress 0096 deflateInit2_ 00ab deflate 00c0 deflateEnd 00d5 crc32 00ea zlibVersion 0127 @UStrFromPChar 0134 @UStrEqual 013c RSWrongZLibVer 015c libraryVersion 0167 libraryLoaded 017d @UStrClr 018a @UStrArrayClr 0190 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? 8B 12 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 3C 8D 45 F8 50 A1 ?? ?? ?? ?? 8B 00 89 45 F0 C6 45 F4 11 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E7 00 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 43 83 3D ?? ?? ?? ?? 00 74 3A 83 3D ?? ?? ?? ?? 00 74 31 83 3D ?? ?? ?? ?? 00 74 28 83 3D ?? ?? ?? ?? 00 74 1F FF 15 ?? ?? ?? ?? 8B D0 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B D0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 7A 00 4C 00 69 00 62 00 2E 00 44 00 4C 00 4C 00 00 00 00 00 64 00 65 00 66 00 6C 00 61 00 74 00 65 00 49 00 6E 00 69 00 74 00 32 00 5F 00 00 00 64 00 65 00 66 00 6C 00 61 00 74 00 65 00 00 00 64 00 65 00 66 00 6C 00 61 00 74 00 65 00 45 00 6E 00 64 00 00 00 00 00 63 00 72 00 63 00 33 00 32 00 00 00 7A 00 6C 00 69 00 62 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 31 00 2E 00 31 00 2E 00 34 00 00 00 }
	condition:
		$1
}

rule function_43885_0 {
	meta:
		name = "FreeZLIB"
		size = 28
		refs = "0002 libraryLoaded 000a libraryHandle 0010 FreeLibrary"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 00 74 12 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 C3 }
	condition:
		$1
}

rule function_43886_0 {
	meta:
		name = "putlongStream"
		size = 47
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B F8 BB 04 00 00 00 8B C6 24 FF 88 04 24 8B D4 B9 01 00 00 00 8B C7 8B 28 FF 55 10 C1 EE 08 4B 75 E5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43887_0 {
	meta:
		name = "CompressStream"
		size = 1140
		refs = "0012 CompressStream 001a libraryLoaded 002b @GetMem 0046 zlibAllocMem 0050 zlibFreeMem 00aa crc32 00d9 deflateInit2_ 00ef @TryFinallyExit 0120 gz_magic 0167 _Dn_TMemoryStream 016c TObject.Create 01b7 TObject.Free 01bd @HandleFinally 0269 deflate 02b6 @FreeMem 03ba putlongStream 0449 deflateEnd"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F9 89 55 F8 89 45 FC BE ?? ?? ?? ?? 33 DB 80 3D ?? ?? ?? ?? 00 0F 84 39 04 00 00 B8 54 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 C7 40 20 ?? ?? ?? ?? 8B 45 F4 C7 40 24 ?? ?? ?? ?? 8B 45 F4 33 D2 89 50 1C 8B 45 F4 33 D2 89 10 8B 45 F4 33 D2 89 50 0C 8B 45 F4 33 D2 89 50 04 8B 45 F4 33 D2 89 50 10 8B 45 F4 33 D2 89 50 2C 8B 45 F4 33 D2 89 50 38 8B 45 F4 C6 40 3C 00 8B 45 F4 33 D2 89 50 40 8B 45 F4 33 D2 89 50 44 6A 00 6A 00 6A 00 FF 15 ?? ?? ?? ?? 83 C4 0C 8B 55 F4 89 42 48 8B 45 F4 C6 40 4C 00 8B 45 F4 C6 40 4D 00 6A 38 56 8B 45 1C 50 6A 09 6A F1 6A 08 57 8B 45 F4 50 FF 15 ?? ?? ?? ?? 83 C4 20 85 C0 74 14 8B 45 F4 C7 40 14 FF FF FF FF E8 ?? ?? ?? ?? E9 66 03 00 00 8B 45 10 89 45 E0 8B 45 E0 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 89 58 44 8B 45 F4 89 58 0C 8B 45 F4 8B 55 E0 89 50 10 0F B6 05 ?? ?? ?? ?? 88 45 EA 0F B6 05 ?? ?? ?? ?? 88 45 EB C6 45 EC 08 C6 45 ED 00 C6 45 EE 00 C6 45 EF 00 C6 45 F0 00 C6 45 F1 00 C6 45 F2 00 C6 45 F3 FF 80 7D 18 00 74 7C 80 7D 14 00 74 66 66 83 7D 0A 00 74 5F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EA B9 0A 00 00 00 8B 45 DC 8B 18 FF 53 10 8B 45 DC 8B 10 FF 12 8B C8 8B 45 DC 8B 50 04 8B 45 0C FF 55 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 EA B9 0A 00 00 00 8B 45 F8 8B 18 FF 53 10 8B 45 E0 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 E4 8B 4D E0 8B 45 FC 8B 18 FF 53 0C 8B F0 85 F6 0F 84 A1 00 00 00 8B 45 F4 8B 55 E4 89 10 8B 45 F4 89 70 04 EB 68 8B 45 F4 83 78 10 00 75 44 8B 45 F4 8B 40 44 8B 55 F4 89 42 0C 80 7D 14 00 74 18 66 83 7D 0A 00 74 11 8B 45 F4 8B 50 44 8B 4D E0 8B 45 0C FF 55 08 EB 11 8B 45 F4 8B 50 44 8B 4D E0 8B 45 F8 8B 18 FF 53 10 8B 45 F4 8B 55 E0 89 50 10 6A 00 8B 45 F4 50 FF 15 ?? ?? ?? ?? 83 C4 08 8B D8 8B 45 F4 89 58 38 85 DB 75 09 8B 45 F4 83 78 04 00 75 8F 56 8B 45 E4 50 8B 45 F4 8B 40 48 50 FF 15 ?? ?? ?? ?? 83 C4 0C 8B 55 F4 89 42 48 E9 47 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 DB 8B 45 F4 33 D2 89 50 04 8B 45 F4 8B 75 E0 2B 70 10 85 F6 74 42 80 7D 14 00 74 17 66 83 7D 0A 00 74 10 8B 45 F4 8B 50 44 8B CE 8B 45 0C FF 55 08 EB 10 8B 45 F4 8B 50 44 8B CE 8B 45 F8 8B 38 FF 57 10 8B 45 F4 8B 40 44 8B 55 F4 89 42 0C 8B 45 F4 8B 55 E0 89 50 10 80 FB 01 74 5C 6A 04 8B 45 F4 50 FF 15 ?? ?? ?? ?? 83 C4 08 8B 55 F4 89 42 38 85 F6 75 11 8B 45 F4 83 78 38 FB 75 08 8B 45 F4 33 D2 89 50 38 8B 45 F4 83 78 10 00 75 0D 8B 45 F4 83 78 38 01 74 04 33 DB EB 02 B3 01 8B 45 F4 83 78 38 00 0F 84 5D FF FF FF 8B 45 F4 83 78 38 01 0F 84 50 FF FF FF 80 7D 18 00 0F 84 9B 00 00 00 80 7D 14 00 74 72 66 83 7D 0A 00 74 6B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 50 48 8B 45 DC E8 ?? ?? ?? ?? 8B 45 F4 8B 50 08 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC 8B 10 FF 12 8B C8 8B 45 DC 8B 50 04 8B 45 0C FF 55 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B 50 48 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 50 08 D1 FA 79 03 83 D2 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 58 14 8B 45 F4 8B 40 44 85 C0 74 05 E8 ?? ?? ?? ?? 8B 45 F4 50 FF 15 ?? ?? ?? ?? 59 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B C3 5F 5E 5B 8B E5 5D C2 18 00 00 00 00 31 2E 30 2E 34 00 00 00 }
	condition:
		$1
}

rule function_43888_0 {
	meta:
		name = "IntCompareContent"
		size = 504
		refs = "0018 @UStrAddRef 0028 IntCompareContent 003b @UStrEqual 0060 Pos 00b3 @UStrCopy 00e8 Trim 01ae @UStrArrayClr 01b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 01 E9 41 01 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 1E 01 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 05 01 00 00 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E EC 00 00 00 8D 45 F4 50 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 E4 50 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 8B CB 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8D 45 E0 50 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 8B CB 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B D8 7D 10 8B 45 F0 8B 55 E8 E8 ?? ?? ?? ?? 0F 94 C3 EB 26 8B 45 F4 8B 55 EC E8 ?? ?? ?? ?? 0F 94 C3 EB 16 33 DB EB 12 B3 01 EB 0E 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2A 00 2F 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_43889_0 {
	meta:
		name = "IntCompareTypes"
		size = 472
		refs = "001c @UStrAddRef 0024 IntCompareTypes 0035 Trim 0055 UpperCase 0063 @UStrLAsg 006a _Dn_TStringList 006f TStringList.Create 009e StringReplace 0151 IntCompareContent 0173 TObject.Free 0179 @HandleFinally 0195 @UStrArrayClr 019d @UStrClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 83 7D F0 00 75 08 88 5D FB E9 38 01 00 00 C6 45 FB 00 8D 55 EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 E8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 8B 08 FF 51 2C 8B 45 F4 8B 10 FF 52 14 85 C0 7E 63 8B 45 F4 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 53 8D 4D DC 8B D3 8B 45 F4 8B 30 FF 56 0C 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 4D E4 8B D3 8B 45 F4 8B 30 FF 56 20 8D 4D D8 8B D3 8B 45 F4 8B 30 FF 56 0C 83 7D D8 00 75 0A 8B D3 8B 45 F4 8B 08 FF 51 48 4B 83 FB FF 75 AD 8B 45 F4 8B 10 FF 52 14 85 C0 7E 3A 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2B 46 33 DB 8D 4D D4 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 45 D4 8B 55 08 8B 52 FC E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 75 04 43 4E 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_43890_0 {
	meta:
		name = "TIWCompressor.ContentTypeCheck"
		size = 263
		refs = "001b @UStrAddRef 002b TIWCompressor.ContentTypeCheck 0048 TIWCompressor.GetSkipContentTypes 0053 IntCompareTypes 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 50 00 74 5B 8D 45 F0 50 8D 4D F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 55 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 59 84 C0 75 2A 55 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 59 84 C0 75 10 55 B2 01 8B 43 44 E8 ?? ?? ?? ?? 59 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 EB 58 55 B2 01 8B 43 44 E8 ?? ?? ?? ?? 59 8B D8 EB 48 55 33 D2 8B 43 4C E8 ?? ?? ?? ?? 59 84 C0 75 2A 55 33 D2 8B 43 48 E8 ?? ?? ?? ?? 59 84 C0 75 10 55 B2 01 8B 43 44 E8 ?? ?? ?? ?? 59 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 EB 0E 55 B2 01 8B 43 44 E8 ?? ?? ?? ?? 59 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43891_0 {
	meta:
		name = "TIWCompressor.Create"
		size = 200
		refs = "000a @ClassCreate 0017 TComponent.Create 001c LoadZLIB 003a TIWCompressor.Create 003f @UStrAsg 0047 @UStrClr 0065 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 38 01 C6 46 39 01 C7 46 3C E8 03 00 00 C7 46 40 06 00 00 00 8D 46 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 48 E8 ?? ?? ?? ?? 8D 46 4C E8 ?? ?? ?? ?? C6 46 50 01 C7 46 54 00 40 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 20 00 00 00 74 00 65 00 78 00 74 00 2F 00 2A 00 2C 00 20 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 2D 00 6A 00 61 00 76 00 61 00 73 00 63 00 72 00 69 00 70 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_43892_0 {
	meta:
		name = "TIWCompressor.GetSkipContentTypes"
		size = 276
		refs = "001b @UStrAddRef 0023 TIWCompressor.GetSkipContentTypes 0047 StringReplace 0052 UpperCase 005d @UStrLAsg 0069 UserAgentSpecifics 0073 Pos 0084 @UStrAsg 00d1 @UStrArrayClr 00d9 @UStrClr 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 33 DB BE 12 00 00 00 BF ?? ?? ?? ?? 8B 55 FC 8B 07 E8 ?? ?? ?? ?? 85 C0 7E 1A B3 01 8B 45 F8 8B 57 04 E8 ?? ?? ?? ?? 8B 45 08 8B 57 08 E8 ?? ?? ?? ?? EB 06 83 C7 0C 4E 75 D2 84 DB 75 1C 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_43893_0 {
	meta:
		name = "TIWCompressor.Compress"
		size = 1348
		refs = "0022 TIWCompressor.Compress 004f libraryLoaded 0071 @UStrFromLStr 007c UpperCase 0089 Pos 0142 TIWCompressor.ContentTypeCheck 0156 _Dn_TMemoryStream 015b TObject.Create 0180 TWebResponse.GetUnicodeContent 01b4 @UStrToPWChar 01cf TCustomMemoryStream.SaveToFile 01d8 TWebResponse.SetUnicodeContent 01f9 TStream.CopyFrom 0308 TWebResponse.SetCustomHeader 032a CompressStream 0340 TObject.Free 0346 @HandleFinally 035d @LStrClr 036a @UStrArrayClr 039c @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B F0 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 40 84 C0 0F 85 11 03 00 00 8B C3 8B 10 FF 52 24 3D C8 00 00 00 0F 85 FF 02 00 00 80 3D ?? ?? ?? ?? 00 0F 84 F2 02 00 00 8D 4D E8 BA ?? ?? ?? ?? 8B 45 FC 8B 38 FF 57 34 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 06 80 7E 38 00 75 04 33 C0 EB 02 B0 01 88 45 FA 8D 4D DC BA ?? ?? ?? ?? 8B 45 FC 8B 38 FF 57 34 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 06 80 7E 39 00 75 04 33 C0 EB 02 B0 01 88 45 F9 83 7E 3C 00 74 0E 33 D2 8B C3 8B 08 FF 51 10 3B 46 3C 7C 50 0F B6 45 FA 0A 45 F9 74 47 8D 4D D4 BA 0D 00 00 00 8B 45 FC 8B 38 FF 57 04 8B 55 D4 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 50 8D 4D CC BA 08 00 00 00 8B C3 8B 38 FF 17 8B 55 CC 8D 45 D0 E8 ?? ?? ?? ?? 8B 55 D0 8B C6 59 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7D FB 00 0F 84 B5 01 00 00 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 83 7D C8 00 74 54 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8B 45 C4 89 45 C0 8B 7D C0 85 FF 74 05 83 EF 04 8B 3F 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 8B D0 8B CF 03 C9 8B 45 F4 8B 38 FF 57 10 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? EB 1F 8B 43 08 85 C0 74 18 33 C9 33 D2 8B 38 FF 57 14 6A 00 6A 00 8B 53 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 45 F4 8B 38 FF 57 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 20 0F B6 45 FA 22 45 F9 74 06 C6 45 F8 00 EB 10 80 7D FA 00 74 06 C6 45 F8 00 EB 04 C6 45 F8 01 80 7D F8 00 75 5D 8D 4D B0 BA ?? ?? ?? ?? 8B 45 FC 8B 38 FF 57 34 8B 55 B0 8D 45 B4 E8 ?? ?? ?? ?? 8B 45 B4 8D 55 B8 E8 ?? ?? ?? ?? 8B 55 B8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 13 B9 ?? ?? ?? ?? BA 07 00 00 00 8B C3 8B 38 FF 57 04 EB 6E B9 ?? ?? ?? ?? BA 07 00 00 00 8B C3 8B 38 FF 57 04 EB 5B 8D 4D A4 BA ?? ?? ?? ?? 8B 45 FC 8B 38 FF 57 34 8B 55 A4 8D 45 A8 E8 ?? ?? ?? ?? 8B 45 A8 8D 55 AC E8 ?? ?? ?? ?? 8B 55 AC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 13 B9 ?? ?? ?? ?? BA 07 00 00 00 8B C3 8B 38 FF 57 04 EB 11 B9 ?? ?? ?? ?? BA 07 00 00 00 8B C3 8B 38 FF 57 04 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 00 80 7D F8 00 0F 94 C0 50 6A 00 8B 46 54 50 6A 00 6A 00 8B 4E 40 8B 53 08 8B 45 F4 E8 ?? ?? ?? ?? 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 74 FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 00 00 E4 04 01 00 FF FF FF FF 0F 00 00 00 61 63 63 65 70 74 2D 65 6E 63 6F 64 69 6E 67 00 B0 04 02 00 FF FF FF FF 04 00 00 00 47 00 5A 00 49 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 45 00 46 00 4C 00 41 00 54 00 45 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 63 00 3A 00 5C 00 64 00 65 00 76 00 5C 00 74 00 65 00 73 00 74 00 65 00 2E 00 74 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 58 00 2D 00 47 00 5A 00 49 00 50 00 00 00 00 00 E4 04 01 00 FF FF FF FF 06 00 00 00 78 2D 67 7A 69 70 00 00 E4 04 01 00 FF FF FF FF 04 00 00 00 67 7A 69 70 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 58 00 2D 00 44 00 45 00 46 00 4C 00 41 00 54 00 45 00 00 00 E4 04 01 00 FF FF FF FF 09 00 00 00 78 2D 64 65 66 6C 61 74 65 00 00 00 E4 04 01 00 FF FF FF FF 07 00 00 00 64 65 66 6C 61 74 65 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 56 00 61 00 72 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_43896_0 {
	meta:
		name = "Finalization"
		size = 79
		refs = "0007 Finalization 0013 _DV_2 001a libraryVersion 001f @UStrClr 0024 UserAgentSpecifics 002f string 0034 @FinalizeArray 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1F B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 36 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_43898_0 {
	meta:
		name = "TabOrderCompare"
		size = 60
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 28 01 00 00 0F BF C0 8B D8 8B C6 8B 10 FF 92 28 01 00 00 0F BF C0 3B C3 75 05 33 C0 5E 5B C3 3B C3 7D 07 B8 01 00 00 00 EB 03 83 C8 FF 5E 5B C3 }
	condition:
		$1
}

rule function_43899_0 {
	meta:
		name = "TIWTabControl.InitControl"
		size = 312
		refs = "0007 TIWCustomRegion.InitControl 000e _Dn_TList 0013 TObject.Create 0022 TIWCustomRegion.set_Clip 0037 TIWContainerBorderOptions.SetStyle 0044 TIWContainerBorderOptions.SetNumericWidth 004d TIWCustomRegion.set_UseFrame 0057 fromTColor 006a _Dn_TIWFont 006f TIWFont.Create 008a TIWFont.SeTIWColor 0091 TIWTabControl.InitControl 009c TIWFont.SetStyle 00af @UStrAsg"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 38 03 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 3C 03 00 00 33 D2 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B8 C0 C0 C0 00 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 24 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 28 03 00 00 B8 FF FF FF 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 83 28 03 00 00 E8 ?? ?? ?? ?? 8B 83 28 03 00 00 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 A9 A9 A9 00 E8 ?? ?? ?? ?? 89 83 2C 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 30 03 00 00 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 30 03 00 00 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 D3 D3 D3 00 E8 ?? ?? ?? ?? 89 83 34 03 00 00 5E 5B C3 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_43900_0 {
	meta:
		name = "TIWTabControl.GetSubmitParam"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 10 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43901_0 {
	meta:
		name = "TIWTabControl.Submit"
		size = 46
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 10 03 00 00 8B D6 E8 ?? ?? ?? ?? 66 83 BB 1A 03 00 00 00 74 0E 8B D3 8B 83 1C 03 00 00 FF 93 18 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_43902_0 {
	meta:
		name = "TIWTabControl.getSubmitProc"
		size = 10
		refs = "0005 TIWTabControl.Submit"
	strings:
		$1 = { 89 42 04 C7 02 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43904_0 {
	meta:
		name = "TIWTabControl.Destroy"
		size = 69
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0033 TIWBaseContainer.Destroy 003e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 28 03 00 00 E8 ?? ?? ?? ?? 8B 86 30 03 00 00 E8 ?? ?? ?? ?? 8B 86 38 03 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43905_0 {
	meta:
		name = "TIWTabControl.DoOnAsyncChange"
		size = 152
		refs = "000f TIWTabControl.DoOnAsyncChange 002e TStrings.GetValue 0039 StrToIntDef 0047 TIWTabControl.SetActivePage 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 22 03 00 00 00 74 38 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 83 CA FF E8 ?? ?? ?? ?? 83 F8 FF 7E 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B CE 8B D3 8B 83 24 03 00 00 FF 93 20 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 70 00 61 00 67 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_43906_0 {
	meta:
		name = "TIWTabControl.SetValue"
		size = 136
		refs = "0010 TIWTabControl.SetValue 001e RequiresUpdateNotification 002d UpdateNotifiedInterface 0040 StrToInt 004f TList.Get 0061 TIWTabControl.SetActivePage 0076 @IntfClear 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 38 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC 8B 43 38 E8 ?? ?? ?? ?? 8B 45 FC 8B CE 8B D3 8B 38 FF 57 0C 8B C6 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 83 38 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 28 01 00 00 0F BF D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_43916_0 {
	meta:
		name = "TIWTabControl.GetInputControlNames"
		size = 120
		refs = "000f TIWTabControl.GetInputControlNames 001f TIWCustomRegion.get_HTMLName 002c @UStrCat 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 69 00 6E 00 70 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_43917_0 {
	meta:
		name = "TIWTabControl.IsForThisControl"
		size = 164
		refs = "0013 @UStrAddRef 001b TIWTabControl.IsForThisControl 002c @UStrLAsg 0036 TIWCustomRegion.get_HTMLName 0046 @UStrCat3 0051 AnsiCompareText 0072 @UStrArrayClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 69 00 6E 00 70 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_43918_0 {
	meta:
		name = "TIWTabControl.RenderCSSClass"
		size = 52
		refs = "0006 TIWTabControl.RenderCSSClass 000b @UStrAsg"
	strings:
		$1 = { 53 8B D9 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 74 00 61 00 62 00 2D 00 70 00 61 00 6E 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_43919_0 {
	meta:
		name = "TIWTabControl.RenderHTML"
		size = 3428
		refs = "001b TIWTabControl.RenderHTML 002a TIWCustomRegion.RenderHTML 0036 _Dn_TIWPageContext40 003b @AsClass 004a TIWCompContext.AddScriptFile 0054 TIWCustomRegion.get_HTMLName 0064 @UStrCat3 007e @UStrCatN 0089 TIWPageContext40.AddToJavaScriptOnce 00e7 TIWTabControl.DoOnAsyncChange 00fe @UStrCat 0109 TIWApplication.RegisterCallBack 012b TabOrderCompare 0136 TList.Sort 0161 TList.Get 019b _Dn_TIWHTMLTag 01a0 TIWMarkupLanguageTag.CreateTag 01b0 TAB_ROW_HEIGHT 01b5 IntToStr 01da TIWMarkupLanguageTag.AddStringParam 01e2 TIWHTMLTag.GetContents 01ec TIWHTMLTagCollection.AddTagAsObject 021e TIWFont.FontToStringStyle 0234 ColorToRGBString 041d TIWMarkupLanguageTagCollection.AddText 0525 TIWPageContext40.AddToInitProc 0539 TIWHTMLTagCollection.AddTag 060d @UStrArrayClr 0620 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 11 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 EC 8B 46 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 4D D0 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 DC E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 C8 8B C3 E8 ?? ?? ?? ?? FF 75 C8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 66 83 BB 1A 03 00 00 00 74 1D FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 66 83 BB 22 03 00 00 00 74 45 53 68 ?? ?? ?? ?? 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B 46 10 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 38 03 00 00 E8 ?? ?? ?? ?? C6 45 E3 00 8B 83 38 03 00 00 8B 40 08 48 85 C0 7C 3A 40 89 45 D4 C7 45 E8 00 00 00 00 8B 55 E8 8B 83 38 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 28 01 00 00 0F BF C0 3B 83 3C 03 00 00 75 06 C6 45 E3 01 EB 08 FF 45 E8 FF 4D D4 75 D1 80 7D E3 00 75 05 33 C0 89 45 E8 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 68 ?? ?? ?? ?? 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 BC 68 ?? ?? ?? ?? 8D 45 C0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D C0 BA ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C9 8B 55 D8 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 50 0F B6 56 1C 33 C9 8B 83 28 03 00 00 E8 ?? ?? ?? ?? FF 75 B8 68 ?? ?? ?? ?? 8D 55 B4 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? FF 75 B4 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 AC 8B C3 E8 ?? ?? ?? ?? FF 75 AC 68 ?? ?? ?? ?? 8D 45 B0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D B0 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 33 C9 8B D7 E8 ?? ?? ?? ?? 8D 45 A8 50 0F B6 56 1C 33 C9 8B 83 30 03 00 00 E8 ?? ?? ?? ?? FF 75 A8 68 ?? ?? ?? ?? 8D 55 A4 8B 83 34 03 00 00 E8 ?? ?? ?? ?? FF 75 A4 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 9C 8B C3 E8 ?? ?? ?? ?? FF 75 9C 68 ?? ?? ?? ?? 8D 45 A0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D A0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 33 C9 8B D6 E8 ?? ?? ?? ?? 8B 83 38 03 00 00 8B 40 08 48 85 C0 0F 8C E9 00 00 00 40 89 45 D4 C7 45 E4 00 00 00 00 8B 55 E4 8B 83 38 03 00 00 E8 ?? ?? ?? ?? 8B F8 8B C7 8B 10 FF 92 38 01 00 00 84 C0 0F 84 B0 00 00 00 8D 55 98 8B C7 E8 ?? ?? ?? ?? 8B 4D 98 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 97 10 03 00 00 33 C9 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 33 C9 8B D6 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 94 8B C7 E8 ?? ?? ?? ?? FF 75 94 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 FC BA 09 00 00 00 E8 ?? ?? ?? ?? FF 45 E4 FF 4D D4 0F 85 22 FF FF FF 68 ?? ?? ?? ?? 8D 55 90 8B C3 E8 ?? ?? ?? ?? FF 75 90 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 8C 8B C3 E8 ?? ?? ?? ?? FF 75 8C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 DC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 84 8B C3 E8 ?? ?? ?? ?? FF 75 84 68 ?? ?? ?? ?? 8D 55 80 8B 45 E8 E8 ?? ?? ?? ?? FF 75 80 68 ?? ?? ?? ?? 8D 45 88 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 88 8B 45 DC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 7C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 7C FF FF FF BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 95 78 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 78 FF FF FF BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 95 74 FF FF FF 8B 45 E8 E8 ?? ?? ?? ?? 8B 8D 74 FF FF FF BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 74 FF FF FF BA 18 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B 45 EC 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 11 00 00 00 2F 00 6A 00 73 00 2F 00 74 00 61 00 62 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 2E 00 6A 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 41 00 42 00 43 00 4F 00 4E 00 54 00 52 00 4F 00 4C 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 0D 00 0A 00 76 00 61 00 72 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3D 00 6E 00 75 00 6C 00 6C 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 3D 00 20 00 6E 00 65 00 77 00 20 00 4A 00 53 00 54 00 61 00 62 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 28 00 20 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 67 00 65 00 74 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 42 00 79 00 49 00 64 00 28 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 22 00 20 00 29 00 20 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 2E 00 53 00 75 00 62 00 6D 00 69 00 74 00 4F 00 6E 00 43 00 68 00 61 00 6E 00 67 00 65 00 20 00 3D 00 20 00 74 00 72 00 75 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 43 00 68 00 61 00 6E 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 2E 00 53 00 75 00 62 00 6D 00 69 00 74 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 20 00 3D 00 20 00 74 00 72 00 75 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 69 00 76 00 00 00 B0 04 02 00 FF FF FF FF 34 00 00 00 7A 00 2D 00 69 00 6E 00 64 00 65 00 78 00 3A 00 31 00 3B 00 77 00 68 00 69 00 74 00 65 00 2D 00 73 00 70 00 61 00 63 00 65 00 3A 00 6E 00 6F 00 77 00 72 00 61 00 70 00 3B 00 6F 00 76 00 65 00 72 00 66 00 6C 00 6F 00 77 00 3A 00 68 00 69 00 64 00 64 00 65 00 6E 00 3B 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3B 00 6D 00 61 00 72 00 67 00 69 00 6E 00 2D 00 74 00 6F 00 70 00 3A 00 20 00 30 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 2E 00 73 00 65 00 6C 00 65 00 63 00 74 00 65 00 64 00 49 00 6E 00 64 00 65 00 78 00 20 00 3D 00 20 00 41 00 49 00 6E 00 64 00 65 00 78 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 3B 00 63 00 75 00 72 00 73 00 6F 00 72 00 3A 00 20 00 70 00 6F 00 69 00 6E 00 74 00 65 00 72 00 3B 00 20 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 32 00 30 00 70 00 78 00 3B 00 20 00 70 00 61 00 64 00 64 00 69 00 6E 00 67 00 3A 00 20 00 33 00 70 00 78 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 6E 00 70 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 68 00 69 00 64 00 64 00 65 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 54 00 59 00 4C 00 45 00 48 00 4F 00 4C 00 44 00 45 00 52 00 5F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 5F 00 41 00 43 00 54 00 49 00 56 00 45 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 5F 00 49 00 4E 00 41 00 43 00 54 00 49 00 56 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 41 00 47 00 45 00 54 00 49 00 54 00 4C 00 45 00 5F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 70 00 61 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 6D 00 61 00 72 00 67 00 69 00 6E 00 2D 00 74 00 6F 00 70 00 3A 00 20 00 30 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 2E 00 61 00 64 00 64 00 54 00 61 00 62 00 50 00 61 00 67 00 65 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 67 00 65 00 74 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 42 00 79 00 49 00 64 00 28 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 22 00 20 00 29 00 2C 00 22 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 69 00 66 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 57 00 43 00 4C 00 29 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 69 00 6E 00 69 00 74 00 5F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 28 00 41 00 49 00 6E 00 64 00 65 00 78 00 29 00 20 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 6E 00 69 00 74 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 4F 00 52 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 46 00 6F 00 72 00 6D 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 53 00 75 00 62 00 6D 00 69 00 74 00 28 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6F 00 6E 00 53 00 75 00 62 00 6D 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 49 00 44 00 44 00 45 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 69 00 6E 00 70 00 75 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 61 00 6C 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_43920_0 {
	meta:
		name = "TIWTabControl.SetActivePage"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 3C 03 00 00 74 10 89 96 3C 03 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_43921_0 {
	meta:
		name = "TIWTabControl.pageAdded"
		size = 12
		refs = "0007 TList.Add"
	strings:
		$1 = { 8B 80 38 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43922_0 {
	meta:
		name = "TIWTabControl.pageRemoved"
		size = 14
		refs = "0009 TList.RemoveItem"
	strings:
		$1 = { 8B 80 38 03 00 00 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43923_0 {
	meta:
		name = "TIWTabControl.CMDesignHitTest"
		size = 312
		refs = "0039 _Dn_TList 003e TObject.Create 0049 TIWTabControl.CMDesignHitTest 0073 TList.Get 007d TList.Add 0086 TabOrderCompare 008e TList.Sort 00be TCustomCanvas.TextWidth 00e1 TIWTabControl.SetActivePage 00f0 TControl.BringToFront 0125 TObject.Free 012b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B FA 89 45 FC F6 47 04 01 0F 84 19 01 00 00 0F B7 47 0A 66 83 F8 14 0F 8F 0B 01 00 00 66 85 C0 0F 8C 02 01 00 00 C7 45 F8 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 38 03 00 00 8B 58 08 4B 85 DB 7C 21 43 33 F6 8B 45 FC 8B 80 38 03 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 46 4B 75 E2 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 58 08 4B 85 DB 7C 72 43 33 F6 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B 80 10 03 00 00 50 8B 45 FC 8B 10 FF 92 30 01 00 00 5A E8 ?? ?? ?? ?? 83 C0 07 0F BF 57 08 3B 55 F8 7E 3A 0F BF 57 08 8B 4D F8 03 C8 3B D1 7D 2D 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 47 0C 01 00 00 00 8B 45 FC 8B 10 FF 92 A0 00 00 00 EB 07 01 45 F8 46 4B 75 91 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_43924_0 {
	meta:
		name = "TIWTabPage.InitControl"
		size = 136
		refs = "0006 TIWCustomRegion.InitControl 000f TIWCustomRegion.set_Clip 001a TIWTabPage.InitControl 001f @UStrAsg 002c TIWContainerBorderOptions.SetStyle 0039 TIWContainerBorderOptions.SetNumericWidth 0042 TIWCustomRegion.set_UseFrame 004c fromTColor 0066 TControl.SetAnchors"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 83 10 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B8 FF FF FF 00 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 24 01 00 00 0F B6 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 69 00 74 00 6C 00 65 00 00 00 0F 00 00 00 }
	condition:
		$1
}

rule function_43926_0 {
	meta:
		name = "TIWTabPage.RenderCSSClass"
		size = 52
		refs = "0006 TIWTabPage.RenderCSSClass 000b @UStrAsg"
	strings:
		$1 = { 53 8B D9 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 74 00 61 00 62 00 2D 00 70 00 61 00 67 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_43927_0 {
	meta:
		name = "TIWTabPage.RenderStyle"
		size = 468
		refs = "0017 TIWTabPage.RenderStyle 0029 TIWCustomRegion.get_HTMLWidth 0031 IntToStr 0045 TIWCustomRegion.get_HTMLHeight 00a1 ColorToRGBString 00b5 @UStrCatN 00cf @UStrArrayClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F4 8B 43 48 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B 43 4C E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 8B 10 FF 92 20 01 00 00 8D 55 EC E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B C6 BA 10 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 7A 00 2D 00 69 00 6E 00 64 00 65 00 78 00 3A 00 32 00 3B 00 20 00 77 00 69 00 64 00 74 00 68 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 61 00 62 00 73 00 6F 00 6C 00 75 00 74 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6C 00 65 00 66 00 74 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 6F 00 70 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 00 00 }
	condition:
		$1
}

rule function_43928_0 {
	meta:
		name = "TIWTabPage.ParentChanging"
		size = 72
		refs = "0010 TIWContainer.ParentChanging 001c _DV_TIWTabControl 0021 @AsClass 0028 TIWTabControl.pageRemoved 0040 TIWTabControl.pageAdded"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 F6 74 14 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 85 FF 74 14 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43929_0 {
	meta:
		name = "TIWTabPage.SetTitle"
		size = 105
		refs = "000e @UStrAddRef 0016 TIWTabPage.SetTitle 002a @UStrEqual 003a @UStrAsg 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 10 03 00 00 8B 55 FC E8 ?? ?? ?? ?? 74 18 8D 83 10 03 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_43930_0 {
	meta:
		name = "TIWTabPage.Invalidate"
		size = 31
		refs = "0018 TIWCustomRegion.Invalidate"
	strings:
		$1 = { 56 57 8B F0 8B 7E 38 85 FF 74 0A 8B C7 8B 10 FF 92 9C 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_43933_0 {
	meta:
		name = "TIWCustomText.InitControl"
		size = 101
		refs = "0007 TIWCustomControl.InitControl 0011 fromTColor 001a TIWCustomText.SetBGColor 0026 TControl.SetHeight 0032 TControl.SetWidth 0039 _Dn_TStringList 003e TStringList.Create 0050 TIWCustomText.OnItemsChange"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? BA 79 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 79 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A0 02 00 00 89 5E 44 C7 46 40 ?? ?? ?? ?? C6 83 A5 02 00 00 01 C6 83 9C 02 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_43934_0 {
	meta:
		name = "TIWCustomRadioGroup.OnItemsChange"
		size = 24
		refs = "0008 TIWCustomControl.set_DoRefreshControl"
		altNames = "TIWCustomText.OnItemsChange TIWList.OnItemsChange"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_43935_0 {
	meta:
		name = "TIWCustomRadioGroup.Dispose"
		size = 37
		refs = "0015 TObject.Free 001e TIWCustomControl.Dispose"
		altNames = "TIWCustomText.Dispose"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 86 A0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43936_0 {
	meta:
		name = "TIWCustomText.SetLines"
		size = 100
		refs = "000c TIWCustomText.SetLines 0035 TControl.SetText 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A0 02 00 00 8B 08 FF 51 08 8D 55 FC 8B 83 A0 02 00 00 8B 08 FF 51 1C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_43937_0 {
	meta:
		name = "TIWCustomText.SetBGColor"
		size = 23
	strings:
		$1 = { 3B 90 98 02 00 00 74 0E 89 90 98 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_43939_0 {
	meta:
		name = "TIWCustomText.RenderHTML"
		size = 188
		refs = "0012 TIWCustomText.RenderHTML 0020 TIWCustomText.RetrieveLinesForRendering 002e _Dn_TIWHTMLTag 0033 TIWMarkupLanguageTag.CreateTag 004c TIWHTMLTag.GetContents 0056 TIWMarkupLanguageTagCollection.AddText 0065 @HandleAnyException 0072 TObject.Free 0077 @RaiseAgain 007c @DoneExcept 0091 @UStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 56 00 00 00 }
	condition:
		$1
}

rule function_43940_0 {
	meta:
		name = "TIWCustomText.RenderAsync"
		size = 532
		refs = "0015 TIWCustomText.RenderAsync 0029 _Dn_TIWXMLTag 002e TIWXMLTag.CreateTag 005c TIWMarkupLanguageTag.AddStringParam 0079 toTColor 0093 ColorToRGBString 00a8 @UStrCatN 00b5 TIWCustomControl.AddAsyncStyle 00bf TIWCustomText.RetrieveLinesForRendering 00d1 TIWMarkupLanguageTagCollection.AddTag 00de TIWMarkupLanguageTagCollection.AddText 00f2 TIWCustomControl.RenderAsyncCommonProperties 0101 @HandleAnyException 010e TObject.Free 0113 @DoneExcept 012d @UStrArrayClr 0135 @UStrClr 013b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F4 8B C3 8B 08 FF 91 14 01 00 00 8B 4D F4 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 35 68 ?? ?? ?? ?? 8D 55 EC 8B 83 98 02 00 00 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F0 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 0C 33 C9 8B 55 FC E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 50 8B 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 57 00 54 00 45 00 58 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 6E 00 65 00 72 00 68 00 74 00 6D 00 6C 00 00 00 FF 07 00 00 }
	condition:
		$1
}

rule function_43941_0 {
	meta:
		name = "TIWCustomText.Clear"
		size = 12
	strings:
		$1 = { 8B 80 A0 02 00 00 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_43942_0 {
	meta:
		name = "TIWCustomText.RenderStyle"
		size = 204
		refs = "0012 TIWCustomText.RenderStyle 0023 TIWCustomControl.RenderStyle 002e toTColor 004a ColorToRGBString 005e @UStrCatN 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 29 FF 36 68 ?? ?? ?? ?? 8D 55 FC 8B 83 98 02 00 00 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 20 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_43943_0 {
	meta:
		name = "TIWCustomText.RetrieveLinesForRendering"
		size = 352
		refs = "0016 TIWCustomText.RetrieveLinesForRendering 0034 @UStrAsg 0059 TIWBaseHTMLControl.TextToHTML 0078 @UStrClr 00c3 @UStrCatN 010a @UStrCat 012c @UStrArrayClr 0132 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 83 A0 02 00 00 8B 08 FF 51 1C 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 80 BB A4 02 00 00 00 75 2B 0F B6 83 9C 02 00 00 50 8D 45 F0 50 8B 16 0F B6 8B A5 02 00 00 8B 03 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? E9 AA 00 00 00 80 BB A5 02 00 00 00 74 5C 8B C6 E8 ?? ?? ?? ?? 8B 83 A0 02 00 00 8B 10 FF 52 14 48 85 C0 0F 8C 86 00 00 00 40 89 45 F8 C7 45 FC 00 00 00 00 FF 36 8D 4D EC 8B 55 FC 8B 83 A0 02 00 00 8B 38 FF 57 0C FF 75 EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? FF 45 FC FF 4D F8 75 CC EB 45 8B C6 E8 ?? ?? ?? ?? 8B 83 A0 02 00 00 8B 10 FF 52 14 48 85 C0 7C 2E 40 89 45 F8 C7 45 FC 00 00 00 00 8D 4D E8 8B 55 FC 8B 83 A0 02 00 00 8B 38 FF 57 0C 8B 55 E8 8B C6 E8 ?? ?? ?? ?? FF 45 FC FF 4D F8 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_43944_0 {
	meta:
		name = "TIWCustomText.TextChangedNotification"
		size = 79
		refs = "000c TIWCustomText.TextChangedNotification 001c TControl.GetText 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 A0 02 00 00 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_43945_0 {
	meta:
		name = "TIWCustomText.SetText"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 A0 02 00 00 8B 08 FF 51 2C 5E C3 }
	condition:
		$1
}

rule function_43946_0 {
	meta:
		name = "TIWCustomText.getText"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 A0 02 00 00 8B 08 FF 51 1C 5E 5B C3 }
	condition:
		$1
}

rule function_43949_0 {
	meta:
		name = "TIWTimeEdit.GetWeeks"
		size = 124
		refs = "0026 @IntOver 0056 TIWTimeEdit.GetWeeks 005b Format"
	strings:
		$1 = { 55 8B EC 83 C4 E0 89 55 F8 89 45 FC 8B 45 F8 50 8B 45 FC DB 80 C8 02 00 00 8B 45 FC 6B 80 CC 02 00 00 3C 71 05 E8 ?? ?? ?? ?? 8B 55 FC F7 AA D0 02 00 00 71 05 E8 ?? ?? ?? ?? 89 45 EC DB 45 EC DE F9 DB 7D E0 9B 8D 45 E0 89 45 F0 C6 45 F4 03 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 32 00 66 00 77 00 00 00 00 00 }
	condition:
		$1
}

rule function_43950_0 {
	meta:
		name = "TIWTimeEdit.GetDays"
		size = 108
		refs = "0026 @IntOver 0046 TIWTimeEdit.GetDays 004b Format"
	strings:
		$1 = { 55 8B EC 83 C4 E0 89 55 F8 89 45 FC 8B 45 F8 50 8B 45 FC DB 80 C8 02 00 00 8B 45 FC 6B 80 CC 02 00 00 3C 71 05 E8 ?? ?? ?? ?? 89 45 EC DB 45 EC DE F9 DB 7D E0 9B 8D 45 E0 89 45 F0 C6 45 F4 03 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 32 00 66 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_43951_0 {
	meta:
		name = "TIWTimeEdit.GetFormattedText"
		size = 364
		refs = "001c TIWTimeEdit.GetFormattedText 0021 @UStrAsg 0065 @IntOver 00cb Format 00d8 TIWTimeEdit.GetHours 00e5 TIWTimeEdit.GetDays 00f2 TIWTimeEdit.GetWeeks"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 F8 89 45 FC 8B 45 FC 83 B8 C8 02 00 00 00 75 12 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 18 01 00 00 8B 45 FC 0F B6 80 D4 02 00 00 83 F8 04 0F 87 05 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 6B 80 CC 02 00 00 3C 71 05 E8 ?? ?? ?? ?? 8B 55 FC F7 AA D0 02 00 00 71 05 E8 ?? ?? ?? ?? 8B 55 FC 3B 82 C8 02 00 00 7E 67 8B 45 FC 6B 80 CC 02 00 00 3C 71 05 E8 ?? ?? ?? ?? 8B 55 FC 3B 82 C8 02 00 00 7E 3E 8B 45 FC 83 B8 C8 02 00 00 3C 7D 25 8B 45 F8 50 8B 45 FC 8B 80 C8 02 00 00 89 45 F0 C6 45 F4 00 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 71 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 64 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 57 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 4A 8B 45 F8 50 8B 45 FC 8B 80 C8 02 00 00 89 45 F0 C6 45 F4 00 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 25 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 18 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 25 00 64 00 6D 00 00 00 }
	condition:
		$1
}

rule function_43952_0 {
	meta:
		name = "TIWTimeEdit.GetHours"
		size = 200
		refs = "005b TIWTimeEdit.GetHours 0060 Format"
	strings:
		$1 = { 55 8B EC 83 C4 E0 89 55 F8 89 45 FC 8B 45 FC 8B 80 C8 02 00 00 B9 3C 00 00 00 99 F7 F9 89 45 F4 8B 45 FC 8B 80 C8 02 00 00 B9 3C 00 00 00 99 F7 F9 89 55 F0 83 7D F0 09 7E 2C 8B 45 F8 50 8B 45 F4 89 45 E0 C6 45 E4 00 8B 45 F0 89 45 E8 C6 45 EC 00 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2A 8B 45 F8 50 8B 45 F4 89 45 E0 C6 45 E4 00 8B 45 F0 89 45 E8 C6 45 EC 00 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 64 00 3A 00 25 00 64 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 64 00 3A 00 30 00 25 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_43953_0 {
	meta:
		name = "TIWTimeEdit.InitControl"
		size = 65
		refs = "000b TIWCustomEdit.InitControl"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 C8 02 00 00 8B 45 FC C7 80 CC 02 00 00 08 00 00 00 8B 45 FC C7 80 D0 02 00 00 05 00 00 00 8B 45 FC C6 80 D4 02 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_43954_0 {
	meta:
		name = "TIWTimeEdit.RenderHTML"
		size = 304
		refs = "001e TIWTimeEdit.RenderHTML 004f RSInvalidTimeEditFormat 0058 Format 0068 TIWBaseHTMLControl.TextToJSStringLiteral 0094 @UStrCatN 00a0 TIWCompContext.AddValidation 00ab TIWCustomEdit.RenderHTML 00c8 @UStrArrayClr 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 33 C9 89 4D F0 89 4D E0 89 4D DC 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 E4 00 00 00 84 C0 74 6D 8D 45 EC 50 8B 45 FC 8B 80 F4 01 00 00 89 45 E4 C6 45 E8 11 8D 55 E4 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F0 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 45 F0 50 68 ?? ?? ?? ?? 8D 55 DC 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 DC 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F8 59 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 F4 8B E5 5D C3 B0 04 02 00 FF FF FF FF 13 00 00 00 21 00 56 00 61 00 6C 00 69 00 64 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 45 00 64 00 69 00 74 00 28 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_43955_0 {
	meta:
		name = "TIWTimeEdit.SetMinutes"
		size = 98
		refs = "0015 TIWTimeEdit.SetMinutes 0032 TIWTimeEdit.GetFormattedText 003d TControl.SetText 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 FC 89 82 C8 02 00 00 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_43956_0 {
	meta:
		name = "TIWTimeEdit.SetValue"
		size = 876
		refs = "001b TIWTimeEdit.SetValue 002c TIWCustomEdit.SetValue 0037 @UStrLAsg 004d @UStrLen 005f @BoundErr 00dc Pos 017e @UStrDelete 01a4 Fetch 01ac StrToInt 01b7 StrToFloat 0211 @TRUNC 02a5 @IntOver 02fe @HandleAnyException 030e @DoneExcept 0323 @UStrClr 0331 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D DC 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E4 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 48 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 40 66 8B 44 42 FE 2C 57 74 08 2C 20 74 04 33 C0 EB 02 B0 01 88 45 E0 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 48 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 40 66 8B 44 42 FE 2C 44 74 08 2C 20 74 04 33 C0 EB 02 B0 01 88 45 E1 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 48 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 40 66 8B 44 42 FE 2C 48 74 19 2C 20 74 15 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 04 33 C0 EB 02 B0 01 88 45 E2 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 48 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 40 66 8B 44 42 FE 2C 4D 74 16 2C 20 74 12 8A 45 E0 0A 45 E1 75 06 80 7D E2 00 74 04 33 C0 EB 02 B0 01 88 45 E3 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 48 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 40 66 8B 44 42 FE 04 C0 3C 37 77 17 83 E0 7F BA ?? ?? ?? ?? 8B CA 83 E1 03 2B D1 C1 E1 03 03 C1 0F A3 02 73 17 8B 45 E4 E8 ?? ?? ?? ?? 8B D0 8D 45 E4 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 2E 6A 01 8D 45 DC 50 8D 45 E4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 89 45 F4 8B 45 E4 E8 ?? ?? ?? ?? DD 5D E8 9B EB 2C 80 7D E2 00 74 15 8B 45 E4 E8 ?? ?? ?? ?? 89 45 F4 33 C0 89 45 E8 89 45 EC EB 11 33 C0 89 45 F4 8B 45 E4 E8 ?? ?? ?? ?? DD 5D E8 9B 80 7D E0 00 74 39 8B 45 FC DB 80 D0 02 00 00 DC 4D E8 8B 45 FC DB 80 CC 02 00 00 DE C9 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 8B 55 FC 89 82 C8 02 00 00 80 7D E1 00 74 2E 8B 45 FC DB 80 CC 02 00 00 DC 4D E8 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 8B 55 FC 89 82 C8 02 00 00 80 7D E2 00 74 68 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 27 DD 45 E8 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 8B 55 FC 89 82 C8 02 00 00 EB 30 6B 45 F4 3C 71 05 E8 ?? ?? ?? ?? 89 45 D8 DB 45 D8 DC 45 E8 E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 8B 55 FC 89 82 C8 02 00 00 80 7D E3 00 74 1F DD 45 E8 E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 8B 55 FC 89 82 C8 02 00 00 33 C0 5A 59 59 64 89 10 EB 15 E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 C8 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 10 21 80 00 10 21 80 00 00 00 70 42 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_43960_0 {
	meta:
		name = "TabOrderCompare2"
		size = 107
		refs = "000e _Dn_TIWBaseHTMLControl 0015 @IsClass"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B EB 8B C5 8B 3D ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 84 C0 74 0B 0F BF 85 D2 01 00 00 8B D8 EB 09 0F BF 85 C0 02 00 00 8B D8 8B EE 8B C5 8B D7 E8 ?? ?? ?? ?? 84 C0 74 09 0F BF 85 D2 01 00 00 EB 07 0F BF 85 C0 02 00 00 3B C3 7E 05 83 C8 FF EB 0D 3B C3 7D 07 B8 01 00 00 00 EB 02 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43961_0 {
	meta:
		name = "TIWContainer.FixUpTabList"
		size = 17
		refs = "0001 TabOrderCompare2 000c TList.Sort"
	strings:
		$1 = { BA ?? ?? ?? ?? 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43963_0 {
	meta:
		name = "TabOrderCompare"
		size = 356
		refs = "0015 TabOrderCompare 002b SupportsInterface 0039 TabOrderInterface 004e _Dn_TFrame 0053 @IsClass 0063 TComponent.FindComponent 010c IIWTabOrder 0116 @FinalizeArray 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 F6 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 0C 0F BF D8 EB 38 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 C0 74 17 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 92 28 01 00 00 0F BF D8 BA ?? ?? ?? ?? 8B 7D FC 8B C7 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 0C 0F BF F0 EB 38 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 C0 74 17 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 92 28 01 00 00 0F BF F0 3B F3 7E 05 83 CB FF EB 0D 3B F3 7D 07 BB 01 00 00 00 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C3 00 B7 65 AF 2D AE B5 86 47 BA F8 42 22 9F A4 07 3B B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 57 00 46 00 72 00 61 00 6D 00 65 00 52 00 65 00 67 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_43964_0 {
	meta:
		name = "TIWContainer.ContainerName"
		size = 22
		refs = "000f TIWContainerImplementation.ContainerName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 AC 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43965_0 {
	meta:
		name = "TIWContainer.ContainerClassname"
		size = 22
		refs = "000f TIWContainerImplementation.ContainerClassname"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 AC 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43967_0 {
	meta:
		name = "TIWContainer.IWAddComponent"
		size = 12
		refs = "0007 TIWContainerImplementation.AddComponent"
	strings:
		$1 = { 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43969_0 {
	meta:
		name = "TIWContainer.IWFindComponent"
		size = 12
		refs = "0007 TIWContainerImplementation.FindComponent"
	strings:
		$1 = { 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43971_0 {
	meta:
		name = "TIWContainer.get_Component"
		size = 12
		refs = "0007 TIWContainerImplementation.GetComponent"
	strings:
		$1 = { 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43973_0 {
	meta:
		name = "TIWContainer.get_ContainerContext"
		size = 12
		refs = "0007 TIWContainerImplementation.get_ContainerContext"
	strings:
		$1 = { 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43972_0 {
	meta:
		name = "TIWContainer.get_IWComponentsCount"
		size = 12
		refs = "0007 TIWContainerImplementation.get_IWComponentsCount"
	strings:
		$1 = { 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_43968_0 {
	meta:
		name = "TIWContainer.IWRemoveComponent"
		size = 110
		refs = "0012 TList.RemoveItem 001a _Dn_TIWBaseHTMLControl 001f @IsClass 002c TIWBaseHTMLControl.OwnerFrame 0046 TIWBaseHTMLControl.OwnerForm 0066 TIWContainerImplementation.RemoveComponent"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 86 B4 02 00 00 8B D3 33 C9 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 36 8B FB 8B C7 E8 ?? ?? ?? ?? 85 C0 74 0F 8B 80 B4 02 00 00 8B D3 33 C9 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 C0 74 0F 8B 80 B4 02 00 00 8B D3 33 C9 E8 ?? ?? ?? ?? 8B D3 8B 86 AC 02 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43970_0 {
	meta:
		name = "TIWContainer.FindComponentByName"
		size = 83
		refs = "000e @UStrAddRef 0016 TIWContainer.FindComponentByName 002a TIWContainerImplementation.FindComponentByName 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 83 AC 02 00 00 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_43974_0 {
	meta:
		name = "TIWContainer.set_ContainerContext"
		size = 91
		refs = "0009 TIWContainer.get_ContainerContext 003b TObject.Free 0054 TIWContainerImplementation.set_ContainerContext"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 3A 8B C3 E8 ?? ?? ?? ?? 83 78 18 00 74 21 8B C3 E8 ?? ?? ?? ?? 8B 40 18 3B 83 B0 02 00 00 74 0F 8B C3 E8 ?? ?? ?? ?? 8B 40 18 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 83 AC 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_43975_0 {
	meta:
		name = "TIWContainer.InitDesignTime"
		size = 39
		refs = "0006 TIWBaseContainer.InitDesignTime 000d TIWBaseContainer.GetDesignMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 8B 10 FF 92 58 01 00 00 89 83 A8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_43976_0 {
	meta:
		name = "TIWContainer.InitControl"
		size = 50
		refs = "0008 _DV_TIWContainerImplementation 000d TIWContainerImplementation.Create 001a _Dn_TList 001f TObject.Create 002c TIWBaseContainer.InitControl"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 AC 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B4 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_43977_0 {
	meta:
		name = "TIWContainer.Dispose"
		size = 189
		refs = "000c TIWBaseContainer.GetDesignMode 0023 TObject.Free 0030 TIWContainer.get_Component 0036 _Dn_TControl 003b @IsClass 0080 TIWContainer.get_IWComponentsCount 008d TIWBaseContainer.Dispose"
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B E8 8B C5 E8 ?? ?? ?? ?? 84 C0 74 13 8D 85 A8 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 F6 EB 52 8B D6 8B C5 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 39 8B D6 8B C5 E8 ?? ?? ?? ?? 83 78 38 00 74 2A 8B D6 8B C5 E8 ?? ?? ?? ?? 89 04 24 33 D2 8B 04 24 8B 08 FF 91 84 00 00 00 8B 3C 24 33 C0 89 04 24 8B C7 E8 ?? ?? ?? ?? EB 01 46 8B C5 E8 ?? ?? ?? ?? 3B F0 7C A3 8B D3 8B C5 E8 ?? ?? ?? ?? 8D 85 AC 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 85 B4 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43978_0 {
	meta:
		name = "TIWContainer.Notification"
		size = 92
		refs = "0010 TWinControl.Notification 002a TIWBaseContainerLayout.SetContainer 0043 TList.IndexOf 0054 TList.Delete"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 3F 8B 86 B0 02 00 00 3B F8 75 13 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 33 C0 89 86 B0 02 00 00 8B 86 B4 02 00 00 85 C0 74 18 8B D7 E8 ?? ?? ?? ?? 85 C0 7C 0D 8B D0 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43979_0 {
	meta:
		name = "TIWContainer.ParentChanging"
		size = 158
		refs = "0014 TIWContainer.ParentChanging 0025 isBaseContainer 0033 BaseContainerInterface 006b TIWBaseContainer.ParentChanging 0081 IIWBaseContainer 008b @FinalizeArray 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 1F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D7 8B 08 FF 51 24 85 F6 74 1F 8B C6 E8 ?? ?? ?? ?? 84 C0 74 14 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B D7 8B 08 FF 51 20 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_43982_0 {
	meta:
		name = "TIWContainer.DoPostRenderProcessing"
		size = 9
	strings:
		$1 = { 55 8B EC 8B C2 5D C2 04 00 }
	condition:
		$1
}

rule function_43984_0 {
	meta:
		name = "TIWContainer.RenderComponents"
		size = 1204
		refs = "0023 TIWContainer.RenderComponents 0030 _Dn_TList 0035 TObject.Create 0051 BaseContainerInterface 0078 _Dn_TFrame 007d @IsClass 00c4 TComponent.FindComponent 00df TList.Add 00ec TComponent.GetComponentCount 0104 TComponent.GetComponent 010a _Dn_TControl 0134 isBaseComponent 017b isBaseControl 0191 BaseControlInterface 01a5 TIWBaseContainer.GetRenderInvisibleControls 0210 TabOrderCompare 0218 TList.Sort 0237 TList.Get 0297 _Dn_TIWCompContext 029c TIWCompContext.Create 02b1 BaseComponentInterface 0313 TIWTagParamsStringList.GetValue 0323 @UStrCat3 0332 TIWMarkupLanguageTag.AddStringParam 033c TIWBaseComponentContext.SetMLTag 034b TIWContainerContext.AddComponent 0352 isBaseContainer 03d0 TObject.Free 03d6 @HandleFinally 03f2 @UStrArrayClr 03fb IIWBaseControl 0405 @FinalizeArray 040d @IntfClear 041e IIWBaseContainer"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 34 48 85 C0 0F 8C A9 01 00 00 40 89 45 DC 33 DB 8B D3 8B 45 F8 8B 08 FF 51 30 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D0 00 00 00 8B D3 8B 45 F8 8B 08 FF 51 30 89 45 E0 8B D3 8B 45 F8 8B 08 FF 51 30 8B D0 8B 45 F8 8B 08 FF 51 48 84 C0 75 0D 8B 45 E0 80 78 61 00 0F 84 4A 01 00 00 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 74 1C BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B D0 8B 45 E8 E8 ?? ?? ?? ?? E9 1D 01 00 00 8B 45 E0 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 0A 01 00 00 47 33 F6 8B D6 8B 45 E0 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 39 8B D6 8B 45 E0 E8 ?? ?? ?? ?? 8B 40 38 3B 45 E0 75 27 8B D6 8B 45 E0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B D6 8B 45 E0 E8 ?? ?? ?? ?? 8B D0 8B 45 E8 E8 ?? ?? ?? ?? 46 4F 75 AA E9 AC 00 00 00 8B D3 8B 45 F8 8B 08 FF 51 30 E8 ?? ?? ?? ?? 84 C0 0F 84 95 00 00 00 8B D3 8B 45 F8 8B 08 FF 51 30 E8 ?? ?? ?? ?? 84 C0 74 6E 8B D3 8B 45 F8 8B 08 FF 51 30 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 D8 8B 10 FF 52 28 84 C0 75 0C 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 16 8B D3 8B 45 F8 8B 08 FF 51 30 8B D0 8B 45 E8 E8 ?? ?? ?? ?? EB 42 8B D3 8B 45 F8 8B 08 FF 51 30 8B D0 8B 45 F8 8B 08 FF 51 48 84 C0 74 2A 8B D3 8B 45 F8 8B 08 FF 51 30 8B D0 8B 45 E8 E8 ?? ?? ?? ?? EB 14 8B D3 8B 45 F8 8B 08 FF 51 30 8B D0 8B 45 E8 E8 ?? ?? ?? ?? 43 FF 4D DC 0F 85 5D FE FF FF BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 08 48 85 C0 0F 8C 8F 01 00 00 40 89 45 DC 33 DB 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 89 75 E0 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 74 0F BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 CF 00 00 00 8B 45 F0 50 8B 45 EC 50 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 8B 55 E4 8B 08 FF 51 20 8B F8 56 8B 4D E4 8B D7 8B 45 F4 8B 38 FF 97 50 01 00 00 8B F8 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 83 7D D0 00 74 51 8D 55 CC 8B C6 E8 ?? ?? ?? ?? 8B 45 CC 8B 10 FF 52 28 84 C0 75 3B 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 2F 8D 4D C4 8B 47 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D7 8B 45 E4 E8 ?? ?? ?? ?? 6A 01 33 C9 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 56 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 EC 8B 50 04 8B 45 FC 8B 08 FF 51 38 8B F8 85 FF 74 30 8B D6 8B 45 F4 8B 08 FF 91 4C 01 00 00 84 C0 75 0D 8B 45 F0 80 78 1D 00 75 04 33 C0 EB 02 B0 01 88 47 1D 8B 4D EC 8B D7 8B 45 FC 8B 30 FF 56 3C 43 FF 4D DC 0F 85 77 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 57 00 46 00 72 00 61 00 6D 00 65 00 52 00 65 00 67 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 76 00 69 00 73 00 69 00 62 00 69 00 6C 00 69 00 74 00 79 00 3A 00 20 00 68 00 69 00 64 00 64 00 65 00 6E 00 3B 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_43985_0 {
	meta:
		name = "TIWContainer.Paint"
		size = 40
		refs = "0006 TIWBaseContainer.GetDesignMode 0022 TIWBaseContainer.Paint"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8B 83 A8 02 00 00 85 C0 74 07 8B 10 FF 52 04 EB 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_43987_0 {
	meta:
		name = "TCustomForm.GetCanvas"
		size = 7
		altNames = "TIWContainer.ContainerImplementation"
	strings:
		$1 = { 8B 80 AC 02 00 00 C3 }
	condition:
		$1
}

rule function_43989_0 {
	meta:
		name = "TIWContainerImplementation.AddComponent"
		size = 276
		refs = "0014 TIWContainerImplementation.AddComponent 0033 isBaseComponent 0041 BaseComponentInterface 0067 SupportsInterface 0075 TabOrderInterface 00c8 @IntfClear 00e0 @UStrClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 46 08 8B 08 FF 51 5C 85 C0 0F 8D 87 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4A 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC 8B 08 FF 51 2C 8B 55 FC 8B CB 8B 46 08 8B 38 FF 57 3C 8B F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B D7 8B 08 FF 51 18 EB 0D 8B CB 8B 53 08 8B 46 08 8B 38 FF 57 3C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 56 04 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 B7 65 AF 2D AE B5 86 47 BA F8 42 22 9F A4 07 3B 38 D5 4C EE DB 27 1D 47 B0 CF 0F 22 BE 42 94 61 }
	condition:
		$1
}

rule function_43990_0 {
	meta:
		name = "TIWContainerImplementation.ContainerClassname"
		size = 240
		refs = "0014 TIWContainerImplementation.ContainerClassname 0025 _Dn_TIWBaseForm 002a @IsClass 0037 TObject.ClassName 0046 SupportsInterface 0058 BaseContainerInterface 0087 @UStrCatN 0096 @UStrAsg 00ab @UStrClr 00b3 @IntfClear 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D7 8B 06 E8 ?? ?? ?? ?? EB 5D BA ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 84 C0 74 3F 8D 55 F8 8B 43 04 8B 40 38 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC 8B 08 FF 51 14 FF 75 FC 68 ?? ?? ?? ?? 8D 55 F4 8B 43 04 8B 00 E8 ?? ?? ?? ?? FF 75 F4 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0D 8B C7 8B 53 04 8B 52 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 40 ED A6 62 46 92 E7 48 86 A3 A4 67 52 B0 39 4B B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_43991_0 {
	meta:
		name = "TIWContainerImplementation.ContainerName"
		size = 552
		refs = "001a TIWContainerImplementation.ContainerName 002e _Dn_TIWBaseForm 0033 @IsClass 0045 @UStrAsg 0075 @UStrEqual 00af @UStrDelete 00b6 IsUniqueGlobalComponentName 00c7 FindGlobalComponent 0146 @UStrLen 0189 SupportsInterface 019e BaseContainerInterface 01c6 @UStrCatN 01ed @IntfClear 01f5 @UStrClr 01fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D D0 89 4D CC 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 41 01 00 00 8B C6 8B 53 08 E8 ?? ?? ?? ?? E9 F5 00 00 00 8B 06 89 45 F8 8B 7D F8 85 FF 74 05 83 EF 04 8B 3F 8B 06 66 83 7C 78 FE 5F 75 15 8B 06 8B 55 FC 8B 52 04 8B 52 08 E8 ?? ?? ?? ?? 0F 95 C3 EB 02 33 DB 84 DB 0F 84 90 00 00 00 8B 06 89 45 F4 8B 45 F4 89 45 F0 83 7D F0 00 74 0B 8B 45 F0 83 E8 04 8B 00 89 45 F0 8B C6 B9 01 00 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 DF 01 EB 35 8B 06 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 8B 00 89 45 E8 8B 45 FC 8B 40 04 8B 40 08 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 8B 00 89 45 E0 8B 45 E8 3B 45 E0 0F 95 45 DF 80 7D DF 00 0F 84 D9 00 00 00 8B C6 8B 55 FC 8B 52 04 8B 52 08 E8 ?? ?? ?? ?? E9 C4 00 00 00 8B 06 89 45 D8 8B 45 D8 89 45 D4 83 7D D4 00 74 0B 8B 45 D4 83 E8 04 8B 00 89 45 D4 8B C6 B9 01 00 00 00 8B 55 D4 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 85 C0 7E 20 8B 06 E8 ?? ?? ?? ?? 8B 16 0F B6 44 42 FE 04 D0 2C 0A 0F 82 E8 FE FF FF 2C 25 0F 84 E0 FE FF FF 8B C6 8B 55 FC 8B 52 04 8B 52 08 E8 ?? ?? ?? ?? EB 5C BA ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 84 C0 74 3B 8D 55 CC 8B 45 FC 8B 40 04 8B 40 38 E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 8B 08 FF 51 0C FF 75 D0 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 FF 70 08 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 10 8B C6 8B 55 FC 8B 52 04 8B 52 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 40 ED A6 62 46 92 E7 48 86 A3 A4 67 52 B0 39 4B B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_43992_0 {
	meta:
		name = "TIWContainerImplementation.Create"
		size = 75
		refs = "000b @ClassCreate 001a TObject.Create 0024 _Dn_TStringList 0029 TStringList.Create 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_43994_0 {
	meta:
		name = "TIWContainerImplementation.FindComponent"
		size = 9
	strings:
		$1 = { 8B 40 08 8B 08 FF 51 5C C3 }
	condition:
		$1
}

rule function_43995_0 {
	meta:
		name = "TIWContainerImplementation.FindComponentByName"
		size = 264
		refs = "0016 @UStrAddRef 001e TIWContainerImplementation.FindComponentByName 0030 TIWContainerImplementation.get_IWComponentsCount 0043 TIWContainerImplementation.GetComponent 004d SupportsInterface 0062 BaseComponentInterface 0078 @UStrLAsg 0083 AnsiCompareText 00b3 TIWContainerContext.GetControlInstance 00d2 @IntfClear 00df @UStrArrayClr 00e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 67 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 49 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F8 8B 08 FF 51 2C 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0E 8B D3 8B C7 E8 ?? ?? ?? ?? 89 45 F0 EB 04 43 4E 75 9C 83 7D F0 00 75 19 8B 47 0C 85 C0 74 0D 8B 55 FC E8 ?? ?? ?? ?? 89 45 F0 EB 05 33 C0 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F0 5F 5E 5B 8B E5 5D C3 00 00 00 38 D5 4C EE DB 27 1D 47 B0 CF 0F 22 BE 42 94 61 }
	condition:
		$1
}

rule function_43996_0 {
	meta:
		name = "TIWContainerImplementation.GetComponent"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 08 8B 08 FF 51 18 5E 5B C3 }
	condition:
		$1
}

rule function_43997_0 {
	meta:
		name = "TIWContainerImplementation.get_IWComponentsCount"
		size = 21
	strings:
		$1 = { 56 8B 70 08 85 F6 74 09 8B C6 8B 10 FF 52 14 5E C3 33 C0 5E C3 }
	condition:
		$1
}

rule function_43999_0 {
	meta:
		name = "TIWContainerImplementation.RemoveComponent"
		size = 136
		refs = "000f TIWContainerImplementation.RemoveComponent 0039 SupportsInterface 0047 BaseComponentInterface 0067 @IntfClear 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 43 08 8B 08 FF 51 5C 85 C0 7C 0A 8B D0 8B 43 08 8B 08 FF 51 48 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 04 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 38 D5 4C EE DB 27 1D 47 B0 CF 0F 22 BE 42 94 61 }
	condition:
		$1
}

rule function_44001_0 {
	meta:
		name = "TIWContainer.DoRender"
		size = 356
		refs = "0017 TIWContainer.DoRender 003c TIWContainer.get_IWComponentsCount 0054 TIWContainer.get_Component 005e SupportsInterface 0073 BaseContainerInterface 008f _Dn_TFrame 0094 @IsClass 00ac @AsClass 00b1 TComponent.GetComponentCount 00d7 TComponent.GetComponent 0136 IIWBaseContainer 0140 @FinalizeArray 0146 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB A2 02 00 00 00 74 0E 8B D3 8B 83 A4 02 00 00 FF 93 A0 02 00 00 8B C3 E8 ?? ?? ?? ?? 48 85 C0 0F 8C DB 00 00 00 40 89 45 FC 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 18 E9 96 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7E 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 7C 60 40 89 45 F8 33 FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 18 47 FF 4D F8 75 A6 46 FF 4D FC 0F 85 2B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 00 40 ED A6 62 46 92 E7 48 86 A3 A4 67 52 B0 39 4B }
	condition:
		$1
}

rule function_44004_0 {
	meta:
		name = "TIWContainerBorderOptions.AssignTo"
		size = 111
		refs = "000b _DV_TIWContainerBorderOptions 0010 @IsClass 0021 TIWContainerBorderOptions.SetStyle 002b TIWContainerBorderOptions.SetColor 003c TIWContainerBorderOptions.SetNumericWidth 0046 TIWContainerBorderOptions.SetBGColor 0051 TIWContainerBorderOptions.SetHorizScrollBar 005c TIWContainerBorderOptions.SetVertScrollBar 0067 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4A 0F B6 53 18 8B FE 8B C7 E8 ?? ?? ?? ?? 8B 53 1C 8B C7 E8 ?? ?? ?? ?? 0F B6 43 24 88 47 24 8B 53 28 8B C7 E8 ?? ?? ?? ?? 8B 53 04 8B C7 E8 ?? ?? ?? ?? 0F B6 53 08 8B C7 E8 ?? ?? ?? ?? 0F B6 53 09 8B C7 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_44005_0 {
	meta:
		name = "TIWContainerBorderOptions.Create"
		size = 91
		refs = "000b @ClassCreate 001a TObject.Create 0024 fromTColor 0047 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 20 33 C0 E8 ?? ?? ?? ?? 89 47 1C B8 FF FF FF 1F E8 ?? ?? ?? ?? 89 47 04 C6 47 08 01 C6 47 09 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_44006_0 {
	meta:
		name = "TIWContainerBorderOptions.Create"
		size = 86
		refs = "000e @ClassCreate 001d TObject.Create 003f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 28 0F B6 45 10 88 47 24 0F B6 45 0C 88 47 18 8B 45 08 89 47 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_44007_0 {
	meta:
		name = "TIWContainerBorderOptions.SetColor"
		size = 14
		refs = "0009 TIWContainerBorderOptions.DoChange"
	strings:
		$1 = { 3B 50 1C 74 08 89 50 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96035_0 {
	meta:
		name = "THTMLTableAttributes.SetBorder"
		size = 14
		refs = "0009 THTMLTagAttributes.Changed"
	strings:
		$1 = { 3B 50 1C 74 08 89 50 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75119_0 {
	meta:
		name = "TListColumn.SetImageIndex"
		size = 14
		refs = "0009 TListColumn.DoChange"
	strings:
		$1 = { 3B 50 1C 74 08 89 50 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44008_0 {
	meta:
		name = "TIWContainerBorderOptions.SetWidth"
		size = 14
		refs = "0009 TIWContainerBorderOptions.DoChange"
	strings:
		$1 = { 3A 50 24 74 08 88 50 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78362_0 {
	meta:
		name = "TTaskDialogButtonItem.SetElevationRequired"
		size = 14
		refs = "0009 TTaskDialogButtonItem.DoSetElevationRequired"
	strings:
		$1 = { 3A 50 24 74 08 88 50 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44009_0 {
	meta:
		name = "TIWContainerBorderOptions.CreateFrame"
		size = 2140
		refs = "0021 @IntfAddRef 0029 TIWContainerBorderOptions.CreateFrame 0051 TIWApplication.GetBrowser 005b TIWFont.FontToStringStyle 006b TIWTagParamsStringList.SetValue 0073 @UStrClr 0081 _DV_TIWFrameHTMLTag 0086 TIWMarkupLanguageTag.CreateTag 00a5 toTColor 00bf ColorToRGBString 00d4 @UStrCatN 00e1 @UStrCat 0210 IntToStr 022c TIWContainerBorderOptions.GetPixelWidth 0245 SupportsInterface 0259 @IntfCast 03d6 TIWMarkupLanguageTag.AddStringParam 03de TIWHTMLTag.GetContents 03e7 TIWHTMLTagCollection.AddTagAsObject 03f6 @HandleAnyException 0403 TObject.Free 0408 @RaiseAgain 040d @DoneExcept 0427 @UStrArrayClr 0430 IIWHTML40Control 043a @FinalizeArray 044a @IntfClear 0450 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F0 8B F2 8B F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 38 83 7E 18 00 74 32 8D 45 FC 50 8B 45 08 8B 10 FF 52 54 50 8B 45 F0 8B 40 04 E8 ?? ?? ?? ?? 8B D0 33 C9 58 E8 ?? ?? ?? ?? 8B 46 10 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 89 70 20 8B 47 1C E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 28 FF 75 FC 68 ?? ?? ?? ?? 8D 55 E4 8B 47 1C E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 47 18 83 F8 09 0F 87 C6 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 85 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 76 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 58 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 49 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 47 24 2C 01 72 0C 74 19 FE C8 74 24 FE C8 74 2F EB 50 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 41 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 23 FF 75 FC 8D 55 E0 8B 47 28 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 03 C0 89 45 E8 B3 01 8B 45 08 8B 10 FF 52 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8D 45 F8 8B 55 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 90 00 00 00 8B D8 84 DB 74 7F 8B 45 F0 0F B6 40 18 04 FD 2C 03 72 04 2C 02 75 2A 80 7F 08 00 75 06 80 7F 09 00 74 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 53 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 80 7F 08 00 74 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7F 09 00 74 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 04 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 28 FF 75 FC 68 ?? ?? ?? ?? 8D 55 DC 8B 47 04 E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 0F B6 40 18 2C 02 74 04 2C 02 75 05 33 C0 89 45 E8 8B 45 08 8B 10 FF 52 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6F 8D 45 F4 8B 55 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 92 90 00 00 00 84 C0 74 50 FF 75 FC 68 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 60 03 45 E8 8D 55 D8 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 64 03 45 E8 8D 55 D4 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C9 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 8B 45 EC 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 56 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6E 00 6F 00 6E 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 68 00 69 00 64 00 64 00 65 00 6E 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 6F 00 74 00 74 00 65 00 64 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 61 00 73 00 68 00 65 00 64 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 6F 00 6C 00 69 00 64 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 6F 00 75 00 62 00 6C 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 67 00 72 00 6F 00 6F 00 76 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 69 00 64 00 67 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 69 00 6E 00 73 00 65 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6F 00 75 00 74 00 73 00 65 00 74 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 77 00 69 00 64 00 74 00 68 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 68 00 69 00 6E 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6D 00 65 00 64 00 69 00 75 00 6D 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 74 00 68 00 69 00 63 00 6B 00 3B 00 00 00 00 00 21 DD 52 13 BF EC EE 4A A4 3B 95 6B E7 43 D2 6C B0 04 02 00 FF FF FF FF 0E 00 00 00 6F 00 76 00 65 00 72 00 66 00 6C 00 6F 00 77 00 3A 00 61 00 75 00 74 00 6F 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 6F 00 76 00 65 00 72 00 66 00 6C 00 6F 00 77 00 3A 00 68 00 69 00 64 00 64 00 65 00 6E 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 6F 00 76 00 65 00 72 00 66 00 6C 00 6F 00 77 00 2D 00 78 00 3A 00 61 00 75 00 74 00 6F 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 6F 00 76 00 65 00 72 00 66 00 6C 00 6F 00 77 00 2D 00 78 00 3A 00 68 00 69 00 64 00 64 00 65 00 6E 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 6F 00 76 00 65 00 72 00 66 00 6C 00 6F 00 77 00 2D 00 79 00 3A 00 61 00 75 00 74 00 6F 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 6F 00 76 00 65 00 72 00 66 00 6C 00 6F 00 77 00 2D 00 79 00 3A 00 68 00 69 00 64 00 64 00 65 00 6E 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 70 00 61 00 64 00 64 00 69 00 6E 00 67 00 3A 00 30 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 63 00 6C 00 69 00 70 00 3A 00 72 00 65 00 63 00 74 00 28 00 30 00 70 00 78 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 70 00 78 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 30 00 70 00 78 00 29 00 3B 00 00 00 }
	condition:
		$1
}

rule function_44010_0 {
	meta:
		name = "TIWContainerBorderOptions.SetHorizScrollBar"
		size = 14
		refs = "0009 TIWContainerBorderOptions.DoChange"
	strings:
		$1 = { 3A 50 08 74 08 88 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44011_0 {
	meta:
		name = "TIWContainerBorderOptions.SetStyle"
		size = 14
		refs = "0009 TIWContainerBorderOptions.DoChange"
	strings:
		$1 = { 3A 50 18 74 08 88 50 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96034_0 {
	meta:
		name = "THTMLTableAttributes.SetAlign"
		size = 14
		refs = "0009 THTMLTagAttributes.Changed"
	strings:
		$1 = { 3A 50 18 74 08 88 50 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96042_0 {
	meta:
		name = "THTMLTableElementAttributes.SetAlign"
		size = 14
		refs = "0009 THTMLTagAttributes.Changed"
	strings:
		$1 = { 3A 50 18 74 08 88 50 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91558_0 {
	meta:
		name = "TTeeShadow.SetTransparency"
		size = 14
		refs = "0009 TTeeShadow.Changed"
	strings:
		$1 = { 3A 50 18 74 08 88 50 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47249_0 {
	meta:
		name = "TXMLDisplayParent.SetUseParent"
		size = 14
		refs = "0009 TWebDisplay.Changed"
	strings:
		$1 = { 3A 50 18 74 08 88 50 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44012_0 {
	meta:
		name = "TIWContainerBorderOptions.SetVertScrollBar"
		size = 14
		refs = "0009 TIWContainerBorderOptions.DoChange"
	strings:
		$1 = { 3A 50 09 74 08 88 50 09 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44014_0 {
	meta:
		name = "TIWContainerBorderOptions.SetNumericWidth"
		size = 14
		refs = "0009 TIWContainerBorderOptions.DoChange"
	strings:
		$1 = { 3B 50 28 74 08 89 50 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96038_0 {
	meta:
		name = "THTMLTableAttributes.SetCellPadding"
		size = 14
		refs = "0009 THTMLTagAttributes.Changed"
	strings:
		$1 = { 3B 50 28 74 08 89 50 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44015_0 {
	meta:
		name = "TIWContainerBorderOptions.SetBGColor"
		size = 14
		refs = "0009 TIWContainerBorderOptions.DoChange"
	strings:
		$1 = { 3B 50 04 74 08 89 50 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95270_0 {
	meta:
		name = "TGridInfo.SetGridSizeX"
		size = 14
		refs = "0009 TGridInfo.InvalidateGrid"
	strings:
		$1 = { 3B 50 04 74 08 89 50 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44016_0 {
	meta:
		name = "TIWContainerBorderOptions.CreateDefaultFrame"
		size = 396
		refs = "0019 @IntfAddRef 0021 TIWContainerBorderOptions.CreateDefaultFrame 002e _DV_TIWContainerBorderOptions 0033 TObject.Create 005b USE_FRAME_WIDTH 0068 fromTColor 00a0 SupportsInterface 00b4 @IntfCast 00e9 TIWContainerBorderOptions.CreateFrame 0134 TObject.Free 013a @HandleFinally 0152 IIWHTML40Control 015c @FinalizeArray 0164 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 8B F9 8B F2 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 C6 40 18 08 8B 45 F0 C6 40 24 03 8B 45 F0 8B 15 ?? ?? ?? ?? 89 50 28 B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B 55 F0 89 42 1C B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B 55 F0 89 42 04 8B 45 F0 C6 40 08 01 8B 45 F0 C6 40 09 01 33 DB 8B 45 08 8B 10 FF 52 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8D 45 FC 8B 55 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 90 00 00 00 8B D8 8B 45 FC 8B 10 FF 92 B0 00 00 00 8B D0 8B 45 FC 8B 08 FF 91 94 00 00 00 8B 45 08 50 8B CF 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F4 8B 45 08 8B 10 FF 52 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8D 45 F8 8B 55 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 F8 8B 08 FF 91 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 21 DD 52 13 BF EC EE 4A A4 3B 95 6B E7 43 D2 6C }
	condition:
		$1
}

rule function_44017_0 {
	meta:
		name = "TIWContainerBorderOptions.GetPixelWidth"
		size = 140
		refs = "003c TIWContainerBorderOptions.GetPixelWidth 0043 _Dn_Exception 0048 Exception.Create 004d @RaiseExcept"
	strings:
		$1 = { 0F B6 50 18 80 EA 02 73 03 33 C0 C3 0F B6 50 24 80 EA 01 72 0C 74 11 FE CA 74 14 FE CA 74 17 EB 1A B8 01 00 00 00 EB 29 B8 03 00 00 00 EB 22 B8 05 00 00 00 EB 1B 8B 40 28 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 55 00 6E 00 6B 00 6F 00 77 00 6E 00 20 00 62 00 6F 00 72 00 64 00 65 00 72 00 20 00 77 00 69 00 64 00 74 00 68 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_44018_0 {
	meta:
		name = "TIWContainerBorderOptions.InitalizeForRendering"
		size = 42
		refs = "000c TIWContainerBorderOptions.SetBGColor 0015 TIWContainerBorderOptions.SetHorizScrollBar 0020 TIWContainerBorderOptions.SetVertScrollBar"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B6 55 08 8B C6 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_44019_0 {
	meta:
		name = "TIWBorderOptions.AssignTo"
		size = 61
		refs = "000b _DV_TIWBorderOptions 0010 @IsClass 0020 TIWBorderOptions.SetColor 002a TIWBorderOptions.SetWidth 0035 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B 53 10 8B FE 8B C7 E8 ?? ?? ?? ?? 8B 53 18 8B C7 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_44020_0 {
	meta:
		name = "TIWBorderOptions.Create"
		size = 72
		refs = "000e @ClassCreate 001d TIWBorderOptions.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 10 8B 45 08 89 47 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_44021_0 {
	meta:
		name = "TIWBorderOptions.Create"
		size = 66
		refs = "000a @ClassCreate 0017 TObject.Create 0021 fromTColor 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 89 46 10 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_44022_0 {
	meta:
		name = "TIWBorderOptions.DoChange"
		size = 31
	strings:
		$1 = { 53 8B D8 66 83 7B 0A 00 74 08 8B D3 8B 43 0C FF 53 08 8B 43 14 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_44023_0 {
	meta:
		name = "TIWBorderOptions.SetColor"
		size = 14
		refs = "0009 TIWBorderOptions.DoChange"
	strings:
		$1 = { 3B 50 10 74 08 89 50 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44024_0 {
	meta:
		name = "TIWBorderOptions.SetWidth"
		size = 14
		refs = "0009 TIWBorderOptions.DoChange"
	strings:
		$1 = { 3B 50 18 74 08 89 50 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44027_0 {
	meta:
		name = "TIWContainerLayout.ProcessControl"
		size = 860
		refs = "0021 @IntfAddRef 0029 TIWContainerLayout.ProcessControl 0039 TIWBaseContainerLayout.GetCurrentContainer 004b SupportsInterface 0069 @IntfCast 007e _Dn_TStringList 0083 TStringList.Create 00a9 TIWContainerContext.GetComponentContext 00b2 TIWCompContext.GetHTMLTag 00c8 TIWTagParamsStringList.GetValue 00e8 TIWMarkupLanguageTag.AddStringParam 0168 InputInterface 0199 BaseControlInterface 01e7 TIWBaseHTMLPageContext.AppendHiddenInput 0282 TObject.Free 0288 @HandleFinally 02a4 @UStrArrayClr 02ac @IntfClear 02b4 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 26 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 10 8B D8 EB 02 33 DB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 08 8B 08 FF 51 30 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 74 6C 8D 4D E4 8B 47 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E4 00 75 1A 8D 55 E0 8B 45 08 8B 08 FF 51 30 8B 4D E0 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 45 08 8B 10 FF 52 1C 84 C0 74 30 8D 4D DC 8B 47 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D DC 00 75 1A 8D 55 D8 8B 45 08 8B 08 FF 51 30 8B 4D D8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 45 08 8B 10 FF 52 1C 84 C0 75 10 8B 45 08 8B 10 FF 52 3C 84 C0 0F 84 23 01 00 00 8B 45 F8 8B 10 FF 52 44 8B 45 08 8B 10 FF 52 1C 84 C0 0F 84 F5 00 00 00 8B 45 08 8B 10 FF 52 0C 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 8B 55 F8 8B 08 FF 51 2C 8B 45 08 8B 10 FF 52 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 76 8B 45 08 8B 10 FF 52 0C 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 8B 10 FF 52 28 84 C0 75 08 84 DB 0F 84 B6 00 00 00 8B 45 08 8B 10 FF 52 0C 8D 55 CC E8 ?? ?? ?? ?? 8B 45 CC 8B 10 FF 52 0C 84 C0 0F 85 96 00 00 00 EB 22 8D 4D C8 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 55 C8 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 51 48 8B 45 F8 8B 10 FF 52 14 85 C0 7F D2 EB 64 8B 45 08 8B 10 FF 52 0C 8D 55 C4 E8 ?? ?? ?? ?? 8B 45 C4 8B 10 FF 52 0C 84 C0 75 48 EB 22 8D 4D C0 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 55 C0 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 51 48 8B 45 F8 8B 10 FF 52 14 85 C0 7F D2 EB 16 8D 55 BC 8B 45 08 8B 08 FF 51 30 8B 55 BC 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 96 5F 5E 5B 8B E5 5D C2 04 00 00 00 C9 D0 4D F7 3E 1F FF 45 86 90 4C A6 DB 82 56 0D B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 41 00 4D 00 45 00 00 00 00 00 15 33 54 F3 83 E8 48 46 88 64 4F 88 25 38 4D 5E }
	condition:
		$1
}

rule function_44028_0 {
	meta:
		name = "TIWContainerLayout.ProcessControls"
		size = 182
		refs = "001c TIWContainerLayout.ProcessControls 0029 TIWContainerContext.GetControlsCount 0043 TIWContainerContext.GetControlInstanceFromIndex 004b BaseHTMLComponentInterface 0071 TIWContainerContext.GetMarkupLanguageTag 009c @UStrClr 00a4 @IntfClear 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D FC 89 4D F4 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 59 40 89 45 EC C7 45 F0 00 00 00 00 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B 4D F4 8B D3 8B 45 F8 8B 30 FF 56 5C 8D 55 E8 8B 45 FC 8B 08 FF 51 2C 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0A 8B D0 8B 45 FC 8B 08 FF 51 4C FF 45 F0 FF 4D EC 75 B2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44030_0 {
	meta:
		name = "TIWContainerLayout.SetAllowFrames"
		size = 4
	strings:
		$1 = { 88 50 44 C3 }
	condition:
		$1
}

rule function_44031_0 {
	meta:
		name = "TIWContainerLayout.SetLayoutType"
		size = 4
	strings:
		$1 = { 88 50 45 C3 }
	condition:
		$1
}

rule function_44032_0 {
	meta:
		name = "TIWContainerLayout.ScriptSection"
		size = 1132
		refs = "001d TIWContainerLayout.ScriptSection 002a @UStrClr 0044 gSC 005c iif 007a @UStrCatN 007f gServerController 008f GAppType 00a6 TIWApplication.GetInternalURLBase 0102 TIWPageContext40.RenderPreScriptFiles 010f TIWPageContext40.RenderLinkFiles 0146 TIWPageContext40.GetIWCLInitProc 016c TIWPageContext40.GetInitProc 017e TIWPageContext40.GetOnReadyProc 01c0 @UStrArrayClr 01c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC 50 A1 ?? ?? ?? ?? 8B 00 0F B6 80 74 01 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 BA 08 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 80 B8 54 01 00 00 00 75 0A A1 ?? ?? ?? ?? 80 38 00 75 37 FF 33 68 ?? ?? ?? ?? 8D 55 F8 8B 46 04 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 BA 07 00 00 00 E8 ?? ?? ?? ?? EB 2B FF 33 68 ?? ?? ?? ?? 8D 55 F4 8B 46 04 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 BA 05 00 00 00 E8 ?? ?? ?? ?? FF 33 8D 55 F0 8B C6 E8 ?? ?? ?? ?? FF 75 F0 8D 55 EC 8B C6 E8 ?? ?? ?? ?? FF 75 EC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 76 58 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 8B C6 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 55 E0 8B C6 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 BA 15 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 3C 00 73 00 63 00 72 00 69 00 70 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 74 00 65 00 78 00 74 00 2F 00 6A 00 61 00 76 00 61 00 73 00 63 00 72 00 69 00 70 00 74 00 22 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 20 00 20 00 76 00 61 00 72 00 20 00 49 00 57 00 44 00 45 00 42 00 55 00 47 00 20 00 3D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 2F 00 73 00 63 00 72 00 69 00 70 00 74 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 3C 00 73 00 63 00 72 00 69 00 70 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 74 00 65 00 78 00 74 00 2F 00 6A 00 61 00 76 00 61 00 73 00 63 00 72 00 69 00 70 00 74 00 22 00 20 00 73 00 72 00 63 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 2F 00 6A 00 73 00 2F 00 49 00 57 00 50 00 72 00 65 00 53 00 63 00 72 00 69 00 70 00 74 00 2E 00 6A 00 73 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 31 00 32 00 2E 00 30 00 2E 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 22 00 3E 00 3C 00 2F 00 73 00 63 00 72 00 69 00 70 00 74 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 2F 00 6A 00 73 00 2F 00 49 00 57 00 50 00 72 00 65 00 53 00 63 00 72 00 69 00 70 00 74 00 2E 00 6A 00 73 00 22 00 3E 00 3C 00 2F 00 73 00 63 00 72 00 69 00 70 00 74 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 49 00 6E 00 69 00 74 00 49 00 57 00 43 00 4C 00 4F 00 62 00 6A 00 65 00 63 00 74 00 73 00 28 00 29 00 20 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 49 00 6E 00 69 00 74 00 69 00 61 00 6C 00 69 00 7A 00 65 00 28 00 29 00 20 00 7B 00 00 00 }
	condition:
		$1
}

rule function_44038_0 {
	meta:
		name = "TIWContentBase.AddType"
		size = 122
		refs = "000f TIWContentBase.AddType 001b gContentTypes 0025 _Dn_TStringList 002a TStringList.Create 003b TStringList.SetSorted 0045 LowerCase 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 1D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B CE A1 ?? ?? ?? ?? 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_44040_0 {
	meta:
		name = "TIWContentBase.ProcessFile"
		size = 227
		refs = "0019 TIWContentBase.ProcessFile 0029 ExtractFileExt 0034 LowerCase 003c gContentTypes 0069 TIWContentBase.Create 00a6 TObject.Free 00ac @HandleFinally 00c3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D EC 89 5D FC 8B F1 89 55 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? 8B 08 FF 51 54 8B D8 83 FB FF 0F 9F 45 F7 80 7D F7 00 74 5E 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 18 8B D8 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F8 8B 55 08 8B 45 F0 8B 18 FF 13 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F7 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44043_0 {
	meta:
		name = "TIWContentHTML.Execute"
		size = 212
		refs = "0017 gSC 0026 _Dn_TIWIWPTemplater 002b TIWIWPTemplater.Create 0036 TIWContentHTML.Execute 005c TObject.Free 0062 @HandleFinally 007f _Dn_TIWIWPProcessor 0084 TIWIWPProcessor.Create 00a9 TIWIWPProcessor.Execute"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 40 04 50 A1 ?? ?? ?? ?? 8B 00 8B 88 B4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 10 FF 52 04 89 45 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 40 04 50 A1 ?? ?? ?? ?? 8B 00 8B 88 B4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 50 6A 00 8B 4D EC 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_44045_0 {
	meta:
		name = "IWContentHTML"
		size = 100
		refs = "0002 _DV_2 000b _DV_TIWContentHTML 0010 IWContentHTML 0015 _Dn_TIWContentBase 001a TIWContentBase.AddType"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 2A 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 05 00 00 00 2E 00 68 00 74 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 68 00 74 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_44048_0 {
	meta:
		name = "TIWContentRSS.Execute"
		size = 105
		refs = "000e gSC 001d _Dn_TIWIWPProcessor 0022 TIWIWPProcessor.Create 002d TIWContentRSS.Execute 003d TIWIWPProcessor.ExecuteRSS 0055 TObject.Free 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D9 8B 40 04 50 A1 ?? ?? ?? ?? 8B 00 8B 88 B4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_44050_0 {
	meta:
		name = "IWContentRSS"
		size = 56
		refs = "0002 _DV_2 000b _DV_TIWContentRSS 0010 IWContentRSS 0015 _Dn_TIWContentBase 001a TIWContentBase.AddType"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 72 00 73 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_44052_0 {
	meta:
		name = "TIWCustomControl.InitControl"
		size = 109
		refs = "0006 TIWBaseHTMLControl.InitControl 000f TIWBaseHTMLControl.set_ControlEncode 001b TControl.SetWidth 0027 TControl.SetHeight 003e @UStrClr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA 18 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 18 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 91 E8 00 00 00 8D 83 EC 01 00 00 E8 ?? ?? ?? ?? 8D 83 08 02 00 00 E8 ?? ?? ?? ?? C6 83 F0 01 00 00 01 C6 83 0C 02 00 00 00 8B C3 8B 10 FF 92 F8 00 00 00 88 83 E9 01 00 00 5B C3 }
	condition:
		$1
}

rule function_44053_0 {
	meta:
		name = "TIWCustomControl.Dispose"
		size = 69
		refs = "0010 GetCaptureControl 001b SetCaptureControl 002a TIWBaseComponentImplementation.DoFreeNotification 0033 TIWBaseControl.Dispose 003e TIWBaseHTMLControl.ReleaseImplementation"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 BE B1 01 00 00 00 74 10 E8 ?? ?? ?? ?? 3B F0 75 07 33 C0 E8 ?? ?? ?? ?? 84 DB 74 0B 8B 86 CC 01 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44054_0 {
	meta:
		name = "TIWCustomControl.WantsSubmitValidation"
		size = 8
	strings:
		$1 = { 0F B6 80 F0 01 00 00 C3 }
	condition:
		$1
}

rule function_44055_0 {
	meta:
		name = "FindTIWFile"
		size = 448
		refs = "0014 FindTIWFile 0022 _Dn_TIWFile 0027 @IsClass 0056 BaseContainerInterface 006c SupportsInterface 007a BaseControlInterface 0127 _Dn_TFrame 013f TComponent.GetComponentCount 015c TComponent.GetComponent 0184 @IntfClear 0192 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B F3 8B C6 8B 10 FF 92 E4 00 00 00 84 C0 74 11 8B D7 8B C6 8B 08 FF 91 14 01 00 00 E9 23 01 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 BF 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 60 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 28 84 C0 0F 84 E5 00 00 00 8B 45 FC 8B 10 FF 52 34 8B F0 4E 85 F6 0F 8C D2 00 00 00 46 C7 45 F8 00 00 00 00 8B 45 08 50 8B 55 F8 8B 45 FC 8B 08 FF 51 30 8B D7 E8 ?? ?? ?? ?? 59 83 3F 00 0F 85 AA 00 00 00 FF 45 F8 4E 75 DA E9 9F 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 8B 00 00 00 8B 45 FC 8B 10 FF 52 34 8B F0 4E 85 F6 7C 7C 46 C7 45 F8 00 00 00 00 8B 45 08 50 8B 55 F8 8B 45 FC 8B 08 FF 51 30 8B D7 E8 ?? ?? ?? ?? 59 83 3F 00 75 58 FF 45 F8 4E 75 DE EB 50 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3F 8B F3 80 7E 61 00 74 37 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 2B 40 89 C6 C7 45 F8 00 00 00 00 8B 45 08 50 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 59 83 3F 00 75 06 FF 45 F8 4E 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 15 33 54 F3 83 E8 48 46 88 64 4F 88 25 38 4D 5E 70 93 07 4B B7 D1 13 4D 95 01 AD 0D 15 72 BF 4D }
	condition:
		$1
}

rule function_44056_0 {
	meta:
		name = "TIWCustomControl.SubmitHandler"
		size = 1272
		refs = "0024 TIWCustomControl.SubmitHandler 0039 GGetWebApplicationThreadVar 0042 TIWApplication.GetActiveForm 004a FindTIWFile 0056 @UStrLAsg 0087 iif 00bd @UStrCatN 010a TIWBaseHTMLControl.TextToJSStringLiteral 0261 @UStrArrayClr 0269 @UStrClr 026f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 89 55 F8 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 0C 02 00 00 00 75 23 55 A1 ?? ?? ?? ?? 8B 00 FF D0 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 59 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 CA 00 00 00 68 ?? ?? ?? ?? 8D 45 F0 50 8D 55 EC 8B C3 8B 08 FF 91 14 01 00 00 8B 45 EC 50 85 FF 0F 94 C0 8B CF 5A E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 E8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 0F B6 45 0C E8 ?? ?? ?? ?? FF 75 E8 8B C6 BA 06 00 00 00 E8 ?? ?? ?? ?? 80 BB F0 01 00 00 00 74 22 68 ?? ?? ?? ?? FF 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? 83 BB EC 01 00 00 00 0F 84 52 01 00 00 68 ?? ?? ?? ?? 8D 4D E4 8B 93 EC 01 00 00 8B 03 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? FF 36 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 1D 01 00 00 80 7D 0C 00 0F 84 8C 00 00 00 68 ?? ?? ?? ?? 8D 45 E0 50 8D 55 DC 8B C3 8B 08 FF 91 14 01 00 00 8B 45 DC 50 85 FF 0F 94 C0 8B CF 5A E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 D8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 0F B6 83 F0 01 00 00 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 4D D4 8B 93 EC 01 00 00 8B 03 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 0B 00 00 00 E8 ?? ?? ?? ?? E9 87 00 00 00 68 ?? ?? ?? ?? 8D 45 D0 50 8D 55 CC 8B C3 8B 08 FF 91 14 01 00 00 8B 45 CC 50 85 FF 0F 94 C0 8B CF 5A E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 C8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 0F B6 83 F0 01 00 00 E8 ?? ?? ?? ?? FF 75 C8 68 ?? ?? ?? ?? 8D 4D C4 8B 93 EC 01 00 00 8B 03 E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 0B 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 0D 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 75 00 62 00 6D 00 69 00 74 00 4E 00 65 00 78 00 74 00 46 00 69 00 6C 00 65 00 28 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 27 00 2C 00 27 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 27 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 74 00 72 00 75 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 66 00 61 00 6C 00 73 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 69 00 66 00 20 00 28 00 56 00 61 00 6C 00 69 00 64 00 61 00 74 00 65 00 28 00 29 00 29 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 7D 00 65 00 6C 00 73 00 65 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 69 00 66 00 20 00 28 00 77 00 69 00 6E 00 64 00 6F 00 77 00 2E 00 63 00 6F 00 6E 00 66 00 69 00 72 00 6D 00 28 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 27 00 29 00 29 00 20 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 53 00 75 00 62 00 6D 00 69 00 74 00 43 00 6C 00 69 00 63 00 6B 00 43 00 6F 00 6E 00 66 00 69 00 72 00 6D 00 28 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2C 00 20 00 27 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 29 00 3B 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 66 00 61 00 6C 00 73 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 53 00 75 00 62 00 6D 00 69 00 74 00 43 00 6C 00 69 00 63 00 6B 00 43 00 6F 00 6E 00 66 00 69 00 72 00 6D 00 28 00 27 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_44057_0 {
	meta:
		name = "TIWCustomControl.SubmitLink"
		size = 640
		refs = "0023 TIWCustomControl.SubmitLink 0037 _Dn_TIWHTMLTag 003c TIWMarkupLanguageTag.CreateTag 005f TIWMarkupLanguageTag.AddStringParam 007c StringReplace 008f _Dn_TIWScriptEvents 0094 TIWScriptEvents.Create 00ad TIWCustomControl.get_ScriptEvents 00ca TIWCustomControl.SubmitHandler 00da TIWScriptEvents.HookEvent 00f6 TIWScriptEvents.GetItemByEvent 0120 TObject.Free 0126 @HandleFinally 0190 TIWCustomControl.HintEvents 0198 TIWHTMLTag.GetContents 01a2 TIWMarkupLanguageTagCollection.AddText 01b1 @HandleAnyException 01c3 @RaiseAgain 01c8 @DoneExcept 01e2 @UStrArrayClr 01ea @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7D 0C 00 0F 84 A2 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 08 FF 51 08 6A 00 8D 45 E8 50 33 C9 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D E8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F8 80 B8 B1 01 00 00 00 75 20 8D 4D E4 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 4D E4 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 80 B8 B1 01 00 00 00 75 4E 80 7D 08 02 75 25 6A 01 8D 45 E0 50 33 C9 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D E0 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 23 6A 00 8D 45 DC 50 33 C9 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D DC BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 4D D8 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 52 00 45 00 46 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 25 00 32 00 37 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 6E 00 43 00 6C 00 69 00 63 00 6B 00 00 00 }
	condition:
		$1
}

rule function_44059_0 {
	meta:
		name = "TIWCustomControl.DoOnAsyncClick"
		size = 36
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 68 84 C0 74 10 8B CE 8B D3 8B 83 14 02 00 00 FF 93 10 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_44060_0 {
	meta:
		name = "TIWCustomControl.DoOnAsyncDoubleClick"
		size = 21
	strings:
		$1 = { 53 8B D8 8B CA 8B D0 8B 83 1C 02 00 00 FF 93 18 02 00 00 5B C3 }
	condition:
		$1
}

rule function_44061_0 {
	meta:
		name = "TIWCustomControl.DoOnAsyncChange"
		size = 21
	strings:
		$1 = { 53 8B D8 8B CA 8B D0 8B 83 24 02 00 00 FF 93 20 02 00 00 5B C3 }
	condition:
		$1
}

rule function_44062_0 {
	meta:
		name = "TIWCustomControl.DoOnAsyncEnter"
		size = 21
	strings:
		$1 = { 53 8B D8 8B CA 8B D0 8B 83 2C 02 00 00 FF 93 28 02 00 00 5B C3 }
	condition:
		$1
}

rule function_44063_0 {
	meta:
		name = "TIWCustomControl.DoOnAsyncExit"
		size = 21
	strings:
		$1 = { 53 8B D8 8B CA 8B D0 8B 83 34 02 00 00 FF 93 30 02 00 00 5B C3 }
	condition:
		$1
}

rule function_44064_0 {
	meta:
		name = "TIWCustomControl.DoOnAsyncKeyDown"
		size = 21
	strings:
		$1 = { 53 8B D8 8B CA 8B D0 8B 83 3C 02 00 00 FF 93 38 02 00 00 5B C3 }
	condition:
		$1
}

rule function_44065_0 {
	meta:
		name = "TIWCustomControl.DoOnAsyncKeyUp"
		size = 21
	strings:
		$1 = { 53 8B D8 8B CA 8B D0 8B 83 44 02 00 00 FF 93 40 02 00 00 5B C3 }
	condition:
		$1
}

rule function_44066_0 {
	meta:
		name = "TIWCustomControl.DoOnAsyncKeyPress"
		size = 21
	strings:
		$1 = { 53 8B D8 8B CA 8B D0 8B 83 4C 02 00 00 FF 93 48 02 00 00 5B C3 }
	condition:
		$1
}

rule function_44067_0 {
	meta:
		name = "TIWCustomControl.DoOnAsyncMouseDown"
		size = 21
	strings:
		$1 = { 53 8B D8 8B CA 8B D0 8B 83 54 02 00 00 FF 93 50 02 00 00 5B C3 }
	condition:
		$1
}

rule function_44068_0 {
	meta:
		name = "TIWCustomControl.DoOnAsyncMouseMove"
		size = 21
	strings:
		$1 = { 53 8B D8 8B CA 8B D0 8B 83 5C 02 00 00 FF 93 58 02 00 00 5B C3 }
	condition:
		$1
}

rule function_44069_0 {
	meta:
		name = "TIWCustomControl.DoOnAsyncMouseOver"
		size = 21
	strings:
		$1 = { 53 8B D8 8B CA 8B D0 8B 83 64 02 00 00 FF 93 60 02 00 00 5B C3 }
	condition:
		$1
}

rule function_44070_0 {
	meta:
		name = "TIWCustomControl.DoOnAsyncMouseOut"
		size = 21
	strings:
		$1 = { 53 8B D8 8B CA 8B D0 8B 83 6C 02 00 00 FF 93 68 02 00 00 5B C3 }
	condition:
		$1
}

rule function_44071_0 {
	meta:
		name = "TIWCustomControl.DoOnAsyncMouseUp"
		size = 21
	strings:
		$1 = { 53 8B D8 8B CA 8B D0 8B 83 74 02 00 00 FF 93 70 02 00 00 5B C3 }
	condition:
		$1
}

rule function_44072_0 {
	meta:
		name = "TIWCustomControl.DoOnAsyncSelect"
		size = 21
	strings:
		$1 = { 53 8B D8 8B CA 8B D0 8B 83 7C 02 00 00 FF 93 78 02 00 00 5B C3 }
	condition:
		$1
}

rule function_44073_0 {
	meta:
		name = "TIWCustomControl.DoOnAsyncLoad"
		size = 21
	strings:
		$1 = { 53 8B D8 8B CA 8B D0 8B 83 84 02 00 00 FF 93 80 02 00 00 5B C3 }
	condition:
		$1
}

rule function_44074_0 {
	meta:
		name = "TIWCustomControl.DoOnAsyncUnLoad"
		size = 21
	strings:
		$1 = { 53 8B D8 8B CA 8B D0 8B 83 8C 02 00 00 FF 93 88 02 00 00 5B C3 }
	condition:
		$1
}

rule function_44075_0 {
	meta:
		name = "TIWCustomControl.HookEvents"
		size = 804
		refs = "0020 TIWCustomControl.HookEvents 0073 StringReplace 0088 @UStrCatN 0097 TIWScriptEvents.HookEvent 01f3 @UStrArrayClr 01f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB FC 01 00 00 00 0F 84 D5 00 00 00 80 BB 91 00 00 00 00 0F 84 8B 01 00 00 83 BB 88 00 00 00 00 0F 84 7E 01 00 00 68 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 88 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 88 00 00 00 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 C3 00 00 00 83 BB 08 02 00 00 00 0F 84 B6 00 00 00 68 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 08 02 00 00 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D EC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 08 02 00 00 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B CE 8B D7 8B C3 8B 18 FF 93 34 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 53 00 74 00 61 00 74 00 75 00 73 00 28 00 27 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 23 00 33 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4F 00 6E 00 4D 00 6F 00 75 00 73 00 65 00 4F 00 76 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 53 00 74 00 61 00 74 00 75 00 73 00 28 00 27 00 27 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4F 00 6E 00 4D 00 6F 00 75 00 73 00 65 00 4F 00 75 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 6E 00 42 00 6C 00 75 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 6E 00 46 00 6F 00 63 00 75 00 73 00 00 00 }
	condition:
		$1
}

rule function_44076_0 {
	meta:
		name = "TIWCustomControl.AddAsyncEventHandler"
		size = 464
		refs = "001e @UStrAddRef 002e TIWCustomControl.AddAsyncEventHandler 0040 TIWCustomControl.HTMLControlImplementation 0048 TIWHTMLControlImplementation.GetIWCLName 0084 iif 00b8 @UStrCatN 00c6 TIWScriptEvents.HookEvent 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 55 EC 8B C3 8B 08 FF 91 14 01 00 00 FF 75 EC 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 E8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 0F B6 45 0C E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 E4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 0F B6 45 08 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 45 F4 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 FC 8B 45 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 70 00 72 00 6F 00 63 00 65 00 73 00 73 00 41 00 6A 00 61 00 78 00 45 00 76 00 65 00 6E 00 74 00 28 00 65 00 76 00 65 00 6E 00 74 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 2C 00 20 00 6E 00 75 00 6C 00 6C 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_44077_0 {
	meta:
		name = "TIWCustomControl.AddAsyncStyle"
		size = 86
		refs = "0011 @UStrAddRef 0019 TIWCustomControl.AddAsyncStyle 0026 TIWCustomControl.HTMLControlImplementation 0030 TIWHTMLControlImplementation.AddAsyncStyle 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_44078_0 {
	meta:
		name = "TIWCustomControl.AssignAsyncEvents"
		size = 3420
		refs = "0021 TIWCustomControl.AssignAsyncEvents 0037 TIWCustomControl.DoOnAsyncClick 0051 @UStrCat 005c TIWApplication.RegisterCallBack 0088 TIWCustomControl.DoOnAsyncDoubleClick 00d9 TIWCustomControl.DoOnAsyncChange 012a TIWCustomControl.DoOnAsyncEnter 017b TIWCustomControl.DoOnAsyncExit 01cc TIWCustomControl.DoOnAsyncKeyDown 021d TIWCustomControl.DoOnAsyncKeyUp 026e TIWCustomControl.DoOnAsyncKeyPress 02bf TIWCustomControl.DoOnAsyncMouseDown 0310 TIWCustomControl.DoOnAsyncMouseMove 0361 TIWCustomControl.DoOnAsyncMouseOver 03b2 TIWCustomControl.DoOnAsyncMouseOut 0403 TIWCustomControl.DoOnAsyncMouseUp 0454 TIWCustomControl.DoOnAsyncSelect 04a5 TIWCustomControl.DoOnAsyncLoad 04f6 TIWCustomControl.DoOnAsyncUnLoad 0551 @UStrArrayClr 0557 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 12 02 00 00 00 74 47 53 68 ?? ?? ?? ?? 8D 55 F8 8B C3 8B 08 FF 91 14 01 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 46 04 E8 ?? ?? ?? ?? 8B 45 FC 50 6A 00 6A 01 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 2C 01 00 00 66 83 BB 1A 02 00 00 00 74 47 53 68 ?? ?? ?? ?? 8D 55 F4 8B C3 8B 08 FF 91 14 01 00 00 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 46 04 E8 ?? ?? ?? ?? 8B 45 FC 50 6A 00 6A 01 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 2C 01 00 00 66 83 BB 22 02 00 00 00 74 47 53 68 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 91 14 01 00 00 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 46 04 E8 ?? ?? ?? ?? 8B 45 FC 50 6A 00 6A 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 2C 01 00 00 66 83 BB 2A 02 00 00 00 74 47 53 68 ?? ?? ?? ?? 8D 55 EC 8B C3 8B 08 FF 91 14 01 00 00 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 46 04 E8 ?? ?? ?? ?? 8B 45 FC 50 6A 01 6A 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 2C 01 00 00 66 83 BB 32 02 00 00 00 74 47 53 68 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 08 FF 91 14 01 00 00 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 46 04 E8 ?? ?? ?? ?? 8B 45 FC 50 6A 01 6A 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 2C 01 00 00 66 83 BB 3A 02 00 00 00 74 47 53 68 ?? ?? ?? ?? 8D 55 E4 8B C3 8B 08 FF 91 14 01 00 00 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 46 04 E8 ?? ?? ?? ?? 8B 45 FC 50 6A 00 6A 01 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 2C 01 00 00 66 83 BB 42 02 00 00 00 74 47 53 68 ?? ?? ?? ?? 8D 55 E0 8B C3 8B 08 FF 91 14 01 00 00 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 46 04 E8 ?? ?? ?? ?? 8B 45 FC 50 6A 00 6A 01 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 2C 01 00 00 66 83 BB 4A 02 00 00 00 74 47 53 68 ?? ?? ?? ?? 8D 55 DC 8B C3 8B 08 FF 91 14 01 00 00 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 46 04 E8 ?? ?? ?? ?? 8B 45 FC 50 6A 00 6A 01 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 2C 01 00 00 66 83 BB 52 02 00 00 00 74 47 53 68 ?? ?? ?? ?? 8D 55 D8 8B C3 8B 08 FF 91 14 01 00 00 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 46 04 E8 ?? ?? ?? ?? 8B 45 FC 50 6A 01 6A 01 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 2C 01 00 00 66 83 BB 5A 02 00 00 00 74 47 53 68 ?? ?? ?? ?? 8D 55 D4 8B C3 8B 08 FF 91 14 01 00 00 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 46 04 E8 ?? ?? ?? ?? 8B 45 FC 50 6A 00 6A 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 2C 01 00 00 66 83 BB 62 02 00 00 00 74 47 53 68 ?? ?? ?? ?? 8D 55 D0 8B C3 8B 08 FF 91 14 01 00 00 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B 46 04 E8 ?? ?? ?? ?? 8B 45 FC 50 6A 00 6A 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 2C 01 00 00 66 83 BB 6A 02 00 00 00 74 47 53 68 ?? ?? ?? ?? 8D 55 CC 8B C3 8B 08 FF 91 14 01 00 00 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 46 04 E8 ?? ?? ?? ?? 8B 45 FC 50 6A 00 6A 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 2C 01 00 00 66 83 BB 72 02 00 00 00 74 47 53 68 ?? ?? ?? ?? 8D 55 C8 8B C3 8B 08 FF 91 14 01 00 00 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B 46 04 E8 ?? ?? ?? ?? 8B 45 FC 50 6A 00 6A 01 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 2C 01 00 00 66 83 BB 7A 02 00 00 00 74 47 53 68 ?? ?? ?? ?? 8D 55 C4 8B C3 8B 08 FF 91 14 01 00 00 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B 46 04 E8 ?? ?? ?? ?? 8B 45 FC 50 6A 00 6A 01 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 2C 01 00 00 66 83 BB 82 02 00 00 00 74 47 53 68 ?? ?? ?? ?? 8D 55 C0 8B C3 8B 08 FF 91 14 01 00 00 8D 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8B 46 04 E8 ?? ?? ?? ?? 8B 45 FC 50 6A 00 6A 01 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 2C 01 00 00 66 83 BB 8A 02 00 00 00 74 47 53 68 ?? ?? ?? ?? 8D 55 BC 8B C3 8B 08 FF 91 14 01 00 00 8D 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 46 04 E8 ?? ?? ?? ?? 8B 45 FC 50 6A 00 6A 01 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 2C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 10 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 43 00 6C 00 69 00 63 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 43 00 6C 00 69 00 63 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 6E 00 43 00 6C 00 69 00 63 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 44 00 6F 00 75 00 62 00 6C 00 65 00 43 00 6C 00 69 00 63 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 44 00 6F 00 75 00 62 00 6C 00 65 00 43 00 6C 00 69 00 63 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4F 00 6E 00 44 00 62 00 6C 00 43 00 6C 00 69 00 63 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 43 00 68 00 61 00 6E 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 43 00 68 00 61 00 6E 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4F 00 6E 00 43 00 68 00 61 00 6E 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 45 00 6E 00 74 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 45 00 6E 00 74 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 6E 00 46 00 6F 00 63 00 75 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 45 00 78 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 45 00 78 00 69 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 6E 00 42 00 6C 00 75 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 4B 00 65 00 79 00 44 00 6F 00 77 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 4B 00 65 00 79 00 44 00 6F 00 77 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4F 00 6E 00 4B 00 65 00 79 00 44 00 6F 00 77 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 4B 00 65 00 79 00 55 00 70 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 4B 00 65 00 79 00 55 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 6E 00 4B 00 65 00 79 00 55 00 70 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 4B 00 65 00 79 00 50 00 72 00 65 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 4B 00 65 00 79 00 50 00 72 00 65 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4F 00 6E 00 4B 00 65 00 79 00 50 00 72 00 65 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 4D 00 6F 00 75 00 73 00 65 00 44 00 6F 00 77 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 4D 00 6F 00 75 00 73 00 65 00 44 00 6F 00 77 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4F 00 6E 00 4D 00 6F 00 75 00 73 00 65 00 44 00 6F 00 77 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 4D 00 6F 00 75 00 73 00 65 00 4D 00 6F 00 76 00 65 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 4D 00 6F 00 75 00 73 00 65 00 4D 00 6F 00 76 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4F 00 6E 00 4D 00 6F 00 75 00 73 00 65 00 4D 00 6F 00 76 00 65 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 4D 00 6F 00 75 00 73 00 65 00 4F 00 76 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 4D 00 6F 00 75 00 73 00 65 00 4F 00 76 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4F 00 6E 00 4D 00 6F 00 75 00 73 00 65 00 4F 00 76 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 4D 00 6F 00 75 00 73 00 65 00 4F 00 75 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 4D 00 6F 00 75 00 73 00 65 00 4F 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4F 00 6E 00 4D 00 6F 00 75 00 73 00 65 00 4F 00 75 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 4D 00 6F 00 75 00 73 00 65 00 55 00 70 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 4D 00 6F 00 75 00 73 00 65 00 55 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4F 00 6E 00 4D 00 6F 00 75 00 73 00 65 00 55 00 70 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 53 00 65 00 6C 00 65 00 63 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 53 00 65 00 6C 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4F 00 6E 00 53 00 65 00 6C 00 65 00 63 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 4C 00 6F 00 61 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 4C 00 6F 00 61 00 64 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 6E 00 4C 00 6F 00 61 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 55 00 6E 00 4C 00 6F 00 61 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 55 00 6E 00 4C 00 6F 00 61 00 64 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4F 00 6E 00 55 00 6E 00 4C 00 6F 00 61 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_44079_0 {
	meta:
		name = "TIWCustomControl.HintEvents"
		size = 196
		refs = "000f TIWCustomControl.HintEvents 0048 StringReplace 0057 TIWMarkupLanguageTag.AddStringParam 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 91 00 00 00 00 74 39 83 BB 88 00 00 00 00 74 30 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 23 00 33 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 69 00 74 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_45888_0 {
	meta:
		name = "TIWCustomRegion.HintEvents"
		size = 196
		refs = "000f TIWCustomRegion.HintEvents 0048 StringReplace 0057 TIWMarkupLanguageTag.AddStringParam 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 91 00 00 00 00 74 39 83 BB 88 00 00 00 00 74 30 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 23 00 33 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 69 00 74 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_44081_0 {
	meta:
		name = "TIWCustomControl.set_SkinId"
		size = 80
		refs = "000e @UStrAddRef 0016 TIWCustomControl.set_SkinId 0023 TIWCustomControl.HTMLControlImplementation 002b TIWHTMLControlImplementation.setSkinId 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_44106_0 {
	meta:
		name = "TIWCustomControl.set_Css"
		size = 80
		refs = "000e @UStrAddRef 0016 TIWCustomControl.set_Css 0023 TIWCustomControl.HTMLControlImplementation 002b TIWHTMLControlImplementation.setCss 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_44082_0 {
	meta:
		name = "TIWCustomControl.Invalidate"
		size = 21
		refs = "0006 TControl.Invalidate 000f TIWCustomControl.set_DoRefreshControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_46360_0 {
	meta:
		name = "SkipAndOutput"
		size = 21
		refs = "0006 TCopyParser.CopyTokenToOutput 000f TCopyParser.SkipToken"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79300_0 {
	meta:
		name = "TCustomCategoryPanelGroup.Loaded"
		size = 21
		refs = "0006 TControl.Loaded 000f TScrollingWinControl.SetAutoScroll"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83886_0 {
	meta:
		name = "TCustomRibbonComboBox.CMMouseenter"
		size = 21
		refs = "0006 TControl.CMMouseEnter 000f TCustomRibbonComboBox.SetMouseInControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83486_0 {
	meta:
		name = "TCustomRibbonGroup.CMMouseenter"
		size = 21
		refs = "0006 TControl.CMMouseEnter 000f TCustomRibbonGroup.SetMouseInControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_97890_0 {
	meta:
		name = "TCustomWebAppComponents.InitModules"
		size = 21
		refs = "0006 TMultiModuleWebAppServices.InitModules 000f TCustomWebAppComponents.CheckSessionsStatus"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_44180_0 {
	meta:
		name = "TIWCopyParser.CheckAndSkipToken"
		size = 21
		refs = "0006 TIWCopyParser.CheckToken 000f TIWCopyParser.SkipToken"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_44168_0 {
	meta:
		name = "TIWCustomControl.ColorChanged"
		size = 21
		refs = "0006 TIWBaseHTMLControl.ColorChanged 000f TIWCustomControl.set_DoRefreshControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_44166_0 {
	meta:
		name = "TIWCustomControl.TextChangedNotification"
		size = 21
		refs = "0006 TIWBaseHTMLControl.TextChangedNotification 000f TIWCustomControl.set_DoRefreshControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45911_0 {
	meta:
		name = "TIWCustomRegion.Invalidate"
		size = 21
		refs = "0006 TWinControl.Invalidate 000f TIWHTML40Container.set_DoRefreshControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83852_0 {
	meta:
		name = "TRibbonComboControl.CMMouseenter"
		size = 21
		refs = "0006 TCustomButtonControl.CMMouseEnter 000f TRibbonComboControl.SetMouseInControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83169_0 {
	meta:
		name = "TRibbonGroupCollapsedControl.CMMouseenter"
		size = 21
		refs = "0006 TControl.CMMouseEnter 000f TRibbonGroupCollapsedControl.SetMouseInControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83586_0 {
	meta:
		name = "TRibbonGroupScrollButton.CMMouseenter"
		size = 21
		refs = "0006 TControl.CMMouseEnter 000f TRibbonGroupScrollButton.SetMouseInControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_114951_0 {
	meta:
		name = "TXMLSchemaImport.AfterConstruction"
		size = 21
		refs = "0006 TXMLSchemaItem.AfterConstruction 000f TXMLSchemaDocRef.SetSchemaRefType"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_44085_0 {
	meta:
		name = "TIWCustomControl.RenderAsyncComponent"
		size = 9
	strings:
		$1 = { 8B 08 FF 91 28 01 00 00 C3 }
	condition:
		$1
}

rule function_44088_0 {
	meta:
		name = "TIWCustomControl.RenderAsyncPropertyAsString"
		size = 113
		refs = "0011 @UStrAddRef 0021 TIWCustomControl.RenderAsyncPropertyAsString 0037 TIWCustomControl.HTMLControlImplementation 0041 TIWHTMLControlImplementation.RenderAsyncPropertyAsString 0056 @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 0F B6 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_44089_0 {
	meta:
		name = "TIWCustomControl.RenderAsyncProperty"
		size = 93
		refs = "0011 @UStrAddRef 0019 TIWCustomControl.RenderAsyncProperty 002b TIWCustomControl.HTMLControlImplementation 0035 TIWHTMLControlImplementation.RenderAsyncProperty 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_44090_0 {
	meta:
		name = "TIWCustomControl.RenderAsyncProperty"
		size = 92
		refs = "0011 @UStrAddRef 0019 TIWCustomControl.RenderAsyncProperty 002a TIWCustomControl.HTMLControlImplementation 0034 TIWHTMLControlImplementation.RenderAsyncProperty 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_44091_0 {
	meta:
		name = "TIWCustomControl.RenderAsyncPropertyAsColor"
		size = 92
		refs = "0011 @UStrAddRef 0019 TIWCustomControl.RenderAsyncPropertyAsColor 002a TIWCustomControl.HTMLControlImplementation 0034 TIWHTMLControlImplementation.RenderAsyncProperty 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_44092_0 {
	meta:
		name = "TIWCustomControl.RenderAsyncPropertyAsPixel"
		size = 92
		refs = "0011 @UStrAddRef 0019 TIWCustomControl.RenderAsyncPropertyAsPixel 002a TIWCustomControl.HTMLControlImplementation 0034 TIWHTMLControlImplementation.RenderAsyncPropertyAsPixel 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_44093_0 {
	meta:
		name = "TIWCustomControl.RenderAsyncCommonProperties"
		size = 72
		refs = "0014 TIWCustomControl.get_RenderSize 001f TIWCustomControl.RenderAsyncCommonProperties 002e TIWCustomControl.HTMLControlImplementation 0038 TIWHTMLControlImplementation.RenderAsyncCommonProperties"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0E 0F B7 05 ?? ?? ?? ?? F7 D0 66 23 C6 8B F0 56 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 60 00 00 00 }
	condition:
		$1
}

rule function_44094_0 {
	meta:
		name = "TIWCustomControl.SetName"
		size = 157
		refs = "0011 TIWCustomControl.SetName 003c @UStrLAsg 0052 AnsiCompareText 0068 @UStrAsg 0071 TIWBaseControl.SetName 008b @UStrArrayClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F4 01 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 75 04 B0 01 EB 29 8D 45 FC 8B 93 F4 01 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 08 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0D 8D 83 F4 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_44095_0 {
	meta:
		name = "TIWCustomControl.SetFocus"
		size = 112
		refs = "000c TIWCustomControl.SetFocus 0025 HTML40ControlInterface 0030 SetActiveControl 0038 RSCannotReceiveFocus 0041 _Dn_Exception 0046 Exception.Create 004b @RaiseExcept 0060 @IntfClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB E8 01 00 00 00 74 17 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 38 E8 ?? ?? ?? ?? EB 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_44096_0 {
	meta:
		name = "TIWCustomControl.set_Editable"
		size = 38
		refs = "0009 TIWBaseHTMLControl.get_Editable 0016 TIWBaseHTMLControl.set_Editable 001f TIWCustomControl.set_DoRefreshControl"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 12 8B D3 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44097_0 {
	meta:
		name = "TIWCustomControl.get_DoRefreshControl"
		size = 8
	strings:
		$1 = { 0F B6 80 E1 01 00 00 C3 }
	condition:
		$1
}

rule function_44098_0 {
	meta:
		name = "TIWCustomControl.set_DoRefreshControl"
		size = 7
	strings:
		$1 = { 88 90 E1 01 00 00 C3 }
	condition:
		$1
}

rule function_44099_0 {
	meta:
		name = "TIWCustomControl.get_StyleRenderOptions"
		size = 15
		refs = "0006 TIWCustomControl.HTMLControlImplementation"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 34 5B C3 }
	condition:
		$1
}

rule function_44100_0 {
	meta:
		name = "TIWCustomControl.get_RenderSize"
		size = 16
		refs = "0006 TIWCustomControl.get_StyleRenderOptions"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 40 04 5B C3 }
	condition:
		$1
}

rule function_44101_0 {
	meta:
		name = "TIWCustomControl.set_StyleRenderOptions"
		size = 69
		refs = "0009 TIWCustomControl.HTMLControlImplementation 003e TIWCustomControl.set_RenderSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B 70 34 74 30 8B C3 E8 ?? ?? ?? ?? 8B 40 34 8B D6 8B 08 FF 51 08 8B C3 8B 10 FF 92 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 34 0F B6 50 04 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44102_0 {
	meta:
		name = "TIWCustomControl.set_RenderSize"
		size = 51
		refs = "0009 TIWCustomControl.HTMLControlImplementation 001f TIWCustomControl.get_StyleRenderOptions"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A 58 30 74 1E 8B C6 E8 ?? ?? ?? ?? 88 58 30 8B C6 E8 ?? ?? ?? ?? 88 58 04 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_44105_0 {
	meta:
		name = "TIWCustomControl.set_Clip"
		size = 23
		refs = "0009 TIWCustomControl.HTMLControlImplementation 0010 TIWHTMLControlImplementation.setClip"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95298_0 {
	meta:
		name = "TCustomGridBehavior.SetShowGrid"
		size = 23
		refs = "0009 TCustomGridBehavior.GetInfo 0010 TGridInfo.SetShowGrid"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94723_0 {
	meta:
		name = "TCustomTeePanelExtended.SetBackImageInside"
		size = 23
		refs = "0009 TCustomTeePanelExtended.GetBackImage 0010 TBackImage.SetInside"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94724_0 {
	meta:
		name = "TCustomTeePanelExtended.SetBackImageMode"
		size = 23
		refs = "0009 TCustomTeePanelExtended.GetBackImage 0010 TBackImage.SetMode"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44172_0 {
	meta:
		name = "TIWCustomControl.set_SupportsPartial"
		size = 23
		refs = "0009 TIWCustomControl.HTMLControlImplementation 0010 TIWHTMLControlImplementation.set_SupportsPartial"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44113_0 {
	meta:
		name = "TIWCustomControl.set_WebCursor"
		size = 23
		refs = "0009 TIWCustomControl.HTMLControlImplementation 0010 TIWHTMLControlImplementation.SetCursor"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44107_0 {
	meta:
		name = "TIWCustomControl.get_ZIndex"
		size = 15
		refs = "0006 TIWCustomControl.HTMLControlImplementation"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 38 5B C3 }
	condition:
		$1
}

rule function_44108_0 {
	meta:
		name = "TIWCustomControl.set_ZIndex"
		size = 19
		refs = "0009 TIWCustomControl.HTMLControlImplementation"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 70 38 5E 5B C3 }
	condition:
		$1
}

rule function_44109_0 {
	meta:
		name = "TIWCustomControl.get_ScriptEvents"
		size = 15
		refs = "0006 TIWCustomControl.HTMLControlImplementation"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 4C 5B C3 }
	condition:
		$1
}

rule function_44110_0 {
	meta:
		name = "TIWCustomControl.get_SkinId"
		size = 26
		refs = "0009 TIWCustomControl.HTMLControlImplementation 0013 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 44 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44111_0 {
	meta:
		name = "TIWCustomControl.get_Clip"
		size = 16
		refs = "0006 TIWCustomControl.HTMLControlImplementation"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 40 3C 5B C3 }
	condition:
		$1
}

rule function_44112_0 {
	meta:
		name = "TIWCustomControl.get_Css"
		size = 26
		refs = "0009 TIWCustomControl.HTMLControlImplementation 0013 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 40 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44115_0 {
	meta:
		name = "TIWHTMLControlImplementation.Create"
		size = 95
		refs = "000b @ClassCreate 001c TIWBaseHTMLControlImplementation.Create 0025 _Dn_TIWScriptEvents 002a TIWScriptEvents.Create 0038 _Dn_TIWStyleRenderOptions 003d TIWStyleRenderOptions.Create 004b @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 4C C6 47 50 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 34 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_44116_0 {
	meta:
		name = "TIWHTMLControlImplementation.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TIWBaseHTMLControlImplementation.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 4C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 34 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44117_0 {
	meta:
		name = "TIWHTMLControlImplementation.GetHTMLLeft"
		size = 241
		refs = "0013 _Dn_TFrame 0018 @IsClass 005a GGetWebApplicationThreadVar 0063 TIWApplication.GetBrowser 0079 iif 00c6 _Dn_TScrollingWinControl"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B D8 8B 73 18 8B 7E 38 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B D4 8B 47 38 8B 08 FF 51 60 8B 04 24 03 46 48 8B F0 E9 B0 00 00 00 85 FF 0F 84 A5 00 00 00 80 7E 65 04 75 13 8B D4 8B C7 8B 08 FF 51 60 8B 46 48 2B 04 24 8B F0 EB 64 8B 3D ?? ?? ?? ?? 8B 3F FF D7 E8 ?? ?? ?? ?? 04 FC 2C 02 0F 92 C0 B9 01 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B F8 8B D4 8B 43 18 8B 40 38 8B 08 FF 51 60 0F AF 3C 24 8B 2D ?? ?? ?? ?? 8B 6D 00 FF D5 E8 ?? ?? ?? ?? 04 FB 2C 01 0F 92 C0 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 56 48 2B D0 2B D7 8B F2 8B 7B 18 8B 6F 38 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 80 7F 65 03 74 0E 8B 85 80 02 00 00 03 70 0C EB 03 8B 76 48 8B C6 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_44118_0 {
	meta:
		name = "TIWHTMLControlImplementation.GetHTMLTop"
		size = 248
		refs = "0013 _Dn_TFrame 0018 @IsClass 005c GGetWebApplicationThreadVar 0065 TIWApplication.GetBrowser 007b iif 00d2 _Dn_TScrollingWinControl"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B D8 8B 73 18 8B 7E 38 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B D4 8B 47 38 8B 08 FF 51 60 8B 44 24 04 03 46 4C 8B F0 E9 8C 00 00 00 85 FF 0F 84 81 00 00 00 80 7E 65 02 75 14 8B D4 8B C7 8B 08 FF 51 60 8B 46 4C 2B 44 24 04 8B F0 EB 6A 8B 3D ?? ?? ?? ?? 8B 3F FF D7 E8 ?? ?? ?? ?? 04 FC 2C 02 0F 92 C0 B9 01 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B F8 8B D4 8B 43 18 8B 40 38 8B 08 FF 51 60 0F AF 7C 24 04 8B 2D ?? ?? ?? ?? 8B 6D 00 FF D5 E8 ?? ?? ?? ?? 04 FB 2C 01 0F 92 C0 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 56 4C 2B D0 2B D7 8B F2 EB 03 8B 76 4C 8B 6B 18 8B 7D 38 85 FF 74 20 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 80 7D 65 01 74 09 8B 87 90 02 00 00 03 70 0C 8B C6 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_44119_0 {
	meta:
		name = "TIWHTMLControlImplementation.GetIWCLName"
		size = 108
		refs = "000f TIWHTMLControlImplementation.GetIWCLName 002e @UStrCat3 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 04 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 57 00 43 00 4C 00 00 00 00 00 }
	condition:
		$1
}

rule function_44120_0 {
	meta:
		name = "TIWHTMLControlImplementation.addAsyncTag"
		size = 179
		refs = "0018 @UStrAddRef 0028 TIWHTMLControlImplementation.addAsyncTag 0049 LowerCase 0056 TIWMarkupLanguageTagCollection.AddTag 0068 _Dn_TIWBaseHTMLControl 006d TIWBaseHTMLControl.TextToHTML 007a TIWMarkupLanguageTagCollection.AddText 0094 @UStrArrayClr 009c @UStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 84 DB 74 06 83 7D 0C 00 75 04 84 DB 75 3C 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 47 0C 33 C9 E8 ?? ?? ?? ?? 8B F0 6A 00 8D 45 F4 50 B1 01 8B 55 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 46 0C 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C6 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44121_0 {
	meta:
		name = "TIWHTMLControlImplementation.RenderAsyncPropertyAsString"
		size = 108
		refs = "0011 @UStrAddRef 0021 TIWHTMLControlImplementation.RenderAsyncPropertyAsString 003c TIWHTMLControlImplementation.addAsyncTag 0051 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 0F B6 45 08 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_44122_0 {
	meta:
		name = "TIWHTMLControlImplementation.RenderAsyncProperty"
		size = 176
		refs = "0018 @UStrAddRef 0020 TIWHTMLControlImplementation.RenderAsyncProperty 003d iif 004f TIWHTMLControlImplementation.addAsyncTag 0069 @UStrArrayClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 0F B6 45 08 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 01 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_44123_0 {
	meta:
		name = "TIWHTMLControlImplementation.RenderAsyncProperty"
		size = 113
		refs = "0018 @UStrAddRef 0020 TIWHTMLControlImplementation.RenderAsyncProperty 0031 IntToStr 0043 TIWHTMLControlImplementation.addAsyncTag 005d @UStrArrayClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 08 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 01 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_44124_0 {
	meta:
		name = "TIWHTMLControlImplementation.RenderAsyncPropertyAsColor"
		size = 113
		refs = "0018 @UStrAddRef 0020 TIWHTMLControlImplementation.RenderAsyncPropertyAsColor 0031 ColorToRGBString 0043 TIWHTMLControlImplementation.addAsyncTag 005d @UStrArrayClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 08 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 01 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_44125_0 {
	meta:
		name = "TIWHTMLControlImplementation.RenderAsyncPropertyAsPixel"
		size = 148
		refs = "0018 @UStrAddRef 0020 TIWHTMLControlImplementation.RenderAsyncPropertyAsPixel 0031 IntToStr 003e @UStrCat 0050 TIWHTMLControlImplementation.addAsyncTag 006a @UStrArrayClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 08 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 6A 01 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 70 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_44126_0 {
	meta:
		name = "TIWHTMLControlImplementation.AddAsyncStyle"
		size = 372
		refs = "001f @UStrAddRef 0027 TIWHTMLControlImplementation.AddAsyncStyle 0046 TIWMarkupLanguageTagCollection.AddTag 0053 TIWHTMLControlImplementation.parseCSS 0097 TStrings.GetName 00a6 TIWMarkupLanguageTag.AddStringParam 00c1 TStrings.GetValue 00ce TIWMarkupLanguageTagCollection.AddText 00e7 TObject.Free 00ed @HandleFinally 0109 @UStrArrayClr 0111 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 89 5D F0 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 B8 00 00 00 8B 46 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 14 8B F8 4F 85 FF 7C 5F 47 33 DB 8B 45 F8 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 4D F0 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 4D E8 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8B 46 0C 33 C9 E8 ?? ?? ?? ?? 43 4F 75 A4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 61 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_44127_0 {
	meta:
		name = "TIWHTMLControlImplementation.RenderAsyncCommonProperties"
		size = 1164
		refs = "0024 TIWHTMLControlImplementation.RenderAsyncCommonProperties 0045 TIWHTMLControlImplementation.RenderAsyncPropertyAsString 006c TIWHTMLControlImplementation.RenderAsyncProperty 009d SupportsInterface 00a9 @IntfClear 00bb GetIWInterface 00e4 @UStrClr 0116 iif 012b @UStrCatN 014a TIWHTMLControlImplementation.GetHTMLLeft 0152 IntToStr 0186 TIWHTMLControlImplementation.GetHTMLTop 023a HTML40ControlInterface 02a5 TIWBaseHTMLControlImplementation.getFont 02b3 TIWFont.FontToStringStyle 02be @UStrCat 02ca TIWHTMLControlImplementation.AddAsyncStyle 0304 @UStrArrayClr 031a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 89 55 F4 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 F7 C6 02 00 74 14 8B 43 40 50 6A 01 8B CF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 F7 C6 01 00 74 20 8B 43 34 80 78 09 00 74 17 8B 43 18 8B 10 FF 52 68 50 8B CF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 F7 C6 00 01 74 1A 8B 43 18 8B 80 88 00 00 00 50 6A 01 8B CF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 84 C0 74 27 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 B0 00 00 00 EB 02 33 C0 84 C0 74 09 C7 45 F0 04 00 00 00 EB 05 33 C0 89 45 F0 8D 45 FC E8 ?? ?? ?? ?? 66 F7 C6 04 00 74 40 8B 43 34 80 78 08 00 74 37 FF 75 FC 68 ?? ?? ?? ?? 8D 45 EC 50 8B 43 18 0F B6 40 61 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 66 F7 C6 08 00 74 35 8B 43 34 80 78 05 00 74 2C FF 75 FC 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 66 F7 C6 10 00 74 35 8B 43 34 80 78 05 00 74 2C FF 75 FC 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 66 F7 C6 20 00 74 37 8B 43 34 80 78 04 00 74 2E FF 75 FC 68 ?? ?? ?? ?? 8D 55 E0 8B 43 18 8B 40 54 2B 45 F0 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 66 F7 C6 40 00 74 37 8B 43 34 80 78 04 00 74 2E FF 75 FC 68 ?? ?? ?? ?? 8D 55 DC 8B 43 18 8B 40 50 2B 45 F0 E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 66 F7 C6 80 00 74 64 8B 43 34 80 78 07 00 74 5B 8D 55 D8 8B 43 18 E8 ?? ?? ?? ?? 8B 45 D8 8B 10 FF 92 88 00 00 00 83 C0 64 85 C0 74 3E FF 75 FC 68 ?? ?? ?? ?? 8D 55 D0 8B 43 18 E8 ?? ?? ?? ?? 8B 45 D0 8B 10 FF 92 88 00 00 00 83 C0 64 8D 55 D4 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 66 F7 C6 00 02 74 2D 8B 43 34 80 78 06 00 74 24 8D 45 CC 50 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 0F B6 52 1C 33 C9 E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 43 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 6E 00 61 00 62 00 6C 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 69 00 6E 00 74 00 00 00 00 00 21 DD 52 13 BF EC EE 4A A4 3B 95 6B E7 43 D2 6C B0 04 02 00 FF FF FF FF 0B 00 00 00 76 00 69 00 73 00 69 00 62 00 69 00 6C 00 69 00 74 00 79 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 68 00 69 00 64 00 64 00 65 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 69 00 6E 00 68 00 65 00 72 00 69 00 74 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6C 00 65 00 66 00 74 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 70 00 78 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 6F 00 70 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 77 00 69 00 64 00 74 00 68 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 7A 00 2D 00 69 00 6E 00 64 00 65 00 78 00 3A 00 00 00 00 00 }
	condition:
		$1
}

rule function_44128_0 {
	meta:
		name = "FindParent"
		size = 444
		refs = "0014 FindParent 002d SupportsInterface 003d @UStrAsg 005e BaseHTMLComponentInterface 0078 @UStrCat3 0088 _Dn_TFrame 008d @IsClass 0126 @IntfClear 012e @UStrClr 0144 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 38 85 F6 74 10 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 11 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CF 00 00 00 BA ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 84 C0 74 2A 8D 55 F8 8B 43 38 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC 8B 08 FF 51 30 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 94 00 00 00 8B 73 38 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 71 83 7E 38 00 74 6B BA ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 84 C0 74 4C BA ?? ?? ?? ?? 8B 43 38 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 2A 8D 55 F0 8B 43 38 8B 40 38 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 8B 08 FF 51 30 8B 55 F4 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1D 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0F 8B 56 08 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 00 00 70 93 07 4B B7 D1 13 4D 95 01 AD 0D 15 72 BF 4D B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 57 00 43 00 4C 00 46 00 6F 00 72 00 6D 00 00 00 00 00 38 D5 4C EE DB 27 1D 47 B0 CF 0F 22 BE 42 94 61 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 57 00 43 00 4C 00 00 00 00 00 40 ED A6 62 46 92 E7 48 86 A3 A4 67 52 B0 39 4B }
	condition:
		$1
}

rule function_44129_0 {
	meta:
		name = "TIWHTMLControlImplementation.RenderScripts"
		size = 2168
		refs = "001c TIWHTMLControlImplementation.RenderScripts 002d FindParent 0059 @UStrCatN 0063 TIWPageContext40.AddToJavaScriptOnce 00a4 iif 00be TIWPageContext40.AddToIWCLInitProc 00cb SupportsInterface 00da BaseControlInterface 00f3 _Dn_TIWLayoutMgrForm 00f8 @IsClass 0104 _Dn_TIWTemplateProcessorHTML 011d _Dn_TFrame 01aa @UStrLAsg 0300 _Dn_TIWScriptEvents 0305 TIWScriptEvents.Create 0328 TIWBaseComponentImplementation.SupportsInput 0348 InputControl40Interface 0366 TIWScriptEvents.HookEvent 03a7 HTML40ControlInterface 03bc TIWCompContext.GetHTMLTag 03d6 TIWScriptEvents.RenderEvents 03f0 TObject.Free 03f6 @HandleFinally 0412 @UStrArrayClr 041a @IntfClear"
	strings:
		$1 = { 55 8B EC B9 0C 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F0 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 47 18 E8 ?? ?? ?? ?? 33 DB 8B 45 F0 8B 70 20 68 ?? ?? ?? ?? 8D 55 E0 8B C7 8B 08 FF 51 04 FF 75 E0 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 8D 55 D8 8B C7 8B 08 FF 51 04 FF 75 D8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 D4 8B C7 8B 08 FF 51 04 FF 75 D4 68 ?? ?? ?? ?? 8D 45 D0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 D0 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 47 18 E8 ?? ?? ?? ?? 84 C0 74 13 8D 55 CC 8B 47 18 E8 ?? ?? ?? ?? 8B 45 CC 8B 10 FF 52 28 8B 45 F0 8B 40 0C 8B 58 18 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 15 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 E5 01 00 00 8B 5F 18 8B 43 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 8B 47 18 8B 40 38 0F B6 40 65 88 45 EB 8B 47 18 8B 40 38 0F B6 58 6B EB 11 8B 47 18 0F B6 40 65 88 45 EB 8B 47 18 0F B6 58 6B 80 7D EB 00 75 0F 0F B6 05 ?? ?? ?? ?? 3A C3 0F 84 81 01 00 00 0F B6 45 EB 83 F8 05 77 77 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 49 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 C4 8B C7 8B 08 FF 51 04 FF 75 C4 68 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 BC 8B C7 8B 08 FF 51 04 FF 75 BC 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 B8 8B C7 8B 08 FF 51 04 FF 75 B8 68 ?? ?? ?? ?? 8D 45 B4 50 F6 C3 01 0F 95 C0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 B4 8D 45 B0 50 F6 C3 04 0F 95 C0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 B0 8D 45 AC 50 F6 C3 02 0F 95 C0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 AC 8D 45 A8 50 F6 C3 08 0F 95 C0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 A8 68 ?? ?? ?? ?? 8D 45 C0 BA 0E 00 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 4F 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 57 4C 8B 45 EC 8B 08 FF 51 08 8B C7 E8 ?? ?? ?? ?? 84 C0 74 70 BA ?? ?? ?? ?? 8B 47 18 E8 ?? ?? ?? ?? 84 C0 74 5F 8D 55 A4 8B 47 18 E8 ?? ?? ?? ?? 8B 45 A4 8B 10 FF 52 34 84 C0 74 48 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 55 F4 8B 47 18 E8 ?? ?? ?? ?? 8B 4D EC 8B D6 8B 45 F4 8B 18 FF 53 74 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8D 4D A0 8B 45 F4 8B 18 FF 53 70 8D 4D 9C 8B D6 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AC 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 76 00 61 00 72 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 57 00 43 00 4C 00 20 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 57 00 43 00 4C 00 20 00 3D 00 20 00 4E 00 65 00 77 00 49 00 57 00 43 00 4C 00 28 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 66 00 61 00 6C 00 73 00 65 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 74 00 72 00 75 00 65 00 29 00 3B 00 00 00 00 00 15 33 54 F3 83 E8 48 46 88 64 4F 88 25 38 4D 5E F9 29 D2 54 29 0F E4 47 B2 23 32 A7 00 C3 08 C2 03 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 61 00 6C 00 4E 00 6F 00 6E 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 6C 00 54 00 6F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 61 00 6C 00 42 00 6F 00 74 00 74 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 61 00 6C 00 4C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 61 00 6C 00 52 00 69 00 67 00 68 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 61 00 6C 00 43 00 6C 00 69 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 69 00 66 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 57 00 43 00 4C 00 20 00 21 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 20 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 57 00 43 00 4C 00 2E 00 53 00 65 00 74 00 41 00 6C 00 69 00 67 00 6E 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 49 00 57 00 43 00 4C 00 2E 00 53 00 65 00 74 00 41 00 6E 00 63 00 68 00 6F 00 72 00 73 00 28 00 6E 00 65 00 77 00 20 00 43 00 72 00 65 00 61 00 74 00 65 00 41 00 6E 00 63 00 68 00 6F 00 72 00 73 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 66 00 61 00 6C 00 73 00 65 00 2C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 74 00 72 00 75 00 65 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 29 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 AB BC 25 E0 77 CE 61 4F BE 1E 55 2B AE 55 80 45 B0 04 02 00 FF FF FF FF 1E 00 00 00 4F 00 6E 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 43 00 68 00 61 00 6E 00 67 00 65 00 28 00 65 00 76 00 65 00 6E 00 74 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4F 00 6E 00 43 00 68 00 61 00 6E 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4F 00 6E 00 4B 00 65 00 79 00 50 00 72 00 65 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 6E 00 43 00 6C 00 69 00 63 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4F 00 6E 00 53 00 65 00 6C 00 65 00 63 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_44130_0 {
	meta:
		name = "TIWHTMLControlImplementation.parseCSS"
		size = 948
		refs = "0019 @UStrAddRef 0021 TIWHTMLControlImplementation.parseCSS 0042 StringReplace 004d @UStrLAsg 00f5 _Dn_TStringList 00fa TStringList.Create 0107 TStrings.SetDelimiter 0112 TStrings.SetNameValueSeparator 011c TStrings.SetDelimitedText 0174 Trim 01c0 TStrings.GetName 01f0 @UStrCat 0218 Pos 024e @UniqueStringU 0272 @UStrDelete 02e7 @UStrArrayClr 02fa @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 F0 50 33 C9 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 EC 50 33 C9 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 66 BA 3B 00 8B C6 E8 ?? ?? ?? ?? 66 BA 3A 00 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 DC 50 8D 55 D8 8B C6 8B 08 FF 51 1C 8B 45 D8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C6 8B 08 FF 51 2C 8B C6 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 44 8D 4D D0 8B D3 8B C6 8B 38 FF 57 0C 8B 45 D0 8D 55 D4 E8 ?? ?? ?? ?? 8B 4D D4 8B D3 8B C6 8B 38 FF 57 20 8D 4D CC 8B D3 8B C6 8B 38 FF 57 0C 83 7D CC 00 75 09 8B D3 8B C6 8B 08 FF 51 48 4B 83 FB FF 75 BC 8B C6 8B 10 FF 52 14 8B D8 4B 83 FB 00 0F 8C 19 01 00 00 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 0F 85 A8 00 00 00 8D 4D C8 8B D3 4A 8B C6 8B 38 FF 57 0C 8D 45 C8 50 8D 4D C4 8B D3 8B C6 8B 38 FF 57 0C 8B 55 C4 58 E8 ?? ?? ?? ?? 8B 4D C8 8B D3 4A 8B C6 8B 38 FF 57 20 8B D3 8B C6 8B 08 FF 51 48 E9 B8 00 00 00 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 0F B7 3C 42 66 89 7D F6 8B C7 83 C0 9F 66 83 E8 1A 73 09 66 81 E7 DF FF 66 89 7D F6 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 45 F8 E8 ?? ?? ?? ?? 0F B7 55 F6 66 89 14 78 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8D 45 F8 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 88 0F B6 05 ?? ?? ?? ?? 50 8D 45 C0 50 8D 4D BC 8B D3 8B C6 8B 38 FF 57 0C 8B 45 BC 50 8D 4D B8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 B8 8B 4D F8 58 E8 ?? ?? ?? ?? 8B 4D C0 8B D3 8B C6 8B 38 FF 57 20 4B 83 FB FF 0F 85 E7 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 0F 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 23 00 31 00 33 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 23 00 31 00 30 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 FF 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_44131_0 {
	meta:
		name = "TIWHTMLControlImplementation.RenderCSSClass"
		size = 212
		refs = "0011 TIWHTMLControlImplementation.RenderCSSClass 001e @UStrClr 0030 SupportsInterface 004e @UStrAsg 0069 @UStrCat3 009e @UStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 3B 00 75 61 BA ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? 84 C0 74 37 8B 46 40 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0C 8B C3 8B 56 40 E8 ?? ?? ?? ?? EB 34 8D 55 FC 8B C6 8B 08 FF 51 04 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 19 8D 55 F8 8B C6 8B 08 FF 51 04 8B 55 F8 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 21 DD 52 13 BF EC EE 4A A4 3B 95 6B E7 43 D2 6C B0 04 02 00 FF FF FF FF 03 00 00 00 43 00 53 00 53 00 00 00 }
	condition:
		$1
}

rule function_44132_0 {
	meta:
		name = "TIWHTMLControlImplementation.RenderStyle"
		size = 1964
		refs = "0021 TIWHTMLControlImplementation.RenderStyle 0047 BaseHTMLControlInterface 0065 HTML40ControlInterface 0098 IntToStr 00ad @UStrCatN 00cc iif 00f1 @UStrCat 0102 _DV_TIWCustomControl 0107 @IsClass 0119 @AsClass 011e TIWVCLBaseControl.GetAutoSize 012e _Dn_TIWCustomRegion 014e @IntfCast 0278 TIWApplication.GetBrowser 0282 TIWFont.FontToStringStyle 0461 @UStrArrayClr 0469 @IntfClear 048c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 78 0C 00 74 2A 8B 45 F8 8B 40 0C 83 78 18 00 74 1E 8D 55 F0 8B 46 18 E8 ?? ?? ?? ?? 8B 55 F0 8B CB 8B 45 F8 8B 40 0C 8B 40 18 8B 38 FF 57 64 8D 55 FC 8B 46 18 E8 ?? ?? ?? ?? 8B 45 F8 8B 78 20 83 7D FC 00 0F 84 D2 03 00 00 8D 45 EC 50 8D 45 E8 50 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 88 00 00 00 83 C0 64 8D 55 E0 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 FC 8B 10 FF 92 88 00 00 00 83 C0 64 85 C0 0F 95 C0 33 C9 5A E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 8B 10 FF 92 80 00 00 00 0F B6 40 07 33 C9 5A E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? C6 45 F7 01 C6 45 F6 01 8B 46 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B 46 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 88 45 F7 EB 37 8B 46 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 8D 45 DC 8B 56 18 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 10 FF 92 90 00 00 00 88 45 F6 8B 45 FC 8B 10 FF 52 78 84 C0 74 11 8B 45 FC 8B 10 FF 92 80 00 00 00 80 78 04 00 75 06 80 7D F7 00 74 6A FF 33 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 60 8D 55 D8 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 D4 50 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 64 8D 55 CC E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 33 C9 0F B6 45 F6 E8 ?? ?? ?? ?? FF 75 D4 8B C3 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 50 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 60 8D 55 C0 E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 64 8D 55 BC E8 ?? ?? ?? ?? FF 75 BC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 C4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 C4 50 8B 45 FC 8B 10 FF 92 90 00 00 00 33 C9 5A E8 ?? ?? ?? ?? 8B 55 C8 8B C3 E8 ?? ?? ?? ?? 85 FF 74 50 83 7F 04 00 74 4A 8D 45 B8 50 8D 45 B4 50 8B 45 FC 8B 10 FF 52 54 50 8B 47 04 E8 ?? ?? ?? ?? 8B D0 33 C9 58 E8 ?? ?? ?? ?? 8B 45 B4 50 8B 45 FC 8B 10 FF 92 80 00 00 00 0F B6 40 06 33 C9 5A E8 ?? ?? ?? ?? 8B 55 B8 8B C3 E8 ?? ?? ?? ?? EB 3E 8D 45 B0 50 8D 45 AC 50 8B 45 FC 8B 10 FF 52 54 33 C9 B2 02 E8 ?? ?? ?? ?? 8B 45 AC 50 8B 45 FC 8B 10 FF 92 80 00 00 00 0F B6 40 06 33 C9 5A E8 ?? ?? ?? ?? 8B 55 B0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 A8 00 00 00 84 C0 0F 84 4D 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 A8 00 00 00 83 E0 7F 83 F8 10 0F 87 2A 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CE 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BD 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AC 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9B 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8A 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 60 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 52 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 36 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 7A 00 2D 00 69 00 6E 00 64 00 65 00 78 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 21 DD 52 13 BF EC EE 4A A4 3B 95 6B E7 43 D2 6C B0 04 02 00 FF FF FF FF 07 00 00 00 77 00 69 00 64 00 74 00 68 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 70 00 78 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 63 00 6C 00 69 00 70 00 3A 00 20 00 72 00 65 00 63 00 74 00 28 00 30 00 70 00 78 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 70 00 78 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 30 00 70 00 78 00 29 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 75 00 72 00 73 00 6F 00 72 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 72 00 6F 00 73 00 73 00 68 00 61 00 69 00 72 00 3B 00 20 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 3B 00 20 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 70 00 6F 00 69 00 6E 00 74 00 65 00 72 00 3B 00 20 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6D 00 6F 00 76 00 65 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 65 00 2D 00 72 00 65 00 73 00 69 00 7A 00 65 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 6E 00 65 00 2D 00 72 00 65 00 73 00 69 00 7A 00 65 00 3B 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 6E 00 77 00 2D 00 72 00 65 00 73 00 69 00 7A 00 65 00 3B 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6E 00 2D 00 72 00 65 00 73 00 69 00 7A 00 65 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 73 00 65 00 2D 00 72 00 65 00 73 00 69 00 7A 00 65 00 3B 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 73 00 77 00 2D 00 72 00 65 00 73 00 69 00 7A 00 65 00 3B 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 2D 00 72 00 65 00 73 00 69 00 7A 00 65 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 77 00 2D 00 72 00 65 00 73 00 69 00 7A 00 65 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 74 00 65 00 78 00 74 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 77 00 61 00 69 00 74 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 68 00 65 00 6C 00 70 00 3B 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_44133_0 {
	meta:
		name = "TIWHTMLControlImplementation.WantsSubmitValidation"
		size = 53
		refs = "000e _DV_TIWCustomControl 0013 @IsClass 0024 @AsClass 0029 TIWCustomControl.WantsSubmitValidation"
	strings:
		$1 = { 53 56 57 8B F0 33 DB 8B 7E 18 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_44135_0 {
	meta:
		name = "TIWHTMLControlImplementation.GetRenderSize"
		size = 5
	strings:
		$1 = { 0F B6 40 30 C3 }
	condition:
		$1
}

rule function_44138_0 {
	meta:
		name = "TIWHTMLControlImplementation.getSkinId"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 44 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111420_0 {
	meta:
		name = "TDomAttr.GetNamespaceURI"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 44 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111504_0 {
	meta:
		name = "TDomXPathNamespace.GetExpandedName"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 44 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111505_0 {
	meta:
		name = "TDomXPathNamespace.GetLocalName"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 44 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111512_0 {
	meta:
		name = "TDomXPathNamespace.GetPrefix"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 44 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49451_0 {
	meta:
		name = "TLinkedWebNode.GetMimeBoundary"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 44 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44139_0 {
	meta:
		name = "TIWHTMLControlImplementation.SetScriptEvents"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 4C 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_44140_0 {
	meta:
		name = "TIWHTMLControlImplementation.setSkinId"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 44 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49452_0 {
	meta:
		name = "TLinkedWebNode.SetMimeBoundary"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 44 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44142_0 {
	meta:
		name = "TIWHTMLControlImplementation.setClip"
		size = 4
		altNames = "TXmlCustomParser.SetErrorReportingEnabled"
	strings:
		$1 = { 88 50 3C C3 }
	condition:
		$1
}

rule function_44144_0 {
	meta:
		name = "TDomAttr.GetIsXmlnsDecl"
		size = 5
		altNames = "TIWHTMLControlImplementation.getClip"
	strings:
		$1 = { 0F B6 40 3C C3 }
	condition:
		$1
}

rule function_44148_0 {
	meta:
		name = "TIWHTMLControlImplementation.get_SupportsPartial"
		size = 5
	strings:
		$1 = { 0F B6 40 50 C3 }
	condition:
		$1
}

rule function_44151_0 {
	meta:
		name = "TIWCustomControl.getSubmitProc"
		size = 14
	strings:
		$1 = { 89 42 04 8B 00 8B 80 44 01 00 00 89 02 C3 }
	condition:
		$1
}

rule function_44152_0 {
	meta:
		name = "TIWControl.GetSubmitParam"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 E4 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44153_0 {
	meta:
		name = "TIWControl.SetValue"
		size = 104
		refs = "000f TIWControl.SetValue 001d RequiresUpdateNotification 002c UpdateNotifiedInterface 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 38 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC 8B 43 38 E8 ?? ?? ?? ?? 8B 45 FC 8B CE 8B D3 8B 30 FF 56 0C 8B C3 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_44154_0 {
	meta:
		name = "TIWCustomControl.Submit"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 E4 01 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44155_0 {
	meta:
		name = "TIWCustomControl.get_UseFrame"
		size = 8
	strings:
		$1 = { 0F B6 80 E0 01 00 00 C3 }
	condition:
		$1
}

rule function_44156_0 {
	meta:
		name = "TIWCustomControl.set_UseFrame"
		size = 47
		refs = "0011 TIWCustomControl.get_DoRefreshControl 0022 TIWCustomControl.set_DoRefreshControl"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E E0 01 00 00 75 0F 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? 88 9E E0 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_44157_0 {
	meta:
		name = "TIWCustomControl.GetInputControlNames"
		size = 89
		refs = "000f TIWCustomControl.GetInputControlNames 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 44 8D 55 FC 8B C3 8B 08 FF 91 14 01 00 00 8B 55 FC 8B C6 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_44158_0 {
	meta:
		name = "TIWCustomControl.IsForThisControl"
		size = 120
		refs = "0013 @UStrAddRef 001b TIWCustomControl.IsForThisControl 002c @UStrLAsg 0044 AnsiCompareStr 0065 @UStrArrayClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F4 8B C3 8B 08 FF 91 14 01 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44159_0 {
	meta:
		name = "TIWCustomControl.SetBounds"
		size = 214
		refs = "0011 _Dn_TIWCustomRegion 0016 @IsClass 0028 TIWContainerBorderOptions.GetPixelWidth 0033 TIWVCLBaseControl.DesignMode 00a7 TIWCustomControl.get_DoRefreshControl 00b8 TIWCustomControl.set_DoRefreshControl 00cb TControl.SetBounds"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 43 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8B 43 38 8B 80 D8 02 00 00 E8 ?? ?? ?? ?? 3B F0 7D 1B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 8B 43 38 8B 80 D8 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 43 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8B 43 38 8B 80 D8 02 00 00 E8 ?? ?? ?? ?? 3B F8 7D 1B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 8B 43 38 8B 80 D8 02 00 00 E8 ?? ?? ?? ?? 8B F8 3B 73 48 75 24 3B 7B 4C 75 1F 8B 45 0C 3B 43 50 75 17 8B 45 08 3B 43 54 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_44162_0 {
	meta:
		name = "TIWCustomControl.RenderScripts"
		size = 416
		refs = "0014 TIWCustomControl.RenderScripts 002e TIWCustomControl.HTMLControlImplementation 0035 TIWHTMLControlImplementation.RenderScripts 003c TIWCustomControl.get_UseFrame 0050 _Dn_TIWLayoutMgrForm 0055 @IsClass 0087 @UStrCatN 0091 TIWPageContext40.AddToIWCLInitProc 00ae USE_FRAME_WIDTH 00b5 IntToStr 00fa @UStrArrayClr 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB B1 01 00 00 00 0F 85 B9 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 9C 00 00 00 8B 46 0C 8B 40 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 83 00 00 00 8B 76 20 68 ?? ?? ?? ?? 8D 55 F8 8B C3 8B 08 FF 91 14 01 00 00 FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 91 14 01 00 00 FF 75 F0 68 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 69 00 66 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 57 00 43 00 4C 00 29 00 20 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 49 00 57 00 43 00 4C 00 2E 00 42 00 6F 00 72 00 64 00 65 00 72 00 57 00 69 00 64 00 74 00 68 00 50 00 69 00 78 00 65 00 6C 00 73 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_44165_0 {
	meta:
		name = "TIWCustomControl.HTMLControlImplementation"
		size = 22
		refs = "000b _DV_TIWHTMLControlImplementation 0010 @AsClass"
	strings:
		$1 = { 53 8B D8 8B 83 CC 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_44167_0 {
	meta:
		name = "TIWCustomControl.set_Visible"
		size = 56
		refs = "0017 TIWCustomControl.get_DoRefreshControl 0028 TIWCustomControl.set_DoRefreshControl 0031 TIWBaseHTMLControl.set_Visible"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 92 E4 00 00 00 3A D8 75 0F 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44169_0 {
	meta:
		name = "TIWCustomControl.get_SubmitOnAsyncEvent"
		size = 8
	strings:
		$1 = { 0F B6 80 E9 01 00 00 C3 }
	condition:
		$1
}

rule function_44171_0 {
	meta:
		name = "TIWCustomControl.set_SubmitOnAsyncEvent"
		size = 23
	strings:
		$1 = { 3A 90 E9 01 00 00 74 0E 88 90 E9 01 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_44174_0 {
	meta:
		name = "TIWCustomControl.get_HTMLWidth"
		size = 71
		refs = "0007 TIWBaseHTMLControl.get_HTMLWidth 000e GGetWebApplicationThreadVar 002b TIWApplication.GetBrowser 0038 USE_FRAME_WIDTH"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 83 38 00 74 2B 80 BB E0 01 00 00 00 74 22 8B 1D ?? ?? ?? ?? 8B 1B FF D3 E8 ?? ?? ?? ?? 2C 03 74 04 2C 05 75 0B A1 ?? ?? ?? ?? 8B 00 03 C0 2B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_44175_0 {
	meta:
		name = "TIWCustomControl.get_HTMLHeight"
		size = 71
		refs = "0007 TIWBaseHTMLControl.get_HTMLHeight 000e GGetWebApplicationThreadVar 002b TIWApplication.GetBrowser 0038 USE_FRAME_WIDTH"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 83 38 00 74 2B 80 BB E0 01 00 00 00 74 22 8B 1D ?? ?? ?? ?? 8B 1B FF D3 E8 ?? ?? ?? ?? 2C 03 74 04 2C 05 75 0B A1 ?? ?? ?? ?? 8B 00 03 C0 2B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_44178_0 {
	meta:
		name = "TIWCopyParser.Create"
		size = 144
		refs = "000d @ClassCreate 0024 @GetMem 006f TIWCopyParser.SkipToken 007a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 8B 45 08 89 46 08 B8 00 10 00 00 E8 ?? ?? ?? ?? 89 46 10 B8 FF 0F 00 00 8B 56 10 C6 04 02 00 48 83 F8 FF 75 F3 8B 46 10 C6 00 00 89 46 14 8B 46 10 05 00 10 00 00 89 46 18 8B 46 10 89 46 1C 8B 46 10 89 46 20 8B 46 10 89 46 24 C7 46 2C 01 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_44179_0 {
	meta:
		name = "TIWCopyParser.Destroy"
		size = 59
		refs = "0004 @BeforeDestruction 0028 @FreeMem 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 10 00 74 1A 8B 56 24 2B 56 14 8B 46 04 66 B9 01 00 8B 38 FF 57 14 8B 46 10 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_44181_0 {
	meta:
		name = "TIWCopyParser.CheckToken"
		size = 203
		refs = "0015 TIWCopyParser.CheckToken 0039 SIdentifierExpected 003e LoadResString 0048 TIWCopyParser.Error 0052 SStringExpected 006b SNumberExpected 0086 SCharExpected 009f TIWCopyParser.ErrorFmt 00b9 @UStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 5E 31 74 7F 8B C3 FE C8 74 0B FE C8 74 20 48 2C 02 72 34 EB 4B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 55 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 3C 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? EB 23 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 88 5D E8 C6 45 EC 02 8D 4D E8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44183_0 {
	meta:
		name = "TIWCopyParser.CopySkipTo"
		size = 183
		refs = "0019 TIWCopyParser.CopySkipTo 0027 @LStrClr 0054 TStream.WriteBuffer 0067 @LStrFromPCharLen 0072 @LStrCat 0080 TIWCopyParser.ReadBuffer 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 88 4D FB 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B 5F 24 EB 02 43 4E 85 F6 7E 05 80 3B 00 75 F5 80 7D FB 00 74 17 83 7F 08 00 74 11 8B 47 24 8B CB 2B C8 50 8B 47 08 5A E8 ?? ?? ?? ?? 6A 00 8B 47 24 8B CB 2B C8 50 8D 45 FC 5A E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 85 F6 7E 07 8B C7 E8 ?? ?? ?? ?? 85 F6 74 06 80 7F 31 00 75 9D 89 5F 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_44184_0 {
	meta:
		name = "TIWCopyParser.CopySkipToEOL"
		size = 82
		refs = "002a @LStrFromPCharLen 0043 TIWCopyParser.UpdateOutStream 004a TIWCopyParser.NextToken"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 8B 5E 24 EB 01 43 0F B6 03 84 C0 74 08 2C 0A 74 04 2C 03 75 F0 6A 00 8B D1 8B CB 8B 46 24 2B C8 92 E8 ?? ?? ?? ?? 80 3B 0D 75 01 43 89 5E 1C 80 3C 24 00 74 0A 8B 56 24 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_44185_0 {
	meta:
		name = "TIWCopyParser.CopySkipToEOF"
		size = 156
		refs = "0018 TIWCopyParser.CopySkipToEOF 003d @LStrFromPCharLen 0047 @LStrCat 0057 TIWCopyParser.UpdateOutStream 005e TIWCopyParser.NextToken 0069 TIWCopyParser.SkipToken 008a @LStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B F1 88 55 FB 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 24 EB 01 40 80 38 00 75 FA 89 43 1C 6A 00 8B C8 8B 53 24 2B CA 8D 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 80 7D FB 00 74 13 8B 53 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 1C 89 43 24 80 7B 31 00 75 A9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_44186_0 {
	meta:
		name = "InternalSkipBlanks"
		size = 175
		refs = "003b @LStrFromPCharLen 004c @LStrCat 0068 TIWCopyParser.UpdateOutStream 006f TIWCopyParser.ReadBuffer"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 83 C3 F8 8B 03 8B 70 1C 0F B6 06 2C 01 72 0C 2C 09 74 69 04 E9 2C DF 72 72 EB 66 6A 00 8B CE 8B 45 08 2B 48 F4 8B 45 08 8B 50 F4 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 55 08 8B 52 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 45 08 80 78 F3 00 74 0D 8B 45 08 8B 50 F4 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 03 8B 78 1C 80 3F 00 74 2D 8B 45 08 89 78 F4 EB 87 8B 03 FF 40 2C 8B 03 FF 40 1C E9 78 FF FF FF 8B 45 08 80 78 F3 00 74 0D 8B 45 08 8B 50 F4 8B 03 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_44187_0 {
	meta:
		name = "TIWCopyParser.CopySkipToToken"
		size = 346
		refs = "001e TIWCopyParser.CopySkipToToken 0036 @LStrClr 0049 InternalSkipBlanks 0066 @LStrFromPCharLen 0071 @LStrCat 0085 TIWCopyParser.SkipToNextToken 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 88 4D F3 88 55 F2 89 45 F8 8D 75 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F1 00 33 DB C6 45 F0 00 8B 45 08 E8 ?? ?? ?? ?? E9 E3 00 00 00 8B 06 8B 40 1C 89 45 F4 55 E8 ?? ?? ?? ?? 59 8B 06 8B 78 1C 3B 7D F4 74 20 6A 00 8B CF 2B 4D F4 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 6A 01 0F B6 4D F3 0F B6 55 F3 8B 06 E8 ?? ?? ?? ?? 8B 06 80 78 31 22 75 14 84 DB 75 06 80 7D F1 00 74 04 33 C0 EB 02 B0 01 8B D8 EB 1B 8B 06 80 78 31 27 75 13 80 7D F1 00 75 04 84 DB 74 04 33 C0 EB 02 B0 01 88 45 F1 8B 06 0F B6 40 31 3A 45 F2 75 21 8B 06 80 78 31 22 75 06 80 7D F1 00 74 17 8B 06 80 78 31 27 75 04 84 DB 74 0B 8B C3 0A 45 F1 74 04 33 C0 EB 02 B0 01 88 45 F0 80 7D F0 00 75 27 6A 00 8B 06 8B 48 1C 8B 06 2B 48 24 8B 06 8B 50 24 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 80 7D F0 00 75 0C 8B 06 80 78 31 00 0F 85 0B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_44188_0 {
	meta:
		name = "TIWCopyParser.CopyTo"
		size = 25
		refs = "0011 TIWCopyParser.CopySkipTo"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95635_0 {
	meta:
		name = "TCopyParser.CopyTo"
		size = 25
		refs = "0011 TCopyParser.CopySkipTo"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48846_0 {
	meta:
		name = "TInvokableClassRegistry.GetRequestHeaderInfoForInterface"
		size = 25
		refs = "0011 TInvokableClassRegistry.GetHeaderInfoForInterface"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66130_0 {
	meta:
		name = "TPath.Combine"
		size = 25
		refs = "0011 TPath.DoCombine"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_44189_0 {
	meta:
		name = "TIWCopyParser.CopyToToken"
		size = 25
		refs = "0011 TIWCopyParser.CopySkipToToken"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 57 B1 01 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95636_0 {
	meta:
		name = "TCopyParser.CopyToToken"
		size = 25
		refs = "0011 TCopyParser.CopySkipToToken"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 57 B1 01 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_44192_0 {
	meta:
		name = "TIWCopyParser.CopyTokenToOutput"
		size = 9
		refs = "0004 TIWCopyParser.UpdateOutStream"
	strings:
		$1 = { 8B 50 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44195_0 {
	meta:
		name = "TIWCopyParser.ErrorStr"
		size = 64
		refs = "0001 TIWCopyParser.ErrorStr 0008 _Dn_EParserError 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 61 00 72 00 73 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_44196_0 {
	meta:
		name = "TIWCopyParser.NextToken"
		size = 12
		refs = "0007 TIWCopyParser.SkipToNextToken"
	strings:
		$1 = { 6A 01 B1 01 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44198_0 {
	meta:
		name = "TIWCopyParser.SkipToToken"
		size = 25
		refs = "0011 TIWCopyParser.CopySkipToToken"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 57 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95645_0 {
	meta:
		name = "TCopyParser.SkipToToken"
		size = 25
		refs = "0011 TCopyParser.CopySkipToToken"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 57 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_44201_0 {
	meta:
		name = "TIWCopyParser.SkipToNextToken"
		size = 147
		refs = "0014 TIWCopyParser.SkipBlanks 0083 TIWCopyParser.UpdateOutStream"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B F0 80 7D 08 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B 46 1C 89 46 24 0F B6 10 8B CA 80 E9 0A 74 3D 80 C1 C9 80 E9 1A 72 0D 80 E9 04 74 08 80 C1 FE 80 E9 1A 73 30 40 EB 01 40 0F B6 10 80 C2 D0 80 EA 0A 72 F4 80 C2 F9 80 EA 1A 72 EC 80 EA 04 74 E7 80 C2 FE 80 EA 1A 72 DF B3 01 EB 0F 40 FF 46 2C B3 05 EB 07 8B DA 84 DB 74 01 40 8B 56 1C 89 46 1C 80 7D FF 00 74 07 8B C6 E8 ?? ?? ?? ?? 88 5E 31 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_44202_0 {
	meta:
		name = "TIWCopyParser.SkipToken"
		size = 10
		refs = "0005 TIWCopyParser.SkipToNextToken"
	strings:
		$1 = { 6A 01 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44203_0 {
	meta:
		name = "TIWCopyParser.ReadBuffer"
		size = 203
		refs = "000e TIWCopyParser.ReadBuffer 003c Move 0074 LineStart 0086 SLineTooLong 008b LoadResString 0095 TIWCopyParser.Error 00b9 @UStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 1C 2B 43 10 01 43 0C 8B 43 20 0F B6 53 30 88 10 8B 73 14 8B 43 1C 2B F0 85 F6 74 0A 8B 53 10 8B CE E8 ?? ?? ?? ?? 03 73 10 89 73 14 8B 43 18 2B 43 14 8B C8 8B 53 14 8B 43 04 8B 30 FF 56 0C 01 43 14 8B 43 10 89 43 1C 8B 73 14 89 73 20 3B 73 18 75 2C 8B D6 4A 8B 43 10 E8 ?? ?? ?? ?? 8B F8 89 7B 20 3B 7B 10 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 43 20 0F B6 00 88 43 30 8B 43 20 C6 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_44204_0 {
	meta:
		name = "TIWCopyParser.SkipBlanks"
		size = 91
		refs = "002a TIWCopyParser.UpdateOutStream 0031 TIWCopyParser.ReadBuffer"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 8B 75 1C 8B 45 1C 0F B6 00 2C 01 72 0C 2C 09 74 28 04 E9 2C DF 72 2A EB 23 84 DB 74 09 8B D6 8B C5 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 8B 7D 1C 80 3F 00 74 19 8B F7 EB CA FF 45 2C FF 45 1C EB C2 84 DB 74 09 8B D6 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_44205_0 {
	meta:
		name = "TIWCopyParser.SourcePos"
		size = 12
	strings:
		$1 = { 8B 50 24 2B 50 10 03 50 0C 8B C2 C3 }
	condition:
		$1
}

rule function_44206_0 {
	meta:
		name = "TIWCopyParser.SkipEOL"
		size = 50
		refs = "0027 TIWCopyParser.NextToken"
	strings:
		$1 = { 80 78 31 05 75 2B EB 03 FF 40 24 8B 50 24 0F B6 12 80 EA 0A 74 F2 80 EA 03 74 ED 8B 50 24 89 50 1C 80 3A 00 74 07 E8 ?? ?? ?? ?? EB 04 C6 40 31 00 C3 }
	condition:
		$1
}

rule function_44209_0 {
	meta:
		name = "TIWCopyParser.TokenString"
		size = 32
		refs = "001b @LStrFromPCharLen"
	strings:
		$1 = { 80 78 31 02 75 08 8B 48 28 2B 48 24 EB 06 8B 48 1C 2B 48 24 6A 00 8B 40 24 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44210_0 {
	meta:
		name = "TIWCopyParser.TokenSymbolIs"
		size = 128
		refs = "000f TIWCopyParser.TokenSymbolIs 0022 @LStrToPChar 002e TIWCopyParser.TokenString 004a CompareStringA 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 31 01 75 39 8B C6 E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 6A FF 53 6A FF 56 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 85 C0 0F 94 C0 EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_44211_0 {
	meta:
		name = "TIWCopyParser.TokenComponentIdent"
		size = 161
		refs = "0010 TIWCopyParser.TokenComponentIdent 001f TIWCopyParser.CheckToken 0040 SIdentifierExpected 0045 LoadResString 004f TIWCopyParser.Error 007a TIWCopyParser.TokenString 008f @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 5E 1C EB 45 43 0F B6 03 04 BF 2C 1A 72 21 2C 04 74 1D 04 FE 2C 1A 72 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 43 0F B6 03 04 D0 2C 0A 72 F6 04 F9 2C 1A 72 F0 2C 04 74 EC 04 FE 2C 1A 72 E6 80 3B 2E 74 B6 89 5E 1C 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_44212_0 {
	meta:
		name = "TIWCopyParser.UpdateOutStream"
		size = 32
		refs = "0019 TStream.WriteBuffer"
	strings:
		$1 = { 53 56 8B 48 08 85 C9 74 14 8B DA 8B 70 1C 2B F2 8B D6 8B C1 87 DA 8B CB E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44215_0 {
	meta:
		name = "MakeUniqueDBName"
		size = 152
		refs = "0015 @UStrAddRef 001d MakeUniqueDBName 0036 @UStrLAsg 003b GetCurrentThreadId 0047 IntToStr 0055 @UStrCat3 006a @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 52 50 8D 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 44 00 42 00 00 00 00 00 }
	condition:
		$1
}

rule function_44216_0 {
	meta:
		name = "TIWDataModulePool.Create"
		size = 147
		refs = "000e @ClassCreate 0024 TComponent.Create 0032 _DV_TObjectPool 0037 TObjectPool.Create 005d TIWDataModulePool._OnCreateObject 0070 TIWDataModulePool._OnDestroyObject 007e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 38 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 3C 8B 45 FC 8B 40 3C C7 40 18 14 00 00 00 8B 45 FC 8B 40 3C 8B 55 FC 89 50 24 C7 40 20 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 8B 55 FC 89 50 2C C7 40 28 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_44217_0 {
	meta:
		name = "TIWDataModulePool.CurrentThreadsInUse"
		size = 28
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 3C 8B 40 30 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_44218_0 {
	meta:
		name = "TIWDataModulePool.Destroy"
		size = 82
		refs = "0007 @BeforeDestruction 0015 TIWDataModulePool.GetActive 0023 TIWDataModulePool.SetActive 002e TObject.Free 003c TComponent.Destroy 004a @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44219_0 {
	meta:
		name = "TIWDataModulePool.ErrorIfActive"
		size = 196
		refs = "001d TIWDataModulePool.ErrorIfActive 0024 _Dn_EComponentError 0029 Exception.Create 002e @RaiseExcept"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC F6 40 1C 10 75 22 8B 45 FC 8B 40 3C 80 78 10 00 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 3F 00 00 00 59 00 6F 00 75 00 20 00 63 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 70 00 65 00 72 00 66 00 6F 00 72 00 6D 00 20 00 74 00 68 00 69 00 73 00 20 00 6F 00 70 00 65 00 72 00 61 00 74 00 69 00 6F 00 6E 00 20 00 6F 00 6E 00 20 00 61 00 6E 00 20 00 61 00 63 00 74 00 69 00 76 00 65 00 20 00 54 00 41 00 72 00 63 00 44 00 4D 00 53 00 65 00 72 00 76 00 65 00 72 00 50 00 6F 00 6F 00 6C 00 00 00 }
	condition:
		$1
}

rule function_44220_0 {
	meta:
		name = "TIWDataModulePool.ErrorIfNotActive"
		size = 188
		refs = "0014 TIWDataModulePool.ErrorIfNotActive 001b _Dn_EComponentError 0020 Exception.Create 0025 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 3C 80 78 10 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5D C3 B0 04 02 00 FF FF FF FF 41 00 00 00 59 00 6F 00 75 00 20 00 63 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 70 00 65 00 72 00 66 00 6F 00 72 00 6D 00 20 00 74 00 68 00 69 00 73 00 20 00 6F 00 70 00 65 00 72 00 61 00 74 00 69 00 6F 00 6E 00 20 00 6F 00 6E 00 20 00 61 00 6E 00 20 00 69 00 6E 00 61 00 63 00 74 00 69 00 76 00 65 00 20 00 54 00 41 00 72 00 63 00 44 00 4D 00 53 00 65 00 72 00 76 00 65 00 72 00 50 00 6F 00 6F 00 6C 00 00 00 }
	condition:
		$1
}

rule function_44221_0 {
	meta:
		name = "TIWDataModulePool.GetActive"
		size = 28
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 3C 8A 40 10 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_44222_0 {
	meta:
		name = "TIWDataModulePool.GetPoolCount"
		size = 28
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 3C 8B 40 18 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_44223_0 {
	meta:
		name = "TIWDataModulePool.getVersion"
		size = 56
		refs = "0010 TIWDataModulePool.getVersion 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 32 00 2E 00 30 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_44224_0 {
	meta:
		name = "TIWDataModulePool.Loaded"
		size = 47
		refs = "000b TComponent.Loaded"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 38 00 74 14 B2 01 8B 45 FC 8B 40 3C 8B 08 FF 51 04 8B 45 FC C6 40 38 00 59 5D C3 }
	condition:
		$1
}

rule function_44225_0 {
	meta:
		name = "TIWDataModulePool.Lock"
		size = 38
		refs = "000d TIWDataModulePool.ErrorIfNotActive"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 8B 10 FF 52 0C 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_44226_0 {
	meta:
		name = "TIWDataModulePool.SetActive"
		size = 80
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 8B 40 3C 8A 40 10 3A 45 FB 74 32 8B 45 FC F6 40 1C 01 74 09 8B 45 FC C6 40 38 01 EB 20 80 7D FB 00 74 0F B2 01 8B 45 FC 8B 40 3C 8B 08 FF 51 04 EB 0B 8B 45 FC 8B 40 3C 8B 10 FF 52 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44227_0 {
	meta:
		name = "TIWDataModulePool.SetPoolCount"
		size = 36
		refs = "0010 TIWDataModulePool.ErrorIfActive"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 8B 55 F8 89 50 18 59 59 5D C3 }
	condition:
		$1
}

rule function_44228_0 {
	meta:
		name = "TIWCustomGrid.Freeing"
		size = 16
		altNames = "TIWCustomGrid.set_LayoutMgr TIWDataModuleCreator.FormCreated TIWDataModulePool.SetVersion TIWDeployCreator.FormCreated TIWFrameCreator.FormCreated TIWProjectCreator.NewProjectResource TIWServerControllerCreator.FormCreated TIWUnitCreator.FormCreated TIWUserSessionCreator.FormCreated"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_44229_0 {
	meta:
		name = "TIWDataModulePool.Unlock"
		size = 47
		refs = "0010 TIWDataModulePool.ErrorIfNotActive"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 12 8B 45 FC 8B 40 3C 8B 08 FF 51 10 8B 45 F8 33 D2 89 10 59 59 5D C3 }
	condition:
		$1
}

rule function_44230_0 {
	meta:
		name = "TIWDataModulePool._OnCreateObject"
		size = 56
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D F8 89 55 F0 89 45 FC 33 C0 89 45 F4 8B 45 FC 66 83 78 42 00 74 0C 8D 55 F4 8B 5D FC 8B 43 44 FF 53 40 8B 45 F8 8B 55 F4 89 10 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44231_0 {
	meta:
		name = "TIWDataModulePool._OnDestroyObject"
		size = 58
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D F8 89 55 F0 89 45 FC 8B 45 F8 8B 00 89 45 F4 8B 45 FC 66 83 78 4A 00 74 0C 8D 55 F4 8B 5D FC 8B 43 4C FF 53 48 8B 45 F8 33 D2 89 10 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44232_0 {
	meta:
		name = "TObjectPool.Acquire"
		size = 560
		refs = "0026 TObjectPool.Acquire 002d _Dn_EAbort 0032 Exception.Create 0037 @RaiseExcept 0042 TCriticalSection.Enter 005e @IntOver 0069 TBits.OpenBit 0085 TList.Get 0098 TBits.SetBit 00c9 _Dn_Exception 00da @TryFinallyExit 00fb TBits.SetSize 0118 TList.Add 014d TCriticalSection.Leave 0153 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 45 FC 33 C0 89 45 F8 8B 45 FC 80 78 10 00 75 23 8B 45 FC 80 78 34 00 0F 84 34 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 40 30 01 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 40 18 3B 45 F4 7E 26 8B 45 FC 8B 40 08 8B 55 F4 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 40 0C B1 01 8B 55 F4 E8 ?? ?? ?? ?? E9 98 00 00 00 8B 45 FC 80 78 11 00 74 0E 8B 45 FC 8B 40 18 8B 55 FC 3B 42 14 7E 28 8B 45 FC 80 78 34 00 74 18 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 E8 ?? ?? ?? ?? EB 79 8B 45 FC 83 40 18 01 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 18 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8D 4D F8 8B 5D FC 8B 55 FC 8B 43 24 FF 53 20 8B 45 FC 8B 40 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 18 83 EA 01 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C B1 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 43 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 61 00 63 00 71 00 75 00 69 00 72 00 65 00 20 00 61 00 6E 00 20 00 6F 00 62 00 6A 00 65 00 63 00 74 00 20 00 62 00 65 00 66 00 6F 00 72 00 65 00 20 00 63 00 61 00 6C 00 6C 00 69 00 6E 00 67 00 20 00 53 00 74 00 61 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 2A 00 00 00 54 00 68 00 65 00 72 00 65 00 20 00 61 00 72 00 65 00 20 00 6E 00 6F 00 20 00 61 00 76 00 61 00 69 00 6C 00 61 00 62 00 6C 00 65 00 20 00 6F 00 62 00 6A 00 65 00 63 00 74 00 73 00 20 00 69 00 6E 00 20 00 74 00 68 00 65 00 20 00 70 00 6F 00 6F 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_44233_0 {
	meta:
		name = "TObjectPool.Create"
		size = 172
		refs = "000e @ClassCreate 001b _Dn_TCriticalSection 0020 TCriticalSection.Create 002d _Dn_TList 0032 TObject.Create 003f _Dn_TBits 0097 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 8B 45 FC C6 40 10 00 8B 45 FC C6 40 11 00 8B 45 FC C7 40 14 14 00 00 00 8B 45 FC C7 40 18 14 00 00 00 8B 45 FC C6 40 34 01 8B 45 FC 33 D2 89 50 20 89 50 24 8B 45 FC 33 D2 89 50 28 89 50 2C 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_44234_0 {
	meta:
		name = "TObjectPool.Destroy"
		size = 99
		refs = "0007 @BeforeDestruction 0029 TObject.Free 004d TObject.Destroy 005b @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 80 78 10 00 74 08 8B 45 FC 8B 10 FF 52 08 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44235_0 {
	meta:
		name = "TObjectPool.Release"
		size = 468
		refs = "0023 TObjectPool.Release 002a _Dn_Exception 002f Exception.Create 0034 @RaiseExcept 0068 TCriticalSection.Enter 0084 TList.IndexOf 00b3 @TryFinallyExit 00c5 TBits.SetBit 00d3 @IntOver 00eb TCriticalSection.Leave 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 80 78 10 00 75 23 8B 45 FC 80 78 34 00 0F 84 D5 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 75 23 8B 45 FC 80 78 34 00 0F 84 AC 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B 55 F8 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 7D 28 8B 45 FC 80 78 34 00 74 18 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 E8 ?? ?? ?? ?? EB 3E 8B 45 FC 8B 40 0C 33 C9 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 83 68 30 01 71 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 43 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 72 00 65 00 6C 00 65 00 61 00 73 00 65 00 20 00 61 00 6E 00 20 00 6F 00 62 00 6A 00 65 00 63 00 74 00 20 00 62 00 65 00 66 00 6F 00 72 00 65 00 20 00 63 00 61 00 6C 00 6C 00 69 00 6E 00 67 00 20 00 53 00 74 00 61 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 43 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 72 00 65 00 6C 00 65 00 61 00 73 00 65 00 20 00 61 00 6E 00 20 00 6F 00 62 00 6A 00 65 00 63 00 74 00 20 00 74 00 68 00 61 00 74 00 20 00 69 00 73 00 20 00 6E 00 6F 00 74 00 20 00 69 00 6E 00 20 00 74 00 68 00 65 00 20 00 70 00 6F 00 6F 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_44236_0 {
	meta:
		name = "TObjectPool.Start"
		size = 468
		refs = "0018 TObjectPool.Start 001f _Dn_Exception 0024 Exception.Create 0029 @RaiseExcept 005a TBits.SetSize 006a @IntOver 009b TList.Add 00ab TBits.SetBit"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 88 55 FB 89 45 FC 8B 45 FC 66 83 78 22 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 78 2A 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 18 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 45 40 89 45 EC C7 45 F4 00 00 00 00 33 C0 89 45 F0 8D 4D F0 8B 5D FC 8B 55 FC 8B 43 24 FF 53 20 8B 55 F0 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 C9 8B 55 F4 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? FF 45 F4 FF 4D EC 75 C6 8B 45 FC C6 40 10 01 8A 45 FB 8B 55 FC 88 42 34 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 3A 00 00 00 54 00 68 00 65 00 72 00 65 00 20 00 6D 00 75 00 73 00 74 00 20 00 62 00 65 00 20 00 61 00 6E 00 20 00 4F 00 6E 00 43 00 72 00 65 00 61 00 74 00 65 00 4F 00 62 00 6A 00 65 00 63 00 74 00 20 00 65 00 76 00 65 00 6E 00 74 00 20 00 62 00 65 00 66 00 6F 00 72 00 65 00 20 00 63 00 61 00 6C 00 6C 00 69 00 6E 00 67 00 20 00 53 00 74 00 61 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3B 00 00 00 54 00 68 00 65 00 72 00 65 00 20 00 6D 00 75 00 73 00 74 00 20 00 62 00 65 00 20 00 61 00 6E 00 20 00 4F 00 6E 00 44 00 65 00 73 00 74 00 72 00 6F 00 79 00 4F 00 62 00 6A 00 65 00 63 00 74 00 20 00 65 00 76 00 65 00 6E 00 74 00 20 00 62 00 65 00 66 00 6F 00 72 00 65 00 20 00 63 00 61 00 6C 00 6C 00 69 00 6E 00 67 00 20 00 53 00 74 00 61 00 72 00 74 00 00 00 }
	condition:
		$1
}

rule function_44237_0 {
	meta:
		name = "TObjectPool.Stop"
		size = 300
		refs = "0018 TCriticalSection.Enter 0020 TObjectPool.Stop 003b @TryFinallyExit 0055 TCriticalSection.Leave 005b @HandleFinally 0067 Sleep 0099 @IntOver 00b6 TList.Get 00dc TObject.Free 00fc TBits.SetSize"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 45 FC C7 45 F8 01 00 00 00 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 10 00 8B 45 FC 83 78 30 00 75 07 E8 ?? ?? ?? ?? EB 33 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 68 FA 00 00 00 E8 ?? ?? ?? ?? FF 45 F8 83 7D F8 29 75 9D 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 18 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 47 40 89 45 F0 C7 45 F8 00 00 00 00 8B 45 FC 8B 40 08 8B 55 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 66 83 78 2A 00 74 11 8D 4D F4 8B 5D FC 8B 55 FC 8B 43 2C FF 53 28 EB 08 8B 45 F4 E8 ?? ?? ?? ?? FF 45 F8 FF 4D F0 75 C4 8B 45 FC 8B 40 08 8B 10 FF 52 08 8B 45 FC 8B 40 0C 33 D2 E8 ?? ?? ?? ?? 8B 45 FC C6 40 34 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44240_0 {
	meta:
		name = "InEditMode"
		size = 35
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8A 80 A5 00 00 00 04 FE 2C 02 0F 92 C0 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_44241_0 {
	meta:
		name = "GetFieldText"
		size = 84
		refs = "002f TField.GetEditText"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 00 FF 90 28 01 00 00 84 C0 74 2A 8B 45 FC 66 83 B8 DA 00 00 00 00 74 0D 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 1B 8B 55 F8 8B 45 FC 8B 08 FF 91 80 00 00 00 EB 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44242_0 {
	meta:
		name = "SetFieldText"
		size = 67
		refs = "0010 @UStrAddRef 0018 SetFieldText 0033 @UStrClr 0039 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_45160_0 {
	meta:
		name = "TIWCustomGrid.SetActiveControl"
		size = 67
		refs = "0010 @IntfAddRef 0018 TIWCustomGrid.SetActiveControl 0033 @IntfClear 0039 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_44243_0 {
	meta:
		name = "CheckDataSource"
		size = 49
		refs = "0023 TDataSet.GetActive"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC C6 45 FB 00 83 7D FC 00 74 17 8B 45 FC 83 78 38 00 74 0E 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_44244_0 {
	meta:
		name = "CheckDataSource"
		size = 80
		refs = "0013 CheckDataSource 001f @UStrLen 0040 TDataSet.FieldByName"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7F 04 33 C0 EB 02 B0 01 88 45 F3 80 7D F3 00 74 13 8B 55 F8 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 55 F4 89 02 8A 45 F3 8B E5 5D C3 }
	condition:
		$1
}

rule function_44247_0 {
	meta:
		name = "TIWDBImage.CheckData"
		size = 307
		refs = "000e TIWCustomImage.GetPicture 0015 TPicture.SetGraphic 002f CheckDataSource 0051 _Dn_TMemoryStream 0056 TObject.Create 0061 TIWDBImage.CheckData 0072 TBlobField.SaveToStream 007e TStream.SetPosition 00ad _Dn_TJPEGImage 00b2 TJPEGImage.Create 00f4 FreeAndNil 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8D 4D F8 8B 45 FC 8B 90 CC 02 00 00 8B 45 FC 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 F3 00 00 00 8B 45 F8 8B 00 FF 90 28 01 00 00 84 C0 0F 84 E0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 EE B9 02 00 00 00 8B 45 F4 8B 18 FF 53 0C 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 80 7D EE FF 75 5C 80 7D EF D8 75 56 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 F0 8B 08 FF 51 5C 8B 45 FC 8B 80 AC 02 00 00 8B 55 F0 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 AC 02 00 00 8B 55 F8 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44248_0 {
	meta:
		name = "TIWDBEdit.Destroy"
		size = 62
		refs = "0007 @BeforeDestruction 001a FreeAndNil 0028 TIWVCLBaseControl.Destroy 0036 @ClassDestroy"
		altNames = "TIWDBFile.Destroy TIWDBImage.Destroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 05 C8 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44249_0 {
	meta:
		name = "TIWDBImage.InitControl"
		size = 55
		refs = "000b TIWDynamicImage.InitControl 0015 _DV_TIWImageDataLink 001a TIWDataLink.Create 0030 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 C8 02 00 00 8B 45 FC 05 CC 02 00 00 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_44405_0 {
	meta:
		name = "TIWDBFile.InitControl"
		size = 55
		refs = "000b TIWCustomFile.InitControl 0015 _DV_TIWDataLink 001a TIWDataLink.Create 0030 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 C8 02 00 00 8B 45 FC 05 CC 02 00 00 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_44250_0 {
	meta:
		name = "TIWDBFile.Notification"
		size = 64
		refs = "0019 TControl.Notification"
		altNames = "TIWDBImage.Notification"
	strings:
		$1 = { 55 8B EC 83 C4 F4 88 4D F7 89 55 F8 89 45 FC 8A 4D F7 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 80 7D F7 01 75 19 8B 45 FC 8B 80 D0 02 00 00 3B 45 F8 75 0B 8B 45 FC 33 D2 89 90 D0 02 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_44251_0 {
	meta:
		name = "TIWDBImage.RenderAsync"
		size = 44
		refs = "001e TIWDynamicImage.RenderAsync"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 5C 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44252_0 {
	meta:
		name = "TIWDBImage.RenderHTML"
		size = 44
		refs = "001e TIWDynamicImage.RenderHTML"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 5C 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44325_0 {
	meta:
		name = "TIWDBLabel.RenderAsync"
		size = 44
		refs = "001e TIWCustomLabel.RenderAsync"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 5C 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44326_0 {
	meta:
		name = "TIWDBLabel.RenderHTML"
		size = 44
		refs = "001e TIWCustomLabel.RenderHTML"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 5C 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44253_0 {
	meta:
		name = "TIWDBFile.SetDataSource"
		size = 51
		refs = "002b TDataLink.SetDataSource"
		altNames = "TIWDBImage.SetDataSource"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 89 82 D0 02 00 00 8B 45 FC 8B 90 D0 02 00 00 8B 45 FC 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44254_0 {
	meta:
		name = "TIWDBRadioGroup.CheckData"
		size = 368
		refs = "0016 TIWDBRadioGroup.CheckData 0036 CheckDataSource 004d GetFieldText 0067 Trim 0079 iif 0094 TIWCustomRadioGroup.SetItemIndex 00b1 InEditMode 0160 @UStrArrayClr 0166 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 45 FC 8B 90 C0 02 00 00 8B 45 FC 8B 80 C4 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 E4 00 00 00 8D 45 F4 50 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8A 80 BC 02 00 00 59 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 C8 02 00 00 8B 08 FF 51 54 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 BD 02 00 00 00 74 1E 8B 45 FC 8B 80 C4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 FC 00 00 00 8B 45 FC 83 B8 9C 02 00 00 00 7D 7C 8D 45 E4 50 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 8A 80 BC 02 00 00 59 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 A0 02 00 00 8B 08 FF 51 54 8B D0 8B 45 FC E8 ?? ?? ?? ?? EB 24 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 BD 02 00 00 00 74 0D 33 D2 8B 45 FC 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_44255_0 {
	meta:
		name = "TIWDBRadioGroup.Destroy"
		size = 75
		refs = "0007 @BeforeDestruction 001a FreeAndNil 0035 TIWVCLBaseControl.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 05 B8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 C8 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44256_0 {
	meta:
		name = "TIWDBRadioGroup.Notification"
		size = 78
		refs = "0019 TControl.Notification"
	strings:
		$1 = { 55 8B EC 83 C4 F4 88 4D F7 89 55 F8 89 45 FC 8A 4D F7 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8A 4D F7 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 80 7D F7 01 75 19 8B 45 FC 8B 80 C4 02 00 00 3B 45 F8 75 0B 8B 45 FC 33 D2 89 90 C4 02 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_44257_0 {
	meta:
		name = "TIWDBRadioGroup.InitControl"
		size = 86
		refs = "000b TIWCustomRadioGroup.InitControl 001c _Dn_TStringList 0021 TStringList.Create 0034 _Dn_TIWDataLink 0039 TIWDataLink.Create 004f @UStrClr"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 BC 02 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 C8 02 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 B8 02 00 00 8B 45 FC 05 C0 02 00 00 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_44258_0 {
	meta:
		name = "TIWDBRadioGroup.RenderAsync"
		size = 44
		refs = "001e TIWCustomRadioGroup.RenderAsync"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 60 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44316_0 {
	meta:
		name = "TIWDBEdit.RenderAsync"
		size = 44
		refs = "001e TIWCustomEdit.RenderAsync"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 60 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44317_0 {
	meta:
		name = "TIWDBEdit.RenderHTML"
		size = 44
		refs = "001e TIWCustomEdit.RenderHTML"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 60 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44259_0 {
	meta:
		name = "TIWDBRadioGroup.RenderHTML"
		size = 44
		refs = "001e TIWCustomRadioGroup.RenderHTML"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 60 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44357_0 {
	meta:
		name = "TIWDBText.RenderAsync"
		size = 44
		refs = "001e TIWCustomText.RenderAsync"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 60 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44358_0 {
	meta:
		name = "TIWDBText.RenderHTML"
		size = 44
		refs = "001e TIWCustomText.RenderHTML"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 60 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44260_0 {
	meta:
		name = "TIWDBRadioGroup.SetDataSource"
		size = 51
		refs = "002b TDataLink.SetDataSource"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 89 82 C4 02 00 00 8B 45 FC 8B 90 C4 02 00 00 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44261_0 {
	meta:
		name = "TIWDBRadioGroup.SetValue"
		size = 284
		refs = "0019 TIWDBRadioGroup.SetValue 002a TIWCustomRadioGroup.SetValue 0044 CheckDataSource 00bd @UStrClr 00c8 GetFieldText 00d3 @UStrEqual 00e3 TDataSource.Edit 00ee TField.SetEditText 0111 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F0 8B 45 FC 8B 90 C0 02 00 00 8B 45 FC 8B 80 C4 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 A2 00 00 00 8B 45 FC 83 B8 9C 02 00 00 FF 7E 5D 8B 45 FC 8B 80 A0 02 00 00 89 45 EC 8B 45 FC 8B 80 C8 02 00 00 8B 10 FF 52 14 8B 55 FC 3B 82 9C 02 00 00 7E 1C 8D 4D F4 8B 45 FC 8B 90 9C 02 00 00 8B 45 FC 8B 80 C8 02 00 00 8B 18 FF 53 0C EB 24 8D 4D F4 8B 45 FC 8B 90 9C 02 00 00 8B 45 FC 8B 80 A0 02 00 00 8B 18 FF 53 0C EB 08 8D 45 F4 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 F4 E8 ?? ?? ?? ?? 74 19 8B 45 FC 8B 80 C4 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44263_0 {
	meta:
		name = "TIWImageDataLink.ActiveChanged"
		size = 26
		refs = "000b TIWImageDataLink.CheckAndUpdateImage 0013 TIWDataLink.ActiveChanged"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_44264_0 {
	meta:
		name = "TIWImageDataLink.CheckAndUpdateImage"
		size = 343
		refs = "0034 TIWCustomImage.GetPicture 003b TPicture.SetGraphic 0055 CheckDataSource 0077 _Dn_TMemoryStream 007c TObject.Create 0087 TIWImageDataLink.CheckAndUpdateImage 0098 TBlobField.SaveToStream 00a4 TStream.SetPosition 00d3 _Dn_TJPEGImage 00d8 TJPEGImage.Create 0119 FreeAndNil 011f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 45 FC 8B 45 FC 83 78 1C 00 0F 84 3B 01 00 00 8B 45 FC 8B 40 1C 89 45 E8 8B 45 E8 80 B8 B1 01 00 00 00 0F 84 22 01 00 00 8B 45 E8 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8D 4D F8 8B 45 E8 8B 90 CC 02 00 00 8B 45 E8 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 F1 00 00 00 8B 45 F8 8B 00 FF 90 28 01 00 00 84 C0 0F 84 DE 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 EE B9 02 00 00 00 8B 45 F4 8B 18 FF 53 0C 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 80 7D EE FF 75 5B 80 7D EF D8 75 55 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 F0 8B 08 FF 51 5C 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 F0 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44265_0 {
	meta:
		name = "TIWImageDataLink.DataEvent"
		size = 36
		refs = "001c TIWDataLink.DataEvent"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 88 55 FB 89 45 FC 8A 45 FB 8B 4D F4 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_44268_0 {
	meta:
		name = "TIWDBGrid.InitControl"
		size = 188
		refs = "000b TIWCustomGrid.InitControl 0028 TIWDBGrid.InitControl 0038 TIWCustomControl.set_UseFrame 007e _DV_TIWDBGridColumn 0089 _DV_TIWDBGridColumns 008e TOwnedCollection.Create"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 E8 02 00 00 00 8B 45 FC C6 80 00 03 00 00 01 8B 45 FC 8A 15 ?? ?? ?? ?? 88 90 08 03 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 80 20 03 00 00 FF FF FF 1F 8B 45 FC C7 80 04 03 00 00 FF FF FF 1F 8B 45 FC C7 80 24 03 00 00 FF FF FF 1F 8B 45 FC C7 80 28 03 00 00 FF FF FF 1F 8B 45 FC C7 80 2C 03 00 00 FF FF FF 1F A1 ?? ?? ?? ?? 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 F0 02 00 00 8B 45 FC 8B 80 F0 02 00 00 8B 55 FC 89 50 1C 8B 45 FC 33 D2 89 90 10 03 00 00 59 5D C3 02 00 00 00 }
	condition:
		$1
}

rule function_44269_0 {
	meta:
		name = "TIWDBGrid.Destroy"
		size = 75
		refs = "0007 @BeforeDestruction 001a FreeAndNil 0035 TIWVCLBaseControl.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 05 10 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 F0 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44270_0 {
	meta:
		name = "TIWDBGrid.CreateImplicitColumns"
		size = 165
		refs = "0013 TCollection.GetCount 0039 @IntOver 005f TFields.GetField 0079 TCollection.Add 008a TIWDBGridColumn.SetDataField 0095 TIWGridCell.SetGrid"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 45 FC 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 82 00 00 00 8B 45 FC 8B 80 F8 02 00 00 8B 40 38 8B 40 48 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 60 40 89 45 F0 C7 45 F8 00 00 00 00 8B 45 FC 8B 80 F8 02 00 00 8B 40 38 8B 40 38 8B 55 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 80 78 4C 00 74 2A 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 89 45 EC 8B 45 F4 8B 50 40 8B 45 EC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 EC E8 ?? ?? ?? ?? FF 45 F8 FF 4D F0 75 AB 8B E5 5D C3 }
	condition:
		$1
}

rule function_44271_0 {
	meta:
		name = "TIWDBGrid.Notification"
		size = 176
		refs = "0019 TControl.Notification 0056 TCollection.GetCount 0060 @IntOver 0080 TCollection.GetItem 00a0 TIWGridCell.SetControl"
	strings:
		$1 = { 55 8B EC 83 C4 EC 88 4D F7 89 55 F8 89 45 FC 8A 4D F7 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 80 7D F7 01 0F 85 85 00 00 00 8B 45 FC 8B 80 F8 02 00 00 3B 45 F8 75 0B 8B 45 FC 33 D2 89 90 F8 02 00 00 8B 45 FC 83 B8 F0 02 00 00 00 74 60 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 44 40 89 45 EC C7 45 F0 00 00 00 00 8B 55 F0 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 8B 40 1C 3B 45 F8 75 18 8B 55 F0 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? FF 45 F0 FF 4D EC 75 C7 8B E5 5D C3 }
	condition:
		$1
}

rule function_44272_0 {
	meta:
		name = "TIWDBGrid.RenderCells"
		size = 1180
		refs = "0021 TIWDBGrid.RenderCells 0035 TIWCustomGrid.RenderCells 003f TIWCustomControl.set_DoRefreshControl 0046 _Dn_TStringList 004b TStringList.Create 0084 @UStrCatN 00cc ColorToRGBString 012c TIWPageContext40.AddToJavaScriptOnce 0141 FreeAndNil 0147 @HandleFinally 0168 CheckDataSource 017d InEditMode 018f TIWDBGrid.RefreshData 01c5 TIWHTMLTag.GetContents 01d5 TIWMarkupLanguageTagCollection.AddTagCollection 01ef @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 E8 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 38 68 ?? ?? ?? ?? 8D 55 E0 8B 45 FC 8B 80 20 03 00 00 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F0 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 38 8D 55 DC 8B 45 F0 8B 08 FF 51 1C 8B 55 DC 8B 45 F8 8B 40 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8A 80 30 03 00 00 2C 01 72 04 74 49 EB 55 8B 45 FC 8B 80 F8 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 25 8B 45 FC 8B 80 F8 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 84 C0 75 2E 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 1E 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 0E 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 10 03 00 00 00 74 1A 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 10 03 00 00 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 10 00 00 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 72 00 6F 00 6C 00 6C 00 6F 00 6E 00 5F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 28 00 72 00 6F 00 77 00 2C 00 77 00 68 00 65 00 72 00 65 00 29 00 7B 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 76 00 61 00 72 00 20 00 74 00 61 00 62 00 6C 00 65 00 63 00 6F 00 6C 00 6F 00 72 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 69 00 66 00 20 00 28 00 77 00 68 00 65 00 72 00 65 00 20 00 3D 00 3D 00 20 00 27 00 6F 00 76 00 65 00 72 00 27 00 29 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 40 00 00 00 20 00 63 00 75 00 72 00 72 00 65 00 6E 00 74 00 63 00 6F 00 6C 00 6F 00 72 00 3D 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 67 00 65 00 74 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 42 00 79 00 49 00 64 00 28 00 72 00 6F 00 77 00 29 00 2E 00 73 00 74 00 79 00 6C 00 65 00 2E 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 35 00 00 00 20 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 67 00 65 00 74 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 42 00 79 00 49 00 64 00 28 00 72 00 6F 00 77 00 29 00 2E 00 73 00 74 00 79 00 6C 00 65 00 2E 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 43 00 6F 00 6C 00 6F 00 72 00 3D 00 27 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 20 00 7D 00 65 00 6C 00 73 00 65 00 7B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 43 00 00 00 20 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 67 00 65 00 74 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 42 00 79 00 49 00 64 00 28 00 72 00 6F 00 77 00 29 00 2E 00 73 00 74 00 79 00 6C 00 65 00 2E 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 43 00 6F 00 6C 00 6F 00 72 00 3D 00 63 00 75 00 72 00 72 00 65 00 6E 00 74 00 63 00 6F 00 6C 00 6F 00 72 00 3B 00 20 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_44273_0 {
	meta:
		name = "TIWDBGrid.SetColumns"
		size = 33
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 F0 02 00 00 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44274_0 {
	meta:
		name = "TIWDBGrid.Submit"
		size = 316
		refs = "0017 TIWDBGrid.Submit 002d @UStrAsg 0038 @UStrLAsg 004e @UStrCopy 005b @UStrEqual 007b StrToInt 008b TCollection.GetItem 00bb Fetch 0109 @UStrArrayClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 05 EC 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 EC 50 B9 01 00 00 00 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 49 8D 45 E8 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 66 83 78 7A 00 74 57 8B 5D F4 8B 55 F4 8B 43 7C FF 53 78 EB 49 6A 01 8D 45 E4 50 8D 45 F0 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 66 83 78 72 00 74 0F 8B 5D F4 8B 4D F0 8B 55 F4 8B 43 74 FF 53 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 43 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 }
	condition:
		$1
}

rule function_44275_0 {
	meta:
		name = "TIWDBGrid.GetSubmitParam"
		size = 33
		refs = "0019 @UStrAsg"
		altNames = "TIWGrid.GetSubmitParam"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 92 EC 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44276_0 {
	meta:
		name = "CheckForHighlighting"
		size = 799
		refs = "001e CheckForHighlighting 003e TCollection.GetCount 004d :TIWDBGrid.:1 0052 @DynArraySetLength 005d @DynArrayHigh 0084 TCollection.GetItem 009f @UStrLen 00bb @BoundErr 00d3 @IntOver 00e1 TDataSet.FieldByName 0101 TField.GetEditText 010f CompareText 018a @UStrEqual 01cb Pos 02fe @UStrArrayClr 030c @DynArrayClear 0312 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 33 D2 89 55 D0 89 55 D4 89 55 D8 89 55 DC 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 33 C0 89 45 E8 8B 45 08 8B 40 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 50 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 8C 0E 02 00 00 40 89 45 E4 C7 45 F0 00 00 00 00 8B 45 08 8B 40 FC 8B 80 F0 02 00 00 8B 55 F0 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 80 78 41 00 0F 84 D3 01 00 00 8B 45 E0 8B 40 64 E8 ?? ?? ?? ?? 85 C0 0F 8E C0 01 00 00 8B 45 F0 8B 55 F4 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? C6 04 02 00 8B 45 E0 80 78 60 00 74 0B 83 45 E8 01 71 05 E8 ?? ?? ?? ?? 8B 45 E0 8B 50 64 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 82 F4 02 00 00 8D 55 DC 8B 45 08 8B 40 FC 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 8B 45 DC 8B 55 E0 8B 52 5C E8 ?? ?? ?? ?? 89 45 EC 8B 45 E0 0F B6 40 60 83 F8 06 0F 87 45 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F0 8B 55 F4 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 83 7D EC 00 0F 94 C1 88 0C 02 E9 FF 00 00 00 8D 55 D8 8B 45 08 8B 40 FC 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 8B 45 D8 8B 55 E0 8B 52 5C E8 ?? ?? ?? ?? 0F 95 C0 8B 55 F0 8B 4D F4 85 C9 74 05 3B 51 FC 72 05 E8 ?? ?? ?? ?? 88 04 11 E9 BE 00 00 00 8D 55 D4 8B 45 08 8B 40 FC 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 E0 8B 40 5C E8 ?? ?? ?? ?? 85 C0 0F 95 C0 8B 55 F0 8B 4D F4 85 C9 74 05 3B 51 FC 72 05 E8 ?? ?? ?? ?? 88 04 11 EB 7E 8D 55 D0 8B 45 08 8B 40 FC 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 E0 8B 40 5C E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B 55 F0 8B 4D F4 85 C9 74 05 3B 51 FC 72 05 E8 ?? ?? ?? ?? 88 04 11 EB 3E 8B 45 F0 8B 55 F4 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 83 7D EC 00 0F 9F C1 88 0C 02 EB 1E 8B 45 F0 8B 55 F4 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 83 7D EC 00 0F 9C C1 88 0C 02 FF 45 F0 FF 4D E4 0F 85 FD FD FF FF 33 C0 89 45 EC 83 7D E8 00 74 66 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 7C 38 40 89 45 E4 C7 45 F0 00 00 00 00 8B 45 F0 8B 55 F4 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 80 3C 02 01 75 0B 83 45 EC 01 71 05 E8 ?? ?? ?? ?? FF 45 F0 FF 4D E4 75 D3 6A 00 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 EC 3B 45 E8 0F 94 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8A 45 FB 8B E5 5D C3 }
	condition:
		$1
}

rule function_44277_0 {
	meta:
		name = "TIWDBGrid.RefreshData"
		size = 4852
		refs = "0027 TIWDBGrid.RefreshData 004e _Dn_TIWHTMLTag 0058 _Dn_TIWMarkupLanguageTagCollection 005d TIWMarkupLanguageTagCollection.Create 008d CheckDataSource 00a6 InEditMode 00b0 RSNoRefereshWhileInEdit 00b9 _Dn_Exception 00be Exception.Create 00c3 @RaiseExcept 00cb TIWDBGrid.CreateImplicitColumns 00f0 TIWMarkupLanguageTagCollection.AddTag 0126 TIWMarkupLanguageTagCollection.AddText 014b TIWMarkupLanguageTag.AddColor 015e TCollection.GetCount 0168 @IntOver 018c TCollection.GetItem 01a5 _DV_TIWDBGridColumn 01aa TIWDBGridColumn.Create 01d7 TIWGridCell.SetGrid 0208 IntToStr 021e @UStrCat3 0232 TIWCustomControl.SubmitLink 025c TIWMarkupLanguageTag.AddStringParam 026a TIWMarkupLanguageElement.Render 0278 TIWGridCell.SetText 028d FreeAndNil 0293 @HandleFinally 02bb TIWMarkupLanguageTagCollection.AddTagAsObject 032e TDataSet.DisableControls 0335 _Dn_TList 033a TObject.Create 0384 TList.Get 03a0 TList.Add 03c5 en8Bit 03d0 BytesToString 03f8 TDataSet.First 04ac @UStrEqual 0509 Format 0562 @UStrCatN 05e3 CheckForHighlighting 0751 @UStrLen 0763 TDataSet.FieldByName 07cf _Dn_TStringStream 07d4 TStringStream.Create 07f4 _Dn_TBlobField 07f9 @AsClass 0801 TBlobField.SaveToStream 080c TStringStream.GetDataString 0821 TObject.Free 085c @UStrCopy 0890 TIWBaseHTMLControl.TextToHTML 08f4 TField.GetDisplayText 0b3e TDataSet.Next 0bb0 _Dn_TIWPageContext40 0bc3 TIWPageContext40.AddToInitProc 0be4 TIWCustomControl.get_UseFrame 0c22 TIWCustomControl.set_RenderSize 0c43 ToBytes 0c51 TDataSet.GotoBookmark 0c63 TDataSet.EnableControls 0cfb @HandleAnyException 0d00 @DoneExcept 0ef0 TArray<System.Byte> 0ef5 @DynArrayClear 0f05 @UStrArrayClr 0f21 @UStrClr 0f37 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 20 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 8D 78 FF FF FF 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 10 03 00 00 00 74 10 8B 45 FC 8B 80 10 03 00 00 8B 10 FF 52 08 EB 1D A1 ?? ?? ?? ?? 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 10 03 00 00 8B 45 FC C6 80 14 03 00 00 00 8B 45 FC 33 D2 89 90 F4 02 00 00 C6 45 D3 00 8B 45 FC 8B 80 F8 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 42 0E 00 00 8B 45 FC 8B 80 F8 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 80 08 03 00 00 02 0F 84 3C 02 00 00 8B 45 FC 8B 80 10 03 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B0 8B 45 FC F6 80 08 03 00 00 01 74 4C 8B 45 B0 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 AC 8B 45 AC 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 81 B8 24 03 00 00 FF FF FF 1F 74 16 8B 45 FC 8B 88 24 03 00 00 BA ?? ?? ?? ?? 8B 45 AC E8 ?? ?? ?? ?? 33 C0 89 45 EC 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C A7 01 00 00 40 89 45 A8 C7 45 E0 00 00 00 00 8B 45 FC 8B 80 F0 02 00 00 8B 55 E0 E8 ?? ?? ?? ?? 89 45 A4 8B 45 A4 80 78 41 00 0F 84 6F 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 A4 8B 90 80 00 00 00 8B 45 E4 8B 08 FF 51 08 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 A4 66 83 78 7A 00 0F 84 B0 00 00 00 8B 45 E4 8A 40 21 8B 55 A4 88 42 21 6A 00 8B 45 F8 8A 40 1C 50 8D 95 70 FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? 8B 8D 70 FF FF FF 8D 85 74 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 74 FF FF FF 8B 45 E4 8B 50 38 8B 45 FC E8 ?? ?? ?? ?? 89 45 CC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 A4 8B 80 80 00 00 00 8B 48 54 BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8D 95 6C FF FF FF 8B 45 CC E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 EC 50 8B 45 F8 50 6A 00 33 C9 8B 55 FC 8B 45 E4 8B 18 FF 53 20 8B D0 8B 45 B0 8B 40 0C 33 C9 E8 ?? ?? ?? ?? 89 45 A0 8B 45 FC 81 B8 24 03 00 00 FF FF FF 1F 74 16 8B 45 FC 8B 88 24 03 00 00 BA ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? 83 45 EC 01 71 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 E0 FF 4D A8 0F 85 64 FE FF FF 8B 45 FC 8B 80 F8 02 00 00 8B 40 38 89 45 DC 8B 45 DC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B4 8B 55 B8 8B 45 DC 8B 08 FF 91 80 02 00 00 8B 45 B8 8B 40 08 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 3A 40 89 45 A8 C7 45 BC 00 00 00 00 8B 55 BC 8B 45 B8 E8 ?? ?? ?? ?? 8D 95 68 FF FF FF 8B 08 FF 91 78 02 00 00 8B 95 68 FF FF FF 8B 45 B4 E8 ?? ?? ?? ?? FF 45 BC FF 4D A8 75 D1 8D 95 64 FF FF FF 8B 45 DC 8B 08 FF 91 78 02 00 00 8B 85 64 FF FF FF 50 E8 ?? ?? ?? ?? 8B D0 8D 4D E8 58 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 00 03 00 00 00 75 06 83 7D E8 00 75 08 8B 45 DC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 18 03 00 00 00 75 09 C7 45 D4 FF FF FF 7F EB 47 8B 45 FC 8B 80 18 03 00 00 89 45 D4 8B 45 DC 8B 10 FF 92 8C 01 00 00 40 7E 2D 8B 45 DC 8B 10 FF 92 8C 01 00 00 83 E8 01 71 05 E8 ?? ?? ?? ?? 99 F7 7D D4 F7 DA 71 05 E8 ?? ?? ?? ?? 8B 45 DC 8B 08 FF 91 AC 02 00 00 8B 45 D4 85 C0 0F 8E 70 07 00 00 89 45 A8 C7 45 D8 01 00 00 00 80 7D D3 00 0F 85 5C 07 00 00 8D 95 5C FF FF FF 8B 45 DC 8B 08 FF 91 78 02 00 00 8B 85 5C FF FF FF 50 E8 ?? ?? ?? ?? 8B D0 8D 8D 60 FF FF FF 58 E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8B 45 E8 E8 ?? ?? ?? ?? 0F 94 C0 8B 55 FC 88 82 14 03 00 00 8B 45 FC 8B 80 10 03 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 9C 8D 45 C4 50 8B 45 FC 89 85 4C FF FF FF C6 85 50 FF FF FF 00 8B 45 D8 89 85 54 FF FF FF C6 85 58 FF FF FF 00 8D 95 4C FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 BA ?? ?? ?? ?? 8B 45 9C E8 ?? ?? ?? ?? 8B 45 FC 80 B8 1D 03 00 00 00 0F 84 98 00 00 00 68 ?? ?? ?? ?? 8D 95 44 FF FF FF 8B 45 FC 8B 08 FF 91 14 01 00 00 FF B5 44 FF FF FF 68 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 8D 85 48 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 8D 48 FF FF FF BA ?? ?? ?? ?? 8B 45 9C E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 3C FF FF FF 8B 45 FC 8B 08 FF 91 14 01 00 00 FF B5 3C FF FF FF 68 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 8D 85 40 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 8D 40 FF FF FF BA ?? ?? ?? ?? 8B 45 9C E8 ?? ?? ?? ?? C6 45 D2 00 8B 45 FC 80 B8 01 03 00 00 00 74 16 55 8B 45 FC 8B 80 F8 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 59 88 45 D2 C6 45 D1 00 8B 45 FC 81 B8 28 03 00 00 FF FF FF 1F 74 1D 8B 45 D8 25 01 00 00 80 79 05 48 83 C8 FE 40 85 C0 75 0A 80 7D D2 00 75 04 C6 45 D1 01 8B 45 FC 80 B8 14 03 00 00 00 74 27 8B 45 FC 81 B8 2C 03 00 00 FF FF FF 1F 74 18 8B 45 FC 8B 88 2C 03 00 00 BA ?? ?? ?? ?? 8B 45 9C E8 ?? ?? ?? ?? EB 38 80 7D D1 00 74 16 8B 45 FC 8B 88 28 03 00 00 BA ?? ?? ?? ?? 8B 45 9C E8 ?? ?? ?? ?? 80 7D D2 00 74 16 8B 45 FC 8B 88 04 03 00 00 BA ?? ?? ?? ?? 8B 45 9C E8 ?? ?? ?? ?? 8B 45 FC F6 80 08 03 00 00 01 74 5C 8B 45 FC 80 B8 14 03 00 00 00 74 29 8B 45 9C 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 98 8B 45 98 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 27 8B 45 9C 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 94 8B 45 94 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 EC 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C 27 04 00 00 40 89 45 90 C7 45 E0 00 00 00 00 8B 45 FC 8B 80 F0 02 00 00 8B 55 E0 E8 ?? ?? ?? ?? 89 45 8C 8B 45 8C 80 78 41 00 0F 84 EF 03 00 00 8B 45 FC 33 D2 89 90 F4 02 00 00 8B 45 8C 8B 40 64 E8 ?? ?? ?? ?? 85 C0 7E 17 8B 45 8C 8B 50 64 8B 45 DC E8 ?? ?? ?? ?? 8B 55 FC 89 82 F4 02 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 8C 8B 08 FF 11 8B 45 FC 83 B8 F4 02 00 00 00 0F 84 2B 03 00 00 8B 45 FC 8B 80 F4 02 00 00 8A 40 48 04 F1 2C 02 0F 83 ED 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F4 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 C8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 8C 83 78 58 00 7E 3D 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 8C 3B 42 58 7E 2D 8D 85 38 FF FF FF 50 8B 45 8C 8B 48 58 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 95 38 FF FF FF 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 80 78 6C 00 75 2B 6A 00 8D 85 34 FF FF FF 50 8B 45 FC 8B 00 B1 01 8B 55 F0 E8 ?? ?? ?? ?? 8B 95 34 FF FF FF 8B 45 E4 E8 ?? ?? ?? ?? E9 95 00 00 00 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? E9 85 00 00 00 8B 45 FC 8B 80 F4 02 00 00 80 78 48 11 75 0C 33 D2 8B 45 E4 E8 ?? ?? ?? ?? EB 6A 8B 45 E4 80 78 6C 00 75 3F 6A 00 8D 85 30 FF FF FF 50 8D 95 2C FF FF FF 8B 45 FC 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 8B 95 2C FF FF FF 8B 45 FC 8B 00 B1 01 E8 ?? ?? ?? ?? 8B 95 30 FF FF FF 8B 45 E4 E8 ?? ?? ?? ?? EB 22 8D 95 28 FF FF FF 8B 45 FC 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 8B 95 28 FF FF FF 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 8C 8B 40 68 E8 ?? ?? ?? ?? 85 C0 0F 8E 90 01 00 00 8B 45 E4 8A 40 21 8B 55 8C 88 42 21 8B 45 FC 80 B8 1C 03 00 00 00 0F 85 94 00 00 00 6A 00 8B 45 F8 8A 40 1C 50 8D 95 20 FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? FF B5 20 FF FF FF 68 ?? ?? ?? ?? 8B 45 8C 8B 50 68 8B 45 DC E8 ?? ?? ?? ?? 8D 95 1C FF FF FF 8B 08 FF 91 80 00 00 00 FF B5 1C FF FF FF 8D 85 24 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 8D 24 FF FF FF 8B 45 E4 8B 50 38 8B 45 FC E8 ?? ?? ?? ?? 89 45 CC 8D 95 18 FF FF FF 8B 45 CC E8 ?? ?? ?? ?? 8B 95 18 FF FF FF 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? E9 E0 00 00 00 6A 00 8D 85 14 FF FF FF 50 8D 95 10 FF FF FF 8B 45 FC 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 8B 95 10 FF FF FF 8B 45 FC 8B 00 B1 01 E8 ?? ?? ?? ?? 8B 95 14 FF FF FF 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 8C 80 78 20 00 0F 85 84 00 00 00 68 ?? ?? ?? ?? 8D 95 08 FF FF FF 8B 45 FC 8B 08 FF 91 14 01 00 00 FF B5 08 FF FF FF 68 ?? ?? ?? ?? 8D 95 04 FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? FF B5 04 FF FF FF 68 ?? ?? ?? ?? 8B 45 8C 8B 50 68 8B 45 DC E8 ?? ?? ?? ?? 8D 95 00 FF FF FF 8B 08 FF 91 80 00 00 00 FF B5 00 FF FF FF 68 ?? ?? ?? ?? 8D 85 0C FF FF FF BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 8D 0C FF FF FF BA ?? ?? ?? ?? 8B 45 9C E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 9C E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 50 6A 00 8B 4D D8 8B 55 FC 8B 45 E4 8B 18 FF 53 20 8B D0 8B 45 9C 8B 40 0C 33 C9 E8 ?? ?? ?? ?? 83 45 EC 01 71 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 E0 FF 4D 90 0F 85 E4 FB FF FF 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC 8A 80 A9 00 00 00 88 45 D3 8B 45 FC 8B 55 D8 89 90 0C 03 00 00 8B 45 FC 80 B8 E8 02 00 00 00 74 61 8B 45 FC 80 B8 14 03 00 00 00 74 55 68 ?? ?? ?? ?? 8D 95 FC FE FF FF 8B 45 FC 8B 08 FF 91 14 01 00 00 FF B5 FC FE FF FF 68 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 8D 45 C0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 88 8B 55 C0 8B 45 88 E8 ?? ?? ?? ?? FF 45 D8 FF 4D A8 0F 85 9A F8 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 30 8B 45 FC 80 B8 DC 02 00 00 00 74 20 8B 45 FC 83 B8 18 03 00 00 00 74 18 8B 45 FC 8B 80 0C 03 00 00 8B 55 FC 3B 82 18 03 00 00 74 04 33 D2 EB 02 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 7E 25 E8 ?? ?? ?? ?? 8B D0 8D 8D F8 FE FF FF 8B 45 E8 E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B 45 DC E8 ?? ?? ?? ?? EB 08 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 45 B8 8B 40 08 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C 91 00 00 00 40 89 45 A8 C7 45 BC 00 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 BC 8B 45 B8 E8 ?? ?? ?? ?? 8B 10 FF 92 88 01 00 00 85 C0 7E 41 8B 55 BC 8B 45 B4 E8 ?? ?? ?? ?? 50 8B 55 BC 8B 45 B8 E8 ?? ?? ?? ?? 5A 8B 08 FF 91 64 02 00 00 84 C0 74 1D 8B 55 BC 8B 45 B4 E8 ?? ?? ?? ?? 50 8B 55 BC 8B 45 B8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 BC FF 4D A8 0F 85 7A FF FF FF 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 B5 FE FF FF 8B 45 FC C6 80 14 03 00 00 00 8B 45 FC 83 B8 FC 02 00 00 00 0F 8E 96 01 00 00 8B 45 FC 8B 80 10 03 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 84 8B 45 FC 8B 80 FC 02 00 00 F7 D8 71 05 E8 ?? ?? ?? ?? 83 F8 FF 0F 8F 63 01 00 00 89 45 F4 8B 45 FC F6 80 08 03 00 00 01 74 27 8B 45 84 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 80 8B 45 80 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 EC 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C FB 00 00 00 40 89 45 A8 C7 45 E0 00 00 00 00 8B 45 FC 8B 80 F0 02 00 00 8B 55 E0 E8 ?? ?? ?? ?? 89 85 7C FF FF FF 8B 85 7C FF FF FF 80 78 41 00 0F 84 BD 00 00 00 8B 45 FC 33 D2 89 90 F4 02 00 00 8B 85 7C FF FF FF 8B 40 64 E8 ?? ?? ?? ?? 85 C0 7E 1A 8B 85 7C FF FF FF 8B 50 64 8B 45 DC E8 ?? ?? ?? ?? 8B 55 FC 89 82 F4 02 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 85 7C FF FF FF 8B 08 FF 11 8B 45 EC 50 8B 45 F8 50 6A 00 8B 4D F4 8B 55 FC 8B 45 E4 8B 18 FF 53 20 8B D0 8B 45 84 8B 40 0C 33 C9 E8 ?? ?? ?? ?? 83 45 EC 01 71 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 E0 FF 4D A8 0F 85 10 FF FF FF FF 45 F4 83 7D F4 00 0F 85 A0 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 FC FE FF FF BA 14 00 00 00 E8 ?? ?? ?? ?? 8D 85 5C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 85 64 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 75 FF FF FF 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 74 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 26 00 6E 00 62 00 73 00 70 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 47 00 43 00 4F 00 4C 00 4F 00 52 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 43 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 4C 00 41 00 53 00 53 00 00 00 }
	condition:
		$1
}

rule function_44278_0 {
	meta:
		name = "TIWDBGrid.Loaded"
		size = 307
		refs = "0012 TIWDBGrid.Loaded 0020 TControl.Loaded 002e TCollection.GetCount 0038 @IntOver 007f TCollection.GetItem 0093 TDataSet.FindField 00d9 TDataSet.FieldByName 00e1 TField.GetDisplayName 0102 TIWGridCell.SetText 0123 @UStrClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C CE 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 8B 45 FC 83 B8 F8 02 00 00 00 0F 84 A7 00 00 00 8B 45 FC 8B 80 F8 02 00 00 83 78 38 00 0F 84 94 00 00 00 8B 55 F8 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 8B 50 64 8B 45 FC 8B 80 F8 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 85 C0 74 6B 8B 55 F8 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 8B 80 80 00 00 00 83 78 38 00 75 4E 8B 55 F8 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 8B 50 64 8B 45 FC 8B 80 F8 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 55 F8 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 8B 80 80 00 00 00 5A E8 ?? ?? ?? ?? FF 45 F8 FF 4D F4 0F 85 3D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_44279_0 {
	meta:
		name = "TIWDBGrid.IsValidCell"
		size = 52
		refs = "001c TCollection.FindItemID"
		altNames = "TIWGrid.IsValidCell"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 F8 89 45 FC 8B 45 F8 8B 50 08 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 3B 45 F8 0F 94 45 F7 8A 45 F7 8B E5 5D C3 }
	condition:
		$1
}

rule function_44280_0 {
	meta:
		name = "TIWDBGridColumn.AssignTo"
		size = 217
		refs = "0011 _DV_TIWDBGridColumn 0016 @IsClass 002c @AsClass 005e @UStrAsg 0078 TIWDBGridColumn.SetDataField 00b8 TIWDBGridColumn.SetTitle 00c6 TIWGridCell.SetGrid 00d1 TIWGridCell.AssignTo"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A8 00 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 55 FC 8B 4A 70 89 48 70 8B 4A 74 89 48 74 8B 45 FC 8B 40 58 8B 55 F4 89 42 58 8B 45 F4 83 C0 5C 8B 55 FC 8B 52 5C E8 ?? ?? ?? ?? 8B 45 FC 8A 40 60 8B 55 F4 88 42 60 8B 45 FC 8B 50 64 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 83 C0 68 8B 55 FC 8B 52 68 E8 ?? ?? ?? ?? 8B 45 FC 8A 40 6C 8B 55 F4 88 42 6C 8B 45 F4 8B 55 FC 8B 4A 78 89 48 78 8B 4A 7C 89 48 7C 8B 45 FC 8B 90 80 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 0C 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_44281_0 {
	meta:
		name = "TIWDBGridColumn.Create"
		size = 189
		refs = "000e @ClassCreate 0024 TIWGridCell.Create 0037 _Dn_TIWGridCell 0064 @UStrClr 0078 _DV_TIWDBGridColumns 007d @IsClass 008f @AsClass 009a TIWGridCell.SetGrid 00a8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 14 FF FF FF 1F 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 80 00 00 00 8B 45 FC 8B 80 80 00 00 00 C6 40 11 02 8B 45 FC C6 40 60 00 8B 45 FC 83 C0 64 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 68 E8 ?? ?? ?? ?? 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_44282_0 {
	meta:
		name = "TIWDBGridColumn.Destroy"
		size = 62
		refs = "0007 @BeforeDestruction 001a FreeAndNil 0028 TIWGridCell.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 05 80 00 00 00 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44283_0 {
	meta:
		name = "TIWDBGridColumn.GetDisplayName"
		size = 58
		refs = "0013 @UStrLen 0025 @UStrAsg 0032 TCollectionItem.GetDisplayName"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? 85 C0 7E 10 8B 45 F8 8B 55 FC 8B 52 64 E8 ?? ?? ?? ?? EB 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44284_0 {
	meta:
		name = "TIWDBGridColumn.RenderSelf"
		size = 146
		refs = "0013 @UStrAddRef 001b TIWDBGridColumn.RenderSelf 0040 TIWGridCell.SetControl 005a TIWGridCell.RenderSelf 007d @UStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 4D F4 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 1C 89 45 EC 8B 45 F8 80 B8 14 03 00 00 00 75 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_44285_0 {
	meta:
		name = "TIWDBGridColumn.SetDataField"
		size = 90
		refs = "0016 @UStrAsg 0027 @UStrLen 003f @UStrEqual 0052 TIWGridCell.SetText"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 83 C0 64 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 80 00 00 00 8B 40 38 E8 ?? ?? ?? ?? 85 C0 74 16 8B 45 FC 8B 80 80 00 00 00 8B 40 38 8B 55 F8 E8 ?? ?? ?? ?? 75 11 8B 55 F8 8B 45 FC 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44286_0 {
	meta:
		name = "TIWDBGridColumn.SetTitle"
		size = 33
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 80 00 00 00 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44289_0 {
	meta:
		name = "TIWDBNavConfirmations.Create"
		size = 131
		refs = "000e @ClassCreate 0021 TObject.Create 0033 RSDeleteMessage 003a @UStrAsg 0046 RSUpdateMessage 0059 RSCancelMessage 006e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FA 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 80 7D FA 00 74 39 8B 45 FC 83 C0 1C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 20 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 24 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_44290_0 {
	meta:
		name = "TIWDBNavConfirmations.Create"
		size = 346
		refs = "000e @ClassCreate 001f @UStrAddRef 006f TIWDBNavConfirmations.Create 007f TObject.Create 008d @UStrAsg 0120 @UStrClr 012d @UStrArrayClr 0133 @HandleFinally 0143 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 28 E8 ?? ?? ?? ?? 8B 45 24 E8 ?? ?? ?? ?? 8B 45 20 E8 ?? ?? ?? ?? 8B 45 1C E8 ?? ?? ?? ?? 8B 45 18 E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 8B 55 28 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C 8B 55 24 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 8B 55 20 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 14 8B 55 1C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 8B 55 18 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 1C 8B 55 14 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 20 8B 55 10 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 24 8B 55 0C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 28 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 08 BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule function_44291_0 {
	meta:
		name = "TIWDBNavImages.Create"
		size = 437
		refs = "000e @ClassCreate 0021 TObject.Create 0031 _Dn_TIWFileReference 0036 TIWFileReference.Create 01a0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 50 54 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 4C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 50 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_44292_0 {
	meta:
		name = "TIWDBNavImages.Create"
		size = 350
		refs = "000e @ClassCreate 0021 TObject.Create 0147 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 55 50 8B 08 FF 51 08 8B 45 FC 8B 40 08 8B 55 38 8B 08 FF 51 08 8B 45 FC 8B 40 0C 8B 55 F4 8B 08 FF 51 08 8B 45 FC 8B 40 10 8B 55 48 8B 08 FF 51 08 8B 45 FC 8B 40 14 8B 55 3C 8B 08 FF 51 08 8B 45 FC 8B 40 18 8B 55 44 8B 08 FF 51 08 8B 45 FC 8B 40 1C 8B 55 4C 8B 08 FF 51 08 8B 45 FC 8B 40 20 8B 55 30 8B 08 FF 51 08 8B 45 FC 8B 40 24 8B 55 40 8B 08 FF 51 08 8B 45 FC 8B 40 28 8B 55 34 8B 08 FF 51 08 8B 45 FC 8B 40 2C 8B 55 28 8B 08 FF 51 08 8B 45 FC 8B 40 30 8B 55 10 8B 08 FF 51 08 8B 45 FC 8B 40 34 8B 55 2C 8B 08 FF 51 08 8B 45 FC 8B 40 38 8B 55 20 8B 08 FF 51 08 8B 45 FC 8B 40 3C 8B 55 14 8B 08 FF 51 08 8B 45 FC 8B 40 40 8B 55 1C 8B 08 FF 51 08 8B 45 FC 8B 40 44 8B 55 24 8B 08 FF 51 08 8B 45 FC 8B 40 48 8B 55 08 8B 08 FF 51 08 8B 45 FC 8B 40 4C 8B 55 18 8B 08 FF 51 08 8B 45 FC 8B 40 50 8B 55 0C 8B 08 FF 51 08 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C2 4C 00 }
	condition:
		$1
}

rule function_44293_0 {
	meta:
		name = "TIWDBNavImages.Destroy"
		size = 269
		refs = "0007 @BeforeDestruction 0018 FreeAndNil 00f7 TPersistent.Destroy 0105 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 83 C0 04 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 14 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 1C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 20 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 24 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 28 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 2C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 30 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 34 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 38 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 3C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 40 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 44 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 48 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 4C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 50 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44294_0 {
	meta:
		name = "TIWDBNavImages.SetCancel"
		size = 30
		altNames = "TIWTreeViewImages.SetDocumentImage"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 0C 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44295_0 {
	meta:
		name = "TIWDBNavImages.SetCancel_Disabled"
		size = 30
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 34 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44296_0 {
	meta:
		name = "TIWDBNavImages.SetDelete"
		size = 30
		altNames = "TIWTreeViewImages.SetClosedFolderImage"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 04 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44297_0 {
	meta:
		name = "TIWDBNavImages.SetDelete_Disabled"
		size = 30
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 2C 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44298_0 {
	meta:
		name = "TIWDBNavImages.SetEdit"
		size = 30
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 1C 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44299_0 {
	meta:
		name = "TIWDBNavImages.SetEdit_Disabled"
		size = 30
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 44 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44300_0 {
	meta:
		name = "TIWDBNavImages.SetFirst"
		size = 30
		altNames = "TIWTreeViewImages.SetPlusImage TIWTreeViewItem.SetItemImages"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 10 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44301_0 {
	meta:
		name = "TIWDBNavImages.SetFirst_Disabled"
		size = 30
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 38 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44302_0 {
	meta:
		name = "TIWDBNavImages.SetInsert"
		size = 30
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 18 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44303_0 {
	meta:
		name = "TIWDBNavImages.SetInsert_Disabled"
		size = 30
		altNames = "TIWJQueryWidget.SetOnReady"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 40 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44304_0 {
	meta:
		name = "TIWDBNavImages.SetLast"
		size = 30
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 24 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44305_0 {
	meta:
		name = "TIWDBNavImages.SetLast_Disabled"
		size = 30
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 4C 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44306_0 {
	meta:
		name = "TIWDBNavImages.SetNext"
		size = 30
		altNames = "TIWTreeViewImages.SetMinusImage TIWTreeViewItem.SetIWFont"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 14 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44308_0 {
	meta:
		name = "TIWDBNavImages.SetPost"
		size = 30
		altNames = "TIWTreeViewImages.SetOpenFolderImage"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 08 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44309_0 {
	meta:
		name = "TIWDBNavImages.SetPost_Disabled"
		size = 30
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 30 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44310_0 {
	meta:
		name = "TIWDBNavImages.SetPrior"
		size = 30
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 28 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44311_0 {
	meta:
		name = "TIWDBNavImages.SetPrior_Disabled"
		size = 30
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 50 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44312_0 {
	meta:
		name = "TIWDBNavImages.SetRefresh"
		size = 30
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 20 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44313_0 {
	meta:
		name = "TIWDBNavImages.SetRefresh_Disabled"
		size = 30
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 48 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_44314_0 {
	meta:
		name = "TIWDBEdit.Notification"
		size = 64
		refs = "0019 TControl.Notification"
	strings:
		$1 = { 55 8B EC 83 C4 F4 88 4D F7 89 55 F8 89 45 FC 8A 4D F7 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 80 7D F7 01 75 19 8B 45 FC 8B 80 D4 02 00 00 3B 45 F8 75 0B 8B 45 FC 33 D2 89 90 D4 02 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_44315_0 {
	meta:
		name = "TIWDBEdit.Paint"
		size = 35
		refs = "0014 TControl.SetText 001c TIWBaseControl.Paint"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 90 D0 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_44318_0 {
	meta:
		name = "TIWDBEdit.SetValue"
		size = 209
		refs = "001b TIWDBEdit.SetValue 002c TIWCustomEdit.SetValue 0046 CheckDataSource 0055 GetFieldText 0064 TControl.GetText 006d @UStrEqual 0089 TDataSource.Edit 009f TField.SetEditText 00b9 @UStrArrayClr 00c1 @UStrClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 33 C9 89 4D E8 89 4D F0 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F4 8B 45 FC 8B 90 D0 02 00 00 8B 45 FC 8B 80 D4 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 55 8D 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 58 E8 ?? ?? ?? ?? 74 30 8B 45 FC 80 B8 CC 02 00 00 00 74 0E 8B 45 FC 8B 80 D4 02 00 00 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 }
	condition:
		$1
}

rule function_44319_0 {
	meta:
		name = "TIWDBEdit.InitControl"
		size = 55
		refs = "000b TIWCustomEdit.InitControl 0015 _DV_TIWDataLink 001a TIWDataLink.Create 0030 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 C8 02 00 00 8B 45 FC 05 D0 02 00 00 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_44320_0 {
	meta:
		name = "TIWDBEdit.SetDataSource"
		size = 51
		refs = "002b TDataLink.SetDataSource"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 89 82 D4 02 00 00 8B 45 FC 8B 90 D4 02 00 00 8B 45 FC 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44321_0 {
	meta:
		name = "TIWDBEdit.CheckData"
		size = 302
		refs = "0011 TIWDBEdit.CheckData 0031 CheckDataSource 0056 InEditMode 006b TIWBaseHTMLControl.get_Editable 0086 TField.GetDisplayText 0091 TControl.SetText 009e GetFieldText 00df TIWCustomEdit.SetMaxLength 011e @UStrArrayClr 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 45 FC 8B 90 D0 02 00 00 8B 45 FC 8B 80 D4 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 A8 00 00 00 8B 45 FC 80 B8 CC 02 00 00 00 74 1E 8B 45 FC 8B 80 D4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 FC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3C 8B 45 F8 8A 40 48 04 F7 2C 03 73 18 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 2E 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? EB 16 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 80 78 48 01 75 3A 8B 45 F8 8B 10 FF 92 B4 00 00 00 8B D0 8B 45 FC E8 ?? ?? ?? ?? EB 23 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 CC 02 00 00 00 74 0D 33 D2 8B 45 FC 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_44323_0 {
	meta:
		name = "TIWDBLabel.Notification"
		size = 64
		refs = "0019 TControl.Notification"
		altNames = "TIWDBText.Notification"
	strings:
		$1 = { 55 8B EC 83 C4 F4 88 4D F7 89 55 F8 89 45 FC 8A 4D F7 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 80 7D F7 01 75 19 8B 45 FC 8B 80 B0 02 00 00 3B 45 F8 75 0B 8B 45 FC 33 D2 89 90 B0 02 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_44324_0 {
	meta:
		name = "TIWDBLabel.Paint"
		size = 63
		refs = "001d TControl.SetText 0038 TIWBaseControl.Paint"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 B8 AC 02 00 00 00 75 10 8B 45 FC 8B 50 08 8B 45 FC E8 ?? ?? ?? ?? EB 11 8B 45 FC 8B 90 AC 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_44327_0 {
	meta:
		name = "TIWDBLabel.InitControl"
		size = 55
		refs = "000b TIWCustomLabel.InitControl 0015 _DV_TIWDataLink 001a TIWDataLink.Create 0030 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A8 02 00 00 8B 45 FC 05 AC 02 00 00 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_44355_0 {
	meta:
		name = "TIWDBText.InitControl"
		size = 55
		refs = "000b TIWCustomText.InitControl 0015 _DV_TIWDataLink 001a TIWDataLink.Create 0030 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A8 02 00 00 8B 45 FC 05 AC 02 00 00 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_44328_0 {
	meta:
		name = "TIWDBLabel.SetDataSource"
		size = 51
		refs = "002b TDataLink.SetDataSource"
		altNames = "TIWDBText.SetDataSource"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 89 82 B0 02 00 00 8B 45 FC 8B 90 B0 02 00 00 8B 45 FC 8B 80 A8 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44329_0 {
	meta:
		name = "TIWDBLabel.CheckData"
		size = 125
		refs = "0012 TIWDBLabel.CheckData 0032 CheckDataSource 0041 TField.GetDisplayText 004c TControl.SetText 006d @UStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 45 FC 8B 90 AC 02 00 00 8B 45 FC 8B 80 B0 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 18 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_44330_0 {
	meta:
		name = "TIWDBLabel.Destroy"
		size = 62
		refs = "0007 @BeforeDestruction 001a FreeAndNil 0028 TIWVCLBaseControl.Destroy 0036 @ClassDestroy"
		altNames = "TIWDBText.Destroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 05 A8 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44331_0 {
	meta:
		name = "TIWDBMemo.CheckData"
		size = 259
		refs = "0011 TIWDBMemo.CheckData 0031 CheckDataSource 0040 GetFieldText 007a @UStrEqual 00a3 InEditMode 00f3 @UStrArrayClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 45 FC 8B 90 B8 02 00 00 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 7D 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 A0 02 00 00 8B 08 FF 51 2C 8D 55 F0 8B 45 FC 8B 80 A0 02 00 00 8B 08 FF 51 1C 8B 45 F0 50 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 58 E8 ?? ?? ?? ?? 0F 94 C0 8B 55 FC 88 82 A5 02 00 00 8B 45 FC 80 B8 B4 02 00 00 00 74 47 8B 45 FC 8B 80 BC 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 FC 00 00 00 EB 27 8B 45 FC 8B 80 A0 02 00 00 8B 10 FF 52 44 8B 45 FC 80 B8 B4 02 00 00 00 74 0D 33 D2 8B 45 FC 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_44332_0 {
	meta:
		name = "TIWDBCheckBox.Destroy"
		size = 62
		refs = "0007 @BeforeDestruction 001a FreeAndNil 0028 TIWVCLBaseControl.Destroy 0036 @ClassDestroy"
		altNames = "TIWDBMemo.Destroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 05 B0 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44333_0 {
	meta:
		name = "TIWDBMemo.SupportsInput"
		size = 20
		altNames = "TIWDataModuleCreator.GetShowSource TIWDeployCreator.GetUnnamed TIWFrameCreator.GetShowForm TIWFrameCreator.GetShowSource TIWProjectCreator.GetUnnamed TIWUnitCreator.GetShowForm TIWUnitCreator.GetShowSource TIWUnitCreator.GetUnnamed TIWUserSessionCreator.GetShowSource"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC C6 45 FB 01 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_44334_0 {
	meta:
		name = "TIWDBMemo.InitControl"
		size = 55
		refs = "000b TIWCustomMemo.InitControl 0015 _DV_TIWDataLink 001a TIWDataLink.Create 0030 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 B0 02 00 00 8B 45 FC 05 B8 02 00 00 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_44335_0 {
	meta:
		name = "TIWDBCheckBox.Notification"
		size = 64
		refs = "0019 TControl.Notification"
		altNames = "TIWDBMemo.Notification"
	strings:
		$1 = { 55 8B EC 83 C4 F4 88 4D F7 89 55 F8 89 45 FC 8A 4D F7 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 80 7D F7 01 75 19 8B 45 FC 8B 80 BC 02 00 00 3B 45 F8 75 0B 8B 45 FC 33 D2 89 90 BC 02 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_44336_0 {
	meta:
		name = "TIWDBMemo.RenderAsync"
		size = 44
		refs = "001e TIWCustomMemo.RenderAsync"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 64 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44337_0 {
	meta:
		name = "TIWDBMemo.RenderHTML"
		size = 44
		refs = "001e TIWCustomMemo.RenderHTML"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 64 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44338_0 {
	meta:
		name = "TIWDBCheckBox.SetDataSource"
		size = 51
		refs = "002b TDataLink.SetDataSource"
		altNames = "TIWDBMemo.SetDataSource"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 89 82 BC 02 00 00 8B 45 FC 8B 90 BC 02 00 00 8B 45 FC 8B 80 B0 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44339_0 {
	meta:
		name = "TIWDBMemo.SetValue"
		size = 218
		refs = "001b TIWDBMemo.SetValue 002c TIWCustomMemo.SetValue 0046 CheckDataSource 0055 GetFieldText 0070 @UStrEqual 008c TDataSource.Edit 00c2 @UStrArrayClr 00ca @UStrClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 33 C9 89 4D E8 89 4D F0 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F4 8B 45 FC 8B 90 B8 02 00 00 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 5E 8D 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 EC 8B 45 FC 8B 08 FF 91 BC 00 00 00 8B 55 EC 58 E8 ?? ?? ?? ?? 74 36 8B 45 FC 80 B8 B4 02 00 00 00 74 0E 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 08 FF 91 BC 00 00 00 8B 55 E8 8B 45 F4 8B 08 FF 91 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 }
	condition:
		$1
}

rule function_44340_0 {
	meta:
		name = "TIWDBNavigator.Destroy"
		size = 88
		refs = "0007 @BeforeDestruction 001a FreeAndNil 0042 TIWVCLBaseControl.Destroy 0050 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 05 A0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 04 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 98 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44341_0 {
	meta:
		name = "TIWDBNavigator.InitControl"
		size = 216
		refs = "000d TIWCustomControl.InitControl 0017 _DV_TIWDataLink 001c TIWDataLink.Create 0043 TIWDBNavigator.InitControl 005b _DV_TIWDBNavConfirmations 0060 TIWDBNavConfirmations.Create 0073 _DV_TIWDBNavImages 0078 TIWDBNavImages.Create 0090 TIWDBNavigator.SetVisibleButtons 009d TControl.SetHeight 00aa TControl.SetWidth"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 98 02 00 00 C6 45 FB 00 8B 45 FC 83 78 04 00 74 1F 8B 45 FC 8B 40 04 66 8B 40 1C 66 23 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? 66 3B D0 0F 94 45 FB 8A 4D FB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A0 02 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 04 03 00 00 66 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA 1C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BA FA 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 80 AC 02 00 00 18 00 00 00 8B 45 FC C7 80 A8 02 00 00 18 00 00 00 59 59 5D C3 12 00 00 00 10 00 00 00 FF 03 00 00 }
	condition:
		$1
}

rule function_44342_0 {
	meta:
		name = "TIWDBNavigator.Notification"
		size = 64
		refs = "0019 TControl.Notification"
	strings:
		$1 = { 55 8B EC 83 C4 F4 88 4D F7 89 55 F8 89 45 FC 8A 4D F7 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 80 7D F7 01 75 19 8B 45 FC 8B 80 A4 02 00 00 3B 45 F8 75 0B 8B 45 FC 33 D2 89 90 A4 02 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_44343_0 {
	meta:
		name = "TIWDBNavigator.GetSubmitParam"
		size = 33
		refs = "0019 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 92 9C 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44344_0 {
	meta:
		name = "DBNavImage"
		size = 2252
		refs = "0024 DBNavImage 0270 gServerController 0277 TIWServerControllerBase.GetFilesURL 0285 TIWFileReference.Location 029f TIWApplication.GetInternalURLBase 02b3 DBNavButtonImages 02d8 iif 02ed @UStrCatN 02fb _Dn_TIWHTMLTag 0300 TIWMarkupLanguageTag.CreateTag 0321 TIWMarkupLanguageTag.AddStringParam 0349 TIWMarkupLanguageTag.AddIntegerParam 03a8 Format 03c7 @HandleAnyException 03cf FreeAndNil 03d4 @RaiseAgain 03d9 @DoneExcept 0434 @IntOver 049d @UStrLAsg 04bf @UStrAsg 04df TIWCustomControl.SubmitHandler 0519 TIWHTMLTag.GetContents 0523 TIWHTMLTagCollection.AddTagAsObject 0652 TIWCustomControl.HintEvents 0678 @HandleFinally 0694 @UStrArrayClr 069c @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 0D 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E4 80 7D 0C 00 0F 84 23 01 00 00 33 C0 8A 45 FB 83 F8 09 0F 87 21 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 10 8B 40 FC 8B 80 04 03 00 00 8B 40 10 89 45 E4 E9 DB 01 00 00 8B 45 10 8B 40 FC 8B 80 04 03 00 00 8B 40 28 89 45 E4 E9 C4 01 00 00 8B 45 10 8B 40 FC 8B 80 04 03 00 00 8B 40 14 89 45 E4 E9 AD 01 00 00 8B 45 10 8B 40 FC 8B 80 04 03 00 00 8B 40 24 89 45 E4 E9 96 01 00 00 8B 45 10 8B 40 FC 8B 80 04 03 00 00 8B 40 18 89 45 E4 E9 7F 01 00 00 8B 45 10 8B 40 FC 8B 80 04 03 00 00 8B 40 04 89 45 E4 E9 68 01 00 00 8B 45 10 8B 40 FC 8B 80 04 03 00 00 8B 40 1C 89 45 E4 E9 51 01 00 00 8B 45 10 8B 40 FC 8B 80 04 03 00 00 8B 40 08 89 45 E4 E9 3A 01 00 00 8B 45 10 8B 40 FC 8B 80 04 03 00 00 8B 40 0C 89 45 E4 E9 23 01 00 00 8B 45 10 8B 40 FC 8B 80 04 03 00 00 8B 40 20 89 45 E4 E9 0C 01 00 00 33 C0 8A 45 FB 83 F8 09 0F 87 FE 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 10 8B 40 FC 8B 80 04 03 00 00 8B 40 38 89 45 E4 E9 B8 00 00 00 8B 45 10 8B 40 FC 8B 80 04 03 00 00 8B 40 50 89 45 E4 E9 A1 00 00 00 8B 45 10 8B 40 FC 8B 80 04 03 00 00 8B 40 3C 89 45 E4 E9 8A 00 00 00 8B 45 10 8B 40 FC 8B 80 04 03 00 00 8B 40 4C 89 45 E4 EB 76 8B 45 10 8B 40 FC 8B 80 04 03 00 00 8B 40 40 89 45 E4 EB 62 8B 45 10 8B 40 FC 8B 80 04 03 00 00 8B 40 2C 89 45 E4 EB 4E 8B 45 10 8B 40 FC 8B 80 04 03 00 00 8B 40 44 89 45 E4 EB 3A 8B 45 10 8B 40 FC 8B 80 04 03 00 00 8B 40 30 89 45 E4 EB 26 8B 45 10 8B 40 FC 8B 80 04 03 00 00 8B 40 34 89 45 E4 EB 12 8B 45 10 8B 40 FC 8B 80 04 03 00 00 8B 40 48 89 45 E4 8D 55 D4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 D4 8D 4D E8 8B 45 E4 E8 ?? ?? ?? ?? 83 7D E8 00 75 62 8D 55 D0 8B 45 10 8B 40 F8 8B 40 20 8B 40 04 E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? 33 C0 8A 45 FB FF 34 85 ?? ?? ?? ?? 8D 45 CC 50 80 7D 0C 00 74 0D 8B 45 10 80 78 F7 00 74 04 33 C0 EB 02 B0 01 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D E8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 8A 45 FB 8B 55 10 8B 4C 82 CC BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 10 8B 40 FC 8B 80 A8 02 00 00 89 45 B0 C6 45 B4 00 8B 45 10 8B 40 FC 8B 80 AC 02 00 00 89 45 B8 C6 45 BC 00 8B 45 10 8B 40 F8 8B 40 20 80 78 18 01 0F 94 C0 33 C9 BA FE FF FF FF E8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 00 8D 55 B0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 10 8B 40 FC 80 B8 B1 01 00 00 00 0F 85 17 02 00 00 80 7D 0C 00 0F 84 56 01 00 00 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 AC 50 8B 45 10 8B 40 FC 8B 80 A8 02 00 00 83 C0 06 71 05 E8 ?? ?? ?? ?? 89 45 9C C6 45 A0 00 8B 45 10 8B 40 FC 8B 80 AC 02 00 00 83 C0 06 71 05 E8 ?? ?? ?? ?? 89 45 A4 C6 45 A8 00 8D 55 9C B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D AC BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 10 8B 40 FC 8A 80 F0 01 00 00 88 45 DF 8D 45 D8 8B 55 10 8B 52 FC 8B 92 EC 01 00 00 E8 ?? ?? ?? ?? 8B 45 10 8B 40 FC 8A 55 08 88 90 F0 01 00 00 8B 45 10 8B 40 FC 05 EC 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? 6A 00 8D 45 98 50 33 C0 8A 45 FB 8B 55 10 8B 54 82 CC 8B 45 10 8B 40 FC 8B 4D FC E8 ?? ?? ?? ?? 8B 4D 98 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 10 8B 40 FC 8A 55 DF 88 90 F0 01 00 00 8B 45 10 8B 40 FC 05 EC 01 00 00 8B 55 D8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 8B 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 D3 00 00 00 E9 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B7 00 00 00 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 94 50 8B 45 10 8B 40 FC 8B 80 A8 02 00 00 83 C0 06 71 05 E8 ?? ?? ?? ?? 89 45 9C C6 45 A0 00 8B 45 10 8B 40 FC 8B 80 AC 02 00 00 83 C0 06 71 05 E8 ?? ?? ?? ?? 89 45 A4 C6 45 A8 00 8D 55 9C B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 94 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 8B 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 55 10 8B 52 FC 8B 92 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 8B 40 FC 05 88 00 00 00 33 D2 8A 55 FB 8B 4D 10 8B 54 91 CC E8 ?? ?? ?? ?? 8D 4D 90 8B 45 10 8B 40 FC 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 10 8B 40 FC 05 88 00 00 00 8B 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 90 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 C8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 8B 45 F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 2F 00 67 00 66 00 78 00 2F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 49 00 4D 00 47 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 52 00 43 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 4C 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 4F 00 52 00 44 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 37 00 00 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 72 00 65 00 6C 00 61 00 74 00 69 00 76 00 65 00 3B 00 77 00 69 00 64 00 74 00 68 00 3A 00 25 00 64 00 3B 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 25 00 64 00 3B 00 6C 00 65 00 66 00 74 00 3A 00 25 00 64 00 70 00 78 00 3B 00 74 00 6F 00 70 00 3A 00 30 00 70 00 78 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 55 00 54 00 54 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 34 00 00 00 77 00 69 00 64 00 74 00 68 00 3A 00 25 00 64 00 3B 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 25 00 64 00 3B 00 70 00 61 00 64 00 64 00 69 00 6E 00 67 00 2D 00 6C 00 65 00 66 00 74 00 3A 00 30 00 70 00 78 00 3B 00 70 00 61 00 64 00 64 00 69 00 6E 00 67 00 2D 00 74 00 6F 00 70 00 3A 00 30 00 70 00 78 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 6E 00 43 00 6C 00 69 00 63 00 6B 00 00 00 }
	condition:
		$1
}

rule function_44345_0 {
	meta:
		name = "AddImageTag"
		size = 304
		refs = "0019 TIWHTMLTag.GetContents 0020 AddImageTag 0025 TIWHTMLTagCollection.AddTag 0089 @IntOver 0096 TIWMarkupLanguageTag.AddIntegerParam 00cb TIWHTMLTagCollection.AddTagAsObject"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 08 83 78 C8 00 75 1F 8B 45 08 8B 40 C4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 C8 EB 2C 8B 45 08 8B 40 FC 80 B8 08 03 00 00 01 75 1D 8B 45 08 8B 40 C4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 C8 8B 45 08 8B 40 C8 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 08 8B 40 FC 8B 88 A8 02 00 00 83 C1 06 71 05 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 88 AC 02 00 00 83 C1 06 71 05 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 8B 55 FC E8 ?? ?? ?? ?? 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 77 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 68 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_44346_0 {
	meta:
		name = "TIWDBNavigator.RenderHTML"
		size = 1536
		refs = "0039 string 003e @InitializeArray 0046 TIWDBNavigator.RenderHTML 0055 RSbtnNameFirst 005c @UStrLAsg 0065 RSbtnNamePrior 0075 RSbtnNameNext 0085 RSbtnNameLast 0095 RSbtnNameInsert 00a5 RSbtnNameDelete 00b5 RSbtnNameEdit 00c5 RSbtnNamePost 00d5 RSbtnNameCancel 00e5 RSbtnNameRefresh 00fa _Dn_TIWHTMLTag 00ff TIWMarkupLanguageTag.CreateTag 0118 TIWHTMLTag.GetContents 0124 TIWHTMLTagCollection.AddTag 0135 CheckDataSource 01a0 InEditMode 01b2 TIWMarkupLanguageTag.AddIntegerParam 0214 DBNavImage 021a AddImageTag 03c6 TDataSet.IsEmpty 0508 FreeAndNil 0517 @HandleAnyException 0524 @RaiseAgain 0529 @DoneExcept 0543 @UStrArrayClr 0556 @FinalizeArray 055c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 33 C9 89 4D 94 89 4D 98 89 4D 9C 89 4D A0 89 4D A4 89 4D A8 89 4D AC 89 4D B0 89 4D B4 89 4D B8 89 55 F8 89 45 FC B9 0A 00 00 00 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 CC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 C0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C4 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 88 45 F7 C6 45 BF 00 C6 45 BD 00 C6 45 BE 00 C6 45 BC 00 80 7D F7 00 74 55 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 8A 80 A8 00 00 00 88 45 BF 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 8A 80 A9 00 00 00 88 45 BD 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 8B 10 FF 92 5C 01 00 00 88 45 BE 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 88 45 BC 33 C9 BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 33 C0 89 45 C8 8B 45 FC F6 80 00 03 00 00 01 74 3A 55 55 80 7D BF 00 0F 94 C0 22 45 F7 50 6A 01 8D 55 B8 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 45 B8 8B 55 FC 8B 92 A0 02 00 00 8B 4A 04 33 D2 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 00 03 00 00 02 74 3A 55 55 80 7D BF 00 0F 94 C0 22 45 F7 50 6A 01 8D 55 B4 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 45 B4 8B 55 FC 8B 92 A0 02 00 00 8B 4A 08 B2 01 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 00 03 00 00 04 74 3A 55 55 80 7D BD 00 0F 94 C0 22 45 F7 50 6A 01 8D 55 B0 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 45 B0 8B 55 FC 8B 92 A0 02 00 00 8B 4A 0C B2 02 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 00 03 00 00 08 74 3A 55 55 80 7D BD 00 0F 94 C0 22 45 F7 50 6A 01 8D 55 AC 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 45 AC 8B 55 FC 8B 92 A0 02 00 00 8B 4A 10 B2 03 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 00 03 00 00 40 74 48 55 55 80 7D BC 00 0F 94 C0 22 45 BE 74 06 80 7D F7 00 75 04 33 C0 EB 02 B0 01 50 6A 01 8D 55 A8 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 45 A8 8B 55 FC 8B 92 A0 02 00 00 8B 4A 14 B2 06 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 00 03 00 00 10 74 48 55 55 80 7D BC 00 0F 94 C0 22 45 BE 74 06 80 7D F7 00 75 04 33 C0 EB 02 B0 01 50 6A 01 8D 55 A4 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 45 A4 8B 55 FC 8B 92 A0 02 00 00 8B 4A 18 B2 04 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 00 03 00 00 20 74 5D 55 55 80 7D BC 00 0F 94 C0 22 45 BE 74 1B 80 7D F7 00 74 15 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 50 6A 00 8D 55 A0 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 45 A0 8B 55 FC 8B 92 A0 02 00 00 8B 4A 1C B2 05 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 00 03 00 00 80 74 44 55 55 8A 45 BC 22 45 BE 74 06 80 7D F7 00 75 04 33 C0 EB 02 B0 01 50 6A 01 8D 55 9C 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 45 9C 8B 55 FC 8B 92 A0 02 00 00 8B 4A 20 B2 07 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 01 03 00 00 01 74 44 55 55 8A 45 BC 22 45 BE 74 06 80 7D F7 00 75 04 33 C0 EB 02 B0 01 50 6A 00 8D 55 98 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 45 98 8B 55 FC 8B 92 A0 02 00 00 8B 4A 24 B2 08 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 01 03 00 00 02 74 48 55 55 80 7D BC 00 0F 94 C0 22 45 BE 74 06 80 7D F7 00 75 04 33 C0 EB 02 B0 01 50 6A 00 8D 55 94 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 45 94 8B 55 FC 8B 92 A0 02 00 00 8B 4A 28 B2 09 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 59 8B 45 C4 E8 ?? ?? ?? ?? 83 78 08 00 75 08 8D 45 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC B9 0A 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B 45 C0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 50 00 41 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 41 00 42 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 65 00 6C 00 6C 00 73 00 70 00 61 00 63 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 6F 00 72 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 65 00 6C 00 6C 00 70 00 61 00 64 00 64 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_44347_0 {
	meta:
		name = "TIWDBNavigator.SetDataSource"
		size = 51
		refs = "002b TDataLink.SetDataSource"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 89 82 A4 02 00 00 8B 45 FC 8B 90 A4 02 00 00 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44349_0 {
	meta:
		name = "TIWDBNavigator.SetOrientation"
		size = 39
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 45 FB 8B 55 FC 88 82 08 03 00 00 8B 45 FC 8B 10 FF 92 9C 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_44350_0 {
	meta:
		name = "TIWDBNavigator.SetVisibleButtons"
		size = 96
		refs = "002c TIWDBNavigator.SetVisibleButtons"
	strings:
		$1 = { 55 8B EC 83 C4 F8 66 89 55 FA 89 45 FC 66 8B 45 FA 8B 55 FC 66 89 82 00 03 00 00 8B 45 FC 8B 10 FF 92 E4 00 00 00 84 C0 74 12 66 A1 ?? ?? ?? ?? 8B 55 FC 66 3B 82 00 03 00 00 75 04 33 D2 EB 02 B2 01 8B 45 FC 8B 08 FF 91 E8 00 00 00 8B 45 FC 8B 10 FF 92 9C 00 00 00 59 59 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_44351_0 {
	meta:
		name = "DoEvent"
		size = 26
	strings:
		$1 = { 55 8B EC 66 83 7D 0A 00 74 0C 8B 45 10 8B 50 FC 8B 45 0C FF 55 08 5D C2 08 00 }
	condition:
		$1
}

rule function_44352_0 {
	meta:
		name = "TIWDBNavigator.Submit"
		size = 1134
		refs = "0015 TIWDBNavigator.Submit 002b @UStrAsg 0039 CheckDataSource 0047 RSbtnNameFirst 0051 SameText 0066 InEditMode 008f TDataSet.First 00a4 DoEvent 00b0 RSbtnNamePrior 00f8 TDataSet.Prior 0119 RSbtnNameNext 0161 TDataSet.Next 0182 RSbtnNameLast 01ca TDataSet.Last 01eb RSbtnNameEdit 0233 TDataSet.Edit 0254 RSbtnNameInsert 029c TDataSet.Insert 02bd RSbtnNameDelete 0305 TDataSet.Delete 0326 RSbtnNamePost 0369 RSbtnNameCancel 03ac RSbtnNameRefresh 03f4 TDataSet.Refresh 0422 RSInvalidResponse 042b Format 0435 _Dn_Exception 043a Exception.Create 043f @RaiseExcept 0449 TIWCustomControl.set_DoRefreshControl 045e @UStrClr 0464 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 05 9C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 FE 03 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 55 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 8B 10 FF 92 B0 02 00 00 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 55 8B 45 FC FF B0 B4 02 00 00 FF B0 B0 02 00 00 E8 ?? ?? ?? ?? 59 E9 95 03 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 55 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 8B 10 FF 92 B0 02 00 00 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 55 8B 45 FC FF B0 BC 02 00 00 FF B0 B8 02 00 00 E8 ?? ?? ?? ?? 59 E9 2C 03 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 55 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 8B 10 FF 92 B0 02 00 00 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 55 8B 45 FC FF B0 C4 02 00 00 FF B0 C0 02 00 00 E8 ?? ?? ?? ?? 59 E9 C3 02 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 55 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 8B 10 FF 92 B0 02 00 00 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 55 8B 45 FC FF B0 CC 02 00 00 FF B0 C8 02 00 00 E8 ?? ?? ?? ?? 59 E9 5A 02 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 55 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 8B 10 FF 92 B0 02 00 00 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 55 8B 45 FC FF B0 D4 02 00 00 FF B0 D0 02 00 00 E8 ?? ?? ?? ?? 59 E9 F1 01 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 55 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 8B 10 FF 92 B0 02 00 00 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 55 8B 45 FC FF B0 DC 02 00 00 FF B0 D8 02 00 00 E8 ?? ?? ?? ?? 59 E9 88 01 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 55 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 8B 10 FF 92 68 02 00 00 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 55 8B 45 FC FF B0 E4 02 00 00 FF B0 E0 02 00 00 E8 ?? ?? ?? ?? 59 E9 1F 01 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 2F 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 8B 10 FF 92 B0 02 00 00 55 8B 45 FC FF B0 EC 02 00 00 FF B0 E8 02 00 00 E8 ?? ?? ?? ?? 59 E9 DC 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 2F 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 8B 10 FF 92 68 02 00 00 55 8B 45 FC FF B0 F4 02 00 00 FF B0 F0 02 00 00 E8 ?? ?? ?? ?? 59 E9 99 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 52 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 8B 10 FF 92 68 02 00 00 8B 45 FC 8B 80 A4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 55 8B 45 FC FF B0 FC 02 00 00 FF B0 F8 02 00 00 E8 ?? ?? ?? ?? 59 EB 33 8D 45 F4 50 8B 45 F8 89 45 EC C6 45 F0 11 8D 55 EC A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_44353_0 {
	meta:
		name = "TIWDBText.CheckData"
		size = 185
		refs = "0015 TIWDBText.CheckData 0035 CheckDataSource 0050 TField.GetDisplayText 006e GetFieldText 00a9 @UStrArrayClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 D2 89 55 F0 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 45 FC 8B 90 AC 02 00 00 8B 45 FC 8B 80 B0 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 48 8B 45 F8 8A 40 48 04 F7 2C 03 73 1E 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 A0 02 00 00 8B 08 FF 51 2C EB 2C 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 80 A0 02 00 00 8B 08 FF 51 2C EB 0E 8B 45 FC 8B 80 A0 02 00 00 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_44360_0 {
	meta:
		name = "TIWDBCheckBox.CheckData"
		size = 211
		refs = "0012 TIWDBCheckBox.CheckData 0032 CheckDataSource 0041 GetFieldText 0052 AnsiSameText 007c InEditMode 00c3 @UStrClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 45 FC 8B 90 B8 02 00 00 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 55 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 60 01 00 00 8B 45 FC 80 B8 B4 02 00 00 00 74 43 8B 45 FC 8B 80 BC 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 FC 00 00 00 EB 23 8B 45 FC C6 80 9C 02 00 00 00 8B 45 FC 80 B8 B4 02 00 00 00 74 0D 33 D2 8B 45 FC 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_44362_0 {
	meta:
		name = "TIWDBCheckBox.InitControl"
		size = 140
		refs = "000b TIWCustomCheckBox.InitControl 0015 _DV_TIWDataLink 001a TIWDataLink.Create 0030 TIWDBCheckBox.InitControl 0035 @UStrAsg 0054 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 B0 02 00 00 8B 45 FC 05 C0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 C4 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 B8 02 00 00 E8 ?? ?? ?? ?? 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_44364_0 {
	meta:
		name = "TIWDBCheckBox.RenderAsync"
		size = 44
		refs = "001e TIWCustomCheckBox.RenderAsync"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 68 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44365_0 {
	meta:
		name = "TIWDBCheckBox.RenderHTML"
		size = 44
		refs = "001e TIWCustomCheckBox.RenderHTML"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 68 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44366_0 {
	meta:
		name = "TIWDBCheckBox.SetDataField"
		size = 43
		refs = "0018 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 05 B8 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_44368_0 {
	meta:
		name = "TIWDBCheckBox.SetValue"
		size = 230
		refs = "0018 TIWDBCheckBox.SetValue 0029 TIWCustomCheckBox.SetValue 0043 CheckDataSource 006b iif 0085 GetFieldText 0090 AnsiSameText 00ae TDataSource.Edit 00b9 TField.SetEditText 00ce @UStrClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 C9 89 4D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F0 8B 45 FC 8B 90 B8 02 00 00 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 72 8D 45 F4 50 8B 45 FC 8B 88 C4 02 00 00 8B 45 FC 8B 90 C0 02 00 00 8B 45 FC 8A 80 9C 02 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 92 B0 00 00 00 84 C0 75 1A 8D 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC 8B 55 F4 E8 ?? ?? ?? ?? 84 C0 75 25 8B 45 FC 80 B8 B4 02 00 00 00 74 0E 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 }
	condition:
		$1
}

rule function_44369_0 {
	meta:
		name = "TIWDBComboBox.CheckData"
		size = 392
		refs = "001b TIWDBComboBox.CheckData 003b CheckDataSource 006b GetFieldText 0073 TIWCustomListCombo.GetItems 0082 @IntOver 00a4 TStrings.GetName 00b9 TStrings.GetValue 00c4 @UStrEqual 0121 InEditMode 0170 @UStrArrayClr 0178 @UStrClr 017e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 33 D2 89 55 E0 89 55 E8 89 55 E4 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 45 FC 8B 90 E0 02 00 00 8B 45 FC 8B 80 E4 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 ED 00 00 00 8B 45 FC 80 B8 A8 02 00 00 00 0F 84 8B 00 00 00 8B 45 FC C7 80 A4 02 00 00 FF FF FF FF 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 7E 40 89 45 EC C7 45 F4 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E8 5A E8 ?? ?? ?? ?? 8B 45 E8 8B 55 F0 E8 ?? ?? ?? ?? 75 0E 8B 45 F4 8B 55 FC 89 82 A4 02 00 00 EB 30 FF 45 F4 FF 4D EC 75 B5 EB 26 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 8B 55 FC 89 82 A4 02 00 00 8B 45 FC 80 B8 DC 02 00 00 00 74 46 8B 45 FC 8B 80 E4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 FC 00 00 00 EB 26 8B 45 FC C7 80 A4 02 00 00 FF FF FF FF 8B 45 FC 80 B8 DC 02 00 00 00 74 0D 33 D2 8B 45 FC 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 }
	condition:
		$1
}

rule function_44370_0 {
	meta:
		name = "TIWDBComboBox.Destroy"
		size = 62
		refs = "0007 @BeforeDestruction 001a FreeAndNil 0028 TIWCustomComboBox.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 05 D8 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44371_0 {
	meta:
		name = "TIWDBComboBox.InitControl"
		size = 55
		refs = "000b TIWCustomComboBox.InitControl 0015 _DV_TIWDataLink 001a TIWDataLink.Create 0030 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 D8 02 00 00 8B 45 FC 05 E0 02 00 00 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_44372_0 {
	meta:
		name = "TIWDBComboBox.Notification"
		size = 64
		refs = "0019 TControl.Notification"
	strings:
		$1 = { 55 8B EC 83 C4 F4 88 4D F7 89 55 F8 89 45 FC 8A 4D F7 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 80 7D F7 01 75 19 8B 45 FC 8B 80 E4 02 00 00 3B 45 F8 75 0B 8B 45 FC 33 D2 89 90 E4 02 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_44373_0 {
	meta:
		name = "TIWDBComboBox.RenderAsync"
		size = 44
		refs = "001e TIWCustomComboBox.RenderAsync"
		altNames = "TIWDBLookupComboBox.RenderAsync"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 74 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44374_0 {
	meta:
		name = "TIWDBComboBox.RenderHTML"
		size = 44
		refs = "001e TIWCustomComboBox.RenderHTML"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 74 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44381_0 {
	meta:
		name = "TIWDBListbox.RenderAsync"
		size = 44
		refs = "001e TIWCustomListbox.RenderAsync"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 74 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44382_0 {
	meta:
		name = "TIWDBListbox.RenderHTML"
		size = 44
		refs = "001e TIWCustomListbox.RenderHTML"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 74 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44399_0 {
	meta:
		name = "TIWDBLookupListBox.RenderAsync"
		size = 44
		refs = "001e TIWCustomListbox.RenderAsync"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 74 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44400_0 {
	meta:
		name = "TIWDBLookupListBox.RenderHTML"
		size = 44
		refs = "001e TIWCustomListbox.RenderHTML"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 74 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44375_0 {
	meta:
		name = "TIWDBComboBox.SetDataSource"
		size = 45
		refs = "0025 TDataLink.SetDataSource"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 89 82 E4 02 00 00 8B 55 F8 8B 45 FC 8B 80 D8 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44376_0 {
	meta:
		name = "TIWDBComboBox.SetValue"
		size = 322
		refs = "001c TIWDBComboBox.SetValue 002d TIWCustomComboBox.SetValue 0047 CheckDataSource 007c TIWCustomListCombo.GetItems 009f TStrings.GetName 00ad TStrings.GetValue 00d2 @UStrClr 00dd GetFieldText 00e8 @UStrEqual 0104 TDataSource.Edit 010f TField.SetEditText 0129 @UStrArrayClr 0137 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 C9 89 4D E4 89 4D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F0 8B 45 FC 8B 90 E0 02 00 00 8B 45 FC 8B 80 E4 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 C0 00 00 00 8B 45 FC 8B 80 E4 02 00 00 8B 40 38 80 B8 A5 00 00 00 01 0F 84 A7 00 00 00 8B 45 FC 83 B8 A4 02 00 00 FF 7E 56 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 80 B8 A8 02 00 00 00 74 24 8D 4D E8 8B 45 FC 8B 90 A4 02 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E8 8D 4D F4 8B 45 EC E8 ?? ?? ?? ?? EB 23 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F4 8B 55 FC 8B 92 A4 02 00 00 8B 18 FF 53 0C EB 08 8D 45 F4 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E4 8B 55 F4 E8 ?? ?? ?? ?? 74 25 8B 45 FC 80 B8 DC 02 00 00 00 74 0E 8B 45 FC 8B 80 E4 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44377_0 {
	meta:
		name = "TIWDBListbox.CheckData"
		size = 493
		refs = "0016 TIWDBListbox.CheckData 0036 CheckDataSource 006a GetFieldText 0084 Trim 0096 iif 009e TIWCustomListCombo.GetItems 00ad @IntOver 00d3 TStrings.GetName 00e8 TStrings.GetValue 00f3 @UStrEqual 0186 InEditMode 01d5 @UStrArrayClr 01dd @UStrClr 01e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 45 FC 8B 90 F0 02 00 00 8B 45 FC 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 57 01 00 00 8B 45 FC 80 B8 A8 02 00 00 00 0F 84 C5 00 00 00 8B 45 FC C7 80 A4 02 00 00 FF FF FF FF 8D 45 F0 50 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8A 80 EC 02 00 00 59 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C 06 01 00 00 40 89 45 EC C7 45 F4 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 4D D8 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D DC 5A E8 ?? ?? ?? ?? 8B 45 DC 8B 55 F0 E8 ?? ?? ?? ?? 75 11 8B 45 F4 8B 55 FC 89 82 A4 02 00 00 E9 B5 00 00 00 FF 45 F4 FF 4D EC 75 B2 E9 A8 00 00 00 8D 45 D4 50 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D0 50 8D 55 C8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 C8 8D 55 CC E8 ?? ?? ?? ?? 8B 55 CC 8B 45 FC 8A 80 EC 02 00 00 59 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 8B 55 FC 89 82 A4 02 00 00 8B 45 FC 80 B8 ED 02 00 00 00 74 46 8B 45 FC 8B 80 F4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 FC 00 00 00 EB 26 8B 45 FC C7 80 A4 02 00 00 FF FF FF FF 8B 45 FC 80 B8 ED 02 00 00 00 74 0D 33 D2 8B 45 FC 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 }
	condition:
		$1
}

rule function_44378_0 {
	meta:
		name = "TIWDBListbox.Destroy"
		size = 62
		refs = "0007 @BeforeDestruction 001a FreeAndNil 0028 TIWVCLBaseControl.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 05 E8 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44379_0 {
	meta:
		name = "TIWDBListbox.InitControl"
		size = 65
		refs = "000b TIWCustomListbox.InitControl 001f _DV_TIWDataLink 0024 TIWDataLink.Create 003a @UStrClr"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 EC 02 00 00 01 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 E8 02 00 00 8B 45 FC 05 F0 02 00 00 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_44380_0 {
	meta:
		name = "TIWDBListbox.Notification"
		size = 64
		refs = "0019 TControl.Notification"
	strings:
		$1 = { 55 8B EC 83 C4 F4 88 4D F7 89 55 F8 89 45 FC 8A 4D F7 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 80 7D F7 01 75 19 8B 45 FC 8B 80 F4 02 00 00 3B 45 F8 75 0B 8B 45 FC 33 D2 89 90 F4 02 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_44383_0 {
	meta:
		name = "TIWDBListbox.SetDataSource"
		size = 51
		refs = "002b TDataLink.SetDataSource"
		altNames = "TIWDBLookupListBox.SetDataSource"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 89 82 F4 02 00 00 8B 45 FC 8B 90 F4 02 00 00 8B 45 FC 8B 80 E8 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44384_0 {
	meta:
		name = "TIWDBListbox.SetValue"
		size = 297
		refs = "001c TIWDBListbox.SetValue 002d TIWCustomListbox.SetValue 0047 CheckDataSource 0063 TIWCustomListCombo.GetItems 0086 TStrings.GetName 0094 TStrings.GetValue 00b9 @UStrClr 00c4 GetFieldText 00cf @UStrEqual 00eb TDataSource.Edit 00f6 TField.SetEditText 0110 @UStrArrayClr 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 C9 89 4D E4 89 4D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F0 8B 45 FC 8B 90 F0 02 00 00 8B 45 FC 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 A7 00 00 00 8B 45 FC 83 B8 A4 02 00 00 FF 7E 56 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 80 B8 A8 02 00 00 00 74 24 8D 4D E8 8B 45 FC 8B 90 A4 02 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E8 8D 4D F4 8B 45 EC E8 ?? ?? ?? ?? EB 23 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F4 8B 55 FC 8B 92 A4 02 00 00 8B 18 FF 53 0C EB 08 8D 45 F4 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E4 8B 55 F4 E8 ?? ?? ?? ?? 74 25 8B 45 FC 80 B8 ED 02 00 00 00 74 0E 8B 45 FC 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44385_0 {
	meta:
		name = "TIWDBLookupComboBox.GetKeyValue"
		size = 216
		refs = "0016 TIWDBLookupComboBox.GetKeyValue 0066 @VarFromUStr 0077 @VarFromInt 0093 CheckDataSource 009f Null 00b2 @VarCopy 00c7 @UStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 A4 02 00 00 FF 74 51 8B 45 FC 8B 80 F0 02 00 00 8B 10 FF 52 14 8B 55 FC 3B 82 A4 02 00 00 7E 27 8D 4D F0 8B 45 FC 8B 90 A4 02 00 00 8B 45 FC 8B 80 F0 02 00 00 8B 18 FF 53 0C 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? EB 4A 8B 45 F8 BA FF FF FF FF B1 FF E8 ?? ?? ?? ?? EB 39 8D 4D F4 8B 45 FC 8B 90 E0 02 00 00 8B 45 FC 8B 80 E4 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 F8 E8 ?? ?? ?? ?? EB 11 8B 45 F8 8B 55 FC 81 C2 00 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44386_0 {
	meta:
		name = "TIWDBLookupComboBox.SetKeyValue"
		size = 158
		refs = "0015 TIWDBLookupComboBox.SetKeyValue 0026 @VarToUStr 005a CheckDataSource 006e @VarCopy 008e @UStrClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 80 F0 02 00 00 8B 08 FF 51 54 8B 55 FC 89 82 A4 02 00 00 8D 4D F4 8B 45 FC 8B 90 E0 02 00 00 8B 45 FC 8B 80 E4 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 FC 05 00 03 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_44387_0 {
	meta:
		name = "TIWDBLookupComboBox.Destroy"
		size = 75
		refs = "0007 @BeforeDestruction 001a FreeAndNil 0035 TIWCustomComboBox.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 05 D8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 F0 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44388_0 {
	meta:
		name = "TIWDBLookupComboBox.InitControl"
		size = 125
		refs = "000b TIWCustomComboBox.InitControl 0015 _DV_TIWDataLink 001a TIWDataLink.Create 002a _Dn_TStringList 002f TStringList.Create 0052 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 D8 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 F0 02 00 00 8B 45 FC C7 80 A4 02 00 00 FF FF FF FF 8B 45 FC 05 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 EC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 80 E8 02 00 00 01 8B 45 FC 05 F4 02 00 00 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_44389_0 {
	meta:
		name = "TIWDBLookupComboBox.Notification"
		size = 89
		refs = "0019 TControl.Notification"
	strings:
		$1 = { 55 8B EC 83 C4 F4 88 4D F7 89 55 F8 89 45 FC 8A 4D F7 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 80 7D F7 01 75 32 8B 45 FC 8B 80 E4 02 00 00 3B 45 F8 75 0B 8B 45 FC 33 D2 89 90 E4 02 00 00 8B 45 FC 8B 80 F8 02 00 00 3B 45 F8 75 0B 8B 45 FC 33 D2 89 90 F8 02 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_44391_0 {
	meta:
		name = "TIWDBLookupComboBox.RenderHTML"
		size = 284
		refs = "001b TIWCustomListCombo.GetItems 004c TIWCustomComboBox.RenderHTML 0067 TIWHTMLTag.GetContents 006e TIWDBLookupComboBox.RenderHTML 0073 TIWHTMLTagCollection.AddTag 0083 TIWMarkupLanguageTag.Add 0093 TIWMarkupLanguageTag.AddIntegerParam 00ab TIWMarkupLanguageTagCollection.AddText"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 92 74 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 0F 85 85 00 00 00 8B 45 FC 80 B8 E8 02 00 00 00 74 1D 33 D2 8B 45 FC 8B 08 FF 91 80 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 EB 6A 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 83 C9 FF BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 8B 55 FC 8B 92 AC 02 00 00 E8 ?? ?? ?? ?? EB 0E 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 45 00 4C 00 45 00 43 00 54 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 41 00 4C 00 55 00 45 00 00 00 }
	condition:
		$1
}

rule function_44392_0 {
	meta:
		name = "TIWDBLookupComboBox.CheckData"
		size = 684
		refs = "0016 TIWDBLookupComboBox.CheckData 0032 TIWCustomListCombo.GetItems 0051 CheckDataSource 00b1 TDataSet.First 00be GetFieldText 0100 TDataSet.Next 0129 TDataSet.GotoBookmark 0153 @HandleFinally 01d7 InEditMode 01f1 TIWDBLookupComboBox.GetKeyValue 01fd Null 0206 @VarCmpNE 021e @VarToUStr 0266 @VarClr 026e @UStrClr 0277 Variant 0281 @FinalizeArray 028e @UStrArrayClr 0297 TArray<System.Byte> 029c @DynArrayClear"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F0 02 00 00 8B 10 FF 52 44 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 44 8D 4D F0 8B 45 FC 8B 90 F4 02 00 00 8B 45 FC 8B 80 F8 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 FC 00 00 00 8D 4D F4 8B 45 FC 8B 90 EC 02 00 00 8B 45 FC 8B 80 F8 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 DA 00 00 00 8D 55 F8 8B 45 FC 8B 80 F8 02 00 00 8B 40 38 8B 08 FF 91 78 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F8 02 00 00 8B 40 38 E8 ?? ?? ?? ?? EB 4D 8D 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 38 8D 55 E8 8B 45 F4 8B 08 FF 91 80 00 00 00 8B 55 E8 8B 45 FC 8B 80 F0 02 00 00 8B 08 FF 51 38 8B 45 FC 8B 80 F8 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F8 02 00 00 8B 40 38 80 B8 A9 00 00 00 00 74 9E 8B 45 FC 8B 80 F8 02 00 00 8B 40 38 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 F8 02 00 00 8B 40 38 8B 55 F8 8B 08 FF 91 74 02 00 00 C3 E9 ?? ?? ?? ?? EB E1 8D 4D F0 8B 45 FC 8B 90 E0 02 00 00 8B 45 FC 8B 80 E4 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 73 8B 45 F0 8B 10 FF 92 B0 00 00 00 84 C0 74 0F 8B 45 FC C7 80 A4 02 00 00 FF FF FF FF EB 25 8D 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 F0 02 00 00 8B 08 FF 51 54 8B 55 FC 89 82 A4 02 00 00 8B 45 FC 80 B8 DC 02 00 00 00 0F 84 8B 00 00 00 8B 45 FC 8B 80 E4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 FC 00 00 00 EB 6B 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 D4 50 8D 45 C4 E8 ?? ?? ?? ?? 8D 55 C4 58 E8 ?? ?? ?? ?? 74 30 8D 55 B0 8B 45 FC E8 ?? ?? ?? ?? 8D 55 B0 8D 45 C0 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 FC 8B 80 F0 02 00 00 8B 08 FF 51 54 8B 55 FC 89 82 A4 02 00 00 8B 45 FC 80 B8 DC 02 00 00 00 74 0D 33 D2 8B 45 FC 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BA 8B E5 5D C3 }
	condition:
		$1
}

rule function_44393_0 {
	meta:
		name = "TIWDBLookupComboBox.SetDataSource"
		size = 51
		refs = "002b TDataLink.SetDataSource"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 89 82 E4 02 00 00 8B 45 FC 8B 90 E4 02 00 00 8B 45 FC 8B 80 D8 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44394_0 {
	meta:
		name = "TIWDBLookupComboBox.SetValue"
		size = 452
		refs = "001a TIWDBLookupComboBox.SetValue 0052 TIWBaseHTMLControl.get_Editable 0065 TIWCustomComboBox.SetValue 007f CheckDataSource 00a0 @UStrLAsg 00d8 @UStrEqual 00e5 GetFieldText 0110 TDataSource.Edit 0149 TField.SetEditText 016d Null 017d @VarCopy 0192 @VarClr 019a @UStrClr 01a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A4 02 00 00 89 45 EC 8B 45 FC 83 B8 E4 02 00 00 00 74 22 8B 45 FC 8B 80 E4 02 00 00 8A 40 42 04 FE 2C 02 72 10 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 23 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F0 8B 45 FC 8B 90 E0 02 00 00 8B 45 FC 8B 80 E4 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 C4 00 00 00 8B 45 FC 83 B8 A4 02 00 00 FF 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8D 4D F4 8B 45 FC 8B 90 A4 02 00 00 8B 45 FC 8B 80 F0 02 00 00 8B 18 FF 53 0C 8B 45 F0 8B 10 FF 92 B0 00 00 00 84 C0 74 0F 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1C 8D 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 F4 E8 ?? ?? ?? ?? 0F 84 87 00 00 00 8B 45 FC 80 B8 DC 02 00 00 00 74 0E 8B 45 FC 8B 80 E4 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1F 8B 45 F0 8B 40 3C 8A 80 A5 00 00 00 04 FE 2C 02 73 4C 8B 45 F0 8B 10 FF 92 24 01 00 00 EB 3F 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? EB 32 8B 45 FC 8B 80 A4 02 00 00 3B 45 EC 74 24 8B 45 FC 83 B8 A4 02 00 00 FF 75 18 8D 45 D8 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 05 00 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_44395_0 {
	meta:
		name = "TIWDBLookupComboBox.SetDisableWhenEmpty"
		size = 53
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 8A 80 E8 02 00 00 3A 45 FB 74 17 8A 45 FB 8B 55 FC 88 82 E8 02 00 00 8B 45 FC 8B 10 FF 92 9C 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_44396_0 {
	meta:
		name = "TIWDBLookupListBox.Destroy"
		size = 75
		refs = "0007 @BeforeDestruction 001a FreeAndNil 0035 TIWVCLBaseControl.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 05 FC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 E8 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44397_0 {
	meta:
		name = "TIWDBLookupListBox.InitControl"
		size = 102
		refs = "000b TIWCustomListbox.InitControl 0015 _DV_TIWDataLink 001a TIWDataLink.Create 002a _Dn_TStringList 002f TStringList.Create 0045 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 E8 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 FC 02 00 00 8B 45 FC 05 F0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 F8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 00 03 00 00 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_44398_0 {
	meta:
		name = "TIWDBLookupListBox.Notification"
		size = 89
		refs = "0019 TControl.Notification"
	strings:
		$1 = { 55 8B EC 83 C4 F4 88 4D F7 89 55 F8 89 45 FC 8A 4D F7 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 80 7D F7 01 75 32 8B 45 FC 8B 80 F4 02 00 00 3B 45 F8 75 0B 8B 45 FC 33 D2 89 90 F4 02 00 00 8B 45 FC 8B 80 04 03 00 00 3B 45 F8 75 0B 8B 45 FC 33 D2 89 90 04 03 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_44401_0 {
	meta:
		name = "TIWDBLookupListBox.CheckData"
		size = 443
		refs = "0018 TIWDBLookupListBox.CheckData 0026 TIWCustomListCombo.GetItems 0053 CheckDataSource 008a TDataSet.First 0097 GetFieldText 00d6 TDataSet.Next 0169 InEditMode 01ab @UStrArrayClr 01b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 33 D2 89 55 E8 89 55 EC 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B 45 FC 8B 80 FC 02 00 00 8B 10 FF 52 44 8D 4D F8 8B 45 FC 8B 90 00 03 00 00 8B 45 FC 8B 80 04 03 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 90 00 00 00 8D 4D F4 8B 45 FC 8B 90 F8 02 00 00 8B 45 FC 8B 80 04 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 72 8B 45 FC 8B 80 04 03 00 00 8B 40 38 E8 ?? ?? ?? ?? EB 4A 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 38 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8B 80 FC 02 00 00 8B 08 FF 51 38 8B 45 FC 8B 80 04 03 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 04 03 00 00 8B 40 38 80 B8 A9 00 00 00 00 74 A1 8D 4D F8 8B 45 FC 8B 90 F0 02 00 00 8B 45 FC 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 6F 8B 45 F8 8B 10 FF 92 B0 00 00 00 84 C0 74 0F 8B 45 FC C7 80 A4 02 00 00 FF FF FF FF EB 25 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 8B 80 FC 02 00 00 8B 08 FF 51 54 8B 55 FC 89 82 A4 02 00 00 8B 45 FC 80 B8 EC 02 00 00 00 74 39 8B 45 FC 8B 80 F4 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 FC 00 00 00 EB 19 8B 45 FC 80 B8 EC 02 00 00 00 74 0D 33 D2 8B 45 FC 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_44403_0 {
	meta:
		name = "TIWDBLookupListBox.SetValue"
		size = 300
		refs = "0019 TIWDBLookupListBox.SetValue 002a TIWCustomListbox.SetValue 0044 CheckDataSource 0065 @UStrLAsg 009d @UStrEqual 00aa GetFieldText 00c5 TDataSource.Edit 00ec TField.SetEditText 0101 @UStrClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F0 8B 45 FC 8B 90 F0 02 00 00 8B 45 FC 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 A0 00 00 00 8B 45 FC 83 B8 A4 02 00 00 FF 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8D 4D F4 8B 45 FC 8B 90 A4 02 00 00 8B 45 FC 8B 80 FC 02 00 00 8B 18 FF 53 0C 8B 45 F0 8B 10 FF 92 B0 00 00 00 84 C0 74 0F 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 18 8D 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC 8B 55 F4 E8 ?? ?? ?? ?? 74 35 8B 45 FC 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8B 45 F0 8B 10 FF 92 24 01 00 00 EB 0B 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_44407_0 {
	meta:
		name = "TIWDBFile.RenderHTML"
		size = 60
		refs = "0016 CheckDataSource 002e TIWCustomFile.RenderHTML"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 80 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44409_0 {
	meta:
		name = "TIWDBFile.SetFileValue"
		size = 180
		refs = "0014 TIWCustomFile.SetFileValue 002e CheckDataSource 003a TIWCustomFile.GetSize 004c TDataSource.Edit 0060 TDataSet.FieldByName 007d TIWDBFile.SetFileValue 008e TIWCustomFile.SaveToStream 00a3 FreeAndNil 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F4 8B 45 FC 8B 90 CC 02 00 00 8B 45 FC 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 79 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 6D 8B 45 FC 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 CC 02 00 00 8B 45 F4 8B 40 3C E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 3C B1 01 8B 18 FF 93 70 02 00 00 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44410_0 {
	meta:
		name = "TIWDataLink.ActiveChanged"
		size = 41
		refs = "000b TDataLink.ActiveChanged"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 78 1C 00 74 0E 8B 45 FC 8B 40 1C 8B 10 FF 92 9C 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_44413_0 {
	meta:
		name = "TIWDataLink.EditingChanged"
		size = 41
		refs = "000b TDataLink.EditingChanged"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 78 1C 00 74 0E 8B 45 FC 8B 40 1C 8B 10 FF 92 9C 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_44414_0 {
	meta:
		name = "TIWDataLink.LayoutChanged"
		size = 41
		refs = "000b TDataLink.LayoutChanged"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 78 1C 00 74 0E 8B 45 FC 8B 40 1C 8B 10 FF 92 9C 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_44411_0 {
	meta:
		name = "TIWDataLink.Create"
		size = 77
		refs = "000e @ClassCreate 0021 TDataLink.Create 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 50 1C 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_44412_0 {
	meta:
		name = "TIWDataLink.DataEvent"
		size = 71
		refs = "0019 TDataLink.DataEvent"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 88 55 FB 89 45 FC 8B 4D F4 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 8A 45 FB 2C 01 72 08 FE C8 74 04 2C 05 75 17 8B 45 FC 83 78 1C 00 74 0E 8B 45 FC 8B 40 1C 8B 10 FF 92 9C 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_44415_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_51 001a DBNavButtonImages 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 0A 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_44416_0 {
	meta:
		name = "IWDBStdCtrls"
		size = 2852
		refs = "0005 _DV_51 0011 IWDBStdCtrls 001b _Dn_TIWServer 0020 TIWServer.AddInternalFile"
	strings:
		$1 = { 55 8B EC 83 2D ?? ?? ?? ?? 01 0F 83 90 01 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 2F 00 67 00 66 00 78 00 2F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 43 00 61 00 6E 00 63 00 65 00 6C 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 43 00 61 00 6E 00 63 00 65 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 2F 00 67 00 66 00 78 00 2F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 44 00 65 00 6C 00 65 00 74 00 65 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 64 00 65 00 6C 00 65 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 2F 00 67 00 66 00 78 00 2F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 45 00 64 00 69 00 74 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 65 00 64 00 69 00 74 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 2F 00 67 00 66 00 78 00 2F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 46 00 69 00 72 00 73 00 74 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 66 00 69 00 72 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 2F 00 67 00 66 00 78 00 2F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 49 00 6E 00 73 00 65 00 72 00 74 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 69 00 6E 00 73 00 65 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 2F 00 67 00 66 00 78 00 2F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 4C 00 61 00 73 00 74 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 6C 00 61 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 2F 00 67 00 66 00 78 00 2F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 4E 00 65 00 78 00 74 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 6E 00 65 00 78 00 74 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 2F 00 67 00 66 00 78 00 2F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 50 00 6F 00 73 00 74 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 70 00 6F 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 2F 00 67 00 66 00 78 00 2F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 50 00 72 00 69 00 6F 00 72 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 70 00 72 00 69 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 2F 00 67 00 66 00 78 00 2F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 52 00 65 00 66 00 72 00 65 00 73 00 68 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 72 00 65 00 66 00 72 00 65 00 73 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 2F 00 67 00 66 00 78 00 2F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 43 00 61 00 6E 00 63 00 65 00 6C 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 43 00 61 00 6E 00 63 00 65 00 6C 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 2F 00 67 00 66 00 78 00 2F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 44 00 65 00 6C 00 65 00 74 00 65 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 64 00 65 00 6C 00 65 00 74 00 65 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 2F 00 67 00 66 00 78 00 2F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 45 00 64 00 69 00 74 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 65 00 64 00 69 00 74 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 2F 00 67 00 66 00 78 00 2F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 46 00 69 00 72 00 73 00 74 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 66 00 69 00 72 00 73 00 74 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 2F 00 67 00 66 00 78 00 2F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 49 00 6E 00 73 00 65 00 72 00 74 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 69 00 6E 00 73 00 65 00 72 00 74 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 2F 00 67 00 66 00 78 00 2F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 4C 00 61 00 73 00 74 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 6C 00 61 00 73 00 74 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 2F 00 67 00 66 00 78 00 2F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 4E 00 65 00 78 00 74 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 6E 00 65 00 78 00 74 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 2F 00 67 00 66 00 78 00 2F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 50 00 6F 00 73 00 74 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 70 00 6F 00 73 00 74 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 2F 00 67 00 66 00 78 00 2F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 50 00 72 00 69 00 6F 00 72 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 70 00 72 00 69 00 6F 00 72 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 2F 00 67 00 66 00 78 00 2F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 52 00 65 00 66 00 72 00 65 00 73 00 68 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 72 00 65 00 66 00 72 00 65 00 73 00 68 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_44417_0 {
	meta:
		name = "TformAppWizard.actnOkExecute"
		size = 255
		refs = "0018 TformAppWizard.actnOkExecute 005e TControl.GetText 006e @UStrAsg 00ef @UStrArrayClr 00f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 E9 03 00 00 01 8B 45 FC 33 D2 89 90 EC 03 00 00 8B 45 FC 8B 80 C8 03 00 00 8B 10 FF 92 F8 00 00 00 8B 55 FC 88 82 F0 03 00 00 8D 55 F4 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 05 F8 03 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC 8B 80 A4 03 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 05 F4 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 03 00 00 8B 10 FF 92 F8 00 00 00 8B 55 FC 88 82 F1 03 00 00 8B 45 FC 8B 80 CC 03 00 00 8B 90 88 02 00 00 8B 45 FC 8B 80 CC 03 00 00 8B 80 84 02 00 00 8B 08 FF 51 18 8B 55 FC 88 82 E8 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_44418_0 {
	meta:
		name = "TformAppWizard.btnChooseFolderOnClick"
		size = 305
		refs = "0027 TformAppWizard.btnChooseFolderOnClick 003c @FillChar 0041 Application 005d @UStrToPWChar 0070 SHBrowseForFolder 0089 SHGetPathFromIDList 00a0 @UStrFromWArray 00ae IncludeTrailingPathDelim 00c1 @UStrAsg 00e3 @UStrCat 00f7 TControl.SetText 0114 @UStrArrayClr 0127 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 B8 FD FF FF 33 C9 89 8D B8 FD FF FF 89 8D BC FD FF FF 89 4D F4 89 4D F0 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 CC 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 89 45 CC 8D 85 C2 FD FF FF 89 45 D4 8B 45 F0 E8 ?? ?? ?? ?? 89 45 D8 C7 45 DC 01 00 00 00 8D 45 CC 50 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 27 8D 85 C2 FD FF FF 50 8B 45 F8 50 E8 ?? ?? ?? ?? 85 C0 74 13 8D 45 F4 8D 95 C2 FD FF FF B9 05 01 00 00 E8 ?? ?? ?? ?? 8D 95 BC FD FF FF 8B 45 F4 E8 ?? ?? ?? ?? 8B 95 BC FD FF FF 8B 45 FC 05 F8 03 00 00 E8 ?? ?? ?? ?? 8D 95 B8 FD FF FF 8B 45 F4 E8 ?? ?? ?? ?? 8D 85 B8 FD FF FF 8B 55 FC 8B 92 E4 03 00 00 E8 ?? ?? ?? ?? 8B 95 B8 FD FF FF 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 B8 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B E5 5D C3 }
	condition:
		$1
}

rule function_44419_0 {
	meta:
		name = "TformAppWizard.butnCancelClick"
		size = 24
		refs = "0010 TCustomForm.Close"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44681_0 {
	meta:
		name = "TIWDsnTreeView.OnFormActivate"
		size = 24
		refs = "0010 TIWDsnTreeView.RefreshItems"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44420_0 {
	meta:
		name = "TformAppWizard.Create"
		size = 4464
		refs = "0014 @ClassCreate 0025 TformAppWizard.Create 0056 @UStrClr 0063 TControl.SetWidth 0070 TControl.SetHeight 007a TCustomForm.SetPosition 0084 TCustomForm.SetBorderStyle 008e _Dn_TPanel 0093 TCustomPanel.Create 00a6 _Dn_TButton 00ab TCustomButton.Create 00d9 TControl.SetText 00e6 TControl.SetColor 0124 TControl.SetAlign 012e TWinControl.SetTabOrder 0172 TControl.SetLeft 017f TControl.SetTop 01a3 TCustomButton.SetDefault 01df TformAppWizard.actnOkExecute 0292 _Dn_TLabel 0297 TCustomLabel.Create 02f2 _Dn_TGroupBox 02f7 TCustomGroupBox.Create 030a _Dn_TComboBox 030f TCustomComboBox.Create 0322 _Dn_TCheckBox 0327 TCustomCheckBox.Create 0352 _Dn_TRadioGroup 0357 TCustomRadioGroup.Create 0410 TCustomPanel.SetBevelInner 041a TCustomPanel.SetBevelOuter 0447 _Dn_TEdit 044c TCustomEdit.Create 04b3 TCustomLabel.SetFocusControl 051a TformAppWizard.EditProjectChange 0663 TformAppWizard.btnChooseFolderOnClick 06d2 TCustomLabel.SetAlignment 06ec TFont.SetCharset 06fc TFont.SetColor 070c TFont.SetHeight 071c TFont.SetName 072d TFont.SetStyle 0737 TControl.SetParentFont 0928 TCustomCheckBox.SetState 09d1 TformAppWizard.rgrpProjectOnClick 0a14 TCustomRadioGroup.SetItemIndex 0a1e _Dn_TImage 0a23 TImage.Create 0a3c TControl.SetVisible 0a7b HInstance 0a80 FindResourceHInstance 0a97 TImage.SetStretch 0aa1 _Dn_TXPManifest 0aa6 TComponent.Create 0b01 Format 0b33 @IntOver 0bfb TformAppWizard.FormActivate 0c16 @HandleFinally 0c26 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 33 DB 89 5D 9C 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 4D F4 33 D2 8B 45 FC 8B 18 FF 93 14 01 00 00 8B 45 FC 8A 55 08 88 90 E0 03 00 00 8B 45 FC 05 E4 03 00 00 E8 ?? ?? ?? ?? BA 9A 01 00 00 8B 45 FC E8 ?? ?? ?? ?? BA 90 01 00 00 8B 45 FC E8 ?? ?? ?? ?? B2 04 8B 45 FC E8 ?? ?? ?? ?? B2 03 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 90 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A0 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 98 03 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA FF FF FF 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 90 03 00 00 89 45 EC BA ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 24 8B 55 FC 8B 45 EC 8B 08 FF 91 84 00 00 00 BA 28 00 00 00 8B 45 EC E8 ?? ?? ?? ?? B2 02 8B 45 EC E8 ?? ?? ?? ?? 33 D2 8B 45 EC E8 ?? ?? ?? ?? 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 03 00 00 89 45 E8 BA ?? ?? ?? ?? 8B 45 E8 8B 08 FF 51 24 8B 45 FC 8B 90 90 03 00 00 8B 45 E8 8B 08 FF 91 84 00 00 00 BA ED 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? BA 08 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? BA 4B 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? BA 19 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? B2 01 8B 45 E8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 C7 80 B4 02 00 00 01 00 00 00 66 BA 09 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 FC 89 90 1C 01 00 00 C7 80 18 01 00 00 ?? ?? ?? ?? 8B 45 FC 8B 80 98 03 00 00 89 45 E4 BA ?? ?? ?? ?? 8B 45 E4 8B 08 FF 51 24 8B 45 FC 8B 90 90 03 00 00 8B 45 E4 8B 08 FF 91 84 00 00 00 BA 41 01 00 00 8B 45 E4 E8 ?? ?? ?? ?? BA 08 00 00 00 8B 45 E4 E8 ?? ?? ?? ?? BA 4B 00 00 00 8B 45 E4 E8 ?? ?? ?? ?? BA 19 00 00 00 8B 45 E4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 C7 80 B4 02 00 00 02 00 00 00 66 BA 0A 00 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 C6 80 81 02 00 00 01 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 AC 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 B8 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 B4 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 D8 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 DC 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 BC 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 C4 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 C8 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 C0 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 CC 03 00 00 8B 45 FC 8B 80 AC 03 00 00 89 45 E0 BA ?? ?? ?? ?? 8B 45 E0 8B 08 FF 51 24 8B 55 FC 8B 45 E0 8B 08 FF 91 84 00 00 00 B2 05 8B 45 E0 E8 ?? ?? ?? ?? 66 BA 03 00 8B 45 E0 E8 ?? ?? ?? ?? 33 D2 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 90 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 94 03 00 00 8B 45 FC 8B 80 94 03 00 00 89 45 DC BA ?? ?? ?? ?? 8B 45 DC 8B 08 FF 51 24 8B 45 FC 8B 90 AC 03 00 00 8B 45 DC 8B 08 FF 91 84 00 00 00 B2 02 8B 45 DC E8 ?? ?? ?? ?? 33 D2 8B 45 DC E8 ?? ?? ?? ?? 33 D2 8B 45 DC E8 ?? ?? ?? ?? BA 82 00 00 00 8B 45 DC E8 ?? ?? ?? ?? 66 BA 64 00 8B 45 DC E8 ?? ?? ?? ?? 33 D2 8B 45 DC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A4 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 BA ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 94 03 00 00 8B 45 D8 8B 08 FF 91 84 00 00 00 BA 05 00 00 00 8B 45 D8 E8 ?? ?? ?? ?? BA 05 00 00 00 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 A4 03 00 00 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 03 00 00 89 45 D4 33 D2 8B 45 D4 E8 ?? ?? ?? ?? BA 05 00 00 00 8B 45 D4 E8 ?? ?? ?? ?? BA 19 00 00 00 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 94 03 00 00 8B 45 D4 8B 08 FF 91 84 00 00 00 BA C8 00 00 00 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 8B 55 FC 89 90 94 02 00 00 C7 80 90 02 00 00 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A8 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 BA ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 94 03 00 00 8B 45 D0 8B 08 FF 91 84 00 00 00 BA 05 00 00 00 8B 45 D0 E8 ?? ?? ?? ?? BA 32 00 00 00 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 A8 03 00 00 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 03 00 00 89 45 CC 33 D2 8B 45 CC E8 ?? ?? ?? ?? BA 05 00 00 00 8B 45 CC E8 ?? ?? ?? ?? BA 46 00 00 00 8B 45 CC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 94 03 00 00 8B 45 CC 8B 08 FF 91 84 00 00 00 BA 54 01 00 00 8B 45 CC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 9C 03 00 00 8B 45 FC 8B 80 9C 03 00 00 89 45 C8 BA ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? BA 5B 01 00 00 8B 45 C8 E8 ?? ?? ?? ?? BA 44 00 00 00 8B 45 C8 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 94 03 00 00 8B 45 C8 8B 08 FF 91 84 00 00 00 BA 38 00 00 00 8B 45 C8 E8 ?? ?? ?? ?? 8B 45 C8 8B 55 FC 89 90 1C 01 00 00 C7 80 18 01 00 00 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 03 00 00 89 45 C4 BA ?? ?? ?? ?? 8B 45 C4 8B 08 FF 51 24 8B 45 FC 8B 90 AC 03 00 00 8B 45 C4 8B 08 FF 91 84 00 00 00 33 D2 8B 45 C4 8B 08 FF 51 78 BA 08 00 00 00 8B 45 C4 E8 ?? ?? ?? ?? 33 D2 8B 45 C4 E8 ?? ?? ?? ?? BA 25 00 00 00 8B 45 C4 E8 ?? ?? ?? ?? 33 D2 8B 45 C4 E8 ?? ?? ?? ?? 33 D2 8B 45 C4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 33 D2 8B 45 C4 8B 40 6C E8 ?? ?? ?? ?? BA 08 00 00 FF 8B 45 C4 8B 40 6C E8 ?? ?? ?? ?? BA E8 FF FF FF 8B 45 C4 8B 40 6C E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 C4 8B 40 6C E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 C4 8B 40 6C E8 ?? ?? ?? ?? 33 D2 8B 45 C4 E8 ?? ?? ?? ?? B2 01 8B 45 C4 8B 08 FF 51 78 8B 45 FC 8B 80 B4 03 00 00 89 45 C0 BA ?? ?? ?? ?? 8B 45 C0 8B 08 FF 51 24 8B 45 FC 8B 90 AC 03 00 00 8B 45 C0 8B 08 FF 91 84 00 00 00 BA 08 00 00 00 8B 45 C0 E8 ?? ?? ?? ?? BA 2C 00 00 00 8B 45 C0 E8 ?? ?? ?? ?? BA 4A 01 00 00 8B 45 C0 E8 ?? ?? ?? ?? BA 25 00 00 00 8B 45 C0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 03 00 00 89 45 BC BA ?? ?? ?? ?? 8B 45 BC 8B 08 FF 51 24 8B 45 FC 8B 90 AC 03 00 00 8B 45 BC 8B 08 FF 91 84 00 00 00 BA D4 00 00 00 8B 45 BC E8 ?? ?? ?? ?? BA 50 00 00 00 8B 45 BC E8 ?? ?? ?? ?? BA B5 00 00 00 8B 45 BC E8 ?? ?? ?? ?? BA 73 00 00 00 8B 45 BC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 66 BA 01 00 8B 45 BC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 03 00 00 89 45 B8 BA ?? ?? ?? ?? 8B 45 B8 8B 08 FF 51 24 8B 45 FC 8B 90 BC 03 00 00 8B 45 B8 8B 08 FF 91 84 00 00 00 BA 08 00 00 00 8B 45 B8 E8 ?? ?? ?? ?? BA 1B 00 00 00 8B 45 B8 E8 ?? ?? ?? ?? BA 9D 00 00 00 8B 45 B8 E8 ?? ?? ?? ?? BA 11 00 00 00 8B 45 B8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 66 BA 01 00 8B 45 B8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C8 03 00 00 89 45 B4 BA ?? ?? ?? ?? 8B 45 B4 8B 08 FF 51 24 8B 45 FC 8B 90 BC 03 00 00 8B 45 B4 8B 08 FF 91 84 00 00 00 BA 08 00 00 00 8B 45 B4 E8 ?? ?? ?? ?? BA 4B 00 00 00 8B 45 B4 E8 ?? ?? ?? ?? BA 9D 00 00 00 8B 45 B4 E8 ?? ?? ?? ?? BA 11 00 00 00 8B 45 B4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 B4 E8 ?? ?? ?? ?? B2 01 8B 45 B4 8B 08 FF 91 FC 00 00 00 33 D2 8B 45 B4 E8 ?? ?? ?? ?? 66 BA 03 00 8B 45 B4 E8 ?? ?? ?? ?? 33 D2 8B 45 B4 8B 08 FF 91 80 00 00 00 8B 45 FC 8B 80 CC 03 00 00 89 45 B0 BA ?? ?? ?? ?? 8B 45 B0 8B 08 FF 51 24 8B 45 FC 8B 90 AC 03 00 00 8B 45 B0 8B 08 FF 91 84 00 00 00 BA 08 00 00 00 8B 45 B0 E8 ?? ?? ?? ?? BA 50 00 00 00 8B 45 B0 E8 ?? ?? ?? ?? BA C5 00 00 00 8B 45 B0 E8 ?? ?? ?? ?? BA 73 00 00 00 8B 45 B0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? 66 BA 02 00 8B 45 B0 E8 ?? ?? ?? ?? 8B 45 B0 8B 55 FC 89 90 1C 01 00 00 C7 80 18 01 00 00 ?? ?? ?? ?? 8B 45 FC 8B 80 CC 03 00 00 89 45 AC 8B 45 AC 8B 80 84 02 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 53 3C 8B 45 AC 8B 80 84 02 00 00 B9 01 00 00 00 BA ?? ?? ?? ?? 8B 18 FF 53 3C 33 D2 8B 45 AC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 D0 03 00 00 8B 45 FC 8B 80 B8 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 D0 03 00 00 89 45 A8 8B 45 FC 8B 90 AC 03 00 00 8B 45 A8 8B 08 FF 91 84 00 00 00 BA 04 00 00 00 8B 45 A8 E8 ?? ?? ?? ?? BA 08 00 00 00 8B 45 A8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 B2 01 8B 45 A8 8B 08 FF 51 78 33 D2 8B 45 A8 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 D4 03 00 00 8B 45 FC 8B 80 D4 03 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 24 8B 45 FC 8B 80 D8 03 00 00 89 45 A4 8B 45 FC 8B 90 AC 03 00 00 8B 45 A4 8B 08 FF 91 84 00 00 00 8D 45 9C 50 B8 ?? ?? ?? ?? 89 45 94 C6 45 98 11 8D 55 94 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B 45 A4 E8 ?? ?? ?? ?? B2 01 8B 45 A4 8B 08 FF 51 78 B2 01 8B 45 A4 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 50 8B 45 A4 2B 50 50 71 05 E8 ?? ?? ?? ?? 83 EA 10 71 05 E8 ?? ?? ?? ?? 8B 45 A4 E8 ?? ?? ?? ?? BA 08 00 00 00 8B 45 A4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 DC 03 00 00 89 45 A0 8B 45 FC 8B 90 94 03 00 00 8B 45 A0 8B 08 FF 91 84 00 00 00 B2 01 8B 45 A0 8B 08 FF 51 78 33 D2 8B 45 A0 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 03 00 00 8B 50 48 8B 45 A0 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 03 00 00 8B 50 4C 8B 45 FC 8B 80 A8 03 00 00 03 50 54 71 05 E8 ?? ?? ?? ?? 83 C2 0E 71 05 E8 ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? 8B 45 A0 8B 40 6C BA FF 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B 45 A0 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 FC 89 90 F4 02 00 00 C7 80 F0 02 00 00 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 20 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 57 00 69 00 7A 00 61 00 72 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 61 00 6E 00 65 00 6C 00 42 00 75 00 74 00 74 00 6F 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 75 00 74 00 6E 00 4F 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 26 00 4F 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 62 00 75 00 74 00 6E 00 43 00 61 00 6E 00 63 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 26 00 43 00 61 00 6E 00 63 00 65 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 6E 00 65 00 6C 00 54 00 6F 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 6E 00 65 00 6C 00 44 00 69 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 6A 00 65 00 63 00 74 00 20 00 26 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 50 00 72 00 6F 00 6A 00 65 00 63 00 74 00 20 00 26 00 44 00 69 00 72 00 65 00 63 00 74 00 6F 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 42 00 72 00 6F 00 77 00 73 00 65 00 2E 00 2E 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4C 00 61 00 62 00 65 00 6C 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 69 00 6D 00 65 00 73 00 20 00 4E 00 65 00 77 00 20 00 52 00 6F 00 6D 00 61 00 6E 00 00 00 03 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4C 00 61 00 62 00 65 00 6C 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 7A 00 00 00 57 00 65 00 6C 00 63 00 6F 00 6D 00 65 00 20 00 74 00 6F 00 20 00 74 00 68 00 65 00 20 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 20 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 57 00 69 00 7A 00 61 00 72 00 64 00 2E 00 20 00 53 00 65 00 6C 00 65 00 63 00 74 00 20 00 74 00 68 00 65 00 20 00 74 00 79 00 70 00 65 00 20 00 6F 00 66 00 20 00 0D 00 0A 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 79 00 6F 00 75 00 20 00 77 00 61 00 6E 00 74 00 20 00 74 00 6F 00 20 00 63 00 72 00 65 00 61 00 74 00 65 00 20 00 61 00 6E 00 64 00 20 00 61 00 6E 00 79 00 20 00 61 00 64 00 64 00 69 00 74 00 69 00 6F 00 6E 00 61 00 6C 00 20 00 6F 00 70 00 74 00 69 00 6F 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 72 00 6F 00 75 00 70 00 42 00 6F 00 78 00 32 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 4F 00 70 00 74 00 69 00 6F 00 6E 00 73 00 20 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 68 00 6B 00 62 00 50 00 6F 00 6F 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 26 00 50 00 6F 00 6F 00 6C 00 20 00 44 00 61 00 74 00 61 00 20 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 73 00 20 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 63 00 68 00 6B 00 62 00 49 00 53 00 41 00 50 00 49 00 54 00 }
	condition:
		$1
}

rule function_44421_0 {
	meta:
		name = "TformAppWizard.SetDefaultEditDir"
		size = 197
		refs = "0010 TformAppWizard.SetDefaultEditDir 0027 IncludeTrailingPathDelim 0038 @UStrCat 0054 TControl.SetText 0078 TControl.GetText 0080 @UStrLen 00a8 @UStrClr 00b5 @UStrArrayClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC 8B 80 F8 03 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 92 F4 03 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 80 A8 03 00 00 8B 08 FF 91 0C 01 00 00 8D 55 F0 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 A8 03 00 00 8B 08 FF 91 10 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 }
	condition:
		$1
}

rule function_44422_0 {
	meta:
		name = "TformAppWizard.Init"
		size = 41
		refs = "001a TControl.SetText 0022 TformAppWizard.SetDefaultEditDir"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 90 F4 03 00 00 8B 45 FC 8B 80 A4 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_44423_0 {
	meta:
		name = "TformAppWizard.EditProjectChange"
		size = 540
		refs = "001a TformAppWizard.EditProjectChange 0031 TControl.GetText 0045 @UStrCat3 0056 TControl.SetText 0085 Trim 009b TControl.SetVisible 00dc DirectoryExists 0136 @UStrAsg 0150 @UStrArrayClr 0158 @UStrClr 0173 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 80 A4 03 00 00 E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F0 8B 55 FC 8B 92 F8 03 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? B2 01 8B 45 FC 8B 80 A0 03 00 00 8B 08 FF 91 80 00 00 00 8D 55 E4 8B 45 FC 8B 80 A4 03 00 00 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 83 7D E8 00 75 38 B2 01 8B 45 FC 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 80 A0 03 00 00 8B 08 FF 91 80 00 00 00 EB 52 8D 55 E0 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 74 25 B2 01 8B 45 FC 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? EB 10 33 D2 8B 45 FC 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC 8B 80 A4 03 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 05 E4 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 45 00 72 00 72 00 6F 00 72 00 3A 00 20 00 50 00 72 00 6F 00 6A 00 65 00 63 00 74 00 20 00 6E 00 61 00 6D 00 65 00 20 00 72 00 65 00 71 00 75 00 69 00 72 00 65 00 64 00 21 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 57 00 61 00 72 00 6E 00 69 00 6E 00 67 00 3A 00 20 00 44 00 69 00 72 00 65 00 63 00 74 00 6F 00 72 00 79 00 20 00 61 00 6C 00 72 00 65 00 61 00 64 00 79 00 20 00 65 00 78 00 69 00 73 00 74 00 73 00 21 00 00 00 00 00 }
	condition:
		$1
}

rule function_44424_0 {
	meta:
		name = "TformAppWizard.FormActivate"
		size = 33
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 80 A4 03 00 00 8B 10 FF 92 F4 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_44425_0 {
	meta:
		name = "TformAppWizard.rgrpProjectOnClick"
		size = 72
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 80 CC 03 00 00 8B 90 88 02 00 00 8B 45 FC 8B 80 CC 03 00 00 8B 80 84 02 00 00 8B 08 FF 51 18 48 0F 94 C2 8B 45 FC 8B 80 C8 03 00 00 8B 08 FF 91 80 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_44428_0 {
	meta:
		name = "TIWColorEditor.GetValues"
		size = 37
		refs = "0011 TColorProperty.GetValues 001c GetIWColorValues"
	strings:
		$1 = { 55 8B EC 51 89 45 FC FF 75 0C FF 75 08 8B 45 FC E8 ?? ?? ?? ?? FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 59 5D C2 08 00 }
	condition:
		$1
}

rule function_44429_0 {
	meta:
		name = "TIWColorEditor.GetValue"
		size = 32
		refs = "0010 TPropertyEditor.GetOrdValue 0018 IWColorToString"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44430_0 {
	meta:
		name = "TIWColorEditor.SetValue"
		size = 55
		refs = "0013 IdentToIWColor 0022 TPropertyEditor.SetOrdValue 002f TColorProperty.SetValue"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_44431_0 {
	meta:
		name = "TIWColorEditor.PropDrawValue"
		size = 143
		refs = "001c TIWColorEditor.PropDrawValue 002d TPropertyEditor.GetVisualValue 0052 TIWColorEditor.ListDrawValue 0062 DefaultPropertyDrawValue 007c @UStrArrayClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 83 7D F0 00 74 21 8B 45 F4 50 6A 01 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? EB 0E 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_44432_0 {
	meta:
		name = "TIWColorEditor.PropDrawName"
		size = 39
		refs = "001d TColorProperty.PropDrawName"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8A 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_44433_0 {
	meta:
		name = "ColorToBorderColor"
		size = 98
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 25 FF 00 00 00 3D C0 00 00 00 7F 24 8B 45 FC C1 E8 08 25 FF 00 00 00 3D C0 00 00 00 7F 12 8B 45 FC C1 E8 10 25 FF 00 00 00 3D C0 00 00 00 7E 07 33 C0 89 45 F8 EB 18 8B 45 08 80 78 08 00 74 09 C7 45 F8 FF FF FF 00 EB 06 8B 45 FC 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_44434_0 {
	meta:
		name = "TIWColorEditor.ListDrawValue"
		size = 343
		refs = "001f @IntOver 0039 TPen.GetColor 0047 TBrush.GetColor 0062 TPen.SetColor 0088 StringToIWColor 0095 TBrush.SetColor 00a6 ColorToRGB 00ab ColorToBorderColor 013e Rect 014c DefaultPropertyListDrawValue"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 89 4D F4 89 55 F8 89 45 FC 8B 45 0C 8B 40 0C 8B 55 0C 2B 42 04 71 05 E8 ?? ?? ?? ?? 8B 55 0C 03 02 71 05 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F4 8B 40 44 E8 ?? ?? ?? ?? 89 45 EC 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 89 45 E8 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 44 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 0C 8B 40 0C 50 8B 4D 0C 8B 49 04 8B 55 0C 8B 12 8B 45 F4 8B 18 FF 53 7C 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 55 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B D0 8B 45 F4 8B 40 44 E8 ?? ?? ?? ?? 8B 45 F0 83 E8 01 71 05 E8 ?? ?? ?? ?? 50 8B 45 0C 8B 40 0C 83 E8 01 71 05 E8 ?? ?? ?? ?? 50 8B 4D 0C 8B 49 04 83 C1 01 71 05 E8 ?? ?? ?? ?? 8B 55 0C 8B 12 83 C2 01 71 05 E8 ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 7C 8B 55 E8 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 8B 40 44 E8 ?? ?? ?? ?? 8A 45 08 50 8B 45 0C 8B 40 0C 50 8D 45 D8 50 8B 4D 0C 8B 49 08 8B 55 0C 8B 52 04 8B 45 F0 E8 ?? ?? ?? ?? 8D 4D D8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44435_0 {
	meta:
		name = "TIWColorEditor.Edit"
		size = 214
		refs = "0015 TIWColorEditor.Edit 0020 FCustomColors 0027 Application 0030 _Dn_TIWColorForm 0035 TIWColorForm.Create 005c TIWColorForm.SetSelectedIdentifier 0081 @UStrLAsg 00a1 TObject.Free 00a7 @HandleFinally 00be @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 D2 89 55 EC 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 08 FF 51 34 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 92 20 01 00 00 89 45 F8 83 7D F8 01 75 1C 8D 45 F4 8B 55 F0 8B 92 20 04 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 }
	condition:
		$1
}

rule function_44436_0 {
	meta:
		name = "Finalization"
		size = 23
		refs = "0005 _DV_2 000c FCustomColors 0011 FreeAndNil"
	strings:
		$1 = { 55 8B EC FF 05 ?? ?? ?? ?? 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_44437_0 {
	meta:
		name = "IWDsnColor"
		size = 31
		refs = "0005 _DV_2 000f _Dn_TStringList 0014 TStringList.Create 0019 FCustomColors"
	strings:
		$1 = { 55 8B EC 83 2D ?? ?? ?? ?? 01 73 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_44438_0 {
	meta:
		name = "TIWColorForm.WebColorsGridSelectCell"
		size = 107
		refs = "0024 @IntOver 004f @BoundErr 0055 IWColors 0061 TIWColorForm.SetSelectedIdentifier"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F8 89 55 F0 89 45 FC 8B 45 FC 8B 80 AC 03 00 00 8B 80 8C 02 00 00 F7 6D 0C 71 05 E8 ?? ?? ?? ?? 03 45 F8 71 05 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 7C 2A 81 7D F4 8E 00 00 00 7F 21 8B 45 F4 3D 8E 00 00 00 76 05 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 54 C2 04 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44439_0 {
	meta:
		name = "TIWColorForm.WebColorsGridDrawCell"
		size = 300
		refs = "0031 @IntOver 005c @BoundErr 0062 IWColors 0082 TBrush.SetColor 00b7 TPen.SetColor"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B 75 0C 8D 7D DC A5 A5 A5 A5 89 4D F8 89 55 EC 89 45 FC 8B 45 FC 8B 80 AC 03 00 00 8B 80 8C 02 00 00 F7 6D 10 71 05 E8 ?? ?? ?? ?? 03 45 F8 71 05 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 7C 5A 81 7D F4 8E 00 00 00 7F 51 8B 45 F4 3D 8E 00 00 00 76 05 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 04 C2 89 45 F0 8B 45 FC 8B 80 AC 03 00 00 8B 80 78 02 00 00 8B 40 48 8B 55 F0 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC 8B 80 AC 03 00 00 8B 80 78 02 00 00 8B 08 FF 51 54 E9 81 00 00 00 8B 45 FC 8B 80 AC 03 00 00 8B 80 78 02 00 00 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 03 00 00 8B 80 78 02 00 00 8B 4D E0 8B 55 DC 8B 18 FF 53 64 8B 45 FC 8B 80 AC 03 00 00 8B 80 78 02 00 00 8B 4D E8 8B 55 E4 8B 18 FF 53 60 8B 45 FC 8B 80 AC 03 00 00 8B 80 78 02 00 00 8B 4D E0 8B 55 E4 8B 18 FF 53 64 8B 45 FC 8B 80 AC 03 00 00 8B 80 78 02 00 00 8B 4D E8 8B 55 DC 8B 18 FF 53 60 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_44440_0 {
	meta:
		name = "TIWColorForm.SysColorsGridDrawCell"
		size = 362
		refs = "0025 TIWColorForm.SysColorsGridDrawCell 0044 @IntOver 0089 IdentToColor 00a3 TBrush.SetColor 00d8 TPen.SetColor 0155 @UStrClr 015b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D EC 8B 75 0C 8D 7D D8 A5 A5 A5 A5 89 4D F8 89 55 E8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B0 03 00 00 8B 80 8C 02 00 00 F7 6D 10 71 05 E8 ?? ?? ?? ?? 03 45 F8 71 05 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 7C 68 8B 45 FC 8B 80 18 04 00 00 8B 10 FF 52 14 3B 45 F4 7E 55 8D 4D EC 8B 55 F4 8B 45 FC 8B 80 18 04 00 00 8B 18 FF 53 0C 8D 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 03 00 00 8B 80 78 02 00 00 8B 40 48 8B 55 F0 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 80 B0 03 00 00 8B 80 78 02 00 00 8B 08 FF 51 54 E9 81 00 00 00 8B 45 FC 8B 80 B0 03 00 00 8B 80 78 02 00 00 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 03 00 00 8B 80 78 02 00 00 8B 4D DC 8B 55 D8 8B 18 FF 53 64 8B 45 FC 8B 80 B0 03 00 00 8B 80 78 02 00 00 8B 4D E4 8B 55 E0 8B 18 FF 53 60 8B 45 FC 8B 80 B0 03 00 00 8B 80 78 02 00 00 8B 4D DC 8B 55 E0 8B 18 FF 53 64 8B 45 FC 8B 80 B0 03 00 00 8B 80 78 02 00 00 8B 4D E4 8B 55 D8 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_44441_0 {
	meta:
		name = "TIWColorForm.SystemColorsCallback"
		size = 33
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 18 04 00 00 8B 08 FF 51 38 59 59 5D C3 }
	condition:
		$1
}

rule function_44442_0 {
	meta:
		name = "TIWColorForm.FormCreate"
		size = 408
		refs = "000e HuePoints 0018 @IntOver 0026 TControl.SetWidth 002c SatPoints 0044 TControl.SetHeight 0054 TTrackBar.SetMin 005a BrightPoints 0072 TTrackBar.SetMax 0085 TTrackBar.SetFrequency 008f TIWColorForm.SetHue 0099 TIWColorForm.SetSat 00c6 TIWColorForm.SetBright 00d0 TIWColorForm.CalcPickedColor 00d7 _Dn_TStringList 00dc TStringList.Create 018b TIWColorForm.SystemColorsCallback 0190 GetColorValues"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 55 EC 89 45 FC 8B 15 ?? ?? ?? ?? 83 C2 02 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 83 C2 02 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 83 EA 01 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B 45 FC 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? D1 FA 79 03 83 D2 00 A1 ?? ?? ?? ?? 85 C0 79 03 83 C0 03 C1 F8 02 03 D0 71 05 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 18 04 00 00 8B 45 FC 83 B8 1C 04 00 00 00 75 15 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 1C 04 00 00 8B 45 FC 8B 80 E0 03 00 00 8B 80 8C 02 00 00 8B 55 FC 8B 92 E0 03 00 00 F7 AA C8 02 00 00 71 05 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 80 1C 04 00 00 8B 10 FF 52 14 3B 45 F8 7D 41 8B 45 FC 8B 80 1C 04 00 00 8B 10 FF 52 14 8B 55 F8 2B D0 71 05 E8 ?? ?? ?? ?? 85 D2 7C 23 42 89 55 F0 C7 45 F4 00 00 00 00 33 D2 8B 45 FC 8B 80 1C 04 00 00 8B 08 FF 51 38 FF 45 F4 FF 4D F0 75 E8 8B 45 FC 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_44443_0 {
	meta:
		name = "TIWColorForm.FormDestroy"
		size = 29
		refs = "0015 FreeAndNil"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 05 18 04 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44444_0 {
	meta:
		name = "TIWColorForm.WebColorsGridMouseMove"
		size = 160
		refs = "0028 TCustomDrawGrid.MouseToCell 0041 @IntOver 006c @BoundErr 0072 IWColors 0084 TCustomStatusBar.SetSimpleText"
	strings:
		$1 = { 55 8B EC 83 C4 E8 66 89 4D EA 89 55 EC 89 45 FC 8D 45 F4 50 8D 45 F8 50 8B 4D 08 8B 55 0C 8B 45 FC 8B 80 AC 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 03 00 00 8B 80 8C 02 00 00 F7 6D F8 71 05 E8 ?? ?? ?? ?? 03 45 F4 71 05 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 7C 32 81 7D F0 8E 00 00 00 7F 29 8B 45 F0 3D 8E 00 00 00 76 05 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 54 C2 04 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? EB 10 33 D2 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44445_0 {
	meta:
		name = "TIWColorForm.FormMouseMove"
		size = 38
		refs = "001c TCustomStatusBar.SetSimpleText"
	strings:
		$1 = { 55 8B EC 83 C4 F4 66 89 4D F6 89 55 F8 89 45 FC 33 D2 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44446_0 {
	meta:
		name = "TIWColorForm.SysColorsGridMouseMove"
		size = 218
		refs = "001a TIWColorForm.SysColorsGridMouseMove 003c TCustomDrawGrid.MouseToCell 0055 @IntOver 00a0 TCustomStatusBar.SetSimpleText 00c7 @UStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 DB 89 5D E4 66 89 4D EA 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8D 45 F8 50 8B 4D 08 8B 55 0C 8B 45 FC 8B 80 B0 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 03 00 00 8B 80 8C 02 00 00 F7 6D F8 71 05 E8 ?? ?? ?? ?? 03 45 F4 71 05 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 7C 3A 8B 45 FC 8B 80 18 04 00 00 8B 10 FF 52 14 3B 45 F0 7E 27 8D 4D E4 8B 55 F0 8B 45 FC 8B 80 18 04 00 00 8B 18 FF 53 0C 8B 55 E4 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? EB 10 33 D2 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44447_0 {
	meta:
		name = "TIWColorForm.SysColorsGridSelectCell"
		size = 165
		refs = "0019 TIWColorForm.SysColorsGridSelectCell 0038 @IntOver 007d TIWColorForm.SetSelectedIdentifier 0092 @UStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 89 4D F8 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B0 03 00 00 8B 80 8C 02 00 00 F7 6D 0C 71 05 E8 ?? ?? ?? ?? 03 45 F8 71 05 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 7C 32 8B 45 FC 8B 80 18 04 00 00 8B 10 FF 52 14 3B 45 F4 7E 1F 8D 4D EC 8B 55 F4 8B 45 FC 8B 80 18 04 00 00 8B 18 FF 53 0C 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44448_0 {
	meta:
		name = "TIWColorForm.PaintBoxSelectionPaint"
		size = 141
		refs = "0034 TBrush.SetColor 004a @IntOver 006e Rect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 55 F8 89 45 FC 8B 45 FC 83 B8 20 04 00 00 00 74 71 8B 45 FC 8B 80 98 03 00 00 8B 80 B0 01 00 00 8B 40 48 8B 55 FC 8B 92 24 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 03 00 00 8B 40 54 83 E8 01 71 05 E8 ?? ?? ?? ?? 50 8D 45 E8 50 8B 45 FC 8B 80 98 03 00 00 8B 48 50 83 E9 01 71 05 E8 ?? ?? ?? ?? 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 80 98 03 00 00 8B 80 B0 01 00 00 8B 08 FF 51 54 8B E5 5D C3 }
	condition:
		$1
}

rule function_44449_0 {
	meta:
		name = "TIWColorForm.SetSelectedIdentifier"
		size = 372
		refs = "0015 TIWColorForm.SetSelectedIdentifier 002b @UStrAsg 0041 @UStrCat3 0052 TControl.SetText 0069 IdentToIWColor 007f StrToInt 0096 TPageControl.GetActivePageIndex 00ae TPageControl.SetActivePageIndex 00c5 TIWColorForm.SetRed 00df TIWColorForm.SetGreen 00f9 TIWColorForm.SetBlue 010a TIWColorForm.SetPickedColor 0114 TIWColorForm.CalcPickedColor 013a @UStrClr 0140 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 05 20 04 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 8A 20 04 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8D 90 24 04 00 00 8B 45 FC 8B 80 20 04 00 00 E8 ?? ?? ?? ?? 84 C0 0F 85 A3 00 00 00 8B 45 FC 8B 80 20 04 00 00 E8 ?? ?? ?? ?? 8B 55 FC 89 82 24 04 00 00 8B 45 FC 8B 80 A0 03 00 00 E8 ?? ?? ?? ?? 83 F8 02 74 13 BA 02 00 00 00 8B 45 FC 8B 80 A0 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 24 04 00 00 81 E2 FF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 24 04 00 00 81 E2 00 FF 00 00 C1 EA 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 24 04 00 00 81 E2 00 00 FF 00 C1 EA 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 24 04 00 00 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 03 00 00 8B 10 FF 92 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 64 00 65 00 6E 00 74 00 69 00 66 00 69 00 65 00 72 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_44450_0 {
	meta:
		name = "TIWColorForm.HSBtoRGB"
		size = 1024
		refs = "001d TIWColorForm.HSBtoRGB 0037 @TRUNC 0045 @BoundErr 0069 Floor"
	strings:
		$1 = { 55 8B EC 83 C4 9C 89 45 FC 33 C0 89 45 F4 33 C0 89 45 F0 33 C0 89 45 EC DB 6D 14 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 36 DB 6D 08 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 89 45 F0 8B 45 F0 89 45 EC E9 6A 03 00 00 66 8B 45 28 50 FF 75 24 FF 75 20 E8 ?? ?? ?? ?? 89 45 9C DB 45 9C DB 6D 20 DE E1 D8 0D ?? ?? ?? ?? DB 7D E0 9B 66 8B 45 E8 50 FF 75 E4 FF 75 E0 E8 ?? ?? ?? ?? 89 45 9C DB 45 9C DB 6D E0 DE E1 DB 7D D0 9B DB 6D 14 D8 2D ?? ?? ?? ?? DB 6D 08 DE C9 DB 7D C0 9B DB 6D 14 DB 6D D0 DE C9 D8 2D ?? ?? ?? ?? DB 6D 08 DE C9 DB 7D B0 9B DB 6D D0 D8 2D ?? ?? ?? ?? DB 6D 14 DE C9 D8 2D ?? ?? ?? ?? DB 6D 08 DE C9 DB 7D A0 9B DB 6D E0 E8 ?? ?? ?? ?? 83 F8 05 0F 87 CF 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DB 6D 08 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F4 DB 6D A0 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F0 DB 6D C0 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 EC E9 3C 02 00 00 DB 6D B0 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F4 DB 6D 08 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F0 DB 6D C0 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 EC E9 C8 01 00 00 DB 6D C0 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F4 DB 6D 08 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F0 DB 6D A0 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 EC E9 54 01 00 00 DB 6D C0 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F4 DB 6D B0 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F0 DB 6D 08 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 EC E9 E0 00 00 00 DB 6D A0 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F4 DB 6D C0 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F0 DB 6D 08 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 EC EB 6F DB 6D 08 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F4 DB 6D C0 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F0 DB 6D B0 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC C1 E0 10 25 FF FF FF 00 8B 55 F0 C1 E2 08 0B C2 0B 45 F4 89 45 F8 8B 45 F8 8B E5 5D C2 24 00 00 00 00 00 00 00 00 00 00 7F 43 00 00 00 3F 00 00 C0 40 00 00 80 3F }
	condition:
		$1
}

rule function_44451_0 {
	meta:
		name = "TIWColorForm.PaintBoxColorPaint"
		size = 464
		refs = "002b TPen.SetColor 004d @IntOver 00c3 SatPoints 00de HuePoints 0128 TIWColorForm.PaintBoxColorPaint 0137 TIWColorForm.HSBtoRGB 01c2 TIWColorForm.DrawMarker"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 89 55 E4 89 45 FC 8B 45 FC 8B 80 C0 03 00 00 8B 80 B0 01 00 00 89 45 EC 8B 45 EC 8B 40 44 BA FF FF FF 00 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 45 EC 8B 18 FF 53 64 8B 45 FC 8B 80 C0 03 00 00 8B 50 50 83 EA 01 71 05 E8 ?? ?? ?? ?? 33 C9 8B 45 EC 8B 18 FF 53 60 8B 45 FC 8B 80 C0 03 00 00 8B 48 54 83 E9 01 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 03 00 00 8B 50 50 83 EA 01 71 05 E8 ?? ?? ?? ?? 8B 45 EC 8B 18 FF 53 60 8B 45 FC 8B 80 C0 03 00 00 8B 48 54 83 E9 01 71 05 E8 ?? ?? ?? ?? 33 D2 8B 45 EC 8B 18 FF 53 60 33 C9 33 D2 8B 45 EC 8B 18 FF 53 60 C7 45 F0 96 00 00 00 A1 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 83 F8 00 0F 8C C0 00 00 00 89 45 F4 A1 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C 99 00 00 00 40 89 45 E8 C7 45 F8 00 00 00 00 DB 45 F8 DB 05 ?? ?? ?? ?? DE F9 83 C4 F4 DB 3C 24 9B DB 45 F4 DB 05 ?? ?? ?? ?? DE F9 83 C4 F4 DB 3C 24 9B DB 45 F0 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 45 FC E8 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 83 E9 01 71 05 E8 ?? ?? ?? ?? 2B 4D F4 71 05 E8 ?? ?? ?? ?? 83 C1 01 71 05 E8 ?? ?? ?? ?? 8B 55 F8 83 C2 01 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 03 00 00 8B 80 B0 01 00 00 8B 18 FF 53 20 FF 45 F8 FF 4D E8 0F 85 72 FF FF FF FF 4D F4 83 7D F4 FF 0F 85 43 FF FF FF 8B 45 FC C6 80 40 04 00 00 01 8B 45 FC C7 80 38 04 00 00 FF FF FF FF 8B 45 FC C7 80 3C 04 00 00 FF FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 00 00 00 48 43 }
	condition:
		$1
}

rule function_44452_0 {
	meta:
		name = "TIWColorForm.PaintBoxColorMouseMove"
		size = 154
		refs = "0034 @IntOver 005f TIWColorForm.XToHue 0069 TIWColorForm.SetHue 0074 TIWColorForm.YToSat 007e TIWColorForm.SetSat 0086 TIWColorForm.DrawMarker 0090 TIWColorForm.CalcPickedColor"
	strings:
		$1 = { 55 8B EC 83 C4 F4 66 89 4D FA 89 55 F4 89 45 FC F6 45 FA 08 74 7E 83 7D 0C 01 7C 78 83 7D 08 01 7C 72 8B 45 FC 8B 80 C0 03 00 00 8B 40 50 83 E8 02 71 05 E8 ?? ?? ?? ?? 3B 45 0C 7C 57 8B 45 FC 8B 80 C0 03 00 00 8B 40 54 83 E8 02 71 05 E8 ?? ?? ?? ?? 3B 45 08 7C 3C 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44453_0 {
	meta:
		name = "TIWColorForm.PaintBoxColorMouseDown"
		size = 50
		refs = "0028 TIWColorForm.PaintBoxColorMouseMove"
	strings:
		$1 = { 55 8B EC 83 C4 F4 88 4D F7 89 55 F8 89 45 FC 80 7D F7 00 75 17 8B 45 0C 50 8B 45 08 50 66 8B 4D 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_44454_0 {
	meta:
		name = "TIWColorForm.SetHue"
		size = 173
		refs = "0015 TIWColorForm.SetHue 0056 IntToStr 0067 TControl.SetText 0086 @HandleFinally 009d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8A 80 14 04 00 00 88 45 F7 8B 45 FC C6 80 14 04 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 F8 89 90 28 04 00 00 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8A 55 F7 88 90 14 04 00 00 C3 E9 ?? ?? ?? ?? EB EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_44455_0 {
	meta:
		name = "TIWColorForm.SetSat"
		size = 173
		refs = "0015 TIWColorForm.SetSat 0056 IntToStr 0067 TControl.SetText 0086 @HandleFinally 009d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8A 80 14 04 00 00 88 45 F7 8B 45 FC C6 80 14 04 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 F8 89 90 2C 04 00 00 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 80 D4 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8A 55 F7 88 90 14 04 00 00 C3 E9 ?? ?? ?? ?? EB EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_44456_0 {
	meta:
		name = "TIWColorForm.SetBright"
		size = 190
		refs = "0015 TIWColorForm.SetBright 005c TTrackBar.SetPosition 0067 IntToStr 0078 TControl.SetText 0097 @HandleFinally 00ae @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8A 80 14 04 00 00 88 45 F7 8B 45 FC C6 80 14 04 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 F8 89 90 30 04 00 00 8B 45 FC 8B 80 DC 03 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 80 D8 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8A 55 F7 88 90 14 04 00 00 C3 E9 ?? ?? ?? ?? EB EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_44457_0 {
	meta:
		name = "TIWColorForm.SetRed"
		size = 179
		refs = "0015 TIWColorForm.SetRed 005c IntToStr 006d TControl.SetText 008c @HandleFinally 00a3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8A 80 14 04 00 00 88 45 F7 8B 45 FC C6 80 14 04 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 F8 89 90 0C 04 00 00 8D 55 F0 8B 45 FC 8B 80 0C 04 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 80 FC 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8A 55 F7 88 90 14 04 00 00 C3 E9 ?? ?? ?? ?? EB EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_44458_0 {
	meta:
		name = "TIWColorForm.SetGreen"
		size = 179
		refs = "0015 TIWColorForm.SetGreen 005c IntToStr 006d TControl.SetText 008c @HandleFinally 00a3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8A 80 14 04 00 00 88 45 F7 8B 45 FC C6 80 14 04 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 F8 89 90 10 04 00 00 8D 55 F0 8B 45 FC 8B 80 10 04 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 80 00 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8A 55 F7 88 90 14 04 00 00 C3 E9 ?? ?? ?? ?? EB EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_44459_0 {
	meta:
		name = "TIWColorForm.SetBlue"
		size = 179
		refs = "0015 TIWColorForm.SetBlue 005c IntToStr 006d TControl.SetText 008c @HandleFinally 00a3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8A 80 14 04 00 00 88 45 F7 8B 45 FC C6 80 14 04 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 F8 89 90 08 04 00 00 8D 55 F0 8B 45 FC 8B 80 08 04 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 80 04 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8A 55 F7 88 90 14 04 00 00 C3 E9 ?? ?? ?? ?? EB EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_44460_0 {
	meta:
		name = "TIWColorForm.TrackBrightChange"
		size = 61
		refs = "002b TIWColorForm.SetBright 0035 TIWColorForm.CalcPickedColor"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 B8 14 04 00 00 00 75 21 8B 45 FC 8B 80 DC 03 00 00 8B 90 98 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44461_0 {
	meta:
		name = "TIWColorForm.CalcPickedColor"
		size = 407
		refs = "0021 HuePoints 0039 SatPoints 0051 BrightPoints 0062 TIWColorForm.HSBtoRGB 006c TIWColorForm.SetPickedColor 0083 TIWColorForm.SetRed 009d TIWColorForm.SetGreen 00b7 TIWColorForm.SetBlue 00ec TIWColorForm.RGBToHSB 00fc @ROUND 010a @BoundErr 0114 TIWColorForm.SetHue 013c TIWColorForm.SetSat 0164 TIWColorForm.SetBright"
	strings:
		$1 = { 55 8B EC 83 C4 D0 88 55 FB 89 45 FC 80 7D FB 00 0F 85 AA 00 00 00 8B 45 FC DB 80 28 04 00 00 DB 05 ?? ?? ?? ?? DE F9 83 C4 F4 DB 3C 24 9B 8B 45 FC DB 80 2C 04 00 00 DB 05 ?? ?? ?? ?? DE F9 83 C4 F4 DB 3C 24 9B 8B 45 FC DB 80 30 04 00 00 DB 05 ?? ?? ?? ?? DE F9 83 C4 F4 DB 3C 24 9B 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 34 04 00 00 81 E2 FF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 34 04 00 00 81 E2 00 FF 00 00 C1 EA 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 34 04 00 00 81 E2 00 00 FF 00 C1 EA 10 8B 45 FC E8 ?? ?? ?? ?? E9 D3 00 00 00 8B 45 FC 8B 80 08 04 00 00 50 8D 45 F0 50 8D 45 E0 50 8D 45 D0 50 8B 45 FC 8B 88 10 04 00 00 8B 45 FC 8B 90 0C 04 00 00 8B 45 FC E8 ?? ?? ?? ?? DB 05 ?? ?? ?? ?? DB 6D F0 DE C9 E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? DB 05 ?? ?? ?? ?? DB 6D E0 DE C9 E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? DB 05 ?? ?? ?? ?? DB 6D D0 DE C9 E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 10 04 00 00 C1 E2 08 8B 45 FC 0B 90 0C 04 00 00 8B 45 FC 8B 80 08 04 00 00 C1 E0 10 0B D0 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_44462_0 {
	meta:
		name = "TIWColorForm.SetPickedColor"
		size = 45
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 89 82 34 04 00 00 8B 45 FC 8B 80 E8 03 00 00 8B 10 FF 92 A0 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_44463_0 {
	meta:
		name = "TIWColorForm.PaintBoxPickedColorPaint"
		size = 129
		refs = "0028 TBrush.SetColor 003e @IntOver 0062 Rect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 55 F8 89 45 FC 8B 45 FC 8B 80 E8 03 00 00 8B 80 B0 01 00 00 8B 40 48 8B 55 FC 8B 92 34 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E8 03 00 00 8B 40 54 83 E8 01 71 05 E8 ?? ?? ?? ?? 50 8D 45 E8 50 8B 45 FC 8B 80 E8 03 00 00 8B 48 50 83 E9 01 71 05 E8 ?? ?? ?? ?? 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 80 E8 03 00 00 8B 80 B0 01 00 00 8B 08 FF 51 54 8B E5 5D C3 }
	condition:
		$1
}

rule function_44464_0 {
	meta:
		name = "TIWColorForm.GridCustomColorsDrawCell"
		size = 438
		refs = "0025 TIWColorForm.GridCustomColorsDrawCell 004d @IntOver 0095 StrToInt 00bc TBrush.SetColor 0124 TPen.SetColor 01a1 @UStrClr 01a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D EC 8B 75 0C 8D 7D D4 A5 A5 A5 A5 89 4D F8 89 55 E4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 C6 45 EB 00 8B 45 FC 8B 80 E0 03 00 00 8B 80 8C 02 00 00 F7 6D 10 71 05 E8 ?? ?? ?? ?? 03 45 F8 71 05 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 7C 3C 8B 45 FC 8B 80 1C 04 00 00 8B 10 FF 52 14 3B 45 F4 7E 29 8D 4D EC 8B 55 F4 8B 45 FC 8B 80 1C 04 00 00 8B 18 FF 53 0C 83 7D EC 00 74 0F 8B 45 EC E8 ?? ?? ?? ?? 89 45 F0 C6 45 EB 01 80 7D EB 00 74 36 8B 45 FC 8B 80 E0 03 00 00 8B 80 78 02 00 00 8B 40 48 8B 55 F0 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 FC 8B 80 E0 03 00 00 8B 80 78 02 00 00 8B 08 FF 51 54 E9 B4 00 00 00 8B 45 FC 8B 80 E0 03 00 00 8B 80 78 02 00 00 8B 40 48 BA FF FF FF 00 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 FC 8B 80 E0 03 00 00 8B 80 78 02 00 00 8B 08 FF 51 54 8B 45 FC 8B 80 E0 03 00 00 8B 80 78 02 00 00 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 03 00 00 8B 80 78 02 00 00 8B 4D D8 8B 55 D4 8B 18 FF 53 64 8B 45 FC 8B 80 E0 03 00 00 8B 80 78 02 00 00 8B 4D E0 8B 55 DC 8B 18 FF 53 60 8B 45 FC 8B 80 E0 03 00 00 8B 80 78 02 00 00 8B 4D D8 8B 55 DC 8B 18 FF 53 64 8B 45 FC 8B 80 E0 03 00 00 8B 80 78 02 00 00 8B 4D E0 8B 55 D4 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_44465_0 {
	meta:
		name = "TIWColorForm.ButtonAddClick"
		size = 228
		refs = "0019 TIWColorForm.ButtonAddClick 0044 @IntOver 0073 IntToHex 0083 @UStrCat3 00c2 @UStrArrayClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D F0 89 4D EC 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 E0 03 00 00 8B 80 94 02 00 00 8B 55 FC 8B 92 E0 03 00 00 F7 AA 8C 02 00 00 71 05 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 E0 03 00 00 03 82 90 02 00 00 71 05 E8 ?? ?? ?? ?? 89 45 F8 8D 4D EC BA 08 00 00 00 8B 45 FC 8B 80 34 04 00 00 E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8B 55 F8 8B 45 FC 8B 80 1C 04 00 00 8B 18 FF 53 20 8B 45 FC 8B 80 E0 03 00 00 8B 10 FF 92 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_44466_0 {
	meta:
		name = "TIWColorForm.GridCustomColorsSelectCell"
		size = 174
		refs = "001c TIWColorForm.GridCustomColorsSelectCell 003b @IntOver 0081 TIWColorForm.SetSelectedIdentifier 009b @UStrArrayClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D E8 89 5D EC 89 4D F8 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 E0 03 00 00 8B 80 8C 02 00 00 F7 6D 0C 71 05 E8 ?? ?? ?? ?? 03 45 F8 71 05 E8 ?? ?? ?? ?? 89 45 F4 8D 4D EC 8B 55 F4 8B 45 FC 8B 80 1C 04 00 00 8B 18 FF 53 0C 83 7D EC 00 74 1F 8D 4D E8 8B 55 F4 8B 45 FC 8B 80 1C 04 00 00 8B 18 FF 53 0C 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44467_0 {
	meta:
		name = "TIWColorForm.EditHueChange"
		size = 263
		refs = "001b TIWColorForm.EditHueChange 0059 TControl.GetText 0061 StrToInt 0073 HuePoints 0088 @HandleAnyException 008d @DoneExcept 00b5 TIWColorForm.SetHue 00bf TIWColorForm.CalcPickedColor 00c7 TIWColorForm.DrawMarker 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 14 04 00 00 00 0F 85 A9 00 00 00 C6 45 F7 00 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 7C 0F 8B 45 F8 3B 05 ?? ?? ?? ?? 7D 04 C6 45 F7 01 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 83 7D E8 00 74 36 80 7D F7 00 74 1F 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 11 8B 45 FC 8B 90 28 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44468_0 {
	meta:
		name = "TIWColorForm.EditSatChange"
		size = 263
		refs = "001b TIWColorForm.EditSatChange 0059 TControl.GetText 0061 StrToInt 0073 SatPoints 0088 @HandleAnyException 008d @DoneExcept 00b5 TIWColorForm.SetSat 00bf TIWColorForm.CalcPickedColor 00c7 TIWColorForm.DrawMarker 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 14 04 00 00 00 0F 85 A9 00 00 00 C6 45 F7 00 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 80 D4 03 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 7C 0F 8B 45 F8 3B 05 ?? ?? ?? ?? 7D 04 C6 45 F7 01 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 80 D4 03 00 00 E8 ?? ?? ?? ?? 83 7D E8 00 74 36 80 7D F7 00 74 1F 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 11 8B 45 FC 8B 90 2C 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44469_0 {
	meta:
		name = "TIWColorForm.EditBrightChange"
		size = 255
		refs = "001b TIWColorForm.EditBrightChange 0059 TControl.GetText 0061 StrToInt 0073 BrightPoints 0088 @HandleAnyException 008d @DoneExcept 00b5 TIWColorForm.SetBright 00bf TIWColorForm.CalcPickedColor 00ec @UStrArrayClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 14 04 00 00 00 0F 85 A1 00 00 00 C6 45 F7 00 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 80 D8 03 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 7C 0F 8B 45 F8 3B 05 ?? ?? ?? ?? 7D 04 C6 45 F7 01 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 80 D8 03 00 00 E8 ?? ?? ?? ?? 83 7D E8 00 74 2E 80 7D F7 00 74 17 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 11 8B 45 FC 8B 90 30 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44470_0 {
	meta:
		name = "TIWColorForm.editRedChange"
		size = 263
		refs = "001b TIWColorForm.editRedChange 0059 TControl.GetText 0061 StrToInt 0073 RedPoints 0088 @HandleAnyException 008d @DoneExcept 00b5 TIWColorForm.SetRed 00bf TIWColorForm.CalcPickedColor 00c7 TIWColorForm.DrawMarker 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 14 04 00 00 00 0F 85 A9 00 00 00 C6 45 F7 00 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 80 FC 03 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 7C 0F 8B 45 F8 3B 05 ?? ?? ?? ?? 7D 04 C6 45 F7 01 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 80 FC 03 00 00 E8 ?? ?? ?? ?? 83 7D E8 00 74 36 80 7D F7 00 74 1F 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 11 8B 45 FC 8B 90 0C 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44471_0 {
	meta:
		name = "TIWColorForm.editGreenChange"
		size = 263
		refs = "001b TIWColorForm.editGreenChange 0059 TControl.GetText 0061 StrToInt 0073 GreenPoints 0088 @HandleAnyException 008d @DoneExcept 00b5 TIWColorForm.SetGreen 00bf TIWColorForm.CalcPickedColor 00c7 TIWColorForm.DrawMarker 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 14 04 00 00 00 0F 85 A9 00 00 00 C6 45 F7 00 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 80 00 04 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 7C 0F 8B 45 F8 3B 05 ?? ?? ?? ?? 7D 04 C6 45 F7 01 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 80 00 04 00 00 E8 ?? ?? ?? ?? 83 7D E8 00 74 36 80 7D F7 00 74 1F 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 11 8B 45 FC 8B 90 10 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44472_0 {
	meta:
		name = "TIWColorForm.editBlueChange"
		size = 263
		refs = "001b TIWColorForm.editBlueChange 0059 TControl.GetText 0061 StrToInt 0073 BluePoints 0088 @HandleAnyException 008d @DoneExcept 00b5 TIWColorForm.SetBlue 00bf TIWColorForm.CalcPickedColor 00c7 TIWColorForm.DrawMarker 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 14 04 00 00 00 0F 85 A9 00 00 00 C6 45 F7 00 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 80 04 04 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 7C 0F 8B 45 F8 3B 05 ?? ?? ?? ?? 7D 04 C6 45 F7 01 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 80 04 04 00 00 E8 ?? ?? ?? ?? 83 7D E8 00 74 36 80 7D F7 00 74 1F 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 11 8B 45 FC 8B 90 08 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44473_0 {
	meta:
		name = "TIWColorForm.Create"
		size = 121
		refs = "000e @ClassCreate 0030 TCustomForm.Create 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 45 FC 8B 55 08 89 90 1C 04 00 00 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 80 38 04 00 00 FF FF FF FF 8B 45 FC C7 80 3C 04 00 00 FF FF FF FF 8B 45 FC C6 80 40 04 00 00 00 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_44474_0 {
	meta:
		name = "TIWColorForm.DrawMarker"
		size = 583
		refs = "0047 TPen.SetMode 0060 TPen.SetColor 0083 @IntOver 0141 TIWColorForm.HueToX 015b TIWColorForm.SatToY"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC 80 B8 40 04 00 00 00 0F 84 28 02 00 00 8B 45 FC 8B 80 C0 03 00 00 8B 80 B0 01 00 00 8B 40 44 8A 40 18 88 45 FB 8B 45 FC 8B 80 C0 03 00 00 8B 80 B0 01 00 00 8B 40 44 B2 03 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 03 00 00 8B 80 B0 01 00 00 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 38 04 00 00 FF 0F 84 C0 00 00 00 8B 45 FC 8B 88 3C 04 00 00 83 E9 0A 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 03 00 00 8B 80 B0 01 00 00 8B 55 FC 8B 92 38 04 00 00 8B 18 FF 53 64 8B 45 FC 8B 88 3C 04 00 00 83 C1 0A 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 03 00 00 8B 80 B0 01 00 00 8B 55 FC 8B 92 38 04 00 00 8B 18 FF 53 60 8B 45 FC 8B 90 38 04 00 00 83 EA 0A 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 03 00 00 8B 80 B0 01 00 00 8B 4D FC 8B 89 3C 04 00 00 8B 18 FF 53 64 8B 45 FC 8B 90 38 04 00 00 83 C2 0A 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 03 00 00 8B 80 B0 01 00 00 8B 4D FC 8B 89 3C 04 00 00 8B 18 FF 53 60 8B 45 FC 8B 90 28 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 38 04 00 00 8B 45 FC 8B 90 2C 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 3C 04 00 00 8B 45 FC 8B 88 3C 04 00 00 83 E9 0A 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 03 00 00 8B 80 B0 01 00 00 8B 55 FC 8B 92 38 04 00 00 8B 18 FF 53 64 8B 45 FC 8B 88 3C 04 00 00 83 C1 0A 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 03 00 00 8B 80 B0 01 00 00 8B 55 FC 8B 92 38 04 00 00 8B 18 FF 53 60 8B 45 FC 8B 90 38 04 00 00 83 EA 0A 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 03 00 00 8B 80 B0 01 00 00 8B 4D FC 8B 89 3C 04 00 00 8B 18 FF 53 64 8B 45 FC 8B 90 38 04 00 00 83 C2 0A 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 03 00 00 8B 80 B0 01 00 00 8B 4D FC 8B 89 3C 04 00 00 8B 18 FF 53 60 8A 55 FB 8B 45 FC 8B 80 C0 03 00 00 8B 80 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_44475_0 {
	meta:
		name = "TIWColorForm.HueToX"
		size = 35
		refs = "0015 @IntOver"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 F8 83 C0 01 71 05 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44476_0 {
	meta:
		name = "TIWColorForm.SatToY"
		size = 37
		refs = "000d SatPoints 0017 @IntOver"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC A1 ?? ?? ?? ?? 2B 45 F8 71 05 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44477_0 {
	meta:
		name = "TIWColorForm.XToHue"
		size = 35
		refs = "0015 @IntOver"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 F8 83 E8 01 71 05 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44478_0 {
	meta:
		name = "TIWColorForm.YToSat"
		size = 63
		refs = "0015 @IntOver 001d SatPoints"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 F8 83 E8 01 71 05 E8 ?? ?? ?? ?? 89 45 F4 A1 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 2B 45 F4 71 05 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44479_0 {
	meta:
		name = "TIWColorForm.RGBToHSB"
		size = 536
		refs = "0019 Max 002f Min 0043 TIWColorForm.RGBToHSB 005a @IntOver"
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 89 4D F4 89 55 F8 89 45 FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 14 E8 ?? ?? ?? ?? 89 45 BC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 14 E8 ?? ?? ?? ?? 89 45 B8 DB 45 BC D8 35 ?? ?? ?? ?? DB 7D C0 9B 83 7D BC 00 74 24 8B 45 BC 2B 45 B8 71 05 E8 ?? ?? ?? ?? 89 85 7C FF FF FF DB 85 7C FF FF FF DB 45 BC DE F9 DB 7D D0 9B EB 0C 33 C0 89 45 D0 89 45 D4 66 89 45 D8 DB 6D D0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 11 33 C0 89 45 E0 89 45 E4 66 89 45 E8 E9 15 01 00 00 8B 45 BC 2B 45 F8 71 05 E8 ?? ?? ?? ?? 89 85 7C FF FF FF DB 85 7C FF FF FF 8B 45 BC 2B 45 B8 71 05 E8 ?? ?? ?? ?? 89 85 78 FF FF FF DB 85 78 FF FF FF DE F9 DB 7D A0 9B 8B 45 BC 2B 45 F4 71 05 E8 ?? ?? ?? ?? 89 85 7C FF FF FF DB 85 7C FF FF FF 8B 45 BC 2B 45 B8 71 05 E8 ?? ?? ?? ?? 89 85 78 FF FF FF DB 85 78 FF FF FF DE F9 DB 7D 90 9B 8B 45 BC 2B 45 14 71 05 E8 ?? ?? ?? ?? 89 85 7C FF FF FF DB 85 7C FF FF FF 8B 45 BC 2B 45 B8 71 05 E8 ?? ?? ?? ?? 89 85 78 FF FF FF DB 85 78 FF FF FF DE F9 DB 7D 80 9B 8B 45 F8 3B 45 BC 75 0E DB 6D 80 DB 6D 90 DE E9 DB 7D E0 9B EB 2E 8B 45 F4 3B 45 BC 75 14 DB 6D A0 D8 05 ?? ?? ?? ?? DB 6D 80 DE E9 DB 7D E0 9B EB 12 DB 6D 90 D8 05 ?? ?? ?? ?? DB 6D A0 DE E9 DB 7D E0 9B DB 6D E0 D8 35 ?? ?? ?? ?? DB 7D E0 9B DB 6D E0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0D DB 6D E0 D8 05 ?? ?? ?? ?? DB 7D E0 9B 8B 45 10 8B 55 E0 89 10 8B 55 E4 89 50 04 66 8B 55 E8 66 89 50 08 8B 45 0C 8B 55 D0 89 10 8B 55 D4 89 50 04 66 8B 55 D8 66 89 50 08 8B 45 08 8B 55 C0 89 10 8B 55 C4 89 50 04 66 8B 55 C8 66 89 50 08 8B E5 5D C2 10 00 00 00 00 00 7F 43 00 00 00 00 00 00 00 40 00 00 80 40 00 00 C0 40 00 00 80 3F }
	condition:
		$1
}

rule function_44482_0 {
	meta:
		name = "TIWControlAbout.GetVerb"
		size = 80
		refs = "0019 TIWControlAbout.GetVerb 001e @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 83 7D F8 00 75 0D 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 20 00 58 00 49 00 49 00 00 00 00 00 }
	condition:
		$1
}

rule function_44483_0 {
	meta:
		name = "TIWControlAbout.GetVerbCount"
		size = 23
		altNames = "TIWDBGridEditor.GetVerbCount"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC C7 45 F8 01 00 00 00 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_44486_0 {
	meta:
		name = "TIWDesignerDestroyer.Destroy"
		size = 77
		refs = "0007 @BeforeDestruction 0021 TCustomForm.Close 0037 TComponent.Destroy 0045 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 83 78 38 00 74 13 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 38 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44489_0 {
	meta:
		name = "TformWebsite.Activate"
		size = 32
		refs = "0010 TCustomForm.Hide 0018 TCustomForm.Show"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44492_0 {
	meta:
		name = "TformFormWizard.rgrpFormClick"
		size = 580
		refs = "0027 TformFormWizard.rgrpFormClick 004e TControl.SetText"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 80 98 03 00 00 8B 80 88 02 00 00 83 F8 04 0F 87 82 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? EB 52 BA ?? ?? ?? ?? 8B 45 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? EB 3D BA ?? ?? ?? ?? 8B 45 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? EB 28 BA ?? ?? ?? ?? 8B 45 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? EB 13 BA ?? ?? ?? ?? 8B 45 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 03 00 00 8B 80 88 02 00 00 8B 55 FC 88 82 A8 03 00 00 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 55 00 73 00 65 00 64 00 20 00 69 00 6E 00 20 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 4D 00 6F 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 55 00 73 00 65 00 64 00 20 00 69 00 6E 00 20 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 4D 00 6F 00 64 00 65 00 20 00 66 00 6F 00 72 00 20 00 50 00 44 00 41 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 55 00 73 00 65 00 64 00 20 00 69 00 6E 00 20 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 4D 00 6F 00 64 00 65 00 20 00 66 00 6F 00 72 00 20 00 57 00 41 00 50 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 55 00 73 00 65 00 64 00 20 00 69 00 6E 00 20 00 50 00 61 00 67 00 65 00 20 00 4D 00 6F 00 64 00 65 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 55 00 73 00 65 00 64 00 20 00 69 00 6E 00 20 00 50 00 61 00 67 00 65 00 20 00 4D 00 6F 00 64 00 65 00 20 00 66 00 6F 00 72 00 20 00 50 00 44 00 41 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 00 00 }
	condition:
		$1
}

rule function_44493_0 {
	meta:
		name = "TformFormWizard.Create"
		size = 1800
		refs = "000f @ClassCreate 0034 _Dn_TPanel 0039 TCustomPanel.Create 004c _Dn_TButton 0051 TCustomButton.Create 0094 _Dn_TLabel 0099 TCustomLabel.Create 00ac _Dn_TRadioGroup 00b1 TCustomRadioGroup.Create 00cb TformFormWizard.Create 00eb TControl.SetLeft 00f8 TControl.SetTop 0105 TControl.SetWidth 0112 TControl.SetHeight 011c TControl.SetAlign 0126 TWinControl.SetTabOrder 0130 TControl.SetText 019f TControl.SetAnchors 01b6 TCustomButton.SetDefault 03d1 TCustomRadioGroup.SetItemIndex 0450 TformFormWizard.rgrpFormClick 045a TCustomForm.SetPosition 04b2 TCustomForm.SetBorderStyle 04c0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 6A 00 8B 4D F4 33 D2 8B 45 FC 8B 18 FF 93 14 01 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 90 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A0 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A4 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 94 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 9C 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 98 03 00 00 8B 45 FC 8B 80 90 03 00 00 89 45 F0 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 24 8B 55 FC 8B 45 F0 8B 08 FF 91 84 00 00 00 33 D2 8B 45 F0 E8 ?? ?? ?? ?? BA C7 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? BA F7 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? BA 29 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? B2 02 8B 45 F0 E8 ?? ?? ?? ?? 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 03 00 00 89 45 EC BA ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 24 8B 45 FC 8B 90 90 03 00 00 8B 45 EC 8B 08 FF 91 84 00 00 00 BA 51 00 00 00 8B 45 EC E8 ?? ?? ?? ?? BA 08 00 00 00 8B 45 EC E8 ?? ?? ?? ?? BA 4B 00 00 00 8B 45 EC E8 ?? ?? ?? ?? BA 19 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? B2 01 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC C7 80 B4 02 00 00 01 00 00 00 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 03 00 00 89 45 E8 BA ?? ?? ?? ?? 8B 45 E8 8B 08 FF 51 24 8B 45 FC 8B 90 90 03 00 00 8B 45 E8 8B 08 FF 91 84 00 00 00 BA A5 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? BA 08 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? BA 4B 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? BA 19 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 C7 80 B4 02 00 00 02 00 00 00 66 BA 01 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 C6 80 81 02 00 00 01 8B 45 FC 8B 80 94 03 00 00 89 45 E4 BA ?? ?? ?? ?? 8B 45 E4 8B 08 FF 51 24 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 E4 8B 08 FF 91 84 00 00 00 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 33 D2 8B 45 E4 E8 ?? ?? ?? ?? BA F7 00 00 00 8B 45 E4 E8 ?? ?? ?? ?? BA C7 00 00 00 8B 45 E4 E8 ?? ?? ?? ?? B2 05 8B 45 E4 E8 ?? ?? ?? ?? 66 BA 01 00 8B 45 E4 E8 ?? ?? ?? ?? 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 03 00 00 89 45 E0 BA ?? ?? ?? ?? 8B 45 E0 8B 08 FF 51 24 8B 45 FC 8B 90 94 03 00 00 8B 45 E0 8B 08 FF 91 84 00 00 00 BA 08 00 00 00 8B 45 E0 E8 ?? ?? ?? ?? BA B0 00 00 00 8B 45 E0 E8 ?? ?? ?? ?? BA 29 00 00 00 8B 45 E0 E8 ?? ?? ?? ?? BA 0D 00 00 00 8B 45 E0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 03 00 00 89 45 DC BA ?? ?? ?? ?? 8B 45 DC 8B 08 FF 51 24 8B 45 FC 8B 90 94 03 00 00 8B 45 DC 8B 08 FF 91 84 00 00 00 BA 08 00 00 00 8B 45 DC E8 ?? ?? ?? ?? BA 08 00 00 00 8B 45 DC E8 ?? ?? ?? ?? BA E5 00 00 00 8B 45 DC E8 ?? ?? ?? ?? BA A1 00 00 00 8B 45 DC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 33 D2 8B 45 DC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 DC 8B 80 84 02 00 00 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 DC 8B 80 84 02 00 00 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 DC 8B 80 84 02 00 00 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 DC 8B 80 84 02 00 00 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 DC 8B 80 84 02 00 00 8B 08 FF 51 38 33 D2 8B 45 DC E8 ?? ?? ?? ?? 8B 45 FC 8B 55 DC 89 82 1C 01 00 00 C7 82 18 01 00 00 ?? ?? ?? ?? B2 04 8B 45 FC E8 ?? ?? ?? ?? BA FF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BA 12 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 98 03 00 00 33 D2 8B 83 1C 01 00 00 FF 93 18 01 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B2 03 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 61 00 6E 00 65 00 6C 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 75 00 74 00 74 00 6F 00 6E 00 31 00 00 00 0C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 26 00 4F 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 75 00 74 00 74 00 6F 00 6E 00 32 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 26 00 43 00 61 00 6E 00 63 00 65 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 61 00 6E 00 65 00 6C 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6C 00 61 00 62 00 6C 00 44 00 65 00 73 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 72 00 67 00 72 00 70 00 46 00 6F 00 72 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 20 00 53 00 65 00 6C 00 65 00 63 00 74 00 20 00 54 00 79 00 70 00 65 00 20 00 6F 00 66 00 20 00 46 00 6F 00 72 00 6D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 46 00 6F 00 72 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 46 00 6F 00 72 00 6D 00 20 00 33 00 2E 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 46 00 6F 00 72 00 6D 00 20 00 57 00 41 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 61 00 67 00 65 00 20 00 46 00 6F 00 72 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 67 00 65 00 20 00 46 00 6F 00 72 00 6D 00 20 00 33 00 2E 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 4E 00 65 00 77 00 20 00 46 00 6F 00 72 00 6D 00 20 00 57 00 69 00 7A 00 61 00 72 00 64 00 00 00 }
	condition:
		$1
}

rule function_44496_0 {
	meta:
		name = "TformFrameWizard.rgrpFormClick"
		size = 280
		refs = "0025 TformFrameWizard.rgrpFormClick 0033 TControl.SetText"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 80 98 03 00 00 8B 80 88 02 00 00 83 E8 01 72 04 74 17 EB 28 BA ?? ?? ?? ?? 8B 45 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? EB 13 BA ?? ?? ?? ?? 8B 45 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 03 00 00 8B 80 88 02 00 00 8B 55 FC 88 82 A8 03 00 00 59 59 5D C3 B0 04 02 00 FF FF FF FF 1D 00 00 00 55 00 73 00 65 00 64 00 20 00 69 00 6E 00 20 00 48 00 54 00 4D 00 4C 00 20 00 34 00 2E 00 30 00 20 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 55 00 73 00 65 00 64 00 20 00 69 00 6E 00 20 00 48 00 54 00 4D 00 4C 00 20 00 33 00 2E 00 32 00 20 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 73 00 20 00 66 00 6F 00 72 00 20 00 50 00 44 00 41 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 00 00 }
	condition:
		$1
}

rule function_44497_0 {
	meta:
		name = "TformFrameWizard.Create"
		size = 1572
		refs = "000f @ClassCreate 0034 _Dn_TPanel 0039 TCustomPanel.Create 004c _Dn_TButton 0051 TCustomButton.Create 0094 _Dn_TLabel 0099 TCustomLabel.Create 00ac _Dn_TRadioGroup 00b1 TCustomRadioGroup.Create 00cb TformFrameWizard.Create 00eb TControl.SetLeft 00f8 TControl.SetTop 0105 TControl.SetWidth 0112 TControl.SetHeight 011c TControl.SetAlign 0126 TWinControl.SetTabOrder 0130 TControl.SetText 019f TControl.SetAnchors 01b6 TCustomButton.SetDefault 03c7 TCustomRadioGroup.SetItemIndex 040d TformFrameWizard.rgrpFormClick 0417 TCustomForm.SetPosition 046f TCustomForm.SetBorderStyle 047d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 6A 00 8B 4D F4 33 D2 8B 45 FC 8B 18 FF 93 14 01 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 90 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A0 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A4 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 94 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 9C 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 98 03 00 00 8B 45 FC 8B 80 90 03 00 00 89 45 F0 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 24 8B 55 FC 8B 45 F0 8B 08 FF 91 84 00 00 00 33 D2 8B 45 F0 E8 ?? ?? ?? ?? BA 95 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? BA F7 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? BA 29 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? B2 02 8B 45 F0 E8 ?? ?? ?? ?? 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 03 00 00 89 45 EC BA ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 24 8B 45 FC 8B 90 90 03 00 00 8B 45 EC 8B 08 FF 91 84 00 00 00 BA 51 00 00 00 8B 45 EC E8 ?? ?? ?? ?? BA 08 00 00 00 8B 45 EC E8 ?? ?? ?? ?? BA 4B 00 00 00 8B 45 EC E8 ?? ?? ?? ?? BA 19 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? B2 01 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC C7 80 B4 02 00 00 01 00 00 00 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 03 00 00 89 45 E8 BA ?? ?? ?? ?? 8B 45 E8 8B 08 FF 51 24 8B 45 FC 8B 90 90 03 00 00 8B 45 E8 8B 08 FF 91 84 00 00 00 BA A5 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? BA 08 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? BA 4B 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? BA 19 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 C7 80 B4 02 00 00 02 00 00 00 66 BA 01 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 C6 80 81 02 00 00 01 8B 45 FC 8B 80 94 03 00 00 89 45 E4 BA ?? ?? ?? ?? 8B 45 E4 8B 08 FF 51 24 8B 55 FC 8B 45 E4 8B 08 FF 91 84 00 00 00 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 33 D2 8B 45 E4 E8 ?? ?? ?? ?? BA F7 00 00 00 8B 45 E4 E8 ?? ?? ?? ?? BA 95 00 00 00 8B 45 E4 E8 ?? ?? ?? ?? B2 05 8B 45 E4 E8 ?? ?? ?? ?? 66 BA 01 00 8B 45 E4 E8 ?? ?? ?? ?? 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 03 00 00 89 45 E0 BA ?? ?? ?? ?? 8B 45 E0 8B 08 FF 51 24 8B 45 FC 8B 90 94 03 00 00 8B 45 E0 8B 08 FF 91 84 00 00 00 BA 08 00 00 00 8B 45 E0 E8 ?? ?? ?? ?? BA 7E 00 00 00 8B 45 E0 E8 ?? ?? ?? ?? BA 29 00 00 00 8B 45 E0 E8 ?? ?? ?? ?? BA 0D 00 00 00 8B 45 E0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 03 00 00 89 45 DC BA ?? ?? ?? ?? 8B 45 DC 8B 08 FF 51 24 8B 45 FC 8B 90 94 03 00 00 8B 45 DC 8B 08 FF 91 84 00 00 00 BA 08 00 00 00 8B 45 DC E8 ?? ?? ?? ?? BA 08 00 00 00 8B 45 DC E8 ?? ?? ?? ?? BA E5 00 00 00 8B 45 DC E8 ?? ?? ?? ?? BA 6F 00 00 00 8B 45 DC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 33 D2 8B 45 DC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 DC 8B 80 84 02 00 00 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 DC 8B 80 84 02 00 00 8B 08 FF 51 38 33 D2 8B 45 DC E8 ?? ?? ?? ?? 8B 45 FC 8B 55 DC 89 82 1C 01 00 00 C7 82 18 01 00 00 ?? ?? ?? ?? B2 04 8B 45 FC E8 ?? ?? ?? ?? BA FF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BA E0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 98 03 00 00 33 D2 8B 83 1C 01 00 00 FF 93 18 01 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B2 03 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 61 00 6E 00 65 00 6C 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 75 00 74 00 74 00 6F 00 6E 00 31 00 00 00 0C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 26 00 4F 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 75 00 74 00 74 00 6F 00 6E 00 32 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 26 00 43 00 61 00 6E 00 63 00 65 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 61 00 6E 00 65 00 6C 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6C 00 61 00 62 00 6C 00 44 00 65 00 73 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 72 00 67 00 72 00 70 00 46 00 6F 00 72 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 20 00 53 00 65 00 6C 00 65 00 63 00 74 00 20 00 54 00 79 00 70 00 65 00 20 00 6F 00 66 00 20 00 46 00 72 00 61 00 6D 00 65 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 54 00 4D 00 4C 00 20 00 34 00 2E 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 54 00 4D 00 4C 00 20 00 33 00 2E 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4E 00 65 00 77 00 20 00 46 00 72 00 61 00 6D 00 65 00 20 00 57 00 69 00 7A 00 61 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_44500_0 {
	meta:
		name = "TIWHTMLManager.Create"
		size = 222
		refs = "0014 @ClassCreate 0025 @IntfAddRef 002d TIWHTMLManager.Create 003f TComponent.Create 004d @IntfCopy 006a Application 0078 GLayoutMgrGetManager 0095 RegisterDesignNotification 00aa @IntfClear 00b8 @HandleFinally 00c8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 C0 38 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 FC 85 D2 74 03 83 EA B0 8B 45 FC 8B 40 38 8B 08 FF 51 18 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 FF 15 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 83 C0 44 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 03 83 E8 B4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44502_0 {
	meta:
		name = "TIWHTMLManager.Destroying"
		size = 21
		refs = "000e @IntfClear"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 C0 44 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_44503_0 {
	meta:
		name = "TIWHTMLManager.SetResult"
		size = 247
		refs = "0018 TIWHTMLManager.SetResult 0053 _Dn_TStringList 0058 TStringList.Create 007a ConvertToTemplate 00a8 TObject.Free 00ae @HandleFinally 00ca @HandleAnyException 00cf @DoneExcept 00e4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 3C 00 0F 84 A4 00 00 00 8B 45 FC 8B 40 38 8B 10 FF 52 20 85 C0 0F 84 91 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B 45 FC 8B 50 40 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 8B 08 FF 51 2C 8B 45 FC 8B 40 38 8B 55 F4 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 40 3C 8B 10 FF 52 10 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44504_0 {
	meta:
		name = "TIWHTMLManager.CreateComponent"
		size = 74
		refs = "0028 FindClass 0041 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F4 89 55 F8 89 45 FC 6A 00 6A 00 6A 00 6A 00 8B 45 FC 8B 40 38 8B 10 FF 52 24 50 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 3C 59 8B 18 FF 53 64 8B 50 08 8B 45 F4 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44505_0 {
	meta:
		name = "TIWHTMLManager.SelectComponent"
		size = 99
		refs = "0013 @UStrClr 004c @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 E8 ?? ?? ?? ?? 83 7D F8 00 74 35 8B 55 F8 8B 45 FC 8B 40 3C 8B 08 FF 51 4C 89 45 F0 83 7D F0 00 74 2B 8B 55 F0 8B 45 FC 8B 40 3C 8B 08 FF 51 3C 8B 45 F4 8B 55 F0 8B 52 08 E8 ?? ?? ?? ?? EB 0D 33 D2 8B 45 FC 8B 40 3C 8B 08 FF 51 3C 8B E5 5D C3 }
	condition:
		$1
}

rule function_44506_0 {
	meta:
		name = "TIWHTMLManager.DeleteComponent"
		size = 75
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 83 7D F8 00 74 35 8B 55 F8 8B 45 FC 8B 40 3C 8B 08 FF 51 4C 89 45 F4 83 7D F4 00 74 1E 8B 55 F4 8B 45 FC 8B 40 3C 8B 08 FF 51 3C 33 D2 8B 45 FC 8B 40 3C 8B 08 FF 91 AC 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_44507_0 {
	meta:
		name = "TIWHTMLManager.ItemDeleted"
		size = 95
		refs = "0031 _Dn_TIWBaseControl 0036 @IsClass"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 83 78 3C 00 74 43 8B 45 FC 83 78 44 00 74 3A 8B 45 F8 8B 55 FC 3B 42 3C 75 2F 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B 45 F4 8B 40 04 F6 40 1C 08 75 11 8B 45 F4 8B 50 08 8B 45 FC 8B 40 44 8B 08 FF 51 30 8B E5 5D C3 }
	condition:
		$1
}

rule function_44508_0 {
	meta:
		name = "TIWHTMLManager.ItemInserted"
		size = 83
		refs = "0032 _Dn_TIWBaseControl 0037 @IsClass"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 83 78 3C 00 74 35 8B 45 FC 83 78 44 00 74 2C 8B 45 F8 8B 55 FC 3B 42 3C 75 21 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 33 C9 33 D2 8B 45 FC 8B 40 44 8B 18 FF 53 2C 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44509_0 {
	meta:
		name = "TIWHTMLManager.ItemsModified"
		size = 343
		refs = "0038 _DV_TLocalSelection 003d TDesignerSelections.Create 0048 TIWHTMLManager.ItemsModified 006b TDesignerSelections.GetCount 0075 @IntOver 0093 TDesignerSelections.Get 0099 _Dn_TIWBaseControl 009e @IsClass 00ac PaintCriticalSection 00b6 _Dn_TCriticalSection 00bb TCriticalSection.Create 00ca TCriticalSection.Enter 00ee TIWHTMLManager.RepaintComponent 011e TCriticalSection.Leave 0124 @HandleFinally 0147 FreeAndNil"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 55 F8 89 45 FC 8B 45 FC 83 78 3C 00 0F 84 3A 01 00 00 8B 45 FC 83 78 44 00 0F 84 2D 01 00 00 8B 45 FC 8B 40 3C 3B 45 F8 0F 85 1E 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 85 D2 74 03 83 EA F0 8B 45 FC 8B 40 3C 8B 08 FF 51 30 8B 45 F4 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C B5 00 00 00 40 89 45 EC C7 45 F0 00 00 00 00 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 80 00 00 00 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 50 08 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 50 08 8B 45 FC 8B 40 44 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE FF 45 F0 FF 4D EC 0F 85 56 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_44510_0 {
	meta:
		name = "TIWHTMLManager.SelectionChanged"
		size = 123
		refs = "0043 _Dn_TIWBaseControl 0048 @IsClass"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 83 78 3C 00 74 5F 8B 45 FC 83 78 44 00 74 56 8B 45 F8 8B 55 FC 3B 42 3C 75 4B 8B 45 F4 8B 10 FF 52 1C 48 75 33 33 D2 8B 45 F4 8B 08 FF 51 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 33 D2 8B 45 F4 8B 08 FF 51 14 8B 50 08 8B 45 FC 8B 40 44 8B 08 FF 51 34 EB 0D 33 D2 8B 45 FC 8B 40 44 8B 08 FF 51 34 8B E5 5D C3 }
	condition:
		$1
}

rule function_44511_0 {
	meta:
		name = "TIWHTMLManager.DesignerClosed"
		size = 19
		altNames = "TIWHTMLManager.DesignerOpened"
	strings:
		$1 = { 55 8B EC 83 C4 F4 88 4D F7 89 55 F8 89 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_44513_0 {
	meta:
		name = "TIWHTMLManager.GetHTMLDesigner"
		size = 30
		refs = "0016 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 52 44 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44514_0 {
	meta:
		name = "TIWHTMLManager.BuildPalette"
		size = 276
		refs = "0016 TIWHTMLManager.BuildPalette 0022 GHTMLPalette 003b @IntOver 005b TList.Get 00c8 TIWHTMLManager.GetHTMLDesigner 00fb @IntfClear 0103 @UStrClr 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 D2 89 55 E8 89 55 E4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 0F 84 BD 00 00 00 A1 ?? ?? ?? ?? 8B 40 08 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C A3 00 00 00 40 89 45 F0 C7 45 F8 00 00 00 00 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 0C 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 69 40 89 45 EC C7 45 F4 00 00 00 00 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 08 50 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 0C 8D 4D E8 8B 55 F4 8B 18 FF 53 0C 8B 45 E8 50 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 04 50 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 5A 59 8B 18 FF 53 38 FF 45 F4 FF 4D EC 75 A2 FF 45 F8 FF 4D F0 0F 85 68 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44515_0 {
	meta:
		name = "THTMLPaletteItem.Create"
		size = 73
		refs = "000e @ClassCreate 001b _Dn_TStringList 0020 TStringList.Create 0034 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_44516_0 {
	meta:
		name = "THTMLPaletteItem.Destroy"
		size = 60
		refs = "0007 @BeforeDestruction 0018 FreeAndNil 0026 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 83 C0 0C E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44517_0 {
	meta:
		name = "TIWHTMLManager.RepaintComponent"
		size = 356
		refs = "001e TIWHTMLManager.RepaintComponent 003a BaseHTMLControlInterface 0041 _Dn_TBitmap 0046 TBitmap.Create 008b BaseControlInterface 0097 TBitmap.GetCanvas 00c8 @UStrCatN 00d5 ToJPEGFile 00e4 @HandleOnException 00ec _Dn_EFCreateError 00f5 @DoneExcept 010a FreeAndNil 0110 @HandleFinally 0127 @UStrClr 012f @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 3C 8B 55 F8 8B 08 FF 51 4C 8D 55 F4 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 64 8B D0 8B 45 F0 8B 08 FF 51 38 8B 45 F4 8B 10 FF 52 60 8B D0 8B 45 F0 8B 08 FF 51 44 8B 45 F4 8B 10 FF 52 0C 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 51 1C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC FF 70 40 FF 75 F8 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 33 C9 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 6A 00 70 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_44518_0 {
	meta:
		name = "TIWHTMLManager.ReleaseComponent"
		size = 114
		refs = "0012 UnregisterDesignNotification 0031 @IntfClear 0042 GLayoutMgrDLL 004b GLayoutMgrReleaseManager 0052 GLayoutMgrGetManager 0064 FreeLibrary"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 85 C0 74 03 83 E8 B4 E8 ?? ?? ?? ?? 8B 45 FC 83 78 44 00 74 0B 8B 45 FC 8B 40 44 8B 10 FF 52 20 8B 45 FC 83 C0 3C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 44 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 26 FF 15 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_44519_0 {
	meta:
		name = "TIWHTMLManager.RegisterComponents"
		size = 481
		refs = "0032 @UStrAddRef 003a TIWHTMLManager.RegisterComponents 0046 GHTMLPalette 0050 _Dn_TList 0055 TObject.Create 0071 @IntOver 008d TList.Get 009e AnsiSameText 00d2 _DV_THTMLPaletteItem 00d7 THTMLPaletteItem.Create 00e7 TList.Add 00f5 @UStrAsg 0125 @BoundErr 0133 TObject.ClassName 0162 _Dn_TIWBaseControl 0167 TObject.InheritsFrom 01be @UStrArrayClr 01c6 @UStrClr 01cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 8B 5D 0C 8B 75 08 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 0C 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 89 45 EC A1 ?? ?? ?? ?? 8B 40 08 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 50 40 89 45 E8 C7 45 F0 00 00 00 00 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 8B 40 04 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 E4 8B 40 08 3B 45 F4 75 10 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC FF 45 F0 FF 4D E8 75 BB 83 7D EC 00 75 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 83 C0 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 EC 8B 55 F4 89 50 08 8B 45 08 85 C0 0F 8C 9B 00 00 00 40 89 45 E8 C7 45 F0 00 00 00 00 8B 45 F0 85 C0 7C 05 3B 45 08 7E 05 E8 ?? ?? ?? ?? 8B 55 0C 8B 04 82 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 EC 8B 40 0C 8B 08 FF 51 54 85 C0 7D 53 8B 45 F0 85 C0 7C 05 3B 45 08 7E 05 E8 ?? ?? ?? ?? 8B 55 0C 8B 04 82 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8B 45 F0 85 C0 7C 05 3B 45 08 7E 05 E8 ?? ?? ?? ?? 8B 55 0C 8B 04 82 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 EC 8B 40 0C 8B 08 FF 51 38 FF 45 F0 FF 4D E8 0F 85 70 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 7D D0 8B 75 D4 8B 5D D8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44520_0 {
	meta:
		name = "TIWHTMLManager.ResizeComponent"
		size = 94
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D F4 89 55 F8 89 45 FC 83 7D F8 00 74 41 8B 55 F8 8B 45 FC 8B 40 3C 8B 08 FF 51 4C 89 45 F0 83 7D F0 00 74 2A 8B 45 F4 50 8B 45 08 50 8B 45 F0 8B 48 4C 8B 45 F0 8B 50 48 8B 45 F0 8B 18 FF 93 A4 00 00 00 8B 45 FC 8B 40 3C 8B 10 FF 52 10 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_44521_0 {
	meta:
		name = "TIWHTMLManager.ShowObjectInspector"
		size = 188
		refs = "0010 TIWHTMLManager.ShowObjectInspector 001e @IntfClear 002a BorlandIDEServices 0031 Supports 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 74 32 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 55 F0 8B 45 F4 8B 08 FF 51 1C 8B 45 F0 50 8B 00 FF 10 83 7D F8 00 74 0B 8B 45 F8 8B 10 FF 92 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B E5 5D C3 55 30 73 BE D8 5E B4 45 BA B1 19 C4 6C 23 74 08 22 BE 2D 33 36 AB B7 44 B8 35 BC 95 F6 F9 E6 88 }
	condition:
		$1
}

rule function_44522_0 {
	meta:
		name = "TIWHTMLManager.ACompName"
		size = 39
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 83 78 48 00 74 0E 8B 55 F8 8B 45 FC 8B 40 48 8B 08 FF 51 38 59 59 5D C3 }
	condition:
		$1
}

rule function_44523_0 {
	meta:
		name = "TIWHTMLManager.GetComponentList"
		size = 228
		refs = "0018 TIWHTMLManager.GetComponentList 0026 @UStrClr 004b _Dn_TStringList 0050 TStringList.Create 006f _Dn_TIWBaseControl 007e TIWHTMLManager.ACompName 00af TObject.Free 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E0 FB FF FF 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 83 78 3C 00 0F 84 8C 00 00 00 8D 55 F0 8B 45 FC 8B 40 3C 8B 08 FF 91 BC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 F4 89 50 48 A1 ?? ?? ?? ?? 89 85 E3 FB FF FF 8B 45 FC 50 68 ?? ?? ?? ?? 8D 95 E3 FB FF FF 8B 45 FC 8B 40 3C 8B 08 FF 51 48 8B 55 F8 8B 45 F4 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 48 C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_44524_0 {
	meta:
		name = "TIWHTMLManager.RenameComponent"
		size = 47
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 83 78 44 00 74 11 8B 4D F4 8B 55 F8 8B 45 FC 8B 40 44 8B 18 FF 53 3C 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44525_0 {
	meta:
		name = "Finalization"
		size = 74
		refs = "0005 _DV_2 000d GHTMLPalette 001e TList.Get 0023 TObject.Free 002f TList.Delete"
	strings:
		$1 = { 55 8B EC FF 05 ?? ?? ?? ?? 75 3D 83 3D ?? ?? ?? ?? 00 74 34 EB 1D 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 78 08 00 7F D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_44526_0 {
	meta:
		name = "IWDsnHTMLMgr"
		size = 24
		refs = "0005 _DV_2 000d _DV_TIWHTMLManager 0012 RegisterClass"
	strings:
		$1 = { 55 8B EC 83 2D ?? ?? ?? ?? 01 73 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_44527_0 {
	meta:
		name = "RegisterIDEMenu"
		size = 412
		refs = "000f RegisterIDEMenu 001e BorlandIDEServices 002a @IntfCast 0040 TMenuItem.GetCount 004a @IntOver 0067 TMenuItem.GetItem 0074 @UStrEqual 0089 gProjectItem 009d _Dn_TMenuItem 00a2 TMenuItem.Create 00b2 TMenuItem.SetCaption 00c1 TMenuItem.Insert 00e5 formWebsite 00fa TformWebsite.Activate 011e @IntfClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 33 C0 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 18 89 45 F8 8B 45 F8 8B 40 3C E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 45 40 89 45 EC C7 45 FC 00 00 00 00 8B 55 FC 8B 45 F8 8B 40 3C E8 ?? ?? ?? ?? 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 8B 55 FC 8B 45 F8 8B 40 3C E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? EB 08 FF 45 FC FF 4D EC 75 C6 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 F0 89 82 94 00 00 00 C7 82 90 00 00 00 ?? ?? ?? ?? 8B 4D F0 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 1F 04 09 82 7F F3 70 45 88 B8 6C 31 0F FF F8 1A B0 04 02 00 FF FF FF FF 09 00 00 00 56 00 69 00 65 00 77 00 73 00 4D 00 65 00 6E 00 75 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 57 00 65 00 62 00 73 00 69 00 74 00 65 00 20 00 4D 00 61 00 6E 00 61 00 67 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_44528_0 {
	meta:
		name = "UnregisterIDEMenu"
		size = 29
		refs = "0006 gProjectItem 000b TMenuItem.Delete"
	strings:
		$1 = { 55 8B EC 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_44531_0 {
	meta:
		name = "TIWPaintHandlerDsn.SetCanvasFont"
		size = 86
		refs = "0010 TIWPaintHandler.GetControlCanvas 002c toTColor 004e TFont.SetColor"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 55 F8 8B 45 F4 8B 40 40 8B 08 FF 51 08 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 0E 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 40 75 0D 33 D2 8B 45 F4 8B 40 40 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_44532_0 {
	meta:
		name = "TIWPaintHandlerDsn.DrawOutline"
		size = 316
		refs = "0011 TIWPaintHandler.GetControlCanvas 0021 TBrush.SetStyle 002f TBrush.SetColor 004f Rect 0067 TPen.SetColor 0073 Point 0095 @IntOver"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 D2 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 54 50 8D 45 BC 50 8B 45 FC 8B 40 04 8B 48 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 BC 8B 45 F4 8B 08 FF 51 54 33 D2 8B 45 F4 8B 40 44 E8 ?? ?? ?? ?? 8D 4D B4 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 B4 89 45 CC 8B 45 B8 89 45 D0 8D 4D B4 8B 45 FC 8B 40 04 8B 40 50 83 E8 01 71 05 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 B4 89 45 D4 8B 45 B8 89 45 D8 8D 4D B4 8B 45 FC 8B 40 04 8B 50 54 83 EA 01 71 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 50 83 E8 01 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 89 45 DC 8B 45 B8 89 45 E0 8D 4D B4 8B 45 FC 8B 40 04 8B 50 54 83 EA 01 71 05 E8 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B 45 B4 89 45 E4 8B 45 B8 89 45 E8 8D 4D B4 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 B4 89 45 EC 8B 45 B8 89 45 F0 8D 55 CC B9 04 00 00 00 8B 45 F4 8B 18 FF 53 70 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44533_0 {
	meta:
		name = "TIWPaintHandlerDsn.DrawResource"
		size = 296
		refs = "001f TIWPaintHandlerDsn.DrawResource 0030 UpperCase 003d FindInstanceContainingResource 007b @UStrLAsg 0088 _Dn_TBitmap 008d TBitmap.Create 00ac TBitmap.LoadFromResourceName 00b8 TIWPaintHandler.GetControlCanvas 00d8 FreeAndNil 00de @HandleFinally 00fa @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 DB 89 5D E0 89 5D E4 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 89 45 EC 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 83 7D EC 00 75 2A 8D 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 89 45 EC 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D EC 00 74 5F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D E8 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC E8 ?? ?? ?? ?? 8B 4D 08 8B 55 F4 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 4C 00 41 00 4E 00 4B 00 00 00 }
	condition:
		$1
}

rule function_44534_0 {
	meta:
		name = "TIWPaintHandlerDsn.Paint"
		size = 23
		refs = "0010 TIWPaintHandlerDsn.DrawOutline"
	strings:
		$1 = { 55 8B EC 51 89 45 FC BA C0 C0 C0 00 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_44535_0 {
	meta:
		name = "TIWPaintHandlerDsn.SetTransparent"
		size = 31
		refs = "000d TIWPaintHandler.GetControlCanvas 0012 TCanvas.GetHandle 0018 SetBkMode"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 6A 01 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_44536_0 {
	meta:
		name = "TIWPaintHandlerDsn.Draw3DBox"
		size = 96
		refs = "000f TIWPaintHandlerDsn.Draw3DBox 0023 @IntOver 0044 Rect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 45 FC 68 C0 C0 C0 00 A0 ?? ?? ?? ?? 50 8B 45 FC 8B 40 04 8B 40 54 83 E8 01 71 05 E8 ?? ?? ?? ?? 50 8D 45 EC 50 8B 45 FC 8B 40 04 8B 48 50 83 E9 01 71 05 E8 ?? ?? ?? ?? 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 EC B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 0C 00 00 00 }
	condition:
		$1
}

rule function_44537_0 {
	meta:
		name = "TIWPaintHandlerDsn.Draw3DBox"
		size = 794
		refs = "001c TIWPaintHandler.GetControlCanvas 002c TPen.SetStyle 003c TPen.SetWidth 004e @BoundErr 0053 GetRValue 006e GetGValue 0089 GetBValue 00c7 RGB 00e7 TPen.SetColor 0104 @IntOver"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 8B F2 8D 7D C8 A5 A5 A5 A5 89 4D F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8B 45 DC 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 0C 89 45 E4 8B 45 0C 85 C0 79 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 25 FF 00 00 00 D1 E8 89 45 F0 8B 45 0C 85 C0 79 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 25 FF 00 00 00 D1 E8 89 45 EC 8B 45 0C 85 C0 79 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 25 FF 00 00 00 D1 E8 89 45 E8 8B 4D E8 81 F9 FF 00 00 00 76 05 E8 ?? ?? ?? ?? 8B 55 EC 81 FA FF 00 00 00 76 05 E8 ?? ?? ?? ?? 8B 45 F0 3D FF 00 00 00 76 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 79 05 E8 ?? ?? ?? ?? 89 45 E0 F6 45 08 01 74 10 8B 45 DC 8B 40 44 8B 55 E4 E8 ?? ?? ?? ?? EB 0E 8B 45 DC 8B 40 44 8B 55 E0 E8 ?? ?? ?? ?? 8B 45 F8 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 57 40 89 45 D8 C7 45 F4 00 00 00 00 8B 4D CC 03 4D F4 71 05 E8 ?? ?? ?? ?? 8B 55 C8 03 55 F4 71 05 E8 ?? ?? ?? ?? 8B 45 DC 8B 18 FF 53 64 8B 4D D4 2B 4D F4 71 05 E8 ?? ?? ?? ?? 8B 55 C8 03 55 F4 71 05 E8 ?? ?? ?? ?? 8B 45 DC 8B 18 FF 53 60 FF 45 F4 FF 4D D8 75 B4 F6 45 08 02 74 10 8B 45 DC 8B 40 44 8B 55 E4 E8 ?? ?? ?? ?? EB 0E 8B 45 DC 8B 40 44 8B 55 E0 E8 ?? ?? ?? ?? 8B 45 F8 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 57 40 89 45 D8 C7 45 F4 00 00 00 00 8B 4D CC 03 4D F4 71 05 E8 ?? ?? ?? ?? 8B 55 C8 03 55 F4 71 05 E8 ?? ?? ?? ?? 8B 45 DC 8B 18 FF 53 64 8B 4D CC 03 4D F4 71 05 E8 ?? ?? ?? ?? 8B 55 D0 2B 55 F4 71 05 E8 ?? ?? ?? ?? 8B 45 DC 8B 18 FF 53 60 FF 45 F4 FF 4D D8 75 B4 F6 45 08 04 74 10 8B 45 DC 8B 40 44 8B 55 E4 E8 ?? ?? ?? ?? EB 0E 8B 45 DC 8B 40 44 8B 55 E0 E8 ?? ?? ?? ?? 8B 45 F8 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 57 40 89 45 D8 C7 45 F4 00 00 00 00 8B 4D CC 03 4D F4 71 05 E8 ?? ?? ?? ?? 8B 55 D0 2B 55 F4 71 05 E8 ?? ?? ?? ?? 8B 45 DC 8B 18 FF 53 64 8B 4D D4 2B 4D F4 71 05 E8 ?? ?? ?? ?? 8B 55 D0 2B 55 F4 71 05 E8 ?? ?? ?? ?? 8B 45 DC 8B 18 FF 53 60 FF 45 F4 FF 4D D8 75 B4 F6 45 08 08 74 10 8B 45 DC 8B 40 44 8B 55 E4 E8 ?? ?? ?? ?? EB 0E 8B 45 DC 8B 40 44 8B 55 E0 E8 ?? ?? ?? ?? 8B 45 F8 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 61 40 89 45 D8 C7 45 F4 00 00 00 00 8B 4D D4 2B 4D F4 71 05 E8 ?? ?? ?? ?? 8B 55 C8 03 55 F4 71 05 E8 ?? ?? ?? ?? 8B 45 DC 8B 18 FF 53 64 8B 4D D4 2B 4D F4 71 05 E8 ?? ?? ?? ?? 8B 55 D0 2B 55 F4 71 05 E8 ?? ?? ?? ?? 83 C2 01 71 05 E8 ?? ?? ?? ?? 8B 45 DC 8B 18 FF 53 60 FF 45 F4 FF 4D D8 75 AA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44538_0 {
	meta:
		name = "TIWPaintHandlerDsn.DrawArrow"
		size = 939
		refs = "001c TIWPaintHandler.GetControlCanvas 002c TBrush.SetColor 0039 TPen.SetColor 0068 @IntOver 008a Point"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 8B F2 8D 7D E0 A5 A5 A5 A5 88 4D FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 D2 8B 45 F0 8B 40 48 E8 ?? ?? ?? ?? 33 D2 8B 45 F0 8B 40 44 E8 ?? ?? ?? ?? 8A 45 FB 2C 01 72 1B 0F 84 E5 00 00 00 FE C8 0F 84 AD 01 00 00 FE C8 0F 84 75 02 00 00 E9 45 03 00 00 8B 45 E8 03 45 E0 71 05 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 89 45 F4 8D 4D B8 8B 55 E4 83 C2 05 71 05 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 B8 89 45 C0 8B 45 BC 89 45 C4 8D 4D B0 8B 55 EC 83 EA 05 71 05 E8 ?? ?? ?? ?? 8B 45 E8 83 E8 03 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8D 4D A8 8B 55 EC 83 EA 05 71 05 E8 ?? ?? ?? ?? 8B 45 E0 83 C0 03 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 89 45 D0 8B 45 AC 89 45 D4 8D 4D A0 8B 55 E4 83 C2 05 71 05 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 A0 89 45 D8 8B 45 A4 89 45 DC 8D 55 C0 B9 03 00 00 00 8B 45 F0 8B 18 FF 53 6C E9 75 02 00 00 8B 45 E8 03 45 E0 71 05 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 89 45 F4 8D 4D B8 8B 55 EC 83 EA 05 71 05 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 B8 89 45 C0 8B 45 BC 89 45 C4 8D 4D B0 8B 55 E4 83 C2 05 71 05 E8 ?? ?? ?? ?? 8B 45 E8 83 E8 03 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8D 4D A8 8B 55 E4 83 C2 05 71 05 E8 ?? ?? ?? ?? 8B 45 E0 83 C0 03 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 89 45 D0 8B 45 AC 89 45 D4 8D 4D A0 8B 55 EC 83 EA 05 71 05 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 A0 89 45 D8 8B 45 A4 89 45 DC 8D 55 C0 B9 03 00 00 00 8B 45 F0 8B 18 FF 53 6C E9 A5 01 00 00 8B 45 E4 03 45 EC 71 05 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 89 45 F4 8D 4D B8 8B 45 E0 83 C0 03 71 05 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 B8 89 45 C0 8B 45 BC 89 45 C4 8D 4D B0 8B 55 E4 83 C2 02 71 05 E8 ?? ?? ?? ?? 8B 45 E8 83 E8 03 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8D 4D A8 8B 55 EC 83 EA 02 71 05 E8 ?? ?? ?? ?? 8B 45 E8 83 E8 03 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 89 45 D0 8B 45 AC 89 45 D4 8D 4D A0 8B 45 E0 83 C0 03 71 05 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 A0 89 45 D8 8B 45 A4 89 45 DC 8D 55 C0 B9 03 00 00 00 8B 45 F0 8B 18 FF 53 6C E9 D5 00 00 00 8B 45 E4 03 45 EC 71 05 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 89 45 F4 8D 4D B8 8B 55 E4 83 C2 02 71 05 E8 ?? ?? ?? ?? 8B 45 E0 83 C0 03 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 89 45 C0 8B 45 BC 89 45 C4 8D 4D B0 8B 45 E8 83 E8 03 71 05 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8D 4D A8 8B 55 EC 83 EA 02 71 05 E8 ?? ?? ?? ?? 8B 45 E0 83 C0 03 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 89 45 D0 8B 45 AC 89 45 D4 8D 4D A0 8B 55 E4 83 C2 02 71 05 E8 ?? ?? ?? ?? 8B 45 E0 83 C0 03 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 89 45 D8 8B 45 A4 89 45 DC 8D 55 C0 B9 03 00 00 00 8B 45 F0 8B 18 FF 53 6C 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44539_0 {
	meta:
		name = "TIWPaintHandlerDsn.DrawScrollBar"
		size = 182
		refs = "002b @IntOver 0036 Rect 0046 TIWPaintHandlerDsn.DrawButton 0053 TIWPaintHandlerDsn.DrawArrow"
	strings:
		$1 = { 55 8B EC 83 C4 CC 56 57 8B F2 8D 7D EC A5 A5 A5 A5 89 45 FC 6A 00 6A 00 8D 45 DC 50 6A 12 8D 45 CC 50 8B 55 F0 83 C2 01 71 05 E8 ?? ?? ?? ?? 8B 4D F4 8B 45 EC E8 ?? ?? ?? ?? 8D 55 CC B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C9 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 DC 50 8B 45 F8 2B 45 F0 71 05 E8 ?? ?? ?? ?? 83 C0 01 71 05 E8 ?? ?? ?? ?? 50 8D 45 CC 50 8B 55 F8 83 EA 10 71 05 E8 ?? ?? ?? ?? 8B 4D F4 8B 45 EC E8 ?? ?? ?? ?? 8D 55 CC B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? B1 01 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_44540_0 {
	meta:
		name = "TIWPaintHandlerDsn.DrawTextLines"
		size = 660
		refs = "0027 TIWPaintHandlerDsn.DrawTextLines 0040 TIWPaintHandler.GetControlCanvas 004a TBrush.SetStyle 0052 @UStrClr 007e @UStrLAsg 0096 @UStrLen 00b6 TCustomCanvas.TextHeight 00c0 @IntOver 00f9 @UStrCopy 010b TCustomCanvas.TextWidth 013c Pos 0175 @BoundErr 01f5 Rect 025f @UStrArrayClr 0265 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D CC 89 5D E8 89 5D E4 8B F2 8D 7D D0 A5 A5 A5 A5 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 8B 45 D4 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? E9 CD 01 00 00 80 7D 08 00 74 23 83 7D E4 00 75 10 8D 4D E8 8B 55 F0 8B 45 F8 8B 18 FF 53 0C EB 1B 8D 45 E8 8B 55 E4 E8 ?? ?? ?? ?? EB 0E 8D 4D E8 8B 55 F0 8B 45 F8 8B 18 FF 53 0C 8B 45 E8 E8 ?? ?? ?? ?? 48 7D 0D 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 E8 ?? ?? ?? ?? 03 45 F4 71 05 E8 ?? ?? ?? ?? 89 45 EC 80 7D 08 00 0F 84 00 01 00 00 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E0 EB 0B 83 6D E0 01 71 05 E8 ?? ?? ?? ?? 8D 45 CC 50 8B 4D E0 BA 01 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 55 D8 2B 55 D0 71 05 E8 ?? ?? ?? ?? 3B C2 7E 06 83 7D E0 01 7F B8 8B 45 E8 E8 ?? ?? ?? ?? 3B 45 E0 74 67 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 E0 7E 1F 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 E0 7F 43 EB 0B 83 6D E0 01 71 05 E8 ?? ?? ?? ?? 8B 45 E0 8B 55 E8 48 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 40 66 8B 44 42 FE 83 C0 F7 66 83 E8 02 72 12 66 83 E8 02 74 0C 66 83 E8 13 74 06 83 7D E0 01 7F BF 8D 45 E4 50 8B 45 E8 E8 ?? ?? ?? ?? 8B C8 8B 55 E0 83 C2 01 71 05 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 4D E0 BA 01 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 E8 50 8B 45 EC 50 8D 45 BC 50 8B 4D D8 2B 4D D0 71 05 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 D0 E8 ?? ?? ?? ?? 8D 45 BC 50 8B 45 FC E8 ?? ?? ?? ?? 8B 4D D0 5A 8B 18 FF 93 98 00 00 00 83 7D E4 00 75 0B 83 45 F0 01 71 05 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F4 8B 45 F4 3B 45 DC 7D 11 8B 45 F8 8B 10 FF 52 14 3B 45 F0 0F 8F 1A FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_44541_0 {
	meta:
		name = "TIWPaintHandlerDsn.DrawButton"
		size = 56
		refs = "0023 TIWPaintHandler.GetControlCanvas 002e DrawButtonFace"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 6A 00 6A 00 8A 45 10 50 8A 45 0C 50 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 4D F4 E8 ?? ?? ?? ?? 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_44542_0 {
	meta:
		name = "TIWPaintHandlerDsn.DrawOutline"
		size = 293
		refs = "0014 TIWPaintHandler.GetControlCanvas 0024 TBrush.SetStyle 0032 TBrush.SetColor 0048 Rect 0060 TPen.SetColor 006e Point 008a @IntOver"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 D2 8B 45 F0 8B 40 48 E8 ?? ?? ?? ?? 8B 55 08 8B 45 F0 8B 40 48 E8 ?? ?? ?? ?? 8B 45 0C 50 8D 45 B8 50 8B 4D 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 B8 8B 45 F0 8B 08 FF 51 54 33 D2 8B 45 F0 8B 40 44 E8 ?? ?? ?? ?? 8D 4D B0 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B0 89 45 C8 8B 45 B4 89 45 CC 8D 4D B0 8B 45 10 83 E8 01 71 05 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 B0 89 45 D0 8B 45 B4 89 45 D4 8D 4D B0 8B 55 0C 83 EA 01 71 05 E8 ?? ?? ?? ?? 8B 45 10 83 E8 01 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 89 45 D8 8B 45 B4 89 45 DC 8D 4D B0 8B 55 0C 83 EA 01 71 05 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B0 89 45 E0 8B 45 B4 89 45 E4 8D 4D B0 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B0 89 45 E8 8B 45 B4 89 45 EC 8D 55 C8 B9 04 00 00 00 8B 45 F0 8B 18 FF 53 70 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_44543_0 {
	meta:
		name = "TIWPaintHandlerComponent.Paint"
		size = 154
		refs = "0012 TIWPaintHandlerComponent.Paint 0025 TIWPaintHandlerDsn.DrawOutline 0038 @IntOver 0050 TObject.ClassName 0075 TIWPaintHandlerDsn.DrawResource 008a @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA C0 C0 C0 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 54 83 E8 18 71 05 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 8D 55 F8 8B 45 FC 8B 40 04 8B 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 40 04 8B 48 50 83 E9 18 71 05 E8 ?? ?? ?? ?? D1 F9 79 03 83 D1 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_44545_0 {
	meta:
		name = "IWDsnPaint"
		size = 27
		refs = "0005 _DV_3 000d GDefaultPaintHandler 0013 _DV_TIWPaintHandlerComponent"
	strings:
		$1 = { 55 8B EC 83 2D ?? ?? ?? ?? 01 73 0D A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 5D C3 }
	condition:
		$1
}

rule function_44546_0 {
	meta:
		name = "TIWPaintHandlerRadioGroup.Paint"
		size = 592
		refs = "0019 TIWPaintHandlerRadioGroup.Paint 002b _Dn_TIWRadioGroup 0030 @AsClass 0052 TIWPaintHandlerDsn.DrawOutline 005f TIWPaintHandlerDsn.SetTransparent 0067 TIWPaintHandler.GetControlCanvas 0072 TIWBaseHTMLControl.get_WebFont 007c TIWPaintHandlerDsn.SetCanvasFont 00ba TCustomCanvas.TextHeight 00c4 Max 00ce @IntOver 00dc TCustomCanvas.TextWidth 013a iif 0148 TIWPaintHandlerDsn.DrawResource 01c9 @UStrArrayClr 01d1 @UStrClr 01d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 D2 89 55 D0 89 55 D4 89 55 E4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 8B 80 A0 02 00 00 8B 10 FF 52 14 85 C0 75 12 BA C0 C0 C0 00 8B 45 FC E8 ?? ?? ?? ?? E9 58 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 DC 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 C0 89 45 E0 8B 45 E8 8B 80 A0 02 00 00 8B 10 FF 52 14 85 C0 0F 8E 13 01 00 00 8D 4D E4 33 D2 8B 45 E8 8B 80 A0 02 00 00 8B 18 FF 53 0C 8B 55 E4 8B 45 DC E8 ?? ?? ?? ?? BA 0C 00 00 00 E8 ?? ?? ?? ?? 83 C0 02 71 05 E8 ?? ?? ?? ?? 89 45 F4 8B 55 E4 8B 45 DC E8 ?? ?? ?? ?? 83 C0 12 71 05 E8 ?? ?? ?? ?? 89 45 F0 8B 45 E8 8B 80 A0 02 00 00 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C A6 00 00 00 40 89 45 D8 C7 45 F8 00 00 00 00 8B 45 E0 50 8D 45 D4 50 8B 45 E8 8B 80 9C 02 00 00 3B 45 F8 0F 94 C0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 4D EC 8B 45 FC E8 ?? ?? ?? ?? 8D 4D D0 8B 55 F8 8B 45 E8 8B 80 A0 02 00 00 8B 18 FF 53 0C 8B 45 D0 50 8B 55 EC 83 C2 0E 71 05 E8 ?? ?? ?? ?? 8B 4D E0 8B 45 DC 8B 18 FF 93 90 00 00 00 8B 45 E8 80 B8 A4 02 00 00 00 75 0F 8B 45 F4 01 45 E0 71 14 E8 ?? ?? ?? ?? EB 0D 8B 45 F0 01 45 EC 71 05 E8 ?? ?? ?? ?? FF 45 F8 FF 4D D8 0F 85 65 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 52 00 61 00 64 00 69 00 6F 00 42 00 75 00 74 00 74 00 6F 00 6E 00 55 00 6E 00 63 00 68 00 65 00 63 00 6B 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 61 00 64 00 69 00 6F 00 42 00 75 00 74 00 74 00 6F 00 6E 00 43 00 68 00 65 00 63 00 6B 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_44547_0 {
	meta:
		name = "TIWPaintHandlerRectangle.Paint"
		size = 985
		refs = "0019 TIWPaintHandlerRectangle.Paint 002b _Dn_TIWCustomRectangle 0030 @AsClass 003b TIWPaintHandler.GetControlCanvas 0062 toTColor 0092 TBrush.SetStyle 00b0 TBrush.SetColor 00ca Rect 00dd TIWBaseHTMLControl.get_WebColor 013e @IntOver 01ba TIWPaintHandlerDsn.DrawOutline 0236 TPen.SetColor 0263 TIWBaseHTMLControl.get_WebFont 026d TIWPaintHandlerDsn.SetCanvasFont 0278 TControl.GetText 0283 TCustomCanvas.TextHeight 029e TCustomCanvas.TextWidth 03c8 @UStrArrayClr 03ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 33 D2 89 55 C8 89 55 CC 89 55 D0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 8B 80 9C 02 00 00 83 78 18 00 0F 8E 38 01 00 00 8B 45 F8 8B 80 9C 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 3D FF FF FF 1F 0F 84 1C 01 00 00 8B 45 F8 8B 80 9C 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 40 0F 84 04 01 00 00 33 D2 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 9C 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 54 50 8D 45 D4 50 8B 45 F8 8B 48 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 F4 8B 08 FF 51 54 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 2C 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 74 1C 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? EB 10 BA FF FF FF 00 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 9C 02 00 00 8B 55 F8 8B 52 54 2B 50 18 71 05 E8 ?? ?? ?? ?? 52 8D 45 D4 50 8B 45 F8 8B 80 9C 02 00 00 8B 55 F8 8B 4A 50 2B 48 18 71 05 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 9C 02 00 00 8B 50 18 8B 45 F8 8B 80 9C 02 00 00 8B 40 18 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 F4 8B 08 FF 51 54 E9 D2 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 10 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 75 12 BA C0 C0 C0 00 8B 45 FC E8 ?? ?? ?? ?? E9 9C 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 2C 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 74 1C 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? EB 10 BA FF FF FF 00 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 44 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 54 50 8D 45 D4 50 8B 45 F8 8B 48 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 F4 8B 08 FF 51 54 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F4 E8 ?? ?? ?? ?? 50 8D 45 E4 50 8D 55 CC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 45 F8 8B 80 9C 02 00 00 8B 50 18 83 C2 01 71 05 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 9C 02 00 00 8B 40 18 83 C0 01 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8A 80 98 02 00 00 FE C8 74 06 FE C8 74 2A EB 55 8B 45 F8 8B 80 9C 02 00 00 8B 55 F8 8B 52 50 2B 50 18 71 05 E8 ?? ?? ?? ?? 2B 55 EC 71 05 E8 ?? ?? ?? ?? 89 55 E4 EB 2D 8B 45 F8 8B 80 9C 02 00 00 8B 55 F8 8B 52 50 2B 50 18 71 05 E8 ?? ?? ?? ?? 2B 55 EC 71 05 E8 ?? ?? ?? ?? D1 FA 79 03 83 D2 00 89 55 E4 8B 45 F8 8A 80 A0 02 00 00 2C 01 72 06 FE C8 74 1E EB 42 8B 45 F8 8B 40 54 2B 45 F0 71 05 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 89 45 E8 EB 26 8B 45 F8 8B 80 9C 02 00 00 8B 55 F8 8B 52 54 2B 50 18 71 05 E8 ?? ?? ?? ?? 2B 55 F0 71 05 E8 ?? ?? ?? ?? 89 55 E8 8D 55 C8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 4D E8 8B 55 E4 8B 45 F4 8B 18 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44548_0 {
	meta:
		name = "TIWPaintHandlerLabel.Paint"
		size = 656
		refs = "0022 TIWPaintHandlerLabel.Paint 0034 _Dn_TIWCustomLabel 0039 @AsClass 0044 TIWPaintHandler.GetControlCanvas 0057 TIWCustomLabel.GetBGColor 005c toTColor 008d TBrush.SetColor 009a TBrush.SetStyle 00b4 Rect 00d6 TIWBaseHTMLControl.get_WebFont 00e0 TIWPaintHandlerDsn.SetCanvasFont 00f1 TIWVCLBaseControl.GetAutoSize 0100 TControl.GetText 010b TCustomCanvas.TextWidth 012a @TRUNC 0138 @BoundErr 01a2 @IntOver 01f3 TCustomCanvas.TextHeight 0236 TControl.SetWidth 0256 TControl.SetHeight 0270 @UStrArrayClr 0276 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 33 D2 89 55 C4 89 55 CC 89 55 C8 89 55 D0 89 55 D4 89 55 D8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 33 D2 89 50 18 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 5E 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 74 4E 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 40 48 E8 ?? ?? ?? ?? 33 D2 8B 45 EC 8B 40 48 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 54 50 8D 45 DC 50 8B 45 F4 8B 48 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 EC 8B 08 FF 51 54 EB 0D B2 01 8B 45 EC 8B 40 48 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 80 78 65 00 75 5F 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 48 8D 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 EC E8 ?? ?? ?? ?? 89 45 F8 8B 45 F4 80 B8 98 02 00 00 00 75 37 DB 45 F8 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F8 EB 14 8B 45 F4 8B 40 50 89 45 F8 EB 09 8B 45 F4 8B 40 50 89 45 F8 33 C0 89 45 F0 8B 45 F4 8A 80 98 02 00 00 2C 01 72 08 74 42 FE C8 74 09 EB 61 33 C0 89 45 F0 EB 5A 8D 55 D4 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 EC E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 55 F8 D1 FA 79 03 83 D2 00 2B D0 71 05 E8 ?? ?? ?? ?? 89 55 F0 EB 25 8D 55 D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 EC E8 ?? ?? ?? ?? 8B 55 F8 2B D0 71 05 E8 ?? ?? ?? ?? 89 55 F0 6A 00 8D 55 CC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 CC 50 8D 55 C8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 EC E8 ?? ?? ?? ?? 50 8D 45 DC 50 8B 4D F8 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 DC 8B 4D F0 8B 45 EC 8B 18 FF 93 98 00 00 00 8B 45 F4 80 78 65 00 75 37 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 2B 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 C4 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 CD CC CC CC CC CC CC 8C FF 3F 00 00 }
	condition:
		$1
}

rule function_44549_0 {
	meta:
		name = "TIWPaintHandlerButton.Paint"
		size = 445
		refs = "0019 TIWPaintHandlerButton.Paint 002b _Dn_TIWCustomButton 0030 @AsClass 003b TIWPaintHandler.GetControlCanvas 0056 @IntOver 0074 Rect 0084 TIWPaintHandlerDsn.DrawButton 0091 TBrush.SetStyle 0099 TIWBaseHTMLControl.get_WebColor 009e toTColor 00cf TBrush.SetColor 00f4 TIWBaseHTMLControl.get_WebFont 00fe TIWPaintHandlerDsn.SetCanvasFont 0109 TControl.GetText 0114 TCustomCanvas.TextHeight 0138 Max 015e TCustomCanvas.TextWidth 01ac @UStrArrayClr 01b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 33 D2 89 55 CC 89 55 C8 89 55 D0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 6A 00 6A 00 8D 45 E4 50 8B 45 F8 8B 40 54 83 E8 01 71 05 E8 ?? ?? ?? ?? 50 8D 45 D4 50 8B 45 F8 8B 48 50 83 E9 01 71 05 E8 ?? ?? ?? ?? 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 D4 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 2C 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 74 1C 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? EB 10 BA FF FF FF 00 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F4 8B 08 FF 51 54 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 2B 55 E8 71 05 E8 ?? ?? ?? ?? 2B D0 71 05 E8 ?? ?? ?? ?? D1 FA 79 03 83 D2 00 33 C0 E8 ?? ?? ?? ?? 50 8D 55 CC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 CC 50 8D 55 C8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 2B 55 E4 71 05 E8 ?? ?? ?? ?? 2B D0 71 05 E8 ?? ?? ?? ?? D1 FA 79 03 83 D2 00 33 C0 E8 ?? ?? ?? ?? 8B C8 8D 55 E4 8B 45 F4 8B 18 FF 93 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44550_0 {
	meta:
		name = "TIWPaintHandlerEdit.Paint"
		size = 648
		refs = "0013 TIWPaintHandlerEdit.Paint 0025 _Dn_TIWCustomEdit 002a @AsClass 0035 TIWPaintHandler.GetControlCanvas 0043 TControl.GetText 004b TIWBaseHTMLControl.get_WebFont 0055 TIWPaintHandlerDsn.SetCanvasFont 0063 toTColor 0096 TBrush.SetColor 00b5 TPen.SetColor 00c5 TPen.SetWidth 00df Rect 00ea TCustomCanvas.Rectangle 00fa @IntOver 0133 TIWPaintHandlerDsn.Draw3DBox 01a4 TCustomCanvas.TextWidth 023e Min 0273 @UStrClr 0279 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 2E 8B 45 F8 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? 40 74 1D 8B 45 F8 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 40 48 E8 ?? ?? ?? ?? EB 10 BA FF FF FF 00 8B 45 EC 8B 40 48 E8 ?? ?? ?? ?? 33 D2 8B 45 EC 8B 40 44 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 EC 8B 40 44 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 54 50 8D 45 CC 50 8B 45 F8 8B 48 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 54 83 E8 02 71 05 E8 ?? ?? ?? ?? 50 8D 45 DC 50 8B 45 F8 8B 48 50 83 E9 02 71 05 E8 ?? ?? ?? ?? 33 D2 33 C0 E8 ?? ?? ?? ?? 68 C0 C0 C0 00 A0 ?? ?? ?? ?? 50 B9 01 00 00 00 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 2C 8B 45 F8 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? 40 74 1B 8B 45 F8 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 40 48 E8 ?? ?? ?? ?? C7 45 F4 02 00 00 00 8B 45 F8 8A 80 9C 02 00 00 2C 01 72 08 74 46 FE C8 74 0B EB 67 C7 45 F4 02 00 00 00 EB 5E 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 55 F8 8B 52 50 D1 FA 79 03 83 D2 00 2B D0 71 05 E8 ?? ?? ?? ?? 83 C2 02 71 05 E8 ?? ?? ?? ?? 89 55 F4 EB 27 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B 55 F8 8B 52 50 2B D0 71 05 E8 ?? ?? ?? ?? 83 EA 02 71 05 E8 ?? ?? ?? ?? 89 55 F4 6A 02 8B 45 F0 50 8B 45 F8 8B 40 54 83 E8 02 71 05 E8 ?? ?? ?? ?? 50 8D 45 CC 50 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B D0 03 55 F4 71 05 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 50 83 E8 02 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA 02 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 CC 8B 4D F4 8B 45 EC 8B 18 FF 93 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 0C 00 00 00 }
	condition:
		$1
}

rule function_44551_0 {
	meta:
		name = "TIWPaintHandlerCheckBox.Paint"
		size = 628
		refs = "0016 TIWPaintHandlerCheckBox.Paint 0028 _Dn_TIWCustomCheckBox 002d @AsClass 0038 TIWPaintHandler.GetControlCanvas 0060 Rect 0070 TIWPaintHandlerDsn.Draw3DBox 007d TBrush.SetStyle 008d TBrush.SetColor 00ab TIWBaseHTMLControl.get_WebFont 00b5 TIWPaintHandlerDsn.SetCanvasFont 00cf TControl.GetText 00e3 @IntOver 013a TPen.SetColor 0166 Point 025d @UStrClr 0263 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 70 FF FF FF 53 33 D2 89 55 E0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 68 C0 C0 C0 00 A0 ?? ?? ?? ?? 50 6A 0E 8D 45 E4 50 B9 0E 00 00 00 BA 01 00 00 00 B8 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 E4 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? BA FF FF FF 00 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 6A 0D 6A 0D B9 03 00 00 00 BA 03 00 00 00 8B 45 F4 8B 18 FF 53 7C 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 6A 02 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 F8 8B 40 54 83 E8 02 71 05 E8 ?? ?? ?? ?? 50 8D 45 E4 50 8B 45 F8 8B 48 50 83 E9 01 71 05 E8 ?? ?? ?? ?? BA 02 00 00 00 B8 14 00 00 00 E8 ?? ?? ?? ?? 8D 55 E4 B9 14 00 00 00 8B 45 F4 8B 18 FF 93 98 00 00 00 8B 45 F8 8B 10 FF 92 64 01 00 00 84 C0 0F 84 1B 01 00 00 33 D2 8B 45 F4 8B 40 44 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 8D 4D A0 BA 07 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 A0 89 45 A8 8B 45 A4 89 45 AC 8D 4D 98 BA 09 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 98 89 45 B0 8B 45 9C 89 45 B4 8D 4D 90 BA 0B 00 00 00 B8 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 90 89 45 B8 8B 45 94 89 45 BC 8D 4D 88 BA 07 00 00 00 B8 0B 00 00 00 E8 ?? ?? ?? ?? 8B 45 88 89 45 C0 8B 45 8C 89 45 C4 8D 4D 80 BA 05 00 00 00 B8 0B 00 00 00 E8 ?? ?? ?? ?? 8B 45 80 89 45 C8 8B 45 84 89 45 CC 8D 8D 78 FF FF FF BA 09 00 00 00 B8 07 00 00 00 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 D0 8B 85 7C FF FF FF 89 45 D4 8D 8D 70 FF FF FF BA 07 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 89 45 D8 8B 85 74 FF FF FF 89 45 DC 8D 55 A8 B9 06 00 00 00 8B 45 F4 8B 18 FF 53 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_44552_0 {
	meta:
		name = "TIWPaintHandlerComboBox.Paint"
		size = 677
		refs = "0019 TIWPaintHandlerComboBox.Paint 002b _Dn_TIWCustomComboBox 0030 @AsClass 003b TIWPaintHandler.GetControlCanvas 0046 TIWPaintHandlerDsn.Draw3DBox 004e TIWBaseHTMLControl.get_WebFont 0058 TIWPaintHandlerDsn.SetCanvasFont 0066 toTColor 008e TBrush.SetColor 00c3 TIWCustomListCombo.GetItems 0102 TStrings.GetName 0117 TStrings.GetValue 012b @IntOver 014f Rect 0265 TIWPaintHandlerDsn.DrawButton 0272 TIWPaintHandlerDsn.DrawArrow 0287 @UStrClr 0294 @UStrArrayClr 029a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 33 D2 89 55 C8 89 55 E0 89 55 DC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 11 8B 45 F8 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? 40 75 12 8B 45 F4 8B 40 48 BA FF FF FF 00 E8 ?? ?? ?? ?? EB 1B 8B 45 F8 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 8B 45 F8 83 B8 A4 02 00 00 00 0F 8C 14 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 52 14 8B 55 F8 3B 82 A4 02 00 00 0F 8E F8 00 00 00 8B 45 F8 80 B8 A8 02 00 00 00 0F 84 80 00 00 00 6A 02 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D DC 8B 55 F8 8B 92 A4 02 00 00 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D E0 5A E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 F8 8B 40 54 83 E8 02 71 05 E8 ?? ?? ?? ?? 50 8D 45 CC 50 8B 45 F8 8B 48 50 83 E9 12 71 05 E8 ?? ?? ?? ?? BA 02 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8D 55 CC B9 02 00 00 00 8B 45 F4 8B 18 FF 93 98 00 00 00 E9 9C 00 00 00 6A 02 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D C8 8B 55 F8 8B 92 A4 02 00 00 8B 18 FF 53 0C 8B 45 C8 50 8B 45 F8 8B 40 54 83 E8 02 71 05 E8 ?? ?? ?? ?? 50 8D 45 CC 50 8B 45 F8 8B 48 50 83 E9 12 71 05 E8 ?? ?? ?? ?? BA 02 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8D 55 CC B9 02 00 00 00 8B 45 F4 8B 18 FF 93 98 00 00 00 EB 34 8B 45 F8 8B 40 50 83 E8 12 71 05 E8 ?? ?? ?? ?? 50 8B 45 F8 8B 40 54 83 E8 02 71 05 E8 ?? ?? ?? ?? 50 B9 02 00 00 00 BA 02 00 00 00 8B 45 F4 8B 18 FF 53 7C 6A 00 6A 00 8D 45 E4 50 8B 45 F8 8B 40 54 83 E8 02 71 05 E8 ?? ?? ?? ?? 50 8D 45 CC 50 8B 45 F8 8B 48 50 83 E9 02 71 05 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 54 83 EA 12 71 05 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 50 83 E8 11 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 CC B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? B1 01 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44553_0 {
	meta:
		name = "TIWPaintHandlerListBox.Paint"
		size = 764
		refs = "0013 TIWPaintHandlerListBox.Paint 0025 _Dn_TIWCustomListbox 002a @AsClass 0035 TIWPaintHandler.GetControlCanvas 0046 toTColor 006e TBrush.SetColor 0098 TBrush.SetStyle 00b2 Rect 00d6 TIWBaseHTMLControl.get_WebFont 00e0 TIWPaintHandlerDsn.SetCanvasFont 00f4 TIWCustomListCombo.GetItems 00ff TStrings.GetName 011c @UStrLen 012c @UStrLAsg 0137 TCustomCanvas.TextHeight 0141 @IntOver 019d TIWCustomListbox.GetSelected 01b6 TFont.SetColor 02c5 TIWPaintHandlerDsn.Draw3DBox 02da @UStrClr 02e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 33 D2 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC E8 ?? ?? ?? ?? 89 45 E4 8B 45 E8 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 11 8B 45 E8 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? 40 75 12 8B 45 E4 8B 40 48 BA FF FF FF 00 E8 ?? ?? ?? ?? EB 1B 8B 45 E8 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 E4 8B 40 48 E8 ?? ?? ?? ?? 8B 45 E4 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 54 50 8D 45 D4 50 8B 45 E8 8B 48 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 E4 8B 08 FF 51 54 33 C0 89 45 F8 C7 45 F4 01 00 00 00 E9 C4 01 00 00 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 80 B8 A8 02 00 00 00 74 15 8B 45 E8 E8 ?? ?? ?? ?? 8D 4D EC 8B 55 F8 E8 ?? ?? ?? ?? EB 13 8B 45 E8 E8 ?? ?? ?? ?? 8D 4D EC 8B 55 F8 8B 18 FF 53 0C 8B 45 EC E8 ?? ?? ?? ?? 48 7D 0D 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 E4 E8 ?? ?? ?? ?? 03 45 F4 71 05 E8 ?? ?? ?? ?? 89 45 F0 8B 45 E8 8B 40 54 83 E8 02 71 05 E8 ?? ?? ?? ?? 3B 45 F0 7F 13 8B 45 E8 8B 40 54 83 E8 02 71 05 E8 ?? ?? ?? ?? 89 45 F0 8B 45 E8 80 B8 C4 02 00 00 00 75 0E 8B 45 E8 8B 80 A4 02 00 00 3B 45 F8 74 1B 8B 45 E8 80 B8 C4 02 00 00 00 74 38 8B 55 F8 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 29 8B 45 FC E8 ?? ?? ?? ?? 8B 40 40 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 48 33 D2 E8 ?? ?? ?? ?? EB 53 8B 45 E8 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 11 8B 45 E8 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? 40 75 12 8B 45 E4 8B 40 48 BA FF FF FF 00 E8 ?? ?? ?? ?? EB 1B 8B 45 E8 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 E4 8B 40 48 E8 ?? ?? ?? ?? 8B 45 F4 83 C0 02 71 05 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 45 F0 50 8D 45 D4 50 8B 45 E8 8B 48 50 83 E9 05 71 05 E8 ?? ?? ?? ?? 8B 55 F4 83 C2 02 71 05 E8 ?? ?? ?? ?? B8 04 00 00 00 E8 ?? ?? ?? ?? 8D 55 D4 B9 04 00 00 00 8B 45 E4 8B 18 FF 93 98 00 00 00 8B 45 E4 8B 40 48 BA FF FF FF 1F E8 ?? ?? ?? ?? 83 45 F8 01 71 05 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 8B 45 E8 8B 40 54 83 E8 02 71 05 E8 ?? ?? ?? ?? 3B 45 F4 7E 16 8B 45 E8 E8 ?? ?? ?? ?? 8B 10 FF 52 14 3B 45 F8 0F 8F 11 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_44554_0 {
	meta:
		name = "TIWPaintHandlerMemo.Paint"
		size = 376
		refs = "0011 _Dn_TIWCustomMemo 0016 @AsClass 0021 TIWPaintHandler.GetControlCanvas 0032 toTColor 0065 TBrush.SetColor 007f TIWPaintHandlerDsn.Draw3DBox 008f @IntOver 00b3 Rect 00be TCustomCanvas.Rectangle 00c6 TIWBaseHTMLControl.get_WebFont 00d0 TIWPaintHandlerDsn.SetCanvasFont 011a TIWPaintHandlerDsn.DrawTextLines 0170 TIWPaintHandlerDsn.DrawScrollBar"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 45 FC 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 2E 8B 45 F8 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 40 74 1D 8B 45 F8 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? EB 10 8B 45 F4 8B 40 48 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 54 83 E8 02 71 05 E8 ?? ?? ?? ?? 50 8D 45 E4 50 8B 45 F8 8B 48 50 83 E9 10 71 05 E8 ?? ?? ?? ?? BA 02 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8B 45 F8 8B 40 54 83 E8 01 71 05 E8 ?? ?? ?? ?? 50 8D 45 E4 50 8B 45 F8 8B 48 50 83 E9 0F 71 05 E8 ?? ?? ?? ?? BA 02 00 00 00 B8 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F8 8B 88 A0 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 80 B8 99 02 00 00 00 74 4A 8B 45 F8 8B 40 54 83 E8 01 71 05 E8 ?? ?? ?? ?? 50 8D 45 E4 50 8B 45 F8 8B 48 50 83 E9 01 71 05 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 50 83 E8 10 71 05 E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_44555_0 {
	meta:
		name = "TIWPaintHandlerLink.Paint"
		size = 464
		refs = "001f TIWPaintHandlerLink.Paint 0031 _Dn_TIWLinkBase 0036 @AsClass 0041 TIWPaintHandler.GetControlCanvas 004c TIWBaseHTMLControl.get_WebFont 0056 TIWPaintHandlerDsn.SetCanvasFont 0063 TBrush.SetStyle 006b TIWBaseHTMLControl.get_WebColor 0070 toTColor 00a1 TBrush.SetColor 00c4 TControl.GetText 0110 TCustomCanvas.TextWidth 011a @IntOver 01a5 @UStrClr 01b2 @UStrArrayClr 01c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 33 D2 89 55 D4 89 55 C0 89 55 EC 89 55 D8 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 2A 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 74 1A 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 8B 45 F8 8A 80 98 02 00 00 2C 01 72 0B 74 2C FE C8 74 75 E9 D7 00 00 00 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 50 33 C9 33 D2 8B 45 F4 8B 18 FF 93 90 00 00 00 E9 B4 00 00 00 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 DC 8B 45 F4 8B 08 FF 51 10 8B 45 E4 50 8D 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 5A 2B D0 71 05 E8 ?? ?? ?? ?? 33 C9 8B 45 F4 8B 18 FF 93 90 00 00 00 EB 67 8D 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 55 DC 8B 45 F4 8B 08 FF 51 10 8B 5D E4 8D 55 C4 8B 45 F4 8B 08 FF 51 10 2B 5D C4 71 05 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F4 E8 ?? ?? ?? ?? 8B D3 2B D0 71 05 E8 ?? ?? ?? ?? D1 FA 79 03 83 D2 00 33 C9 8B 45 F4 8B 18 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44556_0 {
	meta:
		name = "TIWPaintHandlerText.Paint"
		size = 468
		refs = "0012 TIWPaintHandlerText.Paint 0024 _Dn_TIWCustomText 0029 @AsClass 0034 TIWPaintHandler.GetControlCanvas 0051 TIWPaintHandlerDsn.SetTransparent 005e TIWPaintHandlerDsn.DrawOutline 0071 @IntOver 0089 TObject.ClassName 00ae TIWPaintHandlerDsn.DrawResource 00c1 toTColor 00f4 TBrush.SetColor 0113 TBrush.SetStyle 012e TPen.SetColor 0148 Rect 015b TIWBaseHTMLControl.get_WebFont 0165 TIWPaintHandlerDsn.SetCanvasFont 01af TIWPaintHandlerDsn.DrawTextLines 01c4 @UStrClr 01ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 8B 80 A0 02 00 00 8B 10 FF 52 14 85 C0 75 6A 8B 45 FC E8 ?? ?? ?? ?? BA C0 C0 C0 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 54 83 E8 18 71 05 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 8D 55 F0 8B 45 FC 8B 40 04 8B 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 40 04 8B 48 50 83 E9 18 71 05 E8 ?? ?? ?? ?? D1 F9 79 03 83 D1 00 8B 45 FC E8 ?? ?? ?? ?? E9 FC 00 00 00 8B 45 F8 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 2E 8B 45 F8 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 40 74 1D 8B 45 F8 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? EB 10 8B 45 F4 8B 40 48 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 44 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 54 50 8D 45 E0 50 8B 45 F8 8B 48 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F4 8B 08 FF 51 54 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8B 45 F8 8B 40 54 83 E8 02 71 05 E8 ?? ?? ?? ?? 50 8D 45 E0 50 8B 45 F8 8B 48 50 83 E9 02 71 05 E8 ?? ?? ?? ?? BA 01 00 00 00 B8 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F8 8B 88 A0 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_44557_0 {
	meta:
		name = "TIWPaintHandlerImage.Paint"
		size = 742
		refs = "0013 TIWPaintHandlerImage.Paint 0025 _Dn_TIWCustomImage 002a @AsClass 003f TIWPaintHandler.GetControlCanvas 0066 toTColor 00a7 TBrush.SetColor 00b4 TBrush.SetStyle 00d2 TPen.SetColor 00f6 TIWBaseHTMLControl.get_WebColor 0148 @IntOver 01b7 TIWCustomImage.GetPicture 01d5 TIWCustomControl.get_RenderSize 0212 Rect 0279 TIWPaintHandlerDsn.DrawOutline 029e TObject.ClassName 02c0 TIWPaintHandlerDsn.DrawResource 02d5 @UStrClr 02db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 D2 89 55 D8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 89 45 F4 33 C0 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 8B 45 F8 8B 80 9C 02 00 00 83 78 18 00 0F 8E 5A 01 00 00 8B 45 F8 8B 80 9C 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 3D FF FF FF 1F 0F 84 3E 01 00 00 8B 45 F8 8B 80 9C 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 40 0F 84 26 01 00 00 8B 45 F8 8B 80 9C 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 40 48 E8 ?? ?? ?? ?? 33 D2 8B 45 EC 8B 40 48 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 9C 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 40 44 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 50 50 8B 45 F8 8B 40 54 50 8B 4D F0 8B 55 F4 8B 45 EC 8B 18 FF 53 7C 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 40 48 E8 ?? ?? ?? ?? 33 D2 8B 45 EC 8B 40 48 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 40 44 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 9C 02 00 00 8B 55 F8 8B 52 50 2B 50 18 71 05 E8 ?? ?? ?? ?? 52 8B 45 F8 8B 80 9C 02 00 00 8B 55 F8 8B 52 54 2B 50 18 71 05 E8 ?? ?? ?? ?? 52 8B 45 F8 8B 80 9C 02 00 00 8B 48 18 8B 45 F8 8B 80 9C 02 00 00 8B 50 18 8B 45 EC 8B 18 FF 53 7C 8B 45 F8 8B 80 9C 02 00 00 8B 40 18 01 45 F4 71 05 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 9C 02 00 00 8B 40 18 01 45 F0 71 05 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 84 01 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 83 78 0C 00 74 65 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 1F 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 0C 50 8B 4D F0 8B 55 F4 8B 45 EC 8B 18 FF 53 44 E9 C8 00 00 00 8B 45 F8 8B 40 54 50 8D 45 DC 50 8B 45 F8 8B 48 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 F8 E8 ?? ?? ?? ?? 8B 48 0C 8B 45 EC 5A 8B 18 FF 93 88 00 00 00 E9 8E 00 00 00 8B 45 F8 8B 80 9C 02 00 00 8B 55 F8 8B 52 50 2B 50 18 71 05 E8 ?? ?? ?? ?? 52 8B 45 F8 8B 80 9C 02 00 00 8B 55 F8 8B 52 54 2B 50 18 71 05 E8 ?? ?? ?? ?? 52 68 C0 C0 C0 00 8B 4D F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 54 83 E8 18 71 05 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 8D 55 D8 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F8 8B 48 50 83 E9 18 71 05 E8 ?? ?? ?? ?? D1 F9 79 03 83 D1 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44558_0 {
	meta:
		name = "TIWPaintHandlerHRule.Paint"
		size = 93
		refs = "000d TIWPaintHandler.GetControlCanvas 001d TBrush.SetColor 002a TBrush.SetStyle 004a Rect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 D2 8B 45 F8 8B 40 48 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 40 48 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 54 50 8D 45 E8 50 8B 45 FC 8B 40 04 8B 48 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F8 8B 08 FF 51 54 8B E5 5D C3 }
	condition:
		$1
}

rule function_44559_0 {
	meta:
		name = "TIWPaintHandlerList.Paint"
		size = 512
		refs = "001c TIWPaintHandlerList.Paint 002e _Dn_TIWList 0033 @AsClass 003e TIWPaintHandler.GetControlCanvas 0049 TIWPaintHandlerDsn.SetTransparent 0051 TIWBaseHTMLControl.get_WebFont 005b TIWPaintHandlerDsn.SetCanvasFont 008f TCustomCanvas.TextHeight 00aa @IntOver 00f2 IntToStr 010a @UStrCatN 011c @UStrCat3 0156 TIWPaintHandlerDsn.DrawOutline 0181 TObject.ClassName 01a6 TIWPaintHandlerDsn.DrawResource 01c0 @UStrArrayClr 01c8 @UStrClr 01ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 D2 89 55 D8 89 55 DC 89 55 E0 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8B 80 9C 02 00 00 8B 10 FF 52 14 85 C0 0F 8E D8 00 00 00 8D 4D E0 33 D2 8B 45 EC 8B 80 9C 02 00 00 8B 18 FF 53 0C 8B 55 E0 8B 45 E8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 EC 8B 80 9C 02 00 00 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C F4 00 00 00 40 89 45 E4 C7 45 F8 00 00 00 00 8D 4D F0 8B 55 F8 8B 45 EC 8B 80 9C 02 00 00 8B 18 FF 53 0C 8B 45 EC 80 B8 98 02 00 00 00 74 2F 8D 55 DC 8B 45 F8 83 C0 01 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? FF 75 F0 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 10 8D 45 F0 8B 4D F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 4D F8 0F AF 4D F4 71 05 E8 ?? ?? ?? ?? 33 D2 8B 45 E8 8B 18 FF 93 90 00 00 00 FF 45 F8 FF 4D E4 0F 85 76 FF FF FF EB 5D BA C0 C0 C0 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 54 83 E8 18 71 05 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 8D 55 D8 8B 45 FC 8B 40 04 8B 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC 8B 40 04 8B 48 50 83 E9 18 71 05 E8 ?? ?? ?? ?? D1 F9 79 03 83 D1 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_44560_0 {
	meta:
		name = "DrawImage"
		size = 396
		refs = "0019 @UStrAddRef 0021 DrawImage 002e _Dn_TBitmap 0033 TBitmap.Create 004f UpperCase 0058 HInstance 0060 TBitmap.LoadFromResourceName 0068 TBitmap.GetCanvas 007b TBitmap.SetTransparentColor 00a1 @IntOver 00df Rect 00ef TIWPaintHandlerDsn.DrawButton 00fe TIWPaintHandler.GetControlCanvas 0136 FreeAndNil 013c @HandleFinally 0171 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 33 DB 89 5D EC 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D EC 8B 15 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 18 FF 53 18 8B D0 8B 45 F0 E8 ?? ?? ?? ?? B2 01 8B 45 F0 8B 08 FF 51 40 6A 00 6A 00 8D 45 DC 50 8B 45 F0 8B 10 FF 52 24 8B 55 F4 03 02 71 05 E8 ?? ?? ?? ?? 83 C0 06 71 05 E8 ?? ?? ?? ?? 50 8D 45 CC 50 8B 45 F0 8B 10 FF 52 30 8B C8 8B 45 F8 03 08 71 05 E8 ?? ?? ?? ?? 83 C1 06 71 05 E8 ?? ?? ?? ?? 8B 55 F4 8B 12 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 10 8B 40 FC 33 C9 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 10 8B 40 FC E8 ?? ?? ?? ?? 8B 4D F4 8B 09 83 C1 03 71 05 E8 ?? ?? ?? ?? 8B 55 F8 8B 12 83 C2 03 71 05 E8 ?? ?? ?? ?? 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 0C 01 10 71 05 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 08 01 10 71 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44561_0 {
	meta:
		name = "TIWPaintHandlerDBNavigator.Paint"
		size = 1052
		refs = "0025 _Dn_TIWDBNavigator 002a @AsClass 0051 @IntOver 0096 TIWPaintHandlerDBNavigator.Paint 009b DrawImage 0217 TControl.SetWidth 0224 TControl.SetHeight"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 45 FC 33 C0 89 45 F8 33 C0 89 45 F4 33 C0 89 45 F0 33 C0 89 45 EC 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 8A 80 08 03 00 00 2C 01 72 04 74 1F EB 38 8B 45 E8 8B 80 A8 02 00 00 83 C0 06 71 05 E8 ?? ?? ?? ?? 89 45 F0 33 C0 89 45 EC EB 1B 33 C0 89 45 F0 8B 45 E8 8B 80 AC 02 00 00 83 C0 06 71 05 E8 ?? ?? ?? ?? 89 45 EC 8B 45 E8 F6 80 00 03 00 00 01 74 1A 55 8B 45 F0 50 8B 45 EC 50 8D 4D F4 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 E8 F6 80 00 03 00 00 02 74 1A 55 8B 45 F0 50 8B 45 EC 50 8D 4D F4 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 E8 F6 80 00 03 00 00 04 74 1A 55 8B 45 F0 50 8B 45 EC 50 8D 4D F4 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 E8 F6 80 00 03 00 00 08 74 1A 55 8B 45 F0 50 8B 45 EC 50 8D 4D F4 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 E8 F6 80 00 03 00 00 10 74 1A 55 8B 45 F0 50 8B 45 EC 50 8D 4D F4 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 E8 F6 80 00 03 00 00 20 74 1A 55 8B 45 F0 50 8B 45 EC 50 8D 4D F4 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 E8 F6 80 00 03 00 00 40 74 1A 55 8B 45 F0 50 8B 45 EC 50 8D 4D F4 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 E8 F6 80 00 03 00 00 80 74 1A 55 8B 45 F0 50 8B 45 EC 50 8D 4D F4 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 E8 F6 80 01 03 00 00 01 74 1A 55 8B 45 F0 50 8B 45 EC 50 8D 4D F4 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 E8 F6 80 01 03 00 00 02 74 1A 55 8B 45 F0 50 8B 45 EC 50 8D 4D F4 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 E8 80 78 65 00 75 29 8B 45 E8 8A 80 08 03 00 00 2C 01 72 04 74 0F EB 18 8B 55 F8 8B 45 E8 E8 ?? ?? ?? ?? EB 0B 8B 55 F4 8B 45 E8 E8 ?? ?? ?? ?? 8B E5 5D C3 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 57 00 5F 00 44 00 54 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 66 00 69 00 72 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 57 00 5F 00 44 00 54 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 70 00 72 00 69 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 57 00 5F 00 44 00 54 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 6E 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 57 00 5F 00 44 00 54 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 6C 00 61 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 57 00 5F 00 44 00 54 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 69 00 6E 00 73 00 65 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 57 00 5F 00 44 00 54 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 64 00 65 00 6C 00 65 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 57 00 5F 00 44 00 54 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 65 00 64 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 57 00 5F 00 44 00 54 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 70 00 6F 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 57 00 5F 00 44 00 54 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 63 00 61 00 6E 00 63 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 57 00 5F 00 44 00 54 00 5F 00 44 00 42 00 4E 00 61 00 76 00 5F 00 72 00 65 00 66 00 72 00 65 00 73 00 68 00 00 00 }
	condition:
		$1
}

rule function_44562_0 {
	meta:
		name = "TIWPaintHandlerProgressBar.Paint"
		size = 328
		refs = "0012 _Dn_TIWProgressBar 0017 @AsClass 0022 TIWPaintHandler.GetControlCanvas 0033 toTColor 0066 TBrush.SetColor 0085 TBrush.SetStyle 0092 TPen.SetColor 00c4 TIWBaseHTMLControl.get_WebColor 0113 @IntOver"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 45 FC 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 2E 8B 45 F8 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 40 74 1D 8B 45 F8 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? EB 10 BA FF FF FF 00 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 40 44 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 50 50 8B 45 F8 8B 40 54 50 33 C9 33 D2 8B 45 F4 8B 18 FF 53 7C 8B 45 F8 83 B8 9C 02 00 00 00 0F 8E 83 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 44 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 50 8B 55 F8 F7 AA 9C 02 00 00 71 05 E8 ?? ?? ?? ?? B9 64 00 00 00 99 F7 F9 50 8B 45 F8 8B 40 54 83 E8 01 71 05 E8 ?? ?? ?? ?? 50 B9 01 00 00 00 BA 01 00 00 00 8B 45 F4 8B 18 FF 53 7C 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44563_0 {
	meta:
		name = "TIWPaintHandlerRadioButton.Paint"
		size = 456
		refs = "0016 TIWPaintHandlerRadioButton.Paint 0028 _Dn_TIWRadioButton 002d @IsClass 0039 TIWPaintHandlerDsn.Paint 004f @AsClass 005a TIWPaintHandler.GetControlCanvas 006a TPen.SetColor 007a TBrush.SetColor 0087 TPen.SetStyle 0094 TBrush.SetStyle 009c TIWBaseHTMLControl.get_WebFont 00a6 TIWPaintHandlerDsn.SetCanvasFont 00b3 TCustomCanvas.TextHeight 00c2 @IntOver 00ec iif 00fc TIWPaintHandlerDsn.DrawResource 0107 TControl.GetText 0133 @UStrClr 0141 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 E8 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0D 8B 45 FC E8 ?? ?? ?? ?? E9 E0 00 00 00 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 D2 8B 45 F0 8B 40 44 E8 ?? ?? ?? ?? BA FF FF FF 1F 8B 45 F0 8B 40 48 E8 ?? ?? ?? ?? 33 D2 8B 45 F0 8B 40 44 E8 ?? ?? ?? ?? B2 01 8B 45 F0 8B 40 48 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F8 8B 52 54 2B D0 71 05 E8 ?? ?? ?? ?? D1 FA 79 03 83 D2 00 89 55 F4 8B 45 F4 50 8D 45 EC 50 8B 45 F8 8A 80 A4 02 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC B9 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 4D F4 BA 10 00 00 00 8B 45 F0 8B 18 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 4F 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 52 00 61 00 64 00 69 00 6F 00 42 00 75 00 74 00 74 00 6F 00 6E 00 55 00 6E 00 63 00 68 00 65 00 63 00 6B 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 52 00 61 00 64 00 69 00 6F 00 42 00 75 00 74 00 74 00 6F 00 6E 00 43 00 68 00 65 00 63 00 6B 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_44564_0 {
	meta:
		name = "DoButton"
		size = 342
		refs = "001c @UStrAddRef 0024 DoButton 0045 TIWPaintHandlerDsn.DrawButton 0057 toTColor 0079 TBrush.SetColor 00ae TCustomCanvas.TextHeight 00bb @IntOver 00dd Max 00ed TCustomCanvas.TextWidth 0141 @UStrClr 0147 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B F1 8D 7D E8 A5 A5 A5 A5 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8D 45 D8 50 8D 55 E8 8B 45 0C 8B 40 FC B9 01 00 00 00 E8 ?? ?? ?? ?? 8D 75 D8 8D 7D E8 A5 A5 A5 A5 8B 45 FC E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 0B 8B 45 FC E8 ?? ?? ?? ?? 40 75 12 BA 0F 00 00 FF 8B 45 F8 8B 40 48 E8 ?? ?? ?? ?? EB 15 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 48 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F8 8B 08 FF 51 54 8B 45 F8 33 D2 89 50 18 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 2B 55 EC 71 05 E8 ?? ?? ?? ?? 2B D0 71 05 E8 ?? ?? ?? ?? D1 FA 79 03 83 D2 00 03 55 EC 71 05 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 50 8B 45 08 50 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 2B 55 E8 71 05 E8 ?? ?? ?? ?? 2B D0 71 05 E8 ?? ?? ?? ?? D1 FA 79 03 83 D2 00 03 55 E8 71 05 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B C8 8D 55 E8 8B 45 F8 8B 18 FF 93 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_44565_0 {
	meta:
		name = "TIWPaintHandlerFile.Paint"
		size = 576
		refs = "0011 _Dn_TIWFile 0016 @IsClass 0022 TIWPaintHandlerDsn.Paint 0038 @AsClass 0043 TIWPaintHandler.GetControlCanvas 0060 Min 006b TIWBaseHTMLControl.get_WebFont 0075 TIWPaintHandlerDsn.SetCanvasFont 0085 @IntOver 00dc Rect 00e9 InflateRect 00ef TIWPaintHandlerFile.Paint 0102 fromTColor 010b DoButton 0153 TIWPaintHandlerDsn.Draw3DBox 0160 TBrush.SetStyle 016e toTColor 01a1 TBrush.SetColor"
	strings:
		$1 = { 55 8B EC 83 C4 C8 89 45 FC 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0D 8B 45 FC E8 ?? ?? ?? ?? E9 EB 01 00 00 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 8B 45 F4 8B 40 50 85 C0 79 03 83 C0 03 C1 F8 02 BA 4B 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 50 54 83 EA 04 71 05 E8 ?? ?? ?? ?? B8 17 00 00 00 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F4 8B 40 54 2B 45 F0 71 05 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 89 45 EC 8B 45 EC 03 45 F0 71 05 E8 ?? ?? ?? ?? 50 8D 45 D8 50 8B 45 F4 8B 40 50 2B 45 F8 71 05 E8 ?? ?? ?? ?? 8B 55 F4 8B 4A 50 8B 55 EC E8 ?? ?? ?? ?? 6A 00 6A FC 8D 45 D8 50 E8 ?? ?? ?? ?? 55 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 B8 0F 00 00 FF E8 ?? ?? ?? ?? 8D 4D D8 5A E8 ?? ?? ?? ?? 59 68 C0 C0 C0 00 A0 ?? ?? ?? ?? 50 8B 45 EC 03 45 F0 71 05 E8 ?? ?? ?? ?? 50 8D 45 C8 50 8B 45 F4 8B 48 50 2B 4D F8 71 05 E8 ?? ?? ?? ?? 8B 55 EC 33 C0 E8 ?? ?? ?? ?? 8D 55 C8 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 A8 02 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 2E 8B 45 F4 8B 80 A8 02 00 00 E8 ?? ?? ?? ?? 40 74 1D 8B 45 F4 8B 80 A8 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 E8 8B 40 48 E8 ?? ?? ?? ?? EB 10 8B 45 E8 8B 40 48 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 45 EC 03 45 F0 71 05 E8 ?? ?? ?? ?? 83 E8 02 71 05 E8 ?? ?? ?? ?? 50 8D 45 C8 50 8B 45 F4 8B 48 50 2B 4D F8 71 05 E8 ?? ?? ?? ?? 83 E9 02 71 05 E8 ?? ?? ?? ?? 8B 55 EC 83 C2 02 71 05 E8 ?? ?? ?? ?? B8 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 42 00 72 00 6F 00 77 00 73 00 65 00 2E 00 2E 00 2E 00 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_44566_0 {
	meta:
		name = "TIWPaintHandlerRegion.Paint"
		size = 1148
		refs = "0011 _Dn_TIWCustomRegion 0016 @AsClass 002f TIWPaintHandler.GetControlCanvas 003a toTColor 0061 TBrush.SetColor 0080 TBrush.SetStyle 00f1 TIWContainerBorderOptions.GetPixelWidth 0102 TPen.SetWidth 010f TPen.SetStyle 011d TPen.SetColor 013d Rect 0150 @IntOver 016e InflateRect 0179 TPen.GetWidth 019e TIWPaintHandlerRegion.Paint 01de TCustomCanvas.Rectangle 033c TIWPaintHandlerDsn.Draw3DBox"
	strings:
		$1 = { 55 8B EC 83 C4 D8 89 45 FC 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 10 FF 92 20 01 00 00 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 8B 45 EC E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 22 8B 45 EC E8 ?? ?? ?? ?? 40 74 17 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B 45 E8 8B 40 48 E8 ?? ?? ?? ?? EB 10 BA FF FF FF 00 8B 45 E8 8B 40 48 E8 ?? ?? ?? ?? 33 D2 8B 45 E8 8B 40 48 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F8 8B 08 FF 51 60 8D 55 D8 8B 45 E8 8B 08 FF 51 54 8B 45 F8 8B 80 D8 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 2A 8B 45 F8 8B 80 D8 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 40 74 16 8B 45 F8 8B 80 D8 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 89 45 F0 EB 0B 8B 45 EC E8 ?? ?? ?? ?? 89 45 F0 8B 45 F8 8B 80 D8 02 00 00 E8 ?? ?? ?? ?? 89 45 F4 8B 55 F4 8B 45 E8 8B 40 44 E8 ?? ?? ?? ?? 33 D2 8B 45 E8 8B 40 44 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 E8 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 54 50 8D 45 D8 50 8B 45 FC 8B 40 04 8B 48 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 F4 D1 F8 79 03 83 D0 00 F7 D8 71 05 E8 ?? ?? ?? ?? 50 8B 45 F4 D1 F8 79 03 83 D0 00 F7 D8 71 05 E8 ?? ?? ?? ?? 50 8D 45 D8 50 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 44 E8 ?? ?? ?? ?? 85 C0 0F 8E E9 02 00 00 8B 45 F8 8B 80 D8 02 00 00 0F B6 40 18 83 F8 09 0F 87 D3 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 02 8B 45 E8 8B 40 44 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 E8 E8 ?? ?? ?? ?? E9 87 02 00 00 B2 01 8B 45 E8 8B 40 44 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 E8 E8 ?? ?? ?? ?? E9 6A 02 00 00 8D 55 D8 8B 45 E8 E8 ?? ?? ?? ?? E9 5A 02 00 00 8B 45 F4 B9 03 00 00 00 99 F7 F9 8B D0 8B 45 E8 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 54 50 8D 45 D8 50 8B 45 FC 8B 40 04 8B 48 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 44 E8 ?? ?? ?? ?? F7 D8 71 05 E8 ?? ?? ?? ?? 50 8B 45 E8 8B 40 44 E8 ?? ?? ?? ?? F7 D8 71 05 E8 ?? ?? ?? ?? 50 8D 45 D8 50 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 54 50 8D 45 D8 50 8B 45 FC 8B 40 04 8B 48 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 F4 B9 03 00 00 00 99 F7 F9 83 C0 01 71 05 E8 ?? ?? ?? ?? F7 D8 71 05 E8 ?? ?? ?? ?? 50 8B 45 F4 B9 03 00 00 00 99 F7 F9 83 C0 01 71 05 E8 ?? ?? ?? ?? F7 D8 71 05 E8 ?? ?? ?? ?? 50 8D 45 D8 50 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 E8 E8 ?? ?? ?? ?? E9 6D 01 00 00 8B 45 FC 8B 40 04 8B 40 54 50 8D 45 D8 50 8B 45 FC 8B 40 04 8B 48 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 F0 50 A0 ?? ?? ?? ?? 50 8B 4D F4 D1 F9 79 03 83 D1 00 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 D1 F8 79 03 83 D0 00 F7 D8 71 05 E8 ?? ?? ?? ?? 50 8B 45 F4 D1 F8 79 03 83 D0 00 F7 D8 71 05 E8 ?? ?? ?? ?? 50 8D 45 D8 50 E8 ?? ?? ?? ?? 8B 45 F0 50 A0 ?? ?? ?? ?? 50 8B 4D F4 D1 F9 79 03 83 D1 00 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? E9 D9 00 00 00 8B 45 FC 8B 40 04 8B 40 54 50 8D 45 D8 50 8B 45 FC 8B 40 04 8B 48 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 D8 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 50 A0 ?? ?? ?? ?? 50 8B 4D F4 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? E9 8E 00 00 00 8B 45 FC 8B 40 04 8B 40 54 50 8D 45 D8 50 8B 45 FC 8B 40 04 8B 48 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 D8 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 50 A0 ?? ?? ?? ?? 50 8B 4D F4 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? EB 46 8B 45 FC 8B 40 04 8B 40 54 50 8D 45 D8 50 8B 45 FC 8B 40 04 8B 48 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 D8 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 50 A0 ?? ?? ?? ?? 50 8B 4D F4 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 00 00 0C 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_44567_0 {
	meta:
		name = "TIWPaintHandlerTabControl.Paint"
		size = 689
		refs = "0013 TIWPaintHandlerTabControl.Paint 0025 _Dn_TIWTabControl 002a @AsClass 0035 TIWPaintHandler.GetControlCanvas 0048 TBrush.SetStyle 0058 toTColor 0092 TBrush.SetColor 00c7 TPen.SetWidth 00d4 TPen.SetStyle 00e1 TPen.SetColor 00e8 _Dn_TList 00ed TObject.Create 0114 @IntOver 0134 TList.Get 013e TList.Add 014b TabOrderCompare 0153 TList.Sort 0196 @UStrLAsg 01a1 TCustomCanvas.TextWidth 01cb Rect 0283 FreeAndNil 0289 @HandleFinally 02a0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 E0 8B 45 F8 8B 80 C8 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 35 8B 45 F8 8B 10 FF 92 20 01 00 00 E8 ?? ?? ?? ?? 40 74 22 8B 45 F8 8B 10 FF 92 20 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 80 C8 01 00 00 E8 ?? ?? ?? ?? EB 13 8B 45 F8 8B 80 C8 01 00 00 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 C8 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 44 33 D2 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 38 03 00 00 8B 40 08 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 2E 40 89 45 DC C7 45 F4 00 00 00 00 8B 45 F8 8B 80 38 03 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 E4 E8 ?? ?? ?? ?? FF 45 F4 FF 4D DC 75 DD BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C7 45 EC 01 00 00 00 8B 45 E4 8B 40 08 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C FC 00 00 00 40 89 45 DC C7 45 F4 00 00 00 00 8B 55 F4 8B 45 E4 E8 ?? ?? ?? ?? 8B 90 10 03 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 E0 E8 ?? ?? ?? ?? 83 C0 04 71 05 E8 ?? ?? ?? ?? 89 45 E8 6A 14 8D 45 CC 50 8B 4D EC 03 4D E8 71 05 E8 ?? ?? ?? ?? 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B 4D D8 8B 55 CC 8B 45 E0 8B 18 FF 53 64 8B 4D D0 8B 55 CC 8B 45 E0 8B 18 FF 53 60 8B 4D D0 8B 55 D4 8B 45 E0 8B 18 FF 53 60 8B 4D D8 8B 55 D4 8B 45 E0 8B 18 FF 53 60 8B 45 F8 8B 80 3C 03 00 00 3B 45 F4 74 0E 8B 4D D8 8B 55 CC 8B 45 E0 8B 18 FF 53 60 8B 45 F0 50 8B 4D D0 83 C1 02 71 05 E8 ?? ?? ?? ?? 8B 55 CC 83 C2 02 71 05 E8 ?? ?? ?? ?? 8B 45 E0 8B 18 FF 93 90 00 00 00 8B 45 EC 03 45 E8 71 05 E8 ?? ?? ?? ?? 83 C0 03 71 05 E8 ?? ?? ?? ?? 89 45 EC FF 45 F4 FF 4D DC 0F 85 0F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44568_0 {
	meta:
		name = "TIWPaintHandlerTabPage.Paint"
		size = 431
		refs = "0012 _Dn_TIWTabPage 0017 @AsClass 0026 _Dn_TIWTabControl 004b @IntOver 006f TList.Get 007e TIWPaintHandler.GetControlCanvas 0084 TCustomCanvas.TextWidth 00d5 TPen.SetColor 00e2 TPen.SetStyle"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 45 FC 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 40 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 C7 45 F0 01 00 00 00 8B 45 F8 8B 80 38 03 00 00 8B 40 08 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C 53 01 00 00 40 89 45 E4 C7 45 E8 00 00 00 00 8B 45 F8 8B 80 38 03 00 00 8B 55 E8 E8 ?? ?? ?? ?? 8B 80 10 03 00 00 50 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 83 C0 04 71 05 E8 ?? ?? ?? ?? 89 45 EC 8B 45 F8 8B 80 3C 03 00 00 3B 45 E8 0F 85 DD 00 00 00 8B 45 F8 8B 80 38 03 00 00 8B 55 E8 E8 ?? ?? ?? ?? 3B 45 F4 0F 85 C3 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 E0 33 D2 8B 45 E0 8B 40 44 E8 ?? ?? ?? ?? 33 D2 8B 45 E0 8B 40 44 E8 ?? ?? ?? ?? 33 C9 8B 55 F0 8B 45 E0 8B 18 FF 53 64 33 C9 BA 01 00 00 00 8B 45 E0 8B 18 FF 53 60 8B 45 F4 8B 48 54 83 E9 01 71 05 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 E0 8B 18 FF 53 60 8B 45 F4 8B 48 54 83 E9 01 71 05 E8 ?? ?? ?? ?? 8B 45 F4 8B 50 50 83 EA 01 71 05 E8 ?? ?? ?? ?? 8B 45 E0 8B 18 FF 53 60 8B 45 F4 8B 50 50 83 EA 01 71 05 E8 ?? ?? ?? ?? 33 C9 8B 45 E0 8B 18 FF 53 60 8B 55 F0 03 55 EC 71 05 E8 ?? ?? ?? ?? 83 EA 01 71 05 E8 ?? ?? ?? ?? 33 C9 8B 45 E0 8B 18 FF 53 60 EB 26 8B 45 F0 03 45 EC 71 05 E8 ?? ?? ?? ?? 83 C0 03 71 05 E8 ?? ?? ?? ?? 89 45 F0 FF 45 E8 FF 4D E4 0F 85 B8 FE FF FF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44570_0 {
	meta:
		name = "IWDsnPaintHandlers"
		size = 2316
		refs = "0005 _DV_22 0012 _DV_TIWPaintHandlerTabControl 0017 IWDsnPaintHandlers 001c IWRegisterPaintHandler 0022 _DV_TIWPaintHandlerTabPage 0032 _Dn_TIWPaintHandlerComponent 0092 _DV_TIWPaintHandlerRadioGroup 00a2 _DV_TIWPaintHandlerRectangle 00c2 _DV_TIWPaintHandlerLabel 00d2 _DV_TIWPaintHandlerButton 00e2 _DV_TIWPaintHandlerEdit 0102 _DV_TIWPaintHandlerMemo 0112 _DV_TIWPaintHandlerLink 0132 _DV_TIWPaintHandlerText 0142 _DV_TIWPaintHandlerList 0152 _DV_TIWPaintHandlerHRule 0162 _DV_TIWPaintHandlerImage 0192 _DV_TIWPaintHandlerRadioButton 01a2 _DV_TIWPaintHandlerFile 01b2 _DV_TIWPaintHandlerComboBox 01c2 _DV_TIWPaintHandlerListBox 01d2 _DV_TIWPaintHandlerCheckBox 01e2 _DV_TIWPaintHandlerProgressBar 02c2 _DV_TIWPaintHandlerDBNavigator 02d2 _DV_TIWPaintHandlerRegion"
	strings:
		$1 = { 55 8B EC 83 2D ?? ?? ?? ?? 01 0F 83 D0 02 00 00 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 49 00 57 00 54 00 61 00 62 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 49 00 57 00 54 00 61 00 62 00 50 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 49 00 57 00 41 00 70 00 70 00 6C 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 49 00 57 00 46 00 6C 00 61 00 73 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 54 00 49 00 57 00 48 00 54 00 4D 00 4C 00 46 00 6C 00 61 00 73 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 49 00 57 00 47 00 72 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 49 00 57 00 54 00 69 00 6D 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 49 00 57 00 54 00 72 00 65 00 65 00 56 00 69 00 65 00 77 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 49 00 57 00 52 00 61 00 64 00 69 00 6F 00 47 00 72 00 6F 00 75 00 70 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 54 00 49 00 57 00 52 00 65 00 63 00 74 00 61 00 6E 00 67 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 54 00 49 00 57 00 48 00 54 00 4D 00 4C 00 52 00 65 00 63 00 74 00 61 00 6E 00 67 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 49 00 57 00 4C 00 61 00 62 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 49 00 57 00 42 00 75 00 74 00 74 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 49 00 57 00 45 00 64 00 69 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 49 00 57 00 54 00 69 00 6D 00 65 00 45 00 64 00 69 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 49 00 57 00 4D 00 65 00 6D 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 49 00 57 00 4C 00 69 00 6E 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 49 00 57 00 55 00 52 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 49 00 57 00 54 00 65 00 78 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 49 00 57 00 4C 00 69 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 49 00 57 00 48 00 52 00 75 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 49 00 57 00 49 00 6D 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 54 00 49 00 57 00 49 00 6D 00 61 00 67 00 65 00 46 00 69 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 54 00 49 00 57 00 49 00 6D 00 61 00 67 00 65 00 42 00 75 00 74 00 74 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 54 00 49 00 57 00 52 00 61 00 64 00 69 00 6F 00 42 00 75 00 74 00 74 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 49 00 57 00 46 00 69 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 49 00 57 00 43 00 6F 00 6D 00 62 00 6F 00 42 00 6F 00 78 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 49 00 57 00 4C 00 69 00 73 00 74 00 42 00 6F 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 49 00 57 00 43 00 68 00 65 00 63 00 6B 00 42 00 6F 00 78 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 54 00 49 00 57 00 50 00 72 00 6F 00 67 00 72 00 65 00 73 00 73 00 42 00 61 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 49 00 57 00 44 00 42 00 46 00 69 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 49 00 57 00 44 00 42 00 47 00 72 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 49 00 57 00 44 00 42 00 45 00 64 00 69 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 49 00 57 00 44 00 42 00 4C 00 61 00 62 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 49 00 57 00 44 00 42 00 43 00 68 00 65 00 63 00 6B 00 42 00 6F 00 78 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 49 00 57 00 44 00 42 00 43 00 6F 00 6D 00 62 00 6F 00 42 00 6F 00 78 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 54 00 49 00 57 00 44 00 42 00 4C 00 6F 00 6F 00 6B 00 75 00 70 00 43 00 6F 00 6D 00 62 00 6F 00 42 00 6F 00 78 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 54 00 49 00 57 00 44 00 42 00 4C 00 69 00 73 00 74 00 42 00 6F 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 54 00 49 00 57 00 44 00 42 00 4C 00 6F 00 6F 00 6B 00 75 00 70 00 4C 00 69 00 73 00 74 00 42 00 6F 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 49 00 57 00 44 00 42 00 54 00 65 00 78 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 49 00 57 00 44 00 42 00 4D 00 65 00 6D 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 49 00 57 00 44 00 42 00 49 00 6D 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 54 00 49 00 57 00 44 00 42 00 4E 00 61 00 76 00 69 00 67 00 61 00 74 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 49 00 57 00 52 00 65 00 67 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_44571_0 {
	meta:
		name = "TfrmEventsEditor.cbEventsChange"
		size = 494
		refs = "001f TfrmEventsEditor.cbEventsChange 0089 _Dn_TIWScriptEventsItem 008e @AsClass 00a8 TIWScriptEventsItem.SetEventCode 00db TIWScriptEvents.Add 010b Application 0112 TApplication.ProcessMessages 01b1 TControl.SetText 01dd @UStrArrayClr 01e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 C9 89 4D D0 89 4D D4 89 4D D8 89 4D DC 89 55 E0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 B0 03 00 00 FF 0F 84 C0 00 00 00 8B 45 FC 8B 80 90 03 00 00 8B 40 1C 89 45 F4 8D 4D DC 8B 45 FC 8B 80 A8 03 00 00 8B 80 88 02 00 00 8B 55 FC 8B 92 B0 03 00 00 8B 18 FF 53 0C 8B 55 DC 8B 45 F4 8B 08 FF 51 54 89 45 F8 83 7D F8 FF 7E 32 8B 55 F8 8B 45 F4 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 8B 80 9C 03 00 00 8B 90 A8 02 00 00 8B 45 F0 E8 ?? ?? ?? ?? EB 4B 8D 4D D8 8B 45 FC 8B 80 A8 03 00 00 8B 80 88 02 00 00 8B 55 FC 8B 92 B0 03 00 00 8B 18 FF 53 0C 8B 55 D8 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 8B 80 9C 03 00 00 8B 90 A8 02 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 03 00 00 8B 10 FF 92 9C 00 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 03 00 00 8B 10 FF 92 F8 00 00 00 8B 55 FC 89 82 B0 03 00 00 8B 45 FC 8B 80 90 03 00 00 8B 40 1C 89 45 E8 8B 45 FC 8B 80 A8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D D4 8B 45 FC 8B 80 A8 03 00 00 8B 80 88 02 00 00 8B 18 FF 53 0C 8B 55 D4 8B 45 E8 8B 08 FF 51 54 89 45 F8 83 7D F8 FF 7E 3A 8B 55 F8 8B 45 E8 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8D 55 D0 8B 45 E4 8B 40 0C 8B 08 FF 51 1C 8B 55 D0 8B 45 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? EB 10 33 D2 8B 45 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44572_0 {
	meta:
		name = "TfrmEventsEditor.cbEventsDrawItem"
		size = 396
		refs = "002b TfrmEventsEditor.cbEventsDrawItem 00ae TFont.GetStyle 00cd TFont.SetStyle 0122 TCustomCanvas.TextHeight 012f @IntOver 0171 @UStrArrayClr 0177 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D8 89 5D D4 89 5D DC 8B 75 0C 8D 7D E0 A5 A5 A5 A5 89 4D F8 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B 45 FC 8B 80 A8 03 00 00 8B 80 98 02 00 00 8B 08 FF 51 54 F6 45 08 01 74 17 8D 55 E0 8B 45 FC 8B 80 A8 03 00 00 8B 80 98 02 00 00 8B 08 FF 51 4C 8D 4D DC 8B 45 FC 8B 80 A8 03 00 00 8B 80 88 02 00 00 8B 55 F8 8B 18 FF 53 0C 8B 55 DC 8B 45 FC 8B 80 90 03 00 00 8B 40 1C 8B 08 FF 51 54 85 C0 7C 36 8B 45 FC 8B 80 A8 03 00 00 8B 80 98 02 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B D0 0A 15 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 03 00 00 8B 80 98 02 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 03 00 00 8B 80 98 02 00 00 89 45 F4 8D 4D D8 8B 45 FC 8B 80 A8 03 00 00 8B 80 88 02 00 00 8B 55 F8 8B 18 FF 53 0C 8B 45 D8 50 8D 4D D4 8B 45 FC 8B 80 A8 03 00 00 8B 80 88 02 00 00 8B 55 F8 8B 18 FF 53 0C 8B 55 D4 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D EC 2B 4D E4 71 05 E8 ?? ?? ?? ?? 2B C8 71 05 E8 ?? ?? ?? ?? D1 F9 79 03 83 D1 00 03 4D E4 71 05 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 8B 18 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_44573_0 {
	meta:
		name = "TfrmEventsEditor.EditScriptEvents"
		size = 142
		refs = "0011 _DV_TfrmEventsEditor 0016 TfrmEventsEditor.Create 0021 TfrmEventsEditor.EditScriptEvents 002f TIWCustomControl.get_ScriptEvents 0066 TIWCustomControl.set_ScriptEvents 007b TObject.Free 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 F8 89 45 FC 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 80 90 03 00 00 8B 08 FF 51 08 8B 45 F0 8B 10 FF 92 20 01 00 00 48 0F 94 45 F7 80 7D F7 00 74 11 8B 45 F0 8B 90 90 03 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 F7 8B E5 5D C3 }
	condition:
		$1
}

rule function_44574_0 {
	meta:
		name = "TfrmEventsEditor.FormShow"
		size = 182
		refs = "0016 TfrmEventsEditor.FormShow 0090 TfrmEventsEditor.cbEventsChange 00a5 @UStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 90 03 00 00 8B 40 1C 8B 10 FF 52 14 85 C0 7E 42 8D 4D F4 8B 45 FC 8B 80 90 03 00 00 8B 40 1C 33 D2 8B 18 FF 53 0C 8B 55 F4 8B 45 FC 8B 80 A8 03 00 00 8B 80 88 02 00 00 8B 08 FF 51 54 8B D0 8B 45 FC 8B 80 A8 03 00 00 8B 08 FF 91 FC 00 00 00 EB 13 33 D2 8B 45 FC 8B 80 A8 03 00 00 8B 08 FF 91 FC 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44575_0 {
	meta:
		name = "TfrmEventsEditor.FormDestroy"
		size = 30
		refs = "0016 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44576_0 {
	meta:
		name = "TfrmEventsEditor.btnOkClick"
		size = 39
		refs = "0012 TfrmEventsEditor.cbEventsChange"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 80 C0 02 00 00 01 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_44577_0 {
	meta:
		name = "TfrmEventsEditor.Create"
		size = 1216
		refs = "000e @ClassCreate 0026 TCustomForm.CreateNew 0040 TControl.SetWidth 004d TControl.SetHeight 0053 RSScriptEditorCaption 005d TControl.SetText 0067 TCustomForm.SetPosition 007d TfrmEventsEditor.FormDestroy 0093 TfrmEventsEditor.FormShow 009d _Dn_TIWScriptEvents 00a2 TIWScriptEvents.Create 00b5 _Dn_TLabel 00ba TCustomLabel.Create 00d5 RSScriptEditorEvent 00fa TControl.SetTop 0107 TControl.SetLeft 0131 RSScriptEditorCode 016d _Dn_TListBox 0172 TCustomListBox.Create 01d6 TCustomListBox.SetItemHeight 01e0 TCustomListBox.SetStyle 01e6 TfrmEventsEditor.Create 01ee TControl.SetAnchors 01fa TWinControl.SetTabOrder 0210 TfrmEventsEditor.cbEventsChange 0226 TfrmEventsEditor.cbEventsDrawItem 0246 @BoundErr 024d EventsList 026e _Dn_TMemo 0273 TCustomMemo.Create 02fc _Dn_TButton 0301 TCustomButton.Create 036c RSOKButton 0380 TCustomButton.SetDefault 03ad TfrmEventsEditor.btnOkClick 0431 RSCancelButton 045e _Dn_TStatusBar 0463 TCustomStatusBar.Create 0490 TCustomStatusBar.SetSimplePanel 049e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 D4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 6A 00 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 80 B0 03 00 00 FF FF FF FF BA DB 01 00 00 8B 45 FC E8 ?? ?? ?? ?? BA 56 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 45 FC E8 ?? ?? ?? ?? B2 04 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 55 FC 89 90 44 03 00 00 C7 80 40 03 00 00 ?? ?? ?? ?? 8B 45 FC 8B 55 FC 89 90 34 03 00 00 C7 80 30 03 00 00 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 90 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A0 03 00 00 8B 45 FC 8B 80 A0 03 00 00 89 45 EC 8B 15 ?? ?? ?? ?? 8B 12 8B 45 EC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 EC 8B 08 FF 91 84 00 00 00 BA 08 00 00 00 8B 45 EC E8 ?? ?? ?? ?? BA 08 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A4 03 00 00 8B 45 FC 8B 80 A4 03 00 00 89 45 E8 8B 15 ?? ?? ?? ?? 8B 12 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 E8 8B 08 FF 91 84 00 00 00 BA 08 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? BA 8C 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A8 03 00 00 8B 45 FC 8B 80 A8 03 00 00 89 45 E4 8B 55 FC 8B 45 E4 8B 08 FF 91 84 00 00 00 BA 08 00 00 00 8B 45 E4 E8 ?? ?? ?? ?? BA 18 00 00 00 8B 45 E4 E8 ?? ?? ?? ?? BA 80 00 00 00 8B 45 E4 E8 ?? ?? ?? ?? BA 01 01 00 00 8B 45 E4 E8 ?? ?? ?? ?? BA 0F 00 00 00 8B 45 E4 E8 ?? ?? ?? ?? B2 01 8B 45 E4 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 66 BA 04 00 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 E4 89 82 1C 01 00 00 C7 82 18 01 00 00 ?? ?? ?? ?? 8B 45 FC 8B 55 E4 89 82 CC 02 00 00 C7 82 C8 02 00 00 ?? ?? ?? ?? 8B 45 E4 8B 80 88 02 00 00 8B 10 FF 52 44 33 C0 89 45 F0 8B 45 F0 83 F8 16 76 05 E8 ?? ?? ?? ?? 8B 14 85 ?? ?? ?? ?? 8B 45 E4 8B 80 88 02 00 00 8B 08 FF 51 38 FF 45 F0 83 7D F0 17 75 D5 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 9C 03 00 00 8B 45 FC 8B 80 9C 03 00 00 89 45 E0 8B 55 FC 8B 45 E0 8B 08 FF 91 84 00 00 00 BA 8C 00 00 00 8B 45 E0 E8 ?? ?? ?? ?? BA 18 00 00 00 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 8B 80 A8 02 00 00 8B 10 FF 52 44 BA 41 01 00 00 8B 45 E0 E8 ?? ?? ?? ?? BA E6 00 00 00 8B 45 E0 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 66 BA 03 00 8B 45 E0 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 94 03 00 00 8B 45 FC 8B 80 94 03 00 00 89 45 DC 8B 55 FC 8B 45 DC 8B 08 FF 91 84 00 00 00 BA 2C 01 00 00 8B 45 DC E8 ?? ?? ?? ?? BA 06 01 00 00 8B 45 DC E8 ?? ?? ?? ?? BA 4B 00 00 00 8B 45 DC E8 ?? ?? ?? ?? BA 19 00 00 00 8B 45 DC E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 45 DC E8 ?? ?? ?? ?? B2 01 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC C7 80 B4 02 00 00 01 00 00 00 33 D2 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC 8B 55 FC 89 90 1C 01 00 00 C7 80 18 01 00 00 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 98 03 00 00 8B 45 FC 8B 80 98 03 00 00 89 45 D8 8B 55 FC 8B 45 D8 8B 08 FF 91 84 00 00 00 BA 82 01 00 00 8B 45 D8 E8 ?? ?? ?? ?? BA 06 01 00 00 8B 45 D8 E8 ?? ?? ?? ?? BA 4B 00 00 00 8B 45 D8 E8 ?? ?? ?? ?? BA 19 00 00 00 8B 45 D8 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 C6 80 81 02 00 00 01 8B 15 ?? ?? ?? ?? 8B 12 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 C7 80 B4 02 00 00 02 00 00 00 66 BA 01 00 8B 45 D8 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 AC 03 00 00 8B 45 FC 8B 80 AC 03 00 00 89 45 D4 8B 55 FC 8B 45 D4 8B 08 FF 91 84 00 00 00 B2 01 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 00 0B 00 00 00 0F 00 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_44578_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_2 001a EventsList 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 17 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_44580_0 {
	meta:
		name = "TIWDsnTabControl.ExecuteVerb"
		size = 784
		refs = "001a TIWDsnTabControl.ExecuteVerb 002c _Dn_TIWTabControl 0031 @AsClass 0054 _Dn_TIWTabPage 0059 TIWBaseContainer.Create 007b @IntOver 00a1 TList.Get 00bb IntToStr 00cb @UStrCatN 00d4 @UStrEqual 0165 @BoundErr 0197 @UStrCat3 01a2 TIWTabPage.SetTitle 01ba TControl.SetHeight 01c8 TControl.SetWidth 01d5 TControl.SetTop 01e3 TControl.SetAnchors 01eb TControl.BringToFront 01f6 TComponentEditor.GetDesigner 026c TIWTabControl.pageRemoved 0274 FreeAndNil 02b3 IDesigner 02bd @FinalizeArray 02ca @UStrArrayClr 02d2 @UStrClr 02e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 83 E8 01 72 0B 0F 84 DF 01 00 00 E9 4B 02 00 00 8B 45 F4 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 89 45 EC C6 45 E7 00 8B 45 F4 8B 80 38 03 00 00 8B 40 08 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 68 40 89 45 E0 C7 45 E8 00 00 00 00 80 7D E7 00 75 4A 8B 55 E8 8B 45 F4 8B 80 38 03 00 00 E8 ?? ?? ?? ?? 8B 40 08 50 8B 45 F4 FF 70 08 68 ?? ?? ?? ?? 8D 55 D8 8B 45 EC E8 ?? ?? ?? ?? FF 75 D8 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 58 E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 E7 FF 45 E8 FF 4D E0 75 A3 80 7D E7 00 74 0B 83 45 EC 01 71 05 E8 ?? ?? ?? ?? 80 7D E7 00 0F 85 5F FF FF FF 8B 45 F4 FF 70 08 68 ?? ?? ?? ?? 8D 55 D0 8B 45 EC E8 ?? ?? ?? ?? FF 75 D0 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F0 8B 08 FF 51 24 8B 55 F4 8B 45 F0 8B 08 FF 91 84 00 00 00 8B 45 F4 8B 80 38 03 00 00 8B 50 08 83 EA 01 71 05 E8 ?? ?? ?? ?? 42 81 FA 00 80 00 00 76 05 E8 ?? ?? ?? ?? 4A 8B 45 F0 8B 08 FF 91 2C 01 00 00 8B 45 F0 8B 10 FF 92 28 01 00 00 0F BF C0 8D 55 C8 E8 ?? ?? ?? ?? 8B 4D C8 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 8B 50 54 83 EA 14 71 05 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 8B 50 50 8B 45 F0 E8 ?? ?? ?? ?? BA 14 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 C4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C4 8B 10 FF 52 10 8D 55 C0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C0 8B 55 F0 8B 08 FF 51 3C 8B 45 F4 8B 10 FF 92 A0 00 00 00 EB 71 8B 45 F4 8B 80 38 03 00 00 83 78 08 00 7E 62 8B 45 F4 8B 80 38 03 00 00 8B 40 08 8B 55 F4 3B 82 3C 03 00 00 7E 4B 8B 45 F4 8B 90 3C 03 00 00 8B 45 F4 8B 80 38 03 00 00 E8 ?? ?? ?? ?? 89 45 F0 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 BC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 BC 8B 10 FF 52 10 8B 45 F4 8B 10 FF 92 A0 00 00 00 8B 45 F4 8B 10 FF 92 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 61 00 67 00 65 00 00 00 00 00 0F 00 00 00 }
	condition:
		$1
}

rule function_44581_0 {
	meta:
		name = "TIWDsnTabControl.GetVerb"
		size = 128
		refs = "001f TIWDsnTabControl.GetVerb 0024 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 83 E8 01 72 04 74 11 EB 1C 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 64 00 64 00 20 00 70 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 65 00 6D 00 6F 00 76 00 65 00 20 00 70 00 61 00 67 00 65 00 00 00 }
	condition:
		$1
}

rule function_44582_0 {
	meta:
		name = "TIWDsnTabControl.GetVerbCount"
		size = 23
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC C7 45 F8 02 00 00 00 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_44585_0 {
	meta:
		name = "GetIDEProjectPath"
		size = 476
		refs = "0015 GetIDEProjectPath 0022 _Dn_TRegistry 0027 TRegistry.Create 0045 TRegistry.SetRootKey 0054 TRegistry.OpenKey 0068 TRegistry.ReadString 0070 TRegistry.CloseKey 007b IncludeTrailingPathDelim 0095 @UStrCatN 00aa TObject.Free 00b0 @HandleFinally 00c7 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 D2 89 55 F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 01 00 00 80 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 18 8D 4D F8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 41 00 00 00 5C 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 4D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 5C 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 5C 00 43 00 75 00 72 00 72 00 65 00 6E 00 74 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 5C 00 45 00 78 00 70 00 6C 00 6F 00 72 00 65 00 72 00 5C 00 53 00 68 00 65 00 6C 00 6C 00 20 00 46 00 6F 00 6C 00 64 00 65 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 65 00 72 00 73 00 6F 00 6E 00 61 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 20 00 53 00 74 00 75 00 64 00 69 00 6F 00 20 00 50 00 72 00 6F 00 6A 00 65 00 63 00 74 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_44586_0 {
	meta:
		name = "GetCurrentProject"
		size = 336
		refs = "001c GetCurrentProject 002a @IntfClear 0037 BorlandIDEServices 0043 @IntfCast 0055 @IntOver 00c6 @IntfCopy 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 D2 89 55 F8 89 55 F4 89 55 F0 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? C6 45 EB 00 8D 45 F8 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 28 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 7B 40 89 45 E0 C7 45 E4 00 00 00 00 8D 4D F4 8B 55 E4 8B 45 F8 8B 18 FF 53 2C 8D 45 EC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 10 85 C0 75 0D 8B 55 FC 8B 45 EC 8B 08 FF 51 70 EB 49 8D 45 F0 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 10 85 C0 75 19 8B 45 FC 83 38 00 75 0D 8B 45 FC 8B 55 F0 E8 ?? ?? ?? ?? EB 04 C6 45 EB 01 FF 45 E4 FF 4D E0 75 90 80 7D EB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C3 48 E8 A5 55 FB 27 80 48 8E 7C 7F 05 A9 80 24 82 CB 7B 7A F1 7D E0 D1 11 AB 0B 00 C0 4F B1 6F B3 72 2A EA F5 5D 48 E8 49 B6 0A B0 E7 C7 B8 0A 27 }
	condition:
		$1
}

rule function_44587_0 {
	meta:
		name = "TIWApplicationWizard.Create"
		size = 77
		refs = "000e @ClassCreate 0021 TObject.Create 0038 @AfterConstruction"
		altNames = "TIWDataModuleFile.Create TIWFrameWizard.Create TIWProjectCreator.Create TIWProjectFile.Create TIWServerControllerFile.Create TIWTestApplicationWizard.Create TIWTestUnitWizard.Create TIWUnitWizard.Create TIWUserSessionFile.Create"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FA 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 55 FA 88 50 0C 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_44588_0 {
	meta:
		name = "GetIWInstallPath"
		size = 236
		refs = "000c _Dn_TRegistry 0011 TRegistry.Create 001c GetIWInstallPath 0031 TRegistry.OpenKey 0041 TRegistry.ReadString 0056 TObject.Free 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 5C 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 41 00 74 00 6F 00 7A 00 65 00 64 00 20 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 42 00 43 00 42 00 20 00 49 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 20 00 50 00 61 00 74 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_44589_0 {
	meta:
		name = "TIWTestApplicationWizard.SetupProject"
		size = 1356
		refs = "001b @IntfAddRef 0023 TIWTestApplicationWizard.SetupProject 0032 GetIWInstallPath 003e IncludeTrailingPathDelim 0046 @UStrClr 0053 @UStrLAsg 008d @VarToUStr 0098 AnsiPos 00c6 @VarFromUStr 00cf @VarAdd 039f @IntfClear 03ab Variant 03b5 @FinalizeArray 03cb @VarClr 04de @UStrArrayClr 04ec @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 2B 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 45 E4 E8 ?? ?? ?? ?? 59 8B 45 E4 8D 55 F4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 72 01 00 00 83 7D F0 00 0F 84 68 01 00 00 8D 55 CC 8B 45 F8 8B 08 FF 51 70 8B 45 CC 8D 4D D0 BA ?? ?? ?? ?? 8B 18 FF 53 10 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 75 68 8D 55 B8 8B 45 F8 8B 08 FF 51 70 8B 45 B8 8D 4D BC BA ?? ?? ?? ?? 8B 18 FF 53 10 8D 45 BC 50 8D 45 A8 8B 55 E8 E8 ?? ?? ?? ?? 8D 55 A8 58 E8 ?? ?? ?? ?? 8D 45 BC 50 8D 45 98 8B 55 F0 E8 ?? ?? ?? ?? 8D 55 98 58 E8 ?? ?? ?? ?? 8D 45 BC 50 8D 55 94 8B 45 F8 8B 08 FF 51 70 8B 45 94 BA ?? ?? ?? ?? 59 8B 18 FF 53 14 8D 95 7C FF FF FF 8B 45 F8 8B 08 FF 51 70 8B 85 7C FF FF FF 8D 4D 80 BA ?? ?? ?? ?? 8B 18 FF 53 10 8D 55 80 8D 45 90 E8 ?? ?? ?? ?? 8B 55 90 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 85 8C 00 00 00 8D 95 68 FF FF FF 8B 45 F8 8B 08 FF 51 70 8B 85 68 FF FF FF 8D 8D 6C FF FF FF BA ?? ?? ?? ?? 8B 18 FF 53 10 8D 85 6C FF FF FF 50 8D 85 58 FF FF FF 8B 55 E8 E8 ?? ?? ?? ?? 8D 95 58 FF FF FF 58 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF 50 8D 85 48 FF FF FF 8B 55 F4 E8 ?? ?? ?? ?? 8D 95 48 FF FF FF 58 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF 50 8D 95 44 FF FF FF 8B 45 F8 8B 08 FF 51 70 8B 85 44 FF FF FF BA ?? ?? ?? ?? 59 8B 18 FF 53 14 83 7D EC 00 0F 84 AE 01 00 00 8D 95 2C FF FF FF 8B 45 F8 8B 08 FF 51 70 8B 85 2C FF FF FF 8D 8D 30 FF FF FF BA ?? ?? ?? ?? 8B 18 FF 53 10 8D 95 30 FF FF FF 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 8B 95 40 FF FF FF 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 85 8C 00 00 00 8D 95 18 FF FF FF 8B 45 F8 8B 08 FF 51 70 8B 85 18 FF FF FF 8D 8D 1C FF FF FF BA ?? ?? ?? ?? 8B 18 FF 53 10 8D 85 1C FF FF FF 50 8D 85 08 FF FF FF 8B 55 E8 E8 ?? ?? ?? ?? 8D 95 08 FF FF FF 58 E8 ?? ?? ?? ?? 8D 85 1C FF FF FF 50 8D 85 F8 FE FF FF 8B 55 EC E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 58 E8 ?? ?? ?? ?? 8D 85 1C FF FF FF 50 8D 95 F4 FE FF FF 8B 45 F8 8B 08 FF 51 70 8B 85 F4 FE FF FF BA ?? ?? ?? ?? 59 8B 18 FF 53 14 8D 95 DC FE FF FF 8B 45 F8 8B 08 FF 51 70 8B 85 DC FE FF FF 8D 8D E0 FE FF FF BA ?? ?? ?? ?? 8B 18 FF 53 10 8D 95 E0 FE FF FF 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 8B 95 F0 FE FF FF 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 85 8C 00 00 00 8D 95 C8 FE FF FF 8B 45 F8 8B 08 FF 51 70 8B 85 C8 FE FF FF 8D 8D CC FE FF FF BA ?? ?? ?? ?? 8B 18 FF 53 10 8D 85 CC FE FF FF 50 8D 85 B8 FE FF FF 8B 55 E8 E8 ?? ?? ?? ?? 8D 95 B8 FE FF FF 58 E8 ?? ?? ?? ?? 8D 85 CC FE FF FF 50 8D 85 A8 FE FF FF 8B 55 EC E8 ?? ?? ?? ?? 8D 95 A8 FE FF FF 58 E8 ?? ?? ?? ?? 8D 85 CC FE FF FF 50 8D 95 A4 FE FF FF 8B 45 F8 8B 08 FF 51 70 8B 85 A4 FE FF FF BA ?? ?? ?? ?? 59 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A4 FE FF FF E8 ?? ?? ?? ?? 8D 85 A8 FE FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 C8 FE FF FF E8 ?? ?? ?? ?? 8D 85 CC FE FF FF E8 ?? ?? ?? ?? 8D 85 DC FE FF FF E8 ?? ?? ?? ?? 8D 85 E0 FE FF FF E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 18 FF FF FF E8 ?? ?? ?? ?? 8D 85 1C FF FF FF E8 ?? ?? ?? ?? 8D 85 2C FF FF FF E8 ?? ?? ?? ?? 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 8D 85 48 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 98 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 A3 FE FF FF 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 6E 00 63 00 6C 00 75 00 64 00 65 00 50 00 61 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 69 00 62 00 50 00 61 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_44590_0 {
	meta:
		name = "GetActiveProjectGroup"
		size = 232
		refs = "0016 GetActiveProjectGroup 0024 @IntfClear 0029 BorlandIDEServices 0043 @IntfCast 0055 @IntOver 008b Supports 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 74 69 8D 45 F8 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 28 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 3E 40 89 45 F0 C7 45 F4 00 00 00 00 8D 4D EC 8B 55 F4 8B 45 F8 8B 18 FF 53 2C 8B 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 75 08 FF 45 F4 FF 4D F0 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 00 48 E8 A5 55 FB 27 80 48 8E 7C 7F 05 A9 80 24 82 CB 7B 7A F1 7D E0 D1 11 AB 0B 00 C0 4F B1 6F B3 }
	condition:
		$1
}

rule function_44591_0 {
	meta:
		name = "ProjectExists"
		size = 248
		refs = "001b @UStrAddRef 0023 ProjectExists 003f @IntOver 0072 ExtractFileName 007f ChangeFileExt 008a UpperCase 00a2 @UStrEqual 00c7 @UStrClr 00cf @IntfClear 00dc @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 FC 8B 10 FF 52 74 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 6F 40 89 45 EC C7 45 F0 00 00 00 00 8D 4D D8 8B 55 F0 8B 45 FC 8B 18 FF 53 78 8B 45 D8 8D 55 DC 8B 08 FF 51 18 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 8D 4D E4 33 D2 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D4 58 E8 ?? ?? ?? ?? 75 06 C6 45 F7 01 EB 08 FF 45 F0 FF 4D EC 75 9C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 8A 45 F7 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_44592_0 {
	meta:
		name = "FindNewProjectName"
		size = 196
		refs = "0015 FindNewProjectName 0035 @IntOver 0052 Format 005d ProjectExists 0093 @UStrClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 01 00 00 00 83 7D FC 00 74 39 EB 0B 83 45 F4 01 71 05 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 F4 89 45 E8 C6 45 EC 00 8D 55 E8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 C9 8B 45 F8 50 8B 45 F4 89 45 E8 C6 45 EC 00 8D 55 E8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 72 00 6F 00 6A 00 65 00 63 00 74 00 25 00 64 00 00 00 }
	condition:
		$1
}

rule function_44593_0 {
	meta:
		name = "TIWTestApplicationWizard.Execute"
		size = 420
		refs = "0018 TIWTestApplicationWizard.Execute 0027 BorlandIDEServices 0033 @IntfCast 0038 ProjectOptions 005a @UStrLen 006b @UStrCopy 007d @UStrCat3 0085 GetIDEProjectPath 0090 IncludeTrailingPathDelim 009d @UStrAsg 00a7 ForceDirectories 00af GetActiveProjectGroup 00ba FindNewProjectName 00d4 _DV_TIWProjectCreator 00d9 TIWProjectCreator.Create 0113 TIWTestApplicationWizard.SetupProject 0128 @IntfClear 013d @UStrArrayClr 0153 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 18 FF 53 30 8D 45 F0 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA 05 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8A 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 4D DC 8B 45 F4 8B 18 FF 53 14 8B 55 DC 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 0C 00 74 0D 8B 55 F8 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5B 8B E5 5D C3 00 00 48 E8 A5 55 FB 27 80 48 8E 7C 7F 05 A9 80 24 82 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 57 00 54 00 65 00 73 00 74 00 43 00 61 00 73 00 65 00 00 00 00 00 72 2A EA F5 5D 48 E8 49 B6 0A B0 E7 C7 B8 0A 27 }
	condition:
		$1
}

rule function_44594_0 {
	meta:
		name = "TIWTestApplicationWizard.GetAuthor"
		size = 76
		refs = "0010 TIWTestApplicationWizard.GetAuthor 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 41 00 74 00 6F 00 7A 00 65 00 64 00 20 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 00 00 }
	condition:
		$1
}

rule function_44712_0 {
	meta:
		name = "TIWApplicationWizard.GetAuthor"
		size = 76
		refs = "0010 TIWApplicationWizard.GetAuthor 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 41 00 74 00 6F 00 7A 00 65 00 64 00 20 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 00 00 }
	condition:
		$1
}

rule function_44871_0 {
	meta:
		name = "TIWFrameWizard.GetAuthor"
		size = 76
		refs = "0010 TIWFrameWizard.GetAuthor 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 41 00 74 00 6F 00 7A 00 65 00 64 00 20 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 00 00 }
	condition:
		$1
}

rule function_44666_0 {
	meta:
		name = "TIWTestUnitWizard.GetAuthor"
		size = 76
		refs = "0010 TIWTestUnitWizard.GetAuthor 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 41 00 74 00 6F 00 7A 00 65 00 64 00 20 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 00 00 }
	condition:
		$1
}

rule function_44859_0 {
	meta:
		name = "TIWUnitWizard.GetAuthor"
		size = 76
		refs = "0010 TIWUnitWizard.GetAuthor 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 41 00 74 00 6F 00 7A 00 65 00 64 00 20 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 00 00 }
	condition:
		$1
}

rule function_44595_0 {
	meta:
		name = "TIWTestApplicationWizard.GetComment"
		size = 128
		refs = "0010 TIWTestApplicationWizard.GetComment 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 73 00 20 00 61 00 20 00 6E 00 65 00 77 00 20 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 20 00 44 00 55 00 6E 00 69 00 74 00 20 00 74 00 65 00 73 00 74 00 20 00 70 00 72 00 6F 00 6A 00 65 00 63 00 74 00 00 00 }
	condition:
		$1
}

rule function_44596_0 {
	meta:
		name = "TIWTestApplicationWizard.GetGalleryCategory"
		size = 676
		refs = "001a TIWTestApplicationWizard.GetGalleryCategory 0032 IntraWebGalleryCategoryBCB 004b BorlandIDEServices 0057 @IntfCast 009b @IntfCopy 00b2 IntraWebGalleryCategory 0141 IOTAGalleryCategoryManager 014b @FinalizeArray 0154 IOTAGalleryCategory 018a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 0C 00 0F 84 80 00 00 00 A1 ?? ?? ?? ?? 83 38 00 75 64 68 ?? ?? ?? ?? 6A 00 8D 45 F4 50 8D 45 EC 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8D 4D F0 BA ?? ?? ?? ?? 8B 18 FF 53 0C 8B 45 F0 50 8D 45 E8 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 B9 ?? ?? ?? ?? 5A 8B 18 FF 53 14 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? EB 7E A1 ?? ?? ?? ?? 83 38 00 75 64 68 ?? ?? ?? ?? 6A 00 8D 45 E4 50 8D 45 DC 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8D 4D E0 BA ?? ?? ?? ?? 8B 18 FF 53 0C 8B 45 E0 50 8D 45 D8 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 ?? ?? ?? ?? 5A 8B 18 FF 53 14 8B 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AC 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 00 00 00 00 12 FE AF 5F A4 E1 86 42 94 F9 A0 25 B3 C0 BF 41 B0 04 02 00 FF FF FF FF 14 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 43 00 42 00 75 00 69 00 6C 00 64 00 65 00 72 00 2E 00 4E 00 65 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 41 00 74 00 6F 00 7A 00 65 00 64 00 2E 00 49 00 57 00 54 00 65 00 73 00 74 00 57 00 69 00 7A 00 61 00 72 00 64 00 5F 00 42 00 43 00 42 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 65 00 6C 00 70 00 68 00 69 00 2E 00 4E 00 65 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 41 00 74 00 6F 00 7A 00 65 00 64 00 2E 00 49 00 57 00 54 00 65 00 73 00 74 00 57 00 69 00 7A 00 61 00 72 00 64 00 00 00 }
	condition:
		$1
}

rule function_44597_0 {
	meta:
		name = "TIWTestApplicationWizard.GetPersonality"
		size = 180
		refs = "0019 TIWTestApplicationWizard.GetPersonality 001e @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 78 0C 00 74 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 43 00 50 00 6C 00 75 00 73 00 50 00 6C 00 75 00 73 00 42 00 75 00 69 00 6C 00 64 00 65 00 72 00 2E 00 50 00 65 00 72 00 73 00 6F 00 6E 00 61 00 6C 00 69 00 74 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 65 00 6C 00 70 00 68 00 69 00 2E 00 50 00 65 00 72 00 73 00 6F 00 6E 00 61 00 6C 00 69 00 74 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_44715_0 {
	meta:
		name = "TIWApplicationWizard.GetPersonality"
		size = 180
		refs = "0019 TIWApplicationWizard.GetPersonality 001e @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 78 0C 00 74 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 43 00 50 00 6C 00 75 00 73 00 50 00 6C 00 75 00 73 00 42 00 75 00 69 00 6C 00 64 00 65 00 72 00 2E 00 50 00 65 00 72 00 73 00 6F 00 6E 00 61 00 6C 00 69 00 74 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 65 00 6C 00 70 00 68 00 69 00 2E 00 50 00 65 00 72 00 73 00 6F 00 6E 00 61 00 6C 00 69 00 74 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_44874_0 {
	meta:
		name = "TIWFrameWizard.GetPersonality"
		size = 180
		refs = "0019 TIWFrameWizard.GetPersonality 001e @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 78 0C 00 74 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 43 00 50 00 6C 00 75 00 73 00 50 00 6C 00 75 00 73 00 42 00 75 00 69 00 6C 00 64 00 65 00 72 00 2E 00 50 00 65 00 72 00 73 00 6F 00 6E 00 61 00 6C 00 69 00 74 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 65 00 6C 00 70 00 68 00 69 00 2E 00 50 00 65 00 72 00 73 00 6F 00 6E 00 61 00 6C 00 69 00 74 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_44611_0 {
	meta:
		name = "TIWProjectCreator.GetProjectPersonality"
		size = 180
		refs = "0019 TIWProjectCreator.GetProjectPersonality 001e @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 78 0C 00 74 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 43 00 50 00 6C 00 75 00 73 00 50 00 6C 00 75 00 73 00 42 00 75 00 69 00 6C 00 64 00 65 00 72 00 2E 00 50 00 65 00 72 00 73 00 6F 00 6E 00 61 00 6C 00 69 00 74 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 65 00 6C 00 70 00 68 00 69 00 2E 00 50 00 65 00 72 00 73 00 6F 00 6E 00 61 00 6C 00 69 00 74 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_44669_0 {
	meta:
		name = "TIWTestUnitWizard.GetPersonality"
		size = 180
		refs = "0019 TIWTestUnitWizard.GetPersonality 001e @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 78 0C 00 74 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 43 00 50 00 6C 00 75 00 73 00 50 00 6C 00 75 00 73 00 42 00 75 00 69 00 6C 00 64 00 65 00 72 00 2E 00 50 00 65 00 72 00 73 00 6F 00 6E 00 61 00 6C 00 69 00 74 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 65 00 6C 00 70 00 68 00 69 00 2E 00 50 00 65 00 72 00 73 00 6F 00 6E 00 61 00 6C 00 69 00 74 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_44862_0 {
	meta:
		name = "TIWUnitWizard.GetPersonality"
		size = 180
		refs = "0019 TIWUnitWizard.GetPersonality 001e @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 78 0C 00 74 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 43 00 50 00 6C 00 75 00 73 00 50 00 6C 00 75 00 73 00 42 00 75 00 69 00 6C 00 64 00 65 00 72 00 2E 00 50 00 65 00 72 00 73 00 6F 00 6E 00 61 00 6C 00 69 00 74 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 65 00 6C 00 70 00 68 00 69 00 2E 00 50 00 65 00 72 00 73 00 6F 00 6E 00 61 00 6C 00 69 00 74 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_44598_0 {
	meta:
		name = "TIWTestApplicationWizard.GetDesigner"
		size = 52
		refs = "0010 TIWTestApplicationWizard.GetDesigner 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 66 00 6D 00 00 00 }
	condition:
		$1
}

rule function_44716_0 {
	meta:
		name = "TIWApplicationWizard.GetDesigner"
		size = 52
		refs = "0010 TIWApplicationWizard.GetDesigner 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 66 00 6D 00 00 00 }
	condition:
		$1
}

rule function_44875_0 {
	meta:
		name = "TIWFrameWizard.GetDesigner"
		size = 52
		refs = "0010 TIWFrameWizard.GetDesigner 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 66 00 6D 00 00 00 }
	condition:
		$1
}

rule function_44670_0 {
	meta:
		name = "TIWTestUnitWizard.GetDesigner"
		size = 52
		refs = "0010 TIWTestUnitWizard.GetDesigner 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 66 00 6D 00 00 00 }
	condition:
		$1
}

rule function_44863_0 {
	meta:
		name = "TIWUnitWizard.GetDesigner"
		size = 52
		refs = "0010 TIWUnitWizard.GetDesigner 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 66 00 6D 00 00 00 }
	condition:
		$1
}

rule function_44599_0 {
	meta:
		name = "TIWTestApplicationWizard.GetGlyph"
		size = 60
		refs = "000a TIWTestApplicationWizard.GetGlyph 000f HInstance 0015 LoadIcon"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 59 59 5D C3 00 49 00 57 00 5F 00 41 00 50 00 50 00 5F 00 49 00 43 00 4F 00 4E 00 00 00 }
	condition:
		$1
}

rule function_44717_0 {
	meta:
		name = "TIWApplicationWizard.GetGlyph"
		size = 60
		refs = "000a TIWApplicationWizard.GetGlyph 000f HInstance 0015 LoadIcon"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 59 59 5D C3 00 49 00 57 00 5F 00 41 00 50 00 50 00 5F 00 49 00 43 00 4F 00 4E 00 00 00 }
	condition:
		$1
}

rule function_44600_0 {
	meta:
		name = "TIWTestApplicationWizard.GetIDString"
		size = 168
		refs = "0019 TIWTestApplicationWizard.GetIDString 001e @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 78 0C 00 74 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 41 00 74 00 6F 00 7A 00 65 00 64 00 2E 00 49 00 57 00 54 00 65 00 73 00 74 00 57 00 69 00 7A 00 61 00 72 00 64 00 5F 00 42 00 43 00 42 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 41 00 74 00 6F 00 7A 00 65 00 64 00 2E 00 49 00 57 00 54 00 65 00 73 00 74 00 57 00 69 00 7A 00 61 00 72 00 64 00 00 00 }
	condition:
		$1
}

rule function_44601_0 {
	meta:
		name = "TIWTestApplicationWizard.GetName"
		size = 92
		refs = "0010 TIWTestApplicationWizard.GetName 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 4E 00 65 00 77 00 20 00 44 00 55 00 6E 00 69 00 74 00 20 00 54 00 65 00 73 00 74 00 20 00 50 00 72 00 6F 00 6A 00 65 00 63 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_44602_0 {
	meta:
		name = "TIWTestApplicationWizard.GetPage"
		size = 64
		refs = "0010 TIWTestApplicationWizard.GetPage 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 00 00 00 00 }
	condition:
		$1
}

rule function_44720_0 {
	meta:
		name = "TIWApplicationWizard.GetPage"
		size = 64
		refs = "0010 TIWApplicationWizard.GetPage 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 00 00 00 00 }
	condition:
		$1
}

rule function_44879_0 {
	meta:
		name = "TIWFrameWizard.GetPage"
		size = 64
		refs = "0010 TIWFrameWizard.GetPage 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 00 00 00 00 }
	condition:
		$1
}

rule function_44674_0 {
	meta:
		name = "TIWTestUnitWizard.GetPage"
		size = 64
		refs = "0010 TIWTestUnitWizard.GetPage 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 00 00 00 00 }
	condition:
		$1
}

rule function_44867_0 {
	meta:
		name = "TIWUnitWizard.GetPage"
		size = 64
		refs = "0010 TIWUnitWizard.GetPage 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 00 00 00 00 }
	condition:
		$1
}

rule function_44603_0 {
	meta:
		name = "TIWTestApplicationWizard.GetState"
		size = 28
		refs = "000a TIWTestApplicationWizard.GetState"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC A0 ?? ?? ?? ?? 88 45 FB 8A 45 FB 59 59 5D C3 01 00 00 00 }
	condition:
		$1
}

rule function_44721_0 {
	meta:
		name = "TIWApplicationWizard.GetState"
		size = 28
		refs = "000a TIWApplicationWizard.GetState"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC A0 ?? ?? ?? ?? 88 45 FB 8A 45 FB 59 59 5D C3 01 00 00 00 }
	condition:
		$1
}

rule function_44880_0 {
	meta:
		name = "TIWFrameWizard.GetState"
		size = 28
		refs = "000a TIWFrameWizard.GetState"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC A0 ?? ?? ?? ?? 88 45 FB 8A 45 FB 59 59 5D C3 01 00 00 00 }
	condition:
		$1
}

rule function_44675_0 {
	meta:
		name = "TIWTestUnitWizard.GetState"
		size = 28
		refs = "000a TIWTestUnitWizard.GetState"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC A0 ?? ?? ?? ?? 88 45 FB 8A 45 FB 59 59 5D C3 01 00 00 00 }
	condition:
		$1
}

rule function_44868_0 {
	meta:
		name = "TIWUnitWizard.GetState"
		size = 28
		refs = "000a TIWUnitWizard.GetState"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC A0 ?? ?? ?? ?? 88 45 FB 8A 45 FB 59 59 5D C3 01 00 00 00 }
	condition:
		$1
}

rule function_44605_0 {
	meta:
		name = "TIWProjectCreator.GetCreatorType"
		size = 68
		refs = "0010 TIWProjectCreator.GetCreatorType 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_44607_0 {
	meta:
		name = "TIWProjectCreator.GetFileName"
		size = 136
		refs = "0017 ProjectOptions 0022 TIWProjectCreator.GetFileName 002f @UStrCatN"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 78 0C 00 74 20 FF 35 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 1E FF 35 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 63 00 70 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 64 00 70 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_44608_0 {
	meta:
		name = "TIWCustomGrid.GenerateControlPositions"
		size = 24
		refs = "0010 @UStrClr"
		altNames = "TIWDataModuleCreator.GetAncestorName TIWDataModuleCreator.GetFileSystem TIWDataModuleCreator.GetFormName TIWDeployCreator.GetAncestorName TIWDeployCreator.GetFileSystem TIWDeployCreator.GetFormName TIWDeployCreator.GetIntfFileName TIWFrameCreator.GetFileSystem TIWFrameCreator.GetIntfFileName TIWProjectCreator.GetFileSystem TIWProjectCreator.GetOptionFileName TIWServerControllerCreator.GetFileSystem TIWUnitCreator.GetAncestorName TIWUnitCreator.GetFileSystem TIWUnitCreator.GetFormName TIWUnitCreator.GetIntfFileName TIWUserSessionCreator.GetAncestorName TIWUserSessionCreator.GetFileSystem TIWUserSessionCreator.GetFormName"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44610_0 {
	meta:
		name = "TIWProjectCreator.GetOwner"
		size = 24
		refs = "0010 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44612_0 {
	meta:
		name = "TIWProjectCreator.GetShowSource"
		size = 27
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8A 40 0C 34 01 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_44614_0 {
	meta:
		name = "TIWProjectCreator.NewDefaultModule"
		size = 10
	strings:
		$1 = { 55 8B EC 51 89 45 FC 59 5D C3 }
	condition:
		$1
}

rule function_44615_0 {
	meta:
		name = "TIWProjectCreator.NewDefaultProjectModule"
		size = 156
		refs = "0019 TIWProjectCreator.NewDefaultProjectModule 0028 BorlandIDEServices 0034 @IntfCast 0045 _DV_TIWUnitCreator 004a TIWUnitCreator.Create 0073 @IntfClear 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 8A 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 4D F0 8B 45 F4 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 48 E8 A5 55 FB 27 80 48 8E 7C 7F 05 A9 80 24 82 }
	condition:
		$1
}

rule function_44616_0 {
	meta:
		name = "TIWProjectCreator.NewOptionSource"
		size = 27
		refs = "0013 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F8 89 55 F4 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_44618_0 {
	meta:
		name = "TIWProjectCreator.NewProjectSource"
		size = 54
		refs = "0018 _DV_TIWProjectFile 001d TIWProjectFile.Create 002e @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F8 89 55 F4 89 45 FC 8B 45 FC 8A 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B 45 F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_44620_0 {
	meta:
		name = "TIWDataModuleFile.GetAge"
		size = 28
		altNames = "TIWDataModuleFormFile.GetAge TIWDataModuleHeader.GetAge TIWDeployFile.GetAge TIWFrameFile.GetAge TIWFrameFormFile.GetAge TIWFrameHeader.GetAge TIWProjectFile.GetAge TIWServerControllerFile.GetAge TIWServerControllerFormFile.GetAge TIWServerControllerHeader.GetAge TIWUnitFile.GetAge TIWUnitFormFile.GetAge TIWUnitHeader.GetAge TIWUserSessionFile.GetAge TIWUserSessionFormFile.GetAge TIWUserSessionHeader.GetAge"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 33 C0 89 45 F0 C7 45 F4 00 00 F0 BF DD 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_44621_0 {
	meta:
		name = "TIWProjectFile.GetSource"
		size = 588
		refs = "001b TIWProjectFile.GetSource 003b @UStrLAsg 0040 HInstance 0045 FindResourceHInstance 005f @UStrToPWChar 0069 FindResource 0079 LoadResource 007f LockResource 0089 @UStrFromPChar 0096 SizeofResource 00a0 @UStrSetLength 00bb Format 011d ProjectOptions 0166 @UStrArrayClr 016e @UStrClr 0174 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 33 C9 89 4D F4 89 4D E8 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 0C 00 0F 84 92 00 00 00 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 0A 8B 45 E8 E8 ?? ?? ?? ?? 50 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 E4 89 45 DC C6 45 E0 11 8D 55 DC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? E9 8C 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 50 A1 ?? ?? ?? ?? 89 45 C4 C6 45 C8 11 A1 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 A1 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8D 55 C4 B9 02 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 57 00 49 00 4E 00 41 00 50 00 49 00 20 00 57 00 69 00 6E 00 4D 00 61 00 69 00 6E 00 28 00 48 00 49 00 4E 00 53 00 54 00 41 00 4E 00 43 00 45 00 2C 00 20 00 48 00 49 00 4E 00 53 00 54 00 41 00 4E 00 43 00 45 00 2C 00 20 00 4C 00 50 00 53 00 54 00 52 00 2C 00 20 00 69 00 6E 00 74 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 49 00 57 00 5F 00 42 00 43 00 42 00 5F 00 54 00 45 00 53 00 54 00 5F 00 50 00 52 00 4F 00 4A 00 45 00 43 00 54 00 5F 00 43 00 50 00 50 00 00 00 49 00 57 00 5F 00 54 00 45 00 53 00 54 00 5F 00 50 00 52 00 4F 00 4A 00 45 00 43 00 54 00 00 00 }
	condition:
		$1
}

rule function_44622_0 {
	meta:
		name = "TIWUnitCreator.Create"
		size = 144
		refs = "000e @ClassCreate 001f @IntfAddRef 0027 TIWUnitCreator.Create 0037 TObject.Create 0045 @IntfCopy 0063 @IntfClear 0069 @HandleFinally 0079 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FA 88 55 FB 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C 8B 55 08 E8 ?? ?? ?? ?? 8B 45 FC 8A 55 FA 88 50 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_44625_0 {
	meta:
		name = "TIWUnitCreator.GetCreatorType"
		size = 56
		refs = "0010 TIWUnitCreator.GetCreatorType 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 55 00 6E 00 69 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_44629_0 {
	meta:
		name = "TIWUnitCreator.GetImplFileName"
		size = 152
		refs = "0015 TIWUnitCreator.GetImplFileName 0038 iif 0041 ProjectOptions 0049 TIWNotifierObject.MakeFileName 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8D 45 F4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8A 40 10 E8 ?? ?? ?? ?? 8B 4D F4 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 70 00 61 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 63 00 70 00 70 00 00 00 }
	condition:
		$1
}

rule function_44632_0 {
	meta:
		name = "TIWDeployCreator.GetOwner"
		size = 30
		refs = "0016 @IntfCopy"
		altNames = "TIWUnitCreator.GetOwner"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 52 0C E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44636_0 {
	meta:
		name = "TIWDeployCreator.NewFormFile"
		size = 29
		refs = "0013 @IntfClear"
		altNames = "TIWUnitCreator.NewFormFile"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_44637_0 {
	meta:
		name = "TIWUnitCreator.NewImplSource"
		size = 60
		refs = "001c _DV_TIWUnitFile 0021 TIWUnitFile.Create 0032 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 50 8B 45 FC 8A 48 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B 45 08 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44638_0 {
	meta:
		name = "TIWUnitCreator.NewIntfSource"
		size = 69
		refs = "001b _DV_TIWUnitHeader 0020 TIWUnitHeader.Create 0031 @IntfCopy 003b @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 80 78 10 00 74 1F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44639_0 {
	meta:
		name = "TIWUnitHeader.Create"
		size = 55
		refs = "000e @ClassCreate 0022 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_44641_0 {
	meta:
		name = "TIWUnitHeader.GetSource"
		size = 352
		refs = "001e TIWUnitHeader.GetSource 002c @UStrClr 0031 HInstance 0036 FindResourceHInstance 0049 FindResource 0059 LoadResource 005f LockResource 0069 @UStrFromPChar 0076 SizeofResource 0080 @UStrSetLength 0093 ProjectOptions 009d @UStrCat3 00ad StringReplace 00b8 @UStrLAsg 00c3 @UStrAsg 00dd @UStrArrayClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 33 C9 89 4D E4 89 4D E0 89 4D F4 89 4D E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 8D 45 E4 50 8D 45 E0 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 00 00 00 49 00 57 00 5F 00 42 00 43 00 42 00 5F 00 54 00 45 00 53 00 54 00 5F 00 55 00 4E 00 49 00 54 00 5F 00 48 00 45 00 41 00 44 00 45 00 52 00 00 00 03 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 25 00 63 00 6C 00 61 00 73 00 73 00 6E 00 61 00 6D 00 65 00 25 00 00 00 }
	condition:
		$1
}

rule function_44642_0 {
	meta:
		name = "TIWUnitFile.Create"
		size = 79
		refs = "000e @ClassCreate 0021 TObject.Create 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FA 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 55 FA 88 50 0C 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_44644_0 {
	meta:
		name = "TIWUnitFile.GetSource"
		size = 588
		refs = "0021 TIWUnitFile.GetSource 0039 HInstance 003e FindResourceHInstance 0051 FindResource 0061 LoadResource 0067 LockResource 0071 @UStrFromPChar 007e SizeofResource 0088 @UStrSetLength 009b ProjectOptions 00a5 @UStrCat3 00b5 StringReplace 00c0 @UStrLAsg 00dd Format 01a5 @UStrArrayClr 01ba @UStrClr 01c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 33 C9 89 4D D8 89 4D D4 89 4D E8 89 4D E4 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 0C 00 0F 84 AE 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 8D 45 E8 50 8D 45 E4 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 50 A1 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8D 55 DC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? E9 A9 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 8D 45 D8 50 8D 45 D4 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 50 A1 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8D 55 DC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B E5 5D C3 00 00 49 00 57 00 5F 00 42 00 43 00 42 00 5F 00 54 00 45 00 53 00 54 00 5F 00 55 00 4E 00 49 00 54 00 5F 00 43 00 50 00 50 00 00 00 00 00 03 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 25 00 63 00 6C 00 61 00 73 00 73 00 6E 00 61 00 6D 00 65 00 25 00 00 00 49 00 57 00 5F 00 54 00 45 00 53 00 54 00 5F 00 55 00 4E 00 49 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_44645_0 {
	meta:
		name = "TIWDeployCreator.Create"
		size = 133
		refs = "000e @ClassCreate 001f @IntfAddRef 0027 TIWDeployCreator.Create 0037 TObject.Create 0045 @IntfCopy 005a @IntfClear 0060 @HandleFinally 0070 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_44648_0 {
	meta:
		name = "TIWDeployCreator.GetCreatorType"
		size = 56
		refs = "0010 TIWDeployCreator.GetCreatorType 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 65 00 78 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_44652_0 {
	meta:
		name = "TIWDeployCreator.GetImplFileName"
		size = 108
		refs = "0011 TIWDeployCreator.GetImplFileName 001e TIWNotifierObject.MakeFileName"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 62 00 64 00 73 00 64 00 65 00 70 00 6C 00 6F 00 79 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 65 00 70 00 6C 00 6F 00 79 00 6D 00 65 00 6E 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_44660_0 {
	meta:
		name = "TIWDeployCreator.NewImplSource"
		size = 50
		refs = "0012 _DV_TIWDeployFile 0017 TObject.Create 0028 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44661_0 {
	meta:
		name = "TIWDeployCreator.NewIntfSource"
		size = 29
		refs = "0013 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44663_0 {
	meta:
		name = "TIWDeployFile.GetSource"
		size = 240
		refs = "0018 TIWDeployFile.GetSource 0023 HInstance 0028 FindResourceHInstance 003b FindResource 004b LoadResource 0051 LockResource 005b @UStrFromPChar 0068 SizeofResource 0072 @UStrSetLength 007f @UStrLAsg 009a Format 00af @UStrClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 33 C9 89 4D F4 89 4D E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 E8 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 00 49 00 57 00 5F 00 44 00 45 00 50 00 4C 00 4F 00 59 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 65 00 78 00 65 00 00 00 }
	condition:
		$1
}

rule function_44665_0 {
	meta:
		name = "TIWTestUnitWizard.Execute"
		size = 528
		refs = "0014 TIWTestUnitWizard.Execute 0030 BorlandIDEServices 003c @IntfCast 0041 ProjectOptions 0063 @UStrLen 0074 @UStrCopy 0086 @UStrCat3 008e GetCurrentProject 00a9 _DV_TIWUnitCreator 00ae TIWUnitCreator.Create 00d7 _DV_TIWTestApplicationWizard 00dc TIWTestApplicationWizard.SetupProject 01a3 @IntfClear 01ab @UStrClr 01d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 0C 00 0F 84 BA 00 00 00 8D 45 F4 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 18 FF 53 30 8D 45 F0 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA 05 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 F6 00 00 00 8B 45 F8 50 8B 45 FC 8A 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 4D EC 8B 45 F4 8B 18 FF 53 14 8B 45 FC 80 78 0C 00 0F 84 BF 00 00 00 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AD 00 00 00 8D 45 F4 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 18 FF 53 30 8D 45 E8 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA 05 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 40 8B 45 F8 50 8B 45 FC 8A 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 4D E4 8B 45 F4 8B 18 FF 53 14 8B 45 FC 80 78 0C 00 74 0D 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5B 8B E5 5D C3 48 E8 A5 55 FB 27 80 48 8E 7C 7F 05 A9 80 24 82 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 57 00 54 00 65 00 73 00 74 00 43 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_44667_0 {
	meta:
		name = "TIWTestUnitWizard.GetComment"
		size = 124
		refs = "0010 TIWTestUnitWizard.GetComment 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 73 00 20 00 61 00 20 00 6E 00 65 00 77 00 20 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 20 00 44 00 55 00 6E 00 69 00 74 00 20 00 74 00 65 00 73 00 74 00 20 00 63 00 61 00 73 00 65 00 2E 00 00 00 }
	condition:
		$1
}

rule function_44668_0 {
	meta:
		name = "TIWTestUnitWizard.GetGalleryCategory"
		size = 59
		refs = "001a IntraWebGalleryCategoryBCB 0021 @IntfCopy 002c IntraWebGalleryCategory"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 78 0C 00 74 12 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? EB 10 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44671_0 {
	meta:
		name = "TIWTestUnitWizard.GetGlyph"
		size = 64
		refs = "000a TIWTestUnitWizard.GetGlyph 000f HInstance 0015 LoadIcon"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 59 59 5D C3 00 49 00 57 00 5F 00 46 00 4F 00 52 00 4D 00 5F 00 49 00 43 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_44876_0 {
	meta:
		name = "TIWFrameWizard.GetGlyph"
		size = 64
		refs = "000a TIWFrameWizard.GetGlyph 000f HInstance 0015 LoadIcon"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 59 59 5D C3 00 49 00 57 00 5F 00 46 00 4F 00 52 00 4D 00 5F 00 49 00 43 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_44864_0 {
	meta:
		name = "TIWUnitWizard.GetGlyph"
		size = 64
		refs = "000a TIWUnitWizard.GetGlyph 000f HInstance 0015 LoadIcon"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 59 59 5D C3 00 49 00 57 00 5F 00 46 00 4F 00 52 00 4D 00 5F 00 49 00 43 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_44672_0 {
	meta:
		name = "TIWTestUnitWizard.GetIDString"
		size = 184
		refs = "0019 TIWTestUnitWizard.GetIDString 001e @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 78 0C 00 74 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 41 00 74 00 6F 00 7A 00 65 00 64 00 2E 00 49 00 57 00 54 00 65 00 73 00 74 00 55 00 6E 00 69 00 74 00 57 00 69 00 7A 00 61 00 72 00 64 00 5F 00 42 00 43 00 42 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 41 00 74 00 6F 00 7A 00 65 00 64 00 2E 00 49 00 57 00 54 00 65 00 73 00 74 00 55 00 6E 00 69 00 74 00 57 00 69 00 7A 00 61 00 72 00 64 00 00 00 }
	condition:
		$1
}

rule function_44673_0 {
	meta:
		name = "TIWTestUnitWizard.GetName"
		size = 84
		refs = "0010 TIWTestUnitWizard.GetName 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 4E 00 65 00 77 00 20 00 44 00 55 00 6E 00 69 00 74 00 20 00 54 00 65 00 73 00 74 00 20 00 43 00 61 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_44676_0 {
	meta:
		name = "TIWNotifierObject.MakeFileName"
		size = 92
		refs = "0017 ProjectOptions 001f TIWNotifierObject.MakeFileName 002f @UStrCatN 0042 @UStrCat3"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 83 7D F4 00 74 20 FF 35 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 F4 8B 45 08 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 11 8B 45 08 8B 4D F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_44677_0 {
	meta:
		name = "Finalization"
		size = 64
		refs = "0007 Finalization 0013 _DV_11 001a ProjectOptions 0020 TProjectOptions 0025 @FinalizeRecord 0038 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 10 B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_61590_0 {
	meta:
		name = "Finalization"
		size = 64
		refs = "0007 Finalization 0013 _DV_2 001a TBindingSearch.FRttiCtx 0020 TRttiContext 0025 @FinalizeRecord 0038 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 10 B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_44679_0 {
	meta:
		name = "TIWDsnTreeView.Create"
		size = 1012
		refs = "000e @ClassCreate 001f @IntfAddRef 0027 TIWDsnTreeView.Create 003c TCustomForm.CreateNew 004c @IntfCopy 0062 TCustomForm.SetBorderStyle 0070 TCustomForm.SetBorderIcons 007a TCustomForm.SetPosition 0090 TIWDsnTreeView.OnFormActivate 00a6 TIWDsnTreeView.OnFormClose 00b0 _Dn_TPopupMenu 00b5 TPopupMenu.Create 00c8 TIWDsnTreeView.OnPopup 00d2 _Dn_TMenuItem 00d7 TMenuItem.Create 00f4 TMenuItem.Add 0106 RSNewRoot 0110 TMenuItem.SetCaption 0126 TIWDsnTreeView.OnNewRootItem 0164 RSNewItem 0184 TIWDsnTreeView.OnNewItem 01c2 RSDeleteItem 01e2 TIWDsnTreeView.OnDeleteItem 0220 RSEditCaption 0240 TIWDsnTreeView.OnEditItem 024a _Dn_TTreeView 024f TCustomTreeView.Create 027c TControl.SetAlign 0292 TIWDsnTreeView.TVOnChange 02a8 TIWDsnTreeView.TVOnClick 02be TIWDsnTreeView.TVOnEdited 02d4 TIWDsnTreeView.TVOnExpanded 02f5 TControl.SetPopupMenu 02ff TCustomTreeView.SetHideSelection 0317 TTreeNodes.BeginUpdate 0333 TTreeNodes.Clear 0354 TIWTreeViewItems.SetDesigner 036b TIWDsnTreeView.FillTreeView 0386 TTreeNodes.EndUpdate 038c @HandleFinally 03c1 @IntfClear 03d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 90 03 00 00 8B 55 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 0C 89 90 94 03 00 00 B2 05 8B 45 FC E8 ?? ?? ?? ?? 8A 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B2 02 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 55 FC 89 90 F4 02 00 00 C7 80 F0 02 00 00 ?? ?? ?? ?? 8B 45 FC 8B 55 FC 89 90 FC 02 00 00 C7 80 F8 02 00 00 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 8B 55 FC 89 50 7C C7 40 78 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 98 03 00 00 8B 45 FC 8B 90 98 03 00 00 8B 45 F0 8B 40 3C E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 03 00 00 89 45 EC 8B 15 ?? ?? ?? ?? 8B 12 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8B 55 FC 89 90 94 00 00 00 C7 80 90 00 00 00 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 9C 03 00 00 8B 45 FC 8B 90 9C 03 00 00 8B 45 F0 8B 40 3C E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 03 00 00 89 45 E8 8B 15 ?? ?? ?? ?? 8B 12 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 FC 89 90 94 00 00 00 C7 80 90 00 00 00 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A0 03 00 00 8B 45 FC 8B 90 A0 03 00 00 8B 45 F0 8B 40 3C E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 03 00 00 89 45 E4 8B 15 ?? ?? ?? ?? 8B 12 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 8B 55 FC 89 90 94 00 00 00 C7 80 90 00 00 00 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A4 03 00 00 8B 45 FC 8B 90 A4 03 00 00 8B 45 F0 8B 40 3C E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 03 00 00 89 45 E0 8B 15 ?? ?? ?? ?? 8B 12 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 8B 55 FC 89 90 94 00 00 00 C7 80 90 00 00 00 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A8 03 00 00 8B 45 FC 8B 80 A8 03 00 00 89 45 DC 8B 55 FC 8B 45 DC 8B 08 FF 91 84 00 00 00 B2 05 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC 8B 55 FC 89 90 24 03 00 00 C7 80 20 03 00 00 ?? ?? ?? ?? 8B 45 DC 8B 55 FC 89 90 1C 01 00 00 C7 80 18 01 00 00 ?? ?? ?? ?? 8B 45 DC 8B 55 FC 89 90 74 03 00 00 C7 80 70 03 00 00 ?? ?? ?? ?? 8B 45 DC 8B 55 FC 89 90 7C 03 00 00 C7 80 78 03 00 00 ?? ?? ?? ?? 8B 45 DC 8B 55 FC 89 90 34 03 00 00 C7 80 30 03 00 00 ?? ?? ?? ?? 8B 55 F0 8B 45 DC E8 ?? ?? ?? ?? 33 D2 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC C6 80 B8 02 00 00 01 8B 45 DC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 85 D2 74 06 81 EA 54 FC FF FF 8B 45 FC 8B 80 94 03 00 00 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 94 03 00 00 8B 90 BC 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC 8B 55 FC 8B 8A F8 02 00 00 89 88 F8 02 00 00 8B 8A FC 02 00 00 89 88 FC 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C2 08 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_44680_0 {
	meta:
		name = "TIWDsnTreeView.FillTreeView"
		size = 357
		refs = "000f _Dn_TList 0014 TObject.Create 002e TIWDsnTreeView.FillTreeView 003c TCollection.GetCount 0046 @IntOver 0064 TIWTreeViewItems.GetItem 007e TList.IndexOf 0088 TList.Get 00af TTreeNodes.AddChild 00bd TList.Add 0125 TTreeNode.SetExpanded 0130 TTreeNode.SetData 014d TObject.Free 015b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 89 55 F8 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C 82 00 00 00 40 89 45 DC C7 45 F4 00 00 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 83 78 18 00 74 1D 8B 45 EC 8B 50 18 8B 45 E0 E8 ?? ?? ?? ?? 8B D0 8B 45 E4 E8 ?? ?? ?? ?? 89 45 E8 EB 05 33 C0 89 45 E8 8B 45 EC 8B 48 1C 8B 45 FC 8B 80 A8 03 00 00 8B 80 E0 02 00 00 8B 55 E8 E8 ?? ?? ?? ?? 89 45 F0 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 E0 E8 ?? ?? ?? ?? FF 45 F4 FF 4D DC 75 89 8B 45 F8 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 52 40 89 45 DC C7 45 F4 00 00 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EC 8B 55 EC 8B 45 E0 E8 ?? ?? ?? ?? 8B D0 8B 45 E4 E8 ?? ?? ?? ?? 89 45 F0 8B 45 EC 8A 50 20 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? FF 45 F4 FF 4D DC 75 B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 }
	condition:
		$1
}

rule function_44682_0 {
	meta:
		name = "TIWDsnTreeView.TVOnChange"
		size = 79
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F8 89 55 F4 89 45 FC 83 7D F8 00 74 09 8B 45 F8 83 78 0C 00 75 19 8B 45 FC 8B 90 94 03 00 00 8B 45 FC 8B 80 90 03 00 00 8B 08 FF 51 3C EB 14 8B 45 F8 8B 50 0C 8B 45 FC 8B 80 90 03 00 00 8B 08 FF 51 3C 8B E5 5D C3 }
	condition:
		$1
}

rule function_44683_0 {
	meta:
		name = "TIWDsnTreeView.OnDeleteItem"
		size = 232
		refs = "0015 TIWDsnTreeView.OnDeleteItem 002f TCustomTreeView.GetSelected 0041 RSMsgDeleteItem 004a Format 005b MessageDlg 0076 TObject.Free 009a TTreeNodes.Delete 00d4 @UStrClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 F4 50 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B 40 08 89 45 EC C6 45 F0 11 8D 55 EC A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 45 F4 66 8B 0D ?? ?? ?? ?? B2 03 E8 ?? ?? ?? ?? 83 F8 06 75 5F 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B 40 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 A8 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 94 03 00 00 8B 45 FC 8B 80 90 03 00 00 8B 08 FF 51 3C 8B 45 FC 8B 80 90 03 00 00 8B 10 FF 52 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 03 00 00 00 }
	condition:
		$1
}

rule function_44684_0 {
	meta:
		name = "TIWDsnTreeView.TVOnEdited"
		size = 51
		refs = "001b TIWTreeViewItem.SetCaption"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F8 89 55 F4 89 45 FC 8B 55 08 8B 12 8B 45 F8 8B 40 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 80 90 03 00 00 8B 10 FF 52 10 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_44685_0 {
	meta:
		name = "TIWDsnTreeView.OnEditItem"
		size = 35
		refs = "0016 TCustomTreeView.GetSelected 001b TTreeNode.EditText"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44686_0 {
	meta:
		name = "TIWDsnTreeView.OnNewItem"
		size = 168
		refs = "0016 TCustomTreeView.GetSelected 0023 TIWTreeViewItems.Add 003f TIWTreeViewItem.SetParentItem 006d TTreeNodes.AddChildObject 0081 TCustomTreeView.SetSelected"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 F0 89 45 FC 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B 40 0C 8B 40 04 33 D2 E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B 50 0C 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 A8 03 00 00 8B 80 E0 02 00 00 8B 4D F4 8B 49 1C E8 ?? ?? ?? ?? 89 45 F8 8B 55 F8 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 90 03 00 00 8B 08 FF 51 3C 8B 45 FC 8B 80 90 03 00 00 8B 10 FF 52 10 8B E5 5D C3 }
	condition:
		$1
}

rule function_44687_0 {
	meta:
		name = "TIWDsnTreeView.OnNewRootItem"
		size = 134
		refs = "001e TIWTreeViewItems.Add 002b TIWTreeViewItem.SetParentItem 004b TTreeNodes.AddChildObject 005f TCustomTreeView.SetSelected"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 F0 89 45 FC 8B 45 FC 8B 80 94 03 00 00 8B 80 BC 02 00 00 33 D2 E8 ?? ?? ?? ?? 89 45 F4 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 8B 80 A8 03 00 00 8B 80 E0 02 00 00 8B 55 F4 8B 4A 1C 33 D2 E8 ?? ?? ?? ?? 89 45 F8 8B 55 F8 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 90 03 00 00 8B 08 FF 51 3C 8B 45 FC 8B 80 90 03 00 00 8B 10 FF 52 10 8B E5 5D C3 }
	condition:
		$1
}

rule function_44688_0 {
	meta:
		name = "TIWDsnTreeView.OnPopup"
		size = 115
		refs = "0016 TCustomTreeView.GetSelected 0029 TMenuItem.SetEnabled"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 85 C0 0F 95 C2 8B 45 FC 8B 80 A4 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 85 C0 0F 95 C2 8B 45 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 85 C0 0F 95 C2 8B 45 FC 8B 80 A0 03 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44689_0 {
	meta:
		name = "TIWDsnTreeView.RefreshItems"
		size = 321
		refs = "0019 TControl.SetText 002d TTreeNodes.BeginUpdate 0035 TIWDsnTreeView.RefreshItems 004f TTreeNodes.GetCount 0059 @IntOver 0083 TTreeNodes.GetNodeFromIndex 00c7 @UStrEqual 0104 TTreeNode.SetText 0131 TTreeNodes.EndUpdate 0137 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC 8B 45 FC 8B 80 94 03 00 00 8B 50 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A8 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C AF 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 8B 45 FC 8B 80 A8 03 00 00 8B 80 E0 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 83 78 0C 00 74 7B 8B 45 FC 8B 80 A8 03 00 00 8B 80 E0 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 40 08 50 8B 45 FC 8B 80 A8 03 00 00 8B 80 E0 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 40 0C 8B 50 1C 58 E8 ?? ?? ?? ?? 74 3B 8B 45 FC 8B 80 A8 03 00 00 8B 80 E0 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 40 0C 8B 40 1C 50 8B 45 FC 8B 80 A8 03 00 00 8B 80 E0 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? FF 45 F8 FF 4D F4 0F 85 5C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 03 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 8B E5 5D C3 }
	condition:
		$1
}

rule function_44690_0 {
	meta:
		name = "TIWDsnTreeView.OnFormClose"
		size = 66
		refs = "002d TIWTreeViewItems.SetDesigner 003a formDsnTreeView"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F8 89 55 F4 89 45 FC 8B 45 FC 83 B8 94 03 00 00 00 74 16 8B 45 FC 8B 80 94 03 00 00 8B 80 BC 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 C6 00 02 33 C0 A3 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_44691_0 {
	meta:
		name = "TIWDsnTreeView.ItemsFreed"
		size = 21
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 33 D2 89 90 94 03 00 00 59 5D C3 }
	condition:
		$1
}

rule function_44692_0 {
	meta:
		name = "TIWDsnTreeView.TVOnExpanded"
		size = 69
		refs = "0025 TTreeNode.GetExpanded 002f TIWTreeViewItem.SetExpanded"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F8 89 55 F0 89 45 FC 8B 45 F8 83 78 0C 00 74 29 8B 45 F8 8B 40 0C 89 45 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 90 03 00 00 8B 10 FF 52 10 8B E5 5D C3 }
	condition:
		$1
}

rule function_44693_0 {
	meta:
		name = "TIWDsnTreeView.TVOnClick"
		size = 57
		refs = "0016 TCustomTreeView.GetSelected"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 85 C0 75 17 8B 45 FC 8B 90 94 03 00 00 8B 45 FC 8B 80 90 03 00 00 8B 08 FF 51 3C 59 59 5D C3 }
	condition:
		$1
}

rule function_44694_0 {
	meta:
		name = "TTreeViewItemsProperty.Edit"
		size = 115
		refs = "000b formDsnTreeView 0018 TPropertyEditor.GetComponent 002c Application 0035 _DV_TIWDsnTreeView 003a TIWDsnTreeView.Create 0049 _Dn_TIWDesignerDestroyer 004e TComponent.Create 0061 TCustomForm.Show 006b TControl.BringToFront"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 83 3D ?? ?? ?? ?? 00 75 49 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 50 8B 45 FC 8B 40 0C 50 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 50 38 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44695_0 {
	meta:
		name = "TTreeViewItemsProperty.GetAttributes"
		size = 32
		refs = "000b TTreeViewItemsProperty.GetAttributes"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 66 A1 ?? ?? ?? ?? 66 89 45 FA 66 8B 45 FA 59 59 5D C3 00 44 00 00 00 }
	condition:
		$1
}

rule function_44696_0 {
	meta:
		name = "TTreeViewItemsProperty.GetValue"
		size = 60
		refs = "0010 TTreeViewItemsProperty.GetValue 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 28 00 49 00 74 00 65 00 6D 00 73 00 29 00 00 00 }
	condition:
		$1
}

rule function_44697_0 {
	meta:
		name = "TIWTreeViewComponent.Edit"
		size = 167
		refs = "0012 TIWTreeViewComponent.Edit 001e formDsnTreeView 0039 TComponentEditor.GetDesigner 0043 Application 004c _DV_TIWDsnTreeView 0051 TIWDsnTreeView.Create 0060 _Dn_TIWDesignerDestroyer 0065 TComponent.Create 0078 TCustomForm.Show 0082 TControl.BringToFront 0097 @IntfClear 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 4D 8B 45 FC 8B 40 0C 89 45 F8 8B 45 F8 50 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 50 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 50 38 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_44698_0 {
	meta:
		name = "TIWTreeViewComponent.ExecuteVerb"
		size = 41
		refs = "0013 TComponentEditor.ExecuteVerb"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 01 75 08 8B 45 FC 8B 10 FF 52 04 59 59 5D C3 }
	condition:
		$1
}

rule function_44699_0 {
	meta:
		name = "TIWTreeViewComponent.GetVerb"
		size = 100
		refs = "0019 TIWTreeViewComponent.GetVerb 001e @UStrAsg 002e TIWControlAbout.GetVerb"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 83 7D F8 01 75 0F 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 45 00 64 00 69 00 74 00 20 00 74 00 72 00 65 00 65 00 20 00 6E 00 6F 00 64 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_44700_0 {
	meta:
		name = "TIWTreeViewComponent.GetVerbCount"
		size = 37
		refs = "000d TIWControlAbout.GetVerbCount 0017 @IntOver"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 83 C0 01 71 05 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_44703_0 {
	meta:
		name = "GetIDEProjectPath"
		size = 732
		refs = "0013 GetIDEProjectPath 0026 GetEnvironmentVariable 0037 _Dn_TRegistry 003c TRegistry.Create 005a TRegistry.SetRootKey 0074 @UStrCatN 0081 TRegistry.OpenKey 0095 TRegistry.ReadString 009d TRegistry.CloseKey 00d3 IncludeTrailingPathDelim 0108 TObject.Free 010e @HandleFinally 0135 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 0F 85 E0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 01 00 00 80 8B 45 EC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 33 C9 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 18 8D 4D F8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 83 38 00 75 4E 33 C9 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 3B 8D 4D F8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? FF 75 E4 FF 75 F0 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 42 00 44 00 53 00 50 00 52 00 4F 00 4A 00 45 00 43 00 54 00 53 00 44 00 49 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 5C 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 5C 00 42 00 44 00 53 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5C 00 47 00 6C 00 6F 00 62 00 61 00 6C 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 50 00 72 00 6F 00 6A 00 65 00 63 00 74 00 73 00 44 00 69 00 72 00 65 00 63 00 74 00 6F 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 41 00 00 00 5C 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 4D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 5C 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 5C 00 43 00 75 00 72 00 72 00 65 00 6E 00 74 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 5C 00 45 00 78 00 70 00 6C 00 6F 00 72 00 65 00 72 00 5C 00 53 00 68 00 65 00 6C 00 6C 00 20 00 46 00 6F 00 6C 00 64 00 65 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 65 00 72 00 73 00 6F 00 6E 00 61 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_44707_0 {
	meta:
		name = "TIWApplicationWizard.SetupProject"
		size = 700
		refs = "001a @IntfAddRef 0022 TIWApplicationWizard.SetupProject 0031 GetIWInstallPath 003d IncludeTrailingPathDelim 004a @UStrLAsg 0070 @VarToUStr 007b AnsiPos 00a9 @VarFromUStr 00b2 @VarAdd 01c4 @IntfClear 01d0 Variant 01da @FinalizeArray 01f0 @VarClr 0208 @UStrClr 0250 @UStrArrayClr 025e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 17 00 00 00 6A 00 6A 00 49 75 F9 53 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 45 E8 E8 ?? ?? ?? ?? 59 8B 45 E8 8D 55 F4 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D0 8B 45 F8 8B 08 FF 51 70 8B 45 D0 8D 4D D4 BA ?? ?? ?? ?? 8B 18 FF 53 10 8D 55 D4 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 75 68 8D 55 BC 8B 45 F8 8B 08 FF 51 70 8B 45 BC 8D 4D C0 BA ?? ?? ?? ?? 8B 18 FF 53 10 8D 45 C0 50 8D 45 AC 8B 55 EC E8 ?? ?? ?? ?? 8D 55 AC 58 E8 ?? ?? ?? ?? 8D 45 C0 50 8D 45 9C 8B 55 F0 E8 ?? ?? ?? ?? 8D 55 9C 58 E8 ?? ?? ?? ?? 8D 45 C0 50 8D 55 98 8B 45 F8 8B 08 FF 51 70 8B 45 98 BA ?? ?? ?? ?? 59 8B 18 FF 53 14 8D 55 80 8B 45 F8 8B 08 FF 51 70 8B 45 80 8D 4D 84 BA ?? ?? ?? ?? 8B 18 FF 53 10 8D 55 84 8D 45 94 E8 ?? ?? ?? ?? 8B 55 94 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 85 8C 00 00 00 8D 95 6C FF FF FF 8B 45 F8 8B 08 FF 51 70 8B 85 6C FF FF FF 8D 8D 70 FF FF FF BA ?? ?? ?? ?? 8B 18 FF 53 10 8D 85 70 FF FF FF 50 8D 85 5C FF FF FF 8B 55 EC E8 ?? ?? ?? ?? 8D 95 5C FF FF FF 58 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 8D 85 4C FF FF FF 8B 55 F4 E8 ?? ?? ?? ?? 8D 95 4C FF FF FF 58 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 8D 95 48 FF FF FF 8B 45 F8 8B 08 FF 51 70 8B 85 48 FF FF FF BA ?? ?? ?? ?? 59 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 48 FF FF FF E8 ?? ?? ?? ?? 8D 85 4C FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 56 FF FF FF 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 6E 00 63 00 6C 00 75 00 64 00 65 00 50 00 61 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 69 00 62 00 50 00 61 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_44710_0 {
	meta:
		name = "FindNewProjectName"
		size = 292
		refs = "001f @UStrAddRef 0027 FindNewProjectName 0047 @IntOver 0064 Format 006f ProjectExists 009e @UStrCat3 00a6 DirectoryExists 00e1 @UStrArrayClr 00e9 @UStrClr 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 DB 89 5D E0 89 5D DC 89 5D EC 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 01 00 00 00 83 7D FC 00 74 70 EB 0B 83 45 F0 01 71 05 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 F0 89 45 E4 C6 45 E8 00 8D 55 E4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 C9 8D 45 DC 50 8B 45 F0 89 45 E4 C6 45 E8 00 8D 55 E4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC 8D 45 E0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 75 92 8B 45 F4 50 8B 45 F0 89 45 E4 C6 45 E8 00 8D 55 E4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 72 00 6F 00 6A 00 65 00 63 00 74 00 25 00 64 00 00 00 }
	condition:
		$1
}

rule function_44711_0 {
	meta:
		name = "TIWApplicationWizard.Execute"
		size = 648
		refs = "0017 TIWApplicationWizard.Execute 0026 BorlandIDEServices 0032 @IntfCast 0042 _Dn_TformAppWizard 0047 TformAppWizard.Create 0060 GetIDEProjectPath 0070 @UStrAsg 0078 GetActiveProjectGroup 008c FindNewProjectName 00a4 TformAppWizard.Init 00bb ProjectOptions 00dd @UStrLen 00ee @UStrCopy 0100 @UStrCat3 015e IncludeTrailingPathDelim 0175 ForceDirectories 0195 _DV_TIWProjectCreator 019a TIWProjectCreator.Create 01d4 TIWApplicationWizard.SetupProject 01e9 TObject.Free 01ef @HandleFinally 0206 @IntfClear 0213 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8A 40 0C 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 05 F8 03 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 8D 4D E8 8B 55 F0 8B 92 F8 03 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F0 05 F4 03 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 92 20 01 00 00 48 0F 85 1E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 18 FF 53 30 8D 45 E0 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA 05 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8A 80 E8 03 00 00 A2 ?? ?? ?? ?? 8B 45 F0 8A 80 F0 03 00 00 A2 ?? ?? ?? ?? 8B 45 F0 8A 80 E9 03 00 00 A2 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 8B 45 F0 8B 80 EC 03 00 00 A3 ?? ?? ?? ?? 8B 45 F0 8A 80 F1 03 00 00 A2 ?? ?? ?? ?? 8D 55 DC 8B 45 F0 8B 80 F8 03 00 00 E8 ?? ?? ?? ?? 8B 55 DC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 55 F0 8B 92 F4 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8A 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 4D D8 8B 45 F4 8B 18 FF 53 14 8B 55 D8 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 0C 00 74 0D 8B 45 FC 8B 00 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BE 5B 8B E5 5D C3 00 00 00 48 E8 A5 55 FB 27 80 48 8E 7C 7F 05 A9 80 24 82 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 57 00 46 00 6F 00 72 00 6D 00 00 00 00 00 72 2A EA F5 5D 48 E8 49 B6 0A B0 E7 C7 B8 0A 27 }
	condition:
		$1
}

rule function_44713_0 {
	meta:
		name = "TIWApplicationWizard.GetComment"
		size = 100
		refs = "0010 TIWApplicationWizard.GetComment 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 20 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 57 00 69 00 7A 00 61 00 72 00 64 00 00 00 }
	condition:
		$1
}

rule function_44719_0 {
	meta:
		name = "TIWApplicationWizard.GetName"
		size = 100
		refs = "0010 TIWApplicationWizard.GetName 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 20 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 57 00 69 00 7A 00 61 00 72 00 64 00 00 00 }
	condition:
		$1
}

rule function_44714_0 {
	meta:
		name = "TIWApplicationWizard.GetGalleryCategory"
		size = 696
		refs = "001a TIWApplicationWizard.GetGalleryCategory 002f IntraWebGalleryCategoryBCB 0046 BorlandIDEServices 0052 @IntfCast 0096 @IntfCopy 00ac IntraWebGalleryCategory 0137 IOTAGalleryCategoryManager 0141 @FinalizeArray 014a IOTAGalleryCategory 0180 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 0C 00 74 7D 83 3D ?? ?? ?? ?? 00 75 64 68 ?? ?? ?? ?? 6A 00 8D 45 F4 50 8D 45 EC 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8D 4D F0 BA ?? ?? ?? ?? 8B 18 FF 53 0C 8B 45 F0 50 8D 45 E8 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 B9 ?? ?? ?? ?? 5A 8B 18 FF 53 14 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7B 83 3D ?? ?? ?? ?? 00 75 64 68 ?? ?? ?? ?? 6A 00 8D 45 E4 50 8D 45 DC 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8D 4D E0 BA ?? ?? ?? ?? 8B 18 FF 53 0C 8B 45 E0 50 8D 45 D8 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 ?? ?? ?? ?? 5A 8B 18 FF 53 14 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AC 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 00 00 00 00 12 FE AF 5F A4 E1 86 42 94 F9 A0 25 B3 C0 BF 41 B0 04 02 00 FF FF FF FF 14 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 43 00 42 00 75 00 69 00 6C 00 64 00 65 00 72 00 2E 00 4E 00 65 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 41 00 74 00 6F 00 7A 00 65 00 64 00 2E 00 49 00 57 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 57 00 69 00 7A 00 61 00 72 00 64 00 5F 00 42 00 43 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 44 00 65 00 6C 00 70 00 68 00 69 00 2E 00 4E 00 65 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 41 00 74 00 6F 00 7A 00 65 00 64 00 2E 00 49 00 57 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 57 00 69 00 7A 00 61 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_44718_0 {
	meta:
		name = "TIWApplicationWizard.GetIDString"
		size = 200
		refs = "0019 TIWApplicationWizard.GetIDString 001e @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 78 0C 00 74 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 41 00 74 00 6F 00 7A 00 65 00 64 00 2E 00 49 00 57 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 57 00 69 00 7A 00 61 00 72 00 64 00 5F 00 42 00 43 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 41 00 74 00 6F 00 7A 00 65 00 64 00 2E 00 49 00 57 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 57 00 69 00 7A 00 61 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_44723_0 {
	meta:
		name = "TIWProjectCreator.GetCreatorType"
		size = 124
		refs = "000d ProjectOptions 001d TIWProjectCreator.GetCreatorType 0022 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC A0 ?? ?? ?? ?? 2C 01 72 04 74 11 EB 1C 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 69 00 62 00 72 00 61 00 72 00 79 00 00 00 }
	condition:
		$1
}

rule function_44733_0 {
	meta:
		name = "TIWProjectCreator.NewDefaultProjectModule"
		size = 320
		refs = "0017 TIWProjectCreator.NewDefaultProjectModule 0026 BorlandIDEServices 0032 @IntfCast 003b ProjectOptions 004b _DV_TIWUnitCreator 0050 TIWUnitCreator.Create 0075 _DV_TIWServerControllerCreator 007a TIWServerControllerCreator.Create 00a8 _DV_TIWUserSessionCreator 00ad TIWUserSessionCreator.Create 00db _DV_TIWDataModuleCreator 00e0 TIWDataModuleCreator.Create 010a IOTAModule 0114 @FinalizeArray 011c @IntfClear 0122 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 A1 ?? ?? ?? ?? 50 6A 01 8B 45 FC 8A 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 4D F0 8B 45 F4 8B 18 FF 53 14 8B 45 F8 50 8B 45 FC 8A 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 4D EC 8B 45 F4 8B 18 FF 53 14 80 3D ?? ?? ?? ?? 00 74 2A 8B 45 F8 50 8B 45 FC 8A 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 4D E8 8B 45 F4 8B 18 FF 53 14 80 3D ?? ?? ?? ?? 00 74 2A 8B 45 F8 50 8B 45 FC 8A 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 4D E4 8B 45 F4 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 00 00 48 E8 A5 55 FB 27 80 48 8E 7C 7F 05 A9 80 24 82 }
	condition:
		$1
}

rule function_44739_0 {
	meta:
		name = "TIWProjectFile.GetSource"
		size = 1444
		refs = "0027 TIWProjectFile.GetSource 003a @UStrLAsg 0055 ProjectOptions 00ce HInstance 00d3 FindResourceHInstance 00e0 @UStrToPWChar 00ea FindResource 00fa LoadResource 0100 LockResource 010a @UStrFromPChar 0117 SizeofResource 0121 @UStrSetLength 01a8 Format 020e @UStrClr 0250 @UStrCatN 02cd @LStrClr 02da @UStrArrayClr 02e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 70 FF FF FF 33 C9 89 4D F4 89 4D E8 89 4D D8 89 4D E4 89 4D E0 89 4D DC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 0C 00 74 50 A0 ?? ?? ?? ?? 2C 01 72 04 74 1E EB 6C 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 50 80 3D ?? ?? ?? ?? 00 74 0F 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 38 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 29 A0 ?? ?? ?? ?? 2C 01 72 04 74 11 EB 1C 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 0A 8B 45 E8 E8 ?? ?? ?? ?? 50 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 80 78 0C 00 0F 84 BC 00 00 00 A0 ?? ?? ?? ?? 2C 01 72 07 74 74 E9 73 01 00 00 8B 45 F8 50 8B 45 E4 89 45 98 C6 45 9C 11 A1 ?? ?? ?? ?? 89 45 A0 C6 45 A4 11 A1 ?? ?? ?? ?? 89 45 A8 C6 45 AC 11 A1 ?? ?? ?? ?? 89 45 B0 C6 45 B4 11 8B 45 E0 89 45 B8 C6 45 BC 11 8B 45 DC 89 45 C0 C6 45 C4 11 8B 45 DC 89 45 C8 C6 45 CC 11 8B 45 DC 89 45 D0 C6 45 D4 11 8D 55 98 B9 07 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 04 01 00 00 8B 45 F8 50 A1 ?? ?? ?? ?? 89 45 80 C6 45 84 11 A1 ?? ?? ?? ?? 89 45 88 C6 45 8C 11 A1 ?? ?? ?? ?? 89 45 90 C6 45 94 11 8D 55 80 B9 02 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 C7 00 00 00 A0 ?? ?? ?? ?? 2C 01 72 04 74 11 EB 17 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E4 8B 55 DC E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 01 75 56 FF 75 E4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 1F FF 75 E4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 50 A1 ?? ?? ?? ?? 89 85 70 FF FF FF C6 85 74 FF FF FF 11 8B 45 E4 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8D 95 70 FF FF FF B9 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 80 78 0C 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 76 00 63 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 6F 00 72 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 49 00 57 00 5F 00 42 00 43 00 42 00 5F 00 53 00 54 00 41 00 4E 00 44 00 41 00 4C 00 4F 00 4E 00 45 00 5F 00 50 00 52 00 4F 00 4A 00 45 00 43 00 54 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 57 00 49 00 4E 00 41 00 50 00 49 00 20 00 57 00 69 00 6E 00 4D 00 61 00 69 00 6E 00 28 00 48 00 49 00 4E 00 53 00 54 00 41 00 4E 00 43 00 45 00 2C 00 20 00 48 00 49 00 4E 00 53 00 54 00 41 00 4E 00 43 00 45 00 2C 00 20 00 4C 00 50 00 53 00 54 00 52 00 2C 00 20 00 69 00 6E 00 74 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 49 00 57 00 5F 00 42 00 43 00 42 00 5F 00 49 00 53 00 41 00 50 00 49 00 54 00 48 00 52 00 45 00 41 00 44 00 50 00 4F 00 4F 00 4C 00 5F 00 50 00 52 00 4F 00 4A 00 45 00 43 00 54 00 5F 00 36 00 30 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 49 00 57 00 5F 00 42 00 43 00 42 00 5F 00 49 00 53 00 41 00 50 00 49 00 5F 00 50 00 52 00 4F 00 4A 00 45 00 43 00 54 00 5F 00 36 00 30 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 49 00 57 00 5F 00 53 00 54 00 41 00 4E 00 44 00 41 00 4C 00 4F 00 4E 00 45 00 5F 00 50 00 52 00 4F 00 4A 00 45 00 43 00 54 00 5F 00 44 00 32 00 30 00 31 00 30 00 55 00 50 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 57 00 5F 00 49 00 53 00 41 00 50 00 49 00 5F 00 50 00 52 00 4F 00 4A 00 45 00 43 00 54 00 5F 00 44 00 32 00 30 00 31 00 30 00 55 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 6F 00 72 00 6D 00 73 00 2C 00 0D 00 0A 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 53 00 41 00 50 00 49 00 41 00 70 00 70 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 57 00 49 00 6E 00 69 00 74 00 49 00 53 00 41 00 50 00 49 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 2C 00 20 00 49 00 53 00 41 00 50 00 49 00 54 00 68 00 72 00 65 00 61 00 64 00 50 00 6F 00 6F 00 6C 00 00 00 }
	condition:
		$1
}

rule function_44740_0 {
	meta:
		name = "TIWUnitCreator.Create"
		size = 162
		refs = "000e @ClassCreate 001f @IntfAddRef 0027 TIWUnitCreator.Create 0037 TObject.Create 004e @IntfCopy 0075 @IntfClear 007b @HandleFinally 008b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FA 88 55 FB 89 45 FC 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8A 55 FA 88 50 0C 8B 45 FC 83 C0 10 8B 55 10 E8 ?? ?? ?? ?? 8A 45 0C 8B 55 FC 88 42 0E 8B 45 FC 8A 55 08 88 50 0D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_44742_0 {
	meta:
		name = "TIWUnitCreator.GetAncestorName"
		size = 356
		refs = "001b TIWUnitCreator.GetAncestorName 003c @UStrAsg 0093 @UStrCat3"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 0F B6 40 0E 83 F8 04 77 64 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 0C 00 75 12 8B 4D F8 8B 09 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 57 00 41 00 70 00 70 00 46 00 6F 00 72 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 57 00 41 00 70 00 70 00 46 00 6F 00 72 00 6D 00 33 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 57 00 41 00 70 00 70 00 46 00 6F 00 72 00 6D 00 57 00 41 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 57 00 50 00 61 00 67 00 65 00 46 00 6F 00 72 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 57 00 50 00 61 00 67 00 65 00 46 00 6F 00 72 00 6D 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_44743_0 {
	meta:
		name = "TIWUnitCreator.GetCreatorType"
		size = 56
		refs = "0010 TIWUnitCreator.GetCreatorType 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 6F 00 72 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_44793_0 {
	meta:
		name = "TIWDataModuleCreator.GetCreatorType"
		size = 56
		refs = "0010 TIWDataModuleCreator.GetCreatorType 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 6F 00 72 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_44884_0 {
	meta:
		name = "TIWFrameCreator.GetCreatorType"
		size = 56
		refs = "0010 TIWFrameCreator.GetCreatorType 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 6F 00 72 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_44769_0 {
	meta:
		name = "TIWServerControllerCreator.GetCreatorType"
		size = 56
		refs = "0010 TIWServerControllerCreator.GetCreatorType 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 6F 00 72 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_44833_0 {
	meta:
		name = "TIWUserSessionCreator.GetCreatorType"
		size = 56
		refs = "0010 TIWUserSessionCreator.GetCreatorType 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 6F 00 72 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_44746_0 {
	meta:
		name = "TIWFrameCreator.GetFormName"
		size = 30
		refs = "0011 ProjectOptions 0016 @UStrAsg"
		altNames = "TIWUnitCreator.GetFormName"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44747_0 {
	meta:
		name = "TIWUnitCreator.GetImplFileName"
		size = 176
		refs = "0015 TIWUnitCreator.GetImplFileName 002d ProjectOptions 0032 @UStrAsg 0051 iif 0062 TIWNotifierObject.MakeFileName 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 0D 00 75 10 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2E 8B 45 F8 50 8D 45 F4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8A 40 0C E8 ?? ?? ?? ?? 8B 4D F4 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 70 00 61 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 63 00 70 00 70 00 00 00 }
	condition:
		$1
}

rule function_44749_0 {
	meta:
		name = "TIWUnitCreator.GetMainForm"
		size = 25
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8A 40 0D 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_44750_0 {
	meta:
		name = "TIWDataModuleCreator.GetOwner"
		size = 30
		refs = "0016 @IntfCopy"
		altNames = "TIWFrameCreator.GetOwner TIWServerControllerCreator.GetOwner TIWUnitCreator.GetOwner TIWUserSessionCreator.GetOwner"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 52 10 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44754_0 {
	meta:
		name = "TIWUnitCreator.NewFormFile"
		size = 60
		refs = "001c _DV_TIWUnitFormFile 0021 TIWUnitFormFile.Create 0032 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8A 40 0E 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B 45 08 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_44755_0 {
	meta:
		name = "TIWUnitCreator.NewImplSource"
		size = 74
		refs = "002a _DV_TIWUnitFile 002f TIWUnitFile.Create 0040 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 50 8B 45 FC 8A 40 0E 50 8B 45 FC 8A 40 0D 50 8B 45 FC 8A 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B 45 08 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44756_0 {
	meta:
		name = "TIWUnitCreator.NewIntfSource"
		size = 82
		refs = "0028 _DV_TIWUnitHeader 002d TIWUnitHeader.Create 003e @IntfCopy 0048 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 80 78 0C 00 74 2C 8B 45 FC 8A 40 0D 50 8B 45 FC 8A 48 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B 45 08 E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44757_0 {
	meta:
		name = "TIWUnitHeader.Create"
		size = 78
		refs = "000e @ClassCreate 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FA 88 55 FB 89 45 FC 8A 45 FA 8B 55 FC 88 42 0C 8B 45 FC 8A 55 08 88 50 0D 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_44759_0 {
	meta:
		name = "TIWUnitHeader.GetSource"
		size = 1592
		refs = "0019 TIWUnitHeader.GetSource 0027 @UStrClr 002c HInstance 0031 FindResourceHInstance 0044 FindResource 0054 LoadResource 005a LockResource 0064 @UStrFromPChar 0071 SizeofResource 007b @UStrSetLength 00af ProjectOptions 0108 @UStrCat3 014b Format 042e @UStrArrayClr 0444 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 12 00 00 00 6A 00 6A 00 49 75 F9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 0C 83 F8 04 0F 87 86 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 50 A1 ?? ?? ?? ?? 89 45 98 C6 45 9C 11 A1 ?? ?? ?? ?? 89 45 A0 C6 45 A4 11 8B 45 E8 89 45 A8 C6 45 AC 11 8B 45 E8 89 45 B0 C6 45 B4 11 8B 45 E8 89 45 B8 C6 45 BC 11 B8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 33 C0 89 45 C8 C6 45 CC 11 8D 45 94 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 94 89 45 D0 C6 45 D4 11 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8D 45 90 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 90 89 45 E0 C6 45 E4 11 8D 55 98 B9 09 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 C1 02 00 00 8B 45 F8 50 A1 ?? ?? ?? ?? 89 45 98 C6 45 9C 11 A1 ?? ?? ?? ?? 89 45 A0 C6 45 A4 11 8B 45 E8 89 45 A8 C6 45 AC 11 8B 45 E8 89 45 B0 C6 45 B4 11 8B 45 E8 89 45 B8 C6 45 BC 11 B8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 33 C0 89 45 C8 C6 45 CC 11 8D 45 8C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 8C 89 45 D0 C6 45 D4 11 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8D 45 88 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 88 89 45 E0 C6 45 E4 11 8D 55 98 B9 09 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 17 02 00 00 8B 45 F8 50 A1 ?? ?? ?? ?? 89 45 98 C6 45 9C 11 A1 ?? ?? ?? ?? 89 45 A0 C6 45 A4 11 8B 45 E8 89 45 A8 C6 45 AC 11 8B 45 E8 89 45 B0 C6 45 B4 11 8B 45 E8 89 45 B8 C6 45 BC 11 B8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 33 C0 89 45 C8 C6 45 CC 11 8D 45 84 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 84 89 45 D0 C6 45 D4 11 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8D 45 80 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 80 89 45 E0 C6 45 E4 11 8D 55 98 B9 09 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 6D 01 00 00 8B 45 F8 50 A1 ?? ?? ?? ?? 89 45 98 C6 45 9C 11 A1 ?? ?? ?? ?? 89 45 A0 C6 45 A4 11 8B 45 E8 89 45 A8 C6 45 AC 11 8B 45 E8 89 45 B0 C6 45 B4 11 8B 45 E8 89 45 B8 C6 45 BC 11 B8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 8D 85 7C FF FF FF 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 89 45 D0 C6 45 D4 11 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8D 85 78 FF FF FF 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 E0 C6 45 E4 11 8D 55 98 B9 09 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 B4 00 00 00 8B 45 F8 50 A1 ?? ?? ?? ?? 89 45 98 C6 45 9C 11 A1 ?? ?? ?? ?? 89 45 A0 C6 45 A4 11 8B 45 E8 89 45 A8 C6 45 AC 11 8B 45 E8 89 45 B0 C6 45 B4 11 8B 45 E8 89 45 B8 C6 45 BC 11 B8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 8D 85 74 FF FF FF 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 89 45 D0 C6 45 D4 11 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8D 85 70 FF FF FF 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 89 45 E0 C6 45 E4 11 8D 55 98 B9 09 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 70 FF FF FF BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B E5 5D C3 00 00 49 00 57 00 5F 00 42 00 43 00 42 00 5F 00 55 00 4E 00 49 00 54 00 5F 00 48 00 5F 00 46 00 49 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 57 00 41 00 70 00 70 00 46 00 6F 00 72 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 49 00 57 00 41 00 70 00 70 00 46 00 6F 00 72 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 57 00 41 00 70 00 70 00 46 00 6F 00 72 00 6D 00 33 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 54 00 49 00 57 00 41 00 70 00 70 00 46 00 6F 00 72 00 6D 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 57 00 41 00 70 00 70 00 46 00 6F 00 72 00 6D 00 57 00 41 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 49 00 57 00 41 00 70 00 70 00 46 00 6F 00 72 00 6D 00 57 00 41 00 50 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 57 00 50 00 61 00 67 00 65 00 46 00 6F 00 72 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 23 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 20 00 3C 00 49 00 57 00 49 00 6E 00 69 00 74 00 2E 00 68 00 70 00 70 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 49 00 57 00 50 00 61 00 67 00 65 00 46 00 6F 00 72 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 57 00 50 00 61 00 67 00 65 00 46 00 6F 00 72 00 6D 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 49 00 57 00 50 00 61 00 67 00 65 00 46 00 6F 00 72 00 6D 00 33 00 32 00 00 00 }
	condition:
		$1
}

rule function_44760_0 {
	meta:
		name = "TIWUnitFile.Create"
		size = 87
		refs = "000e @ClassCreate 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FA 88 55 FB 89 45 FC 8A 45 0C 8B 55 FC 88 42 0D 8B 45 FC 8A 55 08 88 50 0E 8B 45 FC 8A 55 FA 88 50 0C 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_44762_0 {
	meta:
		name = "TIWUnitFile.GetSource"
		size = 3028
		refs = "001a TIWUnitFile.GetSource 002d @UStrLAsg 003f HInstance 0044 FindResourceHInstance 0083 ProjectOptions 00ae @UStrCatN 00dc @UStrClr 00f5 FindResource 011a LoadResource 0120 LockResource 012a @UStrFromPChar 0137 SizeofResource 0141 @UStrSetLength 01a2 @UStrCat3 01ef Format 0790 @UStrArrayClr 07b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 16 00 00 00 6A 00 6A 00 49 75 F9 51 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 80 78 0D 00 74 16 8B 45 FC 80 78 0D 01 74 0D 8B 45 FC 80 78 0D 02 0F 85 19 04 00 00 8B 45 FC 80 78 0E 00 74 65 8B 45 FC 80 78 0C 00 74 38 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E8 BA 08 00 00 00 E8 ?? ?? ?? ?? EB 2C 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 08 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 80 78 0C 00 74 15 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC EB 13 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8A 40 0D 2C 01 72 13 0F 84 0C 01 00 00 FE C8 0F 84 15 02 00 00 E9 15 06 00 00 8B 45 FC 80 78 0C 00 0F 84 89 00 00 00 8B 45 F8 50 8B 45 E0 89 45 A4 C6 45 A8 11 A1 ?? ?? ?? ?? 89 45 AC C6 45 B0 11 8B 45 E4 89 45 B4 C6 45 B8 11 8D 45 A0 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 89 45 BC C6 45 C0 11 8D 45 9C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 89 45 C4 C6 45 C8 11 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8B 45 E8 89 45 D4 C6 45 D8 11 8D 55 A4 B9 06 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 7F 05 00 00 8B 45 F8 50 A1 ?? ?? ?? ?? 89 85 6C FF FF FF C6 85 70 FF FF FF 11 33 C0 89 85 74 FF FF FF C6 85 78 FF FF FF 11 A1 ?? ?? ?? ?? 89 85 7C FF FF FF C6 45 80 11 33 C0 89 45 84 C6 45 88 11 8B 45 E4 89 45 8C C6 45 90 11 8B 45 E8 89 45 94 C6 45 98 11 8D 95 6C FF FF FF B9 05 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 16 05 00 00 8B 45 FC 80 78 0C 00 0F 84 95 00 00 00 8B 45 F8 50 8B 45 E0 89 45 A4 C6 45 A8 11 A1 ?? ?? ?? ?? 89 45 AC C6 45 B0 11 8B 45 E4 89 45 B4 C6 45 B8 11 8D 85 68 FF FF FF 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 89 45 BC C6 45 C0 11 8D 85 64 FF FF FF 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 89 45 C4 C6 45 C8 11 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8B 45 E8 89 45 D4 C6 45 D8 11 8D 55 A4 B9 06 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 74 04 00 00 8B 45 F8 50 A1 ?? ?? ?? ?? 89 85 6C FF FF FF C6 85 70 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 74 FF FF FF C6 85 78 FF FF FF 11 A1 ?? ?? ?? ?? 89 85 7C FF FF FF C6 45 80 11 B8 ?? ?? ?? ?? 89 45 84 C6 45 88 11 8B 45 E4 89 45 8C C6 45 90 11 8B 45 E8 89 45 94 C6 45 98 11 8D 95 6C FF FF FF B9 05 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 05 04 00 00 8B 45 FC 80 78 0C 00 0F 84 95 00 00 00 8B 45 F8 50 8B 45 E0 89 45 A4 C6 45 A8 11 A1 ?? ?? ?? ?? 89 45 AC C6 45 B0 11 8B 45 E4 89 45 B4 C6 45 B8 11 8D 85 60 FF FF FF 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 89 45 BC C6 45 C0 11 8D 85 5C FF FF FF 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 89 45 C4 C6 45 C8 11 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8B 45 E8 89 45 D4 C6 45 D8 11 8D 55 A4 B9 06 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 63 03 00 00 8B 45 F8 50 A1 ?? ?? ?? ?? 89 85 6C FF FF FF C6 85 70 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 74 FF FF FF C6 85 78 FF FF FF 11 A1 ?? ?? ?? ?? 89 85 7C FF FF FF C6 45 80 11 B8 ?? ?? ?? ?? 89 45 84 C6 45 88 11 8B 45 E4 89 45 8C C6 45 90 11 8B 45 E8 89 45 94 C6 45 98 11 8D 95 6C FF FF FF B9 05 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 F4 02 00 00 8B 45 FC 80 78 0C 00 74 15 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC EB 13 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 80 78 0C 00 74 43 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 DC BA 0A 00 00 00 E8 ?? ?? ?? ?? EB 22 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 78 0D 03 0F 85 0B 01 00 00 8B 45 FC 80 78 0C 00 0F 84 95 00 00 00 8B 45 F8 50 8B 45 E0 89 45 A4 C6 45 A8 11 A1 ?? ?? ?? ?? 89 45 AC C6 45 B0 11 8B 45 E4 89 45 B4 C6 45 B8 11 8D 85 58 FF FF FF 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 89 45 BC C6 45 C0 11 8D 85 54 FF FF FF 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 89 45 C4 C6 45 C8 11 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8B 45 DC 89 45 D4 C6 45 D8 11 8D 55 A4 B9 06 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 72 01 00 00 8B 45 F8 50 A1 ?? ?? ?? ?? 89 85 6C FF FF FF C6 85 70 FF FF FF 11 33 C0 89 85 74 FF FF FF C6 85 78 FF FF FF 11 A1 ?? ?? ?? ?? 89 85 7C FF FF FF C6 45 80 11 33 C0 89 45 84 C6 45 88 11 8B 45 E4 89 45 8C C6 45 90 11 8B 45 DC 89 45 94 C6 45 98 11 8D 95 6C FF FF FF B9 05 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 09 01 00 00 8B 45 FC 80 78 0C 00 0F 84 92 00 00 00 8B 45 F8 50 8B 45 E0 89 45 A4 C6 45 A8 11 A1 ?? ?? ?? ?? 89 45 AC C6 45 B0 11 8B 45 E4 89 45 B4 C6 45 B8 11 8D 85 50 FF FF FF 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 89 45 BC C6 45 C0 11 8D 85 4C FF FF FF 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 89 45 C4 C6 45 C8 11 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8B 45 DC 89 45 D4 C6 45 D8 11 8D 55 A4 B9 06 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? EB 6A 8B 45 F8 50 A1 ?? ?? ?? ?? 89 85 6C FF FF FF C6 85 70 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 74 FF FF FF C6 85 78 FF FF FF 11 A1 ?? ?? ?? ?? 89 85 7C FF FF FF C6 45 80 11 B8 ?? ?? ?? ?? 89 45 84 C6 45 88 11 8B 45 E4 89 45 8C C6 45 90 11 8B 45 DC 89 45 94 C6 45 98 11 8D 95 6C FF FF FF B9 05 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 4C FF FF FF BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 9C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2A 00 2E 00 64 00 66 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 76 00 63 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 76 00 6F 00 69 00 64 00 20 00 73 00 65 00 74 00 41 00 73 00 4D 00 61 00 69 00 6E 00 46 00 6F 00 72 00 6D 00 28 00 29 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 54 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 3A 00 3A 00 53 00 65 00 74 00 41 00 73 00 4D 00 61 00 69 00 6E 00 46 00 6F 00 72 00 6D 00 28 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 23 00 70 00 72 00 61 00 67 00 6D 00 61 00 20 00 73 00 74 00 61 00 72 00 74 00 75 00 70 00 20 00 73 00 65 00 74 00 41 00 73 00 4D 00 61 00 69 00 6E 00 46 00 6F 00 72 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 0D 00 0A 00 69 00 6E 00 69 00 74 00 69 00 61 00 6C 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 0D 00 0A 00 20 00 20 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 2E 00 53 00 65 00 74 00 41 00 73 00 4D 00 61 00 69 00 6E 00 46 00 6F 00 72 00 6D 00 3B 00 00 00 49 00 57 00 5F 00 42 00 43 00 42 00 5F 00 55 00 4E 00 49 00 54 00 5F 00 46 00 49 00 4C 00 45 00 00 00 00 00 49 00 57 00 5F 00 55 00 4E 00 49 00 54 00 5F 00 46 00 49 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 49 00 57 00 41 00 70 00 70 00 46 00 6F 00 72 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 54 00 49 00 57 00 41 00 70 00 70 00 46 00 6F 00 72 00 6D 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 49 00 57 00 41 00 70 00 70 00 46 00 6F 00 72 00 6D 00 57 00 41 00 50 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 57 00 41 00 50 00 00 00 49 00 57 00 5F 00 50 00 41 00 47 00 45 00 5F 00 46 00 49 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 76 00 6F 00 69 00 64 00 20 00 52 00 65 00 67 00 69 00 73 00 74 00 65 00 72 00 50 00 61 00 67 00 65 00 28 00 29 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 3A 00 3A 00 52 00 65 00 67 00 69 00 73 00 74 00 65 00 72 00 50 00 61 00 67 00 65 00 28 00 5F 00 5F 00 63 00 6C 00 61 00 73 00 73 00 69 00 64 00 28 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 29 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 23 00 70 00 72 00 61 00 67 00 6D 00 61 00 20 00 73 00 74 00 61 00 72 00 74 00 75 00 70 00 20 00 52 00 65 00 67 00 69 00 73 00 74 00 65 00 72 00 50 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 69 00 6E 00 69 00 74 00 69 00 61 00 6C 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 0D 00 0A 00 20 00 20 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 2E 00 52 00 65 00 67 00 69 00 73 00 74 00 65 00 72 00 50 00 61 00 67 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 49 00 57 00 50 00 61 00 67 00 65 00 46 00 6F 00 72 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 49 00 57 00 50 00 61 00 67 00 65 00 46 00 6F 00 72 00 6D 00 33 00 32 00 00 00 }
	condition:
		$1
}

rule function_44763_0 {
	meta:
		name = "TIWFrameFormFile.Create"
		size = 69
		refs = "000e @ClassCreate 002e @AfterConstruction"
		altNames = "TIWUnitFormFile.Create"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8A 45 08 8B 55 FC 88 42 0C 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_44765_0 {
	meta:
		name = "TIWUnitFormFile.GetSource"
		size = 296
		refs = "0015 TIWUnitFormFile.GetSource 0020 HInstance 0025 FindResourceHInstance 0053 FindResource 0078 LoadResource 007e LockResource 0088 @UStrFromPChar 0095 SizeofResource 009f @UStrSetLength 00a8 ProjectOptions 00cb Format 00e0 @UStrClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 80 78 0C 00 74 12 8B 45 FC 80 78 0C 01 74 09 8B 45 FC 80 78 0C 02 75 15 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC EB 13 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 50 A1 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 A1 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 49 00 57 00 5F 00 46 00 4F 00 52 00 4D 00 5F 00 46 00 49 00 4C 00 45 00 00 00 00 00 49 00 57 00 5F 00 50 00 41 00 47 00 45 00 5F 00 46 00 4F 00 52 00 4D 00 00 00 00 00 }
	condition:
		$1
}

rule function_44766_0 {
	meta:
		name = "TIWServerControllerCreator.Create"
		size = 144
		refs = "000e @ClassCreate 001f @IntfAddRef 0027 TIWServerControllerCreator.Create 0037 TObject.Create 0045 @IntfCopy 0063 @IntfClear 0069 @HandleFinally 0079 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FA 88 55 FB 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 8B 55 08 E8 ?? ?? ?? ?? 8B 45 FC 8A 55 FA 88 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_44790_0 {
	meta:
		name = "TIWDataModuleCreator.Create"
		size = 144
		refs = "000e @ClassCreate 001f @IntfAddRef 0027 TIWDataModuleCreator.Create 0037 TObject.Create 0045 @IntfCopy 0063 @IntfClear 0069 @HandleFinally 0079 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FA 88 55 FB 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 8B 55 08 E8 ?? ?? ?? ?? 8B 45 FC 8A 55 FA 88 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_44849_0 {
	meta:
		name = "TIWUserSessionCreator.Create"
		size = 144
		refs = "000e @ClassCreate 001f @IntfAddRef 0027 TIWUserSessionCreator.Create 0037 TObject.Create 0045 @IntfCopy 0063 @IntfClear 0069 @HandleFinally 0079 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FA 88 55 FB 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 8B 55 08 E8 ?? ?? ?? ?? 8B 45 FC 8A 55 FA 88 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_44768_0 {
	meta:
		name = "TIWServerControllerCreator.GetAncestorName"
		size = 92
		refs = "0010 TIWServerControllerCreator.GetAncestorName 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 54 00 49 00 57 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 6C 00 65 00 72 00 42 00 61 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_44772_0 {
	meta:
		name = "TIWServerControllerCreator.GetFormName"
		size = 80
		refs = "0010 TIWServerControllerCreator.GetFormName 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 6C 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_44773_0 {
	meta:
		name = "TIWServerControllerCreator.GetImplFileName"
		size = 200
		refs = "0015 TIWServerControllerCreator.GetImplFileName 0038 iif 0048 TIWNotifierObject.MakeFileName 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8D 45 F4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8A 40 0C E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 70 00 61 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 63 00 70 00 70 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 6C 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_44774_0 {
	meta:
		name = "TIWServerControllerCreator.GetIntfFileName"
		size = 124
		refs = "001a TIWServerControllerCreator.GetIntfFileName 0027 TIWNotifierObject.MakeFileName 0031 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 78 0C 00 74 18 8B 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 68 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 6C 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_44780_0 {
	meta:
		name = "TIWServerControllerCreator.NewFormFile"
		size = 50
		refs = "0012 _DV_TIWServerControllerFormFile 0017 TObject.Create 0028 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_44804_0 {
	meta:
		name = "TIWDataModuleCreator.NewFormFile"
		size = 50
		refs = "0012 _DV_TIWDataModuleFormFile 0017 TObject.Create 0028 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_44845_0 {
	meta:
		name = "TIWUserSessionCreator.NewFormFile"
		size = 50
		refs = "0012 _DV_TIWUserSessionFormFile 0017 TObject.Create 0028 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_44781_0 {
	meta:
		name = "TIWServerControllerCreator.NewImplSource"
		size = 56
		refs = "0018 _DV_TIWServerControllerFile 001d TIWServerControllerFile.Create 002e @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8A 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B 45 08 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44805_0 {
	meta:
		name = "TIWDataModuleCreator.NewImplSource"
		size = 56
		refs = "0018 _DV_TIWDataModuleFile 001d TIWDataModuleFile.Create 002e @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8A 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B 45 08 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44846_0 {
	meta:
		name = "TIWUserSessionCreator.NewImplSource"
		size = 56
		refs = "0018 _DV_TIWUserSessionFile 001d TIWUserSessionFile.Create 002e @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8A 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B 45 08 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44782_0 {
	meta:
		name = "TIWServerControllerCreator.NewIntfSource"
		size = 69
		refs = "001b _DV_TIWServerControllerHeader 0020 TObject.Create 0031 @IntfCopy 003b @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 80 78 0C 00 74 1F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44847_0 {
	meta:
		name = "TIWUserSessionCreator.NewIntfSource"
		size = 69
		refs = "001b _DV_TIWUserSessionHeader 0020 TObject.Create 0031 @IntfCopy 003b @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 80 78 0C 00 74 1F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44784_0 {
	meta:
		name = "TIWServerControllerFormFile.GetSource"
		size = 1156
		refs = "0021 TIWServerControllerFormFile.GetSource 002c HInstance 0031 FindResourceHInstance 0044 FindResource 0054 LoadResource 005a LockResource 0064 @UStrFromPChar 0071 SizeofResource 007b @UStrSetLength 008b ProjectOptions 0090 iif 011e Format 0138 @UStrArrayClr 0140 @UStrClr 0146 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 33 C9 89 4D F4 89 4D E8 89 4D E4 89 4D E0 89 4D DC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 E8 50 33 C9 BA ?? ?? ?? ?? A0 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 50 33 C9 BA ?? ?? ?? ?? A0 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 50 80 3D ?? ?? ?? ?? 00 75 0D 80 3D ?? ?? ?? ?? 00 75 04 33 C0 EB 02 B0 01 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 50 33 C9 BA ?? ?? ?? ?? A0 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 E8 89 45 BC C6 45 C0 11 8B 45 E4 89 45 C4 C6 45 C8 11 8B 45 E0 89 45 CC C6 45 D0 11 8B 45 DC 89 45 D4 C6 45 D8 11 8D 55 BC B9 03 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 49 00 57 00 5F 00 53 00 45 00 52 00 56 00 45 00 52 00 43 00 4F 00 4E 00 54 00 52 00 4F 00 4C 00 4C 00 45 00 52 00 5F 00 46 00 4F 00 52 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 32 00 00 00 20 00 4F 00 6E 00 4E 00 65 00 77 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 3D 00 20 00 49 00 57 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 6C 00 65 00 72 00 42 00 61 00 73 00 65 00 4E 00 65 00 77 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 20 00 4F 00 6E 00 44 00 65 00 73 00 74 00 72 00 6F 00 79 00 20 00 3D 00 20 00 49 00 57 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 6C 00 65 00 72 00 42 00 61 00 73 00 65 00 44 00 65 00 73 00 74 00 72 00 6F 00 79 00 20 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 2A 00 00 00 20 00 4F 00 6E 00 43 00 72 00 65 00 61 00 74 00 65 00 20 00 3D 00 20 00 49 00 57 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 6C 00 65 00 72 00 42 00 61 00 73 00 65 00 43 00 72 00 65 00 61 00 74 00 65 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF D9 00 00 00 20 00 20 00 6F 00 62 00 6A 00 65 00 63 00 74 00 20 00 50 00 6F 00 6F 00 6C 00 3A 00 20 00 54 00 49 00 57 00 44 00 61 00 74 00 61 00 4D 00 6F 00 64 00 75 00 6C 00 65 00 50 00 6F 00 6F 00 6C 00 0D 00 0A 00 20 00 20 00 20 00 4F 00 6E 00 43 00 72 00 65 00 61 00 74 00 65 00 44 00 61 00 74 00 61 00 4D 00 6F 00 64 00 75 00 6C 00 65 00 20 00 3D 00 20 00 50 00 6F 00 6F 00 6C 00 43 00 72 00 65 00 61 00 74 00 65 00 44 00 61 00 74 00 61 00 4D 00 6F 00 64 00 75 00 6C 00 65 00 0D 00 0A 00 20 00 20 00 20 00 4F 00 6E 00 46 00 72 00 65 00 65 00 44 00 61 00 74 00 61 00 4D 00 6F 00 64 00 75 00 6C 00 65 00 20 00 3D 00 20 00 50 00 6F 00 6F 00 6C 00 46 00 72 00 65 00 65 00 44 00 61 00 74 00 61 00 4D 00 6F 00 64 00 75 00 6C 00 65 00 0D 00 0A 00 20 00 20 00 20 00 50 00 6F 00 6F 00 6C 00 43 00 6F 00 75 00 6E 00 74 00 20 00 3D 00 20 00 32 00 30 00 0D 00 0A 00 20 00 20 00 20 00 41 00 63 00 74 00 69 00 76 00 65 00 20 00 3D 00 20 00 46 00 61 00 6C 00 73 00 65 00 0D 00 0A 00 20 00 20 00 20 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 3D 00 20 00 27 00 30 00 2E 00 31 00 2E 00 31 00 62 00 27 00 0D 00 0A 00 20 00 20 00 20 00 4C 00 65 00 66 00 74 00 20 00 3D 00 20 00 36 00 30 00 0D 00 0A 00 20 00 20 00 20 00 54 00 6F 00 70 00 20 00 3D 00 20 00 31 00 32 00 0D 00 0A 00 20 00 20 00 65 00 6E 00 64 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_44787_0 {
	meta:
		name = "TIWServerControllerFile.GetSource"
		size = 7200
		refs = "0021 TIWServerControllerFile.GetSource 0034 @UStrLAsg 0046 HInstance 004b FindResourceHInstance 005d ProjectOptions 0070 FindResource 0107 LoadResource 010d LockResource 0117 @UStrFromPChar 0124 SizeofResource 012e @UStrSetLength 0157 @UStrClr 0192 Format 04e0 @UStrArrayClr 04ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 68 FF FF FF 33 C9 89 4D F4 89 4D E8 89 4D E4 89 4D E0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 80 78 0C 00 74 36 80 3D ?? ?? ?? ?? 00 74 18 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC E9 82 00 00 00 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC EB 6D 80 3D ?? ?? ?? ?? 00 74 33 80 3D ?? ?? ?? ?? 00 74 15 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC EB 46 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC EB 31 80 3D ?? ?? ?? ?? 00 74 15 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC EB 13 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 80 78 0C 00 74 60 80 3D ?? ?? ?? ?? 00 74 0F 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 E4 89 45 C0 C6 45 C4 11 8B 45 E8 89 45 C8 C6 45 CC 11 8B 45 E0 89 45 D0 C6 45 D4 11 33 C0 89 45 D8 C6 45 DC 11 8D 55 C0 B9 03 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 2F 03 00 00 80 3D ?? ?? ?? ?? 00 0F 84 98 01 00 00 80 3D ?? ?? ?? ?? 00 0F 84 BB 00 00 00 80 3D ?? ?? ?? ?? 00 74 5F 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 90 C6 45 94 11 B8 ?? ?? ?? ?? 89 45 98 C6 45 9C 11 B8 ?? ?? ?? ?? 89 45 A0 C6 45 A4 11 8B 45 E8 89 45 A8 C6 45 AC 11 B8 ?? ?? ?? ?? 89 45 B0 C6 45 B4 11 B8 ?? ?? ?? ?? 89 45 B8 C6 45 BC 11 8D 55 90 B9 05 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 AD 02 00 00 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 90 C6 45 94 11 33 C0 89 45 98 C6 45 9C 11 33 C0 89 45 A0 C6 45 A4 11 8B 45 E8 89 45 A8 C6 45 AC 11 33 C0 89 45 B0 C6 45 B4 11 33 C0 89 45 B8 C6 45 BC 11 8D 55 90 B9 05 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 5A 02 00 00 80 3D ?? ?? ?? ?? 00 74 68 8B 45 F8 50 B8 ?? ?? ?? ?? 89 85 68 FF FF FF C6 85 6C FF FF FF 11 B8 ?? ?? ?? ?? 89 85 70 FF FF FF C6 85 74 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8B 45 E8 89 45 80 C6 45 84 11 B8 ?? ?? ?? ?? 89 45 88 C6 45 8C 11 8D 95 68 FF FF FF B9 04 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 E9 01 00 00 8B 45 F8 50 B8 ?? ?? ?? ?? 89 85 68 FF FF FF C6 85 6C FF FF FF 11 33 C0 89 85 70 FF FF FF C6 85 74 FF FF FF 11 33 C0 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8B 45 E8 89 45 80 C6 45 84 11 33 C0 89 45 88 C6 45 8C 11 8D 95 68 FF FF FF B9 04 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 8A 01 00 00 80 3D ?? ?? ?? ?? 00 0F 84 B8 00 00 00 80 3D ?? ?? ?? ?? 00 74 5F 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 90 C6 45 94 11 B8 ?? ?? ?? ?? 89 45 98 C6 45 9C 11 B8 ?? ?? ?? ?? 89 45 A0 C6 45 A4 11 8B 45 E8 89 45 A8 C6 45 AC 11 B8 ?? ?? ?? ?? 89 45 B0 C6 45 B4 11 B8 ?? ?? ?? ?? 89 45 B8 C6 45 BC 11 8D 55 90 B9 05 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 15 01 00 00 8B 45 F8 50 33 C0 89 45 90 C6 45 94 11 33 C0 89 45 98 C6 45 9C 11 33 C0 89 45 A0 C6 45 A4 11 8B 45 E8 89 45 A8 C6 45 AC 11 33 C0 89 45 B0 C6 45 B4 11 33 C0 89 45 B8 C6 45 BC 11 8D 55 90 B9 05 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 C5 00 00 00 80 3D ?? ?? ?? ?? 00 74 65 8B 45 F8 50 B8 ?? ?? ?? ?? 89 85 68 FF FF FF C6 85 6C FF FF FF 11 B8 ?? ?? ?? ?? 89 85 70 FF FF FF C6 85 74 FF FF FF 11 B8 ?? ?? ?? ?? 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8B 45 E8 89 45 80 C6 45 84 11 B8 ?? ?? ?? ?? 89 45 88 C6 45 8C 11 8D 95 68 FF FF FF B9 04 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? EB 57 8B 45 F8 50 33 C0 89 85 68 FF FF FF C6 85 6C FF FF FF 11 33 C0 89 85 70 FF FF FF C6 85 74 FF FF FF 11 33 C0 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8B 45 E8 89 45 80 C6 45 84 11 33 C0 89 45 88 C6 45 8C 11 8D 95 68 FF FF FF B9 04 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 2A 00 2E 00 64 00 66 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 76 00 63 00 6C 00 00 00 49 00 57 00 5F 00 42 00 43 00 42 00 5F 00 53 00 45 00 52 00 56 00 45 00 52 00 43 00 4F 00 4E 00 54 00 52 00 4F 00 4C 00 4C 00 45 00 52 00 5F 00 50 00 4F 00 4F 00 4C 00 5F 00 46 00 49 00 4C 00 45 00 00 00 49 00 57 00 5F 00 42 00 43 00 42 00 5F 00 53 00 45 00 52 00 56 00 45 00 52 00 43 00 4F 00 4E 00 54 00 52 00 4F 00 4C 00 4C 00 45 00 52 00 5F 00 46 00 49 00 4C 00 45 00 00 00 00 00 49 00 57 00 5F 00 53 00 45 00 52 00 56 00 45 00 52 00 43 00 4F 00 4E 00 54 00 52 00 4F 00 4C 00 4C 00 45 00 52 00 5F 00 50 00 4F 00 4F 00 4C 00 5F 00 46 00 49 00 4C 00 45 00 00 00 49 00 57 00 5F 00 53 00 45 00 52 00 56 00 45 00 52 00 43 00 4F 00 4E 00 54 00 52 00 4F 00 4C 00 4C 00 45 00 52 00 5F 00 46 00 49 00 4C 00 45 00 00 00 00 00 49 00 57 00 5F 00 53 00 45 00 52 00 56 00 45 00 52 00 43 00 4F 00 4E 00 54 00 52 00 4F 00 4C 00 4C 00 45 00 52 00 5F 00 50 00 4F 00 4F 00 4C 00 5F 00 46 00 49 00 4C 00 45 00 5F 00 4E 00 4F 00 5F 00 53 00 45 00 53 00 53 00 49 00 4F 00 4E 00 00 00 00 00 49 00 57 00 5F 00 53 00 45 00 52 00 56 00 45 00 52 00 43 00 4F 00 4E 00 54 00 52 00 4F 00 4C 00 4C 00 45 00 52 00 5F 00 46 00 49 00 4C 00 45 00 5F 00 4E 00 4F 00 5F 00 53 00 45 00 53 00 53 00 49 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 07 01 00 00 0D 00 0A 00 76 00 6F 00 69 00 64 00 20 00 5F 00 5F 00 66 00 61 00 73 00 74 00 63 00 61 00 6C 00 6C 00 20 00 54 00 49 00 57 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 6C 00 65 00 72 00 3A 00 3A 00 49 00 57 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 6C 00 65 00 72 00 42 00 61 00 73 00 65 00 4E 00 65 00 77 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 28 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 54 00 49 00 57 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 2A 00 41 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 2C 00 20 00 54 00 49 00 57 00 42 00 61 00 73 00 65 00 46 00 6F 00 72 00 6D 00 20 00 2A 00 26 00 56 00 4D 00 61 00 69 00 6E 00 46 00 6F 00 72 00 6D 00 29 00 0D 00 0A 00 7B 00 0D 00 0A 00 20 00 20 00 41 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 2D 00 3E 00 44 00 61 00 74 00 61 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 54 00 49 00 57 00 55 00 73 00 65 00 72 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 28 00 4E 00 55 00 4C 00 4C 00 29 00 3B 00 0D 00 0A 00 7D 00 0D 00 0A 00 2F 00 2F 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 41 00 72 00 63 00 49 00 57 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 61 00 6E 00 61 00 67 00 65 00 72 00 2C 00 20 00 55 00 73 00 65 00 72 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 55 00 6E 00 69 00 74 00 2C 00 20 00 00 00 B0 04 02 00 FF FF FF FF 3F 00 00 00 20 00 20 00 20 00 20 00 70 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 20 00 49 00 57 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 6C 00 65 00 72 00 42 00 61 00 73 00 65 00 44 00 65 00 73 00 74 00 72 00 6F 00 79 00 28 00 53 00 65 00 6E 00 64 00 65 00 72 00 3A 00 20 00 54 00 4F 00 62 00 6A 00 65 00 63 00 74 00 29 00 3B 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 61 00 6E 00 61 00 67 00 65 00 72 00 3A 00 20 00 54 00 41 00 72 00 63 00 49 00 57 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 61 00 6E 00 61 00 67 00 65 00 72 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 51 03 00 00 0D 00 0A 00 20 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 61 00 6E 00 61 00 67 00 65 00 72 00 20 00 3A 00 3D 00 20 00 54 00 41 00 72 00 63 00 49 00 57 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 61 00 6E 00 61 00 67 00 65 00 72 00 2E 00 43 00 72 00 65 00 61 00 74 00 65 00 28 00 53 00 65 00 6C 00 66 00 29 00 3B 00 0D 00 0A 00 20 00 20 00 77 00 69 00 74 00 68 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 4D 00 61 00 6E 00 61 00 67 00 65 00 72 00 20 00 64 00 6F 00 20 00 62 00 65 00 67 00 69 00 6E 00 0D 00 0A 00 20 00 20 00 20 00 20 00 52 00 65 00 67 00 69 00 73 00 74 00 72 00 61 00 74 00 69 00 6F 00 6E 00 4E 00 61 00 6D 00 65 00 20 00 20 00 3A 00 3D 00 20 00 27 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 20 00 43 00 75 00 73 00 74 00 6F 00 6D 00 65 00 72 00 27 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 52 00 65 00 67 00 69 00 73 00 74 00 72 00 61 00 74 00 69 00 6F 00 6E 00 45 00 6D 00 61 00 69 00 6C 00 20 00 3A 00 3D 00 20 00 27 00 65 00 6C 00 6B 00 40 00 61 00 74 00 6F 00 7A 00 65 00 64 00 2E 00 63 00 6F 00 6D 00 27 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 52 00 65 00 67 00 69 00 73 00 74 00 72 00 61 00 74 00 69 00 6F 00 6E 00 43 00 6F 00 64 00 65 00 20 00 20 00 3A 00 3D 00 20 00 27 00 41 00 32 00 45 00 41 00 32 00 38 00 34 00 35 00 41 00 44 00 32 00 38 00 41 00 30 00 46 00 39 00 27 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 4C 00 69 00 73 00 74 00 65 00 6E 00 69 00 6E 00 67 00 20 00 3A 00 3D 00 20 00 54 00 72 00 75 00 65 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 50 00 6F 00 72 00 74 00 20 00 3A 00 3D 00 20 00 38 00 38 00 38 00 39 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 44 00 65 00 66 00 41 00 64 00 6D 00 69 00 6E 00 55 00 73 00 65 00 72 00 20 00 3A 00 3D 00 20 00 27 00 61 00 64 00 6D 00 69 00 6E 00 69 00 73 00 74 00 72 00 61 00 74 00 6F 00 72 00 27 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 44 00 65 00 66 00 41 00 64 00 6D 00 69 00 6E 00 50 00 61 00 73 00 73 00 20 00 3A 00 3D 00 20 00 27 00 70 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 27 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 4C 00 6F 00 67 00 69 00 6E 00 4C 00 6F 00 63 00 61 00 6C 00 68 00 6F 00 73 00 74 00 20 00 3A 00 3D 00 20 00 46 00 61 00 6C 00 73 00 65 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 44 00 65 00 6E 00 79 00 4E 00 65 00 77 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 73 00 4D 00 73 00 67 00 20 00 3A 00 3D 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 27 00 54 00 68 00 69 00 73 00 20 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 69 00 73 00 20 00 63 00 75 00 72 00 72 00 65 00 6E 00 74 00 6C 00 79 00 20 00 75 00 6E 00 61 00 76 00 61 00 69 00 6C 00 61 00 62 00 6C 00 65 00 2E 00 20 00 20 00 50 00 6C 00 65 00 61 00 73 00 65 00 20 00 74 00 72 00 79 00 20 00 61 00 67 00 61 00 69 00 6E 00 20 00 6C 00 61 00 74 00 65 00 72 00 27 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 44 00 72 00 6F 00 70 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 73 00 4D 00 73 00 67 00 20 00 3A 00 3D 00 20 00 27 00 59 00 6F 00 75 00 72 00 20 00 73 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 68 00 61 00 73 00 20 00 62 00 65 00 65 00 6E 00 20 00 64 00 72 00 6F 00 70 00 70 00 65 00 64 00 20 00 66 00 6F 00 72 00 20 00 61 00 64 00 6D 00 69 00 6E 00 69 00 73 00 74 00 72 00 61 00 74 00 69 00 76 00 65 00 20 00 70 00 75 00 72 00 70 00 6F 00 73 00 65 00 73 00 2E 00 27 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 4C 00 6F 00 67 00 4C 00 69 00 63 00 65 00 6E 00 73 00 65 00 49 00 6E 00 66 00 6F 00 20 00 3A 00 3D 00 20 00 46 00 61 00 6C 00 73 00 65 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 55 00 73 00 65 00 72 00 41 00 64 00 6D 00 69 00 6E 00 69 00 73 00 74 00 72 00 61 00 74 00 69 00 6F 00 6E 00 20 00 3A 00 3D 00 20 00 54 00 72 00 75 00 65 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 48 00 69 00 64 00 65 00 49 00 57 00 55 00 73 00 65 00 72 00 41 00 64 00 6D 00 69 00 6E 00 20 00 3A 00 3D 00 20 00 46 00 61 00 6C 00 73 00 65 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 48 00 69 00 64 00 65 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 49 00 74 00 65 00 6D 00 73 00 20 00 3A 00 3D 00 20 00 46 00 61 00 6C 00 73 00 65 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 4D 00 65 00 6D 00 43 00 61 00 63 00 68 00 65 00 48 00 69 00 74 00 4C 00 6F 00 67 00 20 00 3A 00 3D 00 20 00 31 00 30 00 30 00 30 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 4D 00 65 00 6D 00 43 00 61 00 63 00 68 00 65 00 50 00 72 00 6F 00 4C 00 6F 00 67 00 20 00 3A 00 3D 00 20 00 31 00 30 00 30 00 30 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 48 00 69 00 64 00 65 00 43 00 6F 00 70 00 79 00 72 00 69 00 67 00 68 00 74 00 }
	condition:
		$1
}

rule function_44789_0 {
	meta:
		name = "TIWServerControllerHeader.GetSource"
		size = 892
		refs = "001b TIWServerControllerHeader.GetSource 0026 HInstance 002b FindResourceHInstance 0034 ProjectOptions 0047 FindResource 0075 @UStrLAsg 008c @UStrClr 00b7 @UStrCatN 00c4 LoadResource 00ca LockResource 00d4 @UStrFromPChar 00e1 SizeofResource 00eb @UStrSetLength 0113 Format 012d @UStrArrayClr 013b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 33 C9 89 4D F4 89 4D E8 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 80 3D ?? ?? ?? ?? 00 74 15 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC EB 13 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 80 3D ?? ?? ?? ?? 00 74 1C 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 1A FF 75 E8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 E8 89 45 D4 C6 45 D8 11 8B 45 E4 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 00 00 00 49 00 57 00 5F 00 42 00 43 00 42 00 5F 00 53 00 45 00 52 00 56 00 45 00 52 00 43 00 4F 00 4E 00 54 00 52 00 4F 00 4C 00 4C 00 45 00 52 00 5F 00 50 00 4F 00 4F 00 4C 00 5F 00 48 00 45 00 41 00 44 00 45 00 52 00 00 00 49 00 57 00 5F 00 42 00 43 00 42 00 5F 00 53 00 45 00 52 00 56 00 45 00 52 00 43 00 4F 00 4E 00 54 00 52 00 4F 00 4C 00 4C 00 45 00 52 00 5F 00 48 00 45 00 41 00 44 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 7D 00 00 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 76 00 6F 00 69 00 64 00 20 00 5F 00 5F 00 66 00 61 00 73 00 74 00 63 00 61 00 6C 00 6C 00 20 00 49 00 57 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 6C 00 65 00 72 00 42 00 61 00 73 00 65 00 4E 00 65 00 77 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 28 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 54 00 49 00 57 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 2A 00 41 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 2C 00 20 00 54 00 49 00 57 00 42 00 61 00 73 00 65 00 46 00 6F 00 72 00 6D 00 20 00 2A 00 26 00 56 00 4D 00 61 00 69 00 6E 00 46 00 6F 00 72 00 6D 00 29 00 3B 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 23 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 20 00 22 00 55 00 73 00 65 00 72 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 55 00 6E 00 69 00 74 00 2E 00 68 00 22 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 23 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 20 00 22 00 44 00 61 00 74 00 61 00 6D 00 6F 00 64 00 75 00 6C 00 65 00 55 00 6E 00 69 00 74 00 2E 00 68 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_44797_0 {
	meta:
		name = "TIWDataModuleCreator.GetImplFileName"
		size = 196
		refs = "0015 TIWDataModuleCreator.GetImplFileName 0038 iif 0048 TIWNotifierObject.MakeFileName 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8D 45 F4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8A 40 0C E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 70 00 61 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 63 00 70 00 70 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 61 00 74 00 61 00 6D 00 6F 00 64 00 75 00 6C 00 65 00 55 00 6E 00 69 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_44798_0 {
	meta:
		name = "TIWDataModuleCreator.GetIntfFileName"
		size = 120
		refs = "001a TIWDataModuleCreator.GetIntfFileName 0027 TIWNotifierObject.MakeFileName 0031 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 78 0C 00 74 18 8B 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 68 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 61 00 74 00 61 00 6D 00 6F 00 64 00 75 00 6C 00 65 00 55 00 6E 00 69 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_44806_0 {
	meta:
		name = "TIWDataModuleCreator.NewIntfSource"
		size = 59
		refs = "001b _DV_TIWDataModuleHeader 0020 TObject.Create 0031 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 80 78 0C 00 74 1D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B 45 08 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44826_0 {
	meta:
		name = "TIWDataModuleFile.GetSource"
		size = 512
		refs = "001b TIWDataModuleFile.GetSource 002e @UStrLAsg 0040 HInstance 0045 FindResourceHInstance 0061 FindResource 006c ProjectOptions 00a4 LoadResource 00aa LockResource 00b4 @UStrFromPChar 00c1 SizeofResource 00cb @UStrSetLength 00fc Format 0133 @UStrArrayClr 013b @UStrClr 0141 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 33 C9 89 4D F4 89 4D E8 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 80 78 0C 00 74 15 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC EB 31 80 3D ?? ?? ?? ?? 00 74 15 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC EB 13 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 80 78 0C 00 74 2A 8B 45 F8 50 8B 45 E4 89 45 D4 C6 45 D8 11 8B 45 E8 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? EB 1B 8B 45 F8 50 8B 45 E8 89 45 CC C6 45 D0 11 8D 55 CC 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2A 00 2E 00 64 00 66 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 76 00 63 00 6C 00 00 00 49 00 57 00 5F 00 42 00 43 00 42 00 5F 00 44 00 41 00 54 00 41 00 4D 00 4F 00 44 00 55 00 4C 00 45 00 5F 00 46 00 49 00 4C 00 45 00 00 00 00 00 49 00 57 00 5F 00 44 00 41 00 54 00 41 00 4D 00 4F 00 44 00 55 00 4C 00 45 00 5F 00 50 00 4F 00 4F 00 4C 00 5F 00 46 00 49 00 4C 00 45 00 00 00 49 00 57 00 5F 00 44 00 41 00 54 00 41 00 4D 00 4F 00 44 00 55 00 4C 00 45 00 5F 00 46 00 49 00 4C 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_44828_0 {
	meta:
		name = "TIWDeployFile.GetSource"
		size = 288
		refs = "0018 TIWDeployFile.GetSource 0023 HInstance 0028 FindResourceHInstance 003b FindResource 004b LoadResource 0051 LockResource 005b @UStrFromPChar 0068 SizeofResource 0072 @UStrSetLength 0077 ProjectOptions 008c @UStrLAsg 00b6 Format 00cb @UStrClr 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 33 C9 89 4D F4 89 4D E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 2C 01 72 04 74 11 EB 1C 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 E8 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 00 49 00 57 00 5F 00 44 00 45 00 50 00 4C 00 4F 00 59 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 65 00 78 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 6C 00 6C 00 00 00 }
	condition:
		$1
}

rule function_44830_0 {
	meta:
		name = "TIWDataModuleHeader.GetSource"
		size = 272
		refs = "0018 TIWDataModuleHeader.GetSource 0026 @UStrClr 002b HInstance 0030 FindResourceHInstance 0043 FindResource 0053 LoadResource 0059 LockResource 0063 @UStrFromPChar 0070 SizeofResource 007a @UStrSetLength 00ac Format 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 33 C9 89 4D F4 89 4D E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 E8 89 45 D0 C6 45 D4 11 8B 45 E8 89 45 D8 C6 45 DC 11 8B 45 E8 89 45 E0 C6 45 E4 11 8D 55 D0 B9 02 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 00 00 00 49 00 57 00 5F 00 42 00 43 00 42 00 5F 00 44 00 41 00 54 00 41 00 4D 00 4F 00 44 00 55 00 4C 00 45 00 5F 00 48 00 45 00 41 00 44 00 45 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_44832_0 {
	meta:
		name = "TIWDataModuleFormFile.GetSource"
		size = 200
		refs = "0015 TIWDataModuleFormFile.GetSource 0020 HInstance 0025 FindResourceHInstance 0038 FindResource 0048 LoadResource 004e LockResource 0058 @UStrFromPChar 0065 SizeofResource 006f @UStrSetLength 007a @UStrAsg 008f @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 49 00 57 00 5F 00 44 00 41 00 54 00 41 00 4D 00 4F 00 44 00 55 00 4C 00 45 00 5F 00 46 00 4F 00 52 00 4D 00 00 00 00 00 }
	condition:
		$1
}

rule function_44839_0 {
	meta:
		name = "TIWUserSessionCreator.GetImplFileName"
		size = 196
		refs = "0015 TIWUserSessionCreator.GetImplFileName 0038 iif 0048 TIWNotifierObject.MakeFileName 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8D 45 F4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8A 40 0C E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 70 00 61 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 63 00 70 00 70 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 55 00 73 00 65 00 72 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 55 00 6E 00 69 00 74 00 00 00 }
	condition:
		$1
}

rule function_44840_0 {
	meta:
		name = "TIWUserSessionCreator.GetIntfFileName"
		size = 120
		refs = "001a TIWUserSessionCreator.GetIntfFileName 0027 TIWNotifierObject.MakeFileName 0031 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 78 0C 00 74 18 8B 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 68 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 55 00 73 00 65 00 72 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 55 00 6E 00 69 00 74 00 00 00 }
	condition:
		$1
}

rule function_44851_0 {
	meta:
		name = "TIWUserSessionFile.GetSource"
		size = 432
		refs = "001e TIWUserSessionFile.GetSource 0031 @UStrLAsg 0043 HInstance 0048 FindResourceHInstance 0064 FindResource 0089 LoadResource 008f LockResource 0099 @UStrFromPChar 00a6 SizeofResource 00b0 @UStrSetLength 00e1 Format 00f7 @UStrAsg 0111 @UStrArrayClr 0119 @UStrClr 011f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 33 C9 89 4D E0 89 4D F4 89 4D E8 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 80 78 0C 00 74 15 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC EB 13 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 80 78 0C 00 74 33 8D 45 E0 50 8B 45 E4 89 45 D0 C6 45 D4 11 8B 45 E8 89 45 D8 C6 45 DC 11 8D 55 D0 B9 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2A 00 2E 00 64 00 66 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 76 00 63 00 6C 00 00 00 49 00 57 00 5F 00 42 00 43 00 42 00 5F 00 55 00 53 00 45 00 52 00 53 00 45 00 53 00 53 00 49 00 4F 00 4E 00 5F 00 46 00 49 00 4C 00 45 00 00 00 49 00 57 00 5F 00 55 00 53 00 45 00 52 00 53 00 45 00 53 00 53 00 49 00 4F 00 4E 00 5F 00 46 00 49 00 4C 00 45 00 00 00 }
	condition:
		$1
}

rule function_44853_0 {
	meta:
		name = "TIWUserSessionHeader.GetSource"
		size = 300
		refs = "001b TIWUserSessionHeader.GetSource 002e @UStrLAsg 0040 HInstance 0045 FindResourceHInstance 0058 FindResource 0068 LoadResource 006e LockResource 0078 @UStrFromPChar 0085 SizeofResource 008f @UStrSetLength 009a @UStrAsg 00b4 @UStrArrayClr 00bc @UStrClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 33 C9 89 4D F4 89 4D E8 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 2A 00 2E 00 64 00 66 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 76 00 63 00 6C 00 00 00 49 00 57 00 5F 00 42 00 43 00 42 00 5F 00 55 00 53 00 45 00 52 00 53 00 45 00 53 00 53 00 49 00 4F 00 4E 00 5F 00 48 00 45 00 41 00 44 00 45 00 52 00 00 00 }
	condition:
		$1
}

rule function_44855_0 {
	meta:
		name = "TIWUserSessionFormFile.GetSource"
		size = 288
		refs = "001b TIWUserSessionFormFile.GetSource 002e @UStrLAsg 0040 HInstance 0045 FindResourceHInstance 0058 FindResource 0068 LoadResource 006e LockResource 0078 @UStrFromPChar 0085 SizeofResource 008f @UStrSetLength 009a @UStrAsg 00b4 @UStrArrayClr 00bc @UStrClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 33 C9 89 4D F4 89 4D E8 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 2A 00 2E 00 64 00 66 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 76 00 63 00 6C 00 00 00 49 00 57 00 5F 00 55 00 53 00 45 00 52 00 53 00 45 00 53 00 53 00 49 00 4F 00 4E 00 5F 00 46 00 4F 00 52 00 4D 00 00 00 }
	condition:
		$1
}

rule function_44858_0 {
	meta:
		name = "TIWUnitWizard.Execute"
		size = 336
		refs = "0013 TIWUnitWizard.Execute 0022 BorlandIDEServices 002e @IntfCast 0036 GetIDEProjectPath 003e ProjectOptions 0043 @UStrAsg 006a @UStrLen 007b @UStrCopy 008d @UStrCat3 0095 GetCurrentProject 00b0 _DV_TIWUnitCreator 00b5 TIWUnitCreator.Create 00da _DV_TIWApplicationWizard 00df TIWApplicationWizard.SetupProject 00f4 @IntfClear 0101 @UStrArrayClr 0117 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 18 FF 53 30 8D 45 EC 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA 05 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 44 8B 45 F8 50 6A 00 6A 00 8B 45 FC 8A 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 4D E8 8B 45 F4 8B 18 FF 53 14 8B 45 FC 80 78 0C 00 74 0D 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5B 8B E5 5D C3 00 00 48 E8 A5 55 FB 27 80 48 8E 7C 7F 05 A9 80 24 82 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 57 00 46 00 6F 00 72 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_44860_0 {
	meta:
		name = "TIWUnitWizard.GetComment"
		size = 88
		refs = "0010 TIWUnitWizard.GetComment 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 65 00 77 00 20 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 46 00 6F 00 72 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_44861_0 {
	meta:
		name = "TIWFrameWizard.GetGalleryCategory"
		size = 55
		refs = "001a IntraWebGalleryCategoryBCB 001f @IntfCopy 002a IntraWebGalleryCategory"
		altNames = "TIWUnitWizard.GetGalleryCategory"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 78 0C 00 74 10 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_44865_0 {
	meta:
		name = "TIWUnitWizard.GetIDString"
		size = 168
		refs = "0019 TIWUnitWizard.GetIDString 001e @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 78 0C 00 74 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 41 00 74 00 6F 00 7A 00 65 00 64 00 2E 00 49 00 57 00 55 00 6E 00 69 00 74 00 57 00 69 00 7A 00 61 00 72 00 64 00 5F 00 42 00 43 00 42 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 41 00 74 00 6F 00 7A 00 65 00 64 00 2E 00 49 00 57 00 55 00 6E 00 69 00 74 00 57 00 69 00 7A 00 61 00 72 00 64 00 00 00 }
	condition:
		$1
}

rule function_44866_0 {
	meta:
		name = "TIWUnitWizard.GetName"
		size = 64
		refs = "0010 TIWUnitWizard.GetName 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 65 00 77 00 20 00 46 00 6F 00 72 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_44870_0 {
	meta:
		name = "TIWFrameWizard.Execute"
		size = 332
		refs = "0013 TIWFrameWizard.Execute 0022 BorlandIDEServices 002e @IntfCast 0036 GetIDEProjectPath 003e ProjectOptions 0043 @UStrAsg 006a @UStrLen 007b @UStrCopy 008d @UStrCat3 0095 GetCurrentProject 00ae _DV_TIWFrameCreator 00b3 TIWFrameCreator.Create 00d8 _DV_TIWApplicationWizard 00dd TIWApplicationWizard.SetupProject 00f2 @IntfClear 00ff @UStrArrayClr 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 18 FF 53 30 8D 45 EC 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA 05 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 42 8B 45 F8 50 6A 00 8B 45 FC 8A 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8D 4D E8 8B 45 F4 8B 18 FF 53 14 8B 45 FC 80 78 0C 00 74 0D 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5B 8B E5 5D C3 48 E8 A5 55 FB 27 80 48 8E 7C 7F 05 A9 80 24 82 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 57 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_44872_0 {
	meta:
		name = "TIWFrameWizard.GetComment"
		size = 88
		refs = "0010 TIWFrameWizard.GetComment 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4E 00 65 00 77 00 20 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_44877_0 {
	meta:
		name = "TIWFrameWizard.GetIDString"
		size = 176
		refs = "0019 TIWFrameWizard.GetIDString 001e @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 80 78 0C 00 74 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 41 00 74 00 6F 00 7A 00 65 00 64 00 2E 00 49 00 57 00 46 00 72 00 61 00 6D 00 65 00 57 00 69 00 7A 00 61 00 72 00 64 00 5F 00 42 00 43 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 41 00 74 00 6F 00 7A 00 65 00 64 00 2E 00 49 00 57 00 46 00 72 00 61 00 6D 00 65 00 57 00 69 00 7A 00 61 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_44878_0 {
	meta:
		name = "TIWFrameWizard.GetName"
		size = 64
		refs = "0010 TIWFrameWizard.GetName 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4E 00 65 00 77 00 20 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_44881_0 {
	meta:
		name = "TIWFrameCreator.Create"
		size = 153
		refs = "000e @ClassCreate 001f @IntfAddRef 0027 TIWFrameCreator.Create 0037 TObject.Create 0045 @IntfCopy 006c @IntfClear 0072 @HandleFinally 0082 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FA 88 55 FB 89 45 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 8B 55 0C E8 ?? ?? ?? ?? 8A 45 08 8B 55 FC 88 42 0C 8B 45 FC 8A 55 FA 88 50 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_44883_0 {
	meta:
		name = "TIWFrameCreator.GetAncestorName"
		size = 60
		refs = "0010 TIWFrameCreator.GetAncestorName 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 46 00 72 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_44888_0 {
	meta:
		name = "TIWFrameCreator.GetImplFileName"
		size = 176
		refs = "0015 TIWFrameCreator.GetImplFileName 0021 ProjectOptions 0032 @UStrAsg 0051 iif 0062 TIWNotifierObject.MakeFileName 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 10 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2E 8B 45 F8 50 8D 45 F4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8A 40 14 E8 ?? ?? ?? ?? 8B 4D F4 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 70 00 61 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 63 00 70 00 70 00 00 00 }
	condition:
		$1
}

rule function_44895_0 {
	meta:
		name = "TIWFrameCreator.NewFormFile"
		size = 60
		refs = "001c _DV_TIWFrameFormFile 0021 TIWFrameFormFile.Create 0032 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8A 40 0C 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B 45 08 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_44896_0 {
	meta:
		name = "TIWFrameCreator.NewImplSource"
		size = 67
		refs = "0023 _DV_TIWFrameFile 0028 TIWFrameFile.Create 0039 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 50 8B 45 FC 8A 40 0C 50 8B 45 FC 8A 48 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B 45 08 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44897_0 {
	meta:
		name = "TIWFrameCreator.NewIntfSource"
		size = 75
		refs = "0021 _DV_TIWFrameHeader 0026 TIWFrameHeader.Create 0037 @IntfCopy 0041 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 80 78 14 00 74 25 8B 45 FC 8A 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B 45 08 E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_44898_0 {
	meta:
		name = "TIWFrameHeader.Create"
		size = 67
		refs = "000e @ClassCreate 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FA 88 55 FB 89 45 FC 8A 45 FA 8B 55 FC 88 42 0C 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_44900_0 {
	meta:
		name = "TIWFrameHeader.GetSource"
		size = 808
		refs = "002a TIWFrameHeader.GetSource 0038 @UStrClr 003d HInstance 0042 FindResourceHInstance 0055 FindResource 0065 LoadResource 006b LockResource 0075 @UStrFromPChar 0082 SizeofResource 008c @UStrSetLength 00b2 ProjectOptions 00ff @UStrCat3 013f Format 029b @UStrArrayClr 02b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 88 33 C9 89 4D 8C 89 4D 88 89 4D 94 89 4D 90 89 4D 9C 89 4D 98 89 4D F4 89 4D E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8A 40 0C 2C 01 72 13 0F 84 A8 00 00 00 FE C8 0F 84 41 01 00 00 E9 D8 01 00 00 8B 45 F8 50 A1 ?? ?? ?? ?? 89 45 A0 C6 45 A4 11 A1 ?? ?? ?? ?? 89 45 A8 C6 45 AC 11 8B 45 E8 89 45 B0 C6 45 B4 11 8B 45 E8 89 45 B8 C6 45 BC 11 8B 45 E8 89 45 C0 C6 45 C4 11 33 C0 89 45 C8 C6 45 CC 11 8D 45 9C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 89 45 D0 C6 45 D4 11 33 C0 89 45 D8 C6 45 DC 11 8D 45 98 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 89 45 E0 C6 45 E4 11 8D 55 A0 B9 08 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 3D 01 00 00 8B 45 F8 50 A1 ?? ?? ?? ?? 89 45 A0 C6 45 A4 11 A1 ?? ?? ?? ?? 89 45 A8 C6 45 AC 11 8B 45 E8 89 45 B0 C6 45 B4 11 8B 45 E8 89 45 B8 C6 45 BC 11 8B 45 E8 89 45 C0 C6 45 C4 11 B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 8D 45 94 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 94 89 45 D0 C6 45 D4 11 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8D 45 90 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 90 89 45 E0 C6 45 E4 11 8D 55 A0 B9 08 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 9C 00 00 00 8B 45 F8 50 A1 ?? ?? ?? ?? 89 45 A0 C6 45 A4 11 A1 ?? ?? ?? ?? 89 45 A8 C6 45 AC 11 8B 45 E8 89 45 B0 C6 45 B4 11 8B 45 E8 89 45 B8 C6 45 BC 11 8B 45 E8 89 45 C0 C6 45 C4 11 B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 8D 45 8C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 8C 89 45 D0 C6 45 D4 11 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8D 45 88 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 88 89 45 E0 C6 45 E4 11 8D 55 A0 B9 08 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 88 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B E5 5D C3 00 49 00 57 00 5F 00 42 00 43 00 42 00 5F 00 46 00 52 00 41 00 4D 00 45 00 5F 00 55 00 4E 00 49 00 54 00 5F 00 48 00 5F 00 46 00 49 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 57 00 41 00 50 00 00 00 }
	condition:
		$1
}

rule function_44901_0 {
	meta:
		name = "TIWFrameFile.Create"
		size = 78
		refs = "000e @ClassCreate 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FA 88 55 FB 89 45 FC 8A 45 08 8B 55 FC 88 42 0C 8B 45 FC 8A 55 FA 88 50 0D 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_44903_0 {
	meta:
		name = "TIWFrameFile.GetSource"
		size = 1056
		refs = "002d TIWFrameFile.GetSource 0040 @UStrLAsg 0052 HInstance 0057 FindResourceHInstance 0073 FindResource 0098 LoadResource 009e LockResource 00a8 @UStrFromPChar 00b5 SizeofResource 00bf @UStrSetLength 00f8 ProjectOptions 011c @UStrCat3 0153 Format 0355 @UStrArrayClr 036a @UStrClr 0370 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 33 C9 89 4D A8 89 4D A4 89 4D B0 89 4D AC 89 4D B8 89 4D B4 89 4D F4 89 4D E8 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 80 78 0D 00 74 15 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC EB 13 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8A 40 0C 2C 01 72 13 0F 84 D6 00 00 00 FE C8 0F 84 9D 01 00 00 E9 5F 02 00 00 8B 45 FC 80 78 0D 00 74 73 8B 45 F8 50 8B 45 E4 89 45 BC C6 45 C0 11 A1 ?? ?? ?? ?? 89 45 C4 C6 45 C8 11 8B 45 E8 89 45 CC C6 45 D0 11 8D 45 B8 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 89 45 D4 C6 45 D8 11 8D 45 B4 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 89 45 DC C6 45 E0 11 8D 55 BC B9 04 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 E3 01 00 00 8B 45 F8 50 A1 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 33 C0 89 45 C4 C6 45 C8 11 A1 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 33 C0 89 45 D4 C6 45 D8 11 8B 45 E8 89 45 DC C6 45 E0 11 8D 55 BC B9 04 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 96 01 00 00 8B 45 FC 80 78 0D 00 74 73 8B 45 F8 50 8B 45 E4 89 45 BC C6 45 C0 11 A1 ?? ?? ?? ?? 89 45 C4 C6 45 C8 11 8B 45 E8 89 45 CC C6 45 D0 11 8D 45 B0 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 89 45 D4 C6 45 D8 11 8D 45 AC 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC 89 45 DC C6 45 E0 11 8D 55 BC B9 04 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 1A 01 00 00 8B 45 F8 50 A1 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 B8 ?? ?? ?? ?? 89 45 C4 C6 45 C8 11 A1 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8B 45 E8 89 45 DC C6 45 E0 11 8D 55 BC B9 04 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 C7 00 00 00 8B 45 FC 80 78 0D 00 74 70 8B 45 F8 50 8B 45 E4 89 45 BC C6 45 C0 11 A1 ?? ?? ?? ?? 89 45 C4 C6 45 C8 11 8B 45 E8 89 45 CC C6 45 D0 11 8D 45 A8 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 89 45 D4 C6 45 D8 11 8D 45 A4 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A4 89 45 DC C6 45 E0 11 8D 55 BC B9 04 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? EB 4E 8B 45 F8 50 A1 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 B8 ?? ?? ?? ?? 89 45 C4 C6 45 C8 11 A1 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8B 45 E8 89 45 DC C6 45 E0 11 8D 55 BC B9 04 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2A 00 2E 00 64 00 66 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 76 00 63 00 6C 00 00 00 49 00 57 00 5F 00 42 00 43 00 42 00 5F 00 46 00 52 00 41 00 4D 00 45 00 5F 00 55 00 4E 00 49 00 54 00 00 00 49 00 57 00 5F 00 46 00 52 00 41 00 4D 00 45 00 5F 00 55 00 4E 00 49 00 54 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 57 00 41 00 50 00 00 00 }
	condition:
		$1
}

rule function_44906_0 {
	meta:
		name = "TIWFrameFormFile.GetSource"
		size = 520
		refs = "001e TIWFrameFormFile.GetSource 0029 HInstance 002e FindResourceHInstance 0041 FindResource 0051 LoadResource 0057 LockResource 0061 @UStrFromPChar 006e SizeofResource 0078 @UStrSetLength 0092 @UStrClr 00a1 @UStrLAsg 00b9 ProjectOptions 00f0 iif 012e Format 0148 @UStrArrayClr 015e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 33 C9 89 4D BC 89 4D B8 89 4D F4 89 4D E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 0A 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8A 40 0C 2C 01 72 08 74 10 FE C8 74 1B EB 26 8D 45 E8 E8 ?? ?? ?? ?? EB 1C 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 A1 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 A1 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 8B 45 E8 89 45 D0 C6 45 D4 11 8D 45 BC 50 8B 45 FC 80 78 0C 00 0F 94 C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 89 45 D8 C6 45 DC 11 8D 45 B8 50 8B 45 FC 80 78 0C 00 0F 94 C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 89 45 E0 C6 45 E4 11 8D 55 C0 B9 04 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B E5 5D C3 49 00 57 00 5F 00 46 00 52 00 41 00 4D 00 45 00 5F 00 46 00 49 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 57 00 41 00 50 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 41 00 6C 00 69 00 67 00 6E 00 20 00 3D 00 20 00 61 00 6C 00 43 00 6C 00 69 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6C 00 6F 00 72 00 20 00 3D 00 20 00 63 00 6C 00 4E 00 6F 00 6E 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_44908_0 {
	meta:
		name = "Finalization"
		size = 84
		refs = "0007 Finalization 0013 _DV_92 001a IntraWebGalleryCategory 001f @IntfClear 0024 IntraWebGalleryCategoryBCB 002e ProjectOptions 0034 TProjectOptions 0039 @FinalizeRecord 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 24 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_44910_0 {
	meta:
		name = "EIWException.IfAssigned"
		size = 12
		refs = "0007 EInException.Toss"
	strings:
		$1 = { 85 D2 74 07 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44911_0 {
	meta:
		name = "EIWException.IfFalse"
		size = 12
		refs = "0007 EInException.Toss"
	strings:
		$1 = { 84 D2 75 07 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44912_0 {
	meta:
		name = "EIWException.IfNotAssigned"
		size = 12
		refs = "0007 EInException.Toss"
	strings:
		$1 = { 85 D2 75 07 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44913_0 {
	meta:
		name = "EIWException.IfNotInRange"
		size = 24
		refs = "0010 EInException.Toss"
	strings:
		$1 = { 55 8B EC 3B CA 7F 05 3B 55 0C 7E 08 8B 55 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_44914_0 {
	meta:
		name = "EIWException.IfTrue"
		size = 12
		refs = "0007 EInException.Toss"
	strings:
		$1 = { 84 D2 74 07 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44915_0 {
	meta:
		name = "EUnknownBrowserException.Create"
		size = 57
		refs = "000a @ClassCreate 0017 EInException.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 18 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47247_0 {
	meta:
		name = "TXMLDisplayParent.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TWebDisplay.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 18 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_44918_0 {
	meta:
		name = "TIWCustomRadioGroup.InitControl"
		size = 75
		refs = "0007 TIWCustomControl.InitControl 000e _Dn_TStringList 0013 TStringList.Create 0025 TIWCustomRadioGroup.OnItemsChange 0038 TControl.SetWidth 0044 TControl.SetHeight"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A0 02 00 00 89 5E 44 C7 46 40 ?? ?? ?? ?? C6 83 D0 01 00 00 01 BA 59 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 70 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44920_0 {
	meta:
		name = "TIWCustomRadioGroup.Submit"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 98 02 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44921_0 {
	meta:
		name = "TIWCustomRadioGroup.HookEvents"
		size = 172
		refs = "0011 TIWCustomRadioGroup.HookEvents 0020 TIWCustomControl.HookEvents 0027 TIWBaseHTMLControl.get_Editable 0040 TIWCustomControl.SubmitHandler 004b TIWVCLBaseControl.HasOnClick 0053 iif 0062 TIWScriptEvents.HookEvent 007c @UStrArrayClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 37 8D 45 FC 50 6A 00 8D 45 F8 50 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 6E 00 43 00 6C 00 69 00 63 00 6B 00 00 00 }
	condition:
		$1
}

rule function_44923_0 {
	meta:
		name = "TIWCustomRadioGroup.RenderAsync"
		size = 788
		refs = "001c TIWCustomRadioGroup.RenderAsync 0030 _Dn_TIWXMLTag 0035 TIWXMLTag.CreateTag 0063 TIWMarkupLanguageTag.AddStringParam 0092 iif 00b4 TIWMarkupLanguageTagCollection.AddTag 00eb IntToStr 0139 TIWBaseHTMLControl.TextToHTML 0146 TIWMarkupLanguageTagCollection.AddText 0161 TIWCustomControl.RenderAsyncCommonProperties 0170 @HandleAnyException 017d TObject.Free 0182 @DoneExcept 019c @UStrArrayClr 01af @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 E4 8B C3 8B 08 FF 91 14 01 00 00 8B 4D E4 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 50 80 BB A4 02 00 00 00 0F 94 C0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 83 A0 02 00 00 8B 10 FF 52 14 48 85 C0 0F 8C 81 00 00 00 40 89 45 E8 33 F6 8D 4D FC 8B 83 A0 02 00 00 8B D6 8B 38 FF 57 0C 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 3B B3 9C 02 00 00 75 11 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 6A 00 8D 45 DC 50 8B 03 B1 01 8B 55 FC E8 ?? ?? ?? ?? 8B 55 DC 8B 47 0C 33 C9 E8 ?? ?? ?? ?? 46 FF 4D E8 75 85 0F B7 05 ?? ?? ?? ?? 50 8B 4D F0 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 F0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 57 00 52 00 41 00 44 00 49 00 4F 00 47 00 52 00 4F 00 55 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 68 00 6F 00 72 00 69 00 7A 00 6F 00 6E 00 74 00 61 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 76 00 65 00 72 00 74 00 69 00 63 00 61 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6C 00 61 00 79 00 6F 00 75 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 74 00 65 00 6D 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 69 00 74 00 65 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 61 00 6C 00 75 00 65 00 00 00 FF 07 00 00 }
	condition:
		$1
}

rule function_44924_0 {
	meta:
		name = "TIWCustomRadioGroup.RenderHTML"
		size = 1200
		refs = "0019 TIWCustomRadioGroup.RenderHTML 002d _Dn_TIWHTMLTag 0032 TIWMarkupLanguageTag.CreateTag 0055 TIWMarkupLanguageTag.AddStringParam 007c TIWHTMLTag.GetContents 0088 TIWHTMLTagCollection.AddTag 00b7 iif 00c1 TIWMarkupLanguageTag.Add 00db @UStrCat 010b IntToStr 011b @UStrCatN 015a TIWBaseHTMLControl.get_Editable 0214 TIWMarkupLanguageTagCollection.AddText 0260 @HandleAnyException 026d TObject.Free 0272 @RaiseAgain 0277 @DoneExcept 0291 @UStrArrayClr 0297 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 83 A0 02 00 00 8B 10 FF 52 14 48 85 C0 0F 8C E8 01 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 83 9C 02 00 00 3B 45 F8 0F 94 C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 8B 08 FF 91 14 01 00 00 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 E4 8B C3 8B 08 FF 91 14 01 00 00 FF 75 E4 68 ?? ?? ?? ?? 8D 55 E0 8B 45 F8 40 E8 ?? ?? ?? ?? FF 75 E0 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D DC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 45 D8 50 8B C3 8B 10 FF 52 68 84 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 8B 10 FF 52 68 84 C0 74 55 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4A 68 ?? ?? ?? ?? 8D 55 D0 8B C3 8B 08 FF 91 14 01 00 00 FF 75 D0 68 ?? ?? ?? ?? 8D 55 CC 8B 45 F8 40 E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? 8D 45 D4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D D4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 4D C8 8B 83 A0 02 00 00 8B 55 F8 8B 38 FF 57 0C 8B 45 C8 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8D 45 C4 50 80 BB A4 02 00 00 00 0F 94 C0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 50 8B 45 FC E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? FF 45 F8 FF 4D F4 0F 85 23 FE FF FF 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 0C 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 56 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 41 00 44 00 49 00 4F 00 47 00 52 00 4F 00 55 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 41 00 44 00 49 00 4F 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 20 00 43 00 48 00 45 00 43 00 4B 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 49 00 4E 00 50 00 55 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 5F 00 49 00 4E 00 50 00 55 00 54 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 41 00 4C 00 55 00 45 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 49 00 53 00 41 00 42 00 4C 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 50 00 41 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 69 00 6E 00 64 00 45 00 6C 00 65 00 6D 00 28 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 27 00 29 00 2E 00 63 00 68 00 65 00 63 00 6B 00 65 00 64 00 20 00 3D 00 20 00 74 00 72 00 75 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 6E 00 43 00 6C 00 69 00 63 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 42 00 52 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_44925_0 {
	meta:
		name = "TIWCustomRadioGroup.RenderStyle"
		size = 168
		refs = "0012 TIWCustomRadioGroup.RenderStyle 0023 TIWCustomControl.RenderStyle 003d iif 0047 @UStrCat 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 80 BB A4 02 00 00 01 0F 94 C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 20 00 77 00 68 00 69 00 74 00 65 00 2D 00 73 00 70 00 61 00 63 00 65 00 3A 00 6E 00 6F 00 77 00 72 00 61 00 70 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_44927_0 {
	meta:
		name = "TIWCustomRadioGroup.SetItemIndex"
		size = 22
		refs = "0011 TIWCustomControl.set_DoRefreshControl"
	strings:
		$1 = { 3B 90 9C 02 00 00 74 0D 89 90 9C 02 00 00 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44928_0 {
	meta:
		name = "TIWCustomRadioGroup.SetItems"
		size = 26
	strings:
		$1 = { 53 8B D8 8B 83 A0 02 00 00 8B 08 FF 51 08 8B C3 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_44929_0 {
	meta:
		name = "TIWCustomRadioGroup.SetLayout"
		size = 15
	strings:
		$1 = { 88 90 A4 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_44931_0 {
	meta:
		name = "TIWCustomRadioGroup.SetValue"
		size = 140
		refs = "0010 TIWCustomRadioGroup.SetValue 001e RequiresUpdateNotification 002d UpdateNotifiedInterface 0043 StrToIntDef 0054 TIWCustomRadioGroup.SetItemIndex 0065 TIWBaseControl.DoClick 007a @IntfClear 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 38 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC 8B 43 38 E8 ?? ?? ?? ?? 8B 45 FC 8B CE 8B D3 8B 38 FF 57 0C 83 CA FF 8B C6 E8 ?? ?? ?? ?? 3B 83 9C 02 00 00 74 1A 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_44932_0 {
	meta:
		name = "TIWCustomImage.get_HasTabOrder"
		size = 43
		refs = "000b TIWCustomImage.GetOnClick"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 66 83 7C 24 02 00 75 0E 66 83 BB 12 02 00 00 00 75 04 33 C0 EB 02 B0 01 59 5A 5B C3 }
	condition:
		$1
}

rule function_44933_0 {
	meta:
		name = "TIWCustomImage.GetSubmitParam"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 B0 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44934_0 {
	meta:
		name = "TIWCustomImage.SetAutoSize"
		size = 50
		refs = "0006 TIWVCLBaseControl.SetAutoSize 000d TIWVCLBaseControl.GetAutoSize 001a TIWCustomImage.SetUseSize 002c TIWCustomImage.PictureChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 33 D2 8B C3 E8 ?? ?? ?? ?? 83 BB AC 02 00 00 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_44935_0 {
	meta:
		name = "TIWCustomImage.CanAutoSize"
		size = 129
		refs = "0021 TIWVCLBaseControl.GetAutoSize 0030 TPicture.GetWidth 003f TPicture.GetHeight"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 33 DB 83 BE AC 02 00 00 00 74 65 80 BE B1 01 00 00 00 75 5C 8B C6 E8 ?? ?? ?? ?? 3C 01 75 51 8B 86 AC 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 42 8B 86 AC 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 33 B3 01 0F B6 46 65 84 C0 74 06 04 FD 2C 02 73 0D 8B 86 AC 02 00 00 E8 ?? ?? ?? ?? 89 07 0F B6 46 65 2C 03 73 0E 8B 86 AC 02 00 00 E8 ?? ?? ?? ?? 89 45 00 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_44936_0 {
	meta:
		name = "TIWCustomImage.InitControl"
		size = 81
		refs = "0007 TIWCustomControl.InitControl 001c TControl.SetWidth 0028 TControl.SetHeight 002f _Dn_TIWBorderOptions 0034 TIWBorderOptions.Create 004a @UStrClr"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 78 BA 59 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 70 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 9C 02 00 00 89 5E 14 8D 83 98 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44937_0 {
	meta:
		name = "TIWCustomImage.CreatePicture"
		size = 37
		refs = "0007 _Dn_TPicture 000c TPicture.Create 001e TIWCustomImage.PictureChanged"
	strings:
		$1 = { 53 56 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 AC 02 00 00 89 5E 14 C7 46 10 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44938_0 {
	meta:
		name = "TIWCustomImage.Dispose"
		size = 56
		refs = "0015 TObject.Free 0031 TIWCustomControl.Dispose"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 86 AC 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 9C 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44939_0 {
	meta:
		name = "TIWCustomImage.GetOnClick"
		size = 18
	strings:
		$1 = { 8B 88 18 01 00 00 89 0A 8B 88 1C 01 00 00 89 4A 04 C3 }
	condition:
		$1
}

rule function_44940_0 {
	meta:
		name = "TIWCustomImage.SetOnClick"
		size = 39
	strings:
		$1 = { 55 8B EC 33 D2 89 90 A0 02 00 00 89 90 A4 02 00 00 8B 55 08 89 90 18 01 00 00 8B 55 0C 89 90 1C 01 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_44941_0 {
	meta:
		name = "TIWCustomImage.ImageHTML"
		size = 1292
		refs = "0021 TIWCustomImage.ImageHTML 0035 _Dn_TIWHTMLTag 003a TIWMarkupLanguageTag.CreateTag 005a TIWMarkupLanguageTag.AddStringParam 008d TIWMarkupLanguageTag.AddIntegerParam 009b toTColor 00b8 ColorToRGBString 00cd @UStrCatN 00d8 TIWMarkupLanguageTag.Add 0195 @UStrCat 01de iif 01fb TIWBaseHTMLControl.TextToJSStringLiteral 022d TIWHTMLTag.GetContents 0237 TIWHTMLTagCollection.AddTagAsObject 0246 @HandleAnyException 0253 TObject.Free 0258 @RaiseAgain 025d @DoneExcept 0264 TIWVCLBaseControl.HasOnClick 027a TIWCustomControl.SubmitLink 02cf @UStrArrayClr 02d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CE BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8B C3 8B 08 FF 91 14 01 00 00 8B 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 8B 48 18 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 36 68 ?? ?? ?? ?? 8D 55 EC 8B 83 9C 02 00 00 8B 40 10 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 8B 98 02 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 80 BB B4 02 00 00 00 74 20 8B 4B 50 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 4B 54 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 68 84 C0 0F 84 6C 01 00 00 66 83 BB A2 02 00 00 00 0F 84 2C 01 00 00 0F B6 47 1C 2C 01 74 0C 2C 04 74 08 2C 03 0F 85 18 01 00 00 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 08 FF 91 14 01 00 00 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E0 8B C3 8B 08 FF 91 14 01 00 00 FF 75 E0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 DC 50 0F B6 83 F0 01 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D8 8B 93 EC 01 00 00 8B 03 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E4 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 27 6A 00 0F B6 47 1C 50 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 49 00 4D 00 47 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 52 00 43 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 4F 00 52 00 44 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 73 00 74 00 79 00 6C 00 65 00 3D 00 7B 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 4C 00 54 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 49 00 44 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 45 00 49 00 47 00 48 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 52 00 45 00 46 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 49 00 4D 00 41 00 47 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 49 00 6D 00 61 00 67 00 65 00 53 00 65 00 74 00 45 00 76 00 65 00 6E 00 74 00 28 00 74 00 68 00 69 00 73 00 2C 00 27 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 29 00 3B 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4F 00 6E 00 4D 00 6F 00 75 00 73 00 65 00 4F 00 76 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_44942_0 {
	meta:
		name = "TIWCustomImage.RenderStyle"
		size = 180
		refs = "0012 TIWCustomImage.RenderStyle 0023 TIWCustomControl.RenderStyle 002a TIWCustomControl.get_WebCursor 0050 iif 005a @UStrCat 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 50 66 83 BF 12 02 00 00 00 74 04 84 DB 74 04 33 C0 EB 02 B0 01 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 20 00 63 00 75 00 72 00 73 00 6F 00 72 00 3A 00 70 00 6F 00 69 00 6E 00 74 00 65 00 72 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_44943_0 {
	meta:
		name = "TIWCustomImage.PictureChanged"
		size = 109
		refs = "0007 TIWVCLBaseControl.GetLoading 0012 TIWVCLBaseControl.GetAutoSize 0021 TPicture.GetWidth 0030 TPicture.GetHeight"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 5B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 46 8B 83 AC 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 37 8B 83 AC 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 28 8B 83 AC 02 00 00 E8 ?? ?? ?? ?? 50 8B 83 AC 02 00 00 E8 ?? ?? ?? ?? 50 8B 4B 4C 8B 53 48 8B C3 8B 30 FF 96 A4 00 00 00 8B C3 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_44944_0 {
	meta:
		name = "TIWCustomImage.SetOnMouseDown"
		size = 39
	strings:
		$1 = { 55 8B EC 33 D2 89 90 18 01 00 00 89 90 1C 01 00 00 8B 55 08 89 90 A0 02 00 00 8B 55 0C 89 90 A4 02 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_44945_0 {
	meta:
		name = "TIWCustomImage.Submit"
		size = 184
		refs = "0011 TIWCustomImage.Submit 0024 @UStrAsg 0038 @UStrLAsg 004d Fetch 0055 StrToInt 0096 @UStrArrayClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 B0 02 00 00 8B D6 E8 ?? ?? ?? ?? 66 83 BB A2 02 00 00 00 74 44 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 45 FC E8 ?? ?? ?? ?? 50 8B CE 8B D3 8B 83 A4 02 00 00 FF 93 A0 02 00 00 EB 0A 8B C3 8B 10 FF 92 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_44946_0 {
	meta:
		name = "TIWCustomImage.SetUseSize"
		size = 39
		refs = "000b TIWCustomControl.set_RenderSize"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 88 86 B4 02 00 00 84 C0 74 09 33 D2 8B C6 8B 08 FF 51 78 5E 5B C3 }
	condition:
		$1
}

rule function_44947_0 {
	meta:
		name = "TCustomTeePanel.SetBorder"
		size = 12
		altNames = "TIWCustomImage.SetBorderOptions"
	strings:
		$1 = { 8B 80 9C 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_44948_0 {
	meta:
		name = "TIWCustomImage.HookEvents"
		size = 412
		refs = "0016 TIWCustomImage.HookEvents 0027 TIWCustomControl.HookEvents 0039 TIWApplication.GetBrowser 0060 iif 0078 TIWBaseHTMLControl.TextToJSStringLiteral 008d @UStrCatN 009c TIWScriptEvents.HookEvent 00b6 @UStrArrayClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 66 83 BB A2 02 00 00 00 74 6B 8B 46 04 E8 ?? ?? ?? ?? 2C 02 74 04 2C 02 75 5B 68 ?? ?? ?? ?? 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 0F B6 83 F0 01 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 4D F4 8B 93 EC 01 00 00 8B 03 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 49 00 6D 00 61 00 67 00 65 00 43 00 6C 00 69 00 63 00 6B 00 28 00 74 00 68 00 69 00 73 00 2E 00 6E 00 61 00 6D 00 65 00 2C 00 65 00 76 00 65 00 6E 00 74 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2C 00 20 00 27 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 27 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4F 00 6E 00 4D 00 6F 00 75 00 73 00 65 00 44 00 6F 00 77 00 6E 00 00 00 }
	condition:
		$1
}

rule function_44949_0 {
	meta:
		name = "TIWCustomImage.GetPicture"
		size = 27
		refs = "000f TIWCustomImage.CreatePicture"
	strings:
		$1 = { 53 8B D8 83 BB AC 02 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 83 AC 02 00 00 5B C3 }
	condition:
		$1
}

rule function_44951_0 {
	meta:
		name = "TIWDynamicImage.InitControl"
		size = 40
		refs = "0006 TIWCustomImage.InitControl 000d _Dn_TIWJpegOptions 0012 TIWJpegOptions.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 C0 02 00 00 C7 83 C4 02 00 00 FF FF FF 1F 5B C3 }
	condition:
		$1
}

rule function_44952_0 {
	meta:
		name = "TIWDynamicImage.Dispose"
		size = 37
		refs = "0015 TObject.Free 001e TIWCustomImage.Dispose"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 86 C0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45101_0 {
	meta:
		name = "TIWModuleDsn.Dispose"
		size = 37
		refs = "0015 TObject.Free 001e TIWContainer.Dispose"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 86 C0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44953_0 {
	meta:
		name = "TIWDynamicImage.RenderHTML"
		size = 488
		refs = "0013 TIWDynamicImage.RenderHTML 0020 TIWCustomImage.GetPicture 005c @UStrLAsg 0079 _Dn_Exception 007e Exception.Create 0083 @RaiseExcept 0091 _Dn_TIWServerControllerBase 0096 TIWServerControllerBase.NewCacheFile 00bc ToJPEGFile 00d5 ToGifFile 00dd gServerController 00e4 TIWServerControllerBase.GetUserCacheURL 00f3 ExtractFileName 00fc @UStrCat 0108 TIWCustomImage.ImageHTML 011a _Dn_TIWHTMLTag 011f TIWMarkupLanguageTag.CreateTag 0152 @UStrArrayClr 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 78 0C 00 0F 84 F9 00 00 00 8B 83 AC 02 00 00 8B 40 0C 8B 10 FF 52 20 84 C0 0F 85 CC 00 00 00 0F B6 83 A8 02 00 00 2C 01 72 04 74 11 EB 1E 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 25 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 B1 01 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 83 A8 02 00 00 2C 01 72 04 74 1B EB 30 8B 83 AC 02 00 00 8B 40 0C 8B 8B C0 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? EB 17 8B 83 AC 02 00 00 8B 40 0C 8B 8B C4 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 58 E8 ?? ?? ?? ?? 8B 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 2C 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 15 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6A 00 70 00 67 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 49 00 6D 00 61 00 67 00 65 00 20 00 4F 00 75 00 74 00 70 00 75 00 74 00 20 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 70 00 61 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_44954_0 {
	meta:
		name = "TIWDynamicImage.RenderAsync"
		size = 672
		refs = "0016 TIWDynamicImage.RenderAsync 002a _Dn_TIWXMLTag 002f TIWXMLTag.CreateTag 005d TIWMarkupLanguageTag.AddStringParam 008b @UStrLAsg 00a8 _Dn_Exception 00ad Exception.Create 00b2 @RaiseExcept 00c0 _Dn_TIWServerControllerBase 00c5 TIWServerControllerBase.NewCacheFile 00eb ToJPEGFile 0104 ToGifFile 0116 TIWMarkupLanguageTagCollection.AddTag 0120 gServerController 0127 TIWServerControllerBase.GetUserCacheURL 0136 ExtractFileName 013f @UStrCat 014c TIWMarkupLanguageTagCollection.AddText 0160 TIWCustomControl.RenderAsyncCommonProperties 016f @HandleAnyException 017c TObject.Free 0181 @DoneExcept 019b @UStrArrayClr 01ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F0 8B C3 8B 08 FF 91 14 01 00 00 8B 4D F0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 0F B6 83 A8 02 00 00 2C 01 72 04 74 11 EB 1E 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 25 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 B1 01 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 83 A8 02 00 00 2C 01 72 04 74 1B EB 30 8B 8B C0 02 00 00 8B 83 AC 02 00 00 8B 40 0C 8B 55 FC E8 ?? ?? ?? ?? EB 17 8B 8B C4 02 00 00 8B 83 AC 02 00 00 8B 40 0C 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 55 EC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 58 E8 ?? ?? ?? ?? 8B 55 EC 8B 46 0C 33 C9 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 50 8B 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4D 00 41 00 47 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6A 00 70 00 67 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 49 00 6D 00 61 00 67 00 65 00 20 00 4F 00 75 00 74 00 70 00 75 00 74 00 20 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 73 00 72 00 63 00 00 00 FF 07 00 00 }
	condition:
		$1
}

rule function_44955_0 {
	meta:
		name = "TIWDynamicImage.SetJpegOptions"
		size = 12
	strings:
		$1 = { 8B 80 C0 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_44956_0 {
	meta:
		name = "TIWImageFile.InitControl"
		size = 51
		refs = "0007 TIWCustomImage.InitControl 0015 _Dn_TIWFileReference 001a TIWFileReference.Create 002c TIWImageFile.ReferenceChanged"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 C0 02 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C4 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44957_0 {
	meta:
		name = "TIWImageFile.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TIWVCLBaseControl.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 C4 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44958_0 {
	meta:
		name = "TIWImageFile.Dispose"
		size = 37
		refs = "0015 TObject.Free 001e TIWCustomImage.Dispose"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 86 C4 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44959_0 {
	meta:
		name = "TIWImageFile.ReferenceChanged"
		size = 760
		refs = "0018 TIWImageFile.ReferenceChanged 003f TIWFileReference.GetFilename 0049 FileExists 007c TIWCustomImage.GetPicture 0082 TPicture.LoadFromFile 0094 @HandleOnException 009c _Dn_EInvalidGraphic 00a7 _Dn_TBitmap 00ac TBitmap.Create 00e1 TBitmap.GetCanvas 00ee TFont.SetColor 015b TPicture.SetBitmap 0175 TObject.Free 017b @HandleFinally 0182 @DoneExcept 0193 TPicture.SetGraphic 01ab TIWVCLBaseControl.GetAutoSize 0200 TControl.SetWidth 021b TControl.SetHeight 0225 TIWCustomControl.set_DoRefreshControl 023f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 B1 01 00 00 00 0F 84 75 01 00 00 8D 55 F4 8B 45 FC 8B 80 C4 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 B2 01 E8 ?? ?? ?? ?? 84 C0 0F 84 33 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F0 8B 45 FC 8B 80 C4 02 00 00 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 04 01 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 50 50 8B 45 F8 8B 08 FF 51 44 8B 45 FC 8B 50 54 8B 45 F8 8B 08 FF 51 38 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 40 BA FF 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? B9 05 00 00 00 BA 05 00 00 00 8B 18 FF 93 90 00 00 00 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? B9 14 00 00 00 BA 05 00 00 00 8B 18 FF 93 90 00 00 00 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? B9 23 00 00 00 BA 05 00 00 00 8B 18 FF 93 90 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB E8 ?? ?? ?? ?? EB 0F 8B 45 FC E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 E9 82 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 6C 8B 45 FC 83 B8 AC 02 00 00 00 74 60 8B 45 FC 8B 80 AC 02 00 00 8B 40 0C 8B 10 FF 52 30 85 C0 7E 4B 8B 45 FC 8B 80 AC 02 00 00 8B 40 0C 8B 10 FF 52 24 85 C0 7E 36 8B 45 FC 8B 80 AC 02 00 00 8B 40 0C 8B 10 FF 52 30 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 8B 40 0C 8B 10 FF 52 24 8B D0 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 50 00 6C 00 65 00 61 00 73 00 65 00 20 00 73 00 65 00 65 00 20 00 74 00 68 00 65 00 20 00 46 00 41 00 51 00 20 00 61 00 62 00 6F 00 75 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 65 00 6E 00 61 00 62 00 6C 00 69 00 6E 00 67 00 20 00 47 00 49 00 46 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 61 00 74 00 20 00 64 00 65 00 73 00 69 00 67 00 6E 00 20 00 74 00 69 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_44960_0 {
	meta:
		name = "TIWImageFile.RenderAsync"
		size = 520
		refs = "0015 TIWImageFile.RenderAsync 0029 _Dn_TIWXMLTag 002e TIWXMLTag.CreateTag 005c TIWMarkupLanguageTag.AddStringParam 0080 TIWMarkupLanguageTagCollection.AddTag 0087 IsLibrary 009b TIWApplication.GetInternalURLBase 00aa IWStringReplace 00b7 @UStrCat 00c8 TIWFileReference.Location 00d2 gServerController 00f2 TIWMarkupLanguageTagCollection.AddText 0106 TIWCustomControl.RenderAsyncCommonProperties 0115 @HandleAnyException 0122 TObject.Free 0127 @DoneExcept 0141 @UStrArrayClr 0149 @UStrClr 014f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F4 8B C3 8B 08 FF 91 14 01 00 00 8B 4D F4 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 80 38 00 74 3E 8D 45 F0 50 8D 55 EC 8B 47 10 E8 ?? ?? ?? ?? 8B 45 EC 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 4D FC 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? EB 1B 8D 4D FC A1 ?? ?? ?? ?? 8B 00 8B 90 50 01 00 00 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8B 46 0C 33 C9 8B 55 FC E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 50 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 57 00 49 00 4D 00 41 00 47 00 45 00 46 00 49 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 73 00 72 00 63 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 24 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 FF 07 00 00 }
	condition:
		$1
}

rule function_44961_0 {
	meta:
		name = "TIWImageFile.RenderHTML"
		size = 236
		refs = "0013 TIWImageFile.RenderHTML 001e IsLibrary 0032 TIWApplication.GetInternalURLBase 0041 IWStringReplace 004e @UStrCat 005f TIWFileReference.Location 006b TIWCustomImage.ImageHTML 0077 gServerController 00b2 @UStrArrayClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 38 00 74 4C 8D 45 F8 50 8D 55 F4 8B 46 10 E8 ?? ?? ?? ?? 8B 45 F4 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 29 8D 4D F0 A1 ?? ?? ?? ?? 8B 00 8B 90 50 01 00 00 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8B 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 24 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_44962_0 {
	meta:
		name = "TIWImageFile.Loaded"
		size = 118
		refs = "0007 TControl.Loaded 0017 TIWVCLBaseControl.GetAutoSize 0022 TIWCustomImage.GetPicture 0027 TPicture.GetWidth 0037 TPicture.GetHeight"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB B1 01 00 00 00 74 5F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4A 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 3A 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 2A 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4B 4C 8B 53 48 8B C3 8B 30 FF 96 A4 00 00 00 8B C3 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_44963_0 {
	meta:
		name = "TIWImageFile.SetImageFile"
		size = 12
	strings:
		$1 = { 8B 80 C4 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_44964_0 {
	meta:
		name = "TIWTimer.InitControl"
		size = 23
		refs = "0006 TIWBaseHTMLComponent.InitControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 54 01 C7 43 58 E8 03 00 00 5B C3 }
	condition:
		$1
}

rule function_44967_0 {
	meta:
		name = "TIWTimer.GetSubmitProc"
		size = 11
	strings:
		$1 = { 89 42 04 8B 00 8B 40 7C 89 02 C3 }
	condition:
		$1
}

rule function_44968_0 {
	meta:
		name = "TIWTimer.RenderAsync"
		size = 316
		refs = "0014 TIWTimer.RenderAsync 0028 _Dn_TIWXMLTag 002d TIWXMLTag.CreateTag 0058 iif 0068 @UStrCatN 0075 TIWMarkupLanguageTagCollection.AddText 0082 TIWCallBackResponse.AddTagToExecute 009e @UStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 68 ?? ?? ?? ?? 8D 55 F8 8B C3 8B 08 FF 51 60 FF 75 F8 8D 45 F4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 0F B6 43 54 E8 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 33 C9 8B 46 0C E8 ?? ?? ?? ?? 8B 47 10 8B 40 74 8B D6 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 69 00 6D 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 2E 00 73 00 74 00 6F 00 70 00 54 00 69 00 6D 00 65 00 72 00 28 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 2E 00 73 00 74 00 61 00 72 00 74 00 54 00 69 00 6D 00 65 00 72 00 28 00 29 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_44971_0 {
	meta:
		name = "TIWTimer.SetEnabled"
		size = 11
		refs = "0006 TIWBaseHTML40Component.set_DoRefreshControl"
	strings:
		$1 = { 88 50 54 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44972_0 {
	meta:
		name = "TIWTimer.Submit"
		size = 34
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 50 8B D6 E8 ?? ?? ?? ?? 66 83 7B 6A 00 74 08 8B D3 8B 43 6C FF 53 68 5E 5B C3 }
	condition:
		$1
}

rule function_44973_0 {
	meta:
		name = "TIWTimer.DoOnAsyncTimer"
		size = 35
		refs = "000b TIWTimer.SetEnabled"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 66 83 7B 62 00 74 0A 8B CE 8B D3 8B 43 64 FF 53 60 5E 5B C3 }
	condition:
		$1
}

rule function_44974_0 {
	meta:
		name = "TIWTimer.RenderScripts"
		size = 916
		refs = "0019 TIWTimer.RenderScripts 0030 TIWTimer.DoOnAsyncTimer 0047 @UStrCat 0052 TIWApplication.RegisterCallBack 0080 iif 0093 IntToStr 00ba @UStrCatN 00c5 TIWPageContext40.AddToInitProc 0131 TIWCompContext.AddToInitProcDoLastCode 0166 TIWCompContext.AddToInitProc 0180 @UStrArrayClr 0186 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 62 00 0F 84 A0 00 00 00 53 68 ?? ?? ?? ?? 8D 55 F8 8B C3 8B 08 FF 51 60 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 46 10 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 51 60 FF 75 F0 68 ?? ?? ?? ?? 8D 45 EC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 0F B6 43 54 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 55 E8 8B 43 58 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 55 E4 8B C3 8B 08 FF 51 60 FF 75 E4 68 ?? ?? ?? ?? 8D 45 F4 BA 09 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 46 20 E8 ?? ?? ?? ?? E9 9C 00 00 00 80 7B 54 00 74 63 83 7B 58 00 7E 5D FF 75 FC 68 ?? ?? ?? ?? 8D 55 E0 8B C3 8B 08 FF 51 60 FF 75 E0 68 ?? ?? ?? ?? 8D 55 DC 8B C3 8B 08 FF 51 60 FF 75 DC 68 ?? ?? ?? ?? 8D 55 D8 8B 43 58 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 09 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 33 68 ?? ?? ?? ?? 8D 55 D0 8B C3 8B 08 FF 51 60 FF 75 D0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 0C 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 54 00 69 00 6D 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 49 00 57 00 54 00 69 00 6D 00 65 00 72 00 28 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2C 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 54 00 69 00 6D 00 65 00 72 00 22 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 5F 00 49 00 44 00 3D 00 73 00 65 00 74 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 28 00 27 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 53 00 75 00 62 00 6D 00 69 00 74 00 43 00 6C 00 69 00 63 00 6B 00 43 00 6F 00 6E 00 66 00 69 00 72 00 6D 00 28 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 22 00 2C 00 22 00 22 00 2C 00 20 00 66 00 61 00 6C 00 73 00 65 00 2C 00 22 00 22 00 29 00 27 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 5F 00 49 00 44 00 3D 00 6E 00 75 00 6C 00 6C 00 3B 00 00 00 }
	condition:
		$1
}

rule function_44975_0 {
	meta:
		name = "TIWCustomRadioGroup.GetInputControlNames"
		size = 124
		refs = "000f TIWCustomRadioGroup.GetInputControlNames 002f @UStrCat 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 14 01 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 49 00 4E 00 50 00 55 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_44976_0 {
	meta:
		name = "TIWCustomRadioGroup.IsForThisControl"
		size = 152
		refs = "0015 @UStrAddRef 001d TIWCustomRadioGroup.IsForThisControl 003d @UStrCat 0048 @UStrEqual 0067 @UStrArrayClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 91 14 01 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 49 00 4E 00 50 00 55 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_44977_0 {
	meta:
		name = "TIWImageButton.InitControl"
		size = 30
		refs = "0006 TIWImageFile.InitControl 000d _Dn_TIWFileReference 0012 TIWFileReference.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 CC 02 00 00 5B C3 }
	condition:
		$1
}

rule function_44978_0 {
	meta:
		name = "TIWImageButton.RenderHTML"
		size = 1000
		refs = "001a TIWImageButton.RenderHTML 0025 IsLibrary 0039 TIWApplication.GetInternalURLBase 0048 IWStringReplace 0055 @UStrCat 0066 TIWFileReference.Location 0070 gServerController 0091 _Dn_TIWHTMLTag 0096 TIWMarkupLanguageTag.CreateTag 00b9 TIWMarkupLanguageTag.AddStringParam 011a TIWMarkupLanguageTag.Add 0130 TIWFileReference.GetFilename 0164 @UStrCatN 016f TIWCustomControl.get_ScriptEvents 017a TIWScriptEvents.HookEvent 022c @HandleAnyException 0239 TObject.Free 023e @RaiseAgain 0243 @DoneExcept 025d @UStrArrayClr 0265 @UStrClr 0280 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 38 00 74 3E 8D 45 F4 50 8D 55 F0 8B 47 10 E8 ?? ?? ?? ?? 8B 45 F0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 4D FC 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? EB 1B 8D 4D FC A1 ?? ?? ?? ?? 8B 00 8B 90 50 01 00 00 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 8B 08 FF 91 14 01 00 00 8B 4D EC BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 BB C8 02 00 00 00 74 13 8B 8B C8 02 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 68 84 C0 75 0D BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B B3 CC 02 00 00 83 7E 10 00 75 14 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 83 7D E8 00 0F 84 E3 00 00 00 8D 55 E0 8B C3 8B 08 FF 91 14 01 00 00 FF 75 E0 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 50 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 3E 8D 45 DC 50 8D 55 D8 8B 47 10 E8 ?? ?? ?? ?? 8B 45 D8 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8D 4D FC 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? EB 1B 8D 4D FC A1 ?? ?? ?? ?? 8B 00 8B 90 50 01 00 00 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8D 55 D0 8B C3 8B 08 FF 91 14 01 00 00 FF 75 D0 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 50 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 8B 45 F8 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 24 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 6E 00 70 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 6D 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 73 00 72 00 63 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 41 00 43 00 43 00 45 00 53 00 53 00 4B 00 45 00 59 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 64 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 57 00 43 00 4C 00 2E 00 73 00 72 00 63 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6F 00 6E 00 4D 00 6F 00 75 00 73 00 65 00 4F 00 75 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 6F 00 6E 00 4D 00 6F 00 75 00 73 00 65 00 4F 00 76 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_44979_0 {
	meta:
		name = "TIWImageButton.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TIWImageFile.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 CC 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44980_0 {
	meta:
		name = "TIWImageButton.HookEvents"
		size = 160
		refs = "0011 TIWImageButton.HookEvents 0020 TIWCustomImage.HookEvents 0035 TIWCustomControl.SubmitHandler 0040 TIWVCLBaseControl.HasOnClick 0048 iif 0057 TIWScriptEvents.HookEvent 0071 @UStrArrayClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 6A 00 8D 45 F8 50 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 6E 00 43 00 6C 00 69 00 63 00 6B 00 00 00 }
	condition:
		$1
}

rule function_44981_0 {
	meta:
		name = "TIWAJAXNotifier.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TIWBaseComponent.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 58 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_44982_0 {
	meta:
		name = "TIWAJAXNotifier.DoOnNotify"
		size = 23
	strings:
		$1 = { 53 8B D8 80 7B 58 00 74 0C 8B D3 8B 43 54 FF 53 50 C6 43 58 00 5B C3 }
	condition:
		$1
}

rule function_44984_0 {
	meta:
		name = "TIWAJAXNotifier.RenderScripts"
		size = 144
		refs = "000f TIWAJAXNotifier.RenderScripts 001e TIWBaseHTML40Component.RenderScripts 0024 TIWAJAXNotifier.DoOnNotify 003b @UStrCat 0046 TIWApplication.RegisterCallBack 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 51 60 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 46 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 4E 00 6F 00 74 00 69 00 66 00 79 00 00 00 }
	condition:
		$1
}

rule function_44985_0 {
	meta:
		name = "TIWAJAXNotifier.Notify"
		size = 224
		refs = "0012 TIWAJAXNotifier.Notify 0020 TIWBaseForm.GetWebApplication 0030 TIWForm.SetIWAJAXNotifier 0040 TObject.ClassName 005c _Dn_EIWException 0061 Exception.CreateFmt 0066 @RaiseExcept 007b @UStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 E8 ?? ?? ?? ?? 80 78 4C 00 74 10 8B D3 8B 43 04 E8 ?? ?? ?? ?? C6 43 58 01 EB 30 8D 55 F4 8B 03 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 23 00 00 00 59 00 6F 00 75 00 20 00 6F 00 6E 00 6C 00 79 00 20 00 63 00 61 00 6E 00 20 00 75 00 73 00 65 00 20 00 25 00 73 00 20 00 69 00 6E 00 20 00 41 00 73 00 79 00 6E 00 63 00 20 00 63 00 61 00 6C 00 6C 00 73 00 2E 00 00 00 }
	condition:
		$1
}

rule function_44988_0 {
	meta:
		name = "LockFileStream"
		size = 184
		refs = "000d @UStrAddRef 0015 LockFileStream 0020 GCS 003a GTempFileCounters 0090 @HandleFinally 00a7 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC A1 ?? ?? ?? ?? 8B 08 FF 51 54 8B D8 85 DB 7C 1F 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 18 8B F0 46 8B CE 8B D3 A1 ?? ?? ?? ?? 8B 18 FF 53 24 EB 0F 33 C9 8B 55 FC A1 ?? ?? ?? ?? 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_44989_0 {
	meta:
		name = "UnlockFileStream"
		size = 256
		refs = "000d @UStrAddRef 0015 UnlockFileStream 0020 GCS 003a GTempFileCounters 0061 DeleteFile 007f _Dn_Exception 0084 Exception.Create 0089 @RaiseExcept 00a6 @HandleFinally 00bd @UStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC A1 ?? ?? ?? ?? 8B 08 FF 51 54 8B D8 85 DB 7C 2E 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 18 8B F0 4E 83 FE FF 75 0A 8B 45 FC E8 ?? ?? ?? ?? EB 26 8B CE 8B D3 A1 ?? ?? ?? ?? 8B 18 FF 53 24 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 6E 00 63 00 6F 00 72 00 72 00 65 00 63 00 74 00 20 00 75 00 6E 00 6C 00 6F 00 63 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_44990_0 {
	meta:
		name = "THTTPFile.CloseStream"
		size = 17
		refs = "000c TObject.Free"
	strings:
		$1 = { 83 C0 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_44991_0 {
	meta:
		name = "THTTPFile.Create"
		size = 114
		refs = "000b @ClassCreate 001a TObject.Create 0025 @UStrAsg 0053 LockFileStream 005e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 04 8B 56 04 E8 ?? ?? ?? ?? 8D 47 0C 8B 56 0C E8 ?? ?? ?? ?? 8D 47 08 8B 56 08 E8 ?? ?? ?? ?? 33 C0 89 47 10 8D 47 18 8B 56 18 E8 ?? ?? ?? ?? 8B 47 18 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_44992_0 {
	meta:
		name = "THTTPFile.Create"
		size = 206
		refs = "000e @ClassCreate 001d @UStrAddRef 0035 THTTPFile.Create 004f @UStrAsg 007a _Dn_TFileStream 007f TFileStream.Create 0097 @UStrClr 00a4 @UStrArrayClr 00aa @HandleFinally 00b7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 8D 46 0C 8B 55 10 E8 ?? ?? ?? ?? 8D 46 08 8B 55 0C E8 ?? ?? ?? ?? 8B 45 08 89 46 14 68 00 FF 00 00 8B 4E 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_44993_0 {
	meta:
		name = "THTTPFile.Create"
		size = 168
		refs = "000f @ClassCreate 001b THTTPFile.Create 002a TObject.Create 003a _Dn_TIWServerControllerBase 003f TIWServerControllerBase.NewCacheFile 004a @UStrAsg 0052 LockFileStream 0067 @UStrClr 006d @HandleFinally 007a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 50 33 C9 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 46 18 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 49 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_44994_0 {
	meta:
		name = "THTTPFile.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 0017 TObject.Free 001f UnlockFileStream 002a TObject.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44995_0 {
	meta:
		name = "THTTPFile.GetContentType"
		size = 24
		refs = "0011 @LStrFromUStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 B9 00 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44996_0 {
	meta:
		name = "THTTPFile.GetFieldName"
		size = 24
		refs = "0011 @LStrFromUStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 04 B9 00 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_44997_0 {
	meta:
		name = "THTTPFile.GetFileName"
		size = 24
		refs = "0011 @LStrFromUStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C B9 00 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114480_0 {
	meta:
		name = "TMSDOMAttr.GetMSAttribute"
		size = 40
		refs = "000c TMSDOMAttr.GetMSAttribute 0011 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 85 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_114471_0 {
	meta:
		name = "TMSDOMCharacterData.GetMSCharacterData"
		size = 40
		refs = "000c TMSDOMCharacterData.GetMSCharacterData 0011 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 84 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_114505_0 {
	meta:
		name = "TMSDOMDocumentType.GetMSDocumentType"
		size = 40
		refs = "000c TMSDOMDocumentType.GetMSDocumentType 0011 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_114486_0 {
	meta:
		name = "TMSDOMElement.GetMSElement"
		size = 40
		refs = "000c TMSDOMElement.GetMSElement 0011 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 86 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_114515_0 {
	meta:
		name = "TMSDOMEntity.GetMSEntity"
		size = 40
		refs = "000c TMSDOMEntity.GetMSEntity 0011 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8D BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_114512_0 {
	meta:
		name = "TMSDOMNotation.GetMSNotation"
		size = 40
		refs = "000c TMSDOMNotation.GetMSNotation 0011 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8C BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_114519_0 {
	meta:
		name = "TMSDOMProcessingInstruction.GetMSProcessingInstruction"
		size = 40
		refs = "000c TMSDOMProcessingInstruction.GetMSProcessingInstruction 0011 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 89 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_44998_0 {
	meta:
		name = "THTTPFile.GetStream"
		size = 34
		refs = "0011 _Dn_TFileStream 0016 TFileStream.Create"
	strings:
		$1 = { 53 8B D8 83 7B 10 00 75 14 6A 00 8B 4B 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B 43 10 5B C3 }
	condition:
		$1
}

rule function_44999_0 {
	meta:
		name = "THTTPFile.GetFileSize"
		size = 16
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 08 8B 10 FF 12 5B C3 }
	condition:
		$1
}

rule function_45000_0 {
	meta:
		name = "THTTPFile.SaveToFile"
		size = 149
		refs = "0010 @UStrAddRef 0018 THTTPFile.SaveToFile 002d _Dn_TFileStream 0032 TFileStream.Create 004d THTTPFile.SaveToStream 0067 TObject.Free 006d @HandleFinally 0084 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 FF 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48943_0 {
	meta:
		name = "TSOAPAttachment.SaveToFile"
		size = 149
		refs = "0010 @UStrAddRef 0018 TSOAPAttachment.SaveToFile 002d _Dn_TFileStream 0032 TFileStream.Create 004d TSOAPAttachment.SaveToStream 0067 TObject.Free 006d @HandleFinally 0084 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 FF 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45001_0 {
	meta:
		name = "THTTPFile.SaveToStream"
		size = 54
		refs = "0012 TStream.SetPosition 002f TStream.CopyFrom"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 6A 00 8B C3 8B 10 FF 52 08 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 08 8B 10 FF 12 52 50 8B C3 8B 10 FF 52 08 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45003_0 {
	meta:
		name = "THTTPFiles.Assign"
		size = 315
		refs = "001d THTTPFiles.Assign 0033 _DV_THTTPFiles 0038 @IsClass 0062 _DV_THTTPFile 0067 THTTPFile.Create 0070 TList.Add 0083 TList.Get 00a4 @UStrFromLStr 00f0 THTTPFile.CloseStream 0104 THTTPFile.SetTmpStreamName 0128 @LStrArrayClr 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 4D E8 89 4D EC 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 E3 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 CE 00 00 00 8B 43 04 8B 40 08 48 85 C0 0F 8C BF 00 00 00 40 89 45 F8 33 F6 8B 45 FC 8B 78 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B 7A 04 89 45 F0 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 89 45 F4 8B D6 8B C3 8B 08 FF 51 04 8D 55 EC 8B 08 FF 11 8B 55 EC 8B 45 F4 83 C0 04 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 04 8D 55 E8 8B 08 FF 51 0C 8B 55 E8 8B 45 F4 83 C0 08 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 04 8D 55 E4 8B 08 FF 51 04 8B 55 E4 8B 45 F4 83 C0 0C E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 04 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 04 8B 50 18 8B 45 F4 E8 ?? ?? ?? ?? 46 FF 4D F8 0F 85 47 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45009_0 {
	meta:
		name = "TIWFileParser.CanParse"
		size = 264
		refs = "0012 TIWFileParser.CanParse 003a @UStrFromLStr 004f Fetch 005a @UStrLAsg 007d AnsiCompareText 0099 @UStrClr 00a1 @LStrClr 00ae @UStrArrayClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 80 7E 08 03 75 64 8D 4D F0 BA 0F 00 00 00 8B C6 8B 18 FF 53 04 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 4D 00 55 00 4C 00 54 00 49 00 50 00 41 00 52 00 54 00 2F 00 46 00 4F 00 52 00 4D 00 2D 00 44 00 41 00 54 00 41 00 00 00 }
	condition:
		$1
}

rule function_45010_0 {
	meta:
		name = "TIWFileParser.GetContentFields"
		size = 24
		refs = "000f TIWFileParser.Parse"
	strings:
		$1 = { 53 8B D8 83 7B 18 00 75 0A 8B 53 04 8B C3 E8 ?? ?? ?? ?? 8B 43 18 5B C3 }
	condition:
		$1
}

rule function_45011_0 {
	meta:
		name = "TIWFileParser.GetFiles"
		size = 24
		refs = "000f TIWFileParser.Parse"
	strings:
		$1 = { 53 8B D8 83 7B 14 00 75 0A 8B 53 04 8B C3 E8 ?? ?? ?? ?? 8B 43 14 5B C3 }
	condition:
		$1
}

rule function_45012_0 {
	meta:
		name = "TIWContentBuffer.Create"
		size = 347
		refs = "0018 @ClassCreate 0027 TIWContentBuffer.Create 0036 TObject.Create 0099 TArray<System.Byte> 009e @DynArraySetLength 0126 @LStrClr 0134 @HandleFinally 0143 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F4 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FB 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 04 8B 45 08 89 43 08 8B 45 0C 89 43 0C C7 43 18 00 00 00 00 C7 43 1C 00 00 00 00 8B 43 04 BA 10 00 00 00 8B 08 FF 51 0C 89 43 20 8D 4D F4 8B 43 04 BA 19 00 00 00 8B 30 FF 56 04 8B 45 F4 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 8B F0 89 73 24 56 8D 43 28 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 4D FC 8B 43 04 BA 19 00 00 00 8B 30 FF 56 04 8B 53 24 4A 85 D2 7C 14 42 33 C0 8B 4D FC 0F B6 0C 01 8B 73 28 88 0C 06 40 4A 75 EF 8B 73 20 3B 73 24 7E 3C 56 8D 43 28 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 4B 20 8B 43 24 2B C8 8B 53 28 03 D0 8B 43 04 8B 30 FF 56 1C 83 F8 FF 74 03 01 43 24 8B 43 24 3B 43 20 7C DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_45013_0 {
	meta:
		name = "TIWContentBuffer.BufferPosEx"
		size = 673
		refs = "001b @UStrAddRef 0023 TIWContentBuffer.BufferPosEx 0057 @DynArrayLength 008a TArray<System.Byte> 0092 @DynArrayCopyRange 00c0 @DynArraySetLength 0115 en8Bit 0122 BytesToString 012f PosEx 0274 @UStrClr 0282 @DynArrayClear 0290 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 DB 89 5D D4 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 83 7D F4 00 0F 85 27 02 00 00 8B 45 FC 89 45 E8 83 7D E8 00 74 0B 8B 45 E8 83 E8 04 8B 00 89 45 E8 8B 43 28 E8 ?? ?? ?? ?? 8B D6 03 55 E8 3B C2 0F 8D AC 00 00 00 8B 43 24 3B 43 20 0F 84 EF 01 00 00 8B 43 28 E8 ?? ?? ?? ?? 2B C6 83 C0 02 50 8D 43 28 50 8B CE 8B 15 ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 89 45 EC B8 FF FF 00 00 2B 45 EC 89 45 F0 68 FF FF 00 00 8D 43 28 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 28 8B 55 EC 8D 54 10 01 8B 4D F0 8B 43 04 8B 30 FF 56 1C 89 45 F0 8B 45 F0 03 45 EC 3D FF FF 00 00 7D 1D 8B 45 F0 03 45 EC 50 8D 43 28 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F0 01 43 24 BE 01 00 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4D D4 8B 43 28 E8 ?? ?? ?? ?? 8B 55 D4 8B CE 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 7E 62 8B 45 F4 2B C6 85 C0 0F 8E 1A 01 00 00 8B 45 F4 2B C6 2B 45 08 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 2B C6 2B 45 08 50 8D 45 F8 50 8B CE 49 8B 15 ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8D 55 F8 8B 43 0C FF 53 08 E9 C5 00 00 00 8B 45 FC 89 45 E4 83 7D E4 00 74 0B 8B 45 E4 83 E8 04 8B 00 89 45 E4 8B 43 28 E8 ?? ?? ?? ?? 2B C6 2B 45 E4 40 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 89 45 E0 83 7D E0 00 74 0B 8B 45 E0 83 E8 04 8B 00 89 45 E0 8B 43 28 E8 ?? ?? ?? ?? 2B C6 2B 45 E0 40 50 8D 45 F8 50 8B CE 49 8B 15 ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8D 55 F8 8B 43 0C FF 53 08 8B 43 28 E8 ?? ?? ?? ?? 89 45 D8 8B 45 FC 89 45 DC 83 7D DC 00 74 0B 8B 45 DC 83 E8 04 8B 00 89 45 DC 8B 75 D8 2B 75 DC 46 8B 43 24 3B 43 20 7D 0A 83 7D F4 00 0F 84 D9 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 8B 45 F4 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_45014_0 {
	meta:
		name = "TIWFileParser.FlushBuffer"
		size = 133
		refs = "0012 TIWFileParser.FlushBuffer 001f @DynArrayLength 0043 en8Bit 0053 BytesToString 005e @UStrCat 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 E8 ?? ?? ?? ?? 85 C0 7E 3B 83 7B 1C 00 74 15 8B 43 1C 8B 10 FF 52 08 50 8B 16 8B CF 58 8B 18 FF 53 10 EB 20 E8 ?? ?? ?? ?? 50 8D 45 FC 50 8B 06 8B CF 33 D2 E8 ?? ?? ?? ?? 8D 43 20 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45015_0 {
	meta:
		name = "TIWFileParser.Parse"
		size = 2092
		refs = "001b TIWFileParser.Parse 0028 _DV_THTTPFiles 002d THTTPFiles.Create 003a _Dn_TStringList 003f TStringList.Create 0059 @UStrLAsg 0079 TIWFileParser.FlushBuffer 0083 _DV_TIWContentBuffer 0088 TIWContentBuffer.Create 00ba @UStrFromLStr 00d2 Fetch 00e2 @UStrCat3 0108 TIWContentBuffer.BufferPosEx 016c _DV_THTTPFile 0171 THTTPFile.Create 0197 TList.Add 01a5 THTTPFile.CloseStream 01c3 Trim 01d9 @UStrCatN 0215 TObject.Free 0260 @UStrClr 0315 AnsiPos 03d3 @UStrCopy 03e4 ExtractFileName 05b0 StrToInt 0617 @UStrLen 0692 @HandleFinally 06b1 @UStrArrayClr 06bc @LStrClr"
	strings:
		$1 = { 55 8B EC B9 19 00 00 00 6A 00 6A 00 49 75 F9 53 56 89 55 DC 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 89 42 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 89 42 18 C7 45 C0 FF FF FF FF 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 50 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 8B 45 E0 50 68 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 8D 68 FF FF FF BA 0F 00 00 00 8B 45 DC 8B 18 FF 53 04 8B 95 68 FF FF FF 8D 45 EC E8 ?? ?? ?? ?? 6A 01 8D 85 64 FF FF FF 50 8D 45 EC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 4D EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 89 45 D4 C7 45 D8 01 00 00 00 6A 02 8B 4D D8 8B 55 EC 8B 45 C8 E8 ?? ?? ?? ?? 89 45 C4 8B 45 FC 89 45 B8 83 7D B8 00 74 0B 8B 45 B8 83 E8 04 8B 00 89 45 B8 83 7D B8 00 0F 8E 34 01 00 00 8B 45 F4 89 45 B4 83 7D B4 00 74 0B 8B 45 B4 83 E8 04 8B 00 89 45 B4 83 7D B4 00 0F 8E 9F 00 00 00 8B 45 E0 83 78 1C 00 75 21 8B 45 F4 50 8B 45 F8 50 8B 45 C0 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 89 42 1C 8B 45 E0 8B 40 14 8B 40 04 89 45 B0 8B 45 E0 8B 40 1C 89 45 AC 8B 55 AC 8B 45 B0 E8 ?? ?? ?? ?? 89 45 A8 8B 45 E0 8B 40 1C E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 50 1C FF 75 FC 68 ?? ?? ?? ?? 8D 95 5C FF FF FF 8B 45 F4 E8 ?? ?? ?? ?? FF B5 5C FF FF FF 8D 85 60 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8B 45 E0 8B 40 18 8B 08 FF 51 38 EB 74 8B 45 E0 83 78 1C 00 74 20 8B 45 E0 83 C0 1C 89 45 A4 8B 45 A4 8B 00 89 45 A0 8B 45 A4 33 D2 89 10 8B 45 A0 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 54 FF FF FF 8B 45 E0 8B 40 20 E8 ?? ?? ?? ?? FF B5 54 FF FF FF 8D 85 58 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 58 FF FF FF 8B 45 E0 8B 40 18 8B 08 FF 51 38 8B 45 E0 83 C0 20 E8 ?? ?? ?? ?? 83 7D C4 00 0F 8E C6 03 00 00 6A 00 8B 4D C4 03 4D D4 BA ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 00 0F 84 A4 03 00 00 83 45 D8 04 8D 95 50 FF FF FF 8B 45 E0 8B 40 20 E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8B 45 D0 8B 08 FF 51 2C 8B 45 E0 83 C0 20 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 33 DB 8B 45 D0 8B 10 FF 52 14 48 85 C0 0F 8C 23 FE FF FF 40 89 45 BC C7 45 CC 00 00 00 00 8D 4D F0 8B 55 CC 8B 45 D0 8B 30 FF 56 0C E9 1C 03 00 00 6A 01 8D 45 E8 50 8D 45 F0 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 07 B3 01 E9 EF 02 00 00 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E C2 00 00 00 6A 01 8D 85 4C FF FF FF 50 8D 45 E8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 E8 E8 ?? ?? ?? ?? 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 85 F6 0F 8E A3 02 00 00 8B 45 F4 66 83 38 22 0F 85 96 02 00 00 8B 45 F4 89 45 9C 83 7D 9C 00 74 0B 8B 45 9C 83 E8 04 8B 00 89 45 9C 8B 45 F4 8B 55 9C 66 83 7C 50 FE 22 0F 85 6D 02 00 00 8B 45 F4 89 45 98 83 7D 98 00 74 0B 8B 45 98 83 E8 04 8B 00 89 45 98 8D 85 44 FF FF FF 50 8B 4D 98 83 E9 02 BA 02 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 85 44 FF FF FF 8D 95 48 FF FF FF E8 ?? ?? ?? ?? 8B 95 48 FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? E9 18 02 00 00 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E B7 00 00 00 6A 01 8D 85 40 FF FF FF 50 8D 45 E8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 FC 89 45 94 83 7D 94 00 74 0B 8B 45 94 83 E8 04 8B 00 89 45 94 83 7D 94 00 7E 0D 8B 45 FC 66 83 38 22 0F 94 45 93 EB 04 C6 45 93 00 80 7D 93 00 0F 84 A8 01 00 00 8B 45 FC 89 45 8C 83 7D 8C 00 74 0B 8B 45 8C 83 E8 04 8B 00 89 45 8C 8B 45 FC 8B 55 8C 66 83 7C 50 FE 22 0F 85 7F 01 00 00 8B 45 FC 89 45 88 83 7D 88 00 74 0B 8B 45 88 83 E8 04 8B 00 89 45 88 8D 45 FC 50 8B 4D 88 83 E9 02 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 4C 01 00 00 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E DD 00 00 00 6A 01 8D 85 3C FF FF FF 50 8D 45 E8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 E4 89 45 84 83 7D 84 00 74 0B 8B 45 84 83 E8 04 8B 00 89 45 84 83 7D 84 00 7E 0D 8B 45 E4 66 83 38 22 0F 94 45 83 EB 04 C6 45 83 00 80 7D 83 00 0F 84 DC 00 00 00 8B 45 E4 89 85 7C FF FF FF 83 BD 7C FF FF FF 00 74 11 8B 85 7C FF FF FF 83 E8 04 8B 00 89 85 7C FF FF FF 8B 45 E4 8B 95 7C FF FF FF 66 83 7C 50 FE 22 0F 85 A4 00 00 00 8B 45 E4 89 85 78 FF FF FF 83 BD 78 FF FF FF 00 74 11 8B 85 78 FF FF FF 83 E8 04 8B 00 89 85 78 FF FF FF 8D 45 E4 50 8B 8D 78 FF FF FF 83 E9 02 BA 02 00 00 00 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 89 45 C0 EB 5A 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 9F C0 0A C3 74 44 6A 01 8D 85 38 FF FF FF 50 8D 45 E8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 8B 45 C0 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 89 42 1C 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 8F D4 FC FF FF FF 45 CC FF 4D BC 0F 85 B5 FC FF FF E9 C8 FA FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 83 C0 1C 8B 10 89 95 74 FF FF FF 33 D2 89 10 8B 85 74 FF FF FF E8 ?? ?? ?? ?? 8B 45 D0 89 85 70 FF FF FF 33 C0 89 45 D0 8B 85 70 FF FF FF E8 ?? ?? ?? ?? 8B 45 C8 89 85 6C FF FF FF 33 C0 89 45 C8 8B 85 6C FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 38 FF FF FF BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 18 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 6F 00 63 00 74 00 65 00 74 00 2D 00 73 00 74 00 72 00 65 00 61 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 2D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 0D 00 0A 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 66 00 69 00 6C 00 65 00 73 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_45017_0 {
	meta:
		name = "IWFileParser"
		size = 54
		refs = "0002 _DV_4 000a _DV_TIWFileParser 000f RegisterContentParser 0016 _Dn_TStringList 001b TStringList.Create 0020 GTempFileCounters 0027 _Dn_TCriticalSection 002c TCriticalSection.Create 0031 GCS"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 2C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45018_0 {
	meta:
		name = "TIWFileReference.get_Empty"
		size = 23
	strings:
		$1 = { 53 8B D8 83 7B 04 00 75 06 83 7B 10 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_45019_0 {
	meta:
		name = "TIWFileReference.Create"
		size = 69
		refs = "000a @ClassCreate 0017 TObject.Create 001f @UStrClr 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 04 E8 ?? ?? ?? ?? 8D 46 10 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_45020_0 {
	meta:
		name = "TIWFileReference.Create"
		size = 153
		refs = "000e @ClassCreate 001d @UStrAddRef 002d TIWFileReference.Create 003c TObject.Create 0047 @UStrAsg 0067 @UStrClr 0075 @HandleFinally 0082 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 8D 46 10 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_45021_0 {
	meta:
		name = "TIWFileReference.AssignTo"
		size = 126
		refs = "000f TIWFileReference.AssignTo 001d _DV_TIWFileReference 0022 @IsClass 0030 TIWFileReference.GetFilename 003b @UStrAsg 004d TIWFileReference.DoChange 0058 TPersistent.AssignTo 006d @UStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 04 E8 ?? ?? ?? ?? 8D 46 10 8B 53 10 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45022_0 {
	meta:
		name = "TCustomCanvas.Changed"
		size = 20
		altNames = "TCustomStyleServices.DoOnThemeChange TDirect2DGraphicsObject.Changed TGraphicsObject.Changed TIWFileReference.DoChange"
	strings:
		$1 = { 53 66 83 78 0A 00 74 0A 8B D8 8B D0 8B 43 0C FF 53 08 5B C3 }
	condition:
		$1
}

rule function_45023_0 {
	meta:
		name = "FindRelativePath"
		size = 328
		refs = "0023 @UStrAddRef 0033 FindRelativePath 0044 ExtractFileDir 004f ExtractFileName 005f IncludeTrailingPathDelimiter 006a @UStrCat 0074 FileExists 0083 @UStrAsg 0092 LastPos 00b5 @UStrCopy 00ce @UStrCat3 00e6 @UStrDelete 00f3 Pos 0115 @UStrArrayClr 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D EC 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? E9 92 00 00 00 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 E8 B2 01 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 EC 8B 55 F0 E8 ?? ?? ?? ?? EB 76 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 4E 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 8D 45 E0 50 8D 53 01 8B CE 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F0 8B 4D F0 E8 ?? ?? ?? ?? 8B 7D F4 85 FF 74 05 83 EF 04 8B 3F 8D 45 F4 8B CF 8B D3 E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 59 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_45024_0 {
	meta:
		name = "TIWFileReference.Location"
		size = 500
		refs = "001d TIWFileReference.Location 002d TIWFileReference.GetFilename 005c @UStrLAsg 0067 ExtractFileDir 006f IsAbsolutePath 0078 gServerController 009a Fetch 00b8 FindRelativePath 00bd gSC 00d0 @UStrCat3 00da FileExists 016d StringReplace 0182 @UStrAsg 01a8 @UStrArrayClr 01b0 @UStrClr 01c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 3D 01 00 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 84 C0 74 45 A1 ?? ?? ?? ?? 83 38 00 74 1D 6A 00 8D 45 E8 50 A1 ?? ?? ?? ?? 8B 00 8B 90 B4 00 00 00 8D 45 FC B1 01 E8 ?? ?? ?? ?? 83 7D FC 00 75 18 8D 4D FC A1 ?? ?? ?? ?? 8B 00 8B 90 B4 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 90 B4 00 00 00 8D 45 E4 8B 4D FC E8 ?? ?? ?? ?? 8B 45 E4 B2 01 E8 ?? ?? ?? ?? 84 C0 75 71 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 84 C0 74 45 A1 ?? ?? ?? ?? 83 38 00 74 1D 6A 00 8D 45 E0 50 A1 ?? ?? ?? ?? 8B 00 8B 90 68 01 00 00 8D 45 FC B1 01 E8 ?? ?? ?? ?? 83 7D FC 00 75 18 8D 4D FC A1 ?? ?? ?? ?? 8B 00 8B 90 68 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 DC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_45025_0 {
	meta:
		name = "TIWFileReference.QualifiedPath"
		size = 256
		refs = "0014 TIWFileReference.QualifiedPath 0024 TIWFileReference.GetFilename 0049 Fetch 0064 ExtractFileName 006c gServerController 007b @UStrCat3 009d @UStrClr 00bf @UStrArrayClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 76 6C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 6A 00 8D 45 F4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 75 2E 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 4D F0 A1 ?? ?? ?? ?? 8B 00 8B 90 68 01 00 00 8B C6 E8 ?? ?? ?? ?? EB 20 A1 ?? ?? ?? ?? 8B 00 8B 90 68 01 00 00 8B C6 8B 4D FC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 66 00 69 00 6C 00 65 00 73 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_45026_0 {
	meta:
		name = "TIWFileReference.SetFilename"
		size = 55
		refs = "001e @UStrClr 0028 @UStrAsg 002f TIWFileReference.DoChange"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 08 8D 43 10 E8 ?? ?? ?? ?? 8D 43 04 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_45027_0 {
	meta:
		name = "TIWFileReference.set_URL"
		size = 110
		refs = "000f TIWFileReference.set_URL 002c @UStrClr 0036 Trim 0041 @UStrAsg 0048 TIWFileReference.DoChange 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 08 8D 43 04 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 10 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45028_0 {
	meta:
		name = "TIWFileReference.GetFilename"
		size = 112
		refs = "0007 gServerController 0018 TIWDataModule.GetDesignMode 0026 @UStrAsg 0030 TIWFileReference.GetFilename 0044 StringReplace"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 83 38 00 74 10 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 8B 53 04 E8 ?? ?? ?? ?? 5E 5B C3 0F B6 05 ?? ?? ?? ?? 50 56 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_45031_0 {
	meta:
		name = "TextDecoration"
		size = 264
		refs = "0009 TextDecoration 000e @UStrAsg 002b @UStrCat"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 46 24 04 0F 95 C0 84 C0 75 14 F6 46 24 08 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 84 C0 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 46 24 08 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 74 00 65 00 78 00 74 00 2D 00 64 00 65 00 63 00 6F 00 72 00 61 00 74 00 69 00 6F 00 6E 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 6E 00 6F 00 6E 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 75 00 6E 00 64 00 65 00 72 00 6C 00 69 00 6E 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 6C 00 69 00 6E 00 65 00 2D 00 74 00 68 00 72 00 6F 00 75 00 67 00 68 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_45032_0 {
	meta:
		name = "ColorStyle"
		size = 200
		refs = "0011 ColorStyle 0028 ColorToRGBString 003d @UStrCatN 0049 toTColor 006d iif 0087 @UStrArrayClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 68 ?? ?? ?? ?? 8D 55 F8 8B 43 04 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 04 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 0F 8B 43 04 E8 ?? ?? ?? ?? 3D 08 00 00 FF 75 04 33 C0 EB 02 B0 01 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_45033_0 {
	meta:
		name = "FontStyle"
		size = 768
		refs = "001a FontStyle 003e @UStrCatN 004b iif 0092 TextDecoration 00a3 gcPixelsPerInch 00af gcPointsPerInch 00b6 @TRUNC 00c0 IntToStr 0167 @UStrArrayClr 017a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 68 ?? ?? ?? ?? FF 73 0C 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 33 C9 8B 43 0C E8 ?? ?? ?? ?? FF 75 FC 8D 45 F4 50 F6 43 24 01 0F 95 C0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 8D 45 F0 50 F6 43 24 02 0F 95 C0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F0 8D 55 EC 8B C3 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B 43 20 F7 2D ?? ?? ?? ?? 89 45 E4 DB 45 E4 DB 05 ?? ?? ?? ?? DE F9 E8 ?? ?? ?? ?? 52 50 8D 45 E8 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E0 50 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC FF 70 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 08 8B 40 FC 8B 40 10 33 C9 E8 ?? ?? ?? ?? FF 75 E0 8D 45 D8 50 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC FF 70 14 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 08 8B 40 FC 8B 40 14 33 C9 E8 ?? ?? ?? ?? FF 75 D8 8B C6 BA 0A 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 62 00 6F 00 6C 00 64 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 69 00 74 00 61 00 6C 00 69 00 63 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 70 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 66 00 6F 00 6E 00 74 00 2D 00 76 00 61 00 72 00 69 00 61 00 6E 00 74 00 3A 00 00 00 }
	condition:
		$1
}

rule function_45034_0 {
	meta:
		name = "TIWFont.FontToStringStyle"
		size = 1516
		refs = "0025 TIWFont.FontToStringStyle 003b @UStrClr 006f iif 00a3 gcPixelsPerInch 00af gcPointsPerInch 00b6 @TRUNC 00c0 IntToStr 00e9 @UStrCatN 0107 TextDecoration 0191 @UStrLAsg 01a7 AnsiCompareText 0213 @UStrCat 0373 FontStyle 037e @UStrAsg 0405 ColorStyle 0457 @UStrArrayClr 0477 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 11 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 88 55 EB 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 08 00 75 0C 8B C6 E8 ?? ?? ?? ?? E9 FA 03 00 00 80 7D EB 02 0F 84 19 03 00 00 85 FF 0F 85 31 01 00 00 8D 45 E4 50 8B 45 FC F6 40 24 02 0F 95 C0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E4 8D 45 E0 50 8B 45 FC F6 40 24 01 0F 95 C0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8B 45 FC 8B 40 20 F7 2D ?? ?? ?? ?? 89 45 D8 DB 45 D8 DB 05 ?? ?? ?? ?? DE F9 E8 ?? ?? ?? ?? 52 50 8D 45 DC E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 45 D4 50 68 ?? ?? ?? ?? 8B 45 FC FF 70 0C 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 FC 8B 40 0C 33 C9 E8 ?? ?? ?? ?? FF 75 D4 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? FF 75 CC 8D 45 C8 50 68 ?? ?? ?? ?? 8B 45 FC FF 70 10 68 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 FC 8B 40 10 33 C9 E8 ?? ?? ?? ?? FF 75 C8 8D 45 C0 50 68 ?? ?? ?? ?? 8B 45 FC FF 70 14 68 ?? ?? ?? ?? 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 BC 8B 45 FC 8B 40 14 33 C9 E8 ?? ?? ?? ?? FF 75 C0 8B C6 BA 09 00 00 00 E8 ?? ?? ?? ?? E9 70 02 00 00 8D 45 F8 8B 55 FC 8B 52 0C E8 ?? ?? ?? ?? 8D 45 F4 8B 57 0C E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 16 8B 45 FC 8B 40 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C3 EB 02 33 DB 8D 45 B8 50 8D 45 B4 50 8B 45 FC F6 40 24 02 0F 95 C0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B4 50 8D 45 B0 50 8B 45 FC F6 40 24 01 0F 95 C0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 58 E8 ?? ?? ?? ?? 8B 45 B4 50 8B 45 FC 0F B6 57 24 3A 50 24 0F 95 C0 33 C9 5A E8 ?? ?? ?? ?? FF 75 B8 8D 45 AC 50 68 ?? ?? ?? ?? 8B 45 FC 8B 40 20 F7 2D ?? ?? ?? ?? 89 45 D8 DB 45 D8 DB 05 ?? ?? ?? ?? DE F9 E8 ?? ?? ?? ?? 52 50 8D 45 A4 E8 ?? ?? ?? ?? FF 75 A4 68 ?? ?? ?? ?? 8D 45 A8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 FC 8B 40 20 3B 47 20 0F 95 C0 33 C9 E8 ?? ?? ?? ?? FF 75 AC 8D 45 A0 50 68 ?? ?? ?? ?? 8B 45 FC FF 70 0C 68 ?? ?? ?? ?? 8D 45 9C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 9C 33 C9 8B C3 E8 ?? ?? ?? ?? FF 75 A0 8D 45 98 50 8D 55 94 8B 45 FC E8 ?? ?? ?? ?? 8B 45 94 50 8B 45 FC 0F B6 57 24 3A 50 24 0F 95 C0 33 C9 5A E8 ?? ?? ?? ?? FF 75 98 8D 45 90 50 68 ?? ?? ?? ?? 8B 45 FC FF 70 10 68 ?? ?? ?? ?? 8D 45 8C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 8C 8B 45 FC 8B 40 10 33 C9 E8 ?? ?? ?? ?? FF 75 90 8D 45 88 50 68 ?? ?? ?? ?? 8B 45 FC FF 70 14 68 ?? ?? ?? ?? 8D 45 84 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 84 8B 45 FC 8B 40 14 33 C9 E8 ?? ?? ?? ?? FF 75 88 8B C6 BA 06 00 00 00 E8 ?? ?? ?? ?? E9 90 00 00 00 85 FF 75 19 55 8D 55 80 8B 45 FC E8 ?? ?? ?? ?? 59 8B 55 80 8B C6 E8 ?? ?? ?? ?? EB 73 8D 45 F0 8B 55 FC 8B 52 0C E8 ?? ?? ?? ?? 8D 45 EC 8B 57 0C E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 04 B0 01 EB 0C 8B 45 FC 8B 40 20 3B 47 20 0F 95 C0 84 C0 74 04 B0 01 EB 0D 8B 45 FC 0F B6 57 24 3A 50 24 0F 95 C0 84 C0 74 1D 55 8D 95 7C FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 59 8B 95 7C FF FF FF 8B C6 E8 ?? ?? ?? ?? 85 FF 75 1D 8D 95 78 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8B C6 E8 ?? ?? ?? ?? EB 26 8B 45 FC 8B 40 04 3B 47 04 74 1B 8D 95 74 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 74 FF FF FF BA 19 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 69 00 74 00 61 00 6C 00 69 00 63 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 62 00 6F 00 6C 00 64 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 70 00 78 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 66 00 6F 00 6E 00 74 00 2D 00 76 00 61 00 72 00 69 00 61 00 6E 00 74 00 3A 00 00 00 }
	condition:
		$1
}

rule function_45035_0 {
	meta:
		name = "HTMLFontSize"
		size = 100
	strings:
		$1 = { 83 F8 0E 7D 11 83 E8 0A 72 25 83 E8 02 72 24 83 E8 02 72 26 EB 47 83 C0 F2 83 E8 04 72 23 83 E8 06 72 25 83 E8 0C 72 27 83 E8 40 72 29 EB 2E 33 C0 40 C3 B8 02 00 00 00 40 C3 B8 03 00 00 00 40 C3 B8 04 00 00 00 40 C3 B8 05 00 00 00 40 C3 B8 06 00 00 00 40 C3 B8 07 00 00 00 40 C3 B8 01 00 00 00 40 C3 }
	condition:
		$1
}

rule function_45036_0 {
	meta:
		name = "TIWFont.FontToStringTag32"
		size = 556
		refs = "0016 TIWFont.FontToStringTag32 0032 fromTColor 0045 _Dn_TIWHTMLTag 004a TIWMarkupLanguageTag.CreateTag 008b HTMLFontSize 009a TIWMarkupLanguageTag.AddIntegerParam 00b4 ColorToRGBString 00c4 TIWMarkupLanguageTag.AddStringParam 00d1 TIWHTMLTag.GetContents 00dd TIWHTMLTagCollection.AddTag 0140 TIWMarkupLanguageTagCollection.AddText 014f @HandleAnyException 015c TObject.Free 0161 @RaiseAgain 0166 @DoneExcept 017b @UStrClr 0181 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 08 00 74 2D 83 7B 20 0A 75 0F B8 FF FF FF 1F E8 ?? ?? ?? ?? 3B 43 04 74 18 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC EB 13 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 75 FC 80 7B 08 00 0F 84 B3 00 00 00 83 7B 20 0A 74 17 8B 43 20 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 3B 43 04 74 1B 8D 55 F8 8B 43 04 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? F6 43 24 04 74 15 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 F6 43 24 01 74 15 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 F6 43 24 02 74 15 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 F6 43 24 08 74 15 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 33 C9 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 4F 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 49 00 5A 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 4F 00 4C 00 4F 00 52 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 55 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 42 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 45 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 54 00 52 00 49 00 4B 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_45037_0 {
	meta:
		name = "TIWFont.FontToStringTag"
		size = 1072
		refs = "001a TIWFont.FontToStringTag 0038 @UStrClr 004e _Dn_TIWHTMLTag 0053 TIWMarkupLanguageTag.CreateTag 0084 @UStrCat3 0093 iif 009e TIWMarkupLanguageTag.Add 00ad ColorToRGBString 00c9 toTColor 0106 gcPixelsPerInch 0112 gcPointsPerInch 0119 @TRUNC 0123 IntToStr 0138 @UStrCatN 0148 TIWMarkupLanguageTag.AddStringParam 023a TIWHTMLTag.GetContents 025a TIWMarkupLanguageTagCollection.AddText 0269 @HandleAnyException 0276 TObject.Free 027b @RaiseAgain 0280 @DoneExcept 029a @UStrArrayClr 02ba @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 08 00 75 0A 33 C0 89 45 F4 E9 50 02 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 73 0C 85 F6 74 05 83 EE 04 8B 36 8D 45 F0 50 8B 4B 0C 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 85 F6 0F 9F C0 33 C9 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 55 E0 8B 43 04 E8 ?? ?? ?? ?? 8B 4D E0 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8B 43 04 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 0F 8B 43 04 E8 ?? ?? ?? ?? 3D 08 00 00 FF 75 04 33 C0 EB 02 B0 01 33 C9 5A E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 43 20 F7 2D ?? ?? ?? ?? 89 45 D4 DB 45 D4 DB 05 ?? ?? ?? ?? DE F9 E8 ?? ?? ?? ?? 52 50 8D 45 D8 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D DC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 D0 50 F6 43 24 01 0F 95 C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 D0 8D 45 CC 50 F6 43 24 02 0F 95 C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 CC 8D 45 C8 50 F6 43 24 04 0F 95 C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 C8 8D 45 C4 50 F6 43 24 08 0F 95 C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 C4 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 50 F6 43 24 08 0F 95 C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 C0 8D 45 BC 50 F6 43 24 04 0F 95 C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 BC 8D 45 B8 50 F6 43 24 02 0F 95 C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 B8 8D 45 B4 50 F6 43 24 01 0F 95 C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 B4 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 FF 75 F8 57 FF 75 FC 8D 45 B0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 B0 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 4F 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 46 00 41 00 43 00 45 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 63 00 6F 00 6C 00 6F 00 72 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 70 00 78 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 54 00 59 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3C 00 42 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3C 00 49 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3C 00 55 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 53 00 54 00 52 00 49 00 4B 00 45 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 2F 00 53 00 54 00 52 00 49 00 4B 00 45 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 2F 00 55 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 2F 00 49 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 2F 00 42 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_45038_0 {
	meta:
		name = "TIWFont.AssignTo"
		size = 180
		refs = "000b _DV_TIWFont 0010 @IsClass 0020 TIWFont.SeTIWColor 0031 TIWFont.SetFontName 003c @UStrAsg 0051 TIWFont.SetSize 005c TIWFont.SetStyle 0066 _Dn_TFont 0077 toTColor 0082 TFont.SetColor 008c TFont.SetName 0096 TFont.SetSize 00a1 TFont.SetStyle 00ac TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4A 8B 56 04 8B FB 8B C7 E8 ?? ?? ?? ?? 0F B6 46 08 88 47 08 8B 56 0C 8B C7 E8 ?? ?? ?? ?? 8D 47 10 8B 56 10 E8 ?? ?? ?? ?? 8D 47 14 8B 56 14 E8 ?? ?? ?? ?? 8B 56 20 8B C7 E8 ?? ?? ?? ?? 0F B6 56 24 8B C7 E8 ?? ?? ?? ?? EB 4E 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 8B 46 04 E8 ?? ?? ?? ?? 8B D0 8B FB 8B C7 E8 ?? ?? ?? ?? 8B 56 0C 8B C7 E8 ?? ?? ?? ?? 8B 56 20 8B C7 E8 ?? ?? ?? ?? 0F B6 56 24 8B C7 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45039_0 {
	meta:
		name = "TIWFont.Create"
		size = 101
		refs = "000a @ClassCreate 0017 TObject.Create 0021 fromTColor 0037 @UStrClr 0052 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 89 46 04 C6 46 08 01 C7 46 20 0A 00 00 00 8D 46 0C E8 ?? ?? ?? ?? 8D 46 10 E8 ?? ?? ?? ?? 8D 46 14 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_45040_0 {
	meta:
		name = "TIWFont.Create"
		size = 191
		refs = "000e @ClassCreate 001c @UStrAddRef 0034 TIWFont.Create 0043 TObject.Create 0058 @UStrAsg 0095 @UStrArrayClr 009b @HandleFinally 00a8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 18 E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 0F B6 45 1C 88 47 08 8D 47 0C 8B 55 18 E8 ?? ?? ?? ?? 8D 47 10 8B 55 14 E8 ?? ?? ?? ?? 8D 47 14 8B 55 10 E8 ?? ?? ?? ?? 8B 45 0C 89 47 20 0F B6 45 08 88 47 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_45042_0 {
	meta:
		name = "TIWFont.SeTIWColor"
		size = 9
		refs = "0004 TIWFont.DoChange"
	strings:
		$1 = { 89 50 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45043_0 {
	meta:
		name = "TIWFont.SetFontName"
		size = 26
		refs = "000c @UStrAsg 0013 TIWFont.DoChange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45044_0 {
	meta:
		name = "TIWFont.SetSize"
		size = 9
		refs = "0004 TIWFont.DoChange"
	strings:
		$1 = { 89 50 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45045_0 {
	meta:
		name = "TIWFont.SetStyle"
		size = 18
		refs = "000c TIWFont.DoChange"
	strings:
		$1 = { 51 88 14 24 0F B6 14 24 88 50 24 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_45048_0 {
	meta:
		name = "TIWForm.RenderWidgets"
		size = 328
		refs = "0020 TIWForm.RenderWidgets 002d TComponent.GetComponentCount 0045 TComponent.GetComponent 0050 @UStrLAsg 0063 SupportsInterface 007d @IntfClear 008a GetIWInterface 00d1 TIWForm.ProcessContentFile 00ef TIWPageContext40.AddToOnReady 0113 @UStrArrayClr 011b @UStrClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D FC 89 5D F8 89 4D F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 48 85 C0 0F 8C C3 00 00 00 40 89 45 E8 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 50 08 8D 45 F8 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 84 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 84 C0 74 59 8B 45 FC 8B 10 FF 52 10 89 45 EC 8B 45 EC 8B 10 FF 52 14 48 85 C0 7C 2B 40 89 45 E4 C7 45 F0 00 00 00 00 8D 4D E0 8B 55 F0 8B 45 EC 8B 38 FF 57 0C 8B 55 E0 8B C3 E8 ?? ?? ?? ?? FF 45 F0 FF 4D E4 75 E0 8D 55 DC 8B 45 FC 8B 08 FF 51 14 8B 55 DC 8B 45 F4 E8 ?? ?? ?? ?? 46 FF 4D E8 0F 85 43 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 1F A9 92 09 20 2A 50 47 BB 42 6E E9 08 F4 74 9B }
	condition:
		$1
}

rule function_45049_0 {
	meta:
		name = "FillList"
		size = 208
		refs = "001b FillList 0045 TList.Get 004f _Dn_TIWContainer 0054 @IsClass 0073 TabOrderInterface 0099 TList.Add 00b3 IIWTabOrder 00bd @FinalizeArray 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B4 02 00 00 8B 70 08 4E 85 F6 7C 6B 46 33 FF 8B 45 FC 8B 80 B4 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 45 08 50 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 59 EB 30 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 83 7D F4 00 74 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 1C 84 C0 74 0A 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 47 4E 75 98 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45050_0 {
	meta:
		name = "TIWForm.FillRealTabOrders"
		size = 42
		refs = "000a _Dn_TList 000f TObject.Create 0021 FillList"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 5C 03 00 00 55 8B D6 8B C3 E8 ?? ?? ?? ?? 59 5E 5B 5D C3 }
	condition:
		$1
}

rule function_45051_0 {
	meta:
		name = "TIWForm.ClearRealTabOrders"
		size = 19
		refs = "000e TObject.Free"
	strings:
		$1 = { 05 5C 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45052_0 {
	meta:
		name = "TIWForm.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TIWBaseForm.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 58 03 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_45053_0 {
	meta:
		name = "TIWForm.SetJavaScript"
		size = 12
	strings:
		$1 = { 8B 80 2C 03 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_45054_0 {
	meta:
		name = "TIWForm.SetProgressIndicator"
		size = 62
		refs = "0013 TComponent.RemoveFreeNotification 0037 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 60 03 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 89 B3 60 03 00 00 8B 83 68 03 00 00 85 C0 74 03 89 70 6C 8B 83 60 03 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45055_0 {
	meta:
		name = "TIWForm.get_PageContext"
		size = 7
	strings:
		$1 = { 8B 80 68 03 00 00 C3 }
	condition:
		$1
}

rule function_45057_0 {
	meta:
		name = "TIWForm.SendAJAXNotification"
		size = 19
	strings:
		$1 = { 33 D2 8B 88 58 03 00 00 85 C9 74 04 0F B6 51 58 8B C2 C3 }
	condition:
		$1
}

rule function_45058_0 {
	meta:
		name = "TIWForm.GetIWAJAXNotificationJSCode"
		size = 228
		refs = "000f TIWForm.GetIWAJAXNotificationJSCode 003c @UStrCatN 0051 @UStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 FC 8B 83 58 03 00 00 8B 08 FF 51 60 FF 75 FC 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 65 00 78 00 65 00 63 00 75 00 74 00 65 00 41 00 6A 00 61 00 78 00 45 00 76 00 65 00 6E 00 74 00 28 00 22 00 22 00 2C 00 20 00 6E 00 75 00 6C 00 6C 00 2C 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 2E 00 44 00 6F 00 4F 00 6E 00 4E 00 6F 00 74 00 69 00 66 00 79 00 22 00 20 00 2C 00 20 00 74 00 72 00 75 00 65 00 29 00 3B 00 00 00 }
	condition:
		$1
}

rule function_45059_0 {
	meta:
		name = "TIWForm.InitControl"
		size = 157
		refs = "0006 TIWBaseHTMLForm.InitControl 000f _Dn_TIWHTML40ContainerImplementation 0014 TIWHTML40ContainerImplementation.Create 0021 _Dn_TStringList 0026 TStringList.Create 0033 _DV_TIWBackground 0038 TIWFileReference.Create 0045 _Dn_TIWFileReference 005e TIWBaseForm.GetWebApplication 0067 _Dn_TIWPageContext40 006c TIWPageContext40.Create 0097 TControl.SetShowHint"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 6C 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 2C 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 34 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 4C 03 00 00 C6 83 65 03 00 00 01 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 68 03 00 00 C6 83 49 03 00 00 01 C6 83 4A 03 00 00 01 C6 83 54 03 00 00 01 C6 83 20 03 00 00 01 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45060_0 {
	meta:
		name = "TIWForm.Dispose"
		size = 113
		refs = "0015 TObject.Free 0057 TIWBaseHTMLForm.Dispose"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 86 4C 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 34 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 2C 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 68 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 86 6C 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45061_0 {
	meta:
		name = "TIWForm.Notification"
		size = 228
		refs = "0018 TIWForm.Notification 0029 TIWContainer.Notification 0047 TIWForm.GetProgressIndicator 0054 TIWForm.SetProgressIndicator 005c _Dn_TFrame 0061 @IsClass 0075 @UStrCat3 007f TComponent.FindComponent 008f TObject.Free 00a4 @UStrClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 61 3B B7 24 03 00 00 75 0A 33 C0 89 87 24 03 00 00 EB 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8D 45 F8 B9 ?? ?? ?? ?? 8B 56 08 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 50 00 61 00 72 00 65 00 6E 00 74 00 52 00 65 00 63 00 74 00 61 00 6E 00 67 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_45062_0 {
	meta:
		name = "TIWForm.AddToInitProc"
		size = 26
		refs = "0013 @UStrCat"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 0D 8D 83 28 03 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45063_0 {
	meta:
		name = "TIWForm.Loaded"
		size = 69
		refs = "0006 TIWBaseContainer.GetDesignMode 001c TIWFileReference.get_Empty 0025 gServerController 003f TIWContainer.Loaded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2E 8B C3 8B 10 FF 52 74 8B 83 4C 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 18 A1 ?? ?? ?? ?? 8B 00 8B 90 4C 01 00 00 8B 83 4C 03 00 00 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45064_0 {
	meta:
		name = "TIWForm.SetBackground"
		size = 12
	strings:
		$1 = { 8B 80 34 03 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_45065_0 {
	meta:
		name = "TIWForm.SetStyleSheet"
		size = 12
	strings:
		$1 = { 8B 80 4C 03 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_45066_0 {
	meta:
		name = "TIWForm.AddSubmitIFrame"
		size = 2084
		refs = "0022 TIWForm.AddSubmitIFrame 0031 gServerController 0041 TIWServerControllerBase.NewCacheFile 0048 TIWForm.get_PageContext 0050 TIWHTMLTag.GetContents 005c TIWHTMLTagCollection.AddTag 0065 TIWBaseForm.GetWebApplication 006d TIWApplication.GetUserCacheURL 007c ExtractFileName 0085 @UStrCat 0094 TIWMarkupLanguageTag.AddStringParam 00e3 iif 0118 TIWPageContext40.GetUpdateControlsProc 0167 Format 0186 @UStrCatN 01ba TIWPageContext40.GetUpdateInitProc 01e2 TIWForm.get_LayoutMgr 01e8 _Dn_TIWTemplateProcessorHTML 01ed @IsClass 0247 _Dn_TIWRenderStream 024c TIWRenderStream.Create 026f TIWMarkupLanguageElement.Render 027c @UStrLAsg 028c TIWRenderStream.WriteString 0296 TIWRenderStream.WriteRenderStream 02b1 _Dn_TFileStream 02b6 TFileStream.Create 02d9 WriteStringToStream 02e8 TStream.CopyFrom 030f TObject.Free 0315 @HandleFinally 031f @UStrClr 0356 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D EC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 A1 ?? ?? ?? ?? 8B 00 8B 00 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 40 0C E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8D 45 DC 50 8D 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D8 58 E8 ?? ?? ?? ?? 8B 4D DC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 45 F0 50 A1 ?? ?? ?? ?? 8B 00 83 B8 98 00 00 00 00 0F 94 C0 8B 15 ?? ?? ?? ?? 8B 12 8B 8A 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 D0 50 8D 45 C8 50 8B 43 50 89 45 B8 C6 45 BC 00 8B 43 54 89 45 C0 C6 45 C4 00 8D 55 B8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 C8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 CC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 CC 50 8B C3 E8 ?? ?? ?? ?? 8D 55 B4 E8 ?? ?? ?? ?? 83 7D B4 00 0F 95 C0 33 C9 5A E8 ?? ?? ?? ?? FF 75 D0 8B C3 E8 ?? ?? ?? ?? 8D 55 B0 E8 ?? ?? ?? ?? FF 75 B0 68 ?? ?? ?? ?? 8D 45 AC 50 8B C3 E8 ?? ?? ?? ?? 8D 55 A8 E8 ?? ?? ?? ?? 83 7D A8 00 74 16 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 AC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 1C 00 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 55 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D E7 00 74 20 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 E8 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? EB 7D 68 21 FF 00 00 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 83 C9 FF 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 55 E8 8B 45 E0 E8 ?? ?? ?? ?? 6A 01 6A 00 83 C9 FF 8B 55 F8 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 74 00 6D 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 46 00 52 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 52 00 43 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 75 00 62 00 6D 00 69 00 74 00 46 00 72 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2A 00 00 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 61 00 62 00 73 00 6F 00 6C 00 75 00 74 00 65 00 3B 00 6C 00 65 00 66 00 74 00 3A 00 2D 00 31 00 30 00 30 00 30 00 70 00 78 00 3B 00 74 00 6F 00 70 00 3A 00 2D 00 31 00 30 00 30 00 30 00 70 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 B0 04 02 00 FF FF FF FF 48 00 00 00 3C 00 68 00 74 00 6D 00 6C 00 3E 00 3C 00 68 00 65 00 61 00 64 00 3E 00 3C 00 4D 00 45 00 54 00 41 00 20 00 48 00 54 00 54 00 50 00 2D 00 45 00 51 00 55 00 49 00 56 00 3D 00 22 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 22 00 20 00 43 00 4F 00 4E 00 54 00 45 00 4E 00 54 00 3D 00 22 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 3B 00 20 00 43 00 48 00 41 00 52 00 53 00 45 00 54 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 73 00 63 00 72 00 69 00 70 00 74 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 75 00 70 00 64 00 61 00 74 00 65 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 73 00 28 00 29 00 20 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 69 00 6E 00 69 00 74 00 28 00 29 00 20 00 7B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 75 00 70 00 64 00 61 00 74 00 65 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 73 00 28 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 49 00 6E 00 69 00 74 00 52 00 65 00 63 00 74 00 73 00 28 00 25 00 64 00 2C 00 20 00 25 00 64 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 49 00 6E 00 69 00 74 00 49 00 57 00 43 00 4C 00 4F 00 62 00 6A 00 65 00 63 00 74 00 73 00 28 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 42 00 6F 00 64 00 79 00 5F 00 4F 00 6E 00 52 00 65 00 73 00 69 00 7A 00 65 00 28 00 29 00 3B 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 47 00 53 00 75 00 62 00 6D 00 69 00 74 00 74 00 69 00 6E 00 67 00 3D 00 66 00 61 00 6C 00 73 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 56 00 61 00 6C 00 69 00 64 00 43 00 6C 00 69 00 63 00 6B 00 3D 00 74 00 72 00 75 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 2F 00 73 00 63 00 72 00 69 00 70 00 74 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 3C 00 2F 00 68 00 65 00 61 00 64 00 3E 00 3C 00 62 00 6F 00 64 00 79 00 20 00 6F 00 6E 00 6C 00 6F 00 61 00 64 00 3D 00 22 00 69 00 6E 00 69 00 74 00 28 00 29 00 22 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 0D 00 0A 00 3C 00 2F 00 62 00 6F 00 64 00 79 00 3E 00 0D 00 0A 00 3C 00 2F 00 68 00 74 00 6D 00 6C 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_45067_0 {
	meta:
		name = "TIWForm.DoDefaultAction"
		size = 29
	strings:
		$1 = { 53 66 83 B8 42 03 00 00 00 74 10 8B D8 8B D0 8B 83 44 03 00 00 FF 93 40 03 00 00 5B C3 }
	condition:
		$1
}

rule function_45068_0 {
	meta:
		name = "TIWForm.ProcessContentFile"
		size = 268
		refs = "0015 @UStrAddRef 001d TIWForm.ProcessContentFile 005a @UStrCopy 0065 UpperCase 0072 @UStrEqual 007c gServerController 0083 TIWServerControllerBase.GetFilesURL 008e @UStrCat 0099 TIWForm.get_PageContext 009f TIWPageContext40.AddPreScriptFile 00cc TIWPageContext40.AddLinkFile 00e6 @UStrArrayClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 93 00 00 00 8B DA 85 DB 74 05 83 EB 04 8B 1B 8D 45 F4 50 8B D3 83 EA 02 B9 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2D 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F0 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 2B 8D 55 EC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 EC 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 4A 00 53 00 00 00 }
	condition:
		$1
}

rule function_45069_0 {
	meta:
		name = "FindTIWFiles"
		size = 424
		refs = "0015 FindTIWFiles 0023 _Dn_TIWFile 0028 @IsClass 0060 BaseContainerInterface 0076 SupportsInterface 0084 BaseControlInterface 0111 _Dn_TFrame 0129 TComponent.GetComponentCount 0140 TComponent.GetComponent 0162 @IntfClear 016a @UStrClr 0178 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8B F3 8B C6 8B 10 FF 92 E4 00 00 00 84 C0 74 1A 8D 55 F4 8B C6 8B 08 FF 91 14 01 00 00 8B 55 F4 8B CB 8B 45 F8 8B 30 FF 56 3C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 9F 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 28 84 C0 0F 84 B9 00 00 00 8B 45 FC 8B 10 FF 52 34 8B F0 4E 85 F6 0F 8C A6 00 00 00 46 33 FF 8B 45 08 50 8B D7 8B 45 FC 8B 08 FF 51 30 8B 55 F8 E8 ?? ?? ?? ?? 59 47 4E 75 E5 E9 83 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 73 8B 45 FC 8B 10 FF 52 34 8B F0 4E 85 F6 7C 64 46 33 FF 8B 45 08 50 8B D7 8B 45 FC 8B 08 FF 51 30 8B 55 F8 E8 ?? ?? ?? ?? 59 47 4E 75 E5 EB 44 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 33 8B F3 80 7E 61 00 74 2B 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 1F 40 89 C6 33 FF 8B 45 08 50 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 59 47 4E 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 00 15 33 54 F3 83 E8 48 46 88 64 4F 88 25 38 4D 5E 70 93 07 4B B7 D1 13 4D 95 01 AD 0D 15 72 BF 4D }
	condition:
		$1
}

rule function_45070_0 {
	meta:
		name = "SubmitNextFileProc"
		size = 1444
		refs = "0019 SubmitNextFileProc 0026 _Dn_TStringList 002b TStringList.Create 0038 TStringList.SetSorted 0058 FindTIWFiles 0075 @UStrAsg 009d IntToStr 00ea @UStrCatN 0112 TIWCustomFile.GetAsyncOnStatus 0148 TIWBaseForm.GetWebApplication 0150 TIWApplication.GetInternalURLBase 01dc TObject.Free 01e2 @HandleFinally 01fe @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 59 8B 45 FC 8B 10 FF 52 14 85 C0 0F 8E 5E 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 48 85 C0 0F 8C 1A 01 00 00 40 89 45 F8 33 F6 FF 33 68 ?? ?? ?? ?? 8D 55 F4 8B C6 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F0 8B D6 8B 45 FC 8B 38 FF 57 0C FF 75 F0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D EC 8B D6 8B 45 FC 8B 38 FF 57 0C FF 75 EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B 45 FC 8B 08 FF 51 18 66 83 B8 9A 02 00 00 00 74 28 FF 33 8B D6 8B 45 FC 8B 08 FF 51 18 8D 55 E8 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 33 8D 4D E4 8B D6 8B 45 FC 8B 38 FF 57 0C FF 75 E4 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 BA 06 00 00 00 E8 ?? ?? ?? ?? FF 33 8D 4D DC 8B D6 8B 45 FC 8B 38 FF 57 0C FF 75 DC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 BA 05 00 00 00 E8 ?? ?? ?? ?? 46 FF 4D F8 0F 85 EC FE FF FF FF 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 BA 06 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 35 00 00 00 76 00 61 00 72 00 20 00 66 00 69 00 6C 00 65 00 3D 00 30 00 3B 00 0D 00 0A 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 53 00 75 00 62 00 6D 00 69 00 74 00 4E 00 65 00 78 00 74 00 46 00 69 00 6C 00 65 00 28 00 41 00 4E 00 61 00 6D 00 65 00 2C 00 41 00 50 00 61 00 72 00 61 00 6D 00 29 00 7B 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 66 00 20 00 28 00 66 00 69 00 6C 00 65 00 3D 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 38 00 00 00 2E 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 66 00 6F 00 72 00 6D 00 73 00 5B 00 30 00 5D 00 2E 00 49 00 57 00 5F 00 4D 00 61 00 69 00 6E 00 50 00 61 00 67 00 65 00 53 00 75 00 62 00 6D 00 69 00 74 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 2E 00 76 00 61 00 6C 00 75 00 65 00 3D 00 41 00 4E 00 61 00 6D 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3E 00 00 00 2E 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 66 00 6F 00 72 00 6D 00 73 00 5B 00 30 00 5D 00 2E 00 49 00 57 00 5F 00 4D 00 61 00 69 00 6E 00 50 00 61 00 67 00 65 00 53 00 75 00 62 00 6D 00 69 00 74 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 50 00 61 00 72 00 61 00 6D 00 2E 00 76 00 61 00 6C 00 75 00 65 00 3D 00 41 00 50 00 61 00 72 00 61 00 6D 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 2E 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 66 00 6F 00 72 00 6D 00 73 00 5B 00 30 00 5D 00 2E 00 61 00 63 00 74 00 69 00 6F 00 6E 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 2F 00 75 00 70 00 6C 00 6F 00 61 00 64 00 2F 00 22 00 2B 00 28 00 66 00 69 00 6C 00 65 00 2B 00 47 00 54 00 72 00 61 00 63 00 6B 00 49 00 44 00 29 00 2B 00 22 00 2F 00 22 00 2B 00 47 00 41 00 70 00 70 00 49 00 44 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 2E 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 66 00 6F 00 72 00 6D 00 73 00 5B 00 30 00 5D 00 2E 00 73 00 75 00 62 00 6D 00 69 00 74 00 28 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 7D 00 20 00 65 00 6C 00 73 00 65 00 20 00 00 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 7B 00 20 00 53 00 75 00 62 00 6D 00 69 00 74 00 43 00 6C 00 69 00 63 00 6B 00 43 00 6F 00 6E 00 66 00 69 00 72 00 6D 00 28 00 41 00 4E 00 61 00 6D 00 65 00 2C 00 41 00 50 00 61 00 72 00 61 00 6D 00 2C 00 66 00 61 00 6C 00 73 00 65 00 2C 00 22 00 22 00 29 00 3B 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 66 00 69 00 6C 00 65 00 2B 00 2B 00 3B 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 66 00 61 00 6C 00 73 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_45071_0 {
	meta:
		name = "TIWForm.GenerateForm"
		size = 11888
		refs = "001c TIWForm.GenerateForm 002d TIWBaseForm.GenerateForm 0035 TIWBaseForm.GetWebApplication 005f _Dn_TIWPageContext40 0064 TIWPageContext40.Create 0093 BaseContainerInterface 009f TIWForm.get_PageContext 00b2 TIWContainer.set_ContainerContext 00c3 TIWContainer.get_ContainerContext 00ce TIWForm.RenderAsyncComponents 00df TIWContainerContext.GetControlsCount 00f2 TIWContainerContext.GetMarkupLanguageTagList 00fa TIWMarkupLanguageElement.Render 010e TIWCallBackResponse.AddTagToUpdate 0145 TIWCallBackResponse.AddJavaScriptToExecute 015f @UStrClr 0165 @HandleFinally 016f TIWForm.FillRealTabOrders 01fc gServerController 0209 @UStrAsg 022b _Dn_TIWBaseHTMLControl 0230 TIWBaseHTMLControl.TextToHTML 0274 TIWPageContext40.AddToInitProcPageUnlockCode 0286 TIWPageContext40.AddToInitProc 02e8 Format 031e TIWPageContext40.AddScriptFile 0354 SubmitNextFileProc 035e TIWPageContext40.AddToJavaScriptOnce 03c3 TIWForm.RenderWidgets 0401 TIWForm.ProcessContentFile 046d TIWMarkupLanguageTag.AddStringParam 04d9 TIWHTMLTag.GetContents 04e5 TIWHTMLTagCollection.AddTag 050b TStrings.GetName 053d @UStrCat3 055b TIWMarkupLanguageTag.AddIntegerParam 0582 TStrings.GetValue 0592 TIWBaseForm.TextToHTMLStringLiteral 06a8 TObject.ClassName 07aa iif 07cc GLicense 07d6 IntToStr 082e @UStrCatN 086a @UStrCat 0877 TIWApplication.GetBrowserSubtype 08e0 TIWServerControllerBase.GetFilesURL 08f7 TIWFileReference.Location 09eb TIWApplication.GetInternalURLBase 0a61 TIWMarkupLanguageTagCollection.AddText 0ab2 TIWMarkupLanguageTag.AddColor 0bf8 TIWForm.GetProgressIndicator 0c13 TIWProgressIndicator.Render 1017 TIWPageContext40.AddToInitProcFocusCode 1218 TIWPageContext40.RenderScriptFiles 1251 TIWPageContext40.FinalizeContext 1277 TIWBaseContainerLayout.SetContainer 12c6 TObject.Free 12ce TIWForm.ClearRealTabOrders 12f3 @UStrArrayClr 12fb @IntfClear"
	strings:
		$1 = { 55 8B EC B9 23 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 E0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 80 B8 94 00 00 00 00 0F 84 25 01 00 00 8B 45 FC 83 B8 68 03 00 00 00 75 3A 8B 45 FC E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 68 03 00 00 8B 45 FC 0F B6 80 65 03 00 00 88 43 70 8B 45 FC 8B 80 60 03 00 00 89 43 6C 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 50 8B 45 FC E8 ?? ?? ?? ?? 8B 50 04 58 8B 08 FF 51 38 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 59 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2C 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 83 7D E8 00 74 0E 8B 47 20 8B 40 74 8B 55 E8 E8 ?? ?? ?? ?? 43 4E 75 D7 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 28 03 00 00 00 74 19 8B 45 FC E8 ?? ?? ?? ?? 8B 40 74 8B 55 FC 8B 92 28 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 28 03 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 83 B8 68 03 00 00 00 75 47 8B 45 FC E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 68 03 00 00 8B 45 FC 0F B6 80 65 03 00 00 88 43 70 8B 45 FC 8B 80 60 03 00 00 89 43 6C 8B 45 FC 05 30 03 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 54 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 C0 74 8B 15 ?? ?? ?? ?? 8B 12 8B 92 80 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 C0 14 50 6A 00 8D 45 D4 50 8B 45 FC 8B 90 F8 02 00 00 B1 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 58 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 C0 10 50 8B 45 FC E8 ?? ?? ?? ?? 8B 50 68 58 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 49 03 00 00 00 74 12 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 4A 03 00 00 00 74 14 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 50 8B 45 FC 8B 40 50 89 45 C0 C6 45 C4 00 8B 45 FC 8B 40 54 89 45 C8 C6 45 CC 00 8D 55 C0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 55 8D 45 BC E8 ?? ?? ?? ?? 59 8B 55 BC 58 E8 ?? ?? ?? ?? 8D 55 B8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B8 50 8B 45 FC E8 ?? ?? ?? ?? 8B 50 04 58 8B 08 FF 51 38 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 59 8B 18 FF 93 5C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 59 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 80 CC 00 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 29 46 33 DB 8D 4D B4 A1 ?? ?? ?? ?? 8B 00 8B 80 CC 00 00 00 8B D3 8B 38 FF 57 0C 8B 55 B4 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 DA 8B 45 FC 8B 80 D0 02 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 25 46 33 DB 8D 4D B0 8B 45 FC 8B 80 D0 02 00 00 8B D3 8B 38 FF 57 0C 8B 55 B0 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 DE 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 89 45 DC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 45 FC 8B 88 04 03 00 00 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 80 78 1C 01 75 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 D4 02 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C DB 00 00 00 46 33 DB 8B 45 DC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8D 4D AC 8B 45 FC 8B 80 D4 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 4D AC BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8D 4D A4 8B 45 FC 8B 80 D4 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 4D A4 8D 45 A8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 C9 FF BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8D 4D 98 8B 45 FC 8B 80 D4 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 55 98 8D 4D 9C 8B 45 FC 8B 80 D4 02 00 00 E8 ?? ?? ?? ?? 8B 55 9C 8D 4D A0 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 4D A0 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 43 4E 0F 85 28 FF FF FF 8B 45 DC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 48 08 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 94 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 4D 94 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 65 03 00 00 00 74 70 8B 45 DC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 88 D0 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 90 50 8B 45 FC 0F B6 80 54 03 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 90 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 8C 50 8D 45 84 50 8D 55 80 A1 ?? ?? ?? ?? 8B 00 8B 40 2C E8 ?? ?? ?? ?? 8B 4D 80 A1 ?? ?? ?? ?? 8B 00 80 78 40 01 0F 94 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 84 8D 45 88 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 88 A1 ?? ?? ?? ?? 8B 00 0F B6 80 D0 00 00 00 33 C9 E8 ?? ?? ?? ?? FF 75 8C 68 ?? ?? ?? ?? 8D 45 F4 BA 08 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 80 C8 00 00 00 8B 10 FF 52 14 85 C0 7E 26 8D 95 7C FF FF FF A1 ?? ?? ?? ?? 8B 00 8B 80 C8 00 00 00 8B 08 FF 51 1C 8B 95 7C FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 04 F2 2C 02 73 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 80 B8 C1 00 00 00 00 75 1A FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 95 78 FF FF FF A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8D 4D F8 8B 45 FC 8B 80 4C 03 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 74 22 FF 75 F4 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 0F B6 40 18 2C 02 74 0F FE C8 74 33 FE C8 74 1B 48 2C 02 72 2A EB 3A 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 74 FF FF FF A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8D 4D F8 8B 45 FC 8B 80 34 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 58 0C 8B 45 FC 80 B8 49 03 00 00 00 75 10 8B 45 FC 80 B8 4A 03 00 00 00 0F 84 B8 00 00 00 A1 ?? ?? ?? ?? 8B 00 80 78 70 00 74 2B 8B 45 FC E8 ?? ?? ?? ?? 8B 40 04 8D 95 70 FF FF FF E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 8D 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 E4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 85 6C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 33 C9 58 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 49 03 00 00 00 74 13 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 20 03 00 00 00 75 11 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 10 03 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 85 68 FF FF FF 50 8B 45 FC 8B 80 34 03 00 00 0F B6 40 18 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 68 FF FF FF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 18 03 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 14 03 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 1C 03 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 65 03 00 00 00 74 63 8B 45 FC 66 83 B8 F2 00 00 00 00 74 56 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 80 78 18 02 75 11 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 2B 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 95 64 FF FF FF E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 50 8B C3 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 38 8D 95 60 FF FF FF 8B 08 FF 51 1C 83 BD 60 FF FF FF 00 74 4E 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 38 8D 95 58 FF FF FF 8B 08 FF 51 1C FF B5 58 FF FF FF 68 ?? ?? ?? ?? 8D 85 5C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 50 8B C3 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? EB 13 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 3C 8D 95 54 FF FF FF 8B 08 FF 51 1C 83 BD 54 FF FF FF 00 74 4E 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 3C 8D 95 4C FF FF FF 8B 08 FF 51 1C FF B5 4C FF FF FF 68 ?? ?? ?? ?? 8D 85 50 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 50 8B C3 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? EB 13 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 40 8D 95 48 FF FF FF 8B 08 FF 51 1C 83 BD 48 FF FF FF 00 74 4E 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 40 8D 95 40 FF FF FF 8B 08 FF 51 1C FF B5 40 FF FF FF 68 ?? ?? ?? ?? 8D 85 44 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 44 FF FF FF 50 8B C3 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? EB 13 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 44 8D 95 3C FF FF FF 8B 08 FF 51 1C 83 BD 3C FF FF FF 00 74 4E 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 44 8D 95 34 FF FF FF 8B 08 FF 51 1C FF B5 34 FF FF FF 68 ?? ?? ?? ?? 8D 85 38 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 38 FF FF FF 50 8B C3 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? EB 3B 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 42 03 00 00 00 74 14 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 2C FF FF FF 50 8D 95 28 FF FF FF A1 ?? ?? ?? ?? 8B 00 8B 58 68 8B C3 E8 ?? ?? ?? ?? 8B 95 28 FF FF FF 85 DB 0F 9F C0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF B5 2C FF FF FF 68 ?? ?? ?? ?? 8D 85 30 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 30 FF FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? FF 70 68 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? FF 70 64 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 80 D0 00 00 00 33 D2 52 50 8D 85 20 FF FF FF E8 ?? ?? ?? ?? FF B5 20 FF FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 24 FF FF FF BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 85 24 FF FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 B8 24 03 00 00 00 74 5E 68 ?? ?? ?? ?? 8D 95 18 FF FF FF 8B 45 FC 8B 80 24 03 00 00 8B 08 FF 91 14 01 00 00 FF B5 18 FF FF FF 68 ?? ?? ?? ?? 8D 85 1C FF FF FF BA 03 00 00 }
	condition:
		$1
}

rule function_45072_0 {
	meta:
		name = "TIWForm.GetProgressIndicator"
		size = 7
	strings:
		$1 = { 8B 80 60 03 00 00 C3 }
	condition:
		$1
}

rule function_45073_0 {
	meta:
		name = "ProcessParameters"
		size = 2460
		refs = "0017 ProcessParameters 0059 TStrings.GetName 0070 TStrings.GetValue 00d0 TStrings.SetValue 0110 _Dn_TStringList 0115 TStringList.Create 01cb TStrings.GetValueFromIndex 01db @UStrCatN 0278 TObject.Free 027e @HandleFinally 0309 TComponentArray 030e @DynArraySetLength 0337 UpperCase 0347 LocateComponent 034f @DynArrayHigh 039c isBaseComponent 03b5 BaseComponentInterface 03ea isBaseControl 040c BaseControlInterface 041d @TryFinallyExit 043c @IntfClear 0457 MultiInputInterface 0594 InputInterface 061a GTestFramework 064e TObject.ClassName 0699 TIWForm.get_PageContext 06a2 TIWApplication.FindFile 06d8 @HandleOnException 06e0 _Dn_Exception 0727 @DoneExcept 0769 iif 07a8 RSTrappedException 07b4 Format 07c1 _Dn_EIWException 07c6 EInException.Create 07cb @RaiseExcept 083f @UStrArrayClr 0878 @DynArrayClear 0880 @UStrClr"
	strings:
		$1 = { 55 8B EC B9 18 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 D4 02 00 00 8B 10 FF 52 14 48 85 C0 0F 8C D2 00 00 00 40 89 45 D0 C7 45 D8 00 00 00 00 8D 4D C4 8B 45 08 8B 40 FC 8B 80 D4 02 00 00 8B 55 D8 E8 ?? ?? ?? ?? 8B 55 C4 8D 4D C8 8B 45 08 8B 40 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 83 7D C8 00 0F 84 83 00 00 00 8D 4D BC 8B 45 08 8B 40 FC 8B 80 D4 02 00 00 8B 55 D8 E8 ?? ?? ?? ?? 8B 55 BC 8D 4D C0 8B 45 08 8B 40 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 8B 45 C0 50 8D 4D B8 8B 45 08 8B 40 FC 8B 98 D4 02 00 00 8B C3 8B 55 D8 E8 ?? ?? ?? ?? 8B 55 B8 8B C3 59 E8 ?? ?? ?? ?? 8D 4D B4 8B 45 08 8B 40 FC 8B 80 D4 02 00 00 8B 55 D8 E8 ?? ?? ?? ?? 8B 55 B4 8B 45 08 8B 40 FC 8B 80 F0 02 00 00 33 C9 E8 ?? ?? ?? ?? FF 45 D8 FF 4D D0 0F 85 39 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 90 F0 02 00 00 8B 45 D4 8B 08 FF 51 08 8D 4D B0 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 83 7D B0 00 0F 95 45 E7 8B 45 08 8B 40 FC 8B 80 F0 02 00 00 8B 10 FF 52 44 E9 EB 00 00 00 8D 4D A8 33 D2 8B 45 D4 E8 ?? ?? ?? ?? 8B 55 A8 8D 4D AC 8B 45 08 8B 40 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 83 7D AC 00 74 71 8D 4D 9C 33 D2 8B 45 D4 E8 ?? ?? ?? ?? 8B 55 9C 8D 4D A0 8B 45 08 8B 40 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? FF 75 A0 68 ?? ?? ?? ?? 8D 4D 98 33 D2 8B 45 D4 E8 ?? ?? ?? ?? FF 75 98 8D 45 A4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 A4 50 8D 4D 94 33 D2 8B 45 D4 E8 ?? ?? ?? ?? 8B 55 94 8B 45 08 8B 40 FC 8B 80 F0 02 00 00 59 E8 ?? ?? ?? ?? EB 46 8D 4D 8C 33 D2 8B 45 D4 E8 ?? ?? ?? ?? FF 75 8C 68 ?? ?? ?? ?? 8D 4D 88 33 D2 8B 45 D4 E8 ?? ?? ?? ?? FF 75 88 8D 45 90 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 90 8B 45 08 8B 40 FC 8B 80 F0 02 00 00 8B 08 FF 51 38 33 D2 8B 45 D4 8B 08 FF 51 48 8B 45 D4 8B 10 FF 52 14 85 C0 0F 8F 05 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 8B 40 FC 8B 80 F0 02 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 F0 02 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 D4 C6 40 39 01 8B 45 08 8B 40 FC 8B 80 F0 02 00 00 8B 10 FF 52 14 48 85 C0 0F 8C 1C 02 00 00 40 89 45 D0 C7 45 D8 00 00 00 00 6A 00 8D 45 E8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 E8 50 8D 4D 80 8B 45 08 8B 40 FC 8B 80 F0 02 00 00 8B 55 D8 E8 ?? ?? ?? ?? 8B 45 80 8D 55 84 E8 ?? ?? ?? ?? 8B 45 84 8B 55 08 8B 52 FC 33 C9 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 8C A7 01 00 00 40 89 45 CC C7 45 DC 00 00 00 00 8D 8D 7C FF FF FF 8B 45 08 8B 40 FC 8B 98 F0 02 00 00 8B C3 8B 55 D8 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8D 4D EC 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 DC 8B 04 90 E8 ?? ?? ?? ?? 84 C0 0F 84 4E 01 00 00 8B 45 E8 8B 55 DC 8B 04 90 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F0 00 0F 84 08 01 00 00 8B 45 F0 8B 10 FF 52 1C 84 C0 0F 84 F8 00 00 00 8B 45 F0 8B 10 FF 52 0C E8 ?? ?? ?? ?? 84 C0 74 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 10 FF 52 0C 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 28 84 C0 75 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CB 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 10 FF 52 0C 8D 95 78 FF FF FF E8 ?? ?? ?? ?? 83 BD 78 FF FF FF 00 74 2C 8D 8D 74 FF FF FF 8B 45 08 8B 40 FC 8B 80 F0 02 00 00 8B 55 D8 8B 18 FF 53 0C 8B 95 74 FF FF FF 8B 45 D4 8B 08 FF 51 54 85 C0 7C 15 8B 45 F0 8B 10 FF 52 0C 8B D0 8B 45 D4 8B 08 FF 51 5C 40 75 34 8D 8D 70 FF FF FF 8B 45 08 8B 40 FC 8B 80 F0 02 00 00 8B 55 D8 8B 18 FF 53 0C 8B 85 70 FF FF FF 50 8B 45 F0 8B 10 FF 52 0C 8B C8 8B 45 D4 5A 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 DC FF 4D CC 0F 85 64 FE FF FF FF 45 D8 FF 4D D0 0F 85 EF FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 D4 8B 10 FF 52 14 48 85 C0 0F 8C FB 01 00 00 40 89 45 D0 C7 45 D8 00 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D 6C FF FF FF 8B 55 D8 8B 45 D4 E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8D 4D EC 8B 45 D4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 D8 8B 45 D4 8B 08 FF 51 18 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 1C 84 C0 0F 84 BD 00 00 00 8B 55 EC 8B 45 F8 8B 08 FF 51 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 D8 8B 45 D4 8B 08 FF 51 18 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 22 8D 8D 68 FF FF FF 8B 55 D8 8B 45 D4 E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8B 4D EC 8B 45 FC 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 A1 ?? ?? ?? ?? 83 38 00 74 42 8B 45 EC 50 8D 8D 64 FF FF FF 8B 55 D8 8B 45 D4 E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 50 8D 95 60 FF FF FF 8B 45 08 8B 40 FC 8B 00 E8 ?? ?? ?? ?? 8B 95 60 FF FF FF A1 ?? ?? ?? ?? 8B 00 59 8B 18 FF 53 10 8B 45 F8 8B 10 FF 52 0C 3C 01 75 3F 8D 8D 5C FF FF FF 8B 45 08 8B 40 FC 8B 80 F0 02 00 00 8B 55 D8 E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 40 04 5A E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 54 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 68 ?? ?? ?? ?? 8B 55 D8 8B 45 D4 8B 08 FF 51 18 FF B0 F4 01 00 00 68 ?? ?? ?? ?? FF 73 04 8D 85 58 FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 95 58 FF FF FF 8B 45 E0 8B 08 FF 51 38 E8 ?? ?? ?? ?? FF 45 D8 FF 4D D0 0F 85 10 FE FF FF 8B 45 E0 8B 10 FF 52 14 85 C0 0F 8E 88 00 00 00 8D 85 54 FF FF FF 50 8D 85 40 FF FF FF 50 8B 45 E0 8B 10 FF 52 14 48 0F 9F C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 40 FF FF FF 89 85 44 FF FF FF C6 85 48 FF FF FF 11 8D 95 3C FF FF FF 8B 45 E0 8B 08 FF 51 1C 8B 85 3C FF FF FF 89 85 4C FF FF FF C6 85 50 FF FF FF 11 8D 95 44 FF FF FF A1 ?? ?? ?? ?? 8B 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 8D 54 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 8D 45 E8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 3C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 54 FF FF FF BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 14 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 87 0F B6 45 E7 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 57 00 5F 00 4D 00 61 00 69 00 6E 00 50 00 61 00 67 00 65 00 53 00 75 00 62 00 6D 00 69 00 74 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 57 00 5F 00 46 00 6F 00 72 00 6D 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 57 00 5F 00 46 00 6F 00 72 00 6D 00 43 00 6C 00 61 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 73 00 00 00 }
	condition:
		$1
}

rule function_45074_0 {
	meta:
		name = "TIWForm.ExecuteForm"
		size = 1572
		refs = "0019 TIWForm.ExecuteForm 0033 TIWBaseForm.GetWebApplication 003c _Dn_TIWPageContext40 0041 TIWPageContext40.Create 0066 @UStrClr 0070 SetDoRefreshControl 0078 TIWBaseForm.ExecuteForm 008e TStrings.GetValue 00a3 TStrings.SetValue 0132 StrToIntDef 0210 ProcessParameters 0258 TIWApplication.PerformCallBack 026f TIWContainer.get_ContainerContext 0283 TIWContainerContext.GetControlInstance 028b BaseHTMLComponentInterface 02a1 TComponentArray 02a6 @DynArraySetLength 02ba LocateComponent 02c2 @DynArrayLength 02df RSNoSubmitComponent 02e8 _Dn_Exception 02ed Exception.Create 02f2 @RaiseExcept 0324 RSNoSubmitHandler 032d Format 0354 GTestFramework 0379 TObject.ClassName 039b _Dn_TControl 03a0 @IsClass 03bd @IntfClear 03c7 SubmitInterface 03f2 @HandleOnException 03fa _Dn_EAbort 040d @RaiseAgain 0412 @DoneExcept 0441 @UStrLAsg 0459 AnsiCompareText 049e TIWForm.DoDefaultAction 04e8 @HandleFinally 0504 @UStrArrayClr 0534 @DynArrayClear"
	strings:
		$1 = { 55 8B EC B9 0C 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 68 03 00 00 00 75 3B 8B 45 FC E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 68 03 00 00 8B 45 FC 0F B6 80 65 03 00 00 88 43 70 8B 45 FC 05 30 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F8 8B 45 FC 8B 80 F0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F0 02 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8B 45 FC 8B 80 F0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F0 02 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D D0 8B 45 FC 8B 80 F0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D D0 00 0F 84 BD 00 00 00 8D 4D CC 8B 45 FC 8B 80 F0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D CC 00 0F 84 9D 00 00 00 8D 4D C8 8B 45 FC 8B 80 F0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 8B 55 FC 8B 52 50 E8 ?? ?? ?? ?? 8B D8 8D 4D C4 8B 45 FC 8B 80 F0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 8B 55 FC 8B 52 54 E8 ?? ?? ?? ?? 8B F0 53 56 33 C9 33 D2 8B 45 FC 8B 38 FF 97 A4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 58 48 8B 45 FC E8 ?? ?? ?? ?? 89 70 44 8B 45 FC 8B 80 F0 02 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F0 02 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D C0 8B 45 FC 8B 80 F0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D C0 00 74 16 8D 4D F8 8B 45 FC 8B 80 F0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 04 B0 01 EB 11 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C0 84 C0 0F 84 E0 02 00 00 55 E8 ?? ?? ?? ?? 59 88 45 D7 8D 4D BC 8B 45 FC 8B 80 F0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D BC 00 74 2D 8D 4D B8 8B 45 FC 8B 80 F0 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 50 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? E9 8D 02 00 00 83 7D F8 00 0F 84 AB 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 18 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 83 7D F0 00 75 42 6A 00 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 EC 50 33 C9 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 85 C0 7E 0D 8D 55 F0 8B 45 EC 8B 00 E8 ?? ?? ?? ?? 83 7D F0 00 75 1E 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1B 01 00 00 8B 45 F0 8B 10 FF 52 18 84 C0 75 3E 8D 45 B4 50 8D 55 A8 8B 45 F0 8B 08 FF 51 30 8B 45 A8 89 45 AC C6 45 B0 11 8D 55 AC A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 4D B4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 00 74 30 8B 45 F4 50 8D 55 A4 8B 45 F0 8B 08 FF 51 2C 8B 45 A4 50 8D 55 A0 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 55 A0 A1 ?? ?? ?? ?? 8B 00 59 8B 18 FF 53 14 8B 45 F0 8B 10 FF 52 0C 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8B C6 8B 10 FF 52 68 84 C0 75 04 84 DB 75 2E 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 E8 8B 08 FF 51 10 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 DC FF 55 D8 33 C0 5A 59 59 64 89 10 EB 25 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D F0 00 0F 84 A3 00 00 00 8B 45 F0 8B 10 FF 52 18 84 C0 74 2A 8D 45 E4 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 EB 02 33 C0 84 C0 74 04 B0 01 EB 12 83 7D F8 00 75 06 80 7D D7 00 74 04 33 C0 EB 02 B0 01 84 C0 74 4D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 25 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A6 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 57 00 5F 00 41 00 63 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 57 00 5F 00 41 00 63 00 74 00 69 00 6F 00 6E 00 50 00 61 00 72 00 61 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 57 00 5F 00 68 00 65 00 69 00 67 00 68 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 57 00 5F 00 77 00 69 00 64 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_45075_0 {
	meta:
		name = "TIWForm.SetBounds"
		size = 194
		refs = "001a TIWBaseContainer.GetDesignMode 003f TWinControl.SetBounds 004a @CallDynaInst 0051 TIWBaseContainer.ForceAlign 0058 TIWContainer.get_IWComponentsCount 006c TIWContainer.get_Component 0072 _Dn_TFrame 0077 @IsClass"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 08 8B 75 0C 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 84 00 00 00 3B 73 50 75 09 3B 7B 54 0F 84 85 00 00 00 56 57 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE D0 FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 58 40 89 45 F4 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8B D6 8B C3 E8 ?? ?? ?? ?? 66 83 B8 F2 00 00 00 00 74 10 8B F8 8B D0 8B 87 F4 00 00 00 FF 97 F0 00 00 00 46 FF 4D F4 75 BF EB 0F 56 57 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_45076_0 {
	meta:
		name = "TIWForm.SetActiveControl"
		size = 190
		refs = "0015 @IntfAddRef 001d TIWForm.SetActiveControl 0055 TIWBaseForm.GetWebApplication 0086 @UStrAsg 00a5 @UStrClr 00ad @IntfClear 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 3B 83 24 03 00 00 0F 95 C0 88 83 64 03 00 00 83 7D FC 00 74 48 8B 45 FC 8B 10 FF 52 0C 89 83 24 03 00 00 8B C3 E8 ?? ?? ?? ?? 80 B8 94 00 00 00 00 74 32 8B C3 E8 ?? ?? ?? ?? 8B 40 74 83 C0 14 50 8D 55 F8 8B 83 24 03 00 00 8B 08 FF 91 14 01 00 00 8B 55 F8 58 E8 ?? ?? ?? ?? EB 08 33 C0 89 83 24 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45077_0 {
	meta:
		name = "TIWForm.set_LayoutMgr"
		size = 81
		refs = "0013 TIWBaseContainerLayout.SetContainer 0020 TComponent.RemoveFreeNotification 0033 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 B0 02 00 00 85 C0 74 14 33 D2 E8 ?? ?? ?? ?? 8B D3 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 B0 02 00 00 85 C0 74 1E 8B D3 E8 ?? ?? ?? ?? 8B D3 85 D2 74 06 81 EA 48 FD FF FF 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45078_0 {
	meta:
		name = "TIWForm.get_LayoutMgr"
		size = 7
		altNames = "TIWHTML40Container.get_LayoutMgr TPanningWindow.GetPanControl"
	strings:
		$1 = { 8B 80 B0 02 00 00 C3 }
	condition:
		$1
}

rule function_45079_0 {
	meta:
		name = "TIWForm.GenerateControlPositions"
		size = 1152
		refs = "001b TIWForm.GenerateControlPositions 0029 @UStrClr 0033 HTML40ContainerInterface 005d SupportsInterface 0077 HTML40ComponentInterface 00b5 BaseControlInterface 00f3 HTML40ControlInterface 0154 Format 01a3 @UStrCatN 0202 _Dn_TFrame 0207 @IsClass 0229 TComponent.FindComponent 0283 @IntfClear 02a0 @UStrArrayClr 02ce @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 34 8B F0 4E 85 F6 0F 8C 28 02 00 00 46 33 DB 8B D3 8B 45 FC 8B 08 FF 51 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 3E 01 00 00 8B D3 8B 45 FC 8B 08 FF 51 30 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 50 84 C0 0F 84 1C 01 00 00 8B D3 8B 45 FC 8B 08 FF 51 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 00 01 00 00 8B D3 8B 45 FC 8B 08 FF 51 30 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 28 84 C0 0F 84 DE 00 00 00 8B D3 8B 45 FC 8B 08 FF 51 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C2 00 00 00 8B D3 8B 45 FC 8B 08 FF 51 30 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 FF 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E8 50 8B 45 F8 8B 10 FF 52 68 89 45 C8 C6 45 CC 00 8B 45 F8 8B 10 FF 52 6C 89 45 D0 C6 45 D4 00 8B 45 F8 8B 10 FF 52 60 89 45 D8 C6 45 DC 00 8B 45 F8 8B 10 FF 52 64 89 45 E0 C6 45 E4 00 8D 55 C8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 C4 8B 45 F8 8B 08 FF 51 30 FF 75 C4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 C0 8B 45 F8 8B 08 FF 51 30 FF 75 C0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 BA 0D 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 51 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 8B 45 F4 FF 30 68 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 51 30 8D 55 B8 E8 ?? ?? ?? ?? 8B 45 B8 8D 55 BC 8B 08 FF 51 58 FF 75 BC 8B 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 51 30 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5B 8B D3 8B 45 FC 8B 08 FF 51 30 8B F8 80 7F 61 00 74 49 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 C0 74 39 8B 45 F4 FF 30 68 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8D 55 B0 E8 ?? ?? ?? ?? 8B 45 B0 8D 55 B4 8B 08 FF 51 58 FF 75 B4 8B 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 43 4E 0F 85 DB FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AB 5F 5E 5B 8B E5 5D C3 00 BA DA 7A 9A 76 A5 A0 4C 8C A1 61 2E 8D 32 2E C4 15 33 54 F3 83 E8 48 46 88 64 4F 88 25 38 4D 5E 21 DD 52 13 BF EC EE 4A A4 3B 95 6B E7 43 D2 6C B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 76 00 61 00 72 00 20 00 6C 00 52 00 65 00 63 00 74 00 20 00 3D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 6E 00 65 00 77 00 20 00 70 00 61 00 72 00 65 00 6E 00 74 00 2E 00 52 00 65 00 63 00 74 00 28 00 25 00 64 00 2C 00 20 00 25 00 64 00 2C 00 20 00 25 00 64 00 2C 00 20 00 25 00 64 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 57 00 43 00 4C 00 2E 00 53 00 65 00 74 00 52 00 65 00 63 00 74 00 28 00 6C 00 52 00 65 00 63 00 74 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 49 00 57 00 43 00 4C 00 2E 00 52 00 65 00 63 00 74 00 20 00 3D 00 20 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 43 00 6F 00 70 00 79 00 52 00 65 00 63 00 74 00 28 00 6C 00 52 00 65 00 63 00 74 00 29 00 3B 00 00 00 00 00 F9 29 D2 54 29 0F E4 47 B2 23 32 A7 00 C3 08 C2 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 57 00 46 00 72 00 61 00 6D 00 65 00 52 00 65 00 67 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_45080_0 {
	meta:
		name = "TIWForm.InitContainerContext"
		size = 139
		refs = "0017 _Dn_TIWContainerContext 001c TIWContainerContext.Create 0025 TIWForm.get_LayoutMgr 0034 _Dn_TIWLayoutMgrForm 0039 TIWVCLComponent.Create 0050 TIWBaseContainerLayout.SetContainer"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C6 8B 10 FF 92 40 01 00 00 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 12 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 2E 8B D6 85 D2 74 06 81 EA 48 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 48 84 C0 75 10 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 85 D2 74 06 81 EA 48 FD FF FF 8B C3 E8 ?? ?? ?? ?? 89 5F 18 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45082_0 {
	meta:
		name = "TIWBackground.AssignTo"
		size = 42
		refs = "000b TIWFileReference.AssignTo 0013 _DV_TIWBackground 0018 @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 0F B6 43 18 88 46 18 5E 5B C3 }
	condition:
		$1
}

rule function_45083_0 {
	meta:
		name = "TIWForm.DoPostRenderProcessing"
		size = 276
		refs = "001d TIWForm.DoPostRenderProcessing 002e TIWContainer.DoPostRenderProcessing 0042 SupportsInterface 0050 HTML40ControlInterface 007a _Dn_TIWContainerBorderOptions 007f TIWContainerBorderOptions.CreateDefaultFrame 008a TIWBaseComponentContext.SetMLTag 00b3 HTML40ComponentInterface 00d2 @IntfClear 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D FC 8B D9 89 55 F8 8B 75 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 56 8B CB 8B 55 F8 E8 ?? ?? ?? ?? 8B F8 8B 45 F8 89 45 F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 44 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 B0 00 00 00 84 C0 74 22 8B 43 0C 8B 40 18 80 78 44 00 74 16 8B 45 FC 50 8B 4B 14 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 43 14 8B 40 04 80 B8 C8 00 00 00 00 75 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 14 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 8B D3 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C7 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 21 DD 52 13 BF EC EE 4A A4 3B 95 6B E7 43 D2 6C BA DA 7A 9A 76 A5 A0 4C 8C A1 61 2E 8D 32 2E C4 }
	condition:
		$1
}

rule function_45084_0 {
	meta:
		name = "TIWForm.CheckUpdateTree"
		size = 116
		refs = "000d TIWForm.CheckUpdateTree 0021 SupportsInterface 002f HTML40ComponentInterface 004e @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 14 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 50 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 00 BA DA 7A 9A 76 A5 A0 4C 8C A1 61 2E 8D 32 2E C4 }
	condition:
		$1
}

rule function_45863_0 {
	meta:
		name = "TIWCustomRegion.CheckUpdateTree"
		size = 116
		refs = "000d TIWCustomRegion.CheckUpdateTree 0021 SupportsInterface 002f HTML40ComponentInterface 004e @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 14 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 50 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 00 BA DA 7A 9A 76 A5 A0 4C 8C A1 61 2E 8D 32 2E C4 }
	condition:
		$1
}

rule function_45085_0 {
	meta:
		name = "TIWForm.RenderComponents"
		size = 37
		refs = "000b TIWContainer.RenderComponents 0012 TIWForm.get_PageContext"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 46 18 8B 18 FF 53 60 5E 5B C3 }
	condition:
		$1
}

rule function_45086_0 {
	meta:
		name = "TIWForm.RenderAsync"
		size = 452
		refs = "0017 TIWForm.RenderAsync 002b _Dn_TIWXMLTag 0030 TIWXMLTag.CreateTag 0051 TIWMarkupLanguageTag.AddStringParam 0097 TIWXMLTag.SetCDATA 00a7 TStrings.GetName 00c6 TStrings.GetValueFromIndex 00d3 TIWMarkupLanguageTagCollection.AddText 00e2 TIWMarkupLanguageTagCollection.AddTagAsObject 00f7 @HandleAnyException 0104 TObject.Free 0109 @DoneExcept 0123 @UStrArrayClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4F 08 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 87 D4 02 00 00 8B 10 FF 52 14 48 85 C0 7C 75 40 89 45 F8 33 F6 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8D 4D F4 8B 87 D4 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 8B 87 D4 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 8B 43 0C 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 33 C9 8B D3 E8 ?? ?? ?? ?? 46 FF 4D F8 75 91 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 57 00 46 00 4F 00 52 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 68 00 69 00 64 00 64 00 65 00 6E 00 66 00 69 00 65 00 6C 00 64 00 00 00 }
	condition:
		$1
}

rule function_45087_0 {
	meta:
		name = "TIWForm.RenderAsyncComponents"
		size = 420
		refs = "000f TIWForm.RenderAsyncComponents 0022 TIWHTML40ContainerImplementation.RenderAsyncComponents 002b TIWForm.RenderAsync 003b TIWCallBackResponse.AddTagToUpdate 0079 @UStrCatN 0083 TIWCallBackResponse.AddJavaScriptToExecute 008b @UStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 6C 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0C 8B 53 20 8B 52 74 92 E8 ?? ?? ?? ?? 8B 43 20 8B 58 74 83 7B 14 00 74 44 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? 8D 45 FC BA 09 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 76 00 61 00 72 00 20 00 78 00 45 00 76 00 65 00 6E 00 74 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 57 00 43 00 4C 00 2E 00 6F 00 6E 00 42 00 6C 00 75 00 72 00 3B 00 20 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 57 00 43 00 4C 00 2E 00 6F 00 6E 00 42 00 6C 00 75 00 72 00 20 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 57 00 43 00 4C 00 2E 00 66 00 6F 00 63 00 75 00 73 00 28 00 29 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 49 00 57 00 43 00 4C 00 2E 00 6F 00 6E 00 42 00 6C 00 75 00 72 00 20 00 3D 00 20 00 78 00 45 00 76 00 65 00 6E 00 74 00 3B 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_45088_0 {
	meta:
		name = "TIWForm.SetIWAJAXNotifier"
		size = 7
	strings:
		$1 = { 89 90 58 03 00 00 C3 }
	condition:
		$1
}

rule function_45089_0 {
	meta:
		name = "TIWBackground.Create"
		size = 145
		refs = "000e @ClassCreate 001d @UStrAddRef 002d TIWBackground.Create 0043 TIWFileReference.Create 005f @UStrClr 006d @HandleFinally 007a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 0C 88 46 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_45092_0 {
	meta:
		name = "TIWModuleDsn.InitControl"
		size = 48
		refs = "0006 TIWContainer.InitControl 000b TIWModuleDsn.InitControl 001a TControl.SetWidth 0026 TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 58 BA B9 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 29 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 AB 00 00 00 }
	condition:
		$1
}

rule function_45093_0 {
	meta:
		name = "TCustomForm.GetChildren"
		size = 107
		refs = "0018 TWinControl.GetChildren 0023 TComponent.GetComponentCount 003d TComponent.GetComponent 004a @CallDynaInst"
		altNames = "TCustomFrame.GetChildren TIWModuleDsn.GetChildren"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F2 8B D8 FF 75 0C FF 75 08 8B D6 8B C3 E8 ?? ?? ?? ?? 3B DE 75 42 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 36 40 89 45 F8 C7 45 FC 00 00 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C7 66 BE F1 FF E8 ?? ?? ?? ?? 84 C0 75 08 8B D7 8B 45 0C FF 55 08 FF 45 FC FF 4D F8 75 D5 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_62834_0 {
	meta:
		name = "TDataModule.GetChildren"
		size = 107
		refs = "0018 TComponent.GetChildren 0023 TComponent.GetComponentCount 003d TComponent.GetComponent 004a @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F2 8B D8 FF 75 0C FF 75 08 8B D6 8B C3 E8 ?? ?? ?? ?? 3B DE 75 42 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 36 40 89 45 F8 C7 45 FC 00 00 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C7 66 BE F1 FF E8 ?? ?? ?? ?? 84 C0 75 08 8B D7 8B 45 0C FF 55 08 FF 45 FC FF 4D F8 75 D5 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_45094_0 {
	meta:
		name = "TIWModuleDsn.DefineProperties"
		size = 140
		refs = "000c TWinControl.DefineProperties 0012 TIWModuleDsn.ReadDesignLeft 0018 TIWModuleDsn.WriteDesignLeft 001f TIWModuleDsn.DefineProperties 002c TIWModuleDsn.ReadDesignTop 0032 TIWModuleDsn.WriteDesignTop"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 04 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 65 00 73 00 69 00 67 00 6E 00 4C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 65 00 73 00 69 00 67 00 6E 00 54 00 6F 00 70 00 00 00 }
	condition:
		$1
}

rule function_45095_0 {
	meta:
		name = "TIWModuleDsn.ReadDesignLeft"
		size = 43
		refs = "0011 TReader.ReadInteger 001a TControl.SetLeft"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 38 85 FF 74 12 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45096_0 {
	meta:
		name = "TIWModuleDsn.ReadDesignTop"
		size = 43
		refs = "0011 TReader.ReadInteger 001a TControl.SetTop"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 38 85 FF 74 12 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45097_0 {
	meta:
		name = "TIWModuleDsn.WriteDesignLeft"
		size = 13
		refs = "0008 TWriter.WriteInteger"
	strings:
		$1 = { 8B 40 38 8B 40 48 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45098_0 {
	meta:
		name = "TIWModuleDsn.WriteDesignTop"
		size = 13
		refs = "0008 TWriter.WriteInteger"
	strings:
		$1 = { 8B 40 38 8B 40 4C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45099_0 {
	meta:
		name = "TIWModuleDsn.Paint"
		size = 309
		refs = "0014 TCustomCanvas.Lock 002e toTColor 0058 TBrush.SetColor 0085 TBrush.SetStyle 0099 TPen.SetColor 00b4 TControl.GetClientWidth 00d5 TControl.GetClientHeight 0129 TCustomCanvas.Unlock"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B F8 8B C7 8B 10 FF 92 30 01 00 00 E8 ?? ?? ?? ?? 8D 54 24 08 8B C7 8B 08 FF 51 60 8B C7 8B 10 FF 92 20 01 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 25 8B C7 8B 10 FF 92 20 01 00 00 E8 ?? ?? ?? ?? 50 8B C7 8B 10 FF 92 30 01 00 00 8B 40 48 5A E8 ?? ?? ?? ?? EB 17 8B C7 8B 10 FF 92 30 01 00 00 8B 40 48 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 30 01 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 30 01 00 00 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 30 01 00 00 8D 54 24 08 8B 08 FF 51 54 8B 47 38 E8 ?? ?? ?? ?? 85 C0 79 03 83 C0 07 C1 F8 03 85 C0 7E 58 89 44 24 04 C7 04 24 01 00 00 00 8B 47 38 E8 ?? ?? ?? ?? 8B D8 85 DB 79 03 83 C3 07 C1 FB 03 85 DB 7E 2C BE 01 00 00 00 6A 00 8B C7 8B 10 FF 92 30 01 00 00 8B CE 03 C9 03 C9 03 C9 8B 54 24 04 03 D2 03 D2 03 D2 8B 28 FF 55 20 46 4B 75 D9 FF 04 24 FF 4C 24 04 75 B3 8B C7 8B 10 FF 92 30 01 00 00 E8 ?? ?? ?? ?? 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45100_0 {
	meta:
		name = "TIWModuleDsn.get_Canvas"
		size = 51
		refs = "0010 _Dn_TControlCanvas 0015 TCanvas.Create 0026 TControlCanvas.SetControl"
	strings:
		$1 = { 53 56 8B D8 83 BB C0 02 00 00 00 75 1D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C0 02 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 83 C0 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_45102_0 {
	meta:
		name = "TIWModuleDsn.WMHScroll"
		size = 22
		refs = "0006 TScrollingWinControl.WMHScroll"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_73912_0 {
	meta:
		name = "TBitBtn.CMEnabledChanged"
		size = 22
		refs = "0006 TWinControl.CMEnabledChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_73911_0 {
	meta:
		name = "TBitBtn.CMFontChanged"
		size = 22
		refs = "0006 TWinControl.CMFontChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_74355_0 {
	meta:
		name = "TColorGrid.CMCtl3DChanged"
		size = 22
		refs = "0006 TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_85072_0 {
	meta:
		name = "TCustomCheckBox.WMSize"
		size = 22
		refs = "0006 TWinControl.WMSize"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_84791_0 {
	meta:
		name = "TCustomGroupBox.WMSize"
		size = 22
		refs = "0006 TWinControl.WMSize"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_74647_0 {
	meta:
		name = "TCustomHeaderControl.WMWindowPosChanged"
		size = 22
		refs = "0006 TWinControl.WMWindowPosChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_78850_0 {
	meta:
		name = "TCustomPanel.CMBorderChanged"
		size = 22
		refs = "0006 TWinControl.CMBorderChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_83301_0 {
	meta:
		name = "TCustomRibbon.WMSettingChange"
		size = 22
		refs = "0006 TCustomRibbon.RebuildRibbonMetrics"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_83488_0 {
	meta:
		name = "TCustomRibbonGroup.CMTextchanged"
		size = 22
		refs = "0006 TWinControl.CMTextChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_94638_0 {
	meta:
		name = "TCustomTeePanel.CMSysColorChange"
		size = 22
		refs = "0006 TWinControl.CMSysColorChange"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_77148_0 {
	meta:
		name = "TDBCtrlGrid.WMSize"
		size = 22
		refs = "0006 TWinControl.WMSize"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_77426_0 {
	meta:
		name = "TDBImage.WMSize"
		size = 22
		refs = "0006 TWinControl.WMSize"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_77518_0 {
	meta:
		name = "TDBLookupControl.CMEnabledChanged"
		size = 22
		refs = "0006 TWinControl.CMEnabledChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_79016_0 {
	meta:
		name = "THeader.WMSize"
		size = 22
		refs = "0006 TWinControl.WMSize"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_45103_0 {
	meta:
		name = "TIWModuleDsn.WMVScroll"
		size = 22
		refs = "0006 TScrollingWinControl.WMVScroll"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_91642_0 {
	meta:
		name = "TTeeButton.CMTextChanged"
		size = 22
		refs = "0006 TWinControl.CMTextChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_45106_0 {
	meta:
		name = "TIWFormListManager.AddDataModule"
		size = 67
		refs = "0018 GGetWebApplicationThreadVar 003c TIWApplication.AddDataModule"
	strings:
		$1 = { 53 56 8B DA F6 43 1C 10 74 0D 8B F0 8B D3 8B 46 0C FF 56 08 5E 5B C3 A1 ?? ?? ?? ?? 83 38 00 74 1F 8B 35 ?? ?? ?? ?? 8B 36 FF D6 85 C0 74 11 8B 35 ?? ?? ?? ?? 8B 36 FF D6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45107_0 {
	meta:
		name = "TIWFormListManager.Create"
		size = 113
		refs = "000a @ClassCreate 0017 TObject.Create 001c AddDataModule 002c RemoveDataModule 0045 TIWFormListManager.AddDataModule 0053 TIWFormListManager.RemoveDataModule 005e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 89 56 08 8B 50 04 89 56 0C A1 ?? ?? ?? ?? 8B 10 89 56 10 8B 50 04 89 56 14 A1 ?? ?? ?? ?? 89 70 04 C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 70 04 C7 00 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_45108_0 {
	meta:
		name = "TIWFormListManager.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 000c AddDataModule 001c RemoveDataModule 0032 TObject.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 8B 56 08 89 10 8B 56 0C 89 50 04 A1 ?? ?? ?? ?? 8B 56 10 89 10 8B 56 14 89 50 04 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45109_0 {
	meta:
		name = "TIWFormListManager.RemoveDataModule"
		size = 76
		refs = "0018 InMainThread 0021 GGetWebApplicationThreadVar 0045 TIWApplication.RemoveDataModule"
	strings:
		$1 = { 53 56 8B DA F6 43 1C 10 74 0D 8B F0 8B D3 8B 46 14 FF 56 10 5E 5B C3 E8 ?? ?? ?? ?? 84 C0 75 29 A1 ?? ?? ?? ?? 83 38 00 74 1F 8B 35 ?? ?? ?? ?? 8B 36 FF D6 85 C0 74 11 8B 35 ?? ?? ?? ?? 8B 36 FF D6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45112_0 {
	meta:
		name = "ToGifFile"
		size = 158
		refs = "0012 _Dn_TGIFImage 0017 TGIFImage.Create 0021 _Dn_TMemoryStream 0026 TObject.Create 0031 ToGifFile 0059 TGIFImage.Pack 006e TCustomMemoryStream.SaveToFile 0083 TObject.Free 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 FF FF FF FF 1F 0F 95 C2 8B C3 8B 08 FF 51 40 8B D3 8B 45 FC 8B 08 FF 51 08 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 60 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45115_0 {
	meta:
		name = "CheckNotServerType"
		size = 28
		refs = "0002 GServerType 000b RSInvalidFunction 0012 _Dn_EIWException 0017 EIWException.IfTrue"
	strings:
		$1 = { 3A 05 ?? ?? ?? ?? 0F 94 C2 8B 0D ?? ?? ?? ?? 8B 09 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45116_0 {
	meta:
		name = "SetLicenseKey"
		size = 15
		refs = "0002 GLicense 000a TIWLicense.SetLicenseKey"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77899_0 {
	meta:
		name = "SetCursorType"
		size = 15
		refs = "0002 Screen 000a TScreen.SetCursor"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45118_0 {
	meta:
		name = "IsSupportedFormType"
		size = 73
		refs = "000a GIWFormTypes 0029 TList.Get 0032 @IsClass"
	strings:
		$1 = { 53 56 57 55 8B F8 33 DB 83 3D ?? ?? ?? ?? 00 74 31 A1 ?? ?? ?? ?? 8B 68 08 4D 85 ED 7C 24 45 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 04 46 4D 75 DF 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45119_0 {
	meta:
		name = "Finalization"
		size = 76
		refs = "0007 Finalization 0013 _DV_1 001a GIWFormTypes 0027 TObject.Free 002c GTestFramework 0031 @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1C A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_114869_0 {
	meta:
		name = "Finalization"
		size = 76
		refs = "0007 Finalization 0013 _DV_5 001a DOMVendors 0027 TObject.Free 002c DefaultDOMVendor 0031 @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1C A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_45121_0 {
	meta:
		name = "TIWGridBorderColors.Create"
		size = 92
		refs = "000a @ClassCreate 0017 TObject.Create 0021 fromTColor 0049 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 89 46 04 B8 FF FF FF 1F E8 ?? ?? ?? ?? 89 46 08 B8 FF FF FF 1F E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_45122_0 {
	meta:
		name = "TIWGridBorderColors.Create"
		size = 78
		refs = "000e @ClassCreate 001d TObject.Create 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 8B 45 0C 89 47 08 8B 45 08 89 47 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_45126_0 {
	meta:
		name = "TIWGridCell.AssignTo"
		size = 210
		refs = "0011 _DV_TIWGridCell 0016 @IsClass 0061 TIWGridCell.SetHeight 006f TIWGridCell.SetText 0089 TIWGridCell.SetWidth 00af TIWGridCell.SetControl 00bd TIWGridCell.SetCss 00ca TPersistent.AssignTo"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A1 00 00 00 8B 45 FC 8A 40 11 8B 55 F8 88 42 11 8B 45 F8 8B 55 FC 8B 52 14 89 50 14 8B 45 F8 8B 40 24 8B 55 FC 8B 52 24 8B 08 FF 51 08 8B 45 F8 8B 55 FC 8A 52 28 88 50 28 8B 45 FC 8B 50 2C 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 38 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8A 40 40 8B 55 F8 88 42 40 8B 45 FC 8B 50 44 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 8A 52 48 88 50 48 8B 45 F8 8B 55 FC 8A 52 41 88 50 41 8B 45 FC 8B 50 1C 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 54 8B 45 F8 E8 ?? ?? ?? ?? EB 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_45127_0 {
	meta:
		name = "TIWGridCell.Create"
		size = 208
		refs = "000e @ClassCreate 0024 TCollectionItem.Create 002e fromTColor 0042 _Dn_TIWFont 0047 TIWFont.Create 0069 TIWGridCell.Create 006e @UStrAsg 00a9 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 8B 45 FC C6 40 21 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 8B 45 FC 8B 50 24 8B 45 FC 8B 40 24 8B 08 FF 51 08 8B 45 FC 83 C0 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 40 41 01 8B 45 FC 83 C0 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 1C 8B 45 FC C6 40 50 01 8B 45 FC C6 40 30 01 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_45128_0 {
	meta:
		name = "TIWGridCell.Destroy"
		size = 70
		refs = "0007 @BeforeDestruction 0018 FreeAndNil 0022 TIWGridCell.SetControl 0030 TCollectionItem.Destroy 003e @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 83 C0 24 E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_45130_0 {
	meta:
		name = "TIWGridCell.Invalidate"
		size = 95
		refs = "0039 _DV_TIWGridCells 003e @IsClass 0053 @AsClass 0058 TIWGridCells.Invalidate"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 40 10 01 8B 45 FC 83 78 0C 00 74 11 8B 45 FC 8B 40 0C 8B 10 FF 92 9C 00 00 00 59 5D C3 8B 45 FC 83 78 04 00 74 2B 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_45131_0 {
	meta:
		name = "TIWGridCell.RenderSelf"
		size = 2664
		refs = "0024 @UStrAddRef 002c TIWGridCell.RenderSelf 004d _Dn_TIWHTMLTag 0052 TIWMarkupLanguageTag.CreateTag 006f _DV_TIWGrid 0074 @IsClass 008f TIWHTMLTag.GetContents 0098 TIWMarkupLanguageTagCollection.AddText 00c0 @HandleAnyException 00c8 FreeAndNil 00cd @RaiseAgain 00d2 @DoneExcept 00e6 HTML40ContainerInterface 0103 TIWCustomGrid.DoRenderCell 0142 _Dn_TIWCompContext 0147 TIWCompContext.Create 0172 TIWCustomControl.get_Css 0196 TIWMarkupLanguageTag.AddStringParam 01ae TIWMarkupLanguageTag.AddParmsList 01b9 TIWCompContext.SetHTMLTag 01d1 HTML40ControlInterface 0203 TIWTagParamsStringList.GetValue 0239 @UStrCatN 030a SupportsInterface 031c HTML40ComponentInterface 0336 TIWContainerContext.AddComponent 034f TIWCustomControl.get_DoRefreshControl 0370 TIWGridCell.Invalidate 0378 @UStrClr 039b @UStrLAsg 03d0 @UStrLen 03fb _Dn_TIWBaseHTMLControl 0400 TIWBaseHTMLControl.TextToHTML 0416 Trim 043f iif 04be TIWMarkupLanguageTag.Add 04cb IWGridAlignments 0557 @UStrEqual 0573 @UStrCat3 05f4 HTMLColor 06da TIWFont.FontToStringTag 06eb TIWHTMLTagCollection.AddTagAsObject 0745 TObject.Free 0783 @UStrArrayClr 078b @IntfClear 07d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 13 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 41 00 0F 85 98 00 00 00 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B 45 FC 8B 40 0C 80 B8 E8 02 00 00 00 75 13 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 33 D2 E8 ?? ?? ?? ?? EB 14 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 AB 06 00 00 E9 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8F 06 00 00 C6 45 DB 01 8D 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D4 8B 10 FF 52 40 89 45 DC 8B 45 10 50 8B 4D F4 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 C0 89 45 E0 8B 45 FC 83 78 1C 00 0F 84 56 02 00 00 8B 45 FC 8B 40 1C B2 01 8B 08 FF 91 E8 00 00 00 8B 45 DC 50 8B 45 0C 8B 40 20 50 8B 45 FC 8B 48 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8B 45 FC 8B 40 1C 85 C0 74 05 2D 70 FD FF FF 8B 55 E0 8B 08 FF 51 40 89 45 EC 8D 55 D0 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 83 7D D0 00 74 1E 8D 55 CC 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 4D CC BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B 10 FF 92 1C 01 00 00 8B D0 8B 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 E0 E8 ?? ?? ?? ?? 83 7D EC 00 0F 84 64 01 00 00 8D 55 C8 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 45 C8 8B 55 EC 8B 08 FF 51 4C 8D 4D E4 8B 45 FC 8B 40 1C 8B 55 E0 8B 18 FF 93 54 01 00 00 8D 4D C4 8B 45 EC 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D C4 00 74 30 FF 75 E4 68 ?? ?? ?? ?? 8D 4D C0 8B 45 EC 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 4D BC 8B 45 EC 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D BC 00 75 21 8D 55 B8 8B 45 FC 8B 40 1C 8B 08 FF 91 14 01 00 00 8B 4D B8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 4D B4 8B 45 EC 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D B4 00 75 21 8D 55 B0 8B 45 FC 8B 40 1C 8B 08 FF 91 14 01 00 00 8B 4D B0 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 4D AC 8B 45 EC 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D AC 00 75 24 8D 4D A8 8B 45 FC 8B 40 1C 8B 55 E0 8B 18 FF 93 50 01 00 00 8B 4D A8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 4D E4 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 84 C0 74 19 8D 55 A4 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 45 A4 8B 55 E0 8B 08 FF 51 60 6A 00 33 C9 8B 55 E0 8B 45 DC E8 ?? ?? ?? ?? 34 01 88 45 DB 8B 45 FC 80 78 10 00 75 13 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B 55 FC 88 42 10 8B 45 FC 80 78 10 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 8A 40 40 2C 01 72 0C 74 19 FE C8 74 24 FE C8 74 2F EB 3A 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 85 C0 75 0E 8D 45 08 8B 55 FC 8B 52 38 E8 ?? ?? ?? ?? 8B 45 FC 80 78 50 00 75 20 6A 00 8D 45 A0 50 B1 01 8B 55 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 8D 45 08 E8 ?? ?? ?? ?? 8D 55 9C 8B 45 08 E8 ?? ?? ?? ?? 83 7D 9C 00 75 06 83 7D EC 00 74 04 33 C0 EB 02 B0 01 88 45 DA 8D 45 98 50 8B 4D 08 BA ?? ?? ?? ?? 8A 45 DA E8 ?? ?? ?? ?? 8B 55 98 8D 45 08 E8 ?? ?? ?? ?? 6A 00 8D 45 94 50 8B 45 FC 8A 40 28 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 94 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B 45 FC 8B 40 0C 80 B8 E8 02 00 00 00 75 0A 80 7D DA 00 0F 85 C1 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 11 8B 15 ?? ?? ?? ?? 8B 0C 82 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 91 00 00 00 00 74 30 8B 45 FC 80 78 30 00 74 27 8D 55 90 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 83 7D 90 00 74 13 8B 45 FC 8B 48 4C BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 8C 50 8B 45 FC 8A 40 48 34 01 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 8C 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 88 50 8B 45 FC 83 78 44 00 74 12 8B 45 FC 8B 40 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 33 C0 EB 02 B0 01 50 8B 45 FC 8B 48 44 8D 45 84 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 84 33 C9 58 E8 ?? ?? ?? ?? 8B 55 88 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 80 50 8B 45 FC 83 78 2C 00 74 12 8B 45 FC 8B 40 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 33 C0 EB 02 B0 01 50 8B 45 FC 8B 48 2C 8D 85 7C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 33 C9 58 E8 ?? ?? ?? ?? 8B 55 80 8B 45 F0 E8 ?? ?? ?? ?? 8D 8D 78 FF FF FF 8B 45 FC 8B 40 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 83 78 54 00 74 26 8B 45 FC 8B 48 54 8D 85 74 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8B 45 F0 E8 ?? ?? ?? ?? EB 4F 8D 95 70 FF FF FF 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 83 BD 70 FF FF FF 00 74 35 8D 95 68 FF FF FF 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 8D 68 FF FF FF 8D 85 6C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B 45 F0 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 95 64 FF FF FF 8B 45 08 E8 ?? ?? ?? ?? 83 BD 64 FF FF FF 00 74 6C 8D 95 60 FF FF FF 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 83 BD 60 FF FF FF 00 75 40 8B 45 FC 83 78 54 00 75 37 8B 45 FC 8B 40 24 8B 55 08 E8 ?? ?? ?? ?? 50 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 85 C0 75 26 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 8B 55 08 E8 ?? ?? ?? ?? EB 12 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 8B 55 08 E8 ?? ?? ?? ?? 83 7D EC 00 74 1C 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 8B 55 EC E8 ?? ?? ?? ?? 33 D2 8B 45 E0 E8 ?? ?? ?? ?? 80 7D DB 00 74 08 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 60 FF FF FF BA 11 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A1 8B 45 F0 5F 5E 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 6E 00 62 00 73 00 70 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 4C 00 41 00 53 00 53 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 54 00 59 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 41 00 4D 00 45 00 00 00 00 00 BA DA 7A 9A 76 A5 A0 4C 8C A1 61 2E 8D 32 2E C4 B0 04 02 00 FF FF FF FF 0D 00 00 00 56 00 41 00 6C 00 69 00 67 00 6E 00 3D 00 6D 00 69 00 64 00 64 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 56 00 41 00 6C 00 69 00 67 00 6E 00 3D 00 74 00 6F 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 56 00 41 00 6C 00 69 00 67 00 6E 00 3D 00 62 00 6F 00 74 00 74 00 6F 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 56 00 41 00 6C 00 69 00 67 00 6E 00 3D 00 62 00 61 00 73 00 65 00 6C 00 69 00 6E 00 65 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 6C 00 69 00 67 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 69 00 74 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4E 00 4F 00 57 00 52 00 41 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 57 00 69 00 64 00 74 00 68 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 48 00 65 00 69 00 67 00 68 00 74 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 47 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4C 00 41 00 53 00 53 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 73 00 74 00 61 00 74 00 69 00 63 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_45132_0 {
	meta:
		name = "TIWGridCell.SetGrid"
		size = 25
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 89 42 0C 59 59 5D C3 }
	condition:
		$1
}

rule function_45133_0 {
	meta:
		name = "TIWGridCell.SetControl"
		size = 310
		refs = "0019 TIWGridCell.SetControl 0041 BaseControlInterface 009c _DV_TIWCustomGrid 00a1 @IsClass 00b6 RSCanSetControlToSelf 00bf _Dn_Exception 00c4 Exception.Create 00c9 @RaiseExcept 0105 TIWGridCell.Invalidate 011b IIWBaseControl 0125 @FinalizeArray 012b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 FC 3B 42 1C 74 27 8B 45 FC 83 78 1C 00 74 1E 8D 55 F4 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 45 F4 33 C9 8B 55 FC 8B 52 0C 8B 18 FF 53 0C 83 7D F8 00 0F 84 99 00 00 00 8B 45 F8 80 B8 B1 01 00 00 00 75 2C 33 D2 8B 45 F8 8B 08 FF 91 E8 00 00 00 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC 8B 4A 0C 8B 55 F8 8B 52 38 8B 18 FF 53 0C 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4F 8B 45 FC 8B 40 0C 3B 45 F8 75 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 91 64 01 00 00 84 C0 74 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 89 42 1C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45134_0 {
	meta:
		name = "TIWGridCell.SetCss"
		size = 30
		refs = "0016 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 83 C0 54 8B 55 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_45135_0 {
	meta:
		name = "TIWGridCell.SetFont"
		size = 38
		refs = "001e TIWGridCell.Invalidate"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 24 8B 08 FF 51 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_45136_0 {
	meta:
		name = "InvalidHeight"
		size = 112
		refs = "000f InvalidHeight 002e RSInvalidHeight 0037 Format 0041 _Dn_Exception 0046 Exception.Create 004b @RaiseExcept 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 45 08 8B 40 FC 89 45 F4 C6 45 F8 11 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_45141_0 {
	meta:
		name = "InvalidWidth"
		size = 112
		refs = "000f InvalidWidth 002e RSInvalidWidth 0037 Format 0041 _Dn_Exception 0046 Exception.Create 004b @RaiseExcept 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 45 08 8B 40 FC 89 45 F4 C6 45 F8 11 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_45137_0 {
	meta:
		name = "TIWGridCell.SetHeight"
		size = 258
		refs = "0018 TIWGridCell.SetHeight 0029 Trim 0031 @UStrLen 003b InvalidHeight 005b @BoundErr 007c @IntOver 0089 @UStrCopy 0093 StrToIntDef 00a5 @UStrAsg 00d5 TIWGridCell.Invalidate 00ea @UStrClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 0C 55 E8 ?? ?? ?? ?? 59 E9 8C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 48 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 40 66 83 7C 42 FE 25 75 43 8D 45 F0 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 83 E9 01 71 05 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 85 C0 7E 10 8B 45 F8 83 C0 2C 8B 55 F4 E8 ?? ?? ?? ?? EB 26 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7C 10 8B 45 F8 83 C0 2C 8B 55 F4 E8 ?? ?? ?? ?? EB 07 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 }
	condition:
		$1
}

rule function_45138_0 {
	meta:
		name = "TIWGridCell.SetRawText"
		size = 25
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 45 FB 8B 55 FC 88 42 50 59 59 5D C3 }
	condition:
		$1
}

rule function_45139_0 {
	meta:
		name = "TIWGridCell.SetShowHint"
		size = 25
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 45 FB 8B 55 FC 88 42 30 59 59 5D C3 }
	condition:
		$1
}

rule function_45140_0 {
	meta:
		name = "TIWGridCell.SetText"
		size = 30
		refs = "0016 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 83 C0 38 8B 55 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_45142_0 {
	meta:
		name = "TIWGridCell.SetWidth"
		size = 293
		refs = "0018 TIWGridCell.SetWidth 0029 Trim 0031 @UStrLen 003b InvalidWidth 005b @BoundErr 007c @IntOver 0089 @UStrCopy 0093 StrToIntDef 00c8 @UStrAsg 00f8 TIWGridCell.Invalidate 010d @UStrClr 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 0C 55 E8 ?? ?? ?? ?? 59 E9 AF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 48 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 40 66 83 7C 42 FE 25 75 33 8D 45 F0 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 83 E9 01 71 05 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 85 C0 7F 23 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 48 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 40 66 83 7C 42 FE 2A 75 10 8B 45 F8 83 C0 44 8B 55 F4 E8 ?? ?? ?? ?? EB 26 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7C 10 8B 45 F8 83 C0 44 8B 55 F4 E8 ?? ?? ?? ?? EB 07 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 }
	condition:
		$1
}

rule function_45143_0 {
	meta:
		name = "TIWCustomGrid.CheckComponentForRender"
		size = 180
		refs = "0015 TIWCustomGrid.CheckComponentForRender 002b SupportsInterface 0057 HTML40ContainerInterface 0080 @IntfClear 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 F7 00 EB 36 BA ?? ?? ?? ?? 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 1E 8D 55 F0 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 8B 08 FF 51 48 88 45 F7 EB 04 C6 45 F7 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 F7 8B E5 5D C3 00 70 93 07 4B B7 D1 13 4D 95 01 AD 0D 15 72 BF 4D F9 29 D2 54 29 0F E4 47 B2 23 32 A7 00 C3 08 C2 }
	condition:
		$1
}

rule function_45144_0 {
	meta:
		name = "TIWCustomGrid.InitControl"
		size = 167
		refs = "000d _Dn_TIWContainerImplementation 0012 TIWContainerImplementation.Create 0023 TIWCustomControl.InitControl 002a _Dn_TIWGridBorderColors 002f TIWGridBorderColors.Create 0042 fromTColor 0086 @UStrClr 0093 TControl.SetWidth 00a0 TControl.SetHeight"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 98 02 00 00 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A8 02 00 00 B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B 55 FC 89 82 B4 02 00 00 8B 45 FC C7 80 AC 02 00 00 01 00 00 00 8B 45 FC C7 80 C4 02 00 00 28 00 00 00 8B 45 FC C6 80 D0 01 00 00 01 8B 45 FC C6 80 DC 02 00 00 01 8B 45 FC 05 D8 02 00 00 E8 ?? ?? ?? ?? BA 2C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? BA 96 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_45145_0 {
	meta:
		name = "TIWCustomGrid.RenderHTML"
		size = 912
		refs = "001c TIWCustomGrid.RenderHTML 003e _Dn_TIWHTMLTag 0043 TIWMarkupLanguageTag.CreateTag 0054 TIWCustomGrid.RenderInnerHTML 005c TIWCustomControl.get_UseFrame 0068 TIWHTMLTag.GetContents 006f TIWMarkupLanguageTagCollection.GetHTMLElement 0081 TList.Delete 0089 FreeAndNil 00a8 TIWHTMLTagCollection.AddTag 00bd TIWMarkupLanguageTag.AddStringParam 00fb @UStrCatN 010f TIWMarkupLanguageTagCollection.AddText 0196 @HandleAnyException 01a3 @RaiseAgain 01a8 @DoneExcept 01c2 @UStrArrayClr 01c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 4D F8 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2E 8B 45 F0 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F0 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? E9 F9 00 00 00 8B 45 F0 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 E4 68 ?? ?? ?? ?? 8D 55 E0 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 E0 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 EC E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 D8 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 EC E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 D0 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 D0 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 45 EC E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 56 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 63 00 72 00 69 00 70 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 74 00 65 00 78 00 74 00 2F 00 6A 00 61 00 76 00 61 00 73 00 63 00 72 00 69 00 70 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 67 00 65 00 74 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 42 00 79 00 49 00 64 00 28 00 27 00 54 00 42 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 27 00 29 00 2E 00 73 00 74 00 79 00 6C 00 65 00 2E 00 63 00 73 00 73 00 54 00 65 00 78 00 74 00 20 00 2B 00 3D 00 20 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 67 00 65 00 74 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 42 00 79 00 49 00 64 00 28 00 27 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 27 00 29 00 2E 00 73 00 74 00 79 00 6C 00 65 00 2E 00 63 00 73 00 73 00 54 00 65 00 78 00 74 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 27 00 29 00 2E 00 73 00 74 00 79 00 6C 00 65 00 2E 00 6C 00 65 00 66 00 74 00 20 00 3D 00 20 00 30 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 27 00 29 00 2E 00 73 00 74 00 79 00 6C 00 65 00 2E 00 74 00 6F 00 70 00 20 00 3D 00 20 00 30 00 3B 00 00 00 }
	condition:
		$1
}

rule function_45146_0 {
	meta:
		name = "TIWCustomGrid.RenderInnerHTML"
		size = 1688
		refs = "0022 TIWCustomGrid.RenderInnerHTML 003a TIWMarkupLanguageTagCollection.AddTag 005b @UStrCat3 006b TIWMarkupLanguageTag.AddStringParam 008d TIWMarkupLanguageTag.AddIntegerParam 00a3 TIWMarkupLanguageTag.AddColor 00e3 TIWCustomControl.get_UseFrame 011f TIWCustomControl.set_RenderSize 02a3 TControl.GetText 02b8 @UStrCatN 02d2 iif 02e2 TIWMarkupLanguageTagCollection.AddText 0354 @UStrArrayClr 0374 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 55 E8 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 4D E8 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 AC 02 00 00 00 7C 16 8B 45 FC 8B 88 AC 02 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 B4 02 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 BC 02 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 C0 02 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 DC 02 00 00 00 74 33 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 13 8B 45 FC 8B 48 50 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8A 90 DC 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 AC 02 00 00 00 0F 8E 60 01 00 00 8B 45 FC 8B 80 A8 02 00 00 8B 48 04 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 02 00 00 8B 48 08 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 02 00 00 8B 48 0C BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8A 80 C8 02 00 00 FE C8 74 0A FE C8 74 1A FE C8 74 2A EB 3A B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 26 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 80 B0 02 00 00 83 F8 07 0F 87 B1 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 76 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 62 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 4E B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 3A B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 26 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 E4 50 68 ?? ?? ?? ?? 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 33 C9 5A E8 ?? ?? ?? ?? 8B 55 E4 33 C9 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 8D 45 D4 50 68 ?? ?? ?? ?? 8B 45 FC FF B0 D8 02 00 00 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 33 C9 8B 45 FC 8B 80 D8 02 00 00 E8 ?? ?? ?? ?? 8B 55 D4 33 C9 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 8B 4D F0 8B 55 F4 8B 45 FC 8B 18 FF 93 60 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 41 00 42 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 42 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 6F 00 72 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 47 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 45 00 4C 00 4C 00 50 00 41 00 44 00 44 00 49 00 4E 00 47 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 45 00 4C 00 4C 00 53 00 50 00 41 00 43 00 49 00 4E 00 47 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 31 00 30 00 30 00 25 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 49 00 44 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 42 00 4F 00 52 00 44 00 45 00 52 00 43 00 4F 00 4C 00 4F 00 52 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 42 00 4F 00 52 00 44 00 45 00 52 00 43 00 4F 00 4C 00 4F 00 52 00 4C 00 49 00 47 00 48 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 42 00 4F 00 52 00 44 00 45 00 52 00 43 00 4F 00 4C 00 4F 00 52 00 44 00 41 00 52 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 6F 00 6E 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 55 00 4C 00 45 00 53 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 72 00 6F 00 77 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6C 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 76 00 6F 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 72 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 62 00 6F 00 76 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 62 00 65 00 6C 00 6F 00 77 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 68 00 73 00 69 00 64 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 76 00 73 00 69 00 64 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6C 00 68 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 72 00 68 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 43 00 41 00 50 00 54 00 49 00 4F 00 4E 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 3C 00 2F 00 43 00 41 00 50 00 54 00 49 00 4F 00 4E 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 53 00 55 00 4D 00 4D 00 41 00 52 00 59 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 3C 00 2F 00 53 00 55 00 4D 00 4D 00 41 00 52 00 59 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_45147_0 {
	meta:
		name = "TIWCustomGrid.IsRowVisible"
		size = 197
		refs = "0026 @BoundErr 002e @DynArrayHigh"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 55 F8 89 45 FC C6 45 F7 00 8B 45 F8 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 E8 ?? ?? ?? ?? 85 C0 0F 8C 84 00 00 00 40 89 45 EC C7 45 F0 00 00 00 00 8B 45 F8 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 F0 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 83 3C 90 00 74 3D 8B 45 F8 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 F0 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 8B 04 90 80 78 41 00 74 06 C6 45 F7 01 EB 08 FF 45 F0 FF 4D EC 75 87 8A 45 F7 8B E5 5D C3 }
	condition:
		$1
}

rule function_45148_0 {
	meta:
		name = "TIWCustomGrid.Dispose"
		size = 53
		refs = "0015 FreeAndNil 0020 TIWCustomControl.Dispose"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 05 A8 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 98 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_45149_0 {
	meta:
		name = "TIWCustomGrid.IWAddComponent"
		size = 33
		refs = "0019 TIWContainerImplementation.AddComponent"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_45151_0 {
	meta:
		name = "TIWCustomGrid.ContainerClassname"
		size = 33
		refs = "0019 TIWContainerImplementation.ContainerClassname"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_45150_0 {
	meta:
		name = "TIWCustomGrid.ContainerName"
		size = 33
		refs = "0019 TIWContainerImplementation.ContainerName"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_45158_0 {
	meta:
		name = "TIWCustomGrid.IWRemoveComponent"
		size = 33
		refs = "0019 TIWContainerImplementation.RemoveComponent"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_45152_0 {
	meta:
		name = "TIWCustomGrid.IWFindComponent"
		size = 39
		refs = "0019 TIWContainerImplementation.FindComponent"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_45154_0 {
	meta:
		name = "TIWCustomGrid.get_Component"
		size = 39
		refs = "0019 TIWContainerImplementation.GetComponent"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_45153_0 {
	meta:
		name = "TIWCustomGrid.FindComponentByName"
		size = 90
		refs = "0010 @UStrAddRef 0018 TIWCustomGrid.FindComponentByName 002f TIWContainerImplementation.FindComponentByName 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_45155_0 {
	meta:
		name = "TIWCustomGrid.get_IWComponentsCount"
		size = 33
		refs = "0013 TIWContainerImplementation.get_IWComponentsCount"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_45164_0 {
	meta:
		name = "TIWCustomGrid.get_ContainerContext"
		size = 33
		refs = "0013 TIWContainerImplementation.get_ContainerContext"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_45156_0 {
	meta:
		name = "TIWCustomGrid.InitContainerContext"
		size = 89
		refs = "0011 TIWCustomGrid.get_ContainerContext 001e _Dn_TIWContainerLayout 0023 TIWVCLComponent.Create 004d TIWBaseContainerLayout.SetContainer"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 89 58 18 8B 45 FC E8 ?? ?? ?? ?? 8B 40 18 8B 55 FC 85 D2 74 06 81 EA 1C FD FF FF E8 ?? ?? ?? ?? 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45157_0 {
	meta:
		name = "TIWCustomGrid.InterfaceInstance"
		size = 22
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_45159_0 {
	meta:
		name = "TIWCustomGrid.RenderComponents"
		size = 330
		refs = "001f TIWCustomGrid.RenderComponents 002d TIWCustomGrid.get_ContainerContext 005b TIWContainerContext.GetControlsCount 0065 @IntOver 0083 TIWContainerContext.GetControlInstanceFromIndex 0088 isBaseContainer 009f BaseContainerInterface 00e3 BaseHTMLComponentInterface 00f9 TIWContainerContext.GetComponentContext 0100 TIWCompContext.SetHTMLTag 0114 TObject.Free 0129 @IntfClear 0131 @UStrClr 013f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 33 DB 89 5D D8 89 5D D4 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 40 18 89 45 E4 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 4D F4 8B 45 E4 8B 18 FF 53 60 8B 45 FC E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C 9F 00 00 00 40 89 45 DC C7 45 F0 00 00 00 00 8B 55 F0 8B 45 E0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 44 8B 55 F0 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 F4 8B 50 04 8B 45 E8 8B 08 FF 51 38 89 45 EC 83 7D EC 00 74 1A 8B 45 F8 8A 40 1D 8B 55 EC 88 42 1D 8B 4D F4 8B 55 EC 8B 45 E8 8B 18 FF 53 3C 8B 55 F0 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 8B 08 FF 51 30 8B 55 D8 8B 45 E0 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? FF 45 F0 FF 4D DC 0F 85 6C FF FF FF 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45162_0 {
	meta:
		name = "TIWCustomGrid.set_Visible"
		size = 69
		refs = "0013 TIWCustomControl.set_Visible 001f _Dn_TIWBaseContainer 0024 @IsClass 0033 TIWBaseContainer.ForceAlign 003d TIWCustomControl.set_DoRefreshControl"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_45163_0 {
	meta:
		name = "TIWCustomGrid.get_LayoutMgr"
		size = 21
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 33 C0 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_45165_0 {
	meta:
		name = "TIWCustomGrid.set_ContainerContext"
		size = 58
		refs = "0010 TIWCustomGrid.get_ContainerContext 0021 TObject.Free 0032 TIWContainerImplementation.set_ContainerContext"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 0D 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_45168_0 {
	meta:
		name = "TIWCustomGrid.RenderAsync"
		size = 536
		refs = "001e TIWCustomGrid.RenderAsync 0032 _Dn_TIWXMLTag 0037 TIWXMLTag.CreateTag 0066 TIWMarkupLanguageTag.AddStringParam 008a TIWMarkupLanguageTagCollection.AddTag 009b TIWCustomGrid.RenderInnerHTML 00aa TIWCustomControl.HTMLControlImplementation 00b5 TIWHTMLControlImplementation.RenderAsyncCommonProperties 00c4 @HandleAnyException 00cc FreeAndNil 00d1 @DoneExcept 010d @UStrCat3 0163 @UStrArrayClr 0169 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E4 89 4D E0 89 4D E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 4D E8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 4D F8 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 10 8B 40 74 8B 40 04 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8D 55 E0 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 4D E0 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B 4D EC 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 57 00 47 00 52 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 6E 00 65 00 72 00 48 00 54 00 4D 00 4C 00 00 00 FF 07 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 42 00 4C 00 00 00 }
	condition:
		$1
}

rule function_45169_0 {
	meta:
		name = "TIWCustomGrid.RenderAsyncComponents"
		size = 436
		refs = "0022 TIWCustomGrid.RenderAsyncComponents 0038 SupportsInterface 0044 @IntfClear 0056 GetIWInterface 0083 TIWCustomGrid.get_ContainerContext 009e TIWContainerContext.GetControlsCount 00a8 @IntOver 00c6 TIWContainerContext.GetControlInstanceFromIndex 00e7 BaseContainerInterface 012b BaseHTMLComponentInterface 0141 TIWContainerContext.GetComponentContext 0148 TIWCompContext.SetHTMLTag 0171 @UStrClr 0187 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 DB 89 5D D4 89 5D D0 89 5D E8 89 5D E0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 27 8D 45 E0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 52 10 88 45 E7 EB 04 C6 45 E7 00 8B 45 FC 8B 10 FF 92 E4 00 00 00 0A 45 E7 0F 84 D9 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 C9 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C A4 00 00 00 40 89 45 D8 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 DC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 44 8B 55 F0 8B 45 DC E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 F4 8B 50 04 8B 45 E8 8B 08 FF 51 38 89 45 EC 83 7D EC 00 74 1A 8B 45 F8 8A 40 1D 8B 55 EC 88 42 1D 8B 4D F4 8B 55 EC 8B 45 E8 8B 18 FF 53 3C 8B 55 F0 8B 45 DC E8 ?? ?? ?? ?? 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 8D 55 D4 8B 08 FF 51 30 8B 55 D4 8B 45 DC E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? FF 45 F0 FF 4D D8 0F 85 67 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C3 00 00 C9 D0 4D F7 3E 1F FF 45 86 90 4C A6 DB 82 56 0D 40 ED A6 62 46 92 E7 48 86 A3 A4 67 52 B0 39 4B }
	condition:
		$1
}

rule function_45170_0 {
	meta:
		name = "TIWCustomGrid.RenderCells"
		size = 49
		refs = "001a _Dn_TIWContainerContext 001f TIWContainerContext.Create 0029 TIWCustomGrid.set_ContainerContext"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 6A 01 8B 45 F8 8B 48 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_45172_0 {
	meta:
		name = "TIWCustomGrid.ContainerPrefix"
		size = 120
		refs = "0015 TIWCustomGrid.ContainerPrefix 0026 isBaseContainer 0038 BaseContainerInterface 0053 UpperCase 0068 @IntfClear 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 1B 8D 55 F4 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F8 8B 08 FF 51 10 EB 0E 8B 55 F8 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_45174_0 {
	meta:
		name = "TIWGrid.InitControl"
		size = 195
		refs = "000b TIWCustomGrid.InitControl 0010 _DV_TIWGridCell 001b _DV_TIWGridCells 0020 TOwnedCollection.Create 006c :TIWCustomGrid.:2 0071 @DynArraySetLength 008f @BoundErr 009d :TIWCustomGrid.:1"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 F0 02 00 00 8B 45 FC C7 80 F4 02 00 00 01 00 00 00 8B 45 FC C7 80 00 03 00 00 01 00 00 00 8B 45 FC C6 80 E8 02 00 00 01 8B 45 FC C6 80 E9 02 00 00 01 6A 01 8B 45 FC 05 B8 02 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 01 33 C0 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8D 04 82 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC C6 80 08 03 00 00 00 8B 45 FC C7 80 04 03 00 00 FF FF FF FF 59 5D C3 }
	condition:
		$1
}

rule function_45175_0 {
	meta:
		name = "TIWGrid.Dispose"
		size = 27
		refs = "0013 TIWCustomGrid.Dispose"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_45176_0 {
	meta:
		name = "TIWGrid.CellExists"
		size = 141
		refs = "0039 RSIndexOutOfBounds 0042 _Dn_Exception 0047 Exception.Create 004c @RaiseExcept 0066 @BoundErr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 8B 55 FC 3B 82 F4 02 00 00 7D 1A 8B 45 F8 8B 55 FC 3B 82 00 03 00 00 7D 0C 83 7D F4 00 7C 06 83 7D F8 00 7D 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 F4 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 83 3C 90 00 0F 95 45 F3 8A 45 F3 8B E5 5D C3 }
	condition:
		$1
}

rule function_45177_0 {
	meta:
		name = "TIWGrid.GetCell"
		size = 355
		refs = "0019 TIWGrid.CellExists 002f TIWGridCells.Add 0049 @BoundErr 00d6 TIWGridCell.SetGrid 00de TIWBaseHTMLControl.get_WebFont"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 03 01 00 00 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B 89 B8 02 00 00 85 C9 74 05 3B 51 FC 72 05 E8 ?? ?? ?? ?? 8B 14 91 8B 4D F4 85 D2 74 05 3B 4A FC 72 05 E8 ?? ?? ?? ?? 89 04 8A 8B 45 F8 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 F4 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 8B 04 90 8B 55 FC 8A 92 B1 01 00 00 88 50 20 8B 45 F8 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 F4 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 8B 04 90 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 4D FC 8B 89 B8 02 00 00 85 C9 74 05 3B 41 FC 72 05 E8 ?? ?? ?? ?? 8B 04 81 8B 4D F4 85 C0 74 05 3B 48 FC 72 05 E8 ?? ?? ?? ?? 8B 04 88 8B 40 24 8B 08 FF 51 08 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B 45 F8 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 F4 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 8B 04 90 89 45 F0 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_45178_0 {
	meta:
		name = "TIWGrid.RenderCells"
		size = 1336
		refs = "002b TIWGrid.RenderCells 003f TIWCustomGrid.RenderCells 0052 @IntOver 0070 TIWCustomGrid.IsRowVisible 008c TIWHTMLTag.GetContents 0098 TIWHTMLTagCollection.AddTag 00cf TIWGrid.CellExists 00f1 @BoundErr 0139 IntToStr 015c @UStrCatN 016d TIWCustomControl.SubmitLink 0177 _Dn_TIWRenderStream 017c TIWRenderStream.Create 0198 TIWMarkupLanguageElement.Render 01a3 TIWRenderStream.Extract 01b8 TObject.Free 01be @HandleFinally 01df @UStrCat 020a TIWHTMLTagCollection.AddTagAsObject 02ab TIWMarkupLanguageTagCollection.AddText 0316 Format 0326 TIWMarkupLanguageTag.AddStringParam 0367 _Dn_TIWPageContext40 036c @AsClass 037a TIWPageContext40.AddToInitProc 039b @UStrClr 03a8 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 33 DB 89 5D A0 89 5D BC 89 5D B8 89 5D B4 89 5D E8 89 5D E0 89 5D DC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 00 03 00 00 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C 2C 03 00 00 40 89 45 D8 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 FC 80 B8 E9 02 00 00 00 0F 84 F6 02 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 8B 45 FC 8B 80 F4 02 00 00 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C 14 02 00 00 40 89 45 D0 C7 45 EC 00 00 00 00 8B 4D EC 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 91 01 00 00 8B 45 F0 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 EC 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 8B 04 90 89 45 CC 8B 45 CC 80 78 41 00 0F 84 25 01 00 00 8B 45 CC 80 78 18 00 0F 84 EA 00 00 00 6A 00 8B 45 F8 8A 40 1C 50 8D 55 B8 8B 45 F0 E8 ?? ?? ?? ?? FF 75 B8 68 ?? ?? ?? ?? 8D 55 B4 8B 45 EC E8 ?? ?? ?? ?? FF 75 B4 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D BC 8B 45 CC 8B 50 38 8B 45 FC E8 ?? ?? ?? ?? 89 45 C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 E4 8B 45 C8 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 C8 E8 ?? ?? ?? ?? 8B 45 CC 83 78 3C 00 74 0E 8D 45 E8 8B 55 CC 8B 52 3C E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 50 8B 45 E8 50 8B 4D F0 8B 55 FC 8B 45 CC 8B 18 FF 53 20 50 8B 45 D4 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? E9 AF 00 00 00 8B 45 EC 50 8B 45 F8 50 6A 00 8B 4D F0 8B 55 FC 8B 45 CC 8B 18 FF 53 20 50 8B 45 D4 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? E9 81 00 00 00 8B 45 EC 50 8B 45 F8 50 6A 00 8B 4D F0 8B 55 FC 8B 45 CC 8B 18 FF 53 20 50 8B 45 D4 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? EB 56 8B 45 D4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C4 8B 45 FC 80 B8 B1 01 00 00 00 75 0C 8B 45 FC 80 B8 E8 02 00 00 00 74 16 8B 45 C4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 8B 45 C4 E8 ?? ?? ?? ?? 33 C9 33 D2 E8 ?? ?? ?? ?? FF 45 EC FF 4D D0 0F 85 F7 FD FF FF 8B 45 FC 80 B8 08 03 00 00 00 0F 84 A0 00 00 00 8B 45 FC 8B 80 04 03 00 00 3B 45 F0 0F 85 8E 00 00 00 8D 45 E0 50 8B 45 FC 89 45 A4 C6 45 A8 00 8B 45 F0 89 45 AC C6 45 B0 00 8D 55 A4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 A0 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 A0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 DC BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C0 8B 55 DC 8B 45 C0 E8 ?? ?? ?? ?? FF 45 F0 FF 4D D8 0F 85 DF FC FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 B4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 6E 00 62 00 73 00 70 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 64 00 25 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 67 00 65 00 74 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 42 00 79 00 49 00 64 00 28 00 22 00 54 00 42 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 22 00 29 00 2E 00 73 00 63 00 72 00 6F 00 6C 00 6C 00 54 00 6F 00 70 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 67 00 65 00 74 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 42 00 79 00 49 00 64 00 28 00 22 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 22 00 29 00 2E 00 6F 00 66 00 66 00 73 00 65 00 74 00 54 00 6F 00 70 00 20 00 2D 00 20 00 34 00 30 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_45180_0 {
	meta:
		name = "TIWGrid.SetColumnCount"
		size = 459
		refs = "0032 @DynArrayHigh 006a @IntOver 0096 @BoundErr 00e6 TCollectionItem.GetIndex 00f6 TCollection.Delete 012e :TIWCustomGrid.:1 0133 @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 3B 82 F4 02 00 00 0F 84 A9 01 00 00 83 7D F8 00 0F 8E 9F 01 00 00 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8C 72 01 00 00 40 89 45 EC C7 45 F4 00 00 00 00 8B 45 F8 8B 55 FC 3B 82 F4 02 00 00 0F 8D AB 00 00 00 8B 45 FC 8B 80 F4 02 00 00 83 E8 01 71 05 E8 ?? ?? ?? ?? 8B 55 F8 2B D0 0F 8F 8D 00 00 00 4A 89 55 E8 89 45 F0 8B 45 F4 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 F0 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 83 3C 90 00 74 46 8B 45 F4 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 F0 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 8B 04 90 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? FF 4D F0 FF 45 E8 0F 85 7A FF FF FF 8B 45 F8 50 8B 45 F4 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8D 04 82 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 55 FC 3B 82 F4 02 00 00 7E 5C 8B 45 FC 8B 80 F4 02 00 00 8B 55 F8 83 EA 01 71 05 E8 ?? ?? ?? ?? 2B D0 7C 42 42 89 55 E8 89 45 F0 8B 45 F4 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 F0 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 33 C9 89 0C 90 FF 45 F0 FF 4D E8 75 C5 FF 45 F4 FF 4D EC 0F 85 99 FE FF FF 8B 45 F8 8B 55 FC 89 82 F4 02 00 00 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_45181_0 {
	meta:
		name = "TIWGrid.SetRowCount"
		size = 644
		refs = "0013 TIWGrid.SetRowCount 001a _Dn_Exception 001f Exception.Create 0024 @RaiseExcept 005b @IntOver 00a6 @BoundErr 00f6 TCollectionItem.GetIndex 0106 TCollection.Delete 0136 :TIWCustomGrid.:2 013b @DynArraySetLength 01a7 :TIWCustomGrid.:1 01d1 @DynArrayHigh"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 55 F8 89 45 FC 83 7D F8 00 7D 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 3B 82 00 03 00 00 0F 84 08 02 00 00 8B 45 F8 8B 55 FC 3B 82 00 03 00 00 0F 8D D7 00 00 00 8B 45 FC 8B 80 00 03 00 00 83 E8 01 71 05 E8 ?? ?? ?? ?? 8B 55 F8 2B D0 0F 8F B9 00 00 00 4A 89 55 EC 89 45 F4 8B 45 FC 8B 80 F4 02 00 00 83 E8 01 71 05 E8 ?? ?? ?? ?? 83 F8 00 0F 8C 8A 00 00 00 89 45 F0 8B 45 F4 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 F0 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 83 3C 90 00 74 46 8B 45 F4 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 F0 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 8B 04 90 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? FF 4D F0 83 7D F0 FF 0F 85 79 FF FF FF FF 4D F4 FF 45 EC 0F 85 4E FF FF FF 8B 45 F8 50 8B 45 FC 05 B8 02 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 55 FC 3B 82 00 03 00 00 0F 8E D7 00 00 00 8B 45 FC 8B 80 00 03 00 00 8B 55 F8 83 EA 01 71 05 E8 ?? ?? ?? ?? 2B D0 0F 8C B9 00 00 00 42 89 55 EC 89 45 F4 8B 45 FC 8B 80 F4 02 00 00 50 8B 45 F4 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8D 04 82 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 E8 ?? ?? ?? ?? 85 C0 7C 46 40 89 45 E8 C7 45 F0 00 00 00 00 8B 45 F4 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 F0 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 33 C9 89 0C 90 FF 45 F0 FF 4D E8 75 C5 FF 45 F4 FF 4D EC 0F 85 4E FF FF FF 8B 45 F8 8B 55 FC 89 82 00 03 00 00 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 52 00 6F 00 77 00 43 00 6F 00 75 00 6E 00 74 00 20 00 76 00 61 00 6C 00 75 00 65 00 21 00 00 00 }
	condition:
		$1
}

rule function_45182_0 {
	meta:
		name = "TIWGrid.DoCellClick"
		size = 59
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 66 83 B8 FA 02 00 00 00 74 19 8B 45 F4 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 83 FC 02 00 00 FF 93 F8 02 00 00 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45183_0 {
	meta:
		name = "TIWGrid.Submit"
		size = 180
		refs = "0019 TIWGrid.Submit 002f @UStrAsg 003a @UStrLAsg 004f Fetch 0057 StrToInt 008b @UStrClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 05 EC 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 89 45 EC 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 8B 4D F0 8B 55 EC 8B 45 FC 8B 18 FF 93 6C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 }
	condition:
		$1
}

rule function_45184_0 {
	meta:
		name = "TIWGrid.DeleteRow"
		size = 599
		refs = "0022 RSIndexOutOfBounds 002b _Dn_Exception 0030 Exception.Create 0035 @RaiseExcept 005a @BoundErr 0062 @DynArrayHigh 0078 TIWGrid.CellExists 00b2 TCollectionItem.GetIndex 00c2 TCollection.Delete 00e7 @IntOver 024f TIWGrid.SetRowCount"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 55 F8 89 45 FC 83 7D F8 00 7C 0E 8B 45 F8 8B 55 FC 3B 82 00 03 00 00 7C 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B 45 F8 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 E8 ?? ?? ?? ?? 83 F8 00 7C 64 89 45 F4 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 46 8B 45 F8 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 F4 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 8B 04 90 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? FF 4D F4 83 7D F4 FF 75 9F 8B 45 F8 50 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 5A 2B C2 0F 8C B8 00 00 00 40 89 45 EC 89 55 F4 8B 45 F4 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 E8 ?? ?? ?? ?? 85 C0 7C 7F 40 89 45 E8 C7 45 F0 00 00 00 00 8B 45 F4 83 C0 01 71 05 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 F0 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 8B 04 90 8B 55 F4 8B 4D FC 8B 89 B8 02 00 00 85 C9 74 05 3B 51 FC 72 05 E8 ?? ?? ?? ?? 8B 14 91 8B 4D F0 85 D2 74 05 3B 4A FC 72 05 E8 ?? ?? ?? ?? 89 04 8A FF 45 F0 FF 4D E8 75 8C FF 45 F4 FF 4D EC 0F 85 4F FF FF FF 8B 45 FC 8B 80 00 03 00 00 83 E8 01 71 05 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 E8 ?? ?? ?? ?? 85 C0 7C 56 40 89 45 EC C7 45 F4 00 00 00 00 8B 45 FC 8B 80 00 03 00 00 83 E8 01 71 05 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 F4 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 33 C9 89 0C 90 FF 45 F4 FF 4D EC 75 B5 8B 45 FC 8B 90 00 03 00 00 83 EA 01 71 05 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_45185_0 {
	meta:
		name = "TIWGrid.Destroy"
		size = 62
		refs = "0007 @BeforeDestruction 001a FreeAndNil 0028 TIWVCLBaseControl.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 05 F0 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_45186_0 {
	meta:
		name = "TIWGrid.DeleteColumn"
		size = 512
		refs = "0022 RSIndexOutOfBounds 002b _Dn_Exception 0030 Exception.Create 0035 @RaiseExcept 004e @DynArrayHigh 007f @BoundErr 0091 @IntOver 00b7 TIWGrid.CellExists 00f1 TObject.Free 01f8 TIWGrid.SetColumnCount"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 55 F8 89 45 FC 83 7D F8 00 7C 0E 8B 45 F8 8B 55 FC 3B 82 F4 02 00 00 7C 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8C 1F 01 00 00 40 89 45 EC C7 45 F4 00 00 00 00 8B 45 F8 50 8B 45 F4 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 5A 2B C2 0F 8C CF 00 00 00 40 89 45 E8 89 55 F0 8B 45 F0 3B 45 F8 75 48 8B 4D F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 36 8B 45 F4 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 F0 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 8B 04 90 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 F0 83 C2 01 71 05 E8 ?? ?? ?? ?? 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 8B 04 90 8B 55 F4 8B 4D FC 8B 89 B8 02 00 00 85 C9 74 05 3B 51 FC 72 05 E8 ?? ?? ?? ?? 8B 14 91 8B 4D F0 85 D2 74 05 3B 4A FC 72 05 E8 ?? ?? ?? ?? 89 04 8A FF 45 F0 FF 4D E8 0F 85 38 FF FF FF FF 45 F4 FF 4D EC 0F 85 EC FE FF FF 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 85 C0 7C 56 40 89 45 EC C7 45 F4 00 00 00 00 8B 45 F4 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 FC 8B 92 F4 02 00 00 83 EA 01 71 05 E8 ?? ?? ?? ?? 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 33 C9 89 0C 90 FF 45 F4 FF 4D EC 75 B5 8B 45 FC 8B 90 F4 02 00 00 83 EA 01 71 05 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_45187_0 {
	meta:
		name = "TIWGridCells.Invalidate"
		size = 93
		refs = "0012 TIWGridCells.Owner 0024 _Dn_TControl 0029 @IsClass 004e @AsClass"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 40 1C 01 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 40 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 8B 45 FC E8 ?? ?? ?? ?? F6 40 1C 08 75 1B 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 9C 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_45190_0 {
	meta:
		name = "TIWGrid.Clear"
		size = 198
		refs = "0013 @DynArrayHigh 0040 @BoundErr 0065 TIWGrid.CellExists 009f FreeAndNil"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 45 FC 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8C 98 00 00 00 40 89 45 F0 C7 45 F8 00 00 00 00 8B 45 F8 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 E8 ?? ?? ?? ?? 85 C0 7C 5B 40 89 45 EC C7 45 F4 00 00 00 00 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 36 8B 45 F8 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 8B 55 F4 85 C0 74 05 3B 50 FC 72 05 E8 ?? ?? ?? ?? 8D 04 90 E8 ?? ?? ?? ?? FF 45 F4 FF 4D EC 75 B0 FF 45 F8 FF 4D F0 0F 85 73 FF FF FF 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_45191_0 {
	meta:
		name = "TIWGrid.Freeing"
		size = 186
		refs = "0016 @DynArrayHigh 0043 @BoundErr 0068 TIWGrid.CellExists 007a TIWGrid.GetCell 0097 TIWGridCell.SetControl"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 55 F8 89 45 FC 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8C 89 00 00 00 40 89 45 EC C7 45 F4 00 00 00 00 8B 45 F4 8B 55 FC 8B 92 B8 02 00 00 85 D2 74 05 3B 42 FC 72 05 E8 ?? ?? ?? ?? 8B 04 82 E8 ?? ?? ?? ?? 85 C0 7C 50 40 89 45 E8 C7 45 F0 00 00 00 00 8B 4D F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2B 8B 4D F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 40 1C 3B 45 F8 75 15 8B 4D F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? FF 45 F0 FF 4D E8 75 BB FF 45 F4 FF 4D EC 75 82 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_45192_0 {
	meta:
		name = "TIWCustomGrid.DoRender"
		size = 182
		refs = "0013 TIWCustomGrid.DoRender 0040 TComponent.GetComponentCount 004a @IntOver 0064 TComponent.GetComponent 0069 isBaseContainer 0078 TIWCustomGrid.get_Component 0080 BaseContainerInterface 00a5 @IntfClear 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 83 B8 A2 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 A4 02 00 00 FF 93 A0 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 42 40 89 45 F4 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 18 FF 45 F8 FF 4D F4 75 C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45196_0 {
	meta:
		name = "TIWHTML40Container.SetActiveControl"
		size = 76
		refs = "000e @IntfAddRef 0016 TIWHTML40Container.SetActiveControl 0027 SetActiveControl 003c @IntfClear 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_45197_0 {
	meta:
		name = "TIWHTML40Container.set_LayoutMgr"
		size = 81
		refs = "0013 TIWBaseContainerLayout.SetContainer 0020 TComponent.RemoveFreeNotification 0033 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 B0 02 00 00 85 C0 74 14 33 D2 E8 ?? ?? ?? ?? 8B D3 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 B0 02 00 00 85 C0 74 1E 8B D3 E8 ?? ?? ?? ?? 8B D3 85 D2 74 06 81 EA 2C FD FF FF 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45199_0 {
	meta:
		name = "TIWHTML40Container.InitControl"
		size = 32
		refs = "0006 TIWContainer.InitControl 000f _DV_TIWHTML40ContainerImplementation 0014 TIWHTML40ContainerImplementation.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 CC 02 00 00 5B C3 }
	condition:
		$1
}

rule function_45203_0 {
	meta:
		name = "TIWHTML40Container.Dispose"
		size = 31
		refs = "0006 TIWContainer.Dispose 0019 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 83 CC 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45204_0 {
	meta:
		name = "TIWHTML40Container.GenerateControlPositions"
		size = 724
		refs = "0029 TIWHTML40Container.GenerateControlPositions 0037 @UStrClr 0042 HTML40ContainerInterface 006c SupportsInterface 0086 BaseControlInterface 00c4 HTML40ControlInterface 00cc TIWHTML40Container.get_DoRefreshControl 0143 Format 0158 @UStrCatN 01c4 @IntfClear 01d9 @UStrArrayClr 01f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 33 C9 89 4D C0 89 4D BC 89 4D E8 89 4D E4 89 4D EC 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 34 8B F0 4E 85 F6 0F 8C 5A 01 00 00 46 33 DB 8B D3 8B 45 FC 8B 08 FF 51 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 33 01 00 00 8B D3 8B 45 FC 8B 08 FF 51 30 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 28 84 C0 0F 84 11 01 00 00 8B D3 8B 45 FC 8B 08 FF 51 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A6 00 00 00 8B D3 8B 45 FC 8B 08 FF 51 30 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 84 00 00 00 8B 45 F0 FF 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E8 8B 45 F8 8B 08 FF 51 30 FF 75 E8 8D 45 E4 50 8B 45 F8 8B 10 FF 52 68 89 45 C4 C6 45 C8 00 8B 45 F8 8B 10 FF 52 6C 89 45 CC C6 45 D0 00 8B 45 F8 8B 10 FF 52 60 89 45 D4 C6 45 D8 00 8B 45 F8 8B 10 FF 52 64 89 45 DC C6 45 E0 00 8D 55 C4 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8B 45 F0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 51 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 8B 45 F0 FF 30 68 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 51 30 8D 55 BC E8 ?? ?? ?? ?? 8B 45 BC 8D 55 C0 8B 08 FF 51 58 FF 75 C0 8B 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 43 4E 0F 85 A9 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C3 5E 5B 8B E5 5D C3 00 15 33 54 F3 83 E8 48 46 88 64 4F 88 25 38 4D 5E 21 DD 52 13 BF EC EE 4A A4 3B 95 6B E7 43 D2 6C B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 49 00 57 00 43 00 4C 00 2E 00 53 00 65 00 74 00 52 00 65 00 63 00 74 00 28 00 6E 00 65 00 77 00 20 00 70 00 61 00 72 00 65 00 6E 00 74 00 2E 00 52 00 65 00 63 00 74 00 28 00 25 00 64 00 2C 00 20 00 25 00 64 00 2C 00 20 00 25 00 64 00 2C 00 20 00 25 00 64 00 29 00 29 00 3B 00 00 00 00 00 F9 29 D2 54 29 0F E4 47 B2 23 32 A7 00 C3 08 C2 }
	condition:
		$1
}

rule function_45205_0 {
	meta:
		name = "TIWHTML40Container.get_DoRefreshControl"
		size = 8
	strings:
		$1 = { 0F B6 80 C8 02 00 00 C3 }
	condition:
		$1
}

rule function_45206_0 {
	meta:
		name = "TIWHTML40Container.set_DoRefreshControl"
		size = 7
	strings:
		$1 = { 88 90 C8 02 00 00 C3 }
	condition:
		$1
}

rule function_45207_0 {
	meta:
		name = "TIWHTML40Container.RenderAsyncComponents"
		size = 12
		refs = "0007 TIWHTML40ContainerImplementation.RenderAsyncComponents"
	strings:
		$1 = { 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45209_0 {
	meta:
		name = "checkFrame"
		size = 300
		refs = "000e checkFrame 0025 BaseContainerInterface 0049 TComponent.FindComponent 0062 AddToLListWithControls 006c TComponent.GetComponentCount 007f TComponent.GetComponent 0085 _Dn_TControl 008a @IsClass 00af SupportsInterface 00df @IntfClear 00e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 51 48 84 C0 75 0A 80 7B 61 00 0F 84 8D 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 18 8B 45 08 50 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 65 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 57 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 38 8B D6 8B C3 E8 ?? ?? ?? ?? 3B 58 38 75 2A 8B D6 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4F 75 AC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 57 00 46 00 72 00 61 00 6D 00 65 00 52 00 65 00 67 00 69 00 6F 00 6E 00 00 00 38 D5 4C EE DB 27 1D 47 B0 CF 0F 22 BE 42 94 61 }
	condition:
		$1
}

rule function_45210_0 {
	meta:
		name = "AddToLListWithControls"
		size = 492
		refs = "0012 AddToLListWithControls 0020 _Dn_TIWBaseContainer 0025 @IsClass 003a TList.Add 0043 TWinControl.GetControlCount 005a TIWContainer.get_Component 0060 _Dn_TFrame 007b checkFrame 008f isBaseComponent 00a5 isBaseControl 00ba BaseControlInterface 00f6 HTML40ContainerInterface 0141 SupportsInterface 015a @IntfClear 0168 GetIWInterface 01cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 08 01 00 00 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 8B FB 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 0F 8C 53 01 00 00 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 08 50 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 AA 00 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 94 00 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6F 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 28 84 C0 74 15 8B 45 08 50 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 50 8B D6 8B C7 E8 ?? ?? ?? ?? 50 8D 55 F4 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 F4 5A 8B 08 FF 51 48 84 C0 74 28 8B 45 08 50 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 13 8B 45 08 50 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 0F 85 1E FF FF FF EB 6C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4F 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 34 8B D8 4B 85 DB 7C 2A 43 33 F6 8B 45 08 50 8B D6 8B 45 FC 8B 08 FF 51 30 E8 ?? ?? ?? ?? 59 46 4B 75 E8 EB 0D 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 00 40 ED A6 62 46 92 E7 48 86 A3 A4 67 52 B0 39 4B }
	condition:
		$1
}

rule function_45211_0 {
	meta:
		name = "TIWHTML40ContainerImplementation.RenderAsyncComponents"
		size = 832
		refs = "002a TIWHTML40ContainerImplementation.RenderAsyncComponents 004a TWebRequest.GetQueryFields 0057 TStrings.GetValue 0068 Pos 0078 @UStrCopy 007f _Dn_TList 0084 TObject.Create 00a3 BaseContainerInterface 00c6 _Dn_TFrame 00cb @IsClass 00df checkFrame 00f2 AddToLListWithControls 00fe TabOrderCompare 0106 TList.Sort 0125 TList.Get 0146 TComponent.FindComponent 0164 SupportsInterface 0172 HTML40ContainerInterface 019e HTML40ComponentInterface 01c3 HTML40ControlInterface 01f2 _Dn_TIWCompContext 01f7 TIWCompContext.Create 0220 TIWBaseComponentContext.SetMLTag 0232 TIWContainerContext.AddComponent 023b TObject.Free 0265 @HandleFinally 027c @IntfClear 02a4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D D8 89 5D DC 89 5D F4 89 5D F0 89 4D E8 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 58 04 80 BB 94 00 00 00 00 74 39 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 8D 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F0 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 34 48 85 C0 7C 49 40 89 45 E0 33 F6 8B D6 8B 45 F0 8B 08 FF 51 30 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 55 8B D6 8B 45 F0 8B 08 FF 51 30 E8 ?? ?? ?? ?? 59 EB 11 55 8B D6 8B 45 F0 8B 08 FF 51 30 E8 ?? ?? ?? ?? 59 46 FF 4D E0 75 BD BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 48 85 C0 0F 8C 30 01 00 00 40 89 45 E0 33 F6 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8B FB BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 C0 74 0E BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 8B 4D E8 8B 55 EC 8B 38 FF 57 5C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A7 00 00 00 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 8B 10 FF 52 50 88 45 E7 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 8B 10 FF 92 E8 00 00 00 88 45 E7 80 7D E7 00 74 64 8B 45 EC 50 8B 45 E8 50 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 8B D3 8B 08 FF 51 64 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 85 FF 74 10 6A 01 33 C9 8B D3 8B 45 EC E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 46 FF 4D E0 0F 85 D6 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 57 00 46 00 72 00 61 00 6D 00 65 00 52 00 65 00 67 00 69 00 6F 00 6E 00 00 00 F9 29 D2 54 29 0F E4 47 B2 23 32 A7 00 C3 08 C2 BA DA 7A 9A 76 A5 A0 4C 8C A1 61 2E 8D 32 2E C4 21 DD 52 13 BF EC EE 4A A4 3B 95 6B E7 43 D2 6C }
	condition:
		$1
}

rule function_45214_0 {
	meta:
		name = "InputControl40Interface"
		size = 60
		refs = "0009 @IntfClear 001b InputControl40Interface 0022 GetIWInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 15 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 AB BC 25 E0 77 CE 61 4F BE 1E 55 2B AE 55 80 45 }
	condition:
		$1
}

rule function_45215_0 {
	meta:
		name = "HTML40ControlInterface"
		size = 60
		refs = "0009 @IntfClear 001b HTML40ControlInterface 0022 GetIWInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 15 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 21 DD 52 13 BF EC EE 4A A4 3B 95 6B E7 43 D2 6C }
	condition:
		$1
}

rule function_45216_0 {
	meta:
		name = "HTML40ContainerInterface"
		size = 60
		refs = "0009 @IntfClear 001b HTML40ContainerInterface 0022 GetIWInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 15 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 F9 29 D2 54 29 0F E4 47 B2 23 32 A7 00 C3 08 C2 }
	condition:
		$1
}

rule function_45217_0 {
	meta:
		name = "HTML40FormInterface"
		size = 60
		refs = "0009 @IntfClear 001b HTML40FormInterface 0022 GetIWInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 15 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 70 93 07 4B B7 D1 13 4D 95 01 AD 0D 15 72 BF 4D }
	condition:
		$1
}

rule function_45218_0 {
	meta:
		name = "HTML40ComponentInterface"
		size = 60
		refs = "0009 @IntfClear 001b HTML40ComponentInterface 0022 GetIWInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 15 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 BA DA 7A 9A 76 A5 A0 4C 8C A1 61 2E 8D 32 2E C4 }
	condition:
		$1
}

rule function_45219_0 {
	meta:
		name = "SetActiveControl"
		size = 192
		refs = "0015 @IntfAddRef 001d SetActiveControl 002f SupportsInterface 003d HTML40ContainerInterface 0052 _Dn_TFrame 0057 @IsClass 006e RSCannotReceiveFocus 0077 _Dn_Exception 007c Exception.Create 0081 @RaiseExcept 0096 @IntfClear 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 8B 08 FF 51 4C EB 37 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 43 38 8B 55 FC E8 ?? ?? ?? ?? EB 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 00 F9 29 D2 54 29 0F E4 47 B2 23 32 A7 00 C3 08 C2 }
	condition:
		$1
}

rule function_45220_0 {
	meta:
		name = "SetDoRefreshControl"
		size = 588
		refs = "001c SetDoRefreshControl 002c BaseContainerInterface 0061 SupportsInterface 00c0 HTML40ComponentInterface 00e6 _Dn_TFrame 00eb @IsClass 0112 @AsClass 011d TComponent.GetComponentCount 0132 TComponent.GetComponent 01df IIWHTML40Component 01e9 @FinalizeArray 01f2 IIWBaseContainer 0204 @IntfClear 021d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 34 48 85 C0 0F 8C 66 01 00 00 40 89 45 F4 33 DB 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 8B D3 8B 08 FF 51 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 8B D3 8B 08 FF 51 30 0F B6 55 FF E8 ?? ?? ?? ?? 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 8B D3 8B 08 FF 51 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 28 8D 55 D8 8B C6 E8 ?? ?? ?? ?? 8B 45 D8 8B D3 8B 08 FF 51 30 8D 55 DC E8 ?? ?? ?? ?? 8B 45 DC 0F B6 55 FF 8B 08 FF 51 54 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 8B 45 D4 8B D3 8B 08 FF 51 30 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A6 00 00 00 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 8B 45 D0 8B D3 8B 08 FF 51 30 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 48 85 C0 7C 77 40 89 45 F0 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 55 FF E8 ?? ?? ?? ?? 8D 55 CC 8B C6 E8 ?? ?? ?? ?? 8B 45 CC 8B D3 8B 08 FF 51 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 0F B6 55 FF 8B 08 FF 51 54 47 FF 4D F0 75 8F 43 FF 4D F4 0F 85 A0 FE FF FF BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 16 8D 55 C4 8B C6 E8 ?? ?? ?? ?? 8B 45 C4 0F B6 55 FF 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B7 5F 5E 5B 8B E5 5D C3 00 00 40 ED A6 62 46 92 E7 48 86 A3 A4 67 52 B0 39 4B BA DA 7A 9A 76 A5 A0 4C 8C A1 61 2E 8D 32 2E C4 }
	condition:
		$1
}

rule function_45224_0 {
	meta:
		name = "TIWHTMLContainer.OwnerFrame"
		size = 63
		refs = "000e _DV_TIWHTMLContainer 0013 @IsClass 001e TIWHTMLContainer.OwnerFrame 002a _Dn_TFrame"
	strings:
		$1 = { 53 56 57 8B D8 33 F6 8B 7B 38 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B C7 E8 ?? ?? ?? ?? 8B F0 EB 13 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 02 8B F3 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45225_0 {
	meta:
		name = "TIWHTMLContainer.getTabOrder"
		size = 90
		refs = "0007 TIWHTMLContainer.OwnerForm 0029 TList.IndexOf"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 85 F6 74 30 8B D3 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 66 83 F8 FF 75 24 83 CA FF 8B C3 8B 08 FF 91 2C 01 00 00 8B D3 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 0F B7 83 C0 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_45227_0 {
	meta:
		name = "TIWHTMLContainer.setTabOrder"
		size = 164
		refs = "000a TIWHTMLContainer.OwnerForm 002c TList.IndexOf 003d TList.Delete 0044 TIWBaseContainer.GetLoading 006c TList.Insert 007b TList.Add"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 85 F6 74 70 8B D3 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 85 C0 7C 0D 8B D0 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 26 66 83 FF FF 74 20 0F BF C7 8B 96 B4 02 00 00 3B 42 08 7D 12 0F BF D7 8B CB 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? EB 21 8B D3 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 66 89 83 C0 02 00 00 66 83 FF FF 74 07 66 89 BB C0 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45230_0 {
	meta:
		name = "TIWHTMLContainer.AfterParentChanging"
		size = 92
		refs = "0011 TIWBaseContainer.AfterParentChanging 0019 _Dn_TFrame 0020 @IsClass"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C7 8B 2D ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 84 C0 75 0D 8B C6 8B D5 E8 ?? ?? ?? ?? 84 C0 74 0D 83 CA FF 8B C3 8B 08 FF 91 2C 01 00 00 85 F6 75 11 85 FF 74 0D 83 CA FF 8B C3 8B 08 FF 91 2C 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45231_0 {
	meta:
		name = "TIWHTMLContainer.RenderMarkupLanguageTag"
		size = 9
	strings:
		$1 = { 8B 08 FF 91 68 01 00 00 C3 }
	condition:
		$1
}

rule function_45235_0 {
	meta:
		name = "TIWHRule.InitControl"
		size = 45
		refs = "0006 TIWCustomControl.InitControl 0012 TControl.SetWidth 001e TControl.SetHeight 0027 TIWCustomControl.set_RenderSize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45237_0 {
	meta:
		name = "TIWHRule.RenderHTML"
		size = 220
		refs = "000c TIWHRule.RenderHTML 0013 _Dn_TIWHTMLTag 0018 TIWMarkupLanguageTag.CreateTag 0030 TIWCustomControl.get_RenderSize 003b TIWCustomControl.get_StyleRenderOptions 0051 TIWMarkupLanguageTag.AddIntegerParam 0070 @HandleAnyException 007d TObject.Free 0082 @RaiseAgain 0087 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2D 8B C3 E8 ?? ?? ?? ?? 80 78 04 00 74 20 8B 4B 50 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 4B 54 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 48 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 49 00 44 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 45 00 49 00 47 00 48 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_45238_0 {
	meta:
		name = "TIWHRule.RenderStyle"
		size = 76
		refs = "0010 TIWCustomControl.RenderStyle 001d TIWHRule.RenderStyle 0022 @UStrCat"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7F 1C 01 75 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 61 00 72 00 67 00 69 00 6E 00 3A 00 30 00 3B 00 00 00 }
	condition:
		$1
}

rule function_45239_0 {
	meta:
		name = "TIWList.InitControl"
		size = 68
		refs = "0007 TIWCustomControl.InitControl 000e _Dn_TStringList 0013 TStringList.Create 0025 TIWList.OnItemsChange 0031 TControl.SetHeight 003d TControl.SetWidth"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 9C 02 00 00 89 5E 44 C7 46 40 ?? ?? ?? ?? BA 18 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 74 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45242_0 {
	meta:
		name = "TIWList.RenderHTML"
		size = 520
		refs = "0017 TIWList.RenderHTML 0043 _Dn_TIWHTMLTag 0048 TIWMarkupLanguageTag.CreateTag 0080 TIWHTMLTag.GetContents 008c TIWHTMLTagCollection.AddTag 00b8 IntToStr 00c5 @UStrCat 00d8 TIWMarkupLanguageTagCollection.AddText 0160 @HandleAnyException 016d TObject.Free 0172 @RaiseAgain 0177 @DoneExcept 0191 @UStrArrayClr 0197 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8B 83 9C 02 00 00 8B 10 FF 52 14 85 C0 0F 8E 42 01 00 00 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 83 9C 02 00 00 8B 10 FF 52 14 48 85 C0 0F 8C C5 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 80 BB 98 02 00 00 00 74 2E 8D 55 F0 8B 45 F8 40 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B C7 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? EB 13 8B C7 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 4D EC 8B 83 9C 02 00 00 8B 55 F8 8B 38 FF 57 0C 8B 45 EC 50 8B C6 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? FF 45 F8 FF 4D F4 0F 85 46 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 83 78 08 00 75 11 8B 45 FC E8 ?? ?? ?? ?? 33 C9 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 61 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 95 00 00 00 }
	condition:
		$1
}

rule function_45245_0 {
	meta:
		name = "TIWList.Clear"
		size = 12
	strings:
		$1 = { 8B 80 9C 02 00 00 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_45246_0 {
	meta:
		name = "TIWLink.InitControl"
		size = 28
		refs = "0006 TIWLinkBase.InitControl 0016 TIWCustomControl.set_RenderSize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 F0 01 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45247_0 {
	meta:
		name = "TIWLink.HookEvents"
		size = 660
		refs = "001d TIWLink.HookEvents 002c TIWCustomControl.HookEvents 0033 TIWCustomControl.get_RenderSize 0070 TIWCustomControl.SubmitHandler 007b TIWVCLBaseControl.HasOnClick 0083 iif 009f Format 010f TIWScriptEvents.HookEvent 0129 @UStrArrayClr 0131 @UStrClr 0137 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6A 80 BB 98 02 00 00 00 74 61 8D 45 FC 50 8D 55 E8 8B C3 8B 08 FF 91 14 01 00 00 8B 45 E8 89 45 EC C6 45 F0 11 8D 45 E4 50 6A 01 8D 45 E0 50 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 50 8B C3 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 45 E4 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5F 8D 45 FC 50 8D 55 DC 8B C3 8B 08 FF 91 14 01 00 00 8B 45 DC 89 45 EC C6 45 F0 11 8D 45 D8 50 6A 01 8D 45 D4 50 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 50 8B C3 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 45 D8 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 4D 00 00 00 69 00 66 00 20 00 28 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 67 00 65 00 74 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 42 00 79 00 49 00 64 00 28 00 27 00 25 00 73 00 27 00 29 00 2E 00 63 00 68 00 69 00 6C 00 64 00 4E 00 6F 00 64 00 65 00 73 00 5B 00 30 00 5D 00 2E 00 68 00 72 00 65 00 66 00 29 00 20 00 7B 00 25 00 73 00 7D 00 20 00 65 00 6C 00 73 00 65 00 20 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 66 00 61 00 6C 00 73 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 3F 00 00 00 69 00 66 00 20 00 28 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 67 00 65 00 74 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 42 00 79 00 49 00 64 00 28 00 27 00 25 00 73 00 27 00 29 00 2E 00 68 00 72 00 65 00 66 00 29 00 20 00 7B 00 25 00 73 00 7D 00 20 00 65 00 6C 00 73 00 65 00 20 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 66 00 61 00 6C 00 73 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 6E 00 43 00 6C 00 69 00 63 00 6B 00 00 00 }
	condition:
		$1
}

rule function_45248_0 {
	meta:
		name = "TIWLink.RenderHTML"
		size = 1220
		refs = "001b TIWLink.RenderHTML 0037 TIWVCLBaseControl.HasOnClick 0050 TIWCustomControl.get_RenderSize 006b _Dn_TIWHTMLTag 0070 TIWMarkupLanguageTag.CreateTag 0094 TIWMarkupLanguageTag.AddStringParam 00b3 TIWHTMLTag.GetContents 00bf TIWHTMLTagCollection.AddTag 00f3 TIWApplication.GetBrowser 0170 TIWBaseHTMLControl.get_WebFont 0178 TIWFont.FontToStringStyle 01bc TControl.GetText 01c8 TIWBaseHTMLControl.TextToHTML 01dc TIWMarkupLanguageTagCollection.AddText 0211 @HandleAnyException 021e TObject.Free 0223 @RaiseAgain 0228 @DoneExcept 0236 _Dn_TIWLabel 023b TIWCustomControl.Create 0273 TIWCustomLabel.SetRawText 0288 TControl.SetText 0297 TIWCustomLabel.SetAlignment 02c2 TControl.SetWidth 02cd TControl.SetHeight 02eb TIWCustomControl.set_RenderSize 02f2 TIWCustomControl.get_StyleRenderOptions 0331 @HandleFinally 0348 @UStrClr 035d @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 68 84 C0 0F 84 FD 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0E 66 83 BB 12 02 00 00 00 0F 84 E4 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 70 80 BB 98 02 00 00 00 74 67 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 0F B6 83 98 02 00 00 FE C8 74 18 FE C8 75 26 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 7D FC 8B 45 FC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC EB 19 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 7D FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 46 10 E8 ?? ?? ?? ?? 3C 02 75 1F 8D 55 F4 8B C3 8B 08 FF 91 14 01 00 00 8B 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 32 8B 46 10 E8 ?? ?? ?? ?? 3C 04 75 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 35 80 BB 98 02 00 00 00 74 2C 8D 45 F0 50 8B 46 10 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 80 BB B1 01 00 00 00 74 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 80 BB A0 02 00 00 00 75 32 6A 00 8D 45 EC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B 03 B1 01 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? EB 1E 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 FC E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 89 7D FC 33 C0 5A 59 59 64 89 10 E9 27 01 00 00 E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 06 01 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 E0 8B C3 8B 08 FF 91 14 01 00 00 8B 55 E0 8B 45 F8 8B 08 FF 51 24 0F B6 93 A0 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 93 98 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 33 D2 8B 45 F8 8B 08 FF 51 78 8B 53 50 8B 45 F8 E8 ?? ?? ?? ?? 8B 53 54 8B 45 F8 E8 ?? ?? ?? ?? B2 01 8B 45 F8 8B 08 FF 91 E8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 8B D6 8B 45 F8 8B 08 FF 91 18 01 00 00 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 8B 45 FC 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 56 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 74 00 65 00 78 00 74 00 2D 00 61 00 6C 00 69 00 67 00 6E 00 3A 00 20 00 63 00 65 00 6E 00 74 00 65 00 72 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 74 00 65 00 78 00 74 00 2D 00 61 00 6C 00 69 00 67 00 6E 00 3A 00 20 00 72 00 69 00 67 00 68 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 52 00 45 00 46 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 6A 00 61 00 76 00 61 00 73 00 63 00 72 00 69 00 70 00 74 00 3A 00 76 00 6F 00 69 00 64 00 28 00 30 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 66 00 61 00 6C 00 73 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6F 00 6E 00 63 00 6C 00 69 00 63 00 6B 00 00 00 }
	condition:
		$1
}

rule function_45251_0 {
	meta:
		name = "TIWLinkBase.InitControl"
		size = 80
		refs = "0006 TIWCustomControl.InitControl 0012 TControl.SetWidth 001e TControl.SetHeight 0028 fromTColor 0031 TIWBaseHTMLControl.set_WebColor 0038 TIWBaseHTMLControl.get_WebFont 003f TIWLinkBase.InitControl 0044 TIWFont.SetStyle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA 41 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 11 00 00 00 8B C3 E8 ?? ?? ?? ?? B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_45252_0 {
	meta:
		name = "TIWLinkBase.Submit"
		size = 32
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 9C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_45253_0 {
	meta:
		name = "TIWLinkBase.RenderStyle"
		size = 248
		refs = "0018 TIWLinkBase.RenderStyle 002e TIWBaseHTMLControl.get_WebColor 0036 ColorToRGBString 004b @UStrCatN 005b toTColor 006b iif 007b TIWCustomControl.RenderStyle 0086 @UStrCat3 00a0 @UStrArrayClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D FF FF FF 1F 0F 95 C0 33 C9 5A E8 ?? ?? ?? ?? 8B 45 FC 50 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 12 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 43 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_45254_0 {
	meta:
		name = "TIWLinkBase.RenderAsync"
		size = 452
		refs = "0016 TIWLinkBase.RenderAsync 002a _Dn_TIWXMLTag 002f TIWXMLTag.CreateTag 005d TIWMarkupLanguageTag.AddStringParam 0083 TControl.GetText 008f TIWBaseHTMLControl.TextToHTML 00ad iif 00c2 TIWCustomControl.RenderAsyncPropertyAsString 00d6 TIWCustomControl.RenderAsyncCommonProperties 00e5 @HandleAnyException 00f2 TObject.Free 00f7 @DoneExcept 0111 @UStrArrayClr 0126 @UStrClr 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F4 8B C3 8B 08 FF 91 14 01 00 00 8B 4D F4 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 50 6A 00 8D 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B 03 B1 01 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 0F B6 83 A0 02 00 00 59 E8 ?? ?? ?? ?? 8B 45 FC 50 6A 00 8B 4D F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 50 8B 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B 45 F8 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 57 00 4C 00 49 00 4E 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 6E 00 65 00 72 00 68 00 74 00 6D 00 6C 00 00 00 FF 07 00 00 }
	condition:
		$1
}

rule function_45255_0 {
	meta:
		name = "TIWURLTarget.Create"
		size = 97
		refs = "000a @ClassCreate 0017 TObject.Create 004e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 0C FF FF FF FF C7 46 14 FF FF FF FF C7 46 18 FF FF FF FF C7 46 08 FF FF FF FF C6 46 11 01 C6 46 12 01 C6 46 10 00 C6 46 04 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_45256_0 {
	meta:
		name = "TIWURL.InitControl"
		size = 41
		refs = "0006 TIWLinkBase.InitControl 000d _DV_TIWURLTarget 0012 TIWURLTarget.Create 0023 @UStrClr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A8 02 00 00 8D 83 B0 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45257_0 {
	meta:
		name = "TIWURL.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TIWVCLBaseControl.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 A8 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45258_0 {
	meta:
		name = "TIWURL.HookEvents"
		size = 21
		refs = "0006 TIWCustomControl.HookEvents"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 68 84 C0 5B C3 }
	condition:
		$1
}

rule function_45259_0 {
	meta:
		name = "TIWURL.RenderHTML"
		size = 2660
		refs = "001a TIWURL.RenderHTML 003d _Dn_TIWHTMLTag 0042 TIWMarkupLanguageTag.CreateTag 006c TControl.GetText 0078 TIWBaseHTMLControl.TextToHTML 0084 TIWHTMLTag.GetContents 008c TIWMarkupLanguageTagCollection.AddText 00be @HandleAnyException 00cb TObject.Free 00d0 @RaiseAgain 00d5 @DoneExcept 0117 @UStrCopy 0124 @UStrLAsg 012f AnsiCompareText 019c @UStrEqual 01ef TIWMarkupLanguageTag.AddStringParam 0211 @UStrCat3 0236 @UStrClr 025b iif 026b @UStrCatN 0341 IntToStr 0491 @UStrDelete 0550 @UStrAsg 055d TIWCustomControl.HintEvents 05ef TIWCustomControl.get_RenderSize 0671 TIWHTMLTagCollection.AddTagAsObject 06b4 @UStrArrayClr 06e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 11 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 68 84 C0 0F 85 AB 00 00 00 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 BB A0 02 00 00 00 75 32 6A 00 8D 45 D0 50 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 55 CC 8B 03 B1 01 E8 ?? ?? ?? ?? 8B 45 D0 50 8B 45 D4 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? EB 1E 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 45 D4 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 DE 05 00 00 E9 ?? ?? ?? ?? 8B 45 D4 33 D2 89 55 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BD 05 00 00 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F4 50 8B 83 B0 02 00 00 B9 07 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 36 8D 45 EC 50 8B 83 B0 02 00 00 B9 08 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 2D 8D 45 C4 50 8B 83 B0 02 00 00 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 34 01 EB 02 33 C0 84 C0 74 2D 8D 45 C0 50 8B 83 B0 02 00 00 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 34 01 EB 02 33 C0 84 C0 74 18 8B 8B B0 02 00 00 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E9 42 03 00 00 8D 55 B8 8B C3 8B 08 FF 91 14 01 00 00 8B 4D B8 8D 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 80 BB AD 02 00 00 00 0F 84 FF 01 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B B3 A8 02 00 00 FF 75 F8 68 ?? ?? ?? ?? 8D 45 B4 50 0F B6 46 04 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 B4 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 B0 50 0F B6 46 10 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 B0 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 AC 50 0F B6 46 11 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 AC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 A8 50 0F B6 46 13 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 A8 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 A4 50 0F B6 46 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 A4 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 7E 0C 83 FF FF 7E 22 FF 75 F8 68 ?? ?? ?? ?? 8D 55 A0 8B C7 E8 ?? ?? ?? ?? FF 75 A0 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 7E 14 83 FF FF 7E 22 FF 75 F8 68 ?? ?? ?? ?? 8D 55 9C 8B C7 E8 ?? ?? ?? ?? FF 75 9C 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 7E 18 83 FF FF 7E 22 FF 75 F8 68 ?? ?? ?? ?? 8D 55 98 8B C7 E8 ?? ?? ?? ?? FF 75 98 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 7E 08 83 FF FF 7E 22 FF 75 F8 68 ?? ?? ?? ?? 8D 55 94 8B C7 E8 ?? ?? ?? ?? FF 75 94 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF B3 B0 02 00 00 68 ?? ?? ?? ?? 8B 83 A8 02 00 00 FF 70 1C 68 ?? ?? ?? ?? 8D 45 8C 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? FF 75 8C 68 ?? ?? ?? ?? 8D 45 90 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 4D 90 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E9 09 01 00 00 8D 45 FC 8B 93 B0 02 00 00 E8 ?? ?? ?? ?? 80 BB AC 02 00 00 00 0F 84 C4 00 00 00 8D 45 E4 50 B9 07 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 14 8D 45 FC B9 07 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 59 8D 45 DC 50 B9 08 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 22 8D 45 FC B9 08 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 46 10 FF 70 64 68 ?? ?? ?? ?? FF 75 FC 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 88 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D 88 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 83 BB 88 00 00 00 00 75 11 8D 83 88 00 00 00 8B 93 B0 02 00 00 E8 ?? ?? ?? ?? 8D 4D 84 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 80 BB A0 02 00 00 00 75 38 6A 00 8D 45 80 50 8D 95 7C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B 03 B1 01 E8 ?? ?? ?? ?? 8B 45 80 50 8B 45 D4 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? EB 24 8D 95 78 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 50 8B 45 D4 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 D4 33 D2 89 55 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A0 00 00 00 80 BB 98 02 00 00 00 0F 84 93 00 00 00 8B 75 D4 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 83 98 02 00 00 FE C8 74 18 FE C8 75 26 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? EB 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 33 C9 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 D4 33 D2 89 55 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 80 BA 12 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B9 8B 45 D4 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 50 00 41 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 68 00 74 00 74 00 70 00 73 00 3A 00 2F 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 52 00 45 00 46 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 2C 00 6C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6E 00 6F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 79 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2C 00 6D 00 65 00 6E 00 75 00 62 00 61 00 72 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 2C 00 72 00 65 00 73 00 69 00 7A 00 61 00 62 00 6C 00 65 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2C 00 74 00 6F 00 6F 00 6C 00 62 00 61 00 72 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 2C 00 73 00 63 00 72 00 6F 00 6C 00 6C 00 62 00 61 00 72 00 73 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2C 00 6C 00 65 00 66 00 74 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2C 00 74 00 6F 00 70 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 2C 00 77 00 69 00 64 00 74 00 68 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 2C 00 68 00 65 00 69 00 67 00 68 00 74 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4E 00 65 00 77 00 57 00 69 00 6E 00 64 00 6F 00 77 00 28 00 27 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 27 00 2C 00 20 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 27 00 2C 00 27 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 6E 00 43 00 6C 00 69 00 63 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 5F 00 73 00 5F 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 53 00 54 00 4F 00 50 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 70 00 61 00 72 00 65 00 6E 00 74 00 2E 00 4C 00 6F 00 61 00 64 00 55 00 52 00 4C 00 28 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 56 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 74 00 65 00 78 00 74 00 2D 00 61 00 6C 00 69 00 67 00 6E 00 3A 00 63 00 65 00 6E 00 74 00 65 00 72 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 74 00 65 00 78 00 74 00 2D 00 61 00 6C 00 69 00 67 00 6E 00 3A 00 72 00 69 00 67 00 68 00 74 00 3B 00 00 00 }
	condition:
		$1
}

rule function_45260_0 {
	meta:
		name = "TIWURL.SetTerminateApp"
		size = 18
	strings:
		$1 = { 88 90 AC 02 00 00 84 D2 74 07 C6 80 AD 02 00 00 00 C3 }
	condition:
		$1
}

rule function_45261_0 {
	meta:
		name = "TIWURL.SetUseTarget"
		size = 18
	strings:
		$1 = { 88 90 AD 02 00 00 84 D2 74 07 C6 80 AC 02 00 00 00 C3 }
	condition:
		$1
}

rule function_45262_0 {
	meta:
		name = "TIWApplet.InitControl"
		size = 109
		refs = "0006 TIWCustomControl.InitControl 000d _Dn_TStringList 0012 TStringList.Create 0024 TControl.SetHeight 0030 TControl.SetWidth 003b @UStrClr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B4 02 00 00 BA C8 00 00 00 8B C3 E8 ?? ?? ?? ?? BA C8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 9C 02 00 00 E8 ?? ?? ?? ?? 8D 83 A0 02 00 00 E8 ?? ?? ?? ?? 8D 83 A4 02 00 00 E8 ?? ?? ?? ?? 8D 83 A8 02 00 00 E8 ?? ?? ?? ?? 8D 83 AC 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45263_0 {
	meta:
		name = "TIWApplet.Dispose"
		size = 37
		refs = "0015 TObject.Free 001e TIWCustomControl.Dispose"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 86 B4 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45264_0 {
	meta:
		name = "TIWApplet.RenderHTML"
		size = 1316
		refs = "0018 TIWApplet.RenderHTML 0052 @UStrLAsg 009c _Dn_TIWHTMLTag 00a1 TIWMarkupLanguageTag.CreateTag 00c5 TIWMarkupLanguageTag.AddStringParam 00d5 TIWMarkupLanguageTag.AddIntegerParam 0101 gServerController 0108 TIWServerControllerBase.GetFilesURL 011c iif 0143 @UStrCat3 015e TIWMarkupLanguageTag.Add 0170 IntToStr 01f8 @UStrCatN 026a TIWHTMLTag.GetContents 0276 TIWHTMLTagCollection.AddTag 0288 TStrings.GetName 02b8 TStrings.GetValue 02dc @HandleAnyException 02e9 TObject.Free 02ee @RaiseAgain 02f3 @DoneExcept 030d @UStrArrayClr 0315 @UStrClr 031b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 83 98 02 00 00 83 F8 04 77 64 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 8B A8 02 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 4B 54 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 4B 50 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 4D EC 8B 93 AC 02 00 00 8B 83 AC 02 00 00 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 8B A0 02 00 00 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 83 A0 02 00 00 33 C9 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E0 50 8D 55 D8 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 8B 4D D8 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 83 7B 50 00 0F 9F C0 33 C9 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 D4 50 8D 55 CC 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? 8B 4D CC 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 83 7B 54 00 0F 9F C0 33 C9 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 C8 50 68 ?? ?? ?? ?? FF B3 9C 02 00 00 6A 00 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 C4 8B 83 9C 02 00 00 33 C9 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 C0 50 68 ?? ?? ?? ?? FF B3 A4 02 00 00 6A 00 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 BC 8B 83 A4 02 00 00 33 C9 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F8 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 8B 10 FF 52 14 48 85 C0 7C 71 40 89 45 F4 33 F6 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 4D B8 8B 83 B4 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 4D B8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8D 4D B0 8B 83 B4 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 55 B0 8D 4D B4 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8B 4D B4 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 46 FF 4D F4 75 95 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 11 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 74 00 6F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6D 00 69 00 64 00 64 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 6F 00 74 00 74 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 72 00 69 00 67 00 68 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 50 00 50 00 4C 00 45 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 4F 00 44 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 45 00 49 00 47 00 48 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 49 00 44 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 4C 00 49 00 47 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 4F 00 44 00 45 00 42 00 41 00 53 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 4E 00 41 00 4D 00 45 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 20 00 48 00 53 00 50 00 41 00 43 00 45 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 20 00 56 00 53 00 50 00 41 00 43 00 45 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 41 00 4C 00 54 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 41 00 52 00 43 00 48 00 49 00 56 00 45 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 41 00 52 00 41 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 41 00 4C 00 55 00 45 00 00 00 }
	condition:
		$1
}

rule function_45265_0 {
	meta:
		name = "TCustomButtonedEdit.SetLeftButton"
		size = 12
		altNames = "TCustomForm.SetIcon TIWApplet.SetParams TTIWCustomWebEdit.SetGlyphs"
	strings:
		$1 = { 8B 80 B4 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_45266_0 {
	meta:
		name = "TIWURLWindow.InitControl"
		size = 65
		refs = "0006 TIWCustomControl.InitControl 0019 TControl.SetHeight 0025 TControl.SetWidth 0030 @UStrClr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 AC 02 00 00 00 BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 96 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 98 02 00 00 E8 ?? ?? ?? ?? 8D 83 9C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45267_0 {
	meta:
		name = "TIWURLWindow.SetURI"
		size = 114
		refs = "000e @UStrAddRef 0016 TIWURLWindow.SetURI 002a @UStrEqual 0035 TIWCustomControl.set_DoRefreshControl 0043 @UStrAsg 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 98 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 74 21 B2 01 8B C3 E8 ?? ?? ?? ?? 8D 83 98 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_45268_0 {
	meta:
		name = "FindParent"
		size = 72
		refs = "0007 FindParent 000f SupportsInterface"
	strings:
		$1 = { 55 8B EC 53 8B D8 BA ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 84 C0 74 06 8B 43 38 5B 5D C3 8B 43 38 85 C0 74 0C 8B 55 08 52 E8 ?? ?? ?? ?? 59 EB 02 33 C0 5B 5D C3 00 00 00 70 93 07 4B B7 D1 13 4D 95 01 AD 0D 15 72 BF 4D }
	condition:
		$1
}

rule function_45269_0 {
	meta:
		name = "TIWURLWindow.RenderHTML"
		size = 972
		refs = "001f TIWURLWindow.RenderHTML 0033 _Dn_TIWHTMLTag 0038 TIWMarkupLanguageTag.CreateTag 0051 FindParent 0099 Format 00a3 TIWCompContext.AddToInitProc 00b6 TIWMarkupLanguageTag.AddStringParam 00c6 TIWMarkupLanguageTag.AddIntegerParam 00f0 iif 00f8 StrToInt 016a TIWMarkupLanguageTag.Add 0197 @HandleAnyException 01a4 TObject.Free 01a9 @RaiseAgain 01ae @DoneExcept 01c8 @UStrArrayClr 01d0 @UStrClr 01d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D DC 89 4D E0 89 4D F8 89 4D E4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 55 8B C3 E8 ?? ?? ?? ?? 59 85 C0 74 4D 83 BB 98 02 00 00 00 74 44 8D 45 F8 50 8D 55 E4 8B C3 8B 08 FF 91 14 01 00 00 8B 45 E4 89 45 E8 C6 45 EC 11 8B 83 98 02 00 00 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 8B 9C 02 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 4B 50 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 4B 54 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E0 50 0F B6 83 A0 02 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 8B A4 02 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 8B A8 02 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 DC 8B C3 8B 08 FF 91 14 01 00 00 8B 4D DC BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 0F B6 83 AC 02 00 00 2C 01 72 08 74 15 FE C8 74 20 EB 2B BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 1C BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 0D BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 FC 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 46 00 52 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 66 00 72 00 61 00 6D 00 65 00 73 00 5B 00 27 00 25 00 73 00 27 00 5D 00 2E 00 6C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2E 00 68 00 72 00 65 00 66 00 3D 00 27 00 25 00 73 00 27 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4C 00 4F 00 4E 00 47 00 44 00 45 00 53 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 49 00 44 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 45 00 49 00 47 00 48 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 46 00 52 00 41 00 4D 00 45 00 42 00 4F 00 52 00 44 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 41 00 52 00 47 00 49 00 4E 00 57 00 49 00 44 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4D 00 41 00 52 00 47 00 49 00 4E 00 48 00 45 00 49 00 47 00 48 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 43 00 52 00 4F 00 4C 00 4C 00 49 00 4E 00 47 00 3D 00 59 00 45 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 43 00 52 00 4F 00 4C 00 4C 00 49 00 4E 00 47 00 3D 00 4E 00 4F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 43 00 52 00 4F 00 4C 00 4C 00 49 00 4E 00 47 00 3D 00 41 00 55 00 54 00 4F 00 00 00 00 00 }
	condition:
		$1
}

rule function_45270_0 {
	meta:
		name = "TIWURLTarget.Create"
		size = 183
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TIWURLTarget.Create 0034 TObject.Create 0076 @UStrAsg 008b @UStrClr 0091 @HandleFinally 00a0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 04 8B 45 28 89 46 08 8B 45 24 89 46 0C 0F B6 45 20 88 46 10 0F B6 45 1C 88 46 11 0F B6 45 18 88 46 12 0F B6 45 14 88 46 13 8B 45 10 89 46 14 8B 45 0C 89 46 18 8D 46 1C 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 24 00 }
	condition:
		$1
}

rule function_45271_0 {
	meta:
		name = "TIWURL.SetURL"
		size = 83
		refs = "000f TIWURL.SetURL 001f Trim 002d @UStrAsg 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 B0 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45275_0 {
	meta:
		name = "TIWHTMLTag.CreateHTMLTag"
		size = 82
		refs = "000e @ClassCreate 0020 TIWMarkupLanguageElement.Create 003b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 08 33 D2 8B C7 E8 ?? ?? ?? ?? 0F B6 45 0C 88 47 1D 8B D6 8B C7 8B 08 FF 51 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_45278_0 {
	meta:
		name = "TIWHTMLTag.SetTag"
		size = 440
		refs = "0016 TIWHTMLTag.SetTag 0023 TIWMarkupLanguageTag.SetTag 002b GClosingTagList 004a @UStrLAsg 0060 AnsiCompareText 0147 @UStrArrayClr 014d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 53 18 A1 ?? ?? ?? ?? 8B 08 FF 51 54 40 7F 06 83 7B 18 00 75 04 C6 43 1D 01 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 18 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 28 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 53 18 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 28 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 53 18 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 28 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 53 18 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 28 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 8B 53 18 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 C6 43 1C 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 52 00 45 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 56 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_45279_0 {
	meta:
		name = "TIWHTMLTagCollection.AddTag"
		size = 24
		refs = "0010 TIWMarkupLanguageTagCollection.AddTag"
		altNames = "TIWHTMLTagCollection.AddTagAsObject"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63111_0 {
	meta:
		name = "TClassList.ExtractItem"
		size = 24
		refs = "0010 TList.ExtractItem"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63079_0 {
	meta:
		name = "TObjectList.ExtractItem"
		size = 24
		refs = "0010 TList.ExtractItem"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45281_0 {
	meta:
		name = "Finalization"
		size = 68
		refs = "0007 Finalization 0013 _DV_3 001a GClosingTagList 001f TObject.Free 0024 NeverClosedTags 0029 @UStrClr 003c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_111151_0 {
	meta:
		name = "Finalization"
		size = 68
		refs = "0007 Finalization 0013 _DV_3 001a TranslatorFactory 001f UnRegisterSchemaTranslator 0029 @IntfClear 003c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_114590_0 {
	meta:
		name = "Finalization"
		size = 68
		refs = "0007 Finalization 0013 _DV_2 001a TranslatorFactory 001f UnRegisterSchemaTranslator 0029 @IntfClear 003c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_115275_0 {
	meta:
		name = "Finalization"
		size = 68
		refs = "0007 Finalization 0013 _DV_5 001a TranslatorFactory 001f UnRegisterSchemaTranslator 0029 @IntfClear 003c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_45282_0 {
	meta:
		name = "IWHTMLTag"
		size = 55
		refs = "0002 _DV_3 000c _Dn_TStringList 0011 TStringList.Create 0016 GClosingTagList 0022 TStringList.SetSorted 0028 NeverClosedTags 0032 TStrings.SetCommaText"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 2D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45283_0 {
	meta:
		name = "TIWSocketThrottler.Send"
		size = 135
		refs = "0010 GetClockValue 0021 TIdConnectionIntercept.Send 003d @DynArrayLength 0072 IndySleep"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 83 7B 68 00 7E 69 E8 ?? ?? ?? ?? 89 44 24 08 89 54 24 0C 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 2B 44 24 08 1B 54 24 0C 89 44 24 08 89 54 24 0C 8B 06 E8 ?? ?? ?? ?? 69 C0 E8 03 00 00 99 F7 7B 68 99 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 3B 54 24 0C 75 08 3B 44 24 08 76 1B EB 02 7E 17 8B 04 24 2B 44 24 08 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_45284_0 {
	meta:
		name = "TIWHTTPServerModule.GetSSLPassword"
		size = 34
		refs = "0007 gServerController 001c @LStrFromUStr"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? 8B 12 8B 92 44 01 00 00 8B 52 04 B9 00 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45285_0 {
	meta:
		name = "TIWHTTPServerModule.HTTPOnConnect"
		size = 55
		refs = "000c _DV_TIWSocketThrottler 0011 TInBaseComponent.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 4E 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 38 85 D2 79 03 83 C2 07 C1 FA 03 89 50 68 8B 56 14 8B 92 B0 00 00 00 92 8B 08 FF 51 64 5E 5B C3 }
	condition:
		$1
}

rule function_45286_0 {
	meta:
		name = "CreateHTTP"
		size = 71
		refs = "000d _Dn_TInHTTPWebBrokerBridge 0012 TInBaseComponent.Create 0021 _Dn_TIWServer 0028 TInHTTPWebBrokerBridge.RegisterWebModuleClass 003e TIWHTTPServerModule.HTTPOnConnect"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 48 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 C6 83 19 01 00 00 00 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 89 83 D4 00 00 00 C7 83 D0 00 00 00 ?? ?? ?? ?? 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_45287_0 {
	meta:
		name = "TIWHTTPServerModule.Create"
		size = 624
		refs = "001f @ClassCreate 002d TIWHTTPServerModule.Create 003d TComponent.Create 0045 GHTTPServer 0067 CreateHTTP 0076 TIWHTTPServerModule.SetHTTPPort 007b GLicense 0084 TIWLicense.CanIDoThis 008d gServerController 00b0 TIWHTTPServerModule.SetHTTPSPort 00e0 RSAppStartedAndListening 00ec LogFileAppend 00fb @HandleOnException 0103 _Dn_Exception 0119 @RaiseAgain 011e @DoneExcept 0141 RSBindError 016c IntToStr 017e RSHTTPPort 0187 Format 01f3 @HandleFinally 0212 @UStrArrayClr 021a @UStrClr 0230 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E4 89 5D E0 89 5D F4 89 5D E8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC A3 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 55 E8 ?? ?? ?? ?? 59 8B 55 FC 89 42 3C 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 B2 05 E8 ?? ?? ?? ?? 84 C0 74 2A A1 ?? ?? ?? ?? 8B 00 8B 80 44 01 00 00 83 78 08 00 7E 17 55 E8 ?? ?? ?? ?? 59 8B 55 FC 89 42 40 8B 45 FC E8 ?? ?? ?? ?? EB 1A A1 ?? ?? ?? ?? 8B 00 8B 80 44 01 00 00 33 D2 89 50 08 8B 45 FC 33 D2 89 50 40 A1 ?? ?? ?? ?? 8B 00 0F B6 40 78 2C 01 75 11 A1 ?? ?? ?? ?? 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 28 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 40 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 98 30 01 00 00 85 DB 75 13 A1 ?? ?? ?? ?? 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 45 A1 ?? ?? ?? ?? 8B 00 0F B6 40 78 2C 01 75 36 8D 45 F4 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 55 EC A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 80 44 01 00 00 8B 58 08 85 DB 7E 45 A1 ?? ?? ?? ?? 8B 00 0F B6 40 78 2C 01 75 36 8D 45 E4 50 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 89 45 EC C6 45 F0 11 8D 55 EC A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 33 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 6C 00 6F 00 67 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 65 00 72 00 72 00 00 00 }
	condition:
		$1
}

rule function_45288_0 {
	meta:
		name = "TIWHTTPServerModule.Destroy"
		size = 70
		refs = "0004 @BeforeDestruction 0033 TComponent.Destroy 003e @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 47 3C 33 D2 8B 08 FF 91 90 00 00 00 8B 77 40 85 F6 74 0C 8B C6 33 D2 8B 08 FF 91 90 00 00 00 B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45290_0 {
	meta:
		name = "TIWHTTPServerModule.SetHTTPPort"
		size = 572
		refs = "0012 TIWHTTPServerModule.SetHTTPPort 0039 TCollection.Clear 003e GLicense 0047 TIWLicense.CanIDoThis 0066 TInSocketHandles.Add 0073 @UStrAsg 00b9 gServerController 00cf _Dn_TStringList 00d4 TStringList.Create 00fa TStrings.SetCommaText 016c TObject.Free 0172 @HandleFinally 01c5 TInSocketHandles.GetItem 01ec @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 3C 89 45 F4 33 D2 8B 45 F4 8B 08 FF 91 90 00 00 00 8B 45 F4 8B 80 98 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 B2 01 E8 ?? ?? ?? ?? 84 C0 74 2D 33 D2 8B 45 F4 8B 08 FF 91 98 00 00 00 8B 45 F4 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 30 01 00 00 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 84 C0 74 14 66 BA FE 29 8B 45 F4 8B 08 FF 91 98 00 00 00 E9 0A 01 00 00 A1 ?? ?? ?? ?? 8B 00 B2 07 E8 ?? ?? ?? ?? 84 C0 0F 84 C0 00 00 00 A1 ?? ?? ?? ?? 8B 00 83 B8 90 00 00 00 00 0F 84 AC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 00 8B 90 90 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 49 46 C7 45 F8 00 00 00 00 8B 45 F4 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8B D8 8D 4D F0 8B 55 F8 8B 45 FC 8B 38 FF 57 0C 8B 55 F0 8D 43 18 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 0F B7 80 30 01 00 00 66 89 43 20 FF 45 F8 4E 75 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB A1 ?? ?? ?? ?? 8B 00 0F B7 90 30 01 00 00 8B 45 F4 8B 08 FF 91 98 00 00 00 8B 45 F4 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 45 F4 8B 08 FF 91 90 00 00 00 8B 45 F4 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 0F B7 40 20 8B 15 ?? ?? ?? ?? 8B 12 89 82 30 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 31 00 32 00 37 00 2E 00 30 00 2E 00 30 00 2E 00 31 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 30 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_45291_0 {
	meta:
		name = "TIWHTTPServerModule.SetHTTPSPort"
		size = 832
		refs = "0015 TIWHTTPServerModule.SetHTTPSPort 003e gServerController 005b GIOHandlerClass 006d TInBaseComponent.Create 008c _Dn_TInServerIOHandlerSSLOpenSSL 00b9 gsAppPath 00c8 @UStrCat3 0110 TInSSLOptions.SetMethod 0147 TIWHTTPServerModule.SSLStatusInfo 014c GLicense 0155 TIWLicense.CanIDoThis 0178 _Dn_TStringList 017d TStringList.Create 01a3 TStrings.SetCommaText 01c8 TInSocketHandles.Add 01e3 @UStrAsg 0218 TObject.Free 021e @HandleFinally 026d TIWHTTPServerModule.GetSSLPassword 02b2 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 E8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 40 85 C0 0F 84 74 02 00 00 89 45 F0 33 D2 8B 45 F0 8B 08 FF 91 90 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 80 44 01 00 00 0F B7 50 08 8B 45 F0 8B 08 FF 91 98 00 00 00 83 3D ?? ?? ?? ?? 00 74 21 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 08 FF 91 A0 00 00 00 E9 EE 01 00 00 8B 45 FC 8B 48 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 08 FF 91 A0 00 00 00 8B 45 F0 8B 80 A8 00 00 00 89 45 EC 8B 45 EC 8B 98 98 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 8D 43 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8D 43 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8D 43 04 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 80 44 01 00 00 0F B6 40 0D 84 C0 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 18 3C 01 75 0B B2 01 8B C3 E8 ?? ?? ?? ?? EB 09 B2 02 8B C3 E8 ?? ?? ?? ?? C7 43 14 02 00 00 00 8B 45 EC 8B 55 FC 89 90 A4 00 00 00 C7 80 A0 00 00 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 B2 07 E8 ?? ?? ?? ?? 84 C0 0F 84 C3 00 00 00 A1 ?? ?? ?? ?? 8B 00 83 B8 90 00 00 00 00 0F 84 AF 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 00 8B 90 90 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4C 46 C7 45 F4 00 00 00 00 8B 45 F0 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8B D8 8D 4D E8 8B 55 F4 8B 45 F8 8B 38 FF 57 0C 8B 55 E8 8D 43 18 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 80 44 01 00 00 0F B7 40 08 66 89 43 20 FF 45 F4 4E 75 BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB A1 ?? ?? ?? ?? 8B 00 8B 80 44 01 00 00 0F B7 50 08 8B 45 F0 8B 08 FF 91 98 00 00 00 8B 45 F0 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 83 C0 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 55 FC 89 90 B4 00 00 00 C7 80 B0 00 00 00 ?? ?? ?? ?? B2 01 8B 45 F0 8B 08 FF 91 90 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 80 44 01 00 00 80 78 0C 01 75 10 8B 45 FC 8B 40 3C 33 D2 8B 08 FF 91 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 65 00 72 00 74 00 2E 00 70 00 65 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6B 00 65 00 79 00 2E 00 70 00 65 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 72 00 6F 00 6F 00 74 00 2E 00 70 00 65 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 30 00 2E 00 30 00 2E 00 30 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_45292_0 {
	meta:
		name = "TIWHTTPServerModule.SSLStatusInfo"
		size = 48
		refs = "0001 gServerController 0012 TIWHTTPServerModule.SSLStatusInfo 0017 LogFileAppend"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 0F B6 40 78 2C 01 75 0C 8B C2 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 03 00 00 00 6C 00 6F 00 67 00 00 00 }
	condition:
		$1
}

rule function_45296_0 {
	meta:
		name = "GetSpecialFolderLocation"
		size = 102
		refs = "0013 GetSpecialFolderLocation 0020 @UStrClr 0031 SHGetSpecialFolderPath 0047 @UStrFromWArray 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FD FF FF 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 6A 00 56 8D 85 F6 FD FF FF 50 6A 00 E8 ?? ?? ?? ?? 85 C0 74 12 8B C3 8D 95 F6 FD FF FF B9 05 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45297_0 {
	meta:
		name = "DetectDelphiVersions2"
		size = 784
		refs = "0017 DetectDelphiVersions2 0025 @UStrClr 0036 _Dn_TRegistry 003b TRegistry.Create 005d TRegistry.SetRootKey 007e @UStrCat 008d IntToStr 00a2 @UStrCatN 00ad TRegistry.OpenKeyReadOnly 0101 TRegistry.ReadString 010e @UStrEqual 01ba TObject.Free 01c0 @HandleFinally 01e0 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 45 F7 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 0F BA 01 00 00 80 8B 45 F8 E8 ?? ?? ?? ?? EB 0D BA 02 00 00 80 8B 45 F8 E8 ?? ?? ?? ?? BB 08 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 E6 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 8B C3 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D E0 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1F 8D 4D DC BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 19 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 45 F7 EB 53 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 D4 8B C3 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 45 F7 43 83 FB 09 0F 85 CC FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 5D F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C3 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 5C 00 53 00 4F 00 46 00 54 00 57 00 41 00 52 00 45 00 5C 00 45 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 5C 00 42 00 44 00 53 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 32 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 64 00 69 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 45 00 6E 00 74 00 65 00 72 00 70 00 72 00 69 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 41 00 72 00 63 00 68 00 69 00 74 00 65 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 34 00 00 00 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 36 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 35 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_45298_0 {
	meta:
		name = "DetectDelphiVersions"
		size = 268
		refs = "0016 DetectDelphiVersions 0025 DetectDelphiVersions2 0047 IntToStr 0051 @UStrCat 006e _Dn_Exception 0073 Exception.Create 0078 @RaiseExcept 008d @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 88 45 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 FF E8 ?? ?? ?? ?? 88 45 FE B3 01 8B C3 3C 07 77 0A 83 E0 7F 0F B6 55 FE 0F A3 C2 73 15 8D 55 F8 0F B6 C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 43 80 FB 03 75 D3 83 3E 00 75 1C 80 7D FF 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 52 00 61 00 64 00 20 00 53 00 74 00 75 00 64 00 69 00 6F 00 20 00 58 00 45 00 20 00 69 00 73 00 20 00 6E 00 6F 00 74 00 20 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 65 00 64 00 20 00 6F 00 6E 00 20 00 74 00 68 00 69 00 73 00 20 00 73 00 79 00 73 00 74 00 65 00 6D 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_45299_0 {
	meta:
		name = "GetMessageHeader"
		size = 164
		refs = "0011 GetMessageHeader 0025 StringOfChar 004a @UStrCatN 0064 @UStrArrayClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D3 66 B8 3D 00 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 4D F8 8B D3 66 B8 3D 00 E8 ?? ?? ?? ?? FF 75 F8 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 20 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 20 00 42 00 65 00 67 00 69 00 6E 00 20 00 00 00 }
	condition:
		$1
}

rule function_45300_0 {
	meta:
		name = "GetMessageFooter"
		size = 160
		refs = "0011 GetMessageFooter 0025 StringOfChar 004a @UStrCatN 0064 @UStrArrayClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D3 66 B8 3D 00 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 4D F8 8B D3 66 B8 3D 00 E8 ?? ?? ?? ?? FF 75 F8 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 20 00 45 00 6E 00 64 00 20 00 00 00 }
	condition:
		$1
}

rule function_45301_0 {
	meta:
		name = "GetDelphiLic"
		size = 544
		refs = "001b GetDelphiLic 0032 GetSpecialFolderLocation 004c IncludeTrailingPathDelim 005c @UStrCat3 0063 _Dn_TStringList 0068 TStringList.Create 0081 @UStrClr 008b FileExists 00ca @UStrEqual 0111 Pos 0120 @UStrCopy 0135 TObject.Free 013b @HandleFinally 0157 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D EC 89 4D F0 89 4D FC 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 84 C0 74 0F 8D 55 FC B8 1A 00 00 00 E8 ?? ?? ?? ?? EB 0D 8D 55 FC B8 23 00 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 8D 00 00 00 8B 55 FC 8B 45 F4 8B 08 FF 51 68 8B 45 F4 8B 10 FF 52 14 8B D8 4B 85 DB 7C 23 43 33 F6 8D 4D EC 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 46 4B 75 E0 8B 45 F4 8B 10 FF 52 14 3B F0 7F 44 8B 4D F8 8D 56 01 8B 45 F4 8B 18 FF 53 0C 8B 45 F8 8B 00 89 45 E8 8B 5D E8 85 DB 74 05 83 EB 04 8B 1B 8B 45 F8 50 8B 55 F8 8B 12 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 8B 45 F8 8B 00 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 45 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 5C 00 52 00 41 00 44 00 20 00 53 00 74 00 75 00 64 00 69 00 6F 00 5C 00 38 00 2E 00 30 00 5C 00 63 00 67 00 6C 00 6D 00 2E 00 69 00 6E 00 69 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 5B 00 45 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 20 00 53 00 65 00 72 00 69 00 61 00 6C 00 20 00 4E 00 75 00 6D 00 62 00 65 00 72 00 73 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_45302_0 {
	meta:
		name = "HashKey"
		size = 288
		refs = "0015 @UStrAddRef 001d HashKey 002a _Dn_TInHashMessageDigest5 002f TInHashMessageDigest4.Create 005b @UStrCatN 0068 TInHash.HashStringAsHex 007d TObject.Free 0083 @HandleFinally 009a @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 61 00 73 00 64 00 66 00 6C 00 6C 00 6B 00 6A 00 65 00 6C 00 6C 00 6C 00 6C 00 61 00 64 00 6B 00 65 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 61 00 73 00 64 00 66 00 6B 00 6C 00 6C 00 6C 00 6C 00 65 00 6C 00 6C 00 6B 00 65 00 6B 00 65 00 6B 00 6B 00 77 00 6C 00 77 00 65 00 6C 00 00 00 }
	condition:
		$1
}

rule function_45305_0 {
	meta:
		name = "TIWImageList.ExtractImageToCache"
		size = 468
		refs = "001e TIWImageList.ExtractImageToCache 002b _Dn_TBitmap 0030 TBitmap.Create 0048 @UStrClr 004f TCustomImageList.GetCount 007b TCustomImageList.GetBitmap 0083 gServerController 008a TIWServerControllerBase.GetUserCacheDir 0095 IncludeTrailingPathDelimiter 00b5 IntToStr 00c9 @UStrCatN 00d5 ToJPEGFile 00f0 TIWServerControllerBase.GetCacheDir 00fc StringReplace 0106 @UStrAsg 0142 TObject.Free 0148 @HandleFinally 0174 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E D6 00 00 00 83 FF FF 0F 8E CD 00 00 00 8B C3 E8 ?? ?? ?? ?? 3B F8 0F 8D BE 00 00 00 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? FF 75 F8 8B 43 04 FF 70 08 68 ?? ?? ?? ?? FF 73 08 68 ?? ?? ?? ?? 8D 55 F0 8B C7 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8B C6 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 16 33 C9 8B 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 06 33 C9 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E4 50 8B 06 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 6A 00 70 00 67 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_45308_0 {
	meta:
		name = "FindUserComponent"
		size = 199
		refs = "0013 FindUserComponent 001e InMainThread 0027 IsLibrary 0031 @GetTls 0037 WebApplication 004a TIWApplication.GetFormCount 0066 TIWApplication.GetForm 0073 @UStrLAsg 0089 AnsiCompareText 00b2 @UStrArrayClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 84 C0 74 0A A1 ?? ?? ?? ?? 80 38 00 74 6A E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 74 5C E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 45 46 33 FF E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 08 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 06 47 4E 75 BE 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45309_0 {
	meta:
		name = "GetAppPath"
		size = 20
		refs = "0007 gsAppPath 000e @UStrAsg"
		altNames = "GetEnvAppPath"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_46117_0 {
	meta:
		name = "GetEnvCacheBase"
		size = 20
		refs = "0007 gsTempPath 000e @UStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45310_0 {
	meta:
		name = "SetWebApplicationThreadVar"
		size = 31
		refs = "0005 @GetTls 000b WebApplication"
	strings:
		$1 = { 53 56 8B D8 E8 ?? ?? ?? ?? 8B B0 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_71311_0 {
	meta:
		name = "SetErrorProc"
		size = 31
		refs = "0005 @GetTls 000b SocketErrorProc"
	strings:
		$1 = { 53 56 8B D8 E8 ?? ?? ?? ?? 8B B0 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_63984_0 {
	meta:
		name = "SetRaiseList"
		size = 31
		refs = "0005 @GetTls 000b RaiseListPtr"
	strings:
		$1 = { 53 56 8B D8 E8 ?? ?? ?? ?? 8B B0 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_45312_0 {
	meta:
		name = "AppModeInit"
		size = 118
		refs = "0004 GAppType 000c GServerType 0014 FindUserComponent 0019 RegisterFindGlobalComponentProc 001e GFormListManager 002a _Dn_TIWFormListManager 002f TIWFormListManager.Create 003c gServerControllerClass 0047 RSNoServerControllerClass 0050 _Dn_Exception 0055 Exception.Create 005a @RaiseExcept 006e gServerController"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? C6 00 00 A1 ?? ?? ?? ?? C6 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 75 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 A1 ?? ?? ?? ?? 83 38 00 75 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B CB B2 01 FF 50 38 8B 15 ?? ?? ?? ?? 89 02 5B C3 }
	condition:
		$1
}

rule function_45313_0 {
	meta:
		name = "MimeDecoder"
		size = 81
		refs = "000e @UStrAddRef 0016 MimeDecoder 0027 _Dn_TIdDecoderMIME 002c TIdDecoder.DecodeString 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 33 C9 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_45315_0 {
	meta:
		name = "IWInit"
		size = 78
		refs = "0002 _DV_1 000a @GetTls 0012 WebApplication 0017 GAppModeInit 001d AppModeInit 0022 GSetWebApplicationThreadVar 0028 SetWebApplicationThreadVar 002d GGetWebApplicationThreadVar 0033 GetWebApplicationThreadVar 0038 GGetAppPath 003e GetAppPath 0043 GMimeDecoder 0049 MimeDecoder"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 44 E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45316_0 {
	meta:
		name = "GetServerVariable"
		size = 244
		refs = "002e GetServerVariable 004d @LStrToPChar 0079 @LStrCat3 00ac @UStrFromPWCharLen 00b5 @UStrClr 00cd @LStrClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 FC 53 56 57 33 DB 89 9D F8 DF FF FF 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 00 20 00 00 8D 45 FC 50 8D 85 FC DF FF FF 50 8B C6 E8 ?? ?? ?? ?? 50 8B 43 08 50 FF 93 80 00 00 00 85 C0 75 37 8D 45 FC 50 8D 85 FC DF FF FF 50 8D 85 F8 DF FF FF 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F8 DF FF FF E8 ?? ?? ?? ?? 50 8B 43 08 50 FF 93 80 00 00 00 85 C0 74 1B 83 7D FC 00 76 03 FF 4D FC 8D 95 FC DF FF FF 8B C7 8B 4D FC E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 DF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 E4 04 01 00 FF FF FF FF 05 00 00 00 48 54 54 50 5F 00 00 00 }
	condition:
		$1
}

rule function_45317_0 {
	meta:
		name = "IsIIS"
		size = 188
		refs = "000e IsIIS 0027 GetServerVariable 0039 @UStrCopy 0046 @UStrEqual 0065 @UStrArrayClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 4D F8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 B9 0D 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 E4 04 01 00 FF FF FF FF 0F 00 00 00 53 45 52 56 45 52 5F 53 4F 46 54 57 41 52 45 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 2D 00 49 00 49 00 53 00 00 00 }
	condition:
		$1
}

rule function_45318_0 {
	meta:
		name = "AllocateCallBackContext"
		size = 31
		refs = "0007 @GetMem 0017 @FillChar"
	strings:
		$1 = { 53 B8 0C 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_45319_0 {
	meta:
		name = "SendBufferAsync"
		size = 80
		refs = "0015 AllocateCallBackContext 001f Completion_Callback"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 08 85 C0 75 05 E8 ?? ?? ?? ?? 89 30 50 6A 00 68 ?? ?? ?? ?? 68 ED 03 00 00 8B 43 08 50 FF 93 8C 00 00 00 6A 02 8D 45 FC 50 56 8B 43 08 50 FF 93 84 00 00 00 83 F8 01 1B C0 40 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_45320_0 {
	meta:
		name = "Completion_Callback"
		size = 504
		refs = "0011 Completion_Callback 0044 TStream.GetPosition 0075 SendBufferAsync 0088 _Dn_TFileStream 008d @IsClass 00a1 TObject.Free 00ab _Dn_THandleStream 00c1 SetHandleInformation 00cd CloseHandle 00ee @FreeMem 00fc DeleteFile 012a @HandleOnException 0132 _Dn_Exception 0147 TObject.ClassName 015f @UStrCatN 0167 Output 016c @Write0UString 0171 @WriteLn 0176 @_IOTest 017b @DoneExcept 0195 @UStrArrayClr 019b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 B3 01 83 7D 14 00 75 48 8B 7E 04 85 FF 74 41 8B 46 04 8B 10 FF 12 52 50 8B C7 E8 ?? ?? ?? ?? 3B 54 24 04 75 09 3B 04 24 5A 58 73 24 EB 04 5A 58 7D 1E 33 DB 8B 16 8B 46 04 B9 00 00 02 00 8B 38 FF 57 0C 56 8B 16 8B C8 8B 45 08 E8 ?? ?? ?? ?? 84 DB 0F 84 9E 00 00 00 8B 5E 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 2A 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 6A 00 6A 02 8B 43 04 50 E8 ?? ?? ?? ?? 8B 46 04 8B 40 04 50 E8 ?? ?? ?? ?? 83 7E 04 00 74 10 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 06 85 C0 74 05 E8 ?? ?? ?? ?? 83 7E 08 00 74 08 8B 46 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 04 8B 45 08 8B 40 08 50 8B 45 08 FF 90 8C 00 00 00 33 C0 5A 59 59 64 89 10 EB 56 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 68 ?? ?? ?? ?? 8D 55 F8 8B 03 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 73 04 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 10 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 65 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 20 00 69 00 6E 00 20 00 63 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_45321_0 {
	meta:
		name = "SendStreamAsync"
		size = 304
		refs = "0017 SendStreamAsync 0022 AllocateCallBackContext 002c _Dn_THandleStream 0031 @IsClass 0042 SetHandleInformation 0051 THandleStream.Create 005b _Dn_TTempFileStream 006f @UStrAsg 007a gServerController 008a TIWServerControllerBase.NewCacheFile 00a1 _Dn_TFileStream 00a6 TFileStream.Create 00b5 TStream.CopyFrom 00bf @GetMem 00cd TStream.SetPosition 00ed SendBufferAsync 0104 @UStrClr 010a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3C 6A 02 6A 02 8B 47 04 50 E8 ?? ?? ?? ?? 8B 4F 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 51 8D 46 08 8B 57 0C E8 ?? ?? ?? ?? EB 44 8D 45 F4 50 A1 ?? ?? ?? ?? 8B 00 8B 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 46 08 E8 ?? ?? ?? ?? 6A 22 8B 4E 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 6A 00 6A 00 8B D7 8B C3 E8 ?? ?? ?? ?? B8 00 00 02 00 E8 ?? ?? ?? ?? 89 45 F8 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B9 00 00 02 00 8B C3 8B 38 FF 57 0C 89 5E 04 56 8B C8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 49 00 49 00 53 00 00 00 }
	condition:
		$1
}

rule function_45322_0 {
	meta:
		name = "SendStringAsync"
		size = 64
		refs = "0018 @GetMem 0021 @UStrToPWChar 002a Move 0037 SendBufferAsync"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C5 85 C0 74 05 83 E8 04 8B 00 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C5 E8 ?? ?? ?? ?? 8B CB 8B D6 E8 ?? ?? ?? ?? 6A 00 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45323_0 {
	meta:
		name = "TIWISAPIResponse.SendStream"
		size = 46
		refs = "0023 SendStreamAsync"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 12 83 FA 00 75 07 83 F8 00 76 15 EB 02 7E 11 8B 43 10 8B 40 14 8B D6 E8 ?? ?? ?? ?? C6 43 70 01 5E 5B C3 }
	condition:
		$1
}

rule function_45324_0 {
	meta:
		name = "TIWISAPIRequest.WriteString"
		size = 99
		refs = "0010 TIWISAPIRequest.WriteString 0026 @UStrFromLStr 0031 SendStringAsync 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 85 F6 74 1E 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 47 14 E8 ?? ?? ?? ?? 8B D8 8B 47 18 C6 40 70 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45325_0 {
	meta:
		name = "IWDispatchThread"
		size = 244
		refs = "000d IWDispatchThread 001c _DV_TIWISAPIRequest 0021 TISAPIRequest.Create 003c _DV_TIWISAPIResponse 0041 TISAPIResponse.Create 0060 Application 006d TWebRequestHandler.HandleRequest 00a6 TObject.Free 00ac @HandleFinally 00da @HandleAnyException 00e6 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 F4 89 50 18 A1 ?? ?? ?? ?? 8B 00 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 09 C7 45 FC 03 00 00 00 EB 07 C7 45 FC 04 00 00 00 8B 45 F4 80 78 70 00 75 07 C7 45 FC 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? C7 45 FC 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45326_0 {
	meta:
		name = "HttpExtensionProc"
		size = 97
		refs = "0009 WhatHandler 0013 IsIIS 003b Application 0043 _Dn_TISAPIApplication 0048 @AsClass 004f TISAPIApplication.HttpExtensionProc 0058 IWDispatchThread"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 3D ?? ?? ?? ?? 00 75 21 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C C7 05 ?? ?? ?? ?? 02 00 00 00 EB 0A C7 05 ?? ?? ?? ?? 01 00 00 00 83 3D ?? ?? ?? ?? 01 75 1B A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_45327_0 {
	meta:
		name = "TerminateExtension"
		size = 61
		refs = "0005 Application 000d _Dn_TISAPIApplication 0012 @AsClass 001a TISAPIApplication.TerminateExtension 0021 gServerController 0032 TObject.Free"
	strings:
		$1 = { 55 8B EC 53 A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 8B D8 A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? 33 C9 89 0A E8 ?? ?? ?? ?? 8B C3 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_45328_0 {
	meta:
		name = "IWRun"
		size = 320
		refs = "000e IWRun 0027 IsLibrary 0032 RSISAPIError 003b _Dn_Exception 0040 Exception.Create 0045 @RaiseExcept 004b GAppModeInit 0052 Application 0068 GIWServer 0075 _Dn_TIWServer 0095 @HandleOnException 00ab GAppPathname 00b7 ChangeFileExt 00c0 RSTextError 00d7 @UStrCatN 00e0 FileAppend 00e5 @DoneExcept 00ff @UStrArrayClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 38 00 75 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B A1 ?? ?? ?? ?? 8B 00 FF D3 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 48 8B 0D ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? 8B 18 FF 53 44 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 4C 33 C0 5A 59 59 64 89 10 EB 55 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 4D FC A1 ?? ?? ?? ?? 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 A1 ?? ?? ?? ?? FF 30 FF 73 04 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 65 00 72 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_45330_0 {
	meta:
		name = "IWInitISAPI"
		size = 18
		refs = "0002 _DV_1 000a GAppType"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 08 A1 ?? ?? ?? ?? C6 00 01 C3 }
	condition:
		$1
}

rule function_45331_0 {
	meta:
		name = "IWRun"
		size = 452
		refs = "0015 IWRun 0020 GLicense 0029 TIWLicense.CanIDoThis 003c TIWLicense.GetLicenseString 0058 _Dn_Exception 005d Exception.CreateFmt 0062 @RaiseExcept 0076 GAppModeInit 007d Application 0086 gServerController 0094 _Dn_TIWHTTPServerModule 00b4 _Dn_TSWServiceModule 00b9 TSWServiceModule.ServiceInit 00c8 @HandleOnException 00df RSTextError 00e9 @UStrCat3 00f6 LogFileAppend 00fb @DoneExcept 0115 @UStrArrayClr 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C0 89 45 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 B2 04 E8 ?? ?? ?? ?? 84 C0 75 35 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8B 1B A1 ?? ?? ?? ?? 8B 00 FF D3 A1 ?? ?? ?? ?? 8B 00 8B 80 B8 00 00 00 50 A1 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 8B 88 8C 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 90 8C 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 38 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 8B 15 ?? ?? ?? ?? 8B 12 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 3D 00 00 00 49 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 20 00 61 00 73 00 20 00 61 00 20 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 20 00 69 00 73 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 69 00 6E 00 20 00 74 00 68 00 65 00 20 00 25 00 73 00 20 00 65 00 64 00 69 00 74 00 69 00 6F 00 6E 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6C 00 6F 00 67 00 00 00 }
	condition:
		$1
}

rule function_45334_0 {
	meta:
		name = "TIWIWPProcessor.Create"
		size = 90
		refs = "000e @ClassCreate 001e @UStrAsg 0030 _Dn_TStringList 0035 TStringList.Create 0043 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8D 47 08 8B 55 08 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_45335_0 {
	meta:
		name = "TIWIWPProcessor.Destroy"
		size = 107
		refs = "0005 @BeforeDestruction 0038 TObject.Free 0057 TObject.Destroy 0062 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 0C 8B 10 FF 52 14 8B F8 4F 85 FF 7C 24 47 33 F6 8B 45 0C 8B D6 8B 08 FF 51 18 85 C0 74 0F 8B 45 0C 8B D6 8B 08 FF 51 18 E8 ?? ?? ?? ?? 46 4F 75 DF 8D 45 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45336_0 {
	meta:
		name = "TIWIWPProcessor.Execute"
		size = 3308
		refs = "0027 TIWIWPProcessor.Execute 003d FileExists 0057 _Dn_TStringStream 005c TStringStream.Create 007f ExtractFilePath 0093 ExtractFileName 00a3 ChangeFileExt 00b9 _Dn_TFileStream 00be TFileStream.Create 00fd _Dn_TIWTagParser 0102 TIWTagParser.Create 012b TIWTagParser.NextTag 0140 @UStrLAsg 0174 CompareText 0194 TIWIWPProcessor.ProcessHttpTag 01f5 TIWIWPProcessor.ProcessCookieTag 0207 TIWTagParser.ReIntroduceTag 0224 TObject.Free 022a @HandleFinally 0248 TStringStream.GetDataString 027e TStream.SetSize64 0326 TIWTag.ParamValue 033d TIWIWPProcessor.ProcessArgTag 039e TIWIWPProcessor.ProcessSysTag 03fe TIWIWPProcessor.ProcessVarTag 045d gSC 0464 TIWServerControllerBase.DoOnUserTag 04d1 TIWServerControllerBase.DoOnSessionTag 067a TIWIWPProcessor.ProcessEnumList 06f0 TIWIWPProcessor.EmbedRSSLink 0763 TIWIWPProcessor.ProcessEnumBreadcrumb 077b @UStrCat3 0788 _Dn_EIWException 078d EInException.Create 0792 @RaiseExcept 0ad9 TIWIWPProcessor.ProcessDocTag 0b3b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 1A 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 8B D9 89 95 5C FF FF FF 89 85 60 FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 85 60 FF FF FF 8B 40 08 B2 01 E8 ?? ?? ?? ?? 84 C0 75 0D 33 C0 89 85 58 FF FF FF E9 D0 0A 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 50 FF FF FF 8B 85 50 FF FF FF 89 85 58 FF FF FF 8D 55 F8 8B 85 60 FF FF FF 8B 40 08 E8 ?? ?? ?? ?? 8D 95 3C FF FF FF 8B 85 60 FF FF FF 8B 40 08 E8 ?? ?? ?? ?? 8B 85 3C FF FF FF 8D 4D F4 33 D2 E8 ?? ?? ?? ?? 85 DB 75 1F 6A 20 8B 85 60 FF FF FF 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 54 FF FF FF EB 15 89 9D 54 FF FF FF 33 C9 33 D2 8B 85 54 FF FF FF 8B 18 FF 53 14 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 85 50 FF FF FF 50 8B 8D 54 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 4C FF FF FF 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 85 4C FF FF FF C6 40 04 01 8B 85 4C FF FF FF E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 D7 00 00 00 8D 45 F0 8B 53 04 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 19 8B 85 50 FF FF FF 50 8B 4D 0C 8B D3 8B 85 60 FF FF FF E8 ?? ?? ?? ?? EB 8A 8D 45 E8 8B 53 04 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 04 B0 01 EB 20 83 7D E8 00 74 06 83 7D E4 00 75 04 33 C0 EB 10 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 1C 8B 85 50 FF FF FF 50 8B 4D 0C 8B D3 8B 85 60 FF FF FF E8 ?? ?? ?? ?? E9 26 FF FF FF 8B D3 8B 85 4C FF FF FF E8 ?? ?? ?? ?? E9 14 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 85 4C FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 85 54 FF FF FF E8 ?? ?? ?? ?? 8D 95 38 FF FF FF 8B 85 50 FF FF FF E8 ?? ?? ?? ?? 8B 8D 38 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 54 FF FF FF 33 C9 33 D2 8B 85 54 FF FF FF 8B 18 FF 53 14 6A 00 6A 00 8B 85 50 FF FF FF E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 50 8B 8D 54 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 4C FF FF FF 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 85 4C FF FF FF C6 40 04 01 8B 85 4C FF FF FF E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 50 06 00 00 8D 45 E0 8B 53 04 E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 3B 45 DC 75 04 B0 01 EB 20 83 7D E0 00 74 06 83 7D DC 00 75 04 33 C0 EB 10 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 30 8D 85 34 FF FF FF 50 8B 53 08 33 C9 8B 45 08 E8 ?? ?? ?? ?? 8B 95 34 FF FF FF 8B 8D 50 FF FF FF 8B 85 60 FF FF FF E8 ?? ?? ?? ?? E9 73 FF FF FF 8D 45 D8 8B 53 04 E8 ?? ?? ?? ?? 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 3B 45 D4 75 04 B0 01 EB 20 83 7D D8 00 74 06 83 7D D4 00 75 04 33 C0 EB 10 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 19 8B 53 08 8B 8D 50 FF FF FF 8B 85 60 FF FF FF E8 ?? ?? ?? ?? E9 12 FF FF FF 8D 45 D0 8B 53 04 E8 ?? ?? ?? ?? 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 3B 45 CC 75 04 B0 01 EB 20 83 7D D0 00 74 06 83 7D CC 00 75 04 33 C0 EB 10 8B 55 CC 8B 45 D0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 18 8B 8D 50 FF FF FF 8B D3 8B 85 60 FF FF FF E8 ?? ?? ?? ?? E9 B2 FE FF FF 8D 45 C8 8B 53 04 E8 ?? ?? ?? ?? 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 3B 45 C4 75 04 B0 01 EB 20 83 7D C8 00 74 06 83 7D C4 00 75 04 33 C0 EB 10 8B 55 C4 8B 45 C8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 1E 8B 85 50 FF FF FF 50 8B 4B 0C 8B 53 08 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? E9 4C FE FF FF 8D 45 C0 8B 53 04 E8 ?? ?? ?? ?? 8D 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 3B 45 BC 75 04 B0 01 EB 20 83 7D C0 00 74 06 83 7D BC 00 75 04 33 C0 EB 10 8B 55 BC 8B 45 C0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 25 8B 43 0C 50 8B 85 50 FF FF FF 50 8B 4B 08 A1 ?? ?? ?? ?? 8B 00 8B 95 5C FF FF FF E8 ?? ?? ?? ?? E9 DF FD FF FF 8D 45 B8 8B 53 04 E8 ?? ?? ?? ?? 8D 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 3B 45 B4 75 04 B0 01 EB 20 83 7D B8 00 74 06 83 7D B4 00 75 04 33 C0 EB 10 8B 55 B4 8B 45 B8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 75 02 00 00 8D 45 B0 8B 53 08 E8 ?? ?? ?? ?? 8D 45 AC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 3B 45 AC 75 09 C6 85 4B FF FF FF 01 EB 29 83 7D B0 00 74 06 83 7D AC 00 75 09 C6 85 4B FF FF FF 00 EB 14 8B 55 AC 8B 45 B0 E8 ?? ?? ?? ?? 85 C0 0F 94 85 4B FF FF FF 80 BD 4B FF FF FF 00 74 09 C6 85 49 FF FF FF 01 EB 5F 8D 45 A8 8B 53 08 E8 ?? ?? ?? ?? 8D 45 A4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 3B 45 A4 75 09 C6 85 4A FF FF FF 01 EB 29 83 7D A8 00 74 06 83 7D A4 00 75 09 C6 85 4A FF FF FF 00 EB 14 8B 55 A4 8B 45 A8 E8 ?? ?? ?? ?? 85 C0 0F 94 85 4A FF FF FF 0F B6 85 4A FF FF FF 88 85 49 FF FF FF 80 BD 49 FF FF FF 00 74 09 C6 85 47 FF FF FF 01 EB 5F 8D 45 A0 8B 53 08 E8 ?? ?? ?? ?? 8D 45 9C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 3B 45 9C 75 09 C6 85 48 FF FF FF 01 EB 29 83 7D A0 00 74 06 83 7D 9C 00 75 09 C6 85 48 FF FF FF 00 EB 14 8B 55 9C 8B 45 A0 E8 ?? ?? ?? ?? 85 C0 0F 94 85 48 FF FF FF 0F B6 85 48 FF FF FF 88 85 47 FF FF FF 80 BD 47 FF FF FF 00 0F 84 92 00 00 00 6A 00 6A 00 8B 8D 50 FF FF FF 8B D3 8B 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 45 98 8B 53 08 E8 ?? ?? ?? ?? 8D 45 94 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 3B 45 94 75 09 C6 85 46 FF FF FF 01 EB 29 83 7D 98 00 74 06 83 7D 94 00 75 09 C6 85 46 FF FF FF 00 EB 14 8B 55 94 8B 45 98 E8 ?? ?? ?? ?? 85 C0 0F 94 85 46 FF FF FF 80 BD 46 FF FF FF 00 0F 84 DC FB FF FF 8B 45 0C 50 8B 8D 50 FF FF FF 8B D3 8B 85 60 FF FF FF E8 ?? ?? ?? ?? E9 C0 FB FF FF 8D 45 90 8B 53 08 E8 ?? ?? ?? ?? 8D 45 8C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 90 3B 45 8C 75 09 C6 85 45 FF FF FF 01 EB 29 83 7D 90 00 74 06 83 7D 8C 00 75 09 C6 85 45 FF FF FF 00 EB 14 8B 55 8C 8B 45 90 E8 ?? ?? ?? ?? 85 C0 0F 94 85 45 FF FF FF 80 BD 45 FF FF FF 00 74 18 8B 8D 50 FF FF FF 8B D3 8B 85 60 FF FF FF E8 ?? ?? ?? ?? E9 4D FB FF FF 8B 4B 08 8D 85 30 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 30 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1E FB FF FF 8D 45 88 8B 53 04 E8 ?? ?? ?? ?? 8D 45 84 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 88 3B 45 84 75 09 C6 85 44 FF FF FF 01 EB 29 83 7D 88 00 74 06 83 7D 84 00 75 09 C6 85 44 FF FF FF 00 EB 14 8B 55 84 8B 45 88 E8 ?? ?? ?? ?? 85 C0 0F 94 85 44 FF FF FF 80 BD 44 FF FF FF 00 74 1C 8B 85 50 FF FF FF 50 8B 4D 0C 8B D3 8B 85 60 FF FF FF E8 ?? ?? ?? ?? E9 A7 FA FF FF 8D 45 80 8B 53 04 E8 ?? ?? ?? ?? 8D 85 7C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 80 3B 85 7C FF FF FF 75 09 C6 85 43 FF FF FF 01 EB 2F 83 7D 80 00 74 09 83 BD 7C FF FF FF 00 75 09 C6 85 43 FF FF FF 00 EB 17 8B 95 7C FF FF FF 8B 45 80 E8 ?? ?? ?? ?? 85 C0 0F 94 85 43 FF FF FF 80 BD 43 FF FF FF 00 74 1C 8B 85 50 FF FF FF 50 8B 4D 0C 8B D3 8B 85 60 FF FF FF E8 ?? ?? ?? ?? E9 24 FA FF FF 8D 85 78 FF FF FF 8B 53 04 E8 ?? ?? ?? ?? 8D 85 74 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 3B 85 74 FF FF FF 75 09 C6 85 42 FF FF FF 01 EB 35 83 BD 78 FF FF FF 00 74 09 83 BD 74 FF FF FF 00 75 09 C6 85 42 FF FF FF 00 EB 1A 8B 95 74 FF FF FF 8B 85 78 FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 85 42 FF FF FF 80 BD 42 FF FF FF 00 0F 84 AD F9 FF FF 8B D3 8B 85 4C FF FF FF E8 ?? ?? ?? ?? E9 9B F9 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 85 4C FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 85 54 FF FF FF E8 ?? ?? ?? ?? 8D 95 2C FF FF FF 8B 85 50 FF FF FF E8 ?? ?? ?? ?? 8B 8D 2C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 54 FF FF FF 33 C9 33 D2 8B 85 54 FF FF FF 8B 18 FF 53 14 6A 00 6A 00 8B 85 50 FF FF FF E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 50 8B 8D 54 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 4C FF FF FF 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 85 4C FF FF FF E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 10 01 00 00 8D 85 70 FF FF FF 8B 53 04 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 3B 85 6C FF FF FF 75 04 B0 01 EB 2C 83 BD 70 FF FF FF 00 74 09 83 BD 6C FF FF FF 00 75 04 33 C0 EB 16 8B 95 6C FF FF FF 8B 85 70 FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 30 8D 85 28 FF FF FF 50 8B 53 08 33 C9 8B 45 08 E8 ?? ?? ?? ?? 8B 95 28 FF FF FF 8B 8D 50 FF FF FF 8B 85 60 FF FF FF E8 ?? ?? ?? ?? E9 5B FF FF FF 8D 85 68 FF FF FF 8B 53 04 E8 ?? ?? ?? ?? 8D 85 64 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 3B 85 64 FF FF FF 75 04 B0 01 EB 2C 83 BD 68 FF FF FF 00 74 09 83 BD 64 FF FF FF 00 75 04 33 C0 EB 16 8B 95 64 FF FF FF 8B 85 68 FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 F7 FE FF FF 8B 85 50 FF FF FF 50 8B 4D 0C 8B D3 8B 85 60 FF FF FF E8 ?? ?? ?? ?? E9 DB FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 85 4C FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 85 54 FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 28 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 85 64 FF FF FF BA 27 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B 85 58 FF FF FF 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 74 00 74 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 6F 00 6F 00 6B 00 69 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 72 00 67 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 79 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 56 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 55 00 73 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 6E 00 75 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 69 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4C 00 69 00 73 00 74 00 44 00 69 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4C 00 69 00 73 00 74 00 44 00 6F 00 63 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 42 00 72 00 65 00 61 00 64 00 63 00 72 00 75 00 6D 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 55 00 6E 00 6B 00 6F 00 6E 00 77 00 6E 00 20 00 45 00 6E 00 75 00 6D 00 20 00 74 00 61 00 67 00 20 00 6E 00 61 00 6D 00 65 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 6F 00 63 00 00 00 }
	condition:
		$1
}

rule function_45337_0 {
	meta:
		name = "TIWIWPProcessor.Execute"
		size = 13
		refs = "0008 TIWIWPProcessor.Execute"
	strings:
		$1 = { 6A 00 52 33 C9 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45338_0 {
	meta:
		name = "TIWIWPProcessor.ExecuteRSS"
		size = 1024
		refs = "001a TIWIWPProcessor.ExecuteRSS 0029 _Dn_TStringStream 002e TStringStream.Create 0045 ExtractFilePath 0058 ChangeFileExt 0062 FileExists 0096 TStringStream.WriteString 00a6 TWebRequest.GetQueryFields 00b3 TStrings.GetValue 00dd iif 016d _Dn_TFileStream 0172 TFileStream.Create 0191 _Dn_TIWTagParser 0196 TIWTagParser.Create 01af TIWTagParser.NextTag 01c4 @UStrLAsg 01f8 CompareText 0213 TIWTag.ParamValue 021e @UStrEqual 0238 TIWIWPProcessor.ProcessRSS 0252 TObject.Free 0258 @HandleFinally 0283 TStream.SetSize64 02a8 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 8B 45 D0 89 45 D8 8D 55 FC 8B 45 DC 8B 40 08 E8 ?? ?? ?? ?? 8D 4D F8 8B 45 DC 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 15 8D 4D F8 8B 45 DC 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 20 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 12 BA ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? E9 F3 01 00 00 8D 45 F4 50 8B C6 E8 ?? ?? ?? ?? 8D 4D C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 50 8B C6 E8 ?? ?? ?? ?? 8D 4D C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D C4 00 0F 95 C0 B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 45 F0 50 8B C6 E8 ?? ?? ?? ?? 8D 4D C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 50 8B C6 E8 ?? ?? ?? ?? 8D 4D BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D BC 00 0F 95 C0 B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 45 EC 50 8B C6 E8 ?? ?? ?? ?? 8D 4D B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 50 8B C6 E8 ?? ?? ?? ?? 8D 4D B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D B4 00 0F 95 C0 B9 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 6A 20 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 D0 50 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 CC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 84 00 00 00 8D 45 E4 8B 53 04 E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 3B 45 E0 75 04 B0 01 EB 20 83 7D E4 00 74 06 83 7D E0 00 75 04 33 C0 EB 10 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 A6 8D 45 B0 50 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 B0 8B 55 F4 E8 ?? ?? ?? ?? 75 87 8B 45 F0 50 8B 45 EC 50 8D 45 E8 50 8B CE 8B D3 8B 45 DC E8 ?? ?? ?? ?? E9 6A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 6A 00 6A 00 8B 45 D0 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 D0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 D8 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2E 00 68 00 74 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 68 00 74 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 6F 00 20 00 73 00 75 00 63 00 68 00 20 00 66 00 69 00 6C 00 65 00 20 00 65 00 78 00 69 00 73 00 74 00 73 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 53 00 53 00 2E 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 53 00 53 00 2E 00 4D 00 61 00 78 00 49 00 74 00 65 00 6D 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 53 00 53 00 2E 00 50 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 6E 00 75 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_45339_0 {
	meta:
		name = "GetDirTitle"
		size = 376
		refs = "0014 @UStrAddRef 001c GetDirTitle 002f Pos 0044 @UStrDelete 0061 LastDelimiter 007d @UStrCopy 0090 @UStrLAsg 0098 gSC 00a8 URLPathToFilePath 00b3 IncludeTrailingPathDelim 00c0 @UStrCat 00d7 ReadStringFromIni 00f1 @UStrArrayClr 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 2B D8 53 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 8B 45 FC 59 E8 ?? ?? ?? ?? 83 7D F8 00 75 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 A1 ?? ?? ?? ?? 8B 00 8B 80 B4 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 56 8B 4D F8 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 6F 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 23 00 44 00 69 00 72 00 2E 00 63 00 66 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 69 00 74 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 69 00 72 00 00 00 }
	condition:
		$1
}

rule function_45340_0 {
	meta:
		name = "TIWIWPProcessor.ProcessEnumBreadcrumb"
		size = 900
		refs = "0020 TIWIWPProcessor.ProcessEnumBreadcrumb 003b TIWTag.ParamValue 0043 gSC 0050 Pos 0065 ExtractFilePath 006d @UStrClr 0099 @UStrDelete 00b7 StringReplace 00c2 @UStrLAsg 00cf @UStrEqual 00e2 LastDelimiter 0123 IsLibrary 012e GGetWebApplicationThreadVar 014e @UStrCat3 0161 IWStringReplace 0185 GetDirTitle 01a1 Format 0295 TStringStream.WriteString 02af @UStrArrayClr 02cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D EC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 56 08 A1 ?? ?? ?? ?? 8B 00 8B 80 B4 00 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 3B 02 00 00 8D 55 F8 8B 46 08 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 80 B4 00 00 00 89 45 E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 8B C8 49 8D 45 F8 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 12 01 00 00 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B C1 85 C0 74 05 83 E8 04 8B 00 3B C2 75 19 8B C1 85 C0 74 05 83 E8 04 8B 00 8D 55 F8 B9 01 00 00 00 92 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 44 8B 35 ?? ?? ?? ?? 8B 36 FF D6 85 C0 74 36 8B 35 ?? ?? ?? ?? 8B 36 FF D6 8B 50 68 8D 45 F4 8B 4D F8 E8 ?? ?? ?? ?? 8D 45 E0 50 33 C9 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 F4 89 45 CC C6 45 D0 11 8D 55 C8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 C8 89 45 D4 C6 45 D8 11 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F0 8B 4D F0 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B C8 2B CB 8D 53 01 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 AC 00 00 00 8D 45 F0 8B 4D F0 8B 55 FC E8 ?? ?? ?? ?? E9 99 00 00 00 A1 ?? ?? ?? ?? 80 38 00 74 44 8B 1D ?? ?? ?? ?? 8B 1B FF D3 85 C0 74 36 8B 1D ?? ?? ?? ?? 8B 1B FF D3 8B 50 68 8D 45 F4 8B 4D F8 E8 ?? ?? ?? ?? 8D 45 C4 50 33 C9 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 F4 89 45 CC C6 45 D0 11 8D 55 BC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 BC 89 45 D4 C6 45 D8 11 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8D 45 F0 8B 4D F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 0F 85 38 FE FF FF 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 20 00 26 00 23 00 31 00 38 00 37 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 65 00 6C 00 69 00 6D 00 69 00 74 00 65 00 72 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 24 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 3C 00 61 00 20 00 68 00 72 00 65 00 66 00 3D 00 25 00 73 00 3E 00 25 00 73 00 3C 00 2F 00 61 00 3E 00 00 00 }
	condition:
		$1
}

rule function_45341_0 {
	meta:
		name = "IgnoreIt"
		size = 237
		refs = "0023 TSearchRec 0028 @AddRefRecord 0030 IgnoreIt 005e _Dn_TIWVarDoc 0063 TIWVarDoc.Create 006c TIWVarDoc.GetExclude 0079 TObject.Free 009a _Dn_TIWVarDir 009f TIWVarDir.Create 00a8 TIWVarDir.GetExclude 00d3 @FinalizeRecord 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 8C FD FF FF 53 56 57 8B F0 8D BD 90 FD FF FF B9 9C 00 00 00 F3 A5 8D 85 90 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 80 A0 FD FF FF 83 F8 20 75 37 8D 85 90 FD FF FF 50 8B 45 08 8B 80 8C FD FF FF 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 88 85 8F FD FF FF 8B C3 E8 ?? ?? ?? ?? EB 3A 83 F8 10 75 35 8D 85 90 FD FF FF 50 8B 45 08 8B 80 8C FD FF FF 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 88 85 8F FD FF FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 90 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 0F B6 85 8F FD FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45342_0 {
	meta:
		name = "GetSortingData"
		size = 1628
		refs = "0038 TSearchRec 003d @AddRefRecord 0045 @UStrAddRef 0055 GetSortingData 0066 @UStrLAsg 009a CompareText 00bd _Dn_TIWVarDir 00c2 TIWVarDir.Create 00cd TIWVarDir.GetTitle 00d4 TObject.Free 013b _Dn_TIWVarDoc 0140 TIWVarDoc.Create 014b TIWVarDoc.GetTitle 01f8 @UStrAsg 02a9 FileDateToDateTime 02c5 CurrencyString 02cd FormatDateTime 0391 @UStrCat3 039c FileAge 045b FormatFloat 047d @UStrClr 048e @FinalizeRecord 049b @UStrArrayClr 04a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 60 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F0 8D BD 28 FD FF FF 51 B9 9C 00 00 00 F3 A5 59 89 4D F8 89 55 FC 8B 75 08 8D 85 28 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 36 8D 85 28 FD FF FF 50 8B 45 0C 8B 80 8C FD FF FF 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 8C 03 00 00 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 75 04 B0 01 EB 20 83 7D EC 00 74 06 83 7D E8 00 75 04 33 C0 EB 10 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 36 8D 85 28 FD FF FF 50 8B 45 0C 8B 80 8C FD FF FF 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 0E 03 00 00 8D 45 E4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 3B 45 E0 75 04 B0 01 EB 20 83 7D E4 00 74 06 83 7D E0 00 75 04 33 C0 EB 10 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 3B 45 D8 75 04 B0 01 EB 20 83 7D DC 00 74 06 83 7D D8 00 75 04 33 C0 EB 10 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 12 8B C6 8B 95 3C FD FF FF E8 ?? ?? ?? ?? E9 68 02 00 00 8D 45 D4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 3B 45 D0 75 04 B0 01 EB 20 83 7D D4 00 74 06 83 7D D0 00 75 04 33 C0 EB 10 8B 55 D0 8B 45 D4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 CC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 3B 45 C8 75 04 B0 01 EB 20 83 7D CC 00 74 06 83 7D C8 00 75 04 33 C0 EB 10 8B 55 C8 8B 45 CC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 4B 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 28 FD FF FF E8 ?? ?? ?? ?? DD 9D 20 FD FF FF 9B FF B5 24 FD FF FF FF B5 20 FD FF FF 8D 4D C0 8B 15 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8B C6 8B 55 C0 E8 ?? ?? ?? ?? E9 89 01 00 00 8D 45 BC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 3B 45 B8 75 04 B0 01 EB 20 83 7D BC 00 74 06 83 7D B8 00 75 04 33 C0 EB 10 8B 55 B8 8B 45 BC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 B4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 3B 45 B0 75 04 B0 01 EB 20 83 7D B4 00 74 06 83 7D B0 00 75 04 33 C0 EB 10 8B 55 B0 8B 45 B4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 64 8D 45 AC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 FC FC FF FF 8B 8D 3C FD FF FF 8B 55 F8 E8 ?? ?? ?? ?? 8B 85 FC FC FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 9D 18 FD FF FF 9B FF B5 1C FD FF FF FF B5 18 FD FF FF 8D 4D A8 8B 15 ?? ?? ?? ?? 8B 45 AC E8 ?? ?? ?? ?? 8B C6 8B 55 A8 E8 ?? ?? ?? ?? E9 91 00 00 00 8D 45 A4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 A0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A4 3B 45 A0 75 04 B0 01 EB 20 83 7D A4 00 74 06 83 7D A0 00 75 04 33 C0 EB 10 8B 55 A0 8B 45 A4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 49 8D 45 9C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? DF AD 30 FD FF FF DB BD 00 FD FF FF 9B 0F B7 85 08 FD FF FF 50 FF B5 04 FD FF FF FF B5 00 FD FF FF 8D 4D 98 8B 15 ?? ?? ?? ?? 8B 45 9C E8 ?? ?? ?? ?? 8B C6 8B 55 98 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FC FF FF E8 ?? ?? ?? ?? 8D 85 28 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 98 BA 1A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 69 00 72 00 2E 00 54 00 69 00 74 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 6F 00 63 00 2E 00 54 00 69 00 74 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 6F 00 63 00 2E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 69 00 72 00 2E 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 44 00 6F 00 63 00 2E 00 44 00 61 00 74 00 65 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 44 00 69 00 72 00 2E 00 44 00 61 00 74 00 65 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 79 00 79 00 79 00 79 00 6D 00 6D 00 64 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 6F 00 63 00 2E 00 44 00 61 00 74 00 65 00 43 00 72 00 65 00 61 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 69 00 72 00 2E 00 44 00 61 00 74 00 65 00 43 00 72 00 65 00 61 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 6F 00 63 00 2E 00 53 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_45343_0 {
	meta:
		name = "FormatOutPut"
		size = 1352
		refs = "0039 TSearchRec 003e @AddRefRecord 0046 @UStrAddRef 005e FormatOutPut 007f @UStrLAsg 00b3 CompareText 00d7 _Dn_TIWVarDoc 00dc TIWVarDoc.Create 00e7 TIWVar.ProcessTag 00ee TObject.Free 015c _Dn_TIWVarDir 0161 TIWVarDir.Create 0182 @UStrAsg 022e @UStrCatN 034f @UStrCat 03c0 @FinalizeRecord 03cd @UStrArrayClr 03d5 @UStrClr 03db @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 56 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F0 8D BD 48 FD FF FF 51 B9 9C 00 00 00 F3 A5 59 89 4D F8 89 55 FC 8B 5D 08 8D 85 48 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 0F 84 07 01 00 00 8D 45 F4 8B 55 10 8B 92 88 FD FF FF E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 37 8D 85 48 FD FF FF 50 8B 45 10 8B 80 8C FD FF FF 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 8F 00 00 00 8D 45 EC 8B 55 10 8B 92 88 FD FF FF E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 75 04 B0 01 EB 20 83 7D EC 00 74 06 83 7D E8 00 75 04 33 C0 EB 10 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 41 8D 85 48 FD FF FF 50 8B 45 10 8B 80 8C FD FF FF 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 0D 8B C3 8B 95 5C FD FF FF E8 ?? ?? ?? ?? 8D 45 E4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 3B 45 E0 75 04 B0 01 EB 20 83 7D E4 00 74 06 83 7D E0 00 75 04 33 C0 EB 10 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 3B 45 D8 75 04 B0 01 EB 20 83 7D DC 00 74 06 83 7D D8 00 75 04 33 C0 EB 10 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 1D 68 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 6F 01 00 00 8D 45 D4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 3B 45 D0 75 04 B0 01 EB 20 83 7D D4 00 74 06 83 7D D0 00 75 04 33 C0 EB 10 8B 55 D0 8B 45 D4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 1D 68 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 0A 01 00 00 8D 45 CC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 3B 45 C8 75 04 B0 01 EB 20 83 7D CC 00 74 06 83 7D C8 00 75 04 33 C0 EB 10 8B 55 C8 8B 45 CC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 1D 68 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 A5 00 00 00 8D 45 C4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 3B 45 C0 75 04 B0 01 EB 20 83 7D C4 00 74 06 83 7D C0 00 75 04 33 C0 EB 10 8B 55 C0 8B 45 C4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0C 8B C3 8B 55 0C E8 ?? ?? ?? ?? EB 51 8D 45 BC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 3B 45 B8 75 04 B0 01 EB 20 83 7D BC 00 74 06 83 7D B8 00 75 04 33 C0 EB 10 8B 55 B8 8B 45 BC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 09 8B C3 8B 13 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 48 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B8 BA 12 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 6F 00 63 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 69 00 72 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 75 00 6C 00 6C 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 75 00 6D 00 62 00 65 00 72 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 6C 00 69 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 6C 00 69 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 61 00 72 00 61 00 67 00 72 00 61 00 70 00 68 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3C 00 70 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 2F 00 70 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 69 00 6E 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 62 00 72 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 62 00 72 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 44 00 65 00 6C 00 69 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 6E 00 6C 00 69 00 6E 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_45344_0 {
	meta:
		name = "AddRSSSItem"
		size = 1068
		refs = "0022 @UStrAddRef 003e TSearchRec 0043 @InitializeRecord 004b AddRSSSItem 0062 @UStrCat3 0078 FindFirst 0083 @UStrLAsg 00b7 CompareText 00d4 _Dn_TIWVarDir 00d9 TIWVarDir.Create 00e5 TIWVarDir.GetTitle 00f6 _Dn_TIWApplication 00fb TIWApplication.FullApplicationURL 010f TIWVarDir.GetURL 0128 TIWVarDir.GetTimeModified 012f TObject.Free 0190 _Dn_TIWVarDoc 0195 TIWVarDoc.Create 01a1 TIWVarDoc.GetTitle 01cb TIWVarDoc.GetURL 01e4 TIWVarDoc.GetTimeModified 01f6 FindClose 021c @LStrFromUStr 022d _Dn_TXmlNode 0232 TXmlNode.CreateNameValue 02b0 _Dn_TInDateTimeStamp 02b5 TIdInitializerComponent.Create 02c8 CurrencyString 02d0 StrToDateTime 02ea TInDateTimeStamp.SetFromTDateTime 02f4 TInDateTimeStamp.GetAsRFC822 034f @LStrArrayClr 035f @UStrArrayClr 0370 @FinalizeRecord 0385 @UStrClr 038b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 58 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 8D 85 68 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 5C FD FF FF 8B 4D 08 8B 55 FC E8 ?? ?? ?? ?? 8B 85 5C FD FF FF 8D 8D 68 FD FF FF BA FF 01 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 04 B0 01 EB 20 83 7D E8 00 74 06 83 7D E4 00 75 04 33 C0 EB 10 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 74 8D 85 68 FD FF FF 50 8B 45 FC 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 8D 58 FD FF FF 8B 45 0C 8B 50 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 58 FD FF FF 50 8D 95 54 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 8D 54 FD FF FF 8D 45 F0 5A E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 B7 00 00 00 8D 45 E0 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 3B 45 DC 75 04 B0 01 EB 20 83 7D E0 00 74 06 83 7D DC 00 75 04 33 C0 EB 10 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 6F 8D 85 68 FD FF FF 50 8B 45 FC 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 8D 50 FD FF FF 8B 45 0C 8B 50 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FD FF FF 50 8D 95 4C FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 8D 4C FD FF FF 8D 45 F0 5A E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 85 68 FD FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 7C 8B F8 68 ?? ?? ?? ?? 8D 85 48 FD FF FF 8B 55 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 48 FD FF FF 50 8B 4E 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 5C 68 ?? ?? ?? ?? 8D 85 44 FD FF FF 8B 55 F0 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 44 FD FF FF 50 8B 4E 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 5C 68 ?? ?? ?? ?? 8D 85 40 FD FF FF 8B 55 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 40 FD FF FF 50 8B 4E 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 5C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 D8 8B 55 EC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? DD 9D 60 FD FF FF 9B FF B5 64 FD FF FF FF B5 60 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 3C FD FF FF 8B 55 EC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 3C FD FF FF 50 8B 4E 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 3C FD FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 4C FD FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 85 68 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B2 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 69 00 72 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 6F 00 63 00 00 00 E4 04 01 00 FF FF FF FF 04 00 00 00 69 74 65 6D 00 00 00 00 E4 04 01 00 FF FF FF FF 05 00 00 00 74 69 74 6C 65 00 00 00 E4 04 01 00 FF FF FF FF 04 00 00 00 6C 69 6E 6B 00 00 00 00 E4 04 01 00 FF FF FF FF 0B 00 00 00 64 65 73 63 72 69 70 74 69 6F 6E 00 E4 04 01 00 FF FF FF FF 07 00 00 00 70 75 62 44 61 74 65 00 }
	condition:
		$1
}

rule function_45345_0 {
	meta:
		name = "TIWIWPProcessor.ProcessEnumList"
		size = 6212
		refs = "002d TSearchRec 0032 @InitializeRecord 003a TIWIWPProcessor.ProcessEnumList 004e @UStrLAsg 0097 CompareText 01cc TStrings.GetValue 01e9 ExtractFilePath 0228 gSC 024c URLPathToFilePath 025d IncludeTrailingPathDelim 02c8 DirectoryExists 02e8 TIWTag.ParamValue 03a3 iif 03df ReadStringFromIni 04d6 StrToInt 0530 @UStrCat3 0541 Pos 0580 _Dn_EIWException 0585 Exception.CreateFmt 058a @RaiseExcept 05b7 FindFirst 05ca @UStrClr 064a TStringStream.WriteString 079a _Dn_TStringList 079f TStringList.Create 08cc @UStrEqual 0902 IgnoreIt 093b GetSortingData 098a FormatOutPut 09a1 @UStrCatN 0a35 FindNext 0a48 FindClose 0b68 FileExists 0b91 TStringList.SetSorted 0ce2 TStrings.GetValueFromIndex 0d6d @UStrCopy 0d80 TStrings.SetValueFromIndex 0ddb AddRSSSItem 10ab _DV_TEnumInfo 10b0 TObject.Create 10fa TObject.Free 1100 @HandleFinally 111f @UStrArrayClr 1150 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 51 B9 7A 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 8D E4 FC FF FF 8B DA 89 85 E8 FC FF FF 8D 85 90 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 68 FD FF FF 8B 53 08 E8 ?? ?? ?? ?? 8D 85 64 FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 68 FD FF FF 3B 85 64 FD FF FF 75 04 B0 01 EB 2C 83 BD 68 FD FF FF 00 74 09 83 BD 64 FD FF FF 00 75 04 33 C0 EB 16 8B 95 64 FD FF FF 8B 85 68 FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 56 8B 43 0C 8B 10 FF 52 44 8B 43 0C BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 43 0C BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 43 0C BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 43 0C BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 43 0C BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 43 0C BA ?? ?? ?? ?? 8B 08 FF 51 38 8D 85 60 FD FF FF 8B 53 08 E8 ?? ?? ?? ?? 8D 85 5C FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 60 FD FF FF 3B 85 5C FD FF FF 75 04 B0 01 EB 2C 83 BD 60 FD FF FF 00 74 09 83 BD 5C FD FF FF 00 75 04 33 C0 EB 16 8B 95 5C FD FF FF 8B 85 60 FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 63 8B 43 0C 8B 10 FF 52 44 8B 43 0C BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 43 0C BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 43 0C BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 43 0C BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 43 0C BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 43 0C BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 43 0C BA ?? ?? ?? ?? 8B 08 FF 51 38 8D 8D 8C FD FF FF 8B 43 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BD 8C FD FF FF 00 75 19 8D 95 8C FD FF FF 8B 85 E8 FC FF FF 8B 40 08 E8 ?? ?? ?? ?? E9 CF 00 00 00 8B 85 8C FD FF FF 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 6F 8B 85 8C FD FF FF 66 83 38 5C 74 10 8B 85 8C FD FF FF 66 83 38 2F 0F 85 A0 00 00 00 8D 95 A4 FC FF FF A1 ?? ?? ?? ?? 8B 00 8B 80 B4 00 00 00 E8 ?? ?? ?? ?? 8B 85 A4 FC FF FF 8D 8D A8 FC FF FF 8B 95 8C FD FF FF E8 ?? ?? ?? ?? 8B 85 A8 FC FF FF 8D 95 AC FC FF FF E8 ?? ?? ?? ?? 8B 95 AC FC FF FF 8D 85 8C FD FF FF E8 ?? ?? ?? ?? EB 4D 8D 95 98 FC FF FF 8B 85 E8 FC FF FF 8B 40 08 E8 ?? ?? ?? ?? 8B 85 98 FC FF FF 8D 8D 9C FC FF FF 8B 95 8C FD FF FF E8 ?? ?? ?? ?? 8B 85 9C FC FF FF 8D 95 A0 FC FF FF E8 ?? ?? ?? ?? 8B 95 A0 FC FF FF 8D 85 8C FD FF FF E8 ?? ?? ?? ?? 8B 85 8C FD FF FF E8 ?? ?? ?? ?? 84 C0 0F 84 32 0E 00 00 8D 85 88 FD FF FF 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 85 6C FD FF FF 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 85 58 FD FF FF 8B 95 88 FD FF FF E8 ?? ?? ?? ?? 8D 85 54 FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 58 FD FF FF 3B 85 54 FD FF FF 75 09 C6 85 CF FC FF FF 01 EB 35 83 BD 58 FD FF FF 00 74 09 83 BD 54 FD FF FF 00 75 09 C6 85 CF FC FF FF 00 EB 1A 8B 95 54 FD FF FF 8B 85 58 FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 85 CF FC FF FF 8D 85 80 FD FF FF 50 8D 85 94 FC FF FF 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 8D 94 FC FF FF BA ?? ?? ?? ?? 0F B6 85 CF FC FF FF E8 ?? ?? ?? ?? 8D 85 74 FD FF FF 50 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 BD 74 FD FF FF 00 75 1E 68 ?? ?? ?? ?? 8D 85 74 FD FF FF 50 33 C9 8B 95 88 FD FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 70 FD FF FF 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 85 84 FD FF FF 50 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 85 7C FD FF FF 50 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 BD 7C FD FF FF 00 0F 85 85 00 00 00 8D 85 50 FD FF FF 8B 95 88 FD FF FF E8 ?? ?? ?? ?? 8D 85 4C FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 50 FD FF FF 3B 85 4C FD FF FF 75 04 B0 01 EB 2C 83 BD 50 FD FF FF 00 74 09 83 BD 4C FD FF FF 00 75 04 33 C0 EB 16 8B 95 4C FD FF FF 8B 85 50 FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 12 8D 85 7C FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8D 85 7C FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 90 FC FF FF 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 85 90 FC FF FF E8 ?? ?? ?? ?? 8B F0 85 F6 74 2B 8D 85 8C FC FF FF 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 85 8C FC FF FF E8 ?? ?? ?? ?? 89 85 DC FC FF FF EB 0A C7 85 DC FC FF FF 01 00 00 00 83 BD 74 FD FF FF 00 74 70 8D 85 88 FC FF FF B9 ?? ?? ?? ?? 8B 95 88 FD FF FF E8 ?? ?? ?? ?? 8B 85 88 FC FF FF 8B 95 74 FD FF FF E8 ?? ?? ?? ?? 85 C0 75 45 8B 85 74 FD FF FF 89 85 78 FC FF FF C6 85 7C FC FF FF 11 8B 85 88 FD FF FF 89 85 80 FC FF FF C6 85 84 FC FF FF 11 8D 85 78 FC FF FF 50 6A 01 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 74 FC FF FF 8B 8D 80 FD FF FF 8B 95 8C FD FF FF E8 ?? ?? ?? ?? 8B 85 74 FC FF FF 8D 8D 90 FD FF FF BA FF 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 43 0B 00 00 8D 85 78 FD FF FF E8 ?? ?? ?? ?? 8D 85 48 FD FF FF 8B 95 84 FD FF FF E8 ?? ?? ?? ?? 8D 85 44 FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 48 FD FF FF 3B 85 44 FD FF FF 75 04 B0 01 EB 2C 83 BD 48 FD FF FF 00 74 09 83 BD 44 FD FF FF 00 75 04 33 C0 EB 16 8B 95 44 FD FF FF 8B 85 48 FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 22 83 BD E4 FC FF FF 00 0F 84 59 01 00 00 BA ?? ?? ?? ?? 8B 85 E4 FC FF FF E8 ?? ?? ?? ?? E9 44 01 00 00 8D 85 40 FD FF FF 8B 95 84 FD FF FF E8 ?? ?? ?? ?? 8D 85 3C FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 40 FD FF FF 3B 85 3C FD FF FF 75 04 B0 01 EB 2C 83 BD 40 FD FF FF 00 74 09 83 BD 3C FD FF FF 00 75 04 33 C0 EB 16 8B 95 3C FD FF FF 8B 85 40 FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 22 83 BD E4 FC FF FF 00 0F 84 D4 00 00 00 BA ?? ?? ?? ?? 8B 85 E4 FC FF FF E8 ?? ?? ?? ?? E9 BF 00 00 00 8D 85 38 FD FF FF 8B 95 84 FD FF FF E8 ?? ?? ?? ?? 8D 85 34 FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 38 FD FF FF 3B 85 34 FD FF FF 75 09 C6 85 CE FC FF FF 01 EB 35 83 BD 38 FD FF FF 00 74 09 83 BD 34 FD FF FF 00 75 09 C6 85 CE FC FF FF 00 EB 1A 8B 95 34 FD FF FF 8B 85 38 FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 85 CE FC FF FF 80 BD CE FC FF FF 00 74 49 8D 85 78 FD FF FF 50 8D 8D 70 FC FF FF 8B 43 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 70 FC FF FF 50 8D 8D 6C FC FF FF 8B 43 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BD 6C FC FF FF 00 0F 94 C0 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 D8 FC FF FF 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 95 A4 FD FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 5F 02 00 00 8D 85 30 FD FF FF 8B 95 88 FD FF FF E8 ?? ?? ?? ?? 8D 85 2C FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 30 FD FF FF 3B 85 2C FD FF FF 75 04 B0 01 EB 2C 83 BD 30 FD FF FF 00 74 09 83 BD 2C FD FF FF 00 75 04 33 C0 EB 16 8B 95 2C FD FF FF 8B 85 30 FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0C 83 BD A0 FD FF FF 20 0F 94 C0 EB 02 33 C0 84 C0 74 07 B0 01 E9 A7 00 00 00 8D 85 28 FD FF FF 8B 95 88 FD FF FF E8 ?? ?? ?? ?? 8D 85 24 FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 28 FD FF FF 3B 85 24 FD FF FF 75 04 B0 01 EB 2C 83 BD 28 FD FF FF 00 74 09 83 BD 24 FD FF FF 00 75 04 33 C0 EB 16 8B 95 24 FD FF FF 8B 85 28 FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0C 83 BD A0 FD FF FF 10 0F 94 C0 EB 02 33 C0 84 C0 74 15 8B 85 A4 FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 95 C0 EB 02 33 C0 84 C0 74 15 8B 85 A4 FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 95 C0 EB 02 33 C0 84 C0 0F 84 34 01 00 00 55 8D 85 90 FD FF FF E8 ?? ?? ?? ?? 59 84 C0 0F 85 1F 01 00 00 83 7D 0C 00 0F 85 9F 00 00 00 8D 85 64 FC FF FF 50 55 8D 85 60 FC FF FF 50 8B 8D 8C FD FF FF 8B 95 74 FD FF FF 8D 85 90 FD FF FF E8 ?? ?? ?? ?? 59 8B 85 60 FC FF FF 50 83 BD 74 FD FF FF 00 0F 95 C0 8B 8D A4 FD FF FF 5A E8 ?? ?? ?? ?? FF B5 64 FC FF FF 68 ?? ?? ?? ?? 55 8B 85 78 FD FF FF 50 8D 85 5C FC FF FF 50 8B 8D 7C FD FF FF 8B 95 84 FD FF FF 8D 85 90 FD FF FF E8 ?? ?? ?? ?? 59 FF B5 5C FC FF FF 8D 85 68 FC FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 68 FC FF FF 8B 85 D8 FC FF FF 8B 08 FF 51 38 EB 76 8D 85 54 FC FF FF 50 55 8D 85 50 FC FF FF 50 8B 8D 8C FD FF FF 8B 95 74 FD FF FF 8D 85 90 FD FF FF E8 ?? ?? ?? ?? 59 8B 85 50 FC FF FF 50 83 BD 74 FD FF FF 00 0F 95 C0 8B 8D A4 FD FF FF 5A E8 ?? ?? ?? ?? FF B5 54 FC FF FF 68 ?? ?? ?? ?? FF B5 A4 FD FF FF 8D 85 58 FC FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 58 FC FF FF 8B 85 D8 FC FF FF 8B 08 FF 51 38 8D 85 90 FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 84 76 FD FF FF 8D 85 90 FD FF FF E8 ?? ?? ?? ?? 8D 85 20 FD FF FF 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 85 1C FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 20 FD FF FF 3B 85 1C FD FF FF 75 04 B0 01 EB 2C 83 BD 20 FD FF FF 00 74 09 83 BD 1C FD FF FF 00 75 04 33 C0 EB 16 8B 95 1C FD FF FF 8B 85 20 FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 88 85 E3 FC FF FF 80 BD E3 FC FF FF 00 74 61 8D 85 A4 FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 85 A0 FD FF FF 10 00 00 00 55 8D 85 4C FC FF FF 50 8B 8D 8C FD FF FF 8B 95 74 FD FF FF 8D 85 90 FD FF FF E8 ?? ?? ?? ?? 59 8B 95 4C FC FF FF 8B 85 D8 FC FF FF 8B 08 FF 51 58 8B D8 83 FB FF 74 6D 8B D3 8B 85 D8 FC FF FF 8B 08 FF 51 48 EB 5E BA ?? ?? ?? ?? 8B 85 D8 FC FF FF 8B 08 FF 51 54 8B D8 BA ?? ?? ?? ?? 8B 85 D8 FC FF FF 8B 08 FF 51 54 0B D8 43 75 37 8D 85 48 FC FF FF B9 ?? ?? ?? ?? 8B 95 8C FD FF FF E8 ?? ?? ?? ?? 8B 85 48 FC FF FF B2 01 E8 ?? ?? ?? ?? 84 C0 74 10 BA ?? ?? ?? ?? 8B 85 D8 FC FF FF 8B 08 FF 51 38 83 BD 74 FD FF FF 00 0F 95 C2 8B 85 D8 FC FF FF E8 ?? ?? ?? ?? 85 F6 75 1C 33 C0 89 85 D4 FC FF FF 8B 85 D8 FC FF FF 8B 10 FF 52 14 48 89 85 D0 FC FF FF EB 1F 8B 85 DC FC FF FF F7 EE 2B C6 89 85 D4 FC FF FF 8B 85 DC FC FF FF F7 EE 48 89 85 D0 FC FF FF 8B 85 D8 FC FF FF 80 78 38 00 74 61 8D 85 18 FD FF FF 8B 95 70 FD FF FF E8 ?? ?? ?? ?? 8D 85 14 FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 18 FD FF FF 3B 85 14 FD FF FF 75 04 B0 01 EB 30 83 BD 18 FD FF FF 00 74 09 83 BD 14 FD FF FF 00 75 04 33 C0 EB 1A 8B 95 14 FD FF FF 8B 85 18 FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 EB 02 33 C0 84 C0 0F 84 A2 01 00 00 8B 9D D0 FC FF FF 8B BD D4 FC FF FF 2B FB 0F 8F 2B 03 00 00 4F 3B 9D D4 FC FF FF 0F 85 18 01 00 00 8D 85 10 FD FF FF 8B 95 84 FD FF FF E8 ?? ?? ?? ?? 8D 85 0C FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 10 FD FF FF 3B 85 0C FD FF FF 75 04 B0 01 EB 2C 83 BD 10 FD FF FF 00 74 09 83 BD 0C FD FF FF 00 75 04 33 C0 EB 16 8B 95 0C FD FF FF 8B 85 10 FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 B1 00 00 00 8D 8D 08 FD FF FF 8B D3 8B 85 D8 FC FF FF E8 ?? ?? ?? ?? 8D 8D 44 FC FF FF 8B D3 8B 85 D8 FC FF FF E8 ?? ?? ?? ?? 8B 85 44 FC FF FF 89 85 C8 FC FF FF 8B 85 C8 FC FF FF 89 85 C4 FC FF FF 83 BD C4 FC FF FF 00 74 11 8B 85 C4 FC FF FF 83 E8 04 8B 00 89 85 C4 FC FF FF 8B 85 78 FD FF FF 89 85 C0 FC FF FF 83 BD C0 FC FF FF 00 74 11 8B 85 C0 FC FF FF 83 E8 04 8B 00 89 85 C0 FC FF FF 8D 85 40 FC FF FF 50 8B 8D C4 FC FF FF 2B 8D C0 FC FF FF 33 D2 8B 85 08 FD FF FF E8 ?? ?? ?? ?? 8B 8D 40 FC FF FF 8B D3 8B 85 D8 FC FF FF E8 ?? ?? ?? ?? 83 7D 0C 00 75 26 8D 8D 3C FC FF FF 8B D3 8B 85 D8 FC FF FF E8 ?? ?? ?? ?? 8B 95 3C FC FF FF 8B 85 E4 FC FF FF E8 ?? ?? ?? ?? EB 30 55 8D 8D 38 FC FF FF 8B D3 8B 85 D8 FC FF FF E8 ?? ?? ?? ?? 8B 85 38 FC FF FF 50 8B 8D 88 FD FF FF 8B 95 8C FD FF FF 8B 45 0C E8 ?? ?? ?? ?? 59 4B 47 0F 85 78 FE FF FF E9 9D 01 00 00 8B 9D D4 FC FF FF 8B BD D0 FC FF FF 2B FB 0F 8C 89 01 00 00 47 3B 9D D0 FC FF FF 0F 85 18 01 00 00 8D 85 04 FD FF FF 8B 95 84 FD FF FF E8 ?? ?? ?? ?? 8D 85 00 FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 04 FD FF FF 3B 85 00 FD FF FF 75 04 B0 01 EB 2C 83 BD 04 FD FF FF 00 74 09 83 BD 00 FD FF FF 00 75 04 33 C0 EB 16 8B 95 00 FD FF FF 8B 85 04 FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 B1 00 00 00 8D 8D FC FC FF FF 8B D3 8B 85 D8 FC FF FF E8 ?? ?? ?? ?? 8D 8D 34 FC FF FF 8B D3 8B 85 D8 FC FF FF E8 ?? ?? ?? ?? 8B 85 34 FC FF FF 89 85 BC FC FF FF 8B 85 BC FC FF FF 89 85 B8 FC FF FF 83 BD B8 FC FF FF 00 74 11 8B 85 B8 FC FF FF 83 E8 04 8B 00 89 85 B8 FC FF FF 8B 85 78 FD FF FF 89 85 B4 FC FF FF 83 BD B4 FC FF FF 00 74 11 8B 85 B4 FC FF FF 83 E8 04 8B 00 89 85 B4 FC FF FF 8D 85 30 FC FF FF 50 8B 8D B8 FC FF FF 2B 8D B4 FC FF FF 33 D2 8B 85 FC FC FF FF E8 ?? ?? ?? ?? 8B 8D 30 FC FF FF 8B D3 8B 85 D8 FC FF FF E8 ?? ?? ?? ?? 83 7D 0C 00 75 26 8D 8D 2C FC FF FF 8B D3 8B 85 D8 FC FF FF E8 ?? ?? ?? ?? 8B 95 2C FC FF FF 8B 85 E4 FC FF FF E8 ?? ?? ?? ?? EB 30 55 8D 8D 28 FC FF FF 8B D3 8B 85 D8 FC FF FF E8 ?? ?? ?? ?? 8B 85 28 FC FF FF 50 8B 8D 88 FD FF FF 8B 95 8C FD FF FF 8B 45 0C E8 ?? ?? ?? ?? 59 43 4F 0F 85 78 FE FF FF 83 BD E4 FC FF FF 00 0F 84 11 01 00 00 8D 85 F8 FC FF FF 8B 95 84 FD FF FF E8 ?? ?? ?? ?? 8D 85 F4 FC FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F8 FC FF FF 3B 85 F4 FC FF FF 75 09 C6 85 B3 FC FF FF 01 EB 35 83 BD F8 FC FF FF 00 74 09 83 BD F4 FC FF FF 00 75 09 C6 85 B3 FC FF FF 00 EB 1A 8B 95 F4 FC FF FF 8B 85 F8 FC FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 85 }
	condition:
		$1
}

rule function_45346_0 {
	meta:
		name = "GetRSSTitle"
		size = 88
		refs = "000a GetRSSTitle 0011 TIWTag.ParamValue"
	strings:
		$1 = { 53 56 8B DA 8B F0 53 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 3B 00 75 0F 53 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 69 00 74 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_45347_0 {
	meta:
		name = "TIWIWPProcessor.ProcessRSS"
		size = 860
		refs = "0022 @UStrAddRef 0032 TIWIWPProcessor.ProcessRSS 0044 _Dn_TNativeXml 0049 TNativeXml.CreateName 0057 TNativeXml.SetEncodingString 005e TNativeXml.GetRoot 0071 TXmlNode.AttributeAdd 008e GetRSSTitle 009e @LStrFromUStr 00ac _Dn_TXmlNode 00b1 TXmlNode.CreateNameValue 00ca _Dn_TIWApplication 00cf TIWApplication.FullApplicationURL 0156 TStrings.SetValue 0168 @UStrCat3 01c1 TIWIWPProcessor.ProcessEnumList 01da @UStrFromLStr 01e1 TObject.Free 01f6 @LStrClr 0203 @UStrArrayClr 0213 @UStrClr 023e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 8B F2 89 45 FC 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 7C 8B D8 68 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 4B 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 5C 68 ?? ?? ?? ?? 8D 4D E8 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 4B 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 5C 68 ?? ?? ?? ?? 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 4B 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 5C BA ?? ?? ?? ?? 8B 46 0C 8B 08 FF 51 58 40 74 12 8B 4D 10 BA ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? EB 1B 8D 45 DC 8B 4D 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 46 0C 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 46 0C 8B 08 FF 51 58 40 74 12 8B 4D 0C BA ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? EB 1B 8D 45 D8 8B 4D 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 46 0C 8B 08 FF 51 38 53 8B 45 F8 50 33 C9 8B D6 8B 45 FC E8 ?? ?? ?? ?? C6 47 22 00 8D 55 D4 8B C7 8B 08 FF 51 48 8B 55 D4 8B 45 08 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 0C BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AE 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 E4 04 01 00 FF FF FF FF 03 00 00 00 72 73 73 00 E4 04 01 00 FF FF FF FF 05 00 00 00 55 54 46 2D 38 00 00 00 E4 04 01 00 FF FF FF FF 03 00 00 00 32 2E 30 00 E4 04 01 00 FF FF FF FF 07 00 00 00 76 65 72 73 69 6F 6E 00 E4 04 01 00 FF FF FF FF 07 00 00 00 63 68 61 6E 6E 65 6C 00 E4 04 01 00 FF FF FF FF 05 00 00 00 74 69 74 6C 65 00 00 00 E4 04 01 00 FF FF FF FF 04 00 00 00 6C 69 6E 6B 00 00 00 00 E4 04 01 00 FF FF FF FF 0B 00 00 00 64 65 73 63 72 69 70 74 69 6F 6E 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 61 00 78 00 49 00 74 00 65 00 6D 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 61 00 78 00 49 00 74 00 65 00 6D 00 73 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 61 00 67 00 65 00 3D 00 00 00 }
	condition:
		$1
}

rule function_45348_0 {
	meta:
		name = "TIWIWPProcessor.EmbedRSSLink"
		size = 1520
		refs = "0027 TSearchRec 002c @InitializeRecord 0034 TIWIWPProcessor.EmbedRSSLink 004c TIWTag.ParamValue 0079 @UStrLAsg 009b @UStrEqual 00d4 FindFirst 00e9 ExtractFilePath 00f9 _Dn_TIWVarDoc 00fe TIWVarDoc.Create 010e _Dn_TIWApplication 0113 TIWApplication.FullApplicationURL 0127 TIWVarDoc.GetURL 0136 @UStrCat3 013d TObject.Free 0148 FindClose 015b ChangeFileExt 01a8 CompareText 01c9 @UStrCatN 021e Pos 0318 Format 0326 TStringStream.GetDataString 0341 @UStrInsert 0350 TStream.SetSize64 035e TStringStream.WriteString 037b @UStrArrayClr 038c @FinalizeRecord 039f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 59 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 8D 54 FD FF FF 8B DA 8B F0 8D 85 58 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 08 03 00 00 8D 45 FC 50 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 0B 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 E4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 17 8D 45 E8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 0D 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 8D 58 FD FF FF 8B 46 08 BA FF 01 00 00 E8 ?? ?? ?? ?? 8D 85 58 FD FF FF 50 8D 95 50 FD FF FF 8B 46 08 E8 ?? ?? ?? ?? 8B 85 50 FD FF FF 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 8D 4C FD FF FF 8B 55 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 4C FD FF FF 50 8D 95 48 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 8D 48 FD FF FF 8D 45 F0 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 85 58 FD FF FF E8 ?? ?? ?? ?? 8D 8D 44 FD FF FF BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 95 44 FD FF FF 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 3B 45 DC 75 04 B0 01 EB 20 83 7D E0 00 74 06 83 7D DC 00 75 04 33 C0 EB 10 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 18 FF 75 F0 68 ?? ?? ?? ?? FF 75 F8 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 8B 55 E8 E8 ?? ?? ?? ?? 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 3B 45 D4 75 04 B0 01 EB 20 83 7D D8 00 74 06 83 7D D4 00 75 04 33 C0 EB 10 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 43 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1A FF 75 F0 68 ?? ?? ?? ?? FF 75 E8 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 18 FF 75 F0 68 ?? ?? ?? ?? FF 75 E8 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 8B 55 E4 E8 ?? ?? ?? ?? 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 3B 45 CC 75 04 B0 01 EB 20 83 7D D0 00 74 06 83 7D CC 00 75 04 33 C0 EB 10 8B 55 CC 8B 45 D0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 43 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1A FF 75 F0 68 ?? ?? ?? ?? FF 75 E4 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 18 FF 75 F0 68 ?? ?? ?? ?? FF 75 E4 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 FC 89 85 34 FD FF FF C6 85 38 FD FF FF 11 8B 45 F0 89 85 3C FD FF FF C6 85 40 FD FF FF 11 8D 95 34 FD FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC 8B 85 54 FD FF FF E8 ?? ?? ?? ?? 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 48 07 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 85 54 FD FF FF E8 ?? ?? ?? ?? 8B 55 EC 8B 85 54 FD FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 44 FD FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 58 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC BA 0D 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 69 00 74 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 61 00 78 00 49 00 74 00 65 00 6D 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 72 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3F 00 52 00 53 00 53 00 2E 00 49 00 44 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 26 00 52 00 53 00 53 00 2E 00 50 00 61 00 67 00 65 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 3F 00 52 00 53 00 53 00 2E 00 50 00 61 00 67 00 65 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 26 00 52 00 53 00 53 00 2E 00 4D 00 61 00 78 00 49 00 74 00 65 00 6D 00 73 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 3F 00 52 00 53 00 53 00 2E 00 4D 00 61 00 78 00 49 00 74 00 65 00 6D 00 73 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 46 00 00 00 3C 00 6C 00 69 00 6E 00 6B 00 20 00 72 00 65 00 6C 00 3D 00 22 00 61 00 6C 00 74 00 65 00 72 00 6E 00 61 00 74 00 65 00 22 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 72 00 73 00 73 00 2B 00 78 00 6D 00 6C 00 22 00 20 00 74 00 69 00 74 00 6C 00 65 00 3D 00 22 00 25 00 73 00 22 00 20 00 68 00 72 00 65 00 66 00 3D 00 22 00 25 00 73 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3C 00 68 00 65 00 61 00 64 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_45349_0 {
	meta:
		name = "TIWIWPProcessor.ProcessFileTag"
		size = 220
		refs = "0015 @UStrAddRef 0025 TIWIWPProcessor.ProcessFileTag 0036 _Dn_TStringList 003b TStringList.Create 0073 TStrings.GetValue 007d TStringStream.WriteString 009b TObject.Free 00a1 @HandleFinally 00bd @UStrArrayClr 00c5 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F8 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 08 8B 45 F0 8B 08 FF 51 68 8B 55 FC 8B 45 F0 8B 08 FF 51 58 40 74 1C 8D 4D F8 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_45350_0 {
	meta:
		name = "TIWIWPProcessor.ProcessHttpTag"
		size = 90
		refs = "000f TIWIWPProcessor.ProcessHttpTag 001c TWebRequest.GetQueryFields 0027 TStrings.GetValue 0032 TStringStream.WriteString 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 4D FC 8B 53 08 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_45352_0 {
	meta:
		name = "TIWIWPProcessor.ProcessCookieTag"
		size = 90
		refs = "000f TIWIWPProcessor.ProcessCookieTag 001c TWebRequest.GetCookieFields 0027 TStrings.GetValue 0032 TStringStream.WriteString 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 4D FC 8B 53 08 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_45351_0 {
	meta:
		name = "TIWIWPProcessor.ProcessArgTag"
		size = 75
		refs = "000e @UStrAddRef 0016 TIWIWPProcessor.ProcessArgTag 0026 TStringStream.WriteString 003b @UStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_45353_0 {
	meta:
		name = "TIWIWPProcessor.ProcessDocTag"
		size = 1076
		refs = "0025 TSearchRec 002a @InitializeRecord 0032 TIWIWPProcessor.ProcessDocTag 0043 @UStrLAsg 0077 CompareText 0095 TIWTag.ParamValue 012b iif 0298 IntToStr 02a6 TStringStream.WriteString 02c1 FindFirst 02dc ExtractFilePath 02ec _Dn_TIWVarDoc 02f1 TIWVarDoc.Create 02ff TIWVarDoc.DoProcessTag 0306 TObject.Free 0311 FindClose 032e @UStrArrayClr 033f @FinalizeRecord 0352 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 57 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B DA 89 85 5C FD FF FF 8D 85 60 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 08 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 21 8D 85 58 FD FF FF 50 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 BD 58 FD FF FF 00 0F 95 C0 EB 02 33 C0 84 C0 0F 84 FD 01 00 00 8D 85 54 FD FF FF 50 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 95 54 FD FF FF 8B 85 5C FD FF FF 8B 70 0C 8B C6 8B 08 FF 51 54 8B D0 8B C6 8B 08 FF 51 18 8B F0 8D 45 FC 50 8D 85 50 FD FF FF 50 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 85 50 FD FF FF 50 8D 85 4C FD FF FF 50 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 BD 4C FD FF FF 00 0F 94 C0 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 5E 0C 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A BB 01 00 00 00 E9 F1 00 00 00 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 04 B0 01 EB 20 83 7D E8 00 74 06 83 7D E4 00 75 04 33 C0 EB 10 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 09 8B 5E 0C 4B E9 A0 00 00 00 8D 45 E0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 3B 45 DC 75 04 B0 01 EB 20 83 7D E0 00 74 06 83 7D DC 00 75 04 33 C0 EB 10 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 06 8B 5E 0C 43 EB 52 8D 45 D8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 3B 45 D4 75 04 B0 01 EB 20 83 7D D8 00 74 06 83 7D D4 00 75 04 33 C0 EB 10 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0A 8B 46 04 99 F7 7E 08 8B D8 43 83 FB 01 7D 05 BB 01 00 00 00 8B 46 04 99 F7 7E 08 8B C8 41 3B D9 7E 02 8B D9 8D 95 48 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 48 FD FF FF 8B 45 08 E8 ?? ?? ?? ?? EB 69 8D 8D 60 FD FF FF 8B 85 5C FD FF FF 8B 40 08 BA FF 01 00 00 E8 ?? ?? ?? ?? 8D 85 60 FD FF FF 50 8D 95 44 FD FF FF 8B 85 5C FD FF FF 8B 40 08 E8 ?? ?? ?? ?? 8B 85 44 FD FF FF 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 4D 08 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 85 60 FD FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 44 FD FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 85 60 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 45 00 6E 00 75 00 6D 00 50 00 61 00 67 00 65 00 4E 00 6F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 75 00 72 00 72 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 69 00 72 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 72 00 65 00 76 00 69 00 6F 00 75 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 61 00 73 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_45354_0 {
	meta:
		name = "TIWIWPProcessor.ProcessSysTag"
		size = 2148
		refs = "001e @UStrAddRef 0026 TIWIWPProcessor.ProcessSysTag 0037 @UStrLAsg 006b CompareText 007d ShortDateFormat 0089 Now 00a5 CurrencyString 00ad FormatDateTime 00b7 TStringStream.WriteString 010d LongDateFormat 019d ShortTimeFormat 022d LongTimeFormat 02d9 DateTimeToStr 0341 DayOf 034f IntToStr 03ba DayOfWeek 03c3 ShortDayNames 0435 LongDayNames 049e MonthOf 0520 ShortMonthNames 0592 LongMonthNames 0607 Date 0613 YearOf 0643 @UStrCat3 0650 _Dn_EIWException 0655 EInException.Create 065a @RaiseExcept 0677 @UStrArrayClr 068d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 17 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 48 8D 45 F0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 9D 70 FF FF FF 9B FF B5 74 FF FF FF FF B5 70 FF FF FF 8D 4D EC 8B 15 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? E9 9E 05 00 00 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 04 B0 01 EB 20 83 7D E8 00 74 06 83 7D E4 00 75 04 33 C0 EB 10 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 48 8D 45 E0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 9D 68 FF FF FF 9B FF B5 6C FF FF FF FF B5 68 FF FF FF 8D 4D DC 8B 15 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? E9 0E 05 00 00 8D 45 D8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 3B 45 D4 75 04 B0 01 EB 20 83 7D D8 00 74 06 83 7D D4 00 75 04 33 C0 EB 10 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 48 8D 45 D0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 9D 60 FF FF FF 9B FF B5 64 FF FF FF FF B5 60 FF FF FF 8D 4D CC 8B 15 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 8B 55 CC 8B C3 E8 ?? ?? ?? ?? E9 7E 04 00 00 8D 45 C8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 3B 45 C4 75 04 B0 01 EB 20 83 7D C8 00 74 06 83 7D C4 00 75 04 33 C0 EB 10 8B 55 C4 8B 45 C8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 48 8D 45 C0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 9D 58 FF FF FF 9B FF B5 5C FF FF FF FF B5 58 FF FF FF 8D 4D BC 8B 15 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 8B 55 BC 8B C3 E8 ?? ?? ?? ?? E9 EE 03 00 00 8D 45 B8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 3B 45 B4 75 04 B0 01 EB 20 83 7D B8 00 74 06 83 7D B4 00 75 04 33 C0 EB 10 8B 55 B4 8B 45 B8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 34 E8 ?? ?? ?? ?? DD 9D 50 FF FF FF 9B FF B5 54 FF FF FF FF B5 50 FF FF FF 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8B C3 E8 ?? ?? ?? ?? E9 72 03 00 00 8D 45 AC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 A8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC 3B 45 A8 75 04 B0 01 EB 20 83 7D AC 00 74 06 83 7D A8 00 75 04 33 C0 EB 10 8B 55 A8 8B 45 AC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 31 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 0F B7 C0 8D 95 4C FF FF FF E8 ?? ?? ?? ?? 8B 95 4C FF FF FF 8B C3 E8 ?? ?? ?? ?? E9 F9 02 00 00 8D 45 A4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 A0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A4 3B 45 A0 75 04 B0 01 EB 20 83 7D A4 00 74 06 83 7D A0 00 75 04 33 C0 EB 10 8B 55 A0 8B 45 A4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 2A E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 0F B7 C0 8B 15 ?? ?? ?? ?? 8B 54 82 FC 8B C3 E8 ?? ?? ?? ?? E9 87 02 00 00 8D 45 9C 8B 55 FC E8 ?? ?? ?? ?? 8D 45 98 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 3B 45 98 75 04 B0 01 EB 20 83 7D 9C 00 74 06 83 7D 98 00 75 04 33 C0 EB 10 8B 55 98 8B 45 9C E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 2A E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 0F B7 C0 8B 15 ?? ?? ?? ?? 8B 54 82 FC 8B C3 E8 ?? ?? ?? ?? E9 15 02 00 00 8D 45 94 8B 55 FC E8 ?? ?? ?? ?? 8D 45 90 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 94 3B 45 90 75 04 B0 01 EB 20 83 7D 94 00 74 06 83 7D 90 00 75 04 33 C0 EB 10 8B 55 90 8B 45 94 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 31 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 0F B7 C0 8D 95 48 FF FF FF E8 ?? ?? ?? ?? 8B 95 48 FF FF FF 8B C3 E8 ?? ?? ?? ?? E9 9C 01 00 00 8D 45 8C 8B 55 FC E8 ?? ?? ?? ?? 8D 45 88 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 8C 3B 45 88 75 04 B0 01 EB 20 83 7D 8C 00 74 06 83 7D 88 00 75 04 33 C0 EB 10 8B 55 88 8B 45 8C E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 2A E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 0F B7 C0 8B 15 ?? ?? ?? ?? 8B 54 82 FC 8B C3 E8 ?? ?? ?? ?? E9 2A 01 00 00 8D 45 84 8B 55 FC E8 ?? ?? ?? ?? 8D 45 80 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 84 3B 45 80 75 04 B0 01 EB 20 83 7D 84 00 74 06 83 7D 80 00 75 04 33 C0 EB 10 8B 55 80 8B 45 84 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 2A E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 0F B7 C0 8B 15 ?? ?? ?? ?? 8B 54 82 FC 8B C3 E8 ?? ?? ?? ?? E9 B8 00 00 00 8D 85 7C FF FF FF 8B 55 FC E8 ?? ?? ?? ?? 8D 85 78 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 3B 85 78 FF FF FF 75 04 B0 01 EB 2C 83 BD 7C FF FF FF 00 74 09 83 BD 78 FF FF FF 00 75 04 33 C0 EB 16 8B 95 78 FF FF FF 8B 85 7C FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 2E E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 0F B7 C0 8D 95 44 FF FF FF E8 ?? ?? ?? ?? 8B 95 44 FF FF FF 8B C3 E8 ?? ?? ?? ?? EB 2A 8D 85 40 FF FF FF 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 40 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 40 FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 22 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 61 00 74 00 65 00 4C 00 6F 00 6E 00 67 00 46 00 6F 00 72 00 6D 00 61 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 54 00 69 00 6D 00 65 00 4C 00 6F 00 6E 00 67 00 46 00 6F 00 72 00 6D 00 61 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 61 00 79 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 61 00 79 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 44 00 61 00 79 00 4E 00 61 00 6D 00 65 00 4C 00 6F 00 6E 00 67 00 46 00 6F 00 72 00 6D 00 61 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 6F 00 6E 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 6F 00 6E 00 74 00 68 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 4D 00 6F 00 6E 00 74 00 68 00 4E 00 61 00 6D 00 65 00 4C 00 6F 00 6E 00 67 00 46 00 6F 00 72 00 6D 00 61 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 59 00 65 00 61 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 55 00 6E 00 6B 00 6F 00 6E 00 77 00 6E 00 20 00 73 00 79 00 73 00 74 00 65 00 6D 00 20 00 76 00 61 00 72 00 69 00 61 00 62 00 6C 00 65 00 3A 00 20 00 00 00 }
	condition:
		$1
}

rule function_45355_0 {
	meta:
		name = "TIWIWPProcessor.ProcessVarTag"
		size = 864
		refs = "0021 TIWIWPProcessor.ProcessVarTag 0032 ExtractFilePath 003d ExtractFileName 004a ChangeFileExt 005a @UStrCat3 006a LocateFile 007e TIWIWPProcessor.ProcessFileTag 00a3 @UStrCatN 00c0 gSC 00cf _DV_TIWIWPProcessor 00d4 TIWIWPProcessor.Create 00f1 TIWIWPProcessor.Execute 00fd TIWIWPProcessor.MergeStreams 0112 TObject.Free 0118 @HandleFinally 02e5 @UStrClr 02f2 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D FC 89 5D F8 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 43 08 E8 ?? ?? ?? ?? 8D 55 E0 8B 43 08 E8 ?? ?? ?? ?? 8B 45 E0 8D 4D F8 33 D2 E8 ?? ?? ?? ?? 8D 45 FC B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 6A 01 8B 53 04 8D 45 FC 8B 4D F4 E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 FC 50 8B 56 08 8B CF 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 4A 02 00 00 FF 75 F8 68 ?? ?? ?? ?? FF 76 08 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 6A 01 8B 53 04 8D 45 FC 8B 4D F4 E8 ?? ?? ?? ?? 84 C0 74 63 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 8B 88 B4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 75 F8 68 ?? ?? ?? ?? FF 76 08 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 6A 01 8B 53 04 8D 45 FC 8B 4D F4 E8 ?? ?? ?? ?? 84 C0 74 63 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 8B 88 B4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 8B D6 8B 45 EC E8 ?? ?? ?? ?? 8B C8 8B D7 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 68 ?? ?? ?? ?? FF 76 08 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 6A 00 8B 53 04 8D 45 FC 8B 4D F4 E8 ?? ?? ?? ?? 84 C0 74 63 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 8B 88 B4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8B D6 8B 45 E8 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 68 ?? ?? ?? ?? FF 76 08 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 6A 00 8B 53 04 8D 45 FC 8B 4D F4 E8 ?? ?? ?? ?? 84 C0 74 63 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 8B 88 B4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 8B D6 8B 45 E4 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 23 00 2E 00 76 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2E 00 68 00 74 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 74 00 78 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_45356_0 {
	meta:
		name = "TIWIWPProcessor.MergeStreams"
		size = 160
		refs = "0013 TIWIWPProcessor.MergeStreams 0029 TStringStream.GetDataString 0039 IWExtractTagContent 0043 TStringStream.WriteString 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 01 75 26 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 14 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6F 00 64 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_45359_0 {
	meta:
		name = "TIWIWPTemplater.Create"
		size = 84
		refs = "000e @ClassCreate 001f @UStrAsg 0032 TObject.Create 003d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B 55 08 E8 ?? ?? ?? ?? 8D 47 08 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_45360_0 {
	meta:
		name = "RewriteURL"
		size = 404
		refs = "0023 @UStrAddRef 003b RewriteURL 005c StringReplace 008c LowerCase 0099 Pos 00b1 @UStrCat3 00be URLPathToFilePath 00c9 @UStrLAsg 00d5 SameText 0108 @UStrArrayClr 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E8 89 5D E4 89 5D EC 89 4D F4 89 55 F8 89 45 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 53 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 03 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 2C 8B 03 0F B7 30 66 83 FE 5C 74 72 66 83 FE 2F 74 6C 8D 55 EC 8B 03 E8 ?? ?? ?? ?? 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 51 33 F6 EB 29 8D 45 E4 B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 E4 8D 4D E8 33 D2 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F4 E8 ?? ?? ?? ?? 46 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 C8 85 F6 7E 11 8B 0B 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 4E 75 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C2 04 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 74 00 74 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 5C 00 2E 00 2E 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 2E 00 2F 00 00 00 }
	condition:
		$1
}

rule function_45361_0 {
	meta:
		name = "TIWIWPTemplater.DoURLRewrite"
		size = 1016
		refs = "001d @UStrAddRef 002d TIWIWPTemplater.DoURLRewrite 003d _Dn_TStringStream 0042 TStringStream.Create 0064 _Dn_TIWCopyParser 0069 TIWCopyParser.Create 0085 @UStrLAsg 00b9 CompareText 017d TIWCopyParser.TokenString 0188 @UStrFromLStr 01dd TStringStream.WriteString 01eb TIWCopyParser.SkipToNextToken 0227 @UStrEqual 0231 @UStrClr 0252 @UStrCat 0268 @UStrLen 0285 RewriteURL 02c9 TStringStream.GetDataString 02e8 TObject.Free 02fe @HandleFinally 031a @UStrArrayClr 0322 @LStrClr 0337 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B D9 8B F2 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 8B 45 CC 50 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F4 8B 53 04 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 EC 8B 53 04 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 75 04 B0 01 EB 20 83 7D EC 00 74 06 83 7D E8 00 75 04 33 C0 EB 10 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 55 8D 45 E4 8B 53 04 E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 3B 45 E0 75 04 B0 01 EB 20 83 7D E4 00 74 06 83 7D E0 00 75 04 33 C0 EB 10 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 C8 8B 45 D4 E8 ?? ?? ?? ?? 8B 55 C8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 D8 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 DC 3B 45 D8 75 04 B0 01 EB 20 83 7D DC 00 74 06 83 7D D8 00 75 04 33 C0 EB 10 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 C0 00 00 00 8B 55 FC 8B 45 CC E8 ?? ?? ?? ?? 6A 00 33 C9 B2 01 8B 45 D4 E8 ?? ?? ?? ?? 8D 55 C4 8B 45 D4 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 CC E8 ?? ?? ?? ?? 6A 00 33 C9 B2 01 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 C2 8D 45 FC E8 ?? ?? ?? ?? 8D 55 BC 8B 45 D4 E8 ?? ?? ?? ?? 8B 55 BC 8D 45 C0 E8 ?? ?? ?? ?? 8B 55 C0 8D 45 FC E8 ?? ?? ?? ?? 6A 00 33 C9 33 D2 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 66 83 7C 42 FE 22 75 BE 8D 45 B8 50 8B 4D 0C 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 8B 55 B8 8B 45 CC E8 ?? ?? ?? ?? EB 19 8B 55 FC 8B 45 CC E8 ?? ?? ?? ?? 6A 00 33 C9 B2 01 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 B4 FE FF FF 8D 55 B4 8B 45 CC E8 ?? ?? ?? ?? 8B 55 B4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B4 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 69 00 6E 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 52 00 65 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 72 00 65 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 49 00 6D 00 67 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 73 00 72 00 63 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_45362_0 {
	meta:
		name = "TIWIWPTemplater.Execute"
		size = 856
		refs = "0018 TIWIWPTemplater.Execute 002b FileExists 003d _Dn_TStringList 0042 TStringList.Create 0065 _Dn_TStringStream 006a TStringStream.Create 0074 TObject.Free 00b1 _Dn_TFileStream 00b6 TFileStream.Create 00c7 ExtractFilePath 00e3 _Dn_TIWTagParser 00e8 TIWTagParser.Create 0108 TIWTagParser.NextTag 011d @UStrLAsg 0151 CompareText 01b4 TIWIWPTemplater.ProcessBody 020f TIWIWPTemplater.ProcessTitle 021e TIWTagParser.ReIntroduceTag 022d TIWIWPTemplater.IsHTMLTag 0251 TIWIWPTemplater.DoURLRewrite 0280 @HandleFinally 02b8 _DV_TIWIWPTemplaterTemplate 02bd TIWIWPTemplater.Create 02cc TIWIWPTemplaterTemplate.Execute 02f3 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 8B 40 04 B2 01 E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 A3 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 DC 8B 50 04 8B C3 8B 08 FF 51 68 8D 55 C8 8B C3 8B 08 FF 51 1C 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 DC 8B 08 FF 11 B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 08 8B 5D D0 E9 45 02 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 6A 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 8D 55 F8 8B 45 DC 8B 40 04 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 D4 50 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 CC C6 40 10 00 8B 45 CC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 53 01 00 00 8D 45 F4 8B 53 04 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 C5 00 00 00 8D 45 EC 8B 53 08 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 75 04 B0 01 EB 20 83 7D EC 00 74 06 83 7D E8 00 75 04 33 C0 EB 10 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 13 8B 4D D4 8B 55 D0 8B 45 DC E8 ?? ?? ?? ?? E9 47 FF FF FF 8D 45 E4 8B 53 08 E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 3B 45 E0 75 04 B0 01 EB 20 83 7D E4 00 74 06 83 7D E0 00 75 04 33 C0 EB 10 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 13 8B 4D D4 8B 55 D0 8B 45 DC E8 ?? ?? ?? ?? E9 EC FE FF FF 8B D3 8B 45 CC E8 ?? ?? ?? ?? E9 DD FE FF FF 8B D3 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 25 8B 45 F8 50 8D 55 C4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C4 50 8B CB 8B 55 D4 8B 45 DC E8 ?? ?? ?? ?? E9 AA FE FF FF 8B D3 8B 45 CC E8 ?? ?? ?? ?? E9 9B FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 50 8B 45 DC 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 4D D4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 89 45 D4 8B C3 E8 ?? ?? ?? ?? 8B 5D D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 6F 00 63 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 6F 00 64 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 69 00 74 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_45363_0 {
	meta:
		name = "TIWIWPTemplater.GetTemplateFileName"
		size = 888
		refs = "001b TIWIWPTemplater.GetTemplateFileName 002e @UStrLAsg 004e ChangeFileExt 0058 FileExists 006a _Dn_TIniFile 006f TCustomIniFile.Create 00e4 TObject.Free 00ea @HandleFinally 00f9 @UStrEqual 0103 @UStrClr 0122 @UStrCatN 0130 ExtractFilePath 0178 LastPos 0188 @UStrCopy 019a @UStrCat3 01a7 URLPathToFilePath 01b8 LocateFile 01d0 gSC 021c @UStrAsg 0236 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D FC 8B 45 EC 8B 40 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 8C 00 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 50 8D 45 E0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 8B 18 FF 53 04 8B 55 E0 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 DC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 8B 18 FF 53 04 8B 55 DC 8D 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8B 45 E8 E8 ?? ?? ?? ?? E9 14 01 00 00 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 EC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 7B 8B 55 F0 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 37 8B C2 85 C0 74 05 83 E8 04 8B 00 8B 55 F0 66 83 7C 42 FE 5C 75 21 8D 45 F0 50 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 6A 00 8D 45 D4 B9 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 D4 8D 4D D8 33 D2 E8 ?? ?? ?? ?? 8B 4D D8 8B 45 EC 8B 50 08 8D 45 F4 E8 ?? ?? ?? ?? EB 57 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 26 6A 01 A1 ?? ?? ?? ?? 8B 00 8B 88 B4 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 90 B4 00 00 00 8D 45 F4 E8 ?? ?? ?? ?? EB 22 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 13 6A 00 8B 45 EC 8B 50 08 8D 45 F4 8B 4D F0 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 23 00 2E 00 63 00 66 00 67 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 61 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 65 00 6D 00 70 00 6C 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 21 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 23 00 54 00 6D 00 70 00 6C 00 74 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2E 00 68 00 74 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 5C 00 2E 00 2E 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_45364_0 {
	meta:
		name = "TIWIWPTemplater.IsHTMLTag"
		size = 360
		refs = "0012 TIWIWPTemplater.IsHTMLTag 0023 @UStrLAsg 0057 CompareText 0110 @UStrArrayClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 F4 8B 53 04 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 EC 8B 53 04 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 75 04 B0 01 EB 20 83 7D EC 00 74 06 83 7D E8 00 75 04 33 C0 EB 10 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 69 00 6E 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 52 00 65 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 49 00 6D 00 67 00 00 00 }
	condition:
		$1
}

rule function_45365_0 {
	meta:
		name = "TIWIWPTemplater.ProcessBody"
		size = 128
		refs = "0011 TIWIWPTemplater.ProcessBody 0021 TStringStream.GetDataString 0031 IWExtractTagContent 003b TStringStream.WriteString 0055 @UStrArrayClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6F 00 64 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_45366_0 {
	meta:
		name = "TIWIWPTemplater.ProcessTitle"
		size = 128
		refs = "0011 TIWIWPTemplater.ProcessTitle 0021 TStringStream.GetDataString 0031 IWExtractTagContent 003b TStringStream.WriteString 0055 @UStrArrayClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 69 00 74 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_45367_0 {
	meta:
		name = "TIWIWPTemplaterTemplate.Execute"
		size = 752
		refs = "0021 @UStrAddRef 0029 TIWIWPTemplaterTemplate.Execute 003c TIWIWPTemplaterTemplate.GetTemplateFileName 0046 FileExists 005a _Dn_TStringStream 005f TStringStream.Create 006e _Dn_TFileStream 0073 TFileStream.Create 0092 _Dn_TIWTagParser 0097 TIWTagParser.Create 00b7 TIWTagParser.NextTag 00cc @UStrLAsg 0100 CompareText 0162 TIWIWPTemplater.ProcessBody 01c0 TIWIWPTemplater.ProcessTitle 01cf TIWIWPTemplater.IsHTMLTag 01e2 ExtractFilePath 01f3 TIWIWPTemplater.DoURLRewrite 0202 TIWTagParser.ReIntroduceTag 021c TObject.Free 0222 @HandleFinally 0252 _DV_TIWIWPTemplaterTemplate 0257 TIWIWPTemplater.Create 0288 @UStrClr 0295 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B D9 89 55 FC 89 45 DC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F3 8D 55 F8 8B 45 DC E8 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 07 8B DE E9 22 02 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 6A 20 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 D4 50 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 D0 C6 40 10 00 8B 45 D0 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 46 01 00 00 8D 45 F4 8B 53 04 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 B8 00 00 00 8D 45 EC 8B 53 08 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 75 04 B0 01 EB 20 83 7D EC 00 74 06 83 7D E8 00 75 04 33 C0 EB 10 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 12 8B 4D D4 8B D6 8B 45 DC E8 ?? ?? ?? ?? E9 48 FF FF FF 8D 45 E4 8B 53 08 E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 3B 45 E0 75 04 B0 01 EB 20 83 7D E4 00 74 06 83 7D E0 00 75 04 33 C0 EB 10 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 FC FE FF FF 8B 4D D4 8B D6 8B 45 DC E8 ?? ?? ?? ?? E9 EA FE FF FF 8B D3 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 25 8B 45 FC 50 8D 55 CC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 CC 50 8B CB 8B 55 D4 8B 45 DC E8 ?? ?? ?? ?? E9 B7 FE FF FF 8B D3 8B 45 D0 E8 ?? ?? ?? ?? E9 A8 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 50 8B 45 DC 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 4D D4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 45 D4 8B C3 E8 ?? ?? ?? ?? 8B 5D D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 6F 00 63 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 6F 00 64 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 69 00 74 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_45368_0 {
	meta:
		name = "TIWIWPTemplaterTemplate.GetTemplateFileName"
		size = 592
		refs = "0018 TIWIWPTemplaterTemplate.GetTemplateFileName 0031 ChangeFileExt 003b FileExists 0049 _Dn_TIniFile 004e TCustomIniFile.Create 0091 TObject.Free 0097 @HandleFinally 00a7 @UStrClr 00ba ExtractFilePath 00f3 LastPos 0103 @UStrCopy 011d @UStrCatN 012f @UStrCat3 013c URLPathToFilePath 014d LocateFile 0166 @UStrAsg 0180 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 45 F0 8B 40 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 5A 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 83 7D F8 00 75 0D 8B 45 EC E8 ?? ?? ?? ?? E9 BA 00 00 00 8D 55 F4 8B 45 F0 8B 40 04 E8 ?? ?? ?? ?? 8B 55 F4 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 37 8B C2 85 C0 74 05 83 E8 04 8B 00 8B 55 F4 66 83 7C 42 FE 5C 75 21 8D 45 F4 50 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 E0 B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 E0 8D 4D E4 33 D2 E8 ?? ?? ?? ?? 8B 4D E4 8B 45 F0 8B 50 08 8D 45 F8 E8 ?? ?? ?? ?? 84 C0 75 0A 8B 45 EC E8 ?? ?? ?? ?? EB 0B 8B 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 63 00 66 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 61 00 72 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 65 00 6D 00 70 00 6C 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 23 00 54 00 6D 00 70 00 6C 00 74 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2E 00 68 00 74 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 5C 00 2E 00 2E 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_45371_0 {
	meta:
		name = "TIWJpegOptions.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 04 5A C7 46 08 01 00 00 00 C6 46 0D 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_45372_0 {
	meta:
		name = "TIWJpegOptions.Create"
		size = 89
		refs = "000e @ClassCreate 001e TObject.Create 0042 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 04 8B 45 10 89 46 08 0F B6 45 0C 88 46 0C 0F B6 45 08 88 46 0D 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_45373_0 {
	meta:
		name = "TIWJpegOptions.AssignTo"
		size = 124
		refs = "000b _DV_TIWJpegOptions 0010 @IsClass 003b _Dn_TJPEGImage 0057 TJPEGImage.SetPerformance 0069 TJPEGImage.SetSmoothing 0074 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B C3 0F B6 56 04 88 50 04 8B 56 08 89 50 08 0F B6 56 0C 88 50 0C 0F B6 56 0D 88 50 0D EB 41 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 8B FB 0F B6 46 04 88 47 44 8B 56 08 8B C7 E8 ?? ?? ?? ?? 0F B6 46 0C 88 47 46 0F B6 56 0D 8B C7 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45374_0 {
	meta:
		name = "LoadOptions"
		size = 10
	strings:
		$1 = { 85 D2 74 05 92 8B 08 FF 11 C3 }
	condition:
		$1
}

rule function_45375_0 {
	meta:
		name = "ToJPEGFile"
		size = 281
		refs = "0013 _Dn_TJPEGImage 0018 @IsClass 0029 LoadOptions 0044 TJPEGImage.Create 0059 ToJPEGFile 006c _Dn_TIcon 007c _Dn_TBitmap 0081 TBitmap.Create 00af TBitmap.GetCanvas 00cd TJPEGImage.JPEGNeeded 00d5 TJPEGImage.Compress 00f9 TObject.Free 010c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 89 5D FC 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC 8B 08 FF 51 58 E9 D6 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 F8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 46 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B C3 8B 10 FF 52 30 8B D0 8B 45 F8 8B 08 FF 51 44 8B C3 8B 10 FF 52 24 8B D0 8B 45 F8 8B 08 FF 51 38 53 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 18 FF 53 44 8B 5D F8 8B D3 8B 45 FC 8B 08 FF 51 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC 8B 08 FF 51 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45378_0 {
	meta:
		name = "TIWJQueryWidget.Create"
		size = 114
		refs = "000e @ClassCreate 0024 TComponent.Create 002b _Dn_TStringList 0030 TStringList.Create 005d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 40 8B 45 FC C6 40 38 01 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_45379_0 {
	meta:
		name = "TIWJQueryWidget.Destroy"
		size = 71
		refs = "0007 @BeforeDestruction 0018 FreeAndNil 0031 TComponent.Destroy 003f @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 83 C0 3C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 40 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_45380_0 {
	meta:
		name = "TIWJQueryWidget.GetContentFiles"
		size = 25
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 3C 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_45381_0 {
	meta:
		name = "TIWJQueryWidget.GetEnabled"
		size = 25
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8A 40 38 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_45382_0 {
	meta:
		name = "TIWJQueryWidget.GetOnReadyProc"
		size = 30
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 40 40 8B 08 FF 51 1C 59 59 5D C3 }
	condition:
		$1
}

rule function_45387_0 {
	meta:
		name = "TIWLicense.ThirdPartyHook"
		size = 352
		refs = "0028 TIWLicense.ThirdPartyHook 0051 TIWLicense.Reset"
	strings:
		$1 = { 56 51 88 0C 24 8B F0 8B 46 30 8B 08 FF 51 38 0F B6 46 20 0A 04 24 88 46 20 84 C0 74 38 33 D2 8B 46 30 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 46 30 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 46 30 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 46 30 8B 08 FF 51 38 8B C6 E8 ?? ?? ?? ?? 5A 5E C3 B0 04 02 00 FF FF FF FF 09 00 00 00 57 00 41 00 52 00 4E 00 49 00 4E 00 47 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 3A 00 00 00 59 00 6F 00 75 00 20 00 61 00 72 00 65 00 20 00 75 00 73 00 69 00 6E 00 67 00 20 00 61 00 20 00 74 00 68 00 69 00 72 00 64 00 2D 00 70 00 61 00 72 00 74 00 79 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 69 00 6F 00 6E 00 20 00 63 00 6F 00 6D 00 70 00 6F 00 6E 00 65 00 6E 00 74 00 20 00 77 00 68 00 69 00 63 00 68 00 20 00 68 00 61 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2B 00 00 00 66 00 6F 00 72 00 63 00 65 00 64 00 20 00 79 00 6F 00 75 00 20 00 6C 00 69 00 63 00 65 00 6E 00 73 00 65 00 20 00 62 00 61 00 63 00 6B 00 20 00 74 00 6F 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 69 00 6F 00 6E 00 20 00 6D 00 6F 00 64 00 65 00 2E 00 00 00 }
	condition:
		$1
}

rule function_45388_0 {
	meta:
		name = "TIWLicense.ValidadeLicense"
		size = 1200
		refs = "0018 TIWLicense.ValidadeLicense 0026 @UStrClr 002d _Dn_TRegistry 0032 TRegistry.Create 0050 TRegistry.SetRootKey 005d TRegistry.OpenKeyReadOnly 0071 TRegistry.ReadString 0079 TRegistry.CloseKey 0097 StringReplace 00a2 @UStrLAsg 010b TObject.Free 0111 @HandleFinally 0126 @UStrAsg 0136 _DV_TIWLicense 013b TIWLicense.Create 0157 TIWLicense.SetLicenseKey 0170 @TryFinallyExit 017f GetDelphiLic 01a2 TStrings.GetValue 01ad HashKey 01d4 CompareText 01fc DetectDelphiVersions2 0282 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA 01 00 00 80 8B 45 E4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 18 8D 4D FC BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 DC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 D8 50 33 C9 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 D4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 83 7D FC 00 75 16 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 EB 01 E9 39 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 0F B6 40 40 8B D0 80 C2 FE 80 EA 03 73 0D 88 45 EB E8 ?? ?? ?? ?? E9 F3 00 00 00 8D 55 F8 B0 01 E8 ?? ?? ?? ?? 83 7D F8 00 75 0A 8D 55 F8 33 C0 E8 ?? ?? ?? ?? 8D 4D F4 8B 45 E0 8B 40 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 18 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 EB 00 E8 ?? ?? ?? ?? EB 73 33 C0 E8 ?? ?? ?? ?? 8B D8 0F B6 05 ?? ?? ?? ?? 3A C3 75 09 B0 01 E8 ?? ?? ?? ?? 8B D8 F6 C3 04 75 2A F6 C3 02 75 25 8B 45 E0 0F B6 40 40 04 FB 2C 05 73 18 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 EB 00 E8 ?? ?? ?? ?? EB 27 8B 45 E0 0F B6 40 40 88 45 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 EB 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 21 00 00 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 41 00 74 00 6F 00 7A 00 65 00 64 00 20 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4C 00 69 00 63 00 65 00 6E 00 73 00 65 00 4B 00 65 00 79 00 58 00 49 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 5F 00 52 00 45 00 50 00 4C 00 41 00 43 00 45 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 23 00 31 00 33 00 23 00 31 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 55 00 6E 00 61 00 62 00 6C 00 65 00 20 00 74 00 6F 00 20 00 72 00 65 00 61 00 64 00 20 00 6C 00 69 00 63 00 65 00 6E 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 61 00 73 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 36 00 00 00 49 00 44 00 45 00 20 00 53 00 65 00 72 00 69 00 61 00 6C 00 20 00 4E 00 75 00 6D 00 62 00 65 00 72 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 20 00 4C 00 69 00 63 00 65 00 6E 00 73 00 65 00 20 00 53 00 65 00 72 00 69 00 61 00 6C 00 20 00 4E 00 75 00 6D 00 62 00 65 00 72 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 54 00 68 00 69 00 73 00 20 00 6C 00 69 00 63 00 65 00 6E 00 73 00 65 00 20 00 63 00 61 00 6E 00 20 00 62 00 65 00 20 00 75 00 73 00 65 00 64 00 20 00 6F 00 6E 00 6C 00 79 00 20 00 6F 00 6E 00 20 00 52 00 41 00 44 00 20 00 53 00 74 00 75 00 64 00 69 00 6F 00 20 00 58 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_45389_0 {
	meta:
		name = "TBaseAdapterAction.WebEnabled"
		size = 9
		altNames = "TControl.Refresh TIWLicense.Crash"
	strings:
		$1 = { 8B 10 FF 92 A0 00 00 00 C3 }
	condition:
		$1
}

rule function_45390_0 {
	meta:
		name = "TIWLicense.Create"
		size = 300
		refs = "0013 @ClassCreate 001f TIWLicense.Create 002e TObject.Create 0046 @UStrCopy 004e StrToInt 0097 EncodeDate 00a2 _Dn_TStringList 00a7 TStringList.Create 00c9 TIWLicense.Reset 00e3 @UStrArrayClr 00e9 @HandleFinally 00f6 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 50 B9 02 00 00 00 BA 07 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 50 B9 02 00 00 00 BA 05 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F4 50 B9 04 00 00 00 BA 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? DD 5E 10 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 33 C0 89 46 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 C6 46 04 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 32 00 30 00 31 00 31 00 30 00 38 00 30 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_45391_0 {
	meta:
		name = "TIWLicense.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0032 TObject.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45392_0 {
	meta:
		name = "TIWLicense.GetMessage"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 30 8B 08 FF 51 1C 5E 5B C3 }
	condition:
		$1
}

rule function_45393_0 {
	meta:
		name = "TRC4.Burn"
		size = 18
		refs = "000d @FillChar"
	strings:
		$1 = { 8B C2 B9 FF 00 00 00 BA 00 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45394_0 {
	meta:
		name = "TRC4.Crypt"
		size = 141
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 33 C0 33 C9 8B 5D 08 4B 85 DB 7C 6C 43 89 5D F0 C7 45 F4 00 00 00 00 40 24 FF 0F B6 D8 02 0C 1A 80 E1 FF 0F B6 D8 0F B6 1C 1A 88 5D FB 0F B6 F1 0F B6 D8 8D 3C 1A 0F B6 1C 32 88 1F 0F B6 5D FB 88 1C 32 0F B6 D8 0F B6 1C 1A 0F B6 F1 02 1C 32 80 E3 FF 88 5D FB 8B 5D FC 8B 75 F4 0F B6 1C 33 0F B6 75 FB 32 1C 32 8B 75 0C 8B 7D F4 88 1C 3E FF 45 F4 FF 4D F0 75 9F 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_45395_0 {
	meta:
		name = "TRC4.EncDec"
		size = 77
		refs = "0022 TRC4.Init 0033 TRC4.Crypt 0040 TRC4.Burn"
	strings:
		$1 = { 55 8B EC 81 C4 00 FE FF FF 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8D 95 00 FE FF FF 8B 4D 0C 8B C3 E8 ?? ?? ?? ?? 56 57 8D 95 00 FE FF FF 8B CE 8B C3 E8 ?? ?? ?? ?? 8D 95 00 FE FF FF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_45396_0 {
	meta:
		name = "TRC4.Init"
		size = 127
		refs = "0072 Move"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 57 89 55 FC 33 C9 8B 45 FC 88 08 41 40 81 F9 00 01 00 00 75 F4 33 D2 B9 00 01 00 00 8B 45 FC 8D B5 FB FE FF FF 0F B6 18 03 D3 0F B6 1E 03 D3 81 E2 FF 00 00 00 0F B6 18 88 5D FB 8B 5D FC 0F B6 1C 13 88 18 8B 5D FC 8D 3C 13 0F B6 5D FB 88 1F 46 40 49 75 D0 8B 45 FC 05 00 01 00 00 8B 55 FC B9 00 01 00 00 92 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_45398_0 {
	meta:
		name = "TRC4.SelfTest"
		size = 129
		refs = "0008 InBlock 0014 Move 0019 Key 002b TRC4.EncDec 0030 OutBlock 003c CompareMem"
	strings:
		$1 = { 53 56 83 C4 F8 8B F0 B8 ?? ?? ?? ?? 8B D4 B9 05 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 05 8D 54 24 08 B9 05 00 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C4 B9 05 00 00 00 E8 ?? ?? ?? ?? 8B D8 68 ?? ?? ?? ?? 6A 05 8D 54 24 08 B9 05 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 15 BA ?? ?? ?? ?? 8B C4 B9 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 8B C3 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_45399_0 {
	meta:
		name = "TIWLicense.Reset"
		size = 64
		refs = "0007 @UStrClr 0027 TIWLicense.Reset"
	strings:
		$1 = { 53 8B D8 8D 43 24 E8 ?? ?? ?? ?? 8D 43 18 E8 ?? ?? ?? ?? 33 C0 89 43 2C 8D 43 28 E8 ?? ?? ?? ?? C6 43 40 01 0F B7 05 ?? ?? ?? ?? 66 89 43 0C 8B 43 30 8B 10 FF 52 44 5B C3 00 00 00 0E 01 00 00 }
	condition:
		$1
}

rule function_45400_0 {
	meta:
		name = "TIWLicense.SetLicenseKey"
		size = 712
		refs = "001b @UStrAddRef 0023 TIWLicense.SetLicenseKey 0030 TIWLicense.Reset 0036 gCount 0046 TIWLicense.Crash 005c @UStrCopy 006c @LStrFromUStr 0077 @UStrFromLStr 0088 IntToStr 0098 @UStrCat3 00a1 @UStrEqual 00b4 Pos 00c7 @LStrClr 0113 @UStrCat 014b _DV_TRC4 0153 TRC4.EncDec 0165 @UStrDelete 0184 _Dn_TIWBase 0189 TIWBase.ConvertToBaseAddress 019d TIWBase.CheckBaseForm 01b1 TIWBase.FindEntryPoint 01d8 TIWLicense.ReadValues 01f7 TIWLicense.CheckBlockedKeys 01fe TIWLicense.ReadLicenseType 021c @UStrClr 0231 @UStrArrayClr 023e @LStrArrayClr 024c @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? FF 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 05 7E 07 8B C3 E8 ?? ?? ?? ?? 8D 45 EC 50 B9 04 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 55 E0 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 4D E0 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 58 E8 ?? ?? ?? ?? 0F 85 59 01 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 07 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 D1 FE 79 03 83 D6 00 85 F6 7E 47 BF 01 00 00 00 8D 45 DC 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 DC 50 8D 45 D8 50 8B D7 03 D2 4A B9 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 58 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? 47 4E 75 BE 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B 55 F0 85 D2 74 05 83 EA 04 8B 12 8B 4D F0 51 52 8B C8 A1 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 FC B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 43 08 50 8D 45 D4 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8D 4B 34 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8B 4B 08 8B 53 34 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8B 4B 08 8B 53 34 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 52 83 7D F8 00 74 4C 8D 45 D0 8B 53 34 E8 ?? ?? ?? ?? 8B 55 D0 8B 43 38 8B 08 FF 51 2C 8B C3 E8 ?? ?? ?? ?? 83 7B 3C 08 74 0F BA ?? ?? ?? ?? 8B 43 30 8B 08 FF 51 38 EB 1A 8B 53 2C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2B 00 30 00 30 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 57 00 72 00 6F 00 6E 00 67 00 20 00 6C 00 69 00 63 00 65 00 6E 00 73 00 65 00 20 00 6B 00 65 00 79 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_45401_0 {
	meta:
		name = "TIWLicense.CheckBlockedKeys"
		size = 38
		refs = "0021 TIWLicense.Crash"
	strings:
		$1 = { 81 FA 72 52 FB 0B 74 18 81 FA DA 52 FB 0B 74 10 81 FA 50 54 FB 0B 74 08 81 FA 56 54 FB 0B 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45402_0 {
	meta:
		name = "TIWLicense.GetCompany"
		size = 164
		refs = "000f TIWLicense.GetCompany 0024 _Dn_TIWBase 0029 TIWBase.CheckBaseForm 003d TIWBase.FindEntryPoint 0056 TStrings.GetValue 005f @UStrClr 0074 @LStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 4B 08 8B 53 34 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 8B 4B 08 8B 53 34 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 17 83 7D FC 00 74 11 8B CE BA ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6D 00 70 00 61 00 6E 00 79 00 00 00 }
	condition:
		$1
}

rule function_45403_0 {
	meta:
		name = "TIWLicense.GetExpireDate"
		size = 384
		refs = "0018 TIWLicense.GetExpireDate 002d _Dn_TIWBase 0032 TIWBase.CheckBaseForm 0046 TIWBase.FindEntryPoint 006c TStrings.GetValue 007e @UStrCopy 0088 StrToIntDef 0111 EncodeDate 013d @UStrArrayClr 0145 @LStrClr 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 4B 08 8B 53 34 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 8B 4B 08 8B 53 34 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 C9 00 00 00 83 7D FC 00 0F 84 BF 00 00 00 8D 45 EC 50 8D 4D E8 BA ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 8B 45 E8 B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 8B F8 8D 45 E4 50 8D 4D E0 BA ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 8B 45 E0 B9 02 00 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 33 D2 E8 ?? ?? ?? ?? 8B F0 8D 45 DC 50 8D 4D D8 BA ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 8B 45 D8 B9 02 00 00 00 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC 33 D2 E8 ?? ?? ?? ?? 85 FF 74 08 85 F6 74 04 85 C0 75 0E 33 C0 89 45 F0 C7 45 F4 00 00 F0 BF EB 1D 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? DD 5D F0 9B EB 0C 33 C0 89 45 F0 C7 45 F4 00 00 F0 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 DD 45 F0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 45 00 78 00 70 00 69 00 72 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_45404_0 {
	meta:
		name = "TIWLicense.ReadLicenseType"
		size = 424
		refs = "000a TIWLicense.ReadLicenseType 001b GDAL 0031 @UStrAsg 00d7 _Dn_Exception 00dc Exception.Create 00e1 @RaiseExcept 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 40 01 75 56 E8 ?? ?? ?? ?? 83 F8 F0 75 13 C6 43 40 01 8D 43 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 39 E8 ?? ?? ?? ?? 3D F0 EB FF FF 75 13 C6 43 40 02 8D 43 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A E8 ?? ?? ?? ?? 85 C0 75 11 C6 43 40 03 8D 43 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 43 40 83 F8 09 77 56 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 43 0C EB 30 0F B7 05 ?? ?? ?? ?? 66 89 43 0C EB 23 0F B7 05 ?? ?? ?? ?? 66 89 43 0C EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 45 00 76 00 61 00 6C 00 75 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 65 00 72 00 73 00 6F 00 6E 00 61 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 74 00 61 00 6E 00 64 00 61 00 72 00 64 00 00 00 00 00 FC 03 00 00 54 00 00 00 50 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 6C 00 69 00 63 00 65 00 6E 00 73 00 65 00 20 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_45405_0 {
	meta:
		name = "TIWLicense.GetRegisteredName"
		size = 160
		refs = "000f TIWLicense.GetRegisteredName 0024 _Dn_TIWBase 0029 TIWBase.CheckBaseForm 003d TIWBase.FindEntryPoint 0056 TStrings.GetValue 005f @UStrClr 0074 @LStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 4B 08 8B 53 34 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 8B 4B 08 8B 53 34 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 17 83 7D FC 00 74 11 8B CE BA ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_45406_0 {
	meta:
		name = "TIWLicense.ReadValues"
		size = 248
		refs = "0010 TIWLicense.ReadValues 0026 TStrings.GetValue 0031 StrToIntDef 006d @UStrAsg 0087 @UStrArrayClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 8B 45 FC 83 CA FF E8 ?? ?? ?? ?? 89 43 2C 8D 4D F8 BA ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 8B 45 F8 83 CA FF E8 ?? ?? ?? ?? 89 43 3C 8D 4D F4 BA ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 65 00 72 00 69 00 61 00 6C 00 4E 00 6F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4B 00 65 00 79 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 64 00 69 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_45407_0 {
	meta:
		name = "TIWLicense.CanIDoThis"
		size = 17
	strings:
		$1 = { 80 FA 0F 77 08 83 E2 7F 66 0F A3 50 0C 0F 92 C0 C3 }
	condition:
		$1
}

rule function_45408_0 {
	meta:
		name = "TIWLicense.SetSystemLocal"
		size = 540
		refs = "0014 TIWLicense.SetSystemLocal 0021 @UStrClr 0028 _Dn_TRegistry 002d TRegistry.Create 004b TRegistry.SetRootKey 0058 TRegistry.KeyExists 006d TRegistry.OpenKeyReadOnly 00af TRegistry.ReadString 00be StringReplace 00e9 TIWLicense.SetLicenseKey 00fe TRegistry.CloseKey 0104 @HandleFinally 011b TObject.Free 013d @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 01 00 00 80 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 A6 00 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 F4 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 F0 50 8D 4D EC BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 22 00 00 00 5C 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 41 00 74 00 6F 00 7A 00 65 00 64 00 20 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 69 00 63 00 65 00 6E 00 73 00 65 00 20 00 4B 00 65 00 79 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 23 00 31 00 33 00 23 00 31 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_45409_0 {
	meta:
		name = "TIWLicense.GetHTMLMessage"
		size = 224
		refs = "0017 TIWLicense.GetHTMLMessage 0024 @UStrClr 0065 @UStrCatN 007e @UStrCat3 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 30 8B 10 FF 52 14 8B F0 4E 85 F6 7C 35 46 C7 45 F8 00 00 00 00 FF 33 68 ?? ?? ?? ?? 8D 4D F4 8B 45 FC 8B 40 30 8B 55 F8 8B 38 FF 57 0C FF 75 F4 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 F8 4E 75 D3 83 3B 00 74 0E 8B 0B 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 42 00 52 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 42 00 52 00 3E 00 3C 00 42 00 52 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_45410_0 {
	meta:
		name = "TIWLicense.GetLicenseString"
		size = 404
		refs = "0013 TIWLicense.GetLicenseString 0047 @UStrAsg 00c5 _Dn_Exception 00ca Exception.Create 00cf @RaiseExcept"
	strings:
		$1 = { 53 8B DA 0F B6 40 40 83 F8 09 0F 87 AD 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 45 00 76 00 61 00 6C 00 75 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 6C 00 74 00 69 00 6D 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 74 00 61 00 6E 00 64 00 61 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 65 00 72 00 73 00 6F 00 6E 00 61 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 6C 00 69 00 63 00 65 00 6E 00 73 00 65 00 20 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_45411_0 {
	meta:
		name = "TIWLicense.GetDeveloperName"
		size = 168
		refs = "000f TIWLicense.GetDeveloperName 0024 _Dn_TIWBase 0029 TIWBase.CheckBaseForm 003d TIWBase.FindEntryPoint 0056 TStrings.GetValue 005f @UStrClr 0074 @LStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 4B 08 8B 53 34 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 8B 4B 08 8B 53 34 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 17 83 7D FC 00 74 11 8B CE BA ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 65 00 76 00 65 00 6C 00 6F 00 70 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_45412_0 {
	meta:
		name = "TIWLicense.GetFGGRDDFDDAS"
		size = 392
		refs = "0018 TIWLicense.GetFGGRDDFDDAS 002d _Dn_TIWBase 0032 TIWBase.CheckBaseForm 0046 TIWBase.FindEntryPoint 006c TStrings.GetValue 007e @UStrCopy 0088 StrToIntDef 0111 EncodeDate 013d @UStrArrayClr 0145 @LStrClr 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 4B 08 8B 53 34 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 8B 4B 08 8B 53 34 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 C9 00 00 00 83 7D FC 00 0F 84 BF 00 00 00 8D 45 EC 50 8D 4D E8 BA ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 8B 45 E8 B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 8B F8 8D 45 E4 50 8D 4D E0 BA ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 8B 45 E0 B9 02 00 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 33 D2 E8 ?? ?? ?? ?? 8B F0 8D 45 DC 50 8D 4D D8 BA ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 8B 45 D8 B9 02 00 00 00 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC 33 D2 E8 ?? ?? ?? ?? 85 FF 74 08 85 F6 74 04 85 C0 75 0E 33 C0 89 45 F0 C7 45 F4 00 00 F0 BF EB 1D 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? DD 5D F0 9B EB 0C 33 C0 89 45 F0 C7 45 F4 00 00 F0 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 DD 45 F0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 54 00 65 00 6D 00 70 00 45 00 78 00 70 00 69 00 72 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_45413_0 {
	meta:
		name = "TIWLicense.GetIDEForLicense"
		size = 312
		refs = "0013 TIWLicense.GetIDEForLicense 0027 @UStrLAsg 003f AnsiCompareText 00c7 @UStrArrayClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CE FF 8D 45 FC 8B 53 44 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 33 F6 EB 61 8D 45 F4 8B 53 44 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 28 8D 45 EC 8B 53 44 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 05 BE 0F 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 45 00 6E 00 74 00 65 00 72 00 70 00 72 00 69 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 58 00 45 00 31 00 50 00 52 00 4F 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 58 00 45 00 31 00 45 00 4E 00 54 00 00 00 }
	condition:
		$1
}

rule function_45414_0 {
	meta:
		name = "TIWLicense.GetRestrict"
		size = 164
		refs = "000f TIWLicense.GetRestrict 0024 _Dn_TIWBase 0029 TIWBase.CheckBaseForm 003d TIWBase.FindEntryPoint 0056 TStrings.GetValue 005f @UStrClr 0074 @LStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 4B 08 8B 53 34 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 8B 4B 08 8B 53 34 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 17 83 7D FC 00 74 11 8B CE BA ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 75 00 6E 00 64 00 6C 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_45417_0 {
	meta:
		name = "TIWLayoutMgrForm.InitControl"
		size = 30
		refs = "0006 TIWBaseContainerLayout.InitControl 000f TIWContainerLayout.SetAllowFrames 0018 TIWContainerLayout.SetLayoutType"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45418_0 {
	meta:
		name = "CreateDefaultFormTag"
		size = 232
		refs = "000b TIWBaseContainerLayout.GetNoFormTag 0016 CreateDefaultFormTag 001d _Dn_TIWHTMLTag 0022 TIWMarkupLanguageTag.CreateTag 004c TIWMarkupLanguageTag.AddStringParam"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 17 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 26 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 5B 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 56 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 4F 00 52 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 46 00 6F 00 72 00 6D 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 53 00 75 00 62 00 6D 00 69 00 74 00 28 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6F 00 6E 00 53 00 75 00 62 00 6D 00 69 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_45419_0 {
	meta:
		name = "TIWLayoutMgrForm.Process"
		size = 2312
		refs = "0021 TIWLayoutMgrForm.Process 0050 _Dn_TIWRenderStream 0055 TIWRenderStream.Create 006c CreateDefaultFormTag 0086 TIWContainerContext.GetControlsCount 00a5 TIWContainerContext.GetControlInstanceFromIndex 00aa isBaseComponent 00c5 BaseHTMLComponentInterface 00db TIWContainerContext.GetComponentContext 00ed TIWCompContext.GetHTMLTag 00f2 TObject.Free 00fd BaseComponentInterface 0110 TIWCompContext.SetHTMLTag 012f TIWLayoutMgrForm.InsertClassID 0148 isBaseContainer 0158 TIWHTMLTag.GetContents 0169 TIWMarkupLanguageElement.Render 01aa _Dn_TIWTabControl 01af @IsClass 01c1 _Dn_TIWHTMLContainer 0206 TIWMarkupLanguageTagCollection.AddBuffer 0221 @HandleFinally 0345 TIWBaseContainerLayout.GetCurrentContainer 0353 _Dn_TIWBaseForm 037c @UStrCat3 0387 TIWRenderStream.WriteString 0390 gServerController 03af iif 03d2 @UStrCatN 0516 TIWRenderStream.WriteRenderStream 054d @UStrArrayClr 0555 @IntfClear 056d @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 89 4D EC 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 89 45 DC 8B 45 DC 8B 40 04 85 C0 74 09 80 B8 C8 00 00 00 00 75 04 33 C0 EB 02 B0 01 88 45 EB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 55 E8 ?? ?? ?? ?? 59 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC E8 ?? ?? ?? ?? 48 85 C0 0F 8C 70 02 00 00 40 89 45 D0 C7 45 E4 00 00 00 00 8B 55 E4 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 41 02 00 00 8B 55 E4 8B 45 EC E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 F8 8B 08 FF 51 30 8B 55 CC 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8B 45 EC 80 78 24 00 75 49 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 C8 8B 43 08 E8 ?? ?? ?? ?? 8B 45 C8 8B D3 8B 08 FF 51 20 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 C4 8B 43 08 E8 ?? ?? ?? ?? 8B 45 C4 50 6A 00 8B 4D 08 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 55 E4 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 ED 00 00 00 8B 45 E0 E8 ?? ?? ?? ?? 83 78 08 00 7E 22 8B 55 D4 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 89 45 E0 8B 45 F8 8B 10 FF 52 1C 84 C0 75 10 8B 45 F8 8B 10 FF 52 18 84 C0 0F 84 87 00 00 00 8B 45 F8 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 70 8B 45 F8 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 59 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D D8 8B D3 8B 45 F8 8B 18 FF 53 44 8B 45 E0 E8 ?? ?? ?? ?? 33 C9 8B 55 D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 85 DB 0F 84 C8 00 00 00 8B 4D D4 8B D3 8B 45 F8 8B 18 FF 53 44 E9 B6 00 00 00 85 DB 0F 84 AE 00 00 00 8B 45 F8 8B 10 FF 52 1C 84 C0 75 0C 8B 45 F8 8B 10 FF 52 18 84 C0 74 59 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D D8 8B D3 8B 45 F8 8B 18 FF 53 44 8B 45 E0 E8 ?? ?? ?? ?? 33 C9 8B 55 D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 E0 E8 ?? ?? ?? ?? 83 78 08 00 7E 22 8B 55 D4 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 89 45 E0 8B 4D D4 8B D3 8B 45 F8 8B 18 FF 53 44 FF 45 E4 FF 4D D0 0F 85 9B FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 83 78 08 00 7E 0B 8B 55 D4 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 8D 55 C0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C0 8B 10 FF 52 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 AB 01 00 00 8B 45 DC 83 78 74 00 74 1E 8B 45 DC 8B 50 74 8D 45 BC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 50 A1 ?? ?? ?? ?? 8B 00 8B 90 98 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 80 98 00 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 B4 50 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 B0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 B0 A1 ?? ?? ?? ?? 8B 00 8B 80 98 00 00 00 33 C9 E8 ?? ?? ?? ?? FF 75 B4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 AC 50 68 ?? ?? ?? ?? 8B 45 DC FF 70 14 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 A8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 A8 8B 45 DC 8B 40 14 33 C9 E8 ?? ?? ?? ?? FF 75 AC 8D 45 B8 BA 09 00 00 00 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 DC 8B 40 64 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 A0 50 A1 ?? ?? ?? ?? 8B 00 0F B6 40 65 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 A0 8D 4D 9C 8B 55 DC 8B 45 FC 8B 18 FF 53 58 FF 75 9C 8B 45 FC FF 70 3C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 A4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 A4 8B 45 F0 E8 ?? ?? ?? ?? 80 7D EB 00 75 0E 8B 45 DC 8B 40 08 8B 55 D4 E8 ?? ?? ?? ?? 8B 45 DC 8B 40 0C E8 ?? ?? ?? ?? 33 C9 8B 55 D4 E8 ?? ?? ?? ?? 8B 45 DC 8B 40 0C 8B 55 F0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 0B 8B 55 D4 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 3C 00 68 00 74 00 6D 00 6C 00 3E 00 3C 00 68 00 65 00 61 00 64 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3C 00 00 00 3C 00 4D 00 45 00 54 00 41 00 20 00 48 00 54 00 54 00 50 00 2D 00 45 00 51 00 55 00 49 00 56 00 3D 00 22 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 22 00 20 00 43 00 4F 00 4E 00 54 00 45 00 4E 00 54 00 3D 00 22 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 3B 00 20 00 43 00 48 00 41 00 52 00 53 00 45 00 54 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 34 00 00 00 3C 00 6D 00 65 00 74 00 61 00 20 00 68 00 74 00 74 00 70 00 2D 00 65 00 71 00 75 00 69 00 76 00 3D 00 22 00 63 00 61 00 63 00 68 00 65 00 2D 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 22 00 20 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 3D 00 22 00 6E 00 6F 00 2D 00 63 00 61 00 63 00 68 00 65 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 3C 00 6D 00 65 00 74 00 61 00 20 00 68 00 74 00 74 00 70 00 2D 00 65 00 71 00 75 00 69 00 76 00 3D 00 22 00 70 00 72 00 61 00 67 00 6D 00 61 00 22 00 20 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 3D 00 22 00 6E 00 6F 00 2D 00 63 00 61 00 63 00 68 00 65 00 22 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 42 00 00 00 20 00 3C 00 6D 00 65 00 74 00 61 00 20 00 68 00 74 00 74 00 70 00 2D 00 65 00 71 00 75 00 69 00 76 00 3D 00 22 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 53 00 63 00 72 00 69 00 70 00 74 00 2D 00 54 00 79 00 70 00 65 00 22 00 20 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 3D 00 22 00 74 00 65 00 78 00 74 00 2F 00 6A 00 61 00 76 00 61 00 73 00 63 00 72 00 69 00 70 00 74 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 54 00 69 00 74 00 6C 00 65 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 2F 00 54 00 69 00 74 00 6C 00 65 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 44 00 00 00 3C 00 6D 00 65 00 74 00 61 00 20 00 68 00 74 00 74 00 70 00 2D 00 65 00 71 00 75 00 69 00 76 00 3D 00 22 00 50 00 61 00 67 00 65 00 2D 00 45 00 6E 00 74 00 65 00 72 00 22 00 20 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 3D 00 22 00 62 00 6C 00 65 00 6E 00 64 00 54 00 72 00 61 00 6E 00 73 00 28 00 44 00 75 00 72 00 61 00 74 00 69 00 6F 00 6E 00 3D 00 30 00 2E 00 32 00 35 00 29 00 22 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 2F 00 68 00 65 00 61 00 64 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 2F 00 68 00 74 00 6D 00 6C 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_45420_0 {
	meta:
		name = "TIWLayoutMgrForm.InsertClassID"
		size = 620
		refs = "001f @IntfAddRef 0027 TIWLayoutMgrForm.InsertClassID 0042 TIWContainerContext.GetComponentContext 0047 TIWCompContext.GetHTMLTag 007a SupportsInterface 0092 HTML40ComponentInterface 00a2 TIWTagParamsStringList.GetValue 00c4 TIWMarkupLanguageTag.AddStringParam 00fa @UStrCat 0103 @UStrEqual 0149 @UStrCatN 0154 TIWPageContext40.AddStyle 01a9 @UStrArrayClr 01b1 @IntfClear 01bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 8B F2 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 0C 8B 08 FF 51 30 8B 55 F4 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 F0 8B 45 0C 8B 08 FF 51 30 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B F0 85 DB 0F 84 27 01 00 00 8B 45 0C 8B 10 FF 52 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 0D 01 00 00 8B 45 0C 8B 10 FF 52 0C 8D 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 83 7D EC 00 75 1C 8D 4D E8 33 D2 8B 45 FC 8B 38 FF 57 58 8B 4D E8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7D 08 00 0F 84 C1 00 00 00 8D 4D E4 BA ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 55 E0 8B 45 0C 8B 08 FF 51 30 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 58 E8 ?? ?? ?? ?? 75 51 68 ?? ?? ?? ?? 8D 55 D8 8B 45 0C 8B 08 FF 51 30 FF 75 D8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 8B D6 8B 45 FC 8B 18 FF 53 5C FF 75 D4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 E8 ?? ?? ?? ?? EB 39 8D 4D D0 8B D6 8B 45 FC 8B 30 FF 56 5C 8D 45 D0 50 8D 4D CC BA ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 8B 55 CC 58 E8 ?? ?? ?? ?? 8B 4D D0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 08 00 00 00 BA DA 7A 9A 76 A5 A0 4C 8C A1 61 2E 8D 32 2E C4 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 4C 00 41 00 53 00 53 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 43 00 53 00 53 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 54 00 59 00 4C 00 45 00 00 00 }
	condition:
		$1
}

rule function_45421_0 {
	meta:
		name = "TIWLayoutMgrForm.ProcessControl"
		size = 102
		refs = "0010 @IntfAddRef 0018 TIWLayoutMgrForm.ProcessControl 002f TIWLayoutMgrForm.InsertClassID 003e TIWContainerLayout.ProcessControl 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 6A 01 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_45422_0 {
	meta:
		name = "TIWLayoutMgrForm.ProcessControls"
		size = 288
		refs = "000f TIWLayoutMgrForm.ProcessControls 001e TIWContainerLayout.ProcessControls 0028 TIWBaseContainerLayout.GetCurrentContainer 003a SupportsInterface 0050 TIWMarkupLanguageTag.AddStringParam 005c TIWPageContext40.AddToInitProc 0071 @IntfClear 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 70 93 07 4B B7 D1 13 4D 95 01 AD 0D 15 72 BF 4D B0 04 02 00 FF FF FF FF 17 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 42 00 6F 00 64 00 79 00 5F 00 4F 00 6E 00 52 00 65 00 73 00 69 00 7A 00 65 00 28 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6F 00 6E 00 52 00 65 00 73 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 42 00 6F 00 64 00 79 00 5F 00 4F 00 6E 00 52 00 65 00 73 00 69 00 7A 00 65 00 28 00 29 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_45423_0 {
	meta:
		name = "TIWLayoutMgrForm.RenderStyle"
		size = 936
		refs = "0022 @IntfAddRef 002a TIWLayoutMgrForm.RenderStyle 003d isBaseControl 0055 BaseControlInterface 0065 HTML40ControlInterface 006f TIWBaseContainerLayout.GetCurrentContainer 0081 SupportsInterface 00b3 iif 00cb IntToStr 00fd @UStrCatN 0147 TIWContainerLayout.RenderStyle 0152 @UStrCat3 0263 @UStrClr 026b @IntfClear 0278 @UStrArrayClr 02c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C E8 ?? ?? ?? ?? 84 C0 0F 84 09 02 00 00 8B 45 FC 8B 10 FF 52 0C 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 8D 55 F4 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 CE 00 00 00 8D 45 E8 50 8D 45 E4 50 8D 45 DC 50 8B 45 F4 8B 10 FF 92 80 00 00 00 0F B6 40 0A B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 68 8D 55 D8 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 6C 8D 55 D4 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8D 45 E0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 55 D0 8B 45 F8 8B 08 FF 51 10 83 7D D0 00 0F 95 C0 33 C9 5A E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 F4 8B 10 FF 92 80 00 00 00 0F B6 40 05 33 C9 5A E8 ?? ?? ?? ?? 8B 45 E8 50 8D 4D CC 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 CC 8B C6 59 E8 ?? ?? ?? ?? E9 F7 00 00 00 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 8B 45 C8 8B 10 FF 52 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D3 00 00 00 8B 45 F4 8B 10 FF 52 68 8B F8 8B 45 F4 8B 10 FF 52 6C 89 45 F0 8D 45 C4 50 8D 45 C0 50 8D 45 B8 50 8B 45 F4 8B 10 FF 92 80 00 00 00 0F B6 40 0A B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 B8 68 ?? ?? ?? ?? 8D 55 B4 8B C7 E8 ?? ?? ?? ?? FF 75 B4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 B0 8B 45 F0 E8 ?? ?? ?? ?? FF 75 B0 68 ?? ?? ?? ?? 8D 45 BC BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 BC 50 8D 55 AC 8B 45 F8 8B 08 FF 51 10 83 7D AC 00 0F 95 C0 33 C9 5A E8 ?? ?? ?? ?? 8B 45 C0 50 8B 45 F4 8B 10 FF 92 80 00 00 00 0F B6 40 05 33 C9 5A E8 ?? ?? ?? ?? 8B 45 C4 50 8D 4D A8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 A8 8B C6 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 96 5F 5E 5B 8B E5 5D C3 70 93 07 4B B7 D1 13 4D 95 01 AD 0D 15 72 BF 4D B0 04 02 00 FF FF FF FF 14 00 00 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 72 00 65 00 6C 00 61 00 74 00 69 00 76 00 65 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 61 00 62 00 73 00 6F 00 6C 00 75 00 74 00 65 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6C 00 65 00 66 00 74 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 70 00 78 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 6F 00 70 00 3A 00 00 00 00 00 F9 29 D2 54 29 0F E4 47 B2 23 32 A7 00 C3 08 C2 }
	condition:
		$1
}

rule function_45426_0 {
	meta:
		name = "TIWLayoutMgrHTML.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 001d @IntfClear 002d TObject.Free 0038 TIWBaseContainerLayout.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 50 00 74 10 8B 46 50 8B 10 FF 52 20 8D 46 50 E8 ?? ?? ?? ?? 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45428_0 {
	meta:
		name = "TIWLayoutMgrHTML.InitControl"
		size = 44
		refs = "0006 TIWBaseContainerLayout.InitControl 000d _Dn_TStringList 0012 TStringList.Create 001d @IntfClear 0026 TIWContainerLayout.SetLayoutType"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 48 8D 43 50 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45430_0 {
	meta:
		name = "TIWLayoutMgrHTML.HasHTMLEditor"
		size = 8
	strings:
		$1 = { 83 78 50 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_45431_0 {
	meta:
		name = "TIWLayoutMgrHTML.OutputWorkFiles"
		size = 1484
		refs = "0024 TSearchRec 0029 @InitializeRecord 0031 TIWLayoutMgrHTML.OutputWorkFiles 0042 TIWLayoutMgrHTML.GetHTML 00b1 TComponent.GetComponentCount 00df TComponent.GetComponent 00e9 SupportsInterface 0109 BaseHTMLComponentInterface 0137 @UStrCatN 0192 _Dn_TStringList 0197 TStringList.Create 01c1 @UStrCat3 01d7 FindFirst 01f1 DeleteFile 01fc FindNext 0216 FindClose 0280 BaseControlInterface 02b8 HTML40ControlInterface 02bf _Dn_TBitmap 02c4 TBitmap.Create 030d TBitmap.GetCanvas 0352 GLayoutMgrJpegOptions 035d ToJPEGFile 039c TObject.Free 03a2 @HandleFinally 03e3 ConvertFromTemplate 040e FileMake 0453 @UStrArrayClr 0464 @FinalizeRecord 046c @IntfClear"
	strings:
		$1 = { 55 8B EC B9 57 00 00 00 6A 00 6A 00 49 75 F9 51 89 95 78 FD FF FF 89 85 7C FD FF FF 8D 85 80 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 85 7C FD FF FF E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 0F 85 3C 01 00 00 8B 85 7C FD FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 85 7C FD FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 85 7C FD FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 85 7C FD FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 85 7C FD FF FF 8B 40 04 E8 ?? ?? ?? ?? 48 85 C0 0F 8C A7 00 00 00 40 89 85 68 FD FF FF C7 85 74 FD FF FF 00 00 00 00 8B 85 7C FD FF FF 8B 40 04 8B 95 74 FD FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 62 8B 85 7C FD FF FF 8B 40 04 8B 95 74 FD FF FF E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 60 FD FF FF 8B 45 F4 8B 08 FF 51 30 FF B5 60 FD FF FF 68 ?? ?? ?? ?? 8D 85 64 FD FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 64 FD FF FF 50 8B 85 7C FD FF FF E8 ?? ?? ?? ?? 5A 8B 08 FF 51 38 FF 85 74 FD FF FF FF 8D 68 FD FF FF 0F 85 6A FF FF FF 8B 85 7C FD FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 85 7C FD FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 08 FF 51 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 6C FD FF FF 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 85 5C FD FF FF B9 ?? ?? ?? ?? 8B 95 78 FD FF FF E8 ?? ?? ?? ?? 8B 85 5C FD FF FF 8D 8D 80 FD FF FF BA FF 01 00 00 E8 ?? ?? ?? ?? 89 85 74 FD FF FF 83 BD 74 FD FF FF 00 75 25 8B 85 94 FD FF FF E8 ?? ?? ?? ?? 8D 85 80 FD FF FF E8 ?? ?? ?? ?? 89 85 74 FD FF FF 83 BD 74 FD FF FF 00 74 DB 8D 85 80 FD FF FF E8 ?? ?? ?? ?? 8B 85 7C FD FF FF 8B 40 04 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 89 01 00 00 40 89 85 68 FD FF FF C7 85 74 FD FF FF 00 00 00 00 8B 85 7C FD FF FF 8B 40 04 8B 95 74 FD FF FF E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 40 01 00 00 8B 85 7C FD FF FF 8B 40 04 8B 95 74 FD FF FF E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 85 7C FD FF FF 8B 40 04 8B 95 74 FD FF FF E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 85 7C FD FF FF 8B 40 04 8B 95 74 FD FF FF E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 70 FD FF FF 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 10 FF 52 60 8B D0 8B 85 70 FD FF FF 8B 08 FF 51 44 8B 45 F8 8B 10 FF 52 64 8B D0 8B 85 70 FD FF FF 8B 08 FF 51 38 8B 85 70 FD FF FF E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 1C FF B5 78 FD FF FF 8D 95 54 FD FF FF 8B 45 F4 8B 08 FF 51 30 FF B5 54 FD FF FF 68 ?? ?? ?? ?? 8D 85 58 FD FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 58 FD FF FF 8B 0D ?? ?? ?? ?? 8B 85 70 FD FF FF E8 ?? ?? ?? ?? 8D 95 50 FD FF FF 8B 45 F4 8B 08 FF 51 30 8B 95 50 FD FF FF 8B 85 6C FD FF FF 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 85 70 FD FF FF 33 D2 89 95 70 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 FF 85 74 FD FF FF FF 8D 68 FD FF FF 0F 85 88 FE FF FF 8B 85 7C FD FF FF E8 ?? ?? ?? ?? 8D 95 48 FD FF FF 8B 08 FF 51 1C 8B 85 48 FD FF FF 8D 8D 4C FD FF FF 8B 95 6C FD FF FF E8 ?? ?? ?? ?? 8B 85 4C FD FF FF 50 8D 85 44 FD FF FF B9 ?? ?? ?? ?? 8B 95 78 FD FF FF E8 ?? ?? ?? ?? 8B 85 44 FD FF FF B1 01 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 85 6C FD FF FF 33 D2 89 95 6C FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 44 FD FF FF BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 85 80 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BF 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 3C 00 48 00 54 00 4D 00 4C 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3C 00 48 00 45 00 41 00 44 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 2F 00 48 00 45 00 41 00 44 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3C 00 42 00 4F 00 44 00 59 00 3E 00 00 00 00 00 21 DD 52 13 BF EC EE 4A A4 3B 95 6B E7 43 D2 6C B0 04 02 00 FF FF FF FF 02 00 00 00 7B 00 25 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 25 00 7D 00 3C 00 50 00 3E 00 3C 00 2F 00 50 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 2F 00 42 00 4F 00 44 00 59 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 2F 00 48 00 54 00 4D 00 4C 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2A 00 2E 00 6A 00 70 00 67 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 6A 00 70 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 6E 00 64 00 65 00 78 00 2E 00 68 00 74 00 6D 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_45432_0 {
	meta:
		name = "TIWLayoutMgrHTML.SetHTMLEditor"
		size = 76
		refs = "000e @IntfAddRef 0016 TIWLayoutMgrHTML.SetHTMLEditor 0027 @IntfCopy 003c @IntfClear 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 50 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_45433_0 {
	meta:
		name = "TIWLayoutMgrHTML.Process"
		size = 309
		refs = "001c TIWLayoutMgrHTML.Process 002d TIWBaseContainerLayout.GetCurrentContainer 003b TIWBaseContainerLayout.SetContainer 005d @UStrAsg 0071 TEncoding.GetUTF8 007d _Dn_TStringStream 0082 TStringStream.Create 008d TIWLayoutMgrHTML.GetHTML 00a0 TStringStream.WriteString 00bf TIWTemplateProcessorHTML.ProcessStream 00d9 TObject.Free 00df @HandleFinally 0118 @UStrClr 0120 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 58 4C 8D 43 3C 8B 55 FC 8B 52 3C E8 ?? ?? ?? ?? 8B 45 FC 8B 50 58 89 53 50 8B 50 5C 89 53 54 E8 ?? ?? ?? ?? 50 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 51 1C 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 57 8B 45 08 50 8B 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_45434_0 {
	meta:
		name = "TIWLayoutMgrHTML.ProcessControl"
		size = 118
		refs = "0012 @IntfAddRef 001a TIWLayoutMgrHTML.ProcessControl 002a TIWBaseContainerLayout.GetCurrentContainer 0035 TIWBaseContainerLayout.SetContainer 005a @IntfClear 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 4C E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B 43 4C 8B 18 FF 53 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_45435_0 {
	meta:
		name = "TCanvas.SetBrush"
		size = 9
		altNames = "TDragDockObject.SetBrush TIWLayoutMgrHTML.SetHTML TIWProgressIndicator.SetDiv TWebDataDisplay.SetCaptionAttributes"
	strings:
		$1 = { 8B 40 48 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_45436_0 {
	meta:
		name = "TIWLayoutMgrHTML.RenderStyle"
		size = 82
		refs = "0011 @IntfAddRef 0019 TIWLayoutMgrHTML.RenderStyle 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B 43 4C 8B 18 FF 53 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45437_0 {
	meta:
		name = "TIWLayoutMgrHTML.ProcessControls"
		size = 47
		refs = "0014 _Dn_TIWTemplateProcessorHTML 0019 TIWVCLComponent.Create 0027 TIWContainerLayout.ProcessControls"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 83 7B 4C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 4C 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45439_0 {
	meta:
		name = "IWLayoutMgrHTML"
		size = 64
		refs = "0002 _DV_2 000c _Dn_TIWJpegOptions 0011 TIWJpegOptions.Create 0016 GLayoutMgrJpegOptions"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 36 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C6 40 04 64 A1 ?? ?? ?? ?? 33 D2 89 50 08 A1 ?? ?? ?? ?? C6 40 0C 00 A1 ?? ?? ?? ?? C6 40 0D 01 C3 }
	condition:
		$1
}

rule function_45443_0 {
	meta:
		name = "IWLicenseKey"
		size = 17
		refs = "0002 _DV_1 000c SetLicenseKey"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 07 33 C0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45444_0 {
	meta:
		name = "MakeShortCut"
		size = 16
		refs = "000a ShortCut"
	strings:
		$1 = { 51 66 89 14 24 0F B7 14 24 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_45445_0 {
	meta:
		name = "TFormIWMain.Create"
		size = 74
		refs = "000e @ClassCreate 0028 TFormIWMain.InitForm 0035 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 6A 00 33 D2 8B C3 8B 30 FF 96 14 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45446_0 {
	meta:
		name = "TFormIWMain.Destroy"
		size = 93
		refs = "0003 @BeforeDestruction 001a TFormIWMain.FreeTrayIcon 002d TObject.Free 004b TCustomForm.Destroy 0056 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 B4 04 00 00 80 78 71 00 74 07 8B C6 E8 ?? ?? ?? ?? 8D 86 90 04 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 DC 04 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45447_0 {
	meta:
		name = "TFormIWMain.actnBrowserDefaultExecute"
		size = 19
		refs = "000e TFormIWMain.UpdateBrowserSelectionAction"
	strings:
		$1 = { 8B 90 F4 04 00 00 C6 82 89 00 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45448_0 {
	meta:
		name = "TFormIWMain.actnCopyLinkExecute"
		size = 12
		refs = "0007 TIWStandAloneServer.CopyStartURLToClipboard"
	strings:
		$1 = { 8B 80 F4 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45485_0 {
	meta:
		name = "TFormIWMain.actnExecuteOnExecute"
		size = 12
		refs = "0007 TIWStandAloneServer.Run"
	strings:
		$1 = { 8B 80 F4 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45449_0 {
	meta:
		name = "TFormIWMain.actnDebugExecute"
		size = 17
	strings:
		$1 = { 8B 90 F4 04 00 00 0F B6 4A 40 80 F1 01 88 4A 40 C3 }
	condition:
		$1
}

rule function_45450_0 {
	meta:
		name = "TFormIWMain.actnLargeIconsExecute"
		size = 86
		refs = "0010 TToolBar.SetImages 0020 TToolBar.SetButtonWidth 0030 TToolBar.SetButtonHeight 0040 TControl.SetWidth"
	strings:
		$1 = { 53 8B D8 8B 93 90 04 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? BA 18 00 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? BA 18 00 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? BA 08 00 00 00 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? BA 08 00 00 00 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45451_0 {
	meta:
		name = "TFormIWMain.actnFireFoxExecute"
		size = 36
		refs = "0013 TFormIWMain.UpdateBrowserSelectionAction 001e TIWStandAloneServer.Run"
	strings:
		$1 = { 53 8B D8 8B 83 F4 04 00 00 C6 80 89 00 00 00 03 8B C3 E8 ?? ?? ?? ?? 8B 83 F4 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45452_0 {
	meta:
		name = "TFormIWMain.actnIEExecute"
		size = 36
		refs = "0013 TFormIWMain.UpdateBrowserSelectionAction 001e TIWStandAloneServer.Run"
	strings:
		$1 = { 53 8B D8 8B 83 F4 04 00 00 C6 80 89 00 00 00 01 8B C3 E8 ?? ?? ?? ?? 8B 83 F4 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45453_0 {
	meta:
		name = "TFormIWMain.actnOperaExecute"
		size = 36
		refs = "0013 TFormIWMain.UpdateBrowserSelectionAction 001e TIWStandAloneServer.Run"
	strings:
		$1 = { 53 8B D8 8B 83 F4 04 00 00 C6 80 89 00 00 00 02 8B C3 E8 ?? ?? ?? ?? 8B 83 F4 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45454_0 {
	meta:
		name = "TFormIWMain.actnChromeExecute"
		size = 36
		refs = "0013 TFormIWMain.UpdateBrowserSelectionAction 001e TIWStandAloneServer.Run"
	strings:
		$1 = { 53 8B D8 8B 83 F4 04 00 00 C6 80 89 00 00 00 04 8B C3 E8 ?? ?? ?? ?? 8B 83 F4 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45455_0 {
	meta:
		name = "TFormIWMain.actnSafariExecute"
		size = 36
		refs = "0013 TFormIWMain.UpdateBrowserSelectionAction 001e TIWStandAloneServer.Run"
	strings:
		$1 = { 53 8B D8 8B 83 F4 04 00 00 C6 80 89 00 00 00 05 8B C3 E8 ?? ?? ?? ?? 8B 83 F4 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45457_0 {
	meta:
		name = "TFormIWMain.actnResetSessionsExecute"
		size = 56
		refs = "000a TIWStandAloneServer.ClearSessions 000f TFormIWMain.actnResetSessionsExecute 001a TControl.SetText 0021 TFormIWMain.SetTotalBytes"
	strings:
		$1 = { 53 8B D8 8B 83 F4 04 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_45458_0 {
	meta:
		name = "TFormIWMain.actnRunMinimizedExecute"
		size = 44
		refs = "0011 TCustomAction.SetChecked 0026 TCustomForm.SetWindowState"
	strings:
		$1 = { 53 8B D8 8B 83 B0 04 00 00 0F B6 50 71 80 F2 01 E8 ?? ?? ?? ?? 8B 83 B0 04 00 00 80 78 71 00 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45460_0 {
	meta:
		name = "TFormIWMain.actnSmallIconsExecute"
		size = 86
		refs = "0010 TToolBar.SetImages 0020 TToolBar.SetButtonWidth 0030 TToolBar.SetButtonHeight 0040 TControl.SetWidth"
	strings:
		$1 = { 53 8B D8 8B 93 DC 04 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? BA 10 00 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? BA 10 00 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? BA 04 00 00 00 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? BA 04 00 00 00 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45461_0 {
	meta:
		name = "TFormIWMain.actnUseSSLExecute"
		size = 26
		refs = "0015 TIWStandAloneServer.SetSSL"
	strings:
		$1 = { 8B 90 F4 04 00 00 0F B6 8A 88 00 00 00 80 F1 01 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45462_0 {
	meta:
		name = "TFormIWMain.alstMainUpdate"
		size = 174
		refs = "0017 TCustomAction.SetChecked 0074 GTestFramework 008b TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B 83 F4 04 00 00 0F B6 50 40 8B 83 AC 04 00 00 E8 ?? ?? ?? ?? 8B 83 F4 04 00 00 0F B6 90 88 00 00 00 8B 83 BC 04 00 00 E8 ?? ?? ?? ?? 8B 83 90 03 00 00 8B 80 BC 02 00 00 3B 83 90 04 00 00 0F 94 C2 8B 83 C4 04 00 00 E8 ?? ?? ?? ?? 8B 83 90 03 00 00 8B 80 BC 02 00 00 3B 83 DC 04 00 00 0F 94 C2 8B 83 C0 04 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 24 8B D0 80 F2 01 8B 83 14 04 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 24 8B D0 8B 83 18 04 00 00 E8 ?? ?? ?? ?? C6 06 01 5E 5B C3 }
	condition:
		$1
}

rule function_45463_0 {
	meta:
		name = "TFormIWMain.cboxSpeedChange"
		size = 171
		refs = "000d TFormIWMain.cboxSpeedChange 002e TList.Get 0049 TControl.SetVisible 0068 TControl.GetText 0072 StrToIntDef 0085 TFormIWMain.SetConnectionSpeed 009a @UStrClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 F0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 F8 04 00 00 E8 ?? ?? ?? ?? 8B D8 89 9E 04 05 00 00 43 0F 94 C0 8B D8 8B D3 8B 86 00 05 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 FC 04 00 00 E8 ?? ?? ?? ?? 84 DB 74 1E 8D 55 FC 8B 86 FC 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 89 86 04 05 00 00 8B 96 04 05 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45465_0 {
	meta:
		name = "InitMenus"
		size = 4320
		refs = "001a InitMenus 0029 _Dn_TMainMenu 002e TMenu.Create 003f _Dn_TMenuItem 0044 TMenuItem.Create 0097 _Dn_TPopupMenu 009c TPopupMenu.Create 0387 TMenu.SetImages 03a7 TMenuItem.SetCaption 03ca TMenuItem.SetAction 0664 Application 066b TApplication.GetTitle 06ed TFormIWMain.Restore1Click 06f6 TMenuItem.SetDefault 08ed TMenuItem.Add 0b01 @UStrClr 0b07 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 53 56 33 C0 89 45 DC 8B 5D 08 83 C3 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 00 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 04 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 08 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 0C 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 10 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 E0 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 44 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 60 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 20 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 6C 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 3C 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 68 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 78 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 74 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 28 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 84 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 58 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 4C 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 40 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 E8 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 64 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 7C 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 70 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 E4 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 8C 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 88 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 EC 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 24 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 54 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 50 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 30 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 2C 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 F0 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 38 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 48 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 34 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 5C 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 80 04 00 00 8B 03 8B B0 00 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B 03 8B 90 DC 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 04 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 08 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B 03 8B 90 14 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 0C 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B 03 8B 90 18 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 10 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B 03 8B 90 1C 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 44 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B 03 8B 90 AC 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 60 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B 03 8B 90 B8 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 20 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 6C 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B 03 8B 90 CC 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 3C 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B 03 8B 90 C4 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 68 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B 03 8B 90 C8 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 78 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B 03 8B 90 D8 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 74 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B 03 8B 90 D4 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 28 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 84 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 58 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 4C 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 40 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 E8 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 64 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 7C 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 70 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B 03 8B 90 D0 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 E4 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8D 55 DC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 8C 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B 03 8B 90 A8 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 88 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B 03 8B 90 A0 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 EC 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 03 89 86 94 00 00 00 C7 86 90 00 00 00 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 24 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B 03 8B 90 98 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 54 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B 03 8B 90 B4 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 50 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B 03 8B 90 B0 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 8B B0 30 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 03 8B 80 2C 04 00 00 89 45 FC BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 24 8B 03 8B 90 A4 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 03 8B 80 F0 04 00 00 89 45 F8 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 24 8B 03 8B 90 A4 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 03 8B 80 38 04 00 00 89 45 F4 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 24 8B 03 8B 90 C0 04 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 03 8B 80 48 04 00 00 89 45 F0 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 24 8B 03 8B 90 BC 04 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 03 8B 80 34 04 00 00 89 45 EC BA ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 03 8B 80 5C 04 00 00 89 45 E8 BA ?? ?? ?? ?? 8B 45 E8 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 03 8B 80 80 04 00 00 89 45 E4 BA ?? ?? ?? ?? 8B 45 E4 8B 08 FF 51 24 8B 03 8B 90 9C 04 00 00 8B 45 E4 E8 ?? ?? ?? ?? 8B 03 8B 80 E0 04 00 00 89 45 E0 BA ?? ?? ?? ?? 8B 45 E0 8B 08 FF 51 24 8B 03 8B 80 20 04 00 00 89 45 CC 8B 03 8B 80 30 04 00 00 89 45 D0 8B 03 8B 80 7C 04 00 00 89 45 D4 8B 03 8B 80 04 04 00 00 89 45 D8 8D 55 CC 8B 03 8B 80 00 04 00 00 8B 40 3C B9 03 00 00 00 E8 ?? ?? ?? ?? 8B 03 8B 80 08 04 00 00 89 45 C0 8B 03 8B 80 0C 04 00 00 89 45 C4 8B 03 8B 80 10 04 00 00 89 45 C8 8D 55 C0 8B 03 8B 80 04 04 00 00 B9 02 00 00 00 E8 ?? ?? ?? ?? 8B 03 8B 80 24 04 00 00 89 45 C0 8B 03 8B 80 28 04 00 00 89 45 C4 8B 03 8B 80 2C 04 00 00 89 45 C8 8D 55 C0 8B 03 8B 80 20 04 00 00 B9 02 00 00 00 E8 ?? ?? ?? ?? 8B 03 8B 80 34 04 00 00 89 45 9C 8B 03 8B 80 40 04 00 00 89 45 A0 8B 03 8B 80 44 04 00 00 89 45 A4 8B 03 8B 80 48 04 00 00 89 45 A8 8B 03 8B 80 4C 04 00 00 89 45 AC 8B 03 8B 80 50 04 00 00 89 45 B0 8B 03 8B 80 54 04 00 00 89 45 B4 8B 03 8B 80 58 04 00 00 89 45 B8 8B 03 8B 80 5C 04 00 00 89 45 BC 8D 55 9C 8B 03 8B 80 30 04 00 00 B9 08 00 00 00 E8 ?? ?? ?? ?? 8B 03 8B 80 38 04 00 00 89 45 94 8B 03 8B 80 3C 04 00 00 89 45 98 8D 55 94 8B 03 8B 80 34 04 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 03 8B 80 60 04 00 00 89 85 78 FF FF FF 8B 03 8B 80 64 04 00 00 89 85 7C FF FF FF 8B 03 8B 80 68 04 00 00 89 45 80 8B 03 8B 80 6C 04 00 00 89 45 84 8B 03 8B 80 74 04 00 00 89 45 88 8B 03 8B 80 78 04 00 00 89 45 8C 8B 03 8B 80 70 04 00 00 89 45 90 8D 95 78 FF FF FF 8B 03 8B 80 5C 04 00 00 B9 06 00 00 00 E8 ?? ?? ?? ?? 8B 03 8B 80 80 04 00 00 89 45 CC 8B 03 8B 80 84 04 00 00 89 45 D0 8B 03 8B 80 88 04 00 00 89 45 D4 8B 03 8B 80 8C 04 00 00 89 45 D8 8D 55 CC 8B 03 8B 80 7C 04 00 00 B9 03 00 00 00 E8 ?? ?? ?? ?? 8B 03 8B 80 E4 04 00 00 89 45 CC 8B 03 8B 80 E8 04 00 00 89 45 D0 8B 03 8B 80 EC 04 00 00 89 45 D4 8B 03 8B 80 F0 04 00 00 89 45 D8 8D 55 CC 8B 03 8B 80 E0 04 00 00 8B 40 3C B9 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6D 00 65 00 6E 00 75 00 4D 00 61 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 6D 00 65 00 6E 00 75 00 49 00 74 00 65 00 6D 00 53 00 63 00 72 00 69 00 70 00 74 00 52 00 65 00 63 00 6F 00 72 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 63 00 72 00 69 00 70 00 74 00 20 00 52 00 65 00 63 00 6F 00 72 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 6D 00 65 00 6E 00 75 00 49 00 74 00 65 00 6D 00 53 00 74 00 61 00 72 00 74 00 52 00 65 00 63 00 6F 00 72 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 6D 00 65 00 6E 00 75 00 49 00 74 00 65 00 6D 00 53 00 74 00 6F 00 70 00 52 00 65 00 63 00 6F 00 72 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 6D 00 65 00 6E 00 75 00 49 00 74 00 65 00 6D 00 53 00 61 00 76 00 65 00 52 00 65 00 63 00 6F 00 72 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 65 00 62 00 75 00 67 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 69 00 6C 00 65 00 31 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 69 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 69 00 72 00 65 00 46 00 6F 00 78 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 61 00 72 00 67 00 65 00 49 00 63 00 6F 00 6E 00 73 00 31 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 65 00 74 00 45 00 78 00 70 00 6C 00 6F 00 72 00 65 00 72 00 31 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 61 00 66 00 61 00 72 00 69 00 31 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 68 00 72 00 6F 00 6D 00 65 00 31 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4E 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4E 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4E 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4E 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4E 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4E 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4E 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6F 00 6F 00 6C 00 73 00 31 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 6F 00 6F 00 6C 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 70 00 65 00 72 00 61 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 6F 00 70 00 75 00 70 00 54 00 69 00 74 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 65 00 73 00 65 00 74 00 53 00 65 00 6E 00 74 00 64 00 61 00 74 00 61 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 65 00 73 00 65 00 74 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 73 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 65 00 73 00 74 00 6F 00 72 00 65 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 65 00 73 00 74 00 6F 00 72 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 75 00 6E 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 75 00 6E 00 69 00 6E 00 54 00 72 00 61 00 79 00 69 00 63 00 6F 00 6E 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 75 00 6E 00 4D 00 69 00 6E 00 69 00 6D 00 69 00 7A 00 65 00 64 00 31 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 65 00 74 00 74 00 69 00 6E 00 67 00 73 00 31 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 65 00 74 00 74 00 69 00 6E 00 67 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 68 00 75 00 74 00 64 00 6F 00 77 00 6E 00 31 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 68 00 75 00 74 00 64 00 6F 00 77 00 6E 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 6D 00 61 00 6C 00 }
	condition:
		$1
}

rule function_45466_0 {
	meta:
		name = "GetBitmap"
		size = 203
		refs = "0012 @UStrAddRef 001a GetBitmap 002b UpperCase 0036 @UStrLAsg 0042 HInstance 0049 _Dn_TResourceStream 004e TResourceStream.Create 0066 _Dn_TBitmap 006b TBitmap.Create 0093 TObject.Free 0099 @HandleFinally 00b0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 D2 89 55 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 6A 0A 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 55 F4 8B 45 F8 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_45467_0 {
	meta:
		name = "GetIcon"
		size = 203
		refs = "0012 @UStrAddRef 001a GetIcon 002b UpperCase 0036 @UStrLAsg 0042 HInstance 0049 _Dn_TResourceStream 004e TResourceStream.Create 0066 _Dn_TIcon 006b TIcon.Create 0093 TObject.Free 0099 @HandleFinally 00b0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 D2 89 55 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 6A 0A 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 55 F4 8B 45 F8 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_45468_0 {
	meta:
		name = "InitImageLists"
		size = 2164
		refs = "0017 _Dn_TImageList 001c TCustomImageList.Create 0047 InitImageLists 005a TCustomImageList.SetWidth 0066 TCustomImageList.SetHeight 009c GetIcon 00bc TObject.Free 00ce Application 00f5 GetBitmap 010b TCustomImageList.AddMasked"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8D 5D FC 8B 75 08 83 C6 FC 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 90 04 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 DC 04 00 00 8B 06 8B B8 90 04 00 00 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 24 BA 18 00 00 00 8B C7 E8 ?? ?? ?? ?? BA 18 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 06 8B B8 DC 04 00 00 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 24 BA 10 00 00 00 8B C7 E8 ?? ?? ?? ?? BA 10 00 00 00 8B C7 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 06 8B 80 B4 02 00 00 8B 55 F8 8B 08 FF 51 08 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 A1 ?? ?? ?? ?? 8B 00 8B 80 A4 00 00 00 8B 55 F8 8B 08 FF 51 08 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 90 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 90 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 90 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 90 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 90 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 90 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 90 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 90 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 90 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 90 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 90 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 90 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 90 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 DC 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 DC 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 DC 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 DC 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 DC 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 DC 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 DC 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 DC 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 DC 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 DC 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 DC 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 DC 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 06 8B 80 DC 04 00 00 B9 FF 00 FF 00 8B 13 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6C 00 73 00 74 00 4C 00 61 00 72 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6C 00 73 00 74 00 53 00 6D 00 61 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 57 00 5F 00 49 00 43 00 4F 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 61 00 72 00 67 00 65 00 5F 00 30 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 61 00 72 00 67 00 65 00 5F 00 31 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 61 00 72 00 67 00 65 00 5F 00 32 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 61 00 72 00 67 00 65 00 5F 00 33 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 61 00 72 00 67 00 65 00 5F 00 34 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 61 00 72 00 67 00 65 00 5F 00 35 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 61 00 72 00 67 00 65 00 5F 00 36 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 61 00 72 00 67 00 65 00 5F 00 37 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 61 00 72 00 67 00 65 00 5F 00 38 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 61 00 72 00 67 00 65 00 5F 00 39 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4C 00 61 00 72 00 67 00 65 00 5F 00 31 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4C 00 61 00 72 00 67 00 65 00 5F 00 31 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4C 00 61 00 72 00 67 00 65 00 5F 00 31 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 5F 00 30 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 5F 00 31 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 5F 00 32 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 5F 00 33 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 5F 00 34 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 5F 00 35 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 5F 00 36 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 5F 00 37 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 5F 00 38 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 5F 00 39 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 5F 00 31 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 5F 00 31 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 5F 00 31 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_45469_0 {
	meta:
		name = "InitActionList"
		size = 4104
		refs = "0010 _Dn_TAction 0015 TAction.Create 01c8 _Dn_TActionList 01cd TCustomActionList.Create 01dc InitActionList 01fe TFormIWMain.alstMainUpdate 0215 TContainedAction.SetActionList 022d TContainedAction.SetCategory 0239 TCustomAction.SetCaption 0245 TCustomAction.SetHint 024e TCustomAction.SetImageIndex 0259 TCustomAction.SetShortCut 0261 TFormIWMain.actnExecuteOnExecute 02c3 TFormIWMain.actnCopyLinkExecute 0325 TFormIWMain.actnResetSessionsExecute 037b TFormIWMain.actnShutdownExecute 03d1 TFormIWMain.actnResetBytesExecute 0433 TFormIWMain.actnDebugExecute 0489 TFormIWMain.actnRunMinimizedExecute 04df TFormIWMain.actnRunTrayExecute 053e TFormIWMain.actnBrowserDefaultExecute 05a0 TFormIWMain.actnUseSSLExecute 05f6 TFormIWMain.actnSmallIconsExecute 064d TCustomAction.SetChecked 0655 TFormIWMain.actnLargeIconsExecute 06c2 TFormIWMain.actnIEExecute 072f TFormIWMain.actnChromeExecute 079c TFormIWMain.actnSafariExecute 0809 TFormIWMain.actnFireFoxExecute 0876 TFormIWMain.actnOperaExecute 08b4 TFormIWMain.actionStartRecordingExecute 08f2 TFormIWMain.actionStopRecordingExecute 0930 TFormIWMain.actionSaveRecordingExecute"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 83 C3 FC 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 B8 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 9C 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 AC 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 98 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 CC 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 C8 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 D4 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 D8 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 C4 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 D0 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 A8 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 A0 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 B0 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 B4 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 A4 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 C0 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 BC 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 14 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 18 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 1C 04 00 00 8B 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 03 89 B0 94 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B 03 8B 90 90 04 00 00 8B C6 8B 08 FF 51 44 8B 03 89 46 5C C7 46 58 ?? ?? ?? ?? 8B 03 8B B0 98 04 00 00 8B 03 8B 90 94 04 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 66 BA 78 00 8B C6 E8 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B 03 8B B0 9C 04 00 00 8B 03 8B 90 94 04 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B 03 8B B0 A0 04 00 00 8B 03 8B 90 94 04 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B 03 8B B0 A4 04 00 00 8B 03 8B 90 94 04 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B 03 8B B0 A8 04 00 00 8B 03 8B 90 94 04 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B 03 8B B0 AC 04 00 00 8B 03 8B 90 94 04 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B 03 8B B0 B0 04 00 00 8B 03 8B 90 94 04 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B 03 8B B0 B4 04 00 00 8B 03 8B 90 94 04 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B 03 8B B0 B8 04 00 00 8B 03 8B 90 94 04 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B 03 8B B0 BC 04 00 00 8B 03 8B 90 94 04 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B 03 8B B0 C0 04 00 00 8B 03 8B 90 94 04 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B 03 8B B0 C4 04 00 00 8B 03 8B 90 94 04 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B 03 8B B0 C8 04 00 00 8B 03 8B 90 94 04 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 08 00 00 00 8B C6 E8 ?? ?? ?? ?? 66 BA 49 40 8B C6 E8 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B 03 8B B0 D4 04 00 00 8B 03 8B 90 94 04 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 0B 00 00 00 8B C6 E8 ?? ?? ?? ?? 66 BA 43 40 8B C6 E8 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B 03 8B B0 D8 04 00 00 8B 03 8B 90 94 04 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 0C 00 00 00 8B C6 E8 ?? ?? ?? ?? 66 BA 53 40 8B C6 E8 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B 03 8B B0 CC 04 00 00 8B 03 8B 90 94 04 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 07 00 00 00 8B C6 E8 ?? ?? ?? ?? 66 BA 46 40 8B C6 E8 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B 03 8B B0 D0 04 00 00 8B 03 8B 90 94 04 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 06 00 00 00 8B C6 E8 ?? ?? ?? ?? 66 BA 50 40 8B C6 E8 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B 03 8B B0 14 04 00 00 8B 03 8B 90 94 04 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B 03 8B B0 18 04 00 00 8B 03 8B 90 94 04 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B 03 8B B0 1C 04 00 00 8B 03 8B 90 94 04 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 5E 5B 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 61 00 6C 00 73 00 74 00 4D 00 61 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 61 00 63 00 74 00 6E 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 69 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 61 00 63 00 74 00 6E 00 43 00 6F 00 70 00 79 00 4C 00 69 00 6E 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 6F 00 6F 00 6C 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 70 00 79 00 20 00 53 00 74 00 61 00 72 00 74 00 20 00 55 00 52 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 61 00 63 00 74 00 6E 00 52 00 65 00 73 00 65 00 74 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 65 00 73 00 65 00 74 00 20 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 61 00 63 00 74 00 6E 00 53 00 68 00 75 00 74 00 64 00 6F 00 77 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 68 00 75 00 74 00 64 00 6F 00 77 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 61 00 63 00 74 00 6E 00 52 00 65 00 73 00 65 00 74 00 42 00 79 00 74 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 65 00 73 00 65 00 74 00 20 00 53 00 65 00 6E 00 74 00 20 00 64 00 61 00 74 00 61 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 65 00 73 00 65 00 74 00 20 00 53 00 65 00 6E 00 74 00 20 00 44 00 61 00 74 00 61 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 61 00 63 00 74 00 6E 00 44 00 65 00 62 00 75 00 67 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 65 00 74 00 74 00 69 00 6E 00 67 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 65 00 62 00 75 00 67 00 20 00 4C 00 6F 00 67 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 61 00 63 00 74 00 6E 00 52 00 75 00 6E 00 4D 00 69 00 6E 00 69 00 6D 00 69 00 7A 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 75 00 6E 00 20 00 4D 00 69 00 6E 00 69 00 6D 00 69 00 7A 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 61 00 63 00 74 00 6E 00 52 00 75 00 6E 00 54 00 72 00 61 00 79 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 52 00 75 00 6E 00 20 00 69 00 6E 00 20 00 54 00 72 00 61 00 79 00 20 00 69 00 63 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 61 00 63 00 74 00 6E 00 42 00 72 00 6F 00 77 00 73 00 65 00 72 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 72 00 6F 00 77 00 73 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 20 00 42 00 72 00 6F 00 77 00 73 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 61 00 63 00 74 00 6E 00 55 00 73 00 65 00 53 00 53 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 73 00 65 00 20 00 53 00 53 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 61 00 63 00 74 00 6E 00 53 00 6D 00 61 00 6C 00 6C 00 49 00 63 00 6F 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 6D 00 61 00 6C 00 6C 00 20 00 49 00 63 00 6F 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 61 00 63 00 74 00 6E 00 4C 00 61 00 72 00 67 00 65 00 49 00 63 00 6F 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 61 00 72 00 67 00 65 00 20 00 49 00 63 00 6F 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 61 00 63 00 74 00 6E 00 49 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 65 00 74 00 20 00 45 00 78 00 70 00 6C 00 6F 00 72 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 61 00 63 00 74 00 6E 00 43 00 68 00 72 00 6F 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 6F 00 6F 00 67 00 6C 00 65 00 20 00 43 00 68 00 72 00 6F 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 61 00 63 00 74 00 6E 00 53 00 61 00 66 00 61 00 72 00 69 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 61 00 66 00 61 00 72 00 69 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 61 00 63 00 74 00 6E 00 46 00 69 00 72 00 65 00 46 00 6F 00 78 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 46 00 69 00 72 00 65 00 46 00 6F 00 78 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 61 00 63 00 74 00 6E 00 4F 00 70 00 65 00 72 00 61 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4F 00 70 00 65 00 72 00 61 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 61 00 63 00 74 00 69 00 6F 00 6E 00 53 00 74 00 61 00 72 00 74 00 52 00 65 00 63 00 6F 00 72 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 74 00 61 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 61 00 63 00 74 00 69 00 6F 00 6E 00 53 00 74 00 6F 00 70 00 52 00 65 00 63 00 6F 00 72 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 74 00 6F 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 61 00 63 00 74 00 69 00 6F 00 6E 00 53 00 61 00 76 00 65 00 52 00 65 00 63 00 6F 00 72 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 61 00 }
	condition:
		$1
}

rule function_45470_0 {
	meta:
		name = "TFormIWMain.InitForm"
		size = 7528
		refs = "002a TFormIWMain.InitForm 0036 InitImageLists 003d InitActionList 0044 InitMenus 0053 TCustomForm.SetBorderIcons 0064 Application 00aa TIcon.GetHandle 00c1 TApplication.GetTitle 00d0 StrPCopy 00e9 TFormIWMain.MinimizeApp 00f2 _Dn_TToolBar 00f7 TToolBar.Create 0108 _Dn_TToolButton 010d TToolButton.Create 0210 _Dn_TComboBox 0215 TCustomComboBox.Create 0226 _Dn_TEdit 022b TCustomEdit.Create 023c _Dn_TImage 0241 TImage.Create 0268 _Dn_TLabel 026d TCustomLabel.Create 02ec _Dn_TMemo 02f1 TCustomMemo.Create 0302 _Dn_TPageControl 0307 TPageControl.Create 0318 _Dn_TTabSheet 031d TTabSheet.Create 0364 TControl.SetLeft 036d TControl.SetTop 0376 TControl.SetAlign 038b TControl.SetText 0394 TToolBar.SetFlat 03a3 TToolBar.SetImages 03ac TWinControl.SetTabOrder 03b5 TControl.SetShowHint 03e8 @UStrAsg 03fa TFormIWMain.menuAboutClick 0406 TToolButton.SetImageIndex 042c TControl.SetWidth 0435 TToolButton.SetStyle 0463 TControl.SetAction 064f TControl.SetHeight 065e TPageControl.SetActivePage 0670 TCustomTabControl.SetHotTrack 0679 TCustomTabControl.SetMultiLine 06b9 TTabSheet.SetPageControl 06c5 TWinControl.SetBorderWidth 07df TControl.SetVisible 083b RSLogTotalBytes 0a6c TFormIWMain.cboxSpeedChange 0a73 _Dn_TList 0a78 TObject.Create 0aaa TList.Add 0cb6 TTabSheet.SetImageIndex 0d18 TCustomEdit.SetReadOnly 0d21 TCustomMemo.SetScrollBars 10b3 TFormIWMain.editParamsChange 118d TControl.SetParentFont 11f3 TFormIWMain.DoOnCustomSpeedChange 1235 TCustomForm.SetMenu 1249 TFormIWMain.FormClose 1269 TFormIWMain.OnDebugLog 1271 TFormIWMain.OnDebugLogBytes 1279 TFormIWMain.OnUpdateTotalBytes 1282 _Dn_TIWStandAloneServer 1287 TIWStandAloneServer.Create 12a3 TFormIWMain.DoCreateSession 12b7 TFormIWMain.DoDestroySession 12bc GHTTPServer 12c5 TComponent.FreeNotification 1306 @UStrCat 132b TIWStandAloneServer.TestForIE 133a TCustomAction.SetEnabled 1347 TIWStandAloneServer.TestForFirefox 1363 TIWStandAloneServer.TestForOpera 137f TIWStandAloneServer.TestForSafari 139b TIWStandAloneServer.TestForChrome 13b4 ParamStr 13c4 ChangeFileExt 13ce _Dn_TIniFile 13d3 TCustomIniFile.Create 1453 TIWStandAloneServer.SetSSL 1498 TCustomAction.SetChecked 14e6 TFormIWMain.SetConnectionSpeed 14fb TFormIWMain.CreateTrayIcon 151d TFormIWMain.OnFirstShow 1529 TApplication.Minimize 1530 TFormIWMain.UpdateBrowserSelectionAction 1560 TList.IndexOf 1595 IntToStr 15b7 TFormIWMain.actnSmallIconsExecute 15c0 TCustomForm.SetPosition 15d5 TObject.Free 15db @HandleFinally 15f7 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 D2 89 55 B4 89 55 B8 89 55 C0 89 55 BC 89 55 C4 89 55 C8 89 55 CC 89 45 FC 8D 75 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 0F B6 15 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B 06 C7 80 0C 05 00 00 BC 03 00 00 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 8B 16 89 82 10 05 00 00 8B 06 C7 80 14 05 00 00 64 00 00 00 8B 06 C7 80 18 05 00 00 07 00 00 00 8B 06 C7 80 1C 05 00 00 01 04 00 00 A1 ?? ?? ?? ?? 8B 00 8B 80 A4 00 00 00 E8 ?? ?? ?? ?? 8B 16 89 82 20 05 00 00 8D 55 CC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 CC 8B 06 05 24 05 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 16 89 90 54 01 00 00 C7 80 50 01 00 00 ?? ?? ?? ?? 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 90 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 98 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 9C 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 A0 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 A4 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 A8 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 AC 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 B0 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 B4 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 B8 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 BC 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 C0 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 C4 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 F0 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 F4 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 D0 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 D8 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 E8 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 E4 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 EC 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 DC 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 E0 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 D4 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 FC 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 C8 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 F8 03 00 00 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 CC 03 00 00 8B 06 8B 98 90 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 16 8B C3 8B 08 FF 91 84 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 78 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 90 90 04 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 98 C4 03 00 00 8B 06 8B 90 90 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 B2 01 8B C3 8B 08 FF 51 78 8D 83 88 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 89 83 1C 01 00 00 C7 83 18 01 00 00 ?? ?? ?? ?? BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 98 C0 03 00 00 8B 06 8B 90 90 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 03 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 80 BC 03 00 00 89 45 F8 8B 06 8B 90 90 03 00 00 8B 45 F8 8B 08 FF 91 84 00 00 00 8B 06 8B 90 BC 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 06 8B 80 B8 03 00 00 89 45 F4 8B 06 8B 90 90 03 00 00 8B 45 F4 8B 08 FF 91 84 00 00 00 8B 06 8B 90 AC 04 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 06 8B 98 B4 03 00 00 8B 06 8B 90 90 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 03 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 80 B0 03 00 00 89 45 F0 8B 06 8B 90 90 03 00 00 8B 45 F0 8B 08 FF 91 84 00 00 00 8B 06 8B 90 A0 04 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 06 8B 80 AC 03 00 00 89 45 EC 8B 06 8B 90 90 03 00 00 8B 45 EC 8B 08 FF 91 84 00 00 00 8B 06 8B 90 9C 04 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 06 8B 80 98 03 00 00 89 45 E8 8B 06 8B 90 90 03 00 00 8B 45 E8 8B 08 FF 91 84 00 00 00 8B 06 8B 90 C8 04 00 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 06 8B 80 9C 03 00 00 89 45 E4 8B 06 8B 90 90 03 00 00 8B 45 E4 8B 08 FF 91 84 00 00 00 8B 06 8B 90 CC 04 00 00 8B 45 E4 E8 ?? ?? ?? ?? 8B 06 8B 80 A0 03 00 00 89 45 E0 8B 06 8B 90 90 03 00 00 8B 45 E0 8B 08 FF 91 84 00 00 00 8B 06 8B 90 D4 04 00 00 8B 45 E0 E8 ?? ?? ?? ?? 8B 06 8B 80 A4 03 00 00 89 45 DC 8B 06 8B 90 90 03 00 00 8B 45 DC 8B 08 FF 91 84 00 00 00 8B 06 8B 90 D8 04 00 00 8B 45 DC E8 ?? ?? ?? ?? 8B 06 8B 80 A8 03 00 00 89 45 D8 8B 06 8B 90 90 03 00 00 8B 45 D8 8B 08 FF 91 84 00 00 00 8B 06 8B 90 D0 04 00 00 8B 45 D8 E8 ?? ?? ?? ?? 8B 06 8B 98 C8 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 16 8B C3 8B 08 FF 91 84 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? BA 20 00 00 00 8B C3 E8 ?? ?? ?? ?? BA A3 01 00 00 8B C3 E8 ?? ?? ?? ?? BA C5 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 90 F8 03 00 00 8B C3 E8 ?? ?? ?? ?? B2 05 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 66 BA 01 00 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 98 CC 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 06 8B 90 C8 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 8B 06 8B 90 C8 03 00 00 8B C3 E8 ?? ?? ?? ?? BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 06 8B B8 D0 03 00 00 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 24 8B 06 8B 90 CC 03 00 00 8B C7 8B 08 FF 91 84 00 00 00 BA 08 01 00 00 8B C7 E8 ?? ?? ?? ?? BA 1B 00 00 00 8B C7 E8 ?? ?? ?? ?? BA 20 00 00 00 8B C7 E8 ?? ?? ?? ?? BA 20 00 00 00 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 8B 08 FF 51 78 8B 06 8B 98 D4 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 06 8B 90 CC 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? BA 54 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 52 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 98 D8 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 06 8B 90 CC 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 BA 08 01 00 00 8B C3 E8 ?? ?? ?? ?? BA 4B 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 78 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 98 DC 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 06 8B 90 CC 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 BA A2 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 07 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 1C 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 98 E0 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 06 8B 90 CC 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? BA 07 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 51 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 98 E4 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 06 8B 90 CC 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 BA 6C 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 07 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 06 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 98 E8 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 06 8B 90 CC 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 BA C6 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 07 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 2E 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 98 EC 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 06 8B 90 CC 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? BA 7B 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 5E 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 98 F0 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 06 8B 90 CC 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 BA 6C 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 51 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 91 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 15 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 02 8B C3 8B 08 FF 91 54 01 00 00 BA 0D 00 00 00 8B C3 8B 08 FF 91 34 01 00 00 33 D2 8B C3 8B 08 FF 91 FC 00 00 00 66 BA 01 00 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 06 89 83 94 02 00 00 C7 83 90 02 00 00 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 82 F8 04 00 00 8B 83 B4 02 00 00 8B 10 FF 52 44 8B 83 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 06 8B 80 F8 04 00 00 33 D2 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 06 8B 80 F8 04 00 00 BA 00 7D 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 06 8B 80 F8 04 00 00 BA 00 FA 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 06 8B 80 F8 04 00 00 BA 00 F4 01 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 06 8B 80 F8 04 00 00 BA 00 E8 03 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 06 8B 80 F8 04 00 00 BA 00 D0 07 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 06 8B 80 F8 04 00 00 BA 40 42 0F 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 06 8B 80 F8 04 00 00 BA 80 84 1E 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 06 8B 80 F8 04 00 00 BA 40 4B 4C 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 06 8B 80 F8 04 00 00 BA 80 96 98 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 06 8B 80 F8 04 00 00 83 CA FF E8 ?? ?? ?? ?? 8B 06 8B 98 F4 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 06 8B 90 CC 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 BA 6C 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 78 00 00 00 8B C3 E8 ?? ?? ?? ?? BA D0 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 15 00 00 00 8B C3 E8 ?? ?? ?? ?? 66 BA 02 00 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 98 F8 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 06 8B 90 C8 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 8B 06 8B 90 C8 03 00 00 8B C3 E8 ?? ?? ?? ?? BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 98 FC 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 06 8B 90 F8 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA 91 01 00 00 8B C3 E8 ?? ?? ?? ?? BA 9F 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 05 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 02 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 14 01 00 00 8B 06 8B 98 D4 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 06 8B 90 CC 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? BA 54 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 52 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 06 8B B8 D8 03 00 00 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 24 8B 06 8B 90 CC 03 00 00 8B C7 8B 08 FF 91 84 00 00 00 BA 08 01 00 00 8B C7 E8 ?? ?? ?? ?? BA 47 00 00 00 8B C7 E8 ?? ?? ?? ?? BA 20 00 00 00 8B C7 E8 ?? ?? ?? ?? BA 20 00 00 00 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 8B 08 FF 51 78 8B 06 8B 98 DC 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 06 8B 90 CC 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 BA A2 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 07 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 1C 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 98 E0 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 06 8B 90 CC 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? BA 07 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 51 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 98 EC 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 06 8B 90 CC 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? BA 7B 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 78 8B 06 8B 98 F0 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 06 8B 90 CC 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 BA 6C 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 51 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 91 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 15 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 02 8B C3 8B 08 FF 91 54 01 00 00 BA 0D 00 00 00 8B C3 8B 08 FF 91 34 01 00 00 33 D2 8B C3 8B 08 FF 91 FC 00 00 00 66 BA 01 00 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 06 89 83 94 02 00 00 C7 83 90 02 00 00 ?? ?? ?? ?? 8B 83 B4 02 00 00 8B 10 FF 52 44 8B 83 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 83 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 83 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 83 B4 02 00 00 BA ?? ?? ?? ?? 8B }
	condition:
		$1
}

rule function_45471_0 {
	meta:
		name = "TFormIWMain.Log"
		size = 32
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 13 8B 83 FC 03 00 00 8B 80 A8 02 00 00 8B D6 8B 08 FF 51 38 5E 5B C3 }
	condition:
		$1
}

rule function_45472_0 {
	meta:
		name = "TFormIWMain.LogBytes"
		size = 244
		refs = "001b TFormIWMain.LogBytes 0032 @UStrLAsg 0050 CurrencyString 0058 FormatFloat 0068 @UStrCat3 0091 @UStrClr 009e @UStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D D8 89 4D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7E 57 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5D DC DB 45 DC DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 D8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 86 FC 03 00 00 8B 80 A8 02 00 00 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 23 00 23 00 2C 00 23 00 23 00 23 00 2C 00 23 00 23 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 20 00 42 00 79 00 74 00 65 00 73 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_45473_0 {
	meta:
		name = "TFormIWMain.MinimizeApp"
		size = 53
		refs = "0014 TWinControl.GetHandle 001a ShowWindow 0021 Application"
	strings:
		$1 = { 53 8B D8 8B 83 B4 04 00 00 80 78 71 00 74 24 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45474_0 {
	meta:
		name = "TFormIWMain.Notification"
		size = 816
		refs = "001c TFormIWMain.Notification 002f TCustomForm.Notification 003e GHTTPServer 005d ParamStr 006d ChangeFileExt 007b FileExists 0087 @UStrToPWChar 008d GetFileAttributes 00a7 _Dn_TIniFile 00ac TCustomIniFile.Create 01b5 @HandleAnyException 01ba @DoneExcept 01cf TObject.Free 01d5 @HandleFinally 01ec @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D FC 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 4D FB 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7D FB 01 0F 85 9E 01 00 00 A1 ?? ?? ?? ?? 3B 30 0F 85 91 01 00 00 83 BB F4 04 00 00 00 0F 84 84 01 00 00 8D 55 F0 33 C0 E8 ?? ?? ?? ?? 8B 45 F0 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 FA 01 B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A8 01 0F 94 45 FA 80 7D FA 00 0F 84 3A 01 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F4 04 00 00 8B 80 84 00 00 00 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 8B 30 FF 56 08 8B 83 F4 04 00 00 0F B6 80 88 00 00 00 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 8B 30 FF 56 18 8B 83 F4 04 00 00 0F B6 40 40 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 8B 30 FF 56 18 8B 83 F4 04 00 00 0F B6 80 89 00 00 00 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 8B 30 FF 56 10 8B 83 B0 04 00 00 0F B6 40 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 8B 30 FF 56 18 8B 83 B4 04 00 00 0F B6 40 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 18 A1 ?? ?? ?? ?? 8B 00 8B 40 38 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 10 8B 45 F4 8B 10 FF 52 60 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 69 00 77 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 61 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 53 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 65 00 62 00 75 00 67 00 49 00 6E 00 66 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 72 00 6F 00 77 00 73 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 75 00 6E 00 4D 00 69 00 6E 00 69 00 6D 00 69 00 7A 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 52 00 75 00 6E 00 49 00 6E 00 54 00 72 00 61 00 79 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 70 00 65 00 65 00 64 00 4C 00 69 00 6D 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 54 00 54 00 50 00 00 00 00 00 }
	condition:
		$1
}

rule function_45475_0 {
	meta:
		name = "TFormIWMain.Restore1Click"
		size = 50
		refs = "0008 TCustomForm.SetWindowState 0011 TWinControl.GetHandle 0017 ShowWindow 001e Application"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 01 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45476_0 {
	meta:
		name = "TFormIWMain.MessageHook"
		size = 72
		refs = "0021 GetCursorPos 003e TFormIWMain.Restore1Click"
	strings:
		$1 = { 53 83 C4 F8 8B D8 33 C0 8B 0A 81 E9 01 04 00 00 75 32 8B 42 08 2D 03 02 00 00 74 1D 48 75 23 54 E8 ?? ?? ?? ?? 8B 4C 24 04 8B 14 24 8B 83 E0 04 00 00 8B 18 FF 53 50 EB 09 8B D3 8B C3 E8 ?? ?? ?? ?? B0 01 59 5A 5B C3 }
	condition:
		$1
}

rule function_45477_0 {
	meta:
		name = "TFormIWMain.OnDebugLog"
		size = 75
		refs = "000e @UStrAddRef 0016 TFormIWMain.OnDebugLog 0026 TFormIWMain.Log 003b @UStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_45480_0 {
	meta:
		name = "TFormIWMain.SetConnectionSpeed"
		size = 18
		refs = "0002 GHTTPServer"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 8B 80 04 05 00 00 89 42 38 C3 }
	condition:
		$1
}

rule function_45481_0 {
	meta:
		name = "FormatBytes"
		size = 336
		refs = "001c FormatBytes 0031 @UStrLAsg 00a6 CurrencyString 00ae FormatFloat 00bb @UStrCat3 00d5 @UStrArrayClr 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D FC 89 4D F8 89 4D F4 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F3 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 81 FB 00 00 10 00 7E 1E 8B F3 85 F6 79 06 81 C6 FF FF 0F 00 C1 FE 14 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 81 FB 00 04 00 00 7E 1C 8B F3 85 F6 79 06 81 C6 FF 03 00 00 C1 FE 0A 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 75 DC DB 45 DC DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 4D F4 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C7 8B 4D FC 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 62 00 79 00 74 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 4D 00 42 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 4B 00 42 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 23 00 23 00 2C 00 23 00 23 00 23 00 2C 00 23 00 23 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_45482_0 {
	meta:
		name = "TFormIWMain.SetTotalBytes"
		size = 86
		refs = "000c TFormIWMain.SetTotalBytes 0023 FormatBytes 0031 TControl.SetText 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 F4 04 00 00 8B 40 3C E8 ?? ?? ?? ?? 8B 55 FC 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_45483_0 {
	meta:
		name = "TFormIWMain.UpdateBrowserSelectionAction"
		size = 182
		refs = "000f TCustomAction.SetChecked 004f TFormIWMain.UpdateBrowserSelectionAction 00af TCustomAction.SetImageIndex"
	strings:
		$1 = { 53 56 8B D8 8B 83 B8 04 00 00 8B F0 33 D2 E8 ?? ?? ?? ?? 33 D2 8B 83 C8 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 CC 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 D0 04 00 00 E8 ?? ?? ?? ?? 8B 83 F4 04 00 00 0F B6 80 89 00 00 00 83 F8 05 77 4D FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B B3 B8 04 00 00 EB 26 8B B3 C8 04 00 00 EB 1E 8B B3 CC 04 00 00 EB 16 8B B3 D0 04 00 00 EB 0E 8B B3 D8 04 00 00 EB 06 8B B3 D4 04 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 96 88 00 00 00 8B 83 98 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45484_0 {
	meta:
		name = "TFormIWMain.DoOnCustomSpeedChange"
		size = 98
		refs = "000d TFormIWMain.DoOnCustomSpeedChange 0021 TControl.GetText 002b StrToIntDef 003c TFormIWMain.SetConnectionSpeed 0051 @UStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 FC 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B F0 89 B3 04 05 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45486_0 {
	meta:
		name = "TFormIWMain.actnRunTrayExecute"
		size = 51
		refs = "0011 TCustomAction.SetChecked 0024 TFormIWMain.CreateTrayIcon 002d TFormIWMain.FreeTrayIcon"
	strings:
		$1 = { 53 8B D8 8B 83 B4 04 00 00 0F B6 50 71 80 F2 01 E8 ?? ?? ?? ?? 8B 83 B4 04 00 00 80 78 71 00 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45487_0 {
	meta:
		name = "TFormIWMain.DoCreateSession"
		size = 136
		refs = "0012 TFormIWMain.DoCreateSession 003e Format 004c TControl.SetText 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 83 08 05 00 00 8D 45 FC 50 8B 83 08 05 00 00 89 45 F4 C6 45 F8 00 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 25 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_45488_0 {
	meta:
		name = "TFormIWMain.DoDestroySession"
		size = 136
		refs = "0012 TFormIWMain.DoDestroySession 003e Format 004c TControl.SetText 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 8B 08 05 00 00 8D 45 FC 50 8B 83 08 05 00 00 89 45 F4 C6 45 F8 00 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 25 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_45489_0 {
	meta:
		name = "TFormIWMain.CreateTrayIcon"
		size = 37
		refs = "0005 TFormIWMain.MessageHook 000a Application 0011 TApplication.HookMainWindow 001f Shell_NotifyIcon"
	strings:
		$1 = { 53 8B D8 53 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 83 0C 05 00 00 50 6A 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45490_0 {
	meta:
		name = "TFormIWMain.FreeTrayIcon"
		size = 37
		refs = "000d Shell_NotifyIcon 0013 TFormIWMain.MessageHook 0018 Application 001f TApplication.UnhookMainWindow"
	strings:
		$1 = { 53 8B D8 8D 83 0C 05 00 00 50 6A 02 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45491_0 {
	meta:
		name = "TFormIWMain.editParamsChange"
		size = 88
		refs = "000c TFormIWMain.editParamsChange 0020 TControl.GetText 0033 @UStrAsg 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 F4 04 00 00 05 84 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_45492_0 {
	meta:
		name = "TFormIWMain.menuAboutClick"
		size = 1064
		refs = "0013 TFormIWMain.menuAboutClick 001f Application 0028 _Dn_TForm 002d TCustomForm.Create 0048 TCustomForm.SetPosition 0052 TCustomForm.SetBorderStyle 0062 TControlScrollBar.SetVisible 007f TControl.SetText 0089 _Dn_TImage 008e TImage.Create 00b6 TControl.SetLeft 00c0 TControl.SetTop 00d8 GetModuleHandle 00e1 _Dn_TResourceStream 00e6 TResourceStream.Create 00fe _Dn_TJPEGImage 0103 TJPEGImage.Create 0113 TPicture.SetGraphic 0141 TObject.Free 0147 @HandleFinally 0153 TControl.SetAlign 0169 TFormIWMain.AboutOnClick 0173 _Dn_TLabel 0178 TCustomLabel.Create 01c9 TCustomLabel.SetTransparent 021c TFont.SetSize 0229 TFont.SetColor 0238 TFont.SetStyle 0245 TFont.SetName 025d @UStrCopy 02a9 TControl.SetWidth 02b7 TControl.SetHeight 02f9 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 04 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 90 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 80 02 00 00 33 D2 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 55 F4 8B 45 F8 8B 08 FF 91 84 00 00 00 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 24 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? B2 01 8B 45 F8 8B 08 FF 51 78 68 ?? ?? ?? ?? 6A 0A 6A 00 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 80 B8 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 B8 01 00 00 8B 40 0C 8B 55 F0 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B2 05 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 89 90 1C 01 00 00 C7 80 18 01 00 00 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 F4 8B C3 8B 08 FF 91 84 00 00 00 B2 01 8B C3 8B 08 FF 51 78 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 BA 69 00 00 00 8B C3 E8 ?? ?? ?? ?? BA AF 00 00 00 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 1C 01 00 00 C7 83 18 01 00 00 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 F4 8B C3 8B 08 FF 91 84 00 00 00 33 D2 8B C3 8B 08 FF 51 78 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 43 6C BA 46 00 00 00 E8 ?? ?? ?? ?? 8B 43 6C BA 99 C9 0C 00 E8 ?? ?? ?? ?? 8B 43 6C 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 6C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 B9 01 00 00 00 BA 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 83 1C 01 00 00 C7 83 18 01 00 00 ?? ?? ?? ?? BA 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? BA A0 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 50 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 54 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 41 00 62 00 6F 00 75 00 74 00 20 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4C 00 49 00 6D 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 57 00 5F 00 53 00 50 00 4C 00 41 00 53 00 48 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4C 00 4C 00 61 00 62 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 31 00 32 00 2E 00 30 00 2E 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4C 00 56 00 65 00 72 00 4C 00 61 00 62 00 65 00 6C 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 69 00 6D 00 65 00 73 00 20 00 4E 00 65 00 77 00 20 00 52 00 6F 00 6D 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 31 00 32 00 2E 00 30 00 2E 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_45493_0 {
	meta:
		name = "TFormIWMain.AboutOnClick"
		size = 14
	strings:
		$1 = { 8B 42 04 C7 80 C0 02 00 00 01 00 00 00 C3 }
	condition:
		$1
}

rule function_45494_0 {
	meta:
		name = "TFormIWMain.OnFirstShow"
		size = 26
		refs = "0006 TFormIWMain.MinimizeApp"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 30 03 00 00 89 83 34 03 00 00 5B C3 }
	condition:
		$1
}

rule function_45495_0 {
	meta:
		name = "TFormIWMain.actionStartRecordingExecute"
		size = 13
		refs = "0001 GTestFramework"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 18 C3 }
	condition:
		$1
}

rule function_45496_0 {
	meta:
		name = "TFormIWMain.actionStopRecordingExecute"
		size = 13
		refs = "0001 GTestFramework"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 1C C3 }
	condition:
		$1
}

rule function_45497_0 {
	meta:
		name = "TFormIWMain.actionSaveRecordingExecute"
		size = 452
		refs = "000f TFormIWMain.actionSaveRecordingExecute 001e _Dn_TSaveDialog 0023 TOpenDialog.Create 0044 @UStrAsg 0063 TOpenDialog.SetFileName 0086 TOpenDialog.GetFileName 0091 ExtractFileName 00b3 @UStrCopy 00bb GTestFramework 00df FileMake 00f4 TObject.Free 00fa @HandleFinally 0111 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 C0 78 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 05 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? 89 50 74 8B 45 F8 8B 10 FF 52 50 84 C0 74 64 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 FC E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC 50 8B CB 83 E9 04 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F0 A1 ?? ?? ?? ?? 8B 00 8B 55 FC 8B 18 FF 53 28 8B 45 F0 50 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC B1 01 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 50 00 61 00 73 00 63 00 61 00 6C 00 20 00 66 00 69 00 6C 00 65 00 73 00 20 00 28 00 2A 00 2E 00 70 00 61 00 73 00 29 00 7C 00 2A 00 2E 00 50 00 41 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 41 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 57 00 54 00 65 00 73 00 74 00 55 00 6E 00 69 00 74 00 2E 00 70 00 61 00 73 00 00 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_45501_0 {
	meta:
		name = "TIWMarkupLanguageElement.Assign"
		size = 101
		refs = "000b _DV_TIWMarkupLanguageElement 0010 @IsClass 0021 @AsClass 005d TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 40 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 46 04 85 C0 74 23 8B 00 89 C7 33 C9 B2 01 8B C7 FF 50 18 8B D0 8B C3 8B 08 FF 51 0C 8B 56 04 8B 43 04 8B 08 FF 51 08 EB 10 33 C0 89 43 04 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45502_0 {
	meta:
		name = "TIWMarkupLanguageElement.Create"
		size = 82
		refs = "000b @ClassCreate 001a TObject.Create 003e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 8B 08 FF 51 14 33 C0 89 47 04 C6 47 08 00 C6 47 09 00 89 77 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45503_0 {
	meta:
		name = "TIWMarkupLanguageElement.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 001d TObject.Free 002a TPersistent.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 08 00 75 1D C6 46 08 01 8B 46 04 85 C0 74 07 E8 ?? ?? ?? ?? EB 0B B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45505_0 {
	meta:
		name = "TIWMarkupLanguageElement.Render"
		size = 112
		refs = "0025 TIWMarkupLanguageElement.Render 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 83 78 04 00 74 51 8B 45 FC 80 78 09 00 75 3C 8B 45 FC C6 40 09 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 09 00 C3 E9 ?? ?? ?? ?? EB F1 33 C9 8B 45 FC 8B 18 FF 53 10 EB 0A 33 C9 8B 45 FC 8B 18 FF 53 10 5B 59 5D C3 }
	condition:
		$1
}

rule function_45508_0 {
	meta:
		name = "TIWMarkupLanguageTag.AddStringParam"
		size = 26
		refs = "0014 TIWTagParamsStringList.SetValue"
	strings:
		$1 = { 53 8B D9 85 DB 74 05 83 EB 04 8B 1B 85 DB 7E 08 8B 40 10 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45509_0 {
	meta:
		name = "TIWMarkupLanguageTag.Add"
		size = 28
	strings:
		$1 = { 56 8B F0 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 08 8B 46 10 8B 08 FF 51 38 5E C3 }
	condition:
		$1
}

rule function_45510_0 {
	meta:
		name = "TIWMarkupLanguageTag.AddParmsList"
		size = 185
		refs = "001d TIWMarkupLanguageTag.AddParmsList 0071 Trim 009f @UStrArrayClr 00a7 @UStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D E8 89 4D E4 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 48 85 C0 7C 55 40 89 45 F4 33 DB 8D 4D F0 8B D3 8B 45 F8 8B 30 FF 56 0C 8B 45 F0 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 26 8D 4D E4 8B D3 8B 45 F8 8B 30 FF 56 0C 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 8B 40 10 8B 08 FF 51 38 43 FF 4D F4 75 B1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45511_0 {
	meta:
		name = "TIWMarkupLanguageTag.AddIntegerParam"
		size = 85
		refs = "0012 TIWMarkupLanguageTag.AddIntegerParam 0022 IntToStr 002e TIWMarkupLanguageTag.AddStringParam 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45609_0 {
	meta:
		name = "TXmlNode.AttributeAdd"
		size = 85
		refs = "0012 TXmlNode.AttributeAdd 0022 IntToUTF8Str 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45714_0 {
	meta:
		name = "TXmlNode.SetAttributeValueAsInteger"
		size = 85
		refs = "0012 TXmlNode.SetAttributeValueAsInteger 0022 IntToUTF8Str 002e TXmlNode.SetAttributeValue 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45512_0 {
	meta:
		name = "TIWMarkupLanguageTag.AddBoolParam"
		size = 144
		refs = "0012 TIWMarkupLanguageTag.AddBoolParam 002d iif 0039 TIWMarkupLanguageTag.AddStringParam 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_45513_0 {
	meta:
		name = "TIWMarkupLanguageTag.AddColor"
		size = 99
		refs = "0012 TIWMarkupLanguageTag.AddColor 001f toTColor 0030 ColorToRGBString 003c TIWMarkupLanguageTag.AddStringParam 0051 @UStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 3D FF FF FF 1F 74 16 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45514_0 {
	meta:
		name = "TIWMarkupLanguageTag.Assign"
		size = 224
		refs = "000e _DV_TIWMarkupLanguageTag 0013 @IsClass 0028 @AsClass 0040 TIWMarkupLanguageTag.Assign 0069 TIWMarkupLanguageTagCollection.Assign 0098 @UStrAsg 00a1 TIWMarkupLanguageElement.Assign 00b2 TList.Add 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B3 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 80 78 09 00 0F 85 9F 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC C6 40 09 01 8B 45 FC 8B 50 10 8B 43 10 8B 08 FF 51 08 8B 45 FC 8B 50 0C 8B 43 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 50 18 8B C3 8B 08 FF 51 1C 8B 45 FC 0F B6 40 1C 88 43 1C 8B 45 FC 0F B6 40 1D 88 43 1D 8D 43 14 8B 55 FC 8B 52 14 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 0A 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 09 00 C3 E9 ?? ?? ?? ?? EB F1 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45515_0 {
	meta:
		name = "TIWMarkupLanguageTag.CreateTag"
		size = 79
		refs = "000e @ClassCreate 0020 TIWMarkupLanguageElement.Create 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 08 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 1D 02 8B D6 8B C7 8B 08 FF 51 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_45517_0 {
	meta:
		name = "TIWMarkupLanguageTag.GetScriptEvents"
		size = 166
		refs = "0017 TIWMarkupLanguageTag.GetScriptEvents 0025 @UStrClr 003d TIWMarkupLanguageTagCollection.GetHTMLElement 0043 _DV_TIWMarkupLanguageTag 0048 @IsClass 0069 @UStrCat 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 47 0C 8B 70 08 4E 85 F6 7C 40 46 33 DB 8B 47 0C 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8B 47 0C 8B D3 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 43 4E 75 C3 8B 45 FC 8B 57 14 E8 ?? ?? ?? ?? 8B 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45518_0 {
	meta:
		name = "TIWMarkupLanguageTag.InitializeElement"
		size = 61
		refs = "0008 TIWMarkupLanguageElement.InitializeElement 000f _DV_TIWTagParamsStringList 0014 TStringList.Create"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B C3 8B 10 FF 52 24 8B F0 8B 03 89 C7 57 8B CB B2 01 8B C6 FF 50 10 89 43 0C C6 43 1C 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45519_0 {
	meta:
		name = "TIWMarkupLanguageTag.RenderElement"
		size = 900
		refs = "0022 TIWMarkupLanguageTag.RenderElement 003e @UStrClr 0059 @UStrLAsg 008d CompareText 00f2 @UStrCat 010d @UStrCatN 0149 Pos 0162 @UStrCopy 01e7 TIWRenderStream.WriteString 0223 StringOfChar 0286 @HandleFinally 02ad @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D DC 89 55 E0 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 83 78 18 00 0F 84 8F 01 00 00 8D 45 F4 8B 55 E4 8B 52 18 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 47 8D 45 EC 8B 55 E4 8B 52 18 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 75 04 B0 01 EB 20 83 7D EC 00 74 06 83 7D E8 00 75 04 33 C0 EB 10 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B 45 E4 FF 70 18 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 8B 40 10 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 92 00 00 00 46 C7 45 D8 00 00 00 00 8D 4D FC 8B 45 E4 8B 40 10 8B 55 D8 8B 18 FF 53 0C 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 44 8D 45 D4 50 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8D 45 D0 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 D8 4E 0F 85 76 FF FF FF 8B 45 E4 80 78 1D 03 75 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 8B 55 F8 8B 45 E0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D DC 8B 55 E0 8B 45 E4 8B 30 FF 56 20 84 DB 74 32 8B 45 E4 80 78 1C 00 75 29 FF 75 F8 68 ?? ?? ?? ?? 8D 4D CC 8B 55 DC 03 D2 66 B8 20 00 E8 ?? ?? ?? ?? FF 75 CC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 0F B6 58 1D 84 DB 75 09 8B 45 E4 83 78 18 00 75 05 80 FB 02 75 20 FF 75 F8 68 ?? ?? ?? ?? 8B 45 E4 FF 70 18 68 ?? ?? ?? ?? 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 C6 40 09 00 C3 E9 ?? ?? ?? ?? EB F1 8B 55 F8 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 56 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 4F 00 52 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3C 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_45520_0 {
	meta:
		name = "TIWMarkupLanguageTag.RenderElementContent"
		size = 420
		refs = "0021 TIWMarkupLanguageTag.RenderElementContent 0057 TIWMarkupLanguageTagCollection.GetHTMLElement 005d _DV_TIWTextElement 0062 @IsClass 0079 _DV_TIWBinaryElement 00bc iif 00d7 StringOfChar 00e7 @UStrCat3 00f2 TIWRenderStream.WriteString 0107 TIWMarkupLanguageElement.Render 011e @HandleAnyException 013b _Dn_Exception 0140 Exception.Create 0145 @RaiseExcept 014a @DoneExcept 0164 @UStrArrayClr 016a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D F0 89 5D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C 8B 70 08 4E 85 F6 0F 8C C8 00 00 00 46 33 DB 8B 45 FC 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1C 8B 45 FC 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B 45 FC 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 33 C9 8B 55 F8 8B 38 FF 57 10 EB 6C 83 7D F4 FF 74 0D 8B 45 FC 83 78 18 00 74 04 33 C0 EB 02 B0 01 8B 4D F4 41 8B 55 F4 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 80 78 1C 00 75 2B 8D 4D EC 8B D7 03 D2 66 B8 20 00 E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 43 4E 0F 85 3B FF FF FF 33 C0 5A 59 59 64 89 10 EB 31 E9 ?? ?? ?? ?? 8B 45 FC 8B 48 18 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 61 00 67 00 3A 00 20 00 00 00 }
	condition:
		$1
}

rule function_45522_0 {
	meta:
		name = "TIWMarkupLanguageTag.SetTag"
		size = 80
		refs = "000f TIWMarkupLanguageTag.SetTag 001f LowerCase 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45523_0 {
	meta:
		name = "TIWTextElement.Assign"
		size = 46
		refs = "000a _DV_TIWTextElement 000f @IsClass 001e @UStrAsg 0027 TIWMarkupLanguageElement.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8D 43 0C 8B 56 0C E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45524_0 {
	meta:
		name = "TIWTextElement.RenderElement"
		size = 80
		refs = "000f TIWTextElement.RenderElement 0020 @UStrLAsg 002a TIWRenderStream.WriteString 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45525_0 {
	meta:
		name = "TIWBinaryElement.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TIWMarkupLanguageElement.Destroy 0022 TObject.Free 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45526_0 {
	meta:
		name = "TIWBinaryElement.InitializeElement"
		size = 27
		refs = "0006 TIWMarkupLanguageElement.InitializeElement 000d _Dn_TIWRenderStream 0012 TIWRenderStream.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 5B C3 }
	condition:
		$1
}

rule function_45527_0 {
	meta:
		name = "TIWBinaryElement.RenderElement"
		size = 10
		refs = "0005 TIWRenderStream.WriteRenderStream"
	strings:
		$1 = { 8B 40 0C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45528_0 {
	meta:
		name = "TIWMarkupLanguageTagCollection.Create"
		size = 72
		refs = "000e @ClassCreate 001d TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 10 8B 45 08 89 47 14 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_45529_0 {
	meta:
		name = "TIWMarkupLanguageTagCollection.AddTag"
		size = 54
		refs = "002d TList.Add"
	strings:
		$1 = { 53 56 8B F0 84 C9 74 12 8B 46 10 50 8B CA 8B 46 14 B2 01 FF 50 28 8B D8 EB 0E 6A 00 8B CA 8B 46 14 B2 01 FF 50 28 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_45530_0 {
	meta:
		name = "TIWMarkupLanguageTagCollection.AddText"
		size = 71
		refs = "0011 _DV_TIWTextElement 0016 TIWMarkupLanguageElement.Create 0034 @UStrAsg 003d TList.Add"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 84 C9 74 13 8B 4E 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 10 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 43 0C 8B D7 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45531_0 {
	meta:
		name = "TIWMarkupLanguageTagCollection.AddBuffer"
		size = 71
		refs = "0011 _DV_TIWBinaryElement 0016 TIWMarkupLanguageElement.Create 0034 TIWRenderStream.WriteRenderStream 003d TList.Add"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 84 C9 74 13 8B 4E 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 10 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 43 0C 8B D7 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45532_0 {
	meta:
		name = "TIWMarkupLanguageTagCollection.AddTagAsObject"
		size = 72
		refs = "001f TIWMarkupLanguageTagCollection.AddTagAsObject 0034 TList.Add"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 39 84 C9 74 2C 8B 43 04 85 C0 74 10 8B 56 10 8B 52 0C B1 01 92 E8 ?? ?? ?? ?? EB 1E 8B 56 10 8B C3 8B 08 FF 51 0C 8B D3 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_45533_0 {
	meta:
		name = "TIWMarkupLanguageTagCollection.Assign"
		size = 106
		refs = "0022 TIWMarkupLanguageTagCollection.GetHTMLElement 005c TList.Add"
	strings:
		$1 = { 53 56 57 55 51 8B FA 89 04 24 8B 04 24 8B 10 FF 52 08 8B 77 08 4E 85 F6 7C 4A 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 80 78 09 00 75 34 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 00 89 C5 33 C9 B2 01 8B C5 FF 50 18 8B E8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C5 8B 08 FF 51 08 8B D5 8B 04 24 E8 ?? ?? ?? ?? 43 4E 75 B9 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45534_0 {
	meta:
		name = "TIWMarkupLanguageTagCollection.AddTagCollection"
		size = 151
		refs = "002e TIWMarkupLanguageTagCollection.GetHTMLElement 0065 TList.Add 008a TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 4D FB 8B FA 89 45 FC 85 FF 74 79 8B 47 08 48 85 C0 7C 64 40 89 45 F4 33 DB 80 7D 08 00 74 1E 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 00 89 C6 8B 45 FC 8B 48 10 B2 01 8B C6 FF 50 18 8B F0 EB 18 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 00 89 C6 33 C9 B2 01 8B C6 FF 50 18 8B F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 08 43 FF 4D F4 75 A2 80 7D FB 00 74 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_45537_0 {
	meta:
		name = "TIWMarkupLanguageTagCollection.Clear"
		size = 60
		refs = "0015 TIWMarkupLanguageTagCollection.GetHTMLElement 0029 TObject.Free 0034 TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 77 08 4E 85 F6 7C 24 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 80 78 08 00 75 0E 8B D3 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 DF 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45538_0 {
	meta:
		name = "TIWTagParamsStringList.AddObject"
		size = 216
		refs = "001b TIWTagParamsStringList.AddObject 002d Pos 0046 @UStrCopy 0067 LowerCase 0073 @UStrCat3 007f @UStrLAsg 008c TStringList.AddObject 00a8 @UStrArrayClr 00b0 @UStrClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 42 8D 45 F4 50 8D 53 01 B9 FF FF FF 7F 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 EC 50 8B CB BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC 59 E8 ?? ?? ?? ?? EB 0A 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_45539_0 {
	meta:
		name = "TIWTagParamsStringList.AppendParams"
		size = 146
		refs = "0015 TIWTagParamsStringList.AppendParams 0038 TStrings.GetName 0045 TIWTagParamsStringList.GetValue 0061 TIWTagParamsStringList.SetValue 007f @UStrArrayClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 14 8B F8 4F 85 FF 7C 3C 47 33 F6 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 4D F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 59 E8 ?? ?? ?? ?? 46 4F 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45540_0 {
	meta:
		name = "TIWTagParamsStringList.GetValue"
		size = 105
		refs = "0018 @UStrAddRef 0020 TIWTagParamsStringList.GetValue 0031 LowerCase 003d TStrings.GetValue 0057 @UStrArrayClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45541_0 {
	meta:
		name = "TIWTagParamsStringList.SetValue"
		size = 105
		refs = "0018 @UStrAddRef 0020 TIWTagParamsStringList.SetValue 0031 LowerCase 003d TStrings.SetValue 0057 @UStrArrayClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45542_0 {
	meta:
		name = "TIWMarkupLanguageTag.ClearParam"
		size = 11
		refs = "0006 TIWTagParamsStringList.SetValue"
	strings:
		$1 = { 33 C9 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94318_0 {
	meta:
		name = "TDataSourcesList.Add"
		size = 11
		refs = "0006 TChartSeries.InternalSetDataSource"
	strings:
		$1 = { 33 C9 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45546_0 {
	meta:
		name = "StrScan"
		size = 18
	strings:
		$1 = { EB 08 84 C9 75 03 33 C0 C3 40 0F B6 08 3A D1 75 F1 C3 }
	condition:
		$1
}

rule function_45547_0 {
	meta:
		name = "UTF8QuotedStr"
		size = 318
		refs = "001d UTF8QuotedStr 002c @LStrToPChar 0035 StrScan 0063 @LStrFromChar 0088 @LStrCatN 00aa @LStrSetLength 00d1 Move 00f8 StrEnd 012b @LStrArrayClr 0131 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F4 89 5D F0 89 4D F8 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8B C6 E8 ?? ?? ?? ?? 0F B6 55 FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 13 43 47 0F B6 55 FF 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 ED 85 FF 75 3B 8D 45 F4 0F B6 55 FF B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 F4 56 8D 45 F0 0F B6 55 FF B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 F0 8B 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 84 00 00 00 89 75 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 8D 54 07 02 8B 45 F8 33 C9 E8 ?? ?? ?? ?? 8B 7D F8 8B 3F 0F B6 45 FF 88 07 47 0F B6 55 FF 8B C6 E8 ?? ?? ?? ?? 8B D8 43 8B CB 2B CE 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C3 2B C6 03 F8 0F B6 45 FF 88 07 47 8B F3 0F B6 55 FF 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 D2 8B C6 E8 ?? ?? ?? ?? 8B D8 8B CB 2B CE 8B D7 8B C6 E8 ?? ?? ?? ?? 2B DE 03 FB 0F B6 45 FF 88 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51523_0 {
	meta:
		name = "AnsiQuotedStr"
		size = 318
		refs = "001d AnsiQuotedStr 002c @LStrToPChar 0035 AnsiStrScan 0063 @LStrFromChar 0088 @LStrCatN 00aa @LStrSetLength 00d1 Move 00f8 StrEnd 012b @LStrArrayClr 0131 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F4 89 5D F0 89 4D F8 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8B C6 E8 ?? ?? ?? ?? 0F B6 55 FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 13 43 47 0F B6 55 FF 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 ED 85 FF 75 3B 8D 45 F4 0F B6 55 FF B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 F4 56 8D 45 F0 0F B6 55 FF B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 F0 8B 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 84 00 00 00 89 75 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 8D 54 07 02 8B 45 F8 33 C9 E8 ?? ?? ?? ?? 8B 7D F8 8B 3F 0F B6 45 FF 88 07 47 0F B6 55 FF 8B C6 E8 ?? ?? ?? ?? 8B D8 43 8B CB 2B CE 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C3 2B C6 03 F8 0F B6 45 FF 88 07 47 8B F3 0F B6 55 FF 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 D2 8B C6 E8 ?? ?? ?? ?? 8B D8 8B CB 2B CE 8B D7 8B C6 E8 ?? ?? ?? ?? 2B DE 03 FB 0F B6 45 FF 88 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45548_0 {
	meta:
		name = "UTF8ExtractQuotedStr"
		size = 255
		refs = "0010 @LStrClr 0017 @LStrToPChar 003a StrScan 0061 StrEnd 0085 @LStrFromPCharLen 0095 @LStrSetLength 00c2 Move"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B DA 8B F0 8B 04 24 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 D4 00 00 00 3A 1E 0F 85 CC 00 00 00 46 BD 01 00 00 00 8B FE 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 74 16 46 3A 1E 75 11 46 45 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 75 EA 85 F6 75 09 8B C7 E8 ?? ?? ?? ?? 8B F0 8B C6 2B C7 83 F8 01 0F 8E 85 00 00 00 83 FD 01 75 12 6A 00 8B C8 49 8B 44 24 04 8B D7 E8 ?? ?? ?? ?? EB 6E 8B D0 2B D5 8B 04 24 33 C9 E8 ?? ?? ?? ?? 8B 04 24 8B 00 E8 ?? ?? ?? ?? 8B E8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 2A 46 3A 1E 75 25 8B CE 2B CF 8B D5 8B C7 E8 ?? ?? ?? ?? 8B C6 2B C7 03 E8 46 8B FE 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 75 D6 85 F6 75 09 8B C7 E8 ?? ?? ?? ?? 8B F0 8B CE 2B CF 49 8B D5 8B C7 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45549_0 {
	meta:
		name = "Utf8Pos"
		size = 125
	strings:
		$1 = { 53 56 57 83 C4 F4 BE 01 00 00 00 89 44 24 08 8B 4C 24 08 85 C9 74 05 83 E9 04 8B 09 8B F9 89 54 24 08 8B 4C 24 08 85 C9 74 05 83 E9 04 8B 09 2B CF 41 89 4C 24 04 3B 74 24 04 7F 32 0F B6 4C 32 FF 3A 08 75 22 B9 01 00 00 00 EB 01 41 3B F9 7E 0D 8D 1C 31 0F B6 5C 1A FF 3A 1C 08 74 EE 3B F9 75 05 89 34 24 EB 0C 46 3B 74 24 04 7E CE 33 C0 89 04 24 8B 04 24 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45550_0 {
	meta:
		name = "StreamWrite"
		size = 28
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8D 04 0A 8B D0 8B C6 8B 4D 08 8B 18 FF 53 10 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_45551_0 {
	meta:
		name = "TsdUTF8StringStream.Create"
		size = 146
		refs = "0010 @ClassCreate 0020 TObject.Create 005a @LStrToPChar 006f TStream.SetPosition 007c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 75 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B D0 8B C3 8B 08 FF 51 04 8B C3 8B 10 FF 12 83 FA 00 75 07 83 F8 00 76 27 EB 02 7E 23 8B C3 8B 10 FF 12 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 59 8B 30 FF 56 10 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45552_0 {
	meta:
		name = "TsdUTF8StringStream.DataString"
		size = 94
		refs = "0014 @LStrSetLength 0033 TStream.SetPosition 003a @UniqueStringA"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C3 8B 10 FF 12 8B D0 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 12 83 FA 00 75 07 83 F8 00 76 32 EB 02 7E 2E 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 06 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B C8 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_45555_0 {
	meta:
		name = "sdUTF8StringReplace"
		size = 273
		refs = "001c sdUTF8StringReplace 002c @LStrLAsg 003e @LStrClr 004e Utf8Pos 005f @LStrCat 007d @LStrCopy 0090 @LStrCatN 00fc @LStrArrayClr 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 8D 00 00 00 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 85 DB 75 10 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 EB 76 8B 45 08 FF 30 8D 45 EC 50 8B CB 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? FF 75 EC FF 75 F0 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 8D 45 F8 50 8D 14 1E B9 FF FF FF 7F 8B 45 F8 E8 ?? ?? ?? ?? 8B 7D F4 85 FF 74 05 83 EF 04 8B 3F 8D 45 FC 50 8D 14 1F B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 0F 85 69 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_45556_0 {
	meta:
		name = "sdUTF8EscapeString"
		size = 132
		refs = "0017 sdUTF8EscapeString 0027 @LStrAsg 0031 cEscapes 0036 cReplaces 0048 sdUTF8StringReplace 0071 @LStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B D3 E8 ?? ?? ?? ?? BF 05 00 00 00 BB ?? ?? ?? ?? BE ?? ?? ?? ?? 8D 45 F8 50 8B 45 FC 8B 00 8B 0E 8B 13 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 83 C6 04 83 C3 04 4F 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45557_0 {
	meta:
		name = "sdUTF8UnEscapeString"
		size = 640
		refs = "0025 sdUTF8UnEscapeString 0035 @LStrLAsg 003c @LStrClr 004e Utf8Pos 005e @LStrCat 0077 @LStrCopy 010b @LStrEqual 016b sdUpCase 0177 @UniqueStringA 0185 @UStrFromLStr 0190 StrToIntDef 01be @LStrFromChar 01cc cReplaces 01d3 cEscapes 0223 @UStrClr 0230 @LStrArrayClr 0243 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D D0 89 4D D4 89 4D D8 89 4D FC 89 4D F8 89 4D F4 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? E9 C3 01 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 0F 8B C7 8B 55 FC E8 ?? ?? ?? ?? E9 AB 01 00 00 8D 45 D8 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8B C7 E8 ?? ?? ?? ?? 8D 45 FC 50 B9 FF FF FF 7F 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 0F 8B C7 8B 55 FC E8 ?? ?? ?? ?? E9 58 01 00 00 8D 45 F8 50 8B CE BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 50 8D 56 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 D4 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 AF 00 00 00 8B 45 F8 89 45 E4 83 7D E4 00 74 0B 8B 45 E4 83 E8 04 8B 00 89 45 E4 8D 45 F8 50 8B 4D E4 83 E9 03 BA 03 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 45 E0 83 7D E0 00 74 0B 8B 45 E0 83 E8 04 8B 00 89 45 E0 83 7D E0 00 0F 8E 9A 00 00 00 8B 45 F8 0F B6 00 E8 ?? ?? ?? ?? 3C 58 75 0B 8D 45 F8 E8 ?? ?? ?? ?? C6 00 24 8D 45 D0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 D0 83 CA FF E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 7C 61 81 7D EC FF FF 00 00 7D 58 0F B7 45 EC 66 89 45 EA 8D 45 F4 0F B6 55 EA 80 E2 FF B9 00 00 00 00 E8 ?? ?? ?? ?? EB 3A C7 45 F0 05 00 00 00 BB ?? ?? ?? ?? C7 45 DC ?? ?? ?? ?? 8B 45 F8 8B 13 E8 ?? ?? ?? ?? 75 0F 8D 45 F4 8B 55 DC 8B 12 E8 ?? ?? ?? ?? EB 0C 83 45 DC 04 83 C3 04 FF 4D F0 75 D9 8B C7 8B 55 F4 E8 ?? ?? ?? ?? 83 7D FC 00 0F 85 33 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 E4 04 01 00 FF FF FF FF 01 00 00 00 26 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 3B 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 26 23 00 00 }
	condition:
		$1
}

rule function_45558_0 {
	meta:
		name = "sdUTF8QuotedString"
		size = 60
		refs = "000c sdUTF8QuotedString 0011 Utf8Pos 0022 UTF8QuotedStr"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B3 22 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 02 B3 27 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_45559_0 {
	meta:
		name = "sdUTF8UnQuotedString"
		size = 83
		refs = "0021 @LStrAsg 0032 cQuoteChars 003f UTF8ExtractQuotedStr"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7D 0B 8B C7 8B D6 E8 ?? ?? ?? ?? EB 27 0F B6 1E 8B C3 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 0D 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? EB 09 8B C7 8B D6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45560_0 {
	meta:
		name = "InsertControlChars"
		size = 85
		refs = "0034 @UniqueStringA"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 08 83 C7 F8 8B 45 08 8B 40 FC 89 45 FC 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 27 BE 01 00 00 00 8B 45 08 8B 40 08 E8 ?? ?? ?? ?? 8B 17 8B 4D 08 8B 49 FC 0F B6 4C 31 FF 88 4C 10 FF FF 07 46 4B 75 DE 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45561_0 {
	meta:
		name = "sdAddControlChars"
		size = 252
		refs = "0038 @LStrAsg 0084 @LStrSetLength 00b4 InsertControlChars 00bd @UniqueStringA"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F4 89 55 FC 8B F8 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 75 04 B0 01 EB 07 83 7D F4 00 0F 9E C0 84 C0 74 0F 8B 45 08 8B D7 E8 ?? ?? ?? ?? E9 B2 00 00 00 89 7D EC 8B 4D EC 85 C9 74 05 83 E9 04 8B 09 89 7D EC 8B 75 EC 85 F6 74 05 83 EE 04 8B 36 8B DA 85 DB 74 05 83 EB 04 8B 1B 8B C6 48 99 F7 7D F4 83 C0 03 F7 EB 03 C8 89 4D F0 8B 45 08 33 C9 8B 55 F0 E8 ?? ?? ?? ?? C7 45 F8 01 00 00 00 89 7D EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 30 BB 01 00 00 00 8B C3 99 F7 7D F4 4A 75 07 55 E8 ?? ?? ?? ?? 59 8B 45 08 E8 ?? ?? ?? ?? 8B 55 F8 0F B6 4C 1F FF 88 4C 10 FF FF 45 F8 43 4E 75 D5 55 E8 ?? ?? ?? ?? 59 FF 4D F8 8B 45 F0 3B 45 F8 7E 0D 8B 45 08 33 C9 8B 55 F8 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_45562_0 {
	meta:
		name = "sdRemoveControlChars"
		size = 129
		refs = "0024 @LStrSetLength 0041 cControlChars 004e @UniqueStringA 0061 @LStrLen"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F0 89 74 24 04 8B 44 24 04 85 C0 74 05 83 E8 04 8B 00 8B 14 24 33 C9 92 E8 ?? ?? ?? ?? BD 01 00 00 00 BF 01 00 00 00 EB 24 0F B6 5C 2E FF 8B C3 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 03 45 EB 0E 8B 04 24 E8 ?? ?? ?? ?? 88 5C 38 FF 45 47 89 74 24 04 8B 44 24 04 E8 ?? ?? ?? ?? 3B E8 7E CB 3B FD 74 0D 8B D7 4A 8B 04 24 33 C9 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45563_0 {
	meta:
		name = "sdUTF8FindString"
		size = 102
		refs = "0042 sdUTF8MatchString"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 55 FC 8B F8 C6 45 F7 00 8B 45 08 33 D2 89 10 8B 55 F8 89 7D F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 8B DA 8B 75 0C 2B F0 2B F3 7C 20 46 8B CB 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 08 89 18 C6 45 F7 01 EB 04 43 4E 75 E1 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_45564_0 {
	meta:
		name = "UTF8CompareText"
		size = 104
		refs = "0011 UTF8CompareText 0021 @UStrFromLStr 0038 AnsiCompareText 0054 @UStrArrayClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45566_0 {
	meta:
		name = "sdUTF8MatchString"
		size = 123
		refs = "0047 sdUpCase 0064 @LStrLen"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 8B FA 8B F0 C6 04 24 00 89 7C 24 04 8B 44 24 04 85 C0 74 05 83 E8 04 8B 00 89 74 24 04 8B 54 24 04 85 D2 74 05 83 EA 04 8B 12 2B C5 40 3B D0 7F 36 33 DB EB 1D 8D 04 2B 0F B6 44 07 FF E8 ?? ?? ?? ?? 50 0F B6 04 1E E8 ?? ?? ?? ?? 5A 3A D0 75 16 43 89 74 24 04 8B 44 24 04 E8 ?? ?? ?? ?? 3B D8 7C D2 C6 04 24 01 0F B6 04 24 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45567_0 {
	meta:
		name = "sdUTF8ParseAttributes"
		size = 564
		refs = "0027 sdUTF8ParseAttributes 0049 sdUTF8TrimPos 0058 TsdUTF8StringList.Clear 0092 cQuoteChars 00b7 cControlChars 00d2 @LStrCopy 00dc TsdUTF8StringList.Add 0124 TsdUTF8StringList.GetItems 0154 @LStrCat 0160 TsdUTF8StringList.SetItems 0169 TsdUTF8StringList.Delete 01af Utf8Pos 020f @LStrArrayClr 0215 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB C6 45 F3 22 85 F6 0F 84 BA 01 00 00 8D 4D F4 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 A4 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 7D F8 8B 45 F4 48 2B C7 0F 8C 81 00 00 00 40 89 45 EC 84 DB 74 11 8B 45 FC 0F B6 44 38 FF 3A 45 F3 75 25 33 DB EB 21 8B 45 FC 0F B6 44 38 FF 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 0D B3 01 8B 45 FC 0F B6 44 38 FF 88 45 F3 84 DB 75 3D 8B 45 FC 0F B6 44 38 FF 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 29 3B 7D F8 7E 1E 8D 45 E8 50 8B CF 2B 4D F8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 8D 47 01 89 45 F8 47 FF 4D EC 75 83 8B 45 F8 3B 45 F4 7D 1F 8D 45 E4 50 8B 4D F4 2B 4D F8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 7E 08 4F 83 FF 01 7C 56 8D 4D E0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 80 38 3D 75 3D 8D 4D DC 8B DF 4B 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 DC 50 8D 4D D8 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 D8 58 E8 ?? ?? ?? ?? 8B 4D DC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 4F 85 FF 75 AA 8B 7E 08 4F 83 FF 01 7C 7E 8D 4D D4 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 D4 0F B6 00 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 5B 8D 4D D0 8B D7 4A 8B C6 E8 ?? ?? ?? ?? 8B 55 D0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 3D 8D 4D CC 8B DF 4B 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 CC 50 8D 4D C8 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 C8 58 E8 ?? ?? ?? ?? 8B 4D CC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 4F 85 FF 75 82 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 E4 04 01 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_45568_0 {
	meta:
		name = "sdUTF8TrimPos"
		size = 132
		refs = "0013 Max 002f Min 0054 cControlChars"
	strings:
		$1 = { 53 56 57 55 51 8B F1 8B DA 8B F8 8B 13 B8 01 00 00 00 E8 ?? ?? ?? ?? 89 03 89 3C 24 8B 2C 24 85 ED 74 06 83 ED 04 8B 6D 00 8B 16 8D 45 01 E8 ?? ?? ?? ?? 89 06 8B 06 3B 03 7F 06 33 C0 EB 3F FF 03 8B 03 3B 06 7D 17 8B 03 0F B6 44 07 FF 0F B6 C0 0F A3 05 ?? ?? ?? ?? 72 E5 EB 02 FF 0E 8B 03 3B 06 7D 13 8B 06 0F B6 44 07 FE 0F B6 C0 0F A3 05 ?? ?? ?? ?? 72 E5 8B 06 3B 03 0F 9F C0 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45569_0 {
	meta:
		name = "sdUTF8Trim"
		size = 90
		refs = "002f sdUTF8TrimPos 0047 @LStrCopy 0050 @LStrClr"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 C7 04 24 01 00 00 00 89 5C 24 08 8B 44 24 08 85 C0 74 05 83 E8 04 8B 00 40 89 44 24 04 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 56 8B 4C 24 08 2B 4C 24 04 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_45570_0 {
	meta:
		name = "sdUTF8WriteStringToStream"
		size = 63
		refs = "002b @LStrToPChar"
	strings:
		$1 = { 53 56 57 51 8B F2 8B F8 89 34 24 8B 14 24 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1D 8B DA 85 DB 74 05 83 EB 04 8B 1B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C7 8B 18 FF 53 10 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45571_0 {
	meta:
		name = "UpCase"
		size = 13
		altNames = "sdUpCase"
	strings:
		$1 = { 8B D0 80 C2 9F 80 EA 1A 73 02 2C 20 C3 }
	condition:
		$1
}

rule function_45572_0 {
	meta:
		name = "ReadOpenTag"
		size = 331
		refs = "0018 ReadOpenTag 0026 @LStrClr 0051 TsdSurplusReader.ReadChar 006a @LStrFromChar 0075 @LStrCat 0082 cTags 0118 @LStrCopy 013b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 D2 89 55 E0 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? C7 45 F4 0B 00 00 00 B9 0C 00 00 00 8D 45 E6 C6 00 01 40 49 75 F9 BE 01 00 00 00 C6 45 F3 00 46 8D 55 F2 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 84 BF 00 00 00 8D 45 E0 0F B6 55 F2 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? B9 0B 00 00 00 8D 45 F1 BA ?? ?? ?? ?? 80 38 00 74 42 8B 1A 89 5D DC 8B 7D DC 85 FF 74 05 83 EF 04 8B 3F 3B F7 7F 2D 8B 1A 0F B6 5C 33 FF 3A 5D F2 75 1E C6 45 F3 01 8B 1A 89 5D DC 8B 7D DC 85 FF 74 05 83 EF 04 8B 3F 3B F7 75 08 89 4D F4 EB 03 C6 00 00 49 83 EA 0C 48 83 F9 FF 75 AF 80 7D F3 00 0F 85 64 FF FF FF 8B 45 F4 8D 04 40 8B 04 85 ?? ?? ?? ?? 89 45 DC 8B 5D DC 85 DB 74 05 83 EB 04 8B 1B 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8B 45 F8 83 C0 08 50 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45573_0 {
	meta:
		name = "ReadStringFromStreamUntil"
		size = 411
		refs = "001a ReadStringFromStreamUntil 004e _DV_TsdStringBuilder 0053 TsdStringBuilder.Create 0073 TsdSurplusReader.ReadChar 007c @TryFinallyExit 008d TsdStringBuilder.AddChar 00b6 cQuoteChars 00ff TsdStringBuilder.GetData 0145 TsdStringBuilder.StringCopy 0150 @LStrAsg 0165 TObject.Free 016b @HandleFinally 0182 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 4D F8 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 C6 45 F4 00 89 7D E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 84 2E 01 00 00 0F B6 44 07 FF 88 45 F6 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 45 F3 00 8D 55 F5 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 0A E8 ?? ?? ?? ?? E9 EC 00 00 00 0F B6 55 F5 8B 45 EC E8 ?? ?? ?? ?? 80 7D 08 00 74 30 80 7D F4 00 74 0F 0F B6 45 F5 3A 45 F3 75 21 C6 45 F4 00 EB 1B 0F B6 45 F5 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 0B C6 45 F4 01 0F B6 45 F5 88 45 F3 80 7D F4 00 75 4A 0F B6 45 F5 3A 45 F6 75 41 8B 45 EC 8B 70 08 4E 89 7D E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 8B D8 4B 3B DE 7F 24 C6 45 F7 01 EB 14 8B D6 8B 45 EC E8 ?? ?? ?? ?? 3A 44 1F FF 0F 94 45 F7 4E 4B 85 DB 0F 9F C0 22 45 F7 75 E2 80 7D F7 00 0F 84 4B FF FF FF 89 7D E8 8B 5D E8 85 DB 74 05 83 EB 04 8B 1B 8D 45 E4 50 8B 45 EC 8B 48 08 2B CB BA 01 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_45574_0 {
	meta:
		name = "ReadStringFromStreamWithQuotes"
		size = 293
		refs = "001d ReadStringFromStreamWithQuotes 002a _DV_TsdStringBuilder 002f TsdStringBuilder.Create 0062 @TryFinallyExit 00a2 @LStrFromChar 00ad @LStrEqual 00bb TsdStringBuilder.AddChar 00c8 TsdStringBuilder.Value 00d3 @LStrAsg 00ec TObject.Free 00f2 @HandleFinally 010e @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F5 00 C6 45 F7 00 33 DB 8D 55 F6 B9 01 00 00 00 8B C6 8B 38 FF 57 0C 85 C0 75 0A E8 ?? ?? ?? ?? E9 8D 00 00 00 84 DB 75 17 80 7D F6 22 74 06 80 7D F6 27 75 16 B3 01 0F B6 45 F6 88 45 F5 EB 0B 0F B6 45 F6 3A 45 F5 75 02 33 DB 84 DB 75 1E 8D 45 EC 0F B6 55 F6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8B 55 FC E8 ?? ?? ?? ?? 74 0E 0F B6 55 F6 8B 45 F0 E8 ?? ?? ?? ?? EB 8D 8D 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45575_0 {
	meta:
		name = "sdDateTimeFromString"
		size = 564
		refs = "0019 sdDateTimeFromString 0034 @LStrCopy 003f @UStrFromLStr 0047 StrToInt 0139 StrToIntDef 0188 EncodeDate 019a EncodeTime 01b6 @LStrClr 01be @UStrClr 0224 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 50 B9 04 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 66 89 45 F6 8D 45 E0 50 B9 02 00 00 00 BA 06 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 66 89 45 F4 8D 45 D8 50 B9 02 00 00 00 BA 09 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 DC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 66 89 45 F2 89 5D D4 8B 45 D4 85 C0 74 05 83 E8 04 8B 00 83 F8 10 0F 8E B0 00 00 00 8D 45 CC 50 B9 02 00 00 00 BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 CC 8D 45 D0 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 8B F0 8D 45 C4 50 B9 02 00 00 00 BA 0F 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 C8 E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 8B F8 8D 45 BC 50 B9 02 00 00 00 BA 12 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 BC 8D 45 C0 E8 ?? ?? ?? ?? 8B 45 C0 33 D2 E8 ?? ?? ?? ?? 66 89 45 F0 8D 45 B4 50 B9 03 00 00 00 BA 15 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 B4 8D 45 B8 E8 ?? ?? ?? ?? 8B 45 B8 33 D2 E8 ?? ?? ?? ?? 8B D8 EB 0C 33 F6 33 FF 66 C7 45 F0 00 00 33 DB 0F B7 4D F2 0F B7 55 F4 0F B7 45 F6 E8 ?? ?? ?? ?? DD 5D AC 9B 53 0F B7 4D F0 8B D7 8B C6 E8 ?? ?? ?? ?? DC 45 AC DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 88 DD 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45576_0 {
	meta:
		name = "sdDateTimeFromStringDefault"
		size = 76
		refs = "000d sdDateTimeFromStringDefault 0018 sdDateTimeFromString 002b @HandleAnyException 003c @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 8B 45 08 89 45 F8 8B 45 0C 89 45 FC E8 ?? ?? ?? ?? DD 45 F8 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_45577_0 {
	meta:
		name = "sdDateTimeToString"
		size = 464
		refs = "0015 sdDateTimeToString 002f DecodeDate 0047 DecodeTime 0056 Frac 0099 Format 00a8 @LStrFromUStr 0131 @UStrClr 013f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 33 D2 89 55 D0 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 45 F2 50 8D 4D F4 8D 55 F6 8D 45 F8 E8 ?? ?? ?? ?? DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 48 8D 45 EC 50 0F B7 45 FE 89 45 D4 C6 45 D8 00 0F B7 45 FC 89 45 DC C6 45 E0 00 0F B7 45 FA 89 45 E4 C6 45 E8 00 8D 55 D4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C3 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 72 8D 45 D0 50 0F B7 45 FE 89 45 98 C6 45 9C 00 0F B7 45 FC 89 45 A0 C6 45 A4 00 0F B7 45 FA 89 45 A8 C6 45 AC 00 0F B7 45 F8 89 45 B0 C6 45 B4 00 0F B7 45 F6 89 45 B8 C6 45 BC 00 0F B7 45 F4 89 45 C0 C6 45 C4 00 0F B7 45 F2 89 45 C8 C6 45 CC 00 8D 55 98 B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B C3 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C2 08 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 25 00 2E 00 34 00 64 00 2D 00 25 00 2E 00 32 00 64 00 2D 00 25 00 2E 00 32 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 25 00 2E 00 34 00 64 00 2D 00 25 00 2E 00 32 00 64 00 2D 00 25 00 2E 00 32 00 64 00 54 00 25 00 2E 00 32 00 64 00 3A 00 25 00 2E 00 32 00 64 00 3A 00 25 00 2E 00 32 00 64 00 2E 00 25 00 2E 00 33 00 64 00 5A 00 00 00 }
	condition:
		$1
}

rule function_45578_0 {
	meta:
		name = "sdWriteNumber"
		size = 696
		refs = "0026 sdWriteNumber 003e sxeSignificantDigitsOutOfRange 0043 LoadResString 004d _Dn_Exception 0052 Exception.Create 0057 @RaiseExcept 0073 @LStrAsg 00a7 @LStrClr 00ae Limits 0103 @ROUND 0162 IntToUTF8Str 0173 @LStrCat 018c @LStrCat3 01be @LStrCopy 01e7 @LStrCatN 023f @LStrArrayClr 0247 @UStrClr 0255 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D E0 89 5D DC 89 5D E8 89 5D FC 89 4D F4 88 55 FB 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FE 01 7C 05 83 FE 09 7E 21 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 12 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AD 01 00 00 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 18 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 45 08 D9 E0 DD 5D 08 9B EB 08 8B 45 F4 E8 ?? ?? ?? ?? 8B 04 B5 ?? ?? ?? ?? 89 45 F0 8B 45 F0 B9 0A 00 00 00 99 F7 F9 8B D0 8B DE EB 0E DD 45 08 D8 0D ?? ?? ?? ?? DD 5D 08 9B 4B 89 55 E4 DB 45 E4 DC 5D 08 9B DF E0 9E 77 E3 EB 0E DB 2D ?? ?? ?? ?? DC 4D 08 DD 5D 08 9B 43 DB 45 F0 DC 5D 08 9B DF E0 9E 76 E6 DD 45 08 E8 ?? ?? ?? ?? 8B F8 3B 7D F0 75 1C B9 0A 00 00 00 8B C7 99 F7 F9 89 C7 43 EB 0D 4E B9 0A 00 00 00 8B C7 99 F7 F9 89 C7 8B C7 B9 0A 00 00 00 99 F7 F9 85 D2 75 04 3B F3 7F E1 33 C0 89 45 EC 80 7D FB 00 74 15 83 FB FF 7C 07 8D 46 02 3B D8 7E 09 8B C3 48 89 45 EC 2B 5D EC 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 3B F3 7D 12 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 3B F3 7C EE 85 DB 7D 15 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 85 DB 7C EB 85 DB 75 12 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 40 3B F3 7E 3C 8D 45 E0 50 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 DC 50 8D 53 01 8B CE 8B 45 FC E8 ?? ?? ?? ?? FF 75 DC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7D EC 00 75 10 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 EB 28 8B 45 F4 FF 30 FF 75 FC 68 ?? ?? ?? ?? 8D 55 D8 8B 45 EC E8 ?? ?? ?? ?? FF 75 D8 8B 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 30 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 2D 00 00 00 00 00 20 41 CD CC CC CC CC CC CC CC FB 3F 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 2E 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 45 00 00 00 }
	condition:
		$1
}

rule function_45579_0 {
	meta:
		name = "PtrUnicodeToUtf8"
		size = 184
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 33 D2 83 7D F8 00 0F 84 94 00 00 00 85 C0 0F 84 8C 00 00 00 33 F6 33 D2 EB 6C 8B 4D F8 0F B7 0C 51 42 83 F9 7F 77 06 88 0C 30 46 EB 59 81 F9 FF 07 00 00 76 31 8D 5E 03 3B 5D FC 77 53 8B D9 C1 EB 0C 80 CB E0 88 1C 30 8B D9 C1 EB 06 80 E3 3F 80 CB 80 88 5C 30 01 80 E1 3F 80 C9 80 88 4C 30 02 83 C6 03 EB 20 8D 5E 02 3B 5D FC 77 22 8B D9 C1 EB 06 80 CB C0 88 1C 30 80 E1 3F 80 C9 80 88 4C 30 01 83 C6 02 3B 55 08 73 05 3B 75 FC 72 8A 3B 75 FC 72 04 8B 75 FC 4E C6 04 30 00 8D 56 01 8B C2 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_45580_0 {
	meta:
		name = "PtrUtf8ToUnicode"
		size = 202
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 89 55 F8 89 45 FC 83 7D FC 00 74 06 83 7D F4 00 75 0A 33 C0 89 45 F0 E9 98 00 00 00 C7 45 F0 FF FF FF FF 33 C0 33 F6 EB 6B 8B 55 F4 0F B6 14 32 46 F6 C2 80 74 56 3B 75 08 73 79 83 E2 3F F6 C2 20 74 23 8B 4D F4 0F B6 0C 31 46 B3 C0 22 D9 80 FB 80 75 60 3B 75 08 73 5B 80 E1 3F 0F B6 C9 C1 E2 06 0B CA 8B D1 8B 4D F4 0F B6 0C 31 46 B3 C0 22 D9 80 FB 80 75 3D 80 E1 3F 0F B6 C9 C1 E2 06 66 0B CA 8B 55 FC 66 89 0C 42 EB 07 8B 4D FC 66 89 14 41 40 3B 75 08 73 05 3B 45 F8 72 8B 3B 45 F8 72 04 8B 45 F8 48 8B 55 FC 66 C7 04 42 00 00 40 89 45 F0 8B 45 F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_45581_0 {
	meta:
		name = "sdUnicodeToUtf8"
		size = 207
		refs = "0017 sdUnicodeToUtf8 0025 @LStrClr 002f @WStrEqual 004e @LStrSetLength 0070 @WStrToPWChar 0079 @LStrToPChar 0082 PtrUnicodeToUtf8 00a8 @LStrAsg 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 74 77 8B 75 F8 8B C6 85 C0 74 07 83 E8 04 8B 00 D1 E8 8D 14 40 8D 45 FC 33 C9 E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 56 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8D 53 01 59 E8 ?? ?? ?? ?? 85 C0 7E 0F 8B D0 4A 8D 45 FC 33 C9 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45582_0 {
	meta:
		name = "sdUtf8ToUnicode"
		size = 194
		refs = "0017 sdUtf8ToUnicode 0025 @WStrClr 0043 @WStrSetLength 0064 @LStrToPChar 006d @WStrToPWChar 0076 PtrUtf8ToUnicode 009a @WStrAsg 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 85 FF 74 71 89 7D F4 8B 75 F4 8B C6 85 C0 74 05 83 E8 04 8B 00 8D 55 FC 92 E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 85 F6 74 05 83 EE 04 8B 36 56 8B C7 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8D 53 01 59 E8 ?? ?? ?? ?? 85 C0 7E 0D 8B D0 4A 8D 45 FC E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45583_0 {
	meta:
		name = "EncodeBase64Buf"
		size = 250
		refs = "0031 @LStrSetLength 0061 @UniqueStringA 007a cBase64Char 00b8 cBase64PadChar"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 4C 24 04 89 14 24 8B D8 8B 04 24 83 C0 02 B9 03 00 00 00 99 F7 F9 89 44 24 08 8B 54 24 08 03 D2 03 D2 8B 44 24 04 33 C9 E8 ?? ?? ?? ?? 8B FB 8B 44 24 08 48 85 C0 7C 52 40 89 44 24 0C 33 ED 33 F6 BB 03 00 00 00 C1 E6 08 0F B6 07 03 F0 47 4B 75 F4 33 DB 8B 44 24 04 E8 ?? ?? ?? ?? 8B D5 03 D2 03 D2 83 C2 04 2B D3 B9 3F 00 00 00 23 CE 0F B6 89 ?? ?? ?? ?? 88 4C 10 FF C1 EE 06 43 83 FB 04 75 D1 45 FF 4C 24 0C 75 B5 8B 44 24 08 8D 04 40 2B 04 24 48 74 05 48 74 20 EB 4E 8B 44 24 04 E8 ?? ?? ?? ?? 8B 54 24 08 03 D2 03 D2 0F B6 0D ?? ?? ?? ?? 88 4C 10 FF EB 30 8B 44 24 04 E8 ?? ?? ?? ?? 8B 5C 24 08 03 DB 03 DB 0F B6 15 ?? ?? ?? ?? 88 54 18 FF 8B 44 24 04 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 88 54 18 FE 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45584_0 {
	meta:
		name = "EncodeBase64"
		size = 70
		refs = "002b @LStrToPChar 0034 EncodeBase64Buf 003d @LStrClr"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 89 34 24 8B 14 24 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1D 8B DA 85 DB 74 05 83 EB 04 8B 1B 8B C6 E8 ?? ?? ?? ?? 8B CF 8B D3 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45585_0 {
	meta:
		name = "DecodeBase64Buf"
		size = 407
		refs = "0021 DecodeBase64Buf 0060 sxeMissingDataInBinaryStream 0065 LoadResString 0072 _Dn_EFilerError 0077 Exception.Create 007c @RaiseExcept 0083 cBase64Char 00c7 cBase64PadChar 00d1 @UniqueStringA 0184 @UStrClr 018a @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FE FF FF 53 56 57 33 DB 89 9D E8 FE FF FF 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 00 89 85 EC FE FF FF 8B 85 EC FE FF FF 85 C0 74 05 83 E8 04 8B 00 8B F8 85 FF 79 03 83 C7 03 C1 FF 02 8D 04 7F 3B 45 F4 7D 27 8D 95 E8 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB B8 ?? ?? ?? ?? 0F B6 10 88 9C 15 F0 FE FF FF 43 40 83 FB 40 75 EF 8B 75 F8 8B 45 FC 8B 00 89 85 EC FE FF FF 8B 85 EC FE FF FF 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 4F 8B 45 FC 8B 00 0F B6 44 18 FF 3A 05 ?? ?? ?? ?? 75 3D 8B 45 FC E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 88 54 18 FF 4B 85 DB 7E 25 8B 45 FC 8B 00 0F B6 44 18 FF 3A 05 ?? ?? ?? ?? 75 13 8B 45 FC E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 88 54 18 FF 4F 85 FF 7C 61 47 89 7D F0 33 DB 33 D2 33 C0 8B CB 03 C9 03 C9 03 C8 8B 7D FC 8B 3F 0F B6 0C 0F 0F B6 8C 0D F0 FE FF FF C1 E2 06 03 CA 8B D1 40 83 F8 04 75 DA B8 02 00 00 00 8B 4D F8 8B FE 2B F9 3B 7D F4 7D 20 8B C8 03 C9 03 C9 03 C9 8B FA D3 EF 8B CF 80 E1 FF 88 0E 46 48 83 F8 FF 75 DA 43 FF 4D F0 75 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45586_0 {
	meta:
		name = "DecodeBase64"
		size = 252
		refs = "0011 DecodeBase64 0021 sdRemoveControlChars 0058 sxeErrorCalcStreamLength 005d LoadResString 0067 _Dn_EFilerError 006c Exception.Create 0071 @RaiseExcept 0092 cBase64PadChar 00b6 @LStrSetLength 00c1 @UniqueStringA 00cd DecodeBase64Buf 00e2 @UStrClr 00ea @LStrClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 79 03 83 C3 03 C1 FB 02 8B C2 85 C0 74 05 83 E8 04 8B 00 8B D3 03 D2 03 D2 3B C2 74 21 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 1C 5B 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 27 8B 55 FC 0F B6 54 02 FF 3A 15 ?? ?? ?? ?? 75 17 48 4B 85 C0 7E 11 8B 55 FC 0F B6 44 02 FF 3A 05 ?? ?? ?? ?? 75 01 4B 8B C6 33 C9 8B D3 E8 ?? ?? ?? ?? 85 DB 7E 13 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 45 FC 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45587_0 {
	meta:
		name = "sdAnsiToUtf8"
		size = 79
		refs = "000f sdAnsiToUtf8 001f @WStrFromLStr 0029 sdUnicodeToUtf8 003e @WStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45589_0 {
	meta:
		name = "EncodeBinHexBuf"
		size = 106
		refs = "0012 EncodeBinHexBuf 0026 @LStrSetLength 002e @LStrToPChar 0039 BinToHex 0043 @LStrAsg 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 03 D2 8D 45 FC 33 C9 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C6 8B CB E8 ?? ?? ?? ?? 8B C7 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45590_0 {
	meta:
		name = "EncodeBinHex"
		size = 142
		refs = "0016 EncodeBinHex 003b @LStrSetLength 004c @LStrToPChar 005c BinToHex 0067 @LStrAsg 007c @LStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 75 F4 8B 5D F4 8B C3 85 C0 74 05 83 E8 04 8B 00 8B D0 03 D2 8D 45 FC 33 C9 E8 ?? ?? ?? ?? 85 DB 74 05 83 EB 04 8B 1B 8B 45 FC E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B CB 5A E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45591_0 {
	meta:
		name = "DecodeBinHexBuf"
		size = 145
		refs = "0018 DecodeBinHexBuf 0040 sxeMissingDataInBinaryStream 0045 LoadResString 004f _Dn_EFilerError 0054 Exception.Create 0059 @RaiseExcept 0060 @LStrToPChar 0069 HexToBin 007e @UStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D FC 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 D1 F8 79 03 83 D0 00 3B F0 7E 21 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D7 8B CE E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45592_0 {
	meta:
		name = "DecodeBinHex"
		size = 209
		refs = "0013 DecodeBinHex 0023 sdRemoveControlChars 0055 sxeErrorCalcStreamLength 005a LoadResString 0064 _Dn_EFilerError 0069 Exception.Create 006e @RaiseExcept 007a @LStrSetLength 0082 @LStrToPChar 0093 HexToBin 009d @LStrAsg 00b2 @UStrClr 00bf @LStrArrayClr 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 8B D8 D1 FB 79 03 83 D3 00 8B C2 85 C0 74 05 83 E8 04 8B 00 8B D3 03 D2 3B C2 74 21 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 33 C9 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B CB 5A E8 ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45593_0 {
	meta:
		name = "sdStringToBool"
		size = 159
		refs = "0010 sdStringToBool 0031 sdUpCase 005e sxeCannotConverToBool 0063 LoadResString 006d _Dn_Exception 0072 Exception.Create 0077 @RaiseExcept 008c @UStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 89 45 FC 8B 55 FC 85 D2 74 05 83 EA 04 8B 12 85 D2 7E 2D 0F B6 00 E8 ?? ?? ?? ?? 8B D0 80 EA 31 74 0A 80 EA 23 74 05 80 EA 05 75 04 B3 01 EB 31 2C 30 74 08 2C 16 74 04 2C 08 75 04 33 DB EB 21 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45594_0 {
	meta:
		name = "sdStringFromBool"
		size = 26
		refs = "000e cBoolValues 0013 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 0F B6 D3 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45595_0 {
	meta:
		name = "TsdUTF8StringList.Add"
		size = 74
		refs = "000b @DynArrayLength 0024 :TsdUTF8StringList.:1 0029 @DynArraySetLength 003c @LStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8B 73 08 3B C6 75 1A 83 C6 04 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8B 53 08 8D 04 90 8B D7 E8 ?? ?? ?? ?? 8B 43 08 FF 43 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45596_0 {
	meta:
		name = "TsdUTF8StringList.Assign"
		size = 107
		refs = "000c _DV_TsdUTF8StringList 0011 @IsClass 0029 :TsdUTF8StringList.:1 002e @DynArraySetLength 004d @LStrAsg 0062 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 44 8B EB 8B 45 08 50 8D 47 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 75 08 4E 85 F6 7C 18 46 33 DB 8B 47 04 8D 04 98 8B 55 04 8B 14 9A E8 ?? ?? ?? ?? 43 4E 75 EB 8B 45 08 89 47 08 EB 09 8B D3 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45597_0 {
	meta:
		name = "TsdStringBuilder.Clear"
		size = 6
		altNames = "TsdUTF8StringList.Clear"
	strings:
		$1 = { 33 D2 89 50 08 C3 }
	condition:
		$1
}

rule function_45598_0 {
	meta:
		name = "TsdUTF8StringList.Delete"
		size = 55
		refs = "0028 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B D8 85 D2 7C 2A 3B 53 08 7D 25 8D 72 01 8B 7B 08 4F 2B FE 7C 17 47 8B 43 04 8D 44 B0 FC 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 46 4F 75 EA FF 4B 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45599_0 {
	meta:
		name = "TsdUTF8StringList.GetItems"
		size = 44
		refs = "001b @LStrAsg 0024 @LStrClr"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 14 3B 73 08 7D 0F 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45600_0 {
	meta:
		name = "TsdUTF8StringList.GetNames"
		size = 84
		refs = "0010 TsdUTF8StringList.GetItems 0017 TsdUTF8StringList.GetNames 001c Utf8Pos 002c @LStrSetLength"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0E 8B D0 4A 8B C3 33 C9 E8 ?? ?? ?? ?? EB 0B 8B C3 33 C9 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_45601_0 {
	meta:
		name = "TsdUTF8StringList.GetText"
		size = 184
		refs = "0042 @LStrSetLength 004f @UniqueStringA 008e Move 0095 cLB 009a @LStrToPChar"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 54 24 04 89 04 24 33 FF 8B 04 24 8B 58 08 4B 85 DB 7C 1E 43 33 F6 8B 04 24 8B 40 04 8B 04 B0 85 C0 74 05 83 E8 04 8B 00 03 F8 83 C7 02 46 4B 75 E5 8B 44 24 04 33 C9 8B D7 E8 ?? ?? ?? ?? 85 FF 74 67 8B 44 24 04 E8 ?? ?? ?? ?? 8B F8 8B 04 24 8B 58 08 4B 85 DB 7C 51 43 33 F6 8B 04 24 8B 40 04 8B 04 B0 85 C0 74 05 83 E8 04 8B 00 8B E8 85 ED 7E 19 8B 04 24 8B 40 04 8D 04 B0 E8 ?? ?? ?? ?? 8B D7 8B CD E8 ?? ?? ?? ?? 03 FD A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 B9 02 00 00 00 E8 ?? ?? ?? ?? 83 C7 02 46 4B 75 B2 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45602_0 {
	meta:
		name = "TsdUTF8StringList.GetValues"
		size = 76
		refs = "0010 TsdUTF8StringList.IndexOfName 0039 @LStrCopy 0042 @LStrClr"
	strings:
		$1 = { 53 56 57 55 51 8B E9 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 25 89 3C 24 8B 3C 24 85 FF 74 05 83 EF 04 8B 3F 55 8D 57 02 8B 43 04 8B 04 B0 B9 FF FF FF 7F E8 ?? ?? ?? ?? EB 07 8B C5 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45603_0 {
	meta:
		name = "TsdUTF8StringList.IndexOfName"
		size = 144
		refs = "0017 TsdUTF8StringList.IndexOfName 0038 @LStrCat3 004b sdUTF8MatchString 006b @LStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 4B 85 DB 7C 2E 43 33 F6 8D 45 F8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 57 04 8B 14 B2 B9 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 07 46 4B 75 D5 83 CE FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 59 5D C3 E4 04 01 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_45604_0 {
	meta:
		name = "TsdUTF8StringList.SetItems"
		size = 35
		refs = "001b @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 12 3B 73 08 7D 0D 8B 43 04 8D 04 B0 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45605_0 {
	meta:
		name = "TsdUTF8StringList.SetValues"
		size = 96
		refs = "000f TsdUTF8StringList.IndexOfName 0022 TsdUTF8StringList.Add 002a TsdUTF8StringList.SetValues 003b @LStrCatN 0046 TsdUTF8StringList.Delete"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 ED 74 28 85 F6 7D 0B 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 57 68 ?? ?? ?? ?? 55 8B 43 04 8D 04 B0 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 00 E4 04 01 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_45606_0 {
	meta:
		name = "TXmlNode.AbortParsing"
		size = 19
	strings:
		$1 = { 8B 50 18 85 D2 74 06 80 7A 04 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_45607_0 {
	meta:
		name = "TXmlNode.Assign"
		size = 202
		refs = "000d _DV_TXmlNode 0012 @IsClass 0035 @LStrAsg 0053 TXmlNode.CheckCreateAttributesList 00a2 _DV_TNativeXml 00c0 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 80 00 00 00 8B C6 8B 10 FF 52 4C 8B FB 0F B6 47 1C 88 46 1C 8D 46 04 8B 57 04 E8 ?? ?? ?? ?? 8B 47 20 89 46 20 8D 46 08 8B 57 08 E8 ?? ?? ?? ?? 83 7F 0C 00 74 12 8B C6 E8 ?? ?? ?? ?? 8B 57 0C 8B 46 0C 8B 08 FF 51 08 8B C7 8B 10 FF 52 10 48 85 C0 7C 56 40 89 C7 C7 04 24 00 00 00 00 33 D2 8B C6 8B 08 FF 51 7C 8B E8 8B 14 24 8B C3 8B 08 FF 51 0C 8B D0 8B C5 8B 08 FF 51 08 FF 04 24 4F 75 DC EB 26 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 53 18 8B C6 8B 08 FF 51 08 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45608_0 {
	meta:
		name = "TXmlNode.AttributeAdd"
		size = 220
		refs = "0021 TXmlNode.AttributeAdd 003c sdUTF8EscapeString 0047 sdUTF8QuotedString 0063 Format 0073 @LStrFromUStr 007a TXmlNode.CheckCreateAttributesList 0085 TsdUTF8StringList.Add 009f @LStrArrayClr 00a7 @UStrClr 00af @LStrClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D F8 89 5D E4 89 5D E0 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 89 75 E8 C6 45 EC 0B 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 C6 45 F4 0B 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3D 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_45610_0 {
	meta:
		name = "TXmlNode.AttributeDelete"
		size = 34
		refs = "000d TXmlNode.GetAttributeCount 001b TsdUTF8StringList.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 15 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 0A 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45611_0 {
	meta:
		name = "TXmlNode.AttributeExchange"
		size = 151
		refs = "0014 TXmlNode.AttributeExchange 0043 TsdUTF8StringList.GetItems 005d TsdUTF8StringList.SetItems 0084 @LStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B FE 74 4C 85 F6 7C 48 8B 43 0C 3B 70 08 7D 40 85 FF 7C 3C 8B 43 0C 3B 78 08 7D 34 8D 4D FC 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8D 4D F8 8B D7 8B 43 0C E8 ?? ?? ?? ?? 8B 4D F8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B 4D FC 8B D7 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45612_0 {
	meta:
		name = "TXmlNode.AttributeIndexByname"
		size = 19
		refs = "000a TsdUTF8StringList.IndexOfName"
	strings:
		$1 = { 8B 48 0C 85 C9 74 08 8B C1 E8 ?? ?? ?? ?? C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_45613_0 {
	meta:
		name = "TXmlNode.AttributesClear"
		size = 17
		refs = "000c TObject.Free"
	strings:
		$1 = { 83 C0 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45614_0 {
	meta:
		name = "TXmlNode.BufferLength"
		size = 329
		refs = "0010 TXmlNode.BufferLength 0021 sdRemoveControlChars 0028 TXmlNode.GetBinaryEncoding 0069 sxeErrorCalcStreamLength 006e LoadResString 0078 _Dn_EFilerError 007d Exception.Create 0082 @RaiseExcept 00f7 cBase64PadChar 012e @UStrArrayClr 0136 @LStrClr 013c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 08 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 2C 01 72 07 74 59 E9 DF 00 00 00 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 8B D8 D1 FB 79 03 83 D3 00 8B C2 85 C0 74 05 83 E8 04 8B 00 8B D3 03 D2 3B C2 0F 84 B3 00 00 00 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8D 00 00 00 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 79 03 83 C3 03 C1 FB 02 8B C2 85 C0 74 05 83 E8 04 8B 00 8B CB 03 C9 03 C9 3B C1 74 21 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 1C 5B 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 2B 8B 55 FC 0F B6 54 02 FF 3A 15 ?? ?? ?? ?? 75 1B 48 4B 85 C0 7E 15 8B 55 FC 0F B6 44 02 FF 3A 05 ?? ?? ?? ?? 75 05 4B EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45615_0 {
	meta:
		name = "TXmlNode.BufferRead"
		size = 115
		refs = "0012 TXmlNode.BufferRead 0023 sdRemoveControlChars 002a TXmlNode.GetBinaryEncoding 003e DecodeBinHexBuf 004c DecodeBase64Buf 0061 @LStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 08 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 2C 01 72 04 74 10 EB 1A 8B D6 8B CF 8B 45 FC E8 ?? ?? ?? ?? EB 0C 8B D6 8D 45 FC 8B CF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45616_0 {
	meta:
		name = "TXmlNode.BufferWrite"
		size = 184
		refs = "0018 TXmlNode.BufferWrite 0029 TXmlNode.GetBinaryEncoding 003d EncodeBinHexBuf 004b EncodeBase64Buf 0059 TXmlNode.GetLineFeed 0067 TXmlNode.GetIndent 0070 @LStrCat 0080 sdAddControlChars 008b @LStrAsg 00a5 @LStrArrayClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7E 29 8B C3 E8 ?? ?? ?? ?? 2C 01 72 04 74 10 EB 1A 8D 4D FC 8B C7 8B D6 E8 ?? ?? ?? ?? EB 0C 8D 4D FC 8B C7 8B D6 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 58 E8 ?? ?? ?? ?? 8B 55 F4 B9 4C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45617_0 {
	meta:
		name = "TXmlNode.ChangeDocument"
		size = 53
		refs = "0028 TXmlNode.ChangeDocument"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 89 6F 18 8B C7 8B 10 FF 52 10 8B D8 4B 85 DB 7C 17 43 33 F6 8B D6 8B C7 8B 08 FF 51 0C 8B D5 E8 ?? ?? ?? ?? 46 4B 75 EC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45618_0 {
	meta:
		name = "TXmlNode.CheckCreateAttributesList"
		size = 26
		refs = "000c _DV_TsdUTF8StringList 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 0C 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 5B C3 }
	condition:
		$1
}

rule function_45619_0 {
	meta:
		name = "TXmlNode.Clear"
		size = 38
		refs = "0007 @LStrClr"
	strings:
		$1 = { 53 8B D8 8D 43 04 E8 ?? ?? ?? ?? 8D 43 08 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 3C 8B C3 8B 10 FF 92 84 00 00 00 5B C3 }
	condition:
		$1
}

rule function_45620_0 {
	meta:
		name = "TXmlNode.CompareNodeName"
		size = 128
		refs = "0015 TXmlNode.CompareNodeName 003d TXmlNode.GetFullPath 0047 UTF8CompareText 006c @LStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D FC 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1D 80 3B 2F 75 18 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B D3 E8 ?? ?? ?? ?? 8B D8 EB 0C 8B 46 04 8B D3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45621_0 {
	meta:
		name = "TXmlNode.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
		altNames = "TsdCodecStream.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71208_0 {
	meta:
		name = "TRegistry.Create"
		size = 60
		refs = "000b @ClassCreate 001a TRegistry.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45622_0 {
	meta:
		name = "TXmlNode.CreateName"
		size = 74
		refs = "000e @ClassCreate 0026 TXmlNode.SetName 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 8B 30 FF 56 28 8B 55 08 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_45623_0 {
	meta:
		name = "TXmlNode.CreateNameValue"
		size = 84
		refs = "000e @ClassCreate 0026 TXmlNode.SetName 0030 TXmlNode.SetValueAsString 003d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 8B 30 FF 56 28 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_45624_0 {
	meta:
		name = "TXmlNode.CreateType"
		size = 71
		refs = "000e @ClassCreate 0030 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 8B 30 FF 56 28 0F B6 45 08 88 43 1C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_45625_0 {
	meta:
		name = "TXmlNode.Delete"
		size = 14
		refs = "0009 TXmlNode.NodeRemove"
	strings:
		$1 = { 8B 50 14 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45626_0 {
	meta:
		name = "TXmlNode.DeleteEmptyAttributes"
		size = 116
		refs = "000d TXmlNode.DeleteEmptyAttributes 001a TXmlNode.GetAttributeCount 002e TXmlNode.GetAttributeValue 0048 TsdUTF8StringList.Delete 0063 @LStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 2C 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0A 8B 46 0C 8B D3 E8 ?? ?? ?? ?? 4B 83 FB FF 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45627_0 {
	meta:
		name = "TXmlNode.DeleteEmptyNodes"
		size = 68
		refs = "0022 TXmlNode.DeleteEmptyNodes"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 8B 10 FF 52 10 8B F0 4E 83 FE 00 7C 2C 8B D6 8B C7 8B 08 FF 51 0C 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 58 84 C0 74 09 8B D6 8B C7 8B 08 FF 51 64 4E 83 FE FF 75 D4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45628_0 {
	meta:
		name = "TXmlNode.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 0023 TPersistent.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 92 84 00 00 00 8B C6 8B 10 FF 52 3C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45629_0 {
	meta:
		name = "TXmlNode.FindNode"
		size = 82
		refs = "002f TXmlNode.CompareNodeName 003c TXmlNode.FindNode"
	strings:
		$1 = { 53 56 57 55 51 8B FA 89 04 24 33 DB 8B 04 24 8B 10 FF 52 10 8B F0 4E 85 F6 7C 2F 46 33 ED 8B D5 8B 04 24 8B 08 FF 51 0C 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 85 C0 74 13 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 45 4E 75 D4 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45630_0 {
	meta:
		name = "FindNodesRecursive"
		size = 104
		refs = "002d TXmlNode.CompareNodeName 0044 TList.Add 0059 FindNodesRecursive"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F0 8B C6 8B 10 FF 52 10 8B F8 4F 85 FF 7C 48 47 33 DB 8B D3 8B C6 8B 08 FF 51 0C 8B 55 08 8B 52 FC E8 ?? ?? ?? ?? 85 C0 75 13 8B D3 8B C6 8B 08 FF 51 0C 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 50 8B D3 8B C6 8B 08 FF 51 0C 8B 55 FC E8 ?? ?? ?? ?? 59 43 4F 75 BB 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45631_0 {
	meta:
		name = "TXmlNode.FindNodes"
		size = 36
		refs = "001a FindNodesRecursive"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B C6 8B 10 FF 52 08 55 8B D6 8B C3 E8 ?? ?? ?? ?? 59 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45632_0 {
	meta:
		name = "TXmlNode.FloatAllowScientific"
		size = 20
		refs = "000f cDefaultFloatAllowScientific"
	strings:
		$1 = { 8B 50 18 85 D2 74 05 0F B6 42 0E C3 0F B6 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45633_0 {
	meta:
		name = "TXmlNode.FloatSignificantDigits"
		size = 17
		refs = "000c cDefaultFloatSignificantDigits"
	strings:
		$1 = { 8B 50 18 85 D2 74 04 8B 42 10 C3 A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45636_0 {
	meta:
		name = "TXmlNode.GetAttributeByName"
		size = 124
		refs = "0017 TXmlNode.GetAttributeByName 0031 TsdUTF8StringList.GetValues 003c sdUTF8UnQuotedString 0046 sdUTF8UnEscapeString 004f @LStrClr 0069 @LStrArrayClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 0C 85 FF 74 24 8D 4D F4 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45637_0 {
	meta:
		name = "TXmlNode.GetAttributeByNameWide"
		size = 87
		refs = "0012 TXmlNode.GetAttributeByNameWide 0024 TXmlNode.GetAttributeByName 0030 TXmlNode.ToUnicodeString 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45643_0 {
	meta:
		name = "TXmlNode.GetAttributeValueAsUnicodeString"
		size = 87
		refs = "0012 TXmlNode.GetAttributeValueAsUnicodeString 0024 TXmlNode.GetAttributeValue 0030 TXmlNode.ToUnicodeString 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45638_0 {
	meta:
		name = "TXmlNode.GetAttributeCount"
		size = 14
	strings:
		$1 = { 8B 50 0C 85 D2 74 04 8B 42 08 C3 33 C0 C3 }
	condition:
		$1
}

rule function_45639_0 {
	meta:
		name = "TXmlNode.GetAttributeName"
		size = 40
		refs = "0010 TXmlNode.GetAttributeCount 0020 TsdUTF8StringList.GetNames"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 17 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 0C 8B CF 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45640_0 {
	meta:
		name = "TXmlNode.GetAttributePair"
		size = 40
		refs = "0010 TXmlNode.GetAttributeCount 0020 TsdUTF8StringList.GetItems"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 17 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 0C 8B CF 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45641_0 {
	meta:
		name = "TXmlNode.GetAttributeValue"
		size = 184
		refs = "0016 TXmlNode.GetAttributeValue 0023 @LStrClr 002e TXmlNode.GetAttributeCount 003f TsdUTF8StringList.GetItems 004c Utf8Pos 0066 @LStrCopy 0071 sdUTF8UnQuotedString 007b sdUTF8UnEscapeString 0095 @LStrArrayClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 85 F6 7C 54 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 49 8D 4D FC 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 29 8D 45 F4 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 E4 04 01 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_45642_0 {
	meta:
		name = "TXmlNode.GetAttributeValueAsInteger"
		size = 107
		refs = "0011 TXmlNode.GetAttributeValueAsInteger 0023 TXmlNode.GetAttributeValue 002e @UStrFromLStr 0038 StrToIntDef 004f @LStrClr 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45644_0 {
	meta:
		name = "TXmlNode.GetAttributeValueDirect"
		size = 172
		refs = "0014 TXmlNode.GetAttributeValueDirect 0021 @LStrClr 002c TXmlNode.GetAttributeCount 003d TsdUTF8StringList.GetItems 004a Utf8Pos 0064 @LStrCopy 006e sdUTF8UnQuotedString 0088 @LStrArrayClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 85 F6 7C 49 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 3E 8D 4D FC 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 1E 8D 45 F8 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 E4 04 01 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_45645_0 {
	meta:
		name = "TXmlNode.GetBinaryEncoding"
		size = 16
	strings:
		$1 = { 33 D2 8B 48 18 85 C9 74 04 0F B6 51 05 8B C2 C3 }
	condition:
		$1
}

rule function_45646_0 {
	meta:
		name = "TXmlNode.GetBinaryString"
		size = 165
		refs = "0011 TXmlNode.GetBinaryEncoding 001c TXmlNode.GetBinaryString 002c TXmlNode.SetBinaryEncoding 003f @LStrSetLength 005b @UniqueStringA 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 48 8B D0 8B C3 33 C9 E8 ?? ?? ?? ?? 8B 03 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 26 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 03 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B C8 8B D6 8B 45 FC 8B 18 FF 53 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 FB 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45647_0 {
	meta:
		name = "TXmlNode.GetCascadedName"
		size = 364
		refs = "001a TXmlNode.GetCascadedName 003d TXmlNode.GetAttributeByName 0048 @UStrFromLStr 0052 StrToIntDef 006b Format 007b @LStrFromUStr 00d1 @LStrAsg 00e6 @LStrClr 00ee @UStrClr 0114 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B 43 04 89 45 E8 C6 45 EC 0B 8D 4D E0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 33 D2 E8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 00 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 7B 14 85 FF 74 45 8D 45 DC 50 8D 55 D8 8B C7 E8 ?? ?? ?? ?? 8B 45 D8 89 45 E8 C6 45 EC 0B 8B 45 FC 89 45 F0 C6 45 F4 0B 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 05 00 00 00 49 6E 64 65 78 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 25 00 2E 00 34 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 5F 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_45648_0 {
	meta:
		name = "TXmlNode.GetFullPath"
		size = 124
		refs = "000f TXmlNode.GetFullPath 0024 @LStrCat3 002b TXmlNode.GetTreeDepth 005b @LStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 4B 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 17 8D 55 FC 8B 43 14 E8 ?? ?? ?? ?? 8B 55 FC 8B 0E 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 E4 04 01 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_45649_0 {
	meta:
		name = "TXmlNode.GetIndent"
		size = 77
		refs = "001b @LStrClr 0024 TXmlNode.GetTreeDepth 0039 @LStrCat"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 18 85 C0 74 34 0F B6 40 22 2C 01 72 0B 75 31 8B C6 E8 ?? ?? ?? ?? EB 28 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 1A 47 8B C6 8B 53 18 8B 52 1C E8 ?? ?? ?? ?? 4F 75 F0 EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45650_0 {
	meta:
		name = "TXmlNode.GetLineFeed"
		size = 100
		refs = "0017 @LStrClr 0020 TXmlNode.GetLineFeed 0025 @LStrAsg"
	strings:
		$1 = { 53 8B DA 8B 50 18 85 D2 74 2F 0F B6 42 22 2C 01 72 0B 75 17 8B C3 E8 ?? ?? ?? ?? EB 23 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_45651_0 {
	meta:
		name = "TComponent.GetComponentCount"
		size = 14
		altNames = "TGestureEngine.GetPointCount TXmlNode.GetNodeCount"
	strings:
		$1 = { 8B 50 10 85 D2 74 04 8B 42 08 C3 33 C0 C3 }
	condition:
		$1
}

rule function_45652_0 {
	meta:
		name = "TXmlNode.GetNodes"
		size = 39
		refs = "001b TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 18 8B C3 8B 10 FF 52 10 3B F0 7D 0D 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_45653_0 {
	meta:
		name = "TXmlNode.GetTotalNodeCount"
		size = 59
		refs = "002a TXmlNode.GetTotalNodeCount"
	strings:
		$1 = { 53 56 57 55 8B F8 8B C7 8B 10 FF 52 10 8B E8 8B C7 8B 10 FF 52 10 8B D8 4B 85 DB 7C 17 43 33 F6 8B D6 8B C7 8B 08 FF 51 0C E8 ?? ?? ?? ?? 03 E8 46 4B 75 EC 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45654_0 {
	meta:
		name = "TXmlNode.GetTreeDepth"
		size = 25
		refs = "0011 TXmlNode.GetTreeDepth"
	strings:
		$1 = { 53 56 8B D8 83 C8 FF 8B 73 14 85 F6 74 08 8B C6 E8 ?? ?? ?? ?? 40 5E 5B C3 }
	condition:
		$1
}

rule function_45656_0 {
	meta:
		name = "TXmlNode.GetValueAsDateTime"
		size = 87
		refs = "0012 TXmlNode.GetValueAsDateTime 0022 TXmlNode.GetValueAsString 002a sdDateTimeFromString 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45657_0 {
	meta:
		name = "TXmlNode.GetValueAsFloat"
		size = 208
		refs = "0018 TXmlNode.GetValueAsFloat 0034 sdUTF8StringReplace 003f @UStrFromLStr 004a @ValExt 005c sxeCannotConvertToFloat 0061 LoadResString 006b _Dn_Exception 0070 Exception.Create 0075 @RaiseExcept 008a @UStrClr 0092 @LStrClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 E8 89 55 F0 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? DD 5D F8 9B 83 7D F4 00 7E 21 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 DD 45 F8 5B 8B E5 5D C3 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 2E 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_45658_0 {
	meta:
		name = "TXmlNode.GetValueAsInt64"
		size = 93
		refs = "0012 TXmlNode.GetValueAsInt64 0023 @UStrFromLStr 002b StrToInt64 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 53 08 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45659_0 {
	meta:
		name = "TXmlNode.GetValueAsInteger"
		size = 78
		refs = "000c TXmlNode.GetValueAsInteger 001d @UStrFromLStr 0025 StrToInt 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_45660_0 {
	meta:
		name = "TXmlNode.GetValueAsString"
		size = 21
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 08 8B C3 8B 18 FF 53 1C 5E 5B C3 }
	condition:
		$1
}

rule function_45662_0 {
	meta:
		name = "TXmlNode.GetWriteOnDefault"
		size = 16
	strings:
		$1 = { B2 01 8B 48 18 85 C9 74 04 0F B6 51 21 8B C2 C3 }
	condition:
		$1
}

rule function_45663_0 {
	meta:
		name = "TXmlNode.HasAttribute"
		size = 36
		refs = "0013 TsdUTF8StringList.IndexOfName"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 0C 85 F6 74 10 8B D7 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45664_0 {
	meta:
		name = "TXmlNode.IndexInParent"
		size = 24
		refs = "000f TList.IndexOf"
	strings:
		$1 = { 83 CA FF 8B 48 14 85 C9 74 0B 8B 51 10 92 E8 ?? ?? ?? ?? 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_45665_0 {
	meta:
		name = "TXmlNode.IsClear"
		size = 25
	strings:
		$1 = { 8B 50 04 85 D2 74 05 83 EA 04 8B 12 85 D2 75 06 8B 10 FF 52 58 C3 33 C0 C3 }
	condition:
		$1
}

rule function_45666_0 {
	meta:
		name = "TXmlNode.IsEmpty"
		size = 57
		refs = "002a TXmlNode.GetAttributeCount"
	strings:
		$1 = { 53 8B D8 8B 43 08 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0E 8B C3 8B 10 FF 52 10 85 C0 0F 94 C0 EB 02 33 C0 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_45667_0 {
	meta:
		name = "TXmlNode.IsEqualTo"
		size = 792
		refs = "0024 TXmlNode.IsEqualTo 00ac TList.Add 00cd TXmlNode.GetValueAsString 00ec UTF8CompareText 017b @TryFinallyExit 01e4 TXmlNode.GetAttributeCount 0228 TXmlNode.GetAttributeName 0233 TXmlNode.AttributeIndexByname 025c TXmlNode.GetAttributeValue 02de TList.Insert 02e4 @HandleFinally 0300 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 66 89 4D F6 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F5 00 C6 45 F4 00 83 7D F8 00 0F 84 AA 02 00 00 C6 45 F3 01 F6 45 F6 80 75 10 F6 45 F7 01 75 0A F6 45 F7 02 0F 84 F3 00 00 00 8B 45 FC 8B 10 FF 52 10 48 85 C0 0F 8C E2 00 00 00 40 89 45 EC 33 DB 8B D3 8B 45 FC 8B 08 FF 51 0C 8B 50 04 8B 45 F8 8B 08 FF 51 70 8B F0 85 F6 7D 2D F6 45 F6 80 0F 84 AD 00 00 00 83 7D 08 00 74 14 8B D3 8B 45 FC 8B 08 FF 51 0C 8B D0 8B 45 08 E8 ?? ?? ?? ?? C6 45 F3 00 E9 8A 00 00 00 F6 45 F7 01 74 53 8B D6 8B 45 F8 8B 08 FF 51 0C 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 50 8B D3 8B 45 FC 8B 08 FF 51 0C 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 5A E8 ?? ?? ?? ?? 85 C0 74 1E 83 7D 08 00 74 14 8B D3 8B 45 FC 8B 08 FF 51 0C 8B D0 8B 45 08 E8 ?? ?? ?? ?? C6 45 F3 00 F6 45 F7 02 74 2B 8B 45 08 50 8B D6 8B 45 F8 8B 08 FF 51 0C 50 8B D3 8B 45 FC 8B 08 FF 51 0C 0F B7 4D F6 5A E8 ?? ?? ?? ?? 84 C0 75 04 C6 45 F3 00 43 FF 4D EC 0F 85 24 FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F4 00 F6 45 F6 01 74 1F 8B 45 F8 8B 50 04 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 85 C0 74 0A E8 ?? ?? ?? ?? E9 66 01 00 00 F6 45 F6 02 74 19 8B 45 FC 0F B6 40 1C 8B 55 F8 3A 42 1C 74 0A E8 ?? ?? ?? ?? E9 47 01 00 00 F6 45 F6 04 74 31 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC 5A E8 ?? ?? ?? ?? 85 C0 74 0A E8 ?? ?? ?? ?? E9 10 01 00 00 F6 45 F6 08 74 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 74 0A E8 ?? ?? ?? ?? E9 EA 00 00 00 F6 45 F6 10 75 06 F6 45 F6 20 74 7F 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 72 40 89 45 EC 33 DB 8D 4D D8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 10 F6 45 F6 10 74 42 E8 ?? ?? ?? ?? E9 9D 00 00 00 F6 45 F6 20 74 32 8D 4D D4 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 4D D0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D0 5A E8 ?? ?? ?? ?? 85 C0 74 07 E8 ?? ?? ?? ?? EB 65 43 FF 4D EC 75 94 F6 45 F6 40 74 1D 8B 45 FC 8B 10 FF 52 10 8B D8 8B 45 F8 8B 10 FF 52 10 3B D8 74 07 E8 ?? ?? ?? ?? EB 3C C6 45 F4 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 45 F3 22 45 F4 88 45 F5 80 7D F4 00 75 13 83 7D 08 00 74 0D 8B 4D FC 33 D2 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F5 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_45668_0 {
	meta:
		name = "TXmlNode.NodeAdd"
		size = 63
		refs = "0013 TXmlNode.ChangeDocument 0020 _Dn_TList 0025 TObject.Create 0032 TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 2F 89 5E 14 8B 53 18 8B C6 E8 ?? ?? ?? ?? 83 7B 10 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 83 C8 FF 5E 5B C3 }
	condition:
		$1
}

rule function_45669_0 {
	meta:
		name = "TXmlNode.NodeByAttributeValue"
		size = 217
		refs = "001a TXmlNode.NodeByAttributeValue 0054 UTF8CompareText 0071 TXmlNode.GetAttributeByName 00c1 @LStrClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B F1 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 FC 8B 10 FF 52 10 8B F8 4F 85 FF 7C 78 47 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 FC 8B 08 FF 51 0C 8B D8 8B 55 F8 8B 43 04 E8 ?? ?? ?? ?? 85 C0 75 2D 8B D6 8B C3 8B 08 FF 51 50 84 C0 74 20 8D 4D EC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8B 55 0C E8 ?? ?? ?? ?? 85 C0 75 05 89 5D F4 EB 27 80 7D 08 00 74 15 8B 45 0C 50 6A 01 8B CE 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 06 FF 45 F0 4F 75 90 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_45670_0 {
	meta:
		name = "TXmlNode.NodeByElementType"
		size = 72
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B F8 33 C0 89 04 24 8B C7 8B 10 FF 52 10 8B E8 4D 85 ED 7C 23 45 33 F6 8B D6 8B C7 8B 08 FF 51 0C 3A 58 1C 75 0E 8B D6 8B C7 8B 08 FF 51 0C 89 04 24 EB 04 46 4D 75 E0 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45671_0 {
	meta:
		name = "TXmlNode.NodeByName"
		size = 81
		refs = "002e UTF8CompareText"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 33 C0 89 04 24 8B C7 8B 10 FF 52 10 8B D8 4B 85 DB 7C 2C 43 33 F6 8B D6 8B C7 8B 08 FF 51 0C 8B 40 04 8B D5 E8 ?? ?? ?? ?? 85 C0 75 0E 8B D6 8B C7 8B 08 FF 51 0C 89 04 24 EB 04 46 4B 75 D7 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45672_0 {
	meta:
		name = "TXmlNode.NodeDelete"
		size = 49
		refs = "001b TList.Get 0020 TObject.Free 002a TList.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 24 8B C3 8B 10 FF 52 10 3B F0 7D 19 8B D6 8B 43 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45673_0 {
	meta:
		name = "TXmlNode.NodeExchange"
		size = 55
		refs = "002f TList.Exchange"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 26 8B C3 8B 10 FF 52 10 3B F0 7D 1B 85 FF 7C 17 8B C3 8B 10 FF 52 10 3B F8 7D 0C 8B CF 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45674_0 {
	meta:
		name = "TXmlNode.NodeExtract"
		size = 45
		refs = "0013 TList.IndexOf 0023 TList.Delete"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 33 F6 8B 43 10 85 C0 74 17 8B D7 E8 ?? ?? ?? ?? 85 C0 7C 0C 8B F7 8B D0 8B 43 10 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45675_0 {
	meta:
		name = "TXmlNode.NodeFindOrCreate"
		size = 31
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 60 85 C0 75 09 8B D6 8B C3 8B 08 FF 51 7C 5E 5B C3 }
	condition:
		$1
}

rule function_45676_0 {
	meta:
		name = "TXmlNode.NodeIndexByName"
		size = 66
		refs = "001a UTF8CompareText"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 33 DB EB 18 8B D3 8B C6 8B 08 FF 51 0C 8B 40 04 8B D7 E8 ?? ?? ?? ?? 85 C0 74 1A 43 8B C6 8B 10 FF 52 10 3B D8 7C DD 8B C6 8B 10 FF 52 10 3B D8 75 03 83 CB FF 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45677_0 {
	meta:
		name = "TXmlNode.NodeIndexByNameFrom"
		size = 66
		refs = "001a UTF8CompareText"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D9 EB 18 8B D3 8B C6 8B 08 FF 51 0C 8B 40 04 8B D7 E8 ?? ?? ?? ?? 85 C0 74 1A 43 8B C6 8B 10 FF 52 10 3B D8 7C DD 8B C6 8B 10 FF 52 10 3B D8 75 03 83 CB FF 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45678_0 {
	meta:
		name = "TXmlNode.NodeIndexOf"
		size = 23
		refs = "000e TList.IndexOf"
	strings:
		$1 = { 85 D2 74 0F 83 78 10 00 74 09 8B 40 10 E8 ?? ?? ?? ?? C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_45679_0 {
	meta:
		name = "TXmlNode.NodeInsert"
		size = 68
		refs = "0025 _Dn_TList 002a TObject.Create 003c TList.Insert"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 FF 74 33 85 F6 7C 2F 8B C3 8B 10 FF 52 10 3B F0 7F 24 83 7B 10 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 89 5F 14 8B CF 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45680_0 {
	meta:
		name = "TXmlNode.NodeNew"
		size = 43
		refs = "000d _DV_TXmlNode 0012 TXmlNode.CreateName"
	strings:
		$1 = { 56 57 8B FA 8B F0 57 8B 4E 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 5C 8B D0 8B C6 8B 08 FF 51 0C 5F 5E C3 }
	condition:
		$1
}

rule function_45681_0 {
	meta:
		name = "TXmlNode.NodeNewAtIndex"
		size = 63
		refs = "001f _DV_TXmlNode 0024 TXmlNode.CreateName"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 2A 8B C3 8B 10 FF 52 10 3B F0 7F 1F 57 8B 4B 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 8B 18 FF 53 78 EB 02 33 FF 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45682_0 {
	meta:
		name = "TXmlNode.NodeRemove"
		size = 31
		refs = "0007 TXmlNode.NodeIndexOf"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 8B 08 FF 51 64 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_45683_0 {
	meta:
		name = "TXmlNode.NodesByName"
		size = 92
		refs = "0038 UTF8CompareText 004e TList.Add"
	strings:
		$1 = { 53 56 57 55 51 8B E9 89 14 24 8B F8 85 ED 74 46 8B C5 8B 10 FF 52 08 8B C7 8B 10 FF 52 10 8B F0 4E 85 F6 7C 31 46 33 DB 8B D3 8B C7 8B 08 FF 51 0C 8B 40 04 8B 14 24 E8 ?? ?? ?? ?? 85 C0 75 12 8B D3 8B C7 8B 08 FF 51 0C 8B D0 8B C5 E8 ?? ?? ?? ?? 43 4E 75 D2 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45684_0 {
	meta:
		name = "TXmlNode.NodesClear"
		size = 61
		refs = "001c TList.Get 0021 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 8B 10 FF 52 10 8B D8 4B 85 DB 7C 16 43 33 F6 8B 47 10 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 8D 47 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45685_0 {
	meta:
		name = "TXmlNode.ParseTag"
		size = 404
		refs = "001a TXmlNode.ParseTag 0027 _DV_TsdUTF8StringList 002c TObject.Create 004d sdUTF8ParseAttributes 0068 @LStrAsg 008c @LStrCopy 0097 sdUTF8Trim 00b5 sxeMissingElementName 00ba LoadResString 00c4 _Dn_EFilerError 00c9 Exception.Create 00ce @RaiseExcept 00db TsdUTF8StringList.GetItems 00f0 TsdUTF8StringList.Delete 0100 TXmlNode.CheckCreateAttributesList 0120 TObject.Free 0126 @HandleFinally 013d @LStrClr 0145 @UStrClr 0152 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 4D 08 8B D6 8B C7 E8 ?? ?? ?? ?? 0F B6 43 1C 2C 03 74 06 FE C8 74 14 EB 49 8D 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 83 00 00 00 8D 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8B 4D 08 2B CE 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 08 E8 ?? ?? ?? ?? EB 4C 8B 45 FC 83 78 08 00 75 21 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 43 04 E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 78 08 00 7E 12 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 8B 55 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 04 00 00 E4 04 01 00 FF FF FF FF 03 00 00 00 78 6D 6C 00 E4 04 01 00 FF FF FF FF 0E 00 00 00 78 6D 6C 2D 73 74 79 6C 65 73 68 65 65 74 00 00 }
	condition:
		$1
}

rule function_45686_0 {
	meta:
		name = "TXmlNode.QualifyAsDirectNode"
		size = 89
		refs = "0039 TXmlNode.UseFullNodes 004a TXmlNode.GetTreeDepth"
	strings:
		$1 = { 53 8B D8 8B 43 08 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0E 8B C3 8B 10 FF 52 10 85 C0 0F 94 C0 EB 02 33 C0 84 C0 74 09 80 7B 1C 00 0F 94 C0 EB 02 33 C0 84 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 34 01 EB 02 33 C0 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_45687_0 {
	meta:
		name = "TXmlNode.ReadAttributeBool"
		size = 133
		refs = "0019 TXmlNode.ReadAttributeBool 002b TXmlNode.GetAttributeByName 0041 sdStringToBool 0052 @HandleAnyException 005b @DoneExcept 0070 @LStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? 0F B6 5D FB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45688_0 {
	meta:
		name = "TXmlNode.ReadAttributeDateTime"
		size = 149
		refs = "0016 TXmlNode.ReadAttributeDateTime 0028 TXmlNode.GetAttributeByName 0044 sdDateTimeFromStringDefault 0057 @HandleAnyException 0068 @DoneExcept 007d @LStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_45689_0 {
	meta:
		name = "TXmlNode.ReadAttributeFloat"
		size = 204
		refs = "001b TXmlNode.ReadAttributeFloat 002d TXmlNode.GetAttributeByName 0043 sdUTF8StringReplace 004e @UStrFromLStr 0059 @ValExt 0084 @LStrClr 008c @UStrClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D E8 89 4D E4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 E4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? DD 5D F0 9B 83 7D EC 00 7E 0C 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 DD 45 F0 5E 5B 8B E5 5D C2 08 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 2E 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_45690_0 {
	meta:
		name = "TXmlNode.ReadAttributeInteger"
		size = 111
		refs = "0014 TXmlNode.ReadAttributeInteger 0026 TXmlNode.GetAttributeByName 0031 @UStrFromLStr 003b StrToIntDef 0052 @LStrClr 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D7 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45691_0 {
	meta:
		name = "TXmlNode.ReadAttributeInt64"
		size = 128
		refs = "0018 TXmlNode.ReadAttributeInt64 0030 TXmlNode.GetAttributeByName 003b @UStrFromLStr 0043 StrToInt64Def 005e @LStrClr 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F4 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 8B 55 FC 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_45692_0 {
	meta:
		name = "TXmlNode.ReadAttributeString"
		size = 70
		refs = "001a TXmlNode.GetAttributeByName 0039 @LStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 03 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0A 8B C3 8B 55 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_45693_0 {
	meta:
		name = "TXmlNode.ReadBool"
		size = 63
	strings:
		$1 = { 53 56 51 88 0C 24 8B F0 0F B6 04 24 88 44 24 01 8B C6 8B 08 FF 51 70 8B D8 85 DB 7C 19 8B D3 8B C6 8B 08 FF 51 0C 0F B6 14 24 8B 08 FF 91 C8 00 00 00 88 44 24 01 0F B6 44 24 01 5A 5E 5B C3 }
	condition:
		$1
}

rule function_45694_0 {
	meta:
		name = "TXmlNode.ReadBrush"
		size = 156
		refs = "001d TXmlNode.ReadBrush 0030 TBrush.SetColor 004a TBrush.SetStyle 0055 TBrush.SetBitmap"
	strings:
		$1 = { 53 56 57 51 8B F1 89 14 24 8B 14 24 8B 08 FF 51 60 8B D8 85 DB 74 39 B9 FF FF FF 00 BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 A4 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 BC 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? EB 1E 33 D2 8B C6 E8 ?? ?? ?? ?? BA FF FF FF 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 00 E4 04 01 00 FF FF FF FF 05 00 00 00 43 6F 6C 6F 72 00 00 00 E4 04 01 00 FF FF FF FF 05 00 00 00 53 74 79 6C 65 00 00 00 }
	condition:
		$1
}

rule function_45695_0 {
	meta:
		name = "TXmlNode.ReadColor"
		size = 131
		refs = "0015 TXmlNode.ReadColor 003c TXmlNode.GetValueAsString 0047 @UStrFromLStr 004f StrToInt 0066 @LStrClr 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7D FC 8B C6 8B 08 FF 51 70 8B D8 85 DB 7C 26 8B D3 8B C6 8B 08 FF 51 0C 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45696_0 {
	meta:
		name = "TXmlNode.ReadDateTime"
		size = 107
		refs = "0015 TXmlNode.ReadDateTime 003b sdDateTimeFromStringDefault 0054 @LStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 F4 50 33 C9 8B D6 8B C3 8B 18 FF 93 C0 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_45697_0 {
	meta:
		name = "TXmlNode.ReadFloat"
		size = 73
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F0 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 8B C6 8B 08 FF 51 70 8B D8 85 DB 7C 1B FF 75 0C FF 75 08 8B D3 8B C6 8B 08 FF 51 0C 8B 10 FF 92 D0 00 00 00 DD 5D F8 9B DD 45 F8 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_45698_0 {
	meta:
		name = "TXmlNode.ReadFont"
		size = 652
		refs = "001a TXmlNode.ReadFont 0038 TFont.SetStyle 0063 @UStrFromLStr 006d TFont.SetName 0087 TFont.SetColor 00a4 TFont.SetSize 019c @LStrClr 01a4 @UStrClr 01aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F4 89 5D F0 8B D9 89 55 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 08 FF 51 60 8B F0 0F B6 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 F6 0F 84 26 01 00 00 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 38 FF 97 C0 00 00 00 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 97 A4 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? B9 0E 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 38 FF 97 BC 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 97 9C 00 00 00 84 C0 74 1B 8B 43 10 0F B6 40 21 88 45 FB 0F B6 15 ?? ?? ?? ?? 0A 55 FB 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 97 9C 00 00 00 84 C0 74 1B 8B 43 10 0F B6 40 21 88 45 FA 0F B6 15 ?? ?? ?? ?? 0A 55 FA 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 97 9C 00 00 00 84 C0 74 1B 8B 43 10 0F B6 40 21 88 45 F9 0F B6 15 ?? ?? ?? ?? 0A 55 F9 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C6 8B 30 FF 96 9C 00 00 00 84 C0 74 3E 8B 43 10 0F B6 40 21 88 45 F8 0F B6 15 ?? ?? ?? ?? 0A 55 F8 8B C3 E8 ?? ?? ?? ?? EB 21 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA 0E 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 E4 04 01 00 FF FF FF FF 05 00 00 00 41 72 69 61 6C 00 00 00 E4 04 01 00 FF FF FF FF 04 00 00 00 4E 61 6D 65 00 00 00 00 E4 04 01 00 FF FF FF FF 05 00 00 00 43 6F 6C 6F 72 00 00 00 E4 04 01 00 FF FF FF FF 04 00 00 00 53 69 7A 65 00 00 00 00 E4 04 01 00 FF FF FF FF 04 00 00 00 42 6F 6C 64 00 00 00 00 01 00 00 00 E4 04 01 00 FF FF FF FF 06 00 00 00 49 74 61 6C 69 63 00 00 02 00 00 00 E4 04 01 00 FF FF FF FF 09 00 00 00 55 6E 64 65 72 6C 69 6E 65 00 00 00 04 00 00 00 E4 04 01 00 FF FF FF FF 09 00 00 00 53 74 72 69 6B 65 6F 75 74 00 00 00 08 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 72 00 69 00 61 00 6C 00 00 00 }
	condition:
		$1
}

rule function_45699_0 {
	meta:
		name = "AddCharDataNode"
		size = 212
		refs = "0010 AddCharDataNode 003d @LStrCopy 005a sdUTF8Trim 0082 _DV_TXmlNode 0087 TXmlNode.CreateType 0094 @LStrAsg 00c3 @LStrArrayClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 78 FC 00 0F 8E 86 00 00 00 8D 45 FC 50 8B 45 08 8B 48 FC 8B 45 08 8B 40 F8 BA 01 00 00 00 E8 ?? ?? ?? ?? 84 DB 74 0E 8B 45 FC 85 C0 74 24 83 E8 04 8B 00 EB 1D 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 31 6A 0C 8B 45 08 8B 40 F4 8B 48 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 43 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B D3 8B 08 FF 51 5C 8B 45 08 33 D2 89 50 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45700_0 {
	meta:
		name = "TXmlNode.ReadFromStream"
		size = 2000
		refs = "0033 TXmlNode.ReadFromStream 0041 TXmlNode.AbortParsing 0067 @LStrSetLength 0077 _DV_TsdSurplusReader 007c TsdSurplusReader.Create 0098 TsdSurplusReader.ReadCharSkipBlanks 00a1 @TryFinallyExit 00b8 ReadOpenTag 00db cTags 011c ReadStringFromStreamUntil 015c TXmlNode.ParseTag 016e TNativeXml.DoNodeNew 01d9 sxeMissingCloseTag 01de LoadResString 01e8 _Dn_EFilerError 01ed Exception.CreateFmt 01f2 @RaiseExcept 0226 sxeMissingDataAfterGreaterThan 027a sxeMissingLessThanInCloseTag 029e sdUTF8Trim 02ac UTF8CompareText 02cb sxeIncorrectCloseTag 02ec @LStrClr 02f9 AddCharDataNode 031e _DV_TXmlNode 0323 TXmlNode.Create 0359 TXmlNode.NodeIndexOf 038f @UniqueStringA 0450 @LStrCopy 0490 @LStrAsg 04ac TXmlNode.SetName 050c ReadStringFromStreamWithQuotes 0521 _DV_TsdUTF8StringList 0526 TObject.Create 054b sdUTF8ParseAttributes 0561 TsdUTF8StringList.GetItems 0576 TsdUTF8StringList.Delete 0581 TsdUTF8StringList.GetText 05af TObject.Free 05b5 @HandleFinally 06c3 TStream.GetPosition 06d0 TNativeXml.DoProgress 06de TNativeXml.DoNodeLoaded 071d @LStrArrayClr 0725 @UStrClr 073a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 C9 89 4D B4 89 4D B0 89 4D B8 89 4D C0 89 4D C4 89 4D C8 89 4D CC 89 4D D0 89 4D F0 89 4D F8 89 55 EC 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 85 BA 06 00 00 8B 45 F4 8B 10 FF 52 4C 33 C0 89 45 FC BE 50 00 00 00 8D 45 F8 33 C9 8B D6 E8 ?? ?? ?? ?? 33 DB C6 45 EA 00 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 EB 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 5D 06 00 00 80 7D EB 3C 0F 85 36 06 00 00 8B 45 DC E8 ?? ?? ?? ?? 8B F8 85 FF 0F 8C 24 06 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 04 7F 0F B6 04 85 ?? ?? ?? ?? 8B 55 F4 88 42 1C 8B D0 80 EA 01 72 1D 80 C2 FE 80 EA 02 72 15 0F 84 A9 03 00 00 4A 80 EA 04 0F 82 F7 03 00 00 E9 E7 04 00 00 6A 01 8D 4D F0 8D 04 7F 8B 14 85 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 8B F8 C6 45 E3 00 8B 45 F4 80 78 1C 00 75 13 85 FF 7E 0F 8B 45 F0 80 7C 38 FF 2F 75 05 4F C6 45 E3 01 47 57 B9 01 00 00 00 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 18 85 C0 74 23 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7A 05 00 00 80 7D E3 00 75 0D 8B 45 F4 0F B6 40 1C 04 FD 2C 02 73 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 58 05 00 00 8D 55 EB B9 01 00 00 00 8B 45 EC 8B 38 FF 57 0C 48 74 34 8B 45 F4 8B 40 04 89 45 D4 C6 45 D8 0B 8D 45 D4 50 6A 00 8D 55 D0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D EB 3C 0F 85 69 01 00 00 8D 55 EB 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 34 8B 45 F4 8B 40 04 89 45 D4 C6 45 D8 0B 8D 45 D4 50 6A 00 8D 55 CC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D EB 2F 0F 85 A8 00 00 00 6A 01 8D 4D F0 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 34 8B 45 F4 8B 40 04 89 45 D4 C6 45 D8 0B 8D 45 D4 50 6A 00 8D 55 C8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 C4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 C4 8B 55 F4 8B 52 04 E8 ?? ?? ?? ?? 85 C0 74 34 8B 45 F4 8B 40 04 89 45 D4 C6 45 D8 0B 8D 45 D4 50 6A 00 8D 55 C0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? E9 B9 00 00 00 55 33 C0 E8 ?? ?? ?? ?? 59 33 DB C6 45 EA 01 66 B9 01 00 BA FE FF FF FF 8B 45 EC 8B 38 FF 57 14 8B 45 F4 8B 48 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D7 8B 45 F4 8B 08 FF 51 5C 8B 55 EC 8B C7 8B 08 FF 51 14 8B 45 F4 8B 40 18 85 C0 74 57 80 78 0C 00 74 51 80 7F 1C 01 75 4B 8B D7 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 08 FF 51 64 EB 35 80 7D EB 0D 75 02 B3 01 FF 45 FC 3B 75 FC 7D 12 81 C6 00 08 00 00 8D 45 F8 33 C9 8B D6 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 0F B6 4D EB 88 4C 10 FF 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 01 FE FF FF 55 0F B6 45 EA 34 01 E8 ?? ?? ?? ?? 59 84 5D EA 0F 84 94 00 00 00 8B 45 F4 8B 10 FF 52 10 8B F8 4F 85 FF 0F 8C 81 00 00 00 47 33 F6 8B D6 8B 45 F4 8B 08 FF 51 0C 80 78 1C 0C 75 6A 8B D6 8B 45 F4 8B 08 FF 51 0C 8B 40 08 89 45 BC 8B 45 BC 85 C0 74 05 83 E8 04 8B 00 8B D8 EB 01 4B 85 DB 7E 1E 8B D6 8B 45 F4 8B 08 FF 51 0C 8B 40 08 0F B6 44 18 FF 2C 0A 74 E5 2C 03 74 E1 2C 13 74 DD 8B D6 8B 45 F4 8B 08 FF 51 0C 83 C0 08 50 8B D6 8B 45 F4 8B 08 FF 51 0C 8B 40 08 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 46 4F 75 82 8B 45 F4 8B 10 FF 52 10 85 C0 0F 8E 35 02 00 00 33 D2 8B 45 F4 8B 08 FF 51 0C 80 78 1C 0C 0F 85 21 02 00 00 33 D2 8B 45 F4 8B 08 FF 51 0C 8B 50 08 8B 45 F4 83 C0 08 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 08 FF 51 64 E9 FA 01 00 00 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 18 85 C0 74 23 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2A 02 00 00 8B 45 F4 8B 40 18 85 C0 0F 84 B2 01 00 00 8B 4D EC 8B 55 F4 8B 18 FF 53 14 E9 A2 01 00 00 8D 4D F0 8D 04 7F 8B 14 85 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 50 8D 4F 01 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E4 83 78 08 00 7E 22 8D 4D B8 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 8D 55 B0 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 B0 8D 55 B4 E8 ?? ?? ?? ?? 8B 55 B4 8B 45 F4 83 C0 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B 40 18 85 C0 0F 84 D4 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 BC 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 17 01 00 00 FE C8 74 0E FE C8 74 19 2C 08 74 24 FE C8 74 2F EB 3C BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 3A BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 2B BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 1C BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 0D BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 18 85 C0 74 23 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8F 00 00 00 6A 00 8D 4D F0 8D 04 7F 8B 14 85 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 45 F4 83 C0 08 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 83 78 18 00 74 2F 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 23 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 18 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 18 8B 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BE 5F 5E 5B 8B E5 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 3E 00 00 00 E4 04 01 00 FF FF FF FF 03 00 00 00 44 54 44 00 E4 04 01 00 FF FF FF FF 07 00 00 00 43 6F 6D 6D 65 6E 74 00 E4 04 01 00 FF FF FF FF 05 00 00 00 43 44 61 74 61 00 00 00 E4 04 01 00 FF FF FF FF 07 00 00 00 53 70 65 63 69 61 6C 00 E4 04 01 00 FF FF FF FF 07 00 00 00 55 6E 6B 6E 6F 77 6E 00 }
	condition:
		$1
}

rule function_45701_0 {
	meta:
		name = "TXmlNode.ReadFromString"
		size = 81
		refs = "000a _DV_TsdUTF8StringStream 0011 TsdUTF8StringStream.Create 001c TXmlNode.ReadFromString 0041 TObject.Free 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F0 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_45702_0 {
	meta:
		name = "TXmlNode.ReadInt64"
		size = 78
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F0 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 8B C6 8B 08 FF 51 70 8B D8 85 DB 7C 1D FF 75 0C FF 75 08 8B D3 8B C6 8B 08 FF 51 0C 8B 10 FF 92 D4 00 00 00 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_45703_0 {
	meta:
		name = "TXmlNode.ReadInteger"
		size = 59
	strings:
		$1 = { 53 56 57 55 51 8B F9 89 14 24 8B F0 8B EF 8B 14 24 8B C6 8B 08 FF 51 70 8B D8 85 DB 7C 15 8B D3 8B C6 8B 08 FF 51 0C 8B D7 8B 08 FF 91 D8 00 00 00 8B E8 8B C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45704_0 {
	meta:
		name = "TXmlNode.ReadPen"
		size = 252
		refs = "0013 TXmlNode.ReadPen 0026 TPen.SetColor 0043 TPen.SetMode 005d TPen.SetStyle 007a TPen.SetWidth"
	strings:
		$1 = { 53 56 57 8B F1 8B 08 FF 51 60 8B D8 85 DB 74 70 33 C9 BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 A4 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? B9 04 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 BC 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 BC 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? B9 01 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 BC 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? EB 27 33 D2 8B C6 E8 ?? ?? ?? ?? B2 04 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 E4 04 01 00 FF FF FF FF 05 00 00 00 43 6F 6C 6F 72 00 00 00 E4 04 01 00 FF FF FF FF 04 00 00 00 4D 6F 64 65 00 00 00 00 E4 04 01 00 FF FF FF FF 05 00 00 00 53 74 79 6C 65 00 00 00 E4 04 01 00 FF FF FF FF 05 00 00 00 57 69 64 74 68 00 00 00 }
	condition:
		$1
}

rule function_45705_0 {
	meta:
		name = "TXmlNode.ReadString"
		size = 66
		refs = "0017 @LStrAsg 0036 TXmlNode.GetValueAsString"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 70 8B F0 85 F6 7C 10 8B D6 8B C3 8B 08 FF 51 0C 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_45706_0 {
	meta:
		name = "TXmlNode.ReadUnicodeString"
		size = 119
		refs = "0016 TXmlNode.ReadUnicodeString 002d TXmlNode.FromUnicodeString 0049 TXmlNode.ToUnicodeString 0063 @LStrArrayClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8B D6 8B C3 8B 30 FF 96 C0 00 00 00 8B 55 F8 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_45707_0 {
	meta:
		name = "SplitReference"
		size = 228
		refs = "0014 @LStrClr 001b SplitReference 0020 Utf8Pos 0033 @LStrAsg 004a @LStrCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 89 55 FC 8B F8 8B 45 08 E8 ?? ?? ?? ?? 8B D7 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B C6 8B D7 E8 ?? ?? ?? ?? 85 DB 74 7E 8B 45 FC 50 8B CB 49 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 89 7D F4 8B 45 F4 89 45 F8 83 7D F8 00 74 0B 8B 45 F8 83 E8 04 8B 00 89 45 F8 56 8D 53 01 8B 4D F8 8B C7 E8 ?? ?? ?? ?? 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 31 8B 45 08 50 8B CB 49 8B 06 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 06 89 45 F4 8B 7D F4 85 FF 74 05 83 EF 04 8B 3F 56 8D 53 01 8B 06 8B CF E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 26 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_45708_0 {
	meta:
		name = "ReplaceEntityReferenceByNodes"
		size = 400
		refs = "001b ReplaceEntityReferenceByNodes 0036 SplitReference 0075 TNativeXml.GetEntityByName 0096 Utf8Pos 00a8 _DV_TsdUTF8StringStream 00ad TsdUTF8StringStream.Create 00d0 _DV_TXmlNode 00d5 TXmlNode.Create 00f3 TObject.Free 011e TStream.GetPosition 014c @HandleFinally 0168 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D FC 89 5D F8 89 4D F0 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 8D 45 FC 50 8B 4D 08 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 75 04 B0 01 EB 0F 8B 45 10 8B 40 FC 83 78 18 00 0F 95 C0 34 01 84 C0 0F 85 ED 00 00 00 8D 4D F8 8B 45 10 8B 40 FC 8B 40 18 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E C5 00 00 00 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E B0 00 00 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 4D 8B 45 10 8B 40 FC 8B 48 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 E8 8B C3 8B 08 FF 51 14 8B C3 8B 10 FF 52 58 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 18 8B 55 F0 8B 12 8B CB 8B 45 F4 8B 18 FF 53 78 8B 45 F0 FF 00 C6 45 EF 01 8B 45 E8 8B 10 FF 12 52 50 8B 45 E8 E8 ?? ?? ?? ?? 3B 54 24 04 75 09 3B 04 24 5A 58 72 95 EB 04 5A 58 7C 8F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 EF 5B 8B E5 5D C2 08 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 3C 00 00 00 }
	condition:
		$1
}

rule function_45709_0 {
	meta:
		name = "TXmlNode.ResolveEntityReferences"
		size = 868
		refs = "0018 TXmlNode.ResolveEntityReferences 0061 ReplaceEntityReferenceByNodes 0078 @LStrAsg 0083 sdUTF8Trim 00ac _DV_TXmlNode 00b1 TXmlNode.CreateType 00f8 TXmlNode.NodeIndexOf 015e @LStrClr 01b8 TXmlNode.GetAttributeCount 01d3 TXmlNode.GetAttributeValue 01ed SplitReference 0216 TNativeXml.GetEntityByName 0231 @LStrLAsg 024d @LStrCatN 026b @LStrLen 027e @LStrCat 028b TXmlNode.SetAttributeValue 031d @LStrArrayClr 0338 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 7B 01 00 00 8B 45 FC 80 78 1C 00 0F 85 8E 00 00 00 33 C0 89 45 D8 55 8D 45 F8 50 8D 45 F4 50 8D 4D D8 8B 45 FC 8B 50 08 8B 45 FC E8 ?? ?? ?? ?? 59 84 C0 0F 84 46 01 00 00 8B 45 FC 83 C0 08 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D4 89 45 D0 8B 45 D0 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 13 01 00 00 6A 0C 8B 45 FC 8B 48 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 43 08 8B 55 F4 E8 ?? ?? ?? ?? 8B CB 8B 55 D8 8B 45 FC 8B 18 FF 53 78 E9 E0 00 00 00 8B 45 FC 80 78 1C 0C 0F 85 D3 00 00 00 8B 45 FC 83 78 14 00 0F 84 C6 00 00 00 8B 45 FC 8B 40 14 8B 55 FC E8 ?? ?? ?? ?? 89 45 D8 55 8D 45 F8 50 8D 45 F4 50 8D 4D D8 8B 45 FC 8B 50 08 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 59 84 C0 0F 84 8F 00 00 00 8B 45 FC 83 C0 08 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 8B 45 D0 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0B 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 C8 89 45 D0 8B 45 D0 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 31 6A 0C 8B 45 FC 8B 48 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 43 08 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B CB 8B 55 D8 8B 18 FF 53 78 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C D0 00 00 00 46 33 DB 8D 4D DC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 4D DC 8D 55 E0 8B 45 DC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 48 8D 4D E4 8B 45 FC 8B 40 18 8B 55 EC E8 ?? ?? ?? ?? 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0D 8D 45 E8 8B 55 E4 E8 ?? ?? ?? ?? EB 1A 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F0 FF 75 E0 FF 75 E8 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 85 68 FF FF FF 8D 45 F0 8B 55 DC E8 ?? ?? ?? ?? 8B 4D F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 43 4E 0F 85 33 FF FF FF 33 DB EB 10 8B D3 8B 45 FC 8B 08 FF 51 0C E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 3B D8 7C E4 8B 45 FC 8B 10 FF 52 10 8B D8 4B 83 FB 00 7C 40 8B D3 8B 45 FC 8B 08 FF 51 0C 80 78 1C 0C 75 2A 8B D3 8B 45 FC 8B 08 FF 51 0C 8B 40 08 89 45 D0 8B 45 D0 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0A 8B D3 8B 45 FC 8B 08 FF 51 64 4B 83 FB FF 75 C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 DC BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 E4 04 01 00 FF FF FF FF 01 00 00 00 26 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_45710_0 {
	meta:
		name = "TXmlNode.SetAttributeByName"
		size = 112
		refs = "0014 TXmlNode.SetAttributeByName 0021 TXmlNode.CheckCreateAttributesList 002b sdUTF8EscapeString 0036 sdUTF8QuotedString 0043 TsdUTF8StringList.SetValues 005d @LStrArrayClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45711_0 {
	meta:
		name = "TXmlNode.SetAttributeByNameWide"
		size = 87
		refs = "0012 TXmlNode.SetAttributeByNameWide 0024 TXmlNode.FromUnicodeString 0030 TXmlNode.SetAttributeByName 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45715_0 {
	meta:
		name = "TXmlNode.SetAttributeValueAsUnicodeString"
		size = 87
		refs = "0012 TXmlNode.SetAttributeValueAsUnicodeString 0024 TXmlNode.FromUnicodeString 0030 TXmlNode.SetAttributeValue 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45712_0 {
	meta:
		name = "TXmlNode.SetAttributeName"
		size = 204
		refs = "0019 TXmlNode.SetAttributeName 002a TXmlNode.GetAttributeCount 003b TsdUTF8StringList.GetItems 0048 Utf8Pos 006a @LStrCopy 007a @LStrCatN 0087 TsdUTF8StringList.SetItems 00a1 @LStrArrayClr 00a9 @LStrClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 64 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 59 8D 4D FC 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 7E 39 FF 75 F8 68 ?? ?? ?? ?? 8D 45 F0 50 8D 57 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? FF 75 F0 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8B D6 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 E4 04 01 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_45713_0 {
	meta:
		name = "TXmlNode.SetAttributeValue"
		size = 176
		refs = "0018 TXmlNode.SetAttributeValue 0029 TXmlNode.GetAttributeCount 0039 TXmlNode.GetAttributeName 004b sdUTF8EscapeString 0056 sdUTF8QuotedString 0066 @LStrCatN 0073 TsdUTF8StringList.SetItems 008d @LStrArrayClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 51 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 46 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 E4 04 01 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_45716_0 {
	meta:
		name = "TXmlNode.SetAttributeValueDirect"
		size = 164
		refs = "0016 TXmlNode.SetAttributeValueDirect 0027 TXmlNode.GetAttributeCount 0037 TXmlNode.GetAttributeName 0049 sdUTF8QuotedString 0059 @LStrCatN 0066 TsdUTF8StringList.SetItems 0080 @LStrArrayClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 46 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 3B 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 8B C7 E8 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 E4 04 01 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_45717_0 {
	meta:
		name = "TXmlNode.SetBinaryEncoding"
		size = 11
	strings:
		$1 = { 8B 48 18 85 C9 74 03 88 51 05 C3 }
	condition:
		$1
}

rule function_45718_0 {
	meta:
		name = "TXmlNode.SetBinaryString"
		size = 155
		refs = "0011 TXmlNode.GetBinaryEncoding 001c TXmlNode.SetBinaryString 002c TXmlNode.SetBinaryEncoding 004b TXmlNode.SetValueAsString 0050 @TryFinallyExit 0064 @LStrToPChar 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 B2 01 8B 45 FC E8 ?? ?? ?? ?? 89 75 F4 8B 55 F4 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 75 11 33 D2 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3F 8B DA 85 DB 74 05 83 EB 04 8B 1B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CB 8B 45 FC 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 FB 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45719_0 {
	meta:
		name = "TXmlNode.SetName"
		size = 207
		refs = "0019 TXmlNode.SetName 002c @LStrEqual 0055 cControlChars 0063 sxeIllegalCharInNodeName 0068 LoadResString 007e Format 0088 _Dn_Exception 008d Exception.Create 0092 @RaiseExcept 00a3 @LStrAsg 00bd @UStrArrayClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D F4 89 4D F0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 74 75 89 5D F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 55 BE 01 00 00 00 0F B6 54 33 FF 0F B6 D2 0F A3 15 ?? ?? ?? ?? 73 3B 8D 45 F4 50 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 89 5D E8 C6 45 EC 0B 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 48 75 B0 8B 45 FC 83 C0 04 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45720_0 {
	meta:
		name = "TXmlNode.SetValueAsBool"
		size = 80
		refs = "000f TXmlNode.SetValueAsBool 001f sdStringFromBool 002a @LStrAsg 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45721_0 {
	meta:
		name = "TXmlNode.SetValueAsDateTime"
		size = 81
		refs = "000c TXmlNode.SetValueAsDateTime 0020 sdDateTimeToString 002a TXmlNode.SetValueAsString 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_45722_0 {
	meta:
		name = "TXmlNode.SetValueAsFloat"
		size = 98
		refs = "000c TXmlNode.SetValueAsFloat 001f TXmlNode.FloatAllowScientific 0027 TXmlNode.FloatSignificantDigits 0030 sdWriteNumber 003b @LStrAsg 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 5A E8 ?? ?? ?? ?? 8B 55 FC 8D 43 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_45723_0 {
	meta:
		name = "TXmlNode.SetValueAsInt64"
		size = 79
		refs = "000c TXmlNode.SetValueAsInt64 001d IntToUTF8Str 0028 @LStrAsg 003d @LStrClr 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 08 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_45724_0 {
	meta:
		name = "TXmlNode.SetValueAsInteger"
		size = 80
		refs = "000f TXmlNode.SetValueAsInteger 001f IntToUTF8Str 002a @LStrAsg 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45725_0 {
	meta:
		name = "TXmlNode.SetValueAsString"
		size = 80
		refs = "000f TXmlNode.SetValueAsString 001f sdUTF8EscapeString 002a @LStrAsg 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45726_0 {
	meta:
		name = "TXmlNode.SetValueAsUnicodeString"
		size = 81
		refs = "000f TXmlNode.SetValueAsUnicodeString 0021 TXmlNode.FromUnicodeString 002b TXmlNode.SetValueAsString 0040 @LStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45727_0 {
	meta:
		name = "DoNodeCompare"
		size = 86
		refs = "004f UTF8CompareText"
	strings:
		$1 = { 55 8B EC 53 8B 4D 08 83 79 FC 00 74 11 8B 4D 08 8B 59 FC 8B 4D 08 8B 49 F8 FF D3 5B 5D C3 8B 4D 08 8B 49 F4 8B 49 18 85 C9 74 1D 66 83 79 2A 00 74 16 52 8B 55 08 8B 52 F8 52 8B D9 8B D1 8B C8 8B 43 2C FF 53 28 EB 0B 8B 52 04 8B 40 04 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_45728_0 {
	meta:
		name = "QuickSort"
		size = 207
		refs = "0043 DoNodeCompare 0088 TXmlNode.NodeExchange 00af QuickSort"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 5D FC 8B 75 F8 8D 3C 1E D1 FF 79 06 83 D7 00 EB 01 43 8B 45 08 50 8B 45 08 8B 40 F4 8B D7 8B 08 FF 51 0C 50 8B 45 08 8B 40 F4 8B D3 8B 08 FF 51 0C 5A E8 ?? ?? ?? ?? 59 85 C0 7C D5 EB 01 4E 8B 45 08 50 8B 45 08 8B 40 F4 8B D7 8B 08 FF 51 0C 50 8B 45 08 8B 40 F4 8B D6 8B 08 FF 51 0C 5A E8 ?? ?? ?? ?? 59 85 C0 7F D5 3B F3 7C 1F 8B 45 08 8B 40 F4 8B CE 8B D3 E8 ?? ?? ?? ?? 3B DF 75 04 8B FE EB 06 3B F7 75 02 8B FB 43 4E 3B F3 7D 82 3B 75 FC 7E 0F 8B 45 08 50 8B D6 8B 45 FC E8 ?? ?? ?? ?? 59 3B 5D F8 7D 0F 8B 45 08 50 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 59 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45729_0 {
	meta:
		name = "TXmlNode.SortChildNodes"
		size = 50
		refs = "0029 QuickSort"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F8 89 55 FC 89 45 F4 8B 45 F4 8B 10 FF 52 10 48 7E 14 55 8B 45 F4 8B 10 FF 52 10 8B D0 4A 33 C0 E8 ?? ?? ?? ?? 59 8B E5 5D C3 }
	condition:
		$1
}

rule function_45732_0 {
	meta:
		name = "TXmlNode.UseFullNodes"
		size = 16
	strings:
		$1 = { 33 D2 8B 48 18 85 C9 74 04 0F B6 51 20 8B C2 C3 }
	condition:
		$1
}

rule function_45733_0 {
	meta:
		name = "TXmlNode.ValueAsBoolDef"
		size = 60
		refs = "001a sdUpCase"
	strings:
		$1 = { 53 8B DA 8B 50 08 85 D2 74 05 83 EA 04 8B 12 85 D2 74 25 8B 40 08 0F B6 00 E8 ?? ?? ?? ?? 8B D0 80 EA 54 74 05 80 EA 05 75 04 B3 01 EB 0A 2C 46 74 04 2C 08 75 02 33 DB 8B C3 5B C3 }
	condition:
		$1
}

rule function_45734_0 {
	meta:
		name = "TXmlNode.ValueAsDateTimeDef"
		size = 95
		refs = "0012 TXmlNode.ValueAsDateTimeDef 0028 TXmlNode.GetValueAsString 0030 sdDateTimeFromStringDefault 0049 @LStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_45735_0 {
	meta:
		name = "TXmlNode.ValueAsFloatDef"
		size = 228
		refs = "0017 TXmlNode.ValueAsFloatDef 0041 sdUTF8StringReplace 004c @UStrFromLStr 0057 @ValExt 007c @HandleAnyException 008d @DoneExcept 00a2 @LStrClr 00aa @UStrClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 F0 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 50 8B 43 08 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? DD 5D F8 9B 83 7D F4 00 7E 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 8B 45 08 89 45 F8 8B 45 0C 89 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 DD 45 F8 5F 5E 5B 8B E5 5D C2 08 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 2E 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_45736_0 {
	meta:
		name = "TXmlNode.ValueAsInt64Def"
		size = 101
		refs = "0012 TXmlNode.ValueAsInt64Def 0029 @UStrFromLStr 0031 StrToInt64Def 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 F4 8B 53 08 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_45737_0 {
	meta:
		name = "TXmlNode.ValueAsIntegerDef"
		size = 84
		refs = "000f TXmlNode.ValueAsIntegerDef 0020 @UStrFromLStr 002a StrToIntDef 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45738_0 {
	meta:
		name = "TXmlNode.WriteAttributeBool"
		size = 155
		refs = "0017 TXmlNode.WriteAttributeBool 0024 TXmlNode.GetWriteOnDefault 0037 TXmlNode.AttributeIndexByname 0047 sdStringFromBool 0053 TXmlNode.SetAttributeValue 006c TXmlNode.AttributeAdd 0086 @LStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 75 05 3A 5D 08 74 3F 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 18 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B D7 8B C6 E8 ?? ?? ?? ?? EB 17 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_45739_0 {
	meta:
		name = "TXmlNode.WriteAttributeDateTime"
		size = 163
		refs = "0012 TXmlNode.WriteAttributeDateTime 001f TXmlNode.GetWriteOnDefault 0038 TXmlNode.AttributeIndexByname 004c sdDateTimeToString 0058 TXmlNode.SetAttributeValue 0074 TXmlNode.AttributeAdd 008e @LStrArrayClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C DD 45 10 DC 5D 08 9B DF E0 9E 74 45 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 1C FF 75 14 FF 75 10 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? EB 1A FF 75 14 FF 75 10 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_45740_0 {
	meta:
		name = "TXmlNode.WriteAttributeFloat"
		size = 157
		refs = "0010 TXmlNode.WriteAttributeFloat 001d TXmlNode.GetWriteOnDefault 0036 TXmlNode.AttributeIndexByname 0045 TXmlNode.FloatAllowScientific 004d TXmlNode.FloatSignificantDigits 0056 sdWriteNumber 0066 TXmlNode.SetAttributeValue 0074 TXmlNode.AttributeAdd 0089 @LStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C DD 45 10 DC 5D 08 9B DF E0 9E 74 47 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 FF 75 14 FF 75 10 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 5A E8 ?? ?? ?? ?? 85 F6 7C 0E 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0C 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_45741_0 {
	meta:
		name = "TXmlNode.WriteAttributeInteger"
		size = 155
		refs = "0017 TXmlNode.WriteAttributeInteger 0024 TXmlNode.GetWriteOnDefault 0037 TXmlNode.AttributeIndexByname 0047 IntToUTF8Str 0053 TXmlNode.SetAttributeValue 006c TXmlNode.AttributeAdd 0086 @LStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 05 3B 75 08 74 3F 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 18 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? EB 17 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_45742_0 {
	meta:
		name = "TXmlNode.WriteAttributeInt64"
		size = 161
		refs = "0012 TXmlNode.WriteAttributeInt64 001f TXmlNode.GetWriteOnDefault 003c TXmlNode.AttributeIndexByname 004d IntToUTF8Str 0059 TXmlNode.SetAttributeValue 0072 TXmlNode.AttributeAdd 008c @LStrArrayClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 10 8B 55 14 3B 55 0C 75 03 3B 45 08 74 3F 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 19 8D 55 FC 8B 45 10 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? EB 17 8D 55 F8 8B 45 10 E8 ?? ?? ?? ?? 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_45743_0 {
	meta:
		name = "TXmlNode.WriteAttributeString"
		size = 79
		refs = "000f TXmlNode.GetWriteOnDefault 001d @LStrEqual 0028 TXmlNode.AttributeIndexByname 0037 TXmlNode.SetAttributeValue 0044 TXmlNode.AttributeAdd"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C 8B C6 8B 55 08 E8 ?? ?? ?? ?? 74 25 8B D7 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0D 8B CE 8B D0 8B C3 E8 ?? ?? ?? ?? EB 0B 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_45744_0 {
	meta:
		name = "TXmlNode.WriteBool"
		size = 59
		refs = "000f TXmlNode.GetWriteOnDefault 002b cBoolValues 0030 TXmlNode.SetValueAsString"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 05 3A 5D 08 74 18 8B D7 8B C6 8B 08 FF 51 6C 0F B6 D3 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_45745_0 {
	meta:
		name = "TXmlNode.WriteBrush"
		size = 116
		refs = "001c TXmlNode.WriteBrush"
	strings:
		$1 = { 53 56 57 51 8B F1 89 14 24 8B 14 24 8B 08 FF 51 6C 8B D8 6A 00 8B 46 10 8B 48 18 BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 FC 00 00 00 6A 00 8B 46 10 0F B6 48 20 83 E1 7F BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 18 01 00 00 5A 5F 5E 5B C3 00 00 E4 04 01 00 FF FF FF FF 05 00 00 00 43 6F 6C 6F 72 00 00 00 E4 04 01 00 FF FF FF FF 05 00 00 00 53 74 79 6C 65 00 00 00 }
	condition:
		$1
}

rule function_45746_0 {
	meta:
		name = "TXmlNode.WriteColor"
		size = 60
		refs = "000f TXmlNode.GetWriteOnDefault 0023 ColorToRGB"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 05 3B 75 08 74 19 6A 08 6A 00 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C3 8B 18 FF 93 10 01 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_45747_0 {
	meta:
		name = "TXmlNode.WriteDateTime"
		size = 115
		refs = "000f TXmlNode.WriteDateTime 001c TXmlNode.GetWriteOnDefault 003c sdDateTimeToString 0060 @LStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C DD 45 10 DC 5D 08 9B DF E0 9E 74 1F 6A 00 FF 75 14 FF 75 10 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 8B 18 FF 93 1C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_45748_0 {
	meta:
		name = "TXmlNode.WriteFloat"
		size = 135
		refs = "000f TXmlNode.WriteFloat 001c TXmlNode.GetWriteOnDefault 0044 TXmlNode.FloatAllowScientific 004c TXmlNode.FloatSignificantDigits 0055 sdWriteNumber 005f TXmlNode.SetValueAsString 0074 @LStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C DD 45 10 DC 5D 08 9B DF E0 9E 74 33 8B D6 8B C3 8B 08 FF 51 6C 8B D8 FF 75 14 FF 75 10 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 5A E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_45749_0 {
	meta:
		name = "TXmlNode.WriteFont"
		size = 476
		refs = "0012 TXmlNode.WriteFont 002f TFont.GetName 003f @LStrFromUStr 0072 TFont.GetSize 0118 @UStrClr 0120 @LStrClr 0126 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 08 FF 51 6C 8B D8 68 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C3 8B 30 FF 96 1C 01 00 00 6A 00 8B 45 FC 8B 48 18 BA ?? ?? ?? ?? 8B C3 8B 30 FF 96 FC 00 00 00 6A 0E 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 8B 30 FF 96 18 01 00 00 8B 45 FC 8B 40 10 0F B6 40 21 6A 00 A8 01 0F 95 C1 BA ?? ?? ?? ?? 8B C3 8B 30 FF 96 F4 00 00 00 8B 45 FC 8B 40 10 0F B6 40 21 6A 00 A8 02 0F 95 C1 BA ?? ?? ?? ?? 8B C3 8B 30 FF 96 F4 00 00 00 8B 45 FC 8B 40 10 0F B6 40 21 6A 00 A8 04 0F 95 C1 BA ?? ?? ?? ?? 8B C3 8B 30 FF 96 F4 00 00 00 8B 45 FC 8B 40 10 0F B6 40 21 6A 00 A8 08 0F 95 C1 BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 F4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 E4 04 01 00 FF FF FF FF 05 00 00 00 41 72 69 61 6C 00 00 00 E4 04 01 00 FF FF FF FF 04 00 00 00 4E 61 6D 65 00 00 00 00 E4 04 01 00 FF FF FF FF 05 00 00 00 43 6F 6C 6F 72 00 00 00 E4 04 01 00 FF FF FF FF 04 00 00 00 53 69 7A 65 00 00 00 00 E4 04 01 00 FF FF FF FF 04 00 00 00 42 6F 6C 64 00 00 00 00 E4 04 01 00 FF FF FF FF 06 00 00 00 49 74 61 6C 69 63 00 00 E4 04 01 00 FF FF FF FF 09 00 00 00 55 6E 64 65 72 6C 69 6E 65 00 00 00 E4 04 01 00 FF FF FF FF 09 00 00 00 53 74 72 69 6B 65 6F 75 74 00 00 00 }
	condition:
		$1
}

rule function_45750_0 {
	meta:
		name = "TXmlNode.WriteHex"
		size = 184
		refs = "0016 TXmlNode.WriteHex 0023 TXmlNode.GetWriteOnDefault 0044 IntToHex 0054 @LStrFromUStr 0064 @LStrCat3 006e TXmlNode.SetValueAsString 0083 @UStrClr 0090 @LStrArrayClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 05 3B 75 08 74 42 8B D7 8B C3 8B 08 FF 51 6C 8B D8 8D 4D F4 8B 55 0C 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_45751_0 {
	meta:
		name = "TXmlNode.WriteInnerTag"
		size = 192
		refs = "0017 TXmlNode.WriteInnerTag 0024 @LStrClr 002c TXmlNode.GetAttributeCount 004a TXmlNode.GetAttributePair 0059 @LStrCatN 0065 TXmlNode.QualifyAsDirectNode 0075 @LStrCat 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2A 46 33 FF FF 33 68 ?? ?? ?? ?? 8D 4D F8 8B D7 8B 45 FC E8 ?? ?? ?? ?? FF 75 F8 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 47 4E 75 D9 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 20 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_45752_0 {
	meta:
		name = "TXmlNode.WriteInt64"
		size = 120
		refs = "000f TXmlNode.WriteInt64 001c TXmlNode.GetWriteOnDefault 0046 IntToUTF8Str 0050 TXmlNode.SetValueAsString 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 10 8B 55 14 3B 55 0C 75 03 3B 45 08 74 20 8B D6 8B C3 8B 08 FF 51 6C 8B D8 8D 55 FC 8B 45 10 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_45753_0 {
	meta:
		name = "TXmlNode.WriteInteger"
		size = 112
		refs = "0012 TXmlNode.WriteInteger 001f TXmlNode.GetWriteOnDefault 003d IntToUTF8Str 0047 TXmlNode.SetValueAsString 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 05 3B 75 08 74 1F 8B D7 8B C3 8B 08 FF 51 6C 8B D8 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_45754_0 {
	meta:
		name = "TXmlNode.WritePen"
		size = 200
		refs = "001c TXmlNode.WritePen 0044 TPen.GetStyle"
	strings:
		$1 = { 53 56 57 51 8B F1 89 14 24 8B 14 24 8B 08 FF 51 6C 8B D8 6A 00 8B 46 10 8B 48 18 BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 FC 00 00 00 6A 00 0F B6 4E 18 BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 18 01 00 00 6A 00 8B C6 E8 ?? ?? ?? ?? 0F B6 C8 BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 18 01 00 00 6A 00 8B 46 10 8B 48 1C BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 18 01 00 00 5A 5F 5E 5B C3 00 00 E4 04 01 00 FF FF FF FF 05 00 00 00 43 6F 6C 6F 72 00 00 00 E4 04 01 00 FF FF FF FF 04 00 00 00 4D 6F 64 65 00 00 00 00 E4 04 01 00 FF FF FF FF 05 00 00 00 53 74 79 6C 65 00 00 00 E4 04 01 00 FF FF FF FF 05 00 00 00 57 69 64 74 68 00 00 00 }
	condition:
		$1
}

rule function_45755_0 {
	meta:
		name = "TXmlNode.WriteString"
		size = 58
		refs = "000f TXmlNode.GetWriteOnDefault 001d @LStrEqual 002f TXmlNode.SetValueAsString"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C 8B C6 8B 55 08 E8 ?? ?? ?? ?? 74 10 8B D7 8B C3 8B 08 FF 51 6C 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_45756_0 {
	meta:
		name = "TXmlNode.WriteToStream"
		size = 1556
		refs = "001a TXmlNode.WriteToStream 002a TXmlNode.GetIndent 0034 TXmlNode.GetLineFeed 003f @LStrLAsg 0092 TXmlNode.DeleteEmptyAttributes 00b9 @LStrCatN 0151 sdUTF8WriteStringToStream 0334 @LStrCat 03c6 @LStrClr 03cd TXmlNode.QualifyAsDirectNode 040e sxeIllegalElementType 0413 LoadResString 041d _Dn_EFilerError 0422 Exception.Create 0427 @RaiseExcept 043f TStream.GetPosition 0448 TNativeXml.DoProgress 045d @UStrClr 046a @LStrArrayClr 047d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 0F B6 46 1C 83 F8 0D 0F 87 BA 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 E4 8B C6 8B 08 FF 51 20 FF 75 E4 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? E9 69 03 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 55 E0 8B C6 8B 08 FF 51 20 FF 75 E0 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? E9 3D 03 00 00 8B C6 8B 10 FF 52 10 85 C0 75 2A FF 75 FC 68 ?? ?? ?? ?? FF 76 04 68 ?? ?? ?? ?? FF 76 08 68 ?? ?? ?? ?? 8D 45 F4 BA 06 00 00 00 E8 ?? ?? ?? ?? E9 08 03 00 00 FF 75 FC 68 ?? ?? ?? ?? FF 76 04 68 ?? ?? ?? ?? FF 76 08 68 ?? ?? ?? ?? FF 75 F8 8D 45 F4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 10 48 85 C0 7C 2E 40 89 45 E8 C7 45 F0 00 00 00 00 8B 55 F0 8B C6 8B 08 FF 51 0C 8B D7 8B 08 FF 51 24 8B 55 F8 8B C7 E8 ?? ?? ?? ?? FF 45 F0 FF 4D E8 75 DD 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8A 02 00 00 FF 75 FC 68 ?? ?? ?? ?? FF 76 04 68 ?? ?? ?? ?? FF 76 08 68 ?? ?? ?? ?? 8D 45 F4 BA 06 00 00 00 E8 ?? ?? ?? ?? E9 60 02 00 00 FF 75 FC 68 ?? ?? ?? ?? FF 76 04 68 ?? ?? ?? ?? FF 76 08 68 ?? ?? ?? ?? 8D 45 F4 BA 06 00 00 00 E8 ?? ?? ?? ?? E9 36 02 00 00 FF 75 FC 68 ?? ?? ?? ?? FF 76 04 68 ?? ?? ?? ?? FF 76 08 68 ?? ?? ?? ?? 8D 45 F4 BA 06 00 00 00 E8 ?? ?? ?? ?? E9 0C 02 00 00 FF 75 FC 68 ?? ?? ?? ?? FF 76 04 68 ?? ?? ?? ?? FF 76 08 68 ?? ?? ?? ?? 8D 45 F4 BA 06 00 00 00 E8 ?? ?? ?? ?? E9 E2 01 00 00 FF 75 FC 68 ?? ?? ?? ?? FF 76 08 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? E9 C0 01 00 00 FF 75 FC 68 ?? ?? ?? ?? FF 76 08 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? E9 9E 01 00 00 FF 75 FC 68 ?? ?? ?? ?? FF 76 08 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? E9 7C 01 00 00 FF 75 FC 68 ?? ?? ?? ?? FF 76 08 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? E9 5A 01 00 00 8D 45 F4 8B 56 08 E8 ?? ?? ?? ?? E9 4A 01 00 00 FF 75 FC 68 ?? ?? ?? ?? FF 76 08 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? E9 28 01 00 00 FF 75 F4 68 ?? ?? ?? ?? FF 76 04 8D 55 DC 8B C6 8B 08 FF 51 20 FF 75 DC 68 ?? ?? ?? ?? 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 56 08 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 10 85 C0 7E 0B 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 10 48 85 C0 7C 5E 40 89 45 E8 C7 45 F0 00 00 00 00 8B 55 F0 8B C6 8B 08 FF 51 0C 89 45 EC 8B 55 F0 42 8B C6 8B 08 FF 51 0C 8B D8 8B D7 8B 45 EC 8B 08 FF 51 24 B0 01 8B 55 EC 80 7A 1C 0C 75 02 33 C0 85 DB 74 08 80 7B 1C 0C 75 02 33 C0 84 C0 74 0A 8B 55 F8 8B C7 E8 ?? ?? ?? ?? FF 45 F0 FF 4D E8 75 AD 8D 45 F4 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 56 8B C6 8B 10 FF 52 10 85 C0 7E 0B 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF 76 04 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 21 8D 55 D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 5E 18 85 DB 74 10 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 00 E4 04 01 00 FF FF FF FF 05 00 00 00 3C 3F 78 6D 6C 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 3F 3E 00 00 E4 04 01 00 FF FF FF FF 10 00 00 00 3C 3F 78 6D 6C 2D 73 74 79 6C 65 73 68 65 65 74 00 00 00 00 E4 04 01 00 FF FF FF FF 0A 00 00 00 3C 21 44 4F 43 54 59 50 45 20 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 20 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 3E 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 20 5B 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 5D 3E 00 00 E4 04 01 00 FF FF FF FF 0A 00 00 00 3C 21 45 4C 45 4D 45 4E 54 20 00 00 E4 04 01 00 FF FF FF FF 0A 00 00 00 3C 21 41 54 54 4C 49 53 54 20 00 00 E4 04 01 00 FF FF FF FF 09 00 00 00 3C 21 45 4E 54 49 54 59 20 00 00 00 E4 04 01 00 FF FF FF FF 0B 00 00 00 3C 21 4E 4F 54 41 54 49 4F 4E 20 00 E4 04 01 00 FF FF FF FF 04 00 00 00 3C 21 2D 2D 00 00 00 00 E4 04 01 00 FF FF FF FF 03 00 00 00 2D 2D 3E 00 E4 04 01 00 FF FF FF FF 09 00 00 00 3C 21 5B 43 44 41 54 41 5B 00 00 00 E4 04 01 00 FF FF FF FF 03 00 00 00 5D 5D 3E 00 E4 04 01 00 FF FF FF FF 02 00 00 00 3C 21 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 3C 3F 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 3C 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 3C 2F 00 00 }
	condition:
		$1
}

rule function_45757_0 {
	meta:
		name = "TXmlNode.WriteToString"
		size = 95
		refs = "000f _DV_TsdUTF8StringStream 0014 TsdUTF8StringStream.Create 001f TXmlNode.WriteToString 0039 TsdUTF8StringStream.DataString 004e TObject.Free 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 24 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45758_0 {
	meta:
		name = "TXmlNode.WriteUnicodeString"
		size = 117
		refs = "0014 TXmlNode.WriteUnicodeString 0027 TXmlNode.FromUnicodeString 0060 @LStrArrayClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 55 08 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B D6 8B C3 8B 18 FF 93 1C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_45759_0 {
	meta:
		name = "TXmlNodeList.ByAttribute"
		size = 139
		refs = "001a TXmlNodeList.ByAttribute 0034 TXmlNodeList.GetItems 003f TXmlNode.GetAttributeByName 004a UTF8CompareText 0076 @LStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 77 08 4E 85 F6 7C 37 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 4D F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 75 0D 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D8 EB 06 43 4E 75 CC 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45762_0 {
	meta:
		name = "SetDocumentRecursively"
		size = 67
		refs = "0034 SetDocumentRecursively"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F8 8B 45 FC 89 47 18 8B C7 8B 10 FF 52 10 8B D8 4B 85 DB 7C 1D 43 33 F6 8B 45 08 50 8B D6 8B C7 8B 08 FF 51 0C 8B 55 FC E8 ?? ?? ?? ?? 59 46 4B 75 E6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45763_0 {
	meta:
		name = "TNativeXml.Assign"
		size = 169
		refs = "000e _DV_TNativeXml 0013 @IsClass 0040 @LStrAsg 006b SetDocumentRecursively 0076 _DV_TXmlNode 00a0 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 57 8B FE 0F B6 47 05 88 43 05 0F B6 47 0C 88 43 0C 0F B6 47 0D 88 43 0D 0F B6 47 14 88 43 14 8D 43 1C 8B 57 1C E8 ?? ?? ?? ?? 0F B6 47 20 88 43 20 0F B6 47 21 88 43 21 0F B6 47 22 88 43 22 8B 57 18 8B 43 18 8B 08 FF 51 08 55 8B D3 8B 43 18 E8 ?? ?? ?? ?? 59 EB 32 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B D6 8B 43 18 8B 08 FF 51 08 55 8B D3 8B 43 18 E8 ?? ?? ?? ?? 59 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_45764_0 {
	meta:
		name = "TNativeXml.Clear"
		size = 168
		refs = "001a _DV_TXmlNode 001f TXmlNode.CreateType 0026 TNativeXml.Clear 002d TXmlNode.SetName 0033 cDefaultVersionString 003f TXmlNode.AttributeAdd 0045 cDefaultEncodingString"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 10 FF 52 20 8B 43 18 8B 10 FF 52 4C 6A 03 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 43 18 8B 08 FF 51 5C 33 D2 8B 43 18 8B 08 FF 51 7C 5E 5B C3 E4 04 01 00 FF FF FF FF 03 00 00 00 78 6D 6C 00 E4 04 01 00 FF FF FF FF 07 00 00 00 76 65 72 73 69 6F 6E 00 E4 04 01 00 FF FF FF FF 08 00 00 00 65 6E 63 6F 64 69 6E 67 00 00 00 00 }
	condition:
		$1
}

rule function_45765_0 {
	meta:
		name = "TNativeXml.CopyFrom"
		size = 16
	strings:
		$1 = { 56 8B F0 85 D2 74 07 8B C6 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_45766_0 {
	meta:
		name = "TNativeXml.Create"
		size = 77
		refs = "000a @ClassCreate 0017 TObject.Create 0020 _DV_TXmlNode 0025 TXmlNode.Create 003a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 8B C6 8B 10 FF 52 2C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_45767_0 {
	meta:
		name = "TNativeXml.CreateName"
		size = 71
		refs = "000b @ClassCreate 0021 TNativeXml.GetRoot 0028 TXmlNode.SetName 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 8B 08 FF 51 24 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45770_0 {
	meta:
		name = "TNativeXml.DoNodeNew"
		size = 22
	strings:
		$1 = { 53 66 83 78 32 00 74 0C 8B D8 8B CA 8B D0 8B 43 34 FF 53 30 5B C3 }
	condition:
		$1
}

rule function_45773_0 {
	meta:
		name = "TNativeXml.GetCommentString"
		size = 41
		refs = "0009 @LStrClr 0013 TXmlNode.NodeByElementType 0022 TXmlNode.GetValueAsString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? B2 01 8B 43 18 E8 ?? ?? ?? ?? 8B D8 85 DB 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45774_0 {
	meta:
		name = "TNativeXml.GetEncodingString"
		size = 92
		refs = "0009 @LStrClr 0036 TNativeXml.GetEncodingString 003b TXmlNode.GetAttributeByName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 43 18 8B 10 FF 52 10 85 C0 7E 26 33 D2 8B 43 18 8B 08 FF 51 0C 80 78 1C 03 75 16 33 D2 8B 43 18 8B 08 FF 51 0C 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 E4 04 01 00 FF FF FF FF 08 00 00 00 65 6E 63 6F 64 69 6E 67 00 00 00 00 }
	condition:
		$1
}

rule function_45775_0 {
	meta:
		name = "TNativeXml.GetEntityByName"
		size = 267
		refs = "001b @LStrAddRef 0023 TNativeXml.GetEntityByName 0031 @LStrClr 00a8 @LStrEqual 00be sdUTF8Trim 00c9 sdUTF8UnQuotedString 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D F4 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 18 8B 10 FF 52 10 48 85 C0 0F 8C 96 00 00 00 40 89 45 EC C7 45 F0 00 00 00 00 8B 45 F8 8B 40 18 8B 55 F0 8B 08 FF 51 0C 80 78 1C 05 75 6B 8B 45 F8 8B 40 18 8B 55 F0 8B 08 FF 51 0C 8B F0 8B C6 8B 10 FF 52 10 8B F8 4F 85 FF 7C 4D 47 33 DB 8B D3 8B C6 8B 08 FF 51 0C 80 78 1C 08 75 37 8B D3 8B C6 8B 08 FF 51 0C 8B 40 04 8B 55 FC E8 ?? ?? ?? ?? 75 21 8B D3 8B C6 8B 08 FF 51 0C 8B 40 08 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 F4 E8 ?? ?? ?? ?? EB 10 43 4F 75 B6 FF 45 F0 FF 4D EC 0F 85 75 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45776_0 {
	meta:
		name = "TNativeXml.GetRoot"
		size = 11
		refs = "0006 TXmlNode.NodeByElementType"
	strings:
		$1 = { 33 D2 8B 40 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45777_0 {
	meta:
		name = "TNativeXml.GetStyleSheetNode"
		size = 58
		refs = "000a TXmlNode.NodeByElementType 001b _DV_TXmlNode 0020 TXmlNode.CreateType"
	strings:
		$1 = { 53 56 8B D8 B2 04 8B 43 18 E8 ?? ?? ?? ?? 8B F0 85 F6 75 21 6A 04 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B CE BA 01 00 00 00 8B 43 18 8B 18 FF 53 78 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_45779_0 {
	meta:
		name = "TNativeXml.GetVersionString"
		size = 88
		refs = "0009 @LStrClr 0036 TNativeXml.GetVersionString 003b TXmlNode.GetAttributeByName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 43 18 8B 10 FF 52 10 85 C0 7E 26 33 D2 8B 43 18 8B 08 FF 51 0C 80 78 1C 03 75 16 33 D2 8B 43 18 8B 08 FF 51 0C 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 E4 04 01 00 FF FF FF FF 07 00 00 00 76 65 72 73 69 6F 6E 00 }
	condition:
		$1
}

rule function_45780_0 {
	meta:
		name = "TNativeXml.IsEmpty"
		size = 23
		refs = "0004 TNativeXml.GetRoot"
	strings:
		$1 = { 53 B3 01 E8 ?? ?? ?? ?? 85 C0 74 07 8B 10 FF 52 54 8B D8 8B C3 5B C3 }
	condition:
		$1
}

rule function_45781_0 {
	meta:
		name = "TNativeXml.LineFeed"
		size = 92
		refs = "0012 TNativeXml.LineFeed 0017 @LStrAsg"
	strings:
		$1 = { 53 8B DA 0F B6 40 22 2C 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_45782_0 {
	meta:
		name = "TNativeXml.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TNativeXml.LoadFromFile 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F0 6A 20 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_45783_0 {
	meta:
		name = "TNativeXml.LoadFromStream"
		size = 193
		refs = "000f _DV_TsdBufferedReadStream 0016 TsdBufferedReadStream.Create 0021 TNativeXml.LoadFromStream 0031 _DV_TsdUtf8Stream 0036 TsdCodecStream.Create 0059 TNativeXml.DoUnicodeLoss 0093 TObject.Free 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 08 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 89 43 24 C7 43 20 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 51 18 8B 45 FC 8B 40 08 0F B6 40 0C 8B 55 FC 88 42 0D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 C0 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45784_0 {
	meta:
		name = "ParseMarkupDeclarations"
		size = 96
		refs = "003f cControlChars"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 08 83 C3 F8 8D 75 FF 8B 45 08 8B 40 FC 33 D2 8B 08 FF 51 7C 8B 13 8B 08 FF 51 14 8B D6 8B 03 B9 01 00 00 00 8B 38 FF 57 0C 85 C0 74 24 0F B6 06 0F B6 C0 0F A3 05 ?? ?? ?? ?? 72 DF 80 3E 5D 74 10 8B 03 66 B9 01 00 83 CA FF 8B 38 FF 57 14 EB B6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45785_0 {
	meta:
		name = "TNativeXml.ParseDTD"
		size = 424
		refs = "001f TNativeXml.ParseDTD 002d @LStrClr 0062 @LStrFromChar 006d @LStrCat 0076 _DV_TsdUTF8StringList 007b TObject.Create 00ac sdUTF8ParseAttributes 00c2 TsdUTF8StringList.GetItems 00cd TXmlNode.SetName 00d7 TsdUTF8StringList.Delete 00e6 TsdUTF8StringList.GetText 00f8 sdUTF8StringReplace 0103 sdUTF8Trim 0111 @LStrAsg 0126 TObject.Free 012c @HandleFinally 013a ParseMarkupDeclarations 016f @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 89 4D F8 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? 8D 55 F3 B9 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 85 C0 0F 84 10 01 00 00 0F B6 45 F3 2C 3E 74 22 2C 1D 74 1E 8D 45 E8 0F B6 55 F3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F4 E8 ?? ?? ?? ?? EB BE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B 55 EC 52 8D 48 01 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 83 78 08 00 7E 5C 8D 4D E4 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8D 45 DC 50 8D 55 D8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F3 5B 75 21 55 E8 ?? ?? ?? ?? 59 8D 55 F3 B9 01 00 00 00 8B 45 F8 8B 18 FF 53 0C 85 C0 74 06 80 7D F3 3E 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 E4 04 01 00 FF FF FF FF 01 00 00 00 20 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_45786_0 {
	meta:
		name = "TNativeXml.ReadFromStream"
		size = 772
		refs = "001c TNativeXml.ReadFromStream 0040 TNativeXml.DoProgress 005b TXmlNode.AbortParsing 0088 TXmlNode.GetAttributeByName 009e @LStrEqual 00d5 TStream.GetPosition 017c sxeNoRootElement 0181 LoadResString 018b _Dn_EFilerError 0190 Exception.Create 0195 @RaiseExcept 01b0 sxeMoreThanOneRootElement 01d7 sxeMoreThanOneDeclaration 020d sxeDeclarationMustBeFirstElem 0234 sxeMoreThanOneDoctype 0263 sxeDoctypeAfterRootElement 028a sxeCDATAInRoot 02bd @UStrArrayClr 02c5 @LStrClr 02cb @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B FA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 C6 40 04 00 8B 45 F8 8B 58 18 8B C3 8B 10 FF 52 4C 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 7C 8B F0 8B D7 8B C6 8B 08 FF 51 14 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 40 02 00 00 80 7E 1C 03 75 41 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 50 84 C0 74 0F 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 83 78 08 00 74 19 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A 8B 45 F8 8B 40 08 C6 40 0C 07 8B C6 8B 10 FF 52 54 84 C0 74 11 8B C3 8B 10 FF 52 10 8B D0 4A 8B C3 8B 08 FF 51 64 8B C7 8B 10 FF 12 52 50 8B C7 E8 ?? ?? ?? ?? 3B 54 24 04 75 0D 3B 04 24 5A 58 0F 82 5A FF FF FF EB 08 5A 58 0F 8C 50 FF FF FF 8B C7 8B 10 FF 12 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 F4 33 C0 89 45 F0 33 C0 89 45 EC 33 C0 89 45 E8 C7 45 E4 FF FF FF FF C7 45 E0 FF FF FF FF 8B C3 8B 10 FF 52 10 8B F0 4E 85 F6 7C 3E 46 33 FF 8B D7 8B C3 8B 08 FF 51 0C 0F B6 40 1C 2C 01 72 0E FE C8 74 1F FE C8 74 0E 2C 02 74 0F EB 18 FF 45 F4 89 7D E4 EB 10 FF 45 F0 EB 0B FF 45 EC 89 7D E0 EB 03 FF 45 E8 47 4E 75 C5 83 7D F4 00 75 21 8D 55 DC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 80 78 14 00 0F 84 01 01 00 00 83 7D F4 01 7E 21 8D 55 D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F0 01 7E 21 8D 55 D4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F0 01 75 30 33 D2 8B C3 8B 08 FF 51 0C 80 78 1C 03 74 21 8D 55 D0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D EC 01 7E 21 8D 55 CC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D EC 01 75 29 8B 45 E0 3B 45 E4 7E 21 8D 55 C8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E8 00 7E 21 8D 55 C4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 E4 04 01 00 FF FF FF FF 08 00 00 00 65 6E 63 6F 64 69 6E 67 00 00 00 00 E4 04 01 00 FF FF FF FF 05 00 00 00 55 54 46 2D 38 00 00 00 }
	condition:
		$1
}

rule function_45787_0 {
	meta:
		name = "TNativeXml.ReadFromString"
		size = 81
		refs = "000a _DV_TsdUTF8StringStream 0011 TsdUTF8StringStream.Create 001c TNativeXml.ReadFromString 0041 TObject.Free 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_45788_0 {
	meta:
		name = "TNativeXml.ResolveEntityReferences"
		size = 28
		refs = "0006 TNativeXml.GetRoot 0016 TXmlNode.ResolveEntityReferences"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45789_0 {
	meta:
		name = "TNativeXml.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TNativeXml.SaveToFile 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F0 68 00 FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_45790_0 {
	meta:
		name = "TNativeXml.SaveToStream"
		size = 174
		refs = "000f _DV_TsdBufferedWriteStream 0016 TsdBufferedWriteStream.Create 0021 TNativeXml.SaveToStream 0031 _DV_TsdUtf8Stream 0036 TsdCodecStream.Create 0080 TObject.Free 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 08 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 0F B6 40 0D 88 43 0C 8B D3 8B 45 FC 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 C0 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45791_0 {
	meta:
		name = "TNativeXml.SetCommentString"
		size = 91
		refs = "000e TXmlNode.NodeByElementType 002f _DV_TXmlNode 0034 TXmlNode.CreateType 0053 TXmlNode.SetValueAsString"
	strings:
		$1 = { 53 56 51 89 14 24 8B F0 B2 01 8B 46 18 E8 ?? ?? ?? ?? 8B D8 85 DB 75 31 8B 04 24 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 21 6A 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B CB BA 01 00 00 00 8B 46 18 8B 30 FF 56 78 85 DB 74 0A 8B 14 24 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_45792_0 {
	meta:
		name = "TNativeXml.SetDefaults"
		size = 113
		refs = "0006 cDefaultExternalEncoding 0010 cDefaultXmlFormat 001a cDefaultWriteOnDefault 0024 cDefaultBinaryEncoding 0030 cDefaultIndentString 0035 @LStrAsg 003c cDefaultDropCommentsOnParse 0046 cDefaultUseFullNodes 0050 cDefaultFloatAllowScientific 0058 cDefaultFloatSignificantDigits"
	strings:
		$1 = { 53 8B D8 0F B6 05 ?? ?? ?? ?? 88 43 0D 0F B6 05 ?? ?? ?? ?? 88 43 22 0F B6 05 ?? ?? ?? ?? 88 43 21 0F B6 05 ?? ?? ?? ?? 88 43 05 8D 43 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 43 0C 0F B6 05 ?? ?? ?? ?? 88 43 20 0F B6 05 ?? ?? ?? ?? 88 43 0E A1 ?? ?? ?? ?? 89 43 10 33 C0 89 43 30 89 43 34 33 C0 89 43 38 89 43 3C 5B C3 }
	condition:
		$1
}

rule function_45793_0 {
	meta:
		name = "TNativeXml.SetEncodingString"
		size = 188
		refs = "0016 TNativeXml.SetEncodingString 0026 TNativeXml.GetEncodingString 0031 @LStrEqual 0054 _DV_TXmlNode 0059 TXmlNode.CreateType 007a TXmlNode.SetAttributeByName 008f @LStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 74 47 33 D2 8B 46 18 8B 08 FF 51 0C 8B D8 85 DB 74 06 80 7B 1C 03 74 1E 6A 03 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B CB 33 D2 8B 46 18 8B 30 FF 56 78 85 DB 74 0F 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 08 00 00 00 65 6E 63 6F 64 69 6E 67 00 00 00 00 }
	condition:
		$1
}

rule function_45794_0 {
	meta:
		name = "TNativeXml.SetVersionString"
		size = 200
		refs = "0016 TNativeXml.SetVersionString 0026 TNativeXml.GetVersionString 0031 @LStrEqual 0064 _DV_TXmlNode 0069 TXmlNode.CreateType 008a TXmlNode.SetAttributeByName 009f @LStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 74 57 33 D2 8B 46 18 8B 08 FF 51 0C 8B D8 85 DB 74 06 80 7B 1C 03 74 2E 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1E 6A 03 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B CB 33 D2 8B 46 18 8B 30 FF 56 78 85 DB 74 0F 8B 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 07 00 00 00 76 65 72 73 69 6F 6E 00 }
	condition:
		$1
}

rule function_45795_0 {
	meta:
		name = "TNativeXml.WriteToStream"
		size = 222
		refs = "0019 TNativeXml.WriteToStream 0026 TNativeXml.GetRoot 0038 sxeRootElementNotDefined 003d LoadResString 0047 _Dn_EFilerError 004c Exception.Create 0051 @RaiseExcept 005a TNativeXml.DoProgress 0099 sdUTF8WriteStringToStream 00c4 @LStrClr 00cc @UStrClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 4D F4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 75 27 80 7B 14 00 74 21 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 10 FF 52 10 8B F0 4E 85 F6 7C 36 46 C7 45 F8 00 00 00 00 8B 55 F8 8B 43 18 8B 08 FF 51 0C 8B 55 FC 8B 08 FF 51 24 8D 55 F0 8B C3 8B 08 FF 51 10 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? FF 45 F8 4E 75 D2 8B 45 FC 8B 10 FF 12 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45796_0 {
	meta:
		name = "TNativeXml.WriteToString"
		size = 95
		refs = "000f _DV_TsdUTF8StringStream 0014 TsdUTF8StringStream.Create 001f TNativeXml.WriteToString 0039 TsdUTF8StringStream.DataString 004e TObject.Free 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 1C 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45798_0 {
	meta:
		name = "TsdCodecStream.InternalRead"
		size = 559
		refs = "0024 TsdCodecStream.InternalRead 0054 sxeCodecStreamNotAssigned 0059 LoadResString 0063 _Dn_EStreamError 0068 Exception.Create 006d @RaiseExcept 0094 cBomInfo 00a0 Min 0121 sxeUnsupportedEncoding 019f sxeCannotReadCodecForWriting 01c6 sxeCannotReadMultipeChar 0217 @UStrArrayClr 021d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D D8 89 5D DC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 8B 45 FC 80 78 0D 00 0F 85 52 01 00 00 8B 45 FC C6 40 0D 01 8B 45 FC 83 78 18 00 75 21 8D 55 DC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 40 0C 00 8D 55 E4 8B 45 FC 8B 40 18 B9 04 00 00 00 8B 18 FF 53 0C 89 45 E0 33 C0 89 45 EC BE ?? ?? ?? ?? B3 01 8B 16 8B 45 E0 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 17 47 8D 45 E4 8D 56 FC 0F B6 08 3A 0A 74 04 33 DB EB 05 42 40 4F 75 F0 84 DB 75 0C FF 45 EC 83 C6 0A 83 7D EC 0F 75 C6 84 DB 74 24 8B 45 EC 8D 04 80 0F B6 14 45 ?? ?? ?? ?? 8B 4D FC 88 51 0C 0F B6 04 45 ?? ?? ?? ?? 8B 55 FC 88 42 1E EB 0E 8B 45 FC C6 40 0C 00 8B 45 FC C6 40 1E 00 8B 45 FC 0F B6 40 0C 2C 01 74 0A 04 FE 2C 02 72 04 2C 05 75 21 8D 55 D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 1E 00 74 21 8B 45 EC 8D 04 80 8B 14 45 ?? ?? ?? ?? 2B 55 E0 8B 45 FC 8B 40 18 66 B9 01 00 8B 18 FF 53 14 EB 14 8B 55 E0 F7 DA 8B 45 FC 8B 40 18 66 B9 01 00 8B 18 FF 53 14 8B 45 FC 0F B6 40 0C 2C 05 74 04 2C 03 75 07 8B 45 FC C6 40 1C 01 8B 45 FC 80 78 0D 01 74 21 8D 55 D4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 08 01 74 21 8D 55 D0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 1C 8B D8 8B 45 F8 8B 55 F4 88 1C 10 84 DB 74 07 C7 45 F0 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_45801_0 {
	meta:
		name = "TsdCodecStream.InternalSeek"
		size = 261
		refs = "0013 TsdCodecStream.InternalSeek 002c sxeCannotSeekBeforeReadWrite 0031 LoadResString 003b _Dn_EStreamError 0040 Exception.Create 0045 @RaiseExcept 0057 TStream.GetPosition 0074 @LStrClr 00bd sxeCannotPerformSeek 00f0 @UStrArrayClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 80 7B 0D 00 75 21 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 F9 01 75 4F 85 F6 75 0D 8B 43 18 E8 ?? ?? ?? ?? 89 45 FC EB 7A 80 7B 0D 01 75 38 83 FE FF 74 05 83 FE FE 75 2E 8D 43 04 E8 ?? ?? ?? ?? 83 EE FE 74 12 4E 75 5A 33 C9 8B 53 10 8B 43 18 8B 18 FF 53 14 EB 4B 33 C9 8B 53 14 8B 43 18 8B 18 FF 53 14 EB 3C 66 83 F9 02 75 10 85 F6 75 0C 8B 43 18 8B 10 FF 12 89 45 FC EB 26 66 85 C9 74 21 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45803_0 {
	meta:
		name = "TsdCodecStream.StorePrevPositions"
		size = 22
		refs = "000d TStream.GetPosition"
	strings:
		$1 = { 53 8B D8 8B 43 10 89 43 14 8B 43 18 E8 ?? ?? ?? ?? 89 43 10 5B C3 }
	condition:
		$1
}

rule function_45804_0 {
	meta:
		name = "TsdCodecStream.InternalWrite"
		size = 286
		refs = "001b TsdCodecStream.InternalWrite 0049 sxeUnsupportedEncoding 004e LoadResString 0058 _Dn_EStreamError 005d Exception.Create 0062 @RaiseExcept 0069 cBomInfo 00a4 TStream.WriteBuffer 00c2 sxeCannotWriteCodecForReading 0109 @UStrArrayClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 5D F4 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0D 00 0F 85 89 00 00 00 C6 43 0D 02 0F B6 43 0C 2C 01 74 0A 04 FE 2C 02 72 04 2C 05 75 21 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? 0F B6 08 3A 4B 0C 75 09 0F B6 40 01 88 43 1E EB 09 42 83 C0 0A 83 FA 0F 75 E6 80 7B 1E 00 74 1B 8D 04 92 8B 0C 45 ?? ?? ?? ?? 8D 04 45 ?? ?? ?? ?? 8B D0 8B 43 18 E8 ?? ?? ?? ?? 0F B6 43 0C 2C 05 74 04 2C 03 75 04 C6 43 1C 01 80 7B 0D 02 74 21 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B 55 FC 8B 4D F8 8B C3 8B 18 FF 53 28 8B 5D 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_45806_0 {
	meta:
		name = "TsdCodecStream.WriteBuf"
		size = 60
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F8 8B 5D 08 4B 85 DB 7C 1A 43 33 F6 8B 45 F8 03 C6 8B 55 FC 0F B6 14 02 8B C7 8B 08 FF 51 24 46 4B 75 E9 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_45808_0 {
	meta:
		name = "TsdUtf8Stream.ReadByte"
		size = 565
		refs = "0018 TsdUtf8Stream.ReadByte 00a6 @LStrFromChar 00b1 sdAnsiToUtf8 00bc @LStrAsg 0126 @LStrCat 018f @WStrFromWChar 019a sdUnicodeToUtf8 01af sxeUnsupportedEncoding 01b4 LoadResString 01be _Dn_EStreamError 01c3 Exception.Create 01c8 @RaiseExcept 0202 @UStrClr 020a @WStrClr 0217 @LStrArrayClr 021f @LStrClr 0225 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 53 04 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 75 04 B0 01 EB 11 8B C2 85 C0 74 05 83 E8 04 8B 00 3B 43 08 0F 9C C0 84 C0 0F 84 77 01 00 00 8B C3 8B 10 FF 52 20 C7 43 08 01 00 00 00 0F B6 43 0C 2C 01 72 1A 04 FC 2C 02 0F 82 E7 00 00 00 74 4E 48 2C 02 0F 82 DC 00 00 00 E9 26 01 00 00 C6 45 FA 00 8D 55 FA B9 01 00 00 00 8B 43 18 8B 30 FF 56 0C 8D 45 FC 0F B6 55 FA B9 00 00 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 43 04 E8 ?? ?? ?? ?? E9 07 01 00 00 C6 45 F9 00 8D 55 F9 B9 01 00 00 00 8B 43 18 8B 30 FF 56 0C 8D 43 04 0F B6 55 F9 B9 00 00 00 00 E8 ?? ?? ?? ?? F6 45 F9 80 0F 86 D8 00 00 00 F6 45 F9 20 74 30 C6 45 F8 00 8D 55 F8 B9 01 00 00 00 8B 43 18 8B 30 FF 56 0C 8D 45 EC 0F B6 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8D 43 04 E8 ?? ?? ?? ?? C6 45 F7 00 8D 55 F7 B9 01 00 00 00 8B 43 18 8B 30 FF 56 0C 8D 45 E8 0F B6 55 F7 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 43 04 E8 ?? ?? ?? ?? EB 70 66 C7 45 F4 00 00 8D 55 F4 B9 02 00 00 00 8B 43 18 8B 30 FF 56 0C 80 7B 1C 00 74 0A 0F B7 45 F4 86 E0 66 89 45 F4 8D 45 E0 0F B7 55 F4 66 81 E2 FF 00 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 43 04 E8 ?? ?? ?? ?? EB 21 8D 55 DC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 85 C0 7E 1B 8B 53 04 85 D2 74 05 83 EA 04 8B 12 3B D0 7C 0B 8B 53 04 0F B6 44 02 FF 88 45 FB FF 43 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 0F B6 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45809_0 {
	meta:
		name = "TsdUtf8Stream.WriteBuf"
		size = 150
		refs = "001c TsdUtf8Stream.WriteBuf 0038 StreamWrite 0044 sxeCannotWriteToOutputStream 0049 LoadResString 0053 _Dn_EStreamError 0058 Exception.Create 005d @RaiseExcept 006c TsdCodecStream.WriteBuf 0081 @UStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 43 0C 2C 07 75 35 56 8B D7 8B 4D FC 8B 43 18 E8 ?? ?? ?? ?? 3B F0 74 30 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 56 8B D7 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_45810_0 {
	meta:
		name = "TsdUtf8Stream.WriteByte"
		size = 555
		refs = "001b TsdUtf8Stream.WriteByte 006b @LStrFromChar 0093 @LStrCat 00d8 sdUtf8ToAnsi 00f3 @UniqueStringA 010d sxeCannotWriteToOutputStream 0112 LoadResString 011c _Dn_EStreamError 0121 Exception.Create 0126 @RaiseExcept 0133 sdUtf8ToUnicode 014c @WStrToPWChar 0189 @LStrClr 01c9 sxeUnsupportedEncoding 01fc @UStrArrayClr 0209 @LStrArrayClr 0211 @WStrClr 021f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 88 55 F7 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 43 0C 2C 01 72 15 04 FC 2C 02 72 0F 0F 84 56 01 00 00 48 2C 02 0F 83 83 01 00 00 C6 45 F6 01 8B 43 04 85 C0 74 05 83 E8 04 8B 00 83 E8 01 72 07 74 22 48 74 49 EB 63 8D 43 04 0F B6 55 F7 B9 00 00 00 00 E8 ?? ?? ?? ?? F6 45 F7 80 74 4C C6 45 F6 00 EB 46 8D 45 F0 0F B6 55 F7 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 04 E8 ?? ?? ?? ?? 8B 43 04 F6 00 20 74 22 C6 45 F6 00 EB 1C 8D 45 EC 0F B6 55 F7 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8D 43 04 E8 ?? ?? ?? ?? 80 7D F6 00 0F 84 1B 01 00 00 80 7B 0C 00 75 5B 8D 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 48 0F 85 96 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B D0 B9 01 00 00 00 8B 43 18 8B 30 FF 56 10 48 74 7C 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 59 8D 55 F8 8B 43 04 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 07 83 E8 04 8B 00 D1 E8 48 75 3D 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 B9 02 00 00 00 8B 43 18 8B 30 FF 56 10 83 F8 02 74 21 8D 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 04 E8 ?? ?? ?? ?? EB 57 8D 55 F7 B9 01 00 00 00 8B 43 18 8B 18 FF 53 10 48 74 44 8D 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 DC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45811_0 {
	meta:
		name = "TsdBufferedReadStream.CheckPosition"
		size = 118
		refs = "0048 Min"
	strings:
		$1 = { 53 56 8B D8 8B 53 18 8B C2 85 C0 79 05 05 FF FF 00 00 C1 F8 10 81 E2 FF FF 00 80 79 08 4A 81 CA 00 00 FF FF 42 89 53 10 3B 43 0C 74 42 8B D0 89 53 0C 8B F2 C1 E6 10 8B 43 04 8B 10 FF 12 8B D0 2B D6 B8 00 00 01 00 E8 ?? ?? ?? ?? 89 43 14 33 C9 8B D6 8B 43 04 8B 30 FF 56 14 8B 43 14 85 C0 7E 0D 8B 53 08 8B C8 8B 43 04 8B 30 FF 56 0C C6 43 1D 00 5E 5B C3 }
	condition:
		$1
}

rule function_45812_0 {
	meta:
		name = "TsdBufferedReadStream.Create"
		size = 97
		refs = "000e @ClassCreate 001d TObject.Create 003f @ReallocMem 004a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 0F B6 45 08 88 47 1C C6 47 1D 01 C7 47 0C FF FF FF FF 8D 47 08 BA 00 00 01 00 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_45813_0 {
	meta:
		name = "TsdBufferedReadStream.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 001d TObject.Free 0027 @ReallocMem 0032 TObject.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 1C 00 74 10 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 08 33 D2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45814_0 {
	meta:
		name = "TsdBufferedReadStream.Read"
		size = 153
		refs = "0014 TsdBufferedReadStream.CheckPosition 0055 Min 006c Move"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B F2 8B D8 80 7B 1D 00 74 07 8B C3 E8 ?? ?? ?? ?? 83 FF 01 75 24 8B 43 14 48 3B 43 10 7E 1B 8B 43 08 8B 53 10 0F B6 04 10 88 06 FF 43 10 FF 43 18 C7 04 24 01 00 00 00 EB 4F 8B EE 33 C0 89 04 24 85 FF 7E 44 8B 43 14 2B 43 10 8B D7 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 31 8B 43 08 8B 53 10 03 C2 8B D5 8B CE E8 ?? ?? ?? ?? 2B FE 03 EE 01 34 24 01 73 18 01 73 10 8B 43 10 3B 43 14 7C 07 8B C3 E8 ?? ?? ?? ?? 85 FF 7F BC 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45815_0 {
	meta:
		name = "TsdBufferedReadStream.Seek"
		size = 63
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 E9 01 72 09 74 0C 66 FF C9 74 16 EB 20 89 73 18 EB 1B 85 F6 75 06 8B 43 18 5E 5B C3 01 73 18 EB 0C 8B 43 04 8B 10 FF 12 03 F0 89 73 18 8B 43 18 C6 43 1D 01 5E 5B C3 }
	condition:
		$1
}

rule function_45816_0 {
	meta:
		name = "TsdBufferedReadStream.Write"
		size = 88
		refs = "000a TsdBufferedReadStream.Write 0018 sxeCannotWriteCodecForReading 001d LoadResString 0027 _Dn_EStreamError 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_45820_0 {
	meta:
		name = "TsdBufferedWriteStream.Read"
		size = 88
		refs = "000a TsdBufferedWriteStream.Read 0018 sxeCannotReadCodecForWriting 001d LoadResString 0027 _Dn_EStreamError 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_45817_0 {
	meta:
		name = "TsdBufferedWriteStream.Create"
		size = 86
		refs = "000e @ClassCreate 001d TObject.Create 0034 @ReallocMem 003f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 0F B6 45 08 88 47 14 8D 47 08 BA 00 00 01 00 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_45818_0 {
	meta:
		name = "TsdBufferedWriteStream.Destroy"
		size = 75
		refs = "0003 @BeforeDestruction 000e TsdBufferedWriteStream.Flush 0024 TObject.Free 002e @ReallocMem 0039 TObject.Destroy 0044 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 80 7E 14 00 74 10 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 08 33 D2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45819_0 {
	meta:
		name = "TsdBufferedWriteStream.Flush"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 85 C0 7E 12 8B 53 08 8B C8 8B 43 04 8B 30 FF 56 10 33 C0 89 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_45821_0 {
	meta:
		name = "TsdBufferedWriteStream.Seek"
		size = 132
		refs = "000a TsdBufferedWriteStream.Seek 0044 sxeCannotPerformSeek 0049 LoadResString 0053 _Dn_EStreamError 0058 Exception.Create 005d @RaiseExcept 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 66 83 E9 01 72 09 74 12 66 FF C9 74 16 EB 1D 8B 48 10 3B D1 75 16 8B D9 EB 33 85 D2 75 0E 8B 58 10 EB 2A 85 D2 75 05 8B 58 10 EB 21 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_45822_0 {
	meta:
		name = "TsdBufferedWriteStream.Write"
		size = 141
		refs = "0022 Move 0047 Min 007c TsdBufferedWriteStream.Flush"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B F0 8B 46 0C 8B C8 03 CF 81 F9 00 00 01 00 7D 19 8B 4E 08 8D 04 01 8B CF 92 E8 ?? ?? ?? ?? 01 7E 0C 01 7E 10 89 3C 24 EB 53 8B EA 33 C0 89 04 24 85 FF 7E 48 B8 00 00 01 00 2B 46 0C 8B D7 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 33 8B 46 08 8B 56 0C 8D 14 10 8B C5 8B CB E8 ?? ?? ?? ?? 2B FB 01 1C 24 01 5E 10 03 EB 01 5E 0C 81 7E 0C 00 00 01 00 75 07 8B C6 E8 ?? ?? ?? ?? 85 FF 7F B8 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45824_0 {
	meta:
		name = "TsdSurplusReader.ReadChar"
		size = 83
		refs = "0037 @LStrCopy"
	strings:
		$1 = { 53 56 8B D8 8B 73 08 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 2D 8B 43 08 0F B6 00 88 02 85 F6 74 05 83 EE 04 8B 36 8D 43 08 50 8B CE 49 BA 02 00 00 00 8B 43 08 E8 ?? ?? ?? ?? B8 01 00 00 00 5E 5B C3 B9 01 00 00 00 8B 43 04 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_45825_0 {
	meta:
		name = "TsdSurplusReader.ReadCharSkipBlanks"
		size = 51
		refs = "0010 TsdSurplusReader.ReadChar 0021 cControlChars"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 C6 04 24 00 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 74 13 0F B6 03 0F B6 C0 0F A3 05 ?? ?? ?? ?? 72 E4 C6 04 24 01 0F B6 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_45826_0 {
	meta:
		name = "TsdStringBuilder.AddChar"
		size = 37
		refs = "000f TsdStringBuilder.Reallocate 0017 @UniqueStringA"
	strings:
		$1 = { 53 56 8B DA 8B F0 FF 46 08 8B 56 08 8B C6 E8 ?? ?? ?? ?? 8D 46 04 E8 ?? ?? ?? ?? 8B 56 08 88 5C 10 FF 5E 5B C3 }
	condition:
		$1
}

rule function_45827_0 {
	meta:
		name = "TsdStringBuilder.AddString"
		size = 80
		refs = "0027 TsdStringBuilder.Reallocate 002f @UniqueStringA 0044 Move"
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 8B 07 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 74 2C 8B 53 08 03 D6 8B C3 E8 ?? ?? ?? ?? 8D 43 04 E8 ?? ?? ?? ?? 8B 53 08 03 C2 50 8B C7 E8 ?? ?? ?? ?? 8B CE 5A E8 ?? ?? ?? ?? 01 73 08 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45829_0 {
	meta:
		name = "TsdStringBuilder.StringCopy"
		size = 47
		refs = "0024 @LStrCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 43 08 2B C6 40 3B F8 7E 02 8B F8 8B 45 08 50 8B CF 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_45830_0 {
	meta:
		name = "TsdStringBuilder.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 0026 @LStrSetLength 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 04 33 C9 BA 40 00 00 00 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_45831_0 {
	meta:
		name = "TsdStringBuilder.GetData"
		size = 9
	strings:
		$1 = { 8B 40 04 0F B6 44 10 FF C3 }
	condition:
		$1
}

rule function_45832_0 {
	meta:
		name = "TsdStringBuilder.Reallocate"
		size = 51
		refs = "001f @LStrSetLength 0027 @LStrLen"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 EB 1A 8B 5E 04 85 DB 74 05 83 EB 04 8B 1B 8B D3 03 D2 8D 46 04 33 C9 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 3B F8 7F DA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45833_0 {
	meta:
		name = "TsdStringBuilder.Value"
		size = 26
		refs = "0013 @LStrCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 4B 08 BA 01 00 00 00 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45834_0 {
	meta:
		name = "Finalization"
		size = 197
		refs = "0007 Finalization 0013 _DV_11 001e cDefaultEncodingString 0023 @LStrClr 0028 cDefaultVersionString 0032 cDefaultIndentString 003c cEscapes 0047 AnsiString 004c @FinalizeArray 0051 cReplaces 0066 cTags 0071 TTagType 007b cBoolValues 0090 cLB 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 91 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_45836_0 {
	meta:
		name = "TIWPermissions.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TObject.Create 0020 TIWPermissions.SetCanEditPages 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_87001_0 {
	meta:
		name = "TThemedCustomizePopup.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TCustomizeActionToolBar.Create 0020 TCustomActionBar.SetVertMargin 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_86981_0 {
	meta:
		name = "TThemedPopupMenu.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TCustomActionPopupMenu.Create 0020 TCustomActionBar.SetVertMargin 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_90091_0 {
	meta:
		name = "TXPStyleCustomizePopup.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TCustomizeActionToolBar.Create 0020 TCustomActionBar.SetVertMargin 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_90073_0 {
	meta:
		name = "TXPStylePopupMenu.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TCustomActionPopupMenu.Create 0020 TCustomActionBar.SetVertMargin 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_45840_0 {
	meta:
		name = "TIWProgressIndicator.Create"
		size = 208
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _DV_TIWProgressTextSettings 0023 TIWProgressTextSettings.Create 002d TIWProgressIndicator.Create 0034 _Dn_TIWHTMLTag 0039 TIWMarkupLanguageTag.CreateTag 0061 _Dn_TStringList 0066 TStringList.Create 00a9 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 C7 46 54 80 80 80 00 C7 46 58 FF FF FF 00 33 C0 89 46 5C C7 46 60 3C 00 00 00 C6 46 64 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 44 C6 46 65 01 C6 46 66 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 56 00 00 00 }
	condition:
		$1
}

rule function_45841_0 {
	meta:
		name = "TIWProgressIndicator.Destroy"
		size = 132
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0072 TComponent.Destroy 007d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 4C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45843_0 {
	meta:
		name = "TIWProgressIndicator.GetBoxBorderColor"
		size = 4
	strings:
		$1 = { 8B 40 5C C3 }
	condition:
		$1
}

rule function_45844_0 {
	meta:
		name = "TAdapterControlGroup.GetAdapter"
		size = 4
		altNames = "TIWProgressIndicator.GetBoxColor TWebDataDisplay.GetLayoutAttributes TXMLDisplayGroup.GetXMLDataSet"
	strings:
		$1 = { 8B 40 58 C3 }
	condition:
		$1
}

rule function_45845_0 {
	meta:
		name = "TIWProgressIndicator.Render"
		size = 3336
		refs = "002c TIWProgressIndicator.Render 0044 TIWHTMLTag.GetContents 0066 TIWMarkupLanguageTag.AddStringParam 0083 TIWProgressIndicator.GetBGColor 008b ColorToRGBString 00c2 Format 00e0 @UStrClr 00f4 _Dn_Exception 00f9 Exception.Create 00fe @RaiseExcept 0123 @UStrLAsg 015b @UStrCatN 0166 _Dn_TIWForm 016b @IsClass 0180 @AsClass 0185 TIWForm.get_PageContext 0193 TIWFont.FontToStringStyle 01c3 _Dn_TIWHTMLTag 01c8 TIWMarkupLanguageTag.CreateTag 0201 TIWProgressIndicator.GetBoxColor 021a TIWProgressIndicator.GetBoxBorderColor 0260 TIWMarkupLanguageTagCollection.AddText 0299 TIWHTMLTagCollection.AddTag 0326 @UStrCat3 0378 TIWHTMLTagCollection.AddTagAsObject 043d TIWMarkupLanguageElement.Render 0457 @UStrArrayClr 0472 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 C9 89 4D B8 89 4D C4 89 4D C0 89 4D BC 89 4D E4 89 4D C8 89 4D FC 89 4D F8 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 64 00 0F 85 F6 03 00 00 8B 43 48 E8 ?? ?? ?? ?? 8B 10 FF 52 08 8B 43 48 8B 40 10 8B 10 FF 52 44 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? 8D 45 E4 50 8B C3 E8 ?? ?? ?? ?? 8D 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 89 45 CC C6 45 D0 11 8B 73 60 89 75 D4 C6 45 D8 00 8B C6 B9 0A 00 00 00 99 F7 F9 89 45 DC C6 45 E0 00 8D 55 CC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 BA ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? 83 7B 50 00 74 2B 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A8 00 00 00 8B 73 4C 0F B6 46 0C 2C 01 72 08 74 15 FE C8 74 20 EB 2B 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 7B 04 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 26 8D 45 F8 50 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 50 18 8B 46 08 33 C9 E8 ?? ?? ?? ?? EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7B 65 00 0F 84 D4 01 00 00 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 45 C4 50 8B 45 FC 89 45 CC C6 45 D0 11 8B C3 E8 ?? ?? ?? ?? 8D 55 C0 E8 ?? ?? ?? ?? 8B 45 C0 89 45 D4 C6 45 D8 11 8B C3 E8 ?? ?? ?? ?? 8D 55 BC E8 ?? ?? ?? ?? 8B 45 BC 89 45 DC C6 45 E0 11 8D 55 CC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 4C 83 78 04 00 74 50 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 50 8B 43 4C 8B 48 04 8D 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 33 C9 58 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 7D F8 00 74 0F 8B 4D F8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 8B D7 E8 ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? 33 C9 8B D6 E8 ?? ?? ?? ?? 0F B6 43 66 48 2C 02 73 4A 8B 43 38 8B 10 FF 52 44 8B 43 3C 8B 10 FF 52 44 BA ?? ?? ?? ?? 8B 43 38 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 43 3C 8B 08 FF 51 38 80 7B 65 00 74 1A BA ?? ?? ?? ?? 8B 43 38 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 43 3C 8B 08 FF 51 38 0F B6 43 66 84 C0 74 04 2C 02 75 4A 8B 43 40 8B 10 FF 52 44 8B 43 44 8B 10 FF 52 44 BA ?? ?? ?? ?? 8B 43 40 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 43 44 8B 08 FF 51 38 80 7B 65 00 74 1A BA ?? ?? ?? ?? 8B 43 40 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 43 44 8B 08 FF 51 38 8B 55 F4 8B 43 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 72 00 6F 00 67 00 72 00 65 00 73 00 73 00 49 00 6E 00 64 00 69 00 63 00 61 00 74 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 95 00 00 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 61 00 62 00 73 00 6F 00 6C 00 75 00 74 00 65 00 3B 00 76 00 69 00 73 00 69 00 62 00 69 00 6C 00 69 00 74 00 79 00 3A 00 68 00 69 00 64 00 64 00 65 00 6E 00 3B 00 6C 00 65 00 66 00 74 00 3A 00 30 00 70 00 78 00 3B 00 74 00 6F 00 70 00 3A 00 30 00 70 00 78 00 3B 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 31 00 30 00 30 00 25 00 25 00 3B 00 77 00 69 00 64 00 74 00 68 00 3A 00 31 00 30 00 30 00 25 00 25 00 3B 00 7A 00 2D 00 69 00 6E 00 64 00 65 00 78 00 3A 00 35 00 30 00 30 00 30 00 30 00 3B 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 25 00 73 00 3B 00 66 00 69 00 6C 00 74 00 65 00 72 00 3A 00 61 00 6C 00 70 00 68 00 61 00 28 00 6F 00 70 00 61 00 63 00 69 00 74 00 79 00 3D 00 25 00 64 00 29 00 3B 00 6F 00 70 00 61 00 63 00 69 00 74 00 79 00 3A 00 2E 00 25 00 64 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 6E 00 6F 00 74 00 20 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 65 00 64 00 20 00 79 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 72 00 69 00 67 00 68 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 65 00 6E 00 74 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 74 00 65 00 78 00 74 00 2D 00 61 00 6C 00 69 00 67 00 6E 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 37 00 00 00 4F 00 77 00 6E 00 65 00 72 00 20 00 6F 00 66 00 20 00 50 00 72 00 6F 00 67 00 72 00 65 00 73 00 73 00 49 00 6E 00 64 00 69 00 63 00 61 00 74 00 6F 00 72 00 20 00 6D 00 75 00 73 00 74 00 20 00 62 00 65 00 20 00 61 00 20 00 54 00 49 00 57 00 46 00 6F 00 72 00 6D 00 20 00 64 00 65 00 73 00 63 00 65 00 6E 00 64 00 61 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 56 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 50 00 72 00 6F 00 67 00 72 00 65 00 73 00 73 00 49 00 6E 00 64 00 69 00 63 00 61 00 74 00 6F 00 72 00 42 00 6F 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 8A 00 00 00 25 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 72 00 65 00 6C 00 61 00 74 00 69 00 76 00 65 00 3B 00 20 00 76 00 69 00 73 00 69 00 62 00 69 00 6C 00 69 00 74 00 79 00 3A 00 68 00 69 00 64 00 64 00 65 00 6E 00 3B 00 6D 00 61 00 72 00 67 00 69 00 6E 00 3A 00 61 00 75 00 74 00 6F 00 3B 00 74 00 6F 00 70 00 3A 00 32 00 35 00 25 00 25 00 3B 00 20 00 77 00 69 00 64 00 74 00 68 00 3A 00 32 00 30 00 25 00 25 00 3B 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 31 00 34 00 25 00 25 00 3B 00 7A 00 2D 00 69 00 6E 00 64 00 65 00 78 00 3A 00 35 00 30 00 35 00 30 00 30 00 3B 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 25 00 73 00 3B 00 62 00 6F 00 72 00 64 00 65 00 72 00 3A 00 20 00 33 00 70 00 78 00 20 00 73 00 6F 00 6C 00 69 00 64 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 26 00 6E 00 62 00 73 00 70 00 3B 00 3C 00 62 00 72 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 41 00 42 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 77 00 69 00 64 00 74 00 68 00 3A 00 31 00 30 00 30 00 25 00 3B 00 20 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 31 00 30 00 30 00 25 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 42 00 4F 00 44 00 59 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3A 00 00 00 26 00 6E 00 62 00 73 00 70 00 3B 00 20 00 26 00 6E 00 62 00 73 00 70 00 3B 00 20 00 26 00 6E 00 62 00 73 00 70 00 3B 00 20 00 26 00 6E 00 62 00 73 00 70 00 3B 00 20 00 3C 00 69 00 6D 00 67 00 20 00 73 00 72 00 63 00 3D 00 22 00 2F 00 24 00 2F 00 67 00 66 00 78 00 2F 00 6C 00 6F 00 61 00 64 00 69 00 6E 00 67 00 2E 00 67 00 69 00 66 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6D 00 69 00 64 00 64 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 76 00 61 00 6C 00 69 00 67 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 26 00 6E 00 62 00 73 00 70 00 3B 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 72 00 6F 00 67 00 72 00 65 00 73 00 73 00 54 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 48 00 00 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 67 00 65 00 74 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 42 00 79 00 49 00 64 00 28 00 27 00 50 00 72 00 6F 00 67 00 72 00 65 00 73 00 73 00 49 00 6E 00 64 00 69 00 63 00 61 00 74 00 6F 00 72 00 27 00 29 00 2E 00 73 00 74 00 79 00 6C 00 65 00 2E 00 76 00 69 00 73 00 69 00 62 00 69 00 6C 00 69 00 74 00 79 00 3D 00 27 00 76 00 69 00 73 00 69 00 62 00 6C 00 65 00 27 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 47 00 00 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 67 00 65 00 74 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 42 00 79 00 49 00 64 00 28 00 27 00 50 00 72 00 6F 00 67 00 72 00 65 00 73 00 73 00 49 00 6E 00 64 00 69 00 63 00 61 00 74 00 6F 00 72 00 27 00 29 00 2E 00 73 00 74 00 79 00 6C 00 65 00 2E 00 76 00 69 00 73 00 69 00 62 00 69 00 6C 00 69 00 74 00 79 00 3D 00 27 00 68 00 69 00 64 00 64 00 65 00 6E 00 27 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 4B 00 00 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 67 00 65 00 74 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 42 00 79 00 49 00 64 00 28 00 27 00 50 00 72 00 6F 00 67 00 72 00 65 00 73 00 73 00 49 00 6E 00 64 00 69 00 63 00 61 00 74 00 6F 00 72 00 42 00 6F 00 78 00 27 00 29 00 2E 00 73 00 74 00 79 00 6C 00 65 00 2E 00 76 00 69 00 73 00 69 00 62 00 69 00 6C 00 69 00 74 00 79 00 3D 00 27 00 76 00 69 00 73 00 69 00 62 00 6C 00 65 00 27 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 4A 00 00 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 67 00 65 00 74 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 42 00 79 00 49 00 64 00 28 00 27 00 50 00 72 00 6F 00 67 00 72 00 65 00 73 00 73 00 49 00 6E 00 64 00 69 00 63 00 61 00 74 00 6F 00 72 00 42 00 6F 00 78 00 27 00 29 00 2E 00 73 00 74 00 79 00 6C 00 65 00 2E 00 76 00 69 00 73 00 69 00 62 00 69 00 6C 00 69 00 74 00 79 00 3D 00 27 00 68 00 69 00 64 00 64 00 65 00 6E 00 27 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_45846_0 {
	meta:
		name = "TIWProgressIndicator.SetBGColor"
		size = 4
	strings:
		$1 = { 89 50 54 C3 }
	condition:
		$1
}

rule function_45847_0 {
	meta:
		name = "TIWProgressIndicator.SetBoxBorderColor"
		size = 4
	strings:
		$1 = { 89 50 5C C3 }
	condition:
		$1
}

rule function_45852_0 {
	meta:
		name = "TIWProgressIndicator.SetOpacity"
		size = 13
	strings:
		$1 = { 85 D2 7C 08 83 FA 64 7F 03 89 50 60 C3 }
	condition:
		$1
}

rule function_45853_0 {
	meta:
		name = "TIWProgressTextSettings.Create"
		size = 196
		refs = "000b @ClassCreate 0018 TObject.Create 0021 RSPleaseWait 0028 @UStrAsg 0033 _Dn_TIWFont 0038 TIWFont.Create 0049 TIWFont.SetSize 0054 TIWProgressTextSettings.Create 0064 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 04 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? C6 47 0C 02 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 08 8B C6 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 47 08 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 1F 00 00 00 43 00 61 00 6C 00 69 00 62 00 69 00 72 00 2C 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 54 00 69 00 6D 00 65 00 73 00 20 00 4E 00 65 00 77 00 20 00 52 00 6F 00 6D 00 61 00 6E 00 00 00 }
	condition:
		$1
}

rule function_45856_0 {
	meta:
		name = "TIWProgressIndicator.SetPostAsyncScript"
		size = 19
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 44 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_45861_0 {
	meta:
		name = "TIWCustomRegion.CheckComponentForRender"
		size = 236
		refs = "0012 TIWCustomRegion.CheckComponentForRender 0027 SupportsInterface 0047 HTML40ContainerInterface 005e _Dn_TFrame 0063 @IsClass 00ab IIWHTML40Container 00b5 @FinalizeArray 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB BA ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 84 C0 75 6A BA ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 84 C0 74 19 8D 55 FC 8B 46 38 E8 ?? ?? ?? ?? 8B 45 FC 8B D7 8B 08 FF 51 48 8B D8 EB 40 8B 46 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2E BA ?? ?? ?? ?? 8B 46 38 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 1A 8D 55 F8 8B 46 38 8B 40 38 E8 ?? ?? ?? ?? 8B 45 F8 8B D7 8B 08 FF 51 48 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 59 59 5D C3 00 00 70 93 07 4B B7 D1 13 4D 95 01 AD 0D 15 72 BF 4D F9 29 D2 54 29 0F E4 47 B2 23 32 A7 00 C3 08 C2 }
	condition:
		$1
}

rule function_45862_0 {
	meta:
		name = "TIWCustomRegion.DoPostRenderProcessing"
		size = 224
		refs = "001d TIWCustomRegion.DoPostRenderProcessing 0034 SupportsInterface 0042 HTML40ControlInterface 0058 TIWContainer.get_ContainerContext 0073 _Dn_TIWContainerBorderOptions 0078 TIWContainerBorderOptions.CreateDefaultFrame 0084 TIWBaseComponentContext.SetMLTag 008e HTML40ComponentInterface 00ae @IntfClear 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D FC 89 4D F8 8B F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F2 89 55 F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 61 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 B0 00 00 00 84 C0 74 29 8B C7 E8 ?? ?? ?? ?? 8B 40 18 80 78 44 00 74 19 8B 45 FC 50 8B 45 F8 8B 48 14 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 21 DD 52 13 BF EC EE 4A A4 3B 95 6B E7 43 D2 6C }
	condition:
		$1
}

rule function_45864_0 {
	meta:
		name = "TIWCustomRegion.SetBorderOptions"
		size = 91
		refs = "0018 TIWContainerBorderOptions.SetColor 0026 TIWContainerBorderOptions.SetNumericWidth 0035 TIWContainerBorderOptions.SetStyle 0044 TIWContainerBorderOptions.SetWidth"
	strings:
		$1 = { 56 8B F0 8B 86 D8 02 00 00 8B 08 FF 51 08 8B 86 D8 02 00 00 8B 50 1C E8 ?? ?? ?? ?? 8B 86 D8 02 00 00 8B 50 28 E8 ?? ?? ?? ?? 8B 86 D8 02 00 00 0F B6 50 18 E8 ?? ?? ?? ?? 8B 86 D8 02 00 00 0F B6 50 24 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 74 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_45865_0 {
	meta:
		name = "TIWCustomRegion.InitControl"
		size = 240
		refs = "0009 _Dn_TIWHTMLControlImplementation 000e TIWHTMLControlImplementation.Create 001d _Dn_TIWBaseControlImplementation 0022 TIWBaseControlImplementation.Create 002f TIWHTML40Container.InitControl 0036 _Dn_TIWContainerBorderOptions 003b TObject.Create 004d fromTColor 0056 TIWContainerBorderOptions.SetColor 0063 TIWContainerBorderOptions.SetStyle 0070 TIWContainerBorderOptions.SetWidth 0080 TIWContainerBorderOptions.SetNumericWidth 0090 TIWCustomRegion.OnBorderChange 0095 TIWCustomRegion.InitControl 00ba TControl.SetWidth 00c6 TControl.SetHeight 00d2 TIWCustomRegion.set_ZIndex 00db TIWCustomRegion.set_Clip 00e4 TControl.SetShowHint"
	strings:
		$1 = { 53 56 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 DC 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 E0 02 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D8 02 00 00 B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 04 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? B2 03 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 89 58 14 C7 40 10 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 58 B8 FF FF FF 1F E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 24 01 00 00 BA 3C 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 3C 00 00 00 8B C3 E8 ?? ?? ?? ?? BA E8 03 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 AB 00 00 00 }
	condition:
		$1
}

rule function_45866_0 {
	meta:
		name = "TIWCustomRegion.InitDesignTime"
		size = 36
		refs = "0006 TIWContainer.InitDesignTime 000d TIWBaseContainer.GetDesignMode 0016 TIWCustomRegion.InitDesignTime"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 08 A1 ?? ?? ?? ?? 89 43 5C 5B C3 00 00 01 00 00 }
	condition:
		$1
}

rule function_45868_0 {
	meta:
		name = "TIWCustomRegion.RenderHTML"
		size = 102
		refs = "0038 TIWContainerBorderOptions.InitalizeForRendering 0054 TIWContainerBorderOptions.CreateFrame"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 46 10 89 83 F8 02 00 00 8B 83 90 02 00 00 0F B6 40 1C 50 8B C3 8B 10 FF 92 20 01 00 00 8B D0 8B 83 80 02 00 00 0F B6 48 1C 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B C3 85 C0 74 05 2D 00 FD FF FF 50 8B 4E 20 33 D2 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B F8 89 BB F4 02 00 00 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45869_0 {
	meta:
		name = "TIWCustomRegion.get_ExtraTagParams"
		size = 12
		refs = "0007 TIWBaseComponentImplementation.get_ExtraTagParams"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45899_0 {
	meta:
		name = "TIWCustomRegion.DoHTMLTag"
		size = 12
		refs = "0007 TIWBaseHTMLComponentImplementation.DoHTMLTag"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45924_0 {
	meta:
		name = "TIWCustomRegion.SupportsInput"
		size = 12
		refs = "0007 TIWBaseComponentImplementation.SupportsInput"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45925_0 {
	meta:
		name = "TIWCustomRegion.SupportsSubmit"
		size = 12
		refs = "0007 TIWBaseComponentImplementation.SupportsSubmit"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45926_0 {
	meta:
		name = "TIWCustomRegion.WantsSubmitValidation"
		size = 12
		refs = "0007 TIWHTMLControlImplementation.WantsSubmitValidation"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45875_0 {
	meta:
		name = "TIWCustomRegion.get_Clip"
		size = 12
		refs = "0007 TIWHTMLControlImplementation.getClip"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45878_0 {
	meta:
		name = "TIWCustomRegion.get_ScriptEvents"
		size = 12
		refs = "0007 TIWHTMLControlImplementation.GetScriptEvents"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45876_0 {
	meta:
		name = "TIWCustomRegion.get_StyleRenderOptions"
		size = 12
		refs = "0007 TIWHTMLControlImplementation.GetStyleRenderOptions"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45934_0 {
	meta:
		name = "TIWCustomRegion.get_SupportsPartial"
		size = 12
		refs = "0007 TIWHTMLControlImplementation.get_SupportsPartial"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45927_0 {
	meta:
		name = "TIWCustomRegion.get_Visible"
		size = 12
		refs = "0007 TIWBaseHTMLControlImplementation.GetVisible"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45907_0 {
	meta:
		name = "TIWCustomRegion.get_WebColor"
		size = 12
		refs = "0007 TIWBaseHTMLControlImplementation.getIWColor"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45902_0 {
	meta:
		name = "TIWCustomRegion.get_WebFont"
		size = 12
		refs = "0007 TIWBaseHTMLControlImplementation.getFont"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45880_0 {
	meta:
		name = "TIWCustomRegion.get_ZIndex"
		size = 12
		refs = "0007 TIWHTMLControlImplementation.GetZIndex"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45881_0 {
	meta:
		name = "TIWCustomRegion.set_Clip"
		size = 12
		refs = "0007 TIWHTMLControlImplementation.setClip"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45870_0 {
	meta:
		name = "TIWCustomRegion.set_ExtraTagParams"
		size = 12
		refs = "0007 TIWBaseComponentImplementation.set_ExtraTagParams"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45885_0 {
	meta:
		name = "TIWCustomRegion.set_ScriptEvents"
		size = 12
		refs = "0007 TIWHTMLControlImplementation.SetScriptEvents"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45935_0 {
	meta:
		name = "TIWCustomRegion.set_SupportsPartial"
		size = 12
		refs = "0007 TIWHTMLControlImplementation.set_SupportsPartial"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45908_0 {
	meta:
		name = "TIWCustomRegion.set_WebColor"
		size = 12
		refs = "0007 TIWBaseHTMLControlImplementation.setIWColor"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45922_0 {
	meta:
		name = "TIWCustomRegion.set_WebCursor"
		size = 12
		refs = "0007 TIWHTMLControlImplementation.SetCursor"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45923_0 {
	meta:
		name = "TIWCustomRegion.set_WebFont"
		size = 12
		refs = "0007 TIWBaseHTMLControlImplementation.setFont"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45887_0 {
	meta:
		name = "TIWCustomRegion.set_ZIndex"
		size = 12
		refs = "0007 TIWHTMLControlImplementation.SetZIndex"
	strings:
		$1 = { 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45871_0 {
	meta:
		name = "TIWCustomRegion.get_OnHTMLTag"
		size = 22
		refs = "000f TIWBaseHTMLComponentImplementation.getOnHTMLTag"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45930_0 {
	meta:
		name = "TIWCustomRegion.get_Css"
		size = 22
		refs = "000f TIWHTMLControlImplementation.getCss"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45879_0 {
	meta:
		name = "TIWCustomRegion.get_SkinId"
		size = 22
		refs = "000f TIWHTMLControlImplementation.getSkinId"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45872_0 {
	meta:
		name = "TIWCustomRegion.set_OnHTMLTag"
		size = 24
		refs = "0010 TIWBaseHTMLComponentImplementation.setOnHTMLTag"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_45873_0 {
	meta:
		name = "TIWCustomRegion.Dispose"
		size = 88
		refs = "0015 TObject.Free 001e TIWHTML40Container.set_LayoutMgr 0027 TIWHTML40Container.Dispose"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 86 D8 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 74 26 8D 86 DC 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 E0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45874_0 {
	meta:
		name = "TIWCustomRegion.get_HTMLName"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 DC 02 00 00 8B 08 FF 51 04 5E 5B C3 }
	condition:
		$1
}

rule function_45882_0 {
	meta:
		name = "TIWCustomRegion.set_Css"
		size = 79
		refs = "000e @UStrAddRef 0016 TIWCustomRegion.set_Css 002a TIWHTMLControlImplementation.setCss 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_45886_0 {
	meta:
		name = "TIWCustomRegion.set_SkinId"
		size = 79
		refs = "000e @UStrAddRef 0016 TIWCustomRegion.set_SkinId 002a TIWHTMLControlImplementation.setSkinId 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_45890_0 {
	meta:
		name = "TIWCustomRegion.set_Visible"
		size = 67
		refs = "000b TIWBaseContainer.set_Visible 0018 TIWBaseHTMLControlImplementation.SetVisible 0023 _Dn_TIWBaseContainer 0028 @IsClass 0033 TIWBaseContainer.ForceAlign 003c TIWHTML40Container.set_DoRefreshControl"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 86 DC 02 00 00 E8 ?? ?? ?? ?? 8B 5E 38 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45891_0 {
	meta:
		name = "TIWCustomRegion.RenderComponents"
		size = 238
		refs = "0011 TIWContainer.set_ContainerContext 0019 TIWContainer.get_ContainerContext 0025 TIWContainer.RenderComponents 0048 _Dn_TIWRenderStream 004d TIWRenderStream.Create 0058 TIWCustomRegion.RenderComponents 0095 TIWBaseContainerLayout.SetContainer 00b0 TIWHTMLTag.GetContents 00ba TIWMarkupLanguageTagCollection.AddBuffer 00c0 @HandleFinally 00dc TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D9 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B CB 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B 40 18 8B CB 5A 8B 30 FF 56 60 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B 70 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B C6 8B 18 FF 53 54 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 33 C9 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_45892_0 {
	meta:
		name = "TIWCustomRegion.get_UseFrame"
		size = 8
	strings:
		$1 = { 0F B6 80 F0 02 00 00 C3 }
	condition:
		$1
}

rule function_45893_0 {
	meta:
		name = "TIWCustomRegion.set_UseFrame"
		size = 7
	strings:
		$1 = { 88 90 F0 02 00 00 C3 }
	condition:
		$1
}

rule function_45894_0 {
	meta:
		name = "TIWCustomRegion.OnBorderChange"
		size = 161
		refs = "0009 TWinControl.GetControlCount 001c TWinControl.GetControl 002a TIWContainerBorderOptions.GetPixelWidth 004b TControl.SetLeft 0083 TControl.SetTop"
	strings:
		$1 = { 53 56 57 55 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 77 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 68 48 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 3B E8 7D 1D 8B D6 8B C3 E8 ?? ?? ?? ?? 50 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 68 4C 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 3B E8 7D 1D 8B D6 8B C3 E8 ?? ?? ?? ?? 50 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 46 4F 75 8C 8B C3 8B 10 FF 52 74 8B C3 8B 10 FF 92 9C 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45895_0 {
	meta:
		name = "TIWCustomRegion.SetBounds"
		size = 192
		refs = "0011 _DV_TIWCustomRegion 0016 @IsClass 0028 TIWContainerBorderOptions.GetPixelWidth 0091 TIWHTML40Container.get_DoRefreshControl 00a2 TIWHTML40Container.set_DoRefreshControl 00b5 TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 43 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B 43 38 8B 80 D8 02 00 00 E8 ?? ?? ?? ?? 3B F0 7D 10 8B 43 38 8B 80 D8 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 43 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B 43 38 8B 80 D8 02 00 00 E8 ?? ?? ?? ?? 3B F8 7D 10 8B 43 38 8B 80 D8 02 00 00 E8 ?? ?? ?? ?? 8B F8 3B 73 48 75 24 3B 7B 4C 75 1F 8B 45 0C 3B 43 50 75 17 8B 45 08 3B 43 54 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_45896_0 {
	meta:
		name = "TIWCustomRegion.SetName"
		size = 88
		refs = "000a TIWCustomRegion.SetName 000f @UStrEqual 001a TIWBaseContainer.SetName 0026 TControl.SetAlign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B2 05 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 57 00 46 00 72 00 61 00 6D 00 65 00 52 00 65 00 67 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_45897_0 {
	meta:
		name = "TIWCustomRegion.InitContainerContext"
		size = 128
		refs = "000a _Dn_TIWContainerContext 0011 TIWContainerContext.Create 001a TIWHTML40Container.get_LayoutMgr 0029 _Dn_TIWLayoutMgrForm 002e TIWVCLComponent.Create 0045 TIWBaseContainerLayout.SetContainer"
	strings:
		$1 = { 53 56 57 8B F0 6A 01 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 12 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 2E 8B D6 85 D2 74 06 81 EA 2C FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 48 84 C0 75 10 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 85 D2 74 06 81 EA 2C FD FF FF 8B C3 E8 ?? ?? ?? ?? 89 5F 18 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45898_0 {
	meta:
		name = "TIWCustomRegion.DoCreate"
		size = 40
		refs = "0010 TIWBaseContainer.GetDesignMode"
	strings:
		$1 = { 53 8B D8 66 83 BB EA 02 00 00 00 74 19 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0E 8B D3 8B 83 EC 02 00 00 FF 93 E8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_45900_0 {
	meta:
		name = "TIWCustomRegion.get_Canvas"
		size = 12
		refs = "0007 TIWBaseControlImplementation.GetCanvas"
	strings:
		$1 = { 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45914_0 {
	meta:
		name = "TIWCustomRegion.PaintTo"
		size = 12
		refs = "0007 TIWBaseControlImplementation.PaintTo"
	strings:
		$1 = { 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_45901_0 {
	meta:
		name = "TIWCustomRegion.get_WebCursor"
		size = 16
		refs = "000a TIWHTMLControlImplementation.GetCursor"
	strings:
		$1 = { 53 8B D8 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45903_0 {
	meta:
		name = "TIWCustomRegion.get_HTMLHeight"
		size = 107
		refs = "0008 TIWBaseContainer.GetDesignMode 0017 TIWBaseHTMLControlImplementation.getHTMLHeight 0039 TIWApplication.GetBrowser 0053 TIWContainerBorderOptions.GetPixelWidth 005f iif"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 8B F0 EB 46 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B BB F8 02 00 00 85 FF 74 2F 8B C7 E8 ?? ?? ?? ?? 2C 03 74 08 2C 05 74 04 33 C0 EB 02 B0 01 50 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B D0 03 D2 33 C9 58 E8 ?? ?? ?? ?? 2B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45906_0 {
	meta:
		name = "TIWCustomRegion.get_HTMLWidth"
		size = 107
		refs = "0008 TIWBaseContainer.GetDesignMode 0017 TIWBaseHTMLControlImplementation.getHTMLWidth 0039 TIWApplication.GetBrowser 0053 TIWContainerBorderOptions.GetPixelWidth 005f iif"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 8B F0 EB 46 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B BB F8 02 00 00 85 FF 74 2F 8B C7 E8 ?? ?? ?? ?? 2C 03 74 08 2C 05 74 04 33 C0 EB 02 B0 01 50 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B D0 03 D2 33 C9 58 E8 ?? ?? ?? ?? 2B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45904_0 {
	meta:
		name = "TIWCustomRegion.get_HTMLLeft"
		size = 47
		refs = "000c TIWHTMLControlImplementation.GetHTMLLeft 0019 _Dn_TFrame 001e @IsClass"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 7B 38 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 03 8B 77 48 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45905_0 {
	meta:
		name = "TIWCustomRegion.get_HTMLTop"
		size = 47
		refs = "000c TIWHTMLControlImplementation.GetHTMLTop 0019 _Dn_TFrame 001e @IsClass"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 7B 38 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 03 8B 77 4C 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45909_0 {
	meta:
		name = "TIWCustomRegion.getTabOrder"
		size = 43
		refs = "0008 _Dn_TFrame 000d @IsClass 0018 TIWHTMLContainer.getTabOrder 0025 TIWBaseHTMLControlImplementation.getTabOrder"
	strings:
		$1 = { 53 8B D8 8B 43 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_45910_0 {
	meta:
		name = "TIWCustomRegion.setTabOrder"
		size = 79
		refs = "000b _Dn_TFrame 0010 @IsClass 001b TIWHTMLContainer.OwnerForm 002f TComponent.FreeNotification 0038 TIWHTMLContainer.setTabOrder 0048 TIWBaseHTMLControlImplementation.setTabOrder"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45912_0 {
	meta:
		name = "TIWCustomRegion.MakeHTMLTag"
		size = 108
		refs = "000f TIWCustomRegion.MakeHTMLTag 0022 TIWBaseHTMLComponentImplementation.MakeHTMLTag 002c TIWCustomRegion.ParentContainer 003c TIWContainerContext.GetComponentContext 0046 TIWRenderStream.WriteString 005b @IntfClear 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 40 8B 53 08 E8 ?? ?? ?? ?? 8B 50 18 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45915_0 {
	meta:
		name = "TIWCustomRegion.ParentContainer"
		size = 22
		refs = "000f TIWBaseControlImplementation.ParentContainer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45916_0 {
	meta:
		name = "TIWCustomRegion.RenderCSSClass"
		size = 28
		refs = "0014 TIWHTMLControlImplementation.RenderCSSClass"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45920_0 {
	meta:
		name = "TIWCustomRegion.RenderStyle"
		size = 28
		refs = "0014 TIWHTMLControlImplementation.RenderStyle"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_45917_0 {
	meta:
		name = "TIWCustomRegion.GetClientRect"
		size = 63
		refs = "000b TIWBaseContainer.GetClientRect 0012 TIWBaseContainer.GetDesignMode 0021 TIWContainerBorderOptions.GetPixelWidth 0038 InflateRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 22 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? F7 D8 50 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? F7 D8 50 56 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45918_0 {
	meta:
		name = "TIWCustomRegion.AdjustClientRect"
		size = 63
		refs = "000b TIWBaseContainer.AdjustClientRect 0012 TIWBaseContainer.GetDesignMode 0021 TIWContainerBorderOptions.GetPixelWidth 0038 InflateRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? F7 D8 50 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? F7 D8 50 56 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45919_0 {
	meta:
		name = "TIWCustomRegion.RenderScripts"
		size = 388
		refs = "0014 TIWCustomRegion.RenderScripts 0027 TIWHTMLControlImplementation.RenderScripts 0033 _Dn_TIWLayoutMgrForm 0038 @IsClass 0052 TIWCustomRegion.get_HTMLName 0067 @UStrCatN 0071 TIWPageContext40.AddToIWCLInitProc 008e TIWContainerBorderOptions.GetPixelWidth 0096 IntToStr 00db @UStrArrayClr 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 8B 46 0C 8B 40 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 81 00 00 00 8B 76 20 68 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 69 00 66 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 57 00 43 00 4C 00 29 00 20 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 49 00 57 00 43 00 4C 00 2E 00 42 00 6F 00 72 00 64 00 65 00 72 00 57 00 69 00 64 00 74 00 68 00 50 00 69 00 78 00 65 00 6C 00 73 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_45928_0 {
	meta:
		name = "TIWCustomRegion.InitPaintHandler"
		size = 84
		refs = "000c TIWCustomRegion.InitPaintHandler 001c TObject.ClassName 0026 _Dn_TIWBaseControl 002b TIWBaseControl.CreatePaintHandler 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8B 55 FC 8B CB A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_45931_0 {
	meta:
		name = "TIWCustomRegion.AddAsyncStyle"
		size = 85
		refs = "0011 @UStrAddRef 0019 TIWCustomRegion.AddAsyncStyle 002f TIWHTMLControlImplementation.AddAsyncStyle 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D6 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45936_0 {
	meta:
		name = "TIWRegion.ContainerPrefix"
		size = 138
		refs = "0010 TIWRegion.ContainerPrefix 0021 _Dn_TFrame 0026 @IsClass 0034 UpperCase 003e isBaseContainer 004d BaseContainerInterface 0078 @IntfClear 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 04 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 47 08 E8 ?? ?? ?? ?? EB 2D 8B 43 38 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC 8B 43 38 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 10 EB 0A 8B D6 8B 43 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_45937_0 {
	meta:
		name = "TIWRegion.RenderMarkupLanguageTag"
		size = 388
		refs = "0013 TIWRegion.RenderMarkupLanguageTag 003d TIWTagParamsStringList.GetValue 0050 IntToStr 0072 TIWCustomRegion.get_HTMLWidth 0089 TIWCustomRegion.get_HTMLHeight 00a6 @UStrCatN 00b5 TIWMarkupLanguageTag.AddStringParam 00cf @UStrArrayClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 08 FF 91 68 01 00 00 8B F0 85 F6 0F 84 88 00 00 00 8D 4D F8 8B 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 8B 43 48 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B 43 4C E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 FC BA 0A 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6C 00 65 00 66 00 74 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3B 00 74 00 6F 00 70 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3B 00 77 00 69 00 64 00 74 00 68 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3B 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_45938_0 {
	meta:
		name = "TIWRegion.GetInputControlNames"
		size = 136
		refs = "000f TIWRegion.GetInputControlNames 0031 TIWCustomRegion.get_HTMLName 003e @UStrCat 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 10 03 00 00 00 74 2A 0F B6 43 65 48 2C 04 73 21 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 5F 00 64 00 61 00 74 00 61 00 00 00 }
	condition:
		$1
}

rule function_45941_0 {
	meta:
		name = "TIWRegion.SetValue"
		size = 260
		refs = "0012 TIWRegion.SetValue 0044 @UStrLAsg 0059 Fetch 0061 StrToInt 008c TControl.SetHeight 00a0 TControl.SetTop 00ab TControl.SetWidth 00b6 TControl.SetLeft 00c7 TIWBaseContainer.ForceAlign 00e1 @UStrArrayClr 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 10 03 00 00 00 0F 84 A2 00 00 00 0F B6 43 65 48 2C 04 0F 83 95 00 00 00 85 F6 0F 84 8D 00 00 00 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 8B 45 FC E8 ?? ?? ?? ?? 8B F0 0F B6 43 65 FE C8 74 0E FE C8 74 15 FE C8 74 25 FE C8 74 2C EB 3C 8B D6 8B C3 E8 ?? ?? ?? ?? EB 31 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? EB 1D 8B D6 8B C3 E8 ?? ?? ?? ?? EB 12 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_45949_0 {
	meta:
		name = "TIWRegion.IsForThisControl"
		size = 160
		refs = "0013 @UStrAddRef 001b TIWRegion.IsForThisControl 002c @UStrLAsg 0036 TIWCustomRegion.get_HTMLName 0046 @UStrCat3 0051 AnsiCompareText 0072 @UStrArrayClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 5F 00 64 00 61 00 74 00 61 00 00 00 }
	condition:
		$1
}

rule function_45951_0 {
	meta:
		name = "TIWRegion.RenderAsync"
		size = 1144
		refs = "001b TIWRegion.RenderAsync 002f _Dn_TIWXMLTag 0034 TIWXMLTag.CreateTag 004f TIWCustomRegion.get_HTMLName 005f TIWMarkupLanguageTag.AddStringParam 0088 ColorToRGBString 009d @UStrCatN 010b TIWApplication.GetBrowser 0124 IntToStr 0134 @UStrCat3 01f9 TIWHTMLControlImplementation.RenderAsyncCommonProperties 0262 TIWContainerBorderOptions.CreateFrame 0274 TIWTagParamsStringList.GetValue 029b TObject.Free 02aa @HandleAnyException 02bc @DoneExcept 02d6 @UStrArrayClr 02dc @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 8B 10 FF 92 20 01 00 00 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 FC 8B C3 8B 38 FF 97 80 01 00 00 68 ?? ?? ?? ?? 8D 55 E8 8B 83 D8 02 00 00 8B 40 1C E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D EC 8B 55 FC 8B C3 8B 38 FF 97 80 01 00 00 83 BB F8 02 00 00 00 75 09 8B 46 10 89 83 F8 02 00 00 8B BB F8 02 00 00 85 FF 74 6D 8B C7 E8 ?? ?? ?? ?? 2C 02 74 0A 04 FD 2C 02 0F 83 C8 00 00 00 8D 55 E0 8B 43 54 E8 ?? ?? ?? ?? 8B 4D E0 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8B 55 FC 8B C3 8B 38 FF 97 80 01 00 00 8D 55 D8 8B 43 50 E8 ?? ?? ?? ?? 8B 4D D8 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC 8B 55 FC 8B C3 8B 38 FF 97 80 01 00 00 EB 70 8B 43 54 8B 93 D8 02 00 00 8B 52 28 03 D2 2B C2 8D 55 D0 E8 ?? ?? ?? ?? 8B 4D D0 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 8B 55 FC 8B C3 8B 38 FF 97 80 01 00 00 8B 43 50 8B 93 D8 02 00 00 8B 52 28 03 D2 2B C2 8D 55 C8 E8 ?? ?? ?? ?? 8B 4D C8 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC 8B 55 FC 8B C3 8B 38 FF 97 80 01 00 00 0F B7 05 ?? ?? ?? ?? 50 8B 83 DC 02 00 00 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 C0 8B 43 50 E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? 8D 55 BC 8B 43 54 E8 ?? ?? ?? ?? FF 75 BC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 C4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 4D C4 8B 55 FC 8B C3 8B 38 FF 97 80 01 00 00 8B C3 85 C0 74 05 2D 00 FD FF FF 50 8B 4E 20 8B 83 D8 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B F0 8D 4D B4 8B 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B4 8D 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 8B 55 FC 8B C3 8B 18 FF 93 80 01 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 12 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 57 00 52 00 45 00 47 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 77 00 69 00 64 00 74 00 68 00 3A 00 00 00 00 00 9F 07 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 63 00 6C 00 69 00 70 00 3A 00 72 00 65 00 63 00 74 00 28 00 30 00 70 00 78 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 70 00 78 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 30 00 70 00 78 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 74 00 79 00 6C 00 65 00 3A 00 00 00 00 00 }
	condition:
		$1
}

rule function_45952_0 {
	meta:
		name = "TIWRegion.RenderHTML"
		size = 2996
		refs = "001b TIWRegion.RenderHTML 002b TIWCustomRegion.RenderHTML 0056 TWinControl.GetControlCount 0069 TWinControl.GetControl 006f _Dn_TIWCustomControl 0074 @IsClass 0086 TIWCustomControl.get_ZIndex 00fd @UStrLAsg 0132 TIWHTMLTag.GetContents 013e TIWHTMLTagCollection.AddTag 0151 TIWMarkupLanguageTag.AddStringParam 0170 TIWCustomRegion.get_HTMLName 017d @UStrCat 01ce IntToStr 01f0 @UStrCatN 0432 @UStrCat3 044e TIWCompContext.AddScriptFile 0468 @UStrArrayClr 047b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 E8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 89 45 E4 80 BB 10 03 00 00 00 0F 84 13 04 00 00 0F B6 43 65 48 2C 04 0F 83 06 04 00 00 C7 45 D8 F8 2A 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 44 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 D8 7E 12 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 89 45 D8 46 4F 75 BF 0F B6 43 65 8B D0 4A 80 EA 02 73 0B 8B 7B 54 8B 53 4C 89 55 E0 EB 09 8B 7B 50 8B 53 48 89 55 E0 8B 55 E8 0F B6 52 1C 80 EA 03 74 0E 80 EA 02 74 09 80 EA 03 74 04 33 D2 EB 02 B2 01 88 55 DF FE C8 74 39 FE C8 74 17 FE C8 74 22 FE C8 75 3A 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 E0 E8 ?? ?? ?? ?? FF 75 C8 68 ?? ?? ?? ?? 8D 55 C4 8B C7 E8 ?? ?? ?? ?? FF 75 C4 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D CC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 43 65 FE C8 74 72 FE C8 74 15 FE C8 0F 84 37 01 00 00 FE C8 0F 84 B7 00 00 00 E9 A0 01 00 00 80 7D DF 00 74 0F 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 C0 8B 45 D8 E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 BA 06 00 00 00 E8 ?? ?? ?? ?? E9 47 01 00 00 80 7D DF 00 74 0F 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 BC 8B 45 D8 E8 ?? ?? ?? ?? FF 75 BC 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 BA 06 00 00 00 E8 ?? ?? ?? ?? E9 EE 00 00 00 80 7D DF 00 74 1C 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 B8 8B 45 D8 E8 ?? ?? ?? ?? FF 75 B8 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 BA 08 00 00 00 E8 ?? ?? ?? ?? EB 76 80 7D DF 00 74 1C 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 B4 8B 45 D8 E8 ?? ?? ?? ?? FF 75 B4 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 55 B0 8B C3 E8 ?? ?? ?? ?? 8D 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 AC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D AC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 45 A8 8B 4D F8 33 D2 E8 ?? ?? ?? ?? 8B 4D A8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 E4 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 74 00 6F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 72 00 69 00 67 00 68 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 6F 00 74 00 74 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 4F 00 52 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 46 00 6F 00 72 00 6D 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 53 00 75 00 62 00 6D 00 69 00 74 00 28 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6F 00 6E 00 53 00 75 00 62 00 6D 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 5F 00 64 00 61 00 74 00 61 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 68 00 69 00 64 00 64 00 65 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 30 00 70 00 78 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 36 00 70 00 78 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 7A 00 2D 00 69 00 6E 00 64 00 65 00 78 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 3B 00 74 00 6F 00 70 00 3A 00 30 00 70 00 78 00 3B 00 20 00 57 00 49 00 44 00 54 00 48 00 3A 00 20 00 31 00 30 00 30 00 25 00 3B 00 20 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 6A 00 00 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 74 00 6F 00 70 00 3A 00 20 00 33 00 70 00 78 00 20 00 6F 00 75 00 74 00 73 00 65 00 74 00 3B 00 20 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 62 00 6F 00 74 00 74 00 6F 00 6D 00 3A 00 20 00 33 00 70 00 78 00 20 00 6F 00 75 00 74 00 73 00 65 00 74 00 3B 00 20 00 20 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 3A 00 20 00 61 00 62 00 73 00 6F 00 6C 00 75 00 74 00 65 00 3B 00 20 00 6F 00 76 00 65 00 72 00 66 00 6C 00 6F 00 77 00 3A 00 20 00 68 00 69 00 64 00 64 00 65 00 6E 00 3B 00 63 00 75 00 72 00 73 00 6F 00 72 00 3A 00 20 00 6E 00 2D 00 72 00 65 00 73 00 69 00 7A 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 3B 00 62 00 6F 00 74 00 74 00 6F 00 6D 00 3A 00 30 00 70 00 78 00 3B 00 20 00 57 00 49 00 44 00 54 00 48 00 3A 00 20 00 31 00 30 00 30 00 25 00 3B 00 20 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 6A 00 00 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 74 00 6F 00 70 00 3A 00 20 00 33 00 70 00 78 00 20 00 67 00 72 00 6F 00 6F 00 76 00 65 00 3B 00 20 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 62 00 6F 00 74 00 74 00 6F 00 6D 00 3A 00 20 00 33 00 70 00 78 00 20 00 67 00 72 00 6F 00 6F 00 76 00 65 00 3B 00 20 00 20 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 3A 00 20 00 61 00 62 00 73 00 6F 00 6C 00 75 00 74 00 65 00 3B 00 20 00 6F 00 76 00 65 00 72 00 66 00 6C 00 6F 00 77 00 3A 00 20 00 68 00 69 00 64 00 64 00 65 00 6E 00 3B 00 63 00 75 00 72 00 73 00 6F 00 72 00 3A 00 20 00 6E 00 2D 00 72 00 65 00 73 00 69 00 7A 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3B 00 6C 00 65 00 66 00 74 00 3A 00 30 00 70 00 78 00 3B 00 20 00 74 00 6F 00 70 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 3B 00 20 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 31 00 30 00 30 00 25 00 3B 00 20 00 77 00 69 00 64 00 74 00 68 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 9E 00 00 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 74 00 6F 00 70 00 3A 00 20 00 6E 00 6F 00 6E 00 65 00 3B 00 20 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 62 00 6F 00 74 00 74 00 6F 00 6D 00 3A 00 20 00 6E 00 6F 00 6E 00 65 00 3B 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 6C 00 65 00 66 00 74 00 3A 00 20 00 33 00 70 00 78 00 20 00 67 00 72 00 6F 00 6F 00 76 00 65 00 3B 00 20 00 62 00 6F 00 72 00 64 00 65 00 72 00 2D 00 72 00 69 00 67 00 68 00 74 00 3A 00 20 00 33 00 70 00 78 00 20 00 67 00 72 00 6F 00 6F 00 76 00 65 00 3B 00 20 00 50 00 4F 00 53 00 49 00 54 00 49 00 4F 00 4E 00 3A 00 20 00 61 00 62 00 73 00 6F 00 6C 00 75 00 74 00 65 00 3B 00 20 00 6F 00 76 00 65 00 72 00 66 00 6C 00 6F 00 77 00 3A 00 20 00 68 00 69 00 64 00 64 00 65 00 6E 00 3B 00 20 00 63 00 75 00 72 00 73 00 6F 00 72 00 3A 00 20 00 77 00 2D 00 72 00 65 00 73 00 69 00 7A 00 65 00 3B 00 7A 00 2D 00 69 00 6E 00 64 00 65 00 78 00 3A 00 31 00 30 00 30 00 30 00 30 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 3B 00 72 00 69 00 67 00 68 00 74 00 3A 00 30 00 70 00 78 00 3B 00 20 00 74 00 6F 00 70 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 56 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 5F 00 67 00 72 00 69 00 70 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 47 00 72 00 69 00 70 00 4D 00 6F 00 75 00 73 00 65 00 44 00 6F 00 77 00 6E 00 28 00 65 00 76 00 65 00 6E 00 74 00 2C 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 6F 00 6E 00 6D 00 6F 00 75 00 73 00 65 00 64 00 6F 00 77 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 2F 00 6A 00 73 00 2F 00 49 00 57 00 53 00 70 00 6C 00 69 00 74 00 74 00 65 00 72 00 2E 00 6A 00 73 00 00 00 }
	condition:
		$1
}

rule function_45953_0 {
	meta:
		name = "TIWRegion.InitControl"
		size = 19
		refs = "0006 TIWCustomRegion.InitControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 10 03 00 00 00 5B C3 }
	condition:
		$1
}

rule function_45957_0 {
	meta:
		name = "RegisterIntraWebComponents"
		size = 96
		refs = "002a RegisterComponents 0038 HInstance 0040 _Dn_TIWHTMLManager 0045 TIWHTMLManager.RegisterComponents 0052 RegisterNonActiveX"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 4D F4 89 55 F8 89 45 FC 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 F4 50 8B 0D ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 B1 01 8B 55 F4 E8 ?? ?? ?? ?? 8B 75 EC 8B 5D F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_45958_0 {
	meta:
		name = "TIWUDPServer.TimerEvent"
		size = 768
		refs = "0014 TIWUDPServer.TimerEvent 0024 TTimer.SetEnabled 003f TTimer.SetInterval 0068 @UStrCatN 0081 iif 00b2 ShowMessage 00cf @HandleFinally 00eb @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 60 EA 00 00 8B 45 F8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F0 50 68 ?? ?? ?? ?? 8B 45 FC FF B0 EC 00 00 00 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 83 B8 EC 00 00 00 00 0F 95 C0 33 C9 5A E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 38 00 00 00 43 00 6F 00 6E 00 66 00 6C 00 69 00 63 00 74 00 20 00 77 00 69 00 74 00 68 00 20 00 61 00 20 00 6C 00 69 00 63 00 65 00 6E 00 73 00 65 00 64 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 6F 00 66 00 20 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 20 00 64 00 65 00 74 00 65 00 63 00 74 00 65 00 64 00 2E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 54 00 68 00 65 00 20 00 73 00 61 00 6D 00 65 00 20 00 6C 00 69 00 63 00 65 00 6E 00 73 00 65 00 20 00 69 00 73 00 20 00 75 00 73 00 65 00 64 00 20 00 6F 00 6E 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 34 00 00 00 54 00 68 00 69 00 73 00 20 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 20 00 77 00 69 00 6C 00 6C 00 20 00 62 00 65 00 20 00 72 00 65 00 70 00 65 00 61 00 74 00 65 00 64 00 20 00 69 00 6E 00 20 00 36 00 30 00 20 00 73 00 65 00 63 00 6F 00 6E 00 64 00 73 00 2E 00 20 00 50 00 6C 00 65 00 61 00 73 00 65 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 32 00 00 00 72 00 65 00 73 00 74 00 61 00 72 00 74 00 20 00 44 00 65 00 6C 00 70 00 68 00 69 00 20 00 74 00 6F 00 20 00 64 00 69 00 73 00 61 00 62 00 6C 00 65 00 20 00 74 00 68 00 65 00 20 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 20 00 70 00 61 00 63 00 6B 00 61 00 67 00 65 00 2C 00 20 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 69 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 20 00 61 00 20 00 6C 00 69 00 63 00 65 00 6E 00 73 00 65 00 20 00 6B 00 65 00 79 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_45959_0 {
	meta:
		name = "TIWUDPServer.EvaluationMessageSetup"
		size = 83
		refs = "0017 Application 0020 _Dn_TTimer 0025 TTimer.Create 0043 TIWUDPServer.TimerEvent 004b TTimer.SetOnTimer"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 83 B8 E8 00 00 00 00 75 3A 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 E8 00 00 00 8B 45 FC 8B 80 E8 00 00 00 89 45 F8 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_45960_0 {
	meta:
		name = "TIWUDPServer.UDPServerUDPRead"
		size = 628
		refs = "0024 @DynArrayAddRef 002c TIWUDPServer.UDPServerUDPRead 004d BytesToString 0062 Fetch 0091 iif 00b9 @UStrCatN 00be GStack 00c5 TInStack.GetLocalAddresses 00dc GLicense 00f1 AnsiSameText 0106 AnsiPos 0120 @UStrAsg 0128 TIWUDPServer.EvaluationMessageSetup 013f IntToStr 0170 TInUDPBase.Send 01c2 @HandleAnyException 01c7 @DoneExcept 01e1 @UStrArrayClr 01ea TArray<System.Byte> 01ef @DynArrayClear 01f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 E8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 E8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E4 8D 45 E0 50 83 7D E8 00 0F 95 C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E0 6A 01 8D 45 DC 50 8D 45 E8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 DC 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 08 8B 52 1C 8B 08 FF 51 54 40 0F 85 DC 00 00 00 A1 ?? ?? ?? ?? 8B 00 80 78 40 01 75 49 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 85 BA 00 00 00 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 48 0F 85 A6 00 00 00 8B 45 FC 05 EC 00 00 00 8B 55 08 8B 52 1C E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 86 00 00 00 8D 55 D8 A1 ?? ?? ?? ?? 8B 00 8B 40 2C E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 22 68 ?? ?? ?? ?? 6A 00 8B 45 08 66 8B 48 22 8B 45 08 8B 50 1C 8B 45 F8 8B 80 88 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 32 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 48 75 22 68 ?? ?? ?? ?? 6A 00 8B 45 08 66 8B 48 22 8B 45 08 8B 50 1C 8B 45 F8 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2D 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 31 00 32 00 2E 00 30 00 2E 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 59 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 4E 00 00 00 }
	condition:
		$1
}

rule function_45961_0 {
	meta:
		name = "Register"
		size = 3220
		refs = "001f Register 002c _Dn_TBitmap 0031 TBitmap.Create 003f HInstance 0047 TBitmap.LoadFromResourceName 005c SplashScreenServices 0075 BorlandIDEServices 0087 @IntfCopy 00af WizardServ 00b4 @IntfClear 00dc _Dn_TIWApplicationWizard 00e1 TIWApplicationWizard.Create 00f9 AppWizard 0102 _Dn_TIWUnitWizard 0107 TIWUnitWizard.Create 011f UnitWizard 0128 _Dn_TIWFrameWizard 012d TIWFrameWizard.Create 0145 FrameWizard 014e _Dn_TIWTestApplicationWizard 0153 TIWTestApplicationWizard.Create 016b TestWizard 0174 _Dn_TIWTestUnitWizard 0179 TIWTestUnitWizard.Create 0191 TestUnitWizard 0215 GLicense 021c TIWLicense.SetSystemLocal 022a ShowMessage 0234 _Dn_TIWSilverlight 023f _Dn_TIWSilverlightVideo 024a _Dn_TIWApplet 0255 _Dn_TIWButton 0260 _Dn_TIWCheckBox 026b _Dn_TIWComboBox 0276 _Dn_TIWEdit 0281 _Dn_TIWFile 028c _Dn_TIWFlash 0297 _Dn_TIWHRule 02a2 _Dn_TIWImage 02ad _Dn_TIWImageFile 02b8 _Dn_TIWImageButton 02c3 _Dn_TIWList 02ce _Dn_TIWLabel 02d9 _Dn_TIWListbox 02e4 _Dn_TIWLink 02ef _Dn_TIWMemo 02f7 _Dn_TIWMenu 02ff _Dn_TIWProgressBar 0307 _Dn_TIWRadioGroup 030f _Dn_TIWRectangle 0317 _Dn_TIWRegion 031f _Dn_TIWText 0327 _Dn_TIWTimer 032f _Dn_TIWGrid 0337 _Dn_TIWTreeView 033f _Dn_TIWURL 0347 _Dn_TIWURLWindow 034f _Dn_TIWActiveX 0357 _Dn_TIWMPEG 035f _Dn_TIWQuickTime 0367 _Dn_TIWCalendar 036f _Dn_TIWOrderedListbox 0377 _Dn_TIWTabControl 037f _Dn_TIWTimeEdit 0387 _Dn_TIWRadioButton 039f RegisterIntraWebComponents 03a4 _Dn_TIWDBCheckBox 03af _Dn_TIWDBComboBox 03ba _Dn_TIWDBEdit 03c5 _Dn_TIWDBGrid 03d0 _Dn_TIWDBImage 03db _Dn_TIWDBLabel 03e6 _Dn_TIWDBListbox 03f1 _Dn_TIWDBLookupListBox 03fc _Dn_TIWDBLookupComboBox 0407 _Dn_TIWDBFile 0412 _Dn_TIWDBMemo 041d _Dn_TIWDBNavigator 0428 _Dn_TIWDBText 0433 _Dn_TIWDBRadioGroup 0453 _Dn_TIWTemplateProcessorHTML 045e _Dn_TIWLayoutMgrForm 0469 _Dn_TIWStandAloneServer 0474 _Dn_TIWLayoutMgrHTML 047f _Dn_TIWImageList 048a _Dn_TIWDataModulePool 0495 _Dn_TIWProgressIndicator 04a0 _Dn_TIWJQueryWidget 04ab _Dn_TIWAJAXNotifier 04cb _Dn_TIWURLResponderEvent 04d6 _Dn_TIWURLResponderRedirect 04e1 _Dn_TIWURLResponderDirLister 0501 _Dn_TIWAutherList 050c _Dn_TIWAutherINI 0517 _Dn_TIWAutherEvent 0537 _DV_TIWDataGridColumnFieldProperty 0543 _Dn_TIWDBGridColumn 0548 string 054d RegisterPropertyEditor 0552 _DV_TIWKeyFieldProperty 05a3 _DV_TFilenameReferenceProperty 05af _Dn_TIWFileReference 05b4 TFileName 05be _DV_TIWDataListFieldProperty 05ca _Dn_TIWCustomControl 05d9 _Dn_TTreeViewItemsProperty 05f4 _DV_TIWScriptEventsProperty 0605 TIWScriptEvents 060f _Dn_TIWColorEditor 0618 _Dn_TIWBaseHTMLControl 061d TIWColor 0633 _Dn_TIWBorderOptions 064b _Dn_TIWAppForm 0663 _Dn_TIWHTMLContainer 067b _Dn_TIWContainerBorderOptions 0696 _Dn_TIWFont 06b1 _Dn_TIWMenuStyle 0738 _Dn_TIWGridBorderColors 07b3 _DV_TIWFontFamilyProperty 07cf _Dn_TIWControlAbout 07d4 _Dn_TIWBaseControl 07d9 RegisterComponentEditor 07f4 _Dn_TIWBaseContainerLayout 07ff _Dn_TIWTreeViewComponent 080f _Dn_TIWDsnTabControl 082f _DV_TIWServerControllerDesignModule 0834 _Dn_TIWServerControllerBase 0839 RegisterCustomModule 083f _DV_TIWUserSessionDesignModule 0844 _Dn_TIWUserSessionBase 084f _DV_TIWDesignModule 085e _Dn_TIWTabPage 0871 RegisterClasses 0893 @UStrArrayClr 08a3 @UStrClr 08a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 D0 FE FF FF 53 33 C0 89 45 D0 89 45 FC 89 45 DC 89 45 D8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 45 F8 8B 10 FF 52 70 8B C8 A1 ?? ?? ?? ?? 8B 00 BA ?? ?? ?? ?? 8B 18 FF 53 0C 8D 4D D0 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 18 FF 53 10 8B 55 D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 70 50 6A 00 6A 00 6A 00 6A 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 1C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 8B 00 FF 10 83 3D ?? ?? ?? ?? 00 0F 84 30 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 A1 ?? ?? ?? ?? 8B 08 FF 51 0C A3 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 A1 ?? ?? ?? ?? 8B 08 FF 51 0C A3 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 A1 ?? ?? ?? ?? 8B 08 FF 51 0C A3 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 A1 ?? ?? ?? ?? 8B 08 FF 51 0C A3 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 A1 ?? ?? ?? ?? 8B 08 FF 51 0C A3 ?? ?? ?? ?? B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 A1 ?? ?? ?? ?? 8B 08 FF 51 0C A3 ?? ?? ?? ?? B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 A1 ?? ?? ?? ?? 8B 08 FF 51 0C A3 ?? ?? ?? ?? B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 A1 ?? ?? ?? ?? 8B 08 FF 51 0C A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 0D 8B 45 FC E8 ?? ?? ?? ?? E9 42 06 00 00 A1 ?? ?? ?? ?? 89 85 3C FF FF FF A1 ?? ?? ?? ?? 89 85 40 FF FF FF A1 ?? ?? ?? ?? 89 85 44 FF FF FF A1 ?? ?? ?? ?? 89 85 48 FF FF FF A1 ?? ?? ?? ?? 89 85 4C FF FF FF A1 ?? ?? ?? ?? 89 85 50 FF FF FF A1 ?? ?? ?? ?? 89 85 54 FF FF FF A1 ?? ?? ?? ?? 89 85 58 FF FF FF A1 ?? ?? ?? ?? 89 85 5C FF FF FF A1 ?? ?? ?? ?? 89 85 60 FF FF FF A1 ?? ?? ?? ?? 89 85 64 FF FF FF A1 ?? ?? ?? ?? 89 85 68 FF FF FF A1 ?? ?? ?? ?? 89 85 6C FF FF FF A1 ?? ?? ?? ?? 89 85 70 FF FF FF A1 ?? ?? ?? ?? 89 85 74 FF FF FF A1 ?? ?? ?? ?? 89 85 78 FF FF FF A1 ?? ?? ?? ?? 89 85 7C FF FF FF A1 ?? ?? ?? ?? 89 45 80 A1 ?? ?? ?? ?? 89 45 84 A1 ?? ?? ?? ?? 89 45 88 A1 ?? ?? ?? ?? 89 45 8C A1 ?? ?? ?? ?? 89 45 90 A1 ?? ?? ?? ?? 89 45 94 A1 ?? ?? ?? ?? 89 45 98 A1 ?? ?? ?? ?? 89 45 9C A1 ?? ?? ?? ?? 89 45 A0 A1 ?? ?? ?? ?? 89 45 A4 A1 ?? ?? ?? ?? 89 45 A8 A1 ?? ?? ?? ?? 89 45 AC A1 ?? ?? ?? ?? 89 45 B0 A1 ?? ?? ?? ?? 89 45 B4 A1 ?? ?? ?? ?? 89 45 B8 A1 ?? ?? ?? ?? 89 45 BC A1 ?? ?? ?? ?? 89 45 C0 A1 ?? ?? ?? ?? 89 45 C4 A1 ?? ?? ?? ?? 89 45 C8 A1 ?? ?? ?? ?? 89 45 CC 8D 95 3C FF FF FF B9 24 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 85 04 FF FF FF A1 ?? ?? ?? ?? 89 85 08 FF FF FF A1 ?? ?? ?? ?? 89 85 0C FF FF FF A1 ?? ?? ?? ?? 89 85 10 FF FF FF A1 ?? ?? ?? ?? 89 85 14 FF FF FF A1 ?? ?? ?? ?? 89 85 18 FF FF FF A1 ?? ?? ?? ?? 89 85 1C FF FF FF A1 ?? ?? ?? ?? 89 85 20 FF FF FF A1 ?? ?? ?? ?? 89 85 24 FF FF FF A1 ?? ?? ?? ?? 89 85 28 FF FF FF A1 ?? ?? ?? ?? 89 85 2C FF FF FF A1 ?? ?? ?? ?? 89 85 30 FF FF FF A1 ?? ?? ?? ?? 89 85 34 FF FF FF A1 ?? ?? ?? ?? 89 85 38 FF FF FF 8D 95 04 FF FF FF B9 0D 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 85 E0 FE FF FF A1 ?? ?? ?? ?? 89 85 E4 FE FF FF A1 ?? ?? ?? ?? 89 85 E8 FE FF FF A1 ?? ?? ?? ?? 89 85 EC FE FF FF A1 ?? ?? ?? ?? 89 85 F0 FE FF FF A1 ?? ?? ?? ?? 89 85 F4 FE FF FF A1 ?? ?? ?? ?? 89 85 F8 FE FF FF A1 ?? ?? ?? ?? 89 85 FC FE FF FF A1 ?? ?? ?? ?? 89 85 00 FF FF FF 8D 95 E0 FE FF FF B9 08 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 85 D4 FE FF FF A1 ?? ?? ?? ?? 89 85 D8 FE FF FF A1 ?? ?? ?? ?? 89 85 DC FE FF FF 8D 95 D4 FE FF FF B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 85 D4 FE FF FF A1 ?? ?? ?? ?? 89 85 D8 FE FF FF A1 ?? ?? ?? ?? 89 85 DC FE FF FF 8D 95 D4 FE FF FF B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 33 C9 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 33 C9 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 33 C9 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 33 C9 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 85 D0 FE FF FF 8D 85 D0 FE FF FF 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 57 00 53 00 50 00 4C 00 41 00 53 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 20 00 58 00 49 00 49 00 00 00 00 00 FD F7 A2 62 F1 16 B9 45 94 17 A2 D2 93 D0 7A 22 B0 04 02 00 FF FF FF FF 33 00 00 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 20 00 58 00 49 00 49 00 0D 00 0A 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3A 00 20 00 31 00 32 00 2E 00 30 00 2E 00 38 00 0D 00 0A 00 42 00 75 00 69 00 6C 00 64 00 20 00 44 00 61 00 74 00 65 00 3A 00 20 00 32 00 30 00 31 00 31 00 30 00 38 00 30 00 32 00 00 00 E3 0C 5C B7 A6 EE D1 11 95 04 00 60 8C CB F1 53 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 57 00 20 00 53 00 74 00 61 00 6E 00 64 00 61 00 72 00 64 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 57 00 20 00 44 00 61 00 74 00 61 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 57 00 20 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 57 00 20 00 55 00 52 00 4C 00 20 00 52 00 65 00 73 00 70 00 6F 00 6E 00 64 00 65 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 57 00 20 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 61 00 74 00 61 00 46 00 69 00 65 00 6C 00 64 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4B 00 65 00 79 00 46 00 69 00 65 00 6C 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4C 00 69 00 6E 00 6B 00 46 00 69 00 65 00 6C 00 64 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4C 00 69 00 73 00 74 00 46 00 69 00 65 00 6C 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 72 00 65 00 65 00 4E 00 6F 00 64 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 63 00 72 00 69 00 70 00 74 00 45 00 76 00 65 00 6E 00 74 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 47 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 64 00 49 00 74 00 65 00 6D 00 42 00 47 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 74 00 65 00 6D 00 42 00 47 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 65 00 64 00 49 00 74 00 65 00 6D 00 42 00 47 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 42 00 6F 00 72 00 64 00 65 00 72 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 72 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 69 00 67 00 68 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 42 00 6F 00 78 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 6F 00 6E 00 74 00 46 00 61 00 6D 00 69 00 6C 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_45963_0 {
	meta:
		name = "GetPropertyValue"
		size = 90
		refs = "0017 TObject.ClassInfo 001f GetPropInfo 0041 GetObjectProp 0047 _Dn_TPersistent 004c @AsClass"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 F8 89 45 FC 33 C0 89 45 F4 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 27 8B 45 F0 8B 00 8B 00 80 38 07 75 1B 33 C9 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_45964_0 {
	meta:
		name = "TIWDataFieldProperty.GetAttributes"
		size = 32
		refs = "000b TIWDataFieldProperty.GetAttributes"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 66 A1 ?? ?? ?? ?? 66 89 45 FA 66 8B 45 FA 59 59 5D C3 00 29 00 00 00 }
	condition:
		$1
}

rule function_45977_0 {
	meta:
		name = "TIWFontFamilyProperty.GetAttributes"
		size = 32
		refs = "000b TIWFontFamilyProperty.GetAttributes"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 66 A1 ?? ?? ?? ?? 66 89 45 FA 66 8B 45 FA 59 59 5D C3 00 29 00 00 00 }
	condition:
		$1
}

rule function_45965_0 {
	meta:
		name = "TIWDataFieldProperty.GetValueList"
		size = 388
		refs = "001f TIWDataFieldProperty.GetValueList 0046 @UStrCopy 0053 SameText 0061 TPropertyEditor.GetComponent 0073 @CallDynaInst 0088 @UStrDelete 00a2 GetPropertyValue 00a8 _Dn_TDataSource 00ad @AsClass 00c6 _Dn_TWideStringList 00cb TWideStringList.Create 0103 @UStrFromWStr 0123 TObject.Free 0129 @HandleFinally 0140 @WStrClr 014d @UStrArrayClr 0155 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 56 33 C9 89 4D DC 89 4D D8 89 4D E0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC 8B 08 FF 51 48 8D 45 E0 50 B9 06 00 00 00 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 33 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 40 04 89 45 E8 8B 45 E8 66 BE FF FF E8 ?? ?? ?? ?? 89 45 F0 8D 45 F4 B9 06 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 0D 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 74 75 8B 45 EC 83 78 38 00 74 6C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 38 8B 55 E4 8B 08 FF 91 9C 02 00 00 8D 55 D8 8B 45 E4 8B 08 FF 51 1C 8B 55 D8 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 77 00 6E 00 65 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_45966_0 {
	meta:
		name = "TIWDataFieldProperty.GetValues"
		size = 198
		refs = "0013 TIWDataFieldProperty.GetValues 0020 _Dn_TStringList 0025 TStringList.Create 0053 @IntOver 0096 FreeAndNil 009c @HandleFinally 00b3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 FC 8B 08 FF 51 4C 8B 45 F4 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 2A 40 89 45 F0 C7 45 F8 00 00 00 00 8D 4D EC 8B 55 F8 8B 45 F4 8B 18 FF 53 0C 8B 55 EC 8B 45 0C FF 55 08 FF 45 F8 FF 4D F0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_45967_0 {
	meta:
		name = "TIWDataListFieldProperty.GetDataSourcePropName"
		size = 68
		refs = "0010 TIWDataListFieldProperty.GetDataSourcePropName 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 69 00 73 00 74 00 53 00 6F 00 75 00 72 00 63 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_45969_0 {
	meta:
		name = "TIWKeyFieldProperty.GetDataSourcePropName"
		size = 68
		refs = "0010 TIWKeyFieldProperty.GetDataSourcePropName 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 69 00 73 00 74 00 53 00 6F 00 75 00 72 00 63 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_45968_0 {
	meta:
		name = "TIWDataGridColumnFieldProperty.GetDataSourcePropName"
		size = 80
		refs = "0010 TIWDataGridColumnFieldProperty.GetDataSourcePropName 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4F 00 77 00 6E 00 65 00 72 00 2E 00 44 00 61 00 74 00 61 00 53 00 6F 00 75 00 72 00 63 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_45970_0 {
	meta:
		name = "TIWDBGridEditor.ExecuteVerb"
		size = 31
		refs = "0013 TComponentEditor.ExecuteVerb"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 59 59 5D C3 }
	condition:
		$1
}

rule function_45971_0 {
	meta:
		name = "TIWDBGridEditor.GetVerb"
		size = 80
		refs = "0013 TIWDBGridEditor.GetVerb 0018 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F8 89 55 F4 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C3 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 20 00 45 00 64 00 69 00 74 00 6F 00 72 00 2E 00 2E 00 2E 00 00 00 }
	condition:
		$1
}

rule function_45973_0 {
	meta:
		name = "TFilenameReferenceProperty.Edit"
		size = 312
		refs = "0011 TFilenameReferenceProperty.Edit 001d Application 0026 _Dn_TOpenDialog 002b TOpenDialog.Create 0047 TStringProperty.GetValue 0052 ExtractFilePath 005d TOpenDialog.SetInitialDir 0068 TOpenDialog.SetFileName 0078 @UStrAsg 00a1 TOpenDialog.GetFileName 00c1 TObject.Free 00c7 @HandleFinally 00de @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 83 C0 78 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 40 74 0B 05 ?? ?? ?? ?? 8B 55 F4 89 42 74 8B 45 F4 8B 10 FF 52 50 84 C0 74 16 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 41 00 6C 00 6C 00 20 00 66 00 69 00 6C 00 65 00 73 00 20 00 28 00 2A 00 2E 00 2A 00 29 00 7C 00 2A 00 2E 00 2A 00 00 00 10 03 00 00 }
	condition:
		$1
}

rule function_45974_0 {
	meta:
		name = "TFilenameReferenceProperty.GetAttributes"
		size = 32
		refs = "000b TFilenameReferenceProperty.GetAttributes"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 66 A1 ?? ?? ?? ?? 66 89 45 FA 66 8B 45 FA 59 59 5D C3 00 84 00 00 00 }
	condition:
		$1
}

rule function_45975_0 {
	meta:
		name = "TIWScriptEventsProperty.Edit"
		size = 51
		refs = "000f TPropertyEditor.GetComponent 001a _Dn_TfrmEventsEditor 001f TfrmEventsEditor.EditScriptEvents 002b TPropertyEditor.Modified"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_45976_0 {
	meta:
		name = "TIWScriptEventsProperty.GetAttributes"
		size = 56
		refs = "000d TClassProperty.GetAttributes 0014 TIWScriptEventsProperty.GetAttributes"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 66 0B 05 ?? ?? ?? ?? 66 8B 15 ?? ?? ?? ?? F7 D2 66 23 D0 66 89 55 FA 66 8B 45 FA 59 59 5D C3 04 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_45978_0 {
	meta:
		name = "TIWFontFamilyProperty.GetValues"
		size = 424
		refs = "0008 TIWFontFamilyProperty.GetValues"
	strings:
		$1 = { 55 8B EC 51 89 45 FC BA ?? ?? ?? ?? 8B 45 0C FF 55 08 BA ?? ?? ?? ?? 8B 45 0C FF 55 08 BA ?? ?? ?? ?? 8B 45 0C FF 55 08 BA ?? ?? ?? ?? 8B 45 0C FF 55 08 BA ?? ?? ?? ?? 8B 45 0C FF 55 08 59 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 53 00 61 00 6E 00 73 00 2D 00 53 00 65 00 72 00 69 00 66 00 2C 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 53 00 61 00 6E 00 73 00 2D 00 53 00 65 00 72 00 69 00 66 00 2C 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 53 00 61 00 6E 00 73 00 2D 00 53 00 65 00 72 00 69 00 66 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 53 00 61 00 6E 00 73 00 2D 00 53 00 65 00 72 00 69 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_45979_0 {
	meta:
		name = "TIWDesignModule.ValidateComponentClass"
		size = 272
		refs = "0015 TIWDesignModule.ValidateComponentClass 0021 _Dn_TIWCustomControl 0029 TObject.InheritsFrom 0033 _Dn_TIWCustomRegion 0045 _Dn_TFrame 0057 _Dn_TIWContainer 006e TObject.ClassName 007b AnsiSameText 0099 TCustomModule.ValidateComponentClass 00a3 _Dn_TControl 00b5 _Dn_TCommonDialog 00df @UStrClr 00e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 56 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 44 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 32 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 20 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 F7 80 7D F7 00 75 3C 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 24 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 12 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8A 45 F7 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 43 00 68 00 61 00 72 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_45980_0 {
	meta:
		name = "TIWServerControllerDesignModule.ValidateComponentClass"
		size = 61
		refs = "0013 TCustomModule.ValidateComponentClass 001d _Dn_TControl 0025 TObject.InheritsFrom"
		altNames = "TIWUserSessionDesignModule.ValidateComponentClass"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 12 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 88 45 F7 8A 45 F7 8B E5 5D C3 }
	condition:
		$1
}

rule function_45982_0 {
	meta:
		name = "Finalization"
		size = 208
		refs = "0007 Finalization 0013 _DV_1 001e WizardServ 0023 @IntfClear 002e BorlandIDEServices 0044 FrameWizard 0054 UnitWizard 0064 AppWizard 0074 TestWizard 0084 TestUnitWizard 009d IDEExe 00a2 @UStrClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 89 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 8B 00 FF 10 83 3D ?? ?? ?? ?? 00 74 50 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 08 FF 51 10 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 08 FF 51 10 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 08 FF 51 10 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 08 FF 51 10 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 08 FF 51 10 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 00 00 00 E3 0C 5C B7 A6 EE D1 11 95 04 00 60 8C CB F1 53 }
	condition:
		$1
}

rule function_45983_0 {
	meta:
		name = "IWRegister"
		size = 192
		refs = "000d IWRegister 0019 _DV_1 0021 GWarningProc 0027 WarningHandler 002f Application 0036 TApplication.GetExeName 003e IDEExe 0043 @UStrAsg 0050 ExtractFileName 006a UpperCase 0077 AnsiPos 007e GIsBCB 009b @UStrArrayClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 65 A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 A1 ?? ?? ?? ?? 0F 9F 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 42 00 43 00 42 00 00 00 }
	condition:
		$1
}

rule function_45984_0 {
	meta:
		name = "TIWBaseHTMLPageContext.AppendHiddenInput"
		size = 248
		refs = "000f @UStrAddRef 0017 TIWBaseHTMLPageContext.AppendHiddenInput 0033 TIWHTMLTag.GetContents 003f TIWHTMLTagCollection.AddTag 0052 TIWMarkupLanguageTag.AddStringParam 0081 @UStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 1C 8B 08 FF 51 54 40 75 41 8B 43 08 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 1C 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 4E 00 50 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 49 00 44 00 44 00 45 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 41 00 4D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_45985_0 {
	meta:
		name = "TIWBaseHTMLPageContext.Clear"
		size = 67
		refs = "000b TIWBasePageContext.Clear 0022 TIWHTMLTag.GetContents"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 0C 8B 40 10 8B 10 FF 52 44 84 DB 75 22 8B 46 08 E8 ?? ?? ?? ?? 8B 10 FF 52 08 8B 46 1C 8B 10 FF 52 44 8B 46 0C E8 ?? ?? ?? ?? 8B 10 FF 52 08 5E 5B C3 }
	condition:
		$1
}

rule function_45986_0 {
	meta:
		name = "TIWBaseHTMLPageContext.Create"
		size = 196
		refs = "000b @ClassCreate 001c TIWBasePageContext.Create 0027 TIWApplication.GetBrowser 0031 _Dn_TStringList 0036 TStringList.Create 0040 TIWBaseHTMLPageContext.Create 0047 _Dn_TIWHTMLTag 004c TIWMarkupLanguageTag.CreateTag 007f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 74 0A 8B C6 E8 ?? ?? ?? ?? 88 47 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 1C 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 4F 00 52 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 4F 00 44 00 59 00 00 00 00 00 }
	condition:
		$1
}

rule function_45987_0 {
	meta:
		name = "TIWBaseHTMLPageContext.Destroy"
		size = 100
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0052 TObject.Destroy 005d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_45988_0 {
	meta:
		name = "TIWPageContext40.RenderLinkFiles"
		size = 203
		refs = "001c TIWPageContext40.RenderLinkFiles 002a @UStrClr 0081 TIWPageContext40.LinkFile 008c @UStrCat 00b1 @UStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D E8 89 4D E4 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 43 54 8B 10 FF 52 14 48 85 C0 7C 60 40 89 45 F4 C7 45 F8 00 00 00 00 8D 4D F0 8B 55 F8 8B 43 54 8B 30 FF 56 0C 8B 45 F0 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 29 8D 4D E4 8B 55 F8 8B 43 54 8B 30 FF 56 0C 8B 55 E4 8D 4D E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC FF 45 F8 FF 4D F4 75 AB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45989_0 {
	meta:
		name = "TIWPageContext40.RenderScriptFiles"
		size = 203
		refs = "001c TIWPageContext40.RenderScriptFiles 002a @UStrClr 0081 TIWPageContext40.ScriptFile 008c @UStrCat 00b1 @UStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D E8 89 4D E4 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 43 50 8B 10 FF 52 14 48 85 C0 7C 60 40 89 45 F4 C7 45 F8 00 00 00 00 8D 4D F0 8B 55 F8 8B 43 50 8B 30 FF 56 0C 8B 45 F0 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 29 8D 4D E4 8B 55 F8 8B 43 50 8B 30 FF 56 0C 8B 55 E4 8D 4D E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC FF 45 F8 FF 4D F4 75 AB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45990_0 {
	meta:
		name = "TIWPageContext40.RenderPreScriptFiles"
		size = 203
		refs = "001c TIWPageContext40.RenderPreScriptFiles 002a @UStrClr 0081 TIWPageContext40.ScriptFile 008c @UStrCat 00b1 @UStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D E8 89 4D E4 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 43 78 8B 10 FF 52 14 48 85 C0 7C 60 40 89 45 F4 C7 45 F8 00 00 00 00 8D 4D F0 8B 55 F8 8B 43 78 8B 30 FF 56 0C 8B 45 F0 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 29 8D 4D E4 8B 55 F8 8B 43 78 8B 30 FF 56 0C 8B 55 E4 8D 4D E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC FF 45 F8 FF 4D F4 75 AB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_45991_0 {
	meta:
		name = "TIWPageContext40.AddLinkFile"
		size = 32
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 54 8B 08 FF 51 54 40 75 0A 8B D6 8B 43 54 8B 08 FF 51 38 5E 5B C3 }
	condition:
		$1
}

rule function_45992_0 {
	meta:
		name = "TIWPageContext40.AddPreScriptFile"
		size = 32
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 78 8B 08 FF 51 54 40 75 0A 8B D6 8B 43 78 8B 08 FF 51 38 5E 5B C3 }
	condition:
		$1
}

rule function_45993_0 {
	meta:
		name = "TIWPageContext40.AddScriptFile"
		size = 32
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 50 8B 08 FF 51 54 40 75 0A 8B D6 8B 43 50 8B 08 FF 51 38 5E 5B C3 }
	condition:
		$1
}

rule function_45994_0 {
	meta:
		name = "TIWPageContext40.AddToInitProcNewWindowCode"
		size = 56
		refs = "000f TIWPageContext40.AddToInitProcNewWindowCode 001c @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 16 FF 73 30 56 68 ?? ?? ?? ?? 8D 43 30 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46028_0 {
	meta:
		name = "TIWCompContext.AddToIWCLInitProc"
		size = 56
		refs = "000f TIWCompContext.AddToIWCLInitProc 001c @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 16 FF 73 30 56 68 ?? ?? ?? ?? 8D 43 30 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_45995_0 {
	meta:
		name = "TIWPageContext40.AddToInitProcPageUnlockCode"
		size = 56
		refs = "000f TIWPageContext40.AddToInitProcPageUnlockCode 001c @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 16 FF 73 34 56 68 ?? ?? ?? ?? 8D 43 34 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_45996_0 {
	meta:
		name = "TIWPageContext40.AddToInitProcFocusCode"
		size = 56
		refs = "000f TIWPageContext40.AddToInitProcFocusCode 001c @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 16 FF 73 2C 56 68 ?? ?? ?? ?? 8D 43 2C BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_45997_0 {
	meta:
		name = "TIWPageContext40.AddToInitProcDoLastCode"
		size = 56
		refs = "000f TIWPageContext40.AddToInitProcDoLastCode 001c @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 16 FF 73 38 56 68 ?? ?? ?? ?? 8D 43 38 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_45998_0 {
	meta:
		name = "TIWPageContext40.AddToUpdateInitProcNewWindowCode"
		size = 56
		refs = "000f TIWPageContext40.AddToUpdateInitProcNewWindowCode 001c @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 16 FF 73 40 56 68 ?? ?? ?? ?? 8D 43 40 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_45999_0 {
	meta:
		name = "TIWPageContext40.AddToUpdateInitProcPageUnlockCode"
		size = 56
		refs = "000f TIWPageContext40.AddToUpdateInitProcPageUnlockCode 001c @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 16 FF 73 48 56 68 ?? ?? ?? ?? 8D 43 48 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46000_0 {
	meta:
		name = "TIWPageContext40.AddToInitProc"
		size = 56
		refs = "000f TIWPageContext40.AddToInitProc 001c @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 16 FF 73 28 56 68 ?? ?? ?? ?? 8D 43 28 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46027_0 {
	meta:
		name = "TIWCompContext.AddToInitProcDoLastCode"
		size = 56
		refs = "000f TIWCompContext.AddToInitProcDoLastCode 001c @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 16 FF 73 28 56 68 ?? ?? ?? ?? 8D 43 28 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46001_0 {
	meta:
		name = "TIWPageContext40.AddToUpdateControlsProc"
		size = 56
		refs = "000f TIWPageContext40.AddToUpdateControlsProc 001c @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 16 FF 73 68 56 68 ?? ?? ?? ?? 8D 43 68 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46002_0 {
	meta:
		name = "TIWPageContext40.AddToUpdateInitProc"
		size = 56
		refs = "000f TIWPageContext40.AddToUpdateInitProc 001c @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 16 FF 73 3C 56 68 ?? ?? ?? ?? 8D 43 3C BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46003_0 {
	meta:
		name = "TIWPageContext40.AddToUpdateInitProcFocusCode"
		size = 56
		refs = "000f TIWPageContext40.AddToUpdateInitProcFocusCode 001c @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 16 FF 73 44 56 68 ?? ?? ?? ?? 8D 43 44 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46004_0 {
	meta:
		name = "TIWPageContext40.AddToIWCLInitProc"
		size = 56
		refs = "000f TIWPageContext40.AddToIWCLInitProc 001c @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 16 FF 73 4C 56 68 ?? ?? ?? ?? 8D 43 4C BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46005_0 {
	meta:
		name = "TIWPageContext40.AddToJavaScriptOnce"
		size = 104
		refs = "001c TIWPageContext40.AddToJavaScriptOnce 0021 AnsiPos 0032 @UStrCat 004a @UStrCatN"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 85 C0 74 05 83 E8 04 8B 00 8B F8 83 FF 02 7E 1F 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 EF 02 3B C7 75 0C 8D 43 58 8B D6 E8 ?? ?? ?? ?? EB 16 FF 73 58 56 68 ?? ?? ?? ?? 8D 43 58 BA 03 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46006_0 {
	meta:
		name = "TIWPageContext40.AddToOnReady"
		size = 23
		refs = "0010 @UStrCat"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 0A 8D 43 24 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46007_0 {
	meta:
		name = "TIWPageContext40.Create"
		size = 312
		refs = "000e @ClassCreate 001c TIWBaseHTMLPageContext.Create 0023 _Dn_TStringList 0028 TStringList.Create 0051 @UStrClr 0058 TIWPageContext40.Create 005f _Dn_TIWHTMLTag 0064 TIWMarkupLanguageTag.CreateTag 007a TIWMarkupLanguageTag.AddStringParam 0082 TIWHTMLTag.GetContents 008e TIWMarkupLanguageTagCollection.AddText 00bd @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 78 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 54 8D 43 58 E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 64 8B C6 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 64 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 5C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 60 C6 43 70 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 74 00 65 00 78 00 74 00 2F 00 63 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46008_0 {
	meta:
		name = "TIWPageContext40.Destroy"
		size = 132
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0072 TIWBaseHTMLPageContext.Destroy 007d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 60 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 5C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 78 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 54 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 64 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46009_0 {
	meta:
		name = "TIWPageContext40.FinalizeContext"
		size = 612
		refs = "0013 TIWPageContext40.FinalizeContext 0026 @UStrLAsg 0032 TIWPageContext40.AddToJavaScriptOnce 00a2 @UStrCatN 00d8 @UStrArrayClr 00e0 @UStrClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 5C 8B 10 FF 52 14 48 85 C0 7C 73 40 89 45 F8 33 F6 68 ?? ?? ?? ?? 8D 4D F0 8B D6 8B 43 5C 8B 38 FF 57 0C FF 75 F0 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D EC 8B D6 8B 43 60 8B 38 FF 57 0C FF 75 EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 46 FF 4D F8 75 93 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 14 00 00 00 0D 00 0A 00 20 00 20 00 20 00 20 00 52 00 65 00 6C 00 65 00 61 00 73 00 65 00 4C 00 6F 00 63 00 6B 00 28 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 56 00 61 00 6C 00 69 00 64 00 61 00 74 00 65 00 28 00 29 00 20 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 20 00 69 00 66 00 28 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 29 00 20 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 20 00 20 00 20 00 20 00 77 00 69 00 6E 00 64 00 6F 00 77 00 2E 00 61 00 6C 00 65 00 72 00 74 00 28 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 20 00 20 00 20 00 20 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 66 00 61 00 6C 00 73 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 20 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 20 00 20 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 74 00 72 00 75 00 65 00 3B 00 0D 00 0A 00 7D 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_46010_0 {
	meta:
		name = "TIWPageContext40.GetOnReadyProc"
		size = 132
		refs = "000d TIWPageContext40.GetOnReadyProc 0021 @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 24 00 74 19 68 ?? ?? ?? ?? FF 73 24 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 1D 00 00 00 24 00 28 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 29 00 2E 00 72 00 65 00 61 00 64 00 79 00 28 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 28 00 29 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 7D 00 29 00 3B 00 00 00 }
	condition:
		$1
}

rule function_46011_0 {
	meta:
		name = "TIWPageContext40.GetInitProc"
		size = 36
		refs = "001d @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 FF 73 28 FF 73 34 FF 73 2C FF 73 30 FF 73 38 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46012_0 {
	meta:
		name = "TDynamicObjectMemberGroup.GetMemberName"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TIWPageContext40.GetIWCLInitProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 4C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111448_0 {
	meta:
		name = "TDomElement.GetLocalName"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 4C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48054_0 {
	meta:
		name = "TScriptManager.GetAddElementsIntf"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 4C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46013_0 {
	meta:
		name = "TIWPageContext40.ScriptFile"
		size = 460
		refs = "0014 TIWPageContext40.ScriptFile 0026 AnsiPos 002e gServerController 003e GAppType 0053 TIWApplication.GetInternalURLBase 0077 @UStrCatN 00e1 @UStrArrayClr 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 7C A1 ?? ?? ?? ?? 8B 00 80 B8 54 01 00 00 00 75 0A A1 ?? ?? ?? ?? 80 38 00 75 36 68 ?? ?? ?? ?? 8D 55 FC 8B 43 04 E8 ?? ?? ?? ?? FF 75 FC 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C7 BA 07 00 00 00 E8 ?? ?? ?? ?? EB 4E 68 ?? ?? ?? ?? 8D 55 F8 8B 43 04 E8 ?? ?? ?? ?? FF 75 F8 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C7 BA 05 00 00 00 E8 ?? ?? ?? ?? EB 22 68 ?? ?? ?? ?? 8B 43 04 FF 70 68 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C7 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 2F 00 6A 00 73 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 0D 00 0A 00 3C 00 73 00 63 00 72 00 69 00 70 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 74 00 65 00 78 00 74 00 2F 00 6A 00 61 00 76 00 61 00 73 00 63 00 72 00 69 00 70 00 74 00 22 00 20 00 73 00 72 00 63 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 31 00 32 00 2E 00 30 00 2E 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 22 00 3E 00 3C 00 2F 00 73 00 63 00 72 00 69 00 70 00 74 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46014_0 {
	meta:
		name = "TIWPageContext40.AddValidation"
		size = 27
	strings:
		$1 = { 56 57 8B F9 8B F0 8B 46 5C 8B 08 FF 51 38 8B D7 8B 46 60 8B 08 FF 51 38 5F 5E C3 }
	condition:
		$1
}

rule function_46015_0 {
	meta:
		name = "TIWPageContext40.AddStyle"
		size = 83
		refs = "000e @UStrAddRef 0016 TIWPageContext40.AddStyle 0024 TIWHTMLTag.GetContents 002e TIWMarkupLanguageTagCollection.AddText 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 64 E8 ?? ?? ?? ?? 33 C9 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_46016_0 {
	meta:
		name = "TAdapterDataDisplay.GetFieldName"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TIWPageContext40.GetUpdateControlsProc TWebDataInput.ImplGetFieldName TXMLDocument.GetFileName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 68 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95597_0 {
	meta:
		name = "TCGIResponse.GetContent"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 68 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49712_0 {
	meta:
		name = "TDefinition.GetServices"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 68 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111490_0 {
	meta:
		name = "TDomDocumentTypeDecl.GetSystemId"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 68 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96564_0 {
	meta:
		name = "TISAPIResponse.GetContent"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 68 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50518_0 {
	meta:
		name = "TSockWebResponse.GetContent"
		size = 19
		refs = "000c @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 68 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115023_0 {
	meta:
		name = "TXMLComplexContent.GetGroupRef"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 68 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115216_0 {
	meta:
		name = "TXMLSchemaDef.GetElementDefs"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 68 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111873_0 {
	meta:
		name = "TXmlSignal.GetUri"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 68 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46017_0 {
	meta:
		name = "TIWPageContext40.GetUpdateInitProc"
		size = 220
		refs = "0011 TIWPageContext40.GetUpdateInitProc 002d _Dn_TIWBaseHTMLControl 0032 TIWBaseHTMLControl.TextToJSStringLiteral 005e @UStrCatN 0078 @UStrArrayClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 73 3C FF 73 48 68 ?? ?? ?? ?? 8D 4D FC 8B 53 44 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC 8D 4D F8 8B 53 40 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 07 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 73 00 65 00 74 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 28 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46018_0 {
	meta:
		name = "TIWPageContext40.LinkFile"
		size = 160
		refs = "0007 TIWPageContext40.LinkFile 0019 @UStrCatN"
	strings:
		$1 = { 53 56 8B F1 8B DA 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 3C 00 6C 00 69 00 6E 00 6B 00 20 00 68 00 72 00 65 00 66 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 22 00 20 00 72 00 65 00 6C 00 3D 00 22 00 73 00 74 00 79 00 6C 00 65 00 73 00 68 00 65 00 65 00 74 00 22 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 74 00 65 00 78 00 74 00 2F 00 63 00 73 00 73 00 22 00 2F 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46019_0 {
	meta:
		name = "TIWPageContext40.AppendContext"
		size = 69
		refs = "000f TIWPageContext40.AddToInitProc 001f TIWPageContext40.AddToJavaScriptOnce 0029 TIWPageContext40.AddToIWCLInitProc 0033 TIWPageContext40.AddToUpdateInitProc 003d TIWPageContext40.AddToInitProcDoLastCode"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B FE 8B 57 24 8B C3 E8 ?? ?? ?? ?? 83 7F 2C 00 74 0A 8B 56 2C 8B C3 E8 ?? ?? ?? ?? 8B 57 30 8B C3 E8 ?? ?? ?? ?? 8B 57 34 8B C3 E8 ?? ?? ?? ?? 8B 57 28 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46020_0 {
	meta:
		name = "TIWPageContext40.Clear"
		size = 224
		refs = "000b TIWBaseHTMLPageContext.Clear 001b @UStrClr 0047 TIWHTMLTag.GetContents 005c TIWPageContext40.Clear 0069 TIWMarkupLanguageTag.AddStringParam 007d TIWMarkupLanguageTagCollection.AddText"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 46 50 8B 10 FF 52 44 8D 46 58 E8 ?? ?? ?? ?? 8D 46 28 E8 ?? ?? ?? ?? 8D 46 4C E8 ?? ?? ?? ?? 8B 46 5C 8B 10 FF 52 44 8B 46 60 8B 10 FF 52 44 84 DB 75 3E 8B 46 64 E8 ?? ?? ?? ?? 8B 10 FF 52 08 8B 46 64 8B 40 10 8B 10 FF 52 44 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 46 64 E8 ?? ?? ?? ?? 8B 46 64 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 68 E8 ?? ?? ?? ?? 8D 46 3C E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 08 00 00 00 74 00 65 00 78 00 74 00 2F 00 63 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46021_0 {
	meta:
		name = "TIWCompContext.Create"
		size = 92
		refs = "000e @ClassCreate 0024 TIWBaseComponentContext.Create 0035 TIWApplication.GetBrowser 0045 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 20 8B 73 10 85 F6 74 0A 8B C6 E8 ?? ?? ?? ?? 88 43 1C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_46026_0 {
	meta:
		name = "TIWCompContext.AddToInitProc"
		size = 56
		refs = "000f TIWCompContext.AddToInitProc 001c @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 16 FF 73 24 56 68 ?? ?? ?? ?? 8D 43 24 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46029_0 {
	meta:
		name = "TIWCompContext.AddToJavaScriptOnce"
		size = 104
		refs = "001c TIWCompContext.AddToJavaScriptOnce 0021 AnsiPos 0032 @UStrCat 004a @UStrCatN"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 85 C0 74 05 83 E8 04 8B 00 8B F8 83 FF 02 7E 1F 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 EF 02 3B C7 75 0C 8D 43 2C 8B D6 E8 ?? ?? ?? ?? EB 16 FF 73 2C 56 68 ?? ?? ?? ?? 8D 43 2C BA 03 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46030_0 {
	meta:
		name = "TIWCompContext.AddToUpdateInitProc"
		size = 23
		refs = "0010 @UStrCat"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 0A 8D 43 34 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46032_0 {
	meta:
		name = "TIWCompContext.CacheImage"
		size = 268
		refs = "0012 TIWCompContext.CacheImage 0046 @UStrCatN 0050 TIWCompContext.AddToJavaScriptOnce 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 8D 45 FC BA 09 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 47 00 49 00 6D 00 61 00 67 00 65 00 43 00 61 00 63 00 68 00 65 00 5F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 3D 00 6E 00 65 00 77 00 20 00 49 00 6D 00 61 00 67 00 65 00 28 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2E 00 73 00 72 00 63 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_46035_0 {
	meta:
		name = "Finalization"
		size = 1942
		refs = "0007 Finalization 0013 _DV_1 001e RSOK 0023 @UStrClr 0028 RSPermissionDEnied 0032 RSShowMessageNotSupported 003c RSSecureModeRequired 0046 RSNonSecureModeRequired 0050 RSAppStartedAndListening 005a RSNotSupportedDuringPartialUpdate 0064 RSWebApplicationRequiered 006e RSOptionsMenuCaption 0078 RSDeviceSimulationMenuCaption 0082 RSHTML32Caption 008c RSWMLCaption 0096 RSXHTMLMPCaption 00a0 RSWMLHint 00aa RSXHTMLMPHint 00b4 RSHTML32Hint 00be RSUnknownClientType 00c8 RSCannotShowNonAppForms 00d2 RSCannotHideNonAppForms 00dc RSCannotReleaseNonAppForms 00e6 RSUnknownBrowserType 00f0 RSMustBeAppForm 00fa RSDoodle 0104 RSWrongIPForSession 010e RSWrongBrowserForSession 0118 RSWrongSubnetForSession 0122 RSClientSideInEnterprise 012c RSValidationRequeredField 0136 RSInvalidComponentName 0140 RSDroppedConnection 014a RSNotFound 0154 RSPleaseWait 015e RSNoSubmitComponent 0168 RSNoSubmitHandler 0172 RSInvalidFunction 017c RSInvalidHeight 0186 RSInvalidWidth 0190 RSIndexOutOfBounds 019a RSNoServerController 01a4 RSSessionNotFound 01ae RSSessionAlreadyLocked 01b8 RSNotForThisProcess 01c2 RSRefreshWarning 01cc RSResourceNotFound 01d6 RSNoMainForm 01e0 RSDeviceNotSupported 01ea RSNoServerControllerClass 01f4 RSIWInitMissing 01fe RSUnknownSessionMethod 0208 RSInvalidBrowser 0212 RSMessageDialog 021c RSColorRed 0226 RSColorBlue 0230 RSColorGreen 023a RSColorYellow 0244 RSColorBrown 024e RSTextError 0258 RSCannotReceiveFocus 0262 RSErrorCreatingSession 026c RSUnknownBrowser 0276 RSIE 0280 RSNS6Gecko 028a RSNS7Gecko 0294 RSOpera 029e RSChrome 02a8 RSUnrecognizable 02b2 RSSafari 02bc RSOther 02c6 RSNoCookieSupport 02d0 RSNoJSSupport 02da RSCantFindInternalFile 02e4 RSExecuteError 02ee RSIWVersion 02f8 RSHTTPPort 0302 RSHTTPSPort 030c RSBindError 0316 RSLicenseNumber 0320 RSbtnNameFirst 032a RSbtnNamePrior 0334 RSbtnNameNext 033e RSbtnNameLast 0348 RSbtnNameInsert 0352 RSbtnNameDelete 035c RSbtnNameEdit 0366 RSbtnNamePost 0370 RSbtnNameCancel 037a RSbtnNameRefresh 0384 RSUnsupportedFieldType 038e RSNoRefereshWhileInEdit 0398 RSInvalidResponse 03a2 RSDeleteMessage 03ac RSUpdateMessage 03b6 RSCancelMessage 03c0 RSInvalidSessionTimeout 03ca RSEmptyWorkAreaPath 03d4 RSFormPreviewError 03de RSHTMLEditorError 03e8 RSIE55OrLater 03f2 RSScriptEditorCaption 03fc RSScriptEditorEvent 0406 RSScriptEditorCode 0410 RSOKButton 041a RSCancelButton 0424 RSApplyButton 042e RSNewRoot 0438 RSNewItem 0442 RSDeleteItem 044c RSEditCaption 0456 RSMsgDeleteItem 0460 RSApacheDSOError 046a RSISAPIError 0474 RSStandaloneError 047e RSAuthFailed 0488 RSToolBarError 0492 RSRedirecting 049c RSCanUseIWControlOnVCLForm 04a6 RS4On32Form 04b0 RS32On4Form 04ba RSDublicateEventHandler 04c4 RSMetaFileNotSupported 04ce RSLoadImageError 04d8 RSUnrecognizedCommand 04e2 RSLayoutMgrNeeded32 04ec RSLogExecute 04f6 RSLogCacheFile 0500 RSLogInternalGraphic 050a RSLogJavaScript 0514 RSLogNewSession 051e RSLogExternalFile 0528 RSLogExplicitStop 0532 RSLogUnrecognizedCommand 053c RSLogActiveSessions 0546 RSLogTotalBytes 0550 RSLogResizeCommand 055a RSLogUpdateCommand 0564 RSClearSessionsCaption 056e RSClearSessionsHint 0578 RSCopyClipboardCaption 0582 RSCopyClipboardHint 058c RSShowDebugInfoCaption 0596 RSShowDebugInfoHint 05a0 RSExitCaption 05aa RSExitHint 05b4 RSExecuteCaption 05be RSExecuteHint 05c8 RSExecuteDefaultCaption 05d2 RSExecuteDefaultHint 05dc RSExecuteIECaption 05e6 RSExecuteIEHint 05f0 RSExecuteMozillaCaption 05fa RSExecuteMozillaHint 0604 RSExecuteFirefoxCaption 060e RSExecuteFirefoxHint 0618 RSExecuteNS6Caption 0622 RSExecuteNS6Hint 062c RSExecuteOperaCaption 0636 RSExecuteOperaHint 0640 RSUseSSLCaption 064a RSUseSSLHint 0654 RSParamCaption 065e RSParamHint 0668 RSAboutCaption 0672 RSAboutHint 067c RSFileMenuCaption 0686 RSRunMenuCaption 0690 RSSelectBrowserCaption 069a RSHelpCaption 06a4 RSToolBarCaption 06ae RSUseParamQueryTitle 06b8 RSUseParamQueryPrompt 06c2 RSCanSetControlToSelf 06cc RSSelectionRequired 06d6 RSConnectionSpeedCaption 06e0 RSIncorrectSpeed 06ea RSSimulSpeed 06f4 RSConnectionSpeed 06fe RSZLibNotFound 0708 RSWrongZLibVer 0712 RSToday 071c RSPrevious 0726 RSNext 0730 rsEditHTML 073a rsPreviewHTML 0744 RSInvalidTimeEditFormat 074e RSMissingContainerOnFrame 0758 RSLogCSSRequest 0762 RSExceptionSessionExpired 076c RSExceptionOther 0776 RSTrappedException 078e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 62 07 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_46036_0 {
	meta:
		name = "IWResourceStrings"
		size = 2828
		refs = "0007 IWResourceStrings 0013 _DV_1 001f RSOK 0024 Ok 0029 LoadResString 002e RSShowMessageNotSupported 0033 ShowMessageNotSupported 003d RSSecureModeRequired 0042 SecureModeRequired 004c RSNonSecureModeRequired 0051 NonSecureModeRequired 005b RSAppStartedAndListening 0060 AppStartedAndListening 006a RSNotSupportedDuringPartialUpdate 006f NotSupportedDuringPartialUpdate 0079 RSWebApplicationRequiered 007e WebApplicationRequiered 0088 RSOptionsMenuCaption 008d OptionsMenuCaption 0097 RSDeviceSimulationMenuCaption 009c DeviceSimulationMenuCaption 00a6 RSHTML32Caption 00ab HTML32Caption 00b5 RSWMLCaption 00ba WMLCaption 00c4 RSXHTMLMPCaption 00c9 XHTMLMPCaption 00d3 RSHTML32Hint 00d8 HTML32Hint 00e2 RSWMLHint 00e7 WMLHint 00f1 RSXHTMLMPHint 00f6 XHTMLMPHint 0100 RSUnknownClientType 0105 UnknownClientType 010f RSCannotShowNonAppForms 0114 CannotShowNonAppForms 011e RSCannotHideNonAppForms 0123 CannotHideNonAppForms 012d RSCannotReleaseNonAppForms 0132 CannotReleaseNonAppForms 013c RSUnknownBrowserType 0141 UnknownBrowserType 014b RSMustBeAppForm 0150 MustBeAppForm 015a RSValidationRequeredField 015f ValidationRequeredField 0169 RSInvalidComponentName 016e InvalidComponentName 0178 RSDroppedConnection 017d DroppedConnection 0187 RSNotFound 018c NotFound 0196 RSNoSubmitComponent 019b NoSubmitComponent 01a5 RSNoSubmitHandler 01aa NoSubmitHandler 01b4 RSInvalidFunction 01b9 InvalidFunction 01c3 RSInvalidHeight 01c8 InvalidHeight 01d2 RSInvalidWidth 01d7 InvalidWidth 01e1 RSIndexOutOfBounds 01e6 IndexOutOfBounds 01f0 RSNoServerController 01f5 NoServerController 01ff RSSessionNotFound 0204 SessionNotFound 020e RSSessionAlreadyLocked 0213 SessionAlreadyLocked 021d RSNotForThisProcess 0222 NotForThisProcess 022c RSRefreshWarning 0231 RefreshWarning 023b RSResourceNotFound 0240 ResourceNotFound 024a RSNoMainForm 024f NoMainForm 0259 RSDeviceNotSupported 025e DeviceNotSupported 0268 RSNoServerControllerClass 026d NoServerControllerClass 0277 RSIWInitMissing 027c IWInitMissing 0286 RSUnknownSessionMethod 028b UnknownSessionMethod 0295 RSInvalidBrowser 029a InvalidBrowser 02a4 RSNoJSSupport 02a9 NoJSSupport 02b3 RSMessageDialog 02b8 MessageDialog 02c2 RSColorRed 02c7 ColorRed 02d1 RSColorBlue 02d6 ColorBlue 02e0 RSColorGreen 02e5 ColorGreen 02ef RSColorYellow 02f4 ColorYellow 02fe RSColorBrown 0303 ColorBrown 030d RSTextError 0312 TextError 031c RSCannotReceiveFocus 0321 CannotReceiveFocus 032b RSErrorCreatingSession 0330 ErrorCreatingSession 033a RSPermissionDEnied 033f PermissionDenied 0349 RSUnknownBrowser 034e UnknownBrowser 0358 RSIE 035d IE 0367 RSNS6Gecko 036c NS6Gecko 0376 RSNS7Gecko 037b NS7Gecko 0385 RSSafari 038a Safari 0394 RSOpera 0399 Opera 03a3 RSChrome 03a8 Chrome 03b2 RSOther 03b7 Other 03c1 RSUnrecognizable 03c6 Unrecognizable 03d0 RSNoCookieSupport 03d5 NoCookieSupport 03df RSCantFindInternalFile 03e4 CantFindInternalFile 03ee RSExecuteError 03f3 ExecuteError 03fd RSIWVersion 0402 IWVersion 040c RSHTTPPort 0411 HTTPPort 041b RSHTTPSPort 0420 HTTPSPort 042a RSBindError 042f BindError 0439 RSLicenseNumber 043e LicenseNumber 0448 RSbtnNameFirst 044d btnNameFirst 0457 RSbtnNamePrior 045c btnNamePrior 0466 RSbtnNameNext 046b btnNameNext 0475 RSbtnNameLast 047a btnNameLast 0484 RSbtnNameInsert 0489 btnNameInsert 0493 RSbtnNameDelete 0498 btnNameDelete 04a2 RSbtnNameEdit 04a7 btnNameEdit 04b1 RSbtnNamePost 04b6 btnNamePost 04c0 RSbtnNameCancel 04c5 btnNameCancel 04cf RSbtnNameRefresh 04d4 btnNameRefresh 04de RSUnsupportedFieldType 04e3 UnsupportedFieldType 04ed RSNoRefereshWhileInEdit 04f2 NoRefereshWhileInEdit 04fc RSInvalidResponse 0501 InvalidResponse 050b RSDeleteMessage 0510 DeleteMessage 051a RSUpdateMessage 051f UpdateMessage 0529 RSCancelMessage 052e CancelMessage 0538 RSInvalidSessionTimeout 053d InvalidSessionTimeout 0547 RSEmptyWorkAreaPath 054c EmptyWorkAreaPath 0556 RSFormPreviewError 055b FormPreviewError 0565 RSHTMLEditorError 056a HTMLEditorError 0574 RSIE55OrLater 0579 IE55OrLater 0583 RSScriptEditorCaption 0588 ScriptEditorCaption 0592 RSScriptEditorEvent 0597 ScriptEditorEvent 05a1 RSScriptEditorCode 05a6 ScriptEditorCode 05b0 RSOKButton 05b5 OKButton 05bf RSCancelButton 05c4 CancelButton 05ce RSApplyButton 05d3 ApplyButton 05dd RSNewRoot 05e2 NewRoot 05ec RSNewItem 05f1 NewItem 05fb RSDeleteItem 0600 DeleteItem 060a RSEditCaption 060f EditCaption 0619 RSMsgDeleteItem 061e MsgDeleteItem 0628 RSApacheDSOError 062d ApacheDSOError 0637 RSISAPIError 063c ISAPIError 0646 RSStandaloneError 064b StandaloneError 0655 RSAuthFailed 065a AuthFailed 0664 RSToolBarError 0669 ToolBarError 0673 RSRedirecting 0678 Redirecting 0682 RSCanUseIWControlOnVCLForm 0687 CanUseIWControlOnVCLForm 0691 RS4On32Form 0696 No4On32Form 06a0 RS32On4Form 06a5 No32On4Form 06af RSDublicateEventHandler 06b4 DublicateEventHandler 06be RSMetaFileNotSupported 06c3 MetaFileNotSupported 06cd RSLoadImageError 06d2 LoadImageError 06dc RSUnrecognizedCommand 06e1 UnrecognizedCommand 06eb RSLayoutMgrNeeded32 06f0 LayoutMgrNeeded32 06fa RSLogExecute 06ff LogExecute 0709 RSLogCacheFile 070e LogCacheFile 0718 RSLogInternalGraphic 071d LogInternalGraphic 0727 RSLogJavaScript 072c LogJavaScript 0736 RSLogNewSession 073b LogNewSession 0745 RSLogExternalFile 074a LogExternalFile 0754 RSLogExplicitStop 0759 LogExplicitStop 0763 RSLogUnrecognizedCommand 0768 LogUnrecognizedCommand 0772 RSLogActiveSessions 0777 LogActiveSessions 0781 RSClearSessionsCaption 0786 ClearSessionsCaption 0790 RSClearSessionsHint 0795 ClearSessionsHint 079f RSCopyClipboardCaption 07a4 CopyClipboardCaption 07ae RSCopyClipboardHint 07b3 CopyClipboardHint 07bd RSShowDebugInfoCaption 07c2 ShowDebugInfoCaption 07cc RSShowDebugInfoHint 07d1 ShowDebugInfoHint 07db RSExitCaption 07e0 ExitCaption 07ea RSExitHint 07ef ExitHint 07f9 RSExecuteCaption 07fe ExecuteCaption 0808 RSExecuteHint 080d ExecuteHint 0817 RSExecuteDefaultCaption 081c ExecuteDefaultCaption 0826 RSExecuteDefaultHint 082b ExecuteDefaultHint 0835 RSExecuteIECaption 083a ExecuteIECaption 0844 RSExecuteIEHint 0849 ExecuteIEHint 0853 RSExecuteMozillaCaption 0858 ExecuteMozillaCaption 0862 RSExecuteMozillaHint 0867 ExecuteMozillaHint 0871 RSExecuteFirefoxCaption 0876 ExecuteFirefoxCaption 0880 RSExecuteFirefoxHint 0885 ExecuteFirefoxHint 088f RSExecuteNS6Caption 0894 ExecuteNS6Caption 089e RSExecuteNS6Hint 08a3 ExecuteNS6Hint 08ad RSExecuteOperaCaption 08b2 ExecuteOperaCaption 08bc RSExecuteOperaHint 08c1 ExecuteOperaHint 08cb RSUseSSLCaption 08d0 UseSSLCaption 08da RSUseSSLHint 08df UseSSLHint 08e9 RSParamCaption 08ee ParamCaption 08f8 RSParamHint 08fd ParamHint 0907 RSAboutCaption 090c AboutCaption 0916 RSAboutHint 091b AboutHint 0925 RSFileMenuCaption 092a FileMenuCaption 0934 RSRunMenuCaption 0939 RunMenuCaption 0943 RSSelectBrowserCaption 0948 SelectBrowserCaption 0952 RSHelpCaption 0957 HelpCaption 0961 RSToolBarCaption 0966 ToolBarCaption 0970 RSUseParamQueryTitle 0975 UseParamQueryTitle 097f RSUseParamQueryPrompt 0984 UseParamQueryPrompt 098e RSCanSetControlToSelf 0993 CanSetControlToSelf 099d RSSelectionRequired 09a2 SelectionRequired 09ac RSConnectionSpeedCaption 09b1 ConnectionSpeedCaption 09bb RSIncorrectSpeed 09c0 IncorrectSpeed 09ca RSSimulSpeed 09cf SimulSpeed 09d9 RSConnectionSpeed 09de ConnectionSpeed 09e8 RSPleaseWait 09ed PleaseWait 09f7 RSZLibNotFound 09fc ZLibNotFound 0a06 RSWrongZLibVer 0a0b WrongZLibVer 0a15 RSToday 0a1a Today 0a24 RSPrevious 0a29 Previous 0a33 RSNext 0a38 Next 0a42 rsEditHTML 0a47 EditHTML 0a51 rsPreviewHTML 0a56 PreviewHTML 0a60 RSLogResizeCommand 0a65 LogResizeCommand 0a6f RSLogUpdateCommand 0a74 LogUpdateCommand 0a7e RSInvalidTimeEditFormat 0a83 InvalidTimeEditFormat 0a8d RSMissingContainerOnFrame 0a92 MissingContainerOnFrame 0a9c RSLogTotalBytes 0aa1 LogTotalBytes 0aab RSLogCSSRequest 0ab0 LogCSSRequest 0aba RSExceptionSessionExpired 0abf ExceptionSessionExpired 0ac9 RSExceptionOther 0ace ExceptionOther 0ad8 RSTrappedException 0add TrappedException 0ae7 RSDoodle 0aec Doodle 0b04 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 0F 83 D7 0A 00 00 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_46037_0 {
	meta:
		name = "TIWScriptEventsItem.AddHookScript"
		size = 101
		refs = "000f @UStrAddRef 0017 TIWScriptEventsItem.AddHookScript 0024 _Dn_TStringList 0029 TStringList.Create 0035 TList.Add 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D3 8B 46 14 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46038_0 {
	meta:
		name = "TIWScriptEventsItem.Assign"
		size = 74
		refs = "000a _DV_TIWScriptEventsItem 000f @IsClass 0020 @AsClass 0037 TIWScriptEventsItem.SetEvent 0043 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 56 0C 8B 43 0C 8B 08 FF 51 08 8B 56 10 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46039_0 {
	meta:
		name = "TIWScriptEventsItem.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 001e _Dn_TStringList 0023 TStringList.Create 002d _Dn_TList 0032 TObject.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_46040_0 {
	meta:
		name = "TIWScriptEventsItem.Create"
		size = 157
		refs = "000f @ClassCreate 001e @UStrAddRef 002e TIWScriptEventsItem.Create 004a @UStrAsg 006a @UStrClr 0078 @HandleFinally 0085 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 33 D2 8B C6 8B 38 FF 57 1C 8D 46 10 8B 55 FC E8 ?? ?? ?? ?? 8B 46 0C 8B 55 08 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_46041_0 {
	meta:
		name = "TIWScriptEventsItem.Destroy"
		size = 151
		refs = "0005 @BeforeDestruction 0012 TObject.Free 004b TList.Get 005a TList.Delete 0081 TCollectionItem.Destroy 008e @ClassDestroy"
	strings:
		$1 = { 53 56 57 51 E8 ?? ?? ?? ?? 88 14 24 8B D8 8B 43 0C E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 41 8B F0 8B 53 10 8B 46 1C 8B 08 FF 51 54 85 C0 7C 30 8B 53 10 8B 7E 1C 8B C7 8B 08 FF 51 54 8B D0 8B C7 8B 08 FF 51 48 EB 18 8B C6 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 14 33 D2 E8 ?? ?? ?? ?? 8B 73 14 83 7E 08 00 7F DF 8D 43 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 0F B6 14 24 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46042_0 {
	meta:
		name = "TIWScriptEventsItem.SetEvent"
		size = 118
		refs = "0020 RSDublicateEventHandler 0029 _Dn_Exception 002e Exception.Create 0033 @RaiseExcept 006d @UStrAsg"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 8B 46 04 85 C0 74 58 8B F8 8B D5 8B 47 1C 8B 08 FF 51 54 40 7E 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 10 8B 47 1C 8B 08 FF 51 54 40 7E 16 8B 56 10 8B 5F 1C 8B C3 8B 08 FF 51 54 8B D0 8B C3 8B 08 FF 51 48 8B CE 8B D5 8B 47 1C 8B 18 FF 53 3C 8D 46 10 8B D5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46043_0 {
	meta:
		name = "TIWScriptEventsItem.SetEventCode"
		size = 141
		refs = "0013 TIWScriptEventsItem.SetEventCode 0044 Trim 0061 TObject.Free 007b @UStrArrayClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 1C 8B 55 FC 8B 46 0C 8B 08 FF 51 2C 8D 55 F4 8B 46 0C 8B 08 FF 51 1C 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 85 C0 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46044_0 {
	meta:
		name = "TIWScriptEvents.Add"
		size = 86
		refs = "000e @UStrAddRef 0016 TIWScriptEvents.Add 0023 TCollection.Add 002f TIWScriptEventsItem.SetEvent 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_46045_0 {
	meta:
		name = "TIWScriptEvents.Create"
		size = 74
		refs = "000a @ClassCreate 0013 _DV_TIWScriptEventsItem 001d TOwnedCollection.Create 0024 _Dn_TStringList 0029 TStringList.Create 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 1C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_46047_0 {
	meta:
		name = "TIWScriptEvents.GetEventNames"
		size = 19
		refs = "000c TStrings.GetCommaText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67146_0 {
	meta:
		name = "TRttiRecordMethod.GetParameters"
		size = 19
		refs = "000c TProcSig.GetParams"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46049_0 {
	meta:
		name = "TIWScriptEvents.GetItemByEvent"
		size = 173
		refs = "0013 @UStrAddRef 001b TIWScriptEvents.GetItemByEvent 004b _DV_TIWScriptEventsItem 0050 @AsClass 007d @UStrCopy 0086 @UStrClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 1C 8B 08 FF 51 54 85 C0 7C 4F 8B 55 FC 8B 43 1C 8B 08 FF 51 54 8B D0 8B 43 1C 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 0C 8B D6 8B 08 FF 51 1C 8B 06 89 45 F8 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 56 8B CB 83 E9 02 8B 06 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46050_0 {
	meta:
		name = "TIWScriptEvents.RenderEvents"
		size = 1712
		refs = "0022 TIWScriptEvents.RenderEvents 002f @UStrClr 0049 @CallDynaInst 0051 HTML40ControlInterface 006f TIWScriptEvents.GetItem 00c0 LowerCase 00d7 TIWApplication.GetBrowser 00e8 iif 0123 @UStrCatN 012e TIWPageContext40.AddToJavaScriptOnce 014f Pos 019f @UStrCopy 01c0 @UStrLAsg 01d8 AnsiCompareText 0234 TStrings.SetValue 02b0 TIWPageContext40.AddToIWCLInitProc 02e1 TList.Get 031d IntToStr 04fd @UStrArrayClr 051a @IntfClear 0528 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 13 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B FB 8B 47 08 83 78 08 00 0F 8E A2 04 00 00 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 47 08 8B 40 08 48 85 C0 0F 8C 80 04 00 00 40 89 45 E0 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 0C 8D 55 D0 8B 08 FF 51 1C 8B 45 D0 89 45 CC 8B 45 CC 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 1C 02 00 00 68 ?? ?? ?? ?? 8D 55 C8 8B 45 F8 8B 08 FF 51 30 FF 75 C8 68 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 10 8D 55 C4 E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 8D 45 C0 50 8B 45 E4 8B 40 04 E8 ?? ?? ?? ?? 3C 02 0F 95 C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 0C 8D 55 BC 8B 08 FF 51 1C FF 75 BC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 0B 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 10 8D 55 B8 E8 ?? ?? ?? ?? 8B 55 B8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 4F 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 10 8D 55 F4 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 10 8D 55 B4 E8 ?? ?? ?? ?? 8B 45 B4 89 45 CC 8B 7D CC 85 FF 74 05 83 EF 04 8B 3F 8D 45 FC 50 8B CF BA 03 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? EB 14 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 10 8D 55 FC E8 ?? ?? ?? ?? 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 55 8D 55 AC 8B 45 F8 8B 08 FF 51 30 FF 75 AC 68 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 10 8D 55 A8 E8 ?? ?? ?? ?? FF 75 A8 68 ?? ?? ?? ?? 8D 45 B0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 B0 50 8B 45 F8 8B 10 FF 52 10 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 7A 68 ?? ?? ?? ?? 8D 55 A0 8B 45 F8 8B 08 FF 51 30 FF 75 A0 68 ?? ?? ?? ?? 8D 55 9C 8B 45 F8 8B 08 FF 51 30 FF 75 9C 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 98 8B 45 F8 8B 08 FF 51 30 FF 75 98 68 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 10 8D 55 94 E8 ?? ?? ?? ?? FF 75 94 68 ?? ?? ?? ?? 8D 45 A4 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8B 55 A4 8B 45 E4 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 14 8B 40 08 48 85 C0 0F 8C 0E 02 00 00 40 89 45 DC 33 FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 14 8B D7 E8 ?? ?? ?? ?? 89 45 D8 68 ?? ?? ?? ?? 8D 55 90 8B 45 F8 8B 08 FF 51 30 FF 75 90 68 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 10 8D 55 8C E8 ?? ?? ?? ?? FF 75 8C 8D 55 88 8B C7 E8 ?? ?? ?? ?? FF 75 88 68 ?? ?? ?? ?? 8D 45 84 50 8B 45 E4 8B 40 04 E8 ?? ?? ?? ?? 3C 02 0F 95 C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 84 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 80 8B 45 D8 8B 08 FF 51 1C FF 75 80 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 10 8D 95 7C FF FF FF E8 ?? ?? ?? ?? 8B 95 7C FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 61 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 10 8D 55 E8 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 10 8D 95 78 FF FF FF E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 CC 8B 45 CC 89 45 D4 83 7D D4 00 74 0B 8B 45 D4 83 E8 04 8B 00 89 45 D4 8D 45 FC 50 8B 4D D4 BA 03 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? EB 14 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 10 8D 55 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 70 FF FF FF 8B 45 F8 8B 08 FF 51 30 FF B5 70 FF FF FF 68 ?? ?? ?? ?? 8D 95 6C FF FF FF 8B 45 F8 8B 08 FF 51 30 FF B5 6C FF FF FF 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 95 68 FF FF FF 8B 45 F8 8B 08 FF 51 30 FF B5 68 FF FF FF 68 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 10 8D 95 64 FF FF FF E8 ?? ?? ?? ?? FF B5 64 FF FF FF 8D 95 60 FF FF FF 8B C7 E8 ?? ?? ?? ?? FF B5 60 FF FF FF 68 ?? ?? ?? ?? 8D 85 74 FF FF FF BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8B 45 E4 E8 ?? ?? ?? ?? 47 FF 4D DC 0F 85 F8 FD FF FF 46 FF 4D E0 0F 85 86 FB FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 60 FF FF FF BA 1B 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 76 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 29 00 20 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 6F 00 61 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 28 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6F 00 6E 00 6C 00 6F 00 61 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 69 00 66 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 57 00 43 00 4C 00 29 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 57 00 43 00 4C 00 2E 00 48 00 6F 00 6F 00 6B 00 45 00 76 00 65 00 6E 00 74 00 28 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_46051_0 {
	meta:
		name = "TIWScriptEvents.SetEventNames"
		size = 9
		refs = "0004 TStrings.SetCommaText"
	strings:
		$1 = { 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97262_0 {
	meta:
		name = "TAdapterObjectErrorsList.ImplGetErrorCount"
		size = 9
		refs = "0004 @DynArrayLength"
	strings:
		$1 = { 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77650_0 {
	meta:
		name = "TGridDataLink.EditingChanged"
		size = 9
		refs = "0004 TCustomDBGrid.EditingChanged"
	strings:
		$1 = { 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95712_0 {
	meta:
		name = "THTTPDataLink.LayoutChanged"
		size = 9
		refs = "0004 TDSTableProducer.LayoutChanged"
	strings:
		$1 = { 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48170_0 {
	meta:
		name = "TSessions.ReadLock"
		size = 9
		refs = "0004 TMultiReadExclusiveWriteSynchronizer.BeginRead"
	strings:
		$1 = { 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48171_0 {
	meta:
		name = "TSessions.ReadUnlock"
		size = 9
		refs = "0004 TMultiReadExclusiveWriteSynchronizer.EndRead"
	strings:
		$1 = { 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48172_0 {
	meta:
		name = "TSessions.WriteLock"
		size = 9
		refs = "0004 TMultiReadExclusiveWriteSynchronizer.BeginWrite"
	strings:
		$1 = { 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48173_0 {
	meta:
		name = "TSessions.WriteUnlock"
		size = 9
		refs = "0004 TMultiReadExclusiveWriteSynchronizer.EndWrite"
	strings:
		$1 = { 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50627_0 {
	meta:
		name = "TWebServerResponse.SetIntegerVariable"
		size = 9
		refs = "0004 TWebServerRequest.SetIntegerVariable"
	strings:
		$1 = { 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50625_0 {
	meta:
		name = "TWebServerResponse.SetStringVariable"
		size = 9
		refs = "0004 TWebServerRequest.SetStringVariable"
	strings:
		$1 = { 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46053_0 {
	meta:
		name = "TIWScriptEvents.SetItemByEvent"
		size = 216
		refs = "0013 @UStrAddRef 001b TIWScriptEvents.SetItemByEvent 0028 _Dn_TStringList 002d TStringList.Create 0061 TIWScriptEvents.Add 0069 TIWScriptEventsItem.SetEventCode 0087 _DV_TIWScriptEventsItem 008c @AsClass 00a9 TObject.Free 00af @HandleFinally 00c6 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D6 8B 45 F8 8B 08 FF 51 2C 8B 43 1C 8B 55 FC 8B 08 FF 51 54 85 C0 7D 14 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? EB 29 8B 73 1C 8B C6 8B 55 FC 8B 08 FF 51 54 8B D0 8B C6 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46054_0 {
	meta:
		name = "TIWScriptEvents.HookEvent"
		size = 448
		refs = "001f @UStrAddRef 0027 TIWScriptEvents.HookEvent 0038 Trim 0043 @UStrLAsg 005a AnsiPos 0078 @UStrCatN 009d @UStrCopy 00aa @UStrEqual 00b9 @UStrCat 00c6 TIWScriptEvents.GetItemByEvent 0118 TIWScriptEventsItem.AddHookScript 0127 TIWScriptEvents.SetItemByEvent 0141 @UStrArrayClr 0149 @UStrClr 014f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 89 55 F8 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 DA 00 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 1A FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 3B 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 F0 50 B9 01 00 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E8 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 33 8B 55 F8 8B 43 1C 8B 08 FF 51 54 85 C0 7C 31 8B 55 F8 8B 73 1C 8B C6 8B 08 FF 51 54 8B D0 8B C6 8B 08 FF 51 18 85 C0 74 17 8B 55 FC E8 ?? ?? ?? ?? EB 0D 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 74 00 72 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_46056_0 {
	meta:
		name = "TIWScriptEvents.EndUpdate"
		size = 81
		refs = "0009 TCollection.EndUpdate 002e TIWScriptEvents.GetItem"
	strings:
		$1 = { 53 56 57 55 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 1C 8B 10 FF 52 44 8B 43 08 8B 40 08 85 C0 7E 2D 8B F8 4F 85 FF 7C 26 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 50 10 8B 43 1C 59 8B 28 FF 55 3C 46 4F 75 DD 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46059_0 {
	meta:
		name = "OffsetFromUTC"
		size = 272
		refs = "0010 GetTimeZoneInformation 0025 OffsetFromUTC 002a _Dn_EIWException 002f EInException.Toss 0085 EncodeTime"
	strings:
		$1 = { 53 56 81 C4 4C FF FF FF 33 DB 8D 44 24 08 50 E8 ?? ?? ?? ?? 83 E8 FF 74 0B 48 74 19 48 74 29 48 74 19 EB 2E BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2C 8B 5C 24 08 EB 26 8B 5C 24 08 03 9C 24 B0 00 00 00 EB 19 8B 5C 24 08 03 5C 24 5C EB 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B C3 99 33 C2 2B C2 8B C8 8B C1 BE 3C 00 00 00 99 F7 FE 52 8B C1 B9 3C 00 00 00 99 F7 F9 33 C9 5A E8 ?? ?? ?? ?? DD 1C 24 9B 85 DB 7E 0D D9 05 ?? ?? ?? ?? DC 24 24 DD 1C 24 9B DD 04 24 81 C4 B4 00 00 00 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 74 00 69 00 6D 00 65 00 20 00 7A 00 6F 00 6E 00 65 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 54 00 69 00 6D 00 65 00 20 00 7A 00 6F 00 6E 00 65 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46060_0 {
	meta:
		name = "TIWServer.TimeZoneBias"
		size = 216
		refs = "0015 TIWServer.TimeZoneBias 002f GetTimeZoneInformation 0080 GetLastError 008b SysErrorMessage 0096 _Dn_EIWException 009b EInException.Toss 00c0 @UStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 44 FF FF FF 33 D2 89 95 44 FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 89 45 FC 8D 85 4C FF FF FF 50 E8 ?? ?? ?? ?? 83 E8 01 72 3B 74 1E 48 75 42 8B 85 4C FF FF FF 03 45 F4 89 85 48 FF FF FF DB 85 48 FF FF FF DD 5D F8 9B EB 47 8B 85 4C FF FF FF 03 45 A0 89 85 48 FF FF FF DB 85 48 FF FF FF DD 5D F8 9B EB 2C DB 85 4C FF FF FF DD 5D F8 9B EB 20 E8 ?? ?? ?? ?? 8D 95 44 FF FF FF E8 ?? ?? ?? ?? 8B 95 44 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 45 F8 D8 35 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 44 FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED DD 45 F8 8B E5 5D C3 00 00 00 B4 44 }
	condition:
		$1
}

rule function_46061_0 {
	meta:
		name = "IfModifiedSince"
		size = 252
		refs = "0018 IfModifiedSince 0023 GAppType 0048 @UStrFromLStr 007e GMTToLocalDateTime 009c @LStrArrayClr 00a4 @UStrClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 E8 89 55 EC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 0F B6 00 2C 01 72 04 74 1E EB 36 8D 4D EC BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 34 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? EB 1A 8D 4D E8 BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 34 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F0 C7 45 F4 00 00 F0 BF 83 7D FC 00 74 0C 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 DD 45 F0 5B 8B E5 5D C3 E4 04 01 00 FF FF FF FF 11 00 00 00 49 66 2D 4D 6F 64 69 66 69 65 64 2D 53 69 6E 63 65 00 00 00 E4 04 01 00 FF FF FF FF 16 00 00 00 48 54 54 50 5F 49 46 5F 4D 4F 44 49 46 49 45 44 5F 53 49 4E 43 45 00 00 }
	condition:
		$1
}

rule function_46062_0 {
	meta:
		name = "TIWServer.SendRedirect"
		size = 220
		refs = "0015 @UStrAddRef 001d TIWServer.SendRedirect 0028 GAppType 003d TStrings.SetValue 006c @LStrFromUStr 008b @LStrClr 0093 @UStrClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 38 01 75 2F 8B 4D FC BA ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? BA 2E 01 00 00 8B C3 8B 08 FF 51 28 B9 ?? ?? ?? ?? BA 01 00 00 00 8B C3 8B 18 FF 53 04 EB 1A 8D 45 F8 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 E4 04 01 00 FF FF FF FF 0B 00 00 00 52 65 64 69 72 65 63 74 69 6E 67 00 }
	condition:
		$1
}

rule function_46063_0 {
	meta:
		name = "IWTop"
		size = 428
		refs = "0006 IWTop 000b @UStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF C5 00 00 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 7B 00 20 00 0D 00 0A 00 20 00 20 00 69 00 66 00 20 00 28 00 28 00 70 00 61 00 72 00 65 00 6E 00 74 00 20 00 21 00 3D 00 20 00 73 00 65 00 6C 00 66 00 29 00 20 00 26 00 26 00 20 00 28 00 70 00 61 00 72 00 65 00 6E 00 74 00 20 00 21 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 20 00 29 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 74 00 72 00 79 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 70 00 61 00 72 00 65 00 6E 00 74 00 2E 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 7D 00 20 00 63 00 61 00 74 00 63 00 68 00 20 00 28 00 65 00 29 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 77 00 69 00 6E 00 64 00 6F 00 77 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 7D 00 0D 00 0A 00 20 00 20 00 7D 00 20 00 65 00 6C 00 73 00 65 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 77 00 69 00 6E 00 64 00 6F 00 77 00 3B 00 0D 00 0A 00 20 00 20 00 7D 00 0D 00 0A 00 7D 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_46064_0 {
	meta:
		name = "LockSession"
		size = 122
		refs = "000c @UStrAddRef 001c LockSession 0027 GSessions 0033 TIWSessions.LookupAndLock 003b RSSessionNotFound 0044 _Dn_EInvalidSession 0049 EIWException.IfNotAssigned 005e @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 33 C9 8B 55 FC E8 ?? ?? ?? ?? 8B D8 8B 0D ?? ?? ?? ?? 8B 09 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_46066_0 {
	meta:
		name = "TIWServer.DateTimeToInternetStr"
		size = 384
		refs = "001b TIWServer.DateTimeToInternetStr 002a OffsetFromUTC 0045 DecodeDate 0052 @UStrLAsg 006d CurrencyString 0075 FormatDateTime 0081 DayOfWeek 008b wdays 00a8 monthnames 00d2 DateTimeToGmtOffSetStr 00ee Format 0103 @UStrClr 0110 @UStrArrayClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 33 DB 89 5D B4 89 5D FC 89 5D F8 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 0C E8 ?? ?? ?? ?? DC 6D 08 DD 5D 08 9B FF 75 0C FF 75 08 8D 4D F6 8D 55 F4 8D 45 F2 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 89 45 E8 8B 45 0C 89 45 EC FF 75 EC FF 75 E8 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 56 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 0F B7 C0 8B 04 85 ?? ?? ?? ?? 89 45 B8 C6 45 BC 11 0F B7 45 F6 89 45 C0 C6 45 C4 00 0F B7 45 F4 8B 04 85 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 0F B7 45 F2 89 45 D0 C6 45 D4 00 8B 45 F8 89 45 D8 C6 45 DC 11 6A 00 6A 00 8D 55 B4 8B C3 E8 ?? ?? ?? ?? 8B 45 B4 89 45 E0 C6 45 E4 11 8D 55 B8 B9 05 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 48 00 48 00 22 00 3A 00 22 00 4E 00 4E 00 22 00 3A 00 22 00 53 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 25 00 73 00 2C 00 20 00 25 00 64 00 20 00 25 00 73 00 20 00 25 00 64 00 20 00 25 00 73 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_46067_0 {
	meta:
		name = "TIWServer.BrowserName"
		size = 188
		refs = "0012 TIWServer.BrowserName 0046 RSUnknownBrowser 004d @UStrAsg 0057 RSIE 0068 RSNS7Gecko 0079 RSChrome 008a RSOther 009b RSSafari 00aa RSUnrecognizable 00b1 _Dn_EIWException 00b6 EInException.Toss"
	strings:
		$1 = { 53 8B D9 0F B6 C2 83 F8 0A 0F 87 99 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 8B 15 ?? ?? ?? ?? 8B 12 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_46068_0 {
	meta:
		name = "TIWServer.CheckBrowser"
		size = 50
		refs = "0007 TIWServer.CheckBrowser 0015 @UStrClr 0028 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C2 08 00 }
	condition:
		$1
}

rule function_46069_0 {
	meta:
		name = "TIWServer.Create"
		size = 188
		refs = "000e @ClassCreate 001c TCustomWebDispatcher.Create 0024 TWebActionItems.Add 002f TWebActionItem.SetDefault 0034 TIWServer.Create 0047 TWebActionItem.SetPathInfo 004d TIWServer.IWServerDefaultAction 0054 TWebActionItem.SetOnAction 005e TIWServer.IWServerAfterDispatch 0068 TIWServer.IWServerBeforeDispatch 006e GIWServer 007b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 68 E8 ?? ?? ?? ?? 8B F0 B2 01 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 18 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 5B 7C C7 43 78 ?? ?? ?? ?? 89 5B 74 C7 43 70 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_46070_0 {
	meta:
		name = "TIWServer.CreateSession"
		size = 388
		refs = "0022 @UStrAddRef 003b TIWBrowserType 0040 @InitializeRecord 0048 TIWServer.CreateSession 0068 @UStrFromLStr 0075 TIWServer.DetermineBrowser 00ab TWebRequest.GetQueryFields 00c8 @LStrCat 00e1 _Dn_TIWApplication 00e6 TIWApplication.Create 00f4 TIWApplication.Initialize 00fc gSC 0105 TIWServerControllerBase.DoNewSession 011a @LStrClr 0122 @UStrClr 0150 @FinalizeRecord 015d @UStrArrayClr 0163 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F4 8B DA 8B F0 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 BA 0D 00 00 00 8B C3 8B 38 FF 57 04 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F8 8B C6 E8 ?? ?? ?? ?? 53 8B 45 F4 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 4D E0 BA 0C 00 00 00 8B C3 8B 30 FF 56 04 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 50 8B C3 E8 ?? ?? ?? ?? 50 8D 4D D8 BA 17 00 00 00 8B C3 8B 30 FF 56 04 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8D 45 DC E8 ?? ?? ?? ?? 8B 45 DC 50 8D 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 4D F0 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AD 8B C6 5F 5E 5B 8B E5 5D C2 0C 00 E4 04 01 00 FF FF FF FF 02 00 00 00 2F 24 00 00 }
	condition:
		$1
}

rule function_46071_0 {
	meta:
		name = "TIWServer.DetermineBrowser"
		size = 2348
		refs = "001f @UStrAddRef 0027 TIWServer.DetermineBrowser 003b @UStrClr 0046 UpperCase 0051 @UStrLAsg 005e Pos 0086 @UStrDelete 00a6 Fetch 00bb StrToIntDef 0549 @UStrAsg 0563 @UStrArrayClr 0576 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB C6 45 F7 00 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 84 00 00 00 B3 03 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 48 08 49 8D 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 83 E8 03 74 08 48 74 0E 48 74 14 EB 1B C6 45 F7 0A E9 64 04 00 00 C6 45 F7 0B E9 5B 04 00 00 C6 45 F7 0C E9 52 04 00 00 33 DB E9 4B 04 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E A5 00 00 00 B3 02 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 83 C1 04 8D 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 E8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 83 E8 08 74 08 48 74 0E 48 74 14 EB 1B C6 45 F7 04 E9 AA 03 00 00 C6 45 F7 05 E9 A1 03 00 00 C6 45 F7 06 E9 98 03 00 00 33 DB E9 91 03 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 8A 00 00 00 B3 06 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 48 07 49 8D 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 85 D2 74 05 83 EA 04 8B 12 8B CA 49 8D 55 FC 92 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 E0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 83 F8 0B 0F 8D F9 02 00 00 33 DB E9 F2 02 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E CC 00 00 00 B3 05 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 06 C6 45 F7 0E EB 2C 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 06 C6 45 F7 0F EB 15 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 04 C6 45 F7 10 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 48 08 49 8D 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 85 D2 74 05 83 EA 04 8B 12 8D 4D FC 91 87 D1 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 DC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 83 F8 05 0F 8D 18 02 00 00 33 DB E9 11 02 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 65 B3 04 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 48 08 49 8D 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 D8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 83 F8 0B 0F 8D A2 01 00 00 33 DB E9 9B 01 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8F 84 01 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8F 6F 01 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8F 5A 01 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8F 45 01 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8F 30 01 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8F 1B 01 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8F 06 01 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8F F1 00 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8F DC 00 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8F C7 00 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8F B2 00 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8F 9D 00 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8F 88 00 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 77 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 66 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 55 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 44 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 33 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 22 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 11 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 02 B3 0F 88 1E 0F B6 45 F7 88 46 01 8D 46 04 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 46 00 49 00 52 00 45 00 46 00 4F 00 58 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 49 00 52 00 45 00 46 00 4F 00 58 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 53 00 49 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 48 00 52 00 4F 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 48 00 52 00 4F 00 4D 00 45 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 41 00 46 00 41 00 52 00 49 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 50 00 4F 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 50 00 48 00 4F 00 4E 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 4E 00 44 00 52 00 4F 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 56 00 45 00 52 00 53 00 49 00 4F 00 4E 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 41 00 46 00 41 00 52 00 49 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4F 00 50 00 45 00 52 00 41 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 42 00 4F 00 54 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 52 00 41 00 57 00 4C 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 50 00 49 00 44 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 45 00 41 00 52 00 43 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 47 00 45 00 4E 00 54 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 50 00 59 00 44 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4E 00 45 00 57 00 53 00 47 00 41 00 54 00 4F 00 52 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 43 00 48 00 49 00 52 00 4F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4E 00 59 00 4D 00 45 00 53 00 49 00 53 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 4F 00 4D 00 50 00 4F 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 51 00 53 00 45 00 45 00 52 00 4F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 43 00 52 00 55 00 42 00 42 00 59 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 43 00 4F 00 55 00 54 00 4A 00 45 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 54 00 41 00 43 00 4B 00 52 00 41 00 4D 00 42 00 4C 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 45 00 4F 00 4D 00 41 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 57 00 45 00 42 00 53 00 51 00 55 00 41 00 53 00 48 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 59 00 41 00 48 00 4F 00 4F 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 59 00 41 00 4E 00 44 00 45 00 58 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 59 00 45 00 54 00 49 00 00 00 00 00 }
	condition:
		$1
}

rule function_46072_0 {
	meta:
		name = "TIWServer.Exec"
		size = 560
		refs = "002a TIWServer.Exec 0036 RSNoServerController 003e gServerController 0045 _Dn_EIWException 004a EIWException.IfNotAssigned 006a GSetWebApplicationThreadVar 007a TWebRequest.GetFiles 0080 _Dn_THTTPFiles 0085 @IsClass 009c TIWApplication.SetFileList 00b9 TIWApplication.Initialize 00ef gSC 0114 @UStrLAsg 012c AnsiCompareText 0178 TIWServer.ExecCallback 01a0 TIWServer.ExecWhenTracIDIsInSync 01b8 TIWServer.ExecWhenTracIDIsNotInSync 01d7 TIWApplication.UnInitialize 01dd @HandleFinally 01f4 @UStrClr 0201 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 8B 5D 08 8B 7D 10 8B 75 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 8B 15 ?? ?? ?? ?? 8B 12 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 83 38 00 0F 84 89 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 15 ?? ?? ?? ?? 8B 12 8B 45 F0 8B 00 FF D2 8B C7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 00 E8 ?? ?? ?? ?? EB 0C 8B 45 F0 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F0 8B 00 8B 4D 0C 8B D7 E8 ?? ?? ?? ?? 80 FB 01 75 12 8B 45 F0 8B 00 8B 80 B8 00 00 00 8B D6 8B 08 FF 51 08 80 FB 10 0F 94 C0 8B 55 F0 8B 12 88 82 94 00 00 00 80 FB 10 0F 85 90 00 00 00 A1 ?? ?? ?? ?? 8B 00 83 B8 98 00 00 00 00 75 04 B0 01 EB 33 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 8B 92 98 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 30 8B C6 8B 10 FF 52 14 48 85 C0 7C 24 40 89 45 E8 33 DB 8D 4D E4 8B D3 8B C6 8B 38 FF 57 0C 8B 4D E4 8B D3 8B C6 8B 38 FF 57 20 43 FF 4D E8 75 E2 56 8B 45 0C 50 8B 55 F0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? EB 3E 8B 45 F0 8B 00 8B 80 D0 00 00 00 3B 45 EC 75 18 8B 45 EC 50 56 8B 45 0C 50 8B CB 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? EB 16 8B 45 EC 50 56 8B 45 0C 50 8B CB 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 83 38 00 74 0A 8B 45 F0 8B 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 14 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 75 00 74 00 66 00 2D 00 38 00 00 00 }
	condition:
		$1
}

rule function_46073_0 {
	meta:
		name = "TIWServer.ExecCallback"
		size = 1588
		refs = "001e TIWServer.ExecCallback 002b TIWApplication.GetActiveForm 0036 @UStrLAsg 006f TIWApplication.ExecuteActiveForm 007b TIWServer.CheckForTerminated 0082 _Dn_TIWRenderStream 0087 TIWRenderStream.Create 00aa @UStrEqual 00f2 @UStrCat 0122 IntToStr 0132 @UStrCatN 014d StringReplace 0162 _DV_TIWServer 0167 TIWServer.SetAppCookies 019c TStrings.GetValue 01ef iif 0211 TIWCallBackResponse.AddJavaScriptToExecute 021c TIWApplication.GenerateActiveForm 0226 TIWApplication.GetExecAction 0233 TIWCallBackResponse.SetSubmitURL 023f TIWCallBackResponse.StreamResponse 024a TStream.SetPosition 02a0 @UStrArrayClr 02b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 E8 ?? ?? ?? ?? 8B 50 08 8D 45 F4 E8 ?? ?? ?? ?? 8B 03 80 B8 C8 00 00 00 00 74 1E 8B 03 8B 80 A4 00 00 00 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C0 EB 02 33 C0 84 C0 75 0A 8B 03 8B 55 0C E8 ?? ?? ?? ?? 8B CB 8B 55 08 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 03 80 B8 C8 00 00 00 00 0F 85 9B 01 00 00 8B 03 E8 ?? ?? ?? ?? 8B 40 08 8B 55 F4 E8 ?? ?? ?? ?? 0F 84 63 01 00 00 8D 45 FC 8B 13 8B 52 68 E8 ?? ?? ?? ?? 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 25 8B C2 85 C0 74 05 83 E8 04 8B 00 8B 55 FC 66 83 7C 42 FE 2F 74 1C 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B 03 FF 70 64 8B 03 8B 80 D0 00 00 00 33 D2 52 50 8D 45 EC E8 ?? ?? ?? ?? FF 75 EC 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E8 50 33 C9 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8B 13 8B 4D 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E4 50 68 ?? ?? ?? ?? 8D 4D DC BA ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 4D D8 BA ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 E0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 4D D4 BA ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 83 7D D4 00 0F 94 C0 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 45 F8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 03 8B 40 74 8B 55 F8 E8 ?? ?? ?? ?? EB 20 8B 03 33 D2 E8 ?? ?? ?? ?? 8D 55 D0 8B 03 E8 ?? ?? ?? ?? 8B 55 D0 8B 03 8B 40 74 E8 ?? ?? ?? ?? 8B 03 8B 40 74 8B D6 E8 ?? ?? ?? ?? 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 12 83 FA 00 75 07 83 F8 00 76 2C EB 02 7E 28 8B D6 8B 45 08 8B 08 FF 51 20 8B 45 08 8B 40 08 8B 10 FF 12 83 FA 00 75 0F 83 F8 00 75 0A 33 D2 8B 45 08 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 24 00 00 00 00 00 B0 04 02 00 FF FF FF FF 48 00 00 00 76 00 61 00 72 00 20 00 70 00 20 00 3D 00 20 00 74 00 6F 00 70 00 6D 00 6F 00 73 00 74 00 28 00 29 00 2E 00 6C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2E 00 70 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 20 00 2B 00 20 00 22 00 2F 00 2F 00 22 00 20 00 2B 00 20 00 74 00 6F 00 70 00 6D 00 6F 00 73 00 74 00 28 00 29 00 2E 00 6C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2E 00 68 00 6F 00 73 00 74 00 20 00 2B 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3B 00 00 00 74 00 6F 00 70 00 6D 00 6F 00 73 00 74 00 28 00 29 00 2E 00 47 00 53 00 75 00 62 00 6D 00 69 00 74 00 74 00 69 00 6E 00 67 00 20 00 3D 00 20 00 66 00 61 00 6C 00 73 00 65 00 3B 00 20 00 74 00 6F 00 70 00 6D 00 6F 00 73 00 74 00 28 00 29 00 2E 00 56 00 61 00 6C 00 69 00 64 00 43 00 6C 00 69 00 63 00 6B 00 20 00 3D 00 20 00 74 00 72 00 75 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 3F 00 00 00 74 00 6F 00 70 00 6D 00 6F 00 73 00 74 00 28 00 29 00 2E 00 67 00 65 00 74 00 53 00 75 00 62 00 6D 00 69 00 74 00 46 00 6F 00 72 00 6D 00 28 00 29 00 2E 00 61 00 63 00 74 00 69 00 6F 00 6E 00 3D 00 70 00 3B 00 0D 00 0A 00 74 00 6F 00 70 00 6D 00 6F 00 73 00 74 00 28 00 29 00 2E 00 53 00 75 00 62 00 6D 00 69 00 74 00 4E 00 65 00 78 00 74 00 46 00 69 00 6C 00 65 00 28 00 27 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 57 00 5F 00 4D 00 61 00 69 00 6E 00 50 00 61 00 67 00 65 00 53 00 75 00 62 00 6D 00 69 00 74 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 27 00 2C 00 27 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 49 00 57 00 5F 00 4D 00 61 00 69 00 6E 00 50 00 61 00 67 00 65 00 53 00 75 00 62 00 6D 00 69 00 74 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 50 00 61 00 72 00 61 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 27 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 50 00 00 00 74 00 6F 00 70 00 6D 00 6F 00 73 00 74 00 28 00 29 00 2E 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 53 00 75 00 62 00 6D 00 69 00 74 00 46 00 6F 00 72 00 6D 00 2E 00 61 00 63 00 74 00 69 00 6F 00 6E 00 3D 00 70 00 3B 00 0D 00 0A 00 74 00 6F 00 70 00 6D 00 6F 00 73 00 74 00 28 00 29 00 2E 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 53 00 75 00 62 00 6D 00 69 00 74 00 46 00 6F 00 72 00 6D 00 2E 00 73 00 75 00 62 00 6D 00 69 00 74 00 28 00 29 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_46074_0 {
	meta:
		name = "TIWServer.ExecWhenTracIDIsInSync"
		size = 2104
		refs = "0024 TIWServer.ExecWhenTracIDIsInSync 0031 TIWApplication.GetActiveForm 003c @UStrLAsg 0075 TIWApplication.ExecuteActiveForm 0081 TIWServer.CheckForTerminated 0095 TWebResponse.GetUnicodeContent 00ee _Dn_TIWRenderStream 00f3 TIWRenderStream.Create 0100 TIWApplication.GenerateActiveForm 010c TStream.SetPosition 013a TObject.Free 0173 @UStrEqual 01ca @UStrCat 01f4 StringReplace 0208 _DV_TIWServer 020d TIWServer.SetAppCookies 021a IWTop 0252 TStrings.GetValue 027f @UStrCatN 029f iif 0323 TWebResponse.SetUnicodeContent 03f7 TIWServer.GenerateRedirect 0416 TIWApplication.Unlock 0420 GSetWebApplicationThreadVar 042b GSessions 0435 TIWSessions.Terminate 044f @UStrArrayClr 0462 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 88 4D EF 8B DA 89 45 F0 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 E8 ?? ?? ?? ?? 8B 50 08 8D 45 F4 E8 ?? ?? ?? ?? 8B 03 80 B8 C8 00 00 00 00 74 1E 8B 03 8B 80 A4 00 00 00 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C0 EB 02 33 C0 84 C0 75 0A 8B 03 8B 55 0C E8 ?? ?? ?? ?? 8B CB 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 83 7E 08 00 0F 85 6C 03 00 00 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 83 7D E0 00 0F 85 58 03 00 00 8B 03 83 B8 A4 00 00 00 00 0F 85 3D 03 00 00 0F B6 45 EF 83 F8 0D 0F 87 3C 03 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 03 01 00 03 00 00 02 00 00 00 00 00 02 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 03 8B 55 E8 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 12 83 FA 00 75 07 83 F8 00 76 10 EB 02 7E 0C 8B 55 E8 8B C6 8B 08 FF 51 20 EB 0D 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? 8B 46 08 8B 10 FF 12 83 FA 00 0F 85 AD 02 00 00 83 F8 00 0F 85 A4 02 00 00 33 D2 8B C6 8B 08 FF 51 20 E9 96 02 00 00 8B 03 E8 ?? ?? ?? ?? 8B 50 08 8B 45 F4 E8 ?? ?? ?? ?? 75 0A 80 7D EF 0D 0F 85 A9 01 00 00 33 D2 8B C6 8B 08 FF 51 20 8D 45 F8 8B 13 8B 52 68 E8 ?? ?? ?? ?? 8B 55 F8 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 25 8B C2 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 66 83 7C 42 FE 2F 74 1C 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 DC 50 33 C9 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 E8 ?? ?? ?? ?? 8B 13 8B CE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 D0 50 68 ?? ?? ?? ?? 8D 4D C8 BA ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? FF 75 C8 68 ?? ?? ?? ?? 8D 4D C4 BA ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 8D 45 CC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 CC 50 68 ?? ?? ?? ?? 8D 45 BC 50 80 7D EF 07 0F 94 C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 BC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 B8 50 80 7D EF 07 0F 94 C0 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 B8 68 ?? ?? ?? ?? 8D 45 C0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 50 8D 4D B4 BA ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 83 7D B4 00 0F 94 C0 5A 59 E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 D8 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B C6 E8 ?? ?? ?? ?? E9 CF 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 03 8B 55 E8 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 12 83 FA 00 75 07 83 F8 00 76 0E EB 02 7E 0A 8B 55 E8 8B C6 8B 08 FF 51 20 8B 46 08 8B 10 FF 12 83 FA 00 75 7F 83 F8 00 75 7A 33 D2 8B C6 8B 08 FF 51 20 EB 6F 8B 13 8B CE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 03 8B 55 E8 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 12 83 FA 00 75 07 83 F8 00 76 10 EB 02 7E 0C 8B 55 E8 8B C6 8B 08 FF 51 20 EB 1B 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? EB 0C 8B D3 8B CE 8B 45 F0 E8 ?? ?? ?? ?? 8B 03 80 B8 C8 00 00 00 00 74 33 8D 45 FC 8B 13 8B 52 64 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 33 C0 89 03 8B 1D ?? ?? ?? ?? 8B 1B 33 C0 FF D3 A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 24 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 3C 00 68 00 74 00 6D 00 6C 00 3E 00 3C 00 68 00 65 00 61 00 64 00 3E 00 3C 00 73 00 63 00 72 00 69 00 70 00 74 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 44 00 00 00 76 00 61 00 72 00 20 00 70 00 20 00 3D 00 20 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 6C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2E 00 70 00 72 00 6F 00 74 00 6F 00 63 00 6F 00 6C 00 20 00 2B 00 20 00 22 00 2F 00 2F 00 22 00 20 00 2B 00 20 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 6C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2E 00 68 00 6F 00 73 00 74 00 20 00 2B 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 37 00 00 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 47 00 53 00 75 00 62 00 6D 00 69 00 74 00 74 00 69 00 6E 00 67 00 20 00 3D 00 20 00 66 00 61 00 6C 00 73 00 65 00 3B 00 20 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 56 00 61 00 6C 00 69 00 64 00 43 00 6C 00 69 00 63 00 6B 00 20 00 3D 00 20 00 74 00 72 00 75 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 3B 00 00 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 67 00 65 00 74 00 53 00 75 00 62 00 6D 00 69 00 74 00 46 00 6F 00 72 00 6D 00 28 00 29 00 2E 00 61 00 63 00 74 00 69 00 6F 00 6E 00 3D 00 70 00 3B 00 0D 00 0A 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 53 00 75 00 62 00 6D 00 69 00 74 00 4E 00 65 00 78 00 74 00 46 00 69 00 6C 00 65 00 28 00 27 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 57 00 5F 00 4D 00 61 00 69 00 6E 00 50 00 61 00 67 00 65 00 53 00 75 00 62 00 6D 00 69 00 74 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 27 00 2C 00 27 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 49 00 57 00 5F 00 4D 00 61 00 69 00 6E 00 50 00 61 00 67 00 65 00 53 00 75 00 62 00 6D 00 69 00 74 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 50 00 61 00 72 00 61 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 27 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 69 00 64 00 64 00 65 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 53 00 75 00 62 00 6D 00 69 00 74 00 46 00 6F 00 72 00 6D 00 2E 00 61 00 63 00 74 00 69 00 6F 00 6E 00 3D 00 70 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 53 00 75 00 62 00 6D 00 69 00 74 00 46 00 6F 00 72 00 6D 00 2E 00 73 00 75 00 62 00 6D 00 69 00 74 00 28 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 3C 00 2F 00 73 00 63 00 72 00 69 00 70 00 74 00 3E 00 3C 00 2F 00 68 00 65 00 61 00 64 00 3E 00 3C 00 2F 00 68 00 74 00 6D 00 6C 00 3E 00 00 00 }
	condition:
		$1
}

rule function_46075_0 {
	meta:
		name = "TIWServer.ExecWhenTracIDIsNotInSync"
		size = 988
		refs = "0025 TIWServer.ExecWhenTracIDIsNotInSync 003c _Dn_TIWRenderStream 0041 TIWRenderStream.Create 0051 TIWRenderStream.WriteString 0083 TStrings.GetValue 009c gSC 00a6 TIWServerControllerBase.DoBackButton 00b6 TIWApplication.ExecuteActiveForm 00cd TCookieCollection.Add 00f4 StringReplace 0104 @UStrCat3 0114 @LStrFromUStr 0132 IntToStr 0142 @UStrCatN 017c TIWServer.TimeZoneBias 018b Now 01a6 TIWServer.TerminateApplication 01cf TIWApplication.GenerateActiveForm 01db TStream.SetPosition 0209 TObject.Free 0231 TIWServer.GenerateRedirect 0249 @UStrLAsg 0250 TIWApplication.Unlock 025a GSetWebApplicationThreadVar 0265 GSessions 026f TIWSessions.Terminate 0289 @UStrArrayClr 0291 @UStrClr 0297 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 88 4D F7 8B DA 89 45 F8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F6 00 80 7D F7 10 75 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 8B 08 FF 51 20 E9 02 02 00 00 80 7D F7 01 74 43 8D 4D EC BA ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 F6 50 8D 45 F5 50 8B 03 8B 88 D0 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 55 10 E8 ?? ?? ?? ?? 80 7D F5 00 74 0A 8B 03 8B 55 0C E8 ?? ?? ?? ?? 8B 03 80 B8 C8 00 00 00 00 0F 84 E6 00 00 00 8B 47 0C E8 ?? ?? ?? ?? 8B F0 0F B6 05 ?? ?? ?? ?? 50 8D 45 E4 50 A1 ?? ?? ?? ?? 8B 00 8B 80 8C 00 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 46 0C B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 03 FF 70 64 68 ?? ?? ?? ?? 8B 03 8B 80 D0 00 00 00 33 D2 52 50 8D 45 DC E8 ?? ?? ?? ?? FF 75 DC 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8D 46 10 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 03 8B 50 68 8D 45 D8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8D 46 14 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? DB 7D CC 9B E8 ?? ?? ?? ?? DB 6D CC DE C1 D8 05 ?? ?? ?? ?? DD 5E 20 9B 8B 13 8B CF 8B 45 F8 E8 ?? ?? ?? ?? E9 86 00 00 00 8B 03 83 B8 A4 00 00 00 00 75 6F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 03 8B 55 F0 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 12 83 FA 00 75 07 83 F8 00 76 10 EB 02 7E 0C 8B 55 F0 8B C7 8B 08 FF 51 20 EB 0D 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? 8B 47 08 8B 10 FF 12 83 FA 00 75 1C 83 F8 00 75 17 33 D2 8B C7 8B 08 FF 51 20 EB 0C 8B D3 8B CF 8B 45 F8 E8 ?? ?? ?? ?? 8B 03 80 B8 C8 00 00 00 00 74 33 8D 45 FC 8B 13 8B 52 64 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 33 C0 89 03 8B 1D ?? ?? ?? ?? 8B 1B 33 C0 FF D3 A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 37 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 55 00 54 00 46 00 2D 00 38 00 22 00 20 00 73 00 74 00 61 00 6E 00 64 00 61 00 6C 00 6F 00 6E 00 65 00 3D 00 22 00 79 00 65 00 73 00 22 00 3F 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 3C 00 72 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 3E 00 3C 00 2F 00 72 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 57 00 5F 00 46 00 6F 00 72 00 6D 00 4E 00 61 00 6D 00 65 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 00 00 7A 44 00 00 00 40 }
	condition:
		$1
}

rule function_46076_0 {
	meta:
		name = "TIWServer.ResourceAsStream"
		size = 172
		refs = "0013 TIWServer.ResourceAsStream 0020 GInternalFiles 003a RSResourceNotFound 0043 Format 0050 _Dn_EIWException 0055 EIWException.IfTrue 006a _DV_TCloneMemoryStream 006f TObject.Create 0083 TCustomMemoryStream.SetPointer 0098 @UStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 A1 ?? ?? ?? ?? 8B 08 FF 51 58 8B D8 8D 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 4D FC 85 DB 0F 9C C2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 18 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 8B 10 FF 12 8B C8 8B 53 04 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46077_0 {
	meta:
		name = "TIWServer.ServeContentFile"
		size = 864
		refs = "0022 @UStrAddRef 0042 TIWServer.ServeContentFile 0056 Pos 006e IWStringReplace 0079 @UStrLAsg 0081 gSC 0091 URLPathToFilePath 009e @WStrFromUStr 00ae RightStr 00bb @WStrEqual 00ca @UStrEqual 00d9 @UStrCat 00ed @UStrCat3 00f7 FileExists 0148 IsLibrary 01e2 TIWServer.SendRedirect 0209 _Dn_TIWContentBase 020e TIWContentBase.ProcessFile 022f TIWServer.QueueFileStream 024d TIWServer.QueueFile 0265 @UStrClr 0272 @WStrArrayClr 02b9 @UStrArrayClr 02bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 8B F2 8B F8 8B 45 14 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 14 8B 86 DC 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 1F 8D 45 EC 50 33 C9 8B 96 DC 00 00 00 8B 45 14 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 14 E8 ?? ?? ?? ?? 8D 4D FC A1 ?? ?? ?? ?? 8B 00 8B 80 B4 00 00 00 8B 55 14 E8 ?? ?? ?? ?? 33 DB 8D 45 E4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E4 8D 4D E8 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 20 8B 45 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 11 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 EB 66 8D 45 E0 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E0 B2 01 E8 ?? ?? ?? ?? 84 C0 74 48 8D 45 D8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 D8 8D 4D DC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 A1 ?? ?? ?? ?? 80 38 00 74 3D 8D 45 14 8B 4D 14 8B 56 68 E8 ?? ?? ?? ?? 8B 55 14 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1E 8D 45 D4 50 33 C9 BA ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 14 E8 ?? ?? ?? ?? 84 DB 74 54 8D 45 CC 8B 55 14 E8 ?? ?? ?? ?? 8B 45 CC 8D 4D D0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0D 8D 45 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 B9 ?? ?? ?? ?? 8B 55 14 E8 ?? ?? ?? ?? 8B 55 C8 8B 4D 18 8B C7 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 06 C6 45 F7 00 EB 57 8D 45 F0 50 56 8B 4D FC 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 83 7D F0 00 0F 95 45 F7 80 7D F7 00 74 30 6A 00 8B 4D F0 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 1F B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 11 6A 00 33 C9 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9C 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 14 00 00 00 02 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 6E 00 64 00 65 00 78 00 2E 00 68 00 74 00 6D 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 5C 00 69 00 6E 00 64 00 65 00 78 00 2E 00 68 00 74 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 24 00 00 00 00 00 02 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_46078_0 {
	meta:
		name = "TIWServer.ServeError"
		size = 68
		refs = "0013 TIWServer.ServeError 001a _DV_TIWServer 001f TIWServer.ServeMessage"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 6A 00 6A 00 8B 45 08 50 B9 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 45 00 72 00 72 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_46079_0 {
	meta:
		name = "TIWServer.ServeError"
		size = 68
		refs = "0015 TIWServer.ServeError 001c _DV_TIWServer 0021 TIWServer.ServeMessage"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 8B F2 8B 43 04 50 6A 00 53 8B 45 08 50 B9 ?? ?? ?? ?? 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 45 00 72 00 72 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_46080_0 {
	meta:
		name = "TIWServer.RedirectAsPartial"
		size = 356
		refs = "000f TIWServer.RedirectAsPartial 0022 IWTop 0046 @UStrCatN 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 07 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 1A 00 00 00 3C 00 68 00 74 00 6D 00 6C 00 3E 00 0D 00 0A 00 3C 00 68 00 65 00 61 00 64 00 3E 00 0D 00 0A 00 3C 00 73 00 63 00 72 00 69 00 70 00 74 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 20 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 77 00 69 00 6E 00 64 00 6F 00 77 00 2E 00 6C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2E 00 68 00 72 00 65 00 66 00 20 00 3D 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 22 00 3B 00 3C 00 2F 00 73 00 63 00 72 00 69 00 70 00 74 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 3C 00 2F 00 68 00 65 00 61 00 64 00 3E 00 3C 00 2F 00 68 00 74 00 6D 00 6C 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46081_0 {
	meta:
		name = "TIWServer.QueueFile"
		size = 188
		refs = "0014 @UStrAddRef 001c TIWServer.QueueFile 002e FileExists 0044 _Dn_TFileStream 0049 TFileStream.Create 006a TIWServer.QueueFileStream 007b TCustomWebDispatcher.GetResponse 00a6 @UStrClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 88 4D FB 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3C 80 7D 08 00 74 13 6A 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 6A 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8B C8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? B3 01 EB 23 80 7D FB 00 74 1D 8B C6 E8 ?? ?? ?? ?? BA 94 01 00 00 8B 08 FF 51 28 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_46082_0 {
	meta:
		name = "TIWServer.QueueFileStream"
		size = 636
		refs = "0022 @UStrAddRef 002a TIWServer.QueueFileStream 0042 IndyFileAge 005c TCustomWebDispatcher.GetRequest 0061 IfModifiedSince 0077 TCustomWebDispatcher.GetResponse 00b2 ExtractFileExt 00bd @UStrLAsg 00f1 CompareText 0109 ExtractFileName 011b @UStrCopy 012b @UStrCat3 0136 GetContentType 0146 @LStrFromUStr 01f3 @UStrClr 01fb @LStrClr 0208 @UStrArrayClr 0223 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D EC 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 00 74 63 C6 45 DF 00 8B 45 FC E8 ?? ?? ?? ?? DD 5D E0 9B DD 45 E0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 48 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DC 5D E0 9B DF E0 9E 73 06 C6 45 DF 01 EB 2D 8B C6 E8 ?? ?? ?? ?? BA 30 01 00 00 8B 08 FF 51 28 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA 01 00 00 00 8B 18 FF 53 04 EB 04 C6 45 DF 01 80 7D DF 00 0F 84 10 01 00 00 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 64 8D 45 CC 50 8D 55 C8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C8 B9 03 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 4D CC 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 8D 55 D4 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 D8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 50 8B C6 E8 ?? ?? ?? ?? BA 08 00 00 00 59 8B 18 FF 53 04 EB 31 8D 55 C0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 C0 8D 45 C4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 C4 50 8B C6 E8 ?? ?? ?? ?? BA 08 00 00 00 59 8B 18 FF 53 04 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B 08 FF 51 20 FF 75 E4 FF 75 E0 8B C6 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 08 FF 51 0C EB 27 8B C6 E8 ?? ?? ?? ?? BA 30 01 00 00 8B 08 FF 51 28 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA 01 00 00 00 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 00 E4 04 01 00 FF FF FF FF 0C 00 00 00 4E 6F 74 20 6D 6F 64 69 66 69 65 64 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 74 00 6D 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_46083_0 {
	meta:
		name = "TIWServer.ServeMessage"
		size = 2540
		refs = "001f TIWServer.ServeMessage 002a gSC 004a @UStrCatN 0054 FileExists 008c FileContents 0092 GGetWebApplicationThreadVar 00c0 @UStrCat3 00d2 StringReplace 00dd @UStrAsg 00fd TIWServerControllerBase.GetFilesURL 0136 GIWServer 013b TIWServer.ResourceAsStream 015f @LStrSetLength 016f @UniqueStringA 017a TStream.ReadBuffer 0185 UTF8ToUnicodeString 019a TObject.Free 01a0 @HandleFinally 01e9 @UStrLAsg 0246 @UStrFromLStr 034d _Dn_EInvalidSession 0352 @IsClass 0382 iif 0394 RSExceptionSessionExpired 03a0 Format 03ab RSExceptionOther 03e8 _Dn_TStringList 03ed TStringList.Create 0409 TStrings.SetCommaText 0469 TStrings.GetName 047d TStrings.GetValue 04e4 _Dn_EDeviceNotSupported 04fa _Dn_EUnknownBrowserException 0511 @AsClass 0587 IWTop 05f7 @UStrArrayClr 05ff @LStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 14 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B D9 89 55 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 FF B0 48 01 00 00 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 B2 01 E8 ?? ?? ?? ?? 84 C0 0F 84 C3 00 00 00 A1 ?? ?? ?? ?? 8B 00 FF B0 48 01 00 00 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 8B 55 08 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B FF D3 85 C0 74 48 0F B6 05 ?? ?? ?? ?? 50 8D 45 DC 50 8B 1D ?? ?? ?? ?? 8B 1B FF D3 8B 50 68 8D 45 D8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 8B 45 08 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 08 E8 ?? ?? ?? ?? E9 C0 00 00 00 0F B6 05 ?? ?? ?? ?? 50 8D 45 D4 50 8D 55 D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 4D D0 8B 45 08 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 08 E8 ?? ?? ?? ?? E9 83 00 00 00 8D 45 CC 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 10 FF 12 8B D0 8D 45 FC 33 C9 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 12 50 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 EC 59 E8 ?? ?? ?? ?? 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 C8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 C8 8D 45 F8 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 C4 50 8B 45 08 8B 00 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B 45 08 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 C0 50 A1 ?? ?? ?? ?? 8B 00 FF B0 50 01 00 00 8D 4D B4 BA 17 00 00 00 8B 45 F0 8B 18 FF 53 04 8B 55 B4 8D 45 B8 E8 ?? ?? ?? ?? FF 75 B8 68 ?? ?? ?? ?? 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D BC 8B 45 08 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8B 45 08 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 B0 50 A1 ?? ?? ?? ?? 8B 00 FF B0 50 01 00 00 8D 4D A4 BA 17 00 00 00 8B 45 F0 8B 18 FF 53 04 8B 55 A4 8D 45 A8 E8 ?? ?? ?? ?? FF 75 A8 68 ?? ?? ?? ?? 8D 45 AC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D AC 8B 45 08 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8B 45 08 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 A0 50 A1 ?? ?? ?? ?? 8B 00 FF B0 50 01 00 00 8D 4D 94 BA 17 00 00 00 8B 45 F0 8B 18 FF 53 04 8B 55 94 8D 45 98 E8 ?? ?? ?? ?? FF 75 98 68 ?? ?? ?? ?? 8D 45 9C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D 9C 8B 45 08 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 8B 45 08 E8 ?? ?? ?? ?? 8B 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4C 8D 45 F4 50 A1 ?? ?? ?? ?? 8B 00 8B 98 3C 01 00 00 89 5D 84 C6 45 88 00 8D 45 80 50 4B 0F 94 C0 B9 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 80 89 45 8C C6 45 90 11 8D 55 84 A1 ?? ?? ?? ?? 8B 00 B9 01 00 00 00 E8 ?? ?? ?? ?? EB 10 8D 45 F4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 85 7C FF FF FF 50 8B 45 08 8B 00 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B 45 08 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 10 8B 45 E8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 88 8C 00 00 00 8D 85 78 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8B 45 E8 8B 08 FF 51 38 8B 45 E8 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 94 00 00 00 46 33 DB 0F B6 05 ?? ?? ?? ?? 50 8D 85 74 FF FF FF 50 8D 8D 6C FF FF FF 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8D 8D 70 FF FF FF 8B 45 E8 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF 8B D3 8B 45 E8 E8 ?? ?? ?? ?? FF B5 64 FF FF FF 68 ?? ?? ?? ?? 8D 85 68 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8B 45 08 8B 00 59 E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8B 45 08 E8 ?? ?? ?? ?? 43 4E 0F 85 6F FF FF FF 8B 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 CC 00 00 00 8B 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 78 18 00 0F 84 A2 00 00 00 0F B6 05 ?? ?? ?? ?? 50 8D 85 60 FF FF FF 50 8B 45 08 8B 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8B 45 08 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 85 5C FF FF FF 50 8B 45 08 8B 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 5C FF FF FF 8B 45 08 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 58 FF FF FF E8 ?? ?? ?? ?? FF B5 58 FF FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 FF 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 BA 09 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 58 FF FF FF BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 98 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 94 5E 5B 8B E5 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 57 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2E 00 68 00 74 00 6D 00 6C 00 00 00 03 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 2F 00 66 00 69 00 6C 00 65 00 73 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2E 00 2E 00 2F 00 66 00 69 00 6C 00 65 00 73 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 23 00 33 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 23 00 33 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 7B 00 25 00 43 00 4F 00 4E 00 54 00 45 00 4E 00 54 00 25 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 2F 00 24 00 2F 00 67 00 66 00 78 00 2F 00 4C 00 6F 00 67 00 6F 00 41 00 74 00 6F 00 7A 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 7B 00 25 00 41 00 54 00 4F 00 5A 00 45 00 44 00 4C 00 4F 00 47 00 4F 00 25 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 2F 00 24 00 2F 00 67 00 66 00 78 00 2F 00 4C 00 6F 00 67 00 6F 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 7B 00 25 00 49 00 4E 00 54 00 52 00 41 00 57 00 45 00 42 00 4C 00 4F 00 47 00 4F 00 25 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 7B 00 25 00 41 00 50 00 50 00 41 00 44 00 44 00 52 00 45 00 53 00 53 00 25 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 73 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 7B 00 25 00 45 00 58 00 43 00 45 00 50 00 54 00 49 00 4F 00 4E 00 53 00 50 00 45 00 43 00 49 00 46 00 49 00 43 00 25 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 50 00 50 00 4E 00 41 00 4D 00 45 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 7B 00 25 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 25 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 3C 00 68 00 74 00 6D 00 6C 00 3E 00 3C 00 68 00 65 00 61 00 64 00 3E 00 3C 00 73 00 63 00 72 00 69 00 70 00 74 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 77 00 72 00 69 00 74 00 65 00 6C 00 6E 00 28 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 3C 00 2F 00 73 00 63 00 72 00 69 00 70 00 74 00 3E 00 3C 00 2F 00 68 00 65 00 61 00 64 00 3E 00 3C 00 2F 00 68 00 74 00 6D 00 6C 00 3E 00 00 00 }
	condition:
		$1
}

rule function_46084_0 {
	meta:
		name = "TIWServer.SetAppCookies"
		size = 724
		refs = "0027 TIWServer.SetAppCookies 003a @UStrLAsg 003f gSC 005d IWStringReplace 006d @UStrCat3 0074 TIWServer.TimeZoneBias 0095 Now 00ac TCookieCollection.Add 00d3 StringReplace 00f3 @LStrFromUStr 010d IntToStr 011d @UStrCatN 016a @LStrAsg 01f0 @UStrArrayClr 01f8 @UStrClr 0206 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D D0 89 5D CC 89 5D D8 89 5D D4 89 5D EC 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 80 B8 A4 00 00 00 00 74 23 8D 45 EC 50 33 C9 BA ?? ?? ?? ?? 8B 43 68 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 69 83 BC 00 00 00 60 EA 00 00 89 45 E8 DB 45 E8 D8 35 ?? ?? ?? ?? DE C1 DB 7D DC 9B E8 ?? ?? ?? ?? DB 6D DC DE C1 D8 05 ?? ?? ?? ?? DD 5D F0 9B 8B 47 0C E8 ?? ?? ?? ?? 8B F0 0F B6 05 ?? ?? ?? ?? 50 8D 45 D4 50 A1 ?? ?? ?? ?? 8B 00 8B 80 8C 00 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8D 46 0C B9 00 00 00 00 E8 ?? ?? ?? ?? FF 73 64 68 ?? ?? ?? ?? 8B 83 D0 00 00 00 33 D2 52 50 8D 45 CC E8 ?? ?? ?? ?? FF 75 CC 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8D 46 10 B9 00 00 00 00 E8 ?? ?? ?? ?? 8D 46 14 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 83 BB BC 00 00 00 00 7E 0D DD 45 F0 D8 05 ?? ?? ?? ?? DD 5E 20 9B 8B 47 0C E8 ?? ?? ?? ?? 8B F0 8D 46 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 14 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 89 46 20 8B 45 F4 89 46 24 8B 47 0C E8 ?? ?? ?? ?? 8B F0 8D 46 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 10 8B 53 64 B9 00 00 00 00 E8 ?? ?? ?? ?? 8D 46 14 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 89 46 20 8B 45 F4 89 46 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 24 00 00 00 00 00 80 CB A4 4C 00 00 80 3F 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 E4 04 01 00 FF FF FF FF 0F 00 00 00 49 57 5F 43 6F 6F 6B 69 65 43 68 65 63 6B 5F 00 E4 04 01 00 FF FF FF FF 07 00 00 00 45 6E 61 62 6C 65 64 00 E4 04 01 00 FF FF FF FF 10 00 00 00 49 57 5F 43 75 73 74 6F 6D 54 72 61 63 6B 49 44 00 00 00 00 }
	condition:
		$1
}

rule function_46085_0 {
	meta:
		name = "TIWServer.Start"
		size = 2340
		refs = "0031 @UStrAddRef 003a TIWBrowserType 003f @InitializeRecord 0047 TIWServer.Start 005e AnsiPos 0067 GLicense 0070 TIWLicense.CanIDoThis 0091 TIWLicense.GetHTMLMessage 00ad Format 00b5 _Dn_EIWException 00ba EInException.Toss 00d4 @UStrLAsg 00ee @UStrFromLStr 00f9 AnsiCompareText 019f EIWException.IfTrue 01ad TIWServer.DetermineBrowser 01e3 TWebRequest.GetQueryFields 0200 @LStrCat 0219 _Dn_TIWApplication 021e TIWApplication.Create 025b TStrings.GetValue 0287 @UStrAsg 0293 TIWApplication.SetFileList 029a TWebRequest.GetFiles 02a0 _Dn_THTTPFiles 02a5 @IsClass 02cb TIWApplication.Initialize 02d1 GSetWebApplicationThreadVar 030e Pos 0322 iif 038b @UStrCatN 03a2 Random 03e9 GSessions 03f0 TIWSessions.AddSessionAndLock 0406 gSC 040d TIWServerControllerBase.DoNewSession 041e _Dn_TIWAppForm 0423 @AsClass 0443 TIWAppForm.DoURLRequest 045d @UStrCat3 047b IWStringReplace 0499 @GetTls 049f GTemplateReferenceFormClass 04e9 gMainFormClass 04f4 RSDeviceNotSupported 04fb _Dn_EDeviceNotSupported 0527 TIWBaseContainer.ForceAlign 0530 IsSupportedFormType 054e RSMustBeAppForm 055a EIWException.IfFalse 0585 TIWApplication.UnInitialize 058b @HandleFinally 05ae @UStrArrayClr 05b9 @LStrClr 05c4 @UStrClr 061e @LStrArrayClr 063c @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 51 B9 12 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D D8 89 55 DC 89 45 E0 8B 75 14 8B 45 1C 85 C0 74 04 33 D2 89 10 8B 45 08 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 D7 01 8B 55 D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7D 58 A1 ?? ?? ?? ?? 8B 00 B2 01 E8 ?? ?? ?? ?? 84 C0 74 46 8D 45 C8 50 8B 45 D8 89 45 B8 C6 45 BC 11 8D 55 B4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 B4 89 45 C0 C6 45 C4 11 8D 55 B8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 80 78 40 01 75 7F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D B0 BA 0A 00 00 00 8B C6 8B 18 FF 53 04 8B 55 B0 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 3E 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D AC BA 0A 00 00 00 8B C6 8B 18 FF 53 04 8B 55 AC 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 94 C0 EB 02 33 C0 8B D8 EB 02 33 DB 8D 45 A8 50 8D 4D A4 BA 0A 00 00 00 8B C6 8B 38 FF 57 04 8B 45 A4 89 45 B8 C6 45 BC 0B 8D 55 A0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 A0 89 45 C0 C6 45 C4 11 8D 55 B8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E4 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 56 8B 45 10 50 8B 45 D8 50 8B 45 24 50 8B 45 20 50 8D 4D 98 BA 0C 00 00 00 8B C6 8B 18 FF 53 04 8B 55 98 8D 45 9C E8 ?? ?? ?? ?? 8B 45 9C 50 8B C6 E8 ?? ?? ?? ?? 50 8D 4D 90 BA 17 00 00 00 8B C6 8B 18 FF 53 04 8D 45 90 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 90 8D 45 94 E8 ?? ?? ?? ?? 8B 45 94 50 8D 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 18 89 02 8B 45 18 8B 00 80 B8 C8 00 00 00 00 0F 85 58 03 00 00 C6 45 CF 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 4D 8C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 8C 00 74 26 8B C6 E8 ?? ?? ?? ?? 8D 4D 88 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 88 8B 45 18 8B 00 05 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 18 8B 00 33 D2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 18 8B 00 E8 ?? ?? ?? ?? 8B 45 18 8B 00 8B 4D 10 8B D6 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 8B 45 18 8B 00 FF D3 8D 45 84 50 8D 8D 7C FF FF FF BA 17 00 00 00 8B C6 8B 18 FF 53 04 8B 95 7C FF FF FF 8D 45 80 E8 ?? ?? ?? ?? 8B 55 80 8B 45 18 8B 00 8B 40 68 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 8B 55 18 8B 12 8B 4A 68 33 D2 E8 ?? ?? ?? ?? FF 75 84 8D 8D 74 FF FF FF BA 17 00 00 00 8B C6 8B 18 FF 53 04 8B 95 74 FF FF FF 8D 85 78 FF FF FF E8 ?? ?? ?? ?? FF B5 78 FF FF FF 8D 85 70 FF FF FF 50 8B 45 18 8B 00 8B 40 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 9F C0 B9 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? FF B5 70 FF FF FF 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 80 78 40 01 75 3C B8 0A 00 00 00 E8 ?? ?? ?? ?? 48 75 2F 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 1C BA 06 00 00 00 E8 ?? ?? ?? ?? C6 45 D7 00 EB 0B 8B 45 1C 8B 55 FC E8 ?? ?? ?? ?? 8B 55 18 8B 12 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 89 45 D0 C6 45 CF 01 8D 4D D0 8B 55 18 8B 12 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 DB 83 7D D0 00 74 10 8B 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 7D 0C 00 74 65 8B 55 18 8B 12 8B 45 0C 8B 08 FF 51 40 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 18 8B 00 8B 50 68 8B 45 18 8B 00 05 DC 00 00 00 8B 4D 08 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF 50 8B 45 18 8B 00 8B 80 DC 00 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B 45 18 8B 00 05 DC 00 00 00 E8 ?? ?? ?? ?? 85 DB 75 3E E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 74 30 8B 45 18 8B 00 83 B8 DC 00 00 00 00 75 22 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 8B 4D 18 8B 09 B2 01 FF 50 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 53 8B 45 18 8B 00 83 B8 DC 00 00 00 00 75 45 A1 ?? ?? ?? ?? 83 38 00 75 14 8B 15 ?? ?? ?? ?? 8B 12 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 58 8B 4D 18 8B 09 A1 ?? ?? ?? ?? 8B 00 B2 01 FF 50 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? EB 31 8B C3 E8 ?? ?? ?? ?? 84 C0 75 12 8B 45 18 8B 00 83 B8 DC 00 00 00 00 75 04 33 D2 EB 02 B2 01 8B 0D ?? ?? ?? ?? 8B 09 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 74 0A 8B C3 8B 10 FF 92 7C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D CF 00 74 0A 8B 45 18 8B 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 C6 45 D7 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 6C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 42 FF FF FF 0F B6 45 D7 5F 5E 5B 8B E5 5D C2 20 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 31 00 32 00 37 00 2E 00 30 00 2E 00 30 00 2E 00 31 00 00 00 B0 04 02 00 FF FF FF FF 5C 00 00 00 45 00 76 00 61 00 6C 00 75 00 61 00 74 00 69 00 6F 00 6E 00 20 00 65 00 64 00 69 00 74 00 69 00 6F 00 6E 00 20 00 6F 00 6E 00 6C 00 79 00 20 00 61 00 6C 00 6C 00 6F 00 77 00 73 00 20 00 31 00 32 00 37 00 2E 00 30 00 2E 00 30 00 2E 00 31 00 20 00 61 00 73 00 20 00 74 00 68 00 65 00 20 00 49 00 50 00 20 00 69 00 6E 00 20 00 74 00 68 00 65 00 20 00 55 00 52 00 4C 00 2E 00 0D 00 0A 00 3C 00 50 00 3E 00 54 00 68 00 65 00 20 00 49 00 50 00 20 00 79 00 6F 00 75 00 20 00 75 00 73 00 65 00 64 00 20 00 77 00 61 00 73 00 20 00 25 00 73 00 2E 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6C 00 6F 00 63 00 61 00 6C 00 68 00 6F 00 73 00 74 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 2F 24 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 69 00 6E 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 24 00 00 00 00 00 B0 04 02 00 FF FF FF FF 7F 00 00 00 3C 00 42 00 4F 00 44 00 59 00 3E 00 0D 00 0A 00 54 00 68 00 69 00 73 00 20 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 77 00 61 00 73 00 20 00 62 00 75 00 69 00 6C 00 74 00 20 00 75 00 73 00 69 00 6E 00 67 00 20 00 61 00 6E 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 69 00 6F 00 6E 00 20 00 65 00 64 00 69 00 74 00 69 00 6F 00 6E 00 20 00 6F 00 66 00 20 00 0D 00 0A 00 3C 00 41 00 20 00 48 00 52 00 45 00 46 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 61 00 74 00 6F 00 7A 00 65 00 64 00 2E 00 63 00 6F 00 6D 00 22 00 3E 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 3C 00 2F 00 41 00 3E 00 2E 00 0D 00 0A 00 3C 00 50 00 3E 00 3C 00 41 00 20 00 48 00 52 00 45 00 46 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 22 00 3E 00 43 00 6F 00 6E 00 74 00 69 00 6E 00 75 00 65 00 3C 00 2F 00 41 00 3E 00 3C 00 2F 00 50 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 2F 00 42 00 4F 00 44 00 59 00 3E 00 00 00 }
	condition:
		$1
}

rule function_46086_0 {
	meta:
		name = "TIWServer.IWServerAfterDispatch"
		size = 185
		refs = "0012 gSC 0022 CoUninitialize 004a TIWServerControllerBase.Compress 0060 GLicense 0069 TIWLicense.CanIDoThis 00ad TIWServer.LogBytes"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 5D 0C A1 ?? ?? ?? ?? 8B 00 80 B8 AC 00 00 00 00 74 05 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 80 A8 00 00 00 80 78 04 00 74 15 53 8B 45 08 50 A1 ?? ?? ?? ?? 8B 00 8B CF 8B D6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 66 83 B8 DA 00 00 00 00 74 30 A1 ?? ?? ?? ?? 8B 00 B2 06 E8 ?? ?? ?? ?? 84 C0 74 1E 53 8B 45 08 50 A1 ?? ?? ?? ?? 8B 00 8B CF 8B D6 8B F0 8B 86 DC 00 00 00 FF 96 D8 00 00 00 8B 73 08 85 F6 74 08 8B C6 8B 10 FF 12 EB 09 33 D2 8B C3 8B 08 FF 51 10 8B D0 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_46087_0 {
	meta:
		name = "TIWServer.IWServerBeforeDispatch"
		size = 138
		refs = "000b gSC 001f CoInitialize 0024 OleCheck 0033 CoInitializeEx 0052 GLicense 005b TIWLicense.CanIDoThis"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B DA A1 ?? ?? ?? ?? 8B 00 0F B6 80 AC 00 00 00 3C 01 75 0E 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 3C 02 75 12 6A 00 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 66 83 B8 E2 00 00 00 00 74 32 A1 ?? ?? ?? ?? 8B 00 B2 06 E8 ?? ?? ?? ?? 84 C0 74 20 8B 45 0C 50 8B 45 08 50 8B 3D ?? ?? ?? ?? 8B 3F 8B CE 8B D3 8B 87 E4 00 00 00 FF 97 E0 00 00 00 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_46088_0 {
	meta:
		name = "TIWServer.DoTemplateReference"
		size = 636
		refs = "001f TIWServer.DoTemplateReference 002a GServerType 0035 @GetTls 003d GTemplateReferenceFormClass 0050 @UStrLAsg 0070 Fetch 0095 @UStrFromLStr 0102 AnsiCompareText 014a UpperCase 0162 Pos 0175 @UStrCat3 017d GetClass 01d6 TObject.Free 01dc @HandleFinally 01f8 @UStrArrayClr 0200 @LStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 38 00 0F 94 C3 E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? 33 C0 89 45 E0 84 DB 74 2C 8D 45 FC 8B 17 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6D 83 3F 00 0F 85 63 01 00 00 8D 4D DC BA 17 00 00 00 8B C6 8B 18 FF 53 04 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 D8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 D4 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 28 8D 45 E8 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 9F 00 00 00 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 74 10 8D 45 F8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 74 46 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 33 C9 B2 01 FF 50 38 89 45 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E0 00 74 08 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 69 00 77 00 70 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 74 00 6D 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_46089_0 {
	meta:
		name = "AuthFailed"
		size = 440
		refs = "0012 AuthFailed 0033 RSAuthFailed 0047 @UStrCatN 0051 TWebResponse.SetUnicodeContent 005b TWebResponse.GetUnicodeContent 009a gSC 00ae StringReplace 00be @LStrFromUStr 00ee @UStrClr 00f6 @LStrClr 0103 @UStrArrayClr 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B9 ?? ?? ?? ?? BA 08 00 00 00 8B C3 8B 30 FF 56 04 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? FF 30 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B C8 33 D2 8B C3 8B 30 FF 56 14 B9 ?? ?? ?? ?? BA 03 00 00 00 8B C3 8B 30 FF 56 04 0F B6 05 ?? ?? ?? ?? 50 8D 45 EC 50 A1 ?? ?? ?? ?? 8B 00 8B 80 8C 00 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D F0 BA 04 00 00 00 8B C3 8B 30 FF 56 04 BA 91 01 00 00 8B C3 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 09 00 00 00 74 65 78 74 2F 68 74 6D 6C 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 68 00 74 00 6D 00 6C 00 3E 00 3C 00 62 00 6F 00 64 00 79 00 3E 00 3C 00 62 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 3C 00 2F 00 62 00 3E 00 3C 00 2F 00 62 00 6F 00 64 00 79 00 3E 00 3C 00 2F 00 68 00 74 00 6D 00 6C 00 3E 00 00 00 00 00 E4 04 01 00 FF FF FF FF 05 00 00 00 42 61 73 69 63 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_46090_0 {
	meta:
		name = "Authenticate"
		size = 228
		refs = "0011 gSC 0018 TIWServerControllerBase.AuthActive 003c GSetWebApplicationThreadVar 0081 TIWApplication.SetUserNameAndPassword 009e AuthFailed 00af GSessions 00b9 TIWSessions.Remove 00c1 TIWApplication.MarkAccess 00c9 TIWApplication.Unlock 00d6 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 88 55 FB 89 45 FC B3 01 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 0F 84 B8 00 00 00 8B 45 08 C6 40 FB 00 8B 45 08 83 78 F4 00 74 51 83 7D FC 00 74 0D 8B 35 ?? ?? ?? ?? 8B 36 8B 45 FC FF D6 8B 45 08 8B 48 F0 8B 45 08 8B 50 F4 A1 ?? ?? ?? ?? 8B 00 8B 80 70 01 00 00 8B 30 FF 56 40 8B 55 08 88 42 FB 83 7D FC 00 74 14 8B 45 08 8B 48 F0 8B 45 08 8B 50 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 80 78 FB 00 75 4E 8B 45 08 80 78 EF 00 74 45 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 80 7D FB 00 74 32 83 7D FC 00 74 2C A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 33 DB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46091_0 {
	meta:
		name = "SetErrorResponse"
		size = 264
		refs = "0014 SetErrorResponse 005b _DV_TIWServer 0060 TIWServer.ServeError 006a TWebResponse.SetUnicodeContent 0087 TStrings.SetValue 009c @UStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 8B 75 08 83 C6 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 00 F0 BF 6A 00 8B 06 BA 01 00 00 00 8B 08 FF 51 0C 8B 06 BA F4 01 00 00 8B 08 FF 51 28 8B 06 B9 ?? ?? ?? ?? BA 01 00 00 00 8B 38 FF 57 04 8D 45 FC 50 8B 45 08 8B 50 E8 8B CB A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 06 E8 ?? ?? ?? ?? 8B 06 33 D2 8B 08 FF 51 20 8B 06 8B 40 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 E4 04 01 00 FF FF FF FF 0C 00 00 00 53 65 72 76 65 72 20 65 72 72 6F 72 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6E 00 6F 00 2D 00 63 00 61 00 63 00 68 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 72 00 61 00 67 00 6D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_46092_0 {
	meta:
		name = "SetSessionTimeoutResponse"
		size = 500
		refs = "0018 SetSessionTimeoutResponse 0071 _DV_TIWServer 0076 TIWServer.ServeMessage 008b @UStrCatN 0095 TWebResponse.SetUnicodeContent 00dd TStrings.SetValue 00f7 @UStrArrayClr 00fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 8B 75 08 83 C6 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 00 F0 BF 6A 00 8B 06 BA 01 00 00 00 8B 08 FF 51 0C 8B 06 BA F4 01 00 00 8B 08 FF 51 28 8B 06 B9 ?? ?? ?? ?? BA 01 00 00 00 8B 38 FF 57 04 84 DB 74 45 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8D 45 F8 50 8B 45 08 8B 50 E8 B9 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 06 E8 ?? ?? ?? ?? EB 29 6A 00 6A 00 6A 00 8D 45 F4 50 8B 45 08 8B 50 E8 B9 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 06 E8 ?? ?? ?? ?? 8B 06 33 D2 8B 08 FF 51 20 8B 06 8B 40 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 E4 04 01 00 FF FF FF FF 0C 00 00 00 53 65 72 76 65 72 20 65 72 72 6F 72 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 3C 00 72 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 3E 00 3C 00 68 00 74 00 6D 00 6C 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 45 00 53 00 53 00 49 00 4F 00 4E 00 54 00 49 00 4D 00 45 00 4F 00 55 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 3C 00 2F 00 68 00 74 00 6D 00 6C 00 3E 00 3C 00 2F 00 72 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6E 00 6F 00 2D 00 63 00 61 00 63 00 68 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 72 00 61 00 67 00 6D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_46093_0 {
	meta:
		name = "CheckCmdCondition"
		size = 1176
		refs = "0018 @UStrAddRef 0020 CheckCmdCondition 0035 @UStrEqual 00c6 @UStrLAsg 00de AnsiCompareText 01c6 @UStrClr 02bc @UStrArrayClr 02c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 0B E9 64 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 07 E9 4E 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 0D E9 38 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 08 E9 22 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 09 E9 0C 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 0A E9 E7 01 00 00 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 07 B3 05 E9 B4 01 00 00 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 07 B3 06 E9 81 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 03 E9 6B 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 0E E9 55 01 00 00 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 07 B3 0C E9 22 01 00 00 8D 45 E0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 07 B3 10 E9 EF 00 00 00 8D 45 D8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 07 B3 02 E9 C1 00 00 00 8D 45 D0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 45 D0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 07 B3 0F E9 8E 00 00 00 8D 45 C8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B 45 C8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B3 12 EB 5E 8D 45 C0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 45 C0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B3 13 EB 2E 8D 45 B8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B 45 B8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 02 B3 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 13 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 53 00 49 00 5A 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 50 00 44 00 41 00 54 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 50 00 4C 00 4F 00 41 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 41 00 43 00 48 00 45 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 46 00 58 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4A 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4A 00 41 00 56 00 41 00 53 00 43 00 52 00 49 00 50 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 49 00 4C 00 45 00 53 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 46 00 49 00 4C 00 45 00 53 00 4E 00 43 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 54 00 4F 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 43 00 53 00 53 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 41 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 41 00 4C 00 4C 00 42 00 41 00 43 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 49 00 4E 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 54 00 41 00 52 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 41 00 55 00 54 00 48 00 45 00 4E 00 54 00 49 00 43 00 41 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 57 00 45 00 44 00 49 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_46094_0 {
	meta:
		name = "InitializeTrackAndAppId"
		size = 1736
		refs = "0014 InitializeTrackAndAppId 005e TStrings.GetValue 0085 @UStrLAsg 00ab TWebRequest.GetCookieFields 00c0 gSC 00cf iif 0103 Fetch 0167 StringReplace 0177 @UStrCat3 019f RPos 01fc @UStrCopy 0226 StrToIntDef 0386 @UStrEqual 03a0 TWebRequest.GetContentFields 03bf RSNoCookieSupport 03c6 _DV_ENoCookieSupportException 03cb EIWException.IfFalse 03d6 TWebRequest.GetQueryFields 040d GSessions 0414 TIWSessions.LookupByTaggedNameAndLock 0442 _DV_TIWServer 0447 TIWServer.SetAppCookies 0478 TIWApplication.MarkAccess 0483 TIWApplication.Unlock 0491 @HandleFinally 0587 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0D 00 00 00 6A 00 6A 00 49 75 F9 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 0F B6 40 E7 48 2C 04 72 18 2C 02 74 14 04 FC 2C 03 72 0E 2C 02 74 0A 04 FD 2C 02 0F 83 63 04 00 00 8B 45 08 80 78 E7 0B 0F 85 97 00 00 00 8D 4D FC 8B 45 08 8B 40 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 7E 8D 4D F8 8B 45 08 8B 40 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 83 C0 DC E8 ?? ?? ?? ?? 8D 45 F4 50 8D 4D F0 8B 45 08 8B 40 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? 8B 00 0F B6 80 A4 00 00 00 59 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 83 C0 D8 E8 ?? ?? ?? ?? E9 BF 03 00 00 8B 45 08 80 78 E7 0C 75 2F 6A 01 8D 45 E8 50 8B 45 08 83 C0 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 08 83 C0 DC E8 ?? ?? ?? ?? 8B 45 08 C6 40 E7 04 EB 21 8D 4D E4 8B 45 08 8B 40 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 08 83 C0 DC E8 ?? ?? ?? ?? 8B 45 08 83 C0 D4 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 D8 50 A1 ?? ?? ?? ?? 8B 00 8B 80 8C 00 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 8D 4D E0 5A E8 ?? ?? ?? ?? 8B 55 E0 83 C9 FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 CC 50 A1 ?? ?? ?? ?? 8B 00 8B 80 8C 00 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 8D 4D D4 5A E8 ?? ?? ?? ?? 8B 45 D4 B9 FF FF 00 00 5A E8 ?? ?? ?? ?? 8B 45 08 83 78 DC 00 75 13 8B 45 08 83 C0 DC 8B 55 08 8B 52 D4 E8 ?? ?? ?? ?? EB 33 8B 45 08 8B 40 DC 83 CA FF E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 D4 83 CA FF E8 ?? ?? ?? ?? 3B D8 7D 11 8B 45 08 83 C0 DC 8B 55 08 8B 52 D4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 80 B8 A4 00 00 00 00 74 2B 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 8D 4D C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B 45 08 83 C0 D8 E8 ?? ?? ?? ?? E9 C1 00 00 00 8B 45 08 83 C0 D8 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 BC 50 A1 ?? ?? ?? ?? 8B 00 8B 80 8C 00 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC 8D 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 50 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 8D 4D C4 5A E8 ?? ?? ?? ?? 8B 55 C4 83 C9 FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 B0 50 A1 ?? ?? ?? ?? 8B 00 8B 80 8C 00 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B0 8D 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 50 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 8D 4D B8 5A E8 ?? ?? ?? ?? 8B 45 B8 BA 01 00 00 00 59 E8 ?? ?? ?? ?? 8B 45 08 80 78 E7 02 0F 84 4D 01 00 00 8B 45 08 80 78 E7 13 0F 84 40 01 00 00 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 8D 4D AC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 15 01 00 00 8B 45 08 80 78 E7 01 75 1E 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 8D 4D A8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D A8 00 74 04 33 D2 EB 02 B2 01 8B 0D ?? ?? ?? ?? 8B 09 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 8D 4D A4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D A4 00 0F 84 A6 00 00 00 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 8D 4D A0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 08 89 42 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 78 D0 00 74 18 8B 45 08 8B 48 0C 8B 45 08 8B 50 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8B 45 08 C6 40 E7 02 8B 45 08 C6 40 CF 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 83 78 D0 00 74 1E 8B 45 08 8B 40 D0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 D0 E8 ?? ?? ?? ?? 8B 45 08 33 D2 89 50 D0 C3 E9 ?? ?? ?? ?? EB D1 8B 45 08 C6 40 E7 02 8B 45 08 C6 40 CF 00 8B 45 08 8B 40 E8 0F B6 40 08 3C 01 74 08 3C 04 0F 85 B6 00 00 00 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 8D 4D 9C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 9C 00 0F 84 94 00 00 00 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 8D 4D 98 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 98 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 08 89 42 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 78 D0 00 74 14 8B 45 08 83 C0 D8 8B 55 08 8B 52 D0 8B 52 64 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 83 78 D0 00 74 1E 8B 45 08 8B 40 D0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 D0 E8 ?? ?? ?? ?? 8B 45 08 33 D2 89 50 D0 C3 E9 ?? ?? ?? ?? EB D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 BA 1A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 57 00 5F 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 49 00 44 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 57 00 5F 00 54 00 72 00 61 00 63 00 6B 00 49 00 44 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 57 00 5F 00 43 00 75 00 73 00 74 00 6F 00 6D 00 54 00 72 00 61 00 63 00 6B 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 57 00 5F 00 43 00 6F 00 6F 00 6B 00 69 00 65 00 43 00 68 00 65 00 63 00 6B 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 6E 00 61 00 62 00 6C 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 69 00 6E 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_46095_0 {
	meta:
		name = "SeparateURLAndDoc"
		size = 176
		refs = "0015 @UStrAddRef 001d SeparateURLAndDoc 0035 PosEx 0047 @UStrCopy 008d @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 89 55 F8 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B9 02 00 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 56 8B CF BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8B 06 89 45 F4 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 8B 45 F8 50 8B CB 2B CE 41 8D 57 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_46096_0 {
	meta:
		name = "ProcessFilesDir"
		size = 696
		refs = "0018 @UStrAddRef 0020 ProcessFilesDir 002d IsLibrary 004c @UStrCopy 0059 @UStrEqual 006d @UStrDelete 0076 gSC 0083 @UStrLAsg 008b IsAbsolutePath 009d @UStrCat3 00ae TIWServerControllerBase.GetAppPath 00c4 @UStrCatN 00de URLPathToFilePath 00e8 FileExists 00fe TIWServer.QueueFile 0123 StringReplace 012e ExtractFileDir 0139 UpperCase 0161 Fetch 01ad Pos 0268 @UStrArrayClr 026e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB A1 ?? ?? ?? ?? 80 38 00 0F 84 90 00 00 00 8D 45 EC 50 B9 01 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? 8B 12 8B 92 68 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 10 8D 45 F8 8B 4D FC 8B 55 F0 E8 ?? ?? ?? ?? EB 3F 8D 55 E8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? FF 75 E8 FF 75 F0 FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 18 8D 4D F8 A1 ?? ?? ?? ?? 8B 00 8B 80 68 01 00 00 8B 55 FC E8 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 19 6A 00 8B 45 08 8B 40 C8 33 C9 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 E9 49 01 00 00 0F B6 05 ?? ?? ?? ?? 50 8D 45 E0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 F4 E8 ?? ?? ?? ?? 6A 00 8D 45 F0 50 8D 55 DC A1 ?? ?? ?? ?? 8B 00 8B 80 68 01 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F4 B1 01 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 D8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 50 8D 55 D0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 D0 5A E8 ?? ?? ?? ?? 85 C0 74 3F 0F B6 05 ?? ?? ?? ?? 50 8D 45 CC 50 8D 45 C8 8B 4D F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 A1 ?? ?? ?? ?? 8B 00 8B 88 68 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 C4 50 33 C9 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C4 8D 45 FC E8 ?? ?? ?? ?? 8D 4D F8 A1 ?? ?? ?? ?? 8B 00 8B 80 68 01 00 00 8B 55 FC E8 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 14 6A 00 8B 45 08 8B 40 C8 33 C9 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 0F 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 03 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 2E 00 2F 00 00 00 }
	condition:
		$1
}

rule function_46097_0 {
	meta:
		name = "TIWServer.IWServerDefaultAction"
		size = 17220
		refs = "0027 TIWServer.IWServerDefaultAction 003d @UStrClr 0081 GAppType 008b gSC 0092 TIWServerControllerBase.AuthActive 00f2 AuthFailed 00ff @TryFinallyExit 0180 @LStrCatN 0191 @UStrFromLStr 01b2 IntToStr 01e1 @UStrCatN 01ef TWebResponse.SetUnicodeContent 020e IsUniqueGlobalComponentNameProc 0217 IsLibrary 0225 GLicense 022e TIWLicense.CanIDoThis 0275 TIWLicense.GetHTMLMessage 029d Format 02e5 AnsiPos 02f4 _Dn_EIWException 02fa EIWException.IfTrue 0318 @UStrLAsg 0344 AnsiCompareText 043b EInException.Toss 044d TIWServer.GetUserPass 0469 TWebRequest.GetContentFields 0474 TWebRequest.GetQueryFields 04e3 TWebRequest.GetContentParser 04f0 TObject.ClassName 0500 @UStrEqual 050e TIWServerControllerBase.GetEncoding 0515 TEncoding.GetUTF8 0551 @LStrFromUStr 0562 UTF8ToUnicodeString 05b9 Trim 065e Pos 069a TWebRequest.GetCookieFields 06aa TStrings.GetValue 06b5 GSessions 06bc TIWSessions.LookUp 06e2 LowerCase 076d @UStrDelete 08d1 @UStrCat3 08de FileExists 0908 @UStrCopy 09d2 GSetWebApplicationThreadVar 0a02 TIWSessions.Terminate 0a9c CompareText 0d66 URLPathToFilePath 0d76 TIWServer.QueueFile 0d84 GIWServer 0d89 TIWServer.ResourceAsStream 0e25 ProcessFilesDir 0e44 _Dn_TIWURLMap 0e49 TIWURLMap.FindMatch 0e5b _Dn_TIWURLResponderAppFormBase 0e60 @IsClass 0e8d @WStrFromUStr 0ea3 RightStr 0eb3 @WStrEqual 0ec1 CountChr 0efe _Dn_TIWURLResponderRawBase 0f35 Authenticate 0f96 TIWServer.LocateOrCreateSession 0fc0 TIWApplication.Initialize 0fd7 TIWApplication.SetUserNameAndPassword 1026 _DV_TIWServer 102b TIWServer.SetAppCookies 10a1 TObject.Free 10a7 @HandleFinally 11f6 TIWServer.ServeContentFile 1246 TIWServerControllerBase.CallResponder 131b Fetch 1329 UpperCase 1337 TIWServer.DoTemplateReference 133f CheckCmdCondition 1410 InitializeTrackAndAppId 1442 TWebRequest.GetContent 148a @LStrEqual 14fd TIWServer.DetermineBrowser 150e LockSession 1619 StrToInt64Def 162a @HandleAnyException 1631 @DoneExcept 166f TIWServer.Exec 16ac RSLogExecute 16ca TIWServer.Log 16ed StrToIntDef 16fa TIWServer.ServeFormResizeCommand 183a TIWApplication.GetActiveForm 1880 IWStringReplace 1893 @UStrAsg 18b5 TIWAppForm.DoURLRequest 18ea EditDocument 1904 SupportsInterface 1a3b RSLogCacheFile 1b29 TIWApplication.MarkAccess 1b31 TIWApplication.Unlock 1b5d TIWServerControllerBase.GetCacheDir 1bc1 IfModifiedSince 1c1c StringReplace 1c81 ExtractFileExt 1c92 GetContentType 1d05 RSLogInternalGraphic 1e6e RSLogJavaScript 1fb6 RSLogCSSRequest 210a TIWServer.Start 21ab Now 21c4 TIWServer.DateTimeToInternetStr 21da TStrings.SetValue 21f5 TWebResponse.GetUnicodeContent 220a RSNoJSSupport 2343 TIWApplication.GetInternalURLBase 24a2 TIWServer.SendRedirect 24db TIWServer.TerminateApplication 250f CurrencyString 251a FormatDateTime 2525 RSLogNewSession 25bf RSLogExplicitStop 2601 TCookieCollection.Add 26e9 TIWServer.TimeZoneBias 27fa RSLogUpdateCommand 287b RSLogUnrecognizedCommand 291f @HandleOnException 2927 _DV_ENoCookieSupportException 292f _Dn_EUnknownBrowserException 2937 _Dn_EInvalidSession 293f _Dn_EDeviceNotSupported 2947 _Dn_Exception 2963 TIWServer.ServeError 29d3 TIWServer.CreateSession 2a4b SetSessionTimeoutResponse 2ac7 TIWServerControllerBase.DoException 2adc SetErrorResponse 2cb0 TStream.SetPosition 2d20 @LStrClr 2d30 @UStrArrayClr 2dff TIWBrowserType 2e04 @FinalizeRecord 2e24 @LStrArrayClr 2e86 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 6D 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E8 89 95 28 FF FF FF 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 CF 01 C6 45 E7 02 8D 45 B0 E8 ?? ?? ?? ?? 33 C0 89 45 D0 33 C0 89 85 04 FF FF FF 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 08 C6 00 01 C6 45 FB 01 C6 45 EF 01 A1 ?? ?? ?? ?? 80 38 01 75 7E A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 74 6E 8D 8D C8 FE FF FF BA 1C 00 00 00 8B 45 E8 8B 18 FF 53 04 83 BD C8 FE FF FF 00 75 52 8D 8D C4 FE FF FF BA ?? ?? ?? ?? 8B 45 E8 8B 18 FF 53 34 83 BD C4 FE FF FF 00 75 36 8D 8D C0 FE FF FF BA ?? ?? ?? ?? 8B 45 E8 8B 18 FF 53 34 83 BD C0 FE FF FF 00 75 1A 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E8 ?? ?? ?? ?? E9 F9 2B 00 00 A1 ?? ?? ?? ?? 80 38 00 0F 85 F7 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 80 44 01 00 00 80 78 0C 02 0F 85 E0 00 00 00 BA 18 00 00 00 8B 45 E8 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? 8B 12 8B 92 44 01 00 00 3B 42 08 0F 84 BC 00 00 00 68 ?? ?? ?? ?? 8D 8D B0 FE FF FF BA 0A 00 00 00 8B 45 E8 8B 18 FF 53 04 FF B5 B0 FE FF FF 68 ?? ?? ?? ?? 8D 85 B4 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 B4 FE FF FF 8D 85 B8 FE FF FF E8 ?? ?? ?? ?? FF B5 B8 FE FF FF 8D 95 AC FE FF FF A1 ?? ?? ?? ?? 8B 00 8B 80 44 01 00 00 8B 40 08 E8 ?? ?? ?? ?? FF B5 AC FE FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 BC FE FF FF BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 95 BC FE FF FF 8B 45 0C E8 ?? ?? ?? ?? 8B 45 0C 8B 10 FF 52 34 33 C0 5A 59 59 64 89 10 E8 ?? ?? ?? ?? E9 F4 2A 00 00 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 80 38 00 0F 84 1B 02 00 00 A1 ?? ?? ?? ?? 8B 00 B2 03 E8 ?? ?? ?? ?? 84 C0 0F 84 F6 01 00 00 8D 85 A8 FE FF FF 50 8D 8D 94 FE FF FF BA 15 00 00 00 8B 45 E8 8B 18 FF 53 04 8B 85 94 FE FF FF 89 85 98 FE FF FF C6 85 9C FE FF FF 0B 8D 95 90 FE FF FF A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 85 90 FE FF FF 89 85 A0 FE FF FF C6 85 A4 FE FF FF 11 8D 95 98 FE FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 A8 FE FF FF 50 A1 ?? ?? ?? ?? 8B 00 80 78 40 01 75 38 8D 8D 88 FE FF FF BA 15 00 00 00 8B 45 E8 8B 18 FF 53 04 8B 95 88 FE FF FF 8D 85 8C FE FF FF E8 ?? ?? ?? ?? 8B 95 8C FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 04 33 D2 EB 02 B2 01 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 80 78 40 01 0F 85 A4 00 00 00 8D 45 88 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 8D 84 FE FF FF BA 0A 00 00 00 8B 45 E8 8B 18 FF 53 04 8B 95 84 FE FF FF 8D 45 84 E8 ?? ?? ?? ?? 8B 55 84 8B 45 88 E8 ?? ?? ?? ?? 85 C0 0F 94 85 F7 FE FF FF 80 BD F7 FE FF FF 00 75 53 8D 45 80 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 8D 80 FE FF FF BA 0A 00 00 00 8B 45 E8 8B 18 FF 53 04 8B 95 80 FE FF FF 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B 45 80 E8 ?? ?? ?? ?? 85 C0 0F 94 85 F6 FE FF FF 0F B6 85 F6 FE FF FF 34 01 EB 02 33 C0 8B D8 EB 02 33 DB 8D 85 7C FE FF FF 50 8D 8D 78 FE FF FF BA 0A 00 00 00 8B 45 E8 8B 30 FF 56 04 8B 85 78 FE FF FF 89 85 98 FE FF FF C6 85 9C FE FF FF 0B 8D 95 74 FE FF FF A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 85 74 FE FF FF 89 85 A0 FE FF FF C6 85 A4 FE FF FF 11 8D 95 98 FE FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 7C FE FF FF 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8D 4D F4 8B 55 E8 8B 45 C8 E8 ?? ?? ?? ?? 33 C0 89 45 E0 83 7D E0 00 75 7B 8B 45 E8 80 78 08 03 75 67 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E8 E8 ?? ?? ?? ?? 8D 95 70 FE FF FF 8B 08 FF 51 1C 83 BD 70 FE FF FF 00 74 4B 8B 45 E8 E8 ?? ?? ?? ?? 8B 10 FF 52 14 8B F0 4E 85 F6 7C 37 46 33 DB 8B 45 E8 E8 ?? ?? ?? ?? 8D 8D 6C FE FF FF 8B D3 8B 38 FF 57 0C 8B 95 6C FE FF FF 8B 45 E0 8B 08 FF 51 38 43 4E 75 D9 EB 0B 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E0 8D 45 90 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 00 8D 95 68 FE FF FF E8 ?? ?? ?? ?? 8B 85 68 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 74 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 75 5D 8B 45 E0 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4E 46 33 DB 8D 8D 64 FE FF FF 8B D3 8B 45 E0 8B 38 FF 57 0C 8B 95 64 FE FF FF 8D 85 2C FF FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8D 95 78 FF FF FF 8B 85 2C FF FF FF E8 ?? ?? ?? ?? 8B 8D 78 FF FF FF 8B D3 8B 45 E0 8B 38 FF 57 20 43 4E 75 B5 83 7D 90 00 74 0B 8B 55 90 8B 45 E0 8B 08 FF 51 2C 8D 8D 5C FE FF FF BA ?? ?? ?? ?? 8B 45 E8 8B 18 FF 53 34 8B 95 5C FE FF FF 8D 85 60 FE FF FF E8 ?? ?? ?? ?? 8B 85 60 FE FF FF 8D 55 C0 E8 ?? ?? ?? ?? 83 7D C0 00 75 59 8D 8D 54 FE FF FF BA ?? ?? ?? ?? 8B 45 E8 8B 18 FF 53 34 8B 95 54 FE FF FF 8D 85 58 FE FF FF E8 ?? ?? ?? ?? 8B 85 58 FE FF FF 8D 55 C0 E8 ?? ?? ?? ?? 83 7D C0 00 75 21 8D 8D 50 FE FF FF BA 15 00 00 00 8B 45 E8 8B 18 FF 53 04 8B 95 50 FE FF FF 8D 45 C0 E8 ?? ?? ?? ?? 8B 45 0C 8B 40 14 8B 10 FF 52 44 8D 8D 4C FE FF FF BA 04 00 00 00 8B 45 E8 8B 18 FF 53 04 8B 95 4C FE FF FF 8D 45 FC E8 ?? ?? ?? ?? B3 01 83 7D F4 00 0F 95 85 0F FF FF FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 27 BA 94 01 00 00 8B 45 0C 8B 08 FF 51 28 8B 45 0C 8B 10 FF 52 34 33 C0 5A 59 59 64 89 10 E8 ?? ?? ?? ?? E9 74 26 00 00 80 BD 0F FF FF FF 00 74 42 8B 45 E8 E8 ?? ?? ?? ?? 8D 8D 48 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 48 FE FF FF A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 85 C0 75 14 8B 45 E8 E8 ?? ?? ?? ?? 8B 10 FF 52 44 C6 85 0F FF FF FF 00 8D 95 44 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 44 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 79 A1 ?? ?? ?? ?? 8B 00 80 B8 A4 00 00 00 00 74 69 8B 45 E8 E8 ?? ?? ?? ?? 8D 8D 40 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 40 FE FF FF 89 85 3C FE FF FF 8B 9D 3C FE FF FF 85 DB 74 05 83 EB 04 8B 1B 8B 45 E8 E8 ?? ?? ?? ?? 8D 8D 38 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 38 FE FF FF 8B 55 FC E8 ?? ?? ?? ?? 8B D0 4A 8D 4B 01 8D 45 FC E8 ?? ?? ?? ?? 33 DB 8D 95 34 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 34 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 B7 00 00 00 8D 95 30 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 30 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 91 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 8D 8D 2C FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 8B 55 FC E8 ?? ?? ?? ?? 85 C0 7E 67 8B 45 E8 E8 ?? ?? ?? ?? 8D 8D 28 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 28 FE FF FF 89 85 3C FE FF FF 8B B5 3C FE FF FF 85 F6 74 05 83 EE 04 8B 36 8B 45 E8 E8 ?? ?? ?? ?? 8D 8D 24 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 24 FE FF FF 8B 55 FC E8 ?? ?? ?? ?? 8B D0 4A 8D 4E 01 8D 45 FC E8 ?? ?? ?? ?? 8D 95 20 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 20 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 22 8D 95 1C FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 1C FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 02 33 DB 83 7D FC 00 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3B A1 ?? ?? ?? ?? 8B 00 8B 90 B4 00 00 00 8D 85 18 FE FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 18 FE FF FF B2 01 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 14 FE FF FF 50 B9 04 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 85 14 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 17 8D 45 FC B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? E9 A9 04 00 00 80 BD 0F FF FF FF 00 74 36 8D 95 10 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 10 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 14 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB E9 6A 04 00 00 8D 95 0C FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 0C FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 85 00 00 00 A1 ?? ?? ?? ?? 8B 00 80 B8 A4 00 00 00 00 75 5C 8B 45 E8 E8 ?? ?? ?? ?? 8D 8D 08 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BD 08 FE FF FF 00 74 3B 33 C0 89 45 D0 8B 1D ?? ?? ?? ?? 8B 1B 33 C0 FF D3 8B 45 E8 E8 ?? ?? ?? ?? 8D 8D 04 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 04 FE FF FF A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 45 FC B9 03 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 DB E9 BF 03 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 19 8D 45 FC B9 03 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 DB E9 95 03 00 00 8D 85 74 FF FF FF 8B 55 FC E8 ?? ?? ?? ?? 8D 85 70 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 3B 85 70 FF FF FF 75 04 B0 01 EB 2C 83 BD 74 FF FF FF 00 74 09 83 BD 70 FF FF FF 00 75 04 33 C0 EB 16 8B 95 70 FF FF FF 8B 85 74 FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 19 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 DB E9 1C 03 00 00 8D 85 6C FF FF FF 8B 55 FC E8 ?? ?? ?? ?? 8D 85 68 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 3B 85 68 FF FF FF 75 09 C6 85 F5 FE FF FF 01 EB 35 83 BD 6C FF FF FF 00 74 09 83 BD 68 FF FF FF 00 75 09 C6 85 F5 FE FF FF 00 EB 1A 8B 95 68 FF FF FF 8B 85 6C FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 85 F5 FE FF FF 80 BD F5 FE FF FF 00 74 19 8D 45 FC B9 03 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 DB E9 90 02 00 00 8D 95 00 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 00 FE FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 53 33 DB 8B 45 FC 89 85 F0 FE FF FF 83 BD F0 FE FF FF 00 74 11 8B 85 F0 FE FF FF 83 E8 04 8B 00 89 85 F0 FE FF FF 8D 45 A0 50 8B 8D F0 FE FF FF BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC B9 03 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? E9 1B 02 00 00 8D 95 64 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8D 85 60 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 3B 85 60 FF FF FF 75 09 C6 85 EF FE FF FF 01 EB 35 83 BD 64 FF FF FF 00 74 09 83 BD 60 FF FF FF 00 75 09 C6 85 EF FE FF FF 00 EB 1A 8B 95 60 FF FF FF 8B 85 64 FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 85 EF FE FF FF 80 BD EF FE FF FF 00 74 19 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 DB E9 8F 01 00 00 8D 85 5C FF FF FF 8B 55 FC E8 ?? ?? ?? ?? 8D 85 58 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 3B 85 58 FF FF FF 75 09 C6 85 EE FE FF FF 01 EB 35 83 BD 5C FF FF FF 00 74 09 83 BD 58 FF FF FF 00 75 09 C6 85 EE FE FF FF 00 EB 1A 8B 95 58 FF FF FF 8B 85 5C FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 85 EE FE FF FF 80 BD EE FE FF FF 00 74 09 C6 85 EC FE FF FF 01 EB 77 8D 85 54 FF FF FF 8B 55 FC E8 ?? ?? ?? ?? 8D 85 50 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 3B 85 50 FF FF FF 75 09 C6 85 ED FE FF FF 01 EB 35 83 BD 54 FF FF FF 00 74 09 83 BD 50 FF FF FF 00 75 09 C6 85 ED FE FF FF 00 EB 1A 8B 95 50 FF FF FF 8B 85 54 FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 85 ED FE FF FF 0F B6 85 ED FE FF FF 88 85 EC FE FF FF 80 BD EC FE FF FF 00 74 54 6A 00 8D 8D FC FD FF FF A1 ?? ?? ?? ?? 8B 00 8B 80 B4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 FC FD FF FF 33 C9 8B 45 C8 E8 ?? ?? ?? ?? 84 C0 75 19 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 0C 8B 08 FF 51 20 C6 45 E7 11 33 DB EB 3F 8D 85 F8 FD FF FF 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 85 F8 FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 14 8D 45 FC B9 03 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 DB 84 DB 0F 84 17 05 00 00 8D 95 F4 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 F4 FD FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 18 8D 45 A8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 8B 45 FC E8 ?? ?? ?? ?? 59 84 C0 74 12 33 C0 5A 59 59 64 89 10 E8 ?? ?? ?? ?? E9 C1 1E 00 00 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 08 FF FF FF 8B 85 08 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 8A 00 00 00 8B 85 08 FF FF FF 89 85 04 FF FF FF 8D 45 8C 8B 55 FC E8 ?? ?? ?? ?? 8D 85 EC FD FF FF 8B 55 8C E8 ?? ?? ?? ?? 8B 85 EC FD FF FF 8D 8D F0 FD FF FF BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 85 F0 FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2B 8B 55 8C 66 B8 2F 00 E8 ?? ?? ?? ?? 83 F8 02 7E 1A 8B 45 8C 85 C0 74 05 83 E8 04 8B 00 8D 55 8C B9 01 00 00 00 92 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 07 04 00 00 8B 85 08 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 CF 01 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 74 39 A1 ?? ?? ?? ?? 8B 00 80 B8 88 00 00 00 00 74 29 55 B2 01 33 C0 E8 ?? ?? ?? ?? 59 84 C0 75 1A 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E8 ?? ?? ?? ?? E9 A9 1D 00 00 8B 45 E8 50 8B 45 0C 50 8B 45 C0 50 8B 45 F4 50 8B 45 F0 50 8B 45 E8 E8 ?? ?? ?? ?? 8D 8D E8 FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D E8 FD FF FF 8D 95 17 FF FF FF 8B 45 C8 8B 00 E8 ?? ?? ?? ?? 89 85 00 FF FF FF 8B 85 00 FF FF FF 80 B8 C8 00 00 00 00 0F 85 FA 00 00 00 8B 4D 0C 8B 55 E8 8B 85 00 FF FF FF E8 ?? ?? ?? ?? 80 7D FB 00 74 11 8B 4D F0 8B 55 F4 8B 85 00 FF FF FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8B 1B 8B 85 00 FF FF FF FF D3 A1 ?? ?? ?? ?? 8B 00 }
	condition:
		$1
}

rule function_46098_0 {
	meta:
		name = "TIWServer.LocateOrCreateSession"
		size = 165
		refs = "000f @UStrAddRef 002f TIWServer.LocateOrCreateSession 003a GSessions 0044 TIWSessions.LookUp 0064 _DV_TIWServer 0069 TIWServer.CreateSession 0083 @UStrClr 0090 @UStrArrayClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? 8B D8 C6 06 00 85 DB 75 21 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D 14 8B 55 18 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 C6 06 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_46100_0 {
	meta:
		name = "TIWServer.AddInternalFiles"
		size = 1500
		refs = "0005 GInternalFiles 000f _Dn_TStringList 0014 TStringList.Create 001e TIWServer.AddInternalFiles 002a TIWServer.AddInternalFile"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 46 00 41 00 56 00 49 00 43 00 4F 00 4E 00 2E 00 49 00 43 00 4F 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 57 00 5F 00 46 00 41 00 56 00 49 00 43 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 45 00 72 00 72 00 6F 00 72 00 2E 00 68 00 74 00 6D 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 45 00 52 00 52 00 4F 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 2E 00 68 00 74 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 53 00 45 00 53 00 53 00 49 00 4F 00 4E 00 54 00 49 00 4D 00 45 00 4F 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 2F 00 6A 00 73 00 2F 00 49 00 57 00 43 00 6F 00 6D 00 6D 00 6F 00 6E 00 2E 00 6A 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 57 00 5F 00 4A 00 53 00 5F 00 49 00 57 00 43 00 4F 00 4D 00 4D 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 2F 00 6A 00 73 00 2F 00 49 00 57 00 45 00 78 00 70 00 6C 00 6F 00 72 00 65 00 72 00 2E 00 6A 00 73 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 57 00 5F 00 4A 00 53 00 5F 00 49 00 57 00 45 00 58 00 50 00 4C 00 4F 00 52 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 2F 00 6A 00 73 00 2F 00 49 00 57 00 4F 00 70 00 65 00 72 00 61 00 2E 00 6A 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 57 00 5F 00 4A 00 53 00 5F 00 49 00 57 00 4F 00 50 00 45 00 52 00 41 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 2F 00 6A 00 73 00 2F 00 49 00 57 00 47 00 65 00 63 00 6B 00 6F 00 2E 00 6A 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 57 00 5F 00 4A 00 53 00 5F 00 49 00 57 00 47 00 45 00 43 00 4B 00 4F 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 2F 00 6A 00 73 00 2F 00 49 00 57 00 43 00 4C 00 2E 00 6A 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 57 00 5F 00 4A 00 53 00 5F 00 49 00 57 00 43 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 2F 00 6A 00 73 00 2F 00 49 00 57 00 50 00 72 00 65 00 53 00 63 00 72 00 69 00 70 00 74 00 2E 00 6A 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 57 00 5F 00 4A 00 53 00 5F 00 49 00 57 00 50 00 52 00 45 00 53 00 43 00 52 00 49 00 50 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 2F 00 6A 00 73 00 2F 00 49 00 57 00 41 00 6A 00 61 00 78 00 2E 00 6A 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 57 00 5F 00 4A 00 53 00 5F 00 49 00 57 00 41 00 4A 00 41 00 58 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 2F 00 67 00 66 00 78 00 2F 00 54 00 70 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 54 00 70 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 2F 00 67 00 66 00 78 00 2F 00 41 00 74 00 6F 00 7A 00 65 00 64 00 4C 00 6F 00 67 00 6F 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 4C 00 6F 00 67 00 6F 00 41 00 74 00 6F 00 7A 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 2F 00 67 00 66 00 78 00 2F 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 4C 00 6F 00 67 00 6F 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 4C 00 6F 00 67 00 6F 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 2F 00 67 00 66 00 78 00 2F 00 6C 00 6F 00 61 00 64 00 69 00 6E 00 67 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 6C 00 6F 00 61 00 64 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_46101_0 {
	meta:
		name = "TIWServer.FreeInternalFiles"
		size = 58
		refs = "0004 GInternalFiles 0023 TObject.Free"
	strings:
		$1 = { 53 56 57 BF ?? ?? ?? ?? 8B 07 8B 10 FF 52 14 8B D8 4B 85 DB 7C 15 43 33 F6 8B D6 8B 07 8B 08 FF 51 18 E8 ?? ?? ?? ?? 46 4B 75 EE 8B 07 33 D2 89 17 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46102_0 {
	meta:
		name = "TIWServer.AddInternalFile"
		size = 372
		refs = "001e @UStrAddRef 002e TIWServer.AddInternalFile 003a GInternalFiles 0044 _Dn_TStringList 0049 TStringList.Create 0059 UpperCase 0064 @UStrLAsg 0074 TStrings.GetValue 008b FindInstanceContainingResource 00a3 RSCantFindInternalFile 00ac Format 00b9 _Dn_EIWException 00be EIWException.IfTrue 00c6 @UStrToPWChar 00d0 @UStrFromPWChar 00df _Dn_TResourceStream 00e4 TResourceStream.Create 00f6 TStrings.SetValue 010e @UStrCatN 0143 @UStrArrayClr 0156 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8D 4D F0 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F0 00 0F 85 AB 00 00 00 BA 0A 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8D 45 EC 50 8B 45 FC 89 45 E4 C6 45 E8 11 8D 55 E4 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 4D EC 85 DB 0F 94 C2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 50 6A 0A 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 4D F8 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC A1 ?? ?? ?? ?? 8B 08 FF 51 54 8B D0 8B CB A1 ?? ?? ?? ?? 8B 18 FF 53 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_46103_0 {
	meta:
		name = "TSyncLog.DoNotify"
		size = 49
		refs = "0005 GLogProcedure 0022 GLogBytesProcedure"
	strings:
		$1 = { 53 56 8B D8 A1 ?? ?? ?? ?? 66 83 78 02 00 74 1E 8B 35 ?? ?? ?? ?? B1 01 8B 53 08 8B 46 04 FF 16 8B 35 ?? ?? ?? ?? 8B 53 0C 8B 46 04 FF 16 5E 5B C3 }
	condition:
		$1
}

rule function_46104_0 {
	meta:
		name = "TSyncLog.Log"
		size = 48
		refs = "0006 gSC 0022 @UStrAsg 0029 TIdNotify.Notify"
	strings:
		$1 = { 53 56 8B F2 8B 15 ?? ?? ?? ?? 8B 12 80 BA C2 00 00 00 00 74 18 B2 01 FF 50 04 8B D8 8D 43 08 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46105_0 {
	meta:
		name = "TIWServer.ServeFormResizeCommand"
		size = 776
		refs = "0025 @UStrAddRef 002d TIWServer.ServeFormResizeCommand 0039 GSetWebApplicationThreadVar 0046 TCustomWebDispatcher.GetRequest 004b TWebRequest.GetFiles 0051 _Dn_THTTPFiles 0056 @IsClass 006f TIWApplication.SetFileList 0087 TIWApplication.Initialize 008e TIWApplication.GetActiveForm 0096 HTML40FormInterface 00af TStrings.GetValue 00c3 StrToIntDef 00fb SetDoRefreshControl 0120 RSLogResizeCommand 012d IntToStr 0150 @UStrCatN 015a TIWServer.Log 0180 IWTop 01aa TWebResponse.SetUnicodeContent 01c4 @UStrArrayClr 01cc @IntfClear 01d4 @UStrClr 01da @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 8B DA 8B F0 8B 7D 0C 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? 8B 12 8B C3 FF D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 4D 10 8B 55 14 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 0A 01 00 00 8D 4D EC BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 8B 10 FF 52 68 8B D0 58 E8 ?? ?? ?? ?? 89 45 F4 8D 4D E8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 8B 10 FF 52 6C 8B D0 58 E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 8B 10 FF 52 1C 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F0 50 33 C9 33 D2 8B 45 FC 8B 38 FF 57 70 8B 45 F4 89 43 48 8B 45 F0 89 43 44 A1 ?? ?? ?? ?? FF 30 8D 55 E0 8B 45 F4 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 55 DC 8B 45 F0 E8 ?? ?? ?? ?? FF 75 DC 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 76 4A 68 ?? ?? ?? ?? 8D 55 D4 8B 45 FC 8B 08 FF 51 58 FF 75 D4 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 D8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 57 00 5F 00 77 00 69 00 64 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 57 00 5F 00 68 00 65 00 69 00 67 00 68 00 74 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 3C 00 68 00 74 00 6D 00 6C 00 3E 00 3C 00 68 00 65 00 61 00 64 00 3E 00 3C 00 73 00 63 00 72 00 69 00 70 00 74 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 47 00 53 00 75 00 62 00 6D 00 69 00 74 00 74 00 69 00 6E 00 67 00 3D 00 66 00 61 00 6C 00 73 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 3C 00 2F 00 73 00 63 00 72 00 69 00 70 00 74 00 3E 00 3C 00 2F 00 68 00 65 00 61 00 64 00 3E 00 3C 00 2F 00 68 00 74 00 6D 00 6C 00 3E 00 00 00 }
	condition:
		$1
}

rule function_46106_0 {
	meta:
		name = "TIWServer.TerminateApplication"
		size = 2116
		refs = "001e TIWServer.TerminateApplication 0083 @UStrCatN 00d3 TIWCallBackResponse.AddJavaScriptToExecute 00f6 StringReplace 00fe gSC 010e @UStrCat3 0118 FileExists 0123 TIWApplication.GetBrowser 012e _Dn_TStringList 0133 TStringList.Create 0186 TObject.Free 0191 TWebResponse.SetUnicodeContent 01bf IntToStr 02c0 IWTop 030a @UStrArrayClr 031d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F4 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A4 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 28 02 00 00 33 D2 8B 45 F4 8B 08 FF 51 20 83 BB CC 00 00 00 00 0F 85 44 01 00 00 68 ?? ?? ?? ?? FF B3 A4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 07 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 80 BB 94 00 00 00 00 74 2D 68 ?? ?? ?? ?? FF B3 A4 00 00 00 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 43 74 E8 ?? ?? ?? ?? E9 18 02 00 00 0F B6 05 ?? ?? ?? ?? 50 8D 45 E8 50 33 C9 BA ?? ?? ?? ?? 8B 83 A4 00 00 00 E8 ?? ?? ?? ?? 8B 4D E8 A1 ?? ?? ?? ?? 8B 00 8B 90 B4 00 00 00 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC B2 01 E8 ?? ?? ?? ?? 84 C0 74 6A 8B C3 E8 ?? ?? ?? ?? 3C 0F 75 5F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 0F B6 05 ?? ?? ?? ?? 50 8D 45 E0 50 33 C9 BA ?? ?? ?? ?? 8B 83 A4 00 00 00 E8 ?? ?? ?? ?? 8B 4D E0 A1 ?? ?? ?? ?? 8B 00 8B 90 B4 00 00 00 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 8B 08 FF 51 68 8D 55 F8 8B C6 8B 08 FF 51 1C 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? E9 5A 01 00 00 33 D2 8B 45 F4 8B 08 FF 51 20 68 ?? ?? ?? ?? 8D 55 DC A1 ?? ?? ?? ?? 8B 00 8B 80 38 01 00 00 03 C0 8D 04 80 E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? FF B3 A4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 09 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF B3 CC 00 00 00 68 ?? ?? ?? ?? 8D 45 F8 BA 06 00 00 00 E8 ?? ?? ?? ?? 80 BB 94 00 00 00 00 74 2D 68 ?? ?? ?? ?? FF B3 A4 00 00 00 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 43 74 E8 ?? ?? ?? ?? E9 9D 00 00 00 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? E9 8D 00 00 00 8B 83 CC 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 7A 33 D2 8B 45 F4 8B 08 FF 51 20 80 BB 94 00 00 00 00 74 2A 68 ?? ?? ?? ?? FF B3 CC 00 00 00 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8B 43 74 E8 ?? ?? ?? ?? EB 3D 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? FF B3 CC 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 D0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 2A 00 00 00 3C 00 4D 00 45 00 54 00 41 00 20 00 48 00 54 00 54 00 50 00 2D 00 45 00 51 00 55 00 49 00 56 00 3D 00 22 00 52 00 65 00 66 00 72 00 65 00 73 00 68 00 22 00 20 00 43 00 4F 00 4E 00 54 00 45 00 4E 00 54 00 3D 00 22 00 30 00 3B 00 55 00 52 00 4C 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 34 00 00 00 3C 00 6D 00 65 00 74 00 61 00 20 00 68 00 74 00 74 00 70 00 2D 00 65 00 71 00 75 00 69 00 76 00 3D 00 22 00 63 00 61 00 63 00 68 00 65 00 2D 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 22 00 20 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 3D 00 22 00 6E 00 6F 00 2D 00 63 00 61 00 63 00 68 00 65 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 3C 00 6D 00 65 00 74 00 61 00 20 00 68 00 74 00 74 00 70 00 2D 00 65 00 71 00 75 00 69 00 76 00 3D 00 22 00 70 00 72 00 61 00 67 00 6D 00 61 00 22 00 20 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 3D 00 22 00 6E 00 6F 00 2D 00 63 00 61 00 63 00 68 00 65 00 22 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 3C 00 68 00 74 00 6D 00 6C 00 3E 00 0D 00 0A 00 3C 00 68 00 65 00 61 00 64 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 3C 00 2F 00 68 00 65 00 61 00 64 00 3E 00 3C 00 2F 00 68 00 74 00 6D 00 6C 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 2E 00 6C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2E 00 68 00 72 00 65 00 66 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 3C 00 4D 00 45 00 54 00 41 00 20 00 48 00 54 00 54 00 50 00 2D 00 45 00 51 00 55 00 49 00 56 00 3D 00 22 00 52 00 65 00 66 00 72 00 65 00 73 00 68 00 22 00 20 00 43 00 4F 00 4E 00 54 00 45 00 4E 00 54 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3B 00 55 00 52 00 4C 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 3C 00 2F 00 68 00 65 00 61 00 64 00 3E 00 3C 00 62 00 6F 00 64 00 79 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 3C 00 2F 00 62 00 6F 00 64 00 79 00 3E 00 3C 00 2F 00 68 00 74 00 6D 00 6C 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3B 00 00 00 3C 00 21 00 5B 00 43 00 44 00 41 00 54 00 41 00 5B 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 73 00 65 00 74 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 28 00 27 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 77 00 72 00 69 00 74 00 65 00 6C 00 6E 00 28 00 22 00 3C 00 68 00 74 00 6D 00 6C 00 3E 00 3C 00 62 00 6F 00 64 00 79 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 2A 00 00 00 3C 00 2F 00 62 00 6F 00 64 00 79 00 3E 00 3C 00 2F 00 68 00 74 00 6D 00 6C 00 3E 00 22 00 29 00 3B 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 63 00 6C 00 6F 00 73 00 65 00 28 00 29 00 3B 00 27 00 2C 00 30 00 29 00 3B 00 5D 00 5D 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 3C 00 68 00 74 00 6D 00 6C 00 3E 00 3C 00 68 00 65 00 61 00 64 00 3E 00 3C 00 73 00 63 00 72 00 69 00 70 00 74 00 3E 00 20 00 00 00 B0 04 02 00 FF FF FF FF 33 00 00 00 49 00 57 00 54 00 6F 00 70 00 28 00 29 00 2E 00 73 00 65 00 74 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 28 00 27 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 77 00 72 00 69 00 74 00 65 00 6C 00 6E 00 28 00 20 00 22 00 3C 00 68 00 74 00 6D 00 6C 00 3E 00 3C 00 62 00 6F 00 64 00 79 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 3C 00 2F 00 62 00 6F 00 64 00 79 00 3E 00 3C 00 2F 00 68 00 74 00 6D 00 6C 00 3E 00 22 00 29 00 3B 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 63 00 6C 00 6F 00 73 00 65 00 28 00 29 00 3B 00 27 00 2C 00 30 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 3C 00 2F 00 73 00 63 00 72 00 69 00 70 00 74 00 3E 00 3C 00 2F 00 68 00 65 00 61 00 64 00 3E 00 3C 00 2F 00 68 00 74 00 6D 00 6C 00 3E 00 00 00 }
	condition:
		$1
}

rule function_46107_0 {
	meta:
		name = "TIWServer.GenerateRedirect"
		size = 668
		refs = "000f TIWServer.GenerateRedirect 0055 @UStrCatN 007e TWebResponse.SetUnicodeContent 0093 @UStrClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 43 14 8B 08 FF 51 38 68 ?? ?? ?? ?? 8B 06 FF B0 A4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 07 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 63 00 6C 00 6F 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 2A 00 00 00 3C 00 4D 00 45 00 54 00 41 00 20 00 48 00 54 00 54 00 50 00 2D 00 45 00 51 00 55 00 49 00 56 00 3D 00 22 00 52 00 65 00 66 00 72 00 65 00 73 00 68 00 22 00 20 00 43 00 4F 00 4E 00 54 00 45 00 4E 00 54 00 3D 00 22 00 30 00 3B 00 55 00 52 00 4C 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 34 00 00 00 3C 00 6D 00 65 00 74 00 61 00 20 00 68 00 74 00 74 00 70 00 2D 00 65 00 71 00 75 00 69 00 76 00 3D 00 22 00 63 00 61 00 63 00 68 00 65 00 2D 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 22 00 20 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 3D 00 22 00 6E 00 6F 00 2D 00 63 00 61 00 63 00 68 00 65 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 3C 00 6D 00 65 00 74 00 61 00 20 00 68 00 74 00 74 00 70 00 2D 00 65 00 71 00 75 00 69 00 76 00 3D 00 22 00 70 00 72 00 61 00 67 00 6D 00 61 00 22 00 20 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 3D 00 22 00 6E 00 6F 00 2D 00 63 00 61 00 63 00 68 00 65 00 22 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 3C 00 68 00 74 00 6D 00 6C 00 3E 00 0D 00 0A 00 3C 00 68 00 65 00 61 00 64 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 3C 00 2F 00 68 00 65 00 61 00 64 00 3E 00 3C 00 2F 00 68 00 74 00 6D 00 6C 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46108_0 {
	meta:
		name = "TIWServer.GetUserPass"
		size = 560
		refs = "001e TIWServer.GetUserPass 002c @UStrClr 005b @UStrFromLStr 00fd Fetch 010a @UStrLAsg 0115 AnsiCompareText 0124 GMimeDecoder 0159 @UStrAsg 017e @UStrArrayClr 018b @LStrArrayClr 019e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F0 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8D 4D EC BA 1C 00 00 00 8B C3 8B 30 FF 56 04 83 7D EC 00 74 1F 8D 4D E8 BA 1C 00 00 00 8B C3 8B 18 FF 53 04 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? E9 82 00 00 00 8D 4D E4 BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 34 83 7D E4 00 74 1C 8D 4D E0 BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 34 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? EB 51 8D 4D DC BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 34 83 7D DC 00 74 3C 8D 4D D8 BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 34 8B 55 D8 8B 45 F0 E8 ?? ?? ?? ?? 8D 4D D4 BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 34 8B 55 D4 8B 45 08 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 7C 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 46 8B 1D ?? ?? ?? ?? 8B 1B 8D 55 D0 8B 45 FC FF D3 8B 55 D0 8D 45 FC E8 ?? ?? ?? ?? 6A 01 8D 45 CC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5E 5B 8B E5 5D C2 04 00 E4 04 01 00 FF FF FF FF 0D 00 00 00 41 75 74 68 6F 72 69 7A 61 74 69 6F 6E 00 00 00 E4 04 01 00 FF FF FF FF 09 00 00 00 41 75 74 68 5F 55 73 65 72 00 00 00 E4 04 01 00 FF FF FF FF 09 00 00 00 41 75 74 68 5F 50 61 73 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 61 00 73 00 69 00 63 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_46109_0 {
	meta:
		name = "TIWServer.CheckForTerminated"
		size = 436
		refs = "0021 TIWServer.CheckForTerminated 0041 TCookieCollection.Add 0054 gSC 0068 StringReplace 0078 @UStrCat3 0088 @LStrFromUStr 00a6 IntToStr 00b6 @UStrCatN 00ef TIWServer.TimeZoneBias 00fe Now 0119 TIWServer.TerminateApplication 0125 _DV_TIWServer 012a TIWServer.SetAppCookies 0144 @UStrArrayClr 014a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 80 B8 C8 00 00 00 00 0F 84 E5 00 00 00 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F0 0F B6 05 ?? ?? ?? ?? 50 8D 45 F4 50 A1 ?? ?? ?? ?? 8B 00 8B 80 8C 00 00 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 46 0C B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 03 FF 70 64 68 ?? ?? ?? ?? 8B 03 8B 80 D0 00 00 00 33 D2 52 50 8D 45 EC E8 ?? ?? ?? ?? FF 75 EC 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 46 10 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 03 8B 50 68 8D 45 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 46 14 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? DB 7D DC 9B E8 ?? ?? ?? ?? DB 6D DC DE C1 D8 05 ?? ?? ?? ?? DD 5E 20 9B 8B 13 8B 4D FC 8B C7 E8 ?? ?? ?? ?? EB 0F 8B 13 8B 4D FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 00 00 7A 44 00 00 00 40 }
	condition:
		$1
}

rule function_46110_0 {
	meta:
		name = "TSyncLog.LogBytes"
		size = 35
		refs = "0005 gSC 001d TIdNotify.Notify"
	strings:
		$1 = { 53 8B DA 8B 15 ?? ?? ?? ?? 8B 12 80 BA C2 00 00 00 00 74 0D B2 01 FF 50 04 89 58 0C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_46112_0 {
	meta:
		name = "SetDoExtendedLog"
		size = 188
		refs = "000f SetDoExtendedLog 001a ParamCount 002f ParamStr 003a @UStrLAsg 0052 AnsiCompareText 0061 GDoExtendedLog 0080 @UStrArrayClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 46 BE 01 00 00 00 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 07 C6 05 ?? ?? ?? ?? 01 46 4B 75 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 2F 00 65 00 78 00 74 00 65 00 6E 00 64 00 65 00 64 00 5F 00 6C 00 6F 00 67 00 00 00 }
	condition:
		$1
}

rule function_46113_0 {
	meta:
		name = "Finalization"
		size = 100
		refs = "0007 Finalization 0013 _DV_3 001a _DV_TIWServer 001f TIWServer.FreeInternalFiles 0024 wdays 002f string 0034 @FinalizeArray 0039 monthnames 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 34 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_46114_0 {
	meta:
		name = "IWServer"
		size = 30
		refs = "0002 _DV_3 000a Randomize 000f _DV_TIWServer 0014 TIWServer.AddInternalFiles 0019 SetDoExtendedLog"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 14 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46118_0 {
	meta:
		name = "CriticalFolder"
		size = 316
		refs = "0012 @UStrAddRef 001a CriticalFolder 002f @UStrFromWChar 003c @UStrCat 0047 @UStrEqual 00a7 Pos 00cb @UStrArrayClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 F6 8D 45 F8 8D 56 41 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 74 25 8D 45 F4 8D 56 41 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 75 04 B3 01 EB 06 46 83 FE 1A 75 AC 84 DB 75 35 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 24 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 15 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7F 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_46119_0 {
	meta:
		name = "PurgeDirectory"
		size = 888
		refs = "003c @UStrAddRef 0048 TSearchRec 004d @InitializeRecord 0055 PurgeDirectory 006e @UStrEqual 0087 CriticalFolder 00a8 @UStrCatN 00b5 _Dn_Exception 00ba Exception.Create 00bf @RaiseExcept 00ca IncludeTrailingPathDelim 00dd @UStrCat3 00f3 FindFirst 019f RmDir 01a4 @_IOTest 01b3 @HandleAnyException 01b8 @DoneExcept 01d4 FileDateToDateTime 01e0 Now 020e DeleteFile 0215 Sleep 0220 FindNext 0238 FindClose 0250 @UStrClr 0260 @UStrArrayClr 0271 @FinalizeRecord 0284 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 68 FD FF FF 53 56 57 33 C9 89 8D 68 FD FF FF 89 8D 74 FD FF FF 89 8D 78 FD FF FF 89 8D 7C FD FF FF 89 8D 80 FD FF FF 89 4D F8 88 95 87 FD FF FF 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 85 88 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 2A 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1B 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 34 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 85 80 FD FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 8D 80 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 85 7C FD FF FF B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 85 7C FD FF FF 8D 8D 88 FD FF FF BA FF 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 E9 28 01 00 00 F7 85 98 FD FF FF 10 00 00 00 0F 8E AD 00 00 00 8B 85 9C FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 F2 00 00 00 8B 85 9C FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 DC 00 00 00 FF 75 0C FF 75 08 8D 85 78 FD FF FF 8B 8D 9C FD FF FF 8B 55 F8 E8 ?? ?? ?? ?? 8B 85 78 FD FF FF 0F B6 95 87 FD FF FF E8 ?? ?? ?? ?? 80 BD 87 FD FF FF 00 0F 84 A3 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 74 FD FF FF 8B 8D 9C FD FF FF 8B 55 F8 E8 ?? ?? ?? ?? 8B 85 74 FD FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 67 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5B DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 26 8B 85 88 FD FF FF E8 ?? ?? ?? ?? DD 9D 6C FD FF FF 9B E8 ?? ?? ?? ?? DC A5 6C FD FF FF DC 5D 08 9B DF E0 9E 76 26 8D 85 68 FD FF FF 8B 8D 9C FD FF FF 8B 55 F8 E8 ?? ?? ?? ?? 8B 85 68 FD FF FF E8 ?? ?? ?? ?? 6A 01 E8 ?? ?? ?? ?? 8D 85 88 FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 0F 85 D0 FE FF FF 8D 85 88 FD FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 68 FD FF FF E8 ?? ?? ?? ?? 8D 85 74 FD FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 88 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BF 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 35 00 00 00 41 00 73 00 73 00 65 00 72 00 74 00 69 00 6F 00 6E 00 20 00 66 00 61 00 69 00 6C 00 65 00 64 00 3A 00 20 00 50 00 75 00 72 00 67 00 65 00 44 00 69 00 72 00 65 00 63 00 74 00 6F 00 72 00 79 00 20 00 61 00 74 00 74 00 65 00 6D 00 70 00 74 00 73 00 20 00 74 00 6F 00 20 00 64 00 65 00 6C 00 65 00 74 00 65 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2A 00 2E 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46120_0 {
	meta:
		name = "TIWServerControllerBase.CallResponder"
		size = 31
	strings:
		$1 = { 55 8B EC 53 85 C9 74 10 8B 45 08 50 8B C1 8B 4D 0C 8B 18 FF 53 40 EB 02 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_46121_0 {
	meta:
		name = "TIWServerControllerBase.CheckLock"
		size = 248
		refs = "000c TIWServerControllerBase.CheckLock 0027 @UStrCat3 0031 _Dn_Exception 0036 Exception.Create 003b @RaiseExcept 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 78 64 00 74 23 8D 45 FC B9 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 B0 04 02 00 FF FF FF FF 45 00 00 00 20 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 20 00 69 00 73 00 20 00 6C 00 6F 00 63 00 6B 00 65 00 64 00 2E 00 20 00 53 00 65 00 74 00 20 00 69 00 6E 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 6C 00 65 00 72 00 20 00 4F 00 6E 00 43 00 72 00 65 00 61 00 74 00 65 00 20 00 6F 00 72 00 20 00 43 00 6F 00 6E 00 73 00 74 00 72 00 75 00 63 00 74 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_46122_0 {
	meta:
		name = "TIWServerControllerBase.Compress"
		size = 35
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 45 0C 50 8B 45 08 50 8B 86 A8 00 00 00 8B 40 08 8B 18 FF 53 40 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_46123_0 {
	meta:
		name = "TIWServerControllerBase.BeforeDestruction"
		size = 28
		refs = "0001 TDataModule.BeforeDestruction 0006 GSessions 0017 TObject.Free"
	strings:
		$1 = { E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? 33 C9 89 0A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46124_0 {
	meta:
		name = "TIWServerControllerBase.AfterConstruction"
		size = 528
		refs = "0013 TIWServerControllerBase.AfterConstruction 0020 TDataModule.AfterConstruction 0027 TIWDataModule.GetDesignMode 0039 TIWServerControllerBase.GetCacheDir 0043 MakeDirectory 006b @UStrCatN 0075 _Dn_Exception 007a Exception.Create 007f @RaiseExcept 0097 _DV_TCachePurgeThread 009c TCachePurgeThread.Create 00b8 TCachePurgeThread.SetCacheDir 00bf TThread.Resume 00f8 LogFileAppend 010d @UStrClr 0122 @UStrArrayClr 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 C9 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 3A 68 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 77 83 BB A0 00 00 00 00 7E 35 8B 8B 9C 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 94 00 00 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 43 78 2C 01 75 31 68 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 55 00 6E 00 61 00 62 00 6C 00 65 00 20 00 74 00 6F 00 20 00 63 00 72 00 65 00 61 00 74 00 65 00 20 00 63 00 61 00 63 00 68 00 65 00 20 00 64 00 69 00 72 00 65 00 63 00 74 00 6F 00 72 00 79 00 20 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 43 00 61 00 63 00 68 00 65 00 20 00 64 00 69 00 72 00 65 00 63 00 74 00 6F 00 72 00 79 00 20 00 63 00 72 00 65 00 61 00 74 00 65 00 64 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6C 00 6F 00 67 00 00 00 }
	condition:
		$1
}

rule function_46125_0 {
	meta:
		name = "TIWServerControllerBase.InitDesignTime"
		size = 464
		refs = "0013 TIWServerControllerBase.InitDesignTime 0020 TIWDataModule.InitDesignTime 0027 TIWDataModule.GetDesignMode 0044 @UStrAsg 005b GetEnvAppPath 0065 TIWServerControllerBase.SetInternalFilesDir 0083 @UStrCat 008e IncludeTrailingPathDelim 00bc DirectoryExists 0144 @UStrClr 015e @UStrArrayClr 0164 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 83 BB 8C 00 00 00 00 75 10 8D 83 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 CD 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 83 BB 48 01 00 00 00 75 30 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 83 48 01 00 00 E8 ?? ?? ?? ?? EB 6F 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B 93 48 01 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 31 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 8B 93 48 01 00 00 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 83 48 01 00 00 E8 ?? ?? ?? ?? EB 1C 8D 55 E4 8B 83 48 01 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8D 83 48 01 00 00 E8 ?? ?? ?? ?? 66 83 BB 0A 01 00 00 00 74 2D C6 83 C5 00 00 00 01 EB 24 8D 83 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 83 48 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4D 00 79 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 65 00 6D 00 70 00 6C 00 61 00 74 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 }
	condition:
		$1
}

rule function_46126_0 {
	meta:
		name = "TIWServerControllerBase.Create"
		size = 136
		refs = "000b @ClassCreate 0020 gsAppPath 002d TIWServerControllerBase.Create 0032 @UStrCat3 003d TDataModule.Create 0046 TIWServerControllerBase.CreateCommon 0051 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 83 BF B4 00 00 00 00 75 18 8B 15 ?? ?? ?? ?? 8B 12 8D 87 B4 00 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 77 00 77 00 77 00 72 00 6F 00 6F 00 74 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_46127_0 {
	meta:
		name = "TIWServerControllerBase.InitControl"
		size = 452
		refs = "0012 TIWServerControllerBase.InitControl 001d gServerController 002c gSC 0033 Now 003e @TRUNC 004d ToBase36 005b @UStrAsg 0062 TIWDataModule.InitControl 0074 _Dn_TStringList 0079 TStringList.Create 009d GLicense 00a6 TIWLicense.CanIDoThis 00e0 _Dn_TIWFileReference 00e5 TIWFileReference.Create 00f2 _DV_TIWCompression 00f7 TIWCompression.Create 0104 _DV_TIWSSLOptions 0109 TIWSSLOptions.Create 0150 DecodeDateTime 0172 EncodeDateTime 0182 TIWServerControllerBase.SetCacheDir 019e @UStrClr 01a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 89 18 A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? 89 02 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 52 50 8D 55 EC B8 0A 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8D 83 34 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 AC 00 00 00 00 C6 43 71 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 C8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 CC 00 00 00 C6 83 C5 00 00 00 00 A1 ?? ?? ?? ?? 8B 00 B2 09 E8 ?? ?? ?? ?? 84 C0 74 0C C7 83 3C 01 00 00 0A 00 00 00 EB 0A C7 83 3C 01 00 00 14 00 00 00 C7 83 A0 00 00 00 78 00 00 00 C6 43 70 01 C6 83 D0 00 00 00 01 C6 43 65 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 4C 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 44 01 00 00 C6 83 54 01 00 00 01 8D 83 58 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 F8 50 8D 45 F6 50 8D 45 F4 50 8D 45 F2 50 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? 0F B7 45 F8 50 0F B7 45 F6 50 0F B7 45 F4 50 6A 00 0F B7 4D FA 0F B7 55 FC 0F B7 45 FE E8 ?? ?? ?? ?? DD 9B 80 00 00 00 9B 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 A4 00 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 80 CB A4 4C B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_46128_0 {
	meta:
		name = "TIWServerControllerBase.SetAppname"
		size = 220
		refs = "000f TIWServerControllerBase.SetAppname 0031 @UStrCatN 003b _Dn_Exception 0040 Exception.Create 0045 @RaiseExcept 0052 @UStrAsg 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 2C 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 86 8C 00 00 00 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 22 00 20 00 69 00 73 00 20 00 6E 00 6F 00 74 00 20 00 61 00 20 00 76 00 61 00 6C 00 69 00 64 00 20 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 6E 00 61 00 6D 00 65 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46129_0 {
	meta:
		name = "TIWServerControllerBase.SetAuther"
		size = 50
		refs = "0007 GLicense 0010 TIWLicense.CanIDoThis"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 8B 00 B2 08 E8 ?? ?? ?? ?? 84 C0 75 06 F6 43 1C 10 74 09 89 B3 70 01 00 00 5E 5B C3 33 C0 89 83 70 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_46130_0 {
	meta:
		name = "InternalPurgeDirectory"
		size = 111
		refs = "0013 DirectoryExists 001f InternalPurgeDirectory 003c PurgeDirectory 004d RmDir 0052 @_IOTest 0061 @HandleAnyException 0066 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC 8B 40 7C 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 4F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 45 08 8B 40 FC 8B 40 7C 8B 40 04 B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 7C 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_46131_0 {
	meta:
		name = "TIWServerControllerBase.Destroy"
		size = 364
		refs = "0007 @BeforeDestruction 0020 TThread.Terminate 002a Sleep 003e TObject.Free 0043 GAppType 0056 ImpersonateLoggedOnUser 0095 InternalPurgeDirectory 00b9 RevertToSelf 00c7 CloseHandle 0149 gServerController 0158 TDataModule.Destroy 0163 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 51 53 56 E8 ?? ?? ?? ?? 8B DA 89 45 FC 8D 75 FC 8B 06 8B 80 40 01 00 00 85 C0 74 23 E8 ?? ?? ?? ?? 68 96 00 00 00 E8 ?? ?? ?? ?? 8B 06 05 40 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 01 75 0E 8B 06 8B 80 9C 00 00 00 50 E8 ?? ?? ?? ?? 8B 06 83 B8 94 00 00 00 00 74 49 EB 07 6A 64 E8 ?? ?? ?? ?? 8B 06 8B 80 94 00 00 00 80 78 40 00 75 EB 8B 06 8B 80 94 00 00 00 E8 ?? ?? ?? ?? 68 DC 05 00 00 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 06 05 94 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 01 75 05 E8 ?? ?? ?? ?? 8B 06 8B 80 9C 00 00 00 50 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 06 83 C0 7C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 06 05 C8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 06 05 CC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 06 05 4C 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 06 05 44 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 06 05 A8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 B2 FC 22 D3 8B 06 E8 ?? ?? ?? ?? 84 DB 7E 07 8B 06 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46133_0 {
	meta:
		name = "TIWServerControllerBase.DoException"
		size = 51
	strings:
		$1 = { 55 8B EC 51 53 66 83 B8 F2 00 00 00 00 0F 95 45 FF 80 7D FF 00 74 12 8B 5D 08 53 8B D8 8B 83 F4 00 00 00 FF 93 F0 00 00 00 0F B6 45 FF 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_46134_0 {
	meta:
		name = "TIWServerControllerBase.DoNewSession"
		size = 67
		refs = "0028 _DV_TSessionTimeoutThread 002d TThread.Create 003c TThread.Resume"
	strings:
		$1 = { 53 56 8B D8 66 83 BB 02 01 00 00 00 74 0C 8B 83 04 01 00 00 FF 93 00 01 00 00 83 BB 40 01 00 00 00 75 1D B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 40 01 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46135_0 {
	meta:
		name = "TIWServerControllerBase.DoCheckBrowser"
		size = 37
	strings:
		$1 = { 55 8B EC 53 66 83 B8 7A 01 00 00 00 74 12 8B 5D 08 53 8B D8 8B 83 7C 01 00 00 FF 93 78 01 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_46136_0 {
	meta:
		name = "TIWServerControllerBase.DoOnSessionTag"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 2A 01 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 2C 01 00 00 FF 93 28 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_46137_0 {
	meta:
		name = "TIWServerControllerBase.DoOnUserTag"
		size = 37
	strings:
		$1 = { 55 8B EC 53 66 83 B8 22 01 00 00 00 74 12 8B 5D 08 53 8B D8 8B 83 24 01 00 00 FF 93 20 01 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_46139_0 {
	meta:
		name = "TIWServerControllerBase.GetVersion"
		size = 48
		refs = "0006 TIWServerControllerBase.GetVersion 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 31 00 32 00 2E 00 30 00 2E 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_46140_0 {
	meta:
		name = "TIWServerControllerBase.MakeGUIActive"
		size = 8
	strings:
		$1 = { C6 80 C2 00 00 00 01 C3 }
	condition:
		$1
}

rule function_46141_0 {
	meta:
		name = "TIWServerControllerBase.NewCacheFile"
		size = 424
		refs = "0010 TIWServerControllerBase.NewCacheFile 001b gServerController 0033 TIWServerControllerBase.GetUserCacheDir 0044 TIWServerControllerBase.GetCacheDir 005c UpperCase 006a MakeTempFile 0079 @HandleAnyException 0085 _Dn_Exception 008a Exception.Create 008f @RaiseExcept 0094 @DoneExcept 00ae @UStrArrayClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 00 74 24 84 C9 74 11 8D 55 FC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? EB 0F 8D 55 FC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 6B 00 00 00 41 00 6E 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 6F 00 63 00 63 00 75 00 72 00 72 00 65 00 64 00 20 00 77 00 68 00 69 00 6C 00 65 00 20 00 77 00 72 00 69 00 74 00 69 00 6E 00 67 00 20 00 74 00 6F 00 20 00 74 00 68 00 65 00 20 00 43 00 61 00 63 00 68 00 65 00 20 00 44 00 69 00 72 00 65 00 63 00 74 00 6F 00 72 00 79 00 2C 00 20 00 70 00 6C 00 65 00 61 00 73 00 65 00 20 00 6D 00 61 00 6B 00 65 00 20 00 73 00 75 00 72 00 65 00 20 00 74 00 68 00 65 00 20 00 70 00 65 00 72 00 6D 00 69 00 73 00 73 00 69 00 6F 00 6E 00 73 00 20 00 61 00 72 00 65 00 20 00 73 00 65 00 74 00 20 00 63 00 6F 00 72 00 72 00 65 00 63 00 74 00 6C 00 79 00 2E 00 00 00 }
	condition:
		$1
}

rule function_46142_0 {
	meta:
		name = "TIWServerControllerBase.SetHTMLHeaders"
		size = 12
	strings:
		$1 = { 8B 80 C8 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_46144_0 {
	meta:
		name = "TIWServerControllerBase.SetContentPath"
		size = 132
		refs = "000f TIWServerControllerBase.SetContentPath 0021 TIWServerControllerBase.CheckLock 002b IncludeTrailingPathDelim 0039 @UStrAsg 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 B4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 50 00 61 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_46145_0 {
	meta:
		name = "TIWServerControllerBase.SetContentFiles"
		size = 12
	strings:
		$1 = { 8B 80 CC 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_46147_0 {
	meta:
		name = "TIWServerControllerBase.SetSessionTimeout"
		size = 89
		refs = "0007 GLicense 0010 TIWLicense.CanIDoThis 002c RSInvalidSessionTimeout 0035 _Dn_Exception 003a Exception.Create 003f @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 8B 00 B2 09 E8 ?? ?? ?? ?? 84 C0 75 06 F6 43 1C 10 74 2E 85 F6 7C 08 81 FE 58 02 00 00 7E 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 B3 3C 01 00 00 5E 5B C3 C7 83 3C 01 00 00 14 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_46148_0 {
	meta:
		name = "TIWServerControllerBase.SetShowLoadingAnimation"
		size = 4
	strings:
		$1 = { 88 50 70 C3 }
	condition:
		$1
}

rule function_46149_0 {
	meta:
		name = "TIWServerControllerBase.SetStyleSheet"
		size = 102
		refs = "000f TIWServerControllerBase.SetStyleSheet 0025 TIWFileReference.GetFilename 0033 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 10 00 75 10 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 08 8D 46 6C E8 ?? ?? ?? ?? 8B D3 8B 86 4C 01 00 00 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46150_0 {
	meta:
		name = "TIWServerControllerBase.DoBackButton"
		size = 108
		refs = "0010 @UStrAddRef 0018 TIWServerControllerBase.DoBackButton 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 0A 01 00 00 00 74 1C 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B 83 0C 01 00 00 FF 93 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_46152_0 {
	meta:
		name = "TIWServerControllerBase.GetUserCacheDir"
		size = 86
		refs = "0009 TIWDataModule.GetDesignMode 0012 GGetWebApplicationThreadVar 0034 @UStrAsg 003c RSWebApplicationRequiered 0045 _Dn_Exception 004a Exception.Create 004f @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 42 A1 ?? ?? ?? ?? 83 38 00 74 38 8B 1D ?? ?? ?? ?? 8B 1B FF D3 8B D8 85 DB 74 0F 8B C6 8B 93 D8 00 00 00 E8 ?? ?? ?? ?? EB 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46153_0 {
	meta:
		name = "TIWServerControllerBase.GetUserCacheURL"
		size = 82
		refs = "0009 TIWDataModule.GetDesignMode 0012 GGetWebApplicationThreadVar 0030 TIWApplication.GetUserCacheURL 0038 RSWebApplicationRequiered 0041 _Dn_Exception 0046 Exception.Create 004b @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3E A1 ?? ?? ?? ?? 83 38 00 74 34 8B 1D ?? ?? ?? ?? 8B 1B FF D3 8B D8 85 DB 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46154_0 {
	meta:
		name = "TIWServerControllerBase.GetCacheDir"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 7C 8B 52 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46155_0 {
	meta:
		name = "TIWServerControllerBase.SetCacheDir"
		size = 680
		refs = "001b TIWServerControllerBase.SetCacheDir 002d TIWServerControllerBase.CheckLock 0037 TIWDataModule.GetDesignMode 004d GAppType 0060 Trim 0071 IncludeTrailingPathDelim 007c @UStrLAsg 0084 IsAbsolutePath 0090 GetEnvCacheBase 00a9 @UStrCat3 00d9 @UStrCatN 00e4 @UStrAsg 017c UpperCase 01bc @UStrEqual 01cf TIWServerControllerBase.GetInternalFilesURL 01da IncludeURLPathDelimiter 01ff TCachePurgeThread.SetCacheDir 0230 @UStrArrayClr 0236 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 73 7C 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 C2 01 00 00 80 BB 54 01 00 00 00 75 0E A1 ?? ?? ?? ?? 80 38 00 0F 85 93 00 00 00 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 45 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 84 C0 75 51 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC 8B 4D FC E8 ?? ?? ?? ?? EB 2E 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? FF 75 EC FF B3 34 01 00 00 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? E9 04 01 00 00 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 3F 8D 55 E4 8B C7 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 84 C0 75 4C 8D 55 E0 8B 83 5C 01 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC 8B 4D FC E8 ?? ?? ?? ?? EB 2E 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? FF 75 DC FF B3 34 01 00 00 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 8D 55 D4 8B 46 04 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 55 C8 8B 83 5C 01 00 00 E8 ?? ?? ?? ?? FF 75 C8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 55 D0 58 E8 ?? ?? ?? ?? 0F 95 C0 88 83 C3 00 00 00 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 8B 45 C0 8D 55 C4 E8 ?? ?? ?? ?? 8B 55 C4 8D 83 60 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 94 00 00 00 85 C0 74 1F 8B 56 04 E8 ?? ?? ?? ?? EB 15 8D 55 BC 8B C7 E8 ?? ?? ?? ?? 8B 55 BC 8D 46 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 11 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 61 00 63 00 68 00 65 00 44 00 69 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 61 00 63 00 68 00 65 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 61 00 63 00 68 00 65 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_46156_0 {
	meta:
		name = "TIWServerControllerBase.SetInternalFilesDir"
		size = 516
		refs = "001a TIWServerControllerBase.SetInternalFilesDir 002d @UStrAsg 0034 TIWDataModule.GetDesignMode 004a @UStrLAsg 0052 IsAbsolutePath 005e GetEnvAppPath 006f @UStrCat3 00a5 IncludeTrailingPathDelim 00bb iif 00d5 @UStrCatN 00df TIWServerControllerBase.SetCacheDir 00eb TIWServerControllerBase.GetCacheDir 0167 TIWServerControllerBase.SetFilesDir 019b @UStrArrayClr 01a3 @UStrClr 01b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 5C 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 45 01 00 00 8D 45 FC 8B 93 5C 01 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 84 C0 75 19 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC 8B 8B 5C 01 00 00 E8 ?? ?? ?? ?? 8D 83 5C 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 80 BB 54 01 00 00 00 0F 85 F7 00 00 00 80 BB C3 00 00 00 00 75 4E 8D 45 F0 50 8D 55 EC 8B 83 5C 01 00 00 E8 ?? ?? ?? ?? 8B 45 EC 50 83 BB 5C 01 00 00 00 0F 95 C0 33 C9 5A E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? EB 1F 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 83 BB 68 01 00 00 00 74 12 83 BB 5C 01 00 00 00 75 57 80 BB C4 00 00 00 00 75 4E 8D 45 DC 50 8D 55 D8 8B 83 5C 01 00 00 E8 ?? ?? ?? ?? 8B 45 D8 50 83 BB 5C 01 00 00 00 0F 95 C0 33 C9 5A E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? EB 18 8D 55 D4 8B 83 68 01 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 61 00 63 00 68 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 69 00 6C 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_46157_0 {
	meta:
		name = "TIWServerControllerBase.SetTemplateDir"
		size = 100
		refs = "000f TIWServerControllerBase.SetTemplateDir 0023 IncludeTrailingPathDelim 0031 @UStrAsg 003e @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 1A 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 48 01 00 00 E8 ?? ?? ?? ?? EB 0B 8D 83 48 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46158_0 {
	meta:
		name = "TIWServerControllerBase.SetTheme"
		size = 49
		refs = "0013 TIWFileReference.set_URL 0020 TIWFileReference.SetFilename 002a @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 4C 01 00 00 85 C0 74 14 33 D2 E8 ?? ?? ?? ?? 33 D2 8B 83 4C 01 00 00 E8 ?? ?? ?? ?? 8D 43 6C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46159_0 {
	meta:
		name = "TIWServerControllerBase.SetFilesDir"
		size = 548
		refs = "001a TIWServerControllerBase.SetFilesDir 0027 TIWDataModule.GetDesignMode 003d GAppType 004c Trim 005c IncludeTrailingPathDelim 006a @UStrAsg 0077 GetEnvAppPath 009f @UStrCatN 00d5 @UStrLAsg 00dd IsAbsolutePath 0100 @UStrCat3 011c UpperCase 015c @UStrEqual 016f TIWServerControllerBase.GetInternalFilesURL 017a IncludeURLPathDelimiter 01cc @UStrArrayClr 01d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 60 01 00 00 80 BB 54 01 00 00 00 75 0A A1 ?? ?? ?? ?? 80 38 00 75 62 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 74 1D 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 83 68 01 00 00 E8 ?? ?? ?? ?? E9 43 01 00 00 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 83 68 01 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 0E 01 00 00 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8D 83 68 01 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 93 68 01 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 84 C0 75 1F 8D 55 E0 8B 83 5C 01 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC 8B 8B 68 01 00 00 E8 ?? ?? ?? ?? 8D 83 68 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8D 55 DC 8B 83 68 01 00 00 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 55 D0 8B 83 5C 01 00 00 E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 E8 ?? ?? ?? ?? 8B 55 D8 58 E8 ?? ?? ?? ?? 0F 95 C0 88 83 C4 00 00 00 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 8B 45 C8 8D 55 CC E8 ?? ?? ?? ?? 8B 55 CC 8D 83 64 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 23 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 55 C4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C4 8D 83 68 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 0F 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 69 00 6C 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 46 00 69 00 6C 00 65 00 73 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_46160_0 {
	meta:
		name = "TIWServerControllerBase.SetInternalFilesURL"
		size = 105
		refs = "000f TIWServerControllerBase.SetInternalFilesURL 0022 @UStrAsg 002c TIWServerControllerBase.GetCacheDir 0036 TIWServerControllerBase.SetCacheDir 0043 TIWServerControllerBase.SetFilesDir 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 58 01 00 00 8B D6 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 93 68 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46161_0 {
	meta:
		name = "TIWServerControllerBase.SetUseInternalFiles"
		size = 106
		refs = "000f TIWServerControllerBase.SetUseInternalFiles 001a GAppType 0026 TIWDataModule.GetDesignMode 003a TIWServerControllerBase.GetInternalFilesURL 0044 TIWServerControllerBase.SetInternalFilesURL 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 38 00 75 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1A 88 9E 54 01 00 00 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46162_0 {
	meta:
		name = "TIWServerControllerBase.GetCacheURL"
		size = 368
		refs = "0014 TIWServerControllerBase.GetCacheURL 0021 TIWDataModule.GetDesignMode 0040 GGetWebApplicationThreadVar 005a IsLibrary 008b iif 009e @UStrCat3 00b0 @UStrAsg 011f @UStrArrayClr 0125 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 96 00 00 00 80 BB C3 00 00 00 00 75 09 80 BB 54 01 00 00 00 74 75 A1 ?? ?? ?? ?? 83 38 00 74 6B 8B 3D ?? ?? ?? ?? 8B 3F FF D7 8B F8 85 FF 74 5B A1 ?? ?? ?? ?? 80 38 00 74 41 8B 47 68 89 45 FC 83 7D FC 00 74 0B 8B 45 FC 83 E8 04 8B 00 89 45 FC 8D 45 F8 50 83 7D FC 00 0F 9F C0 8B 57 68 33 C9 E8 ?? ?? ?? ?? 8B 55 F8 8D 83 60 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8D 83 60 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 93 60 01 00 00 E8 ?? ?? ?? ?? EB 46 A1 ?? ?? ?? ?? 80 38 00 74 30 8B 5F 68 85 DB 74 05 83 EB 04 8B 1B 8D 45 F4 50 85 DB 0F 9F C0 8B 57 68 33 C9 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 2F 00 43 00 61 00 63 00 68 00 65 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 24 00 2F 00 43 00 61 00 63 00 68 00 65 00 2F 00 00 00 }
	condition:
		$1
}

rule function_46163_0 {
	meta:
		name = "TIWServerControllerBase.GetMachineName"
		size = 121
		refs = "000d TIWServerControllerBase.GetMachineName 001f @UStrSetLength 003e @UniqueStringU 0044 GetComputerName 005b @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 BA 00 01 00 00 E8 ?? ?? ?? ?? 8B 03 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 89 45 FC 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0C 8B C3 8B 55 FC E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46164_0 {
	meta:
		name = "TIWServerControllerBase.GetFilesURL"
		size = 220
		refs = "0012 TIWServerControllerBase.GetFilesURL 002f GGetWebApplicationThreadVar 004f IncludeURLPathDelimiter 0062 @UStrCat3 0092 @UStrAsg 00ac @UStrArrayClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB C4 00 00 00 00 75 09 80 BB 54 01 00 00 00 74 5B A1 ?? ?? ?? ?? 83 38 00 74 51 8B 3D ?? ?? ?? ?? 8B 3F FF D7 8B F8 85 FF 74 20 8D 55 FC 8B 47 68 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 64 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 F8 8B 83 50 01 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8D 83 64 01 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 93 64 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 46 00 69 00 6C 00 65 00 73 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_46165_0 {
	meta:
		name = "TIWServerControllerBase.GetFilesNCURL"
		size = 172
		refs = "0013 TIWServerControllerBase.GetFilesNCURL 0023 TIWServerControllerBase.GetFilesURL 0053 @UStrCopy 0062 @UStrCat3 0077 @UStrClr 0084 @UStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 89 45 F4 8B 5D F4 85 DB 74 05 83 EB 04 8B 1B 8D 45 F0 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 43 00 2F 00 00 00 }
	condition:
		$1
}

rule function_46166_0 {
	meta:
		name = "TIWServerControllerBase.GetInternalFilesURL"
		size = 100
		refs = "0009 TIWDataModule.GetDesignMode 001a @UStrAsg 002b GAppType 0037 TIWServerControllerBase.GetInternalFilesURL"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B C6 8B 93 58 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 80 BB 54 01 00 00 00 75 0A A1 ?? ?? ?? ?? 80 38 00 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B C6 8B 93 58 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_46167_0 {
	meta:
		name = "TIWServerControllerBase.Loaded"
		size = 1080
		refs = "001a TIWServerControllerBase.Loaded 0028 TComponent.Loaded 0030 TIWDataModule.GetDesignMode 003d GLicense 0046 TIWLicense.CanIDoThis 0063 TIWServerControllerBase.GetAppPath 0070 @UStrCat 007a FileExists 00a4 _Dn_TIniFile 00a9 TCustomIniFile.Create 0111 TObject.Free 0117 @HandleFinally 011e gServerController 0132 GAppType 014c IncludeTrailingPathDelim 0154 DirectoryExists 0162 MakeDirectory 0172 _Dn_Exception 0177 Exception.Create 017c @RaiseExcept 0181 GInternalFiles 01ae TStrings.GetName 01cc TStrings.GetValue 01de StringReplace 01f6 @UStrCat3 021f @UStrLAsg 022a ExtractFilePath 0263 _Dn_TFileStream 0268 TFileStream.Create 028e _Dn_TStream 0293 @AsClass 02a7 TStream.CopyFrom 02d3 @HandleOnException 02db _Dn_EStreamError 02e4 @DoneExcept 02f8 TIWServerControllerBase.Lock 0312 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 85 C0 02 00 00 A1 ?? ?? ?? ?? 8B 00 B2 05 E8 ?? ?? ?? ?? 84 C0 75 0E 8B 45 F0 8B 80 44 01 00 00 33 D2 89 50 08 8D 55 DC 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC B2 01 E8 ?? ?? ?? ?? 84 C0 0F 84 97 00 00 00 8D 55 D8 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 8B 18 FF 53 0C 8B 55 F0 89 82 30 01 00 00 6A 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E4 8B 18 FF 53 0C 8B 55 F0 8B 92 44 01 00 00 89 42 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB A1 ?? ?? ?? ?? 8B 00 80 B8 54 01 00 00 00 0F 85 C3 01 00 00 A1 ?? ?? ?? ?? 80 38 00 0F 84 B5 01 00 00 8D 55 F4 8B 45 F0 8B 80 5C 01 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 24 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 14 48 85 C0 0F 8C 5F 01 00 00 40 89 45 E0 C7 45 EC 00 00 00 00 8D 4D F8 A1 ?? ?? ?? ?? 8B 00 8B 55 EC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 8D 4D D4 A1 ?? ?? ?? ?? 8B 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 D4 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 FC 00 00 00 8D 45 FC 8B 4D FC 8B 55 F4 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 D0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D0 8D 45 FC E8 ?? ?? ?? ?? 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 CC B2 01 E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 9E 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 FF 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 8B 55 EC 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 12 52 50 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 EC FF 4D E0 0F 85 AC FE FF FF 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 6F 00 72 00 74 00 2E 00 69 00 6E 00 69 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 4F 00 52 00 54 00 53 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 53 00 4C 00 50 00 6F 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 55 00 6E 00 61 00 62 00 6C 00 65 00 20 00 74 00 6F 00 20 00 63 00 72 00 65 00 61 00 74 00 65 00 20 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 46 00 69 00 6C 00 65 00 73 00 20 00 64 00 69 00 72 00 65 00 63 00 74 00 6F 00 72 00 79 00 2E 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_46168_0 {
	meta:
		name = "TIWServerControllerBase.Lock"
		size = 5
	strings:
		$1 = { C6 40 64 01 C3 }
	condition:
		$1
}

rule function_46169_0 {
	meta:
		name = "TIWServerControllerBase.Create"
		size = 64
		refs = "000a @ClassCreate 0019 TDataModule.Create 0022 TIWServerControllerBase.CreateCommon 002d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_46170_0 {
	meta:
		name = "TIWServerControllerBase.CreateCommon"
		size = 276
		refs = "000f TIWServerControllerBase.CreateCommon 0025 @UStrAsg 0040 TIWServerControllerBase.GetMachineName 0058 GAppType 006f CoInitialize 007e CoInitializeEx 00ad GetCurrentThread 00b3 OpenThreadToken 00c8 @UStrClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 86 B8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 86 BC 00 00 00 8B 96 B8 00 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 74 E8 ?? ?? ?? ?? 8B C3 34 01 84 C0 74 2F A1 ?? ?? ?? ?? 80 38 01 74 25 0F B6 86 AC 00 00 00 3C 01 75 09 6A 00 E8 ?? ?? ?? ?? EB 11 3C 02 75 0D 6A 00 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 8B C6 8B 10 FF 52 4C 80 F3 01 84 DB 74 23 A1 ?? ?? ?? ?? 80 38 01 75 19 8D 86 9C 00 00 00 50 6A FF 68 FF 01 0F 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 20 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46171_0 {
	meta:
		name = "TIWServerControllerBase.CreateNew"
		size = 109
		refs = "000e @ClassCreate 001b _DV_TSafePlace 0020 TObject.Create 0032 TDataModule.CreateNew 004b TIWServerControllerBase.SetCacheDir 0056 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 7C 8B 45 08 50 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 83 BF 58 01 00 00 00 75 07 8B C7 8B 10 FF 52 50 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_46172_0 {
	meta:
		name = "TCachePurgeThread.Create"
		size = 77
		refs = "000b @ClassCreate 001c TThread.Create 0026 _Dn_TCriticalSection 002b TCriticalSection.Create 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B1 01 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 4C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 48 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46173_0 {
	meta:
		name = "TCachePurgeThread.Destroy"
		size = 49
		refs = "0003 @BeforeDestruction 000c CoUninitialize 0014 TObject.Free 001f TThread.Destroy 002a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 E8 ?? ?? ?? ?? 8B 46 48 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46174_0 {
	meta:
		name = "InternalPurgeDirectory"
		size = 212
		refs = "0010 DirectoryExists 002a InternalPurgeDirectory 0043 Now 005b gSC 0091 PurgeDirectory 00a0 @HandleAnyException 00a5 @DoneExcept 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC 8B 40 44 E8 ?? ?? ?? ?? 84 C0 0F 84 AC 00 00 00 8B 45 08 8B 40 FC C6 40 40 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 45 08 DD 58 F0 9B 8B 45 08 DD 40 F0 D8 0D ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 DB 80 A0 00 00 00 DE C1 D8 35 ?? ?? ?? ?? 8B 45 08 DC 60 F0 8B 45 08 DD 58 E8 9B 8B 45 08 FF 70 EC FF 70 E8 8B 45 08 8B 40 FC 8B 40 44 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC C6 40 40 00 C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 5D C3 00 00 00 00 00 B4 44 }
	condition:
		$1
}

rule function_46175_0 {
	meta:
		name = "TCachePurgeThread.Execute"
		size = 212
		refs = "000b TCachePurgeThread.Execute 0010 SetThreadName 0028 TThread.Sleep 0051 GAppType 0062 ImpersonateLoggedOnUser 0068 InternalPurgeDirectory 0078 RevertToSelf 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 45 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 40 40 00 EB 7F BB 96 00 00 00 B8 64 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 78 0D 00 75 74 4B 75 EA 8B 45 FC 8B 40 48 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 38 01 75 0C 8B 45 FC 8B 40 4C 50 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 A1 ?? ?? ?? ?? 80 38 01 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 48 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 80 78 0D 00 0F 84 74 FF FF FF 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 61 00 63 00 68 00 65 00 20 00 50 00 75 00 72 00 67 00 65 00 00 00 }
	condition:
		$1
}

rule function_46176_0 {
	meta:
		name = "TCachePurgeThread.SetCacheDir"
		size = 83
		refs = "0018 TCachePurgeThread.SetCacheDir 002b @UStrAsg 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 48 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 44 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 48 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_46177_0 {
	meta:
		name = "TSessionTimeoutThread.Execute"
		size = 540
		refs = "000d TSessionTimeoutThread.Execute 0012 SetThreadName 001a TThread.GetPriority 0033 TThread.Sleep 004c _Dn_TList 0051 TObject.Create 006e TThread.SetPriority 0073 GSessions 007d TIWSessions.RemoveExpiredSessions 00ac TList.Get 00b2 GSetWebApplicationThreadVar 00d7 GAppType 00e1 gServerController 00f6 CoInitialize 00fb OleCheck 010b CoInitializeEx 0132 TObject.Free 0141 @HandleAnyException 0146 @DoneExcept 0172 CoUninitialize 0178 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 88 45 F3 E9 B5 01 00 00 C7 45 F8 58 02 00 00 B8 64 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 78 0D 00 0F 85 A4 01 00 00 FF 4D F8 75 E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 55 F3 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 F4 E8 ?? ?? ?? ?? B2 02 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 48 85 C0 0F 8C 11 01 00 00 40 89 45 EC C7 45 F8 00 00 00 00 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B FF D3 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 38 01 74 38 A1 ?? ?? ?? ?? 8B 00 0F B6 98 AC 00 00 00 80 FB 01 75 0E 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 80 FB 02 75 12 6A 00 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 01 74 15 A1 ?? ?? ?? ?? 8B 00 80 B8 AC 00 00 00 00 74 05 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 1B 33 C0 FF D3 C3 E9 ?? ?? ?? ?? EB EC FF 45 F8 FF 4D EC 0F 85 FA FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 75 F4 33 C0 89 45 F4 8B C6 E8 ?? ?? ?? ?? 0F B6 55 F3 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 FC 80 78 0D 00 0F 84 3E FE FF FF 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 }
	condition:
		$1
}

rule function_46178_0 {
	meta:
		name = "TIWSSLOptions.Assign"
		size = 70
		refs = "000a _DV_TIWSSLOptions 000f @IsClass 0020 @AsClass 0033 @UStrAsg 003f TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 08 89 46 08 8D 46 04 8B 53 04 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46179_0 {
	meta:
		name = "TIWSSLOptions.Create"
		size = 40
		refs = "0008 @ClassCreate 0019 @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? C6 40 0C 00 C6 40 0D 02 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_46181_0 {
	meta:
		name = "TIWCompression.SetEnabled"
		size = 102
		refs = "001e TObject.Free 0023 gSC 002a TIWDataModule.GetDesignMode 003c GAppType 004a _Dn_TIWCompressor 004f TIWCompressor.Create"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 5E 04 74 56 83 7E 08 00 74 10 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 74 05 88 5E 04 EB 2B 84 DB 74 27 A1 ?? ?? ?? ?? 80 38 01 74 1D 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7E 08 0F B6 46 05 89 47 40 88 5E 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46182_0 {
	meta:
		name = "TIWCompression.Assign"
		size = 71
		refs = "000a _DV_TIWCompression 000f @IsClass 0020 @AsClass 002d TIWCompression.SetEnabled 0040 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 0F B6 53 04 8B C6 E8 ?? ?? ?? ?? 0F B6 43 05 88 46 05 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46183_0 {
	meta:
		name = "TIWCompression.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TObject.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 04 00 C6 46 05 06 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_46184_0 {
	meta:
		name = "TIWServerControllerBase.AuthActive"
		size = 11
	strings:
		$1 = { 83 B8 70 01 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_46185_0 {
	meta:
		name = "TIWServerControllerBase.SetCharSet"
		size = 79
		refs = "000e @UStrAddRef 0016 TIWServerControllerBase.SetCharSet 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 98 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_46186_0 {
	meta:
		name = "TIWServerControllerBase.GetEncoding"
		size = 232
		refs = "0010 TIWServerControllerBase.GetEncoding 003d iif 0048 @UStrLAsg 007c CompareText 008a TEncoding.GetUTF8 0097 TEncoding.GetASCII 00bd @UStrArrayClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB B0 00 00 00 00 75 7E 8D 45 FC 50 83 BB 98 00 00 00 00 0F 94 C0 8B 8B 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0D E8 ?? ?? ?? ?? 89 83 B0 00 00 00 EB 0B E8 ?? ?? ?? ?? 89 83 B0 00 00 00 8B 9B B0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 }
	condition:
		$1
}

rule function_46189_0 {
	meta:
		name = "ServiceController"
		size = 20
		refs = "0007 SWServiceModule 000c TService.Controller"
	strings:
		$1 = { 55 8B EC 8B 55 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_47994_0 {
	meta:
		name = "ServiceController"
		size = 20
		refs = "0007 SocketService 000c TService.Controller"
	strings:
		$1 = { 55 8B EC 8B 55 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_46190_0 {
	meta:
		name = "TSWServiceModule.Create"
		size = 116
		refs = "000f @ClassCreate 0034 TService.SetInteractive 0044 TSWServiceModule.ServiceStart 004a TSWServiceModule.ServiceStop 0051 TService.SetOnStop 005e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B F0 6A 00 8B CF 33 D2 8B C6 8B 18 FF 53 48 C6 46 58 00 C6 46 61 00 B2 01 8B C6 E8 ?? ?? ?? ?? 89 B6 EC 00 00 00 C7 86 E8 00 00 00 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46192_0 {
	meta:
		name = "TSWServiceModule.ServiceStart"
		size = 59
		refs = "0013 _DV_TSWServiceThread 0018 TThread.Create 0030 TThread.Resume"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 C6 83 F8 00 00 00 01 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 FC 00 00 00 8B 83 00 01 00 00 89 46 44 8B C6 E8 ?? ?? ?? ?? C6 07 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46193_0 {
	meta:
		name = "TSWServiceModule.ServiceStop"
		size = 19
		refs = "000a TThread.Terminate"
	strings:
		$1 = { 53 8B D9 8B 80 FC 00 00 00 E8 ?? ?? ?? ?? C6 03 01 5B C3 }
	condition:
		$1
}

rule function_46194_0 {
	meta:
		name = "TSWServiceThread.Execute"
		size = 172
		refs = "000e TSWServiceThread.Execute 0041 TThread.Sleep 006a TObject.Free 0070 @HandleFinally 0081 @HandleOnException 0089 _Dn_Exception 0095 ShowMessage 009d TThread.Terminate 00a2 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 40 44 33 C9 B2 01 FF 50 38 8B 55 FC 89 42 40 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 EB 0A B8 88 13 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 78 0D 00 74 ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 C0 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46195_0 {
	meta:
		name = "TSWServiceModule.StartService"
		size = 129
		refs = "0018 OpenSCManager 0028 Win32Check 0035 @UStrToPWChar 003c OpenService 0047 TSWServiceModule.StartService 006b CloseServiceHandle 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 C6 45 FF 00 68 3F 00 0F 00 6A 00 6A 00 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 95 C0 F6 D8 1B C0 E8 ?? ?? ?? ?? 85 C0 74 47 6A 01 8B C6 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 0F 95 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 0F B6 45 FF 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46196_0 {
	meta:
		name = "Installing"
		size = 140
		refs = "0001 Installing 000d FindCmdLineSwitch"
	strings:
		$1 = { BA ?? ?? ?? ?? B1 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 18 BA ?? ?? ?? ?? B1 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 03 33 C0 C3 B0 01 C3 00 00 00 00 00 A0 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 4E 00 53 00 54 00 41 00 4C 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 4E 00 49 00 4E 00 53 00 54 00 41 00 4C 00 4C 00 00 00 }
	condition:
		$1
}

rule function_46197_0 {
	meta:
		name = "TSWServiceModule.ServiceInit"
		size = 692
		refs = "001d @UStrAddRef 0025 TSWServiceModule.ServiceInit 0030 GLicense 0039 TIWLicense.CanIDoThis 004c TIWLicense.GetLicenseString 0068 _Dn_Exception 006d Exception.CreateFmt 0072 @RaiseExcept 0082 Application 0089 TServiceApplication.Installing 009d SWServiceModule 00aa _DV_TSWServiceModule 00ca @UStrAsg 00e2 _Dn_TRegistry 00e7 TRegistry.Create 0105 TRegistry.SetRootKey 0114 @UStrCat3 0121 TRegistry.OpenKey 0135 TRegistry.WriteString 014a TObject.Free 0150 @HandleFinally 0192 @UStrArrayClr 019a @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D E8 8B F1 89 55 FC 8B 5D 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 B2 04 E8 ?? ?? ?? ?? 84 C0 75 35 8D 55 E8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 07 33 DB E9 FB 00 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 88 45 FB A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 44 B9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? 8B 38 FF 57 40 A1 ?? ?? ?? ?? 89 98 00 01 00 00 A1 ?? ?? ?? ?? 83 C0 68 8B 55 FC E8 ?? ?? ?? ?? 8B D6 A1 ?? ?? ?? ?? 8B 08 FF 51 24 B9 1F 00 02 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 02 00 00 80 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 E4 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 B1 01 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 10 8B 4D 0C BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 48 80 7D FB 00 75 12 A1 ?? ?? ?? ?? 80 B8 F8 00 00 00 00 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 3D 00 00 00 49 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 20 00 61 00 73 00 20 00 61 00 20 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 20 00 69 00 73 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 69 00 6E 00 20 00 74 00 68 00 65 00 20 00 25 00 73 00 20 00 65 00 64 00 69 00 74 00 69 00 6F 00 6E 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 53 00 59 00 53 00 54 00 45 00 4D 00 5C 00 43 00 75 00 72 00 72 00 65 00 6E 00 74 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 53 00 65 00 74 00 5C 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 73 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 65 00 73 00 63 00 72 00 69 00 70 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_46200_0 {
	meta:
		name = "TIWSessionList.Add"
		size = 220
		refs = "0012 @UStrAddRef 001a TIWSessionList.Add 0049 @HandleOnException 0051 _Dn_Exception 0061 _DV_EIWSessionListException 0066 EInException.Create 006b @RaiseExcept 0070 @DoneExcept 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CE 8B 55 FC 8B C3 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 69 00 73 00 20 00 61 00 6C 00 72 00 65 00 61 00 64 00 79 00 20 00 69 00 6E 00 20 00 6C 00 69 00 73 00 74 00 21 00 00 00 }
	condition:
		$1
}

rule function_46201_0 {
	meta:
		name = "TIWSessionList.Create"
		size = 66
		refs = "000a @ClassCreate 0017 TStringList.Create 0020 TStringList.SetSorted 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? C6 46 39 02 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_46202_0 {
	meta:
		name = "TIWSessionList.Exists"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 5C 40 0F 9F C0 5E 5B C3 }
	condition:
		$1
}

rule function_46203_0 {
	meta:
		name = "TIWSessionList.GetObjectList"
		size = 52
		refs = "0027 TList.Add"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 8B 10 FF 52 14 8B D8 4B 85 DB 7C 19 43 33 F6 8B D6 8B C7 8B 08 FF 51 18 8B D0 8B C5 E8 ?? ?? ?? ?? 46 4B 75 EA 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46204_0 {
	meta:
		name = "TIWSessionList.LookUp"
		size = 114
		refs = "0012 @UStrAddRef 001a TIWSessionList.LookUp 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 83 7D FC 00 76 20 8D 4D F8 8B 55 FC 8B C3 8B 38 FF 97 9C 00 00 00 84 C0 74 0C 8B 55 F8 8B C3 8B 08 FF 51 18 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46205_0 {
	meta:
		name = "TIWSessionList.LookUpAndRemove"
		size = 124
		refs = "0012 @UStrAddRef 001a TIWSessionList.LookUpAndRemove 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 83 7D FC 00 76 2A 8D 4D F8 8B 55 FC 8B C3 8B 38 FF 97 9C 00 00 00 84 C0 74 16 8B 55 F8 8B C3 8B 08 FF 51 18 8B F0 8B 55 F8 8B C3 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46208_0 {
	meta:
		name = "TIWBaseSilverlight.Create"
		size = 92
		refs = "000e @ClassCreate 0024 TIWCustomControl.Create 002b _Dn_TIWFileReference 0030 TIWFileReference.Create 0047 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 98 02 00 00 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_46209_0 {
	meta:
		name = "TIWBaseSilverlight.Destroy"
		size = 62
		refs = "0007 @BeforeDestruction 001a FreeAndNil 0028 TIWVCLBaseControl.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 05 98 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_46210_0 {
	meta:
		name = "TIWBaseSilverlight.InitControl"
		size = 76
		refs = "000b TIWCustomControl.InitControl 0013 TIWCustomControl.get_StyleRenderOptions"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C6 40 0A 00 8B 45 FC C7 80 9C 02 00 00 FF FF FF 00 8B 45 FC C6 80 A0 02 00 00 00 8B 45 FC C7 80 A4 02 00 00 18 00 00 00 8B 45 FC C6 80 A8 02 00 00 01 59 5D C3 }
	condition:
		$1
}

rule function_46211_0 {
	meta:
		name = "TIWBaseSilverlight.InitDesignTime"
		size = 30
		refs = "000b TIWBaseHTMLControl.InitDesignTime 0013 TIWCustomControl.get_StyleRenderOptions"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C6 40 0A 00 59 5D C3 }
	condition:
		$1
}

rule function_46212_0 {
	meta:
		name = "TIWBaseSilverlight.RenderHTML"
		size = 484
		refs = "0018 TIWBaseSilverlight.RenderHTML 002b TIWCompContext.AddScriptFile 0039 _Dn_TIWHTMLTag 003e TIWMarkupLanguageTag.CreateTag 0057 TIWHTMLTag.GetContents 0063 TIWMarkupLanguageTagCollection.AddText 006e TIWBaseSilverlight.RenderSilverlight 00b9 @HandleAnyException 00c1 FreeAndNil 00c6 @RaiseAgain 00cb @DoneExcept 00e0 @UStrClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 2F 00 6A 00 73 00 2F 00 53 00 69 00 6C 00 76 00 65 00 72 00 6C 00 69 00 67 00 68 00 74 00 2E 00 6A 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 56 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 3C 00 73 00 63 00 72 00 69 00 70 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 74 00 65 00 78 00 74 00 2F 00 6A 00 61 00 76 00 61 00 73 00 63 00 72 00 69 00 70 00 74 00 22 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 3B 00 63 00 72 00 65 00 61 00 74 00 65 00 53 00 69 00 6C 00 76 00 65 00 72 00 6C 00 69 00 67 00 68 00 74 00 28 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 2F 00 73 00 63 00 72 00 69 00 70 00 74 00 3E 00 00 00 }
	condition:
		$1
}

rule function_46213_0 {
	meta:
		name = "TIWBaseSilverlight.RenderSilverlight"
		size = 1732
		refs = "001a TIWBaseSilverlight.RenderSilverlight 0027 _Dn_TStringList 002c TStringList.Create 0071 gServerController 0087 TIWFileReference.Location 009c @UStrCatN 012d IntToStr 0196 ColorToRGBString 01d7 iif 02b5 FreeAndNil 02bb @HandleFinally 02d7 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 38 68 ?? ?? ?? ?? 8D 4D EC A1 ?? ?? ?? ?? 8B 00 8B 90 50 01 00 00 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 8B 08 FF 51 38 68 ?? ?? ?? ?? 8D 55 E4 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 E4 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 8B 08 FF 51 38 68 ?? ?? ?? ?? 8D 55 DC 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 DC 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 38 68 ?? ?? ?? ?? 8D 55 D4 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F4 8B 08 FF 51 38 68 ?? ?? ?? ?? 8D 55 CC 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F4 8B 08 FF 51 38 68 ?? ?? ?? ?? 8D 55 C4 8B 45 FC 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F4 8B 08 FF 51 38 68 ?? ?? ?? ?? 8D 45 BC 50 8B 45 FC 8A 80 A0 02 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 BC 68 ?? ?? ?? ?? 8D 45 C0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F4 8B 08 FF 51 38 68 ?? ?? ?? ?? 8D 55 B4 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? FF 75 B4 68 ?? ?? ?? ?? 8D 45 B8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 F4 8B 08 FF 51 38 68 ?? ?? ?? ?? 8D 45 AC 50 8B 45 FC 8A 80 A8 02 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 AC 68 ?? ?? ?? ?? 8D 45 B0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 B0 8B 45 F4 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 38 8B 55 F8 8B 45 F4 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 12 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 63 00 72 00 65 00 61 00 74 00 65 00 53 00 69 00 6C 00 76 00 65 00 72 00 6C 00 69 00 67 00 68 00 74 00 28 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 20 00 53 00 69 00 6C 00 76 00 65 00 72 00 6C 00 69 00 67 00 68 00 74 00 2E 00 63 00 72 00 65 00 61 00 74 00 65 00 4F 00 62 00 6A 00 65 00 63 00 74 00 45 00 78 00 28 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 20 00 20 00 73 00 6F 00 75 00 72 00 63 00 65 00 3A 00 20 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2A 00 00 00 20 00 20 00 20 00 70 00 61 00 72 00 65 00 6E 00 74 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 3A 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 67 00 65 00 74 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 42 00 79 00 49 00 64 00 28 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 29 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 20 00 20 00 20 00 69 00 64 00 3A 00 20 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 20 00 20 00 20 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 3A 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 20 00 20 00 20 00 20 00 77 00 69 00 64 00 74 00 68 00 3A 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 20 00 20 00 20 00 20 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 27 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 20 00 20 00 20 00 20 00 20 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 3A 00 27 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 20 00 20 00 20 00 20 00 20 00 69 00 73 00 57 00 69 00 6E 00 64 00 6F 00 77 00 6C 00 65 00 73 00 73 00 3A 00 27 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 20 00 20 00 20 00 20 00 20 00 66 00 72 00 61 00 6D 00 65 00 72 00 61 00 74 00 65 00 3A 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 20 00 20 00 20 00 20 00 20 00 65 00 6E 00 61 00 62 00 6C 00 65 00 46 00 72 00 61 00 6D 00 65 00 72 00 61 00 74 00 65 00 43 00 6F 00 75 00 6E 00 74 00 65 00 72 00 3A 00 27 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 20 00 20 00 20 00 20 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3A 00 27 00 31 00 2E 00 31 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 45 00 00 00 20 00 20 00 20 00 7D 00 2C 00 20 00 65 00 76 00 65 00 6E 00 74 00 73 00 3A 00 7B 00 6F 00 6E 00 45 00 72 00 72 00 6F 00 72 00 3A 00 6E 00 75 00 6C 00 6C 00 2C 00 6F 00 6E 00 4C 00 6F 00 61 00 64 00 3A 00 6E 00 75 00 6C 00 6C 00 2C 00 4F 00 6E 00 52 00 65 00 73 00 69 00 7A 00 65 00 3A 00 6E 00 75 00 6C 00 6C 00 7D 00 2C 00 63 00 6F 00 6E 00 74 00 65 00 78 00 74 00 3A 00 6E 00 75 00 6C 00 6C 00 7D 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 7D 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_46214_0 {
	meta:
		name = "TIWSilverlightVideo.InitControl"
		size = 82
		refs = "000b TIWBaseSilverlight.InitControl 003d _Dn_TIWFileReference 0042 TIWFileReference.Create"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 B0 02 00 00 01 8B 45 FC C6 80 B1 02 00 00 00 8B 45 FC C7 80 B4 02 00 00 05 00 00 00 8B 45 FC C6 80 B2 02 00 00 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 B8 02 00 00 59 5D C3 }
	condition:
		$1
}

rule function_46215_0 {
	meta:
		name = "TIWSilverlightVideo.RenderHTML"
		size = 1776
		refs = "001d TIWSilverlightVideo.RenderHTML 002a _Dn_TStringList 002f TStringList.Create 0060 IntToStr 008b @UStrCatN 00b9 gServerController 00c0 TIWServerControllerBase.GetFilesURL 00d4 TIWFileReference.Location 01fb TIWSilverlightVideo.RenderShowControls 0221 TIWServerControllerBase.NewCacheFile 0231 ChangeFileExt 023c @UStrLAsg 0252 ExtractFileName 0272 FreeAndNil 0278 @HandleFinally 0287 TIWCompContext.AddScriptFile 02a2 @UStrCat 02b0 TIWSilverlightVideo.RenderVideoControlsJS 02bb TIWCompContext.AddToJavaScriptOnce 02c9 _Dn_TIWHTMLTag 02ce TIWMarkupLanguageTag.CreateTag 02ee @HandleAnyException 02fb @RaiseAgain 0300 @DoneExcept 031a @UStrArrayClr 0322 @UStrClr"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 38 68 ?? ?? ?? ?? 8D 55 E4 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 55 E0 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC 8B 08 FF 51 38 68 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 D8 68 ?? ?? ?? ?? 8D 55 D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 D0 8D 4D D4 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8D 55 CC 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? 8D 55 C8 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? FF 75 C8 68 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 EC 8B 08 FF 51 38 8B 45 FC 80 B8 B0 02 00 00 00 75 0D BA ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 38 8B 45 FC 80 B8 B1 02 00 00 00 74 0D BA ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 38 8B 45 FC 83 B8 B4 02 00 00 05 74 36 68 ?? ?? ?? ?? 8D 55 C0 8B 45 FC 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 EC 8B 08 FF 51 38 8B 45 FC 8A 80 B2 02 00 00 2C 01 72 08 74 15 FE C8 74 20 EB 2B BA ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 38 EB 1C BA ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 38 EB 0D BA ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 38 8B 45 FC 80 B8 BC 02 00 00 00 74 0E 8D 4D BC 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC 8B 08 FF 51 38 8D 45 F0 50 A1 ?? ?? ?? ?? 8B 00 8B 00 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D B8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 B8 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 EC 8B 08 FF 51 7C 8D 55 B4 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 B4 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 AC 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 45 AC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 8D 4D B0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 B0 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F4 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 6F 00 00 00 3C 00 43 00 61 00 6E 00 76 00 61 00 73 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 6D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 2E 00 63 00 6F 00 6D 00 2F 00 63 00 6C 00 69 00 65 00 6E 00 74 00 2F 00 32 00 30 00 30 00 37 00 22 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 78 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 6D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 2E 00 63 00 6F 00 6D 00 2F 00 77 00 69 00 6E 00 66 00 78 00 2F 00 32 00 30 00 30 00 36 00 2F 00 78 00 61 00 6D 00 6C 00 22 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 20 00 57 00 69 00 64 00 74 00 68 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 22 00 20 00 48 00 65 00 69 00 67 00 68 00 74 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 3C 00 4D 00 65 00 64 00 69 00 61 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 20 00 78 00 3A 00 4E 00 61 00 6D 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 6D 00 65 00 64 00 69 00 61 00 22 00 20 00 53 00 6F 00 75 00 72 00 63 00 65 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 22 00 20 00 57 00 69 00 64 00 74 00 68 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 41 00 75 00 74 00 6F 00 50 00 6C 00 61 00 79 00 3D 00 22 00 66 00 61 00 6C 00 73 00 65 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 73 00 4D 00 75 00 74 00 65 00 64 00 3D 00 22 00 74 00 72 00 75 00 65 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 56 00 6F 00 6C 00 75 00 6D 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 74 00 72 00 65 00 74 00 63 00 68 00 3D 00 22 00 4E 00 6F 00 6E 00 65 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 53 00 74 00 72 00 65 00 74 00 63 00 68 00 3D 00 22 00 55 00 6E 00 69 00 66 00 6F 00 72 00 6D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 53 00 74 00 72 00 65 00 74 00 63 00 68 00 3D 00 22 00 55 00 6E 00 69 00 66 00 6F 00 72 00 6D 00 54 00 6F 00 46 00 69 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 2F 00 43 00 61 00 6E 00 76 00 61 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 56 00 49 00 44 00 45 00 4F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2E 00 78 00 61 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 2F 00 6A 00 73 00 2F 00 53 00 69 00 6C 00 76 00 65 00 72 00 6C 00 69 00 67 00 68 00 74 00 2E 00 6A 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6D 00 65 00 64 00 69 00 61 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 56 00 00 00 }
	condition:
		$1
}

rule function_46216_0 {
	meta:
		name = "TIWSilverlightVideo.RenderShowControls"
		size = 2764
		refs = "0010 TIWSilverlightVideo.RenderShowControls"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 38 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 3C 00 43 00 61 00 6E 00 76 00 61 00 73 00 20 00 4D 00 6F 00 75 00 73 00 65 00 4C 00 65 00 66 00 74 00 42 00 75 00 74 00 74 00 6F 00 6E 00 44 00 6F 00 77 00 6E 00 3D 00 22 00 6D 00 65 00 64 00 69 00 61 00 5F 00 73 00 74 00 6F 00 70 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 43 00 61 00 6E 00 76 00 61 00 73 00 2E 00 4C 00 65 00 66 00 74 00 3D 00 22 00 31 00 30 00 22 00 20 00 43 00 61 00 6E 00 76 00 61 00 73 00 2E 00 54 00 6F 00 70 00 3D 00 22 00 32 00 36 00 35 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 3C 00 52 00 65 00 63 00 74 00 61 00 6E 00 67 00 6C 00 65 00 20 00 53 00 74 00 72 00 6F 00 6B 00 65 00 3D 00 22 00 42 00 6C 00 61 00 63 00 6B 00 22 00 00 00 B0 04 02 00 FF FF FF FF 2F 00 00 00 48 00 65 00 69 00 67 00 68 00 74 00 3D 00 22 00 33 00 30 00 22 00 20 00 57 00 69 00 64 00 74 00 68 00 3D 00 22 00 35 00 35 00 22 00 20 00 52 00 61 00 64 00 69 00 75 00 73 00 58 00 3D 00 22 00 35 00 22 00 20 00 52 00 61 00 64 00 69 00 75 00 73 00 59 00 3D 00 22 00 35 00 22 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 3C 00 52 00 65 00 63 00 74 00 61 00 6E 00 67 00 6C 00 65 00 2E 00 46 00 69 00 6C 00 6C 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 3C 00 52 00 61 00 64 00 69 00 61 00 6C 00 47 00 72 00 61 00 64 00 69 00 65 00 6E 00 74 00 42 00 72 00 75 00 73 00 68 00 20 00 47 00 72 00 61 00 64 00 69 00 65 00 6E 00 74 00 4F 00 72 00 69 00 67 00 69 00 6E 00 3D 00 22 00 30 00 2E 00 37 00 35 00 2C 00 30 00 2E 00 32 00 35 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 3C 00 47 00 72 00 61 00 64 00 69 00 65 00 6E 00 74 00 53 00 74 00 6F 00 70 00 20 00 43 00 6F 00 6C 00 6F 00 72 00 3D 00 22 00 4F 00 72 00 61 00 6E 00 67 00 65 00 22 00 20 00 4F 00 66 00 66 00 73 00 65 00 74 00 3D 00 22 00 30 00 2E 00 30 00 22 00 20 00 2F 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 3C 00 47 00 72 00 61 00 64 00 69 00 65 00 6E 00 74 00 53 00 74 00 6F 00 70 00 20 00 43 00 6F 00 6C 00 6F 00 72 00 3D 00 22 00 52 00 65 00 64 00 22 00 20 00 4F 00 66 00 66 00 73 00 65 00 74 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 2F 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 3C 00 2F 00 52 00 61 00 64 00 69 00 61 00 6C 00 47 00 72 00 61 00 64 00 69 00 65 00 6E 00 74 00 42 00 72 00 75 00 73 00 68 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 3C 00 2F 00 52 00 65 00 63 00 74 00 61 00 6E 00 67 00 6C 00 65 00 2E 00 46 00 69 00 6C 00 6C 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 3C 00 2F 00 52 00 65 00 63 00 74 00 61 00 6E 00 67 00 6C 00 65 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3A 00 00 00 3C 00 54 00 65 00 78 00 74 00 42 00 6C 00 6F 00 63 00 6B 00 20 00 43 00 61 00 6E 00 76 00 61 00 73 00 2E 00 4C 00 65 00 66 00 74 00 3D 00 22 00 35 00 22 00 20 00 43 00 61 00 6E 00 76 00 61 00 73 00 2E 00 54 00 6F 00 70 00 3D 00 22 00 35 00 22 00 3E 00 73 00 74 00 6F 00 70 00 3C 00 2F 00 54 00 65 00 78 00 74 00 42 00 6C 00 6F 00 63 00 6B 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 2F 00 43 00 61 00 6E 00 76 00 61 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 3C 00 43 00 61 00 6E 00 76 00 61 00 73 00 20 00 4D 00 6F 00 75 00 73 00 65 00 4C 00 65 00 66 00 74 00 42 00 75 00 74 00 74 00 6F 00 6E 00 44 00 6F 00 77 00 6E 00 3D 00 22 00 6D 00 65 00 64 00 69 00 61 00 5F 00 70 00 61 00 75 00 73 00 65 00 22 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 43 00 61 00 6E 00 76 00 61 00 73 00 2E 00 4C 00 65 00 66 00 74 00 3D 00 22 00 37 00 30 00 22 00 20 00 43 00 61 00 6E 00 76 00 61 00 73 00 2E 00 54 00 6F 00 70 00 3D 00 22 00 32 00 36 00 35 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 3C 00 47 00 72 00 61 00 64 00 69 00 65 00 6E 00 74 00 53 00 74 00 6F 00 70 00 20 00 43 00 6F 00 6C 00 6F 00 72 00 3D 00 22 00 59 00 65 00 6C 00 6C 00 6F 00 77 00 22 00 20 00 4F 00 66 00 66 00 73 00 65 00 74 00 3D 00 22 00 30 00 2E 00 30 00 22 00 20 00 2F 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 3C 00 47 00 72 00 61 00 64 00 69 00 65 00 6E 00 74 00 53 00 74 00 6F 00 70 00 20 00 43 00 6F 00 6C 00 6F 00 72 00 3D 00 22 00 4F 00 72 00 61 00 6E 00 67 00 65 00 22 00 20 00 4F 00 66 00 66 00 73 00 65 00 74 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 2F 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3B 00 00 00 3C 00 54 00 65 00 78 00 74 00 42 00 6C 00 6F 00 63 00 6B 00 20 00 43 00 61 00 6E 00 76 00 61 00 73 00 2E 00 4C 00 65 00 66 00 74 00 3D 00 22 00 35 00 22 00 20 00 43 00 61 00 6E 00 76 00 61 00 73 00 2E 00 54 00 6F 00 70 00 3D 00 22 00 35 00 22 00 3E 00 70 00 61 00 75 00 73 00 65 00 3C 00 2F 00 54 00 65 00 78 00 74 00 42 00 6C 00 6F 00 63 00 6B 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 3C 00 43 00 61 00 6E 00 76 00 61 00 73 00 20 00 4D 00 6F 00 75 00 73 00 65 00 4C 00 65 00 66 00 74 00 42 00 75 00 74 00 74 00 6F 00 6E 00 44 00 6F 00 77 00 6E 00 3D 00 22 00 6D 00 65 00 64 00 69 00 61 00 5F 00 62 00 65 00 67 00 69 00 6E 00 22 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 43 00 61 00 6E 00 76 00 61 00 73 00 2E 00 4C 00 65 00 66 00 74 00 3D 00 22 00 31 00 33 00 30 00 22 00 20 00 43 00 61 00 6E 00 76 00 61 00 73 00 2E 00 54 00 6F 00 70 00 3D 00 22 00 32 00 36 00 35 00 22 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 31 00 00 00 3C 00 52 00 65 00 63 00 74 00 61 00 6E 00 67 00 6C 00 65 00 20 00 53 00 74 00 72 00 6F 00 6B 00 65 00 3D 00 22 00 42 00 6C 00 61 00 63 00 6B 00 22 00 20 00 52 00 61 00 64 00 69 00 75 00 73 00 58 00 3D 00 22 00 35 00 22 00 20 00 52 00 61 00 64 00 69 00 75 00 73 00 59 00 3D 00 22 00 35 00 22 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 48 00 65 00 69 00 67 00 68 00 74 00 3D 00 22 00 33 00 30 00 22 00 20 00 57 00 69 00 64 00 74 00 68 00 3D 00 22 00 35 00 35 00 22 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 2F 00 00 00 3C 00 47 00 72 00 61 00 64 00 69 00 65 00 6E 00 74 00 53 00 74 00 6F 00 70 00 20 00 43 00 6F 00 6C 00 6F 00 72 00 3D 00 22 00 4C 00 69 00 6D 00 65 00 47 00 72 00 65 00 65 00 6E 00 22 00 20 00 4F 00 66 00 66 00 73 00 65 00 74 00 3D 00 22 00 30 00 2E 00 30 00 22 00 20 00 2F 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 2B 00 00 00 3C 00 47 00 72 00 61 00 64 00 69 00 65 00 6E 00 74 00 53 00 74 00 6F 00 70 00 20 00 43 00 6F 00 6C 00 6F 00 72 00 3D 00 22 00 47 00 72 00 65 00 65 00 6E 00 22 00 20 00 4F 00 66 00 66 00 73 00 65 00 74 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 2F 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 3A 00 00 00 3C 00 54 00 65 00 78 00 74 00 42 00 6C 00 6F 00 63 00 6B 00 20 00 43 00 61 00 6E 00 76 00 61 00 73 00 2E 00 4C 00 65 00 66 00 74 00 3D 00 22 00 35 00 22 00 20 00 43 00 61 00 6E 00 76 00 61 00 73 00 2E 00 54 00 6F 00 70 00 3D 00 22 00 35 00 22 00 3E 00 70 00 6C 00 61 00 79 00 3C 00 2F 00 54 00 65 00 78 00 74 00 42 00 6C 00 6F 00 63 00 6B 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46217_0 {
	meta:
		name = "TIWSilverlightVideo.RenderVideoControlsJS"
		size = 608
		refs = "0013 @UStrAddRef 001b TIWSilverlightVideo.RenderVideoControlsJS 0055 @UStrCatN 006a @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B 45 F4 BA 09 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 34 00 00 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 6D 00 65 00 64 00 69 00 61 00 5F 00 73 00 74 00 6F 00 70 00 28 00 73 00 65 00 6E 00 64 00 65 00 72 00 2C 00 20 00 61 00 72 00 67 00 73 00 29 00 20 00 7B 00 73 00 65 00 6E 00 64 00 65 00 72 00 2E 00 66 00 69 00 6E 00 64 00 4E 00 61 00 6D 00 65 00 28 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 22 00 29 00 2E 00 73 00 74 00 6F 00 70 00 28 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 38 00 00 00 7D 00 20 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 6D 00 65 00 64 00 69 00 61 00 5F 00 70 00 61 00 75 00 73 00 65 00 28 00 73 00 65 00 6E 00 64 00 65 00 72 00 2C 00 20 00 61 00 72 00 67 00 73 00 29 00 20 00 7B 00 20 00 73 00 65 00 6E 00 64 00 65 00 72 00 2E 00 66 00 69 00 6E 00 64 00 4E 00 61 00 6D 00 65 00 28 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 22 00 29 00 2E 00 70 00 61 00 75 00 73 00 65 00 28 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 38 00 00 00 7D 00 20 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 6D 00 65 00 64 00 69 00 61 00 5F 00 62 00 65 00 67 00 69 00 6E 00 28 00 73 00 65 00 6E 00 64 00 65 00 72 00 2C 00 20 00 61 00 72 00 67 00 73 00 29 00 20 00 7B 00 20 00 73 00 65 00 6E 00 64 00 65 00 72 00 2E 00 66 00 69 00 6E 00 64 00 4E 00 61 00 6D 00 65 00 28 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 22 00 29 00 2E 00 70 00 6C 00 61 00 79 00 28 00 29 00 3B 00 7D 00 00 00 }
	condition:
		$1
}

rule function_46218_0 {
	meta:
		name = "TIWSilverlightVideo.SetMedia"
		size = 33
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 B8 02 00 00 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_46219_0 {
	meta:
		name = "TIWSilverlightVideo.SetVolume"
		size = 40
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 83 7D F8 00 7C 12 83 7D F8 0A 7F 0C 8B 45 F8 8B 55 FC 89 82 B4 02 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_46221_0 {
	meta:
		name = "IWSilverlight"
		size = 136
		refs = "0005 _DV_4 000d IWSilverlight 0017 _Dn_TIWServer 001c TIWServer.AddInternalFile"
	strings:
		$1 = { 55 8B EC 83 2D ?? ?? ?? ?? 01 73 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 2F 00 6A 00 73 00 2F 00 53 00 69 00 6C 00 76 00 65 00 72 00 6C 00 69 00 67 00 68 00 74 00 2E 00 6A 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 57 00 5F 00 4A 00 53 00 5F 00 53 00 49 00 4C 00 56 00 45 00 52 00 4C 00 49 00 47 00 48 00 54 00 00 00 }
	condition:
		$1
}

rule function_46222_0 {
	meta:
		name = "TIWStandAloneServer.TestForOpera"
		size = 576
		refs = "0015 TIWStandAloneServer.TestForOpera 0022 _Dn_TRegistry 0027 TRegistry.Create 0045 TRegistry.OpenKeyReadOnly 0062 TRegistry.ReadString 0077 IntToStr 0087 @UStrCat3 00eb IncludeTrailingPathDelim 0105 FileExists 0119 @UStrAsg 0121 TRegistry.CloseKey 013b TObject.Free 0141 @HandleFinally 015d @UStrArrayClr 0165 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 0F 84 C7 00 00 00 8D 4D FC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 7D FC 00 75 39 BB 02 00 00 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 4D FC 8B 45 F4 E8 ?? ?? ?? ?? 83 7D FC 00 75 06 43 83 FB 04 75 CC 83 7D FC 00 75 39 BB 01 00 00 00 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 4D E4 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 4D FC 8B 45 F4 E8 ?? ?? ?? ?? 83 7D FC 00 75 06 43 83 FB 04 75 CC 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 0B 8D 46 78 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 18 00 00 00 5C 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 4F 00 70 00 65 00 72 00 61 00 20 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 4C 00 61 00 73 00 74 00 20 00 49 00 6E 00 73 00 74 00 61 00 6C 00 6C 00 20 00 50 00 61 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 4C 00 61 00 73 00 74 00 20 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 4C 00 69 00 6E 00 65 00 20 00 76 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4F 00 70 00 65 00 72 00 61 00 2E 00 65 00 78 00 65 00 00 00 }
	condition:
		$1
}

rule function_46223_0 {
	meta:
		name = "TIWStandAloneServer.TestForSafari"
		size = 344
		refs = "0012 TIWStandAloneServer.TestForSafari 001f _Dn_TRegistry 0024 TRegistry.Create 0042 TRegistry.SetRootKey 004f TRegistry.OpenKeyReadOnly 0068 TRegistry.ReadString 0072 FileExists 0086 @UStrAsg 008e TRegistry.CloseKey 00a8 TObject.Free 00ae @HandleFinally 00c5 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA 02 00 00 80 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 2E 8D 4D FC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 0B 8D 43 7C 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 5C 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 41 00 70 00 70 00 6C 00 65 00 20 00 43 00 6F 00 6D 00 70 00 75 00 74 00 65 00 72 00 2C 00 20 00 49 00 6E 00 63 00 2E 00 5C 00 53 00 61 00 66 00 61 00 72 00 69 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 42 00 72 00 6F 00 77 00 73 00 65 00 72 00 45 00 78 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_46224_0 {
	meta:
		name = "IWGetEnvironmentVariable"
		size = 75
		refs = "000e @UStrAddRef 0016 IWGetEnvironmentVariable 0026 GetEnvironmentVariable 003b @UStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_46225_0 {
	meta:
		name = "GetShellpath"
		size = 88
		refs = "000f @UStrClr 0018 SHGetSpecialFolderLocation 0037 SHGetPathFromIDList 004b @UStrFromWArray"
	strings:
		$1 = { 53 56 81 C4 F0 FD FF FF 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 54 56 6A 00 E8 ?? ?? ?? ?? A9 00 00 00 80 0F 94 C0 F6 D8 1B C0 85 C0 74 23 8D 44 24 04 50 8B 44 24 04 50 E8 ?? ?? ?? ?? 85 C0 74 10 8B C3 8D 54 24 04 B9 05 01 00 00 E8 ?? ?? ?? ?? 81 C4 10 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_46226_0 {
	meta:
		name = "TIWStandAloneServer.TestForIE"
		size = 800
		refs = "0013 TIWStandAloneServer.TestForIE 002a _Dn_TRegistry 002f TRegistry.Create 004d TRegistry.SetRootKey 005a TRegistry.OpenKeyReadOnly 0077 TRegistry.ReadString 0084 AnsiPos 00ad @UStrCopy 00c9 @UStrDelete 0114 IWGetEnvironmentVariable 0127 @UStrCatN 014b FileExists 0176 TRegistry.CloseKey 018e GetShellpath 01c6 TObject.Free 01cc @HandleFinally 01ec @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 44 00 0F 85 AB 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA 02 00 00 80 8B 45 EC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 88 45 F3 80 7D F3 00 0F 84 07 01 00 00 8D 4D FC BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 9B 00 00 00 8D 45 F4 50 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 F4 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? FF 75 E8 FF 75 FC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 88 45 F3 80 7D F3 00 74 1A 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 43 44 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 80 7D F3 00 75 30 68 ?? ?? ?? ?? 8D 55 E4 B8 26 00 00 00 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 43 44 BA 04 00 00 00 E8 ?? ?? ?? ?? C6 45 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB C6 45 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 5C 00 53 00 4F 00 46 00 54 00 57 00 41 00 52 00 45 00 5C 00 4D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 5C 00 49 00 45 00 20 00 53 00 65 00 74 00 75 00 70 00 5C 00 53 00 65 00 74 00 75 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 61 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 45 00 58 00 50 00 4C 00 4F 00 52 00 45 00 2E 00 45 00 58 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 5C 00 49 00 6E 00 74 00 65 00 72 00 6E 00 65 00 74 00 20 00 45 00 78 00 70 00 6C 00 6F 00 72 00 65 00 72 00 5C 00 69 00 65 00 78 00 70 00 6C 00 6F 00 72 00 65 00 2E 00 65 00 78 00 65 00 00 00 }
	condition:
		$1
}

rule function_46227_0 {
	meta:
		name = "TIWStandAloneServer.TestForChrome"
		size = 408
		refs = "0015 TIWStandAloneServer.TestForChrome 0022 _Dn_TRegistry 0027 TRegistry.Create 0045 TRegistry.SetRootKey 0052 TRegistry.OpenKeyReadOnly 0068 TRegistry.ReadString 0083 StringReplace 008e @UStrLAsg 009f Pos 00ab @UStrCopy 00b5 FileExists 00cc @UStrAsg 00d4 TRegistry.CloseKey 00ee TObject.Free 00f4 @HandleFinally 010b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA 00 00 00 80 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 71 8D 4D FC 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F0 50 33 C9 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC 50 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 0E 8D 83 80 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 FB 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 1E 00 00 00 5C 00 43 00 68 00 72 00 6F 00 6D 00 65 00 48 00 54 00 4D 00 4C 00 5C 00 73 00 68 00 65 00 6C 00 6C 00 5C 00 6F 00 70 00 65 00 6E 00 5C 00 63 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_46228_0 {
	meta:
		name = "TIWStandAloneServer.TestForFirefox"
		size = 548
		refs = "0012 TIWStandAloneServer.TestForFirefox 001f _Dn_TRegistry 0024 TRegistry.Create 0042 TRegistry.SetRootKey 004f TRegistry.OpenKeyReadOnly 0063 TRegistry.ReadString 007d @UStrCatN 00a6 FileExists 00b8 @UStrAsg 00d2 TObject.Free 00d8 @HandleFinally 00f9 @UStrClr 0106 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA 02 00 00 80 8B 45 F0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 65 8D 4D FC BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 2C 8D 4D F8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 F4 83 C0 4C 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 83 78 4C 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 5C 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 4D 00 6F 00 7A 00 69 00 6C 00 6C 00 61 00 5C 00 4D 00 6F 00 7A 00 69 00 6C 00 6C 00 61 00 20 00 46 00 69 00 72 00 65 00 66 00 6F 00 78 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 75 00 72 00 72 00 65 00 6E 00 74 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 5C 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 4D 00 6F 00 7A 00 69 00 6C 00 6C 00 61 00 5C 00 4D 00 6F 00 7A 00 69 00 6C 00 6C 00 61 00 20 00 46 00 69 00 72 00 65 00 66 00 6F 00 78 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 5C 00 4D 00 61 00 69 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 61 00 74 00 68 00 54 00 6F 00 45 00 78 00 65 00 00 00 }
	condition:
		$1
}

rule function_46229_0 {
	meta:
		name = "TIWStandAloneServer.ExecuteApplicationChrome"
		size = 228
		refs = "0011 TIWStandAloneServer.ExecuteApplicationChrome 001e TIWStandAloneServer.TestForChrome 002a TIWStandAloneServer.StartURL 0036 @UStrToPWChar 004d Application 005b ShellExecute 0074 IntToStr 0086 RSExecuteError 008f Format 0099 _Dn_Exception 009e Exception.Create 00a3 @RaiseExcept 00b8 @UStrClr 00c5 @UStrArrayClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 42 83 FB 20 7F 3D 8D 45 F8 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 00 6F 00 70 00 65 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46230_0 {
	meta:
		name = "TIWStandAloneServer.ExecuteApplicationDefault"
		size = 216
		refs = "0014 TIWStandAloneServer.ExecuteApplicationDefault 0026 TIWStandAloneServer.StartURL 0034 @UStrToPWChar 003f Application 004d ShellExecute 0066 IntToStr 0078 RSExecuteError 0081 Format 008b _Dn_Exception 0090 Exception.Create 0095 @RaiseExcept 00aa @UStrClr 00b7 @UStrArrayClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 42 83 FB 20 7F 3D 8D 45 F8 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 6F 00 70 00 65 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46231_0 {
	meta:
		name = "TIWStandAloneServer.ExecuteApplicationOpera"
		size = 224
		refs = "0011 TIWStandAloneServer.ExecuteApplicationOpera 001e TIWStandAloneServer.TestForOpera 002a TIWStandAloneServer.StartURL 0036 @UStrToPWChar 004a Application 0058 ShellExecute 0071 IntToStr 0083 RSExecuteError 008c Format 0096 _Dn_Exception 009b Exception.Create 00a0 @RaiseExcept 00b5 @UStrClr 00c2 @UStrArrayClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 78 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 42 83 FB 20 7F 3D 8D 45 F8 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 6F 00 70 00 65 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46232_0 {
	meta:
		name = "TIWStandAloneServer.ExecuteApplicationSafari"
		size = 224
		refs = "0011 TIWStandAloneServer.ExecuteApplicationSafari 001e TIWStandAloneServer.TestForSafari 002a TIWStandAloneServer.StartURL 0036 @UStrToPWChar 004a Application 0058 ShellExecute 0071 IntToStr 0083 RSExecuteError 008c Format 0096 _Dn_Exception 009b Exception.Create 00a0 @RaiseExcept 00b5 @UStrClr 00c2 @UStrArrayClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 7C E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 42 83 FB 20 7F 3D 8D 45 F8 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 6F 00 70 00 65 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46233_0 {
	meta:
		name = "TIWStandAloneServer.ExecuteApplicationFirefox"
		size = 268
		refs = "0012 TIWStandAloneServer.ExecuteApplicationFirefox 001f TIWStandAloneServer.TestForFirefox 002b TIWStandAloneServer.StartURL 003f @UStrCat3 0047 @UStrToPWChar 005b Application 0069 ShellExecute 0082 IntToStr 0094 RSExecuteError 009d Format 00a7 _Dn_Exception 00ac Exception.Create 00b1 @RaiseExcept 00c6 @UStrClr 00d3 @UStrArrayClr 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 F8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 43 4C E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 42 83 FB 20 7F 3D 8D 45 F4 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 55 EC A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 2D 00 75 00 72 00 6C 00 20 00 00 00 00 00 6F 00 70 00 65 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46234_0 {
	meta:
		name = "TIWStandAloneServer.ExecuteApplicationIE"
		size = 224
		refs = "0011 TIWStandAloneServer.ExecuteApplicationIE 001e TIWStandAloneServer.TestForIE 002a TIWStandAloneServer.StartURL 0036 @UStrToPWChar 004a Application 0058 ShellExecute 0071 IntToStr 0083 RSExecuteError 008c Format 0096 _Dn_Exception 009b Exception.Create 00a0 @RaiseExcept 00b5 @UStrClr 00c2 @UStrArrayClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 01 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 44 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 42 83 FB 20 7F 3D 8D 45 F8 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 6F 00 70 00 65 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46235_0 {
	meta:
		name = "TIWStandAloneServer.Create"
		size = 273
		refs = "000f @ClassCreate 001e TComponent.Create 002c gSC 0037 GAppModeInit 003e Application 0056 TIWStandAloneServer.SetSSL 0073 GLogProcedure 007f GLogBytesProcedure 009e TIWStandAloneServer.Create 00ac TIWStandAloneServer.Initialize 00bd TIWStandAloneServer.Log 00ce TIWStandAloneServer.LogBytes 00dd @HandleAnyException 00e9 @RaiseAgain 00ee @DoneExcept 00fa @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 1C 10 75 1B A1 ?? ?? ?? ?? 83 38 00 75 11 8B 35 ?? ?? ?? ?? 8B 36 A1 ?? ?? ?? ?? 8B 00 FF D6 8B 45 FC C6 80 89 00 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 40 00 8B 45 FC 33 D2 89 50 38 8B 45 FC F6 40 1C 10 75 18 A1 ?? ?? ?? ?? 66 83 78 02 00 75 0C A1 ?? ?? ?? ?? 66 83 78 02 00 74 04 33 C0 EB 02 B0 01 8B 55 FC 88 42 48 84 C0 74 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 55 FC 89 50 04 C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 55 FC 89 50 04 C7 00 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 8B 45 FC C6 40 48 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46236_0 {
	meta:
		name = "TIWStandAloneServer.ClearSessions"
		size = 22
		refs = "0004 GSessions 000b TIWSessions.Clear"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 89 43 3C 5B C3 }
	condition:
		$1
}

rule function_46237_0 {
	meta:
		name = "TIWStandAloneServer.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 000c gServerController 001d TObject.Free 0028 TComponent.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? 33 C9 89 0A E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46238_0 {
	meta:
		name = "TIWStandAloneServer.StartURL"
		size = 620
		refs = "0019 TIWStandAloneServer.StartURL 0024 gServerController 0048 @UStrAsg 005b GLicense 0064 TIWLicense.CanIDoThis 008f Pos 00b3 @UStrCopy 00bd @UStrCat 0117 IntToStr 0126 @UStrCatN 01ac @UStrArrayClr 01b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 00 0F 84 65 01 00 00 80 BE 88 00 00 00 00 75 06 80 7D FF 00 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 B2 07 E8 ?? ?? ?? ?? 84 C0 74 6E A1 ?? ?? ?? ?? 8B 00 83 B8 90 00 00 00 00 74 5E A1 ?? ?? ?? ?? 8B 00 8B 90 90 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 7E 2A 8D 45 F8 50 8B CF 49 A1 ?? ?? ?? ?? 8B 00 8B 80 90 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 23 8B C3 8B 15 ?? ?? ?? ?? 8B 12 8B 92 90 00 00 00 E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 86 88 00 00 00 0A 45 FF 74 3A A1 ?? ?? ?? ?? 8B 00 8B 80 44 01 00 00 8B 78 08 81 FF BB 01 00 00 74 54 FF 33 68 ?? ?? ?? ?? 8D 55 F4 8B C7 E8 ?? ?? ?? ?? FF 75 F4 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 32 A1 ?? ?? ?? ?? 8B 00 8B B8 30 01 00 00 83 FF 50 74 20 FF 33 68 ?? ?? ?? ?? 8D 55 F0 8B C7 E8 ?? ?? ?? ?? FF 75 F0 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 86 84 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 19 FF 33 68 ?? ?? ?? ?? FF B6 84 00 00 00 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 68 00 74 00 74 00 70 00 73 00 3A 00 2F 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 31 00 32 00 37 00 2E 00 30 00 2E 00 30 00 2E 00 31 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 2F 00 24 00 2F 00 73 00 74 00 61 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_46239_0 {
	meta:
		name = "TIWStandAloneServer.CopyStartURLToClipboard"
		size = 82
		refs = "000c TIWStandAloneServer.CopyStartURLToClipboard 001e TIWStandAloneServer.StartURL 0027 Clipboard 002d TClipboard.SetAsText 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_46240_0 {
	meta:
		name = "TIWStandAloneServer.Log"
		size = 16
		refs = "000b TIWStandAloneServer.DoLog"
	strings:
		$1 = { 84 C9 74 06 80 78 40 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46241_0 {
	meta:
		name = "TIWStandAloneServer.LogBytes"
		size = 108
		refs = "001f TIWStandAloneServer.DoLog 0027 TIWStandAloneServer.LogBytes 0045 @HandleAnyException 0053 @DoneExcept 0061 TIWStandAloneServer.DoUpdateTotalBytes"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC 80 78 40 00 74 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 F8 01 50 3C 33 C0 5A 59 59 64 89 10 EB 13 E9 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 50 3C E8 ?? ?? ?? ?? 8B 45 FC 8B 50 3C 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46242_0 {
	meta:
		name = "TIWStandAloneServer.OnCreateSession"
		size = 9
		refs = "0004 TIWStandAloneServer.DoCreateSession"
	strings:
		$1 = { FF 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46243_0 {
	meta:
		name = "TIWStandAloneServer.OnDestroySession"
		size = 9
		refs = "0004 TIWStandAloneServer.DoDestroySession"
	strings:
		$1 = { FF 48 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46244_0 {
	meta:
		name = "TIWStandAloneServer.DoLog"
		size = 83
		refs = "000e @UStrAddRef 0016 TIWStandAloneServer.DoLog 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 52 00 74 0B 8B 4D FC 8B D3 8B 43 54 FF 53 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_46247_0 {
	meta:
		name = "TIWStandAloneServer.Run"
		size = 81
		refs = "000f TIWStandAloneServer.Run 002e TIWStandAloneServer.ExecuteApplicationDefault 0034 TIWStandAloneServer.ExecuteApplicationIE 003a TIWStandAloneServer.ExecuteApplicationFirefox 0040 TIWStandAloneServer.ExecuteApplicationOpera 0046 TIWStandAloneServer.ExecuteApplicationSafari 004c TIWStandAloneServer.ExecuteApplicationChrome"
	strings:
		$1 = { 0F B6 90 89 00 00 00 83 FA 05 77 44 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46250_0 {
	meta:
		name = "TIWStandAloneServer.SetSSL"
		size = 43
		refs = "0007 GLicense 0010 TIWLicense.CanIDoThis"
	strings:
		$1 = { 53 56 8B DA 8B F0 A1 ?? ?? ?? ?? 8B 00 B2 05 E8 ?? ?? ?? ?? 84 D8 74 09 88 9E 88 00 00 00 5E 5B C3 C6 86 88 00 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_46251_0 {
	meta:
		name = "TIWStandAloneServer.Initialize"
		size = 2656
		refs = "0018 TIWStandAloneServer.Initialize 0023 GSessions 002f TIWStandAloneServer.OnCreateSession 0040 TIWStandAloneServer.OnDestroySession 0045 GHTTPServerInitProc 0057 Application 0060 gServerController 006e GLicense 0088 TIWStandAloneServer.Log 0094 TIWLicense.GetExpireDate 00df @UStrLAsg 00fe CurrencyString 0106 FormatDateTime 0116 @UStrCat3 0181 TIWLicense.GetFGGRDDFDDAS 01f5 TIWLicense.GetRegisteredName 0235 TIWLicense.GetCompany 0275 TIWLicense.GetDeveloperName 0336 TIWLicense.GetLicenseString 037d IntToStr 039b RSLicenseNumber 03a4 Format 03e2 RSIWVersion 046a RSBindError 04a9 RSHTTPPort 0507 RSHTTPSPort 0531 TIWLicense.GetMessage 0596 TIWServerControllerBase.MakeGUIActive 05a7 FindCmdLineSwitch 05b4 TIWStandAloneServer.ExecuteApplicationDefault 05f3 TApplication.Minimize 0610 @UStrArrayClr 0633 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 17 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 89 58 14 C7 40 10 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 89 58 1C C7 40 18 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 74 11 8B 35 ?? ?? ?? ?? 8B 36 A1 ?? ?? ?? ?? 8B 00 FF D6 A1 ?? ?? ?? ?? 83 38 00 0F 84 8A 05 00 00 A1 ?? ?? ?? ?? 8B 00 80 78 40 01 0F 85 6C 01 00 00 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 86 0F 03 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 DC 58 10 9B DF E0 9E 0F 83 EF 02 00 00 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? DD 5D D0 9B FF 75 D4 FF 75 D0 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 AC 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 33 C9 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 50 10 89 55 C8 8B 50 14 89 55 CC FF 75 CC FF 75 C8 8D 4D F0 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 A8 8B 4D F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 33 C9 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 84 22 02 00 00 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? DD 5D C0 9B FF 75 C4 FF 75 C0 8D 4D E8 8B 15 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 45 A4 8B 4D E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 33 C9 8B C3 E8 ?? ?? ?? ?? E9 CD 01 00 00 8D 55 A0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 83 7D A0 00 74 2B 8D 55 98 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 4D 98 8D 45 9C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 33 C9 8B C3 E8 ?? ?? ?? ?? 8D 55 94 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 83 7D 94 00 74 2B 8D 55 8C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 4D 8C 8D 45 90 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 90 33 C9 8B C3 E8 ?? ?? ?? ?? 8D 55 88 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 83 7D 88 00 74 2B 8D 55 80 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 4D 80 8D 45 84 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 84 33 C9 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 58 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? DD 5D B8 9B FF 75 BC FF 75 B8 8D 4D E0 8B 15 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8D 85 7C FF FF FF 8B 4D E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 33 C9 8B C3 E8 ?? ?? ?? ?? EB 0E 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 95 74 FF FF FF A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 8D 74 FF FF FF 8D 85 78 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 33 C9 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 70 2C 85 F6 7E 4A 8D 85 70 FF FF FF 50 8D 95 64 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8D 95 68 FF FF FF A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 33 C9 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 50 B8 ?? ?? ?? ?? 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8D 95 68 FF FF FF A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 33 C9 8B C3 E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 50 10 89 55 B0 8B 50 14 89 55 B4 FF 75 B4 FF 75 B0 8D 4D D8 8B 15 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8D 85 5C FF FF FF 8B 4D D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 5C FF FF FF 33 C9 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B B0 30 01 00 00 85 F6 75 13 8B 15 ?? ?? ?? ?? 8B 12 33 C9 8B C3 E8 ?? ?? ?? ?? EB 4A 8D 85 58 FF FF FF 50 8D 95 54 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8D 95 68 FF FF FF A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 95 58 FF FF FF 33 C9 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 80 44 01 00 00 8B 70 08 85 F6 7E 4A 8D 85 50 FF FF FF 50 8D 95 4C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8D 95 68 FF FF FF A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 33 C9 8B C3 E8 ?? ?? ?? ?? 8D 95 48 FF FF FF A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 83 BD 48 FF FF FF 00 74 2C 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 95 44 FF FF FF A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 95 44 FF FF FF 33 C9 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B1 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B1 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B1 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 44 FF FF FF BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 45 00 76 00 61 00 6C 00 75 00 61 00 74 00 69 00 6F 00 6E 00 20 00 4D 00 6F 00 64 00 65 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 6D 00 00 00 57 00 41 00 52 00 4E 00 49 00 4E 00 47 00 3A 00 20 00 4C 00 69 00 63 00 65 00 6E 00 73 00 65 00 20 00 45 00 78 00 70 00 69 00 72 00 65 00 64 00 0D 00 0A 00 54 00 68 00 65 00 20 00 62 00 75 00 69 00 6C 00 64 00 20 00 64 00 61 00 74 00 65 00 20 00 6F 00 66 00 20 00 74 00 68 00 65 00 20 00 63 00 75 00 72 00 72 00 65 00 6E 00 74 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 79 00 6F 00 75 00 20 00 61 00 72 00 65 00 20 00 75 00 73 00 69 00 6E 00 67 00 20 00 69 00 73 00 20 00 6C 00 61 00 74 00 65 00 72 00 0D 00 0A 00 74 00 68 00 61 00 6E 00 20 00 79 00 6F 00 75 00 72 00 20 00 65 00 78 00 70 00 69 00 72 00 79 00 20 00 64 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6D 00 6D 00 6D 00 20 00 64 00 64 00 2C 00 20 00 79 00 79 00 79 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 59 00 6F 00 75 00 72 00 20 00 6C 00 69 00 63 00 65 00 6E 00 73 00 65 00 20 00 65 00 78 00 70 00 69 00 72 00 65 00 64 00 20 00 6F 00 6E 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 54 00 68 00 65 00 20 00 62 00 75 00 69 00 6C 00 64 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 69 00 73 00 20 00 6F 00 6E 00 3A 00 20 00 00 00 00 00 80 BF B0 04 02 00 FF FF FF FF 18 00 00 00 54 00 65 00 6D 00 70 00 6F 00 72 00 61 00 72 00 79 00 20 00 45 00 78 00 70 00 69 00 72 00 79 00 20 00 69 00 73 00 20 00 6F 00 6E 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 65 00 67 00 69 00 73 00 74 00 65 00 72 00 65 00 64 00 20 00 74 00 6F 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6D 00 70 00 61 00 6E 00 79 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 44 00 65 00 76 00 65 00 6C 00 6F 00 70 00 65 00 72 00 20 00 4E 00 61 00 6D 00 65 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 45 00 78 00 70 00 69 00 72 00 61 00 74 00 69 00 6F 00 6E 00 20 00 44 00 61 00 74 00 65 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 45 00 78 00 70 00 69 00 72 00 61 00 74 00 69 00 6F 00 6E 00 20 00 44 00 61 00 74 00 65 00 3A 00 20 00 4E 00 65 00 76 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 64 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 31 00 32 00 2E 00 30 00 2E 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 42 00 75 00 69 00 6C 00 64 00 20 00 44 00 61 00 74 00 65 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 2D 00 00 00 00 00 00 00 00 A0 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4C 00 61 00 75 00 6E 00 63 00 68 00 42 00 72 00 6F 00 77 00 73 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4C 00 61 00 75 00 6E 00 63 00 68 00 42 00 72 00 6F 00 77 00 73 00 65 00 72 00 53 00 53 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 69 00 6E 00 69 00 6D 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_46252_0 {
	meta:
		name = "TIWStandAloneServer.Create"
		size = 104
		refs = "000e @ClassCreate 0051 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 45 18 89 43 50 8B 45 1C 89 43 54 8B 45 10 89 43 58 8B 45 14 89 43 5C 8B 45 08 89 43 60 8B 45 0C 89 43 64 8B CE 33 D2 8B C3 8B 30 FF 56 38 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_46255_0 {
	meta:
		name = "TIWStart.Execute"
		size = 464
		refs = "0010 TIWStart.Execute 0030 FindCmdLineSwitch 0039 gServerControllerClass 0044 TIWServerControllerBase.Create 004d TIWStart.WriteConfigLog 006e GAppModeInit 0075 Application 007f gSC 0091 GLicense 009a TIWLicense.CanIDoThis 00a3 gServerController 00b1 _Dn_TIWHTTPServerModule 00d1 _Dn_TSWServiceModule 00d6 TSWServiceModule.ServiceInit 00fb TApplication.Initialize 0101 FormIWMain 010e _Dn_TFormIWMain 0113 TApplication.CreateForm 011f TApplication.Run 012e @HandleOnException 0136 _Dn_Exception 0145 RSTextError 014f @UStrCat3 015c LogFileAppend 0161 @DoneExcept 0176 @UStrClr 017c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E A1 ?? ?? ?? ?? 8B 00 B1 01 B2 01 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? E9 CD 00 00 00 84 DB 74 04 B3 01 EB 0E B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 3D ?? ?? ?? ?? 8B 3F A1 ?? ?? ?? ?? 8B 00 FF D7 8B 15 ?? ?? ?? ?? 8B 12 8B C6 E8 ?? ?? ?? ?? 84 DB 75 4F A1 ?? ?? ?? ?? 8B 00 B2 04 E8 ?? ?? ?? ?? 84 C0 74 3D A1 ?? ?? ?? ?? 8B 00 8B 80 B8 00 00 00 50 A1 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 8B 88 8C 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 90 8C 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 80 F3 01 A1 ?? ?? ?? ?? 8B 00 80 B8 A8 00 00 00 00 75 34 84 DB 74 30 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 38 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 8B 15 ?? ?? ?? ?? 8B 12 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 4C 00 6F 00 67 00 43 00 6F 00 6E 00 66 00 69 00 67 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 55 00 49 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6C 00 6F 00 67 00 00 00 }
	condition:
		$1
}

rule function_46256_0 {
	meta:
		name = "TIWStart.WriteConfigLog"
		size = 336
		refs = "0012 TIWStart.WriteConfigLog 001f _Dn_TStringList 0024 TStringList.Create 0048 @UStrCat3 0067 IntToStr 0088 gsAppPath 00b7 TObject.Free 00bd @HandleFinally 00d9 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 8B 8C 00 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 38 8B B3 30 01 00 00 85 F6 7E 25 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8B 08 FF 51 7C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 4E 00 61 00 6D 00 65 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 6F 00 72 00 74 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6E 00 66 00 69 00 67 00 2E 00 6C 00 6F 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_46259_0 {
	meta:
		name = "TempFilesDir"
		size = 172
		refs = "0010 TempFilesDir 001e gServerController 0025 TIWServerControllerBase.GetCacheDir 0030 IncludeTrailingPathDelim 0040 @UStrCat3 004a DirectoryExists 0056 ForceDirectories 0060 @UStrAsg 0075 @UStrClr 0082 @UStrArrayClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 65 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_46260_0 {
	meta:
		name = "TTempFileStream.Create"
		size = 176
		refs = "0011 @ClassCreate 001d TTempFileStream.Create 002b TempFilesDir 003b MakeTempFile 0046 @UStrAsg 0057 TFileStream.Create 0071 @UStrArrayClr 0077 @HandleFinally 0084 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 46 0C E8 ?? ?? ?? ?? 68 00 FF 00 00 8B 4E 0C 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 57 00 4B 00 00 00 }
	condition:
		$1
}

rule function_46262_0 {
	meta:
		name = "TIWRenderStream.Create"
		size = 104
		refs = "000a @ClassCreate 0017 TObject.Create 001c gServerController 0031 _DV_TTempFileStream 0036 TTempFileStream.Create 0042 _Dn_TMemoryStream 0055 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 0F B6 40 71 2C 01 72 04 74 13 EB 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 EB 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_46263_0 {
	meta:
		name = "TIWRenderStream.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001d TObject.Free 0028 TObject.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 04 00 74 10 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46264_0 {
	meta:
		name = "TIWRenderStream.GetSize"
		size = 27
		altNames = "TStoredStream.GetSize"
	strings:
		$1 = { 83 C4 F8 8B 40 04 8B 10 FF 12 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_46265_0 {
	meta:
		name = "TIWRenderStream.SetSize"
		size = 20
		refs = "000e TStream.SetSize64"
	strings:
		$1 = { 53 8B DA 8B C8 8B C3 99 52 50 8B 41 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_46266_0 {
	meta:
		name = "TDtdValidationAgent.FindAttributeDecl"
		size = 15
		altNames = "TIWRenderStream.Write TStoredStream.Write"
	strings:
		$1 = { 53 56 8B F0 8B 46 04 8B 18 FF 53 10 5E 5B C3 }
	condition:
		$1
}

rule function_46267_0 {
	meta:
		name = "TIWRenderStream.Read"
		size = 11
		altNames = "TStoredStream.Read"
	strings:
		$1 = { 53 8B 40 04 8B 18 FF 53 0C 5B C3 }
	condition:
		$1
}

rule function_46268_0 {
	meta:
		name = "TIWRenderStream.Seek"
		size = 15
	strings:
		$1 = { 53 56 8B F0 8B 46 04 8B 18 FF 53 14 5E 5B C3 }
	condition:
		$1
}

rule function_46270_0 {
	meta:
		name = "TBinaryWriter.Seek"
		size = 38
		altNames = "TIWRenderStream.Seek TStoredStream.Seek"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8B 40 04 8B 08 FF 51 18 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_46271_0 {
	meta:
		name = "TIWRenderStream.WriteString"
		size = 171
		refs = "0010 TIWRenderStream.WriteString 002c gServerController 0033 TIWServerControllerBase.GetEncoding 0039 TEncoding.GetUTF8 0048 UTF8Encode 0050 @UniqueStringA 0079 @UStrToPWChar 0099 @LStrClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B FB 8B C7 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 5D A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 3B D0 75 2B 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B C8 8B C6 8B 18 FF 53 10 EB 1B 85 FF 74 05 83 EF 04 8B 3F 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C6 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46273_0 {
	meta:
		name = "TIWRenderStream.Extract"
		size = 331
		refs = "0014 TIWRenderStream.Extract 003b gServerController 0042 TIWServerControllerBase.GetEncoding 0049 TEncoding.GetUTF8 005f @LStrSetLength 006a TStream.SetPosition 0072 @UniqueStringA 0096 TStream.SetSize64 00a1 @LStrLAsg 00ac UTF8ToUnicodeString 00b7 @UStrAsg 010d @UStrFromLStr 0117 @UStrClr 0139 @LStrArrayClr 013f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 12 83 FA 00 75 0B 83 F8 00 0F 86 E1 00 00 00 EB 06 0F 8E D9 00 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 6C 8B C3 8B 10 FF 12 8B D0 8D 45 FC 33 C9 E8 ?? ?? ?? ?? 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B C8 8B D6 8B C3 8B 30 FF 56 0C 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? EB 5E 8B C3 8B 10 FF 12 8B D0 8D 45 FC 33 C9 E8 ?? ?? ?? ?? 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B C8 8B D6 8B C3 8B 30 FF 56 0C 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? EB 08 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46276_0 {
	meta:
		name = "ElimNullChars"
		size = 68
		refs = "000b @UStrAsg 0012 ElimNullChars 0017 Pos 0028 @UStrDelete"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0F 8B D3 B9 01 00 00 00 92 E8 ?? ?? ?? ?? EB E1 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46277_0 {
	meta:
		name = "LastChar"
		size = 37
		refs = "001d @UStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B DE 85 DB 74 05 83 EB 04 8B 1B 57 B9 01 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46278_0 {
	meta:
		name = "InvParseCommaString"
		size = 192
		refs = "0017 InvParseCommaString 0024 @UStrClr 005f @UStrCatN 0086 @UStrCopy 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 32 46 C7 45 F8 00 00 00 00 FF 33 8D 4D F4 8B 55 F8 8B 45 FC 8B 38 FF 57 0C FF 75 F4 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 F8 4E 75 D6 8B 03 89 45 F0 8B 75 F0 85 F6 74 05 83 EE 04 8B 36 53 8B CE 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_46279_0 {
	meta:
		name = "ParseCommaString"
		size = 228
		refs = "001a ParseCommaString 008a @UStrCopy 0095 Trim 00c9 @UStrClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 4D FC 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC BB 01 00 00 00 8B C6 85 C0 74 05 83 E8 04 8B 00 89 45 E8 8B 45 F8 8B 10 FF 52 44 3B 5D E8 7F 6F 89 5D F4 8B 45 F4 89 45 F0 3B 5D E8 7F 23 0F B7 7C 5E FE 66 83 FF 22 75 03 FF 45 EC 66 83 FF 2C 75 06 83 7D EC 01 75 09 FF 45 F0 43 3B 5D E8 7E DD 8D 45 E4 50 8B 4D F0 2B 4D F4 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 0B 8B 55 FC 8B 45 F8 8B 08 FF 51 38 8B 5D F0 43 33 C0 89 45 EC 3B 5D E8 7E 91 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46280_0 {
	meta:
		name = "Pluck"
		size = 323
		refs = "0024 @UStrAddRef 0034 Pluck 004b UpperCase 0061 @UStrLAsg 008c @UStrClr 0097 Pos 00bb @UStrCopy 0121 @UStrArrayClr 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D F4 89 4D F8 89 55 FC 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 0C 00 74 39 8D 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F8 E8 ?? ?? ?? ?? EB 0B 8D 45 F4 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 7D FC 8B F7 85 F6 74 05 83 EE 04 8B 36 8D 45 E0 50 8D 14 1E B9 FF FF FF 7F 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 03 C3 8B F0 8D 04 1E 85 C0 7E 36 85 FF 74 05 83 EF 04 8B 3F 8B 45 F8 89 45 EC 83 7D EC 00 74 0B 8B 45 EC 83 E8 04 8B 00 89 45 EC 8B 45 08 50 8B CE 2B CB 2B 4D EC 8D 14 1F 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_46281_0 {
	meta:
		name = "Pad"
		size = 118
		refs = "0034 @UStrSetLength 003b @UniqueStringU 0044 @FillChar 0061 @UStrToPWChar 006a Move"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 5D 08 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 3B C6 7E 0E 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 8B C3 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8B 45 FC E8 ?? ?? ?? ?? 8B CB 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_46282_0 {
	meta:
		name = "AddBackSlash"
		size = 156
		refs = "0015 AddBackSlash 0024 @UStrAsg 0047 @UStrCopy 0054 @UStrEqual 0062 @UStrCat 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 03 89 45 FC 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 F8 50 8B 03 B9 01 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_46283_0 {
	meta:
		name = "Fetch"
		size = 218
		refs = "001a Fetch 0030 UpperCase 0046 @UStrLAsg 005b Pos 006a @UStrAsg 0077 @UStrClr 0089 @UStrCopy 00ab @UStrDelete 00c5 @UStrArrayClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 88 4D F7 8B DA 8B F0 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 0C 00 75 16 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B 06 E8 ?? ?? ?? ?? EB 14 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B 16 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 75 18 8B C7 8B 16 E8 ?? ?? ?? ?? 80 7D F7 00 74 3B 8B C6 E8 ?? ?? ?? ?? EB 32 57 8B CB 49 8B 06 BA 01 00 00 00 E8 ?? ?? ?? ?? 80 7D F7 00 74 1C 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 0C 18 49 8B C6 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_46284_0 {
	meta:
		name = "TrimWhiteSpace"
		size = 140
		refs = "0010 @UStrAsg 002e @UStrDelete 0035 @UStrLen 0076 @UStrSetLength"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 8B F0 8B C3 8B D6 E8 ?? ?? ?? ?? EB 1C 8B 03 0F B7 00 66 83 F8 21 73 59 8B C3 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 85 C0 7F D9 EB 3B 8B 2B 89 6C 24 04 8B 74 24 04 85 F6 74 05 83 EE 04 8B 36 8B 03 0F B7 44 70 FE 66 83 F8 21 73 26 8B 03 89 04 24 8B 3C 24 85 FF 74 05 83 EF 04 8B 3F 8B D7 4A 8B C3 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 85 C0 7F BA 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46285_0 {
	meta:
		name = "FilterCharsAlphaNumeric"
		size = 168
		refs = "0009 FilterCharsAlphaNumeric 0010 FilterChars"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 40 00 00 00 41 00 42 00 43 00 44 00 44 00 45 00 46 00 47 00 48 00 49 00 4A 00 4B 00 4C 00 4D 00 4E 00 4F 00 50 00 51 00 52 00 53 00 54 00 55 00 56 00 57 00 58 00 59 00 5A 00 61 00 62 00 63 00 64 00 65 00 66 00 67 00 68 00 69 00 6A 00 6B 00 6C 00 6D 00 6E 00 6F 00 70 00 71 00 72 00 73 00 74 00 75 00 76 00 77 00 78 00 79 00 7A 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 30 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_46286_0 {
	meta:
		name = "FilterChars"
		size = 145
		refs = "0018 FilterChars 0027 @UStrAsg 0048 @UStrFromWChar 0053 Pos 0065 @UStrDelete 007f @UStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B D3 E8 ?? ?? ?? ?? 8B C3 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 7C 31 8D 45 F8 8B 16 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 85 C0 75 0E 8B C6 B9 01 00 00 00 8B D3 E8 ?? ?? ?? ?? 4B 85 DB 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46287_0 {
	meta:
		name = "FilterCharsText"
		size = 96
		refs = "0009 gsTextFilter 0030 @UStrSetLength 003a @UniqueStringU 0057 FilterChars"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 A1 ?? ?? ?? ?? 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 85 C0 75 2C BB 20 00 00 00 B8 ?? ?? ?? ?? BA 60 00 00 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 5C 58 C0 43 81 FB 80 00 00 00 75 D9 8B CF 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46288_0 {
	meta:
		name = "RemoveTrailingEmptyLines"
		size = 143
		refs = "000f RemoveTrailingEmptyLines 005d Trim 007d @UStrArrayClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 14 85 C0 7E 43 EB 1C 8B C3 8B 10 FF 52 14 8B D0 4A 8B C3 8B 08 FF 51 48 8B C3 8B 10 FF 52 14 85 C0 74 25 8B C3 8B 10 FF 52 14 8B D0 4A 8D 4D F8 8B C3 8B 30 FF 56 0C 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46289_0 {
	meta:
		name = "RemoveEmptyLines"
		size = 126
		refs = "0010 RemoveEmptyLines 003c Trim 006b @UStrArrayClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 2C 8D 4D F8 8B D3 8B C6 8B 38 FF 57 0C 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 09 8B D3 8B C6 8B 08 FF 51 48 4B 83 FB FF 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46292_0 {
	meta:
		name = "CountChr"
		size = 107
		refs = "000f @UStrAddRef 0017 CountChr 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 14 BA 01 00 00 00 8B 4D FC 66 3B 5C 51 FE 75 01 46 42 48 75 F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46295_0 {
	meta:
		name = "FindInstanceContainingResource"
		size = 82
		refs = "000a HInstance 0012 @UStrToPWChar 0019 FindResource 0023 LibModuleList"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 35 ?? ?? ?? ?? 55 8B C7 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 85 C0 75 2A 8B 1D ?? ?? ?? ?? 8B 1B 85 DB 74 1C 8B 73 04 55 8B C7 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 85 C0 75 08 8B 1B 85 DB 75 E4 33 F6 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46296_0 {
	meta:
		name = "Check"
		size = 28
		refs = "000c _Dn_Exception 0011 Exception.Create 0016 @RaiseExcept"
	strings:
		$1 = { 53 8B DA 84 C0 75 13 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_46297_0 {
	meta:
		name = "GetPropertyList"
		size = 276
		refs = "0014 GetPropertyList 0021 _Dn_TStringList 0026 TStringList.Create 003e GetTypeData 004f @GetMem 0072 GetPropList 008d @UStrFromString 00b7 @FreeMem 00bd @HandleFinally 00ce @HandleAnyException 00db TObject.Free 00e0 @RaiseAgain 00e5 @DoneExcept 00fa @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? 0F BF 40 08 85 C0 7E 79 03 C0 03 C0 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 01 8B 4D F8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 29 46 33 DB 8D 45 F4 8B 55 F8 8B 14 9A 83 C2 1A E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 0C 98 8B 45 FC 8B 38 FF 57 3C 43 4E 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C3 FE FE 3F 00 }
	condition:
		$1
}

rule function_46298_0 {
	meta:
		name = "NotImp"
		size = 72
		refs = "0001 NotImp 0008 _Dn_Exception 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4E 00 6F 00 74 00 20 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 65 00 64 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46299_0 {
	meta:
		name = "IncludeTrailingPathDelim"
		size = 100
		refs = "000c @UStrAsg 0045 IncludeTrailingPathDelim 004a @UStrCat"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 13 8B C2 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 27 8B C2 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B 13 66 83 7C 42 FE 5C 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_46300_0 {
	meta:
		name = "LogFileAppend"
		size = 292
		refs = "001b LogFileAppend 0026 GCSLogFile 003d Now 004f CurrencyString 0054 DateTimeToStr 006f @UStrCatN 0079 gsAppPath 007f gsAppName 009b FileAppend 00b8 @HandleFinally 00d4 @UStrArrayClr 00dc @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D EC 89 4D E8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 50 FF 35 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_46301_0 {
	meta:
		name = "FileAppend"
		size = 251
		refs = "0016 FileAppend 0025 FileExists 0034 iif 003e _Dn_TFileStream 0043 TFileStream.Create 0065 TStream.SetPosition 0081 :4 0086 @DynArraySetLength 00b0 TStream.WriteBuffer 00c5 TObject.Free 00cb @HandleFinally 00e8 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C6 E8 ?? ?? ?? ?? B9 00 FF 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F8 8B 10 FF 12 52 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 85 C0 74 05 83 E8 04 8B 00 8B F0 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D6 4A 85 D2 7C 13 42 33 C0 8B 4D FC 8D 3C 01 0F B6 0C 43 88 0F 40 4A 75 F0 8B 55 FC 8B CE 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46302_0 {
	meta:
		name = "FileMake"
		size = 284
		refs = "0018 FileMake 0027 FileExists 003e @UStrCat3 0048 _Dn_Exception 004d Exception.Create 0052 @RaiseExcept 0060 _Dn_TFileStream 0065 TFileStream.Create 0099 @UStrToPWChar 00a5 TStream.WriteBuffer 00ba TObject.Free 00c0 @HandleFinally 00d7 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C7 E8 ?? ?? ?? ?? 84 C0 74 27 84 DB 75 23 8D 45 F8 B9 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 00 FF 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B D6 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1E 8B DA 85 DB 74 05 83 EB 04 8B 1B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 20 00 61 00 6C 00 72 00 65 00 61 00 64 00 79 00 20 00 65 00 78 00 69 00 73 00 74 00 73 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46303_0 {
	meta:
		name = "FileContents"
		size = 229
		refs = "0015 FileContents 0022 @UStrClr 002b FileExists 003e _Dn_TFileStream 0043 TFileStream.Create 007c @LStrSetLength 008c @UniqueStringA 0097 TStream.ReadBuffer 00a1 UTF8ToUnicodeString 00b6 TObject.Free 00bc @HandleFinally 00d3 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 8B 00 00 00 6A 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 12 83 FA 00 75 07 83 F8 00 76 3C EB 02 7E 38 8B 45 F8 8B 10 FF 12 8B D0 8D 45 FC 33 C9 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 12 50 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 59 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46304_0 {
	meta:
		name = "CompareInteger"
		size = 22
	strings:
		$1 = { 3B D0 7D 06 B8 01 00 00 00 C3 3B C2 7D 05 83 C8 FF EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_46305_0 {
	meta:
		name = "CompareDateTime"
		size = 45
	strings:
		$1 = { 55 8B EC DD 45 10 DC 5D 08 9B DF E0 9E 76 07 B8 01 00 00 00 EB 13 DD 45 08 DC 5D 10 9B DF E0 9E 76 05 83 C8 FF EB 02 33 C0 5D C2 10 00 }
	condition:
		$1
}

rule function_46306_0 {
	meta:
		name = "Minutes"
		size = 48
		refs = "0021 EncodeTime"
	strings:
		$1 = { 53 83 C4 F8 8B C8 6A 00 8B C1 BB 3C 00 00 00 99 F7 FB 52 8B C1 B9 3C 00 00 00 99 F7 F9 33 C9 5A E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_46307_0 {
	meta:
		name = "PosInIntArray"
		size = 64
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 C7 45 FC FF FF FF FF 85 C9 7C 13 41 33 F6 3B 02 75 05 89 75 FC EB 07 46 83 C2 04 49 75 F0 8B 45 FC 8B 75 F4 8B 5D F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_46308_0 {
	meta:
		name = "PosInStrArray"
		size = 164
		refs = "002a string 002f @AddRefArray 0037 PosInStrArray 005b @UStrEqual 0088 @FinalizeArray 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 4D F4 89 55 FC 89 45 F8 8B 4D F4 41 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 FF FF FF FF 8B 75 F4 85 F6 7C 1E 46 33 FF 8B 5D FC 8B 45 F8 8B 13 E8 ?? ?? ?? ?? 75 05 89 7D F0 EB 07 47 83 C3 04 4E 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 4D F4 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 F0 8B 7D E4 8B 75 E8 8B 5D EC 8B E5 5D C3 }
	condition:
		$1
}

rule function_46309_0 {
	meta:
		name = "iif"
		size = 53
		refs = "001f @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B 5D 08 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0B 8B C3 8B D6 E8 ?? ?? ?? ?? EB 09 8B C3 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_46312_0 {
	meta:
		name = "FileDelete"
		size = 164
		refs = "000c FileDelete 0019 DeleteFile 002c @UStrCat3 0036 _Dn_Exception 003b Exception.Create 0040 @RaiseExcept 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 23 8D 45 FC B9 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 20 00 63 00 6F 00 75 00 6C 00 64 00 20 00 6E 00 6F 00 74 00 20 00 62 00 65 00 20 00 64 00 65 00 6C 00 65 00 74 00 65 00 64 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46313_0 {
	meta:
		name = "RemoveFileExt"
		size = 80
		refs = "000a RemoveFileExt 0011 ChangeFileExt 002e @UStrSetLength"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 8B CB BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 03 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B D0 83 EA 04 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 6E 00 75 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_46314_0 {
	meta:
		name = "InDelphiIDE"
		size = 144
		refs = "000c InDelphiIDE 001c ParamStr 0027 ExtractFileName 0034 CompareText 0053 @UStrArrayClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 65 00 6C 00 70 00 68 00 69 00 33 00 32 00 2E 00 65 00 78 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_46315_0 {
	meta:
		name = "TempPath"
		size = 135
		refs = "0013 TempPath 0025 @UStrSetLength 003d @UStrToPWChar 0044 GetTempPath 0056 IncludeTrailingPathDelim 0060 @UStrAsg 0075 @UStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 BA 04 01 00 00 E8 ?? ?? ?? ?? 8B 03 89 45 FC 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8B 03 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B D3 92 E8 ?? ?? ?? ?? 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46316_0 {
	meta:
		name = "MakeTempFile"
		size = 173
		refs = "0011 @UStrAddRef 0019 MakeTempFile 0038 gsTempPath 003d @UStrLAsg 0049 @UStrSetLength 0050 @UStrToPWChar 0069 GetTempFileName 0077 Win32SafeCheck 0087 @UStrFromPWChar 009c @UStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0E 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 BA 05 01 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 50 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 F6 D8 1B C0 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46317_0 {
	meta:
		name = "IsNumeric"
		size = 31
		refs = "0005 IsCharAlphaNumeric 000f IsCharAlpha"
	strings:
		$1 = { 53 8B D8 53 E8 ?? ?? ?? ?? 85 C0 74 0A 53 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_46318_0 {
	meta:
		name = "Shell"
		size = 151
		refs = "0018 @FillChar 004a @UStrToPWChar 0070 CreateProcess 0086 WaitForSingleObject 008d RaiseLastOSError"
	strings:
		$1 = { 53 56 83 C4 A8 88 0C 24 8B F2 8B D8 8D 44 24 04 33 C9 BA 44 00 00 00 E8 ?? ?? ?? ?? 8D 44 24 48 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? C7 44 24 04 44 00 00 00 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 75 04 33 DB EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 44 24 48 50 8D 44 24 08 50 6A 00 6A 00 6A 20 6A 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 74 14 80 3C 24 00 74 13 6A FF 8B 44 24 4C 50 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 83 C4 58 5E 5B C3 }
	condition:
		$1
}

rule function_46319_0 {
	meta:
		name = "GetFileInfo"
		size = 1064
		refs = "0021 @UStrAddRef 0029 GetFileInfo 0077 @UStrLAsg 0108 @UStrClr 0114 @UStrToPWChar 011c GetFileVersionInfoSize 0134 @UStrSetLength 0149 GetFileVersionInfo 016c VerQueryValue 018c IntToHex 01bf @UStrCatN 01e4 @UStrFromPWChar 01fe @UStrArrayClr 0211 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 C3 83 F8 09 0F 87 C6 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 85 00 00 00 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 76 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 58 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 49 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? 8B F0 56 E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 0F 86 BB 00 00 00 8D 45 F8 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 E8 50 6A 00 56 E8 ?? ?? ?? ?? 85 C0 0F 84 93 00 00 00 8D 45 E8 50 8D 45 F0 50 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 45 EC 50 68 ?? ?? ?? ?? 8D 4D E0 8B 45 F0 0F B7 00 BA 04 00 00 00 E8 ?? ?? ?? ?? FF 75 E0 8D 4D DC 8B 45 F0 8B 00 C1 E8 10 0F B7 C0 BA 04 00 00 00 E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? FF 75 F4 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0A 8B C7 8B 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6D 00 70 00 61 00 6E 00 79 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 46 00 69 00 6C 00 65 00 44 00 65 00 73 00 63 00 72 00 69 00 70 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 46 00 69 00 6C 00 65 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4C 00 65 00 67 00 61 00 6C 00 43 00 6F 00 70 00 79 00 72 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 4C 00 65 00 67 00 61 00 6C 00 54 00 72 00 61 00 64 00 65 00 6D 00 61 00 72 00 6B 00 73 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4F 00 72 00 69 00 67 00 69 00 6E 00 61 00 6C 00 46 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 72 00 6F 00 64 00 75 00 63 00 74 00 6E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 72 00 6F 00 64 00 75 00 63 00 74 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 6F 00 6D 00 6D 00 65 00 6E 00 74 00 73 00 00 00 00 00 5C 00 56 00 61 00 72 00 46 00 69 00 6C 00 65 00 49 00 6E 00 66 00 6F 00 5C 00 54 00 72 00 61 00 6E 00 73 00 6C 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 5C 00 53 00 74 00 72 00 69 00 6E 00 67 00 46 00 69 00 6C 00 65 00 49 00 6E 00 66 00 6F 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_46320_0 {
	meta:
		name = "Main"
		size = 568
		refs = "0011 GAppPathname 0016 GSystemPath 001e Main 0029 IsLibrary 003a @UStrSetLength 0053 @UStrToPWChar 0059 HInstance 005f GetModuleFileName 006f @UStrFromPWChar 007a ParamStr 008f @UStrCopy 009c @UStrEqual 00d4 ExtractFileName 00dc GAppFilename 00e1 @UStrAsg 00eb ExtractFilePath 00f6 IncludeTrailingPathDelim 00fe gsAppPath 0115 gsAppName 0135 ChangeFileExt 016d TempPath 0175 gsTempPath 01a5 GetSystemDirectory 01b5 Win32SafeCheck 01ca @UStrCat 01e4 @UStrArrayClr 01ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 BE ?? ?? ?? ?? BF ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 38 00 74 43 8B C6 BA 05 01 00 00 E8 ?? ?? ?? ?? 8B 06 89 45 FC 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 53 8B 06 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 09 8B D6 33 C0 E8 ?? ?? ?? ?? 8D 45 F8 50 B9 04 00 00 00 BA 01 00 00 00 8B 06 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 23 8B 06 89 45 FC 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 56 8B CB 83 E9 04 BA 05 00 00 00 8B 06 E8 ?? ?? ?? ?? 83 3E 00 0F 84 9B 00 00 00 8D 55 F4 8B 06 E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC 8B 06 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 06 E8 ?? ?? ?? ?? 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 42 8D 4D E4 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 FC 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D0 83 EA 04 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 BA 04 01 00 00 E8 ?? ?? ?? ?? 8B 07 89 45 FC 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 53 8B 07 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 95 C0 F6 D8 1B C0 E8 ?? ?? ?? ?? 8B C7 8B D3 E8 ?? ?? ?? ?? 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 5C 00 5C 00 3F 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 6E 00 75 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_46322_0 {
	meta:
		name = "FileCopy"
		size = 236
		refs = "0014 FileCopy 0029 @UStrToPWChar 0037 CopyFile 004b GetLastError 0057 IntToStr 006d @UStrCatN 0077 _Dn_Exception 007c Exception.Create 0081 @RaiseExcept 009b @UStrArrayClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 F3 01 F6 DB 1B C0 50 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 84 C0 75 40 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 52 50 8D 45 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 57 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 6F 00 70 00 79 00 20 00 46 00 61 00 69 00 6C 00 65 00 64 00 20 00 28 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 29 00 3A 00 20 00 00 00 }
	condition:
		$1
}

rule function_46324_0 {
	meta:
		name = "GetCurrentPath"
		size = 143
		refs = "0013 GetCurrentPath 0025 @UStrSetLength 003d @UStrToPWChar 0044 GetCurrentDirectory 0054 @UStrFromPWChar 005e IncludeTrailingPathDelim 0068 @UStrAsg 007d @UStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 BA 04 01 00 00 E8 ?? ?? ?? ?? 8B 03 89 45 FC 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8B 03 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46325_0 {
	meta:
		name = "SetThreadName"
		size = 99
		refs = "0015 @UStrToPWChar 002c SetThreadName 0044 RaiseException 0053 @HandleAnyException 0058 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D8 C7 45 F0 00 10 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F4 C7 45 F8 FF FF FF FF 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 6A 04 6A 00 68 88 13 6D 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46326_0 {
	meta:
		name = "MakeDirectory"
		size = 460
		refs = "0014 @UStrAddRef 001c MakeDirectory 0043 Abort 0075 @UStrDelete 0095 ExtractFilePath 00a0 @UStrEqual 00ac @TryFinallyExit 00b9 DirectoryExists 00e5 CreateDir 011b @UStrCat3 0125 _Dn_Exception 012a Exception.Create 012f @RaiseExcept 0135 @HandleFinally 0151 @UStrArrayClr 0159 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FA 01 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 7D FC 00 75 09 C6 45 FA 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 8B 4D FC 66 83 7C 41 FE 5C 75 19 8B C2 85 C0 74 05 83 E8 04 8B 00 8D 55 FC B9 01 00 00 00 92 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 03 7D 04 B0 01 EB 19 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 0F 94 C0 84 C0 74 0A E8 ?? ?? ?? ?? E9 86 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 07 E8 ?? ?? ?? ?? EB 73 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 B2 01 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 2A 80 7D FA 00 75 24 8D 45 EC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FA 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 4D 00 61 00 6B 00 65 00 44 00 69 00 72 00 65 00 63 00 74 00 6F 00 72 00 79 00 20 00 63 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 63 00 72 00 65 00 61 00 74 00 65 00 20 00 64 00 69 00 72 00 65 00 63 00 74 00 6F 00 72 00 79 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_46328_0 {
	meta:
		name = "Finalization"
		size = 182
		refs = "0007 Finalization 0013 _DV_3 001e GCSLogFile 002b TObject.Free 0030 BoolStr 003b string 0040 @FinalizeArray 0045 YesNoStr 005a GVoid 005f @UStrClr 0064 GAppPathname 006e GAppFilename 0078 gsAppPath 0082 gsAppName 008c gsTempPath 0096 GSystemPath 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 82 00 00 00 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_46329_0 {
	meta:
		name = "IWSystem"
		size = 32
		refs = "0002 _DV_3 000a Main 0011 _Dn_TCriticalSection 0016 TCriticalSection.Create 001b GCSLogFile"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46330_0 {
	meta:
		name = "TIWTag.AsString"
		size = 324
		refs = "0014 TIWTag.AsString 003b @UStrCatN 005d TStrings.GetName 0072 TStrings.GetValueFromIndex 0096 Trim 00a5 @UStrCat3 00bf @UStrArrayClr 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? FF 73 04 68 ?? ?? ?? ?? FF 73 08 68 ?? ?? ?? ?? 8B C7 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 43 0C 8B 10 FF 52 14 48 85 C0 7C 44 40 89 45 FC 33 F6 FF 37 8D 4D F8 8B D6 8B 43 0C E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 4D F4 8B D6 8B 43 0C E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C7 BA 05 00 00 00 E8 ?? ?? ?? ?? 46 FF 4D FC 75 C2 8D 55 F0 8B 07 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 7B 00 25 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 25 00 7D 00 00 00 00 00 }
	condition:
		$1
}

rule function_46331_0 {
	meta:
		name = "TIWTag.Create"
		size = 159
		refs = "000e @ClassCreate 001d @UStrAddRef 002d TIWTag.Create 003e @UStrAsg 0050 _Dn_TStringList 0055 TStringList.Create 006d @UStrClr 007b @HandleFinally 0088 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 8D 46 08 8B 55 08 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_46333_0 {
	meta:
		name = "TIWTag.ParamValue"
		size = 146
		refs = "001b @UStrAddRef 002b TIWTag.ParamValue 0043 TStrings.GetValue 0065 iif 007f @UStrArrayClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 4D F4 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 8B 45 F4 50 8D 4D F0 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 83 7D F0 00 0F 94 C0 8B 55 F8 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_46336_0 {
	meta:
		name = "TIWTagParser.Create"
		size = 91
		refs = "000f @ClassCreate 0023 _Dn_TIWCopyParser 0028 TIWCopyParser.Create 0043 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 56 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 89 73 08 C6 43 10 01 C6 43 04 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_46339_0 {
	meta:
		name = "TIWTagParser.IsOurTagType"
		size = 468
		refs = "0018 @UStrAddRef 0020 TIWTagParser.IsOurTagType 0031 @UStrLAsg 0065 CompareText 016a @UStrArrayClr 0170 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 04 B0 01 EB 20 83 7D E8 00 74 06 83 7D E4 00 75 04 33 C0 EB 10 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 E0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 3B 45 DC 75 04 B0 01 EB 20 83 7D E0 00 74 06 83 7D DC 00 75 04 33 C0 EB 10 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 79 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 56 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 55 00 73 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 6F 00 63 00 00 00 }
	condition:
		$1
}

rule function_46340_0 {
	meta:
		name = "TIWTagParser.NextTag"
		size = 1716
		refs = "0019 TIWTagParser.NextTag 004a TIWCopyParser.CopyTokenToOutput 0054 TIWCopyParser.SkipToken 0061 @UStrClr 0071 TIWCopyParser.SkipTo 007c @UStrFromLStr 0087 @UStrLAsg 00bf CompareText 00d6 TIWCopyParser.TokenString 00ec @UStrCat 00fa TIWCopyParser.SkipToNextToken 0107 @UStrEqual 0119 _Dn_TIWTag 011e TIWTag.Create 0307 TIWTagParser.WriteString 0339 @WStrFromUStr 0347 RightStr 0352 @UStrFromWStr 0369 TIWCopyParser.CopyToToken 0484 TIWCopyParser.CheckToken 04b6 TIWTagParser.ReadParam 04c4 _Dn_EIWException 04c9 EInException.Create 04ce @RaiseExcept 04ed TIWCopyParser.CheckAndSkipToken 053e @LStrArrayClr 054b @WStrArrayClr 056d @UStrArrayClr 0573 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0D 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 D4 E9 EC 04 00 00 80 EB 3C 74 0E 80 EB 3F 0F 84 90 02 00 00 E9 C7 04 00 00 80 7F 10 00 74 17 8B 47 0C E8 ?? ?? ?? ?? B2 01 8B 47 0C E8 ?? ?? ?? ?? E9 BC 04 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8D 4D CC BA 04 00 00 00 8B 47 0C E8 ?? ?? ?? ?? 8B 55 CC 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 75 06 C6 45 D3 01 EB 23 83 7D EC 00 74 06 83 7D E8 00 75 06 C6 45 D3 00 EB 11 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 45 D3 80 7D D3 00 74 5B 8D 55 C8 8B 47 0C E8 ?? ?? ?? ?? 8B 55 C8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 6A 00 33 C9 33 D2 8B 47 0C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 C2 8B 45 F0 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 E9 FE 03 00 00 8D 4D C4 BA 05 00 00 00 8B 47 0C E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 E4 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 3B 45 E0 75 06 C6 45 D2 01 EB 23 83 7D E4 00 74 06 83 7D E0 00 75 06 C6 45 D2 00 EB 11 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 45 D2 80 7D D2 00 74 5B 8D 55 C0 8B 47 0C E8 ?? ?? ?? ?? 8B 55 C0 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 6A 00 33 C9 33 D2 8B 47 0C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 C2 8B 45 F0 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 E9 39 03 00 00 8D 4D BC BA 02 00 00 00 8B 47 0C E8 ?? ?? ?? ?? 8B 55 BC 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 DC 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 3B 45 D8 75 06 C6 45 D1 01 EB 23 83 7D DC 00 74 06 83 7D D8 00 75 06 C6 45 D1 00 EB 11 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 85 C0 0F 94 45 D1 80 7D D1 00 74 5B 8D 55 B8 8B 47 0C E8 ?? ?? ?? ?? 8B 55 B8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 6A 00 33 C9 33 D2 8B 47 0C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 C2 8B 45 F0 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 E9 74 02 00 00 8B 47 0C E8 ?? ?? ?? ?? B2 01 8B 47 0C E8 ?? ?? ?? ?? E9 4E 02 00 00 8D 4D B4 BA 03 00 00 00 8B 47 0C E8 ?? ?? ?? ?? 8B 55 B4 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 CD 00 00 00 80 7F 04 00 74 0E BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 0C BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 8D 45 A8 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 A8 8D 4D AC 8B D6 4A E8 ?? ?? ?? ?? 8B 55 AC 8D 45 B0 E8 ?? ?? ?? ?? 8B 55 B0 8B C7 E8 ?? ?? ?? ?? 8D 4D A4 B2 25 8B 47 0C E8 ?? ?? ?? ?? 8D 4D A0 BA 03 00 00 00 8B 47 0C E8 ?? ?? ?? ?? 8B 55 A0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 8F 80 7F 04 00 74 0E BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 0C BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? B2 01 8B 47 0C E8 ?? ?? ?? ?? E9 53 01 00 00 8D 4D 9C BA 02 00 00 00 8B 47 0C E8 ?? ?? ?? ?? 8B 55 9C 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 FF 00 00 00 B2 01 8B 47 0C E8 ?? ?? ?? ?? 8D 55 98 8B 47 0C E8 ?? ?? ?? ?? 8B 55 98 8D 45 F8 E8 ?? ?? ?? ?? B2 01 8B 47 0C E8 ?? ?? ?? ?? 8B 47 0C 80 78 31 2E 0F 85 B3 00 00 00 33 D2 8B 47 0C E8 ?? ?? ?? ?? 8D 55 94 8B 47 0C E8 ?? ?? ?? ?? 8B 55 94 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 B2 01 8B 47 0C E8 ?? ?? ?? ?? 8B 47 0C 80 78 31 25 75 27 B2 01 8B 47 0C E8 ?? ?? ?? ?? B2 7D 8B 47 0C E8 ?? ?? ?? ?? 6A 00 33 C9 33 D2 8B 47 0C E8 ?? ?? ?? ?? E9 8D 00 00 00 8B 47 0C 80 78 31 01 74 09 8B 47 0C 80 78 31 2E 75 0F 8B 45 D4 8B 50 0C 8B C7 E8 ?? ?? ?? ?? EB AF B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 97 33 D2 8B 47 0C E8 ?? ?? ?? ?? 8B 47 0C 80 78 31 7D 75 ED B2 7D 8B 47 0C E8 ?? ?? ?? ?? EB 26 8B 47 0C E8 ?? ?? ?? ?? B2 01 8B 47 0C E8 ?? ?? ?? ?? EB 12 8B 47 0C E8 ?? ?? ?? ?? B2 01 8B 47 0C E8 ?? ?? ?? ?? 8B 47 0C 0F B6 58 31 84 DB 0F 85 05 FB FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BC 8B 45 D4 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 69 00 6D 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 49 00 6D 00 67 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 6C 00 69 00 6E 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 69 00 6E 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3C 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 52 00 65 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 7B 00 25 00 25 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 7B 00 25 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 25 00 25 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 25 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 73 00 69 00 6E 00 67 00 20 00 65 00 72 00 72 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_46341_0 {
	meta:
		name = "TIWTagParser.ReadParam"
		size = 512
		refs = "001b TIWTagParser.ReadParam 0029 @UStrClr 0044 @UStrLAsg 004d TIWCopyParser.SkipToken 0058 TIWCopyParser.TokenString 0063 @UStrFromLStr 006e @UStrCat 0082 TIWCopyParser.CheckAndSkipToken 0096 TIWCopyParser.CopySkipToToken 00e6 StringReplace 0132 @UStrCatN 0157 @UStrArrayClr 0164 @LStrArrayClr 017f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 7E 0C 80 7F 31 2E 0F 94 C3 84 DB 74 16 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 EC 8B 46 0C E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 33 D2 8B 46 0C E8 ?? ?? ?? ?? B2 3D 8B 46 0C E8 ?? ?? ?? ?? 84 DB 74 1D 8D 45 E8 50 33 C9 B2 27 8B 46 0C E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F8 E8 ?? ?? ?? ?? EB 1B 8D 45 E4 50 33 C9 B2 22 8B 46 0C E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F8 E8 ?? ?? ?? ?? 33 D2 8B 46 0C E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F8 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 DC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F4 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 6C 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 67 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_46343_0 {
	meta:
		name = "TIWTagParser.WriteString"
		size = 15
		refs = "000a TStringStream.WriteString"
	strings:
		$1 = { 8B 48 08 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46346_0 {
	meta:
		name = "ConvertFromTemplate"
		size = 1160
		refs = "0025 ConvertFromTemplate 0034 _Dn_TStringStream 0039 TStringStream.Create 0077 _Dn_TCopyParser 007c TCopyParser.Create 00a5 TCopyParser.SkipToken 00c2 TCopyParser.TokenString 00cd @UStrFromLStr 00e9 @UStrClr 0109 @UStrLAsg 0147 BaseHTMLComponentInterface 0167 @UStrCatN 01e7 StreamWrite 01fb TCopyParser.CheckToken 0233 TCopyParser.CopyTokenToOutput 02d9 TObject.Free 02df @HandleFinally 02ec TStringStream.GetDataString 0345 @IntfClear 0355 @LStrClr 0362 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 DB 89 5D DC 89 5D D8 89 5D E0 89 5D FC 89 5D F8 89 4D F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 50 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E9 1E 02 00 00 80 FB 7B 0F 85 A4 01 00 00 B2 01 8B 45 E8 E8 ?? ?? ?? ?? 3C 25 0F 85 71 01 00 00 B2 01 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 85 F6 0F 8E 06 01 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F4 8B 08 FF 51 54 85 C0 0F 8C C6 00 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F4 8B 08 FF 51 54 8B D0 8B 45 F4 8B 08 FF 51 18 85 C0 74 45 FF 75 F8 68 ?? ?? ?? ?? 8B 55 FC 8B 45 F4 8B 08 FF 51 54 8B D0 8B 45 F4 8B 08 FF 51 18 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC 8B 08 FF 51 30 FF 75 DC 68 ?? ?? ?? ?? 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F4 8B 08 FF 51 54 8B D0 8B 45 F4 8B 08 FF 51 48 EB 1A 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? B2 01 8B 45 E8 E8 ?? ?? ?? ?? B2 25 8B 45 E8 E8 ?? ?? ?? ?? B2 01 8B 45 E8 E8 ?? ?? ?? ?? B2 7D 8B 45 E8 E8 ?? ?? ?? ?? B2 01 8B 45 E8 E8 ?? ?? ?? ?? E9 92 00 00 00 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? B2 01 8B 45 E8 E8 ?? ?? ?? ?? EB 71 80 FB 3C 75 5A B2 01 8B 45 E8 E8 ?? ?? ?? ?? 3C 2F 75 2B B2 01 8B 45 E8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? B2 01 8B 45 E8 E8 ?? ?? ?? ?? EB 33 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? B2 01 8B 45 E8 E8 ?? ?? ?? ?? EB 12 8B 45 E8 E8 ?? ?? ?? ?? B2 01 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 0F B6 58 39 84 DB 0F 85 D3 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 33 D2 89 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 49 00 4D 00 47 00 20 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 4C 00 41 00 53 00 53 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 44 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 52 00 43 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 6A 00 70 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 7B 00 25 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 25 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3C 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 }
	condition:
		$1
}

rule function_46347_0 {
	meta:
		name = "ExtractImageName"
		size = 328
		refs = "0015 @UStrAddRef 001d ExtractImageName 0042 @UStrCopy 0060 StringReplace 006b @UStrLAsg 009f ExtractFileName 00b6 ExtractFileExt 00c1 Pos 00eb @UStrArrayClr 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC 50 8B CB BA 09 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 56 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7C 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_46348_0 {
	meta:
		name = "ConvertToTemplate"
		size = 2068
		refs = "0023 @UStrAddRef 002b ConvertToTemplate 004f StringReplace 005a @UStrLAsg 0063 _Dn_TStringStream 0068 TStringStream.Create 00a6 _Dn_TCopyParser 00ab TCopyParser.Create 00d8 TCopyParser.SkipToken 00e3 TCopyParser.TokenString 00ee @UStrFromLStr 00fb TCopyParser.SkipToToken 0111 @UStrCat 0128 Pos 0146 @UStrCopy 0152 @UStrSetLength 015c @UStrClr 017f AnsiCompareText 01f2 AnsiPos 0248 Fetch 026b @UStrEqual 027f @UStrDelete 043f Trim 0452 @UStrLen 0478 ExtractImageName 049e ExtractFilePath 04c3 ExtractFileName 04e3 ExtractFileExt 0531 @UStrCatN 053f StreamWrite 0604 TCopyParser.CopyTokenToOutput 0635 TObject.Free 063b @HandleFinally 0648 TStringStream.GetDataString 06a9 @UStrArrayClr 06b1 @LStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 14 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D BC 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 A4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 A4 8D 45 FC E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 AC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 B4 50 8B 4D AC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E9 4D 05 00 00 8B 45 B0 80 78 39 3C 0F 85 2E 05 00 00 B2 01 8B 45 B0 E8 ?? ?? ?? ?? 8D 55 A0 8B 45 B0 E8 ?? ?? ?? ?? 8B 55 A0 8D 45 EC E8 ?? ?? ?? ?? 8D 4D 98 B2 3E 8B 45 B0 E8 ?? ?? ?? ?? 8B 55 98 8D 45 9C E8 ?? ?? ?? ?? 8B 55 9C 8D 45 EC E8 ?? ?? ?? ?? B2 01 8B 45 B0 E8 ?? ?? ?? ?? 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B8 83 7D B8 00 7E 23 8D 45 E8 50 8B 55 B8 42 B9 FF FF FF 7F 8B 45 EC E8 ?? ?? ?? ?? 8B 55 B8 4A 8D 45 EC E8 ?? ?? ?? ?? EB 08 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 DC 8B 55 EC E8 ?? ?? ?? ?? 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 85 C0 0F 94 45 AB 80 7D AB 00 0F 84 11 04 00 00 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 33 C9 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 94 50 33 C9 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 94 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? E9 65 02 00 00 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 23 01 00 00 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 0E 01 00 00 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B D8 0F 8D CB 00 00 00 6A 01 8D 45 E4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 90 50 B9 01 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 90 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2C 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 E0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AE 00 00 00 8D 45 8C 50 B9 01 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 8C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 29 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 E0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 60 6A 01 8D 45 E0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 49 6A 01 8D 45 E4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? EB 2A 6A 01 8D 45 E0 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 E0 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 88 50 B9 01 00 00 00 BA 01 00 00 00 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 88 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8D 45 E0 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 7D E0 85 FF 74 05 83 EF 04 8B 3F 8D 45 84 50 B9 01 00 00 00 8B D7 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 84 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 17 8B 75 E0 85 F6 74 05 83 EE 04 8B 36 8B D6 4A 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D4 8B 55 E4 E8 ?? ?? ?? ?? 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B 45 D4 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 0B 8D 45 F4 8B 55 E0 E8 ?? ?? ?? ?? 8D 45 CC 8B 55 E4 E8 ?? ?? ?? ?? 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B 45 CC E8 ?? ?? ?? ?? 85 C0 0F 94 45 AA 80 7D AA 00 74 0B 8D 45 F0 8B 55 E0 E8 ?? ?? ?? ?? 8D 55 80 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 80 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 8F 8B FD FF FF 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 1E 8D 95 7C FF FF FF 8B 45 F0 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? EB 79 8D 45 C4 8B 55 FC E8 ?? ?? ?? ?? 8D 55 C0 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 C4 E8 ?? ?? ?? ?? 85 C0 0F 94 45 A9 80 7D A9 00 74 4C 8D 95 78 FF FF FF 8B 45 F0 E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 95 74 FF FF FF 8B 45 F0 E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 8B 55 F0 E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 83 7D F4 00 74 3D 8B 45 F4 8B 55 F0 E8 ?? ?? ?? ?? 75 30 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 85 70 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 8B 45 B4 E8 ?? ?? ?? ?? E9 CA 00 00 00 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? FF 75 E8 8D 85 64 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 8D 95 68 FF FF FF E8 ?? ?? ?? ?? FF B5 68 FF FF FF 68 ?? ?? ?? ?? 8D 85 6C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B 45 B4 E8 ?? ?? ?? ?? EB 6E 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? FF 75 E8 8D 85 58 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 8D 95 5C FF FF FF E8 ?? ?? ?? ?? FF B5 5C FF FF FF 68 ?? ?? ?? ?? 8D 85 60 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8B 45 B4 E8 ?? ?? ?? ?? EB 12 8B 45 B0 E8 ?? ?? ?? ?? B2 01 8B 45 B0 E8 ?? ?? ?? ?? 8B 45 B0 80 78 39 00 0F 85 A6 FA FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 B0 33 D2 89 55 B0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 55 BC 8B 45 B4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 B4 33 D2 89 55 B4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 AC 33 D2 89 55 AC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 58 FF FF FF BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 C0 BA 10 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 5F 5E 5B 8B E5 5D C3 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 49 00 4D 00 47 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 52 00 43 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 66 00 69 00 6C 00 65 00 3A 00 2F 00 2F 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 7B 00 25 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 25 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_46351_0 {
	meta:
		name = "TIWTemplateProcessorHTML.Able"
		size = 104
		refs = "000d TIWTemplateProcessorHTML.Able 0025 TIWTemplateProcessorHTML.TemplatePathname 002f FileExists 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 80 7E 39 00 74 25 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC B2 01 E8 ?? ?? ?? ?? 84 C0 75 0B 66 83 7E 5A 00 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46353_0 {
	meta:
		name = "TIWTemplateProcessorHTML.InitControl"
		size = 58
		refs = "0006 TIWBaseContainerLayout.InitControl 000f TIWTemplateProcessorHTML.SetMasterFormTag 0016 _DV_TIWTemplateFiles 001b TObject.Create 0027 TIWContainerLayout.SetAllowFrames 0030 TIWContainerLayout.SetLayoutType"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 4C 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? C6 43 68 01 5B C3 }
	condition:
		$1
}

rule function_46355_0 {
	meta:
		name = "TIWTemplateProcessorHTML.DoUnknownTag"
		size = 37
		refs = "000c @UStrClr"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 E8 ?? ?? ?? ?? 66 83 7B 52 00 74 0A 8B CE 8B D7 8B 43 54 FF 53 50 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46356_0 {
	meta:
		name = "TIWTemplateProcessorHTML.Process"
		size = 1248
		refs = "0022 TIWTemplateProcessorHTML.Process 0033 TIWApplication.GetBrowser 0048 TIWTemplateProcessorHTML.TemplatePathname 006c @UStrFromLStr 0081 Fetch 008c @UStrLAsg 00e1 @UStrCatN 00eb FileExists 0125 _Dn_TFileStream 012a TFileStream.Create 0140 TEncoding.GetUTF8 014c _Dn_TStringStream 0151 TStringStream.Create 0183 TIWBaseContainerLayout.GetCurrentContainer 0193 HTML40FormInterface 01a3 GGetWebApplicationThreadVar 01af TIWApplication.GetActiveMasterTemplate 01ba gServerController 01cd @UStrCat3 0208 MergeTemplates 0222 TObject.Free 0228 @HandleFinally 023e ReadContentsFromStream 0249 TStringStream.WriteString 025f TIWTemplateProcessorHTML.ProcessStream 03fe TStream.SetSize64 040d TStream.CopyFrom 043f @IntfClear 044f @UStrClr 046c @UStrArrayClr 0474 @LStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 89 4D E4 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 04 E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 08 FF 51 4C 8D 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8D 4D D0 8B 45 08 8B 40 04 8B 80 B4 00 00 00 BA ?? ?? ?? ?? 8B 18 FF 53 34 8B 55 D0 8D 45 F0 E8 ?? ?? ?? ?? 6A 01 8D 45 CC 50 8D 45 F0 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8D 45 F0 E8 ?? ?? ?? ?? 6A 01 8D 45 C8 50 8D 45 F0 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8D 45 F0 E8 ?? ?? ?? ?? 6A 01 8D 45 C4 50 8D 45 F8 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 75 F8 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? B2 01 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 0D 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? EB 0B 8D 55 F8 8B 45 EC E8 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 8A 01 00 00 6A 20 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 50 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 66 83 78 5A 00 74 0C 8D 55 E0 8B 5D EC 8B 43 5C FF 53 58 8D 55 BC 8B 45 EC E8 ?? ?? ?? ?? 8B 45 BC 8B 10 FF 52 1C 8D 55 C0 E8 ?? ?? ?? ?? 83 7D C0 00 0F 84 8D 00 00 00 8B 1D ?? ?? ?? ?? 8B 1B FF D3 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 75 A1 ?? ?? ?? ?? 8B 00 8B 90 48 01 00 00 8D 45 FC 8B 4D FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 4F 6A 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 E0 8B 55 DC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 E0 8B 10 FF 12 52 50 8D 55 B8 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 08 50 8B 4D D4 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 33 D2 89 55 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 89 45 E0 8B 45 EC 66 83 78 5A 00 74 0C 8D 55 E0 8B 5D EC 8B 43 5C FF 53 58 83 7D E0 00 0F 84 F8 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 B0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 B0 8B 10 FF 52 1C 8D 55 B4 E8 ?? ?? ?? ?? 83 7D B4 00 0F 84 8D 00 00 00 8B 1D ?? ?? ?? ?? 8B 1B FF D3 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 75 A1 ?? ?? ?? ?? 8B 00 8B 90 48 01 00 00 8D 45 FC 8B 4D FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 4F 6A 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 E0 8B 55 DC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 33 D2 89 55 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 E4 50 8B 45 08 50 8B 4D E0 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 EC 66 83 78 62 00 74 60 8B 45 E8 89 45 D8 8D 55 D8 8B 5D EC 8B 43 64 FF 53 60 8B 45 D8 3B 45 E8 74 46 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 45 E8 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 55 D8 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AE 5B 8B E5 5D C2 04 00 E4 04 01 00 FF FF FF FF 0F 00 00 00 41 63 63 65 70 74 2D 4C 61 6E 67 75 61 67 65 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_46357_0 {
	meta:
		name = "RemoveStyleSheet"
		size = 420
		refs = "0016 @UStrAddRef 001e RemoveStyleSheet 0032 TIWContainerContext.GetControlInstance 003c SupportsInterface 005a HTML40ControlInterface 0070 BaseHTMLComponentInterface 008b UpperCase 00a0 @UStrCatN 00b0 TIWHTMLTag.GetContents 00c9 TIWMarkupLanguageTagCollection.GetHTMLElement 00cf _Dn_TIWTextElement 00d4 @IsClass 00f1 @UStrLAsg 00fc AnsiPos 0112 TObject.Free 0120 TList.Delete 0140 @UStrArrayClr 0148 @IntfClear 0163 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 0C 8B 55 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 E2 00 00 00 8B 45 08 8B 40 0C 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 0C 8B 55 FC E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 8B 45 EC 8B 08 FF 51 30 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 70 64 8B C6 E8 ?? ?? ?? ?? 8B 78 08 4F 85 FF 7C 6E 47 33 DB 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4A 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 50 0C 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 48 75 23 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? EB 04 43 4F 75 95 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 21 DD 52 13 BF EC EE 4A A4 3B 95 6B E7 43 D2 6C B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 43 00 53 00 53 00 00 00 }
	condition:
		$1
}

rule function_46358_0 {
	meta:
		name = "CheckTag"
		size = 380
		refs = "001b CheckTag 002a TCopyParser.SkipToken 0034 TCopyParser.TokenString 003f @UStrFromLStr 0080 @UStrCatN 00ad TIWContainerContext.IsValidComponent 00c0 Pos 00cf @UStrDelete 00fa RemoveStyleSheet 0112 TCopyParser.CheckToken 0142 @LStrClr 014a @UStrClr 0160 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 66 89 55 FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? EB 3F B2 01 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? FF 75 F0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 80 7B 39 2E 74 BB 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 5C 8B 45 08 8B 40 0C 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 4A EB 1C 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F D3 8B 45 08 8B 40 FC 8B 55 FC 8B 08 FF 51 38 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F8 80 78 49 01 74 14 0F B6 55 FA 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_46359_0 {
	meta:
		name = "ProcessTag"
		size = 760
		refs = "0028 ProcessTag 0035 @UStrClr 003f TCopyParser.SkipToken 004a TCopyParser.TokenString 0055 @UStrFromLStr 0099 @UStrCatN 00ce TIWContainerContext.IsValidComponent 00f2 TIWContainerContext.GetControlInstance 00fa BaseHTMLComponentInterface 0108 TIWContainerContext.GetComponentContext 010d TIWCompContext.GetHTMLTag 011b RemoveStyleSheet 0140 _Dn_TIWRenderStream 0145 TIWRenderStream.Create 018f TIWContainerContext.AddComponent 01db TIWRenderStream.Extract 01f6 TIWContainerContext.RemoveComponent 01fc @HandleFinally 022a TObject.Free 0241 @HandleOnException 0249 _Dn_EAbort 0252 @DoneExcept 0264 TIWTemplateProcessorHTML.DoUnknownTag 027c TCopyParser.CheckToken 02b1 @LStrClr 02c9 @IntfClear"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 66 89 4D F0 66 89 55 F2 89 45 F4 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? B2 01 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 F4 E8 ?? ?? ?? ?? EB 42 B2 01 8B 45 F4 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 DC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? FF 75 E0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? B2 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 80 78 39 2E 74 B5 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E A4 01 00 00 8B 45 0C 8B 40 0C 8B 55 FC E8 ?? ?? ?? ?? 84 C0 0F 84 7E 01 00 00 8B 45 0C 8B 40 FC 8B 55 FC 8B 08 FF 51 38 8B 45 0C 8B 40 0C 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 0C 8B 40 0C 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 0C 50 8B 45 FC E8 ?? ?? ?? ?? 59 8B C6 E8 ?? ?? ?? ?? 85 DB 0F 84 39 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 0C 8B 40 0C 8B 55 FC E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 8B 40 0C 8B 55 0C 3B 42 0C 0F 84 85 00 00 00 6A 01 8B 45 E8 8B 48 04 8B 45 0C 8B 40 0C 8B 55 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 8B 40 0C 8B 55 E8 89 42 0C 8B 45 F8 50 8B 45 0C 8B 48 08 8B 45 0C 8B 50 0C 8B 45 0C 8B 40 F8 8B 38 FF 57 5C 8B 4D EC 8B D3 8B 45 F8 8B 18 FF 53 44 8B D6 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 0C 8B 40 0C 8B 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 4D EC 8B D3 8B 45 F8 8B 18 FF 53 44 8B D6 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 28 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8B CE 8B 45 0C 8B 40 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 0C 8B 40 F8 80 78 49 01 74 16 0F B6 55 F2 8B 45 F4 E8 ?? ?? ?? ?? B2 01 8B 45 F4 E8 ?? ?? ?? ?? 0F B6 55 F0 8B 45 F4 E8 ?? ?? ?? ?? B2 01 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_46361_0 {
	meta:
		name = "SkipOverNextHTMLTag"
		size = 114
		refs = "000e SkipOverNextHTMLTag 0020 TCopyParser.SkipToToken 0029 TCopyParser.SkipToken 0032 TCopyParser.CheckToken 0061 @LStrArrayClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC B2 3C 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 2F 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 B2 3E 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46362_0 {
	meta:
		name = "WriteHead"
		size = 464
		refs = "0011 WriteHead 0031 gSC 0050 @UStrCatN 0067 iif 008f StreamWrite 009d TIWHTMLTag.GetContents 00b3 TIWMarkupLanguageElement.Render 00eb @UStrArrayClr 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 C6 40 F7 01 68 ?? ?? ?? ?? 8D 45 F8 50 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 FF B0 98 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 A1 ?? ?? ?? ?? 8B 00 8B 80 98 00 00 00 33 C9 E8 ?? ?? ?? ?? FF 75 F8 8B 45 08 8B 40 F8 FF 70 3C 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 40 64 E8 ?? ?? ?? ?? 83 78 08 00 7E 10 8B 45 08 8B 40 08 8B 40 64 8B D3 E8 ?? ?? ?? ?? 8D 4D F0 8B 45 08 8B 50 08 8B 45 08 8B 40 F8 8B 30 FF 56 58 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 48 00 45 00 41 00 44 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3C 00 00 00 3C 00 4D 00 45 00 54 00 41 00 20 00 48 00 54 00 54 00 50 00 2D 00 45 00 51 00 55 00 49 00 56 00 3D 00 22 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 22 00 20 00 43 00 4F 00 4E 00 54 00 45 00 4E 00 54 00 3D 00 22 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 3B 00 20 00 43 00 48 00 41 00 52 00 53 00 45 00 54 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46363_0 {
	meta:
		name = "RemoveHiddenInput"
		size = 272
		refs = "001a @UStrAddRef 0022 RemoveHiddenInput 002f TIWHTMLTag.GetContents 004c TIWMarkupLanguageTagCollection.GetHTMLElement 0052 _Dn_TIWHTMLTag 0057 @IsClass 0074 @AsClass 008a TIWTagParamsStringList.GetValue 0095 @UStrLAsg 00a0 AnsiCompareText 00b7 TList.Delete 00bf TObject.Free 00e3 @UStrArrayClr 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F8 89 4D F4 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B 70 08 4E 85 F6 0F 8C 8E 00 00 00 46 33 DB 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 66 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 4D F8 8B 45 F0 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 18 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 08 43 4E 0F 85 75 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_46364_0 {
	meta:
		name = "TIWTemplateProcessorHTML.ProcessStream"
		size = 4580
		refs = "0024 TIWTemplateProcessorHTML.ProcessStream 0037 _Dn_TMemoryStream 003c TObject.Create 0046 _Dn_TStringList 004b TStringList.Create 0058 TStringList.SetSorted 006a TIWBaseContainerLayout.GetCurrentContainer 007f SupportsInterface 00ae _Dn_TCopyParser 00b3 TCopyParser.Create 00e6 TCopyParser.SkipToken 0104 CheckTag 0118 TCopyParser.TokenString 0126 @UStrFromLStr 0136 TCopyParser.SkipToToken 0155 @UStrCat 0162 Pos 0180 @UStrCopy 018b @UStrSetLength 01b0 @UStrCat3 01c3 StringReplace 01d1 @UStrLAsg 01e8 gSC 01ef TIWServerControllerBase.GetAppPath 02e1 @UStrClr 0301 @UStrCatN 0312 Trim 033b StreamWrite 035a TCopyParser.SkipTo 0375 @UStrEqual 039c SkipAndOutput 03cf TObject.Free 03d5 @HandleFinally 03e3 TStream.SetPosition 044e ProcessTag 065c AnsiCompareText 0693 Fetch 06df AnsiPos 0836 TIWTagParamsStringList.GetValue 0856 TIWMarkupLanguageTag.AddStringParam 08ab TIWPageContext40.AddToInitProc 092b TIWTagParamsStringList.SetValue 0949 @UStrLen 0960 WriteHead 0979 TIWMarkupLanguageElement.Render 099a TIWBaseContainerLayout.GetNoFormTag 09d6 _Dn_TIWCustomRegion 09db @IsClass 0a6d StreamWriteLn 0a75 TIWContainerContext.GetControlsCount 0a8a TIWContainerContext.GetControlInstanceFromIndex 0a8f isInputControl 0aa2 isBaseComponent 0abb BaseHTMLComponentInterface 0ae5 RemoveHiddenInput 0c4f SkipOverNextHTMLTag 0e2b @LStrClr 0e3b @UStrArrayClr 0e46 @IntfClear"
	strings:
		$1 = { 55 8B EC 51 B9 25 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D 9C 89 55 A0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 89 45 8C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 94 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC B2 01 8B 45 FC E8 ?? ?? ?? ?? C6 45 F7 00 8D 95 78 FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 8B 10 FF 52 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 92 8B 45 08 8B 40 04 0F B6 80 C8 00 00 00 88 45 93 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 94 50 8B 4D 9C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 98 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E9 DD 02 00 00 80 EB 3C 74 0E 80 EB 3F 0F 84 70 02 00 00 E9 C2 02 00 00 B2 01 8B 45 98 E8 ?? ?? ?? ?? 3C 23 75 20 8B 45 F8 80 78 49 01 75 17 55 66 B9 3E 00 66 BA 23 00 8B 45 98 E8 ?? ?? ?? ?? 59 E9 9C 02 00 00 8D 95 74 FF FF FF 8B 45 98 E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? 8D 8D 6C FF FF FF B2 3E 8B 45 98 E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 0F 8E 6D 01 00 00 8D 45 EC 50 8D 56 01 B9 FF FF FF 7F 8B 45 F0 E8 ?? ?? ?? ?? 8B D6 4A 8D 45 F0 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 85 68 FF FF FF 50 8B 45 8C 8B 50 10 8D 85 64 FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 64 FF FF FF BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8D 45 EC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E0 50 8D 95 60 FF FF FF A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 95 60 FF FF FF A1 ?? ?? ?? ?? 8B 00 8B 80 B4 00 00 00 33 C9 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 85 5C FF FF FF 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 95 5C FF FF FF 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E0 8B 4D E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 8B 55 8C 8B 52 10 E8 ?? ?? ?? ?? 83 7D DC 00 74 24 8B 7D DC 85 FF 74 05 83 EF 04 8B 3F 8B 45 DC 66 83 7C 78 FE 2F 74 0D 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 85 58 FF FF FF 50 33 C9 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 95 58 FF FF FF 8D 45 DC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 85 54 FF FF FF 50 8B 4D DC 8B 55 E0 8B 45 EC E8 ?? ?? ?? ?? 8B 95 54 FF FF FF 8D 45 EC E8 ?? ?? ?? ?? EB 08 8D 45 EC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 75 EC 8D 85 48 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 8D 95 4C FF FF FF E8 ?? ?? ?? ?? FF B5 4C FF FF FF 68 ?? ?? ?? ?? 8D 85 50 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8B 45 94 E8 ?? ?? ?? ?? B2 01 8B 45 98 E8 ?? ?? ?? ?? EB 5F 8D 8D 44 FF FF FF BA 02 00 00 00 8B 45 98 E8 ?? ?? ?? ?? 8B 95 44 FF FF FF 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1D 8B 45 F8 80 78 49 00 75 14 55 66 B9 7D 00 66 BA 25 00 8B 45 98 E8 ?? ?? ?? ?? 59 EB 12 8B 45 98 E8 ?? ?? ?? ?? EB 08 8B 45 98 E8 ?? ?? ?? ?? 8B 45 98 0F B6 58 39 84 DB 0F 85 14 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 98 33 D2 89 55 98 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 6A 00 6A 00 8B 45 9C E8 ?? ?? ?? ?? 8B 45 A0 50 8B 4D 9C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 98 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E9 9C 09 00 00 80 EB 3C 74 0E 80 EB 3F 0F 84 05 09 00 00 E9 6C 09 00 00 B2 01 8B 45 98 E8 ?? ?? ?? ?? 3C 23 75 35 8B 45 F8 80 78 49 01 75 2C 55 8D 85 40 FF FF FF 50 66 B9 3E 00 66 BA 23 00 8B 45 98 E8 ?? ?? ?? ?? 59 8B 95 40 FF FF FF 8B 45 A0 E8 ?? ?? ?? ?? E9 46 09 00 00 8D 95 3C FF FF FF 8B 45 98 E8 ?? ?? ?? ?? 8B 95 3C FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? 8D 8D 34 FF FF FF B2 3E 8B 45 98 E8 ?? ?? ?? ?? 8B 95 34 FF FF FF 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8B 95 38 FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 0F 8E 6D 01 00 00 8D 45 EC 50 8D 56 01 B9 FF FF FF 7F 8B 45 F0 E8 ?? ?? ?? ?? 8B D6 4A 8D 45 F0 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 85 30 FF FF FF 50 8B 45 8C 8B 50 10 8D 85 2C FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 2C FF FF FF BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 95 30 FF FF FF 8D 45 EC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E0 50 8D 95 28 FF FF FF A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 95 28 FF FF FF A1 ?? ?? ?? ?? 8B 00 8B 80 B4 00 00 00 33 C9 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 85 24 FF FF FF 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 95 24 FF FF FF 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E0 8B 4D E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 8B 55 8C 8B 52 10 E8 ?? ?? ?? ?? 83 7D DC 00 74 24 8B 7D DC 85 FF 74 05 83 EF 04 8B 3F 8B 45 DC 66 83 7C 78 FE 2F 74 0D 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 85 20 FF FF FF 50 33 C9 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 95 20 FF FF FF 8D 45 DC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 85 1C FF FF FF 50 8B 4D DC 8B 55 E0 8B 45 EC E8 ?? ?? ?? ?? 8B 95 1C FF FF FF 8D 45 EC E8 ?? ?? ?? ?? EB 08 8D 45 EC E8 ?? ?? ?? ?? 8D 45 D8 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 94 45 87 80 7D 87 00 0F 84 98 03 00 00 80 7D 92 00 0F 84 37 03 00 00 E9 C6 02 00 00 6A 01 8D 85 18 FF FF FF 50 8D 45 EC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 18 FF FF FF 8D 55 E8 E8 ?? ?? ?? ?? 8D 45 E4 8B 55 E8 E8 ?? ?? ?? ?? 6A 01 8D 85 14 FF FF FF 50 8D 45 E4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 14 FF FF FF 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 7C 6A 01 8D 85 10 FF FF FF 50 8D 45 E4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 28 8D 45 EC 8B 4D EC 8B 55 E4 E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 EC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B0 00 00 00 6A 01 8D 85 0C FF FF FF 50 8D 45 E4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 0C FF FF FF 8D 45 E4 E8 ?? ?? ?? ?? E9 85 00 00 00 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 74 6A 01 8D 85 08 FF FF FF 50 8D 45 E4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 25 8D 45 EC 8B 4D EC 8B 55 E4 E8 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8D 45 EC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 6A 01 8D 85 04 FF FF FF 50 8D 45 E4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 04 FF FF FF 8D 45 E4 E8 ?? ?? ?? ?? 83 7D E8 00 0F 84 53 01 00 00 8D 45 D0 8B 55 E8 E8 ?? ?? ?? ?? 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 45 D0 E8 ?? ?? ?? ?? 85 C0 0F 94 45 86 80 7D 86 00 74 3E 8D 8D 00 FF FF FF 8B 45 8C 8B 40 0C 8B 40 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BD 00 FF FF FF 00 0F 85 FE 00 00 00 8B 45 8C 8B 40 0C 8B 4D E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E6 00 00 00 8D 45 C8 8B 55 E8 E8 ?? ?? ?? ?? 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B 45 C8 E8 ?? ?? ?? ?? 85 C0 0F 94 45 85 80 7D 85 00 74 26 8D 85 FC FE FF FF B9 ?? ?? ?? ?? 8B 55 E4 E8 ?? ?? ?? ?? 8B 95 FC FE FF FF 8B 45 08 E8 ?? ?? ?? ?? E9 91 00 00 00 8D 45 C0 8B 55 E8 E8 ?? ?? ?? ?? 8D 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 45 C0 E8 ?? ?? ?? ?? 85 C0 0F 94 45 84 80 7D 84 00 74 4E 8D 8D F4 FE FF FF 8B 45 8C 8B 40 0C 8B 40 10 8B 55 E8 E8 ?? ?? ?? ?? FF B5 F4 FE FF FF FF 75 E4 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 8D F8 FE FF FF 8B 45 8C 8B 40 0C 8B 40 10 8B 55 E8 E8 ?? ?? ?? ?? EB 14 8B 45 8C 8B 40 0C 8B 40 10 8B 4D E4 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 8F 2A FD FF FF 80 7D F7 00 75 0A 55 8B 45 A0 E8 ?? ?? ?? ?? 59 8B 45 8C 8B 40 0C C6 40 1D 01 8B 45 8C 8B 40 0C 8B 55 A0 E8 ?? ?? ?? ?? B2 01 8B 45 98 E8 ?? ?? ?? ?? 80 7D 93 00 75 72 8B 45 F8 80 78 48 00 74 69 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 5D BA ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? EB 4E 33 D2 8B 45 98 E8 ?? ?? ?? ?? 8D 95 F0 FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF 8B 10 FF 52 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 80 7D 93 00 75 16 8B 45 F8 80 78 48 00 74 0D BA ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? C6 45 F7 01 E9 A4 03 00 00 8D 45 B8 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B 45 B8 E8 ?? ?? ?? ?? 85 C0 0F 94 45 83 80 7D 83 00 0F 84 41 01 00 00 80 7D 92 00 0F 84 D4 00 00 00 80 7D 93 00 0F 85 AE 00 00 00 8B 45 F8 80 78 48 00 74 19 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 0D BA ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 48 85 C0 7C 71 40 89 45 88 33 F6 8B D6 8B 45 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 52 8B D6 8B 45 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3F 8B D6 8B 45 0C E8 ?? ?? ?? ?? 8D 95 EC FE FF FF E8 ?? ?? ?? ?? 8B 85 EC FE FF FF 8D 55 F0 8B 08 FF 51 30 8B 55 F0 8B 45 FC 8B 08 FF 51 54 40 75 0E 8B 45 8C 8B 40 08 8B 55 F0 E8 ?? ?? ?? ?? 46 FF 4D 88 75 95 8B 45 8C 8B 40 08 8B 55 A0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? B2 01 8B 45 98 E8 ?? ?? ?? ?? E9 93 02 00 00 8D 95 E8 FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 85 E8 FE FF FF 8B 10 FF 52 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 28 80 7D 93 00 75 22 8B 45 F8 80 78 48 00 74 19 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 0D BA ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? 33 D2 8B 45 98 E8 ?? ?? ?? ?? C6 45 F7 00 E9 30 02 00 00 8D 45 B0 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 AC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 8B 45 B0 E8 ?? ?? ?? ?? 85 C0 0F 94 45 82 80 7D 82 00 74 34 80 7D 92 00 74 1F 80 7D F7 00 75 0A 55 8B 45 A0 E8 ?? ?? ?? ?? 59 B2 01 8B 45 98 E8 ?? ?? ?? ?? E9 DC 01 00 00 33 D2 8B 45 98 E8 ?? ?? ?? ?? E9 CD 01 00 00 8D 45 A8 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 A4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8B 45 A8 E8 ?? ?? ?? ?? 85 C0 0F 94 45 81 80 7D 81 00 0F 84 90 00 00 00 80 7D 92 00 0F 84 90 01 00 00 8B 45 8C 8B 40 14 89 85 7C FF FF FF 83 BD 7C FF FF FF 00 74 11 8B 85 7C FF FF FF 83 E8 04 8B 00 89 85 7C FF FF FF 83 BD 7C FF FF FF 00 7E 3B 8B 45 98 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 8C FF 70 14 68 ?? ?? ?? ?? 8D 85 E4 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 E4 FE FF FF 8B 45 A0 E8 ?? ?? ?? ?? E9 26 01 00 00 BA ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? B2 01 8B 45 98 E8 ?? ?? ?? ?? E9 0A 01 00 00 0F B6 45 92 0A 45 F7 74 69 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 75 EC 8D 85 D8 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 D8 FE FF FF 8D 95 DC FE FF FF E8 ?? ?? ?? ?? FF B5 DC FE FF FF 68 ?? ?? ?? ?? 8D 85 E0 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 E0 FE FF FF 8B 45 A0 E8 ?? ?? ?? ?? B2 01 8B 45 98 E8 ?? ?? ?? ?? E9 98 00 00 00 33 D2 8B 45 98 E8 ?? ?? ?? ?? E9 89 00 00 00 8D 8D D4 FE FF FF BA 02 00 00 00 8B 45 98 E8 ?? ?? ?? ?? 8B 95 D4 FE FF FF 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 32 8B 45 F8 80 78 49 00 75 29 55 8D 85 D0 FE FF FF 50 66 B9 7D 00 66 BA 25 00 8B 45 98 E8 ?? ?? ?? ?? 59 8B 95 D0 FE FF FF 8B 45 A0 E8 ?? ?? ?? ?? EB 27 8B 45 98 E8 ?? ?? ?? ?? EB 1D 0F B6 45 92 0A 45 F7 74 0A 8B 45 98 E8 ?? ?? ?? ?? EB 0A 33 D2 8B 45 98 E8 ?? ?? ?? ?? 8B 45 98 0F B6 58 39 84 DB 0F 85 55 F6 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 98 33 D2 89 55 98 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? 8B 45 94 33 D2 89 55 94 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D0 FE FF FF E8 ?? ?? ?? ?? 8D 85 D4 FE FF FF E8 ?? ?? ?? ?? 8D 85 D8 FE FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 85 34 FF FF FF E8 ?? ?? ?? ?? 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 8D 85 48 FF FF FF BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 45 A4 BA 14 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 1E FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 70 93 07 4B B7 D1 13 4D 95 01 AD 0D 15 72 BF 4D B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 03 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 2F 00 66 00 69 00 6C 00 65 00 73 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2E 00 2E 00 2F 00 66 00 69 00 6C 00 65 00 73 00 2F 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 2E 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 24 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 7B 00 25 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 4F 00 44 00 59 00 00 00 00 00 B0 04 02 00 }
	condition:
		$1
}

rule function_46365_0 {
	meta:
		name = "TIWTemplateProcessorHTML.SetTemplates"
		size = 9
	strings:
		$1 = { 8B 40 4C 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_46366_0 {
	meta:
		name = "TIWTemplateProcessorHTML.TemplatePathname"
		size = 796
		refs = "001a TIWTemplateProcessorHTML.TemplatePathname 0037 TIWBaseContainerLayout.GetCurrentContainer 005c UpperCase 0069 Pos 00a8 StringReplace 00f6 @UStrFromWChar 0103 @UStrLAsg 010e AnsiCompareText 0129 @UStrDelete 0136 @UStrCat 0140 @UStrClr 0145 gServerController 0162 @UStrCat3 016c FileExists 017e @UStrAsg 0286 @IntfClear 02a3 @UStrArrayClr 02be @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 4C 83 78 04 00 0F 85 51 01 00 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 83 7D F0 00 0F 84 F7 00 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 57 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 3B 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 8B 08 FF 51 14 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC 8B 08 FF 51 14 8B 45 DC 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 41 8D 45 F8 8B 55 FC 0F B7 12 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 74 34 A1 ?? ?? ?? ?? 8B 00 8B 90 48 01 00 00 8D 45 D4 8B 4D FC E8 ?? ?? ?? ?? 8B 45 D4 B2 01 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 43 4C 83 C0 04 8B 55 FC E8 ?? ?? ?? ?? 0F B6 53 38 80 FA 08 75 16 8B 43 4C 8B 40 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C0 EB 02 33 C0 84 C0 74 12 8B C6 8B 53 4C 8B 52 10 E8 ?? ?? ?? ?? E9 9E 00 00 00 80 FA 08 75 16 8B 43 4C 8B 40 0C 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C0 EB 02 33 C0 84 C0 74 0F 8B C6 8B 53 4C 8B 52 0C E8 ?? ?? ?? ?? EB 6E 80 FA 02 75 16 8B 43 4C 8B 40 08 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C0 EB 02 33 C0 84 C0 74 0F 8B C6 8B 53 4C 8B 52 08 E8 ?? ?? ?? ?? EB 3E 80 7B 38 04 75 18 8B 43 4C 83 78 14 00 74 0F 8B C6 8B 53 4C 8B 52 14 E8 ?? ?? ?? ?? EB 20 8B 43 4C 8B 40 04 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0D 8B C6 8B 53 4C 8B 52 04 E8 ?? ?? ?? ?? 8B 0E A1 ?? ?? ?? ?? 8B 00 8B 90 48 01 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B6 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 54 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2E 00 68 00 74 00 6D 00 6C 00 00 00 }
	condition:
		$1
}

rule function_46367_0 {
	meta:
		name = "TIWTemplateProcessorHTML.ProcessControl"
		size = 844
		refs = "0023 @IntfAddRef 002b TIWTemplateProcessorHTML.ProcessControl 0043 SupportsInterface 005b HTML40ComponentInterface 0071 TIWContainerContext.GetComponentContext 007c TIWCompContext.GetHTMLTag 00a2 TIWMarkupLanguageTag.AddStringParam 00b2 TIWTagParamsStringList.GetValue 00c1 TIWTagParamsStringList.SetValue 00e5 Fetch 00f2 @UStrEqual 019d @UStrCatN 01e1 @UStrCat 0201 TIWContainerLayout.ProcessControl 021b @UStrArrayClr 0223 @IntfClear 023e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D EC 89 55 F0 8B F0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 10 FF 52 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A5 01 00 00 8B 45 08 8B 10 FF 52 0C 8D 55 F4 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 08 8B 08 FF 51 30 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 6A 01 00 00 8D 4D E0 33 D2 8B 45 F4 8B 38 FF 57 58 8B 4D E0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 80 7E 68 00 0F 84 25 01 00 00 E9 DC 00 00 00 6A 01 8D 45 F8 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 4B 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 3C 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 2D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 17 6A 01 8D 45 DC 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 56 8D 4D D4 BA ?? ?? ?? ?? 8B 7B 10 8B C7 E8 ?? ?? ?? ?? FF 75 D4 FF 75 F8 68 ?? ?? ?? ?? 6A 01 8D 45 D0 50 8D 45 FC B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? 8D 45 D8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D D8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 0F 85 1A FF FF FF 8D 4D CC 8B 55 E8 8B 45 F4 8B 38 FF 57 5C 8D 45 CC 50 8D 4D C8 BA ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 8B 55 C8 58 E8 ?? ?? ?? ?? 8B 4D CC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D EC 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 BA DA 7A 9A 76 A5 A0 4C 8C A1 61 2E 8D 32 2E C4 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 4C 00 41 00 53 00 53 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 54 00 59 00 4C 00 45 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 74 00 6F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 77 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 68 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 7A 00 2D 00 69 00 6E 00 64 00 65 00 78 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_46368_0 {
	meta:
		name = "TIWTemplateProcessorHTML.RenderStyle"
		size = 256
		refs = "0016 @IntfAddRef 001e TIWTemplateProcessorHTML.RenderStyle 0034 @IntfCast 0044 BaseHTMLComponentInterface 0050 TIWContainerLayout.RenderStyle 0062 SupportsInterface 0072 @UStrCat 0087 @IntfClear 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 8D 55 F4 E8 ?? ?? ?? ?? 8B CB 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 21 DD 52 13 BF EC EE 4A A4 3B 95 6B E7 43 D2 6C F9 29 D2 54 29 0F E4 47 B2 23 32 A7 00 C3 08 C2 B0 04 02 00 FF FF FF FF 12 00 00 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 72 00 65 00 6C 00 61 00 74 00 69 00 76 00 65 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_46369_0 {
	meta:
		name = "TIWTemplateFiles.AssignTo"
		size = 96
		refs = "000b _DV_TIWTemplateFiles 0010 @IsClass 0021 @UStrAsg 0058 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3B 8B FE 8D 47 04 8B 53 04 E8 ?? ?? ?? ?? 8D 47 08 8B 53 08 E8 ?? ?? ?? ?? 8D 47 0C 8B 53 0C E8 ?? ?? ?? ?? 8D 47 10 8B 53 10 E8 ?? ?? ?? ?? 8D 47 14 8B 53 14 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46370_0 {
	meta:
		name = "TIWTemplateFiles.Create"
		size = 215
		refs = "000e @ClassCreate 001d @UStrAddRef 0045 TIWTemplateFiles.Create 0054 TObject.Create 005f @UStrAsg 00a0 @UStrClr 00ad @UStrArrayClr 00b3 @HandleFinally 00c0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 8D 46 08 8B 55 14 E8 ?? ?? ?? ?? 8D 46 0C 8B 55 10 E8 ?? ?? ?? ?? 8D 46 10 8B 55 0C E8 ?? ?? ?? ?? 8D 46 14 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_46373_0 {
	meta:
		name = "TIWTestFramework.GenereateTestUnit"
		size = 2572
		refs = "001e @UStrAddRef 0023 EOL 002b TIWTestFramework.GenereateTestUnit 004d @UStrCatN 0468 @UStrAsg 047d @UStrClr 048a @UStrArrayClr 0490 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D F8 89 4D F0 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? BE ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 6A 00 FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 6A 00 FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 6A 00 FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 6A 00 FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 6A 00 FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 10 8B 10 FF 52 14 8B D8 4B 85 DB 7C 39 43 C7 45 EC 00 00 00 00 FF 75 F8 68 ?? ?? ?? ?? 8D 4D E8 8B 45 F4 8B 40 10 8B 55 EC 8B 38 FF 57 0C FF 75 E8 FF 36 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? FF 45 EC 4B 75 CF FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 6A 00 FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 36 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 75 00 6E 00 69 00 74 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 75 00 73 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 20 00 20 00 43 00 6C 00 61 00 73 00 73 00 65 00 73 00 2C 00 20 00 53 00 79 00 73 00 55 00 74 00 69 00 6C 00 73 00 2C 00 20 00 54 00 65 00 73 00 74 00 46 00 72 00 61 00 6D 00 65 00 57 00 6F 00 72 00 6B 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 20 00 54 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 20 00 3D 00 20 00 63 00 6C 00 61 00 73 00 73 00 28 00 54 00 54 00 65 00 73 00 74 00 43 00 61 00 73 00 65 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 20 00 70 00 72 00 6F 00 74 00 65 00 63 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 20 00 20 00 20 00 20 00 70 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 20 00 53 00 65 00 74 00 55 00 70 00 3B 00 20 00 6F 00 76 00 65 00 72 00 72 00 69 00 64 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 20 00 20 00 20 00 20 00 70 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 20 00 54 00 65 00 61 00 72 00 44 00 6F 00 77 00 6E 00 3B 00 20 00 6F 00 76 00 65 00 72 00 72 00 69 00 64 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 20 00 70 00 75 00 62 00 6C 00 69 00 73 00 68 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 20 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 20 00 20 00 20 00 20 00 70 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 20 00 54 00 65 00 73 00 74 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 20 00 65 00 6E 00 64 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 20 00 20 00 49 00 57 00 54 00 65 00 73 00 74 00 46 00 72 00 61 00 6D 00 65 00 77 00 6F 00 72 00 6B 00 2C 00 20 00 49 00 57 00 42 00 61 00 73 00 65 00 49 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 73 00 2C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 20 00 20 00 20 00 2F 00 2F 00 20 00 61 00 64 00 64 00 20 00 66 00 6F 00 72 00 6D 00 20 00 75 00 6E 00 69 00 74 00 73 00 20 00 68 00 65 00 72 00 65 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 20 00 20 00 49 00 57 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 70 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 20 00 54 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 2E 00 53 00 65 00 74 00 55 00 70 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 62 00 65 00 67 00 69 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 20 00 2F 00 2F 00 20 00 53 00 65 00 74 00 75 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6E 00 64 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 2E 00 54 00 65 00 61 00 72 00 44 00 6F 00 77 00 6E 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 20 00 2F 00 2F 00 20 00 43 00 6C 00 65 00 61 00 6E 00 20 00 75 00 70 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2E 00 54 00 65 00 73 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 20 00 20 00 77 00 69 00 74 00 68 00 20 00 4E 00 65 00 77 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 6F 00 20 00 74 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 20 00 66 00 69 00 6E 00 61 00 6C 00 6C 00 79 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 20 00 20 00 20 00 46 00 72 00 65 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 69 00 6E 00 69 00 74 00 69 00 61 00 6C 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 20 00 20 00 52 00 65 00 67 00 69 00 73 00 74 00 65 00 72 00 54 00 65 00 73 00 74 00 28 00 27 00 27 00 2C 00 20 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 2E 00 53 00 75 00 69 00 74 00 65 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 6E 00 64 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46376_0 {
	meta:
		name = "TIWTestFramework.RecordValueSet"
		size = 416
		refs = "001b @UStrAddRef 0033 TIWTestFramework.RecordValueSet 005d StringReplace 0068 @UStrLAsg 0082 @UStrCatN 00d1 @UStrArrayClr 00d9 @UStrClr 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0C 00 74 78 0F B6 05 ?? ?? ?? ?? 50 8D 45 F4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 08 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 08 68 ?? ?? ?? ?? 8D 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 08 68 ?? ?? ?? ?? 8D 45 F0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 43 10 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C2 04 00 01 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 27 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 6E 00 70 00 75 00 74 00 49 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 28 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 28 00 41 00 63 00 74 00 69 00 76 00 65 00 46 00 6F 00 72 00 6D 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 29 00 2E 00 53 00 65 00 74 00 56 00 61 00 6C 00 75 00 65 00 28 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_46377_0 {
	meta:
		name = "TIWTestFramework.RecordFormSubmit"
		size = 280
		refs = "0018 @UStrAddRef 0030 TIWTestFramework.RecordFormSubmit 0061 @UStrCatN 0086 @UStrArrayClr 008e @UStrClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0C 00 74 30 FF 75 FC 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 F4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 10 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 28 00 41 00 63 00 74 00 69 00 76 00 65 00 46 00 6F 00 72 00 6D 00 29 00 2E 00 53 00 75 00 62 00 6D 00 69 00 74 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 28 00 41 00 63 00 74 00 69 00 76 00 65 00 46 00 6F 00 72 00 6D 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 29 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_46379_0 {
	meta:
		name = "TBaseWebPageModuleFactory.PreventDestruction"
		size = 5
		altNames = "TIWTestFramework.StopRecording TSyncController.NextStep"
	strings:
		$1 = { C6 40 0C 00 C3 }
	condition:
		$1
}

rule function_46380_0 {
	meta:
		name = "TIWTestFramework.ClearRecording"
		size = 9
	strings:
		$1 = { 8B 40 10 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_46382_0 {
	meta:
		name = "TIWTestFramework.SubmitForm"
		size = 71
		refs = "000b @IntfAddRef 0013 TIWTestFramework.SubmitForm 0038 @IntfClear 003e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_46383_0 {
	meta:
		name = "NewSession"
		size = 272
		refs = "0004 gServerController 000f GSetWebApplicationThreadVar 0019 NewSession 0020 _Dn_Exception 0025 Exception.Create 002a @RaiseExcept 0033 _DV_TIWTestApplication 0038 TIWTestApplication.Create 005a TIWServerControllerBase.DoNewSession 0068 gMainFormClass 0073 RSNoMainForm 008c GGetWebApplicationThreadVar"
	strings:
		$1 = { 53 56 8B 15 ?? ?? ?? ?? 83 3A 00 74 0B 8B 15 ?? ?? ?? ?? 83 3A 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 35 ?? ?? ?? ?? 8B 36 8B C3 FF D6 8D 8B E0 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 83 BB E0 00 00 00 00 75 41 A1 ?? ?? ?? ?? 83 38 00 75 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 FF D6 8B C8 A1 ?? ?? ?? ?? 8B 00 B2 01 FF 50 38 89 83 E0 00 00 00 8B C3 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 49 00 57 00 20 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 6E 00 6F 00 74 00 20 00 70 00 72 00 6F 00 70 00 65 00 72 00 6C 00 79 00 20 00 69 00 6E 00 69 00 74 00 69 00 61 00 6C 00 69 00 7A 00 65 00 64 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46384_0 {
	meta:
		name = "TIWTestApplication.Create"
		size = 278
		refs = "000f @ClassCreate 0020 TIWBrowserType 0025 @InitializeRecord 002d TIWTestApplication.Create 0051 _Dn_TStringList 0056 TStringList.Create 0090 TIWApplication.Create 00aa TObject.Free 00b0 @HandleFinally 00ea @FinalizeRecord 0100 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 33 D2 89 90 E0 00 00 00 C6 45 F8 02 C6 45 F9 02 85 DB 74 68 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B 45 EC 8B 08 FF 51 2C 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 EC 50 6A 00 8D 4D F8 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 8D 4D F8 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46385_0 {
	meta:
		name = "TIWTestApplication.MainForm"
		size = 7
	strings:
		$1 = { 8B 80 E0 00 00 00 C3 }
	condition:
		$1
}

rule function_46387_0 {
	meta:
		name = "IWTestFramework"
		size = 41
		refs = "0002 _DV_3 000c _DV_TIWTestFramework 0011 TIWTestFramework.Create 001f GTestFramework 0024 @IntfCopy"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46388_0 {
	meta:
		name = "TIWTreeView.InitControl"
		size = 224
		refs = "000b TIWCustomControl.InitControl 0018 TControl.SetWidth 0025 TControl.SetHeight 002f _DV_TIWTreeViewItems 0034 TIWTreeViewItems.Create 0044 _DV_TIWTreeViewImages 0049 TIWTreeViewImages.Create 0080 TIWCustomControl.set_RenderSize 0087 _DV_TIWTreeViewItemSpace 008c TObject.Create 00a8 TIWTreeViewItemSpace.SetHorizontalSpace 00bb TIWTreeViewItemSpace.SetVerticalSpace 00c5 TIWCustomControl.set_SupportsPartial"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? BA C8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BA C8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 BC 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 C0 02 00 00 8B 45 FC C6 80 9C 02 00 00 01 8B 45 FC C7 80 C4 02 00 00 10 00 00 00 8B 45 FC C7 80 C8 02 00 00 10 00 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 D0 02 00 00 BA 03 00 00 00 8B 45 FC 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? BA 03 00 00 00 8B 45 FC 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 A8 02 00 00 01 8B 45 FC C6 80 A9 02 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_46389_0 {
	meta:
		name = "TIWTreeView.GetUniqueName"
		size = 132
		refs = "0015 TIWTreeView.GetUniqueName 002c @IntOver 003d IntToStr 004d @UStrCat3 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 80 B0 02 00 00 01 71 05 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 80 B0 02 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 69 00 00 00 }
	condition:
		$1
}

rule function_46390_0 {
	meta:
		name = "TIWTreeView.ClearAll"
		size = 92
		refs = "0010 FreeAndNil 0032 _DV_TIWTreeViewItems 0037 TIWTreeViewItems.Create 0047 _DV_TIWTreeViewImages 004c TIWTreeViewImages.Create"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 05 BC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 C0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 CC 02 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 BC 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 C0 02 00 00 59 5D C3 }
	condition:
		$1
}

rule function_46391_0 {
	meta:
		name = "TIWTreeView.DefineProperties"
		size = 88
		refs = "0014 TControl.DefineProperties 001d TIWTreeView.ReadData 0026 TIWTreeView.WriteData 002d TIWTreeView.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 53 04 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 74 00 65 00 6D 00 73 00 00 00 }
	condition:
		$1
}

rule function_46392_0 {
	meta:
		name = "TIWTreeView.Dispose"
		size = 66
		refs = "0015 FreeAndNil 003a TIWCustomControl.Dispose"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 05 BC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 C0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 D0 02 00 00 E8 ?? ?? ?? ?? 8A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_46393_0 {
	meta:
		name = "TIWTreeView.GetClosedFolderImageLocation"
		size = 268
		refs = "0016 TIWTreeView.GetClosedFolderImageLocation 0028 gServerController 002f TIWServerControllerBase.GetFilesURL 0046 TIWFileReference.Location 0088 TIWApplication.GetInternalURLBase 0095 @UStrCat 009f iif 00b9 @UStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F4 8B 45 FC 8B 80 C0 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 E8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D EC 8B 45 FC 8B 80 C0 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E4 8B 45 FC 8B 80 AC 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 58 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 2F 00 67 00 66 00 78 00 2F 00 54 00 72 00 65 00 65 00 56 00 69 00 65 00 77 00 5F 00 63 00 6C 00 6F 00 73 00 65 00 64 00 2E 00 67 00 69 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_46394_0 {
	meta:
		name = "TIWTreeView.GetDocumentImageLocation"
		size = 272
		refs = "0016 TIWTreeView.GetDocumentImageLocation 0028 gServerController 002f TIWServerControllerBase.GetFilesURL 0046 TIWFileReference.Location 0088 TIWApplication.GetInternalURLBase 0095 @UStrCat 009f iif 00b9 @UStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F4 8B 45 FC 8B 80 C0 02 00 00 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 E8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D EC 8B 45 FC 8B 80 C0 02 00 00 8B 40 0C E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E4 8B 45 FC 8B 80 AC 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 58 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 2F 00 67 00 66 00 78 00 2F 00 54 00 72 00 65 00 65 00 56 00 69 00 65 00 77 00 5F 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 67 00 69 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_46395_0 {
	meta:
		name = "TIWTreeView.GetMinusImageLocation"
		size = 264
		refs = "0016 TIWTreeView.GetMinusImageLocation 0028 gServerController 002f TIWServerControllerBase.GetFilesURL 0046 TIWFileReference.Location 0088 TIWApplication.GetInternalURLBase 0095 @UStrCat 009f iif 00b9 @UStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F4 8B 45 FC 8B 80 C0 02 00 00 8B 40 14 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 E8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D EC 8B 45 FC 8B 80 C0 02 00 00 8B 40 14 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E4 8B 45 FC 8B 80 AC 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 58 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 2F 00 67 00 66 00 78 00 2F 00 54 00 72 00 65 00 65 00 56 00 69 00 65 00 77 00 5F 00 6D 00 69 00 6E 00 75 00 73 00 2E 00 67 00 69 00 66 00 00 00 }
	condition:
		$1
}

rule function_46396_0 {
	meta:
		name = "TIWTreeView.GetOpenFolderImageLocation"
		size = 264
		refs = "0016 TIWTreeView.GetOpenFolderImageLocation 0028 gServerController 002f TIWServerControllerBase.GetFilesURL 0046 TIWFileReference.Location 0088 TIWApplication.GetInternalURLBase 0095 @UStrCat 009f iif 00b9 @UStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F4 8B 45 FC 8B 80 C0 02 00 00 8B 40 08 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 E8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D EC 8B 45 FC 8B 80 C0 02 00 00 8B 40 08 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E4 8B 45 FC 8B 80 AC 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 58 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 2F 00 67 00 66 00 78 00 2F 00 54 00 72 00 65 00 65 00 56 00 69 00 65 00 77 00 5F 00 6F 00 70 00 65 00 6E 00 2E 00 67 00 69 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_46397_0 {
	meta:
		name = "TIWTreeView.GetPlusImageLocation"
		size = 264
		refs = "0016 TIWTreeView.GetPlusImageLocation 0028 gServerController 002f TIWServerControllerBase.GetFilesURL 0046 TIWFileReference.Location 0088 TIWApplication.GetInternalURLBase 0095 @UStrCat 009f iif 00b9 @UStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F4 8B 45 FC 8B 80 C0 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 E8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D EC 8B 45 FC 8B 80 C0 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E4 8B 45 FC 8B 80 AC 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 58 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 2F 00 67 00 66 00 78 00 2F 00 54 00 72 00 65 00 65 00 56 00 69 00 65 00 77 00 5F 00 70 00 6C 00 75 00 73 00 2E 00 67 00 69 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_46399_0 {
	meta:
		name = "TIWTreeView.ReadData"
		size = 43
		refs = "0012 TReader.CheckValue 0023 TReader.ReadCollection"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC B2 0E 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 BC 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_46400_0 {
	meta:
		name = "TIWTreeView.GetSubmitParam"
		size = 33
		refs = "0019 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 92 B4 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_46401_0 {
	meta:
		name = "AddNode"
		size = 2424
		refs = "001a AddNode 002b TIWHTMLTag.GetContents 0037 TIWHTMLTagCollection.AddTag 004d TIWMarkupLanguageTag.AddStringParam 00aa TIWApplication.GetInternalURLBase 00b7 @UStrCat 00d6 TIWMarkupLanguageTag.AddIntegerParam 00e1 @IntOver 010b @UStrClr 01bf @UStrCatN 0220 TIWTreeViewItem.GetMinusImageLocation 023b TIWTreeViewItem.GetOpenFolderImageLocation 0249 @UStrLAsg 02e5 TIWTreeViewItem.GetPlusImageLocation 0300 TIWTreeViewItem.GetClosedFolderImageLocation 039c TIWTreeViewItem.GetDocumentImageLocation 042f Trim 056f StringReplace 05c1 TIWApplication.GetBrowser 05d0 TIWFont.FontToStringStyle 05f5 TIWMarkupLanguageTagCollection.AddText 0654 TList.Get 0689 @UStrArrayClr 068f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0F 00 00 00 6A 00 6A 00 49 75 F9 51 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 48 28 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 48 4C BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 7D F8 00 0F 8E 84 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 55 E0 8B 45 08 8B 40 F8 8B 80 AC 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 6B 4D F8 10 71 05 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? B9 10 00 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 08 83 C0 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 83 78 08 00 0F 8E F8 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C9 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? B9 0B 00 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? B9 09 00 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 80 78 20 00 0F 84 C5 00 00 00 68 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 40 38 8B 08 FF 91 14 01 00 00 FF 75 D8 68 ?? ?? ?? ?? 8B 45 FC FF 70 28 68 ?? ?? ?? ?? 8D 45 DC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D DC BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 D0 8B 45 FC 8B 40 38 8B 08 FF 91 14 01 00 00 FF 75 D0 68 ?? ?? ?? ?? 8B 45 FC FF 70 28 68 ?? ?? ?? ?? 8D 45 D4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D D4 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D CC BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C8 8B 45 08 83 C0 F4 E8 ?? ?? ?? ?? E9 5C 01 00 00 68 ?? ?? ?? ?? 8D 55 C0 8B 45 FC 8B 40 38 8B 08 FF 91 14 01 00 00 FF 75 C0 68 ?? ?? ?? ?? 8B 45 FC FF 70 28 68 ?? ?? ?? ?? 8D 45 C4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D C4 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 B8 8B 45 FC 8B 40 38 8B 08 FF 91 14 01 00 00 FF 75 B8 68 ?? ?? ?? ?? 8B 45 FC FF 70 28 68 ?? ?? ?? ?? 8D 45 BC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D BC BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 55 B4 8B 45 FC E8 ?? ?? ?? ?? 8B 4D B4 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 B0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 B0 8B 45 08 83 C0 F4 E8 ?? ?? ?? ?? E9 97 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 55 AC 8B 45 08 8B 40 F8 8B 80 AC 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 8D 45 AC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D AC BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? B9 0B 00 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? B9 09 00 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 A8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 A8 8B 45 08 83 C0 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 08 8B 48 F4 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? B9 10 00 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? B9 10 00 00 00 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 66 83 B8 DA 02 00 00 00 75 1E 8B 45 FC 66 83 78 32 00 75 14 8D 55 A4 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 83 7D A4 00 74 19 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC EB 17 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8D 55 A0 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 83 7D A0 00 0F 85 AC 00 00 00 8B 45 FC 66 83 78 32 00 75 14 8B 45 08 8B 40 F8 66 83 B8 DA 02 00 00 00 0F 84 8E 00 00 00 68 ?? ?? ?? ?? 8D 55 98 8B 45 FC 8B 40 38 8B 08 FF 91 14 01 00 00 FF 75 98 68 ?? ?? ?? ?? 8B 45 FC FF 70 28 68 ?? ?? ?? ?? 8D 45 9C BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D 9C BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 90 8B 45 FC 8B 40 38 8B 08 FF 91 14 01 00 00 FF 75 90 68 ?? ?? ?? ?? 8B 45 FC FF 70 28 68 ?? ?? ?? ?? 8D 45 94 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D 94 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? EB 13 8B 45 FC 8B 48 0C BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 55 8C 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 83 7D 8C 00 74 2F A0 ?? ?? ?? ?? 50 8D 45 88 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 8B 4D 88 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 83 78 4C 00 74 15 8B 45 FC 8B 48 4C BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? EB 43 8B 45 FC 8B 40 14 80 78 08 00 74 37 8D 45 84 50 8B 45 08 8B 40 F8 8B 80 AC 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 4D 84 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C9 8B 55 FC 8B 52 1C E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 83 40 F0 01 71 05 E8 ?? ?? ?? ?? 8B 45 FC 80 78 20 00 74 4F 8B 45 FC 8B 40 24 8B 40 08 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 38 40 89 45 E4 C7 45 E8 00 00 00 00 8B 45 08 50 8B 55 E8 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 55 F8 83 C2 01 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 FF 45 E8 FF 4D E4 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 84 BA 18 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 50 00 41 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 77 00 68 00 69 00 74 00 65 00 2D 00 73 00 70 00 61 00 63 00 65 00 3A 00 20 00 6E 00 6F 00 77 00 72 00 61 00 70 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 49 00 4D 00 47 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 2F 00 67 00 66 00 78 00 2F 00 74 00 70 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 52 00 43 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 6F 00 72 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 77 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 68 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 61 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 6A 00 61 00 76 00 61 00 73 00 63 00 72 00 69 00 70 00 74 00 3A 00 53 00 75 00 62 00 6D 00 69 00 74 00 43 00 6C 00 69 00 63 00 6B 00 28 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 27 00 2C 00 20 00 27 00 63 00 6C 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 27 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 72 00 65 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 75 00 62 00 6D 00 69 00 74 00 43 00 6C 00 69 00 63 00 6B 00 28 00 27 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 27 00 29 00 3B 00 20 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 66 00 61 00 6C 00 73 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6F 00 6E 00 63 00 6C 00 69 00 63 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 27 00 2C 00 20 00 27 00 6F 00 70 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 70 00 61 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 27 00 2C 00 20 00 27 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 23 00 33 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 69 00 74 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 62 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_46402_0 {
	meta:
		name = "TIWTreeView.RenderServerSidePlusMinus"
		size = 716
		refs = "001e TIWTreeView.RenderServerSidePlusMinus 0031 TIWCustomControl.get_UseFrame 003b TIWCustomControl.set_Clip 0049 TCollection.GetCount 0065 _Dn_TIWHTMLTag 006a TIWMarkupLanguageTag.CreateTag 0096 @UStrCat 00a6 TIWMarkupLanguageTag.AddStringParam 00b5 @HandleAnyException 00bd FreeAndNil 00c2 @RaiseAgain 00c7 @DoneExcept 00f3 TIWHTMLTag.GetContents 00fd TIWHTMLTagCollection.AddTagAsObject 0115 @IntOver 0135 TIWTreeViewItems.GetItem 0154 AddNode 0175 IntToStr 018a @UStrCatN 01dd @UStrArrayClr 01e5 @UStrClr 01eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 DC 89 55 D8 89 55 E0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 0A 33 C0 89 45 EC E9 6C 01 00 00 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B 45 F8 8B 08 FF 91 14 01 00 00 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? 33 C9 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 44 40 89 45 E4 C7 45 E8 00 00 00 00 8B 45 F8 8B 80 BC 02 00 00 8B 55 E8 E8 ?? ?? ?? ?? 83 78 18 00 75 1A 55 8B 45 F8 8B 80 BC 02 00 00 8B 55 E8 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 59 FF 45 E8 FF 4D E4 75 C7 68 ?? ?? ?? ?? 8D 55 D8 6B 45 F0 10 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D DC BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 EC 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 56 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 61 00 62 00 73 00 6F 00 6C 00 75 00 74 00 65 00 3B 00 20 00 6C 00 65 00 66 00 74 00 3A 00 30 00 3B 00 20 00 74 00 6F 00 70 00 3A 00 30 00 3B 00 20 00 68 00 65 00 69 00 67 00 68 00 74 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_46403_0 {
	meta:
		name = "BuildAddition"
		size = 840
		refs = "001e BuildAddition 002c @UStrClr 003f _Dn_TList 0044 TObject.Create 0058 TCollection.GetCount 0062 @IntOver 0085 TIWTreeViewItems.GetItem 00a9 TList.Add 00f4 TList.Get 0140 StringOfChar 0183 @UStrCatN 01d0 @UStrCat 0251 TObject.Free 0257 @HandleFinally 0273 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 33 C9 89 4D D4 89 4D D8 89 4D E0 89 4D DC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 89 45 E8 83 7D FC 00 75 79 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 08 8B 40 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 4B 40 89 45 E4 C7 45 F4 00 00 00 00 8B 45 08 8B 40 FC 8B 80 BC 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 83 78 18 00 75 1E 8B 45 08 8B 40 FC 8B 80 BC 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 E8 E8 ?? ?? ?? ?? FF 45 F4 FF 4D E4 75 C0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 40 08 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C 3F 01 00 00 40 89 45 E4 C7 45 F4 00 00 00 00 C7 45 EC 01 00 00 00 8B 55 F4 8B 45 E8 E8 ?? ?? ?? ?? 89 45 F0 EB 14 83 45 EC 01 71 05 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 18 89 45 F0 8B 45 F0 83 78 18 00 75 E3 8B 55 F4 8B 45 E8 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F8 FF 30 8D 4D E0 6B 55 EC 02 71 05 E8 ?? ?? ?? ?? 66 B8 20 00 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 55 DC 8B 45 08 8B 40 FC 8B 08 FF 91 14 01 00 00 FF 75 DC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F0 FF 70 28 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F8 BA 09 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 24 83 78 08 00 7E 34 8B 45 F8 FF 30 68 ?? ?? ?? ?? 8B 45 08 50 8D 55 D8 8B 45 F0 8B 40 24 E8 ?? ?? ?? ?? 59 FF 75 D8 68 ?? ?? ?? ?? 8B 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 10 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 45 E8 8B 40 08 83 E8 01 71 05 E8 ?? ?? ?? ?? 3B 45 F4 75 12 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 EB 10 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 FF 45 F4 FF 4D E4 0F 85 CC FE FF FF 8D 4D D4 8B 45 E8 8B 50 08 66 B8 29 00 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 75 08 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 6E 00 65 00 77 00 20 00 41 00 64 00 64 00 54 00 56 00 49 00 74 00 65 00 6D 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 57 00 43 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2C 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6E 00 75 00 6C 00 6C 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 75 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_46404_0 {
	meta:
		name = "TIWTreeView.RenderHTML"
		size = 1856
		refs = "001c TIWTreeView.RenderHTML 0042 TIWTreeView.RenderServerSidePlusMinus 0052 TIWCustomControl.get_UseFrame 005c TIWCustomControl.set_Clip 006a TCollection.GetCount 008b TIWCompContext.AddScriptFile 00b1 BuildAddition 0102 @UStrCatN 0159 @UStrCat 016b TIWApplication.GetInternalURLBase 0184 TIWCompContext.CacheImage 0195 TIWCompContext.AddToInitProc 01a3 _Dn_TIWHTMLTag 01a8 TIWMarkupLanguageTag.CreateTag 01c4 TIWTreeView.RenderInnerHTML 01d3 @HandleAnyException 01db FreeAndNil 01e0 @RaiseAgain 01e5 @DoneExcept 020d @IntOver 0231 TIWTreeViewItems.GetItem 0242 @UStrEqual 0262 TIWTreeView.PositionableNodeName 02a3 TIWCompContext.AddToInitProcDoLastCode 02c3 TIWHTMLTag.GetContents 02cf TIWHTMLTagCollection.AddTag 02e4 TIWMarkupLanguageTag.AddStringParam 0320 TIWMarkupLanguageTagCollection.AddText 03b2 @UStrArrayClr 03ba @UStrClr 03c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 F8 89 90 AC 02 00 00 8B 45 FC 80 B8 9D 02 00 00 00 74 10 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 E9 9B 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 0A 33 C0 89 45 F4 E9 6D 01 00 00 8B 45 FC 8B 80 AC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 D8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 55 8D 55 D4 33 C0 E8 ?? ?? ?? ?? 59 FF 75 D4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 D0 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 D0 68 ?? ?? ?? ?? 8D 55 CC 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 CC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F0 BA 0C 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 C8 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 C8 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 F0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 89 45 E4 8D 55 C4 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 50 8D 55 C0 8B 45 E4 8B 40 10 E8 ?? ?? ?? ?? 8D 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 8B 45 E4 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 8B 55 F0 E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 B8 98 02 00 00 00 0F 84 BC 00 00 00 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C 9C 00 00 00 40 89 45 E0 C7 45 EC 00 00 00 00 8B 45 FC 8B 80 BC 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B 40 28 8B 55 FC 8B 92 98 02 00 00 E8 ?? ?? ?? ?? 75 61 8B 45 FC 8B 80 BC 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B D0 8D 4D E8 8B 45 FC E8 ?? ?? ?? ?? 83 7D E8 00 74 49 68 ?? ?? ?? ?? 8D 55 B8 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 B8 68 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 BC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 BC 8B 45 F8 E8 ?? ?? ?? ?? EB 0C FF 45 EC FF 4D E0 0F 85 6F FF FF FF 83 7D F4 00 0F 84 DD 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 B0 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 B0 68 ?? ?? ?? ?? 8D 45 B4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 B4 50 8B 45 DC E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 A8 8B 45 FC 8B 08 FF 91 14 01 00 00 FF 75 A8 68 ?? ?? ?? ?? 8D 45 AC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 AC 50 8B 45 DC E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 BA 0D 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B 45 F4 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 2F 00 6A 00 73 00 2F 00 49 00 57 00 54 00 72 00 65 00 65 00 2E 00 6A 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 57 00 43 00 4C 00 2E 00 49 00 74 00 65 00 6D 00 73 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 6E 00 69 00 74 00 54 00 72 00 65 00 65 00 56 00 69 00 65 00 77 00 28 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 57 00 43 00 4C 00 2C 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 22 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 69 00 66 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 57 00 43 00 4C 00 29 00 7B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 42 00 6C 00 61 00 6E 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 2F 00 67 00 66 00 78 00 2F 00 54 00 70 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 56 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 72 00 65 00 65 00 28 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 22 00 20 00 29 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 63 00 72 00 69 00 70 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6A 00 61 00 76 00 61 00 73 00 63 00 72 00 69 00 70 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 54 00 72 00 65 00 65 00 28 00 20 00 69 00 4E 00 6F 00 64 00 65 00 49 00 44 00 20 00 29 00 20 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 20 00 46 00 69 00 6E 00 64 00 45 00 6C 00 65 00 6D 00 28 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 22 00 29 00 2E 00 73 00 63 00 72 00 6F 00 6C 00 6C 00 54 00 6F 00 70 00 20 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 20 00 20 00 20 00 20 00 46 00 69 00 6E 00 64 00 45 00 6C 00 65 00 6D 00 28 00 20 00 69 00 4E 00 6F 00 64 00 65 00 49 00 44 00 20 00 29 00 2E 00 6F 00 66 00 66 00 73 00 65 00 74 00 54 00 6F 00 70 00 20 00 2D 00 20 00 34 00 30 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 20 00 20 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 74 00 72 00 75 00 65 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_46405_0 {
	meta:
		name = "TIWTreeView.RenderInnerHTML"
		size = 1164
		refs = "001c TIWTreeView.RenderInnerHTML 0030 _Dn_TIWHTMLTag 0035 TIWMarkupLanguageTag.CreateTag 0064 TIWTreeViewItems.RenderTreeView 006d TIWHTMLTag.GetContents 0075 TIWMarkupLanguageTagCollection.AddTagCollection 0090 @UStrCat 00a0 TIWMarkupLanguageTag.AddStringParam 00a8 @UStrClr 00b0 TIWCustomControl.get_StyleRenderOptions 0102 TCollection.GetCount 010c @IntOver 012c TIWTreeViewItems.GetItem 0160 @UStrCatN 01d1 TIWCustomControl.get_UseFrame 0210 @LStrFromUStr 021b HTTPEncode 0226 @UStrFromLStr 0245 @HandleAnyException 024d FreeAndNil 0252 @RaiseAgain 0257 @DoneExcept 0288 TIWMarkupLanguageTagCollection.AddTagAsObject 02b2 @LStrArrayClr 02bf @UStrArrayClr 02d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 FC 66 83 B8 DA 02 00 00 00 0F 95 C2 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 F0 E8 ?? ?? ?? ?? B1 01 5A E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 80 78 05 00 74 0D 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A9 02 00 00 00 75 0D 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 58 40 89 45 E0 C7 45 E8 00 00 00 00 8B 45 FC 8B 80 BC 02 00 00 8B 55 E8 E8 ?? ?? ?? ?? 80 78 20 00 74 2E FF 75 EC 68 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 02 00 00 8B 55 E8 E8 ?? ?? ?? ?? FF 70 28 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? FF 45 E8 FF 4D E0 75 B3 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 2B 8D 55 D4 8B 45 FC 8B 08 FF 91 14 01 00 00 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 C8 8B 55 EC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 8D 55 CC E8 ?? ?? ?? ?? 8B 55 CC 8D 45 D0 E8 ?? ?? ?? ?? 8B 4D D0 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 33 C9 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 49 00 56 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 61 00 62 00 73 00 6F 00 6C 00 75 00 74 00 65 00 3B 00 20 00 6C 00 65 00 66 00 74 00 3A 00 20 00 30 00 3B 00 20 00 74 00 6F 00 70 00 3A 00 20 00 30 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 77 00 68 00 69 00 74 00 65 00 2D 00 73 00 70 00 61 00 63 00 65 00 3A 00 6E 00 6F 00 77 00 72 00 61 00 70 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 6E 00 70 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 68 00 69 00 64 00 64 00 65 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 74 00 61 00 74 00 75 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 61 00 6C 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_46406_0 {
	meta:
		name = "TIWTreeView.RenderAsync"
		size = 396
		refs = "0018 TIWTreeView.RenderAsync 0038 _Dn_TIWXMLTag 003d TIWXMLTag.CreateTag 006c TIWMarkupLanguageTag.AddStringParam 0090 TIWMarkupLanguageTagCollection.AddTag 009e TIWTreeView.RenderInnerHTML 00b3 TIWCustomControl.RenderAsyncCommonProperties 00c2 @HandleAnyException 00ca FreeAndNil 00cf @DoneExcept 00e4 @UStrClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 F8 89 90 AC 02 00 00 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 4D EC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 57 00 54 00 72 00 65 00 65 00 56 00 69 00 65 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 6E 00 65 00 72 00 48 00 54 00 4D 00 4C 00 00 00 FF 07 00 00 }
	condition:
		$1
}

rule function_46407_0 {
	meta:
		name = "NodeIsPositionable"
		size = 68
		refs = "002f NodeIsPositionable"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 83 78 18 00 75 06 C6 45 FB 01 EB 25 8B 45 FC 8B 40 18 80 78 20 00 74 15 8B 45 08 50 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 59 88 45 FB EB 04 C6 45 FB 00 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_46408_0 {
	meta:
		name = "PositionableNode"
		size = 73
		refs = "001e NodeIsPositionable 003a PositionableNode"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 83 7D FC 00 75 07 33 C0 89 45 F8 EB 2C 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 84 C0 74 08 8B 45 FC 89 45 F8 EB 13 8B 45 08 50 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 59 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_46409_0 {
	meta:
		name = "TIWTreeView.PositionableNodeName"
		size = 62
		refs = "0014 PositionableNode 002c @UStrAsg 0036 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 55 8B 45 F8 E8 ?? ?? ?? ?? 59 89 45 F0 83 7D F0 00 74 10 8B 45 F4 8B 55 F0 8B 52 28 E8 ?? ?? ?? ?? EB 08 8B 45 F4 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_46410_0 {
	meta:
		name = "TIWTreeView.SetAutoIndent"
		size = 28
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 45 FB 8B 55 FC 88 82 A8 02 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_46411_0 {
	meta:
		name = "TIWTreeView.SetTreeViewImagesWidth"
		size = 50
		refs = "002a TIWCustomControl.get_DoRefreshControl"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 3B 82 C4 02 00 00 74 14 8B 45 F8 8B 55 FC 89 82 C4 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_46412_0 {
	meta:
		name = "TIWTreeView.SetTreeViewImagesHeight"
		size = 50
		refs = "002a TIWCustomControl.get_DoRefreshControl"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 3B 82 C8 02 00 00 74 14 8B 45 F8 8B 55 FC 89 82 C8 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_46413_0 {
	meta:
		name = "TIWTreeView.SetTreeViewItems"
		size = 33
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC 8B 80 BC 02 00 00 8B 08 FF 51 08 59 59 5D C3 }
	condition:
		$1
}

rule function_46414_0 {
	meta:
		name = "TIWTreeView.SetUseItemImages"
		size = 28
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 45 FB 8B 55 FC 88 82 9C 02 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_46415_0 {
	meta:
		name = "TIWTreeView.SetValue"
		size = 472
		refs = "001a TIWTreeView.SetValue 002b RequiresUpdateNotification 003d UpdateNotifiedInterface 005b @LStrFromUStr 0066 HTTPDecode 0071 @UStrFromLStr 007c Trim 0094 TCollection.GetCount 009e @IntOver 00be TIWTreeViewItems.GetItem 00c5 TIWTreeViewItem.SetExpanded 00d5 @UStrClr 00f1 Fetch 00fe @UStrEqual 01a1 @LStrArrayClr 01a9 @IntfClear 01b6 @UStrArrayClr 01bc @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 1C 8D 55 E4 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 E4 8B 4D F8 8B 55 FC 8B 18 FF 53 0C 8D 45 DC 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F4 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 83 7D D8 00 0F 84 F9 00 00 00 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 2B 40 89 45 E8 C7 45 EC 00 00 00 00 8B 45 FC 8B 80 BC 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? FF 45 EC FF 4D E8 75 E0 8D 45 F0 E8 ?? ?? ?? ?? E9 9B 00 00 00 EB 15 6A 01 8D 45 F0 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 DC 83 7D F0 00 74 D6 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 4B 40 89 45 E8 C7 45 EC 00 00 00 00 8B 45 FC 8B 80 BC 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B 40 28 8B 55 F0 E8 ?? ?? ?? ?? 75 1A 8B 45 FC 8B 80 BC 02 00 00 8B 55 EC E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? EB 08 FF 45 EC FF 4D E8 75 C0 8D 45 F0 E8 ?? ?? ?? ?? 83 7D F4 00 0F 85 72 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_46417_0 {
	meta:
		name = "TIWTreeView.Submit"
		size = 648
		refs = "0016 TIWTreeView.Submit 0029 Pos 0064 @UStrLen 0073 @UStrCopy 0081 TCollection.GetCount 008b @IntOver 00af TIWTreeViewItems.GetItem 00ba @UStrEqual 00f7 TIWTreeViewItem.SetExpanded 0173 @UStrAsg 01f7 TIWTreeViewItem.DoClick 024c @UStrClr 0252 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 0F 94 45 EF 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 0F 94 45 EE 8B 45 FC 8A 80 9D 02 00 00 22 45 EF 75 0A 80 7D EE 00 0F 84 0B 01 00 00 8D 45 F0 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 BA 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C A4 01 00 00 40 89 45 E8 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 8B 40 28 8B 55 F0 E8 ?? ?? ?? ?? 0F 85 92 00 00 00 8B 55 F4 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 89 82 CC 02 00 00 8B 45 FC 8B 80 CC 02 00 00 8A 50 20 80 F2 01 8B 45 FC 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 98 02 00 00 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 BA 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 A2 02 00 00 00 0F 84 0F 01 00 00 8B 55 F4 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 5D FC 8A 4D EF 8B 83 A4 02 00 00 FF 93 A0 02 00 00 E9 E5 00 00 00 FF 45 F4 FF 4D E8 0F 85 40 FF FF FF E9 D4 00 00 00 8B 45 FC 05 B4 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 CC 02 00 00 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C 99 00 00 00 40 89 45 E8 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 8B 40 28 8B 55 F8 E8 ?? ?? ?? ?? 75 64 8B 55 F4 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 89 82 CC 02 00 00 8B 55 F4 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 DA 02 00 00 00 74 33 8B 55 F4 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 8B C8 8B 5D FC 8B 55 FC 8B 83 DC 02 00 00 FF 93 D8 02 00 00 EB 0C FF 45 F4 FF 4D E8 0F 85 72 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6F 00 70 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 63 00 6C 00 73 00 00 00 }
	condition:
		$1
}

rule function_46418_0 {
	meta:
		name = "TIWTreeView.WriteData"
		size = 33
		refs = "0019 TWriter.WriteCollection"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 8B 90 BC 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_46419_0 {
	meta:
		name = "TIWTreeViewItem.AssignTo"
		size = 151
		refs = "0011 _DV_TIWTreeViewItem 0016 @IsClass 0028 TIWTreeViewItem.SetCaption 0036 TIWTreeViewItem.SetExpanded 0044 TIWTreeViewItem.SetParentItem 0052 TIWTreeViewItem.SetName 0060 TIWTreeViewItem.SetURL 0071 TIWTreeViewItem.SetOnClick 008f TPersistent.AssignTo"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6A 8B 45 FC 8B 50 1C 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8A 50 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 18 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 28 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC FF 70 34 FF 70 30 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 10 8B 55 FC 8B 52 10 8B 08 FF 51 08 EB 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_46420_0 {
	meta:
		name = "TIWTreeViewItem.Create"
		size = 370
		refs = "0015 @ClassCreate 0026 TIWTreeViewItem.Create 0039 TCollectionItem.Create 0040 _Dn_TList 0045 TObject.Create 0068 @CallDynaInst 0074 _DV_TIWTreeView 0079 @IsClass 008e _DV_TIWTreeViewItem 00a7 TCollection.Owner 00bb TIWTreeView.GetUniqueName 00c9 @UStrAsg 00e7 _DV_TIWTreeViewImages 00ec TIWTreeViewImages.Create 00f9 _Dn_TIWFont 00fe TIWFont.Create 0145 @UStrClr 014b @HandleFinally 015b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 24 33 C0 89 45 E8 8B 45 FC 89 45 F0 83 7D E8 00 75 54 8B 45 F0 66 BE FF FF E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 E4 89 45 E8 EB 25 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 E4 89 45 F0 EB 0B 8B 45 E4 E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 74 AC 8D 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 28 8B 55 EC E8 ?? ?? ?? ?? 8B 45 FC 83 78 1C 00 75 0E 8B 45 FC 83 C0 1C 8B 55 EC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 8B 45 FC 8B 40 04 66 BE FF FF E8 ?? ?? ?? ?? 8B 55 FC 89 42 38 8B 45 FC C6 40 20 01 8B 45 FC 33 D2 89 50 3C 8B 45 FC 33 D2 89 50 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46421_0 {
	meta:
		name = "TIWTreeViewItem.DefineProperties"
		size = 180
		refs = "0014 TPersistent.DefineProperties 002c TIWTreeViewItem.ReadData 0035 TIWTreeViewItem.WriteData 003c TIWTreeViewItem.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 83 E8 01 72 04 74 25 EB 44 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 53 04 EB 21 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 53 04 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 75 00 62 00 49 00 74 00 65 00 6D 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 61 00 72 00 65 00 6E 00 74 00 49 00 74 00 65 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_46422_0 {
	meta:
		name = "TIWTreeViewItem.Destroy"
		size = 144
		refs = "0007 @BeforeDestruction 0017 TIWTreeViewItem.SetParentItem 002f TList.Get 0034 TObject.Free 004b FreeAndNil 007a TCollectionItem.Destroy 0088 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 78 24 00 74 20 EB 12 8B 45 FC 8B 40 24 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 83 78 08 00 7F E2 8B 45 FC 83 C0 24 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 14 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 48 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_46423_0 {
	meta:
		name = "TIWTreeViewItem.DoClick"
		size = 34
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 66 83 78 32 00 74 0C 8B 5D FC 8B 55 FC 8B 43 34 FF 53 30 5B 59 5D C3 }
	condition:
		$1
}

rule function_46424_0 {
	meta:
		name = "TIWTreeViewItem.GetClosedFolderImageLocation"
		size = 140
		refs = "0015 TIWTreeViewItem.GetClosedFolderImageLocation 002c gServerController 0033 TIWServerControllerBase.GetFilesURL 0047 TIWFileReference.Location 005d TIWTreeView.GetClosedFolderImageLocation 0067 @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 38 00 74 3B 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D F8 8B 45 FC 8B 40 10 8B 40 04 E8 ?? ?? ?? ?? 8B 45 F8 83 38 00 75 18 8B 55 F8 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_46425_0 {
	meta:
		name = "TIWTreeViewItem.GetDisplayName"
		size = 43
		refs = "0016 @UStrAsg 0023 TIWTreeViewItem.SetItemVersion"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B 52 28 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_46426_0 {
	meta:
		name = "TIWTreeViewItem.GetDocumentImageLocation"
		size = 140
		refs = "0015 TIWTreeViewItem.GetDocumentImageLocation 002c gServerController 0033 TIWServerControllerBase.GetFilesURL 0047 TIWFileReference.Location 005d TIWTreeView.GetDocumentImageLocation 0067 @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 38 00 74 3B 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D F8 8B 45 FC 8B 40 10 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F8 83 38 00 75 18 8B 55 F8 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_46427_0 {
	meta:
		name = "TIWTreeViewItem.GetMinusImageLocation"
		size = 140
		refs = "0015 TIWTreeViewItem.GetMinusImageLocation 002c gServerController 0033 TIWServerControllerBase.GetFilesURL 0047 TIWFileReference.Location 005d TIWTreeView.GetMinusImageLocation 0067 @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 38 00 74 3B 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D F8 8B 45 FC 8B 40 10 8B 40 14 E8 ?? ?? ?? ?? 8B 45 F8 83 38 00 75 18 8B 55 F8 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_46428_0 {
	meta:
		name = "TIWTreeViewItem.GetNamePath"
		size = 176
		refs = "0019 TIWTreeViewItem.GetNamePath 0037 @CallDynaInst 0066 @UStrCatN 0073 TCollectionItem.GetNamePath 008d @UStrArrayClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 33 C9 89 4D F4 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 04 00 74 40 8B 45 FC 8B 40 04 66 BE FF FF E8 ?? ?? ?? ?? 8D 55 F4 66 BE FE FF E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B 45 FC 8B 08 FF 51 0C FF 75 F0 8B 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_46429_0 {
	meta:
		name = "TIWTreeViewItem.ReadData"
		size = 405
		refs = "0029 TReader.CheckValue 0035 @CallDynaInst 0047 _DV_TIWTreeViewItems 004c TIWTreeViewItems.Create 0057 TIWTreeViewItem.ReadData 0068 TReader.ReadCollection 0070 TCollection.GetCount 007a @IntOver 00a0 TIWTreeViewItems.Add 00ae TIWTreeViewItems.GetItem 00f8 TList.Get 0100 TIWTreeViewItem.SetParentItem 013d TObject.Free 0143 @HandleFinally 0159 TReader.ReadInteger"
	strings:
		$1 = { 55 8B EC 83 C4 E0 56 89 55 F8 89 45 FC 8B 45 FC 8B 40 3C 83 E8 01 72 0B 0F 84 37 01 00 00 E9 6D 01 00 00 B2 0E 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 66 BE FF FF E8 ?? ?? ?? ?? 66 BE FF FF E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 0F 8C A6 00 00 00 40 89 45 E4 C7 45 F4 00 00 00 00 8B 45 FC 66 BE FF FF E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 89 45 EC 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 08 FF 51 08 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 24 8B 40 08 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 31 40 89 45 E0 C7 45 E8 00 00 00 00 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 24 8B 55 E8 E8 ?? ?? ?? ?? 8B 55 EC E8 ?? ?? ?? ?? FF 45 E8 FF 4D E0 75 DA 8B 45 EC 83 78 18 00 75 0B 8B 55 FC 8B 45 EC E8 ?? ?? ?? ?? FF 45 F4 FF 4D E4 0F 85 65 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC C7 40 3C 01 00 00 00 EB 3B 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 FF 75 0C 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 1E 8B 45 FC 8B 40 38 8B 80 BC 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_46430_0 {
	meta:
		name = "TIWTreeViewItem.GetOpenFolderImageLocation"
		size = 140
		refs = "0015 TIWTreeViewItem.GetOpenFolderImageLocation 002c gServerController 0033 TIWServerControllerBase.GetFilesURL 0047 TIWFileReference.Location 005d TIWTreeView.GetOpenFolderImageLocation 0067 @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 38 00 74 3B 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D F8 8B 45 FC 8B 40 10 8B 40 08 E8 ?? ?? ?? ?? 8B 45 F8 83 38 00 75 18 8B 55 F8 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_46431_0 {
	meta:
		name = "TIWTreeViewItem.GetPlusImageLocation"
		size = 140
		refs = "0015 TIWTreeViewItem.GetPlusImageLocation 002c gServerController 0033 TIWServerControllerBase.GetFilesURL 0047 TIWFileReference.Location 005d TIWTreeView.GetPlusImageLocation 0067 @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 38 00 74 3B 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D F8 8B 45 FC 8B 40 10 8B 40 10 E8 ?? ?? ?? ?? 8B 45 F8 83 38 00 75 18 8B 55 F8 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_46432_0 {
	meta:
		name = "TIWTreeViewItem.RenderItem"
		size = 4288
		refs = "0021 TIWTreeViewItem.RenderItem 0064 @IntOver 011c Format 012a _Dn_TIWHTMLTag 012f TIWMarkupLanguageTag.CreateTag 014c TIWMarkupLanguageTag.AddStringParam 015f @UStrCat3 01ac TIWHTMLTag.GetContents 01b8 TIWHTMLTagCollection.AddTag 01d1 TIWMarkupLanguageTag.AddIntegerParam 01e8 TIWApplication.GetInternalURLBase 01f5 @UStrCat 02a6 @UStrCatN 0328 TIWTreeViewItem.GetPlusImageLocation 0415 TIWTreeViewItem.GetClosedFolderImageLocation 055e TIWTreeViewItem.GetMinusImageLocation 064b TIWTreeViewItem.GetOpenFolderImageLocation 07a1 TIWTreeViewItem.GetDocumentImageLocation 08cb Trim 0a32 StringReplace 0a8a TIWApplication.GetBrowser 0a99 TIWFont.FontToStringStyle 0ac1 TIWMarkupLanguageTagCollection.AddText 0b09 TList.Get 0b35 TIWHTMLTagCollection.AddTagAsObject 0b5a @UStrArrayClr 0b72 @UStrClr 0b80 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 20 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 88 4D F7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 38 8B 80 C4 02 00 00 89 45 E4 8B 45 FC 8B 40 38 8B 80 C8 02 00 00 89 45 E0 8B 45 FC 8B 40 38 8B 80 D0 02 00 00 83 78 08 00 7E 30 8B 45 E4 83 E8 0B 71 05 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 89 45 D8 8B 45 D8 89 45 DC F6 45 E4 01 75 17 83 45 DC 01 71 11 E8 ?? ?? ?? ?? EB 0A 33 C0 89 45 DC 33 C0 89 45 D8 8B 45 FC 8B 40 38 8B 80 D0 02 00 00 83 78 08 00 7E 46 8B 45 E0 83 E8 09 71 05 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 89 45 CC 8B 45 FC 8B 40 38 8B 80 D0 02 00 00 8B 40 04 03 45 CC 71 05 E8 ?? ?? ?? ?? 89 45 D4 F6 45 E0 01 75 17 83 45 D4 01 71 11 E8 ?? ?? ?? ?? EB 0A 33 C0 89 45 CC 33 C0 89 45 D4 8D 45 D0 50 8B 45 FC 8B 40 38 8B 80 D0 02 00 00 8B 40 04 89 45 94 C6 45 98 00 8D 55 94 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 C6 40 1C 01 8B 45 FC 8B 48 28 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 90 B9 ?? ?? ?? ?? 8B 55 FC 8B 52 4C E8 ?? ?? ?? ?? 8B 4D 90 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 80 7D F7 00 75 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 83 7D F8 00 0F 8E B1 00 00 00 8B 45 FC 8B 40 38 80 B8 A8 02 00 00 00 0F 84 9E 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C4 8B 45 C4 C6 40 1C 01 33 C9 BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8D 55 8C 8B 45 FC 8B 40 38 8B 80 AC 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 8D 45 8C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 8C BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8B 4D E4 0F AF 4D F8 71 05 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8B 4D E0 BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 83 78 08 00 0F 8E 5F 04 00 00 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C0 8B 45 C0 C6 40 1C 01 68 ?? ?? ?? ?? 8D 55 84 8B 45 FC 8B 40 38 8B 08 FF 91 14 01 00 00 FF 75 84 68 ?? ?? ?? ?? 8B 45 FC FF 70 28 68 ?? ?? ?? ?? 8D 45 88 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D 88 BA ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 8D 45 80 8B 55 FC 8B 4A 28 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 80 BA ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 8B 45 FC 80 78 20 00 74 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 BC 33 C9 BA ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 8D 7C FF FF FF BA ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? B9 0B 00 00 00 BA ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? B9 09 00 00 00 BA ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 50 8B 45 CC 89 85 58 FF FF FF C6 85 5C FF FF FF 00 8B 45 D4 89 85 60 FF FF FF C6 85 64 FF FF FF 00 8B 45 D8 89 85 68 FF FF FF C6 85 6C FF FF FF 00 8B 45 DC 89 85 70 FF FF FF C6 85 74 FF FF FF 00 8D 95 58 FF FF FF B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 78 FF FF FF BA ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 80 B8 9C 02 00 00 00 0F 84 95 00 00 00 8B 45 C0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B8 33 C9 BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 8D 95 54 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 8D 54 FF FF FF BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 8B 4D E4 BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 8B 4D E0 BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 D0 FF 75 C8 8D 85 50 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 8D 50 FF FF FF BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B4 8B 45 B4 C6 40 1C 01 68 ?? ?? ?? ?? 8D 95 48 FF FF FF 8B 45 FC 8B 40 38 8B 08 FF 91 14 01 00 00 FF B5 48 FF FF FF 68 ?? ?? ?? ?? 8B 45 FC FF 70 28 68 ?? ?? ?? ?? 8D 85 4C FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 8D 4C FF FF FF BA ?? ?? ?? ?? 8B 45 B4 E8 ?? ?? ?? ?? 8D 85 44 FF FF FF 8B 55 FC 8B 4A 28 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 44 FF FF FF BA ?? ?? ?? ?? 8B 45 B4 E8 ?? ?? ?? ?? 8B 45 FC 80 78 20 00 75 12 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 B4 E8 ?? ?? ?? ?? 8B 45 B4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B0 33 C9 BA ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? 8D 95 40 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 8D 40 FF FF FF BA ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? B9 0B 00 00 00 BA ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? B9 09 00 00 00 BA ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? 8D 85 3C FF FF FF 50 8B 45 CC 89 85 58 FF FF FF C6 85 5C FF FF FF 00 8B 45 D4 89 85 60 FF FF FF C6 85 64 FF FF FF 00 8B 45 D8 89 85 68 FF FF FF C6 85 6C FF FF FF 00 8B 45 DC 89 85 70 FF FF FF C6 85 74 FF FF FF 00 8D 95 58 FF FF FF B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 3C FF FF FF BA ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 80 B8 9C 02 00 00 00 0F 84 EB 01 00 00 8B 45 B4 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 AC 33 C9 BA ?? ?? ?? ?? 8B 45 AC E8 ?? ?? ?? ?? 8D 95 38 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 8D 38 FF FF FF BA ?? ?? ?? ?? 8B 45 AC E8 ?? ?? ?? ?? 8B 4D E4 BA ?? ?? ?? ?? 8B 45 AC E8 ?? ?? ?? ?? 8B 4D E0 BA ?? ?? ?? ?? 8B 45 AC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 D0 FF 75 C8 8D 85 34 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 8D 34 FF FF FF BA ?? ?? ?? ?? 8B 45 AC E8 ?? ?? ?? ?? E9 51 01 00 00 8B 45 FC 8B 40 38 80 B8 9C 02 00 00 00 0F 84 3E 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 A8 33 C9 BA ?? ?? ?? ?? 8B 45 A8 E8 ?? ?? ?? ?? 8D 95 30 FF FF FF 8B 45 FC 8B 40 38 8B 80 AC 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 8D 85 30 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 30 FF FF FF BA ?? ?? ?? ?? 8B 45 A8 E8 ?? ?? ?? ?? 8B 4D E4 BA ?? ?? ?? ?? 8B 45 A8 E8 ?? ?? ?? ?? 8B 4D E0 BA ?? ?? ?? ?? 8B 45 A8 E8 ?? ?? ?? ?? 8D 85 2C FF FF FF 8B 4D D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 2C FF FF FF BA ?? ?? ?? ?? 8B 45 A8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 A4 33 C9 BA ?? ?? ?? ?? 8B 45 A4 E8 ?? ?? ?? ?? 8D 95 28 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 8D 28 FF FF FF BA ?? ?? ?? ?? 8B 45 A4 E8 ?? ?? ?? ?? 8B 4D E4 BA ?? ?? ?? ?? 8B 45 A4 E8 ?? ?? ?? ?? 8B 4D E0 BA ?? ?? ?? ?? 8B 45 A4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 D0 FF 75 C8 8D 85 24 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 8D 24 FF FF FF BA ?? ?? ?? ?? 8B 45 A4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 A0 8B 45 A0 C6 40 1C 01 33 C9 BA ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? 8D 95 20 FF FF FF 8B 45 FC 8B 40 38 8B 80 AC 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 8D 85 20 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 20 FF FF FF BA ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 8B 80 D0 02 00 00 8B 48 08 BA ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? 8B 4D E0 BA ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? 80 7D 08 00 75 24 8B 45 FC 66 83 78 32 00 75 1A 8D 95 1C FF FF FF 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 83 BD 1C FF FF FF 00 74 19 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 EB 17 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8D 95 18 FF FF FF 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 83 BD 18 FF FF FF 00 0F 85 BA 00 00 00 8B 45 FC 66 83 78 32 00 0F 95 C0 0A 45 08 0F 84 A6 00 00 00 68 ?? ?? ?? ?? 8D 95 10 FF FF FF 8B 45 FC 8B 40 38 8B 08 FF 91 14 01 00 00 FF B5 10 FF FF FF 68 ?? ?? ?? ?? 8B 45 FC FF 70 28 68 ?? ?? ?? ?? 8D 85 14 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 8D 14 FF FF FF BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 08 FF FF FF 8B 45 FC 8B 40 38 8B 08 FF 91 14 01 00 00 FF B5 08 FF FF FF 68 ?? ?? ?? ?? 8B 45 FC FF 70 28 68 ?? ?? ?? ?? 8D 85 0C FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 8D 0C FF FF FF BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? EB 13 8B 45 FC 8B 48 0C BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 C6 40 1C 01 8D 95 04 FF FF FF 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 83 BD 04 FF FF FF 00 74 35 A0 ?? ?? ?? ?? 50 8D 85 00 FF FF FF 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 8B 8D 00 FF FF FF BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 83 78 4C 00 74 15 8B 45 FC 8B 48 4C BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? EB 49 8B 45 FC 8B 40 14 80 78 08 00 74 3D 8D 85 FC FE FF FF 50 8B 45 FC 8B 40 38 8B 80 AC 02 00 00 8B 40 10 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 8D FC FE FF FF BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 33 C9 8B 55 FC 8B 52 1C E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 8B 40 08 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 51 40 89 45 9C C7 45 EC 00 00 00 00 8A 45 08 50 8B 55 EC 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 55 FC 8A 4A 20 22 4D F7 8B 55 F8 83 C2 01 71 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? FF 45 EC FF 4D 9C 75 BA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FE FF FF BA 17 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 8B 45 F0 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 14 00 00 00 6D 00 61 00 72 00 67 00 69 00 6E 00 2D 00 62 00 6F 00 74 00 74 00 6F 00 6D 00 3A 00 20 00 25 00 64 00 70 00 78 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 50 00 41 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 76 00 69 00 73 00 69 00 62 00 69 00 6C 00 69 00 74 00 79 00 3A 00 68 00 69 00 64 00 64 00 65 00 6E 00 3B 00 20 00 64 00 69 00 73 00 70 00 6C 00 61 00 79 00 3A 00 6E 00 6F 00 6E 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 69 00 6D 00 67 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 6F 00 72 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 2F 00 67 00 66 00 78 00 2F 00 54 00 70 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 73 00 72 00 63 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 77 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 68 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 76 00 65 00 72 00 74 00 69 00 63 00 61 00 6C 00 2D 00 61 00 6C 00 69 00 67 00 6E 00 3A 00 6D 00 69 00 64 00 64 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 61 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 6A 00 61 00 76 00 61 00 73 00 63 00 72 00 69 00 70 00 74 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 57 00 43 00 4C 00 2E 00 4F 00 70 00 65 00 6E 00 54 00 72 00 65 00 65 00 49 00 74 00 65 00 6D 00 28 00 27 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 27 00 29 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 72 00 65 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 6C 00 75 00 73 00 49 00 6D 00 67 00 5F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 60 00 00 00 76 00 65 00 72 00 74 00 69 00 63 00 61 00 6C 00 2D 00 61 00 6C 00 69 00 67 00 6E 00 3A 00 6D 00 69 00 64 00 64 00 6C 00 65 00 3B 00 20 00 20 00 6D 00 61 00 72 00 67 00 69 00 6E 00 2D 00 74 00 6F 00 70 00 3A 00 25 00 64 00 70 00 78 00 3B 00 20 00 6D 00 61 00 72 00 67 00 69 00 6E 00 2D 00 62 00 6F 00 74 00 74 00 6F 00 6D 00 3A 00 25 00 64 00 70 00 78 00 3B 00 20 00 6D 00 61 00 72 00 67 00 69 00 6E 00 2D 00 6C 00 65 00 66 00 74 00 3A 00 25 00 64 00 70 00 78 00 3B 00 20 00 6D 00 61 00 72 00 67 00 69 00 6E 00 2D 00 72 00 69 00 67 00 68 00 74 00 3A 00 25 00 64 00 70 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 76 00 65 00 72 00 74 00 69 00 63 00 61 00 6C 00 2D 00 61 00 6C 00 69 00 67 00 6E 00 3A 00 20 00 6D 00 69 00 64 00 64 00 6C 00 65 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 57 00 43 00 4C 00 2E 00 43 00 6C 00 6F 00 73 00 65 00 54 00 72 00 65 00 65 00 49 00 74 00 65 00 6D 00 28 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 69 00 6E 00 75 00 73 00 49 00 6D 00 67 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 70 00 61 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 6A 00 61 00 76 00 61 00 73 00 63 00 72 00 69 00 70 00 74 00 3A 00 53 00 75 00 62 00 6D 00 69 00 74 00 43 00 6C 00 69 00 63 00 6B 00 28 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 27 00 2C 00 20 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 75 00 }
	condition:
		$1
}

rule function_46433_0 {
	meta:
		name = "TIWTreeViewItem.SetCaption"
		size = 164
		refs = "0016 TIWTreeViewItem.SetCaption 002a @UStrAsg 0035 FindRootDesigner 004f @CallDynaInst 0061 _DV_TIWTreeViewItems 0066 @IsClass 0093 @IntfClear 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 1C 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 83 7D F4 00 74 08 8B 45 F4 8B 10 FF 52 0C 8B 45 FC 66 BE FF FF E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 26 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 F0 83 78 1C 00 74 0B 8B 45 F0 8B 40 1C 8B 10 FF 52 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_46434_0 {
	meta:
		name = "TIWTreeViewItem.SetDisplayName"
		size = 41
		refs = "0016 @UStrAsg 0021 TCollectionItem.SetDisplayName"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 83 C0 28 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_46437_0 {
	meta:
		name = "TIWTreeViewItem.SetParentItem"
		size = 106
		refs = "0022 TList.IndexOf 0032 TList.Delete 0055 TList.Add 0062 TIWTreeViewItem.SetItemVersion"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 83 78 18 00 74 21 8B 45 FC 8B 40 18 8B 40 24 8B 55 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 18 8B 40 24 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 89 42 18 8B 45 FC 83 78 18 00 74 11 8B 45 FC 8B 40 18 8B 40 24 8B 55 FC E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_46438_0 {
	meta:
		name = "TIWTreeViewItem.SetURL"
		size = 30
		refs = "0016 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 83 C0 0C 8B 55 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_46439_0 {
	meta:
		name = "TIWTreeViewItem.WriteData"
		size = 84
		refs = "0025 TCollectionItem.GetIndex 003c TWriter.Write"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 F8 89 45 FC 8B 45 FC 83 78 18 00 75 09 C7 45 F4 FF FF FF FF EB 0E 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 89 45 F4 C6 45 F3 04 8D 55 F3 B9 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F4 B9 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_46440_0 {
	meta:
		name = "TIWTreeViewItem.SetItemVersion"
		size = 34
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 83 78 3C 00 75 09 8B 45 F8 8B 55 FC 89 42 3C 59 59 5D C3 }
	condition:
		$1
}

rule function_46441_0 {
	meta:
		name = "TIWTreeViewItem.HasChild"
		size = 30
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 24 83 78 08 00 0F 9F 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_46442_0 {
	meta:
		name = "TIWTreeViewItem.SetName"
		size = 144
		refs = "0015 TIWTreeViewItem.SetName 0037 StringReplace 0045 @UStrAsg 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A0 ?? ?? ?? ?? 50 8D 45 F4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 83 C0 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_46443_0 {
	meta:
		name = "TIWTreeViewItem.SetExpanded"
		size = 39
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8A 45 FB 8B 55 FC 88 42 20 8B 45 FC 8B 40 38 8B 10 FF 92 9C 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_46444_0 {
	meta:
		name = "TIWTreeViewItem.SetHint"
		size = 44
		refs = "0016 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC 83 C0 40 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 8B 10 FF 92 9C 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_46445_0 {
	meta:
		name = "TIWTreeViewItem.SetOnClick"
		size = 41
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 55 08 89 50 30 8B 55 0C 89 50 34 8B 45 FC 8B 40 38 8B 10 FF 92 9C 00 00 00 59 5D C2 08 00 }
	condition:
		$1
}

rule function_46447_0 {
	meta:
		name = "TIWTreeViewItems.Add"
		size = 75
		refs = "0011 TCollection.Add 001f TIWTreeViewItem.SetParentItem 002b @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 66 BE FF FF E8 ?? ?? ?? ?? 8B 55 F4 89 42 38 8B 45 F4 8B 40 38 8B 10 FF 92 9C 00 00 00 8B 45 F4 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_46449_0 {
	meta:
		name = "TIWTreeViewItems.SetItem"
		size = 38
		refs = "0016 TCollection.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 08 FF 51 08 8B E5 5D C3 }
	condition:
		$1
}

rule function_46450_0 {
	meta:
		name = "TIWTreeViewItems.SetDesigner"
		size = 81
		refs = "0010 @IntfAddRef 0018 TIWTreeViewItems.SetDesigner 002c @IntfCopy 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 1C 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_46451_0 {
	meta:
		name = "TIWTreeViewItems.Destroy"
		size = 69
		refs = "0007 @BeforeDestruction 002f TCollection.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 83 78 1C 00 74 0B 8B 45 FC 8B 40 1C 8B 10 FF 52 10 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_46452_0 {
	meta:
		name = "TIWTreeViewItems.RenderTreeView"
		size = 136
		refs = "000d _Dn_TIWHTMLTag 0017 _Dn_TIWHTMLTagCollection 001c TIWMarkupLanguageTagCollection.Create 0027 TCollection.GetCount 0031 @IntOver 004b TIWTreeViewItems.GetItem 0069 TIWTreeViewItem.RenderItem 0075 TIWHTMLTagCollection.AddTagAsObject"
	strings:
		$1 = { 55 8B EC 83 C4 EC 88 55 FB 89 45 FC A1 ?? ?? ?? ?? 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 48 40 89 45 EC C7 45 F0 00 00 00 00 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 83 78 18 00 75 24 8A 45 FB 50 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? B1 01 33 D2 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 45 F4 E8 ?? ?? ?? ?? FF 45 F0 FF 4D EC 75 C3 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_46453_0 {
	meta:
		name = "TIWTreeViewImages.Assign"
		size = 149
		refs = "0011 _DV_TIWTreeViewImages 0016 @IsClass 0028 @AsClass 008d TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 68 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 50 04 8B 45 FC 8B 40 04 8B 08 FF 51 08 8B 45 F4 8B 50 08 8B 45 FC 8B 40 08 8B 08 FF 51 08 8B 45 F4 8B 50 0C 8B 45 FC 8B 40 0C 8B 08 FF 51 08 8B 45 F4 8B 50 10 8B 45 FC 8B 40 10 8B 08 FF 51 08 8B 45 F4 8B 50 14 8B 45 FC 8B 40 14 8B 08 FF 51 08 EB 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_46454_0 {
	meta:
		name = "TIWTreeViewImages.Create"
		size = 155
		refs = "000e @ClassCreate 001e TObject.Create 0025 _Dn_TIWFileReference 002a TIWFileReference.Create 0086 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_46455_0 {
	meta:
		name = "TIWTreeViewImages.Destroy"
		size = 104
		refs = "0007 @BeforeDestruction 0018 FreeAndNil 0052 TPersistent.Destroy 0060 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 83 C0 04 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 14 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_46461_0 {
	meta:
		name = "TIWTreeViewItemSpace.SetHorizontalSpace"
		size = 25
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 89 42 08 59 59 5D C3 }
	condition:
		$1
}

rule function_46462_0 {
	meta:
		name = "TIWTreeViewItemSpace.SetVerticalSpace"
		size = 25
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 89 42 04 59 59 5D C3 }
	condition:
		$1
}

rule function_46464_0 {
	meta:
		name = "IWTreeview"
		size = 820
		refs = "0005 _DV_6 000d IWTreeview 0017 _Dn_TIWServer 001c TIWServer.AddInternalFile"
	strings:
		$1 = { 55 8B EC 83 2D ?? ?? ?? ?? 01 73 78 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 2F 00 6A 00 73 00 2F 00 49 00 57 00 54 00 72 00 65 00 65 00 2E 00 6A 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 57 00 5F 00 4A 00 53 00 5F 00 49 00 57 00 54 00 72 00 65 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 2F 00 67 00 66 00 78 00 2F 00 54 00 72 00 65 00 65 00 56 00 69 00 65 00 77 00 5F 00 6F 00 70 00 65 00 6E 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 54 00 72 00 65 00 65 00 56 00 69 00 65 00 77 00 5F 00 4F 00 70 00 65 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 2F 00 67 00 66 00 78 00 2F 00 54 00 72 00 65 00 65 00 56 00 69 00 65 00 77 00 5F 00 63 00 6C 00 6F 00 73 00 65 00 64 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 54 00 72 00 65 00 65 00 56 00 69 00 65 00 77 00 5F 00 43 00 6C 00 6F 00 73 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 2F 00 67 00 66 00 78 00 2F 00 54 00 72 00 65 00 65 00 56 00 69 00 65 00 77 00 5F 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 54 00 72 00 65 00 65 00 56 00 69 00 65 00 77 00 5F 00 44 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 2F 00 67 00 66 00 78 00 2F 00 54 00 72 00 65 00 65 00 56 00 69 00 65 00 77 00 5F 00 70 00 6C 00 75 00 73 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 54 00 72 00 65 00 65 00 56 00 69 00 65 00 77 00 5F 00 50 00 6C 00 75 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 2F 00 67 00 66 00 78 00 2F 00 54 00 72 00 65 00 65 00 56 00 69 00 65 00 77 00 5F 00 6D 00 69 00 6E 00 75 00 73 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 54 00 72 00 65 00 65 00 56 00 69 00 65 00 77 00 5F 00 4D 00 69 00 6E 00 75 00 73 00 00 00 }
	condition:
		$1
}

rule function_46465_0 {
	meta:
		name = "TIWStyleRenderOptions.Assign"
		size = 100
		refs = "000a _DV_TIWStyleRenderOptions 000f @IsClass 0020 @AsClass 005d TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 41 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 50 04 88 53 04 0F B6 50 05 88 53 05 0F B6 50 06 88 53 06 0F B6 50 07 88 53 07 0F B6 50 08 88 53 08 0F B6 50 09 88 53 09 0F B6 40 0A 88 43 0A 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46466_0 {
	meta:
		name = "TIWStyleRenderOptions.Create"
		size = 81
		refs = "000a @ClassCreate 0017 TObject.Create 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 04 01 C6 46 05 01 C6 46 06 01 C6 46 07 01 C6 46 08 01 C6 46 09 01 C6 46 0A 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_46469_0 {
	meta:
		name = "TIWURLMap.Add"
		size = 45
		refs = "000f _Dn_TIWURLResponderAppForm 0014 TIWURLResponderAppForm.Create 001e gURLMappingList 0023 TIWURLMap.AddInternal"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 4D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B CE 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_46470_0 {
	meta:
		name = "TIWURLMap.Add"
		size = 21
		refs = "0008 gURLMappingList 000d TIWURLMap.AddInternal"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_46472_0 {
	meta:
		name = "TIWURLMap.AddInternal"
		size = 628
		refs = "0021 @UStrAddRef 0031 TIWURLMap.AddInternal 0042 Trim 004d UpperCase 0058 @UStrLAsg 0084 _Dn_EIWException 0089 EIWException.IfTrue 00cb Format 0114 @UStrCat3 013c @UStrArrayClr 0144 @UStrClr 0157 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 89 45 E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 94 C2 B9 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 38 2F 74 04 B3 01 EB 18 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 FC 66 83 7C 42 FE 2F 0F 95 C3 8D 45 E4 50 8B 45 FC 89 45 DC C6 45 E0 11 8D 55 DC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 75 10 8B 46 08 8B 4D 08 8B 55 FC 8B 18 FF 53 3C EB 1C 8D 45 D4 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 D4 8B 46 04 8B 4D 08 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 52 00 65 00 67 00 69 00 73 00 74 00 65 00 72 00 55 00 52 00 4C 00 3A 00 20 00 59 00 6F 00 75 00 20 00 63 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 70 00 20 00 61 00 6E 00 20 00 65 00 6D 00 70 00 74 00 79 00 20 00 55 00 52 00 4C 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 4E 00 00 00 52 00 65 00 67 00 69 00 73 00 74 00 65 00 72 00 55 00 52 00 4C 00 3A 00 20 00 55 00 52 00 4C 00 20 00 6D 00 61 00 70 00 70 00 69 00 6E 00 67 00 73 00 20 00 25 00 73 00 20 00 6D 00 75 00 73 00 74 00 20 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 20 00 61 00 20 00 73 00 6C 00 61 00 73 00 68 00 28 00 2F 00 29 00 20 00 61 00 74 00 20 00 74 00 68 00 65 00 20 00 62 00 65 00 67 00 69 00 6E 00 20 00 61 00 6E 00 64 00 20 00 74 00 68 00 65 00 20 00 65 00 6E 00 64 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46473_0 {
	meta:
		name = "TIWURLMap.Create"
		size = 117
		refs = "000b @ClassCreate 0018 TObject.Create 001f _Dn_TStringList 0024 TStringList.Create 0032 TStringList.SetSorted 003c TStringList.SetCaseSensitive 0061 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 04 8B C6 B2 01 E8 ?? ?? ?? ?? 8B 47 04 33 D2 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 08 8B C6 B2 01 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46475_0 {
	meta:
		name = "TIWURLMap.FindMatch"
		size = 82
		refs = "000c TIWURLMap.FindMatch 001c UpperCase 0024 gURLMappingList 0029 TIWURLMap.FindMatchInternal 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_46476_0 {
	meta:
		name = "TIWURLMap.FindMatchInternal"
		size = 768
		refs = "001b @UStrAddRef 0023 TIWURLMap.FindMatchInternal 0039 @WStrFromUStr 0049 RightStr 0056 @WStrEqual 0064 CountChr 0083 @UStrDelete 0088 gURLMappingList 00aa @UStrCat3 0111 @UStrClr 0121 RPos 013f @UStrCopy 01b1 @UStrCat 01e2 Pos 024b @WStrArrayClr 0258 @UStrArrayClr 028d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 DC 8D 4D E0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2B 8B 55 FC 66 B8 2F 00 E8 ?? ?? ?? ?? 83 F8 02 7E 1A 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 55 FC B9 01 00 00 00 92 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 04 8B 55 FC 8B 08 FF 51 54 8B D8 83 FB FF 75 1D 8D 45 D8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 D8 8B 46 04 8B 08 FF 51 54 8B D8 83 FB FF 0F 85 9C 00 00 00 8D 45 D0 8B 55 FC E8 ?? ?? ?? ?? 8B 45 D0 8D 4D D4 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1F 8D 45 CC B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 CC 8B 46 04 8B 08 FF 51 54 8B D8 EB 53 8D 45 F4 E8 ?? ?? ?? ?? 83 C9 FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 7E 15 8D 45 F4 50 8B 4D EC 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 C8 B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 C8 8B 46 04 8B 08 FF 51 54 8B D8 83 FB FF 74 12 8B D3 8B 46 04 8B 08 FF 51 18 89 45 F0 E9 BE 00 00 00 C7 45 E8 FF FF FF FF 8D 45 C0 8B 55 FC E8 ?? ?? ?? ?? 8B 45 C0 8D 4D C4 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 08 8B 10 FF 52 14 48 85 C0 7C 61 40 89 45 E4 C7 45 EC 00 00 00 00 8D 4D F8 8B 55 EC 8B 46 08 8B 38 FF 57 0C 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 48 75 32 83 7D E8 FF 75 04 B0 01 EB 12 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 3B 45 E8 0F 9F C0 84 C0 74 12 8B 5D EC 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 89 45 E8 FF 45 EC FF 4D E4 75 AA 83 FB FF 74 0D 8B D3 8B 46 08 8B 08 FF 51 18 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AF 8B 45 F0 5F 5E 5B 8B E5 5D C3 00 00 00 02 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 2F 00 69 00 6E 00 64 00 65 00 78 00 2E 00 68 00 74 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 2A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46481_0 {
	meta:
		name = "TIWURLResponderEvent.DoRequest"
		size = 32
	strings:
		$1 = { 55 8B EC 53 66 83 78 4A 00 74 0E 8B 5D 08 53 8B D8 8B 43 4C FF 53 48 EB 02 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_46482_0 {
	meta:
		name = "TIWURLResponderAppForm.Create"
		size = 35
		refs = "0008 @ClassCreate 0014 @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 38 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_46483_0 {
	meta:
		name = "TIWURLResponderAppForm.CreateFormInstance"
		size = 15
	strings:
		$1 = { 56 8B F0 8B CA 8B 46 38 B2 01 FF 50 38 5E C3 }
	condition:
		$1
}

rule function_46484_0 {
	meta:
		name = "TIWURLResponderRedirect.DoRequest"
		size = 348
		refs = "0013 TIWURLResponderRedirect.DoRequest 003c @UStrCatN 0046 TWebResponse.SetUnicodeContent 0058 @LStrFromUStr 0079 @LStrClr 0081 @UStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F0 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BA 94 00 00 00 00 74 26 68 ?? ?? ?? ?? FF 76 44 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 1A 8D 45 F8 8B 56 44 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 8B 08 FF 51 38 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 59 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 32 00 00 00 3C 00 72 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 3E 00 3C 00 65 00 78 00 65 00 63 00 75 00 74 00 65 00 3E 00 3C 00 6C 00 69 00 74 00 65 00 72 00 61 00 6C 00 3E 00 77 00 69 00 6E 00 64 00 6F 00 77 00 2E 00 6C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2E 00 68 00 72 00 65 00 66 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 22 00 3C 00 2F 00 6C 00 69 00 74 00 65 00 72 00 61 00 6C 00 3E 00 3C 00 2F 00 65 00 78 00 65 00 63 00 75 00 74 00 65 00 3E 00 3C 00 2F 00 72 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46485_0 {
	meta:
		name = "TIWURLResponderRawBase.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TComponent.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 40 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_46486_0 {
	meta:
		name = "TIWURLResponderRawBase.DoRegister"
		size = 18
		refs = "0008 _Dn_TIWURLMap 000d TIWURLMap.Add"
	strings:
		$1 = { 50 8B 48 3C 8B 50 38 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46487_0 {
	meta:
		name = "TIWURLResponderRawBase.Loaded"
		size = 47
		refs = "0006 TComponent.Loaded 0024 _Dn_TIWURLMap 0029 TIWURLMap.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 75 1D 80 7B 40 00 74 17 83 7B 38 00 74 11 53 8B 4B 3C 8B 53 38 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_46492_0 {
	meta:
		name = "TFormatSettings.Create"
		size = 340
		refs = "0013 @ClassCreate 0021 TFormatSettings.Create 0031 TObject.Create 003f DecimalSeparator 0047 @UStrFromWChar 005f @UStrCatN 0064 ShortDateFormat 0070 ShortTimeFormat 0092 @UStrAsg 00a7 @UStrClr 00ad @HandleFinally 00bd @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? 66 8B 12 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B 45 FC 83 C0 04 BA 03 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? FF 30 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? FF 30 8B 45 FC 83 C0 08 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 5B 00 25 00 4E 00 61 00 6D 00 65 00 25 00 5D 00 20 00 5B 00 25 00 53 00 69 00 7A 00 65 00 25 00 5D 00 20 00 5B 00 25 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 25 00 5D 00 00 00 00 00 }
	condition:
		$1
}

rule function_46493_0 {
	meta:
		name = "Spaces"
		size = 84
		refs = "0010 @UStrClr 0029 Spaces 002e @UStrCat"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 7E 22 89 45 F0 C7 45 F4 01 00 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 FF 45 F4 FF 4D F0 75 E8 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_46494_0 {
	meta:
		name = "FormatOutPut"
		size = 988
		refs = "0056 @UStrAddRef 0062 TSearchRec 0067 @AddRefRecord 006f FormatOutPut 0083 @UStrAsg 00b2 @UStrLen 00c3 @IntOver 00ce Spaces 00e2 @UStrCatN 0101 StringReplace 0130 IWFormatByteSize 0153 iif 01c3 @UStrCat3 01f1 FileDateToDateTime 0206 FormatDateTime 0240 @UStrCat 0260 @UStrArrayClr 0271 @FinalizeRecord 0279 @UStrClr 0287 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 64 FD FF FF 53 56 57 33 DB 89 9D 64 FD FF FF 89 9D 70 FD FF FF 89 9D 6C FD FF FF 89 9D 68 FD FF FF 89 9D 74 FD FF FF 89 9D 78 FD FF FF 89 9D 7C FD FF FF 89 5D F4 8B F2 8D BD 80 FD FF FF 51 B9 9C 00 00 00 F3 A5 59 89 4D F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 85 80 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 55 F8 8B 52 0C E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC FF B5 94 FD FF FF 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF B5 94 FD FF FF 68 ?? ?? ?? ?? 55 8B 85 94 FD FF FF E8 ?? ?? ?? ?? 50 8B 45 F8 8B 40 10 5A 2B C2 71 05 E8 ?? ?? ?? ?? 8D 95 7C FD FF FF E8 ?? ?? ?? ?? 59 FF B5 7C FD FF FF 8D 45 F4 BA 08 00 00 00 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 8D 85 78 FD FF FF 50 8B 45 08 8B 00 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 78 FD FF FF 8B 45 08 E8 ?? ?? ?? ?? 8D 45 F4 50 FF B5 8C FD FF FF FF B5 88 FD FF FF 8D 95 74 FD FF FF 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 8B 8D 74 FD FF FF 83 BD 8C FD FF FF 00 75 07 83 BD 88 FD FF FF 00 0F 94 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 8D 85 70 FD FF FF 50 55 83 BD 8C FD FF FF 00 75 07 83 BD 88 FD FF FF 00 0F 94 C0 33 C9 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 E8 ?? ?? ?? ?? BA 14 00 00 00 2B D0 71 05 E8 ?? ?? ?? ?? 03 DA 71 05 E8 ?? ?? ?? ?? 8B C3 8D 95 68 FD FF FF E8 ?? ?? ?? ?? 59 8B 8D 68 FD FF FF 8D 85 6C FD FF FF 8B 55 F4 E8 ?? ?? ?? ?? 8B 8D 6C FD FF FF 8B 45 08 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 70 FD FF FF 8B 45 08 E8 ?? ?? ?? ?? 8B 85 80 FD FF FF E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 55 F4 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? A0 ?? ?? ?? ?? 50 8D 85 64 FD FF FF 50 8B 45 08 8B 00 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 64 FD FF FF 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 64 FD FF FF BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 85 80 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C7 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 3C 00 62 00 72 00 3E 00 3C 00 61 00 20 00 68 00 72 00 65 00 66 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 22 00 3C 00 66 00 6F 00 6E 00 74 00 20 00 66 00 61 00 63 00 65 00 3D 00 22 00 63 00 6F 00 75 00 72 00 69 00 65 00 72 00 20 00 6E 00 65 00 77 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 2F 00 61 00 3E 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5B 00 25 00 4E 00 61 00 6D 00 65 00 25 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 26 00 6C 00 74 00 3B 00 64 00 69 00 72 00 26 00 67 00 74 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5B 00 25 00 53 00 69 00 7A 00 65 00 25 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 5B 00 25 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 25 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 2F 00 66 00 6F 00 6E 00 74 00 3E 00 00 00 }
	condition:
		$1
}

rule function_46495_0 {
	meta:
		name = "TIWURLResponderDirLister.Create"
		size = 89
		refs = "000e @ClassCreate 0024 TIWURLResponderRawBase.Create 002b _DV_TFormatSettings 0030 TFormatSettings.Create 0044 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 48 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_46496_0 {
	meta:
		name = "TIWURLResponderDirLister.Destroy"
		size = 60
		refs = "0007 @BeforeDestruction 0018 FreeAndNil 0026 TComponent.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 83 C0 48 E8 ?? ?? ?? ?? 8A 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_46497_0 {
	meta:
		name = "TIWURLResponderDirLister.DoRequest"
		size = 1496
		refs = "0026 TSearchRec 002b @InitializeRecord 0033 TIWURLResponderDirLister.DoRequest 005e @UStrFromLStr 0066 gServerController 0076 URLPathToFilePath 0084 IncludeTrailingBackslash 008c DirectoryExists 009b _Dn_TStringList 00a0 TStringList.Create 00cd @UStrLAsg 00f7 @WStrFromUStr 010d RightStr 011d @WStrEqual 012c @UStrCat 014f Fetch 0182 @UStrCat3 0198 FindFirst 01b0 @UStrEqual 01f3 FormatOutPut 0209 @UStrCatN 030b FindNext 031e FindClose 0346 @IntOver 0366 TStrings.GetName 037a TStrings.GetValue 0401 FreeAndNil 040f @HandleFinally 0428 _Dn_TStringStream 042d TStringStream.Create 0458 @UStrArrayClr 0463 @UStrClr 04af @WStrArrayClr 04ca @LStrClr 04db @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 51 B9 5D 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 89 4D F8 89 55 CC 89 45 FC 8D 85 58 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8D 8D 54 FD FF FF BA 02 00 00 00 8B 45 F8 8B 18 FF 53 04 8B 95 54 FD FF FF 8D 45 E8 E8 ?? ?? ?? ?? 8D 4D F0 A1 ?? ?? ?? ?? 8B 00 8B 80 B4 00 00 00 8B 55 E8 E8 ?? ?? ?? ?? 8D 95 50 FD FF FF 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 A7 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 4C FD FF FF 8B 45 F0 E8 ?? ?? ?? ?? 8B 95 4C FD FF FF 8D 45 F0 E8 ?? ?? ?? ?? 8D 85 44 FD FF FF 8B 55 E8 E8 ?? ?? ?? ?? 8B 85 44 FD FF FF 8D 8D 48 FD FF FF BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 85 48 FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0D 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B 55 E8 E8 ?? ?? ?? ?? 6A 01 8D 85 40 FD FF FF 50 8D 45 E4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 85 3C FD FF FF 50 8D 45 E4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E4 00 0F 94 45 E3 8D 85 38 FD FF FF B9 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 85 38 FD FF FF 8D 8D 58 FD FF FF BA FF 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 7E 01 00 00 8B 85 6C FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 6A 8B 85 6C FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 58 83 BD 68 FD FF FF 10 74 4F FF B5 6C FD FF FF 68 ?? ?? ?? ?? 8D 85 30 FD FF FF 50 8B 45 FC 8B 48 48 8D 95 58 FD FF FF 8B 45 E8 E8 ?? ?? ?? ?? FF B5 30 FD FF FF 8D 85 34 FD FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 34 FD FF FF 8B 45 DC 8B 08 FF 51 38 E9 E4 00 00 00 8B 85 6C FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5B 80 7D E3 00 75 55 8B 45 FC 80 78 44 00 74 4C FF B5 6C FD FF FF 68 ?? ?? ?? ?? 8D 85 28 FD FF FF 50 8B 45 FC 8B 48 48 8D 95 58 FD FF FF 8B 45 E8 E8 ?? ?? ?? ?? FF B5 28 FD FF FF 8D 85 2C FD FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 2C FD FF FF 8B 45 D8 8B 08 FF 51 38 EB 77 8B 85 6C FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 65 8B 85 6C FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 53 8B 45 FC 80 78 44 00 74 4A FF B5 6C FD FF FF 68 ?? ?? ?? ?? 8D 85 20 FD FF FF 50 8B 45 FC 8B 48 48 8D 95 58 FD FF FF 8B 45 E8 E8 ?? ?? ?? ?? FF B5 20 FD FF FF 8D 85 24 FD FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 24 FD FF FF 8B 45 D8 8B 08 FF 51 38 8D 85 58 FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 84 8D FE FF FF 8D 85 58 FD FF FF E8 ?? ?? ?? ?? 8B 45 DC 8B 10 FF 92 A0 00 00 00 8B 45 D8 8B 10 FF 92 A0 00 00 00 8B 45 D8 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 46 40 89 45 D0 C7 45 D4 00 00 00 00 8D 8D 18 FD FF FF 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 8B 95 18 FD FF FF 8D 8D 1C FD FF FF 8B 45 D8 E8 ?? ?? ?? ?? 8B 95 1C FD FF FF 8D 45 EC E8 ?? ?? ?? ?? FF 45 D4 FF 4D D0 75 C5 8B 45 DC 8B 10 FF 52 14 83 E8 01 71 05 E8 ?? ?? ?? ?? 85 C0 7C 46 40 89 45 D0 C7 45 D4 00 00 00 00 8D 8D 10 FD FF FF 8B 55 D4 8B 45 DC E8 ?? ?? ?? ?? 8B 95 10 FD FF FF 8D 8D 14 FD FF FF 8B 45 DC E8 ?? ?? ?? ?? 8B 95 14 FD FF FF 8D 45 EC E8 ?? ?? ?? ?? FF 45 D4 FF 4D D0 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 08 FF 51 20 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 10 FD FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 85 24 FD FF FF E8 ?? ?? ?? ?? 8D 85 28 FD FF FF E8 ?? ?? ?? ?? 8D 85 2C FD FF FF E8 ?? ?? ?? ?? 8D 85 30 FD FF FF E8 ?? ?? ?? ?? 8D 85 34 FD FF FF E8 ?? ?? ?? ?? 8D 85 38 FD FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 44 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 4C FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 54 FD FF FF E8 ?? ?? ?? ?? 8D 85 58 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 55 FF FF FF 8A 45 F7 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 3C 00 68 00 74 00 6D 00 6C 00 3E 00 3C 00 68 00 65 00 61 00 64 00 3E 00 3C 00 2F 00 68 00 65 00 61 00 64 00 3E 00 3C 00 62 00 6F 00 64 00 79 00 3E 00 3C 00 70 00 72 00 65 00 3E 00 00 00 00 00 02 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2A 00 2E 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 3C 00 2F 00 70 00 72 00 65 00 3E 00 3C 00 2F 00 62 00 6F 00 64 00 79 00 3E 00 00 00 }
	condition:
		$1
}

rule function_46500_0 {
	meta:
		name = "TIWUserSessionBase.DoDestroy"
		size = 72
		refs = "0018 TIWUserSessionBase.DoDestroy 0039 @HandleAnyException 003e @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 66 83 78 52 00 74 2E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 55 FC 8B 43 54 FF 53 50 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46503_0 {
	meta:
		name = "URLPathToFilePath"
		size = 656
		refs = "0021 @UStrAddRef 0031 URLPathToFilePath 004d @UStrCopy 005a @UStrEqual 006e @UStrDelete 008c StringReplace 0097 @UStrLAsg 00a4 Pos 00c5 _Dn_Exception 00ca Exception.Create 00cf @RaiseExcept 00da ExpandFileName 00f3 @UStrCat3 014d CompareText 01bc @UStrArrayClr 01c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 50 B9 01 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7F 11 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 E0 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E0 8B D6 E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F0 50 8B 06 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 10 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 55 00 52 00 4C 00 20 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 73 00 20 00 69 00 6C 00 6C 00 65 00 67 00 61 00 6C 00 20 00 63 00 68 00 61 00 72 00 61 00 63 00 74 00 65 00 72 00 73 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46504_0 {
	meta:
		name = "ISOConversions"
		size = 4904
		refs = "0019 @UStrAddRef 0021 ISOConversions 003a IWStringReplace 0059 @UStrAsg 086e @UStrArrayClr 0874 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 1F 00 00 00 6A 00 6A 00 49 75 F9 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 8D 45 D8 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B C3 E8 ?? ?? ?? ?? 8D 45 D4 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 8D 45 D0 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B C3 E8 ?? ?? ?? ?? 8D 45 CC 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B C3 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B C3 E8 ?? ?? ?? ?? 8D 45 C4 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B C3 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8B C3 E8 ?? ?? ?? ?? 8D 45 BC 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B C3 E8 ?? ?? ?? ?? 8D 45 B8 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B C3 E8 ?? ?? ?? ?? 8D 45 B4 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B C3 E8 ?? ?? ?? ?? 8D 45 B0 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8B C3 E8 ?? ?? ?? ?? 8D 45 AC 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 8B C3 E8 ?? ?? ?? ?? 8D 45 A8 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 8B C3 E8 ?? ?? ?? ?? 8D 45 A4 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8B C3 E8 ?? ?? ?? ?? 8D 45 A0 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 8B C3 E8 ?? ?? ?? ?? 8D 45 9C 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B C3 E8 ?? ?? ?? ?? 8D 45 98 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 98 8B C3 E8 ?? ?? ?? ?? 8D 45 94 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 8B C3 E8 ?? ?? ?? ?? 8D 45 90 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 90 8B C3 E8 ?? ?? ?? ?? 8D 45 8C 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 8C 8B C3 E8 ?? ?? ?? ?? 8D 45 88 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 88 8B C3 E8 ?? ?? ?? ?? 8D 45 84 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 84 8B C3 E8 ?? ?? ?? ?? 8D 45 80 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 80 8B C3 E8 ?? ?? ?? ?? 8D 85 7C FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 74 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 68 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 64 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 64 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 5C FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 5C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 58 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 58 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 54 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 54 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 4C FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 4C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 48 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 48 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 44 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 44 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 40 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 40 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 3C FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 3C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 38 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 38 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 34 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 34 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 30 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 30 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 2C FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 2C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 28 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 28 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 24 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 24 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 20 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 20 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 1C FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 1C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 18 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 18 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 14 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 14 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 10 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 10 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 0C FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 0C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 08 FF FF FF 50 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 08 FF FF FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 08 FF FF FF BA 3E 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 31 00 39 00 32 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 C0 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 31 00 39 00 33 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 C1 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 31 00 39 00 34 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 C2 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 31 00 39 00 35 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 31 00 39 00 36 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 C4 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 31 00 39 00 37 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 C5 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 31 00 39 00 38 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 C6 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 31 00 39 00 39 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 C7 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 30 00 30 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 C8 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 30 00 31 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 C9 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 30 00 32 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 CA 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 30 00 33 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 CB 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 30 00 34 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 CC 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 30 00 35 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 CD 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 30 00 36 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 CE 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 30 00 37 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 CF 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 30 00 38 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 D0 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 30 00 39 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 D1 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 31 00 30 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 D2 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 31 00 31 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 D3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 31 00 32 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 D4 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 31 00 33 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 D5 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 31 00 34 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 D6 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 31 00 36 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 D8 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 31 00 37 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 D9 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 31 00 38 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 DA 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 31 00 39 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 DB 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 32 00 30 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 DC 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 32 00 31 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 DD 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 32 00 32 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 DE 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 32 00 33 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 DF 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 32 00 34 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 E0 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 32 00 35 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 E1 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 32 00 36 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 E2 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 32 00 37 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 E3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 32 00 38 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 E4 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 32 00 39 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 E5 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 33 00 30 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 E6 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 33 00 31 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 E7 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 33 00 32 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 E8 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 33 00 33 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 E9 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 33 00 34 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 EA 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 33 00 35 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 EB 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 23 00 32 00 33 00 36 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_46506_0 {
	meta:
		name = "BoolToChar"
		size = 60
		refs = "0008 BoolToChar 0014 iif"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 46 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_46507_0 {
	meta:
		name = "StreamWrite"
		size = 122
		refs = "000f StreamWrite 0029 gServerController 0030 TIWServerControllerBase.GetEncoding 003a TEncoding.GetBytes 0042 @DynArrayLength 004e TStream.WriteBuffer 0064 TArray<System.Byte> 0069 @DynArrayClear 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 2A A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46508_0 {
	meta:
		name = "StreamWriteLn"
		size = 104
		refs = "000f StreamWriteLn 0024 @UStrCat3 002e StreamWrite 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46509_0 {
	meta:
		name = "GetContentType"
		size = 2068
		refs = "001a @UStrAddRef 0022 GetContentType 0033 @UStrLAsg 004b AnsiCompareText 0090 @UStrAsg 03ac _Dn_TRegistry 03b1 TRegistry.Create 03d5 TRegistry.SetRootKey 03e3 TRegistry.KeyExists 03f5 TRegistry.OpenKeyReadOnly 0416 TRegistry.ReadString 043e TRegistry.CloseKey 0444 @HandleFinally 045e TObject.Free 0480 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 10 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 28 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D1 03 00 00 8D 45 E4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 94 03 00 00 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 57 03 00 00 8D 45 D4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B 45 D4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 28 8D 45 CC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B 45 CC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EA 02 00 00 8D 45 C4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8B 45 C4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AD 02 00 00 8D 45 BC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B 45 BC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 70 02 00 00 8D 45 B4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8B 45 B4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 28 8D 45 AC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 A8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 8B 45 AC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 03 02 00 00 8D 45 A4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 A0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 8B 45 A4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C6 01 00 00 8D 45 9C 8B 55 FC E8 ?? ?? ?? ?? 8D 45 98 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 98 8B 45 9C E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 89 01 00 00 8D 45 94 8B 55 FC E8 ?? ?? ?? ?? 8D 45 90 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 90 8B 45 94 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4C 01 00 00 8D 45 8C 8B 55 FC E8 ?? ?? ?? ?? 8D 45 88 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 88 8B 45 8C E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0F 01 00 00 8D 45 84 8B 55 FC E8 ?? ?? ?? ?? 8D 45 80 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 80 8B 45 84 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D2 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 19 00 02 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 7C FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 00 00 00 80 8B 85 7C FF FF FF E8 ?? ?? ?? ?? 8B 55 FC 8B 85 7C FF FF FF E8 ?? ?? ?? ?? 84 C0 74 5F 8B 55 FC 8B 85 7C FF FF FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 BA ?? ?? ?? ?? 8B 85 7C FF FF FF E8 ?? ?? ?? ?? 83 7D F8 00 76 0A 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 85 7C FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 85 7C FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 80 BA 20 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 4A 00 50 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2E 00 4A 00 50 00 45 00 47 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 6D 00 61 00 67 00 65 00 2F 00 6A 00 70 00 65 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 47 00 49 00 46 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6D 00 61 00 67 00 65 00 2F 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 50 00 4E 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6D 00 61 00 67 00 65 00 2F 00 70 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 58 00 4D 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 52 00 53 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 72 00 73 00 73 00 2B 00 78 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 54 00 58 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 74 00 78 00 74 00 2F 00 70 00 6C 00 61 00 69 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 49 00 43 00 4F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 69 00 6D 00 61 00 67 00 65 00 2F 00 78 00 2D 00 69 00 63 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2E 00 48 00 54 00 4D 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 48 00 54 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 4A 00 53 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 78 00 2D 00 6A 00 61 00 76 00 61 00 73 00 63 00 72 00 69 00 70 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 50 00 44 00 46 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 70 00 64 00 66 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 5A 00 49 00 50 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 7A 00 69 00 70 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 45 00 58 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 6F 00 63 00 74 00 65 00 74 00 2D 00 73 00 74 00 72 00 65 00 61 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 43 00 53 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 74 00 65 00 78 00 74 00 2F 00 63 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 20 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_46510_0 {
	meta:
		name = "ToBase36"
		size = 288
		refs = "0010 ToBase36 001d @UStrClr 002e @_llmod 0043 @UStrFromWChar 004f @UStrCat3 005e @_lldiv 008b @UStrLen 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? EB 45 6A 00 6A 24 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 8B F0 46 8D 45 FC BA ?? ?? ?? ?? 0F B7 54 72 FE E8 ?? ?? ?? ?? 8B 55 FC 8B 0B 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 24 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 89 45 08 89 55 0C 83 7D 0C 00 75 08 83 7D 08 00 77 AF EB 12 7F AB EB 0E 8B 0B 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 3B F8 7F E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 24 00 00 00 30 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 61 00 62 00 63 00 64 00 65 00 66 00 67 00 68 00 69 00 6A 00 6B 00 6C 00 6D 00 6E 00 6F 00 70 00 71 00 72 00 73 00 74 00 75 00 76 00 77 00 78 00 79 00 7A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_46511_0 {
	meta:
		name = "FromBase36"
		size = 312
		refs = "0017 @UStrAddRef 001f FromBase36 003e LowerCase 0049 @UStrLAsg 006f @_llmul 0085 @UStrFromWChar 0092 Pos 00be @UStrArrayClr 00c6 @UStrClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 D2 89 55 E8 89 55 EC 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 49 BE 01 00 00 00 6A 00 6A 24 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 8D 45 E8 8B 55 FC 0F B7 54 72 FE E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 99 03 45 F0 13 55 F4 89 45 F0 89 55 F4 46 4B 75 BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F0 8B 55 F4 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 30 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 61 00 62 00 63 00 64 00 65 00 66 00 67 00 68 00 69 00 6A 00 6B 00 6C 00 6D 00 6E 00 6F 00 70 00 71 00 72 00 73 00 74 00 75 00 76 00 77 00 78 00 79 00 7A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46512_0 {
	meta:
		name = "IWStringReplace"
		size = 292
		refs = "0024 @UStrAddRef 003c IWStringReplace 007d @UStrCopy 009c @UStrEqual 00b0 @UStrCat 0102 @UStrArrayClr 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D F0 89 4D F4 89 55 F8 89 45 FC 8B 7D 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 33 DB 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 89 45 EC 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 89 45 E8 3B 75 EC 7D 7F 8D 45 F0 50 8D 56 01 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E4 50 8D 53 01 B9 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 75 14 43 3B 5D E8 75 3E 33 DB 8B C7 8B 55 F4 E8 ?? ?? ?? ?? EB 30 85 DB 7E 22 8D 45 E0 50 8D 4B 01 8B D6 2B D3 42 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8B C7 E8 ?? ?? ?? ?? 33 DB EB 0A 8B C7 8B 55 F0 E8 ?? ?? ?? ?? 46 3B 75 EC 7C 81 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_46513_0 {
	meta:
		name = "IWTextReplace"
		size = 353
		refs = "0024 @UStrAddRef 003c IWTextReplace 0081 @UStrCopy 008c @UStrLAsg 00c7 CompareText 00e3 @UStrCat 013f @UStrClr 014c @UStrArrayClr 0152 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D F0 89 5D EC 89 5D E8 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 33 F6 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 89 45 E4 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 89 45 E0 3B 7D E4 0F 8D BD 00 00 00 8D 45 F0 50 8D 57 01 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 EC 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 56 01 B9 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 75 04 B3 01 EB 20 83 7D EC 00 74 06 83 7D E8 00 75 04 33 DB EB 10 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 18 46 3B 75 E0 75 4A 33 F6 8B 45 08 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 08 EB 38 85 F6 7E 26 8D 45 DC 50 8D 4E 01 8B D7 2B D6 42 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 33 F6 EB 0E 8B 45 08 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 08 47 3B 7D E4 0F 8C 43 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_46514_0 {
	meta:
		name = "IncludeURLPathDelimiter"
		size = 164
		refs = "0016 @UStrAddRef 001e IncludeURLPathDelimiter 002e @UStrAsg 004d @UStrCopy 005a @UStrEqual 0068 @UStrCat 0082 @UStrArrayClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 55 FC E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 B9 01 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_46515_0 {
	meta:
		name = "IsAbsolutePath"
		size = 404
		refs = "0018 IsAbsolutePath 002a IsPathDelimiter 003c ExtractFileDrive 004c ExtractFileDir 00df UpperCase 00f0 @UGetDir 0135 @UStrCopy 0144 @UStrCatN 0160 @UStrArrayClr 0173 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 45 8D 55 F0 8B 06 E8 ?? ?? ?? ?? 83 7D F0 00 74 33 8D 55 F8 8B 06 E8 ?? ?? ?? ?? 8D 55 EC 8B 06 E8 ?? ?? ?? ?? 8B 45 EC 89 45 E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 8D 50 01 8B 45 F8 E8 ?? ?? ?? ?? EB 02 33 C0 8B D8 84 DB 0F 85 C5 00 00 00 8D 55 E4 8B 06 E8 ?? ?? ?? ?? 83 7D E4 00 0F 84 B1 00 00 00 8D 55 F4 8B 06 E8 ?? ?? ?? ?? 8D 55 E0 8B 06 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E8 8B 7D E8 85 FF 74 05 83 EF 04 8B 3F 8D 57 01 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 7C 8D 55 D8 8B 06 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 45 DC 0F B7 00 83 E8 41 8D 55 FC E8 ?? ?? ?? ?? 8D 55 D4 8B 06 E8 ?? ?? ?? ?? 8B 45 D4 89 45 E8 8B 5D E8 85 DB 74 05 83 EB 04 8B 1B 8B 06 89 45 E8 8B 7D E8 85 FF 74 05 83 EF 04 8B 3F FF 75 FC 68 ?? ?? ?? ?? 8D 45 D0 50 8D 53 01 8B 06 8B CF E8 ?? ?? ?? ?? FF 75 D0 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_46516_0 {
	meta:
		name = "ReadContentsFromStream"
		size = 148
		refs = "0010 TStream.GetPosition 0022 _Dn_TStreamReader 0027 TStreamReader.Create 0032 ReadContentsFromStream 0051 @UStrCopy 006b TObject.Free 0071 @HandleFinally 0089 TStream.SetPosition"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 6A 01 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B 45 F8 8B 08 FF 51 18 53 8B 45 08 8B C8 8B 03 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 8B 55 F4 03 45 08 13 55 0C 52 50 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_46517_0 {
	meta:
		name = "MergeTemplates"
		size = 980
		refs = "001b MergeTemplates 0033 ReadContentsFromStream 0050 UpperCase 005d Pos 0072 PosIdx 009e _Dn_EIWException 00a3 EIWException.IfFalse 00b5 @UStrCopy 015d @UStrCatN 01de IWTextReplace 01e9 @UStrLAsg 01f0 TObject.Free 01fa _Dn_TStringStream 01ff TStringStream.Create 020c TStream.SetPosition 0226 @UStrArrayClr 022c @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 8B 10 FF 12 52 50 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 12 52 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 7E 52 8B CF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 8B F8 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 9F C2 B9 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8B CB 2B CF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 52 8B CB 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 8B D8 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 0F 9F C2 B9 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8B CF 2B CB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 DC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 4A 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 12 8B CB 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 8B D8 8D 45 D4 50 8B CB 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? FF 75 D4 FF 75 F4 8D 45 D0 50 B9 FF FF FF 7F 8B D3 8B 45 F8 E8 ?? ?? ?? ?? FF 75 D0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC 50 8B 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 06 6A 00 6A 00 8B 06 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 0D 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 48 00 45 00 41 00 44 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3C 00 2F 00 48 00 45 00 41 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 43 00 61 00 6E 00 27 00 74 00 20 00 66 00 69 00 6E 00 64 00 20 00 3C 00 2F 00 48 00 45 00 41 00 44 00 3E 00 20 00 74 00 61 00 67 00 20 00 69 00 6E 00 20 00 74 00 68 00 65 00 20 00 74 00 65 00 6D 00 70 00 6C 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 42 00 4F 00 44 00 59 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3C 00 2F 00 42 00 4F 00 44 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 43 00 61 00 6E 00 27 00 74 00 20 00 66 00 69 00 6E 00 64 00 20 00 3C 00 2F 00 42 00 4F 00 44 00 59 00 3E 00 20 00 74 00 61 00 67 00 20 00 69 00 6E 00 20 00 74 00 68 00 65 00 20 00 74 00 65 00 6D 00 70 00 6C 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3C 00 48 00 45 00 41 00 44 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 2F 00 48 00 45 00 41 00 44 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 48 00 54 00 4D 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 24 00 62 00 6F 00 64 00 79 00 00 00 }
	condition:
		$1
}

rule function_46518_0 {
	meta:
		name = "Write_To_Header"
		size = 104
		refs = "003c @BlockWrite 0041 @_IOTest"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 33 C0 81 FB 80 00 00 00 7C 0F 40 81 EB 80 00 00 00 81 FB 80 00 00 00 7D F1 85 C0 7E 21 04 80 88 45 FF 6A 00 8D 55 FF 8B 45 08 05 B0 FD FF FF B9 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 5D FF 6A 00 8D 55 FF 8B 45 08 05 B0 FD FF FF B9 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_46519_0 {
	meta:
		name = "SaveAsWBmpFile"
		size = 943
		refs = "001e @UStrAddRef 0026 SaveAsWBmpFile 0085 @AssignFile 008a @_IOTest 009a @RewritFile 00a4 IOResult 00e3 Write_To_Header 0148 @FillChar 0185 TBitmap.GetCanvas 035a @BlockWrite 037c @Close 039b @UStrClr 03a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 8C FC FF FF 53 56 89 95 AC FD FF FF 89 85 A8 FD FF FF 8B 85 AC FD FF FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 83 BD A8 FD FF FF 00 0F 84 48 03 00 00 8B 85 A8 FD FF FF 8B 10 FF 52 20 84 C0 0F 85 35 03 00 00 8B 85 A8 FD FF FF 8B 10 FF 52 30 85 C0 0F 84 22 03 00 00 8B 85 A8 FD FF FF 8B 10 FF 52 24 85 C0 0F 84 0F 03 00 00 8B 95 AC FD FF FF 8D 85 B0 FD FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 01 00 00 00 8D 85 B0 FD FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 D7 02 00 00 8B 85 A8 FD FF FF 8B 10 FF 52 30 8B D8 C1 EB 03 8B 85 A8 FD FF FF 8B 10 FF 52 30 F7 C0 07 00 00 00 0F 9F C0 0F B6 C0 03 D8 89 9D A4 FD FF FF 55 33 C0 E8 ?? ?? ?? ?? 59 55 33 C0 E8 ?? ?? ?? ?? 59 55 8B 85 A8 FD FF FF 8B 10 FF 52 30 E8 ?? ?? ?? ?? 59 55 8B 85 A8 FD FF FF 8B 10 FF 52 24 E8 ?? ?? ?? ?? 59 8B 85 A8 FD FF FF 8B 10 FF 52 24 48 85 C0 0F 8C 4C 02 00 00 40 89 85 94 FD FF FF C7 85 98 FD FF FF 00 00 00 00 8D 85 8F FC FF FF 33 C9 BA 01 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 85 A0 FD FF FF BB 80 00 00 00 8B 85 A8 FD FF FF 8B 10 FF 52 30 48 85 C0 0F 8C D8 01 00 00 40 89 85 90 FD FF FF C7 85 9C FD FF FF 00 00 00 00 8B 85 A8 FD FF FF E8 ?? ?? ?? ?? 8B 8D 98 FD FF FF 8B 95 9C FD FF FF 8B 30 FF 56 18 BA FF 00 00 00 23 D0 8B C8 C1 E9 08 81 E1 FF 00 00 00 03 D1 C1 E8 10 25 FF 00 00 00 03 D0 8B C2 3D 94 02 00 00 7E 12 8B 85 A0 FD FF FF 00 9C 05 8F FC FF FF E9 4C 01 00 00 3D 49 02 00 00 7E 39 8B 85 9C FD FF FF B9 03 00 00 00 99 F7 F9 85 D2 75 15 8B 85 98 FD FF FF B9 03 00 00 00 99 F7 F9 4A 0F 84 1E 01 00 00 8B 85 A0 FD FF FF 00 9C 05 8F FC FF FF E9 0C 01 00 00 3D E0 01 00 00 7E 2E 8B 85 9C FD FF FF 83 E0 01 48 74 10 8B 85 98 FD FF FF 83 E0 01 48 0F 85 E9 00 00 00 8B 85 A0 FD FF FF 00 9C 05 8F FC FF FF E9 D7 00 00 00 3D 77 01 00 00 7E 34 8B 85 9C FD FF FF 83 E0 01 48 0F 94 C0 8B 95 98 FD FF FF 83 E2 01 4A 0F 95 C2 3A C2 0F 85 AE 00 00 00 8B 85 A0 FD FF FF 00 9C 05 8F FC FF FF E9 9C 00 00 00 3D 0E 01 00 00 7E 37 8B 85 9C FD FF FF B9 03 00 00 00 99 F7 F9 4A 0F 85 80 00 00 00 8B 85 98 FD FF FF B9 03 00 00 00 99 F7 F9 83 FA 02 75 6D 8B 85 A0 FD FF FF 00 9C 05 8F FC FF FF EB 5E 3D B4 00 00 00 7E 21 F6 85 9C FD FF FF 03 75 4E F6 85 98 FD FF FF 03 75 45 8B 85 A0 FD FF FF 00 9C 05 8F FC FF FF EB 36 83 F8 3C 7E 31 8B 85 9C FD FF FF B9 05 00 00 00 99 F7 F9 4A 75 20 8B 85 98 FD FF FF B9 05 00 00 00 99 F7 F9 83 FA 03 75 0D 8B 85 A0 FD FF FF 00 9C 05 8F FC FF FF 83 FB 01 7E 04 D1 EB EB 0B BB 80 00 00 00 FF 85 A0 FD FF FF FF 85 9C FD FF FF FF 8D 90 FD FF FF 0F 85 39 FE FF FF 6A 00 8D 95 8F FC FF FF 8B 8D A4 FD FF FF 8D 85 B0 FD FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 85 98 FD FF FF FF 8D 94 FD FF FF 0F 85 C5 FD FF FF 8D 85 B0 FD FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 AC FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46520_0 {
	meta:
		name = "LoadFromWBmpFile"
		size = 44
		refs = "0008 LoadFromWBmpFile 0021 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_46521_0 {
	meta:
		name = "Convert_Bmp_To_WBmp"
		size = 123
		refs = "0011 @UStrAddRef 0021 Convert_Bmp_To_WBmp 002e _Dn_TBitmap 0033 TBitmap.Create 0049 SaveAsWBmpFile 0050 TObject.Free 006a @UStrArrayClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 FC 8B C3 8B 08 FF 51 54 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46522_0 {
	meta:
		name = "Convert_WBmp_To_Bmp"
		size = 123
		refs = "0011 @UStrAddRef 0021 Convert_WBmp_To_Bmp 002e _Dn_TBitmap 0033 TBitmap.Create 003f LoadFromWBmpFile 0050 TObject.Free 006a @UStrArrayClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 58 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46523_0 {
	meta:
		name = "GetLocaleStr"
		size = 74
		refs = "001f GetLocaleInfo 0033 @UStrFromPWCharLen 003e @UStrAsg"
	strings:
		$1 = { 55 8B EC 81 C4 00 FE FF FF 53 56 8B F1 8B 5D 08 68 00 02 00 00 8D 8D 00 FE FF FF 51 52 50 E8 ?? ?? ?? ?? 85 C0 7E 12 8B C8 49 8D 95 00 FE FF FF 8B C3 E8 ?? ?? ?? ?? EB 09 8B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_46524_0 {
	meta:
		name = "IWExtractTagContent"
		size = 340
		refs = "0022 @UStrAddRef 0032 IWExtractTagContent 0043 LowerCase 0057 @UStrCat3 0060 Pos 00ab @UStrCatN 00c5 @UStrCopy 010d @UStrArrayClr 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F0 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 5A E8 ?? ?? ?? ?? 8B D8 8D 45 EC 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 03 C3 8B D8 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 50 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 5A E8 ?? ?? ?? ?? 8B F8 56 8B CF 2B CB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 06 89 45 E0 8B 7D E0 85 FF 74 05 83 EF 04 8B 3F 56 8B CF 2B CB 8D 53 01 8B 06 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3C 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_46525_0 {
	meta:
		name = "LocateFile"
		size = 408
		refs = "0021 @UStrAddRef 0031 LocateFile 005e @UStrClr 006e @UStrLAsg 00a0 CompareText 00e3 IncludeTrailingPathDelimiter 00f0 @UStrCat3 00fa FileExists 0108 @UStrAsg 012b URLPathToFilePath 0158 @UStrArrayClr 016b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EB 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 85 D2 74 05 83 EA 04 8B 12 3B D0 7D 0C 8B C6 E8 ?? ?? ?? ?? E9 DB 00 00 00 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 04 0F B6 45 08 84 C0 74 04 B0 01 EB 1D 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 85 D2 74 05 83 EA 04 8B 12 3B D0 0F 9C C0 8B D8 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8B 0E 8D 45 F4 E8 ?? ?? ?? ?? B2 01 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 10 8B C6 8B 55 F4 E8 ?? ?? ?? ?? C6 45 EB 01 EB 30 8D 45 DC B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 DC 8D 4D E0 33 D2 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F8 E8 ?? ?? ?? ?? 84 DB 0F 84 25 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 EB 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 5C 00 2E 00 2E 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_46526_0 {
	meta:
		name = "IWFormatByteSize"
		size = 532
		refs = "002a @UStrAddRef 0032 IWFormatByteSize 005b @UStrCat3 007c CurrencyString 0084 FormatFloat 008e @UStrAsg 019d @UStrArrayClr 01a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 33 C9 89 4D F8 89 4D F4 89 4D F0 89 4D EC 89 4D E8 89 4D E4 89 4D E0 89 4D DC 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 0C 00 75 0B 81 7D 08 00 00 00 40 76 4C EB 02 7E 48 8D 45 F8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? DF 6D 08 D8 35 ?? ?? ?? ?? DB 7D D0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 4D F4 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 8B 55 F4 E8 ?? ?? ?? ?? E9 F0 00 00 00 83 7D 0C 00 75 0B 81 7D 08 00 00 10 00 76 4C EB 02 7E 48 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? DF 6D 08 D8 35 ?? ?? ?? ?? DB 7D C0 9B 0F B7 45 C8 50 FF 75 C4 FF 75 C0 8D 4D EC 8B 15 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 8B 55 EC E8 ?? ?? ?? ?? E9 95 00 00 00 83 7D 0C 00 75 0B 81 7D 08 00 04 00 00 76 49 EB 02 7E 45 8D 45 E8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? DF 6D 08 D8 35 ?? ?? ?? ?? DB 7D B0 9B 0F B7 45 B8 50 FF 75 B4 FF 75 B0 8D 4D E4 8B 15 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B C3 8B 55 E4 E8 ?? ?? ?? ?? EB 3D 8D 45 E0 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? DF 6D 08 DB 7D A0 9B 0F B7 45 A8 50 FF 75 A4 FF 75 A0 8D 4D DC 8B 15 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B C3 8B 55 DC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 47 00 42 00 00 00 00 00 80 4E B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 4D 00 42 00 00 00 00 00 80 49 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 4B 00 42 00 00 00 00 00 80 44 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 62 00 79 00 74 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_46527_0 {
	meta:
		name = "ReadBoolFromIni"
		size = 300
		refs = "001c @UStrAddRef 0034 ReadBoolFromIni 0044 _Dn_TIniFile 0049 TCustomIniFile.Create 007e @UStrLAsg 00a5 CompareText 00c2 TObject.Free 00c8 @HandleFinally 00e4 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 DB 89 5D F0 89 5D EC 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 ?? ?? ?? ?? 8D 45 F0 50 8B 4D F8 8B 55 FC 8B 45 E4 8B 18 FF 53 04 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 88 45 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 EB 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 72 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_46528_0 {
	meta:
		name = "ReadStringFromIni"
		size = 201
		refs = "0017 @UStrAddRef 0037 ReadStringFromIni 0044 @UStrClr 004e _Dn_TMemIniFile 0053 TMemIniFile.Create 008c TObject.Free 0092 @HandleFinally 00ae @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D F4 89 55 F8 89 45 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 4D 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 50 53 8B 4D F8 8B 55 FC 8B 45 F0 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_46529_0 {
	meta:
		name = "ReadIntFromIni"
		size = 150
		refs = "0019 @UStrAddRef 0039 ReadIntFromIni 0055 ReadStringFromIni 005d StrToInt 0079 @UStrArrayClr 0081 @UStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 45 F0 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_46530_0 {
	meta:
		name = "LastPos"
		size = 140
		refs = "0012 LastPos 0022 ReverseString 0039 Pos 0077 @UStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 8B D8 85 DB 74 1E 8B C7 85 C0 74 05 83 E8 04 8B 00 8B D6 85 D2 74 05 83 EA 04 8B 12 2B C2 40 2B C3 40 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46535_0 {
	meta:
		name = "TIWVar.ProcessTag"
		size = 175
		refs = "0014 _Dn_TStringStream 0019 TStringStream.Create 0043 _Dn_TIWTagParser 0048 TIWTagParser.Create 0052 TIWVar.ProcessTag 005f TIWTagParser.NextTag 007b TStringStream.GetDataString 0093 TObject.Free 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 0C 53 8B 45 FC 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0B 8B D0 8B 45 FC 8B 08 FF 11 EB EA 8B D6 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46538_0 {
	meta:
		name = "TIWVarDir.Create"
		size = 264
		refs = "001c @ClassCreate 003d @UStrAddRef 0049 TSearchRec 004e @AddRefRecord 005e TIWVarDir.Create 0070 TIWVar.Create 0084 @CopyRecord 0092 IncludeTrailingPathDelimiter 00a3 @UStrAsg 00bb @UStrClr 00cc @FinalizeRecord 00e2 @HandleFinally 00ef @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 84 FD FF FF 53 56 57 33 DB 89 9D 84 FD FF FF 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 0C 8D BD 88 FD FF FF 51 B9 9C 00 00 00 F3 A5 59 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8D 85 88 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 10 8D 95 88 FD FF FF 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 84 FD FF FF 8B 45 08 E8 ?? ?? ?? ?? 8B 95 84 FD FF FF 8D 86 80 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 84 FD FF FF E8 ?? ?? ?? ?? 8D 85 88 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_46539_0 {
	meta:
		name = "TIWVarDir.ProcessTitle"
		size = 76
		refs = "000c TIWVarDir.ProcessTitle 001c TIWVarDir.GetTitle 0027 TStringStream.WriteString 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_46541_0 {
	meta:
		name = "TIWVarDir.ProcessName"
		size = 76
		refs = "000c TIWVarDir.ProcessName 001c TIWVarDir.GetName 0027 TStringStream.WriteString 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_46542_0 {
	meta:
		name = "TIWVarDir.ProcessURL"
		size = 76
		refs = "000c TIWVarDir.ProcessURL 001c TIWVarDir.GetURL 0027 TStringStream.WriteString 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_46558_0 {
	meta:
		name = "TIWVarDoc.ProcessName"
		size = 76
		refs = "000c TIWVarDoc.ProcessName 001c TIWVarDoc.GetName 0027 TStringStream.WriteString 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_46556_0 {
	meta:
		name = "TIWVarDoc.ProcessTitle"
		size = 76
		refs = "000c TIWVarDoc.ProcessTitle 001c TIWVarDoc.GetTitle 0027 TStringStream.WriteString 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_46562_0 {
	meta:
		name = "TIWVarDoc.ProcessURL"
		size = 76
		refs = "000c TIWVarDoc.ProcessURL 001c TIWVarDoc.GetURL 0027 TStringStream.WriteString 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_46540_0 {
	meta:
		name = "TIWVarDir.DoProcessTag"
		size = 584
		refs = "001a TIWVarDir.DoProcessTag 002b @UStrLAsg 005f CompareText 00bb TIWVarDir.ProcessName 010f TIWVarDir.ProcessTitle 0160 TIWVarDir.ProcessURL 0172 @UStrCat3 017c _Dn_EIWException 0181 EInException.Create 0186 @RaiseExcept 01a0 @UStrArrayClr 01a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 1A 01 00 00 8D 45 F4 8B 53 08 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0C 8B C6 E8 ?? ?? ?? ?? E9 C6 00 00 00 8D 45 EC 8B 53 08 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 75 04 B0 01 EB 20 83 7D EC 00 74 06 83 7D E8 00 75 04 33 C0 EB 10 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 09 8B C6 E8 ?? ?? ?? ?? EB 75 8D 45 E4 8B 53 08 E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 3B 45 E0 75 04 B0 01 EB 20 83 7D E4 00 74 06 83 7D E0 00 75 04 33 C0 EB 10 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 09 8B C6 E8 ?? ?? ?? ?? EB 24 8D 45 DC 8B 4B 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 69 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 69 00 74 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 55 00 52 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 55 00 6E 00 6B 00 6F 00 6E 00 77 00 6E 00 20 00 44 00 69 00 72 00 20 00 74 00 61 00 67 00 20 00 6E 00 61 00 6D 00 65 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_46543_0 {
	meta:
		name = "TIWVarDir.GetConfigFileName"
		size = 156
		refs = "0013 TIWVarDir.GetConfigFileName 0023 TIWVarDir.GetName 0034 @UStrCat3 003f IncludeTrailingPathDelimiter 0068 @UStrArrayClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 8B 93 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 23 00 44 00 69 00 72 00 2E 00 63 00 66 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_46544_0 {
	meta:
		name = "TIWVarDir.GetExclude"
		size = 144
		refs = "000c TIWVarDir.GetExclude 001c TIWVarDir.GetConfigFileName 002e ReadBoolFromIni 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 01 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 78 00 63 00 6C 00 75 00 64 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 6E 00 75 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_46565_0 {
	meta:
		name = "TIWVarDoc.GetExclude"
		size = 144
		refs = "000c TIWVarDoc.GetExclude 001c TIWVarDoc.GetConfigFileName 002e ReadBoolFromIni 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 01 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 78 00 63 00 6C 00 75 00 64 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 6E 00 75 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_46545_0 {
	meta:
		name = "TIWVarDir.GetName"
		size = 136
		refs = "000f TIWVarDir.GetName 002b ChangeFileExt 003d StringReplace 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 56 8D 4D FC 33 D2 8B 43 24 E8 ?? ?? ?? ?? 8B 45 FC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_46566_0 {
	meta:
		name = "TIWVarDoc.GetName"
		size = 136
		refs = "000f TIWVarDoc.GetName 002b ChangeFileExt 003d StringReplace 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 56 8D 4D FC 33 D2 8B 43 24 E8 ?? ?? ?? ?? 8B 45 FC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_46546_0 {
	meta:
		name = "TIWVarDir.GetTimeCreated"
		size = 157
		refs = "0012 TIWVarDir.GetTimeCreated 0025 FileTimeToSystemTime 004a EncodeDateTime 0068 CurrencyString 006d DateTimeToStr 0077 @UStrAsg 008c @UStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 C9 89 4D FC 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 C0 34 8D 55 D8 52 50 E8 ?? ?? ?? ?? 0F B7 45 E0 50 0F B7 45 E2 50 0F B7 45 E4 50 0F B7 45 E6 50 0F B7 4D DE 0F B7 55 DA 0F B7 45 D8 E8 ?? ?? ?? ?? DD 5D F0 9B 8B 45 F0 89 45 E8 8B 45 F4 89 45 EC FF 75 EC FF 75 E8 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46547_0 {
	meta:
		name = "TIWVarDir.GetTimeModified"
		size = 157
		refs = "0012 TIWVarDir.GetTimeModified 0025 FileTimeToSystemTime 004a EncodeDateTime 0068 CurrencyString 006d DateTimeToStr 0077 @UStrAsg 008c @UStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 C9 89 4D FC 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 C0 44 8D 55 D8 52 50 E8 ?? ?? ?? ?? 0F B7 45 E0 50 0F B7 45 E2 50 0F B7 45 E4 50 0F B7 45 E6 50 0F B7 4D DE 0F B7 55 DA 0F B7 45 D8 E8 ?? ?? ?? ?? DD 5D F0 9B 8B 45 F0 89 45 E8 8B 45 F4 89 45 EC FF 75 EC FF 75 E8 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46548_0 {
	meta:
		name = "TIWVarDir.GetTitle"
		size = 372
		refs = "0017 TIWVarDir.GetTitle 0024 @UStrClr 002e TIWVarDir.GetName 003f @UStrCat3 004a IncludeTrailingPathDelimiter 0064 FileExists 006f _Dn_TStringList 0074 TStringList.Create 009a IWExtractTagContent 00a4 Trim 00ab TObject.Free 00ba TIWVarDir.GetConfigFileName 00d0 ReadStringFromIni 00f8 @UStrArrayClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 8B 96 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 43 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 55 FC 8B C7 8B 08 FF 51 68 8D 55 E8 8B C7 8B 08 FF 51 1C 8B 45 E8 8D 4D EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B D3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 3B 00 75 2E 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 50 53 33 C9 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3B 00 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 6E 00 64 00 65 00 78 00 2E 00 68 00 74 00 6D 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 69 00 74 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 69 00 74 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 69 00 72 00 00 00 }
	condition:
		$1
}

rule function_46549_0 {
	meta:
		name = "TIWVarDir.GetURL"
		size = 332
		refs = "0018 TIWVarDir.GetURL 002c @UStrLAsg 0031 gSC 0041 Pos 006b @UStrDelete 0076 @UStrCat 0094 StringReplace 0099 IsLibrary 00a4 GGetWebApplicationThreadVar 00c6 @UStrCat3 00db IWStringReplace 00e6 @UStrAsg 00fb @UStrClr 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 93 80 02 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 80 B4 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 80 B4 00 00 00 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B C8 2B CA 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B 53 24 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8B 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 48 8B 1D ?? ?? ?? ?? 8B 1B FF D3 85 C0 74 3A 8B 1D ?? ?? ?? ?? 8B 1B FF D3 8B 50 68 8B 4D F8 8B 09 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 F8 8B 00 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 24 00 00 00 00 00 }
	condition:
		$1
}

rule function_46552_0 {
	meta:
		name = "TIWVarDoc.Create"
		size = 228
		refs = "0014 @ClassCreate 0035 @UStrAddRef 0041 TSearchRec 0046 @AddRefRecord 0056 TIWVarDoc.Create 0068 TIWVar.Create 007c @CopyRecord 008a @UStrAsg 00a8 @FinalizeRecord 00b0 @UStrClr 00be @HandleFinally 00cb @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 88 FD FF FF 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 0C 8D BD 88 FD FF FF 51 B9 9C 00 00 00 F3 A5 59 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8D 85 88 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 10 8D 95 88 FD FF FF 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 86 80 02 00 00 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 88 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_46553_0 {
	meta:
		name = "TIWVarDoc.DoProcessTag"
		size = 1276
		refs = "001a TIWVarDoc.DoProcessTag 002b @UStrLAsg 005f CompareText 00bb TIWVarDoc.ProcessBody 010f TIWVarDoc.ProcessFullName 0163 TIWVarDoc.ProcessName 01b9 TIWVarDoc.ProcessSize 020f TIWVarDoc.ProcessTimeCreated 0265 TIWVarDoc.ProcessTimeModified 02b9 TIWVarDoc.ProcessTitle 030d TIWVarDoc.ProcessURL 0360 TIWVarDoc.ProcessEdit 0372 @UStrCat3 037c _Dn_EIWException 0381 EInException.Create 0386 @RaiseExcept 03a0 @UStrArrayClr 03a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 1A 03 00 00 8D 45 F4 8B 53 08 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0C 8B C6 E8 ?? ?? ?? ?? E9 C6 02 00 00 8D 45 EC 8B 53 08 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 75 04 B0 01 EB 20 83 7D EC 00 74 06 83 7D E8 00 75 04 33 C0 EB 10 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0C 8B C6 E8 ?? ?? ?? ?? E9 72 02 00 00 8D 45 E4 8B 53 08 E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 3B 45 E0 75 04 B0 01 EB 20 83 7D E4 00 74 06 83 7D E0 00 75 04 33 C0 EB 10 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0C 8B C6 E8 ?? ?? ?? ?? E9 1E 02 00 00 8D 45 DC 8B 53 08 E8 ?? ?? ?? ?? 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 3B 45 D8 75 04 B0 01 EB 20 83 7D DC 00 74 06 83 7D D8 00 75 04 33 C0 EB 10 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0E 8B D3 8B C6 E8 ?? ?? ?? ?? E9 C8 01 00 00 8D 45 D4 8B 53 08 E8 ?? ?? ?? ?? 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 3B 45 D0 75 04 B0 01 EB 20 83 7D D4 00 74 06 83 7D D0 00 75 04 33 C0 EB 10 8B 55 D0 8B 45 D4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0E 8B D3 8B C6 E8 ?? ?? ?? ?? E9 72 01 00 00 8D 45 CC 8B 53 08 E8 ?? ?? ?? ?? 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 3B 45 C8 75 04 B0 01 EB 20 83 7D CC 00 74 06 83 7D C8 00 75 04 33 C0 EB 10 8B 55 C8 8B 45 CC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0E 8B D3 8B C6 E8 ?? ?? ?? ?? E9 1C 01 00 00 8D 45 C4 8B 53 08 E8 ?? ?? ?? ?? 8D 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 3B 45 C0 75 04 B0 01 EB 20 83 7D C4 00 74 06 83 7D C0 00 75 04 33 C0 EB 10 8B 55 C0 8B 45 C4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0C 8B C6 E8 ?? ?? ?? ?? E9 C8 00 00 00 8D 45 BC 8B 53 08 E8 ?? ?? ?? ?? 8D 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 3B 45 B8 75 04 B0 01 EB 20 83 7D BC 00 74 06 83 7D B8 00 75 04 33 C0 EB 10 8B 55 B8 8B 45 BC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 09 8B C6 E8 ?? ?? ?? ?? EB 77 8D 45 B4 8B 53 08 E8 ?? ?? ?? ?? 8D 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 3B 45 B0 75 04 B0 01 EB 20 83 7D B4 00 74 06 83 7D B0 00 75 04 33 C0 EB 10 8B 55 B0 8B 45 B4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 24 8D 45 AC 8B 4B 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D AC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 15 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 6F 00 63 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 6F 00 64 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 75 00 6C 00 6C 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 69 00 6D 00 65 00 43 00 72 00 65 00 61 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 54 00 69 00 6D 00 65 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 69 00 74 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 55 00 52 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 64 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 55 00 6E 00 6B 00 6F 00 6E 00 77 00 6E 00 20 00 44 00 6F 00 63 00 20 00 74 00 61 00 67 00 20 00 6E 00 61 00 6D 00 65 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_46554_0 {
	meta:
		name = "TIWVarDoc.ProcessBody"
		size = 176
		refs = "0011 TIWVarDoc.ProcessBody 001e _Dn_TStringList 0023 TStringList.Create 0036 @UStrCat3 005a IWExtractTagContent 0065 TStringStream.WriteString 006c TObject.Free 0086 @UStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B 4B 24 8B 93 80 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 68 8D 55 F4 8B C6 8B 08 FF 51 1C 8B 45 F4 8D 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 43 0C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6F 00 64 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_46555_0 {
	meta:
		name = "TIWVarDoc.ProcessEdit"
		size = 400
		refs = "001f TIWVarDoc.ProcessEdit 002d @UStrClr 0033 GGetWebApplicationThreadVar 004c @UStrLAsg 006c TStrings.GetValue 0089 TIWVarDoc.GetURL 0099 @UStrCat3 00c3 Format 00d9 TStringStream.WriteString 00f3 @UStrArrayClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D F0 89 4D F4 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 3D ?? ?? ?? ?? 8B 3F FF D7 85 C0 0F 84 8F 00 00 00 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 46 0C 8B 08 FF 51 58 40 74 10 8D 4D F8 BA ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 FF D6 8B 40 50 80 78 04 00 74 4F 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 FC 89 45 E0 C6 45 E4 11 8B 45 F8 89 45 E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 64 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 61 00 70 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 2F 00 24 00 2F 00 69 00 77 00 65 00 64 00 69 00 74 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 3C 00 61 00 20 00 68 00 72 00 65 00 66 00 3D 00 22 00 25 00 73 00 22 00 3E 00 25 00 73 00 3C 00 2F 00 61 00 3E 00 00 00 }
	condition:
		$1
}

rule function_46557_0 {
	meta:
		name = "TIWVarDoc.ProcessFullName"
		size = 12
		refs = "0007 TStringStream.WriteString"
	strings:
		$1 = { 8B 50 24 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46559_0 {
	meta:
		name = "TIWVarDoc.ProcessSize"
		size = 728
		refs = "0019 TIWVarDoc.ProcessSize 002f TStrings.GetValue 004a @UStrLAsg 007e CompareText 00b3 CurrencyString 00bb FormatFloat 0236 TStringStream.WriteString 0250 @UStrArrayClr 0256 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 10 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 46 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 8B 46 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 44 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? DF 6B 18 D8 35 ?? ?? ?? ?? DB 7D B0 9B 0F B7 45 B8 50 FF 75 B4 FF 75 B0 8D 4D E4 8B 15 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 E4 E8 ?? ?? ?? ?? E9 60 01 00 00 8D 45 E0 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 3B 45 DC 75 04 B0 01 EB 20 83 7D E0 00 74 06 83 7D DC 00 75 04 33 C0 EB 10 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 4A 8D 45 D8 8B 55 FC E8 ?? ?? ?? ?? DF 6B 18 D8 35 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DB 7D A0 9B 0F B7 45 A8 50 FF 75 A4 FF 75 A0 8D 4D D4 8B 15 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 D4 E8 ?? ?? ?? ?? E9 CE 00 00 00 8D 45 D0 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 3B 45 CC 75 04 B0 01 EB 20 83 7D D0 00 74 06 83 7D CC 00 75 04 33 C0 EB 10 8B 55 CC 8B 45 D0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 4D 8D 45 C8 8B 55 FC E8 ?? ?? ?? ?? DF 6B 18 D8 35 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DB 7D 90 9B 0F B7 45 98 50 FF 75 94 FF 75 90 8D 4D C4 8B 15 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 C4 E8 ?? ?? ?? ?? EB 39 8D 45 C0 8B 55 FC E8 ?? ?? ?? ?? DF 6B 18 DB 7D 80 9B 0F B7 45 88 50 FF 75 84 FF 75 80 8D 4D BC 8B 15 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 BC E8 ?? ?? ?? ?? 8B 55 F4 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 11 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 2E 00 46 00 6F 00 72 00 6D 00 61 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2E 00 42 00 61 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6B 00 62 00 00 00 00 00 00 00 80 44 B0 04 02 00 FF FF FF FF 02 00 00 00 6D 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 67 00 62 00 00 00 00 00 }
	condition:
		$1
}

rule function_46560_0 {
	meta:
		name = "TIWVarDoc.ProcessTimeCreated"
		size = 82
		refs = "000f TIWVarDoc.ProcessTimeCreated 0021 TIWVarDoc.GetTimeCreated 002c TStringStream.WriteString 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46561_0 {
	meta:
		name = "TIWVarDoc.ProcessTimeModified"
		size = 82
		refs = "000f TIWVarDoc.ProcessTimeModified 0021 TIWVarDoc.GetTimeModified 002c TStringStream.WriteString 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46563_0 {
	meta:
		name = "TIWVarDoc.DoProcessTag"
		size = 14
	strings:
		$1 = { 56 8B F0 89 4E 0C 8B C6 8B 08 FF 11 5E C3 }
	condition:
		$1
}

rule function_46564_0 {
	meta:
		name = "TIWVarDoc.GetConfigFileName"
		size = 140
		refs = "0011 TIWVarDoc.GetConfigFileName 0025 IncludeTrailingPathDelimiter 0032 TIWVarDoc.GetName 0046 @UStrCatN 0060 @UStrArrayClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 80 02 00 00 E8 ?? ?? ?? ?? FF 75 FC 8D 55 F8 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 23 00 2E 00 63 00 66 00 67 00 00 00 }
	condition:
		$1
}

rule function_46567_0 {
	meta:
		name = "TIWVarDoc.GetTimeCreated"
		size = 312
		refs = "0021 TIWVarDoc.GetTimeCreated 003b TStrings.GetValue 005c ShortDateFormat 0068 ShortTimeFormat 0077 @UStrCatN 0081 iif 008c @UStrLAsg 009d @UStrCat3 00a5 FileAge 00aa FileDateToDateTime 00bd CurrencyString 00c5 FormatDateTime 00cf @UStrAsg 00e9 @UStrArrayClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 4D E4 BA ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B 45 E4 50 8D 4D E0 BA ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 83 7D E0 00 0F 95 C0 50 A1 ?? ?? ?? ?? FF 30 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? FF 30 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D DC 58 5A E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 D8 8B 4B 24 8B 93 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D E8 9B FF 75 EC FF 75 E8 8D 4D F4 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C7 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 2E 00 46 00 6F 00 72 00 6D 00 61 00 74 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_46568_0 {
	meta:
		name = "TIWVarDoc.GetTimeCreated"
		size = 103
		refs = "0012 TIWVarDoc.GetTimeCreated 0020 FileDateToDateTime 0032 CurrencyString 0037 DateTimeToStr 0041 @UStrAsg 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 10 E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46569_0 {
	meta:
		name = "TIWVarDoc.GetTimeModified"
		size = 140
		refs = "0018 TIWVarDoc.GetTimeModified 002f @UStrCat3 0037 FileAge 003c FileDateToDateTime 004e CurrencyString 0053 DateTimeToStr 005d @UStrAsg 0072 @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 4B 24 8B 93 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46570_0 {
	meta:
		name = "TIWVarDoc.GetTimeModified"
		size = 288
		refs = "0020 TIWVarDoc.GetTimeModified 003a TStrings.GetValue 005b ShortDateFormat 0067 ShortTimeFormat 0076 @UStrCatN 0080 iif 008b @UStrLAsg 0093 FileDateToDateTime 00a6 CurrencyString 00ae FormatDateTime 00b8 @UStrAsg 00d2 @UStrArrayClr 00e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 4D E4 BA ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B 45 E4 50 8D 4D E0 BA ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 83 7D E0 00 0F 95 C0 50 A1 ?? ?? ?? ?? FF 30 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? FF 30 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D DC 58 5A E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? DD 5D E8 9B FF 75 EC FF 75 E8 8D 4D F4 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C7 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 2E 00 46 00 6F 00 72 00 6D 00 61 00 74 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_46571_0 {
	meta:
		name = "TIWVarDoc.GetTitle"
		size = 180
		refs = "0012 TIWVarDoc.GetTitle 001f _Dn_TStringList 0024 TStringList.Create 0037 @UStrCat3 005a IWExtractTagContent 0068 TIWVarDoc.GetName 006f TObject.Free 0089 @UStrArrayClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 4E 24 8B 96 80 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 68 8D 55 F8 8B C3 8B 08 FF 51 1C 8B 45 F8 8B CF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3F 00 75 09 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 69 00 74 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_46572_0 {
	meta:
		name = "TIWVarDoc.GetURL"
		size = 352
		refs = "0014 TIWVarDoc.GetURL 0028 @UStrLAsg 002d gSC 003d Pos 0066 @UStrDelete 0080 @UStrCat3 0092 StringReplace 00a7 @UStrAsg 00ac IsLibrary 00b7 GGetWebApplicationThreadVar 00e7 IWStringReplace 010b @UStrArrayClr 0113 @UStrClr 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 93 80 02 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 80 B4 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 8B 80 B4 00 00 00 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B C8 49 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F4 50 8D 45 F0 8B 4B 24 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 40 8B 1D ?? ?? ?? ?? 8B 1B FF D3 85 C0 74 32 8B 1D ?? ?? ?? ?? 8B 1B FF D3 8B 50 68 8B 0E 8B C6 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 06 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 24 00 00 00 00 00 }
	condition:
		$1
}

rule function_46576_0 {
	meta:
		name = "TIWBaseContainer.Create"
		size = 93
		refs = "000a @ClassCreate 0017 TScrollingWinControl.Create 001e TIWBaseContainer.GetDesignMode 002b TWinControl.SetDoubleBuffered 004a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 10 01 00 00 8B C6 8B 10 FF 92 0C 01 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_46578_0 {
	meta:
		name = "TIWBaseContainer.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 001e TScrollingWinControl.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 8B C6 8B 08 FF 91 34 01 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46580_0 {
	meta:
		name = "TIWBaseContainer.GetRenderInvisibleControls"
		size = 8
	strings:
		$1 = { 0F B6 80 98 02 00 00 C3 }
	condition:
		$1
}

rule function_46581_0 {
	meta:
		name = "TCustomTeePanel.GetBackColor"
		size = 4
		altNames = "TIWBaseContainer.get_WebColor"
	strings:
		$1 = { 8B 40 74 C3 }
	condition:
		$1
}

rule function_46584_0 {
	meta:
		name = "TIWBaseContainer.Loaded"
		size = 22
		refs = "0006 TControl.Loaded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 14 01 00 00 5B C3 }
	condition:
		$1
}

rule function_46585_0 {
	meta:
		name = "TIWBaseContainer.WMPaint"
		size = 48
		refs = "0007 TIWBaseContainer.WMPaint 0016 TWinControl.WMPaint"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 0B 43 5C 89 43 5C 8B D6 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 43 5C 89 43 5C 5E 5B C3 00 00 00 01 00 00 }
	condition:
		$1
}

rule function_91641_0 {
	meta:
		name = "TTeeButton.WMPaint"
		size = 48
		refs = "0007 TTeeButton.WMPaint 0016 TWinControl.WMPaint"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 0B 43 5C 89 43 5C 8B D6 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 43 5C 89 43 5C 5E 5B C3 00 00 00 01 00 00 }
	condition:
		$1
}

rule function_46586_0 {
	meta:
		name = "TIWBaseContainer.PaintWindow"
		size = 163
		refs = "0016 TCustomCanvas.Lock 001e TIWBaseContainer.PaintWindow 0036 TCanvas.SetHandle 0074 @HandleFinally 0093 TCustomCanvas.Unlock"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 10 FF 92 30 01 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 30 01 00 00 8B D3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 30 01 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 30 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 5D C3 }
	condition:
		$1
}

rule function_46587_0 {
	meta:
		name = "TIWBaseContainer.Resizing"
		size = 22
		refs = "0006 TScrollingWinControl.Resizing"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 04 01 00 00 5B C3 }
	condition:
		$1
}

rule function_46588_0 {
	meta:
		name = "TCustomCategoryPanelGroup.WMNCHitTest"
		size = 6
		altNames = "TCustomCombo.WMDeleteItem TCustomCombo.WMDrawItem TCustomCombo.WMMeasureItem TIWBaseContainer.WMNCHitTest TProgressBar.WMEraseBkGnd TScrollBar.WMEraseBkgnd TScrollBox.WMNCHitTest"
	strings:
		$1 = { 8B 08 FF 51 F0 C3 }
	condition:
		$1
}

rule function_46589_0 {
	meta:
		name = "TIWBaseContainer.InitControl"
		size = 8
	strings:
		$1 = { C6 80 98 02 00 00 00 C3 }
	condition:
		$1
}

rule function_46590_0 {
	meta:
		name = "TIWBaseContainer.InitDesignTime"
		size = 69
		refs = "0006 TIWBaseContainer.GetDesignMode 0018 isBaseContainer 0025 _Dn_TFrame 002a @IsClass 0034 GWarningProc 003b RSCanUseIWControlOnVCLForm"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 35 83 7B 04 00 74 2F 8B 43 04 E8 ?? ?? ?? ?? 84 C0 75 23 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B 1D ?? ?? ?? ?? 8B 1B A1 ?? ?? ?? ?? 8B 00 FF D3 5B C3 }
	condition:
		$1
}

rule function_46593_0 {
	meta:
		name = "TBitBtn.GlyphChanged"
		size = 15
		altNames = "TCustomChartGrid.CanvasChanged TCustomGrid.InvalidateGrid TCustomPanel.CMTextChanged TIWBaseContainer.IWResizingContainer TTabSet.ImageListChange TTabbedNotebook.CMTabFontChanged"
	strings:
		$1 = { 56 8B F0 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_46594_0 {
	meta:
		name = "TIWBaseContainer.RequestAlign"
		size = 51
		refs = "0006 TWinControl.RequestAlign"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 38 01 00 00 3A 46 61 74 18 0F B6 56 61 8B C6 8B 08 FF 91 3C 01 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_46597_0 {
	meta:
		name = "TIWBaseContainer.SetParent"
		size = 66
		refs = "0024 TWinControl.SetParent"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B 43 38 8B F8 3B C6 74 0E 8B CE 8B D0 8B C3 8B 28 FF 95 18 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 38 3B F8 74 0E 8B C8 8B D7 8B C3 8B 18 FF 93 1C 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46598_0 {
	meta:
		name = "TIWBaseContainer.SetRenderInvisibleControls"
		size = 7
	strings:
		$1 = { 88 90 98 02 00 00 C3 }
	condition:
		$1
}

rule function_46599_0 {
	meta:
		name = "TIWBaseContainer.ControlChange"
		size = 247
		refs = "0012 TIWBaseContainer.ControlChange 002b _Dn_TFrame 0030 @IsClass 004a isBaseContainer 0058 BaseContainerInterface 0091 isBaseComponent 00db IIWBaseContainer 00e5 @FinalizeArray 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5A 04 83 7A 08 01 0F 94 45 FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 56 80 7D FF 00 74 2A 3B 73 38 0F 85 82 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 77 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B D3 8B 08 FF 51 20 EB 61 3B 73 38 75 5C 8B C6 E8 ?? ?? ?? ?? 84 C0 74 51 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8B D3 8B 08 FF 51 24 EB 3B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 30 80 7D FF 00 74 16 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 8B D3 8B 08 FF 51 20 EB 14 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8B D3 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46600_0 {
	meta:
		name = "TIWBaseContainer.GetClientRect"
		size = 26
		refs = "0013 Rect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 54 50 56 8B 4B 50 33 D2 33 C0 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46601_0 {
	meta:
		name = "TIWBaseContainer.AdjustClientRect"
		size = 29
		refs = "0009 TIWBaseContainer.GetDesignMode 0016 TScrollingWinControl.AdjustClientRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46602_0 {
	meta:
		name = "TIWBaseContainer.WMLButtonDown"
		size = 79
		refs = "000e _Dn_TFrame 0013 @IsClass 0020 _Dn_TIWBaseForm 0041 TWinControl.GetHandle 0047 PostMessage"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 38 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8B 46 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 83 7F 04 01 75 18 8B 47 08 50 6A 00 68 01 02 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46604_0 {
	meta:
		name = "TIWBaseContainer.ForceAlign"
		size = 439
		refs = "000c TIWBaseContainer.GetLoading 0036 TWinControl.GetControlCount 004f TWinControl.GetControl 0055 _DV_TIWBaseContainer 005a @IsClass 0072 @AsClass 0077 TIWBaseContainer.ForceAlign 0086 _Dn_TFrame 018d RSMissingContainerOnFrame 0196 _Dn_EIWNoFrameContainer 019b EInException.Create 01a0 @RaiseExcept"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 97 01 00 00 8D 54 24 0C 8B C3 8B 08 FF 51 60 8D 4C 24 0C 33 D2 8B C3 8B 30 FF 96 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 6C 01 00 00 40 89 44 24 04 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 0D 01 00 00 C6 04 24 00 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 0F 8C D3 00 00 00 40 89 44 24 08 33 FF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9E 00 00 00 C6 04 24 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 78 65 05 75 59 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 50 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 54 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 4C 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 48 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 59 8B 28 FF 95 A4 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 FF 4C 24 08 0F 85 34 FF FF FF 80 3C 24 00 75 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 FF 4C 24 04 0F 85 9B FE FF FF 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46609_0 {
	meta:
		name = "TIWBaseContainer.get_ParentShowHint"
		size = 8
		altNames = "TIWVCLBaseControl.get_ParentShowHint TXMLSchemaDef.GetQualifyAnonymousTypeNames"
	strings:
		$1 = { 0F B6 80 92 00 00 00 C3 }
	condition:
		$1
}

rule function_46613_0 {
	meta:
		name = "TCoolBar.GetAlign"
		size = 5
		altNames = "TIWBaseContainer.get_Align TIWVCLBaseControl.get_Align"
	strings:
		$1 = { 0F B6 40 65 C3 }
	condition:
		$1
}

rule function_46614_0 {
	meta:
		name = "TIWBaseContainer.get_Anchors"
		size = 7
		altNames = "TIWVCLBaseControl.get_Anchors"
	strings:
		$1 = { 0F B6 50 6B 8B C2 C3 }
	condition:
		$1
}

rule function_46616_0 {
	meta:
		name = "TIWBaseContainer.set_Anchors"
		size = 15
		refs = "0009 TControl.SetAnchors"
		altNames = "TIWVCLBaseControl.set_Anchors"
	strings:
		$1 = { 51 88 14 24 0F B6 14 24 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_46621_0 {
	meta:
		name = "TIWBaseContainer.get_TabOrder"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 28 01 00 00 C3 }
	condition:
		$1
}

rule function_46622_0 {
	meta:
		name = "TIWBaseContainer.set_TabOrder"
		size = 15
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 91 2C 01 00 00 5E C3 }
	condition:
		$1
}

rule function_46631_0 {
	meta:
		name = "TIWVCLBaseControl.ColorChanged"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 AC 00 00 00 C3 }
	condition:
		$1
}

rule function_46632_0 {
	meta:
		name = "TCustomAdapter.NotifyDeactivate"
		size = 9
		altNames = "TIWVCLBaseControl.TextChanged"
	strings:
		$1 = { 8B 10 FF 92 B8 00 00 00 C3 }
	condition:
		$1
}

rule function_46633_0 {
	meta:
		name = "TIWVCLBaseControl.Paint"
		size = 214
		refs = "0026 TPen.SetColor 0033 Point"
	strings:
		$1 = { 53 56 83 C4 D0 8B D8 80 BB B1 01 00 00 00 0F 84 BC 00 00 00 8B C3 8B 10 FF 92 D0 00 00 00 8B F0 33 D2 8B 46 44 E8 ?? ?? ?? ?? 8D 4C 24 28 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 44 24 28 89 04 24 8B 44 24 2C 89 44 24 04 8D 4C 24 28 8B 43 50 48 33 D2 E8 ?? ?? ?? ?? 8B 44 24 28 89 44 24 08 8B 44 24 2C 89 44 24 0C 8D 4C 24 28 8B 53 54 4A 8B 43 50 48 E8 ?? ?? ?? ?? 8B 44 24 28 89 44 24 10 8B 44 24 2C 89 44 24 14 8D 4C 24 28 8B 53 54 4A 33 C0 E8 ?? ?? ?? ?? 8B 44 24 28 89 44 24 18 8B 44 24 2C 89 44 24 1C 8D 4C 24 28 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 44 24 28 89 44 24 20 8B 44 24 2C 89 44 24 24 8B D4 B9 04 00 00 00 8B C6 8B 18 FF 53 70 83 C4 30 5E 5B C3 }
	condition:
		$1
}

rule function_46634_0 {
	meta:
		name = "TIWVCLBaseControl.SetTransparent"
		size = 28
		refs = "0010 TCanvas.GetHandle 0016 SetBkMode"
	strings:
		$1 = { 53 8B D8 6A 01 8B C3 8B 10 FF 92 D0 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_46635_0 {
	meta:
		name = "TIWVCLBaseControl.IWPaint"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 C4 00 00 00 C3 }
	condition:
		$1
}

rule function_46636_0 {
	meta:
		name = "TIWVCLBaseControl.WMPaint"
		size = 190
		refs = "0030 TCustomCanvas.Lock 0038 TIWVCLBaseControl.WMPaint 0051 TCanvas.SetHandle 008f @HandleFinally 00ae TCustomCanvas.Unlock"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 80 B8 B1 01 00 00 00 0F 84 A0 00 00 00 83 7B 04 00 0F 84 96 00 00 00 8B 45 FC 8B 10 FF 92 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 D0 00 00 00 8B 53 04 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 C0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 D0 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 D0 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 5D C3 }
	condition:
		$1
}

rule function_46637_0 {
	meta:
		name = "TIWVCLBaseControl.Create"
		size = 86
		refs = "000a @ClassCreate 0017 TControl.Create 0043 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 CC 00 00 00 F6 46 1C 10 0F 95 C0 88 86 B1 01 00 00 8B C6 8B 10 FF 92 C8 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_46638_0 {
	meta:
		name = "TIWVCLBaseControl.SetAutoSize"
		size = 39
		refs = "000b TControl.SetAutoSize 0020 @CallDynaInst"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 88 9E B0 01 00 00 84 DB 74 0B 8B C6 66 BE EF FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46639_0 {
	meta:
		name = "TIWVCLBaseControl.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 001e TControl.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 8B C6 8B 08 FF 91 DC 00 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46640_0 {
	meta:
		name = "TIWVCLBaseControl.HasOnClick"
		size = 12
	strings:
		$1 = { 66 83 B8 1A 01 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_46641_0 {
	meta:
		name = "TIWVCLBaseControl.RequestAlign"
		size = 57
		refs = "0018 _Dn_TIWBaseContainer 001d @IsClass 0028 TIWBaseContainer.ForceAlign 0032 TControl.RequestAlign"
	strings:
		$1 = { 53 56 8B D8 80 BB B1 01 00 00 00 75 22 8B 73 38 85 F6 74 22 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46643_0 {
	meta:
		name = "TIWVCLBaseControl.SetParent"
		size = 124
		refs = "0018 isBaseContainer 0024 _Dn_TFrame 0029 @IsClass 0033 GWarningProc 003a RSCanUseIWControlOnVCLForm 005e TControl.SetParent"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 80 BB B1 01 00 00 00 74 31 85 F6 74 2D 8B C6 E8 ?? ?? ?? ?? 84 C0 75 22 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B 3D ?? ?? ?? ?? 8B 3F A1 ?? ?? ?? ?? 8B 00 FF D7 8B 6B 38 8B FD 3B EE 74 0E 8B CE 8B D5 8B C3 8B 28 FF 95 D4 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 73 38 3B FE 74 0E 8B CE 8B D7 8B C3 8B 18 FF 93 D8 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46646_0 {
	meta:
		name = "TIWVCLBaseControl.GetAutoSize"
		size = 8
	strings:
		$1 = { 0F B6 80 B0 01 00 00 C3 }
	condition:
		$1
}

rule function_46649_0 {
	meta:
		name = "NopAddref"
		size = 10
		altNames = "NopRefCount NopRelease TCanvas3D._AddRef TCanvas3D._Release TCustomVariantType._AddRef TCustomVariantType._Release TIWVCLBaseControl._Release TLayoutWebContent._AddRef TLayoutWebContent._Release TLocalWebModuleContext._AddRef TLocalWebModuleContext._Release TSingletonImplementation._AddRef TSingletonImplementation._Release TUtilsNoRefCount._AddRef TUtilsNoRefCount._Release TWebComponentList._AddRef TWebComponentList._Release TWebComponentsEditorHelper._AddRef TWebComponentsEditorHelper._Release TWebSession._AddRef TWebSession._Release TXMLDataSet._AddRef TXMLDataSet._Release"
	strings:
		$1 = { 55 8B EC 83 C8 FF 5D C2 04 00 }
	condition:
		$1
}

rule function_46662_0 {
	meta:
		name = "TIWVCLBaseControl.get_TabOrder"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 B0 00 00 00 C3 }
	condition:
		$1
}

rule function_46663_0 {
	meta:
		name = "TIWVCLBaseControl.set_TabOrder"
		size = 9
	strings:
		$1 = { 8B 08 FF 91 B4 00 00 00 C3 }
	condition:
		$1
}

rule function_46665_0 {
	meta:
		name = "TIWVCLBaseControl.DesignMode"
		size = 8
	strings:
		$1 = { 0F B6 80 B1 01 00 00 C3 }
	condition:
		$1
}

rule function_46676_0 {
	meta:
		name = "TIWVCLComponent.Create"
		size = 67
		refs = "000a @ClassCreate 0017 TComponent.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 40 8B C6 8B 10 FF 52 44 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_46682_0 {
	meta:
		name = "Register"
		size = 56
		refs = "0002 _DV_TTIWWebEdit 000e Register 0013 RegisterComponents"
	strings:
		$1 = { 51 A1 ?? ?? ?? ?? 89 04 24 8B D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 4D 00 53 00 20 00 49 00 57 00 00 00 00 00 }
	condition:
		$1
}

rule function_46683_0 {
	meta:
		name = "TTIWHTMLEdGlyphs.Create"
		size = 140
		refs = "000b @ClassCreate 001a TObject.Create 0078 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 C6 47 08 01 C6 47 09 01 C6 47 0A 01 C6 47 0B 01 C6 47 0C 01 C6 47 0D 01 C6 47 0E 01 C6 47 0F 01 C6 47 10 01 C6 47 11 01 C6 47 12 01 C6 47 13 01 C6 47 14 01 C6 47 15 01 C6 47 16 01 C6 47 17 01 C6 47 18 01 C6 47 19 01 C6 47 1A 01 C6 47 1B 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46686_0 {
	meta:
		name = "TTIWHTMLEdGlyphs.SetCenter"
		size = 4
	strings:
		$1 = { 88 50 0F C3 }
	condition:
		$1
}

rule function_46687_0 {
	meta:
		name = "TTIWHTMLEdGlyphs.SetCopy"
		size = 4
	strings:
		$1 = { 88 50 16 C3 }
	condition:
		$1
}

rule function_46688_0 {
	meta:
		name = "TTIWHTMLEdGlyphs.SetCut"
		size = 4
	strings:
		$1 = { 88 50 15 C3 }
	condition:
		$1
}

rule function_46689_0 {
	meta:
		name = "TTIWHTMLEdGlyphs.SetIndent"
		size = 4
	strings:
		$1 = { 88 50 13 C3 }
	condition:
		$1
}

rule function_46690_0 {
	meta:
		name = "TQuickAccessToolbar.SetShowMoreCommands"
		size = 4
		altNames = "TTIWHTMLEdGlyphs.SetInsertImage"
	strings:
		$1 = { 88 50 1A C3 }
	condition:
		$1
}

rule function_46691_0 {
	meta:
		name = "TQuickAccessToolbar.SetShowPosition"
		size = 4
		altNames = "TTIWHTMLEdGlyphs.SetInsertHorizontalRule"
	strings:
		$1 = { 88 50 1B C3 }
	condition:
		$1
}

rule function_46692_0 {
	meta:
		name = "TTIWComboboxes.SetParagraph"
		size = 4
		altNames = "TTIWHTMLEdGlyphs.SetItalic TUnicodeCodec.SetWriteLFOption"
	strings:
		$1 = { 88 50 09 C3 }
	condition:
		$1
}

rule function_46693_0 {
	meta:
		name = "TTIWHTMLEdGlyphs.SetLeft"
		size = 4
	strings:
		$1 = { 88 50 0E C3 }
	condition:
		$1
}

rule function_46694_0 {
	meta:
		name = "TDtdModel.SetPreparationStatus"
		size = 4
		altNames = "TQuickAccessToolbar.SetShowMinimize TTIWHTMLEdGlyphs.SetLink"
	strings:
		$1 = { 88 50 19 C3 }
	condition:
		$1
}

rule function_46696_0 {
	meta:
		name = "TTIWHTMLEdGlyphs.SetOrderedList"
		size = 4
	strings:
		$1 = { 88 50 12 C3 }
	condition:
		$1
}

rule function_46697_0 {
	meta:
		name = "TTIWHTMLEdGlyphs.SetPaste"
		size = 4
	strings:
		$1 = { 88 50 17 C3 }
	condition:
		$1
}

rule function_46698_0 {
	meta:
		name = "TAbstractTest.SetEnabled"
		size = 4
		altNames = "THeaderInfo.SetRequired TTIWHTMLEdGlyphs.SetRight"
	strings:
		$1 = { 88 50 10 C3 }
	condition:
		$1
}

rule function_46699_0 {
	meta:
		name = "TTIWComboboxes.SetFontSizes"
		size = 4
		altNames = "TTIWHTMLEdGlyphs.SetStrike"
	strings:
		$1 = { 88 50 0B C3 }
	condition:
		$1
}

rule function_46702_0 {
	meta:
		name = "TTIWComboboxes.SetFontNames"
		size = 4
		altNames = "TTIWHTMLEdGlyphs.SetUnderline"
	strings:
		$1 = { 88 50 0A C3 }
	condition:
		$1
}

rule function_46703_0 {
	meta:
		name = "TBindingNotifier.SetReserved"
		size = 4
		altNames = "TDtdValidationAgent.SetErrorReportingEnabled TTIWHTMLEdGlyphs.SetUnindent"
	strings:
		$1 = { 88 50 14 C3 }
	condition:
		$1
}

rule function_46704_0 {
	meta:
		name = "TTIWHTMLEdGlyphs.SetUnorderedList"
		size = 4
	strings:
		$1 = { 88 50 11 C3 }
	condition:
		$1
}

rule function_46705_0 {
	meta:
		name = "TTIWCustomWebEdit.Create"
		size = 824
		refs = "000e @ClassCreate 001c TIWCustomControl.Create 0025 _DV_TTIWComboboxes 002a TTIWComboboxes.Create 0039 _DV_TTIWHTMLEdGlyphs 003e TTIWHTMLEdGlyphs.Create 004d _DV_TTIWHTMLEdHints 0052 TTIWHTMLEdHints.Create 005f _Dn_TStringList 0064 TStringList.Create 0085 TIWCustomControl.setRenderSize 008c _Dn_TIWFont 0091 TIWFont.Create 00a3 TTIWCustomWebEdit.FontChanged 00ac TIWFont.SeTIWColor 00c1 TTIWCustomWebEdit.Create 00c6 TIWFont.SetFontName 00d6 TIWFont.SetSize 0180 TControl.SetHeight 018c TControl.SetWidth 01ae @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A4 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B4 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B8 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 BC 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B0 02 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 AC 02 00 00 89 5E 1C C7 46 18 ?? ?? ?? ?? 8B C6 33 D2 E8 ?? ?? ?? ?? C7 83 A0 02 00 00 FF FF FF 00 8B 83 AC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 AC 02 00 00 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 83 BC 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 C6 83 C2 02 00 00 00 C6 83 A8 02 00 00 01 8B 83 B0 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 83 B0 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 83 B0 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 83 B0 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 83 B0 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 83 B0 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 83 B0 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 83 B0 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 BA 90 01 00 00 8B C3 E8 ?? ?? ?? ?? BA 58 02 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 C0 02 00 00 01 C6 83 C1 02 00 00 01 C6 83 C3 02 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 72 00 69 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 54 00 68 00 69 00 73 00 20 00 69 00 73 00 20 00 61 00 6E 00 20 00 65 00 78 00 61 00 6D 00 70 00 6C 00 65 00 20 00 6F 00 66 00 20 00 61 00 20 00 48 00 54 00 4D 00 4C 00 20 00 65 00 64 00 69 00 74 00 6F 00 72 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 6F 00 6D 00 69 00 63 00 20 00 53 00 61 00 6E 00 73 00 20 00 4D 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 75 00 72 00 69 00 65 00 72 00 20 00 4E 00 65 00 77 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4C 00 75 00 63 00 69 00 64 00 61 00 20 00 43 00 6F 00 6E 00 73 00 6F 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 68 00 6F 00 6D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 69 00 6D 00 65 00 73 00 20 00 4E 00 65 00 77 00 20 00 52 00 6F 00 6D 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 54 00 72 00 65 00 62 00 75 00 63 00 68 00 65 00 74 00 20 00 4D 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 00 00 }
	condition:
		$1
}

rule function_46706_0 {
	meta:
		name = "TTIWCustomWebEdit.Destroy"
		size = 126
		refs = "0003 @BeforeDestruction 0012 TObject.Free 006c TIWVCLBaseControl.Destroy 0077 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 8B 86 B8 02 00 00 E8 ?? ?? ?? ?? 8D 86 AC 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 BC 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 B0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46708_0 {
	meta:
		name = "TTIWCustomWebEdit.SetShowToolBar"
		size = 15
	strings:
		$1 = { 88 90 C0 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_46709_0 {
	meta:
		name = "TTIWCustomWebEdit.SetShowComboboxes"
		size = 15
	strings:
		$1 = { 88 90 C1 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_46710_0 {
	meta:
		name = "TTIWCustomWebEdit.SetContentEditable"
		size = 7
	strings:
		$1 = { 88 90 A8 02 00 00 C3 }
	condition:
		$1
}

rule function_46711_0 {
	meta:
		name = "TTIWCustomWebEdit.IWPaint"
		size = 576
		refs = "0014 TTIWCustomWebEdit.IWPaint 0035 TFont.SetName 0050 TFont.SetSize 006b TFont.SetColor 0087 TFont.SetStyle 00ab TBrush.SetColor 00b5 TCustomCanvas.Rectangle 01c8 @UStrClr 01ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 E4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 92 D0 00 00 00 8B 40 40 8B 96 AC 02 00 00 8B 52 0C E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 D0 00 00 00 8B 40 40 8B 96 AC 02 00 00 8B 52 20 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 D0 00 00 00 8B 40 40 8B 96 AC 02 00 00 8B 52 04 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 D0 00 00 00 8B 40 40 8B 96 AC 02 00 00 0F B6 52 24 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 D0 00 00 00 8B F8 8D 55 E8 8B C6 8B 08 FF 51 60 8B 96 A0 02 00 00 8B 47 48 E8 ?? ?? ?? ?? 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 80 BE C0 02 00 00 00 74 1F 68 ?? ?? ?? ?? 8B 4D EC 83 C1 0A 8B 55 E8 83 C2 05 8B C7 8B 18 FF 93 90 00 00 00 83 45 EC 28 8B 4D EC 8B 55 E8 8B C7 8B 18 FF 53 64 8B 4D EC 8B 55 F0 8B C7 8B 18 FF 53 60 80 BE C1 02 00 00 00 74 1F 68 ?? ?? ?? ?? 8B 4D EC 83 C1 0A 8B 55 E8 83 C2 05 8B C7 8B 18 FF 93 90 00 00 00 83 45 EC 28 8B 4D EC 8B 55 E8 8B C7 8B 18 FF 53 64 8B 4D EC 8B 55 F0 8B C7 8B 18 FF 53 60 68 ?? ?? ?? ?? 8B 4D EC 83 C1 0A 8B 55 E8 83 C2 05 8B C7 8B 18 FF 93 90 00 00 00 8B 86 BC 02 00 00 8B 10 FF 52 14 85 C0 7E 50 C7 45 FC 32 00 00 00 33 C0 89 45 F8 EB 32 8D 4D E4 8B 55 F8 8B 86 BC 02 00 00 8B 18 FF 53 0C 8B 45 E4 50 8B 4D EC 03 4D FC 8B 55 E8 83 C2 19 8B C7 8B 18 FF 93 90 00 00 00 83 45 FC 14 FF 45 F8 8B 86 BC 02 00 00 8B 10 FF 52 14 3B 45 F8 7F BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 6F 00 6F 00 6C 00 62 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6D 00 62 00 6F 00 62 00 6F 00 78 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 65 00 62 00 45 00 64 00 69 00 74 00 6F 00 72 00 3A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46713_0 {
	meta:
		name = "TTIWCustomWebEdit.GetFonts"
		size = 280
		refs = "001a TTIWCustomWebEdit.GetFonts 0086 @UStrCatN 00a4 @UStrArrayClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 5B 46 33 DB 8D 4D F4 8B D3 8B 45 FC 8B 38 FF 57 0C 83 7D F4 00 74 41 8B 45 F8 FF 30 68 ?? ?? ?? ?? 8D 4D F0 8B D3 8B 45 FC 8B 38 FF 57 0C FF 75 F0 68 ?? ?? ?? ?? 8D 4D EC 8B D3 8B 45 FC 8B 38 FF 57 0C FF 75 EC 68 ?? ?? ?? ?? 8B 45 F8 BA 06 00 00 00 E8 ?? ?? ?? ?? 43 4E 75 A8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 6F 00 70 00 74 00 69 00 6F 00 6E 00 20 00 76 00 61 00 6C 00 75 00 65 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 2F 00 6F 00 70 00 74 00 69 00 6F 00 6E 00 3E 00 00 00 }
	condition:
		$1
}

rule function_46714_0 {
	meta:
		name = "TTIWCustomWebEdit.SetLines"
		size = 32
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 BC 02 00 00 8B 08 FF 51 08 8B C6 8B 10 FF 92 9C 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_46715_0 {
	meta:
		name = "TTIWCustomWebEdit.SetFont"
		size = 26
	strings:
		$1 = { 53 8B D8 8B 83 AC 02 00 00 8B 08 FF 51 08 8B C3 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_46716_0 {
	meta:
		name = "TCustomRibbonComboBox.SetItems"
		size = 22
		altNames = "TTIWCustomWebEdit.SetFontList"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 B0 02 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_46717_0 {
	meta:
		name = "TCustomListView.SetItems"
		size = 12
		altNames = "TTIWCustomWebEdit.SetComboboxes"
	strings:
		$1 = { 8B 80 A4 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_46718_0 {
	meta:
		name = "TTIWCustomWebEdit.SetBackground"
		size = 15
	strings:
		$1 = { 89 90 A0 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_46719_0 {
	meta:
		name = "TTIWCustomWebEdit.SetValue"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 BC 02 00 00 8B 08 FF 51 2C 5E C3 }
	condition:
		$1
}

rule function_46720_0 {
	meta:
		name = "JSAdapt"
		size = 272
		refs = "0017 @UStrAddRef 001f JSAdapt 002c @UStrClr 006b @UStrCat 0099 @UStrFromWChar 00c1 @UStrArrayClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 69 BF 01 00 00 00 8B 45 FC 0F B7 44 78 FE 66 83 E8 22 74 1C 66 83 E8 05 74 08 66 83 E8 35 74 1E EB 2A 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 36 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8D 45 F8 8B 55 FC 0F B7 54 7A FE E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 47 4B 75 9C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_46721_0 {
	meta:
		name = "TTIWCustomWebEdit.RenderHTML"
		size = 20320
		refs = "001b TTIWCustomWebEdit.RenderHTML 0029 @UStrClr 0068 JSAdapt 0073 @UStrCat 0093 Pos 0158 @UStrCatN 0163 TIWCompContext.AddToInitProc 0183 IntToStr 01c8 @UStrLAsg 01fe GetResourceText 021a TTIWCustomWebEdit.HTMLClr 022a StringReplace 076d TIWApplication.GetInternalURLBase 14ce TTIWCustomWebEdit.GetFonts 1b71 _Dn_TIWHTMLTag 1b76 TIWMarkupLanguageTag.CreateTag 1b7f TIWHTMLTag.GetContents 1b89 TIWMarkupLanguageTagCollection.AddText 1b9c TIWHTMLTagCollection.AddTag 1baf TIWMarkupLanguageTag.AddStringParam 1c26 @UStrCat3 1c64 @UStrArrayClr 1ca2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 47 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 BC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B 83 BC 02 00 00 8B 10 FF 52 14 85 C0 0F 8E E5 00 00 00 89 45 B8 BE 01 00 00 00 8D 4D B4 8B D6 4A 8B 83 BC 02 00 00 8B 38 FF 57 0C 8B 45 B4 8D 55 EC E8 ?? ?? ?? ?? 8D 45 F4 8B 55 EC E8 ?? ?? ?? ?? 8B 83 BC 02 00 00 8B 10 FF 52 14 3B F0 0F 8D 99 00 00 00 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 84 00 00 00 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 73 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 62 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 51 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 40 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 2F 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 1E 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 FF 4D B8 0F 85 23 FF FF FF 68 ?? ?? ?? ?? 8D 55 AC 8B C3 8B 08 FF 91 14 01 00 00 FF 75 AC 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 B0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 B0 8B 45 BC E8 ?? ?? ?? ?? 80 BB C0 02 00 00 00 74 19 80 BB C1 02 00 00 00 74 10 8D 55 E8 8B 43 54 83 E8 2C E8 ?? ?? ?? ?? EB 2D 80 BB C0 02 00 00 00 75 09 80 BB C1 02 00 00 00 74 10 8D 55 E8 8B 43 54 83 E8 16 E8 ?? ?? ?? ?? EB 0B 8D 55 E8 8B 43 54 E8 ?? ?? ?? ?? 80 BB A8 02 00 00 00 74 1C 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 A8 50 8D 4D A4 8B 93 A0 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4D A4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 A8 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 A0 50 8D 55 9C 8B 83 AC 02 00 00 8B 40 20 E8 ?? ?? ?? ?? 8B 4D 9C BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 A0 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 98 50 8B 83 AC 02 00 00 8B 48 0C BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 98 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 94 50 8D 4D 90 8B 83 AC 02 00 00 8B 50 04 8B C3 E8 ?? ?? ?? ?? 8B 4D 90 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 94 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 8C 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 8C 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 88 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 88 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 84 50 68 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 7C FF FF FF 68 ?? ?? ?? ?? 8D 45 80 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D 80 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 84 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 85 78 FF FF FF 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 85 74 FF FF FF 50 8B 4D E4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 85 70 FF FF FF 50 8B 4D E0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 85 6C FF FF FF 50 8D 95 68 FF FF FF 8B C3 8B 08 FF 91 14 01 00 00 8B 8D 68 FF FF FF BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 80 BB C2 02 00 00 00 74 31 0F B6 05 ?? ?? ?? ?? 50 8D 85 64 FF FF FF 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 95 64 FF FF FF 8D 45 FC E8 ?? ?? ?? ?? EB 2F 0F B6 05 ?? ?? ?? ?? 50 8D 85 60 FF FF FF 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B 83 BC 02 00 00 8B 10 FF 52 14 85 C0 0F 8E FD 00 00 00 89 45 B8 BE 01 00 00 00 8D 4D EC 8B D6 4A 8B 83 BC 02 00 00 8B 38 FF 57 0C 8B 83 BC 02 00 00 8B 10 FF 52 14 3B F0 0F 8D AF 00 00 00 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 9A 00 00 00 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 85 00 00 00 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 74 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 63 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 52 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 41 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 30 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 1F FF 75 F0 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 18 FF 75 F0 68 ?? ?? ?? ?? FF 75 EC 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 46 FF 4D B8 0F 85 0B FF FF FF FF 75 FC 68 ?? ?? ?? ?? 8D 95 5C FF FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 5C FF FF FF 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB C0 02 00 00 00 0F 84 DE 0C 00 00 8B 83 B4 02 00 00 80 78 08 00 75 70 80 78 09 00 75 6A 80 78 0A 00 75 64 80 78 0B 00 75 5E 80 78 0C 00 75 58 80 78 0D 00 75 52 80 78 0E 00 75 4C 80 78 0F 00 75 46 80 78 10 00 75 40 80 78 11 00 75 3A 80 78 12 00 75 34 80 78 13 00 75 2E 80 78 14 00 75 28 80 78 15 00 75 22 80 78 16 00 75 1C 80 78 17 00 75 16 80 78 19 00 75 10 80 78 1A 00 75 0A 80 78 1B 00 0F 84 62 0C 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 80 78 08 00 0F 84 90 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 95 58 FF FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 58 FF FF FF 68 ?? ?? ?? ?? 8D 95 54 FF FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 54 FF FF FF 68 ?? ?? ?? ?? 8D 95 50 FF FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 50 FF FF FF 68 ?? ?? ?? ?? 8B 83 B8 02 00 00 FF 70 08 68 ?? ?? ?? ?? 8D 95 4C FF FF FF 8B 45 BC 8B 40 10 E8 ?? ?? ?? ?? FF B5 4C FF FF FF 68 ?? ?? ?? ?? 8D 45 FC BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 80 78 09 00 0F 84 90 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 95 48 FF FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 48 FF FF FF 68 ?? ?? ?? ?? 8D 95 44 FF FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 44 FF FF FF 68 ?? ?? ?? ?? 8D 95 40 FF FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 40 FF FF FF 68 ?? ?? ?? ?? 8B 83 B8 02 00 00 FF 70 0C 68 ?? ?? ?? ?? 8D 95 3C FF FF FF 8B 45 BC 8B 40 10 E8 ?? ?? ?? ?? FF B5 3C FF FF FF 68 ?? ?? ?? ?? 8D 45 FC BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 80 78 0A 00 0F 84 90 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 95 38 FF FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 38 FF FF FF 68 ?? ?? ?? ?? 8D 95 34 FF FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 34 FF FF FF 68 ?? ?? ?? ?? 8D 95 30 FF FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 30 FF FF FF 68 ?? ?? ?? ?? 8B 83 B8 02 00 00 FF 70 10 68 ?? ?? ?? ?? 8D 95 2C FF FF FF 8B 45 BC 8B 40 10 E8 ?? ?? ?? ?? FF B5 2C FF FF FF 68 ?? ?? ?? ?? 8D 45 FC BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 80 78 0B 00 0F 84 90 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 95 28 FF FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 28 FF FF FF 68 ?? ?? ?? ?? 8D 95 24 FF FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 24 FF FF FF 68 ?? ?? ?? ?? 8D 95 20 FF FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 20 FF FF FF 68 ?? ?? ?? ?? 8B 83 B8 02 00 00 FF 70 14 68 ?? ?? ?? ?? 8D 95 1C FF FF FF 8B 45 BC 8B 40 10 E8 ?? ?? ?? ?? FF B5 1C FF FF FF 68 ?? ?? ?? ?? 8D 45 FC BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 80 78 0C 00 0F 84 90 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 95 18 FF FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 18 FF FF FF 68 ?? ?? ?? ?? 8D 95 14 FF FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 14 FF FF FF 68 ?? ?? ?? ?? 8D 95 10 FF FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 10 FF FF FF 68 ?? ?? ?? ?? 8B 83 B8 02 00 00 FF 70 18 68 ?? ?? ?? ?? 8D 95 0C FF FF FF 8B 45 BC 8B 40 10 E8 ?? ?? ?? ?? FF B5 0C FF FF FF 68 ?? ?? ?? ?? 8D 45 FC BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 80 78 0D 00 0F 84 90 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 95 08 FF FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 08 FF FF FF 68 ?? ?? ?? ?? 8D 95 04 FF FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 04 FF FF FF 68 ?? ?? ?? ?? 8D 95 00 FF FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 00 FF FF FF 68 ?? ?? ?? ?? 8B 83 B8 02 00 00 FF 70 1C 68 ?? ?? ?? ?? 8D 95 FC FE FF FF 8B 45 BC 8B 40 10 E8 ?? ?? ?? ?? FF B5 FC FE FF FF 68 ?? ?? ?? ?? 8D 45 FC BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 80 78 0E 00 0F 84 90 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 F8 FE FF FF 68 ?? ?? ?? ?? 8D 95 F4 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 F4 FE FF FF 68 ?? ?? ?? ?? 8D 95 F0 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 F0 FE FF FF 68 ?? ?? ?? ?? 8B 83 B8 02 00 00 FF 70 20 68 ?? ?? ?? ?? 8D 95 EC FE FF FF 8B 45 BC 8B 40 10 E8 ?? ?? ?? ?? FF B5 EC FE FF FF 68 ?? ?? ?? ?? 8D 45 FC BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 80 78 0F 00 0F 84 90 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 95 E8 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 E8 FE FF FF 68 ?? ?? ?? ?? 8D 95 E4 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 E4 FE FF FF 68 ?? ?? ?? ?? 8D 95 E0 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 E0 FE FF FF 68 ?? ?? ?? ?? 8B 83 B8 02 00 00 FF 70 24 68 ?? ?? ?? ?? 8D 95 DC FE FF FF 8B 45 BC 8B 40 10 E8 ?? ?? ?? ?? FF B5 DC FE FF FF 68 ?? ?? ?? ?? 8D 45 FC BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 80 78 10 00 0F 84 90 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 95 D8 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 D8 FE FF FF 68 ?? ?? ?? ?? 8D 95 D4 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 D4 FE FF FF 68 ?? ?? ?? ?? 8D 95 D0 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 D0 FE FF FF 68 ?? ?? ?? ?? 8B 83 B8 02 00 00 FF 70 28 68 ?? ?? ?? ?? 8D 95 CC FE FF FF 8B 45 BC 8B 40 10 E8 ?? ?? ?? ?? FF B5 CC FE FF FF 68 ?? ?? ?? ?? 8D 45 FC BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 80 78 11 00 0F 84 90 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 95 C8 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 C8 FE FF FF 68 ?? ?? ?? ?? 8D 95 C4 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 C4 FE FF FF 68 ?? ?? ?? ?? 8D 95 C0 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 C0 FE FF FF 68 ?? ?? ?? ?? 8B 83 B8 02 00 00 FF 70 2C 68 ?? ?? ?? ?? 8D 95 BC FE FF FF 8B 45 BC 8B 40 10 E8 ?? ?? ?? ?? FF B5 BC FE FF FF 68 ?? ?? ?? ?? 8D 45 FC BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 80 78 12 00 0F 84 90 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 95 B8 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 B8 FE FF FF 68 ?? ?? ?? ?? 8D 95 B4 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 B4 FE FF FF 68 ?? ?? ?? ?? 8D 95 B0 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 B0 FE FF FF 68 ?? ?? ?? ?? 8B 83 B8 02 00 00 FF 70 30 68 ?? ?? ?? ?? 8D 95 AC FE FF FF 8B 45 BC 8B 40 10 E8 ?? ?? ?? ?? FF B5 AC FE FF FF 68 ?? ?? ?? ?? 8D 45 FC BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 80 78 13 00 0F 84 90 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 95 A8 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 A8 FE FF FF 68 ?? ?? ?? ?? 8D 95 A4 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 A4 FE FF FF 68 ?? ?? ?? ?? 8D 95 A0 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 A0 FE FF FF 68 ?? ?? ?? ?? 8B 83 B8 02 00 00 FF 70 34 68 ?? ?? ?? ?? 8D 95 9C FE FF FF 8B 45 BC 8B 40 10 E8 ?? ?? ?? ?? FF B5 9C FE FF FF 68 ?? ?? ?? ?? 8D 45 FC BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 80 78 14 00 0F 84 90 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 95 98 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 98 FE FF FF 68 ?? ?? ?? ?? 8D 95 94 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 94 FE FF FF 68 ?? ?? ?? ?? 8D 95 90 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 90 FE FF FF 68 ?? ?? ?? ?? 8B 83 B8 02 00 00 FF 70 38 68 ?? ?? ?? ?? 8D 95 8C FE FF FF 8B 45 BC 8B 40 10 E8 ?? ?? ?? ?? FF B5 8C FE FF FF 68 ?? ?? ?? ?? 8D 45 FC BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 80 78 15 00 0F 84 90 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 95 88 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 88 FE FF FF 68 ?? ?? ?? ?? 8D 95 84 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 84 FE FF FF 68 ?? ?? ?? ?? 8D 95 80 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 80 FE FF FF 68 ?? ?? ?? ?? 8B 83 B8 02 00 00 FF 70 3C 68 ?? ?? ?? ?? 8D 95 7C FE FF FF 8B 45 BC 8B 40 10 E8 ?? ?? ?? ?? FF B5 7C FE FF FF 68 ?? ?? ?? ?? 8D 45 FC BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 80 78 16 00 0F 84 90 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 95 78 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 78 FE FF FF 68 ?? ?? ?? ?? 8D 95 74 FE FF FF 8B C3 8B 08 FF 91 14 01 00 00 FF B5 74 FE FF FF 68 ?? ?? ?? ?? 8D 95 70 FE FF FF 8B C3 8B }
	condition:
		$1
}

rule function_46723_0 {
	meta:
		name = "TCustomButtonedEdit.SetRightButton"
		size = 12
		altNames = "TTIWCustomWebEdit.SetHints"
	strings:
		$1 = { 8B 80 B8 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_46724_0 {
	meta:
		name = "TTIWComboboxes.Create"
		size = 80
		refs = "000b @ClassCreate 001a TObject.Create 003c @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 C6 47 08 01 C6 47 09 01 C6 47 0A 01 C6 47 0B 01 C6 47 0C 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46731_0 {
	meta:
		name = "TTIWHTMLEdHints.Create"
		size = 936
		refs = "000a @ClassCreate 0019 TTIWHTMLEdHints.Create 001e @UStrAsg 0120 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 8D 46 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 24 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 28 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 30 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 34 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 3C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 6F 00 6C 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 74 00 61 00 6C 00 69 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 6E 00 64 00 65 00 72 00 6C 00 69 00 6E 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 74 00 72 00 69 00 6B 00 65 00 74 00 72 00 6F 00 75 00 67 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 75 00 62 00 73 00 63 00 72 00 69 00 70 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 75 00 70 00 65 00 72 00 73 00 63 00 72 00 69 00 70 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 65 00 6E 00 74 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 69 00 67 00 68 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 55 00 6E 00 6F 00 72 00 64 00 65 00 72 00 65 00 64 00 4C 00 69 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4F 00 72 00 64 00 65 00 72 00 65 00 64 00 4C 00 69 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 6E 00 64 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 6E 00 69 00 6E 00 64 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 43 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 6F 00 70 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 61 00 73 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 65 00 77 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 20 00 4C 00 69 00 6E 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 6E 00 73 00 65 00 72 00 74 00 20 00 49 00 6D 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 49 00 6E 00 73 00 65 00 72 00 74 00 20 00 48 00 6F 00 72 00 69 00 7A 00 6F 00 6E 00 74 00 61 00 6C 00 20 00 52 00 75 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_46733_0 {
	meta:
		name = "TTIWHTMLEdHints.SetBold"
		size = 148
		refs = "000f TTIWHTMLEdHints.SetBold 0032 StringReplace 003d @UStrAsg 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_46734_0 {
	meta:
		name = "TTIWHTMLEdHints.SetCenter"
		size = 148
		refs = "000f TTIWHTMLEdHints.SetCenter 0032 StringReplace 003d @UStrAsg 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_46735_0 {
	meta:
		name = "TTIWHTMLEdHints.SetCopy"
		size = 148
		refs = "000f TTIWHTMLEdHints.SetCopy 0032 StringReplace 003d @UStrAsg 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_46736_0 {
	meta:
		name = "TTIWHTMLEdHints.SetCut"
		size = 148
		refs = "000f TTIWHTMLEdHints.SetCut 0032 StringReplace 003d @UStrAsg 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_46737_0 {
	meta:
		name = "TTIWHTMLEdHints.SetIndent"
		size = 148
		refs = "000f TTIWHTMLEdHints.SetIndent 0032 StringReplace 003d @UStrAsg 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_46738_0 {
	meta:
		name = "TTIWHTMLEdHints.SetInsertHorizontalRule"
		size = 148
		refs = "000f TTIWHTMLEdHints.SetInsertHorizontalRule 0032 StringReplace 003d @UStrAsg 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 54 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_46739_0 {
	meta:
		name = "TTIWHTMLEdHints.SetInsertImage"
		size = 148
		refs = "000f TTIWHTMLEdHints.SetInsertImage 0032 StringReplace 003d @UStrAsg 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_46740_0 {
	meta:
		name = "TTIWHTMLEdHints.SetItalic"
		size = 148
		refs = "000f TTIWHTMLEdHints.SetItalic 0032 StringReplace 003d @UStrAsg 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_46741_0 {
	meta:
		name = "TTIWHTMLEdHints.SetLeft"
		size = 148
		refs = "000f TTIWHTMLEdHints.SetLeft 0032 StringReplace 003d @UStrAsg 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_46742_0 {
	meta:
		name = "TTIWHTMLEdHints.SetLink"
		size = 148
		refs = "000f TTIWHTMLEdHints.SetLink 0032 StringReplace 003d @UStrAsg 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_46743_0 {
	meta:
		name = "TTIWHTMLEdHints.SetNew"
		size = 148
		refs = "000f TTIWHTMLEdHints.SetNew 0032 StringReplace 003d @UStrAsg 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_46744_0 {
	meta:
		name = "TTIWHTMLEdHints.SetOrderedList"
		size = 148
		refs = "000f TTIWHTMLEdHints.SetOrderedList 0032 StringReplace 003d @UStrAsg 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_46745_0 {
	meta:
		name = "TTIWHTMLEdHints.SetPaste"
		size = 148
		refs = "000f TTIWHTMLEdHints.SetPaste 0032 StringReplace 003d @UStrAsg 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_46746_0 {
	meta:
		name = "TTIWHTMLEdHints.SetRight"
		size = 148
		refs = "000f TTIWHTMLEdHints.SetRight 0032 StringReplace 003d @UStrAsg 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_46747_0 {
	meta:
		name = "TTIWHTMLEdHints.SetStrike"
		size = 148
		refs = "000f TTIWHTMLEdHints.SetStrike 0032 StringReplace 003d @UStrAsg 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_46748_0 {
	meta:
		name = "TTIWHTMLEdHints.SetSubscript"
		size = 148
		refs = "000f TTIWHTMLEdHints.SetSubscript 0032 StringReplace 003d @UStrAsg 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_46749_0 {
	meta:
		name = "TTIWHTMLEdHints.SetSuperscript"
		size = 148
		refs = "000f TTIWHTMLEdHints.SetSuperscript 0032 StringReplace 003d @UStrAsg 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_46750_0 {
	meta:
		name = "TTIWHTMLEdHints.SetUnderline"
		size = 148
		refs = "000f TTIWHTMLEdHints.SetUnderline 0032 StringReplace 003d @UStrAsg 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_46751_0 {
	meta:
		name = "TTIWHTMLEdHints.SetUnindent"
		size = 148
		refs = "000f TTIWHTMLEdHints.SetUnindent 0032 StringReplace 003d @UStrAsg 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_46752_0 {
	meta:
		name = "TTIWHTMLEdHints.SetUnorderedList"
		size = 148
		refs = "000f TTIWHTMLEdHints.SetUnorderedList 0032 StringReplace 003d @UStrAsg 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_46753_0 {
	meta:
		name = "GetResourceText"
		size = 181
		refs = "0017 @UStrAddRef 001f GetResourceText 0031 HInstance 0038 _Dn_TResourceStream 003d TResourceStream.Create 0047 @UStrClr 0070 @UStrFromChar 007a @UStrCat 0085 TObject.Free 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 6A 0A 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 12 8B D8 85 DB 7E 29 8D 55 FB B9 01 00 00 00 8B 45 F4 8B 38 FF 57 0C 8D 45 F0 0F B6 55 FB E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 4B 75 D7 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46755_0 {
	meta:
		name = "IWWebEdit"
		size = 2392
		refs = "0002 _DV_6 000e IWWebEdit 0018 _Dn_TIWServer 001d TIWServer.AddInternalFile"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 0F 83 7C 01 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 2F 00 67 00 66 00 78 00 2F 00 77 00 65 00 62 00 61 00 6C 00 69 00 67 00 6E 00 63 00 65 00 6E 00 74 00 72 00 65 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 57 00 45 00 42 00 41 00 4C 00 49 00 47 00 4E 00 43 00 45 00 4E 00 54 00 52 00 45 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 2F 00 67 00 66 00 78 00 2F 00 77 00 65 00 62 00 61 00 6C 00 69 00 67 00 6E 00 6C 00 65 00 66 00 74 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 57 00 45 00 42 00 41 00 4C 00 49 00 47 00 4E 00 4C 00 45 00 46 00 54 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 2F 00 67 00 66 00 78 00 2F 00 77 00 65 00 62 00 61 00 6C 00 69 00 67 00 6E 00 72 00 69 00 67 00 68 00 74 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 57 00 45 00 42 00 41 00 4C 00 49 00 47 00 4E 00 52 00 49 00 47 00 48 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 2F 00 67 00 66 00 78 00 2F 00 77 00 65 00 62 00 62 00 6F 00 6C 00 64 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 57 00 45 00 42 00 42 00 4F 00 4C 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 2F 00 67 00 66 00 78 00 2F 00 77 00 65 00 62 00 62 00 75 00 6C 00 6C 00 65 00 74 00 73 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 57 00 45 00 42 00 42 00 55 00 4C 00 4C 00 45 00 54 00 53 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 2F 00 67 00 66 00 78 00 2F 00 77 00 65 00 62 00 63 00 6F 00 70 00 79 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 57 00 45 00 42 00 43 00 4F 00 50 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 2F 00 67 00 66 00 78 00 2F 00 77 00 65 00 62 00 63 00 75 00 74 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 57 00 45 00 42 00 43 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 2F 00 67 00 66 00 78 00 2F 00 77 00 65 00 62 00 69 00 6D 00 67 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 57 00 45 00 42 00 49 00 4D 00 47 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 2F 00 67 00 66 00 78 00 2F 00 77 00 65 00 62 00 69 00 6E 00 64 00 65 00 6E 00 74 00 64 00 65 00 63 00 72 00 65 00 61 00 73 00 65 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 57 00 45 00 42 00 49 00 4E 00 44 00 45 00 4E 00 54 00 44 00 45 00 43 00 52 00 45 00 41 00 53 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 2F 00 67 00 66 00 78 00 2F 00 77 00 65 00 62 00 69 00 6E 00 64 00 65 00 6E 00 74 00 69 00 6E 00 63 00 72 00 65 00 61 00 73 00 65 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 57 00 45 00 42 00 49 00 4E 00 44 00 45 00 4E 00 54 00 49 00 4E 00 43 00 52 00 45 00 41 00 53 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 2F 00 67 00 66 00 78 00 2F 00 77 00 65 00 62 00 69 00 74 00 61 00 6C 00 69 00 63 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 57 00 45 00 42 00 49 00 54 00 41 00 4C 00 49 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 2F 00 67 00 66 00 78 00 2F 00 77 00 65 00 62 00 6C 00 69 00 6E 00 6B 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 57 00 45 00 42 00 4C 00 49 00 4E 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 2F 00 67 00 66 00 78 00 2F 00 77 00 65 00 62 00 6E 00 75 00 6D 00 62 00 65 00 72 00 65 00 64 00 6C 00 69 00 73 00 74 00 2E 00 67 00 69 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 57 00 45 00 42 00 4E 00 55 00 4D 00 42 00 45 00 52 00 45 00 44 00 4C 00 49 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 2F 00 67 00 66 00 78 00 2F 00 77 00 65 00 62 00 70 00 61 00 73 00 74 00 65 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 57 00 45 00 42 00 50 00 41 00 53 00 54 00 45 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 2F 00 67 00 66 00 78 00 2F 00 77 00 65 00 62 00 72 00 75 00 6C 00 65 00 72 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 57 00 45 00 42 00 52 00 55 00 4C 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 2F 00 67 00 66 00 78 00 2F 00 77 00 65 00 62 00 73 00 74 00 72 00 69 00 6B 00 65 00 6F 00 75 00 74 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 57 00 45 00 42 00 53 00 54 00 52 00 49 00 4B 00 45 00 4F 00 55 00 54 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 2F 00 67 00 66 00 78 00 2F 00 77 00 65 00 62 00 73 00 75 00 62 00 73 00 63 00 72 00 69 00 70 00 74 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 57 00 45 00 42 00 53 00 55 00 42 00 53 00 43 00 52 00 49 00 50 00 54 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 2F 00 67 00 66 00 78 00 2F 00 77 00 65 00 62 00 73 00 75 00 70 00 65 00 72 00 73 00 63 00 72 00 69 00 70 00 74 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 57 00 45 00 42 00 53 00 55 00 50 00 45 00 52 00 53 00 43 00 52 00 49 00 50 00 54 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 2F 00 67 00 66 00 78 00 2F 00 77 00 65 00 62 00 75 00 6E 00 64 00 65 00 72 00 6C 00 69 00 6E 00 65 00 2E 00 67 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 57 00 5F 00 47 00 46 00 58 00 5F 00 57 00 45 00 42 00 55 00 4E 00 44 00 45 00 52 00 4C 00 49 00 4E 00 45 00 00 00 }
	condition:
		$1
}

rule function_46756_0 {
	meta:
		name = "EditDocument"
		size = 109
		refs = "000c @UStrAddRef 0014 EditDocument 0020 GGetWebApplicationThreadVar 002d _DV_TfrmWebEditor 0032 TfrmWebEditor.CreateNew 003e TfrmWebEditor.SetDocument 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8B 1B FF D3 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 7C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_46757_0 {
	meta:
		name = "TfrmWebEditor.ButtonCloseClick"
		size = 38
	strings:
		$1 = { 53 8B D8 8B 83 80 03 00 00 8B 80 BC 02 00 00 8B 93 98 03 00 00 8B 08 FF 51 7C 8B C3 8B 10 FF 92 78 01 00 00 5B C3 }
	condition:
		$1
}

rule function_46758_0 {
	meta:
		name = "TfrmWebEditor.CancelButtonClick"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 78 01 00 00 C3 }
	condition:
		$1
}

rule function_46759_0 {
	meta:
		name = "TfrmWebEditor.CreateNew"
		size = 2412
		refs = "000e @ClassCreate 001e TIWBaseForm.CreateNew 002e TfrmWebEditor.IWAppFormResize 0037 _Dn_TTIWWebEdit 003c TTIWCustomWebEdit.Create 004b _Dn_TIWRegion 0050 TIWBaseContainer.Create 005f _Dn_TIWButton 0064 TIWCustomControl.Create 00b1 TfrmWebEditor.CreateNew 00d0 TControl.SetLeft 00dc TControl.SetTop 00e8 TControl.SetWidth 00f4 TControl.SetHeight 00fd TIWCustomControl.set_WebCursor 010d TControl.SetParentShowHint 0116 TControl.SetShowHint 011f TIWCustomControl.set_ZIndex 0128 TIWCustomControl.set_RenderSize 0134 TTIWCustomWebEdit.SetBackground 013d TTIWCustomWebEdit.SetContentEditable 023a TIWCustomRegion.set_WebCursor 0243 TIWBaseContainer.SetRenderInvisibleControls 0270 TIWCustomRegion.set_ZIndex 0284 TIWContainerBorderOptions.SetStyle 0316 TControl.SetText 0329 TIWBaseHTMLControl.set_WebColor 0339 @UStrAsg 0355 TfrmWebEditor.SaveButtonClick 0428 TfrmWebEditor.CancelButtonClick 04fb TfrmWebEditor.ReloadButtonClick 05ce TfrmWebEditor.ButtonCloseClick 064a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 89 B6 F4 00 00 00 C7 86 F0 00 00 00 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 03 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 84 03 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 88 03 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 8C 03 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 90 03 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 94 03 00 00 8B 9E 80 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B D6 8B C3 8B 08 FF 91 84 00 00 00 BA 15 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 46 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 99 02 00 00 8B C3 E8 ?? ?? ?? ?? BA 49 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 FC 01 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? BA FF FF FF 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B 83 B0 02 00 00 8B 10 FF 52 44 BA ?? ?? ?? ?? 8B 83 B0 02 00 00 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 83 B0 02 00 00 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 83 B0 02 00 00 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 83 B0 02 00 00 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 83 B0 02 00 00 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 83 B0 02 00 00 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 83 B0 02 00 00 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 83 B0 02 00 00 8B 08 FF 51 38 8B 83 BC 02 00 00 8B 10 FF 52 44 BA ?? ?? ?? ?? 8B 83 BC 02 00 00 8B 08 FF 51 38 8B 9E 84 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B D6 8B C3 8B 08 FF 91 84 00 00 00 BA 07 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 09 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 1E 02 00 00 8B C3 E8 ?? ?? ?? ?? BA 27 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA FF FF FF 1F 8B C3 8B 08 FF 91 24 01 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? BA E8 03 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 10 03 00 00 00 8B 83 D8 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 9E 88 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 96 84 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 09 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 73 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 FC 01 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 F0 01 00 00 01 BA 0F 00 00 FF 8B C3 E8 ?? ?? ?? ?? 8D 83 F4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 B4 00 00 00 89 B3 1C 01 00 00 C7 83 18 01 00 00 ?? ?? ?? ?? 8B 9E 8C 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 96 84 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 BA F3 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 09 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 73 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 FC 01 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 F0 01 00 00 01 BA 0F 00 00 FF 8B C3 E8 ?? ?? ?? ?? 8D 83 F4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 BA 01 00 8B C3 8B 08 FF 91 B4 00 00 00 89 B3 1C 01 00 00 C7 83 18 01 00 00 ?? ?? ?? ?? 8B 9E 90 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 96 84 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 BA 7A 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 09 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 73 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 FC 01 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 F0 01 00 00 01 BA 0F 00 00 FF 8B C3 E8 ?? ?? ?? ?? 8D 83 F4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 BA 02 00 8B C3 8B 08 FF 91 B4 00 00 00 89 B3 1C 01 00 00 C7 83 18 01 00 00 ?? ?? ?? ?? 8B 9E 94 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B 96 84 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 BA 6C 01 00 00 8B C3 E8 ?? ?? ?? ?? BA 09 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 73 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 FC 01 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 F0 01 00 00 01 BA 0F 00 00 FF 8B C3 E8 ?? ?? ?? ?? 8D 83 F4 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 BA 03 00 8B C3 8B 08 FF 91 B4 00 00 00 89 B3 1C 01 00 00 C7 83 18 01 00 00 ?? ?? ?? ?? 8B 86 84 03 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 86 84 03 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 86 84 03 00 00 8B 50 4C 03 50 54 83 C2 05 8B 86 80 03 00 00 E8 ?? ?? ?? ?? 8B 86 80 03 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 56 50 83 EA 0F 8B 86 80 03 00 00 E8 ?? ?? ?? ?? 8B 56 54 8B 86 80 03 00 00 2B 50 4C 83 EA 05 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 57 00 65 00 62 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 72 00 69 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 6F 00 6D 00 69 00 63 00 20 00 53 00 61 00 6E 00 73 00 20 00 4D 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 75 00 72 00 69 00 65 00 72 00 20 00 4E 00 65 00 77 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4C 00 75 00 63 00 69 00 64 00 61 00 20 00 43 00 6F 00 6E 00 73 00 6F 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 68 00 6F 00 6D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 69 00 6D 00 65 00 73 00 20 00 4E 00 65 00 77 00 20 00 52 00 6F 00 6D 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 54 00 72 00 65 00 62 00 75 00 63 00 68 00 65 00 74 00 20 00 4D 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 54 00 68 00 69 00 73 00 20 00 69 00 73 00 20 00 61 00 6E 00 20 00 65 00 78 00 61 00 6D 00 70 00 6C 00 65 00 20 00 6F 00 66 00 20 00 61 00 20 00 48 00 54 00 4D 00 4C 00 20 00 65 00 64 00 69 00 74 00 6F 00 72 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 72 00 42 00 75 00 74 00 74 00 6F 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 61 00 76 00 65 00 42 00 75 00 74 00 74 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 61 00 76 00 65 00 20 00 44 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 61 00 6E 00 63 00 65 00 6C 00 42 00 75 00 74 00 74 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 61 00 6E 00 63 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 57 00 42 00 75 00 74 00 74 00 6F 00 6E 00 31 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 65 00 6C 00 6F 00 61 00 64 00 42 00 75 00 74 00 74 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 65 00 6C 00 6F 00 61 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 42 00 75 00 74 00 74 00 6F 00 6E 00 43 00 6C 00 6F 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6C 00 6F 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 42 00 75 00 74 00 74 00 6F 00 6E 00 43 00 6C 00 6F 00 73 00 65 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_46760_0 {
	meta:
		name = "TfrmWebEditor.IWAppFormResize"
		size = 42
		refs = "0010 TControl.SetWidth 0024 TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B 53 50 83 EA 0F 8B 83 80 03 00 00 E8 ?? ?? ?? ?? 8B 83 80 03 00 00 8B 53 54 2B 50 4C 83 EA 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_46761_0 {
	meta:
		name = "TfrmWebEditor.ReloadButtonClick"
		size = 25
	strings:
		$1 = { 8B 90 80 03 00 00 8B 92 BC 02 00 00 8B 80 98 03 00 00 92 8B 08 FF 51 68 C3 }
	condition:
		$1
}

rule function_46762_0 {
	meta:
		name = "TfrmWebEditor.SaveButtonClick"
		size = 25
	strings:
		$1 = { 8B 90 80 03 00 00 8B 92 BC 02 00 00 8B 80 98 03 00 00 92 8B 08 FF 51 7C C3 }
	condition:
		$1
}

rule function_46763_0 {
	meta:
		name = "TfrmWebEditor.SetDocument"
		size = 220
		refs = "000a gSC 001f @UStrCat3 002c FileExists 005f TfrmWebEditor.SetDocument 0066 _Dn_Exception 006b Exception.CreateFmt 0070 @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 A1 ?? ?? ?? ?? 8B 00 8B 90 B4 00 00 00 8D 83 98 03 00 00 8B CE E8 ?? ?? ?? ?? B2 01 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 19 8B 83 80 03 00 00 8B 80 BC 02 00 00 8B 93 98 03 00 00 8B 08 FF 51 68 EB 27 8B 83 98 03 00 00 89 04 24 C6 44 24 04 11 54 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 49 00 6E 00 74 00 72 00 61 00 57 00 65 00 62 00 20 00 48 00 54 00 4D 00 4C 00 20 00 45 00 64 00 69 00 74 00 6F 00 72 00 20 00 2D 00 20 00 66 00 69 00 6C 00 65 00 20 00 6E 00 6F 00 74 00 20 00 66 00 6F 00 75 00 6E 00 64 00 3A 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_46766_0 {
	meta:
		name = "TIWXMLTag.CheckCDATA"
		size = 64
		refs = "0007 TIWXMLTag.CheckCDATA 000c @UStrEqual"
	strings:
		$1 = { 53 8B D8 8B 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 06 C6 43 20 01 5B C3 C6 43 20 00 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 6E 00 6E 00 65 00 72 00 68 00 74 00 6D 00 6C 00 00 00 }
	condition:
		$1
}

rule function_46767_0 {
	meta:
		name = "TIWXMLTag.Create"
		size = 121
		refs = "000f @ClassCreate 001b TIWXMLTag.Create 002a TIWMarkupLanguageElement.Create 0035 LowerCase 003c TIWXMLTag.CheckCDATA 0051 @UStrClr 0057 @HandleFinally 0064 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B 46 18 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46768_0 {
	meta:
		name = "TIWXMLTag.CreateTag"
		size = 70
		refs = "000d @ClassCreate 001e TIWMarkupLanguageTag.CreateTag 0025 TIWXMLTag.CheckCDATA 0030 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_46769_0 {
	meta:
		name = "TIWXMLTag.RenderElementContent"
		size = 112
		refs = "0010 TIWXMLTag.RenderElementContent 0017 TIWRenderStream.WriteString 0022 TIWMarkupLanguageTag.RenderElementContent"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 7B 20 00 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7B 20 00 74 0C BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 21 00 5B 00 43 00 44 00 41 00 54 00 41 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 5D 00 5D 00 3E 00 00 00 }
	condition:
		$1
}

rule function_46773_0 {
	meta:
		name = "TJUnitXmlTestListener.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TObject.Create 001f TJUnitXmlTestListener.Create 0024 @UStrAsg 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 74 00 65 00 73 00 74 00 2D 00 72 00 65 00 70 00 6F 00 72 00 74 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_46774_0 {
	meta:
		name = "TJUnitXmlTestListener.Create"
		size = 124
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TJUnitXmlTestListener.Create 0034 TObject.Create 003f @UStrAsg 0054 @UStrClr 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 1C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46775_0 {
	meta:
		name = "ZeroPadStr"
		size = 89
		refs = "001d @StrLong 002a @UStrFromString 0038 @UniqueStringU"
	strings:
		$1 = { 55 8B EC 81 C4 00 FF FF FF 53 56 57 8B F1 8B FA 8B D8 8D 8D 00 FF FF FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 95 00 FF FF FF 8B C6 E8 ?? ?? ?? ?? BB 01 00 00 00 EB 0F 8B C6 E8 ?? ?? ?? ?? 66 C7 44 58 FE 30 00 43 3B FB 7E 0A 8B 06 66 83 7C 58 FE 20 74 E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46776_0 {
	meta:
		name = "FormatDateTimeStr"
		size = 368
		refs = "0039 FormatDateTimeStr 0051 @StrLong 005f @UStrFromString 0079 ZeroPadStr 0103 @UStrCatN 0120 @UStrArrayClr 0128 @UStrClr 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FE FF FF 53 56 57 33 DB 89 9D F8 FE FF FF 89 9D F4 FE FF FF 89 9D F0 FE FF FF 89 9D EC FE FF FF 89 9D E8 FE FF FF 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D FC FE FF FF BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8D 45 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 8D F8 FE FF FF BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? FF B5 F8 FE FF FF 68 ?? ?? ?? ?? 8D 8D F4 FE FF FF BA 02 00 00 00 8B C7 E8 ?? ?? ?? ?? FF B5 F4 FE FF FF 68 ?? ?? ?? ?? 8D 8D F0 FE FF FF BA 02 00 00 00 8B 45 14 E8 ?? ?? ?? ?? FF B5 F0 FE FF FF 68 ?? ?? ?? ?? 8D 8D EC FE FF FF BA 02 00 00 00 8B 45 10 E8 ?? ?? ?? ?? FF B5 EC FE FF FF 68 ?? ?? ?? ?? 8D 8D E8 FE FF FF BA 02 00 00 00 8B 45 0C E8 ?? ?? ?? ?? FF B5 E8 FE FF FF 8B 45 08 BA 0B 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_46777_0 {
	meta:
		name = "TJUnitXmlTestListener.CurrentTimeStamp"
		size = 56
		refs = "0008 GetLocalTime 002f FormatDateTimeStr"
	strings:
		$1 = { 53 83 C4 F0 8B DA 54 E8 ?? ?? ?? ?? 0F B7 44 24 08 50 0F B7 44 24 0E 50 0F B7 44 24 14 50 53 0F B7 4C 24 16 0F B7 54 24 12 0F B7 44 24 10 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_46778_0 {
	meta:
		name = "TJUnitXmlTestListener.WriteReport"
		size = 120
		refs = "000e @UStrAddRef 0016 TJUnitXmlTestListener.WriteReport 0024 @DynArrayLength 0034 :TJUnitXmlTestListener.:1 0039 @DynArraySetLength 0053 UTF8Encode 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 18 E8 ?? ?? ?? ?? 40 50 8D 43 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 18 E8 ?? ?? ?? ?? 8B 53 18 8D 54 82 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_46779_0 {
	meta:
		name = "TJUnitXmlTestListener.AddTestCase"
		size = 1300
		refs = "0022 @IntfAddRef 002a TJUnitXmlTestListener.AddTestCase 0071 @Str2Ext 007f @UStrFromString 0091 ParamStr 00a2 ExtractFileName 00b7 TJUnitXmlTestListener.EnsureValidJavaPartName 00ca TJUnitXmlTestListener.EscapeForXml 00de _Dn_TObject 00e3 @SafeIntfAsClass 00f0 TObject.UnitName 0103 TJUnitXmlTestListener.EnsureValidJavaFullName 013c TObject.ClassName 01c1 @UStrCatN 01d2 @UStrCat 01ea @UStrLAsg 02c5 TJUnitXmlTestListener.EscapeInvalidXML 0301 TJUnitXmlTestListener.WriteReport 031e @UStrArrayClr 0333 @IntfClear 0339 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 2C 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 43 0C 8B 45 FC 8B 10 FF 52 54 89 85 E4 FE FF FF 33 C0 89 85 E8 FE FF FF DF AD E4 FE FF FF D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 8D EC FE FF FF BA 03 00 00 00 B8 03 00 00 00 E8 ?? ?? ?? ?? 8D 95 EC FE FF FF 8D 45 EC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 D4 FE FF FF 33 C0 E8 ?? ?? ?? ?? 8B 85 D4 FE FF FF 8D 95 D8 FE FF FF E8 ?? ?? ?? ?? 8B 95 D8 FE FF FF 8D 8D DC FE FF FF 8B 3B 8B C7 E8 ?? ?? ?? ?? 8B 95 DC FE FF FF 8D 8D E0 FE FF FF 8B C7 E8 ?? ?? ?? ?? FF B5 E0 FE FF FF 68 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 8D 95 C8 FE FF FF E8 ?? ?? ?? ?? 8B 95 C8 FE FF FF 8D 8D CC FE FF FF 8B 03 E8 ?? ?? ?? ?? 8B 95 CC FE FF FF 8D 8D D0 FE FF FF 8B 03 E8 ?? ?? ?? ?? FF B5 D0 FE FF FF 68 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 8D 95 BC FE FF FF E8 ?? ?? ?? ?? 8B 95 BC FE FF FF 8D 8D C0 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8B 95 C0 FE FF FF 8D 8D C4 FE FF FF 8B 03 E8 ?? ?? ?? ?? FF B5 C4 FE FF FF 68 ?? ?? ?? ?? 8D 95 B0 FE FF FF 8B 45 FC 8B 08 FF 51 0C 8B 95 B0 FE FF FF 8D 8D B4 FE FF FF 8B 03 E8 ?? ?? ?? ?? 8B 95 B4 FE FF FF 8D 8D B8 FE FF FF 8B 03 E8 ?? ?? ?? ?? FF B5 B8 FE FF FF 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F8 BA 0B 00 00 00 E8 ?? ?? ?? ?? 85 F6 75 12 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 20 01 00 00 80 7D 08 00 74 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 95 A8 FE FF FF 8B C6 8B 08 FF 51 0C 8B 95 A8 FE FF FF 8D 8D AC FE FF FF 8B 03 E8 ?? ?? ?? ?? FF B5 AC FE FF FF 68 ?? ?? ?? ?? 8D 95 A0 FE FF FF 8B C6 8B 08 FF 51 08 8B 95 A0 FE FF FF 8D 8D A4 FE FF FF 8B 03 E8 ?? ?? ?? ?? FF B5 A4 FE FF FF 68 ?? ?? ?? ?? 8D 45 F8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 95 9C FE FF FF 8B C6 8B 08 FF 51 1C 83 BD 9C FE FF FF 00 74 0C 8D 55 F0 8B C6 8B 08 FF 51 1C EB 0A 8D 55 F0 8B C6 8B 08 FF 51 0C FF 75 F8 8D 8D 98 FE FF FF 8B 55 F0 8B 03 E8 ?? ?? ?? ?? FF B5 98 FE FF FF 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 98 FE FF FF BA 13 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C2 04 00 00 00 7A 44 B0 04 02 00 FF FF FF FF 17 00 00 00 20 00 20 00 3C 00 74 00 65 00 73 00 74 00 63 00 61 00 73 00 65 00 20 00 63 00 6C 00 61 00 73 00 73 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 22 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 22 00 20 00 74 00 69 00 6D 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 2F 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 72 00 72 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 66 00 61 00 69 00 6C 00 75 00 72 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 20 00 20 00 20 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 22 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 22 00 3E 00 3C 00 21 00 5B 00 43 00 44 00 41 00 54 00 41 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 5D 00 5D 00 3E 00 3C 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 20 00 3C 00 2F 00 74 00 65 00 73 00 74 00 63 00 61 00 73 00 65 00 3E 00 00 00 }
	condition:
		$1
}

rule function_46780_0 {
	meta:
		name = "TJUnitXmlTestListener.AddSuccess"
		size = 117
		refs = "0015 @IntfAddRef 001d TJUnitXmlTestListener.AddSuccess 005c @IntfClear 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 08 FF 51 18 8B 45 F8 8B 10 FF 52 14 85 C0 7F 0D 6A 00 33 C9 8B 55 FC 8B C3 8B 18 FF 13 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46781_0 {
	meta:
		name = "TJUnitXmlTestListener.AddError"
		size = 84
		refs = "000f TJUnitXmlTestListener.AddError 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 43 14 6A 01 8D 55 FC 8B C6 8B 08 FF 11 8B 55 FC 8B CE 8B C3 8B 18 FF 13 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46782_0 {
	meta:
		name = "TJUnitXmlTestListener.AddFailure"
		size = 84
		refs = "000f TJUnitXmlTestListener.AddFailure 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 43 10 6A 00 8D 55 FC 8B C6 8B 08 FF 11 8B 55 FC 8B CE 8B C3 8B 18 FF 13 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_46785_0 {
	meta:
		name = "TJUnitXmlTestListener.TestingStarts"
		size = 46
		refs = "0020 :TJUnitXmlTestListener.:1 0025 @DynArraySetLength"
	strings:
		$1 = { 53 8B D8 C7 43 0C 01 00 00 00 33 C0 89 43 10 33 C0 89 43 14 6A 00 8D 43 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5B C3 }
	condition:
		$1
}

rule function_46786_0 {
	meta:
		name = "DirExists"
		size = 33
		refs = "0006 @UStrToPWChar 000c GetFileAttributes"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 FF 74 04 A8 10 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_46787_0 {
	meta:
		name = "TJUnitXmlTestListener.TestingEnds"
		size = 1476
		refs = "0023 string 0028 @InitializeArray 0030 TJUnitXmlTestListener.TestingEnds 003e @DynArrayLength 0054 @Str0Long 0065 @UStrFromString 00c8 @Str2Ext 00e9 @UStrLAsg 0111 ParamStr 0122 ExtractFileName 0137 TJUnitXmlTestListener.EnsureValidJavaPartName 014a TJUnitXmlTestListener.EscapeForXml 0178 TJUnitXmlTestListener.CurrentTimeStamp 0193 @UStrCatN 01ab :TJUnitXmlTestListener.:1 01b0 @DynArraySetLength 01cc @LStrAsg 01f4 ExtractFilePath 0202 @UStrCat 020d DirExists 0248 MkDir 024d @_IOTest 02da @AssignText 02ea @RewritText 0312 @Write0UString 0317 @WriteLn 0323 Output 0368 @Write0LString 03a8 @Close 03e2 @UStrArrayClr 03f8 @FinalizeArray 040e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 86 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8B D8 B9 02 00 00 00 8D 85 0C FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 18 E8 ?? ?? ?? ?? 85 C0 0F 8E 67 03 00 00 8D 95 0C FC FF FF 8B 43 14 E8 ?? ?? ?? ?? 8D 95 0C FC FF FF 8D 85 20 FD FF FF E8 ?? ?? ?? ?? 8D 95 0C FC FF FF 8B 43 10 E8 ?? ?? ?? ?? 8D 95 0C FC FF FF 8D 85 1C FD FF FF E8 ?? ?? ?? ?? 8D 95 0C FC FF FF 8B 43 0C E8 ?? ?? ?? ?? 8D 95 0C FC FF FF 8D 85 18 FD FF FF E8 ?? ?? ?? ?? DF 6E 08 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 8D 0C FC FF FF BA 03 00 00 00 B8 03 00 00 00 E8 ?? ?? ?? ?? 8D 95 0C FC FF FF 8D 85 14 FD FF FF E8 ?? ?? ?? ?? 8D 85 0C FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF B5 20 FD FF FF 68 ?? ?? ?? ?? FF B5 1C FD FF FF 68 ?? ?? ?? ?? 8D 95 FC FB FF FF 33 C0 E8 ?? ?? ?? ?? 8B 85 FC FB FF FF 8D 95 00 FC FF FF E8 ?? ?? ?? ?? 8B 95 00 FC FF FF 8D 8D 04 FC FF FF 8B 33 8B C6 E8 ?? ?? ?? ?? 8B 95 04 FC FF FF 8D 8D 08 FC FF FF 8B C6 E8 ?? ?? ?? ?? FF B5 08 FC FF FF 68 ?? ?? ?? ?? FF B5 18 FD FF FF 68 ?? ?? ?? ?? FF B5 14 FD FF FF 68 ?? ?? ?? ?? 8D 95 F8 FB FF FF 8B C3 E8 ?? ?? ?? ?? FF B5 F8 FB FF FF 68 ?? ?? ?? ?? 8D 85 10 FD FF FF BA 0D 00 00 00 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 40 50 8D 43 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 18 E8 ?? ?? ?? ?? 8B 53 18 8D 44 82 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 1C 00 0F 84 19 01 00 00 8D 95 F0 FB FF FF 33 C0 E8 ?? ?? ?? ?? 8B 85 F0 FB FF FF 8D 95 F4 FB FF FF E8 ?? ?? ?? ?? 8D 85 F4 FB FF FF 8B 53 1C E8 ?? ?? ?? ?? 8B 85 F4 FB FF FF E8 ?? ?? ?? ?? 84 C0 75 3C 8D 95 E8 FB FF FF 33 C0 E8 ?? ?? ?? ?? 8B 85 E8 FB FF FF 8D 95 EC FB FF FF E8 ?? ?? ?? ?? 8D 85 EC FB FF FF 8B 53 1C E8 ?? ?? ?? ?? 8B 85 EC FB FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 DC FB FF FF 33 C0 E8 ?? ?? ?? ?? 8B 85 DC FB FF FF 8D 95 E0 FB FF FF E8 ?? ?? ?? ?? FF B5 E0 FB FF FF FF 73 1C 68 ?? ?? ?? ?? 6A 00 8D 95 D0 FB FF FF 33 C0 E8 ?? ?? ?? ?? 8B 85 D0 FB FF FF 8D 95 D4 FB FF FF E8 ?? ?? ?? ?? 8B 95 D4 FB FF FF 8D 8D D8 FB FF FF 8B 03 E8 ?? ?? ?? ?? FF B5 D8 FB FF FF 68 ?? ?? ?? ?? 8D 85 E4 FB FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 95 E4 FB FF FF 33 C9 8D 85 24 FD FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 24 FD FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BF 02 00 00 00 8D B5 0C FD FF FF 66 81 BD 28 FD FF FF B2 D7 75 19 8B 16 8D 85 24 FD FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 A1 ?? ?? ?? ?? 8B 16 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C6 04 4F 75 C0 8B 43 18 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 49 46 33 FF 66 81 BD 28 FD FF FF B2 D7 75 1D 8B 43 18 8B 14 B8 8D 85 24 FD FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8B 43 18 8B 14 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 BA 66 81 BD 28 FD FF FF B2 D7 75 10 8D 85 24 FD FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 43 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D0 FB FF FF BA 0F 00 00 00 E8 ?? ?? ?? ?? 8D 85 0C FD FF FF B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 14 FD FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 5F 5E 5B 8B E5 5D C3 00 00 00 7A 44 B0 04 02 00 FF FF FF FF 26 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 55 00 54 00 46 00 2D 00 38 00 22 00 3F 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 3C 00 74 00 65 00 73 00 74 00 73 00 75 00 69 00 74 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 73 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 22 00 20 00 66 00 61 00 69 00 6C 00 75 00 72 00 65 00 73 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 22 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 22 00 20 00 74 00 65 00 73 00 74 00 73 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 22 00 20 00 74 00 69 00 6D 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 22 00 20 00 74 00 69 00 6D 00 65 00 73 00 74 00 61 00 6D 00 70 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3E 00 00 00 00 00 E9 FD 01 00 FF FF FF FF 0C 00 00 00 3C 2F 74 65 73 74 73 75 69 74 65 3E 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 2E 00 6A 00 75 00 6E 00 69 00 74 00 2E 00 78 00 6D 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_46788_0 {
	meta:
		name = "TJUnitXmlTestListener.RunTest"
		size = 127
		refs = "0011 @IntfAddRef 0019 @UStrAddRef 0021 TJUnitXmlTestListener.RunTest 0031 _DV_TJUnitXmlTestListener 0036 TJUnitXmlTestListener.Create 004d RunTest 0064 @UStrClr 006c @IntfClear 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 E0 89 45 F4 8D 55 F4 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46789_0 {
	meta:
		name = "TJUnitXmlTestListener.RunRegisteredTests"
		size = 106
		refs = "0015 @UStrAddRef 001d TJUnitXmlTestListener.RunRegisteredTests 002b RegisteredTests 0038 TJUnitXmlTestListener.RunTest 004f @IntfClear 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_115355_0 {
	meta:
		name = "TXMLTestListener.RunRegisteredTests"
		size = 106
		refs = "0015 @UStrAddRef 001d TXMLTestListener.RunRegisteredTests 002b RegisteredTests 0038 TXMLTestListener.RunTest 004f @IntfClear 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46790_0 {
	meta:
		name = "RunTest"
		size = 127
		refs = "0011 @IntfAddRef 0019 @UStrAddRef 0021 RunTest 0031 _DV_TJUnitXmlTestListener 0036 TJUnitXmlTestListener.Create 0064 @UStrClr 006c @IntfClear 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 E0 89 45 F4 8D 55 F4 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46791_0 {
	meta:
		name = "RunRegisteredTests"
		size = 102
		refs = "0013 @UStrAddRef 001b RunRegisteredTests 0029 RegisteredTests 0034 RunTest 004b @IntfClear 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_46792_0 {
	meta:
		name = "TJUnitXmlTestListener.Status"
		size = 248
		refs = "001a @IntfAddRef 0022 TJUnitXmlTestListener.Status 0045 TJUnitXmlTestListener.EscapeForXml 006e @UStrCatN 0078 TJUnitXmlTestListener.WriteReport 0092 @UStrArrayClr 009a @IntfClear 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 F0 8B 45 FC 8B 08 FF 51 0C 8B 55 F0 8D 4D F4 8B 03 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 4D EC 8B D6 8B 03 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 3C 00 21 00 2D 00 2D 00 20 00 49 00 4E 00 46 00 4F 00 3A 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2D 00 2D 00 3E 00 00 00 }
	condition:
		$1
}

rule function_46793_0 {
	meta:
		name = "TJUnitXmlTestListener.StringReplaceAll"
		size = 180
		refs = "0012 @UStrAddRef 002a TJUnitXmlTestListener.StringReplaceAll 003d Pos 0057 @UStrDelete 0064 @UStrInsert 007e @UStrAsg 0098 @UStrArrayClr 00a0 @UStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 32 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC 8B CB 8B D6 E8 ?? ?? ?? ?? 8D 55 FC 8B CE 8B 45 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7F BF 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_115363_0 {
	meta:
		name = "TXMLTestListener.StringReplaceAll"
		size = 180
		refs = "0012 @UStrAddRef 002a TXMLTestListener.StringReplaceAll 003d Pos 0057 @UStrDelete 0064 @UStrInsert 007e @UStrAsg 0098 @UStrArrayClr 00a0 @UStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 32 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC 8B CB 8B D6 E8 ?? ?? ?? ?? 8D 55 FC 8B CE 8B 45 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7F BF 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_46794_0 {
	meta:
		name = "TJUnitXmlTestListener.EscapeInvalidXML"
		size = 240
		refs = "0014 TJUnitXmlTestListener.EscapeInvalidXML 0023 @UStrAsg 0066 @UStrDelete 0076 IntToStr 008b @UStrCatN 0097 @UStrInsert 00b6 @UStrArrayClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B D3 E8 ?? ?? ?? ?? 8B 06 89 45 FC 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 7C 61 8B 06 0F B6 44 58 FE 2C 09 72 0B 04 FE 2C 02 72 05 48 2C 12 73 46 8B 06 0F B7 7C 58 FE 8B C6 B9 01 00 00 00 8B D3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F4 0F B7 C7 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B CB E8 ?? ?? ?? ?? 4B 85 DB 75 9F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 7E 00 23 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7E 00 00 00 }
	condition:
		$1
}

rule function_46795_0 {
	meta:
		name = "TJUnitXmlTestListener.EscapeForXml"
		size = 484
		refs = "001c TJUnitXmlTestListener.EscapeForXml 002b @UStrAsg 0037 TJUnitXmlTestListener.EscapeInvalidXML 0058 TJUnitXmlTestListener.StringReplaceAll 0100 @UStrArrayClr 0106 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B D7 E8 ?? ?? ?? ?? 8D 4D FC 8B 13 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F0 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 EC 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E8 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 26 00 61 00 6D 00 70 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 6C 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 67 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 61 00 70 00 6F 00 73 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 }
	condition:
		$1
}

rule function_46796_0 {
	meta:
		name = "TJUnitXmlTestListener.EnsureValidJavaFullName"
		size = 1628
		refs = "0020 TJUnitXmlTestListener.EnsureValidJavaFullName 002f @UStrAsg 0046 TJUnitXmlTestListener.StringReplaceAll 0448 @UStrArrayClr 044e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0F 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B D7 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F0 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 EC 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E8 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E4 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E0 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 DC 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 D8 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 D8 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 D4 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 D0 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 D0 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 CC 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 CC 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 C8 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 C8 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 C4 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 C4 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 C0 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 C0 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 BC 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 BC 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 B8 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 B8 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 B4 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 B4 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 B0 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 B0 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 AC 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 AC 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 A8 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 A8 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 A4 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 A4 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 A0 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 A0 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 9C 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 9C 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 98 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 98 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 94 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 94 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 90 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 90 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 8C 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 8C 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 88 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 88 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 84 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 84 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 84 BA 1F 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 60 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 21 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_46797_0 {
	meta:
		name = "TJUnitXmlTestListener.EnsureValidJavaPartName"
		size = 168
		refs = "0014 TJUnitXmlTestListener.EnsureValidJavaPartName 0023 @UStrAsg 002f TJUnitXmlTestListener.EnsureValidJavaFullName 0050 TJUnitXmlTestListener.StringReplaceAll 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B D7 E8 ?? ?? ?? ?? 8D 4D FC 8B 13 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 50 8B 13 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_46798_0 {
	meta:
		name = "TJUnitXmlTestListener.Warning"
		size = 256
		refs = "001a @IntfAddRef 0022 TJUnitXmlTestListener.Warning 0045 TJUnitXmlTestListener.EscapeForXml 006e @UStrCatN 0078 TJUnitXmlTestListener.WriteReport 0092 @UStrArrayClr 009a @IntfClear 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 F0 8B 45 FC 8B 08 FF 51 0C 8B 55 F0 8D 4D F4 8B 03 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 4D EC 8B D6 8B 03 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 3C 00 21 00 2D 00 2D 00 20 00 57 00 41 00 52 00 4E 00 49 00 4E 00 47 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2D 00 2D 00 3E 00 00 00 }
	condition:
		$1
}

rule function_46799_0 {
	meta:
		name = "TJUnitXmlTestListener.ShouldRunTest"
		size = 75
		refs = "000c @IntfAddRef 0014 TJUnitXmlTestListener.ShouldRunTest 0039 @IntfClear 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 3C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_72275_0 {
	meta:
		name = "TTextTestListener.ShouldRunTest"
		size = 75
		refs = "000c @IntfAddRef 0014 TTextTestListener.ShouldRunTest 0039 @IntfClear 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 3C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_115360_0 {
	meta:
		name = "TXMLTestListener.ShouldRunTest"
		size = 75
		refs = "000c @IntfAddRef 0014 TXMLTestListener.ShouldRunTest 0039 @IntfClear 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 3C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_46804_0 {
	meta:
		name = "TformMain.IWFormModuleBaseCreate"
		size = 45
		refs = "0009 Random 001d TControl.SetText"
	strings:
		$1 = { 53 8B D8 B8 64 00 00 00 E8 ?? ?? ?? ?? 40 89 83 A4 03 00 00 33 D2 8B 83 94 03 00 00 E8 ?? ?? ?? ?? C7 83 A0 03 00 00 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_46805_0 {
	meta:
		name = "TformMain.linkQuitAsyncClick"
		size = 128
		refs = "0002 TformMain.linkQuitAsyncClick 0009 _Dn_Exception 000e Exception.Create 0013 @RaiseExcept 001a TIWBaseForm.GetWebApplication 0024 TIWApplication.Terminate"
	strings:
		$1 = { 53 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 6F 00 6F 00 21 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 54 00 68 00 61 00 6E 00 6B 00 20 00 79 00 6F 00 75 00 20 00 66 00 6F 00 72 00 20 00 70 00 6C 00 61 00 79 00 69 00 6E 00 67 00 21 00 00 00 00 00 }
	condition:
		$1
}

rule function_46806_0 {
	meta:
		name = "TformMain.butnGuessAsyncClick"
		size = 904
		refs = "001b TformMain.butnGuessAsyncClick 002e TControl.SetText 003c TControl.GetText 0047 Trim 0054 StrToIntDef 0079 @UStrCat 0084 TIWBaseForm.GetWebApplication 008a TIWApplication.ShowMessage 00c3 IntToStr 0143 @UStrCatN 0154 TIWApplication.Terminate 01a5 @UStrCat3 01da @UStrArrayClr 01e2 @UStrClr 020a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC BA FF FF FF 7F E8 ?? ?? ?? ?? 8B F0 81 FE FF FF FF 7F 75 31 8D 55 F4 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? E9 C5 00 00 00 83 FE 01 7C 05 83 FE 64 7E 16 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A5 00 00 00 8B 83 A4 03 00 00 3B F0 7D 2D 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 83 94 03 00 00 E8 ?? ?? ?? ?? FF 83 A0 03 00 00 EB 6E 3B C6 7D 2D 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 83 94 03 00 00 E8 ?? ?? ?? ?? FF 83 A0 03 00 00 EB 3D 3B C6 75 39 68 ?? ?? ?? ?? 8D 55 E4 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 55 E0 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 DC 8B 75 DC 85 F6 74 05 83 EE 04 8B 36 85 F6 0F 9F C2 8B 83 94 03 00 00 8B 08 FF 91 E8 00 00 00 8D 55 D4 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B 4D D4 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C1 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 20 00 69 00 73 00 20 00 6E 00 6F 00 74 00 20 00 61 00 20 00 76 00 61 00 6C 00 69 00 64 00 20 00 6E 00 75 00 6D 00 62 00 65 00 72 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 4F 00 6E 00 6C 00 79 00 20 00 6E 00 75 00 6D 00 62 00 65 00 72 00 73 00 20 00 62 00 65 00 74 00 77 00 65 00 65 00 6E 00 20 00 31 00 20 00 61 00 6E 00 64 00 20 00 31 00 30 00 30 00 20 00 61 00 72 00 65 00 20 00 76 00 61 00 6C 00 69 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 69 00 73 00 20 00 74 00 6F 00 6F 00 20 00 6C 00 6F 00 77 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 69 00 73 00 20 00 74 00 6F 00 6F 00 20 00 68 00 69 00 67 00 68 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 46 00 61 00 6E 00 74 00 61 00 73 00 74 00 69 00 63 00 21 00 20 00 59 00 6F 00 75 00 20 00 67 00 75 00 65 00 73 00 73 00 65 00 64 00 20 00 69 00 74 00 20 00 69 00 6E 00 20 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 20 00 67 00 75 00 65 00 73 00 73 00 65 00 73 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 47 00 75 00 65 00 73 00 73 00 20 00 23 00 00 00 }
	condition:
		$1
}

rule function_46808_0 {
	meta:
		name = "Main"
		size = 25
		refs = "0002 _DV_2 000a _DV_TformMain 000f TIWAppForm.SetAsMainForm 0014 Randomize"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0F A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46809_0 {
	meta:
		name = "GetMem2"
		size = 11
		refs = "0006 @GetMem"
	strings:
		$1 = { 85 C0 75 01 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46810_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 18 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 43 56 61 72 31 36 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46811_0 {
	meta:
		name = "_DF_."
		size = 68
		refs = "0028 _DF_."
	strings:
		$1 = { 10 00 00 00 03 00 30 00 00 00 00 00 53 00 00 00 38 00 3C 00 00 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 01 00 00 00 ?? ?? ?? ?? 03 00 40 00 46 4C 44 4F 62 6A 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46812_0 {
	meta:
		name = "_DF_."
		size = 305
		refs = "001a _DV_. 0020 _DF_. 002e @$bnew$qui"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 10 8B 5D 08 85 F6 75 0A B8 57 00 07 80 E9 12 01 00 00 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 29 6A 08 E8 ?? ?? ?? ?? 59 8B D8 85 C0 74 12 8B C3 E8 AE 03 00 00 BA ?? ?? ?? ?? 89 13 8B CB EB 02 8B CB 8B D9 E9 AF 00 00 00 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 26 6A 08 E8 ?? ?? ?? ?? 59 8B D8 85 C0 74 12 8B C3 E8 73 03 00 00 BA ?? ?? ?? ?? 89 13 8B CB EB 02 8B CB 8B D9 EB 77 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 26 6A 08 E8 ?? ?? ?? ?? 59 8B D8 85 C0 74 12 8B C3 E8 3B 03 00 00 BA ?? ?? ?? ?? 89 13 8B CB EB 02 8B CB 8B D9 EB 3F 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 26 6A 08 E8 ?? ?? ?? ?? 59 8B D8 85 C0 74 12 8B C3 E8 03 03 00 00 BA ?? ?? ?? ?? 89 13 8B CB EB 02 8B CB 8B D9 EB 07 BE 11 01 04 80 EB 26 85 DB 75 07 BE 0E 00 07 80 EB 1B 56 FF 75 0C 53 8B 03 FF 10 8B F0 85 F6 74 0C BA 03 00 00 00 8B C3 E8 E0 02 00 00 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_46813_0 {
	meta:
		name = "DllGetDataSnapClassObject"
		size = 194406
		refs = "0017 _DV_. 005c _DF_. 00d5 @$bnew$qui 0236 @$bdele$qpv 039a GetModuleHandleA 03b9 GetModuleFileNameA 03e6 MultiByteToWideChar 03f6 LoadTypeLib 040d RegisterTypeLib 060c UnRegisterTypeLib 073b StringFromGUID2 075f WideCharToMultiByte 0777 lstrcpyA 0789 lstrlenA 0798 lstrcatA 0840 RegOpenKeyExA 085e RegSetValueExA 0866 RegCloseKey 097f RegCreateKeyExA 098b _strlen 09ba RegDeleteKeyA 0c1f lstrcpynA 1008 __ftol 17b5 bcdFromLongDouble 17db _memset 1b5d bcdToLongDouble 2181 CompareStringA 224b CompareStringW 36f3 _memcmp 48e3 CharLowerA 4934 CharUpperA 4aff GetLocalTime 6698 lstrcmpiA 7469 __ftoul 77b2 _memmove 844f GetThreadLocale 8455 LCMapStringW 9845 @$bnwa$qui b259 _free b37b @$bdla$qpv bfb3 EnterCriticalSection bfd2 LeaveCriticalSection fc4a InitializeCriticalSection fff8 DeleteCriticalSection 10491 LoadStringA 1155c _itoa 1156d _strcat 14dec _stricmp 1675c _strcmp 1b4c8 _malloc 1ba5e _strcpy 1bde9 IsValidLocale 21046 _strncpy 22fab _strcspn 22fbd __mbscspn 23fc3 __i64toa 24295 _sprintf 24408 _gcvt 24ade _atof 24b64 __atold 2534a __atoi64 258a3 _memcpy 266e5 lstrcmpA 28428 IsDBCSLeadByte 28a79 OutputDebugStringA 28bd4 _wcslen 28ea4 __ltowupper 29151 _realloc 29190 SafeArrayAllocDescriptor 291b3 SafeArrayAllocData 291be SafeArrayDestroyDescriptor 291cb SafeArrayAccessData 291e4 SafeArrayDestroy 2921a SafeArrayUnaccessData 2924c SafeArrayRedim 29280 __ltowlower 2a6e0 CharNextA 2a716 GetProcAddress 2a803 FindFirstFileA 2a813 FindClose 2a985 RegQueryValueExA 2aab2 LoadLibraryExA 2ab4c _wcstombs 2aba3 GetLocaleInfoA 2ad44 LoadStringW 2b53d __mbctype"
	strings:
		$1 = { 55 8B EC FF 75 10 FF 75 0C FF 75 08 E8 BE FE FF FF 5D C2 0C 00 83 3D ?? ?? ?? ?? 00 75 0D 83 3D ?? ?? ?? ?? 00 75 04 33 C0 EB 05 B8 01 00 00 00 C3 55 8B EC 51 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 33 C0 89 45 FC 85 FF 75 07 B8 57 00 07 80 EB 3C 33 D2 89 17 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 1B 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 09 C7 45 FC 11 01 04 80 EB 08 89 1F 53 8B 0B FF 51 04 8B 45 FC 5F 5E 5B 59 5D C2 0C 00 55 8B EC 53 56 57 8B 5D 14 8B 7D 10 85 DB 75 07 BB 57 00 07 80 EB 65 33 C0 89 03 83 7D 0C 00 74 19 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 07 BB 10 01 04 80 EB 42 68 4C 01 00 00 E8 ?? ?? ?? ?? 59 8B F0 85 C0 74 09 8B C6 E8 32 FB 00 00 EB 02 8B C6 8B F0 85 F6 75 07 BB 0E 00 07 80 EB 19 53 57 56 8B 06 FF 10 8B D8 85 DB 74 0C BA 03 00 00 00 8B C6 E8 B0 FE 00 00 8B C3 5F 5E 5B 5D C2 10 00 55 8B EC 53 56 57 8B 75 10 8B 5D 08 33 FF 85 F6 75 07 B8 57 00 07 80 EB 3D 33 D2 89 16 68 ?? ?? ?? ?? FF 75 0C E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 1B 68 ?? ?? ?? ?? FF 75 0C E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 07 BF 11 01 04 80 EB 08 89 1E 53 8B 03 FF 50 04 8B C7 5F 5E 5B 5D C2 0C 00 55 8B EC 53 56 57 8B 5D 14 8B 7D 10 85 DB 75 07 BB 57 00 07 80 EB 65 33 C0 89 03 83 7D 0C 00 74 19 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 07 BB 10 01 04 80 EB 42 68 98 00 00 00 E8 ?? ?? ?? ?? 59 8B F0 85 C0 74 09 8B C6 E8 77 C3 00 00 EB 02 8B C6 8B F0 85 F6 75 07 BB 0E 00 07 80 EB 19 53 57 56 8B 06 FF 10 8B D8 85 DB 74 0C BA 03 00 00 00 8B C6 E8 08 C5 00 00 8B C3 5F 5E 5B 5D C2 10 00 55 8B EC 53 6A 04 E8 ?? ?? ?? ?? 59 8B D8 85 C0 74 0B BA ?? ?? ?? ?? 89 13 8B CB EB 02 8B CB 8B 45 08 89 08 33 C0 5B 5D C2 04 00 55 8B EC 53 8B 5D 08 8B 03 85 C0 74 07 50 E8 ?? ?? ?? ?? 59 33 D2 89 13 33 C0 5B 5D C2 04 00 55 8B EC 53 56 33 F6 68 4C 01 00 00 E8 ?? ?? ?? ?? 59 8B D8 85 C0 74 09 8B C3 E8 B4 F9 00 00 EB 02 8B C3 85 C0 75 04 66 BE 01 25 8B 55 0C 89 02 8B C6 5E 5B 5D C2 08 00 55 8B EC 53 68 98 00 00 00 E8 ?? ?? ?? ?? 59 8B D8 85 C0 74 09 8B C3 E8 A6 C2 00 00 EB 02 8B C3 8B D8 85 DB 75 06 66 B8 01 25 EB 09 FF 75 0C 53 8B 13 FF 52 0C 8B 4D 10 89 19 5B 5D C2 0C 00 BA ?? ?? ?? ?? 89 10 B9 ?? ?? ?? ?? 89 08 BA ?? ?? ?? ?? 89 10 33 C9 89 48 04 C3 85 C0 74 13 B9 ?? ?? ?? ?? 89 08 F6 C2 01 74 07 50 E8 ?? ?? ?? ?? 59 C3 55 8B EC 8B 45 08 FF 40 04 8B 40 04 5D C2 04 00 55 8B EC 53 8B 45 08 83 78 04 00 76 08 FF 48 04 8B 58 04 EB 02 33 DB 83 78 04 00 75 0A BA 03 00 00 00 E8 B1 FF FF FF 8B C3 5B 5D C2 04 00 55 8B EC 83 7D 0C 00 74 06 FF 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 7E 06 FF 0D ?? ?? ?? ?? 33 C0 5D C2 08 00 55 8B EC 5D C3 55 8B EC 81 C4 E8 FC FF FF 53 56 57 BE ?? ?? ?? ?? 56 BE ?? ?? ?? ?? 8D BD F4 FE FF FF B9 41 00 00 00 F3 A5 A4 5E 56 BE ?? ?? ?? ?? 8D BD E8 FC FF FF B9 82 00 00 00 F3 A5 66 A5 5E BB 01 02 04 80 56 E8 ?? ?? ?? ?? 85 C0 0F 84 96 01 00 00 33 D2 89 55 FC 68 05 01 00 00 8D 8D F4 FE FF FF 51 50 E8 ?? ?? ?? ?? 83 F8 01 73 0A 8D 46 0A 50 E8 87 FF FF FF 59 68 05 01 00 00 8D BD E8 FC FF FF 57 6A FF 8D 85 F4 FE FF FF 50 6A 00 6A 00 E8 ?? ?? ?? ?? 8D 55 FC 52 8D 8D E8 FC FF FF 51 E8 ?? ?? ?? ?? 8B D8 85 DB 75 32 6A 00 8D 85 E8 FC FF FF 50 FF 75 FC E8 ?? ?? ?? ?? 85 C0 74 0D 50 8D 56 35 52 E8 33 FF FF FF 83 C4 08 8B 4D FC 51 8B 39 FF 57 08 33 C0 89 45 FC EB 0D 53 8D 56 59 52 E8 16 FF FF FF 83 C4 08 8D 8E AB 00 00 00 51 6A 00 68 ?? ?? ?? ?? 6A 01 8D 8E 8E 00 00 00 8D 56 79 8D 85 F4 FE FF FF E8 AE 02 00 00 8B D8 85 DB 75 29 6A 00 8D 86 F0 00 00 00 50 68 ?? ?? ?? ?? 6A 01 8D 8E D9 00 00 00 8D 96 C2 00 00 00 8D 85 F4 FE FF FF E8 81 02 00 00 8B D8 85 DB 75 29 8D 86 3B 01 00 00 50 6A 00 68 ?? ?? ?? ?? 6A 01 8D 8E 1C 01 00 00 8D 96 05 01 00 00 8D 85 F4 FE FF FF E8 54 02 00 00 8B D8 85 DB 75 29 6A 00 8D 86 86 01 00 00 50 68 ?? ?? ?? ?? 6A 01 8D 8E 6D 01 00 00 8D 96 54 01 00 00 8D 85 F4 FE FF FF E8 27 02 00 00 8B D8 85 DB 75 24 6A 00 6A 00 68 ?? ?? ?? ?? 6A 01 8D 8E BC 01 00 00 8D 96 9D 01 00 00 8D 85 F4 FE FF FF E8 FF 01 00 00 8B D8 85 DB 75 24 6A 00 6A 00 68 ?? ?? ?? ?? 6A 01 8D 8E F9 01 00 00 8D 96 D9 01 00 00 8D 85 F4 FE FF FF E8 D7 01 00 00 8B D8 8B C3 5F 5E 5B 8B E5 5D C3 55 8B EC 81 C4 E4 FC FF FF 53 56 57 BB ?? ?? ?? ?? 8D 83 17 02 00 00 50 E8 ?? ?? ?? ?? 85 C0 0F 84 E6 00 00 00 BE ?? ?? ?? ?? 8D BD F0 FE FF FF B9 41 00 00 00 F3 A5 A4 BE ?? ?? ?? ?? 8D BD E4 FC FF FF B9 82 00 00 00 F3 A5 66 A5 68 05 01 00 00 8D 95 F0 FE FF FF 52 50 E8 ?? ?? ?? ?? 68 05 01 00 00 8D 85 E4 FC FF FF 50 6A FF 8D 8D F0 FE FF FF 51 6A 00 6A 00 E8 ?? ?? ?? ?? 33 C9 89 4D FC 8D 45 FC 50 8D 95 E4 FC FF FF 52 E8 ?? ?? ?? ?? 85 C0 75 66 33 C9 89 4D F8 8D 45 F8 50 8B 55 FC 52 8B 0A FF 51 1C 8B 45 F8 FF 70 14 8B 55 F8 FF 72 10 8B 4D F8 66 8B 41 1A 50 8B 55 F8 66 8B 4A 18 51 FF 75 F8 E8 ?? ?? ?? ?? 85 C0 74 10 50 8D 83 21 02 00 00 50 E8 31 FD FF FF 83 C4 08 FF 75 F8 8B 55 FC 52 8B 0A FF 51 30 8B 45 FC 50 8B 10 FF 52 08 33 C9 89 4D FC EB 10 50 8D 83 47 02 00 00 50 E8 05 FD FF FF 83 C4 08 8D 93 7C 02 00 00 52 6A 00 68 ?? ?? ?? ?? 6A 00 8D 93 67 02 00 00 33 C9 33 C0 E8 A2 00 00 00 85 C0 75 1A 6A 00 6A 00 68 ?? ?? ?? ?? 6A 00 8D 93 93 02 00 00 33 C9 33 C0 E8 84 00 00 00 85 C0 75 1F 8D 8B C1 02 00 00 51 6A 00 68 ?? ?? ?? ?? 6A 00 8D 93 AA 02 00 00 33 C9 33 C0 E8 61 00 00 00 85 C0 75 1A 6A 00 6A 00 68 ?? ?? ?? ?? 6A 00 8D 93 DA 02 00 00 33 C9 33 C0 E8 43 00 00 00 85 C0 75 1A 6A 00 6A 00 68 ?? ?? ?? ?? 6A 00 8D 93 F3 02 00 00 33 C9 33 C0 E8 25 00 00 00 85 C0 75 1A 6A 00 6A 00 68 ?? ?? ?? ?? 6A 00 8D 93 12 03 00 00 33 C9 33 C0 E8 07 00 00 00 5F 5E 5B 8B E5 5D C3 55 8B EC 81 C4 C4 FE FF FF 53 56 57 89 4D F4 89 55 F8 89 45 FC 8D BD C4 FE FF FF BE 01 02 04 80 6A 64 8D 45 8C 50 FF 75 0C E8 ?? ?? ?? ?? 85 C0 0F 84 04 02 00 00 6A 00 6A 00 6A 64 8D 95 28 FF FF FF 52 6A FF 8D 4D 8C 51 6A 00 6A 00 E8 ?? ?? ?? ?? 83 7D 08 00 0F 84 27 01 00 00 33 F6 89 75 F0 FF 75 F8 57 E8 ?? ?? ?? ?? 8B C7 8B 4D F4 33 D2 E8 CF 01 00 00 57 E8 ?? ?? ?? ?? 8B D8 03 DF 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8D 8D 28 FF FF FF 8B C7 33 D2 E8 AB 01 00 00 83 7D 14 00 74 21 C6 03 00 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B C7 8B 4D 14 33 D2 E8 8B 01 00 00 33 F6 E9 79 01 00 00 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8D 85 28 FF FF FF 50 57 E8 ?? ?? ?? ?? 8B C7 8B 4D F4 33 D2 E8 60 01 00 00 57 E8 ?? ?? ?? ?? 8B D8 03 DF 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B C7 8B 4D F8 33 D2 E8 3F 01 00 00 C6 03 00 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B C7 8B 4D FC 33 D2 E8 25 01 00 00 8D 4D F0 51 6A 02 6A 00 57 68 00 00 00 80 E8 ?? ?? ?? ?? 8B F0 85 F6 75 20 6A 0A 68 ?? ?? ?? ?? 6A 01 6A 00 68 ?? ?? ?? ?? FF 75 F0 E8 ?? ?? ?? ?? FF 75 F0 E8 ?? ?? ?? ?? 33 F6 83 7D 10 00 74 1A C6 03 00 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B C7 8B 4D 10 33 D2 E8 CA 00 00 00 C6 03 00 E9 B7 00 00 00 83 7D 14 00 75 6B 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8D B5 28 FF FF FF 56 57 E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B D8 03 DF C6 03 00 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B C7 E8 E2 00 00 00 C6 03 00 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B C7 E8 CD 00 00 00 C6 03 00 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B C7 E8 B8 00 00 00 C6 03 00 8B C7 E8 AE 00 00 00 FF 75 F8 57 E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B D8 03 DF 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B C7 E8 89 00 00 00 C6 03 00 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B C7 E8 74 00 00 00 C6 03 00 8B C7 E8 6A 00 00 00 33 F6 8B C6 5F 5E 5B 8B E5 5D C2 10 00 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8D 55 F8 52 8D 4D FC 51 6A 00 68 1F 00 04 00 6A 00 6A 00 6A 00 50 68 00 00 00 80 E8 ?? ?? ?? ?? 8B D8 85 DB 75 21 56 E8 ?? ?? ?? ?? 59 40 50 56 6A 01 6A 00 57 FF 75 FC E8 ?? ?? ?? ?? 8B D8 FF 75 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C3 50 68 00 00 00 80 E8 ?? ?? ?? ?? C3 55 8B EC 51 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 33 C0 89 45 FC 85 FF 75 07 B8 57 00 07 80 EB 3C 33 D2 89 17 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 1B 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 09 C7 45 FC 11 01 04 80 EB 08 89 1F 53 8B 0B FF 51 04 8B 45 FC 5F 5E 5B 59 5D C2 0C 00 55 8B EC 53 56 57 8B 5D 14 8B 7D 10 85 DB 75 07 BB 57 00 07 80 EB 65 33 C0 89 03 83 7D 0C 00 74 19 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 07 BB 10 01 04 80 EB 42 68 84 01 00 00 E8 ?? ?? ?? ?? 59 8B F0 85 C0 74 09 8B C6 E8 7A C3 02 00 EB 02 8B C6 8B F0 85 F6 75 07 BB 0E 00 07 80 EB 19 53 57 56 8B 06 FF 10 8B D8 85 DB 74 0C BA 03 00 00 00 8B C6 E8 77 C3 02 00 8B C3 5F 5E 5B 5D C2 10 00 55 8B EC 51 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 33 C0 89 45 FC 85 FF 75 07 B8 57 00 07 80 EB 3C 33 D2 89 17 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 1B 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 09 C7 45 FC 11 01 04 80 EB 08 89 1F 53 8B 0B FF 51 04 8B 45 FC 5F 5E 5B 59 5D C2 0C 00 55 8B EC 53 56 57 8B 5D 14 8B 7D 10 85 DB 75 07 BB 57 00 07 80 EB 65 33 C0 89 03 83 7D 0C 00 74 19 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 07 BB 10 01 04 80 EB 42 68 68 01 00 00 E8 ?? ?? ?? ?? 59 8B F0 85 C0 74 09 8B C6 E8 E9 95 02 00 EB 02 8B C6 8B F0 85 F6 75 07 BB 0E 00 07 80 EB 19 53 57 56 8B 06 FF 10 8B D8 85 DB 74 0C BA 03 00 00 00 8B C6 E8 EE 95 02 00 8B C3 5F 5E 5B 5D C2 10 00 55 8B EC 5D C2 04 00 55 8B EC B8 01 00 00 00 5D C2 0C 00 55 8B EC 51 53 56 57 8B 7D 18 8B 75 08 33 C0 89 45 FC 68 E0 00 00 00 E8 ?? ?? ?? ?? 59 8B D8 85 C0 74 09 8B C3 E8 0B AF 00 00 EB 02 8B C3 8B D8 85 DB 75 09 66 BE 01 25 E9 90 00 00 00 8B 45 14 89 18 8B 55 1C 89 53 18 8B 4B 18 8B 89 84 00 00 00 89 0B 85 FF 74 04 33 C0 89 07 83 FE 01 74 05 83 FE 02 75 40 8B 75 0C 83 3E 00 74 14 6A 7F 8B 45 0C 83 C0 09 50 8D 53 60 52 E8 ?? ?? ?? ?? EB 04 C6 43 60 00 8B 0E 83 C1 09 89 4D FC 8B 4E 04 89 4B 04 80 7E 08 00 74 15 85 FF 74 11 C7 07 01 00 00 00 EB 09 C6 43 60 00 33 C0 89 43 04 8B 55 0C 03 55 FC 8B C3 E8 55 AE 00 00 8B F0 83 7D 10 00 74 0A 8B 45 10 66 8B 53 04 66 89 10 66 85 F6 74 17 85 DB 74 0C BA 03 00 00 00 8B C3 E8 61 AE 00 00 8B 4D 14 33 DB 89 19 8B C6 5F 5E 5B 59 5D C2 18 00 55 8B EC 8B 45 08 83 C0 60 50 FF 75 0C E8 ?? ?? ?? ?? 5D C2 08 00 55 8B EC 8B 45 08 8B 55 10 89 50 18 85 C0 74 0A 8B 55 0C E8 47 AE 00 00 EB 02 33 C0 5D C2 0C 00 55 8B EC 8B 45 08 BA 03 00 00 00 E8 28 AD 00 00 33 C0 5D C2 04 00 55 8B EC 51 53 56 57 33 C0 89 45 FC 8B 5D 08 85 DB 74 3D 8B 43 08 8B 40 08 E8 50 B2 00 00 EB 02 8B F7 8B 43 08 8B 40 08 E8 ?? ?? ?? ?? 8B F8 85 C0 75 ED 85 F6 74 19 8B 56 58 8B 0A 8B 5E 54 80 3C 19 00 75 0B 8B 46 58 8B 10 03 56 50 89 55 FC 8B 45 FC 5F 5E 5B 59 5D C2 04 00 55 8B EC 51 53 56 57 83 7D 08 00 75 19 8B 45 14 33 D2 66 89 10 8B 45 10 66 89 10 8B 45 0C 66 89 10 E9 C0 00 00 00 8B 45 08 B9 B1 3A 02 00 99 F7 F9 8B CA 8B C1 BB AC 8E 00 00 99 F7 FB 8B DA 8B C3 BE B5 05 00 00 99 F7 FE 8B F2 0F B7 C6 BF 6D 01 00 00 99 F7 FF 8B FA 8B 45 08 51 B9 B1 3A 02 00 99 F7 F9 59 69 C0 90 01 00 00 50 8B C1 51 B9 AC 8E 00 00 99 F7 F9 59 6B C0 64 5A 66 03 D0 52 8B C3 51 B9 B5 05 00 00 99 F7 F9 59 C1 E0 02 5A 66 03 D0 52 0F B7 C6 51 B9 6D 01 00 00 99 F7 F9 59 5A 66 03 D0 42 66 89 55 FE 66 85 FF 75 1B 66 FF 4D FE 66 85 F6 75 0E 85 DB 75 04 85 C9 75 06 66 BF 6E 01 EB 04 66 BF 6D 01 66 8B 45 FE 50 8B 4D 10 8B 55 0C 8B C7 E8 EC 02 00 00 8B 55 14 66 8B 4D FE 66 89 0A 5F 5E 5B 59 5D C2 10 00 53 56 33 DB 33 C9 EB 0D 0F B7 1C 08 0F B7 34 0A 2B DE 83 C1 02 83 F9 0C 7D 04 85 DB 74 EA 85 DB 75 06 8B 58 0C 2B 5A 0C 8B C3 5E 5B C3 55 8B EC 51 53 89 55 FC 33 C9 33 DB EB 10 0F B7 0C 18 8B 55 FC 0F B7 14 1A 2B CA 83 C3 02 83 FB 0C 7D 04 85 C9 74 E7 85 C9 75 09 8B 48 0C 8B 55 FC 2B 4A 0C 85 C9 75 20 BA 10 00 00 00 EB 10 0F B7 0C 10 8B 5D FC 0F B7 1C 13 2B CB 83 C2 02 83 FA 14 7D 04 85 C9 74 E7 8B C1 5B 59 5D C3 55 8B EC 8B 45 08 66 8B 10 8B 4D 0C 66 89 11 8B 55 10 66 8B 48 02 66 89 0A 8B 55 14 66 8B 48 04 66 89 0A 8B 55 18 66 8B 48 06 66 89 0A 8B 55 1C 66 8B 48 08 66 89 0A 8B 55 20 66 8B 48 0A 66 89 0A 8B 55 24 8B 40 0C 89 02 5D C2 20 00 55 8B EC 8B 45 08 66 8B 10 8B 4D 0C 66 89 11 8B 55 10 66 8B 48 02 66 89 0A 8B 55 14 66 8B 48 04 66 89 0A 8B 55 18 66 8B 48 06 66 89 0A 8B 55 1C 66 8B 48 08 66 89 0A 8B 55 20 66 8B 48 0A 66 89 0A 8B 55 24 8B 48 0C 89 0A 8B 55 28 66 8B 48 10 66 89 0A 8B 55 2C 66 8B 40 12 66 89 02 5D C2 28 00 55 8B EC 8B 45 08 66 8B 55 0C 66 89 10 66 8B 4D 10 66 89 48 02 66 8B 55 14 66 89 50 04 66 8B 4D 18 66 89 48 06 66 8B 55 1C 66 89 50 08 66 8B 4D 20 66 89 48 0A 8B 55 24 89 50 0C 5D C2 20 00 55 8B EC 8B 45 08 66 8B 55 0C 66 89 10 66 8B 4D 10 66 89 48 02 66 8B 55 14 66 89 50 04 66 8B 4D 18 66 89 48 06 66 8B 55 1C 66 89 50 08 66 8B 4D 20 66 89 48 0A 8B 55 24 89 50 0C 66 8B 4D 28 66 89 48 10 66 8B 55 2C 66 89 50 12 5D C2 28 00 55 8B EC 53 56 8B 5D 14 8B 75 10 DB 2D }
	condition:
		$1
}

rule function_46814_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 18 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 43 56 61 72 38 00 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46815_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 1C 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 69 65 6C 64 73 5F 4C 69 73 74 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46816_0 {
	meta:
		name = "_DF_."
		size = 68
		refs = "0028 _DF_."
	strings:
		$1 = { 14 00 00 00 03 00 30 00 00 00 00 00 73 00 00 00 38 00 3C 00 00 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 01 00 00 00 ?? ?? ?? ?? 03 00 40 00 46 4C 44 43 6F 6E 76 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46817_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 20 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 56 41 52 53 74 72 4C 69 73 74 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46818_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 84 01 00 00 03 00 30 00 00 00 00 00 57 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 01 00 00 00 ?? ?? ?? ?? 03 00 50 00 44 53 45 58 54 52 41 43 54 00 00 00 ?? ?? ?? ?? 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46819_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 20 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 4C 54 41 42 4C 45 4C 69 73 74 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46820_0 {
	meta:
		name = "_DF_."
		size = 60
	strings:
		$1 = { 14 00 00 00 03 00 20 00 00 00 00 00 51 00 00 00 34 00 38 00 00 00 00 00 00 00 00 00 00 00 00 00 54 44 41 54 41 50 41 43 4B 45 54 5F 52 45 41 44 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46821_0 {
	meta:
		name = "_DF_."
		size = 68
		refs = "0028 _DF_."
	strings:
		$1 = { 1C 00 00 00 03 00 30 00 00 00 00 00 73 00 00 00 38 00 3C 00 00 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 01 00 00 00 ?? ?? ?? ?? 03 00 40 00 56 41 52 4C 69 73 74 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46822_0 {
	meta:
		name = "_DF_."
		size = 88
		refs = "0028 _DF_."
	strings:
		$1 = { 68 01 00 00 03 00 30 00 00 00 00 00 57 00 00 00 40 00 50 00 00 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 01 00 00 00 ?? ?? ?? ?? 03 00 54 00 44 53 44 41 54 41 50 41 43 4B 45 54 00 00 00 00 ?? ?? ?? ?? 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46823_0 {
	meta:
		name = "_DF_."
		size = 80
		refs = "0028 _DF_."
	strings:
		$1 = { 4C 01 00 00 03 00 30 00 00 00 00 00 57 00 00 00 38 00 48 00 00 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 01 00 00 00 ?? ?? ?? ?? 03 00 4C 00 44 53 42 41 53 45 00 00 ?? ?? ?? ?? 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46824_0 {
	meta:
		name = "_DF_."
		size = 29
		refs = "000c _memcmp"
	strings:
		$1 = { 55 8B EC 6A 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 94 C0 83 E0 01 5D C3 }
	condition:
		$1
}

rule function_46825_0 {
	meta:
		name = "_DF_."
		size = 27
		refs = "000a _DF_."
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 94 C0 83 E0 01 5D C3 }
	condition:
		$1
}

rule function_46826_0 {
	meta:
		name = "_DF_."
		size = 60
	strings:
		$1 = { 04 00 00 00 03 00 20 00 00 00 00 00 51 00 00 00 34 00 38 00 00 00 00 00 00 00 00 00 00 00 00 00 54 44 41 54 41 50 41 43 4B 45 54 5F 57 52 49 54 45 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46827_0 {
	meta:
		name = "_DF_."
		size = 48
	strings:
		$1 = { 04 00 00 00 03 00 20 00 00 00 00 00 51 00 00 00 28 00 2C 00 00 00 00 00 00 00 00 00 00 00 00 00 54 44 53 42 41 53 45 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46830_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 34 01 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 44 53 49 44 58 46 49 4C 54 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46831_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 98 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 01 00 00 00 ?? ?? ?? ?? 03 00 50 00 44 53 43 75 72 73 6F 72 00 00 00 00 ?? ?? ?? ?? 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46832_0 {
	meta:
		name = "_DF_."
		size = 37
		refs = "000f _DF_. 001d @$bdele$qpv"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 DB 74 18 33 D2 8B C3 E8 ?? ?? ?? ?? F7 C6 01 00 00 00 74 07 53 E8 ?? ?? ?? ?? 59 5E 5B C3 }
	condition:
		$1
}

rule function_46834_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 30 01 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 44 53 49 44 58 43 48 47 00 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46835_0 {
	meta:
		name = "_DF_."
		size = 52
	strings:
		$1 = { 04 00 00 00 03 00 20 00 00 00 00 00 51 00 00 00 2C 00 30 00 00 00 00 00 00 00 00 00 00 00 00 00 54 44 53 43 75 72 73 6F 72 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46836_0 {
	meta:
		name = "_DF_."
		size = 23
	strings:
		$1 = { 8B CA C1 E9 0A 8B 40 04 8B 04 88 81 E2 FF 03 00 00 C1 E2 03 03 C2 C3 }
	condition:
		$1
}

rule function_46838_0 {
	meta:
		name = "_DF_."
		size = 68
		refs = "0028 _DF_."
	strings:
		$1 = { 28 01 00 00 03 00 30 00 00 00 00 00 73 00 00 00 38 00 3C 00 00 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 01 00 00 00 ?? ?? ?? ?? 03 00 40 00 44 53 49 44 58 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46839_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 08 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 01 00 00 00 ?? ?? ?? ?? 03 00 50 00 44 53 5F 46 61 63 74 6F 72 79 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46840_0 {
	meta:
		name = "_DF_."
		size = 14
		refs = "0007 _atol"
	strings:
		$1 = { 55 8B EC FF 75 08 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_46841_0 {
	meta:
		name = "_DF_."
		size = 19
		refs = "000a _DF_."
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule function_46842_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 1C 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 6C 64 73 5F 4C 69 73 74 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46843_0 {
	meta:
		name = "_DF_."
		size = 68
	strings:
		$1 = { 04 00 00 00 03 00 30 00 00 00 00 00 51 20 00 00 3C 00 40 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 49 55 6E 6B 6E 6F 77 6E 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46844_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 18 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 4E 65 73 74 65 64 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46845_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 24 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 41 74 74 72 5F 4C 69 73 74 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46846_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0040 _DF_."
	strings:
		$1 = { 04 00 00 00 03 00 30 00 00 00 00 00 55 20 00 00 40 00 50 00 00 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 49 43 6C 61 73 73 46 61 63 74 6F 72 79 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46847_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 20 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 43 52 65 70 65 61 74 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46848_0 {
	meta:
		name = "_DF_."
		size = 88
		refs = "0028 _DF_."
	strings:
		$1 = { 20 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 40 00 50 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 54 00 53 41 56 45 50 4F 49 4E 54 4C 69 73 74 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46849_0 {
	meta:
		name = "_DF_."
		size = 52
	strings:
		$1 = { 04 00 00 00 03 00 20 00 00 00 00 00 51 00 00 00 2C 00 30 00 00 00 00 00 00 00 00 00 00 00 00 00 54 41 6C 63 68 65 6D 79 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46850_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 18 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 43 46 69 78 65 64 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46851_0 {
	meta:
		name = "_DF_."
		size = 88
		refs = "0028 _DF_."
	strings:
		$1 = { 18 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 40 00 50 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 54 00 46 4C 44 43 6F 6D 70 6F 73 69 74 65 00 00 00 00 ?? ?? ?? ?? 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46852_0 {
	meta:
		name = "_DF_."
		size = 96
		refs = "0028 _DF_."
	strings:
		$1 = { 08 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 48 00 58 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 5C 00 44 41 54 41 50 41 43 4B 45 54 57 52 49 54 45 5F 46 61 63 74 6F 72 79 00 ?? ?? ?? ?? 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46853_0 {
	meta:
		name = "_DF_."
		size = 80
		refs = "0028 _DF_."
	strings:
		$1 = { 20 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 38 00 48 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 4C 00 46 4C 44 43 42 63 64 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46854_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 20 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 45 78 74 65 6E 64 65 64 00 ?? ?? ?? ?? 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46855_0 {
	meta:
		name = "_DF_."
		size = 96
		refs = "0028 _DF_."
	strings:
		$1 = { 08 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 48 00 58 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 5C 00 44 41 54 41 50 41 43 4B 45 54 52 45 41 44 5F 46 61 63 74 6F 72 79 00 00 ?? ?? ?? ?? 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46856_0 {
	meta:
		name = "_DF_."
		size = 88
		refs = "0028 _DF_."
	strings:
		$1 = { 18 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 40 00 50 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 54 00 46 4C 44 43 46 6C 6F 61 74 49 45 45 45 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46857_0 {
	meta:
		name = "_DF_."
		size = 80
		refs = "0028 _DF_."
	strings:
		$1 = { 18 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 38 00 48 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 4C 00 46 4C 44 42 6C 6F 62 00 ?? ?? ?? ?? 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46858_0 {
	meta:
		name = "_DF_."
		size = 92
		refs = "0028 _DF_."
	strings:
		$1 = { 08 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 44 00 54 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 58 00 44 53 43 75 72 73 6F 72 5F 46 61 63 74 6F 72 79 00 00 00 00 ?? ?? ?? ?? 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46859_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 18 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 43 46 6C 6F 61 74 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46860_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 18 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 56 61 72 42 79 74 65 73 00 ?? ?? ?? ?? 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46861_0 {
	meta:
		name = "_DF_."
		size = 88
		refs = "0028 _DF_."
	strings:
		$1 = { 08 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 40 00 50 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 54 00 44 53 42 41 53 45 5F 46 61 63 74 6F 72 79 00 00 ?? ?? ?? ?? 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46863_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 18 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 43 53 69 6E 67 6C 65 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46864_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 18 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 55 6E 69 43 6F 64 65 00 00 ?? ?? ?? ?? 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46867_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 1C 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 43 49 6E 74 36 34 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46868_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 10 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 03 00 00 00 03 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 55 49 6E 74 36 34 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46871_0 {
	meta:
		name = "_DF_."
		size = 96
		refs = "0028 _DF_."
	strings:
		$1 = { 18 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 48 00 58 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 5C 00 46 4C 44 43 53 51 4C 54 49 4D 45 53 54 41 4D 50 4F 46 46 53 45 54 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46872_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 10 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 03 00 00 00 03 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 55 49 6E 74 33 32 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46875_0 {
	meta:
		name = "_DF_."
		size = 92
		refs = "0028 _DF_."
	strings:
		$1 = { 18 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 44 00 54 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 58 00 46 4C 44 43 53 51 4C 54 49 4D 45 53 54 41 4D 50 00 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46876_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 10 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 03 00 00 00 03 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 55 49 6E 74 31 36 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46879_0 {
	meta:
		name = "_DF_."
		size = 88
		refs = "0028 _DF_."
	strings:
		$1 = { 20 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 40 00 50 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 54 00 46 4C 44 43 54 49 4D 45 53 54 41 4D 50 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46880_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 10 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 03 00 00 00 03 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 55 49 6E 74 38 00 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46883_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 18 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 43 54 49 4D 45 00 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46884_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 10 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 46 6C 6F 61 74 00 00 00 00 ?? ?? ?? ?? 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46887_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 18 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 43 44 41 54 45 00 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46888_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 10 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 53 69 6E 67 6C 65 00 00 00 ?? ?? ?? ?? 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46891_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 1C 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 43 42 6F 6F 6C 00 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46892_0 {
	meta:
		name = "_DF_."
		size = 92
		refs = "0028 _DF_."
	strings:
		$1 = { 10 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 44 00 54 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 58 00 46 4C 44 54 69 6D 65 53 74 61 6D 70 4F 66 66 73 65 74 00 00 ?? ?? ?? ?? 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46895_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 1C 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 43 49 6E 74 33 32 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46896_0 {
	meta:
		name = "_DF_."
		size = 88
		refs = "0028 _DF_."
	strings:
		$1 = { 10 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 40 00 50 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 54 00 46 4C 44 54 69 6D 65 53 74 61 6D 70 00 00 00 00 ?? ?? ?? ?? 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46899_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 1C 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 43 49 6E 74 31 36 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46900_0 {
	meta:
		name = "_DF_."
		size = 80
		refs = "0028 _DF_."
	strings:
		$1 = { 18 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 38 00 48 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 4C 00 46 4C 44 42 63 64 00 00 ?? ?? ?? ?? 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46903_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 1C 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 43 49 6E 74 38 00 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46904_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 18 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 53 74 72 69 6E 67 00 00 00 ?? ?? ?? ?? 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46907_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 18 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 43 56 61 72 33 32 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46908_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 10 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 49 6E 74 36 34 00 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46909_0 {
	meta:
		name = "_DF_."
		size = 88
		refs = "0028 _DF_."
	strings:
		$1 = { 18 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 40 00 50 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 54 00 46 4C 44 41 6C 77 61 79 73 4E 75 6C 6C 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46910_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 10 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 49 6E 74 33 32 00 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46911_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 18 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 42 69 6E 61 72 79 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46912_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 10 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 49 6E 74 31 36 00 00 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46913_0 {
	meta:
		name = "_DF_."
		size = 84
		refs = "0028 _DF_."
	strings:
		$1 = { 18 00 00 00 03 00 30 00 00 00 00 00 77 00 00 00 3C 00 4C 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 50 00 46 4C 44 55 6E 69 63 6F 64 65 00 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46914_0 {
	meta:
		name = "_DF_."
		size = 80
		refs = "0028 _DF_."
	strings:
		$1 = { 10 00 00 00 03 00 30 00 00 00 00 00 57 00 00 00 38 00 48 00 00 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 ?? ?? ?? ?? 03 00 4C 00 46 4C 44 49 6E 74 38 00 ?? ?? ?? ?? 00 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46915_0 {
	meta:
		name = "_DF_."
		size = 506
		refs = "008f _DF_. 016b _malloc 0178 _strcpy 0180 _DV_. 0186 @std@strstr$qpcpxc 0199 _strlen 01ee _free"
	strings:
		$1 = { 55 8B EC 51 57 89 45 FC 8B 7D FC 80 67 01 3F 31 C9 8A 0F 41 D1 E9 B0 00 47 47 F3 AA 5F 59 5D C3 55 8B EC 83 C4 E8 33 D2 89 55 F4 C7 45 F8 00 00 00 A0 66 C7 45 FC 02 40 66 85 C0 7E 04 8B D0 EB 05 8B D0 66 F7 DA 33 C9 89 4D E8 C7 45 EC 00 00 00 80 66 C7 45 F0 FF 3F 66 85 D2 7E 28 EB 10 0F BF D2 D1 FA DB 6D F4 DB 6D F4 DE C9 DB 7D F4 F6 C2 01 74 EB 4A DB 6D E8 DB 6D F4 DE C9 DB 7D E8 66 85 D2 7F EA 66 85 C0 7D 0C DB 6D E8 D8 3D ?? ?? ?? ?? DB 7D E8 DB 6D E8 8B E5 5D C3 00 00 00 00 00 80 3F 55 8B EC 51 56 89 45 FC 8B 75 FC B9 0A 00 00 00 8B 46 04 31 D2 09 C0 74 05 F7 F1 89 46 04 8B 06 F7 F1 89 06 89 D0 5E 59 5D C3 55 8B EC 83 C4 F4 56 57 66 89 4D F6 89 55 F8 89 45 FC 8B 75 F8 8B 7D FC 31 C9 66 8B 4D F6 66 89 CA FC AC 88 C4 C0 E4 04 66 49 75 05 88 E0 AA EB 08 AC 24 0F 08 E0 AA E2 E9 5F 5E 8B E5 5D C3 55 8B EC 83 C4 F4 56 57 66 89 4D F6 89 55 F8 89 45 FC 8B 75 F8 8B 7D FC 31 C9 66 8B 4D F6 66 89 CA 66 83 F9 01 74 03 66 D1 E9 FC AC 88 C4 C0 E8 04 AA 88 E0 24 0F AA E2 F2 66 83 E2 01 74 05 AC C0 E8 04 AA 5F 5E 8B E5 5D C3 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 55 FC 8B F8 6A 41 E8 ?? ?? ?? ?? 59 8B F0 89 75 F0 57 56 E8 ?? ?? ?? ?? 83 C4 08 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 83 C4 08 8B D8 85 DB 74 04 C6 03 00 43 56 E8 ?? ?? ?? ?? 59 89 45 F4 33 C0 3B 45 FC 7D 3B 8B 55 FC 2B 55 F8 2B D0 3B 55 F4 7E 06 C6 04 07 30 EB 22 80 3E 00 74 08 8A 0E 88 0C 07 46 EB 15 85 DB 74 0D 80 3B 00 74 08 8A 13 88 14 07 43 EB 04 C6 04 07 30 40 3B 45 FC 7C C5 8B 45 FC C6 04 07 00 FF 75 F0 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46916_0 {
	meta:
		name = "bcdFromLongDouble"
		size = 712
		refs = "0027 _memset 00d9 _DF_."
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 53 56 57 8B 75 14 8D 45 F4 89 45 E4 66 C7 45 D8 00 00 6A 60 6A 00 8D 95 78 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 66 83 7D 10 00 75 0F 66 85 F6 75 0A 66 C7 45 10 20 00 66 BE 0F 00 0F B7 45 10 83 F8 40 7E 06 66 C7 45 10 40 00 66 3B 75 10 76 04 66 8B 75 10 8A 45 10 8B 55 08 88 02 8B CE 8B 5D 08 88 4B 01 8B 45 08 E8 91 FD FF FF 8B 55 0C 8B 0A 89 4D F4 8B 4A 04 89 4D F8 66 8B 4A 08 66 89 4D FC 8B 7D E4 66 8B 47 08 66 89 45 E2 66 8B 55 E2 66 81 E2 00 80 66 89 55 E0 66 8B 4D E2 66 81 E1 FF 7F 8B 5D E4 66 89 4B 08 8B 45 E4 0F B7 50 08 81 FA FF 7F 00 00 75 12 8B 4D 08 80 49 01 40 66 C7 45 D8 01 00 E9 E0 01 00 00 DB 6D F4 D9 05 ?? ?? ?? ?? D9 C9 DA E9 DF E0 F6 C4 44 0F 8B C8 01 00 00 31 DB 66 8B 5D E0 66 D1 C3 66 8B 45 E2 66 25 FF 7F 66 2D FF 3F 66 BA 10 4D 66 F7 EA 66 93 B4 4D 8B 7D E4 8A 47 07 D0 E0 F6 E4 66 01 D8 66 83 D2 00 66 F7 D8 66 83 D2 00 66 89 55 DE 66 8B 7D DE 66 03 FE 66 85 FF 7D 09 66 8B 45 D8 E9 7B 01 00 00 66 C7 45 DA 00 00 66 C7 45 DC 00 00 66 83 FF 12 7E 0F 66 89 7D DC 83 C7 EE 66 89 7D DA 66 BF 12 00 8B DF 66 2B 5D DE 66 85 DB 74 4B 66 85 DB 7C 04 8B F3 EB 05 8B F3 66 F7 DE 66 81 FE 44 13 7E 04 66 BE 44 13 8B C6 E8 9D FC FF FF DB 7D E8 66 85 DB 7D 10 DB 6D E8 DB 6D F4 DE F1 DB 7D F4 66 03 DE EB 0E DB 6D E8 DB 6D F4 DE C9 DB 7D F4 66 2B DE 66 85 DB 75 B5 8B C7 E8 6B FC FF FF DB 6D F4 DA E9 DF E0 F6 C4 05 75 03 47 EB 15 8D 47 FF E8 54 FC FF FF DB 6D F4 DA E9 DF E0 F6 C4 05 7A 01 4F 66 85 FF 7D 09 66 8B 45 D8 E9 CB 00 00 00 DB 6D F4 DF 7D F4 9B 8D 5D B7 33 F6 66 85 FF 75 1F 8B 45 E4 0F B6 30 66 81 E6 FF 00 66 83 F6 01 66 85 F6 74 24 66 8B 45 D8 E9 9D 00 00 00 EB 19 8B 45 E4 E8 85 FC FF FF 0F BE D0 66 0B F2 88 03 4B 4F 66 85 FF 74 02 EB E7 66 85 F6 75 04 C6 03 01 4B 8D 4D B7 2B CB 0F BF 45 DA 03 C8 0F B7 55 10 3B CA 7E 0F 8B 4D 08 80 49 01 40 66 C7 45 D8 01 00 EB 53 0F B7 4D 10 B8 3F 00 00 00 2B C1 0F BF 55 DA 03 C2 8D 95 78 FF FF FF 03 C2 3B C3 73 08 C6 03 00 4B 3B C3 72 F8 66 83 7D DC 00 74 08 66 8B 45 DC 66 89 45 10 8D 53 01 8B 45 08 83 C0 02 66 8B 4D 10 E8 2D FC FF FF 0F B7 45 E0 C1 F8 08 8B 55 08 08 42 01 66 8B 45 D8 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_46917_0 {
	meta:
		name = "bcdToLongDouble"
		size = 332
		refs = "00e2 _DF_."
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 8B 45 0C 33 DB 8A 18 8B 45 0C 33 D2 8A 50 01 66 83 E2 3F 66 89 55 F2 8B 4D 0C F6 41 01 40 75 13 66 83 FB 40 7F 0D 66 83 7D F2 40 7F 06 66 3B 5D F2 7D 16 8D 7D 08 31 C0 48 AB AB 80 E4 3F 66 AB 66 B8 01 00 E9 ED 00 00 00 66 85 DB 75 1C 66 83 7D F2 00 75 15 8B 55 08 33 C9 89 0A 89 4A 04 66 89 4A 08 33 C0 E9 CC 00 00 00 8B 55 0C 83 C2 02 8D 45 B0 8B CB E8 C8 FB FF FF 8D 45 B0 EB 02 4B 40 66 85 DB 74 05 80 38 00 74 F4 66 85 DB 75 13 8B 55 08 33 C9 89 0A 89 4A 04 66 89 4A 08 E9 91 00 00 00 33 D2 33 C9 66 85 DB 74 55 66 83 FA 09 7D 0D 03 C9 8D 0C 89 0F BE 30 03 CE 40 EB 3B 66 83 FA 12 7F 29 66 83 FA 09 75 09 89 4D AC DB 45 AC DB 7D F4 DB 6D F4 D8 0D ?? ?? ?? ?? 0F BE 30 89 75 A8 DB 45 A8 DE C1 DB 7D F4 40 EB 0C DB 6D F4 D8 0D ?? ?? ?? ?? DB 7D F4 4B 42 66 85 DB 75 AB 66 83 FA 09 7F 09 89 4D A4 DB 45 A4 DB 7D F4 8B 45 0C F6 40 01 80 74 08 DB 6D F4 D9 E0 DB 7D F4 66 8B 45 F2 E8 2B FA FF FF DB 6D F4 DE F1 8B 55 08 DB 3A 33 C0 5F 5E 5B 8B E5 5D C2 08 00 00 00 20 41 }
	condition:
		$1
}

rule function_46918_0 {
	meta:
		name = "@$bnew$qui"
		size = 9
		refs = "0005 GetMem2"
		altNames = "@$bnwa$qui"
	strings:
		$1 = { 8B 44 24 04 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_46920_0 {
	meta:
		name = "@$bdele$qpv"
		size = 9
		refs = "0005 SysFreeMem2"
	strings:
		$1 = { 8B 44 24 04 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_46921_0 {
	meta:
		name = "@$bdla$qpv"
		size = 24
		refs = "0005 SysFreeMem2 000a _strchr 0014 _strstr"
	strings:
		$1 = { 8B 44 24 04 E9 ?? ?? ?? ?? E9 ?? ?? ?? ?? E9 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_46932_0 {
	meta:
		name = "CanAddClassHelper"
		size = 148
		refs = "0019 CanAddClassHelper 0026 FindWebComponentEditorHelper 0034 @IntfClear 0042 TObject.GetInterface 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 2C 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 56 8B 4D F8 8B D7 8B 45 FC 8B 18 FF 53 0C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 61 9F F5 13 85 EF D2 11 AF B1 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_46933_0 {
	meta:
		name = "AddIntAttrib"
		size = 168
		refs = "0018 AddIntAttrib 0050 Format 005a @UStrAsg 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D FC 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FB FF 74 37 8D 45 FC 50 8B 06 89 45 E4 C6 45 E8 11 89 7D EC C6 45 F0 11 89 5D F4 C6 45 F8 00 8D 55 E4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 73 00 20 00 25 00 73 00 3D 00 22 00 25 00 64 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_46934_0 {
	meta:
		name = "AddStringAttrib"
		size = 164
		refs = "0018 AddStringAttrib 004f Format 0059 @UStrAsg 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D FC 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 37 8D 45 FC 50 8B 06 89 45 E4 C6 45 E8 11 89 7D EC C6 45 F0 11 89 5D F4 C6 45 F8 11 8D 55 E4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 20 00 25 00 73 00 3D 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_46935_0 {
	meta:
		name = "AddCustomAttrib"
		size = 160
		refs = "0015 @UStrAddRef 001d AddCustomAttrib 0052 Format 005c @UStrAsg 0076 @UStrArrayClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 33 8D 45 F8 50 8B 03 89 45 E8 C6 45 EC 11 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_46936_0 {
	meta:
		name = "AddBoolAttrib"
		size = 144
		refs = "0015 AddBoolAttrib 0045 Format 004f @UStrAsg 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 C9 74 30 8D 45 FC 50 8B 03 89 45 EC C6 45 F0 11 89 75 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_46937_0 {
	meta:
		name = "AddQuotedAttrib"
		size = 168
		refs = "0018 AddQuotedAttrib 004f Format 0059 @UStrAsg 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D FC 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 37 8D 45 FC 50 8B 06 89 45 E4 C6 45 E8 11 89 7D EC C6 45 F0 11 89 5D F4 C6 45 F8 11 8D 55 E4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 73 00 20 00 25 00 73 00 3D 00 22 00 25 00 73 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_46938_0 {
	meta:
		name = "FormatColumnHeading"
		size = 272
		refs = "0018 FormatColumnHeading 0031 AddQuotedAttrib 003f AddCustomAttrib 0083 Format 0098 @UStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 48 8B 48 08 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 48 8B 50 0C 8D 45 FC E8 ?? ?? ?? ?? 8B 43 48 8B 48 10 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 E8 8B C3 8B 08 FF 51 58 8B 45 E8 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 74 00 68 00 25 00 73 00 3E 00 25 00 73 00 3C 00 2F 00 74 00 68 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_46939_0 {
	meta:
		name = "FormatColumnData"
		size = 280
		refs = "0018 @UStrAddRef 0020 FormatColumnData 0036 AddQuotedAttrib 0041 AddCustomAttrib 0078 Format 0092 @UStrArrayClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 4B 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 53 50 E8 ?? ?? ?? ?? 8D 45 F8 8B 4B 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 45 F8 89 45 E8 C6 45 EC 11 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 3C 00 74 00 64 00 25 00 73 00 3E 00 3C 00 64 00 69 00 76 00 3E 00 25 00 73 00 3C 00 2F 00 64 00 69 00 76 00 3E 00 3C 00 2F 00 74 00 64 00 3E 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46940_0 {
	meta:
		name = "TFormLayout.ImplLayoutTable"
		size = 36
		altNames = "TGridLayout.ImplLayoutButton TGridLayout.ImplLayoutTable TLayoutWebContent.LayoutField"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 08 50 8B 4D FC 8B D6 8B C3 8B 18 FF 53 08 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_46941_0 {
	meta:
		name = "TGridLayout.ImplLayoutField"
		size = 21
		refs = "000c @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 8B DA 8B 45 08 8B D3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_46942_0 {
	meta:
		name = "TGridLayout.ImplLayoutLabelAndField"
		size = 31
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B 45 08 50 8B 4D 0C 8B D6 8B C3 8B 18 FF 53 08 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_46943_0 {
	meta:
		name = "TWebForm.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TWebContainedContainerComponent.Create 001e _Dn_TLayoutAttributes 0023 TLayoutAttributes.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 54 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_46944_0 {
	meta:
		name = "TWebForm.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TWebContainedContainerComponent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 54 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90475_0 {
	meta:
		name = "TLegendTitle.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TTeeCustomShape.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 54 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47048_0 {
	meta:
		name = "TXMLDisplayReferenceButton.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TWebContainedComponent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 54 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46945_0 {
	meta:
		name = "TWebForm.Content"
		size = 36
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 08 50 8B 4D FC 8B D6 8B C3 8B 18 FF 53 58 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_46946_0 {
	meta:
		name = "TAdapterSubComponent.CanAddClass"
		size = 14
		altNames = "TWebForm.CanAddClass"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 18 FF 53 54 5E 5B C3 }
	condition:
		$1
}

rule function_46947_0 {
	meta:
		name = "FormatText"
		size = 320
		refs = "001c LeadBytes 0044 FormatText 004c CharInSet 0073 @PWCharLen 008d StrMove 00e6 StrCopy"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 0C 24 8B F2 8B D8 89 5C 24 04 33 ED E9 D3 00 00 00 EB 28 A1 ?? ?? ?? ?? 0F B7 13 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 73 0D 8D 43 02 66 83 38 00 74 04 83 C3 02 46 83 C3 02 46 BA ?? ?? ?? ?? 0F B7 03 E8 ?? ?? ?? ?? 84 C0 74 C7 85 ED 74 6E 83 FE 4B 7E 69 8B FD EB 03 83 C7 02 66 83 3F 20 74 F7 89 7C 24 08 8B 44 24 08 E8 ?? ?? ?? ?? 89 44 24 0C 8B 4C 24 0C 41 8B 04 24 03 C0 03 C5 83 C0 04 8B D7 E8 ?? ?? ?? ?? 8B 0C 24 83 C1 02 BA ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 8B 04 24 83 C0 02 2B FD D1 FF 79 03 83 D7 00 2B C7 03 C0 03 D8 8B F3 2B F5 D1 FE 79 03 83 D6 00 83 EE 02 0F B7 03 66 83 E8 0D 74 08 66 83 E8 6F 74 0B EB 15 83 C3 04 33 ED 33 F6 EB 0C 8D 53 02 8B C3 E8 ?? ?? ?? ?? 8B EB 66 83 3B 00 0F 85 4D FF FF FF 8B 44 24 04 83 C4 10 5D 5F 5E 5B C3 00 00 01 20 00 00 00 00 00 00 00 00 00 00 00 00 00 10 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_46948_0 {
	meta:
		name = "WrapParameters"
		size = 114
		refs = "0037 @UStrToPWChar 0044 StrCopy 0054 FormatText 005d @UStrFromPWChar 0068 @UStrAsg"
	strings:
		$1 = { 55 8B EC 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 FC 53 56 8B F1 89 55 FC 8B D8 8B C3 85 C0 74 05 83 E8 04 8B 00 3D 9E 1F 00 00 7D 2F 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 85 FA DF FF FF E8 ?? ?? ?? ?? 8D 85 FA DF FF FF 8B 4D FC 33 D2 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 09 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46949_0 {
	meta:
		name = "FormatIdentifier"
		size = 188
		refs = "0018 @IntfAddRef 0020 FormatIdentifier 0066 Format 0080 @UStrArrayClr 0088 @IntfClear 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 C9 89 4D E8 89 4D E4 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8D 55 E8 8B 45 08 8B 40 FC 8B 08 FF 51 0C 8B 45 E8 89 45 EC C6 45 F0 11 8D 55 E4 8B 45 FC 8B 08 FF 51 0C 8B 45 E4 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 25 00 30 00 3A 00 73 00 2E 00 25 00 31 00 3A 00 73 00 00 00 }
	condition:
		$1
}

rule function_46950_0 {
	meta:
		name = "TraverseSubComponents"
		size = 948
		refs = "0017 TraverseSubComponents 0025 @IntfClear 0033 TObject.GetInterface 00ea sDuplicateStatusField 00ef LoadResString 0108 Format 012a FormatIdentifier 0139 @UStrLAsg 018a @UStrCat 02a4 @UStrClr 02b1 @UStrArrayClr 02f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 54 02 00 00 8B 45 E8 8B 10 FF 52 10 8B D8 85 DB 0F 84 42 02 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 24 02 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 08 8B 50 F8 8B 45 F8 8B 08 FF 51 14 8B 45 FC 8B 10 FF 52 0C 8B F0 4E 85 F6 0F 8C E9 01 00 00 46 C7 45 E4 00 00 00 00 8B 55 E4 8B 45 FC 8B 08 FF 51 10 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 69 8B 45 08 83 78 F4 00 74 3D 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B 43 08 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 58 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 08 8B 40 F8 8B 08 FF 51 28 E9 6A 01 00 00 8B 45 08 50 8D 55 D0 8B 45 F0 E8 ?? ?? ?? ?? 59 8B 55 D0 8B 45 08 83 C0 F4 E8 ?? ?? ?? ?? E9 47 01 00 00 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 03 01 00 00 8D 55 CC 8B 45 F4 8B 08 FF 51 14 83 7D CC 00 0F 84 14 01 00 00 8B 45 08 83 78 F0 00 74 13 8B 45 08 83 C0 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8D 45 C8 50 8D 55 C4 8B 45 F4 8B 08 FF 51 14 8B 45 C4 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B 45 08 83 C0 F0 E8 ?? ?? ?? ?? 8B 45 08 8B 45 08 83 78 EC 00 74 13 8B 45 08 83 C0 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 45 08 50 8D 55 C0 8B 45 F4 E8 ?? ?? ?? ?? 59 8B 55 C0 8B 45 08 83 C0 EC E8 ?? ?? ?? ?? 8B 45 08 8D 45 BC 50 8B 45 08 8B 40 E8 89 45 AC C6 45 B0 11 8D 55 A8 8B 45 F4 8B 08 FF 51 14 8B 45 A8 89 45 B4 C6 45 B8 11 8D 55 AC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8D 4D EC 8B 45 F4 8B 18 FF 53 18 83 7D EC 00 74 36 8B 45 08 8B 40 E4 8B 55 EC 8B 08 FF 51 38 EB 26 8D 45 E8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 FF 45 E4 4E 0F 85 1F FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 BC BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A6 5E 5B 8B E5 5D C3 62 09 9B 1B 8E D2 D2 11 AF 8A 00 C0 4F B1 6E C3 12 7E 95 44 39 E0 D2 11 AA 46 00 A0 24 C1 15 62 10 C3 A1 10 47 2E D3 11 B0 0E 00 C0 4F B1 6E C3 41 73 9A DA 79 FE D2 11 AF C5 00 C0 4F B1 6E C3 D5 5D 4C 39 52 F2 D2 11 AA 55 00 A0 24 C1 15 62 B0 04 02 00 FF FF FF FF 03 00 00 00 2C 00 20 00 7C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 22 00 25 00 73 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 25 00 73 00 2E 00 46 00 69 00 65 00 6C 00 64 00 73 00 2E 00 46 00 69 00 65 00 6C 00 64 00 5B 00 22 00 25 00 73 00 22 00 5D 00 00 00 }
	condition:
		$1
}

rule function_46951_0 {
	meta:
		name = "DefineXMLDisplayBlock"
		size = 1324
		refs = "0022 @IntfAddRef 002a @UStrAddRef 0032 DefineXMLDisplayBlock 0040 @IntfClear 004e TObject.GetInterface 0061 @UStrClr 0068 _Dn_TStringList 006d TStringList.Create 00ab @CallDynaInst 00b9 TraverseSubComponents 0104 Format 012b ScriptNamesVar 0130 LoadResString 0183 WrapParameters 019d ScriptIDsVar 0219 TrimRight 025b @UStrLAsg 0350 TObject.Free 0356 @HandleFinally 0375 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 16 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E8 8B FA 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 D4 8B 08 FF 51 10 8D 45 F4 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DF 85 DB 74 2D 83 7D FC 00 75 16 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 75 D3 55 8B C7 E8 ?? ?? ?? ?? 59 83 7D EC 00 0F 84 77 02 00 00 8D 45 D0 50 8D 55 BC 8B 45 FC 8B 08 FF 51 10 8B 45 BC 89 45 C0 C6 45 C4 11 8D 55 B8 8B 45 FC 8B 08 FF 51 0C 8B 45 B8 89 45 C8 C6 45 CC 11 8D 55 C0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 8D 55 B4 8B 45 FC 8B 08 FF 51 10 8B 55 B4 8B 45 F8 59 8B 18 FF 53 20 8D 45 DC 50 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 50 8B 47 08 89 45 A8 C6 45 AC 11 8D 55 A8 33 C9 58 E8 ?? ?? ?? ?? 8D 45 A0 50 8B 45 DC 89 45 C0 C6 45 C4 11 8B 45 F0 89 45 C8 C6 45 CC 11 8D 55 C0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 8D 4D A4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D A4 8B 55 DC 8B 45 F8 8B 18 FF 53 20 8D 45 E0 50 8D 55 9C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 50 8B 47 08 89 45 A8 C6 45 AC 11 8D 55 A8 33 C9 58 E8 ?? ?? ?? ?? 8D 45 94 50 8B 45 E0 89 45 C0 C6 45 C4 11 8B 45 EC 89 45 C8 C6 45 CC 11 8D 55 C0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 94 8D 4D 98 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D 98 8B 55 E0 8B 45 F8 8B 18 FF 53 20 8D 55 8C 8B 45 E4 8B 08 FF 51 1C 8B 45 8C 8D 55 90 E8 ?? ?? ?? ?? 8B 55 90 8B 45 E4 8B 08 FF 51 2C 8B 45 E4 8B 10 FF 52 14 85 C0 7E 18 8D 55 88 8B 45 E4 8B 08 FF 51 1C 8B 4D 88 33 D2 8B 45 F8 8B 18 FF 53 18 83 7D F4 00 75 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 84 50 8B 45 D8 89 85 5C FF FF FF C6 85 60 FF FF FF 11 8B 45 E8 89 85 64 FF FF FF C6 85 68 FF FF FF 11 8D 85 58 FF FF FF 50 8D 95 54 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 50 8B 47 08 89 45 A8 C6 45 AC 11 8D 55 A8 33 C9 58 E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 89 85 6C FF FF FF C6 85 70 FF FF FF 11 8D 85 50 FF FF FF 50 8D 95 4C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 50 8B 47 08 89 45 A8 C6 45 AC 11 8D 55 A8 33 C9 58 E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 89 85 74 FF FF FF C6 85 78 FF FF FF 11 8B 45 F4 89 85 7C FF FF FF C6 45 80 11 8D 95 5C FF FF FF B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 84 8B 55 D8 8B 45 F8 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 4C FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 84 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 94 5F 5E 5B 8B E5 5D C3 D6 5D 4C 39 52 F2 D2 11 AA 55 00 A0 24 C1 15 62 D7 5D 4C 39 52 F2 D2 11 AA 55 00 A0 24 C1 15 62 B0 04 02 00 FF FF FF FF 24 00 00 00 76 00 61 00 72 00 20 00 25 00 30 00 3A 00 73 00 20 00 3D 00 20 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 66 00 6F 00 72 00 6D 00 73 00 5B 00 27 00 25 00 31 00 3A 00 73 00 27 00 5D 00 3B 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 76 00 61 00 72 00 20 00 25 00 30 00 3A 00 73 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 41 00 72 00 72 00 61 00 79 00 28 00 25 00 31 00 3A 00 73 00 29 00 3B 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 75 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 34 00 00 00 76 00 61 00 72 00 20 00 25 00 30 00 3A 00 73 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 78 00 6D 00 6C 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 28 00 25 00 31 00 3A 00 73 00 2C 00 20 00 25 00 32 00 3A 00 73 00 2C 00 20 00 25 00 33 00 3A 00 73 00 2C 00 20 00 25 00 34 00 3A 00 73 00 29 00 3B 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46955_0 {
	meta:
		name = "TWebForm.AddElements"
		size = 75
		refs = "000e @IntfAddRef 0016 TWebForm.AddElements 003b @IntfClear 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_46957_0 {
	meta:
		name = "TWebForm.GetLayoutAttributes"
		size = 112
		refs = "000b @UStrClr 0016 TWebForm.GetLayoutAttributes 001b AddQuotedAttrib 0036 AddCustomAttrib"
	strings:
		$1 = { 53 56 8B D8 8B 73 54 8D 46 08 E8 ?? ?? ?? ?? 8D 46 08 8B 4B 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 08 8B 4B 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 08 8B 53 48 E8 ?? ?? ?? ?? 8B 43 54 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_46961_0 {
	meta:
		name = "TCustomDataForm.GetHTMLFormTag"
		size = 280
		refs = "0018 TCustomDataForm.GetHTMLFormTag 0028 TWebForm.GetHTMLFormName 0038 AddStringAttrib 0048 AddQuotedAttrib 0063 AddCustomAttrib 007d Format 0097 @UStrArrayClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F8 89 5D FC 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 48 E8 ?? ?? ?? ?? 56 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 0D 00 0A 00 3C 00 66 00 6F 00 72 00 6D 00 25 00 73 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46962_0 {
	meta:
		name = "TCustomDataForm.ImplCanAddClass"
		size = 102
		refs = "000b _DV_TCustomDataGrid 0012 TObject.InheritsFrom 001c _DV_TCustomDataNavigator 002d _DV_TFieldGroup 003e _DV_TCustomLayoutGroup 0054 CanAddClassHelper"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 46 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 35 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 24 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 13 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46963_0 {
	meta:
		name = "TFormLayout.Create"
		size = 128
		refs = "000a @ClassCreate 0017 TLayoutWebContent.Create 0033 TFormLayout.Create 0038 @UStrAsg 004b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 0D 00 C6 46 0E 00 C7 46 14 01 00 00 00 33 C0 89 46 18 8D 46 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 0C 00 C6 46 1D 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 0D 00 0A 00 3C 00 74 00 61 00 62 00 6C 00 65 00 3E 00 00 00 }
	condition:
		$1
}

rule function_46964_0 {
	meta:
		name = "TFormLayout.ImplLayoutButton"
		size = 276
		refs = "001c TFormLayout.ImplLayoutButton 002b TFormLayout.StartButtons 0057 Format 0061 @UStrAsg 00a4 @UStrCat 00b9 @UStrClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7B 1D 00 74 32 8D 45 FC 50 8B 06 89 45 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 41 83 7B 20 01 75 32 8D 45 E8 50 8B 06 89 45 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? EB 09 8B C6 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 73 00 3E 00 25 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3E 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_46965_0 {
	meta:
		name = "TFormLayout.ImplLayoutField"
		size = 324
		refs = "0021 TFormLayout.ImplLayoutField 0052 Format 0065 TFormLayout.StartFields 0071 @UStrCat3 00c1 @UStrClr 00ce @UStrArrayClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D E4 89 5D D8 89 5D FC 89 5D E8 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 48 8D 45 FC 50 8B 46 08 89 45 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 4D E8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 08 59 E8 ?? ?? ?? ?? EB 39 8D 45 E4 50 89 7D DC C6 45 E0 11 8D 55 DC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8D 4D D8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 08 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 25 00 30 00 3A 00 73 00 3E 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 3E 00 25 00 30 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_46966_0 {
	meta:
		name = "TFormLayout.ImplLayoutLabelAndField"
		size = 884
		refs = "0037 TFormLayout.ImplLayoutLabelAndField 009f Format 00b2 TFormLayout.StartFields 00be @UStrCat3 0238 @UStrClr 0245 @UStrArrayClr 0253 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 33 DB 89 5D B8 89 5D A4 89 5D C0 89 5D BC 89 5D C8 89 5D C4 89 5D D0 89 5D CC 89 5D F8 89 5D D4 89 4D FC 8B FA 8B F0 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 98 01 00 00 0F B6 43 0C 2C 01 72 17 74 74 FE C8 0F 84 CB 00 00 00 FE C8 0F 84 22 01 00 00 E9 BF 01 00 00 8D 45 F8 50 8B 43 04 89 45 D8 C6 45 DC 11 89 7D E0 C6 45 E4 11 8B 43 08 89 45 E8 C6 45 EC 11 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 D8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8D 4D D4 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 08 59 E8 ?? ?? ?? ?? E9 60 01 00 00 8D 45 D0 50 8B 43 08 89 45 D8 C6 45 DC 11 8B 45 FC 89 45 E0 C6 45 E4 11 8B 43 04 89 45 E8 C6 45 EC 11 89 7D F0 C6 45 F4 11 8D 55 D8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 8D 4D CC BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 08 59 E8 ?? ?? ?? ?? E9 01 01 00 00 8D 45 C8 50 8B 43 04 89 45 D8 C6 45 DC 11 89 7D E0 C6 45 E4 11 8B 43 08 89 45 E8 C6 45 EC 11 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 D8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 50 8D 4D C4 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 08 59 E8 ?? ?? ?? ?? E9 A2 00 00 00 8D 45 C0 50 8B 43 08 89 45 D8 C6 45 DC 11 8B 45 FC 89 45 E0 C6 45 E4 11 8B 43 04 89 45 E8 C6 45 EC 11 89 7D F0 C6 45 F4 11 8D 55 D8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 50 8D 4D BC BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 BC 8B 45 08 59 E8 ?? ?? ?? ?? EB 46 8D 45 B8 50 89 7D A8 C6 45 AC 11 8B 45 FC 89 45 B0 C6 45 B4 11 8D 55 A8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 50 8D 4D A4 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 A4 8B 45 08 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 B8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 25 00 30 00 3A 00 73 00 3E 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 74 00 64 00 20 00 25 00 32 00 3A 00 73 00 3E 00 25 00 33 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 37 00 00 00 25 00 30 00 3A 00 73 00 3E 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 2F 00 74 00 72 00 3E 00 3C 00 74 00 72 00 3E 00 3C 00 74 00 64 00 20 00 63 00 6F 00 6C 00 73 00 70 00 61 00 6E 00 3D 00 22 00 32 00 22 00 20 00 25 00 32 00 3A 00 73 00 3E 00 25 00 33 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 3E 00 25 00 30 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 74 00 64 00 3E 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_46968_0 {
	meta:
		name = "TFormLayout.StartFields"
		size = 141
		refs = "0016 TFormLayout.StartFields 0025 TFormLayout.EndButtons 0035 TFormLayout.StartTable 0042 TFormLayout.StartRow 0051 TFormLayout.NextColumn 0060 @UStrCatN 007a @UStrArrayClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? C6 43 0C 01 FF 36 8D 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 FC 8D 55 F8 8B C3 E8 ?? ?? ?? ?? FF 75 F8 8D 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? FF 75 F4 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46969_0 {
	meta:
		name = "SpanAll"
		size = 96
		refs = "0022 SpanAll 0027 Format"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 53 8B 45 08 8B 40 FC 8B 40 14 03 C0 89 45 F8 C6 45 FC 00 8D 55 F8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 10 00 00 00 3C 00 74 00 64 00 20 00 63 00 6F 00 6C 00 73 00 70 00 61 00 6E 00 3D 00 22 00 25 00 64 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_46970_0 {
	meta:
		name = "SpanCalc"
		size = 144
		refs = "002e SpanCalc 0033 Format 0041 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F0 83 CB FF 8B 45 08 83 78 F8 01 75 05 BB 02 00 00 00 83 FB FF 74 19 56 89 5D F8 C6 45 FC 00 8D 55 F8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 3C 00 74 00 64 00 20 00 63 00 6F 00 6C 00 73 00 70 00 61 00 6E 00 3D 00 22 00 25 00 64 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3C 00 74 00 64 00 00 00 }
	condition:
		$1
}

rule function_46971_0 {
	meta:
		name = "TFormLayout.NextColumn"
		size = 408
		refs = "0027 TFormLayout.NextColumn 0034 @UStrClr 0059 SpanAll 0073 Format 00a8 TFormLayout.EndRow 00bd TFormLayout.StartRow 00f6 @UStrCat 0101 SpanCalc 0122 @UStrAsg 0151 @UStrArrayClr 015f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 33 DB 89 5D C8 89 5D CC 89 5D D0 89 5D D8 89 5D D4 89 5D EC 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 80 78 0C 02 75 3B 8B 45 FC 80 78 1D 00 75 32 8B 45 FC 83 78 20 00 75 29 53 55 8D 45 EC E8 ?? ?? ?? ?? 59 8B 45 EC 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B0 00 00 00 8B 45 FC 80 78 0C 02 75 0D 8B 45 FC 80 78 1D 00 0F 84 9A 00 00 00 8B 45 FC 8B 40 18 8B 55 FC 3B 42 14 75 72 53 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 89 45 E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 1C 00 74 16 55 8D 45 D0 E8 ?? ?? ?? ?? 59 8B 55 D0 8B C3 E8 ?? ?? ?? ?? EB 2A 55 8D 45 CC E8 ?? ?? ?? ?? 59 8B 55 CC 8B C3 E8 ?? ?? ?? ?? EB 14 55 8D 45 C8 E8 ?? ?? ?? ?? 59 8B 55 C8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC FF 40 18 8B 45 FC 80 78 0C 02 75 06 8B 45 FC FF 40 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 73 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_46972_0 {
	meta:
		name = "TFormLayout.StartRow"
		size = 68
		refs = "000f TFormLayout.StartRow 0014 @UStrAsg 0022 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 0E 00 75 13 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 0E 01 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 74 00 72 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46973_0 {
	meta:
		name = "TFormLayout.EndRow"
		size = 72
		refs = "000f TFormLayout.EndRow 0014 @UStrAsg 0027 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 0E 00 74 18 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 43 18 C6 43 0E 00 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 74 00 72 00 3E 00 00 00 }
	condition:
		$1
}

rule function_46974_0 {
	meta:
		name = "TFormLayout.EndTable"
		size = 136
		refs = "000f TFormLayout.EndTable 0025 TFormLayout.EndRow 0034 @UStrCat3 0041 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0D 00 74 1F 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 0D 00 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 2F 00 74 00 61 00 62 00 6C 00 65 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_46975_0 {
	meta:
		name = "TFormLayout.EndLayout"
		size = 120
		refs = "0013 TFormLayout.EndLayout 0023 TFormLayout.EndFields 0030 TFormLayout.EndButtons 003d TFormLayout.EndTable 004c @UStrCatN 0066 @UStrArrayClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 FC 8D 55 F8 8B C3 E8 ?? ?? ?? ?? FF 75 F8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? FF 75 F4 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98108_0 {
	meta:
		name = "TAdapterFormLayout.EndLayout"
		size = 120
		refs = "0013 TAdapterFormLayout.EndLayout 0023 TAdapterFormLayout.EndFields 0030 TAdapterFormLayout.EndButtons 003d TAdapterFormLayout.EndTable 004c @UStrCatN 0066 @UStrArrayClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 FC 8D 55 F8 8B C3 E8 ?? ?? ?? ?? FF 75 F8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? FF 75 F4 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46976_0 {
	meta:
		name = "TFormLayout.StartTable"
		size = 39
		refs = "0012 @UStrAsg 0020 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 0D 00 75 11 8B C6 8B 53 10 E8 ?? ?? ?? ?? C6 43 0D 01 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_46977_0 {
	meta:
		name = "TFormLayout.StartButtons"
		size = 151
		refs = "0013 TFormLayout.StartButtons 002d TFormLayout.EndFields 003d TFormLayout.StartTable 004a TFormLayout.StartRow 005c TFormLayout.NextColumn 006b @UStrCatN 0085 @UStrArrayClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0C 02 74 05 33 C0 89 43 20 8B D6 8B C3 E8 ?? ?? ?? ?? C6 43 0C 02 FF 36 8D 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 FC 8D 55 F8 8B C3 E8 ?? ?? ?? ?? FF 75 F8 8D 4D F4 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? FF 75 F4 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46978_0 {
	meta:
		name = "TFormLayout.EndButtons"
		size = 41
		refs = "0009 @UStrClr 001e TFormLayout.EndRow"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 80 7B 0C 02 75 13 80 7B 1D 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? C6 43 0C 00 5E 5B C3 }
	condition:
		$1
}

rule function_46979_0 {
	meta:
		name = "TFormLayout.EndFields"
		size = 41
		refs = "0009 @UStrClr 001e TFormLayout.EndRow"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 80 7B 0C 01 75 13 80 7B 1D 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? C6 43 0C 00 5E 5B C3 }
	condition:
		$1
}

rule function_46980_0 {
	meta:
		name = "FormatField"
		size = 132
		refs = "000f FormatField 001d @IntfClear 002b TObject.GetInterface 004d @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 53 8B 45 08 8B 48 F8 8B 45 08 8B 50 FC 8B 45 FC 8B 18 FF 53 0C EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 D1 1C 3E 1B 59 DF D2 11 AA 45 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_46981_0 {
	meta:
		name = "TCustomDataForm.ImplContent"
		size = 380
		refs = "0027 TCustomDataForm.ImplContent 0037 _DV_TFormLayout 003c TFormLayout.Create 0062 TWebForm.GetVisibleFields 0067 TWebComponentList.GetCount 0081 TWebComponentList.GetComponent 0089 FormatField 0094 @UStrCat 00a3 TFormLayout.EndLayout 00c7 @IntfClear 00d6 TObject.GetInterface 00fc @UStrAsg 0111 TObject.Free 0117 @HandleFinally 0133 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D F4 89 4D EC 89 55 FC 89 45 F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC 8B 45 F0 8B 30 FF 56 64 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2A 46 33 FF 55 8B 45 F0 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 59 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 47 4E 75 D9 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D EC 00 74 3D 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 22 8D 45 E0 50 8B 45 F0 8B 10 FF 52 60 8B C8 8B 13 8B 45 F4 8B 30 FF 56 10 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 2F 00 66 00 6F 00 72 00 6D 00 3E 00 00 00 D1 0E 81 4E 9B F0 D2 11 AA 53 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_47251_0 {
	meta:
		name = "TCustomQueryForm.ImplContent"
		size = 380
		refs = "0027 TCustomQueryForm.ImplContent 0037 _DV_TFormLayout 003c TFormLayout.Create 0062 TWebForm.GetVisibleFields 0067 TWebComponentList.GetCount 0081 TWebComponentList.GetComponent 0089 FormatField 0094 @UStrCat 00a3 TFormLayout.EndLayout 00c7 @IntfClear 00d6 TObject.GetInterface 00fc @UStrAsg 0111 TObject.Free 0117 @HandleFinally 0133 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D F4 89 4D EC 89 55 FC 89 45 F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC 8B 45 F0 8B 30 FF 56 64 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2A 46 33 FF 55 8B 45 F0 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 59 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 47 4E 75 D9 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D EC 00 74 3D 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 22 8D 45 E0 50 8B 45 F0 8B 10 FF 52 60 8B C8 8B 13 8B 45 F4 8B 30 FF 56 10 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 2F 00 66 00 6F 00 72 00 6D 00 3E 00 00 00 D1 0E 81 4E 9B F0 D2 11 AA 53 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_46982_0 {
	meta:
		name = "TDataSetWrapper.AddOnDataChange"
		size = 114
		refs = "000b @DynArrayLength 0050 :TDataSetWrapper.:1 0055 @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 46 14 E8 ?? ?? ?? ?? 48 85 C0 7C 24 40 33 DB 8B 56 14 66 83 7C DA 02 00 75 12 8B 46 14 8B 55 08 89 14 D8 8B 55 0C 89 54 D8 04 EB 38 43 48 75 DF 8B 46 14 E8 ?? ?? ?? ?? 8B D8 8D 43 01 50 8D 46 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 14 8B 55 08 89 14 D8 8B 55 0C 89 54 D8 04 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_46983_0 {
	meta:
		name = "TDataSetWrapper.Create"
		size = 90
		refs = "000b @ClassCreate 0018 TObject.Create 0021 _DV_TClientDataSetEvent 0026 TCustomClientDataSet.Create 003b TDataSetWrapper.OnDataChange 0046 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 0C 89 BE 14 03 00 00 C7 86 10 03 00 00 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46986_0 {
	meta:
		name = "TDataSetWrapper.FieldCount"
		size = 12
		refs = "0007 TFields.GetCount"
	strings:
		$1 = { 8B 40 10 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46987_0 {
	meta:
		name = "TDataSetWrapper.Fields"
		size = 7
	strings:
		$1 = { 8B 40 10 8B 40 38 C3 }
	condition:
		$1
}

rule function_46988_0 {
	meta:
		name = "TDataSetWrapper.ParamCount"
		size = 16
	strings:
		$1 = { 8B 40 0C 8B 80 CC 01 00 00 8B 40 08 8B 40 08 C3 }
	condition:
		$1
}

rule function_46989_0 {
	meta:
		name = "TDataSetWrapper.Params"
		size = 10
	strings:
		$1 = { 8B 40 0C 8B 80 CC 01 00 00 C3 }
	condition:
		$1
}

rule function_46990_0 {
	meta:
		name = "TDataSetWrapper.RemoveOnDataChange"
		size = 84
		refs = "000e @DynArrayLength"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D8 8B 43 14 E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 33 42 33 C0 8B 4B 14 8B 34 C1 89 75 F8 8B 74 C1 04 89 75 FC 8B 4D F8 3B 4D 08 75 14 8B 4D FC 3B 4D 0C 75 0C 8B 4B 14 33 F6 89 34 C1 89 74 C1 04 40 4A 75 D0 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_46991_0 {
	meta:
		name = "TDataSetWrapper.OnDataChange"
		size = 70
		refs = "000e @DynArrayLength"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B D8 8B 43 14 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 27 47 33 F6 8B 43 14 66 83 7C F0 02 00 74 0F 8B 43 14 8D 2C F0 8B 14 24 8B 45 04 FF 55 00 83 7B 0C 00 74 04 46 4F 75 DC 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46992_0 {
	meta:
		name = "TWebDisplayReferenceGroup.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TWebControlGroup.Create 0020 _DV_TWebDisplay 0025 TWebDisplay.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 58 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_46994_0 {
	meta:
		name = "TWebDisplayReferenceGroup.GetWebDisplayComponent"
		size = 8
	strings:
		$1 = { 8B 40 58 8B 10 FF 12 C3 }
	condition:
		$1
}

rule function_46995_0 {
	meta:
		name = "TWebDisplayReferenceGroup.SetWebDisplayComponent"
		size = 9
		refs = "0004 TWebDisplay.SetDisplayComponent"
	strings:
		$1 = { 8B 40 58 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47085_0 {
	meta:
		name = "TXMLButton.SetXMLUseParent"
		size = 9
		refs = "0004 TXMLDataParent.SetUseParent"
	strings:
		$1 = { 8B 40 58 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47178_0 {
	meta:
		name = "TXMLDisplayGroup.SetDataSetField"
		size = 9
		refs = "0004 TXMLDataSet.SetDataSetField"
	strings:
		$1 = { 8B 40 58 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_46996_0 {
	meta:
		name = "TWebDisplayReferenceGroup.Notification"
		size = 40
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 47 58 85 C0 74 09 8B CB 8B D6 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_46997_0 {
	meta:
		name = "TXMLDisplayReferenceGroup.ImplAddElements"
		size = 163
		refs = "0018 @IntfAddRef 0020 TXMLDisplayReferenceGroup.ImplAddElements 0030 TWebControlGroup.ImplAddElements 0037 TWebDisplayReferenceGroup.GetWebDisplayComponent 0047 sXMLComponentNotDefined 004c LoadResString 0065 Format 008a @UStrArrayClr 0092 @IntfClear 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D F8 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 35 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 08 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_46998_0 {
	meta:
		name = "FormatButton"
		size = 132
		refs = "000f FormatButton 001c @UStrClr 0024 @IntfClear 0032 TObject.GetInterface 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 15 53 8B 45 08 8B 48 F8 8B 45 08 8B 50 FC 8B 45 FC 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 D1 1C 3E 1B 59 DF D2 11 AA 45 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_46999_0 {
	meta:
		name = "TCustomDataNavigator.ImplContent"
		size = 540
		refs = "0029 TCustomDataNavigator.ImplContent 0037 @UStrClr 0041 _DV_TFormLayout 0046 TFormLayout.Create 0067 AddQuotedAttrib 0082 AddCustomAttrib 009f Format 00ad @UStrAsg 00b4 TCustomDataNavigator.VisibleButtons 00b9 TWebComponentList.GetCount 00d7 TWebComponentList.GetComponent 00e4 FormatButton 00f0 @UStrCat 0104 TFormLayout.EndLayout 0127 TObject.Free 012d @HandleFinally 013d @IntfClear 014c TObject.GetInterface 0188 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D D8 89 5D E4 89 5D F4 89 5D F0 89 4D EC 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4E 60 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4E 68 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 64 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 F0 89 45 DC C6 45 E0 11 8D 55 DC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 83 C0 10 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 39 43 C7 45 E8 00 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 E8 E8 ?? ?? ?? ?? 8B F8 55 8D 55 D8 8B C7 E8 ?? ?? ?? ?? 59 8B 55 D8 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 FF 45 E8 4B 75 CF 8D 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D EC 00 74 39 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 1E 8D 45 D0 50 8B 55 08 8B 12 33 C9 8B 45 F4 8B 18 FF 53 18 8B 55 D0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 0D 00 0A 00 3C 00 74 00 61 00 62 00 6C 00 65 00 25 00 73 00 3E 00 00 00 D1 0E 81 4E 9B F0 D2 11 AA 53 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_47000_0 {
	meta:
		name = "CreateDefaultButtonClasses"
		size = 144
		refs = "0015 CreateDefaultButtonClasses 0037 @IntfClear 0045 TObject.GetInterface 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B F2 85 F6 7C 35 46 8B D8 33 C9 B2 01 8B 03 FF 50 38 8B F8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 14 83 C3 04 4E 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 82 37 81 EB AE EE D2 11 AF B0 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_47001_0 {
	meta:
		name = "TCustomDataNavigator.GetDefaultButtons"
		size = 252
		refs = "000e TCustomDataNavigator.GetDefaultButtons 001d TWebDisplayReferenceGroup.GetWebDisplayComponent 002b @IntfClear 0039 TObject.GetInterface 0065 TWebComponentList.GetCount 0071 TObject.Free 0085 _Dn_TWebComponentList 008a TWebComponentList.Create 0098 TWebContainedContainerComponent.GetWebComponents 009f DefaultGridButtons 00a9 CreateDefaultButtonClasses 00b9 DefaultFormButtons 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 74 24 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 FC 8B 10 FF 52 18 8B D8 84 DB 74 07 BF 0B 00 00 00 EB 05 BF 09 00 00 00 83 7E 48 00 74 19 8B 46 48 E8 ?? ?? ?? ?? 3B F8 74 0D 8B 46 48 E8 ?? ?? ?? ?? 33 C0 89 46 48 83 7E 48 00 75 47 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 84 DB 74 1A 8B C6 E8 ?? ?? ?? ?? 8B C8 B8 ?? ?? ?? ?? BA 0A 00 00 00 E8 ?? ?? ?? ?? EB 18 8B C6 E8 ?? ?? ?? ?? 8B C8 B8 ?? ?? ?? ?? BA 08 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 D6 5D 4C 39 52 F2 D2 11 AA 55 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_47002_0 {
	meta:
		name = "TCustomDataNavigator.VisibleButtons"
		size = 40
		refs = "0006 TWebContainedContainerComponent.GetWebComponents 000b TWebComponentList.GetCount"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 8B 10 FF 52 6C 8B 43 48 5B C3 }
	condition:
		$1
}

rule function_47003_0 {
	meta:
		name = "TCustomDataNavigator.ImplCanAddClass"
		size = 156
		refs = "000d _DV_TDataSetButton 0014 TObject.InheritsFrom 001e _DV_TXMLButton 0034 TWebContainedContainerComponent.GetWebComponents 0039 TWebComponentList.GetCount 0051 TWebComponentList.GetComponent 006b _DV_TCustomLayoutGroup 0081 CanAddClassHelper"
	strings:
		$1 = { 53 56 57 55 51 8B F1 8B DA 8B E8 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 11 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3C C6 04 24 01 8B C5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 4E 43 33 FF 8B C5 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 00 89 C2 3B F2 75 06 C6 04 24 00 EB 2F 47 4B 75 E0 EB 29 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 13 8B CE 8B D3 8B C5 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 04 24 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_47005_0 {
	meta:
		name = "TWebDataDisplay.Create"
		size = 96
		refs = "000a @ClassCreate 0017 TWebContainedComponent.Create 0027 _DV_TCaptionAttributes 002c TCaptionAttributes.Create 0036 _Dn_TLayoutAttributes 003b TLayoutAttributes.Create 004d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 4C FF FF FF FF 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 58 C6 46 44 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47006_0 {
	meta:
		name = "TWebDataDisplay.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TWebContainedComponent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 48 E8 ?? ?? ?? ?? 8B 46 58 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47007_0 {
	meta:
		name = "TCustomAdapterErrorList.Content"
		size = 36
		altNames = "TWebButton.Content TWebDataDisplay.Content"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 08 50 8B 4D FC 8B D6 8B C3 8B 18 FF 53 48 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_47010_0 {
	meta:
		name = "TWebDataDisplay.GetXmlDisplayName"
		size = 136
		refs = "000e TWebDataDisplay.GetXmlDisplayName 0023 @CallDynaInst 0031 @IntfClear 003f TObject.GetInterface 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D8 EB 0D 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 D5 85 DB 74 0A 8B D7 8B 45 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 D6 5D 4C 39 52 F2 D2 11 AA 55 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_47011_0 {
	meta:
		name = "TWebDataDisplay.GetXmlRowSetName"
		size = 136
		refs = "000e TWebDataDisplay.GetXmlRowSetName 0023 @CallDynaInst 0031 @IntfClear 003f TObject.GetInterface 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D8 EB 0D 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 D5 85 DB 74 0A 8B D7 8B 45 FC 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 D6 5D 4C 39 52 F2 D2 11 AA 55 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_47012_0 {
	meta:
		name = "TWebDataDisplay.GetHTMLForm"
		size = 92
		refs = "000a @IntfClear 0015 @CallDynaInst 0038 TWebDataDisplay.GetHTMLForm 003f TObject.GetInterface"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C7 E8 ?? ?? ?? ?? 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 EB 0D 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 19 8B C7 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 D6 5F 5E 5B C3 00 D7 5D 4C 39 52 F2 D2 11 AA 55 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_47013_0 {
	meta:
		name = "TWebDataDisplay.ImplContent"
		size = 228
		refs = "001c TWebDataDisplay.ImplContent 002e @IntfClear 003c TObject.GetInterface 009c @UStrCat3 00b6 @UStrArrayClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 4F 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 35 8B C3 8B 10 FF 52 68 50 8B 45 08 50 8D 4D F4 8B 55 F8 8B C3 8B 30 FF 56 50 8B 45 F4 50 8D 55 F0 8B C3 8B 08 FF 51 54 8B 55 F0 8B 45 FC 59 8B 18 FF 53 14 EB 27 8D 4D EC 8B 55 F8 8B C3 8B 30 FF 56 50 8B 45 EC 50 8D 55 E8 8B C3 8B 08 FF 51 54 8B 55 E8 8B 45 08 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 04 00 00 00 D1 0E 81 4E 9B F0 D2 11 AA 53 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_47015_0 {
	meta:
		name = "TWebDataDisplay.FormatCaption"
		size = 476
		refs = "0018 TWebDataDisplay.FormatCaption 0031 AddQuotedAttrib 003f AddCustomAttrib 0060 HTMLVAlignValues 007b HTMLAlignValues 0096 @UStrAsg 0103 Format 0123 @UStrClr 0131 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 48 8B 48 08 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 48 8B 50 0C 8D 45 FC E8 ?? ?? ?? ?? 8B 43 48 8B 48 10 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 48 0F B6 40 15 8B 0C 85 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 48 0F B6 40 14 8B 0C 85 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 58 83 C0 04 8B 55 FC E8 ?? ?? ?? ?? 0F B6 43 44 2C 01 72 0C 74 13 FE C8 74 18 FE C8 74 1D EB 22 8B 43 58 C6 40 0C 00 EB 19 8B 43 58 C6 40 0C 01 EB 10 8B 43 58 C6 40 0C 02 EB 07 8B 43 58 C6 40 0C 03 83 7D FC 00 74 33 56 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 E8 8B C3 8B 08 FF 51 58 8B 45 E8 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 8B 08 FF 51 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 76 00 61 00 6C 00 69 00 67 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 6C 00 69 00 67 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 3C 00 73 00 70 00 61 00 6E 00 25 00 30 00 3A 00 73 00 3E 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 73 00 70 00 61 00 6E 00 3E 00 00 00 }
	condition:
		$1
}

rule function_47016_0 {
	meta:
		name = "TWebDataDisplay.LabelContent"
		size = 18
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 5E 5B C3 }
	condition:
		$1
}

rule function_47020_0 {
	meta:
		name = "TWebDataDisplay.GetHTMLControlName"
		size = 18
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 4C 5E 5B C3 }
	condition:
		$1
}

rule function_47023_0 {
	meta:
		name = "TWebDataInput.SetFieldName"
		size = 296
		refs = "0016 @UStrAddRef 001e TWebDataInput.SetFieldName 002f AnsiCompareText 0042 @UStrAsg 004d @UStrEqual 0057 @UStrClr 005e TWebContainedComponent.GetWebParent 007f TWebDataInput.RestoreDefaults 00a1 @CallDynaInst 00be @IntfClear 00cc TObject.GetInterface 0101 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 68 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 A7 00 00 00 8D 43 68 8B 55 FC E8 ?? ?? ?? ?? 8B 43 40 8B 55 FC E8 ?? ?? ?? ?? 75 08 8D 43 40 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1D F6 43 1C 01 75 17 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 07 8B C3 E8 ?? ?? ?? ?? 0F B7 43 1C 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 74 48 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 EB 0D 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 D5 85 DB 74 0A B2 01 8B 45 F8 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 11 00 00 00 00 00 00 00 10 C3 A1 10 47 2E D3 11 B0 0E 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_47024_0 {
	meta:
		name = "Alpha"
		size = 28
		refs = "0006 TCharacter.IsLetterOrDigit"
		altNames = "AlphaNumeric"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A 66 83 FB 5F 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_47025_0 {
	meta:
		name = "CrunchFieldName"
		size = 100
		refs = "0010 @UStrAsg 0025 TCharacter.IsLetterOrDigit 004f @UStrDelete 0056 @UStrLen"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B D8 8B C7 8B D3 E8 ?? ?? ?? ?? BB 01 00 00 00 EB 38 8B 07 0F B7 74 58 FE 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0A 66 83 FE 5F 74 04 33 C0 EB 02 B0 01 88 45 FF 80 7D FF 00 74 03 43 EB 0E 8B C7 B9 01 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 3B D8 7E BD 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47026_0 {
	meta:
		name = "TWebDataInput.ImplGetHTMLControlName"
		size = 240
		refs = "0019 TWebDataInput.ImplGetHTMLControlName 0042 TWebDataInput.GetFieldName 0051 @UStrAsg 006e @CallDynaInst 008d CrunchFieldName 00a9 Format 00c3 @UStrArrayClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D EC 89 4D E8 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 FF 50 70 84 C0 74 2B 8B D7 8B C3 8B 08 FF 91 88 00 00 00 83 3F 00 75 70 8B D7 8B C3 E8 ?? ?? ?? ?? 83 3F 00 75 62 8B C7 8B 53 08 E8 ?? ?? ?? ?? EB 56 8B C7 8B 53 08 E8 ?? ?? ?? ?? 83 3F 00 75 47 57 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B 40 08 89 45 F0 C6 45 F4 11 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC 89 45 F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 5F 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_47027_0 {
	meta:
		name = "TWebDataInput.GetCaption"
		size = 70
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 40 00 75 2D 8B C6 8B 53 68 E8 ?? ?? ?? ?? 83 3E 00 75 0C 8B D6 8B C3 8B 08 FF 91 88 00 00 00 83 3E 00 75 17 8B C6 8B 53 08 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47028_0 {
	meta:
		name = "TWebDataInput.SetCaption"
		size = 96
		refs = "000e @UStrAddRef 0016 TWebDataInput.SetCaption 0027 @UStrEqual 0031 @UStrClr 003b TWebDataDisplay.SetCaption 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 53 68 E8 ?? ?? ?? ?? 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47029_0 {
	meta:
		name = "TWebDataInput.EventContent"
		size = 412
		refs = "001b TWebDataInput.EventContent 0028 @UStrClr 003b TWebDataDisplay.GetXmlDisplayName 0067 Format 0071 @UStrCat 00c9 @UStrArrayClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 5D F8 89 5D FC 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 06 FF 50 70 84 C0 75 76 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 50 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 45 E4 50 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 6D 00 6C 00 5F 00 72 00 65 00 61 00 64 00 79 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 20 00 6F 00 6E 00 46 00 6F 00 63 00 75 00 73 00 3D 00 27 00 69 00 66 00 28 00 25 00 73 00 29 00 25 00 73 00 2E 00 78 00 66 00 6F 00 63 00 75 00 73 00 28 00 74 00 68 00 69 00 73 00 29 00 3B 00 27 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 20 00 6F 00 6E 00 6B 00 65 00 79 00 64 00 6F 00 77 00 6E 00 3D 00 27 00 69 00 66 00 28 00 25 00 73 00 29 00 25 00 73 00 2E 00 6B 00 65 00 79 00 73 00 28 00 74 00 68 00 69 00 73 00 29 00 3B 00 27 00 00 00 }
	condition:
		$1
}

rule function_47030_0 {
	meta:
		name = "TWebDataInput.ImplRestoreDefaults"
		size = 176
		refs = "0012 TWebDataInput.ImplRestoreDefaults 0022 _DV_TXMLDataSetParent 0027 TXMLDataSet.Create 0042 TXMLDataSetParent.SetUseParent 004d TXMLDataSet.GetDataSet 0062 TObject.Free 0068 @HandleFinally 00a0 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D FC 00 74 1B 8B 55 FC 8B 45 F8 8B 08 FF 91 84 00 00 00 8B D0 8B 45 F8 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_47031_0 {
	meta:
		name = "TWebDataInput.FindAssociatedField"
		size = 180
		refs = "0013 @IntfAddRef 001b TWebDataInput.FindAssociatedField 002b TWebDataInput.GetFieldName 004d TFields.FindField 0099 @UStrArrayClr 00a1 @IntfClear 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 8B 10 FF 52 10 5A E8 ?? ?? ?? ?? 8B D8 EB 2E 8B 03 FF 50 70 84 C0 74 23 8D 55 F0 8B C3 8B 08 FF 91 88 00 00 00 8B 45 F0 50 8B 45 FC 8B 10 FF 52 10 5A E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47032_0 {
	meta:
		name = "TWebDataInput.RestoreFieldDefaults"
		size = 83
		refs = "000f TWebDataInput.RestoreFieldDefaults 0023 TField.GetDisplayName 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 14 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47033_0 {
	meta:
		name = "TAdapterNamedField.GetVariableName"
		size = 18
		altNames = "TWebDataInput.GetFieldName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 78 5E 5B C3 }
	condition:
		$1
}

rule function_47035_0 {
	meta:
		name = "TBaseAdapterAction.GetIsAdapterActionList"
		size = 6
		altNames = "TCustomActionControl.PositionChanged TCustomAdapter.HasViewAccess TWebDataInput.RestoreDefaults"
	strings:
		$1 = { 8B 10 FF 52 74 C3 }
	condition:
		$1
}

rule function_47036_0 {
	meta:
		name = "TWebDataInput.GetParamName"
		size = 42
		refs = "000c @UStrAsg 0023 TWebDataInput.GetFieldName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 6C E8 ?? ?? ?? ?? 83 3E 00 75 12 8B 03 FF 50 70 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47037_0 {
	meta:
		name = "TWebDataInput.SetParamName"
		size = 129
		refs = "000e @UStrAddRef 0016 TWebDataInput.SetParamName 0027 @UStrEqual 0034 @UStrAsg 003b TWebContainedComponent.GetWebParent 005c TWebDataInput.RestoreDefaults 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 53 6C E8 ?? ?? ?? ?? 74 33 8D 43 6C 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1D F6 43 1C 01 75 17 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47038_0 {
	meta:
		name = "TWebDataInput.GetRowSetFieldAttributes"
		size = 24
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 8B 18 FF 53 7C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_47040_0 {
	meta:
		name = "AddError"
		size = 82
		refs = "000b @UStrAddRef 0013 AddError 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 55 FC 8B 08 FF 51 28 8B 45 08 C6 40 FB 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_47041_0 {
	meta:
		name = "TWebDataInput.ValidateField"
		size = 317
		refs = "0027 @IntfAddRef 0037 TWebDataInput.ValidateField 004b TWebDataInput.GetFieldName 005e sFieldNameBlank 0063 LoadResString 007c Format 0084 AddError 00cd sFieldNotFound 0103 @UStrArrayClr 010b @UStrClr 0120 @IntfClear 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 33 DB 89 5D DC 89 5D C8 89 5D C4 89 5D EC 89 5D E8 89 5D F0 89 4D FC 89 55 F4 8B D8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 83 7D F0 00 75 36 55 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 43 08 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 58 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 59 EB 62 83 7D F4 00 74 5C 8B 55 F4 8B C3 8B 08 FF 91 84 00 00 00 85 C0 75 4B 55 8D 45 DC 50 8B 43 08 89 45 CC C6 45 D0 11 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 8B 45 C8 89 45 D4 C6 45 D8 11 8D 45 CC 50 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 0F B6 45 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47042_0 {
	meta:
		name = "TWebTextInput.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TWebDataDisplay.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 7C FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47043_0 {
	meta:
		name = "TWebTextInput.AddAttributes"
		size = 284
		refs = "000f TWebTextInput.AddAttributes 001f TWebDataDisplay.GetHTMLControlName 002e AddQuotedAttrib 003d AddIntAttrib 0074 AddCustomAttrib 0089 @UStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 4B 7C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 4B 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 4B 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 4B 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 74 00 61 00 62 00 69 00 6E 00 64 00 65 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_47044_0 {
	meta:
		name = "TWebTextInput.ControlContent"
		size = 216
		refs = "001b TWebTextInput.ControlContent 006a Format 0084 @UStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 8C 00 00 00 F6 46 04 01 75 0C 8D 4D F8 8B D6 8B C3 8B 18 FF 53 60 8B 45 F4 50 8B 45 FC 89 45 E4 C6 45 E8 11 8B 45 F8 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 3C 00 69 00 6E 00 70 00 75 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 54 00 45 00 58 00 54 00 25 00 30 00 3A 00 73 00 25 00 31 00 3A 00 73 00 3E 00 00 00 }
	condition:
		$1
}

rule function_47045_0 {
	meta:
		name = "TWebTextInput.RestoreFieldDefaults"
		size = 32
		refs = "000b TWebDataInput.RestoreFieldDefaults 0016 TField.GetDisplayWidth"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 F6 74 0A 8B C6 E8 ?? ?? ?? ?? 89 43 7C 5E 5B C3 }
	condition:
		$1
}

rule function_47046_0 {
	meta:
		name = "TWebTextInput.ImplGetRowSetFieldAttributes"
		size = 108
		refs = "0023 TWebTextInput.ImplGetRowSetFieldAttributes 0028 Format 0031 @UStrClr"
	strings:
		$1 = { 53 56 83 C4 F8 8B D9 8B F2 80 B8 80 00 00 00 00 74 1C 53 89 74 24 04 C6 44 24 08 11 8D 54 24 04 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 25 00 73 00 2E 00 72 00 65 00 61 00 64 00 6F 00 6E 00 6C 00 79 00 3D 00 74 00 72 00 75 00 65 00 3B 00 00 00 }
	condition:
		$1
}

rule function_47047_0 {
	meta:
		name = "TXMLDisplayReferenceButton.Create"
		size = 90
		refs = "000e @ClassCreate 001c TWebButton.Create 0025 _DV_TXMLDisplayParent 002a TXMLDisplayParent.Create 0038 TXMLDisplayParent.SetUseParent 0045 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 54 8B C6 B2 01 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47049_0 {
	meta:
		name = "TXMLDisplayReferenceButton.GetDisplayComponent"
		size = 8
	strings:
		$1 = { 8B 40 54 8B 10 FF 12 C3 }
	condition:
		$1
}

rule function_47050_0 {
	meta:
		name = "TXMLDisplayReferenceButton.GetDisplayComponentParent"
		size = 8
	strings:
		$1 = { 8B 40 54 0F B6 40 18 C3 }
	condition:
		$1
}

rule function_47051_0 {
	meta:
		name = "TXMLDisplayReferenceButton.SetDisplayComponent"
		size = 9
		refs = "0004 TWebDisplay.SetDisplayComponent"
	strings:
		$1 = { 8B 40 54 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47052_0 {
	meta:
		name = "TXMLDisplayReferenceButton.SetDisplayComponentParent"
		size = 9
		refs = "0004 TXMLDisplayParent.SetUseParent"
	strings:
		$1 = { 8B 40 54 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47053_0 {
	meta:
		name = "TXMLDisplayReferenceButton.GetXmlDisplayName"
		size = 132
		refs = "000d TXMLDisplayReferenceButton.GetXmlDisplayName 0028 @IntfClear 0036 TObject.GetInterface 004d @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 54 8B 10 FF 12 8B D8 85 DB 74 26 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 10 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 D6 5D 4C 39 52 F2 D2 11 AA 55 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_47054_0 {
	meta:
		name = "TXMLDisplayReferenceButton.Notification"
		size = 40
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 47 54 85 C0 74 09 8B CB 8B D6 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_47055_0 {
	meta:
		name = "TDataSetButton.AddElements"
		size = 75
		refs = "000e @IntfAddRef 0016 TDataSetButton.AddElements 003b @IntfClear 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47070_0 {
	meta:
		name = "TApplyUpdatesButton.AddElements"
		size = 75
		refs = "000e @IntfAddRef 0016 TApplyUpdatesButton.AddElements 003b @IntfClear 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47151_0 {
	meta:
		name = "TWebControlGroup.AddElements"
		size = 75
		refs = "000e @IntfAddRef 0016 TWebControlGroup.AddElements 003b @IntfClear 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47056_0 {
	meta:
		name = "TDataSetButton.GetCaption"
		size = 33
		refs = "000b TWebButton.GetCaption 001a @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 3E 00 75 0A 8B C6 8B 53 58 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47057_0 {
	meta:
		name = "TDataSetButton.GetMethodName"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 5C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49709_0 {
	meta:
		name = "TDefinition.GetMessages"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 5C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71973_0 {
	meta:
		name = "TTestDecorator.GetTest"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 5C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115017_0 {
	meta:
		name = "TXMLComplexContent.GetAttributeGroups"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 5C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47058_0 {
	meta:
		name = "TFirstButton.Create"
		size = 104
		refs = "000a @ClassCreate 0017 TXMLDisplayReferenceButton.Create 001f sFirstButton 0024 LoadResString 002c TFirstButton.Create 0031 @UStrAsg 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 56 58 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 69 00 72 00 73 00 74 00 00 00 }
	condition:
		$1
}

rule function_47059_0 {
	meta:
		name = "TLastButton.Create"
		size = 104
		refs = "000a @ClassCreate 0017 TXMLDisplayReferenceButton.Create 001f sLastButton 0024 LoadResString 002c TLastButton.Create 0031 @UStrAsg 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 56 58 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 61 00 73 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_47060_0 {
	meta:
		name = "TPriorButton.Create"
		size = 100
		refs = "000a @ClassCreate 0017 TXMLDisplayReferenceButton.Create 001f sPriorButton 0024 LoadResString 002c TPriorButton.Create 0031 @UStrAsg 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 56 58 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 75 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_47061_0 {
	meta:
		name = "TNextButton.Create"
		size = 104
		refs = "000a @ClassCreate 0017 TXMLDisplayReferenceButton.Create 001f sNextButton 0024 LoadResString 002c TNextButton.Create 0031 @UStrAsg 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 56 58 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 64 00 6F 00 77 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_47062_0 {
	meta:
		name = "TNextPageButton.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TXMLDisplayReferenceButton.Create 001f sNextPageButton 0024 LoadResString 002c TNextPageButton.Create 0031 @UStrAsg 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 56 58 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 70 00 67 00 64 00 6F 00 77 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_47063_0 {
	meta:
		name = "TPriorPageButton.Create"
		size = 104
		refs = "000a @ClassCreate 0017 TXMLDisplayReferenceButton.Create 001f sPriorPageButton 0024 LoadResString 002c TPriorPageButton.Create 0031 @UStrAsg 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 56 58 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 70 00 67 00 75 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_47064_0 {
	meta:
		name = "TInsertButton.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TXMLDisplayReferenceButton.Create 001f sInsertButton 0024 LoadResString 002c TInsertButton.Create 0031 @UStrAsg 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 56 58 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6E 00 65 00 77 00 52 00 6F 00 77 00 00 00 00 00 }
	condition:
		$1
}

rule function_47065_0 {
	meta:
		name = "TDeleteButton.Create"
		size = 112
		refs = "000a @ClassCreate 0017 TXMLDisplayReferenceButton.Create 001f sDeleteButton 0024 LoadResString 002c TDeleteButton.Create 0031 @UStrAsg 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 56 58 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 72 00 65 00 6D 00 6F 00 76 00 65 00 52 00 6F 00 77 00 00 00 }
	condition:
		$1
}

rule function_47066_0 {
	meta:
		name = "TUndoButton.Create"
		size = 104
		refs = "000a @ClassCreate 0017 TXMLDisplayReferenceButton.Create 001f sUndoButton 0024 LoadResString 002c TUndoButton.Create 0031 @UStrAsg 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 56 58 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 75 00 6E 00 64 00 6F 00 00 00 00 00 }
	condition:
		$1
}

rule function_47068_0 {
	meta:
		name = "TDataSetButton.ImplAddElements"
		size = 159
		refs = "0018 @IntfAddRef 0020 TDataSetButton.ImplAddElements 002d TXMLDisplayReferenceButton.GetDisplayComponent 0043 sXMLComponentNotDefined 0048 LoadResString 0061 Format 0086 @UStrArrayClr 008e @IntfClear 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D F8 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 75 3B 83 7B 08 00 74 35 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 08 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47069_0 {
	meta:
		name = "TDataSetButton.ImplContent"
		size = 692
		refs = "002b TDataSetButton.ImplContent 0041 AddQuotedAttrib 0076 AddCustomAttrib 0094 TXMLDisplayReferenceButton.GetXmlDisplayName 00d0 Format 00f8 @IntfClear 0106 TObject.GetInterface 012b @UStrAsg 0140 @UStrClr 014d @UStrArrayClr 016b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D BC 89 5D CC 89 5D C8 89 5D F0 89 5D FC 89 5D F8 8B F9 89 55 F4 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 4B 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 51 4C 8B 4D F0 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 44 E8 ?? ?? ?? ?? 8B 45 F4 F6 40 04 01 75 53 56 8B 45 FC 89 45 D0 C6 45 D4 11 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 89 45 D8 C6 45 DC 11 8D 55 C8 8B C3 8B 08 FF 51 5C 8B 45 C8 89 45 E0 C6 45 E4 11 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 55 D0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 56 8B 45 FC 89 45 C0 C6 45 C4 11 8D 55 C0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 74 3B 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 21 8D 45 BC 50 8B C3 8B 10 FF 52 54 8B C8 8B 16 8B 45 F8 8B 18 FF 53 0C 8B 55 BC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 6D 00 6C 00 5F 00 72 00 65 00 61 00 64 00 79 00 00 00 B0 04 02 00 FF FF FF FF 38 00 00 00 3C 00 69 00 6E 00 70 00 75 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 42 00 55 00 54 00 54 00 4F 00 4E 00 25 00 30 00 3A 00 73 00 20 00 6F 00 6E 00 63 00 6C 00 69 00 63 00 6B 00 3D 00 27 00 69 00 66 00 28 00 25 00 33 00 3A 00 73 00 29 00 25 00 31 00 3A 00 73 00 2E 00 25 00 32 00 3A 00 73 00 28 00 29 00 3B 00 27 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 3C 00 69 00 6E 00 70 00 75 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 42 00 55 00 54 00 54 00 4F 00 4E 00 25 00 30 00 3A 00 73 00 3E 00 0D 00 0A 00 00 00 D1 0E 81 4E 9B F0 D2 11 AA 53 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_47071_0 {
	meta:
		name = "TApplyUpdatesButton.Create"
		size = 66
		refs = "000a @ClassCreate 0017 TXMLButton.Create 001f sApplyUpdates 0024 LoadResString 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 56 54 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47073_0 {
	meta:
		name = "FindProducer"
		size = 54
		refs = "000d @CallDynaInst 001b _Dn_TCustomContentProducer 0020 @IsClass"
	strings:
		$1 = { 53 56 8B D8 EB 0D 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 DE 85 DB 74 05 8B C3 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_47074_0 {
	meta:
		name = "FindDispatcher"
		size = 44
		refs = "0009 @IntfClear 0016 FindProducer 0025 TCustomContentProducer.GetDispatcher"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? F6 43 1C 10 75 16 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47075_0 {
	meta:
		name = "DeclareSubmitForm"
		size = 1896
		refs = "0021 @IntfAddRef 0029 DeclareSubmitForm 0037 @UStrClr 0052 TWebDispatch.GetPathInfo 0068 @UStrCopy 0075 @UStrEqual 0089 @UStrDelete 0090 FindProducer 00a0 TCustomContentProducer.GetDispatcher 00aa @IntfClear 00d7 @UStrFromLStr 00ef @UStrCatN 00fd TXMLBroker.HTMLSubmitFormName 0123 Format 012e @UStrCat 03c3 TXMLBroker.SubmitFormVarName 043c @UStrArrayClr 0447 @LStrClr 045f @LStrArrayClr 04d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 13 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 85 DB 0F 84 D8 03 00 00 8D 55 F8 8B 43 38 E8 ?? ?? ?? ?? 8D 45 E4 50 B9 01 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0C 8D 55 E8 8B C6 E8 ?? ?? ?? ?? EB 08 8D 45 E8 E8 ?? ?? ?? ?? 83 7D E8 00 74 3F 8B 45 E8 8B 10 FF 52 0C 85 C0 74 33 8B 45 E8 8B 10 FF 52 0C 8D 55 DC 8B 08 FF 51 18 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? FF 75 F8 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 50 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8B 45 C4 89 45 C8 C6 45 CC 11 8B 45 F8 89 45 D0 C6 45 D4 11 8D 55 C8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 C0 50 B8 ?? ?? ?? ?? 89 45 A8 C6 45 AC 11 B8 ?? ?? ?? ?? 89 45 B0 C6 45 B4 11 8B 43 08 89 45 B8 C6 45 BC 11 8D 55 A8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 A4 50 B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 8D 55 C8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 A0 50 B8 ?? ?? ?? ?? 89 45 A8 C6 45 AC 11 B8 ?? ?? ?? ?? 89 45 B0 C6 45 B4 11 8B 46 08 89 45 B8 C6 45 BC 11 8D 55 A8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 8D 45 F0 E8 ?? ?? ?? ?? 83 7D E8 00 0F 84 8D 01 00 00 8B 45 E8 8B 10 FF 52 0C 85 C0 0F 84 7D 01 00 00 83 7D E8 00 74 5B 8B 45 E8 8B 10 FF 52 0C 85 C0 74 4F 8D 45 F4 50 8B 45 E8 8B 10 FF 52 0C 8D 4D 9C BA 0A 00 00 00 8B 30 FF 56 04 8B 45 9C 89 45 C8 C6 45 CC 0B 8B 45 E8 8B 10 FF 52 0C 8D 55 98 8B 08 FF 51 18 8B 45 98 89 45 D0 C6 45 D4 0B 8D 55 C8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 0C 8D 55 94 8B 08 FF 51 10 8B 45 94 89 45 90 8B 45 90 85 C0 74 05 83 E8 04 8B 00 48 7E 4F 83 7D F4 00 74 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 8C 50 8B 45 E8 8B 10 FF 52 0C 8D 55 84 8B 08 FF 51 10 8B 55 84 8D 45 88 E8 ?? ?? ?? ?? 8B 45 88 B9 FF FF FF 7F BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 55 8C 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 0C 8D 4D 80 BA 03 00 00 00 8B 30 FF 56 04 83 7D 80 00 74 44 FF 75 F4 68 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 0C 8D 8D 78 FF FF FF BA 03 00 00 00 8B 30 FF 56 04 8B 95 78 FF FF FF 8D 85 7C FF FF FF E8 ?? ?? ?? ?? FF B5 7C FF FF FF 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 74 FF FF FF 50 B8 ?? ?? ?? ?? 89 45 A8 C6 45 AC 11 B8 ?? ?? ?? ?? 89 45 B0 C6 45 B4 11 8B 45 F4 89 45 B8 C6 45 BC 11 8D 55 A8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 70 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 8B 4D F0 8B 45 FC 8B 30 FF 56 1C 8D 85 6C FF FF FF 50 8D 95 68 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 89 45 C8 C6 45 CC 11 8D 95 64 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 89 45 D0 C6 45 D4 11 8D 55 C8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 50 8D 95 60 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8B 45 FC 59 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 60 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 88 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 94 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 A0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 54 FF FF FF 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 0D 00 0A 00 3C 00 66 00 6F 00 72 00 6D 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 25 00 30 00 3A 00 73 00 20 00 61 00 63 00 74 00 69 00 6F 00 6E 00 3D 00 22 00 25 00 31 00 3A 00 73 00 22 00 20 00 6D 00 65 00 74 00 68 00 6F 00 64 00 3D 00 22 00 50 00 4F 00 53 00 54 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 58 00 4D 00 4C 00 42 00 52 00 4F 00 4B 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 32 00 00 00 25 00 30 00 3A 00 73 00 3C 00 69 00 6E 00 70 00 75 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 48 00 49 00 44 00 44 00 45 00 4E 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 25 00 31 00 3A 00 73 00 22 00 20 00 76 00 61 00 6C 00 75 00 65 00 3D 00 22 00 25 00 32 00 3A 00 73 00 22 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 70 00 6F 00 73 00 74 00 64 00 65 00 6C 00 74 00 61 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 25 00 30 00 3A 00 73 00 3C 00 69 00 6E 00 70 00 75 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 48 00 49 00 44 00 44 00 45 00 4E 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 25 00 31 00 3A 00 73 00 22 00 3E 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 52 00 4F 00 44 00 55 00 43 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 25 00 73 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 45 00 44 00 49 00 52 00 45 00 43 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 2F 00 66 00 6F 00 72 00 6D 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 76 00 61 00 72 00 20 00 25 00 30 00 3A 00 73 00 20 00 3D 00 20 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 66 00 6F 00 72 00 6D 00 73 00 5B 00 27 00 25 00 31 00 3A 00 73 00 27 00 5D 00 3B 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_47076_0 {
	meta:
		name = "TApplyUpdatesButton.ImplAddElements"
		size = 85
		refs = "000e @IntfAddRef 0016 TApplyUpdatesButton.ImplAddElements 0030 DeclareSubmitForm 0045 @IntfClear 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 58 8B 10 FF 52 08 8B D0 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47077_0 {
	meta:
		name = "TApplyUpdatesButton.ImplContent"
		size = 748
		refs = "002b TApplyUpdatesButton.ImplContent 0041 AddQuotedAttrib 0076 AddCustomAttrib 0092 TXMLBroker.SubmitFormVarName 00a4 TXMLBroker.RowSetVarName 00ea Format 0112 @IntfClear 0120 TObject.GetInterface 0145 @UStrAsg 015a @UStrClr 0177 @UStrArrayClr 017d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D BC 89 5D E8 89 5D FC 89 5D F0 89 5D F8 89 5D F4 8B F9 89 55 EC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 4B 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 08 FF 51 4C 8B 4D E8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 44 E8 ?? ?? ?? ?? 8B 43 58 8B 10 FF 52 08 85 C0 74 22 8B 43 58 8B 10 FF 52 08 8D 55 F8 E8 ?? ?? ?? ?? 8B 43 58 8B 10 FF 52 08 8D 4D F4 33 D2 E8 ?? ?? ?? ?? 8B 45 EC F6 40 04 01 75 3F 56 8B 45 FC 89 45 C8 C6 45 CC 11 8B 45 F4 89 45 D0 C6 45 D4 11 8B 45 F8 89 45 D8 C6 45 DC 11 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 55 C8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 56 8B 45 FC 89 45 C0 C6 45 C4 11 8D 55 C0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 74 3B 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 21 8D 45 BC 50 8B C3 8B 10 FF 52 54 8B C8 8B 16 8B 45 F0 8B 18 FF 53 0C 8B 55 BC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 6D 00 6C 00 5F 00 72 00 65 00 61 00 64 00 79 00 00 00 B0 04 02 00 FF FF FF FF 4D 00 00 00 3C 00 69 00 6E 00 70 00 75 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 42 00 55 00 54 00 54 00 4F 00 4E 00 25 00 30 00 3A 00 73 00 20 00 6F 00 6E 00 63 00 6C 00 69 00 63 00 6B 00 3D 00 27 00 69 00 66 00 28 00 25 00 33 00 3A 00 73 00 29 00 25 00 31 00 3A 00 73 00 2E 00 41 00 70 00 70 00 6C 00 79 00 28 00 25 00 32 00 3A 00 73 00 2C 00 20 00 25 00 32 00 3A 00 73 00 2E 00 70 00 6F 00 73 00 74 00 64 00 65 00 6C 00 74 00 61 00 29 00 3B 00 27 00 3E 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 3C 00 69 00 6E 00 70 00 75 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 42 00 55 00 54 00 54 00 4F 00 4E 00 25 00 30 00 3A 00 73 00 3E 00 0D 00 0A 00 00 00 D1 0E 81 4E 9B F0 D2 11 AA 53 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_47078_0 {
	meta:
		name = "TXMLButton.Create"
		size = 90
		refs = "000e @ClassCreate 001c TWebButton.Create 0025 _DV_TXMLDataParent 002a TXMLData.Create 0038 TXMLDataParent.SetUseParent 0045 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 58 8B C6 B2 01 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47080_0 {
	meta:
		name = "TXMLButton.GetCaption"
		size = 33
		refs = "000b TWebButton.GetCaption 001a @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 3E 00 75 0A 8B C6 8B 53 54 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47081_0 {
	meta:
		name = "TXMLButton.GetXMLBroker"
		size = 9
		altNames = "TXMLDisplayGroup.GetXMLBroker"
	strings:
		$1 = { 8B 40 58 8B 10 FF 52 08 C3 }
	condition:
		$1
}

rule function_47082_0 {
	meta:
		name = "TXMLButton.GetXMLUseParent"
		size = 8
	strings:
		$1 = { 8B 40 58 0F B6 40 18 C3 }
	condition:
		$1
}

rule function_47083_0 {
	meta:
		name = "TXMLButton.Notification"
		size = 40
		refs = "0010 TComponent.Notification"
		altNames = "TXMLDisplayGroup.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 47 58 85 C0 74 09 8B CB 8B D6 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_47086_0 {
	meta:
		name = "TWebTextAreaInput.Create"
		size = 77
		refs = "000a @ClassCreate 0017 TWebDataDisplay.Create 003a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 80 00 00 00 FF FF FF FF C7 86 84 00 00 00 FF FF FF FF C6 46 7D 02 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47087_0 {
	meta:
		name = "TWebTextAreaInput.AddAttributes"
		size = 376
		refs = "000f TWebTextAreaInput.AddAttributes 001f TWebDataDisplay.GetHTMLControlName 002e AddQuotedAttrib 0040 AddIntAttrib 006c TextAreaWrap 0078 AddStringAttrib 00a0 AddCustomAttrib 00b5 @UStrClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 8B 80 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 8B 84 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 4B 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 43 7D 8B 0C 85 ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 4B 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 4B 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6C 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 72 00 6F 00 77 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 74 00 61 00 62 00 69 00 6E 00 64 00 65 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 77 00 72 00 61 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_47088_0 {
	meta:
		name = "TWebTextAreaInput.ControlContent"
		size = 224
		refs = "001b TWebTextAreaInput.ControlContent 006a Format 0084 @UStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 8C 00 00 00 F6 46 04 01 75 0C 8D 4D F8 8B D6 8B C3 8B 18 FF 53 60 8B 45 F4 50 8B 45 FC 89 45 E4 C6 45 E8 11 8B 45 F8 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 3C 00 74 00 65 00 78 00 74 00 61 00 72 00 65 00 61 00 25 00 30 00 3A 00 73 00 25 00 31 00 3A 00 73 00 3E 00 3C 00 2F 00 74 00 65 00 78 00 74 00 61 00 72 00 65 00 61 00 3E 00 00 00 }
	condition:
		$1
}

rule function_47089_0 {
	meta:
		name = "TWebTextAreaInput.EventContent"
		size = 268
		refs = "0018 TWebTextAreaInput.EventContent 0025 @UStrClr 0038 TWebDataDisplay.GetXmlDisplayName 0064 Format 006e @UStrCat 0088 @UStrArrayClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D F8 89 5D FC 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 03 FF 50 70 84 C0 75 40 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 6D 00 6C 00 5F 00 72 00 65 00 61 00 64 00 79 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 20 00 6F 00 6E 00 46 00 6F 00 63 00 75 00 73 00 3D 00 27 00 69 00 66 00 28 00 25 00 73 00 29 00 25 00 73 00 2E 00 78 00 66 00 6F 00 63 00 75 00 73 00 28 00 74 00 68 00 69 00 73 00 29 00 3B 00 27 00 00 00 }
	condition:
		$1
}

rule function_47107_0 {
	meta:
		name = "TWebRadioGroupInput.EventContent"
		size = 268
		refs = "0018 TWebRadioGroupInput.EventContent 0025 @UStrClr 0038 TWebDataDisplay.GetXmlDisplayName 0064 Format 006e @UStrCat 0088 @UStrArrayClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D F8 89 5D FC 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 03 FF 50 70 84 C0 75 40 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 6D 00 6C 00 5F 00 72 00 65 00 61 00 64 00 79 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 20 00 6F 00 6E 00 46 00 6F 00 63 00 75 00 73 00 3D 00 27 00 69 00 66 00 28 00 25 00 73 00 29 00 25 00 73 00 2E 00 78 00 66 00 6F 00 63 00 75 00 73 00 28 00 74 00 68 00 69 00 73 00 29 00 3B 00 27 00 00 00 }
	condition:
		$1
}

rule function_47110_0 {
	meta:
		name = "TWebSelectOptionsInput.EventContent"
		size = 268
		refs = "0018 TWebSelectOptionsInput.EventContent 0025 @UStrClr 0038 TWebDataDisplay.GetXmlDisplayName 0064 Format 006e @UStrCat 0088 @UStrArrayClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D F8 89 5D FC 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 03 FF 50 70 84 C0 75 40 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 6D 00 6C 00 5F 00 72 00 65 00 61 00 64 00 79 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 20 00 6F 00 6E 00 46 00 6F 00 63 00 75 00 73 00 3D 00 27 00 69 00 66 00 28 00 25 00 73 00 29 00 25 00 73 00 2E 00 78 00 66 00 6F 00 63 00 75 00 73 00 28 00 74 00 68 00 69 00 73 00 29 00 3B 00 27 00 00 00 }
	condition:
		$1
}

rule function_47090_0 {
	meta:
		name = "TWebTextAreaInput.RestoreFieldDefaults"
		size = 35
		refs = "000b TWebDataInput.RestoreFieldDefaults 0016 TField.GetDisplayWidth"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 F6 74 0D 8B C6 E8 ?? ?? ?? ?? 89 83 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_47091_0 {
	meta:
		name = "TWebTextAreaInput.ImplGetRowSetFieldAttributes"
		size = 104
		refs = "0020 TWebTextAreaInput.ImplGetRowSetFieldAttributes 0025 Format 002e @UStrClr"
	strings:
		$1 = { 53 56 83 C4 F8 8B D9 8B F2 80 78 7C 00 74 1C 53 89 74 24 04 C6 44 24 08 11 8D 54 24 04 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 25 00 73 00 2E 00 72 00 65 00 61 00 64 00 6F 00 6E 00 6C 00 79 00 3D 00 74 00 72 00 75 00 65 00 3B 00 00 00 }
	condition:
		$1
}

rule function_47092_0 {
	meta:
		name = "TWebListInput.Create"
		size = 86
		refs = "000a @ClassCreate 0017 TWebDataDisplay.Create 001e _Dn_TStringList 0023 TStringList.Create 0043 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 7C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47093_0 {
	meta:
		name = "TWebListInput.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 000f TObject.Free 0025 TWebDataDisplay.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 7C E8 ?? ?? ?? ?? 8B 86 80 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47094_0 {
	meta:
		name = "TWebListInput.ControlContent"
		size = 152
		refs = "002a GetItemValuesFromDataSet 0036 TWebListInput.ControlContent 0066 TObject.Free 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D FC 8B F2 8B D8 8D 45 F4 50 8D 45 F8 50 8B 8B 88 00 00 00 8B 93 8C 00 00 00 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 48 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 45 FC 50 8B 4D F8 8B 55 F4 8B C3 8B 18 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 56 8B 45 FC 50 8B 4B 7C 8B 93 80 00 00 00 8B C3 8B 18 FF 93 90 00 00 00 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47096_0 {
	meta:
		name = "TWebListInput.SetValues"
		size = 19
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 7C 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_47097_0 {
	meta:
		name = "TWebListInput.SetDataSet"
		size = 54
		refs = "001d TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 84 00 00 00 74 25 89 B3 84 00 00 00 85 F6 74 1B 8B D3 8B C6 E8 ?? ?? ?? ?? F6 43 1C 01 75 0C B2 01 8B C6 8B 08 FF 91 B4 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_47098_0 {
	meta:
		name = "TWebListInput.Notification"
		size = 46
		refs = "0010 TComponent.Notification 0026 TWebListInput.SetDataSet"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 11 3B B7 84 00 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_47099_0 {
	meta:
		name = "TWebListInput.AddElements"
		size = 78
		refs = "000e @IntfAddRef 0016 TWebListInput.AddElements 003e @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 91 8C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47101_0 {
	meta:
		name = "TWebListInput.ImplAddElements"
		size = 171
		refs = "0019 @IntfAddRef 0021 TWebListInput.ImplAddElements 0038 TDataSet.GetActive 0048 sDataSetNotActive 004d LoadResString 006c Format 0091 @UStrArrayClr 0099 @IntfClear 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D F8 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 84 00 00 00 85 F6 74 46 8B C6 E8 ?? ?? ?? ?? 84 C0 75 3B 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 83 84 00 00 00 8B 40 08 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47102_0 {
	meta:
		name = "TWebRadioGroupInput.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TWebListInput.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 98 00 00 00 FF FF FF FF C7 86 9C 00 00 00 FF FF FF FF C7 86 9C 00 00 00 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47103_0 {
	meta:
		name = "TWebRadioGroupInput.AddAttributes"
		size = 208
		refs = "000f TWebRadioGroupInput.AddAttributes 001f TWebDataDisplay.GetHTMLControlName 002e AddQuotedAttrib 0040 AddIntAttrib 0059 AddCustomAttrib 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 8B 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 4B 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 77 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 74 00 61 00 62 00 69 00 6E 00 64 00 65 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_47104_0 {
	meta:
		name = "TWebRadioGroupInput.FormatInputs"
		size = 1516
		refs = "003e TWebRadioGroupInput.FormatInputs 0051 @UStrClr 00af Format 013e @UStrAsg 01b9 @UStrLAsg 01d1 AddQuotedAttrib 01e4 AddBoolAttrib 0248 @UStrCat 0403 @UStrArrayClr 0426 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 53 56 57 33 DB 89 9D 78 FF FF FF 89 9D 7C FF FF FF 89 5D A0 89 5D AC 89 5D FC 89 5D F8 89 5D F4 89 5D F0 89 5D EC 89 5D E8 89 4D E0 8B F2 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 CC 8B 45 08 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 14 85 C0 0F 8E 86 03 00 00 8D 55 F4 8B 45 E4 8B 08 FF 91 94 00 00 00 8B 45 0C F6 40 04 01 75 0E 8D 4D EC 8B 55 0C 8B 45 E4 8B 18 FF 53 60 8D 45 FC 50 8B 45 F4 89 45 B0 C6 45 B4 11 8B 45 EC 89 45 B8 C6 45 BC 11 8D 55 B0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 8B D6 8B 45 E4 8B 18 FF 93 98 00 00 00 89 45 C8 8B 45 E4 83 B8 9C 00 00 00 00 0F 8E F5 01 00 00 8B C6 8B 10 FF 52 14 8B 55 E4 8B 92 9C 00 00 00 3B C2 7E 02 8B C2 89 45 D4 8B C6 8B 10 FF 52 14 03 45 D4 48 99 F7 7D D4 89 45 D0 8B 45 D0 48 85 C0 0F 8C 4E 01 00 00 40 89 45 C4 C7 45 DC 00 00 00 00 8D 45 AC 50 8B 45 08 8B 00 89 45 A4 C6 45 A8 11 8D 55 A4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 D4 48 85 C0 0F 8C F1 00 00 00 40 89 45 C0 C7 45 D8 00 00 00 00 8B 5D D0 0F AF 5D D8 03 5D DC 03 5D CC 8B C6 8B 10 FF 52 14 3B D8 0F 8D BE 00 00 00 8D 4D F0 8B D3 8B C6 8B 38 FF 57 0C 8B 55 F0 8B C6 8B 08 FF 51 54 3B D8 74 08 FF 45 CC E9 9C 00 00 00 8B 45 E0 8B 10 FF 52 14 3B D8 7D 0F 8D 4D F8 8B D3 8B 45 E0 8B 38 FF 57 0C EB 0B 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 5D C8 0F 94 C1 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A0 50 8B 45 08 8B 00 89 45 80 C6 45 84 11 8B 45 FC 89 45 88 C6 45 8C 11 8B 45 E8 89 45 90 C6 45 94 11 8B 45 F0 89 45 98 C6 45 9C 11 8D 55 80 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 8B 45 08 E8 ?? ?? ?? ?? FF 45 D8 FF 4D C0 0F 85 1A FF FF FF 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 FF 45 DC FF 4D C4 0F 85 BD FE FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 E4 8B 48 54 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 8B 48 5C 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 7C FF FF FF 50 8B 45 F4 89 45 B0 C6 45 B4 11 8B 45 08 8B 00 89 45 B8 C6 45 BC 11 8D 55 B0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B 45 08 E8 ?? ?? ?? ?? E9 1F 01 00 00 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 E4 8B 48 54 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 8B 48 5C 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 8B 40 58 83 C0 08 8B 55 F4 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 14 48 85 C0 0F 8C D0 00 00 00 40 89 45 C4 33 DB 8D 4D F0 8B D3 8B C6 8B 38 FF 57 0C 8B 55 F0 8B C6 8B 08 FF 51 54 3B D8 0F 85 A2 00 00 00 8B 45 E0 8B 10 FF 52 14 3B D8 7D 0F 8D 4D F8 8B D3 8B 45 E0 8B 38 FF 57 0C EB 0B 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 5D C8 0F 94 C1 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 50 8B 45 08 8B 00 89 45 80 C6 45 84 11 8B 45 FC 89 45 88 C6 45 8C 11 8B 45 E8 89 45 90 C6 45 94 11 8B 45 F0 89 45 98 C6 45 9C 11 8D 55 80 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8B 45 08 E8 ?? ?? ?? ?? 43 FF 4D C4 0F 85 36 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 3C 00 69 00 6E 00 70 00 75 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 52 00 41 00 44 00 49 00 4F 00 25 00 30 00 3A 00 73 00 25 00 31 00 3A 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 30 00 3A 00 73 00 3C 00 74 00 72 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 65 00 63 00 6B 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 25 00 30 00 3A 00 73 00 3C 00 74 00 64 00 3E 00 25 00 31 00 3A 00 73 00 25 00 32 00 3A 00 73 00 3E 00 25 00 33 00 3A 00 73 00 3C 00 2F 00 69 00 6E 00 70 00 75 00 74 00 3E 00 3C 00 2F 00 74 00 64 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 74 00 72 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 0D 00 0A 00 3C 00 74 00 61 00 62 00 6C 00 65 00 25 00 73 00 3E 00 25 00 73 00 3C 00 2F 00 74 00 61 00 62 00 6C 00 65 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 25 00 30 00 3A 00 73 00 20 00 25 00 31 00 3A 00 73 00 25 00 32 00 3A 00 73 00 3E 00 25 00 33 00 3A 00 73 00 3C 00 2F 00 69 00 6E 00 70 00 75 00 74 00 3E 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_47105_0 {
	meta:
		name = "TWebRadioGroupInput.RestoreFieldDefaults"
		size = 35
		refs = "000b TWebDataInput.RestoreFieldDefaults 0016 TField.GetDisplayWidth"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 F6 74 0D 8B C6 E8 ?? ?? ?? ?? 89 83 98 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_47108_0 {
	meta:
		name = "TWebRadioGroupInput.ImplGetRowSetFieldAttributes"
		size = 108
		refs = "0023 TWebRadioGroupInput.ImplGetRowSetFieldAttributes 0028 Format 0031 @UStrClr"
	strings:
		$1 = { 53 56 83 C4 F8 8B D9 8B F2 80 B8 94 00 00 00 00 74 1C 53 89 74 24 04 C6 44 24 08 11 8D 54 24 04 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 25 00 73 00 2E 00 72 00 65 00 61 00 64 00 6F 00 6E 00 6C 00 79 00 3D 00 74 00 72 00 75 00 65 00 3B 00 00 00 }
	condition:
		$1
}

rule function_47109_0 {
	meta:
		name = "TWebSelectOptionsInput.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TWebListInput.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 94 00 00 00 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47111_0 {
	meta:
		name = "TWebSelectOptionsInput.AddAttributes"
		size = 288
		refs = "000f TWebSelectOptionsInput.AddAttributes 001f TWebDataDisplay.GetHTMLControlName 002e AddQuotedAttrib 0040 AddIntAttrib 0077 AddCustomAttrib 008c @UStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 8B 94 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 4B 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 4B 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 4B 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 74 00 61 00 62 00 69 00 6E 00 64 00 65 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_47113_0 {
	meta:
		name = "TWebSelectOptionsInput.FormatInputs"
		size = 676
		refs = "002f TWebSelectOptionsInput.FormatInputs 003c @UStrClr 0086 Format 00f6 @UStrLAsg 010e AddQuotedAttrib 0121 AddBoolAttrib 015e @UStrAsg 01b8 @UStrArrayClr 01be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 33 DB 89 5D AC 89 5D C8 89 5D FC 89 5D F8 89 5D F4 89 5D F0 89 5D EC 89 4D E4 89 55 E8 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 91 94 00 00 00 8B 45 0C F6 40 04 01 75 0D 8D 4D F0 8B 55 0C 8B C3 8B 38 FF 57 60 56 8B 45 FC 89 45 CC C6 45 D0 11 8B 45 F0 89 45 D4 C6 45 D8 11 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8B 55 E8 8B C3 8B 18 FF 93 98 00 00 00 89 45 E0 8B 45 E8 8B 10 FF 52 14 48 85 C0 0F 8C BE 00 00 00 40 89 45 DC 33 DB 8D 4D F4 8B D3 8B 45 E8 8B 38 FF 57 0C 8B 55 F4 8B 45 E8 8B 08 FF 51 54 3B D8 0F 85 8E 00 00 00 8B 45 E4 8B 10 FF 52 14 3B D8 7D 0F 8D 4D F8 8B D3 8B 45 E4 8B 38 FF 57 0C EB 0B 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 EC 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 5D E0 0F 94 C1 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 50 8B 06 89 45 B0 C6 45 B4 11 8B 45 EC 89 45 B8 C6 45 BC 11 8B 45 F4 89 45 C0 C6 45 C4 11 8D 55 B0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B C6 E8 ?? ?? ?? ?? 43 FF 4D DC 0F 85 48 FF FF FF 8D 45 AC 50 8B 06 89 45 A4 C6 45 A8 11 8D 55 A4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 3C 00 73 00 65 00 6C 00 65 00 63 00 74 00 25 00 30 00 3A 00 73 00 25 00 31 00 3A 00 73 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 25 00 30 00 3A 00 73 00 20 00 3C 00 6F 00 70 00 74 00 69 00 6F 00 6E 00 25 00 31 00 3A 00 73 00 3E 00 25 00 32 00 3A 00 73 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 25 00 30 00 3A 00 73 00 3C 00 2F 00 73 00 65 00 6C 00 65 00 63 00 74 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_47114_0 {
	meta:
		name = "TPostButton.Create"
		size = 104
		refs = "000a @ClassCreate 0017 TXMLDisplayReferenceButton.Create 001f sPostButton 0024 LoadResString 002c TPostButton.Create 0031 @UStrAsg 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 56 58 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 70 00 6F 00 73 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_47115_0 {
	meta:
		name = "TCustomQueryForm.ImplAddElements"
		size = 276
		refs = "001b @IntfAddRef 0023 TCustomQueryForm.ImplAddElements 0033 TWebForm.ImplAddElements 0041 TWebForm.GetHTMLFormVarName 0055 TWebForm.GetHTMLFormName 0071 Format 0098 @UStrArrayClr 00a0 @UStrClr 00a8 @IntfClear 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 C9 89 4D F8 89 4D E4 89 4D E0 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 33 D2 8B 45 FC 8B 18 FF 53 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 76 00 61 00 72 00 20 00 25 00 30 00 3A 00 73 00 20 00 3D 00 20 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 66 00 6F 00 72 00 6D 00 73 00 5B 00 27 00 25 00 31 00 3A 00 73 00 27 00 5D 00 3B 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_47116_0 {
	meta:
		name = "TCustomQueryForm.GetHTMLFormTag"
		size = 380
		refs = "0017 TCustomQueryForm.GetHTMLFormTag 0027 TWebForm.GetHTMLFormName 0037 AddStringAttrib 0047 AddQuotedAttrib 0071 TCustomQueryForm.MethodString 008c AddCustomAttrib 00a6 Format 00c0 @UStrArrayClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 48 E8 ?? ?? ?? ?? 56 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 61 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6D 00 65 00 74 00 68 00 6F 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 0D 00 0A 00 3C 00 66 00 6F 00 72 00 6D 00 25 00 30 00 3A 00 73 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_47117_0 {
	meta:
		name = "TCustomQueryForm.MethodString"
		size = 27
		refs = "000f FormMethodNames 0014 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 0F B6 53 6C 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47118_0 {
	meta:
		name = "TCustomQueryForm.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TWebForm.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 6C 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47119_0 {
	meta:
		name = "TCustomQueryForm.AssignStringsCallback"
		size = 208
		refs = "0014 TCustomQueryForm.AssignStringsCallback 0022 @IntfClear 0030 TObject.GetInterface 005e TStrings.GetName 006c TStrings.GetValue 008b @CallDynaInst 00a5 @UStrArrayClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 43 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 8B 55 F8 8B 43 70 8B 08 FF 51 58 8B F8 83 FF FF 74 26 8D 4D F0 8B D7 8B 43 70 E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F4 8B 43 70 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 1C 53 68 ?? ?? ?? ?? 8B 53 04 8B C6 66 BE FD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 15 11 32 7C FB FC D2 11 AF C3 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_47120_0 {
	meta:
		name = "TCustomQueryForm.AssignStrings"
		size = 103
		refs = "0020 TCustomQueryForm.AssignStrings 002f TCustomQueryForm.AssignStringsCallback 0041 @CallDynaInst 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B C3 8B 10 FF 52 14 85 C0 7E 4C 8B 45 FC 89 58 70 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 70 C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47121_0 {
	meta:
		name = "TSubmitQueryButton.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TQueryButton.Create 001f sSubmitQuery 0024 LoadResString 002c TSubmitQueryButton.Create 0031 @UStrAsg 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 56 60 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 55 00 54 00 54 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_47123_0 {
	meta:
		name = "TResetQueryButton.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TQueryButton.Create 001f sResetQuery 0024 LoadResString 002c TResetQueryButton.Create 0031 @UStrAsg 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 56 60 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 55 00 54 00 54 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_47122_0 {
	meta:
		name = "TSubmitQueryButton.EventContent"
		size = 196
		refs = "0018 TSubmitQueryButton.EventContent 0028 TQueryButton.GetHTMLForm 0053 Format 0068 @UStrClr 0070 @IntfClear 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 89 5D F8 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 0B 8D 55 F8 8B 45 FC 8B 08 FF 51 10 56 8B 45 F8 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 20 00 6F 00 6E 00 63 00 6C 00 69 00 63 00 6B 00 3D 00 27 00 25 00 30 00 3A 00 73 00 2E 00 73 00 75 00 62 00 6D 00 69 00 74 00 28 00 29 00 3B 00 27 00 00 00 }
	condition:
		$1
}

rule function_47124_0 {
	meta:
		name = "TResetQueryButton.EventContent"
		size = 196
		refs = "0018 TResetQueryButton.EventContent 0028 TQueryButton.GetHTMLForm 0053 Format 0068 @UStrClr 0070 @IntfClear 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 89 5D F8 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 0B 8D 55 F8 8B 45 FC 8B 08 FF 51 10 56 8B 45 F8 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 20 00 6F 00 6E 00 63 00 6C 00 69 00 63 00 6B 00 3D 00 27 00 25 00 30 00 3A 00 73 00 2E 00 72 00 65 00 73 00 65 00 74 00 28 00 29 00 3B 00 27 00 00 00 00 00 }
	condition:
		$1
}

rule function_47125_0 {
	meta:
		name = "TQueryButton.GetCaption"
		size = 34
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 54 E8 ?? ?? ?? ?? 83 3E 00 75 0A 8B C6 8B 53 60 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47127_0 {
	meta:
		name = "TQueryButton.ImplContent"
		size = 516
		refs = "002c TQueryButton.ImplContent 003a @UStrClr 006a AddStringAttrib 0084 AddQuotedAttrib 00af AddCustomAttrib 00d6 Format 00e4 @IntfClear 00f3 TObject.GetInterface 0118 @UStrAsg 013a @UStrArrayClr 0155 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D E4 89 5D E8 89 5D FC 89 5D F4 89 5D F8 89 4D EC 89 55 F0 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F0 F6 40 04 01 75 0D 8D 4D F8 8B 55 F0 8B C3 8B 38 FF 57 60 8D 55 E8 8B C3 8B 08 FF 51 58 8B 4D E8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8B C3 8B 08 FF 51 4C 8B 4D E4 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 44 E8 ?? ?? ?? ?? 56 8B 45 FC 89 45 D4 C6 45 D8 11 8B 45 F8 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D EC 00 74 3C 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 21 8D 45 D0 50 8B C3 8B 10 FF 52 54 8B C8 8B 16 8B 45 F4 8B 18 FF 53 0C 8B 55 D0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 3C 00 69 00 6E 00 70 00 75 00 74 00 25 00 30 00 3A 00 73 00 25 00 31 00 3A 00 73 00 3E 00 0D 00 0A 00 00 00 D1 0E 81 4E 9B F0 D2 11 AA 53 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_47130_0 {
	meta:
		name = "TQueryButton.GetHTMLForm"
		size = 76
		refs = "0009 TQueryButton.GetXMLComponent 001c @IntfClear 0023 TQueryButton.GetHTMLForm 0029 TObject.GetInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 D7 5D 4C 39 52 F2 D2 11 AA 55 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_47131_0 {
	meta:
		name = "TQueryButton.ParentXMLComponent"
		size = 136
		refs = "000b TQueryButton.ParentXMLComponent 001a @CallDynaInst 0028 @IntfClear 0036 TObject.GetInterface 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 2B 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 13 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 75 D5 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 00 4B 7A 09 95 12 3A D3 11 B0 1B 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_47132_0 {
	meta:
		name = "TQueryButton.GetXMLComponent"
		size = 16
		refs = "000b TQueryButton.ParentXMLComponent"
	strings:
		$1 = { 80 78 5C 00 75 04 8B 40 58 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47133_0 {
	meta:
		name = "TQueryButton.SetXMLComponent"
		size = 24
		refs = "0013 TComponent.FreeNotification"
	strings:
		$1 = { F6 40 1C 01 75 04 C6 40 5C 00 89 50 58 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47134_0 {
	meta:
		name = "TQueryButton.Notification"
		size = 43
		refs = "0010 TComponent.Notification 0023 TQueryButton.SetXMLComponent"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0E 3B 77 58 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_47135_0 {
	meta:
		name = "TQueryButton.SetXMLUseParent"
		size = 13
	strings:
		$1 = { 84 D2 74 05 33 C9 89 48 58 88 50 5C C3 }
	condition:
		$1
}

rule function_47136_0 {
	meta:
		name = "TQueryButton.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TWebButton.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 5C 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47137_0 {
	meta:
		name = "TCustomQueryButtons.GetDefaultButtons"
		size = 52
		refs = "000e _Dn_TWebComponentList 0013 TWebComponentList.Create 001d TWebContainedContainerComponent.GetWebComponents 0024 DefaultQueryButtons 002e CreateDefaultButtonClasses"
	strings:
		$1 = { 53 8B D8 83 7B 48 00 75 29 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 48 8B C3 E8 ?? ?? ?? ?? 8B C8 B8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_47140_0 {
	meta:
		name = "TCustomQueryButtons.ImplContent"
		size = 552
		refs = "002a TCustomQueryButtons.ImplContent 0038 @UStrClr 0042 _DV_TFormLayout 0047 TFormLayout.Create 006b AddQuotedAttrib 008c AddCustomAttrib 00a9 Format 00b7 @UStrAsg 00bf TCustomQueryButtons.VisibleButtons 00c4 TWebComponentList.GetCount 00dd TWebComponentList.GetComponent 00ea FormatButton 00f6 @UStrCat 0108 TFormLayout.EndLayout 012b TObject.Free 0131 @HandleFinally 0141 @IntfClear 0150 TObject.GetInterface 0194 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D D8 89 5D E4 89 5D F4 89 5D F0 89 4D E8 89 55 FC 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 48 58 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 48 60 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 50 5C 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 F0 89 45 DC C6 45 E0 11 8D 55 DC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 83 C0 10 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 32 43 33 FF 8B 45 EC E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B F0 55 8D 55 D8 8B C6 E8 ?? ?? ?? ?? 59 8B 55 D8 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 47 4B 75 D1 8D 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D E8 00 74 41 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 26 8D 45 D0 50 8B 45 EC 8B 10 FF 52 64 8B C8 8B 55 08 8B 12 8B 45 F4 8B 18 FF 53 10 8B 55 D0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 0D 00 0A 00 3C 00 74 00 61 00 62 00 6C 00 65 00 25 00 73 00 3E 00 00 00 D1 0E 81 4E 9B F0 D2 11 AA 53 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_47141_0 {
	meta:
		name = "GetItemValuesFromDataSet"
		size = 490
		refs = "0021 GetItemValuesFromDataSet 0052 TDataSet.GetActive 005f TDataSet.FindField 008a _Dn_TStringList 008f TStringList.Create 00ba TDataSet.First 00d4 VarIsNull 00f0 @VarToUStr 014a TDataSet.Next 016a @HandleAnyException 017b TObject.Free 0191 @DoneExcept 01a6 @VarClr 01ae @UStrClr 01b7 Variant 01c1 @FinalizeArray 01d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 85 DB 0F 84 5E 01 00 00 33 F6 85 FF 74 28 F6 43 1C 10 75 0C B2 01 8B C3 8B 08 FF 91 B4 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 28 01 00 00 83 7D FC 00 74 0F 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 45 F4 EB 05 33 C0 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 02 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 0C 89 02 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? E9 8B 00 00 00 8D 55 E4 8B C6 8B 08 FF 91 90 00 00 00 8D 45 E4 E8 ?? ?? ?? ?? 84 C0 75 25 8D 55 D0 8B C6 8B 08 FF 91 90 00 00 00 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 0C 8B 00 8B 08 FF 51 38 83 7D F4 00 74 40 8D 55 C0 8B 45 F4 8B 08 FF 91 90 00 00 00 8D 45 C0 E8 ?? ?? ?? ?? 84 C0 75 26 8D 55 AC 8B 45 F4 8B 08 FF 91 90 00 00 00 8D 55 AC 8D 45 BC E8 ?? ?? ?? ?? 8B 55 BC 8B 45 08 8B 00 8B 08 FF 51 38 8B C3 E8 ?? ?? ?? ?? 80 BB A9 00 00 00 00 0F 84 68 FF FF FF C6 45 FB 01 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 8B 45 08 8B 00 8B 55 08 33 C9 89 0A E8 ?? ?? ?? ?? 8B 45 0C 8B 00 8B 55 0C 33 C9 89 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_47142_0 {
	meta:
		name = "TCustomQueryButtons.VisibleButtons"
		size = 40
		refs = "0006 TWebContainedContainerComponent.GetWebComponents 000b TWebComponentList.GetCount"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 8B 10 FF 52 68 8B 43 48 5B C3 }
	condition:
		$1
}

rule function_47143_0 {
	meta:
		name = "TCustomQueryButtons.ImplCanAddClass"
		size = 51
		refs = "000b _DV_TQueryButton 0012 TObject.InheritsFrom 0021 CanAddClassHelper"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 13 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98054_0 {
	meta:
		name = "TCustomAdapterDisplayColumn.ImplCanAddClass"
		size = 51
		refs = "000b _DV_TCustomAdapterActionButton 0012 TObject.InheritsFrom 0021 CanAddClassHelper"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 13 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_47144_0 {
	meta:
		name = "TWebStatus.ControlContent"
		size = 396
		refs = "001e TWebStatus.ControlContent 002e TWebDataDisplay.GetHTMLControlName 003e AddQuotedAttrib 004e AddIntAttrib 0079 AddCustomAttrib 00b5 Format 00ca @UStrClr 00d7 @UStrArrayClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D F0 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 50 E8 ?? ?? ?? ?? F6 46 04 01 75 0C 8D 4D F8 8B D6 8B C3 8B 18 FF 53 60 8B 45 F4 50 8B 45 FC 89 45 E0 C6 45 E4 11 8B 45 F8 89 45 E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 3C 00 69 00 6E 00 70 00 75 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 54 00 45 00 58 00 54 00 25 00 30 00 3A 00 73 00 25 00 31 00 3A 00 73 00 3E 00 00 00 }
	condition:
		$1
}

rule function_47145_0 {
	meta:
		name = "TWebStatus.Create"
		size = 92
		refs = "000a @ClassCreate 0017 TWebDataDisplay.Create 0026 TWebStatus.Create 002b @UStrAsg 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 68 01 00 00 00 8D 46 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_47146_0 {
	meta:
		name = "TWebStatus.GetCaption"
		size = 34
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 40 E8 ?? ?? ?? ?? 83 3E 00 75 0A 8B C6 8B 53 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47147_0 {
	meta:
		name = "TWebStatus.ImplGetHTMLControlName"
		size = 138
		refs = "0013 TWebStatus.ImplGetHTMLControlName 0023 @UStrAsg 0032 TObject.ClassName 005e @UStrCopy 0078 @UStrArrayClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 53 08 E8 ?? ?? ?? ?? 83 3E 00 75 36 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8B 45 F8 89 45 F4 8B 5D F4 85 DB 74 05 83 EB 04 8B 1B 56 8B CB BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47148_0 {
	meta:
		name = "TWebStatus.Identifier"
		size = 36
		refs = "0006 TWebStatus.Identifier 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_47149_0 {
	meta:
		name = "TWebControlGroup.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TWebContainedContainerComponent.Create 001e TWebContainedContainerComponent.GetWebComponents 0028 TWebControlGroup.ChangeFieldControls 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 70 14 C7 40 10 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47150_0 {
	meta:
		name = "TWebControlGroup.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TWebContainedContainerComponent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 48 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72887_0 {
	meta:
		name = "TActionDragObject.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 48 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76192_0 {
	meta:
		name = "TDragDockObject.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 48 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47152_0 {
	meta:
		name = "TWebControlGroup.CanAddClass"
		size = 14
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 18 FF 53 60 5E 5B C3 }
	condition:
		$1
}

rule function_47153_0 {
	meta:
		name = "TAdapterNamedField.GetVisible"
		size = 6
		altNames = "TCustomWebPageModule.GetSiteModuleHelper TWebControlGroup.GetSubComponents"
	strings:
		$1 = { 8B 10 FF 52 54 C3 }
	condition:
		$1
}

rule function_47156_0 {
	meta:
		name = "TWebControlGroup.Content"
		size = 36
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 08 50 8B 4D FC 8B D6 8B C3 8B 18 FF 53 5C 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_47162_0 {
	meta:
		name = "TWebControlGroup.ChangeFieldControls"
		size = 43
		refs = "0006 TWebContainedContainerComponent.GetWebComponents 000b TWebComponentList.GetCount 0025 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 16 83 7B 48 00 74 10 8D 43 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_47163_0 {
	meta:
		name = "TXMLDisplayGroup.Create"
		size = 96
		refs = "000e @ClassCreate 001c TWebControlGroup.Create 0029 _DV_TXMLDataSet 002e TXMLDataSet.Create 004b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 5C 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 58 89 5E 14 8B 03 8B 40 68 89 46 10 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47164_0 {
	meta:
		name = "TXMLDisplayGroup.XMLDataChange"
		size = 30
		refs = "000f TObject.Free 0018 TXMLDisplayGroup.SetEnableValidateFields"
	strings:
		$1 = { 53 8B D8 8D 43 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_47165_0 {
	meta:
		name = "TXMLDisplayGroup.Destroy"
		size = 49
		refs = "0003 @BeforeDestruction 000f TObject.Free 001f TWebControlGroup.Destroy 002a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 58 E8 ?? ?? ?? ?? 33 C0 89 46 58 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47167_0 {
	meta:
		name = "TXMLDisplayGroup.GetXMLDisplayName"
		size = 105
		refs = "0015 TXMLDisplayGroup.GetXMLDisplayName 0024 ScriptXMLDisplayName 0029 LoadResString 0042 Format 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 08 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47168_0 {
	meta:
		name = "TXMLDisplayGroup.GetVisibleFields"
		size = 83
		refs = "0007 TWebContainedContainerComponent.GetWebComponents 000c TWebComponentList.GetCount 003c TObject.Free"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 73 48 85 F6 74 1B 8B C6 E8 ?? ?? ?? ?? 85 C0 75 10 8D 43 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 83 7B 48 00 75 07 8B C3 8B 10 FF 52 74 8B 43 48 5E 5B C3 }
	condition:
		$1
}

rule function_47169_0 {
	meta:
		name = "TXMLDisplayGroup.CreateDefaultFields"
		size = 404
		refs = "0015 TXMLDisplayGroup.CreateDefaultFields 0024 _Dn_TWebComponentList 0029 TWebComponentList.Create 0037 TXMLDataSet.GetDataSet 0048 _Dn_TStringList 004d TStringList.Create 0096 TXMLDisplayGroup.IsFieldInUse 00b5 @IntfClear 00c3 TObject.GetInterface 00ca TWebContainedContainerComponent.GetWebComponents 0125 TObject.Free 012b @HandleFinally 0147 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 48 8D 55 FC 8B 43 58 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 EC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F0 8B C3 8B 08 FF 51 70 8B 45 F0 8B 10 FF 52 14 48 85 C0 0F 8C 97 00 00 00 40 89 45 EC 33 F6 8D 4D E8 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 6C 8B D6 8B 45 F0 8B 08 FF 51 18 33 C9 B2 01 FF 50 38 8B F8 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 14 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 18 8D 4D E4 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 55 E4 8B 45 F4 8B 08 FF 51 10 46 FF 4D EC 0F 85 6F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 00 00 82 37 81 EB AE EE D2 11 AF B0 00 C0 4F B1 6E C3 D5 5D 4C 39 52 F2 D2 11 AA 55 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_47170_0 {
	meta:
		name = "TXMLDisplayGroup.FindField"
		size = 216
		refs = "001a TXMLDisplayGroup.FindField 0027 TWebContainedContainerComponent.GetWebComponents 002c TWebComponentList.GetCount 0044 TWebComponentList.GetComponent 004d @IntfClear 005a TObject.GetInterface 0085 AnsiCompareText 00a7 @UStrClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 5A 46 33 DB 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 2B 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 89 45 F4 8D 55 F0 8B 45 FC 8B 08 FF 51 14 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 74 09 43 4E 75 A9 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 00 D5 5D 4C 39 52 F2 D2 11 AA 55 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_47171_0 {
	meta:
		name = "TXMLDisplayGroup.GetDataSet"
		size = 19
		refs = "000c TXMLDataSet.GetDataSet"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 58 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79822_0 {
	meta:
		name = "TScreen.GetCustomForms"
		size = 19
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 58 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47172_0 {
	meta:
		name = "TXMLDisplayGroup.GetFieldsList"
		size = 395
		refs = "001d TXMLDisplayGroup.GetFieldsList 0029 _DV_TFieldText 0046 _DV_TQueryText 0063 _DV_TTextColumn 0085 _DV_TFieldStatus 00a2 _DV_TStatusColumn 00d1 TXMLDataSet.GetDataSet 00fe TFields.GetField 0123 TField.GetFullName 0143 _DV_TWebStatus 0148 TWebStatus.Identifier 0170 @UStrArrayClr 0178 @IntfClear 017e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B D3 8B C3 8B 30 FF 56 60 84 C0 74 0A A1 ?? ?? ?? ?? 89 45 F4 EB 3F 8B 0D ?? ?? ?? ?? 8B D3 8B C3 8B 30 FF 56 60 84 C0 74 0A A1 ?? ?? ?? ?? 89 45 F4 EB 22 8B 0D ?? ?? ?? ?? 8B D3 8B C3 8B 30 FF 56 60 84 C0 74 0A A1 ?? ?? ?? ?? 89 45 F4 EB 05 33 C0 89 45 F4 8B 0D ?? ?? ?? ?? 8B D3 8B C3 8B 30 FF 56 60 84 C0 74 0A A1 ?? ?? ?? ?? 89 45 F0 EB 22 8B 0D ?? ?? ?? ?? 8B D3 8B C3 8B 30 FF 56 60 84 C0 74 0A A1 ?? ?? ?? ?? 89 45 F0 EB 05 33 C0 89 45 F0 8B 45 F8 8B 10 FF 52 44 8D 55 FC 8B 43 58 E8 ?? ?? ?? ?? 83 7D FC 00 74 7F 83 7D F4 00 74 58 8B 45 FC 8B 10 FF 52 0C 8B F0 4E 85 F6 7C 49 46 33 DB 8B 45 FC 8B 10 FF 52 10 8B D3 E8 ?? ?? ?? ?? 0F B6 40 48 04 E6 2C 02 72 29 2C 01 74 25 8B 45 FC 8B 10 FF 52 10 8B D3 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 4D F4 8B 45 F8 8B 38 FF 57 3C 43 4E 75 BA 83 7D F0 00 74 1B 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 4D F0 8B 45 F8 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47174_0 {
	meta:
		name = "TXMLDisplayGroup.IsFieldInUse"
		size = 84
		refs = "000e @UStrAddRef 0016 TXMLDisplayGroup.IsFieldInUse 0026 TXMLDisplayGroup.FindField 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_47292_0 {
	meta:
		name = "TQueryFieldGroup.IsParamInUse"
		size = 84
		refs = "000e @UStrAddRef 0016 TQueryFieldGroup.IsParamInUse 0026 TQueryFieldGroup.FindParam 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_47175_0 {
	meta:
		name = "TXMLDisplayGroup.HasStatusField"
		size = 164
		refs = "0014 TXMLDisplayGroup.HasStatusField 0025 TWebContainedContainerComponent.GetWebComponents 002a TWebComponentList.GetCount 0042 TWebComponentList.GetComponent 004b @IntfClear 0058 TObject.GetInterface 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 35 43 33 F6 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 FB 01 EB 04 46 4B 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 59 59 5D C3 00 00 41 73 9A DA 79 FE D2 11 AF C5 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_47177_0 {
	meta:
		name = "TXMLDisplayGroup.GetDataSetField"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 58 8B 08 FF 51 18 5E 5B C3 }
	condition:
		$1
}

rule function_47180_0 {
	meta:
		name = "TXMLDisplayGroup.ValidateDataSet"
		size = 58
		refs = "0009 TXMLDisplayGroup.GetXMLBroker 0021 sNoXMLBroker 0028 _Dn_EComponentError 002d Exception.CreateResFmt 0032 @RaiseExcept"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 25 8B 43 08 89 04 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_47181_0 {
	meta:
		name = "TXMLDisplayGroup.GetXMLRowSetName"
		size = 58
		refs = "001f TXMLDataSet.GetDataSetPath 0029 TXMLBroker.RowSetVarName 0033 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 58 8B 10 FF 52 08 85 C0 74 1E 8B 43 58 8B 10 FF 52 08 50 8B 43 58 E8 ?? ?? ?? ?? 8B D0 8B CE 58 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47184_0 {
	meta:
		name = "TXMLDisplayGroup.ValidateFields"
		size = 260
		refs = "001a @IntfAddRef 0022 TXMLDisplayGroup.ValidateFields 002f TXMLDisplayGroup.GetEnableValidateFields 003c TXMLDisplayGroup.SetEnableValidateFields 0043 TXMLDisplayGroup.GetVisibleFields 0048 TWebComponentList.GetCount 0066 TWebComponentList.GetComponent 006f @IntfClear 007c TObject.GetInterface 008b TXMLDataSet.GetDataSet 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 79 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 5D 46 C7 45 F4 00 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 26 8D 55 F0 8B 43 58 E8 ?? ?? ?? ?? 8B 55 F0 8B 4D FC 8B 45 F8 8B 38 FF 57 0C 84 C0 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? FF 45 F4 4E 75 AB 8B C3 E8 ?? ?? ?? ?? 34 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 10 C3 A1 10 47 2E D3 11 B0 0E 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_47185_0 {
	meta:
		name = "TXMLDisplayGroup.GetEnableValidateFields"
		size = 5
	strings:
		$1 = { 0F B6 40 5C C3 }
	condition:
		$1
}

rule function_47186_0 {
	meta:
		name = "TXMLDisplayGroup.SetEnableValidateFields"
		size = 4
	strings:
		$1 = { 88 50 5C C3 }
	condition:
		$1
}

rule function_47188_0 {
	meta:
		name = "TXMLDisplayGroup.ImplAddElements"
		size = 189
		refs = "0018 @IntfAddRef 0020 TXMLDisplayGroup.ImplAddElements 0030 TWebControlGroup.ImplAddElements 0037 TXMLDisplayGroup.GetXMLBroker 0047 TXMLBroker.GetConnected 006c sXMLBrokerNotConnected 0071 LoadResString 007c Format 009c @UStrClr 00ac @IntfClear 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D F8 89 4D EC 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 4C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 3C 8D 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8B 40 08 89 45 F0 C6 45 F4 11 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47189_0 {
	meta:
		name = "TCustomDataGrid.Create"
		size = 121
		refs = "000a @ClassCreate 0017 TXMLDisplayGroup.Create 0027 _DV_TGridAttributes 002c TGridAttributes.Create 0038 _DV_TGridRowAttributes 003d TGridRowAttributes.Create 0066 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 70 04 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 74 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 78 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 7C 8B 46 74 C7 40 08 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47190_0 {
	meta:
		name = "TableHeader"
		size = 440
		refs = "0013 TableHeader 002f HTMLAlign 0037 @UStrCat 0047 AddIntAttrib 0077 AddStringAttrib 0087 AddQuotedAttrib 00a2 AddCustomAttrib 00bc Format 00d1 @UStrClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 58 74 8D 45 FC 0F B6 53 04 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 20 E8 ?? ?? ?? ?? 56 8B 45 FC 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 65 00 6C 00 6C 00 73 00 70 00 61 00 63 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 65 00 6C 00 6C 00 70 00 61 00 64 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 6F 00 72 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 67 00 63 00 6F 00 6C 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 0D 00 0A 00 3C 00 74 00 61 00 62 00 6C 00 65 00 25 00 73 00 3E 00 00 00 }
	condition:
		$1
}

rule function_47191_0 {
	meta:
		name = "RowHeader"
		size = 300
		refs = "0015 RowHeader 0028 HTMLAlign 0030 @UStrCat 003d HTMLVAlign 0055 AddQuotedAttrib 0080 AddCustomAttrib 009a Format 00af @UStrClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 0F B6 53 04 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 8D 45 FC 0F B6 53 0C 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? 56 8B 45 FC 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 67 00 63 00 6F 00 6C 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3C 00 74 00 72 00 25 00 73 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_47192_0 {
	meta:
		name = "TCustomDataGrid.FormatTable"
		size = 704
		refs = "0026 TCustomDataGrid.FormatTable 0035 TableHeader 0047 RowHeader 005b @UStrCatN 0063 TXMLDisplayGroup.GetVisibleFields 0068 TWebComponentList.GetCount 008b TWebComponentList.GetComponent 0096 @IntfClear 00a5 TObject.GetInterface 00c5 @UStrClr 00f8 @UStrCat 0120 _DV_TWebDataDisplay 0125 @IsClass 0136 FormatColumnHeading 014d FormatColumnData 01bb Format 01c5 @UStrAsg 01ee @UStrArrayClr 0211 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E0 89 55 E4 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 45 D4 E8 ?? ?? ?? ?? 59 FF 75 D4 8D 55 D0 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 0F 8C EF 00 00 00 43 C7 45 DC 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC E8 ?? ?? ?? ?? 89 45 D8 8D 45 E8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 74 14 8D 45 F0 50 8B 4D E4 8B 55 E0 8B 45 E8 8B 38 FF 57 0C EB 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 74 37 8D 4D CC 8B 55 E0 8B 45 EC 8B 38 FF 57 0C 8B 55 CC 8B C6 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 4D E0 8B 55 F0 8B 45 EC 8B 38 FF 57 10 8B 55 C8 8D 45 F8 E8 ?? ?? ?? ?? EB 41 8B 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2F 8D 55 C4 8B 7D D8 8B C7 E8 ?? ?? ?? ?? 8B 55 C4 8B C6 E8 ?? ?? ?? ?? 8D 4D C0 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 55 C0 8D 45 F8 E8 ?? ?? ?? ?? FF 45 DC 4B 0F 85 19 FF FF FF 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 40 7C E8 ?? ?? ?? ?? 8B 45 FC 8B 58 70 4B 85 DB 7C 41 43 8D 45 BC 50 8B 06 89 45 A4 C6 45 A8 11 8B 45 F4 89 45 AC C6 45 B0 11 8B 45 F8 89 45 B4 C6 45 B8 11 8D 55 A4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B C6 E8 ?? ?? ?? ?? 4B 75 C0 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 D1 1C 3E 1B 59 DF D2 11 AA 45 00 A0 24 C1 15 62 F0 E2 17 34 A0 22 D3 11 B0 03 00 C0 4F B1 6E C3 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 74 00 72 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 25 00 30 00 3A 00 73 00 25 00 31 00 3A 00 73 00 25 00 32 00 3A 00 73 00 3C 00 2F 00 74 00 72 00 3E 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 2F 00 74 00 61 00 62 00 6C 00 65 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_47193_0 {
	meta:
		name = "TCustomDataGrid.ImplContent"
		size = 248
		refs = "001b TCustomDataGrid.ImplContent 002b _DV_TGridLayout 0030 TLayoutWebContent.Create 0052 TCustomDataGrid.FormatTable 0067 TObject.Free 006d @HandleFinally 007d @IntfClear 008c TObject.GetInterface 00b6 @UStrAsg 00cb @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 89 5D FC 89 4D F4 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CB 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D F4 00 74 41 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 26 8D 45 EC 50 8B 45 F8 8B 10 FF 52 64 8B C8 8B 55 08 8B 12 8B 45 FC 8B 18 FF 53 18 8B 55 EC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C2 04 00 00 00 D1 0E 81 4E 9B F0 D2 11 AA 53 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_47194_0 {
	meta:
		name = "TCustomDataGrid.SetTableAttributes"
		size = 9
	strings:
		$1 = { 8B 40 74 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_47195_0 {
	meta:
		name = "TCustomDataGrid.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000f TObject.Free 002a TXMLDisplayGroup.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 74 E8 ?? ?? ?? ?? 8B 46 78 E8 ?? ?? ?? ?? 8B 46 7C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47196_0 {
	meta:
		name = "TControl.SetConstraints"
		size = 9
		altNames = "TCustomDataGrid.SetHeadingAttributes"
	strings:
		$1 = { 8B 40 78 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_47197_0 {
	meta:
		name = "TCustomQueryForm.ImplCanAddClass"
		size = 62
		refs = "0005 _DV_TCustomQueryButtons 000c TObject.InheritsFrom 0016 _DV_TQueryFieldGroup 0027 _DV_TCustomLayoutGroup"
	strings:
		$1 = { 53 8B D9 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 26 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_47198_0 {
	meta:
		name = "TCustomDataGrid.ImplCanAddClass"
		size = 37
		refs = "0005 _DV_TWebDataDisplay 000c TObject.InheritsFrom"
	strings:
		$1 = { 53 8B D9 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 FF 50 6C 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_47199_0 {
	meta:
		name = "TCustomDataGrid.ImplAddElements"
		size = 222
		refs = "001c @IntfAddRef 0024 TCustomDataGrid.ImplAddElements 0034 TXMLDisplayGroup.ImplAddElements 0051 TXMLDataSet.GetDataSetPath 0066 TXMLDisplayGroup.GetXMLRowSetName 0073 DefineXMLDisplayBlock 0081 sXMLBrokerNotDefined 0086 LoadResString 009f Format 00c4 @UStrArrayClr 00cc @IntfClear 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D F4 89 4D F0 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 43 58 8B 10 FF 52 08 85 C0 74 35 8B 43 58 8B 10 FF 52 08 50 8B 43 58 E8 ?? ?? ?? ?? 8B C8 8B 45 FC 5A 8B 30 FF 56 14 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 35 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 43 08 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47259_0 {
	meta:
		name = "TFieldGroup.ImplAddElements"
		size = 222
		refs = "001c @IntfAddRef 0024 TFieldGroup.ImplAddElements 0034 TXMLDisplayGroup.ImplAddElements 0051 TXMLDataSet.GetDataSetPath 0066 TXMLDisplayGroup.GetXMLRowSetName 0073 DefineXMLDisplayBlock 0081 sXMLBrokerNotDefined 0086 LoadResString 009f Format 00c4 @UStrArrayClr 00cc @IntfClear 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D F4 89 4D F0 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 43 58 8B 10 FF 52 08 85 C0 74 35 8B 43 58 8B 10 FF 52 08 50 8B 43 58 E8 ?? ?? ?? ?? 8B C8 8B 45 FC 5A 8B 30 FF 56 14 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 35 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 43 08 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47200_0 {
	meta:
		name = "TControl.SetMargins"
		size = 9
		altNames = "TCustomDataGrid.SetRowAttributes TDSTableProducer.SetRowAttributes"
	strings:
		$1 = { 8B 40 7C 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_47205_0 {
	meta:
		name = "TXMLData.Notification"
		size = 18
	strings:
		$1 = { 80 F9 01 75 0C 3B 50 08 75 07 33 D2 8B 08 FF 51 04 C3 }
	condition:
		$1
}

rule function_47206_0 {
	meta:
		name = "TXMLData.SetXMLBroker"
		size = 56
		refs = "0015 TComponent.FreeNotification 0032 TXMLBroker.SetConnected"
	strings:
		$1 = { 53 8B D8 3B 53 08 74 2E 89 53 08 85 D2 74 0A 8B C2 8B 53 04 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 12 8B 43 04 F6 40 1C 01 75 0E 8B 43 08 85 C0 74 07 B2 01 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_47208_0 {
	meta:
		name = "TXMLDataSet.ChangedDataSetField"
		size = 51
		refs = "000b TXMLDataSet.WrapperDataChange 0026 @IntfClear 002d TXMLData.Changed"
	strings:
		$1 = { 53 8B D8 83 7B 1C 00 74 19 53 68 ?? ?? ?? ?? 8B 43 1C 8B 10 FF 52 24 8B 53 1C 8B 43 24 8B 08 FF 51 38 8D 43 1C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_47209_0 {
	meta:
		name = "TXMLDataSet.ChangedXMLBroker"
		size = 68
		refs = "000b TXMLDataSet.WrapperDataChange 0026 @IntfClear 0037 @UStrClr 003e TXMLData.ChangedXMLBroker"
	strings:
		$1 = { 53 8B D8 83 7B 1C 00 74 19 53 68 ?? ?? ?? ?? 8B 43 1C 8B 10 FF 52 24 8B 53 1C 8B 43 24 8B 08 FF 51 38 8D 43 1C E8 ?? ?? ?? ?? 8B 43 04 F6 40 1C 01 75 08 8D 43 18 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_47210_0 {
	meta:
		name = "TXMLDataSet.Create"
		size = 103
		refs = "000a @ClassCreate 0017 TXMLData.Create 001d XMLDataSetList 002c TList.Add 0033 _Dn_TInterfaceList 0038 TInterfaceList.Create 0049 @IntfCopy 0054 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0C 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 46 24 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47211_0 {
	meta:
		name = "TXMLDataSet.GetDataSetPath"
		size = 240
		refs = "0011 TXMLDataSet.GetDataSetPath 0024 _Dn_TStringList 0029 TStringList.Create 004d Pos 005e Trim 0066 @UStrClr 007c @UStrCopy 0096 @UStrDelete 00ca @UStrArrayClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 20 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 8B 46 20 8B 10 FF 52 44 8D 55 F8 8B C6 8B 08 FF 51 18 EB 67 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 15 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? EB 2E 8D 45 F4 50 8B CB 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 FC E8 ?? ?? ?? ?? 8D 45 F8 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 0B 8B 55 FC 8B 46 20 8B 08 FF 51 38 83 7D F8 00 75 93 8B 5E 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_47212_0 {
	meta:
		name = "TXMLDataSet.CreateDataSet"
		size = 728
		refs = "0018 TXMLDataSet.CreateDataSet 004c TXMLBroker.SetConnected 0069 TXMLBroker.GetConnected 0078 _DV_TDataSetWrapper 007d TDataSetWrapper.Create 00d5 TComponent.FindComponent 00e3 _Dn_TCustomProvider 00e8 @IsClass 00f9 TCustomClientDataSet.SetProvider 012a TCustomClientDataSet.SetProviderName 0156 TXMLDataSet.GetDataSetPath 018d sDataSetFieldBlank 0194 _Dn_Exception 0199 Exception.CreateRes 019e @RaiseExcept 01af TFields.FieldByName 01cb sDataSetFieldNotFound 01d7 Exception.CreateResFmt 01e4 _Dn_TDataSetField 0203 sNotDataSetField 021b TDataSetField.GetNestedDataSet 023a @HandleAnyException 0242 TObject.Free 024c ApplicationHandleException 0266 @DoneExcept 0283 @IntfCast 028c TXMLDataSet.WrapperDataChange 02a0 @IntfClear 02b5 @UStrClr 02bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 8B 45 F8 8B 10 FF 52 08 85 C0 74 1D 8B 45 F8 8B 10 FF 52 08 F6 40 1C 10 75 0F 8B 45 F8 8B 10 FF 52 08 B2 01 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 08 85 C0 0F 84 0A 02 00 00 8B 45 F8 8B 10 FF 52 08 E8 ?? ?? ?? ?? 84 C0 0F 84 F5 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 10 FF 52 08 83 78 04 00 74 5F 8B 45 F8 8B 10 FF 52 08 83 78 40 00 74 51 8B 45 F8 8B 10 FF 52 08 83 78 44 00 75 43 8B 45 F8 8B 10 FF 52 08 8B 40 40 50 8B 45 F8 8B 10 FF 52 08 8B 40 04 5A E8 ?? ?? ?? ?? 8B D8 85 DB 74 4F 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3E 8B 45 F0 8B 40 0C 8B D3 E8 ?? ?? ?? ?? EB 2F 8B 45 F8 8B 10 FF 52 08 8B 50 44 8B 45 F0 8B 40 0C 8B 08 FF 91 30 03 00 00 8B 45 F8 8B 10 FF 52 08 8B 50 40 8B 45 F0 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C 33 D2 89 90 70 02 00 00 B2 01 8B 08 FF 91 B4 01 00 00 8B 45 F0 8B 40 0C 8B 55 F0 89 42 10 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C C5 00 00 00 46 C7 45 EC 00 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D FC 8B 55 EC 8B 18 FF 53 0C 83 7D FC 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 40 10 8B 40 38 8B 55 FC E8 ?? ?? ?? ?? 8B D8 85 DB 75 27 8B 45 FC 89 45 E4 C6 45 E8 11 8D 45 E4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 27 8B 45 FC 89 45 E4 C6 45 E8 11 8D 45 E4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 89 42 10 FF 45 EC 4E 0F 85 43 FF FF FF 33 C0 5A 59 59 64 89 10 EB 31 E9 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 89 45 F0 A1 ?? ?? ?? ?? 66 83 78 02 00 74 0E 8B 1D ?? ?? ?? ?? 8B 55 F8 8B 43 04 FF 13 E8 ?? ?? ?? ?? 83 7D F0 00 74 2C 8B 45 F4 8B 55 F0 85 D2 74 03 83 EA F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F4 8B 00 8B 10 FF 52 20 EB 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 D4 4C 49 1E 98 D5 D2 11 AF 8C 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_47213_0 {
	meta:
		name = "TXMLDataSet.WrapperDataChange"
		size = 45
		refs = "0005 TXMLDataSet.WrapperDataChange 0020 @IntfClear 0027 TXMLData.Changed"
	strings:
		$1 = { 53 8B D8 53 68 ?? ?? ?? ?? 8B 43 1C 8B 10 FF 52 24 8B 53 1C 8B 43 24 8B 08 FF 51 38 8D 43 1C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_47214_0 {
	meta:
		name = "TXMLDataSet.FindDataSet"
		size = 95
		refs = "000c XMLDataSetList 002b TList.Get 0037 @IntfCopy 0046 TXMLDataSet.CompareXMLData 0055 @IntfClear"
	strings:
		$1 = { 53 56 57 55 51 8B FA 89 04 24 83 3D ?? ?? ?? ?? 00 74 3F A1 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 32 46 33 ED 8B D5 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C7 8B 53 1C E8 ?? ?? ?? ?? 83 3F 00 74 0E 8B D3 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 0B 45 4E 75 D1 8B C7 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_47215_0 {
	meta:
		name = "TXMLDataSet.GetDataSet"
		size = 161
		refs = "0011 TXMLDataSet.GetDataSet 002f TXMLDataSet.FindDataSet 003a @IntfCopy 004a TXMLDataSet.CreateDataSet 005d TXMLDataSet.WrapperDataChange 0085 IInetXWebDataSet 008f @FinalizeArray 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 1C 00 75 48 8B 43 24 8B 10 FF 52 24 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 1C E8 ?? ?? ?? ?? 83 7B 1C 00 75 17 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 1C E8 ?? ?? ?? ?? EB 0E 53 68 ?? ?? ?? ?? 8B 43 1C 8B 10 FF 52 20 8B C6 8B 53 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47216_0 {
	meta:
		name = "TXMLDataSet.SetDataSetField"
		size = 38
		refs = "000c @UStrEqual 0018 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 18 8B D6 E8 ?? ?? ?? ?? 74 11 8D 43 18 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 5E 5B C3 }
	condition:
		$1
}

rule function_47217_0 {
	meta:
		name = "TXMLDataSet.Destroy"
		size = 112
		refs = "0003 @BeforeDestruction 0013 TXMLDataSet.WrapperDataChange 0034 TXMLBroker.RemoveNotify 003f TObject.Destroy 0047 TObject.Free 004d XMLDataSetList 005e TList.RemoveItem 0069 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 1C 00 74 0E 56 68 ?? ?? ?? ?? 8B 46 1C 8B 10 FF 52 24 8B C6 8B 10 FF 52 08 85 C0 74 0E 8B C6 8B 10 FF 52 08 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0E A1 ?? ?? ?? ?? 8B D6 33 C9 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47218_0 {
	meta:
		name = "TXMLDataSet.CompareXMLData"
		size = 134
		refs = "0012 TXMLDataSet.CompareXMLData 004d @UStrEqual 0071 @UStrArrayClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 08 8B F8 8B C6 8B 10 FF 52 08 3B F8 75 23 8D 55 FC 8B C3 8B 08 FF 51 18 8B 45 FC 50 8D 55 F8 8B C6 8B 08 FF 51 18 8B 55 F8 58 E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47224_0 {
	meta:
		name = "TXMLDataSet.SetXMLBroker"
		size = 68
		refs = "001b TXMLBroker.RemoveNotify 0024 TXMLData.SetXMLBroker 003d TXMLBroker.AddNotify"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 08 85 C0 74 0E 8B C3 8B 10 FF 52 08 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 08 85 C0 74 0E 8B C3 8B 10 FF 52 08 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47225_0 {
	meta:
		name = "TXMLDataSetParent.ChangedUseParent"
		size = 31
		refs = "0012 @UStrClr 0019 TXMLData.Changed"
	strings:
		$1 = { 53 8B D8 80 7B 30 00 74 0D 33 C0 89 43 08 8D 43 18 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_47226_0 {
	meta:
		name = "TXMLDataSetParent.SetUseParent"
		size = 14
	strings:
		$1 = { 3A 50 30 74 08 88 50 30 8B 10 FF 52 1C C3 }
	condition:
		$1
}

rule function_47227_0 {
	meta:
		name = "TXMLDataSetParent.ChangedDataSetField"
		size = 19
		refs = "000e TXMLDataSet.ChangedDataSetField"
	strings:
		$1 = { 8B 50 04 F6 42 1C 01 75 04 C6 40 30 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47228_0 {
	meta:
		name = "TXMLDataSetParent.ChangedXMLBroker"
		size = 23
		refs = "0012 TXMLDataSet.ChangedXMLBroker"
	strings:
		$1 = { 8B 50 04 85 D2 74 0A F6 42 1C 01 75 04 C6 40 30 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47229_0 {
	meta:
		name = "TXMLDataSetParent.ParentDataSetField"
		size = 37
		refs = "0005 TXMLDataSetParent.ParentXMLDataSet 001e @UStrClr"
	strings:
		$1 = { 53 56 8B F2 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0C 8B D6 8B C3 8B 08 FF 51 18 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47230_0 {
	meta:
		name = "TXMLDataSetParent.GetDataSetField"
		size = 36
		refs = "0011 TXMLDataSet.GetDataSetField 001d TXMLDataSetParent.ParentDataSetField"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 30 00 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47231_0 {
	meta:
		name = "TXMLDataSetParent.ParentXMLBroker"
		size = 18
		refs = "0001 TXMLDataSetParent.ParentXMLDataSet"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 06 8B 10 FF 52 08 C3 33 C0 C3 }
	condition:
		$1
}

rule function_47232_0 {
	meta:
		name = "TXMLDataSetParent.GetXMLBroker"
		size = 18
		refs = "0007 TXMLData.GetXMLBroker 000d TXMLDataSetParent.ParentXMLBroker"
	strings:
		$1 = { 80 78 30 00 75 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47233_0 {
	meta:
		name = "TXMLDataSetParent.ParentXMLDataSet"
		size = 152
		refs = "000c TXMLDataSetParent.ParentXMLDataSet 001e @CallDynaInst 002c @IntfClear 003a TObject.GetInterface 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 04 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 37 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 14 8B F8 EB 13 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 75 C9 33 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C3 00 00 5D 35 AE D1 C3 F1 D2 11 AF B3 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_47234_0 {
	meta:
		name = "TXMLDataParent.ChangedUseParent"
		size = 17
		refs = "000c TXMLData.Changed"
	strings:
		$1 = { 80 78 18 00 74 05 33 D2 89 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47246_0 {
	meta:
		name = "TXMLDisplayParent.ChangedUseParent"
		size = 17
		refs = "000c TWebDisplay.Changed"
	strings:
		$1 = { 80 78 18 00 74 05 33 D2 89 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47235_0 {
	meta:
		name = "TXMLDataParent.SetUseParent"
		size = 14
	strings:
		$1 = { 3A 50 18 74 08 88 50 18 8B 10 FF 52 10 C3 }
	condition:
		$1
}

rule function_47236_0 {
	meta:
		name = "TXMLDataParent.ChangedXMLBroker"
		size = 23
		refs = "0012 TXMLData.ChangedXMLBroker"
	strings:
		$1 = { 8B 50 04 85 D2 74 0A F6 42 1C 01 75 04 C6 40 18 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47245_0 {
	meta:
		name = "TXMLDisplayParent.ChangedDisplayComponent"
		size = 23
		refs = "0012 TWebDisplay.ChangedDisplayComponent"
	strings:
		$1 = { 8B 50 04 85 D2 74 0A F6 42 1C 01 75 04 C6 40 18 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47237_0 {
	meta:
		name = "TXMLDataParent.ParentXMLBroker"
		size = 284
		refs = "0010 TXMLDataParent.ParentXMLBroker 0022 @CallDynaInst 0034 @IntfClear 0042 TObject.GetInterface 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 04 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 95 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3A 8B 45 F8 8B 10 FF 52 0C 8B F8 85 FF 74 2C 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 FC 8B 10 FF 52 14 8B 10 FF 52 08 89 45 F4 EB 46 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 FC 8B 10 FF 52 14 8B 10 FF 52 08 89 45 F4 EB 1A 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 6B FF FF FF 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 00 92 BA 5A 67 60 F6 D2 11 AA 59 00 A0 24 C1 15 62 5D 35 AE D1 C3 F1 D2 11 AF B3 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_47238_0 {
	meta:
		name = "TXMLDataParent.GetXMLBroker"
		size = 18
		refs = "0007 TXMLData.GetXMLBroker 000d TXMLDataParent.ParentXMLBroker"
	strings:
		$1 = { 80 78 18 00 75 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47243_0 {
	meta:
		name = "TWebDisplay.Notification"
		size = 18
		refs = "000d TWebDisplay.SetDisplayComponent"
	strings:
		$1 = { 80 F9 01 75 0C 3B 50 08 75 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_47244_0 {
	meta:
		name = "TWebDisplay.SetDisplayComponent"
		size = 34
		refs = "0015 TComponent.FreeNotification"
	strings:
		$1 = { 53 8B D8 3B 53 08 74 18 89 53 08 85 D2 74 0A 8B C2 8B 53 04 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 04 5B C3 }
	condition:
		$1
}

rule function_47248_0 {
	meta:
		name = "TXMLDisplayParent.GetDisplayComponent"
		size = 156
		refs = "000c TXMLDisplayParent.GetDisplayComponent 001d TWebDisplay.GetDisplayComponent 0030 @IntfClear 003e TObject.GetInterface 0059 @CallDynaInst 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 78 18 00 75 09 E8 ?? ?? ?? ?? 8B F8 EB 40 8B 58 04 85 DB 74 37 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B F8 EB 13 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 75 C9 33 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C3 00 00 92 BA 5A 67 60 F6 D2 11 AA 59 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_47255_0 {
	meta:
		name = "TCustomFieldGroup.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TXMLDisplayGroup.Create 001e _Dn_TLayoutAttributes 0023 TLayoutAttributes.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 7C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47256_0 {
	meta:
		name = "TCustomFieldGroup.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TXMLDisplayGroup.Destroy 001a TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 7C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47258_0 {
	meta:
		name = "TCustomFieldGroup.ImplContent"
		size = 536
		refs = "002d TCustomFieldGroup.ImplContent 003a @UStrClr 0044 _DV_TFormLayout 0049 TFormLayout.Create 006d AddQuotedAttrib 008e AddCustomAttrib 00ab Format 00b9 @UStrAsg 00c1 TXMLDisplayGroup.GetVisibleFields 00c6 TWebComponentList.GetCount 00e0 TWebComponentList.GetComponent 00e8 FormatField 00f3 @UStrCat 0102 TFormLayout.EndLayout 011a @IntfClear 0129 TObject.GetInterface 0164 TObject.Free 016a @HandleFinally 0186 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D D8 89 5D E4 89 5D F4 89 5D F0 89 4D E8 89 55 FC 89 45 EC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 48 70 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 48 78 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 50 74 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 F0 89 45 DC C6 45 E0 11 8D 55 DC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 83 C0 10 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2A 46 33 FF 55 8B 45 EC E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8D 55 D8 E8 ?? ?? ?? ?? 59 8B 55 D8 8B C3 E8 ?? ?? ?? ?? 47 4E 75 D9 8D 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 83 7D E8 00 74 3D 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 22 8D 45 D0 50 8B 45 EC 8B 10 FF 52 64 8B C8 8B 13 8B 45 F4 8B 30 FF 56 18 8B 55 D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 0D 00 0A 00 3C 00 74 00 61 00 62 00 6C 00 65 00 25 00 73 00 3E 00 00 00 D1 0E 81 4E 9B F0 D2 11 AA 53 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_47260_0 {
	meta:
		name = "TFieldGroup.ImplCanAddClass"
		size = 68
		refs = "0006 _DV_TWebDataDisplay 000d TObject.InheritsFrom 002b _DV_TCustomLayoutGroup"
	strings:
		$1 = { 53 56 8B D9 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B F3 8B C6 FF 50 6C 84 C0 75 09 8B C6 FF 50 70 84 C0 74 16 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_47261_0 {
	meta:
		name = "TQueryText.AddAttributes"
		size = 220
		refs = "000f TQueryText.AddAttributes 001e TWebTextInput.AddAttributes 0028 TQueryText.GetText 0037 AddQuotedAttrib 004a AddBoolAttrib 005c AddIntAttrib 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 0F B6 8B 80 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 8B 88 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 72 00 65 00 61 00 64 00 6F 00 6E 00 6C 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 61 00 78 00 6C 00 65 00 6E 00 67 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_47262_0 {
	meta:
		name = "TQueryText.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TWebTextInput.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 88 00 00 00 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_97102_0 {
	meta:
		name = "TAdapterNamedDisplayField.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TWebContainedComponent.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 88 00 00 00 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96804_0 {
	meta:
		name = "TAdapterUpdateField.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TAdapterNamedDisplayField.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 88 00 00 00 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47265_0 {
	meta:
		name = "TOPToSoapDomConvert.SetEncoding"
		size = 22
		refs = "000f @UStrAsg"
		altNames = "TQueryText.SetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 84 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47266_0 {
	meta:
		name = "TQueryTextArea.AddAttributes"
		size = 68
		refs = "000b TWebTextAreaInput.AddAttributes 0016 TQueryTextArea.AddAttributes 001b AddBoolAttrib"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 0F B6 4B 7C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 45 00 41 00 44 00 4F 00 4E 00 4C 00 59 00 00 00 00 00 }
	condition:
		$1
}

rule function_47267_0 {
	meta:
		name = "TQueryTextArea.ControlContent"
		size = 268
		refs = "001e TQueryTextArea.ControlContent 0085 Format 009a @UStrClr 00a7 @UStrArrayClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 DB 89 5D D8 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 8C 00 00 00 F6 46 04 01 75 0C 8D 4D F8 8B D6 8B C3 8B 30 FF 56 60 8B 45 F4 50 8B 45 FC 89 45 DC C6 45 E0 11 8B 45 F8 89 45 E4 C6 45 E8 11 8D 55 D8 8B 83 88 00 00 00 8B 08 FF 51 1C 8B 45 D8 89 45 EC C6 45 F0 11 8D 55 DC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 3C 00 74 00 65 00 78 00 74 00 61 00 72 00 65 00 61 00 25 00 30 00 3A 00 73 00 25 00 31 00 3A 00 73 00 3E 00 25 00 32 00 3A 00 73 00 3C 00 2F 00 74 00 65 00 78 00 74 00 61 00 72 00 65 00 61 00 3E 00 00 00 }
	condition:
		$1
}

rule function_47268_0 {
	meta:
		name = "TQueryTextArea.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TWebTextAreaInput.Create 001e _Dn_TStringList 0023 TStringList.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 88 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47269_0 {
	meta:
		name = "TQueryTextArea.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TWebDataDisplay.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 88 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73953_0 {
	meta:
		name = "TCaptionedDockTree.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TDockTree.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 88 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111700_0 {
	meta:
		name = "TXmlCustomTokenizer.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TObject.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 88 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47270_0 {
	meta:
		name = "TQueryTextArea.GetText"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 88 00 00 00 8B 08 FF 51 1C 5E 5B C3 }
	condition:
		$1
}

rule function_47272_0 {
	meta:
		name = "TQueryTextArea.SetLines"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 88 00 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_47273_0 {
	meta:
		name = "TQueryTextArea.SetText"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 88 00 00 00 8B 08 FF 51 2C 5E C3 }
	condition:
		$1
}

rule function_47274_0 {
	meta:
		name = "TQueryRadioGroup.AddAttributes"
		size = 72
		refs = "000b TWebRadioGroupInput.AddAttributes 0019 TQueryRadioGroup.AddAttributes 001e AddBoolAttrib"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 0F B6 8B 94 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 45 00 41 00 44 00 4F 00 4E 00 4C 00 59 00 00 00 00 00 }
	condition:
		$1
}

rule function_47275_0 {
	meta:
		name = "TQueryRadioGroup.GetCheckIndex"
		size = 126
		refs = "0014 TQueryRadioGroup.GetCheckIndex 0024 TQueryRadioGroup.GetText 0069 @UStrArrayClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 54 8B F0 83 FE FF 75 1A 85 FF 74 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 8B 08 FF 51 54 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47279_0 {
	meta:
		name = "TQuerySelectOptions.GetSelectIndex"
		size = 126
		refs = "0014 TQuerySelectOptions.GetSelectIndex 0024 TQuerySelectOptions.GetText 0069 @UStrArrayClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 54 8B F0 83 FE FF 75 1A 85 FF 74 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 8B 08 FF 51 54 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47276_0 {
	meta:
		name = "TQueryRadioGroup.GetText"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 A0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47284_0 {
	meta:
		name = "TCustomLayoutGroup.Create"
		size = 75
		refs = "000a @ClassCreate 0017 TWebControlGroup.Create 0025 _Dn_TLayoutAttributes 002a TLayoutAttributes.Create 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 58 FF FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 68 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47285_0 {
	meta:
		name = "TCustomLayoutGroup.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TWebControlGroup.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 68 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47286_0 {
	meta:
		name = "TCustomLayoutGroup.ImplCanAddClass"
		size = 156
		refs = "0017 TCustomLayoutGroup.ImplCanAddClass 0026 @CallDynaInst 0034 @IntfClear 0042 TObject.GetInterface 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 2B 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B 4D F8 8B D7 8B 45 FC 8B 18 FF 53 0C 8B D8 EB 09 85 DB 0F 95 C0 34 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 00 00 61 9F F5 13 85 EF D2 11 AF B1 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_47288_0 {
	meta:
		name = "TCustomLayoutGroup.ImplContent"
		size = 636
		refs = "002c TCustomLayoutGroup.ImplContent 0039 @UStrClr 0040 TWebContainedContainerComponent.GetWebComponents 0045 TWebComponentList.GetCount 0057 _DV_TFormLayout 005c TFormLayout.Create 007d AddQuotedAttrib 0098 AddCustomAttrib 00dd Format 00eb @UStrAsg 0141 TWebComponentList.GetComponent 0149 FormatField 0154 @UStrCat 0165 TFormLayout.EndLayout 017d @IntfClear 018c TObject.GetInterface 01c6 TObject.Free 01cc @HandleFinally 01e8 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D D8 89 5D E4 89 5D F4 89 5D F0 89 4D EC 89 55 FC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 81 01 00 00 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 4B 5C 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4B 64 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 60 8D 45 F0 E8 ?? ?? ?? ?? 83 7B 58 01 7C 22 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 58 3B C2 7E 02 8B C2 8B 55 F8 89 42 14 8B 45 F8 C6 40 1D 01 8D 45 E4 50 8B 45 F0 89 45 DC C6 45 E0 11 8D 55 DC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 83 C0 10 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 7C 5E 40 89 45 E8 33 FF 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 3B F8 75 1F 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 4A 14 99 F7 F9 4A 75 07 8B 45 F8 C6 40 1C 01 55 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8D 55 D8 E8 ?? ?? ?? ?? 59 8B 55 D8 8B C6 E8 ?? ?? ?? ?? 47 FF 4D E8 75 A8 8D 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D4 8B C6 E8 ?? ?? ?? ?? 83 7D EC 00 74 3C 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 21 8D 45 D0 50 8B C3 8B 10 FF 52 64 8B C8 8B 16 8B 45 F4 8B 18 FF 53 18 8B 55 D0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 0D 00 0A 00 3C 00 74 00 61 00 62 00 6C 00 65 00 25 00 73 00 3E 00 00 00 D1 0E 81 4E 9B F0 D2 11 AA 53 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_47290_0 {
	meta:
		name = "TCustomLayoutGroup.GetLayoutAttributes"
		size = 112
		refs = "000b @UStrClr 0016 TCustomLayoutGroup.GetLayoutAttributes 001b AddQuotedAttrib 0036 AddCustomAttrib"
	strings:
		$1 = { 53 56 8B D8 8B 73 68 8D 46 08 E8 ?? ?? ?? ?? 8D 46 08 8B 4B 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 08 8B 4B 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 08 8B 53 60 E8 ?? ?? ?? ?? 8B 43 68 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_47293_0 {
	meta:
		name = "TQueryFieldGroup.FindParam"
		size = 216
		refs = "001a TQueryFieldGroup.FindParam 0027 TWebContainedContainerComponent.GetWebComponents 002c TWebComponentList.GetCount 0044 TWebComponentList.GetComponent 004d @IntfClear 005a TObject.GetInterface 0085 AnsiCompareText 00a7 @UStrClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 5A 46 33 DB 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 2B 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 89 45 F4 8D 55 F0 8B 45 FC 8B 08 FF 51 10 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 74 09 43 4E 75 A9 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 00 15 11 32 7C FB FC D2 11 AF C3 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_47294_0 {
	meta:
		name = "TQueryFieldGroup.GetParamsList"
		size = 210
		refs = "000e _DV_TFieldText 002c _DV_TQueryText 004a _DV_TTextColumn 00b4 TParams.GetItem"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B D8 8B 0D ?? ?? ?? ?? 8B D3 8B C3 8B 30 FF 56 60 84 C0 74 0B A1 ?? ?? ?? ?? 89 44 24 04 EB 42 8B 0D ?? ?? ?? ?? 8B D3 8B C3 8B 30 FF 56 60 84 C0 74 0B A1 ?? ?? ?? ?? 89 44 24 04 EB 24 8B 0D ?? ?? ?? ?? 8B D3 8B C3 8B 30 FF 56 60 84 C0 74 0B A1 ?? ?? ?? ?? 89 44 24 04 EB 06 33 C0 89 44 24 04 8B 04 24 8B 10 FF 52 44 8B 43 58 8B 10 FF 52 08 85 C0 74 4B 8B 43 58 8B 10 FF 52 08 8B F8 8B 47 48 8B 40 08 83 78 08 00 75 07 8B C7 8B 10 FF 52 48 8B 47 48 8B 40 08 8B 58 08 4B 85 DB 7C 20 43 33 F6 8B 47 48 8B D6 E8 ?? ?? ?? ?? 8B 50 34 8B 4C 24 04 8B 04 24 8B 28 FF 55 3C 46 4B 75 E3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_47295_0 {
	meta:
		name = "TQueryFieldGroup.ImplCanAddClass"
		size = 54
		refs = "0005 _DV_TWebDataDisplay 000c TObject.InheritsFrom 001f _DV_TCustomLayoutGroup"
	strings:
		$1 = { 53 8B D9 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 FF 50 70 84 C0 75 15 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_47297_0 {
	meta:
		name = "TBaseAdapterAction.IsDisplayLabelStored"
		size = 12
		altNames = "TWebButton.IsCaptionStored"
	strings:
		$1 = { 53 8B D8 83 7B 48 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_47301_0 {
	meta:
		name = "TCustomFieldGroup.GetLayoutAttributes"
		size = 104
		refs = "000e TCustomFieldGroup.GetLayoutAttributes 0013 AddQuotedAttrib 002e AddCustomAttrib"
	strings:
		$1 = { 53 56 8B D8 8B 73 7C 8D 46 08 8B 4B 70 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 08 8B 4B 78 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 08 8B 53 74 E8 ?? ?? ?? ?? 8B 43 7C 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_47302_0 {
	meta:
		name = "TWebButton.SetCaption"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 48 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59485_0 {
	meta:
		name = "TDynamicObjectMemberInstance.SetFixedInstance"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 48 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47303_0 {
	meta:
		name = "TGridAttributes.AssignTo"
		size = 110
		refs = "000b _DV_TGridAttributes 0010 @IsClass 0021 @UStrAsg 0066 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 49 8B FE 8D 47 18 8B 53 18 E8 ?? ?? ?? ?? 8D 47 1C 8B 53 1C E8 ?? ?? ?? ?? 0F B6 43 04 88 47 04 8B 43 08 89 47 08 8D 47 0C 8B 53 0C E8 ?? ?? ?? ?? 8B 43 10 89 47 10 8B 43 14 89 47 14 8D 47 20 8B 53 20 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_47304_0 {
	meta:
		name = "TGridAttributes.Create"
		size = 81
		refs = "000b @ClassCreate 001a TObject.Create 003d @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 24 C7 47 08 01 00 00 00 C7 47 14 FF FF FF FF C7 47 10 FF FF FF FF 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_47305_0 {
	meta:
		name = "TGridRowAttributes.AssignTo"
		size = 99
		refs = "000b _DV_TGridRowAttributes 0010 @IsClass 002f @UStrAsg 005b TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3E 0F B6 43 04 8B FE 88 47 04 0F B6 43 0C 88 47 0C 8D 47 08 8B 53 08 E8 ?? ?? ?? ?? 8D 47 10 8B 53 10 E8 ?? ?? ?? ?? 8D 47 14 8B 53 14 E8 ?? ?? ?? ?? 8D 47 18 8B 53 18 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_47306_0 {
	meta:
		name = "TGridRowAttributes.Create"
		size = 68
		refs = "000b @ClassCreate 001a TObject.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C C6 47 04 00 C6 47 0C 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_47307_0 {
	meta:
		name = "TClientDataSetEvent.DataEvent"
		size = 57
		refs = "0010 TCustomClientDataSet.DataEvent"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 80 FB 0C 75 1C 85 FF 75 18 66 83 BE 12 03 00 00 00 74 0E 8B D6 8B 86 14 03 00 00 FF 96 10 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_47308_0 {
	meta:
		name = "TAdapterNamedField.IsFieldNameStored"
		size = 12
		altNames = "TWebDataDisplay.IsCaptionStored"
	strings:
		$1 = { 53 8B D8 83 7B 40 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_47309_0 {
	meta:
		name = "Finalization"
		size = 149
		refs = "0007 Finalization 0013 _DV_47 001a XMLDataSetList 001f TObject.Free 002b TextAreaWrap 0036 string 003b @FinalizeArray 0040 FormMethodNames 0055 HTMLAlignValues 006a HTMLVAlignValues 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 65 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_47311_0 {
	meta:
		name = "TBaseInetXPageProducer.FindXMLBrokerName"
		size = 56
		refs = "0009 TBaseInetXPageProducer.FindXMLBrokerName 0010 TStrings.GetValue"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 58 00 4D 00 4C 00 42 00 52 00 4F 00 4B 00 45 00 52 00 00 00 }
	condition:
		$1
}

rule function_47312_0 {
	meta:
		name = "TBaseInetXPageProducer.FindXMLBroker"
		size = 122
		refs = "000f TBaseInetXPageProducer.FindXMLBroker 0039 TComponent.FindComponent 0047 _Dn_TXMLBroker 004c @IsClass 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 8B 30 FF 96 B4 00 00 00 83 7D FC 00 74 26 8B 43 04 85 C0 74 1F 8B 55 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47313_0 {
	meta:
		name = "TBaseInetXPageProducer.GetXMLDelta"
		size = 131
		refs = "0014 TBaseInetXPageProducer.GetXMLDelta 0024 TCustomContentProducer.GetDispatcher 0047 TXMLBroker.GetDelta 0050 @UStrClr 0066 IWebDispatcherAccess 0070 @FinalizeArray 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 1F 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 0C 8B D0 8B CE 8B C7 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47315_0 {
	meta:
		name = "TBaseInetXPageProducer.GetUseXMLIslands"
		size = 292
		refs = "0012 TBaseInetXPageProducer.GetUseXMLIslands 003e TCustomContentProducer.GetDispatcher 007c Pos 00a5 @LStrCopy 00b2 @LStrCmp 00d6 @LStrArrayClr 00df IWebDispatcherAccess 00e9 @FinalizeArray 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 80 BE 88 00 00 00 00 0F 84 95 00 00 00 F6 46 1C 10 74 07 B3 01 E9 88 00 00 00 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 0C 8B F0 EB 02 33 F6 85 F6 74 5C 8D 4D F4 BA 0D 00 00 00 8B C6 8B 18 FF 53 04 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 32 8D 45 F0 50 8D 4D EC BA 0D 00 00 00 8B C6 8B 30 FF 56 04 8B 45 EC 8D 53 05 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 73 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 5E 5B 8B E5 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 04 00 00 00 4D 53 49 45 00 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 35 00 00 00 }
	condition:
		$1
}

rule function_47316_0 {
	meta:
		name = "TBaseInetXPageProducer.GetXMLData"
		size = 197
		refs = "0021 TBaseInetXPageProducer.GetXMLData 0031 TCustomContentProducer.GetDispatcher 005f TBaseInetXPageProducer.DoBeforeGetXMLData 0088 TBaseInetXPageProducer.DoAfterGetXMLData 009e IWebDispatcherAccess 00a8 @FinalizeArray 00b0 @VarClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 88 4D EF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 83 7D E0 00 74 17 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 8B 10 FF 52 0C 89 45 E8 EB 05 33 C0 89 45 E8 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 E4 50 8D 45 F0 50 0F B6 45 EF 50 8B 45 08 50 8B 4D E8 8B D3 8B C6 8B 38 FF 57 40 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_47317_0 {
	meta:
		name = "TBaseInetXPageProducer.DoTagEvent"
		size = 1128
		refs = "002f TBaseInetXPageProducer.DoTagEvent 0056 CompareText 0084 TStrings.GetValue 00cb @UStrAsg 0224 TComponentsPageProducer.DoTagEvent 0241 TBaseInetXPageProducer.GetScriptManager 029e @UStrCatN 02cd Format 02f1 @UStrArrayClr 02fa IScriptManager 0304 @FinalizeArray 0317 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D DC 89 5D D8 89 5D E0 89 5D E4 89 5D E8 89 4D F8 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 1C 10 0F 85 91 00 00 00 80 7D FF 00 0F 85 87 00 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 76 8B 55 0C 8B C3 8B 08 FF 91 B0 00 00 00 89 45 F4 0F B6 05 ?? ?? ?? ?? 88 45 F3 8D 4D E8 BA ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0D 0F B6 05 ?? ?? ?? ?? 0A 45 F3 88 45 F3 83 7D F4 00 0F 84 2B 02 00 00 8D 45 E4 50 0F B6 4D F3 8B 55 F4 8B C3 8B 18 FF 93 B8 00 00 00 8B 55 E4 8B C6 E8 ?? ?? ?? ?? E9 07 02 00 00 80 7D FF 00 75 2E BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 1D 8B BB 80 00 00 00 85 FF 0F 84 E2 01 00 00 8B C6 8B 57 10 E8 ?? ?? ?? ?? E9 D3 01 00 00 80 7D FF 00 75 2E BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 1D 8B BB 80 00 00 00 85 FF 0F 84 AE 01 00 00 8B C6 8B 57 04 E8 ?? ?? ?? ?? E9 9F 01 00 00 80 7D FF 00 75 2E BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 1D 8B BB 80 00 00 00 85 FF 0F 84 7A 01 00 00 8B C6 8B 57 14 E8 ?? ?? ?? ?? E9 6B 01 00 00 80 7D FF 00 75 2E BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 1D 8B BB 80 00 00 00 85 FF 0F 84 46 01 00 00 8B C6 8B 57 0C E8 ?? ?? ?? ?? E9 37 01 00 00 80 7D FF 00 75 2E BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 1D 8B BB 80 00 00 00 85 FF 0F 84 12 01 00 00 8B C6 8B 57 08 E8 ?? ?? ?? ?? E9 03 01 00 00 80 7D FF 00 75 37 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 26 8B BB 80 00 00 00 85 FF 0F 84 DE 00 00 00 8D 55 E0 8B C7 8B 08 FF 11 8B 55 E0 8B C6 E8 ?? ?? ?? ?? E9 C6 00 00 00 8B 45 0C 50 56 0F B6 55 FF 8B 4D F8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 0F 84 A9 00 00 00 83 3E 00 0F 85 A0 00 00 00 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 83 7D DC 00 0F 84 8C 00 00 00 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 8B 10 FF 52 28 F6 40 04 01 75 74 8B 45 0C 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 C7 45 EC 00 00 00 00 FF 36 68 ?? ?? ?? ?? 8D 4D D4 8B 55 EC 8B 45 0C 8B 38 FF 57 0C FF 75 D4 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 EC 4B 75 D6 8D 45 D0 50 8B 45 F8 89 45 C0 C6 45 C4 11 8B 06 89 45 C8 C6 45 CC 11 8D 55 C0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 41 00 54 00 41 00 50 00 41 00 43 00 4B 00 45 00 54 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 51 00 55 00 4F 00 54 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 72 00 75 00 65 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 43 00 52 00 49 00 50 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 4E 00 43 00 4C 00 55 00 44 00 45 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 57 00 41 00 52 00 4E 00 49 00 4E 00 47 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 4F 00 52 00 4D 00 53 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 54 00 59 00 4C 00 45 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 42 00 4F 00 44 00 59 00 45 00 4C 00 45 00 4D 00 45 00 4E 00 54 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 23 00 25 00 73 00 25 00 73 00 3E 00 00 00 }
	condition:
		$1
}

rule function_47320_0 {
	meta:
		name = "TBaseInetXPageProducer.ContentFromStream"
		size = 440
		refs = "001f TBaseInetXPageProducer.ContentFromStream 0055 _Dn_TScriptManager 005a @AsClass 0072 @IntfCopy 007a TBaseInetXPageProducer.DoBeforeGetContent 0093 TCustomContentProducer.GetDispatcher 00fe @UStrClr 010f TBasePageProducer.ContentFromStream 0131 TObject.Free 0137 @HandleFinally 014e TBaseInetXPageProducer.DoAfterGetContent 015b @IntfClear 019c IWebDispatcherAccess 01a6 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D EC 89 5D E4 89 5D E8 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F3 8B 45 FC 8B 08 FF 51 6C 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 55 F4 8B 45 FC 8B 08 FF 91 A4 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 05 90 00 00 00 8B D3 85 D2 74 03 83 EA B0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 83 7D EC 00 74 33 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 10 85 C0 74 1C 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 8B 10 FF 52 10 8B 10 FF 52 40 84 C0 75 6D 8B 45 FC 8B 10 FF 92 A8 00 00 00 8B 55 FC 89 82 80 00 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 10 FF 52 74 8B 45 F8 E8 ?? ?? ?? ?? 85 F6 74 0D 8B 4D F8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 80 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 90 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F3 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47321_0 {
	meta:
		name = "TBaseInetXPageProducer.DeclareRowSets"
		size = 640
		refs = "001c TBaseInetXPageProducer.DeclareRowSets 002a @UStrClr 0031 _Dn_TStringList 0036 TStringList.Create 0052 TBaseInetXPageProducer.GetScriptManager 0159 Format 0164 @UStrCat 0190 TObject.Free 0196 @HandleFinally 01b2 @UStrArrayClr 01c3 IXMLRowSets 01cd @FinalizeArray 01d5 @IntfClear"
	strings:
		$1 = { 55 8B EC B9 0D 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC 8B 08 FF 51 0C 8B 45 DC 8B 10 FF 52 0C 48 85 C0 0F 8C 0D 01 00 00 40 89 45 E0 C7 45 E8 00 00 00 00 8D 55 D0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 D0 8D 55 D4 8B 08 FF 51 0C 8B 45 D4 8D 4D F8 8B 55 E8 8B 18 FF 53 10 8D 55 CC 8B 45 F8 8B 08 FF 51 0C 8B 45 CC 8B 10 FF 52 0C 8B D8 4B 85 DB 0F 8C B4 00 00 00 43 33 F6 8D 55 C8 8B 45 F8 8B 08 FF 51 0C 8B 45 C8 8D 4D F4 8B D6 8B 38 FF 57 10 8D 55 FC 8B 45 F4 8B 08 FF 51 10 8B 55 FC 8B 45 E4 8B 08 FF 51 54 40 75 78 8B 55 FC 8B 45 E4 8B 08 FF 51 38 8D 45 C4 50 8B 45 FC 89 45 A4 C6 45 A8 11 8D 55 A0 8B 45 F8 8B 08 FF 51 14 8B 45 A0 89 45 AC C6 45 B0 11 8D 55 9C 8B 45 F4 8B 08 FF 51 14 8B 45 9C 89 45 B4 C6 45 B8 11 8D 55 98 8B 45 F4 8B 08 FF 51 18 8B 45 98 89 45 BC C6 45 C0 11 8D 55 A4 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC 46 4B 0F 85 4F FF FF FF FF 45 E8 FF 4D E0 0F 85 FE FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 98 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 2D 00 00 00 76 00 61 00 72 00 20 00 25 00 30 00 3A 00 73 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 78 00 6D 00 6C 00 52 00 6F 00 77 00 53 00 65 00 74 00 28 00 25 00 31 00 3A 00 73 00 2C 00 20 00 25 00 32 00 3A 00 73 00 2C 00 20 00 25 00 33 00 3A 00 73 00 29 00 3B 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_47322_0 {
	meta:
		name = "TBaseInetXPageProducer.DeclareXMLDocuments"
		size = 980
		refs = "001b TBaseInetXPageProducer.DeclareXMLDocuments 0032 @UStrClr 003d TBaseInetXPageProducer.GetScriptManager 00b0 _Dn_TXMLBroker 00b5 @AsClass 00ec Format 00f6 @UStrAsg 0239 @UStrArrayClr 0263 @IntfClear 0291 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 13 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 88 45 EF 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 8B 08 FF 51 0C 8B 45 E8 8B 10 FF 52 0C 8B F0 4E 85 F6 0F 8C C1 01 00 00 46 C7 45 F4 00 00 00 00 8D 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 8B 08 FF 51 0C 8B 45 E0 8D 4D FC 8B 55 F4 8B 38 FF 57 10 8D 55 D8 8B 45 FC 8B 08 FF 51 0C 8B 45 D8 8B 10 FF 52 0C 85 C0 0F 8E 70 01 00 00 8B 45 FC 8B 10 FF 52 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 45 D4 50 8B 03 89 45 C4 C6 45 C8 11 8D 55 C0 8B 45 FC 8B 08 FF 51 18 8B 45 C0 89 45 CC C6 45 D0 11 8D 55 C4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 F6 40 1C 10 74 5C 8D 45 BC 50 8B 03 89 45 94 C6 45 98 11 B8 ?? ?? ?? ?? 89 45 9C C6 45 A0 11 B8 ?? ?? ?? ?? 89 45 A4 C6 45 A8 11 8B 45 F0 8B 40 08 89 45 AC C6 45 B0 11 B8 ?? ?? ?? ?? 89 45 B4 C6 45 B8 11 8D 55 94 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B C3 E8 ?? ?? ?? ?? EB 49 8D 45 90 50 8B 03 89 45 C4 C6 45 C8 11 8D 45 8C 50 0F B6 4D EF 8B 55 F0 8B 45 F8 8B 38 FF 97 B8 00 00 00 8B 45 8C 89 45 CC C6 45 D0 11 8D 55 C4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 90 8B C3 E8 ?? ?? ?? ?? 8D 45 88 50 8B 03 89 85 70 FF FF FF C6 85 74 FF FF FF 11 8D 95 6C FF FF FF 8B 45 FC 8B 08 FF 51 14 8B 85 6C FF FF FF 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8D 95 68 FF FF FF 8B 45 FC 8B 08 FF 51 18 8B 85 68 FF FF FF 89 45 80 C6 45 84 11 8D 95 70 FF FF FF B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 88 8B C3 E8 ?? ?? ?? ?? FF 45 F4 4E 0F 85 47 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 68 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 88 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 96 5F 5E 5B 8B E5 5D C3 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 25 00 73 00 76 00 61 00 72 00 20 00 25 00 73 00 20 00 3D 00 20 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 41 00 54 00 41 00 50 00 41 00 43 00 4B 00 45 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 58 00 4D 00 4C 00 42 00 52 00 4F 00 4B 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 51 00 55 00 4F 00 54 00 45 00 3D 00 22 00 54 00 72 00 75 00 65 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 25 00 73 00 3C 00 23 00 25 00 73 00 20 00 25 00 73 00 3D 00 25 00 73 00 20 00 25 00 73 00 3E 00 3B 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 25 00 73 00 3B 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 25 00 73 00 76 00 61 00 72 00 20 00 25 00 73 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 44 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 28 00 25 00 73 00 29 00 3B 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_47323_0 {
	meta:
		name = "TBaseInetXPageProducer.DeclareXMLIslands"
		size = 832
		refs = "001a TBaseInetXPageProducer.DeclareXMLIslands 002a TBaseInetXPageProducer.GetScriptManager 0052 @UStrAsg 00cf _Dn_TXMLBroker 00d4 @AsClass 010b Format 01d0 @UStrCatN 01f6 @UStrArrayClr 020b @UStrClr 0213 @IntfClear 0249 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0E 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 28 F6 40 04 01 0F 85 A0 01 00 00 0F B6 05 ?? ?? ?? ?? 88 45 F3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 8B 08 FF 51 0C 8B 45 E4 8B 10 FF 52 0C 48 85 C0 0F 8C 64 01 00 00 40 89 45 EC C7 45 F8 00 00 00 00 8D 55 D8 8B C6 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC 8B 08 FF 51 0C 8B 45 DC 8D 4D FC 8B 55 F8 8B 38 FF 57 10 8D 55 D4 8B 45 FC 8B 08 FF 51 0C 8B 45 D4 8B 10 FF 52 0C 85 C0 0F 8E 0F 01 00 00 8B 45 FC 8B 10 FF 52 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 45 D0 50 8B 03 89 45 C0 C6 45 C4 11 8D 55 BC 8B 45 FC 8B 08 FF 51 14 8B 45 BC 89 45 C8 C6 45 CC 11 8D 55 C0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B C3 E8 ?? ?? ?? ?? F6 46 1C 10 74 50 8D 45 B8 50 8B 03 89 45 98 C6 45 9C 11 B8 ?? ?? ?? ?? 89 45 A0 C6 45 A4 11 B8 ?? ?? ?? ?? 89 45 A8 C6 45 AC 11 8B 45 F4 8B 40 08 89 45 B0 C6 45 B4 11 8D 55 98 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8B C3 E8 ?? ?? ?? ?? EB 48 8D 45 94 50 8B 03 89 45 C0 C6 45 C4 11 8D 45 90 50 0F B6 4D F3 8B 55 F4 8B C6 8B 38 FF 97 B8 00 00 00 8B 45 90 89 45 C8 C6 45 CC 11 8D 55 C0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 8B C3 E8 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? FF 45 F8 FF 4D EC 0F 85 A7 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 90 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9E 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 25 00 73 00 3C 00 58 00 4D 00 4C 00 20 00 49 00 44 00 3D 00 25 00 73 00 3E 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 41 00 54 00 41 00 50 00 41 00 43 00 4B 00 45 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 58 00 4D 00 4C 00 42 00 52 00 4F 00 4B 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 25 00 73 00 3C 00 23 00 25 00 73 00 20 00 25 00 73 00 3D 00 25 00 73 00 3E 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3C 00 2F 00 58 00 4D 00 4C 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_47324_0 {
	meta:
		name = "FormatInclude"
		size = 264
		refs = "0018 FormatInclude 002b @UStrCat3 0044 Format 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8D 45 F4 8B CB 8B D6 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 47 00 00 00 3C 00 53 00 43 00 52 00 49 00 50 00 54 00 20 00 6C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 3D 00 4A 00 61 00 76 00 61 00 53 00 63 00 72 00 69 00 70 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 74 00 65 00 78 00 74 00 2F 00 6A 00 61 00 76 00 61 00 73 00 63 00 72 00 69 00 70 00 74 00 22 00 20 00 53 00 52 00 43 00 3D 00 22 00 25 00 73 00 22 00 3E 00 3C 00 2F 00 53 00 43 00 52 00 49 00 50 00 54 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_47325_0 {
	meta:
		name = "TBaseInetXPageProducer.DeclareIncludes"
		size = 416
		refs = "001c TBaseInetXPageProducer.DeclareIncludes 0029 @UStrClr 003a @UStrLAsg 004b TCustomContentProducer.GetDispatcher 0093 @UStrFromLStr 009e PathInfoToRelativePath 00a9 TBaseInetXPageProducer.GetScriptManager 0108 FormatInclude 0112 @UStrCat 0132 @UStrArrayClr 013a @IntfClear 0162 @LStrClr 0173 IWebDispatcherAccess 017d @FinalizeArray 0193 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F4 8B 92 8C 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 5E 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 83 7D EC 00 74 4D 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 0C 85 C0 74 36 8D 55 DC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 DC 8B 10 FF 52 0C 8D 4D E0 BA 04 00 00 00 8B 18 FF 53 04 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 FC E8 ?? ?? ?? ?? 8D 55 D4 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 8B 08 FF 51 10 8B 45 D8 8B 10 FF 52 0C 8B D8 4B 85 DB 7C 55 43 C7 45 F0 00 00 00 00 8D 55 CC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 8B 08 FF 51 10 8B 45 D0 8D 4D F8 8B 55 F0 8B 38 FF 57 10 8D 55 C4 8B 45 F8 8B 08 FF 51 0C 8B 45 C4 8D 4D C8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 C8 8B C6 E8 ?? ?? ?? ?? FF 45 F0 4B 75 B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 90 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47326_0 {
	meta:
		name = "FormatStyles"
		size = 152
		refs = "001e FormatStyles 0023 Format 002c @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 85 DB 74 19 56 89 5D F8 C6 45 FC 11 8D 55 F8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 3C 00 53 00 54 00 59 00 4C 00 45 00 20 00 54 00 59 00 50 00 45 00 3D 00 22 00 74 00 65 00 78 00 74 00 2F 00 63 00 73 00 73 00 22 00 3E 00 0D 00 0A 00 25 00 30 00 3A 00 73 00 0D 00 0A 00 3C 00 2F 00 53 00 54 00 59 00 4C 00 45 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_47327_0 {
	meta:
		name = "TBaseInetXPageProducer.DeclareStyles"
		size = 239
		refs = "0013 TBaseInetXPageProducer.DeclareStyles 0035 _Dn_TFileStream 003a TFileStream.Create 005c @UStrSetLength 006c @UStrToPWChar 008b FormatStyles 00a0 TObject.Free 00a6 @HandleFinally 00d5 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB A8 00 00 00 00 0F 84 82 00 00 00 6A 20 8B 8B A8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 12 8B D0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 12 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 59 8B 18 FF 53 0C 8B D0 8D 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 F4 8B 83 84 00 00 00 8B 08 FF 51 1C 8B 45 F4 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47328_0 {
	meta:
		name = "TBaseInetXPageProducer.DeclareFunctions"
		size = 226
		refs = "0019 TBaseInetXPageProducer.DeclareFunctions 0026 @UStrClr 0031 TBaseInetXPageProducer.GetScriptManager 008c @UStrCat 00af @IntfClear 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 8B 08 FF 51 14 8B 45 F0 8B 10 FF 52 0C 8B D8 4B 85 DB 7C 47 43 C7 45 F4 00 00 00 00 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 8B 08 FF 51 14 8B 45 E8 8D 4D FC 8B 55 F4 8B 38 FF 57 10 8D 55 E0 8B 45 FC 8B 08 FF 51 10 8B 55 E0 8B C6 E8 ?? ?? ?? ?? FF 45 F4 4B 75 C1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47329_0 {
	meta:
		name = "TBaseInetXPageProducer.DeclareWarnings"
		size = 400
		refs = "0023 TBaseInetXPageProducer.DeclareWarnings 0030 @UStrClr 008e Format 0098 @UStrAsg 00d0 sWarningsBody 00d5 LoadResString 0111 @UStrArrayClr 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D D0 89 5D CC 89 5D DC 89 5D F4 89 5D E0 8B D9 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 85 C0 0F 8E B7 00 00 00 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4F 46 C7 45 F8 00 00 00 00 8D 45 F4 50 8B 03 89 45 E4 C6 45 E8 11 8D 4D E0 8B 55 F8 8B 45 FC 8B 38 FF 57 0C 8B 45 E0 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? FF 45 F8 4E 75 B9 8D 45 DC 50 8B 03 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B 03 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 58 E8 ?? ?? ?? ?? 8B 55 D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 25 00 73 00 20 00 20 00 3C 00 4C 00 49 00 3E 00 25 00 73 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 55 00 4C 00 3E 00 0D 00 0A 00 25 00 73 00 3C 00 2F 00 55 00 4C 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_48585_0 {
	meta:
		name = "TBaseAdapterPageProducer.DeclareWarnings"
		size = 400
		refs = "0023 TBaseAdapterPageProducer.DeclareWarnings 0030 @UStrClr 008e Format 0098 @UStrAsg 00d0 sWarningsBody 00d5 LoadResString 0111 @UStrArrayClr 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D D0 89 5D CC 89 5D DC 89 5D F4 89 5D E0 8B D9 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 85 C0 0F 8E B7 00 00 00 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4F 46 C7 45 F8 00 00 00 00 8D 45 F4 50 8B 03 89 45 E4 C6 45 E8 11 8D 4D E0 8B 55 F8 8B 45 FC 8B 38 FF 57 0C 8B 45 E0 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? FF 45 F8 4E 75 B9 8D 45 DC 50 8B 03 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B 03 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 58 E8 ?? ?? ?? ?? 8B 55 D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 25 00 73 00 20 00 20 00 3C 00 4C 00 49 00 3E 00 25 00 73 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 55 00 4C 00 3E 00 0D 00 0A 00 25 00 73 00 3C 00 2F 00 55 00 4C 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_47330_0 {
	meta:
		name = "TBaseInetXPageProducer.DeclareScript"
		size = 640
		refs = "0023 TBaseInetXPageProducer.DeclareScript 0030 @UStrClr 003b TBaseInetXPageProducer.GetScriptManager 006b @UStrCat 0160 Format 016a @UStrAsg 0187 @IntfClear 01bc @UStrArrayClr 01da @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 88 55 F3 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 28 F6 40 04 01 0F 85 1D 01 00 00 80 7D F3 00 75 18 8D 55 E4 8B 45 F4 8B 08 FF 91 80 00 00 00 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F4 8B 08 FF 51 7C 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 F4 8B 08 FF 91 90 00 00 00 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 FC 8B 08 FF 51 1C 8B 45 FC 8B 10 FF 52 0C 8B F0 4E 85 F6 7C 31 46 C7 45 EC 00 00 00 00 8D 4D D0 8B 55 EC 8B 45 FC 8B 38 FF 57 10 8B 45 D0 8D 55 D4 8B 08 FF 51 10 8B 55 D4 8B C3 E8 ?? ?? ?? ?? FF 45 EC 4E 75 D7 8D 55 CC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 CC 8D 55 F8 8B 08 FF 51 20 8B 45 F8 8B 10 FF 52 0C 8B F0 4E 85 F6 7C 31 46 C7 45 EC 00 00 00 00 8D 4D C4 8B 55 EC 8B 45 F8 8B 38 FF 57 10 8B 45 C4 8D 55 C8 8B 08 FF 51 10 8B 55 C8 8B C3 E8 ?? ?? ?? ?? FF 45 EC 4E 75 D7 8D 45 C0 50 8B 03 89 45 B8 C6 45 BC 11 8D 55 B8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9B 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 44 00 00 00 0D 00 0A 00 3C 00 53 00 43 00 52 00 49 00 50 00 54 00 20 00 6C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 3D 00 4A 00 61 00 76 00 61 00 53 00 63 00 72 00 69 00 70 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 74 00 65 00 78 00 74 00 2F 00 6A 00 61 00 76 00 61 00 73 00 63 00 72 00 69 00 70 00 74 00 22 00 3E 00 0D 00 0A 00 25 00 73 00 3C 00 2F 00 53 00 43 00 52 00 49 00 50 00 54 00 3E 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_47331_0 {
	meta:
		name = "TBaseInetXPageProducer.AddScriptComponents"
		size = 328
		refs = "0017 TBaseInetXPageProducer.AddScriptComponents 0027 TBaseInetXPageProducer.GetScriptManager 0087 Format 00c3 @IntfClear 00d3 @UStrClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC 8B 08 FF 51 2C 8B 45 FC 8B 53 70 8B 08 FF 51 30 8B C3 8B 10 FF 92 A0 00 00 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 8B 08 FF 51 0C 8B 45 F4 8B 10 FF 52 0C 85 C0 7E 46 8D 45 EC 50 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 8B 08 FF 51 2C 8B 45 E0 BA ?? ?? ?? ?? 59 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 6D 00 6C 00 5F 00 72 00 65 00 61 00 64 00 79 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 73 00 3D 00 74 00 72 00 75 00 65 00 3B 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_47332_0 {
	meta:
		name = "TBaseInetXPageProducer.AddIncludes"
		size = 188
		refs = "0011 TBaseInetXPageProducer.AddIncludes 0021 TBaseInetXPageProducer.GetScriptManager 0074 AddStdIncludes 0089 @IntfClear 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC 8B 08 FF 51 0C 8B 45 FC 8B 10 FF 52 0C 85 C0 7E 3C 0F B6 1D ?? ?? ?? ?? 8B C6 8B 10 FF 52 78 84 C0 75 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 8B 08 FF 51 2C 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 06 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_47333_0 {
	meta:
		name = "PathInfoToRelativePath"
		size = 136
		refs = "000b @UStrClr 0012 @UStrToPWChar 001b PathInfoToRelativePath 0022 StrPos 0040 IsDelimiter 0050 @UStrCat"
	strings:
		$1 = { 53 56 57 55 8B FA 8B E8 8B C7 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 8B F0 8B DE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 2B 8B CB 2B CE D1 F9 79 03 83 D1 00 41 8B D5 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C3 02 85 DB 75 BF 5D 5F 5E 5B C3 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 2E 00 2F 00 00 00 }
	condition:
		$1
}

rule function_47334_0 {
	meta:
		name = "AddStdIncludes"
		size = 340
		refs = "0010 @IntfAddRef 0018 AddStdIncludes 0092 @IntfClear 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 88 45 FB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 FB 01 74 0D BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 10 F6 45 FB 02 74 0D BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 10 F6 45 FB 04 74 0D BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 10 F6 45 FB 10 74 0D BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 10 F6 45 FB 20 74 0D BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 6D 00 6C 00 64 00 6F 00 6D 00 2E 00 6A 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 78 00 6D 00 6C 00 64 00 62 00 2E 00 6A 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 6D 00 6C 00 64 00 69 00 73 00 70 00 2E 00 6A 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 6D 00 6C 00 65 00 72 00 72 00 64 00 69 00 73 00 70 00 2E 00 6A 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 6D 00 6C 00 73 00 68 00 6F 00 77 00 2E 00 6A 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_47335_0 {
	meta:
		name = "TBaseInetXPageProducer.GeneratePageElements"
		size = 604
		refs = "0019 TBaseInetXPageProducer.GeneratePageElements 0031 TWebComponentList.GetCount 004b TWebComponentList.GetComponent 0054 @IntfClear 0061 TObject.GetInterface 0073 TBaseInetXPageProducer.GetScriptManager 0098 @UStrCat 0180 @UStrAsg 01e9 @UStrArrayClr 020e @UStrClr 0217 IScriptManager 0221 @FinalizeArray 023f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 9C 00 00 00 8B 43 70 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 66 46 C7 45 F4 00 00 00 00 8B 55 F4 8B 43 70 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 33 8D 45 EC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 28 8B D0 33 C9 8B 45 FC 8B 38 FF 57 0C 8B 55 EC 8B 83 80 00 00 00 83 C0 0C E8 ?? ?? ?? ?? FF 45 F4 4E 75 A2 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 F8 8B 08 FF 51 24 8B 45 F8 8B 10 FF 52 0C 8B F0 4E 85 F6 7C 38 46 C7 45 F4 00 00 00 00 8D 4D DC 8B 55 F4 8B 45 F8 8B 38 FF 57 10 8B 45 DC 8D 55 E0 8B 08 FF 51 10 8B 55 E0 8B 83 80 00 00 00 83 C0 10 E8 ?? ?? ?? ?? FF 45 F4 4E 75 D0 8B C3 8B 10 FF 52 78 88 45 F3 80 7D F3 00 74 1E 8D 55 D8 8B C3 8B 08 FF 91 84 00 00 00 8B 55 D8 8B 83 80 00 00 00 83 C0 10 E8 ?? ?? ?? ?? 8D 4D D4 0F B6 55 F3 8B C3 8B 30 FF 96 98 00 00 00 8B 55 D4 8B 83 80 00 00 00 83 C0 10 E8 ?? ?? ?? ?? 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 45 D0 8B 10 FF 52 28 F6 40 04 01 75 1E 8D 55 CC 8B C3 8B 08 FF 91 88 00 00 00 8B 55 CC 8B 83 80 00 00 00 83 C0 04 E8 ?? ?? ?? ?? 8D 55 C8 8B C3 8B 08 FF 91 8C 00 00 00 8B 55 C8 8B 83 80 00 00 00 83 C0 08 E8 ?? ?? ?? ?? F6 43 1C 10 74 2B 8B 83 90 00 00 00 8B 10 FF 52 18 8B D0 8D 4D C4 8B C3 8B 30 FF 96 94 00 00 00 8B 55 C4 8B 83 80 00 00 00 83 C0 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9B 5F 5E 5B 8B E5 5D C3 D1 1C 3E 1B 59 DF D2 11 AA 45 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_47336_0 {
	meta:
		name = "TBaseInetXPageProducer.Create"
		size = 78
		refs = "000a @ClassCreate 0017 TBasePageItemsProducer.Create 001e _Dn_TStringList 0023 TStringList.Create 003b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 84 00 00 00 C6 86 88 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47338_0 {
	meta:
		name = "TBaseInetXPageProducer.GetDefaultTemplate"
		size = 440
		refs = "0008 TBaseInetXPageProducer.GetDefaultTemplate 005c Format"
	strings:
		$1 = { 53 83 C4 D8 8B DA 53 B8 ?? ?? ?? ?? 89 44 24 04 C6 44 24 08 11 B8 ?? ?? ?? ?? 89 44 24 0C C6 44 24 10 11 B8 ?? ?? ?? ?? 89 44 24 14 C6 44 24 18 11 B8 ?? ?? ?? ?? 89 44 24 1C C6 44 24 20 11 B8 ?? ?? ?? ?? 89 44 24 24 C6 44 24 28 11 8D 54 24 04 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 28 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 4E 00 43 00 4C 00 55 00 44 00 45 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 54 00 59 00 4C 00 45 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 57 00 41 00 52 00 4E 00 49 00 4E 00 47 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 4F 00 52 00 4D 00 53 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 43 00 52 00 49 00 50 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 58 00 00 00 3C 00 48 00 54 00 4D 00 4C 00 3E 00 0D 00 0A 00 3C 00 48 00 45 00 41 00 44 00 3E 00 0D 00 0A 00 3C 00 2F 00 48 00 45 00 41 00 44 00 3E 00 0D 00 0A 00 3C 00 42 00 4F 00 44 00 59 00 3E 00 0D 00 0A 00 3C 00 23 00 25 00 30 00 3A 00 73 00 3E 00 3C 00 23 00 25 00 31 00 3A 00 73 00 3E 00 3C 00 23 00 25 00 32 00 3A 00 73 00 3E 00 3C 00 23 00 25 00 33 00 3A 00 73 00 3E 00 3C 00 23 00 25 00 34 00 3A 00 73 00 3E 00 0D 00 0A 00 3C 00 2F 00 42 00 4F 00 44 00 59 00 3E 00 0D 00 0A 00 3C 00 2F 00 48 00 54 00 4D 00 4C 00 3E 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_47339_0 {
	meta:
		name = "TBaseInetXPageProducer.DoAfterGetXMLData"
		size = 139
		refs = "0014 TBaseInetXPageProducer.DoAfterGetXMLData 002e TCustomContentProducer.GetDispatcher 006e IWebDispatcherAccess 0078 @FinalizeArray 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB A2 00 00 00 00 74 34 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 24 56 57 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 0C 8B C8 8B D3 8B 83 A4 00 00 00 FF 93 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47340_0 {
	meta:
		name = "TBaseInetXPageProducer.DoBeforeGetXMLData"
		size = 139
		refs = "0014 TBaseInetXPageProducer.DoBeforeGetXMLData 002e TCustomContentProducer.GetDispatcher 006e IWebDispatcherAccess 0078 @FinalizeArray 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 9A 00 00 00 00 74 34 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 24 56 57 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 0C 8B C8 8B D3 8B 83 9C 00 00 00 FF 93 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47341_0 {
	meta:
		name = "TBaseInetXPageProducer.SetIncludePathURL"
		size = 168
		refs = "000f TBaseInetXPageProducer.SetIncludePathURL 0023 DosPathToUnixPath 003e IsDelimiter 004f @UStrCat 005d AnsiCompareText 006f @UStrAsg 0084 @UStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 36 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8B CE 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 0E 8D 83 8C 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_47342_0 {
	meta:
		name = "TBaseAdapterPageProducer.CanAddClass"
		size = 14
		altNames = "TBaseInetXPageProducer.CanAddClass"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 18 FF 53 70 5E 5B C3 }
	condition:
		$1
}

rule function_47343_0 {
	meta:
		name = "TBaseInetXPageProducer.ImplCanAddClass"
		size = 45
		refs = "0005 _Dn_TWebForm 000c TObject.InheritsFrom 0016 _Dn_TCustomLayoutGroup"
	strings:
		$1 = { 53 8B D9 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_48597_0 {
	meta:
		name = "TBaseAdapterPageProducer.ImplCanAddClass"
		size = 45
		refs = "0005 _Dn_TCustomAdapterForm 000c TObject.InheritsFrom 0016 _Dn_TCustomLayoutGroup"
	strings:
		$1 = { 53 8B D9 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_47344_0 {
	meta:
		name = "TBaseInetXPageProducer.SetStyles"
		size = 33
		refs = "001a @UStrClr"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 84 00 00 00 8B 08 FF 51 08 8D 86 A8 00 00 00 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_47345_0 {
	meta:
		name = "TBaseInetXPageProducer.SetStylesFile"
		size = 52
		refs = "0011 AnsiCompareFileName 002d @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C9 8B D6 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 18 8B 83 84 00 00 00 8B 10 FF 52 44 8D 83 A8 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47347_0 {
	meta:
		name = "TBaseInetXPageProducer.DoBeforeGetContent"
		size = 29
		altNames = "TCommonDialogAction.DoAccept TCustomFileDialog.DoOnTypeChange TCustomTaskDialog.DoOnDialogDestroyed TDdeClientConv.Open TOpenDialog.DoTypeChange"
	strings:
		$1 = { 53 66 83 B8 B2 00 00 00 00 74 10 8B D8 8B D0 8B 83 B4 00 00 00 FF 93 B0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_47348_0 {
	meta:
		name = "TBaseInetXPageProducer.GetContentOptions"
		size = 164
		refs = "0011 TBaseInetXPageProducer.GetContentOptions 0032 TBaseInetXPageProducer.GetScriptManager 0062 _Dn_TWebContentOptions 0067 TWebContentOptions.Create 007f IScriptManager 0089 @FinalizeArray 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 C0 00 00 00 85 C0 74 07 8B D8 C6 06 00 EB 41 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 19 C6 06 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 28 8B D8 EB 18 C6 06 01 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5E 5B 59 59 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_47349_0 {
	meta:
		name = "TCustomInetXPageProducer.Create"
		size = 156
		refs = "0015 @ClassCreate 0022 TCustomInetXPageProducer.Create 0031 TBaseInetXPageProducer.Create 0038 _Dn_TStringList 003d TStringList.Create 0071 @UStrClr 0077 @HandleFinally 0086 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E D4 00 00 00 8D 55 F8 8B C6 8B 08 FF 91 AC 00 00 00 8B 55 F8 8B C3 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47350_0 {
	meta:
		name = "TCustomInetXPageProducer.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TBaseInetXPageProducer.Destroy 001d TObject.Free 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 D4 00 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47351_0 {
	meta:
		name = "TCustomInetXPageProducer.Content"
		size = 93
		refs = "001d TCustomInetXPageProducer.Content 0030 TCustomInetXPageProducer.WebContent 004b TObject.Free 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8D 55 FB 8B C3 8B 08 FF 51 6C 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47352_0 {
	meta:
		name = "TCustomInetXPageProducer.WebContent"
		size = 149
		refs = "0017 TCustomInetXPageProducer.WebContent 0062 TObject.Free 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 45 FC 8B 45 FC 89 90 C0 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F7 8B 45 FC 8B 08 FF 51 60 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B 55 F8 8B 45 FC 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F7 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 C0 00 00 00 C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_47353_0 {
	meta:
		name = "TCustomInetXPageProducer.SetHTMLDoc"
		size = 33
		refs = "001a @UStrClr"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 D4 00 00 00 8B 08 FF 51 08 8D 86 D0 00 00 00 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_47354_0 {
	meta:
		name = "TCustomInetXPageProducer.SetHTMLFile"
		size = 52
		refs = "0011 AnsiCompareFileName 002d @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C9 8B D6 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 18 8B 83 D4 00 00 00 8B 10 FF 52 44 8D 83 D0 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47355_0 {
	meta:
		name = "GetLocateFileService"
		size = 128
		refs = "000c GetLocateFileService 0019 @IntfClear 003d Supports 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 38 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 5B 16 FD C9 1C 8F D4 11 A4 E4 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_47356_0 {
	meta:
		name = "TCustomInetXPageProducer.GetTemplateStream"
		size = 282
		refs = "0016 TCustomInetXPageProducer.GetTemplateStream 0034 GetLocateFileService 0040 @IntfCopy 0072 TBasePageProducer.GetProducerTemplateFileName 007c _Dn_TFileStream 0081 TFileStream.Create 00a4 Trim 00bd TEncoding.GetUTF8 00ca _Dn_TStringStream 00cf TStringStream.Create 00eb @UStrArrayClr 00f4 ILocateFileService 00fe @FinalizeArray 0106 @UStrClr 010c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 06 01 8B 45 FC 83 B8 D0 00 00 00 00 74 5D 55 8D 45 F0 E8 ?? ?? ?? ?? 59 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 74 19 56 8B 45 FC 8B 88 D0 00 00 00 8B 55 FC 8B 45 F4 8B 18 FF 53 0C 8B D8 EB 02 33 DB 85 DB 75 6C 6A 20 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 C6 06 01 EB 49 8D 55 F8 8B 45 FC 8B 80 D4 00 00 00 8B 08 FF 51 1C 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 83 7D E8 00 75 0E 8D 55 F8 8B 45 FC 8B 08 FF 91 AC 00 00 00 E8 ?? ?? ?? ?? 50 6A 01 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47357_0 {
	meta:
		name = "TCustomInetXPageProducer.GetTemplateFileName"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 D0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47358_0 {
	meta:
		name = "TInetXPageElements.BodyContent"
		size = 36
		refs = "001d @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 FF 73 04 FF 73 08 FF 73 14 FF 73 0C FF 73 10 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47359_0 {
	meta:
		name = "TBaseInetXPageProducer.GetRequiredTags"
		size = 332
		refs = "0008 TBaseInetXPageProducer.GetRequiredTags 005c Format"
	strings:
		$1 = { 53 83 C4 D8 8B DA 53 B8 ?? ?? ?? ?? 89 44 24 04 C6 44 24 08 11 B8 ?? ?? ?? ?? 89 44 24 0C C6 44 24 10 11 B8 ?? ?? ?? ?? 89 44 24 14 C6 44 24 18 11 B8 ?? ?? ?? ?? 89 44 24 1C C6 44 24 20 11 B8 ?? ?? ?? ?? 89 44 24 24 C6 44 24 28 11 8D 54 24 04 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 28 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 4E 00 43 00 4C 00 55 00 44 00 45 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 54 00 59 00 4C 00 45 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 57 00 41 00 52 00 4E 00 49 00 4E 00 47 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 4F 00 52 00 4D 00 53 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 43 00 52 00 49 00 50 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 3C 00 23 00 25 00 30 00 3A 00 73 00 3E 00 3C 00 23 00 25 00 31 00 3A 00 73 00 3E 00 3C 00 23 00 25 00 32 00 3A 00 73 00 3E 00 3C 00 23 00 25 00 33 00 3A 00 73 00 3E 00 3C 00 23 00 25 00 34 00 3A 00 73 00 3E 00 00 00 }
	condition:
		$1
}

rule function_47360_0 {
	meta:
		name = "TBaseInetXPageProducer.SetWebContentOptions"
		size = 7
	strings:
		$1 = { 89 90 C0 00 00 00 C3 }
	condition:
		$1
}

rule function_47361_0 {
	meta:
		name = "TBaseInetXPageProducer.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TBasePageItemsProducer.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 84 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47364_0 {
	meta:
		name = "RunTest"
		size = 129
		refs = "0011 @IntfAddRef 0019 @UStrAddRef 0021 RunTest 0031 _DV_TMSBuildTestListener 0036 TXMLTestListener.Create 0066 @UStrClr 006e @IntfClear 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 05 2D 08 FD FF FF 89 45 F4 8D 55 F4 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115356_0 {
	meta:
		name = "RunTest"
		size = 129
		refs = "0011 @IntfAddRef 0019 @UStrAddRef 0021 RunTest 0031 _DV_TXMLTestListener 0036 TXMLTestListener.Create 0066 @UStrClr 006e @IntfClear 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 05 2D 08 FD FF FF 89 45 F4 8D 55 F4 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47366_0 {
	meta:
		name = "TMSBuildTestListener.TestingEnds"
		size = 1120
		refs = "0018 TMSBuildTestListener.TestingEnds 0025 TXMLTestListener.TestingEnds 005e TTestResult.GetFailure 006e _Dn_TTestCase 0073 @IntfIsClass 0095 @SafeIntfAsClass 009f TObject.UnitName 00af @UStrCat3 00f2 @UStrLAsg 010d ParamStr 0198 Format 01a0 ErrOutput 01a5 @Write0UString 01aa @WriteLn 01af @_IOTest 0278 @TRUNC 02d5 @UStrClr 02e2 @UStrArrayClr 02ea @IntfClear 033a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 16 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 4C 8B F0 8B C3 8B 10 FF 52 48 03 F0 85 F6 0F 84 7E 02 00 00 8B C3 8B 10 FF 52 4C 48 85 C0 0F 8C 6A 01 00 00 40 89 45 F4 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 11 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6E 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 11 8B 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 E0 8B 08 FF 11 8B 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 8D 55 E4 FF 90 00 01 00 00 8B 45 E4 8D 55 FC 8B 08 FF 51 0C EB 1A 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 50 8D 55 A8 33 C0 E8 ?? ?? ?? ?? 8B 45 A8 89 45 AC C6 45 B0 11 8B 45 F8 89 45 B4 C6 45 B8 11 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 A4 8B 08 FF 51 08 8B 45 A4 89 45 BC C6 45 C0 11 8B 45 FC 89 45 C4 C6 45 C8 11 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 9C 8B 08 FF 11 8B 45 9C 8D 55 A0 8B 08 FF 51 0C 8B 45 A0 89 45 CC C6 45 D0 11 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 98 8B 08 FF 51 0C 8B 45 98 89 45 D4 C6 45 D8 11 8D 55 AC B9 05 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 FF 4D F4 0F 85 9C FE FF FF 8D 45 94 50 8D 95 68 FF FF FF 33 C0 E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 89 85 6C FF FF FF C6 85 70 FF FF FF 11 8B C3 8B 10 FF 52 4C 89 85 74 FF FF FF C6 85 78 FF FF FF 00 8B C3 8B 10 FF 52 48 89 85 7C FF FF FF C6 45 80 00 8B C3 8B 10 FF 52 44 8B F0 8B C3 8B 10 FF 52 4C 2B F0 8B C3 8B 10 FF 52 48 2B F0 89 75 84 C6 45 88 00 8B C3 8B 10 FF 52 44 8B F0 8B C3 8B 10 FF 52 4C 2B F0 8B C3 8B 10 FF 52 48 2B F0 89 B5 64 FF FF FF DB 85 64 FF FF FF DB BD 58 FF FF FF 9B 8B C3 8B 10 FF 52 44 89 85 54 FF FF FF DB 85 54 FF FF FF DB AD 58 FF FF FF DE F1 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 4C FF FF FF 89 95 50 FF FF FF 8D 85 4C FF FF FF 89 45 8C C6 45 90 10 8D 95 6C FF FF FF B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8D 45 94 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8E 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 70 00 61 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 25 00 73 00 3A 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 25 00 73 00 3A 00 20 00 25 00 73 00 20 00 69 00 6E 00 20 00 25 00 73 00 2E 00 25 00 73 00 3A 00 20 00 22 00 25 00 73 00 22 00 00 00 00 00 C8 42 B0 04 02 00 FF FF FF FF 40 00 00 00 25 00 73 00 3A 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 53 00 75 00 6D 00 6D 00 61 00 72 00 79 00 3A 00 20 00 25 00 64 00 20 00 46 00 61 00 69 00 6C 00 65 00 64 00 2C 00 20 00 25 00 64 00 20 00 45 00 72 00 72 00 6F 00 72 00 73 00 20 00 25 00 64 00 20 00 50 00 61 00 73 00 73 00 65 00 64 00 20 00 28 00 25 00 64 00 25 00 25 00 20 00 53 00 75 00 63 00 63 00 65 00 73 00 73 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_47369_0 {
	meta:
		name = "CoDataObject.Create"
		size = 100
		refs = "000c CoDataObject.Create 001a CLASS_DataObject 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 B1 D2 34 23 3E 71 CF 11 8A E5 00 AA 00 C0 09 05 }
	condition:
		$1
}

rule function_47370_0 {
	meta:
		name = "CoDataObject.CreateRemote"
		size = 128
		refs = "0011 CoDataObject.CreateRemote 0021 @WStrFromUStr 002c CLASS_DataObject 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 B1 D2 34 23 3E 71 CF 11 8A E5 00 AA 00 C0 09 05 }
	condition:
		$1
}

rule function_47371_0 {
	meta:
		name = "CoDataObjectFiles.Create"
		size = 100
		refs = "000c CoDataObjectFiles.Create 001a CLASS_DataObjectFiles 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 B3 D2 34 23 3E 71 CF 11 8A E5 00 AA 00 C0 09 05 }
	condition:
		$1
}

rule function_47372_0 {
	meta:
		name = "CoDataObjectFiles.CreateRemote"
		size = 128
		refs = "0011 CoDataObjectFiles.CreateRemote 0021 @WStrFromUStr 002c CLASS_DataObjectFiles 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 B3 D2 34 23 3E 71 CF 11 8A E5 00 AA 00 C0 09 05 }
	condition:
		$1
}

rule function_47373_0 {
	meta:
		name = "CoTabs.Create"
		size = 100
		refs = "000c CoTabs.Create 001a CLASS_Tabs 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 97 65 FB 1E 7C 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47374_0 {
	meta:
		name = "CoTabs.CreateRemote"
		size = 128
		refs = "0011 CoTabs.CreateRemote 0021 @WStrFromUStr 002c CLASS_Tabs 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 97 65 FB 1E 7C 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47375_0 {
	meta:
		name = "CoTab.Create"
		size = 100
		refs = "000c CoTab.Create 001a CLASS_Tab 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 99 65 FB 1E 7C 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47376_0 {
	meta:
		name = "CoTab.CreateRemote"
		size = 128
		refs = "0011 CoTab.CreateRemote 0021 @WStrFromUStr 002c CLASS_Tab 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 99 65 FB 1E 7C 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47377_0 {
	meta:
		name = "CoButtons.Create"
		size = 100
		refs = "000c CoButtons.Create 001a CLASS_Buttons 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 E7 3F 83 66 83 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47378_0 {
	meta:
		name = "CoButtons.CreateRemote"
		size = 128
		refs = "0011 CoButtons.CreateRemote 0021 @WStrFromUStr 002c CLASS_Buttons 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 E7 3F 83 66 83 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47379_0 {
	meta:
		name = "CoButton.Create"
		size = 100
		refs = "000c CoButton.Create 001a CLASS_Button 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 E9 3F 83 66 83 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47380_0 {
	meta:
		name = "CoButton.CreateRemote"
		size = 128
		refs = "0011 CoButton.CreateRemote 0021 @WStrFromUStr 002c CLASS_Button 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 E9 3F 83 66 83 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47381_0 {
	meta:
		name = "CoButtonMenus.Create"
		size = 100
		refs = "000c CoButtonMenus.Create 001a CLASS_ButtonMenus 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 EB 3F 83 66 83 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47382_0 {
	meta:
		name = "CoButtonMenus.CreateRemote"
		size = 128
		refs = "0011 CoButtonMenus.CreateRemote 0021 @WStrFromUStr 002c CLASS_ButtonMenus 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 EB 3F 83 66 83 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47383_0 {
	meta:
		name = "CoButtonMenu.Create"
		size = 100
		refs = "000c CoButtonMenu.Create 001a CLASS_ButtonMenu 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 ED 3F 83 66 83 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47384_0 {
	meta:
		name = "CoButtonMenu.CreateRemote"
		size = 128
		refs = "0011 CoButtonMenu.CreateRemote 0021 @WStrFromUStr 002c CLASS_ButtonMenu 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 ED 3F 83 66 83 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47385_0 {
	meta:
		name = "CoPanels.Create"
		size = 100
		refs = "000c CoPanels.Create 001a CLASS_Panels 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 A4 67 38 8E 86 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47386_0 {
	meta:
		name = "CoPanels.CreateRemote"
		size = 128
		refs = "0011 CoPanels.CreateRemote 0021 @WStrFromUStr 002c CLASS_Panels 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 A4 67 38 8E 86 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47387_0 {
	meta:
		name = "CoPanel.Create"
		size = 100
		refs = "000c CoPanel.Create 001a CLASS_Panel 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 AA 67 38 8E 86 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47388_0 {
	meta:
		name = "CoPanel.CreateRemote"
		size = 128
		refs = "0011 CoPanel.CreateRemote 0021 @WStrFromUStr 002c CLASS_Panel 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 AA 67 38 8E 86 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47389_0 {
	meta:
		name = "CoNodes.Create"
		size = 100
		refs = "000c CoNodes.Create 001a CLASS_Nodes 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 B7 90 41 C7 89 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47390_0 {
	meta:
		name = "CoNodes.CreateRemote"
		size = 128
		refs = "0011 CoNodes.CreateRemote 0021 @WStrFromUStr 002c CLASS_Nodes 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 B7 90 41 C7 89 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47391_0 {
	meta:
		name = "CoNode.Create"
		size = 100
		refs = "000c CoNode.Create 001a CLASS_Node 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 B8 90 41 C7 89 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47392_0 {
	meta:
		name = "CoNode.CreateRemote"
		size = 128
		refs = "0011 CoNode.CreateRemote 0021 @WStrFromUStr 002c CLASS_Node 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 B8 90 41 C7 89 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47393_0 {
	meta:
		name = "CoListItems.Create"
		size = 100
		refs = "000c CoListItems.Create 001a CLASS_ListItems 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 4C F0 D1 BD 8B 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47394_0 {
	meta:
		name = "CoListItems.CreateRemote"
		size = 128
		refs = "0011 CoListItems.CreateRemote 0021 @WStrFromUStr 002c CLASS_ListItems 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 4C F0 D1 BD 8B 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47395_0 {
	meta:
		name = "CoListItem.Create"
		size = 100
		refs = "000c CoListItem.Create 001a CLASS_ListItem 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 4E F0 D1 BD 8B 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47396_0 {
	meta:
		name = "CoListItem.CreateRemote"
		size = 128
		refs = "0011 CoListItem.CreateRemote 0021 @WStrFromUStr 002c CLASS_ListItem 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 4E F0 D1 BD 8B 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47397_0 {
	meta:
		name = "CoColumnHeaders.Create"
		size = 100
		refs = "000c CoColumnHeaders.Create 001a CLASS_ColumnHeaders 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 50 F0 D1 BD 8B 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47398_0 {
	meta:
		name = "CoColumnHeaders.CreateRemote"
		size = 128
		refs = "0011 CoColumnHeaders.CreateRemote 0021 @WStrFromUStr 002c CLASS_ColumnHeaders 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 50 F0 D1 BD 8B 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47399_0 {
	meta:
		name = "CoColumnHeader.Create"
		size = 100
		refs = "000c CoColumnHeader.Create 001a CLASS_ColumnHeader 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 51 F0 D1 BD 8B 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47400_0 {
	meta:
		name = "CoColumnHeader.CreateRemote"
		size = 128
		refs = "0011 CoColumnHeader.CreateRemote 0021 @WStrFromUStr 002c CLASS_ColumnHeader 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 51 F0 D1 BD 8B 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47401_0 {
	meta:
		name = "CoListSubItems.Create"
		size = 100
		refs = "000c CoListSubItems.Create 001a CLASS_ListSubItems 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 53 F0 D1 BD 8B 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47402_0 {
	meta:
		name = "CoListSubItems.CreateRemote"
		size = 128
		refs = "0011 CoListSubItems.CreateRemote 0021 @WStrFromUStr 002c CLASS_ListSubItems 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 53 F0 D1 BD 8B 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47403_0 {
	meta:
		name = "CoListSubItem.Create"
		size = 100
		refs = "000c CoListSubItem.Create 001a CLASS_ListSubItem 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 55 F0 D1 BD 8B 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47404_0 {
	meta:
		name = "CoListSubItem.CreateRemote"
		size = 128
		refs = "0011 CoListSubItem.CreateRemote 0021 @WStrFromUStr 002c CLASS_ListSubItem 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 55 F0 D1 BD 8B 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47405_0 {
	meta:
		name = "CoListImages.Create"
		size = 100
		refs = "000c CoListImages.Create 001a CLASS_ListImages 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 24 7F 24 2C 91 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47406_0 {
	meta:
		name = "CoListImages.CreateRemote"
		size = 128
		refs = "0011 CoListImages.CreateRemote 0021 @WStrFromUStr 002c CLASS_ListImages 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 24 7F 24 2C 91 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47407_0 {
	meta:
		name = "CoListImage.Create"
		size = 100
		refs = "000c CoListImage.Create 001a CLASS_ListImage 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 26 7F 24 2C 91 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47408_0 {
	meta:
		name = "CoListImage.CreateRemote"
		size = 128
		refs = "0011 CoListImage.CreateRemote 0021 @WStrFromUStr 002c CLASS_ListImage 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 26 7F 24 2C 91 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47409_0 {
	meta:
		name = "CoControls.Create"
		size = 100
		refs = "000c CoControls.Create 001a CLASS_Controls 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 DC A3 C8 93 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47410_0 {
	meta:
		name = "CoControls.CreateRemote"
		size = 128
		refs = "0011 CoControls.CreateRemote 0021 @WStrFromUStr 002c CLASS_Controls 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 DC A3 C8 93 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47411_0 {
	meta:
		name = "CoComboItem.Create"
		size = 100
		refs = "000c CoComboItem.Create 001a CLASS_ComboItem 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 60 A6 9D DD 94 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47412_0 {
	meta:
		name = "CoComboItem.CreateRemote"
		size = 128
		refs = "0011 CoComboItem.CreateRemote 0021 @WStrFromUStr 002c CLASS_ComboItem 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 60 A6 9D DD 94 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47413_0 {
	meta:
		name = "CoComboItems.Create"
		size = 100
		refs = "000c CoComboItems.Create 001a CLASS_ComboItems 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 62 A6 9D DD 94 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47414_0 {
	meta:
		name = "CoComboItems.CreateRemote"
		size = 128
		refs = "0011 CoComboItems.CreateRemote 0021 @WStrFromUStr 002c CLASS_ComboItems 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 62 A6 9D DD 94 85 D1 11 B1 6A 00 C0 F0 28 36 28 }
	condition:
		$1
}

rule function_47419_0 {
	meta:
		name = "CoReturnInteger.Create"
		size = 100
		refs = "000c CoReturnInteger.Create 001a CLASS_ReturnInteger 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 70 23 B0 82 BC B5 CF 11 81 0F 00 A0 C9 03 00 74 }
	condition:
		$1
}

rule function_47420_0 {
	meta:
		name = "CoReturnInteger.CreateRemote"
		size = 128
		refs = "0011 CoReturnInteger.CreateRemote 0021 @WStrFromUStr 002c CLASS_ReturnInteger 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 70 23 B0 82 BC B5 CF 11 81 0F 00 A0 C9 03 00 74 }
	condition:
		$1
}

rule function_47421_0 {
	meta:
		name = "CoReturnBoolean.Create"
		size = 100
		refs = "000c CoReturnBoolean.Create 001a CLASS_ReturnBoolean 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 71 23 B0 82 BC B5 CF 11 81 0F 00 A0 C9 03 00 74 }
	condition:
		$1
}

rule function_47422_0 {
	meta:
		name = "CoReturnBoolean.CreateRemote"
		size = 128
		refs = "0011 CoReturnBoolean.CreateRemote 0021 @WStrFromUStr 002c CLASS_ReturnBoolean 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 71 23 B0 82 BC B5 CF 11 81 0F 00 A0 C9 03 00 74 }
	condition:
		$1
}

rule function_47423_0 {
	meta:
		name = "CoReturnString.Create"
		size = 100
		refs = "000c CoReturnString.Create 001a CLASS_ReturnString 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 72 23 B0 82 BC B5 CF 11 81 0F 00 A0 C9 03 00 74 }
	condition:
		$1
}

rule function_47424_0 {
	meta:
		name = "CoReturnString.CreateRemote"
		size = 128
		refs = "0011 CoReturnString.CreateRemote 0021 @WStrFromUStr 002c CLASS_ReturnString 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 72 23 B0 82 BC B5 CF 11 81 0F 00 A0 C9 03 00 74 }
	condition:
		$1
}

rule function_47425_0 {
	meta:
		name = "CoReturnSingle.Create"
		size = 100
		refs = "000c CoReturnSingle.Create 001a CLASS_ReturnSingle 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 90 3C 68 8A 84 BA CF 11 81 10 00 A0 C9 03 00 74 }
	condition:
		$1
}

rule function_47426_0 {
	meta:
		name = "CoReturnSingle.CreateRemote"
		size = 128
		refs = "0011 CoReturnSingle.CreateRemote 0021 @WStrFromUStr 002c CLASS_ReturnSingle 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 90 3C 68 8A 84 BA CF 11 81 10 00 A0 C9 03 00 74 }
	condition:
		$1
}

rule function_47427_0 {
	meta:
		name = "CoReturnEffect.Create"
		size = 100
		refs = "000c CoReturnEffect.Create 001a CLASS_ReturnEffect 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 91 3C 68 8A 84 BA CF 11 81 10 00 A0 C9 03 00 74 }
	condition:
		$1
}

rule function_47428_0 {
	meta:
		name = "CoReturnEffect.CreateRemote"
		size = 128
		refs = "0011 CoReturnEffect.CreateRemote 0021 @WStrFromUStr 002c CLASS_ReturnEffect 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 91 3C 68 8A 84 BA CF 11 81 10 00 A0 C9 03 00 74 }
	condition:
		$1
}

rule function_47429_0 {
	meta:
		name = "CoDataObject.Create"
		size = 100
		refs = "000c CoDataObject.Create 001a CLASS_DataObject 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 90 F5 72 EC 75 F3 CE 11 B9 E8 00 AA 00 6B 1A 69 }
	condition:
		$1
}

rule function_47430_0 {
	meta:
		name = "CoDataObject.CreateRemote"
		size = 128
		refs = "0011 CoDataObject.CreateRemote 0021 @WStrFromUStr 002c CLASS_DataObject 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 90 F5 72 EC 75 F3 CE 11 B9 E8 00 AA 00 6B 1A 69 }
	condition:
		$1
}

rule function_47431_0 {
	meta:
		name = "CoControl.Create"
		size = 100
		refs = "000c CoControl.Create 001a CLASS_Control 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 C6 8F 59 04 6C 86 CF 11 AB 7C 00 AA 00 C0 8F CF }
	condition:
		$1
}

rule function_47432_0 {
	meta:
		name = "CoControl.CreateRemote"
		size = 128
		refs = "0011 CoControl.CreateRemote 0021 @WStrFromUStr 002c CLASS_Control 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 C6 8F 59 04 6C 86 CF 11 AB 7C 00 AA 00 C0 8F CF }
	condition:
		$1
}

rule function_47433_0 {
	meta:
		name = "CoNewFont.Create"
		size = 100
		refs = "000c CoNewFont.Create 001a CLASS_NewFont 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 03 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_47434_0 {
	meta:
		name = "CoNewFont.CreateRemote"
		size = 128
		refs = "0011 CoNewFont.CreateRemote 0021 @WStrFromUStr 002c CLASS_NewFont 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 03 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_47435_0 {
	meta:
		name = "CoPage.Create"
		size = 100
		refs = "000c CoPage.Create 001a CLASS_Page 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 13 56 EF 5C 3D 71 CE 11 80 C9 00 AA 00 61 10 80 }
	condition:
		$1
}

rule function_47436_0 {
	meta:
		name = "CoPage.CreateRemote"
		size = 128
		refs = "0011 CoPage.CreateRemote 0021 @WStrFromUStr 002c CLASS_Page 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 13 56 EF 5C 3D 71 CE 11 80 C9 00 AA 00 61 10 80 }
	condition:
		$1
}

rule function_47443_0 {
	meta:
		name = "CoPowerPointGlobal.Create"
		size = 100
		refs = "000c CoPowerPointGlobal.Create 001a CLASS_PowerPointGlobal 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 51 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47444_0 {
	meta:
		name = "CoPowerPointGlobal.CreateRemote"
		size = 128
		refs = "0011 CoPowerPointGlobal.CreateRemote 0021 @WStrFromUStr 002c CLASS_PowerPointGlobal 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 51 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47445_0 {
	meta:
		name = "CoPowerPointSlide.Create"
		size = 100
		refs = "000c CoPowerPointSlide.Create 001a CLASS_PowerPointSlide 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 6A 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47446_0 {
	meta:
		name = "CoPowerPointSlide.CreateRemote"
		size = 128
		refs = "0011 CoPowerPointSlide.CreateRemote 0021 @WStrFromUStr 002c CLASS_PowerPointSlide 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 6A 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47448_0 {
	meta:
		name = "TPowerPointSlide.Connect"
		size = 116
		refs = "000c TPowerPointSlide.Connect 002c TOleServer.ConnectEvents 003c @IntfCast 0051 @IntfClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 58 00 75 24 8D 55 FC 8B C3 8B 08 FF 51 44 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 43 58 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 6A 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47449_0 {
	meta:
		name = "TPowerPointSlide.ConnectTo"
		size = 93
		refs = "000e @IntfAddRef 0016 TPowerPointSlide.ConnectTo 002e @IntfCopy 0038 TOleServer.ConnectEvents 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 8D 43 58 8B 55 FC E8 ?? ?? ?? ?? 8B 53 58 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47654_0 {
	meta:
		name = "TMaster.ConnectTo"
		size = 93
		refs = "000e @IntfAddRef 0016 TMaster.ConnectTo 002e @IntfCopy 0038 TOleServer.ConnectEvents 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 8D 43 58 8B 55 FC E8 ?? ?? ?? ?? 8B 53 58 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47490_0 {
	meta:
		name = "TPowerPointPresentation.ConnectTo"
		size = 93
		refs = "000e @IntfAddRef 0016 TPowerPointPresentation.ConnectTo 002e @IntfCopy 0038 TOleServer.ConnectEvents 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 8D 43 58 8B 55 FC E8 ?? ?? ?? ?? 8B 53 58 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47450_0 {
	meta:
		name = "TMaster.Disconnect"
		size = 29
		refs = "000f TOleServer.DisconnectEvents 0017 @IntfClear"
		altNames = "TPowerPointPresentation.Disconnect TPowerPointSlide.Disconnect"
	strings:
		$1 = { 53 8B D8 83 7B 58 00 74 12 8B 53 58 8B C3 E8 ?? ?? ?? ?? 8D 43 58 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_47454_0 {
	meta:
		name = "TMaster.InvokeEvent"
		size = 4
		altNames = "TPowerPointPresentation.InvokeEvent TPowerPointSlide.InvokeEvent"
	strings:
		$1 = { 83 EA FF C3 }
	condition:
		$1
}

rule function_47459_0 {
	meta:
		name = "TPowerPointSlide.Get_SlideShowTransition"
		size = 91
		refs = "000f TPowerPointSlide.Get_SlideShowTransition 001c @IntfClear 0027 TPowerPointSlide.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47664_0 {
	meta:
		name = "TMaster.Get_ColorScheme"
		size = 91
		refs = "000f TMaster.Get_ColorScheme 001c @IntfClear 0027 TMaster.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47723_0 {
	meta:
		name = "TOutlookApplication.Get_Assistant"
		size = 91
		refs = "000f TOutlookApplication.Get_Assistant 001c @IntfClear 0027 TOutlookApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47602_0 {
	meta:
		name = "TPowerPointApplication.Get_ActivePresentation"
		size = 91
		refs = "000f TPowerPointApplication.Get_ActivePresentation 001c @IntfClear 0027 TPowerPointApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47460_0 {
	meta:
		name = "TPowerPointSlide.Get_ColorScheme"
		size = 91
		refs = "000f TPowerPointSlide.Get_ColorScheme 001c @IntfClear 0027 TPowerPointSlide.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47724_0 {
	meta:
		name = "TOutlookApplication.Get_Name"
		size = 91
		refs = "000f TOutlookApplication.Get_Name 001c @WStrClr 0027 TOutlookApplication.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47603_0 {
	meta:
		name = "TPowerPointApplication.Get_SlideShowWindows"
		size = 91
		refs = "000f TPowerPointApplication.Get_SlideShowWindows 001c @IntfClear 0027 TPowerPointApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47546_0 {
	meta:
		name = "TPowerPointPresentation.AddTitleMaster"
		size = 91
		refs = "000f TPowerPointPresentation.AddTitleMaster 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47461_0 {
	meta:
		name = "TPowerPointSlide.Set_ColorScheme"
		size = 84
		refs = "000f TPowerPointSlide.Set_ColorScheme 0020 TPowerPointSlide.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48308_0 {
	meta:
		name = "TInternetExplorer.Refresh2"
		size = 84
		refs = "000f TInternetExplorer.Refresh2 0020 TInternetExplorer.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48395_0 {
	meta:
		name = "TInternetExplorerMedium.Refresh2"
		size = 84
		refs = "000f TInternetExplorerMedium.Refresh2 0020 TInternetExplorerMedium.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47547_0 {
	meta:
		name = "TPowerPointPresentation.ApplyTemplate"
		size = 84
		refs = "000f TPowerPointPresentation.ApplyTemplate 0020 TPowerPointPresentation.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48221_0 {
	meta:
		name = "TWebBrowser.Refresh2"
		size = 84
		refs = "000f TWebBrowser.Refresh2 0020 TWebBrowser.GetControlInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47462_0 {
	meta:
		name = "TPowerPointSlide.Get_Background"
		size = 91
		refs = "000f TPowerPointSlide.Get_Background 001c @IntfClear 0027 TPowerPointSlide.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47667_0 {
	meta:
		name = "TMaster.Get_Name"
		size = 91
		refs = "000f TMaster.Get_Name 001c @WStrClr 0027 TMaster.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47735_0 {
	meta:
		name = "TOutlookApplication.ActiveExplorer"
		size = 91
		refs = "000f TOutlookApplication.ActiveExplorer 001c @IntfClear 0027 TOutlookApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47605_0 {
	meta:
		name = "TPowerPointApplication.Get_Path"
		size = 91
		refs = "000f TPowerPointApplication.Get_Path 001c @WStrClr 0027 TPowerPointApplication.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47501_0 {
	meta:
		name = "TPowerPointPresentation.Get_TemplateName"
		size = 91
		refs = "000f TPowerPointPresentation.Get_TemplateName 001c @WStrClr 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47464_0 {
	meta:
		name = "TPowerPointSlide.Set_Name"
		size = 84
		refs = "000f TPowerPointSlide.Set_Name 0020 TPowerPointSlide.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48461_0 {
	meta:
		name = "TShellUIHelper.AutoCompleteSaveForm"
		size = 84
		refs = "000f TShellUIHelper.AutoCompleteSaveForm 0020 TShellUIHelper.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47465_0 {
	meta:
		name = "TPowerPointSlide.Get_SlideID"
		size = 95
		refs = "0012 TPowerPointSlide.Get_SlideID 0026 TPowerPointSlide.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47583_0 {
	meta:
		name = "TOLECtrl.Get_ZOrderPosition"
		size = 95
		refs = "0012 TOLECtrl.Get_ZOrderPosition 0026 TOLECtrl.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47466_0 {
	meta:
		name = "TPowerPointSlide.Get_PrintSteps"
		size = 95
		refs = "0012 TPowerPointSlide.Get_PrintSteps 0026 TPowerPointSlide.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47467_0 {
	meta:
		name = "TPowerPointSlide.Get_Layout"
		size = 95
		refs = "0012 TPowerPointSlide.Get_Layout 0026 TPowerPointSlide.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47468_0 {
	meta:
		name = "TPowerPointSlide.Set_Layout"
		size = 84
		refs = "000f TPowerPointSlide.Set_Layout 0020 TPowerPointSlide.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48511_0 {
	meta:
		name = "TShellNameSpace.Set_SelectedItem"
		size = 84
		refs = "000f TShellNameSpace.Set_SelectedItem 0020 TShellNameSpace.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47469_0 {
	meta:
		name = "TPowerPointSlide.Get_Tags"
		size = 91
		refs = "000f TPowerPointSlide.Get_Tags 001c @IntfClear 0027 TPowerPointSlide.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47731_0 {
	meta:
		name = "TOutlookApplication.Get_AnswerWizard"
		size = 91
		refs = "000f TOutlookApplication.Get_AnswerWizard 001c @IntfClear 0027 TOutlookApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47617_0 {
	meta:
		name = "TPowerPointApplication.Get_AddIns"
		size = 91
		refs = "000f TPowerPointApplication.Get_AddIns 001c @IntfClear 0027 TPowerPointApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47513_0 {
	meta:
		name = "TPowerPointPresentation.Get_BuiltInDocumentProperties"
		size = 91
		refs = "000f TPowerPointPresentation.Get_BuiltInDocumentProperties 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48473_0 {
	meta:
		name = "TShellUIHelper.BrandImageUri"
		size = 91
		refs = "000f TShellUIHelper.BrandImageUri 001c @WStrClr 0027 TShellUIHelper.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47470_0 {
	meta:
		name = "TPowerPointSlide.Get_SlideIndex"
		size = 95
		refs = "0012 TPowerPointSlide.Get_SlideIndex 0026 TPowerPointSlide.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48261_0 {
	meta:
		name = "TInternetExplorer.Get_Height"
		size = 95
		refs = "0012 TInternetExplorer.Get_Height 0026 TInternetExplorer.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48348_0 {
	meta:
		name = "TInternetExplorerMedium.Get_Height"
		size = 95
		refs = "0012 TInternetExplorerMedium.Get_Height 0026 TInternetExplorerMedium.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47732_0 {
	meta:
		name = "TOutlookApplication.Get_FeatureInstall"
		size = 95
		refs = "0012 TOutlookApplication.Get_FeatureInstall 0026 TOutlookApplication.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47471_0 {
	meta:
		name = "TPowerPointSlide.Get_SlideNumber"
		size = 95
		refs = "0012 TPowerPointSlide.Get_SlideNumber 0026 TPowerPointSlide.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48516_0 {
	meta:
		name = "TShellNameSpace.Get_Mode"
		size = 95
		refs = "0012 TShellNameSpace.Get_Mode 0026 TShellNameSpace.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47472_0 {
	meta:
		name = "TPowerPointSlide.Get_DisplayMasterShapes"
		size = 95
		refs = "0012 TPowerPointSlide.Get_DisplayMasterShapes 0026 TPowerPointSlide.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 74 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47516_0 {
	meta:
		name = "TPowerPointPresentation.Get_ReadOnly"
		size = 95
		refs = "0012 TPowerPointPresentation.Get_ReadOnly 0026 TPowerPointPresentation.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 74 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47473_0 {
	meta:
		name = "TPowerPointSlide.Set_DisplayMasterShapes"
		size = 84
		refs = "000f TPowerPointSlide.Set_DisplayMasterShapes 0020 TPowerPointSlide.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 78 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47474_0 {
	meta:
		name = "TPowerPointSlide.Get_FollowMasterBackground"
		size = 95
		refs = "0012 TPowerPointSlide.Get_FollowMasterBackground 0026 TPowerPointSlide.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47475_0 {
	meta:
		name = "TPowerPointSlide.Set_FollowMasterBackground"
		size = 87
		refs = "000f TPowerPointSlide.Set_FollowMasterBackground 0020 TPowerPointSlide.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48520_0 {
	meta:
		name = "TShellNameSpace.Set_TVFlags"
		size = 87
		refs = "000f TShellNameSpace.Set_TVFlags 0020 TShellNameSpace.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47476_0 {
	meta:
		name = "TPowerPointSlide.Get_NotesPage"
		size = 94
		refs = "000f TPowerPointSlide.Get_NotesPage 001c @IntfClear 0027 TPowerPointSlide.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 84 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47477_0 {
	meta:
		name = "TPowerPointSlide.Get_Master"
		size = 94
		refs = "000f TPowerPointSlide.Get_Master 001c @IntfClear 0027 TPowerPointSlide.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47734_0 {
	meta:
		name = "TOutlookApplication.Get_Reminders"
		size = 94
		refs = "000f TOutlookApplication.Get_Reminders 001c @IntfClear 0027 TOutlookApplication.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48522_0 {
	meta:
		name = "TShellNameSpace.Get_Columns"
		size = 94
		refs = "000f TShellNameSpace.Get_Columns 001c @WStrClr 0027 TShellNameSpace.GetDefaultInterface 0038 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47478_0 {
	meta:
		name = "TPowerPointSlide.Get_Hyperlinks"
		size = 94
		refs = "000f TPowerPointSlide.Get_Hyperlinks 001c @IntfClear 0027 TPowerPointSlide.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48482_0 {
	meta:
		name = "TShellUIHelper.SearchGuideUrl"
		size = 94
		refs = "000f TShellUIHelper.SearchGuideUrl 001c @WStrClr 0027 TShellUIHelper.GetDefaultInterface 0038 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47479_0 {
	meta:
		name = "TPowerPointSlide.Get_Scripts"
		size = 94
		refs = "000f TPowerPointSlide.Get_Scripts 001c @IntfClear 0027 TPowerPointSlide.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 94 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47548_0 {
	meta:
		name = "TPowerPointPresentation.NewWindow"
		size = 94
		refs = "000f TPowerPointPresentation.NewWindow 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 94 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47480_0 {
	meta:
		name = "TPowerPointSlide.Select"
		size = 79
		refs = "000c TPowerPointSlide.Select 001c TPowerPointSlide.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_74288_0 {
	meta:
		name = "TCOMAdminCatalog.StartRouter"
		size = 79
		refs = "000c TCOMAdminCatalog.StartRouter 001c TCOMAdminCatalog.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47481_0 {
	meta:
		name = "TPowerPointSlide.Cut"
		size = 79
		refs = "000c TPowerPointSlide.Cut 001c TPowerPointSlide.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47742_0 {
	meta:
		name = "TOutlookApplication.Quit"
		size = 79
		refs = "000c TOutlookApplication.Quit 001c TOutlookApplication.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47482_0 {
	meta:
		name = "TPowerPointSlide.Copy"
		size = 79
		refs = "000c TPowerPointSlide.Copy 001c TPowerPointSlide.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48468_0 {
	meta:
		name = "TShellUIHelper.RunOnceShown"
		size = 79
		refs = "000c TShellUIHelper.RunOnceShown 001c TShellUIHelper.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47483_0 {
	meta:
		name = "TPowerPointSlide.Duplicate"
		size = 91
		refs = "000f TPowerPointSlide.Duplicate 001c @IntfClear 0027 TPowerPointSlide.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47729_0 {
	meta:
		name = "TOutlookApplication.Get_LanguageSettings"
		size = 91
		refs = "000f TOutlookApplication.Get_LanguageSettings 001c @IntfClear 0027 TOutlookApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47615_0 {
	meta:
		name = "TPowerPointApplication.Get_ActivePrinter"
		size = 91
		refs = "000f TPowerPointApplication.Get_ActivePrinter 001c @WStrClr 0027 TPowerPointApplication.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47511_0 {
	meta:
		name = "TPowerPointPresentation.Get_Tags"
		size = 91
		refs = "000f TPowerPointPresentation.Get_Tags 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48512_0 {
	meta:
		name = "TShellNameSpace.Get_Root"
		size = 91
		refs = "000f TShellNameSpace.Get_Root 001c @VarClr 0027 TShellNameSpace.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47484_0 {
	meta:
		name = "TPowerPointSlide.Delete"
		size = 79
		refs = "000c TPowerPointSlide.Delete 001c TPowerPointSlide.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 64 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47485_0 {
	meta:
		name = "TPowerPointSlide.Export"
		size = 102
		refs = "0012 TPowerPointSlide.Export 002c TPowerPointSlide.GetDefaultInterface 003d @CheckAutoResult 0052 @IntfClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_47486_0 {
	meta:
		name = "CoPowerPointPresentation.Create"
		size = 100
		refs = "000c CoPowerPointPresentation.Create 001a CLASS_PowerPointPresentation 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 9D 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47487_0 {
	meta:
		name = "CoPowerPointPresentation.CreateRemote"
		size = 128
		refs = "0011 CoPowerPointPresentation.CreateRemote 0021 @WStrFromUStr 002c CLASS_PowerPointPresentation 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 9D 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47489_0 {
	meta:
		name = "TPowerPointPresentation.Connect"
		size = 116
		refs = "000c TPowerPointPresentation.Connect 002c TOleServer.ConnectEvents 003c @IntfCast 0051 @IntfClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 58 00 75 24 8D 55 FC 8B C3 8B 08 FF 51 44 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 43 58 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 9D 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47500_0 {
	meta:
		name = "TPowerPointPresentation.Get_HasTitleMaster"
		size = 95
		refs = "0012 TPowerPointPresentation.Get_HasTitleMaster 0026 TPowerPointPresentation.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47503_0 {
	meta:
		name = "TPowerPointPresentation.Get_HandoutMaster"
		size = 91
		refs = "000f TPowerPointPresentation.Get_HandoutMaster 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48250_0 {
	meta:
		name = "TInternetExplorer.Get_Parent"
		size = 91
		refs = "000f TInternetExplorer.Get_Parent 001c @IntfClear 0027 TInternetExplorer.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48337_0 {
	meta:
		name = "TInternetExplorerMedium.Get_Parent"
		size = 91
		refs = "000f TInternetExplorerMedium.Get_Parent 001c @IntfClear 0027 TInternetExplorerMedium.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47607_0 {
	meta:
		name = "TPowerPointApplication.Get_Caption"
		size = 91
		refs = "000f TPowerPointApplication.Get_Caption 001c @WStrClr 0027 TPowerPointApplication.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48206_0 {
	meta:
		name = "TWebBrowser.Get_Parent"
		size = 91
		refs = "000f TWebBrowser.Get_Parent 001c @IntfClear 0027 TWebBrowser.GetControlInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47504_0 {
	meta:
		name = "TPowerPointPresentation.Get_Slides"
		size = 91
		refs = "000f TPowerPointPresentation.Get_Slides 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48251_0 {
	meta:
		name = "TInternetExplorer.Get_Container"
		size = 91
		refs = "000f TInternetExplorer.Get_Container 001c @IntfClear 0027 TInternetExplorer.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48338_0 {
	meta:
		name = "TInternetExplorerMedium.Get_Container"
		size = 91
		refs = "000f TInternetExplorerMedium.Get_Container 001c @IntfClear 0027 TInternetExplorerMedium.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48207_0 {
	meta:
		name = "TWebBrowser.Get_Container"
		size = 91
		refs = "000f TWebBrowser.Get_Container 001c @IntfClear 0027 TWebBrowser.GetControlInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47505_0 {
	meta:
		name = "TPowerPointPresentation.Get_PageSetup"
		size = 91
		refs = "000f TPowerPointPresentation.Get_PageSetup 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74335_0 {
	meta:
		name = "TCOMAdminCatalogCollection.GetUtilInterface"
		size = 91
		refs = "000f TCOMAdminCatalogCollection.GetUtilInterface 001c @IntfClear 0027 TCOMAdminCatalogCollection.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48252_0 {
	meta:
		name = "TInternetExplorer.Get_Document"
		size = 91
		refs = "000f TInternetExplorer.Get_Document 001c @IntfClear 0027 TInternetExplorer.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48339_0 {
	meta:
		name = "TInternetExplorerMedium.Get_Document"
		size = 91
		refs = "000f TInternetExplorerMedium.Get_Document 001c @IntfClear 0027 TInternetExplorerMedium.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47584_0 {
	meta:
		name = "TOLECtrl.Get_Name"
		size = 91
		refs = "000f TOLECtrl.Get_Name 001c @WStrClr 0027 TOLECtrl.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47609_0 {
	meta:
		name = "TPowerPointApplication.Get_Assistant"
		size = 91
		refs = "000f TPowerPointApplication.Get_Assistant 001c @IntfClear 0027 TPowerPointApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48208_0 {
	meta:
		name = "TWebBrowser.Get_Document"
		size = 91
		refs = "000f TWebBrowser.Get_Document 001c @IntfClear 0027 TWebBrowser.GetControlInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47506_0 {
	meta:
		name = "TPowerPointPresentation.Get_ColorSchemes"
		size = 91
		refs = "000f TPowerPointPresentation.Get_ColorSchemes 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47671_0 {
	meta:
		name = "TMaster.Get_TextStyles"
		size = 91
		refs = "000f TMaster.Get_TextStyles 001c @IntfClear 0027 TMaster.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47610_0 {
	meta:
		name = "TPowerPointApplication.Get_FileSearch"
		size = 91
		refs = "000f TPowerPointApplication.Get_FileSearch 001c @IntfClear 0027 TPowerPointApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47507_0 {
	meta:
		name = "TPowerPointPresentation.Get_ExtraColors"
		size = 91
		refs = "000f TPowerPointPresentation.Get_ExtraColors 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48254_0 {
	meta:
		name = "TInternetExplorer.Get_type_"
		size = 91
		refs = "000f TInternetExplorer.Get_type_ 001c @WStrClr 0027 TInternetExplorer.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48341_0 {
	meta:
		name = "TInternetExplorerMedium.Get_type_"
		size = 91
		refs = "000f TInternetExplorerMedium.Get_type_ 001c @WStrClr 0027 TInternetExplorerMedium.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47672_0 {
	meta:
		name = "TMaster.Get_Hyperlinks"
		size = 91
		refs = "000f TMaster.Get_Hyperlinks 001c @IntfClear 0027 TMaster.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47586_0 {
	meta:
		name = "TOLECtrl.Get_AltHTML"
		size = 91
		refs = "000f TOLECtrl.Get_AltHTML 001c @WStrClr 0027 TOLECtrl.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47611_0 {
	meta:
		name = "TPowerPointApplication.Get_FileFind"
		size = 91
		refs = "000f TPowerPointApplication.Get_FileFind 001c @IntfClear 0027 TPowerPointApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47512_0 {
	meta:
		name = "TPowerPointPresentation.Get_DefaultShape"
		size = 91
		refs = "000f TPowerPointPresentation.Get_DefaultShape 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 64 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47730_0 {
	meta:
		name = "TOutlookApplication.Get_ProductCode"
		size = 91
		refs = "000f TOutlookApplication.Get_ProductCode 001c @WStrClr 0027 TOutlookApplication.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 64 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47514_0 {
	meta:
		name = "TPowerPointPresentation.Get_CustomDocumentProperties"
		size = 91
		refs = "000f TPowerPointPresentation.Get_CustomDocumentProperties 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47618_0 {
	meta:
		name = "TPowerPointApplication.Get_VBE"
		size = 91
		refs = "000f TPowerPointApplication.Get_VBE 001c @IntfClear 0027 TPowerPointApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47515_0 {
	meta:
		name = "TPowerPointPresentation.Get_VBProject"
		size = 91
		refs = "000f TPowerPointPresentation.Get_VBProject 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47518_0 {
	meta:
		name = "TPowerPointPresentation.Get_Name"
		size = 91
		refs = "000f TPowerPointPresentation.Get_Name 001c @WStrClr 0027 TPowerPointPresentation.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47519_0 {
	meta:
		name = "TPowerPointPresentation.Get_Path"
		size = 94
		refs = "000f TPowerPointPresentation.Get_Path 001c @WStrClr 0027 TPowerPointPresentation.GetDefaultInterface 0038 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48479_0 {
	meta:
		name = "TShellUIHelper.DefaultSearchProvider"
		size = 94
		refs = "000f TShellUIHelper.DefaultSearchProvider 001c @WStrClr 0027 TShellUIHelper.GetDefaultInterface 0038 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47520_0 {
	meta:
		name = "TPowerPointPresentation.Get_Saved"
		size = 98
		refs = "0012 TPowerPointPresentation.Get_Saved 0026 TPowerPointPresentation.GetDefaultInterface 0037 @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 84 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48521_0 {
	meta:
		name = "TShellNameSpace.Get_TVFlags"
		size = 98
		refs = "0012 TShellNameSpace.Get_TVFlags 0026 TShellNameSpace.GetDefaultInterface 0037 @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 84 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47521_0 {
	meta:
		name = "TPowerPointPresentation.Set_Saved"
		size = 87
		refs = "000f TPowerPointPresentation.Set_Saved 0020 TPowerPointPresentation.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47522_0 {
	meta:
		name = "TPowerPointPresentation.Get_LayoutDirection"
		size = 98
		refs = "0012 TPowerPointPresentation.Get_LayoutDirection 0026 TPowerPointPresentation.GetDefaultInterface 0037 @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47523_0 {
	meta:
		name = "TPowerPointPresentation.Set_LayoutDirection"
		size = 87
		refs = "000f TPowerPointPresentation.Set_LayoutDirection 0020 TPowerPointPresentation.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48483_0 {
	meta:
		name = "TShellUIHelper.AddService"
		size = 87
		refs = "000f TShellUIHelper.AddService 0020 TShellUIHelper.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47524_0 {
	meta:
		name = "TPowerPointPresentation.Get_PrintOptions"
		size = 94
		refs = "000f TPowerPointPresentation.Get_PrintOptions 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47525_0 {
	meta:
		name = "TPowerPointPresentation.Get_Container"
		size = 94
		refs = "000f TPowerPointPresentation.Get_Container 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 C4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47633_0 {
	meta:
		name = "TPowerPointApplication.Get_COMAddIns"
		size = 94
		refs = "000f TPowerPointApplication.Get_COMAddIns 001c @IntfClear 0027 TPowerPointApplication.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 C4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47526_0 {
	meta:
		name = "TPowerPointPresentation.Get_DisplayComments"
		size = 98
		refs = "0012 TPowerPointPresentation.Get_DisplayComments 0026 TPowerPointPresentation.GetDefaultInterface 0037 @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 C8 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47527_0 {
	meta:
		name = "TPowerPointPresentation.Set_DisplayComments"
		size = 87
		refs = "000f TPowerPointPresentation.Set_DisplayComments 0020 TPowerPointPresentation.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 CC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48281_0 {
	meta:
		name = "TInternetExplorer.Set_FullScreen"
		size = 87
		refs = "000f TInternetExplorer.Set_FullScreen 0020 TInternetExplorer.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 CC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48368_0 {
	meta:
		name = "TInternetExplorerMedium.Set_FullScreen"
		size = 87
		refs = "000f TInternetExplorerMedium.Set_FullScreen 0020 TInternetExplorerMedium.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 CC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47528_0 {
	meta:
		name = "TPowerPointPresentation.Get_FarEastLineBreakLevel"
		size = 98
		refs = "0012 TPowerPointPresentation.Get_FarEastLineBreakLevel 0026 TPowerPointPresentation.GetDefaultInterface 0037 @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47529_0 {
	meta:
		name = "TPowerPointPresentation.Set_FarEastLineBreakLevel"
		size = 87
		refs = "000f TPowerPointPresentation.Set_FarEastLineBreakLevel 0020 TPowerPointPresentation.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47530_0 {
	meta:
		name = "TPowerPointPresentation.Get_NoLineBreakBefore"
		size = 94
		refs = "000f TPowerPointPresentation.Get_NoLineBreakBefore 001c @WStrClr 0027 TPowerPointPresentation.GetDefaultInterface 0038 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47531_0 {
	meta:
		name = "TPowerPointPresentation.Set_NoLineBreakBefore"
		size = 87
		refs = "000f TPowerPointPresentation.Set_NoLineBreakBefore 0020 TPowerPointPresentation.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47639_0 {
	meta:
		name = "TPowerPointApplication.Set_ShowWindowsInTaskbar"
		size = 87
		refs = "000f TPowerPointApplication.Set_ShowWindowsInTaskbar 0020 TPowerPointApplication.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47532_0 {
	meta:
		name = "TPowerPointPresentation.Get_NoLineBreakAfter"
		size = 94
		refs = "000f TPowerPointPresentation.Get_NoLineBreakAfter 001c @WStrClr 0027 TPowerPointPresentation.GetDefaultInterface 0038 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 E0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47640_0 {
	meta:
		name = "TPowerPointApplication.Get_Marker"
		size = 94
		refs = "000f TPowerPointApplication.Get_Marker 001c @IntfClear 0027 TPowerPointApplication.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 E0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47533_0 {
	meta:
		name = "TPowerPointPresentation.Set_NoLineBreakAfter"
		size = 87
		refs = "000f TPowerPointPresentation.Set_NoLineBreakAfter 0020 TPowerPointPresentation.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 E4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47534_0 {
	meta:
		name = "TPowerPointPresentation.Get_SlideShowWindow"
		size = 94
		refs = "000f TPowerPointPresentation.Get_SlideShowWindow 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 EC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47535_0 {
	meta:
		name = "TPowerPointPresentation.Get_FarEastLineBreakLanguage"
		size = 98
		refs = "0012 TPowerPointPresentation.Get_FarEastLineBreakLanguage 0026 TPowerPointPresentation.GetDefaultInterface 0037 @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 F0 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47536_0 {
	meta:
		name = "TPowerPointPresentation.Set_FarEastLineBreakLanguage"
		size = 87
		refs = "000f TPowerPointPresentation.Set_FarEastLineBreakLanguage 0020 TPowerPointPresentation.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 F4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47537_0 {
	meta:
		name = "TPowerPointPresentation.Get_DefaultLanguageID"
		size = 100
		refs = "0013 TPowerPointPresentation.Get_DefaultLanguageID 0027 TPowerPointPresentation.GetDefaultInterface 0038 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 FC 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47538_0 {
	meta:
		name = "TPowerPointPresentation.Set_DefaultLanguageID"
		size = 87
		refs = "000f TPowerPointPresentation.Set_DefaultLanguageID 0020 TPowerPointPresentation.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 00 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 59 5D C3 }
	condition:
		$1
}

rule function_47539_0 {
	meta:
		name = "TPowerPointPresentation.Get_CommandBars"
		size = 94
		refs = "000f TPowerPointPresentation.Get_CommandBars 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 04 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47540_0 {
	meta:
		name = "TPowerPointPresentation.Get_PublishObjects"
		size = 94
		refs = "000f TPowerPointPresentation.Get_PublishObjects 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 08 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47915_0 {
	meta:
		name = "TPowerPointApplication.Get_NewPresentation"
		size = 94
		refs = "000f TPowerPointApplication.Get_NewPresentation 001c @IntfClear 0027 TPowerPointApplication.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 08 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47541_0 {
	meta:
		name = "TPowerPointPresentation.Get_WebOptions"
		size = 94
		refs = "000f TPowerPointPresentation.Get_WebOptions 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 0C 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47542_0 {
	meta:
		name = "TPowerPointPresentation.Get_HTMLProject"
		size = 94
		refs = "000f TPowerPointPresentation.Get_HTMLProject 001c @IntfClear 0027 TPowerPointPresentation.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 10 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47543_0 {
	meta:
		name = "TPowerPointPresentation.Get_EnvelopeVisible"
		size = 98
		refs = "0012 TPowerPointPresentation.Get_EnvelopeVisible 0026 TPowerPointPresentation.GetDefaultInterface 0037 @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 1C 01 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47544_0 {
	meta:
		name = "TPowerPointPresentation.Set_EnvelopeVisible"
		size = 87
		refs = "000f TPowerPointPresentation.Set_EnvelopeVisible 0020 TPowerPointPresentation.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 20 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47545_0 {
	meta:
		name = "TPowerPointPresentation.Get_VBASigned"
		size = 98
		refs = "0012 TPowerPointPresentation.Get_VBASigned 0026 TPowerPointPresentation.GetDefaultInterface 0037 @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 28 01 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47549_0 {
	meta:
		name = "TPowerPointPresentation.FollowHyperlink"
		size = 116
		refs = "0012 TPowerPointPresentation.FollowHyperlink 003a TPowerPointPresentation.GetDefaultInterface 004b @CheckAutoResult 0060 @IntfClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 8B 45 10 50 0F B7 45 14 50 0F B7 45 18 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_47550_0 {
	meta:
		name = "TPowerPointPresentation.AddToFavorites"
		size = 82
		refs = "000c TPowerPointPresentation.AddToFavorites 001c TPowerPointPresentation.GetDefaultInterface 002d @CheckAutoResult 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47551_0 {
	meta:
		name = "TPowerPointPresentation.PrintOut"
		size = 106
		refs = "0012 TPowerPointPresentation.PrintOut 0030 TPowerPointPresentation.GetDefaultInterface 0041 @CheckAutoResult 0056 @IntfClear 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 A8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_47552_0 {
	meta:
		name = "TPowerPointPresentation.Save"
		size = 82
		refs = "000c TPowerPointPresentation.Save 001c TPowerPointPresentation.GetDefaultInterface 002d @CheckAutoResult 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 AC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48491_0 {
	meta:
		name = "TShellUIHelper.ContentDiscoveryReset"
		size = 82
		refs = "000c TShellUIHelper.ContentDiscoveryReset 001c TShellUIHelper.GetDefaultInterface 002d @CheckAutoResult 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 AC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47553_0 {
	meta:
		name = "TPowerPointPresentation.SaveAs"
		size = 98
		refs = "0012 TPowerPointPresentation.SaveAs 0028 TPowerPointPresentation.GetDefaultInterface 0039 @CheckAutoResult 004e @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_47554_0 {
	meta:
		name = "TPowerPointPresentation.SaveCopyAs"
		size = 98
		refs = "0012 TPowerPointPresentation.SaveCopyAs 0028 TPowerPointPresentation.GetDefaultInterface 0039 @CheckAutoResult 004e @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 B4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_47555_0 {
	meta:
		name = "TPowerPointPresentation.Export"
		size = 102
		refs = "0012 TPowerPointPresentation.Export 002c TPowerPointPresentation.GetDefaultInterface 003d @CheckAutoResult 0052 @IntfClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 B8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_47556_0 {
	meta:
		name = "TPowerPointPresentation.Close"
		size = 82
		refs = "000c TPowerPointPresentation.Close 001c TPowerPointPresentation.GetDefaultInterface 002d @CheckAutoResult 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 BC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47647_0 {
	meta:
		name = "TPowerPointApplication.Activate"
		size = 82
		refs = "000c TPowerPointApplication.Activate 001c TPowerPointApplication.GetDefaultInterface 002d @CheckAutoResult 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 BC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48495_0 {
	meta:
		name = "TShellUIHelper.ShowTabsHelp"
		size = 82
		refs = "000c TShellUIHelper.ShowTabsHelp 001c TShellUIHelper.GetDefaultInterface 002d @CheckAutoResult 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 BC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47557_0 {
	meta:
		name = "TPowerPointPresentation.SetUndoText"
		size = 87
		refs = "000f TPowerPointPresentation.SetUndoText 0020 TPowerPointPresentation.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 C0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47558_0 {
	meta:
		name = "TPowerPointPresentation.UpdateLinks"
		size = 82
		refs = "000c TPowerPointPresentation.UpdateLinks 001c TPowerPointPresentation.GetDefaultInterface 002d @CheckAutoResult 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 E8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47559_0 {
	meta:
		name = "TPowerPointPresentation.WebPagePreview"
		size = 82
		refs = "000c TPowerPointPresentation.WebPagePreview 001c TPowerPointPresentation.GetDefaultInterface 002d @CheckAutoResult 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 F8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_47560_0 {
	meta:
		name = "TPowerPointPresentation.ReloadAs"
		size = 87
		refs = "000f TPowerPointPresentation.ReloadAs 0020 TPowerPointPresentation.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 14 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 59 5D C3 }
	condition:
		$1
}

rule function_47561_0 {
	meta:
		name = "TPowerPointPresentation.MakeIntoTemplate"
		size = 87
		refs = "000f TPowerPointPresentation.MakeIntoTemplate 0020 TPowerPointPresentation.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 18 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48296_0 {
	meta:
		name = "TInternetExplorer.Set_Resizable"
		size = 87
		refs = "000f TInternetExplorer.Set_Resizable 0020 TInternetExplorer.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 18 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48383_0 {
	meta:
		name = "TInternetExplorerMedium.Set_Resizable"
		size = 87
		refs = "000f TInternetExplorerMedium.Set_Resizable 0020 TInternetExplorerMedium.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 18 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47919_0 {
	meta:
		name = "TPowerPointApplication.Set_ShowStartupDialog"
		size = 87
		refs = "000f TPowerPointApplication.Set_ShowStartupDialog 0020 TPowerPointApplication.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 18 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47562_0 {
	meta:
		name = "TPowerPointPresentation.sblt"
		size = 87
		refs = "000f TPowerPointPresentation.sblt 0020 TPowerPointPresentation.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 24 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47563_0 {
	meta:
		name = "CoOLECtrl.Create"
		size = 100
		refs = "000c CoOLECtrl.Create 001a CLASS_OLECtrl 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 C0 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47564_0 {
	meta:
		name = "CoOLECtrl.CreateRemote"
		size = 128
		refs = "0011 CoOLECtrl.CreateRemote 0021 @WStrFromUStr 002c CLASS_OLECtrl 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 C0 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47566_0 {
	meta:
		name = "TOLECtrl.Connect"
		size = 116
		refs = "000c TOLECtrl.Connect 002c TOleServer.ConnectEvents 003c @IntfCast 0051 @IntfClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 68 00 75 24 8D 55 FC 8B C3 8B 08 FF 51 44 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 43 68 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 C0 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47567_0 {
	meta:
		name = "TOLECtrl.ConnectTo"
		size = 93
		refs = "000e @IntfAddRef 0016 TOLECtrl.ConnectTo 002e @IntfCopy 0038 TOleServer.ConnectEvents 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 8D 43 68 8B 55 FC E8 ?? ?? ?? ?? 8B 53 68 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48419_0 {
	meta:
		name = "TShellWindows.ConnectTo"
		size = 93
		refs = "000e @IntfAddRef 0016 TShellWindows.ConnectTo 002e @IntfCopy 0038 TOleServer.ConnectEvents 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 8D 43 68 8B 55 FC E8 ?? ?? ?? ?? 8B 53 68 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47568_0 {
	meta:
		name = "TOLECtrl.Disconnect"
		size = 29
		refs = "000f TOleServer.DisconnectEvents 0017 @IntfClear"
		altNames = "TShellWindows.Disconnect"
	strings:
		$1 = { 53 8B D8 83 7B 68 00 74 12 8B 53 68 8B C3 E8 ?? ?? ?? ?? 8D 43 68 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_47569_0 {
	meta:
		name = "TOLECtrl.GetDefaultInterface"
		size = 32
		refs = "0019 @IntfCopy"
		altNames = "TShellWindows.GetDefaultInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 68 00 75 07 8B C3 8B 10 FF 52 4C 8B C6 8B 53 68 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47572_0 {
	meta:
		name = "TOLECtrl.InvokeEvent"
		size = 60
	strings:
		$1 = { 53 81 EA E0 00 01 80 74 0D 4A 74 1D 81 EA 1E FF FE 7F 75 26 5B C3 66 83 78 5A 00 74 1D 8B D8 8B D0 8B 43 5C FF 53 58 EB 11 66 83 78 62 00 74 0A 8B D8 8B D0 8B 43 64 FF 53 60 5B C3 }
	condition:
		$1
}

rule function_47573_0 {
	meta:
		name = "TOLECtrl.Get_Visible"
		size = 96
		refs = "0012 TOLECtrl.Get_Visible 0026 TOLECtrl.GetDefaultInterface 0034 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47574_0 {
	meta:
		name = "TOLECtrl.Set_Visible"
		size = 84
		refs = "000f TOLECtrl.Set_Visible 0020 TOLECtrl.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47575_0 {
	meta:
		name = "TOLECtrl.Get_Left"
		size = 100
		refs = "0012 TOLECtrl.Get_Left 0026 TOLECtrl.GetDefaultInterface 0034 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? D9 45 F8 D9 5D FC 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 D9 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47576_0 {
	meta:
		name = "TOLECtrl.Set_Left"
		size = 84
		refs = "000c TOLECtrl.Set_Left 001f TOLECtrl.GetDefaultInterface 002d @CheckAutoResult 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_47577_0 {
	meta:
		name = "TOLECtrl.Get_Top"
		size = 100
		refs = "0012 TOLECtrl.Get_Top 0026 TOLECtrl.GetDefaultInterface 0034 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? D9 45 F8 D9 5D FC 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 D9 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47578_0 {
	meta:
		name = "TOLECtrl.Set_Top"
		size = 84
		refs = "000c TOLECtrl.Set_Top 001f TOLECtrl.GetDefaultInterface 002d @CheckAutoResult 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_47579_0 {
	meta:
		name = "TOLECtrl.Get_Height"
		size = 100
		refs = "0012 TOLECtrl.Get_Height 0026 TOLECtrl.GetDefaultInterface 0034 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? D9 45 F8 D9 5D FC 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 D9 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47580_0 {
	meta:
		name = "TOLECtrl.Set_Height"
		size = 84
		refs = "000c TOLECtrl.Set_Height 001f TOLECtrl.GetDefaultInterface 002d @CheckAutoResult 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_47581_0 {
	meta:
		name = "TOLECtrl.Get_Width"
		size = 100
		refs = "0012 TOLECtrl.Get_Width 0026 TOLECtrl.GetDefaultInterface 0034 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? D9 45 F8 D9 5D FC 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 D9 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47582_0 {
	meta:
		name = "TOLECtrl.Set_Width"
		size = 84
		refs = "000c TOLECtrl.Set_Width 001f TOLECtrl.GetDefaultInterface 002d @CheckAutoResult 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_47585_0 {
	meta:
		name = "TOLECtrl.Set_Name"
		size = 84
		refs = "000f TOLECtrl.Set_Name 0020 TOLECtrl.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48536_0 {
	meta:
		name = "TShellNameSpace.SetRoot"
		size = 84
		refs = "000f TShellNameSpace.SetRoot 0020 TShellNameSpace.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47587_0 {
	meta:
		name = "TOLECtrl.Set_AltHTML"
		size = 84
		refs = "000f TOLECtrl.Set_AltHTML 0020 TOLECtrl.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74336_0 {
	meta:
		name = "TCOMAdminCatalogCollection.PopulateByKey"
		size = 84
		refs = "000f TCOMAdminCatalogCollection.PopulateByKey 0020 TCOMAdminCatalogCollection.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48509_0 {
	meta:
		name = "TShellNameSpace.Set_EnumOptions"
		size = 84
		refs = "000f TShellNameSpace.Set_EnumOptions 0020 TShellNameSpace.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47588_0 {
	meta:
		name = "CoPowerPointApplication.Create"
		size = 100
		refs = "000c CoPowerPointApplication.Create 001a CLASS_PowerPointApplication 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 42 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47589_0 {
	meta:
		name = "CoPowerPointApplication.CreateRemote"
		size = 128
		refs = "0011 CoPowerPointApplication.CreateRemote 0021 @WStrFromUStr 002c CLASS_PowerPointApplication 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 42 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47591_0 {
	meta:
		name = "TPowerPointApplication.Connect"
		size = 120
		refs = "000c TPowerPointApplication.Connect 002f TOleServer.ConnectEvents 0042 @IntfCast 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB D4 00 00 00 00 75 27 8D 55 FC 8B C3 8B 08 FF 51 44 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 83 D4 00 00 00 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 42 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47592_0 {
	meta:
		name = "TPowerPointApplication.ConnectTo"
		size = 99
		refs = "000e @IntfAddRef 0016 TPowerPointApplication.ConnectTo 0031 @IntfCopy 003e TOleServer.ConnectEvents 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 8D 83 D4 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 93 D4 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47593_0 {
	meta:
		name = "TPowerPointApplication.Disconnect"
		size = 54
		refs = "0015 TOleServer.DisconnectEvents 0025 TPowerPointApplication.Quit 0030 @IntfClear"
	strings:
		$1 = { 53 8B D8 83 BB D4 00 00 00 00 74 28 8B 93 D4 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB D0 00 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8D 83 D4 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_47594_0 {
	meta:
		name = "TPowerPointApplication.GetDefaultInterface"
		size = 38
		refs = "001f @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB D4 00 00 00 00 75 07 8B C3 8B 10 FF 52 4C 8B C6 8B 93 D4 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47597_0 {
	meta:
		name = "TPowerPointApplication.InvokeEvent"
		size = 1216
		refs = "001d TPowerPointApplication.InvokeEvent 00d6 @IntfCast 03f1 _Presentation 03fb @FinalizeArray 0404 SlideShowWindow 0416 @IntfClear 0452 Selection 0462 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 FA D8 07 00 00 7F 57 0F 84 E1 01 00 00 81 FA D4 07 00 00 7F 2A 0F 84 0D 01 00 00 83 EA FF 0F 84 93 03 00 00 81 EA D2 07 00 00 74 69 4A 0F 84 8F 00 00 00 4A 0F 84 BB 00 00 00 E9 78 03 00 00 81 EA D5 07 00 00 0F 84 0A 01 00 00 4A 0F 84 30 01 00 00 4A 0F 84 5F 01 00 00 E9 59 03 00 00 81 C2 27 F8 FF FF 83 FA 06 0F 87 4A 03 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 22 03 00 00 66 83 7B 5A 00 0F 84 17 03 00 00 8D 45 FC 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B D3 8B 43 5C FF 53 58 E9 F5 02 00 00 66 83 7B 62 00 0F 84 EA 02 00 00 8B 06 8B 40 18 50 8D 45 F8 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 43 64 FF 53 60 E9 C2 02 00 00 66 83 7B 6A 00 0F 84 B7 02 00 00 8B 06 8B 40 18 50 8D 45 F4 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B D3 8B 43 6C FF 53 68 E9 8F 02 00 00 66 83 7B 72 00 0F 84 84 02 00 00 8D 45 F0 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8B D3 8B 43 74 FF 53 70 E9 62 02 00 00 66 83 7B 7A 00 0F 84 57 02 00 00 8D 45 EC 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC 8B D3 8B 43 7C FF 53 78 E9 35 02 00 00 66 83 BB 82 00 00 00 00 0F 84 27 02 00 00 8D 45 E8 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 8B D3 8B 83 84 00 00 00 FF 93 80 00 00 00 E9 FF 01 00 00 66 83 BB 8A 00 00 00 00 0F 84 F1 01 00 00 8D 45 E4 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8B D3 8B 83 8C 00 00 00 FF 93 88 00 00 00 E9 C9 01 00 00 66 83 BB 92 00 00 00 00 0F 84 BB 01 00 00 8D 45 E0 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 8B D3 8B 83 94 00 00 00 FF 93 90 00 00 00 E9 93 01 00 00 66 83 BB 9A 00 00 00 00 0F 84 85 01 00 00 8D 45 DC 8B 16 8B 52 18 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8D 45 D8 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 8B D3 8B 83 9C 00 00 00 FF 93 98 00 00 00 E9 47 01 00 00 66 83 BB A2 00 00 00 00 0F 84 39 01 00 00 8D 45 D4 8B 16 8B 52 18 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 50 8D 45 D0 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 8B D3 8B 83 A4 00 00 00 FF 93 A0 00 00 00 E9 FB 00 00 00 66 83 BB AA 00 00 00 00 0F 84 ED 00 00 00 8D 45 CC 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC 8B D3 8B 83 AC 00 00 00 FF 93 A8 00 00 00 E9 C5 00 00 00 66 83 BB B2 00 00 00 00 0F 84 B7 00 00 00 8D 45 C8 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 8B D3 8B 83 B4 00 00 00 FF 93 B0 00 00 00 E9 8F 00 00 00 66 83 BB BA 00 00 00 00 0F 84 81 00 00 00 8D 45 C4 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 8B D3 8B 83 BC 00 00 00 FF 93 B8 00 00 00 EB 5C 66 83 BB C2 00 00 00 00 74 52 8D 45 C0 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 8B D3 8B 83 C4 00 00 00 FF 93 C0 00 00 00 EB 2D 66 83 BB CA 00 00 00 00 74 23 8D 45 BC 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC 8B D3 8B 83 CC 00 00 00 FF 93 C8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 84 5E 5B 8B E5 5D C3 00 00 54 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B 9D 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B 6A 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B 57 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B 53 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47604_0 {
	meta:
		name = "TPowerPointApplication.Get_CommandBars"
		size = 91
		refs = "000f TPowerPointApplication.Get_CommandBars 001c @IntfClear 0027 TPowerPointApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47666_0 {
	meta:
		name = "TMaster.Get_Background"
		size = 91
		refs = "000f TMaster.Get_Background 001c @IntfClear 0027 TMaster.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47725_0 {
	meta:
		name = "TOutlookApplication.Get_Version"
		size = 91
		refs = "000f TOutlookApplication.Get_Version 001c @WStrClr 0027 TOutlookApplication.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47608_0 {
	meta:
		name = "TPowerPointApplication.Set_Caption"
		size = 84
		refs = "000f TPowerPointApplication.Set_Caption 0020 TPowerPointApplication.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48436_0 {
	meta:
		name = "TShellWindows.ProcessAttachDetach"
		size = 84
		refs = "000f TShellWindows.ProcessAttachDetach 0020 TShellWindows.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47616_0 {
	meta:
		name = "TPowerPointApplication.Get_Creator"
		size = 95
		refs = "0012 TPowerPointApplication.Get_Creator 0026 TPowerPointApplication.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 64 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48259_0 {
	meta:
		name = "TInternetExplorer.Get_Width"
		size = 95
		refs = "0012 TInternetExplorer.Get_Width 0026 TInternetExplorer.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 64 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48346_0 {
	meta:
		name = "TInternetExplorerMedium.Get_Width"
		size = 95
		refs = "0012 TInternetExplorerMedium.Get_Width 0026 TInternetExplorerMedium.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 64 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47619_0 {
	meta:
		name = "TPowerPointApplication.Get_Left"
		size = 103
		refs = "0012 TPowerPointApplication.Get_Left 0026 TPowerPointApplication.GetDefaultInterface 0037 @CheckAutoResult 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 84 00 00 00 E8 ?? ?? ?? ?? D9 45 F8 D9 5D FC 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 D9 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47620_0 {
	meta:
		name = "TPowerPointApplication.Set_Left"
		size = 87
		refs = "000c TPowerPointApplication.Set_Left 001f TPowerPointApplication.GetDefaultInterface 0030 @CheckAutoResult 0045 @IntfClear 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_47621_0 {
	meta:
		name = "TPowerPointApplication.Get_Top"
		size = 103
		refs = "0012 TPowerPointApplication.Get_Top 0026 TPowerPointApplication.GetDefaultInterface 0037 @CheckAutoResult 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? D9 45 F8 D9 5D FC 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 D9 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47622_0 {
	meta:
		name = "TPowerPointApplication.Set_Top"
		size = 87
		refs = "000c TPowerPointApplication.Set_Top 001f TPowerPointApplication.GetDefaultInterface 0030 @CheckAutoResult 0045 @IntfClear 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_47623_0 {
	meta:
		name = "TPowerPointApplication.Get_Width"
		size = 103
		refs = "0012 TPowerPointApplication.Get_Width 0026 TPowerPointApplication.GetDefaultInterface 0037 @CheckAutoResult 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 94 00 00 00 E8 ?? ?? ?? ?? D9 45 F8 D9 5D FC 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 D9 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47624_0 {
	meta:
		name = "TPowerPointApplication.Set_Width"
		size = 87
		refs = "000c TPowerPointApplication.Set_Width 001f TPowerPointApplication.GetDefaultInterface 0030 @CheckAutoResult 0045 @IntfClear 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_47625_0 {
	meta:
		name = "TPowerPointApplication.Get_Height"
		size = 103
		refs = "0012 TPowerPointApplication.Get_Height 0026 TPowerPointApplication.GetDefaultInterface 0037 @CheckAutoResult 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? D9 45 F8 D9 5D FC 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 D9 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47626_0 {
	meta:
		name = "TPowerPointApplication.Set_Height"
		size = 87
		refs = "000c TPowerPointApplication.Set_Height 001f TPowerPointApplication.GetDefaultInterface 0030 @CheckAutoResult 0045 @IntfClear 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 A0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_47627_0 {
	meta:
		name = "TPowerPointApplication.Get_WindowState"
		size = 98
		refs = "0012 TPowerPointApplication.Get_WindowState 0026 TPowerPointApplication.GetDefaultInterface 0037 @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47628_0 {
	meta:
		name = "TPowerPointApplication.Set_WindowState"
		size = 87
		refs = "000f TPowerPointApplication.Set_WindowState 0020 TPowerPointApplication.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 A8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48490_0 {
	meta:
		name = "TShellUIHelper.SetActivitiesVisible"
		size = 87
		refs = "000f TShellUIHelper.SetActivitiesVisible 0020 TShellUIHelper.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 A8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47629_0 {
	meta:
		name = "TPowerPointApplication.Get_Visible"
		size = 98
		refs = "0012 TPowerPointApplication.Get_Visible 0026 TPowerPointApplication.GetDefaultInterface 0037 @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 AC 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47630_0 {
	meta:
		name = "TPowerPointApplication.Set_Visible"
		size = 87
		refs = "000f TPowerPointApplication.Set_Visible 0020 TPowerPointApplication.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47631_0 {
	meta:
		name = "TPowerPointApplication.Get_Active"
		size = 98
		refs = "0012 TPowerPointApplication.Get_Active 0026 TPowerPointApplication.GetDefaultInterface 0037 @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 B8 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48276_0 {
	meta:
		name = "TInternetExplorer.Get_ToolBar"
		size = 98
		refs = "0012 TInternetExplorer.Get_ToolBar 0026 TInternetExplorer.GetDefaultInterface 0037 @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 B8 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48363_0 {
	meta:
		name = "TInternetExplorerMedium.Get_ToolBar"
		size = 98
		refs = "0012 TInternetExplorerMedium.Get_ToolBar 0026 TInternetExplorerMedium.GetDefaultInterface 0037 @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 B8 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47632_0 {
	meta:
		name = "TPowerPointApplication.Get_AnswerWizard"
		size = 94
		refs = "000f TPowerPointApplication.Get_AnswerWizard 001c @IntfClear 0027 TPowerPointApplication.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 C0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47634_0 {
	meta:
		name = "TPowerPointApplication.Get_ProductCode"
		size = 94
		refs = "000f TPowerPointApplication.Get_ProductCode 001c @WStrClr 0027 TPowerPointApplication.GetDefaultInterface 0038 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 C8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47635_0 {
	meta:
		name = "TPowerPointApplication.Get_DefaultWebOptions"
		size = 94
		refs = "000f TPowerPointApplication.Get_DefaultWebOptions 001c @IntfClear 0027 TPowerPointApplication.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 CC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47636_0 {
	meta:
		name = "TPowerPointApplication.Get_LanguageSettings"
		size = 94
		refs = "000f TPowerPointApplication.Get_LanguageSettings 001c @IntfClear 0027 TPowerPointApplication.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47637_0 {
	meta:
		name = "TPowerPointApplication.Get_MsoDebugOptions"
		size = 94
		refs = "000f TPowerPointApplication.Get_MsoDebugOptions 001c @IntfClear 0027 TPowerPointApplication.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47638_0 {
	meta:
		name = "TPowerPointApplication.Get_ShowWindowsInTaskbar"
		size = 98
		refs = "0012 TPowerPointApplication.Get_ShowWindowsInTaskbar 0026 TPowerPointApplication.GetDefaultInterface 0037 @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47641_0 {
	meta:
		name = "TPowerPointApplication.Get_FeatureInstall"
		size = 98
		refs = "0012 TPowerPointApplication.Get_FeatureInstall 0026 TPowerPointApplication.GetDefaultInterface 0037 @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 E4 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47642_0 {
	meta:
		name = "TPowerPointApplication.Set_FeatureInstall"
		size = 87
		refs = "000f TPowerPointApplication.Set_FeatureInstall 0020 TPowerPointApplication.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 E8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48284_0 {
	meta:
		name = "TInternetExplorer.Set_Offline"
		size = 87
		refs = "000f TInternetExplorer.Set_Offline 0020 TInternetExplorer.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 E8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48371_0 {
	meta:
		name = "TInternetExplorerMedium.Set_Offline"
		size = 87
		refs = "000f TInternetExplorerMedium.Set_Offline 0020 TInternetExplorerMedium.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 E8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47643_0 {
	meta:
		name = "TPowerPointApplication.Help"
		size = 89
		refs = "0012 TPowerPointApplication.Help 0024 TPowerPointApplication.GetDefaultInterface 0032 @CheckAutoResult 0047 @IntfClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47644_0 {
	meta:
		name = "TPowerPointApplication.Quit"
		size = 79
		refs = "000c TPowerPointApplication.Quit 001c TPowerPointApplication.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 74 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47645_0 {
	meta:
		name = "TPowerPointApplication.Run"
		size = 100
		refs = "0012 TPowerPointApplication.Run 0020 @VarClr 002d TPowerPointApplication.GetDefaultInterface 003b @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 78 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_47744_0 {
	meta:
		name = "TOutlookApplication.CopyFile"
		size = 100
		refs = "0012 TOutlookApplication.CopyFile 0020 @IntfClear 002d TOutlookApplication.GetDefaultInterface 003b @CheckAutoResult 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 78 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_47646_0 {
	meta:
		name = "TPowerPointApplication.FileDialog"
		size = 96
		refs = "0012 TPowerPointApplication.FileDialog 001f @IntfClear 002b TPowerPointApplication.GetDefaultInterface 0039 @CheckAutoResult 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 50 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47925_0 {
	meta:
		name = "TPowerPointApplication.PPFileDialog"
		size = 96
		refs = "0012 TPowerPointApplication.PPFileDialog 001f @IntfClear 002b TPowerPointApplication.GetDefaultInterface 0039 @CheckAutoResult 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 50 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47648_0 {
	meta:
		name = "TPowerPointApplication.GetOptionFlag"
		size = 109
		refs = "0018 TPowerPointApplication.GetOptionFlag 002e TPowerPointApplication.GetDefaultInterface 003f @CheckAutoResult 0058 @IntfClear 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 57 56 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 EC 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47649_0 {
	meta:
		name = "TPowerPointApplication.SetOptionFlag"
		size = 99
		refs = "0012 TPowerPointApplication.SetOptionFlag 0029 TPowerPointApplication.GetDefaultInterface 003a @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 45 08 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 F0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_47650_0 {
	meta:
		name = "CoMaster.Create"
		size = 100
		refs = "000c CoMaster.Create 001a CLASS_Master 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 6C 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47651_0 {
	meta:
		name = "CoMaster.CreateRemote"
		size = 128
		refs = "0011 CoMaster.CreateRemote 0021 @WStrFromUStr 002c CLASS_Master 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 6C 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47653_0 {
	meta:
		name = "TMaster.Connect"
		size = 116
		refs = "000c TMaster.Connect 002c TOleServer.ConnectEvents 003c @IntfCast 0051 @IntfClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 58 00 75 24 8D 55 FC 8B C3 8B 08 FF 51 44 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 43 58 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 6C 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47665_0 {
	meta:
		name = "TMaster.Set_ColorScheme"
		size = 84
		refs = "000f TMaster.Set_ColorScheme 0020 TMaster.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48431_0 {
	meta:
		name = "TShellWindows.Revoke"
		size = 84
		refs = "000f TShellWindows.Revoke 0020 TShellWindows.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47668_0 {
	meta:
		name = "TMaster.Set_Name"
		size = 84
		refs = "000f TMaster.Set_Name 0020 TMaster.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47669_0 {
	meta:
		name = "TMaster.Get_Height"
		size = 100
		refs = "0012 TMaster.Get_Height 0026 TMaster.GetDefaultInterface 0034 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? D9 45 F8 D9 5D FC 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 D9 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47670_0 {
	meta:
		name = "TMaster.Get_Width"
		size = 100
		refs = "0012 TMaster.Get_Width 0026 TMaster.GetDefaultInterface 0034 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? D9 45 F8 D9 5D FC 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 D9 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47674_0 {
	meta:
		name = "TMaster.Delete"
		size = 79
		refs = "000c TMaster.Delete 001c TMaster.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47677_0 {
	meta:
		name = "CoCommandBars.Create"
		size = 100
		refs = "000c CoCommandBars.Create 001a CLASS_CommandBars 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 02 03 0C 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47678_0 {
	meta:
		name = "CoCommandBars.CreateRemote"
		size = 128
		refs = "0011 CoCommandBars.CreateRemote 0021 @WStrFromUStr 002c CLASS_CommandBars 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 02 03 0C 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47679_0 {
	meta:
		name = "CoCommandBarComboBox.Create"
		size = 100
		refs = "000c CoCommandBarComboBox.Create 001a CLASS_CommandBarComboBox 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 0C 03 0C 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47680_0 {
	meta:
		name = "CoCommandBarComboBox.CreateRemote"
		size = 128
		refs = "0011 CoCommandBarComboBox.CreateRemote 0021 @WStrFromUStr 002c CLASS_CommandBarComboBox 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 0C 03 0C 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47681_0 {
	meta:
		name = "CoCommandBarButton.Create"
		size = 100
		refs = "000c CoCommandBarButton.Create 001a CLASS_CommandBarButton 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 0E 03 0C 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47682_0 {
	meta:
		name = "CoCommandBarButton.CreateRemote"
		size = 128
		refs = "0011 CoCommandBarButton.CreateRemote 0021 @WStrFromUStr 002c CLASS_CommandBarButton 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 0E 03 0C 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47691_0 {
	meta:
		name = "CoMsoEnvelope.Create"
		size = 100
		refs = "000c CoMsoEnvelope.Create 001a CLASS_MsoEnvelope 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 AC 72 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47692_0 {
	meta:
		name = "CoMsoEnvelope.CreateRemote"
		size = 128
		refs = "0011 CoMsoEnvelope.CreateRemote 0021 @WStrFromUStr 002c CLASS_MsoEnvelope 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 AC 72 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47695_0 {
	meta:
		name = "CoSyncObject.Create"
		size = 100
		refs = "000c CoSyncObject.Create 001a CLASS_SyncObject 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 83 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47696_0 {
	meta:
		name = "CoSyncObject.CreateRemote"
		size = 128
		refs = "0011 CoSyncObject.CreateRemote 0021 @WStrFromUStr 002c CLASS_SyncObject 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 83 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47697_0 {
	meta:
		name = "CoExplorer.Create"
		size = 100
		refs = "000c CoExplorer.Create 001a CLASS_Explorer 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 03 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47698_0 {
	meta:
		name = "CoExplorer.CreateRemote"
		size = 128
		refs = "0011 CoExplorer.CreateRemote 0021 @WStrFromUStr 002c CLASS_Explorer 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 03 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47699_0 {
	meta:
		name = "CoInspector.Create"
		size = 100
		refs = "000c CoInspector.Create 001a CLASS_Inspector 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 05 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47700_0 {
	meta:
		name = "CoInspector.CreateRemote"
		size = 128
		refs = "0011 CoInspector.CreateRemote 0021 @WStrFromUStr 002c CLASS_Inspector 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 05 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47701_0 {
	meta:
		name = "CoMailItem.Create"
		size = 100
		refs = "000c CoMailItem.Create 001a CLASS_MailItem 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 34 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47702_0 {
	meta:
		name = "CoMailItem.CreateRemote"
		size = 128
		refs = "0011 CoMailItem.CreateRemote 0021 @WStrFromUStr 002c CLASS_MailItem 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 34 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47703_0 {
	meta:
		name = "CoAppointmentItem.Create"
		size = 100
		refs = "000c CoAppointmentItem.Create 001a CLASS_AppointmentItem 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 33 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47704_0 {
	meta:
		name = "CoAppointmentItem.CreateRemote"
		size = 128
		refs = "0011 CoAppointmentItem.CreateRemote 0021 @WStrFromUStr 002c CLASS_AppointmentItem 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 33 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47705_0 {
	meta:
		name = "CoMeetingItem.Create"
		size = 100
		refs = "000c CoMeetingItem.Create 001a CLASS_MeetingItem 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 62 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47706_0 {
	meta:
		name = "CoMeetingItem.CreateRemote"
		size = 128
		refs = "0011 CoMeetingItem.CreateRemote 0021 @WStrFromUStr 002c CLASS_MeetingItem 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 62 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47707_0 {
	meta:
		name = "CoTaskItem.Create"
		size = 100
		refs = "000c CoTaskItem.Create 001a CLASS_TaskItem 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 35 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47708_0 {
	meta:
		name = "CoTaskItem.CreateRemote"
		size = 128
		refs = "0011 CoTaskItem.CreateRemote 0021 @WStrFromUStr 002c CLASS_TaskItem 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 35 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47709_0 {
	meta:
		name = "CoOutlookApplication.Create"
		size = 100
		refs = "000c CoOutlookApplication.Create 001a CLASS_OutlookApplication 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 01 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47710_0 {
	meta:
		name = "CoOutlookApplication.CreateRemote"
		size = 128
		refs = "0011 CoOutlookApplication.CreateRemote 0021 @WStrFromUStr 002c CLASS_OutlookApplication 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 01 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47712_0 {
	meta:
		name = "TOutlookApplication.Connect"
		size = 120
		refs = "000c TOutlookApplication.Connect 002f TOleServer.ConnectEvents 0042 @IntfCast 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB A4 00 00 00 00 75 27 8D 55 FC 8B C3 8B 08 FF 51 44 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 83 A4 00 00 00 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 01 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47713_0 {
	meta:
		name = "TOutlookApplication.ConnectTo"
		size = 99
		refs = "000e @IntfAddRef 0016 TOutlookApplication.ConnectTo 0031 @IntfCopy 003e TOleServer.ConnectEvents 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 8D 83 A4 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 93 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47714_0 {
	meta:
		name = "TOutlookApplication.Disconnect"
		size = 54
		refs = "0015 TOleServer.DisconnectEvents 0025 TOutlookApplication.Quit 0030 @IntfClear"
	strings:
		$1 = { 53 8B D8 83 BB A4 00 00 00 00 74 28 8B 93 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB A0 00 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8D 83 A4 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_47715_0 {
	meta:
		name = "TOutlookApplication.GetDefaultInterface"
		size = 38
		refs = "001f @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB A4 00 00 00 00 75 07 8B C3 8B 10 FF 52 4C 8B C6 8B 93 A4 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47718_0 {
	meta:
		name = "TOutlookApplication.InvokeEvent"
		size = 576
		refs = "0017 TOutlookApplication.InvokeEvent 00ab @VarToDisp 0115 @IntfCast 01e7 Search 01f1 @FinalizeArray 01f9 @IntfClear 0202 IDispatch 0212 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 FA 06 F0 00 00 7F 3E 0F 84 FA 00 00 00 81 FA 03 F0 00 00 7F 1C 0F 84 82 00 00 00 83 EA FF 0F 84 8F 01 00 00 81 EA 03 F0 00 00 74 46 E9 82 01 00 00 81 EA 04 F0 00 00 74 7C 4A 0F 84 9A 00 00 00 E9 6E 01 00 00 81 EA 07 F0 00 00 0F 84 CE 00 00 00 81 EA 63 0A 00 00 0F 84 E0 00 00 00 4A 0F 84 08 01 00 00 83 EA 25 0F 84 2E 01 00 00 E9 41 01 00 00 66 83 7B 5A 00 0F 84 36 01 00 00 8B 06 8B 40 18 50 8D 45 FC 8B 16 E8 ?? ?? ?? ?? 8B 4D FC 8B D3 8B 43 5C FF 53 58 E9 16 01 00 00 66 83 7B 62 00 0F 84 0B 01 00 00 8B D3 8B 43 64 FF 53 60 E9 FE 00 00 00 66 83 7B 6A 00 0F 84 F3 00 00 00 8D 45 F8 8B 16 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 43 6C FF 53 68 E9 D9 00 00 00 66 83 7B 72 00 0F 84 CE 00 00 00 8D 45 F4 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B D3 8B 43 74 FF 53 70 E9 AC 00 00 00 66 83 7B 7A 00 0F 84 A1 00 00 00 8B D3 8B 43 7C FF 53 78 E9 94 00 00 00 66 83 BB 82 00 00 00 00 0F 84 86 00 00 00 8B D3 8B 83 84 00 00 00 FF 93 80 00 00 00 EB 76 66 83 BB 8A 00 00 00 00 74 6C 8D 45 F0 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8B D3 8B 83 8C 00 00 00 FF 93 88 00 00 00 EB 47 66 83 BB 92 00 00 00 00 74 3D 8D 45 EC 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC 8B D3 8B 83 94 00 00 00 FF 93 90 00 00 00 EB 18 66 83 BB 9A 00 00 00 00 74 0E 8B D3 8B 83 9C 00 00 00 FF 93 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 5E 5B 8B E5 5D C3 00 00 80 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 0B 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47720_0 {
	meta:
		name = "TOutlookApplication.Get_Class_"
		size = 95
		refs = "0012 TOutlookApplication.Get_Class_ 0026 TOutlookApplication.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47733_0 {
	meta:
		name = "TOutlookApplication.Set_FeatureInstall"
		size = 84
		refs = "000f TOutlookApplication.Set_FeatureInstall 0020 TOutlookApplication.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74295_0 {
	meta:
		name = "TCOMAdminCatalog.StartApplication"
		size = 84
		refs = "000f TCOMAdminCatalog.StartApplication 0020 TCOMAdminCatalog.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48262_0 {
	meta:
		name = "TInternetExplorer.Set_Height"
		size = 84
		refs = "000f TInternetExplorer.Set_Height 0020 TInternetExplorer.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48349_0 {
	meta:
		name = "TInternetExplorerMedium.Set_Height"
		size = 84
		refs = "000f TInternetExplorerMedium.Set_Height 0020 TInternetExplorerMedium.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47737_0 {
	meta:
		name = "TOutlookApplication.CreateItem"
		size = 96
		refs = "0012 TOutlookApplication.CreateItem 001f @IntfClear 002b TOutlookApplication.GetDefaultInterface 0039 @CheckAutoResult 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 50 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47738_0 {
	meta:
		name = "TOutlookApplication.CreateItemFromTemplate"
		size = 133
		refs = "001a TOutlookApplication.CreateItemFromTemplate 0028 EmptyParam 002f @IntfClear 0047 TOutlookApplication.GetDefaultInterface 0055 @CheckAutoResult 0072 @VarClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 50 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47739_0 {
	meta:
		name = "TOutlookApplication.CreateItemFromTemplate"
		size = 141
		refs = "001f @VarAddRef 0027 TOutlookApplication.CreateItemFromTemplate 0035 @IntfClear 004d TOutlookApplication.GetDefaultInterface 005b @CheckAutoResult 0078 @VarClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B F1 8D 7D F0 A5 A5 A5 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 50 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_47740_0 {
	meta:
		name = "TOutlookApplication.CreateObject"
		size = 96
		refs = "0012 TOutlookApplication.CreateObject 001f @IntfClear 002b TOutlookApplication.GetDefaultInterface 0039 @CheckAutoResult 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 50 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47741_0 {
	meta:
		name = "TOutlookApplication.GetNamespace"
		size = 96
		refs = "0012 TOutlookApplication.GetNamespace 001f @IntfClear 002b TOutlookApplication.GetDefaultInterface 0039 @CheckAutoResult 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 50 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47743_0 {
	meta:
		name = "TOutlookApplication.ActiveWindow"
		size = 91
		refs = "000f TOutlookApplication.ActiveWindow 001c @IntfClear 0027 TOutlookApplication.GetDefaultInterface 0035 @CheckAutoResult 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 74 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48263_0 {
	meta:
		name = "TInternetExplorer.Get_LocationName"
		size = 91
		refs = "000f TInternetExplorer.Get_LocationName 001c @WStrClr 0027 TInternetExplorer.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 74 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48350_0 {
	meta:
		name = "TInternetExplorerMedium.Get_LocationName"
		size = 91
		refs = "000f TInternetExplorerMedium.Get_LocationName 001c @WStrClr 0027 TInternetExplorerMedium.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 74 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47745_0 {
	meta:
		name = "TOutlookApplication.AdvancedSearch"
		size = 157
		refs = "001a TOutlookApplication.AdvancedSearch 0028 EmptyParam 002f @IntfClear 005f TOutlookApplication.GetDefaultInterface 006d @CheckAutoResult 008a @VarClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 50 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47746_0 {
	meta:
		name = "TOutlookApplication.AdvancedSearch"
		size = 192
		refs = "0027 @VarAddRef 002f TOutlookApplication.AdvancedSearch 003d EmptyParam 0045 @IntfClear 0075 TOutlookApplication.GetDefaultInterface 0083 @CheckAutoResult 00a1 OleVariant 00ab @FinalizeArray 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 50 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_47747_0 {
	meta:
		name = "TOutlookApplication.AdvancedSearch"
		size = 214
		refs = "0035 @VarAddRef 0045 TOutlookApplication.AdvancedSearch 0053 EmptyParam 005b @IntfClear 008b TOutlookApplication.GetDefaultInterface 0099 @CheckAutoResult 00b7 OleVariant 00c1 @FinalizeArray 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D D0 89 5D D4 89 5D D8 89 5D DC 8B 75 0C 8D 7D E0 A5 A5 A5 A5 8B F1 8D 7D F0 A5 A5 A5 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D0 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 50 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_47748_0 {
	meta:
		name = "TOutlookApplication.AdvancedSearch"
		size = 212
		refs = "0033 @VarAddRef 004b TOutlookApplication.AdvancedSearch 0059 @IntfClear 0089 TOutlookApplication.GetDefaultInterface 0097 @CheckAutoResult 00b5 OleVariant 00bf @FinalizeArray 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 8B 75 0C 8D 7D D0 A5 A5 A5 A5 8B 75 10 8D 7D E0 A5 A5 A5 A5 8B F1 8D 7D F0 A5 A5 A5 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 50 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_47749_0 {
	meta:
		name = "TOutlookApplication.IsSearchSynchronous"
		size = 104
		refs = "0015 TOutlookApplication.IsSearchSynchronous 002a TOutlookApplication.GetDefaultInterface 003b @CheckAutoResult 0054 @IntfClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 56 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47751_0 {
	meta:
		name = "CoContactItem.Create"
		size = 100
		refs = "000c CoContactItem.Create 001a CLASS_ContactItem 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 21 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47752_0 {
	meta:
		name = "CoContactItem.CreateRemote"
		size = 128
		refs = "0011 CoContactItem.CreateRemote 0021 @WStrFromUStr 002c CLASS_ContactItem 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 21 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47753_0 {
	meta:
		name = "CoDistListItem.Create"
		size = 100
		refs = "000c CoDistListItem.Create 001a CLASS_DistListItem 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 81 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47754_0 {
	meta:
		name = "CoDistListItem.CreateRemote"
		size = 128
		refs = "0011 CoDistListItem.CreateRemote 0021 @WStrFromUStr 002c CLASS_DistListItem 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 81 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47755_0 {
	meta:
		name = "CoDocumentItem.Create"
		size = 100
		refs = "000c CoDocumentItem.Create 001a CLASS_DocumentItem 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 20 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47756_0 {
	meta:
		name = "CoDocumentItem.CreateRemote"
		size = 128
		refs = "0011 CoDocumentItem.CreateRemote 0021 @WStrFromUStr 002c CLASS_DocumentItem 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 20 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47757_0 {
	meta:
		name = "CoExplorers.Create"
		size = 100
		refs = "000c CoExplorers.Create 001a CLASS_Explorers 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 0A 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47758_0 {
	meta:
		name = "CoExplorers.CreateRemote"
		size = 128
		refs = "0011 CoExplorers.CreateRemote 0021 @WStrFromUStr 002c CLASS_Explorers 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 0A 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47759_0 {
	meta:
		name = "CoInspectors.Create"
		size = 100
		refs = "000c CoInspectors.Create 001a CLASS_Inspectors 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 08 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47760_0 {
	meta:
		name = "CoInspectors.CreateRemote"
		size = 128
		refs = "0011 CoInspectors.CreateRemote 0021 @WStrFromUStr 002c CLASS_Inspectors 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 08 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47761_0 {
	meta:
		name = "CoFolders.Create"
		size = 100
		refs = "000c CoFolders.Create 001a CLASS_Folders 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 40 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47762_0 {
	meta:
		name = "CoFolders.CreateRemote"
		size = 128
		refs = "0011 CoFolders.CreateRemote 0021 @WStrFromUStr 002c CLASS_Folders 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 40 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47763_0 {
	meta:
		name = "CoItems.Create"
		size = 100
		refs = "000c CoItems.Create 001a CLASS_Items 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 41 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47764_0 {
	meta:
		name = "CoItems.CreateRemote"
		size = 128
		refs = "0011 CoItems.CreateRemote 0021 @WStrFromUStr 002c CLASS_Items 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 41 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47765_0 {
	meta:
		name = "CoJournalItem.Create"
		size = 100
		refs = "000c CoJournalItem.Create 001a CLASS_JournalItem 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 22 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47766_0 {
	meta:
		name = "CoJournalItem.CreateRemote"
		size = 128
		refs = "0011 CoJournalItem.CreateRemote 0021 @WStrFromUStr 002c CLASS_JournalItem 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 22 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47767_0 {
	meta:
		name = "CoNameSpace.Create"
		size = 100
		refs = "000c CoNameSpace.Create 001a CLASS_NameSpace 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 02 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47768_0 {
	meta:
		name = "CoNameSpace.CreateRemote"
		size = 128
		refs = "0011 CoNameSpace.CreateRemote 0021 @WStrFromUStr 002c CLASS_NameSpace 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 02 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47769_0 {
	meta:
		name = "CoNoteItem.Create"
		size = 100
		refs = "000c CoNoteItem.Create 001a CLASS_NoteItem 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 25 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47770_0 {
	meta:
		name = "CoNoteItem.CreateRemote"
		size = 128
		refs = "0011 CoNoteItem.CreateRemote 0021 @WStrFromUStr 002c CLASS_NoteItem 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 25 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47771_0 {
	meta:
		name = "CoOutlookBarGroups.Create"
		size = 100
		refs = "000c CoOutlookBarGroups.Create 001a CLASS_OutlookBarGroups 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 72 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47772_0 {
	meta:
		name = "CoOutlookBarGroups.CreateRemote"
		size = 128
		refs = "0011 CoOutlookBarGroups.CreateRemote 0021 @WStrFromUStr 002c CLASS_OutlookBarGroups 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 72 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47773_0 {
	meta:
		name = "CoOutlookBarPane.Create"
		size = 100
		refs = "000c CoOutlookBarPane.Create 001a CLASS_OutlookBarPane 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 70 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47774_0 {
	meta:
		name = "CoOutlookBarPane.CreateRemote"
		size = 128
		refs = "0011 CoOutlookBarPane.CreateRemote 0021 @WStrFromUStr 002c CLASS_OutlookBarPane 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 70 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47775_0 {
	meta:
		name = "CoOutlookBarShortcuts.Create"
		size = 100
		refs = "000c CoOutlookBarShortcuts.Create 001a CLASS_OutlookBarShortcuts 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 74 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47776_0 {
	meta:
		name = "CoOutlookBarShortcuts.CreateRemote"
		size = 128
		refs = "0011 CoOutlookBarShortcuts.CreateRemote 0021 @WStrFromUStr 002c CLASS_OutlookBarShortcuts 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 74 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47777_0 {
	meta:
		name = "CoPostItem.Create"
		size = 100
		refs = "000c CoPostItem.Create 001a CLASS_PostItem 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 24 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47778_0 {
	meta:
		name = "CoPostItem.CreateRemote"
		size = 128
		refs = "0011 CoPostItem.CreateRemote 0021 @WStrFromUStr 002c CLASS_PostItem 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 24 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47779_0 {
	meta:
		name = "CoRemoteItem.Create"
		size = 100
		refs = "000c CoRemoteItem.Create 001a CLASS_RemoteItem 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 23 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47780_0 {
	meta:
		name = "CoRemoteItem.CreateRemote"
		size = 128
		refs = "0011 CoRemoteItem.CreateRemote 0021 @WStrFromUStr 002c CLASS_RemoteItem 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 23 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47781_0 {
	meta:
		name = "CoReportItem.Create"
		size = 100
		refs = "000c CoReportItem.Create 001a CLASS_ReportItem 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 26 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47782_0 {
	meta:
		name = "CoReportItem.CreateRemote"
		size = 128
		refs = "0011 CoReportItem.CreateRemote 0021 @WStrFromUStr 002c CLASS_ReportItem 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 26 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47783_0 {
	meta:
		name = "CoTaskRequestAcceptItem.Create"
		size = 100
		refs = "000c CoTaskRequestAcceptItem.Create 001a CLASS_TaskRequestAcceptItem 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 38 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47784_0 {
	meta:
		name = "CoTaskRequestAcceptItem.CreateRemote"
		size = 128
		refs = "0011 CoTaskRequestAcceptItem.CreateRemote 0021 @WStrFromUStr 002c CLASS_TaskRequestAcceptItem 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 38 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47785_0 {
	meta:
		name = "CoTaskRequestDeclineItem.Create"
		size = 100
		refs = "000c CoTaskRequestDeclineItem.Create 001a CLASS_TaskRequestDeclineItem 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 39 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47786_0 {
	meta:
		name = "CoTaskRequestDeclineItem.CreateRemote"
		size = 128
		refs = "0011 CoTaskRequestDeclineItem.CreateRemote 0021 @WStrFromUStr 002c CLASS_TaskRequestDeclineItem 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 39 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47787_0 {
	meta:
		name = "CoTaskRequestItem.Create"
		size = 100
		refs = "000c CoTaskRequestItem.Create 001a CLASS_TaskRequestItem 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 36 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47788_0 {
	meta:
		name = "CoTaskRequestItem.CreateRemote"
		size = 128
		refs = "0011 CoTaskRequestItem.CreateRemote 0021 @WStrFromUStr 002c CLASS_TaskRequestItem 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 36 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47789_0 {
	meta:
		name = "CoTaskRequestUpdateItem.Create"
		size = 100
		refs = "000c CoTaskRequestUpdateItem.Create 001a CLASS_TaskRequestUpdateItem 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 37 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47790_0 {
	meta:
		name = "CoTaskRequestUpdateItem.CreateRemote"
		size = 128
		refs = "0011 CoTaskRequestUpdateItem.CreateRemote 0021 @WStrFromUStr 002c CLASS_TaskRequestUpdateItem 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 37 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47791_0 {
	meta:
		name = "CoResults.Create"
		size = 100
		refs = "000c CoResults.Create 001a CLASS_Results 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 0C 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47792_0 {
	meta:
		name = "CoResults.CreateRemote"
		size = 128
		refs = "0011 CoResults.CreateRemote 0021 @WStrFromUStr 002c CLASS_Results 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 0C 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47793_0 {
	meta:
		name = "CoViews.Create"
		size = 100
		refs = "000c CoViews.Create 001a CLASS_Views 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 8D 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47794_0 {
	meta:
		name = "CoViews.CreateRemote"
		size = 128
		refs = "0011 CoViews.CreateRemote 0021 @WStrFromUStr 002c CLASS_Views 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 8D 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47795_0 {
	meta:
		name = "CoReminder.Create"
		size = 100
		refs = "000c CoReminder.Create 001a CLASS_Reminder 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 B0 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47796_0 {
	meta:
		name = "CoReminder.CreateRemote"
		size = 128
		refs = "0011 CoReminder.CreateRemote 0021 @WStrFromUStr 002c CLASS_Reminder 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 B0 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47797_0 {
	meta:
		name = "CoReminders.Create"
		size = 100
		refs = "000c CoReminders.Create 001a CLASS_Reminders 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 B1 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47798_0 {
	meta:
		name = "CoReminders.CreateRemote"
		size = 128
		refs = "0011 CoReminders.CreateRemote 0021 @WStrFromUStr 002c CLASS_Reminders 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 B1 30 06 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_47801_0 {
	meta:
		name = "CoNumberFormat.Create"
		size = 100
		refs = "000c CoNumberFormat.Create 001a CLASS_NumberFormat 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 FE D9 FD 81 64 64 19 4A 82 AB 87 88 23 E8 5A 5E }
	condition:
		$1
}

rule function_47802_0 {
	meta:
		name = "CoNumberFormat.CreateRemote"
		size = 128
		refs = "0011 CoNumberFormat.CreateRemote 0021 @WStrFromUStr 002c CLASS_NumberFormat 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 FE D9 FD 81 64 64 19 4A 82 AB 87 88 23 E8 5A 5E }
	condition:
		$1
}

rule function_47803_0 {
	meta:
		name = "CoFieldListControl.Create"
		size = 100
		refs = "000c CoFieldListControl.Create 001a CLASS_FieldListControl 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 9E 80 D1 7B 06 04 D3 11 85 49 00 C0 4F AC 67 D7 }
	condition:
		$1
}

rule function_47804_0 {
	meta:
		name = "CoFieldListControl.CreateRemote"
		size = 128
		refs = "0011 CoFieldListControl.CreateRemote 0021 @WStrFromUStr 002c CLASS_FieldListControl 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 9E 80 D1 7B 06 04 D3 11 85 49 00 C0 4F AC 67 D7 }
	condition:
		$1
}

rule function_47805_0 {
	meta:
		name = "CoOfflineInfo.Create"
		size = 100
		refs = "000c CoOfflineInfo.Create 001a CLASS_OfflineInfo 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 69 0C AC E2 79 70 D3 11 8D 01 00 50 04 83 83 A8 }
	condition:
		$1
}

rule function_47806_0 {
	meta:
		name = "CoOfflineInfo.CreateRemote"
		size = 128
		refs = "0011 CoOfflineInfo.CreateRemote 0021 @WStrFromUStr 002c CLASS_OfflineInfo 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 69 0C AC E2 79 70 D3 11 8D 01 00 50 04 83 83 A8 }
	condition:
		$1
}

rule function_47807_0 {
	meta:
		name = "CoRange.Create"
		size = 100
		refs = "000c CoRange.Create 001a CLASS_Range 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 05 9B B3 F5 80 14 D3 11 85 49 00 C0 4F AC 67 D7 }
	condition:
		$1
}

rule function_47808_0 {
	meta:
		name = "CoRange.CreateRemote"
		size = 128
		refs = "0011 CoRange.CreateRemote 0021 @WStrFromUStr 002c CLASS_Range 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 05 9B B3 F5 80 14 D3 11 85 49 00 C0 4F AC 67 D7 }
	condition:
		$1
}

rule function_47811_0 {
	meta:
		name = "TBasePageItemsProducer.Create"
		size = 76
		refs = "000b @ClassCreate 001a _Dn_TWebComponentList 001f TWebComponentList.Create 002d TBasePageProducer.Create 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 70 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_47812_0 {
	meta:
		name = "TBasePageItemsProducer.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TComponent.Destroy 001a TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 70 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47813_0 {
	meta:
		name = "TBasePageItemsProducer.GetChildren"
		size = 93
		refs = "001b TComponent.GetChildren 0026 TWebComponentList.GetCount 003d TWebComponentList.GetComponent"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 F8 89 45 FC FF 75 0C FF 75 08 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 70 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 24 43 33 F6 8B 45 FC 8B 40 70 8B D6 E8 ?? ?? ?? ?? 8B 50 04 3B 55 F8 75 08 8B D0 8B 45 0C FF 55 08 46 4B 75 DF 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_47816_0 {
	meta:
		name = "TBasePageItemsProducer.SetChildOrder"
		size = 136
		refs = "0012 TBasePageItemsProducer.SetChildOrder 0022 TWebComponentList.IndexOf 002e @IntfClear 0043 Supports 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 43 70 E8 ?? ?? ?? ?? 85 C0 7C 2B 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0A 8B D7 8B 45 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 82 37 81 EB AE EE D2 11 AF B0 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_47817_0 {
	meta:
		name = "TPageItemsProducer.Create"
		size = 77
		refs = "000b @ClassCreate 0018 _Dn_TStringList 001d TStringList.Create 002e TBasePageItemsProducer.Create 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 84 00 00 00 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_47818_0 {
	meta:
		name = "TPageItemsProducer.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TBasePageItemsProducer.Destroy 001d TObject.Free 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47819_0 {
	meta:
		name = "TPageItemsProducer.GetTemplateStream"
		size = 132
		refs = "000c TPageItemsProducer.GetTemplateStream 002d _Dn_TFileStream 0032 TFileStream.Create 003b TEncoding.GetUTF8 0056 _Dn_TStringStream 005b TStringStream.Create 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 02 01 83 BB 80 00 00 00 00 74 18 6A 20 8B 8B 80 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 27 E8 ?? ?? ?? ?? 50 6A 01 8D 55 FC 8B 83 84 00 00 00 8B 08 FF 51 1C 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_47820_0 {
	meta:
		name = "TPageItemsProducer.SetHTMLFile"
		size = 52
		refs = "0011 AnsiCompareFileName 002d @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C9 8B D6 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 18 8B 83 84 00 00 00 8B 10 FF 52 44 8D 83 80 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47821_0 {
	meta:
		name = "TPageItemsProducer.SetHTMLDoc"
		size = 33
		refs = "001a @UStrClr"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 84 00 00 00 8B 08 FF 51 08 8D 86 80 00 00 00 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_47858_0 {
	meta:
		name = "TPowerPointApplication.Connect"
		size = 120
		refs = "000c TPowerPointApplication.Connect 002f TOleServer.ConnectEvents 0042 @IntfCast 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB F4 00 00 00 00 75 27 8D 55 FC 8B C3 8B 08 FF 51 44 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 83 F4 00 00 00 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 42 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47859_0 {
	meta:
		name = "TPowerPointApplication.ConnectTo"
		size = 99
		refs = "000e @IntfAddRef 0016 TPowerPointApplication.ConnectTo 0031 @IntfCopy 003e TOleServer.ConnectEvents 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 8D 83 F4 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 93 F4 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_47860_0 {
	meta:
		name = "TPowerPointApplication.Disconnect"
		size = 54
		refs = "0015 TOleServer.DisconnectEvents 0025 TPowerPointApplication.Quit 0030 @IntfClear"
	strings:
		$1 = { 53 8B D8 83 BB F4 00 00 00 00 74 28 8B 93 F4 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB F0 00 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8D 83 F4 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_47861_0 {
	meta:
		name = "TPowerPointApplication.GetDefaultInterface"
		size = 38
		refs = "001f @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB F4 00 00 00 00 75 07 8B C3 8B 10 FF 52 4C 8B C6 8B 93 F4 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47864_0 {
	meta:
		name = "TPowerPointApplication.InvokeEvent"
		size = 1580
		refs = "001e TPowerPointApplication.InvokeEvent 0102 @IntfCast 0510 @IntfClear 0529 SlideRange 0533 @FinalizeArray 053c _Presentation 054f SlideShowWindow 059d Selection 05ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 FA DA 07 00 00 7F 7A 0F 84 8E 02 00 00 81 FA D5 07 00 00 7F 46 0F 84 65 01 00 00 81 FA D2 07 00 00 7F 20 0F 84 C4 00 00 00 83 EA FF 0F 84 A4 04 00 00 81 EA D2 07 00 00 0F 84 82 00 00 00 E9 93 04 00 00 81 EA D3 07 00 00 0F 84 D1 00 00 00 4A 0F 84 FD 00 00 00 E9 7B 04 00 00 81 EA D6 07 00 00 0F 84 46 01 00 00 4A 0F 84 75 01 00 00 4A 0F 84 A4 01 00 00 4A 0F 84 D3 01 00 00 E9 55 04 00 00 81 C2 25 F8 FF FF 83 FA 08 0F 87 46 04 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 16 04 00 00 66 83 7B 5A 00 0F 84 0B 04 00 00 8D 45 FC 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B D3 8B 43 5C FF 53 58 E9 E9 03 00 00 66 83 7B 62 00 0F 84 DE 03 00 00 8B 06 8B 40 18 50 8D 45 F8 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 43 64 FF 53 60 E9 B6 03 00 00 66 83 7B 6A 00 0F 84 AB 03 00 00 8B 06 8B 40 18 50 8D 45 F4 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B D3 8B 43 6C FF 53 68 E9 83 03 00 00 66 83 7B 72 00 0F 84 78 03 00 00 8D 45 F0 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8B D3 8B 43 74 FF 53 70 E9 56 03 00 00 66 83 7B 7A 00 0F 84 4B 03 00 00 8D 45 EC 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC 8B D3 8B 43 7C FF 53 78 E9 29 03 00 00 66 83 BB 82 00 00 00 00 0F 84 1B 03 00 00 8D 45 E8 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 8B D3 8B 83 84 00 00 00 FF 93 80 00 00 00 E9 F3 02 00 00 66 83 BB 8A 00 00 00 00 0F 84 E5 02 00 00 8D 45 E4 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8B D3 8B 83 8C 00 00 00 FF 93 88 00 00 00 E9 BD 02 00 00 66 83 BB 92 00 00 00 00 0F 84 AF 02 00 00 8D 45 E0 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 8B D3 8B 83 94 00 00 00 FF 93 90 00 00 00 E9 87 02 00 00 66 83 BB 9A 00 00 00 00 0F 84 79 02 00 00 8D 45 DC 8B 16 8B 52 18 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8D 45 D8 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 8B D3 8B 83 9C 00 00 00 FF 93 98 00 00 00 E9 3B 02 00 00 66 83 BB A2 00 00 00 00 0F 84 2D 02 00 00 8D 45 D4 8B 16 8B 52 18 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 50 8D 45 D0 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 8B D3 8B 83 A4 00 00 00 FF 93 A0 00 00 00 E9 EF 01 00 00 66 83 BB AA 00 00 00 00 0F 84 E1 01 00 00 8D 45 CC 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC 8B D3 8B 83 AC 00 00 00 FF 93 A8 00 00 00 E9 B9 01 00 00 66 83 BB B2 00 00 00 00 0F 84 AB 01 00 00 8D 45 C8 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 8B D3 8B 83 B4 00 00 00 FF 93 B0 00 00 00 E9 83 01 00 00 66 83 BB BA 00 00 00 00 0F 84 75 01 00 00 8D 45 C4 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 8B D3 8B 83 BC 00 00 00 FF 93 B8 00 00 00 E9 4D 01 00 00 66 83 BB C2 00 00 00 00 0F 84 3F 01 00 00 8D 45 C0 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 8B D3 8B 83 C4 00 00 00 FF 93 C0 00 00 00 E9 17 01 00 00 66 83 BB CA 00 00 00 00 0F 84 09 01 00 00 8D 45 BC 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC 8B D3 8B 83 CC 00 00 00 FF 93 C8 00 00 00 E9 E1 00 00 00 66 83 BB D2 00 00 00 00 0F 84 D3 00 00 00 8D 45 B8 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 8B D3 8B 83 D4 00 00 00 FF 93 D0 00 00 00 E9 AB 00 00 00 66 83 BB DA 00 00 00 00 0F 84 9D 00 00 00 8D 45 B4 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B4 8B D3 8B 83 DC 00 00 00 FF 93 D8 00 00 00 EB 78 66 83 BB E2 00 00 00 00 74 6E 8B 06 8B 40 18 50 8D 45 B0 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B0 8B D3 8B 83 E4 00 00 00 FF 93 E0 00 00 00 EB 43 66 83 BB EA 00 00 00 00 74 39 8D 45 AC 8B 16 8B 52 18 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC 50 8D 45 A8 8B 16 8B 52 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A8 8B D3 8B 83 EC 00 00 00 FF 93 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 56 FF FF FF 5E 5B 8B E5 5D C3 54 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B 9D 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B 6A 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B 57 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B 53 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B 6B 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B DF 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47910_0 {
	meta:
		name = "TPowerPointApplication.Get_FileDialog"
		size = 99
		refs = "0012 TPowerPointApplication.Get_FileDialog 001f @IntfClear 002b TPowerPointApplication.GetDefaultInterface 003c @CheckAutoResult 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 50 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 F4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47911_0 {
	meta:
		name = "TPowerPointApplication.Get_DisplayGridLines"
		size = 100
		refs = "0013 TPowerPointApplication.Get_DisplayGridLines 0027 TPowerPointApplication.GetDefaultInterface 0038 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 F8 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47912_0 {
	meta:
		name = "TPowerPointApplication.Set_DisplayGridLines"
		size = 87
		refs = "000f TPowerPointApplication.Set_DisplayGridLines 0020 TPowerPointApplication.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 FC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 59 5D C3 }
	condition:
		$1
}

rule function_47913_0 {
	meta:
		name = "TPowerPointApplication.Get_AutomationSecurity"
		size = 100
		refs = "0013 TPowerPointApplication.Get_AutomationSecurity 0027 TPowerPointApplication.GetDefaultInterface 0038 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 00 01 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47914_0 {
	meta:
		name = "TPowerPointApplication.Set_AutomationSecurity"
		size = 87
		refs = "000f TPowerPointApplication.Set_AutomationSecurity 0020 TPowerPointApplication.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 04 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 59 5D C3 }
	condition:
		$1
}

rule function_47916_0 {
	meta:
		name = "TPowerPointApplication.Get_DisplayAlerts"
		size = 100
		refs = "0013 TPowerPointApplication.Get_DisplayAlerts 0027 TPowerPointApplication.GetDefaultInterface 0038 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 0C 01 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47917_0 {
	meta:
		name = "TPowerPointApplication.Set_DisplayAlerts"
		size = 87
		refs = "000f TPowerPointApplication.Set_DisplayAlerts 0020 TPowerPointApplication.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 10 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 59 5D C3 }
	condition:
		$1
}

rule function_47918_0 {
	meta:
		name = "TPowerPointApplication.Get_ShowStartupDialog"
		size = 100
		refs = "0013 TPowerPointApplication.Get_ShowStartupDialog 0027 TPowerPointApplication.GetDefaultInterface 0038 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 14 01 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47920_0 {
	meta:
		name = "TPowerPointApplication.Get_AutoCorrect"
		size = 94
		refs = "000f TPowerPointApplication.Get_AutoCorrect 001c @IntfClear 0027 TPowerPointApplication.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 20 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47921_0 {
	meta:
		name = "TPowerPointApplication.Get_Options"
		size = 94
		refs = "000f TPowerPointApplication.Get_Options 001c @IntfClear 0027 TPowerPointApplication.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 24 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47929_0 {
	meta:
		name = "TPowerPointApplication.SetPerfMarker"
		size = 87
		refs = "000f TPowerPointApplication.SetPerfMarker 0020 TPowerPointApplication.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 1C 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_47932_0 {
	meta:
		name = "CoPowerRex.Create"
		size = 100
		refs = "000c CoPowerRex.Create 001a CLASS_PowerRex 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 D3 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47933_0 {
	meta:
		name = "CoPowerRex.CreateRemote"
		size = 128
		refs = "0011 CoPowerRex.CreateRemote 0021 @WStrFromUStr 002c CLASS_PowerRex 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 D3 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47935_0 {
	meta:
		name = "TPowerRex.Connect"
		size = 104
		refs = "000c TPowerRex.Connect 0032 @IntfCast 0047 @IntfClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 58 00 75 1A 8D 55 FC 8B C3 8B 08 FF 51 44 8D 43 58 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 D3 34 49 91 91 5A CF 11 87 00 00 AA 00 60 26 3B }
	condition:
		$1
}

rule function_47941_0 {
	meta:
		name = "TPowerRex.OnAsfEncoderEvent"
		size = 167
		refs = "0026 @VarAddRef 0036 TPowerRex.OnAsfEncoderEvent 005e TPowerRex.GetDefaultInterface 006c @CheckAutoResult 0081 @IntfClear 008a OleVariant 0094 @FinalizeArray 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 8B F1 8D 7D E0 A5 A5 A5 A5 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47944_0 {
	meta:
		name = "TWebRequestFiles.Add"
		size = 55
		refs = "001e _DV_TWebRequestFile 0023 TWebRequestFile.Create 002c TWebRequestFiles.Add"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 57 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_47946_0 {
	meta:
		name = "TWebRequestFiles.Create"
		size = 70
		refs = "000a @ClassCreate 0017 _Dn_TObjectList 001c TObjectList.Create 0028 TObject.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47949_0 {
	meta:
		name = "TWebRequestFiles.GetItem"
		size = 34
		refs = "000c TList.Get 0016 _Dn_TAbstractWebRequestFile 001b @AsClass"
	strings:
		$1 = { 53 56 8B 58 04 8B F2 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98477_0 {
	meta:
		name = "TScriptErrors.GetError"
		size = 34
		refs = "000c TList.Get 0016 _Dn_TAbstractScriptError 001b @AsClass"
	strings:
		$1 = { 53 56 8B 58 04 8B F2 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_47950_0 {
	meta:
		name = "TWebRequestFile.Create"
		size = 117
		refs = "000e @ClassCreate 001e @LStrAsg 0042 _DV_TWebRequestFileStream 0047 TWebRequestFileStream.Create 0053 TObject.Create 005e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8D 47 08 8B 55 14 E8 ?? ?? ?? ?? 8D 47 10 8B 55 10 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_47956_0 {
	meta:
		name = "TWebRequestFileStream.Create"
		size = 71
		refs = "000d @ClassCreate 001d TCustomMemoryStream.SetPointer 0026 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D1 8B C6 8B 4D 08 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_47960_0 {
	meta:
		name = "IsMultipartForm"
		size = 168
		refs = "000f IsMultipartForm 003a @LStrCopy 0042 @LStrToPChar 005b CompareStringA 007d @LStrArrayClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 4D F8 BA 0F 00 00 00 8B C3 8B 18 FF 53 04 8B 45 F8 B9 13 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 BE ?? ?? ?? ?? 6A FF 56 6A FF 53 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 85 C0 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 00 00 00 6D 75 6C 74 69 70 61 72 74 2F 66 6F 72 6D 2D 64 61 74 61 00 }
	condition:
		$1
}

rule function_47962_0 {
	meta:
		name = "TMultipartContentParser.BufferContent"
		size = 294
		refs = "0016 TMultipartContentParser.BufferContent 0056 @LStrAsg 0061 TWebRequest.GetContent 00ac @LStrSetLength 00b4 @LStrToPChar 010c @UStrClr 0114 @LStrClr 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 10 00 00 00 8B 43 04 8B 08 FF 51 0C 85 C0 0F 8E C6 00 00 00 83 7B 10 00 0F 85 BC 00 00 00 8D 4D F4 BA 19 00 00 00 8B 43 04 8B 30 FF 56 04 8B 55 F4 8D 43 10 E8 ?? ?? ?? ?? 8D 55 F0 8B 43 04 E8 ?? ?? ?? ?? 8B 45 F0 89 45 EC 8B 75 EC 85 F6 74 05 83 EE 04 8B 36 BA 10 00 00 00 8B 43 04 8B 08 FF 51 0C 3B F0 7D 73 8B 43 10 85 C0 74 05 83 E8 04 8B 00 89 45 FC BA 10 00 00 00 8B 43 04 8B 08 FF 51 0C 8B D0 8D 43 10 33 C9 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 03 45 FC 89 45 F8 EB 29 BA 10 00 00 00 8B 43 04 8B 08 FF 51 0C 8B C8 2B 4D FC 8B 55 F8 8B 43 04 8B 30 FF 56 1C 8B F0 85 F6 7E 18 01 75 FC 01 75 F8 BA 10 00 00 00 8B 43 04 8B 08 FF 51 0C 3B 45 FC 7F C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47963_0 {
	meta:
		name = "TMultipartContentParser.ExtractMultipartContentFields"
		size = 36
		refs = "0017 TMultipartContentParser.BufferContent 001e TMultipartContentParser.ParseMultiPartContent"
	strings:
		$1 = { 53 8B D8 BA 10 00 00 00 8B 43 04 8B 08 FF 51 0C 85 C0 7E 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_47964_0 {
	meta:
		name = "TMultipartContentParser.ExtractContentTypeFields"
		size = 164
		refs = "000f TMultipartContentParser.ExtractContentTypeFields 003c ExtractHeaderFields 0051 @LStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA 0F 00 00 00 8B 43 04 8B 18 FF 53 04 56 6A 01 6A 01 8B 4D FC BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_47965_0 {
	meta:
		name = "FindBoundaries"
		size = 304
		refs = "001b FindBoundaries 0034 Pos 0056 @UniqueStringA 006b :TMultipartContentParser.:1 0070 @DynArraySetLength 0082 TMultipartBoundaries 00b7 @DynArrayHigh 00f4 @DynArrayAsg 010f @DynArrayClear 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 08 8B 40 FC 8B 50 10 8B 45 F4 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 75 8B 45 08 8B 40 FC 8B 40 10 0F B6 5C 38 FF 8B 45 08 8B 40 FC 83 C0 10 E8 ?? ?? ?? ?? C6 44 38 FF 00 46 56 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 88 5C 30 FF 8B 45 FC 89 7C B0 FC 8B 45 08 8B 40 FC 8B 50 10 8B 45 F4 E8 ?? ?? ?? ?? 8B F8 85 FF 7F 8B 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 7C 26 46 33 DB 8B 45 08 8B 40 FC 83 C0 10 E8 ?? ?? ?? ?? 8B 55 FC 8B 14 9A 8B 4D F8 0F B6 0C 19 88 4C 10 FF 43 4E 75 DD 8B 45 F0 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_47966_0 {
	meta:
		name = "TMultipartContentParser.ParseMultiPartContent"
		size = 416
		refs = "0015 TMultipartContentParser.ParseMultiPartContent 002b TMultipartBoundaries 0030 @DynArraySetLength 003a _Dn_TStringList 003f TStringList.Create 005b TMultipartContentParser.ExtractContentTypeFields 006b TStrings.GetValue 007b @LStrFromUStr 0091 @LStrCat3 00a6 TObject.Free 00ac @HandleFinally 00c0 FindBoundaries 00d2 @DynArrayAsg 00da @DynArrayHigh 0107 @UniqueStringA 011c TMultipartContentParser.ParseMultiPart 013d @DynArrayClear 0145 @UStrClr 014d @LStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? 83 7D F4 00 74 10 8D 45 F4 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D F4 00 74 6E 55 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 59 8B 55 E4 8D 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 48 85 C0 7C 43 40 89 45 EC 33 DB 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 8B 34 9A 03 F0 83 C6 02 8B 45 FC 83 C0 10 E8 ?? ?? ?? ?? 8D 54 30 FF 8B 45 F8 8B 4C 98 04 2B CE 8B 45 FC E8 ?? ?? ?? ?? 43 FF 4D EC 75 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 62 00 6F 00 75 00 6E 00 64 00 61 00 72 00 79 00 00 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 2D 2D 00 00 }
	condition:
		$1
}

rule function_47967_0 {
	meta:
		name = "SkipLine"
		size = 76
		refs = "0009 SkipLine 001d THTTPParser.CopyToEOL 0028 THTTPParser.SkipEOL 003d @LStrClr 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_47968_0 {
	meta:
		name = "TrimLeft"
		size = 71
		refs = "003d @LStrCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 FC 8B F0 89 75 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 BB 01 00 00 00 EB 01 43 3B C3 7C 07 80 7C 1E FF 20 76 F4 8B 45 FC 50 B9 FF FF FF 7F 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_47969_0 {
	meta:
		name = "ParseContentType"
		size = 170
		refs = "000d ParseContentType 001e THTTPParser.NextToken 004c THTTPParser.CopyToEOL 0057 TrimLeft 0065 @LStrLAsg 009a @LStrArrayClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 78 2D 3A 75 0B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 83 78 F8 00 75 29 8D 55 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 83 C0 F8 E8 ?? ?? ?? ?? EB 0E 8D 55 F4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_47970_0 {
	meta:
		name = "ExtractContentDispositionFields"
		size = 360
		refs = "000d ExtractContentDispositionFields 0021 @LStrLAsg 0028 _Dn_TStringList 002d TStringList.Create 0058 ExtractHeaderFields 0068 TStrings.GetValue 007b @LStrFromUStr 00b3 TObject.Free 00b9 @HandleFinally 00d5 @UStrArrayClr 00dd @LStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 8B 52 F4 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 6A 01 6A 01 8B 4D FC BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 83 C0 F0 B9 00 00 00 00 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 83 C0 EC B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 66 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_47971_0 {
	meta:
		name = "ParseContentDisposition"
		size = 180
		refs = "000d ParseContentDisposition 001e THTTPParser.NextToken 004c THTTPParser.CopyToEOL 0057 TrimLeft 0065 @LStrLAsg 0089 ExtractContentDispositionFields 00a4 @LStrArrayClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 78 2D 3A 75 0B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 83 78 F4 00 75 29 8D 55 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 83 C0 F4 E8 ?? ?? ?? ?? EB 0E 8D 55 F4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_47972_0 {
	meta:
		name = "TMultipartContentParser.ParseMultipartHeaders"
		size = 324
		refs = "0021 TMultipartContentParser.ParseMultipartHeaders 0040 ParseContentType 0049 ParseContentDisposition 0052 SkipLine 007b _Dn_TWebRequestFiles 0080 TWebRequestFiles.Create 009d TWebRequestFiles.Add 00ad @LStrClr 00c5 @LStrFromPCharLen 00dd @LStrCatN 00e8 @UStrFromLStr 0110 @UStrClr 011d @LStrArrayClr 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2A 80 EB 05 74 30 80 EB 0A 74 07 80 EB 0E 74 0B EB 12 55 E8 ?? ?? ?? ?? 59 EB 10 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC 0F B6 58 2D 84 DB 75 CB 83 7D F0 00 0F 84 8B 00 00 00 83 7D EC 00 74 31 83 7E 0C 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B 45 F8 50 57 8B 45 08 83 E8 02 50 8B 4D EC 8B 55 F0 8B 46 0C E8 ?? ?? ?? ?? EB 54 83 7D F8 00 75 4E 8D 45 E8 E8 ?? ?? ?? ?? 83 7D 08 00 7E 12 6A 00 8B 4D 08 83 E9 02 8D 45 E8 8B D7 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 75 E8 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 46 08 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 04 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_47973_0 {
	meta:
		name = "TMultipartContentParser.ParseMultiPart"
		size = 200
		refs = "0011 TMultipartContentParser.ParseMultiPart 0018 StrPos 0031 _Dn_TWebRequestFileStream 0036 TWebRequestFileStream.Create 0051 _Dn_THTTPParser 0056 THTTPParser.Create 007c TMultipartContentParser.ParseMultipartHeaders 0091 TObject.Free 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F8 8B DA 89 45 FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 96 00 00 00 8B F0 2B F3 83 C6 04 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 2B C6 50 8B CB 03 CE 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 0D 0A 0D 0A 00 00 00 00 }
	condition:
		$1
}

rule function_47974_0 {
	meta:
		name = "TMultipartContentParser.GetContentFields"
		size = 61
		refs = "000c _Dn_TStringList 0011 TStringList.Create 001c IsMultipartForm 0027 TMultipartContentParser.ExtractMultipartContentFields 0034 TWebRequest.ExtractContentFields"
	strings:
		$1 = { 53 8B D8 83 7B 08 00 75 2F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 0B 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 8B 43 08 5B C3 }
	condition:
		$1
}

rule function_47975_0 {
	meta:
		name = "TMultipartContentParser.GetFiles"
		size = 35
		refs = "0012 _Dn_TWebRequestFiles 0017 TWebRequestFiles.Create"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 12 83 7B 0C 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 8B 43 0C 5B C3 }
	condition:
		$1
}

rule function_47981_0 {
	meta:
		name = "TSocketDispatcherThread.Create"
		size = 146
		refs = "000f @ClassCreate 0024 @UStrAsg 0043 EncodeTime 004c Now 006d TServerClientThread.Create 007a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F8 8B 75 10 8D 47 64 8B 55 14 E8 ?? ?? ?? ?? 6A 00 8B C6 B9 3C 00 00 00 99 F7 F9 52 8B C6 B9 3C 00 00 00 99 F7 F9 33 C9 5A E8 ?? ?? ?? ?? DD 5F 70 9B E8 ?? ?? ?? ?? DD 5F 68 9B 0F B6 45 0C 88 47 78 0F B6 45 08 88 47 79 8B 45 18 50 8B CB 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_47982_0 {
	meta:
		name = "TSocketDispatcherThread.CreateServerTransport"
		size = 80
		refs = "000a _Dn_TSocketTransport 000f TSocketTransport.Create 0022 @UStrAsg 0032 TSocketDispatcherThread.CreateServerTransport 0037 @IntfCast"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 46 40 89 43 20 8D 43 24 8B 56 64 E8 ?? ?? ?? ?? 8B C7 8B D3 85 D2 74 03 83 EA F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 00 C1 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_47986_0 {
	meta:
		name = "TSocketDispatcherThread._AddRef"
		size = 16
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 40 58 8B 40 58 5D C2 04 00 }
	condition:
		$1
}

rule function_47987_0 {
	meta:
		name = "TSocketDispatcherThread._Release"
		size = 16
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 48 58 8B 40 58 5D C2 04 00 }
	condition:
		$1
}

rule function_47988_0 {
	meta:
		name = "TSocketDispatcherThread.Send"
		size = 87
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8B 75 0C 8B 45 10 50 8B 46 60 50 8B 00 FF 50 1C 80 7D 14 00 74 33 6A 00 6A 01 8B 46 60 50 53 8B 00 FF 50 18 83 3B 00 74 20 8B 03 50 8B 00 FF 50 20 25 00 DB 00 00 3D 00 DB 00 00 74 0C 8B 13 8B 46 5C 8B 08 FF 51 38 EB CD 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_47989_0 {
	meta:
		name = "TSocketDispatcherThread.ClientExecute"
		size = 816
		refs = "001b TSocketDispatcherThread.ClientExecute 0028 CoInitialize 003f TSocketDispatcherThread.AddClient 0047 TThread.Synchronize 0060 @IntfCopy 0094 PeekMessage 009c @IntfClear 00ab TObject.GetInterface 00c3 _Dn_TDataBlockInterpreter 00c8 TDataBlockInterpreter.Create 014b MsgWaitForMultipleObjects 016b WSAResetEvent 0192 Now 01c6 DispatchMessage 0223 @HandleAnyException 0236 @DoneExcept 026b TObject.Free 0279 @HandleFinally 02ad CoUninitialize 02b6 TSocketDispatcherThread.RemoveClient"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 D2 89 55 CC 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 50 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 F4 8B 08 FF 51 1C 8B 55 CC 8B 45 F4 83 C0 60 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 60 50 8B 00 FF 50 0C 89 45 F0 6A 00 68 00 04 00 00 68 00 04 00 00 6A 00 8D 45 D0 50 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 80 78 78 00 74 1C 68 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 42 5C EB 17 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 42 5C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 DD 40 70 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0C C7 45 EC FF FF FF FF E9 1B 01 00 00 C7 45 EC 60 EA 00 00 E9 0F 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 BF 04 00 00 8B 45 EC 50 6A 00 8D 45 F0 50 6A 01 E8 ?? ?? ?? ?? 83 E8 01 72 12 74 74 2D 01 01 00 00 0F 84 80 00 00 00 E9 B2 00 00 00 8B 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 6A 00 6A 00 8B 45 F4 8B 40 60 50 8D 55 FC 52 8B 00 FF 50 18 83 7D FC 00 0F 84 87 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 DD 58 68 9B 8B 45 F4 8B 40 5C 8B 55 FC 8B 08 FF 51 38 8D 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 DD 58 68 9B EB 57 8D 45 D0 50 E8 ?? ?? ?? ?? 6A 01 6A 00 6A 00 6A 00 8D 45 D0 50 E8 ?? ?? ?? ?? 85 C0 75 E2 EB 37 8B 45 F4 DD 40 70 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 25 E8 ?? ?? ?? ?? 8B 45 F4 DC 60 68 8B 45 F4 DC 58 70 9B DF E0 9E 76 0E 6A 00 8B 45 F4 8B 40 60 50 8B 00 FF 50 14 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 6A 00 8B 45 F4 8B 40 60 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8B 45 F4 80 78 0D 00 75 14 8B 45 F4 8B 40 60 50 8B 00 FF 50 10 84 C0 0F 85 D4 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 5C E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 50 5C C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 83 C0 60 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 43 10 AD 87 0E 47 D1 11 88 D5 00 A0 24 8E 50 91 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 6F 00 63 00 6B 00 65 00 74 00 73 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_47990_0 {
	meta:
		name = "TSocketDispatcher.Create"
		size = 75
		refs = "000a @ClassCreate 0017 TServerSocket.Create 0020 TCustomServerSocket.SetServerType 0026 TSocketDispatcher.GetThread 002d TCustomServerSocket.SetGetThreadEvent 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_47991_0 {
	meta:
		name = "TSocketDispatcher.GetThread"
		size = 122
		refs = "000e TSocketDispatcher.GetThread 0028 SocketForm 004c _DV_TSocketDispatcherThread 0051 TSocketDispatcherThread.Create 0065 @HandleAnyException 006a Abort 006f @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 83 A0 00 00 00 50 8B 83 A4 00 00 00 50 A1 ?? ?? ?? ?? 8B 80 54 04 00 00 0F B6 40 71 50 A1 ?? ?? ?? ?? 8B 80 5C 04 00 00 0F B6 40 71 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_47992_0 {
	meta:
		name = "TSocketDispatcher.ReadSettings"
		size = 392
		refs = "0014 TSocketDispatcher.ReadSettings 002c @UStrLAsg 0040 TRegIniFile.ReadInteger 0049 TAbstractSocket.SetPort 0055 IntToStr 0078 TCustomServerSocket.SetThreadCacheSize 008d TRegIniFile.ReadString 009b @UStrAsg 00cc @UStrArrayClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FF FF 75 2C 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 D3 00 00 00 B9 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 13 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 6A 0A B9 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 6A 00 8D 45 F8 50 B9 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 83 A0 00 00 00 E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 89 83 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 65 00 74 00 74 00 69 00 6E 00 67 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 68 00 72 00 65 00 61 00 64 00 43 00 61 00 63 00 68 00 65 00 53 00 69 00 7A 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 6E 00 74 00 65 00 72 00 63 00 65 00 70 00 74 00 47 00 55 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 }
	condition:
		$1
}

rule function_47993_0 {
	meta:
		name = "TSocketDispatcher.WriteSettings"
		size = 292
		refs = "000f TSocketDispatcher.WriteSettings 0020 IntToStr 0033 TRegIniFile.WriteInteger 003a TCustomServerSocket.GetThreadCacheSize 0060 TRegIniFile.WriteString 008b @UStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 3C E8 ?? ?? ?? ?? 8B 43 3C 50 B9 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 83 A0 00 00 00 50 B9 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 83 A4 00 00 00 50 B9 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 68 00 72 00 65 00 61 00 64 00 43 00 61 00 63 00 68 00 65 00 53 00 69 00 7A 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 6E 00 74 00 65 00 72 00 63 00 65 00 70 00 74 00 47 00 55 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 }
	condition:
		$1
}

rule function_47996_0 {
	meta:
		name = "TSocketService.CreateNew"
		size = 228
		refs = "000d @ClassCreate 001e TService.CreateNew 002b TService.SetInteractive 0033 TSocketService.CreateNew 0038 @UStrAsg 0054 TSocketService.Start 005a TSocketService.Stop 0061 TService.SetOnStop 006c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 61 00 B2 01 8B C6 E8 ?? ?? ?? ?? 8D 46 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 89 B6 EC 00 00 00 C7 86 E8 00 00 00 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 20 00 53 00 6F 00 63 00 6B 00 65 00 74 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 6F 00 63 00 6B 00 65 00 74 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_47997_0 {
	meta:
		name = "TSocketService.Start"
		size = 33
		refs = "000d SocketForm 0012 TWinControl.GetHandle 0018 PostMessage"
	strings:
		$1 = { 53 8B D9 6A 00 6A 01 68 02 04 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 03 01 5B C3 }
	condition:
		$1
}

rule function_47998_0 {
	meta:
		name = "TSocketService.Stop"
		size = 30
		refs = "000a SocketForm 000f TWinControl.GetHandle 0015 PostMessage"
	strings:
		$1 = { 53 8B D9 6A 00 6A 00 6A 12 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 03 01 5B C3 }
	condition:
		$1
}

rule function_47999_0 {
	meta:
		name = "TSocketForm.FormCreate"
		size = 64
		refs = "0004 LoadWinSock2 000e SNoWinSock2 0015 _Dn_Exception 001a Exception.CreateRes 001f @RaiseExcept"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 20 08 00 00 00 C7 83 24 08 00 00 FF FF FF FF C7 83 28 08 00 00 FF FF FF FF 5B C3 }
	condition:
		$1
}

rule function_48000_0 {
	meta:
		name = "TSocketForm.WndProc"
		size = 42
		refs = "0013 TSocketForm.AddIcon 001a TControl.Refresh 0023 TCustomForm.WndProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 06 3B 83 60 04 00 00 75 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48001_0 {
	meta:
		name = "TSocketForm.UpdateTimerTimer"
		size = 72
		refs = "0006 TSocketForm.UpdateTimerTimer 000b FindWindow 0029 TSocketForm.AddIcon 0030 TControl.Refresh"
	strings:
		$1 = { 53 8B D8 6A 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 95 C0 3A 83 21 08 00 00 74 18 88 83 21 08 00 00 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 50 00 72 00 6F 00 67 00 6D 00 61 00 6E 00 00 00 }
	condition:
		$1
}

rule function_48002_0 {
	meta:
		name = "TSocketForm.CheckValues"
		size = 131
		refs = "0010 TSocketForm.CheckValues 0024 TControl.GetText 002c StrToInt 0072 @UStrArrayClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F4 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48003_0 {
	meta:
		name = "TSocketForm.GetItemIndex"
		size = 7
	strings:
		$1 = { 8B 80 24 08 00 00 C3 }
	condition:
		$1
}

rule function_48004_0 {
	meta:
		name = "TSocketForm.SetItemIndex"
		size = 376
		refs = "001f TSocketForm.SetItemIndex 003f @CallDynaInst 004e @HandleAnyException 006d @RaiseAgain 0072 @DoneExcept 00db TCustomUpDown.SetPosition 00e2 TCustomServerSocket.GetThreadCacheSize 0106 TControl.SetText 0122 TSocketForm.ClearModifications"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC 3B 98 24 08 00 00 0F 84 57 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B B0 28 04 00 00 80 7E 72 00 74 0B 8B C6 66 BE F0 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 8B 45 FC 8B 90 24 08 00 00 8B 45 FC 8B 80 44 04 00 00 8B 08 FF 91 FC 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FB FF 75 02 33 DB 8B 45 FC 8B 80 44 04 00 00 8B D3 8B 08 FF 91 FC 00 00 00 8B 45 FC 8B 80 44 04 00 00 8B 10 FF 92 F8 00 00 00 8B F0 8B 45 FC 89 B0 24 08 00 00 83 FE FF 0F 95 C3 84 DB 74 70 8B D6 8B 45 FC 8B 80 44 04 00 00 8B 80 88 02 00 00 8B 08 FF 51 18 8B F0 8B 56 3C 8B 45 FC 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 96 A0 00 00 00 8B 45 FC 8B 80 1C 04 00 00 E8 ?? ?? ?? ?? 8B 96 A4 00 00 00 8B 45 FC 8B 80 14 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C8 03 00 00 8B D3 8B 08 FF 91 80 00 00 00 8B 45 FC 8B 80 DC 03 00 00 8B D3 8B 08 FF 91 80 00 00 00 8B 45 FC 8B 80 10 04 00 00 8B D3 8B 08 FF 91 80 00 00 00 8B 45 FC 8B 80 1C 04 00 00 8B D3 8B 08 FF 91 80 00 00 00 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48005_0 {
	meta:
		name = "TSocketForm.GetSelectedSocket"
		size = 31
		refs = "0006 TSocketForm.GetItemIndex"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 44 04 00 00 8B 80 88 02 00 00 8B 08 FF 51 18 5B C3 }
	condition:
		$1
}

rule function_48006_0 {
	meta:
		name = "TSocketForm.UIInitialize"
		size = 13
		refs = "0008 TSocketForm.Initialize"
	strings:
		$1 = { 83 7A 04 00 0F 95 C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48007_0 {
	meta:
		name = "IE4Installed"
		size = 212
		refs = "0016 IE4Installed 0020 RegOpenKeyEx 0048 RegQueryValueEx 0064 RegCloseKey 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 C6 45 FF 00 8D 45 F8 50 68 19 00 02 00 6A 00 68 ?? ?? ?? ?? 68 02 00 00 80 E8 ?? ?? ?? ?? 85 C0 75 48 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 6A 00 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 85 C0 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 0F B6 45 FF 59 59 5D C3 53 00 4F 00 46 00 54 00 57 00 41 00 52 00 45 00 5C 00 4D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 5C 00 49 00 6E 00 74 00 65 00 72 00 6E 00 65 00 74 00 20 00 45 00 78 00 70 00 6C 00 6F 00 72 00 65 00 72 00 00 00 00 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_48008_0 {
	meta:
		name = "TSocketForm.Initialize"
		size = 236
		refs = "000d Win32MajorVersion 0017 Win32Platform 0036 SServiceOnly 003d _Dn_Exception 0042 Exception.CreateRes 0047 @RaiseExcept 004e TSocketForm.Initialize 005b TCustomForm.SetBorderIcons 0064 TCustomForm.SetBorderStyle 006b TSocketForm.ReadSettings 007c TMenuItem.SetVisible 0090 TSocketForm.UpdateStatus 0097 TSocketForm.AddIcon 009c IE4Installed 00aa RegisterWindowMessage 00c0 TTimer.SetEnabled"
	strings:
		$1 = { 53 56 8B DA 8B F0 88 9E 22 08 00 00 A1 ?? ?? ?? ?? 83 38 03 7F 0A A1 ?? ?? ?? ?? 83 38 02 74 04 33 C0 EB 02 B0 01 88 86 23 08 00 00 84 C0 74 38 84 DB 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 0A 96 A0 02 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 DB 74 1A 33 D2 8B 86 94 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 86 98 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 60 04 00 00 5E 5B C3 B2 01 8B 86 A0 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 02 00 00 00 54 00 61 00 73 00 6B 00 62 00 61 00 72 00 43 00 72 00 65 00 61 00 74 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_48009_0 {
	meta:
		name = "TSocketForm.FormCloseQuery"
		size = 316
		refs = "0017 TSocketForm.FormCloseQuery 0034 TTimer.SetEnabled 0060 @CallDynaInst 008c TListItems.GetCount 00a2 SErrClose 00a7 LoadResString 00c3 MessageDlgPosHelp 00cd @TryFinallyExit 00d7 TSocketForm.WriteSettings 010e @HandleFinally 0125 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 89 4D F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 A0 03 00 00 0F B6 50 48 88 55 F3 33 D2 E8 ?? ?? ?? ?? 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 8B 45 F4 C6 00 00 8B 45 F8 8B 80 28 04 00 00 80 78 72 00 74 09 66 BE F0 FF E8 ?? ?? ?? ?? 8B 45 F8 80 B8 20 08 00 00 00 74 63 8B 45 F8 80 B8 22 08 00 00 00 75 57 8B 45 F8 8B 80 F4 03 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 3F 8B 45 F8 C6 80 20 08 00 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 03 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? 83 F8 06 74 07 E8 ?? ?? ?? ?? EB 41 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 C6 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F3 00 74 18 8B 45 F4 80 38 00 75 10 8B 45 F8 8B 80 A0 03 00 00 B2 01 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 03 00 00 00 }
	condition:
		$1
}

rule function_48010_0 {
	meta:
		name = "TSocketForm.FormDestroy"
		size = 100
		refs = "000e TTimer.SetEnabled 0025 Shell_NotifyIcon 0058 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F0 33 D2 8B 86 A0 03 00 00 E8 ?? ?? ?? ?? 80 BE 23 08 00 00 00 75 0E 8D 86 64 04 00 00 50 6A 02 E8 ?? ?? ?? ?? 8B 86 44 04 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1F 43 33 FF 8B 86 44 04 00 00 8B 80 88 02 00 00 8B D7 8B 08 FF 51 18 E8 ?? ?? ?? ?? 47 4B 75 E4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48011_0 {
	meta:
		name = "TSocketForm.AddIcon"
		size = 172
		refs = "000d TSocketForm.AddIcon 002f TWinControl.GetHandle 0045 Application 0052 TIcon.GetHandle 0066 TControl.GetText 006e @UStrToPWChar 0078 StrCopy 0086 Shell_NotifyIcon 009b @UStrClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE 23 08 00 00 00 75 6A 8D 9E 64 04 00 00 C7 03 BC 03 00 00 8B C6 E8 ?? ?? ?? ?? 89 43 04 C7 43 08 DB DE 00 00 C7 43 0C 07 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 80 A4 00 00 00 E8 ?? ?? ?? ?? 89 43 14 C7 43 10 01 04 00 00 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 43 18 E8 ?? ?? ?? ?? 8D 86 64 04 00 00 50 6A 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48012_0 {
	meta:
		name = "CreateItem"
		size = 250
		refs = "0014 CreateItem 0023 _DV_TSocketDispatcher 0028 TSocketDispatcher.Create 003b TSocketDispatcher.ReadSettings 0049 IntToStr 007c TAbstractSocket.Open 008b @HandleOnException 0093 _Dn_Exception 00bc SOpenError 00c8 Exception.CreateResFmt 00cd @RaiseExcept 00d2 @DoneExcept 00e7 @UStrClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 45 08 8B 48 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 F8 8B 80 44 04 00 00 8B 80 88 02 00 00 8B 4D FC 8B 18 FF 53 3C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 4C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 FC 8B 40 3C 89 45 E8 C6 45 EC 00 8B 43 04 89 45 F0 C6 45 F4 11 8D 45 E8 50 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48013_0 {
	meta:
		name = "TSocketForm.ReadSettings"
		size = 604
		refs = "0018 TSocketForm.ReadSettings 0027 _Dn_TRegIniFile 002c TRegIniFile.Create 004a TRegistry.SetRootKey 0059 TRegistry.OpenKey 0060 _Dn_TStringList 0065 TStringList.Create 0081 TRegIniFile.ReadSections 00b8 CompareText 00d2 StrToInt 00d7 CreateItem 00f2 TSocketForm.SetItemIndex 0106 TRegIniFile.ReadBool 0116 TCustomAction.SetChecked 014f TObject.Free 0155 @HandleFinally 018e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 EC 89 55 F0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 02 00 00 80 8B 45 FC E8 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 48 7E 52 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4D 46 33 DB 8D 4D F0 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1C 55 8D 4D EC 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 43 4E 75 C2 EB 0A 55 83 C8 FF E8 ?? ?? ?? ?? 59 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 80 30 04 00 00 E8 ?? ?? ?? ?? 6A 01 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 80 54 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 5C 00 53 00 4F 00 46 00 54 00 57 00 41 00 52 00 45 00 5C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 5C 00 53 00 6F 00 63 00 6B 00 65 00 74 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 65 00 74 00 74 00 69 00 6E 00 67 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 68 00 6F 00 77 00 48 00 6F 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 65 00 67 00 69 00 73 00 74 00 65 00 72 00 65 00 64 00 4F 00 6E 00 6C 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_48014_0 {
	meta:
		name = "TSocketForm.WriteSettings"
		size = 584
		refs = "0015 TSocketForm.WriteSettings 0024 _Dn_TRegIniFile 0029 TRegIniFile.Create 0047 TRegistry.SetRootKey 0056 TRegistry.OpenKey 005d _Dn_TStringList 0062 TStringList.Create 007e TRegIniFile.ReadSections 00a8 TRegistry.DeleteKey 00c1 TObject.Free 00c7 @HandleFinally 0105 TSocketDispatcher.WriteSettings 0129 TRegIniFile.WriteBool 017b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 02 00 00 80 8B 45 F8 E8 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1F 43 33 F6 8D 4D F0 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 46 4B 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 44 04 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 8B D8 4B 85 DB 7C 25 43 33 F6 8B 45 FC 8B 80 44 04 00 00 8B 80 88 02 00 00 8B D6 8B 08 FF 51 18 8B 55 F8 E8 ?? ?? ?? ?? 46 4B 75 DE 8B 45 FC 8B 80 30 04 00 00 0F B6 40 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 54 04 00 00 0F B6 40 71 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 5C 00 53 00 4F 00 46 00 54 00 57 00 41 00 52 00 45 00 5C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 5C 00 53 00 6F 00 63 00 6B 00 65 00 74 00 20 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 68 00 6F 00 77 00 48 00 6F 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 65 00 74 00 74 00 69 00 6E 00 67 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 52 00 65 00 67 00 69 00 73 00 74 00 65 00 72 00 65 00 64 00 4F 00 6E 00 6C 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_48015_0 {
	meta:
		name = "TSocketForm.miCloseClick"
		size = 13
		refs = "0008 TCustomForm.Close"
	strings:
		$1 = { C6 80 20 08 00 00 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48016_0 {
	meta:
		name = "TSocketForm.WMMIDASIcon"
		size = 115
		refs = "001e TWinControl.GetHandle 0024 SetForegroundWindow 002a GetCursorPos 006b TSocketForm.miPropertiesClick"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B 42 08 2D 03 02 00 00 74 41 83 E8 02 75 5A 80 7B 61 00 75 27 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 54 E8 ?? ?? ?? ?? 8B 4C 24 04 8B 14 24 8B 83 90 03 00 00 8B 18 FF 53 50 EB 2D 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1E 80 7B 61 00 74 0F 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_48017_0 {
	meta:
		name = "TBaseEndUserAdapter.CanExecuteLogout"
		size = 9
		altNames = "TBaseEndUserAdapter.GetLoggedIn TCustomRibbon.MinimizeRibbonHandler TSocketForm.miPropertiesClick"
	strings:
		$1 = { 8B 10 FF 92 20 01 00 00 C3 }
	condition:
		$1
}

rule function_48018_0 {
	meta:
		name = "TSocketForm.FormShow"
		size = 31
		refs = "000f TPageControl.GetPage 0018 TPageControl.SetActivePage"
	strings:
		$1 = { 53 56 8B D8 33 D2 8B B3 B4 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48019_0 {
	meta:
		name = "TSocketForm.UpdateStatus"
		size = 140
		refs = "0015 TSocketForm.UpdateStatus 0027 SStatusline 002c LoadResString 0041 TListItems.GetCount 0053 Format 0061 TCustomStatusBar.SetSimpleText 007b @UStrArrayClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 83 F4 03 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 00 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 4C 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48020_0 {
	meta:
		name = "TSocketForm.AddClient"
		size = 346
		refs = "001b TSocketForm.AddClient 0035 TListItems.Add 003f TCustomWinSocket.GetLocalPort 0047 IntToStr 0051 TListItem.SetCaption 005c TCustomWinSocket.GetRemoteAddress 0081 TCustomWinSocket.GetRemoteHost 00aa SHostUnknown 00af LoadResString 00c9 SNotShown 00e1 _DV_TSocketDispatcherThread 00e6 @IsClass 0104 CurrencyString 0109 DateTimeToStr 011d TListItem.SetData 0125 TSocketForm.UpdateStatus 013f @UStrArrayClr 0147 @UStrClr 014d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 F4 03 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 46 40 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8B 46 40 E8 ?? ?? ?? ?? 8B 55 E8 8B 43 08 8B 08 FF 51 38 8B 45 F8 8B 80 30 04 00 00 80 78 71 00 74 4B 8D 55 E4 8B 46 40 E8 ?? ?? ?? ?? 8B 55 E4 8B 43 08 8B 08 FF 51 38 8D 4D E0 BA 01 00 00 00 8B 43 08 8B 38 FF 57 0C 83 7D E0 00 75 37 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC BA 01 00 00 00 8B 43 08 8B 38 FF 57 20 EB 18 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 43 08 8B 08 FF 51 38 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8B 46 68 89 45 F0 8B 46 6C 89 45 F4 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 8B 08 FF 51 38 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48021_0 {
	meta:
		name = "TSocketForm.RemoveClient"
		size = 40
		refs = "0012 TCustomListView.FindData 001b TObject.Free 0022 TSocketForm.UpdateStatus"
	strings:
		$1 = { 53 8B D8 6A 01 6A 00 8B CA 8B 83 F4 03 00 00 33 D2 E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_48022_0 {
	meta:
		name = "TSocketForm.miDisconnectClick"
		size = 276
		refs = "0015 TSocketForm.miDisconnectClick 0023 SQueryDisconnect 0028 LoadResString 0044 MessageDlgPosHelp 0055 TSocketForm.GetSelectedSocket 0066 TCustomWinSocket.Lock 0088 TListItems.GetCount 00a8 TListItems.GetItem 00b6 TListItem.GetState 00c5 TCustomWinSocket.Close 00de TCustomWinSocket.Unlock 00e4 @HandleFinally 00fb @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 03 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? 83 F8 07 0F 84 99 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 80 98 00 00 00 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 F4 03 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3A 46 33 FF 8B 45 F8 8B 80 F4 03 00 00 8B 80 A4 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 43 28 8B 40 40 E8 ?? ?? ?? ?? 47 4E 75 C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_48023_0 {
	meta:
		name = "TSocketForm.miExitClick"
		size = 22
		refs = "0006 TSocketForm.CheckValues"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 83 C0 02 00 00 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_48024_0 {
	meta:
		name = "TSocketForm.ApplyActionExecute"
		size = 352
		refs = "0015 TSocketForm.ApplyActionExecute 0022 TSocketForm.GetSelectedSocket 002f TServerWinSocket.GetActiveConnections 003b SErrChangeSettings 0040 LoadResString 0064 MessageDlgPosHelp 0074 TAbstractSocket.Close 0082 TControl.GetText 008a StrToInt 0093 TAbstractSocket.SetPort 00ac TSocketForm.GetItemIndex 00df TCustomServerSocket.SetThreadCacheSize 00fb @UStrAsg 011e TAbstractSocket.Open 0125 TSocketForm.ClearModifications 013f @UStrArrayClr 0147 @UStrClr 014d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 85 C0 7E 3A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 03 0F B7 15 ?? ?? ?? ?? 66 89 55 FA 33 D2 52 6A FF 6A FF 6A 00 8B D0 0F B7 4D FA 8B 45 FC E8 ?? ?? ?? ?? 83 F8 07 0F 84 B8 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 8B 45 F0 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 44 04 00 00 8B 80 88 02 00 00 59 8B 38 FF 57 20 8D 55 EC 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8D 55 E8 8B 83 1C 04 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 86 A0 00 00 00 E8 ?? ?? ?? ?? 8D 55 E4 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 89 86 A4 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_48025_0 {
	meta:
		name = "TSocketForm.ApplyActionUpdate"
		size = 82
		refs = "000a TCustomEdit.GetModified 004c TCustomAction.SetEnabled"
	strings:
		$1 = { 53 8B D8 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 84 C0 75 31 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 84 C0 75 22 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 84 C0 75 13 8B 83 1C 04 00 00 E8 ?? ?? ?? ?? 84 C0 75 04 33 D2 EB 02 B2 01 8B 83 28 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_48026_0 {
	meta:
		name = "TSocketForm.ClearModifications"
		size = 57
		refs = "000c TCustomEdit.SetModified"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 1C 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_48027_0 {
	meta:
		name = "TSocketForm.DisconnectActionUpdate"
		size = 35
		refs = "001d TCustomAction.SetEnabled"
	strings:
		$1 = { 53 8B D8 8B 83 F4 03 00 00 8B 10 FF 92 20 01 00 00 85 C0 0F 9F C2 8B 83 2C 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_48028_0 {
	meta:
		name = "TSocketForm.ShowHostActionExecute"
		size = 369
		refs = "0015 TSocketForm.ShowHostActionExecute 0030 TCustomAction.SetChecked 0044 TListItems.BeginUpdate 0066 TListItems.GetCount 0090 TListItems.GetItem 00af TCustomWinSocket.GetRemoteHost 00dd SHostUnknown 00e2 LoadResString 00fc SNotShown 013c TListItems.EndUpdate 0142 @HandleFinally 015e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 30 04 00 00 0F B6 50 71 80 F2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F4 03 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F4 03 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C AA 00 00 00 46 C7 45 F8 00 00 00 00 8B 45 FC 8B 80 F4 03 00 00 8B 80 A4 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 80 30 04 00 00 80 78 71 00 74 53 8D 55 F4 8B 43 28 8B 40 40 E8 ?? ?? ?? ?? 8B 4D F4 8B 43 08 BA 01 00 00 00 8B 38 FF 57 20 8D 4D F0 8B 43 08 BA 01 00 00 00 8B 38 FF 57 0C 83 7D F0 00 75 3C 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC 8B 43 08 BA 01 00 00 00 8B 18 FF 53 20 EB 1D 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 8B 43 08 BA 01 00 00 00 8B 18 FF 53 20 FF 45 F8 4E 0F 85 5E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 F4 03 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48029_0 {
	meta:
		name = "TSocketForm.miAddClick"
		size = 213
		refs = "000d TSocketForm.miAddClick 001a TSocketForm.CheckValues 0023 _DV_TSocketDispatcher 0028 TSocketDispatcher.Create 0035 TCustomUpDown.GetPosition 003f TAbstractSocket.SetPort 004d TCustomUpDown.SetPosition 005b TControl.GetText 0080 TCustomEdit.SetModified 0089 TSocketForm.SetItemIndex 0098 TPageControl.GetPage 00a1 TPageControl.SetActivePage 00c4 @UStrClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 8B D0 42 8B C6 E8 ?? ?? ?? ?? 8B 56 3C 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 44 04 00 00 8B 80 88 02 00 00 8B CE 8B 30 FF 56 3C 8B F0 B2 01 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 D2 8B B3 B4 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 C8 03 00 00 8B 10 FF 92 F4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48030_0 {
	meta:
		name = "TSocketForm.RemovePortActionUpdate"
		size = 52
		refs = "001a TSocketForm.GetItemIndex 002e TCustomAction.SetEnabled"
	strings:
		$1 = { 53 8B D8 8B 83 44 04 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 48 7E 0A 8B C3 E8 ?? ?? ?? ?? 40 75 04 33 D2 EB 02 B2 01 8B 83 34 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_48031_0 {
	meta:
		name = "TSocketForm.RemovePortActionExecute"
		size = 88
		refs = "0006 TSocketForm.CheckValues 000d TSocketForm.GetItemIndex 0025 TObject.Free 0052 TSocketForm.SetItemIndex"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 44 04 00 00 8B 80 88 02 00 00 8B 08 FF 51 18 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 44 04 00 00 8B 80 88 02 00 00 8B 08 FF 51 48 C7 83 24 08 00 00 FF FF FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_48032_0 {
	meta:
		name = "TSocketForm.UpDownClick"
		size = 42
		refs = "0007 _Dn_TUpDown 000c @AsClass 0018 _Dn_TEdit 0024 TCustomEdit.SetModified"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 7C 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_48033_0 {
	meta:
		name = "TSocketForm.PortListClick"
		size = 28
		refs = "0016 TSocketForm.SetItemIndex"
	strings:
		$1 = { 53 8B D8 8B 83 44 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_48034_0 {
	meta:
		name = "TSocketForm.ConnectionListCompare"
		size = 145
		refs = "0013 TSocketForm.ConnectionListCompare 002c AnsiCompareText 007c @UStrArrayClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FB FF 75 15 8B 45 10 8B 50 20 8B 46 20 E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 2F 8D 4D FC 8B 45 10 8B 40 08 8B D3 8B 38 FF 57 0C 8B 45 FC 50 8D 4D F8 8B D3 8B 46 08 8B 18 FF 53 0C 8B 45 F8 5A E8 ?? ?? ?? ?? 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_48035_0 {
	meta:
		name = "TSocketForm.ConnectionListColumnClick"
		size = 42
		refs = "000a TCollectionItem.GetIndex 0022 TCustomListView.CustomSort"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 89 B3 28 08 00 00 8B CE 33 D2 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48036_0 {
	meta:
		name = "TSocketForm.IntegerExit"
		size = 148
		refs = "0015 TSocketForm.IntegerExit 003a TControl.GetText 0042 StrToInt 0051 @HandleAnyException 0062 TCustomForm.SetActiveControl 0067 @RaiseAgain 006c @DoneExcept 0081 @UStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 8B 45 FC 8B 90 C8 03 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48037_0 {
	meta:
		name = "TSocketForm.RegisteredActionExecute"
		size = 94
		refs = "0009 TSocketForm.RegisteredActionExecute 0025 TCustomAction.SetChecked 002d SNotUntilRestart 0032 LoadResString 003a ShowMessage 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 90 54 04 00 00 0F B6 4A 71 80 F1 01 8B C2 8B D1 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_48038_0 {
	meta:
		name = "TSocketForm.AllowXMLExecute"
		size = 23
		refs = "0012 TCustomAction.SetChecked"
	strings:
		$1 = { 8B 90 5C 04 00 00 0F B6 4A 71 80 F1 01 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48041_0 {
	meta:
		name = "TScriptManager.Create"
		size = 342
		refs = "000b @ClassCreate 001a TObject.Create 0026 _DV_TXMLDocuments 002b TScriptObject.Create 0041 @IntfCopy 004a _DV_TIncludeFiles 006e _DV_TScriptBlocks 0092 _DV_TVars 00b6 _DV_THTMLBlocks 00da _DV_TFunctions 00fc _Dn_TStringList 0101 TStringList.Create 010b _DV_TPassList 0110 TObjectList.Create 011c _DV_TAddScriptElements 0121 TAddScriptElements.Create 0142 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 18 8D 47 14 8B D6 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 1C 8D 47 20 8B D6 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 2C 8D 47 30 8B D6 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 34 8D 47 38 8B D6 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 3C 8D 47 40 8B D6 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 24 8D 47 28 8B D6 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 44 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 48 8D 47 4C 8B D6 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48042_0 {
	meta:
		name = "TScriptManager.AddScriptComponentsInternal"
		size = 336
		refs = "001d TScriptManager.AddScriptComponentsInternal 002b @IntfClear 0039 TObject.GetInterface 009d TScriptManager.GetAddElementsIntf 00cd @HandleOnException 00d5 _Dn_Exception 00e4 TScriptManager.AddError 00e9 @DoneExcept 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D FC 89 4D F8 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 B4 00 00 00 8B 45 FC 8B 10 FF 52 0C 48 85 C0 0F 8C A3 00 00 00 40 89 45 EC C7 45 F0 00 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F0 8B 45 FC 8B 08 FF 51 10 8B D8 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2C 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 8B 08 FF 51 0C 8B 45 F8 8B 10 FF 52 10 85 C0 74 0A 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 50 04 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F0 FF 4D EC 0F 85 68 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 00 12 7E 95 44 39 E0 D2 11 AA 46 00 A0 24 C1 15 62 62 09 9B 1B 8E D2 D2 11 AF 8A 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_48043_0 {
	meta:
		name = "TScriptManager.AddScriptComponents"
		size = 119
		refs = "000d TScriptManager.AddScriptComponents 001a TScriptManager.AddScriptComponentsInternal 0026 TPassList.GetItem 0032 TScriptManager.GetAddElementsIntf 0048 TList.Delete 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? EB 2C 33 D2 8B 43 44 E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B 56 10 8B 46 0C FF 56 08 33 D2 8B 43 44 E8 ?? ?? ?? ?? 8B 43 44 83 78 08 00 7F CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48044_0 {
	meta:
		name = "TScriptManager.AddError"
		size = 32
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 10 8B 08 FF 51 54 40 75 0A 8B D6 8B 43 10 8B 08 FF 51 38 5E 5B C3 }
	condition:
		$1
}

rule function_48046_0 {
	meta:
		name = "TScriptManager.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001a TObject.Free 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48052_0 {
	meta:
		name = "TASPObject.GetScriptingContext"
		size = 19
		refs = "000c @IntfCopy"
		altNames = "TScriptManager.GetScriptBlocks"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 30 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48055_0 {
	meta:
		name = "TScriptObjectContainer.Add"
		size = 76
		refs = "000b @DynArrayLength 001f :TScriptObjectContainer.:1 0024 @DynArraySetLength 0042 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 10 E8 ?? ?? ?? ?? 8B F0 8D 46 01 50 8D 43 10 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 10 89 7C F0 04 8B 43 10 8D 04 F0 8B D7 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48057_0 {
	meta:
		name = "TScriptObjectContainer.GetAsIntf"
		size = 26
		refs = "0012 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 8B 53 10 8B 14 F2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48058_0 {
	meta:
		name = "TScriptObjectContainer.GetAsObject"
		size = 8
	strings:
		$1 = { 8B 40 10 8B 44 D0 04 C3 }
	condition:
		$1
}

rule function_48060_0 {
	meta:
		name = "TScriptObjectContainer.FindNameObject"
		size = 168
		refs = "0018 TScriptObjectContainer.FindNameObject 0026 TScriptObjectContainer.GetCount 003a TScriptObjectContainer.GetAsObject 0044 @IntfClear 0052 TObject.GetInterface 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 3C 43 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 55 F4 8B 45 FC 8B 08 FF 51 14 84 C0 75 06 47 4B 75 C7 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 E8 BD FB 8A 11 2A D3 11 AA AB 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_48061_0 {
	meta:
		name = "TXMLDocuments.AddXMLBroker"
		size = 41
		refs = "000c _DV_TXMLDocument 0011 TXMLDocument.Create 001f TScriptObjectContainer.Add"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 7E 18 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48062_0 {
	meta:
		name = "TXMLDocuments.FindXMLBroker"
		size = 50
		refs = "000b TScriptObjectContainer.GetCount 001e TXMLDocuments.GetObject"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 68 18 74 06 46 4B 75 EE 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48063_0 {
	meta:
		name = "TXMLDocuments.GetItem"
		size = 108
		refs = "0012 TXMLDocuments.GetItem 0024 TScriptObjectContainer.GetAsIntf 0033 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 51 B1 B8 94 D6 E6 D2 11 AF A6 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_70025_0 {
	meta:
		name = "GetUnicodeStrPropAsLongStr"
		size = 90
		refs = "0012 GetUnicodeStrPropAsLongStr 0024 GetUnicodeStrProp 0033 @LStrFromUStr 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70023_0 {
	meta:
		name = "GetWideStrPropAsLongStr"
		size = 90
		refs = "0012 GetWideStrPropAsLongStr 0024 GetWideStrProp 0033 @LStrFromWStr 0048 @WStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48065_0 {
	meta:
		name = "TXMLRowSets.AddPath"
		size = 48
		refs = "000c _DV_TXMLRowSet 0011 TXMLRowSet.Create 0026 TScriptObjectContainer.Add"
	strings:
		$1 = { 56 57 55 8B EA 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 47 10 8B D5 8B 08 FF 51 08 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C7 5D 5F 5E C3 }
	condition:
		$1
}

rule function_48066_0 {
	meta:
		name = "TXMLRowSets.Create"
		size = 62
		refs = "000b @ClassCreate 001c TScriptObject.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 14 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48068_0 {
	meta:
		name = "ComparePath"
		size = 177
		refs = "001b ComparePath 0074 CompareText 009a @UStrArrayClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F0 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 FC 8B 10 FF 52 14 8B D8 8B 45 F8 8B 10 FF 52 14 3B D8 75 45 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 32 46 33 DB 8D 4D F0 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 45 F0 50 8D 4D EC 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 45 EC 5A E8 ?? ?? ?? ?? 85 C0 75 08 43 4E 75 D1 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48069_0 {
	meta:
		name = "TXMLRowSets.FindPath"
		size = 67
		refs = "000d TScriptObjectContainer.GetCount 0020 TXMLRowSets.GetObject 002d ComparePath"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B C5 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 21 43 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B F0 8B 46 10 8B 14 24 E8 ?? ?? ?? ?? 84 C0 75 06 47 4B 75 E2 33 F6 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48070_0 {
	meta:
		name = "TXMLRowSets.GetItem"
		size = 108
		refs = "0012 TXMLRowSets.GetItem 0024 TScriptObjectContainer.GetAsIntf 0033 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 4F B1 B8 94 D6 E6 D2 11 AF A6 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_48072_0 {
	meta:
		name = "TXMLRowSet.Create"
		size = 77
		refs = "000b @ClassCreate 001c TScriptObject.Create 0026 _Dn_TStringList 002b TStringList.Create 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48074_0 {
	meta:
		name = "TXMLRowSet.GetMasterDataSetFieldName"
		size = 188
		refs = "0015 TXMLRowSet.GetMasterDataSetFieldName 0057 Format 0065 @UStrAsg 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 8B 10 FF 52 14 85 C0 7E 32 56 8B 43 10 8B 10 FF 52 14 8B D0 4A 8D 4D F4 8B 43 10 8B 18 FF 53 0C 8B 45 F4 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 22 00 25 00 73 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 75 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_48075_0 {
	meta:
		name = "TXMLRowSet.GetMasterRowSetVarName"
		size = 80
		refs = "0021 TXMLBroker.MasterRowSetVarName 002b TXMLRowSet.GetMasterRowSetVarName 0030 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 8B 10 FF 52 14 85 C0 7E 16 8B CE 8B 43 14 8B 40 14 8B 40 18 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 75 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_48077_0 {
	meta:
		name = "TXMLRowSet.GetRowSetVarName"
		size = 28
		refs = "0015 TXMLBroker.RowSetVarName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 14 8B 40 14 8B 40 18 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48078_0 {
	meta:
		name = "TXMLDocument.Create"
		size = 98
		refs = "000e @ClassCreate 001c TScriptObject.Create 0025 _DV_TXMLRowSets 002a TXMLRowSets.Create 0040 @IntfCopy 004d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 10 8D 43 14 8B D6 85 D2 74 03 83 EA E8 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48081_0 {
	meta:
		name = "TXMLDocument.GetDocumentVarName"
		size = 108
		refs = "0015 TXMLDocument.GetDocumentVarName 0024 ScriptDocumentVarName 0029 LoadResString 0045 Format 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 18 8B 40 08 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48084_0 {
	meta:
		name = "TXMLDocument.GetXMLVarName"
		size = 108
		refs = "0015 TXMLDocument.GetXMLVarName 0024 ScriptXMLVarName 0029 LoadResString 0045 Format 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 18 8B 40 08 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48086_0 {
	meta:
		name = "TAddScriptElements.AddScriptBlock"
		size = 139
		refs = "0014 @UStrAddRef 0024 TAddScriptElements.AddScriptBlock 003e TScriptBlocks.FindBlockName 005d TScriptBlocks.AddBlock 0077 @UStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 16 8B 46 0C 8B 40 2C 8B 55 FC E8 ?? ?? ?? ?? 85 C0 74 04 33 DB EB 02 B3 01 84 DB 74 11 8B 46 0C 8B 40 2C 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48087_0 {
	meta:
		name = "TAddScriptElements.AddHTMLBlock"
		size = 139
		refs = "0014 @UStrAddRef 0024 TAddScriptElements.AddHTMLBlock 003e THTMLBlocks.FindBlockName 005d THTMLBlocks.AddBlock 0077 @UStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 16 8B 46 0C 8B 40 3C 8B 55 FC E8 ?? ?? ?? ?? 85 C0 74 04 33 DB EB 02 B3 01 84 DB 74 11 8B 46 0C 8B 40 3C 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48088_0 {
	meta:
		name = "TAddScriptElements.AddVar"
		size = 128
		refs = "0014 @UStrAddRef 0024 TAddScriptElements.AddVar 0038 TVars.FindVarName 0052 TVars.AddVar 006c @UStrArrayClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 0C 8B 40 34 8B 55 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 11 8B 46 0C 8B 40 34 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48089_0 {
	meta:
		name = "TAddScriptElements.AddRowSet"
		size = 341
		refs = "0018 TAddScriptElements.AddRowSet 0026 _Dn_TXMLBroker 002b @AsClass 0038 TXMLDocuments.FindXMLBroker 004e TXMLDocuments.AddXMLBroker 006b TXMLRowSets.FindPath 0091 _Dn_TStringList 0096 TStringList.Create 00c9 TXMLRowSets.AddPath 0114 TObject.Free 011a @HandleFinally 013f @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D EC 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 0C 8B 40 18 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 10 8B 43 0C 8B 40 18 8B D6 E8 ?? ?? ?? ?? 89 45 F4 83 7D FC 00 75 06 8B 43 10 89 45 FC 8B 45 F4 8B 40 10 8B 55 FC E8 ?? ?? ?? ?? 85 C0 0F 94 45 FB 80 7D FB 00 0F 84 AF 00 00 00 8B 45 FC 8B 10 FF 52 14 48 0F 8C 92 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 40 8B 45 F4 8B 40 10 8B 55 F0 E8 ?? ?? ?? ?? 85 C0 75 0E 8B 45 F4 8B 40 10 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 14 8B D0 8D 4D EC 8B 45 FC 8B 18 FF 53 0C 8B 55 EC 8B 45 F0 8B 08 FF 51 38 8B 45 F0 8B 10 FF 52 14 8B D8 8B 45 FC 8B 10 FF 52 14 3B D8 7C AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B 40 10 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48090_0 {
	meta:
		name = "TAddScriptElements.AddFunction"
		size = 128
		refs = "0014 @UStrAddRef 0024 TAddScriptElements.AddFunction 0038 TFunctions.FindFunctionName 0052 TFunctions.AddFunction 006c @UStrArrayClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 0C 8B 40 24 8B 55 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 11 8B 46 0C 8B 40 24 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48091_0 {
	meta:
		name = "TAddScriptElements.AddIncludeFile"
		size = 106
		refs = "000f @UStrAddRef 0017 TAddScriptElements.AddIncludeFile 002b TIncludeFiles.FindFileName 0042 TIncludeFiles.AddFileName 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 0C 8B 40 1C 8B 55 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 0E 8B 46 0C 8B 40 1C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48092_0 {
	meta:
		name = "TAddScriptElements.Create"
		size = 62
		refs = "000a @ClassCreate 0018 _Dn_TStringList 001d TStringList.Create 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48093_0 {
	meta:
		name = "TAddScriptElements.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001a TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48095_0 {
	meta:
		name = "TAddScriptElements.AddPass"
		size = 24
		refs = "0010 TPassList.Add"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 0C 8B 40 44 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_48096_0 {
	meta:
		name = "TAddScriptElements.GetScriptManager"
		size = 48
		refs = "0009 @IntfClear 0010 TAddScriptElements.GetScriptManager 0018 TObject.GetInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 00 4E B1 B8 94 D6 E6 D2 11 AF A6 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_48097_0 {
	meta:
		name = "TIncludeFiles.AddFileName"
		size = 48
		refs = "000c _DV_TIncludeFile 0011 TScriptObject.Create 001d @UStrAsg 0026 TScriptObjectContainer.Add"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 10 8B D7 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48098_0 {
	meta:
		name = "TIncludeFiles.FindFileName"
		size = 135
		refs = "0018 TIncludeFiles.FindFileName 0026 TScriptObjectContainer.GetCount 003a TIncludeFiles.GetObject 0046 TIncludeFile.GetFileName 0053 AnsiCompareFileName 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2E 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 06 47 4B 75 D5 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48099_0 {
	meta:
		name = "TIncludeFiles.GetItem"
		size = 108
		refs = "0012 TIncludeFiles.GetItem 0024 TScriptObjectContainer.GetAsIntf 0033 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 78 BC 35 F7 A4 E7 D2 11 AF A7 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_48102_0 {
	meta:
		name = "TFunctions.AddFunction"
		size = 36
		refs = "0007 _DV_TFunction 0010 TNameContentScriptObject.Create 001b TScriptObjectContainer.Add"
	strings:
		$1 = { 53 56 8B D8 52 51 A1 ?? ?? ?? ?? B2 01 8B CB E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48108_0 {
	meta:
		name = "THTMLBlocks.AddBlock"
		size = 36
		refs = "0007 _DV_THTMLBlock 0010 TNameContentScriptObject.Create 001b TScriptObjectContainer.Add"
	strings:
		$1 = { 53 56 8B D8 52 51 A1 ?? ?? ?? ?? B2 01 8B CB E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48114_0 {
	meta:
		name = "TScriptBlocks.AddBlock"
		size = 36
		refs = "0007 _DV_TScriptBlock 0010 TNameContentScriptObject.Create 001b TScriptObjectContainer.Add"
	strings:
		$1 = { 53 56 8B D8 52 51 A1 ?? ?? ?? ?? B2 01 8B CB E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48120_0 {
	meta:
		name = "TVars.AddVar"
		size = 36
		refs = "0007 _DV_TVar 0010 TNameContentScriptObject.Create 001b TScriptObjectContainer.Add"
	strings:
		$1 = { 53 56 8B D8 52 51 A1 ?? ?? ?? ?? B2 01 8B CB E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48104_0 {
	meta:
		name = "TFunctions.GetItem"
		size = 108
		refs = "0012 TFunctions.GetItem 0024 TScriptObjectContainer.GetAsIntf 0033 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 72 31 A4 3A 43 EC D2 11 AF AE 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_48110_0 {
	meta:
		name = "THTMLBlocks.GetItem"
		size = 108
		refs = "0012 THTMLBlocks.GetItem 0024 TScriptObjectContainer.GetAsIntf 0033 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 E5 BD FB 8A 11 2A D3 11 AA AB 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_48116_0 {
	meta:
		name = "TScriptBlocks.GetItem"
		size = 108
		refs = "0012 TScriptBlocks.GetItem 0024 TScriptObjectContainer.GetAsIntf 0033 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 E7 BD FB 8A 11 2A D3 11 AA AB 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_48122_0 {
	meta:
		name = "TVars.GetItem"
		size = 108
		refs = "0012 TVars.GetItem 0024 TScriptObjectContainer.GetAsIntf 0033 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 E3 BD FB 8A 11 2A D3 11 AA AB 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_48126_0 {
	meta:
		name = "TPassList.Add"
		size = 40
		refs = "000f _DV_TPass 0016 TPass.Create 001f TList.Add"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_48127_0 {
	meta:
		name = "TPassList.GetItem"
		size = 33
		refs = "000b TList.Get 0015 _DV_TPass 001a @AsClass"
	strings:
		$1 = { 53 56 8B D8 8B F2 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98512_0 {
	meta:
		name = "TScriptIncludeFiles.GetScriptIncludeFile"
		size = 33
		refs = "000b TList.Get 0015 _DV_TScriptIncludeFile 001a @AsClass"
	strings:
		$1 = { 53 56 8B D8 8B F2 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98506_0 {
	meta:
		name = "TScriptItems.GetScriptItem"
		size = 33
		refs = "000b TList.Get 0015 _DV_TScriptItem 001a @AsClass"
	strings:
		$1 = { 53 56 8B D8 8B F2 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48128_0 {
	meta:
		name = "TPass.Create"
		size = 57
		refs = "000c @ClassCreate 0026 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 8B 4D 08 89 48 08 8B 4D 0C 89 48 0C 89 58 10 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_48129_0 {
	meta:
		name = "TNameContentScriptObject.Create"
		size = 81
		refs = "000d @ClassCreate 001a TScriptObject.Create 0025 @UStrAsg 003b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 10 8B 55 0C E8 ?? ?? ?? ?? 8D 46 14 8B 55 08 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_48132_0 {
	meta:
		name = "TNameContentScriptObject.MatchName"
		size = 86
		refs = "000f TNameContentScriptObject.MatchName 001f TNameContentScriptObject.GetName 0029 @UStrEqual 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48142_0 {
	meta:
		name = "TSessionItem.Create"
		size = 116
		refs = "000b @ClassCreate 0018 _Dn_TNamedVariantsList 001d TObject.Create 0025 Now 0043 TSessionItem.Create 0051 TCollectionItem.Create 005c @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C E8 ?? ?? ?? ?? DD 5F 20 9B 8B 47 20 89 47 28 8B 47 24 89 47 2C C7 47 18 FF FF FF FF 0F B6 05 ?? ?? ?? ?? 88 47 30 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 01 00 00 00 }
	condition:
		$1
}

rule function_48144_0 {
	meta:
		name = "TSessionItem.Assign"
		size = 213
		refs = "000f _DV_TSessionItem 0014 @IsClass 0035 TSessionItem.Assign 004b @UStrAsg 00c0 @HandleFinally 00cc TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A6 00 00 00 8B 45 FC 8B 70 04 85 F6 74 07 8B C6 8B 10 FF 52 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 C0 10 8B F3 8B 56 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 20 89 50 20 8B 56 24 89 50 24 8B 45 FC 8B 56 28 89 50 28 8B 56 2C 89 50 2C 0F B6 46 14 8B 55 FC 88 42 14 8B 46 18 8B 55 FC 89 42 18 0F B6 46 15 8B 55 FC 88 42 15 0F B6 46 30 8B 55 FC 88 42 30 8B 56 0C 8B 45 FC 8B 40 0C 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB E9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48146_0 {
	meta:
		name = "TSessions.GetIDs"
		size = 117
		refs = "0017 TSessions.ReadLock 001f TSessions.GetIDs 0040 TCollection.GetItem 004a TList.Add 0063 TSessions.ReadUnlock 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 89 45 FC 8B 07 8B 10 FF 52 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B 58 08 4B 85 DB 7C 1B 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 50 10 8B 07 E8 ?? ?? ?? ?? 46 4B 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48147_0 {
	meta:
		name = "TSessionItem.GetExpirationTime"
		size = 110
		refs = "0047 @_llmul 004e IncSecond"
	strings:
		$1 = { 53 83 C4 E0 8B C8 8B 59 18 83 FB FF 75 0B 33 C0 89 04 24 89 44 24 04 EB 4D 8B 41 28 89 44 24 08 8B 41 2C 89 44 24 0C 8B C3 99 89 44 24 10 89 54 24 14 FF 74 24 0C FF 74 24 0C 6A 00 6A 3C 8B 44 24 20 8B 54 24 24 E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 5C 24 18 9B 8B 44 24 18 89 04 24 8B 44 24 1C 89 44 24 04 DD 04 24 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_48148_0 {
	meta:
		name = "TSessionItem.IsActive"
		size = 18
	strings:
		$1 = { 80 78 14 00 75 06 80 78 15 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_48149_0 {
	meta:
		name = "TSessionItem.SetExpired"
		size = 22
	strings:
		$1 = { 53 8B D8 88 53 14 84 D2 74 06 80 4B 30 04 5B C3 80 63 30 FB 5B C3 }
	condition:
		$1
}

rule function_48150_0 {
	meta:
		name = "TSessionItem.SetTerminated"
		size = 22
	strings:
		$1 = { 53 8B D8 88 53 15 84 D2 74 06 80 4B 30 02 5B C3 80 63 30 FD 5B C3 }
	condition:
		$1
}

rule function_48151_0 {
	meta:
		name = "TSessions.Create"
		size = 81
		refs = "000a @ClassCreate 0015 _Dn_TMultiReadExclusiveWriteSynchronizer 001a TMultiReadExclusiveWriteSynchronizer.Create 002a _DV_TSessionItem 0033 TCollection.Create 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 1C C7 46 24 FF FF FF FF 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48152_0 {
	meta:
		name = "TSessions.GetSession"
		size = 160
		refs = "0014 @UStrAddRef 001c TSessions.GetSession 002a TSessions.ReadLock 0043 TSessions.FindSession 0056 @TryFinallyExit 006d TSessions.ReadUnlock 0073 @HandleFinally 008c @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 11 B3 01 8B 16 92 8B 08 FF 51 08 E8 ?? ?? ?? ?? EB 1F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48153_0 {
	meta:
		name = "TSessions.SessionExists"
		size = 139
		refs = "0010 @UStrAddRef 0018 TSessions.SessionExists 0026 TSessions.ReadLock 003f TSessions.FindSession 005a TSessions.ReadUnlock 0060 @HandleFinally 0077 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 95 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 8B E5 5D C3 }
	condition:
		$1
}

rule function_48176_0 {
	meta:
		name = "TSessions.ConnectSession"
		size = 139
		refs = "0010 @UStrAddRef 0018 TSessions.ConnectSession 0026 TSessions.ReadLock 003f TSessions.FindSession 005a TSessions.ReadUnlock 0060 @HandleFinally 0077 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 95 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 8B E5 5D C3 }
	condition:
		$1
}

rule function_48154_0 {
	meta:
		name = "TSessions.FindSession"
		size = 134
		refs = "0013 @UStrAddRef 001b TSessions.FindSession 003c TCollection.GetItem 0042 _DV_TSessionItem 0047 @AsClass 0054 @UStrEqual 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 8B 58 08 4B 85 DB 7C 2B 43 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 46 10 8B 55 FC E8 ?? ?? ?? ?? 74 06 47 4B 75 D8 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48155_0 {
	meta:
		name = "ItemHasExpired"
		size = 46
		refs = "000f TSessionItem.GetExpirationTime 0018 Now"
	strings:
		$1 = { 53 83 C4 F8 8B D8 83 7B 18 FF 74 1C 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B E8 ?? ?? ?? ?? DC 1C 24 9B DF E0 9E 0F 97 C0 EB 02 33 C0 59 5A 5B C3 }
	condition:
		$1
}

rule function_48156_0 {
	meta:
		name = "TSessions.CheckStatusChange"
		size = 308
		refs = "0014 TSessions.ReadLock 001c TSessions.CheckStatusChange 003d TCollection.GetItem 0043 _DV_TSessionItem 0048 @AsClass 0063 TSessionItem.IsActive 006e ItemHasExpired 0095 TSessions.ReadUnlock 009b @HandleFinally 00ab TSessions.WriteLock 0100 TSessionItem.SetExpired 0119 TSessions.WriteUnlock"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC C6 45 FB 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B 70 08 4E 85 F6 7C 50 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 0F B6 05 ?? ?? ?? ?? 3A 43 30 74 06 C6 45 FB 01 EB 1A 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 C6 45 FB 01 80 7D FB 00 75 04 47 4E 75 B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FB 00 74 7E 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B 70 08 4E 85 F6 7C 3D 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 47 4E 75 C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 59 59 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_48157_0 {
	meta:
		name = "TSessions.NotifyStatusChange"
		size = 420
		refs = "0013 TSessions.WriteLock 001b TSessions.NotifyStatusChange 0043 TCollection.GetItem 0049 _DV_TSessionItem 004e @AsClass 0057 TSessionItem.IsActive 0062 ItemHasExpired 006f TSessionItem.SetExpired 0161 TCollection.Delete 017c TSessions.WriteUnlock 0182 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B 40 08 48 85 C0 0F 8C DE 00 00 00 40 89 45 F0 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? F6 43 30 01 74 2D 83 7D F8 00 74 27 C6 45 F7 00 8D 4D F7 8B 53 10 8B 45 F8 8B 38 FF 57 08 80 7D F7 00 74 0F 0F B6 05 ?? ?? ?? ?? F7 D0 22 43 30 88 43 30 F6 43 30 04 74 2D 83 7D F8 00 74 27 C6 45 F7 00 8D 4D F7 8B 53 10 8B 45 F8 8B 38 FF 57 04 80 7D F7 00 74 0F 0F B6 05 ?? ?? ?? ?? F7 D0 22 43 30 88 43 30 F6 43 30 02 74 2C 83 7D F8 00 74 26 C6 45 F7 00 8D 4D F7 8B 53 10 8B 45 F8 8B 38 FF 17 80 7D F7 00 74 0F 0F B6 05 ?? ?? ?? ?? F7 D0 22 43 30 88 43 30 46 FF 4D F0 0F 85 28 FF FF FF 8B 45 FC 8B 40 08 8B 70 08 4E 83 FE 00 7C 47 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 0F B6 43 30 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 75 0A 8B D6 8B 45 FC E8 ?? ?? ?? ?? 4E 83 FE FF 75 B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 01 00 00 00 04 00 00 00 02 00 00 00 06 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_48158_0 {
	meta:
		name = "TSessions.LoadFromFile"
		size = 141
		refs = "0010 TSessions.WriteLock 0018 TSessions.LoadFromFile 0029 _Dn_TFileStream 002e TFileStream.Create 004a TSessions.LoadFromStream 005f TObject.Free 0065 @HandleFinally 007c TSessions.WriteUnlock"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48159_0 {
	meta:
		name = "TSessions.LoadFromStream"
		size = 181
		refs = "0010 TSessions.WriteLock 0018 TSessions.LoadFromStream 0027 _DV_TSessionsWrapper 002c TComponent.Create 0044 _DV_TSessions 0049 TSessions.Create 0059 TStream.ReadComponent 007f TObject.Free 008d @HandleFinally 00a4 TSessions.WriteUnlock"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 38 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 38 8B 45 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 38 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48160_0 {
	meta:
		name = "TSessions.SaveToFile"
		size = 144
		refs = "0010 TSessions.ReadLock 0018 TSessions.SaveToFile 002c _Dn_TFileStream 0031 TFileStream.Create 004d TSessions.SaveToStream 0062 TObject.Free 0068 @HandleFinally 007f TSessions.ReadUnlock"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 FF 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48161_0 {
	meta:
		name = "TSessions.SaveToStream"
		size = 147
		refs = "0010 TSessions.ReadLock 0018 TSessions.SaveToStream 0027 _DV_TSessionsWrapper 002c TComponent.Create 0050 TStream.WriteComponent 0065 TObject.Free 006b @HandleFinally 0082 TSessions.ReadUnlock"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 FC 89 50 38 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48162_0 {
	meta:
		name = "TSessions.NewSession"
		size = 94
		refs = "000c TSessions.NewSession 001c TSessions.NewSessionID 0025 _DV_TSessionItem 002a TSessionItem.Create 0037 @UStrAsg 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 43 10 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_48163_0 {
	meta:
		name = "TSessions.SetItemValue"
		size = 152
		refs = "0013 @UStrAddRef 001b TSessions.SetItemValue 0029 TSessions.WriteLock 0042 TSessions.FindSession 0053 TAbstractNamedVariants.SetValue 0068 TSessions.WriteUnlock 006e @HandleFinally 0085 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 0D 8B 4D 08 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_48164_0 {
	meta:
		name = "TSessions.GetItems"
		size = 156
		refs = "0013 @UStrAddRef 001b TSessions.GetItems 0029 TSessions.ReadLock 0042 TSessions.FindSession 006e TSessions.ReadUnlock 0074 @HandleFinally 008b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 8B F1 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 0C 8B 50 0C 8B 06 8B 08 FF 51 08 EB 07 8B 06 8B 10 FF 52 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 59 5D C3 }
	condition:
		$1
}

rule function_48165_0 {
	meta:
		name = "TSessions.GetItemCount"
		size = 154
		refs = "0010 @UStrAddRef 0018 TSessions.GetItemCount 0026 TSessions.ReadLock 003f TSessions.FindSession 006a TSessions.ReadUnlock 0070 @HandleFinally 0087 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 0D 8B 40 0C 8B 10 FF 52 14 89 45 F4 EB 05 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_48166_0 {
	meta:
		name = "TSessions.ItemValue"
		size = 158
		refs = "0013 @UStrAddRef 001b TSessions.ItemValue 0028 _Dn_TNamedVariantsList 002d TObject.Create 004b TSessions.GetItems 0058 TAbstractNamedVariants.GetValue 006d TObject.Free 0073 @HandleFinally 008a @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D 08 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_48167_0 {
	meta:
		name = "TSessions.NextSessionID"
		size = 22
		refs = "0009 TSessions.GetSessionIDGen"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 11 5E 5B C3 }
	condition:
		$1
}

rule function_111763_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.GetTokenValue"
		size = 22
		refs = "0009 TXmlDtdDetailPETokenizer.GetInternalTokenizer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 11 5E 5B C3 }
	condition:
		$1
}

rule function_48168_0 {
	meta:
		name = "TSessions.NewSessionID"
		size = 42
		refs = "000b TSessions.NextSessionID 001f TSessions.FindSession"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 16 8B C3 E8 ?? ?? ?? ?? 85 C0 75 EA 5E 5B C3 }
	condition:
		$1
}

rule function_48169_0 {
	meta:
		name = "TSessions.TouchSession"
		size = 158
		refs = "0011 @UStrAddRef 0019 TSessions.TouchSession 0027 TSessions.WriteLock 0040 TSessions.FindSession 0053 Now 006c TSessions.WriteUnlock 0072 @HandleFinally 0089 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 95 45 F7 80 7D F7 00 74 09 E8 ?? ?? ?? ?? DD 5B 28 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48174_0 {
	meta:
		name = "TSessions.TerminateSession"
		size = 154
		refs = "0010 @UStrAddRef 0018 TSessions.TerminateSession 0026 TSessions.WriteLock 003f TSessions.FindSession 004e TSessionItem.SetTerminated 0069 TSessions.WriteUnlock 006f @HandleFinally 0086 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 0D C6 45 F7 01 B2 01 E8 ?? ?? ?? ?? EB 04 C6 45 F7 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 8B E5 5D C3 }
	condition:
		$1
}

rule function_48175_0 {
	meta:
		name = "TSessions.StartSession"
		size = 192
		refs = "0015 TSessions.StartSession 0023 TSessions.WriteLock 0042 TSessions.GetActiveCount 0052 sMaximumSessionsExceeded 0057 LoadResString 0061 _DV_ESessionsException 0066 Exception.Create 006b @RaiseExcept 0073 TSessions.NewSession 007d @UStrAsg 0092 TSessions.WriteUnlock 0098 @HandleFinally 00af @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 24 FF 74 31 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 3B 42 24 7C 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 50 10 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48177_0 {
	meta:
		name = "TSessions.ConnectActiveSession"
		size = 95
		refs = "000f @UStrAddRef 0017 TSessions.ConnectActiveSession 0027 TSessions.GetIsActive 0037 TSessions.TouchSession 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 0A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48179_0 {
	meta:
		name = "TSessions.GetExpired"
		size = 150
		refs = "0010 @UStrAddRef 0018 TSessions.GetExpired 0026 TSessions.ReadLock 003f TSessions.FindSession 0065 TSessions.ReadUnlock 006b @HandleFinally 0082 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 09 0F B6 40 14 88 45 F7 EB 04 C6 45 F7 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 8B E5 5D C3 }
	condition:
		$1
}

rule function_48180_0 {
	meta:
		name = "TSessions.GetExpirationTime"
		size = 155
		refs = "0010 @UStrAddRef 0018 TSessions.GetExpirationTime 0026 TSessions.ReadLock 003f TSessions.FindSession 0048 TSessionItem.GetExpirationTime 006b TSessions.ReadUnlock 0071 @HandleFinally 0088 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 0B E8 ?? ?? ?? ?? DD 5D F0 9B EB 08 33 C0 89 45 F0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_48181_0 {
	meta:
		name = "TSessions.GetStartTime"
		size = 158
		refs = "0010 @UStrAddRef 0018 TSessions.GetStartTime 0026 TSessions.ReadLock 003f TSessions.FindSession 006e TSessions.ReadUnlock 0074 @HandleFinally 008b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 0E 8B 50 20 89 55 F0 8B 50 24 89 55 F4 EB 08 33 C0 89 45 F0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_48182_0 {
	meta:
		name = "TSessions.GetTerminated"
		size = 150
		refs = "0010 @UStrAddRef 0018 TSessions.GetTerminated 0026 TSessions.ReadLock 003f TSessions.FindSession 0065 TSessions.ReadUnlock 006b @HandleFinally 0082 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 09 0F B6 40 15 88 45 F7 EB 04 C6 45 F7 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 8B E5 5D C3 }
	condition:
		$1
}

rule function_48183_0 {
	meta:
		name = "TSessions.GetTimeoutMinutes"
		size = 151
		refs = "0010 @UStrAddRef 0018 TSessions.GetTimeoutMinutes 0026 TSessions.ReadLock 003f TSessions.FindSession 0067 TSessions.ReadUnlock 006d @HandleFinally 0084 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 08 8B 40 18 89 45 F4 EB 07 C7 45 F4 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_48184_0 {
	meta:
		name = "TSessions.GetTouchTime"
		size = 158
		refs = "0010 @UStrAddRef 0018 TSessions.GetTouchTime 0026 TSessions.ReadLock 003f TSessions.FindSession 006e TSessions.ReadUnlock 0074 @HandleFinally 008b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 0E 8B 50 28 89 55 F0 8B 50 2C 89 55 F4 EB 08 33 C0 89 45 F0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_48185_0 {
	meta:
		name = "TSessions.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TCollection.Destroy 001a TObject.Free 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48186_0 {
	meta:
		name = "TSessions.GetIsActive"
		size = 151
		refs = "0010 @UStrAddRef 0018 TSessions.GetIsActive 0026 TSessions.ReadLock 003f TSessions.FindSession 0048 TSessionItem.IsActive 0066 TSessions.ReadUnlock 006c @HandleFinally 0083 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 0A E8 ?? ?? ?? ?? 88 45 F7 EB 04 C6 45 F7 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 8B E5 5D C3 }
	condition:
		$1
}

rule function_48187_0 {
	meta:
		name = "TSessions.SetTimeoutMinutes"
		size = 140
		refs = "0013 @UStrAddRef 001b TSessions.SetTimeoutMinutes 0029 TSessions.WriteLock 0042 TSessions.FindSession 005e TSessions.WriteUnlock 0064 @HandleFinally 007b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 03 89 58 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48188_0 {
	meta:
		name = "TSessions.GetIDCount"
		size = 79
		refs = "000d TSessions.ReadLock 0015 TSessions.GetIDCount 003c TSessions.ReadUnlock 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B 40 08 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_48190_0 {
	meta:
		name = "TSessions.GetSessionIDGen"
		size = 24
	strings:
		$1 = { 53 8B D8 83 7B 20 00 75 0A 8B C3 8B 10 FF 52 28 89 43 20 8B 43 20 5B C3 }
	condition:
		$1
}

rule function_48191_0 {
	meta:
		name = "TSessions.GetMaxSessions"
		size = 76
		refs = "000d TSessions.ReadLock 0015 TSessions.GetMaxSessions 0039 TSessions.ReadUnlock 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 24 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_48192_0 {
	meta:
		name = "TSessions.SetMaxSessions"
		size = 83
		refs = "000e TSessions.GetMaxSessions 001a TSessions.WriteLock 0022 TSessions.SetMaxSessions 0043 TSessions.WriteUnlock 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 3B D8 74 39 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 58 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48193_0 {
	meta:
		name = "TSessions.GetActiveCount"
		size = 119
		refs = "0014 TSessions.ReadLock 001c TSessions.GetActiveCount 003d TCollection.GetItem 0042 TSessionItem.IsActive 0062 TSessions.ReadUnlock 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC 33 C0 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B 58 08 4B 85 DB 7C 1D 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 03 FF 45 F8 46 4B 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48194_0 {
	meta:
		name = "TSessionIDGen.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TObject.Create 001c Randomize 0023 TSessionIDGen.InitCharMap 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C7 46 04 10 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48195_0 {
	meta:
		name = "TSessionIDGen.InitCharMap"
		size = 264
		refs = "000d TSessionIDGen.InitCharMap 0020 @UStrLAsg 0033 Random 004f @UStrDelete 006a @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 E8 ?? ?? ?? ?? 8B 55 FC 0F B7 14 42 66 89 54 5E 08 8D 50 01 8D 45 FC B9 01 00 00 00 E8 ?? ?? ?? ?? 43 83 FB 3E 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 3E 00 00 00 61 00 62 00 63 00 64 00 65 00 66 00 67 00 68 00 69 00 6A 00 6B 00 6C 00 6D 00 6E 00 6F 00 70 00 71 00 72 00 73 00 74 00 75 00 76 00 77 00 78 00 79 00 7A 00 41 00 42 00 43 00 44 00 45 00 46 00 47 00 48 00 49 00 4A 00 4B 00 4C 00 4D 00 4E 00 4F 00 50 00 51 00 52 00 53 00 54 00 55 00 56 00 57 00 58 00 59 00 5A 00 30 00 31 00 32 00 33 00 34 00 35 00 36 00 37 00 38 00 39 00 00 00 00 00 }
	condition:
		$1
}

rule function_48196_0 {
	meta:
		name = "TSessionIDGen.NextID"
		size = 68
		refs = "000e @UStrSetLength 0024 Random 0031 @UniqueStringU"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 57 04 8B C5 E8 ?? ?? ?? ?? 8B 5F 04 85 DB 7E 26 BE 01 00 00 00 B8 3E 00 00 00 E8 ?? ?? ?? ?? 0F B7 44 47 08 50 8B C5 E8 ?? ?? ?? ?? 5A 66 89 54 70 FE 46 4B 75 DF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48198_0 {
	meta:
		name = "SessColn"
		size = 36
		refs = "0002 _DV_7 000b Sessions 0015 _DV_TSessions 001a TSessions.Create"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1A 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48199_0 {
	meta:
		name = "TWebBrowser.InitControlData"
		size = 26
		refs = "0001 CControlData"
	strings:
		$1 = { BA ?? ?? ?? ?? 89 90 78 02 00 00 8D 90 FC 02 00 00 2B D0 89 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48200_0 {
	meta:
		name = "DoCreate"
		size = 132
		refs = "000e DoCreate 0022 TOleControl.GetOleObject 002d @VarToIntf 0045 @IntfCast 005a @VarClr 0062 @IntfClear 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC 05 2C 04 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 00 00 61 16 0C D3 AF CD D0 11 8A 3E 00 C0 4F C9 E2 6E }
	condition:
		$1
}

rule function_48201_0 {
	meta:
		name = "TWebBrowser.CreateControl"
		size = 29
		refs = "0015 DoCreate"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 B8 2C 04 00 00 00 75 07 55 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_48202_0 {
	meta:
		name = "TWebBrowser.CreateWnd"
		size = 25
		refs = "0006 TOleControl.CreateWnd 0013 TWebBrowser.Navigate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 93 F8 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74092_0 {
	meta:
		name = "TCategoryButtons.WMSetFocus"
		size = 25
		refs = "0006 TWinControl.WMSetFocus 0013 TCategoryButtons.UpdateButton"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 93 F8 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_48203_0 {
	meta:
		name = "TWebBrowser.DestroyWnd"
		size = 120
		refs = "000e TWebBrowser.DestroyWnd 001c @WStrClr 0027 TWebBrowser.GetControlInterface 0035 @CheckAutoResult 0043 @WStrAsg 004a TWinControl.DestroyWnd 005f @IntfClear 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 78 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 F8 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48204_0 {
	meta:
		name = "TWebBrowser.GetControlInterface"
		size = 29
		refs = "0009 TWebBrowser.CreateControl 0016 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 93 2C 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48209_0 {
	meta:
		name = "TWebBrowser.Get_HWND"
		size = 98
		refs = "0012 TWebBrowser.Get_HWND 0026 TWebBrowser.GetControlInterface 0037 @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 94 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48267_0 {
	meta:
		name = "TInternetExplorer.Get_HWND"
		size = 98
		refs = "0012 TInternetExplorer.Get_HWND 0026 TInternetExplorer.GetDefaultInterface 0037 @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 94 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48354_0 {
	meta:
		name = "TInternetExplorerMedium.Get_HWND"
		size = 98
		refs = "0012 TInternetExplorerMedium.Get_HWND 0026 TInternetExplorerMedium.GetDefaultInterface 0037 @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 94 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48210_0 {
	meta:
		name = "TWebBrowser.GoBack"
		size = 79
		refs = "000c TWebBrowser.GoBack 001c TWebBrowser.GetControlInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48297_0 {
	meta:
		name = "TInternetExplorer.GoBack"
		size = 79
		refs = "000c TInternetExplorer.GoBack 001c TInternetExplorer.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48384_0 {
	meta:
		name = "TInternetExplorerMedium.GoBack"
		size = 79
		refs = "000c TInternetExplorerMedium.GoBack 001c TInternetExplorerMedium.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48525_0 {
	meta:
		name = "TShellNameSpace.MoveSelectionUp"
		size = 79
		refs = "000c TShellNameSpace.MoveSelectionUp 001c TShellNameSpace.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48446_0 {
	meta:
		name = "TShellUIHelper.ResetFirstBootMode"
		size = 79
		refs = "000c TShellUIHelper.ResetFirstBootMode 001c TShellUIHelper.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48211_0 {
	meta:
		name = "TWebBrowser.GoForward"
		size = 79
		refs = "000c TWebBrowser.GoForward 001c TWebBrowser.GetControlInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48298_0 {
	meta:
		name = "TInternetExplorer.GoForward"
		size = 79
		refs = "000c TInternetExplorer.GoForward 001c TInternetExplorer.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48385_0 {
	meta:
		name = "TInternetExplorerMedium.GoForward"
		size = 79
		refs = "000c TInternetExplorerMedium.GoForward 001c TInternetExplorerMedium.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48526_0 {
	meta:
		name = "TShellNameSpace.MoveSelectionDown"
		size = 79
		refs = "000c TShellNameSpace.MoveSelectionDown 001c TShellNameSpace.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48447_0 {
	meta:
		name = "TShellUIHelper.ResetSafeMode"
		size = 79
		refs = "000c TShellUIHelper.ResetSafeMode 001c TShellUIHelper.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48212_0 {
	meta:
		name = "TWebBrowser.GoHome"
		size = 79
		refs = "000c TWebBrowser.GoHome 001c TWebBrowser.GetControlInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48299_0 {
	meta:
		name = "TInternetExplorer.GoHome"
		size = 79
		refs = "000c TInternetExplorer.GoHome 001c TInternetExplorer.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48386_0 {
	meta:
		name = "TInternetExplorerMedium.GoHome"
		size = 79
		refs = "000c TInternetExplorerMedium.GoHome 001c TInternetExplorerMedium.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48527_0 {
	meta:
		name = "TShellNameSpace.ResetSort"
		size = 79
		refs = "000c TShellNameSpace.ResetSort 001c TShellNameSpace.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48448_0 {
	meta:
		name = "TShellUIHelper.RefreshOfflineDesktop"
		size = 79
		refs = "000c TShellUIHelper.RefreshOfflineDesktop 001c TShellUIHelper.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48213_0 {
	meta:
		name = "TWebBrowser.GoSearch"
		size = 79
		refs = "000c TWebBrowser.GoSearch 001c TWebBrowser.GetControlInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48300_0 {
	meta:
		name = "TInternetExplorer.GoSearch"
		size = 79
		refs = "000c TInternetExplorer.GoSearch 001c TInternetExplorer.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48387_0 {
	meta:
		name = "TInternetExplorerMedium.GoSearch"
		size = 79
		refs = "000c TInternetExplorerMedium.GoSearch 001c TInternetExplorerMedium.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48528_0 {
	meta:
		name = "TShellNameSpace.NewFolder"
		size = 79
		refs = "000c TShellNameSpace.NewFolder 001c TShellNameSpace.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48214_0 {
	meta:
		name = "TWebBrowser.Navigate"
		size = 122
		refs = "0014 TWebBrowser.Navigate 0022 EmptyParam 003d TWebBrowser.GetControlInterface 004b @CheckAutoResult 0060 @IntfClear 0068 @VarClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 8D 45 F0 50 8D 45 F0 50 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48301_0 {
	meta:
		name = "TInternetExplorer.Navigate"
		size = 122
		refs = "0014 TInternetExplorer.Navigate 0022 EmptyParam 003d TInternetExplorer.GetDefaultInterface 004b @CheckAutoResult 0060 @IntfClear 0068 @VarClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 8D 45 F0 50 8D 45 F0 50 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48388_0 {
	meta:
		name = "TInternetExplorerMedium.Navigate"
		size = 122
		refs = "0014 TInternetExplorerMedium.Navigate 0022 EmptyParam 003d TInternetExplorerMedium.GetDefaultInterface 004b @CheckAutoResult 0060 @IntfClear 0068 @VarClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 8D 45 F0 50 8D 45 F0 50 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48215_0 {
	meta:
		name = "TWebBrowser.Navigate"
		size = 126
		refs = "001a TWebBrowser.Navigate 0028 EmptyParam 0040 TWebBrowser.GetControlInterface 004e @CheckAutoResult 0063 @IntfClear 006b @VarClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 8D 45 F0 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48302_0 {
	meta:
		name = "TInternetExplorer.Navigate"
		size = 126
		refs = "001a TInternetExplorer.Navigate 0028 EmptyParam 0040 TInternetExplorer.GetDefaultInterface 004e @CheckAutoResult 0063 @IntfClear 006b @VarClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 8D 45 F0 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48389_0 {
	meta:
		name = "TInternetExplorerMedium.Navigate"
		size = 126
		refs = "001a TInternetExplorerMedium.Navigate 0028 EmptyParam 0040 TInternetExplorerMedium.GetDefaultInterface 004e @CheckAutoResult 0063 @IntfClear 006b @VarClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 8D 45 F0 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48216_0 {
	meta:
		name = "TWebBrowser.Navigate"
		size = 128
		refs = "001a TWebBrowser.Navigate 0028 EmptyParam 0040 TWebBrowser.GetControlInterface 004e @CheckAutoResult 0063 @IntfClear 006b @VarClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 8B 45 08 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_48303_0 {
	meta:
		name = "TInternetExplorer.Navigate"
		size = 128
		refs = "001a TInternetExplorer.Navigate 0028 EmptyParam 0040 TInternetExplorer.GetDefaultInterface 004e @CheckAutoResult 0063 @IntfClear 006b @VarClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 8B 45 08 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_48390_0 {
	meta:
		name = "TInternetExplorerMedium.Navigate"
		size = 128
		refs = "001a TInternetExplorerMedium.Navigate 0028 EmptyParam 0040 TInternetExplorerMedium.GetDefaultInterface 004e @CheckAutoResult 0063 @IntfClear 006b @VarClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 8B 45 08 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_48217_0 {
	meta:
		name = "TWebBrowser.Navigate"
		size = 128
		refs = "001a TWebBrowser.Navigate 0028 EmptyParam 0040 TWebBrowser.GetControlInterface 004e @CheckAutoResult 0063 @IntfClear 006b @VarClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 08 50 8B 45 0C 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_48304_0 {
	meta:
		name = "TInternetExplorer.Navigate"
		size = 128
		refs = "001a TInternetExplorer.Navigate 0028 EmptyParam 0040 TInternetExplorer.GetDefaultInterface 004e @CheckAutoResult 0063 @IntfClear 006b @VarClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 08 50 8B 45 0C 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_48391_0 {
	meta:
		name = "TInternetExplorerMedium.Navigate"
		size = 128
		refs = "001a TInternetExplorerMedium.Navigate 0028 EmptyParam 0040 TInternetExplorerMedium.GetDefaultInterface 004e @CheckAutoResult 0063 @IntfClear 006b @VarClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 08 50 8B 45 0C 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_48218_0 {
	meta:
		name = "TWebBrowser.Navigate"
		size = 103
		refs = "0012 TWebBrowser.Navigate 0030 TWebBrowser.GetControlInterface 003e @CheckAutoResult 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_48305_0 {
	meta:
		name = "TInternetExplorer.Navigate"
		size = 103
		refs = "0012 TInternetExplorer.Navigate 0030 TInternetExplorer.GetDefaultInterface 003e @CheckAutoResult 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_48392_0 {
	meta:
		name = "TInternetExplorerMedium.Navigate"
		size = 103
		refs = "0012 TInternetExplorerMedium.Navigate 0030 TInternetExplorerMedium.GetDefaultInterface 003e @CheckAutoResult 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_48430_0 {
	meta:
		name = "TShellWindows.RegisterPending"
		size = 103
		refs = "0012 TShellWindows.RegisterPending 0030 TShellWindows.GetDefaultInterface 003e @CheckAutoResult 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_48220_0 {
	meta:
		name = "TWebBrowser.Refresh2"
		size = 105
		refs = "0011 TWebBrowser.Refresh2 001f EmptyParam 002d TWebBrowser.GetControlInterface 003b @CheckAutoResult 0050 @IntfClear 0058 @VarClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48307_0 {
	meta:
		name = "TInternetExplorer.Refresh2"
		size = 105
		refs = "0011 TInternetExplorer.Refresh2 001f EmptyParam 002d TInternetExplorer.GetDefaultInterface 003b @CheckAutoResult 0050 @IntfClear 0058 @VarClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48394_0 {
	meta:
		name = "TInternetExplorerMedium.Refresh2"
		size = 105
		refs = "0011 TInternetExplorerMedium.Refresh2 001f EmptyParam 002d TInternetExplorerMedium.GetDefaultInterface 003b @CheckAutoResult 0050 @IntfClear 0058 @VarClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48222_0 {
	meta:
		name = "TWebBrowser.Stop"
		size = 79
		refs = "000c TWebBrowser.Stop 001c TWebBrowser.GetControlInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48309_0 {
	meta:
		name = "TInternetExplorer.Stop"
		size = 79
		refs = "000c TInternetExplorer.Stop 001c TInternetExplorer.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48396_0 {
	meta:
		name = "TInternetExplorerMedium.Stop"
		size = 79
		refs = "000c TInternetExplorerMedium.Stop 001c TInternetExplorerMedium.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48223_0 {
	meta:
		name = "TWebBrowser.Quit"
		size = 82
		refs = "000c TWebBrowser.Quit 001c TWebBrowser.GetControlInterface 002d @CheckAutoResult 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48310_0 {
	meta:
		name = "TInternetExplorer.Quit"
		size = 82
		refs = "000c TInternetExplorer.Quit 001c TInternetExplorer.GetDefaultInterface 002d @CheckAutoResult 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48397_0 {
	meta:
		name = "TInternetExplorerMedium.Quit"
		size = 82
		refs = "000c TInternetExplorerMedium.Quit 001c TInternetExplorerMedium.GetDefaultInterface 002d @CheckAutoResult 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48224_0 {
	meta:
		name = "TWebBrowser.ClientToWindow"
		size = 92
		refs = "0012 TWebBrowser.ClientToWindow 0024 TWebBrowser.GetControlInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 84 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48311_0 {
	meta:
		name = "TInternetExplorer.ClientToWindow"
		size = 92
		refs = "0012 TInternetExplorer.ClientToWindow 0024 TInternetExplorer.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 84 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48398_0 {
	meta:
		name = "TInternetExplorerMedium.ClientToWindow"
		size = 92
		refs = "0012 TInternetExplorerMedium.ClientToWindow 0024 TInternetExplorerMedium.GetDefaultInterface 0035 @CheckAutoResult 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 84 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48225_0 {
	meta:
		name = "TWebBrowser.PutProperty"
		size = 133
		refs = "001f @VarAddRef 0027 TWebBrowser.PutProperty 0044 TWebBrowser.GetControlInterface 0055 @CheckAutoResult 006a @IntfClear 0072 @VarClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B F1 8D 7D F0 A5 A5 A5 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48312_0 {
	meta:
		name = "TInternetExplorer.PutProperty"
		size = 133
		refs = "001f @VarAddRef 0027 TInternetExplorer.PutProperty 0044 TInternetExplorer.GetDefaultInterface 0055 @CheckAutoResult 006a @IntfClear 0072 @VarClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B F1 8D 7D F0 A5 A5 A5 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48399_0 {
	meta:
		name = "TInternetExplorerMedium.PutProperty"
		size = 133
		refs = "001f @VarAddRef 0027 TInternetExplorerMedium.PutProperty 0044 TInternetExplorerMedium.GetDefaultInterface 0055 @CheckAutoResult 006a @IntfClear 0072 @VarClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B F1 8D 7D F0 A5 A5 A5 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48226_0 {
	meta:
		name = "TWebBrowser.GetProperty"
		size = 99
		refs = "0012 TWebBrowser.GetProperty 001f @VarClr 002b TWebBrowser.GetControlInterface 003c @CheckAutoResult 0051 @IntfClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 50 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48313_0 {
	meta:
		name = "TInternetExplorer.GetProperty"
		size = 99
		refs = "0012 TInternetExplorer.GetProperty 001f @VarClr 002b TInternetExplorer.GetDefaultInterface 003c @CheckAutoResult 0051 @IntfClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 50 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48400_0 {
	meta:
		name = "TInternetExplorerMedium.GetProperty"
		size = 99
		refs = "0012 TInternetExplorerMedium.GetProperty 001f @VarClr 002b TInternetExplorerMedium.GetDefaultInterface 003c @CheckAutoResult 0051 @IntfClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 50 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48227_0 {
	meta:
		name = "TWebBrowser.Navigate2"
		size = 125
		refs = "0014 TWebBrowser.Navigate2 0022 EmptyParam 003d TWebBrowser.GetControlInterface 004e @CheckAutoResult 0063 @IntfClear 006b @VarClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 8D 45 F0 50 8D 45 F0 50 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48314_0 {
	meta:
		name = "TInternetExplorer.Navigate2"
		size = 125
		refs = "0014 TInternetExplorer.Navigate2 0022 EmptyParam 003d TInternetExplorer.GetDefaultInterface 004e @CheckAutoResult 0063 @IntfClear 006b @VarClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 8D 45 F0 50 8D 45 F0 50 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48401_0 {
	meta:
		name = "TInternetExplorerMedium.Navigate2"
		size = 125
		refs = "0014 TInternetExplorerMedium.Navigate2 0022 EmptyParam 003d TInternetExplorerMedium.GetDefaultInterface 004e @CheckAutoResult 0063 @IntfClear 006b @VarClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 8D 45 F0 50 8D 45 F0 50 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48228_0 {
	meta:
		name = "TWebBrowser.Navigate2"
		size = 129
		refs = "001a TWebBrowser.Navigate2 0028 EmptyParam 0040 TWebBrowser.GetControlInterface 0051 @CheckAutoResult 0066 @IntfClear 006e @VarClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 8D 45 F0 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48315_0 {
	meta:
		name = "TInternetExplorer.Navigate2"
		size = 129
		refs = "001a TInternetExplorer.Navigate2 0028 EmptyParam 0040 TInternetExplorer.GetDefaultInterface 0051 @CheckAutoResult 0066 @IntfClear 006e @VarClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 8D 45 F0 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48402_0 {
	meta:
		name = "TInternetExplorerMedium.Navigate2"
		size = 129
		refs = "001a TInternetExplorerMedium.Navigate2 0028 EmptyParam 0040 TInternetExplorerMedium.GetDefaultInterface 0051 @CheckAutoResult 0066 @IntfClear 006e @VarClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 8D 45 F0 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48229_0 {
	meta:
		name = "TWebBrowser.Navigate2"
		size = 131
		refs = "001a TWebBrowser.Navigate2 0028 EmptyParam 0040 TWebBrowser.GetControlInterface 0051 @CheckAutoResult 0066 @IntfClear 006e @VarClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 8B 45 08 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_48316_0 {
	meta:
		name = "TInternetExplorer.Navigate2"
		size = 131
		refs = "001a TInternetExplorer.Navigate2 0028 EmptyParam 0040 TInternetExplorer.GetDefaultInterface 0051 @CheckAutoResult 0066 @IntfClear 006e @VarClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 8B 45 08 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_48403_0 {
	meta:
		name = "TInternetExplorerMedium.Navigate2"
		size = 131
		refs = "001a TInternetExplorerMedium.Navigate2 0028 EmptyParam 0040 TInternetExplorerMedium.GetDefaultInterface 0051 @CheckAutoResult 0066 @IntfClear 006e @VarClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 8B 45 08 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_48230_0 {
	meta:
		name = "TWebBrowser.Navigate2"
		size = 131
		refs = "001a TWebBrowser.Navigate2 0028 EmptyParam 0040 TWebBrowser.GetControlInterface 0051 @CheckAutoResult 0066 @IntfClear 006e @VarClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 08 50 8B 45 0C 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_48317_0 {
	meta:
		name = "TInternetExplorer.Navigate2"
		size = 131
		refs = "001a TInternetExplorer.Navigate2 0028 EmptyParam 0040 TInternetExplorer.GetDefaultInterface 0051 @CheckAutoResult 0066 @IntfClear 006e @VarClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 08 50 8B 45 0C 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_48404_0 {
	meta:
		name = "TInternetExplorerMedium.Navigate2"
		size = 131
		refs = "001a TInternetExplorerMedium.Navigate2 0028 EmptyParam 0040 TInternetExplorerMedium.GetDefaultInterface 0051 @CheckAutoResult 0066 @IntfClear 006e @VarClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 08 50 8B 45 0C 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_48231_0 {
	meta:
		name = "TWebBrowser.Navigate2"
		size = 106
		refs = "0012 TWebBrowser.Navigate2 0030 TWebBrowser.GetControlInterface 0041 @CheckAutoResult 0056 @IntfClear 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_48318_0 {
	meta:
		name = "TInternetExplorer.Navigate2"
		size = 106
		refs = "0012 TInternetExplorer.Navigate2 0030 TInternetExplorer.GetDefaultInterface 0041 @CheckAutoResult 0056 @IntfClear 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_48405_0 {
	meta:
		name = "TInternetExplorerMedium.Navigate2"
		size = 106
		refs = "0012 TInternetExplorerMedium.Navigate2 0030 TInternetExplorerMedium.GetDefaultInterface 0041 @CheckAutoResult 0056 @IntfClear 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_48232_0 {
	meta:
		name = "TWebBrowser.QueryStatusWB"
		size = 103
		refs = "0015 TWebBrowser.QueryStatusWB 002a TWebBrowser.GetControlInterface 003b @CheckAutoResult 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 56 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48319_0 {
	meta:
		name = "TInternetExplorer.QueryStatusWB"
		size = 103
		refs = "0015 TInternetExplorer.QueryStatusWB 002a TInternetExplorer.GetDefaultInterface 003b @CheckAutoResult 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 56 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48406_0 {
	meta:
		name = "TInternetExplorerMedium.QueryStatusWB"
		size = 103
		refs = "0015 TInternetExplorerMedium.QueryStatusWB 002a TInternetExplorerMedium.GetDefaultInterface 003b @CheckAutoResult 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 56 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48233_0 {
	meta:
		name = "TWebBrowser.ExecWB"
		size = 125
		refs = "001a TWebBrowser.ExecWB 0028 EmptyParam 003c TWebBrowser.GetControlInterface 004d @CheckAutoResult 0062 @IntfClear 006a @VarClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48320_0 {
	meta:
		name = "TInternetExplorer.ExecWB"
		size = 125
		refs = "001a TInternetExplorer.ExecWB 0028 EmptyParam 003c TInternetExplorer.GetDefaultInterface 004d @CheckAutoResult 0062 @IntfClear 006a @VarClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48407_0 {
	meta:
		name = "TInternetExplorerMedium.ExecWB"
		size = 125
		refs = "001a TInternetExplorerMedium.ExecWB 0028 EmptyParam 003c TInternetExplorerMedium.GetDefaultInterface 004d @CheckAutoResult 0062 @IntfClear 006a @VarClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48234_0 {
	meta:
		name = "TWebBrowser.ExecWB"
		size = 127
		refs = "001a TWebBrowser.ExecWB 0028 EmptyParam 003c TWebBrowser.GetControlInterface 004d @CheckAutoResult 0062 @IntfClear 006a @VarClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 08 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_48321_0 {
	meta:
		name = "TInternetExplorer.ExecWB"
		size = 127
		refs = "001a TInternetExplorer.ExecWB 0028 EmptyParam 003c TInternetExplorer.GetDefaultInterface 004d @CheckAutoResult 0062 @IntfClear 006a @VarClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 08 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_48408_0 {
	meta:
		name = "TInternetExplorerMedium.ExecWB"
		size = 127
		refs = "001a TInternetExplorerMedium.ExecWB 0028 EmptyParam 003c TInternetExplorerMedium.GetDefaultInterface 004d @CheckAutoResult 0062 @IntfClear 006a @VarClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 08 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_48235_0 {
	meta:
		name = "TWebBrowser.ExecWB"
		size = 102
		refs = "0012 TWebBrowser.ExecWB 002c TWebBrowser.GetControlInterface 003d @CheckAutoResult 0052 @IntfClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_48322_0 {
	meta:
		name = "TInternetExplorer.ExecWB"
		size = 102
		refs = "0012 TInternetExplorer.ExecWB 002c TInternetExplorer.GetDefaultInterface 003d @CheckAutoResult 0052 @IntfClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_48409_0 {
	meta:
		name = "TInternetExplorerMedium.ExecWB"
		size = 102
		refs = "0012 TInternetExplorerMedium.ExecWB 002c TInternetExplorerMedium.GetDefaultInterface 003d @CheckAutoResult 0052 @IntfClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_48236_0 {
	meta:
		name = "TWebBrowser.ShowBrowserBar"
		size = 117
		refs = "0014 TWebBrowser.ShowBrowserBar 0022 EmptyParam 0035 TWebBrowser.GetControlInterface 0046 @CheckAutoResult 005b @IntfClear 0063 @VarClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48323_0 {
	meta:
		name = "TInternetExplorer.ShowBrowserBar"
		size = 117
		refs = "0014 TInternetExplorer.ShowBrowserBar 0022 EmptyParam 0035 TInternetExplorer.GetDefaultInterface 0046 @CheckAutoResult 005b @IntfClear 0063 @VarClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48410_0 {
	meta:
		name = "TInternetExplorerMedium.ShowBrowserBar"
		size = 117
		refs = "0014 TInternetExplorerMedium.ShowBrowserBar 0022 EmptyParam 0035 TInternetExplorerMedium.GetDefaultInterface 0046 @CheckAutoResult 005b @IntfClear 0063 @VarClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48237_0 {
	meta:
		name = "TWebBrowser.ShowBrowserBar"
		size = 121
		refs = "001a TWebBrowser.ShowBrowserBar 0028 EmptyParam 0038 TWebBrowser.GetControlInterface 0049 @CheckAutoResult 005e @IntfClear 0066 @VarClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48324_0 {
	meta:
		name = "TInternetExplorer.ShowBrowserBar"
		size = 121
		refs = "001a TInternetExplorer.ShowBrowserBar 0028 EmptyParam 0038 TInternetExplorer.GetDefaultInterface 0049 @CheckAutoResult 005e @IntfClear 0066 @VarClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48411_0 {
	meta:
		name = "TInternetExplorerMedium.ShowBrowserBar"
		size = 121
		refs = "001a TInternetExplorerMedium.ShowBrowserBar 0028 EmptyParam 0038 TInternetExplorerMedium.GetDefaultInterface 0049 @CheckAutoResult 005e @IntfClear 0066 @VarClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48238_0 {
	meta:
		name = "TWebBrowser.ShowBrowserBar"
		size = 98
		refs = "0012 TWebBrowser.ShowBrowserBar 0028 TWebBrowser.GetControlInterface 0039 @CheckAutoResult 004e @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_48325_0 {
	meta:
		name = "TInternetExplorer.ShowBrowserBar"
		size = 98
		refs = "0012 TInternetExplorer.ShowBrowserBar 0028 TInternetExplorer.GetDefaultInterface 0039 @CheckAutoResult 004e @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_48412_0 {
	meta:
		name = "TInternetExplorerMedium.ShowBrowserBar"
		size = 98
		refs = "0012 TInternetExplorerMedium.ShowBrowserBar 0028 TInternetExplorerMedium.GetDefaultInterface 0039 @CheckAutoResult 004e @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_48239_0 {
	meta:
		name = "CoInternetExplorer.Create"
		size = 100
		refs = "000c CoInternetExplorer.Create 001a CLASS_InternetExplorer 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 61 16 0C D3 AF CD D0 11 8A 3E 00 C0 4F C9 E2 6E }
	condition:
		$1
}

rule function_48326_0 {
	meta:
		name = "CoInternetExplorerMedium.Create"
		size = 100
		refs = "000c CoInternetExplorerMedium.Create 001a CLASS_InternetExplorerMedium 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 61 16 0C D3 AF CD D0 11 8A 3E 00 C0 4F C9 E2 6E }
	condition:
		$1
}

rule function_48413_0 {
	meta:
		name = "CoShellBrowserWindow.Create"
		size = 100
		refs = "000c CoShellBrowserWindow.Create 001a CLASS_ShellBrowserWindow 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 61 16 0C D3 AF CD D0 11 8A 3E 00 C0 4F C9 E2 6E }
	condition:
		$1
}

rule function_48240_0 {
	meta:
		name = "CoInternetExplorer.CreateRemote"
		size = 128
		refs = "0011 CoInternetExplorer.CreateRemote 0021 @WStrFromUStr 002c CLASS_InternetExplorer 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 61 16 0C D3 AF CD D0 11 8A 3E 00 C0 4F C9 E2 6E }
	condition:
		$1
}

rule function_48327_0 {
	meta:
		name = "CoInternetExplorerMedium.CreateRemote"
		size = 128
		refs = "0011 CoInternetExplorerMedium.CreateRemote 0021 @WStrFromUStr 002c CLASS_InternetExplorerMedium 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 61 16 0C D3 AF CD D0 11 8A 3E 00 C0 4F C9 E2 6E }
	condition:
		$1
}

rule function_48414_0 {
	meta:
		name = "CoShellBrowserWindow.CreateRemote"
		size = 128
		refs = "0011 CoShellBrowserWindow.CreateRemote 0021 @WStrFromUStr 002c CLASS_ShellBrowserWindow 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 61 16 0C D3 AF CD D0 11 8A 3E 00 C0 4F C9 E2 6E }
	condition:
		$1
}

rule function_48242_0 {
	meta:
		name = "TInternetExplorer.Connect"
		size = 120
		refs = "000c TInternetExplorer.Connect 002f TOleServer.ConnectEvents 0042 @IntfCast 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 88 01 00 00 00 75 27 8D 55 FC 8B C3 8B 08 FF 51 44 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 83 88 01 00 00 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 61 16 0C D3 AF CD D0 11 8A 3E 00 C0 4F C9 E2 6E }
	condition:
		$1
}

rule function_48329_0 {
	meta:
		name = "TInternetExplorerMedium.Connect"
		size = 120
		refs = "000c TInternetExplorerMedium.Connect 002f TOleServer.ConnectEvents 0042 @IntfCast 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 88 01 00 00 00 75 27 8D 55 FC 8B C3 8B 08 FF 51 44 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 83 88 01 00 00 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 61 16 0C D3 AF CD D0 11 8A 3E 00 C0 4F C9 E2 6E }
	condition:
		$1
}

rule function_48243_0 {
	meta:
		name = "TInternetExplorer.ConnectTo"
		size = 99
		refs = "000e @IntfAddRef 0016 TInternetExplorer.ConnectTo 0031 @IntfCopy 003e TOleServer.ConnectEvents 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 8D 83 88 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 93 88 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48330_0 {
	meta:
		name = "TInternetExplorerMedium.ConnectTo"
		size = 99
		refs = "000e @IntfAddRef 0016 TInternetExplorerMedium.ConnectTo 0031 @IntfCopy 003e TOleServer.ConnectEvents 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 8D 83 88 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 93 88 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48244_0 {
	meta:
		name = "TInternetExplorer.Disconnect"
		size = 38
		refs = "0015 TOleServer.DisconnectEvents 0020 @IntfClear"
		altNames = "TInternetExplorerMedium.Disconnect"
	strings:
		$1 = { 53 8B D8 83 BB 88 01 00 00 00 74 18 8B 93 88 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 88 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_48245_0 {
	meta:
		name = "TInternetExplorer.GetDefaultInterface"
		size = 38
		refs = "001f @IntfCopy"
		altNames = "TInternetExplorerMedium.GetDefaultInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 88 01 00 00 00 75 07 8B C3 8B 10 FF 52 4C 8B C6 8B 93 88 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48248_0 {
	meta:
		name = "TInternetExplorer.InvokeEvent"
		size = 2323
		refs = "001e TInternetExplorer.InvokeEvent 01cf @VarToWStr 01f4 @VarToInteger 0220 @VarToBool 02ff @VarToDisp 0774 @VarToInt64 08ca IDispatch 08d4 @FinalizeArray 08e1 @WStrArrayClr 0907 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 FA 02 01 00 00 0F 8F FF 00 00 00 0F 84 3E 04 00 00 81 FA E2 00 00 00 7F 5F 0F 84 80 06 00 00 83 FA 6A 7F 2D 0F 84 E8 01 00 00 83 EA FF 0F 84 5C 08 00 00 83 EA 67 0F 84 59 01 00 00 83 EA 02 0F 84 E5 01 00 00 4A 0F 84 9A 01 00 00 E9 3E 08 00 00 83 EA 6C 0F 84 60 01 00 00 83 EA 04 0F 84 0D 02 00 00 4A 0F 84 D8 01 00 00 83 EA 70 0F 84 FE 05 00 00 E9 17 08 00 00 81 C2 1D FF FF FF 83 FA 1E 0F 87 08 08 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 81 C2 FD FE FF FF 83 FA 1B 0F 87 76 07 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 FA 06 00 00 66 83 7B 5A 00 0F 84 EF 06 00 00 8D 45 FC 8B 16 E8 ?? ?? ?? ?? 8B 4D FC 8B D3 8B 43 5C FF 53 58 E9 D5 06 00 00 66 83 7B 62 00 0F 84 CA 06 00 00 8B 06 83 C0 10 E8 ?? ?? ?? ?? 50 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 43 64 FF 53 60 E9 A9 06 00 00 66 83 7B 6A 00 0F 84 9E 06 00 00 8B 06 83 C0 10 E8 ?? ?? ?? ?? 50 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 43 6C FF 53 68 E9 7D 06 00 00 66 83 7B 72 00 0F 84 72 06 00 00 8B D3 8B 43 74 FF 53 70 E9 65 06 00 00 66 83 7B 7A 00 0F 84 5A 06 00 00 8B D3 8B 43 7C FF 53 78 E9 4D 06 00 00 66 83 BB 82 00 00 00 00 0F 84 3F 06 00 00 8D 45 F8 8B 16 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 83 84 00 00 00 FF 93 80 00 00 00 E9 1F 06 00 00 66 83 BB 8A 00 00 00 00 0F 84 11 06 00 00 8D 45 F4 8B 16 E8 ?? ?? ?? ?? 8B 4D F4 8B D3 8B 83 8C 00 00 00 FF 93 88 00 00 00 E9 F1 05 00 00 66 83 BB 92 00 00 00 00 0F 84 E3 05 00 00 8B 06 83 C0 10 50 8B 06 83 C0 20 50 8B 06 83 C0 30 50 8B 06 83 C0 40 50 8B 06 83 C0 50 50 8B 06 8B 40 68 50 8D 45 F0 8B 16 E8 ?? ?? ?? ?? 8B 4D F0 8B D3 8B 83 94 00 00 00 FF 93 90 00 00 00 E9 9F 05 00 00 66 83 BB 9A 00 00 00 00 0F 84 91 05 00 00 8B 06 8B 40 18 50 8B 06 8B 40 08 8B C8 8B D3 8B 83 9C 00 00 00 FF 93 98 00 00 00 E9 71 05 00 00 66 83 BB A2 00 00 00 00 0F 84 63 05 00 00 8B 06 83 C0 10 50 8D 45 EC 8B 16 E8 ?? ?? ?? ?? 8B 4D EC 8B D3 8B 83 A4 00 00 00 FF 93 A0 00 00 00 E9 3D 05 00 00 66 83 BB AA 00 00 00 00 0F 84 2F 05 00 00 8B 06 83 C0 10 50 8D 45 E8 8B 16 E8 ?? ?? ?? ?? 8B 4D E8 8B D3 8B 83 AC 00 00 00 FF 93 A8 00 00 00 E9 09 05 00 00 66 83 BB B2 00 00 00 00 0F 84 FB 04 00 00 8B D3 8B 83 B4 00 00 00 FF 93 B0 00 00 00 E9 E8 04 00 00 66 83 BB BA 00 00 00 00 0F 84 DA 04 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 BC 00 00 00 FF 93 B8 00 00 00 E9 BE 04 00 00 66 83 BB C2 00 00 00 00 0F 84 B0 04 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 C4 00 00 00 FF 93 C0 00 00 00 E9 94 04 00 00 66 83 BB CA 00 00 00 00 0F 84 86 04 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 CC 00 00 00 FF 93 C8 00 00 00 E9 6A 04 00 00 66 83 BB D2 00 00 00 00 0F 84 5C 04 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 D4 00 00 00 FF 93 D0 00 00 00 E9 40 04 00 00 66 83 BB DA 00 00 00 00 0F 84 32 04 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 DC 00 00 00 FF 93 D8 00 00 00 E9 16 04 00 00 66 83 BB E2 00 00 00 00 0F 84 08 04 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 E4 00 00 00 FF 93 E0 00 00 00 E9 EC 03 00 00 66 83 BB EA 00 00 00 00 0F 84 DE 03 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 EC 00 00 00 FF 93 E8 00 00 00 E9 C2 03 00 00 66 83 BB F2 00 00 00 00 0F 84 B4 03 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 F4 00 00 00 FF 93 F0 00 00 00 E9 98 03 00 00 66 83 BB FA 00 00 00 00 0F 84 8A 03 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 FC 00 00 00 FF 93 F8 00 00 00 E9 6E 03 00 00 66 83 BB 02 01 00 00 00 0F 84 60 03 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 04 01 00 00 FF 93 00 01 00 00 E9 44 03 00 00 66 83 BB 0A 01 00 00 00 0F 84 36 03 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 0C 01 00 00 FF 93 08 01 00 00 E9 1A 03 00 00 66 83 BB 12 01 00 00 00 0F 84 0C 03 00 00 8B 06 8B 40 18 50 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 14 01 00 00 FF 93 10 01 00 00 E9 EA 02 00 00 66 83 BB 1A 01 00 00 00 0F 84 DC 02 00 00 8B 06 8B 40 18 50 8B 06 8B 48 08 8B D3 8B 83 1C 01 00 00 FF 93 18 01 00 00 E9 BE 02 00 00 66 83 BB 22 01 00 00 00 0F 84 B0 02 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 24 01 00 00 FF 93 20 01 00 00 E9 94 02 00 00 66 83 BB 2A 01 00 00 00 0F 84 86 02 00 00 8B 06 8B 40 18 50 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 2C 01 00 00 FF 93 28 01 00 00 E9 64 02 00 00 66 83 BB 32 01 00 00 00 0F 84 56 02 00 00 8B 06 83 C0 10 50 8B 06 83 C0 20 50 8B 06 83 C0 30 50 8B 06 8B 40 48 50 8D 45 E4 8B 16 E8 ?? ?? ?? ?? 8B 4D E4 8B D3 8B 83 34 01 00 00 FF 93 30 01 00 00 E9 1E 02 00 00 66 83 BB 3A 01 00 00 00 0F 84 10 02 00 00 8D 45 E0 8B 16 E8 ?? ?? ?? ?? 8B 4D E0 8B D3 8B 83 3C 01 00 00 FF 93 38 01 00 00 E9 F0 01 00 00 66 83 BB 42 01 00 00 00 0F 84 E2 01 00 00 8D 45 DC 8B 16 E8 ?? ?? ?? ?? 8B 4D DC 8B D3 8B 83 44 01 00 00 FF 93 40 01 00 00 E9 C2 01 00 00 66 83 BB 4A 01 00 00 00 0F 84 B4 01 00 00 8B 06 83 C0 10 50 8B 06 83 C0 20 50 8D 45 D8 8B 16 E8 ?? ?? ?? ?? 8B 4D D8 8B D3 8B 83 4C 01 00 00 FF 93 48 01 00 00 E9 88 01 00 00 66 83 BB 52 01 00 00 00 0F 84 7A 01 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 54 01 00 00 FF 93 50 01 00 00 E9 5E 01 00 00 66 83 BB 5A 01 00 00 00 0F 84 50 01 00 00 8B 06 8B 40 18 50 8B 06 83 C0 20 E8 ?? ?? ?? ?? 50 8D 45 D4 8B 16 83 C2 30 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 45 D0 8B 16 83 C2 40 E8 ?? ?? ?? ?? 8B 45 D0 50 8B 06 8B 40 08 8B C8 8B D3 8B 83 5C 01 00 00 FF 93 58 01 00 00 E9 03 01 00 00 66 83 BB 62 01 00 00 00 0F 84 F5 00 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 64 01 00 00 FF 93 60 01 00 00 E9 D9 00 00 00 66 83 BB 6A 01 00 00 00 0F 84 CB 00 00 00 8B 06 83 C0 10 E8 ?? ?? ?? ?? 50 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 6C 01 00 00 FF 93 68 01 00 00 E9 A4 00 00 00 66 83 BB 72 01 00 00 00 0F 84 96 00 00 00 8D 45 CC 8B 16 83 C2 10 E8 ?? ?? ?? ?? 8B 45 CC 50 8B 06 8B 40 28 50 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 74 01 00 00 FF 93 70 01 00 00 EB 66 66 83 BB 7A 01 00 00 00 74 5C 8B 06 83 C0 10 E8 ?? ?? ?? ?? 50 8B 06 8B C8 8B D3 8B 83 7C 01 00 00 FF 93 78 01 00 00 EB 3D 66 83 BB 82 01 00 00 00 74 33 8B 06 83 C0 10 50 8B 06 83 C0 20 50 8B 06 83 C0 30 50 8B 06 83 C0 40 50 8D 45 C8 8B 16 E8 ?? ?? ?? ?? 8B 4D C8 8B D3 8B 83 84 01 00 00 FF 93 80 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48335_0 {
	meta:
		name = "TInternetExplorerMedium.InvokeEvent"
		size = 2323
		refs = "001e TInternetExplorerMedium.InvokeEvent 01cf @VarToWStr 01f4 @VarToInteger 0220 @VarToBool 02ff @VarToDisp 0774 @VarToInt64 08ca IDispatch 08d4 @FinalizeArray 08e1 @WStrArrayClr 0907 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 FA 02 01 00 00 0F 8F FF 00 00 00 0F 84 3E 04 00 00 81 FA E2 00 00 00 7F 5F 0F 84 80 06 00 00 83 FA 6A 7F 2D 0F 84 E8 01 00 00 83 EA FF 0F 84 5C 08 00 00 83 EA 67 0F 84 59 01 00 00 83 EA 02 0F 84 E5 01 00 00 4A 0F 84 9A 01 00 00 E9 3E 08 00 00 83 EA 6C 0F 84 60 01 00 00 83 EA 04 0F 84 0D 02 00 00 4A 0F 84 D8 01 00 00 83 EA 70 0F 84 FE 05 00 00 E9 17 08 00 00 81 C2 1D FF FF FF 83 FA 1E 0F 87 08 08 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 81 C2 FD FE FF FF 83 FA 1B 0F 87 76 07 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 FA 06 00 00 66 83 7B 5A 00 0F 84 EF 06 00 00 8D 45 FC 8B 16 E8 ?? ?? ?? ?? 8B 4D FC 8B D3 8B 43 5C FF 53 58 E9 D5 06 00 00 66 83 7B 62 00 0F 84 CA 06 00 00 8B 06 83 C0 10 E8 ?? ?? ?? ?? 50 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 43 64 FF 53 60 E9 A9 06 00 00 66 83 7B 6A 00 0F 84 9E 06 00 00 8B 06 83 C0 10 E8 ?? ?? ?? ?? 50 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 43 6C FF 53 68 E9 7D 06 00 00 66 83 7B 72 00 0F 84 72 06 00 00 8B D3 8B 43 74 FF 53 70 E9 65 06 00 00 66 83 7B 7A 00 0F 84 5A 06 00 00 8B D3 8B 43 7C FF 53 78 E9 4D 06 00 00 66 83 BB 82 00 00 00 00 0F 84 3F 06 00 00 8D 45 F8 8B 16 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 83 84 00 00 00 FF 93 80 00 00 00 E9 1F 06 00 00 66 83 BB 8A 00 00 00 00 0F 84 11 06 00 00 8D 45 F4 8B 16 E8 ?? ?? ?? ?? 8B 4D F4 8B D3 8B 83 8C 00 00 00 FF 93 88 00 00 00 E9 F1 05 00 00 66 83 BB 92 00 00 00 00 0F 84 E3 05 00 00 8B 06 83 C0 10 50 8B 06 83 C0 20 50 8B 06 83 C0 30 50 8B 06 83 C0 40 50 8B 06 83 C0 50 50 8B 06 8B 40 68 50 8D 45 F0 8B 16 E8 ?? ?? ?? ?? 8B 4D F0 8B D3 8B 83 94 00 00 00 FF 93 90 00 00 00 E9 9F 05 00 00 66 83 BB 9A 00 00 00 00 0F 84 91 05 00 00 8B 06 8B 40 18 50 8B 06 8B 40 08 8B C8 8B D3 8B 83 9C 00 00 00 FF 93 98 00 00 00 E9 71 05 00 00 66 83 BB A2 00 00 00 00 0F 84 63 05 00 00 8B 06 83 C0 10 50 8D 45 EC 8B 16 E8 ?? ?? ?? ?? 8B 4D EC 8B D3 8B 83 A4 00 00 00 FF 93 A0 00 00 00 E9 3D 05 00 00 66 83 BB AA 00 00 00 00 0F 84 2F 05 00 00 8B 06 83 C0 10 50 8D 45 E8 8B 16 E8 ?? ?? ?? ?? 8B 4D E8 8B D3 8B 83 AC 00 00 00 FF 93 A8 00 00 00 E9 09 05 00 00 66 83 BB B2 00 00 00 00 0F 84 FB 04 00 00 8B D3 8B 83 B4 00 00 00 FF 93 B0 00 00 00 E9 E8 04 00 00 66 83 BB BA 00 00 00 00 0F 84 DA 04 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 BC 00 00 00 FF 93 B8 00 00 00 E9 BE 04 00 00 66 83 BB C2 00 00 00 00 0F 84 B0 04 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 C4 00 00 00 FF 93 C0 00 00 00 E9 94 04 00 00 66 83 BB CA 00 00 00 00 0F 84 86 04 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 CC 00 00 00 FF 93 C8 00 00 00 E9 6A 04 00 00 66 83 BB D2 00 00 00 00 0F 84 5C 04 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 D4 00 00 00 FF 93 D0 00 00 00 E9 40 04 00 00 66 83 BB DA 00 00 00 00 0F 84 32 04 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 DC 00 00 00 FF 93 D8 00 00 00 E9 16 04 00 00 66 83 BB E2 00 00 00 00 0F 84 08 04 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 E4 00 00 00 FF 93 E0 00 00 00 E9 EC 03 00 00 66 83 BB EA 00 00 00 00 0F 84 DE 03 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 EC 00 00 00 FF 93 E8 00 00 00 E9 C2 03 00 00 66 83 BB F2 00 00 00 00 0F 84 B4 03 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 F4 00 00 00 FF 93 F0 00 00 00 E9 98 03 00 00 66 83 BB FA 00 00 00 00 0F 84 8A 03 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 FC 00 00 00 FF 93 F8 00 00 00 E9 6E 03 00 00 66 83 BB 02 01 00 00 00 0F 84 60 03 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 04 01 00 00 FF 93 00 01 00 00 E9 44 03 00 00 66 83 BB 0A 01 00 00 00 0F 84 36 03 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 0C 01 00 00 FF 93 08 01 00 00 E9 1A 03 00 00 66 83 BB 12 01 00 00 00 0F 84 0C 03 00 00 8B 06 8B 40 18 50 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 14 01 00 00 FF 93 10 01 00 00 E9 EA 02 00 00 66 83 BB 1A 01 00 00 00 0F 84 DC 02 00 00 8B 06 8B 40 18 50 8B 06 8B 48 08 8B D3 8B 83 1C 01 00 00 FF 93 18 01 00 00 E9 BE 02 00 00 66 83 BB 22 01 00 00 00 0F 84 B0 02 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 24 01 00 00 FF 93 20 01 00 00 E9 94 02 00 00 66 83 BB 2A 01 00 00 00 0F 84 86 02 00 00 8B 06 8B 40 18 50 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 2C 01 00 00 FF 93 28 01 00 00 E9 64 02 00 00 66 83 BB 32 01 00 00 00 0F 84 56 02 00 00 8B 06 83 C0 10 50 8B 06 83 C0 20 50 8B 06 83 C0 30 50 8B 06 8B 40 48 50 8D 45 E4 8B 16 E8 ?? ?? ?? ?? 8B 4D E4 8B D3 8B 83 34 01 00 00 FF 93 30 01 00 00 E9 1E 02 00 00 66 83 BB 3A 01 00 00 00 0F 84 10 02 00 00 8D 45 E0 8B 16 E8 ?? ?? ?? ?? 8B 4D E0 8B D3 8B 83 3C 01 00 00 FF 93 38 01 00 00 E9 F0 01 00 00 66 83 BB 42 01 00 00 00 0F 84 E2 01 00 00 8D 45 DC 8B 16 E8 ?? ?? ?? ?? 8B 4D DC 8B D3 8B 83 44 01 00 00 FF 93 40 01 00 00 E9 C2 01 00 00 66 83 BB 4A 01 00 00 00 0F 84 B4 01 00 00 8B 06 83 C0 10 50 8B 06 83 C0 20 50 8D 45 D8 8B 16 E8 ?? ?? ?? ?? 8B 4D D8 8B D3 8B 83 4C 01 00 00 FF 93 48 01 00 00 E9 88 01 00 00 66 83 BB 52 01 00 00 00 0F 84 7A 01 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 54 01 00 00 FF 93 50 01 00 00 E9 5E 01 00 00 66 83 BB 5A 01 00 00 00 0F 84 50 01 00 00 8B 06 8B 40 18 50 8B 06 83 C0 20 E8 ?? ?? ?? ?? 50 8D 45 D4 8B 16 83 C2 30 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 45 D0 8B 16 83 C2 40 E8 ?? ?? ?? ?? 8B 45 D0 50 8B 06 8B 40 08 8B C8 8B D3 8B 83 5C 01 00 00 FF 93 58 01 00 00 E9 03 01 00 00 66 83 BB 62 01 00 00 00 0F 84 F5 00 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 64 01 00 00 FF 93 60 01 00 00 E9 D9 00 00 00 66 83 BB 6A 01 00 00 00 0F 84 CB 00 00 00 8B 06 83 C0 10 E8 ?? ?? ?? ?? 50 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 6C 01 00 00 FF 93 68 01 00 00 E9 A4 00 00 00 66 83 BB 72 01 00 00 00 0F 84 96 00 00 00 8D 45 CC 8B 16 83 C2 10 E8 ?? ?? ?? ?? 8B 45 CC 50 8B 06 8B 40 28 50 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 74 01 00 00 FF 93 70 01 00 00 EB 66 66 83 BB 7A 01 00 00 00 74 5C 8B 06 83 C0 10 E8 ?? ?? ?? ?? 50 8B 06 8B C8 8B D3 8B 83 7C 01 00 00 FF 93 78 01 00 00 EB 3D 66 83 BB 82 01 00 00 00 74 33 8B 06 83 C0 10 50 8B 06 83 C0 20 50 8B 06 83 C0 30 50 8B 06 83 C0 40 50 8D 45 C8 8B 16 E8 ?? ?? ?? ?? 8B 4D C8 8B D3 8B 83 84 01 00 00 FF 93 80 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48256_0 {
	meta:
		name = "TInternetExplorer.Set_Left"
		size = 84
		refs = "000f TInternetExplorer.Set_Left 0020 TInternetExplorer.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48343_0 {
	meta:
		name = "TInternetExplorerMedium.Set_Left"
		size = 84
		refs = "000f TInternetExplorerMedium.Set_Left 0020 TInternetExplorerMedium.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48257_0 {
	meta:
		name = "TInternetExplorer.Get_Top"
		size = 95
		refs = "0012 TInternetExplorer.Get_Top 0026 TInternetExplorer.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48344_0 {
	meta:
		name = "TInternetExplorerMedium.Get_Top"
		size = 95
		refs = "0012 TInternetExplorerMedium.Get_Top 0026 TInternetExplorerMedium.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48258_0 {
	meta:
		name = "TInternetExplorer.Set_Top"
		size = 84
		refs = "000f TInternetExplorer.Set_Top 0020 TInternetExplorer.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48345_0 {
	meta:
		name = "TInternetExplorerMedium.Set_Top"
		size = 84
		refs = "000f TInternetExplorerMedium.Set_Top 0020 TInternetExplorerMedium.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48260_0 {
	meta:
		name = "TInternetExplorer.Set_Width"
		size = 84
		refs = "000f TInternetExplorer.Set_Width 0020 TInternetExplorer.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74293_0 {
	meta:
		name = "TCOMAdminCatalog.RestoreREGDB"
		size = 84
		refs = "000f TCOMAdminCatalog.RestoreREGDB 0020 TCOMAdminCatalog.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48347_0 {
	meta:
		name = "TInternetExplorerMedium.Set_Width"
		size = 84
		refs = "000f TInternetExplorerMedium.Set_Width 0020 TInternetExplorerMedium.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48265_0 {
	meta:
		name = "TInternetExplorer.Get_Busy"
		size = 96
		refs = "0012 TInternetExplorer.Get_Busy 0026 TInternetExplorer.GetDefaultInterface 0034 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48352_0 {
	meta:
		name = "TInternetExplorerMedium.Get_Busy"
		size = 96
		refs = "0012 TInternetExplorerMedium.Get_Busy 0026 TInternetExplorerMedium.GetDefaultInterface 0034 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48478_0 {
	meta:
		name = "TShellUIHelper.IsSearchMigrated"
		size = 96
		refs = "0012 TShellUIHelper.IsSearchMigrated 0026 TShellUIHelper.GetDefaultInterface 0034 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48266_0 {
	meta:
		name = "TInternetExplorer.Get_Name"
		size = 94
		refs = "000f TInternetExplorer.Get_Name 001c @WStrClr 0027 TInternetExplorer.GetDefaultInterface 0038 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48353_0 {
	meta:
		name = "TInternetExplorerMedium.Get_Name"
		size = 94
		refs = "000f TInternetExplorerMedium.Get_Name 001c @WStrClr 0027 TInternetExplorerMedium.GetDefaultInterface 0038 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48268_0 {
	meta:
		name = "TInternetExplorer.Get_FullName"
		size = 94
		refs = "000f TInternetExplorer.Get_FullName 001c @WStrClr 0027 TInternetExplorer.GetDefaultInterface 0038 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48355_0 {
	meta:
		name = "TInternetExplorerMedium.Get_FullName"
		size = 94
		refs = "000f TInternetExplorerMedium.Get_FullName 001c @WStrClr 0027 TInternetExplorerMedium.GetDefaultInterface 0038 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48538_0 {
	meta:
		name = "TShellNameSpace.SelectedItems"
		size = 94
		refs = "000f TShellNameSpace.SelectedItems 001c @IntfClear 0027 TShellNameSpace.GetDefaultInterface 0038 @CheckAutoResult 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48269_0 {
	meta:
		name = "TInternetExplorer.Get_Path"
		size = 94
		refs = "000f TInternetExplorer.Get_Path 001c @WStrClr 0027 TInternetExplorer.GetDefaultInterface 0038 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48356_0 {
	meta:
		name = "TInternetExplorerMedium.Get_Path"
		size = 94
		refs = "000f TInternetExplorerMedium.Get_Path 001c @WStrClr 0027 TInternetExplorerMedium.GetDefaultInterface 0038 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48270_0 {
	meta:
		name = "TInternetExplorer.Get_Visible"
		size = 99
		refs = "0012 TInternetExplorer.Get_Visible 0026 TInternetExplorer.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 A0 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48357_0 {
	meta:
		name = "TInternetExplorerMedium.Get_Visible"
		size = 99
		refs = "0012 TInternetExplorerMedium.Get_Visible 0026 TInternetExplorerMedium.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 A0 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48271_0 {
	meta:
		name = "TInternetExplorer.Set_Visible"
		size = 87
		refs = "000f TInternetExplorer.Set_Visible 0020 TInternetExplorer.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48358_0 {
	meta:
		name = "TInternetExplorerMedium.Set_Visible"
		size = 87
		refs = "000f TInternetExplorerMedium.Set_Visible 0020 TInternetExplorerMedium.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48489_0 {
	meta:
		name = "TShellUIHelper.SetRecentlyClosedVisible"
		size = 87
		refs = "000f TShellUIHelper.SetRecentlyClosedVisible 0020 TShellUIHelper.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48272_0 {
	meta:
		name = "TInternetExplorer.Get_StatusBar"
		size = 99
		refs = "0012 TInternetExplorer.Get_StatusBar 0026 TInternetExplorer.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 A8 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48359_0 {
	meta:
		name = "TInternetExplorerMedium.Get_StatusBar"
		size = 99
		refs = "0012 TInternetExplorerMedium.Get_StatusBar 0026 TInternetExplorerMedium.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 A8 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48273_0 {
	meta:
		name = "TInternetExplorer.Set_StatusBar"
		size = 87
		refs = "000f TInternetExplorer.Set_StatusBar 0020 TInternetExplorer.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 AC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48360_0 {
	meta:
		name = "TInternetExplorerMedium.Set_StatusBar"
		size = 87
		refs = "000f TInternetExplorerMedium.Set_StatusBar 0020 TInternetExplorerMedium.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 AC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48274_0 {
	meta:
		name = "TInternetExplorer.Get_StatusText"
		size = 94
		refs = "000f TInternetExplorer.Get_StatusText 001c @WStrClr 0027 TInternetExplorer.GetDefaultInterface 0038 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48361_0 {
	meta:
		name = "TInternetExplorerMedium.Get_StatusText"
		size = 94
		refs = "000f TInternetExplorerMedium.Get_StatusText 001c @WStrClr 0027 TInternetExplorerMedium.GetDefaultInterface 0038 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48275_0 {
	meta:
		name = "TInternetExplorer.Set_StatusText"
		size = 87
		refs = "000f TInternetExplorer.Set_StatusText 0020 TInternetExplorer.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 B4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48362_0 {
	meta:
		name = "TInternetExplorerMedium.Set_StatusText"
		size = 87
		refs = "000f TInternetExplorerMedium.Set_StatusText 0020 TInternetExplorerMedium.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 B4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48493_0 {
	meta:
		name = "TShellUIHelper.EnableSuggestedSites"
		size = 87
		refs = "000f TShellUIHelper.EnableSuggestedSites 0020 TShellUIHelper.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 B4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48277_0 {
	meta:
		name = "TInternetExplorer.Set_ToolBar"
		size = 87
		refs = "000f TInternetExplorer.Set_ToolBar 0020 TInternetExplorer.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 BC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48364_0 {
	meta:
		name = "TInternetExplorerMedium.Set_ToolBar"
		size = 87
		refs = "000f TInternetExplorerMedium.Set_ToolBar 0020 TInternetExplorerMedium.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 BC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48278_0 {
	meta:
		name = "TInternetExplorer.Get_MenuBar"
		size = 99
		refs = "0012 TInternetExplorer.Get_MenuBar 0026 TInternetExplorer.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 C0 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48365_0 {
	meta:
		name = "TInternetExplorerMedium.Get_MenuBar"
		size = 99
		refs = "0012 TInternetExplorerMedium.Get_MenuBar 0026 TInternetExplorerMedium.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 C0 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48279_0 {
	meta:
		name = "TInternetExplorer.Set_MenuBar"
		size = 87
		refs = "000f TInternetExplorer.Set_MenuBar 0020 TInternetExplorer.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 C4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48366_0 {
	meta:
		name = "TInternetExplorerMedium.Set_MenuBar"
		size = 87
		refs = "000f TInternetExplorerMedium.Set_MenuBar 0020 TInternetExplorerMedium.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 C4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48280_0 {
	meta:
		name = "TInternetExplorer.Get_FullScreen"
		size = 99
		refs = "0012 TInternetExplorer.Get_FullScreen 0026 TInternetExplorer.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 C8 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48367_0 {
	meta:
		name = "TInternetExplorerMedium.Get_FullScreen"
		size = 99
		refs = "0012 TInternetExplorerMedium.Get_FullScreen 0026 TInternetExplorerMedium.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 C8 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48282_0 {
	meta:
		name = "TInternetExplorer.Get_ReadyState"
		size = 98
		refs = "0012 TInternetExplorer.Get_ReadyState 0026 TInternetExplorer.GetDefaultInterface 0037 @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 E0 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48369_0 {
	meta:
		name = "TInternetExplorerMedium.Get_ReadyState"
		size = 98
		refs = "0012 TInternetExplorerMedium.Get_ReadyState 0026 TInternetExplorerMedium.GetDefaultInterface 0037 @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 E0 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48283_0 {
	meta:
		name = "TInternetExplorer.Get_Offline"
		size = 99
		refs = "0012 TInternetExplorer.Get_Offline 0026 TInternetExplorer.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 E4 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48370_0 {
	meta:
		name = "TInternetExplorerMedium.Get_Offline"
		size = 99
		refs = "0012 TInternetExplorerMedium.Get_Offline 0026 TInternetExplorerMedium.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 E4 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48285_0 {
	meta:
		name = "TInternetExplorer.Get_Silent"
		size = 99
		refs = "0012 TInternetExplorer.Get_Silent 0026 TInternetExplorer.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 EC 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48372_0 {
	meta:
		name = "TInternetExplorerMedium.Get_Silent"
		size = 99
		refs = "0012 TInternetExplorerMedium.Get_Silent 0026 TInternetExplorerMedium.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 EC 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48286_0 {
	meta:
		name = "TInternetExplorer.Set_Silent"
		size = 87
		refs = "000f TInternetExplorer.Set_Silent 0020 TInternetExplorer.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 F0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48373_0 {
	meta:
		name = "TInternetExplorerMedium.Set_Silent"
		size = 87
		refs = "000f TInternetExplorerMedium.Set_Silent 0020 TInternetExplorerMedium.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 F0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48287_0 {
	meta:
		name = "TInternetExplorer.Get_RegisterAsBrowser"
		size = 99
		refs = "0012 TInternetExplorer.Get_RegisterAsBrowser 0026 TInternetExplorer.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 F4 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48374_0 {
	meta:
		name = "TInternetExplorerMedium.Get_RegisterAsBrowser"
		size = 99
		refs = "0012 TInternetExplorerMedium.Get_RegisterAsBrowser 0026 TInternetExplorerMedium.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 F4 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48288_0 {
	meta:
		name = "TInternetExplorer.Set_RegisterAsBrowser"
		size = 87
		refs = "000f TInternetExplorer.Set_RegisterAsBrowser 0020 TInternetExplorer.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 F8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48375_0 {
	meta:
		name = "TInternetExplorerMedium.Set_RegisterAsBrowser"
		size = 87
		refs = "000f TInternetExplorerMedium.Set_RegisterAsBrowser 0020 TInternetExplorerMedium.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 F8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48289_0 {
	meta:
		name = "TInternetExplorer.Get_RegisterAsDropTarget"
		size = 99
		refs = "0012 TInternetExplorer.Get_RegisterAsDropTarget 0026 TInternetExplorer.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 FC 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48376_0 {
	meta:
		name = "TInternetExplorerMedium.Get_RegisterAsDropTarget"
		size = 99
		refs = "0012 TInternetExplorerMedium.Get_RegisterAsDropTarget 0026 TInternetExplorerMedium.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 FC 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48290_0 {
	meta:
		name = "TInternetExplorer.Set_RegisterAsDropTarget"
		size = 87
		refs = "000f TInternetExplorer.Set_RegisterAsDropTarget 0020 TInternetExplorer.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 00 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48377_0 {
	meta:
		name = "TInternetExplorerMedium.Set_RegisterAsDropTarget"
		size = 87
		refs = "000f TInternetExplorerMedium.Set_RegisterAsDropTarget 0020 TInternetExplorerMedium.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 00 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48291_0 {
	meta:
		name = "TInternetExplorer.Get_TheaterMode"
		size = 99
		refs = "0012 TInternetExplorer.Get_TheaterMode 0026 TInternetExplorer.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 04 01 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48378_0 {
	meta:
		name = "TInternetExplorerMedium.Get_TheaterMode"
		size = 99
		refs = "0012 TInternetExplorerMedium.Get_TheaterMode 0026 TInternetExplorerMedium.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 04 01 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48292_0 {
	meta:
		name = "TInternetExplorer.Set_TheaterMode"
		size = 87
		refs = "000f TInternetExplorer.Set_TheaterMode 0020 TInternetExplorer.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 08 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48379_0 {
	meta:
		name = "TInternetExplorerMedium.Set_TheaterMode"
		size = 87
		refs = "000f TInternetExplorerMedium.Set_TheaterMode 0020 TInternetExplorerMedium.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 08 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48293_0 {
	meta:
		name = "TInternetExplorer.Get_AddressBar"
		size = 99
		refs = "0012 TInternetExplorer.Get_AddressBar 0026 TInternetExplorer.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 0C 01 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48380_0 {
	meta:
		name = "TInternetExplorerMedium.Get_AddressBar"
		size = 99
		refs = "0012 TInternetExplorerMedium.Get_AddressBar 0026 TInternetExplorerMedium.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 0C 01 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48294_0 {
	meta:
		name = "TInternetExplorer.Set_AddressBar"
		size = 87
		refs = "000f TInternetExplorer.Set_AddressBar 0020 TInternetExplorer.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 10 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48381_0 {
	meta:
		name = "TInternetExplorerMedium.Set_AddressBar"
		size = 87
		refs = "000f TInternetExplorerMedium.Set_AddressBar 0020 TInternetExplorerMedium.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 10 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48295_0 {
	meta:
		name = "TInternetExplorer.Get_Resizable"
		size = 99
		refs = "0012 TInternetExplorer.Get_Resizable 0026 TInternetExplorer.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 14 01 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48382_0 {
	meta:
		name = "TInternetExplorerMedium.Get_Resizable"
		size = 99
		refs = "0012 TInternetExplorerMedium.Get_Resizable 0026 TInternetExplorerMedium.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 14 01 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48415_0 {
	meta:
		name = "CoShellWindows.Create"
		size = 100
		refs = "000c CoShellWindows.Create 001a CLASS_ShellWindows 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 69 CB 85 95 4D CF 11 96 0C 00 80 C7 F4 EE 85 }
	condition:
		$1
}

rule function_48416_0 {
	meta:
		name = "CoShellWindows.CreateRemote"
		size = 128
		refs = "0011 CoShellWindows.CreateRemote 0021 @WStrFromUStr 002c CLASS_ShellWindows 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 69 CB 85 95 4D CF 11 96 0C 00 80 C7 F4 EE 85 }
	condition:
		$1
}

rule function_48418_0 {
	meta:
		name = "TShellWindows.Connect"
		size = 116
		refs = "000c TShellWindows.Connect 002c TOleServer.ConnectEvents 003c @IntfCast 0051 @IntfClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 68 00 75 24 8D 55 FC 8B C3 8B 08 FF 51 44 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 43 68 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 00 69 CB 85 95 4D CF 11 96 0C 00 80 C7 F4 EE 85 }
	condition:
		$1
}

rule function_48424_0 {
	meta:
		name = "TShellWindows.InvokeEvent"
		size = 77
		refs = "0022 @VarToInteger"
	strings:
		$1 = { 53 56 8B F1 8B D8 83 EA FF 74 3F 81 EA C9 00 00 00 74 05 4A 74 1C EB 32 66 83 7B 5A 00 74 2B 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 43 5C FF 53 58 EB 18 66 83 7B 62 00 74 11 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 43 64 FF 53 60 5E 5B C3 }
	condition:
		$1
}

rule function_48425_0 {
	meta:
		name = "TShellWindows.Get_Count"
		size = 95
		refs = "0012 TShellWindows.Get_Count 0026 TShellWindows.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48426_0 {
	meta:
		name = "TShellWindows.Item"
		size = 125
		refs = "0014 TShellWindows.Item 0022 EmptyParam 0029 @IntfClear 0040 TShellWindows.GetDefaultInterface 004e @CheckAutoResult 006b @VarClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48427_0 {
	meta:
		name = "TShellWindows.Item"
		size = 137
		refs = "001f @VarAddRef 0027 TShellWindows.Item 0034 @IntfClear 004b TShellWindows.GetDefaultInterface 0059 @CheckAutoResult 0076 @VarClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B F2 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48429_0 {
	meta:
		name = "TShellWindows.Register"
		size = 99
		refs = "0012 TShellWindows.Register 002c TShellWindows.GetDefaultInterface 003a @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_48432_0 {
	meta:
		name = "TShellWindows.OnNavigate"
		size = 89
		refs = "0012 TShellWindows.OnNavigate 0024 TShellWindows.GetDefaultInterface 0032 @CheckAutoResult 0047 @IntfClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48433_0 {
	meta:
		name = "TShellWindows.OnActivated"
		size = 89
		refs = "0012 TShellWindows.OnActivated 0024 TShellWindows.GetDefaultInterface 0032 @CheckAutoResult 0047 @IntfClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48434_0 {
	meta:
		name = "TShellWindows.FindWindowSW"
		size = 112
		refs = "0012 TShellWindows.FindWindowSW 0020 @IntfClear 0039 TShellWindows.GetDefaultInterface 0047 @CheckAutoResult 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_48435_0 {
	meta:
		name = "TShellWindows.OnCreated"
		size = 89
		refs = "0012 TShellWindows.OnCreated 0024 TShellWindows.GetDefaultInterface 0032 @CheckAutoResult 0047 @IntfClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48437_0 {
	meta:
		name = "CoShellUIHelper.Create"
		size = 100
		refs = "000c CoShellUIHelper.Create 001a CLASS_ShellUIHelper 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 EC F2 8D 52 19 D4 BC 40 9B 6D DC DB F9 C1 B2 5D }
	condition:
		$1
}

rule function_48438_0 {
	meta:
		name = "CoShellUIHelper.CreateRemote"
		size = 128
		refs = "0011 CoShellUIHelper.CreateRemote 0021 @WStrFromUStr 002c CLASS_ShellUIHelper 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 EC F2 8D 52 19 D4 BC 40 9B 6D DC DB F9 C1 B2 5D }
	condition:
		$1
}

rule function_48440_0 {
	meta:
		name = "TShellUIHelper.Connect"
		size = 104
		refs = "000c TShellUIHelper.Connect 0032 @IntfCast 0047 @IntfClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 58 00 75 1A 8D 55 FC 8B C3 8B 08 FF 51 44 8D 43 58 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 EC F2 8D 52 19 D4 BC 40 9B 6D DC DB F9 C1 B2 5D }
	condition:
		$1
}

rule function_48449_0 {
	meta:
		name = "TShellUIHelper.AddFavorite"
		size = 110
		refs = "0014 TShellUIHelper.AddFavorite 0022 EmptyParam 0031 TShellUIHelper.GetDefaultInterface 003f @CheckAutoResult 0054 @IntfClear 005c @VarClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48450_0 {
	meta:
		name = "TShellUIHelper.AddFavorite"
		size = 89
		refs = "0012 TShellUIHelper.AddFavorite 0024 TShellUIHelper.GetDefaultInterface 0032 @CheckAutoResult 0047 @IntfClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48451_0 {
	meta:
		name = "TShellUIHelper.AddChannel"
		size = 84
		refs = "000f TShellUIHelper.AddChannel 0020 TShellUIHelper.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48452_0 {
	meta:
		name = "TShellUIHelper.AddDesktopComponent"
		size = 130
		refs = "001a TShellUIHelper.AddDesktopComponent 0028 EmptyParam 0044 TShellUIHelper.GetDefaultInterface 0052 @CheckAutoResult 0067 @IntfClear 006f @VarClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 8D 45 F0 50 8D 45 F0 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48453_0 {
	meta:
		name = "TShellUIHelper.AddDesktopComponent"
		size = 132
		refs = "001a TShellUIHelper.AddDesktopComponent 0028 EmptyParam 0044 TShellUIHelper.GetDefaultInterface 0052 @CheckAutoResult 0067 @IntfClear 006f @VarClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 8D 45 F0 50 8B 45 08 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_48454_0 {
	meta:
		name = "TShellUIHelper.AddDesktopComponent"
		size = 132
		refs = "001a TShellUIHelper.AddDesktopComponent 0028 EmptyParam 0044 TShellUIHelper.GetDefaultInterface 0052 @CheckAutoResult 0067 @IntfClear 006f @VarClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F0 50 8B 45 08 50 8B 45 0C 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_48455_0 {
	meta:
		name = "TShellUIHelper.AddDesktopComponent"
		size = 132
		refs = "001a TShellUIHelper.AddDesktopComponent 0028 EmptyParam 0044 TShellUIHelper.GetDefaultInterface 0052 @CheckAutoResult 0067 @IntfClear 006f @VarClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_48456_0 {
	meta:
		name = "TShellUIHelper.AddDesktopComponent"
		size = 107
		refs = "0012 TShellUIHelper.AddDesktopComponent 0034 TShellUIHelper.GetDefaultInterface 0042 @CheckAutoResult 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_48457_0 {
	meta:
		name = "TShellUIHelper.IsSubscribed"
		size = 101
		refs = "0015 TShellUIHelper.IsSubscribed 002a TShellUIHelper.GetDefaultInterface 0038 @CheckAutoResult 0051 @IntfClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 56 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74314_0 {
	meta:
		name = "TCOMAdminCatalogObject.IsPropertyWriteOnly"
		size = 101
		refs = "0015 TCOMAdminCatalogObject.IsPropertyWriteOnly 002a TCOMAdminCatalogObject.GetDefaultInterface 0038 @CheckAutoResult 0051 @IntfClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 56 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48458_0 {
	meta:
		name = "TShellUIHelper.NavigateAndFind"
		size = 95
		refs = "0012 TShellUIHelper.NavigateAndFind 0028 TShellUIHelper.GetDefaultInterface 0036 @CheckAutoResult 004b @IntfClear 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_48459_0 {
	meta:
		name = "TShellUIHelper.ImportExportFavorites"
		size = 89
		refs = "0012 TShellUIHelper.ImportExportFavorites 0024 TShellUIHelper.GetDefaultInterface 0032 @CheckAutoResult 0047 @IntfClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48460_0 {
	meta:
		name = "TShellUIHelper.AutoCompleteSaveForm"
		size = 105
		refs = "0011 TShellUIHelper.AutoCompleteSaveForm 001f EmptyParam 002d TShellUIHelper.GetDefaultInterface 003b @CheckAutoResult 0050 @IntfClear 0058 @VarClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48462_0 {
	meta:
		name = "TShellUIHelper.AutoScan"
		size = 118
		refs = "001a TShellUIHelper.AutoScan 0028 EmptyParam 0038 TShellUIHelper.GetDefaultInterface 0046 @CheckAutoResult 005b @IntfClear 0063 @VarClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48463_0 {
	meta:
		name = "TShellUIHelper.AutoScan"
		size = 95
		refs = "0012 TShellUIHelper.AutoScan 0028 TShellUIHelper.GetDefaultInterface 0036 @CheckAutoResult 004b @IntfClear 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_48464_0 {
	meta:
		name = "TShellUIHelper.AutoCompleteAttach"
		size = 105
		refs = "0011 TShellUIHelper.AutoCompleteAttach 001f EmptyParam 002d TShellUIHelper.GetDefaultInterface 003b @CheckAutoResult 0050 @IntfClear 0058 @VarClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48466_0 {
	meta:
		name = "TShellUIHelper.ShowBrowserUI"
		size = 100
		refs = "0012 TShellUIHelper.ShowBrowserUI 0020 @VarClr 002d TShellUIHelper.GetDefaultInterface 003b @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_48469_0 {
	meta:
		name = "TShellUIHelper.SkipRunOnce"
		size = 79
		refs = "000c TShellUIHelper.SkipRunOnce 001c TShellUIHelper.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48470_0 {
	meta:
		name = "TShellUIHelper.CustomizeSettings"
		size = 95
		refs = "0012 TShellUIHelper.CustomizeSettings 0028 TShellUIHelper.GetDefaultInterface 0036 @CheckAutoResult 004b @IntfClear 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_48472_0 {
	meta:
		name = "TShellUIHelper.PhishingEnabled"
		size = 96
		refs = "0012 TShellUIHelper.PhishingEnabled 0026 TShellUIHelper.GetDefaultInterface 0034 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 64 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48474_0 {
	meta:
		name = "TShellUIHelper.SkipTabsWelcome"
		size = 79
		refs = "000c TShellUIHelper.SkipTabsWelcome 001c TShellUIHelper.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48475_0 {
	meta:
		name = "TShellUIHelper.DiagnoseConnection"
		size = 79
		refs = "000c TShellUIHelper.DiagnoseConnection 001c TShellUIHelper.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48477_0 {
	meta:
		name = "TShellUIHelper.IsSearchProviderInstalled"
		size = 100
		refs = "0015 TShellUIHelper.IsSearchProviderInstalled 002a TShellUIHelper.GetDefaultInterface 0038 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 56 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 78 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48481_0 {
	meta:
		name = "TShellUIHelper.RunOnceHasShown"
		size = 99
		refs = "0012 TShellUIHelper.RunOnceHasShown 0026 TShellUIHelper.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48484_0 {
	meta:
		name = "TShellUIHelper.IsServiceInstalled"
		size = 108
		refs = "0018 TShellUIHelper.IsServiceInstalled 002e TShellUIHelper.GetDefaultInterface 003f @CheckAutoResult 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 57 56 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 94 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48485_0 {
	meta:
		name = "TShellUIHelper.InPrivateFilteringEnabled"
		size = 99
		refs = "0012 TShellUIHelper.InPrivateFilteringEnabled 0026 TShellUIHelper.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 98 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48486_0 {
	meta:
		name = "TShellUIHelper.AddToFavoritesBar"
		size = 121
		refs = "001a TShellUIHelper.AddToFavoritesBar 0028 EmptyParam 0038 TShellUIHelper.GetDefaultInterface 0049 @CheckAutoResult 005e @IntfClear 0066 @VarClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 57 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48487_0 {
	meta:
		name = "TShellUIHelper.AddToFavoritesBar"
		size = 98
		refs = "0012 TShellUIHelper.AddToFavoritesBar 0028 TShellUIHelper.GetDefaultInterface 0039 @CheckAutoResult 004e @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_48488_0 {
	meta:
		name = "TShellUIHelper.BuildNewTabPage"
		size = 82
		refs = "000c TShellUIHelper.BuildNewTabPage 001c TShellUIHelper.GetDefaultInterface 002d @CheckAutoResult 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 A0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48540_0 {
	meta:
		name = "TShellNameSpace.UnselectAll"
		size = 82
		refs = "000c TShellNameSpace.UnselectAll 001c TShellNameSpace.GetDefaultInterface 002d @CheckAutoResult 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 A0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48492_0 {
	meta:
		name = "TShellUIHelper.IsSuggestedSitesEnabled"
		size = 99
		refs = "0012 TShellUIHelper.IsSuggestedSitesEnabled 0026 TShellUIHelper.GetDefaultInterface 0037 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48494_0 {
	meta:
		name = "TShellUIHelper.NavigateToSuggestedSites"
		size = 87
		refs = "000f TShellUIHelper.NavigateToSuggestedSites 0020 TShellUIHelper.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 B8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48496_0 {
	meta:
		name = "TShellUIHelper.ShowInPrivateHelp"
		size = 82
		refs = "000c TShellUIHelper.ShowInPrivateHelp 001c TShellUIHelper.GetDefaultInterface 002d @CheckAutoResult 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 C0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48497_0 {
	meta:
		name = "CoShellNameSpace.Create"
		size = 100
		refs = "000c CoShellNameSpace.Create 001a CLASS_ShellNameSpace 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 C9 D3 72 E5 BE 37 E2 4A 82 5D D5 21 76 3E 31 08 }
	condition:
		$1
}

rule function_48498_0 {
	meta:
		name = "CoShellNameSpace.CreateRemote"
		size = 128
		refs = "0011 CoShellNameSpace.CreateRemote 0021 @WStrFromUStr 002c CLASS_ShellNameSpace 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 C9 D3 72 E5 BE 37 E2 4A 82 5D D5 21 76 3E 31 08 }
	condition:
		$1
}

rule function_48500_0 {
	meta:
		name = "TShellNameSpace.Connect"
		size = 116
		refs = "000c TShellNameSpace.Connect 002c TOleServer.ConnectEvents 003c @IntfCast 0051 @IntfClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 78 00 75 24 8D 55 FC 8B C3 8B 08 FF 51 44 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 43 78 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 C9 D3 72 E5 BE 37 E2 4A 82 5D D5 21 76 3E 31 08 }
	condition:
		$1
}

rule function_48501_0 {
	meta:
		name = "TShellNameSpace.ConnectTo"
		size = 93
		refs = "000e @IntfAddRef 0016 TShellNameSpace.ConnectTo 002e @IntfCopy 0038 TOleServer.ConnectEvents 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 8D 43 78 8B 55 FC E8 ?? ?? ?? ?? 8B 53 78 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48502_0 {
	meta:
		name = "TShellNameSpace.Disconnect"
		size = 29
		refs = "000f TOleServer.DisconnectEvents 0017 @IntfClear"
	strings:
		$1 = { 53 8B D8 83 7B 78 00 74 12 8B 53 78 8B C3 E8 ?? ?? ?? ?? 8D 43 78 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_48503_0 {
	meta:
		name = "TShellNameSpace.GetDefaultInterface"
		size = 32
		refs = "0019 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 78 00 75 07 8B C3 8B 10 FF 52 4C 8B C6 8B 53 78 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48506_0 {
	meta:
		name = "TShellNameSpace.InvokeEvent"
		size = 278
		refs = "0013 TShellNameSpace.InvokeEvent 005c @VarToInteger 006a @VarToWStr 0104 @WStrArrayClr 010a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 42 83 FA 05 0F 87 C7 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 A3 00 00 00 66 83 7B 5A 00 0F 84 98 00 00 00 8B 06 83 C0 10 E8 ?? ?? ?? ?? 50 8D 45 FC 8B 16 83 C2 20 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B 16 83 C2 30 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 06 83 C0 40 E8 ?? ?? ?? ?? 50 8D 45 F4 8B 16 83 C2 50 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 06 83 C0 60 E8 ?? ?? ?? ?? 50 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 43 5C FF 53 58 EB 31 66 83 7B 62 00 74 2A 8B D3 8B 43 64 FF 53 60 EB 20 66 83 7B 6A 00 74 19 8B D3 8B 43 6C FF 53 68 EB 0F 66 83 7B 72 00 74 08 8B D3 8B 43 74 FF 53 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48507_0 {
	meta:
		name = "TShellNameSpace.Get_SubscriptionsEnabled"
		size = 96
		refs = "0012 TShellNameSpace.Get_SubscriptionsEnabled 0026 TShellNameSpace.GetDefaultInterface 0034 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74326_0 {
	meta:
		name = "TCOMAdminCatalogCollection.Get_AddEnabled"
		size = 96
		refs = "0012 TCOMAdminCatalogCollection.Get_AddEnabled 0026 TCOMAdminCatalogCollection.GetDefaultInterface 0034 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48508_0 {
	meta:
		name = "TShellNameSpace.Get_EnumOptions"
		size = 95
		refs = "0012 TShellNameSpace.Get_EnumOptions 0026 TShellNameSpace.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74329_0 {
	meta:
		name = "TCOMAdminCatalogCollection.Get_DataStoreMinorVersion"
		size = 95
		refs = "0012 TCOMAdminCatalogCollection.Get_DataStoreMinorVersion 0026 TCOMAdminCatalogCollection.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48513_0 {
	meta:
		name = "TShellNameSpace.Set_Root"
		size = 127
		refs = "001d @VarAddRef 0025 TShellNameSpace.Set_Root 0041 TShellNameSpace.GetDefaultInterface 004f @CheckAutoResult 0064 @IntfClear 006c @VarClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 64 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48514_0 {
	meta:
		name = "TShellNameSpace.Get_Depth"
		size = 95
		refs = "0012 TShellNameSpace.Get_Depth 0026 TShellNameSpace.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48518_0 {
	meta:
		name = "TShellNameSpace.Get_Flags"
		size = 95
		refs = "0012 TShellNameSpace.Get_Flags 0026 TShellNameSpace.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 78 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48523_0 {
	meta:
		name = "TShellNameSpace.Set_Columns"
		size = 87
		refs = "000f TShellNameSpace.Set_Columns 0020 TShellNameSpace.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48524_0 {
	meta:
		name = "TShellNameSpace.Get_CountViewTypes"
		size = 98
		refs = "0012 TShellNameSpace.Get_CountViewTypes 0026 TShellNameSpace.GetDefaultInterface 0037 @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48529_0 {
	meta:
		name = "TShellNameSpace.Synchronize"
		size = 79
		refs = "000c TShellNameSpace.Synchronize 001c TShellNameSpace.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48531_0 {
	meta:
		name = "TShellNameSpace.Export"
		size = 79
		refs = "000c TShellNameSpace.Export 001c TShellNameSpace.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48532_0 {
	meta:
		name = "TShellNameSpace.InvokeContextMenuCommand"
		size = 84
		refs = "000f TShellNameSpace.InvokeContextMenuCommand 0020 TShellNameSpace.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74283_0 {
	meta:
		name = "TCOMAdminCatalog.ShutdownApplication"
		size = 84
		refs = "000f TCOMAdminCatalog.ShutdownApplication 0020 TCOMAdminCatalog.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48533_0 {
	meta:
		name = "TShellNameSpace.MoveSelectionTo"
		size = 79
		refs = "000c TShellNameSpace.MoveSelectionTo 001c TShellNameSpace.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_48535_0 {
	meta:
		name = "TShellNameSpace.DeleteSubscriptionForSelection"
		size = 96
		refs = "0012 TShellNameSpace.DeleteSubscriptionForSelection 0026 TShellNameSpace.GetDefaultInterface 0034 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48537_0 {
	meta:
		name = "TShellNameSpace.SetViewType"
		size = 87
		refs = "000f TShellNameSpace.SetViewType 0020 TShellNameSpace.GetDefaultInterface 0031 @CheckAutoResult 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 94 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48539_0 {
	meta:
		name = "TShellNameSpace.Expand"
		size = 133
		refs = "001f @VarAddRef 0027 TShellNameSpace.Expand 0044 TShellNameSpace.GetDefaultInterface 0055 @CheckAutoResult 006a @IntfClear 0072 @VarClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B F2 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48541_0 {
	meta:
		name = "CoCScriptErrorList.Create"
		size = 100
		refs = "000c CoCScriptErrorList.Create 001a CLASS_CScriptErrorList 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 24 0F 47 F3 FD 15 D2 11 BB 2E 00 80 5F F7 EF CA }
	condition:
		$1
}

rule function_48542_0 {
	meta:
		name = "CoCScriptErrorList.CreateRemote"
		size = 128
		refs = "0011 CoCScriptErrorList.CreateRemote 0021 @WStrFromUStr 002c CLASS_CScriptErrorList 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 24 0F 47 F3 FD 15 D2 11 BB 2E 00 80 5F F7 EF CA }
	condition:
		$1
}

rule function_48545_0 {
	meta:
		name = "TSimpleDataSet.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TCustomClientDataSet.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 5C 03 00 00 8B C6 8B 10 FF 92 58 03 00 00 8B C6 8B 10 FF 92 54 03 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48547_0 {
	meta:
		name = "TSimpleDataSet.FetchParams"
		size = 45
		refs = "0006 TCustomClientDataSet.GetHasAppServer 0020 TCustomClientDataSet.SetProvider 0027 TCustomClientDataSet.FetchParams"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 16 83 BB 1C 03 00 00 00 74 0D 8B 93 1C 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_48548_0 {
	meta:
		name = "TSimpleDataSet.Loaded"
		size = 45
		refs = "0006 TCustomClientDataSet.Loaded 0027 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 14 03 00 00 3B 83 10 03 00 00 74 13 8D 83 14 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_48549_0 {
	meta:
		name = "TSimpleDataSet.AllocConnection"
		size = 136
		refs = "0009 _Dn_TSQLConnection 000e TSQLConnection.Create 0021 TSimpleDataSet.AllocConnection 0039 TComponent.SetSubComponent"
	strings:
		$1 = { 53 56 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E 10 03 00 00 89 9E 14 03 00 00 BA ?? ?? ?? ?? 8B 86 10 03 00 00 8B 08 FF 51 24 B2 01 8B 86 10 03 00 00 E8 ?? ?? ?? ?? 8B 96 10 03 00 00 8B 86 18 03 00 00 8B 08 FF 91 D0 02 00 00 5E 5B C3 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_48550_0 {
	meta:
		name = "TSimpleDataSet.AllocDataSet"
		size = 136
		refs = "0009 _DV_TInternalSQLDataSet 000e TCustomSQLDataSet.Create 001b TSimpleDataSet.AllocDataSet 0043 TComponent.SetSubComponent 0054 TDataSetProvider.SetDataSet"
	strings:
		$1 = { 53 56 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 18 03 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8B 93 10 03 00 00 8B 83 18 03 00 00 8B 08 FF 91 D0 02 00 00 B2 01 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 8B 93 18 03 00 00 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_48551_0 {
	meta:
		name = "TSimpleDataSet.AllocProvider"
		size = 132
		refs = "0009 _Dn_TDataSetProvider 000e TDataSetProvider.Create 0023 TDataSetProvider.SetDataSet 0028 TSimpleDataSet.AllocProvider 0040 TComponent.SetSubComponent 004d TCustomClientDataSet.SetProvider"
	strings:
		$1 = { 53 56 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 1C 03 00 00 8B 93 18 03 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 1C 03 00 00 8B 08 FF 51 24 B2 01 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 8B 93 1C 03 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 50 00 72 00 6F 00 76 00 69 00 64 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_48552_0 {
	meta:
		name = "TSimpleDataSet.Notification"
		size = 58
		refs = "0010 TCustomClientDataSet.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? F6 47 1C 08 75 1C 80 FB 01 75 17 3B B7 10 03 00 00 75 0F 3B 7E 04 74 0A 8B C7 8B 10 FF 92 54 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48553_0 {
	meta:
		name = "TSimpleDataSet.OpenCursor"
		size = 134
		refs = "000f TSimpleDataSet.OpenCursor 0028 TCustomClientDataSet.SetProvider 003e SCircularProvider 0043 LoadResString 004d _Dn_Exception 0052 Exception.Create 0057 @RaiseExcept 0060 TCustomClientDataSet.OpenCursor 0075 @UStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 1C 03 00 00 85 C0 74 09 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 86 1C 03 00 00 3B B0 00 01 00 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48554_0 {
	meta:
		name = "TSimpleDataSet.SetConnection"
		size = 137
		refs = "002c TComponent.RemoveFreeNotification 005f TObject.Free 006e TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B DA 8B F0 3B 9E 10 03 00 00 74 78 85 DB 75 09 83 BE 14 03 00 00 00 75 6B 8B 86 10 03 00 00 3B 86 14 03 00 00 74 07 8B D6 E8 ?? ?? ?? ?? 85 DB 75 0C 8B C6 8B 10 FF 92 54 03 00 00 EB 46 8B 86 14 03 00 00 85 C0 74 19 F6 40 1C 01 75 13 8D 86 14 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 89 86 10 03 00 00 8B D6 E8 ?? ?? ?? ?? 8B 96 10 03 00 00 8B 86 18 03 00 00 8B 08 FF 91 D0 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_48555_0 {
	meta:
		name = "TSimpleDataSet.PSGetCommandText"
		size = 132
		refs = "000f TSimpleDataSet.PSGetCommandText 001d @IntfClear 002f Supports 004c @UStrFromWStr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 1C EB 0D 8B C6 8B 93 A4 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 84 F6 F8 7A 60 06 B5 47 A1 B3 E1 68 D2 AC B9 08 }
	condition:
		$1
}

rule function_48563_0 {
	meta:
		name = "FullyQualifiedName"
		size = 484
		refs = "001f FullyQualifiedName 002c @UStrClr 004e @IntfClear 0063 Supports 00bf @UStrCatN 00cd @UStrCat3 00ef @CallDynaInst 016e @UStrArrayClr 0184 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 88 55 F7 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B 43 04 89 45 F0 85 DB 0F 84 BF 00 00 00 83 7D F0 00 75 06 8B 43 04 89 45 F0 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 7D 83 3F 00 74 61 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 32 8D 55 EC 8B 45 F8 8B 08 FF 51 0C 83 7D EC 00 74 21 8D 55 E8 8B 45 F8 8B 08 FF 51 0C FF 75 E8 68 ?? ?? ?? ?? FF 37 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 0F 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC 8B 08 FF 51 0C 8B 55 E4 8B 0F 8B C7 E8 ?? ?? ?? ?? 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 41 FF FF FF 0F B6 45 F7 2C 01 72 04 74 2D EB 4F 83 7D F0 00 74 49 83 3F 00 74 44 68 ?? ?? ?? ?? 8B 45 F0 FF 70 08 68 ?? ?? ?? ?? FF 37 8B C7 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 24 83 7D F0 00 74 1E 83 3F 00 74 19 8B 45 F0 FF 70 08 68 ?? ?? ?? ?? FF 37 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 00 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 AC B5 A3 14 5C 7A 79 42 BB 7C B3 D6 E2 ED D7 F1 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 6F 00 64 00 75 00 6C 00 65 00 73 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_48573_0 {
	meta:
		name = "GetWebEndUser"
		size = 144
		refs = "000c GetWebEndUser 0019 @IntfClear 001e WebContext 004b Supports 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 37 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 3C 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 0D 2F CD 19 8F E6 6F 4A 92 AA 4C 76 59 E8 37 08 }
	condition:
		$1
}

rule function_48574_0 {
	meta:
		name = "Finalization"
		size = 186
		refs = "0007 Finalization 0013 _DV_01 001e AdapterInputHTMLElementTypeNames 0029 string 002e @FinalizeArray 0033 AdapterDisplayHTMLElementTypeNames 0048 AdapterActionHTMLElementTypeNames 005d AdapterDisplayViewModeTypeNames 0072 InetFileTypes 0077 @IntfClear 007c ScriptDebugger 0086 InternetEnvOptions 0090 ExecuteScript 009a IDEFileManager 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 86 00 00 00 B8 ?? ?? ?? ?? B9 09 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_48578_0 {
	meta:
		name = "TBaseAdapterPageProducer.DoTagEvent"
		size = 520
		refs = "0020 TBaseAdapterPageProducer.DoTagEvent 0039 CompareText 0055 @UStrAsg 00a1 TComponentsPageProducer.DoTagEvent 0113 @UStrCatN 0142 Format 0167 TObject.Free 016d @HandleFinally 0189 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D E4 89 5D E8 89 4D F8 88 55 FF 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D FF 00 75 2E BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 1D 8B BE 80 00 00 00 85 FF 0F 84 24 01 00 00 8B C3 8B 57 08 E8 ?? ?? ?? ?? E9 15 01 00 00 80 7D FF 00 75 2E BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 1D 8B BE 80 00 00 00 85 FF 0F 84 F0 00 00 00 8B C3 8B 57 04 E8 ?? ?? ?? ?? E9 E1 00 00 00 8B 45 0C 50 53 0F B6 55 FF 8B 4D F8 8B C6 E8 ?? ?? ?? ?? F6 46 1C 10 0F 84 C4 00 00 00 83 3B 00 0F 85 BB 00 00 00 8D 55 EF 8B C6 8B 08 FF 51 6C 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 F6 40 04 01 75 74 8B 45 0C 8B 10 FF 52 14 8B F0 4E 85 F6 7C 32 46 C7 45 F4 00 00 00 00 FF 33 68 ?? ?? ?? ?? 8D 4D E8 8B 55 F4 8B 45 0C 8B 38 FF 57 0C FF 75 E8 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 F4 4E 75 D6 8D 45 E4 50 8B 45 F8 89 45 D4 C6 45 D8 11 8B 03 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D EF 00 74 08 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 57 00 41 00 52 00 4E 00 49 00 4E 00 47 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 54 00 59 00 4C 00 45 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 23 00 25 00 73 00 25 00 73 00 3E 00 00 00 }
	condition:
		$1
}

rule function_48579_0 {
	meta:
		name = "TBaseAdapterPageProducer.HandleScriptTag"
		size = 140
		refs = "000d TBaseAdapterPageProducer.HandleScriptTag 0014 CompareText 0042 @UStrCatN"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 33 DB BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 C0 75 2A 8B BE 80 00 00 00 85 FF 0F 95 C3 84 DB 74 1B 68 ?? ?? ?? ?? FF 77 14 FF 77 10 FF 77 0C 8B 45 08 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 45 00 52 00 56 00 45 00 52 00 53 00 43 00 52 00 49 00 50 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_48582_0 {
	meta:
		name = "TBaseAdapterPageProducer.DeclareStyles"
		size = 239
		refs = "0013 TBaseAdapterPageProducer.DeclareStyles 0035 _Dn_TFileStream 003a TFileStream.Create 005c @UStrSetLength 006c @UStrToPWChar 008b FormatStyles 00a0 TObject.Free 00a6 @HandleFinally 00d5 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 88 00 00 00 00 0F 84 82 00 00 00 6A 20 8B 8B 88 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 12 8B D0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 12 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 59 8B 18 FF 53 0C 8B D0 8D 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 F4 8B 83 84 00 00 00 8B 08 FF 51 1C 8B 45 F4 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48583_0 {
	meta:
		name = "TBaseAdapterPageProducer.DeclareScriptFunctions"
		size = 156
		refs = "0017 TBaseAdapterPageProducer.DeclareScriptFunctions 0024 @UStrClr 002c TGeneratedFunctions.GetItemCount 0045 TGeneratedFunctions.GetScript 0059 @UStrCatN 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2A 43 33 FF FF 36 8D 4D F8 8B D7 8B 45 FC E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 47 4B 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_48584_0 {
	meta:
		name = "TBaseAdapterPageProducer.DeclareScriptVariables"
		size = 240
		refs = "0017 TBaseAdapterPageProducer.DeclareScriptVariables 0024 @UStrClr 005f @UStrCatN 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 32 46 C7 45 F8 00 00 00 00 FF 33 8D 4D F4 8B 55 F8 8B 45 FC 8B 38 FF 57 0C FF 75 F4 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 F8 4E 75 D6 83 3B 00 74 1D 68 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 25 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 25 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_48588_0 {
	meta:
		name = "TFormRequirements.Create"
		size = 74
		refs = "000a @ClassCreate 0015 _Dn_TGeneratedFunctions 001a TGeneratedFunctions.Create 0024 _Dn_TStringList 0029 TStringList.Create 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48589_0 {
	meta:
		name = "TFormRequirements.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001a TObject.Free 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48590_0 {
	meta:
		name = "TFormRequirements.AddObject"
		size = 272
		refs = "0014 TFormRequirements.AddObject 0022 @IntfClear 0030 Supports 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B 45 FC 8B 08 FF 51 0C EB 67 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 4D 8B 45 F8 8B 10 FF 52 0C 50 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 83 7D F4 00 74 29 8B 45 F4 8B 10 FF 52 0C 8B F0 4E 85 F6 7C 1A 46 33 FF 8B D7 8B 45 F4 8B 08 FF 51 10 8B D0 8B C3 E8 ?? ?? ?? ?? 47 4E 75 E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 6A BD 90 C9 50 92 70 4C B8 73 F5 4B 3A 71 DA DD F2 B0 DE 5C F9 EE D2 11 AF B1 00 C0 4F B1 6E C3 12 7E 95 44 39 E0 D2 11 AA 46 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_48591_0 {
	meta:
		name = "TBaseAdapterPageProducer.GeneratePageElements"
		size = 640
		refs = "001a TBaseAdapterPageProducer.GeneratePageElements 0047 TWebComponentList.GetCount 005e TWebComponentList.GetComponent 006e @IntfClear 007b Supports 00a4 @UStrCat 00c7 @UStrAsg 00ce _DV_TFormRequirements 00d3 TFormRequirements.Create 0110 TFormRequirements.AddObject 0125 TBaseAdapterPageProducer.DeclareScriptFunctions 014a TBaseAdapterPageProducer.DeclareScriptVariables 0173 TObject.Free 0179 @HandleFinally 018f _Dn_TDesigntimeWarnings 0194 TDesigntimeWarnings.Create 0254 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F3 8B 45 F8 8B 08 FF 51 6C 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 70 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 5A 43 33 F6 8B 45 F8 8B 40 70 8B D6 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 25 8D 45 E4 50 33 C9 8B 55 F4 8B 45 FC 8B 38 FF 57 0C 8B 55 E4 8B 45 F8 8B 80 80 00 00 00 83 C0 0C E8 ?? ?? ?? ?? 46 4B 75 A9 8D 55 E0 8B 45 F8 8B 08 FF 51 78 8B 55 E0 8B 45 F8 8B 80 80 00 00 00 83 C0 04 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 70 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1E 43 33 F6 8B 45 F8 8B 40 70 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 E8 E8 ?? ?? ?? ?? 46 4B 75 E5 8D 4D DC 8B 45 E8 8B 50 04 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 8B 80 80 00 00 00 83 C0 10 E8 ?? ?? ?? ?? 8D 4D D8 8B 45 E8 8B 50 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F8 8B 80 80 00 00 00 83 C0 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 F6 40 1C 10 0F 84 8F 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 70 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1E 43 33 F6 8B 45 F8 8B 40 70 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 08 FF 51 04 46 4B 75 E5 8D 4D D4 8B 45 EC 8B 50 04 8B 45 F8 8B 18 FF 53 7C 8B 55 D4 8B 45 F8 8B 80 80 00 00 00 83 C0 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F3 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 D1 1C 3E 1B 59 DF D2 11 AA 45 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_48592_0 {
	meta:
		name = "TBaseAdapterPageProducer.Create"
		size = 112
		refs = "000a @ClassCreate 0017 TBasePageItemsProducer.Create 001e _Dn_TStringList 0023 TStringList.Create 0031 TBaseAdapterPageProducer.Create 0036 @UStrAsg 0041 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 84 00 00 00 8D 46 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 4A 00 53 00 63 00 72 00 69 00 70 00 74 00 00 00 }
	condition:
		$1
}

rule function_48594_0 {
	meta:
		name = "TBaseAdapterPageProducer.GetDefaultTemplate"
		size = 340
		refs = "0008 TBaseAdapterPageProducer.GetDefaultTemplate 0040 Format"
	strings:
		$1 = { 53 83 C4 E8 8B DA 53 B8 ?? ?? ?? ?? 89 44 24 04 C6 44 24 08 11 B8 ?? ?? ?? ?? 89 44 24 0C C6 44 24 10 11 B8 ?? ?? ?? ?? 89 44 24 14 C6 44 24 18 11 8D 54 24 04 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 54 00 59 00 4C 00 45 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 57 00 41 00 52 00 4E 00 49 00 4E 00 47 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 45 00 52 00 56 00 45 00 52 00 53 00 43 00 52 00 49 00 50 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 4A 00 00 00 3C 00 68 00 74 00 6D 00 6C 00 3E 00 0D 00 0A 00 3C 00 68 00 65 00 61 00 64 00 3E 00 0D 00 0A 00 3C 00 2F 00 68 00 65 00 61 00 64 00 3E 00 0D 00 0A 00 3C 00 62 00 6F 00 64 00 79 00 3E 00 0D 00 0A 00 3C 00 23 00 25 00 30 00 3A 00 73 00 3E 00 3C 00 23 00 25 00 31 00 3A 00 73 00 3E 00 3C 00 23 00 25 00 32 00 3A 00 73 00 3E 00 0D 00 0A 00 3C 00 2F 00 62 00 6F 00 64 00 79 00 3E 00 0D 00 0A 00 3C 00 2F 00 68 00 74 00 6D 00 6C 00 3E 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_48595_0 {
	meta:
		name = "TBaseAdapterPageProducer.GetRequiredTags"
		size = 232
		refs = "0008 TBaseAdapterPageProducer.GetRequiredTags 0040 Format"
	strings:
		$1 = { 53 83 C4 E8 8B DA 53 B8 ?? ?? ?? ?? 89 44 24 04 C6 44 24 08 11 B8 ?? ?? ?? ?? 89 44 24 0C C6 44 24 10 11 B8 ?? ?? ?? ?? 89 44 24 14 C6 44 24 18 11 8D 54 24 04 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 54 00 59 00 4C 00 45 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 57 00 41 00 52 00 4E 00 49 00 4E 00 47 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 45 00 52 00 56 00 45 00 52 00 53 00 43 00 52 00 49 00 50 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 3C 00 23 00 25 00 30 00 3A 00 73 00 3E 00 3C 00 23 00 25 00 31 00 3A 00 73 00 3E 00 3C 00 23 00 25 00 32 00 3A 00 73 00 3E 00 00 00 }
	condition:
		$1
}

rule function_48598_0 {
	meta:
		name = "TBaseAdapterPageProducer.SetStyles"
		size = 33
		refs = "001a @UStrClr"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 84 00 00 00 8B 08 FF 51 08 8D 86 88 00 00 00 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_48599_0 {
	meta:
		name = "TBaseAdapterPageProducer.SetStylesFile"
		size = 50
		refs = "000f CompareText 002b @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 18 8B 83 84 00 00 00 8B 10 FF 52 44 8D 83 88 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48600_0 {
	meta:
		name = "TBaseAdapterPageProducer.ContentFromStream"
		size = 468
		refs = "001e TBaseAdapterPageProducer.ContentFromStream 002b @UStrClr 0043 TBaseAdapterPageProducer.LockContent 0075 TBaseAdapterPageProducer.DoBeforeGetContent 008e TCustomContentProducer.GetDispatcher 010d TBasePageProducer.ServerScriptFromStream 011b TBasePageProducer.ContentFromStream 013d TObject.Free 0143 @HandleFinally 015a TBaseAdapterPageProducer.DoAfterGetContent 019a TBaseAdapterPageProducer.UnlockContent 01b8 IWebDispatcherAccess 01c2 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D F0 89 5D E8 89 5D EC 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 A0 00 00 00 00 0F 85 67 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F7 8B 45 FC 8B 08 FF 51 6C 89 45 F8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 83 7D F0 00 74 33 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 10 85 C0 74 1C 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 10 8B 10 FF 52 40 84 C0 75 7E 8B 45 FC 8B 10 FF 92 80 00 00 00 8B 55 FC 89 82 80 00 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 10 FF 52 74 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 F6 40 04 04 74 0E 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 0C 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 80 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F7 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48601_0 {
	meta:
		name = "TBaseAdapterPageProducer.LockContent"
		size = 7
	strings:
		$1 = { FF 80 A0 00 00 00 C3 }
	condition:
		$1
}

rule function_48602_0 {
	meta:
		name = "TBaseAdapterPageProducer.UnlockContent"
		size = 7
	strings:
		$1 = { FF 88 A0 00 00 00 C3 }
	condition:
		$1
}

rule function_48604_0 {
	meta:
		name = "TBaseAdapterPageProducer.DoBeforeGetContent"
		size = 29
		altNames = "TCustomIpClient.DoConnect TXMLDocument.DoAfterClose"
	strings:
		$1 = { 53 66 83 B8 92 00 00 00 00 74 10 8B D8 8B D0 8B 83 94 00 00 00 FF 93 90 00 00 00 5B C3 }
	condition:
		$1
}

rule function_48605_0 {
	meta:
		name = "TBaseAdapterPageProducer.GetContentOptions"
		size = 44
		refs = "0016 TBaseAdapterPageProducer.GetContentOptions 001d _Dn_TWebContentOptions 0022 TWebContentOptions.Create"
	strings:
		$1 = { 8B 88 A4 00 00 00 85 C9 74 06 C6 02 00 8B C1 C3 C6 02 01 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_48606_0 {
	meta:
		name = "TCustomAdapterPageProducer.Create"
		size = 156
		refs = "0015 @ClassCreate 0022 TCustomAdapterPageProducer.Create 0031 TBaseAdapterPageProducer.Create 0038 _Dn_TStringList 003d TStringList.Create 0071 @UStrClr 0077 @HandleFinally 0086 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E BC 00 00 00 8D 55 F8 8B C6 8B 08 FF 91 84 00 00 00 8B 55 F8 8B C3 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48607_0 {
	meta:
		name = "TCustomAdapterPageProducer.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TBaseAdapterPageProducer.Destroy 001d TObject.Free 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 BC 00 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48608_0 {
	meta:
		name = "TCustomAdapterPageProducer.SetHTMLDoc"
		size = 33
		refs = "001a @UStrClr"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 BC 00 00 00 8B 08 FF 51 08 8D 86 B8 00 00 00 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_48609_0 {
	meta:
		name = "TCustomAdapterPageProducer.SetHTMLFile"
		size = 50
		refs = "000f CompareText 002b @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 18 8B 83 BC 00 00 00 8B 10 FF 52 44 8D 83 B8 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48611_0 {
	meta:
		name = "TCustomAdapterPageProducer.GetTemplateStream"
		size = 282
		refs = "0016 TCustomAdapterPageProducer.GetTemplateStream 0034 GetLocateFileService 0040 @IntfCopy 0072 TBasePageProducer.GetProducerTemplateFileName 007c _Dn_TFileStream 0081 TFileStream.Create 00a4 Trim 00bd TEncoding.GetUTF8 00ca _Dn_TStringStream 00cf TStringStream.Create 00eb @UStrArrayClr 00f4 ILocateFileService 00fe @FinalizeArray 0106 @UStrClr 010c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 06 01 8B 45 FC 83 B8 B8 00 00 00 00 74 5D 55 8D 45 F0 E8 ?? ?? ?? ?? 59 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 74 19 56 8B 45 FC 8B 88 B8 00 00 00 8B 55 FC 8B 45 F4 8B 18 FF 53 0C 8B D8 EB 02 33 DB 85 DB 75 6C 6A 20 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 C6 06 01 EB 49 8D 55 F8 8B 45 FC 8B 80 BC 00 00 00 8B 08 FF 51 1C 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 83 7D E8 00 75 0E 8D 55 F8 8B 45 FC 8B 08 FF 91 84 00 00 00 E8 ?? ?? ?? ?? 50 6A 01 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48612_0 {
	meta:
		name = "TCustomAdapterPageProducer.WebContent"
		size = 116
		refs = "0027 TCustomAdapterPageProducer.WebContent 0056 TObject.Free 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B DA 89 45 FC 8D 55 F7 8B 45 FC 8B 08 FF 51 60 89 45 F8 8B 45 FC 89 98 A4 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B 55 F8 8B 45 FC 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F7 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 A4 00 00 00 C3 E9 ?? ?? ?? ?? EB DF 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_48613_0 {
	meta:
		name = "TBaseAdapterPageProducer.SetWebContentOptions"
		size = 7
	strings:
		$1 = { 89 90 A4 00 00 00 C3 }
	condition:
		$1
}

rule function_48614_0 {
	meta:
		name = "TBaseAdapterPageProducer.GetScriptEngines"
		size = 52
		refs = "000b TBaseAdapterPageProducer.GetScriptEngines"
	strings:
		$1 = { 53 8B DA 8B C3 8B 10 FF 52 44 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 4A 00 53 00 43 00 52 00 49 00 50 00 54 00 00 00 }
	condition:
		$1
}

rule function_48621_0 {
	meta:
		name = "TBaseAdapterPageProducer.GetTemplateFileType"
		size = 44
		refs = "0006 TBaseAdapterPageProducer.GetTemplateFileType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 54 00 4D 00 4C 00 00 00 00 00 }
	condition:
		$1
}

rule function_98380_0 {
	meta:
		name = "TSitePageModuleHelper.GetTemplateFileType"
		size = 44
		refs = "0006 TSitePageModuleHelper.GetTemplateFileType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 54 00 4D 00 4C 00 00 00 00 00 }
	condition:
		$1
}

rule function_48624_0 {
	meta:
		name = "TFormRequirements.IsVariableDefined"
		size = 23
		altNames = "TGeneratedFunctions.Exists"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 08 8B 08 FF 51 54 40 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_48627_0 {
	meta:
		name = "EncodePacket"
		size = 129
		refs = "000f EncodeTable"
	strings:
		$1 = { 53 51 89 04 24 0F B6 04 24 C1 E8 02 0F B6 80 ?? ?? ?? ?? 88 01 0F B6 04 24 C1 E0 04 0F B6 5C 24 01 C1 EB 04 0B C3 83 E0 3F 0F B6 80 ?? ?? ?? ?? 88 41 01 83 FA 02 7D 06 C6 41 02 3D EB 20 0F B6 44 24 01 03 C0 03 C0 0F B6 5C 24 02 C1 EB 06 0B C3 83 E0 3F 0F B6 80 ?? ?? ?? ?? 88 41 02 83 FA 03 7D 07 C6 41 03 3D 5A 5B C3 0F B6 44 24 02 24 3F 0F B6 C0 0F B6 80 ?? ?? ?? ?? 88 41 03 5A 5B C3 }
	condition:
		$1
}

rule function_48628_0 {
	meta:
		name = "DecodePacket"
		size = 134
		refs = "000d DecodeTable"
	strings:
		$1 = { 53 56 57 51 8B F2 0F B6 10 0F B6 14 95 ?? ?? ?? ?? 03 D2 03 D2 0F B6 78 01 8B 0C BD ?? ?? ?? ?? C1 E9 04 0A D1 88 14 24 C7 06 01 00 00 00 0F B6 50 02 80 FA 3D 74 20 FF 06 0F B6 0C BD ?? ?? ?? ?? C1 E1 04 0F B6 DA 8B 1C 9D ?? ?? ?? ?? C1 EB 02 0A CB 88 4C 24 01 0F B6 48 03 80 F9 3D 74 1E FF 06 0F B6 D2 0F B6 14 95 ?? ?? ?? ?? C1 E2 06 0F B6 C1 0A 14 85 ?? ?? ?? ?? 88 54 24 02 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48629_0 {
	meta:
		name = "EncodeStream"
		size = 219
		refs = "0083 EncodePacket"
	strings:
		$1 = { 53 56 57 55 81 C4 EC F9 FF FF 89 54 24 04 89 04 24 33 C0 89 44 24 08 8D 54 24 14 B9 FE 01 00 00 8B 04 24 8B 18 FF 53 0C 89 44 24 0C 33 DB 8D B4 24 12 02 00 00 3B 5C 24 0C 7D 74 8B 6C 24 0C 2B EB 83 FD 03 7D 04 8B FD EB 05 BF 03 00 00 00 33 C0 89 44 24 10 0F B6 44 1C 14 88 44 24 10 83 FF 01 7E 09 0F B6 44 1C 15 88 44 24 11 83 FF 02 7E 09 0F B6 44 1C 16 88 44 24 12 8B CE 8B D7 8B 44 24 10 E8 ?? ?? ?? ?? 83 C3 03 83 C6 04 83 44 24 08 04 83 7C 24 08 4B 7E 10 C6 06 0D C6 46 01 0A 83 C6 02 33 C0 89 44 24 08 3B 5C 24 0C 7C 8C 8D 84 24 12 02 00 00 8B CE 2B C8 8B D0 8B 44 24 04 8B 18 FF 53 10 83 7C 24 0C 00 0F 85 47 FF FF FF 81 C4 14 06 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48630_0 {
	meta:
		name = "SkipWhite"
		size = 89
		refs = "0041 TStream.GetPosition 0050 TStream.SetPosition"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 08 83 C6 B0 8D 55 FF 8B 06 B9 01 00 00 00 8B 18 FF 53 0C 8B D8 4B 75 34 0F B6 45 FF 2C 2B 74 16 04 FC 2C 0B 72 10 2C 03 74 0C 04 FC 2C 1A 72 06 04 FA 2C 1A 73 CE 8B 06 E8 ?? ?? ?? ?? 83 E8 01 83 DA 00 52 50 8B 06 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48631_0 {
	meta:
		name = "ReadInput"
		size = 150
		refs = "0073 Move"
	strings:
		$1 = { 55 8B EC 51 53 56 57 33 F6 33 DB B9 4C 00 00 00 2B CE 8B 45 08 8D 54 30 B4 8B 45 08 8B 40 B0 8B 38 FF 57 0C BA 4C 00 00 00 2B D6 3B C2 0F 9C 45 FF 8B FE 03 F0 3B F7 7E 47 8B 45 08 0F B6 44 38 B4 2C 2B 74 36 04 FC 2C 0B 72 30 2C 03 74 2C 04 FC 2C 1A 72 26 04 FA 2C 1A 72 20 4E 3B F7 7E 17 8B CE 2B CF 8B 45 08 8D 54 38 B4 8B 45 08 8D 44 38 B5 E8 ?? ?? ?? ?? B3 01 EB 01 47 3B F7 7F B9 84 DB 74 0A 80 7D FF 00 0F 84 7B FF FF FF 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48632_0 {
	meta:
		name = "DecodeStream"
		size = 144
		refs = "0014 SkipWhite 001b ReadInput 003f DecodePacket"
	strings:
		$1 = { 55 8B EC 81 C4 5C FF FF FF 53 56 57 89 55 AC 89 45 B0 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 89 45 A0 8D 7D B4 8D B5 5F FF FF FF 33 C0 89 45 A8 8B 45 A8 3B 45 A0 7D 36 8D 55 A4 8B C7 E8 ?? ?? ?? ?? 89 45 9C 33 DB 83 7D A4 00 7E 12 0F B6 44 1D 9C 88 06 46 FF 4D A4 43 83 7D A4 00 7F EE 83 C7 04 83 45 A8 04 8B 45 A8 3B 45 A0 7C CA 8D 85 5F FF FF FF 8B CE 2B C8 8B D0 8B 45 AC 8B 18 FF 53 10 83 7D A0 00 75 89 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48633_0 {
	meta:
		name = "EncodeString"
		size = 155
		refs = "000e _Dn_TStringStream 0013 TStringStream.Create 001e EncodeString 004e EncodeStream 0058 TStringStream.GetDataString 006d TObject.Free 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48634_0 {
	meta:
		name = "DecodeString"
		size = 155
		refs = "000e _Dn_TStringStream 0013 TStringStream.Create 001e DecodeString 004e DecodeStream 0058 TStringStream.GetDataString 006d TObject.Free 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48635_0 {
	meta:
		name = "TPointerStream.Create"
		size = 62
		refs = "000d @ClassCreate 001d TCustomMemoryStream.SetPointer 0028 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D1 8B C6 8B 4D 08 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_48636_0 {
	meta:
		name = "TPointerStream.Write"
		size = 106
		refs = "000f TStream.GetPosition 002c SMemoryStreamError 0033 _Dn_EStreamError 0038 Exception.CreateRes 003d @RaiseExcept 004e Move 005a TStream.SetPosition"
	strings:
		$1 = { 53 56 57 55 51 8B F9 89 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 49 85 FF 7E 45 8D 2C 37 8B C3 8B 10 FF 12 3B C5 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B D0 03 D6 8B 04 24 8B CF E8 ?? ?? ?? ?? 8B C6 99 52 50 8B C3 E8 ?? ?? ?? ?? 8B C7 EB 02 33 C0 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48637_0 {
	meta:
		name = "DecodeBase64"
		size = 227
		refs = "0020 @LStrToPChar 0029 _DV_TPointerStream 002e TPointerStream.Create 0039 DecodeBase64 0046 _Dn_TBytesStream 004b TObject.Create 0067 DecodeStream 0076 TArray<System.Byte> 007b @DynArrayAsg 009a TObject.Free 00a0 @HandleFinally 00d6 @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 55 FC 8B F0 89 75 EC 8B 5D EC 85 DB 74 05 83 EB 04 8B 1B 53 8B C6 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 8B 52 14 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 12 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48638_0 {
	meta:
		name = "EncodeBase64"
		size = 168
		refs = "000d _DV_TPointerStream 0014 TPointerStream.Create 001f EncodeBase64 002c _Dn_TBytesStream 0031 TObject.Create 004d EncodeStream 0065 @LStrFromPCharLen 007a TObject.Free 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D9 52 8B C8 A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8B 45 F8 8B 10 FF 12 8B C8 8B 45 F8 8B 50 04 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48641_0 {
	meta:
		name = "THTTPSOAPToPasBind.BindToPascalByAction"
		size = 101
		refs = "000f THTTPSOAPToPasBind.BindToPascalByAction 0028 @UStrFromLStr 0031 InvRegistry 0039 TInvokableClassRegistry.GetInfoForURI 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 45 0C 50 8B 45 08 50 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 33 D2 59 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_48642_0 {
	meta:
		name = "THTTPSOAPToPasBind.BindToPascalByPath"
		size = 101
		refs = "000f THTTPSOAPToPasBind.BindToPascalByPath 0028 @UStrFromLStr 0031 InvRegistry 0039 TInvokableClassRegistry.GetInfoForURI 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 45 0C 50 8B 45 08 50 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_48645_0 {
	meta:
		name = "TStreamLoader.Create"
		size = 87
		refs = "000a @ClassCreate 0017 TObject.Create 0020 _Dn_THTTPReqResp 0025 THTTPReqResp.Create 0039 @IntfCopy 0044 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 28 FF FF FF 8D 46 0C E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48647_0 {
	meta:
		name = "LoadFromURL"
		size = 237
		refs = "0010 @UStrAddRef 001e LoadFromURL 0036 THTTPReqResp.SetURL 004a THTTPReqResp.SetUsername 005e THTTPReqResp.SetPassword 0072 THTTPReqResp.SetProxy 00db @UStrClr 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 5D 08 83 C3 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B 40 0C 8B 10 FF 52 0C 8B 55 FC E8 ?? ?? ?? ?? 8B 03 8B 40 0C 8B 10 FF 52 0C 8B 13 8B 52 14 E8 ?? ?? ?? ?? 8B 03 8B 40 0C 8B 10 FF 52 0C 8B 13 8B 52 18 E8 ?? ?? ?? ?? 8B 03 8B 40 0C 8B 10 FF 52 0C 8B 13 8B 52 10 E8 ?? ?? ?? ?? 8B 03 8B 70 1C 85 F6 74 3A 8B 03 8B 40 0C 8B 10 FF 52 0C 89 B0 84 00 00 00 8B 03 8B 40 0C 8B 10 FF 52 0C 8B 13 8B 52 1C 89 90 88 00 00 00 8B 03 8B 40 0C 8B 10 FF 52 0C 8B 13 8B 52 1C 89 90 8C 00 00 00 8B 03 8B 40 0C 8B 10 FF 52 0C 8B D7 8B 08 FF 51 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48648_0 {
	meta:
		name = "isHTTP"
		size = 332
		refs = "0012 isHTTP 002d @WStrCopy 0038 @UStrFromWStr 0045 @UStrLAsg 006c CompareText 00ee @WStrArrayClr 00fb @UStrArrayClr 0101 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 50 B9 07 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 59 8D 45 E8 50 B9 08 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 68 00 74 00 74 00 70 00 73 00 3A 00 2F 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_48649_0 {
	meta:
		name = "TStreamLoader.Load"
		size = 150
		refs = "0018 TStreamLoader.Load 0028 @UStrFromWStr 0033 Trim 003e @WStrFromUStr 0046 isHTTP 0055 LoadFromURL 0062 TMemoryStream.LoadFromFile 0077 @WStrClr 0084 @UStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 0E 55 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 59 EB 0A 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48653_0 {
	meta:
		name = "TComServer.SetHelpFileName"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "THeaderInfo.SetUse TStreamLoader.SetUserName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 14 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48656_0 {
	meta:
		name = "GetDefaultStreamLoader"
		size = 33
		refs = "0006 _DV_TStreamLoader 000b TStreamLoader.Create 001b @IntfCopy"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_48657_0 {
	meta:
		name = "StartsWith"
		size = 148
		refs = "0016 StartsWith 0058 @UStrCopy 0063 @UStrEqual 0081 @UStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 4D F8 8B D1 85 D2 74 05 83 EA 04 8B 12 3B D0 7F 2E 8B D9 85 DB 74 05 83 EB 04 8B 1B 8D 45 F4 50 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48658_0 {
	meta:
		name = "_IndexOf"
		size = 47
		refs = "0020 @UStrLen"
	strings:
		$1 = { 53 56 57 55 8B F2 8B F8 33 ED BB 01 00 00 00 EB 0C 66 3B 7C 5E FE 75 04 8B EB EB 0C 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7E E9 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48659_0 {
	meta:
		name = "_IndexOf"
		size = 47
		refs = "0020 @WStrLen"
	strings:
		$1 = { 53 56 57 55 8B F2 8B F8 33 ED BB 01 00 00 00 EB 0C 66 3B 7C 5E FE 75 04 8B EB EB 0C 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7E E9 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48660_0 {
	meta:
		name = "FirstDelimiter"
		size = 90
		refs = "0016 LeadBytes 0038 _IndexOf 0049 @UStrLen"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B E8 33 C0 89 04 24 BB 01 00 00 00 EB 31 A1 ?? ?? ?? ?? 0F B7 7C 5E FE 8B D7 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 73 03 43 EB 12 8B D5 8B C7 E8 ?? ?? ?? ?? 85 C0 7E 05 89 1C 24 EB 0C 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7E C4 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48661_0 {
	meta:
		name = "FirstDelimiter"
		size = 56
		refs = "0019 _IndexOf 0029 @WStrLen"
	strings:
		$1 = { 53 56 57 55 8B F2 8B F8 33 ED BB 01 00 00 00 EB 15 8B D7 0F B7 44 5E FE E8 ?? ?? ?? ?? 85 C0 7E 04 8B EB EB 0C 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7E E0 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48662_0 {
	meta:
		name = "StringTokenizer"
		size = 126
		refs = "0014 StringTokenizer 0024 @WStrFromUStr 003c _DV_TStringTokenizer 0041 TStringTokenizer.Create 0051 @IntfCopy 006b @WStrArrayClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48663_0 {
	meta:
		name = "TStringTokenizer.Create"
		size = 174
		refs = "000e @ClassCreate 001c @WStrAddRef 0024 TStringTokenizer.Create 0034 @WStrAsg 0053 @WStrLen 006b _IndexOf 0084 @WStrClr 008a @HandleFinally 0097 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 8D 47 10 8B 55 08 E8 ?? ?? ?? ?? C7 47 14 01 00 00 00 EB 03 FF 47 14 8B 47 0C E8 ?? ?? ?? ?? 3B 47 14 7C 17 8B 47 14 8B 57 0C 0F B7 44 42 FE 8B 57 10 E8 ?? ?? ?? ?? 85 C0 7F D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_48664_0 {
	meta:
		name = "TStringTokenizer.getTokenCounts"
		size = 125
		refs = "0016 @WStrLen 002a _IndexOf"
	strings:
		$1 = { 53 56 57 55 8B D8 33 ED BE 01 00 00 00 EB 5B EB 01 46 8B 43 0C E8 ?? ?? ?? ?? 3B F0 7F 14 8B 43 0C 0F B7 44 70 FE 8B 53 10 E8 ?? ?? ?? ?? 85 C0 7F DF 8B 7B 0C 85 FF 74 09 83 EF 04 8B 07 D1 E8 8B F8 3B FE 7C 04 45 EB 01 46 8B 43 0C E8 ?? ?? ?? ?? 3B F0 7F 14 8B 43 0C 0F B7 44 70 FE 8B 53 10 E8 ?? ?? ?? ?? 85 C0 74 DF 8B 43 0C E8 ?? ?? ?? ?? 3B F0 7E 9C 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48665_0 {
	meta:
		name = "TStringTokenizer.hasMoreTokens"
		size = 21
	strings:
		$1 = { 8B 50 0C 85 D2 74 07 83 EA 04 8B 12 D1 EA 3B 50 14 0F 9F C0 C3 }
	condition:
		$1
}

rule function_48666_0 {
	meta:
		name = "TStringTokenizer.nextToken"
		size = 147
		refs = "0022 @WStrClr 0031 @WStrLen 0045 _IndexOf 005e @WStrCopy"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B D8 8B 43 0C 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B 53 14 3B C2 7D 0A 8B 04 24 E8 ?? ?? ?? ?? EB 66 8B F2 EB 01 46 8B 43 0C E8 ?? ?? ?? ?? 3B F0 7F 14 8B 43 0C 0F B7 44 70 FE 8B 53 10 E8 ?? ?? ?? ?? 85 C0 74 DF 8B 04 24 50 8B CE 8B 7B 14 2B CF 8B D7 8B 43 0C E8 ?? ?? ?? ?? 89 73 14 EB 03 FF 43 14 8B 43 0C E8 ?? ?? ?? ?? 3B 43 14 7C 17 8B 43 0C 8B 53 14 0F B7 44 50 FE 8B 53 10 E8 ?? ?? ?? ?? 85 C0 7F D9 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48667_0 {
	meta:
		name = "StringToStringArray"
		size = 178
		refs = "0014 StringToStringArray 0026 TStringDynArray 002b @DynArrayClear 0039 StringTokenizer 0056 @DynArraySetLength 0075 @UStrFromWStr 0097 @WStrClr 009f @IntfClear 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 0F 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 55 8D 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 8B D8 53 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB EB 19 8D 55 F8 8B 45 FC 8B 08 FF 51 14 8B 55 F8 8B 06 8D 04 98 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48668_0 {
	meta:
		name = "HTMLEscape"
		size = 424
		refs = "0015 HTMLEscape 0030 @UStrClr 0075 @UStrCat 00b8 IntToStr 00cc @UStrCatN 00de @UStrFromWChar 010a @UStrArrayClr 0110 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 8B C7 E8 ?? ?? ?? ?? 85 DB 0F 8E B8 00 00 00 BE 01 00 00 00 8B 45 FC 0F B7 44 70 FE 83 F8 3C 7F 0E 74 1D 83 E8 22 74 42 83 E8 04 74 2F EB 76 83 E8 3E 74 1A 83 C0 BE 2D 80 FF 00 00 72 3A EB 65 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 71 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 63 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 55 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 47 FF 37 68 ?? ?? ?? ?? 8D 55 F8 8B 45 FC 0F B7 44 70 FE E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C7 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 1A 8D 45 F4 8B 55 FC 0F B7 54 72 FE E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 46 4B 0F 85 4D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 6C 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 67 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 26 00 61 00 6D 00 70 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 26 00 23 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_48673_0 {
	meta:
		name = "AccessPoint.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c AccessPoint.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_48685_0 {
	meta:
		name = "DiscoveryUrl.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c DiscoveryUrl.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_48691_0 {
	meta:
		name = "Email.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c Email.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_48690_0 {
	meta:
		name = "Phone2.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c Phone2.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_48674_0 {
	meta:
		name = "InstanceDetails.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0013 TObject.Free 001e TRemotable.Destroy 0029 @ClassDestroy"
		altNames = "TModelInstanceInfo.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48676_0 {
	meta:
		name = "TModelInstanceDetails.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c TModelInstanceDetails.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_48692_0 {
	meta:
		name = "Address.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c Address.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_48700_0 {
	meta:
		name = "BindingTemplates.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c BindingTemplates.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_48738_0 {
	meta:
		name = "BusinessInfos.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c BusinessInfos.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_48713_0 {
	meta:
		name = "BusinessServices.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c BusinessServices.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_48704_0 {
	meta:
		name = "CategoryBag.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c CategoryBag.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_48696_0 {
	meta:
		name = "Contacts.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c Contacts.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_48686_0 {
	meta:
		name = "DiscoveryURLs.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c DiscoveryURLs.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_48744_0 {
	meta:
		name = "FindQualifiers.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c FindQualifiers.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_48717_0 {
	meta:
		name = "IdentifierBag.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c IdentifierBag.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_48731_0 {
	meta:
		name = "ServiceInfos.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c ServiceInfos.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_48749_0 {
	meta:
		name = "TModelBag.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c TModelBag.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_48773_0 {
	meta:
		name = "TModelInfos.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c TModelInfos.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_48677_0 {
	meta:
		name = "TModelInstanceDetails.Destroy"
		size = 101
		refs = "0005 @BeforeDestruction 0011 @DynArrayLength 002a TObject.Free 003e tModelInstanceInfo2 0043 @DynArraySetLength 0051 TRemotable.Destroy 005c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 0C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 16 47 33 F6 8B 45 0C 8B 04 B0 85 C0 74 05 E8 ?? ?? ?? ?? 46 4F 75 ED 6A 00 8D 45 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48701_0 {
	meta:
		name = "BindingTemplates.Destroy"
		size = 101
		refs = "0005 @BeforeDestruction 0011 @DynArrayLength 002a TObject.Free 003e bindingTemplate2 0043 @DynArraySetLength 0051 TRemotable.Destroy 005c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 0C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 16 47 33 F6 8B 45 0C 8B 04 B0 85 C0 74 05 E8 ?? ?? ?? ?? 46 4F 75 ED 6A 00 8D 45 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48739_0 {
	meta:
		name = "BusinessInfos.Destroy"
		size = 101
		refs = "0005 @BeforeDestruction 0011 @DynArrayLength 002a TObject.Free 003e businessInfo2 0043 @DynArraySetLength 0051 TRemotable.Destroy 005c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 0C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 16 47 33 F6 8B 45 0C 8B 04 B0 85 C0 74 05 E8 ?? ?? ?? ?? 46 4F 75 ED 6A 00 8D 45 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48714_0 {
	meta:
		name = "BusinessServices.Destroy"
		size = 101
		refs = "0005 @BeforeDestruction 0011 @DynArrayLength 002a TObject.Free 003e businessService2 0043 @DynArraySetLength 0051 TRemotable.Destroy 005c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 0C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 16 47 33 F6 8B 45 0C 8B 04 B0 85 C0 74 05 E8 ?? ?? ?? ?? 46 4F 75 ED 6A 00 8D 45 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48705_0 {
	meta:
		name = "CategoryBag.Destroy"
		size = 101
		refs = "0005 @BeforeDestruction 0011 @DynArrayLength 002a TObject.Free 003e keyedReference2 0043 @DynArraySetLength 0051 TRemotable.Destroy 005c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 0C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 16 47 33 F6 8B 45 0C 8B 04 B0 85 C0 74 05 E8 ?? ?? ?? ?? 46 4F 75 ED 6A 00 8D 45 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48697_0 {
	meta:
		name = "Contacts.Destroy"
		size = 101
		refs = "0005 @BeforeDestruction 0011 @DynArrayLength 002a TObject.Free 003e contact2 0043 @DynArraySetLength 0051 TRemotable.Destroy 005c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 0C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 16 47 33 F6 8B 45 0C 8B 04 B0 85 C0 74 05 E8 ?? ?? ?? ?? 46 4F 75 ED 6A 00 8D 45 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48687_0 {
	meta:
		name = "DiscoveryURLs.Destroy"
		size = 101
		refs = "0005 @BeforeDestruction 0011 @DynArrayLength 002a TObject.Free 003e discoveryUrl2 0043 @DynArraySetLength 0051 TRemotable.Destroy 005c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 0C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 16 47 33 F6 8B 45 0C 8B 04 B0 85 C0 74 05 E8 ?? ?? ?? ?? 46 4F 75 ED 6A 00 8D 45 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48718_0 {
	meta:
		name = "IdentifierBag.Destroy"
		size = 101
		refs = "0005 @BeforeDestruction 0011 @DynArrayLength 002a TObject.Free 003e keyedReference2 0043 @DynArraySetLength 0051 TRemotable.Destroy 005c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 0C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 16 47 33 F6 8B 45 0C 8B 04 B0 85 C0 74 05 E8 ?? ?? ?? ?? 46 4F 75 ED 6A 00 8D 45 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48732_0 {
	meta:
		name = "ServiceInfos.Destroy"
		size = 101
		refs = "0005 @BeforeDestruction 0011 @DynArrayLength 002a TObject.Free 003e serviceInfo2 0043 @DynArraySetLength 0051 TRemotable.Destroy 005c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 0C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 16 47 33 F6 8B 45 0C 8B 04 B0 85 C0 74 05 E8 ?? ?? ?? ?? 46 4F 75 ED 6A 00 8D 45 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48774_0 {
	meta:
		name = "TModelInfos.Destroy"
		size = 101
		refs = "0005 @BeforeDestruction 0011 @DynArrayLength 002a TObject.Free 003e tModelInfo2 0043 @DynArraySetLength 0051 TRemotable.Destroy 005c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 0C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 16 47 33 F6 8B 45 0C 8B 04 B0 85 C0 74 05 E8 ?? ?? ?? ?? 46 4F 75 ED 6A 00 8D 45 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48679_0 {
	meta:
		name = "BindingTemplates.GetBindingTemplateArrayLength"
		size = 18
		refs = "000a @DynArrayLength"
		altNames = "BusinessInfos.GetBusinessInfoArrayLength BusinessServices.GetBusinessServiceArrayLength CategoryBag.GetKeyedReferenceArrayLength Contacts.GetContactArrayLength DiscoveryURLs.GetDiscoveryUrlArrayLength FindQualifiers.GetWideStringArrayLength IdentifierBag.GetKeyedReferenceArrayLength ServiceInfos.GetServiceInfoArrayLength TModelBag.GetWideStringArrayLength TModelInfos.GetTModelInfoArrayLength TModelInstanceDetails.GetTModelInstanceInfoArrayLength"
	strings:
		$1 = { 83 78 0C 00 74 09 8B 40 0C E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_48680_0 {
	meta:
		name = "BindingTemplate.Destroy"
		size = 72
		refs = "0003 @BeforeDestruction 0013 TObject.Free 0036 TRemotable.Destroy 0041 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 14 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 18 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48681_0 {
	meta:
		name = "BindingDetail.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c BindingDetail.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_48722_0 {
	meta:
		name = "BusinessDetail.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c BusinessDetail.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_48727_0 {
	meta:
		name = "BusinessDetailExt.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c BusinessDetailExt.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_48761_0 {
	meta:
		name = "GetBindingDetail.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c GetBindingDetail.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_48767_0 {
	meta:
		name = "GetBusinessDetail.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c GetBusinessDetail.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_48764_0 {
	meta:
		name = "GetBusinessDetailExt.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c GetBusinessDetailExt.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_48770_0 {
	meta:
		name = "GetServiceDetail.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c GetServiceDetail.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_48758_0 {
	meta:
		name = "GetTModelDetail.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c GetTModelDetail.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_48709_0 {
	meta:
		name = "ServiceDetail.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c ServiceDetail.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_48780_0 {
	meta:
		name = "TModelDetail.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c TModelDetail.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_48682_0 {
	meta:
		name = "BindingDetail.Destroy"
		size = 101
		refs = "0005 @BeforeDestruction 0011 @DynArrayLength 002a TObject.Free 003e bindingTemplate2 0043 @DynArraySetLength 0051 TRemotable.Destroy 005c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 18 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 16 47 33 F6 8B 45 18 8B 04 B0 85 C0 74 05 E8 ?? ?? ?? ?? 46 4F 75 ED 6A 00 8D 45 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48723_0 {
	meta:
		name = "BusinessDetail.Destroy"
		size = 101
		refs = "0005 @BeforeDestruction 0011 @DynArrayLength 002a TObject.Free 003e businessEntity2 0043 @DynArraySetLength 0051 TRemotable.Destroy 005c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 18 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 16 47 33 F6 8B 45 18 8B 04 B0 85 C0 74 05 E8 ?? ?? ?? ?? 46 4F 75 ED 6A 00 8D 45 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48728_0 {
	meta:
		name = "BusinessDetailExt.Destroy"
		size = 101
		refs = "0005 @BeforeDestruction 0011 @DynArrayLength 002a TObject.Free 003e businessEntityExt2 0043 @DynArraySetLength 0051 TRemotable.Destroy 005c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 18 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 16 47 33 F6 8B 45 18 8B 04 B0 85 C0 74 05 E8 ?? ?? ?? ?? 46 4F 75 ED 6A 00 8D 45 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48710_0 {
	meta:
		name = "ServiceDetail.Destroy"
		size = 101
		refs = "0005 @BeforeDestruction 0011 @DynArrayLength 002a TObject.Free 003e businessService2 0043 @DynArraySetLength 0051 TRemotable.Destroy 005c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 18 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 16 47 33 F6 8B 45 18 8B 04 B0 85 C0 74 05 E8 ?? ?? ?? ?? 46 4F 75 ED 6A 00 8D 45 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48781_0 {
	meta:
		name = "TModelDetail.Destroy"
		size = 101
		refs = "0005 @BeforeDestruction 0011 @DynArrayLength 002a TObject.Free 003e tModel2 0043 @DynArraySetLength 0051 TRemotable.Destroy 005c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 18 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 16 47 33 F6 8B 45 18 8B 04 B0 85 C0 74 05 E8 ?? ?? ?? ?? 46 4F 75 ED 6A 00 8D 45 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48683_0 {
	meta:
		name = "BindingDetail.GetBindingTemplateArray"
		size = 7
		altNames = "BusinessDetail.GetBusinessEntityArray BusinessDetailExt.GetBusinessEntityExtArray ServiceDetail.GetBusinessServiceArray TModelDetail.GetTModelArray"
	strings:
		$1 = { 8B 40 18 8B 04 90 C3 }
	condition:
		$1
}

rule function_48684_0 {
	meta:
		name = "BindingDetail.GetBindingTemplateArrayLength"
		size = 18
		refs = "000a @DynArrayLength"
		altNames = "BusinessDetail.GetBusinessEntityArrayLength BusinessDetailExt.GetBusinessEntityExtArrayLength ServiceDetail.GetBusinessServiceArrayLength TModelDetail.GetTModelArrayLength"
	strings:
		$1 = { 83 78 18 00 74 09 8B 40 18 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_48693_0 {
	meta:
		name = "Address.GetWideStringArray"
		size = 26
		refs = "0012 @WStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 8B 53 14 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48694_0 {
	meta:
		name = "Address.GetWideStringArrayLength"
		size = 18
		refs = "000a @DynArrayLength"
	strings:
		$1 = { 83 78 14 00 74 09 8B 40 14 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_48695_0 {
	meta:
		name = "Contact.Destroy"
		size = 72
		refs = "0003 @BeforeDestruction 0013 TObject.Free 0036 TRemotable.Destroy 0041 @ClassDestroy"
		altNames = "TModel.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 18 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 1C 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48708_0 {
	meta:
		name = "BusinessService.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 0013 TObject.Free 002a TRemotable.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 18 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48721_0 {
	meta:
		name = "BusinessEntity.Destroy"
		size = 96
		refs = "0003 @BeforeDestruction 0013 TObject.Free 004e TRemotable.Destroy 0059 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 18 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 1C 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 20 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 24 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48726_0 {
	meta:
		name = "BusinessEntityExt.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0013 TObject.Free 001e TRemotable.Destroy 0029 @ClassDestroy"
		altNames = "BusinessList.Destroy ServiceList.Destroy TModelList.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48735_0 {
	meta:
		name = "ServiceList.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c ServiceList.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_48742_0 {
	meta:
		name = "BusinessList.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c BusinessList.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_48752_0 {
	meta:
		name = "FindBinding.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c FindBinding.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_48754_0 {
	meta:
		name = "FindBusiness.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c FindBusiness.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_48756_0 {
	meta:
		name = "FindService.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c FindService.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_48747_0 {
	meta:
		name = "FindTModel.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c FindTModel.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_48777_0 {
	meta:
		name = "TModelList.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TRemotable.Create 001c TModelList.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_48737_0 {
	meta:
		name = "BusinessInfo.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0013 TObject.Free 001e TRemotable.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48745_0 {
	meta:
		name = "FindQualifiers.GetWideStringArray"
		size = 26
		refs = "0012 @WStrAsg"
		altNames = "TModelBag.GetWideStringArray"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 8B 53 0C 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48748_0 {
	meta:
		name = "FindService.Destroy"
		size = 72
		refs = "0003 @BeforeDestruction 0013 TObject.Free 0036 TRemotable.Destroy 0041 @ClassDestroy"
		altNames = "FindTModel.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 14 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 18 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48753_0 {
	meta:
		name = "FindBinding.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 0013 TObject.Free 002a TRemotable.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 10 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48755_0 {
	meta:
		name = "FindBusiness.Destroy"
		size = 96
		refs = "0003 @BeforeDestruction 0013 TObject.Free 004e TRemotable.Destroy 0059 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 14 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 18 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 1C 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 20 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48759_0 {
	meta:
		name = "GetBindingDetail.GetWideStringArray"
		size = 26
		refs = "0012 @WStrAsg"
		altNames = "GetBusinessDetail.GetWideStringArray GetBusinessDetailExt.GetWideStringArray GetServiceDetail.GetWideStringArray GetTModelDetail.GetWideStringArray"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 8B 53 10 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48760_0 {
	meta:
		name = "GetBindingDetail.GetWideStringArrayLength"
		size = 18
		refs = "000a @DynArrayLength"
		altNames = "GetBusinessDetail.GetWideStringArrayLength GetBusinessDetailExt.GetWideStringArrayLength GetServiceDetail.GetWideStringArrayLength GetTModelDetail.GetWideStringArrayLength"
	strings:
		$1 = { 83 78 10 00 74 09 8B 40 10 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_48784_0 {
	meta:
		name = "InitInquireV1Types"
		size = 7916
		refs = "0001 InitInquireV1Types 000a InvRegistry 0015 InquireSoap 001a TInvokableClassRegistry.RegisterInterface 002c TInvokableClassRegistry.RegisterDefaultSOAPAction 003e TInvokableClassRegistry.RegisterInvokeOptions 005f RemClassRegistry 006a BindingDetail 006f TRemotableTypeRegistry.RegisterXSInfo 0089 ServiceDetail 00a8 BusinessDetail 00c7 BusinessDetailExt 00e6 ServiceList 0105 BusinessList 0121 FindTModel 013d FindBinding 0159 FindBusiness 0175 FindService 0191 GetTModelDetail 01ad GetBindingDetail 01c9 GetBusinessDetailExt 01e5 GetBusinessDetail 0201 GetServiceDetail 0220 TModelList 023f TModelDetail 025b Truncated 0277 URLType 0293 Description 02b3 _DV_AccessPoint 02b8 TRemotableTypeRegistry.RegisterXSClass 02ce TRemotableTypeRegistry.RegisterSerializeOptions 02e9 _DV_HostingRedirector 0309 _DV_OverviewDoc 0329 _DV_InstanceDetails 0349 _DV_TModelInstanceInfo 0368 tModelInstanceInfo2 0388 _DV_TModelInstanceDetails 03be _DV_BindingTemplate 03dd bindingTemplate2 03fd _DV_BindingDetail 0433 _DV_DiscoveryUrl 0468 discoveryUrl2 0488 _DV_DiscoveryURLs 04c1 _DV_Phone2 04f7 _DV_Email 0529 addressLine 0549 _DV_Address 057f _DV_Contact 059e contact2 05be _DV_Contacts 05f4 _DV_BindingTemplates 062a _DV_KeyedReference 0649 keyedReference2 0669 _DV_CategoryBag 069f _DV_BusinessService 06be businessService2 06de _DV_ServiceDetail 0714 _DV_BusinessServices 074a _DV_IdentifierBag 0780 _DV_BusinessEntity 079f businessEntity2 07bf _DV_BusinessDetail 07f5 _DV_BusinessEntityExt 0814 businessEntityExt2 0834 _DV_BusinessDetailExt 086a _DV_ServiceInfo 0889 serviceInfo2 08a9 _DV_ServiceInfos 08df _DV_ServiceList 0915 _DV_BusinessInfo 0934 businessInfo2 0954 _DV_BusinessInfos 098a _DV_BusinessList 09bc findQualifier 09dc _DV_FindQualifiers 0a12 _DV_FindTModel 0a44 tModelKey 0a64 _DV_TModelBag 0a9a _DV_FindBinding 0ad0 _DV_FindBusiness 0b06 _DV_FindService 0b3c _DV_GetTModelDetail 0b6e bindingKey 0b8e _DV_GetBindingDetail 0bc0 businessKey 0be0 _DV_GetBusinessDetailExt 0c16 _DV_GetBusinessDetail 0c48 serviceKey 0c68 _DV_GetServiceDetail 0c9e _DV_TModelInfo 0cbd tModelInfo2 0cdd _DV_TModelInfos 0d13 _DV_TModelList 0d49 _DV_TModel 0d68 tModel2 0d88 _DV_TModelDetail"
	strings:
		$1 = { 68 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 75 00 72 00 6E 00 3A 00 75 00 64 00 64 00 69 00 2D 00 6F 00 72 00 67 00 3A 00 61 00 70 00 69 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 62 00 69 00 6E 00 64 00 69 00 6E 00 67 00 44 00 65 00 74 00 61 00 69 00 6C 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 62 00 69 00 6E 00 64 00 69 00 6E 00 67 00 44 00 65 00 74 00 61 00 69 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 44 00 65 00 74 00 61 00 69 00 6C 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 44 00 65 00 74 00 61 00 69 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 62 00 75 00 73 00 69 00 6E 00 65 00 73 00 73 00 44 00 65 00 74 00 61 00 69 00 6C 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 62 00 75 00 73 00 69 00 6E 00 65 00 73 00 73 00 44 00 65 00 74 00 61 00 69 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 62 00 75 00 73 00 69 00 6E 00 65 00 73 00 73 00 44 00 65 00 74 00 61 00 69 00 6C 00 45 00 78 00 74 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 62 00 75 00 73 00 69 00 6E 00 65 00 73 00 73 00 44 00 65 00 74 00 61 00 69 00 6C 00 45 00 78 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 4C 00 69 00 73 00 74 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 4C 00 69 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 62 00 75 00 73 00 69 00 6E 00 65 00 73 00 73 00 4C 00 69 00 73 00 74 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 62 00 75 00 73 00 69 00 6E 00 65 00 73 00 73 00 4C 00 69 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 66 00 69 00 }
	condition:
		$1
}

rule function_48787_0 {
	meta:
		name = "CalcParamCount"
		size = 38
	strings:
		$1 = { 53 56 57 8B F8 8B 42 0C 85 C0 7C 14 40 33 F6 8D 0C 76 8B 5A 18 F6 04 8B 20 74 01 47 46 48 75 EF 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48788_0 {
	meta:
		name = "GetMethNum"
		size = 292
		refs = "001c GetMethNum 0036 @DynArrayLength 0059 @UStrLAsg 008a CompareText 00ad CalcParamCount 010e @UStrArrayClr 0114 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F4 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC C7 45 F0 FF FF FF FF 8B 46 08 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 8D 00 00 00 40 89 45 E8 33 DB 8D 45 FC 8B D3 03 D2 03 D2 8B 4E 08 8B 14 D1 E8 ?? ?? ?? ?? 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 2F 83 7D F4 FF 74 23 8B C3 03 C0 03 C0 8B 56 08 8D 14 C2 8B 45 F4 E8 ?? ?? ?? ?? 8B D3 03 D2 03 D2 8B 4E 08 3B 44 D1 0C 75 06 89 5D F0 FF 45 EC 43 FF 4D E8 0F 85 79 FF FF FF 83 7D EC 00 75 15 83 7D F4 FF 74 0F 8B C6 83 C9 FF 8B D7 E8 ?? ?? ?? ?? 89 45 F0 83 7D EC 01 7E 07 C7 45 F0 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48789_0 {
	meta:
		name = "ReadString"
		size = 166
		refs = "0015 ReadString 002f @LStrSetLength 003c @UniqueStringA 0047 Move 0052 @LStrLAsg 005d UTF8ToUnicodeString 0068 @UStrAsg 0083 @UStrClr 008b @LStrClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 F0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 0F B6 18 0F B6 FB 8B D7 8D 45 FC 33 C9 E8 ?? ?? ?? ?? 8B 06 40 89 06 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B CF 8B 06 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8B 06 03 C7 89 06 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48790_0 {
	meta:
		name = "ReadByte"
		size = 13
	strings:
		$1 = { 8B 10 0F B6 12 8B 08 41 89 08 8B C2 C3 }
	condition:
		$1
}

rule function_48791_0 {
	meta:
		name = "ReadWord"
		size = 15
	strings:
		$1 = { 8B 10 0F B7 12 8B 08 83 C1 02 89 08 8B C2 C3 }
	condition:
		$1
}

rule function_48792_0 {
	meta:
		name = "ReadLong"
		size = 14
		altNames = "ReadPointer"
	strings:
		$1 = { 8B 10 8B 12 8B 08 83 C1 04 89 08 8B C2 C3 }
	condition:
		$1
}

rule function_48794_0 {
	meta:
		name = "FillMethodArray"
		size = 560
		refs = "0027 FillMethodArray 0058 ReadString 0062 @UStrAsg 006a ReadByte 007f CCMap 00ac TIntfParamEntryArray 00b1 @DynArraySetLength 00f4 ReadPointer 0138 @UStrCatN 0150 SNoRTTIParam 0155 LoadResString 015f _DV_EInterfaceRTTIException 0164 Exception.CreateFmt 0169 @RaiseExcept 01f4 @UStrArrayClr 01fc @UStrClr 020f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 DB 89 5D B8 89 5D B4 89 5D D4 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 48 85 C0 0F 8C A1 01 00 00 40 89 45 D8 8B 45 EC 03 C0 03 C0 8B 55 F0 8B 52 08 8D 1C C2 8D 55 D4 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 88 45 E3 8D 45 F4 E8 ?? ?? ?? ?? 0F B6 C0 0F B6 80 ?? ?? ?? ?? 88 43 04 8D 45 F4 E8 ?? ?? ?? ?? 0F B6 F0 8B FE 4F 89 7B 0C 8B 45 EC 89 43 08 C6 43 1C 01 56 8D 43 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 E4 85 FF 0F 8C E6 00 00 00 47 89 FE C7 45 E8 00 00 00 00 8D 45 F4 E8 ?? ?? ?? ?? 88 45 E2 8D 55 F8 8D 45 F4 E8 ?? ?? ?? ?? 8D 55 FC 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 0F B7 12 01 55 F4 85 C0 74 07 8B 00 89 45 DC EB 61 8B 45 F8 89 45 BC C6 45 C0 11 8B 03 89 45 C4 C6 45 C8 11 8B 45 F0 FF 70 04 68 ?? ?? ?? ?? 8B 45 F0 FF 30 8D 45 B8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 B8 89 45 CC C6 45 D0 11 8D 45 BC 50 6A 02 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E8 00 75 08 8B 45 DC 89 43 14 EB 26 8B 45 E4 8D 04 40 8B 53 18 8D 3C 82 0F B6 45 E2 88 07 8D 47 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 DC 89 47 08 FF 45 E4 FF 45 E8 4E 0F 85 24 FF FF FF 80 7D E3 01 75 18 8D 55 FC 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B 00 89 43 10 8B 45 F4 0F B7 00 01 45 F4 FF 45 EC FF 4D D8 0F 85 63 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_48795_0 {
	meta:
		name = "WalkAncestors"
		size = 272
		refs = "0018 WalkAncestors 002b ReadByte 0036 ReadString 003e ReadPointer 0061 ReadWord 00cc FillMethodArray 00f8 @UStrClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 4D F4 88 55 FB 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 00 89 45 EC 8D 45 EC E8 ?? ?? ?? ?? 8D 55 FC 8D 45 EC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B F0 8B 45 EC 83 C0 11 89 45 EC 8B 45 EC 0F B6 00 0F B6 C0 03 45 EC 40 89 45 EC 8D 45 EC E8 ?? ?? ?? ?? 0F B7 C0 89 45 E8 8D 45 EC E8 ?? ?? ?? ?? 0F B7 C0 3D FF FF 00 00 0F 95 C3 85 F6 74 1E 84 DB 75 06 80 7D 08 00 75 14 0F B6 45 08 50 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 02 33 FF 89 7D F0 84 DB 75 06 80 7D 08 00 75 06 8B 45 E8 01 45 F0 80 7D FB 00 74 2C 84 DB 74 28 8B 45 E8 50 8B CF 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 85 FF 7E 13 0F B6 45 08 50 8B 4D F4 0F B6 55 FB 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_48796_0 {
	meta:
		name = "GetNumAncMeths"
		size = 62
		refs = "000d ReadByte 0024 ReadPointer 0032 WalkAncestors"
	strings:
		$1 = { 53 56 51 8B DA 89 04 24 33 F6 8B C4 E8 ?? ?? ?? ?? 8B 04 24 0F B6 00 0F B6 C0 03 04 24 40 89 04 24 8B C4 E8 ?? ?? ?? ?? 85 C0 74 0C 53 33 C9 33 D2 E8 ?? ?? ?? ?? 8B F0 8B C6 5A 5E 5B C3 }
	condition:
		$1
}

rule function_48797_0 {
	meta:
		name = "GetIntfMetaData"
		size = 508
		refs = "0022 GetIntfMetaData 0035 GetNumAncMeths 0050 ReadByte 005b ReadString 0065 @UStrAsg 006d ReadPointer 0095 ReadLong 00a0 ReadWord 0110 @UStrCatN 0128 SNoRTTI 012d LoadResString 0137 _DV_EInterfaceRTTIException 013c Exception.CreateFmt 0141 @RaiseExcept 0172 TIntfMethEntryArray 0177 @DynArraySetLength 018a FillMethodArray 01b0 WalkAncestors 01ca @UStrArrayClr 01dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D8 89 5D D4 89 5D E4 89 5D E8 88 4D FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F0 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 89 46 24 B2 01 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F8 89 5E 1C 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 E8 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 0A 8B 45 F4 8B 00 89 46 20 EB 05 33 C0 89 46 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 89 46 0C 8D 45 F0 E8 ?? ?? ?? ?? 66 89 46 10 8D 45 F0 E8 ?? ?? ?? ?? 66 89 46 12 BF 08 00 00 00 8D 5E 14 8D 45 F0 E8 ?? ?? ?? ?? 88 03 43 4F 75 F2 8D 55 E4 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 E4 8D 46 04 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 0F B7 D8 8D 45 F0 E8 ?? ?? ?? ?? 0F B7 C0 3D FF FF 00 00 75 48 FF 76 04 68 ?? ?? ?? ?? FF 36 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 8D 45 DC 50 6A 00 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5D EC 80 7D FF 00 75 09 8B 46 24 03 D8 8B F8 EB 10 80 7D FF 01 75 08 03 5D F8 8B 7D F8 EB 02 33 FF 53 8D 46 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 EC 50 8B D6 8B CF 8B 45 F0 E8 ?? ?? ?? ?? 80 7D FF 00 74 06 80 7D FF 01 75 1A 83 7D F4 00 74 14 80 7D FF 01 0F 94 C0 50 8B CE B2 01 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_48798_0 {
	meta:
		name = "GetIntfMetaData"
		size = 16
		refs = "000b GetIntfMetaData"
	strings:
		$1 = { 84 C9 74 04 33 C9 EB 02 B1 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48799_0 {
	meta:
		name = "GetDynArrayElTypeInfo"
		size = 187
		refs = "0016 GetDynArrayElTypeInfo 002d ReadByte 0038 ReadString 0040 ReadLong 0048 ReadPointer 00a9 @UStrClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 8B F1 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 DB 33 D2 89 16 89 45 F4 8D 45 F4 E8 ?? ?? ?? ?? 8D 55 FC 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 85 C0 74 13 B3 01 8B 00 80 38 11 75 0A 8B CE 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 85 C0 74 1F 8B 55 F8 8B 00 89 02 84 DB 75 14 8B 45 F8 8B 00 80 38 11 75 0A 8B CE 8B 55 F8 E8 ?? ?? ?? ?? FF 06 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48800_0 {
	meta:
		name = "GetDynArrayNextInfo"
		size = 65
		refs = "000a GetDynArrayNextInfo 0018 GetDynArrayNextInfo2 002f @UStrClr 0035 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_48801_0 {
	meta:
		name = "GetDynArrayNextInfo2"
		size = 146
		refs = "0013 GetDynArrayNextInfo2 0026 ReadByte 0031 ReadString 003b @UStrAsg 0043 ReadLong 004b ReadPointer 007e @UStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 DB 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 85 C0 74 04 8B 18 EB 16 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 85 C0 74 02 8B 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48802_0 {
	meta:
		name = "SameTypeInfo"
		size = 127
		refs = "000f SameTypeInfo 0031 UTF8ToUnicodeString 004b TypeNamesMatch 006b @UStrArrayClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 3B D8 75 04 B0 01 EB 32 0F B6 10 3A 13 75 29 8D 70 01 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 43 01 8B D8 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48803_0 {
	meta:
		name = "TypeNamesMatch"
		size = 79
		refs = "000d @UStrEqual 0022 TypeInfoNames"
	strings:
		$1 = { 53 56 57 55 8B F2 8B E8 8B C5 8B D6 E8 ?? ?? ?? ?? 0F 94 C3 84 DB 75 30 BF 01 00 00 00 8B C6 8B 14 BD ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 13 8B C5 8B 14 BD ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C3 EB 08 83 C7 02 83 FF 26 7C D5 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48804_0 {
	meta:
		name = "OtherTypeName"
		size = 54
		refs = "0009 TypeInfoNames 0016 @UStrEqual 0023 @UStrAsg"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 BD ?? ?? ?? ?? 33 DB 8B C6 8B 54 9D 00 E8 ?? ?? ?? ?? 75 0D 8B C7 8B 54 9D 04 E8 ?? ?? ?? ?? EB 08 83 C3 02 83 FB 25 7C DE 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48805_0 {
	meta:
		name = "AfterString"
		size = 9
	strings:
		$1 = { 0F B6 10 03 D0 42 8B C2 C3 }
	condition:
		$1
}

rule function_48806_0 {
	meta:
		name = "GetPropInfosFlat"
		size = 85
		refs = "0005 GetTypeData 001a @FillChar"
	strings:
		$1 = { 53 56 8B DA E8 ?? ?? ?? ?? 8B F0 0F BF 46 08 8B D0 03 D2 03 D2 8B C3 33 C9 E8 ?? ?? ?? ?? 8D 56 0A 8D 46 0A 0F B6 00 03 D0 42 8D 42 02 0F B7 12 85 D2 7E 1E 0F BF 48 18 83 3C 8B 00 75 03 89 04 8B 8D 48 1A 83 C0 1A 0F B6 00 03 C8 41 8B C1 4A 75 E2 5E 5B C3 }
	condition:
		$1
}

rule function_48807_0 {
	meta:
		name = "GetPropListFlat"
		size = 135
		refs = "000f GetTypeData 0024 @GetMem 0031 GetPropListFlat 0045 @FillChar 0051 GetPropInfosFlat 0060 @HandleAnyException 006a @FreeMem 0076 @RaiseAgain 007b @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F0 8B C6 E8 ?? ?? ?? ?? 0F BF 58 08 85 DB 7E 64 8B FB 03 FF 03 FF 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 89 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 45 FC 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 55 FC 8B 12 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48808_0 {
	meta:
		name = "IsStoredPropConst"
		size = 21
	strings:
		$1 = { B0 01 8B 4A 0C F7 C1 00 FF FF FF 75 07 8B C1 25 FF 00 00 00 C3 }
	condition:
		$1
}

rule function_48809_0 {
	meta:
		name = "GetClsMemberTypeInfo"
		size = 297
		refs = "0017 GetClsMemberTypeInfo 002a GetPropListFlat 006e UTF8ToUnicodeString 0078 @UStrLAsg 009f CompareText 00d2 @TryFinallyExit 00f1 @FreeMem 00f7 @HandleFinally 0113 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 89 4D F8 8B FA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 89 55 F4 8D 55 F0 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 0F 8E C2 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 75 EC 4E 85 F6 0F 8C 8B 00 00 00 46 33 DB 8B 45 F0 83 3C 98 00 74 77 8B 45 F0 8B 04 98 83 C0 1A 8D 55 FC E8 ?? ?? ?? ?? 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 10 85 FF 75 06 83 7D EC 01 74 04 33 C0 EB 02 B0 01 84 C0 74 14 8B 45 F0 8B 04 98 8B 00 8B 00 89 45 F4 E8 ?? ?? ?? ?? EB 25 43 4E 0F 85 78 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48810_0 {
	meta:
		name = "Finalization"
		size = 90
		refs = "0007 Finalization 0013 _DV_4 001a CallingConventionName 0025 string 002a @FinalizeArray 002f TypeInfoNames 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2A B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 26 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_48814_0 {
	meta:
		name = "TInterfaceInvoker.Invoke"
		size = 799
		refs = "0046 TIntfMetaData 004b @AddRefRecord 0054 TRttiContext 0059 @InitializeRecord 0062 TIntfMethEntry 0070 TValue 008b TInterfaceInvoker.Invoke 00ac @CopyRecord 00b7 TRttiContext.GetType 00f1 @IntfClear 0101 Supports 0118 TObject.ClassName 0139 GUIDToString 0160 SNoInterfaceGUID 0165 LoadResString 0172 _Dn_Exception 0177 Exception.CreateFmt 017c @RaiseExcept 018a @FinalizeRecord 0197 TValue.Make 01a9 TArray<System.Rtti.TValue> 01ae @DynArraySetLength 01c6 TInvContext.GetParamPointer 01f9 @DynArrayHigh 020f TRttiMethod.Invoke 024c TValue.ExtractRawData 025e TInvContext.GetResultPointer 0273 @DynArrayLength 0284 TArray<System.Rtti.TRttiMethod> 0289 @DynArrayClear 02a6 @UStrArrayClr 02d8 @FinalizeArray 0310 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 54 FF FF FF 53 56 57 33 DB 89 9D 5C FF FF FF 89 9D 58 FF FF FF 89 9D 54 FF FF FF 89 5D F8 89 5D F4 89 5D F0 8B F1 8D BD 78 FF FF FF B9 0A 00 00 00 F3 A5 89 95 74 FF FF FF 8D 85 78 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 A0 8B 55 0C 03 D2 03 D2 8B 4D 80 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 55 94 E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 51 14 33 FF E9 A5 01 00 00 8B 45 F0 8B 04 B8 89 85 70 FF FF FF 8B 85 70 FF FF FF 8B 10 FF 52 24 0F BF C0 3B 45 A8 0F 85 81 01 00 00 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 8D 55 84 8B 85 74 FF FF FF E8 ?? ?? ?? ?? 84 C0 75 77 8D 95 5C FF FF FF 8B 85 74 FF FF FF 8B 00 E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 89 85 60 FF FF FF C6 85 64 FF FF FF 11 8D 95 58 FF FF FF 8D 45 84 E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8D 85 60 FF FF FF 50 6A 01 8D 95 54 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 54 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 F4 8B 55 94 E8 ?? ?? ?? ?? 8B 45 AC 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 75 AC 4E 85 F6 7C 38 46 33 DB 8B D3 8B 45 08 E8 ?? ?? ?? ?? 50 8D 04 5B 8B 55 F8 8D 04 C2 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 04 5B 8B 55 B8 8B 54 82 08 58 E8 ?? ?? ?? ?? 43 4E 75 CB 8B 45 F8 E8 ?? ?? ?? ?? 50 8D 45 D8 50 8B 4D F8 8D 55 C0 8B 85 70 FF FF FF E8 ?? ?? ?? ?? 8B 75 AC 4E 85 F6 7C 39 46 33 DB 8D 04 5B 8B 55 B8 F6 04 82 01 75 0C 8D 04 5B 8B 55 B8 F6 04 82 20 74 1A 8B D3 8B 45 08 E8 ?? ?? ?? ?? 8B D0 8D 04 5B 8B 4D F8 8D 04 C1 E8 ?? ?? ?? ?? 43 4E 75 CA 83 7D B0 00 74 33 8B 45 08 E8 ?? ?? ?? ?? 8B D0 8D 45 D8 E8 ?? ?? ?? ?? EB 1F 47 8B 45 F0 E8 ?? ?? ?? ?? 3B F8 0F 8C 4B FE FF FF 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 54 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 84 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_48819_0 {
	meta:
		name = "TypeInfoName"
		size = 79
		refs = "000f TypeInfoName 001f UTF8ToUnicodeString 0029 @UStrAsg 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48820_0 {
	meta:
		name = "SubstituteStrings"
		size = 86
		refs = "0016 @WStrAsg 001f Pos 003e @WStrDelete 004a @WStrInsert"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B C6 8B D3 E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 74 25 8B C7 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D6 8B C8 8B C3 92 E8 ?? ?? ?? ?? 8B D6 8B CB 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_48822_0 {
	meta:
		name = "SetRemotableDataContext"
		size = 16
		refs = "0004 @GetTls 000a RemotableDataContext"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_63995_0 {
	meta:
		name = "SetInOutRes"
		size = 16
		refs = "0004 @GetTls 000a InOutRes"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96447_0 {
	meta:
		name = "SetWebContext"
		size = 16
		refs = "0004 @GetTls 000a WebContext"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_48823_0 {
	meta:
		name = "TInvokableClassRegistry.GetInterfaceCount"
		size = 21
		refs = "000c @DynArrayLength"
	strings:
		$1 = { 33 D2 83 78 0C 00 74 0A 8B 40 0C E8 ?? ?? ?? ?? 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_48824_0 {
	meta:
		name = "TInvokableClassRegistry.GetRegInterfaceEntry"
		size = 51
		refs = "000d @DynArrayLength 0026 InterfaceMapItem 002b @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 43 0C E8 ?? ?? ?? ?? 3B F0 7D 1A 8B C7 8B D6 03 D2 8D 14 92 8B 4B 0C 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48825_0 {
	meta:
		name = "TInvokableClassRegistry.HasRegInterfaceImpl"
		size = 44
		refs = "000a @DynArrayLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C E8 ?? ?? ?? ?? 3B F0 7D 15 8B C6 03 C0 8D 04 80 8B 53 0C 83 7C C2 20 00 0F 95 C0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_48831_0 {
	meta:
		name = "TInvokableClassRegistry.RegisterInvokableClass"
		size = 436
		refs = "001d TInvokableClassRegistry.RegisterInvokableClass 0040 TObject.GetInterfaceTable 004e TObject.ClassParent 0070 TObject.ClassName 0088 SNoInterfacesInClass 008d LoadResString 0097 _DV_ETypeRegistryException 009c Exception.CreateFmt 00a1 @RaiseExcept 00ac @DynArrayLength 00c3 :TInvokableClassRegistry.:1 00c8 @DynArraySetLength 0132 IsEqualGUID 0185 @HandleFinally 01a1 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E4 89 5D E0 8B F1 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 85 FF 75 1B 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 0F 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 75 3C 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B D8 8D 43 01 50 8B 45 FC 83 C0 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 5B 8B 55 FC 8B 52 08 8B 4D F8 89 0C 82 8B 55 FC 8B 52 08 89 74 82 04 8B 07 48 85 C0 7C 7F 40 89 45 F0 C7 45 F4 00 00 00 00 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 5A 46 33 DB 8B 45 F4 8B D0 03 C0 03 C0 03 C0 2B C2 8D 54 87 04 8B C3 03 C0 8D 04 80 8B 4D FC 8B 49 0C 8D 44 C1 0C E8 ?? ?? ?? ?? 84 C0 74 28 8B C3 03 C0 8D 04 80 8B 55 FC 8B 52 0C 83 7C C2 20 00 75 14 8B C3 03 C0 8D 04 80 8B 55 FC 8B 52 0C 8B 4D F8 89 4C C2 20 43 4E 75 A9 FF 45 F4 FF 4D F0 75 8C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48832_0 {
	meta:
		name = "TInvokableClassRegistry.RegisterHeaderClass"
		size = 28
		refs = "0013 TInvokableClassRegistry.RegisterHeaderClass"
	strings:
		$1 = { 55 8B EC 53 6A 00 6A 00 0F B6 5D 0C 53 0F B6 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_48833_0 {
	meta:
		name = "TInvokableClassRegistry.RegisterHeaderClass"
		size = 36
		refs = "001b TInvokableClassRegistry.InternalRegisterHeaderClass"
	strings:
		$1 = { 55 8B EC 53 8B 5D 14 53 8B 5D 10 53 0F B6 5D 0C 53 6A 00 6A 00 0F B6 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_48834_0 {
	meta:
		name = "TInvokableClassRegistry.RegisterHeaderMethod"
		size = 34
		refs = "0019 TInvokableClassRegistry.InternalRegisterHeaderClass"
	strings:
		$1 = { 55 8B EC 53 6A 00 6A 00 6A 00 8B 5D 10 53 0F B6 5D 0C 53 0F B6 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_48835_0 {
	meta:
		name = "SetMethodInfo"
		size = 294
		refs = "0012 SetMethodInfo 001f _Dn_TStringList 0024 TStringList.Create 0040 TStrings.SetCommaText 007a THeaderMethodTypeArray 007f @DynArraySetLength 0099 TRequiredArray 00d8 TStrings.GetCommaText 00e3 @UStrAsg 00f8 TObject.Free 00fe @HandleFinally 0115 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 33 D2 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 56 14 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 50 10 8B 45 FC 8B 08 FF 51 54 40 0F 85 8E 00 00 00 8B 45 08 8B 50 10 8B 45 FC 8B 08 FF 51 38 8B 45 FC 8B 10 FF 52 14 50 8D 46 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 10 FF 52 14 50 8D 46 1C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 10 FF 52 14 8B 56 18 8B 4D 08 0F B6 49 0C 88 4C 02 FF 8B 45 FC 8B 10 FF 52 14 8B 56 1C 8B 4D 08 0F B6 49 08 88 4C 02 FF 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 46 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 59 5D C3 }
	condition:
		$1
}

rule function_48836_0 {
	meta:
		name = "TInvokableClassRegistry.InternalRegisterHeaderClass"
		size = 468
		refs = "001c TInvokableClassRegistry.InternalRegisterHeaderClass 002c TInvokableClassRegistry.GetIntfIndex 004c @DynArrayLength 00d3 :InterfaceMapItem.:2 00d8 @DynArraySetLength 0137 @UStrAsg 01a9 SetMethodInfo 01c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 FC 8B 10 FF 12 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8C 74 01 00 00 8B FB 03 FF 8D 3C BF 8B 45 FC 8B 40 0C 8B 44 F8 40 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 40 0C 8B 44 F8 40 E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 2B 42 33 C0 8B CB 03 C9 8D 0C 89 8B 7D FC 8B 7F 0C 8B 4C CF 40 8B F8 03 FF 03 FF 8B 4C F9 04 3B 4D F8 75 04 8B F0 EB 04 40 4A 75 D8 8B FB 03 FF 8D 3C BF 8B 45 FC 8B 40 0C 8B 44 F8 40 E8 ?? ?? ?? ?? 3B F0 0F 85 DD 00 00 00 8B 45 FC 8B 40 0C 8B 44 F8 40 E8 ?? ?? ?? ?? 40 50 8B 45 FC 8B 40 0C 8D 44 F8 40 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 40 0C 8B 44 F8 40 8B D6 03 D2 03 D2 8B 4D F8 89 4C D0 04 8B C3 03 C0 8D 04 80 8B 55 FC 8B 52 0C 8B 44 C2 40 8B D6 03 D2 03 D2 8B 4D F8 83 C1 B8 8B 09 89 0C D0 8B C3 03 C0 8D 04 80 8B 55 FC 8B 52 0C 8B 44 C2 40 8B D6 03 D2 03 D2 8D 44 D0 0C 8B 55 1C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 44 F8 40 8B D6 03 D2 03 D2 8D 44 D0 08 8B 55 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 44 F8 40 8B D6 03 D2 03 D2 0F B6 4D 08 88 4C D0 11 8B C3 03 C0 8D 04 80 8B 55 FC 8B 52 0C 8B 44 C2 40 8B D6 03 D2 03 D2 0F B6 4D 14 88 4C D0 10 83 7D 10 00 74 1A 55 8B 45 FC 8B 40 0C 8B 44 F8 40 8B D6 03 D2 03 D2 8D 04 D0 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 18 00 }
	condition:
		$1
}

rule function_48837_0 {
	meta:
		name = "TInvokableClassRegistry.GetExceptionInfoForInterface"
		size = 233
		refs = "001b TExceptionItemArray 0020 @DynArraySetLength 0032 TInvokableClassRegistry.GetExceptionInfoForInterface 0042 TInvokableClassRegistry.GetIntfIndex 0062 @DynArrayLength 00b6 IntfExceptionItem 00bb @CopyRecord 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 8B F2 89 45 FC 6A 00 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 7C 76 8B 45 F8 03 C0 8D 04 80 8B 55 FC 8B 52 0C 8B 44 C2 44 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 58 47 C7 45 F4 00 00 00 00 8B 03 E8 ?? ?? ?? ?? 8B F0 8D 46 01 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 8D 04 F0 8B 55 F8 03 D2 8D 14 92 8B 4D FC 8B 49 0C 8B 54 D1 44 8B 4D F4 8D 14 CA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F4 4F 75 B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48838_0 {
	meta:
		name = "CheckHeaderType"
		size = 224
		refs = "001a IntfHeaderItem 001f @AddRefRecord 0027 CheckHeaderType 0046 @SetElem 006c @DynArrayLength 00c7 @FinalizeRecord 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F0 8D 7D E0 B9 08 00 00 00 F3 A5 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 83 7D F8 00 75 2F 8B 45 08 0F B6 50 FF 8D 45 DC B1 01 E8 ?? ?? ?? ?? 0F B6 45 DC 0A 05 ?? ?? ?? ?? 0F B6 55 F0 80 FA 07 77 06 83 E2 7F 0F A3 D0 0F 92 C3 EB 48 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 3A 47 33 F6 8B 45 08 0F B6 50 FF 8D 45 DC B1 01 E8 ?? ?? ?? ?? 0F B6 45 DC 0A 05 ?? ?? ?? ?? 8B 55 F8 0F B6 14 32 80 FA 07 77 06 83 E2 7F 0F A3 D0 73 04 B3 01 EB 04 46 4F 75 C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C3 01 00 00 00 }
	condition:
		$1
}

rule function_48839_0 {
	meta:
		name = "TInvokableClassRegistry.GetHeaderInfoForInterface"
		size = 299
		refs = "001d THeaderItemArray 0022 @DynArraySetLength 0034 TInvokableClassRegistry.GetHeaderInfoForInterface 0044 TInvokableClassRegistry.GetIntfIndex 0064 @DynArrayLength 0098 CheckHeaderType 00f4 IntfHeaderItem 00f9 @CopyRecord 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 4D FF 8B DA 89 45 F8 6A 00 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8C B3 00 00 00 8B C3 03 C0 8D 04 80 8B 55 F8 8B 52 0C 8B 44 C2 40 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 92 00 00 00 47 33 F6 80 7D FF 00 74 25 55 8B C3 03 C0 8D 04 80 8B 55 F8 8B 52 0C 8B 44 C2 40 8B D6 03 D2 03 D2 8D 04 D0 E8 ?? ?? ?? ?? 59 84 C0 74 5C 8B 45 08 8B 00 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 40 50 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 03 C0 03 C0 8B 55 08 8B 12 8D 04 C2 8B D3 03 D2 8D 14 92 8B 4D F8 8B 49 0C 8B 54 D1 40 8B CE 03 C9 03 C9 8D 14 CA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 0F 85 71 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_48840_0 {
	meta:
		name = "TInvokableClassRegistry.InternalGetHeaderName"
		size = 91
		refs = "000f TInvokableClassRegistry.InternalGetHeaderName 001f @UStrAsg 002a RemClassRegistry 0035 TRemotableTypeRegistry.ClassToURI 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 56 0C E8 ?? ?? ?? ?? 83 3B 00 75 11 53 E8 ?? ?? ?? ?? 8D 4D FC 8B 56 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48841_0 {
	meta:
		name = "TInvokableClassRegistry.InternalGetHeaderNamespace"
		size = 93
		refs = "000f TInvokableClassRegistry.InternalGetHeaderNamespace 001f @UStrAsg 002d RemClassRegistry 0037 TRemotableTypeRegistry.ClassToURI 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 56 08 E8 ?? ?? ?? ?? 83 3B 00 75 13 8D 45 FC 50 E8 ?? ?? ?? ?? 8B CB 8B 56 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48842_0 {
	meta:
		name = "TInvokableClassRegistry.GetHeaderName"
		size = 204
		refs = "0015 @UStrClr 0024 TInvokableClassRegistry.GetHeaderName 0034 TInvokableClassRegistry.GetIntfIndex 0050 @DynArrayLength 0097 TInvokableClassRegistry.InternalGetHeaderName 009c @TryFinallyExit 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 7C 68 8B C3 03 C0 8D 04 80 8B 55 FC 8B 52 0C 8B 44 C2 40 E8 ?? ?? ?? ?? 48 85 C0 7C 4D 40 33 F6 8B D3 03 D2 8D 14 92 8B 4D FC 8B 49 0C 8B 54 D1 40 8B FE 03 FF 03 FF 8B 54 FA 04 3B 55 F8 75 26 8B C3 03 C0 8D 04 80 8B 55 FC 8B 52 0C 8B 44 C2 40 8D 14 F8 8B 4D 08 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 46 48 75 B6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_48843_0 {
	meta:
		name = "TInvokableClassRegistry.GetHeaderNamespace"
		size = 204
		refs = "0015 @UStrClr 0024 TInvokableClassRegistry.GetHeaderNamespace 0034 TInvokableClassRegistry.GetIntfIndex 0050 @DynArrayLength 0097 TInvokableClassRegistry.InternalGetHeaderNamespace 009c @TryFinallyExit 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 7C 68 8B C3 03 C0 8D 04 80 8B 55 FC 8B 52 0C 8B 44 C2 40 E8 ?? ?? ?? ?? 48 85 C0 7C 4D 40 33 F6 8B D3 03 D2 8D 14 92 8B 4D FC 8B 49 0C 8B 54 D1 40 8B FE 03 FF 03 FF 8B 54 FA 04 3B 55 F8 75 26 8B C3 03 C0 8D 04 80 8B 55 FC 8B 52 0C 8B 44 C2 40 8D 14 F8 8B 4D 08 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 46 48 75 B6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_48844_0 {
	meta:
		name = "TInvokableClassRegistry.GetHeaderNamespace"
		size = 225
		refs = "0019 TInvokableClassRegistry.GetHeaderNamespace 0027 @UStrClr 002f @DynArrayLength 0098 TInvokableClassRegistry.InternalGetHeaderNamespace 00af RemClassRegistry 00b9 TRemotableTypeRegistry.ClassToURI 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 48 85 C0 7C 72 40 89 45 F0 C7 45 F4 00 00 00 00 8B 45 F4 03 C0 8D 04 80 8B 56 0C 8B 44 C2 40 E8 ?? ?? ?? ?? 48 85 C0 7C 46 40 33 DB 8B 55 F4 03 D2 8D 14 92 8B 4E 0C 8B 54 D1 40 8B CB 03 C9 03 C9 3B 7C CA 04 75 24 8B 45 F4 03 C0 8D 04 80 8B 56 0C 8B 44 C2 40 8B D3 03 D2 03 D2 8D 14 D0 8B 4D F8 8B C6 E8 ?? ?? ?? ?? EB 1F 43 48 75 BD FF 45 F4 FF 4D F0 75 99 8D 45 FC 50 E8 ?? ?? ?? ?? 8B 4D F8 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48845_0 {
	meta:
		name = "TInvokableClassRegistry.GetHeaderClass"
		size = 311
		refs = "001d @UStrAddRef 002d TInvokableClassRegistry.GetHeaderClass 0040 @DynArrayLength 0092 TInvokableClassRegistry.InternalGetHeaderName 009d @UStrEqual 00c0 TInvokableClassRegistry.InternalGetHeaderNamespace 0114 @UStrArrayClr 0127 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D E8 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 43 0C E8 ?? ?? ?? ?? 48 85 C0 0F 8C B1 00 00 00 40 89 45 F0 33 FF 8B C7 03 C0 8D 04 80 8B 53 0C 8B 44 C2 40 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 85 00 00 00 40 89 45 EC 33 F6 8B C7 03 C0 8D 04 80 8B 53 0C 8B 44 C2 40 8B D6 03 D2 03 D2 8D 14 D0 8D 4D E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 FC E8 ?? ?? ?? ?? 75 4B 8B C7 03 C0 8D 04 80 8B 53 0C 8B 44 C2 40 8B D6 03 D2 03 D2 8D 14 D0 8D 4D E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 8B 55 F8 E8 ?? ?? ?? ?? 75 1D 8B C7 03 C0 8D 04 80 8B 53 0C 8B 44 C2 40 8B D6 03 D2 03 D2 8B 44 D0 04 89 45 F4 EB 10 46 FF 4D EC 75 81 47 FF 4D F0 0F 85 55 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48847_0 {
	meta:
		name = "TInvokableClassRegistry.GetResponseHeaderInfoForInterface"
		size = 25
		refs = "0011 TInvokableClassRegistry.GetHeaderInfoForInterface"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48850_0 {
	meta:
		name = "AddExceptionMethod"
		size = 184
		refs = "0012 AddExceptionMethod 001f _Dn_TStringList 0024 TStringList.Create 0040 TStrings.SetCommaText 006a TStrings.GetCommaText 0075 @UStrAsg 008a TObject.Free 0090 @HandleFinally 00a7 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 04 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 50 08 8B 45 FC 8B 08 FF 51 54 40 75 24 8B 45 08 8B 50 08 8B 45 FC 8B 08 FF 51 38 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48851_0 {
	meta:
		name = "TInvokableClassRegistry.InternalRegisterException"
		size = 292
		refs = "001c TInvokableClassRegistry.InternalRegisterException 002c TInvokableClassRegistry.GetIntfIndex 004c @DynArrayLength 00c8 :InterfaceMapItem.:3 00cd @DynArraySetLength 00f9 AddExceptionMethod 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 FC 8B 10 FF 12 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8C C4 00 00 00 8B FB 03 FF 8D 3C BF 8B 45 FC 8B 40 0C 8B 44 F8 44 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 40 0C 8B 44 F8 44 E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 24 42 33 C0 8B CB 03 C9 8D 0C 89 8B 7D FC 8B 7F 0C 8B 4C CF 44 8B 0C C1 3B 4D F8 75 04 8B F0 EB 04 40 4A 75 DF 8B FB 03 FF 8D 3C BF 8B 45 FC 8B 40 0C 8B 44 F8 44 E8 ?? ?? ?? ?? 3B F0 75 3E 8B 45 FC 8B 40 0C 8B 44 F8 44 E8 ?? ?? ?? ?? 40 50 8B 45 FC 8B 40 0C 8D 44 F8 44 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 40 0C 8B 44 F8 44 8B 55 F8 89 14 F0 83 7D 08 00 74 14 55 8B 45 FC 8B 40 0C 8B 44 F8 44 8D 04 F0 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_48852_0 {
	meta:
		name = "TInvokableClassRegistry.DeleteFromReg"
		size = 370
		refs = "001c TInvokableClassRegistry.DeleteFromReg 0038 @DynArrayLength 00c1 InterfaceMapItem 00c6 @CopyRecord 00e8 :TInvokableClassRegistry.:2 00ed @DynArraySetLength 011b InvRegClassEntry 0142 :TInvokableClassRegistry.:1 0165 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C7 45 F4 FF FF FF FF 85 FF 74 0D 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? EB 0B 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3A 46 33 DB 85 FF 74 13 8B D3 03 D2 8D 14 92 8B 4D FC 8B 49 0C 3B 7C D1 1C 74 17 83 7D F8 00 74 16 8D 14 5B 8B 4D FC 8B 49 08 8B 14 91 3B 55 F8 75 05 89 5D F4 EB 04 43 4E 75 C9 83 7D F4 FF 0F 84 BA 00 00 00 85 FF 74 5E 8B 5D F4 8B F0 83 EE 02 2B F3 7C 2A 46 8B FB 03 FF 8D 3C BF 8B 45 FC 8B 40 0C 8D 04 F8 8B 55 FC 8B 52 0C 8D 54 FA 50 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 D7 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 48 50 8B 45 FC 83 C0 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 58 8B 5D F4 8B F0 83 EE 02 2B F3 7C 26 46 8D 3C 5B 8B 45 FC 8B 40 08 8D 04 B8 8B 55 FC 8B 52 08 8D 54 BA 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 DB 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 48 50 8B 45 FC 83 C0 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48853_0 {
	meta:
		name = "TInvokableClassRegistry.UnRegisterInvokableClass"
		size = 71
		refs = "000c @DynArrayLength 003e TInvokableClassRegistry.DeleteFromReg"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B 43 0C E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 20 42 33 C0 8B F8 03 FF 8D 3C BF 8B 4B 0C 3B 74 F9 20 75 09 8B 4B 0C 33 ED 89 6C F9 20 40 4A 75 E3 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48854_0 {
	meta:
		name = "TInvokableClassRegistry.RegisterInterface"
		size = 748
		refs = "001c TIntfMetaData 0021 @InitializeRecord 0029 TInvokableClassRegistry.RegisterInterface 004f @DynArrayLength 0075 @TryFinallyExit 008d GetIntfMetaData 00b1 :TInvokableClassRegistry.:2 00b6 @DynArraySetLength 00f0 @UStrAsg 013e AppNameSpacePrefix 0154 @UStrCat3 0181 @UStrCatN 01ee TObject.GetInterfaceTable 0205 TObject.ClassParent 0233 IsEqualGUID 0285 @HandleFinally 02a2 @FinalizeRecord 02aa @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D FC 89 4D C8 89 55 CC 89 45 D0 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D0 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D0 8B 40 0C E8 ?? ?? ?? ?? 48 85 C0 7C 2C 40 89 45 BC 33 F6 8B C6 03 C0 8D 04 80 8B 55 D0 8B 52 0C 8B 44 C2 1C 3B 45 CC 75 0A E8 ?? ?? ?? ?? E9 0D 02 00 00 46 FF 4D BC 75 DA 8D 55 D4 B1 01 8B 45 CC E8 ?? ?? ?? ?? 8B 45 D0 8B 40 0C E8 ?? ?? ?? ?? 89 45 C4 8B 45 C4 40 50 8B 45 D0 83 C0 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 5D C4 03 DB 8D 1C 9B 8B 45 D0 8B 40 0C 8D 7C D8 0C 8D 75 E0 A5 A5 A5 A5 8B 45 D0 8B 40 0C 8B 55 CC 89 54 D8 1C 8B 45 D0 8B 40 0C 8D 04 D8 8B 55 D4 E8 ?? ?? ?? ?? 8B 45 D0 8B 40 0C 8D 44 D8 08 8B 55 D8 E8 ?? ?? ?? ?? 8B 45 D0 8B 40 0C 8D 44 D8 2C 8B 55 0C E8 ?? ?? ?? ?? 8B 45 D0 8B 40 0C 8D 44 D8 04 8B 55 08 E8 ?? ?? ?? ?? 8B 45 D0 8B 40 0C 8D 44 D8 28 8B 55 10 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 13 8D 45 FC B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D C8 00 75 29 68 ?? ?? ?? ?? FF 75 FC FF 75 D8 68 ?? ?? ?? ?? FF 75 D4 8B 45 D0 8B 40 0C 8D 44 D8 24 BA 05 00 00 00 E8 ?? ?? ?? ?? EB 2F 8B 45 D0 8B 40 0C 8D 44 D8 24 8B 55 C8 E8 ?? ?? ?? ?? 8B 45 D0 8B 40 0C 0F B7 44 D8 38 66 0B 05 ?? ?? ?? ?? 8B 55 D0 8B 52 0C 66 89 44 DA 38 8B 45 D0 8B 40 0C 83 7C D8 20 00 0F 85 A7 00 00 00 8B 45 D0 8B 40 08 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 93 00 00 00 40 89 45 BC 33 F6 8D 1C 76 8B 45 D0 8B 40 08 8B 04 98 E8 ?? ?? ?? ?? 89 45 C0 83 7D C0 00 75 16 8B 45 D0 8B 40 08 8B 04 98 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C0 8B 45 C0 8B 18 4B 85 DB 7C 49 43 33 FF 8B C7 03 C0 03 C0 03 C0 2B C7 8B 55 C0 8D 54 82 04 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 74 25 8D 04 76 8B 55 D0 8B 52 08 8B 04 82 8B 55 C4 03 D2 8D 14 92 8B 4D D0 8B 49 0C 89 44 D1 20 E8 ?? ?? ?? ?? EB 2B 47 4B 75 BA 46 FF 4D BC 0F 85 73 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 75 00 72 00 6E 00 3A 00 00 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_48855_0 {
	meta:
		name = "TInvokableClassRegistry.RegisterDefaultSOAPAction"
		size = 152
		refs = "0019 TInvokableClassRegistry.RegisterDefaultSOAPAction 0029 TInvokableClassRegistry.GetIntfIndex 0047 @UStrAsg 0069 @TryFinallyExit 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B DA 89 45 FC 8B 45 FC 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 7C 3C 8B F3 03 F6 8D 34 B6 8B 45 FC 8B 40 0C 8D 44 F0 30 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 0F B7 44 F0 38 66 0B 05 ?? ?? ?? ?? 8B 55 FC 8B 52 0C 66 89 44 F2 38 E8 ?? ?? ?? ?? EB 1D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_48856_0 {
	meta:
		name = "TInvokableClassRegistry.RegisterAllSOAPActions"
		size = 152
		refs = "0019 TInvokableClassRegistry.RegisterAllSOAPActions 0029 TInvokableClassRegistry.GetIntfIndex 0047 @UStrAsg 0069 @TryFinallyExit 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B DA 89 45 FC 8B 45 FC 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 7C 3C 8B F3 03 F6 8D 34 B6 8B 45 FC 8B 40 0C 8D 44 F0 30 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 0F B7 44 F0 38 66 0B 05 ?? ?? ?? ?? 8B 55 FC 8B 52 0C 66 89 44 F2 38 E8 ?? ?? ?? ?? EB 1D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 01 00 00 }
	condition:
		$1
}

rule function_48857_0 {
	meta:
		name = "TInvokableClassRegistry.RegisterUDDIInfo"
		size = 172
		refs = "0019 TInvokableClassRegistry.RegisterUDDIInfo 0029 TInvokableClassRegistry.GetIntfIndex 0047 @UStrAsg 007b @TryFinallyExit 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B DA 89 45 FC 8B 45 FC 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 7C 4E 8B F3 03 F6 8D 34 B6 8B 45 FC 8B 40 0C 8D 44 F0 48 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8D 44 F0 4C 8B 55 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 0F B7 44 F0 38 66 0B 05 ?? ?? ?? ?? 8B 55 FC 8B 52 0C 66 89 44 F2 38 E8 ?? ?? ?? ?? EB 1D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule function_48858_0 {
	meta:
		name = "TInvokableClassRegistry.RegisterReturnParamNames"
		size = 144
		refs = "0019 TInvokableClassRegistry.RegisterReturnParamNames 0029 TInvokableClassRegistry.GetIntfIndex 0047 @UStrAsg 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B DA 89 45 FC 8B 45 FC 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 7C 35 8B F3 03 F6 8D 34 B6 8B 45 FC 8B 40 0C 8D 44 F0 34 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 0F B7 44 F0 38 66 0B 05 ?? ?? ?? ?? 8B 55 FC 8B 52 0C 66 89 44 F2 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 10 00 00 00 }
	condition:
		$1
}

rule function_48859_0 {
	meta:
		name = "TInvokableClassRegistry.RegisterInvokeOptions"
		size = 59
		refs = "0010 TInvokableClassRegistry.GetIntfInvokeOptions 001d @SetElem 0031 TInvokableClassRegistry.RegisterInvokeOptions"
	strings:
		$1 = { 53 56 57 55 51 8B D9 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B E8 8B D3 8B C4 B1 02 E8 ?? ?? ?? ?? 0F B7 04 24 66 0B C5 8B E8 8B CD 8B D7 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48860_0 {
	meta:
		name = "TInvokableClassRegistry.RegisterInvokeOptions"
		size = 105
		refs = "001b TInvokableClassRegistry.RegisterInvokeOptions 002b TInvokableClassRegistry.GetIntfIndex 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 66 89 4D FA 8B DA 89 45 FC 8B 45 FC 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7C 14 03 C0 8D 04 80 8B 55 FC 8B 52 0C 0F B7 4D FA 66 89 4C C2 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48861_0 {
	meta:
		name = "TInvokableClassRegistry.GetIntfIndex"
		size = 60
		refs = "000f @DynArrayLength"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 83 CF FF 8B 43 0C E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 1B 42 33 C0 8B C8 03 C9 8D 0C 89 8B 6B 0C 3B 74 CD 1C 75 04 8B F8 EB 04 40 4A 75 E8 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48862_0 {
	meta:
		name = "TInvokableClassRegistry.GetIntfInvokeOptions"
		size = 120
		refs = "000f TInvokableClassRegistry.GetIntfInvokeOptions 0032 TInvokableClassRegistry.GetIntfIndex 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 0F B7 05 ?? ?? ?? ?? 66 89 45 FA 8B 45 FC 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7C 14 03 C0 8D 04 80 8B 55 FC 8B 52 0C 0F B7 44 C2 38 66 89 45 FA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 FA 5B 59 59 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_48863_0 {
	meta:
		name = "TInvokableClassRegistry.GetIntfInvokeOptions"
		size = 33
		refs = "000c TInvokableClassRegistry.GetInterfaceTypeInfo 0015 TInvokableClassRegistry.GetIntfInvokeOptions"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48866_0 {
	meta:
		name = "TInvokableClassRegistry.GetInterfaceExternalName"
		size = 184
		refs = "0016 @UStrAsg 0025 TInvokableClassRegistry.GetInterfaceExternalName 0036 @DynArrayLength 0067 @UStrEqual 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 51 46 33 DB 8B FB 03 FF 8D 3C BF 8B 45 FC 8B 40 0C 8B 44 F8 1C 3B 45 F8 75 34 8B 45 FC 8B 40 0C 8B 04 F8 8B 55 0C E8 ?? ?? ?? ?? 75 21 8B 45 FC 8B 40 0C 83 7C F8 04 00 74 18 8B 45 08 8B 55 FC 8B 52 0C 8B 54 FA 04 E8 ?? ?? ?? ?? EB 04 43 4E 75 B2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_48869_0 {
	meta:
		name = "TInvokableClassRegistry.GetWSDLEncoding"
		size = 168
		refs = "0013 @UStrClr 0022 TInvokableClassRegistry.GetWSDLEncoding 0033 @DynArrayLength 0064 @UStrEqual 0078 @UStrAsg 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 44 46 33 DB 8B FB 03 FF 8D 3C BF 8B 45 FC 8B 40 0C 8B 44 F8 1C 3B 45 F8 75 27 8B 45 FC 8B 40 0C 8B 04 F8 8B 55 0C E8 ?? ?? ?? ?? 75 14 8B 45 08 8B 55 FC 8B 52 0C 8B 54 FA 28 E8 ?? ?? ?? ?? EB 04 43 4E 75 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_48871_0 {
	meta:
		name = "TInvokableClassRegistry.RegisterExternalMethName"
		size = 417
		refs = "001e TInvokableClassRegistry.RegisterExternalMethName 0044 @DynArrayLength 00a5 @UStrLAsg 00d7 CompareText 010b :InterfaceMapItem.:1 0110 @DynArraySetLength 012b @UStrAsg 0170 @HandleFinally 018c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 40 0C E8 ?? ?? ?? ?? 48 85 C0 0F 8C 08 01 00 00 40 89 45 E4 33 F6 8B C6 03 C0 8D 04 80 8B 55 F4 8B 52 0C 8B 54 C2 1C 3B 55 F0 0F 85 DE 00 00 00 8B 55 F4 8B 52 0C 8B 44 C2 3C E8 ?? ?? ?? ?? 89 45 E8 33 FF 3B 7D E8 7D 60 8D 45 FC 8B D6 03 D2 8D 14 92 8B 4D F4 8B 49 0C 8B 54 D1 3C 8D 0C BF 8B 14 8A E8 ?? ?? ?? ?? 8D 45 F8 8B 55 EC E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B3 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 DB EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 75 06 47 3B 7D E8 7C A0 3B 7D E8 75 40 8D 47 01 50 8B DE 03 DB 8D 1C 9B 8B 45 F4 8B 40 0C 8D 44 D8 3C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 8B 40 0C 8B 44 D8 3C 8D 14 BF 8D 04 90 8B 55 EC E8 ?? ?? ?? ?? 8B C6 03 C0 8D 04 80 8B 55 F4 8B 52 0C 8B 44 C2 3C 8D 14 BF 8D 44 90 04 8B 55 08 E8 ?? ?? ?? ?? 46 FF 4D E4 0F 85 FE FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_48872_0 {
	meta:
		name = "TInvokableClassRegistry.RegisterMethodInfo"
		size = 462
		refs = "001e TInvokableClassRegistry.RegisterMethodInfo 0044 @DynArrayLength 00a5 @UStrLAsg 00d7 CompareText 010b :InterfaceMapItem.:1 0110 @DynArraySetLength 012b @UStrAsg 019d @HandleFinally 01b9 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 40 0C E8 ?? ?? ?? ?? 48 85 C0 0F 8C 35 01 00 00 40 89 45 E4 33 F6 8B C6 03 C0 8D 04 80 8B 55 F4 8B 52 0C 8B 54 C2 1C 3B 55 F0 0F 85 0B 01 00 00 8B 55 F4 8B 52 0C 8B 44 C2 3C E8 ?? ?? ?? ?? 89 45 E8 33 FF 3B 7D E8 7D 60 8D 45 FC 8B D6 03 D2 8D 14 92 8B 4D F4 8B 49 0C 8B 54 D1 3C 8D 0C BF 8B 14 8A E8 ?? ?? ?? ?? 8D 45 F8 8B 55 EC E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B3 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 DB EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 75 06 47 3B 7D E8 7C A0 3B 7D E8 75 40 8D 47 01 50 8B DE 03 DB 8D 1C 9B 8B 45 F4 8B 40 0C 8D 44 D8 3C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 8B 40 0C 8B 44 D8 3C 8D 14 BF 8D 04 90 8B 55 EC E8 ?? ?? ?? ?? 8B DE 03 DB 8D 1C 9B 8B 45 F4 8B 40 0C 8B 44 D8 3C 8D 14 BF 8D 44 90 04 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C 8B 44 D8 3C 8D 14 BF 8D 44 90 08 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F4 8B 40 0C 8B 44 D8 3C 8D 14 BF 8B 4D 08 89 4C 90 0C 46 FF 4D E4 0F 85 D1 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_48873_0 {
	meta:
		name = "TInvokableClassRegistry.GetMethodInfo"
		size = 466
		refs = "001d TInvokableClassRegistry.GetMethodInfo 002d @UStrAsg 0035 @UStrClr 005c @DynArrayLength 00c2 @UStrLAsg 00f3 CompareText 0170 @TryFinallyExit 01a1 @HandleFinally 01bd @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 5D F8 8B F9 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 8B D7 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 33 D2 89 10 8B 45 F4 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 40 0C E8 ?? ?? ?? ?? 48 85 C0 0F 8C 21 01 00 00 40 89 45 EC 33 DB 8B F3 03 F6 8D 34 B6 8B 45 F4 8B 40 0C 8B 44 F0 1C 3B 45 F0 0F 85 F7 00 00 00 8B 45 F4 8B 40 0C 8B 44 F0 3C E8 ?? ?? ?? ?? 48 85 C0 0F 8C DF 00 00 00 40 89 45 E8 33 F6 8D 45 FC 8B D3 03 D2 8D 14 92 8B 4D F4 8B 49 0C 8B 54 D1 3C 8D 0C B6 8B 14 8A E8 ?? ?? ?? ?? 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 76 8B C3 03 C0 8D 04 80 8B 55 F4 8B 52 0C 8B 44 C2 3C 8D 3C B6 83 7C B8 04 00 74 1D 8B 45 10 8B D3 03 D2 8D 14 92 8B 4D F4 8B 49 0C 8B 54 D1 3C 8B 54 BA 04 E8 ?? ?? ?? ?? 8B 45 0C 8B D3 03 D2 8D 14 92 8B 4D F4 8B 49 0C 8B 54 D1 3C 8B 54 BA 08 E8 ?? ?? ?? ?? 8B C3 03 C0 8D 04 80 8B 55 F4 8B 52 0C 8B 44 C2 3C 8B 44 B8 0C 8B 55 08 89 02 E8 ?? ?? ?? ?? EB 31 46 FF 4D E8 0F 85 27 FF FF FF 43 FF 4D EC 0F 85 E5 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_48874_0 {
	meta:
		name = "TInvokableClassRegistry.RegisterExternalParamName"
		size = 680
		refs = "0023 TInvokableClassRegistry.RegisterExternalParamName 0049 @DynArrayLength 00a7 @UStrLAsg 00dc CompareText 0113 :InterfaceMapItem.:1 0118 @DynArraySetLength 0139 @UStrAsg 01fb :MethodMapItem.:1 0277 @HandleFinally 0293 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 5D F0 8B F9 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 10 FF 12 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 EC 8B 40 0C E8 ?? ?? ?? ?? 48 85 C0 0F 8C 0A 02 00 00 40 33 F6 8B D6 03 D2 8D 14 92 8B 4D EC 8B 49 0C 8B 4C D1 1C 3B 4D E8 0F 85 E5 01 00 00 8B 45 EC 8B 40 0C 8B 44 D0 3C E8 ?? ?? ?? ?? 89 45 E4 33 DB 3B 5D E4 7D 66 8D 45 FC 8B D6 03 D2 8D 14 92 8B 4D EC 8B 49 0C 8B 54 D1 3C 8D 0C 9B 8B 14 8A E8 ?? ?? ?? ?? 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 06 C6 45 E3 01 EB 23 83 7D FC 00 74 06 83 7D F8 00 75 06 C6 45 E3 00 EB 11 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 45 E3 80 7D E3 00 75 06 43 3B 5D E4 7C 9A 3B 5D E4 75 46 8D 43 01 50 8B C6 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8D 44 C2 3C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8B 44 C2 3C 8D 14 9B 8D 04 90 8B D7 E8 ?? ?? ?? ?? 8B C6 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8B 44 C2 3C 8D 14 9B 8B 44 90 10 E8 ?? ?? ?? ?? 89 45 E4 33 FF 3B 7D E4 7D 6F 8D 45 F4 8B D6 03 D2 8D 14 92 8B 4D EC 8B 49 0C 8B 54 D1 3C 8D 0C 9B 8B 54 8A 10 8B CF 03 C9 8B 14 CA E8 ?? ?? ?? ?? 8D 45 F0 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 06 C6 45 E2 01 EB 23 83 7D F4 00 74 06 83 7D F0 00 75 06 C6 45 E2 00 EB 11 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 45 E2 80 7D E2 00 75 06 47 3B 7D E4 7C 91 3B 7D E4 75 56 8D 47 01 50 8B C6 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8B 44 C2 3C 8D 14 9B 8D 44 90 10 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8B 44 C2 3C 8D 14 9B 8B 44 90 10 8B D7 03 D2 8D 04 D0 8B 55 0C E8 ?? ?? ?? ?? 8B C6 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8B 44 C2 3C 8D 14 9B 8B 44 90 10 8B D7 03 D2 8D 44 D0 04 8B 55 08 E8 ?? ?? ?? ?? EB 08 46 48 0F 85 F9 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_48875_0 {
	meta:
		name = "TInvokableClassRegistry.RegisterParamInfo"
		size = 755
		refs = "0023 TInvokableClassRegistry.RegisterParamInfo 0049 @DynArrayLength 00a7 @UStrLAsg 00dc CompareText 0113 :InterfaceMapItem.:1 0118 @DynArraySetLength 0139 @UStrAsg 01fb :MethodMapItem.:1 02c2 @HandleFinally 02de @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 5D F0 8B F9 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 10 FF 12 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 EC 8B 40 0C E8 ?? ?? ?? ?? 48 85 C0 0F 8C 55 02 00 00 40 33 F6 8B D6 03 D2 8D 14 92 8B 4D EC 8B 49 0C 8B 4C D1 1C 3B 4D E8 0F 85 30 02 00 00 8B 45 EC 8B 40 0C 8B 44 D0 3C E8 ?? ?? ?? ?? 89 45 E4 33 DB 3B 5D E4 7D 66 8D 45 FC 8B D6 03 D2 8D 14 92 8B 4D EC 8B 49 0C 8B 54 D1 3C 8D 0C 9B 8B 14 8A E8 ?? ?? ?? ?? 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 06 C6 45 E3 01 EB 23 83 7D FC 00 74 06 83 7D F8 00 75 06 C6 45 E3 00 EB 11 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 45 E3 80 7D E3 00 75 06 43 3B 5D E4 7C 9A 3B 5D E4 75 46 8D 43 01 50 8B C6 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8D 44 C2 3C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8B 44 C2 3C 8D 14 9B 8D 04 90 8B D7 E8 ?? ?? ?? ?? 8B C6 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8B 44 C2 3C 8D 14 9B 8B 44 90 10 E8 ?? ?? ?? ?? 89 45 E4 33 FF 3B 7D E4 7D 6F 8D 45 F4 8B D6 03 D2 8D 14 92 8B 4D EC 8B 49 0C 8B 54 D1 3C 8D 0C 9B 8B 54 8A 10 8B CF 03 C9 8B 14 CA E8 ?? ?? ?? ?? 8D 45 F0 8B 55 14 E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 06 C6 45 E2 01 EB 23 83 7D F4 00 74 06 83 7D F0 00 75 06 C6 45 E2 00 EB 11 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 45 E2 80 7D E2 00 75 06 47 3B 7D E4 7C 91 3B 7D E4 75 56 8D 47 01 50 8B C6 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8B 44 C2 3C 8D 14 9B 8D 44 90 10 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8B 44 C2 3C 8D 14 9B 8B 44 90 10 8B D7 03 D2 8D 04 D0 8B 55 14 E8 ?? ?? ?? ?? 8B C6 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8B 44 C2 3C 8D 14 9B 8B 44 90 10 8B D7 03 D2 8D 44 D0 04 8B 55 10 E8 ?? ?? ?? ?? 8B C6 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8B 44 C2 3C 8D 14 9B 8B 44 90 10 8B D7 03 D2 8D 44 D0 08 8B 55 0C E8 ?? ?? ?? ?? 8B C6 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8B 44 C2 3C 8D 14 9B 8B 44 90 10 8B D7 03 D2 8B 4D 08 09 4C D0 0C EB 08 46 48 0F 85 AE FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_48876_0 {
	meta:
		name = "TInvokableClassRegistry.GetParamInfo"
		size = 676
		refs = "0024 TInvokableClassRegistry.GetParamInfo 0035 @UStrAsg 003d @UStrClr 0064 @DynArrayLength 00ca @UStrLAsg 00fc CompareText 0238 @TryFinallyExit 0273 @HandleFinally 028f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 5D F0 89 4D E4 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 8B 55 14 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 33 D2 89 10 8B 45 EC 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 40 0C E8 ?? ?? ?? ?? 48 85 C0 0F 8C EB 01 00 00 40 89 45 E0 33 DB 8B F3 03 F6 8D 34 B6 8B 45 EC 8B 40 0C 8B 44 F0 1C 3B 45 E8 0F 85 C1 01 00 00 8B 45 EC 8B 40 0C 8B 44 F0 3C E8 ?? ?? ?? ?? 48 85 C0 0F 8C A9 01 00 00 40 89 45 DC 33 F6 8D 45 FC 8B D3 03 D2 8D 14 92 8B 4D EC 8B 49 0C 8B 54 D1 3C 8D 0C B6 8B 14 8A E8 ?? ?? ?? ?? 8D 45 F8 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 3B 01 00 00 8B C3 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8B 44 C2 3C 8D 14 B6 8B 44 90 10 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 15 01 00 00 40 89 45 D8 33 FF 8D 45 F4 8B D3 03 D2 8D 14 92 8B 4D EC 8B 49 0C 8B 54 D1 3C 8D 0C B6 8B 54 8A 10 8B CF 03 C9 8B 14 CA E8 ?? ?? ?? ?? 8D 45 F0 8B 55 14 E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 9F 00 00 00 8B C3 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8B 44 C2 3C 8D 14 B6 8B 44 90 10 8B D7 03 D2 83 7C D0 04 00 74 28 8B 45 10 8B D3 03 D2 8D 14 92 8B 4D EC 8B 49 0C 8B 54 D1 3C 8D 0C B6 8B 54 8A 10 8B CF 03 C9 8B 54 CA 04 E8 ?? ?? ?? ?? 8B 45 0C 8B D3 03 D2 8D 14 92 8B 4D EC 8B 49 0C 8B 54 D1 3C 8D 0C B6 8B 54 8A 10 8B CF 03 C9 8B 54 CA 08 E8 ?? ?? ?? ?? 8B C3 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8B 44 C2 3C 8D 14 B6 8B 44 90 10 8B D7 03 D2 8B 44 D0 0C 8B 55 08 89 02 E8 ?? ?? ?? ?? EB 3B 47 FF 4D D8 0F 85 F1 FE FF FF 46 FF 4D DC 0F 85 5D FE FF FF 43 FF 4D E0 0F 85 1B FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_48877_0 {
	meta:
		name = "TInvokableClassRegistry.GetParamExternalName"
		size = 580
		refs = "0024 TInvokableClassRegistry.GetParamExternalName 0035 @UStrAsg 0055 @DynArrayLength 00bb @UStrLAsg 00ed CompareText 01d8 @TryFinallyExit 0213 @HandleFinally 022f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 5D F0 89 4D E4 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 40 0C E8 ?? ?? ?? ?? 48 85 C0 0F 8C 9A 01 00 00 40 89 45 E0 33 DB 8B F3 03 F6 8D 34 B6 8B 45 EC 8B 40 0C 8B 44 F0 1C 3B 45 E8 0F 85 70 01 00 00 8B 45 EC 8B 40 0C 8B 44 F0 3C E8 ?? ?? ?? ?? 48 85 C0 0F 8C 58 01 00 00 40 89 45 DC 33 F6 8D 45 FC 8B D3 03 D2 8D 14 92 8B 4D EC 8B 49 0C 8B 54 D1 3C 8D 0C B6 8B 14 8A E8 ?? ?? ?? ?? 8D 45 F8 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 EA 00 00 00 8B C3 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8B 44 C2 3C 8D 14 B6 8B 44 90 10 E8 ?? ?? ?? ?? 48 85 C0 0F 8C C4 00 00 00 40 89 45 D8 33 FF 8D 45 F4 8B D3 03 D2 8D 14 92 8B 4D EC 8B 49 0C 8B 54 D1 3C 8D 0C B6 8B 54 8A 10 8B CF 03 C9 8B 14 CA E8 ?? ?? ?? ?? 8D 45 F0 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 52 8B C3 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8B 44 C2 3C 8D 14 B6 8B 44 90 10 8B D7 03 D2 83 7C D0 04 00 74 28 8B 45 08 8B D3 03 D2 8D 14 92 8B 4D EC 8B 49 0C 8B 54 D1 3C 8D 0C B6 8B 54 8A 10 8B CF 03 C9 8B 54 CA 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3B 47 FF 4D D8 0F 85 42 FF FF FF 46 FF 4D DC 0F 85 AE FE FF FF 43 FF 4D E0 0F 85 6C FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_48878_0 {
	meta:
		name = "TInvokableClassRegistry.GetParamInternalName"
		size = 579
		refs = "0024 TInvokableClassRegistry.GetParamInternalName 0035 @UStrAsg 0055 @DynArrayLength 00bb @UStrLAsg 00ed CompareText 01d7 @TryFinallyExit 0212 @HandleFinally 022e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 5D F0 89 4D E4 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 40 0C E8 ?? ?? ?? ?? 48 85 C0 0F 8C 99 01 00 00 40 89 45 E0 33 DB 8B F3 03 F6 8D 34 B6 8B 45 EC 8B 40 0C 8B 44 F0 1C 3B 45 E8 0F 85 6F 01 00 00 8B 45 EC 8B 40 0C 8B 44 F0 3C E8 ?? ?? ?? ?? 48 85 C0 0F 8C 57 01 00 00 40 89 45 DC 33 F6 8D 45 FC 8B D3 03 D2 8D 14 92 8B 4D EC 8B 49 0C 8B 54 D1 3C 8D 0C B6 8B 14 8A E8 ?? ?? ?? ?? 8D 45 F8 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 E9 00 00 00 8B C3 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8B 44 C2 3C 8D 14 B6 8B 44 90 10 E8 ?? ?? ?? ?? 48 85 C0 0F 8C C3 00 00 00 40 89 45 D8 33 FF 8D 45 F4 8B D3 03 D2 8D 14 92 8B 4D EC 8B 49 0C 8B 54 D1 3C 8D 0C B6 8B 54 8A 10 8B CF 03 C9 8B 54 CA 04 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 50 8B C3 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8B 44 C2 3C 8D 14 B6 8B 44 90 10 8B D7 03 D2 83 3C D0 00 74 27 8B 45 08 8B D3 03 D2 8D 14 92 8B 4D EC 8B 49 0C 8B 54 D1 3C 8D 0C B6 8B 54 8A 10 8B CF 03 C9 8B 14 CA E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3B 47 FF 4D D8 0F 85 43 FF FF FF 46 FF 4D DC 0F 85 AF FE FF FF 43 FF 4D E0 0F 85 6D FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_48879_0 {
	meta:
		name = "TInvokableClassRegistry.GetMethExternalName"
		size = 396
		refs = "001d TInvokableClassRegistry.GetMethExternalName 002d @UStrAsg 004d @DynArrayLength 00b3 @UStrLAsg 00e4 CompareText 012a @TryFinallyExit 015b @HandleFinally 0177 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 5D F8 8B F9 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B D7 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 40 0C E8 ?? ?? ?? ?? 48 85 C0 0F 8C EA 00 00 00 40 89 45 EC 33 DB 8B F3 03 F6 8D 34 B6 8B 45 F4 8B 40 0C 8B 44 F0 1C 3B 45 F0 0F 85 C0 00 00 00 8B 45 F4 8B 40 0C 8B 44 F0 3C E8 ?? ?? ?? ?? 48 85 C0 0F 8C A8 00 00 00 40 89 45 E8 33 F6 8D 45 FC 8B D3 03 D2 8D 14 92 8B 4D F4 8B 49 0C 8B 54 D1 3C 8D 0C B6 8B 14 8A E8 ?? ?? ?? ?? 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 3F 8B C3 03 C0 8D 04 80 8B 55 F4 8B 52 0C 8B 44 C2 3C 8D 3C B6 83 7C B8 04 00 74 1D 8B 45 08 8B D3 03 D2 8D 14 92 8B 4D F4 8B 49 0C 8B 54 D1 3C 8B 54 BA 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 31 46 FF 4D E8 0F 85 5E FF FF FF 43 FF 4D EC 0F 85 1C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_48880_0 {
	meta:
		name = "TInvokableClassRegistry.GetMethInternalName"
		size = 395
		refs = "001d TInvokableClassRegistry.GetMethInternalName 002d @UStrAsg 004d @DynArrayLength 00b4 @UStrLAsg 00e5 CompareText 0129 @TryFinallyExit 015a @HandleFinally 0176 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 5D F8 8B F9 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B D7 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 40 0C E8 ?? ?? ?? ?? 48 85 C0 0F 8C E9 00 00 00 40 89 45 EC 33 DB 8B F3 03 F6 8D 34 B6 8B 45 F4 8B 40 0C 8B 44 F0 1C 3B 45 F0 0F 85 BF 00 00 00 8B 45 F4 8B 40 0C 8B 44 F0 3C E8 ?? ?? ?? ?? 48 85 C0 0F 8C A7 00 00 00 40 89 45 E8 33 F6 8D 45 FC 8B D3 03 D2 8D 14 92 8B 4D F4 8B 49 0C 8B 54 D1 3C 8D 0C B6 8B 54 8A 04 E8 ?? ?? ?? ?? 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 3D 8B C3 03 C0 8D 04 80 8B 55 F4 8B 52 0C 8B 44 C2 3C 8D 3C B6 83 3C B8 00 74 1C 8B 45 08 8B D3 03 D2 8D 14 92 8B 4D F4 8B 49 0C 8B 54 D1 3C 8B 14 BA E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 31 46 FF 4D E8 0F 85 5F FF FF FF 43 FF 4D EC 0F 85 1D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_48881_0 {
	meta:
		name = "TInvokableClassRegistry.GetInterfaceTypeInfo"
		size = 154
		refs = "001f TInvokableClassRegistry.GetInterfaceTypeInfo 0030 @DynArrayLength 0053 IsEqualGUID 0069 @TryFinallyExit 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 89 45 FC 33 C0 89 45 F4 8B 45 FC 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 38 46 33 DB 8B FB 03 FF 8D 3C BF 8B 45 FC 8B 40 0C 8D 54 F8 0C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 FC 8B 40 0C 8B 44 F8 1C 89 45 F4 E8 ?? ?? ?? ?? EB 21 43 4E 75 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48882_0 {
	meta:
		name = "TInvokableClassRegistry.GetInterfaceInfoFromName"
		size = 401
		refs = "0020 TInvokableClassRegistry.GetInterfaceInfoFromName 004d @DynArrayLength 0066 @UStrLAsg 00a5 CompareText 0160 @HandleFinally 017c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 33 D2 89 10 8B 45 EC 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 40 0C E8 ?? ?? ?? ?? 48 85 C0 0F 8C EF 00 00 00 40 89 45 E4 33 DB 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 45 F8 8B D3 03 D2 8D 14 92 8B 4D EC 8B 49 0C 8B 14 D1 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 89 00 00 00 83 7D E8 00 75 04 B0 01 EB 50 8D 45 F4 8B 55 E8 E8 ?? ?? ?? ?? 8D 45 F0 8B D3 03 D2 8D 14 92 8B 4D EC 8B 49 0C 8B 54 D1 08 E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 2B 8B C3 03 C0 8D 04 80 8B 55 EC 8B 52 0C 8B 54 C2 1C 8B 4D 0C 89 11 8B 55 EC 8B 52 0C 8B 4D 08 56 8D 74 C2 0C 8B F9 A5 A5 A5 A5 5E 43 FF 4D E4 0F 85 17 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_48883_0 {
	meta:
		name = "TInvokableClassRegistry.GetActionURIOfIID"
		size = 36
		refs = "0011 TInvokableClassRegistry.GetInterfaceTypeInfo 001c TInvokableClassRegistry.GetActionURIOfInfo"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A FF 57 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48884_0 {
	meta:
		name = "TInvokableClassRegistry.GetActionURIOfInfo"
		size = 548
		refs = "0020 TInvokableClassRegistry.GetActionURIOfInfo 0036 TStringDynArray 003b @DynArraySetLength 005e @DynArrayLength 00a0 @UStrAsg 00b9 @WStrFromUStr 00d8 SubstituteStrings 00e3 @UStrFromWStr 0118 @UStrFromWChar 012d StringToStringArray 015b @UStrClr 017c @UStrCatN 0181 @TryFinallyExit 01a6 @HandleFinally 01ca @WStrArrayClr 01d8 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B FA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 0C E8 ?? ?? ?? ?? 48 85 C0 0F 8C 24 01 00 00 40 33 DB 8B F3 03 F6 8D 34 B6 8B 55 F8 8B 52 0C 3B 7C F2 1C 0F 85 02 01 00 00 8B 45 F8 8B 40 0C F6 44 F0 38 08 74 5A 8B 45 08 8B 55 F8 8B 52 0C 8B 54 F2 30 E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 D2 00 00 00 8D 45 F0 50 8D 45 EC 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 E8 8B 55 08 8B 12 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 E8 ?? ?? ?? ?? E9 94 00 00 00 8B C3 03 C0 8D 04 80 8B 55 F8 8B 52 0C F6 44 C2 39 01 74 61 8D 45 E4 8B D3 03 D2 8D 14 92 8B 4D F8 8B 49 0C 8B 54 D1 30 0F B7 12 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 8B 40 0C 8B 44 F0 30 8D 4D FC E8 ?? ?? ?? ?? 83 7D 0C 00 7C 20 8B 45 FC E8 ?? ?? ?? ?? 3B 45 0C 7E 13 8B 45 08 8B 55 FC 8B 4D 0C 8B 14 8A E8 ?? ?? ?? ?? EB 29 8B 45 08 E8 ?? ?? ?? ?? EB 1F 8B 45 F8 8B 40 0C FF 74 F0 24 68 ?? ?? ?? ?? FF 75 F4 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 25 43 48 0F 85 DF FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 1E 00 00 00 25 00 6F 00 70 00 65 00 72 00 61 00 74 00 69 00 6F 00 6E 00 4E 00 61 00 6D 00 65 00 25 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_48885_0 {
	meta:
		name = "TInvokableClassRegistry.GetUDDIInfo"
		size = 158
		refs = "001f TInvokableClassRegistry.GetUDDIInfo 002f TInvokableClassRegistry.GetIntfIndex 005a @UStrAsg 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B DA 89 45 FC C6 45 FB 00 8B 45 FC 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 7C 3B 8B F3 03 F6 8D 34 B6 8B 45 FC 8B 40 0C F6 44 F0 38 80 74 27 8B C7 8B 55 FC 8B 52 0C 8B 54 F2 48 E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC 8B 52 0C 8B 54 F2 4C E8 ?? ?? ?? ?? C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_48886_0 {
	meta:
		name = "TInvokableClassRegistry.GetUDDIInfo"
		size = 43
		refs = "0015 TInvokableClassRegistry.GetInterfaceTypeInfo 0020 TInvokableClassRegistry.GetUDDIInfo"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_48887_0 {
	meta:
		name = "TInvokableClassRegistry.GetReturnParamNames"
		size = 208
		refs = "0015 TInvokableClassRegistry.GetReturnParamNames 001a @UStrAsg 003a @DynArrayLength 0079 @TryFinallyExit 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 8B FA 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 48 85 C0 7C 40 40 33 DB 8B F3 03 F6 8D 34 B6 8B 55 FC 8B 52 0C 3B 7C F2 1C 75 26 8B 45 FC 8B 40 0C F6 44 F0 38 10 74 12 8B 45 F8 8B 55 FC 8B 52 0C 8B 54 F2 34 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 43 48 75 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 65 00 73 00 75 00 6C 00 74 00 3B 00 52 00 65 00 74 00 75 00 72 00 6E 00 00 00 }
	condition:
		$1
}

rule function_48888_0 {
	meta:
		name = "MatchActionWithOpName"
		size = 232
		refs = "0014 MatchActionWithOpName 0026 Pos 0040 @UStrCopy 0060 @UStrEqual 007e IsValidIdent 00a4 @UStrArrayClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 FB 01 7E 55 8D 45 FC 50 8B CB 49 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 75 20 8D 45 F4 50 B9 FF FF FF 7F 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 25 00 6F 00 70 00 65 00 72 00 61 00 74 00 69 00 6F 00 6E 00 4E 00 61 00 6D 00 65 00 25 00 00 00 }
	condition:
		$1
}

rule function_48889_0 {
	meta:
		name = "FindViaSOAPAction"
		size = 440
		refs = "0010 FindViaSOAPAction 0028 @DynArrayLength 0062 @UStrLAsg 0086 Pos 009d @UStrDelete 0127 @UStrEqual 0134 MatchActionWithOpName 0191 @UStrArrayClr 0197 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 08 8B 40 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 44 01 00 00 46 33 DB 8B FB 03 FF 8D 3C BF 8B 45 08 8B 40 FC 8B 40 0C F6 44 F8 38 08 74 17 8D 45 FC 8B 55 08 8B 52 FC 8B 52 0C 8B 54 FA 30 E8 ?? ?? ?? ?? EB 15 8D 45 FC 8B 55 08 8B 52 FC 8B 52 0C 8B 54 FA 24 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 4D FC 91 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 08 8B 52 F8 E8 ?? ?? ?? ?? 8B 45 F8 66 83 38 22 75 12 8D 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C2 85 C0 74 05 83 E8 04 8B 00 8B 4D F8 66 83 7C 41 FE 22 75 19 8B C2 85 C0 74 05 83 E8 04 8B 00 8D 55 F8 B9 01 00 00 00 92 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8D 4D F8 91 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 74 0F 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 37 8B C3 03 C0 8D 04 80 8B 55 08 8B 52 FC 8B 52 0C 8B 54 C2 1C 8B 4D 08 8B 49 0C 89 11 8B 55 08 8B 52 FC 8B 52 0C 8B 44 C2 20 8B 55 08 8B 52 10 89 02 C6 45 F7 01 EB 08 43 4E 0F 85 BF FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_48890_0 {
	meta:
		name = "FindViaPath"
		size = 300
		refs = "001a FindViaPath 0032 @DynArrayLength 0051 LastDelimiter 0060 @UStrCopy 007b @UStrLAsg 00a2 CompareText 0106 @UStrArrayClr 010c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C0 89 45 FC 89 45 F8 8B 75 08 83 C6 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 08 8B 40 FC 8B 40 0C E8 ?? ?? ?? ?? 48 85 C0 0F 8C B1 00 00 00 40 89 45 F0 33 DB 8D 45 FC 50 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 8B 06 B9 FF FF FF 7F E8 ?? ?? ?? ?? 8D 45 F8 8B D3 03 D2 8D 14 92 8B 4D 08 8B 49 FC 8B 49 0C 8B 14 D1 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 37 8B C3 03 C0 8D 04 80 8B 55 08 8B 52 FC 8B 52 0C 8B 54 C2 1C 8B 4D 08 8B 49 0C 89 11 8B 55 08 8B 52 FC 8B 52 0C 8B 44 C2 20 8B 55 08 8B 52 10 89 02 C6 45 F7 01 EB 0A 43 FF 4D F0 0F 85 55 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F7 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_48891_0 {
	meta:
		name = "TInvokableClassRegistry.GetInfoForURI"
		size = 117
		refs = "001e TInvokableClassRegistry.GetInfoForURI 0030 FindViaSOAPAction 0046 FindViaPath 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F8 89 55 F4 89 45 FC C6 45 F3 00 8B 45 FC 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 74 0A 55 E8 ?? ?? ?? ?? 59 88 45 F3 80 7D F3 00 75 10 83 7D F4 00 74 0A 55 E8 ?? ?? ?? ?? 59 88 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F3 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_48892_0 {
	meta:
		name = "TInvokableClassRegistry.GetNamespaceByGUID"
		size = 157
		refs = "0016 @UStrClr 0025 TInvokableClassRegistry.GetNamespaceByGUID 0036 @DynArrayLength 0059 IsEqualGUID 006f @UStrAsg 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 38 46 33 DB 8B FB 03 FF 8D 3C BF 8B 45 FC 8B 40 0C 8D 44 F8 0C 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 F4 8B 55 FC 8B 52 0C 8B 54 FA 24 E8 ?? ?? ?? ?? EB 04 43 4E 75 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48893_0 {
	meta:
		name = "TInvokableClassRegistry.GetInvokableObjectFromClass"
		size = 186
		refs = "0022 TInvokableClassRegistry.GetInvokableObjectFromClass 0033 @DynArrayLength 007b _DV_TInvokableClass 0082 TObject.InheritsFrom 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B FA 89 45 FC 33 C0 89 45 F8 8B 45 FC 8B 10 FF 12 C6 45 F7 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 35 46 33 DB 8D 04 5B 8B 55 FC 8B 52 08 3B 3C 82 75 20 8B 55 FC 8B 52 08 83 7C 82 04 00 74 13 8B 55 FC 8B 52 08 8B 54 82 04 8D 45 F8 FF D2 C6 45 F7 01 43 4E 75 CE 80 7D F7 00 75 1A 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 09 B2 01 8B C7 FF 10 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48894_0 {
	meta:
		name = "TInvokableClassRegistry.GetClassFromIntfInfo"
		size = 140
		refs = "0022 TInvokableClassRegistry.GetClassFromIntfInfo 0033 @DynArrayLength 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 8B F2 89 45 FC 8B 45 F8 33 D2 89 10 8B 45 FC 8B 10 FF 12 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 2B 42 33 C0 8B C8 03 C9 8D 0C 89 8B 5D FC 8B 5B 0C 3B 74 CB 1C 75 11 8B 55 FC 8B 52 0C 8B 54 CA 20 8B 4D F8 89 11 EB 04 40 4A 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48895_0 {
	meta:
		name = "TSOAPHeadersBase.SetHeadersInOut"
		size = 11
	strings:
		$1 = { 8B 12 89 50 0C 8B 11 89 50 10 C3 }
	condition:
		$1
}

rule function_48896_0 {
	meta:
		name = "TSOAPHeaders.Send"
		size = 32
		refs = "000c THeaderList.IndexOf 0019 THeaderList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 10 E8 ?? ?? ?? ?? 40 75 0A 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48899_0 {
	meta:
		name = "TSOAPHeaders.Get"
		size = 24
		refs = "000e TSOAPHeaders.Get"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 89 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48900_0 {
	meta:
		name = "TSOAPHeaders.Get"
		size = 94
		refs = "0012 THeaderList.GetCount 0026 THeaderList.GetHeader 002f TObject.InheritsFrom 0048 THeaderList.Extract"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B D8 33 C0 89 04 24 8B 43 0C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 38 47 33 F6 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B 00 8B D5 E8 ?? ?? ?? ?? 84 C0 74 1A 8B D6 8B 7B 0C 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 89 04 24 EB 04 46 4F 75 CB 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48901_0 {
	meta:
		name = "TSOAPHeaders.Get"
		size = 36
		refs = "000a RemClassRegistry 0013 TRemotableTypeRegistry.URIToClass 001c TSOAPHeaders.Get"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 8B CE 8B D7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48904_0 {
	meta:
		name = "TInvokableClass.Create"
		size = 77
		refs = "000a @ClassCreate 0017 TObject.Create 0027 _DV_TSOAPHeaders 002c TAggregatedObject.Create 003a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE 85 C9 74 03 83 E9 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48906_0 {
	meta:
		name = "TInvokableClass.AfterConstruction"
		size = 12
		refs = "0007 TInterlocked.Add"
	strings:
		$1 = { 83 C0 08 83 CA FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48907_0 {
	meta:
		name = "TInvokableClass.BeforeDestruction"
		size = 14
		refs = "0009 Error"
	strings:
		$1 = { 83 78 08 00 74 07 B0 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48908_0 {
	meta:
		name = "TInvokableClass.NewInstance"
		size = 13
		refs = "0001 TObject.NewInstance"
	strings:
		$1 = { E8 ?? ?? ?? ?? C7 40 08 01 00 00 00 C3 }
	condition:
		$1
}

rule function_48909_0 {
	meta:
		name = "TInvokableClass.QueryInterface"
		size = 92
		refs = "0012 TInvokableClass.QueryInterface 0017 IsEqualGUID 0032 TObject.GetInterface"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 57 56 8B 43 04 50 8B 00 FF 10 EB 18 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 05 B8 02 40 00 80 5F 5E 5B 5D C2 0C 00 00 00 0C BE 40 E2 6F 25 11 D6 96 FA 00 C0 4F A0 6B 45 }
	condition:
		$1
}

rule function_48910_0 {
	meta:
		name = "TInvokableClass._AddRef"
		size = 23
		refs = "000f TInterlocked.Add"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 C0 08 BA 01 00 00 00 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_48911_0 {
	meta:
		name = "TInvokableClass._Release"
		size = 42
		refs = "000f TInterlocked.Add"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8D 43 08 83 CA FF E8 ?? ?? ?? ?? 8B F0 85 F6 75 09 B2 01 8B C3 8B 08 FF 51 FC 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_48912_0 {
	meta:
		name = "TRemotable.Create"
		size = 103
		refs = "000a @ClassCreate 0017 TObject.Create 001c @GetTls 0022 RemotableDataContext 0037 TDataContext.AddObjectToDestroy 0049 TRemotable.SetDataContext 0054 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 74 24 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48913_0 {
	meta:
		name = "TRemotable.Destroy"
		size = 77
		refs = "0003 @BeforeDestruction 000c @GetTls 0012 RemotableDataContext 0027 TDataContext.RemoveObjectToDestroy 0030 TRemotable.SetDataContext 003b TObject.Destroy 0046 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 74 1B E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48914_0 {
	meta:
		name = "TRemotable.SetDataContext"
		size = 60
		refs = "0007 @GetTls 000d RemotableDataContext 0032 TDataContext.RemoveObjectToDestroy"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 74 22 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 3B 43 04 75 12 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 89 73 04 5E 5B C3 }
	condition:
		$1
}

rule function_48915_0 {
	meta:
		name = "TRemotable.ObjectToSOAP"
		size = 150
		refs = "0013 @IntfAddRef 002e TRemotable.ObjectToSOAP 0051 @UStrClr 0079 IXMLNode 0083 @FinalizeArray 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 0F B6 45 10 50 8B 45 0C E8 ?? ?? ?? ?? 50 8B 45 08 50 8B 4D FC 8B D3 8B 45 20 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 59 59 5D C2 1C 00 }
	condition:
		$1
}

rule function_48916_0 {
	meta:
		name = "TRemotable.SOAPToObject"
		size = 21
	strings:
		$1 = { 55 8B EC 53 51 8B 4D 08 91 87 CA 8B 18 FF 53 10 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_48917_0 {
	meta:
		name = "TRemotableXS.ObjectToSOAP"
		size = 204
		refs = "0020 @IntfAddRef 003b TRemotableXS.ObjectToSOAP 0065 @UStrClr 0074 TRemotable.ObjectToSOAP 00a6 IXMLNode 00b0 @FinalizeArray 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F0 8B 7D 08 8B 5D 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 53 8B 45 0C E8 ?? ?? ?? ?? 50 57 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B C6 8B 08 FF 51 0C 8B 55 F4 8B 07 8B 08 FF 51 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 1C 00 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_48918_0 {
	meta:
		name = "TRemotableXS.SOAPToObject"
		size = 94
		refs = "000f TRemotableXS.SOAPToObject 0022 TRemotable.SOAPToObject 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CE 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 8B 08 FF 51 50 8B 55 FC 8B C3 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_48919_0 {
	meta:
		name = "TSOAPHeader.ObjectToSOAP"
		size = 448
		refs = "0022 @IntfAddRef 003d TSOAPHeader.ObjectToSOAP 0057 InvRegistry 0069 TInvokableClassRegistry.GetHeaderNamespace 0086 @UStrClr 00ac BoolDigit 00b1 @OleVarFromUStr 00ce SOAPEnvelopeNamespaces 013c OleVariant 0146 @FinalizeArray 0157 IXMLNode 0167 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? F7 D0 22 45 10 88 45 10 E8 ?? ?? ?? ?? 8B F0 8B 03 89 C7 8D 4D F4 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 1C 50 8B 45 F4 50 8B 45 14 50 0F B6 45 10 50 8B 45 0C E8 ?? ?? ?? ?? 50 8B 45 08 50 8B 4D FC 8B D3 8B 45 20 8B 30 FF 56 0C 80 7B 0C 00 74 45 8D 45 E4 0F B6 53 0C 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 20 8B 10 FF 52 20 A9 00 00 01 00 0F 95 C0 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 0C 82 8B 45 08 8B 00 BA ?? ?? ?? ?? 8B 30 FF 96 A0 00 00 00 83 7B 10 00 74 3D 8D 45 D4 8B 53 10 E8 ?? ?? ?? ?? 8D 45 D4 50 8B 45 20 8B 10 FF 52 20 A9 00 00 01 00 0F 95 C0 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 0C 82 8B 45 08 8B 00 BA ?? ?? ?? ?? 8B 18 FF 93 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 5F 5E 5B 8B E5 5D C2 1C 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 6D 00 75 00 73 00 74 00 55 00 6E 00 64 00 65 00 72 00 73 00 74 00 61 00 6E 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 63 00 74 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_48920_0 {
	meta:
		name = "TSOAPHeader.SOAPToObject"
		size = 604
		refs = "0025 TSOAPHeader.SOAPToObject 0039 TRemotable.SOAPToObject 0051 SOAPEnvelopeNamespaces 00a4 @VarToWStr 00af @UStrFromWStr 00bc @UStrLAsg 00e3 CompareText 01a4 @VarToUStr 01ba OleVariant 01c4 @FinalizeArray 01d1 @UStrArrayClr 01d9 @WStrClr 01df @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 89 55 E4 89 45 E8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B CB 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 20 A9 00 00 01 00 0F 95 C0 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 0C 82 BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 8C 00 00 00 84 C0 0F 84 CF 00 00 00 8D 45 D4 50 8B C6 8B 10 FF 52 20 A9 00 00 01 00 0F 95 C0 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 0C 82 BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 84 00 00 00 8D 55 D4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B 55 E8 88 42 0C 8B C6 8B 10 FF 52 20 A9 00 00 01 00 0F 95 C0 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 0C 82 BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 8C 00 00 00 84 C0 74 3C 8D 45 C4 50 8B C6 8B 10 FF 52 20 A9 00 00 01 00 0F 95 C0 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 0C 82 BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 84 00 00 00 8D 55 C4 8B 45 E8 83 C0 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 6D 00 75 00 73 00 74 00 55 00 6E 00 64 00 65 00 72 00 73 00 74 00 61 00 6E 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 63 00 74 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_48924_0 {
	meta:
		name = "THeaderList.Create"
		size = 68
		refs = "000a @ClassCreate 0015 _Dn_TObjectList 001a TObjectList.Create 0026 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48930_0 {
	meta:
		name = "THeaderList.GetOwnsObjects"
		size = 8
	strings:
		$1 = { 8B 40 04 0F B6 40 10 C3 }
	condition:
		$1
}

rule function_48931_0 {
	meta:
		name = "THeaderList.SetOwnsObjects"
		size = 7
	strings:
		$1 = { 8B 40 04 88 50 10 C3 }
	condition:
		$1
}

rule function_48932_0 {
	meta:
		name = "TSOAPAttachment.Create"
		size = 184
		refs = "000a @ClassCreate 0017 TRemotable.Create 0022 _Dn_TStringList 0027 TStringList.Create 0032 TSOAPAttachment.Create 0037 @UStrAsg 0054 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 10 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 20 8D 46 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 12 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_48933_0 {
	meta:
		name = "TSOAPAttachment.Init"
		size = 143
		refs = "0011 @UStrAddRef 0029 TSOAPAttachment.Init 003a @UStrAsg 006f @UStrClr 007c @UStrArrayClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 57 8B F9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? 8B D7 8B 46 28 8B 08 FF 51 40 8D 46 14 8B 55 0C E8 ?? ?? ?? ?? 8D 46 18 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 59 5D C2 08 00 }
	condition:
		$1
}

rule function_48934_0 {
	meta:
		name = "TSOAPAttachment.Destroy"
		size = 79
		refs = "0003 @BeforeDestruction 000e TSOAPAttachment.ClearStream 0016 TObject.Free 0026 FileExists 0032 DeleteFile 003d TRemotable.Destroy 0048 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 80 7E 10 00 75 16 8B 46 0C B2 01 E8 ?? ?? ?? ?? 84 C0 74 08 8B 46 0C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48935_0 {
	meta:
		name = "TSOAPAttachment.ClearStream"
		size = 36
		refs = "0018 TObject.Free"
	strings:
		$1 = { 83 78 20 00 74 1D 80 78 2C 01 75 12 83 C0 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 05 33 D2 89 50 20 C3 }
	condition:
		$1
}

rule function_48936_0 {
	meta:
		name = "TSOAPAttachment.GetSourceStream"
		size = 134
		refs = "000d TSOAPAttachment.GetSourceStream 0031 @UStrLAsg 0050 _Dn_TFileStream 0055 TFileStream.Create 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 43 20 85 C0 74 04 8B F0 EB 3E 83 7B 0C 00 74 0D 8D 45 FC 8B 53 0C E8 ?? ?? ?? ?? EB 0B 8D 45 FC 8B 53 1C E8 ?? ?? ?? ?? 83 7D FC 00 74 1A 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 C6 43 2C 01 89 73 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48937_0 {
	meta:
		name = "TSOAPAttachment.SetSourceFile"
		size = 144
		refs = "000c @UStrAsg 001e TSOAPAttachment.SetSourceFile 003d TSOAPAttachment.ClearStream"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 1C 8B D6 E8 ?? ?? ?? ?? 85 F6 74 2D 83 7B 14 00 75 0D 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 18 00 75 0D 8D 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 12 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 38 00 62 00 69 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_48939_0 {
	meta:
		name = "TSOAPAttachment.InternalSetSourceStream"
		size = 144
		refs = "0016 TSOAPAttachment.ClearStream 0028 @UStrClr 0040 TSOAPAttachment.InternalSetSourceStream 0045 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 3B 77 20 75 05 88 5F 2C EB 42 8B C7 E8 ?? ?? ?? ?? 88 5F 2C 89 77 20 85 F6 74 31 8D 47 1C E8 ?? ?? ?? ?? 8D 47 0C E8 ?? ?? ?? ?? 8D 47 18 E8 ?? ?? ?? ?? 8D 47 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 33 D2 8B 47 20 8B 18 FF 53 14 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_48940_0 {
	meta:
		name = "TSOAPAttachment.SetSourceStream"
		size = 30
		refs = "000b TSOAPAttachment.InternalSetSourceStream 0017 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 F6 74 08 8D 43 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_48942_0 {
	meta:
		name = "TSOAPAttachment.SetSourceString"
		size = 264
		refs = "000f TSOAPAttachment.SetSourceString 0020 TSOAPAttachment.ClearStream 0028 @UStrClr 0037 _Dn_TMemoryStream 003c TObject.Create 0049 UTF8Encode 0067 @UniqueStringA 008e @UStrAsg 009a TStream.SetPosition 00b3 @LStrClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 17 8B C3 E8 ?? ?? ?? ?? 8D 43 1C E8 ?? ?? ?? ?? 8D 43 0C E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D0 8B 43 20 8B 08 FF 51 04 8D 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B C8 8B D6 8B 43 20 8B 30 FF 56 10 8D 43 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 8B 43 20 E8 ?? ?? ?? ?? C6 43 2C 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 1B 00 00 00 74 00 65 00 78 00 74 00 2F 00 70 00 6C 00 61 00 69 00 6E 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 22 00 75 00 74 00 66 00 2D 00 38 00 22 00 00 00 }
	condition:
		$1
}

rule function_48944_0 {
	meta:
		name = "TSOAPAttachment.SaveToStream"
		size = 224
		refs = "0015 TSOAPAttachment.SaveToStream 0038 @UStrLAsg 0057 _Dn_TFileStream 005c TFileStream.Create 007e TStream.SetPosition 0091 TStream.CopyFrom 00b1 TObject.Free 00b7 @HandleFinally 00ce @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 85 C0 74 05 89 45 F8 EB 38 83 7B 0C 00 74 0D 8D 45 FC 8B 53 0C E8 ?? ?? ?? ?? EB 0B 8D 45 FC 8B 53 1C E8 ?? ?? ?? ?? 83 7D FC 00 74 14 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 54 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 12 52 50 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0D 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48945_0 {
	meta:
		name = "TSOAPAttachment.ObjectToSOAP"
		size = 368
		refs = "002c @IntfAddRef 0047 TSOAPAttachment.ObjectToSOAP 006d @UStrClr 007f TRemotable.ObjectToSOAP 0087 CreateGUID 0092 GUIDToString 00b4 @UStrCopy 00d0 @UStrCat3 00db @OleVarFromUStr 010a @VarClr 011b IXMLNode 0125 @FinalizeArray 012b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D4 89 5D D8 89 5D DC 89 5D E0 89 5D D0 89 5D F4 89 4D F8 89 55 FC 8B F0 8B 7D 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8B 45 1C 50 8B 45 18 50 8B 45 14 50 0F B6 05 ?? ?? ?? ?? 0A 45 10 50 8B 45 0C E8 ?? ?? ?? ?? 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 55 F4 8D 45 E4 E8 ?? ?? ?? ?? 8B 5D F4 85 DB 74 05 83 EB 04 8B 1B 8D 45 F4 50 8B CB 83 E9 02 BA 02 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 8B D6 8B C7 8B 18 FF 53 14 8D 45 D0 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8D 4D D4 8B 45 08 8B 00 BA ?? ?? ?? ?? 8B 18 FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C2 1C 00 00 00 06 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 69 00 64 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 72 00 65 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_48946_0 {
	meta:
		name = "TSOAPAttachment.SOAPToObject"
		size = 296
		refs = "0022 TSOAPAttachment.SOAPToObject 0038 TRemotable.SOAPToObject 0044 @VarFromWChar 0060 @VarAdd 0084 @VarToUStr 00c6 TSOAPAttachment.Init 00d3 TRemotable.SetDataContext 00e9 OleVariant 00f3 @FinalizeArray 00fb @UStrClr 0101 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B CE 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 66 BA 3C 00 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 4D D8 BA ?? ?? ?? ?? 8B C6 8B 30 FF 56 0C 8D 55 D8 58 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 45 C8 66 BA 3E 00 E8 ?? ?? ?? ?? 8D 55 C8 58 E8 ?? ?? ?? ?? 8D 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 08 FF 51 18 8B F0 8B 43 28 8B 10 FF 52 44 33 D2 8B C3 8B 08 FF 51 1C 33 C9 33 D2 8B C3 8B 38 FF 57 20 85 F6 74 22 8B 46 14 50 8B 46 18 50 8B 4E 28 8B 56 0C 8B C3 E8 ?? ?? ?? ?? C6 46 2C 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 72 00 65 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_48947_0 {
	meta:
		name = "TRemotableTypeRegistry.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TObject.Create 0022 _Dn_TCriticalSection 0027 TCriticalSection.Create 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 04 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_48949_0 {
	meta:
		name = "TRemotableTypeRegistry.Lock"
		size = 8
	strings:
		$1 = { 8B 40 08 8B 10 FF 12 C3 }
	condition:
		$1
}

rule function_48950_0 {
	meta:
		name = "TRemotableTypeRegistry.UnLock"
		size = 9
	strings:
		$1 = { 8B 40 08 8B 10 FF 52 04 C3 }
	condition:
		$1
}

rule function_48951_0 {
	meta:
		name = "TRemotableTypeRegistry.GetURICount"
		size = 80
		refs = "0014 TRemotableTypeRegistry.GetURICount 0025 @DynArrayLength 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_48952_0 {
	meta:
		name = "TRemotableTypeRegistry.GetURIMap"
		size = 152
		refs = "0022 TRemRegEntry 0027 @InitializeRecord 002f TRemotableTypeRegistry.GetURIMap 003d @DynArrayLength 0068 @CopyRecord 0083 @FinalizeRecord 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B F2 8B F8 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 0C E8 ?? ?? ?? ?? 3B F0 7D 04 85 F6 7D 04 33 DB EB 02 B3 01 8D 4D DC 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48953_0 {
	meta:
		name = "TRemotableTypeRegistry.GetURIMap"
		size = 111
		refs = "0018 TRemotableTypeRegistry.GetURIMap 0029 @DynArrayLength 0044 TRemRegEntry 0049 @CopyRecord 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 3B D8 7D 1C 8B C6 8B D3 03 D2 03 D2 8B 4D FC 8B 49 0C 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48954_0 {
	meta:
		name = "TRemotableTypeRegistry.RegisterXSClass"
		size = 528
		refs = "0026 TRemotableTypeRegistry.RegisterXSClass 0054 TRemotableTypeRegistry.GetEntry 0066 AppNameSpacePrefix 007c @UStrCat3 0087 @WStrFromUStr 0099 GetTypeData 00aa UTF8ToUnicodeString 00b5 @UStrLAsg 00c5 @WStrCat3 00d0 @UStrFromWStr 0105 @UStrAsg 0139 TObject.ClassName 01a0 @HandleFinally 01b7 @WStrClr 01c4 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D EC 8B FA 89 45 F0 8B 75 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 4D EB 8B C7 83 C0 B8 8B 10 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 80 7D EB 00 0F 85 25 01 00 00 83 3D ?? ?? ?? ?? 00 74 1E 8D 45 E0 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 83 7D EC 00 75 60 8B C7 83 C0 B8 8B 00 E8 ?? ?? ?? ?? 83 C0 0A 89 45 E4 8D 55 F4 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 D8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8B C3 03 C0 03 C0 8B 4D F0 8B 49 0C 8D 44 C1 08 8B 4D F8 E8 ?? ?? ?? ?? EB 18 8B C3 03 C0 03 C0 8B 55 F0 8B 52 0C 8D 44 C2 08 8B 55 EC E8 ?? ?? ?? ?? 85 F6 74 19 8B C3 03 C0 03 C0 8B 55 F0 8B 52 0C 8D 44 C2 0C 8B D6 E8 ?? ?? ?? ?? EB 17 8B C3 03 C0 03 C0 8B 55 F0 8B 52 0C 8D 54 C2 0C 8B C7 E8 ?? ?? ?? ?? 8B F3 03 F6 03 F6 8B 45 F0 8B 40 0C 8D 44 F0 10 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C 89 3C F0 8B 45 F0 8B 40 0C 83 C7 B8 8B 17 89 54 F0 04 8B 45 F0 8B 40 0C 0F B6 55 0C 88 54 F0 14 8B 45 F0 8B 40 0C 0F B6 55 08 88 54 F0 15 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C2 10 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 08 00 00 00 75 00 72 00 6E 00 3A 00 00 00 00 00 }
	condition:
		$1
}

rule function_48955_0 {
	meta:
		name = "GetEnumUnitName"
		size = 145
		refs = "0011 GetEnumUnitName 001e GetTypeData 0050 UTF8ToUnicodeString 005b @UStrLAsg 0065 @UStrAsg 007f @UStrArrayClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 40 09 8B 00 E8 ?? ?? ?? ?? 8B D0 8D 42 0D 8B 4A 05 2B 4A 01 8B D1 85 D2 7C 0B 0F B6 08 41 01 C8 4A 85 D2 7D F5 8B D8 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48956_0 {
	meta:
		name = "TRemotableTypeRegistry.RegisterXSInfo"
		size = 800
		refs = "0025 TRemotableTypeRegistry.RegisterXSInfo 004e TRemotableTypeRegistry.GetEntry 005b @TryFinallyExit 0066 AppNameSpacePrefix 007c @UStrCat3 0087 @WStrFromUStr 009f GetTypeData 00b0 UTF8ToUnicodeString 00bb @UStrLAsg 00d6 @WStrCat3 00e1 @UStrFromWStr 010f GetEnumUnitName 01eb @UStrAsg 028c @HandleFinally 02a8 @WStrArrayClr 02b0 @UStrClr 02b8 @WStrClr 02d5 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D D8 8B F2 89 45 DC 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 57 8D 4D D7 8B D6 8B 45 DC E8 ?? ?? ?? ?? 8B D8 80 7D D7 00 74 0A E8 ?? ?? ?? ?? E9 2E 02 00 00 83 3D ?? ?? ?? ?? 00 74 1E 8D 45 C8 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8D 45 FC E8 ?? ?? ?? ?? 83 7D D8 00 0F 85 42 01 00 00 0F B6 06 3C 11 75 69 8B C6 E8 ?? ?? ?? ?? 83 C0 10 89 45 D0 8D 55 F0 8B 45 D0 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 C0 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8B C3 03 C0 03 C0 8B 4D DC 8B 49 0C 8D 44 C1 08 8B 4D F8 E8 ?? ?? ?? ?? E9 EA 00 00 00 3C 03 75 45 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 45 B8 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8D 45 BC E8 ?? ?? ?? ?? 8B 55 BC 8B C3 03 C0 03 C0 8B 4D DC 8B 49 0C 8D 44 C1 08 8B 4D F8 E8 ?? ?? ?? ?? E9 A1 00 00 00 3C 07 75 5B 8B C6 E8 ?? ?? ?? ?? 83 C0 0A 89 45 CC 8D 55 E8 8B 45 CC E8 ?? ?? ?? ?? 8D 45 EC 8B 55 E8 E8 ?? ?? ?? ?? 8D 45 B0 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8D 45 B4 E8 ?? ?? ?? ?? 8B 55 B4 8B C3 03 C0 03 C0 8B 4D DC 8B 49 0C 8D 44 C1 08 8B 4D EC E8 ?? ?? ?? ?? EB 42 8D 45 AC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 8B C3 03 C0 03 C0 8B 4D DC 8B 49 0C 8D 44 C1 08 E8 ?? ?? ?? ?? EB 18 8B C3 03 C0 03 C0 8B 55 DC 8B 52 0C 8D 44 C2 08 8B 55 D8 E8 ?? ?? ?? ?? 85 FF 74 19 8B C3 03 C0 03 C0 8B 55 DC 8B 52 0C 8D 44 C2 0C 8B D7 E8 ?? ?? ?? ?? EB 30 8D 7E 01 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 8D 45 E4 8B 55 E0 E8 ?? ?? ?? ?? 8B C3 03 C0 03 C0 8B 55 DC 8B 52 0C 8D 44 C2 0C 8B 55 E4 E8 ?? ?? ?? ?? 8B FB 03 FF 03 FF 8B 45 DC 8B 40 0C 8D 44 F8 10 8B 55 08 E8 ?? ?? ?? ?? 8B 45 DC 8B 40 0C 89 74 F8 04 80 3E 07 75 12 8B C6 E8 ?? ?? ?? ?? 8B 00 8B 55 DC 8B 52 0C 89 04 FA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A9 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 08 00 00 00 75 00 72 00 6E 00 3A 00 00 00 00 00 }
	condition:
		$1
}

rule function_48957_0 {
	meta:
		name = "TRemotableTypeRegistry.RegisterHolderClsMember"
		size = 47
		refs = "000e GetClsMemberTypeInfo 0025 TRemotableTypeRegistry.RegisterXSInfo"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B C2 33 D2 E8 ?? ?? ?? ?? 85 C0 74 13 8B 55 0C 52 8B 55 08 52 8B CE 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_48958_0 {
	meta:
		name = "TRemotableTypeRegistry.DeleteEntryFromURIMap"
		size = 193
		refs = "0019 TRemotableTypeRegistry.DeleteEntryFromURIMap 002e TRemotableTypeRegistry.GetEntry 0041 @DynArrayLength 006a TRemRegEntry 006f @CopyRecord 0091 :TRemotableTypeRegistry.:1 0096 @DynArraySetLength 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 89 45 FC 8B 45 FC 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 4D FB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D8 80 7D FB 00 74 3D 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F0 83 EE 02 2B F3 7C 29 46 8B FB 03 FF 03 FF 8B 45 FC 8B 40 0C 8D 04 F8 8B 55 FC 8B 52 0C 8D 54 FA 20 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 D8 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 48 50 8B 45 FC 83 C0 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48959_0 {
	meta:
		name = "TRemotableTypeRegistry.UnRegisterXSClass"
		size = 11
		refs = "0006 TRemotableTypeRegistry.DeleteEntryFromURIMap"
	strings:
		$1 = { 83 C2 B8 8B 12 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_48961_0 {
	meta:
		name = "TRemotableTypeRegistry.IsClassScalar"
		size = 135
		refs = "001c TRemotableTypeRegistry.IsClassScalar 002d @DynArrayLength 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 89 45 FC C6 45 FB 00 8B 45 FC 8B 10 FF 12 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 28 42 33 C0 8B C8 03 C9 03 C9 8B 5D FC 8B 5B 0C 3B 34 CB 75 10 8B 55 FC 8B 52 0C 0F B6 54 CA 14 88 55 FB EB 04 40 4A 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48962_0 {
	meta:
		name = "TRemotableTypeRegistry.ClassOptions"
		size = 135
		refs = "001c TRemotableTypeRegistry.ClassOptions 002d @DynArrayLength 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 89 45 FC C6 45 FB 00 8B 45 FC 8B 10 FF 12 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 28 42 33 C0 8B C8 03 C9 03 C9 8B 5D FC 8B 5B 0C 3B 34 CB 75 10 8B 55 FC 8B 52 0C 0F B6 54 CA 15 88 55 FB EB 04 40 4A 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48963_0 {
	meta:
		name = "TRemotableTypeRegistry.RegisterSerializeOptions"
		size = 130
		refs = "001b TRemotableTypeRegistry.RegisterSerializeOptions 002c @DynArrayLength 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 8B F2 89 45 FC 8B 45 FC 8B 10 FF 12 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 28 42 33 C0 8B D8 03 DB 03 DB 8B 4D FC 8B 49 0C 3B 74 D9 04 75 0F 8B 55 FC 8B 52 0C 8B 4D F8 89 4C DA 16 EB 04 40 4A 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_48964_0 {
	meta:
		name = "TRemotableTypeRegistry.SerializeOptions"
		size = 144
		refs = "000e TRemotableTypeRegistry.SerializeOptions 0031 @DynArrayLength 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC A1 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 10 FF 12 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 2B 42 33 C0 8B D8 03 DB 03 DB 8B 4D FC 8B 49 0C 8B 4C D9 04 3B 4D F8 75 0F 8B 55 FC 8B 52 0C 8B 54 DA 16 89 55 F4 EB 04 40 4A 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5B 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_48965_0 {
	meta:
		name = "TRemotableTypeRegistry.RegisterSerializeOptions"
		size = 19
		refs = "000d TRemotableTypeRegistry.RegisterSerializeOptions"
	strings:
		$1 = { 51 89 0C 24 83 C2 B8 8B 12 8B 0C 24 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_48966_0 {
	meta:
		name = "TRemotableTypeRegistry.SerializeOptions"
		size = 27
		refs = "000f TRemotableTypeRegistry.SerializeOptions"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 83 C6 B8 8B 16 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48967_0 {
	meta:
		name = "TRemotableTypeRegistry.RegisterExternalPropName"
		size = 198
		refs = "001c TRemotableTypeRegistry.RegisterExternalPropName 0031 TRemotableTypeRegistry.FindEntry 004e @DynArrayLength 0069 :TRemRegEntry.:1 006e @DynArraySetLength 0086 @UStrAsg 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 FC 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 4D F7 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D8 80 7D F7 00 74 63 8B FB 03 FF 03 FF 8B 45 FC 8B 40 0C 8B 44 F8 1C E8 ?? ?? ?? ?? 8B F0 8D 46 01 50 8B 45 FC 8B 40 0C 8D 44 F8 1C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 40 0C 8B 44 F8 1C 8D 04 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 44 F8 1C 8D 44 F0 04 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_48968_0 {
	meta:
		name = "TRemotableTypeRegistry.GetExternalPropName"
		size = 348
		refs = "0015 @UStrAddRef 001d TRemotableTypeRegistry.GetExternalPropName 002e @UStrAsg 0052 TRemotableTypeRegistry.FindEntry 0071 @DynArrayLength 0097 @UStrEqual 00bb @TryFinallyExit 00cd GetTypeData 00e8 _DV_TRemotable 00fd _Dn_TObject 0130 @HandleFinally 0147 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B DA 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 4D F3 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 80 7D F3 00 74 66 8B 45 F4 03 C0 03 C0 8B 55 F8 8B 52 0C 8B 44 C2 1C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 49 47 33 F6 8B 45 F4 03 C0 03 C0 8B 55 F8 8B 52 0C 8B 44 C2 1C 8B 04 F0 8B 55 FC E8 ?? ?? ?? ?? 75 24 8B 45 08 8B 55 F4 03 D2 03 D2 8B 4D F8 8B 49 0C 8B 54 D1 1C 8B 54 F2 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 75 46 4F 75 BA 80 3B 07 75 4F 8B C3 E8 ?? ?? ?? ?? 83 78 04 00 74 42 8B C3 E8 ?? ?? ?? ?? 8B 40 04 8B 18 85 DB 74 0F A1 ?? ?? ?? ?? 83 C0 B8 3B 18 0F 95 C0 EB 02 33 C0 84 C0 74 1D A1 ?? ?? ?? ?? 83 C0 B8 3B 18 74 11 8B 45 08 50 8B 4D FC 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_48969_0 {
	meta:
		name = "TRemotableTypeRegistry.GetInternalPropName"
		size = 209
		refs = "0018 @UStrAsg 0027 TRemotableTypeRegistry.GetInternalPropName 003c TRemotableTypeRegistry.FindEntry 0059 @DynArrayLength 007f @UStrEqual 00a1 @TryFinallyExit 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 4D F7 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B F8 80 7D F7 00 74 63 8B C7 03 C0 03 C0 8B 55 FC 8B 52 0C 8B 44 C2 1C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 47 46 33 DB 8B C7 03 C0 03 C0 8B 55 FC 8B 52 0C 8B 44 C2 1C 8B 44 D8 04 8B 55 F8 E8 ?? ?? ?? ?? 75 22 8B 45 08 8B D7 03 D2 03 D2 8B 4D FC 8B 49 0C 8B 54 D1 1C 8B 14 DA E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 43 4E 75 BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_48970_0 {
	meta:
		name = "TRemotableTypeRegistry.URIToInfo"
		size = 169
		refs = "0022 TRemotableTypeRegistry.URIToInfo 0033 @DynArrayLength 0055 @UStrEqual 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 C0 89 45 F0 8B 45 FC 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 44 47 33 DB 8B F3 03 F6 03 F6 8B 45 FC 8B 40 0C 8B 44 F0 08 8B 55 F8 E8 ?? ?? ?? ?? 75 23 8B 45 FC 8B 40 0C 8B 44 F0 0C 8B 55 F4 E8 ?? ?? ?? ?? 75 0F 8B 45 FC 8B 40 0C 8B 44 F0 04 89 45 F0 EB 04 43 4F 75 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48973_0 {
	meta:
		name = "TRemotableTypeRegistry.GetSimpleBuiltInXSDType"
		size = 169
		refs = "0022 TRemotableTypeRegistry.GetSimpleBuiltInXSDType 0033 @DynArrayLength 0055 @UStrEqual 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 C0 89 45 F0 8B 45 FC 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 44 47 33 DB 8B F3 03 F6 03 F6 8B 45 FC 8B 40 0C 8B 44 F0 08 8B 55 F8 E8 ?? ?? ?? ?? 75 23 8B 45 FC 8B 40 0C 8B 44 F0 0C 8B 55 F4 E8 ?? ?? ?? ?? 75 0F 8B 45 FC 8B 40 0C 8B 44 F0 04 89 45 F0 EB 04 43 4F 75 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48971_0 {
	meta:
		name = "TRemotableTypeRegistry.GetXSDInfoForClass"
		size = 43
		refs = "000f GetTypeData 0020 TRemotableTypeRegistry.ClassToURI"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 00 8B 55 08 52 8B CF 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_48972_0 {
	meta:
		name = "TRemotableTypeRegistry.GetRegisteredClassForBuiltInXSD"
		size = 28
		refs = "0006 RemClassRegistry 000c XMLSchemaNameSpace 0015 TRemotableTypeRegistry.URIToClass"
	strings:
		$1 = { 53 51 8B DA 54 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B CB E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_48974_0 {
	meta:
		name = "IsBase64TypeName"
		size = 103
		refs = "000e @UStrAddRef 0016 IsBase64TypeName 0028 XMLBase64Types 0032 @UStrEqual 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB BE 02 00 00 00 BF ?? ?? ?? ?? 8B 45 FC 8B 17 E8 ?? ?? ?? ?? 75 04 B3 01 EB 06 83 C7 04 4E 75 EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_48975_0 {
	meta:
		name = "TRemotableTypeRegistry.XSDToTypeInfo"
		size = 178
		refs = "0013 XMLSchemaNameSpace 001a @UStrEqual 0025 TRemotableTypeRegistry.GetRegisteredClassForBuiltInXSD 003d TRemotableTypeRegistry.GetSimpleBuiltInXSDType 004a IsBase64TypeName 005b XMLBase64Types 007d RemClassRegistry 0086 TRemotableTypeRegistry.URIToClass 00a3 TRemotableTypeRegistry.URIToInfo"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F1 8B FA 8B E8 33 DB 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 75 5B 8B D6 8B C5 E8 ?? ?? ?? ?? 85 C0 74 05 83 C0 B8 8B 18 85 DB 75 0D 8B CE 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D8 85 DB 75 62 8B C6 E8 ?? ?? ?? ?? 84 C0 74 57 C7 44 24 04 02 00 00 00 BE ?? ?? ?? ?? 8B 0E 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D8 85 DB 75 39 83 C6 04 FF 4C 24 04 75 E6 EB 2E 54 E8 ?? ?? ?? ?? 8B CE 8B D7 E8 ?? ?? ?? ?? 85 C0 74 07 83 C0 B8 8B 18 EB 14 85 C0 75 10 E8 ?? ?? ?? ?? 8B CE 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48976_0 {
	meta:
		name = "TRemotableTypeRegistry.VariantToInfo"
		size = 728
		refs = "001a TRemotableTypeRegistry.VariantToInfo 00e2 SUnsupportedVariant 00e7 LoadResString 00f1 _DV_ETypeRegistryException 00f6 Exception.CreateFmt 00fb @RaiseExcept 0106 SmallInt 0111 Integer 011c Single 0127 Double 0131 RemClassRegistry 0137 XMLSchemaNameSpace 0143 TRemotableTypeRegistry.URIToInfo 0157 XMLSchemaNamespaces 0183 WideString 0190 SNoVarDispatch 01a4 Exception.Create 01b6 SNoErrorDispatch 01da Boolean 01e5 Variant 0223 ShortInt 022b Byte 0233 Word 023b Cardinal 0243 Int64 0253 string 02a0 @UStrArrayClr 02a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 03 66 25 FF 0F 0F B7 C0 83 F8 0B 7F 42 0F 84 9F 01 00 00 83 F8 0A 0F 87 17 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 12 7F 2B 0F 84 B1 01 00 00 83 E8 0C 0F 84 5A 01 00 00 48 0F 84 5E 01 00 00 83 E8 03 0F 84 88 01 00 00 48 0F 84 89 01 00 00 E9 B4 01 00 00 83 E8 13 0F 84 8B 01 00 00 48 0F 84 8C 01 00 00 2D EC 00 00 00 0F 84 89 01 00 00 83 E8 02 0F 84 88 01 00 00 E9 8B 01 00 00 0F B7 03 89 45 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 86 01 00 00 8B 1D ?? ?? ?? ?? E9 7B 01 00 00 8B 1D ?? ?? ?? ?? E9 70 01 00 00 8B 1D ?? ?? ?? ?? E9 65 01 00 00 8B 1D ?? ?? ?? ?? E9 5A 01 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 39 01 00 00 BF 03 00 00 00 BE ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 14 01 00 00 83 C6 04 4F 75 DF E9 09 01 00 00 8B 1D ?? ?? ?? ?? E9 FE 00 00 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D8 00 00 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B2 00 00 00 8B 1D ?? ?? ?? ?? E9 A7 00 00 00 8B 1D ?? ?? ?? ?? E9 9C 00 00 00 0F B7 03 89 45 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 69 8B 1D ?? ?? ?? ?? EB 61 8B 1D ?? ?? ?? ?? EB 59 8B 1D ?? ?? ?? ?? EB 51 8B 1D ?? ?? ?? ?? EB 49 8B 1D ?? ?? ?? ?? EB 41 8B 1D ?? ?? ?? ?? EB 39 8B 1D ?? ?? ?? ?? EB 31 0F B7 03 89 45 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 64 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_48977_0 {
	meta:
		name = "TRemotableTypeRegistry.GetVarTypeFromXSD"
		size = 97
		refs = "0006 TRemotableTypeRegistry.XSDToTypeInfo 0015 TRemotableTypeRegistry.GetVarTypeFromXSD"
	strings:
		$1 = { 56 66 BE 0D 00 E8 ?? ?? ?? ?? 0F B6 00 83 F8 12 77 4B 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 04 00 02 04 00 00 00 04 04 04 00 00 00 00 03 00 04 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 BE 03 00 EB 10 66 BE 05 00 EB 0A 66 BE 14 00 EB 04 66 BE 08 00 8B C6 5E C3 }
	condition:
		$1
}

rule function_48978_0 {
	meta:
		name = "TRemotableTypeRegistry.GetEntry"
		size = 65
		refs = "0013 TRemotableTypeRegistry.FindEntry 002c :TRemotableTypeRegistry.:1 0031 @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B D8 8B 45 08 50 8B CE 8B C3 E8 ?? ?? ?? ?? 8B F8 80 3E 00 75 1A 8D 47 01 50 8D 43 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_48979_0 {
	meta:
		name = "TRemotableTypeRegistry.FindEntry"
		size = 103
		refs = "0042 @UStrEqual 0055 @DynArrayLength"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 33 DB 8B 45 FC C6 00 00 EB 39 85 FF 74 34 8B C3 03 C0 03 C0 8B 56 0C 3B 7C C2 04 75 25 83 7D 08 00 74 17 8B C3 03 C0 03 C0 8B 56 0C 8B 44 C2 0C 8B 55 08 E8 ?? ?? ?? ?? 75 08 8B 45 FC C6 00 01 EB 0D 43 8B 46 0C E8 ?? ?? ?? ?? 3B D8 7C BB 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_48980_0 {
	meta:
		name = "TRemotableTypeRegistry.URIToClass"
		size = 9
		refs = "0003 TRemotableTypeRegistry.URIToClass"
	strings:
		$1 = { 51 54 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_48981_0 {
	meta:
		name = "TRemotableTypeRegistry.URIToClass"
		size = 263
		refs = "0022 TRemotableTypeRegistry.URIToClass 0033 @DynArrayLength 0059 @UStrEqual 00f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 C0 89 45 F0 8B 45 FC 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 9C 00 00 00 46 33 DB 8B FB 03 FF 03 FF 8B 45 FC 8B 40 0C 8B 44 F8 08 8B 55 F8 E8 ?? ?? ?? ?? 75 77 8B 45 FC 8B 40 0C 83 7C F8 10 00 74 38 8B C3 03 C0 03 C0 8B 55 FC 8B 52 0C 8B 44 C2 10 8B 55 F4 E8 ?? ?? ?? ?? 75 50 8B 45 FC 8B 40 0C 8B 04 F8 89 45 F0 8B 45 FC 8B 40 0C 0F B6 44 F8 14 8B 55 08 88 02 EB 3A 8B 45 FC 8B 40 0C 8B 44 F8 0C 8B 55 F4 E8 ?? ?? ?? ?? 75 1E 8B 45 FC 8B 40 0C 8B 04 F8 89 45 F0 8B 45 FC 8B 40 0C 0F B6 44 F8 14 8B 55 08 88 02 EB 08 43 4E 0F 85 67 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_48982_0 {
	meta:
		name = "TRemotableTypeRegistry.InfoToURI"
		size = 451
		refs = "0021 TRemotableTypeRegistry.InfoToURI 003c @DynArrayLength 006d @UStrAsg 00f1 SameTypeInfo 016f @HandleFinally 0197 TRemotableTypeRegistry.RegisterXSInfo"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC C6 45 F3 00 8B 45 FC 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 0F 84 23 01 00 00 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 77 46 33 DB 8B FB 03 FF 03 FF 8B 45 FC 8B 40 0C 8B 44 F8 04 3B 45 F8 75 5B 8B 45 F4 8B 55 FC 8B 52 0C 8B 54 FA 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 83 7C F8 10 00 75 14 8B 45 10 8B 55 FC 8B 52 0C 8B 54 FA 0C E8 ?? ?? ?? ?? EB 12 8B 45 10 8B 55 FC 8B 52 0C 8B 54 FA 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 0F B6 44 F8 14 8B 55 0C 88 02 C6 45 F3 01 EB 04 43 4E 75 8C 80 7D F3 00 0F 85 90 00 00 00 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 7E 46 33 DB 8B FB 03 FF 03 FF 8B 45 FC 8B 40 0C 8B 44 F8 04 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 5B 8B 45 F4 8B 55 FC 8B 52 0C 8B 54 FA 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 83 7C F8 10 00 75 14 8B 45 10 8B 55 FC 8B 52 0C 8B 54 FA 0C E8 ?? ?? ?? ?? EB 12 8B 45 10 8B 55 FC 8B 52 0C 8B 54 FA 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 0F B6 44 F8 14 8B 55 0C 88 02 C6 45 F3 01 EB 04 43 4E 75 85 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 80 7D F3 00 75 3B 8B 45 FC 80 78 04 00 74 32 80 7D 08 00 74 2C 6A 00 6A 00 33 C9 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 6A 00 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 88 45 F3 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_48983_0 {
	meta:
		name = "TRemotableTypeRegistry.ClassToURI"
		size = 26
		refs = "0010 TRemotableTypeRegistry.ClassToURI"
	strings:
		$1 = { 55 8B EC 51 53 8B 5D 08 53 8D 5D FF 53 6A 01 E8 ?? ?? ?? ?? 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_48984_0 {
	meta:
		name = "TRemotableTypeRegistry.ClassToURI"
		size = 286
		refs = "0020 TRemotableTypeRegistry.ClassToURI 0031 @DynArrayLength 005f @UStrAsg 00c7 @HandleFinally 00f3 TRemotableTypeRegistry.RegisterXSClass"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 89 55 F8 89 45 FC C6 45 F3 00 8B 45 FC 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 48 85 C0 7C 76 40 33 DB 8B F3 03 F6 03 F6 8B 55 FC 8B 52 0C 8B 14 F2 3B 55 F8 75 5B 8B 45 F4 8B 55 FC 8B 52 0C 8B 54 F2 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 83 7C F0 10 00 74 14 8B 45 10 8B 55 FC 8B 52 0C 8B 54 F2 10 E8 ?? ?? ?? ?? EB 12 8B 45 10 8B 55 FC 8B 52 0C 8B 54 F2 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 0F B6 44 F0 14 8B 55 0C 88 02 C6 45 F3 01 EB 04 43 48 75 8D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB F0 80 7D F3 00 75 3F 8B 45 FC 80 78 04 00 74 36 80 7D 08 00 74 30 6A 00 6A 00 6A 00 6A 00 33 C9 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 6A 00 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 88 45 F3 0F B6 45 F3 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_48985_0 {
	meta:
		name = "TRemotableTypeRegistry.TypeInfoToXSD"
		size = 77
		refs = "001f GetTypeData 002a TRemotableTypeRegistry.ClassToURI 0041 TRemotableTypeRegistry.InfoToURI"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 80 3E 07 75 1E 8B 45 08 50 8D 45 FF 50 6A 01 8B C6 E8 ?? ?? ?? ?? 8B 10 8B CF 8B C3 E8 ?? ?? ?? ?? EB 15 8B 45 08 50 8D 45 FF 50 6A 01 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_48989_0 {
	meta:
		name = "ERemotableException.Create"
		size = 114
		refs = "000d @ClassCreate 001a Exception.Create 0025 @UStrAsg 005c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 1C 8B 55 18 E8 ?? ?? ?? ?? 8D 46 18 8B 55 14 E8 ?? ?? ?? ?? 8D 46 24 8B 55 10 E8 ?? ?? ?? ?? 8D 46 28 8B 55 0C E8 ?? ?? ?? ?? 8D 46 2C 8B 55 08 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_48990_0 {
	meta:
		name = "TDataContext.SetDataPointer"
		size = 7
	strings:
		$1 = { 8B 40 10 89 0C 90 C3 }
	condition:
		$1
}

rule function_48991_0 {
	meta:
		name = "TDataContext.GetDataPointer"
		size = 7
	strings:
		$1 = { 8B 40 10 8B 04 90 C3 }
	condition:
		$1
}

rule function_48992_0 {
	meta:
		name = "TDataContext.AddVariantToClear"
		size = 81
		refs = "000b @DynArrayLength 003b :TDataContext.:4 0040 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 14 E8 ?? ?? ?? ?? 48 85 C0 7C 0F 40 33 DB 8B 56 14 3B 3C 9A 74 2E 43 48 75 F4 8B 46 14 E8 ?? ?? ?? ?? 8B D8 8D 43 01 50 8D 46 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 14 89 3C 98 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48993_0 {
	meta:
		name = "TDataContext.AddStrToClear"
		size = 81
		refs = "000b @DynArrayLength 003b :TDataContext.:6 0040 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 1C E8 ?? ?? ?? ?? 48 85 C0 7C 0F 40 33 DB 8B 56 1C 3B 3C 9A 74 2E 43 48 75 F4 8B 46 1C E8 ?? ?? ?? ?? 8B D8 8D 43 01 50 8D 46 1C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 1C 89 3C 98 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48994_0 {
	meta:
		name = "TDataContext.AddWStrToClear"
		size = 81
		refs = "000b @DynArrayLength 003b :TDataContext.:7 0040 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 20 E8 ?? ?? ?? ?? 48 85 C0 7C 0F 40 33 DB 8B 56 20 3B 3C 9A 74 2E 43 48 75 F4 8B 46 20 E8 ?? ?? ?? ?? 8B D8 8D 43 01 50 8D 46 20 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 20 89 3C 98 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48995_0 {
	meta:
		name = "TDataContext.AddUStrToClear"
		size = 81
		refs = "000b @DynArrayLength 003b :TDataContext.:8 0040 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 24 E8 ?? ?? ?? ?? 48 85 C0 7C 0F 40 33 DB 8B 56 24 3B 3C 9A 74 2E 43 48 75 F4 8B 46 24 E8 ?? ?? ?? ?? 8B D8 8D 43 01 50 8D 46 24 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 24 89 3C 98 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48997_0 {
	meta:
		name = "TDataContext.Destroy"
		size = 546
		refs = "000f @BeforeDestruction 001c TDataContext.Destroy 002a @DynArrayLength 004b _DV_TRemotable 0050 TObject.InheritsFrom 005f TObject.Free 0073 :TDataContext.:1 0078 @DynArraySetLength 009e Null 00ac @VarCopy 00c0 :TDataContext.:4 00fd DynArrayClear 0111 :TDataContext.:5 013f @LStrClr 0153 :TDataContext.:6 0181 @UStrClr 0195 :TDataContext.:8 01c3 @WStrClr 01d7 :TDataContext.:7 01ed TObject.Destroy 0202 @VarClr 0208 @HandleFinally 0217 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 E8 ?? ?? ?? ?? 88 55 FF 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 32 46 33 DB 8B 47 04 83 3C 98 00 74 22 8B 47 04 8B 04 98 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B 47 04 8B 04 98 E8 ?? ?? ?? ?? 43 4E 75 D1 6A 00 8D 47 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 47 14 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 26 46 33 DB 8B 47 14 83 3C 98 00 74 16 8D 45 E8 E8 ?? ?? ?? ?? 8D 55 E8 8B 47 14 8B 04 98 E8 ?? ?? ?? ?? 43 4E 75 DD 6A 00 8D 47 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 47 18 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2A 46 33 DB 8B 47 18 83 3C D8 00 74 1A 8B 47 18 8B 04 D8 8B 00 89 45 F8 8B 47 18 8B 54 D8 04 8D 45 F8 E8 ?? ?? ?? ?? 43 4E 75 D9 6A 00 8D 47 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 47 1C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1B 46 33 DB 8B 47 1C 83 3C 98 00 74 0B 8B 47 1C 8B 04 98 E8 ?? ?? ?? ?? 43 4E 75 E8 6A 00 8D 47 1C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 47 24 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1B 46 33 DB 8B 47 24 83 3C 98 00 74 0B 8B 47 24 8B 04 98 E8 ?? ?? ?? ?? 43 4E 75 E8 6A 00 8D 47 24 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 47 20 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1B 46 33 DB 8B 47 20 83 3C 98 00 74 0B 8B 47 20 8B 04 98 E8 ?? ?? ?? ?? 43 4E 75 E8 6A 00 8D 47 20 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 0F B6 55 FF 80 E2 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FF 00 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_48998_0 {
	meta:
		name = "TDataContext.AddDynArrayToClear"
		size = 92
		refs = "000e @DynArrayLength 003e :TDataContext.:5 0043 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 8B 46 18 E8 ?? ?? ?? ?? 48 85 C0 7C 0F 40 33 DB 8B 56 18 3B 3C DA 74 35 43 48 75 F4 8B 46 18 E8 ?? ?? ?? ?? 8B D8 8D 43 01 50 8D 46 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 18 89 3C D8 8B 46 18 89 6C D8 04 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_48999_0 {
	meta:
		name = "TDataContext.AddObjectToDestroy"
		size = 107
		refs = "000f @DynArrayLength 0054 :TDataContext.:1 0059 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 83 CD FF 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 17 40 33 DB 8B 56 04 8B 14 9A 3B FA 74 41 85 D2 75 02 8B EB 43 48 75 EC 83 FD FF 74 08 8B 46 04 89 3C A8 EB 2A 8B 46 04 E8 ?? ?? ?? ?? 8B D8 8D 43 01 50 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 04 89 3C 98 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49000_0 {
	meta:
		name = "TDataContext.RemoveObjectToDestroy"
		size = 46
		refs = "0022 @DynArrayLength"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 33 DB EB 13 8B 46 04 3B 3C 98 75 0A 8B 46 04 33 D2 89 14 98 EB 0D 43 8B 46 04 E8 ?? ?? ?? ?? 3B D8 7C E1 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49001_0 {
	meta:
		name = "TDataContext.AllocData"
		size = 16
	strings:
		$1 = { 53 8B 48 0C 8B 58 08 03 CB 01 50 08 8B C1 5B C3 }
	condition:
		$1
}

rule function_49002_0 {
	meta:
		name = "TInvContext.SetMethodInfo"
		size = 70
		refs = "0015 :TDataContext.:3 001a @DynArraySetLength 0037 :TDataContext.:2"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 0C 40 50 8D 43 10 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 0C 40 03 C0 03 C0 8D 04 80 50 8D 43 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_49006_0 {
	meta:
		name = "TInvContext.SetResultPointer"
		size = 4
	strings:
		$1 = { 89 50 28 C3 }
	condition:
		$1
}

rule function_49007_0 {
	meta:
		name = "GetTypeSize"
		size = 127
		refs = "000d TRttiContext 0012 @InitializeRecord 001a GetTypeSize 0026 Variant 002e OleVariant 0046 TRttiContext.GetType 006c @FinalizeRecord 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 1D ?? ?? ?? ?? 74 08 3B 1D ?? ?? ?? ?? 75 07 BE 10 00 00 00 EB 1A BE 04 00 00 00 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 85 C0 74 07 8B 10 FF 52 0C 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_49008_0 {
	meta:
		name = "TInvContext.AllocServerData"
		size = 642
		refs = "001b TInvContext.AllocServerData 0042 GetTypeSize 004c TDataContext.AllocData 005a TInvContext.SetParamPointer 0071 Null 007b @VarCopy 0085 TDataContext.AddVariantToClear 00ad TDataContext.AddDynArrayToClear 00c5 @LStrClr 00cf TDataContext.AddStrToClear 00e7 @UStrClr 00f1 TDataContext.AddUStrToClear 0109 @WStrClr 0113 TDataContext.AddWStrToClear 024f TInvContext.SetResultPointer 0265 Variant 026f @FinalizeArray 0275 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 0C 48 85 C0 0F 8C F0 00 00 00 40 89 45 F8 33 DB 8D 04 5B 8B 57 18 8B 44 82 08 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 04 5B 8B 57 18 8B 44 82 08 80 38 0C 75 21 8D 45 E8 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? E9 89 00 00 00 8D 04 5B 8B 57 18 8B 44 82 08 80 38 11 75 16 8D 04 5B 8B 57 18 8B 4C 82 08 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 64 8D 04 5B 8B 57 18 8B 44 82 08 80 38 0A 75 13 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 42 8D 04 5B 8B 57 18 8B 44 82 08 80 38 12 75 13 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 20 8D 04 5B 8B 57 18 8B 44 82 08 80 38 0B 75 11 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 43 FF 4D F8 0F 85 16 FF FF FF 8B 47 10 85 C0 0F 84 27 01 00 00 8B D8 0F B6 03 83 C0 F6 83 F8 08 0F 87 F9 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BA 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? E9 BC 00 00 00 BA 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? E9 97 00 00 00 BA 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 75 BA 08 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 EB 64 BA 10 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8D 45 D8 E8 ?? ?? ?? ?? 8D 55 D8 8B DE 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 35 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 4F 10 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 13 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49009_0 {
	meta:
		name = "InitBuiltIns"
		size = 3044
		refs = "0003 XMLSchemaNameSpace 0008 InitBuiltIns 000f RemClassRegistry 0017 Boolean 001c TRemotableTypeRegistry.RegisterXSInfo 0030 ShortInt 0049 Byte 0062 SmallInt 007b Word 0094 Cardinal 00c6 Integer 00f8 Int64 0143 Single 015c Double 0175 Extended 018e Currency 01a7 Comp 01c0 Real 01d9 AnsiString 01f2 WideString 020b string 0431 ShortString 044a AnsiChar 0463 Char 0495 TByteDynArray 04ae Variant 04f9 OleVariant 0516 _Dn_TXMLData 051b TRemotableTypeRegistry.RegisterXSClass 052d SOAPEncodingNamespaces 054e TIntegerDynArray 0567 TCardinalDynArray 0580 TWordDynArray 0599 TSmallIntDynArray 05cb TShortIntDynArray 05e4 TInt64DynArray 05fd TLongWordDynArray 0616 TSingleDynArray 062f TDoubleDynArray 0648 TBooleanDynArray 0661 TStringDynArray 067a TWideStringDynArray 0697 _DV_TSOAPAttachment"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 02 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 09 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 02 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 02 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 79 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 75 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 42 00 79 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 68 00 6F 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 75 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 53 00 68 00 6F 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 75 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 49 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 69 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 6F 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 75 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 4C 00 6F 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 69 00 6E 00 74 00 65 00 67 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 6C 00 6F 00 61 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 61 00 6E 00 79 00 55 00 52 00 49 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 45 00 4E 00 54 00 49 00 54 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 4E 00 54 00 49 00 54 00 49 00 45 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 67 00 44 00 61 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 67 00 4D 00 6F 00 6E 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 67 00 4D 00 6F 00 6E 00 74 00 68 00 44 00 61 00 79 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 67 00 59 00 65 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 67 00 59 00 65 00 61 00 72 00 4D 00 6F 00 6E 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 44 00 52 00 45 00 46 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 44 00 52 00 45 00 46 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4E 00 4D 00 54 00 4F 00 4B 00 45 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 4D 00 54 00 4F 00 4B 00 45 00 4E 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 69 00 7A 00 65 00 64 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 4F 00 54 00 41 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4E 00 43 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 51 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 6F 00 6B 00 65 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 61 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 62 00 61 00 73 00 65 00 36 00 34 00 42 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 61 00 6E 00 79 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 61 00 6E 00 79 00 53 00 69 00 6D 00 70 00 6C 00 65 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 75 00 72 00 2D 00 74 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 61 00 73 00 65 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 62 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 63 00 6F 00 6D 00 2F 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 73 00 2F 00 54 00 79 00 70 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 53 00 4F 00 41 00 50 00 41 00 74 00 74 00 61 00 63 00 68 00 6D 00 65 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_49010_0 {
	meta:
		name = "InitMoreBuiltIns"
		size = 188
		refs = "0001 InitMoreBuiltIns 0008 RemClassRegistry 000e XMLSchemaNameSpace 0016 TDateTime 001b TRemotableTypeRegistry.RegisterXSInfo 0035 ByteBool 0054 WordBool 0073 LongBool"
	strings:
		$1 = { 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 09 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 09 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 09 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 09 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 64 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 }
	condition:
		$1
}

rule function_49011_0 {
	meta:
		name = "InitIR"
		size = 60
		refs = "0003 _DV_TInvokableClassRegistry 0008 TInvokableClassRegistry.Create 000d InvRegistryV 0014 _DV_TRemotableTypeRegistry 0019 TRemotableTypeRegistry.Create 001e RemTypeRegistryV 0023 RemTypeRegistry 0028 RemClassRegistryV 002d InitBuiltIns 0032 InitXSTypes 0037 InitMoreBuiltIns"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49012_0 {
	meta:
		name = "InvRegistry"
		size = 20
		refs = "0002 InvRegistryV 000a InitIR"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49013_0 {
	meta:
		name = "RemClassRegistry"
		size = 20
		refs = "0002 RemTypeRegistryV 000a InitIR"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49014_0 {
	meta:
		name = "RemTypeRegistry"
		size = 20
		refs = "0002 RemTypeRegistryV 000a InitIR"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49015_0 {
	meta:
		name = "Finalization"
		size = 162
		refs = "0007 Finalization 0013 _DV_81 001a InvRegistryV 001f TObject.Free 0024 RemClassRegistryV 002e AppNameSpacePrefix 0033 @UStrClr 0038 XMLSchemaInstNamespaces 0043 string 0048 @FinalizeArray 004d XMLSchemaNamespaces 0062 XMLBase64Types 0077 BoolDigit 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 72 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_49016_0 {
	meta:
		name = "Soap.InvokeRegistry"
		size = 63
		refs = "0007 Soap.InvokeRegistry 0013 _DV_81 001c InvRegistryV 0024 InitIR 0037 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 0E 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_49021_0 {
	meta:
		name = "GetTypeSize"
		size = 119
		refs = "000d TRttiContext 0012 @InitializeRecord 001a GetTypeSize 0026 Variant 003e TRttiContext.GetType 0064 @FinalizeRecord 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F0 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 35 ?? ?? ?? ?? 75 07 BB 10 00 00 00 EB 1A BB 04 00 00 00 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 85 C0 74 07 8B 10 FF 52 0C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_49022_0 {
	meta:
		name = "Match"
		size = 48
	strings:
		$1 = { EB 06 83 C0 02 83 C2 02 0F B7 0A 66 3B 08 75 05 66 85 C9 75 ED 66 83 3A 00 75 0F 0F B7 08 66 83 F9 20 76 09 66 83 F9 3D 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_49023_0 {
	meta:
		name = "GetRegInfo"
		size = 412
		refs = "002f INFOATTR_BEG_CHAR 0041 INFOATTR_END_CHAR 0051 @UStrToPWChar 00b5 @PWCharLen 00c3 GetRegInfo 00cb CharInSet 0142 WideCharLenToString"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 0C 24 8B F2 8B F8 C6 44 24 04 00 8B C7 85 C0 74 05 83 E8 04 8B 00 8B E8 83 FD 03 0F 8C 43 01 00 00 0F B7 07 66 3B 05 ?? ?? ?? ?? 0F 85 33 01 00 00 0F B7 44 6F FE 66 3B 05 ?? ?? ?? ?? 0F 85 21 01 00 00 8D 5F 02 8B C6 E8 ?? ?? ?? ?? 89 44 24 08 33 F6 8D 44 6F FE 8B F8 EB 03 83 C3 02 66 83 3B 20 76 F7 8B D3 8B 44 24 08 EB 06 83 C2 02 83 C0 02 0F B7 0A 0F B7 28 66 3B CD 75 05 66 85 ED 75 EA 66 83 38 00 75 0F 0F B7 2A 66 83 FD 20 76 0A 66 83 FD 3D 74 04 33 C0 EB 02 B0 01 88 44 24 0C 80 7C 24 0C 00 74 12 8B 44 24 08 E8 ?? ?? ?? ?? 03 C0 03 D8 EB 19 83 C3 02 BA ?? ?? ?? ?? 0F B7 03 E8 ?? ?? ?? ?? 84 C0 75 EC EB 03 83 C3 02 66 83 3B 20 76 F7 66 83 3B 3D 0F 85 84 00 00 00 83 C3 02 EB 03 83 C3 02 66 83 3B 20 76 F7 0F B7 03 66 83 F8 27 74 0C 66 83 F8 22 74 06 66 83 F8 60 75 61 83 C3 02 80 7C 24 0C 00 74 07 8B F3 EB 03 83 C3 02 3B FB 76 05 66 3B 03 75 F4 66 3B 03 75 42 80 7C 24 0C 00 74 1C 8B 0C 24 8B D3 2B D6 D1 FA 79 03 83 D2 00 8B C6 E8 ?? ?? ?? ?? C6 44 24 04 01 EB 1F 83 C3 02 EB 03 83 C3 02 0F B7 03 66 83 F8 20 76 F4 66 83 F8 2C 74 EE 3B FB 0F 85 FA FE FF FF 0F B6 44 24 04 83 C4 10 5D 5F 5E 5B C3 00 00 00 00 00 00 00 00 00 00 00 FE FF FF 07 FE FF FF 07 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_49027_0 {
	meta:
		name = "TSOAPDomConvHelper.GetObjectMetaclass"
		size = 7
	strings:
		$1 = { 8B 40 4C 8B 40 10 C3 }
	condition:
		$1
}

rule function_49028_0 {
	meta:
		name = "TSOAPDomConvHelper.SetObjectMetaclass"
		size = 7
	strings:
		$1 = { 8B 40 4C 89 50 10 C3 }
	condition:
		$1
}

rule function_49029_0 {
	meta:
		name = "TSOAPDomConvHelper.GetObjectInstance"
		size = 7
	strings:
		$1 = { 8B 40 4C 8B 40 14 C3 }
	condition:
		$1
}

rule function_49030_0 {
	meta:
		name = "TSOAPDomConvHelper.SetObjectInstance"
		size = 7
	strings:
		$1 = { 8B 40 4C 89 50 14 C3 }
	condition:
		$1
}

rule function_49031_0 {
	meta:
		name = "TSOAPDomConvHelper.IsRPC"
		size = 10
	strings:
		$1 = { F6 40 58 20 0F 95 C0 34 01 C3 }
	condition:
		$1
}

rule function_49032_0 {
	meta:
		name = "TSOAPDomConvHelper.UsingLiteralEncoding"
		size = 32
		refs = "0004 TSOAPDomConvHelper.UsingLiteralEncoding"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 23 43 58 8B 15 ?? ?? ?? ?? 3B D0 0F 95 C0 5B C3 20 10 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_49033_0 {
	meta:
		name = "TSOAPDomConvHelper.IsBareLiteral"
		size = 28
		refs = "0004 TSOAPDomConvHelper.IsBareLiteral"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 23 43 58 8B 15 ?? ?? ?? ?? 3B D0 0F 94 C0 5B C3 20 10 00 00 }
	condition:
		$1
}

rule function_49034_0 {
	meta:
		name = "TSOAPDomConvHelper.IsWrappedLiteral"
		size = 32
		refs = "0004 TSOAPDomConvHelper.IsWrappedLiteral"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 23 43 58 8B 15 ?? ?? ?? ?? 3B D0 0F 94 C0 5B C3 20 10 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_49035_0 {
	meta:
		name = "TSOAPDomConvHelper.ConvertNativeDataToSoap2"
		size = 746
		refs = "0028 @IntfAddRef 0038 TSOAPDomConvHelper.ConvertNativeDataToSoap2 0047 RemTypeRegistry 0051 TRemotableTypeRegistry.TypeInfoToXSD 006d SRemTypeNotRegistered 0072 LoadResString 007c _DV_ESOAPDomConvertError 0081 Exception.CreateFmt 0086 @RaiseExcept 00d2 TSOAPDomConvHelper.GetObjectMetaclass 00dd TSOAPDomConvHelper.GetObjectInstance 00f5 GetTypeData 00ff TSOAPDomConvHelper.SetObjectMetaclass 0109 TSOAPDomConvHelper.SetObjectInstance 0124 TSOAPDomConv.ConvertObjectToSOAP 014d @HandleFinally 015f RemClassRegistry 0166 TRemotableTypeRegistry.SerializeOptions 018d TSOAPDomConv.ConvertNativeArrayToSoap 019b KindNameArray 01b3 SDataTypeNotSupported 01e3 Null 01f7 TSOAPDomConv.ConvertVariantToSoap 020c TSOAPDomConv.ConvertEnumToSoap 0230 TSOAPDomConv.CreateScalarNodeXS 023f TypeTranslator 0248 TTypeTranslator.CastNativeToSoap 0266 TSOAPDomConv.CreateNULLNode 02a1 @IntfClear 02a9 @VarClr 02b6 @UStrArrayClr 02cc IXMLNode 02d6 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F8 89 55 FC 89 45 E4 8B 75 0C 8B 5D 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 E8 ?? ?? ?? ?? 8D 4D EC 8B D3 E8 ?? ?? ?? ?? 84 C0 75 31 8D 43 01 89 45 D0 C6 45 D4 04 8D 45 D0 50 6A 00 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 03 83 F8 11 0F 87 A0 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 00 05 00 00 03 01 03 00 00 00 04 03 03 03 00 02 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 89 45 DC 8B 45 E4 E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 10 8B 45 E4 E8 ?? ?? ?? ?? 8B 16 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 14 50 56 8B 45 FC 50 8B 45 F8 50 8B 4D 18 8B 55 1C 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 DC 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B 45 08 83 E0 02 83 F8 02 74 14 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? A8 04 75 04 33 C0 EB 02 B0 01 8B 55 1C 52 8B 55 18 52 8B 55 14 52 53 56 50 8B 4D F8 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? E9 FA 00 00 00 0F B6 03 8B 15 ?? ?? ?? ?? 8B 04 82 89 45 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BB 00 00 00 8B 45 1C 50 8B 45 18 50 53 56 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 B8 50 6A 00 8B 4D F8 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? E9 90 00 00 00 8D 45 E8 50 8B CE 8B D3 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 1C 50 8B 45 18 50 8B 45 F0 50 8B 45 E8 50 6A 00 8D 45 F4 50 8B 4D F8 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? EB 5A 56 8D 45 E3 50 8D 4D E8 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 80 7D E3 00 74 1A 8B 45 1C 50 6A 00 8D 45 B4 50 8B 4D F4 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? EB 24 8B 45 1C 50 8B 45 18 50 8B 45 F0 50 8B 45 E8 50 6A 00 8D 45 F4 50 8B 4D F8 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_49036_0 {
	meta:
		name = "TSOAPDomConvHelper.WriteRectDynArrayElem2"
		size = 780
		refs = "002c @IntfAddRef 003c TSOAPDomConvHelper.WriteRectDynArrayElem2 005f GetDynArrayLength 007e TSOAPDomConv.WriteRectDynArrayElem 00b1 @UStrLAsg 00bc DefArrayElemName 00e4 TSOAPDomConvHelper.GetObjectMetaclass 00ef TSOAPDomConvHelper.GetObjectInstance 0108 GetTypeData 0112 TSOAPDomConvHelper.SetObjectMetaclass 011f TSOAPDomConvHelper.SetObjectInstance 013e RemTypeRegistry 0149 TRemotableTypeRegistry.TypeInfoToXSD 0166 SRemTypeNotRegistered 016b LoadResString 0175 _DV_ESOAPDomConvertError 017a Exception.CreateFmt 017f @RaiseExcept 019d TSOAPDomConv.ConvertObjectToSOAP 01e4 @HandleFinally 0202 Null 0216 TSOAPDomConv.ConvertVariantToSoap 0231 TSOAPDomConv.ConvertEnumToSoap 0243 TypeTranslator 024d TTypeTranslator.CastNativeToSoap 02a3 GetTypeSize 02c7 @VarClr 02cf @UStrClr 02dc @UStrArrayClr 02e5 IXMLNode 02ef @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 89 55 FC 89 45 E0 8B 75 10 8B 5D 18 8B 7D 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FB 01 7E 4A 4B 4F 85 FF 0F 8C 61 02 00 00 47 89 7D D0 8B 45 14 8B 00 E8 ?? ?? ?? ?? 8B 55 20 52 50 53 8B 45 14 8B 00 50 56 8B 45 0C 50 8B 4D F8 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 14 83 C0 04 89 45 14 FF 4D D0 75 C9 E9 21 02 00 00 8B 45 E0 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 74 0C 8D 45 EC 8B D6 E8 ?? ?? ?? ?? EB 0E 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4F 85 FF 0F 8C E8 01 00 00 47 89 7D D0 8B 45 20 0F B6 00 3C 07 0F 85 0A 01 00 00 8B 45 E0 E8 ?? ?? ?? ?? 89 45 D8 8B 45 E0 E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 20 E8 ?? ?? ?? ?? 8B 10 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 14 8B 10 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 74 6A 8D 45 E4 50 E8 ?? ?? ?? ?? 8D 4D E8 8B 55 20 E8 ?? ?? ?? ?? 84 C0 75 32 8B 45 20 40 89 45 C8 C6 45 CC 04 8D 45 C8 50 6A 00 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 14 50 8B 45 FC 50 8B 45 F8 50 8B 4D 0C 8B 55 EC 8B 45 E0 E8 ?? ?? ?? ?? EB 1C 6A 00 8B 45 14 50 8B 45 FC 50 8B 45 F8 50 8B 4D 0C 8B 55 EC 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 D8 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 3C 0C 75 31 8B 45 EC 50 8B 45 0C 50 8B 45 20 50 8B 45 14 50 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B4 50 6A 00 8B 4D F8 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? E9 80 00 00 00 3C 03 75 14 8D 45 F0 50 8B 4D 14 8B 55 20 8B 45 E0 E8 ?? ?? ?? ?? EB 1A 8B 45 14 50 8D 45 DF 50 8D 4D F0 A1 ?? ?? ?? ?? 8B 00 8B 55 20 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 74 18 6A 00 6A FF 8D 45 F4 50 8B 4D 0C 8B 55 EC 8B 45 F8 8B 18 FF 53 70 EB 15 6A 00 6A FF 8D 45 F4 50 33 C9 8B 55 EC 8B 45 F8 8B 18 FF 53 70 8B 55 F0 8B 45 F4 8B 08 FF 51 68 8B 45 20 E8 ?? ?? ?? ?? 03 45 14 89 45 14 FF 4D D0 0F 85 1C FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C2 1C 00 20 10 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_49037_0 {
	meta:
		name = "TConvertAttachment.SetCacheFile"
		size = 27
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 8B 08 FF 51 1C 8B D6 8B C3 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_49038_0 {
	meta:
		name = "TRefCache.Create"
		size = 127
		refs = "000b @ClassCreate 0016 _Dn_TInterfaceList 001b TInterfaceList.Create 002c @IntfCopy 0033 _Dn_TStringList 0038 TStringList.Create 0046 TStringList.SetSorted 006b @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 47 04 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 08 8B C6 B2 01 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 0C 8B C6 B2 01 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49039_0 {
	meta:
		name = "TRefCache.Destroy"
		size = 49
		refs = "0003 @BeforeDestruction 000f TObject.Free 001f @IntfClear 002a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8D 46 04 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49040_0 {
	meta:
		name = "ntElementChildCount"
		size = 286
		refs = "001c ntElementChildCount 0084 @OleVarFromInt 00b6 ExtractLocalName 00c0 @UStrEqual 00e5 @UStrArrayClr 00ed @VarClr 00f6 IXMLNodeList 0100 @FinalizeArray 0108 @IntfClear 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 83 7D F8 00 0F 84 9A 00 00 00 8D 55 EC 8B 45 F8 8B 08 FF 51 14 83 7D EC 00 0F 84 85 00 00 00 8D 55 E8 8B 45 F8 8B 08 FF 51 14 8B 45 E8 8B 10 FF 52 0C 8B D8 4B 85 DB 7C 6B 43 C7 45 F0 00 00 00 00 8D 55 E4 8B 45 F8 8B 08 FF 51 14 8B 45 E4 50 8D 45 D4 8B 55 F0 B1 FC E8 ?? ?? ?? ?? 8D 55 D4 8D 4D FC 58 8B 38 FF 57 10 8B 45 FC 8B 10 FF 52 38 3C 01 75 29 85 F6 74 22 8D 55 CC 8B 45 FC 8B 08 FF 51 34 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 8B D6 E8 ?? ?? ?? ?? 75 03 FF 45 F4 FF 45 F0 4B 75 9D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49041_0 {
	meta:
		name = "ntElementChild"
		size = 389
		refs = "0023 ntElementChild 0031 @IntfClear 0099 @OleVarFromInt 00cd ExtractLocalName 00d8 @UStrEqual 0138 @VarClr 014d @UStrArrayClr 015e IXMLNodeList 0168 @FinalizeArray 0176 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 E8 00 00 00 8D 55 E8 8B 45 F8 8B 08 FF 51 14 83 7D E8 00 0F 84 D3 00 00 00 8B 45 F0 8B 00 40 89 45 EC 8B 5D 10 8B 1B 43 8D 55 E4 8B 45 F8 8B 08 FF 51 14 8B 45 E4 8B 10 FF 52 0C 8B F0 4E 2B F3 0F 8C A6 00 00 00 46 8D 55 E0 8B 45 F8 8B 08 FF 51 14 8B 45 E0 50 8D 45 D0 8B D3 B1 FC E8 ?? ?? ?? ?? 8D 55 D0 8D 4D FC 58 8B 38 FF 57 10 8B 45 FC 8B 10 FF 52 38 3C 01 75 6A 83 7D 0C 00 74 23 8D 55 C8 8B 45 FC 8B 08 FF 51 34 8B 45 C8 8D 55 CC E8 ?? ?? ?? ?? 8B 45 CC 8B 55 0C E8 ?? ?? ?? ?? 75 41 8B 45 EC 3B 45 F4 75 36 8D 55 C4 8B 45 F8 8B 08 FF 51 14 8B 45 C4 50 8D 45 B4 8B D3 B1 FC E8 ?? ?? ?? ?? 8D 55 B4 8B 4D 08 58 8B 30 FF 56 10 8B 45 F0 8B 55 EC 89 10 8B 45 10 89 18 EB 0B FF 45 EC 43 4E 0F 85 5B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_49042_0 {
	meta:
		name = "ntElementChild"
		size = 312
		refs = "0023 ntElementChild 0031 @IntfClear 008d @OleVarFromInt 00f2 @VarClr 011b IXMLNodeList 0125 @FinalizeArray 012b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 A2 00 00 00 8D 55 EC 8B 45 FC 8B 08 FF 51 14 83 7D EC 00 0F 84 8D 00 00 00 33 C0 89 45 F0 8D 55 E8 8B 45 FC 8B 08 FF 51 14 8B 45 E8 8B 10 FF 52 0C 8B D8 4B 85 DB 7C 6E 43 33 F6 8D 55 E0 8B 45 FC 8B 08 FF 51 14 8B 45 E0 50 8D 45 D0 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 D0 8D 4D E4 58 8B 38 FF 57 10 8B 45 E4 8B 10 FF 52 38 3C 01 75 34 8B 45 F0 3B 45 F8 75 29 8D 55 CC 8B 45 FC 8B 08 FF 51 14 8B 45 CC 50 8D 45 BC 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 BC 8B 4D F4 58 8B 18 FF 53 10 EB 07 FF 45 F0 46 4B 75 95 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49043_0 {
	meta:
		name = "ParseDims"
		size = 705
		refs = "001d @UStrAddRef 0025 ParseDims 006a TSOAPArrayDesc 006f @DynArraySetLength 0096 @UStrClr 00cb TNativeIntDynArray 0156 @UStrFromWChar 0161 @UStrCat 0191 Trim 01aa StrToInt 02a1 @UStrArrayClr 02b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 33 F6 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F8 8B C7 85 C0 7E 15 BB 01 00 00 00 8B 55 FC 66 83 7C 5A FE 5B 75 01 46 43 48 75 F0 56 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 BB 01 00 00 00 3B FB 0F 8E 08 02 00 00 8B 45 FC 66 83 7C 58 FE 5B 0F 85 F0 01 00 00 8D 45 F8 E8 ?? ?? ?? ?? 43 C7 45 E8 01 00 00 00 33 C0 89 45 E4 8B 45 FC 66 83 7C 58 FE 5D 0F 85 B3 01 00 00 6A 01 8B 45 F4 8B 00 8B 55 EC 8D 44 D0 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 E9 8D 01 00 00 89 5D F0 EB 14 8B 45 FC 8B 55 F0 66 83 7C 50 FE 2C 75 03 FF 45 E8 FF 45 F0 8B 45 FC 8B 55 F0 66 83 7C 50 FE 5D 74 05 3B 7D F0 7F D9 8B 45 E8 50 8B 45 F4 8B 00 8B 55 EC 8D 44 D0 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 7D E8 01 0F 8E D9 00 00 00 8B 45 F4 8B 00 8B 55 EC C6 04 D0 01 E9 93 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? EB 16 8D 45 E0 8B D6 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F8 E8 ?? ?? ?? ?? 43 8B 45 FC 0F B7 74 58 FE 66 83 FE 2C 74 0A 66 83 FE 5D 74 04 3B FB 7F D2 8B 45 FC 66 83 7C 58 FE 2C 75 01 43 8D 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 83 7D DC 00 74 27 8D 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B 55 F4 8B 12 8B 4D EC 8B 54 CA 04 8B 4D E4 89 04 8A EB 14 8B 45 F4 8B 00 8B 55 EC 8B 44 D0 04 8B 55 E4 33 C9 89 0C 90 FF 45 E4 8B 45 FC 66 83 7C 58 FE 5D 0F 84 81 00 00 00 3B FB 0F 8F 56 FF FF FF EB 77 8D 45 D4 8B 55 FC 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 55 D4 8D 45 F8 E8 ?? ?? ?? ?? 43 8B 45 FC 66 83 7C 58 FE 5D 74 04 3B FB 7F D5 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 83 7D D0 00 74 27 8D 55 CC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8B 55 F4 8B 12 8B 4D EC 8B 54 CA 04 8B 4D E4 89 04 8A EB 14 8B 45 F4 8B 00 8B 55 EC 8B 44 D0 04 8B 55 E4 33 C9 89 0C 90 8B 45 FC 66 83 7C 58 FE 5D 74 08 3B FB 0F 8F 60 FE FF FF 43 FF 45 EC EB 01 43 3B FB 0F 8F F8 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49044_0 {
	meta:
		name = "TOPToSoapDomConvert.MsgToInvContext"
		size = 150
		refs = "0013 _Dn_TMemoryStream 0018 TObject.Create 0023 TOPToSoapDomConvert.MsgToInvContext 003b @UStrToPWChar 0055 TStream.SetPosition 0081 TObject.Free 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DF 85 DB 74 05 83 EB 04 8B 1B 8B C7 E8 ?? ?? ?? ?? 8B D0 8B CB 03 C9 8B 45 F8 8B 18 FF 53 10 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 6A 00 8B 4D FC 8B 55 F8 8B C6 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_49045_0 {
	meta:
		name = "TSOAPDomConv.ReadHeader"
		size = 548
		refs = "0020 TSOAPDomConv.ReadHeader 0039 TSOAPDomConv.GetDataNode 004f ExtractLocalName 005f InvRegistry 006a TInvokableClassRegistry.GetHeaderClass 0076 _Dn_TRemotable 007d TObject.InheritsFrom 0095 TObject.Create 00b2 @CallDynaInst 00bd THeaderList.Add 00d7 @WStrFromUStr 0144 Format 014f TSOAPDomConv.UnhandledNode 0188 SHeaderError 018d LoadResString 0197 _DV_ESOAPDomConvertError 019c Exception.CreateFmt 01a1 @RaiseExcept 01b6 @UStrClr 01c3 @UStrArrayClr 01d0 @WStrArrayClr 01e0 @IntfClear 01fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8D 45 EC 50 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 EC 8B 08 FF 51 34 8B 45 E0 8D 55 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 EC 8B 08 FF 51 30 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 8B F0 85 F6 74 52 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B B2 01 8B C6 FF 10 89 45 E4 EB 0C B2 01 8B C6 E8 ?? ?? ?? ?? 89 45 E4 57 8B 45 EC 50 6A 00 83 C6 B8 8B 0E 8D 55 E4 8B C3 66 BE EF FF E8 ?? ?? ?? ?? 8B 55 E4 8B 45 08 E8 ?? ?? ?? ?? E9 DF 00 00 00 C6 45 EA 00 6A 00 8D 45 F0 50 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 DC 50 8D 45 D8 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 D8 8B C3 59 8B 30 FF 56 40 83 7D F0 00 74 14 8D 45 EA 50 8D 4D EB 8B 55 EC 8B 45 F0 8B 18 FF 53 0C EB 55 8D 55 D4 8B 45 EC 8B 08 FF 51 54 8B 45 D4 50 8D 45 D0 50 8B 45 F8 89 45 C0 C6 45 C4 11 8B 45 FC 89 45 C8 C6 45 CC 11 8D 55 C0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B C3 59 E8 ?? ?? ?? ?? 8D 45 EA 50 8D 4D EB 8B 55 EC 8B C3 8B 18 FF 53 48 80 7D EA 00 74 3B 8B 45 F8 89 45 C0 C6 45 C4 11 8B 45 FC 89 45 C8 C6 45 CC 11 8D 45 C0 50 6A 01 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B1 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3A 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_49046_0 {
	meta:
		name = "TSOAPDomConv.WriteHeader"
		size = 352
		refs = "0023 @IntfAddRef 0033 TSOAPDomConv.WriteHeader 0062 RemTypeRegistry 0074 TRemotableTypeRegistry.TypeInfoToXSD 0097 SRemTypeNotRegistered 009c LoadResString 00a6 _DV_ESOAPDomConvertError 00ab Exception.CreateFmt 00b0 @RaiseExcept 00bd TObject.ClassName 00e8 @CallDynaInst 010f @HandleFinally 012b @UStrArrayClr 0140 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 DB 89 5D DC 89 5D E0 89 5D F8 89 5D F4 89 4D FC 89 55 EC 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 40 58 0B 05 ?? ?? ?? ?? 8B 55 F0 89 42 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 EC 8B 12 83 C2 B8 8B 12 E8 ?? ?? ?? ?? 84 C0 75 38 8B 45 EC 8B 00 83 C0 B8 8B 00 89 45 E4 C6 45 E8 05 8D 45 E4 50 6A 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 DC 8B 45 EC 8B 00 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 F8 50 8B 45 EC 8B 00 83 C0 B8 8B 00 50 8D 45 EC 50 6A 00 8B 4D 08 8B 55 FC 8B 45 F0 66 BE F0 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 15 ?? ?? ?? ?? F7 D2 23 50 58 8B 45 F0 89 50 58 C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5E 5B 8B E5 5D C2 04 00 00 40 00 00 }
	condition:
		$1
}

rule function_49047_0 {
	meta:
		name = "BuildHREFList"
		size = 520
		refs = "001d @IntfAddRef 0025 BuildHREFList 0043 Null 0085 VarIsNull 00ac SSOAPHREFPres 00b4 @VarFromWStr 00bf @VarAdd 00ca @VarToUStr 011b @OleVarFromInt 014b @VarClr 0153 @IntfClear 0173 @UStrClr 0189 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 89 45 E4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 38 3C 01 0F 85 9C 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E4 8B 58 50 8B 45 E4 F6 40 5A 01 75 12 8D 4D E8 BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 0C EB 19 8D 45 E8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 96 84 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 4E 8B 43 04 8B 55 FC 8B 08 FF 51 38 8B F0 8D 45 D0 8B 55 E4 F6 42 5A 01 0F 95 C2 83 E2 7F 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 8D 45 D0 8D 55 E8 E8 ?? ?? ?? ?? 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B 43 08 8B CE 8B 18 FF 53 3C 8B 45 FC 8B 10 FF 52 24 84 C0 74 53 8D 55 CC 8B 45 FC 8B 08 FF 51 14 8B 45 CC 8B 10 FF 52 0C 8B D8 4B 85 DB 7C 39 43 33 F6 8D 55 C4 8B 45 FC 8B 08 FF 51 14 8B 45 C4 50 8D 45 B4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 B4 8D 4D C8 58 8B 38 FF 57 10 8B 55 C8 8B 45 E4 E8 ?? ?? ?? ?? 46 4B 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 33 00 2F 00 30 00 35 00 2F 00 73 00 6F 00 61 00 70 00 2D 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_49048_0 {
	meta:
		name = "CreateHREFList"
		size = 96
		refs = "000f @IntfAddRef 0017 CreateHREFList 003a BuildHREFList 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5E 50 8B 43 08 8B 10 FF 52 44 8B 43 04 8B 10 FF 52 24 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_49049_0 {
	meta:
		name = "TOPToSoapDomConvert.MsgToInvContext"
		size = 2344
		refs = "0023 TIntfMethEntry 0028 @InitializeRecord 0030 TOPToSoapDomConvert.MsgToInvContext 0041 TOPToSoapDomConvert.NewXMLDocument 004c TStream.SetPosition 0071 CreateHREFList 008a SInvalidSoapRequest 008f LoadResString 0099 _DV_ESOAPDomConvertError 009e Exception.Create 00a3 @RaiseExcept 00bf ExtractLocalName 00cc @UStrEqual 00f5 SOAPEnvelopeNamespaces 01ce @OleVarFromInt 02ab TSOAPDomConv.ReadHeader 02fc SMultiBodyNotSupported 0323 TSOAPDomConv.CheckEncodingStyle 0355 ntElementChild 0385 InvRegistry 0393 TInvokableClassRegistry.GetMethInternalName 039d ntElementChildCount 03aa GetMethNum 03ed SNoSuchMethod 0404 Exception.CreateFmt 0429 @CopyRecord 0434 TInvContext.SetMethodInfo 043f TInvContext.AllocServerData 044c @DynArrayLength 04b4 TInvokableClassRegistry.GetParamExternalName 04c3 TSOAPDomConv.SerializationOptions 0542 @UStrLAsg 0585 CompareText 0632 TInvContext.GetParamPointer 064a @CallDynaInst 0731 TSOAPDomConv.UnhandledNode 0791 TSOAPDomConv.ResetMultiRef 0797 @HandleFinally 07b6 @UStrArrayClr 07c1 @VarClr 07cd IXMLNodeList 07d7 @FinalizeArray 07e2 @UStrClr 07f8 @IntfClear 0880 @FinalizeRecord 0896 IXMLNode"
	strings:
		$1 = { 55 8B EC 51 B9 22 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D AC 8B DA 89 45 B0 8D 45 B4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 B0 E8 ?? ?? ?? ?? 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 33 C9 8B D3 8B 45 FC 8B 18 FF 93 98 00 00 00 8D 55 88 8B 45 FC 8B 08 FF 51 1C 8B 55 88 8B 45 B0 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 08 FF 51 18 83 7D EC 00 75 21 8D 55 84 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 84 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B 45 EC 8B 08 FF 51 34 8B 85 7C FF FF FF 8D 55 80 E8 ?? ?? ?? ?? 8B 45 80 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 65 8D 95 78 FF FF FF 8B 45 EC 8B 08 FF 51 30 8B 85 78 FF FF FF 8B 55 B0 F6 42 5A 01 0F 95 C2 83 E2 7F 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 74 5B 8D 95 74 FF FF FF 8B 45 EC 8B 08 FF 51 30 8B 85 74 FF FF FF 8B 55 B0 F6 42 5A 01 0F 95 C2 80 F2 01 83 E2 7F 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 74 27 8D 95 70 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 70 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 9F 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 10 FF 52 24 84 C0 0F 84 D9 05 00 00 8D 95 6C FF FF FF 8B 45 EC 8B 08 FF 51 14 8B 85 6C FF FF FF 8B 10 FF 52 0C 48 85 C0 0F 8C DE 05 00 00 40 89 45 94 C7 45 A8 00 00 00 00 8D 95 68 FF FF FF 8B 45 EC 8B 08 FF 51 14 8B 85 68 FF FF FF 50 8D 85 58 FF FF FF 8B 55 A8 B1 FC E8 ?? ?? ?? ?? 8D 95 58 FF FF FF 8D 4D E0 58 8B 18 FF 53 10 8B 45 E0 8B 10 FF 52 38 3C 01 0F 85 5A 05 00 00 8D 95 50 FF FF FF 8B 45 E0 8B 08 FF 51 34 8B 85 50 FF FF FF 8D 95 54 FF FF FF E8 ?? ?? ?? ?? 8B 85 54 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 94 00 00 00 8B 45 E0 8B 10 FF 52 24 84 C0 0F 84 15 05 00 00 8D 95 4C FF FF FF 8B 45 E0 8B 08 FF 51 14 8B 85 4C FF FF FF 8B 10 FF 52 0C 48 85 C0 0F 8C F3 04 00 00 40 89 45 90 33 DB 8D 95 48 FF FF FF 8B 45 E0 8B 08 FF 51 14 8B 85 48 FF FF FF 50 8D 85 38 FF FF FF 8B D3 B1 FC E8 ?? ?? ?? ?? 8D 95 38 FF FF FF 8D 4D DC 58 8B 30 FF 56 10 8B 45 DC 8B 10 FF 52 38 3C 01 75 12 8B 45 08 50 8B 4D DC 8B 55 EC 8B 45 B0 E8 ?? ?? ?? ?? 43 FF 4D 90 75 A9 E9 91 04 00 00 8D 95 30 FF FF FF 8B 45 E0 8B 08 FF 51 34 8B 85 30 FF FF FF 8D 95 34 FF FF FF E8 ?? ?? ?? ?? 8B 85 34 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 5C 04 00 00 80 7D 9F 00 74 27 8D 95 2C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 2C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 B0 E8 ?? ?? ?? ?? C6 45 9F 01 8D 95 28 FF FF FF 8B 45 E0 8B 08 FF 51 14 8B 85 28 FF FF FF 8B 10 FF 52 0C 85 C0 0F 8E FF 03 00 00 8D 4D E8 33 D2 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 B0 E8 ?? ?? ?? ?? 8D 95 24 FF FF FF 8B 45 E8 8B 08 FF 51 34 8B 85 24 FF FF FF 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 F4 50 E8 ?? ?? ?? ?? 8B 55 AC 8B 52 1C 8B 4D F8 E8 ?? ?? ?? ?? 33 D2 8B 45 E8 E8 ?? ?? ?? ?? 8B C8 8B 45 AC 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 10 89 02 8B 45 10 83 38 FF 75 52 8B 45 F8 89 85 14 FF FF FF C6 85 18 FF FF FF 11 8B 45 AC 8B 00 89 85 1C FF FF FF C6 85 20 FF FF FF 11 8D 85 14 FF FF FF 50 6A 01 8D 95 10 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 10 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B4 8B 55 10 8B 12 03 D2 03 D2 8B 4D AC 8B 49 08 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 B4 8B 45 0C E8 ?? ?? ?? ?? 8D 55 B4 8B 45 0C E8 ?? ?? ?? ?? 33 C0 89 45 A0 8B 45 CC E8 ?? ?? ?? ?? 48 85 C0 7C 1C 40 89 45 90 33 DB 8D 04 5B 8B 55 CC 83 7C 82 04 00 74 03 FF 45 A0 43 FF 4D 90 75 EA 8B 45 CC E8 ?? ?? ?? ?? 48 85 C0 0F 8C C9 02 00 00 40 89 45 90 33 DB 8D 34 5B 8B 45 CC 83 7C B0 04 00 0F 84 A8 02 00 00 8B 45 CC 8B 44 B0 04 50 8D 45 F0 50 E8 ?? ?? ?? ?? 8B 55 AC 8B 52 1C 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 CC 8B 54 B0 08 8B 45 B0 E8 ?? ?? ?? ?? 89 45 9A 8D 95 0C FF FF FF 8B 45 E8 8B 08 FF 51 14 8B 85 0C FF FF FF 8B 10 FF 52 0C 48 85 C0 0F 8C 55 02 00 00 40 89 45 8C C7 45 A4 00 00 00 00 8D 95 08 FF FF FF 8B 45 E8 8B 08 FF 51 14 8B 85 08 FF FF FF 50 8D 85 F8 FE FF FF 8B 55 A4 B1 FC E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 4D E4 58 8B 30 FF 56 10 8B 45 E4 8B 10 FF 52 38 3C 01 0F 85 FA 01 00 00 8D 45 D8 8B 55 F0 E8 ?? ?? ?? ?? 8D 95 F4 FE FF FF 8B 45 E4 8B 08 FF 51 34 8B 85 F4 FE FF FF 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D8 3B 45 D4 75 04 B0 01 EB 20 83 7D D8 00 74 06 83 7D D4 00 75 04 33 C0 EB 10 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 BD 00 00 00 8B 55 E4 8B 45 B0 E8 ?? ?? ?? ?? 8D 04 5B 8B 55 CC F6 04 82 01 75 6D 8D 04 5B 8B 55 CC F6 04 82 02 75 61 8D 04 5B 8B 55 CC 0F B6 04 82 3A 05 ?? ?? ?? ?? 74 4F 8D 34 5B 8B 45 CC F6 04 B0 10 74 0C 8B 45 CC 8B 44 B0 08 80 38 0C 74 37 8D 3C 5B 8B 45 CC F6 04 B8 10 74 0C 8B 45 CC 8B 44 B8 08 80 38 05 74 1F 8D 04 5B 8B 55 CC F6 04 82 10 74 0F 8D 04 5B 8B 55 CC 8B 44 82 08 80 38 12 74 04 33 C0 EB 02 B0 01 88 45 9E 8B 45 E8 50 8B 45 E4 50 0F B6 45 9E 50 8B D3 8B 45 0C E8 ?? ?? ?? ?? 8B D0 8D 04 5B 8B 4D CC 8B 4C 81 08 8B 45 B0 66 BE EF FF E8 ?? ?? ?? ?? E9 EE 00 00 00 F6 45 9A 01 0F 84 B9 00 00 00 83 7D A0 01 0F 85 AF 00 00 00 8D 04 5B 8B 55 CC F6 04 82 01 75 6D 8D 04 5B 8B 55 CC F6 04 82 02 75 61 8D 04 5B 8B 55 CC 0F B6 04 82 3A 05 ?? ?? ?? ?? 74 4F 8D 34 5B 8B 45 CC F6 04 B0 10 74 0C 8B 45 CC 8B 44 B0 08 80 38 0C 74 37 8D 3C 5B 8B 45 CC F6 04 B8 10 74 0C 8B 45 CC 8B 44 B8 08 80 38 05 74 1F 8D 04 5B 8B 55 CC F6 04 82 10 74 0F 8D 04 5B 8B 55 CC 8B 44 82 08 80 38 12 74 04 33 C0 EB 02 B0 01 88 45 9E 8B 45 E8 50 8B 45 E0 50 0F B6 45 9E 50 8B D3 8B 45 0C E8 ?? ?? ?? ?? 8B D0 8D 04 5B 8B 4D CC 8B 4C 81 08 8B 45 B0 66 BE EF FF E8 ?? ?? ?? ?? EB 2B 8D 95 F0 FE FF FF 8B 45 E4 8B 08 FF 51 54 8B 8D F0 FE FF FF 8B 55 F8 8B 45 B0 E8 ?? ?? ?? ?? FF 45 A4 FF 4D 8C 0F 85 B6 FD FF FF 43 FF 4D 90 0F 85 3D FD FF FF FF 45 A8 FF 4D 94 0F 85 56 FA FF FF EB 27 8D 95 EC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D EC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 85 08 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 10 FF FF FF E8 ?? ?? ?? ?? 8D 85 24 FF FF FF E8 ?? ?? ?? ?? 8D 85 28 FF FF FF E8 ?? ?? ?? ?? 8D 85 2C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8D 85 48 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 50 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 8D 85 68 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 E6 FE FF FF 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 6E 00 76 00 65 00 6C 00 6F 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 6F 00 64 00 79 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_49050_0 {
	meta:
		name = "TOPToSoapDomConvert.DOMToStream"
		size = 185
		refs = "0018 TOPToSoapDomConvert.DOMToStream 0044 _Dn_TStringStream 0049 TStringStream.Create 0068 TStream.CopyFrom 007d TObject.Free 0083 @HandleFinally 00a6 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 84 00 00 00 00 74 06 F6 43 59 20 74 58 8D 55 FC 8B C6 8B 08 FF 91 C0 00 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D7 8B C6 8B 08 FF 91 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_49051_0 {
	meta:
		name = "TOPToSoapDomConvert.MakeResponse"
		size = 1344
		refs = "0024 TIntfMethEntry 0029 @InitializeRecord 0031 TOPToSoapDomConvert.MakeResponse 0054 @CopyRecord 005f TOPToSoapDomConvert.NewXMLDocument 008b TSoapEnvelope.MakeEnvelope 00bd THeaderList.GetCount 00e0 TSoapEnvelope.MakeHeader 010c SOAPEncodingNamespaces 0114 @OleVarFromUStr 011d SOAPEnvelopeNamespaces 014c THeaderList.GetHeader 015d TSOAPDomConv.WriteHeader 017c TSoapEnvelope.MakeBody 01f3 TOPToSoapDomConvert.GetSoapNS 021e TSOAPDomConv.FindPrefixForURI 0235 @UStrCat3 0246 MakeNodeName 028f @IntfCopy 02da TOPToSoapDomConvert.GetPartName 02e9 RemClassRegistry 02f3 TRemotableTypeRegistry.InfoToURI 031b SRemTypeNotRegistered 0320 LoadResString 032d _DV_ESOAPDomConvertError 0332 Exception.CreateFmt 0337 @RaiseExcept 0348 TInvContext.GetResultPointer 035d @CallDynaInst 0392 TInvContext.GetParamPointer 0445 TSOAPDomConv.FinalizeMultiRefNodes 044d TSOAPDomConv.ResetMultiRef 0453 @HandleFinally 0463 TOPToSoapDomConvert.DOMToStream 0480 @UStrArrayClr 0499 OleVariant 04a3 @FinalizeArray 04b1 @FinalizeRecord 04c7 IXMLNode 04d9 @IntfClear"
	strings:
		$1 = { 55 8B EC 51 B9 12 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 89 55 AC 89 45 B0 8D 45 B4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 B4 8B D3 03 D2 03 D2 8B 4D AC 8B 49 08 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B 45 B0 E8 ?? ?? ?? ?? 8B 45 B0 8B 90 84 00 00 00 8B 45 FC 8B 08 FF 51 58 8D 45 F8 50 8B 45 B0 8B 48 58 8B 45 B0 8B 80 80 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 50 8B 45 B0 C7 40 48 01 00 00 00 8B 45 B0 8B 40 4C 8B 10 FF 52 08 83 7D 08 00 0F 84 AC 00 00 00 8B 45 08 E8 ?? ?? ?? ?? 85 C0 0F 8E 9C 00 00 00 8D 45 F4 50 8B 45 B0 8B 48 58 8B 45 B0 8B 80 80 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 B0 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 75 3A 8D 45 94 8B 55 B0 F6 42 5A 01 0F 95 C3 83 E3 7F 8B 15 ?? ?? ?? ?? 8B 14 9A E8 ?? ?? ?? ?? 8D 45 94 50 A1 ?? ?? ?? ?? 8B 0C 98 BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 93 A0 00 00 00 8B 45 08 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 22 47 33 DB 8B D3 8B 45 08 E8 ?? ?? ?? ?? 8B 55 F4 52 8B 4D F4 8B D0 8B 45 B0 E8 ?? ?? ?? ?? 43 4F 75 E1 8D 45 F0 50 8B 45 B0 8B 48 58 8B 45 B0 8B 80 80 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 5D B0 8B 43 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 75 3C 8D 45 84 8B 55 B0 F6 42 5A 01 0F 95 C2 8B F2 83 E6 7F 8B 15 ?? ?? ?? ?? 8B 14 B2 E8 ?? ?? ?? ?? 8D 45 84 50 A1 ?? ?? ?? ?? 8B 0C B0 BA ?? ?? ?? ?? 8B 45 F0 8B 30 FF 96 A0 00 00 00 8B 43 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 0F 84 9F 00 00 00 8D 4D E4 8B 55 AC 8B 45 B0 E8 ?? ?? ?? ?? 8B 43 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 75 50 8B 45 E4 50 6A 01 8D 45 D8 50 8B 4D F0 8B 55 F0 8B 45 B0 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 85 7C FF FF FF B9 ?? ?? ?? ?? 8B 55 B4 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8D 4D 80 8B 45 D8 E8 ?? ?? ?? ?? 8B 55 80 83 C9 FF 8B 45 F0 8B 18 FF 53 6C EB 39 6A 00 6A FF 8D 45 EC 50 8D 85 78 FF FF FF B9 ?? ?? ?? ?? 8B 55 B4 E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8B 4D E4 8B 45 F0 8B 18 FF 53 70 EB 0B 8D 45 EC 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 B0 F6 40 58 10 74 0D 8D 45 E8 8B 55 F0 E8 ?? ?? ?? ?? EB 0B 8D 45 E8 8B 55 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D C4 85 DB 0F 84 94 00 00 00 8D 45 D4 50 8B 55 AC 33 C9 8B 45 B0 E8 ?? ?? ?? ?? 8D 45 DC 50 8D 45 A7 50 6A 01 E8 ?? ?? ?? ?? 8D 4D E0 8B D3 E8 ?? ?? ?? ?? 84 C0 75 40 8D 43 01 89 85 70 FF FF FF C6 85 74 FF FF FF 04 8D 85 70 FF FF FF 50 6A 00 8D 95 6C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 6C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 50 8B 45 E0 50 53 8B 45 10 E8 ?? ?? ?? ?? 50 6A 00 8B 4D EC 8B 55 E8 8B 45 B0 66 BE F0 FF E8 ?? ?? ?? ?? 8B 7D C0 4F 85 FF 0F 8C C7 00 00 00 47 33 DB 8D 34 5B 8B 45 CC F6 04 B0 01 75 10 8D 04 5B 8B 55 CC F6 04 82 20 0F 84 A0 00 00 00 8B D3 8B 45 10 E8 ?? ?? ?? ?? 89 45 A8 8D 45 DC 50 8D 45 A7 50 6A 01 E8 ?? ?? ?? ?? 8B 55 CC 8B 54 B2 08 8D 4D E0 E8 ?? ?? ?? ?? 84 C0 75 45 8B 45 CC 8B 44 B0 08 40 89 85 70 FF FF FF C6 85 74 FF FF FF 04 8D 85 70 FF FF FF 50 6A 00 8D 95 68 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 68 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 8B 44 B0 04 50 8B 45 E0 50 8B 45 CC 8B 44 B0 08 50 8B 45 A8 50 6A 00 8B 4D EC 8B 55 E8 8B 45 B0 66 BE F0 FF E8 ?? ?? ?? ?? 43 4F 0F 85 3C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 4D 0C 8B 55 FC 8B 45 B0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 68 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 84 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8F 5F 5E 5B 8B E5 5D C2 0C 00 00 00 20 10 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 53 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49052_0 {
	meta:
		name = "TOPToSoapDomConvert.GetSoapNS"
		size = 316
		refs = "0028 TIntfMetaData 002d @AddRefRecord 0035 TOPToSoapDomConvert.GetSoapNS 004a InvRegistry 0058 TInvokableClassRegistry.GetMethExternalName 0065 TInvokableClassRegistry.GetIntfInvokeOptions 008f TOPToSoapDomConvert.GetBinding 00a0 TWSDLItems.GetSoapBodyAttribute 00b4 TInvokableClassRegistry.GetNamespaceByGUID 00da @UStrClr 00e8 @FinalizeRecord 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D FC 8B F2 8D 7D D4 51 B9 0A 00 00 00 F3 A5 59 8B F1 8B D8 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 78 00 74 75 8D 45 FC 50 E8 ?? ?? ?? ?? 8B 53 78 8B 4A 4C 8B 55 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? F6 C4 02 74 06 C6 45 D3 02 EB 04 C6 45 D3 01 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 8D 45 D3 50 56 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 55 CC 8B 43 78 8B 40 54 8B 4D FC E8 ?? ?? ?? ?? 83 3E 00 75 20 E8 ?? ?? ?? ?? 8B CE 8D 55 E0 E8 ?? ?? ?? ?? EB 0F E8 ?? ?? ?? ?? 8B CE 8D 55 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 6E 00 70 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 }
	condition:
		$1
}

rule function_49053_0 {
	meta:
		name = "TOPToSoapDomConvert.MakeFault"
		size = 1192
		refs = "0023 TOPToSoapDomConvert.MakeFault 0034 TOPToSoapDomConvert.NewXMLDocument 0060 TSoapEnvelope.MakeEnvelope 007b TSoapEnvelope.MakeBody 0096 TSoapEnvelope.MakeFault 00ee _Dn_ERemotableException 00f3 TObject.InheritsFrom 0118 MakeNodeName 013a RemClassRegistry 0150 TRemotableTypeRegistry.ClassToURI 017c @IntfCopy 01cf @OleVarFromUStr 01d9 XMLSchemaInstNameSpace 01f7 GetTypeData 0214 @GetMem 0234 GetPropInfos 024c RemTypeRegistry 025e TRemotableTypeRegistry.TypeInfoToXSD 0282 SRemTypeNotRegistered 0287 LoadResString 0291 _DV_ESOAPDomConvertError 0296 Exception.CreateFmt 029b @RaiseExcept 02b2 UTF8ToUnicodeString 02bd @UStrLAsg 02dd TSOAPDomConv.GetObjectPropAsText 02f5 TSOAPDomConv.CreateScalarNodeXS 0319 @FreeMem 031f @HandleFinally 034c TOPToSoapDomConvert.DOMToStream 0366 @UStrArrayClr 036e @IntfClear 0376 @UStrClr 038b @VarClr 03a9 IXMLNode 03b3 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 0F 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D C4 8B F2 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 C8 E8 ?? ?? ?? ?? 8B 45 C8 8B 90 84 00 00 00 8B 45 FC 8B 08 FF 51 58 8D 45 F8 50 8B 45 C8 8B 48 58 8B 45 C8 8B 80 80 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 C8 8B 48 58 8B 45 C8 8B 80 80 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 C8 8B 48 58 8B 45 C8 8B 80 80 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 6A 00 6A FF 8D 45 E8 50 33 C9 BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 70 6A 00 6A FF 8D 45 E4 50 33 C9 BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 70 8B 56 04 8B 45 E4 8B 08 FF 51 68 6A 00 6A FF 8D 45 EC 50 33 C9 BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 70 8B 06 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 26 02 00 00 8B DE 8B 53 18 8B 45 EC 8B 08 FF 51 68 8D 4D B0 8B 53 1C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8B 45 E8 8B 08 FF 51 68 8B DE 8B 13 89 D0 3B 05 ?? ?? ?? ?? 0F 84 09 02 00 00 E8 ?? ?? ?? ?? 8B 0B 89 CA 8D 4D D4 51 8D 4D BB 51 6A 01 8D 4D D8 E8 ?? ?? ?? ?? 8B 45 C8 F6 40 59 08 74 25 6A 01 6A FF 8D 45 E0 50 8B 4D D8 BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 70 8D 45 DC 8B 55 E0 E8 ?? ?? ?? ?? EB 2D 6A 00 6A FF 8D 45 E0 50 33 C9 BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 70 6A 01 6A FF 8D 45 DC 50 8B 4D D8 8B 55 D4 8B 45 E0 8B 18 FF 53 70 8D 55 98 8B 45 DC 8B 08 FF 51 48 8B 45 98 8D 4D 9C 8B 55 D4 E8 ?? ?? ?? ?? 8B 55 9C 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A0 50 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? 8B 45 DC 8B 18 FF 93 A0 00 00 00 8B 06 83 C0 B8 8B 00 E8 ?? ?? ?? ?? 0F BF 40 08 89 45 C0 83 7D C0 00 0F 8E 36 01 00 00 8B 45 C0 03 C0 03 C0 E8 ?? ?? ?? ?? 89 45 BC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 83 C0 B8 8B 00 8B 55 BC E8 ?? ?? ?? ?? 8B 7D C0 4F 85 FF 0F 8C BD 00 00 00 47 33 DB 8D 45 D4 50 E8 ?? ?? ?? ?? 8B 55 BC 8B 14 9A 8B 12 8B 12 8D 4D D8 E8 ?? ?? ?? ?? 84 C0 75 39 8B 45 BC 8B 04 98 8B 00 8B 00 40 89 45 90 C6 45 94 04 8D 45 90 50 6A 00 8D 55 8C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 8C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 8B 04 98 83 C0 1A 89 45 B4 8D 55 CC 8B 45 B4 E8 ?? ?? ?? ?? 8D 45 D0 8B 55 CC E8 ?? ?? ?? ?? 8B 45 D0 50 8B 45 D8 50 8B 45 D4 50 8D 45 84 50 8B 45 BC 8B 0C 98 8B D6 8B 45 C8 E8 ?? ?? ?? ?? 8B 45 84 50 6A 00 8D 45 88 50 8B 4D DC 8B 55 DC 8B 45 C8 E8 ?? ?? ?? ?? 43 4F 0F 85 46 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 C0 03 D2 03 D2 8B 45 BC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 8D 4D 80 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 80 8B 45 E8 8B 08 FF 51 68 8B 4D C4 8B 55 FC 8B 45 C8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 80 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 98 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 CC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 96 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 66 00 61 00 75 00 6C 00 74 00 63 00 6F 00 64 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 66 00 61 00 75 00 6C 00 74 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 66 00 61 00 75 00 6C 00 74 00 61 00 63 00 74 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 4F 00 41 00 50 00 2D 00 45 00 4E 00 56 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 65 00 74 00 61 00 69 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_49054_0 {
	meta:
		name = "TOPToSoapDomConvert.InvContextToMsg"
		size = 1568
		refs = "0023 TIntfMethEntry 0028 @InitializeRecord 0030 TOPToSoapDomConvert.InvContextToMsg 0053 @CopyRecord 0065 TWSDLView.SetOperation 007f TOPToSoapDomConvert.NewXMLDocument 00ab TSoapEnvelope.MakeEnvelope 00d2 THeaderList.GetCount 00f5 TSoapEnvelope.MakeHeader 0121 SOAPEncodingNamespaces 0129 @OleVarFromUStr 0132 SOAPEnvelopeNamespaces 0161 THeaderList.GetHeader 0172 TSOAPDomConv.WriteHeader 0191 TSoapEnvelope.MakeBody 019f TOPToSoapDomConvert.GetSoapNS 01a8 InvRegistry 01b6 TInvokableClassRegistry.GetMethExternalName 01ee TSOAPDomConv.FindPrefixForURI 0200 MakeNodeName 028a TInvokableClassRegistry.GetMethodInfo 029d INFOATTR_BEG_CHAR 02ac GetRegInfo 02bb @UStrLAsg 02f4 @IntfCopy 033b TInvokableClassRegistry.GetParamInfo 038a RemTypeRegistry 0399 TRemotableTypeRegistry.TypeInfoToXSD 03ca SRemTypeNotRegistered 03cf LoadResString 03dc _DV_ESOAPDomConvertError 03e1 Exception.CreateFmt 03e6 @RaiseExcept 0409 @UStrClr 04f6 TInvContext.GetParamPointer 0520 TSOAPDomConvHelper.ConvertNativeDataToSoap2 0530 TSOAPDomConv.FinalizeMultiRefNodes 0545 TSOAPDomConv.ResetMultiRef 054b @HandleFinally 0554 _Dn_TMemoryStream 0559 TObject.Create 0568 TOPToSoapDomConvert.DOMToStream 0585 @UStrArrayClr 0590 @VarClr 05ae @FinalizeRecord 05c4 IXMLNode 05ce @FinalizeArray 05d6 @IntfClear"
	strings:
		$1 = { 55 8B EC 51 B9 12 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 89 55 A4 89 45 A8 8D 45 AC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 AC 8B D3 03 D2 03 D2 8B 4D A4 8B 49 08 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 8B 40 78 85 C0 74 17 8B 55 AC E8 ?? ?? ?? ?? 8B 45 A4 8B 40 1C 8B 55 A8 8B 52 78 89 42 5C 8D 55 FC 8B 45 A8 E8 ?? ?? ?? ?? 8B 45 A8 8B 90 84 00 00 00 8B 45 FC 8B 08 FF 51 58 8D 45 F8 50 8B 45 A8 8B 48 58 8B 45 A8 8B 80 80 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 A8 C7 40 48 01 00 00 00 8B 45 A8 8B 40 4C 8B 10 FF 52 08 83 7D 08 00 0F 84 AC 00 00 00 8B 45 08 E8 ?? ?? ?? ?? 85 C0 0F 8E 9C 00 00 00 8D 45 F4 50 8B 45 A8 8B 48 58 8B 45 A8 8B 80 80 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 A8 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 75 3A 8D 45 90 8B 55 A8 F6 42 5A 01 0F 95 C3 83 E3 7F 8B 15 ?? ?? ?? ?? 8B 14 9A E8 ?? ?? ?? ?? 8D 45 90 50 A1 ?? ?? ?? ?? 8B 0C 98 BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 93 A0 00 00 00 8B 45 08 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 22 46 33 DB 8B D3 8B 45 08 E8 ?? ?? ?? ?? 8B 55 F4 52 8B 4D F4 8B D0 8B 45 A8 E8 ?? ?? ?? ?? 43 4E 75 E1 8D 45 F0 50 8B 45 A8 8B 48 58 8B 45 A8 8B 80 80 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 4D E8 8B 55 A4 8B 45 A8 E8 ?? ?? ?? ?? 8D 45 E0 50 E8 ?? ?? ?? ?? 8B 55 A4 8B 52 1C 8B 4D AC E8 ?? ?? ?? ?? 8B 45 A8 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 0F 85 9B 00 00 00 83 7D E8 00 74 3A 8B 45 E8 50 6A 01 8D 45 E4 50 8B 4D F0 8B 55 F0 8B 45 A8 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 4D 8C 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 8C 83 C9 FF 8B 45 F0 8B 18 FF 53 6C EB 16 6A 00 6A FF 8D 45 EC 50 8B 4D E8 8B 55 E0 8B 45 F0 8B 18 FF 53 70 8D 85 7C FF FF FF 8B 55 A8 F6 42 5A 01 0F 95 C3 83 E3 7F 8B 15 ?? ?? ?? ?? 8B 14 9A E8 ?? ?? ?? ?? 8D 85 7C FF FF FF 50 A1 ?? ?? ?? ?? 8B 0C 98 BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 93 A0 00 00 00 E9 89 00 00 00 8D 45 E0 50 8D 45 CC 50 8D 45 A0 50 E8 ?? ?? ?? ?? 8B 55 A4 8B 52 1C 8B 4D AC E8 ?? ?? ?? ?? 83 7D CC 00 74 2B 8B 45 CC 0F B7 00 66 3B 05 ?? ?? ?? ?? 75 1C 8D 4D CC B2 02 8B 45 CC E8 ?? ?? ?? ?? 84 C0 74 0B 8D 45 E8 8B 55 CC E8 ?? ?? ?? ?? 8B 45 A8 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 74 18 6A 00 6A FF 8D 45 EC 50 8B 4D E8 8B 55 E0 8B 45 F0 8B 18 FF 53 70 EB 0B 8D 45 EC 8B 55 F0 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 75 B8 4E 85 F6 0F 8C 1A 02 00 00 46 33 DB 8D 04 5B 8B 55 C4 8B 44 82 04 50 8D 45 DC 50 8D 45 D8 50 8D 45 A0 50 E8 ?? ?? ?? ?? 8B 55 A4 8B 52 1C 8B 4D AC E8 ?? ?? ?? ?? 8D 3C 5B 8B 45 C4 F6 04 B8 20 0F 85 D5 01 00 00 8B 45 A0 25 00 02 00 00 3D 00 02 00 00 0F 84 C2 01 00 00 8B 45 A8 F6 40 58 20 0F 84 ED 00 00 00 8B 45 A8 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 75 6A 8D 45 DC 50 E8 ?? ?? ?? ?? 8B 55 C4 8B 54 BA 08 8D 4D D8 E8 ?? ?? ?? ?? 84 C0 0F 85 4B 01 00 00 8B 45 C4 8B 44 B8 08 40 89 85 74 FF FF FF C6 85 78 FF FF FF 04 8D 85 74 FF FF FF 50 6A 00 8D 95 70 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 70 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 01 01 00 00 8D 45 D4 8B 55 D8 E8 ?? ?? ?? ?? 8B 45 A0 83 E0 08 83 F8 08 75 0A 8D 45 D8 E8 ?? ?? ?? ?? EB 29 8B 45 A0 25 80 00 00 00 3D 80 00 00 00 74 0D 8D 45 D8 8B 55 E8 E8 ?? ?? ?? ?? EB 0D 8D 4D D8 B2 05 8B 45 D8 E8 ?? ?? ?? ?? 83 7D D4 00 0F 85 AE 00 00 00 F6 45 A0 08 0F 85 A4 00 00 00 8D 45 D4 8B 55 D8 E8 ?? ?? ?? ?? E9 94 00 00 00 8B 45 A8 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 74 15 8D 45 D4 8B 55 D8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? EB 69 8D 45 D0 50 E8 ?? ?? ?? ?? 8B 55 C4 8B 54 BA 08 8D 4D D8 E8 ?? ?? ?? ?? 84 C0 75 45 8B 45 C4 8B 44 B8 08 40 89 85 74 FF FF FF C6 85 78 FF FF FF 04 8D 85 74 FF FF FF 50 6A 00 8D 95 6C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 6C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8B D3 8B 45 0C E8 ?? ?? ?? ?? 8B 55 DC 52 8B 55 D8 52 8B 55 D4 52 8D 14 5B 8B 4D C4 8B 54 91 08 52 50 8B 45 A0 50 8B 4D EC 8B 55 F0 8B 45 A8 E8 ?? ?? ?? ?? 43 4E 0F 85 E9 FD FF FF 8B 45 A8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 A8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B CB 8B 55 FC 8B 45 A8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 6C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 97 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 20 10 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 53 00 74 00 79 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_49055_0 {
	meta:
		name = "FindNodeByName"
		size = 323
		refs = "001b @IntfAddRef 0023 FindNodeByName 0079 @OleVarFromInt 009b ExtractLocalName 00a5 @UStrLAsg 00cc CompareText 00fe @UStrClr 0106 @VarClr 010f IXMLNodeList 0119 @FinalizeArray 0126 @UStrArrayClr 012e @IntfClear 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 FF FF FF FF 8D 55 E4 8B 45 08 8B 40 FC 8B 08 FF 51 14 8B 45 E4 8B 10 FF 52 0C 48 85 C0 0F 8C 9A 00 00 00 40 89 45 E8 C7 45 EC 00 00 00 00 8D 55 E0 8B 45 08 8B 40 FC 8B 08 FF 51 14 8B 45 E0 50 8D 45 D0 8B 55 EC B1 FC E8 ?? ?? ?? ?? 8D 55 D0 8D 4D FC 58 8B 30 FF 56 10 8D 55 CC 8B 45 FC 8B 08 FF 51 34 8B 45 CC 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 08 8B 45 EC 89 45 F0 EB 0C FF 45 EC FF 4D E8 0F 85 71 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 8B 45 F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49056_0 {
	meta:
		name = "FindReturnNodeIndex"
		size = 1028
		refs = "0019 FindReturnNodeIndex 009d @OleVarFromInt 00bf ExtractLocalName 00cc @UStrLAsg 00f3 CompareText 016f FindNodeByName 01b4 InvRegistry 01c5 TInvokableClassRegistry.GetReturnParamNames 01d5 StringToStringArray 0254 @DynArrayLength 02fa @UStrClr 0302 @VarClr 030b IXMLNodeList 0315 @FinalizeArray 0322 @UStrArrayClr 0353 TStringDynArray 0358 @DynArrayClear 0360 @IntfClear 0366 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0E 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CE FF 8B 45 08 8B 40 F8 F6 40 5A 01 0F 84 40 01 00 00 8B 45 08 8B 78 F8 8B 47 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 0F 95 C0 84 C0 0F 85 1E 01 00 00 8D 55 C4 8B 45 08 8B 40 FC 8B 08 FF 51 14 8B 45 C4 8B 10 FF 52 0C 48 85 C0 0F 8C EA 00 00 00 40 89 45 C8 C7 45 D8 00 00 00 00 8D 55 C0 8B 45 08 8B 40 FC 8B 08 FF 51 14 8B 45 C0 50 8D 45 B0 8B 55 D8 B1 FC E8 ?? ?? ?? ?? 8D 55 B0 8D 4D FC 58 8B 30 FF 56 10 8D 55 AC 8B 45 FC 8B 08 FF 51 34 8B 45 AC 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 55 8D 55 E8 8B 45 FC 8B 08 FF 51 30 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 04 B0 01 EB 20 83 7D E8 00 74 06 83 7D E4 00 75 04 33 C0 EB 10 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0D 8D 55 F4 8B 45 FC 8B 08 FF 51 50 EB 0C FF 45 D8 FF 4D C8 0F 85 21 FF FF FF 8B 45 08 50 8B 45 08 8B 40 FC 8B 55 F4 E8 ?? ?? ?? ?? 59 8B F0 83 FE FF 0F 85 6A 01 00 00 85 DB 74 14 8B 45 08 50 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 59 8B F0 83 FE FF 0F 85 49 01 00 00 C7 45 D4 FF FF FF FF C7 45 D0 FF FF FF FF 33 C0 89 45 CC E8 ?? ?? ?? ?? 8D 4D A8 8B 55 08 8B 52 F4 8B 52 1C E8 ?? ?? ?? ?? 8B 45 A8 8D 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 A4 8B 45 08 8B 40 FC 8B 08 FF 51 14 8B 45 A4 8B 10 FF 52 0C 48 85 C0 0F 8C E3 00 00 00 40 89 45 C8 C7 45 D8 00 00 00 00 8D 55 A0 8B 45 08 8B 40 FC 8B 08 FF 51 14 8B 45 A0 50 8D 45 90 8B 55 D8 B1 FC E8 ?? ?? ?? ?? 8D 55 90 8D 4D FC 58 8B 18 FF 53 10 8B 45 FC 8B 10 FF 52 38 3C 01 0F 85 91 00 00 00 83 7D D4 FF 75 06 8B 45 D8 89 45 D4 83 7D D0 FF 75 7C 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 70 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 61 46 33 DB 8D 55 8C 8B 45 FC 8B 08 FF 51 34 8B 45 8C 8D 55 E0 E8 ?? ?? ?? ?? 8D 45 DC 8B 55 F8 8B 14 9A E8 ?? ?? ?? ?? 8B 45 E0 3B 45 DC 75 04 B0 01 EB 20 83 7D E0 00 74 06 83 7D DC 00 75 04 33 C0 EB 10 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 06 8B 45 D8 89 45 D0 43 4E 75 A2 FF 45 CC FF 45 D8 FF 4D C8 0F 85 28 FF FF FF 83 7D CC 01 75 05 8B 75 D4 EB 03 8B 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8A 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 20 10 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 33 00 2F 00 30 00 35 00 2F 00 73 00 6F 00 61 00 70 00 2D 00 72 00 70 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 2C 00 00 00 00 00 }
	condition:
		$1
}

rule function_49057_0 {
	meta:
		name = "IsNillable"
		size = 19
	strings:
		$1 = { 0F B6 10 80 FA 07 74 08 80 FA 0C 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_49058_0 {
	meta:
		name = "TOPToSoapDomConvert.ProcessSuccess"
		size = 1240
		refs = "0026 @IntfAddRef 002e TOPToSoapDomConvert.ProcessSuccess 0046 TBooleanDynArray 004b @DynArraySetLength 0056 @DynArrayLength 007f InvRegistry 008c TInvokableClassRegistry.GetMethodInfo 009f INFOATTR_BEG_CHAR 00ae GetRegInfo 00ba @UStrClr 00d6 RemClassRegistry 00de TRemotableTypeRegistry.SerializeOptions 00f6 TInvContext.GetResultPointer 0111 @CallDynaInst 0129 FindReturnNodeIndex 013b IsNillable 0162 SMissingSoapReturn 0167 LoadResString 0171 _DV_ESOAPDomConvertError 0176 Exception.CreateFmt 017b @RaiseExcept 01e7 @OleVarFromInt 0246 ExtractLocalName 0253 @UStrLAsg 027a CompareText 032c TInvokableClassRegistry.GetParamExternalName 034d @UStrEqual 0374 TInvContext.GetParamPointer 03f5 @UStrArrayClr 03fd @VarClr 0406 IXMLNodeList 0410 @FinalizeArray 0438 @DynArrayClear 0440 @IntfClear 044e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0E 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F4 89 55 FC 89 45 F8 8B 7D 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 0C 50 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 EC E8 ?? ?? ?? ?? 48 85 C0 7C 13 40 89 45 C0 33 DB 8B 45 EC C6 04 18 00 43 FF 4D C0 75 F3 8D 45 E4 50 8D 45 E0 50 8D 45 C4 50 E8 ?? ?? ?? ?? 8B 0F 8B 55 F4 8B 52 1C E8 ?? ?? ?? ?? 83 7D E0 00 74 28 8B 45 E0 0F B7 00 66 3B 05 ?? ?? ?? ?? 75 19 8D 4D E0 B2 01 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 75 08 8D 45 E0 E8 ?? ?? ?? ?? 8B 5F 10 85 DB 74 21 80 3B 11 75 1C 8B 45 C4 83 E0 02 83 F8 02 74 15 E8 ?? ?? ?? ?? 8B 57 10 E8 ?? ?? ?? ?? A8 04 75 04 33 C0 EB 02 B0 01 8B D8 84 DB 74 2C 8B 45 08 E8 ?? ?? ?? ?? 8B 55 FC 52 8B 55 FC 52 6A 01 8B 4F 10 8B D0 8B 45 F8 66 BE EF FF E8 ?? ?? ?? ?? C7 45 C8 FF FF FF FF EB 6A 83 7F 10 00 74 5D 55 8B 45 E0 E8 ?? ?? ?? ?? 59 89 45 C8 83 7D C8 FF 75 51 8B 47 10 E8 ?? ?? ?? ?? 84 C0 75 45 8D 55 B4 8B 45 FC 8B 08 FF 51 54 8B 45 B4 89 45 B8 C6 45 BC 11 8D 45 B8 50 6A 00 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 C7 45 C8 FF FF FF FF 8B 45 FC 8B 10 FF 52 24 84 C0 0F 84 10 02 00 00 83 7D C8 FF 75 0A 83 7F 0C 00 0F 8E 37 02 00 00 8D 55 AC 8B 45 FC 8B 08 FF 51 14 8B 45 AC 8B 10 FF 52 0C 48 85 C0 0F 8C 1B 02 00 00 40 89 45 C0 C7 45 CC 00 00 00 00 8D 55 A8 8B 45 FC 8B 08 FF 51 14 8B 45 A8 50 8D 45 98 8B 55 CC B1 FC E8 ?? ?? ?? ?? 8D 55 98 8D 4D F0 58 8B 18 FF 53 10 8B 45 F0 8B 10 FF 52 38 3C 01 74 07 B0 01 E9 C9 00 00 00 8B 45 F8 F6 40 5A 01 74 1B 8B 45 F8 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 0F 95 C0 34 01 EB 02 33 C0 84 C0 74 51 8D 55 94 8B 45 F0 8B 08 FF 51 34 8B 45 94 8D 55 DC E8 ?? ?? ?? ?? 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 3B 45 D8 75 04 B0 01 EB 24 83 7D DC 00 74 06 83 7D D8 00 75 04 33 C0 EB 14 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 EB 02 33 C0 84 C0 74 46 8D 55 D4 8B 45 F0 8B 08 FF 51 30 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 3B 45 D0 75 04 B0 01 EB 24 83 7D D4 00 74 06 83 7D D0 00 75 04 33 C0 EB 14 8B 55 D0 8B 45 D4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 EB 02 33 C0 84 C0 0F 85 BF 00 00 00 8B 45 CC 3B 45 C8 75 28 8B 45 08 E8 ?? ?? ?? ?? 8B 55 FC 52 8B 55 F0 52 6A 01 8B 4F 10 8B D0 8B 45 F8 66 BE EF FF E8 ?? ?? ?? ?? E9 8F 00 00 00 33 DB EB 45 8D 04 5B 8B 57 18 8B 44 82 04 50 8D 45 E8 50 E8 ?? ?? ?? ?? 8B 0F 8B 55 F4 8B 52 1C E8 ?? ?? ?? ?? 8D 55 8C 8B 45 F0 8B 08 FF 51 34 8B 45 8C 8D 55 90 E8 ?? ?? ?? ?? 8B 55 90 8B 45 E8 E8 ?? ?? ?? ?? 74 06 43 3B 5F 0C 7C B6 3B 5F 0C 7D 3C 8B 45 EC 80 3C 18 00 75 33 8B 45 EC C6 04 18 01 8B D3 8B 45 08 E8 ?? ?? ?? ?? 8B 55 FC 52 8B 55 F0 52 6A 01 8D 14 5B 8B 4F 18 8B 4C 91 08 8B D0 8B 45 F8 66 BE EF FF E8 ?? ?? ?? ?? FF 45 CC FF 4D C0 0F 85 29 FE FF FF EB 37 8B 77 10 85 F6 74 30 8B C6 E8 ?? ?? ?? ?? 84 C0 74 25 84 DB 75 21 8B 45 08 E8 ?? ?? ?? ?? 8B 55 FC 52 6A 00 6A 01 8B 4F 10 8B D0 8B 45 F8 66 BE EF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 A8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 98 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 20 10 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 73 00 75 00 6C 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 33 00 2F 00 30 00 35 00 2F 00 73 00 6F 00 61 00 70 00 2D 00 72 00 70 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_49059_0 {
	meta:
		name = "GetNodeURIAndName"
		size = 198
		refs = "001c GetNodeURIAndName 0036 @UStrAsg 003d IsPrefixed 004b ExtractPrefix 0055 ExtractLocalName 00aa @UStrArrayClr 00b2 @UStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C6 8B 08 FF 51 34 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 74 38 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8D 55 F0 8B 03 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 4D EC 8B 55 FC 8B C6 8B 18 FF 53 7C 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? EB 15 8D 55 E8 8B C6 8B 08 FF 51 30 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49060_0 {
	meta:
		name = "TOPToSoapDomConvert.ProcessFault"
		size = 2604
		refs = "001f @IntfAddRef 0027 TOPToSoapDomConvert.ProcessFault 0035 @IntfClear 00c8 @OleVarFromInt 00f3 ExtractLocalName 00fe @UStrLAsg 0132 CompareText 0146 @IntfCopy 061d TSOAPDomConv.GetElementType 0638 ntElementChildCount 0649 ntElementChild 0670 GetNodeURIAndName 0687 RemClassRegistry 0692 TRemotableTypeRegistry.URIToClass 069e _Dn_ERemotableException 06a5 TObject.InheritsFrom 06db TSOAPDomConv.LoadObject 06fd ERemotableException.Create 072b @UStrAsg 081d @RaiseExcept 083a @UStrArrayClr 0845 @VarClr 0851 IXMLNodeList 085b @FinalizeArray 0866 @UStrClr 08d7 IXMLNode 08e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 21 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 FC 89 85 70 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 33 C0 89 85 6C FF FF FF 8B 85 70 FF FF FF F6 40 5A 01 0F 84 4A 03 00 00 8D 95 68 FF FF FF 8B 45 FC 8B 08 FF 51 14 8B 85 68 FF FF FF 8B 10 FF 52 0C 8B D8 4B 85 DB 0F 8C 46 02 00 00 43 33 F6 8D 95 64 FF FF FF 8B 45 FC 8B 08 FF 51 14 8B 85 64 FF FF FF 50 8D 85 54 FF FF FF 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 95 54 FF FF FF 8D 4D F4 58 8B 38 FF 57 10 8D 95 50 FF FF FF 8B 45 F4 8B 08 FF 51 34 8B 85 50 FF FF FF 8D 55 C8 E8 ?? ?? ?? ?? 8D 45 C0 8B 55 C8 E8 ?? ?? ?? ?? 8D 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 3B 45 BC 75 04 B0 01 EB 20 83 7D C0 00 74 06 83 7D BC 00 75 04 33 C0 EB 10 8B 55 BC 8B 45 C0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 10 8D 45 EC 8B 55 F4 E8 ?? ?? ?? ?? E9 94 01 00 00 8D 45 B8 8B 55 C8 E8 ?? ?? ?? ?? 8D 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 3B 45 B4 75 04 B0 01 EB 20 83 7D B8 00 74 06 83 7D B4 00 75 04 33 C0 EB 10 8B 55 B4 8B 45 B8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 4C 8D 95 48 FF FF FF 8B 45 F4 8B 08 FF 51 14 8B 85 48 FF FF FF 8D 8D 4C FF FF FF BA ?? ?? ?? ?? 8B 38 FF 57 38 8B 95 4C FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 10 01 00 00 8D 45 E0 8B 55 F4 E8 ?? ?? ?? ?? E9 00 01 00 00 8D 45 B0 8B 55 C8 E8 ?? ?? ?? ?? 8D 45 AC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 3B 45 AC 75 04 B0 01 EB 20 83 7D B0 00 74 06 83 7D AC 00 75 04 33 C0 EB 10 8B 55 AC 8B 45 B0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 10 8D 45 DC 8B 55 F4 E8 ?? ?? ?? ?? E9 A8 00 00 00 8D 45 A8 8B 55 C8 E8 ?? ?? ?? ?? 8D 45 A4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 3B 45 A4 75 04 B0 01 EB 20 83 7D A8 00 74 06 83 7D A4 00 75 04 33 C0 EB 10 8B 55 A4 8B 45 A8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0D 8D 45 D8 8B 55 F4 E8 ?? ?? ?? ?? EB 53 8D 45 A0 8B 55 C8 E8 ?? ?? ?? ?? 8D 45 9C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 3B 45 9C 75 04 B0 01 EB 20 83 7D A0 00 74 06 83 7D 9C 00 75 04 33 C0 EB 10 8B 55 9C 8B 45 A0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0B 8D 45 E8 8B 55 F4 E8 ?? ?? ?? ?? 46 4B 0F 85 BD FD FF FF 83 7D E0 00 0F 84 E1 02 00 00 8D 55 D4 8B 45 E0 8B 08 FF 51 50 8D 95 44 FF FF FF 8B 45 E0 8B 08 FF 51 10 8B 85 44 FF FF FF 8B 10 FF 52 0C 8B D8 4B 85 DB 0F 8C B2 02 00 00 43 33 F6 8D 95 40 FF FF FF 8B 45 E0 8B 08 FF 51 10 8B 85 40 FF FF FF 50 8D 85 30 FF FF FF 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 95 30 FF FF FF 8D 4D F4 58 8B 38 FF 57 10 8D 95 2C FF FF FF 8B 45 F4 8B 08 FF 51 34 8B 85 2C FF FF FF 8D 55 98 E8 ?? ?? ?? ?? 8D 45 94 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 3B 45 94 75 04 B0 01 EB 20 83 7D 98 00 74 06 83 7D 94 00 75 04 33 C0 EB 10 8B 55 94 8B 45 98 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0B 8D 55 C4 8B 45 F4 8B 08 FF 51 50 46 4B 0F 85 61 FF FF FF E9 0B 02 00 00 8D 95 28 FF FF FF 8B 45 FC 8B 08 FF 51 14 8B 85 28 FF FF FF 8B 10 FF 52 0C 8B D8 4B 85 DB 0F 8C D6 01 00 00 43 33 F6 8D 95 24 FF FF FF 8B 45 FC 8B 08 FF 51 14 8B 85 24 FF FF FF 50 8D 85 14 FF FF FF 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 95 14 FF FF FF 8D 4D F4 58 8B 38 FF 57 10 8D 95 10 FF FF FF 8B 45 F4 8B 08 FF 51 34 8B 85 10 FF FF FF 8D 55 C8 E8 ?? ?? ?? ?? 8D 45 90 8B 55 C8 E8 ?? ?? ?? ?? 8D 45 8C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 90 3B 45 8C 75 04 B0 01 EB 20 83 7D 90 00 74 06 83 7D 8C 00 75 04 33 C0 EB 10 8B 55 8C 8B 45 90 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 10 8D 45 EC 8B 55 F4 E8 ?? ?? ?? ?? E9 24 01 00 00 8D 45 88 8B 55 C8 E8 ?? ?? ?? ?? 8D 45 84 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 88 3B 45 84 75 04 B0 01 EB 20 83 7D 88 00 74 06 83 7D 84 00 75 04 33 C0 EB 10 8B 55 84 8B 45 88 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 10 8D 45 E4 8B 55 F4 E8 ?? ?? ?? ?? E9 CC 00 00 00 8D 45 80 8B 55 C8 E8 ?? ?? ?? ?? 8D 85 7C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 80 3B 85 7C FF FF FF 75 04 B0 01 EB 26 83 7D 80 00 74 09 83 BD 7C FF FF FF 00 75 04 33 C0 EB 13 8B 95 7C FF FF FF 8B 45 80 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0D 8D 45 E8 8B 55 F4 E8 ?? ?? ?? ?? EB 6B 8D 85 78 FF FF FF 8B 55 C8 E8 ?? ?? ?? ?? 8D 85 74 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 3B 85 74 FF FF FF 75 04 B0 01 EB 2C 83 BD 78 FF FF FF 00 74 09 83 BD 74 FF FF FF 00 75 04 33 C0 EB 16 8B 95 74 FF FF FF 8B 85 78 FF FF FF E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0B 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 46 4B 0F 85 2D FE FF FF 83 7D E4 00 74 0B 8D 55 D4 8B 45 E4 8B 08 FF 51 50 83 7D D4 00 75 1E 83 7D E8 00 74 0D 8D 55 D4 8B 45 E8 8B 08 FF 51 54 EB 0B 8D 55 D4 8B 45 FC 8B 08 FF 51 54 83 7D E8 00 0F 84 DB 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 CC 50 8D 4D D0 8B 55 E8 8B 85 70 FF FF FF E8 ?? ?? ?? ?? 84 C0 74 0D 8D 45 F8 8B 55 E8 E8 ?? ?? ?? ?? EB 4E 33 D2 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 7E 40 8D 4D F8 33 D2 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 CC 50 8D 4D D0 8B 55 F8 8B 85 70 FF FF FF E8 ?? ?? ?? ?? 84 C0 75 1A 8D 4D CC 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 08 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 59 E8 ?? ?? ?? ?? 8B 4D CC 8B 55 D0 E8 ?? ?? ?? ?? 8B D8 85 DB 74 43 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 6A 00 6A 00 6A 00 6A 00 6A 00 8B 4D D4 B2 01 8B C3 FF 50 0C 89 85 6C FF FF FF 8B 45 F8 50 8B 4D FC 8B 95 6C FF FF FF 8B 85 70 FF FF FF E8 ?? ?? ?? ?? 83 BD 6C FF FF FF 00 75 1F 6A 00 6A 00 6A 00 6A 00 6A 00 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 6C FF FF FF 83 7D F0 00 74 22 8D 95 0C FF FF FF 8B 45 F0 8B 08 FF 51 50 8B 95 0C FF FF FF 8B 85 6C FF FF FF 83 C0 18 E8 ?? ?? ?? ?? 83 7D EC 00 74 52 8B 85 70 FF FF FF F6 40 5A 01 74 24 8D 95 08 FF FF FF 8B 45 EC 8B 08 FF 51 54 8B 95 08 FF FF FF 8B 85 6C FF FF FF 83 C0 1C E8 ?? ?? ?? ?? EB 22 8D 95 04 FF FF FF 8B 45 EC 8B 08 FF 51 50 8B 95 04 FF FF FF 8B 85 6C FF FF FF 83 C0 1C E8 ?? ?? ?? ?? 83 7D E8 00 74 22 8D 95 00 FF FF FF 8B 45 E8 8B 08 FF 51 54 8B 95 00 FF FF FF 8B 85 6C FF FF FF 83 C0 20 E8 ?? ?? ?? ?? 83 7D DC 00 74 22 8D 95 FC FE FF FF 8B 45 DC 8B 08 FF 51 50 8B 95 FC FE FF FF 8B 85 6C FF FF FF 83 C0 28 E8 ?? ?? ?? ?? 83 7D D8 00 74 22 8D 95 F8 FE FF FF 8B 45 D8 8B 08 FF 51 50 8B 95 F8 FE FF FF 8B 85 6C FF FF FF 83 C0 2C E8 ?? ?? ?? ?? 83 7D C4 00 74 11 8B 85 6C FF FF FF 83 C0 24 8B 55 C4 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 85 14 FF FF FF E8 ?? ?? ?? ?? 8D 85 24 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 2C FF FF FF E8 ?? ?? ?? ?? 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 8D 85 40 FF FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 8D 85 64 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 74 FF FF FF BA 19 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 3E FF FF FF 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 6F 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 65 00 61 00 73 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 6F 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 52 00 6F 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 65 00 74 00 61 00 69 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 61 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 66 00 61 00 75 00 6C 00 74 00 63 00 6F 00 64 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 66 00 61 00 75 00 6C 00 74 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 65 00 74 00 61 00 69 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 66 00 61 00 75 00 6C 00 74 00 61 00 63 00 74 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_49061_0 {
	meta:
		name = "TOPToSoapDomConvert.ProcessResponse"
		size = 138
		refs = "0013 _Dn_TMemoryStream 0018 TObject.Create 0023 TOPToSoapDomConvert.ProcessResponse 003b @UStrToPWChar 0075 TObject.Free 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DF 85 DB 74 05 83 EB 04 8B 1B 8B C7 E8 ?? ?? ?? ?? 8B D0 8B CB 03 C9 8B 45 F8 8B 18 FF 53 10 8B 45 0C 50 8B 45 08 50 6A 00 8B 4D FC 8B 55 F8 8B C6 8B 18 FF 53 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_49062_0 {
	meta:
		name = "TOPToSoapDomConvert.ProcessResponse"
		size = 1776
		refs = "0023 TOPToSoapDomConvert.ProcessResponse 003e CreateHREFList 0056 SInvalidResponse 005b LoadResString 0065 _DV_ESOAPDomConvertError 006a Exception.Create 006f @RaiseExcept 0085 ExtractLocalName 0092 @UStrEqual 00b5 SOAPEnvelopeNamespaces 0161 SWrongDocElem 0175 Exception.CreateFmt 01d8 @OleVarFromInt 023d SInvalidSoapResponse 02e5 TSOAPDomConv.ReadHeader 0375 @IntfCopy 038f ntElementChildCount 03a4 ntElementChild 0401 @IntfClear 0508 TOPToSoapDomConvert.ProcessFault 0520 TOPToSoapDomConvert.ProcessSuccess 0535 TSOAPDomConv.ResetMultiRef 053b @HandleFinally 0556 SInvalidSoapRequest 058f @UStrArrayClr 059a @VarClr 05a6 IXMLNodeList 05b0 @FinalizeArray 065b IXMLNode"
	strings:
		$1 = { 55 8B EC 51 B9 1F 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E4 8B DA 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D4 8B C3 8B 08 FF 51 1C 8B 55 D4 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 51 18 83 7D FC 00 75 21 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 C8 8B 45 FC 8B 08 FF 51 34 8B 45 C8 8D 55 CC E8 ?? ?? ?? ?? 8B 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 61 8D 55 C4 8B 45 FC 8B 08 FF 51 30 8B 45 C4 8B 55 E8 F6 42 5A 01 0F 95 C2 83 E2 7F 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 0F 84 B7 00 00 00 8D 55 C0 8B 45 FC 8B 08 FF 51 30 8B 45 C0 8B 55 E8 F6 42 5A 01 0F 95 C2 80 F2 01 83 E2 7F 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 0F 84 85 00 00 00 8B 45 E8 F6 40 5A 01 0F 95 C0 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 04 82 89 45 A0 C6 45 A4 11 B8 ?? ?? ?? ?? 89 45 A8 C6 45 AC 11 8D 55 9C 8B 45 FC 8B 08 FF 51 30 8B 45 9C 89 45 B0 C6 45 B4 11 8D 55 94 8B 45 FC 8B 08 FF 51 34 8B 45 94 8D 55 98 E8 ?? ?? ?? ?? 8B 45 98 89 45 B8 C6 45 BC 11 8D 45 A0 50 6A 03 8D 55 90 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 90 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 DF 00 C6 45 DE 00 8B 45 FC 8B 10 FF 52 24 84 C0 0F 84 B9 03 00 00 8D 55 8C 8B 45 FC 8B 08 FF 51 14 8B 45 8C 8B 10 FF 52 0C 48 85 C0 0F 8C C4 03 00 00 40 89 45 D8 C7 45 E0 00 00 00 00 8D 55 88 8B 45 FC 8B 08 FF 51 14 8B 45 88 50 8D 85 78 FF FF FF 8B 55 E0 B1 FC E8 ?? ?? ?? ?? 8D 95 78 FF FF FF 8D 4D F4 58 8B 18 FF 53 10 8B 45 F4 8B 10 FF 52 38 3C 01 0F 85 46 03 00 00 8D 95 70 FF FF FF 8B 45 F4 8B 08 FF 51 34 8B 85 70 FF FF FF 8D 95 74 FF FF FF E8 ?? ?? ?? ?? 8B 85 74 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 C2 00 00 00 80 7D DF 00 74 27 8D 95 6C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 6C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 DF 01 8B 45 F4 8B 10 FF 52 24 84 C0 0F 84 D0 02 00 00 8D 95 68 FF FF FF 8B 45 F4 8B 08 FF 51 14 8B 85 68 FF FF FF 8B 10 FF 52 0C 8B D8 4B 85 DB 0F 8C AC 02 00 00 43 33 F6 8D 95 64 FF FF FF 8B 45 F4 8B 08 FF 51 14 8B 85 64 FF FF FF 50 8D 85 54 FF FF FF 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 95 54 FF FF FF 8D 4D F0 58 8B 38 FF 57 10 8B 45 F0 8B 10 FF 52 38 3C 01 75 12 8B 45 08 50 8B 4D F0 8B 55 FC 8B 45 E8 E8 ?? ?? ?? ?? 46 4B 75 AB E9 4F 02 00 00 8D 95 4C FF FF FF 8B 45 F4 8B 08 FF 51 34 8B 85 4C FF FF FF 8D 95 50 FF FF FF E8 ?? ?? ?? ?? 8B 85 50 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 1A 02 00 00 80 7D DE 00 74 27 8D 95 48 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 48 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 DE 01 8B 45 E8 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 75 7F 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 24 84 C0 0F 84 33 01 00 00 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 8E 21 01 00 00 8D 4D EC 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8D 95 40 FF FF FF 8B 45 EC 8B 08 FF 51 34 8B 85 40 FF FF FF 8D 95 44 FF FF FF E8 ?? ?? ?? ?? 8B 85 44 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 DF 00 00 00 8D 45 F8 8B 55 EC E8 ?? ?? ?? ?? E9 CF 00 00 00 8B 45 F4 8B 10 FF 52 24 84 C0 0F 84 BF 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 33 DB EB 01 43 8D 95 38 FF FF FF 8B 45 F4 8B 08 FF 51 14 8B 85 38 FF FF FF 50 8D 85 28 FF FF FF 8B D3 B1 FC E8 ?? ?? ?? ?? 8D 95 28 FF FF FF 8D 8D 3C FF FF FF 58 8B 30 FF 56 10 8B 85 3C FF FF FF 8B 10 FF 52 38 3C 01 74 1D 8D 95 24 FF FF FF 8B 45 F4 8B 08 FF 51 14 8B 85 24 FF FF FF 8B 10 FF 52 0C 3B D8 7C 9D 8D 95 20 FF FF FF 8B 45 F4 8B 08 FF 51 14 8B 85 20 FF FF FF 8B 10 FF 52 0C 3B D8 7D 33 8D 95 1C FF FF FF 8B 45 F4 8B 08 FF 51 14 8B 85 1C FF FF FF 50 8D 85 0C FF FF FF 8B D3 B1 FC E8 ?? ?? ?? ?? 8D 95 0C FF FF FF 8D 4D F8 58 8B 18 FF 53 10 83 7D F8 00 74 7F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 04 FF FF FF 8B 45 F8 8B 08 FF 51 34 8B 85 04 FF FF FF 8D 95 08 FF FF FF E8 ?? ?? ?? ?? 8B 85 08 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8B 55 F8 8B 45 E8 E8 ?? ?? ?? ?? EB 16 8B 45 10 50 8B 45 0C 50 8B 4D E4 8B 55 F8 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 E0 FF 4D D8 0F 85 70 FC FF FF EB 27 8D 95 00 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 00 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 00 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 8D 85 1C FF FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 28 FF FF FF E8 ?? ?? ?? ?? 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 8D 85 40 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 8D 85 64 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 45 88 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 90 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 0F FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 6E 00 76 00 65 00 6C 00 6F 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 6F 00 64 00 79 00 00 00 00 00 20 10 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_49063_0 {
	meta:
		name = "TOPToSoapDomConvert.ProcessResponse"
		size = 146
		refs = "0018 TOPToSoapDomConvert.ProcessResponse 0028 TOPToSoapDomConvert.NewXMLDocument 0041 TStream.SetPosition 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 96 84 00 00 00 8B 45 FC 8B 08 FF 51 58 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 33 C9 8B D3 8B 45 FC 8B 18 FF 93 98 00 00 00 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C6 8B 18 FF 53 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_49064_0 {
	meta:
		name = "TOPToSoapDomConvert.Create"
		size = 96
		refs = "000a @ClassCreate 0017 TSOAPDomConv.Create 001e _Dn_TSoapEnvelope 0023 TObject.Create 0039 TOPToSoapDomConvert.Create 0047 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 00 00 00 C7 46 48 01 00 00 00 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 1A 22 00 00 }
	condition:
		$1
}

rule function_49065_0 {
	meta:
		name = "TOPToSoapDomConvert.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TSOAPDomConv.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 80 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49067_0 {
	meta:
		name = "TDdeSrvrConv.SetHszTopic"
		size = 4
		altNames = "TOPToSoapDomConvert.SetAttachments"
	strings:
		$1 = { 89 50 4C C3 }
	condition:
		$1
}

rule function_49068_0 {
	meta:
		name = "TOPToSoapDomConvert.GetTempDir"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 7C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50248_0 {
	meta:
		name = "TXMLInspection.Get_Link"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 7C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50228_0 {
	meta:
		name = "TXMLServiceType.Get_Description"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 7C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49069_0 {
	meta:
		name = "TOPToSoapDomConvert.SetTempDir"
		size = 72
		refs = "000c @UStrAsg 002b TOPToSoapDomConvert.SetTempDir 0030 @UStrCat"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 46 7C 8B D3 E8 ?? ?? ?? ?? 85 DB 74 20 8B C3 85 C0 74 05 83 E8 04 8B 00 66 83 7C 43 FE 5C 74 0D 8D 46 7C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_49071_0 {
	meta:
		name = "TOPToSoapDomConvert.NewXMLDocument"
		size = 40
		refs = "0006 TOPToSoapDomConvert.NewXMLDocument 000b NewXMLDocument"
	strings:
		$1 = { 53 8B DA 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 31 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_49073_0 {
	meta:
		name = "TOPToSoapDomConvert.CheckWSDL"
		size = 102
		refs = "0009 TOPToSoapDomConvert.CheckWSDL 001f TWSDLView.Activate 0029 SNoWSDL 002e LoadResString 0038 _DV_ESOAPDomConvertError 003d Exception.Create 0042 @RaiseExcept 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 50 78 83 7A 54 00 74 09 8B C2 E8 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_49074_0 {
	meta:
		name = "TOPToSoapDomConvert.GetBinding"
		size = 146
		refs = "0014 TOPToSoapDomConvert.GetBinding 0021 TOPToSoapDomConvert.CheckWSDL 0030 TWSDLView.GetPort 0041 TWSDLView.GetService 004d TWSDLItems.GetBindingForServicePort 0077 @UStrArrayClr 007f @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 8B 43 78 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B 73 78 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B 46 54 59 E8 ?? ?? ?? ?? 83 7D FC 00 74 0A 8B D7 8B 45 FC 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49076_0 {
	meta:
		name = "TOPToSoapDomConvert.GetPartName"
		size = 164
		refs = "0021 TIntfMetaData 0026 @AddRefRecord 002e TOPToSoapDomConvert.GetPartName 0044 @UStrAsg 004b InvRegistry 0055 TInvokableClassRegistry.GetNamespaceByGUID 0070 @FinalizeRecord 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B F2 8D 7D D8 51 B9 0A 00 00 00 F3 A5 59 8B F1 8B 5D 08 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0F E8 ?? ?? ?? ?? 8B CB 8D 55 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_49077_0 {
	meta:
		name = "TSOAPDomConv.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _DV_TSoapDataListEx 0023 TObject.Create 002d _DV_TRefCache 0032 TRefCache.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_49078_0 {
	meta:
		name = "TSOAPDomConv.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TSOAPDOMProcessor.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 50 E8 ?? ?? ?? ?? 8B 46 4C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_112248_0 {
	meta:
		name = "TXPathExpression.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TComponent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 50 E8 ?? ?? ?? ?? 8B 46 4C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49079_0 {
	meta:
		name = "TSOAPDomConv.AddAttachment"
		size = 292
		refs = "0019 TSOAPDomConv.AddAttachment 0026 _Dn_TSOAPAttachmentData 002b TSOAPAttachment.Create 0037 @UStrAsg 0051 Format 006c TSOAPAttachmentData.SetCacheFile 00a6 TRemotable.SetDataContext 00c9 TSoapDataList.Add 00de @UStrClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F8 8B F9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 43 30 8B D7 E8 ?? ?? ?? ?? 8D 45 F8 50 89 7D F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 43 28 8B 08 FF 51 38 83 7E 0C 00 74 0C 8B 56 0C 8B C3 E8 ?? ?? ?? ?? EB 2F 8B C6 8B 10 FF 52 0C 85 C0 74 1A 8B C6 8B 10 FF 52 0C 8B D0 0F B6 4E 2C 8B C3 8B 38 FF 57 20 C6 46 2C 00 EB 0A 8B 56 24 8B C3 8B 08 FF 51 14 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 14 8B 56 14 E8 ?? ?? ?? ?? 8D 43 18 8B 56 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 49 00 44 00 3A 00 20 00 3C 00 25 00 73 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_49080_0 {
	meta:
		name = "SameId"
		size = 604
		refs = "001a @UStrAddRef 002a SameId 003d @UStrLAsg 0053 @UStrCopy 005e AnsiCompareText 0083 Pos 00a3 @UStrCat3 01cb @UStrArrayClr 01d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 B9 04 00 00 00 BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 53 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 C4 50 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 B9 FF FF FF 7F 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D C4 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 E9 F7 00 00 00 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 50 B9 07 00 00 00 BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 2D 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 D8 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 E9 93 00 00 00 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 35 8D 45 D4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 D0 50 B9 FF FF FF 7F BA 0E 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 D4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 EB 4E 8D 45 CC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 C0 50 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 B9 FF FF FF 7F 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D C0 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B 45 CC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 10 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 69 00 64 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 74 00 68 00 69 00 73 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 3A 00 2F 00 00 00 }
	condition:
		$1
}

rule function_49081_0 {
	meta:
		name = "TSOAPDomConv.FindAttachment"
		size = 80
		refs = "0022 TList.Get 002c SameId"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 33 C0 89 04 24 8B 47 4C 8B 70 08 4E 85 F6 7C 2E 46 33 DB 8B 47 4C 8B D3 E8 ?? ?? ?? ?? 8B 40 30 8B D5 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 47 4C 8B D3 E8 ?? ?? ?? ?? 89 04 24 EB 04 43 4E 75 D5 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49082_0 {
	meta:
		name = "TSOAPDomConv.ConvertVariantToSoap"
		size = 275
		refs = "002a @IntfAddRef 003a @VarAddRef 0042 TSOAPDomConv.ConvertVariantToSoap 0056 VarIsNull 006e TSOAPDomConv.CreateNULLNode 0086 TSOAPDomConv.WriteVariant 00d9 IXMLNode 00e3 @FinalizeArray 00eb @VarClr 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 8B 75 0C 8D 7D E8 A5 A5 A5 A5 89 4D F8 89 55 FC 8B D8 8B 7D 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 00 74 3A 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 16 57 6A 00 8D 45 E4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 53 57 8B 45 18 50 8D 45 E8 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 3B 8B 75 10 85 F6 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 16 57 6A 00 8D 45 E0 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 13 57 8B 45 18 50 56 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_49083_0 {
	meta:
		name = "IsXMLDateTimeTypeInfo"
		size = 46
		refs = "000b GetTypeData 0013 _Dn_TXSDateTime 0020 TDateTime"
	strings:
		$1 = { 53 8B D8 80 3B 07 75 11 8B C3 E8 ?? ?? ?? ?? 8B 00 3B 05 ?? ?? ?? ?? 74 11 80 3B 04 75 08 3B 1D ?? ?? ?? ?? 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_49084_0 {
	meta:
		name = "TSOAPDomConv.WriteVariant"
		size = 584
		refs = "0039 @IntfAddRef 0049 @VarAddRef 0051 TSOAPDomConv.WriteVariant 005f VarIsArray 006f VarIsType 0085 TSOAPDomConv.WriteVarArrayAsB64 00a0 TSOAPDomConv.WriteVarArray 00ad VarIsNull 00b9 VarIsEmpty 00d1 TSOAPDomConv.CreateNULLNode 00db RemTypeRegistry 00ea TRemotableTypeRegistry.VariantToInfo 00f8 SUnsupportedVariant 00fd LoadResString 0107 _DV_ESOAPDomConvertError 010c Exception.Create 0111 @RaiseExcept 0118 IsXMLDateTimeTypeInfo 0124 @VarToReal 0135 DateTimeToXMLTime 013d Boolean 0147 @VarToBool 0151 sBoolean 0159 @UStrLAsg 0166 @VarToUStr 017f TRemotableTypeRegistry.InfoToURI 01b1 TSOAPDomConv.CreateScalarNodeXS 01e9 IXMLNode 01f3 @FinalizeArray 01fb @UStrClr 0203 @IntfClear 020b @VarClr 0218 @UStrArrayClr 0231 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D C4 89 5D C8 89 5D CC 89 5D D0 89 5D F4 89 5D F0 89 5D EC 8B 75 08 8D 7D D8 A5 A5 A5 A5 89 4D F8 89 55 FC 8B D8 8B 7D 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 74 42 8D 45 D8 66 BA 11 20 E8 ?? ?? ?? ?? 84 C0 74 17 57 8D 45 D8 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 49 01 00 00 57 8B 45 0C 50 8D 45 D8 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 2E 01 00 00 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 75 0C 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 74 19 57 6A 00 8D 45 D0 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 FD 00 00 00 E8 ?? ?? ?? ?? F6 43 58 08 0F 95 C1 8D 55 D8 E8 ?? ?? ?? ?? 8B F0 85 F6 75 21 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 8D 45 D8 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 55 F4 B0 01 E8 ?? ?? ?? ?? EB 2F 3B 35 ?? ?? ?? ?? 75 1C 8D 45 D8 E8 ?? ?? ?? ?? 83 E0 7F 8B 14 85 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? EB 0B 8D 45 F4 8D 55 D8 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 45 D7 50 6A 01 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 23 43 58 8B 15 ?? ?? ?? ?? 3B D0 74 22 57 8B 45 0C 50 8B 45 EC 50 8B 45 F4 50 6A 00 8D 45 C8 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 20 57 8B 45 F0 50 8B 45 EC 50 8B 45 F4 50 6A 00 8D 45 C4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AD 5F 5E 5B 8B E5 5D C2 0C 00 20 10 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_49085_0 {
	meta:
		name = "TSOAPDomConv.MakeArrayNode"
		size = 1572
		refs = "0037 @IntfAddRef 0047 TSOAPDomConv.MakeArrayNode 00ab TSOAPDomConv.GetNewID 00c2 TSOAPDomConv.FindPrefixForURI 00d4 MakeNodeName 00f8 @UStrCat3 0103 @OleVarFromUStr 014d SOAPEncodingNamespaces 0189 TSOAPDomConv.CreateMultiRefNode 01af TSOAPDomConv.SetNodeType 01ba @IntfCopy 01c4 @IntfClear 01e1 @UStrLAsg 021e TSOAPDomConv.CreateTypedNode 0258 @UStrCat 02b1 IntToStr 033d @UStrCatN 0365 SSoapEncodingArrayTypes 045a OleVariant 0464 @FinalizeArray 0471 @UStrArrayClr 0479 @VarClr 0481 @UStrClr 04a7 IXMLNode 04b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 10 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B 5D 10 8B 75 0C 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 10 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 23 43 58 8B 15 ?? ?? ?? ?? 3B D0 74 1B 6A 00 6A FF 8B 45 08 50 8B 4D 18 8B 55 1C 8B 45 F8 8B 18 FF 53 70 E9 C7 03 00 00 F6 43 58 04 74 17 A1 ?? ?? ?? ?? 23 43 58 8B 15 ?? ?? ?? ?? 3B D0 0F 95 C0 34 01 EB 02 33 C0 84 C0 0F 84 1B 01 00 00 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 18 50 6A 01 8D 45 E4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8D 4D D4 8B 55 1C 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 D4 83 C9 FF 8B 45 F8 8B 30 FF 56 6C F6 43 5A 01 75 2F 8D 45 C0 8B 4D DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8D 45 C4 E8 ?? ?? ?? ?? 8D 4D C4 8B 45 08 8B 00 BA ?? ?? ?? ?? 8B 30 FF 56 58 EB 26 8D 45 B0 8B 55 DC E8 ?? ?? ?? ?? 8D 45 B0 50 8B 45 08 8B 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 30 FF 96 A0 00 00 00 F6 43 5A 01 0F 95 C0 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 04 82 50 6A 01 8D 45 E4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 45 F4 50 8D 4D AC BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 4D AC 8B 55 FC 8B C3 E8 ?? ?? ?? ?? F6 43 5A 01 0F 95 C0 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 04 82 50 68 ?? ?? ?? ?? 8B 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F4 E8 ?? ?? ?? ?? EB 62 8D 45 F4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 23 43 58 8B 15 ?? ?? ?? ?? 3B D0 74 0D 8D 45 E0 8B 55 18 E8 ?? ?? ?? ?? EB 1B 8D 45 E0 F6 43 5A 01 0F 95 C2 83 E2 7F 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 8B 45 1C 50 8B 45 E0 50 68 ?? ?? ?? ?? 6A 00 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? F6 43 58 01 0F 85 19 02 00 00 A1 ?? ?? ?? ?? 23 43 58 8B 15 ?? ?? ?? ?? 3B D0 0F 85 03 02 00 00 33 F6 8B 45 10 83 3C B0 00 75 22 EB 0E 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 8B 45 0C 40 48 3B F0 7D 09 8B 45 10 83 3C B0 00 74 E0 C6 45 DB 01 8B 45 0C 40 3B F0 7D 61 F6 43 5A 01 75 40 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 31 80 7D DB 00 75 0D 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 DB 00 8B 45 10 8B 04 B0 8D 55 A8 E8 ?? ?? ?? ?? 8B 55 A8 8D 45 EC E8 ?? ?? ?? ?? 46 8B 45 0C 40 3B F0 7C C7 F6 43 5A 01 75 0D 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 43 5A 01 0F 95 C0 84 C0 0F 84 C7 00 00 00 F6 43 5A 01 0F 95 C0 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 04 82 50 6A 01 8D 45 E8 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 18 50 6A 01 8D 45 E4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? FF 75 14 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 98 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 98 50 F6 43 5A 01 0F 95 C0 8B F0 83 E6 7F A1 ?? ?? ?? ?? 8B 0C B0 A1 ?? ?? ?? ?? 8B 14 B0 8B 45 08 8B 00 8B 30 FF 96 A0 00 00 00 8D 45 88 8B 55 EC E8 ?? ?? ?? ?? 8D 45 88 50 F6 43 5A 01 0F 95 C0 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 0C 82 8B 45 08 8B 00 BA ?? ?? ?? ?? 8B 18 FF 93 A0 00 00 00 E9 93 00 00 00 F6 43 5A 01 0F 95 C0 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 04 82 50 6A 01 8D 45 E8 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 18 50 6A 01 8D 45 E4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? FF 75 14 FF 75 EC 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 8B 55 F0 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 50 F6 43 5A 01 0F 95 C0 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 0C 82 8B 45 08 8B 00 BA ?? ?? ?? ?? 8B 18 FF 93 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 DC BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 95 8B BD 6C FF FF FF 8B B5 70 FF FF FF 8B 9D 74 FF FF FF 8B E5 5D C2 18 00 00 00 00 20 10 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 72 00 65 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 33 00 2F 00 30 00 35 00 2F 00 73 00 6F 00 61 00 70 00 2D 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 72 00 65 00 66 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 72 00 72 00 61 00 79 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5B 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 61 00 72 00 72 00 61 00 79 00 53 00 69 00 7A 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 61 00 72 00 72 00 61 00 79 00 54 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_49086_0 {
	meta:
		name = "TSOAPDomConv.MakeArrayNode"
		size = 217
		refs = "001d @IntfAddRef 002d TSOAPDomConv.MakeArrayNode 0042 TNativeIntDynArray 0047 @DynArraySetLength 0084 @DynArrayHigh 00b2 @DynArrayClear 00bb IXMLNode 00c5 @FinalizeArray 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F4 89 4D F8 89 55 FC 89 45 F0 8B 5D 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 83 E8 02 85 C0 7C 0F 40 33 D2 8B 4D F4 33 F6 89 34 91 42 48 75 F4 8B 45 F4 8B 55 0C 89 54 98 FC 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 F4 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_49087_0 {
	meta:
		name = "TSOAPDomConv.WriteVarArrayAsB64"
		size = 716
		refs = "002e @IntfAddRef 003e @VarAddRef 0046 TSOAPDomConv.WriteVarArrayAsB64 0054 VarArrayDimCount 0069 :TSOAPDomConv.:3 006e @DynArraySetLength 00a1 VarArrayLowBound 00b2 VarArrayHighBound 00e5 VarArrayLock 0101 EncodeBase64 010c @UStrFromLStr 0121 VarArrayUnlock 0127 @HandleFinally 0132 XMLSchemaNameSpace 0152 TSOAPDomConv.CreateScalarNodeXS 0174 TSOAPDomConv.FindPrefixForURI 0182 @OleVarFromInt 0196 MakeNodeName 01be @UStrClr 01c6 @VarClr 01ce @LStrClr 01e3 @UStrArrayClr 01f6 @FinalizeArray 01ff IXMLNode"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B 75 08 8D 7D D0 A5 A5 A5 A5 89 4D F8 89 55 FC 89 45 CC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D0 E8 ?? ?? ?? ?? 89 45 C8 8B 45 C8 50 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 C8 50 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 75 C8 85 F6 7E 2B BB 01 00 00 00 8D 45 D0 8B D3 E8 ?? ?? ?? ?? 8B 55 F0 89 44 9A FC 8D 45 D0 8B D3 E8 ?? ?? ?? ?? 8B 55 EC 89 44 9A FC 43 4E 75 DA 33 FF 8B 75 C8 4E 85 F6 7C 16 46 33 DB 8B 45 EC 8B 04 98 8B 55 F0 2B 04 9A 40 03 F8 43 4E 75 ED 8D 45 D0 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D C4 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 0C 50 A1 ?? ?? ?? ?? 8B 00 50 68 ?? ?? ?? ?? 8B 45 E8 50 6A 00 8D 45 F4 50 8B 4D F8 8B 55 FC 8B 45 CC E8 ?? ?? ?? ?? 8B 45 CC F6 40 5A 02 75 4E 68 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8B 4D F4 8B 55 FC 8B 45 CC E8 ?? ?? ?? ?? 8D 45 B4 0F B7 55 D0 B1 02 E8 ?? ?? ?? ?? 8D 45 B4 50 8D 4D B0 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 B0 B9 ?? ?? ?? ?? 8B 45 F4 8B 18 FF 93 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A5 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 62 00 61 00 73 00 65 00 36 00 34 00 42 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 62 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 63 00 6F 00 6D 00 2F 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 73 00 2F 00 54 00 79 00 70 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 56 00 61 00 72 00 41 00 72 00 72 00 61 00 79 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49088_0 {
	meta:
		name = "TSOAPDomConv.WriteVarArray"
		size = 964
		refs = "0031 @IntfAddRef 0041 @VarAddRef 0049 TSOAPDomConv.WriteVarArray 0057 VarIsArray 0072 TSOAPDomConv.WriteVariant 0090 VarArrayDimCount 00a1 :TSOAPDomConv.:4 00a6 @DynArraySetLength 00d5 VarArrayLowBound 00e6 VarArrayHighBound 0132 @DynArrayHigh 013f VarArrayGet 015b VarIsType 01a0 TSOAPDomConv.FindPrefixForURI 01ae @OleVarFromInt 01c2 MakeNodeName 02bf @UStrClr 02c7 @VarClr 02e0 Variant 02ea @FinalizeArray 030e IXMLNode 031e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0D 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B 75 08 8D 7D D0 A5 A5 A5 A5 89 4D F8 89 55 FC 89 45 BC 8B 5D 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D0 E8 ?? ?? ?? ?? 84 C0 75 1C 53 8B 45 0C 50 8D 45 D0 50 8B 4D F8 8B 55 FC 8B 45 BC E8 ?? ?? ?? ?? E9 33 02 00 00 8D 45 F4 50 83 C9 FF 8B D3 8B 45 F8 8B 18 FF 53 6C 8D 45 D0 E8 ?? ?? ?? ?? 8B F0 56 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 56 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B FE 85 FF 7E 2B BB 01 00 00 00 8D 45 D0 8B D3 E8 ?? ?? ?? ?? 8B 55 F0 89 44 9A FC 8D 45 D0 8B D3 E8 ?? ?? ?? ?? 8B 55 EC 89 44 9A FC 43 4F 75 DA 56 8D 45 E8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B FE 4F 85 FF 7C 13 47 33 DB 8B 45 F0 8B 04 98 8B 55 E8 89 04 9A 43 4F 75 F0 C6 45 BB 00 8D 45 C0 50 8B 45 E8 E8 ?? ?? ?? ?? 8B C8 8D 45 D0 8B 55 E8 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 84 C0 0F 84 88 00 00 00 8D 45 C0 66 BA 11 20 E8 ?? ?? ?? ?? 84 C0 75 78 68 ?? ?? ?? ?? 8B 45 0C 50 8D 45 C0 50 8B 4D F4 8B 55 FC 8B 45 BC E8 ?? ?? ?? ?? 8B 45 BC F6 40 5A 02 0F 85 CC 00 00 00 68 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8B 4D F4 8B 55 FC 8B 45 BC E8 ?? ?? ?? ?? 8D 45 A8 0F B7 55 D0 B1 02 E8 ?? ?? ?? ?? 8D 45 A8 50 8D 4D A4 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 A4 B9 ?? ?? ?? ?? 8B 45 F4 8B 18 FF 93 A0 00 00 00 EB 7C 68 ?? ?? ?? ?? 8B 45 0C 50 8D 45 C0 50 8B 4D F4 8B 55 FC 8B 45 BC E8 ?? ?? ?? ?? 8B 45 BC F6 40 5A 02 75 58 80 7D BB 00 75 52 68 ?? ?? ?? ?? 6A 01 8D 45 E4 50 8B 4D F4 8B 55 FC 8B 45 BC E8 ?? ?? ?? ?? 8D 45 94 0F B7 55 D0 B1 02 E8 ?? ?? ?? ?? 8D 45 94 50 8D 4D 90 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 90 B9 ?? ?? ?? ?? 8B 45 F4 8B 18 FF 93 A0 00 00 00 C6 45 BB 01 8B 45 E8 FF 44 B0 FC 8B 45 E8 8B 44 B0 FC 8B 55 EC 3B 44 B2 FC 0F 8E B8 FE FF FF 8B DE 4B 83 FB 00 0F 8C AC FE FF FF 8B 45 E8 8B 04 98 8B 55 EC 3B 04 9A 7E 17 85 DB 74 1E 8B 45 E8 FF 44 98 FC 8B 45 F0 8B 04 98 8B 55 E8 89 04 9A 4B 83 FB FF 75 D5 E9 7C FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 97 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 56 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 62 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 63 00 6F 00 6D 00 2F 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 73 00 2F 00 54 00 79 00 70 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 56 00 61 00 72 00 41 00 72 00 72 00 61 00 79 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49089_0 {
	meta:
		name = "TSOAPDomConv.ReadVarArrayDim"
		size = 726
		refs = "001f @IntfAddRef 0027 TSOAPDomConv.ReadVarArrayDim 0037 ntElementChildCount 0056 TSOAPDomConv.GetNodeAsText 005e TypeTranslator 0066 TByteDynArray 006b TTypeTranslator.CastSoapToVariant 0078 Null 00a0 VarArrayCreate 00e3 @OleVarFromInt 010c TSOAPDomConv.IsNodeAVarArray 0147 @VarArrayPut 0159 TSOAPDomConv.NodeIsNULL 0172 TSOAPDomConv.GetElementType 0177 RemTypeRegistry 0182 TRemotableTypeRegistry.XSDToTypeInfo 018e WideString 0195 IsXMLDateTimeTypeInfo 01b4 XMLTimeToDateTime 01bc @VarFromTDateTime 0251 @VarClr 0259 @UStrClr 0272 Variant 027c @FinalizeArray 028d IXMLNodeList 02ac @UStrArrayClr 02b5 IXMLNode 02c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 10 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 75 40 66 81 7D 0C 11 20 75 2B 8B 45 08 50 8D 4D E0 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D E0 A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C9 01 00 00 8B 45 08 E8 ?? ?? ?? ?? E9 BC 01 00 00 33 C0 89 45 E8 8B 45 08 50 33 C0 89 45 D8 4B 89 5D DC 8D 45 D8 66 B9 0C 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 FC 8B 08 FF 51 14 8B 45 D4 8B 10 FF 52 0C 48 85 C0 0F 8C 7D 01 00 00 40 89 45 E4 C7 45 EC 00 00 00 00 8D 55 D0 8B 45 FC 8B 08 FF 51 14 8B 45 D0 50 8D 45 C0 8B 55 EC B1 FC E8 ?? ?? ?? ?? 8D 55 C0 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8B 10 FF 52 38 3C 01 0F 85 2E 01 00 00 8D 4D 0C 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 0D 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 48 7E 30 8B 45 E8 50 6A 01 0F B7 45 0C 50 8D 45 B0 50 8B CB 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 45 B0 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 E9 DB 00 00 00 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 A5 00 00 00 8D 45 F0 50 8D 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 85 DB 75 06 8B 1D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 35 8B 45 E8 50 6A 01 8D 55 9C 8B 45 F8 8B 08 FF 51 50 8B 45 9C 33 D2 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A0 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 EB 5C 8B 45 E8 50 6A 01 8D 45 8C 50 8D 55 88 8B 45 F8 8B 08 FF 51 50 8B 4D 88 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 8D 45 8C 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 EB 24 8B 45 E8 50 6A 01 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 FF 45 E8 FF 45 EC FF 4D E4 0F 85 8E FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 7C FF FF FF 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_49090_0 {
	meta:
		name = "TSOAPDomConv.IsNodeAVarArray"
		size = 412
		refs = "001f TSOAPDomConv.IsNodeAVarArray 0045 VarIsNull 006c @VarToUStr 0074 StrToInt 00d6 @VarClr 00de @UStrClr 00e7 OleVariant 00f1 @FinalizeArray 0107 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 84 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 32 8D 45 DC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 18 FF 93 84 00 00 00 8D 55 DC 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 66 89 06 B3 01 EB 46 8D 4D CC BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 0C 8D 45 CC E8 ?? ?? ?? ?? 84 C0 75 29 8D 4D B8 BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 0C 8D 55 B8 8D 45 C8 E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 66 89 06 B3 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 62 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 63 00 6F 00 6D 00 2F 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 73 00 2F 00 54 00 79 00 70 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 56 00 61 00 72 00 41 00 72 00 72 00 61 00 79 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49091_0 {
	meta:
		name = "TSOAPDomConv.ConvertSoapToVariant"
		size = 435
		refs = "0022 @IntfAddRef 002a TSOAPDomConv.ConvertSoapToVariant 004f ntElementChildCount 005d Null 0068 @VarCopy 0075 TSOAPDomConv.IsNodeAVarArray 0094 TSOAPDomConv.GetNodeAsText 009c TypeTranslator 00a4 TByteDynArray 00a9 TTypeTranslator.CastSoapToVariant 00cb TSOAPDomConv.ReadVarArrayDim 00e9 TSOAPDomConv.GetElementType 00ee RemTypeRegistry 00f9 TRemotableTypeRegistry.XSDToTypeInfo 0105 WideString 010c IsXMLDateTimeTypeInfo 0125 XMLTimeToDateTime 012d @VarFromTDateTime 016b @UStrArrayClr 0173 @VarClr 017b @UStrClr 018b @IntfClear 01a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F0 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC 8B 08 FF 51 14 83 7D E8 00 0F 84 0C 01 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F8 85 FF 75 13 8D 45 D8 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F0 E8 ?? ?? ?? ?? 8D 4D EE 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 85 FF 75 33 66 81 7D EE 11 20 75 2B 8B 45 F0 50 8D 4D D4 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D D4 A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A3 00 00 00 4F 0F 9F C0 0A C3 74 22 0F B7 45 EE 50 8D 45 C4 50 8B CB 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 55 C4 8B 45 F0 E8 ?? ?? ?? ?? EB 79 8D 45 F4 50 8D 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 75 06 8B 1D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 8D 55 C0 8B 45 FC 8B 08 FF 51 50 8B 45 C0 33 D2 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 22 8B 45 F0 50 8D 4D BC 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D BC A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49092_0 {
	meta:
		name = "TSOAPDomConv.FindNodeByHREF"
		size = 152
		refs = "000f TSOAPDomConv.FindNodeByHREF 001d @IntfClear 005e @IntfCast 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B 43 50 8B 40 08 8B D6 8B 08 FF 51 54 8B F0 83 FE FF 74 2D 8B 43 50 8B 40 08 8B D6 8B 08 FF 51 18 8B D0 8D 4D FC 8B 43 50 8B 40 04 8B 18 FF 53 0C 8B 55 FC 8B 45 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 00 00 C0 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_49093_0 {
	meta:
		name = "RecurseArray"
		size = 116
		refs = "001d GetDynArrayLength 0056 RecurseArray"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F2 89 04 24 B3 01 83 3E 01 7E 58 83 3C 24 00 74 52 8B 04 24 E8 ?? ?? ?? ?? 8B F8 8B 04 24 8B 28 8B C5 E8 ?? ?? ?? ?? 89 44 24 04 4F 85 FF 7C 33 47 8B C5 E8 ?? ?? ?? ?? 3B 44 24 04 74 04 33 DB EB 21 83 3E 01 7E 11 FF 0E 8B D6 8B C5 E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8B 04 24 83 C0 04 8B 28 4F 75 CE 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49094_0 {
	meta:
		name = "IsArrayRect"
		size = 13
		refs = "0007 RecurseArray"
	strings:
		$1 = { 51 89 14 24 8B D4 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_49095_0 {
	meta:
		name = "GetDims"
		size = 123
		refs = "0015 @DynArrayAddRef 001d GetDims 0035 GetDynArrayLength 0063 TNativeIntDynArray 0068 @DynArrayClear 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 F8 4E 85 F6 7C 22 46 33 DB 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 89 04 9A 8B 45 F8 48 3B D8 7D 06 85 FF 74 02 8B 3F 43 4E 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_49096_0 {
	meta:
		name = "TSOAPDomConv.WriteRectDynArrayElem"
		size = 820
		refs = "002d @IntfAddRef 003d TSOAPDomConv.WriteRectDynArrayElem 0061 TSOAPDomConv.FindPrefixForURI 007e GetDynArrayLength 00d0 @UStrLAsg 00db DefArrayElemName 0103 TSOAPDomConvHelper.GetObjectMetaclass 010e TSOAPDomConvHelper.GetObjectInstance 0127 GetTypeData 0131 TSOAPDomConvHelper.SetObjectMetaclass 013e TSOAPDomConvHelper.SetObjectInstance 015d RemTypeRegistry 0168 TRemotableTypeRegistry.TypeInfoToXSD 0185 SRemTypeNotRegistered 018a LoadResString 0194 _DV_ESOAPDomConvertError 0199 Exception.CreateFmt 019e @RaiseExcept 01bc TSOAPDomConv.ConvertObjectToSOAP 0203 @HandleFinally 0221 Null 0235 TSOAPDomConv.ConvertVariantToSoap 0250 TSOAPDomConv.ConvertEnumToSoap 0262 TypeTranslator 026c TTypeTranslator.CastNativeToSoap 02c2 GetTypeSize 02e6 @VarClr 02ee @UStrClr 0303 @UStrArrayClr 030c IXMLNode 0316 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 89 55 FC 89 45 E0 8B 75 0C 8B 5D 14 8B 7D 18 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 08 00 74 18 8B 45 08 50 6A 01 8D 45 CC 50 8B 4D F8 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? 83 FB 01 7E 4A 4B 4F 85 FF 0F 8C 61 02 00 00 47 89 7D D0 8B 45 10 8B 00 E8 ?? ?? ?? ?? 8B 55 1C 52 50 53 8B 45 10 8B 00 50 56 8B 45 08 50 8B 4D F8 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 10 83 C0 04 89 45 10 FF 4D D0 75 C9 E9 21 02 00 00 8B 45 E0 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 74 0C 8D 45 EC 8B D6 E8 ?? ?? ?? ?? EB 0E 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4F 85 FF 0F 8C E8 01 00 00 47 89 7D D0 8B 45 1C 0F B6 00 3C 07 0F 85 0A 01 00 00 8B 45 E0 E8 ?? ?? ?? ?? 89 45 D8 8B 45 E0 E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 1C E8 ?? ?? ?? ?? 8B 10 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 10 8B 10 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 74 6A 8D 45 E4 50 E8 ?? ?? ?? ?? 8D 4D E8 8B 55 1C E8 ?? ?? ?? ?? 84 C0 75 32 8B 45 1C 40 89 45 C4 C6 45 C8 04 8D 45 C4 50 6A 00 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 10 50 8B 45 FC 50 8B 45 F8 50 8B 4D 08 8B 55 EC 8B 45 E0 E8 ?? ?? ?? ?? EB 1C 6A 00 8B 45 10 50 8B 45 FC 50 8B 45 F8 50 8B 4D 08 8B 55 EC 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 D8 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 3C 0C 75 31 8B 45 EC 50 8B 45 08 50 8B 45 1C 50 8B 45 10 50 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B0 50 6A 00 8B 4D F8 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? E9 80 00 00 00 3C 03 75 14 8D 45 F0 50 8B 4D 10 8B 55 1C 8B 45 E0 E8 ?? ?? ?? ?? EB 1A 8B 45 10 50 8D 45 DF 50 8D 4D F0 A1 ?? ?? ?? ?? 8B 00 8B 55 1C E8 ?? ?? ?? ?? 8B 45 E0 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 74 18 6A 00 6A FF 8D 45 F4 50 8B 4D 08 8B 55 EC 8B 45 F8 8B 18 FF 53 70 EB 15 6A 00 6A FF 8D 45 F4 50 33 C9 8B 55 EC 8B 45 F8 8B 18 FF 53 70 8B 55 F0 8B 45 F4 8B 08 FF 51 68 8B 45 1C E8 ?? ?? ?? ?? 03 45 10 89 45 10 FF 4D D0 0F 85 1C FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5F 5E 5B 8B E5 5D C2 18 00 00 20 10 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_49097_0 {
	meta:
		name = "TSOAPDomConv.WriteRectDynArray"
		size = 133
		refs = "0017 @IntfAddRef 0027 TSOAPDomConv.WriteRectDynArray 0038 GetDynArrayLength 0051 TSOAPDomConv.WriteRectDynArrayElem 0067 IXMLNode 0071 @FinalizeArray 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 75 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 8B C6 E8 ?? ?? ?? ?? 50 8B 45 10 50 56 8B 45 08 50 6A 00 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_49098_0 {
	meta:
		name = "ArrayIsNull"
		size = 22
	strings:
		$1 = { 85 C0 0F 95 C2 80 F2 01 84 D2 75 07 8B 00 85 C0 0F 94 C2 8B C2 C3 }
	condition:
		$1
}

rule function_49099_0 {
	meta:
		name = "ByteArrayInfo"
		size = 39
		refs = "0014 GetTypeData"
	strings:
		$1 = { 53 56 8B F0 0F B6 1E 80 FB 01 74 05 80 FB 02 75 0C 8B C6 E8 ?? ?? ?? ?? 80 38 01 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_49100_0 {
	meta:
		name = "TSOAPDomConv.WriteNonRectDynArray"
		size = 440
		refs = "0026 @IntfAddRef 0036 TSOAPDomConv.WriteNonRectDynArray 0044 GetDynArrayNextInfo 0053 ByteArrayInfo 0071 TSOAPDomConv.ConvertByteArrayToSoap 007d ArrayIsNull 0098 TSOAPDomConv.CreateNULLNode 00a4 GetDynArrayLength 00cc TSOAPDomConv.MakeArrayNode 00f4 RemClassRegistry 00fe TRemotableTypeRegistry.TypeInfoToXSD 0130 TSOAPDomConv.WriteNonRectDynArrayElem 0158 GetTypeSize 017a @IntfClear 0187 @UStrArrayClr 0190 IXMLNode 019a @FinalizeArray 01a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D F4 89 5D F0 89 5D EC 89 4D F8 89 55 FC 8B F8 8B 75 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 E8 ?? ?? ?? ?? 8B D8 83 7D 08 01 75 2A 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 8B 45 1C 50 8B 45 14 50 8B 45 18 50 56 8B 4D F8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? E9 EF 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1C 8B 45 1C 50 6A 00 8D 45 DC 50 8B 4D F8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? E9 C8 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 45 E8 8B 45 1C 50 8B 45 14 50 8B 45 10 50 8B 45 08 50 8B 45 E8 50 8D 45 F4 50 8B 4D F8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 E8 48 85 C0 0F 8C 8D 00 00 00 40 89 45 E0 80 3B 11 75 07 8B 06 89 45 E4 EB 03 89 75 E4 8D 45 EC 50 E8 ?? ?? ?? ?? 8D 4D F0 8B D3 E8 ?? ?? ?? ?? 8B 47 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 74 21 53 8B 45 14 50 8B 45 EC 50 8B 45 E4 50 8B 45 08 48 50 8B 4D F4 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 1F 53 8B 45 F0 50 8B 45 EC 50 8B 45 E4 50 8B 45 08 48 50 8B 4D F4 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 03 C6 8B F0 FF 4D E0 0F 85 77 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C2 18 00 00 20 10 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_49101_0 {
	meta:
		name = "TSOAPDomConv.WriteNonRectDynArrayElem"
		size = 292
		refs = "0020 @IntfAddRef 0030 TSOAPDomConv.WriteNonRectDynArrayElem 0057 @UStrLAsg 0062 DefArrayElemName 0091 TSOAPDomConv.WriteNonRectDynArray 00c0 TSOAPDomConv.WriteRectDynArrayElem 00f0 @UStrClr 00f9 IXMLNode 0103 @FinalizeArray 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 7D 10 8B 75 18 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 A1 ?? ?? ?? ?? 23 43 58 8B 15 ?? ?? ?? ?? 3B D0 74 0C 8D 45 F4 8B D7 E8 ?? ?? ?? ?? EB 0E 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 08 00 7F 05 80 3E 11 75 21 8B 45 F4 50 56 8B 45 14 50 57 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 48 A1 ?? ?? ?? ?? 23 43 58 8B 15 ?? ?? ?? ?? 3B D0 74 1D 56 6A 01 6A 01 8B 45 0C 50 57 8B 45 14 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 19 56 6A 01 6A 01 8B 45 0C 50 57 6A 00 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 F0 5F 5E 5B 8B E5 5D C2 14 00 00 20 10 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_49102_0 {
	meta:
		name = "TSOAPDomConv.ReadVariant"
		size = 372
		refs = "0021 @IntfAddRef 0029 TSOAPDomConv.ReadVariant 0037 Null 0042 @VarCopy 006a TSOAPDomConv.ReadVarArrayDim 0084 TSOAPDomConv.NodeIsNULL 009d TSOAPDomConv.GetElementType 00a2 RemTypeRegistry 00ad TRemotableTypeRegistry.XSDToTypeInfo 00b9 WideString 00c0 IsXMLDateTimeTypeInfo 00d9 XMLTimeToDateTime 00e1 @VarFromTDateTime 00f4 TSOAPDomConv.GetNodeAsText 00fc TypeTranslator 0105 TTypeTranslator.CastSoapToVariant 0125 @UStrClr 012d @VarClr 0145 @IntfClear 015a @UStrArrayClr 0168 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F0 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC 8B 08 FF 51 14 8B 45 DC 8B 10 FF 52 0C 48 7E 22 6A 00 8D 45 CC 50 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 F0 E8 ?? ?? ?? ?? E9 96 00 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 84 00 00 00 8D 45 F4 50 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 75 06 8B 35 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1F 8D 55 C8 8B 45 FC 8B 08 FF 51 50 8B 45 C8 33 D2 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 2D 8D 45 B8 50 8D 4D B4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D B4 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 8D 55 B8 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49103_0 {
	meta:
		name = "TSOAPDomConv.ReadRow"
		size = 618
		refs = "0039 @IntfAddRef 0049 TSOAPDomConv.ReadRow 005a ntElementChildCount 0081 SArrayTooManyElem 0086 LoadResString 0090 _DV_ESOAPDomConvertError 0095 Exception.CreateFmt 009a @RaiseExcept 00d2 GetTypeData 00da RemClassRegistry 00e3 TRemotableTypeRegistry.ClassToURI 00fc ntElementChild 011e TSOAPDomConv.ConvertSOAPToObject 016f TSOAPDomConv.ReadVariant 0177 GetTypeSize 01cc TSOAPDomConv.GetDataNode 01d7 @IntfCopy 01f0 TypeTranslator 01fa TTypeTranslator.CastSoapToNative 0220 @UStrClr 0228 @IntfClear 0235 @UStrArrayClr 024b IXMLNode 0255 @FinalizeArray 025b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 89 5D C4 89 5D CC 89 5D C8 89 5D F0 89 5D EC 89 5D E8 89 5D F4 89 4D F8 89 55 FC 89 45 E4 8B 5D 10 8B 75 14 8B 7D 18 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? 3B 07 7D 3C 8D 55 CC 8B 45 F8 8B 08 FF 51 54 8B 45 CC 89 45 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 0F B6 00 3C 07 0F 85 85 00 00 00 C7 45 D8 FF FF FF FF C7 45 DC FF FF FF FF 4E 85 F6 0F 8C 4C 01 00 00 46 8D 45 EC 50 8D 45 E2 50 6A 01 8B 45 0C E8 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8D 4D F0 5A E8 ?? ?? ?? ?? 8D 45 D8 50 8B 45 08 50 8D 45 F4 50 8D 4D DC 8B 17 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 00 50 8B 45 F0 50 8B 45 EC 50 53 8B 4D F4 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 89 03 83 C3 04 FF 07 4E 75 98 E9 DE 00 00 00 3C 0C 75 54 C7 45 D8 FF FF FF FF C7 45 DC FF FF FF FF 4E 85 F6 0F 8C C3 00 00 00 46 8D 45 D8 50 8B 45 08 50 8D 45 F4 50 8D 4D DC 8B 17 8B 45 F8 E8 ?? ?? ?? ?? 8B CB 8B 55 F4 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 03 C3 8B D8 FF 07 4E 75 C9 E9 86 00 00 00 C6 45 E3 00 C7 45 D8 FF FF FF FF C7 45 DC FF FF FF FF 4E 85 F6 7C 6F 46 8D 45 D8 50 8B 45 08 50 8D 45 F4 50 8D 4D DC 8B 17 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 45 C4 50 8B 4D F4 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F4 E8 ?? ?? ?? ?? 53 0F B6 45 E3 50 8D 55 C0 8B 45 F4 8B 08 FF 51 50 8B 4D C0 A1 ?? ?? ?? ?? 8B 00 8B 55 0C E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 03 C3 8B D8 FF 07 4E 75 92 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_49104_0 {
	meta:
		name = "TSOAPDomConv.ReadRectDynArrayElem"
		size = 299
		refs = "0022 @IntfAddRef 0032 TSOAPDomConv.ReadRectDynArrayElem 004d TSOAPDomConv.GetDataNode 0058 @IntfCopy 006e GetDynArrayLength 009d ntElementChildCount 00ac SArrayTooManyElem 00b1 LoadResString 00bb _DV_ESOAPDomConvertError 00c0 Exception.Create 00c5 @RaiseExcept 00de TSOAPDomConv.ReadRow 00f3 @UStrClr 00fb @IntfClear 010c IXMLNode 0116 @FinalizeArray 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 89 55 FC 8B F8 8B 5D 0C 8B 75 14 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8D 45 F0 50 8B 4D F8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F8 E8 ?? ?? ?? ?? 83 7D 10 01 7E 35 FF 4D 10 4E 85 F6 7C 78 46 8B 03 E8 ?? ?? ?? ?? 8B 55 18 52 50 8B 45 10 50 8B 03 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 83 C3 04 4E 75 D6 EB 4B 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 08 3B 02 7D 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 56 53 8B 45 18 50 6A 00 8B 4D F8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_49105_0 {
	meta:
		name = "TSOAPDomConv.ReadRectDynArray"
		size = 131
		refs = "0017 @IntfAddRef 0027 TSOAPDomConv.ReadRectDynArray 0038 GetDynArrayLength 004f TSOAPDomConv.ReadRectDynArrayElem 0065 IXMLNode 006f @FinalizeArray 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 75 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 8B C6 E8 ?? ?? ?? ?? 50 8B 45 10 50 56 8D 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_49106_0 {
	meta:
		name = "TSOAPDomConv.ConvertSoapToNativeArrayElem"
		size = 998
		refs = "0023 @IntfAddRef 0033 @DynArrayAddRef 003b TSOAPDomConv.ConvertSoapToNativeArrayElem 005c TSOAPDomConv.GetDataNode 0067 @IntfCopy 0079 @DynArrayLength 00b8 DynArraySetLength 00e9 TSOAPDomConv.ReadRectDynArray 0112 TNativeIntDynArray 0117 @DynArraySetLength 0177 ntElementChildCount 01e1 @OleVarFromInt 0231 GetDynArrayNextInfo 0354 TSOAPDomConv.ReadRow 0369 @VarClr 0372 IXMLNodeList 037c @FinalizeArray 0384 @IntfClear 0392 @DynArrayClear 039b IXMLNode 03ad @UStrClr 03b6 TSOAPArrayDesc 03d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E4 89 55 E8 89 45 EC 8B 45 20 E8 ?? ?? ?? ?? 8B 45 1C E8 ?? ?? ?? ?? 8B 45 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E0 8D 45 FC 50 8D 45 CC 50 8B 4D 1C 8B 55 20 8B 45 EC E8 ?? ?? ?? ?? 8B 55 CC 8D 45 1C E8 ?? ?? ?? ?? 83 7D 14 01 0F 8E E8 01 00 00 8B 45 18 E8 ?? ?? ?? ?? 85 C0 7E 71 8B 45 18 8B 55 10 80 3C D0 00 74 65 8B 45 0C 8B 00 89 45 D8 8B 45 18 8B 55 10 8B 44 D0 04 50 8B 45 18 8B 55 10 8B 44 D0 04 E8 ?? ?? ?? ?? 8B C8 8D 45 D8 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 D8 89 45 E0 8B 45 18 8B 55 10 8B 44 D0 04 E8 ?? ?? ?? ?? 8B F8 33 C0 8B 55 E4 52 57 8B 55 D8 52 50 8B 4D 1C 8B 55 20 8B 45 EC E8 ?? ?? ?? ?? E9 66 02 00 00 8B 45 0C 8B 00 89 45 D8 8B 45 18 E8 ?? ?? ?? ?? 85 C0 75 21 6A 01 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C7 45 D0 01 00 00 00 EB 38 8B 45 18 8B 55 10 8B 44 D0 04 E8 ?? ?? ?? ?? 50 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 18 8B 55 10 8B 44 D0 04 E8 ?? ?? ?? ?? 89 45 D0 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 17 43 33 F6 33 D2 8B 45 1C E8 ?? ?? ?? ?? 8B 55 F0 89 04 B2 46 4B 75 EC 8B 45 F0 50 8D 45 D8 8B 4D D0 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC 8B 45 D8 89 45 E0 FF 4D 14 FF 45 10 8D 55 C8 8B 45 1C 8B 08 FF 51 14 8B 45 C8 8B 10 FF 52 0C 8B D8 4B 85 DB 0F 8C 91 01 00 00 43 33 F6 8D 55 C4 8B 45 1C 8B 08 FF 51 14 8B 45 C4 50 8D 45 B4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 B4 8D 4D F4 58 8B 38 FF 57 10 8B 45 F4 8B 10 FF 52 38 3C 01 75 53 8D 45 FC 50 8D 45 F8 50 8B 4D F4 8B 55 20 8B 45 EC E8 ?? ?? ?? ?? 8B 45 20 50 8B 45 F8 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 DC 50 6A 00 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 8B 4D E4 8B 45 EC E8 ?? ?? ?? ?? 8B 55 DC 89 02 8B 45 DC 83 C0 04 89 45 DC 46 4B 0F 85 72 FF FF FF E9 FB 00 00 00 83 7D 14 01 0F 85 F1 00 00 00 8B 55 08 8B 45 1C E8 ?? ?? ?? ?? 8B F8 83 7D 0C 00 0F 84 DA 00 00 00 8B 45 0C 8B 00 89 45 D8 8B 45 18 E8 ?? ?? ?? ?? 85 C0 75 21 6A 01 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C7 45 D0 01 00 00 00 EB 38 8B 45 18 8B 55 10 8B 44 D0 04 E8 ?? ?? ?? ?? 50 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 18 8B 55 10 8B 44 D0 04 E8 ?? ?? ?? ?? 89 45 D0 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 18 43 33 F6 8B 55 08 8B 45 1C E8 ?? ?? ?? ?? 8B 55 F0 89 04 B2 46 4B 75 EB 8B 45 F0 50 8D 45 D8 8B 4D D0 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC 8B 45 D8 89 45 E0 33 C0 89 45 D4 85 FF 7E 1F 8D 45 D4 50 57 8B 45 DC 50 8B 45 E4 50 8B 45 08 50 8B 4D 1C 8B 55 20 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 1C 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8B 8B 45 E0 5F 5E 5B 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule function_49107_0 {
	meta:
		name = "TSOAPDomConv.ConvertSoapToNativeArray"
		size = 580
		refs = "0022 @IntfAddRef 0032 TSOAPDomConv.ConvertSoapToNativeArray 0049 TSOAPDomConv.GetElementType 0056 GetDynArrayElTypeInfo 0074 SNoArrayElemRTTI 0079 LoadResString 0083 _DV_ESOAPDomConvertError 0088 Exception.CreateFmt 008d @RaiseExcept 009b ByteArrayInfo 00ba @LStrFromUStr 00c5 DecodeBase64 00cd @DynArrayLength 00eb DynArraySetLength 00f9 Move 0115 SOAPEncodingNamespaces 0130 VarIsNull 013f @VarToUStr 0150 Pos 015f @UStrCopy 016a ParseDims 0190 TSOAPDomConv.ConvertSoapToNativeArrayElem 01a7 @UStrClr 01af @LStrClr 01bf @VarClr 01c8 TArray<System.Byte> 01cd @DynArrayClear 01da @UStrArrayClr 01e3 TSOAPArrayDesc 01f1 IXMLNode 01fb @FinalizeArray 0201 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 D4 8B D8 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8D 4D F4 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 8D 4D D0 8D 55 CC 8B C6 E8 ?? ?? ?? ?? 83 7D CC 00 75 31 8D 46 01 89 45 BC C6 45 C0 04 8D 45 BC 50 6A 00 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D D0 01 75 6E 8B 45 CC E8 ?? ?? ?? ?? 84 C0 74 62 8D 55 B0 8B 45 0C 8B 08 FF 51 50 8B 55 B0 8D 45 B4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 B4 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 89 45 C8 8B 45 D4 8B 00 89 45 C4 8D 45 C8 50 8D 45 C4 B9 01 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 EC 8B 4D C8 E8 ?? ?? ?? ?? 8B 5D C4 E9 91 00 00 00 8D 45 D8 50 F6 43 5A 01 0F 95 C0 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 0C 82 BA ?? ?? ?? ?? 8B 45 0C 8B 38 FF 97 84 00 00 00 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 75 2B 8D 45 F8 8D 55 D8 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 B9 FF FF FF 7F 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 FC 50 8B 45 D0 50 6A 00 8B 45 D4 50 8B 45 08 50 8B 4D CC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9C 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 61 00 72 00 72 00 61 00 79 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 }
	condition:
		$1
}

rule function_49108_0 {
	meta:
		name = "TSOAPDomConv.GetNewID"
		size = 22
		refs = "000c IntToStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 48 E8 ?? ?? ?? ?? FF 43 48 5E 5B C3 }
	condition:
		$1
}

rule function_49109_0 {
	meta:
		name = "TSOAPDomConv.CreateMultiRefNode"
		size = 460
		refs = "0026 @IntfAddRef 002e TSOAPDomConv.CreateMultiRefNode 0056 @OleVarFromUStr 00a7 @DynArrayLength 00c9 TMultiRefNodes 00ce @DynArraySetLength 00df @IntfCopy 0103 TXMLNodeArray 0135 OleVariant 013f @FinalizeArray 0147 @IntfClear 014d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 89 55 FC 8B F0 8B 7D 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 83 C9 FF 8B 55 F8 8B 45 FC 8B 18 FF 53 6C F6 46 5A 01 74 27 8D 45 E8 8B D7 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 08 8B 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 18 FF 93 A0 00 00 00 EB 1C 8D 45 D8 8B D7 E8 ?? ?? ?? ?? 8D 4D D8 8B 45 08 8B 00 BA ?? ?? ?? ?? 8B 18 FF 53 58 33 DB EB 0C 8B 46 54 8B 04 D8 3B 45 FC 74 0D 43 8B 46 54 E8 ?? ?? ?? ?? 3B D8 7C E8 8B 46 54 E8 ?? ?? ?? ?? 3B D8 75 28 8D 43 01 50 8D 46 54 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 54 8D 04 D8 8B 55 FC E8 ?? ?? ?? ?? 8B 46 54 8B 44 D8 04 E8 ?? ?? ?? ?? 8B F8 8D 47 01 50 8B 46 54 8D 44 D8 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 54 8B 44 D8 04 8D 04 B8 8B 55 08 8B 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 27 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 33 00 2F 00 30 00 35 00 2F 00 73 00 6F 00 61 00 70 00 2D 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_49110_0 {
	meta:
		name = "TSOAPDomConv.FinalizeMultiRefNodes"
		size = 306
		refs = "0014 TSOAPDomConv.FinalizeMultiRefNodes 0022 @DynArrayLength 0057 @IntfCopy 00ca TXMLNodeArray 00cf @DynArraySetLength 00e8 TMultiRefNodes 0105 @IntfClear 0116 IXMLNode 0120 @FinalizeArray 0126 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 54 E8 ?? ?? ?? ?? 48 85 C0 7C 7C 40 89 45 F0 33 DB 8B 46 54 8B 44 D8 04 E8 ?? ?? ?? ?? 48 85 C0 7C 5F 40 89 45 EC C7 45 F4 00 00 00 00 8D 45 FC 8B 56 54 8B 14 DA E8 ?? ?? ?? ?? 8D 45 F8 8B 56 54 8B 54 DA 04 8B 4D F4 8B 14 8A E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F8 8B 08 FF 51 44 8B 45 E8 3B 45 FC 74 16 8D 55 E4 8B 45 FC 8B 08 FF 51 14 8B 45 E4 8B 55 F8 8B 08 FF 51 18 FF 45 F4 FF 4D EC 75 AC 43 FF 4D F0 75 8A 8B 46 54 E8 ?? ?? ?? ?? 48 85 C0 7C 28 40 89 45 F0 33 DB 6A 00 8B 46 54 8D 44 D8 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 43 FF 4D F0 75 DE 6A 00 8D 46 54 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49111_0 {
	meta:
		name = "TSOAPDomConv.SerializationOptions"
		size = 48
		refs = "000f GetTypeData 0018 TSOAPDomConv.SerializationOptions"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 80 3E 07 75 14 8B C6 E8 ?? ?? ?? ?? 8B 10 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 06 8B 3D ?? ?? ?? ?? 8B C7 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_49112_0 {
	meta:
		name = "TSOAPDomConv.SerializationOptions"
		size = 54
		refs = "0011 TSOAPDomConv.SerializationOptions 0019 _Dn_TRemotable 0020 TObject.InheritsFrom"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 8B 03 89 C5 8B D5 8B C7 E8 ?? ?? ?? ?? 8B F0 8B 15 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 74 07 8B 43 08 0B C6 8B F0 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49113_0 {
	meta:
		name = "TSOAPDomConv.SerializationOptions"
		size = 23
		refs = "0005 RemTypeRegistry 000c TRemotableTypeRegistry.SerializeOptions"
	strings:
		$1 = { 53 56 8B DA E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_49114_0 {
	meta:
		name = "TSOAPDomConv.MultiRefObject"
		size = 124
		refs = "0016 TSOAPDomConv.SerializationOptions 0029 RemTypeRegistry 0030 TRemotableTypeRegistry.ClassOptions 003f TSOAPDomConv.MultiRefObject 0063 TRemotableTypeRegistry.IsClassScalar"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 59 40 74 04 33 C0 EB 5C 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 F7 C7 10 00 00 00 74 04 33 C0 EB 45 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? F6 43 58 02 74 1B 3C 02 74 17 A1 ?? ?? ?? ?? 23 43 58 8B 15 ?? ?? ?? ?? 3B D0 0F 95 C0 34 01 EB 02 33 C0 84 C0 74 10 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 34 01 EB 02 33 C0 5F 5E 5B C3 00 00 00 20 10 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_49115_0 {
	meta:
		name = "TSOAPDomConv.CreateObjectNode"
		size = 223
		refs = "001a @IntfAddRef 002a TSOAPDomConv.CreateObjectNode 003a _Dn_TRemotable 0041 TObject.InheritsFrom 0063 @UStrClr 00a2 TSOAPDomConv.ObjInstanceToSOAP 00b8 IXMLNode 00c2 @FinalizeArray 00ca @IntfClear 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B DA 8B F0 8B 7D 18 8B 45 FC E8 ?? ?? ?? ?? 8B 45 1C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 43 8B 15 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 74 32 85 F6 74 03 83 EE 90 56 57 8B 45 14 50 8B 45 10 50 0F B6 45 0C 50 8B 45 08 E8 ?? ?? ?? ?? 50 8D 45 F8 50 8B 4D 1C 8B 55 FC 8B C3 8B 18 FF 53 04 EB 2B 8B 45 1C 50 57 8B 45 14 50 8B 45 10 50 0F B6 45 0C 50 8B 45 08 E8 ?? ?? ?? ?? 50 8D 45 F4 50 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 1C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_49116_0 {
	meta:
		name = "HasFlagOnIndex"
		size = 11
	strings:
		$1 = { 8B 40 10 23 C2 3B D0 0F 94 C0 C3 }
	condition:
		$1
}

rule function_49117_0 {
	meta:
		name = "IsAttributeProperty"
		size = 81
		refs = "000e HasFlagOnIndex 001b IsStoredPropConst 0032 GetTypeData 003a _Dn_TRemotableXS 003f TObject.InheritsFrom"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 10 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0D 8B D6 33 C0 E8 ?? ?? ?? ?? 84 C0 75 24 80 FB 0C 74 1F 80 FB 07 75 1F 8B 06 8B 00 E8 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_49118_0 {
	meta:
		name = "IsUnboundedProperty"
		size = 40
		refs = "000b HasFlagOnIndex 0018 IsStoredPropConst"
	strings:
		$1 = { 53 8B D8 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 11 8B D3 33 C0 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_49124_0 {
	meta:
		name = "CreateNilNode"
		size = 200
		refs = "0020 @IntfAddRef 0028 CreateNilNode 004d @OleVarFromUStr 0057 XMLSchemaInstNameSpace 007d @VarClr 0085 @IntfClear 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F8 8B F2 89 45 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A FF 53 8B 4D F8 8B D6 8B 45 FC 8B 30 FF 56 70 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 50 8B 0D ?? ?? ?? ?? 8B 09 8B 03 BA ?? ?? ?? ?? 8B 18 FF 93 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6E 00 69 00 6C 00 00 00 }
	condition:
		$1
}

rule function_49125_0 {
	meta:
		name = "IsNilNode"
		size = 296
		refs = "0017 IsNilNode 0034 XMLSchemaInstNameSpace 004d VarIsNull 005a sOneAsWide 005f @VarFromWStr 006a @VarCmpEQ 007b @VarToUStr 0088 @UStrLAsg 00af CompareText 00d0 Variant 00da @FinalizeArray 00e7 @UStrArrayClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 94 C3 84 DB 0F 85 90 00 00 00 8D 45 E8 50 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? 8B C6 8B 30 FF 96 84 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 69 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D8 8D 45 E8 E8 ?? ?? ?? ?? 75 04 B0 01 EB 44 8D 45 FC 8D 55 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6E 00 69 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49126_0 {
	meta:
		name = "FindIndex"
		size = 29
	strings:
		$1 = { 56 8B F2 4E 85 F6 7C 10 46 33 D2 3B 0C 90 75 04 8B C2 5E C3 42 4E 75 F3 83 C8 FF 5E C3 }
	condition:
		$1
}

rule function_49127_0 {
	meta:
		name = "TSOAPDomConv.HasMultipleElemNamespaces"
		size = 1111
		refs = "0036 TSOAPDomConv.HasMultipleElemNamespaces 0049 InvStringDynArray 004e @DynArrayClear 0057 TIntegerDynArray 006c :TSOAPDomConv.:5 0071 @DynArraySetLength 00ab TObject.ClassParent 00b3 _Dn_TRemotable 00c2 TObject.InheritsFrom 00ce @DynArrayLength 0142 RemClassRegistry 015b TRemotableTypeRegistry.ClassToURI 0174 @UStrLAsg 0199 @UStrEqual 0207 GetTypeData 02c8 @GetMem 02e6 GetPropInfos 035a FindIndex 039b @FreeMem 03a1 @HandleFinally 0424 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 4D EC 89 55 F0 8B F0 8B 45 F0 85 C0 74 04 33 D2 89 10 8B 45 EC 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EB 00 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 E4 8B DE EB 30 8B 45 E4 40 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 55 E4 89 1C 90 FF 45 E4 8B C3 E8 ?? ?? ?? ?? 8B D8 3B 1D ?? ?? ?? ?? 74 11 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 B7 8B 45 FC E8 ?? ?? ?? ?? 83 F8 02 0F 8C 38 03 00 00 33 C0 89 45 E0 8B 7D E4 4F 3B 7D E0 7E 27 8B 45 FC 8B 1C B8 8B 45 FC 8B 55 E0 8B 04 90 8B 55 FC 89 04 BA 8B 45 FC 8B 55 E0 89 1C 90 FF 45 E0 4F 3B 7D E0 7F D9 8B 45 E4 50 8B 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 E4 48 85 C0 7C 35 40 89 45 D0 C7 45 E0 00 00 00 00 8D 45 F4 50 E8 ?? ?? ?? ?? 8B 55 F0 8B 12 8B 4D E0 8D 0C 8A 8B 55 FC 8B 5D E0 8B 14 9A E8 ?? ?? ?? ?? FF 45 E0 FF 4D D0 75 D6 33 FF 8D 45 F4 8B 55 F0 8B 12 8B 12 E8 ?? ?? ?? ?? 8B 45 E4 48 85 C0 7E 2A 89 45 D0 C7 45 E0 01 00 00 00 8B 45 F4 8B 55 F0 8B 12 8B 4D E0 8B 14 8A E8 ?? ?? ?? ?? 74 03 47 EB 08 FF 45 E0 FF 4D D0 75 E0 85 FF 75 1D 6A 00 8B 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 E9 48 02 00 00 8B 45 E4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 E4 48 85 C0 7C 33 40 89 45 D0 C7 45 E0 00 00 00 00 8B 45 FC 8B 55 E0 8B 04 90 83 C0 B8 8B 00 E8 ?? ?? ?? ?? 0F BF 40 08 8B 55 F8 8B 4D E0 89 04 8A FF 45 E0 FF 4D D0 75 D8 33 FF 8B 45 E4 83 E8 02 85 C0 7C 1C 40 89 45 D0 C7 45 E0 00 00 00 00 8B 45 F8 8B 55 E0 03 3C 90 FF 45 E0 FF 4D D0 75 EF 85 FF 75 1D 6A 00 8B 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 E9 AA 01 00 00 8B C6 83 C0 B8 8B 00 E8 ?? ?? ?? ?? 0F BF 40 08 89 45 DC 8B 45 DC 50 8B 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 DC 48 85 C0 7C 22 40 89 45 D0 C7 45 E0 00 00 00 00 8B 45 EC 8B 00 8B 55 E0 C7 04 90 FF FF FF FF FF 45 E0 FF 4D D0 75 E9 8B 45 DC 03 C0 03 C0 E8 ?? ?? ?? ?? 89 45 D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 C6 B8 8B 06 8B 55 D8 E8 ?? ?? ?? ?? 8B 45 E4 83 E8 02 85 C0 0F 8C BB 00 00 00 40 89 45 D0 C7 45 E0 00 00 00 00 8B 45 F8 8B 55 E0 8B 04 90 03 C0 03 C0 E8 ?? ?? ?? ?? 89 45 D4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 55 E0 8B 04 90 83 C0 B8 8B 00 8B 55 D4 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 E0 8B 34 90 4E 85 F6 7C 33 46 33 FF 8B 45 D4 8B 0C B8 8B 55 DC 8B 45 D8 E8 ?? ?? ?? ?? 83 F8 FF 74 16 8B 55 EC 8B 12 83 3C 82 FF 75 0B 8B 55 EC 8B 12 8B 4D E0 89 0C 82 47 4E 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 55 E0 8B 14 90 03 D2 03 D2 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 FF 45 E0 FF 4D D0 0F 85 50 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 DC 03 D2 03 D2 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 8B 45 DC 48 85 C0 7C 30 40 89 45 D0 C7 45 E0 00 00 00 00 8B 45 EC 8B 00 8B 55 E0 83 3C 90 FF 75 0F 8B 45 EC 8B 00 8B 55 E0 8B 4D E4 49 89 0C 90 FF 45 E0 FF 4D D0 75 DB C6 45 EB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 0F B6 45 EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49128_0 {
	meta:
		name = "TSOAPDomConv.ObjInstanceToSOAP"
		size = 3992
		refs = "0023 @IntfAddRef 003e TSOAPDomConv.ObjInstanceToSOAP 0052 TSOAPDomConv.GetNewID 0060 @UStrAsg 006b TSOAPDomConv.SerializationOptions 00cc @IntfCopy 00dd TSOAPDomConv.MultiRefObject 011c TSOAPDomConv.FindPrefixForURI 0126 @UStrClr 015b MakeNodeName 016c TSOAPDomConv.CreateMultiRefNode 022b @OleVarFromUStr 027d TSOAPDomConvHelper.GetObjectMetaclass 0292 TSOAPDomConvHelper.GetObjectInstance 02d4 TObject.InheritsFrom 02ec RemClassRegistry 02ff TRemotableTypeRegistry.ClassToURI 031d TSOAPDomConv.SetNodeTypeEx 0331 TSOAPDomConv.AddMultiRefNode 034d GetTypeData 0371 @GetMem 0394 GetPropInfos 03b7 TSOAPDomConv.GetObjectPropAsText 03ef IsOptionalProperty 0404 IsStoredProp 041a IsTextProperty 0462 RemTypeRegistry 047a UTF8ToUnicodeString 0485 @UStrLAsg 049d TRemotableTypeRegistry.GetExternalPropName 04aa INFOATTR_BEG_CHAR 04c4 GetRegInfo 052b IsRefProperty 0541 IsAttributeProperty 0565 TRemotableTypeRegistry.TypeInfoToXSD 0598 SRemTypeNotRegistered 059d LoadResString 05aa _DV_ESOAPDomConvertError 05af Exception.CreateFmt 05b4 @RaiseExcept 05c2 IsUnqualifiedProperty 062e TIntegerDynArray 0633 @DynArrayClear 063d InvStringDynArray 0650 TSOAPDomConv.HasMultipleElemNamespaces 06ac GetObjectProp 06ef ntElementChildCount 070b ntElementChild 0744 IsQualifiedProperty 077c TSOAPDomConv.AddNamespaceDecl 0839 CreateNilNode 0859 TSOAPDomConv.CreateNULLNode 087e _Dn_TRemotableXS 08b2 TSOAPDomConv.IsObjectWriting 08c6 TObject.ClassName 08ed SNoSerializeGraphs 093e TSOAPDomConvHelper.SetObjectInstance 094c TSOAPDomConvHelper.SetObjectMetaclass 0957 TSOAPDomConv.AddObjectAsWriting 09a5 TSOAPDomConv.CreateObjectNode 09bd TSOAPDomConv.RemoveObjectAsWriting 09c3 @HandleFinally 0a26 TSOAPDomConv.FindMultiRefNodeByInstance 0a64 @UStrCat3 0b2c GetDynArrayProp 0b49 IsUnboundedProperty 0baa TSOAPDomConv.ConvertNativeArrayToSoap 0bc8 GetVariantProp 0bfe TSOAPDomConv.ConvertVariantToSoap 0d81 TSOAPDomConv.CreateScalarNodeXS 0dac @FreeMem 0dcd OleVariant 0dd7 @FinalizeArray 0de7 @UStrArrayClr 0df2 @VarClr 0e24 IXMLNode 0ec8 @IntfClear"
	strings:
		$1 = { 55 8B EC 51 B9 2B 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D FC 89 55 90 89 45 94 8B 45 FC E8 ?? ?? ?? ?? 8B 45 20 E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 48 FF FF FF 8B 45 94 E8 ?? ?? ?? ?? 8B 95 48 FF FF FF 8B 45 0C E8 ?? ?? ?? ?? 8B 55 90 8B 45 94 E8 ?? ?? ?? ?? 89 85 72 FF FF FF F6 85 72 FF FF FF 01 0F 95 C0 88 85 78 FF FF FF F6 85 72 FF FF FF 08 0F 95 C0 F6 45 10 01 0F 95 C2 80 F2 01 88 95 7B FF FF FF F6 45 10 02 0F 95 C2 80 F2 01 88 95 7A FF FF FF F6 45 10 04 75 04 84 C0 74 04 33 C0 EB 02 B0 01 88 85 79 FF FF FF 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 90 8B 12 89 D0 8B D0 8B 45 94 E8 ?? ?? ?? ?? 8B D8 8B 45 94 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 75 09 0F B6 85 7B FF FF FF EB 02 33 C0 84 C0 74 1A 8B 45 18 50 6A 01 8D 45 E4 50 8B 4D 20 8B 55 F8 8B 45 94 E8 ?? ?? ?? ?? EB 08 8D 45 E4 E8 ?? ?? ?? ?? 80 BD 78 FF FF FF 00 0F 85 16 01 00 00 84 DB 74 3A 8B 45 94 F6 40 5A 01 75 31 8B 45 0C 8B 00 50 8D 45 F4 50 8D 8D 44 FF FF FF 8B 55 1C 8B 45 E4 E8 ?? ?? ?? ?? 8B 8D 44 FF FF FF 8B 55 FC 8B 45 94 E8 ?? ?? ?? ?? E9 E3 00 00 00 8B 45 94 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 74 3B 83 7D 18 00 75 17 6A 00 6A FF 8D 45 F4 50 33 C9 8B 55 1C 8B 45 20 8B 30 FF 56 70 EB 6A 0F B6 85 7B FF FF FF 50 6A FF 8D 45 F4 50 8B 4D 18 8B 55 1C 8B 45 20 8B 30 FF 56 70 EB 4C 80 BD 7B FF FF FF 00 75 06 83 7D E4 00 74 28 8D 45 F4 50 8D 8D 40 FF FF FF 8B 55 1C 8B 45 E4 E8 ?? ?? ?? ?? 8B 95 40 FF FF FF 83 C9 FF 8B 45 20 8B 30 FF 56 6C EB 15 6A 00 6A FF 8D 45 F4 50 33 C9 8B 55 1C 8B 45 20 8B 30 FF 56 70 84 DB 74 42 8B 45 94 F6 40 5A 01 74 39 8D 85 30 FF FF FF 8B 55 0C 8B 12 E8 ?? ?? ?? ?? 8D 85 30 FF FF FF 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 8B 30 FF 96 A0 00 00 00 EB 0B 8D 45 F4 8B 55 20 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 94 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 74 0F 8B 45 94 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 EB 02 33 C0 84 C0 74 10 8B 45 94 E8 ?? ?? ?? ?? 3B 45 90 0F 94 C0 EB 02 33 C0 84 C0 74 16 8B 45 90 8B 00 89 C6 8B 45 94 E8 ?? ?? ?? ?? 3B F0 0F 95 C0 EB 02 33 C0 84 C0 74 1A 8B 45 90 8B 00 89 C6 8B 45 94 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 02 33 C0 88 85 69 FF FF FF 80 BD 79 FF FF FF 00 74 36 E8 ?? ?? ?? ?? 8B 4D 90 8B 09 89 CA 8D 4D E0 51 8D 4D DC E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 E0 50 0F B6 85 69 FF FF FF 50 8B 4D F4 8B 55 F8 8B 45 94 E8 ?? ?? ?? ?? 84 DB 74 10 8B 55 0C 8B 12 8B 4D 90 8B 45 94 E8 ?? ?? ?? ?? 80 BD 7A FF FF FF 00 0F 84 76 0A 00 00 8B 45 90 8B 00 83 C0 B8 8B 00 E8 ?? ?? ?? ?? 0F BF 40 08 89 45 88 83 7D 88 00 0F 8E 56 0A 00 00 C6 85 5F FF FF FF 00 8B 45 88 03 C0 03 C0 E8 ?? ?? ?? ?? 89 45 84 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 90 8B 00 83 C0 B8 8B 00 8B 55 84 E8 ?? ?? ?? ?? F6 85 72 FF FF FF 10 74 2A 83 7D 88 01 75 24 8D 45 CC 50 8B 45 84 8B 08 8B 55 90 8B 45 94 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F4 8B 08 FF 51 68 E9 C9 09 00 00 8B 45 88 48 85 C0 0F 8C BD 09 00 00 40 89 85 58 FF FF FF C7 45 8C 00 00 00 00 8B 45 84 8B 55 8C 8B 04 90 E8 ?? ?? ?? ?? 84 C0 74 19 8B 45 84 8B 55 8C 8B 14 90 8B 45 90 E8 ?? ?? ?? ?? 84 C0 0F 84 75 09 00 00 8B 45 84 8B 55 8C 8B 04 90 E8 ?? ?? ?? ?? 84 C0 74 28 8D 45 CC 50 8B 45 84 8B 55 8C 8B 0C 90 8B 55 90 8B 45 94 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 F4 8B 08 FF 51 68 E9 3B 09 00 00 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? C6 85 5D FF FF FF 00 E8 ?? ?? ?? ?? 8B D8 8B 45 84 8B 55 8C 8B 04 90 8D 70 1A 8D 55 B4 8B C6 E8 ?? ?? ?? ?? 8D 45 B8 8B 55 B4 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 90 8B 00 83 C0 B8 8B 10 8B 4D B8 8B C3 E8 ?? ?? ?? ?? 8B 45 C8 0F B7 00 66 3B 05 ?? ?? ?? ?? 75 6A 8D 45 C4 8B 55 C8 E8 ?? ?? ?? ?? 8D 4D C8 33 D2 8B 45 C4 E8 ?? ?? ?? ?? 84 C0 75 36 8B 45 84 8B 55 8C 8B 04 90 83 C0 1A 89 85 54 FF FF FF 8D 55 AC 8B 85 54 FF FF FF E8 ?? ?? ?? ?? 8D 45 B0 8B 55 AC E8 ?? ?? ?? ?? 8D 45 C8 8B 55 B0 E8 ?? ?? ?? ?? 8D 4D D0 B2 05 8B 45 C4 E8 ?? ?? ?? ?? 84 C0 74 07 C6 85 5D FF FF FF 01 8B 45 84 8B 55 8C 8B 04 90 8B 10 8B 12 0F B6 1A E8 ?? ?? ?? ?? 88 85 6A FF FF FF 8B 45 84 8B 55 8C 8B 14 90 8B C3 E8 ?? ?? ?? ?? 88 85 77 FF FF FF 8D 45 D8 50 E8 ?? ?? ?? ?? 8B 55 84 8B 4D 8C 8B 14 8A 8B 12 8B 12 8D 4D D4 E8 ?? ?? ?? ?? 84 C0 75 4B 8B 45 84 8B 55 8C 8B 04 90 8B 00 8B 00 40 89 85 28 FF FF FF C6 85 2C FF FF FF 04 8D 85 28 FF FF FF 50 6A 00 8D 95 24 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 24 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 84 8B 55 8C 8B 04 90 E8 ?? ?? ?? ?? 84 C0 0F 85 C6 00 00 00 80 BD 5D FF FF FF 00 0F 85 B9 00 00 00 8B 45 94 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 0F 84 94 00 00 00 80 BD 6A FF FF FF 00 74 10 8D 45 D0 8B 55 D4 E8 ?? ?? ?? ?? E9 86 00 00 00 C6 85 5E FF FF FF 00 80 BD 5F FF FF FF 00 75 3C 8B 45 90 8B 00 89 85 50 FF FF FF 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 85 50 FF FF FF 59 E8 ?? ?? ?? ?? 88 85 5E FF FF FF 80 BD 5E FF FF FF 00 74 19 8D 45 D0 8B 55 C0 8B 4D 8C 8B 14 8A 8B 4D BC 8B 14 91 E8 ?? ?? ?? ?? EB 18 8D 45 D0 8B 55 14 E8 ?? ?? ?? ?? EB 0B 8D 45 D0 8B 55 D4 E8 ?? ?? ?? ?? 80 FB 07 0F 85 79 04 00 00 8B 45 84 8B 55 8C 8B 14 90 33 C9 8B 45 90 E8 ?? ?? ?? ?? 89 45 80 80 BD 77 FF FF FF 00 0F 84 1E 01 00 00 83 7D 80 00 0F 84 BB 06 00 00 8D 55 CC 8B 45 80 8B 08 FF 51 0C 8D 45 EC 8B 55 F4 E8 ?? ?? ?? ?? F6 85 72 FF FF FF 02 74 26 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 7E 18 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 4A 8D 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 CC 50 8B 45 84 8B 55 8C 8B 0C 90 8B 55 90 8B 45 94 E8 ?? ?? ?? ?? 8B 45 94 F6 40 59 01 74 0A 83 7D CC 00 0F 84 4B 06 00 00 8B 45 84 8B 55 8C 8B 04 90 E8 ?? ?? ?? ?? 0A 85 5D FF FF FF 74 6A 8B 45 D0 50 6A 01 8D 45 E4 50 8B 4D EC 8B 55 FC 8B 45 94 E8 ?? ?? ?? ?? 83 7D E4 00 75 12 8D 45 E4 50 8B 4D D0 8B 55 EC 8B 45 94 E8 ?? ?? ?? ?? 8D 8D 20 FF FF FF 8B 55 C8 8B 45 E4 E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 50 8D 85 10 FF FF FF 8B 55 CC E8 ?? ?? ?? ?? 8D 8D 10 FF FF FF 8B 45 EC 5A 8B 18 FF 53 58 E9 CB 05 00 00 8D 85 00 FF FF FF 8B 55 CC E8 ?? ?? ?? ?? 8D 8D 00 FF FF FF 8B 55 C8 8B 45 EC 8B 18 FF 53 58 E9 A7 05 00 00 83 7D 80 00 75 7E 8B 45 94 F6 40 59 01 0F 85 94 05 00 00 8B 45 94 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 74 11 0F B6 85 6A FF FF FF 34 01 88 85 4F FF FF FF EB 07 C6 85 4F FF FF FF 00 80 BD 4F FF FF FF 00 74 1A 8D 85 FC FE FF FF 50 8B 4D D0 8B 55 C8 8B 45 F4 E8 ?? ?? ?? ?? E9 43 05 00 00 8B 45 C8 50 6A 00 8D 85 F8 FE FF FF 50 8B 4D F4 8B 55 FC 8B 45 94 E8 ?? ?? ?? ?? E9 23 05 00 00 8B 45 84 8B 55 8C 8B 04 90 8B 00 8B 00 E8 ?? ?? ?? ?? 8B 00 89 85 6C FF FF FF 8B 15 ?? ?? ?? ?? 8B 85 6C FF FF FF E8 ?? ?? ?? ?? 88 85 76 FF FF FF 8B 95 6C FF FF FF 8B 45 94 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 85 4F 01 00 00 8B 55 80 8B 45 94 E8 ?? ?? ?? ?? 84 C0 74 53 8D 95 F4 FE FF FF 8B 45 80 8B 00 E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 89 85 28 FF FF FF C6 85 2C FF FF FF 11 8D 85 28 FF FF FF 50 6A 00 8D 95 F0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 94 E8 ?? ?? ?? ?? 89 85 64 FF FF FF 8B 45 94 E8 ?? ?? ?? ?? 89 85 60 FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 80 8B 45 94 E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B 45 94 E8 ?? ?? ?? ?? 8B 55 80 8B 45 94 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BD 76 FF FF FF 00 74 0D 0F B6 05 ?? ?? ?? ?? 0A 45 10 88 45 10 8B 45 F4 50 8B 45 C8 50 8B 45 D0 50 8B 45 D4 50 0F B6 45 10 50 8D 85 EC FE FF FF 50 8B 4D FC 8B 55 80 8B 45 94 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 80 8B 45 94 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 95 64 FF FF FF 8B 45 94 E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8B 45 94 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B 45 94 F6 40 5A 01 0F 85 8A 00 00 00 6A 00 6A FF 8D 45 F0 50 33 C9 8B 55 C8 8B 45 F4 8B 18 FF 53 70 8D 4D E8 8B 55 80 8B 45 94 E8 ?? ?? ?? ?? 83 7D E8 00 75 25 8B 45 F4 50 8B 45 C8 50 8B 45 D4 50 6A 00 0F B6 45 10 50 8D 45 E8 50 8B 4D FC 8B 55 80 8B 45 94 E8 ?? ?? ?? ?? 8D 85 D8 FE FF FF 8B 4D E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 D8 FE FF FF 8D 85 DC FE FF FF E8 ?? ?? ?? ?? 8D 8D DC FE FF FF BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 58 E9 F4 02 00 00 8D 4D E8 8B 55 80 8B 45 94 E8 ?? ?? ?? ?? 83 7D E8 00 74 44 6A 00 6A FF 8D 45 F0 50 33 C9 8B 55 C8 8B 45 F4 8B 18 FF 53 70 8D 85 C8 FE FF FF 8B 55 E8 E8 ?? ?? ?? ?? 8D 85 C8 FE FF FF 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 93 A0 00 00 00 E9 9C 02 00 00 8B 45 F4 50 8B 45 C8 50 8B 45 D4 50 6A 00 0F B6 45 10 50 8D 85 C4 FE FF FF 50 8B 4D FC 8B 55 80 8B 45 94 E8 ?? ?? ?? ?? E9 6F 02 00 00 80 FB 11 0F 85 94 00 00 00 8B 45 84 8B 55 8C 8B 14 90 8B 45 90 E8 ?? ?? ?? ?? 89 85 7C FF FF FF F6 85 72 FF FF FF 04 75 16 8B 45 84 8B 55 8C 8B 04 90 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 85 6B FF FF FF 80 BD 6B FF FF FF 00 75 11 83 7D C4 00 74 0B 8D 45 D4 8B 55 C4 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 45 D0 50 8B 45 D4 50 8B 45 84 8B 55 8C 8B 04 90 8B 00 8B 00 50 8D 85 7C FF FF FF 50 0F B6 85 6B FF FF FF 50 8B 4D F4 8B 55 FC 8B 45 94 E8 ?? ?? ?? ?? E9 D2 01 00 00 80 FB 0C 75 72 8B 45 84 8B 55 8C 8B 14 90 8D 4D 98 8B 45 90 E8 ?? ?? ?? ?? 8B 45 94 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 74 25 8B 45 C8 50 8B 45 D0 50 6A 00 6A 00 8D 45 98 50 6A 01 8B 4D F4 8B 55 FC 8B 45 94 E8 ?? ?? ?? ?? E9 7E 01 00 00 8B 45 C8 50 6A 00 6A 00 6A 00 8D 45 98 50 6A 01 8B 4D F4 8B 55 FC 8B 45 94 E8 ?? ?? ?? ?? E9 5B 01 00 00 80 BD 77 FF FF FF 00 0F 84 03 01 00 00 8D 45 EC 8B 55 F4 E8 ?? ?? ?? ?? F6 85 72 FF FF FF 02 74 26 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 7E 18 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 4A 8D 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 CC 50 8B 45 84 8B 55 8C 8B 0C 90 8B 55 90 8B 45 94 E8 ?? ?? ?? ?? 8B 45 94 F6 40 59 01 74 0A 83 7D CC 00 0F 84 E9 00 00 00 8B 45 84 8B 55 8C 8B 04 90 E8 ?? ?? ?? ?? 0A 85 5D FF FF FF 74 67 8B 45 D0 50 6A 01 8D 45 E4 50 8B 4D EC 8B 55 FC 8B 45 94 E8 ?? ?? ?? ?? 83 7D E4 00 75 12 8D 45 E4 50 8B 4D D0 8B 55 EC 8B 45 94 E8 ?? ?? ?? ?? 8D 8D C0 FE FF FF 8B 55 C8 8B 45 E4 E8 ?? ?? ?? ?? 8B 85 C0 FE FF FF 50 8D 85 B0 FE FF FF 8B 55 CC E8 ?? ?? ?? ?? 8D 8D B0 FE FF FF 8B 45 EC 5A 8B 18 FF 53 58 EB 6C 8D 85 A0 FE FF FF 8B 55 CC E8 ?? ?? ?? ?? 8D 8D A0 FE FF FF 8B 55 C8 8B 45 EC 8B 18 FF 53 58 EB 4B 8D 45 CC 50 8B 45 84 8B 55 8C 8B 0C 90 8B 55 90 8B 45 94 E8 ?? ?? ?? ?? 8B 45 94 F6 40 59 01 74 06 83 7D CC 00 74 24 8B 45 C8 50 8B 45 D0 50 8B 45 D8 50 8B 45 CC 50 6A 00 8D 45 F0 50 8B 4D F4 8B 55 FC 8B 45 94 E8 ?? ?? ?? ?? FF 45 8C FF 8D 58 FF FF FF 0F 85 51 F6 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 88 03 D2 03 D2 8B 45 84 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A0 FE FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 C0 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 C8 FE FF FF E8 ?? ?? ?? ?? 8D 85 D8 FE FF FF E8 ?? ?? ?? ?? 8D 85 DC FE FF FF E8 ?? ?? ?? ?? 8D 85 EC FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 00 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 20 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 8D 85 40 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 AC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C4 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 20 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 EE FE FF FF 5E 5B 8B E5 5D C2 1C 00 00 20 10 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 33 00 2F 00 30 00 35 00 2F 00 73 00 6F 00 61 00 70 00 2D 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 72 00 65 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 72 00 65 00 66 00 00 00 }
	condition:
		$1
}

rule function_49129_0 {
	meta:
		name = "TSOAPDomConv.ConvertObjectToSOAP"
		size = 908
		refs = "0024 @IntfAddRef 0034 TSOAPDomConv.ConvertObjectToSOAP 0053 _Dn_TRemotable 0058 TObject.InheritsFrom 0069 TObject.ClassName 0081 SUnsuportedClassType 0086 LoadResString 0090 _DV_ESOAPDomConvertError 0095 Exception.CreateFmt 009a @RaiseExcept 00b8 TSOAPDomConv.CreateNULLNode 00c2 RemClassRegistry 00db TRemotableTypeRegistry.ClassToURI 0104 SRemTypeNotRegistered 012b TSOAPDomConv.MultiRefObject 013e TSOAPDomConv.IsObjectWriting 0167 SNoSerializeGraphs 018b TSOAPDomConv.AddObjectAsWriting 01d9 TSOAPDomConv.CreateObjectNode 021b TSOAPDomConv.RemoveObjectAsWriting 0221 @HandleFinally 0231 TSOAPDomConv.FindMultiRefNodeByInstance 02c0 @UStrCat3 02cb @OleVarFromUStr 02f0 @UStrClr 02f8 @VarClr 0305 @UStrArrayClr 030d @IntfClear 0338 IXMLNode 0342 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E4 89 55 E8 89 45 EC 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 8B 00 89 45 E0 83 7D E0 00 74 52 8B 45 E0 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 3E 8D 55 D4 8B 45 E0 8B 00 E8 ?? ?? ?? ?? 8B 45 D4 89 45 D8 C6 45 DC 11 8D 45 D8 50 6A 00 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E0 00 75 1D 8B 45 E8 50 6A 00 8D 45 CC 50 8B 4D 08 8B 55 0C 8B 45 EC E8 ?? ?? ?? ?? E9 1E 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 75 E0 8B 06 89 C7 8D 45 F0 50 8D 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3E 8D 55 C8 8B 45 E0 8B 00 E8 ?? ?? ?? ?? 8B 45 C8 89 45 D8 C6 45 DC 11 8D 45 D8 50 6A 00 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 D0 8B D0 8B 45 EC E8 ?? ?? ?? ?? 84 C0 0F 85 F0 00 00 00 8B 55 E0 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 3E 8D 55 C0 8B 45 E0 8B 00 E8 ?? ?? ?? ?? 8B 45 C0 89 45 D8 C6 45 DC 11 8D 45 D8 50 6A 00 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 74 2C 8B 45 08 50 8B 45 E8 50 8B 45 E4 50 8B 45 F4 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 B8 50 8B 4D 0C 8B 55 E0 8B 45 EC E8 ?? ?? ?? ?? EB 28 8B 45 08 50 8B 45 E8 50 8B 45 F4 50 6A 00 0F B6 05 ?? ?? ?? ?? 50 8D 45 B4 50 8B 4D 0C 8B 55 E0 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 E0 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8D 4D F8 8B 55 E0 8B 45 EC E8 ?? ?? ?? ?? 83 7D F8 00 75 5B 8B 45 EC F6 40 5A 01 75 2A 8B 45 08 50 8B 45 F0 50 8B 45 F4 50 6A 00 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 8B 4D 0C 8B 55 E0 8B 45 EC E8 ?? ?? ?? ?? EB 28 8B 45 08 50 8B 45 E8 50 8B 45 F4 50 6A 00 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 8B 4D 0C 8B 55 E0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC F6 40 5A 01 75 40 6A 00 6A FF 8D 45 FC 50 33 C9 8B 55 E8 8B 45 08 8B 18 FF 53 70 8D 45 A0 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 8D 45 A4 E8 ?? ?? ?? ?? 8D 4D A4 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 B4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9E 5F 5E 5B 8B E5 5D C2 10 00 00 20 10 00 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 72 00 65 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_49130_0 {
	meta:
		name = "IsBooleanTypeInfo"
		size = 44
		refs = "0006 GetTypeData 0023 Boolean"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 78 01 00 0F 9C C0 84 C0 75 15 8B C3 E8 ?? ?? ?? ?? 8B 40 09 8B 00 3B 05 ?? ?? ?? ?? 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_49131_0 {
	meta:
		name = "TSOAPDomConv.GetObjectPropAsText"
		size = 1100
		refs = "001e TSOAPDomConv.GetObjectPropAsText 0090 GetOrdProp 009c IntToStr 00aa GetFloatProp 00b8 TDateTime 00d1 DateTimeToXMLTime 00e9 FloatToStrEx 00fa GetWideStrProp 0105 @UStrFromWStr 0116 GetAnsiStrProp 0121 @UStrFromLStr 0132 GetUnicodeStrProp 0140 GetInt64Prop 0165 GetEnumProp 016e IsBooleanTypeInfo 017f LowerCase 018a @UStrAsg 0198 RemTypeRegistry 01a6 TRemotableTypeRegistry.GetExternalPropName 01cb @UStrFromWChar 01f1 GetTypeData 01f9 _Dn_TRemotableXS 01fe TObject.InheritsFrom 0211 GetObjectProp 0233 GetDynArrayProp 0241 @UStrClr 0255 GetDynArrayElTypeInfo 0263 ByteArrayInfo 0278 KindNameArray 029e Format 02b6 SUnexpectedDataType 02bb LoadResString 02c5 _DV_ESOAPDomConvertError 02ca Exception.CreateFmt 02cf @RaiseExcept 02d6 GetDynArrayLength 02e4 EncodeBase64 03e0 @UStrArrayClr 03e8 @LStrClr 0415 @WStrClr 041b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0D 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B 38 0F B6 07 83 F8 12 0F 87 2A 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 55 08 8B C3 E8 ?? ?? ?? ?? E9 25 03 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? DB 7D F0 9B 8B 03 8B 00 3B 05 ?? ?? ?? ?? 75 1C DB 6D F0 DD 5D E0 9B FF 75 E4 FF 75 E0 8B 55 08 B0 01 E8 ?? ?? ?? ?? E9 F0 02 00 00 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8B 45 08 E8 ?? ?? ?? ?? E9 D8 02 00 00 8D 4D D4 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 08 E8 ?? ?? ?? ?? E9 BC 02 00 00 8D 4D D0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 08 E8 ?? ?? ?? ?? E9 A0 02 00 00 8B 4D 08 8B D3 8B C6 E8 ?? ?? ?? ?? E9 8F 02 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC FF 75 EC FF 75 E8 8B 45 08 E8 ?? ?? ?? ?? E9 6D 02 00 00 8B 4D 08 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 03 8B 00 E8 ?? ?? ?? ?? 84 C0 74 1D 8D 55 CC 8B 45 08 8B 00 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 08 E8 ?? ?? ?? ?? E9 37 02 00 00 8D 45 C8 50 E8 ?? ?? ?? ?? 8B 4D 08 8B 09 8B 13 8B 12 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 08 E8 ?? ?? ?? ?? E9 10 02 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B D3 E8 ?? ?? ?? ?? E9 F6 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B D3 E8 ?? ?? ?? ?? E9 DC 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C0 01 00 00 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 AB 01 00 00 8B 55 08 8B C3 8B 08 FF 51 0C E9 9C 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 75 0D 8B 45 08 E8 ?? ?? ?? ?? E9 80 01 00 00 8D 4D D8 8D 55 DC 8B 03 8B 00 E8 ?? ?? ?? ?? 83 7D D8 01 75 0C 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 68 8D 45 BC 50 8B 03 8B 30 0F B6 06 8B 15 ?? ?? ?? ?? 8B 04 82 89 45 AC C6 45 B0 11 8D 46 01 89 45 B4 C6 45 B8 04 8D 55 AC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 89 45 C0 C6 45 C4 11 8D 45 C0 50 6A 00 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 8D 4D A4 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 A4 8B 45 08 E8 ?? ?? ?? ?? E9 D2 00 00 00 8D 45 A0 50 8B 03 8B 30 0F B6 06 8B 15 ?? ?? ?? ?? 8B 04 82 89 45 AC C6 45 B0 11 8D 46 01 89 45 B4 C6 45 B8 04 8D 55 AC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 89 45 C0 C6 45 C4 11 8D 45 C0 50 6A 00 8D 55 9C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 9C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 68 8D 45 98 50 8B 03 8B 30 0F B6 06 8B 15 ?? ?? ?? ?? 8B 04 82 89 45 AC C6 45 B0 11 8D 46 01 89 45 B4 C6 45 B8 04 8D 55 AC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 89 45 C0 C6 45 C4 11 8D 45 C0 50 6A 00 8D 55 94 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 94 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B6 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 3A 00 28 00 25 00 73 00 29 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_49132_0 {
	meta:
		name = "TSOAPDomConv.GetTypeBySchemaNS"
		size = 192
		refs = "0018 @IntfAddRef 0020 TSOAPDomConv.GetTypeBySchemaNS 0041 VarIsNull 0058 XMLSchemaInstNamespaces 0093 @IntfClear 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 4D F8 BA ?? ?? ?? ?? 8B 45 FC 8B 38 FF 97 84 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 39 F6 43 58 08 74 33 C7 45 F4 03 00 00 00 8B 1D ?? ?? ?? ?? 56 8B 0B BA ?? ?? ?? ?? 8B 45 FC 8B 38 FF 97 84 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 83 C3 04 FF 4D F4 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49133_0 {
	meta:
		name = "TSOAPDomConv.GetElementType"
		size = 492
		refs = "0022 @IntfAddRef 002a TSOAPDomConv.GetElementType 0037 @UStrClr 005f SOAPEncodingNamespaces 0067 @UStrEqual 007f ExtractLocalName 00a8 @UStrAsg 00c6 XMLSchemaInstNameSpace 00d2 TSOAPDomConv.GetTypeBySchemaNS 00da VarIsNull 0105 @VarToUStr 010d IsPrefixed 0132 ExtractPrefix 0188 @UStrArrayClr 0190 @VarClr 01a5 @IntfClear 01ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 DB 8D 55 DC 8B 45 FC 8B 08 FF 51 30 8B 45 DC F6 47 5A 01 0F 95 C2 83 E2 7F 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 75 53 8D 55 D4 8B 45 FC 8B 08 FF 51 34 8B 45 D4 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2E 8B C6 F6 47 5A 01 0F 95 C2 83 E2 7F 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 E9 B2 00 00 00 8D 45 E0 50 8B 0D ?? ?? ?? ?? 8B 09 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 74 10 8D 4D E0 BA ?? ?? ?? ?? 8B 45 FC 8B 38 FF 57 0C 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 75 74 8D 45 F8 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 3B 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 08 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D CC 8B 55 F4 8B 45 FC 8B 18 FF 53 7C 8B 55 CC 8B C6 E8 ?? ?? ?? ?? EB 20 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 FC 8B 08 FF 51 30 8B 55 C8 8B C6 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 8B C3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 72 00 72 00 61 00 79 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49134_0 {
	meta:
		name = "TSOAPDomConv.SetObjectPropFromText"
		size = 920
		refs = "002b TSOAPDomConv.SetObjectPropFromText 009c StrToInt 00a7 SetOrdProp 00b2 TDateTime 00be XMLTimeToDateTime 00cc StrToFloatEx 00e4 SetFloatProp 00f4 @WStrFromUStr 0100 SetWideStrProp 0115 @LStrFromUStr 0121 SetAnsiStrProp 0132 SetUnicodeStrProp 013f StrToInt64 0154 SetInt64Prop 0165 SetEnumPropExW 018f GetTypeData 0197 _Dn_TRemotableXS 019c TObject.InheritsFrom 01af GetObjectProp 01d3 SetObjectProp 01ef GetDynArrayElTypeInfo 01fd ByteArrayInfo 0212 KindNameArray 0238 Format 0250 SUnexpectedDataType 0255 LoadResString 025f _DV_ESOAPDomConvertError 0264 Exception.CreateFmt 0269 @RaiseExcept 0284 DecodeBase64 0290 SetDynArrayProp 032a @UStrArrayClr 0332 @LStrClr 033a @UStrClr 0352 @WStrClr 035b TArray<System.Byte> 0360 @DynArrayClear 0366 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 DB 89 5D AC 89 5D B0 89 5D B4 89 5D CC 89 5D B8 89 5D D8 89 5D DC 89 5D FC 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B 38 0F B6 07 83 F8 12 0F 87 91 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? E9 64 02 00 00 3B 3D ?? ?? ?? ?? 75 10 33 D2 8B 45 08 E8 ?? ?? ?? ?? DB 7D F0 9B EB 0C 8B 45 08 E8 ?? ?? ?? ?? DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8B D3 8B C6 E8 ?? ?? ?? ?? E9 27 02 00 00 8D 45 DC 8B 55 08 E8 ?? ?? ?? ?? 8B 4D DC 8B D3 8B C6 E8 ?? ?? ?? ?? E9 0B 02 00 00 8D 45 D8 8B 55 08 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D D8 8B D3 8B C6 E8 ?? ?? ?? ?? E9 EA 01 00 00 8B 4D 08 8B D3 8B C6 E8 ?? ?? ?? ?? E9 D9 01 00 00 8B 45 08 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC FF 75 EC FF 75 E8 8B D3 8B C6 E8 ?? ?? ?? ?? E9 B7 01 00 00 8B 4D 08 8B D3 8B C6 E8 ?? ?? ?? ?? E9 A6 01 00 00 83 7D 08 00 0F 84 9C 01 00 00 8B 45 08 0F B7 08 8B D3 8B C6 E8 ?? ?? ?? ?? E9 88 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 6C 01 00 00 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 75 1E 8B 03 8B 00 E8 ?? ?? ?? ?? 8B 00 B2 01 FF 10 8B F8 6A 01 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 08 8B C7 8B 08 FF 51 10 E9 2E 01 00 00 8D 4D E0 8D 55 E4 8B C7 E8 ?? ?? ?? ?? 83 7D E0 01 75 0C 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 68 8D 45 CC 50 8B 03 8B 30 0F B6 06 8B 15 ?? ?? ?? ?? 8B 04 82 89 45 BC C6 45 C0 11 8D 46 01 89 45 C4 C6 45 C8 04 8D 55 BC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B4 8B 55 08 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 B4 8D 55 FC E8 ?? ?? ?? ?? 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? EB 7E 8B 03 8B 00 0F B6 00 8B 15 ?? ?? ?? ?? 8B 04 82 89 45 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3E 8B 03 8B 00 0F B6 00 8B 15 ?? ?? ?? ?? 8B 04 82 89 45 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D AC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 3A 00 28 00 25 00 73 00 29 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_49136_0 {
	meta:
		name = "TSOAPDomConv.UnhandledNode"
		size = 87
		refs = "0011 @UStrAddRef 0019 TSOAPDomConv.UnhandledNode 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 6A 00 74 0B 8B 4D FC 8B D6 8B 43 6C FF 53 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_49137_0 {
	meta:
		name = "TSOAPDomConv.LoadObject"
		size = 143
		refs = "0011 @IntfAddRef 0021 TSOAPDomConv.LoadObject 002d _Dn_TRemotable 0034 TObject.InheritsFrom 005f TSOAPDomConv.InitObjectFromSOAP 0074 @IntfClear 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 84 C0 74 17 85 DB 74 03 83 EB 90 53 8B 4D 08 8B 55 FC 8B C6 8B 18 FF 53 08 EB 10 8B 45 08 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_49138_0 {
	meta:
		name = "FindPropNodeIndex"
		size = 262
		refs = "001d FindPropNodeIndex 006e @OleVarFromInt 0090 ExtractLocalName 009f @UStrFromWStr 00a8 @UStrEqual 00cd @UStrArrayClr 00d5 @VarClr 00de IXMLNodeList 00e8 @FinalizeArray 00f0 @IntfClear 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 FF FF FF FF 8D 55 EC 8B 45 F8 8B 08 FF 51 14 8B 45 EC 8B 10 FF 52 0C 8B F0 4E 85 F6 7C 6F 46 33 DB 8B 45 08 8B 40 FC 80 3C 18 00 75 5C 8D 55 E8 8B 45 F8 8B 08 FF 51 14 8B 45 E8 50 8D 45 D8 8B D3 B1 FC E8 ?? ?? ?? ?? 8D 55 D8 8D 4D FC 58 8B 38 FF 57 10 8D 55 D0 8B 45 FC 8B 08 FF 51 34 8B 45 D0 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 45 CC 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 CC 58 E8 ?? ?? ?? ?? 75 05 89 5D F0 EB 04 43 4E 75 94 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49139_0 {
	meta:
		name = "FindPropNodeIndices"
		size = 336
		refs = "0024 FindPropNodeIndices 003f ArrayOfInteger 0044 @DynArraySetLength 0093 @OleVarFromInt 00b5 ExtractLocalName 00c4 @UStrFromWStr 00cd @UStrEqual 011a @UStrArrayClr 0122 @VarClr 012b IXMLNodeList 0135 @FinalizeArray 013d @IntfClear 0143 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 6A 00 8B 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 E8 8B 45 F8 8B 08 FF 51 14 8B 45 E8 8B 10 FF 52 0C 8B F0 4E 85 F6 0F 8C 9B 00 00 00 46 33 DB 8B 45 08 8B 40 FC 80 3C 18 00 0F 85 80 00 00 00 8D 55 E4 8B 45 F8 8B 08 FF 51 14 8B 45 E4 50 8D 45 D4 8B D3 B1 FC E8 ?? ?? ?? ?? 8D 55 D4 8D 4D FC 58 8B 38 FF 57 10 8D 55 CC 8B 45 FC 8B 08 FF 51 34 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 50 8D 45 C8 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 C8 58 E8 ?? ?? ?? ?? 75 29 8B 45 EC 40 50 8B 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F0 8B 00 8B 55 EC 89 1C 90 FF 45 EC 43 4E 0F 85 68 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49140_0 {
	meta:
		name = "GetAttributeText"
		size = 491
		refs = "0023 @IntfAddRef 0036 GetAttributeText 0067 @VarToUStr 00b6 IsQualifiedProperty 00f2 @OleVarFromInt 0113 IsPrefixed 0122 ExtractLocalName 012c @UStrEqual 015f @UStrAsg 0184 @VarClr 018c @IntfClear 0199 @UStrArrayClr 01b2 OleVariant 01bc @FinalizeArray 01c4 @UStrClr 01da @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 FC 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B D6 8B 45 FC 8B 08 FF 91 88 00 00 00 84 C0 74 1F 8D 4D D8 8B D6 8B 45 FC 8B 18 FF 53 0C 8D 55 D8 8B 45 08 E8 ?? ?? ?? ?? B3 01 E9 01 01 00 00 83 7D 0C 00 74 3A 8B 4D 0C 8B D6 8B 45 FC 8B 38 FF 97 8C 00 00 00 84 C0 74 26 8D 45 C8 50 8B 4D 0C 8B D6 8B 45 FC 8B 18 FF 93 84 00 00 00 8D 55 C8 8B 45 08 E8 ?? ?? ?? ?? B3 01 E9 C1 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 B1 00 00 00 8D 55 F8 8B 45 FC 8B 08 FF 51 10 8B 45 F8 8B 10 FF 52 0C 48 85 C0 0F 8C 95 00 00 00 40 89 45 E8 C7 45 EC 00 00 00 00 8D 45 B4 8B 55 EC B1 FC E8 ?? ?? ?? ?? 8D 55 B4 8D 4D C4 8B 45 F8 8B 38 FF 57 10 8B 45 C4 8D 55 F4 8B 08 FF 51 34 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 4C 8D 55 B0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 B0 8B D6 E8 ?? ?? ?? ?? 75 35 8D 45 98 8B 55 EC B1 FC E8 ?? ?? ?? ?? 8D 55 98 8D 4D A8 8B 45 F8 8B 18 FF 53 10 8B 45 A8 8D 55 AC 8B 08 FF 51 50 8B 55 AC 8B 45 08 E8 ?? ?? ?? ?? B3 01 EB 0C FF 45 EC FF 4D E8 0F 85 76 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A0 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_49141_0 {
	meta:
		name = "TSOAPDomConv.InitObjectFromSOAP"
		size = 2936
		refs = "0023 @IntfAddRef 0033 TSOAPDomConv.InitObjectFromSOAP 0041 @IntfClear 0053 TSOAPDomConv.SerializationOptions 007f @IntfCopy 00ba GetTypeData 00e0 @GetMem 0109 GetPropInfos 012c TSOAPDomConv.GetNodeAsText 0146 TSOAPDomConv.SetObjectPropFromText 017e TBooleanDynArray 0183 @DynArraySetLength 01cf @UStrClr 01dd IsTextProperty 0215 @DynArrayLength 024b IsAttributeProperty 025e RemTypeRegistry 0280 UTF8ToUnicodeString 028b @UStrLAsg 02a3 TRemotableTypeRegistry.GetExternalPropName 02b0 INFOATTR_BEG_CHAR 02ca GetRegInfo 0356 GetAttributeText 039e _Dn_TRemotableXS 03a3 TObject.InheritsFrom 03be GetObjectProp 03df TObject.Create 03f6 SetObjectProp 0413 IsOptionalProperty 0428 TObject.ClassName 0457 TSOAPDomConv.ObjectMemberNoShow 0474 @WStrFromUStr 0482 FindPropNodeIndex 04ff @OleVarFromInt 0540 TSOAPDomConv.ConvertSOAPToObject 057c TSOAPDomConv.NodeIsNULL 05b5 TSOAPDomConv.GetElementType 05d4 IsUnboundedProperty 0645 TSOAPDomConv.ConvertSoapToNativeArray 0707 ExtractLocalName 0715 @UStrEqual 0777 SetDynArrayProp 07dc TSOAPDomConv.ReadVarArrayDim 07f8 Null 081f TRemotableTypeRegistry.XSDToTypeInfo 082b WideString 0832 IsXMLDateTimeTypeInfo 0851 XMLTimeToDateTime 0859 @VarFromTDateTime 0878 TypeTranslator 0881 TTypeTranslator.CastSoapToVariant 0895 SetVariantProp 08b3 TSOAPDomConv.GetDataNode 08e1 sDefaultValues 08e6 @UStrFromWStr 09ee TSOAPDomConv.UnhandledNode 0a14 @FreeMem 0a1a @HandleFinally 0a3f @VarClr 0a7b @UStrArrayClr 0aad IXMLNodeList 0ab7 @FinalizeArray 0aee @WStrClr 0b38 IXMLNode 0b50 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 51 B9 25 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 89 55 80 89 45 84 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? C6 85 5F FF FF FF 00 8B 55 80 8B 45 84 E8 ?? ?? ?? ?? 89 85 60 FF FF FF F6 85 60 FF FF FF 01 74 49 F6 85 60 FF FF FF 04 74 09 F6 85 60 FF FF FF 08 74 27 8D 45 F4 8B 55 08 E8 ?? ?? ?? ?? 8D 95 50 FF FF FF 8B 45 08 8B 08 FF 51 44 8B 95 50 FF FF FF 8D 45 08 E8 ?? ?? ?? ?? F6 85 60 FF FF FF 02 0F 95 C0 88 85 5F FF FF FF 8B 45 80 8B 00 83 C0 B8 8B 00 E8 ?? ?? ?? ?? 0F BF 40 08 89 85 78 FF FF FF 83 BD 78 FF FF FF 00 0F 8E 4B 09 00 00 8B 85 78 FF FF FF 03 C0 03 C0 E8 ?? ?? ?? ?? 89 85 7C FF FF FF 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 80 8B 00 83 C0 B8 8B 00 8B 95 7C FF FF FF E8 ?? ?? ?? ?? F6 85 60 FF FF FF 10 74 39 83 BD 78 FF FF FF 01 75 30 8D 8D 4C FF FF FF 8B 55 08 8B 45 84 E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 50 8B 85 7C FF FF FF 8B 08 8B 55 80 8B 45 84 E8 ?? ?? ?? ?? E9 A7 08 00 00 80 BD 5F FF FF FF 00 75 49 8D 95 48 FF FF FF 8B 45 08 8B 08 FF 51 14 8B 85 48 FF FF FF 8B 10 FF 52 0C 8B D8 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B F3 4E 85 F6 7C 28 46 33 DB 8B 45 FC C6 04 18 00 43 4E 75 F5 EB 18 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B B5 78 FF FF FF 4E 85 F6 0F 8C A2 07 00 00 46 33 DB 8D 45 CC E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 8B 04 98 E8 ?? ?? ?? ?? 84 C0 74 46 8D 8D 44 FF FF FF 8B 55 08 8B 45 84 E8 ?? ?? ?? ?? 8B 85 44 FF FF FF 50 8B 85 7C FF FF FF 8B 0C 98 8B 55 80 8B 45 84 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 48 0F 85 42 07 00 00 8B 45 FC C6 00 01 E9 37 07 00 00 8B 85 7C FF FF FF 8B 04 98 8B 10 8B 12 0F B6 12 88 95 77 FF FF FF 8B D0 0F B6 85 77 FF FF FF E8 ?? ?? ?? ?? 88 85 5E FF FF FF 8D 45 C4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 85 7C FF FF FF 8B 04 98 83 C0 1A 89 85 54 FF FF FF 8D 55 BC 8B 85 54 FF FF FF E8 ?? ?? ?? ?? 8D 45 C0 8B 55 BC E8 ?? ?? ?? ?? 8D 45 D8 50 8B 45 80 8B 00 83 C0 B8 8B 10 8B 4D C0 8B C7 E8 ?? ?? ?? ?? 8B 45 D8 0F B7 00 66 3B 05 ?? ?? ?? ?? 75 55 8D 45 CC 8B 55 D8 E8 ?? ?? ?? ?? 8D 4D D8 33 D2 8B 45 CC E8 ?? ?? ?? ?? 84 C0 75 2C 8B 85 7C FF FF FF 8B 04 98 8D 78 1A 8D 55 B4 8B C7 E8 ?? ?? ?? ?? 8D 45 B8 8B 55 B4 E8 ?? ?? ?? ?? 8D 45 D8 8B 55 B8 E8 ?? ?? ?? ?? 8D 4D C4 B2 05 8B 45 CC E8 ?? ?? ?? ?? 80 BD 5E FF FF FF 00 0F 84 48 01 00 00 80 BD 5F FF FF FF 00 74 0D 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? EB 0B 8D 45 F0 8B 55 08 E8 ?? ?? ?? ?? 8B 45 C4 50 8D 45 D0 E8 ?? ?? ?? ?? 50 8B 85 7C FF FF FF 8B 04 98 8B 4D D8 8B 55 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 A7 00 00 00 80 BD 77 FF FF FF 07 74 1D 8B 45 D0 50 8B 85 7C FF FF FF 8B 0C 98 8B 55 80 8B 45 84 E8 ?? ?? ?? ?? E9 DA 05 00 00 8B 85 7C FF FF FF 8B 04 98 8B 00 8B 00 E8 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B3 05 00 00 8B 85 7C FF FF FF 8B 14 98 33 C9 8B 45 80 E8 ?? ?? ?? ?? 8B F8 85 FF 75 1D 8B 85 7C FF FF FF 8B 04 98 8B 00 8B 00 E8 ?? ?? ?? ?? 8B 00 B2 01 E8 ?? ?? ?? ?? 8B F8 6A 01 8B 85 7C FF FF FF 8B 14 98 8B CF 8B 45 80 E8 ?? ?? ?? ?? 8B 55 D0 8B C7 8B 08 FF 51 10 E9 59 05 00 00 8B 85 7C FF FF FF 8B 04 98 E8 ?? ?? ?? ?? 84 C0 0F 85 43 05 00 00 8D 55 A8 8B 45 80 8B 00 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 8B 04 98 8D 78 1A 8D 55 AC 8B C7 E8 ?? ?? ?? ?? 8D 45 B0 8B 55 AC E8 ?? ?? ?? ?? 8B 4D B0 8B 55 A8 8B 45 84 E8 ?? ?? ?? ?? E9 02 05 00 00 80 BD 5F FF FF FF 00 75 26 55 8D 85 40 FF FF FF 8B 55 D8 E8 ?? ?? ?? ?? 8B 95 40 FF FF FF 8B 45 08 E8 ?? ?? ?? ?? 59 89 85 6C FF FF FF EB 22 8D 95 3C FF FF FF 8B 45 08 8B 08 FF 51 14 8B 85 3C FF FF FF 8B 55 F4 8B 08 FF 51 4C 89 85 6C FF FF FF 83 BD 6C FF FF FF FF 0F 84 56 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 3B 85 6C FF FF FF 7E 0D 8B 45 FC 8B 95 6C FF FF FF C6 04 10 01 8D 95 38 FF FF FF 8B 45 08 8B 08 FF 51 14 8B 85 38 FF FF FF 50 8D 85 28 FF FF FF 8B 95 6C FF FF FF B1 FC E8 ?? ?? ?? ?? 8D 95 28 FF FF FF 8D 4D E8 58 8B 38 FF 57 10 80 BD 77 FF FF FF 07 75 4D 8B 85 7C FF FF FF 8B 04 98 8B 00 8B 00 E8 ?? ?? ?? ?? 8B 00 50 6A 00 6A 00 6A 00 8B 4D E8 8B 55 F8 8B 45 84 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 14 04 00 00 6A 01 8B 85 7C FF FF FF 8B 14 98 8B CF 8B 45 80 E8 ?? ?? ?? ?? E9 FA 03 00 00 80 BD 77 FF FF FF 11 0F 85 2F 02 00 00 8B 55 E8 8B 45 84 E8 ?? ?? ?? ?? 84 C0 75 04 B0 01 EB 17 8B 45 84 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 0F 95 C0 84 C0 0F 84 BB 03 00 00 8D 45 E0 50 8D 4D E4 8B 55 E8 8B 45 84 E8 ?? ?? ?? ?? 33 C0 89 85 64 FF FF FF F6 85 60 FF FF FF 04 75 16 8B 85 7C FF FF FF 8B 04 98 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 85 5D FF FF FF 80 BD 5D FF FF FF 00 74 29 8D 95 24 FF FF FF 8B 45 E8 8B 08 FF 51 44 8B 95 24 FF FF FF 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 DC 8B 55 D8 E8 ?? ?? ?? ?? EB 08 8D 45 DC E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 E8 50 8B 45 DC 50 8B 85 7C FF FF FF 8B 04 98 8B 00 8B 08 8D 95 64 FF FF FF 8B 45 84 E8 ?? ?? ?? ?? 89 85 64 FF FF FF 80 BD 5D FF FF FF 00 0F 84 F0 00 00 00 C6 85 6B FF FF FF 00 8D 95 20 FF FF FF 8B 45 08 8B 08 FF 51 14 8B 85 20 FF FF FF 8B 10 FF 52 0C 48 85 C0 0F 8C C7 00 00 00 40 89 85 58 FF FF FF C7 85 70 FF FF FF 00 00 00 00 8B 45 FC 8B 95 70 FF FF FF 80 3C 10 00 0F 85 91 00 00 00 8D 95 1C FF FF FF 8B 45 08 8B 08 FF 51 14 8B 85 1C FF FF FF 50 8D 85 0C FF FF FF 8B 95 70 FF FF FF B1 FC E8 ?? ?? ?? ?? 8D 95 0C FF FF FF 8D 4D EC 58 8B 38 FF 57 10 8B 45 EC 8B 10 FF 52 38 3C 01 75 4E 8D 95 04 FF FF FF 8B 45 EC 8B 08 FF 51 34 8B 85 04 FF FF FF 8D 95 08 FF FF FF E8 ?? ?? ?? ?? 8B 85 08 FF FF FF 8B 55 DC E8 ?? ?? ?? ?? 75 16 C6 85 6B FF FF FF 01 8B 45 FC 8B 95 70 FF FF FF C6 04 10 01 EB 09 80 BD 6B FF FF FF 00 75 12 FF 85 70 FF FF FF FF 8D 58 FF FF FF 0F 85 4A FF FF FF 83 BD 64 FF FF FF 00 74 0D 8B 85 64 FF FF FF 83 E8 08 8B 38 EB 02 33 FF 8B 85 7C FF FF FF 8B 14 98 8B 8D 64 FF FF FF 8B 45 80 E8 ?? ?? ?? ?? 85 FF 0F 8E DF 01 00 00 8B 85 64 FF FF FF 83 E8 08 3B 38 0F 8D CE 01 00 00 8B 85 64 FF FF FF 83 E8 08 FF 08 E9 BE 01 00 00 80 BD 77 FF FF FF 0C 0F 85 ED 00 00 00 8D 95 00 FF FF FF 8B 45 E8 8B 08 FF 51 14 8B 85 00 FF FF FF 8B 10 FF 52 0C 48 7E 18 6A 00 8D 45 88 50 33 C9 8B 55 E8 8B 45 84 E8 ?? ?? ?? ?? E9 A0 00 00 00 8B 55 E8 8B 45 84 E8 ?? ?? ?? ?? 84 C0 74 0D 8D 45 88 E8 ?? ?? ?? ?? E9 84 00 00 00 8D 45 E0 50 8D 4D E4 8B 55 E8 8B 45 84 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 8B 55 E4 E8 ?? ?? ?? ?? 8B F8 85 FF 75 06 8B 3D ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 25 8D 95 FC FE FF FF 8B 45 E8 8B 08 FF 51 50 8B 85 FC FE FF FF 33 D2 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? EB 26 8D 45 88 50 8D 95 F8 FE FF FF 8B 45 E8 8B 08 FF 51 50 8B 8D F8 FE FF FF A1 ?? ?? ?? ?? 8B 00 8B D7 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 8B 14 98 8D 4D 88 8B 45 80 E8 ?? ?? ?? ?? E9 C4 00 00 00 8D 45 C8 50 8D 85 F4 FE FF FF 50 8B 4D E8 8B 55 F8 8B 45 84 E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 84 E8 ?? ?? ?? ?? 84 C0 74 18 8D 45 D4 0F B6 95 77 FF FF FF 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8D 4D D4 8B 55 E8 8B 45 84 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 85 7C FF FF FF 8B 0C 98 8B 55 80 8B 45 84 E8 ?? ?? ?? ?? EB 4E 8B 85 7C FF FF FF 8B 04 98 E8 ?? ?? ?? ?? 84 C0 75 3C 8D 55 9C 8B 45 80 8B 00 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 8B 04 98 8D 78 1A 8D 55 A0 8B C7 E8 ?? ?? ?? ?? 8D 45 A4 8B 55 A0 E8 ?? ?? ?? ?? 8B 4D A4 8B 55 9C 8B 45 84 E8 ?? ?? ?? ?? 43 4E 0F 85 61 F8 FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 7D 46 33 DB 8B 45 FC 80 3C 18 00 75 6D 8D 95 E8 FE FF FF 8B 45 08 8B 08 FF 51 14 8B 85 E8 FE FF FF 50 8D 85 D8 FE FF FF 8B D3 B1 FC E8 ?? ?? ?? ?? 8D 95 D8 FE FF FF 8D 8D EC FE FF FF 58 8B 38 FF 57 10 8B 85 EC FE FF FF 8D 95 F0 FE FF FF 8B 08 FF 51 54 8B 85 F0 FE FF FF 50 8D 95 D4 FE FF FF 8B 45 80 8B 00 E8 ?? ?? ?? ?? 8B 95 D4 FE FF FF 8B 45 84 59 E8 ?? ?? ?? ?? 43 4E 75 86 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 95 78 FF FF FF 03 D2 03 D2 8B 85 7C FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D4 FE FF FF E8 ?? ?? ?? ?? 8D 85 D8 FE FF FF E8 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 00 FF FF FF E8 ?? ?? ?? ?? 8D 85 04 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 8D 85 1C FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 24 FF FF FF E8 ?? ?? ?? ?? 8D 85 28 FF FF FF E8 ?? ?? ?? ?? 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 8D 85 48 FF FF FF E8 ?? ?? ?? ?? 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 9C BA 13 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 C6 FE FF FF 5F 5E 5B 8B E5 5D C2 04 00 20 10 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_49142_0 {
	meta:
		name = "TSOAPDomConv.ConvertSOAPToObject"
		size = 588
		refs = "002d @IntfAddRef 003d TSOAPDomConv.ConvertSOAPToObject 0061 IsNilNode 0077 TSOAPDomConv.NodeIsNULL 00ce ExtractLocalName 00e4 TSOAPDomConv.GetDataNode 00f0 _Dn_TSOAPAttachment 00f8 TObject.InheritsFrom 0107 TSOAPDomConv.FindMultiRefNodeByID 0128 TSOAPDomConv.GetElementType 0131 RemTypeRegistry 013c TRemotableTypeRegistry.URIToClass 0171 @HandleAnyException 0178 @DoneExcept 019f TObject.Create 01e6 TSOAPDomConv.AddMultiRefNode 01f8 TSOAPDomConv.LoadObject 020d @UStrClr 021a @UStrArrayClr 0223 IXMLNode 022d @FinalizeArray 0233 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D F0 89 5D F4 89 5D EC 89 5D E8 89 5D E4 89 4D F8 89 55 FC 89 45 E0 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 74 13 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 07 33 DB E9 8C 01 00 00 8B 55 F8 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 74 2D 33 DB 83 7D F8 00 75 04 B0 01 EB 19 8B 45 E0 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 0F 95 C0 34 01 84 C0 0F 85 50 01 00 00 85 F6 75 07 33 C0 89 45 D8 EB 05 8B 06 89 45 D8 8D 55 D0 8B 45 F8 8B 08 FF 51 34 8B 45 D0 8D 55 E4 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F4 50 8B 4D F8 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? 83 7D F0 00 74 1F 8B 15 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 84 C0 75 0D 8B 55 F0 8B 45 E0 E8 ?? ?? ?? ?? EB 02 33 C0 85 C0 74 07 8B D8 E9 E2 00 00 00 8D 45 E8 50 8D 4D EC 8B 55 F4 8B 45 E0 E8 ?? ?? ?? ?? 8D 45 DF 50 E8 ?? ?? ?? ?? 8B 4D E8 8B 55 EC E8 ?? ?? ?? ?? 89 45 D4 B3 01 83 7D D8 00 74 31 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 D8 8B 12 89 D0 85 C0 74 02 B3 01 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 83 7D D8 00 0F 95 C0 84 D8 74 21 83 7D D4 00 74 46 8B 55 D8 8B 12 89 D0 3B 45 D4 74 3A B2 01 8B 45 D4 E8 ?? ?? ?? ?? 89 45 D8 EB 2B 83 7D D4 00 74 1B 8B 55 14 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 74 0C B2 01 8B 45 D4 FF 10 89 45 D8 EB 0A B2 01 8B 45 14 FF 10 89 45 D8 8B 5D D8 83 7D F0 00 74 0E 8B 4D D8 8B 55 F0 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 4D FC 8B 55 D8 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B C3 5F 5E 5B 8B E5 5D C2 10 00 20 10 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_49143_0 {
	meta:
		name = "TSOAPDomConv.ConvertByteArrayToSoap"
		size = 280
		refs = "0026 @IntfAddRef 0036 TSOAPDomConv.ConvertByteArrayToSoap 0047 GetDynArrayLength 0057 EncodeBase64 006c @UStrFromLStr 0083 TSOAPDomConv.CreateScalarNodeXS 0099 TSOAPDomConv.CreateNULLNode 00ae @IntfClear 00b6 @UStrClr 00c6 @LStrClr 00cf IXMLNode 00d9 @FinalizeArray 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 7D 14 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 45 8B C6 E8 ?? ?? ?? ?? 89 45 F0 8D 4D F4 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 57 8B 45 10 50 68 ?? ?? ?? ?? 8D 45 E8 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 E8 50 6A 00 8D 45 EC 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 14 57 6A 00 8D 45 E4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5F 5E 5B 8B E5 5D C2 10 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 62 00 61 00 73 00 65 00 36 00 34 00 42 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_49144_0 {
	meta:
		name = "TSOAPDomConv.ConvertNativeArrayToSoap"
		size = 876
		refs = "0025 @IntfAddRef 0035 TSOAPDomConv.ConvertNativeArrayToSoap 0050 GetDynArrayElTypeInfo 0059 RemTypeRegistry 0064 TRemotableTypeRegistry.TypeInfoToXSD 0081 SRemTypeNotRegistered 0086 LoadResString 0090 _DV_ESOAPDomConvertError 0095 Exception.CreateFmt 009a @RaiseExcept 00a8 IsArrayRect 00de ByteArrayInfo 0117 TSOAPDomConv.WriteNonRectDynArray 012e TNativeIntDynArray 0133 @DynArraySetLength 0147 GetDims 0173 TSOAPDomConv.ConvertByteArrayToSoap 0189 GetDynArrayLength 01a4 TSOAPDomConv.WriteRectDynArrayElem 01d8 @DynArrayHigh 01ea TSOAPDomConv.MakeArrayNode 01f7 GetRegInfo 0206 @UStrLAsg 0268 TSOAPDomConvHelper.WriteRectDynArrayElem2 030d IXMLNodeList 0317 @FinalizeArray 031f @UStrClr 032c @UStrArrayClr 033a @DynArrayClear 0343 IXMLNode 0353 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D F8 89 55 FC 8B F0 8B 5D 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1B 33 C0 89 45 D8 8D 4D D8 8D 55 D4 8B 45 10 E8 ?? ?? ?? ?? 8D 45 E8 50 E8 ?? ?? ?? ?? 8D 4D EC 8B 55 D4 E8 ?? ?? ?? ?? 84 C0 75 32 8B 45 D4 40 89 45 CC C6 45 D0 04 8D 45 CC 50 6A 00 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 74 51 8B 55 D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 B0 01 EB 1E 8B 46 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 74 09 83 7D D8 01 0F 9F C0 EB 02 33 C0 84 C0 74 04 B0 01 EB 08 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 0B F6 46 58 01 0F 95 C0 EB 02 33 C0 84 C0 74 27 8B 45 1C 50 8B 45 10 50 8B 45 18 50 8B 45 E8 50 53 8B 45 D8 50 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? E9 DB 01 00 00 8B 45 D8 50 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 DB 74 0D 8B 4D D8 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 83 7D D8 01 75 2B 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 74 1F 8B 45 1C 50 8B 45 18 50 8B 45 10 50 53 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? E9 7F 01 00 00 80 7D 08 00 74 2B 8B 45 D4 50 8B C3 E8 ?? ?? ?? ?? 50 8B 45 D8 50 53 8B 45 1C 50 8B 45 18 50 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? E9 4E 01 00 00 8B 46 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 0F 84 AA 00 00 00 8B 45 1C 50 8B 45 18 50 8B 45 E8 50 8B 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 F4 50 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 4D E4 B2 06 8B 45 14 E8 ?? ?? ?? ?? 84 C0 75 0B 8D 45 E4 8B 55 E8 E8 ?? ?? ?? ?? 8D 4D E0 B2 05 8B 45 14 E8 ?? ?? ?? ?? 84 C0 75 0B 8D 45 E0 8B 55 18 E8 ?? ?? ?? ?? 8D 4D DC B2 07 8B 45 14 E8 ?? ?? ?? ?? 84 C0 75 0B 8D 45 DC 8B 55 E0 E8 ?? ?? ?? ?? 8B 45 D4 50 8B C3 E8 ?? ?? ?? ?? 50 8B 45 D8 50 53 8B 45 E4 50 8B 45 E0 50 8B 45 DC 50 8B 4D F4 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 50 8B 45 1C 50 8B 45 EC 50 8B 45 E8 50 8B 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 F4 50 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 D4 50 8B C3 E8 ?? ?? ?? ?? 50 8B 45 D8 50 53 8B 45 E8 50 8B 45 EC 50 8B 4D F4 8B 55 FC 8B C6 E8 ?? ?? ?? ?? F6 46 59 01 74 37 8B 45 F4 8B 10 FF 52 24 84 C0 75 2B 8D 55 C4 8B 45 F8 8B 08 FF 51 14 8B 45 C4 8B 55 F4 8B 08 FF 51 4C 50 8D 55 C0 8B 45 F8 8B 08 FF 51 14 8B 45 C0 5A 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 DC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AF 5E 5B 8B E5 5D C2 18 00 00 00 00 20 10 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_49145_0 {
	meta:
		name = "TSOAPDomConv.ConvertNativeDataToSoap"
		size = 788
		refs = "0029 @IntfAddRef 0039 TSOAPDomConv.ConvertNativeDataToSoap 0048 RemTypeRegistry 0052 TRemotableTypeRegistry.TypeInfoToXSD 006e SRemTypeNotRegistered 0073 LoadResString 007d _DV_ESOAPDomConvertError 0082 Exception.CreateFmt 0087 @RaiseExcept 00a8 @UStrLAsg 00f0 TSOAPDomConvHelper.GetObjectMetaclass 00fb TSOAPDomConvHelper.GetObjectInstance 0113 GetTypeData 011d TSOAPDomConvHelper.SetObjectMetaclass 0127 TSOAPDomConvHelper.SetObjectInstance 0142 TSOAPDomConv.ConvertObjectToSOAP 016b @HandleFinally 017d RemClassRegistry 0184 TRemotableTypeRegistry.SerializeOptions 01ab TSOAPDomConv.ConvertNativeArrayToSoap 01b9 KindNameArray 01d1 SDataTypeNotSupported 0201 Null 0215 TSOAPDomConv.ConvertVariantToSoap 022e TSOAPDomConv.ConvertEnumToSoap 0252 TSOAPDomConv.CreateScalarNodeXS 0261 TypeTranslator 026a TTypeTranslator.CastNativeToSoap 0288 TSOAPDomConv.CreateNULLNode 02c3 @IntfClear 02cb @VarClr 02d8 @UStrArrayClr 02ee IXMLNode 02f8 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D F8 89 55 FC 89 45 E0 8B 75 0C 8B 5D 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 50 E8 ?? ?? ?? ?? 8D 4D F0 8B D3 E8 ?? ?? ?? ?? 84 C0 75 31 8D 43 01 89 45 CC C6 45 D0 04 8D 45 CC 50 6A 00 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8B 40 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 74 0B 8D 45 E8 8B 55 F0 E8 ?? ?? ?? ?? 0F B6 03 0F B6 D0 83 C2 FA 83 FA 0B 0F 87 60 01 00 00 0F B6 92 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 03 01 03 00 00 00 04 03 03 03 00 02 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 89 45 D8 8B 45 E0 E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 10 8B 45 E0 E8 ?? ?? ?? ?? 8B 16 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E8 50 56 8B 45 FC 50 8B 45 F8 50 8B 4D 14 8B 55 18 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 D8 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B 45 08 83 E0 02 83 F8 02 74 14 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? A8 04 75 04 33 C0 EB 02 B0 01 8B 55 18 52 8B 55 14 52 8B 55 E8 52 53 56 50 8B 4D F8 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? E9 FE 00 00 00 0F B6 03 8B 15 ?? ?? ?? ?? 8B 04 82 89 45 CC C6 45 D0 11 8D 45 CC 50 6A 00 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BF 00 00 00 8B 45 18 50 8B 45 14 50 53 56 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B4 50 6A 00 8B 4D F8 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? E9 94 00 00 00 3C 03 75 36 8D 45 E4 50 8B CE 8B D3 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 18 50 8B 45 14 50 8B 45 EC 50 8B 45 E4 50 6A 00 8D 45 F4 50 8B 4D F8 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? EB 5A 56 8D 45 DF 50 8D 4D E4 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 80 7D DF 00 74 1A 8B 45 18 50 6A 00 8D 45 B0 50 8B 4D F4 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? EB 24 8B 45 18 50 8B 45 14 50 8B 45 EC 50 8B 45 E4 50 6A 00 8D 45 F4 50 8B 4D F8 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 5E 5B 8B E5 5D C2 14 00 20 10 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_49146_0 {
	meta:
		name = "TSOAPDomConv.AddMultiRefNode"
		size = 84
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 8B 46 50 8B 40 0C 8B D7 8B 08 FF 51 54 8B D8 83 FB FF 75 11 8B CD 8B 46 50 8B 40 0C 8B D7 8B 18 FF 53 3C EB 20 8B D5 8B 46 50 8B 40 0C 8B 08 FF 51 5C 3B D8 74 0F 8B CD 8B 46 50 8B 40 0C 8B D7 8B 18 FF 53 3C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49147_0 {
	meta:
		name = "TSOAPDomConv.FindMultiRefNodeByInstance"
		size = 55
		refs = "000c @UStrClr"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 E8 ?? ?? ?? ?? 8B D6 8B 43 50 8B 40 0C 8B 08 FF 51 5C 8B F0 83 FE FF 74 0F 8B CF 8B 43 50 8B 40 0C 8B D6 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49148_0 {
	meta:
		name = "TSOAPDomConv.FindMultiRefNodeByID"
		size = 41
	strings:
		$1 = { 56 57 8B F0 33 FF 8B 46 50 8B 40 0C 8B 08 FF 51 54 83 F8 FF 74 0E 8B 56 50 8B 52 0C 92 8B 08 FF 51 18 8B F8 8B C7 5F 5E C3 }
	condition:
		$1
}

rule function_49149_0 {
	meta:
		name = "TSOAPDomConv.ConvertSoapToNativeData"
		size = 445
		refs = "0022 @IntfAddRef 0032 TSOAPDomConv.ConvertSoapToNativeData 004d TSOAPDomConv.GetDataNode 0058 @IntfCopy 0062 TSOAPDomConv.NodeIsNULL 0077 Null 0082 @VarCopy 0094 TSOAPDomConv.ConvertSoapToVariant 00b5 TSOAPDomConv.ConvertSoapToNativeArray 00ca GetTypeData 00e6 TSOAPDomConv.ConvertSOAPToObject 0105 TSOAPDomConv.GetNodeAsText 010d TypeTranslator 0116 TTypeTranslator.CastSoapToNative 013d STypeMismatchInParam 0142 LoadResString 014c _DV_ESOAPDomConvertError 0151 Exception.CreateFmt 0156 @RaiseExcept 0170 @UStrArrayClr 0178 @UStrClr 0180 @VarClr 0188 @IntfClear 019e IXMLNode 01a8 @FinalizeArray 01ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 F0 8B F8 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8D 45 EC 50 8B 4D 0C 8B 55 10 8B C7 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 0C E8 ?? ?? ?? ?? 8B 55 0C 8B C7 E8 ?? ?? ?? ?? 8B D8 0F B6 06 3C 0C 75 2E 84 DB 74 18 8D 45 DC E8 ?? ?? ?? ?? 8D 55 DC 8B 45 F0 E8 ?? ?? ?? ?? E9 CF 00 00 00 8B 4D F0 8B 55 0C 8B C7 E8 ?? ?? ?? ?? E9 BD 00 00 00 3C 11 75 22 8B 45 F0 8B 55 10 52 8B 55 0C 52 6A 00 8B CE 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 55 F0 89 02 E9 97 00 00 00 3C 07 75 2A 8B C6 E8 ?? ?? ?? ?? 8B 00 50 8B 45 FC 50 8B 45 F8 50 8B 45 F0 50 8B 4D 0C 8B 55 10 8B C7 E8 ?? ?? ?? ?? 8B 55 F0 89 02 EB 69 80 7D 08 00 74 63 8B 45 F0 50 53 8D 4D D8 8B 55 0C 8B C7 E8 ?? ?? ?? ?? 8B 4D D8 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 84 C0 75 3C 8D 55 CC 8B 45 0C 8B 08 FF 51 34 8B 45 CC 89 45 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_49150_0 {
	meta:
		name = "TSOAPDomConv.ConvertEnumToSoap"
		size = 147
		refs = "0013 TSOAPDomConv.ConvertEnumToSoap 0027 GetEnumName 002e IsBooleanTypeInfo 003c LowerCase 0046 @UStrAsg 0051 RemTypeRegistry 005a TRemotableTypeRegistry.GetExternalPropName 007e @UStrArrayClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F9 8B CB 0F B6 17 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 16 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 1C 8D 45 F8 50 E8 ?? ?? ?? ?? 8B 0B 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_49151_0 {
	meta:
		name = "TSOAPDomConv.ConvertSoapToEnum"
		size = 16
		refs = "0008 GetEnumValueExW"
	strings:
		$1 = { 55 8B EC 8B C2 8B D1 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_49152_0 {
	meta:
		name = "TSOAPDomConv.CreateNULLNode"
		size = 208
		refs = "0019 @IntfAddRef 0021 TSOAPDomConv.CreateNULLNode 004b @IntfCopy 0058 @OleVarFromUStr 0062 XMLSchemaInstNameSpace 0088 @VarClr 0090 @IntfClear 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 0C 00 75 14 6A 00 6A FF 53 33 C9 8B 55 10 8B 45 FC 8B 30 FF 56 70 EB 0A 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 8B 0D ?? ?? ?? ?? 8B 09 8B 03 BA ?? ?? ?? ?? 8B 18 FF 93 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6E 00 69 00 6C 00 00 00 }
	condition:
		$1
}

rule function_49153_0 {
	meta:
		name = "TSOAPDomConv.NodeIsNULL"
		size = 324
		refs = "0018 @IntfAddRef 0020 TSOAPDomConv.NodeIsNULL 002e IsNilNode 0042 XMLSchemaInstNameSpace 005c VarIsNull 0069 sOneAsWide 006e @VarFromWStr 0079 @VarCmpEQ 008a @VarToUStr 0097 @UStrLAsg 00be CompareText 00df Variant 00e9 @FinalizeArray 00f6 @UStrArrayClr 00fe @IntfClear 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 0F 85 91 00 00 00 8D 45 E0 50 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 96 84 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 75 69 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? 75 04 B0 01 EB 44 8D 45 F8 8D 55 E0 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 55 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49154_0 {
	meta:
		name = "TSOAPDomConv.ChildNodesAreNull"
		size = 324
		refs = "001d @IntfAddRef 0025 TSOAPDomConv.ChildNodesAreNull 0082 @OleVarFromInt 00cc TSOAPDomConv.NodeIsNULL 00ef @VarClr 00f7 @IntfClear 0110 IXMLNodeList 011a @FinalizeArray 0123 IXMLNode 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 01 8D 55 EC 8B 45 FC 8B 08 FF 51 14 8B 45 EC 8B 10 FF 52 0C 85 C0 0F 8E 90 00 00 00 8D 55 E8 8B 45 FC 8B 08 FF 51 14 8B 45 E8 8B 10 FF 52 0C 8B F0 4E 85 F6 7C 76 46 33 DB 8D 55 E4 8B 45 FC 8B 08 FF 51 14 8B 45 E4 50 8D 45 D4 8B D3 B1 FC E8 ?? ?? ?? ?? 8D 55 D4 8D 4D F8 58 8B 38 FF 57 10 8B 45 F8 8B 10 FF 52 38 3C 01 75 3C 8D 55 CC 8B 45 FC 8B 08 FF 51 14 8B 45 CC 50 8D 45 BC 8B D3 B1 FC E8 ?? ?? ?? ?? 8D 55 BC 8D 4D D0 58 8B 38 FF 57 10 8B 55 D0 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 06 C6 45 F3 00 EB 04 43 4E 75 8D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B2 0F B6 45 F3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49155_0 {
	meta:
		name = "TSOAPDomConv.FindPrefixForURI"
		size = 256
		refs = "0024 @IntfAddRef 0034 TSOAPDomConv.FindPrefixForURI 007b ExtractLocalName 0094 TSOAPDomConv.AddNamespaceDecl 00a0 @UStrEqual 00a9 @UStrClr 00c7 IXMLNode 00d1 @FinalizeArray 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F4 89 4D F8 89 55 FC 89 45 F0 8B 5D 08 8B 75 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B D6 8B 45 F8 8B 38 FF 97 80 00 00 00 83 7D F4 00 75 10 8D 4D F4 8B D6 8B 45 FC 8B 38 FF 97 80 00 00 00 83 7D F4 00 74 15 8D 55 EC 8B 45 F4 8B 08 FF 51 34 8B 45 EC 8B D3 E8 ?? ?? ?? ?? 83 3B 00 0F 94 C0 22 45 0C 74 0E 53 8B CE 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_49156_0 {
	meta:
		name = "TSOAPDomConv.AddNamespaceDecl"
		size = 129
		refs = "001a @IntfAddRef 0022 TSOAPDomConv.AddNamespaceDecl 0064 @IntfClear 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 89 55 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 08 FF 51 40 8B 45 F8 8B CB 8B 55 FC 8B 38 FF 97 88 00 00 00 8B 13 8B CE 8B 45 FC 8B 18 FF 53 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_49569_0 {
	meta:
		name = "TWebServExp.AddNamespaceURI"
		size = 129
		refs = "001a @IntfAddRef 0022 TWebServExp.AddNamespaceURI 0064 @IntfClear 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 89 55 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 08 FF 51 40 8B 45 F8 8B CB 8B 55 FC 8B 38 FF 97 88 00 00 00 8B 13 8B CE 8B 45 FC 8B 18 FF 53 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_49157_0 {
	meta:
		name = "TSOAPDomConv.CreateTypedNode"
		size = 212
		refs = "0018 @IntfAddRef 0028 TSOAPDomConv.CreateTypedNode 0096 TSOAPDomConv.SetNodeType 00ac IXMLNode 00b6 @FinalizeArray 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 0C 00 74 15 6A 01 6A FF 56 8B 4D 14 8B 55 18 8B 45 F8 8B 38 FF 57 70 EB 39 A1 ?? ?? ?? ?? 23 43 58 8B 15 ?? ?? ?? ?? 3B D0 74 15 6A 00 6A FF 56 8B 4D 14 8B 55 18 8B 45 F8 8B 38 FF 57 70 EB 12 6A 00 6A FF 56 33 C9 8B 55 18 8B 45 F8 8B 38 FF 57 70 8B 45 14 50 8B 45 10 50 8B 0E 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C2 14 00 00 20 10 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_49158_0 {
	meta:
		name = "TSOAPDomConv.CreateScalarNodeXS"
		size = 135
		refs = "0017 @IntfAddRef 0027 TSOAPDomConv.CreateScalarNodeXS 0049 TSOAPDomConv.CreateTypedNode 0069 IXMLNode 0073 @FinalizeArray 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 1C 50 8B 45 18 50 8B 45 14 50 6A 00 56 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 55 10 8B 08 FF 51 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C2 18 00 }
	condition:
		$1
}

rule function_49159_0 {
	meta:
		name = "TSOAPDomConv.SetNodeType"
		size = 280
		refs = "0020 @IntfAddRef 0030 TSOAPDomConv.SetNodeType 006b TSOAPDomConv.FindPrefixForURI 0075 @UStrClr 0083 MakeNodeName 008e @OleVarFromUStr 0098 XMLSchemaInstNameSpace 00c7 @VarClr 00d8 IXMLNode 00e2 @FinalizeArray 00e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 58 01 75 6E A1 ?? ?? ?? ?? 23 43 58 8B 15 ?? ?? ?? ?? 3B D0 75 5C 83 7D 0C 00 74 19 8B 45 0C 50 6A 01 8D 45 F4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 08 8D 45 F4 E8 ?? ?? ?? ?? 8D 4D E0 8B 55 08 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 93 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5B 8B E5 5D C2 08 00 00 00 00 20 10 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49160_0 {
	meta:
		name = "TSOAPDomConv.SetNodeTypeEx"
		size = 304
		refs = "0020 @IntfAddRef 0030 TSOAPDomConv.SetNodeTypeEx 0083 TSOAPDomConv.FindPrefixForURI 008d @UStrClr 009b MakeNodeName 00a6 @OleVarFromUStr 00b0 XMLSchemaInstNameSpace 00df @VarClr 00f0 IXMLNode 00fa @FinalizeArray 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 58 01 75 18 8B 43 58 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 0F 95 C0 34 01 EB 02 33 C0 84 C0 74 04 B0 01 EB 04 0F B6 45 08 84 C0 74 5C 83 7D 10 00 74 19 8B 45 10 50 6A 01 8D 45 F4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 08 8D 45 F4 E8 ?? ?? ?? ?? 8D 4D E0 8B 55 0C 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 93 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5B 8B E5 5D C2 0C 00 00 00 00 20 10 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49161_0 {
	meta:
		name = "TSOAPDomConv.GetOptions"
		size = 6
	strings:
		$1 = { 8B 50 58 8B C2 C3 }
	condition:
		$1
}

rule function_49162_0 {
	meta:
		name = "TSOAPDomConv.SetOptions"
		size = 12
	strings:
		$1 = { 51 89 14 24 8B 14 24 89 50 58 5A C3 }
	condition:
		$1
}

rule function_49163_0 {
	meta:
		name = "TSOAPDomConv.GetNodeAsText"
		size = 258
		refs = "0020 @IntfAddRef 0028 TSOAPDomConv.GetNodeAsText 0035 @UStrClr 008b @OleVarFromInt 00ac @UStrCat 00c7 @VarClr 00cf @IntfClear 00f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 28 84 C0 74 0C 8B D3 8B 45 FC 8B 08 FF 51 50 EB 65 8D 55 F4 8B 45 FC 8B 08 FF 51 14 8B 45 F4 8B 10 FF 52 0C 8B F0 4E 85 F6 7C 4B 46 C7 45 F8 00 00 00 00 8D 55 E8 8B 45 FC 8B 08 FF 51 14 8B 45 E8 50 8D 45 D8 8B 55 F8 B1 FC E8 ?? ?? ?? ?? 8D 55 D8 8D 4D EC 58 8B 38 FF 57 10 8B 45 EC 8D 55 F0 8B 08 FF 51 54 8B 55 F0 8B C3 E8 ?? ?? ?? ?? FF 45 F8 4E 75 BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49164_0 {
	meta:
		name = "TSOAPDomConv.GetDataNode"
		size = 620
		refs = "0026 @IntfAddRef 0036 TSOAPDomConv.GetDataNode 0044 @UStrClr 004e @IntfCopy 0090 VarIsNull 00a3 @VarToUStr 00be TSOAPDomConv.FindNodeByHREF 0121 @UStrCopy 012e @UStrAsg 018e IXMLNode 0198 @FinalizeArray 01a0 @VarClr 01c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C E8 ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? 83 3E 00 0F 84 21 01 00 00 F6 43 5A 01 75 12 8D 4D E0 BA ?? ?? ?? ?? 8B 45 F8 8B 38 FF 57 0C EB 19 8D 45 E0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 8B 38 FF 97 84 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 85 98 00 00 00 8D 45 F0 8D 55 E0 E8 ?? ?? ?? ?? 83 7D F0 00 0F 84 CB 00 00 00 8D 45 F4 50 8B 4D F0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D F4 00 75 31 8D 55 DC 8B 45 FC 8B 08 FF 51 44 83 7D DC 00 74 20 8D 45 F0 50 8D 45 F4 50 8D 55 D8 8B 45 FC 8B 08 FF 51 44 8B 55 D8 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 83 7D F4 00 74 7D 8B C6 8B 55 F4 E8 ?? ?? ?? ?? F6 43 5A 01 75 18 8B 45 0C 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? EB 55 8B 45 0C 8B 55 F0 E8 ?? ?? ?? ?? EB 48 F6 43 5A 01 75 12 8D 4D E0 BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 53 0C EB 19 8D 45 E0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 93 84 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 45 0C 8D 55 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 72 00 65 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 33 00 2F 00 30 00 35 00 2F 00 73 00 6F 00 61 00 70 00 2D 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 72 00 65 00 66 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_49165_0 {
	meta:
		name = "TSOAPDomConv.CheckEncodingStyle"
		size = 288
		refs = "001b @IntfAddRef 0023 TSOAPDomConv.CheckEncodingStyle 003d SOAPEnvelopeNamespaces 0058 VarIsNull 006f SOAPEncodingNamespaces 0077 @VarFromUStr 0082 @VarCmpNE 009c SUnsupportedEncodingSyle 00a1 LoadResString 00ab _DV_ESOAPDomConvertError 00b0 Exception.CreateFmt 00b5 @RaiseExcept 00ca @UStrClr 00d3 Variant 00dd @FinalizeArray 00e5 @IntfClear 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 50 F6 43 5A 01 0F 95 C0 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 0C 82 BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 96 84 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 59 8D 45 D8 F6 43 5A 01 0F 95 C2 83 E2 7F 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 8D 55 D8 8D 45 E8 E8 ?? ?? ?? ?? 74 31 8D 45 E8 89 45 D0 C6 45 D4 0D 8D 45 D0 50 6A 00 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 53 00 74 00 79 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_49166_0 {
	meta:
		name = "TSOAPDomConv.AddObjectAsWriting"
		size = 53
		refs = "000b @DynArrayLength 001f :TSOAPDomConv.:1 0024 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 5C E8 ?? ?? ?? ?? 8B F0 8D 46 01 50 8D 43 5C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 5C 89 3C B0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49167_0 {
	meta:
		name = "TSOAPDomConv.IsObjectWriting"
		size = 47
		refs = "000d @DynArrayLength"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 33 DB 8B 47 5C E8 ?? ?? ?? ?? 48 85 C0 7C 13 40 33 D2 8B 4F 5C 3B 34 91 75 04 B3 01 EB 04 42 48 75 F0 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49168_0 {
	meta:
		name = "TSOAPDomConv.RemoveObjectAsWriting"
		size = 119
		refs = "0018 @DynArrayLength 0067 :TSOAPDomConv.:1 006c @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 33 F6 EB 09 8B 43 5C 3B 3C B0 74 0D 46 8B 43 5C E8 ?? ?? ?? ?? 3B F0 7C EB 8B 43 5C E8 ?? ?? ?? ?? 3B F0 7D 47 8B C6 50 8B 43 5C E8 ?? ?? ?? ?? 8B D0 83 EA 02 58 2B D0 7C 12 42 8B 4B 5C 8B 4C 81 04 8B 73 5C 89 0C 86 40 4A 75 EF 8B 43 5C E8 ?? ?? ?? ?? 48 50 8D 43 5C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49169_0 {
	meta:
		name = "TSOAPDomConv.ResetMultiRef"
		size = 62
		refs = "0030 :TSOAPDomConv.:1 0035 @DynArraySetLength"
	strings:
		$1 = { 53 8B D8 8B 43 50 8B 40 08 8B 10 FF 52 44 8B 43 50 8B 40 0C 8B 10 FF 52 44 8B 43 50 8B 40 04 8B 10 FF 52 24 6A 00 8D 43 5C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5B C3 }
	condition:
		$1
}

rule function_49170_0 {
	meta:
		name = "Finalization"
		size = 152
		refs = "0007 Finalization 0013 _DV_5 001a DefArrayElemName 001f @UStrClr 0024 InfoAttributeStr 002f string 0034 @FinalizeArray 0039 sOneAsWide 003e @WStrClr 0043 sBoolean 0058 NoYes 006d sDefaultValues 0078 WideString 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 68 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 09 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 16 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_49172_0 {
	meta:
		name = "TOPToSoapDomCustomRegistry.GetConverter"
		size = 63
		refs = "0010 @DynArrayLength 0031 @IntfCopy"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F8 8B 47 04 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1E 46 33 DB 8B 47 04 3B 6C D8 04 75 0E 8B 04 24 8B 57 04 8B 14 DA E8 ?? ?? ?? ?? 43 4E 75 E5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49173_0 {
	meta:
		name = "TOPToSoapDomCustomRegistry.RegisterCustomConverter"
		size = 141
		refs = "000e @UStrAddRef 0016 @IntfAddRef 001e TOPToSoapDomCustomRegistry.RegisterCustomConverter 002c @DynArrayLength 0040 :TOPToSoapDomCustomRegistry.:1 0045 @DynArraySetLength 0056 @IntfCopy 0072 @IntfClear 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B D8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 E8 ?? ?? ?? ?? 8B F0 8D 46 01 50 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 F0 8B 55 08 E8 ?? ?? ?? ?? 8B 43 04 89 7C F0 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_49176_0 {
	meta:
		name = "TTempFileStream.Create"
		size = 204
		refs = "000f @ClassCreate 001b TTempFileStream.Create 0029 GetTempDir 0039 @UStrCat3 0041 GetTempHandle 004c THandleStream.Create 0061 @UStrClr 0067 @HandleFinally 0074 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 46 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 08 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 45 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 53 00 6F 00 61 00 70 00 4D 00 69 00 6D 00 65 00 43 00 61 00 63 00 68 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49177_0 {
	meta:
		name = "TTempFileStream.Destroy"
		size = 71
		refs = "0004 @BeforeDestruction 0016 TObject.Destroy 001e CloseHandle 0028 FileExists 0034 DeleteFile 003f @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 77 04 B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 8B C6 50 E8 ?? ?? ?? ?? 8B 47 08 B2 01 E8 ?? ?? ?? ?? 84 C0 74 08 8B 47 08 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49178_0 {
	meta:
		name = "TRIO.Create"
		size = 236
		refs = "0015 @ClassCreate 0022 TRIO.Create 0031 TComponent.Create 0044 _Dn_TSOAPHeaders 0049 TAggregatedObject.Create 0053 _Dn_THeaderList 0058 THeaderList.Create 0075 THeaderList.SetOwnsObjects 008c @IntfCast 00af @IntfClear 00b5 @HandleFinally 00c4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB 85 C9 74 06 81 E9 50 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 44 8B C6 33 D2 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 40 85 D2 74 03 83 EA F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8D 4B 44 8D 53 48 8B 30 FF 56 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C3 00 00 7A 44 96 FC AC 94 88 4C B7 24 19 22 84 E2 DA 34 }
	condition:
		$1
}

rule function_49179_0 {
	meta:
		name = "TRIO.Destroy"
		size = 73
		refs = "0003 @BeforeDestruction 000f TObject.Free 0037 TComponent.Destroy 0042 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 38 E8 ?? ?? ?? ?? 33 C0 89 46 38 8B 46 40 E8 ?? ?? ?? ?? 8B 46 48 E8 ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49180_0 {
	meta:
		name = "TRIO.AfterConstruction"
		size = 12
		refs = "0007 TInterlocked.Add"
	strings:
		$1 = { 83 C0 3C 83 CA FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49181_0 {
	meta:
		name = "TRIO.BeforeDestruction"
		size = 101
		refs = "000c TRIO.BeforeDestruction 0019 TComponent.BeforeDestruction 0027 SInvalidPointer 002c LoadResString 0036 _Dn_Exception 003b Exception.Create 0040 @RaiseExcept 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7B 3C 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_49182_0 {
	meta:
		name = "THTTPReqResp.NewInstance"
		size = 13
		refs = "0001 TObject.NewInstance"
		altNames = "TRIO.NewInstance"
	strings:
		$1 = { E8 ?? ?? ?? ?? C7 40 3C 01 00 00 00 C3 }
	condition:
		$1
}

rule function_49184_0 {
	meta:
		name = "TRIO.GetResponseStream"
		size = 60
		refs = "0021 _DV_TTempFileStream 0026 TTempFileStream.Create 0030 _Dn_TMemoryStream 0035 TObject.Create"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 C3 FD 80 EB 02 73 1F 8B 86 A8 00 00 00 8B 10 FF 52 0C F6 C4 02 74 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49185_0 {
	meta:
		name = "TRIO.DoBeforeExecute"
		size = 35
		refs = "001c TStream.SetPosition"
	strings:
		$1 = { 53 56 8B D9 66 83 78 5A 00 74 15 8B F0 8B CB 8B 46 5C FF 56 58 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49186_0 {
	meta:
		name = "TRIO.DoAfterExecute"
		size = 35
		refs = "001c TStream.SetPosition"
	strings:
		$1 = { 53 56 8B D9 66 83 78 52 00 74 15 8B F0 8B CB 8B 46 54 FF 56 50 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49187_0 {
	meta:
		name = "TRIO.DoDispatch"
		size = 951
		refs = "0022 TRIO.DoDispatch 0067 GetBindingType 0073 GetMimeAttachmentHandler 01ec THeaderList.Clear 01f2 @HandleFinally 0240 _Dn_TMemoryStream 0245 TObject.Create 0306 TObject.Free 0385 @UStrClr 0392 @LStrArrayClr 03a2 @IntfClear"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 50 8B 45 F4 8B 40 44 50 8B 45 F4 8D 90 80 00 00 00 8B 45 F4 8B 80 A8 00 00 00 8B CE 8B 18 FF 53 2C 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 B2 01 E8 ?? ?? ?? ?? 8B D8 8B C3 8D 55 FC E8 ?? ?? ?? ?? 8B 45 F4 FF 70 6C FF 70 68 8B 45 FC 8B 10 FF 52 34 8B 45 F4 FF 70 64 FF 70 60 8B 45 FC 8B 10 FF 52 2C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 FB 03 75 74 8B 45 F4 8B 80 A8 00 00 00 8B 10 FF 52 14 8B C8 8B 55 EC 8B 45 FC 8B 38 FF 57 14 8D 55 E0 8B 45 FC 8B 08 FF 51 20 8B 55 E0 8B 45 F4 8B 80 AC 00 00 00 8B 08 FF 51 20 83 EE 03 56 8B 45 FC 50 8B 4D 08 8B 45 F4 8D 90 80 00 00 00 8B 45 F4 8B 80 AC 00 00 00 8B 30 FF 56 10 83 7D F8 00 74 0B 8B 55 F8 8B 45 FC 8B 08 FF 51 10 8B 45 FC 8B 10 FF 52 18 EB 20 83 EE 03 56 6A 00 8B 4D 08 8B 45 F4 8D 90 80 00 00 00 8B 45 F4 8B 80 AC 00 00 00 8B 30 FF 56 10 80 FB 03 75 1B 33 D2 8B 45 FC 8B 08 FF 51 1C 8B C8 8B 55 08 8B 12 8B 45 F4 8B 30 FF 56 44 EB 10 8B 55 08 8B 12 8B 4D EC 8B 45 F4 8B 30 FF 56 44 8B 45 08 33 D2 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 08 FF 51 48 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 FB 03 75 5E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC 8B 08 FF 51 1C 8B D0 8B 45 F4 8B 80 AC 00 00 00 8B 4D E8 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 80 A8 00 00 00 8B 10 FF 52 14 8B 10 FF 52 08 8B 45 F4 8B 40 44 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 80 AC 00 00 00 8B 4D E8 8B 55 EC 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 44 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 5D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 08 8B 12 8B 4D E8 8B 45 F4 8B 30 FF 56 40 8D 55 DC 8B 45 F4 8B 80 AC 00 00 00 8B 08 FF 51 1C 83 7D DC 00 74 4C 8D 55 D8 8B 45 F4 8B 80 AC 00 00 00 8B 08 FF 51 1C 8B 45 D8 50 6A 00 8B 45 F4 8B 80 A8 00 00 00 8B 10 FF 52 14 50 8D 55 D4 8B 45 F4 8B 80 A8 00 00 00 8B 08 FF 51 1C 8B 45 D4 50 8B 4D E4 8B 55 E8 8B 45 FC 8B 18 FF 53 0C 8B 5D E4 8B 45 08 50 8B 45 F0 50 8B 45 F4 8B 40 48 50 8B 45 F4 8D 88 80 00 00 00 8B 45 F4 8B 80 A8 00 00 00 8B D3 8B 18 FF 53 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 80 A8 00 00 00 8B 10 FF 52 14 8B 10 FF 52 08 C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_49188_0 {
	meta:
		name = "THTTPReqResp._AddRef"
		size = 23
		refs = "000f TInterlocked.Add"
		altNames = "TRIO._AddRef"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 C0 3C BA 01 00 00 00 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_49189_0 {
	meta:
		name = "TRIO._Release"
		size = 48
		refs = "000f TInterlocked.Add"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8D 43 3C 83 CA FF E8 ?? ?? ?? ?? 8B F0 85 F6 75 0F 83 7B 04 00 75 09 B2 01 8B C3 8B 08 FF 51 FC 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_49190_0 {
	meta:
		name = "TRIO.InternalQI"
		size = 200
		refs = "0014 TRIO.InternalQI 0019 TGUID.&op_Equality 002a TObject.GetInterface"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 0C 8B 75 08 BF 02 40 00 80 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B 4D 10 8B D3 8B 46 40 E8 ?? ?? ?? ?? 84 C0 74 02 33 FF 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 10 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B 4D 10 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 02 33 FF 85 FF 74 24 83 7E 38 00 74 1E 8B C3 8D 56 70 E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 10 50 53 8B 46 38 50 8B 00 FF 50 0C 8B F8 8B C7 5F 5E 5B 5D C2 0C 00 00 0C BE 40 E2 6F 25 11 D6 96 FA 00 C0 4F A0 6B 45 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 CC C9 F7 FE 77 A4 B7 40 AC BE 48 7E DA 3E 5D FE }
	condition:
		$1
}

rule function_49191_0 {
	meta:
		name = "TRIO.QueryInterface$982$ActRec.$0$Body"
		size = 49
		refs = "0011 TValue 0016 @InitializeRecord 0026 TRIO.Generic"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_67298_0 {
	meta:
		name = "TVirtualMethodInterceptor.Create$6580$ActRec.$0$Body"
		size = 49
		refs = "0011 TValue 0016 @InitializeRecord 0026 TVirtualMethodInterceptor.RawCallback"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_49192_0 {
	meta:
		name = "TRIO.QueryInterface"
		size = 740
		refs = "0015 TRIO.QueryInterface 0022 _DV_TRIO.QueryInterface$982$ActRec 0027 TObject.Create 003c @IntfCopy 0053 InvRegistry 005b TInvokableClassRegistry.GetInterfaceTypeInfo 0081 _DV_TRIO.TRioVirtualInterface 0086 TRIO.TRioVirtualInterface.Create 00b9 GetIntfMetaData 00da @HandleAnyException 00e8 TObject.Free 00f8 @DoneExcept 010c TRIO.InternalQI 0136 TInvokableClassRegistry.GetIntfInvokeOptions 02bb @IntfClear 02c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8D 45 FC 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 89 42 0C 83 78 38 00 0F 85 AA 00 00 00 E8 ?? ?? ?? ?? 8B 55 0C E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 93 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 F8 8B 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 72 0C 89 46 38 8B 46 38 83 C0 28 8B 55 F8 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8D 90 80 00 00 00 B1 01 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 8B 55 F8 8B 52 0C 8B F0 8D 7A 70 A5 A5 A5 A5 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 40 38 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 33 D2 89 50 38 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 F8 8B 40 0C 50 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 85 90 01 00 00 8B 45 F8 8B 40 0C 83 B8 A8 00 00 00 00 0F 84 7D 01 00 00 E8 ?? ?? ?? ?? 8B 55 0C E8 ?? ?? ?? ?? 8B D8 F6 C3 02 74 2C 8B 45 F8 8B 40 0C 8B 80 A8 00 00 00 8B 10 FF 52 0C 8B D0 0B 15 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 80 A8 00 00 00 8B 08 FF 51 10 EB 2C 8B 45 F8 8B 40 0C 8B 80 A8 00 00 00 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? F7 D2 23 D0 8B 45 F8 8B 40 0C 8B 80 A8 00 00 00 8B 08 FF 51 10 F6 C3 04 74 2C 8B 45 F8 8B 40 0C 8B 80 A8 00 00 00 8B 10 FF 52 0C 8B D0 0B 15 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 80 A8 00 00 00 8B 08 FF 51 10 EB 2C 8B 45 F8 8B 40 0C 8B 80 A8 00 00 00 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? F7 D2 23 D0 8B 45 F8 8B 40 0C 8B 80 A8 00 00 00 8B 08 FF 51 10 F6 C7 02 74 56 8B 45 F8 8B 40 0C 8B 80 A8 00 00 00 8B 10 FF 52 0C 8B D0 0B 15 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 80 A8 00 00 00 8B 08 FF 51 10 8B 45 F8 8B 40 0C 8B 80 AC 00 00 00 8B 10 FF 52 24 8B D0 0A 15 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 80 AC 00 00 00 8B 08 FF 51 28 EB 59 8B 45 F8 8B 40 0C 8B 80 A8 00 00 00 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? F7 D2 23 D0 8B 45 F8 8B 40 0C 8B 80 A8 00 00 00 8B 08 FF 51 10 8B 45 F8 8B 40 0C 8B 80 AC 00 00 00 8B 10 FF 52 24 0F B6 15 ?? ?? ?? ?? F7 D2 22 D0 8B 45 F8 8B 40 0C 8B 80 AC 00 00 00 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 59 5D C2 0C 00 00 00 20 00 00 00 00 10 00 00 00 00 01 00 01 00 00 00 }
	condition:
		$1
}

rule function_49193_0 {
	meta:
		name = "TRIO.TRioVirtualInterface.Create"
		size = 65
		refs = "000d @ClassCreate 0020 TVirtualInterface.Create 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 30 8B 4D 08 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_49194_0 {
	meta:
		name = "TRIO.TRioVirtualInterface.QueryInterface"
		size = 45
		refs = "0013 TVirtualInterface.QueryInterface 0022 TRIO.InternalQI"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 57 56 53 E8 ?? ?? ?? ?? 85 C0 74 0B 57 56 8B 43 30 50 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_49195_0 {
	meta:
		name = "TRIO.TRioVirtualInterface._AddRef"
		size = 19
		refs = "000b TRIO._AddRef"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 30 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_49196_0 {
	meta:
		name = "TRIO.TRioVirtualInterface._Release"
		size = 19
		refs = "000b TRIO._Release"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 30 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_49197_0 {
	meta:
		name = "TRIO.Generic"
		size = 491
		refs = "001e TValue 0023 @InitializeRecord 002c TIntfMethEntry 0039 TRIO.Generic 0050 SNoMessageConverter 0055 LoadResString 005f _Dn_Exception 0064 Exception.Create 0069 @RaiseExcept 007a SNoMsgProcessingNode 009a _Dn_TInvContext 009f TDataContext.Create 00c0 @DynArrayLength 0106 @CopyRecord 0111 TInvContext.SetMethodInfo 0131 TValue.GetReferenceToRawData 013e TInvContext.SetParamPointer 0157 @FinalizeRecord 0162 TValue.Make 0174 TInvContext.SetResultPointer 0191 TRIO.DoDispatch 01a6 TObject.Free 01ac @HandleFinally 01c8 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D C8 89 5D CC 89 4D D8 89 55 DC 8B F8 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BF A8 00 00 00 00 75 21 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BF AC 00 00 00 00 75 21 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 D4 8B 87 88 00 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 51 46 33 DB 8B 45 DC 8B 10 FF 52 24 0F BF C0 8B D3 03 D2 03 D2 8B 8F 88 00 00 00 3B 44 D1 08 75 2D 89 5D D4 8D 45 E0 8B D3 03 D2 03 D2 8B 8F 88 00 00 00 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 8B 45 D0 E8 ?? ?? ?? ?? EB 04 43 4E 75 B2 8B 75 EC 85 F6 7E 24 BB 01 00 00 00 8D 04 5B 8B 55 D8 8D 04 C2 E8 ?? ?? ?? ?? 8B C8 8B D3 4A 8B 45 D0 E8 ?? ?? ?? ?? 43 4E 75 E1 8B 5D F0 85 DB 74 2D 8B 15 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 8B C8 8B D3 33 C0 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 8B D0 8B 45 D0 E8 ?? ?? ?? ?? EB 0A 33 D2 8B 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 4D D4 8B 55 D0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_49201_0 {
	meta:
		name = "GetTempHandle"
		size = 192
		refs = "0011 GetTempHandle 0023 IntToStr 0030 @UStrCat3 0054 FileExists 0062 @UStrAsg 006a FileCreate 0079 STempFileAccessError 007e LoadResString 0088 _Dn_Exception 008d Exception.Create 0092 @RaiseExcept 00ac @UStrArrayClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B 16 8D 45 FC E8 ?? ?? ?? ?? EB 18 43 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8B 16 8D 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 DA 8B C6 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 83 FB 01 7D 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49202_0 {
	meta:
		name = "GetBorlandMimeContentType"
		size = 500
		refs = "0011 GetBorlandMimeContentType 0036 Format 006d @UStrCatN 007c @LStrFromUStr 0091 @UStrClr 009e @UStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 EC 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 EC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 4D 00 49 00 4D 00 45 00 5F 00 62 00 6F 00 75 00 6E 00 64 00 61 00 72 00 79 00 42 00 30 00 52 00 39 00 35 00 33 00 32 00 31 00 34 00 33 00 31 00 38 00 32 00 31 00 32 00 31 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 2F 00 72 00 65 00 6C 00 61 00 74 00 65 00 64 00 3B 00 20 00 62 00 6F 00 75 00 6E 00 64 00 61 00 72 00 79 00 3D 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 3B 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 74 00 65 00 78 00 74 00 2F 00 78 00 6D 00 6C 00 22 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 62 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 63 00 6F 00 6D 00 2F 00 72 00 6F 00 6F 00 74 00 70 00 61 00 72 00 74 00 2E 00 78 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 3B 00 20 00 73 00 74 00 61 00 72 00 74 00 3D 00 22 00 3C 00 25 00 73 00 3E 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_49203_0 {
	meta:
		name = "GetMimeBoundaryFromType"
		size = 256
		refs = "0011 GetMimeBoundaryFromType 0021 LowerCase 002e Pos 004f @LStrCopy 0056 SEMI_COLON 0086 AnsiDequotedStr 0090 @LStrAsg 0099 @LStrClr 00b3 @LStrArrayClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 61 53 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 09 B9 FF FF FF 7F 8B C6 E8 ?? ?? ?? ?? 8B 13 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 7E 1C 53 8B 13 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 4D F8 8B 03 B2 22 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 11 00 00 00 6D 75 6C 74 69 70 61 72 74 2F 72 65 6C 61 74 65 64 00 00 00 E4 04 01 00 FF FF FF FF 09 00 00 00 62 6F 75 6E 64 61 72 79 3D 00 00 00 }
	condition:
		$1
}

rule function_49205_0 {
	meta:
		name = "TSOAPAttachmentData.SetCacheFile"
		size = 31
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 8B 08 FF 51 1C 8B D6 8B C3 8B 08 FF 51 10 C6 43 10 01 5E 5B C3 }
	condition:
		$1
}

rule function_49206_0 {
	meta:
		name = "TWebRequestStream.Create"
		size = 245
		refs = "0019 @ClassCreate 0028 TWebRequestStream.Create 0037 TObject.Create 009d @LStrAsg 00a5 @LStrClr 00cf @HandleFinally 00de @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F7 89 73 04 8B C6 BA 10 00 00 00 8B 08 FF 51 0C 99 89 43 10 89 53 14 C7 43 08 00 00 00 00 C7 43 0C 00 00 00 00 8D 4D F8 8B 43 04 BA 19 00 00 00 8B 30 FF 56 04 8B 45 F8 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 89 43 18 8D 4D F0 8B 43 04 BA 0F 00 00 00 8B 30 FF 56 04 8B 55 F0 8D 43 20 E8 ?? ?? ?? ?? 8D 43 1C E8 ?? ?? ?? ?? C7 43 24 00 28 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49208_0 {
	meta:
		name = "TWebRequestStream.ReadLn"
		size = 368
		refs = "0016 TWebRequestStream.ReadLn 0029 @LStrSetLength 0031 @UniqueStringA 0055 Pos 007b @LStrCopy 0089 @LStrCat3 0106 @LStrCat 0124 EncodingGetString 013e @LStrArrayClr 0151 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 33 C9 8B 53 24 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 4B 24 8B C3 8B 30 FF 56 0C 8D 55 F8 33 C9 92 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7E 3C 46 8B 7D F8 85 FF 74 05 83 EF 04 8B 3F 8D 45 F0 50 8B CF 2B CE 8D 56 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 1C 8B 4B 1C E8 ?? ?? ?? ?? 8D 45 F8 33 C9 8B D6 E8 ?? ?? ?? ?? EB 6F 8B 55 F8 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 5D 8B C2 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 80 7C 02 FF 0D 75 48 8D 45 FC 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 B9 01 00 00 00 8B C3 8B 30 FF 56 0C 8B 45 FC 80 38 0A 75 1B 8B 53 24 4A 8D 45 F8 33 C9 E8 ?? ?? ?? ?? 8D 43 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EC BA 0F 00 00 00 8B 43 04 8B 18 FF 53 04 8B 45 EC 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_49209_0 {
	meta:
		name = "LoadSavedChars"
		size = 571
		refs = "001d LoadSavedChars 00a9 @LStrSetLength 00db @UniqueStringA 00e9 Move 00f6 @LStrCat 0220 @LStrClr 022e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 D2 89 55 C4 89 55 FC 8B F0 8B 5D 08 83 C3 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B 40 18 99 8B 0B 3B 51 0C 75 0B 3B 41 08 0F 86 D2 00 00 00 EB 06 0F 8E CA 00 00 00 8B 45 08 8B 40 F8 99 89 45 F0 89 55 F4 8B 03 8B 40 18 99 8B 0B 2B 41 08 1B 51 0C 89 45 E8 89 55 EC 8B 45 F0 8B 55 F4 3B 55 EC 75 07 3B 45 E8 73 12 EB 02 7D 0E 8B 45 F0 89 45 E0 8B 45 F4 89 45 E4 EB 0C 8B 45 E8 89 45 E0 8B 45 EC 89 45 E4 8B 45 E0 8B 55 08 89 42 F4 8B 45 08 8B 50 F4 8D 45 FC 33 C9 E8 ?? ?? ?? ?? 8D 4D C4 8B 03 8B 40 04 BA 19 00 00 00 8B 38 FF 57 04 8B 45 C4 50 8B 03 8B 50 0C 8B 40 08 83 C0 01 83 D2 00 5A 8D 44 02 FF 50 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 48 F4 58 E8 ?? ?? ?? ?? 8B 03 83 C0 1C 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 99 8B 0B 01 41 08 11 51 0C 8B 45 08 03 70 F4 8B 45 08 3B 70 F8 0F 8D F4 00 00 00 E9 C7 00 00 00 8B 45 08 8B 40 F8 2B C6 99 89 45 D8 89 55 DC 8B 03 8B 50 14 8B 40 10 8B 0B 2B 41 08 1B 51 0C 89 45 D0 89 55 D4 8B 45 D8 8B 55 DC 3B 55 D4 75 07 3B 45 D0 73 12 EB 02 7D 0E 8B 45 D8 89 45 C8 8B 45 DC 89 45 CC EB 0C 8B 45 D0 89 45 C8 8B 45 D4 89 45 CC 8B 45 C8 8B 55 08 89 42 F4 8B 45 08 8B 50 F4 8D 45 FC 33 C9 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 48 F4 8B 03 8B 40 04 8B 38 FF 57 1C 8B 55 08 89 42 F0 8B 45 08 83 78 F0 01 7C 5A 8B 45 08 8B 50 F0 8D 45 FC 33 C9 E8 ?? ?? ?? ?? 8B 03 83 C0 1C 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 99 8B 0B 01 41 08 11 51 0C 8B 45 08 03 70 F0 8B 45 08 3B 70 F8 7D 20 8B 03 8B 50 0C 8B 40 08 8B 0B 3B 51 14 75 0B 3B 41 10 0F 82 19 FF FF FF EB 06 0F 8C 11 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49210_0 {
	meta:
		name = "TWebRequestStream.Read"
		size = 183
		refs = "0033 LoadSavedChars 005d @UniqueStringA 0068 Move 008a @LStrClr 00a7 @LStrCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F8 8B DA 89 45 FC 8B 45 FC 83 78 04 00 0F 84 90 00 00 00 8B 45 FC 8B 40 1C 85 C0 74 05 83 E8 04 8B 00 3B 45 F8 7D 07 55 E8 ?? ?? ?? ?? 59 8B F3 33 DB 8B 45 FC 8B 40 1C 85 C0 74 05 83 E8 04 8B 00 3B 45 F8 7E 03 8B 45 F8 89 45 F4 8B 45 FC 83 C0 1C E8 ?? ?? ?? ?? 8D 14 1E 8B 4D F4 E8 ?? ?? ?? ?? 03 5D F4 8B 45 FC 8B 40 1C 85 C0 74 05 83 E8 04 8B 00 3B 45 F4 7F 0D 8B 45 FC 83 C0 1C E8 ?? ?? ?? ?? EB 1F 8B 45 FC 83 C0 1C 50 8B 55 F4 42 8B 45 FC 8B 40 1C B9 FF FF FF 7F E8 ?? ?? ?? ?? EB 02 33 DB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49211_0 {
	meta:
		name = "TWebRequestStream.Seek"
		size = 105
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 E9 01 72 09 74 3C 66 FF C9 74 1A EB 3E 8B 4B 1C 85 C9 74 05 83 E9 04 8B 09 8D 04 31 99 89 43 08 89 53 0C EB 26 8B 4B 1C 85 C9 74 05 83 E9 04 8B 09 8B C1 99 03 43 10 13 53 14 89 43 08 89 53 0C EB 09 8B C6 99 01 43 08 11 53 0C 8B 43 1C 85 C0 74 05 83 E8 04 8B 00 8B 53 08 2B D0 8B C2 5E 5B C3 }
	condition:
		$1
}

rule function_49213_0 {
	meta:
		name = "TAggregatedStream.Create"
		size = 94
		refs = "000a @ClassCreate 0015 _Dn_TList 001a TObject.Create 004b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 C7 46 04 FF FF FF FF C7 46 10 00 00 00 00 C7 46 14 00 00 00 00 C7 46 18 00 00 00 00 C7 46 1C 00 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_49214_0 {
	meta:
		name = "TAggregatedStream.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 0010 TAggregatedStream.ClearStream 0020 TObject.Free 002b TObject.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 8B C6 E8 ?? ?? ?? ?? 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49215_0 {
	meta:
		name = "TAggregatedStream.Seek"
		size = 64
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 E9 01 72 09 74 12 66 FF C9 74 18 EB 25 8B C6 99 89 43 18 89 53 1C EB 1A 8B C6 99 01 43 18 11 53 1C EB 0F 8B C6 99 03 43 10 13 53 14 89 43 18 89 53 1C 8B 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_49216_0 {
	meta:
		name = "TAggregatedStream.SetStreamToPosition"
		size = 205
		refs = "0026 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 43 18 8B 53 1C 3B 53 14 75 24 3B 43 10 75 1F 8B 43 08 8B 70 08 4E 89 73 04 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B 10 FF 12 8B F8 8B 73 18 EB 6E 33 F6 33 FF 33 C0 89 43 04 EB 63 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 8B 10 FF 12 52 50 8B 43 18 8B 53 1C 52 50 8B C6 99 29 04 24 19 54 24 04 58 5A 3B 54 24 04 75 09 3B 04 24 5A 58 76 28 EB 04 5A 58 7E 22 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 8B 10 FF 12 03 F0 8B 43 08 8B 40 08 48 3B 43 04 7E 1F FF 43 04 EB 09 8B 6B 18 8B FD 2B FE 8B F5 8B C6 99 3B 53 1C 75 07 3B 43 18 72 90 EB 02 7C 8C 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 33 C9 8B D7 8B 18 FF 53 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49217_0 {
	meta:
		name = "TAggregatedStream.Read"
		size = 422
		refs = "0019 TAggregatedStream.Read 0032 SEmptyStream 0037 LoadResString 0041 _Dn_Exception 0046 Exception.Create 004b @RaiseExcept 0052 TAggregatedStream.SetStreamToPosition 007b TList.Get 0091 TStream.GetPosition 0191 @UStrClr 0197 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 43 08 83 78 08 00 75 21 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 18 8B 53 1C 3B 53 14 75 09 3B 43 10 0F 84 16 01 00 00 89 7D F8 33 F6 E9 F8 00 00 00 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 8B 10 FF 12 52 50 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 89 45 E8 89 55 EC 8B 45 FC 2B C6 99 3B 55 EC 75 07 3B 45 E8 76 12 EB 02 7E 0E 8B 45 E8 89 45 E0 8B 45 EC 89 45 E4 EB 0C 8B 45 FC 2B C6 99 89 45 E0 89 55 E4 8B 45 E0 89 45 F0 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 8B 55 F8 03 D6 8B 4D F0 8B 38 FF 57 0C 89 45 F4 8B 45 F4 99 01 43 18 11 53 1C 03 75 F4 3B 75 FC 7D 67 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 8B 10 FF 12 52 50 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 54 24 04 75 09 3B 04 24 5A 58 73 06 EB 37 5A 58 7C 33 8B 43 08 8B 40 08 48 3B 43 04 7E 19 FF 43 04 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 38 FF 57 14 EB 0E 8B 43 10 89 43 18 8B 43 14 89 43 1C EB 14 3B 75 FC 7D 0F 8B 43 08 8B 40 08 3B 43 04 0F 8F F4 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49219_0 {
	meta:
		name = "TAggregatedStream.AddStream"
		size = 109
		refs = "001b TList.Add 0030 :TAggregatedStream.:1 0035 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 55 8B D9 8B F2 8B F8 33 C9 33 D2 8B C6 8B 28 FF 55 14 8B D6 8B 47 08 E8 ?? ?? ?? ?? 8B 47 08 8B 40 08 50 8D 47 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 47 08 8B 40 08 8B 57 0C 88 5C 02 FF 8B C6 8B 10 FF 12 01 47 10 11 57 14 C7 47 18 00 00 00 00 C7 47 1C 00 00 00 00 33 C0 89 47 04 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49220_0 {
	meta:
		name = "TAggregatedStream.AddStream"
		size = 135
		refs = "0015 TAggregatedStream.AddStream 0022 _Dn_TMemoryStream 0027 TObject.Create 0034 UTF8Encode 003c @UniqueStringA 0076 @LStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B C8 8B 45 F4 8B 18 FF 53 10 B1 01 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49221_0 {
	meta:
		name = "TAggregatedStream.ClearStream"
		size = 115
		refs = "0026 TList.Get 002b TObject.Free 003f :TAggregatedStream.:1 0044 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B D8 84 D2 74 2A 8B 43 08 8B 78 08 4F 85 FF 7C 1F 47 33 F6 8B 43 0C 80 3C 30 01 75 0F 8B D6 8B 43 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 E4 6A 00 8D 43 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 08 8B 10 FF 52 08 C7 43 10 00 00 00 00 C7 43 14 00 00 00 00 C7 43 18 00 00 00 00 C7 43 1C 00 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49222_0 {
	meta:
		name = "TMimeAttachmentHandler.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TAggregatedStream.Create 001e _Dn_TStringList 0023 TStringList.Create 002d _DV_TAggregatedStream 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_49223_0 {
	meta:
		name = "TMimeAttachmentHandler.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000f TObject.Free 002a TAggregatedStream.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 30 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49224_0 {
	meta:
		name = "TMimeAttachmentHandler.FinalizeStream"
		size = 724
		refs = "0018 TMimeAttachmentHandler.FinalizeStream 0039 TAggregatedStream.AddStream 0052 MimeStart 0057 @LStrCat3 0062 @UStrFromLStr 007c @UStrCatN 00a5 Format 00af TMimeAttachmentHandler.AddSoapHeader 013e @UStrCat 0193 @UStrClr 01a0 @UStrArrayClr 01b5 @LStrClr 01c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 83 78 14 00 75 1F 83 78 10 00 75 19 33 C9 8B 56 2C 8B C6 E8 ?? ?? ?? ?? 8B 46 30 8B 10 FF 52 44 E9 38 01 00 00 8D 45 F4 8B 4E 28 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8D 45 EC 50 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 45 E0 50 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 46 2C 8B 10 FF 12 89 45 D4 89 55 D8 8D 45 D4 89 45 E4 C6 45 E8 10 8D 55 E4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 46 30 8B 10 FF 52 14 8B D8 4B 85 DB 7C 33 43 C7 45 F8 00 00 00 00 8D 4D D0 8B 55 F8 8B 46 30 8B 38 FF 57 0C 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B C6 E8 ?? ?? ?? ?? FF 45 F8 4B 75 D5 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 8B 56 2C 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C9 8B 56 20 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 62 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 63 00 6F 00 6D 00 2F 00 72 00 6F 00 6F 00 74 00 70 00 61 00 72 00 74 00 2E 00 78 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 49 00 44 00 3A 00 20 00 3C 00 25 00 73 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 3A 00 20 00 25 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_49227_0 {
	meta:
		name = "ReadLine"
		size = 211
		refs = "0018 ReadLine 0026 _DV_TWebRequestStream 002b @IsClass 0043 @AsClass 004b TWebRequestStream.ReadLn 0055 UTF8Encode 0062 @LStrSetLength 0069 TStream.GetPosition 0073 @UniqueStringA 0085 EOL 008a Pos 00ab TStream.SetPosition 00c0 @UStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 28 8B 45 08 8B 40 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B D3 E8 ?? ?? ?? ?? EB 54 8B C3 33 C9 8B D7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C6 8B 38 FF 57 0C 8B 13 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 7E 1B 47 8B C3 33 C9 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 03 C7 99 52 50 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_49228_0 {
	meta:
		name = "SameMimeBoundary"
		size = 276
		refs = "0013 SameMimeBoundary 0022 SameText 0042 @LStrCatN 00b0 @LStrCat3 00e0 @LStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 98 00 00 00 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 72 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 4C 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 45 F0 B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 E4 04 01 00 FF FF FF FF 02 00 00 00 2D 2D 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_49229_0 {
	meta:
		name = "ReadContent"
		size = 307
		refs = "0017 ReadContent 0037 ReadLine 0042 @UniqueStringA 0091 SMimeReadError 0096 LoadResString 00a0 _Dn_Exception 00a5 Exception.Create 00aa @RaiseExcept 00c7 TStream.GetPosition 00eb SameMimeBoundary 0104 @LStrAsg 0119 @UStrClr 0121 @LStrClr 0127 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F0 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 4D FC 8B 45 08 8B 40 FC 8B 40 04 BA 00 28 00 00 E8 ?? ?? ?? ?? 59 EB 70 8D 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8B CB 8B 55 F4 8B 45 F8 8B 18 FF 53 10 8B 45 08 50 8D 4D FC 8B 45 08 8B 40 FC 8B 40 04 BA 00 28 00 00 E8 ?? ?? ?? ?? 59 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 85 F6 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 04 8B 10 FF 12 52 50 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 3B 54 24 04 75 09 3B 04 24 5A 58 77 1F EB 04 5A 58 7F 19 8B 45 08 8B 40 F8 8B 50 28 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 47 FF FF FF 8B 45 08 8B 40 F8 83 C0 24 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49230_0 {
	meta:
		name = "ReadBody"
		size = 444
		refs = "0014 ReadBody 0037 TStream.GetPosition 007e TStrings.GetValue 008f ReadContent 00b3 StrToInt 00fb SInvalidContentLength 0100 LoadResString 010a _Dn_Exception 010f Exception.Create 0114 @RaiseExcept 012d TStream.CopyFrom 017a @UStrArrayClr 0180 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 04 8B 10 FF 12 52 50 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 3B 54 24 04 75 0D 3B 04 24 5A 58 0F 83 E5 00 00 00 EB 08 5A 58 0F 8D DB 00 00 00 8B 45 08 8B 40 FC 8B 40 08 8B 10 FF 52 14 85 C0 0F 84 F8 00 00 00 8D 4D FC 8B 45 08 8B 40 FC 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 75 11 8B 45 08 50 8B C7 E8 ?? ?? ?? ?? 59 E9 98 00 00 00 8D 4D F8 8B 45 08 8B 40 FC 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 40 04 8B 10 FF 12 52 50 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 8B C3 99 3B 54 24 04 75 09 3B 04 24 5A 58 76 27 EB 04 5A 58 7E 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7E 15 8B C3 99 52 50 8B 45 08 8B 40 FC 8B 50 04 8B C7 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 04 8B 10 FF 12 52 50 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 3B 54 24 04 75 09 3B 04 24 5A 58 72 09 EB 04 5A 58 7C 03 C6 06 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_49231_0 {
	meta:
		name = "GetHeaders"
		size = 408
		refs = "0015 GetHeaders 0022 _Dn_TStringList 0027 TStringList.Create 0045 @LStrLAsg 0060 ReadLine 0070 EOL 0075 @LStrEqual 00a2 EMPTY_STR 00b0 StringReplace 00e4 @UStrFromLStr 011e TObject.Free 0124 @HandleFinally 013b @LStrClr 0143 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 56 8B 75 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A5 00 00 00 8B 45 08 50 8D 4D FC 8B 06 8B 40 04 BA 00 04 00 00 E8 ?? ?? ?? ?? 59 83 7D FC 00 74 10 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 19 8B 06 8B 40 08 8B 10 FF 52 44 8B 06 8B 40 08 8B 55 F8 8B 08 FF 51 40 EB 79 0F B6 05 ?? ?? ?? ?? 50 8D 45 F4 50 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 EC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 08 FF 51 38 83 7D FC 00 74 14 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 41 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 8B E5 5D C3 E4 04 01 00 FF FF FF FF 01 00 00 00 6C 00 00 00 00 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 3D 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 3A 20 00 00 }
	condition:
		$1
}

rule function_49232_0 {
	meta:
		name = "SkipMimeBoundary"
		size = 276
		refs = "0012 SkipMimeBoundary 003b SameMimeBoundary 0057 ReadLine 0063 @UStrFromLStr 0076 @UStrEqual 008d TStream.GetPosition 00e4 @LStrClr 00ec @UStrClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B 5D 08 83 C3 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F8 83 78 24 00 74 3F 8B 45 08 8B 40 F8 8B 50 28 8B 45 08 8B 40 F8 8B 40 24 E8 ?? ?? ?? ?? 84 C0 75 61 EB 22 8B 45 08 50 8D 4D F8 8B 03 8B 40 04 BA 00 28 00 00 E8 ?? ?? ?? ?? 59 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 0F 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 28 8B 03 8B 40 04 8B 10 FF 12 52 50 8B 03 8B 40 04 E8 ?? ?? ?? ?? 3B 54 24 04 75 09 3B 04 24 5A 58 72 A7 EB 04 5A 58 7C A1 8B 03 8B 40 04 8B 10 FF 12 52 50 8B 03 8B 40 04 E8 ?? ?? ?? ?? 3B 54 24 04 75 08 3B 04 24 0F 93 C0 EB 03 0F 9D C0 83 C4 08 8B 55 08 88 42 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_49233_0 {
	meta:
		name = "TMimeAttachmentHandler.ProcessMultiPartForm"
		size = 1132
		refs = "0038 TMimeAttachmentHandler.ProcessMultiPartForm 004a GetTempDir 005a @UStrCat3 0075 LowerCase 007d SMultiPartRelated 0082 Pos 008f GetMimeBoundaryFromType 009d @LStrAsg 00cb _DV_TMimeStreamHolder 00d0 TMimeStreamHolder.Create 00ed SkipMimeBoundary 0101 GetHeaders 014e TStream.SetPosition 015a ReadBody 016e _DV_TSOAPAttachmentData 0173 TSOAPAttachment.Create 0180 @UStrLAsg 0188 GetTempHandle 0196 RaiseLastOSError 01ae _Dn_THandleStream 01b3 THandleStream.Create 01d7 TStrings.GetValue 01e2 @UStrAsg 022b TSOAPAttachmentData.SetCacheFile 0247 TObject.Free 0250 TRemotable.SetDataContext 0296 TSoapDataList.Add 02c9 @HandleFinally 02e7 CloseHandle 0338 @UStrArrayClr 0345 @LStrArrayClr 034d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 DB 89 5D B8 89 5D BC 89 5D C0 89 5D C4 89 5D C8 89 5D CC 89 5D D0 89 5D F0 89 5D EC 89 4D E8 8B DA 89 45 F8 8B 7D 08 8B 75 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 75 1A 8D 45 D0 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0F 8D 45 EC B9 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8D 55 CC 8B C6 E8 ?? ?? ?? ?? 8B 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 1A 8D 55 C8 8B C6 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F8 83 C0 28 E8 ?? ?? ?? ?? EB 0D 8B 45 F8 83 C0 28 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 83 78 28 00 0F 84 65 02 00 00 33 C9 33 D2 8B C3 8B 30 FF 56 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 58 04 55 E8 ?? ?? ?? ?? 59 C6 45 F7 00 C6 45 E3 00 E9 F4 01 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 08 8B 10 FF 52 14 85 C0 0F 84 E4 01 00 00 80 7D E3 00 75 4C C6 45 E3 01 8B 45 FC 8B 40 08 8B 10 FF 52 14 85 C0 7E 14 83 7D 10 00 74 0E 8B 45 FC 8B 50 08 8B 45 10 8B 08 FF 51 40 6A 00 6A 00 8B 45 E8 E8 ?? ?? ?? ?? 55 8D 55 F7 8B 45 E8 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 E9 88 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F0 8B 55 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 89 45 DC 83 7D DC FF 75 05 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D C4 8B 45 FC 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8D 43 30 E8 ?? ?? ?? ?? 83 7B 30 00 75 1E 8D 4D C0 8B 45 FC 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8D 43 30 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 43 28 8B 08 FF 51 40 55 8D 55 F7 8B 45 E4 E8 ?? ?? ?? ?? 59 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B CB 8B 55 E4 8B 45 F8 8B 30 FF 56 20 8B 75 E4 33 C0 89 45 E4 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 4D BC 8B 45 FC 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8D 43 14 E8 ?? ?? ?? ?? 8D 4D B8 8B 45 FC 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 8D 43 18 E8 ?? ?? ?? ?? 8B D3 8B 45 0C E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 13 8B 45 E4 89 45 D8 33 C0 89 45 E4 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 89 45 D4 8B 45 D4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 80 7D F7 00 0F 84 02 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 04 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5F 5E 5B 8B E5 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 45 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 53 00 6F 00 61 00 70 00 41 00 74 00 74 00 61 00 63 00 68 00 6D 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 74 00 72 00 61 00 6E 00 73 00 66 00 65 00 72 00 2D 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_49235_0 {
	meta:
		name = "TCustomApplicationEvents.DoActionUpdate"
		size = 18
		altNames = "TMimeAttachmentHandler.DoOnGetAttachment"
	strings:
		$1 = { 53 66 83 78 42 00 74 08 8B D8 8B 43 44 FF 53 40 5B C3 }
	condition:
		$1
}

rule function_49236_0 {
	meta:
		name = "TMimeAttachmentHandler.AddSoapHeader"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 30 8B 08 FF 51 38 5E C3 }
	condition:
		$1
}

rule function_49237_0 {
	meta:
		name = "TMimeAttachmentHandler.CreateMimeStream"
		size = 120
		refs = "000e TObject.Free 0015 _Dn_TMemoryStream 001a TObject.Create 002c TStream.CopyFrom 0035 TMimeAttachmentHandler.CreateAttachmentStream 003d TMimeAttachmentHandler.CreateMimeStream 0042 @LStrAsg"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B 43 2C E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 2C 6A 00 6A 00 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D5 8B C3 E8 ?? ?? ?? ?? 8D 43 28 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 00 E4 04 01 00 FF FF FF FF 1D 00 00 00 4D 49 4D 45 5F 62 6F 75 6E 64 61 72 79 42 30 52 39 35 33 32 31 34 33 31 38 32 31 32 31 00 00 00 }
	condition:
		$1
}

rule function_49238_0 {
	meta:
		name = "TMimeAttachmentHandler.CreateAttachmentStream"
		size = 1252
		refs = "001d TMimeAttachmentHandler.CreateAttachmentStream 0033 @LStrAsg 0042 MimeStart 0047 @LStrCat3 0066 TAggregatedStream.ClearStream 008a @LStrCatN 0095 @UStrFromLStr 00a3 TAggregatedStream.AddStream 00cd TList.Get 010a _Dn_TFileStream 010f TFileStream.Create 0139 _Dn_TMemoryStream 013e TObject.Create 014c UTF8Encode 0154 @UniqueStringA 01b8 @UStrCatN 01e8 Format 01f3 @UStrCat 02b2 @UStrCat3 0348 @LStrClr 0355 @UStrArrayClr 036f @LStrArrayClr 0377 @UStrClr 0392 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0C 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 83 C0 28 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 48 28 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 48 20 83 79 14 00 75 08 83 79 10 00 76 0D EB 02 7E 09 8B C1 B2 01 E8 ?? ?? ?? ?? 8B 45 EC 83 78 08 00 75 39 68 ?? ?? ?? ?? FF 75 F8 FF 35 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F0 8B 40 20 E8 ?? ?? ?? ?? E9 8B 02 00 00 8B 45 EC 8B 40 08 48 85 C0 0F 8C 7C 02 00 00 40 89 45 D8 C7 45 E8 00 00 00 00 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 8B D8 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? C6 45 DF 01 83 7B 0C 00 74 16 6A 00 8B 4B 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 EB 5A 8B C3 8B 10 FF 52 0C 85 C0 74 13 8B C3 8B 10 FF 52 0C 89 45 E0 0F B6 43 2C 88 45 DF EB 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8D 55 F4 8B 43 24 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B F0 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B C8 8B D6 8B 45 E0 8B 30 FF 56 10 8B CB 8B 55 E0 8B 45 F0 8B 30 FF 56 1C 8B 43 28 8B 10 FF 52 14 8B F0 4E 85 F6 7C 34 46 C7 45 E4 00 00 00 00 FF 75 FC 8D 4D C8 8B 55 E4 8B 43 28 8B 38 FF 57 0C FF 75 C8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 E4 4E 75 D4 8D 45 C4 50 8B 45 E0 8B 10 FF 12 89 45 B4 89 55 B8 8D 45 B4 89 45 BC C6 45 C0 10 8D 55 BC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8D 45 FC E8 ?? ?? ?? ?? 83 7B 14 00 74 37 FF 75 FC 8D 45 B0 50 8B 43 14 89 45 BC C6 45 C0 11 8D 55 BC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 B0 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 37 FF 75 FC 8D 45 AC 50 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 8D 55 BC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 AC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7B 18 00 74 35 FF 75 FC 8D 45 A8 50 8B 43 18 89 45 BC C6 45 C0 11 8D 55 BC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 A8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 A4 8B 45 F0 8B 40 20 E8 ?? ?? ?? ?? 0F B6 4D DF 8B 45 F0 8B 40 20 8B 55 E0 E8 ?? ?? ?? ?? C6 43 2C 00 8B 45 EC 8B 40 08 48 3B 45 E8 75 35 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 9C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 9C 8D 45 A0 E8 ?? ?? ?? ?? 8B 55 A0 8B 45 F0 8B 40 20 E8 ?? ?? ?? ?? EB 10 8B 45 F0 8B 40 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 E8 FF 4D D8 0F 85 8F FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AC 5F 5E 5B 8B E5 5D C3 00 E4 04 01 00 FF FF FF FF 1D 00 00 00 4D 49 4D 45 5F 62 6F 75 6E 64 61 72 79 42 30 52 39 35 33 32 31 34 33 31 38 32 31 32 31 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 3A 00 20 00 25 00 64 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 3A 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 74 00 72 00 61 00 6E 00 73 00 66 00 65 00 72 00 2D 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3A 00 20 00 25 00 73 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 2D 2D 00 00 }
	condition:
		$1
}

rule function_49239_0 {
	meta:
		name = "GetMimeAttachmentHandler"
		size = 33
		refs = "0006 _DV_TMimeAttachHandlerImpl 000b TMimeAttachHandlerImpl.Create 001b @IntfCopy"
	strings:
		$1 = { 53 8B DA B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_98578_0 {
	meta:
		name = "TCustomSessionsService.GetSessionIDs"
		size = 33
		refs = "0006 _DV_TWebSessionIDsImpl 000b TWebSessionIDsImpl.Create 001b @IntfCopy"
	strings:
		$1 = { 53 8B DA B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_49241_0 {
	meta:
		name = "TMimeAttachHandlerImpl.Create"
		size = 68
		refs = "000a @ClassCreate 0015 _DV_TMimeAttachmentHandler 001a TMimeAttachmentHandler.Create 0026 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_49246_0 {
	meta:
		name = "TMimeAttachHandlerImpl.GetMIMEStream"
		size = 15
	strings:
		$1 = { 8B 48 0C 84 D2 74 05 33 D2 89 50 0C 8B C1 C3 }
	condition:
		$1
}

rule function_49247_0 {
	meta:
		name = "TMimeAttachHandlerImpl.ProcessMultiPartForm"
		size = 33
		refs = "0018 TMimeAttachmentHandler.ProcessMultiPartForm"
	strings:
		$1 = { 55 8B EC 53 8B 5D 14 53 8B 5D 10 53 8B 5D 0C 53 8B 5D 08 53 8B 40 0C E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_49248_0 {
	meta:
		name = "TMimeAttachHandlerImpl.GetOnGetAttachmentEvent"
		size = 15
	strings:
		$1 = { 8B 40 0C 8B 48 40 89 0A 8B 48 44 89 4A 04 C3 }
	condition:
		$1
}

rule function_49249_0 {
	meta:
		name = "TMimeAttachHandlerImpl.GetOnSendAttachmentEvent"
		size = 15
	strings:
		$1 = { 8B 40 0C 8B 48 38 89 0A 8B 48 3C 89 4A 04 C3 }
	condition:
		$1
}

rule function_49250_0 {
	meta:
		name = "TMimeAttachHandlerImpl.SetOnGetAttachmentEvent"
		size = 22
	strings:
		$1 = { 55 8B EC 8B 40 0C 8B 55 08 89 50 40 8B 55 0C 89 50 44 5D C2 08 00 }
	condition:
		$1
}

rule function_49252_0 {
	meta:
		name = "TMimeAttachHandlerImpl.GetMIMEBoundary"
		size = 22
		refs = "000f @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C 8B 52 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49253_0 {
	meta:
		name = "TMimeAttachHandlerImpl.SetMIMEBoundary"
		size = 22
		refs = "000f @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 83 C0 28 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49254_0 {
	meta:
		name = "Finalization"
		size = 118
		refs = "0007 Finalization 0013 _DV_3 001a SEMI_COLON 001f @LStrClr 0024 MimeStart 002e EOL 0042 EMPTY_STR 004c SMultiPartRelated 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 46 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_49256_0 {
	meta:
		name = "TSoapDataList.Clear"
		size = 45
		refs = "0015 TList.Get 001a TObject.Free 0025 TList.Clear"
		altNames = "TseBitmapList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93162_0 {
	meta:
		name = "TChartList.Clear"
		size = 45
		refs = "0015 TChartList.GetChart 001a TObject.Free 0025 TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93888_0 {
	meta:
		name = "TChartValueLists.Clear"
		size = 45
		refs = "0015 TChartValueLists.Get 001a TObject.Free 0025 TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93065_0 {
	meta:
		name = "TFormItems.Clear"
		size = 45
		refs = "0015 TFormItems.Get 001a TObject.Free 0025 TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90367_0 {
	meta:
		name = "TLegendItems.ClearItems"
		size = 45
		refs = "0015 TLegendItems.Get 001a TObject.Free 0025 TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90503_0 {
	meta:
		name = "TListOfDataSources.Clear"
		size = 45
		refs = "0015 TListOfDataSources.Get 001a TObject.Free 0025 TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93758_0 {
	meta:
		name = "TSeriesMarksPositions.Clear"
		size = 45
		refs = "0015 TSeriesMarksPositions.Get 001a TObject.Free 0025 TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90449_0 {
	meta:
		name = "TTeeSeriesTypes.Clear"
		size = 45
		refs = "0015 TTeeSeriesTypes.Get 001a TObject.Free 0025 TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94701_0 {
	meta:
		name = "TZoomSnapshots.Clear"
		size = 45
		refs = "0015 TZoomSnapshots.Get 001a TObject.Free 0025 TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49257_0 {
	meta:
		name = "TSoapDataList.Assign"
		size = 88
		refs = "000a TSoapDataList.Assign 0018 SInvalidMethod 001d LoadResString 0027 _Dn_Exception 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_78567_0 {
	meta:
		name = "TDirect2DCanvas.SetPixel"
		size = 88
		refs = "000a TDirect2DCanvas.SetPixel 0018 SInvalidCanvasOperation 001d LoadResString 0027 _Dn_EInvalidOperation 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_49259_0 {
	meta:
		name = "TSoapDataList.Insert"
		size = 86
		refs = "000a TSoapDataList.Insert 0018 SInvalidMethod 001d LoadResString 0027 _Dn_Exception 002c Exception.Create 0031 @RaiseExcept 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_49264_0 {
	meta:
		name = "TSOAPAppServerAdapter.AS_ApplyUpdates"
		size = 131
		refs = "000d @VarAddRef 002d TSOAPAppServerAdapter.AS_ApplyUpdates 006e @HandleAutoException 0076 @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 8B 45 2C 8B 55 2C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 28 50 8B 45 24 50 8B 45 20 50 FF 75 1C FF 75 18 FF 75 14 FF 75 10 8B 45 0C 50 8B 43 0C 50 8B 55 2C 52 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 28 00 }
	condition:
		$1
}

rule function_49265_0 {
	meta:
		name = "TSOAPAppServerAdapter.AS_GetRecords"
		size = 115
		refs = "0025 TSOAPAppServerAdapter.AS_GetRecords 0066 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 28 8B 55 28 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 24 50 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 43 0C 50 8B 55 28 52 8B 00 FF 50 10 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 24 00 }
	condition:
		$1
}

rule function_49266_0 {
	meta:
		name = "TSOAPAppServerAdapter.AS_DataRequest"
		size = 119
		refs = "000d @VarAddRef 002d TSOAPAppServerAdapter.AS_DataRequest 0062 @HandleAutoException 006a @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 8B 45 20 8B 55 20 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 1C FF 75 18 FF 75 14 FF 75 10 8B 45 0C 50 8B 43 0C 50 8B 55 20 52 8B 00 FF 50 14 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_49267_0 {
	meta:
		name = "TSOAPAppServerAdapter.AS_GetProviderNames"
		size = 258
		refs = "0032 TSOAPAppServerAdapter.AS_GetProviderNames 0040 @VarClear 0055 @DynArrayLength 0081 VarArrayCreate 008c @OleVarFromVar 00af @VarFromWStr 00bc @VarArrayPut 00d5 @HandleAutoException 00dd @VarClr 00ee TWideStringDynArray 00f3 @DynArrayClear"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B 5D 08 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C E8 ?? ?? ?? ?? 8B 43 0C 50 8D 55 FC 52 8B 00 FF 50 18 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 6A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8D 45 EC 50 33 C0 89 45 E4 4B 89 5D E8 8D 45 E4 66 B9 0C 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 0C E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 28 46 33 DB 53 6A 01 8D 45 D4 8B 55 FC 8B 14 9A E8 ?? ?? ?? ?? 8D 45 D4 50 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 10 43 4E 75 DB 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_49268_0 {
	meta:
		name = "TSOAPAppServerAdapter.AS_GetParams"
		size = 95
		refs = "0025 TSOAPAppServerAdapter.AS_GetParams 0052 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 14 8B 55 14 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B 45 0C 50 8B 43 0C 50 8B 55 14 52 8B 00 FF 50 1C 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_49269_0 {
	meta:
		name = "TSOAPAppServerAdapter.AS_RowRequest"
		size = 127
		refs = "000d @VarAddRef 002d TSOAPAppServerAdapter.AS_RowRequest 006a @HandleAutoException 0072 @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 8B 45 28 8B 55 28 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 24 50 8B 45 20 50 FF 75 1C FF 75 18 FF 75 14 FF 75 10 8B 45 0C 50 8B 43 0C 50 8B 55 28 52 8B 00 FF 50 20 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 24 00 }
	condition:
		$1
}

rule function_49270_0 {
	meta:
		name = "TSOAPAppServerAdapter.AS_Execute"
		size = 76
		refs = "000e TSOAPAppServerAdapter.AS_Execute 003f @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 0C 50 8B 00 FF 50 24 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_49276_0 {
	meta:
		name = "TSoapConnection.Create"
		size = 288
		refs = "001b @ClassCreate 0027 TSoapConnection.Create 0036 TCustomRemoteServer.Create 003b RPR 005f GUIDToString 0075 SSOAPServerIIDFmt 007a LoadResString 0088 Format 0096 @UStrAsg 00b0 @UStrArrayClr 00b8 @UStrClr 00be @HandleFinally 00cb @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D FC 89 5D E8 89 5D E4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 AC 00 00 00 01 8D 45 FC 50 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 C6 45 F8 11 8D 45 EC 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 FC 8D 86 B0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 41 00 70 00 70 00 53 00 65 00 72 00 76 00 65 00 72 00 53 00 4F 00 41 00 50 00 00 00 00 00 35 47 9F C9 D2 D6 5C 49 8C A2 E5 3E 5A 43 9E 61 }
	condition:
		$1
}

rule function_49278_0 {
	meta:
		name = "TSoapConnection.DoDisconnect"
		size = 51
		refs = "0006 TCustomConnection.DoDisconnect 0011 @IntfClear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 83 A4 00 00 00 E8 ?? ?? ?? ?? 8D 83 A8 00 00 00 E8 ?? ?? ?? ?? 83 BB 88 00 00 00 00 74 08 33 C0 89 83 88 00 00 00 5B C3 }
	condition:
		$1
}

rule function_49280_0 {
	meta:
		name = "TSoapConnection.GetProviderNames"
		size = 267
		refs = "0019 TSoapConnection.GetProviderNames 0030 @VarClear 0046 @VarClr 0058 @CheckAutoResult 0067 @HandleAnyException 006c @DoneExcept 0074 VarIsArray 0080 VarArrayDimCount 0090 VarArrayLowBound 009f VarArrayHighBound 00b6 @VarArrayGet 00c4 @VarToUStr 00ee @UStrClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 8B 08 FF 51 58 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 83 A4 00 00 00 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 59 8D 45 F0 E8 ?? ?? ?? ?? 48 75 4E 8D 45 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 8D 45 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 2B DE 7C 2C 43 56 6A 01 8D 45 F0 50 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 DC 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 0C FF 55 08 46 4B 75 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_49281_0 {
	meta:
		name = "TSoapConnection.GetServer"
		size = 31
		refs = "0018 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 8B C3 8B 08 FF 51 58 8B C6 8B 93 A4 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49282_0 {
	meta:
		name = "TSoapConnection.GetSOAPServer"
		size = 22
		refs = "000f @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 A8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78739_0 {
	meta:
		name = "TURLAction.GetURL"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 A8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49285_0 {
	meta:
		name = "TSoapConnection.DoConnect"
		size = 804
		refs = "001b TSoapConnection.DoConnect 0035 SNoURL 003a LoadResString 0044 _Dn_Exception 0049 Exception.Create 004e @RaiseExcept 0075 _Dn_THTTPRIO 007a THTTPRIO.Create 0098 THTTPRIO.GetHTTPWebNode 00a8 @UStrAsg 00de THTTPReqResp.SetPassword 00fa THTTPReqResp.SetProxy 0135 THTTPReqResp.SetUsername 0150 TSoapConnection.GetSOAPServerIID 0159 InvRegistry 015f TInvokableClassRegistry.GetInterfaceTypeInfo 0181 SSOAPInterfaceNotRegistered 0195 Exception.CreateFmt 01a7 @IntfClear 01e8 SSOAPInterfaceNotRemotable 0211 _DV_TSOAPAppServerAdapter 0216 TSOAPAppServerAdapter.Create 022c @IntfCopy 0253 @IntfCast 02c0 THTTPRIO.SetURL 02cf @HandleAnyException 02de @DoneExcept 02f8 @UStrArrayClr 0300 @UStrClr 0306 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 D8 89 55 DC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 8C 00 00 00 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 B8 88 00 00 00 00 0F 85 80 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 88 00 00 00 8B 45 FC 83 B8 90 00 00 00 00 75 19 8B C3 E8 ?? ?? ?? ?? 8B 50 48 8B 45 FC 05 90 00 00 00 E8 ?? ?? ?? ?? EB 18 8B C3 E8 ?? ?? ?? ?? 83 C0 48 8B 55 FC 8B 92 90 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 94 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 98 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 83 C0 78 8B 55 FC 8B 92 9C 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 A0 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 AC 00 00 00 00 0F 84 E9 00 00 00 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 85 C0 75 37 8B 45 FC 8B 80 B0 00 00 00 89 45 E0 C6 45 E4 11 8D 45 E0 50 6A 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 A8 00 00 00 E8 ?? ?? ?? ?? 50 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 FC 8B 80 88 00 00 00 50 8B 00 FF 50 34 85 C0 74 37 8B 45 FC 8B 80 B0 00 00 00 89 45 E0 C6 45 E4 11 8D 45 E0 50 6A 00 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 88 A8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B 45 FC 05 A4 00 00 00 E8 ?? ?? ?? ?? EB 25 8B 45 FC 05 A4 00 00 00 8B 55 FC 8B 92 88 00 00 00 85 D2 74 06 81 EA 50 FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 BA 00 00 00 00 74 1E 8B 45 FC 8B 80 88 00 00 00 8B 55 FC 8B 8A B8 00 00 00 89 48 50 8B 8A BC 00 00 00 89 48 54 8B 45 FC 66 83 B8 C2 00 00 00 00 74 1E 8B 45 FC 8B 80 88 00 00 00 8B 55 FC 8B 8A C0 00 00 00 89 48 58 8B 8A C4 00 00 00 89 48 5C 8B 45 FC 8B 90 8C 00 00 00 8B 45 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 20 CC EF 1A 24 7A D2 11 98 B0 C6 9B EB 4B 5B 6D }
	condition:
		$1
}

rule function_49286_0 {
	meta:
		name = "TSoapConnection.GetConnected"
		size = 35
		refs = "0011 THTTPRIO.GetHTTPWebNode"
	strings:
		$1 = { 53 56 8B D8 8B B3 88 00 00 00 85 F6 74 0B 8B C6 E8 ?? ?? ?? ?? 85 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_49287_0 {
	meta:
		name = "TSoapConnection.GetAgent"
		size = 68
		refs = "0014 THTTPRIO.GetHTTPWebNode 002d @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 88 00 00 00 85 F6 74 22 8B C6 E8 ?? ?? ?? ?? 85 C0 74 17 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B 50 48 8B C7 E8 ?? ?? ?? ?? EB 0D 8B C7 8B 93 90 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49288_0 {
	meta:
		name = "TSoapConnection.GetPassword"
		size = 68
		refs = "0014 THTTPRIO.GetHTTPWebNode 002d @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 88 00 00 00 85 F6 74 22 8B C6 E8 ?? ?? ?? ?? 85 C0 74 17 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B 50 60 8B C7 E8 ?? ?? ?? ?? EB 0D 8B C7 8B 93 94 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49289_0 {
	meta:
		name = "TSoapConnection.GetProxy"
		size = 68
		refs = "0014 THTTPRIO.GetHTTPWebNode 002d @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 88 00 00 00 85 F6 74 22 8B C6 E8 ?? ?? ?? ?? 85 C0 74 17 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B 50 74 8B C7 E8 ?? ?? ?? ?? EB 0D 8B C7 8B 93 98 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49290_0 {
	meta:
		name = "TSoapConnection.GetProxyByPass"
		size = 68
		refs = "0014 THTTPRIO.GetHTTPWebNode 002d @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 88 00 00 00 85 F6 74 22 8B C6 E8 ?? ?? ?? ?? 85 C0 74 17 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B 50 78 8B C7 E8 ?? ?? ?? ?? EB 0D 8B C7 8B 93 9C 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49291_0 {
	meta:
		name = "TSoapConnection.GetUserName"
		size = 68
		refs = "0014 THTTPRIO.GetHTTPWebNode 002d @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 88 00 00 00 85 F6 74 22 8B C6 E8 ?? ?? ?? ?? 85 C0 74 17 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B 50 5C 8B C7 E8 ?? ?? ?? ?? EB 0D 8B C7 8B 93 A0 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49292_0 {
	meta:
		name = "TSoapConnection.SetURL"
		size = 46
		refs = "000f @UStrEqual 001e @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 8C 00 00 00 E8 ?? ?? ?? ?? 74 16 8D 83 8C 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 58 5E 5B C3 }
	condition:
		$1
}

rule function_49293_0 {
	meta:
		name = "TSoapConnection.SetAgent"
		size = 81
		refs = "0014 THTTPRIO.GetHTTPWebNode 002d @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 88 00 00 00 85 F6 74 2F 8B C6 E8 ?? ?? ?? ?? 85 C0 74 24 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 83 C0 48 8B D7 E8 ?? ?? ?? ?? 8D 83 90 00 00 00 8B D7 E8 ?? ?? ?? ?? EB 0D 8D 83 90 00 00 00 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49294_0 {
	meta:
		name = "TSoapConnection.SetPassword"
		size = 78
		refs = "0014 THTTPRIO.GetHTTPWebNode 002a THTTPReqResp.SetPassword 0037 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 88 00 00 00 85 F6 74 2C 8B C6 E8 ?? ?? ?? ?? 85 C0 74 21 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8D 83 94 00 00 00 8B D7 E8 ?? ?? ?? ?? EB 0D 8D 83 94 00 00 00 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49295_0 {
	meta:
		name = "TSoapConnection.SetProxy"
		size = 78
		refs = "0014 THTTPRIO.GetHTTPWebNode 002a THTTPReqResp.SetProxy 0037 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 88 00 00 00 85 F6 74 2C 8B C6 E8 ?? ?? ?? ?? 85 C0 74 21 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8D 83 98 00 00 00 8B D7 E8 ?? ?? ?? ?? EB 0D 8D 83 98 00 00 00 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49296_0 {
	meta:
		name = "TSoapConnection.SetProxyByPass"
		size = 81
		refs = "0014 THTTPRIO.GetHTTPWebNode 002d @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 88 00 00 00 85 F6 74 2F 8B C6 E8 ?? ?? ?? ?? 85 C0 74 24 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 83 C0 78 8B D7 E8 ?? ?? ?? ?? 8D 83 9C 00 00 00 8B D7 E8 ?? ?? ?? ?? EB 0D 8D 83 9C 00 00 00 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49297_0 {
	meta:
		name = "TSoapConnection.SetUserName"
		size = 78
		refs = "0014 THTTPRIO.GetHTTPWebNode 002a THTTPReqResp.SetUsername 0037 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 88 00 00 00 85 F6 74 2C 8B C6 E8 ?? ?? ?? ?? 85 C0 74 21 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8D 83 A0 00 00 00 8B D7 E8 ?? ?? ?? ?? EB 0D 8D 83 A0 00 00 00 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49298_0 {
	meta:
		name = "TSoapConnection.SetSOAPServerIID"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 B0 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49299_0 {
	meta:
		name = "TSoapConnection.GetSOAPServerIID"
		size = 192
		refs = "000f TSoapConnection.GetSOAPServerIID 0023 @UStrLAsg 0030 Pos 004a @UStrCopy 0078 StringToGUID 008d @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 93 B0 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 FB FF 7E 13 8D 45 FC 50 B9 FF FF FF 7F 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 FB FF 7E 10 8D 45 FC 50 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_49302_0 {
	meta:
		name = "Finalization"
		size = 219
		refs = "0007 Finalization 0013 _DV_8 001e SOAPEnvelopeNamespaces 0029 string 002e @FinalizeArray 0033 SOAPEncodingNamespaces 0048 SSoapEncodingArrayTypes 005d SSOAPXMLHREFs 0072 SSOAPHREFPres 007d WideString 0087 KindNameArray 009c TblCls 00b1 XMLSchemaNameSpace 00b6 @UStrClr 00bb XMLSchemaInstNameSpace 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 A7 00 00 00 B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 12 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_49305_0 {
	meta:
		name = "TSoapDataModule.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 0012 TDataModule.Destroy 001a TObject.Free 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 60 E8 ?? ?? ?? ?? 8D 46 64 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49306_0 {
	meta:
		name = "TSoapDataModule.Lock"
		size = 8
	strings:
		$1 = { 8B 40 64 8B 10 FF 12 C3 }
	condition:
		$1
}

rule function_49307_0 {
	meta:
		name = "TSoapDataModule.Unlock"
		size = 9
	strings:
		$1 = { 8B 40 64 8B 10 FF 52 04 C3 }
	condition:
		$1
}

rule function_49311_0 {
	meta:
		name = "TSoapDataModule.GetProviderNames"
		size = 274
		refs = "0017 TSoapDataModule.GetProviderNames 003a _Dn_TStringList 003f TStringList.Create 006e TList.Get 00a6 VarArrayFromStrings 00b0 @OleVarFromVar 00c5 TObject.Free 00cb @HandleFinally 00ff @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 6C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 60 8B 70 08 4E 85 F6 7C 32 46 33 DB 8B 45 FC 8B 40 60 8B D3 E8 ?? ?? ?? ?? 80 78 38 00 74 18 8B 45 FC 8B 40 60 8B D3 E8 ?? ?? ?? ?? 8B 50 08 8B 45 F8 8B 08 FF 51 38 43 4E 75 D1 8B 45 F8 8B 10 FF 92 A0 00 00 00 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 70 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49312_0 {
	meta:
		name = "TSoapDataModule.ApplyUpdates"
		size = 191
		refs = "0020 @VarAddRef 0028 TSoapDataModule.ApplyUpdates 005a @UStrFromWStr 0070 TCustomProvider.ApplyUpdates 008b @HandleFinally 00a2 @UStrClr 00aa @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 8B F1 8D 7D F0 A5 A5 A5 A5 8B DA 89 45 EC 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 10 FF 52 6C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC 8B 08 FF 51 4C 8D 55 F0 8B 4D 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 70 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_49313_0 {
	meta:
		name = "TSoapDataModule.GetRecords"
		size = 173
		refs = "0018 TSoapDataModule.GetRecords 0052 @UStrFromWStr 0067 TCustomProvider.GetRecords 0082 @HandleFinally 0099 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 6C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 4C 8B 4D 1C 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 70 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 18 00 }
	condition:
		$1
}

rule function_49314_0 {
	meta:
		name = "TSoapDataModule.RowRequest"
		size = 190
		refs = "0020 @VarAddRef 0028 TSoapDataModule.RowRequest 0056 @UStrFromWStr 008a @HandleFinally 00a1 @UStrClr 00a9 @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 8B F1 8D 7D F0 A5 A5 A5 A5 8B DA 89 45 EC 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 10 FF 52 6C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 45 08 50 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC 8B 08 FF 51 4C 8D 55 F0 8B 4D 10 8B 18 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 70 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_49315_0 {
	meta:
		name = "TSoapDataModule.DataRequest"
		size = 182
		refs = "0020 @VarAddRef 0028 TSoapDataModule.DataRequest 004e @UStrFromWStr 0082 @HandleFinally 0099 @UStrClr 00a1 @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 8B F1 8D 7D F0 A5 A5 A5 A5 8B DA 89 45 EC 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 10 FF 52 6C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC 8B 08 FF 51 4C 8B 4D 08 8D 55 F0 8B 18 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 70 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_49316_0 {
	meta:
		name = "TSoapDataModule.GetParams"
		size = 156
		refs = "0018 TSoapDataModule.GetParams 003e @UStrFromWStr 0071 @HandleFinally 0088 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 6C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 4C 8B 4D 08 8B D6 8B 18 FF 93 8C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 70 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_49317_0 {
	meta:
		name = "TSoapDataModule.Execute"
		size = 162
		refs = "0019 TSoapDataModule.Execute 0043 @UStrFromWStr 0076 @HandleFinally 008d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 6C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 4C 8B 4D 0C 8B D7 8B 18 FF 93 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 70 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_49318_0 {
	meta:
		name = "TSoapDataModule.AS_GetProviderNames"
		size = 84
		refs = "0025 TSoapDataModule.AS_GetProviderNames 0035 TSoapDataModule.GetProviderNames 0047 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_49319_0 {
	meta:
		name = "TSoapDataModule.AS_ApplyUpdates"
		size = 119
		refs = "000d @VarAddRef 002d TSoapDataModule.AS_ApplyUpdates 0050 TSoapDataModule.ApplyUpdates 0062 @HandleAutoException 006a @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 8B 45 2C 8B 55 2C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 20 50 8B 45 24 50 8B 45 28 50 8B 45 2C 50 8D 4D 10 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 28 00 }
	condition:
		$1
}

rule function_49320_0 {
	meta:
		name = "TSoapDataModule.AS_GetRecords"
		size = 111
		refs = "0025 TSoapDataModule.AS_GetRecords 0050 TSoapDataModule.GetRecords 0062 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 28 8B 55 28 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 20 50 8B 45 24 50 8B 45 28 50 8B 4D 10 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 24 00 }
	condition:
		$1
}

rule function_49321_0 {
	meta:
		name = "TSoapDataModule.AS_RowRequest"
		size = 115
		refs = "000d @VarAddRef 002d TSoapDataModule.AS_RowRequest 004c TSoapDataModule.RowRequest 005e @HandleAutoException 0066 @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 8B 45 28 8B 55 28 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 20 50 8B 45 24 50 8B 45 28 50 8D 4D 10 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 24 00 }
	condition:
		$1
}

rule function_49322_0 {
	meta:
		name = "TSoapDataModule.AS_DataRequest"
		size = 107
		refs = "000d @VarAddRef 002d TSoapDataModule.AS_DataRequest 0044 TSoapDataModule.DataRequest 0056 @HandleAutoException 005e @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 8B 45 20 8B 55 20 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 20 50 8D 4D 10 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_49323_0 {
	meta:
		name = "TSoapDataModule.AS_GetParams"
		size = 91
		refs = "0025 TSoapDataModule.AS_GetParams 003c TSoapDataModule.GetParams 004e @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 14 8B 55 14 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 8B 4D 10 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_49324_0 {
	meta:
		name = "TSoapDataModule.AS_Execute"
		size = 70
		refs = "000e TSoapDataModule.AS_Execute 0027 TSoapDataModule.Execute 0039 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 14 52 8B 55 18 52 8B 4D 10 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_49326_0 {
	meta:
		name = "TSoapDataModule.SAS_ApplyUpdates"
		size = 92
		refs = "000b @VarAddRef 0013 TSoapDataModule.SAS_ApplyUpdates 0036 TSoapDataModule.ApplyUpdates 004b @VarClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 8D 45 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 24 50 8B 45 28 50 8B 45 2C 50 8B 45 08 50 8D 4D 14 8B 55 10 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 5D C2 28 00 }
	condition:
		$1
}

rule function_49327_0 {
	meta:
		name = "TSoapDataModule.SAS_GetRecords"
		size = 49
		refs = "0028 TSoapDataModule.GetRecords"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 8B 45 18 50 8B 45 1C 50 8B 45 20 50 8B 45 24 50 8B 45 28 50 8B 45 08 50 8B 4D 14 8B 55 10 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 24 00 }
	condition:
		$1
}

rule function_49328_0 {
	meta:
		name = "TSoapDataModule.SAS_DataRequest"
		size = 80
		refs = "000b @VarAddRef 0013 TSoapDataModule.SAS_DataRequest 002a TSoapDataModule.DataRequest 003f @VarClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 8D 45 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 4D 14 8B 55 10 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_49329_0 {
	meta:
		name = "TSoapDataModule.SAS_GetProviderNames"
		size = 221
		refs = "001d TSoapDataModule.SAS_GetProviderNames 002d TSoapDataModule.GetProviderNames 0035 VarIsNull 0041 VarIsArray 0052 VarArrayHighBound 0067 @DynArrayLength 007a TWideStringDynArray 007f @DynArraySetLength 0095 @VarArrayGet 00a5 @VarToWStr 00c0 @VarClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B 5D 08 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 72 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 66 8D 45 F0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 53 47 C7 45 EC 00 00 00 00 8B 03 E8 ?? ?? ?? ?? 8B F0 8D 46 01 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 EC 50 6A 01 8D 45 F0 50 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 8D 55 DC 8B 03 8D 04 B0 E8 ?? ?? ?? ?? FF 45 EC 4F 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_49330_0 {
	meta:
		name = "TSoapDataModule.SAS_GetParams"
		size = 29
		refs = "0014 TSoapDataModule.GetParams"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 8B 45 08 50 8B 4D 14 8B 55 10 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_49331_0 {
	meta:
		name = "TSoapDataModule.SAS_RowRequest"
		size = 88
		refs = "000b @VarAddRef 0013 TSoapDataModule.SAS_RowRequest 0032 TSoapDataModule.RowRequest 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 8D 45 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 24 50 8B 45 28 50 8B 45 08 50 8D 4D 14 8B 55 10 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 5D C2 24 00 }
	condition:
		$1
}

rule function_49332_0 {
	meta:
		name = "TSoapDataModule.SAS_Execute"
		size = 29
		refs = "0015 TSoapDataModule.Execute"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 14 52 8B 55 18 52 8B 4D 10 8B 55 0C E8 ?? ?? ?? ?? 5D C2 14 00 }
	condition:
		$1
}

rule function_49333_0 {
	meta:
		name = "TSoapDataModule.AfterConstruction"
		size = 23
		refs = "0006 TDataModule.AfterConstruction 0011 TInterlocked.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 68 83 CA FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_49335_0 {
	meta:
		name = "TSoapDataModule._AddRef"
		size = 23
		refs = "000f TInterlocked.Add"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 C0 68 BA 01 00 00 00 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_49336_0 {
	meta:
		name = "TSoapDataModule._Release"
		size = 48
		refs = "000f TInterlocked.Add"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8D 43 68 83 CA FF E8 ?? ?? ?? ?? 8B F0 85 F6 75 0F 83 7B 04 00 75 09 B2 01 8B C3 8B 08 FF 51 FC 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_49337_0 {
	meta:
		name = "TSoapDataModule.NewInstance"
		size = 13
		refs = "0001 TObject.NewInstance"
	strings:
		$1 = { E8 ?? ?? ?? ?? C7 40 68 01 00 00 00 C3 }
	condition:
		$1
}

rule function_49342_0 {
	meta:
		name = "TSOAPDOMProcessor.NewInstance"
		size = 13
		refs = "0001 TObject.NewInstance"
	strings:
		$1 = { E8 ?? ?? ?? ?? C7 40 38 01 00 00 00 C3 }
	condition:
		$1
}

rule function_49343_0 {
	meta:
		name = "TSOAPDOMProcessor.AfterConstruction"
		size = 43
		refs = "0006 TObject.AfterConstruction 0025 TInterlocked.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 04 85 C0 75 04 33 C0 EB 02 B0 01 88 43 3C 8D 43 38 83 CA FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_49344_0 {
	meta:
		name = "TSOAPDOMProcessor._AddRef"
		size = 23
		refs = "000f TInterlocked.Add"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 C0 38 BA 01 00 00 00 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_49345_0 {
	meta:
		name = "TSOAPDOMProcessor._Release"
		size = 48
		refs = "000f TInterlocked.Add"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8D 43 38 83 CA FF E8 ?? ?? ?? ?? 8B F0 85 F6 75 0F 80 7B 3C 00 75 09 B2 01 8B C3 8B 08 FF 51 FC 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_49346_0 {
	meta:
		name = "TSOAPDOMProcessor.AddHeaderProcessor"
		size = 221
		refs = "0015 @WStrAddRef 002d @IntfAddRef 0035 TSOAPDOMProcessor.AddHeaderProcessor 0043 @DynArrayLength 0057 TDOMHeaderProcessorArray 005c @DynArraySetLength 0072 @WStrAsg 009e @IntfCopy 00b8 @WStrArrayClr 00c0 @IntfClear 00c8 @WStrClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 40 E8 ?? ?? ?? ?? 8B F0 8D 46 01 50 8D 43 40 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B FE 03 FF 8B 43 40 8D 44 F8 04 8B 55 FC E8 ?? ?? ?? ?? 8B 43 40 8D 44 F8 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 40 8D 44 F8 0C 8B 55 0C E8 ?? ?? ?? ?? 8B 43 40 8D 04 F8 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_49347_0 {
	meta:
		name = "TSOAPDOMProcessor.DefaultProcessHeader"
		size = 480
		refs = "001c @IntfAddRef 0024 TSOAPDOMProcessor.DefaultProcessHeader 0042 VarIsNull 0056 @VarFromWChar 0061 @VarCmpEQ 0072 @VarToUStr 007f @UStrLAsg 00a6 CompareText 00d6 ExtractLocalName 00ec SHeaderAttributeError 00f1 LoadResString 00fc Format 0106 _Dn_ERemotableException 010b ERemotableException.Create 0110 @RaiseExcept 012a @UStrArrayClr 0132 @UStrClr 013b Variant 0145 @FinalizeArray 015a @IntfClear 0160 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E0 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 0C 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 85 C6 00 00 00 8D 45 D0 66 BA 31 00 E8 ?? ?? ?? ?? 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? 75 04 B0 01 EB 44 8D 45 F8 8D 55 E0 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 61 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 8D 45 CC 50 8D 55 BC 8B 45 FC 8B 08 FF 51 34 8B 45 BC 8D 55 C0 E8 ?? ?? ?? ?? 8B 45 C0 89 45 C4 C6 45 C8 11 8D 45 C4 50 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 33 C9 5A E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 6D 00 75 00 73 00 74 00 55 00 6E 00 64 00 65 00 72 00 73 00 74 00 61 00 6E 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4D 00 75 00 73 00 74 00 55 00 6E 00 64 00 65 00 72 00 73 00 74 00 61 00 6E 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_49348_0 {
	meta:
		name = "TSOAPDOMProcessor.FindHeaderProcessor"
		size = 210
		refs = "0015 @WStrAddRef 002d TSOAPDOMProcessor.FindHeaderProcessor 003b @IntfClear 0043 @DynArrayLength 0061 @WStrEqual 0093 @IntfCopy 00b5 @WStrArrayClr 00bd @WStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 48 85 C0 7C 53 40 89 45 F4 33 DB 8B FB 03 FF 8B 46 40 8B 44 F8 04 8B 55 FC E8 ?? ?? ?? ?? 75 32 8B 46 40 8B 44 F8 08 8B 55 F8 E8 ?? ?? ?? ?? 75 21 8B 46 40 8B 44 F8 0C 8B 55 0C E8 ?? ?? ?? ?? 75 10 8B 45 08 8B 56 40 8B 14 FA E8 ?? ?? ?? ?? EB 06 43 FF 4D F4 75 B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_49349_0 {
	meta:
		name = "TSOAPDOMProcessor.MakeHeaderNodes"
		size = 193
		refs = "001b @IntfAddRef 0023 TSOAPDOMProcessor.MakeHeaderNodes 0034 @DynArrayLength 009b @IntfClear 00a4 IXMLNode 00ae @FinalizeArray 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 40 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 4B 46 33 DB 8B C3 03 C0 8B 55 F4 8B 52 40 83 3C C2 00 74 34 8B C3 03 C0 8B 55 F4 8B 52 40 8B 04 C2 8D 4D F8 8B 55 FC 8B 38 FF 57 10 83 7D F8 00 74 16 8D 55 F0 8B 45 FC 8B 08 FF 51 14 8B 45 F0 8B 55 F8 8B 08 FF 51 18 43 4E 75 B8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49352_0 {
	meta:
		name = "TSoapEnvelope.MakeEnvelope"
		size = 332
		refs = "001a @IntfAddRef 0022 TSoapEnvelope.MakeEnvelope 003c SOAPEnvelopeNamespaces 005c XMLSchemaNameSpace 0070 XMLSchemaInstNameSpace 0094 SOAPEncodingNamespaces 00b8 @IntfClear 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D F8 89 55 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 F6 45 FA 01 0F 95 C0 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 0C 82 BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 7C 8B D3 8B 45 FC 8B 08 FF 51 18 8B 0D ?? ?? ?? ?? 8B 09 8B 03 BA ?? ?? ?? ?? 8B 30 FF 56 78 8B 0D ?? ?? ?? ?? 8B 09 8B 03 BA ?? ?? ?? ?? 8B 30 FF 56 78 F6 45 F8 20 75 1F F6 45 FA 01 0F 95 C0 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 0C 82 8B 03 BA ?? ?? ?? ?? 8B 18 FF 53 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 11 00 00 00 53 00 4F 00 41 00 50 00 2D 00 45 00 4E 00 56 00 3A 00 45 00 6E 00 76 00 65 00 6C 00 6F 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 78 00 73 00 64 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 78 00 73 00 69 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 4F 00 41 00 50 00 2D 00 45 00 4E 00 43 00 00 00 00 00 }
	condition:
		$1
}

rule function_49353_0 {
	meta:
		name = "TSoapEnvelope.MakeBody"
		size = 152
		refs = "0011 @IntfAddRef 0019 TSoapEnvelope.MakeBody 0037 SOAPEnvelopeNamespaces 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A FF 8B 45 08 50 F6 45 FA 01 0F 95 C0 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 0C 82 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 4F 00 41 00 50 00 2D 00 45 00 4E 00 56 00 3A 00 42 00 6F 00 64 00 79 00 00 00 }
	condition:
		$1
}

rule function_49354_0 {
	meta:
		name = "TSoapEnvelope.MakeHeader"
		size = 156
		refs = "0011 @IntfAddRef 0019 TSoapEnvelope.MakeHeader 0037 SOAPEnvelopeNamespaces 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A FF 8B 45 08 50 F6 45 FA 01 0F 95 C0 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 0C 82 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 4F 00 41 00 50 00 2D 00 45 00 4E 00 56 00 3A 00 48 00 65 00 61 00 64 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_49355_0 {
	meta:
		name = "TSoapEnvelope.MakeFault"
		size = 156
		refs = "0011 @IntfAddRef 0019 TSoapEnvelope.MakeFault 0037 SOAPEnvelopeNamespaces 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A FF 8B 45 08 50 F6 45 FA 01 0F 95 C0 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 0C 82 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 4F 00 41 00 50 00 2D 00 45 00 4E 00 56 00 3A 00 46 00 61 00 75 00 6C 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_49358_0 {
	meta:
		name = "THTTPRIO.Create"
		size = 180
		refs = "000e @ClassCreate 001c TRIO.Create 0023 THTTPRIO.GetDefaultConverter 003f THTTPRIO.Create 0044 @IntfCast 004b THTTPRIO.GetDefaultWebNode 007c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 89 B3 C8 00 00 00 8D 83 A8 00 00 00 8B D6 85 D2 74 03 83 EA BC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 89 B3 CC 00 00 00 8D 83 AC 00 00 00 8B D6 85 D2 74 06 81 EA 28 FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 E3 5F 95 1F 0B 89 4C 47 A3 A4 5E 07 2D 30 CC 4F 44 26 DB 77 12 0C 0A 4C 92 0E 89 57 9D B9 CC 16 }
	condition:
		$1
}

rule function_49359_0 {
	meta:
		name = "THTTPRIO.Destroy"
		size = 91
		refs = "0003 @BeforeDestruction 001b @IntfClear 003e TObject.Free 0049 TRIO.Destroy 0054 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 BE A8 00 00 00 00 74 0B 8D 86 A8 00 00 00 E8 ?? ?? ?? ?? 83 BE AC 00 00 00 00 74 0B 8D 86 AC 00 00 00 E8 ?? ?? ?? ?? 8B 86 C0 00 00 00 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49360_0 {
	meta:
		name = "THTTPRIO.GetDefaultWebNode"
		size = 112
		refs = "0012 _Dn_THTTPReqResp 0017 THTTPReqResp.Create 0024 THTTPRIO.GetDefaultWebNode 0038 TComponent.SetSubComponent"
	strings:
		$1 = { 53 56 8B D8 83 BB D4 00 00 00 00 75 2F 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D4 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 B2 01 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 8B 83 D4 00 00 00 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 48 00 54 00 54 00 50 00 57 00 65 00 62 00 4E 00 6F 00 64 00 65 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_49361_0 {
	meta:
		name = "THTTPRIO.GetDefaultConverter"
		size = 108
		refs = "0012 _Dn_TOPToSoapDomConvert 0017 TOPToSoapDomConvert.Create 0024 THTTPRIO.GetDefaultConverter 0038 TComponent.SetSubComponent"
	strings:
		$1 = { 53 56 8B D8 83 BB D0 00 00 00 00 75 2F 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D0 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 B2 01 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? 8B 83 D0 00 00 00 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6E 00 76 00 65 00 72 00 74 00 65 00 72 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_49362_0 {
	meta:
		name = "THTTPRIO.ClearDependentWSDLView"
		size = 58
		refs = "0016 TOPToSoapDomConvert.SetWSDLView 0034 THTTPReqResp.SetWSDLView"
	strings:
		$1 = { 53 8B D8 8B 83 C8 00 00 00 85 C0 74 0D 83 78 78 00 74 07 33 D2 E8 ?? ?? ?? ?? 8B 83 CC 00 00 00 85 C0 74 14 83 B8 90 00 00 00 00 74 0B 8B 93 C0 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_49363_0 {
	meta:
		name = "THTTPRIO.CheckWSDLView"
		size = 174
		refs = "001b _Dn_TWSDLItems 0020 TWSDLItems.Create 003f @IntfCopy 0051 _Dn_TWSDLView 0056 TComponent.Create 006c TWSDLView.SetDesignState 007d TWSDLView.SetWSDL 0092 TOPToSoapDomConvert.SetWSDLView 00a7 THTTPReqResp.SetWSDLView"
	strings:
		$1 = { 53 56 8B D8 8B 83 B8 00 00 00 85 C0 0F 85 99 00 00 00 85 C0 75 2D 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B8 00 00 00 8D 83 BC 00 00 00 8B D6 85 D2 74 06 81 EA 2C FF FF FF E8 ?? ?? ?? ?? 83 BB C0 00 00 00 00 75 24 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C0 00 00 00 F6 43 1C 10 0F 95 C2 8B C6 E8 ?? ?? ?? ?? 8B 93 B8 00 00 00 8B 83 C0 00 00 00 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 85 C0 74 0B 8B 93 C0 00 00 00 E8 ?? ?? ?? ?? 8B 83 CC 00 00 00 85 C0 74 0B 8B 93 C0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49364_0 {
	meta:
		name = "THTTPRIO.GetPort"
		size = 39
		refs = "0016 TWSDLView.GetPort 001f @UStrClr"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B BB C0 00 00 00 85 FF 74 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49365_0 {
	meta:
		name = "THTTPRIO.GetService"
		size = 39
		refs = "0016 TWSDLView.GetService 001f @UStrClr"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B BB C0 00 00 00 85 FF 74 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49366_0 {
	meta:
		name = "THTTPRIO.SetPortValue"
		size = 88
		refs = "000f @UStrAddRef 0017 THTTPRIO.SetPortValue 0032 @UStrAsg 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 C0 00 00 00 85 F6 74 0B 8D 46 48 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_49367_0 {
	meta:
		name = "THTTPRIO.SetService"
		size = 88
		refs = "000f @UStrAddRef 0017 THTTPRIO.SetService 0032 @UStrAsg 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 C0 00 00 00 85 F6 74 0B 8D 46 50 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_49368_0 {
	meta:
		name = "THTTPRIO.SetURL"
		size = 105
		refs = "000e @UStrAddRef 0016 THTTPRIO.SetURL 002e THTTPReqResp.SetURL 003d THTTPRIO.SetWSDLLocation 0044 THTTPRIO.ClearDependentWSDLView 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 CC 00 00 00 85 C0 74 1E 8B 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 10 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_49369_0 {
	meta:
		name = "THTTPRIO.SetWSDLLocation"
		size = 241
		refs = "0015 @UStrAddRef 001d THTTPRIO.SetWSDLLocation 0033 THTTPRIO.GetURL 0046 THTTPReqResp.SetURL 0063 @IntfClear 0072 THTTPRIO.CheckWSDLView 009c @UStrAsg 00aa TXMLDocument.SetFileName 00b8 @UStrClr 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 1D 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 0D 33 D2 8B 83 CC 00 00 00 E8 ?? ?? ?? ?? 83 BB B8 00 00 00 00 74 1C 83 BB BC 00 00 00 00 74 13 8D 83 BC 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 B8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 B8 00 00 00 8B 10 FF 52 40 84 C0 74 0D 33 D2 8B 83 B8 00 00 00 8B 08 FF 51 44 8D 83 C4 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8B 83 C0 00 00 00 83 C0 48 E8 ?? ?? ?? ?? 8B 83 C0 00 00 00 83 C0 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_49370_0 {
	meta:
		name = "THTTPRIO.QueryInterface"
		size = 198
		refs = "0016 THTTPRIO.QueryInterface 0027 TRIO.QueryInterface 0037 IsEqualGUID 0040 InvRegistry 004a TInvokableClassRegistry.GetActionURIOfIID 0058 THTTPReqResp.SetSOAPAction 006b TInvokableClassRegistry.GetUDDIInfo 0082 @UStrAsg 0095 @WStrFromUStr 00af @UStrArrayClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 75 0C 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 56 53 E8 ?? ?? ?? ?? 8B F8 85 FF 75 68 8D 53 70 8B C6 E8 ?? ?? ?? ?? 84 C0 74 5A E8 ?? ?? ?? ?? 8D 4D F4 8B D6 E8 ?? ?? ?? ?? 8B 55 F4 8B 83 CC 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 50 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 E8 ?? ?? ?? ?? 84 C0 74 26 8B 83 CC 00 00 00 05 A0 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 83 CC 00 00 00 05 9C 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_49371_0 {
	meta:
		name = "THTTPRIO.GetDomConverter"
		size = 80
		refs = "0010 THTTPRIO.GetDefaultConverter 002c THTTPRIO.GetDomConverter 0031 @IntfCast"
	strings:
		$1 = { 53 56 8B D8 83 BB C8 00 00 00 00 75 28 8B C3 E8 ?? ?? ?? ?? 8B F0 89 B3 C8 00 00 00 8D 83 A8 00 00 00 8B D6 85 D2 74 03 83 EA BC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 5E 5B C3 00 00 E3 5F 95 1F 0B 89 4C 47 A3 A4 5E 07 2D 30 CC 4F }
	condition:
		$1
}

rule function_49372_0 {
	meta:
		name = "THTTPRIO.SetDomConverter"
		size = 136
		refs = "001c @IntfClear 002f TObject.Free 004d THTTPRIO.SetDomConverter 0052 @IntfCast 005f TComponent.FreeNotification 0070 TOPToSoapDomConvert.SetWSDLView"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C8 00 00 00 85 C0 74 23 3B 58 04 75 1E 8D 83 A8 00 00 00 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 3B 83 D0 00 00 00 74 05 E8 ?? ?? ?? ?? 89 B3 C8 00 00 00 85 F6 74 37 8D 83 A8 00 00 00 8B D6 85 D2 74 03 83 EA BC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 8B 93 C0 00 00 00 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 E3 5F 95 1F 0B 89 4C 47 A3 A4 5E 07 2D 30 CC 4F }
	condition:
		$1
}

rule function_49373_0 {
	meta:
		name = "THTTPRIO.GetHTTPWebNode"
		size = 84
		refs = "0010 THTTPRIO.GetDefaultWebNode 002f THTTPRIO.GetHTTPWebNode 0034 @IntfCast"
	strings:
		$1 = { 53 56 8B D8 83 BB CC 00 00 00 00 75 2B 8B C3 E8 ?? ?? ?? ?? 8B F0 89 B3 CC 00 00 00 8D 83 AC 00 00 00 8B D6 85 D2 74 06 81 EA 28 FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 CC 00 00 00 5E 5B C3 00 00 00 44 26 DB 77 12 0C 0A 4C 92 0E 89 57 9D B9 CC 16 }
	condition:
		$1
}

rule function_49374_0 {
	meta:
		name = "THTTPRIO.SetHTTPWebNode"
		size = 440
		refs = "0014 THTTPRIO.SetHTTPWebNode 002f @UStrLAsg 004b @UStrFromWStr 0069 @IntfClear 0074 TObject.Free 007e @UStrClr 00b4 @IntfCast 00c1 TComponent.FreeNotification 00d2 THTTPReqResp.SetWSDLView 0125 THTTPReqResp.SetURL 014d @UStrAsg 0166 @WStrEqual 017b @WStrFromUStr 0195 @UStrArrayClr 019b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B BB CC 00 00 00 85 FF 74 52 8D 45 FC 8B 57 44 E8 ?? ?? ?? ?? 8D 45 F8 8B 97 A0 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 97 9C 00 00 00 E8 ?? ?? ?? ?? 8B 83 CC 00 00 00 3B 58 04 75 38 3B 83 D4 00 00 00 74 30 8D 83 AC 00 00 00 E8 ?? ?? ?? ?? 8B 83 CC 00 00 00 E8 ?? ?? ?? ?? EB 18 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 89 B3 CC 00 00 00 85 F6 74 3C 8D 83 AC 00 00 00 8B D6 85 D2 74 06 81 EA 28 FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 83 CC 00 00 00 E8 ?? ?? ?? ?? 8B 93 C0 00 00 00 8B 83 CC 00 00 00 E8 ?? ?? ?? ?? EB 28 8B B3 D4 00 00 00 89 B3 CC 00 00 00 8D 83 AC 00 00 00 8B D6 85 D2 74 06 81 EA 28 FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BB CC 00 00 00 00 74 76 83 7D FC 00 74 1A 8B 83 CC 00 00 00 83 78 44 00 75 0E 8B 55 FC 8B 83 CC 00 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 74 22 8B 83 CC 00 00 00 83 B8 A0 00 00 00 00 75 13 8B 83 CC 00 00 00 05 A0 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 83 7D F4 00 74 28 8B 83 CC 00 00 00 8B 80 9C 00 00 00 33 D2 E8 ?? ?? ?? ?? 75 13 8B 83 CC 00 00 00 05 9C 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 44 26 DB 77 12 0C 0A 4C 92 0E 89 57 9D B9 CC 16 }
	condition:
		$1
}

rule function_49375_0 {
	meta:
		name = "THTTPRIO.GetURL"
		size = 40
		refs = "0017 @UStrAsg 0020 @UStrClr"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B BB CC 00 00 00 85 FF 74 0C 8B C6 8B 57 44 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49376_0 {
	meta:
		name = "THTTPRIO.Notification"
		size = 88
		refs = "0010 TComponent.Notification 0028 @IntfClear"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1B 3B B7 CC 00 00 00 75 13 8D 87 AC 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 87 CC 00 00 00 80 FB 01 75 1B 3B B7 C8 00 00 00 75 13 8D 87 A8 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 87 C8 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49379_0 {
	meta:
		name = "THTTPSoapDispatchNode.SetSoapDispatcher"
		size = 43
		refs = "000e TComponent.ReferenceInterface 0018 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 B1 01 8B 53 38 8B C3 E8 ?? ?? ?? ?? 8D 43 38 8B D6 E8 ?? ?? ?? ?? 33 C9 8B 53 38 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49380_0 {
	meta:
		name = "THTTPSoapDispatchNode.Notification"
		size = 51
		refs = "0010 TComponent.Notification 001f TComponent.IsImplementorOf 002b @IntfClear"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 16 8B 57 38 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 8D 47 38 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49384_0 {
	meta:
		name = "RaiseNoIntfException"
		size = 292
		refs = "001e RaiseNoIntfException 002c SUnknownInterface 0031 LoadResString 003c @WStrFromUStr 005d GetIntfMetaData 007b @UStrCatN 0095 @HandleAnyException 009a @DoneExcept 00bc SInvClassNotRegistered 00cb _Dn_Exception 00d0 Exception.CreateFmt 00d5 @RaiseExcept 00ea @UStrClr 00f7 @UStrArrayClr 00ff @WStrClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 D2 89 55 DC 89 55 F0 89 55 F4 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8D 50 D8 8B 45 08 8B 40 D4 33 C9 E8 ?? ?? ?? ?? 8B 45 08 FF 70 DC 68 ?? ?? ?? ?? 8B 45 08 FF 70 D8 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 45 E0 C6 45 E4 0F 8B 45 F8 89 45 E8 C6 45 EC 0B 8D 45 E0 50 6A 01 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_49385_0 {
	meta:
		name = "THTTPSoapPascalInvoker.DispatchSOAP"
		size = 580
		refs = "0029 TIntfMetaData 002e @InitializeRecord 0036 THTTPSoapPascalInvoker.DispatchSOAP 0043 _Dn_THTTPSOAPToPasBind 0048 TObject.Create 005e @IntfCast 0072 @LStrEqual 00b6 SInvInterfaceNotReg 00bb LoadResString 00c5 _Dn_Exception 00ca Exception.CreateFmt 00cf @RaiseExcept 00e2 RaiseNoIntfException 00fd SUnknownSOAPAction 0159 SInvInterfaceNotRegURL 019e SNoServiceForURL 01ee @UStrArrayClr 01f6 @UStrClr 01fe @IntfClear 020c @FinalizeRecord 0212 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 DB 89 5D AC 89 5D B0 89 5D B4 89 5D B8 89 5D D0 89 5D CC 8B D9 89 55 C8 8B F0 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 D0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 0F 84 B5 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 A3 00 00 00 8D 45 D4 50 8D 45 CC 50 8D 4D C4 8B D3 8B 45 D0 8B 38 FF 57 0C 84 C0 74 0A 83 7D C4 00 0F 85 1C 01 00 00 83 7D D4 00 75 33 89 5D BC C6 45 C0 0B 8D 45 BC 50 6A 00 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E3 00 00 00 83 7D C4 00 75 0E 55 8B C3 E8 ?? ?? ?? ?? 59 E9 CF 00 00 00 89 5D BC C6 45 C0 0B 8D 45 BC 50 6A 00 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9C 00 00 00 8D 45 D4 50 8D 45 CC 50 8D 4D C4 8B 55 C8 8B 45 D0 8B 18 FF 53 10 84 C0 74 06 83 7D C4 00 75 7C 83 7D D4 00 75 33 8B 45 C8 89 45 BC C6 45 C0 0B 8D 45 BC 50 6A 00 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 43 83 7D C4 00 75 0C 55 8B 45 C8 E8 ?? ?? ?? ?? 59 EB 31 8B 45 C8 89 45 BC C6 45 C0 0B 8D 45 BC 50 6A 00 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D AC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D D4 8B 55 C4 8B C6 8B 18 FF 53 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 7E 95 A9 FD A1 F8 46 4E 91 07 9D B7 E9 0E 0D BE E4 04 01 00 FF FF FF FF 02 00 00 00 22 22 00 00 }
	condition:
		$1
}

rule function_49388_0 {
	meta:
		name = "EAdapterException.CreateID"
		size = 65
		refs = "000d @ClassCreate 001a Exception.Create 002b @AfterConstruction"
		altNames = "ESOAPHTTPException.Create"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 89 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_49389_0 {
	meta:
		name = "ESOAPHTTPException.CreateFmt"
		size = 73
		refs = "000d @ClassCreate 0022 Exception.CreateFmt 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 14 50 8B 45 10 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 89 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_49390_0 {
	meta:
		name = "THTTPReqResp.Create"
		size = 260
		refs = "000e @ClassCreate 001c TComponent.Create 0034 THTTPReqResp.Create 0047 @UStrAsg 0061 _DV_TClientCert 0087 TComponent.SetSubComponent 0094 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 7C 33 C0 89 86 80 00 00 00 C6 46 38 00 0F B6 05 ?? ?? ?? ?? 88 86 99 00 00 00 8D 46 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 86 C0 00 00 00 00 80 00 00 C6 86 98 00 00 00 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E CC 00 00 00 8B C3 BA ?? ?? ?? ?? 8B 08 FF 51 24 8B 86 CC 00 00 00 B2 01 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 00 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 6F 00 64 00 65 00 47 00 65 00 61 00 72 00 20 00 53 00 4F 00 41 00 50 00 20 00 31 00 2E 00 33 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6C 00 69 00 65 00 6E 00 74 00 43 00 65 00 72 00 74 00 31 00 00 00 }
	condition:
		$1
}

rule function_49391_0 {
	meta:
		name = "THTTPReqResp.Destroy"
		size = 101
		refs = "0003 @BeforeDestruction 0017 InternetCloseHandle 0048 TObject.Free 0053 TComponent.Destroy 005e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 80 00 00 00 85 C0 74 06 50 E8 ?? ?? ?? ?? 33 C0 89 86 80 00 00 00 8B 46 7C 85 C0 74 06 50 E8 ?? ?? ?? ?? 33 C0 89 46 7C C6 46 41 00 8D 86 CC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49393_0 {
	meta:
		name = "THTTPReqResp.AfterConstruction"
		size = 43
		refs = "0006 TObject.AfterConstruction 0025 TInterlocked.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 04 85 C0 75 04 33 C0 EB 02 B0 01 88 43 40 8D 43 3C 83 CA FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_49395_0 {
	meta:
		name = "THTTPReqResp._Release"
		size = 48
		refs = "000f TInterlocked.Add"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8D 43 3C 83 CA FF E8 ?? ?? ?? ?? 8B F0 85 F6 75 0F 80 7B 40 00 75 09 B2 01 8B C3 8B 08 FF 51 FC 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_49396_0 {
	meta:
		name = "THTTPReqResp.Check"
		size = 33
		refs = "000b GetLastError 001a THTTPReqRespHelper.RaiseCheck"
	strings:
		$1 = { 53 56 8B D9 8B F0 84 D2 74 14 E8 ?? ?? ?? ?? 85 C0 74 0B 8B CB 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49397_0 {
	meta:
		name = "THTTPReqRespHelper.RaiseCheck"
		size = 432
		refs = "0019 THTTPReqRespHelper.RaiseCheck 0034 @UStrSetLength 004b @UStrToPWChar 0059 GetModuleHandle 0064 FormatMessage 0071 @PWCharLen 009b @UStrLen 00b9 CharInSet 00db THTTPReqResp.GetSOAPAction 00fa _DV_ESOAPHTTPException 00ff ESOAPHTTPException.CreateFmt 0104 @RaiseExcept 0119 @UStrClr 0127 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 0F 84 DD 00 00 00 8D 45 FC BA 00 01 00 00 E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 6A 00 53 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 57 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 68 00 18 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 92 E8 ?? ?? ?? ?? EB 17 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8B D3 4A 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 1E 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 0F B7 44 42 FE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 BF 8B 45 FC 89 45 E4 C6 45 E8 11 8B 46 44 89 45 EC C6 45 F0 11 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F4 C6 45 F8 11 8D 45 E4 50 6A 02 57 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 77 00 69 00 6E 00 69 00 6E 00 65 00 74 00 2E 00 64 00 6C 00 6C 00 00 00 00 24 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 25 00 73 00 20 00 2D 00 20 00 55 00 52 00 4C 00 3A 00 25 00 73 00 20 00 2D 00 20 00 53 00 4F 00 41 00 50 00 41 00 63 00 74 00 69 00 6F 00 6E 00 3A 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_49399_0 {
	meta:
		name = "THTTPReqResp.GetSOAPAction"
		size = 76
		refs = "001b THTTPReqResp.GetSOAPAction 0020 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 94 00 00 00 00 75 18 F6 83 99 00 00 00 01 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 94 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_49401_0 {
	meta:
		name = "THTTPReqResp.SetWSDLView"
		size = 7
		altNames = "TSeStyleObject.SetMarginTop"
	strings:
		$1 = { 89 90 90 00 00 00 C3 }
	condition:
		$1
}

rule function_49402_0 {
	meta:
		name = "THTTPReqResp.SetURL"
		size = 41
		refs = "0019 THTTPReqResp.InitURL 0022 THTTPReqResp.Connect"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 06 C6 43 38 01 EB 04 C6 43 38 00 8B D6 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49403_0 {
	meta:
		name = "THTTPReqResp.InitURL"
		size = 308
		refs = "0016 THTTPReqResp.InitURL 0033 @FillChar 0056 @UStrToPWChar 0066 InternetCrackUrl 008a SInvalidURL 008f LoadResString 0099 _DV_ESOAPHTTPException 009e ESOAPHTTPException.CreateFmt 00a3 @RaiseExcept 00cb @UStrCopy 00f5 @UStrClr 010c @UStrAsg 0127 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 C9 89 4D B8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 C4 00 00 00 8D 45 C4 33 C9 BA 3C 00 00 00 E8 ?? ?? ?? ?? C7 45 C4 3C 00 00 00 C7 45 CC 01 00 00 00 C7 45 D8 01 00 00 00 C7 45 F4 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 8D 45 C4 50 6A 00 6A 00 57 E8 ?? ?? ?? ?? 8B 45 D0 83 C0 FD 83 E8 02 72 32 89 75 BC C6 45 C0 11 8D 45 BC 50 6A 00 6A 00 6A 00 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 89 43 70 0F B7 45 DC 89 43 6C 8D 43 64 50 8B 55 D4 2B D7 D1 FA 79 03 83 D2 00 42 8B 4D D8 8B C6 E8 ?? ?? ?? ?? 8D 43 68 50 8B 55 F0 2B D7 D1 FA 79 03 83 D2 00 42 8B 4D F4 8B C6 E8 ?? ?? ?? ?? EB 1A 33 C0 89 43 6C 8D 43 64 E8 ?? ?? ?? ?? 8D 43 68 E8 ?? ?? ?? ?? 33 C0 89 43 70 8D 43 44 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49406_0 {
	meta:
		name = "THTTPReqResp.GetWebNodeOptions"
		size = 7
	strings:
		$1 = { 0F B6 50 54 8B C2 C3 }
	condition:
		$1
}

rule function_49407_0 {
	meta:
		name = "THTTPReqResp.SetWebNodeOptions"
		size = 13
	strings:
		$1 = { 51 88 14 24 0F B6 14 24 88 50 54 5A C3 }
	condition:
		$1
}

rule function_49408_0 {
	meta:
		name = "THTTPReqResp.GetCertSerialNumber"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 CC 00 00 00 8B 52 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49409_0 {
	meta:
		name = "THTTPReqResp.SetCertSerialNumber"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 CC 00 00 00 83 C0 40 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49410_0 {
	meta:
		name = "THTTPReqResp.GetCertName"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 CC 00 00 00 8B 52 38 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49411_0 {
	meta:
		name = "THTTPReqResp.SetCertName"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 CC 00 00 00 83 C0 38 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49412_0 {
	meta:
		name = "THTTPReqResp.GetCertIssuer"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 CC 00 00 00 8B 52 3C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49413_0 {
	meta:
		name = "THTTPReqResp.SetCertIssuer"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 CC 00 00 00 83 C0 3C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49414_0 {
	meta:
		name = "TBaseAdapterMultiValueField.ImplGetFieldValuesAdapter"
		size = 7
		altNames = "TCustomAdapter.ImplGetIteratorIndex THTTPReqResp.GetCertStore"
	strings:
		$1 = { 8B 80 C4 00 00 00 C3 }
	condition:
		$1
}

rule function_49415_0 {
	meta:
		name = "THTTPReqResp.SetCertStore"
		size = 33
		refs = "0014 CertCloseStore"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C4 00 00 00 85 C0 74 08 6A 01 50 E8 ?? ?? ?? ?? 89 B3 C4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_49417_0 {
	meta:
		name = "THTTPReqResp.SetCertContext"
		size = 31
		refs = "0012 CertFreeCertificateContext"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C8 00 00 00 85 C0 74 06 50 E8 ?? ?? ?? ?? 89 B3 C8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_49418_0 {
	meta:
		name = "THTTPReqResp.SetUsername"
		size = 41
		refs = "000d @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8D 43 5C 8B D6 E8 ?? ?? ?? ?? 8B BB 90 00 00 00 85 FF 74 0A 8D 47 38 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49419_0 {
	meta:
		name = "THTTPReqResp.SetPassword"
		size = 41
		refs = "000d @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8D 43 60 8B D6 E8 ?? ?? ?? ?? 8B BB 90 00 00 00 85 FF 74 0A 8D 47 3C 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49420_0 {
	meta:
		name = "THTTPReqResp.SetProxy"
		size = 41
		refs = "000d @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8D 43 74 8B D6 E8 ?? ?? ?? ?? 8B BB 90 00 00 00 85 FF 74 0A 8D 47 40 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49421_0 {
	meta:
		name = "THTTPReqResp.GetSOAPActionHeader"
		size = 332
		refs = "0013 THTTPReqResp.GetSOAPActionHeader 0023 THTTPReqResp.GetSOAPAction 0035 @UStrAsg 004e @UStrEqual 0081 @UStrCatN 009b @UStrArrayClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4A 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 23 68 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 4F 00 41 00 50 00 41 00 63 00 74 00 69 00 6F 00 6E 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 4F 00 41 00 50 00 41 00 63 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 22 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 4F 00 41 00 50 00 41 00 63 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_49422_0 {
	meta:
		name = "THTTPReqResp.GetContentType"
		size = 528
		refs = "0018 THTTPReqResp.GetContentType 0025 @UStrClr 002c THTTPReqResp.GetWebNodeOptions 0045 @UStrAsg 0075 THTTPReqResp.GetSOAPAction 0091 Format 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A8 01 75 25 80 BB 98 00 00 00 00 74 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 71 80 BB 98 00 00 00 00 74 35 56 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 33 56 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 74 00 65 00 78 00 74 00 2F 00 78 00 6D 00 6C 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 22 00 75 00 74 00 66 00 2D 00 38 00 22 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 74 00 65 00 78 00 74 00 2F 00 78 00 6D 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 73 00 6F 00 61 00 70 00 2B 00 78 00 6D 00 6C 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 22 00 75 00 74 00 66 00 2D 00 38 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 25 00 73 00 3B 00 61 00 63 00 74 00 69 00 6F 00 6E 00 3D 00 22 00 25 00 73 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 73 00 6F 00 61 00 70 00 2B 00 78 00 6D 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_49423_0 {
	meta:
		name = "THTTPReqResp.Connect"
		size = 373
		refs = "003e InternetAttemptConnect 0047 Abort 0054 @UStrToPWChar 0073 InternetOpen 008d THTTPReqResp.Check 0095 THTTPReqResp.Connect 00db InternetConnect 010e @HandleAnyException 011a InternetCloseHandle 0127 @RaiseAgain 012c @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 84 D2 0F 84 20 01 00 00 8B 45 FC 80 78 41 00 0F 85 50 01 00 00 8B 45 FC 8B 40 74 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 07 BB 03 00 00 00 EB 02 33 DB 6A 00 E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 40 78 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 74 E8 ?? ?? ?? ?? 50 53 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 70 7C 85 F6 0F 95 C2 80 F2 01 33 C9 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 6A 00 6A 03 8B 45 FC 8B 40 60 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 5C E8 ?? ?? ?? ?? 50 8B 45 FC 0F B7 40 6C 50 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 7C 50 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 80 00 00 00 85 DB 0F 95 C2 80 F2 01 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 41 01 33 C0 5A 59 59 64 89 10 EB 62 E9 ?? ?? ?? ?? 8B 45 FC 8B 40 7C 50 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 7C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3D 8B 45 FC 8B 80 80 00 00 00 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 80 00 00 00 8B 45 FC 8B 40 7C 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 7C 8B 45 FC C6 40 41 00 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_49424_0 {
	meta:
		name = "THTTPReqResp.Receive"
		size = 640
		refs = "0022 THTTPReqResp.Receive 004d HttpQueryInfo 0086 @UStrSetLength 0096 @UniqueStringU 00e6 _DV_ESOAPHTTPException 00eb ESOAPHTTPException.CreateFmt 00f0 @RaiseExcept 013b THTTPReqResp.Check 014b @LStrFromUStr 0156 GetMimeBoundaryFromType 0161 @LStrAsg 0176 InternetQueryDataAvailable 01a0 TArray<System.Byte> 01a5 @DynArraySetLength 01ba InternetReadFile 020d THTTPReqResp.CheckContentType 0227 @LStrArrayClr 0235 @DynArrayClear 023d @UStrClr 0243 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C4 89 5D C0 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 E4 04 00 00 00 33 C0 89 45 E0 8D 45 E0 50 8D 45 E4 50 8D 45 E8 50 68 13 00 00 20 8B FE 57 E8 ?? ?? ?? ?? 85 C0 0F 84 9B 00 00 00 81 7D E8 2C 01 00 00 0F 82 8E 00 00 00 81 7D E8 F4 01 00 00 0F 84 81 00 00 00 33 C0 89 45 E0 C7 45 F0 00 10 00 00 8D 45 FC 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 E0 50 8D 45 F0 50 8D 45 FC E8 ?? ?? ?? ?? 50 6A 14 57 E8 ?? ?? ?? ?? 85 C0 74 4D 8B 55 F0 D1 EA 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 45 C8 C6 45 CC 11 8B 45 E8 89 45 D0 C6 45 D4 00 8B 43 44 89 45 D8 C6 45 DC 11 8D 45 C8 50 6A 02 8B 45 E8 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 F0 00 04 00 00 8D 43 58 BA 00 04 00 00 E8 ?? ?? ?? ?? 8D 45 E0 50 8D 45 F0 50 8D 43 58 E8 ?? ?? ?? ?? 50 6A 01 57 E8 ?? ?? ?? ?? 85 C0 74 0F 8B 55 F0 D1 EA 8D 43 58 E8 ?? ?? ?? ?? EB 0B 33 C9 B2 01 8B C3 E8 ?? ?? ?? ?? 8D 45 C0 8B 53 58 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 8D 55 C4 E8 ?? ?? ?? ?? 8B 55 C4 8D 43 50 E8 ?? ?? ?? ?? 33 C0 89 45 E4 6A 00 6A 00 8D 45 F0 50 8B FE 57 E8 ?? ?? ?? ?? 8B D0 83 FA 01 1B D2 F7 DA 33 C9 8B C3 E8 ?? ?? ?? ?? 83 7D F0 00 76 68 8B 45 F0 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 EC 50 8B 45 F0 50 8B 45 F8 50 57 E8 ?? ?? ?? ?? 8B D0 83 FA 01 1B D2 F7 DA 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D F0 8B 45 F4 8B 38 FF 57 10 66 83 BB BA 00 00 00 00 74 12 8B 4D EC 8B 55 F0 8B 83 BC 00 00 00 FF 93 B8 00 00 00 83 7D F0 00 0F 85 66 FF FF FF 80 7D 08 00 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 25 00 73 00 20 00 28 00 25 00 64 00 29 00 20 00 2D 00 20 00 27 00 25 00 73 00 27 00 00 00 00 00 }
	condition:
		$1
}

rule function_49426_0 {
	meta:
		name = "CallInternetErrorDlg"
		size = 55
		refs = "0019 GetDesktopWindow 001f InternetErrorDlg"
	strings:
		$1 = { 55 8B EC 51 8D 45 FC 50 6A 07 8B 45 08 8B 40 F8 50 8B 45 08 8B 40 FC 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 08 81 7A F8 0C 2F 00 00 75 05 B8 00 2F 00 00 59 5D C3 }
	condition:
		$1
}

rule function_49427_0 {
	meta:
		name = "THTTPReqRespHelper.HandleWinInetErrorEx"
		size = 492
		refs = "0020 THTTPReqRespHelper.HandleWinInetErrorEx 007a InternetQueryOption 0094 InternetSetOption 00ae @IntfClear 00bc Supports 00fa CertOpenSystemStore 0110 FindCertWithSerialNumber 0142 THTTPReqRespHelper.RaiseCheck 0148 CallInternetErrorDlg 01ab @UStrClr 01c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D F4 89 5D F0 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB D2 00 00 00 00 74 19 8B 4D FC 8B 55 F8 8B 83 D4 00 00 00 FF 93 D0 00 00 00 8B F0 E9 4D 01 00 00 BE 00 2F 00 00 81 7D F8 0D 2F 00 00 75 42 F6 83 99 00 00 00 02 74 39 C7 45 E8 04 00 00 00 8D 45 E8 50 8D 45 EC 50 6A 1F 8B 45 FC 50 E8 ?? ?? ?? ?? 81 4D EC 00 01 00 00 8B 45 E8 50 8D 45 EC 50 6A 1F 8B 45 FC 50 E8 ?? ?? ?? ?? E9 FD 00 00 00 81 7D F8 0C 2F 00 00 0F 85 A7 00 00 00 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 89 00 00 00 8D 55 E0 8B 45 F4 8B 08 FF 51 0C 83 7D E0 00 74 78 8D 55 F0 8B 45 F4 8B 08 FF 51 0C 8B 45 F4 8B 10 FF 52 24 8B F8 85 FF 75 18 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B F8 8B D7 8B 45 F4 8B 08 FF 51 28 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8B F8 85 FF 74 1A 8B D7 8B 45 F4 8B 08 FF 51 30 6A 14 57 6A 54 8B 45 FC 50 E8 ?? ?? ?? ?? EB 66 80 7D 08 00 74 0C 33 C9 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B F0 EB 49 81 7D F8 0C 2F 00 00 75 25 F6 83 99 00 00 00 10 74 1C B8 04 00 00 00 33 D2 89 55 E4 50 8D 45 E4 50 6A 2F 8B 45 FC 50 E8 ?? ?? ?? ?? EB 1B 80 7D 08 00 74 0C 33 C9 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C6 5F 5E 5B 8B E5 5D C2 04 00 00 00 02 39 A7 4E 19 DD 52 49 A9 4D CC CE 7B 99 5F 5C 4D 00 59 00 00 00 00 00 }
	condition:
		$1
}

rule function_49428_0 {
	meta:
		name = "THTTPReqResp.Send"
		size = 1716
		refs = "0024 THTTPReqResp.Send 0034 THTTPReqResp.Connect 0088 @UStrToPWChar 009d HttpOpenRequest 00b4 THTTPReqResp.Check 00d6 InternetSetOption 0199 Format 01c1 @UStrLAsg 01d6 HttpAddRequestHeaders 01e7 THTTPReqResp.GetContentType 021d THTTPReqResp.GetWebNodeOptions 022c THTTPReqResp.GetSOAPActionHeader 02a2 TStream.SetPosition 02c9 _Dn_TMemoryStream 02ce TObject.Create 034d HttpSendRequestEx 0376 TStream.GetPosition 03b4 SInvalidHTTPRequest 03b9 LoadResString 03c3 _DV_ESOAPHTTPException 03c8 ESOAPHTTPException.Create 03cd @RaiseExcept 03e7 InternetWriteFile 03f2 GetLastError 03ff THTTPReqRespHelper.HandleWinInetErrorEx 0413 Abort 0466 HttpEndRequest 04a5 @HandleFinally 04c6 TObject.Free 04d5 _Dn_TBytesStream 04fa TStream.CopyFrom 0543 HttpSendRequest 05a4 @HandleAnyException 05b3 InternetCloseHandle 05c2 @RaiseAgain 05c7 @DoneExcept 05e4 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 C9 89 4D 98 89 4D 9C 89 4D A0 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 F4 E8 ?? ?? ?? ?? C7 45 E4 00 00 40 04 8B 45 F4 83 78 70 04 75 1A 81 4D E4 00 00 80 00 8B 45 F4 F6 80 99 00 00 00 02 74 07 81 4D E4 80 31 00 00 33 C0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 E4 50 6A 00 6A 00 6A 00 8B 45 F4 8B 40 68 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F4 8B 80 80 00 00 00 50 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 0F 95 C2 80 F2 01 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 83 B8 84 00 00 00 00 7E 29 6A 04 8B 45 F4 05 84 00 00 00 50 6A 02 8B 45 EC 50 E8 ?? ?? ?? ?? 8B D0 83 FA 01 1B D2 F7 DA 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 83 B8 88 00 00 00 00 7E 29 6A 04 8B 45 F4 05 88 00 00 00 50 6A 05 8B 45 EC 50 E8 ?? ?? ?? ?? 8B D0 83 FA 01 1B D2 F7 DA 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 83 B8 8C 00 00 00 00 7E 29 6A 04 8B 45 F4 05 8C 00 00 00 50 6A 06 8B 45 EC 50 E8 ?? ?? ?? ?? 8B D0 83 FA 01 1B D2 F7 DA 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 F6 80 99 00 00 00 02 74 11 6A 04 8D 45 E4 50 6A 1F 8B 45 EC 50 E8 ?? ?? ?? ?? 8B 45 F4 80 78 4C 03 75 5F 8D 45 F8 50 8B 45 F4 8B 40 50 89 45 A4 C6 45 A8 0B 8D 55 A4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A0 50 8B 45 F8 89 45 A4 C6 45 A8 11 8D 55 A4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 8D 45 F8 E8 ?? ?? ?? ?? 68 00 00 00 20 6A 11 68 ?? ?? ?? ?? 8B 45 EC 50 E8 ?? ?? ?? ?? EB 28 8D 45 F8 50 8D 55 9C 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 9C 89 45 A4 C6 45 A8 11 8D 55 A4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 80 78 4C 03 74 18 8B 45 F4 F6 80 99 00 00 00 04 75 3B 8B 45 F4 E8 ?? ?? ?? ?? A8 01 75 2F 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 68 00 00 00 20 53 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 EC 50 E8 ?? ?? ?? ?? 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 68 00 00 00 20 53 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 EC 50 E8 ?? ?? ?? ?? 8B 45 F4 66 83 B8 AA 00 00 00 00 74 15 8B 5D F4 8B 4D EC 8B 55 F4 8B 83 AC 00 00 00 FF 93 A8 00 00 00 6A 00 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 12 89 45 E0 8B 45 F4 8B 80 C0 00 00 00 3B 45 E0 0F 8D 10 02 00 00 C6 45 D7 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 90 C0 00 00 00 8B 45 DC 8B 08 FF 51 04 C7 45 AC 28 00 00 00 33 C0 89 45 B0 33 C0 89 45 B4 33 C0 89 45 B8 33 C0 89 45 BC 33 C0 89 45 C0 33 C0 89 45 C4 8B 45 E0 89 45 C8 33 C0 89 45 CC 33 C0 89 45 D0 E9 7D 01 00 00 6A 00 6A 00 8B 45 F0 E8 ?? ?? ?? ?? C6 45 D7 00 6A 00 6A 00 6A 00 8D 45 AC 50 8B 45 EC 50 E8 ?? ?? ?? ?? 8B D0 83 FA 01 1B D2 F7 DA 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B 5D E0 2B D8 8B 45 F4 8B B0 C0 00 00 00 3B DE 7E 02 8B DE 85 DB 0F 84 B3 00 00 00 8B 45 DC 8B 50 04 8B CB 8B 45 F0 8B 18 FF 53 0C 8B D8 85 DB 75 25 6A 00 6A 00 8D 55 98 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 98 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 E8 8D 45 E8 50 53 8B 45 DC 8B 40 04 50 8B 45 EC 50 E8 ?? ?? ?? ?? 85 C0 75 17 6A 01 E8 ?? ?? ?? ?? 8B D0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 2D C7 04 00 00 74 02 EB 05 E8 ?? ?? ?? ?? 8B 45 F4 66 83 B8 B2 00 00 00 00 0F 84 4A FF FF FF 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 5D F4 8B 4D E0 8B 83 B4 00 00 00 FF 93 B0 00 00 00 E9 29 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C0 89 45 E8 6A 00 6A 00 6A 00 8B 45 EC 50 E8 ?? ?? ?? ?? 85 C0 75 17 6A 01 E8 ?? ?? ?? ?? 8B D0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 2D C7 04 00 00 74 09 2D 39 2A 00 00 74 09 EB 0B E8 ?? ?? ?? ?? EB 04 C6 45 D7 01 C3 E9 ?? ?? ?? ?? EB AB 80 7D D7 00 0F 85 79 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 55 F0 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 F4 66 83 B8 B2 00 00 00 00 74 1B 8B 45 D8 8B 10 FF 12 8B D0 8B 5D F4 8B 4D E0 8B 83 B4 00 00 00 FF 93 B0 00 00 00 33 C0 89 45 E8 8B 45 D8 8B 10 FF 12 50 8B 45 D8 8B 40 14 50 6A 00 6A 00 8B 45 EC 50 E8 ?? ?? ?? ?? 8B D8 85 DB 75 17 6A 01 E8 ?? ?? ?? ?? 8B D0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 83 E8 01 72 10 2D C6 04 00 00 74 02 EB 89 E8 ?? ?? ?? ?? EB 82 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 28 E9 ?? ?? ?? ?? 83 7D EC 00 74 09 8B 45 EC 50 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C3 00 00 50 00 4F 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 2F 00 72 00 65 00 6C 00 61 00 74 00 65 00 64 00 3B 00 20 00 62 00 6F 00 75 00 6E 00 64 00 61 00 72 00 79 00 3D 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 3A 00 20 00 25 00 73 00 00 00 00 00 4D 00 49 00 4D 00 45 00 2D 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3A 00 20 00 31 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_49429_0 {
	meta:
		name = "THTTPReqResp.SendGet"
		size = 384
		refs = "0015 THTTPReqResp.SendGet 0025 THTTPReqResp.Connect 0035 :THTTPReqResp.:2 003a @DynArraySetLength 00a0 @UStrToPWChar 00b5 HttpOpenRequest 00cc THTTPReqResp.Check 00dd HttpSendRequest 00e6 GetLastError 00f3 THTTPReqResp.HandleWinInetError 0107 Abort 0118 @HandleAnyException 0127 InternetCloseHandle 0136 @RaiseAgain 013b @DoneExcept 0159 @DynArrayClear 015f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 6A 02 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B8 ?? ?? ?? ?? 8B 55 FC 89 02 8B 45 FC 33 D2 89 50 04 BB 00 00 00 04 8B 45 F8 83 78 70 04 75 18 81 CB 00 00 80 00 8B 45 F8 F6 80 99 00 00 00 02 74 06 81 CB 80 31 00 00 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 53 8B 45 FC 50 6A 00 6A 00 8B 45 F8 8B 40 68 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F8 8B 80 80 00 00 00 50 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 95 C2 80 F2 01 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 85 C0 75 28 E8 ?? ?? ?? ?? 8B D0 8B 4D F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 83 EB 01 72 0F 81 EB C6 04 00 00 75 CA E8 ?? ?? ?? ?? EB C3 33 C0 5A 59 59 64 89 10 EB 28 E9 ?? ?? ?? ?? 83 7D F4 00 74 09 8B 45 F4 50 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C3 00 00 2A 00 2F 00 2A 00 00 00 47 00 45 00 54 00 00 00 }
	condition:
		$1
}

rule function_49430_0 {
	meta:
		name = "THTTPReqResp.Get"
		size = 197
		refs = "0015 THTTPReqResp.Get 0030 SEmptyURL 0035 LoadResString 003f _DV_ESOAPHTTPException 0044 ESOAPHTTPException.Create 0049 @RaiseExcept 008d InternetCloseHandle 0097 THTTPReqResp.Connect 009d @HandleFinally 00b4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 44 00 75 25 6A 00 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 44 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8B CB 8B 55 F8 8B 45 FC 8B 18 FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 09 8B 45 F8 50 E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49431_0 {
	meta:
		name = "THTTPReqResp.BeforeExecute"
		size = 996
		refs = "0020 @IntfAddRef 0028 THTTPReqResp.BeforeExecute 003d InvRegistry 0047 TInvokableClassRegistry.GetMethExternalName 005f TInvokableClassRegistry.GetActionURIOfInfo 006d @UStrAsg 008c TInvokableClassRegistry.GetIntfInvokeOptions 00a6 TWSDLView.Activate 00b8 TWSDLView.GetPort 00cc TWSDLView.GetService 00d8 TWSDLItems.GetBindingForServicePort 0121 TWSDLItems.GetSoapAction 0186 TWSDLItems.GetSoapAddressForServicePort 01d8 TXMLDocument.GetFileName 01f4 sCantGetURL 01f9 LoadResString 0203 _DV_ESOAPHTTPException 0208 ESOAPHTTPException.CreateFmt 020d @RaiseExcept 0217 THTTPReqResp.InitURL 0225 sNoWSDLURL 0239 ESOAPHTTPException.Create 0262 @LStrAsg 028a Format 02cb THTTPReqResp.GetSOAPActionHeader 02f6 @UStrArrayClr 02fe @UStrClr 0306 @LStrClr 0328 @IntfClear 0343 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0E 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 38 00 74 3E 8D 45 FC 50 E8 ?? ?? ?? ?? 8B 0F 8B 56 1C E8 ?? ?? ?? ?? 8B 45 0C 50 8D 45 EC 50 E8 ?? ?? ?? ?? 8B 56 1C 8B 4D FC E8 ?? ?? ?? ?? 8B 55 EC 8D 83 94 00 00 00 E8 ?? ?? ?? ?? E9 CC 01 00 00 83 BB 90 00 00 00 00 0F 84 9A 01 00 00 E8 ?? ?? ?? ?? 8B 56 1C E8 ?? ?? ?? ?? F6 C4 02 74 06 C6 45 F3 02 EB 04 C6 45 F3 01 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 55 E8 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 55 E4 8B BB 90 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 55 E4 8B 47 54 59 E8 ?? ?? ?? ?? 83 7D F4 00 74 51 8D 55 F8 8B 45 F4 8B 08 FF 51 0C 8D 45 FC 50 E8 ?? ?? ?? ?? 8B BB 90 00 00 00 8B 4F 4C 8B 57 5C E8 ?? ?? ?? ?? 6A 00 8D 45 F3 50 8D 45 E0 50 8B 83 90 00 00 00 8B 40 54 8B 4D FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 E0 8D 83 94 00 00 00 E8 ?? ?? ?? ?? 83 BB 94 00 00 00 00 75 18 8B 45 0C 50 8D 45 DC 50 E8 ?? ?? ?? ?? 8B 56 1C 8B 4D FC E8 ?? ?? ?? ?? 8D 45 F3 50 8D 45 D8 50 8D 55 D4 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 55 D0 8B B3 90 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 D0 8B 46 54 59 E8 ?? ?? ?? ?? 8B 55 D8 8D 43 44 E8 ?? ?? ?? ?? 83 7B 44 00 75 76 8D 55 B4 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B 45 B4 89 45 B8 C6 45 BC 11 8D 55 B0 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B 45 B0 89 45 C0 C6 45 C4 11 8D 55 AC 8B 83 90 00 00 00 8B 40 54 E8 ?? ?? ?? ?? 8B 45 AC 89 45 C8 C6 45 CC 11 8D 45 B8 50 6A 02 6A 00 6A 00 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 44 8B C3 E8 ?? ?? ?? ?? EB 25 6A 00 6A 00 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 08 00 0F 84 90 00 00 00 C6 43 4C 03 8D 55 A0 8B 45 08 8B 08 FF 51 20 8B 55 A0 8D 43 50 E8 ?? ?? ?? ?? 80 BB 98 00 00 00 00 74 2C 8D 45 9C 50 B8 ?? ?? ?? ?? 89 45 94 C6 45 98 11 8D 55 94 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B 45 08 8B 08 FF 51 10 EB 2A 8D 45 90 50 B8 ?? ?? ?? ?? 89 45 94 C6 45 98 11 8D 55 94 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 90 8B 45 08 8B 08 FF 51 10 8D 55 8C 8B C3 E8 ?? ?? ?? ?? 8B 55 8C 8B 45 08 8B 08 FF 51 10 EB 04 C6 43 4C 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A4 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 74 00 65 00 78 00 74 00 2F 00 78 00 6D 00 6C 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 22 00 75 00 74 00 66 00 2D 00 38 00 22 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 3A 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 74 00 65 00 78 00 74 00 2F 00 78 00 6D 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_49432_0 {
	meta:
		name = "THTTPReqResp.Execute"
		size = 204
		refs = "0018 THTTPReqResp.Execute 0028 UTF8Encode 002f _Dn_TMemoryStream 0034 TObject.Create 0063 @UniqueStringA 009d TObject.Free 00a3 @HandleFinally 00ba @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D0 8B 45 F4 8B 08 FF 51 04 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B C8 8B 45 F4 8B 18 FF 53 10 8B 4D F8 8B 55 F4 8B C6 8B 18 FF 53 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49433_0 {
	meta:
		name = "THTTPReqResp.Execute"
		size = 103
		refs = "000f _Dn_TMemoryStream 0014 TObject.Create 001f THTTPReqResp.Execute 0049 THTTPReqResp.SetCertContext 0053 THTTPReqResp.SetCertStore 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B D3 8B 45 FC 8B 18 FF 53 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_49434_0 {
	meta:
		name = "THTTPReqResp.CheckContentType"
		size = 348
		refs = "0013 THTTPReqResp.CheckContentType 0024 @UStrLAsg 0058 CompareText 00c9 SInvalidContentType 00ce LoadResString 00d8 _DV_ESOAPHTTPException 00dd ESOAPHTTPException.CreateFmt 00e2 @RaiseExcept 00f7 @UStrClr 0104 @UStrArrayClr 010a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 58 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 F4 8B 53 58 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 35 8B 43 58 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 6A 00 6A 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 74 00 65 00 78 00 74 00 2F 00 70 00 6C 00 61 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 00 00 }
	condition:
		$1
}

rule function_49435_0 {
	meta:
		name = "IsErrorStatusCode"
		size = 21
	strings:
		$1 = { 05 6C FE FF FF 83 E8 02 72 05 83 E8 04 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_49436_0 {
	meta:
		name = "THTTPReqResp.Execute"
		size = 617
		refs = "0027 THTTPReqResp.Execute 00a3 @UStrClr 00b4 @UStrFromWStr 00c8 GetBindingkeyAccessPoint 00d7 @HandleAnyException 00dc @DoneExcept 00f1 @UStrLAsg 012a CompareText 0146 _DV_ESOAPHTTPException 014b ESOAPHTTPException.Create 0150 @RaiseExcept 015b THTTPReqResp.SetURL 01a2 @TryFinallyExit 01b4 @HandleOnException 01d4 THTTPReqResp.Connect 01e2 IsErrorStatusCode 01eb @RaiseAgain 022c InternetCloseHandle 0232 @HandleFinally 0256 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D FC 89 5D F8 89 5D F4 89 5D F0 89 4D E4 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 DE 00 8B 45 EC F6 80 99 00 00 00 08 74 1B 8B 45 EC 8B 80 9C 00 00 00 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 0F 9F C0 EB 02 33 C0 84 C0 74 19 8B 45 EC 8B 80 A0 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C0 EB 02 33 C0 88 45 DF 0F B6 45 DE 22 45 DF 0F 84 D2 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 DF 00 8D 45 FC E8 ?? ?? ?? ?? 8D 45 D8 8B 55 EC 8B 92 9C 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8D 4D FC 8B 45 EC 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 75 04 B3 01 EB 4E 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F0 8B 55 EC 8B 52 44 E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 06 C6 45 DD 01 EB 23 83 7D F4 00 74 06 83 7D F0 00 75 06 C6 45 DD 00 EB 11 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 45 DD 0F B6 5D DD 84 DB 74 18 6A 00 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC 8B 08 FF 51 40 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 4D E4 8B 55 E0 8B 45 EC 8B 18 FF 53 48 33 C0 5A 59 59 64 89 10 E8 ?? ?? ?? ?? E9 8D 00 00 00 33 C0 5A 59 59 64 89 10 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? 89 C6 33 D2 8B 45 EC E8 ?? ?? ?? ?? 80 7D DF 00 74 0C 8B 46 18 E8 ?? ?? ?? ?? 84 C0 75 05 E8 ?? ?? ?? ?? C6 45 DE 01 8D 45 F8 8B 56 04 E8 ?? ?? ?? ?? EB 0F 33 D2 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E0 00 74 09 8B 45 E0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49437_0 {
	meta:
		name = "THTTPReqResp.GetAgentIsStored"
		size = 72
		refs = "0007 THTTPReqResp.GetAgentIsStored 000c @UStrEqual"
	strings:
		$1 = { 53 8B D8 8B 43 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 95 C0 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 6F 00 64 00 65 00 47 00 65 00 61 00 72 00 20 00 53 00 4F 00 41 00 50 00 20 00 31 00 2E 00 33 00 00 00 }
	condition:
		$1
}

rule function_49440_0 {
	meta:
		name = "TLinkedRIO.Create"
		size = 196
		refs = "000f @ClassCreate 001f _DV_TLinkedWebNode 0024 TLinkedWebNode.Create 0049 TLinkedRIO.Create 004e @IntfCast 0055 TLinkedRIO.GetDefaultConverter 0081 TRIO.Create 008e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B8 00 00 00 8B 83 9C 00 00 00 89 46 3C 8D 83 AC 00 00 00 8B D6 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 89 B3 BC 00 00 00 8D 83 A8 00 00 00 8B D6 85 D2 74 03 83 EA BC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 44 26 DB 77 12 0C 0A 4C 92 0E 89 57 9D B9 CC 16 E3 5F 95 1F 0B 89 4C 47 A3 A4 5E 07 2D 30 CC 4F }
	condition:
		$1
}

rule function_49441_0 {
	meta:
		name = "TLinkedRIO.CreateFile"
		size = 296
		refs = "000f @ClassCreate 001e @UStrAddRef 002e TLinkedRIO.CreateFile 003d _DV_TLogLinkedWebNode 0042 TLogLinkedWebNode.Create 005e @UStrAsg 008c @IntfCast 0093 TLinkedRIO.GetDefaultConverter 00bf TRIO.Create 00d9 @UStrArrayClr 00df @HandleFinally 00ee @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B8 00 00 00 8B 83 9C 00 00 00 89 46 3C 8D 46 78 8B 55 0C E8 ?? ?? ?? ?? 8B 83 B8 00 00 00 83 C0 7C 8B 55 08 E8 ?? ?? ?? ?? 8D 83 AC 00 00 00 8B 93 B8 00 00 00 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 89 B3 BC 00 00 00 8D 83 A8 00 00 00 8B D6 85 D2 74 03 83 EA BC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 08 00 00 00 44 26 DB 77 12 0C 0A 4C 92 0E 89 57 9D B9 CC 16 E3 5F 95 1F 0B 89 4C 47 A3 A4 5E 07 2D 30 CC 4F }
	condition:
		$1
}

rule function_49442_0 {
	meta:
		name = "TLinkedRIO.Destroy"
		size = 69
		refs = "0003 @BeforeDestruction 0012 @IntfClear 0028 TObject.Free 0033 TRIO.Destroy 003e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 A8 00 00 00 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 E8 ?? ?? ?? ?? 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49443_0 {
	meta:
		name = "TLinkedRIO.QueryInterface"
		size = 41
		refs = "0011 TRIO.QueryInterface"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 10 50 8B 45 0C 50 53 E8 ?? ?? ?? ?? 8B 93 B8 00 00 00 8B 8B 9C 00 00 00 89 4A 3C 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_49444_0 {
	meta:
		name = "TLinkedRIO.GetDefaultConverter"
		size = 108
		refs = "0013 _DV_TLinkedOPToSoapDomConvert 0018 TLinkedOPToSoapDomConvert.CreateLinked 0025 TLinkedRIO.GetDefaultConverter 0039 TComponent.SetSubComponent"
	strings:
		$1 = { 53 56 8B D8 83 BB C0 00 00 00 00 75 30 53 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C0 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 B2 01 8B 83 C0 00 00 00 E8 ?? ?? ?? ?? 8B 83 C0 00 00 00 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6E 00 76 00 65 00 72 00 74 00 65 00 72 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_49445_0 {
	meta:
		name = "TLinkedRIO.GetDomConverter"
		size = 80
		refs = "0010 TLinkedRIO.GetDefaultConverter 002c TLinkedRIO.GetDomConverter 0031 @IntfCast"
	strings:
		$1 = { 53 56 8B D8 83 BB BC 00 00 00 00 75 28 8B C3 E8 ?? ?? ?? ?? 8B F0 89 B3 BC 00 00 00 8D 83 A8 00 00 00 8B D6 85 D2 74 03 83 EA BC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 BC 00 00 00 5E 5B C3 00 00 E3 5F 95 1F 0B 89 4C 47 A3 A4 5E 07 2D 30 CC 4F }
	condition:
		$1
}

rule function_49446_0 {
	meta:
		name = "TLinkedRIO.SetDomConverter"
		size = 120
		refs = "001c @IntfClear 002f TObject.Free 004d TLinkedRIO.SetDomConverter 0052 @IntfCast 005f TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 BC 00 00 00 85 C0 74 23 3B 58 04 75 1E 8D 83 A8 00 00 00 E8 ?? ?? ?? ?? 8B 83 BC 00 00 00 3B 83 C0 00 00 00 74 05 E8 ?? ?? ?? ?? 89 B3 BC 00 00 00 85 F6 74 26 8D 83 A8 00 00 00 8B D6 85 D2 74 03 83 EA BC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 E3 5F 95 1F 0B 89 4C 47 A3 A4 5E 07 2D 30 CC 4F }
	condition:
		$1
}

rule function_49447_0 {
	meta:
		name = "TLinkedRIO.GetResponseStream"
		size = 12
	strings:
		$1 = { 8B 80 B8 00 00 00 8B 10 FF 52 40 C3 }
	condition:
		$1
}

rule function_49448_0 {
	meta:
		name = "TLinkedRIO.Notification"
		size = 56
		refs = "0010 TComponent.Notification 0028 @IntfClear"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1B 3B B7 BC 00 00 00 75 13 8D 87 A8 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 87 BC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49449_0 {
	meta:
		name = "TLinkedWebNode.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TComponent.Create 0020 _Dn_TSoapPascalInvoker 0025 TSoapPascalInvoker.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_49453_0 {
	meta:
		name = "TLinkedWebNode.GetWebNodeOptions"
		size = 7
	strings:
		$1 = { 0F B6 50 48 8B C2 C3 }
	condition:
		$1
}

rule function_49454_0 {
	meta:
		name = "TLinkedWebNode.InvokeImplementation"
		size = 648
		refs = "001e TLinkedWebNode.InvokeImplementation 0029 InvRegistry 003a TInvokableClassRegistry.GetClassFromIntfInfo 005f SNoClassRegistered 0064 LoadResString 006e _Dn_Exception 0073 Exception.CreateFmt 0078 @RaiseExcept 0085 GetBindingType 0090 @IntfClear 009c GetMimeAttachmentHandler 00bb _Dn_TMemoryStream 00c0 TObject.Create 00e1 @LStrAsg 00f5 TSoapPascalInvoker.GetDomConverter 0159 TObject.Free 015f @HandleFinally 016c @LStrClr 01e5 TStream.SetPosition 01fd TStream.CopyFrom 0241 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 DB 89 5D DC 89 5D E0 89 5D FC 89 4D F4 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 55 F8 8D 4A 40 8B 55 F8 8B 52 3C E8 ?? ?? ?? ?? 8B 45 F8 83 78 40 00 75 35 8B 45 F8 8B 40 3C 40 89 45 E4 C6 45 E8 04 8D 45 E4 50 6A 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 83 C0 4C B2 01 E8 ?? ?? ?? ?? 88 45 F3 8D 45 FC E8 ?? ?? ?? ?? 0F B6 45 F3 8D 55 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D F3 03 0F 85 AD 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 C0 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 44 50 6A 00 8B 45 F8 8B 40 38 E8 ?? ?? ?? ?? 8B 10 FF 52 4C 50 8B 45 F8 8B 40 38 E8 ?? ?? ?? ?? 8D 55 DC 8B 08 FF 51 54 8B 45 DC 50 8B 4D EC 8B D3 8B 45 FC 8B 18 FF 53 0C 6A 00 8B 45 EC 50 8B 45 F4 50 8D 45 F3 50 8B 45 F8 8B 48 3C 8B 45 F8 8B 50 40 8B 45 F8 8B 40 38 8B 18 FF 53 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 83 C0 44 E8 ?? ?? ?? ?? 6A 00 53 8B 45 F4 50 8D 45 F3 50 8B 45 F8 8B 48 3C 8B 45 F8 8B 50 40 8B 45 F8 8B 40 38 8B 18 FF 53 40 8B 45 F8 8B 40 38 E8 ?? ?? ?? ?? 8B 10 FF 52 4C 83 78 08 00 7E 5B 8B 45 F8 8B 40 38 E8 ?? ?? ?? ?? 8B 10 FF 52 4C 8B C8 8B 55 F4 8B 45 FC 8B 18 FF 53 14 8B 45 FC 8B 10 FF 52 18 8B 45 F8 83 C0 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 6A 00 6A 00 33 D2 8B 45 FC 8B 08 FF 51 1C 8B D0 8B 45 F4 E8 ?? ?? ?? ?? EB 0B 8B 45 F8 83 C0 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 00 E4 04 01 00 FF FF FF FF 1D 00 00 00 4D 49 4D 45 5F 62 6F 75 6E 64 61 72 79 42 30 52 39 35 33 32 31 34 33 31 38 32 31 32 31 00 00 00 }
	condition:
		$1
}

rule function_49455_0 {
	meta:
		name = "TLinkedWebNode.SetWebNodeOptions"
		size = 13
	strings:
		$1 = { 51 88 14 24 0F B6 14 24 88 50 48 5A C3 }
	condition:
		$1
}

rule function_49457_0 {
	meta:
		name = "TLinkedWebNode.BeforeExecute"
		size = 82
		refs = "000d @IntfAddRef 0015 TLinkedWebNode.BeforeExecute 0026 TIntfMethEntry 002b @CopyRecord 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 4C 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_49458_0 {
	meta:
		name = "TLinkedWebNode.Execute"
		size = 38
		refs = "000a _Dn_TMemoryStream 000f TObject.Create"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B CE 8B D7 8B C3 8B 18 FF 53 4C 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49459_0 {
	meta:
		name = "TLinkedWebNode.Execute"
		size = 159
		refs = "0012 TLinkedWebNode.Execute 0029 TLinkedWebNode.InvokeImplementation 0036 @LStrLAsg 0041 TStream.SetPosition 0059 TStream.SetSize64 0061 @UniqueStringA 008d @LStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 70 00 75 0D 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? EB 4D 8D 45 FC 8B 53 70 E8 ?? ?? ?? ?? 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 85 C9 74 05 83 E9 04 8B 09 8B C1 99 52 50 8B C6 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B C8 8B C6 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_49460_0 {
	meta:
		name = "TLinkedWebNode.Execute"
		size = 204
		refs = "0018 TLinkedWebNode.Execute 0028 UTF8Encode 002f _Dn_TMemoryStream 0034 TObject.Create 0063 @UniqueStringA 009d TObject.Free 00a3 @HandleFinally 00ba @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D0 8B 45 F4 8B 08 FF 51 04 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B C8 8B 45 F4 8B 18 FF 53 10 8B 4D F8 8B 55 F4 8B C6 8B 18 FF 53 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49463_0 {
	meta:
		name = "TLogLinkedWebNode.GetResponseStream"
		size = 144
		refs = "000c TLogLinkedWebNode.GetResponseStream 001d @UStrLAsg 0033 @UStrCat3 0042 _Dn_TFileStream 0047 TFileStream.Create 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 7C E8 ?? ?? ?? ?? 83 7D FC 00 75 10 8D 45 FC B9 ?? ?? ?? ?? 8B 53 4C E8 ?? ?? ?? ?? 68 00 FF 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 5F 00 72 00 65 00 73 00 70 00 2E 00 78 00 6D 00 6C 00 00 00 }
	condition:
		$1
}

rule function_49464_0 {
	meta:
		name = "TLogLinkedWebNode.Execute"
		size = 416
		refs = "0021 TLogLinkedWebNode.Execute 0035 @UStrLAsg 004e @UStrCat3 0057 _Dn_TStringStream 005c TStringStream.Create 007c TStream.CopyFrom 0087 TStringStream.GetDataString 00ab FormatXMLData 00b7 TStream.SetPosition 00c2 TStringStream.WriteString 00d1 @HandleAnyException 00d6 @DoneExcept 00e5 _Dn_TFileStream 00ea TFileStream.Create 011f TObject.Free 0125 @HandleFinally 0152 TLinkedWebNode.Execute 0167 @UStrClr 0174 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 F4 8B 52 78 E8 ?? ?? ?? ?? 83 7D F8 00 75 13 8B 45 F4 8B 50 4C 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 00 FF 00 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 4D EC 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 78 00 6D 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_49465_0 {
	meta:
		name = "TLinkedOPToSoapDomConvert.CreateLinked"
		size = 68
		refs = "000d @ClassCreate 0023 TOPToSoapDomConvert.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 89 86 90 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_49466_0 {
	meta:
		name = "TLinkedOPToSoapDomConvert.InvContextToMsg"
		size = 213
		refs = "0018 TLinkedOPToSoapDomConvert.InvContextToMsg 0047 @LStrLAsg 004e _Dn_TMemoryStream 0053 TObject.Create 006f TStream.SetSize64 0077 @UniqueStringA 00a7 TOPToSoapDomConvert.InvContextToMsg 00be @LStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 90 00 00 00 8B 80 B8 00 00 00 83 78 6C 00 74 64 8D 45 FC 8B 93 90 00 00 00 8B 92 B8 00 00 00 8B 52 6C E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 4D FC 85 C9 74 05 83 E9 04 8B 09 8B C1 99 52 50 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B C8 8B 45 F8 8B 18 FF 53 10 8B 5D F8 EB 15 8B 45 0C 50 8B 45 08 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_49467_0 {
	meta:
		name = "LoadDataFromFile"
		size = 133
		refs = "0010 _Dn_TFileStream 0015 TFileStream.Create 0020 LoadDataFromFile 003b @LStrSetLength 0042 @UniqueStringA 0074 TObject.Free 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 6A 20 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 10 FF 12 8B D0 8B C3 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 03 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B C8 8B 45 FC 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_49468_0 {
	meta:
		name = "WriteDataToFile"
		size = 115
		refs = "0014 _Dn_TFileStream 0019 TFileStream.Create 0024 WriteDataToFile 0040 @LStrToPChar 0061 TObject.Free 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 68 00 FF 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 75 F8 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CB 8B 45 FC 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_49471_0 {
	meta:
		name = "RegDefIAppServerInvClass"
		size = 17
		refs = "0001 InvRegistry 0007 _Dn_TSoapDataModule 000c TInvokableClassRegistry.RegisterInvokableClass"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49473_0 {
	meta:
		name = "Soap.SOAPMidas"
		size = 360
		refs = "0002 _DV_1 0010 InvRegistry 0015 Soap.SOAPMidas 001b IAppServer 0020 TInvokableClassRegistry.RegisterInterface 0036 IAppServerSOAP 0050 TInvokableClassRegistry.RegisterDefaultSOAPAction"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 4B 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 75 00 72 00 6E 00 3A 00 4D 00 69 00 64 00 61 00 73 00 2D 00 49 00 41 00 70 00 70 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 62 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 63 00 6F 00 6D 00 2F 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 73 00 2F 00 54 00 79 00 70 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 36 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 62 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 63 00 6F 00 6D 00 2F 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 73 00 2F 00 54 00 79 00 70 00 65 00 73 00 2D 00 49 00 41 00 70 00 70 00 53 00 65 00 72 00 76 00 65 00 72 00 53 00 4F 00 41 00 50 00 00 00 00 00 }
	condition:
		$1
}

rule function_49474_0 {
	meta:
		name = "GetSOAPHeaders"
		size = 23
		refs = "0004 @GetTls 000a SOAPServerHeaders 0011 @IntfCopy"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B 90 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_49475_0 {
	meta:
		name = "TSoapPascalInvoker.Create"
		size = 272
		refs = "000e @ClassCreate 001c TComponent.Create 0025 _Dn_TOPToSoapDomConvert 002a TOPToSoapDomConvert.Create 0036 TSoapPascalInvoker.Create 0045 TComponent.SetSubComponent 0064 _Dn_TSOAPHeaders 0069 TAggregatedObject.Create 0073 _Dn_THeaderList 0078 THeaderList.Create 0094 THeaderList.SetOwnsObjects 00b5 @IntfCast 00c2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 5E 78 8B C3 BA ?? ?? ?? ?? 8B 08 FF 51 24 8B 46 78 B2 01 E8 ?? ?? ?? ?? 8B 5E 78 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 8B CE 85 C9 74 03 83 E9 CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 68 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 6C 8B 46 68 33 D2 E8 ?? ?? ?? ?? 8B 46 6C 33 D2 E8 ?? ?? ?? ?? 8D 46 70 8B 56 78 85 D2 74 03 83 EA BC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6E 00 76 00 65 00 72 00 74 00 65 00 72 00 31 00 00 00 00 00 0A 00 00 00 E3 5F 95 1F 0B 89 4C 47 A3 A4 5E 07 2D 30 CC 4F }
	condition:
		$1
}

rule function_49476_0 {
	meta:
		name = "TSoapPascalInvoker.Destroy"
		size = 95
		refs = "0003 @BeforeDestruction 0015 @IntfClear 0026 TObject.Free 004d TComponent.Destroy 0058 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 70 00 74 08 8D 46 70 E8 ?? ?? ?? ?? 8B 46 78 85 C0 74 0A 3B 70 04 75 05 E8 ?? ?? ?? ?? 8B 46 74 E8 ?? ?? ?? ?? 8B 46 68 B2 01 8B 08 FF 51 FC 8B 46 6C B2 01 8B 08 FF 51 FC B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49477_0 {
	meta:
		name = "TSoapPascalInvoker.Invoke"
		size = 1280
		refs = "0025 @UStrAddRef 002e TIntfMetaData 0033 @InitializeRecord 003b TSoapPascalInvoker.Invoke 0056 CoInitialize 0077 GetIntfMetaData 007e _Dn_TInvContext 0083 TDataContext.Create 008e SetRemotableDataContext 0093 InvRegistry 009a TInvokableClassRegistry.GetIntfInvokeOptions 0100 GetMethNum 0128 TStream.SetPosition 019e TInvokableClassRegistry.GetInvokableObjectFromClass 01bc SNoClassRegistered 01c1 LoadResString 01cb _Dn_Exception 01d0 Exception.CreateFmt 01d5 @RaiseExcept 01dd @IntfClear 01eb Supports 01ff @IntfCast 025a @GetTls 025f SOAPServerHeaders 0267 @IntfCopy 027c _Dn_TInterfaceInvoker 0281 TObject.Create 02a6 GetBindingType 02bd TInterfaceInvoker.Invoke 02d2 TObject.Free 02ed THeaderList.Clear 02f3 @HandleFinally 039b @HandleOnException 03d8 @DoneExcept 0422 _Dn_TOPToSoapDomConvert 0427 TOPToSoapDomConvert.Create 0467 CoUninitialize 0485 IHeadersSetter 048f @FinalizeArray 0497 @UStrClr 04a5 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 DB 89 5D AC 89 5D B0 89 5D B4 89 5D FC 8B F9 8B DA 89 45 D0 8B 75 08 8B 45 14 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C7 45 C4 FF FF FF FF 8D 55 D4 B1 01 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 8B 45 C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? A8 02 74 20 8B 45 D0 8B 40 70 8B 10 FF 52 0C 8B D0 0B 15 ?? ?? ?? ?? 8B 45 D0 8B 40 70 8B 08 FF 51 10 EB 20 8B 45 D0 8B 40 70 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? F7 D2 23 D0 8B 45 D0 8B 40 70 8B 08 FF 51 10 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D 14 00 74 11 8D 45 D4 83 C9 FF 8B 55 14 E8 ?? ?? ?? ?? 89 45 C4 8B 45 D0 66 83 78 3A 00 74 1B 8B 7D D0 8B 4D 10 8B 55 14 8B 47 3C FF 57 38 6A 00 6A 00 8B 45 10 E8 ?? ?? ?? ?? C6 45 C3 00 8B 45 D0 66 83 78 42 00 74 24 8B 45 0C 50 56 8D 45 C3 50 8B 7D D0 8B 4D 10 8B 55 14 8B 47 44 FF 57 40 6A 00 6A 00 8B 45 10 E8 ?? ?? ?? ?? 80 7D C3 00 0F 85 74 02 00 00 8D 45 C4 50 8B 45 C8 50 8B 45 D0 8B 40 68 50 8D 4D D4 8B 45 D0 8B 40 70 8B 55 10 8B 38 FF 57 3C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 31 8B 45 D4 89 45 B8 C6 45 BC 11 8D 45 B8 50 6A 00 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 24 8D 45 B0 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 8B 55 D0 8D 4A 6C 8B 55 D0 83 C2 68 8B 38 FF 57 0C 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 D0 8B 40 74 E8 ?? ?? ?? ?? 84 C0 74 24 8D 45 AC 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC 8B 55 D0 8D 4A 6C 8B 55 D0 83 C2 68 8B 38 FF 57 0C E8 ?? ?? ?? ?? 05 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 C4 03 C0 03 C0 8B 55 DC 8D 04 C2 33 D2 E8 ?? ?? ?? ?? 88 06 8B 45 C4 50 8B 45 C8 50 8D 4D D4 8B D3 8B 45 CC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8B 45 D0 8B 40 70 8B 10 FF 52 14 8B 10 FF 52 08 8B 45 D0 8B 40 68 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 C8 50 8B 45 0C 50 8B 45 D0 8B 40 6C 50 8D 55 D4 8B 45 D0 8B 40 70 8B 4D C4 8B 18 FF 53 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 8B 40 6C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 D0 66 83 78 4A 00 74 1B 8B 5D D0 8B 4D 0C 8B 55 14 8B 43 4C FF 53 48 6A 00 6A 00 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 42 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 D0 8B 52 70 8B 4D 0C 92 8B 18 FF 53 44 8B 45 D0 66 83 78 62 00 74 13 8B 45 0C 50 8B 5D D0 8B 4D 10 8B 55 14 8B 43 64 FF 53 60 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 EB 4F E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA BC 8B 45 D0 83 C0 70 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 8B 40 70 8B 4D 0C 8B D3 8B 18 FF 53 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 14 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BF 5F 5E 5B 8B E5 5D C2 10 00 00 00 20 00 00 00 0C BE 40 E2 6F 25 11 D6 96 FA 00 C0 4F A0 6B 45 7A 44 96 FC AC 94 88 4C B7 24 19 22 84 E2 DA 34 E3 5F 95 1F 0B 89 4C 47 A3 A4 5E 07 2D 30 CC 4F }
	condition:
		$1
}

rule function_49478_0 {
	meta:
		name = "TSoapPascalInvoker.Notification"
		size = 47
		refs = "0010 TComponent.Notification 0022 @IntfClear"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 12 3B 77 78 75 0D 8D 47 70 E8 ?? ?? ?? ?? 33 C0 89 47 78 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49479_0 {
	meta:
		name = "TCustomAdapterCommandGroup.GetAdapterFormLayout"
		size = 4
		altNames = "TCustomDataSetPageProducer.GetDataSet TSoapPascalInvoker.GetDomConverter"
	strings:
		$1 = { 8B 40 78 C3 }
	condition:
		$1
}

rule function_49481_0 {
	meta:
		name = "TSoapPascalInvoker.SetDomConverter"
		size = 92
		refs = "0016 @IntfClear 001e TObject.Free 0036 TSoapPascalInvoker.SetDomConverter 003b @IntfCast 0044 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 78 85 C0 74 15 3B 58 04 75 10 8D 43 70 E8 ?? ?? ?? ?? 8B 43 78 E8 ?? ?? ?? ?? 89 73 78 85 F6 74 1F 8D 43 70 8B D6 85 D2 74 03 83 EA BC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 E3 5F 95 1F 0B 89 4C 47 A3 A4 5E 07 2D 30 CC 4F }
	condition:
		$1
}

rule function_49487_0 {
	meta:
		name = "TTypeTranslator.CastSoapToVariant"
		size = 756
		refs = "0020 TTypeTranslator.CastSoapToVariant 008f @VarFromUStr 009e Trim 00a6 StrToInt64 00b0 @VarFromInt64 00bc GetTypeData 00e8 @VarFromInt 00ff StrToInt 0122 StrToFloatEx 012a @VarFromReal 0144 @WStrFromUStr 014f @VarFromWStr 0175 IsBooleanTypeInfo 0187 @UStrLAsg 01bb CompareText 0217 @VarFromBool 0221 SVariantCastNotSupported 0226 LoadResString 0230 _DV_ETypeTransException 0235 Exception.Create 023a @RaiseExcept 0243 TByteDynArray 0248 SameTypeInfo 0258 TTypeTranslator.Base64ToVar 0295 @UStrArrayClr 029d @WStrClr 02bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 03 83 F8 12 0F 87 49 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 8B D7 E8 ?? ?? ?? ?? E9 E7 01 00 00 8D 55 E4 8B C7 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 52 50 8B 45 08 E8 ?? ?? ?? ?? E9 C6 01 00 00 8B C3 E8 ?? ?? ?? ?? 80 38 05 75 2C 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 8B 45 E8 8B D0 8B 45 08 B1 04 E8 ?? ?? ?? ?? E9 8E 01 00 00 8D 55 DC 8B C7 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B D0 8B 45 08 B1 FC E8 ?? ?? ?? ?? E9 6B 01 00 00 8D 55 D8 8B C7 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 4C 01 00 00 8D 55 D0 8B C7 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 08 E8 ?? ?? ?? ?? E9 27 01 00 00 8D 55 CC 8B C7 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 08 E8 ?? ?? ?? ?? E9 0D 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 9C 00 00 00 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B3 01 EB 45 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 8B 45 08 8B D3 E8 ?? ?? ?? ?? EB 62 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3F 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B 55 08 8B CF 8B C6 E8 ?? ?? ?? ?? EB 21 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49488_0 {
	meta:
		name = "TTypeTranslator.CastSoapToVariant"
		size = 708
		refs = "0020 TTypeTranslator.CastSoapToVariant 008f @VarFromUStr 009e Trim 00a6 StrToInt64 00b0 @VarFromInt64 00c7 StrToInt 00d3 @VarFromInt 00ea StrToFloatEx 00f2 @VarFromReal 0101 @WStrFromUStr 010c @VarFromWStr 0127 TByteDynArray 012c SameTypeInfo 013c TTypeTranslator.Base64ToVar 0149 SVariantCastNotSupported 014e LoadResString 0158 _DV_ETypeTransException 015d Exception.Create 0162 @RaiseExcept 016e IsBooleanTypeInfo 0180 @UStrLAsg 01b4 CompareText 0210 @VarFromBool 0270 @UStrArrayClr 0278 @WStrClr 028b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 03 83 F8 12 0F 87 03 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 8B D7 E8 ?? ?? ?? ?? E9 C2 01 00 00 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 52 50 8B 45 08 E8 ?? ?? ?? ?? E9 A1 01 00 00 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 8B 45 08 B1 FC E8 ?? ?? ?? ?? E9 7E 01 00 00 8D 55 E4 8B C7 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 5F 01 00 00 8D 45 E0 8B D7 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 08 E8 ?? ?? ?? ?? E9 45 01 00 00 8B 45 08 8B D7 E8 ?? ?? ?? ?? E9 36 01 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B CF 8B 55 08 8B C6 E8 ?? ?? ?? ?? E9 15 01 00 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EF 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 9C 00 00 00 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B3 01 EB 45 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 8B 45 08 8B D3 E8 ?? ?? ?? ?? EB 44 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49489_0 {
	meta:
		name = "GetEnumValueEx"
		size = 612
		refs = "0019 GetEnumValueEx 0029 @UStrLAsg 0030 IsBooleanTypeInfo 0076 CompareText 0183 Boolean 0188 GetEnumValue 0195 RemTypeRegistry 019f TRemotableTypeRegistry.GetInternalPropName 01d0 @UStrArrayClr 01d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 54 01 00 00 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 43 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 12 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9F 00 00 00 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 04 B0 01 EB 20 83 7D E8 00 74 06 83 7D E4 00 75 04 33 C0 EB 10 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 43 8D 45 E0 8B D3 E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 3B 45 DC 75 04 B0 01 EB 20 83 7D E0 00 74 06 83 7D DC 00 75 04 33 C0 EB 10 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 2A 8D 45 D8 50 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 61 00 6C 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_49490_0 {
	meta:
		name = "SetEnumPropEx"
		size = 604
		refs = "0021 SetEnumPropEx 0035 IsBooleanTypeInfo 0047 @UStrLAsg 007b CompareText 018e SetEnumProp 0199 RemClassRegistry 01a2 TRemotableTypeRegistry.GetInternalPropName 01ca @UStrArrayClr 01d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B D9 89 55 D4 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D4 8B 00 8B 30 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 53 01 00 00 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 43 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 12 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9F 00 00 00 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 04 B0 01 EB 20 83 7D E8 00 74 06 83 7D E4 00 75 04 33 C0 EB 10 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 43 8D 45 E0 8B D3 E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 3B 45 DC 75 04 B0 01 EB 20 83 7D E0 00 74 06 83 7D DC 00 75 04 33 C0 EB 10 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? EB 20 8D 45 FC 50 E8 ?? ?? ?? ?? 8B CB 8B D6 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 61 00 6C 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_49491_0 {
	meta:
		name = "GetEnumValueExW"
		size = 592
		refs = "001a GetEnumValueExW 0027 IsBooleanTypeInfo 0039 @UStrLAsg 006d CompareText 017a Boolean 017f GetEnumValue 018c RemTypeRegistry 0195 TRemotableTypeRegistry.GetInternalPropName 01bb @UStrArrayClr 01c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 54 01 00 00 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 43 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 12 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9F 00 00 00 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 04 B0 01 EB 20 83 7D E8 00 74 06 83 7D E4 00 75 04 33 C0 EB 10 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 43 8D 45 E0 8B D3 E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 3B 45 DC 75 04 B0 01 EB 20 83 7D E0 00 74 06 83 7D DC 00 75 04 33 C0 EB 10 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 1E 8D 45 FC 50 E8 ?? ?? ?? ?? 8B CB 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 61 00 6C 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_49492_0 {
	meta:
		name = "SetEnumPropExW"
		size = 624
		refs = "0021 SetEnumPropExW 0035 IsBooleanTypeInfo 0047 @UStrLAsg 007b CompareText 018e SetEnumProp 019d RemClassRegistry 01a6 TRemotableTypeRegistry.GetInternalPropName 01c3 SetOrdProp 01dd @UStrArrayClr 01e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B D9 89 55 D4 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D4 8B 00 8B 30 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 53 01 00 00 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 43 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 12 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9F 00 00 00 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 04 B0 01 EB 20 83 7D E8 00 74 06 83 7D E4 00 75 04 33 C0 EB 10 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 43 8D 45 E0 8B D3 E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 3B 45 DC 75 04 B0 01 EB 20 83 7D E0 00 74 06 83 7D DC 00 75 04 33 C0 EB 10 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? EB 33 85 DB 74 22 8D 45 FC 50 E8 ?? ?? ?? ?? 8B CB 8B D6 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? EB 0D 33 C9 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 61 00 6C 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_49493_0 {
	meta:
		name = "StrToFloatEx"
		size = 436
		refs = "0021 StrToFloatEx 0031 @UStrLAsg 0065 CompareText 0142 SoapStrToFloat 0160 @UStrArrayClr 0166 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 D2 89 55 FC 89 55 F8 89 55 F4 89 55 F0 89 55 EC 89 55 E8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 17 33 C0 89 45 D0 C7 45 D4 00 00 00 C0 66 C7 45 D8 FF FF E9 C1 00 00 00 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 14 33 C0 89 45 D0 C7 45 D4 00 00 00 80 66 C7 45 D8 FF 7F EB 66 8D 45 EC 8B D3 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 75 04 B0 01 EB 20 83 7D EC 00 74 06 83 7D E8 00 75 04 33 C0 EB 10 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 14 33 C0 89 45 D0 C7 45 D4 00 00 00 80 66 C7 45 D8 FF FF EB 0B 8B C3 E8 ?? ?? ?? ?? DB 7D D0 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB DB 6D D0 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 61 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 49 00 4E 00 46 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2D 00 49 00 4E 00 46 00 00 00 00 00 }
	condition:
		$1
}

rule function_49494_0 {
	meta:
		name = "IsNeg"
		size = 37
	strings:
		$1 = { 55 8B EC 8D 45 08 8B 50 04 8B 00 33 C0 81 E2 00 00 00 80 81 FA 00 00 00 80 75 03 83 F8 00 0F 94 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_49495_0 {
	meta:
		name = "FloatToStrEx"
		size = 196
		refs = "0012 IsNan 001d FloatToStrEx 0022 @UStrAsg 0034 IsInfinite 0047 IsNeg 0078 SoapFloatToStr"
	strings:
		$1 = { 55 8B EC 53 8B D8 0F B7 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 54 0F B7 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 84 C0 74 2F DB 6D 08 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1F 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 DB 6D 08 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 61 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2D 00 49 00 4E 00 46 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 49 00 4E 00 46 00 00 00 }
	condition:
		$1
}

rule function_49496_0 {
	meta:
		name = "Check"
		size = 56
		refs = "0017 Trim 002b sDefaultValues 0030 @UStrFromWStr"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B F0 8B 45 08 80 78 08 00 75 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 17 8B C3 8B 55 08 8B 52 FC 0F B6 12 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_49497_0 {
	meta:
		name = "TTypeTranslator.CastSoapToNative"
		size = 860
		refs = "0024 TTypeTranslator.CastSoapToNative 0044 Null 004e @VarCopy 005b GetTypeData 00dd Check 00e6 StrToInt 0162 StrToFloatEx 0173 TDateTime 018c XMLTimeToDateTime 0218 @WStrFromUStr 022c @UStrToString 0240 @LStrFromUStr 024f @UStrAsg 0299 StrToInt64 02be GetEnumValueExW 02d3 KindNameArray 02eb SUnexpectedDataType 02f0 LoadResString 02fa _DV_ETypeTransException 02ff Exception.CreateFmt 0304 @RaiseExcept 0314 TTypeTranslator.CastSoapToVariant 0329 @UStrClr 0336 @UStrArrayClr 033e @VarClr 0344 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F8 89 55 FC 8B F0 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 01 80 7D 08 00 74 1F 8B 45 FC 80 38 0C 75 17 8D 45 E4 E8 ?? ?? ?? ?? 8D 55 E4 8B C3 E8 ?? ?? ?? ?? E9 C1 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 0F B6 12 83 FA 12 0F 87 AA 02 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B6 00 2C 02 72 0D 2C 02 72 25 2C 02 72 3E E9 43 02 00 00 55 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 E0 E8 ?? ?? ?? ?? 88 03 E9 27 02 00 00 55 8D 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 DC E8 ?? ?? ?? ?? 66 89 03 E9 0A 02 00 00 55 8D 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 D8 E8 ?? ?? ?? ?? 89 03 E9 EE 01 00 00 0F B6 00 83 F8 04 0F 87 E2 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 8D 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 D4 E8 ?? ?? ?? ?? D9 1B 9B E9 AA 01 00 00 8B 45 FC 3B 05 ?? ?? ?? ?? 75 1F 55 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 D0 33 D2 E8 ?? ?? ?? ?? DD 1B 9B E9 80 01 00 00 55 8D 55 CC 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 CC E8 ?? ?? ?? ?? DD 1B 9B E9 63 01 00 00 55 8D 55 C8 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 C8 E8 ?? ?? ?? ?? DF 3B 9B E9 46 01 00 00 55 8D 55 C4 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 C4 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DF 3B 9B E9 23 01 00 00 55 8D 55 C0 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 C0 E8 ?? ?? ?? ?? DB 3B 9B E9 06 01 00 00 8B C3 8B 55 F8 E8 ?? ?? ?? ?? E9 F7 00 00 00 8B C3 8B 55 F8 B9 FF 00 00 00 E8 ?? ?? ?? ?? E9 E3 00 00 00 8B C3 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 CF 00 00 00 8B C3 8B 55 F8 E8 ?? ?? ?? ?? E9 C0 00 00 00 83 7D F8 00 0F 84 B6 00 00 00 8B 45 F8 0F B7 00 66 89 03 E9 A8 00 00 00 83 7D F8 00 0F 84 9E 00 00 00 8B 45 F8 0F B7 00 66 89 03 E9 90 00 00 00 55 8D 55 BC 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 BC E8 ?? ?? ?? ?? 89 03 89 53 04 EB 74 83 7D F8 00 74 1C 55 8D 55 B8 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 55 B8 8B 45 FC E8 ?? ?? ?? ?? 88 03 EB 52 C6 03 00 EB 4D 8B 45 FC 0F B6 00 8B 15 ?? ?? ?? ?? 8B 04 82 89 45 B0 C6 45 B4 11 8D 45 B0 50 6A 00 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D AC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 53 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B8 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 0F B6 45 F7 5E 5B 8B E5 5D C2 08 00 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_49498_0 {
	meta:
		name = "TTypeTranslator.CastNativeToSoap"
		size = 696
		refs = "001d TTypeTranslator.CastNativeToSoap 002a GetTypeData 00ae IntToStr 00b8 @UStrAsg 014e FloatToStrEx 0163 TDateTime 0177 DateTimeToXMLTime 023f @UStrFromWChar 025c @UStrFromWStr 0268 @UStrFromString 0276 @UStrFromLStr 029e @UStrArrayClr 02a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 0F B6 13 83 FA 12 0F 87 4E 02 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B6 00 2C 02 72 10 74 2B FE C8 74 44 48 2C 02 72 5C E9 E4 01 00 00 8D 55 FC 8B 45 0C 0F B6 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? E9 C7 01 00 00 8D 55 F8 8B 45 0C 0F BF 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? E9 AA 01 00 00 8D 55 F4 8B 45 0C 0F BF 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? E9 8D 01 00 00 8D 55 F0 8B 45 0C 8B 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? E9 71 01 00 00 0F B6 00 83 F8 04 0F 87 65 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 0C D9 00 83 C4 F4 DB 3C 24 9B 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? E9 27 01 00 00 3B 1D ?? ?? ?? ?? 75 21 8B 45 0C FF 70 04 FF 30 8D 55 E8 B0 01 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? E9 FE 00 00 00 8B 45 0C DD 00 83 C4 F4 DB 3C 24 9B 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? E9 DB 00 00 00 8B 45 0C DF 28 83 C4 F4 DB 3C 24 9B 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? E9 B8 00 00 00 8B 45 0C DF 28 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8B C6 E8 ?? ?? ?? ?? E9 8F 00 00 00 8B 45 0C 0F B7 50 08 52 FF 70 04 FF 30 8D 45 D8 E8 ?? ?? ?? ?? 8B 55 D8 8B C6 E8 ?? ?? ?? ?? EB 6E 8B 45 0C FF 70 04 FF 30 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B C6 E8 ?? ?? ?? ?? EB 52 8B C6 8B 55 0C 0F B7 12 E8 ?? ?? ?? ?? EB 43 8B C6 8B 55 0C 0F B7 12 E8 ?? ?? ?? ?? EB 34 8B C6 8B 55 0C 8B 12 E8 ?? ?? ?? ?? EB 26 8B C6 8B 55 0C E8 ?? ?? ?? ?? EB 1A 8B C6 8B 55 0C 8B 12 E8 ?? ?? ?? ?? EB 0C 8B C6 8B 55 0C 8B 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_49499_0 {
	meta:
		name = "TTypeTranslator.Base64ToVar"
		size = 243
		refs = "001d TTypeTranslator.Base64ToVar 0032 @LStrFromUStr 003d DecodeBase64 004e @DynArrayLength 0063 VarArrayCreate 006e @VarCopy 0076 VarArrayLock 009a Move 00af VarArrayUnlock 00b5 @HandleFinally 00cc @VarClr 00d4 @LStrClr 00dd TArray<System.Byte> 00e2 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 8B D9 89 55 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 FC E8 ?? ?? ?? ?? 8D 45 E4 50 33 C0 89 45 DC 8B 45 FC E8 ?? ?? ?? ?? 48 89 45 E0 8D 45 DC 66 B9 11 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49501_0 {
	meta:
		name = "Finalization"
		size = 79
		refs = "0007 Finalization 0013 _DV_3 001a TypeTranslator 001f TObject.Free 0024 sDefaultValues 002f WideString 0034 @FinalizeArray 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1F A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 16 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_49502_0 {
	meta:
		name = "Soap.TypeTrans"
		size = 37
		refs = "0002 _DV_3 000a _Nn__170 000f @InitWideStrings 0016 _DV_TTypeTranslator 001b TTypeTranslator.Create 0020 TypeTranslator"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1B B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_49503_0 {
	meta:
		name = "GetUDDIService"
		size = 148
		refs = "0010 @IntfClear 0019 _Dn_THTTPRIO 001e THTTPRIO.Create 0029 GetUDDIService 0049 @IntfCast 0053 THTTPRIO.SetURL 0070 TObject.Free 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 F8 85 D2 74 06 81 EA 50 FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 38 00 75 08 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 00 00 00 0F 6D AD C2 75 08 31 EF 40 35 8D 59 DF 59 CB FA }
	condition:
		$1
}

rule function_49504_0 {
	meta:
		name = "GetBindingkeyDetail"
		size = 228
		refs = "0015 GetBindingkeyDetail 0022 _Dn_GetBindingDetail 0027 GetBindingDetail.Create 0048 @WStrAsg 0058 bindingKey 005d @DynArraySetLength 006a @WStrFromUStr 007e @DynArrayAsg 00a0 TObject.Free 00a6 @HandleFinally 00c3 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 C0 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 F4 83 C0 10 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 53 8B 03 FF 50 1C 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5E 5B 8B E5 5D C3 06 00 00 00 31 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_49505_0 {
	meta:
		name = "GetBindingkeyDetail"
		size = 83
		refs = "000f GetBindingkeyDetail 001f GetUDDIService 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_49506_0 {
	meta:
		name = "GetBindingkeyAccessPoint"
		size = 122
		refs = "0008 GetBindingkeyDetail 0013 GetBindingkeyAccessPoint 0021 BindingDetail.GetBindingTemplateArrayLength 002f BindingDetail.GetBindingTemplateArray 004c @UStrFromWStr 0055 @UStrClr 006a TObject.Free 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 29 33 D2 8B 45 FC E8 ?? ?? ?? ?? 83 78 10 00 74 19 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 40 10 8B 50 0C 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_49510_0 {
	meta:
		name = "THTTPSoapDispatcher.Create"
		size = 120
		refs = "000e @ClassCreate 001c TComponent.Create 0025 _Dn_TWebDispatch 002a TWebDispatch.Create 0036 THTTPSoapDispatcher.Create 003b TWebDispatch.SetPathInfo 0048 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 3C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 6F 00 61 00 70 00 2A 00 00 00 }
	condition:
		$1
}

rule function_49511_0 {
	meta:
		name = "THTTPSoapDispatcher.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TComponent.Destroy 0025 @ClassDestroy"
		altNames = "TXmlDistributor.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 3C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49512_0 {
	meta:
		name = "TCustomChartElement.SetBrush"
		size = 9
		altNames = "THTTPSoapDispatcher.SetWebDispatch TWSDLHTMLPublish.SetWebDispatch TXmlDistributor.SetNextHandlers"
	strings:
		$1 = { 8B 40 3C 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_49515_0 {
	meta:
		name = "THTTPSoapDispatcher.DispatchMethodType"
		size = 8
		altNames = "TWSDLHTMLPublish.DispatchMethodType"
	strings:
		$1 = { 8B 40 3C 0F B6 40 08 C3 }
	condition:
		$1
}

rule function_49516_0 {
	meta:
		name = "StreamAsString"
		size = 88
		refs = "0017 @LStrSetLength 0022 TStream.SetPosition 0029 @UniqueStringA"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C3 8B 10 FF 12 8B D0 8B C6 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 06 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B C8 8B C3 8B 30 FF 56 0C 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_49517_0 {
	meta:
		name = "IsMultiPartForm"
		size = 98
		refs = "0018 ContentHeaderMimeANSI 0043 @LStrToPChar 0054 AnsiStrLIComp"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 15 ?? ?? ?? ?? 89 55 F8 8B 55 F8 85 D2 74 05 83 EA 04 8B 12 3B D0 7F 02 8B C2 8B D8 83 FB 1C 7E 05 BB 1C 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B CB 5A E8 ?? ?? ?? ?? 85 C0 0F 94 C0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_49518_0 {
	meta:
		name = "BuildMimeResponseStream"
		size = 276
		refs = "0016 BuildMimeResponseStream 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 4D 08 8B 49 FC 91 87 D1 8B 18 FF 53 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 F6 40 F8 80 74 12 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 10 EB 10 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB ED 8B 45 08 8B 40 FC B2 01 8B 08 FF 51 1C 5B 5D C3 00 B0 04 02 00 FF FF FF FF 27 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 3A 00 20 00 74 00 65 00 78 00 74 00 2F 00 78 00 6D 00 6C 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 22 00 75 00 74 00 66 00 2D 00 38 00 22 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 3A 00 20 00 74 00 65 00 78 00 74 00 2F 00 78 00 6D 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_49519_0 {
	meta:
		name = "SetMIMEResponse"
		size = 152
		refs = "000d SetMIMEResponse 001b GetBorlandMimeContentType 0067 @LStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC 8B 45 08 8B 40 08 BA 08 00 00 00 8B 30 FF 56 04 8B 45 08 8B 40 08 B9 ?? ?? ?? ?? BA 09 00 00 00 8B 30 FF 56 04 8B 45 08 8B 40 08 8B CB 33 D2 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 E4 04 01 00 FF FF FF FF 11 00 00 00 4D 49 4D 45 2D 56 65 72 73 69 6F 6E 3A 20 31 2E 30 00 00 00 }
	condition:
		$1
}

rule function_49520_0 {
	meta:
		name = "THTTPSoapDispatcher.DispatchRequest"
		size = 2476
		refs = "001f THTTPSoapDispatcher.DispatchRequest 004e _Dn_TWebModule 0053 @IsClass 005c @GetTls 0062 SOAPWebModule 0098 SNoDispatcher 009d LoadResString 00a7 _Dn_Exception 00ac Exception.Create 00b1 @RaiseExcept 00c8 @IntfClear 00d7 Supports 00fc IsMultiPartForm 0144 _Dn_TMemoryStream 0149 TObject.Create 0163 _Dn_TWebRequestStream 0168 TWebRequestStream.Create 0184 GetMimeAttachmentHandler 01dd TStream.CopyFrom 01e9 TStream.SetPosition 025a BuildMimeResponseStream 0285 @HandleFinally 0297 SetMIMEResponse 02ef TObject.Free 0360 @HandleOnException 03b5 Format 03f3 @UStrLAsg 03fe UTF8Encode 0481 @DoneExcept 0490 @HandleAnyException 04d0 @LStrClr 04e0 @UStrClr 04ed @UStrArrayClr 050a @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E3 01 A1 ?? ?? ?? ?? 89 45 F8 C6 45 CA 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 7B 04 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B E8 ?? ?? ?? ?? 89 B8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7B 38 00 75 2D F6 43 1C 10 75 27 F6 43 1C 01 75 21 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EC BA 0F 00 00 00 8B C6 8B 38 FF 57 04 8D 45 E8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 84 C0 74 26 8B 45 E8 8B 10 FF 52 0C 8B 40 58 89 45 F8 8B 45 E8 8B 10 FF 52 0C 89 45 D4 8B 45 EC E8 ?? ?? ?? ?? 88 45 D3 EB 09 C6 45 D3 00 33 C0 89 45 D4 8D 4D F0 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 34 83 7D F0 00 75 0F 8D 4D F0 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 34 8D 4D F4 BA 04 00 00 00 8B C6 8B 38 FF 57 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D D3 00 74 32 C6 45 CB 03 8B 45 EC 50 6A 00 8B 45 D4 8B 10 FF 52 4C 50 8D 55 C0 8B 45 D4 8B 08 FF 51 54 8B 45 C0 50 8B 4D DC 8B 55 CC 8B 45 FC 8B 30 FF 56 0C EB 13 C6 45 CB 01 6A 00 6A 00 8B 55 CC 8B 45 DC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 DC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 50 8B 45 D8 50 8D 45 CB 50 8B 43 38 8B 4D F0 8B 55 F4 8B 18 FF 53 0C 0F B6 45 CB 88 45 CA 6A 00 6A 00 8B 45 D8 E8 ?? ?? ?? ?? 80 7D CA 03 75 61 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8B 45 D4 8B 10 FF 52 4C 8B D0 8B 45 D8 E8 ?? ?? ?? ?? 59 8B D0 8B 45 08 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 8B 10 FF 52 4C 8B 10 FF 52 08 C3 E9 ?? ?? ?? ?? EB EB 55 8B 45 08 8B 40 08 8B 10 FF 12 E8 ?? ?? ?? ?? 59 EB 3C F6 45 F8 80 74 14 B9 ?? ?? ?? ?? BA 08 00 00 00 8B 45 08 8B 18 FF 53 04 EB 12 B9 ?? ?? ?? ?? BA 08 00 00 00 8B 45 08 8B 18 FF 53 04 8B 55 D8 8B 45 08 8B 08 FF 51 20 33 C0 89 45 D8 C6 45 E3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 E9 26 01 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 BA F4 01 00 00 8B 45 08 8B 08 FF 51 28 F6 45 F8 40 74 0D BA C8 00 00 00 8B 45 08 8B 08 FF 51 28 80 7D CA 03 0F 85 81 00 00 00 8D 45 E4 50 8B 43 04 89 45 B8 C6 45 BC 11 8D 55 B8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D E4 85 DB 74 05 83 EB 04 8B 1B 8D 45 B4 50 89 5D A4 C6 45 A8 00 8B 45 E4 89 45 AC C6 45 B0 11 8D 55 A4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8D 45 E4 E8 ?? ?? ?? ?? 8D 55 A0 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 A0 89 45 9C 8B 45 9C 85 C0 74 05 83 E8 04 8B 00 55 E8 ?? ?? ?? ?? 59 EB 49 8D 45 E4 50 8B 43 04 89 45 B8 C6 45 BC 11 8D 55 B8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 F8 80 74 14 B9 ?? ?? ?? ?? BA 08 00 00 00 8B 45 08 8B 18 FF 53 04 EB 12 B9 ?? ?? ?? ?? BA 08 00 00 00 8B 45 08 8B 18 FF 53 04 8D 55 98 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 98 8B 45 08 8B 08 FF 51 1C C6 45 E3 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 E3 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AE 0F B6 45 E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 F4 5D 16 82 B9 B1 11 D5 95 61 00 C0 4F A0 6B 45 E4 04 01 00 FF FF FF FF 0A 00 00 00 53 4F 41 50 41 63 74 69 6F 6E 00 00 E4 04 01 00 FF FF FF FF 0F 00 00 00 48 54 54 50 5F 53 4F 41 50 41 43 54 49 4F 4E 00 E4 04 01 00 FF FF FF FF 19 00 00 00 74 65 78 74 2F 78 6D 6C 3B 20 63 68 61 72 73 65 74 3D 22 75 74 66 2D 38 22 00 00 00 E4 04 01 00 FF FF FF FF 08 00 00 00 74 65 78 74 2F 78 6D 6C 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 01 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 27 00 55 00 54 00 46 00 2D 00 38 00 27 00 3F 00 3E 00 20 00 3C 00 53 00 4F 00 41 00 50 00 2D 00 45 00 4E 00 56 00 3A 00 45 00 6E 00 76 00 65 00 6C 00 6F 00 70 00 65 00 20 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 53 00 4F 00 41 00 50 00 2D 00 45 00 4E 00 56 00 3D 00 22 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 73 00 6F 00 61 00 70 00 2F 00 65 00 6E 00 76 00 65 00 6C 00 6F 00 70 00 65 00 2F 00 22 00 20 00 3E 00 3C 00 53 00 4F 00 41 00 50 00 2D 00 45 00 4E 00 56 00 3A 00 42 00 6F 00 64 00 79 00 3E 00 20 00 3C 00 53 00 4F 00 41 00 50 00 2D 00 45 00 4E 00 56 00 3A 00 46 00 61 00 75 00 6C 00 74 00 3E 00 20 00 3C 00 66 00 61 00 75 00 6C 00 74 00 63 00 6F 00 64 00 65 00 3E 00 53 00 4F 00 41 00 50 00 2D 00 45 00 4E 00 56 00 3A 00 53 00 65 00 72 00 76 00 65 00 72 00 3C 00 2F 00 66 00 61 00 75 00 6C 00 74 00 63 00 6F 00 64 00 65 00 3E 00 3C 00 66 00 61 00 75 00 6C 00 74 00 73 00 74 00 72 00 69 00 6E 00 67 00 3E 00 25 00 73 00 3C 00 2F 00 66 00 61 00 75 00 6C 00 74 00 73 00 74 00 72 00 69 00 6E 00 67 00 3E 00 3C 00 2F 00 53 00 4F 00 41 00 50 00 2D 00 45 00 4E 00 56 00 3A 00 46 00 61 00 75 00 6C 00 74 00 3E 00 3C 00 2F 00 53 00 4F 00 41 00 50 00 2D 00 45 00 4E 00 56 00 3A 00 42 00 6F 00 64 00 79 00 3E 00 3C 00 2F 00 53 00 4F 00 41 00 50 00 2D 00 45 00 4E 00 56 00 3A 00 45 00 6E 00 76 00 65 00 6C 00 6F 00 70 00 65 00 3E 00 00 00 B0 04 02 00 FF FF FF FF DE 00 00 00 2D 00 2D 00 4D 00 49 00 4D 00 45 00 5F 00 62 00 6F 00 75 00 6E 00 64 00 61 00 72 00 79 00 42 00 30 00 52 00 39 00 35 00 33 00 32 00 31 00 34 00 33 00 31 00 38 00 32 00 31 00 32 00 31 00 0D 00 0A 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 3A 00 20 00 74 00 65 00 78 00 74 00 2F 00 78 00 6D 00 6C 00 0D 00 0A 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 49 00 44 00 3A 00 20 00 3C 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 62 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 63 00 6F 00 6D 00 2F 00 72 00 6F 00 6F 00 74 00 70 00 61 00 72 00 74 00 2E 00 78 00 6D 00 6C 00 3E 00 0D 00 0A 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 62 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 63 00 6F 00 6D 00 2F 00 72 00 6F 00 6F 00 74 00 70 00 61 00 72 00 74 00 2E 00 78 00 6D 00 6C 00 0D 00 0A 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 3A 00 20 00 25 00 64 00 0D 00 0A 00 0D 00 0A 00 25 00 73 00 0D 00 0A 00 0D 00 0A 00 2D 00 2D 00 4D 00 49 00 4D 00 45 00 5F 00 62 00 6F 00 75 00 6E 00 64 00 61 00 72 00 79 00 42 00 30 00 52 00 39 00 35 00 33 00 32 00 31 00 34 00 33 00 31 00 38 00 32 00 31 00 32 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_49526_0 {
	meta:
		name = "IsBaseClassTypeInfo"
		size = 38
		refs = "0002 TObject 000a TRemotable 0012 TSOAPHeader 001a ERemotableException"
	strings:
		$1 = { 3B 05 ?? ?? ?? ?? 74 1B 3B 05 ?? ?? ?? ?? 74 13 3B 05 ?? ?? ?? ?? 74 0B 3B 05 ?? ?? ?? ?? 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_49527_0 {
	meta:
		name = "TWebServExp.Create"
		size = 108
		refs = "000a @ClassCreate 0015 _Dn_TStringList 001a TStringList.Create 0024 TWebServExp.Create 002f _Dn_TDOMStrings 0034 TDOMStrings.Create 0055 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 0F B7 05 ?? ?? ?? ?? 66 89 46 1D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 C6 46 28 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 01 00 00 00 }
	condition:
		$1
}

rule function_49528_0 {
	meta:
		name = "TWebServExp.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000f TObject.Free 002a TObject.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49529_0 {
	meta:
		name = "TWebServExp.SetArrayType"
		size = 4
	strings:
		$1 = { 88 50 28 C3 }
	condition:
		$1
}

rule function_49532_0 {
	meta:
		name = "TWebServExp.GetImportNamespace"
		size = 46
		refs = "000d TDOMStrings.Count 001d TDOMStrings.Get 0026 @UStrClr"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 43 20 E8 ?? ?? ?? ?? 3B F0 7D 0E 8B CF 8B D6 8B 43 20 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49533_0 {
	meta:
		name = "TWebServExp.GetImportLocation"
		size = 46
		refs = "000d TDOMStrings.Count 001d TDOMStrings.Get 0026 @UStrClr"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 43 24 E8 ?? ?? ?? ?? 3B F0 7D 0E 8B CF 8B D6 8B 43 24 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49536_0 {
	meta:
		name = "TWebServExp.GetWSDLForInterface"
		size = 267
		refs = "003c @IntfAddRef 0049 string 004e @AddRefArray 0069 TIntfMetaData 006e @InitializeRecord 0076 TWebServExp.GetWSDLForInterface 008c GetIntfMetaData 00a9 TWebServExp.GenerateWSDL 00c4 @FinalizeRecord 00cc @IntfClear 00de @FinalizeArray 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 5D 0C 8B 75 08 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 0C 8B 5D 14 8B 75 10 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 14 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D 10 41 8B 45 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 08 41 8B 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 14 00 8D 55 D4 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 55 D4 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 0C 8B 4D 08 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 14 8B 4D 10 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BE 8B 7D C8 8B 75 CC 8B 5D D0 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_49537_0 {
	meta:
		name = "TWebServExp.GenerateWSDL"
		size = 1380
		refs = "004a @IntfAddRef 0057 string 005c @AddRefArray 0076 TWebServExp.GenerateWSDL 009e @IntfCopy 00ad @UStrCat3 00b8 @OleVarFromUStr 0178 InvRegistry 0182 TInvokableClassRegistry.GetWSDLEncoding 01b2 @IntfCast 01c7 @UStrAsg 01df TWebServExp.AddTypes 01f3 TDOMStrings.Count 020d TWebServExp.AddImports 0225 TWebServExp.AddMessages 023d TWebServExp.AddPortTypes 0255 TWebServExp.AddBinding 027d TWebServExp.AddServices 02a2 @IntfClear 02aa @UStrClr 02b3 OleVariant 02bd @FinalizeArray 02cd @VarClr 030f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0E 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B 5D 0C 8B 75 08 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 0C 8B 5D 14 8B 75 10 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 14 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D 10 41 8B 45 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 08 41 8B 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3E 00 0F 84 08 02 00 00 8D 55 F4 8B 45 FC 8B 08 FF 91 C8 00 00 00 8B 55 F4 8D 43 0C E8 ?? ?? ?? ?? 8B 16 8D 45 E0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8D 4D E4 BA ?? ?? ?? ?? 8B 43 0C 8B 38 FF 57 58 83 7B 30 00 74 36 8D 45 D0 8B 53 30 E8 ?? ?? ?? ?? 8D 4D D0 BA ?? ?? ?? ?? 8B 43 0C 8B 38 FF 57 58 8D 45 C0 8B 53 30 E8 ?? ?? ?? ?? 8D 4D C0 BA ?? ?? ?? ?? 8B 43 0C 8B 38 FF 57 58 8D 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D B0 BA ?? ?? ?? ?? 8B 43 0C 8B 38 FF 57 58 8D 45 A0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D A0 BA ?? ?? ?? ?? 8B 43 0C 8B 38 FF 57 58 8D 45 90 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D 90 BA ?? ?? ?? ?? 8B 43 0C 8B 38 FF 57 58 8D 55 8C 8B 45 FC 8B 08 FF 51 24 83 7D 8C 00 75 36 8B 06 50 8D 45 F8 50 E8 ?? ?? ?? ?? 8B 56 1C 33 C9 E8 ?? ?? ?? ?? 83 7D F8 00 74 0D 8B 55 F8 8B 45 FC 8B 08 FF 51 58 EB 0D BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 58 8D 45 88 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 88 8B 10 FF 52 0C 83 C0 74 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 43 1D 40 75 06 F6 43 1D 01 74 0C 8B D6 8B 4D FC 8B C3 E8 ?? ?? ?? ?? F6 43 1D 80 75 06 F6 43 1D 02 74 22 8B 43 20 E8 ?? ?? ?? ?? 8B F8 8B 43 24 E8 ?? ?? ?? ?? 3B F8 75 0C 8B D6 8B 4D FC 8B C3 E8 ?? ?? ?? ?? F6 43 1D 04 75 06 F6 43 1D 01 74 0C 8B D6 8B 4D FC 8B C3 E8 ?? ?? ?? ?? F6 43 1D 08 75 06 F6 43 1D 01 74 0C 8B D6 8B 4D FC 8B C3 E8 ?? ?? ?? ?? F6 43 1D 10 75 06 F6 43 1D 01 74 0C 8B D6 8B 4D FC 8B C3 E8 ?? ?? ?? ?? F6 43 1D 20 75 06 F6 43 1D 02 74 1C 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B D6 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 66 83 7B 4A 00 74 09 8B 55 FC 8B 43 4C FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 0C 8B 4D 08 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 14 8B 4D 10 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 89 8B BD 7C FF FF FF 8B 75 80 8B 5D 84 8B E5 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 74 00 61 00 72 00 67 00 65 00 74 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 74 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 77 00 73 00 64 00 6C 00 2F 00 73 00 6F 00 61 00 70 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 73 00 6F 00 61 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 73 00 6F 00 61 00 70 00 2F 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 73 00 6F 00 61 00 70 00 65 00 6E 00 63 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 77 00 73 00 64 00 6C 00 2F 00 6D 00 69 00 6D 00 65 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 6D 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 75 00 74 00 66 00 2D 00 38 00 00 00 52 DA 3F 93 D0 B0 0C 44 B3 E9 C3 7F FB 4B 90 6B B0 04 02 00 FF FF FF FF 02 00 00 00 6E 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_49538_0 {
	meta:
		name = "TWebServExp.AddImports"
		size = 265
		refs = "001f @IntfAddRef 0027 TWebServExp.AddImports 0051 TDOMStrings.Count 006d TDOMStrings.Get 0078 @WStrFromUStr 00be @UStrClr 00c6 @WStrClr 00de @IntfClear 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC 8B 08 FF 91 C8 00 00 00 8B 45 F0 8D 55 F8 8B 08 FF 91 B4 00 00 00 8B 46 20 E8 ?? ?? ?? ?? 48 85 C0 7C 53 40 89 45 F4 33 DB 8D 45 EC 50 8D 4D E4 8B D3 8B 46 24 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 4D DC 8B D3 8B 46 20 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F8 59 8B 38 FF 97 C4 00 00 00 43 FF 4D F4 75 B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49539_0 {
	meta:
		name = "HeaderUsedWithMethod"
		size = 384
		refs = "002a IntfHeaderItem 002f @AddRefRecord 0037 @UStrAddRef 003f HeaderUsedWithMethod 005e _Dn_TStringList 0063 TStringList.Create 007f TStrings.SetCommaText 00ae @UStrLAsg 00d5 CompareText 00f2 @SetElem 0135 TObject.Free 013b @HandleFinally 0158 @FinalizeRecord 0165 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D F8 89 5D F4 8B F0 8D 7D D4 51 B9 08 00 00 00 F3 A5 59 88 4D D3 89 55 FC 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D E8 00 0F 94 45 D2 80 7D D2 00 0F 85 E6 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 E8 8B 45 CC E8 ?? ?? ?? ?? 8B 45 CC 8B 10 FF 52 14 48 85 C0 0F 8C 90 00 00 00 40 89 45 C8 33 DB 8D 4D F8 8B D3 8B 45 CC 8B 30 FF 56 0C 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 38 83 7D EC 00 74 2C 0F B6 55 D3 8D 45 C4 B1 01 E8 ?? ?? ?? ?? 0F B6 45 C4 0A 05 ?? ?? ?? ?? 8B 55 EC 0F B6 14 1A 80 FA 07 77 06 83 E2 7F 0F A3 D0 73 10 C6 45 D2 01 EB 0A 43 FF 4D C8 0F 85 76 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 0F B6 45 D2 5F 5E 5B 8B E5 5D C3 01 00 00 00 }
	condition:
		$1
}

rule function_49540_0 {
	meta:
		name = "ExceptionUsedWithMethod"
		size = 312
		refs = "0020 IntfExceptionItem 0025 @AddRefRecord 002d @UStrAddRef 0035 ExceptionUsedWithMethod 0054 _Dn_TStringList 0059 TStringList.Create 0075 TStrings.SetCommaText 00a0 @UStrLAsg 00c7 CompareText 00f1 TObject.Free 00f7 @HandleFinally 0114 @FinalizeRecord 0121 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D F8 89 4D F4 8B F0 8D 7D EC A5 A5 89 55 FC 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F0 00 0F 94 45 EB 80 7D EB 00 0F 85 AC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 8B 10 FF 52 14 48 85 C0 7C 5A 40 89 45 E0 33 DB 8D 4D F8 8B D3 8B 45 E4 8B 30 FF 56 0C 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 06 C6 45 EB 01 EB 06 43 FF 4D E0 75 AC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 0F B6 45 EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49541_0 {
	meta:
		name = "TWebServExp.GetMessageName"
		size = 364
		refs = "0013 TWebServExp.GetMessageName 0023 IntToStr 0060 @UStrCatN 00d0 @UStrCat 00e5 @UStrClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 0F B6 45 10 83 F8 04 0F 87 96 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 57 FF 75 FC 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 64 57 FF 75 FC 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 4D 57 FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 31 57 FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 15 57 FF 75 FC 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 68 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_49542_0 {
	meta:
		name = "TWebServExp.AddMessage"
		size = 87
		refs = "000f TWebServExp.AddMessage 001f @WStrFromUStr 0044 @WStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 4D 08 8B C3 8B 18 FF 93 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_49543_0 {
	meta:
		name = "TWebServExp.AddFaultMessages"
		size = 441
		refs = "0023 @IntfAddRef 002b TWebServExp.AddFaultMessages 0054 TWebServExp.GetPrefixForURI 0059 InvRegistry 0064 TInvokableClassRegistry.GetExceptionInfoForInterface 006c @DynArrayLength 0088 ExceptionUsedWithMethod 009c IntToStr 00b2 TWebServExp.GetMessageName 00c4 TWebServExp.AddMessage 00e8 TWebServExp.GetXMLSchemaType 00f3 @WStrFromUStr 0109 TObject.ClassName 0141 @UStrClr 0149 @WStrClr 0161 @IntfClear 018a TExceptionItemArray 018f @DynArrayClear 019c @UStrArrayClr 01aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E4 8B DA 89 45 E8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 E0 8B 45 08 8B 08 FF 91 C8 00 00 00 8B 55 E0 8B 45 E8 8B 48 30 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8B 53 1C E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C B5 00 00 00 46 33 DB 8B 45 F4 8D 04 D8 8B 55 0C E8 ?? ?? ?? ?? 84 C0 0F 84 94 00 00 00 6A 04 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 45 F8 50 8B 4D E4 8B 55 0C 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 4D F8 8B 55 10 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F0 8B 08 FF 91 B4 00 00 00 8D 4D D0 8B 45 F4 8B 04 D8 83 C0 B8 8B 10 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 45 D8 50 8D 55 C8 8B 45 F4 8B 04 D8 E8 ?? ?? ?? ?? 8B 55 C8 8D 45 CC E8 ?? ?? ?? ?? 8B 55 CC 33 C9 8B 45 EC 8B 38 FF 97 C4 00 00 00 43 4E 0F 85 4E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8D 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_49544_0 {
	meta:
		name = "TWebServExp.AddHeaders"
		size = 653
		refs = "0024 TWebServExp.AddHeaders 002f InvRegistry 003d TInvokableClassRegistry.GetRequestHeaderInfoForInterface 0045 @IntfClear 004d @DynArrayLength 0071 HeaderUsedWithMethod 0099 TWebServExp.GetMessageName 00a7 TWebServExp.AddMessage 00c4 TInvokableClassRegistry.GetHeaderName 00d4 TWebServExp.GetXMLSchemaType 00ed @WStrFromUStr 012b TInvokableClassRegistry.GetResponseHeaderInfoForInterface 0220 @WStrArrayClr 0230 @UStrClr 025a @UStrArrayClr 0263 THeaderItemArray 0268 @DynArrayClear 027e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E0 89 55 E4 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 4D F4 8B 55 E4 8B 52 1C E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C C0 00 00 00 46 33 DB 8B FB 03 FF 03 FF 8B 45 F4 8D 04 F8 B1 01 8B 55 08 E8 ?? ?? ?? ?? 84 C0 0F 84 97 00 00 00 83 7D FC 00 75 28 8D 45 FC 50 6A 02 6A 00 8D 45 DC 50 8B 4D E0 8B 55 08 8B 45 E8 E8 ?? ?? ?? ?? 8B 4D DC 8B 55 0C 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 F4 8B 7C F8 04 8D 45 F0 50 E8 ?? ?? ?? ?? 8B 55 E4 8B 52 1C 8B CF E8 ?? ?? ?? ?? 8D 4D EC 83 C7 B8 8B 17 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC 8B 08 FF 91 B4 00 00 00 8D 45 D4 8B 55 EC E8 ?? ?? ?? ?? 8B 45 D4 50 8D 45 D8 50 8D 45 D0 8B 55 F0 E8 ?? ?? ?? ?? 8B 55 D0 33 C9 8B 45 F8 8B 38 FF 97 C4 00 00 00 43 4E 0F 85 43 FF FF FF E8 ?? ?? ?? ?? 8D 4D F4 8B 55 E4 8B 52 1C E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C C0 00 00 00 46 33 DB 8B FB 03 FF 03 FF 8B 45 F4 8D 04 F8 B1 02 8B 55 08 E8 ?? ?? ?? ?? 84 C0 0F 84 97 00 00 00 83 7D FC 00 75 28 8D 45 FC 50 6A 03 6A 00 8D 45 CC 50 8B 4D E0 8B 55 08 8B 45 E8 E8 ?? ?? ?? ?? 8B 4D CC 8B 55 0C 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 F4 8B 7C F8 04 8D 45 F0 50 E8 ?? ?? ?? ?? 8B 55 E4 8B 52 1C 8B CF E8 ?? ?? ?? ?? 8D 4D EC 83 C7 B8 8B 17 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC 8B 08 FF 91 B4 00 00 00 8D 45 C4 8B 55 EC E8 ?? ?? ?? ?? 8B 45 C4 50 8D 45 C8 50 8D 45 C0 8B 55 F0 E8 ?? ?? ?? ?? 8B 55 C0 33 C9 8B 45 F8 8B 38 FF 97 C4 00 00 00 43 4E 0F 85 43 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 93 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_49545_0 {
	meta:
		name = "TWebServExp.AddMessages"
		size = 944
		refs = "0023 @IntfAddRef 002b TWebServExp.AddMessages 003a TIntfMethEntryArray 003f @DynArrayClear 0048 TIntfParamEntryArray 0061 @DynArrayAsg 0069 @DynArrayLength 00ce InvRegistry 00e2 TInvokableClassRegistry.GetMethExternalName 00fc TWebServExp.GetMessageName 010a TWebServExp.AddMessage 0143 TWebServExp.GetXMLSchemaType 0162 TInvokableClassRegistry.GetParamExternalName 016d @WStrFromUStr 02af TWebServExp.AddHeaders 02c9 TWebServExp.AddFaultMessages 02ea @WStrClr 02f2 @IntfClear 02ff @WStrArrayClr 030f @UStrClr 0341 @UStrArrayClr 038b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 89 55 D4 89 45 D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 D4 8B 52 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8D 55 C4 8B 45 FC 8B 08 FF 91 C8 00 00 00 8B 45 C4 8D 55 EC 8B 08 FF 91 BC 00 00 00 4B 85 DB 0F 8C 45 02 00 00 43 89 5D C8 C7 45 D0 00 00 00 00 8D 45 F4 8B 5D D0 03 DB 03 DB 8B 55 D4 8B 52 08 8B 54 DA 18 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 CC 8D 45 E0 50 E8 ?? ?? ?? ?? 8B 55 D4 8B 52 08 8B 0C DA 8B 55 D4 8B 52 1C E8 ?? ?? ?? ?? 8D 45 E8 50 6A 00 6A 00 8D 45 C0 50 8B 4D D0 8B 55 E0 8B 45 D8 E8 ?? ?? ?? ?? 8B 4D C0 8B 55 EC 8B 45 D8 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 E8 8B 08 FF 91 B4 00 00 00 8B 75 CC 83 EE 02 85 F6 7C 72 46 33 DB 8D 3C 5B 8B 45 F4 F6 04 B8 20 75 5F 8B 45 F4 8B 54 B8 08 8D 4D F0 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 F4 8B 44 B8 04 50 8D 45 DC 50 E8 ?? ?? ?? ?? 8B 55 D4 8B 52 1C 8B 4D E0 E8 ?? ?? ?? ?? 8D 45 B8 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 B8 50 8D 45 BC 50 8D 45 B4 8B 55 DC E8 ?? ?? ?? ?? 8B 55 B4 33 C9 8B 45 E4 8B 38 FF 97 C4 00 00 00 43 4E 75 91 8D 45 E8 50 6A 01 6A 00 8D 45 B0 50 8B 4D D0 8B 55 E0 8B 45 D8 E8 ?? ?? ?? ?? 8B 4D B0 8B 55 EC 8B 45 D8 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 E8 8B 08 FF 91 B4 00 00 00 8B 75 CC 83 EE 02 85 F6 7C 7E 46 33 DB 8D 3C 5B 8B 45 F4 F6 04 B8 20 75 0C 8D 04 5B 8B 55 F4 F6 04 82 01 74 5F 8B 45 F4 8B 54 B8 08 8D 4D F0 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 F4 8B 44 B8 04 50 8D 45 DC 50 E8 ?? ?? ?? ?? 8B 55 D4 8B 52 1C 8B 4D E0 E8 ?? ?? ?? ?? 8D 45 A8 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 A8 50 8D 45 AC 50 8D 45 A4 8B 55 DC E8 ?? ?? ?? ?? 8B 55 A4 33 C9 8B 45 E4 8B 38 FF 97 C4 00 00 00 43 4E 75 85 8B 45 D0 03 C0 03 C0 8B 55 D4 8B 52 08 8B 5C C2 10 85 DB 74 32 8B D3 8D 4D F0 8B 45 D8 E8 ?? ?? ?? ?? 8D 45 9C 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 9C 50 8D 45 A0 50 33 C9 BA ?? ?? ?? ?? 8B 45 E4 8B 18 FF 93 C4 00 00 00 8B 45 EC 50 8B 45 E0 50 8B 55 D4 8B 4D D0 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 E0 50 8B 45 FC 50 8B 55 D4 8B 4D D0 8B 45 D8 E8 ?? ?? ?? ?? FF 45 D0 FF 4D C8 0F 85 C6 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 52 FF FF FF 5F 5E 5B 8B E5 5D C3 00 0C 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_49546_0 {
	meta:
		name = "AddOperation"
		size = 136
		refs = "0018 AddOperation 002b @WStrFromUStr 0074 @WStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 08 50 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 59 8B 18 FF 93 C8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_49547_0 {
	meta:
		name = "TWebServExp.AddPortTypes"
		size = 832
		refs = "0023 @IntfAddRef 002b TWebServExp.AddPortTypes 003a TIntfMethEntryArray 003f @DynArrayClear 0053 @DynArrayAsg 005b @DynArrayLength 0088 InvRegistry 0095 TInvokableClassRegistry.GetInterfaceExternalName 00a0 @WStrFromUStr 00d4 TWebServExp.GetPrefixForURI 00e7 TInvokableClassRegistry.GetExceptionInfoForInterface 012d TInvokableClassRegistry.GetMethExternalName 014b TWebServExp.GetMessageName 015b @UStrCatN 019f AddOperation 01c3 ExceptionUsedWithMethod 01d7 IntToStr 0211 TObject.ClassName 0279 @UStrClr 0281 @WStrClr 0299 @IntfClear 02ae @UStrArrayClr 02cf TExceptionItemArray 031d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0E 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 89 55 CC 89 45 D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 CC 8B 52 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8D 55 C0 8B 45 FC 8B 08 FF 91 C8 00 00 00 8B 45 C0 8D 55 F4 8B 08 FF 91 C0 00 00 00 8B 45 CC 8B 00 50 8D 45 E4 50 E8 ?? ?? ?? ?? 8B 55 CC 8B 52 1C 33 C9 E8 ?? ?? ?? ?? 8D 45 BC 8B 55 E4 E8 ?? ?? ?? ?? 8B 55 BC 8D 4D F0 8B 45 F4 8B 30 FF 96 C4 00 00 00 8D 45 DC 50 8D 55 B8 8B 45 FC 8B 08 FF 91 C8 00 00 00 8B 55 B8 8B 45 D0 8B 48 30 8B 45 D0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D D4 8B 55 CC 8B 52 1C E8 ?? ?? ?? ?? 4B 85 DB 0F 8C 74 01 00 00 43 89 5D C4 C7 45 C8 00 00 00 00 8D 55 EC 8B 45 F0 8B 08 FF 91 B4 00 00 00 8D 45 E0 50 E8 ?? ?? ?? ?? 8B 55 C8 03 D2 03 D2 8B 4D CC 8B 49 08 8B 0C D1 8B 55 CC 8B 52 1C E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 6A 01 6A 00 8D 45 B0 50 8B 4D C8 8B 55 E0 8B 45 D0 E8 ?? ?? ?? ?? FF 75 B0 8D 45 B4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 B4 50 8D 45 E8 50 FF 75 DC 68 ?? ?? ?? ?? 6A 00 6A 00 8D 45 A8 50 8B 4D C8 8B 55 E0 8B 45 D0 E8 ?? ?? ?? ?? FF 75 A8 8D 45 AC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D AC 8B 55 E0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C A6 00 00 00 46 33 DB 8B 45 D4 8D 04 D8 8B 55 E0 E8 ?? ?? ?? ?? 84 C0 0F 84 85 00 00 00 6A 04 8D 55 A4 8B C3 E8 ?? ?? ?? ?? 8B 45 A4 50 8D 45 D8 50 8B 4D C8 8B 55 E0 8B 45 D0 E8 ?? ?? ?? ?? 8D 45 A0 50 8D 55 9C 8B 45 E8 8B 08 FF 91 BC 00 00 00 8B 45 9C 50 8D 55 94 8B 45 D4 8B 04 D8 E8 ?? ?? ?? ?? 8B 55 94 8D 45 98 E8 ?? ?? ?? ?? 8B 45 98 50 FF 75 DC 68 ?? ?? ?? ?? FF 75 D8 8D 45 8C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 8C 8D 45 90 E8 ?? ?? ?? ?? 8B 4D 90 5A 58 8B 38 FF 97 C4 00 00 00 43 4E 0F 85 5D FF FF FF FF 45 C8 FF 4D C4 0F 85 97 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 4F FF FF FF 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_49548_0 {
	meta:
		name = "IsInputParam"
		size = 9
	strings:
		$1 = { F6 00 20 0F 95 C0 34 01 C3 }
	condition:
		$1
}

rule function_49549_0 {
	meta:
		name = "IsOutputParam"
		size = 16
	strings:
		$1 = { F6 00 20 75 08 F6 00 01 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_49550_0 {
	meta:
		name = "GetBindingType"
		size = 48
		refs = "0012 GetTypeData 001a _Dn_TSOAPAttachment 0021 TObject.InheritsFrom"
	strings:
		$1 = { 53 56 8B F0 B3 01 85 F6 74 21 80 3E 07 75 1C 8B C6 E8 ?? ?? ?? ?? 8B 30 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 02 B3 03 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_49551_0 {
	meta:
		name = "GetBindingType"
		size = 13
		refs = "0007 GetBindingType"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_49552_0 {
	meta:
		name = "GetBindingType"
		size = 244
		refs = "0018 GetBindingType 002f TIntfParamEntryArray 0034 @DynArrayAsg 0042 @DynArrayLength 005c IsInputParam 009d IsOutputParam 00df @DynArrayClear 00e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 88 55 F7 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8D 45 FC 8B 55 F8 8B 52 18 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D F7 00 74 41 8B 45 FC E8 ?? ?? ?? ?? 8B F0 83 EE 02 85 F6 7C 79 46 33 FF 8D 04 7F 8B 55 FC 8D 04 82 E8 ?? ?? ?? ?? 84 C0 74 15 8D 04 7F 8B 55 FC 8D 04 82 E8 ?? ?? ?? ?? 8B D8 80 FB 01 75 4F 47 4E 75 D5 EB 49 8B 45 FC E8 ?? ?? ?? ?? 8B F0 83 EE 02 85 F6 7C 2B 46 33 FF 8D 1C 7F 8B 45 FC 8D 04 98 E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 FC 8D 04 98 E8 ?? ?? ?? ?? 8B D8 80 FB 01 75 11 47 4E 75 D8 8B 45 F8 8B 40 10 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49553_0 {
	meta:
		name = "GetOverloadDigit"
		size = 224
		refs = "001c @UStrAddRef 0024 GetOverloadDigit 0032 @UStrClr 003e TDOMStrings.Count 0055 TDOMStrings.Get 0060 @UStrLAsg 0087 CompareText 00a3 TDOMStrings.Add 00b4 IntToStr 00ce @UStrArrayClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D F8 89 5D F4 89 4D F0 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 89 45 EC 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 56 40 89 45 E8 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 03 FF 45 EC 43 FF 4D E8 75 B0 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D EC 00 7E 0B 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49554_0 {
	meta:
		name = "SetupSoapBodyNode"
		size = 408
		refs = "0018 SetupSoapBodyNode 002b @OleVarFromUStr 005b InvRegistry 006c TInvokableClassRegistry.GetNamespaceByGUID 009b @UStrClr 00a4 OleVariant 00ae @FinalizeArray 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 58 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E0 BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 58 E8 ?? ?? ?? ?? 8D 4D CC 8B 55 08 8B 52 F8 83 C2 0C E8 ?? ?? ?? ?? 8B 55 CC 8D 45 D0 E8 ?? ?? ?? ?? 8D 4D D0 BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 65 00 6E 00 63 00 6F 00 64 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 75 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 73 00 6F 00 61 00 70 00 2F 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 53 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 }
	condition:
		$1
}

rule function_49555_0 {
	meta:
		name = "SetupSoapHeaderNode"
		size = 728
		refs = "0022 SetupSoapHeaderNode 0051 MakeNodeName 0062 @OleVarFromUStr 0108 OleVariant 0112 @FinalizeArray 011a @UStrClr 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 00 74 3F B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 78 8D 4D F8 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E8 8B C3 5A 8B 38 FF 57 58 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D D8 BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 58 8D 45 C8 8B D6 E8 ?? ?? ?? ?? 8D 4D C8 BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 58 8D 45 B8 8B 55 FC E8 ?? ?? ?? ?? 8D 4D B8 BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 58 8D 45 A8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D A8 BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 58 8D 45 98 8B 55 0C E8 ?? ?? ?? ?? 8D 4D 98 BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 8B 15 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 77 00 73 00 64 00 6C 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6E 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 72 00 65 00 71 00 75 00 69 00 72 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 65 00 6E 00 63 00 6F 00 64 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 75 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 70 00 61 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 73 00 6F 00 61 00 70 00 2F 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 53 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 }
	condition:
		$1
}

rule function_49556_0 {
	meta:
		name = "HeaderRequired"
		size = 314
		refs = "0025 IntfHeaderItem 002a @AddRefRecord 0032 HeaderRequired 0050 _Dn_TStringList 0055 TStringList.Create 0071 TStrings.SetCommaText 009c @UStrLAsg 00c3 CompareText 00f3 TObject.Free 00f9 @HandleFinally 0116 @FinalizeRecord 0123 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 C9 89 4D FC 89 4D F8 8B F2 8D 7D D8 B9 08 00 00 00 F3 A5 89 45 D4 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 E9 88 45 D3 83 7D EC 00 0F 84 B2 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 EC 8B 45 CC E8 ?? ?? ?? ?? 8B 45 CC 8B 10 FF 52 14 48 85 C0 7C 60 40 89 45 C8 33 DB 8D 4D FC 8B D3 8B 45 CC 8B 30 FF 56 0C 8D 45 F8 8B 55 D4 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0C 8B 45 F4 0F B6 04 18 88 45 D3 EB 06 43 FF 4D C8 75 A6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 0F B6 45 D3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49557_0 {
	meta:
		name = "SetupMultiPartRelatedNode"
		size = 844
		refs = "0021 SetupMultiPartRelatedNode 004e @IntfCopy 0088 SetupSoapBodyNode 0092 InvRegistry 00a3 TInvokableClassRegistry.GetRequestHeaderInfoForInterface 00b2 THeaderItemArray 00b7 @DynArrayAsg 00cf TInvokableClassRegistry.GetResponseHeaderInfoForInterface 00ee @DynArrayLength 0115 HeaderUsedWithMethod 0146 TInvokableClassRegistry.GetHeaderName 015f TInvokableClassRegistry.GetHeaderNamespace 01a5 HeaderRequired 01c1 @UStrCatN 01d2 SetupSoapHeaderNode 01ef @UStrClr 01f7 @IntfClear 020a @FinalizeArray 0213 IXMLNode 022a @UStrArrayClr 0230 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A FF 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 30 FF 56 70 8B 55 F0 8B 45 10 83 C0 F4 E8 ?? ?? ?? ?? 6A 00 6A FF 8D 45 EC 50 8B 45 10 8B 40 F4 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 30 FF 56 70 8B 55 EC 8B 45 10 83 C0 F0 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 10 8B 40 F0 E8 ?? ?? ?? ?? 59 84 DB 74 2C E8 ?? ?? ?? ?? 8D 4D E8 8B 55 10 8B 52 F8 8B 52 1C E8 ?? ?? ?? ?? 8B 55 E8 8B 45 10 83 C0 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2A E8 ?? ?? ?? ?? 8D 4D E4 8B 55 10 8B 52 F8 8B 52 1C E8 ?? ?? ?? ?? 8B 55 E4 8B 45 10 83 C0 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 10 8B 40 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C E1 00 00 00 46 33 DB 8B C3 03 C0 03 C0 8B 55 10 8B 52 FC 8D 04 C2 B1 01 8B 55 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 B5 00 00 00 8B C3 03 C0 03 C0 8B 55 10 8B 52 FC 8B 7C C2 04 8D 45 FC 50 E8 ?? ?? ?? ?? 8B 55 10 8B 52 F8 8B 52 1C 8B CF E8 ?? ?? ?? ?? 8D 45 F8 50 E8 ?? ?? ?? ?? 8B 55 10 8B 52 F8 8B 52 1C 8B CF E8 ?? ?? ?? ?? 6A 00 6A FF 8D 45 E0 50 8B 45 10 8B 40 EC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 38 FF 57 70 8B 55 E0 8B 45 10 83 C0 E8 E8 ?? ?? ?? ?? 8B 45 F8 50 8B C3 03 C0 03 C0 8B 55 10 8B 52 FC 8D 14 C2 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 10 FF 70 E4 68 ?? ?? ?? ?? FF 75 0C 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 10 8B 40 E8 8B 4D FC E8 ?? ?? ?? ?? 43 4E 0F 85 22 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 77 00 73 00 64 00 6C 00 2F 00 6D 00 69 00 6D 00 65 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 70 00 61 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 77 00 73 00 64 00 6C 00 2F 00 73 00 6F 00 61 00 70 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6F 00 64 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 68 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_49558_0 {
	meta:
		name = "SetupMultiPartNode"
		size = 468
		refs = "0019 SetupMultiPartNode 0046 @IntfCopy 0075 @OleVarFromUStr 00ca OleVariant 00d4 @FinalizeArray 00dd IXMLNode 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A FF 8D 45 FC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 70 8B 55 FC 8B 45 08 83 C0 F4 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 08 8B 40 F4 83 C9 FF BA ?? ?? ?? ?? 8B 18 FF 53 6C 8B 55 F8 8B 45 08 83 C0 E0 E8 ?? ?? ?? ?? 8D 45 E8 8B D6 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 08 8B 40 E0 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A0 00 00 00 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 50 8B 45 08 8B 40 E0 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 77 00 73 00 64 00 6C 00 2F 00 6D 00 69 00 6D 00 65 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 70 00 61 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 62 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49559_0 {
	meta:
		name = "TWebServExp.AddBinding"
		size = 3120
		refs = "0024 @IntfAddRef 002c TWebServExp.AddBinding 0042 TIntfParamEntryArray 0047 @DynArraySetLength 0055 @DynArrayLength 0066 InvRegistry 0073 TInvokableClassRegistry.GetInterfaceExternalName 0096 TWebServExp.GetPrefixForURI 00ce @UStrCatN 00d9 @WStrFromUStr 00ed @UStrCat3 013a @OleVarFromUStr 0178 @UStrClr 018b TInvokableClassRegistry.GetExceptionInfoForInterface 0192 _Dn_TDOMStrings 0197 TDOMStrings.Create 01e0 TInvokableClassRegistry.GetMethExternalName 0251 TInvokableClassRegistry.GetActionURIOfInfo 02b0 @DynArrayAsg 02c0 GetBindingType 0302 SetupSoapBodyNode 0316 TInvokableClassRegistry.GetRequestHeaderInfoForInterface 0342 HeaderUsedWithMethod 036d TInvokableClassRegistry.GetHeaderName 0383 TInvokableClassRegistry.GetHeaderNamespace 03b5 HeaderRequired 03d7 TWebServExp.GetMessageName 03fe SetupSoapHeaderNode 0463 SetupMultiPartRelatedNode 0486 IsInputParam 04a9 SetupMultiPartNode 051b TInvokableClassRegistry.GetResponseHeaderInfoForInterface 068b IsOutputParam 0700 ExceptionUsedWithMethod 072d TObject.ClassName 077c @IntfCopy 07e6 TObject.Free 07ec @HandleFinally 0811 @VarClr 081c @IntfClear 0858 @UStrArrayClr 089f @WStrClr 08ab OleVariant 08b5 @FinalizeArray 08de IDefinition 08f1 TExceptionItemArray 08f6 @DynArrayClear 095a IXMLNode 096d THeaderItemArray"
	strings:
		$1 = { 55 8B EC 51 B9 21 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D DC 89 55 F8 89 45 A8 8B 45 DC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 D8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 8B 00 50 8D 45 BC 50 E8 ?? ?? ?? ?? 8B 55 F8 8B 52 1C 33 C9 E8 ?? ?? ?? ?? 8D 45 E4 50 8D 55 98 8B 45 DC 8B 08 FF 91 C8 00 00 00 8B 55 98 8B 45 A8 8B 48 30 8B 45 A8 E8 ?? ?? ?? ?? 8D 55 94 8B 45 DC 8B 08 FF 91 C8 00 00 00 8B 45 94 8D 55 D4 8B 08 FF 91 C4 00 00 00 8D 45 D0 50 FF 75 E4 68 ?? ?? ?? ?? FF 75 BC 8D 45 8C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 8C 8D 45 90 E8 ?? ?? ?? ?? 8B 45 90 50 8D 45 84 B9 ?? ?? ?? ?? 8B 55 BC E8 ?? ?? ?? ?? 8B 55 84 8D 45 88 E8 ?? ?? ?? ?? 8B 55 88 8B 45 D4 59 8B 30 FF 96 C4 00 00 00 8B 45 A8 80 78 1C 01 75 60 6A 00 6A FF 8D 45 EC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 D0 8B 30 FF 56 70 8D 85 74 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 8D 74 FF FF FF BA ?? ?? ?? ?? 8B 45 EC 8B 30 FF 56 58 8D 85 64 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 8D 64 FF FF FF BA ?? ?? ?? ?? 8B 45 EC 8B 30 FF 56 58 8D 45 B0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D AC 8B 55 F8 8B 52 1C E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 A0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 4B 85 DB 0F 8C 20 06 00 00 43 89 5D 9C C7 45 A4 00 00 00 00 8D 45 B8 50 E8 ?? ?? ?? ?? 8B 5D A4 03 DB 03 DB 8B 55 F8 8B 52 08 8B 0C DA 8B 55 F8 8B 52 1C E8 ?? ?? ?? ?? 8D 55 CC 8B 45 D0 8B 08 FF 91 B0 00 00 00 8D 85 60 FF FF FF 8B 55 B8 E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8D 4D C8 8B 45 CC 8B 30 FF 96 C4 00 00 00 8B 45 A8 80 78 1C 01 75 7F 6A 00 6A FF 8D 45 EC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 C8 8B 30 FF 56 70 8B 45 A4 50 8D 85 4C FF FF FF 50 E8 ?? ?? ?? ?? 8B 55 F8 8B 52 1C 8B 4D B8 E8 ?? ?? ?? ?? 8B 95 4C FF FF FF 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 8D 50 FF FF FF BA ?? ?? ?? ?? 8B 45 EC 8B 30 FF 56 58 8D 85 3C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 8D 3C FF FF FF BA ?? ?? ?? ?? 8B 45 EC 8B 30 FF 56 58 8D 45 D8 8B 55 F8 8B 52 08 8B 54 DA 18 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 8D 04 D8 B2 01 E8 ?? ?? ?? ?? 8B D8 8D 45 EC 50 83 C9 FF BA ?? ?? ?? ?? 8B 45 C8 8B 30 FF 56 6C 80 FB 01 0F 85 2C 01 00 00 6A 00 6A FF 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC 8B 18 FF 53 70 55 8B 45 F0 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8D 4D FC 8B 55 F8 8B 52 1C E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 0F 8C 85 01 00 00 43 33 F6 8B C6 03 C0 03 C0 8B 55 FC 8D 04 C2 B1 01 8B 55 B8 E8 ?? ?? ?? ?? 84 C0 0F 84 B4 00 00 00 8B C6 03 C0 03 C0 8B 55 FC 8B 7C C2 04 8D 45 C0 50 E8 ?? ?? ?? ?? 8B 55 F8 8B 52 1C 8B CF E8 ?? ?? ?? ?? 8D 45 B4 50 E8 ?? ?? ?? ?? 8B 55 F8 8B 52 1C 8B CF E8 ?? ?? ?? ?? 6A 00 6A FF 8D 45 E8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC 8B 38 FF 57 70 8B 45 B4 50 8B C6 03 C0 03 C0 8B 55 FC 8D 14 C2 8B 45 B8 E8 ?? ?? ?? ?? 50 FF 75 E4 68 ?? ?? ?? ?? 6A 02 6A 00 8D 85 34 FF FF FF 50 8B 4D A4 8B 55 B8 8B 45 A8 E8 ?? ?? ?? ?? FF B5 34 FF FF FF 8D 85 38 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 38 FF FF FF 8B 4D C0 8B 45 E8 E8 ?? ?? ?? ?? 46 4B 0F 85 26 FF FF FF E9 A3 00 00 00 80 FB 03 0F 85 9A 00 00 00 6A 01 6A FF 8D 45 C4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC 8B 18 FF 53 70 55 6A 02 6A 00 8D 85 2C FF FF FF 50 8B 4D A4 8B 55 B8 8B 45 A8 E8 ?? ?? ?? ?? 8B 85 2C FF FF FF 50 8D 85 30 FF FF FF 50 B1 01 8B 55 B8 8B 45 C4 E8 ?? ?? ?? ?? 59 8B 45 D8 E8 ?? ?? ?? ?? 8B D8 83 EB 02 85 DB 7C 39 43 33 F6 8D 3C 76 8B 45 D8 8D 04 B8 E8 ?? ?? ?? ?? 84 C0 74 20 8B 45 D8 8D 04 B8 E8 ?? ?? ?? ?? 3C 03 75 11 55 8B 45 D8 8B 54 B8 04 8B 45 C4 E8 ?? ?? ?? ?? 59 46 4B 75 CA 8D 45 EC 50 83 C9 FF BA ?? ?? ?? ?? 8B 45 C8 8B 18 FF 53 6C 8B 45 A4 03 C0 03 C0 8B 55 F8 8B 52 08 8D 04 C2 33 D2 E8 ?? ?? ?? ?? 8B D8 80 FB 01 0F 85 2C 01 00 00 6A 00 6A FF 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC 8B 18 FF 53 70 55 8B 45 F0 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8D 4D FC 8B 55 F8 8B 52 1C E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 0F 8C AE 01 00 00 43 33 F6 8B C6 03 C0 03 C0 8B 55 FC 8D 04 C2 B1 02 8B 55 B8 E8 ?? ?? ?? ?? 84 C0 0F 84 B4 00 00 00 8B C6 03 C0 03 C0 8B 55 FC 8B 7C C2 04 8D 45 C0 50 E8 ?? ?? ?? ?? 8B 55 F8 8B 52 1C 8B CF E8 ?? ?? ?? ?? 8D 45 B4 50 E8 ?? ?? ?? ?? 8B 55 F8 8B 52 1C 8B CF E8 ?? ?? ?? ?? 6A 00 6A FF 8D 45 E8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC 8B 38 FF 57 70 8B 45 B4 50 8B C6 03 C0 03 C0 8B 55 FC 8D 14 C2 8B 45 B8 E8 ?? ?? ?? ?? 50 FF 75 E4 68 ?? ?? ?? ?? 6A 03 6A 00 8D 85 24 FF FF FF 50 8B 4D A4 8B 55 B8 8B 45 A8 E8 ?? ?? ?? ?? FF B5 24 FF FF FF 8D 85 28 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 28 FF FF FF 8B 4D C0 8B 45 E8 E8 ?? ?? ?? ?? 46 4B 0F 85 26 FF FF FF E9 CC 00 00 00 80 FB 03 0F 85 C3 00 00 00 6A 01 6A FF 8D 45 C4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC 8B 18 FF 53 70 55 6A 03 6A 00 8D 85 1C FF FF FF 50 8B 4D A4 8B 55 B8 8B 45 A8 E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 50 8D 85 20 FF FF FF 50 33 C9 8B 55 B8 8B 45 C4 E8 ?? ?? ?? ?? 59 8B 45 D8 E8 ?? ?? ?? ?? 8B D8 83 EB 02 85 DB 7C 39 43 33 F6 8D 3C 76 8B 45 D8 8D 04 B8 E8 ?? ?? ?? ?? 84 C0 74 20 8B 45 D8 8D 04 B8 E8 ?? ?? ?? ?? 3C 03 75 11 55 8B 45 D8 8B 54 B8 04 8B 45 C4 E8 ?? ?? ?? ?? 59 46 4B 75 CA 8B 45 A4 03 C0 03 C0 8B 55 F8 8B 52 08 8B 44 C2 10 E8 ?? ?? ?? ?? 3C 03 75 0F 55 BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 59 8B 45 AC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 0F 8C D6 00 00 00 43 33 F6 8B 45 AC 8D 04 F0 8B 55 B8 E8 ?? ?? ?? ?? 84 C0 0F 84 B5 00 00 00 8D 45 EC 50 83 C9 FF BA ?? ?? ?? ?? 8B 45 C8 8B 18 FF 53 6C 8B 45 AC 8B 04 F0 8D 95 08 FF FF FF E8 ?? ?? ?? ?? 8B 95 08 FF FF FF 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 8D 8D 0C FF FF FF BA ?? ?? ?? ?? 8B 45 EC 8B 18 FF 53 58 6A 00 6A FF 8D 85 04 FF FF FF 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 EC 8B 18 FF 53 70 8B 95 04 FF FF FF 8D 45 EC E8 ?? ?? ?? ?? 8B 45 AC 8B 04 F0 8D 95 F0 FE FF FF E8 ?? ?? ?? ?? 8B 95 F0 FE FF FF 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 8D F4 FE FF FF BA ?? ?? ?? ?? 8B 45 EC 8B 18 FF 53 58 55 8B 45 EC E8 ?? ?? ?? ?? 59 EB 08 46 4B 0F 85 2D FF FF FF FF 45 A4 FF 4D 9C 0F 85 EB F9 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 85 04 FF FF FF E8 ?? ?? ?? ?? 8D 85 08 FF FF FF E8 ?? ?? ?? ?? 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 8D 85 1C FF FF FF E8 ?? ?? ?? ?? 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 8D 85 24 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 8D 85 34 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 85 64 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 94 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 7E FE FF FF 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 69 00 6E 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 77 00 73 00 64 00 6C 00 2F 00 73 00 6F 00 61 00 70 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 72 00 70 00 63 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 73 00 6F 00 61 00 70 00 2F 00 68 00 74 00 74 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 74 00 72 00 61 00 6E 00 73 00 70 00 6F 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6F 00 70 00 65 00 72 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 6F 00 61 00 70 00 41 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 6E 00 70 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6F 00 64 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 68 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 77 00 73 00 64 00 6C 00 2F 00 6D 00 69 00 6D 00 65 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 52 00 65 00 6C 00 61 00 74 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6F 00 75 00 74 00 70 00 75 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49560_0 {
	meta:
		name = "TWebServExp.AddServices"
		size = 856
		refs = "004a @IntfAddRef 0057 string 005c @AddRefArray 0076 TWebServExp.AddServices 00a4 InvRegistry 00ae TInvokableClassRegistry.GetInterfaceExternalName 00be @UStrCat3 00c9 @WStrFromUStr 0114 TWebServExp.GetPrefixForURI 0147 @UStrCatN 0191 @OleVarFromUStr 01c5 @VarClr 01cd @WStrClr 01d5 @UStrClr 01e5 @IntfClear 0212 @UStrArrayClr 024c @FinalizeArray 0264 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B 5D 0C 8B 75 08 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 0C 8B 5D 14 8B 75 10 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 14 89 4D FC 8B DA 89 45 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 4D 10 41 8B 45 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 08 41 8B 45 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8B 45 FC 8B 08 FF 91 C8 00 00 00 8B 45 D8 8D 55 F8 8B 08 FF 91 C8 00 00 00 8B 03 50 8D 45 E8 50 E8 ?? ?? ?? ?? 8B 53 1C 33 C9 E8 ?? ?? ?? ?? 8D 45 D0 B9 ?? ?? ?? ?? 8B 55 E8 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8D 4D F4 8B 45 F8 8B 18 FF 93 C4 00 00 00 8B 45 08 40 48 85 C0 0F 8C C9 00 00 00 40 89 45 DC 8B 5D 14 8B 75 0C 8D 45 E4 50 8D 55 CC 8B 45 FC 8B 08 FF 91 C8 00 00 00 8B 55 CC 8B 45 E0 8B 48 30 8B 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 C8 8B 45 F4 8B 08 FF 91 B4 00 00 00 8B 45 C8 50 FF 75 E4 68 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 C0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8D 45 C4 E8 ?? ?? ?? ?? 8B 45 C4 50 8D 45 BC 8B 13 E8 ?? ?? ?? ?? 8B 55 BC 59 58 8B 38 FF 97 C4 00 00 00 6A 00 6A FF 8D 45 EC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 8B 38 FF 57 70 8D 45 AC 8B 16 E8 ?? ?? ?? ?? 8D 4D AC BA ?? ?? ?? ?? 8B 45 EC 8B 38 FF 57 58 83 C6 04 83 C3 04 FF 4D DC 0F 85 41 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 0C 8B 4D 08 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 14 8B 4D 10 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 54 FF FF FF 8B 7D A0 8B 75 A4 8B 5D A8 8B E5 5D C2 10 00 B0 04 02 00 FF FF FF FF 07 00 00 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 69 00 6E 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 77 00 73 00 64 00 6C 00 2F 00 73 00 6F 00 61 00 70 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 61 00 64 00 64 00 72 00 65 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_49561_0 {
	meta:
		name = "TWebServExp.AddTypes"
		size = 599
		refs = "0022 @IntfAddRef 002a TWebServExp.AddTypes 0039 TWebServExp.GetAllSchemaTypes 0057 @DynArrayLength 0066 _Dn_TDOMStrings 006b TDOMStrings.Create 00a1 TDOMStrings.IndexOf 00b3 TDOMStrings.Add 00c8 TWebServExp.GetPrefixForURI 00d7 @UStrAsg 00e5 TDOMStrings.Count 0139 TDOMStrings.Get 0144 @WStrFromUStr 01c3 TWebServExp.GenerateXMLSchema 01ea TObject.Free 01f0 @HandleFinally 020c @UStrArrayClr 0214 @WStrClr 021c @IntfClear 0234 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 66 83 7B 3A 00 74 0F 8B D3 85 D2 74 03 83 EA AC 8B 43 3C FF 53 38 8B 43 2C E8 ?? ?? ?? ?? 85 C0 0F 8E 93 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 2C E8 ?? ?? ?? ?? 48 85 C0 7C 54 40 89 45 EC 33 F6 8D 3C B6 8B 43 2C 8B 54 B8 04 8B 45 F0 E8 ?? ?? ?? ?? 40 75 0F 8B 43 2C 8B 54 B8 04 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 43 2C 8B 4C B8 04 8B 53 0C 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B 43 2C 8D 44 B8 0C E8 ?? ?? ?? ?? 46 FF 4D EC 75 B2 8B 45 F0 E8 ?? ?? ?? ?? 48 85 C0 0F 8C E7 00 00 00 40 89 45 EC C7 45 F4 00 00 00 00 8D 45 F8 50 8D 55 D8 8B 45 FC 8B 08 FF 91 C8 00 00 00 8B 45 D8 8D 55 DC 8B 08 FF 91 B8 00 00 00 8B 45 DC 8D 55 E0 8B 08 FF 91 B0 00 00 00 8B 45 E0 50 8D 4D D0 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 4D D4 33 D2 58 8B 30 FF 96 C4 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 48 85 C0 7C 6A 40 89 45 E8 33 F6 66 83 7B 42 00 74 2F 8D 04 B6 8B 53 2C 8B 44 82 08 50 8D 4D CC 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 CC 50 8B D3 85 D2 74 03 83 EA AC 8B 4D F8 8B 43 44 FF 53 40 6A 00 8D 4D C8 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 C8 50 8D 04 B6 8B 53 2C 8B 4C 82 08 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 46 FF 4D E8 75 9C FF 45 F4 FF 4D EC 0F 85 24 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49562_0 {
	meta:
		name = "TWebServExp.GetXMLSchemaType"
		size = 620
		refs = "0018 TWebServExp.GetXMLSchemaType 0026 @UStrClr 0044 RemTypeRegistry 004e TRemotableTypeRegistry.TypeInfoToXSD 005b @UStrEqual 0087 TWebServExp.GetPrefixForTypeInfo 0093 TWebServExp.GetXMLSchemaTypeName 00a0 MakeNodeName 00af @UStrLAsg 00c0 TWebServExp.GetPrefixForURI 0148 @UStrArrayClr 014e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? 0F B6 06 2C 03 74 0E 04 FD 2C 02 72 08 2C 09 0F 85 98 00 00 00 8D 45 FC 50 E8 ?? ?? ?? ?? 8D 4D F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 45 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 36 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 27 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B CF 8B 45 F4 E8 ?? ?? ?? ?? EB 2B 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8B 4D F8 8B 53 0C 8B C3 E8 ?? ?? ?? ?? 8B CF 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? C6 43 14 01 EB 5B 8D 45 FC 50 E8 ?? ?? ?? ?? 8D 4D F8 8B D6 E8 ?? ?? ?? ?? 83 7D FC 00 74 20 8D 45 F4 50 8B 4D F8 8B 53 0C 8B C3 E8 ?? ?? ?? ?? 8B CF 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? EB 22 8D 45 F4 50 B9 ?? ?? ?? ?? 8B 53 0C 8B C3 E8 ?? ?? ?? ?? 8B CF BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 23 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 30 00 2F 00 31 00 30 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 31 00 39 00 39 00 39 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 31 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 61 00 6E 00 79 00 54 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_49563_0 {
	meta:
		name = "TWebServExp.GetXMLSchemaTypeName"
		size = 133
		refs = "0013 TWebServExp.GetXMLSchemaTypeName 0020 @UStrClr 0026 RemTypeRegistry 0030 TRemotableTypeRegistry.TypeInfoToXSD 0044 UTF8ToUnicodeString 004f @UStrLAsg 0059 @UStrAsg 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 E8 ?? ?? ?? ?? 83 3B 00 75 24 8D 46 01 8B F0 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49564_0 {
	meta:
		name = "GetAliasBaseTypeInfo"
		size = 98
		refs = "000b GetAliasBaseTypeInfo 0042 Integer 0048 Int64 004e AnsiString 0054 WideString 005a string"
	strings:
		$1 = { 83 E0 7F 83 F8 12 77 57 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 00 00 00 00 00 00 00 00 03 04 00 00 00 00 02 00 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 A1 ?? ?? ?? ?? C3 A1 ?? ?? ?? ?? C3 A1 ?? ?? ?? ?? C3 A1 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_49565_0 {
	meta:
		name = "TWebServExp.IsComplexType"
		size = 148
		refs = "0011 TWebServExp.IsComplexType 0031 GetAliasBaseTypeInfo 0044 RemTypeRegistry 004e TRemotableTypeRegistry.InfoToURI 0057 XMLSchemaNameSpace 005e @UStrEqual 007e @UStrArrayClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 1E 8B D3 E8 ?? ?? ?? ?? 88 45 F7 80 7D F7 00 75 3A 8B C3 E8 ?? ?? ?? ?? 85 C0 74 2F 8D 45 FC 50 8D 45 F6 50 6A 01 E8 ?? ?? ?? ?? 8D 4D F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 04 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49566_0 {
	meta:
		name = "TWebServExp.IsComplexType"
		size = 24
	strings:
		$1 = { 80 EA 03 74 0D 80 C2 FD 80 EA 02 72 05 80 EA 09 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_49567_0 {
	meta:
		name = "TWebServExp.GetPrefixForURI"
		size = 200
		refs = "0020 @IntfAddRef 0028 TWebServExp.GetPrefixForURI 0035 @UStrClr 006f @IntfCast 007c TWebServExp.AddNamespaceURI 0091 @IntfClear 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F8 89 4D F4 89 55 FC 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 83 7B 0C 00 74 41 8D 4D F8 8B 55 F4 8B 45 FC 8B 38 FF 97 80 00 00 00 83 7D F8 00 74 0C 8B D6 8B 45 F8 8B 08 FF 51 2C EB 1E 56 8D 45 F0 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 4D F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 00 00 C0 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_49568_0 {
	meta:
		name = "TWebServExp.GetPrefixForURI"
		size = 276
		refs = "001f @IntfAddRef 0027 TWebServExp.GetPrefixForURI 0034 @UStrClr 0091 @IntfCast 009e TWebServExp.AddNamespaceURI 00d4 IXMLNode 00de @FinalizeArray 00e6 @IntfClear 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 89 55 FC 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 F4 8B 45 FC 8B 38 FF 97 80 00 00 00 83 7D F8 00 74 0C 8B D6 8B 45 F8 8B 08 FF 51 2C EB 67 83 7B 0C 00 74 43 8D 4D F8 8B 55 F4 8B 43 0C 8B 38 FF 97 80 00 00 00 83 7D F8 00 74 0C 8B D6 8B 45 F8 8B 08 FF 51 2C EB 3E 56 8D 45 F0 8B 53 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 4D F4 8B C3 E8 ?? ?? ?? ?? EB 1E 56 8D 45 EC 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 4D F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C2 04 00 00 C0 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_49570_0 {
	meta:
		name = "TWebServExp.GetNodeNameForURI"
		size = 174
		refs = "001d @IntfAddRef 0025 TWebServExp.GetNodeNameForURI 0032 @UStrClr 0091 @IntfClear 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F8 89 4D F4 89 55 FC 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 F4 8B 45 FC 8B 38 FF 97 80 00 00 00 83 7D F8 00 74 0C 8B D6 8B 45 F8 8B 08 FF 51 34 EB 27 83 7B 0C 00 74 21 8D 4D F8 8B 55 F4 8B 43 0C 8B 18 FF 93 80 00 00 00 83 7D F8 00 74 0A 8B D6 8B 45 F8 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_49571_0 {
	meta:
		name = "TWebServExp.GenerateDerivedClassSchema"
		size = 204
		refs = "0015 @IntfAddRef 001e TRemRegEntry 0023 @InitializeRecord 002b TWebServExp.GenerateDerivedClassSchema 0036 RemClassRegistry 003b TRemotableTypeRegistry.GetURICount 0054 TRemotableTypeRegistry.GetURIMap 0061 GetTypeData 006b TObject.InheritsFrom 0090 TWebServExp.GenerateXMLSchema 00af @FinalizeRecord 00b7 @IntfClear 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B F9 89 55 FC 89 45 D8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 52 43 33 F6 E8 ?? ?? ?? ?? 8D 4D DC 8B D6 E8 ?? ?? ?? ?? 83 7D DC 00 74 36 8B C7 E8 ?? ?? ?? ?? 8B 10 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 21 8B C7 E8 ?? ?? ?? ?? 8B 00 3B 45 DC 74 13 57 8B 45 08 50 8B 4D E0 8B 55 FC 8B 45 D8 E8 ?? ?? ?? ?? 46 4B 75 B1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_49572_0 {
	meta:
		name = "TWebServExp.GenerateClassSchema"
		size = 827
		refs = "0025 @IntfAddRef 002d TWebServExp.GenerateClassSchema 003e GetPropListFlat 0057 GetTypeData 005f RemClassRegistry 0065 TRemotableTypeRegistry.SerializeOptions 008d TWebServExp.GenerateAliasSchema 00a6 TWebServExp.GetPrefixForTypeInfo 00b9 UTF8ToUnicodeString 00c4 @UStrLAsg 00d2 MakeNodeName 011f IsBaseClassTypeInfo 0136 TWebServExp.GenerateXMLSchema 014b TWebServExp.GetXMLSchemaTypeName 01cd TWebServExp.GetXMLSchemaType 0207 TRemotableTypeRegistry.GetExternalPropName 0214 IsStoredPropConst 0271 TWebServExp.IsComplexType 02b4 @FreeMem 02ba @HandleFinally 02d1 @IntfClear 02e9 @UStrClr 0306 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D C4 89 55 FC 8B F0 8B 7D 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 BC 8B 45 C4 E8 ?? ?? ?? ?? 89 45 C0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 C4 E8 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D8 F6 C3 10 74 26 83 7D C0 01 75 20 8B 45 08 50 8B 45 BC 8B 00 8B 00 8B 00 50 8B 4D C4 8B 55 FC 8B C6 E8 ?? ?? ?? ?? E9 07 02 00 00 85 FF 0F 84 D4 00 00 00 8D 4D E4 8B D7 8B C6 E8 ?? ?? ?? ?? 83 7D E4 00 74 28 8D 5F 01 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8D 45 DC 8B 55 D8 E8 ?? ?? ?? ?? 8D 4D E8 8B 55 DC 8B 45 E4 E8 ?? ?? ?? ?? EB 23 8D 5F 01 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8D 45 D4 8B 55 D0 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 D4 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 78 04 00 74 0E 8B C7 E8 ?? ?? ?? ?? 8B 40 04 8B 18 EB 02 33 DB 85 DB 74 0D 8B C3 E8 ?? ?? ?? ?? 84 C0 74 02 33 DB 53 8B 45 08 50 8B CF 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 6A 01 6A 02 8D 45 F8 50 8D 4D B0 8B 55 C4 8B C6 E8 ?? ?? ?? ?? 8B 45 B0 50 8D 55 AC 8B 45 FC 8B 08 FF 91 C0 00 00 00 8B 45 AC 8B 4D E8 5A 8B 18 FF 93 D4 00 00 00 EB 31 8D 45 F8 50 8D 4D A8 8B 55 C4 8B C6 E8 ?? ?? ?? ?? 8B 45 A8 50 8D 55 A4 8B 45 FC 8B 08 FF 91 C0 00 00 00 8B 45 A4 B1 02 5A 8B 18 FF 93 D0 00 00 00 8B 45 C0 48 85 C0 0F 8C EE 00 00 00 40 89 45 B8 33 DB 8B 45 BC 8B 3C 98 85 FF 0F 84 D0 00 00 00 8B 07 8B 10 8D 4D EC 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 BC 8B 04 98 83 C0 1A 89 45 B4 8D 55 C8 8B 45 B4 E8 ?? ?? ?? ?? 8D 45 CC 8B 55 C8 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 4D CC 8B 55 C4 8B C7 E8 ?? ?? ?? ?? 8B 45 BC 8B 14 98 33 C0 E8 ?? ?? ?? ?? 84 C0 74 25 8D 45 F4 50 8D 55 A0 8B 45 F8 8B 08 FF 91 88 01 00 00 8B 45 A0 8B 4D EC 8B 55 E0 8B 38 FF 97 D4 00 00 00 EB 23 8D 45 F0 50 8D 55 9C 8B 45 F8 8B 08 FF 91 68 01 00 00 8B 45 9C 8B 4D EC 8B 55 E0 8B 38 FF 97 D4 00 00 00 8B 45 BC 8B 04 98 8B 00 8B 10 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1A 6A 00 8B 45 08 50 8B 45 BC 8B 04 98 8B 00 8B 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 43 FF 4D B8 0F 85 18 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D C0 00 7E 08 8B 45 BC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 C8 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9B 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_49573_0 {
	meta:
		name = "TWebServExp.GenerateEnumSchema"
		size = 368
		refs = "0023 @IntfAddRef 002b TWebServExp.GenerateEnumSchema 003a ByteBool 0042 WordBool 004a LongBool 0052 Boolean 0059 GetTypeData 0075 TWebServExp.GetXMLSchemaTypeName 00b7 GetEnumName 00c0 RemClassRegistry 00ca TRemotableTypeRegistry.GetExternalPropName 0106 @IntfClear 010e @UStrClr 0144 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D EC 89 55 FC 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D EC 3B 1D ?? ?? ?? ?? 74 10 3B 1D ?? ?? ?? ?? 74 08 3B 1D ?? ?? ?? ?? 75 06 8B 1D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 8E 00 00 00 8D 45 F8 50 8D 4D E4 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 55 E0 8B 45 FC 8B 08 FF 91 F0 00 00 00 8B 45 E0 B9 ?? ?? ?? ?? 5A 8B 38 FF 97 D0 00 00 00 8B 46 05 85 C0 7C 52 40 89 C6 C7 45 E8 00 00 00 00 8D 4D F4 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 8D 45 D8 50 E8 ?? ?? ?? ?? 8B 4D F4 8B D3 E8 ?? ?? ?? ?? 8B 45 D8 50 8D 55 D4 8B 45 F8 8B 08 FF 91 E0 00 00 00 8B 45 D4 8D 4D DC 5A 8B 38 FF 97 C0 00 00 00 FF 45 E8 4E 75 B8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_49574_0 {
	meta:
		name = "TWebServExp.GenerateAliasSchema"
		size = 285
		refs = "0021 @IntfAddRef 0029 TWebServExp.GenerateAliasSchema 0036 GetTypeData 004b UTF8ToUnicodeString 0056 @UStrLAsg 006f GetAliasBaseTypeInfo 008a TWebServExp.GetXMLSchemaTypeName 00b8 TWebServExp.GetXMLSchemaType 00db @UStrClr 00e3 @IntfClear 00f8 @UStrArrayClr 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 88 00 00 00 8D 7B 01 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 EC E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F0 E8 ?? ?? ?? ?? 83 7D 08 00 75 0D 0F B6 03 E8 ?? ?? ?? ?? 89 45 E8 EB 06 8B 45 08 89 45 E8 8D 45 F8 50 8D 4D E4 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 55 E0 8B 45 FC 8B 08 FF 91 F0 00 00 00 8B 45 E0 8B 4D F4 5A 8B 18 FF 93 D0 00 00 00 8D 4D DC 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 8B 08 FF 91 18 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_49575_0 {
	meta:
		name = "TWebServExp.GenerateArraySchema"
		size = 1708
		refs = "0021 @IntfAddRef 0029 TWebServExp.GenerateArraySchema 0043 GetDynArrayNextInfo2 0093 GetDynArrayElTypeInfo 00a0 TWebServExp.GetXMLSchemaType 00b0 @UStrCat3 00c3 TWebServExp.GetPrefixForURI 00cf TWebServExp.GetXMLSchemaTypeName 0103 @UStrCatN 0160 TWebServExp.GetNodeNameForURI 016d @UStrLAsg 0188 @UStrCat 01b1 @OleVarFromUStr 0264 MakeNodeName 029a @IntfCast 02da TWebServExp.GenerateNestedArraySchema 02ed IntToStr 0363 TWebServExp.IsComplexType 037a TWebServExp.GenerateXMLSchema 0392 @VarClr 039d @IntfClear 03a8 @UStrClr 03c8 @UStrArrayClr 043b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 14 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 28 00 0F 84 C4 01 00 00 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 89 45 C4 C7 45 C0 01 00 00 00 EB 11 FF 45 C0 8D 55 DC 8B 45 C4 E8 ?? ?? ?? ?? 89 45 C4 83 7D C4 00 74 11 8B 45 C4 80 38 11 75 09 8B 45 C4 80 78 02 2E 74 D8 83 7D C4 00 74 09 8B 45 C4 80 78 02 2E 75 0D 8D 4D C0 8D 55 C4 8B C6 E8 ?? ?? ?? ?? 8D 4D F0 8B 55 C4 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 8B 4D F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 50 B9 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 4D D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 02 6A 02 8D 45 F8 50 8D 55 BC 8B 45 FC 8B 08 FF 91 C0 00 00 00 8B 45 BC 50 FF 75 D0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 B8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D B8 8B 55 D8 58 8B 30 FF 96 D4 00 00 00 8D 55 B4 8B 45 F8 8B 08 FF 91 68 01 00 00 8B 45 B4 50 FF 75 D0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 B0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 B0 8D 4D CC 58 8B 30 FF 96 D0 00 00 00 8D 45 D4 50 B9 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D C0 01 7E 18 8B 5D C0 4B 85 DB 7E 10 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 75 F0 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 9C 8B 4D E4 8B 55 F0 E8 ?? ?? ?? ?? 8B 55 9C 8D 45 A0 E8 ?? ?? ?? ?? 8D 4D A0 BA ?? ?? ?? ?? 8B 45 CC 8B 18 FF 53 58 8D 45 8C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 8C 50 FF 75 D4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 88 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 88 8B 45 CC 59 8B 18 FF 53 58 E9 7D 01 00 00 8D 4D C0 8D 55 C4 8B C6 E8 ?? ?? ?? ?? 8D 4D F0 8B 55 C4 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 8B 4D F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 C8 8B 45 FC 8B 08 FF 91 C8 00 00 00 8D 45 D4 50 B9 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 4D D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 4D 84 BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 84 50 8D 45 F4 50 B1 01 8B 55 D8 8B 45 C8 8B 30 FF 96 D8 00 00 00 8D 55 80 8B 45 F4 8B 08 FF 91 DC 00 00 00 8B 55 80 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 8B 55 E8 E8 ?? ?? ?? ?? 8D 8D 70 FF FF FF BA ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 58 83 7D C0 01 7E 1E 8B 45 C4 50 8D 45 C0 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 9B 00 00 00 8D 95 6C FF FF FF 8B 45 C0 E8 ?? ?? ?? ?? 8B 8D 6C FF FF FF 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 8B 55 C4 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 95 68 FF FF FF 8B 45 F8 8B 08 FF 91 88 01 00 00 8B 85 68 FF FF FF 8B 4D F0 8B 55 EC 8B 30 FF 96 D4 00 00 00 8D 85 58 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 8D 58 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 30 FF 56 58 8B 55 C4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 6A 00 8B 45 08 50 8B 4D C4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 84 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 47 FF FF FF 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 72 00 72 00 61 00 79 00 4F 00 66 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 73 00 6F 00 61 00 70 00 2F 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 72 00 72 00 61 00 79 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 61 00 72 00 72 00 61 00 79 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 77 00 73 00 64 00 6C 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6E 00 31 00 3A 00 61 00 72 00 72 00 61 00 79 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6E 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 77 00 73 00 64 00 6C 00 2F 00 73 00 6F 00 61 00 70 00 2F 00 00 00 23 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 69 00 6D 00 65 00 6E 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 75 00 6E 00 62 00 6F 00 75 00 6E 00 64 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 61 00 78 00 4F 00 63 00 63 00 75 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_49576_0 {
	meta:
		name = "TWebServExp.GenerateNestedArraySchema"
		size = 636
		refs = "0025 @IntfAddRef 0035 @UStrAddRef 003d TWebServExp.GenerateNestedArraySchema 005b IntToStr 006b @UStrCat3 009c @OleVarFromUStr 00ca @IntfCast 010e TWebServExp.GetXMLSchemaType 015a TWebServExp.IsComplexType 0171 TWebServExp.GenerateXMLSchema 018f @VarClr 0197 @IntfClear 019f @UStrClr 01d4 @UStrArrayClr 01dd IXMLComplexTypeDef 01e7 @FinalizeArray 01fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 89 55 FC 8B F0 8B 5D 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 29 01 00 00 83 3B 01 0F 8E 96 00 00 00 8D 55 E4 8B 03 E8 ?? ?? ?? ?? 8B 4D E4 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 45 E8 50 8D 55 E0 8B 45 F8 8B 08 FF 91 88 01 00 00 8B 45 E0 B1 01 8B 55 EC 8B 38 FF 97 D8 00 00 00 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D D0 BA ?? ?? ?? ?? 8B 45 E8 8B 38 FF 57 58 8D 55 CC 8B 45 E8 8B 08 FF 91 DC 00 00 00 8B 55 CC 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 0B 8B 45 10 50 53 8B 45 08 50 8B 4D F4 8B 55 FC 8B C6 E8 ?? ?? ?? ?? E9 8A 00 00 00 8D 55 C8 8B 03 E8 ?? ?? ?? ?? 8B 4D C8 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 8B 55 10 8B C6 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 55 C4 8B 45 F8 8B 08 FF 91 88 01 00 00 8B 45 C4 8B 4D F0 8B 55 EC 8B 38 FF 97 D4 00 00 00 8D 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D B4 BA ?? ?? ?? ?? 8B 45 E8 8B 38 FF 57 58 FF 0B 8B 55 10 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 6A 00 8B 45 08 50 8B 4D 10 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 83 3B 00 0F 85 CE FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 88 5F 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 69 00 6D 00 65 00 6E 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 75 00 6E 00 62 00 6F 00 75 00 6E 00 64 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 61 00 78 00 4F 00 63 00 63 00 75 00 72 00 73 00 00 00 23 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_49577_0 {
	meta:
		name = "TWebServExp.GenerateXMLSchema"
		size = 353
		refs = "0017 @IntfAddRef 001f @UStrAddRef 0027 TWebServExp.GenerateXMLSchema 0036 TWebServExp.IsComplexType 004a TWebServExp.IsSchemaGenerated 0075 TWebServExp.GenerateArraySchema 008a TWebServExp.GenerateEnumSchema 009c GetTypeData 00b9 IsBaseClassTypeInfo 00cc RemTypeRegistry 00d6 TRemotableTypeRegistry.TypeInfoToXSD 00f2 TWebServExp.GenerateClassSchema 0102 TWebServExp.GenerateDerivedClassSchema 010c GetAliasBaseTypeInfo 0122 TWebServExp.GenerateAliasSchema 013c @UStrArrayClr 0144 @IntfClear 014c @UStrClr 0152 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 E4 00 00 00 8B 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 D0 00 00 00 0F B6 06 2C 03 74 21 2C 04 74 32 2C 0A 0F 85 9F 00 00 00 8B 45 08 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 A8 00 00 00 8B 45 08 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 93 00 00 00 83 7D 0C 00 75 49 8B C6 E8 ?? ?? ?? ?? 83 78 04 00 74 3C 8B C6 E8 ?? ?? ?? ?? 8B 40 04 8B 38 85 FF 74 0D 8B C7 E8 ?? ?? ?? ?? 84 C0 74 02 33 FF 85 FF 74 1E 8D 45 F4 50 E8 ?? ?? ?? ?? 8D 4D F8 8B D7 E8 ?? ?? ?? ?? 84 C0 75 07 33 FF EB 03 8B 7D 0C 57 8B 45 08 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 1E 0F B6 06 E8 ?? ?? ?? ?? 85 C0 74 12 8B 45 08 50 6A 00 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_49578_0 {
	meta:
		name = "TWebServExp.GetAllSchemaTypes"
		size = 492
		refs = "0018 TWebServExp.GetAllSchemaTypes 0027 TIntfMethEntryArray 002c @DynArrayClear 0035 TIntfParamEntryArray 004e @DynArrayAsg 0056 @DynArrayLength 00ae TWebServExp.IsComplexType 00c5 TWebServExp.GetSchemaTypes 0113 InvRegistry 0120 TInvokableClassRegistry.GetHeaderInfoForInterface 0167 TInvokableClassRegistry.GetExceptionInfoForInterface 01aa TExceptionItemArray 01b8 THeaderItemArray 01df @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 55 EC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 55 EC 8B 52 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 0F 8C AB 00 00 00 40 89 45 E4 C7 45 E8 00 00 00 00 8D 45 F8 8B 55 E8 03 D2 03 D2 8B 4D EC 8B 49 08 8B 54 D1 18 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 83 EE 02 85 F6 7C 2F 46 33 DB 8D 04 5B 8B 55 F8 8B 54 82 08 8B C7 E8 ?? ?? ?? ?? 84 C0 74 13 8D 04 5B 8B 55 F8 8B 54 82 08 33 C9 8B C7 E8 ?? ?? ?? ?? 43 4E 75 D4 8B 75 E8 03 F6 03 F6 8B 45 EC 8B 40 08 8B 5C F0 10 85 DB 74 20 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 13 8B 45 EC 8B 40 08 8B 54 F0 10 33 C9 8B C7 E8 ?? ?? ?? ?? FF 45 E8 FF 4D E4 0F 85 60 FF FF FF 8D 45 F4 50 E8 ?? ?? ?? ?? 8B 55 EC 8B 52 1C 33 C9 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 48 85 C0 7C 27 40 89 45 E4 33 DB 8B C3 03 C0 03 C0 8B 55 F4 8B 44 C2 04 83 C0 B8 8B 10 33 C9 8B C7 E8 ?? ?? ?? ?? 43 FF 4D E4 75 DF E8 ?? ?? ?? ?? 8D 4D F0 8B 55 EC 8B 52 1C E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 48 85 C0 7C 20 40 89 45 E4 33 DB 8B 45 F0 8B 04 D8 83 C0 B8 8B 10 33 C9 8B C7 E8 ?? ?? ?? ?? 43 FF 4D E4 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49579_0 {
	meta:
		name = "TWebServExp.GetDerivedClassSchema"
		size = 166
		refs = "0014 TRemRegEntry 0019 @InitializeRecord 0021 TWebServExp.GetDerivedClassSchema 002c RemClassRegistry 0031 TRemotableTypeRegistry.GetURICount 004a TRemotableTypeRegistry.GetURIMap 0059 GetTypeData 0062 TObject.InheritsFrom 0074 TWebServExp.GetSchemaTypes 0093 @FinalizeRecord 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 55 D8 89 45 DC 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 40 43 33 F6 E8 ?? ?? ?? ?? 8D 4D E0 8B D6 E8 ?? ?? ?? ?? 8B 7D E0 85 FF 74 23 8B 45 D8 E8 ?? ?? ?? ?? 8B 10 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 4D D8 8B 55 E4 8B 45 DC E8 ?? ?? ?? ?? 46 4B 75 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49580_0 {
	meta:
		name = "TWebServExp.FindOrAddSchema"
		size = 532
		refs = "001a TWebServExp.FindOrAddSchema 003f @UStrEqual 0070 @DynArrayLength 00ad TSchemaTypeArray 00b2 @DynArraySetLength 00c2 TWebServExp.GetXMLSchemaTypeName 00d3 @UStrAsg 0109 @UStrClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 83 7D F8 00 74 35 8B 45 FC 80 38 06 74 2D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 C6 45 F7 01 E9 8C 00 00 00 8B 46 2C E8 ?? ?? ?? ?? 48 85 C0 7C 1C 40 33 DB 8D 14 9B 8B 4E 2C 8B 54 91 08 3B 55 FC 75 06 C6 45 F7 01 EB 67 43 48 75 E7 8B 46 2C E8 ?? ?? ?? ?? 8B D8 8D 43 01 50 8D 46 2C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 4D F0 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8D 3C 9B 8B 46 2C 8D 04 B8 E8 ?? ?? ?? ?? 8B 46 2C 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 46 2C 8B 55 FC 89 54 B8 08 8B 46 2C C6 44 B8 10 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 20 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 31 00 39 00 39 00 39 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 30 00 2F 00 31 00 30 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 31 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_49581_0 {
	meta:
		name = "TWebServExp.IsSchemaGenerated"
		size = 121
		refs = "0019 @DynArrayLength 0042 @UStrEqual"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 89 14 24 8B F0 C6 44 24 08 01 8B 46 2C E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 48 45 33 DB 8D 3C 9B 8B 46 2C 8B 44 B8 08 3B 04 24 75 32 8B 46 2C 8B 44 B8 04 8B 54 24 04 E8 ?? ?? ?? ?? 75 20 8B 46 2C 80 7C B8 10 00 75 0F C6 44 24 08 00 8B 46 2C C6 44 B8 10 01 EB 0B C6 44 24 08 01 EB 04 43 4D 75 BB 0F B6 44 24 08 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49582_0 {
	meta:
		name = "TWebServExp.GetPrefixForTypeInfo"
		size = 75
		refs = "0010 @UStrClr 0018 @DynArrayLength 003b @UStrAsg"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F0 8B 04 24 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 48 85 C0 7C 24 40 33 DB 8D 3C 9B 8B 56 2C 3B 6C BA 08 75 11 8B 04 24 8B 56 2C 8B 54 BA 0C E8 ?? ?? ?? ?? EB 04 43 48 75 DF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49583_0 {
	meta:
		name = "TWebServExp.GetSchemaTypes"
		size = 176
		refs = "001b TWebServExp.GetSchemaTypes 002a TWebServExp.IsComplexType 003d RemClassRegistry 0047 TRemotableTypeRegistry.InfoToURI 0055 TWebServExp.FindOrAddSchema 006d TWebServExp.GetArraySchema 007b TWebServExp.GetClassSchema 0084 TWebServExp.GetDerivedClassSchema 009e @UStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 56 8D 45 F8 50 8D 45 F3 50 6A 01 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 E8 ?? ?? ?? ?? 84 C0 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2B 0F B6 06 2C 07 74 0F 2C 0A 75 20 8B D6 8B C3 E8 ?? ?? ?? ?? EB 15 8B 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49584_0 {
	meta:
		name = "TWebServExp.GetClassSchema"
		size = 168
		refs = "0013 TWebServExp.GetClassSchema 001a GetPropList 005a TWebServExp.IsComplexType 0071 TWebServExp.GetSchemaTypes 0090 @FreeMem 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 8B F8 6A 01 33 C9 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 7E 75 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 FC 4E 85 F6 7C 2F 46 33 DB 8B 45 F8 8B 04 98 8B 00 8B 10 8B C7 E8 ?? ?? ?? ?? 84 C0 74 13 8B 45 F8 8B 04 98 8B 00 8B 10 33 C9 8B C7 E8 ?? ?? ?? ?? 43 4E 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 7E 08 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 00 FF FF 03 00 }
	condition:
		$1
}

rule function_49585_0 {
	meta:
		name = "TWebServExp.GetArraySchema"
		size = 217
		refs = "001c TWebServExp.GetArraySchema 002c GetDynArrayNextInfo2 0073 GetDynArrayElTypeInfo 0094 TWebServExp.GetSchemaTypes 00c6 @UStrArrayClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 4D F8 8B FA 8B F0 8D 5D F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 89 03 C7 45 F0 01 00 00 00 EB 0F FF 45 F0 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 89 03 83 3B 00 74 0F 8B 03 80 38 11 75 08 8B 03 80 78 02 2E 74 DD 83 3B 00 74 08 8B 03 80 78 02 2E 75 0C 8D 4D F0 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 03 80 38 11 75 1A 83 7D FC 00 74 14 8B 45 FC 66 83 38 2E 74 0B 33 C9 8B 13 8B C6 E8 ?? ?? ?? ?? 8B 03 0F B6 00 3C 07 74 04 3C 03 75 0B 33 C9 8B 13 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49589_0 {
	meta:
		name = "crypt32.dll"
		size = 16
		refs = "0001 crypt32.dll 0006 @DelayLoadHelper2"
	strings:
		$1 = { 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 87 04 24 C3 }
	condition:
		$1
}

rule function_101888_0 {
	meta:
		name = "DWMAPI.DLL"
		size = 16
		refs = "0001 DWMAPI.DLL 0006 @DelayLoadHelper2"
	strings:
		$1 = { 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 87 04 24 C3 }
	condition:
		$1
}

rule function_110890_0 {
	meta:
		name = "advapi32.dll"
		size = 16
		refs = "0001 advapi32.dll 0006 @DelayLoadHelper2"
	strings:
		$1 = { 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 87 04 24 C3 }
	condition:
		$1
}

rule function_100080_0 {
	meta:
		name = "d3d10.dll"
		size = 16
		refs = "0001 d3d10.dll 0006 @DelayLoadHelper2"
	strings:
		$1 = { 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 87 04 24 C3 }
	condition:
		$1
}

rule function_100271_0 {
	meta:
		name = "d3d10_1.dll"
		size = 16
		refs = "0001 d3d10_1.dll 0006 @DelayLoadHelper2"
	strings:
		$1 = { 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 87 04 24 C3 }
	condition:
		$1
}

rule function_101772_0 {
	meta:
		name = "d3d9.dll"
		size = 16
		refs = "0001 d3d9.dll 0006 @DelayLoadHelper2"
	strings:
		$1 = { 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 87 04 24 C3 }
	condition:
		$1
}

rule function_100278_0 {
	meta:
		name = "d3dx10_41.dll"
		size = 16
		refs = "0001 d3dx10_41.dll 0006 @DelayLoadHelper2"
	strings:
		$1 = { 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 87 04 24 C3 }
	condition:
		$1
}

rule function_101988_0 {
	meta:
		name = "gdiplus.dll"
		size = 16
		refs = "0001 gdiplus.dll 0006 @DelayLoadHelper2"
	strings:
		$1 = { 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 87 04 24 C3 }
	condition:
		$1
}

rule function_104100_0 {
	meta:
		name = "imm32.dll"
		size = 16
		refs = "0001 imm32.dll 0006 @DelayLoadHelper2"
	strings:
		$1 = { 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 87 04 24 C3 }
	condition:
		$1
}

rule function_63897_0 {
	meta:
		name = "kernel32.dll"
		size = 16
		refs = "0001 kernel32.dll 0006 @DelayLoadHelper2"
	strings:
		$1 = { 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 87 04 24 C3 }
	condition:
		$1
}

rule function_106226_0 {
	meta:
		name = "propsys.dll"
		size = 16
		refs = "0001 propsys.dll 0006 @DelayLoadHelper2"
	strings:
		$1 = { 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 87 04 24 C3 }
	condition:
		$1
}

rule function_106400_0 {
	meta:
		name = "shell32.dll"
		size = 16
		refs = "0001 shell32.dll 0006 @DelayLoadHelper2"
	strings:
		$1 = { 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 87 04 24 C3 }
	condition:
		$1
}

rule function_109155_0 {
	meta:
		name = "user32.dll"
		size = 16
		refs = "0001 user32.dll 0006 @DelayLoadHelper2"
	strings:
		$1 = { 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 87 04 24 C3 }
	condition:
		$1
}

rule function_107395_0 {
	meta:
		name = "uxtheme.dll"
		size = 16
		refs = "0001 uxtheme.dll 0006 @DelayLoadHelper2"
	strings:
		$1 = { 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 87 04 24 C3 }
	condition:
		$1
}

rule function_107457_0 {
	meta:
		name = "windowscodecs.dll"
		size = 16
		refs = "0001 windowscodecs.dll 0006 @DelayLoadHelper2"
	strings:
		$1 = { 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 87 04 24 C3 }
	condition:
		$1
}

rule function_110755_0 {
	meta:
		name = "winspool.drv"
		size = 16
		refs = "0001 winspool.drv 0006 @DelayLoadHelper2"
	strings:
		$1 = { 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 87 04 24 C3 }
	condition:
		$1
}

rule function_109910_0 {
	meta:
		name = "wtsapi32.dll"
		size = 16
		refs = "0001 wtsapi32.dll 0006 @DelayLoadHelper2"
	strings:
		$1 = { 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 87 04 24 C3 }
	condition:
		$1
}

rule function_49590_0 {
	meta:
		name = "$thunk_CertOpenStore"
		size = 13
		refs = "0004 CertOpenStore 0009 crypt32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110077_0 {
	meta:
		name = "$thunk_ActivateActCtx"
		size = 13
		refs = "0004 ActivateActCtx 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109473_0 {
	meta:
		name = "$thunk_AddClipboardFormatListener"
		size = 13
		refs = "0004 AddClipboardFormatListener 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110758_0 {
	meta:
		name = "$thunk_AddPrinterConnection2A"
		size = 13
		refs = "0004 AddPrinterConnection2A 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110756_0 {
	meta:
		name = "$thunk_AddPrinterConnection2W"
		size = 13
		refs = "0004 AddPrinterConnection2W 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110071_0 {
	meta:
		name = "$thunk_AddRefActCtx"
		size = 13
		refs = "0004 AddRefActCtx 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106401_0 {
	meta:
		name = "$thunk_AssocCreateForClasses"
		size = 13
		refs = "0004 AssocCreateForClasses 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106640_0 {
	meta:
		name = "$thunk_AssocGetDetailsOfPropKey"
		size = 13
		refs = "0004 AssocGetDetailsOfPropKey 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107442_0 {
	meta:
		name = "$thunk_BeginBufferedAnimation"
		size = 13
		refs = "0004 BeginBufferedAnimation 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107422_0 {
	meta:
		name = "$thunk_BeginBufferedPaint"
		size = 13
		refs = "0004 BeginBufferedPaint 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107396_0 {
	meta:
		name = "$thunk_BeginPanningFeedback"
		size = 13
		refs = "0004 BeginPanningFeedback 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107434_0 {
	meta:
		name = "$thunk_BufferedPaintClear"
		size = 13
		refs = "0004 BufferedPaintClear 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107418_0 {
	meta:
		name = "$thunk_BufferedPaintInit"
		size = 13
		refs = "0004 BufferedPaintInit 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107446_0 {
	meta:
		name = "$thunk_BufferedPaintRenderAnimation"
		size = 13
		refs = "0004 BufferedPaintRenderAnimation 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107436_0 {
	meta:
		name = "$thunk_BufferedPaintSetAlpha"
		size = 13
		refs = "0004 BufferedPaintSetAlpha 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107440_0 {
	meta:
		name = "$thunk_BufferedPaintStopAllAnimations"
		size = 13
		refs = "0004 BufferedPaintStopAllAnimations 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107420_0 {
	meta:
		name = "$thunk_BufferedPaintUnInit"
		size = 13
		refs = "0004 BufferedPaintUnInit 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109156_0 {
	meta:
		name = "$thunk_CalculatePopupWindowPosition"
		size = 13
		refs = "0004 CalculatePopupWindowPosition 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_49592_0 {
	meta:
		name = "$thunk_CertCloseStore"
		size = 13
		refs = "0004 CertCloseStore 0009 crypt32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_49594_0 {
	meta:
		name = "$thunk_CertEnumCertificatesInStore"
		size = 13
		refs = "0004 CertEnumCertificatesInStore 0009 crypt32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_49596_0 {
	meta:
		name = "$thunk_CertFindCertificateInStore"
		size = 13
		refs = "0004 CertFindCertificateInStore 0009 crypt32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_49598_0 {
	meta:
		name = "$thunk_CertFreeCertificateContext"
		size = 13
		refs = "0004 CertFreeCertificateContext 0009 crypt32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_49602_0 {
	meta:
		name = "$thunk_CertGetNameStringW"
		size = 13
		refs = "0004 CertGetNameStringW 0009 crypt32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_49600_0 {
	meta:
		name = "$thunk_CertNameToStrW"
		size = 13
		refs = "0004 CertNameToStrW 0009 crypt32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_49604_0 {
	meta:
		name = "$thunk_CertOpenSystemStoreW"
		size = 13
		refs = "0004 CertOpenSystemStoreW 0009 crypt32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110041_0 {
	meta:
		name = "$thunk_CloseGestureInfoHandle"
		size = 13
		refs = "0004 CloseGestureInfoHandle 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110761_0 {
	meta:
		name = "$thunk_CloseSpoolFileHandle"
		size = 13
		refs = "0004 CloseSpoolFileHandle 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109215_0 {
	meta:
		name = "$thunk_CloseTouchInputHandle"
		size = 13
		refs = "0004 CloseTouchInputHandle 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110763_0 {
	meta:
		name = "$thunk_CommitSpoolData"
		size = 13
		refs = "0004 CommitSpoolData 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110898_0 {
	meta:
		name = "$thunk_ControlServiceExA"
		size = 13
		refs = "0004 ControlServiceExA 0009 advapi32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110896_0 {
	meta:
		name = "$thunk_ControlServiceExW"
		size = 13
		refs = "0004 ControlServiceExW 0009 advapi32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110767_0 {
	meta:
		name = "$thunk_CorePrinterDriverInstalledA"
		size = 13
		refs = "0004 CorePrinterDriverInstalledA 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110765_0 {
	meta:
		name = "$thunk_CorePrinterDriverInstalledW"
		size = 13
		refs = "0004 CorePrinterDriverInstalledW 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110066_0 {
	meta:
		name = "$thunk_CreateActCtxA"
		size = 13
		refs = "0004 CreateActCtxA 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110063_0 {
	meta:
		name = "$thunk_CreateActCtxW"
		size = 13
		refs = "0004 CreateActCtxW 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109236_0 {
	meta:
		name = "$thunk_CreateDesktopExA"
		size = 13
		refs = "0004 CreateDesktopExA 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109234_0 {
	meta:
		name = "$thunk_CreateDesktopExW"
		size = 13
		refs = "0004 CreateDesktopExW 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107791_0 {
	meta:
		name = "$thunk_CreateDirectoryTransactedA"
		size = 13
		refs = "0004 CreateDirectoryTransactedA 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107789_0 {
	meta:
		name = "$thunk_CreateDirectoryTransactedW"
		size = 13
		refs = "0004 CreateDirectoryTransactedW 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107806_0 {
	meta:
		name = "$thunk_CreateFileTransactedA"
		size = 13
		refs = "0004 CreateFileTransactedA 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107804_0 {
	meta:
		name = "$thunk_CreateFileTransactedW"
		size = 13
		refs = "0004 CreateFileTransactedW 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107817_0 {
	meta:
		name = "$thunk_CreateHardLinkTransactedA"
		size = 13
		refs = "0004 CreateHardLinkTransactedA 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107815_0 {
	meta:
		name = "$thunk_CreateHardLinkTransactedW"
		size = 13
		refs = "0004 CreateHardLinkTransactedW 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108223_0 {
	meta:
		name = "$thunk_CreateSymbolicLinkA"
		size = 13
		refs = "0004 CreateSymbolicLinkA 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108228_0 {
	meta:
		name = "$thunk_CreateSymbolicLinkTransactedA"
		size = 13
		refs = "0004 CreateSymbolicLinkTransactedA 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108226_0 {
	meta:
		name = "$thunk_CreateSymbolicLinkTransactedW"
		size = 13
		refs = "0004 CreateSymbolicLinkTransactedW 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108221_0 {
	meta:
		name = "$thunk_CreateSymbolicLinkW"
		size = 13
		refs = "0004 CreateSymbolicLinkW 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100251_0 {
	meta:
		name = "$thunk_D3D10CompileEffectFromMemory"
		size = 13
		refs = "0004 D3D10CompileEffectFromMemory 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100099_0 {
	meta:
		name = "$thunk_D3D10CompileShader"
		size = 13
		refs = "0004 D3D10CompileShader 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100086_0 {
	meta:
		name = "$thunk_D3D10CreateBlob"
		size = 13
		refs = "0004 D3D10CreateBlob 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100081_0 {
	meta:
		name = "$thunk_D3D10CreateDevice"
		size = 13
		refs = "0004 D3D10CreateDevice 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100272_0 {
	meta:
		name = "$thunk_D3D10CreateDevice1"
		size = 13
		refs = "0004 D3D10CreateDevice1 0009 d3d10_1.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100083_0 {
	meta:
		name = "$thunk_D3D10CreateDeviceAndSwapChain"
		size = 13
		refs = "0004 D3D10CreateDeviceAndSwapChain 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100274_0 {
	meta:
		name = "$thunk_D3D10CreateDeviceAndSwapChain1"
		size = 13
		refs = "0004 D3D10CreateDeviceAndSwapChain1 0009 d3d10_1.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100253_0 {
	meta:
		name = "$thunk_D3D10CreateEffectFromMemory"
		size = 13
		refs = "0004 D3D10CreateEffectFromMemory 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100255_0 {
	meta:
		name = "$thunk_D3D10CreateEffectPoolFromMemory"
		size = 13
		refs = "0004 D3D10CreateEffectPoolFromMemory 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100137_0 {
	meta:
		name = "$thunk_D3D10CreateStateBlock"
		size = 13
		refs = "0004 D3D10CreateStateBlock 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100257_0 {
	meta:
		name = "$thunk_D3D10DisassembleEffect"
		size = 13
		refs = "0004 D3D10DisassembleEffect 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100101_0 {
	meta:
		name = "$thunk_D3D10DisassembleShader"
		size = 13
		refs = "0004 D3D10DisassembleShader 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100107_0 {
	meta:
		name = "$thunk_D3D10GetGeometryShaderProfile"
		size = 13
		refs = "0004 D3D10GetGeometryShaderProfile 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100117_0 {
	meta:
		name = "$thunk_D3D10GetInputAndOutputSignatureBlob"
		size = 13
		refs = "0004 D3D10GetInputAndOutputSignatureBlob 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100113_0 {
	meta:
		name = "$thunk_D3D10GetInputSignatureBlob"
		size = 13
		refs = "0004 D3D10GetInputSignatureBlob 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100115_0 {
	meta:
		name = "$thunk_D3D10GetOutputSignatureBlob"
		size = 13
		refs = "0004 D3D10GetOutputSignatureBlob 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100103_0 {
	meta:
		name = "$thunk_D3D10GetPixelShaderProfile"
		size = 13
		refs = "0004 D3D10GetPixelShaderProfile 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100119_0 {
	meta:
		name = "$thunk_D3D10GetShaderDebugInfo"
		size = 13
		refs = "0004 D3D10GetShaderDebugInfo 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100105_0 {
	meta:
		name = "$thunk_D3D10GetVertexShaderProfile"
		size = 13
		refs = "0004 D3D10GetVertexShaderProfile 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100111_0 {
	meta:
		name = "$thunk_D3D10PreprocessShader"
		size = 13
		refs = "0004 D3D10PreprocessShader 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100109_0 {
	meta:
		name = "$thunk_D3D10ReflectShader"
		size = 13
		refs = "0004 D3D10ReflectShader 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100125_0 {
	meta:
		name = "$thunk_D3D10StateBlockMaskDifference"
		size = 13
		refs = "0004 D3D10StateBlockMaskDifference 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100133_0 {
	meta:
		name = "$thunk_D3D10StateBlockMaskDisableAll"
		size = 13
		refs = "0004 D3D10StateBlockMaskDisableAll 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100129_0 {
	meta:
		name = "$thunk_D3D10StateBlockMaskDisableCapture"
		size = 13
		refs = "0004 D3D10StateBlockMaskDisableCapture 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100131_0 {
	meta:
		name = "$thunk_D3D10StateBlockMaskEnableAll"
		size = 13
		refs = "0004 D3D10StateBlockMaskEnableAll 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100127_0 {
	meta:
		name = "$thunk_D3D10StateBlockMaskEnableCapture"
		size = 13
		refs = "0004 D3D10StateBlockMaskEnableCapture 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100135_0 {
	meta:
		name = "$thunk_D3D10StateBlockMaskGetSetting"
		size = 13
		refs = "0004 D3D10StateBlockMaskGetSetting 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100123_0 {
	meta:
		name = "$thunk_D3D10StateBlockMaskIntersect"
		size = 13
		refs = "0004 D3D10StateBlockMaskIntersect 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100121_0 {
	meta:
		name = "$thunk_D3D10StateBlockMaskUnion"
		size = 13
		refs = "0004 D3D10StateBlockMaskUnion 0009 d3d10.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100503_0 {
	meta:
		name = "$thunk_D3DX10CheckVersion"
		size = 13
		refs = "0004 D3DX10CheckVersion 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100584_0 {
	meta:
		name = "$thunk_D3DX10CompileFromFileA"
		size = 13
		refs = "0004 D3DX10CompileFromFileA 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100582_0 {
	meta:
		name = "$thunk_D3DX10CompileFromFileW"
		size = 13
		refs = "0004 D3DX10CompileFromFileW 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100592_0 {
	meta:
		name = "$thunk_D3DX10CompileFromMemory"
		size = 13
		refs = "0004 D3DX10CompileFromMemory 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100589_0 {
	meta:
		name = "$thunk_D3DX10CompileFromResourceA"
		size = 13
		refs = "0004 D3DX10CompileFromResourceA 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100587_0 {
	meta:
		name = "$thunk_D3DX10CompileFromResourceW"
		size = 13
		refs = "0004 D3DX10CompileFromResourceW 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100574_0 {
	meta:
		name = "$thunk_D3DX10ComputeNormalMap"
		size = 13
		refs = "0004 D3DX10ComputeNormalMap 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100630_0 {
	meta:
		name = "$thunk_D3DX10CreateAsyncCompilerProcessor"
		size = 13
		refs = "0004 D3DX10CreateAsyncCompilerProcessor 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100632_0 {
	meta:
		name = "$thunk_D3DX10CreateAsyncEffectCreateProcessor"
		size = 13
		refs = "0004 D3DX10CreateAsyncEffectCreateProcessor 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100634_0 {
	meta:
		name = "$thunk_D3DX10CreateAsyncEffectPoolCreateProcessor"
		size = 13
		refs = "0004 D3DX10CreateAsyncEffectPoolCreateProcessor 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100640_0 {
	meta:
		name = "$thunk_D3DX10CreateAsyncFileLoaderA"
		size = 13
		refs = "0004 D3DX10CreateAsyncFileLoaderA 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100638_0 {
	meta:
		name = "$thunk_D3DX10CreateAsyncFileLoaderW"
		size = 13
		refs = "0004 D3DX10CreateAsyncFileLoaderW 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100643_0 {
	meta:
		name = "$thunk_D3DX10CreateAsyncMemoryLoader"
		size = 13
		refs = "0004 D3DX10CreateAsyncMemoryLoader 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100647_0 {
	meta:
		name = "$thunk_D3DX10CreateAsyncResourceLoaderA"
		size = 13
		refs = "0004 D3DX10CreateAsyncResourceLoaderA 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100645_0 {
	meta:
		name = "$thunk_D3DX10CreateAsyncResourceLoaderW"
		size = 13
		refs = "0004 D3DX10CreateAsyncResourceLoaderW 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100636_0 {
	meta:
		name = "$thunk_D3DX10CreateAsyncShaderPreprocessProcessor"
		size = 13
		refs = "0004 D3DX10CreateAsyncShaderPreprocessProcessor 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100654_0 {
	meta:
		name = "$thunk_D3DX10CreateAsyncShaderResourceViewProcessor"
		size = 13
		refs = "0004 D3DX10CreateAsyncShaderResourceViewProcessor 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100652_0 {
	meta:
		name = "$thunk_D3DX10CreateAsyncTextureInfoProcessor"
		size = 13
		refs = "0004 D3DX10CreateAsyncTextureInfoProcessor 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100650_0 {
	meta:
		name = "$thunk_D3DX10CreateAsyncTextureProcessor"
		size = 13
		refs = "0004 D3DX10CreateAsyncTextureProcessor 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100497_0 {
	meta:
		name = "$thunk_D3DX10CreateDevice"
		size = 13
		refs = "0004 D3DX10CreateDevice 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100499_0 {
	meta:
		name = "$thunk_D3DX10CreateDeviceAndSwapChain"
		size = 13
		refs = "0004 D3DX10CreateDeviceAndSwapChain 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100596_0 {
	meta:
		name = "$thunk_D3DX10CreateEffectFromFileA"
		size = 13
		refs = "0004 D3DX10CreateEffectFromFileA 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100594_0 {
	meta:
		name = "$thunk_D3DX10CreateEffectFromFileW"
		size = 13
		refs = "0004 D3DX10CreateEffectFromFileW 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100599_0 {
	meta:
		name = "$thunk_D3DX10CreateEffectFromMemory"
		size = 13
		refs = "0004 D3DX10CreateEffectFromMemory 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100603_0 {
	meta:
		name = "$thunk_D3DX10CreateEffectFromResourceA"
		size = 13
		refs = "0004 D3DX10CreateEffectFromResourceA 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100601_0 {
	meta:
		name = "$thunk_D3DX10CreateEffectFromResourceW"
		size = 13
		refs = "0004 D3DX10CreateEffectFromResourceW 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100608_0 {
	meta:
		name = "$thunk_D3DX10CreateEffectPoolFromFileA"
		size = 13
		refs = "0004 D3DX10CreateEffectPoolFromFileA 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100606_0 {
	meta:
		name = "$thunk_D3DX10CreateEffectPoolFromFileW"
		size = 13
		refs = "0004 D3DX10CreateEffectPoolFromFileW 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100611_0 {
	meta:
		name = "$thunk_D3DX10CreateEffectPoolFromMemory"
		size = 13
		refs = "0004 D3DX10CreateEffectPoolFromMemory 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100615_0 {
	meta:
		name = "$thunk_D3DX10CreateEffectPoolFromResourceA"
		size = 13
		refs = "0004 D3DX10CreateEffectPoolFromResourceA 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100613_0 {
	meta:
		name = "$thunk_D3DX10CreateEffectPoolFromResourceW"
		size = 13
		refs = "0004 D3DX10CreateEffectPoolFromResourceW 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100517_0 {
	meta:
		name = "$thunk_D3DX10CreateFontA"
		size = 13
		refs = "0004 D3DX10CreateFontA 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100522_0 {
	meta:
		name = "$thunk_D3DX10CreateFontIndirectA"
		size = 13
		refs = "0004 D3DX10CreateFontIndirectA 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100520_0 {
	meta:
		name = "$thunk_D3DX10CreateFontIndirectW"
		size = 13
		refs = "0004 D3DX10CreateFontIndirectW 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100515_0 {
	meta:
		name = "$thunk_D3DX10CreateFontW"
		size = 13
		refs = "0004 D3DX10CreateFontW 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100578_0 {
	meta:
		name = "$thunk_D3DX10CreateMesh"
		size = 13
		refs = "0004 D3DX10CreateMesh 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100541_0 {
	meta:
		name = "$thunk_D3DX10CreateShaderResourceViewFromFileA"
		size = 13
		refs = "0004 D3DX10CreateShaderResourceViewFromFileA 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100539_0 {
	meta:
		name = "$thunk_D3DX10CreateShaderResourceViewFromFileW"
		size = 13
		refs = "0004 D3DX10CreateShaderResourceViewFromFileW 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100559_0 {
	meta:
		name = "$thunk_D3DX10CreateShaderResourceViewFromMemory"
		size = 13
		refs = "0004 D3DX10CreateShaderResourceViewFromMemory 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100551_0 {
	meta:
		name = "$thunk_D3DX10CreateShaderResourceViewFromResourceA"
		size = 13
		refs = "0004 D3DX10CreateShaderResourceViewFromResourceA 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100549_0 {
	meta:
		name = "$thunk_D3DX10CreateShaderResourceViewFromResourceW"
		size = 13
		refs = "0004 D3DX10CreateShaderResourceViewFromResourceW 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100580_0 {
	meta:
		name = "$thunk_D3DX10CreateSkinInfo"
		size = 13
		refs = "0004 D3DX10CreateSkinInfo 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100505_0 {
	meta:
		name = "$thunk_D3DX10CreateSprite"
		size = 13
		refs = "0004 D3DX10CreateSprite 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100546_0 {
	meta:
		name = "$thunk_D3DX10CreateTextureFromFileA"
		size = 13
		refs = "0004 D3DX10CreateTextureFromFileA 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100544_0 {
	meta:
		name = "$thunk_D3DX10CreateTextureFromFileW"
		size = 13
		refs = "0004 D3DX10CreateTextureFromFileW 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100561_0 {
	meta:
		name = "$thunk_D3DX10CreateTextureFromMemory"
		size = 13
		refs = "0004 D3DX10CreateTextureFromMemory 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100556_0 {
	meta:
		name = "$thunk_D3DX10CreateTextureFromResourceA"
		size = 13
		refs = "0004 D3DX10CreateTextureFromResourceA 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100554_0 {
	meta:
		name = "$thunk_D3DX10CreateTextureFromResourceW"
		size = 13
		refs = "0004 D3DX10CreateTextureFromResourceW 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100513_0 {
	meta:
		name = "$thunk_D3DX10CreateThreadPump"
		size = 13
		refs = "0004 D3DX10CreateThreadPump 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100565_0 {
	meta:
		name = "$thunk_D3DX10FilterTexture"
		size = 13
		refs = "0004 D3DX10FilterTexture 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100501_0 {
	meta:
		name = "$thunk_D3DX10GetFeatureLevel1"
		size = 13
		refs = "0004 D3DX10GetFeatureLevel1 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100529_0 {
	meta:
		name = "$thunk_D3DX10GetImageInfoFromFileA"
		size = 13
		refs = "0004 D3DX10GetImageInfoFromFileA 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100527_0 {
	meta:
		name = "$thunk_D3DX10GetImageInfoFromFileW"
		size = 13
		refs = "0004 D3DX10GetImageInfoFromFileW 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100537_0 {
	meta:
		name = "$thunk_D3DX10GetImageInfoFromMemory"
		size = 13
		refs = "0004 D3DX10GetImageInfoFromMemory 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100534_0 {
	meta:
		name = "$thunk_D3DX10GetImageInfoFromResourceA"
		size = 13
		refs = "0004 D3DX10GetImageInfoFromResourceA 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100532_0 {
	meta:
		name = "$thunk_D3DX10GetImageInfoFromResourceW"
		size = 13
		refs = "0004 D3DX10GetImageInfoFromResourceW 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100563_0 {
	meta:
		name = "$thunk_D3DX10LoadTextureFromTexture"
		size = 13
		refs = "0004 D3DX10LoadTextureFromTexture 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100620_0 {
	meta:
		name = "$thunk_D3DX10PreprocessShaderFromFileA"
		size = 13
		refs = "0004 D3DX10PreprocessShaderFromFileA 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100618_0 {
	meta:
		name = "$thunk_D3DX10PreprocessShaderFromFileW"
		size = 13
		refs = "0004 D3DX10PreprocessShaderFromFileW 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100623_0 {
	meta:
		name = "$thunk_D3DX10PreprocessShaderFromMemory"
		size = 13
		refs = "0004 D3DX10PreprocessShaderFromMemory 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100627_0 {
	meta:
		name = "$thunk_D3DX10PreprocessShaderFromResourceA"
		size = 13
		refs = "0004 D3DX10PreprocessShaderFromResourceA 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100625_0 {
	meta:
		name = "$thunk_D3DX10PreprocessShaderFromResourceW"
		size = 13
		refs = "0004 D3DX10PreprocessShaderFromResourceW 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100576_0 {
	meta:
		name = "$thunk_D3DX10SHProjectCubeMap"
		size = 13
		refs = "0004 D3DX10SHProjectCubeMap 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100569_0 {
	meta:
		name = "$thunk_D3DX10SaveTextureToFileA"
		size = 13
		refs = "0004 D3DX10SaveTextureToFileA 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100567_0 {
	meta:
		name = "$thunk_D3DX10SaveTextureToFileW"
		size = 13
		refs = "0004 D3DX10SaveTextureToFileW 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100572_0 {
	meta:
		name = "$thunk_D3DX10SaveTextureToMemory"
		size = 13
		refs = "0004 D3DX10SaveTextureToMemory 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100525_0 {
	meta:
		name = "$thunk_D3DX10UnsetAllDeviceObjects"
		size = 13
		refs = "0004 D3DX10UnsetAllDeviceObjects 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100489_0 {
	meta:
		name = "$thunk_D3DXBoxBoundProbe"
		size = 13
		refs = "0004 D3DXBoxBoundProbe 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100449_0 {
	meta:
		name = "$thunk_D3DXColorAdjustContrast"
		size = 13
		refs = "0004 D3DXColorAdjustContrast 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100447_0 {
	meta:
		name = "$thunk_D3DXColorAdjustSaturation"
		size = 13
		refs = "0004 D3DXColorAdjustSaturation 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100493_0 {
	meta:
		name = "$thunk_D3DXComputeBoundingBox"
		size = 13
		refs = "0004 D3DXComputeBoundingBox 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100491_0 {
	meta:
		name = "$thunk_D3DXComputeBoundingSphere"
		size = 13
		refs = "0004 D3DXComputeBoundingSphere 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100495_0 {
	meta:
		name = "$thunk_D3DXCpuOptimizations"
		size = 13
		refs = "0004 D3DXCpuOptimizations 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100453_0 {
	meta:
		name = "$thunk_D3DXCreateMatrixStack"
		size = 13
		refs = "0004 D3DXCreateMatrixStack 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100281_0 {
	meta:
		name = "$thunk_D3DXFloat16To32Array"
		size = 13
		refs = "0004 D3DXFloat16To32Array 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100279_0 {
	meta:
		name = "$thunk_D3DXFloat32To16Array"
		size = 13
		refs = "0004 D3DXFloat32To16Array 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100451_0 {
	meta:
		name = "$thunk_D3DXFresnelTerm"
		size = 13
		refs = "0004 D3DXFresnelTerm 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100485_0 {
	meta:
		name = "$thunk_D3DXIntersectTri"
		size = 13
		refs = "0004 D3DXIntersectTri 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100377_0 {
	meta:
		name = "$thunk_D3DXMatrixAffineTransformation"
		size = 13
		refs = "0004 D3DXMatrixAffineTransformation 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100379_0 {
	meta:
		name = "$thunk_D3DXMatrixAffineTransformation2D"
		size = 13
		refs = "0004 D3DXMatrixAffineTransformation2D 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100347_0 {
	meta:
		name = "$thunk_D3DXMatrixDecompose"
		size = 13
		refs = "0004 D3DXMatrixDecompose 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100345_0 {
	meta:
		name = "$thunk_D3DXMatrixDeterminant"
		size = 13
		refs = "0004 D3DXMatrixDeterminant 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100355_0 {
	meta:
		name = "$thunk_D3DXMatrixInverse"
		size = 13
		refs = "0004 D3DXMatrixInverse 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100383_0 {
	meta:
		name = "$thunk_D3DXMatrixLookAtLH"
		size = 13
		refs = "0004 D3DXMatrixLookAtLH 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100381_0 {
	meta:
		name = "$thunk_D3DXMatrixLookAtRH"
		size = 13
		refs = "0004 D3DXMatrixLookAtRH 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100351_0 {
	meta:
		name = "$thunk_D3DXMatrixMultiply"
		size = 13
		refs = "0004 D3DXMatrixMultiply 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100353_0 {
	meta:
		name = "$thunk_D3DXMatrixMultiplyTranspose"
		size = 13
		refs = "0004 D3DXMatrixMultiplyTranspose 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100399_0 {
	meta:
		name = "$thunk_D3DXMatrixOrthoLH"
		size = 13
		refs = "0004 D3DXMatrixOrthoLH 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100403_0 {
	meta:
		name = "$thunk_D3DXMatrixOrthoOffCenterLH"
		size = 13
		refs = "0004 D3DXMatrixOrthoOffCenterLH 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100401_0 {
	meta:
		name = "$thunk_D3DXMatrixOrthoOffCenterRH"
		size = 13
		refs = "0004 D3DXMatrixOrthoOffCenterRH 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100397_0 {
	meta:
		name = "$thunk_D3DXMatrixOrthoRH"
		size = 13
		refs = "0004 D3DXMatrixOrthoRH 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100391_0 {
	meta:
		name = "$thunk_D3DXMatrixPerspectiveFovLH"
		size = 13
		refs = "0004 D3DXMatrixPerspectiveFovLH 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100389_0 {
	meta:
		name = "$thunk_D3DXMatrixPerspectiveFovRH"
		size = 13
		refs = "0004 D3DXMatrixPerspectiveFovRH 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100387_0 {
	meta:
		name = "$thunk_D3DXMatrixPerspectiveLH"
		size = 13
		refs = "0004 D3DXMatrixPerspectiveLH 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100395_0 {
	meta:
		name = "$thunk_D3DXMatrixPerspectiveOffCenterLH"
		size = 13
		refs = "0004 D3DXMatrixPerspectiveOffCenterLH 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100393_0 {
	meta:
		name = "$thunk_D3DXMatrixPerspectiveOffCenterRH"
		size = 13
		refs = "0004 D3DXMatrixPerspectiveOffCenterRH 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100385_0 {
	meta:
		name = "$thunk_D3DXMatrixPerspectiveRH"
		size = 13
		refs = "0004 D3DXMatrixPerspectiveRH 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100407_0 {
	meta:
		name = "$thunk_D3DXMatrixReflect"
		size = 13
		refs = "0004 D3DXMatrixReflect 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100367_0 {
	meta:
		name = "$thunk_D3DXMatrixRotationAxis"
		size = 13
		refs = "0004 D3DXMatrixRotationAxis 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100369_0 {
	meta:
		name = "$thunk_D3DXMatrixRotationQuaternion"
		size = 13
		refs = "0004 D3DXMatrixRotationQuaternion 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100361_0 {
	meta:
		name = "$thunk_D3DXMatrixRotationX"
		size = 13
		refs = "0004 D3DXMatrixRotationX 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100363_0 {
	meta:
		name = "$thunk_D3DXMatrixRotationY"
		size = 13
		refs = "0004 D3DXMatrixRotationY 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100371_0 {
	meta:
		name = "$thunk_D3DXMatrixRotationYawPitchRoll"
		size = 13
		refs = "0004 D3DXMatrixRotationYawPitchRoll 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100365_0 {
	meta:
		name = "$thunk_D3DXMatrixRotationZ"
		size = 13
		refs = "0004 D3DXMatrixRotationZ 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100357_0 {
	meta:
		name = "$thunk_D3DXMatrixScaling"
		size = 13
		refs = "0004 D3DXMatrixScaling 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100405_0 {
	meta:
		name = "$thunk_D3DXMatrixShadow"
		size = 13
		refs = "0004 D3DXMatrixShadow 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100373_0 {
	meta:
		name = "$thunk_D3DXMatrixTransformation"
		size = 13
		refs = "0004 D3DXMatrixTransformation 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100375_0 {
	meta:
		name = "$thunk_D3DXMatrixTransformation2D"
		size = 13
		refs = "0004 D3DXMatrixTransformation2D 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100359_0 {
	meta:
		name = "$thunk_D3DXMatrixTranslation"
		size = 13
		refs = "0004 D3DXMatrixTranslation 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100349_0 {
	meta:
		name = "$thunk_D3DXMatrixTranspose"
		size = 13
		refs = "0004 D3DXMatrixTranspose 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100439_0 {
	meta:
		name = "$thunk_D3DXPlaneFromPointNormal"
		size = 13
		refs = "0004 D3DXPlaneFromPointNormal 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100441_0 {
	meta:
		name = "$thunk_D3DXPlaneFromPoints"
		size = 13
		refs = "0004 D3DXPlaneFromPoints 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100437_0 {
	meta:
		name = "$thunk_D3DXPlaneIntersectLine"
		size = 13
		refs = "0004 D3DXPlaneIntersectLine 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100435_0 {
	meta:
		name = "$thunk_D3DXPlaneNormalize"
		size = 13
		refs = "0004 D3DXPlaneNormalize 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100443_0 {
	meta:
		name = "$thunk_D3DXPlaneTransform"
		size = 13
		refs = "0004 D3DXPlaneTransform 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100445_0 {
	meta:
		name = "$thunk_D3DXPlaneTransformArray"
		size = 13
		refs = "0004 D3DXPlaneTransformArray 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100433_0 {
	meta:
		name = "$thunk_D3DXQuaternionBaryCentric"
		size = 13
		refs = "0004 D3DXQuaternionBaryCentric 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100425_0 {
	meta:
		name = "$thunk_D3DXQuaternionExp"
		size = 13
		refs = "0004 D3DXQuaternionExp 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100421_0 {
	meta:
		name = "$thunk_D3DXQuaternionInverse"
		size = 13
		refs = "0004 D3DXQuaternionInverse 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100423_0 {
	meta:
		name = "$thunk_D3DXQuaternionLn"
		size = 13
		refs = "0004 D3DXQuaternionLn 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100417_0 {
	meta:
		name = "$thunk_D3DXQuaternionMultiply"
		size = 13
		refs = "0004 D3DXQuaternionMultiply 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100419_0 {
	meta:
		name = "$thunk_D3DXQuaternionNormalize"
		size = 13
		refs = "0004 D3DXQuaternionNormalize 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100413_0 {
	meta:
		name = "$thunk_D3DXQuaternionRotationAxis"
		size = 13
		refs = "0004 D3DXQuaternionRotationAxis 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100411_0 {
	meta:
		name = "$thunk_D3DXQuaternionRotationMatrix"
		size = 13
		refs = "0004 D3DXQuaternionRotationMatrix 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100415_0 {
	meta:
		name = "$thunk_D3DXQuaternionRotationYawPitchRoll"
		size = 13
		refs = "0004 D3DXQuaternionRotationYawPitchRoll 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100427_0 {
	meta:
		name = "$thunk_D3DXQuaternionSlerp"
		size = 13
		refs = "0004 D3DXQuaternionSlerp 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100429_0 {
	meta:
		name = "$thunk_D3DXQuaternionSquad"
		size = 13
		refs = "0004 D3DXQuaternionSquad 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100431_0 {
	meta:
		name = "$thunk_D3DXQuaternionSquadSetup"
		size = 13
		refs = "0004 D3DXQuaternionSquadSetup 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100409_0 {
	meta:
		name = "$thunk_D3DXQuaternionToAxisAngle"
		size = 13
		refs = "0004 D3DXQuaternionToAxisAngle 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100461_0 {
	meta:
		name = "$thunk_D3DXSHAdd"
		size = 13
		refs = "0004 D3DXSHAdd 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100465_0 {
	meta:
		name = "$thunk_D3DXSHDot"
		size = 13
		refs = "0004 D3DXSHDot 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100481_0 {
	meta:
		name = "$thunk_D3DXSHEvalConeLight"
		size = 13
		refs = "0004 D3DXSHEvalConeLight 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100455_0 {
	meta:
		name = "$thunk_D3DXSHEvalDirection"
		size = 13
		refs = "0004 D3DXSHEvalDirection 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100477_0 {
	meta:
		name = "$thunk_D3DXSHEvalDirectionalLight"
		size = 13
		refs = "0004 D3DXSHEvalDirectionalLight 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100483_0 {
	meta:
		name = "$thunk_D3DXSHEvalHemisphereLight"
		size = 13
		refs = "0004 D3DXSHEvalHemisphereLight 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100479_0 {
	meta:
		name = "$thunk_D3DXSHEvalSphericalLight"
		size = 13
		refs = "0004 D3DXSHEvalSphericalLight 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100467_0 {
	meta:
		name = "$thunk_D3DXSHMultiply2"
		size = 13
		refs = "0004 D3DXSHMultiply2 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100469_0 {
	meta:
		name = "$thunk_D3DXSHMultiply3"
		size = 13
		refs = "0004 D3DXSHMultiply3 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100471_0 {
	meta:
		name = "$thunk_D3DXSHMultiply4"
		size = 13
		refs = "0004 D3DXSHMultiply4 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100473_0 {
	meta:
		name = "$thunk_D3DXSHMultiply5"
		size = 13
		refs = "0004 D3DXSHMultiply5 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100475_0 {
	meta:
		name = "$thunk_D3DXSHMultiply6"
		size = 13
		refs = "0004 D3DXSHMultiply6 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100457_0 {
	meta:
		name = "$thunk_D3DXSHRotate"
		size = 13
		refs = "0004 D3DXSHRotate 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100459_0 {
	meta:
		name = "$thunk_D3DXSHRotateZ"
		size = 13
		refs = "0004 D3DXSHRotateZ 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100463_0 {
	meta:
		name = "$thunk_D3DXSHScale"
		size = 13
		refs = "0004 D3DXSHScale 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100487_0 {
	meta:
		name = "$thunk_D3DXSphereBoundProbe"
		size = 13
		refs = "0004 D3DXSphereBoundProbe 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100289_0 {
	meta:
		name = "$thunk_D3DXVec2BaryCentric"
		size = 13
		refs = "0004 D3DXVec2BaryCentric 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100287_0 {
	meta:
		name = "$thunk_D3DXVec2CatmullRom"
		size = 13
		refs = "0004 D3DXVec2CatmullRom 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100285_0 {
	meta:
		name = "$thunk_D3DXVec2Hermite"
		size = 13
		refs = "0004 D3DXVec2Hermite 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100283_0 {
	meta:
		name = "$thunk_D3DXVec2Normalize"
		size = 13
		refs = "0004 D3DXVec2Normalize 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100291_0 {
	meta:
		name = "$thunk_D3DXVec2Transform"
		size = 13
		refs = "0004 D3DXVec2Transform 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100297_0 {
	meta:
		name = "$thunk_D3DXVec2TransformArray"
		size = 13
		refs = "0004 D3DXVec2TransformArray 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100293_0 {
	meta:
		name = "$thunk_D3DXVec2TransformCoord"
		size = 13
		refs = "0004 D3DXVec2TransformCoord 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100299_0 {
	meta:
		name = "$thunk_D3DXVec2TransformCoordArray"
		size = 13
		refs = "0004 D3DXVec2TransformCoordArray 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100295_0 {
	meta:
		name = "$thunk_D3DXVec2TransformNormal"
		size = 13
		refs = "0004 D3DXVec2TransformNormal 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100301_0 {
	meta:
		name = "$thunk_D3DXVec2TransformNormalArray"
		size = 13
		refs = "0004 D3DXVec2TransformNormalArray 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100309_0 {
	meta:
		name = "$thunk_D3DXVec3BaryCentric"
		size = 13
		refs = "0004 D3DXVec3BaryCentric 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100307_0 {
	meta:
		name = "$thunk_D3DXVec3CatmullRom"
		size = 13
		refs = "0004 D3DXVec3CatmullRom 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100305_0 {
	meta:
		name = "$thunk_D3DXVec3Hermite"
		size = 13
		refs = "0004 D3DXVec3Hermite 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100303_0 {
	meta:
		name = "$thunk_D3DXVec3Normalize"
		size = 13
		refs = "0004 D3DXVec3Normalize 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100323_0 {
	meta:
		name = "$thunk_D3DXVec3Project"
		size = 13
		refs = "0004 D3DXVec3Project 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100327_0 {
	meta:
		name = "$thunk_D3DXVec3ProjectArray"
		size = 13
		refs = "0004 D3DXVec3ProjectArray 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100311_0 {
	meta:
		name = "$thunk_D3DXVec3Transform"
		size = 13
		refs = "0004 D3DXVec3Transform 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100317_0 {
	meta:
		name = "$thunk_D3DXVec3TransformArray"
		size = 13
		refs = "0004 D3DXVec3TransformArray 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100313_0 {
	meta:
		name = "$thunk_D3DXVec3TransformCoord"
		size = 13
		refs = "0004 D3DXVec3TransformCoord 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100319_0 {
	meta:
		name = "$thunk_D3DXVec3TransformCoordArray"
		size = 13
		refs = "0004 D3DXVec3TransformCoordArray 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100315_0 {
	meta:
		name = "$thunk_D3DXVec3TransformNormal"
		size = 13
		refs = "0004 D3DXVec3TransformNormal 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100321_0 {
	meta:
		name = "$thunk_D3DXVec3TransformNormalArray"
		size = 13
		refs = "0004 D3DXVec3TransformNormalArray 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100325_0 {
	meta:
		name = "$thunk_D3DXVec3Unproject"
		size = 13
		refs = "0004 D3DXVec3Unproject 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100329_0 {
	meta:
		name = "$thunk_D3DXVec3UnprojectArray"
		size = 13
		refs = "0004 D3DXVec3UnprojectArray 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100339_0 {
	meta:
		name = "$thunk_D3DXVec4BaryCentric"
		size = 13
		refs = "0004 D3DXVec4BaryCentric 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100337_0 {
	meta:
		name = "$thunk_D3DXVec4CatmullRom"
		size = 13
		refs = "0004 D3DXVec4CatmullRom 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100331_0 {
	meta:
		name = "$thunk_D3DXVec4Cross"
		size = 13
		refs = "0004 D3DXVec4Cross 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100335_0 {
	meta:
		name = "$thunk_D3DXVec4Hermite"
		size = 13
		refs = "0004 D3DXVec4Hermite 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100333_0 {
	meta:
		name = "$thunk_D3DXVec4Normalize"
		size = 13
		refs = "0004 D3DXVec4Normalize 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100341_0 {
	meta:
		name = "$thunk_D3DXVec4Transform"
		size = 13
		refs = "0004 D3DXVec4Transform 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_100343_0 {
	meta:
		name = "$thunk_D3DXVec4TransformArray"
		size = 13
		refs = "0004 D3DXVec4TransformArray 0009 d3dx10_41.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110080_0 {
	meta:
		name = "$thunk_DeactivateActCtx"
		size = 13
		refs = "0004 DeactivateActCtx 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107861_0 {
	meta:
		name = "$thunk_DeleteFileTransactedA"
		size = 13
		refs = "0004 DeleteFileTransactedA 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107859_0 {
	meta:
		name = "$thunk_DeleteFileTransactedW"
		size = 13
		refs = "0004 DeleteFileTransactedW 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110772_0 {
	meta:
		name = "$thunk_DeletePrinterDriverPackageA"
		size = 13
		refs = "0004 DeletePrinterDriverPackageA 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110770_0 {
	meta:
		name = "$thunk_DeletePrinterDriverPackageW"
		size = 13
		refs = "0004 DeletePrinterDriverPackageW 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101773_0 {
	meta:
		name = "$thunk_Direct3DCreate9Ex"
		size = 13
		refs = "0004 Direct3DCreate9Ex 0009 d3d9.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107404_0 {
	meta:
		name = "$thunk_DrawThemeBackgroundEx"
		size = 13
		refs = "0004 DrawThemeBackgroundEx 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107412_0 {
	meta:
		name = "$thunk_DrawThemeParentBackgroundEx"
		size = 13
		refs = "0004 DrawThemeParentBackgroundEx 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107409_0 {
	meta:
		name = "$thunk_DrawThemeTextEx"
		size = 13
		refs = "0004 DrawThemeTextEx 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101930_0 {
	meta:
		name = "$thunk_DwmAttachMilContent"
		size = 13
		refs = "0004 DwmAttachMilContent 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101889_0 {
	meta:
		name = "$thunk_DwmDefWindowProc"
		size = 13
		refs = "0004 DwmDefWindowProc 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101932_0 {
	meta:
		name = "$thunk_DwmDetachMilContent"
		size = 13
		refs = "0004 DwmDetachMilContent 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101891_0 {
	meta:
		name = "$thunk_DwmEnableBlurBehindWindow"
		size = 13
		refs = "0004 DwmEnableBlurBehindWindow 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101893_0 {
	meta:
		name = "$thunk_DwmEnableComposition"
		size = 13
		refs = "0004 DwmEnableComposition 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101895_0 {
	meta:
		name = "$thunk_DwmEnableMMCSS"
		size = 13
		refs = "0004 DwmEnableMMCSS 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101897_0 {
	meta:
		name = "$thunk_DwmExtendFrameIntoClientArea"
		size = 13
		refs = "0004 DwmExtendFrameIntoClientArea 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101934_0 {
	meta:
		name = "$thunk_DwmFlush"
		size = 13
		refs = "0004 DwmFlush 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101899_0 {
	meta:
		name = "$thunk_DwmGetColorizationColor"
		size = 13
		refs = "0004 DwmGetColorizationColor 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101901_0 {
	meta:
		name = "$thunk_DwmGetCompositionTimingInfo"
		size = 13
		refs = "0004 DwmGetCompositionTimingInfo 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101938_0 {
	meta:
		name = "$thunk_DwmGetGraphicsStreamClient"
		size = 13
		refs = "0004 DwmGetGraphicsStreamClient 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101936_0 {
	meta:
		name = "$thunk_DwmGetGraphicsStreamTransformHint"
		size = 13
		refs = "0004 DwmGetGraphicsStreamTransformHint 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101940_0 {
	meta:
		name = "$thunk_DwmGetTransportAttributes"
		size = 13
		refs = "0004 DwmGetTransportAttributes 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101903_0 {
	meta:
		name = "$thunk_DwmGetWindowAttribute"
		size = 13
		refs = "0004 DwmGetWindowAttribute 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101928_0 {
	meta:
		name = "$thunk_DwmInvalidateIconicBitmaps"
		size = 13
		refs = "0004 DwmInvalidateIconicBitmaps 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101905_0 {
	meta:
		name = "$thunk_DwmIsCompositionEnabled"
		size = 13
		refs = "0004 DwmIsCompositionEnabled 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101907_0 {
	meta:
		name = "$thunk_DwmModifyPreviousDxFrameDuration"
		size = 13
		refs = "0004 DwmModifyPreviousDxFrameDuration 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101909_0 {
	meta:
		name = "$thunk_DwmQueryThumbnailSourceSize"
		size = 13
		refs = "0004 DwmQueryThumbnailSourceSize 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101911_0 {
	meta:
		name = "$thunk_DwmRegisterThumbnail"
		size = 13
		refs = "0004 DwmRegisterThumbnail 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101913_0 {
	meta:
		name = "$thunk_DwmSetDxFrameDuration"
		size = 13
		refs = "0004 DwmSetDxFrameDuration 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101925_0 {
	meta:
		name = "$thunk_DwmSetIconicLivePreviewBitmap"
		size = 13
		refs = "0004 DwmSetIconicLivePreviewBitmap 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101923_0 {
	meta:
		name = "$thunk_DwmSetIconicThumbnail"
		size = 13
		refs = "0004 DwmSetIconicThumbnail 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101915_0 {
	meta:
		name = "$thunk_DwmSetPresentParameters"
		size = 13
		refs = "0004 DwmSetPresentParameters 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101917_0 {
	meta:
		name = "$thunk_DwmSetWindowAttribute"
		size = 13
		refs = "0004 DwmSetWindowAttribute 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101919_0 {
	meta:
		name = "$thunk_DwmUnregisterThumbnail"
		size = 13
		refs = "0004 DwmUnregisterThumbnail 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101921_0 {
	meta:
		name = "$thunk_DwmUpdateThumbnailProperties"
		size = 13
		refs = "0004 DwmUpdateThumbnailProperties 0009 DWMAPI.DLL"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107444_0 {
	meta:
		name = "$thunk_EndBufferedAnimation"
		size = 13
		refs = "0004 EndBufferedAnimation 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107424_0 {
	meta:
		name = "$thunk_EndBufferedPaint"
		size = 13
		refs = "0004 EndBufferedPaint 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107400_0 {
	meta:
		name = "$thunk_EndPanningFeedback"
		size = 13
		refs = "0004 EndPanningFeedback 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110775_0 {
	meta:
		name = "$thunk_ExtDeviceMode"
		size = 13
		refs = "0004 ExtDeviceMode 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110093_0 {
	meta:
		name = "$thunk_FindActCtxSectionGuid"
		size = 13
		refs = "0004 FindActCtxSectionGuid 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110088_0 {
	meta:
		name = "$thunk_FindActCtxSectionStringA"
		size = 13
		refs = "0004 FindActCtxSectionStringA 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110085_0 {
	meta:
		name = "$thunk_FindActCtxSectionStringW"
		size = 13
		refs = "0004 FindActCtxSectionStringW 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107934_0 {
	meta:
		name = "$thunk_FindFirstFileTransactedA"
		size = 13
		refs = "0004 FindFirstFileTransactedA 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107930_0 {
	meta:
		name = "$thunk_FindFirstFileTransactedW"
		size = 13
		refs = "0004 FindFirstFileTransactedW 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102041_0 {
	meta:
		name = "$thunk_GdipAddPathArc"
		size = 13
		refs = "0004 GdipAddPathArc 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102077_0 {
	meta:
		name = "$thunk_GdipAddPathArcI"
		size = 13
		refs = "0004 GdipAddPathArcI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102043_0 {
	meta:
		name = "$thunk_GdipAddPathBezier"
		size = 13
		refs = "0004 GdipAddPathBezier 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102079_0 {
	meta:
		name = "$thunk_GdipAddPathBezierI"
		size = 13
		refs = "0004 GdipAddPathBezierI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102045_0 {
	meta:
		name = "$thunk_GdipAddPathBeziers"
		size = 13
		refs = "0004 GdipAddPathBeziers 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102081_0 {
	meta:
		name = "$thunk_GdipAddPathBeziersI"
		size = 13
		refs = "0004 GdipAddPathBeziersI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102053_0 {
	meta:
		name = "$thunk_GdipAddPathClosedCurve"
		size = 13
		refs = "0004 GdipAddPathClosedCurve 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102055_0 {
	meta:
		name = "$thunk_GdipAddPathClosedCurve2"
		size = 13
		refs = "0004 GdipAddPathClosedCurve2 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102091_0 {
	meta:
		name = "$thunk_GdipAddPathClosedCurve2I"
		size = 13
		refs = "0004 GdipAddPathClosedCurve2I 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102089_0 {
	meta:
		name = "$thunk_GdipAddPathClosedCurveI"
		size = 13
		refs = "0004 GdipAddPathClosedCurveI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102047_0 {
	meta:
		name = "$thunk_GdipAddPathCurve"
		size = 13
		refs = "0004 GdipAddPathCurve 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102049_0 {
	meta:
		name = "$thunk_GdipAddPathCurve2"
		size = 13
		refs = "0004 GdipAddPathCurve2 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102085_0 {
	meta:
		name = "$thunk_GdipAddPathCurve2I"
		size = 13
		refs = "0004 GdipAddPathCurve2I 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102051_0 {
	meta:
		name = "$thunk_GdipAddPathCurve3"
		size = 13
		refs = "0004 GdipAddPathCurve3 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102087_0 {
	meta:
		name = "$thunk_GdipAddPathCurve3I"
		size = 13
		refs = "0004 GdipAddPathCurve3I 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102083_0 {
	meta:
		name = "$thunk_GdipAddPathCurveI"
		size = 13
		refs = "0004 GdipAddPathCurveI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102061_0 {
	meta:
		name = "$thunk_GdipAddPathEllipse"
		size = 13
		refs = "0004 GdipAddPathEllipse 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102097_0 {
	meta:
		name = "$thunk_GdipAddPathEllipseI"
		size = 13
		refs = "0004 GdipAddPathEllipseI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102037_0 {
	meta:
		name = "$thunk_GdipAddPathLine"
		size = 13
		refs = "0004 GdipAddPathLine 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102039_0 {
	meta:
		name = "$thunk_GdipAddPathLine2"
		size = 13
		refs = "0004 GdipAddPathLine2 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102075_0 {
	meta:
		name = "$thunk_GdipAddPathLine2I"
		size = 13
		refs = "0004 GdipAddPathLine2I 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102073_0 {
	meta:
		name = "$thunk_GdipAddPathLineI"
		size = 13
		refs = "0004 GdipAddPathLineI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102067_0 {
	meta:
		name = "$thunk_GdipAddPathPath"
		size = 13
		refs = "0004 GdipAddPathPath 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102063_0 {
	meta:
		name = "$thunk_GdipAddPathPie"
		size = 13
		refs = "0004 GdipAddPathPie 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102099_0 {
	meta:
		name = "$thunk_GdipAddPathPieI"
		size = 13
		refs = "0004 GdipAddPathPieI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102065_0 {
	meta:
		name = "$thunk_GdipAddPathPolygon"
		size = 13
		refs = "0004 GdipAddPathPolygon 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102101_0 {
	meta:
		name = "$thunk_GdipAddPathPolygonI"
		size = 13
		refs = "0004 GdipAddPathPolygonI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102057_0 {
	meta:
		name = "$thunk_GdipAddPathRectangle"
		size = 13
		refs = "0004 GdipAddPathRectangle 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102093_0 {
	meta:
		name = "$thunk_GdipAddPathRectangleI"
		size = 13
		refs = "0004 GdipAddPathRectangleI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102059_0 {
	meta:
		name = "$thunk_GdipAddPathRectangles"
		size = 13
		refs = "0004 GdipAddPathRectangles 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102095_0 {
	meta:
		name = "$thunk_GdipAddPathRectanglesI"
		size = 13
		refs = "0004 GdipAddPathRectanglesI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102069_0 {
	meta:
		name = "$thunk_GdipAddPathString"
		size = 13
		refs = "0004 GdipAddPathString 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102071_0 {
	meta:
		name = "$thunk_GdipAddPathStringI"
		size = 13
		refs = "0004 GdipAddPathStringI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101989_0 {
	meta:
		name = "$thunk_GdipAlloc"
		size = 13
		refs = "0004 GdipAlloc 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103015_0 {
	meta:
		name = "$thunk_GdipBeginContainer"
		size = 13
		refs = "0004 GdipBeginContainer 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103019_0 {
	meta:
		name = "$thunk_GdipBeginContainer2"
		size = 13
		refs = "0004 GdipBeginContainer2 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103017_0 {
	meta:
		name = "$thunk_GdipBeginContainerI"
		size = 13
		refs = "0004 GdipBeginContainerI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102699_0 {
	meta:
		name = "$thunk_GdipBitmapGetPixel"
		size = 13
		refs = "0004 GdipBitmapGetPixel 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102695_0 {
	meta:
		name = "$thunk_GdipBitmapLockBits"
		size = 13
		refs = "0004 GdipBitmapLockBits 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102701_0 {
	meta:
		name = "$thunk_GdipBitmapSetPixel"
		size = 13
		refs = "0004 GdipBitmapSetPixel 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102703_0 {
	meta:
		name = "$thunk_GdipBitmapSetResolution"
		size = 13
		refs = "0004 GdipBitmapSetResolution 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102697_0 {
	meta:
		name = "$thunk_GdipBitmapUnlockBits"
		size = 13
		refs = "0004 GdipBitmapUnlockBits 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102031_0 {
	meta:
		name = "$thunk_GdipClearPathMarkers"
		size = 13
		refs = "0004 GdipClearPathMarkers 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102691_0 {
	meta:
		name = "$thunk_GdipCloneBitmapArea"
		size = 13
		refs = "0004 GdipCloneBitmapArea 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102693_0 {
	meta:
		name = "$thunk_GdipCloneBitmapAreaI"
		size = 13
		refs = "0004 GdipCloneBitmapAreaI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102259_0 {
	meta:
		name = "$thunk_GdipCloneBrush"
		size = 13
		refs = "0004 GdipCloneBrush 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102541_0 {
	meta:
		name = "$thunk_GdipCloneCustomLineCap"
		size = 13
		refs = "0004 GdipCloneCustomLineCap 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103109_0 {
	meta:
		name = "$thunk_GdipCloneFont"
		size = 13
		refs = "0004 GdipCloneFont 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103077_0 {
	meta:
		name = "$thunk_GdipCloneFontFamily"
		size = 13
		refs = "0004 GdipCloneFontFamily 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102591_0 {
	meta:
		name = "$thunk_GdipCloneImage"
		size = 13
		refs = "0004 GdipCloneImage 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102707_0 {
	meta:
		name = "$thunk_GdipCloneImageAttributes"
		size = 13
		refs = "0004 GdipCloneImageAttributes 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102161_0 {
	meta:
		name = "$thunk_GdipCloneMatrix"
		size = 13
		refs = "0004 GdipCloneMatrix 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102003_0 {
	meta:
		name = "$thunk_GdipClonePath"
		size = 13
		refs = "0004 GdipClonePath 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102447_0 {
	meta:
		name = "$thunk_GdipClonePen"
		size = 13
		refs = "0004 GdipClonePen 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102207_0 {
	meta:
		name = "$thunk_GdipCloneRegion"
		size = 13
		refs = "0004 GdipCloneRegion 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103161_0 {
	meta:
		name = "$thunk_GdipCloneStringFormat"
		size = 13
		refs = "0004 GdipCloneStringFormat 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102025_0 {
	meta:
		name = "$thunk_GdipClosePathFigure"
		size = 13
		refs = "0004 GdipClosePathFigure 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102027_0 {
	meta:
		name = "$thunk_GdipClosePathFigures"
		size = 13
		refs = "0004 GdipClosePathFigures 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102219_0 {
	meta:
		name = "$thunk_GdipCombineRegionPath"
		size = 13
		refs = "0004 GdipCombineRegionPath 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102215_0 {
	meta:
		name = "$thunk_GdipCombineRegionRect"
		size = 13
		refs = "0004 GdipCombineRegionRect 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102217_0 {
	meta:
		name = "$thunk_GdipCombineRegionRectI"
		size = 13
		refs = "0004 GdipCombineRegionRectI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102221_0 {
	meta:
		name = "$thunk_GdipCombineRegionRegion"
		size = 13
		refs = "0004 GdipCombineRegionRegion 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103071_0 {
	meta:
		name = "$thunk_GdipComment"
		size = 13
		refs = "0004 GdipComment 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102565_0 {
	meta:
		name = "$thunk_GdipCreateAdjustableArrowCap"
		size = 13
		refs = "0004 GdipCreateAdjustableArrowCap 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102677_0 {
	meta:
		name = "$thunk_GdipCreateBitmapFromDirectDrawSurface"
		size = 13
		refs = "0004 GdipCreateBitmapFromDirectDrawSurface 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102667_0 {
	meta:
		name = "$thunk_GdipCreateBitmapFromFile"
		size = 13
		refs = "0004 GdipCreateBitmapFromFile 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102671_0 {
	meta:
		name = "$thunk_GdipCreateBitmapFromFileICM"
		size = 13
		refs = "0004 GdipCreateBitmapFromFileICM 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102679_0 {
	meta:
		name = "$thunk_GdipCreateBitmapFromGdiDib"
		size = 13
		refs = "0004 GdipCreateBitmapFromGdiDib 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102675_0 {
	meta:
		name = "$thunk_GdipCreateBitmapFromGraphics"
		size = 13
		refs = "0004 GdipCreateBitmapFromGraphics 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102681_0 {
	meta:
		name = "$thunk_GdipCreateBitmapFromHBITMAP"
		size = 13
		refs = "0004 GdipCreateBitmapFromHBITMAP 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102685_0 {
	meta:
		name = "$thunk_GdipCreateBitmapFromHICON"
		size = 13
		refs = "0004 GdipCreateBitmapFromHICON 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102689_0 {
	meta:
		name = "$thunk_GdipCreateBitmapFromResource"
		size = 13
		refs = "0004 GdipCreateBitmapFromResource 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102673_0 {
	meta:
		name = "$thunk_GdipCreateBitmapFromScan0"
		size = 13
		refs = "0004 GdipCreateBitmapFromScan0 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102665_0 {
	meta:
		name = "$thunk_GdipCreateBitmapFromStream"
		size = 13
		refs = "0004 GdipCreateBitmapFromStream 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102669_0 {
	meta:
		name = "$thunk_GdipCreateBitmapFromStreamICM"
		size = 13
		refs = "0004 GdipCreateBitmapFromStreamICM 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103197_0 {
	meta:
		name = "$thunk_GdipCreateCachedBitmap"
		size = 13
		refs = "0004 GdipCreateCachedBitmap 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102537_0 {
	meta:
		name = "$thunk_GdipCreateCustomLineCap"
		size = 13
		refs = "0004 GdipCreateCustomLineCap 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103107_0 {
	meta:
		name = "$thunk_GdipCreateFont"
		size = 13
		refs = "0004 GdipCreateFont 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103073_0 {
	meta:
		name = "$thunk_GdipCreateFontFamilyFromName"
		size = 13
		refs = "0004 GdipCreateFontFamilyFromName 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103101_0 {
	meta:
		name = "$thunk_GdipCreateFontFromDC"
		size = 13
		refs = "0004 GdipCreateFontFromDC 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103103_0 {
	meta:
		name = "$thunk_GdipCreateFontFromLogfontA"
		size = 13
		refs = "0004 GdipCreateFontFromLogfontA 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103105_0 {
	meta:
		name = "$thunk_GdipCreateFontFromLogfontW"
		size = 13
		refs = "0004 GdipCreateFontFromLogfontW 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102739_0 {
	meta:
		name = "$thunk_GdipCreateFromHDC"
		size = 13
		refs = "0004 GdipCreateFromHDC 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102741_0 {
	meta:
		name = "$thunk_GdipCreateFromHDC2"
		size = 13
		refs = "0004 GdipCreateFromHDC2 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102743_0 {
	meta:
		name = "$thunk_GdipCreateFromHWND"
		size = 13
		refs = "0004 GdipCreateFromHWND 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102745_0 {
	meta:
		name = "$thunk_GdipCreateFromHWNDICM"
		size = 13
		refs = "0004 GdipCreateFromHWNDICM 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102683_0 {
	meta:
		name = "$thunk_GdipCreateHBITMAPFromBitmap"
		size = 13
		refs = "0004 GdipCreateHBITMAPFromBitmap 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102687_0 {
	meta:
		name = "$thunk_GdipCreateHICONFromBitmap"
		size = 13
		refs = "0004 GdipCreateHICONFromBitmap 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102819_0 {
	meta:
		name = "$thunk_GdipCreateHalftonePalette"
		size = 13
		refs = "0004 GdipCreateHalftonePalette 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102265_0 {
	meta:
		name = "$thunk_GdipCreateHatchBrush"
		size = 13
		refs = "0004 GdipCreateHatchBrush 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102705_0 {
	meta:
		name = "$thunk_GdipCreateImageAttributes"
		size = 13
		refs = "0004 GdipCreateImageAttributes 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102309_0 {
	meta:
		name = "$thunk_GdipCreateLineBrush"
		size = 13
		refs = "0004 GdipCreateLineBrush 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102313_0 {
	meta:
		name = "$thunk_GdipCreateLineBrushFromRect"
		size = 13
		refs = "0004 GdipCreateLineBrushFromRect 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102315_0 {
	meta:
		name = "$thunk_GdipCreateLineBrushFromRectI"
		size = 13
		refs = "0004 GdipCreateLineBrushFromRectI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102317_0 {
	meta:
		name = "$thunk_GdipCreateLineBrushFromRectWithAngle"
		size = 13
		refs = "0004 GdipCreateLineBrushFromRectWithAngle 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102319_0 {
	meta:
		name = "$thunk_GdipCreateLineBrushFromRectWithAngleI"
		size = 13
		refs = "0004 GdipCreateLineBrushFromRectWithAngleI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102311_0 {
	meta:
		name = "$thunk_GdipCreateLineBrushI"
		size = 13
		refs = "0004 GdipCreateLineBrushI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102153_0 {
	meta:
		name = "$thunk_GdipCreateMatrix"
		size = 13
		refs = "0004 GdipCreateMatrix 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102155_0 {
	meta:
		name = "$thunk_GdipCreateMatrix2"
		size = 13
		refs = "0004 GdipCreateMatrix2 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102157_0 {
	meta:
		name = "$thunk_GdipCreateMatrix3"
		size = 13
		refs = "0004 GdipCreateMatrix3 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102159_0 {
	meta:
		name = "$thunk_GdipCreateMatrix3I"
		size = 13
		refs = "0004 GdipCreateMatrix3I 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103039_0 {
	meta:
		name = "$thunk_GdipCreateMetafileFromEmf"
		size = 13
		refs = "0004 GdipCreateMetafileFromEmf 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103041_0 {
	meta:
		name = "$thunk_GdipCreateMetafileFromFile"
		size = 13
		refs = "0004 GdipCreateMetafileFromFile 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103045_0 {
	meta:
		name = "$thunk_GdipCreateMetafileFromStream"
		size = 13
		refs = "0004 GdipCreateMetafileFromStream 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103037_0 {
	meta:
		name = "$thunk_GdipCreateMetafileFromWmf"
		size = 13
		refs = "0004 GdipCreateMetafileFromWmf 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103043_0 {
	meta:
		name = "$thunk_GdipCreateMetafileFromWmfFile"
		size = 13
		refs = "0004 GdipCreateMetafileFromWmfFile 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101997_0 {
	meta:
		name = "$thunk_GdipCreatePath"
		size = 13
		refs = "0004 GdipCreatePath 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101999_0 {
	meta:
		name = "$thunk_GdipCreatePath2"
		size = 13
		refs = "0004 GdipCreatePath2 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102001_0 {
	meta:
		name = "$thunk_GdipCreatePath2I"
		size = 13
		refs = "0004 GdipCreatePath2I 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102367_0 {
	meta:
		name = "$thunk_GdipCreatePathGradient"
		size = 13
		refs = "0004 GdipCreatePathGradient 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102371_0 {
	meta:
		name = "$thunk_GdipCreatePathGradientFromPath"
		size = 13
		refs = "0004 GdipCreatePathGradientFromPath 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102369_0 {
	meta:
		name = "$thunk_GdipCreatePathGradientI"
		size = 13
		refs = "0004 GdipCreatePathGradientI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102125_0 {
	meta:
		name = "$thunk_GdipCreatePathIter"
		size = 13
		refs = "0004 GdipCreatePathIter 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102443_0 {
	meta:
		name = "$thunk_GdipCreatePen1"
		size = 13
		refs = "0004 GdipCreatePen1 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102445_0 {
	meta:
		name = "$thunk_GdipCreatePen2"
		size = 13
		refs = "0004 GdipCreatePen2 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102195_0 {
	meta:
		name = "$thunk_GdipCreateRegion"
		size = 13
		refs = "0004 GdipCreateRegion 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102205_0 {
	meta:
		name = "$thunk_GdipCreateRegionHrgn"
		size = 13
		refs = "0004 GdipCreateRegionHrgn 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102201_0 {
	meta:
		name = "$thunk_GdipCreateRegionPath"
		size = 13
		refs = "0004 GdipCreateRegionPath 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102197_0 {
	meta:
		name = "$thunk_GdipCreateRegionRect"
		size = 13
		refs = "0004 GdipCreateRegionRect 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102199_0 {
	meta:
		name = "$thunk_GdipCreateRegionRectI"
		size = 13
		refs = "0004 GdipCreateRegionRectI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102203_0 {
	meta:
		name = "$thunk_GdipCreateRegionRgnData"
		size = 13
		refs = "0004 GdipCreateRegionRgnData 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102303_0 {
	meta:
		name = "$thunk_GdipCreateSolidFill"
		size = 13
		refs = "0004 GdipCreateSolidFill 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103035_0 {
	meta:
		name = "$thunk_GdipCreateStreamOnFile"
		size = 13
		refs = "0004 GdipCreateStreamOnFile 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103153_0 {
	meta:
		name = "$thunk_GdipCreateStringFormat"
		size = 13
		refs = "0004 GdipCreateStringFormat 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102273_0 {
	meta:
		name = "$thunk_GdipCreateTexture"
		size = 13
		refs = "0004 GdipCreateTexture 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102275_0 {
	meta:
		name = "$thunk_GdipCreateTexture2"
		size = 13
		refs = "0004 GdipCreateTexture2 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102279_0 {
	meta:
		name = "$thunk_GdipCreateTexture2I"
		size = 13
		refs = "0004 GdipCreateTexture2I 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102277_0 {
	meta:
		name = "$thunk_GdipCreateTextureIA"
		size = 13
		refs = "0004 GdipCreateTextureIA 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102281_0 {
	meta:
		name = "$thunk_GdipCreateTextureIAI"
		size = 13
		refs = "0004 GdipCreateTextureIAI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102261_0 {
	meta:
		name = "$thunk_GdipDeleteBrush"
		size = 13
		refs = "0004 GdipDeleteBrush 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103199_0 {
	meta:
		name = "$thunk_GdipDeleteCachedBitmap"
		size = 13
		refs = "0004 GdipDeleteCachedBitmap 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102539_0 {
	meta:
		name = "$thunk_GdipDeleteCustomLineCap"
		size = 13
		refs = "0004 GdipDeleteCustomLineCap 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103111_0 {
	meta:
		name = "$thunk_GdipDeleteFont"
		size = 13
		refs = "0004 GdipDeleteFont 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103075_0 {
	meta:
		name = "$thunk_GdipDeleteFontFamily"
		size = 13
		refs = "0004 GdipDeleteFontFamily 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102747_0 {
	meta:
		name = "$thunk_GdipDeleteGraphics"
		size = 13
		refs = "0004 GdipDeleteGraphics 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102163_0 {
	meta:
		name = "$thunk_GdipDeleteMatrix"
		size = 13
		refs = "0004 GdipDeleteMatrix 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102005_0 {
	meta:
		name = "$thunk_GdipDeletePath"
		size = 13
		refs = "0004 GdipDeletePath 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102127_0 {
	meta:
		name = "$thunk_GdipDeletePathIter"
		size = 13
		refs = "0004 GdipDeletePathIter 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102449_0 {
	meta:
		name = "$thunk_GdipDeletePen"
		size = 13
		refs = "0004 GdipDeletePen 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103133_0 {
	meta:
		name = "$thunk_GdipDeletePrivateFontCollection"
		size = 13
		refs = "0004 GdipDeletePrivateFontCollection 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102209_0 {
	meta:
		name = "$thunk_GdipDeleteRegion"
		size = 13
		refs = "0004 GdipDeleteRegion 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103159_0 {
	meta:
		name = "$thunk_GdipDeleteStringFormat"
		size = 13
		refs = "0004 GdipDeleteStringFormat 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102593_0 {
	meta:
		name = "$thunk_GdipDisposeImage"
		size = 13
		refs = "0004 GdipDisposeImage 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102709_0 {
	meta:
		name = "$thunk_GdipDisposeImageAttributes"
		size = 13
		refs = "0004 GdipDisposeImageAttributes 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102829_0 {
	meta:
		name = "$thunk_GdipDrawArc"
		size = 13
		refs = "0004 GdipDrawArc 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102831_0 {
	meta:
		name = "$thunk_GdipDrawArcI"
		size = 13
		refs = "0004 GdipDrawArcI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102833_0 {
	meta:
		name = "$thunk_GdipDrawBezier"
		size = 13
		refs = "0004 GdipDrawBezier 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102835_0 {
	meta:
		name = "$thunk_GdipDrawBezierI"
		size = 13
		refs = "0004 GdipDrawBezierI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102837_0 {
	meta:
		name = "$thunk_GdipDrawBeziers"
		size = 13
		refs = "0004 GdipDrawBeziers 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102839_0 {
	meta:
		name = "$thunk_GdipDrawBeziersI"
		size = 13
		refs = "0004 GdipDrawBeziersI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103201_0 {
	meta:
		name = "$thunk_GdipDrawCachedBitmap"
		size = 13
		refs = "0004 GdipDrawCachedBitmap 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102875_0 {
	meta:
		name = "$thunk_GdipDrawClosedCurve"
		size = 13
		refs = "0004 GdipDrawClosedCurve 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102879_0 {
	meta:
		name = "$thunk_GdipDrawClosedCurve2"
		size = 13
		refs = "0004 GdipDrawClosedCurve2 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102881_0 {
	meta:
		name = "$thunk_GdipDrawClosedCurve2I"
		size = 13
		refs = "0004 GdipDrawClosedCurve2I 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102877_0 {
	meta:
		name = "$thunk_GdipDrawClosedCurveI"
		size = 13
		refs = "0004 GdipDrawClosedCurveI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102863_0 {
	meta:
		name = "$thunk_GdipDrawCurve"
		size = 13
		refs = "0004 GdipDrawCurve 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102867_0 {
	meta:
		name = "$thunk_GdipDrawCurve2"
		size = 13
		refs = "0004 GdipDrawCurve2 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102869_0 {
	meta:
		name = "$thunk_GdipDrawCurve2I"
		size = 13
		refs = "0004 GdipDrawCurve2I 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102871_0 {
	meta:
		name = "$thunk_GdipDrawCurve3"
		size = 13
		refs = "0004 GdipDrawCurve3 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102873_0 {
	meta:
		name = "$thunk_GdipDrawCurve3I"
		size = 13
		refs = "0004 GdipDrawCurve3I 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102865_0 {
	meta:
		name = "$thunk_GdipDrawCurveI"
		size = 13
		refs = "0004 GdipDrawCurveI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103149_0 {
	meta:
		name = "$thunk_GdipDrawDriverString"
		size = 13
		refs = "0004 GdipDrawDriverString 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102849_0 {
	meta:
		name = "$thunk_GdipDrawEllipse"
		size = 13
		refs = "0004 GdipDrawEllipse 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102851_0 {
	meta:
		name = "$thunk_GdipDrawEllipseI"
		size = 13
		refs = "0004 GdipDrawEllipseI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102921_0 {
	meta:
		name = "$thunk_GdipDrawImage"
		size = 13
		refs = "0004 GdipDrawImage 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102923_0 {
	meta:
		name = "$thunk_GdipDrawImageI"
		size = 13
		refs = "0004 GdipDrawImageI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102933_0 {
	meta:
		name = "$thunk_GdipDrawImagePointRect"
		size = 13
		refs = "0004 GdipDrawImagePointRect 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102935_0 {
	meta:
		name = "$thunk_GdipDrawImagePointRectI"
		size = 13
		refs = "0004 GdipDrawImagePointRectI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102929_0 {
	meta:
		name = "$thunk_GdipDrawImagePoints"
		size = 13
		refs = "0004 GdipDrawImagePoints 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102931_0 {
	meta:
		name = "$thunk_GdipDrawImagePointsI"
		size = 13
		refs = "0004 GdipDrawImagePointsI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102941_0 {
	meta:
		name = "$thunk_GdipDrawImagePointsRect"
		size = 13
		refs = "0004 GdipDrawImagePointsRect 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102943_0 {
	meta:
		name = "$thunk_GdipDrawImagePointsRectI"
		size = 13
		refs = "0004 GdipDrawImagePointsRectI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102925_0 {
	meta:
		name = "$thunk_GdipDrawImageRect"
		size = 13
		refs = "0004 GdipDrawImageRect 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102927_0 {
	meta:
		name = "$thunk_GdipDrawImageRectI"
		size = 13
		refs = "0004 GdipDrawImageRectI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102937_0 {
	meta:
		name = "$thunk_GdipDrawImageRectRect"
		size = 13
		refs = "0004 GdipDrawImageRectRect 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102939_0 {
	meta:
		name = "$thunk_GdipDrawImageRectRectI"
		size = 13
		refs = "0004 GdipDrawImageRectRectI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102821_0 {
	meta:
		name = "$thunk_GdipDrawLine"
		size = 13
		refs = "0004 GdipDrawLine 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102823_0 {
	meta:
		name = "$thunk_GdipDrawLineI"
		size = 13
		refs = "0004 GdipDrawLineI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102825_0 {
	meta:
		name = "$thunk_GdipDrawLines"
		size = 13
		refs = "0004 GdipDrawLines 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102827_0 {
	meta:
		name = "$thunk_GdipDrawLinesI"
		size = 13
		refs = "0004 GdipDrawLinesI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102861_0 {
	meta:
		name = "$thunk_GdipDrawPath"
		size = 13
		refs = "0004 GdipDrawPath 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102853_0 {
	meta:
		name = "$thunk_GdipDrawPie"
		size = 13
		refs = "0004 GdipDrawPie 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102855_0 {
	meta:
		name = "$thunk_GdipDrawPieI"
		size = 13
		refs = "0004 GdipDrawPieI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102857_0 {
	meta:
		name = "$thunk_GdipDrawPolygon"
		size = 13
		refs = "0004 GdipDrawPolygon 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102859_0 {
	meta:
		name = "$thunk_GdipDrawPolygonI"
		size = 13
		refs = "0004 GdipDrawPolygonI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102841_0 {
	meta:
		name = "$thunk_GdipDrawRectangle"
		size = 13
		refs = "0004 GdipDrawRectangle 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102843_0 {
	meta:
		name = "$thunk_GdipDrawRectangleI"
		size = 13
		refs = "0004 GdipDrawRectangleI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102845_0 {
	meta:
		name = "$thunk_GdipDrawRectangles"
		size = 13
		refs = "0004 GdipDrawRectangles 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102847_0 {
	meta:
		name = "$thunk_GdipDrawRectanglesI"
		size = 13
		refs = "0004 GdipDrawRectanglesI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103143_0 {
	meta:
		name = "$thunk_GdipDrawString"
		size = 13
		refs = "0004 GdipDrawString 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103203_0 {
	meta:
		name = "$thunk_GdipEmfToWmfBits"
		size = 13
		refs = "0004 GdipEmfToWmfBits 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103021_0 {
	meta:
		name = "$thunk_GdipEndContainer"
		size = 13
		refs = "0004 GdipEndContainer 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102945_0 {
	meta:
		name = "$thunk_GdipEnumerateMetafileDestPoint"
		size = 13
		refs = "0004 GdipEnumerateMetafileDestPoint 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102947_0 {
	meta:
		name = "$thunk_GdipEnumerateMetafileDestPointI"
		size = 13
		refs = "0004 GdipEnumerateMetafileDestPointI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102953_0 {
	meta:
		name = "$thunk_GdipEnumerateMetafileDestPoints"
		size = 13
		refs = "0004 GdipEnumerateMetafileDestPoints 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102955_0 {
	meta:
		name = "$thunk_GdipEnumerateMetafileDestPointsI"
		size = 13
		refs = "0004 GdipEnumerateMetafileDestPointsI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102949_0 {
	meta:
		name = "$thunk_GdipEnumerateMetafileDestRect"
		size = 13
		refs = "0004 GdipEnumerateMetafileDestRect 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102951_0 {
	meta:
		name = "$thunk_GdipEnumerateMetafileDestRectI"
		size = 13
		refs = "0004 GdipEnumerateMetafileDestRectI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102957_0 {
	meta:
		name = "$thunk_GdipEnumerateMetafileSrcRectDestPoint"
		size = 13
		refs = "0004 GdipEnumerateMetafileSrcRectDestPoint 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102959_0 {
	meta:
		name = "$thunk_GdipEnumerateMetafileSrcRectDestPointI"
		size = 13
		refs = "0004 GdipEnumerateMetafileSrcRectDestPointI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102965_0 {
	meta:
		name = "$thunk_GdipEnumerateMetafileSrcRectDestPoints"
		size = 13
		refs = "0004 GdipEnumerateMetafileSrcRectDestPoints 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102967_0 {
	meta:
		name = "$thunk_GdipEnumerateMetafileSrcRectDestPointsI"
		size = 13
		refs = "0004 GdipEnumerateMetafileSrcRectDestPointsI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102961_0 {
	meta:
		name = "$thunk_GdipEnumerateMetafileSrcRectDestRect"
		size = 13
		refs = "0004 GdipEnumerateMetafileSrcRectDestRect 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102963_0 {
	meta:
		name = "$thunk_GdipEnumerateMetafileSrcRectDestRectI"
		size = 13
		refs = "0004 GdipEnumerateMetafileSrcRectDestRectI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102911_0 {
	meta:
		name = "$thunk_GdipFillClosedCurve"
		size = 13
		refs = "0004 GdipFillClosedCurve 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102915_0 {
	meta:
		name = "$thunk_GdipFillClosedCurve2"
		size = 13
		refs = "0004 GdipFillClosedCurve2 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102917_0 {
	meta:
		name = "$thunk_GdipFillClosedCurve2I"
		size = 13
		refs = "0004 GdipFillClosedCurve2I 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102913_0 {
	meta:
		name = "$thunk_GdipFillClosedCurveI"
		size = 13
		refs = "0004 GdipFillClosedCurveI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102901_0 {
	meta:
		name = "$thunk_GdipFillEllipse"
		size = 13
		refs = "0004 GdipFillEllipse 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102903_0 {
	meta:
		name = "$thunk_GdipFillEllipseI"
		size = 13
		refs = "0004 GdipFillEllipseI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102909_0 {
	meta:
		name = "$thunk_GdipFillPath"
		size = 13
		refs = "0004 GdipFillPath 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102905_0 {
	meta:
		name = "$thunk_GdipFillPie"
		size = 13
		refs = "0004 GdipFillPie 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102907_0 {
	meta:
		name = "$thunk_GdipFillPieI"
		size = 13
		refs = "0004 GdipFillPieI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102893_0 {
	meta:
		name = "$thunk_GdipFillPolygon"
		size = 13
		refs = "0004 GdipFillPolygon 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102897_0 {
	meta:
		name = "$thunk_GdipFillPolygon2"
		size = 13
		refs = "0004 GdipFillPolygon2 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102899_0 {
	meta:
		name = "$thunk_GdipFillPolygon2I"
		size = 13
		refs = "0004 GdipFillPolygon2I 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102895_0 {
	meta:
		name = "$thunk_GdipFillPolygonI"
		size = 13
		refs = "0004 GdipFillPolygonI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102885_0 {
	meta:
		name = "$thunk_GdipFillRectangle"
		size = 13
		refs = "0004 GdipFillRectangle 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102887_0 {
	meta:
		name = "$thunk_GdipFillRectangleI"
		size = 13
		refs = "0004 GdipFillRectangleI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102889_0 {
	meta:
		name = "$thunk_GdipFillRectangles"
		size = 13
		refs = "0004 GdipFillRectangles 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102891_0 {
	meta:
		name = "$thunk_GdipFillRectanglesI"
		size = 13
		refs = "0004 GdipFillRectanglesI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102919_0 {
	meta:
		name = "$thunk_GdipFillRegion"
		size = 13
		refs = "0004 GdipFillRegion 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102103_0 {
	meta:
		name = "$thunk_GdipFlattenPath"
		size = 13
		refs = "0004 GdipFlattenPath 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102737_0 {
	meta:
		name = "$thunk_GdipFlush"
		size = 13
		refs = "0004 GdipFlush 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103089_0 {
	meta:
		name = "$thunk_GdipFontCollectionEnumerable"
		size = 13
		refs = "0004 GdipFontCollectionEnumerable 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103091_0 {
	meta:
		name = "$thunk_GdipFontCollectionEnumerate"
		size = 13
		refs = "0004 GdipFontCollectionEnumerate 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101991_0 {
	meta:
		name = "$thunk_GdipFree"
		size = 13
		refs = "0004 GdipFree 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102581_0 {
	meta:
		name = "$thunk_GdipGetAdjustableArrowCapFillState"
		size = 13
		refs = "0004 GdipGetAdjustableArrowCapFillState 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102569_0 {
	meta:
		name = "$thunk_GdipGetAdjustableArrowCapHeight"
		size = 13
		refs = "0004 GdipGetAdjustableArrowCapHeight 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102577_0 {
	meta:
		name = "$thunk_GdipGetAdjustableArrowCapMiddleInset"
		size = 13
		refs = "0004 GdipGetAdjustableArrowCapMiddleInset 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102573_0 {
	meta:
		name = "$thunk_GdipGetAdjustableArrowCapWidth"
		size = 13
		refs = "0004 GdipGetAdjustableArrowCapWidth 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102657_0 {
	meta:
		name = "$thunk_GdipGetAllPropertyItems"
		size = 13
		refs = "0004 GdipGetAllPropertyItems 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102263_0 {
	meta:
		name = "$thunk_GdipGetBrushType"
		size = 13
		refs = "0004 GdipGetBrushType 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103095_0 {
	meta:
		name = "$thunk_GdipGetCellAscent"
		size = 13
		refs = "0004 GdipGetCellAscent 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103097_0 {
	meta:
		name = "$thunk_GdipGetCellDescent"
		size = 13
		refs = "0004 GdipGetCellDescent 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102989_0 {
	meta:
		name = "$thunk_GdipGetClip"
		size = 13
		refs = "0004 GdipGetClip 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102991_0 {
	meta:
		name = "$thunk_GdipGetClipBounds"
		size = 13
		refs = "0004 GdipGetClipBounds 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102993_0 {
	meta:
		name = "$thunk_GdipGetClipBoundsI"
		size = 13
		refs = "0004 GdipGetClipBoundsI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102755_0 {
	meta:
		name = "$thunk_GdipGetCompositingMode"
		size = 13
		refs = "0004 GdipGetCompositingMode 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102763_0 {
	meta:
		name = "$thunk_GdipGetCompositingQuality"
		size = 13
		refs = "0004 GdipGetCompositingQuality 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102555_0 {
	meta:
		name = "$thunk_GdipGetCustomLineCapBaseCap"
		size = 13
		refs = "0004 GdipGetCustomLineCapBaseCap 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102559_0 {
	meta:
		name = "$thunk_GdipGetCustomLineCapBaseInset"
		size = 13
		refs = "0004 GdipGetCustomLineCapBaseInset 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102547_0 {
	meta:
		name = "$thunk_GdipGetCustomLineCapStrokeCaps"
		size = 13
		refs = "0004 GdipGetCustomLineCapStrokeCaps 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102551_0 {
	meta:
		name = "$thunk_GdipGetCustomLineCapStrokeJoin"
		size = 13
		refs = "0004 GdipGetCustomLineCapStrokeJoin 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102543_0 {
	meta:
		name = "$thunk_GdipGetCustomLineCapType"
		size = 13
		refs = "0004 GdipGetCustomLineCapType 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102563_0 {
	meta:
		name = "$thunk_GdipGetCustomLineCapWidthScale"
		size = 13
		refs = "0004 GdipGetCustomLineCapWidthScale 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102749_0 {
	meta:
		name = "$thunk_GdipGetDC"
		size = 13
		refs = "0004 GdipGetDC 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102809_0 {
	meta:
		name = "$thunk_GdipGetDpiX"
		size = 13
		refs = "0004 GdipGetDpiX 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102811_0 {
	meta:
		name = "$thunk_GdipGetDpiY"
		size = 13
		refs = "0004 GdipGetDpiY 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103093_0 {
	meta:
		name = "$thunk_GdipGetEmHeight"
		size = 13
		refs = "0004 GdipGetEmHeight 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102629_0 {
	meta:
		name = "$thunk_GdipGetEncoderParameterList"
		size = 13
		refs = "0004 GdipGetEncoderParameterList 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102627_0 {
	meta:
		name = "$thunk_GdipGetEncoderParameterListSize"
		size = 13
		refs = "0004 GdipGetEncoderParameterListSize 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103113_0 {
	meta:
		name = "$thunk_GdipGetFamily"
		size = 13
		refs = "0004 GdipGetFamily 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103085_0 {
	meta:
		name = "$thunk_GdipGetFamilyName"
		size = 13
		refs = "0004 GdipGetFamilyName 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103135_0 {
	meta:
		name = "$thunk_GdipGetFontCollectionFamilyCount"
		size = 13
		refs = "0004 GdipGetFontCollectionFamilyCount 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103137_0 {
	meta:
		name = "$thunk_GdipGetFontCollectionFamilyList"
		size = 13
		refs = "0004 GdipGetFontCollectionFamilyList 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103121_0 {
	meta:
		name = "$thunk_GdipGetFontHeight"
		size = 13
		refs = "0004 GdipGetFontHeight 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103123_0 {
	meta:
		name = "$thunk_GdipGetFontHeightGivenDPI"
		size = 13
		refs = "0004 GdipGetFontHeightGivenDPI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103117_0 {
	meta:
		name = "$thunk_GdipGetFontSize"
		size = 13
		refs = "0004 GdipGetFontSize 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103115_0 {
	meta:
		name = "$thunk_GdipGetFontStyle"
		size = 13
		refs = "0004 GdipGetFontStyle 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103119_0 {
	meta:
		name = "$thunk_GdipGetFontUnit"
		size = 13
		refs = "0004 GdipGetFontUnit 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103083_0 {
	meta:
		name = "$thunk_GdipGetGenericFontFamilyMonospace"
		size = 13
		refs = "0004 GdipGetGenericFontFamilyMonospace 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103079_0 {
	meta:
		name = "$thunk_GdipGetGenericFontFamilySansSerif"
		size = 13
		refs = "0004 GdipGetGenericFontFamilySansSerif 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103081_0 {
	meta:
		name = "$thunk_GdipGetGenericFontFamilySerif"
		size = 13
		refs = "0004 GdipGetGenericFontFamilySerif 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102271_0 {
	meta:
		name = "$thunk_GdipGetHatchBackgroundColor"
		size = 13
		refs = "0004 GdipGetHatchBackgroundColor 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102269_0 {
	meta:
		name = "$thunk_GdipGetHatchForegroundColor"
		size = 13
		refs = "0004 GdipGetHatchForegroundColor 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102267_0 {
	meta:
		name = "$thunk_GdipGetHatchStyle"
		size = 13
		refs = "0004 GdipGetHatchStyle 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103033_0 {
	meta:
		name = "$thunk_GdipGetHemfFromMetafile"
		size = 13
		refs = "0004 GdipGetHemfFromMetafile 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102735_0 {
	meta:
		name = "$thunk_GdipGetImageAttributesAdjustedPalette"
		size = 13
		refs = "0004 GdipGetImageAttributesAdjustedPalette 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102605_0 {
	meta:
		name = "$thunk_GdipGetImageBounds"
		size = 13
		refs = "0004 GdipGetImageBounds 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103065_0 {
	meta:
		name = "$thunk_GdipGetImageDecoders"
		size = 13
		refs = "0004 GdipGetImageDecoders 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103063_0 {
	meta:
		name = "$thunk_GdipGetImageDecodersSize"
		size = 13
		refs = "0004 GdipGetImageDecodersSize 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102607_0 {
	meta:
		name = "$thunk_GdipGetImageDimension"
		size = 13
		refs = "0004 GdipGetImageDimension 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103069_0 {
	meta:
		name = "$thunk_GdipGetImageEncoders"
		size = 13
		refs = "0004 GdipGetImageEncoders 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103067_0 {
	meta:
		name = "$thunk_GdipGetImageEncodersSize"
		size = 13
		refs = "0004 GdipGetImageEncodersSize 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102619_0 {
	meta:
		name = "$thunk_GdipGetImageFlags"
		size = 13
		refs = "0004 GdipGetImageFlags 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102603_0 {
	meta:
		name = "$thunk_GdipGetImageGraphicsContext"
		size = 13
		refs = "0004 GdipGetImageGraphicsContext 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102613_0 {
	meta:
		name = "$thunk_GdipGetImageHeight"
		size = 13
		refs = "0004 GdipGetImageHeight 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102615_0 {
	meta:
		name = "$thunk_GdipGetImageHorizontalResolution"
		size = 13
		refs = "0004 GdipGetImageHorizontalResolution 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102641_0 {
	meta:
		name = "$thunk_GdipGetImagePalette"
		size = 13
		refs = "0004 GdipGetImagePalette 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102645_0 {
	meta:
		name = "$thunk_GdipGetImagePaletteSize"
		size = 13
		refs = "0004 GdipGetImagePaletteSize 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102623_0 {
	meta:
		name = "$thunk_GdipGetImagePixelFormat"
		size = 13
		refs = "0004 GdipGetImagePixelFormat 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102621_0 {
	meta:
		name = "$thunk_GdipGetImageRawFormat"
		size = 13
		refs = "0004 GdipGetImageRawFormat 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102625_0 {
	meta:
		name = "$thunk_GdipGetImageThumbnail"
		size = 13
		refs = "0004 GdipGetImageThumbnail 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102609_0 {
	meta:
		name = "$thunk_GdipGetImageType"
		size = 13
		refs = "0004 GdipGetImageType 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102617_0 {
	meta:
		name = "$thunk_GdipGetImageVerticalResolution"
		size = 13
		refs = "0004 GdipGetImageVerticalResolution 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102611_0 {
	meta:
		name = "$thunk_GdipGetImageWidth"
		size = 13
		refs = "0004 GdipGetImageWidth 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102783_0 {
	meta:
		name = "$thunk_GdipGetInterpolationMode"
		size = 13
		refs = "0004 GdipGetInterpolationMode 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102335_0 {
	meta:
		name = "$thunk_GdipGetLineBlend"
		size = 13
		refs = "0004 GdipGetLineBlend 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102333_0 {
	meta:
		name = "$thunk_GdipGetLineBlendCount"
		size = 13
		refs = "0004 GdipGetLineBlendCount 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102323_0 {
	meta:
		name = "$thunk_GdipGetLineColors"
		size = 13
		refs = "0004 GdipGetLineColors 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102331_0 {
	meta:
		name = "$thunk_GdipGetLineGammaCorrection"
		size = 13
		refs = "0004 GdipGetLineGammaCorrection 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102341_0 {
	meta:
		name = "$thunk_GdipGetLinePresetBlend"
		size = 13
		refs = "0004 GdipGetLinePresetBlend 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102339_0 {
	meta:
		name = "$thunk_GdipGetLinePresetBlendCount"
		size = 13
		refs = "0004 GdipGetLinePresetBlendCount 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102325_0 {
	meta:
		name = "$thunk_GdipGetLineRect"
		size = 13
		refs = "0004 GdipGetLineRect 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102327_0 {
	meta:
		name = "$thunk_GdipGetLineRectI"
		size = 13
		refs = "0004 GdipGetLineRectI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103099_0 {
	meta:
		name = "$thunk_GdipGetLineSpacing"
		size = 13
		refs = "0004 GdipGetLineSpacing 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102353_0 {
	meta:
		name = "$thunk_GdipGetLineTransform"
		size = 13
		refs = "0004 GdipGetLineTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102351_0 {
	meta:
		name = "$thunk_GdipGetLineWrapMode"
		size = 13
		refs = "0004 GdipGetLineWrapMode 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103125_0 {
	meta:
		name = "$thunk_GdipGetLogFontA"
		size = 13
		refs = "0004 GdipGetLogFontA 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103127_0 {
	meta:
		name = "$thunk_GdipGetLogFontW"
		size = 13
		refs = "0004 GdipGetLogFontW 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102187_0 {
	meta:
		name = "$thunk_GdipGetMatrixElements"
		size = 13
		refs = "0004 GdipGetMatrixElements 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103061_0 {
	meta:
		name = "$thunk_GdipGetMetafileDownLevelRasterizationLimit"
		size = 13
		refs = "0004 GdipGetMetafileDownLevelRasterizationLimit 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103025_0 {
	meta:
		name = "$thunk_GdipGetMetafileHeaderFromEmf"
		size = 13
		refs = "0004 GdipGetMetafileHeaderFromEmf 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103027_0 {
	meta:
		name = "$thunk_GdipGetMetafileHeaderFromFile"
		size = 13
		refs = "0004 GdipGetMetafileHeaderFromFile 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103031_0 {
	meta:
		name = "$thunk_GdipGetMetafileHeaderFromMetafile"
		size = 13
		refs = "0004 GdipGetMetafileHeaderFromMetafile 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103029_0 {
	meta:
		name = "$thunk_GdipGetMetafileHeaderFromStream"
		size = 13
		refs = "0004 GdipGetMetafileHeaderFromStream 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103023_0 {
	meta:
		name = "$thunk_GdipGetMetafileHeaderFromWmf"
		size = 13
		refs = "0004 GdipGetMetafileHeaderFromWmf 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102817_0 {
	meta:
		name = "$thunk_GdipGetNearestColor"
		size = 13
		refs = "0004 GdipGetNearestColor 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102803_0 {
	meta:
		name = "$thunk_GdipGetPageScale"
		size = 13
		refs = "0004 GdipGetPageScale 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102801_0 {
	meta:
		name = "$thunk_GdipGetPageUnit"
		size = 13
		refs = "0004 GdipGetPageUnit 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102021_0 {
	meta:
		name = "$thunk_GdipGetPathData"
		size = 13
		refs = "0004 GdipGetPathData 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102017_0 {
	meta:
		name = "$thunk_GdipGetPathFillMode"
		size = 13
		refs = "0004 GdipGetPathFillMode 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102407_0 {
	meta:
		name = "$thunk_GdipGetPathGradientBlend"
		size = 13
		refs = "0004 GdipGetPathGradientBlend 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102405_0 {
	meta:
		name = "$thunk_GdipGetPathGradientBlendCount"
		size = 13
		refs = "0004 GdipGetPathGradientBlendCount 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102373_0 {
	meta:
		name = "$thunk_GdipGetPathGradientCenterColor"
		size = 13
		refs = "0004 GdipGetPathGradientCenterColor 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102385_0 {
	meta:
		name = "$thunk_GdipGetPathGradientCenterPoint"
		size = 13
		refs = "0004 GdipGetPathGradientCenterPoint 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102387_0 {
	meta:
		name = "$thunk_GdipGetPathGradientCenterPointI"
		size = 13
		refs = "0004 GdipGetPathGradientCenterPointI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102439_0 {
	meta:
		name = "$thunk_GdipGetPathGradientFocusScales"
		size = 13
		refs = "0004 GdipGetPathGradientFocusScales 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102403_0 {
	meta:
		name = "$thunk_GdipGetPathGradientGammaCorrection"
		size = 13
		refs = "0004 GdipGetPathGradientGammaCorrection 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102381_0 {
	meta:
		name = "$thunk_GdipGetPathGradientPath"
		size = 13
		refs = "0004 GdipGetPathGradientPath 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102397_0 {
	meta:
		name = "$thunk_GdipGetPathGradientPointCount"
		size = 13
		refs = "0004 GdipGetPathGradientPointCount 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102413_0 {
	meta:
		name = "$thunk_GdipGetPathGradientPresetBlend"
		size = 13
		refs = "0004 GdipGetPathGradientPresetBlend 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102411_0 {
	meta:
		name = "$thunk_GdipGetPathGradientPresetBlendCount"
		size = 13
		refs = "0004 GdipGetPathGradientPresetBlendCount 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102393_0 {
	meta:
		name = "$thunk_GdipGetPathGradientRect"
		size = 13
		refs = "0004 GdipGetPathGradientRect 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102395_0 {
	meta:
		name = "$thunk_GdipGetPathGradientRectI"
		size = 13
		refs = "0004 GdipGetPathGradientRectI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102399_0 {
	meta:
		name = "$thunk_GdipGetPathGradientSurroundColorCount"
		size = 13
		refs = "0004 GdipGetPathGradientSurroundColorCount 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102377_0 {
	meta:
		name = "$thunk_GdipGetPathGradientSurroundColorsWithCount"
		size = 13
		refs = "0004 GdipGetPathGradientSurroundColorsWithCount 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102425_0 {
	meta:
		name = "$thunk_GdipGetPathGradientTransform"
		size = 13
		refs = "0004 GdipGetPathGradientTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102421_0 {
	meta:
		name = "$thunk_GdipGetPathGradientWrapMode"
		size = 13
		refs = "0004 GdipGetPathGradientWrapMode 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102035_0 {
	meta:
		name = "$thunk_GdipGetPathLastPoint"
		size = 13
		refs = "0004 GdipGetPathLastPoint 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102013_0 {
	meta:
		name = "$thunk_GdipGetPathPoints"
		size = 13
		refs = "0004 GdipGetPathPoints 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102015_0 {
	meta:
		name = "$thunk_GdipGetPathPointsI"
		size = 13
		refs = "0004 GdipGetPathPointsI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102011_0 {
	meta:
		name = "$thunk_GdipGetPathTypes"
		size = 13
		refs = "0004 GdipGetPathTypes 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102113_0 {
	meta:
		name = "$thunk_GdipGetPathWorldBounds"
		size = 13
		refs = "0004 GdipGetPathWorldBounds 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102115_0 {
	meta:
		name = "$thunk_GdipGetPathWorldBoundsI"
		size = 13
		refs = "0004 GdipGetPathWorldBoundsI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102513_0 {
	meta:
		name = "$thunk_GdipGetPenBrushFill"
		size = 13
		refs = "0004 GdipGetPenBrushFill 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102509_0 {
	meta:
		name = "$thunk_GdipGetPenColor"
		size = 13
		refs = "0004 GdipGetPenColor 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102535_0 {
	meta:
		name = "$thunk_GdipGetPenCompoundArray"
		size = 13
		refs = "0004 GdipGetPenCompoundArray 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102531_0 {
	meta:
		name = "$thunk_GdipGetPenCompoundCount"
		size = 13
		refs = "0004 GdipGetPenCompoundCount 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102483_0 {
	meta:
		name = "$thunk_GdipGetPenCustomEndCap"
		size = 13
		refs = "0004 GdipGetPenCustomEndCap 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102479_0 {
	meta:
		name = "$thunk_GdipGetPenCustomStartCap"
		size = 13
		refs = "0004 GdipGetPenCustomStartCap 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102529_0 {
	meta:
		name = "$thunk_GdipGetPenDashArray"
		size = 13
		refs = "0004 GdipGetPenDashArray 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102471_0 {
	meta:
		name = "$thunk_GdipGetPenDashCap197819"
		size = 13
		refs = "0004 GdipGetPenDashCap197819 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102525_0 {
	meta:
		name = "$thunk_GdipGetPenDashCount"
		size = 13
		refs = "0004 GdipGetPenDashCount 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102521_0 {
	meta:
		name = "$thunk_GdipGetPenDashOffset"
		size = 13
		refs = "0004 GdipGetPenDashOffset 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102517_0 {
	meta:
		name = "$thunk_GdipGetPenDashStyle"
		size = 13
		refs = "0004 GdipGetPenDashStyle 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102469_0 {
	meta:
		name = "$thunk_GdipGetPenEndCap"
		size = 13
		refs = "0004 GdipGetPenEndCap 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102515_0 {
	meta:
		name = "$thunk_GdipGetPenFillType"
		size = 13
		refs = "0004 GdipGetPenFillType 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102475_0 {
	meta:
		name = "$thunk_GdipGetPenLineJoin"
		size = 13
		refs = "0004 GdipGetPenLineJoin 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102487_0 {
	meta:
		name = "$thunk_GdipGetPenMiterLimit"
		size = 13
		refs = "0004 GdipGetPenMiterLimit 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102491_0 {
	meta:
		name = "$thunk_GdipGetPenMode"
		size = 13
		refs = "0004 GdipGetPenMode 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102467_0 {
	meta:
		name = "$thunk_GdipGetPenStartCap"
		size = 13
		refs = "0004 GdipGetPenStartCap 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102495_0 {
	meta:
		name = "$thunk_GdipGetPenTransform"
		size = 13
		refs = "0004 GdipGetPenTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102457_0 {
	meta:
		name = "$thunk_GdipGetPenUnit"
		size = 13
		refs = "0004 GdipGetPenUnit 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102453_0 {
	meta:
		name = "$thunk_GdipGetPenWidth"
		size = 13
		refs = "0004 GdipGetPenWidth 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102771_0 {
	meta:
		name = "$thunk_GdipGetPixelOffsetMode"
		size = 13
		refs = "0004 GdipGetPixelOffsetMode 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102009_0 {
	meta:
		name = "$thunk_GdipGetPointCount"
		size = 13
		refs = "0004 GdipGetPointCount 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102647_0 {
	meta:
		name = "$thunk_GdipGetPropertyCount"
		size = 13
		refs = "0004 GdipGetPropertyCount 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102649_0 {
	meta:
		name = "$thunk_GdipGetPropertyIdList"
		size = 13
		refs = "0004 GdipGetPropertyIdList 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102653_0 {
	meta:
		name = "$thunk_GdipGetPropertyItem"
		size = 13
		refs = "0004 GdipGetPropertyItem 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102651_0 {
	meta:
		name = "$thunk_GdipGetPropertyItemSize"
		size = 13
		refs = "0004 GdipGetPropertyItemSize 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102655_0 {
	meta:
		name = "$thunk_GdipGetPropertySize"
		size = 13
		refs = "0004 GdipGetPropertySize 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102229_0 {
	meta:
		name = "$thunk_GdipGetRegionBounds"
		size = 13
		refs = "0004 GdipGetRegionBounds 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102231_0 {
	meta:
		name = "$thunk_GdipGetRegionBoundsI"
		size = 13
		refs = "0004 GdipGetRegionBoundsI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102243_0 {
	meta:
		name = "$thunk_GdipGetRegionData"
		size = 13
		refs = "0004 GdipGetRegionData 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102241_0 {
	meta:
		name = "$thunk_GdipGetRegionDataSize"
		size = 13
		refs = "0004 GdipGetRegionDataSize 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102233_0 {
	meta:
		name = "$thunk_GdipGetRegionHRgn"
		size = 13
		refs = "0004 GdipGetRegionHRgn 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102255_0 {
	meta:
		name = "$thunk_GdipGetRegionScans"
		size = 13
		refs = "0004 GdipGetRegionScans 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102253_0 {
	meta:
		name = "$thunk_GdipGetRegionScansCount"
		size = 13
		refs = "0004 GdipGetRegionScansCount 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102257_0 {
	meta:
		name = "$thunk_GdipGetRegionScansI"
		size = 13
		refs = "0004 GdipGetRegionScansI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102759_0 {
	meta:
		name = "$thunk_GdipGetRenderingOrigin"
		size = 13
		refs = "0004 GdipGetRenderingOrigin 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102767_0 {
	meta:
		name = "$thunk_GdipGetSmoothingMode"
		size = 13
		refs = "0004 GdipGetSmoothingMode 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102307_0 {
	meta:
		name = "$thunk_GdipGetSolidFillColor"
		size = 13
		refs = "0004 GdipGetSolidFillColor 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103169_0 {
	meta:
		name = "$thunk_GdipGetStringFormatAlign"
		size = 13
		refs = "0004 GdipGetStringFormatAlign 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103191_0 {
	meta:
		name = "$thunk_GdipGetStringFormatDigitSubstitution"
		size = 13
		refs = "0004 GdipGetStringFormatDigitSubstitution 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103165_0 {
	meta:
		name = "$thunk_GdipGetStringFormatFlags"
		size = 13
		refs = "0004 GdipGetStringFormatFlags 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103181_0 {
	meta:
		name = "$thunk_GdipGetStringFormatHotkeyPrefix"
		size = 13
		refs = "0004 GdipGetStringFormatHotkeyPrefix 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103173_0 {
	meta:
		name = "$thunk_GdipGetStringFormatLineAlign"
		size = 13
		refs = "0004 GdipGetStringFormatLineAlign 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103193_0 {
	meta:
		name = "$thunk_GdipGetStringFormatMeasurableCharacterRangeCount"
		size = 13
		refs = "0004 GdipGetStringFormatMeasurableCharacterRangeCount 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103187_0 {
	meta:
		name = "$thunk_GdipGetStringFormatTabStopCount"
		size = 13
		refs = "0004 GdipGetStringFormatTabStopCount 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103185_0 {
	meta:
		name = "$thunk_GdipGetStringFormatTabStops"
		size = 13
		refs = "0004 GdipGetStringFormatTabStops 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103177_0 {
	meta:
		name = "$thunk_GdipGetStringFormatTrimming"
		size = 13
		refs = "0004 GdipGetStringFormatTrimming 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102779_0 {
	meta:
		name = "$thunk_GdipGetTextContrast"
		size = 13
		refs = "0004 GdipGetTextContrast 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102775_0 {
	meta:
		name = "$thunk_GdipGetTextRenderingHint"
		size = 13
		refs = "0004 GdipGetTextRenderingHint 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102301_0 {
	meta:
		name = "$thunk_GdipGetTextureImage"
		size = 13
		refs = "0004 GdipGetTextureImage 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102283_0 {
	meta:
		name = "$thunk_GdipGetTextureTransform"
		size = 13
		refs = "0004 GdipGetTextureTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102299_0 {
	meta:
		name = "$thunk_GdipGetTextureWrapMode"
		size = 13
		refs = "0004 GdipGetTextureWrapMode 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102997_0 {
	meta:
		name = "$thunk_GdipGetVisibleClipBounds"
		size = 13
		refs = "0004 GdipGetVisibleClipBounds 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102999_0 {
	meta:
		name = "$thunk_GdipGetVisibleClipBoundsI"
		size = 13
		refs = "0004 GdipGetVisibleClipBoundsI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102797_0 {
	meta:
		name = "$thunk_GdipGetWorldTransform"
		size = 13
		refs = "0004 GdipGetWorldTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102883_0 {
	meta:
		name = "$thunk_GdipGraphicsClear"
		size = 13
		refs = "0004 GdipGraphicsClear 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102663_0 {
	meta:
		name = "$thunk_GdipImageForceValidation"
		size = 13
		refs = "0004 GdipImageForceValidation 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102635_0 {
	meta:
		name = "$thunk_GdipImageGetFrameCount"
		size = 13
		refs = "0004 GdipImageGetFrameCount 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102631_0 {
	meta:
		name = "$thunk_GdipImageGetFrameDimensionsCount"
		size = 13
		refs = "0004 GdipImageGetFrameDimensionsCount 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102633_0 {
	meta:
		name = "$thunk_GdipImageGetFrameDimensionsList"
		size = 13
		refs = "0004 GdipImageGetFrameDimensionsList 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102639_0 {
	meta:
		name = "$thunk_GdipImageRotateFlip"
		size = 13
		refs = "0004 GdipImageRotateFlip 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102637_0 {
	meta:
		name = "$thunk_GdipImageSelectActiveFrame"
		size = 13
		refs = "0004 GdipImageSelectActiveFrame 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102177_0 {
	meta:
		name = "$thunk_GdipInvertMatrix"
		size = 13
		refs = "0004 GdipInvertMatrix 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102995_0 {
	meta:
		name = "$thunk_GdipIsClipEmpty"
		size = 13
		refs = "0004 GdipIsClipEmpty 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102235_0 {
	meta:
		name = "$thunk_GdipIsEmptyRegion"
		size = 13
		refs = "0004 GdipIsEmptyRegion 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102239_0 {
	meta:
		name = "$thunk_GdipIsEqualRegion"
		size = 13
		refs = "0004 GdipIsEqualRegion 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102237_0 {
	meta:
		name = "$thunk_GdipIsInfiniteRegion"
		size = 13
		refs = "0004 GdipIsInfiniteRegion 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102193_0 {
	meta:
		name = "$thunk_GdipIsMatrixEqual"
		size = 13
		refs = "0004 GdipIsMatrixEqual 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102191_0 {
	meta:
		name = "$thunk_GdipIsMatrixIdentity"
		size = 13
		refs = "0004 GdipIsMatrixIdentity 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102189_0 {
	meta:
		name = "$thunk_GdipIsMatrixInvertible"
		size = 13
		refs = "0004 GdipIsMatrixInvertible 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102121_0 {
	meta:
		name = "$thunk_GdipIsOutlineVisiblePathPoint"
		size = 13
		refs = "0004 GdipIsOutlineVisiblePathPoint 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102123_0 {
	meta:
		name = "$thunk_GdipIsOutlineVisiblePathPointI"
		size = 13
		refs = "0004 GdipIsOutlineVisiblePathPointI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103087_0 {
	meta:
		name = "$thunk_GdipIsStyleAvailable"
		size = 13
		refs = "0004 GdipIsStyleAvailable 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103001_0 {
	meta:
		name = "$thunk_GdipIsVisibleClipEmpty"
		size = 13
		refs = "0004 GdipIsVisibleClipEmpty 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102117_0 {
	meta:
		name = "$thunk_GdipIsVisiblePathPoint"
		size = 13
		refs = "0004 GdipIsVisiblePathPoint 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102119_0 {
	meta:
		name = "$thunk_GdipIsVisiblePathPointI"
		size = 13
		refs = "0004 GdipIsVisiblePathPointI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103003_0 {
	meta:
		name = "$thunk_GdipIsVisiblePoint"
		size = 13
		refs = "0004 GdipIsVisiblePoint 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103005_0 {
	meta:
		name = "$thunk_GdipIsVisiblePointI"
		size = 13
		refs = "0004 GdipIsVisiblePointI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103007_0 {
	meta:
		name = "$thunk_GdipIsVisibleRect"
		size = 13
		refs = "0004 GdipIsVisibleRect 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103009_0 {
	meta:
		name = "$thunk_GdipIsVisibleRectI"
		size = 13
		refs = "0004 GdipIsVisibleRectI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102245_0 {
	meta:
		name = "$thunk_GdipIsVisibleRegionPoint"
		size = 13
		refs = "0004 GdipIsVisibleRegionPoint 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102247_0 {
	meta:
		name = "$thunk_GdipIsVisibleRegionPointI"
		size = 13
		refs = "0004 GdipIsVisibleRegionPointI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102249_0 {
	meta:
		name = "$thunk_GdipIsVisibleRegionRect"
		size = 13
		refs = "0004 GdipIsVisibleRegionRect 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102251_0 {
	meta:
		name = "$thunk_GdipIsVisibleRegionRectI"
		size = 13
		refs = "0004 GdipIsVisibleRegionRectI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102585_0 {
	meta:
		name = "$thunk_GdipLoadImageFromFile"
		size = 13
		refs = "0004 GdipLoadImageFromFile 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102589_0 {
	meta:
		name = "$thunk_GdipLoadImageFromFileICM"
		size = 13
		refs = "0004 GdipLoadImageFromFileICM 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102583_0 {
	meta:
		name = "$thunk_GdipLoadImageFromStream"
		size = 13
		refs = "0004 GdipLoadImageFromStream 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102587_0 {
	meta:
		name = "$thunk_GdipLoadImageFromStreamICM"
		size = 13
		refs = "0004 GdipLoadImageFromStreamICM 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103147_0 {
	meta:
		name = "$thunk_GdipMeasureCharacterRanges"
		size = 13
		refs = "0004 GdipMeasureCharacterRanges 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103151_0 {
	meta:
		name = "$thunk_GdipMeasureDriverString"
		size = 13
		refs = "0004 GdipMeasureDriverString 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103145_0 {
	meta:
		name = "$thunk_GdipMeasureString"
		size = 13
		refs = "0004 GdipMeasureString 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102359_0 {
	meta:
		name = "$thunk_GdipMultiplyLineTransform"
		size = 13
		refs = "0004 GdipMultiplyLineTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102167_0 {
	meta:
		name = "$thunk_GdipMultiplyMatrix"
		size = 13
		refs = "0004 GdipMultiplyMatrix 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102431_0 {
	meta:
		name = "$thunk_GdipMultiplyPathGradientTransform"
		size = 13
		refs = "0004 GdipMultiplyPathGradientTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102499_0 {
	meta:
		name = "$thunk_GdipMultiplyPenTransform"
		size = 13
		refs = "0004 GdipMultiplyPenTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102289_0 {
	meta:
		name = "$thunk_GdipMultiplyTextureTransform"
		size = 13
		refs = "0004 GdipMultiplyTextureTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102789_0 {
	meta:
		name = "$thunk_GdipMultiplyWorldTransform"
		size = 13
		refs = "0004 GdipMultiplyWorldTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103129_0 {
	meta:
		name = "$thunk_GdipNewInstalledFontCollection"
		size = 13
		refs = "0004 GdipNewInstalledFontCollection 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103131_0 {
	meta:
		name = "$thunk_GdipNewPrivateFontCollection"
		size = 13
		refs = "0004 GdipNewPrivateFontCollection 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102151_0 {
	meta:
		name = "$thunk_GdipPathIterCopyData"
		size = 13
		refs = "0004 GdipPathIterCopyData 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102149_0 {
	meta:
		name = "$thunk_GdipPathIterEnumerate"
		size = 13
		refs = "0004 GdipPathIterEnumerate 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102139_0 {
	meta:
		name = "$thunk_GdipPathIterGetCount"
		size = 13
		refs = "0004 GdipPathIterGetCount 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102141_0 {
	meta:
		name = "$thunk_GdipPathIterGetSubpathCount"
		size = 13
		refs = "0004 GdipPathIterGetSubpathCount 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102145_0 {
	meta:
		name = "$thunk_GdipPathIterHasCurve"
		size = 13
		refs = "0004 GdipPathIterHasCurve 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102143_0 {
	meta:
		name = "$thunk_GdipPathIterIsValid"
		size = 13
		refs = "0004 GdipPathIterIsValid 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102135_0 {
	meta:
		name = "$thunk_GdipPathIterNextMarker"
		size = 13
		refs = "0004 GdipPathIterNextMarker 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102137_0 {
	meta:
		name = "$thunk_GdipPathIterNextMarkerPath"
		size = 13
		refs = "0004 GdipPathIterNextMarkerPath 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102133_0 {
	meta:
		name = "$thunk_GdipPathIterNextPathType"
		size = 13
		refs = "0004 GdipPathIterNextPathType 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102129_0 {
	meta:
		name = "$thunk_GdipPathIterNextSubpath"
		size = 13
		refs = "0004 GdipPathIterNextSubpath 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102131_0 {
	meta:
		name = "$thunk_GdipPathIterNextSubpathPath"
		size = 13
		refs = "0004 GdipPathIterNextSubpathPath 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102147_0 {
	meta:
		name = "$thunk_GdipPathIterRewind"
		size = 13
		refs = "0004 GdipPathIterRewind 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102969_0 {
	meta:
		name = "$thunk_GdipPlayMetafileRecord"
		size = 13
		refs = "0004 GdipPlayMetafileRecord 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103139_0 {
	meta:
		name = "$thunk_GdipPrivateAddFontFile"
		size = 13
		refs = "0004 GdipPrivateAddFontFile 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103141_0 {
	meta:
		name = "$thunk_GdipPrivateAddMemoryFont"
		size = 13
		refs = "0004 GdipPrivateAddMemoryFont 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103047_0 {
	meta:
		name = "$thunk_GdipRecordMetafile"
		size = 13
		refs = "0004 GdipRecordMetafile 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103051_0 {
	meta:
		name = "$thunk_GdipRecordMetafileFileName"
		size = 13
		refs = "0004 GdipRecordMetafileFileName 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103053_0 {
	meta:
		name = "$thunk_GdipRecordMetafileFileNameI"
		size = 13
		refs = "0004 GdipRecordMetafileFileNameI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103049_0 {
	meta:
		name = "$thunk_GdipRecordMetafileI"
		size = 13
		refs = "0004 GdipRecordMetafileI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103055_0 {
	meta:
		name = "$thunk_GdipRecordMetafileStream"
		size = 13
		refs = "0004 GdipRecordMetafileStream 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103057_0 {
	meta:
		name = "$thunk_GdipRecordMetafileStreamI"
		size = 13
		refs = "0004 GdipRecordMetafileStreamI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102751_0 {
	meta:
		name = "$thunk_GdipReleaseDC"
		size = 13
		refs = "0004 GdipReleaseDC 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102659_0 {
	meta:
		name = "$thunk_GdipRemovePropertyItem"
		size = 13
		refs = "0004 GdipRemovePropertyItem 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102983_0 {
	meta:
		name = "$thunk_GdipResetClip"
		size = 13
		refs = "0004 GdipResetClip 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102713_0 {
	meta:
		name = "$thunk_GdipResetImageAttributes"
		size = 13
		refs = "0004 GdipResetImageAttributes 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102357_0 {
	meta:
		name = "$thunk_GdipResetLineTransform"
		size = 13
		refs = "0004 GdipResetLineTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102799_0 {
	meta:
		name = "$thunk_GdipResetPageTransform"
		size = 13
		refs = "0004 GdipResetPageTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102007_0 {
	meta:
		name = "$thunk_GdipResetPath"
		size = 13
		refs = "0004 GdipResetPath 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102429_0 {
	meta:
		name = "$thunk_GdipResetPathGradientTransform"
		size = 13
		refs = "0004 GdipResetPathGradientTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102497_0 {
	meta:
		name = "$thunk_GdipResetPenTransform"
		size = 13
		refs = "0004 GdipResetPenTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102287_0 {
	meta:
		name = "$thunk_GdipResetTextureTransform"
		size = 13
		refs = "0004 GdipResetTextureTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102787_0 {
	meta:
		name = "$thunk_GdipResetWorldTransform"
		size = 13
		refs = "0004 GdipResetWorldTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103013_0 {
	meta:
		name = "$thunk_GdipRestoreGraphics"
		size = 13
		refs = "0004 GdipRestoreGraphics 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102033_0 {
	meta:
		name = "$thunk_GdipReversePath"
		size = 13
		refs = "0004 GdipReversePath 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102365_0 {
	meta:
		name = "$thunk_GdipRotateLineTransform"
		size = 13
		refs = "0004 GdipRotateLineTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102173_0 {
	meta:
		name = "$thunk_GdipRotateMatrix"
		size = 13
		refs = "0004 GdipRotateMatrix 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102437_0 {
	meta:
		name = "$thunk_GdipRotatePathGradientTransform"
		size = 13
		refs = "0004 GdipRotatePathGradientTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102505_0 {
	meta:
		name = "$thunk_GdipRotatePenTransform"
		size = 13
		refs = "0004 GdipRotatePenTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102295_0 {
	meta:
		name = "$thunk_GdipRotateTextureTransform"
		size = 13
		refs = "0004 GdipRotateTextureTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102795_0 {
	meta:
		name = "$thunk_GdipRotateWorldTransform"
		size = 13
		refs = "0004 GdipRotateWorldTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102599_0 {
	meta:
		name = "$thunk_GdipSaveAdd"
		size = 13
		refs = "0004 GdipSaveAdd 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102601_0 {
	meta:
		name = "$thunk_GdipSaveAddImage"
		size = 13
		refs = "0004 GdipSaveAddImage 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103011_0 {
	meta:
		name = "$thunk_GdipSaveGraphics"
		size = 13
		refs = "0004 GdipSaveGraphics 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102595_0 {
	meta:
		name = "$thunk_GdipSaveImageToFile"
		size = 13
		refs = "0004 GdipSaveImageToFile 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102597_0 {
	meta:
		name = "$thunk_GdipSaveImageToStream"
		size = 13
		refs = "0004 GdipSaveImageToStream 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102363_0 {
	meta:
		name = "$thunk_GdipScaleLineTransform"
		size = 13
		refs = "0004 GdipScaleLineTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102171_0 {
	meta:
		name = "$thunk_GdipScaleMatrix"
		size = 13
		refs = "0004 GdipScaleMatrix 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102435_0 {
	meta:
		name = "$thunk_GdipScalePathGradientTransform"
		size = 13
		refs = "0004 GdipScalePathGradientTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102503_0 {
	meta:
		name = "$thunk_GdipScalePenTransform"
		size = 13
		refs = "0004 GdipScalePenTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102293_0 {
	meta:
		name = "$thunk_GdipScaleTextureTransform"
		size = 13
		refs = "0004 GdipScaleTextureTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102793_0 {
	meta:
		name = "$thunk_GdipScaleWorldTransform"
		size = 13
		refs = "0004 GdipScaleWorldTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102579_0 {
	meta:
		name = "$thunk_GdipSetAdjustableArrowCapFillState"
		size = 13
		refs = "0004 GdipSetAdjustableArrowCapFillState 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102567_0 {
	meta:
		name = "$thunk_GdipSetAdjustableArrowCapHeight"
		size = 13
		refs = "0004 GdipSetAdjustableArrowCapHeight 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102575_0 {
	meta:
		name = "$thunk_GdipSetAdjustableArrowCapMiddleInset"
		size = 13
		refs = "0004 GdipSetAdjustableArrowCapMiddleInset 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102571_0 {
	meta:
		name = "$thunk_GdipSetAdjustableArrowCapWidth"
		size = 13
		refs = "0004 GdipSetAdjustableArrowCapWidth 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102971_0 {
	meta:
		name = "$thunk_GdipSetClipGraphics"
		size = 13
		refs = "0004 GdipSetClipGraphics 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102981_0 {
	meta:
		name = "$thunk_GdipSetClipHrgn"
		size = 13
		refs = "0004 GdipSetClipHrgn 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102977_0 {
	meta:
		name = "$thunk_GdipSetClipPath"
		size = 13
		refs = "0004 GdipSetClipPath 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102973_0 {
	meta:
		name = "$thunk_GdipSetClipRect"
		size = 13
		refs = "0004 GdipSetClipRect 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102975_0 {
	meta:
		name = "$thunk_GdipSetClipRectI"
		size = 13
		refs = "0004 GdipSetClipRectI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102979_0 {
	meta:
		name = "$thunk_GdipSetClipRegion"
		size = 13
		refs = "0004 GdipSetClipRegion 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102753_0 {
	meta:
		name = "$thunk_GdipSetCompositingMode"
		size = 13
		refs = "0004 GdipSetCompositingMode 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102761_0 {
	meta:
		name = "$thunk_GdipSetCompositingQuality"
		size = 13
		refs = "0004 GdipSetCompositingQuality 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102553_0 {
	meta:
		name = "$thunk_GdipSetCustomLineCapBaseCap"
		size = 13
		refs = "0004 GdipSetCustomLineCapBaseCap 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102557_0 {
	meta:
		name = "$thunk_GdipSetCustomLineCapBaseInset"
		size = 13
		refs = "0004 GdipSetCustomLineCapBaseInset 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102545_0 {
	meta:
		name = "$thunk_GdipSetCustomLineCapStrokeCaps"
		size = 13
		refs = "0004 GdipSetCustomLineCapStrokeCaps 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102549_0 {
	meta:
		name = "$thunk_GdipSetCustomLineCapStrokeJoin"
		size = 13
		refs = "0004 GdipSetCustomLineCapStrokeJoin 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102561_0 {
	meta:
		name = "$thunk_GdipSetCustomLineCapWidthScale"
		size = 13
		refs = "0004 GdipSetCustomLineCapWidthScale 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102213_0 {
	meta:
		name = "$thunk_GdipSetEmpty"
		size = 13
		refs = "0004 GdipSetEmpty 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102723_0 {
	meta:
		name = "$thunk_GdipSetImageAttributesColorKeys"
		size = 13
		refs = "0004 GdipSetImageAttributesColorKeys 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102715_0 {
	meta:
		name = "$thunk_GdipSetImageAttributesColorMatrix"
		size = 13
		refs = "0004 GdipSetImageAttributesColorMatrix 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102719_0 {
	meta:
		name = "$thunk_GdipSetImageAttributesGamma"
		size = 13
		refs = "0004 GdipSetImageAttributesGamma 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102733_0 {
	meta:
		name = "$thunk_GdipSetImageAttributesICMMode"
		size = 13
		refs = "0004 GdipSetImageAttributesICMMode 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102721_0 {
	meta:
		name = "$thunk_GdipSetImageAttributesNoOp"
		size = 13
		refs = "0004 GdipSetImageAttributesNoOp 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102725_0 {
	meta:
		name = "$thunk_GdipSetImageAttributesOutputChannel"
		size = 13
		refs = "0004 GdipSetImageAttributesOutputChannel 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102727_0 {
	meta:
		name = "$thunk_GdipSetImageAttributesOutputChannelColorProfile"
		size = 13
		refs = "0004 GdipSetImageAttributesOutputChannelColorProfile 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102729_0 {
	meta:
		name = "$thunk_GdipSetImageAttributesRemapTable"
		size = 13
		refs = "0004 GdipSetImageAttributesRemapTable 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102717_0 {
	meta:
		name = "$thunk_GdipSetImageAttributesThreshold"
		size = 13
		refs = "0004 GdipSetImageAttributesThreshold 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102711_0 {
	meta:
		name = "$thunk_GdipSetImageAttributesToIdentity"
		size = 13
		refs = "0004 GdipSetImageAttributesToIdentity 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102731_0 {
	meta:
		name = "$thunk_GdipSetImageAttributesWrapMode"
		size = 13
		refs = "0004 GdipSetImageAttributesWrapMode 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102643_0 {
	meta:
		name = "$thunk_GdipSetImagePalette"
		size = 13
		refs = "0004 GdipSetImagePalette 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102211_0 {
	meta:
		name = "$thunk_GdipSetInfinite"
		size = 13
		refs = "0004 GdipSetInfinite 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102781_0 {
	meta:
		name = "$thunk_GdipSetInterpolationMode"
		size = 13
		refs = "0004 GdipSetInterpolationMode 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102337_0 {
	meta:
		name = "$thunk_GdipSetLineBlend"
		size = 13
		refs = "0004 GdipSetLineBlend 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102321_0 {
	meta:
		name = "$thunk_GdipSetLineColors"
		size = 13
		refs = "0004 GdipSetLineColors 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102329_0 {
	meta:
		name = "$thunk_GdipSetLineGammaCorrection"
		size = 13
		refs = "0004 GdipSetLineGammaCorrection 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102347_0 {
	meta:
		name = "$thunk_GdipSetLineLinearBlend"
		size = 13
		refs = "0004 GdipSetLineLinearBlend 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102343_0 {
	meta:
		name = "$thunk_GdipSetLinePresetBlend"
		size = 13
		refs = "0004 GdipSetLinePresetBlend 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102345_0 {
	meta:
		name = "$thunk_GdipSetLineSigmaBlend"
		size = 13
		refs = "0004 GdipSetLineSigmaBlend 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102355_0 {
	meta:
		name = "$thunk_GdipSetLineTransform"
		size = 13
		refs = "0004 GdipSetLineTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102349_0 {
	meta:
		name = "$thunk_GdipSetLineWrapMode"
		size = 13
		refs = "0004 GdipSetLineWrapMode 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102165_0 {
	meta:
		name = "$thunk_GdipSetMatrixElements"
		size = 13
		refs = "0004 GdipSetMatrixElements 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103059_0 {
	meta:
		name = "$thunk_GdipSetMetafileDownLevelRasterizationLimit"
		size = 13
		refs = "0004 GdipSetMetafileDownLevelRasterizationLimit 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102807_0 {
	meta:
		name = "$thunk_GdipSetPageScale"
		size = 13
		refs = "0004 GdipSetPageScale 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102805_0 {
	meta:
		name = "$thunk_GdipSetPageUnit"
		size = 13
		refs = "0004 GdipSetPageUnit 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102019_0 {
	meta:
		name = "$thunk_GdipSetPathFillMode"
		size = 13
		refs = "0004 GdipSetPathFillMode 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102409_0 {
	meta:
		name = "$thunk_GdipSetPathGradientBlend"
		size = 13
		refs = "0004 GdipSetPathGradientBlend 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102375_0 {
	meta:
		name = "$thunk_GdipSetPathGradientCenterColor"
		size = 13
		refs = "0004 GdipSetPathGradientCenterColor 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102389_0 {
	meta:
		name = "$thunk_GdipSetPathGradientCenterPoint"
		size = 13
		refs = "0004 GdipSetPathGradientCenterPoint 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102391_0 {
	meta:
		name = "$thunk_GdipSetPathGradientCenterPointI"
		size = 13
		refs = "0004 GdipSetPathGradientCenterPointI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102441_0 {
	meta:
		name = "$thunk_GdipSetPathGradientFocusScales"
		size = 13
		refs = "0004 GdipSetPathGradientFocusScales 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102401_0 {
	meta:
		name = "$thunk_GdipSetPathGradientGammaCorrection"
		size = 13
		refs = "0004 GdipSetPathGradientGammaCorrection 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102419_0 {
	meta:
		name = "$thunk_GdipSetPathGradientLinearBlend"
		size = 13
		refs = "0004 GdipSetPathGradientLinearBlend 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102383_0 {
	meta:
		name = "$thunk_GdipSetPathGradientPath"
		size = 13
		refs = "0004 GdipSetPathGradientPath 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102415_0 {
	meta:
		name = "$thunk_GdipSetPathGradientPresetBlend"
		size = 13
		refs = "0004 GdipSetPathGradientPresetBlend 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102417_0 {
	meta:
		name = "$thunk_GdipSetPathGradientSigmaBlend"
		size = 13
		refs = "0004 GdipSetPathGradientSigmaBlend 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102379_0 {
	meta:
		name = "$thunk_GdipSetPathGradientSurroundColorsWithCount"
		size = 13
		refs = "0004 GdipSetPathGradientSurroundColorsWithCount 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102427_0 {
	meta:
		name = "$thunk_GdipSetPathGradientTransform"
		size = 13
		refs = "0004 GdipSetPathGradientTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102423_0 {
	meta:
		name = "$thunk_GdipSetPathGradientWrapMode"
		size = 13
		refs = "0004 GdipSetPathGradientWrapMode 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102029_0 {
	meta:
		name = "$thunk_GdipSetPathMarker"
		size = 13
		refs = "0004 GdipSetPathMarker 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102511_0 {
	meta:
		name = "$thunk_GdipSetPenBrushFill"
		size = 13
		refs = "0004 GdipSetPenBrushFill 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102507_0 {
	meta:
		name = "$thunk_GdipSetPenColor"
		size = 13
		refs = "0004 GdipSetPenColor 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102533_0 {
	meta:
		name = "$thunk_GdipSetPenCompoundArray"
		size = 13
		refs = "0004 GdipSetPenCompoundArray 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102481_0 {
	meta:
		name = "$thunk_GdipSetPenCustomEndCap"
		size = 13
		refs = "0004 GdipSetPenCustomEndCap 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102477_0 {
	meta:
		name = "$thunk_GdipSetPenCustomStartCap"
		size = 13
		refs = "0004 GdipSetPenCustomStartCap 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102527_0 {
	meta:
		name = "$thunk_GdipSetPenDashArray"
		size = 13
		refs = "0004 GdipSetPenDashArray 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102465_0 {
	meta:
		name = "$thunk_GdipSetPenDashCap197819"
		size = 13
		refs = "0004 GdipSetPenDashCap197819 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102523_0 {
	meta:
		name = "$thunk_GdipSetPenDashOffset"
		size = 13
		refs = "0004 GdipSetPenDashOffset 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102519_0 {
	meta:
		name = "$thunk_GdipSetPenDashStyle"
		size = 13
		refs = "0004 GdipSetPenDashStyle 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102463_0 {
	meta:
		name = "$thunk_GdipSetPenEndCap"
		size = 13
		refs = "0004 GdipSetPenEndCap 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102459_0 {
	meta:
		name = "$thunk_GdipSetPenLineCap197819"
		size = 13
		refs = "0004 GdipSetPenLineCap197819 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102473_0 {
	meta:
		name = "$thunk_GdipSetPenLineJoin"
		size = 13
		refs = "0004 GdipSetPenLineJoin 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102485_0 {
	meta:
		name = "$thunk_GdipSetPenMiterLimit"
		size = 13
		refs = "0004 GdipSetPenMiterLimit 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102489_0 {
	meta:
		name = "$thunk_GdipSetPenMode"
		size = 13
		refs = "0004 GdipSetPenMode 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102461_0 {
	meta:
		name = "$thunk_GdipSetPenStartCap"
		size = 13
		refs = "0004 GdipSetPenStartCap 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102493_0 {
	meta:
		name = "$thunk_GdipSetPenTransform"
		size = 13
		refs = "0004 GdipSetPenTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102455_0 {
	meta:
		name = "$thunk_GdipSetPenUnit"
		size = 13
		refs = "0004 GdipSetPenUnit 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102451_0 {
	meta:
		name = "$thunk_GdipSetPenWidth"
		size = 13
		refs = "0004 GdipSetPenWidth 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102769_0 {
	meta:
		name = "$thunk_GdipSetPixelOffsetMode"
		size = 13
		refs = "0004 GdipSetPixelOffsetMode 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102661_0 {
	meta:
		name = "$thunk_GdipSetPropertyItem"
		size = 13
		refs = "0004 GdipSetPropertyItem 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102757_0 {
	meta:
		name = "$thunk_GdipSetRenderingOrigin"
		size = 13
		refs = "0004 GdipSetRenderingOrigin 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102765_0 {
	meta:
		name = "$thunk_GdipSetSmoothingMode"
		size = 13
		refs = "0004 GdipSetSmoothingMode 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102305_0 {
	meta:
		name = "$thunk_GdipSetSolidFillColor"
		size = 13
		refs = "0004 GdipSetSolidFillColor 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103167_0 {
	meta:
		name = "$thunk_GdipSetStringFormatAlign"
		size = 13
		refs = "0004 GdipSetStringFormatAlign 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103189_0 {
	meta:
		name = "$thunk_GdipSetStringFormatDigitSubstitution"
		size = 13
		refs = "0004 GdipSetStringFormatDigitSubstitution 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103163_0 {
	meta:
		name = "$thunk_GdipSetStringFormatFlags"
		size = 13
		refs = "0004 GdipSetStringFormatFlags 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103179_0 {
	meta:
		name = "$thunk_GdipSetStringFormatHotkeyPrefix"
		size = 13
		refs = "0004 GdipSetStringFormatHotkeyPrefix 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103171_0 {
	meta:
		name = "$thunk_GdipSetStringFormatLineAlign"
		size = 13
		refs = "0004 GdipSetStringFormatLineAlign 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103195_0 {
	meta:
		name = "$thunk_GdipSetStringFormatMeasurableCharacterRanges"
		size = 13
		refs = "0004 GdipSetStringFormatMeasurableCharacterRanges 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103183_0 {
	meta:
		name = "$thunk_GdipSetStringFormatTabStops"
		size = 13
		refs = "0004 GdipSetStringFormatTabStops 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103175_0 {
	meta:
		name = "$thunk_GdipSetStringFormatTrimming"
		size = 13
		refs = "0004 GdipSetStringFormatTrimming 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102777_0 {
	meta:
		name = "$thunk_GdipSetTextContrast"
		size = 13
		refs = "0004 GdipSetTextContrast 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102773_0 {
	meta:
		name = "$thunk_GdipSetTextRenderingHint"
		size = 13
		refs = "0004 GdipSetTextRenderingHint 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102285_0 {
	meta:
		name = "$thunk_GdipSetTextureTransform"
		size = 13
		refs = "0004 GdipSetTextureTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102297_0 {
	meta:
		name = "$thunk_GdipSetTextureWrapMode"
		size = 13
		refs = "0004 GdipSetTextureWrapMode 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102785_0 {
	meta:
		name = "$thunk_GdipSetWorldTransform"
		size = 13
		refs = "0004 GdipSetWorldTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102175_0 {
	meta:
		name = "$thunk_GdipShearMatrix"
		size = 13
		refs = "0004 GdipShearMatrix 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102023_0 {
	meta:
		name = "$thunk_GdipStartPathFigure"
		size = 13
		refs = "0004 GdipStartPathFigure 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103155_0 {
	meta:
		name = "$thunk_GdipStringFormatGetGenericDefault"
		size = 13
		refs = "0004 GdipStringFormatGetGenericDefault 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_103157_0 {
	meta:
		name = "$thunk_GdipStringFormatGetGenericTypographic"
		size = 13
		refs = "0004 GdipStringFormatGetGenericTypographic 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102179_0 {
	meta:
		name = "$thunk_GdipTransformMatrixPoints"
		size = 13
		refs = "0004 GdipTransformMatrixPoints 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102181_0 {
	meta:
		name = "$thunk_GdipTransformMatrixPointsI"
		size = 13
		refs = "0004 GdipTransformMatrixPointsI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102111_0 {
	meta:
		name = "$thunk_GdipTransformPath"
		size = 13
		refs = "0004 GdipTransformPath 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102813_0 {
	meta:
		name = "$thunk_GdipTransformPoints"
		size = 13
		refs = "0004 GdipTransformPoints 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102815_0 {
	meta:
		name = "$thunk_GdipTransformPointsI"
		size = 13
		refs = "0004 GdipTransformPointsI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102227_0 {
	meta:
		name = "$thunk_GdipTransformRegion"
		size = 13
		refs = "0004 GdipTransformRegion 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102985_0 {
	meta:
		name = "$thunk_GdipTranslateClip"
		size = 13
		refs = "0004 GdipTranslateClip 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102987_0 {
	meta:
		name = "$thunk_GdipTranslateClipI"
		size = 13
		refs = "0004 GdipTranslateClipI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102361_0 {
	meta:
		name = "$thunk_GdipTranslateLineTransform"
		size = 13
		refs = "0004 GdipTranslateLineTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102169_0 {
	meta:
		name = "$thunk_GdipTranslateMatrix"
		size = 13
		refs = "0004 GdipTranslateMatrix 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102433_0 {
	meta:
		name = "$thunk_GdipTranslatePathGradientTransform"
		size = 13
		refs = "0004 GdipTranslatePathGradientTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102501_0 {
	meta:
		name = "$thunk_GdipTranslatePenTransform"
		size = 13
		refs = "0004 GdipTranslatePenTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102223_0 {
	meta:
		name = "$thunk_GdipTranslateRegion"
		size = 13
		refs = "0004 GdipTranslateRegion 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102225_0 {
	meta:
		name = "$thunk_GdipTranslateRegionI"
		size = 13
		refs = "0004 GdipTranslateRegionI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102291_0 {
	meta:
		name = "$thunk_GdipTranslateTextureTransform"
		size = 13
		refs = "0004 GdipTranslateTextureTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102791_0 {
	meta:
		name = "$thunk_GdipTranslateWorldTransform"
		size = 13
		refs = "0004 GdipTranslateWorldTransform 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102183_0 {
	meta:
		name = "$thunk_GdipVectorTransformMatrixPoints"
		size = 13
		refs = "0004 GdipVectorTransformMatrixPoints 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102185_0 {
	meta:
		name = "$thunk_GdipVectorTransformMatrixPointsI"
		size = 13
		refs = "0004 GdipVectorTransformMatrixPointsI 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102109_0 {
	meta:
		name = "$thunk_GdipWarpPath"
		size = 13
		refs = "0004 GdipWarpPath 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102107_0 {
	meta:
		name = "$thunk_GdipWidenPath"
		size = 13
		refs = "0004 GdipWidenPath 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_102105_0 {
	meta:
		name = "$thunk_GdipWindingModeOutline"
		size = 13
		refs = "0004 GdipWindingModeOutline 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101995_0 {
	meta:
		name = "$thunk_GdiplusShutdown"
		size = 13
		refs = "0004 GdiplusShutdown 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_101993_0 {
	meta:
		name = "$thunk_GdiplusStartup"
		size = 13
		refs = "0004 GdiplusStartup 0009 gdiplus.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107432_0 {
	meta:
		name = "$thunk_GetBufferedPaintBits"
		size = 13
		refs = "0004 GetBufferedPaintBits 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107430_0 {
	meta:
		name = "$thunk_GetBufferedPaintDC"
		size = 13
		refs = "0004 GetBufferedPaintDC 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107428_0 {
	meta:
		name = "$thunk_GetBufferedPaintTargetDC"
		size = 13
		refs = "0004 GetBufferedPaintTargetDC 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107426_0 {
	meta:
		name = "$thunk_GetBufferedPaintTargetRect"
		size = 13
		refs = "0004 GetBufferedPaintTargetRect 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108002_0 {
	meta:
		name = "$thunk_GetCompressedFileSizeTransactedA"
		size = 13
		refs = "0004 GetCompressedFileSizeTransactedA 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108000_0 {
	meta:
		name = "$thunk_GetCompressedFileSizeTransactedW"
		size = 13
		refs = "0004 GetCompressedFileSizeTransactedW 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110779_0 {
	meta:
		name = "$thunk_GetCorePrinterDriversA"
		size = 13
		refs = "0004 GetCorePrinterDriversA 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110777_0 {
	meta:
		name = "$thunk_GetCorePrinterDriversW"
		size = 13
		refs = "0004 GetCorePrinterDriversW 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110082_0 {
	meta:
		name = "$thunk_GetCurrentActCtx"
		size = 13
		refs = "0004 GetCurrentActCtx 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106580_0 {
	meta:
		name = "$thunk_GetCurrentProcessExplicitAppUserModelID"
		size = 13
		refs = "0004 GetCurrentProcessExplicitAppUserModelID 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108199_0 {
	meta:
		name = "$thunk_GetDynamicTimeZoneInformation"
		size = 13
		refs = "0004 GetDynamicTimeZoneInformation 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108060_0 {
	meta:
		name = "$thunk_GetFileAttributesTransactedA"
		size = 13
		refs = "0004 GetFileAttributesTransactedA 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108058_0 {
	meta:
		name = "$thunk_GetFileAttributesTransactedW"
		size = 13
		refs = "0004 GetFileAttributesTransactedW 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108233_0 {
	meta:
		name = "$thunk_GetFinalPathNameByHandleA"
		size = 13
		refs = "0004 GetFinalPathNameByHandleA 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108231_0 {
	meta:
		name = "$thunk_GetFinalPathNameByHandleW"
		size = 13
		refs = "0004 GetFinalPathNameByHandleW 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108075_0 {
	meta:
		name = "$thunk_GetFullPathNameTransactedA"
		size = 13
		refs = "0004 GetFullPathNameTransactedA 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108073_0 {
	meta:
		name = "$thunk_GetFullPathNameTransactedW"
		size = 13
		refs = "0004 GetFullPathNameTransactedW 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110045_0 {
	meta:
		name = "$thunk_GetGestureConfig"
		size = 13
		refs = "0004 GetGestureConfig 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110039_0 {
	meta:
		name = "$thunk_GetGestureExtraArgs"
		size = 13
		refs = "0004 GetGestureExtraArgs 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110037_0 {
	meta:
		name = "$thunk_GetGestureInfo"
		size = 13
		refs = "0004 GetGestureInfo 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109427_0 {
	meta:
		name = "$thunk_GetIconInfoExA"
		size = 13
		refs = "0004 GetIconInfoExA 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109425_0 {
	meta:
		name = "$thunk_GetIconInfoExW"
		size = 13
		refs = "0004 GetIconInfoExW 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108209_0 {
	meta:
		name = "$thunk_GetLocaleInfoEx"
		size = 13
		refs = "0004 GetLocaleInfoEx 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_63898_0 {
	meta:
		name = "$thunk_GetLogicalProcessorInformation"
		size = 13
		refs = "0004 GetLogicalProcessorInformation 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110109_0 {
	meta:
		name = "$thunk_GetLogicalProcessorInformationEx"
		size = 13
		refs = "0004 GetLogicalProcessorInformationEx 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108150_0 {
	meta:
		name = "$thunk_GetLongPathNameTransactedA"
		size = 13
		refs = "0004 GetLongPathNameTransactedA 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108148_0 {
	meta:
		name = "$thunk_GetLongPathNameTransactedW"
		size = 13
		refs = "0004 GetLongPathNameTransactedW 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110134_0 {
	meta:
		name = "$thunk_GetNamedPipeClientComputerNameA"
		size = 13
		refs = "0004 GetNamedPipeClientComputerNameA 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110132_0 {
	meta:
		name = "$thunk_GetNamedPipeClientComputerNameW"
		size = 13
		refs = "0004 GetNamedPipeClientComputerNameW 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110128_0 {
	meta:
		name = "$thunk_GetNamedPipeClientProcessId"
		size = 13
		refs = "0004 GetNamedPipeClientProcessId 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110130_0 {
	meta:
		name = "$thunk_GetNamedPipeClientSessionId"
		size = 13
		refs = "0004 GetNamedPipeClientSessionId 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110126_0 {
	meta:
		name = "$thunk_GetNamedPipeServerProcessId"
		size = 13
		refs = "0004 GetNamedPipeServerProcessId 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110124_0 {
	meta:
		name = "$thunk_GetNamedPipeServerSessionId"
		size = 13
		refs = "0004 GetNamedPipeServerSessionId 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108169_0 {
	meta:
		name = "$thunk_GetNativeSystemInfo"
		size = 13
		refs = "0004 GetNativeSystemInfo 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110118_0 {
	meta:
		name = "$thunk_GetNumaAvailableMemoryNode"
		size = 13
		refs = "0004 GetNumaAvailableMemoryNode 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110112_0 {
	meta:
		name = "$thunk_GetNumaHighestNodeNumber"
		size = 13
		refs = "0004 GetNumaHighestNodeNumber 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110115_0 {
	meta:
		name = "$thunk_GetNumaProcessorNode"
		size = 13
		refs = "0004 GetNumaProcessorNode 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109402_0 {
	meta:
		name = "$thunk_GetPhysicalCursorPos"
		size = 13
		refs = "0004 GetPhysicalCursorPos 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110784_0 {
	meta:
		name = "$thunk_GetPrinterDriver2A"
		size = 13
		refs = "0004 GetPrinterDriver2A 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110782_0 {
	meta:
		name = "$thunk_GetPrinterDriver2W"
		size = 13
		refs = "0004 GetPrinterDriver2W 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110789_0 {
	meta:
		name = "$thunk_GetPrinterDriverPackagePathA"
		size = 13
		refs = "0004 GetPrinterDriverPackagePathA 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110787_0 {
	meta:
		name = "$thunk_GetPrinterDriverPackagePathW"
		size = 13
		refs = "0004 GetPrinterDriverPackagePathW 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110792_0 {
	meta:
		name = "$thunk_GetSpoolFileHandle"
		size = 13
		refs = "0004 GetSpoolFileHandle 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107414_0 {
	meta:
		name = "$thunk_GetThemeBitmap"
		size = 13
		refs = "0004 GetThemeBitmap 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107416_0 {
	meta:
		name = "$thunk_GetThemeStream"
		size = 13
		refs = "0004 GetThemeStream 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107450_0 {
	meta:
		name = "$thunk_GetThemeTransitionDuration"
		size = 13
		refs = "0004 GetThemeTransitionDuration 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108197_0 {
	meta:
		name = "$thunk_GetTimeZoneInformationForYear"
		size = 13
		refs = "0004 GetTimeZoneInformationForYear 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109501_0 {
	meta:
		name = "$thunk_GetTouchInputInfo"
		size = 13
		refs = "0004 GetTouchInputInfo 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109477_0 {
	meta:
		name = "$thunk_GetUpdatedClipboardFormats"
		size = 13
		refs = "0004 GetUpdatedClipboardFormats 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109513_0 {
	meta:
		name = "$thunk_GetWindowDisplayAffinity"
		size = 13
		refs = "0004 GetWindowDisplayAffinity 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106669_0 {
	meta:
		name = "$thunk_ILLoadFromStreamEx"
		size = 13
		refs = "0004 ILLoadFromStreamEx 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104132_0 {
	meta:
		name = "$thunk_ImmAssociateContext"
		size = 13
		refs = "0004 ImmAssociateContext 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104179_0 {
	meta:
		name = "$thunk_ImmConfigureIMEA"
		size = 13
		refs = "0004 ImmConfigureIMEA 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104177_0 {
	meta:
		name = "$thunk_ImmConfigureIMEW"
		size = 13
		refs = "0004 ImmConfigureIMEW 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104124_0 {
	meta:
		name = "$thunk_ImmCreateContext"
		size = 13
		refs = "0004 ImmCreateContext 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104126_0 {
	meta:
		name = "$thunk_ImmDestroyContext"
		size = 13
		refs = "0004 ImmDestroyContext 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104230_0 {
	meta:
		name = "$thunk_ImmEnumRegisterWordA"
		size = 13
		refs = "0004 ImmEnumRegisterWordA 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104228_0 {
	meta:
		name = "$thunk_ImmEnumRegisterWordW"
		size = 13
		refs = "0004 ImmEnumRegisterWordW 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104184_0 {
	meta:
		name = "$thunk_ImmEscapeA"
		size = 13
		refs = "0004 ImmEscapeA 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104182_0 {
	meta:
		name = "$thunk_ImmEscapeW"
		size = 13
		refs = "0004 ImmEscapeW 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104151_0 {
	meta:
		name = "$thunk_ImmGetCandidateListA"
		size = 13
		refs = "0004 ImmGetCandidateListA 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104146_0 {
	meta:
		name = "$thunk_ImmGetCandidateListCountA"
		size = 13
		refs = "0004 ImmGetCandidateListCountA 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104144_0 {
	meta:
		name = "$thunk_ImmGetCandidateListCountW"
		size = 13
		refs = "0004 ImmGetCandidateListCountW 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104149_0 {
	meta:
		name = "$thunk_ImmGetCandidateListW"
		size = 13
		refs = "0004 ImmGetCandidateListW 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104202_0 {
	meta:
		name = "$thunk_ImmGetCandidateWindow"
		size = 13
		refs = "0004 ImmGetCandidateWindow 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104169_0 {
	meta:
		name = "$thunk_ImmGetCompositionFontA"
		size = 13
		refs = "0004 ImmGetCompositionFontA 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104167_0 {
	meta:
		name = "$thunk_ImmGetCompositionFontW"
		size = 13
		refs = "0004 ImmGetCompositionFontW 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104136_0 {
	meta:
		name = "$thunk_ImmGetCompositionStringA"
		size = 13
		refs = "0004 ImmGetCompositionStringA 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104134_0 {
	meta:
		name = "$thunk_ImmGetCompositionStringW"
		size = 13
		refs = "0004 ImmGetCompositionStringW 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104198_0 {
	meta:
		name = "$thunk_ImmGetCompositionWindow"
		size = 13
		refs = "0004 ImmGetCompositionWindow 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104128_0 {
	meta:
		name = "$thunk_ImmGetContext"
		size = 13
		refs = "0004 ImmGetContext 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104189_0 {
	meta:
		name = "$thunk_ImmGetConversionListA"
		size = 13
		refs = "0004 ImmGetConversionListA 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104187_0 {
	meta:
		name = "$thunk_ImmGetConversionListW"
		size = 13
		refs = "0004 ImmGetConversionListW 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104159_0 {
	meta:
		name = "$thunk_ImmGetConversionStatus"
		size = 13
		refs = "0004 ImmGetConversionStatus 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104106_0 {
	meta:
		name = "$thunk_ImmGetDefaultIMEWnd"
		size = 13
		refs = "0004 ImmGetDefaultIMEWnd 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104110_0 {
	meta:
		name = "$thunk_ImmGetDescriptionA"
		size = 13
		refs = "0004 ImmGetDescriptionA 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104108_0 {
	meta:
		name = "$thunk_ImmGetDescriptionW"
		size = 13
		refs = "0004 ImmGetDescriptionW 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104156_0 {
	meta:
		name = "$thunk_ImmGetGuideLineA"
		size = 13
		refs = "0004 ImmGetGuideLineA 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104154_0 {
	meta:
		name = "$thunk_ImmGetGuideLineW"
		size = 13
		refs = "0004 ImmGetGuideLineW 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104115_0 {
	meta:
		name = "$thunk_ImmGetIMEFileNameA"
		size = 13
		refs = "0004 ImmGetIMEFileNameA 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104113_0 {
	meta:
		name = "$thunk_ImmGetIMEFileNameW"
		size = 13
		refs = "0004 ImmGetIMEFileNameW 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104163_0 {
	meta:
		name = "$thunk_ImmGetOpenStatus"
		size = 13
		refs = "0004 ImmGetOpenStatus 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104118_0 {
	meta:
		name = "$thunk_ImmGetProperty"
		size = 13
		refs = "0004 ImmGetProperty 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104225_0 {
	meta:
		name = "$thunk_ImmGetRegisterWordStyleA"
		size = 13
		refs = "0004 ImmGetRegisterWordStyleA 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104223_0 {
	meta:
		name = "$thunk_ImmGetRegisterWordStyleW"
		size = 13
		refs = "0004 ImmGetRegisterWordStyleW 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104194_0 {
	meta:
		name = "$thunk_ImmGetStatusWindowPos"
		size = 13
		refs = "0004 ImmGetStatusWindowPos 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104211_0 {
	meta:
		name = "$thunk_ImmGetVirtualKey"
		size = 13
		refs = "0004 ImmGetVirtualKey 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104103_0 {
	meta:
		name = "$thunk_ImmInstallIMEA"
		size = 13
		refs = "0004 ImmInstallIMEA 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104101_0 {
	meta:
		name = "$thunk_ImmInstallIMEW"
		size = 13
		refs = "0004 ImmInstallIMEW 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104120_0 {
	meta:
		name = "$thunk_ImmIsIME"
		size = 13
		refs = "0004 ImmIsIME 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104208_0 {
	meta:
		name = "$thunk_ImmIsUIMessageA"
		size = 13
		refs = "0004 ImmIsUIMessageA 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104206_0 {
	meta:
		name = "$thunk_ImmIsUIMessageW"
		size = 13
		refs = "0004 ImmIsUIMessageW 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104192_0 {
	meta:
		name = "$thunk_ImmNotifyIME"
		size = 13
		refs = "0004 ImmNotifyIME 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104215_0 {
	meta:
		name = "$thunk_ImmRegisterWordA"
		size = 13
		refs = "0004 ImmRegisterWordA 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104213_0 {
	meta:
		name = "$thunk_ImmRegisterWordW"
		size = 13
		refs = "0004 ImmRegisterWordW 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104130_0 {
	meta:
		name = "$thunk_ImmReleaseContext"
		size = 13
		refs = "0004 ImmReleaseContext 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104204_0 {
	meta:
		name = "$thunk_ImmSetCandidateWindow"
		size = 13
		refs = "0004 ImmSetCandidateWindow 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104174_0 {
	meta:
		name = "$thunk_ImmSetCompositionFontA"
		size = 13
		refs = "0004 ImmSetCompositionFontA 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104172_0 {
	meta:
		name = "$thunk_ImmSetCompositionFontW"
		size = 13
		refs = "0004 ImmSetCompositionFontW 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104141_0 {
	meta:
		name = "$thunk_ImmSetCompositionStringA"
		size = 13
		refs = "0004 ImmSetCompositionStringA 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104139_0 {
	meta:
		name = "$thunk_ImmSetCompositionStringW"
		size = 13
		refs = "0004 ImmSetCompositionStringW 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104200_0 {
	meta:
		name = "$thunk_ImmSetCompositionWindow"
		size = 13
		refs = "0004 ImmSetCompositionWindow 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104161_0 {
	meta:
		name = "$thunk_ImmSetConversionStatus"
		size = 13
		refs = "0004 ImmSetConversionStatus 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104165_0 {
	meta:
		name = "$thunk_ImmSetOpenStatus"
		size = 13
		refs = "0004 ImmSetOpenStatus 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104196_0 {
	meta:
		name = "$thunk_ImmSetStatusWindowPos"
		size = 13
		refs = "0004 ImmSetStatusWindowPos 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104122_0 {
	meta:
		name = "$thunk_ImmSimulateHotKey"
		size = 13
		refs = "0004 ImmSimulateHotKey 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104220_0 {
	meta:
		name = "$thunk_ImmUnregisterWordA"
		size = 13
		refs = "0004 ImmUnregisterWordA 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_104218_0 {
	meta:
		name = "$thunk_ImmUnregisterWordW"
		size = 13
		refs = "0004 ImmUnregisterWordW 0009 imm32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106429_0 {
	meta:
		name = "$thunk_InitNetworkAddressControl"
		size = 13
		refs = "0004 InitNetworkAddressControl 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110796_0 {
	meta:
		name = "$thunk_InstallPrinterDriverFromPackageA"
		size = 13
		refs = "0004 InstallPrinterDriverFromPackageA 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110794_0 {
	meta:
		name = "$thunk_InstallPrinterDriverFromPackageW"
		size = 13
		refs = "0004 InstallPrinterDriverFromPackageW 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107448_0 {
	meta:
		name = "$thunk_IsCompositionActive"
		size = 13
		refs = "0004 IsCompositionActive 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106433_0 {
	meta:
		name = "$thunk_IsLFNDriveA"
		size = 13
		refs = "0004 IsLFNDriveA 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106431_0 {
	meta:
		name = "$thunk_IsLFNDriveW"
		size = 13
		refs = "0004 IsLFNDriveW 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109420_0 {
	meta:
		name = "$thunk_IsProcessDPIAware"
		size = 13
		refs = "0004 IsProcessDPIAware 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109422_0 {
	meta:
		name = "$thunk_IsTouchWindow"
		size = 13
		refs = "0004 IsTouchWindow 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110801_0 {
	meta:
		name = "$thunk_IsValidDevModeA"
		size = 13
		refs = "0004 IsValidDevModeA 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110799_0 {
	meta:
		name = "$thunk_IsValidDevModeW"
		size = 13
		refs = "0004 IsValidDevModeW 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110103_0 {
	meta:
		name = "$thunk_IsWow64Process"
		size = 13
		refs = "0004 IsWow64Process 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108205_0 {
	meta:
		name = "$thunk_LCIDToLocaleName"
		size = 13
		refs = "0004 LCIDToLocaleName 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108207_0 {
	meta:
		name = "$thunk_LocaleNameToLCID"
		size = 13
		refs = "0004 LocaleNameToLCID 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109716_0 {
	meta:
		name = "$thunk_LogicalToPhysicalPoint"
		size = 13
		refs = "0004 LogicalToPhysicalPoint 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108328_0 {
	meta:
		name = "$thunk_MoveFileTransactedA"
		size = 13
		refs = "0004 MoveFileTransactedA 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108326_0 {
	meta:
		name = "$thunk_MoveFileTransactedW"
		size = 13
		refs = "0004 MoveFileTransactedW 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110893_0 {
	meta:
		name = "$thunk_NotifyServiceStartChangeA"
		size = 13
		refs = "0004 NotifyServiceStartChangeA 0009 advapi32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110891_0 {
	meta:
		name = "$thunk_NotifyServiceStartChangeW"
		size = 13
		refs = "0004 NotifyServiceStartChangeW 0009 advapi32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110806_0 {
	meta:
		name = "$thunk_OpenPrinter2A"
		size = 13
		refs = "0004 OpenPrinter2A 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110804_0 {
	meta:
		name = "$thunk_OpenPrinter2W"
		size = 13
		refs = "0004 OpenPrinter2W 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107402_0 {
	meta:
		name = "$thunk_OpenThemeDataEx"
		size = 13
		refs = "0004 OpenThemeDataEx 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106275_0 {
	meta:
		name = "$thunk_PSCoerceToCanonicalValue"
		size = 13
		refs = "0004 PSCoerceToCanonicalValue 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106283_0 {
	meta:
		name = "$thunk_PSCreateAdapterFromPropertyStore"
		size = 13
		refs = "0004 PSCreateAdapterFromPropertyStore 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106241_0 {
	meta:
		name = "$thunk_PSCreateDelayedMultiplexPropertyStore"
		size = 13
		refs = "0004 PSCreateDelayedMultiplexPropertyStore 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106239_0 {
	meta:
		name = "$thunk_PSCreateMemoryPropertyStore"
		size = 13
		refs = "0004 PSCreateMemoryPropertyStore 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106243_0 {
	meta:
		name = "$thunk_PSCreateMultiplexPropertyStore"
		size = 13
		refs = "0004 PSCreateMultiplexPropertyStore 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106245_0 {
	meta:
		name = "$thunk_PSCreatePropertyChangeArray"
		size = 13
		refs = "0004 PSCreatePropertyChangeArray 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106281_0 {
	meta:
		name = "$thunk_PSCreatePropertyStoreFromObject"
		size = 13
		refs = "0004 PSCreatePropertyStoreFromObject 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106279_0 {
	meta:
		name = "$thunk_PSCreatePropertyStoreFromPropertySetStorage"
		size = 13
		refs = "0004 PSCreatePropertyStoreFromPropertySetStorage 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106247_0 {
	meta:
		name = "$thunk_PSCreateSimplePropertyChange"
		size = 13
		refs = "0004 PSCreateSimplePropertyChange 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106269_0 {
	meta:
		name = "$thunk_PSEnumeratePropertyDescriptions"
		size = 13
		refs = "0004 PSEnumeratePropertyDescriptions 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106227_0 {
	meta:
		name = "$thunk_PSFormatForDisplay"
		size = 13
		refs = "0004 PSFormatForDisplay 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106229_0 {
	meta:
		name = "$thunk_PSFormatForDisplayAlloc"
		size = 13
		refs = "0004 PSFormatForDisplayAlloc 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106231_0 {
	meta:
		name = "$thunk_PSFormatPropertyValue"
		size = 13
		refs = "0004 PSFormatPropertyValue 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106233_0 {
	meta:
		name = "$thunk_PSGetImageReferenceForValue"
		size = 13
		refs = "0004 PSGetImageReferenceForValue 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106255_0 {
	meta:
		name = "$thunk_PSGetItemPropertyHandler"
		size = 13
		refs = "0004 PSGetItemPropertyHandler 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106257_0 {
	meta:
		name = "$thunk_PSGetItemPropertyHandlerWithCreateObject"
		size = 13
		refs = "0004 PSGetItemPropertyHandlerWithCreateObject 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106273_0 {
	meta:
		name = "$thunk_PSGetNameFromPropertyKey"
		size = 13
		refs = "0004 PSGetNameFromPropertyKey 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106289_0 {
	meta:
		name = "$thunk_PSGetNamedPropertyFromPropertyStorage"
		size = 13
		refs = "0004 PSGetNamedPropertyFromPropertyStorage 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106249_0 {
	meta:
		name = "$thunk_PSGetPropertyDescription"
		size = 13
		refs = "0004 PSGetPropertyDescription 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106251_0 {
	meta:
		name = "$thunk_PSGetPropertyDescriptionByName"
		size = 13
		refs = "0004 PSGetPropertyDescriptionByName 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106277_0 {
	meta:
		name = "$thunk_PSGetPropertyDescriptionListFromString"
		size = 13
		refs = "0004 PSGetPropertyDescriptionListFromString 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106287_0 {
	meta:
		name = "$thunk_PSGetPropertyFromPropertyStorage"
		size = 13
		refs = "0004 PSGetPropertyFromPropertyStorage 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106271_0 {
	meta:
		name = "$thunk_PSGetPropertyKeyFromName"
		size = 13
		refs = "0004 PSGetPropertyKeyFromName 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106285_0 {
	meta:
		name = "$thunk_PSGetPropertySystem"
		size = 13
		refs = "0004 PSGetPropertySystem 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106259_0 {
	meta:
		name = "$thunk_PSGetPropertyValue"
		size = 13
		refs = "0004 PSGetPropertyValue 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106253_0 {
	meta:
		name = "$thunk_PSLookupPropertyHandlerCLSID"
		size = 13
		refs = "0004 PSLookupPropertyHandlerCLSID 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106339_0 {
	meta:
		name = "$thunk_PSPropertyBag_Delete"
		size = 13
		refs = "0004 PSPropertyBag_Delete 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106319_0 {
	meta:
		name = "$thunk_PSPropertyBag_ReadBOOL"
		size = 13
		refs = "0004 PSPropertyBag_ReadBOOL 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106297_0 {
	meta:
		name = "$thunk_PSPropertyBag_ReadBSTR"
		size = 13
		refs = "0004 PSPropertyBag_ReadBSTR 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106315_0 {
	meta:
		name = "$thunk_PSPropertyBag_ReadDWORD"
		size = 13
		refs = "0004 PSPropertyBag_ReadDWORD 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106349_0 {
	meta:
		name = "$thunk_PSPropertyBag_ReadGUID"
		size = 13
		refs = "0004 PSPropertyBag_ReadGUID 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106303_0 {
	meta:
		name = "$thunk_PSPropertyBag_ReadInt"
		size = 13
		refs = "0004 PSPropertyBag_ReadInt 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106311_0 {
	meta:
		name = "$thunk_PSPropertyBag_ReadLONG"
		size = 13
		refs = "0004 PSPropertyBag_ReadLONG 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106323_0 {
	meta:
		name = "$thunk_PSPropertyBag_ReadPOINTL"
		size = 13
		refs = "0004 PSPropertyBag_ReadPOINTL 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106327_0 {
	meta:
		name = "$thunk_PSPropertyBag_ReadPOINTS"
		size = 13
		refs = "0004 PSPropertyBag_ReadPOINTS 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106353_0 {
	meta:
		name = "$thunk_PSPropertyBag_ReadPropertyKey"
		size = 13
		refs = "0004 PSPropertyBag_ReadPropertyKey 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106331_0 {
	meta:
		name = "$thunk_PSPropertyBag_ReadRECTL"
		size = 13
		refs = "0004 PSPropertyBag_ReadRECTL 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106307_0 {
	meta:
		name = "$thunk_PSPropertyBag_ReadSHORT"
		size = 13
		refs = "0004 PSPropertyBag_ReadSHORT 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106293_0 {
	meta:
		name = "$thunk_PSPropertyBag_ReadStr"
		size = 13
		refs = "0004 PSPropertyBag_ReadStr 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106295_0 {
	meta:
		name = "$thunk_PSPropertyBag_ReadStrAlloc"
		size = 13
		refs = "0004 PSPropertyBag_ReadStrAlloc 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106335_0 {
	meta:
		name = "$thunk_PSPropertyBag_ReadStream"
		size = 13
		refs = "0004 PSPropertyBag_ReadStream 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106291_0 {
	meta:
		name = "$thunk_PSPropertyBag_ReadType"
		size = 13
		refs = "0004 PSPropertyBag_ReadType 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106341_0 {
	meta:
		name = "$thunk_PSPropertyBag_ReadULONGLONG"
		size = 13
		refs = "0004 PSPropertyBag_ReadULONGLONG 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106345_0 {
	meta:
		name = "$thunk_PSPropertyBag_ReadUnknown"
		size = 13
		refs = "0004 PSPropertyBag_ReadUnknown 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106321_0 {
	meta:
		name = "$thunk_PSPropertyBag_WriteBOOL"
		size = 13
		refs = "0004 PSPropertyBag_WriteBOOL 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106301_0 {
	meta:
		name = "$thunk_PSPropertyBag_WriteBSTR"
		size = 13
		refs = "0004 PSPropertyBag_WriteBSTR 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106317_0 {
	meta:
		name = "$thunk_PSPropertyBag_WriteDWORD"
		size = 13
		refs = "0004 PSPropertyBag_WriteDWORD 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106351_0 {
	meta:
		name = "$thunk_PSPropertyBag_WriteGUID"
		size = 13
		refs = "0004 PSPropertyBag_WriteGUID 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106305_0 {
	meta:
		name = "$thunk_PSPropertyBag_WriteInt"
		size = 13
		refs = "0004 PSPropertyBag_WriteInt 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106313_0 {
	meta:
		name = "$thunk_PSPropertyBag_WriteLONG"
		size = 13
		refs = "0004 PSPropertyBag_WriteLONG 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106325_0 {
	meta:
		name = "$thunk_PSPropertyBag_WritePOINTL"
		size = 13
		refs = "0004 PSPropertyBag_WritePOINTL 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106329_0 {
	meta:
		name = "$thunk_PSPropertyBag_WritePOINTS"
		size = 13
		refs = "0004 PSPropertyBag_WritePOINTS 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106355_0 {
	meta:
		name = "$thunk_PSPropertyBag_WritePropertyKey"
		size = 13
		refs = "0004 PSPropertyBag_WritePropertyKey 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106333_0 {
	meta:
		name = "$thunk_PSPropertyBag_WriteRECTL"
		size = 13
		refs = "0004 PSPropertyBag_WriteRECTL 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106309_0 {
	meta:
		name = "$thunk_PSPropertyBag_WriteSHORT"
		size = 13
		refs = "0004 PSPropertyBag_WriteSHORT 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106299_0 {
	meta:
		name = "$thunk_PSPropertyBag_WriteStr"
		size = 13
		refs = "0004 PSPropertyBag_WriteStr 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106337_0 {
	meta:
		name = "$thunk_PSPropertyBag_WriteStream"
		size = 13
		refs = "0004 PSPropertyBag_WriteStream 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106343_0 {
	meta:
		name = "$thunk_PSPropertyBag_WriteULONGLONG"
		size = 13
		refs = "0004 PSPropertyBag_WriteULONGLONG 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106347_0 {
	meta:
		name = "$thunk_PSPropertyBag_WriteUnknown"
		size = 13
		refs = "0004 PSPropertyBag_WriteUnknown 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106237_0 {
	meta:
		name = "$thunk_PSPropertyKeyFromString"
		size = 13
		refs = "0004 PSPropertyKeyFromString 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106267_0 {
	meta:
		name = "$thunk_PSRefreshPropertySchema"
		size = 13
		refs = "0004 PSRefreshPropertySchema 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106263_0 {
	meta:
		name = "$thunk_PSRegisterPropertySchema"
		size = 13
		refs = "0004 PSRegisterPropertySchema 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106261_0 {
	meta:
		name = "$thunk_PSSetPropertyValue"
		size = 13
		refs = "0004 PSSetPropertyValue 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106235_0 {
	meta:
		name = "$thunk_PSStringFromPropertyKey"
		size = 13
		refs = "0004 PSStringFromPropertyKey 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106265_0 {
	meta:
		name = "$thunk_PSUnregisterPropertySchema"
		size = 13
		refs = "0004 PSUnregisterPropertySchema 0009 propsys.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109718_0 {
	meta:
		name = "$thunk_PhysicalToLogicalPoint"
		size = 13
		refs = "0004 PhysicalToLogicalPoint 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106686_0 {
	meta:
		name = "$thunk_PickIconDlg"
		size = 13
		refs = "0004 PickIconDlg 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110810_0 {
	meta:
		name = "$thunk_PrintWindow"
		size = 13
		refs = "0004 PrintWindow 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110098_0 {
	meta:
		name = "$thunk_ProcessIdToSessionId"
		size = 13
		refs = "0004 ProcessIdToSessionId 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110096_0 {
	meta:
		name = "$thunk_QueryActCtxW"
		size = 13
		refs = "0004 QueryActCtxW 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107647_0 {
	meta:
		name = "$thunk_RegDeleteKeyExA"
		size = 13
		refs = "0004 RegDeleteKeyExA 0009 advapi32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107645_0 {
	meta:
		name = "$thunk_RegDeleteKeyExW"
		size = 13
		refs = "0004 RegDeleteKeyExW 0009 advapi32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109699_0 {
	meta:
		name = "$thunk_RegisterPowerSettingNotification"
		size = 13
		refs = "0004 RegisterPowerSettingNotification 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109701_0 {
	meta:
		name = "$thunk_RegisterTouchWindow"
		size = 13
		refs = "0004 RegisterTouchWindow 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110073_0 {
	meta:
		name = "$thunk_ReleaseActCtx"
		size = 13
		refs = "0004 ReleaseActCtx 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109475_0 {
	meta:
		name = "$thunk_RemoveClipboardFormatListener"
		size = 13
		refs = "0004 RemoveClipboardFormatListener 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108408_0 {
	meta:
		name = "$thunk_RemoveDirectoryTransactedA"
		size = 13
		refs = "0004 RemoveDirectoryTransactedA 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108406_0 {
	meta:
		name = "$thunk_RemoveDirectoryTransactedW"
		size = 13
		refs = "0004 RemoveDirectoryTransactedW 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110812_0 {
	meta:
		name = "$thunk_ReportJobProcessingProgress"
		size = 13
		refs = "0004 ReportJobProcessingProgress 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106568_0 {
	meta:
		name = "$thunk_SHAddDefaultPropertiesByExt"
		size = 13
		refs = "0004 SHAddDefaultPropertiesByExt 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106591_0 {
	meta:
		name = "$thunk_SHAssocEnumHandlersForProtocolByApplication"
		size = 13
		refs = "0004 SHAssocEnumHandlersForProtocolByApplication 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106698_0 {
	meta:
		name = "$thunk_SHBindToFolderIDListParent"
		size = 13
		refs = "0004 SHBindToFolderIDListParent 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106700_0 {
	meta:
		name = "$thunk_SHBindToFolderIDListParentEx"
		size = 13
		refs = "0004 SHBindToFolderIDListParentEx 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106702_0 {
	meta:
		name = "$thunk_SHBindToObject"
		size = 13
		refs = "0004 SHBindToObject 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106574_0 {
	meta:
		name = "$thunk_SHCreateAssociationRegistration"
		size = 13
		refs = "0004 SHCreateAssociationRegistration 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106711_0 {
	meta:
		name = "$thunk_SHCreateDataObject"
		size = 13
		refs = "0004 SHCreateDataObject 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106713_0 {
	meta:
		name = "$thunk_SHCreateDefaultContextMenu"
		size = 13
		refs = "0004 SHCreateDefaultContextMenu 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106576_0 {
	meta:
		name = "$thunk_SHCreateDefaultExtractIcon"
		size = 13
		refs = "0004 SHCreateDefaultExtractIcon 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106572_0 {
	meta:
		name = "$thunk_SHCreateDefaultPropertiesOp"
		size = 13
		refs = "0004 SHCreateDefaultPropertiesOp 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106593_0 {
	meta:
		name = "$thunk_SHCreateItemFromIDList"
		size = 13
		refs = "0004 SHCreateItemFromIDList 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106595_0 {
	meta:
		name = "$thunk_SHCreateItemFromParsingName"
		size = 13
		refs = "0004 SHCreateItemFromParsingName 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106599_0 {
	meta:
		name = "$thunk_SHCreateItemFromRelativeName"
		size = 13
		refs = "0004 SHCreateItemFromRelativeName 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106601_0 {
	meta:
		name = "$thunk_SHCreateItemInKnownFolder"
		size = 13
		refs = "0004 SHCreateItemInKnownFolder 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106597_0 {
	meta:
		name = "$thunk_SHCreateItemWithParent"
		size = 13
		refs = "0004 SHCreateItemWithParent 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106720_0 {
	meta:
		name = "$thunk_SHCreateQueryCancelAutoPlayMoniker"
		size = 13
		refs = "0004 SHCreateQueryCancelAutoPlayMoniker 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106559_0 {
	meta:
		name = "$thunk_SHCreateShellItemArray"
		size = 13
		refs = "0004 SHCreateShellItemArray 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106561_0 {
	meta:
		name = "$thunk_SHCreateShellItemArrayFromDataObject"
		size = 13
		refs = "0004 SHCreateShellItemArrayFromDataObject 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106563_0 {
	meta:
		name = "$thunk_SHCreateShellItemArrayFromIDLists"
		size = 13
		refs = "0004 SHCreateShellItemArrayFromIDLists 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106565_0 {
	meta:
		name = "$thunk_SHCreateShellItemArrayFromShellItem"
		size = 13
		refs = "0004 SHCreateShellItemArrayFromShellItem 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106728_0 {
	meta:
		name = "$thunk_SHDefExtractIconA"
		size = 13
		refs = "0004 SHDefExtractIconA 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106726_0 {
	meta:
		name = "$thunk_SHDefExtractIconW"
		size = 13
		refs = "0004 SHDefExtractIconW 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106732_0 {
	meta:
		name = "$thunk_SHDoDragDrop"
		size = 13
		refs = "0004 SHDoDragDrop 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106460_0 {
	meta:
		name = "$thunk_SHEnumerateUnreadMailAccountsA"
		size = 13
		refs = "0004 SHEnumerateUnreadMailAccountsA 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106458_0 {
	meta:
		name = "$thunk_SHEnumerateUnreadMailAccountsW"
		size = 13
		refs = "0004 SHEnumerateUnreadMailAccountsW 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106463_0 {
	meta:
		name = "$thunk_SHEvaluateSystemCommandTemplate"
		size = 13
		refs = "0004 SHEvaluateSystemCommandTemplate 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106629_0 {
	meta:
		name = "$thunk_SHFindFiles"
		size = 13
		refs = "0004 SHFindFiles 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106734_0 {
	meta:
		name = "$thunk_SHFind_InitMenuPopup"
		size = 13
		refs = "0004 SHFind_InitMenuPopup 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106736_0 {
	meta:
		name = "$thunk_SHFlushSFCache"
		size = 13
		refs = "0004 SHFlushSFCache 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106740_0 {
	meta:
		name = "$thunk_SHGetAttributesFromDataObject"
		size = 13
		refs = "0004 SHGetAttributesFromDataObject 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106475_0 {
	meta:
		name = "$thunk_SHGetDriveMedia"
		size = 13
		refs = "0004 SHGetDriveMedia 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106747_0 {
	meta:
		name = "$thunk_SHGetFolderPathAndSubDirA"
		size = 13
		refs = "0004 SHGetFolderPathAndSubDirA 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106745_0 {
	meta:
		name = "$thunk_SHGetFolderPathAndSubDirW"
		size = 13
		refs = "0004 SHGetFolderPathAndSubDirW 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106603_0 {
	meta:
		name = "$thunk_SHGetIDListFromObject"
		size = 13
		refs = "0004 SHGetIDListFromObject 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106477_0 {
	meta:
		name = "$thunk_SHGetImageList"
		size = 13
		refs = "0004 SHGetImageList 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106557_0 {
	meta:
		name = "$thunk_SHGetItemFromDataObject"
		size = 13
		refs = "0004 SHGetItemFromDataObject 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106555_0 {
	meta:
		name = "$thunk_SHGetItemFromObject"
		size = 13
		refs = "0004 SHGetItemFromObject 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106753_0 {
	meta:
		name = "$thunk_SHGetKnownFolderIDList"
		size = 13
		refs = "0004 SHGetKnownFolderIDList 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106755_0 {
	meta:
		name = "$thunk_SHGetKnownFolderItem"
		size = 13
		refs = "0004 SHGetKnownFolderItem 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106757_0 {
	meta:
		name = "$thunk_SHGetKnownFolderPath"
		size = 13
		refs = "0004 SHGetKnownFolderPath 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106479_0 {
	meta:
		name = "$thunk_SHGetLocalizedName"
		size = 13
		refs = "0004 SHGetLocalizedName 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106609_0 {
	meta:
		name = "$thunk_SHGetNameFromIDList"
		size = 13
		refs = "0004 SHGetNameFromIDList 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106759_0 {
	meta:
		name = "$thunk_SHGetPathFromIDListEx"
		size = 13
		refs = "0004 SHGetPathFromIDListEx 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106487_0 {
	meta:
		name = "$thunk_SHGetPropertyStoreForWindow"
		size = 13
		refs = "0004 SHGetPropertyStoreForWindow 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106605_0 {
	meta:
		name = "$thunk_SHGetPropertyStoreFromIDList"
		size = 13
		refs = "0004 SHGetPropertyStoreFromIDList 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106607_0 {
	meta:
		name = "$thunk_SHGetPropertyStoreFromParsingName"
		size = 13
		refs = "0004 SHGetPropertyStoreFromParsingName 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106762_0 {
	meta:
		name = "$thunk_SHGetSetFolderCustomSettings"
		size = 13
		refs = "0004 SHGetSetFolderCustomSettings 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106489_0 {
	meta:
		name = "$thunk_SHGetStockIconInfo"
		size = 13
		refs = "0004 SHGetStockIconInfo 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106582_0 {
	meta:
		name = "$thunk_SHGetTemporaryPropertyForItem"
		size = 13
		refs = "0004 SHGetTemporaryPropertyForItem 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106493_0 {
	meta:
		name = "$thunk_SHGetUnreadMailCountA"
		size = 13
		refs = "0004 SHGetUnreadMailCountA 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106491_0 {
	meta:
		name = "$thunk_SHGetUnreadMailCountW"
		size = 13
		refs = "0004 SHGetUnreadMailCountW 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106771_0 {
	meta:
		name = "$thunk_SHOpenFolderAndSelectItems"
		size = 13
		refs = "0004 SHOpenFolderAndSelectItems 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106773_0 {
	meta:
		name = "$thunk_SHOpenWithDialog"
		size = 13
		refs = "0004 SHOpenWithDialog 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106775_0 {
	meta:
		name = "$thunk_SHParseDisplayName"
		size = 13
		refs = "0004 SHParseDisplayName 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106781_0 {
	meta:
		name = "$thunk_SHPropStgReadMultiple"
		size = 13
		refs = "0004 SHPropStgReadMultiple 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106783_0 {
	meta:
		name = "$thunk_SHPropStgWriteMultiple"
		size = 13
		refs = "0004 SHPropStgWriteMultiple 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106504_0 {
	meta:
		name = "$thunk_SHQueryUserNotificationState"
		size = 13
		refs = "0004 SHQueryUserNotificationState 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106506_0 {
	meta:
		name = "$thunk_SHRemoveLocalizedName"
		size = 13
		refs = "0004 SHRemoveLocalizedName 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106588_0 {
	meta:
		name = "$thunk_SHResolveLibrary"
		size = 13
		refs = "0004 SHResolveLibrary 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106635_0 {
	meta:
		name = "$thunk_SHRunControlPanel"
		size = 13
		refs = "0004 SHRunControlPanel 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106570_0 {
	meta:
		name = "$thunk_SHSetDefaultProperties"
		size = 13
		refs = "0004 SHSetDefaultProperties 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106790_0 {
	meta:
		name = "$thunk_SHSetInstanceExplorer"
		size = 13
		refs = "0004 SHSetInstanceExplorer 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106792_0 {
	meta:
		name = "$thunk_SHSetKnownFolderPath"
		size = 13
		refs = "0004 SHSetKnownFolderPath 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106508_0 {
	meta:
		name = "$thunk_SHSetLocalizedName"
		size = 13
		refs = "0004 SHSetLocalizedName 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106584_0 {
	meta:
		name = "$thunk_SHSetTemporaryPropertyForItem"
		size = 13
		refs = "0004 SHSetTemporaryPropertyForItem 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106512_0 {
	meta:
		name = "$thunk_SHSetUnreadMailCountA"
		size = 13
		refs = "0004 SHSetUnreadMailCountA 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106510_0 {
	meta:
		name = "$thunk_SHSetUnreadMailCountW"
		size = 13
		refs = "0004 SHSetUnreadMailCountW 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106586_0 {
	meta:
		name = "$thunk_SHShowManageLibraryUI"
		size = 13
		refs = "0004 SHShowManageLibraryUI 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106578_0 {
	meta:
		name = "$thunk_SetCurrentProcessExplicitAppUserModelID"
		size = 13
		refs = "0004 SetCurrentProcessExplicitAppUserModelID 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110816_0 {
	meta:
		name = "$thunk_SetDefaultPrinterA"
		size = 13
		refs = "0004 SetDefaultPrinterA 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110814_0 {
	meta:
		name = "$thunk_SetDefaultPrinterW"
		size = 13
		refs = "0004 SetDefaultPrinterW 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108201_0 {
	meta:
		name = "$thunk_SetDynamicTimeZoneInformation"
		size = 13
		refs = "0004 SetDynamicTimeZoneInformation 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108471_0 {
	meta:
		name = "$thunk_SetFileAttributesTransactedA"
		size = 13
		refs = "0004 SetFileAttributesTransactedA 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_108469_0 {
	meta:
		name = "$thunk_SetFileAttributesTransactedW"
		size = 13
		refs = "0004 SetFileAttributesTransactedW 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110043_0 {
	meta:
		name = "$thunk_SetGestureConfig"
		size = 13
		refs = "0004 SetGestureConfig 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109780_0 {
	meta:
		name = "$thunk_SetPhysicalCursorPos"
		size = 13
		refs = "0004 SetPhysicalCursorPos 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110122_0 {
	meta:
		name = "$thunk_SetProcessDEPPolicy"
		size = 13
		refs = "0004 SetProcessDEPPolicy 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109782_0 {
	meta:
		name = "$thunk_SetProcessDPIAware"
		size = 13
		refs = "0004 SetProcessDPIAware 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109802_0 {
	meta:
		name = "$thunk_SetWindowDisplayAffinity"
		size = 13
		refs = "0004 SetWindowDisplayAffinity 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107406_0 {
	meta:
		name = "$thunk_SetWindowThemeAttribute"
		size = 13
		refs = "0004 SetWindowThemeAttribute 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106625_0 {
	meta:
		name = "$thunk_Shell_GetImageLists"
		size = 13
		refs = "0004 Shell_GetImageLists 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106627_0 {
	meta:
		name = "$thunk_Shell_MergeMenus"
		size = 13
		refs = "0004 Shell_MergeMenus 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106441_0 {
	meta:
		name = "$thunk_Shell_NotifyIconGetRect"
		size = 13
		refs = "0004 Shell_NotifyIconGetRect 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109840_0 {
	meta:
		name = "$thunk_SoundSentry"
		size = 13
		refs = "0004 SoundSentry 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106612_0 {
	meta:
		name = "$thunk_StgMakeUniqueName"
		size = 13
		refs = "0004 StgMakeUniqueName 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109870_0 {
	meta:
		name = "$thunk_UnregisterPowerSettingNotification"
		size = 13
		refs = "0004 UnregisterPowerSettingNotification 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109873_0 {
	meta:
		name = "$thunk_UnregisterTouchWindow"
		size = 13
		refs = "0004 UnregisterTouchWindow 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107398_0 {
	meta:
		name = "$thunk_UpdatePanningFeedback"
		size = 13
		refs = "0004 UpdatePanningFeedback 0009 uxtheme.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110821_0 {
	meta:
		name = "$thunk_UploadPrinterDriverPackageA"
		size = 13
		refs = "0004 UploadPrinterDriverPackageA 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110819_0 {
	meta:
		name = "$thunk_UploadPrinterDriverPackageW"
		size = 13
		refs = "0004 UploadPrinterDriverPackageW 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107458_0 {
	meta:
		name = "$thunk_WICConvertBitmapSource"
		size = 13
		refs = "0004 WICConvertBitmapSource 0009 windowscodecs.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107460_0 {
	meta:
		name = "$thunk_WICCreateBitmapFromSection"
		size = 13
		refs = "0004 WICCreateBitmapFromSection 0009 windowscodecs.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107462_0 {
	meta:
		name = "$thunk_WICCreateBitmapFromSectionEx"
		size = 13
		refs = "0004 WICCreateBitmapFromSectionEx 0009 windowscodecs.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107464_0 {
	meta:
		name = "$thunk_WICMapGuidToShortName"
		size = 13
		refs = "0004 WICMapGuidToShortName 0009 windowscodecs.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107468_0 {
	meta:
		name = "$thunk_WICMapSchemaToName"
		size = 13
		refs = "0004 WICMapSchemaToName 0009 windowscodecs.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_107466_0 {
	meta:
		name = "$thunk_WICMapShortNameToGuid"
		size = 13
		refs = "0004 WICMapShortNameToGuid 0009 windowscodecs.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_76899_0 {
	meta:
		name = "$thunk_WINNLSEnableIME"
		size = 13
		refs = "0004 WINNLSEnableIME 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110101_0 {
	meta:
		name = "$thunk_WTSGetActiveConsoleSessionId"
		size = 13
		refs = "0004 WTSGetActiveConsoleSessionId 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109911_0 {
	meta:
		name = "$thunk_WTSRegisterSessionNotification"
		size = 13
		refs = "0004 WTSRegisterSessionNotification 0009 wtsapi32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109913_0 {
	meta:
		name = "$thunk_WTSUnRegisterSessionNotification"
		size = 13
		refs = "0004 WTSUnRegisterSessionNotification 0009 wtsapi32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_106801_0 {
	meta:
		name = "$thunk_Win32DeleteFile"
		size = 13
		refs = "0004 Win32DeleteFile 0009 shell32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_109897_0 {
	meta:
		name = "$thunk_WindowFromPhysicalPoint"
		size = 13
		refs = "0004 WindowFromPhysicalPoint 0009 user32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110824_0 {
	meta:
		name = "$thunk_XcvDataW"
		size = 13
		refs = "0004 XcvDataW 0009 winspool.drv"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_110075_0 {
	meta:
		name = "$thunk_ZombifyActCtx"
		size = 13
		refs = "0004 ZombifyActCtx 0009 kernel32.dll"
	strings:
		$1 = { 50 52 51 68 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_49591_0 {
	meta:
		name = "CertOpenStore"
		size = 8
		refs = "0002 CertOpenStore"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110078_0 {
	meta:
		name = "ActivateActCtx"
		size = 8
		refs = "0002 ActivateActCtx"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109474_0 {
	meta:
		name = "AddClipboardFormatListener"
		size = 8
		refs = "0002 AddClipboardFormatListener"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110757_0 {
	meta:
		name = "AddPrinterConnection2"
		size = 8
		refs = "0002 AddPrinterConnection2W"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110759_0 {
	meta:
		name = "AddPrinterConnection2A"
		size = 8
		refs = "0002 AddPrinterConnection2A"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110760_0 {
	meta:
		name = "AddPrinterConnection2W"
		size = 8
		refs = "0002 AddPrinterConnection2W"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110072_0 {
	meta:
		name = "AddRefActCtx"
		size = 8
		refs = "0002 AddRefActCtx"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106402_0 {
	meta:
		name = "AssocCreateForClasses"
		size = 8
		refs = "0002 AssocCreateForClasses"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106641_0 {
	meta:
		name = "AssocGetDetailsOfPropKey"
		size = 8
		refs = "0002 AssocGetDetailsOfPropKey"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107443_0 {
	meta:
		name = "BeginBufferedAnimation"
		size = 8
		refs = "0002 BeginBufferedAnimation"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107423_0 {
	meta:
		name = "BeginBufferedPaint"
		size = 8
		refs = "0002 BeginBufferedPaint"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107397_0 {
	meta:
		name = "BeginPanningFeedback"
		size = 8
		refs = "0002 BeginPanningFeedback"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107435_0 {
	meta:
		name = "BufferedPaintClear"
		size = 8
		refs = "0002 BufferedPaintClear"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107419_0 {
	meta:
		name = "BufferedPaintInit"
		size = 8
		refs = "0002 BufferedPaintInit"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107447_0 {
	meta:
		name = "BufferedPaintRenderAnimation"
		size = 8
		refs = "0002 BufferedPaintRenderAnimation"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107437_0 {
	meta:
		name = "BufferedPaintSetAlpha"
		size = 8
		refs = "0002 BufferedPaintSetAlpha"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107441_0 {
	meta:
		name = "BufferedPaintStopAllAnimations"
		size = 8
		refs = "0002 BufferedPaintStopAllAnimations"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107421_0 {
	meta:
		name = "BufferedPaintUnInit"
		size = 8
		refs = "0002 BufferedPaintUnInit"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109157_0 {
	meta:
		name = "CalculatePopupWindowPosition"
		size = 8
		refs = "0002 CalculatePopupWindowPosition"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_49593_0 {
	meta:
		name = "CertCloseStore"
		size = 8
		refs = "0002 CertCloseStore"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_49595_0 {
	meta:
		name = "CertEnumCertificatesInStore"
		size = 8
		refs = "0002 CertEnumCertificatesInStore"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_49597_0 {
	meta:
		name = "CertFindCertificateInStore"
		size = 8
		refs = "0002 CertFindCertificateInStore"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_49599_0 {
	meta:
		name = "CertFreeCertificateContext"
		size = 8
		refs = "0002 CertFreeCertificateContext"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_49603_0 {
	meta:
		name = "CertGetNameString"
		size = 8
		refs = "0002 CertGetNameStringW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_49601_0 {
	meta:
		name = "CertNameToStr"
		size = 8
		refs = "0002 CertNameToStrW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_49605_0 {
	meta:
		name = "CertOpenSystemStore"
		size = 8
		refs = "0002 CertOpenSystemStoreW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110042_0 {
	meta:
		name = "CloseGestureInfoHandle"
		size = 8
		refs = "0002 CloseGestureInfoHandle"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110762_0 {
	meta:
		name = "CloseSpoolFileHandle"
		size = 8
		refs = "0002 CloseSpoolFileHandle"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109216_0 {
	meta:
		name = "CloseTouchInputHandle"
		size = 8
		refs = "0002 CloseTouchInputHandle"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110764_0 {
	meta:
		name = "CommitSpoolData"
		size = 8
		refs = "0002 CommitSpoolData"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110897_0 {
	meta:
		name = "ControlServiceEx"
		size = 8
		refs = "0002 ControlServiceExW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110899_0 {
	meta:
		name = "ControlServiceExA"
		size = 8
		refs = "0002 ControlServiceExA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110900_0 {
	meta:
		name = "ControlServiceExW"
		size = 8
		refs = "0002 ControlServiceExW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110766_0 {
	meta:
		name = "CorePrinterDriverInstalled"
		size = 8
		refs = "0002 CorePrinterDriverInstalledW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110768_0 {
	meta:
		name = "CorePrinterDriverInstalledA"
		size = 8
		refs = "0002 CorePrinterDriverInstalledA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110769_0 {
	meta:
		name = "CorePrinterDriverInstalledW"
		size = 8
		refs = "0002 CorePrinterDriverInstalledW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110064_0 {
	meta:
		name = "CreateActCtx"
		size = 8
		refs = "0002 CreateActCtxW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110068_0 {
	meta:
		name = "CreateActCtxA"
		size = 8
		refs = "0002 CreateActCtxA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110070_0 {
	meta:
		name = "CreateActCtxW"
		size = 8
		refs = "0002 CreateActCtxW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109235_0 {
	meta:
		name = "CreateDesktopEx"
		size = 8
		refs = "0002 CreateDesktopExW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109237_0 {
	meta:
		name = "CreateDesktopExA"
		size = 8
		refs = "0002 CreateDesktopExA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109238_0 {
	meta:
		name = "CreateDesktopExW"
		size = 8
		refs = "0002 CreateDesktopExW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107790_0 {
	meta:
		name = "CreateDirectoryTransacted"
		size = 8
		refs = "0002 CreateDirectoryTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107792_0 {
	meta:
		name = "CreateDirectoryTransactedA"
		size = 8
		refs = "0002 CreateDirectoryTransactedA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107793_0 {
	meta:
		name = "CreateDirectoryTransactedW"
		size = 8
		refs = "0002 CreateDirectoryTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107805_0 {
	meta:
		name = "CreateFileTransacted"
		size = 8
		refs = "0002 CreateFileTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107807_0 {
	meta:
		name = "CreateFileTransactedA"
		size = 8
		refs = "0002 CreateFileTransactedA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107808_0 {
	meta:
		name = "CreateFileTransactedW"
		size = 8
		refs = "0002 CreateFileTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107816_0 {
	meta:
		name = "CreateHardLinkTransacted"
		size = 8
		refs = "0002 CreateHardLinkTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107818_0 {
	meta:
		name = "CreateHardLinkTransactedA"
		size = 8
		refs = "0002 CreateHardLinkTransactedA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107819_0 {
	meta:
		name = "CreateHardLinkTransactedW"
		size = 8
		refs = "0002 CreateHardLinkTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108222_0 {
	meta:
		name = "CreateSymbolicLink"
		size = 8
		refs = "0002 CreateSymbolicLinkW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108224_0 {
	meta:
		name = "CreateSymbolicLinkA"
		size = 8
		refs = "0002 CreateSymbolicLinkA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108227_0 {
	meta:
		name = "CreateSymbolicLinkTransacted"
		size = 8
		refs = "0002 CreateSymbolicLinkTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108229_0 {
	meta:
		name = "CreateSymbolicLinkTransactedA"
		size = 8
		refs = "0002 CreateSymbolicLinkTransactedA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108230_0 {
	meta:
		name = "CreateSymbolicLinkTransactedW"
		size = 8
		refs = "0002 CreateSymbolicLinkTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108225_0 {
	meta:
		name = "CreateSymbolicLinkW"
		size = 8
		refs = "0002 CreateSymbolicLinkW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100252_0 {
	meta:
		name = "D3D10CompileEffectFromMemory"
		size = 8
		refs = "0002 D3D10CompileEffectFromMemory"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100100_0 {
	meta:
		name = "D3D10CompileShader"
		size = 8
		refs = "0002 D3D10CompileShader"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100087_0 {
	meta:
		name = "D3D10CreateBlob"
		size = 8
		refs = "0002 D3D10CreateBlob"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100082_0 {
	meta:
		name = "D3D10CreateDevice"
		size = 8
		refs = "0002 D3D10CreateDevice"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100273_0 {
	meta:
		name = "D3D10CreateDevice1"
		size = 8
		refs = "0002 D3D10CreateDevice1"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100085_0 {
	meta:
		name = "D3D10CreateDeviceAndSwapChain"
		size = 8
		refs = "0002 D3D10CreateDeviceAndSwapChain"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100275_0 {
	meta:
		name = "D3D10CreateDeviceAndSwapChain1"
		size = 8
		refs = "0002 D3D10CreateDeviceAndSwapChain1"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100254_0 {
	meta:
		name = "D3D10CreateEffectFromMemory"
		size = 8
		refs = "0002 D3D10CreateEffectFromMemory"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100256_0 {
	meta:
		name = "D3D10CreateEffectPoolFromMemory"
		size = 8
		refs = "0002 D3D10CreateEffectPoolFromMemory"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100138_0 {
	meta:
		name = "D3D10CreateStateBlock"
		size = 8
		refs = "0002 D3D10CreateStateBlock"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100258_0 {
	meta:
		name = "D3D10DisassembleEffect"
		size = 8
		refs = "0002 D3D10DisassembleEffect"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100102_0 {
	meta:
		name = "D3D10DisassembleShader"
		size = 8
		refs = "0002 D3D10DisassembleShader"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100108_0 {
	meta:
		name = "D3D10GetGeometryShaderProfile"
		size = 8
		refs = "0002 D3D10GetGeometryShaderProfile"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100118_0 {
	meta:
		name = "D3D10GetInputAndOutputSignatureBlob"
		size = 8
		refs = "0002 D3D10GetInputAndOutputSignatureBlob"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100114_0 {
	meta:
		name = "D3D10GetInputSignatureBlob"
		size = 8
		refs = "0002 D3D10GetInputSignatureBlob"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100116_0 {
	meta:
		name = "D3D10GetOutputSignatureBlob"
		size = 8
		refs = "0002 D3D10GetOutputSignatureBlob"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100104_0 {
	meta:
		name = "D3D10GetPixelShaderProfile"
		size = 8
		refs = "0002 D3D10GetPixelShaderProfile"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100120_0 {
	meta:
		name = "D3D10GetShaderDebugInfo"
		size = 8
		refs = "0002 D3D10GetShaderDebugInfo"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100106_0 {
	meta:
		name = "D3D10GetVertexShaderProfile"
		size = 8
		refs = "0002 D3D10GetVertexShaderProfile"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100112_0 {
	meta:
		name = "D3D10PreprocessShader"
		size = 8
		refs = "0002 D3D10PreprocessShader"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100110_0 {
	meta:
		name = "D3D10ReflectShader"
		size = 8
		refs = "0002 D3D10ReflectShader"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100126_0 {
	meta:
		name = "D3D10StateBlockMaskDifference"
		size = 8
		refs = "0002 D3D10StateBlockMaskDifference"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100134_0 {
	meta:
		name = "D3D10StateBlockMaskDisableAll"
		size = 8
		refs = "0002 D3D10StateBlockMaskDisableAll"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100130_0 {
	meta:
		name = "D3D10StateBlockMaskDisableCapture"
		size = 8
		refs = "0002 D3D10StateBlockMaskDisableCapture"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100132_0 {
	meta:
		name = "D3D10StateBlockMaskEnableAll"
		size = 8
		refs = "0002 D3D10StateBlockMaskEnableAll"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100128_0 {
	meta:
		name = "D3D10StateBlockMaskEnableCapture"
		size = 8
		refs = "0002 D3D10StateBlockMaskEnableCapture"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100136_0 {
	meta:
		name = "D3D10StateBlockMaskGetSetting"
		size = 8
		refs = "0002 D3D10StateBlockMaskGetSetting"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100124_0 {
	meta:
		name = "D3D10StateBlockMaskIntersect"
		size = 8
		refs = "0002 D3D10StateBlockMaskIntersect"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100122_0 {
	meta:
		name = "D3D10StateBlockMaskUnion"
		size = 8
		refs = "0002 D3D10StateBlockMaskUnion"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100504_0 {
	meta:
		name = "D3DX10CheckVersion"
		size = 8
		refs = "0002 D3DX10CheckVersion"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100583_0 {
	meta:
		name = "D3DX10CompileFromFile"
		size = 8
		refs = "0002 D3DX10CompileFromFileW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100585_0 {
	meta:
		name = "D3DX10CompileFromFileA"
		size = 8
		refs = "0002 D3DX10CompileFromFileA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100586_0 {
	meta:
		name = "D3DX10CompileFromFileW"
		size = 8
		refs = "0002 D3DX10CompileFromFileW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100593_0 {
	meta:
		name = "D3DX10CompileFromMemory"
		size = 8
		refs = "0002 D3DX10CompileFromMemory"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100588_0 {
	meta:
		name = "D3DX10CompileFromResource"
		size = 8
		refs = "0002 D3DX10CompileFromResourceW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100590_0 {
	meta:
		name = "D3DX10CompileFromResourceA"
		size = 8
		refs = "0002 D3DX10CompileFromResourceA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100591_0 {
	meta:
		name = "D3DX10CompileFromResourceW"
		size = 8
		refs = "0002 D3DX10CompileFromResourceW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100575_0 {
	meta:
		name = "D3DX10ComputeNormalMap"
		size = 8
		refs = "0002 D3DX10ComputeNormalMap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100631_0 {
	meta:
		name = "D3DX10CreateAsyncCompilerProcessor"
		size = 8
		refs = "0002 D3DX10CreateAsyncCompilerProcessor"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100633_0 {
	meta:
		name = "D3DX10CreateAsyncEffectCreateProcessor"
		size = 8
		refs = "0002 D3DX10CreateAsyncEffectCreateProcessor"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100635_0 {
	meta:
		name = "D3DX10CreateAsyncEffectPoolCreateProcessor"
		size = 8
		refs = "0002 D3DX10CreateAsyncEffectPoolCreateProcessor"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100639_0 {
	meta:
		name = "D3DX10CreateAsyncFileLoader"
		size = 8
		refs = "0002 D3DX10CreateAsyncFileLoaderW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100641_0 {
	meta:
		name = "D3DX10CreateAsyncFileLoaderA"
		size = 8
		refs = "0002 D3DX10CreateAsyncFileLoaderA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100642_0 {
	meta:
		name = "D3DX10CreateAsyncFileLoaderW"
		size = 8
		refs = "0002 D3DX10CreateAsyncFileLoaderW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100644_0 {
	meta:
		name = "D3DX10CreateAsyncMemoryLoader"
		size = 8
		refs = "0002 D3DX10CreateAsyncMemoryLoader"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100646_0 {
	meta:
		name = "D3DX10CreateAsyncResourceLoader"
		size = 8
		refs = "0002 D3DX10CreateAsyncResourceLoaderW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100648_0 {
	meta:
		name = "D3DX10CreateAsyncResourceLoaderA"
		size = 8
		refs = "0002 D3DX10CreateAsyncResourceLoaderA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100649_0 {
	meta:
		name = "D3DX10CreateAsyncResourceLoaderW"
		size = 8
		refs = "0002 D3DX10CreateAsyncResourceLoaderW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100637_0 {
	meta:
		name = "D3DX10CreateAsyncShaderPreprocessProcessor"
		size = 8
		refs = "0002 D3DX10CreateAsyncShaderPreprocessProcessor"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100655_0 {
	meta:
		name = "D3DX10CreateAsyncShaderResourceViewProcessor"
		size = 8
		refs = "0002 D3DX10CreateAsyncShaderResourceViewProcessor"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100653_0 {
	meta:
		name = "D3DX10CreateAsyncTextureInfoProcessor"
		size = 8
		refs = "0002 D3DX10CreateAsyncTextureInfoProcessor"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100651_0 {
	meta:
		name = "D3DX10CreateAsyncTextureProcessor"
		size = 8
		refs = "0002 D3DX10CreateAsyncTextureProcessor"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100498_0 {
	meta:
		name = "D3DX10CreateDevice"
		size = 8
		refs = "0002 D3DX10CreateDevice"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100500_0 {
	meta:
		name = "D3DX10CreateDeviceAndSwapChain"
		size = 8
		refs = "0002 D3DX10CreateDeviceAndSwapChain"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100595_0 {
	meta:
		name = "D3DX10CreateEffectFromFile"
		size = 8
		refs = "0002 D3DX10CreateEffectFromFileW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100597_0 {
	meta:
		name = "D3DX10CreateEffectFromFileA"
		size = 8
		refs = "0002 D3DX10CreateEffectFromFileA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100598_0 {
	meta:
		name = "D3DX10CreateEffectFromFileW"
		size = 8
		refs = "0002 D3DX10CreateEffectFromFileW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100600_0 {
	meta:
		name = "D3DX10CreateEffectFromMemory"
		size = 8
		refs = "0002 D3DX10CreateEffectFromMemory"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100602_0 {
	meta:
		name = "D3DX10CreateEffectFromResource"
		size = 8
		refs = "0002 D3DX10CreateEffectFromResourceW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100604_0 {
	meta:
		name = "D3DX10CreateEffectFromResourceA"
		size = 8
		refs = "0002 D3DX10CreateEffectFromResourceA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100605_0 {
	meta:
		name = "D3DX10CreateEffectFromResourceW"
		size = 8
		refs = "0002 D3DX10CreateEffectFromResourceW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100607_0 {
	meta:
		name = "D3DX10CreateEffectPoolFromFile"
		size = 8
		refs = "0002 D3DX10CreateEffectPoolFromFileW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100609_0 {
	meta:
		name = "D3DX10CreateEffectPoolFromFileA"
		size = 8
		refs = "0002 D3DX10CreateEffectPoolFromFileA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100610_0 {
	meta:
		name = "D3DX10CreateEffectPoolFromFileW"
		size = 8
		refs = "0002 D3DX10CreateEffectPoolFromFileW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100612_0 {
	meta:
		name = "D3DX10CreateEffectPoolFromMemory"
		size = 8
		refs = "0002 D3DX10CreateEffectPoolFromMemory"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100614_0 {
	meta:
		name = "D3DX10CreateEffectPoolFromResource"
		size = 8
		refs = "0002 D3DX10CreateEffectPoolFromResourceW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100616_0 {
	meta:
		name = "D3DX10CreateEffectPoolFromResourceA"
		size = 8
		refs = "0002 D3DX10CreateEffectPoolFromResourceA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100617_0 {
	meta:
		name = "D3DX10CreateEffectPoolFromResourceW"
		size = 8
		refs = "0002 D3DX10CreateEffectPoolFromResourceW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100516_0 {
	meta:
		name = "D3DX10CreateFont"
		size = 8
		refs = "0002 D3DX10CreateFontW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100518_0 {
	meta:
		name = "D3DX10CreateFontA"
		size = 8
		refs = "0002 D3DX10CreateFontA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100521_0 {
	meta:
		name = "D3DX10CreateFontIndirect"
		size = 8
		refs = "0002 D3DX10CreateFontIndirectW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100523_0 {
	meta:
		name = "D3DX10CreateFontIndirectA"
		size = 8
		refs = "0002 D3DX10CreateFontIndirectA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100524_0 {
	meta:
		name = "D3DX10CreateFontIndirectW"
		size = 8
		refs = "0002 D3DX10CreateFontIndirectW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100519_0 {
	meta:
		name = "D3DX10CreateFontW"
		size = 8
		refs = "0002 D3DX10CreateFontW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100579_0 {
	meta:
		name = "D3DX10CreateMesh"
		size = 8
		refs = "0002 D3DX10CreateMesh"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100540_0 {
	meta:
		name = "D3DX10CreateShaderResourceViewFromFile"
		size = 8
		refs = "0002 D3DX10CreateShaderResourceViewFromFileW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100542_0 {
	meta:
		name = "D3DX10CreateShaderResourceViewFromFileA"
		size = 8
		refs = "0002 D3DX10CreateShaderResourceViewFromFileA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100543_0 {
	meta:
		name = "D3DX10CreateShaderResourceViewFromFileW"
		size = 8
		refs = "0002 D3DX10CreateShaderResourceViewFromFileW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100560_0 {
	meta:
		name = "D3DX10CreateShaderResourceViewFromMemory"
		size = 8
		refs = "0002 D3DX10CreateShaderResourceViewFromMemory"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100550_0 {
	meta:
		name = "D3DX10CreateShaderResourceViewFromResource"
		size = 8
		refs = "0002 D3DX10CreateShaderResourceViewFromResourceW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100552_0 {
	meta:
		name = "D3DX10CreateShaderResourceViewFromResourceA"
		size = 8
		refs = "0002 D3DX10CreateShaderResourceViewFromResourceA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100553_0 {
	meta:
		name = "D3DX10CreateShaderResourceViewFromResourceW"
		size = 8
		refs = "0002 D3DX10CreateShaderResourceViewFromResourceW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100581_0 {
	meta:
		name = "D3DX10CreateSkinInfo"
		size = 8
		refs = "0002 D3DX10CreateSkinInfo"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100506_0 {
	meta:
		name = "D3DX10CreateSprite"
		size = 8
		refs = "0002 D3DX10CreateSprite"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100545_0 {
	meta:
		name = "D3DX10CreateTextureFromFile"
		size = 8
		refs = "0002 D3DX10CreateTextureFromFileW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100547_0 {
	meta:
		name = "D3DX10CreateTextureFromFileA"
		size = 8
		refs = "0002 D3DX10CreateTextureFromFileA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100548_0 {
	meta:
		name = "D3DX10CreateTextureFromFileW"
		size = 8
		refs = "0002 D3DX10CreateTextureFromFileW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100562_0 {
	meta:
		name = "D3DX10CreateTextureFromMemory"
		size = 8
		refs = "0002 D3DX10CreateTextureFromMemory"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100555_0 {
	meta:
		name = "D3DX10CreateTextureFromResource"
		size = 8
		refs = "0002 D3DX10CreateTextureFromResourceW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100557_0 {
	meta:
		name = "D3DX10CreateTextureFromResourceA"
		size = 8
		refs = "0002 D3DX10CreateTextureFromResourceA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100558_0 {
	meta:
		name = "D3DX10CreateTextureFromResourceW"
		size = 8
		refs = "0002 D3DX10CreateTextureFromResourceW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100514_0 {
	meta:
		name = "D3DX10CreateThreadPump"
		size = 8
		refs = "0002 D3DX10CreateThreadPump"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100566_0 {
	meta:
		name = "D3DX10FilterTexture"
		size = 8
		refs = "0002 D3DX10FilterTexture"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100502_0 {
	meta:
		name = "D3DX10GetFeatureLevel1"
		size = 8
		refs = "0002 D3DX10GetFeatureLevel1"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100528_0 {
	meta:
		name = "D3DX10GetImageInfoFromFile"
		size = 8
		refs = "0002 D3DX10GetImageInfoFromFileW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100530_0 {
	meta:
		name = "D3DX10GetImageInfoFromFileA"
		size = 8
		refs = "0002 D3DX10GetImageInfoFromFileA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100531_0 {
	meta:
		name = "D3DX10GetImageInfoFromFileW"
		size = 8
		refs = "0002 D3DX10GetImageInfoFromFileW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100538_0 {
	meta:
		name = "D3DX10GetImageInfoFromMemory"
		size = 8
		refs = "0002 D3DX10GetImageInfoFromMemory"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100533_0 {
	meta:
		name = "D3DX10GetImageInfoFromResource"
		size = 8
		refs = "0002 D3DX10GetImageInfoFromResourceW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100535_0 {
	meta:
		name = "D3DX10GetImageInfoFromResourceA"
		size = 8
		refs = "0002 D3DX10GetImageInfoFromResourceA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100536_0 {
	meta:
		name = "D3DX10GetImageInfoFromResourceW"
		size = 8
		refs = "0002 D3DX10GetImageInfoFromResourceW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100564_0 {
	meta:
		name = "D3DX10LoadTextureFromTexture"
		size = 8
		refs = "0002 D3DX10LoadTextureFromTexture"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100619_0 {
	meta:
		name = "D3DX10PreprocessShaderFromFile"
		size = 8
		refs = "0002 D3DX10PreprocessShaderFromFileW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100621_0 {
	meta:
		name = "D3DX10PreprocessShaderFromFileA"
		size = 8
		refs = "0002 D3DX10PreprocessShaderFromFileA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100622_0 {
	meta:
		name = "D3DX10PreprocessShaderFromFileW"
		size = 8
		refs = "0002 D3DX10PreprocessShaderFromFileW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100624_0 {
	meta:
		name = "D3DX10PreprocessShaderFromMemory"
		size = 8
		refs = "0002 D3DX10PreprocessShaderFromMemory"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100626_0 {
	meta:
		name = "D3DX10PreprocessShaderFromResource"
		size = 8
		refs = "0002 D3DX10PreprocessShaderFromResourceW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100628_0 {
	meta:
		name = "D3DX10PreprocessShaderFromResourceA"
		size = 8
		refs = "0002 D3DX10PreprocessShaderFromResourceA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100629_0 {
	meta:
		name = "D3DX10PreprocessShaderFromResourceW"
		size = 8
		refs = "0002 D3DX10PreprocessShaderFromResourceW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100577_0 {
	meta:
		name = "D3DX10SHProjectCubeMap"
		size = 8
		refs = "0002 D3DX10SHProjectCubeMap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100568_0 {
	meta:
		name = "D3DX10SaveTextureToFile"
		size = 8
		refs = "0002 D3DX10SaveTextureToFileW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100570_0 {
	meta:
		name = "D3DX10SaveTextureToFileA"
		size = 8
		refs = "0002 D3DX10SaveTextureToFileA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100571_0 {
	meta:
		name = "D3DX10SaveTextureToFileW"
		size = 8
		refs = "0002 D3DX10SaveTextureToFileW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100573_0 {
	meta:
		name = "D3DX10SaveTextureToMemory"
		size = 8
		refs = "0002 D3DX10SaveTextureToMemory"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100526_0 {
	meta:
		name = "D3DX10UnsetAllDeviceObjects"
		size = 8
		refs = "0002 D3DX10UnsetAllDeviceObjects"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100490_0 {
	meta:
		name = "D3DXBoxBoundProbe"
		size = 8
		refs = "0002 D3DXBoxBoundProbe"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100450_0 {
	meta:
		name = "D3DXColorAdjustContrast"
		size = 8
		refs = "0002 D3DXColorAdjustContrast"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100448_0 {
	meta:
		name = "D3DXColorAdjustSaturation"
		size = 8
		refs = "0002 D3DXColorAdjustSaturation"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100494_0 {
	meta:
		name = "D3DXComputeBoundingBox"
		size = 8
		refs = "0002 D3DXComputeBoundingBox"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100492_0 {
	meta:
		name = "D3DXComputeBoundingSphere"
		size = 8
		refs = "0002 D3DXComputeBoundingSphere"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100496_0 {
	meta:
		name = "D3DXCpuOptimizations"
		size = 8
		refs = "0002 D3DXCpuOptimizations"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100454_0 {
	meta:
		name = "D3DXCreateMatrixStack"
		size = 8
		refs = "0002 D3DXCreateMatrixStack"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100282_0 {
	meta:
		name = "D3DXFloat16To32Array"
		size = 8
		refs = "0002 D3DXFloat16To32Array"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100280_0 {
	meta:
		name = "D3DXFloat32To16Array"
		size = 8
		refs = "0002 D3DXFloat32To16Array"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100452_0 {
	meta:
		name = "D3DXFresnelTerm"
		size = 8
		refs = "0002 D3DXFresnelTerm"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100486_0 {
	meta:
		name = "D3DXIntersectTri"
		size = 8
		refs = "0002 D3DXIntersectTri"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100378_0 {
	meta:
		name = "D3DXMatrixAffineTransformation"
		size = 8
		refs = "0002 D3DXMatrixAffineTransformation"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100380_0 {
	meta:
		name = "D3DXMatrixAffineTransformation2D"
		size = 8
		refs = "0002 D3DXMatrixAffineTransformation2D"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100348_0 {
	meta:
		name = "D3DXMatrixDecompose"
		size = 8
		refs = "0002 D3DXMatrixDecompose"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100346_0 {
	meta:
		name = "D3DXMatrixDeterminant"
		size = 8
		refs = "0002 D3DXMatrixDeterminant"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100356_0 {
	meta:
		name = "D3DXMatrixInverse"
		size = 8
		refs = "0002 D3DXMatrixInverse"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100384_0 {
	meta:
		name = "D3DXMatrixLookAtLH"
		size = 8
		refs = "0002 D3DXMatrixLookAtLH"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100382_0 {
	meta:
		name = "D3DXMatrixLookAtRH"
		size = 8
		refs = "0002 D3DXMatrixLookAtRH"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100352_0 {
	meta:
		name = "D3DXMatrixMultiply"
		size = 8
		refs = "0002 D3DXMatrixMultiply"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100354_0 {
	meta:
		name = "D3DXMatrixMultiplyTranspose"
		size = 8
		refs = "0002 D3DXMatrixMultiplyTranspose"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100400_0 {
	meta:
		name = "D3DXMatrixOrthoLH"
		size = 8
		refs = "0002 D3DXMatrixOrthoLH"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100404_0 {
	meta:
		name = "D3DXMatrixOrthoOffCenterLH"
		size = 8
		refs = "0002 D3DXMatrixOrthoOffCenterLH"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100402_0 {
	meta:
		name = "D3DXMatrixOrthoOffCenterRH"
		size = 8
		refs = "0002 D3DXMatrixOrthoOffCenterRH"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100398_0 {
	meta:
		name = "D3DXMatrixOrthoRH"
		size = 8
		refs = "0002 D3DXMatrixOrthoRH"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100392_0 {
	meta:
		name = "D3DXMatrixPerspectiveFovLH"
		size = 8
		refs = "0002 D3DXMatrixPerspectiveFovLH"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100390_0 {
	meta:
		name = "D3DXMatrixPerspectiveFovRH"
		size = 8
		refs = "0002 D3DXMatrixPerspectiveFovRH"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100388_0 {
	meta:
		name = "D3DXMatrixPerspectiveLH"
		size = 8
		refs = "0002 D3DXMatrixPerspectiveLH"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100396_0 {
	meta:
		name = "D3DXMatrixPerspectiveOffCenterLH"
		size = 8
		refs = "0002 D3DXMatrixPerspectiveOffCenterLH"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100394_0 {
	meta:
		name = "D3DXMatrixPerspectiveOffCenterRH"
		size = 8
		refs = "0002 D3DXMatrixPerspectiveOffCenterRH"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100386_0 {
	meta:
		name = "D3DXMatrixPerspectiveRH"
		size = 8
		refs = "0002 D3DXMatrixPerspectiveRH"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100408_0 {
	meta:
		name = "D3DXMatrixReflect"
		size = 8
		refs = "0002 D3DXMatrixReflect"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100368_0 {
	meta:
		name = "D3DXMatrixRotationAxis"
		size = 8
		refs = "0002 D3DXMatrixRotationAxis"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100370_0 {
	meta:
		name = "D3DXMatrixRotationQuaternion"
		size = 8
		refs = "0002 D3DXMatrixRotationQuaternion"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100362_0 {
	meta:
		name = "D3DXMatrixRotationX"
		size = 8
		refs = "0002 D3DXMatrixRotationX"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100364_0 {
	meta:
		name = "D3DXMatrixRotationY"
		size = 8
		refs = "0002 D3DXMatrixRotationY"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100372_0 {
	meta:
		name = "D3DXMatrixRotationYawPitchRoll"
		size = 8
		refs = "0002 D3DXMatrixRotationYawPitchRoll"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100366_0 {
	meta:
		name = "D3DXMatrixRotationZ"
		size = 8
		refs = "0002 D3DXMatrixRotationZ"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100358_0 {
	meta:
		name = "D3DXMatrixScaling"
		size = 8
		refs = "0002 D3DXMatrixScaling"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100406_0 {
	meta:
		name = "D3DXMatrixShadow"
		size = 8
		refs = "0002 D3DXMatrixShadow"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100374_0 {
	meta:
		name = "D3DXMatrixTransformation"
		size = 8
		refs = "0002 D3DXMatrixTransformation"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100376_0 {
	meta:
		name = "D3DXMatrixTransformation2D"
		size = 8
		refs = "0002 D3DXMatrixTransformation2D"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100360_0 {
	meta:
		name = "D3DXMatrixTranslation"
		size = 8
		refs = "0002 D3DXMatrixTranslation"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100350_0 {
	meta:
		name = "D3DXMatrixTranspose"
		size = 8
		refs = "0002 D3DXMatrixTranspose"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100440_0 {
	meta:
		name = "D3DXPlaneFromPointNormal"
		size = 8
		refs = "0002 D3DXPlaneFromPointNormal"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100442_0 {
	meta:
		name = "D3DXPlaneFromPoints"
		size = 8
		refs = "0002 D3DXPlaneFromPoints"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100438_0 {
	meta:
		name = "D3DXPlaneIntersectLine"
		size = 8
		refs = "0002 D3DXPlaneIntersectLine"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100436_0 {
	meta:
		name = "D3DXPlaneNormalize"
		size = 8
		refs = "0002 D3DXPlaneNormalize"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100444_0 {
	meta:
		name = "D3DXPlaneTransform"
		size = 8
		refs = "0002 D3DXPlaneTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100446_0 {
	meta:
		name = "D3DXPlaneTransformArray"
		size = 8
		refs = "0002 D3DXPlaneTransformArray"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100434_0 {
	meta:
		name = "D3DXQuaternionBaryCentric"
		size = 8
		refs = "0002 D3DXQuaternionBaryCentric"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100426_0 {
	meta:
		name = "D3DXQuaternionExp"
		size = 8
		refs = "0002 D3DXQuaternionExp"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100422_0 {
	meta:
		name = "D3DXQuaternionInverse"
		size = 8
		refs = "0002 D3DXQuaternionInverse"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100424_0 {
	meta:
		name = "D3DXQuaternionLn"
		size = 8
		refs = "0002 D3DXQuaternionLn"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100418_0 {
	meta:
		name = "D3DXQuaternionMultiply"
		size = 8
		refs = "0002 D3DXQuaternionMultiply"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100420_0 {
	meta:
		name = "D3DXQuaternionNormalize"
		size = 8
		refs = "0002 D3DXQuaternionNormalize"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100414_0 {
	meta:
		name = "D3DXQuaternionRotationAxis"
		size = 8
		refs = "0002 D3DXQuaternionRotationAxis"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100412_0 {
	meta:
		name = "D3DXQuaternionRotationMatrix"
		size = 8
		refs = "0002 D3DXQuaternionRotationMatrix"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100416_0 {
	meta:
		name = "D3DXQuaternionRotationYawPitchRoll"
		size = 8
		refs = "0002 D3DXQuaternionRotationYawPitchRoll"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100428_0 {
	meta:
		name = "D3DXQuaternionSlerp"
		size = 8
		refs = "0002 D3DXQuaternionSlerp"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100430_0 {
	meta:
		name = "D3DXQuaternionSquad"
		size = 8
		refs = "0002 D3DXQuaternionSquad"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100432_0 {
	meta:
		name = "D3DXQuaternionSquadSetup"
		size = 8
		refs = "0002 D3DXQuaternionSquadSetup"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100410_0 {
	meta:
		name = "D3DXQuaternionToAxisAngle"
		size = 8
		refs = "0002 D3DXQuaternionToAxisAngle"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100462_0 {
	meta:
		name = "D3DXSHAdd"
		size = 8
		refs = "0002 D3DXSHAdd"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100466_0 {
	meta:
		name = "D3DXSHDot"
		size = 8
		refs = "0002 D3DXSHDot"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100482_0 {
	meta:
		name = "D3DXSHEvalConeLight"
		size = 8
		refs = "0002 D3DXSHEvalConeLight"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100456_0 {
	meta:
		name = "D3DXSHEvalDirection"
		size = 8
		refs = "0002 D3DXSHEvalDirection"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100478_0 {
	meta:
		name = "D3DXSHEvalDirectionalLight"
		size = 8
		refs = "0002 D3DXSHEvalDirectionalLight"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100484_0 {
	meta:
		name = "D3DXSHEvalHemisphereLight"
		size = 8
		refs = "0002 D3DXSHEvalHemisphereLight"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100480_0 {
	meta:
		name = "D3DXSHEvalSphericalLight"
		size = 8
		refs = "0002 D3DXSHEvalSphericalLight"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100468_0 {
	meta:
		name = "D3DXSHMultiply2"
		size = 8
		refs = "0002 D3DXSHMultiply2"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100470_0 {
	meta:
		name = "D3DXSHMultiply3"
		size = 8
		refs = "0002 D3DXSHMultiply3"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100472_0 {
	meta:
		name = "D3DXSHMultiply4"
		size = 8
		refs = "0002 D3DXSHMultiply4"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100474_0 {
	meta:
		name = "D3DXSHMultiply5"
		size = 8
		refs = "0002 D3DXSHMultiply5"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100476_0 {
	meta:
		name = "D3DXSHMultiply6"
		size = 8
		refs = "0002 D3DXSHMultiply6"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100458_0 {
	meta:
		name = "D3DXSHRotate"
		size = 8
		refs = "0002 D3DXSHRotate"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100460_0 {
	meta:
		name = "D3DXSHRotateZ"
		size = 8
		refs = "0002 D3DXSHRotateZ"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100464_0 {
	meta:
		name = "D3DXSHScale"
		size = 8
		refs = "0002 D3DXSHScale"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100488_0 {
	meta:
		name = "D3DXSphereBoundProbe"
		size = 8
		refs = "0002 D3DXSphereBoundProbe"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100290_0 {
	meta:
		name = "D3DXVec2BaryCentric"
		size = 8
		refs = "0002 D3DXVec2BaryCentric"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100288_0 {
	meta:
		name = "D3DXVec2CatmullRom"
		size = 8
		refs = "0002 D3DXVec2CatmullRom"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100286_0 {
	meta:
		name = "D3DXVec2Hermite"
		size = 8
		refs = "0002 D3DXVec2Hermite"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100284_0 {
	meta:
		name = "D3DXVec2Normalize"
		size = 8
		refs = "0002 D3DXVec2Normalize"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100292_0 {
	meta:
		name = "D3DXVec2Transform"
		size = 8
		refs = "0002 D3DXVec2Transform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100298_0 {
	meta:
		name = "D3DXVec2TransformArray"
		size = 8
		refs = "0002 D3DXVec2TransformArray"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100294_0 {
	meta:
		name = "D3DXVec2TransformCoord"
		size = 8
		refs = "0002 D3DXVec2TransformCoord"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100300_0 {
	meta:
		name = "D3DXVec2TransformCoordArray"
		size = 8
		refs = "0002 D3DXVec2TransformCoordArray"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100296_0 {
	meta:
		name = "D3DXVec2TransformNormal"
		size = 8
		refs = "0002 D3DXVec2TransformNormal"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100302_0 {
	meta:
		name = "D3DXVec2TransformNormalArray"
		size = 8
		refs = "0002 D3DXVec2TransformNormalArray"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100310_0 {
	meta:
		name = "D3DXVec3BaryCentric"
		size = 8
		refs = "0002 D3DXVec3BaryCentric"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100308_0 {
	meta:
		name = "D3DXVec3CatmullRom"
		size = 8
		refs = "0002 D3DXVec3CatmullRom"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100306_0 {
	meta:
		name = "D3DXVec3Hermite"
		size = 8
		refs = "0002 D3DXVec3Hermite"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100304_0 {
	meta:
		name = "D3DXVec3Normalize"
		size = 8
		refs = "0002 D3DXVec3Normalize"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100324_0 {
	meta:
		name = "D3DXVec3Project"
		size = 8
		refs = "0002 D3DXVec3Project"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100328_0 {
	meta:
		name = "D3DXVec3ProjectArray"
		size = 8
		refs = "0002 D3DXVec3ProjectArray"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100312_0 {
	meta:
		name = "D3DXVec3Transform"
		size = 8
		refs = "0002 D3DXVec3Transform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100318_0 {
	meta:
		name = "D3DXVec3TransformArray"
		size = 8
		refs = "0002 D3DXVec3TransformArray"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100314_0 {
	meta:
		name = "D3DXVec3TransformCoord"
		size = 8
		refs = "0002 D3DXVec3TransformCoord"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100320_0 {
	meta:
		name = "D3DXVec3TransformCoordArray"
		size = 8
		refs = "0002 D3DXVec3TransformCoordArray"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100316_0 {
	meta:
		name = "D3DXVec3TransformNormal"
		size = 8
		refs = "0002 D3DXVec3TransformNormal"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100322_0 {
	meta:
		name = "D3DXVec3TransformNormalArray"
		size = 8
		refs = "0002 D3DXVec3TransformNormalArray"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100326_0 {
	meta:
		name = "D3DXVec3Unproject"
		size = 8
		refs = "0002 D3DXVec3Unproject"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100330_0 {
	meta:
		name = "D3DXVec3UnprojectArray"
		size = 8
		refs = "0002 D3DXVec3UnprojectArray"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100340_0 {
	meta:
		name = "D3DXVec4BaryCentric"
		size = 8
		refs = "0002 D3DXVec4BaryCentric"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100338_0 {
	meta:
		name = "D3DXVec4CatmullRom"
		size = 8
		refs = "0002 D3DXVec4CatmullRom"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100332_0 {
	meta:
		name = "D3DXVec4Cross"
		size = 8
		refs = "0002 D3DXVec4Cross"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100336_0 {
	meta:
		name = "D3DXVec4Hermite"
		size = 8
		refs = "0002 D3DXVec4Hermite"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100334_0 {
	meta:
		name = "D3DXVec4Normalize"
		size = 8
		refs = "0002 D3DXVec4Normalize"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100342_0 {
	meta:
		name = "D3DXVec4Transform"
		size = 8
		refs = "0002 D3DXVec4Transform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_100344_0 {
	meta:
		name = "D3DXVec4TransformArray"
		size = 8
		refs = "0002 D3DXVec4TransformArray"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110081_0 {
	meta:
		name = "DeactivateActCtx"
		size = 8
		refs = "0002 DeactivateActCtx"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107860_0 {
	meta:
		name = "DeleteFileTransacted"
		size = 8
		refs = "0002 DeleteFileTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107862_0 {
	meta:
		name = "DeleteFileTransactedA"
		size = 8
		refs = "0002 DeleteFileTransactedA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107863_0 {
	meta:
		name = "DeleteFileTransactedW"
		size = 8
		refs = "0002 DeleteFileTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110771_0 {
	meta:
		name = "DeletePrinterDriverPackage"
		size = 8
		refs = "0002 DeletePrinterDriverPackageW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110773_0 {
	meta:
		name = "DeletePrinterDriverPackageA"
		size = 8
		refs = "0002 DeletePrinterDriverPackageA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110774_0 {
	meta:
		name = "DeletePrinterDriverPackageW"
		size = 8
		refs = "0002 DeletePrinterDriverPackageW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101774_0 {
	meta:
		name = "Direct3DCreate9Ex"
		size = 8
		refs = "0002 Direct3DCreate9Ex"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107405_0 {
	meta:
		name = "DrawThemeBackgroundEx"
		size = 8
		refs = "0002 DrawThemeBackgroundEx"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107413_0 {
	meta:
		name = "DrawThemeParentBackgroundEx"
		size = 8
		refs = "0002 DrawThemeParentBackgroundEx"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107410_0 {
	meta:
		name = "DrawThemeTextEx"
		size = 8
		refs = "0002 DrawThemeTextEx"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101931_0 {
	meta:
		name = "DwmAttachMilContent"
		size = 8
		refs = "0002 DwmAttachMilContent"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101890_0 {
	meta:
		name = "DwmDefWindowProc"
		size = 8
		refs = "0002 DwmDefWindowProc"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101933_0 {
	meta:
		name = "DwmDetachMilContent"
		size = 8
		refs = "0002 DwmDetachMilContent"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101892_0 {
	meta:
		name = "DwmEnableBlurBehindWindow"
		size = 8
		refs = "0002 DwmEnableBlurBehindWindow"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101894_0 {
	meta:
		name = "DwmEnableComposition"
		size = 8
		refs = "0002 DwmEnableComposition"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101896_0 {
	meta:
		name = "DwmEnableMMCSS"
		size = 8
		refs = "0002 DwmEnableMMCSS"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101898_0 {
	meta:
		name = "DwmExtendFrameIntoClientArea"
		size = 8
		refs = "0002 DwmExtendFrameIntoClientArea"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101935_0 {
	meta:
		name = "DwmFlush"
		size = 8
		refs = "0002 DwmFlush"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101900_0 {
	meta:
		name = "DwmGetColorizationColor"
		size = 8
		refs = "0002 DwmGetColorizationColor"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101902_0 {
	meta:
		name = "DwmGetCompositionTimingInfo"
		size = 8
		refs = "0002 DwmGetCompositionTimingInfo"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101939_0 {
	meta:
		name = "DwmGetGraphicsStreamClient"
		size = 8
		refs = "0002 DwmGetGraphicsStreamClient"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101937_0 {
	meta:
		name = "DwmGetGraphicsStreamTransformHint"
		size = 8
		refs = "0002 DwmGetGraphicsStreamTransformHint"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101941_0 {
	meta:
		name = "DwmGetTransportAttributes"
		size = 8
		refs = "0002 DwmGetTransportAttributes"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101904_0 {
	meta:
		name = "DwmGetWindowAttribute"
		size = 8
		refs = "0002 DwmGetWindowAttribute"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101929_0 {
	meta:
		name = "DwmInvalidateIconicBitmaps"
		size = 8
		refs = "0002 DwmInvalidateIconicBitmaps"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101906_0 {
	meta:
		name = "DwmIsCompositionEnabled"
		size = 8
		refs = "0002 DwmIsCompositionEnabled"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101908_0 {
	meta:
		name = "DwmModifyPreviousDxFrameDuration"
		size = 8
		refs = "0002 DwmModifyPreviousDxFrameDuration"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101910_0 {
	meta:
		name = "DwmQueryThumbnailSourceSize"
		size = 8
		refs = "0002 DwmQueryThumbnailSourceSize"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101912_0 {
	meta:
		name = "DwmRegisterThumbnail"
		size = 8
		refs = "0002 DwmRegisterThumbnail"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101914_0 {
	meta:
		name = "DwmSetDxFrameDuration"
		size = 8
		refs = "0002 DwmSetDxFrameDuration"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101927_0 {
	meta:
		name = "DwmSetIconicLivePreviewBitmap"
		size = 8
		refs = "0002 DwmSetIconicLivePreviewBitmap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101924_0 {
	meta:
		name = "DwmSetIconicThumbnail"
		size = 8
		refs = "0002 DwmSetIconicThumbnail"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101916_0 {
	meta:
		name = "DwmSetPresentParameters"
		size = 8
		refs = "0002 DwmSetPresentParameters"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101918_0 {
	meta:
		name = "DwmSetWindowAttribute"
		size = 8
		refs = "0002 DwmSetWindowAttribute"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101920_0 {
	meta:
		name = "DwmUnregisterThumbnail"
		size = 8
		refs = "0002 DwmUnregisterThumbnail"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101922_0 {
	meta:
		name = "DwmUpdateThumbnailProperties"
		size = 8
		refs = "0002 DwmUpdateThumbnailProperties"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107445_0 {
	meta:
		name = "EndBufferedAnimation"
		size = 8
		refs = "0002 EndBufferedAnimation"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107425_0 {
	meta:
		name = "EndBufferedPaint"
		size = 8
		refs = "0002 EndBufferedPaint"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107401_0 {
	meta:
		name = "EndPanningFeedback"
		size = 8
		refs = "0002 EndPanningFeedback"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110776_0 {
	meta:
		name = "ExtDeviceMode"
		size = 8
		refs = "0002 ExtDeviceMode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110095_0 {
	meta:
		name = "FindActCtxSectionGuid"
		size = 8
		refs = "0002 FindActCtxSectionGuid"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110087_0 {
	meta:
		name = "FindActCtxSectionString"
		size = 8
		refs = "0002 FindActCtxSectionStringW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110089_0 {
	meta:
		name = "FindActCtxSectionStringA"
		size = 8
		refs = "0002 FindActCtxSectionStringA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110091_0 {
	meta:
		name = "FindActCtxSectionStringW"
		size = 8
		refs = "0002 FindActCtxSectionStringW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107931_0 {
	meta:
		name = "FindFirstFileTransacted"
		size = 8
		refs = "0002 FindFirstFileTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107935_0 {
	meta:
		name = "FindFirstFileTransactedA"
		size = 8
		refs = "0002 FindFirstFileTransactedA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107938_0 {
	meta:
		name = "FindFirstFileTransactedW"
		size = 8
		refs = "0002 FindFirstFileTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102042_0 {
	meta:
		name = "GdipAddPathArc"
		size = 8
		refs = "0002 GdipAddPathArc"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102078_0 {
	meta:
		name = "GdipAddPathArcI"
		size = 8
		refs = "0002 GdipAddPathArcI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102044_0 {
	meta:
		name = "GdipAddPathBezier"
		size = 8
		refs = "0002 GdipAddPathBezier"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102080_0 {
	meta:
		name = "GdipAddPathBezierI"
		size = 8
		refs = "0002 GdipAddPathBezierI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102046_0 {
	meta:
		name = "GdipAddPathBeziers"
		size = 8
		refs = "0002 GdipAddPathBeziers"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102082_0 {
	meta:
		name = "GdipAddPathBeziersI"
		size = 8
		refs = "0002 GdipAddPathBeziersI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102054_0 {
	meta:
		name = "GdipAddPathClosedCurve"
		size = 8
		refs = "0002 GdipAddPathClosedCurve"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102056_0 {
	meta:
		name = "GdipAddPathClosedCurve2"
		size = 8
		refs = "0002 GdipAddPathClosedCurve2"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102092_0 {
	meta:
		name = "GdipAddPathClosedCurve2I"
		size = 8
		refs = "0002 GdipAddPathClosedCurve2I"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102090_0 {
	meta:
		name = "GdipAddPathClosedCurveI"
		size = 8
		refs = "0002 GdipAddPathClosedCurveI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102048_0 {
	meta:
		name = "GdipAddPathCurve"
		size = 8
		refs = "0002 GdipAddPathCurve"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102050_0 {
	meta:
		name = "GdipAddPathCurve2"
		size = 8
		refs = "0002 GdipAddPathCurve2"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102086_0 {
	meta:
		name = "GdipAddPathCurve2I"
		size = 8
		refs = "0002 GdipAddPathCurve2I"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102052_0 {
	meta:
		name = "GdipAddPathCurve3"
		size = 8
		refs = "0002 GdipAddPathCurve3"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102088_0 {
	meta:
		name = "GdipAddPathCurve3I"
		size = 8
		refs = "0002 GdipAddPathCurve3I"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102084_0 {
	meta:
		name = "GdipAddPathCurveI"
		size = 8
		refs = "0002 GdipAddPathCurveI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102062_0 {
	meta:
		name = "GdipAddPathEllipse"
		size = 8
		refs = "0002 GdipAddPathEllipse"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102098_0 {
	meta:
		name = "GdipAddPathEllipseI"
		size = 8
		refs = "0002 GdipAddPathEllipseI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102038_0 {
	meta:
		name = "GdipAddPathLine"
		size = 8
		refs = "0002 GdipAddPathLine"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102040_0 {
	meta:
		name = "GdipAddPathLine2"
		size = 8
		refs = "0002 GdipAddPathLine2"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102076_0 {
	meta:
		name = "GdipAddPathLine2I"
		size = 8
		refs = "0002 GdipAddPathLine2I"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102074_0 {
	meta:
		name = "GdipAddPathLineI"
		size = 8
		refs = "0002 GdipAddPathLineI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102068_0 {
	meta:
		name = "GdipAddPathPath"
		size = 8
		refs = "0002 GdipAddPathPath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102064_0 {
	meta:
		name = "GdipAddPathPie"
		size = 8
		refs = "0002 GdipAddPathPie"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102100_0 {
	meta:
		name = "GdipAddPathPieI"
		size = 8
		refs = "0002 GdipAddPathPieI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102066_0 {
	meta:
		name = "GdipAddPathPolygon"
		size = 8
		refs = "0002 GdipAddPathPolygon"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102102_0 {
	meta:
		name = "GdipAddPathPolygonI"
		size = 8
		refs = "0002 GdipAddPathPolygonI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102058_0 {
	meta:
		name = "GdipAddPathRectangle"
		size = 8
		refs = "0002 GdipAddPathRectangle"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102094_0 {
	meta:
		name = "GdipAddPathRectangleI"
		size = 8
		refs = "0002 GdipAddPathRectangleI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102060_0 {
	meta:
		name = "GdipAddPathRectangles"
		size = 8
		refs = "0002 GdipAddPathRectangles"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102096_0 {
	meta:
		name = "GdipAddPathRectanglesI"
		size = 8
		refs = "0002 GdipAddPathRectanglesI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102070_0 {
	meta:
		name = "GdipAddPathString"
		size = 8
		refs = "0002 GdipAddPathString"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102072_0 {
	meta:
		name = "GdipAddPathStringI"
		size = 8
		refs = "0002 GdipAddPathStringI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101990_0 {
	meta:
		name = "GdipAlloc"
		size = 8
		refs = "0002 GdipAlloc"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103016_0 {
	meta:
		name = "GdipBeginContainer"
		size = 8
		refs = "0002 GdipBeginContainer"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103020_0 {
	meta:
		name = "GdipBeginContainer2"
		size = 8
		refs = "0002 GdipBeginContainer2"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103018_0 {
	meta:
		name = "GdipBeginContainerI"
		size = 8
		refs = "0002 GdipBeginContainerI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102700_0 {
	meta:
		name = "GdipBitmapGetPixel"
		size = 8
		refs = "0002 GdipBitmapGetPixel"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102696_0 {
	meta:
		name = "GdipBitmapLockBits"
		size = 8
		refs = "0002 GdipBitmapLockBits"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102702_0 {
	meta:
		name = "GdipBitmapSetPixel"
		size = 8
		refs = "0002 GdipBitmapSetPixel"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102704_0 {
	meta:
		name = "GdipBitmapSetResolution"
		size = 8
		refs = "0002 GdipBitmapSetResolution"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102698_0 {
	meta:
		name = "GdipBitmapUnlockBits"
		size = 8
		refs = "0002 GdipBitmapUnlockBits"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102032_0 {
	meta:
		name = "GdipClearPathMarkers"
		size = 8
		refs = "0002 GdipClearPathMarkers"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102692_0 {
	meta:
		name = "GdipCloneBitmapArea"
		size = 8
		refs = "0002 GdipCloneBitmapArea"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102694_0 {
	meta:
		name = "GdipCloneBitmapAreaI"
		size = 8
		refs = "0002 GdipCloneBitmapAreaI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102260_0 {
	meta:
		name = "GdipCloneBrush"
		size = 8
		refs = "0002 GdipCloneBrush"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102542_0 {
	meta:
		name = "GdipCloneCustomLineCap"
		size = 8
		refs = "0002 GdipCloneCustomLineCap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103110_0 {
	meta:
		name = "GdipCloneFont"
		size = 8
		refs = "0002 GdipCloneFont"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103078_0 {
	meta:
		name = "GdipCloneFontFamily"
		size = 8
		refs = "0002 GdipCloneFontFamily"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102592_0 {
	meta:
		name = "GdipCloneImage"
		size = 8
		refs = "0002 GdipCloneImage"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102708_0 {
	meta:
		name = "GdipCloneImageAttributes"
		size = 8
		refs = "0002 GdipCloneImageAttributes"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102162_0 {
	meta:
		name = "GdipCloneMatrix"
		size = 8
		refs = "0002 GdipCloneMatrix"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102004_0 {
	meta:
		name = "GdipClonePath"
		size = 8
		refs = "0002 GdipClonePath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102448_0 {
	meta:
		name = "GdipClonePen"
		size = 8
		refs = "0002 GdipClonePen"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102208_0 {
	meta:
		name = "GdipCloneRegion"
		size = 8
		refs = "0002 GdipCloneRegion"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103162_0 {
	meta:
		name = "GdipCloneStringFormat"
		size = 8
		refs = "0002 GdipCloneStringFormat"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102026_0 {
	meta:
		name = "GdipClosePathFigure"
		size = 8
		refs = "0002 GdipClosePathFigure"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102028_0 {
	meta:
		name = "GdipClosePathFigures"
		size = 8
		refs = "0002 GdipClosePathFigures"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102220_0 {
	meta:
		name = "GdipCombineRegionPath"
		size = 8
		refs = "0002 GdipCombineRegionPath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102216_0 {
	meta:
		name = "GdipCombineRegionRect"
		size = 8
		refs = "0002 GdipCombineRegionRect"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102218_0 {
	meta:
		name = "GdipCombineRegionRectI"
		size = 8
		refs = "0002 GdipCombineRegionRectI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102222_0 {
	meta:
		name = "GdipCombineRegionRegion"
		size = 8
		refs = "0002 GdipCombineRegionRegion"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103072_0 {
	meta:
		name = "GdipComment"
		size = 8
		refs = "0002 GdipComment"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102566_0 {
	meta:
		name = "GdipCreateAdjustableArrowCap"
		size = 8
		refs = "0002 GdipCreateAdjustableArrowCap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102678_0 {
	meta:
		name = "GdipCreateBitmapFromDirectDrawSurface"
		size = 8
		refs = "0002 GdipCreateBitmapFromDirectDrawSurface"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102668_0 {
	meta:
		name = "GdipCreateBitmapFromFile"
		size = 8
		refs = "0002 GdipCreateBitmapFromFile"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102672_0 {
	meta:
		name = "GdipCreateBitmapFromFileICM"
		size = 8
		refs = "0002 GdipCreateBitmapFromFileICM"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102680_0 {
	meta:
		name = "GdipCreateBitmapFromGdiDib"
		size = 8
		refs = "0002 GdipCreateBitmapFromGdiDib"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102676_0 {
	meta:
		name = "GdipCreateBitmapFromGraphics"
		size = 8
		refs = "0002 GdipCreateBitmapFromGraphics"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102682_0 {
	meta:
		name = "GdipCreateBitmapFromHBITMAP"
		size = 8
		refs = "0002 GdipCreateBitmapFromHBITMAP"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102686_0 {
	meta:
		name = "GdipCreateBitmapFromHICON"
		size = 8
		refs = "0002 GdipCreateBitmapFromHICON"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102690_0 {
	meta:
		name = "GdipCreateBitmapFromResource"
		size = 8
		refs = "0002 GdipCreateBitmapFromResource"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102674_0 {
	meta:
		name = "GdipCreateBitmapFromScan0"
		size = 8
		refs = "0002 GdipCreateBitmapFromScan0"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102666_0 {
	meta:
		name = "GdipCreateBitmapFromStream"
		size = 8
		refs = "0002 GdipCreateBitmapFromStream"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102670_0 {
	meta:
		name = "GdipCreateBitmapFromStreamICM"
		size = 8
		refs = "0002 GdipCreateBitmapFromStreamICM"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103198_0 {
	meta:
		name = "GdipCreateCachedBitmap"
		size = 8
		refs = "0002 GdipCreateCachedBitmap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102538_0 {
	meta:
		name = "GdipCreateCustomLineCap"
		size = 8
		refs = "0002 GdipCreateCustomLineCap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103108_0 {
	meta:
		name = "GdipCreateFont"
		size = 8
		refs = "0002 GdipCreateFont"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103074_0 {
	meta:
		name = "GdipCreateFontFamilyFromName"
		size = 8
		refs = "0002 GdipCreateFontFamilyFromName"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103102_0 {
	meta:
		name = "GdipCreateFontFromDC"
		size = 8
		refs = "0002 GdipCreateFontFromDC"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103104_0 {
	meta:
		name = "GdipCreateFontFromLogfontA"
		size = 8
		refs = "0002 GdipCreateFontFromLogfontA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103106_0 {
	meta:
		name = "GdipCreateFontFromLogfontW"
		size = 8
		refs = "0002 GdipCreateFontFromLogfontW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102740_0 {
	meta:
		name = "GdipCreateFromHDC"
		size = 8
		refs = "0002 GdipCreateFromHDC"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102742_0 {
	meta:
		name = "GdipCreateFromHDC2"
		size = 8
		refs = "0002 GdipCreateFromHDC2"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102744_0 {
	meta:
		name = "GdipCreateFromHWND"
		size = 8
		refs = "0002 GdipCreateFromHWND"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102746_0 {
	meta:
		name = "GdipCreateFromHWNDICM"
		size = 8
		refs = "0002 GdipCreateFromHWNDICM"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102684_0 {
	meta:
		name = "GdipCreateHBITMAPFromBitmap"
		size = 8
		refs = "0002 GdipCreateHBITMAPFromBitmap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102688_0 {
	meta:
		name = "GdipCreateHICONFromBitmap"
		size = 8
		refs = "0002 GdipCreateHICONFromBitmap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102820_0 {
	meta:
		name = "GdipCreateHalftonePalette"
		size = 8
		refs = "0002 GdipCreateHalftonePalette"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102266_0 {
	meta:
		name = "GdipCreateHatchBrush"
		size = 8
		refs = "0002 GdipCreateHatchBrush"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102706_0 {
	meta:
		name = "GdipCreateImageAttributes"
		size = 8
		refs = "0002 GdipCreateImageAttributes"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102310_0 {
	meta:
		name = "GdipCreateLineBrush"
		size = 8
		refs = "0002 GdipCreateLineBrush"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102314_0 {
	meta:
		name = "GdipCreateLineBrushFromRect"
		size = 8
		refs = "0002 GdipCreateLineBrushFromRect"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102316_0 {
	meta:
		name = "GdipCreateLineBrushFromRectI"
		size = 8
		refs = "0002 GdipCreateLineBrushFromRectI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102318_0 {
	meta:
		name = "GdipCreateLineBrushFromRectWithAngle"
		size = 8
		refs = "0002 GdipCreateLineBrushFromRectWithAngle"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102320_0 {
	meta:
		name = "GdipCreateLineBrushFromRectWithAngleI"
		size = 8
		refs = "0002 GdipCreateLineBrushFromRectWithAngleI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102312_0 {
	meta:
		name = "GdipCreateLineBrushI"
		size = 8
		refs = "0002 GdipCreateLineBrushI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102154_0 {
	meta:
		name = "GdipCreateMatrix"
		size = 8
		refs = "0002 GdipCreateMatrix"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102156_0 {
	meta:
		name = "GdipCreateMatrix2"
		size = 8
		refs = "0002 GdipCreateMatrix2"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102158_0 {
	meta:
		name = "GdipCreateMatrix3"
		size = 8
		refs = "0002 GdipCreateMatrix3"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102160_0 {
	meta:
		name = "GdipCreateMatrix3I"
		size = 8
		refs = "0002 GdipCreateMatrix3I"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103040_0 {
	meta:
		name = "GdipCreateMetafileFromEmf"
		size = 8
		refs = "0002 GdipCreateMetafileFromEmf"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103042_0 {
	meta:
		name = "GdipCreateMetafileFromFile"
		size = 8
		refs = "0002 GdipCreateMetafileFromFile"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103046_0 {
	meta:
		name = "GdipCreateMetafileFromStream"
		size = 8
		refs = "0002 GdipCreateMetafileFromStream"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103038_0 {
	meta:
		name = "GdipCreateMetafileFromWmf"
		size = 8
		refs = "0002 GdipCreateMetafileFromWmf"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103044_0 {
	meta:
		name = "GdipCreateMetafileFromWmfFile"
		size = 8
		refs = "0002 GdipCreateMetafileFromWmfFile"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101998_0 {
	meta:
		name = "GdipCreatePath"
		size = 8
		refs = "0002 GdipCreatePath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102000_0 {
	meta:
		name = "GdipCreatePath2"
		size = 8
		refs = "0002 GdipCreatePath2"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102002_0 {
	meta:
		name = "GdipCreatePath2I"
		size = 8
		refs = "0002 GdipCreatePath2I"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102368_0 {
	meta:
		name = "GdipCreatePathGradient"
		size = 8
		refs = "0002 GdipCreatePathGradient"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102372_0 {
	meta:
		name = "GdipCreatePathGradientFromPath"
		size = 8
		refs = "0002 GdipCreatePathGradientFromPath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102370_0 {
	meta:
		name = "GdipCreatePathGradientI"
		size = 8
		refs = "0002 GdipCreatePathGradientI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102126_0 {
	meta:
		name = "GdipCreatePathIter"
		size = 8
		refs = "0002 GdipCreatePathIter"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102444_0 {
	meta:
		name = "GdipCreatePen1"
		size = 8
		refs = "0002 GdipCreatePen1"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102446_0 {
	meta:
		name = "GdipCreatePen2"
		size = 8
		refs = "0002 GdipCreatePen2"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102196_0 {
	meta:
		name = "GdipCreateRegion"
		size = 8
		refs = "0002 GdipCreateRegion"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102206_0 {
	meta:
		name = "GdipCreateRegionHrgn"
		size = 8
		refs = "0002 GdipCreateRegionHrgn"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102202_0 {
	meta:
		name = "GdipCreateRegionPath"
		size = 8
		refs = "0002 GdipCreateRegionPath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102198_0 {
	meta:
		name = "GdipCreateRegionRect"
		size = 8
		refs = "0002 GdipCreateRegionRect"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102200_0 {
	meta:
		name = "GdipCreateRegionRectI"
		size = 8
		refs = "0002 GdipCreateRegionRectI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102204_0 {
	meta:
		name = "GdipCreateRegionRgnData"
		size = 8
		refs = "0002 GdipCreateRegionRgnData"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102304_0 {
	meta:
		name = "GdipCreateSolidFill"
		size = 8
		refs = "0002 GdipCreateSolidFill"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103036_0 {
	meta:
		name = "GdipCreateStreamOnFile"
		size = 8
		refs = "0002 GdipCreateStreamOnFile"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103154_0 {
	meta:
		name = "GdipCreateStringFormat"
		size = 8
		refs = "0002 GdipCreateStringFormat"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102274_0 {
	meta:
		name = "GdipCreateTexture"
		size = 8
		refs = "0002 GdipCreateTexture"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102276_0 {
	meta:
		name = "GdipCreateTexture2"
		size = 8
		refs = "0002 GdipCreateTexture2"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102280_0 {
	meta:
		name = "GdipCreateTexture2I"
		size = 8
		refs = "0002 GdipCreateTexture2I"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102278_0 {
	meta:
		name = "GdipCreateTextureIA"
		size = 8
		refs = "0002 GdipCreateTextureIA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102282_0 {
	meta:
		name = "GdipCreateTextureIAI"
		size = 8
		refs = "0002 GdipCreateTextureIAI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102262_0 {
	meta:
		name = "GdipDeleteBrush"
		size = 8
		refs = "0002 GdipDeleteBrush"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103200_0 {
	meta:
		name = "GdipDeleteCachedBitmap"
		size = 8
		refs = "0002 GdipDeleteCachedBitmap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102540_0 {
	meta:
		name = "GdipDeleteCustomLineCap"
		size = 8
		refs = "0002 GdipDeleteCustomLineCap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103112_0 {
	meta:
		name = "GdipDeleteFont"
		size = 8
		refs = "0002 GdipDeleteFont"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103076_0 {
	meta:
		name = "GdipDeleteFontFamily"
		size = 8
		refs = "0002 GdipDeleteFontFamily"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102748_0 {
	meta:
		name = "GdipDeleteGraphics"
		size = 8
		refs = "0002 GdipDeleteGraphics"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102164_0 {
	meta:
		name = "GdipDeleteMatrix"
		size = 8
		refs = "0002 GdipDeleteMatrix"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102006_0 {
	meta:
		name = "GdipDeletePath"
		size = 8
		refs = "0002 GdipDeletePath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102128_0 {
	meta:
		name = "GdipDeletePathIter"
		size = 8
		refs = "0002 GdipDeletePathIter"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102450_0 {
	meta:
		name = "GdipDeletePen"
		size = 8
		refs = "0002 GdipDeletePen"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103134_0 {
	meta:
		name = "GdipDeletePrivateFontCollection"
		size = 8
		refs = "0002 GdipDeletePrivateFontCollection"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102210_0 {
	meta:
		name = "GdipDeleteRegion"
		size = 8
		refs = "0002 GdipDeleteRegion"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103160_0 {
	meta:
		name = "GdipDeleteStringFormat"
		size = 8
		refs = "0002 GdipDeleteStringFormat"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102594_0 {
	meta:
		name = "GdipDisposeImage"
		size = 8
		refs = "0002 GdipDisposeImage"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102710_0 {
	meta:
		name = "GdipDisposeImageAttributes"
		size = 8
		refs = "0002 GdipDisposeImageAttributes"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102830_0 {
	meta:
		name = "GdipDrawArc"
		size = 8
		refs = "0002 GdipDrawArc"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102832_0 {
	meta:
		name = "GdipDrawArcI"
		size = 8
		refs = "0002 GdipDrawArcI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102834_0 {
	meta:
		name = "GdipDrawBezier"
		size = 8
		refs = "0002 GdipDrawBezier"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102836_0 {
	meta:
		name = "GdipDrawBezierI"
		size = 8
		refs = "0002 GdipDrawBezierI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102838_0 {
	meta:
		name = "GdipDrawBeziers"
		size = 8
		refs = "0002 GdipDrawBeziers"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102840_0 {
	meta:
		name = "GdipDrawBeziersI"
		size = 8
		refs = "0002 GdipDrawBeziersI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103202_0 {
	meta:
		name = "GdipDrawCachedBitmap"
		size = 8
		refs = "0002 GdipDrawCachedBitmap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102876_0 {
	meta:
		name = "GdipDrawClosedCurve"
		size = 8
		refs = "0002 GdipDrawClosedCurve"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102880_0 {
	meta:
		name = "GdipDrawClosedCurve2"
		size = 8
		refs = "0002 GdipDrawClosedCurve2"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102882_0 {
	meta:
		name = "GdipDrawClosedCurve2I"
		size = 8
		refs = "0002 GdipDrawClosedCurve2I"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102878_0 {
	meta:
		name = "GdipDrawClosedCurveI"
		size = 8
		refs = "0002 GdipDrawClosedCurveI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102864_0 {
	meta:
		name = "GdipDrawCurve"
		size = 8
		refs = "0002 GdipDrawCurve"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102868_0 {
	meta:
		name = "GdipDrawCurve2"
		size = 8
		refs = "0002 GdipDrawCurve2"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102870_0 {
	meta:
		name = "GdipDrawCurve2I"
		size = 8
		refs = "0002 GdipDrawCurve2I"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102872_0 {
	meta:
		name = "GdipDrawCurve3"
		size = 8
		refs = "0002 GdipDrawCurve3"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102874_0 {
	meta:
		name = "GdipDrawCurve3I"
		size = 8
		refs = "0002 GdipDrawCurve3I"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102866_0 {
	meta:
		name = "GdipDrawCurveI"
		size = 8
		refs = "0002 GdipDrawCurveI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103150_0 {
	meta:
		name = "GdipDrawDriverString"
		size = 8
		refs = "0002 GdipDrawDriverString"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102850_0 {
	meta:
		name = "GdipDrawEllipse"
		size = 8
		refs = "0002 GdipDrawEllipse"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102852_0 {
	meta:
		name = "GdipDrawEllipseI"
		size = 8
		refs = "0002 GdipDrawEllipseI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102922_0 {
	meta:
		name = "GdipDrawImage"
		size = 8
		refs = "0002 GdipDrawImage"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102924_0 {
	meta:
		name = "GdipDrawImageI"
		size = 8
		refs = "0002 GdipDrawImageI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102934_0 {
	meta:
		name = "GdipDrawImagePointRect"
		size = 8
		refs = "0002 GdipDrawImagePointRect"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102936_0 {
	meta:
		name = "GdipDrawImagePointRectI"
		size = 8
		refs = "0002 GdipDrawImagePointRectI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102930_0 {
	meta:
		name = "GdipDrawImagePoints"
		size = 8
		refs = "0002 GdipDrawImagePoints"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102932_0 {
	meta:
		name = "GdipDrawImagePointsI"
		size = 8
		refs = "0002 GdipDrawImagePointsI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102942_0 {
	meta:
		name = "GdipDrawImagePointsRect"
		size = 8
		refs = "0002 GdipDrawImagePointsRect"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102944_0 {
	meta:
		name = "GdipDrawImagePointsRectI"
		size = 8
		refs = "0002 GdipDrawImagePointsRectI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102926_0 {
	meta:
		name = "GdipDrawImageRect"
		size = 8
		refs = "0002 GdipDrawImageRect"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102928_0 {
	meta:
		name = "GdipDrawImageRectI"
		size = 8
		refs = "0002 GdipDrawImageRectI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102938_0 {
	meta:
		name = "GdipDrawImageRectRect"
		size = 8
		refs = "0002 GdipDrawImageRectRect"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102940_0 {
	meta:
		name = "GdipDrawImageRectRectI"
		size = 8
		refs = "0002 GdipDrawImageRectRectI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102822_0 {
	meta:
		name = "GdipDrawLine"
		size = 8
		refs = "0002 GdipDrawLine"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102824_0 {
	meta:
		name = "GdipDrawLineI"
		size = 8
		refs = "0002 GdipDrawLineI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102826_0 {
	meta:
		name = "GdipDrawLines"
		size = 8
		refs = "0002 GdipDrawLines"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102828_0 {
	meta:
		name = "GdipDrawLinesI"
		size = 8
		refs = "0002 GdipDrawLinesI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102862_0 {
	meta:
		name = "GdipDrawPath"
		size = 8
		refs = "0002 GdipDrawPath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102854_0 {
	meta:
		name = "GdipDrawPie"
		size = 8
		refs = "0002 GdipDrawPie"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102856_0 {
	meta:
		name = "GdipDrawPieI"
		size = 8
		refs = "0002 GdipDrawPieI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102858_0 {
	meta:
		name = "GdipDrawPolygon"
		size = 8
		refs = "0002 GdipDrawPolygon"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102860_0 {
	meta:
		name = "GdipDrawPolygonI"
		size = 8
		refs = "0002 GdipDrawPolygonI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102842_0 {
	meta:
		name = "GdipDrawRectangle"
		size = 8
		refs = "0002 GdipDrawRectangle"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102844_0 {
	meta:
		name = "GdipDrawRectangleI"
		size = 8
		refs = "0002 GdipDrawRectangleI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102846_0 {
	meta:
		name = "GdipDrawRectangles"
		size = 8
		refs = "0002 GdipDrawRectangles"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102848_0 {
	meta:
		name = "GdipDrawRectanglesI"
		size = 8
		refs = "0002 GdipDrawRectanglesI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103144_0 {
	meta:
		name = "GdipDrawString"
		size = 8
		refs = "0002 GdipDrawString"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103204_0 {
	meta:
		name = "GdipEmfToWmfBits"
		size = 8
		refs = "0002 GdipEmfToWmfBits"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103022_0 {
	meta:
		name = "GdipEndContainer"
		size = 8
		refs = "0002 GdipEndContainer"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102946_0 {
	meta:
		name = "GdipEnumerateMetafileDestPoint"
		size = 8
		refs = "0002 GdipEnumerateMetafileDestPoint"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102948_0 {
	meta:
		name = "GdipEnumerateMetafileDestPointI"
		size = 8
		refs = "0002 GdipEnumerateMetafileDestPointI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102954_0 {
	meta:
		name = "GdipEnumerateMetafileDestPoints"
		size = 8
		refs = "0002 GdipEnumerateMetafileDestPoints"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102956_0 {
	meta:
		name = "GdipEnumerateMetafileDestPointsI"
		size = 8
		refs = "0002 GdipEnumerateMetafileDestPointsI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102950_0 {
	meta:
		name = "GdipEnumerateMetafileDestRect"
		size = 8
		refs = "0002 GdipEnumerateMetafileDestRect"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102952_0 {
	meta:
		name = "GdipEnumerateMetafileDestRectI"
		size = 8
		refs = "0002 GdipEnumerateMetafileDestRectI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102958_0 {
	meta:
		name = "GdipEnumerateMetafileSrcRectDestPoint"
		size = 8
		refs = "0002 GdipEnumerateMetafileSrcRectDestPoint"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102960_0 {
	meta:
		name = "GdipEnumerateMetafileSrcRectDestPointI"
		size = 8
		refs = "0002 GdipEnumerateMetafileSrcRectDestPointI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102966_0 {
	meta:
		name = "GdipEnumerateMetafileSrcRectDestPoints"
		size = 8
		refs = "0002 GdipEnumerateMetafileSrcRectDestPoints"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102968_0 {
	meta:
		name = "GdipEnumerateMetafileSrcRectDestPointsI"
		size = 8
		refs = "0002 GdipEnumerateMetafileSrcRectDestPointsI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102962_0 {
	meta:
		name = "GdipEnumerateMetafileSrcRectDestRect"
		size = 8
		refs = "0002 GdipEnumerateMetafileSrcRectDestRect"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102964_0 {
	meta:
		name = "GdipEnumerateMetafileSrcRectDestRectI"
		size = 8
		refs = "0002 GdipEnumerateMetafileSrcRectDestRectI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102912_0 {
	meta:
		name = "GdipFillClosedCurve"
		size = 8
		refs = "0002 GdipFillClosedCurve"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102916_0 {
	meta:
		name = "GdipFillClosedCurve2"
		size = 8
		refs = "0002 GdipFillClosedCurve2"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102918_0 {
	meta:
		name = "GdipFillClosedCurve2I"
		size = 8
		refs = "0002 GdipFillClosedCurve2I"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102914_0 {
	meta:
		name = "GdipFillClosedCurveI"
		size = 8
		refs = "0002 GdipFillClosedCurveI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102902_0 {
	meta:
		name = "GdipFillEllipse"
		size = 8
		refs = "0002 GdipFillEllipse"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102904_0 {
	meta:
		name = "GdipFillEllipseI"
		size = 8
		refs = "0002 GdipFillEllipseI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102910_0 {
	meta:
		name = "GdipFillPath"
		size = 8
		refs = "0002 GdipFillPath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102906_0 {
	meta:
		name = "GdipFillPie"
		size = 8
		refs = "0002 GdipFillPie"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102908_0 {
	meta:
		name = "GdipFillPieI"
		size = 8
		refs = "0002 GdipFillPieI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102894_0 {
	meta:
		name = "GdipFillPolygon"
		size = 8
		refs = "0002 GdipFillPolygon"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102898_0 {
	meta:
		name = "GdipFillPolygon2"
		size = 8
		refs = "0002 GdipFillPolygon2"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102900_0 {
	meta:
		name = "GdipFillPolygon2I"
		size = 8
		refs = "0002 GdipFillPolygon2I"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102896_0 {
	meta:
		name = "GdipFillPolygonI"
		size = 8
		refs = "0002 GdipFillPolygonI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102886_0 {
	meta:
		name = "GdipFillRectangle"
		size = 8
		refs = "0002 GdipFillRectangle"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102888_0 {
	meta:
		name = "GdipFillRectangleI"
		size = 8
		refs = "0002 GdipFillRectangleI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102890_0 {
	meta:
		name = "GdipFillRectangles"
		size = 8
		refs = "0002 GdipFillRectangles"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102892_0 {
	meta:
		name = "GdipFillRectanglesI"
		size = 8
		refs = "0002 GdipFillRectanglesI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102920_0 {
	meta:
		name = "GdipFillRegion"
		size = 8
		refs = "0002 GdipFillRegion"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102104_0 {
	meta:
		name = "GdipFlattenPath"
		size = 8
		refs = "0002 GdipFlattenPath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102738_0 {
	meta:
		name = "GdipFlush"
		size = 8
		refs = "0002 GdipFlush"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103090_0 {
	meta:
		name = "GdipFontCollectionEnumerable"
		size = 8
		refs = "0002 GdipFontCollectionEnumerable"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103092_0 {
	meta:
		name = "GdipFontCollectionEnumerate"
		size = 8
		refs = "0002 GdipFontCollectionEnumerate"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101992_0 {
	meta:
		name = "GdipFree"
		size = 8
		refs = "0002 GdipFree"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102582_0 {
	meta:
		name = "GdipGetAdjustableArrowCapFillState"
		size = 8
		refs = "0002 GdipGetAdjustableArrowCapFillState"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102570_0 {
	meta:
		name = "GdipGetAdjustableArrowCapHeight"
		size = 8
		refs = "0002 GdipGetAdjustableArrowCapHeight"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102578_0 {
	meta:
		name = "GdipGetAdjustableArrowCapMiddleInset"
		size = 8
		refs = "0002 GdipGetAdjustableArrowCapMiddleInset"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102574_0 {
	meta:
		name = "GdipGetAdjustableArrowCapWidth"
		size = 8
		refs = "0002 GdipGetAdjustableArrowCapWidth"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102658_0 {
	meta:
		name = "GdipGetAllPropertyItems"
		size = 8
		refs = "0002 GdipGetAllPropertyItems"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102264_0 {
	meta:
		name = "GdipGetBrushType"
		size = 8
		refs = "0002 GdipGetBrushType"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103096_0 {
	meta:
		name = "GdipGetCellAscent"
		size = 8
		refs = "0002 GdipGetCellAscent"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103098_0 {
	meta:
		name = "GdipGetCellDescent"
		size = 8
		refs = "0002 GdipGetCellDescent"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102990_0 {
	meta:
		name = "GdipGetClip"
		size = 8
		refs = "0002 GdipGetClip"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102992_0 {
	meta:
		name = "GdipGetClipBounds"
		size = 8
		refs = "0002 GdipGetClipBounds"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102994_0 {
	meta:
		name = "GdipGetClipBoundsI"
		size = 8
		refs = "0002 GdipGetClipBoundsI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102756_0 {
	meta:
		name = "GdipGetCompositingMode"
		size = 8
		refs = "0002 GdipGetCompositingMode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102764_0 {
	meta:
		name = "GdipGetCompositingQuality"
		size = 8
		refs = "0002 GdipGetCompositingQuality"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102556_0 {
	meta:
		name = "GdipGetCustomLineCapBaseCap"
		size = 8
		refs = "0002 GdipGetCustomLineCapBaseCap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102560_0 {
	meta:
		name = "GdipGetCustomLineCapBaseInset"
		size = 8
		refs = "0002 GdipGetCustomLineCapBaseInset"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102548_0 {
	meta:
		name = "GdipGetCustomLineCapStrokeCaps"
		size = 8
		refs = "0002 GdipGetCustomLineCapStrokeCaps"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102552_0 {
	meta:
		name = "GdipGetCustomLineCapStrokeJoin"
		size = 8
		refs = "0002 GdipGetCustomLineCapStrokeJoin"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102544_0 {
	meta:
		name = "GdipGetCustomLineCapType"
		size = 8
		refs = "0002 GdipGetCustomLineCapType"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102564_0 {
	meta:
		name = "GdipGetCustomLineCapWidthScale"
		size = 8
		refs = "0002 GdipGetCustomLineCapWidthScale"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102750_0 {
	meta:
		name = "GdipGetDC"
		size = 8
		refs = "0002 GdipGetDC"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102810_0 {
	meta:
		name = "GdipGetDpiX"
		size = 8
		refs = "0002 GdipGetDpiX"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102812_0 {
	meta:
		name = "GdipGetDpiY"
		size = 8
		refs = "0002 GdipGetDpiY"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103094_0 {
	meta:
		name = "GdipGetEmHeight"
		size = 8
		refs = "0002 GdipGetEmHeight"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102630_0 {
	meta:
		name = "GdipGetEncoderParameterList"
		size = 8
		refs = "0002 GdipGetEncoderParameterList"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102628_0 {
	meta:
		name = "GdipGetEncoderParameterListSize"
		size = 8
		refs = "0002 GdipGetEncoderParameterListSize"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103114_0 {
	meta:
		name = "GdipGetFamily"
		size = 8
		refs = "0002 GdipGetFamily"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103086_0 {
	meta:
		name = "GdipGetFamilyName"
		size = 8
		refs = "0002 GdipGetFamilyName"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103136_0 {
	meta:
		name = "GdipGetFontCollectionFamilyCount"
		size = 8
		refs = "0002 GdipGetFontCollectionFamilyCount"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103138_0 {
	meta:
		name = "GdipGetFontCollectionFamilyList"
		size = 8
		refs = "0002 GdipGetFontCollectionFamilyList"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103122_0 {
	meta:
		name = "GdipGetFontHeight"
		size = 8
		refs = "0002 GdipGetFontHeight"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103124_0 {
	meta:
		name = "GdipGetFontHeightGivenDPI"
		size = 8
		refs = "0002 GdipGetFontHeightGivenDPI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103118_0 {
	meta:
		name = "GdipGetFontSize"
		size = 8
		refs = "0002 GdipGetFontSize"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103116_0 {
	meta:
		name = "GdipGetFontStyle"
		size = 8
		refs = "0002 GdipGetFontStyle"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103120_0 {
	meta:
		name = "GdipGetFontUnit"
		size = 8
		refs = "0002 GdipGetFontUnit"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103084_0 {
	meta:
		name = "GdipGetGenericFontFamilyMonospace"
		size = 8
		refs = "0002 GdipGetGenericFontFamilyMonospace"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103080_0 {
	meta:
		name = "GdipGetGenericFontFamilySansSerif"
		size = 8
		refs = "0002 GdipGetGenericFontFamilySansSerif"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103082_0 {
	meta:
		name = "GdipGetGenericFontFamilySerif"
		size = 8
		refs = "0002 GdipGetGenericFontFamilySerif"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102272_0 {
	meta:
		name = "GdipGetHatchBackgroundColor"
		size = 8
		refs = "0002 GdipGetHatchBackgroundColor"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102270_0 {
	meta:
		name = "GdipGetHatchForegroundColor"
		size = 8
		refs = "0002 GdipGetHatchForegroundColor"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102268_0 {
	meta:
		name = "GdipGetHatchStyle"
		size = 8
		refs = "0002 GdipGetHatchStyle"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103034_0 {
	meta:
		name = "GdipGetHemfFromMetafile"
		size = 8
		refs = "0002 GdipGetHemfFromMetafile"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102736_0 {
	meta:
		name = "GdipGetImageAttributesAdjustedPalette"
		size = 8
		refs = "0002 GdipGetImageAttributesAdjustedPalette"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102606_0 {
	meta:
		name = "GdipGetImageBounds"
		size = 8
		refs = "0002 GdipGetImageBounds"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103066_0 {
	meta:
		name = "GdipGetImageDecoders"
		size = 8
		refs = "0002 GdipGetImageDecoders"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103064_0 {
	meta:
		name = "GdipGetImageDecodersSize"
		size = 8
		refs = "0002 GdipGetImageDecodersSize"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102608_0 {
	meta:
		name = "GdipGetImageDimension"
		size = 8
		refs = "0002 GdipGetImageDimension"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103070_0 {
	meta:
		name = "GdipGetImageEncoders"
		size = 8
		refs = "0002 GdipGetImageEncoders"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103068_0 {
	meta:
		name = "GdipGetImageEncodersSize"
		size = 8
		refs = "0002 GdipGetImageEncodersSize"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102620_0 {
	meta:
		name = "GdipGetImageFlags"
		size = 8
		refs = "0002 GdipGetImageFlags"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102604_0 {
	meta:
		name = "GdipGetImageGraphicsContext"
		size = 8
		refs = "0002 GdipGetImageGraphicsContext"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102614_0 {
	meta:
		name = "GdipGetImageHeight"
		size = 8
		refs = "0002 GdipGetImageHeight"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102616_0 {
	meta:
		name = "GdipGetImageHorizontalResolution"
		size = 8
		refs = "0002 GdipGetImageHorizontalResolution"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102642_0 {
	meta:
		name = "GdipGetImagePalette"
		size = 8
		refs = "0002 GdipGetImagePalette"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102646_0 {
	meta:
		name = "GdipGetImagePaletteSize"
		size = 8
		refs = "0002 GdipGetImagePaletteSize"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102624_0 {
	meta:
		name = "GdipGetImagePixelFormat"
		size = 8
		refs = "0002 GdipGetImagePixelFormat"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102622_0 {
	meta:
		name = "GdipGetImageRawFormat"
		size = 8
		refs = "0002 GdipGetImageRawFormat"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102626_0 {
	meta:
		name = "GdipGetImageThumbnail"
		size = 8
		refs = "0002 GdipGetImageThumbnail"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102610_0 {
	meta:
		name = "GdipGetImageType"
		size = 8
		refs = "0002 GdipGetImageType"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102618_0 {
	meta:
		name = "GdipGetImageVerticalResolution"
		size = 8
		refs = "0002 GdipGetImageVerticalResolution"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102612_0 {
	meta:
		name = "GdipGetImageWidth"
		size = 8
		refs = "0002 GdipGetImageWidth"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102784_0 {
	meta:
		name = "GdipGetInterpolationMode"
		size = 8
		refs = "0002 GdipGetInterpolationMode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102336_0 {
	meta:
		name = "GdipGetLineBlend"
		size = 8
		refs = "0002 GdipGetLineBlend"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102334_0 {
	meta:
		name = "GdipGetLineBlendCount"
		size = 8
		refs = "0002 GdipGetLineBlendCount"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102324_0 {
	meta:
		name = "GdipGetLineColors"
		size = 8
		refs = "0002 GdipGetLineColors"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102332_0 {
	meta:
		name = "GdipGetLineGammaCorrection"
		size = 8
		refs = "0002 GdipGetLineGammaCorrection"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102342_0 {
	meta:
		name = "GdipGetLinePresetBlend"
		size = 8
		refs = "0002 GdipGetLinePresetBlend"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102340_0 {
	meta:
		name = "GdipGetLinePresetBlendCount"
		size = 8
		refs = "0002 GdipGetLinePresetBlendCount"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102326_0 {
	meta:
		name = "GdipGetLineRect"
		size = 8
		refs = "0002 GdipGetLineRect"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102328_0 {
	meta:
		name = "GdipGetLineRectI"
		size = 8
		refs = "0002 GdipGetLineRectI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103100_0 {
	meta:
		name = "GdipGetLineSpacing"
		size = 8
		refs = "0002 GdipGetLineSpacing"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102354_0 {
	meta:
		name = "GdipGetLineTransform"
		size = 8
		refs = "0002 GdipGetLineTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102352_0 {
	meta:
		name = "GdipGetLineWrapMode"
		size = 8
		refs = "0002 GdipGetLineWrapMode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103126_0 {
	meta:
		name = "GdipGetLogFontA"
		size = 8
		refs = "0002 GdipGetLogFontA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103128_0 {
	meta:
		name = "GdipGetLogFontW"
		size = 8
		refs = "0002 GdipGetLogFontW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102188_0 {
	meta:
		name = "GdipGetMatrixElements"
		size = 8
		refs = "0002 GdipGetMatrixElements"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103062_0 {
	meta:
		name = "GdipGetMetafileDownLevelRasterizationLimit"
		size = 8
		refs = "0002 GdipGetMetafileDownLevelRasterizationLimit"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103026_0 {
	meta:
		name = "GdipGetMetafileHeaderFromEmf"
		size = 8
		refs = "0002 GdipGetMetafileHeaderFromEmf"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103028_0 {
	meta:
		name = "GdipGetMetafileHeaderFromFile"
		size = 8
		refs = "0002 GdipGetMetafileHeaderFromFile"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103032_0 {
	meta:
		name = "GdipGetMetafileHeaderFromMetafile"
		size = 8
		refs = "0002 GdipGetMetafileHeaderFromMetafile"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103030_0 {
	meta:
		name = "GdipGetMetafileHeaderFromStream"
		size = 8
		refs = "0002 GdipGetMetafileHeaderFromStream"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103024_0 {
	meta:
		name = "GdipGetMetafileHeaderFromWmf"
		size = 8
		refs = "0002 GdipGetMetafileHeaderFromWmf"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102818_0 {
	meta:
		name = "GdipGetNearestColor"
		size = 8
		refs = "0002 GdipGetNearestColor"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102804_0 {
	meta:
		name = "GdipGetPageScale"
		size = 8
		refs = "0002 GdipGetPageScale"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102802_0 {
	meta:
		name = "GdipGetPageUnit"
		size = 8
		refs = "0002 GdipGetPageUnit"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102022_0 {
	meta:
		name = "GdipGetPathData"
		size = 8
		refs = "0002 GdipGetPathData"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102018_0 {
	meta:
		name = "GdipGetPathFillMode"
		size = 8
		refs = "0002 GdipGetPathFillMode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102408_0 {
	meta:
		name = "GdipGetPathGradientBlend"
		size = 8
		refs = "0002 GdipGetPathGradientBlend"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102406_0 {
	meta:
		name = "GdipGetPathGradientBlendCount"
		size = 8
		refs = "0002 GdipGetPathGradientBlendCount"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102374_0 {
	meta:
		name = "GdipGetPathGradientCenterColor"
		size = 8
		refs = "0002 GdipGetPathGradientCenterColor"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102386_0 {
	meta:
		name = "GdipGetPathGradientCenterPoint"
		size = 8
		refs = "0002 GdipGetPathGradientCenterPoint"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102388_0 {
	meta:
		name = "GdipGetPathGradientCenterPointI"
		size = 8
		refs = "0002 GdipGetPathGradientCenterPointI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102440_0 {
	meta:
		name = "GdipGetPathGradientFocusScales"
		size = 8
		refs = "0002 GdipGetPathGradientFocusScales"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102404_0 {
	meta:
		name = "GdipGetPathGradientGammaCorrection"
		size = 8
		refs = "0002 GdipGetPathGradientGammaCorrection"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102382_0 {
	meta:
		name = "GdipGetPathGradientPath"
		size = 8
		refs = "0002 GdipGetPathGradientPath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102398_0 {
	meta:
		name = "GdipGetPathGradientPointCount"
		size = 8
		refs = "0002 GdipGetPathGradientPointCount"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102414_0 {
	meta:
		name = "GdipGetPathGradientPresetBlend"
		size = 8
		refs = "0002 GdipGetPathGradientPresetBlend"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102412_0 {
	meta:
		name = "GdipGetPathGradientPresetBlendCount"
		size = 8
		refs = "0002 GdipGetPathGradientPresetBlendCount"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102394_0 {
	meta:
		name = "GdipGetPathGradientRect"
		size = 8
		refs = "0002 GdipGetPathGradientRect"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102396_0 {
	meta:
		name = "GdipGetPathGradientRectI"
		size = 8
		refs = "0002 GdipGetPathGradientRectI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102400_0 {
	meta:
		name = "GdipGetPathGradientSurroundColorCount"
		size = 8
		refs = "0002 GdipGetPathGradientSurroundColorCount"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102378_0 {
	meta:
		name = "GdipGetPathGradientSurroundColorsWithCount"
		size = 8
		refs = "0002 GdipGetPathGradientSurroundColorsWithCount"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102426_0 {
	meta:
		name = "GdipGetPathGradientTransform"
		size = 8
		refs = "0002 GdipGetPathGradientTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102422_0 {
	meta:
		name = "GdipGetPathGradientWrapMode"
		size = 8
		refs = "0002 GdipGetPathGradientWrapMode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102036_0 {
	meta:
		name = "GdipGetPathLastPoint"
		size = 8
		refs = "0002 GdipGetPathLastPoint"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102014_0 {
	meta:
		name = "GdipGetPathPoints"
		size = 8
		refs = "0002 GdipGetPathPoints"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102016_0 {
	meta:
		name = "GdipGetPathPointsI"
		size = 8
		refs = "0002 GdipGetPathPointsI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102012_0 {
	meta:
		name = "GdipGetPathTypes"
		size = 8
		refs = "0002 GdipGetPathTypes"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102114_0 {
	meta:
		name = "GdipGetPathWorldBounds"
		size = 8
		refs = "0002 GdipGetPathWorldBounds"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102116_0 {
	meta:
		name = "GdipGetPathWorldBoundsI"
		size = 8
		refs = "0002 GdipGetPathWorldBoundsI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102514_0 {
	meta:
		name = "GdipGetPenBrushFill"
		size = 8
		refs = "0002 GdipGetPenBrushFill"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102510_0 {
	meta:
		name = "GdipGetPenColor"
		size = 8
		refs = "0002 GdipGetPenColor"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102536_0 {
	meta:
		name = "GdipGetPenCompoundArray"
		size = 8
		refs = "0002 GdipGetPenCompoundArray"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102532_0 {
	meta:
		name = "GdipGetPenCompoundCount"
		size = 8
		refs = "0002 GdipGetPenCompoundCount"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102484_0 {
	meta:
		name = "GdipGetPenCustomEndCap"
		size = 8
		refs = "0002 GdipGetPenCustomEndCap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102480_0 {
	meta:
		name = "GdipGetPenCustomStartCap"
		size = 8
		refs = "0002 GdipGetPenCustomStartCap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102530_0 {
	meta:
		name = "GdipGetPenDashArray"
		size = 8
		refs = "0002 GdipGetPenDashArray"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102472_0 {
	meta:
		name = "GdipGetPenDashCap197819"
		size = 8
		refs = "0002 GdipGetPenDashCap197819"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102526_0 {
	meta:
		name = "GdipGetPenDashCount"
		size = 8
		refs = "0002 GdipGetPenDashCount"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102522_0 {
	meta:
		name = "GdipGetPenDashOffset"
		size = 8
		refs = "0002 GdipGetPenDashOffset"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102518_0 {
	meta:
		name = "GdipGetPenDashStyle"
		size = 8
		refs = "0002 GdipGetPenDashStyle"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102470_0 {
	meta:
		name = "GdipGetPenEndCap"
		size = 8
		refs = "0002 GdipGetPenEndCap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102516_0 {
	meta:
		name = "GdipGetPenFillType"
		size = 8
		refs = "0002 GdipGetPenFillType"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102476_0 {
	meta:
		name = "GdipGetPenLineJoin"
		size = 8
		refs = "0002 GdipGetPenLineJoin"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102488_0 {
	meta:
		name = "GdipGetPenMiterLimit"
		size = 8
		refs = "0002 GdipGetPenMiterLimit"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102492_0 {
	meta:
		name = "GdipGetPenMode"
		size = 8
		refs = "0002 GdipGetPenMode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102468_0 {
	meta:
		name = "GdipGetPenStartCap"
		size = 8
		refs = "0002 GdipGetPenStartCap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102496_0 {
	meta:
		name = "GdipGetPenTransform"
		size = 8
		refs = "0002 GdipGetPenTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102458_0 {
	meta:
		name = "GdipGetPenUnit"
		size = 8
		refs = "0002 GdipGetPenUnit"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102454_0 {
	meta:
		name = "GdipGetPenWidth"
		size = 8
		refs = "0002 GdipGetPenWidth"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102772_0 {
	meta:
		name = "GdipGetPixelOffsetMode"
		size = 8
		refs = "0002 GdipGetPixelOffsetMode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102010_0 {
	meta:
		name = "GdipGetPointCount"
		size = 8
		refs = "0002 GdipGetPointCount"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102648_0 {
	meta:
		name = "GdipGetPropertyCount"
		size = 8
		refs = "0002 GdipGetPropertyCount"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102650_0 {
	meta:
		name = "GdipGetPropertyIdList"
		size = 8
		refs = "0002 GdipGetPropertyIdList"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102654_0 {
	meta:
		name = "GdipGetPropertyItem"
		size = 8
		refs = "0002 GdipGetPropertyItem"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102652_0 {
	meta:
		name = "GdipGetPropertyItemSize"
		size = 8
		refs = "0002 GdipGetPropertyItemSize"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102656_0 {
	meta:
		name = "GdipGetPropertySize"
		size = 8
		refs = "0002 GdipGetPropertySize"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102230_0 {
	meta:
		name = "GdipGetRegionBounds"
		size = 8
		refs = "0002 GdipGetRegionBounds"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102232_0 {
	meta:
		name = "GdipGetRegionBoundsI"
		size = 8
		refs = "0002 GdipGetRegionBoundsI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102244_0 {
	meta:
		name = "GdipGetRegionData"
		size = 8
		refs = "0002 GdipGetRegionData"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102242_0 {
	meta:
		name = "GdipGetRegionDataSize"
		size = 8
		refs = "0002 GdipGetRegionDataSize"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102234_0 {
	meta:
		name = "GdipGetRegionHRgn"
		size = 8
		refs = "0002 GdipGetRegionHRgn"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102256_0 {
	meta:
		name = "GdipGetRegionScans"
		size = 8
		refs = "0002 GdipGetRegionScans"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102254_0 {
	meta:
		name = "GdipGetRegionScansCount"
		size = 8
		refs = "0002 GdipGetRegionScansCount"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102258_0 {
	meta:
		name = "GdipGetRegionScansI"
		size = 8
		refs = "0002 GdipGetRegionScansI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102760_0 {
	meta:
		name = "GdipGetRenderingOrigin"
		size = 8
		refs = "0002 GdipGetRenderingOrigin"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102768_0 {
	meta:
		name = "GdipGetSmoothingMode"
		size = 8
		refs = "0002 GdipGetSmoothingMode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102308_0 {
	meta:
		name = "GdipGetSolidFillColor"
		size = 8
		refs = "0002 GdipGetSolidFillColor"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103170_0 {
	meta:
		name = "GdipGetStringFormatAlign"
		size = 8
		refs = "0002 GdipGetStringFormatAlign"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103192_0 {
	meta:
		name = "GdipGetStringFormatDigitSubstitution"
		size = 8
		refs = "0002 GdipGetStringFormatDigitSubstitution"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103166_0 {
	meta:
		name = "GdipGetStringFormatFlags"
		size = 8
		refs = "0002 GdipGetStringFormatFlags"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103182_0 {
	meta:
		name = "GdipGetStringFormatHotkeyPrefix"
		size = 8
		refs = "0002 GdipGetStringFormatHotkeyPrefix"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103174_0 {
	meta:
		name = "GdipGetStringFormatLineAlign"
		size = 8
		refs = "0002 GdipGetStringFormatLineAlign"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103194_0 {
	meta:
		name = "GdipGetStringFormatMeasurableCharacterRangeCount"
		size = 8
		refs = "0002 GdipGetStringFormatMeasurableCharacterRangeCount"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103188_0 {
	meta:
		name = "GdipGetStringFormatTabStopCount"
		size = 8
		refs = "0002 GdipGetStringFormatTabStopCount"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103186_0 {
	meta:
		name = "GdipGetStringFormatTabStops"
		size = 8
		refs = "0002 GdipGetStringFormatTabStops"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103178_0 {
	meta:
		name = "GdipGetStringFormatTrimming"
		size = 8
		refs = "0002 GdipGetStringFormatTrimming"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102780_0 {
	meta:
		name = "GdipGetTextContrast"
		size = 8
		refs = "0002 GdipGetTextContrast"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102776_0 {
	meta:
		name = "GdipGetTextRenderingHint"
		size = 8
		refs = "0002 GdipGetTextRenderingHint"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102302_0 {
	meta:
		name = "GdipGetTextureImage"
		size = 8
		refs = "0002 GdipGetTextureImage"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102284_0 {
	meta:
		name = "GdipGetTextureTransform"
		size = 8
		refs = "0002 GdipGetTextureTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102300_0 {
	meta:
		name = "GdipGetTextureWrapMode"
		size = 8
		refs = "0002 GdipGetTextureWrapMode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102998_0 {
	meta:
		name = "GdipGetVisibleClipBounds"
		size = 8
		refs = "0002 GdipGetVisibleClipBounds"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103000_0 {
	meta:
		name = "GdipGetVisibleClipBoundsI"
		size = 8
		refs = "0002 GdipGetVisibleClipBoundsI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102798_0 {
	meta:
		name = "GdipGetWorldTransform"
		size = 8
		refs = "0002 GdipGetWorldTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102884_0 {
	meta:
		name = "GdipGraphicsClear"
		size = 8
		refs = "0002 GdipGraphicsClear"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102664_0 {
	meta:
		name = "GdipImageForceValidation"
		size = 8
		refs = "0002 GdipImageForceValidation"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102636_0 {
	meta:
		name = "GdipImageGetFrameCount"
		size = 8
		refs = "0002 GdipImageGetFrameCount"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102632_0 {
	meta:
		name = "GdipImageGetFrameDimensionsCount"
		size = 8
		refs = "0002 GdipImageGetFrameDimensionsCount"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102634_0 {
	meta:
		name = "GdipImageGetFrameDimensionsList"
		size = 8
		refs = "0002 GdipImageGetFrameDimensionsList"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102640_0 {
	meta:
		name = "GdipImageRotateFlip"
		size = 8
		refs = "0002 GdipImageRotateFlip"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102638_0 {
	meta:
		name = "GdipImageSelectActiveFrame"
		size = 8
		refs = "0002 GdipImageSelectActiveFrame"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102178_0 {
	meta:
		name = "GdipInvertMatrix"
		size = 8
		refs = "0002 GdipInvertMatrix"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102996_0 {
	meta:
		name = "GdipIsClipEmpty"
		size = 8
		refs = "0002 GdipIsClipEmpty"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102236_0 {
	meta:
		name = "GdipIsEmptyRegion"
		size = 8
		refs = "0002 GdipIsEmptyRegion"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102240_0 {
	meta:
		name = "GdipIsEqualRegion"
		size = 8
		refs = "0002 GdipIsEqualRegion"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102238_0 {
	meta:
		name = "GdipIsInfiniteRegion"
		size = 8
		refs = "0002 GdipIsInfiniteRegion"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102194_0 {
	meta:
		name = "GdipIsMatrixEqual"
		size = 8
		refs = "0002 GdipIsMatrixEqual"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102192_0 {
	meta:
		name = "GdipIsMatrixIdentity"
		size = 8
		refs = "0002 GdipIsMatrixIdentity"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102190_0 {
	meta:
		name = "GdipIsMatrixInvertible"
		size = 8
		refs = "0002 GdipIsMatrixInvertible"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102122_0 {
	meta:
		name = "GdipIsOutlineVisiblePathPoint"
		size = 8
		refs = "0002 GdipIsOutlineVisiblePathPoint"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102124_0 {
	meta:
		name = "GdipIsOutlineVisiblePathPointI"
		size = 8
		refs = "0002 GdipIsOutlineVisiblePathPointI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103088_0 {
	meta:
		name = "GdipIsStyleAvailable"
		size = 8
		refs = "0002 GdipIsStyleAvailable"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103002_0 {
	meta:
		name = "GdipIsVisibleClipEmpty"
		size = 8
		refs = "0002 GdipIsVisibleClipEmpty"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102118_0 {
	meta:
		name = "GdipIsVisiblePathPoint"
		size = 8
		refs = "0002 GdipIsVisiblePathPoint"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102120_0 {
	meta:
		name = "GdipIsVisiblePathPointI"
		size = 8
		refs = "0002 GdipIsVisiblePathPointI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103004_0 {
	meta:
		name = "GdipIsVisiblePoint"
		size = 8
		refs = "0002 GdipIsVisiblePoint"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103006_0 {
	meta:
		name = "GdipIsVisiblePointI"
		size = 8
		refs = "0002 GdipIsVisiblePointI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103008_0 {
	meta:
		name = "GdipIsVisibleRect"
		size = 8
		refs = "0002 GdipIsVisibleRect"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103010_0 {
	meta:
		name = "GdipIsVisibleRectI"
		size = 8
		refs = "0002 GdipIsVisibleRectI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102246_0 {
	meta:
		name = "GdipIsVisibleRegionPoint"
		size = 8
		refs = "0002 GdipIsVisibleRegionPoint"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102248_0 {
	meta:
		name = "GdipIsVisibleRegionPointI"
		size = 8
		refs = "0002 GdipIsVisibleRegionPointI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102250_0 {
	meta:
		name = "GdipIsVisibleRegionRect"
		size = 8
		refs = "0002 GdipIsVisibleRegionRect"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102252_0 {
	meta:
		name = "GdipIsVisibleRegionRectI"
		size = 8
		refs = "0002 GdipIsVisibleRegionRectI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102586_0 {
	meta:
		name = "GdipLoadImageFromFile"
		size = 8
		refs = "0002 GdipLoadImageFromFile"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102590_0 {
	meta:
		name = "GdipLoadImageFromFileICM"
		size = 8
		refs = "0002 GdipLoadImageFromFileICM"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102584_0 {
	meta:
		name = "GdipLoadImageFromStream"
		size = 8
		refs = "0002 GdipLoadImageFromStream"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102588_0 {
	meta:
		name = "GdipLoadImageFromStreamICM"
		size = 8
		refs = "0002 GdipLoadImageFromStreamICM"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103148_0 {
	meta:
		name = "GdipMeasureCharacterRanges"
		size = 8
		refs = "0002 GdipMeasureCharacterRanges"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103152_0 {
	meta:
		name = "GdipMeasureDriverString"
		size = 8
		refs = "0002 GdipMeasureDriverString"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103146_0 {
	meta:
		name = "GdipMeasureString"
		size = 8
		refs = "0002 GdipMeasureString"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102360_0 {
	meta:
		name = "GdipMultiplyLineTransform"
		size = 8
		refs = "0002 GdipMultiplyLineTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102168_0 {
	meta:
		name = "GdipMultiplyMatrix"
		size = 8
		refs = "0002 GdipMultiplyMatrix"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102432_0 {
	meta:
		name = "GdipMultiplyPathGradientTransform"
		size = 8
		refs = "0002 GdipMultiplyPathGradientTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102500_0 {
	meta:
		name = "GdipMultiplyPenTransform"
		size = 8
		refs = "0002 GdipMultiplyPenTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102290_0 {
	meta:
		name = "GdipMultiplyTextureTransform"
		size = 8
		refs = "0002 GdipMultiplyTextureTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102790_0 {
	meta:
		name = "GdipMultiplyWorldTransform"
		size = 8
		refs = "0002 GdipMultiplyWorldTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103130_0 {
	meta:
		name = "GdipNewInstalledFontCollection"
		size = 8
		refs = "0002 GdipNewInstalledFontCollection"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103132_0 {
	meta:
		name = "GdipNewPrivateFontCollection"
		size = 8
		refs = "0002 GdipNewPrivateFontCollection"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102152_0 {
	meta:
		name = "GdipPathIterCopyData"
		size = 8
		refs = "0002 GdipPathIterCopyData"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102150_0 {
	meta:
		name = "GdipPathIterEnumerate"
		size = 8
		refs = "0002 GdipPathIterEnumerate"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102140_0 {
	meta:
		name = "GdipPathIterGetCount"
		size = 8
		refs = "0002 GdipPathIterGetCount"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102142_0 {
	meta:
		name = "GdipPathIterGetSubpathCount"
		size = 8
		refs = "0002 GdipPathIterGetSubpathCount"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102146_0 {
	meta:
		name = "GdipPathIterHasCurve"
		size = 8
		refs = "0002 GdipPathIterHasCurve"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102144_0 {
	meta:
		name = "GdipPathIterIsValid"
		size = 8
		refs = "0002 GdipPathIterIsValid"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102136_0 {
	meta:
		name = "GdipPathIterNextMarker"
		size = 8
		refs = "0002 GdipPathIterNextMarker"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102138_0 {
	meta:
		name = "GdipPathIterNextMarkerPath"
		size = 8
		refs = "0002 GdipPathIterNextMarkerPath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102134_0 {
	meta:
		name = "GdipPathIterNextPathType"
		size = 8
		refs = "0002 GdipPathIterNextPathType"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102130_0 {
	meta:
		name = "GdipPathIterNextSubpath"
		size = 8
		refs = "0002 GdipPathIterNextSubpath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102132_0 {
	meta:
		name = "GdipPathIterNextSubpathPath"
		size = 8
		refs = "0002 GdipPathIterNextSubpathPath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102148_0 {
	meta:
		name = "GdipPathIterRewind"
		size = 8
		refs = "0002 GdipPathIterRewind"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102970_0 {
	meta:
		name = "GdipPlayMetafileRecord"
		size = 8
		refs = "0002 GdipPlayMetafileRecord"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103140_0 {
	meta:
		name = "GdipPrivateAddFontFile"
		size = 8
		refs = "0002 GdipPrivateAddFontFile"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103142_0 {
	meta:
		name = "GdipPrivateAddMemoryFont"
		size = 8
		refs = "0002 GdipPrivateAddMemoryFont"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103048_0 {
	meta:
		name = "GdipRecordMetafile"
		size = 8
		refs = "0002 GdipRecordMetafile"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103052_0 {
	meta:
		name = "GdipRecordMetafileFileName"
		size = 8
		refs = "0002 GdipRecordMetafileFileName"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103054_0 {
	meta:
		name = "GdipRecordMetafileFileNameI"
		size = 8
		refs = "0002 GdipRecordMetafileFileNameI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103050_0 {
	meta:
		name = "GdipRecordMetafileI"
		size = 8
		refs = "0002 GdipRecordMetafileI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103056_0 {
	meta:
		name = "GdipRecordMetafileStream"
		size = 8
		refs = "0002 GdipRecordMetafileStream"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103058_0 {
	meta:
		name = "GdipRecordMetafileStreamI"
		size = 8
		refs = "0002 GdipRecordMetafileStreamI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102752_0 {
	meta:
		name = "GdipReleaseDC"
		size = 8
		refs = "0002 GdipReleaseDC"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102660_0 {
	meta:
		name = "GdipRemovePropertyItem"
		size = 8
		refs = "0002 GdipRemovePropertyItem"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102984_0 {
	meta:
		name = "GdipResetClip"
		size = 8
		refs = "0002 GdipResetClip"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102714_0 {
	meta:
		name = "GdipResetImageAttributes"
		size = 8
		refs = "0002 GdipResetImageAttributes"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102358_0 {
	meta:
		name = "GdipResetLineTransform"
		size = 8
		refs = "0002 GdipResetLineTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102800_0 {
	meta:
		name = "GdipResetPageTransform"
		size = 8
		refs = "0002 GdipResetPageTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102008_0 {
	meta:
		name = "GdipResetPath"
		size = 8
		refs = "0002 GdipResetPath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102430_0 {
	meta:
		name = "GdipResetPathGradientTransform"
		size = 8
		refs = "0002 GdipResetPathGradientTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102498_0 {
	meta:
		name = "GdipResetPenTransform"
		size = 8
		refs = "0002 GdipResetPenTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102288_0 {
	meta:
		name = "GdipResetTextureTransform"
		size = 8
		refs = "0002 GdipResetTextureTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102788_0 {
	meta:
		name = "GdipResetWorldTransform"
		size = 8
		refs = "0002 GdipResetWorldTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103014_0 {
	meta:
		name = "GdipRestoreGraphics"
		size = 8
		refs = "0002 GdipRestoreGraphics"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102034_0 {
	meta:
		name = "GdipReversePath"
		size = 8
		refs = "0002 GdipReversePath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102366_0 {
	meta:
		name = "GdipRotateLineTransform"
		size = 8
		refs = "0002 GdipRotateLineTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102174_0 {
	meta:
		name = "GdipRotateMatrix"
		size = 8
		refs = "0002 GdipRotateMatrix"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102438_0 {
	meta:
		name = "GdipRotatePathGradientTransform"
		size = 8
		refs = "0002 GdipRotatePathGradientTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102506_0 {
	meta:
		name = "GdipRotatePenTransform"
		size = 8
		refs = "0002 GdipRotatePenTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102296_0 {
	meta:
		name = "GdipRotateTextureTransform"
		size = 8
		refs = "0002 GdipRotateTextureTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102796_0 {
	meta:
		name = "GdipRotateWorldTransform"
		size = 8
		refs = "0002 GdipRotateWorldTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102600_0 {
	meta:
		name = "GdipSaveAdd"
		size = 8
		refs = "0002 GdipSaveAdd"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102602_0 {
	meta:
		name = "GdipSaveAddImage"
		size = 8
		refs = "0002 GdipSaveAddImage"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103012_0 {
	meta:
		name = "GdipSaveGraphics"
		size = 8
		refs = "0002 GdipSaveGraphics"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102596_0 {
	meta:
		name = "GdipSaveImageToFile"
		size = 8
		refs = "0002 GdipSaveImageToFile"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102598_0 {
	meta:
		name = "GdipSaveImageToStream"
		size = 8
		refs = "0002 GdipSaveImageToStream"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102364_0 {
	meta:
		name = "GdipScaleLineTransform"
		size = 8
		refs = "0002 GdipScaleLineTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102172_0 {
	meta:
		name = "GdipScaleMatrix"
		size = 8
		refs = "0002 GdipScaleMatrix"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102436_0 {
	meta:
		name = "GdipScalePathGradientTransform"
		size = 8
		refs = "0002 GdipScalePathGradientTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102504_0 {
	meta:
		name = "GdipScalePenTransform"
		size = 8
		refs = "0002 GdipScalePenTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102294_0 {
	meta:
		name = "GdipScaleTextureTransform"
		size = 8
		refs = "0002 GdipScaleTextureTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102794_0 {
	meta:
		name = "GdipScaleWorldTransform"
		size = 8
		refs = "0002 GdipScaleWorldTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102580_0 {
	meta:
		name = "GdipSetAdjustableArrowCapFillState"
		size = 8
		refs = "0002 GdipSetAdjustableArrowCapFillState"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102568_0 {
	meta:
		name = "GdipSetAdjustableArrowCapHeight"
		size = 8
		refs = "0002 GdipSetAdjustableArrowCapHeight"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102576_0 {
	meta:
		name = "GdipSetAdjustableArrowCapMiddleInset"
		size = 8
		refs = "0002 GdipSetAdjustableArrowCapMiddleInset"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102572_0 {
	meta:
		name = "GdipSetAdjustableArrowCapWidth"
		size = 8
		refs = "0002 GdipSetAdjustableArrowCapWidth"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102972_0 {
	meta:
		name = "GdipSetClipGraphics"
		size = 8
		refs = "0002 GdipSetClipGraphics"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102982_0 {
	meta:
		name = "GdipSetClipHrgn"
		size = 8
		refs = "0002 GdipSetClipHrgn"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102978_0 {
	meta:
		name = "GdipSetClipPath"
		size = 8
		refs = "0002 GdipSetClipPath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102974_0 {
	meta:
		name = "GdipSetClipRect"
		size = 8
		refs = "0002 GdipSetClipRect"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102976_0 {
	meta:
		name = "GdipSetClipRectI"
		size = 8
		refs = "0002 GdipSetClipRectI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102980_0 {
	meta:
		name = "GdipSetClipRegion"
		size = 8
		refs = "0002 GdipSetClipRegion"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102754_0 {
	meta:
		name = "GdipSetCompositingMode"
		size = 8
		refs = "0002 GdipSetCompositingMode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102762_0 {
	meta:
		name = "GdipSetCompositingQuality"
		size = 8
		refs = "0002 GdipSetCompositingQuality"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102554_0 {
	meta:
		name = "GdipSetCustomLineCapBaseCap"
		size = 8
		refs = "0002 GdipSetCustomLineCapBaseCap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102558_0 {
	meta:
		name = "GdipSetCustomLineCapBaseInset"
		size = 8
		refs = "0002 GdipSetCustomLineCapBaseInset"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102546_0 {
	meta:
		name = "GdipSetCustomLineCapStrokeCaps"
		size = 8
		refs = "0002 GdipSetCustomLineCapStrokeCaps"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102550_0 {
	meta:
		name = "GdipSetCustomLineCapStrokeJoin"
		size = 8
		refs = "0002 GdipSetCustomLineCapStrokeJoin"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102562_0 {
	meta:
		name = "GdipSetCustomLineCapWidthScale"
		size = 8
		refs = "0002 GdipSetCustomLineCapWidthScale"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102214_0 {
	meta:
		name = "GdipSetEmpty"
		size = 8
		refs = "0002 GdipSetEmpty"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102724_0 {
	meta:
		name = "GdipSetImageAttributesColorKeys"
		size = 8
		refs = "0002 GdipSetImageAttributesColorKeys"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102716_0 {
	meta:
		name = "GdipSetImageAttributesColorMatrix"
		size = 8
		refs = "0002 GdipSetImageAttributesColorMatrix"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102720_0 {
	meta:
		name = "GdipSetImageAttributesGamma"
		size = 8
		refs = "0002 GdipSetImageAttributesGamma"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102734_0 {
	meta:
		name = "GdipSetImageAttributesICMMode"
		size = 8
		refs = "0002 GdipSetImageAttributesICMMode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102722_0 {
	meta:
		name = "GdipSetImageAttributesNoOp"
		size = 8
		refs = "0002 GdipSetImageAttributesNoOp"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102726_0 {
	meta:
		name = "GdipSetImageAttributesOutputChannel"
		size = 8
		refs = "0002 GdipSetImageAttributesOutputChannel"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102728_0 {
	meta:
		name = "GdipSetImageAttributesOutputChannelColorProfile"
		size = 8
		refs = "0002 GdipSetImageAttributesOutputChannelColorProfile"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102730_0 {
	meta:
		name = "GdipSetImageAttributesRemapTable"
		size = 8
		refs = "0002 GdipSetImageAttributesRemapTable"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102718_0 {
	meta:
		name = "GdipSetImageAttributesThreshold"
		size = 8
		refs = "0002 GdipSetImageAttributesThreshold"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102712_0 {
	meta:
		name = "GdipSetImageAttributesToIdentity"
		size = 8
		refs = "0002 GdipSetImageAttributesToIdentity"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102732_0 {
	meta:
		name = "GdipSetImageAttributesWrapMode"
		size = 8
		refs = "0002 GdipSetImageAttributesWrapMode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102644_0 {
	meta:
		name = "GdipSetImagePalette"
		size = 8
		refs = "0002 GdipSetImagePalette"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102212_0 {
	meta:
		name = "GdipSetInfinite"
		size = 8
		refs = "0002 GdipSetInfinite"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102782_0 {
	meta:
		name = "GdipSetInterpolationMode"
		size = 8
		refs = "0002 GdipSetInterpolationMode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102338_0 {
	meta:
		name = "GdipSetLineBlend"
		size = 8
		refs = "0002 GdipSetLineBlend"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102322_0 {
	meta:
		name = "GdipSetLineColors"
		size = 8
		refs = "0002 GdipSetLineColors"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102330_0 {
	meta:
		name = "GdipSetLineGammaCorrection"
		size = 8
		refs = "0002 GdipSetLineGammaCorrection"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102348_0 {
	meta:
		name = "GdipSetLineLinearBlend"
		size = 8
		refs = "0002 GdipSetLineLinearBlend"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102344_0 {
	meta:
		name = "GdipSetLinePresetBlend"
		size = 8
		refs = "0002 GdipSetLinePresetBlend"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102346_0 {
	meta:
		name = "GdipSetLineSigmaBlend"
		size = 8
		refs = "0002 GdipSetLineSigmaBlend"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102356_0 {
	meta:
		name = "GdipSetLineTransform"
		size = 8
		refs = "0002 GdipSetLineTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102350_0 {
	meta:
		name = "GdipSetLineWrapMode"
		size = 8
		refs = "0002 GdipSetLineWrapMode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102166_0 {
	meta:
		name = "GdipSetMatrixElements"
		size = 8
		refs = "0002 GdipSetMatrixElements"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103060_0 {
	meta:
		name = "GdipSetMetafileDownLevelRasterizationLimit"
		size = 8
		refs = "0002 GdipSetMetafileDownLevelRasterizationLimit"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102808_0 {
	meta:
		name = "GdipSetPageScale"
		size = 8
		refs = "0002 GdipSetPageScale"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102806_0 {
	meta:
		name = "GdipSetPageUnit"
		size = 8
		refs = "0002 GdipSetPageUnit"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102020_0 {
	meta:
		name = "GdipSetPathFillMode"
		size = 8
		refs = "0002 GdipSetPathFillMode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102410_0 {
	meta:
		name = "GdipSetPathGradientBlend"
		size = 8
		refs = "0002 GdipSetPathGradientBlend"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102376_0 {
	meta:
		name = "GdipSetPathGradientCenterColor"
		size = 8
		refs = "0002 GdipSetPathGradientCenterColor"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102390_0 {
	meta:
		name = "GdipSetPathGradientCenterPoint"
		size = 8
		refs = "0002 GdipSetPathGradientCenterPoint"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102392_0 {
	meta:
		name = "GdipSetPathGradientCenterPointI"
		size = 8
		refs = "0002 GdipSetPathGradientCenterPointI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102442_0 {
	meta:
		name = "GdipSetPathGradientFocusScales"
		size = 8
		refs = "0002 GdipSetPathGradientFocusScales"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102402_0 {
	meta:
		name = "GdipSetPathGradientGammaCorrection"
		size = 8
		refs = "0002 GdipSetPathGradientGammaCorrection"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102420_0 {
	meta:
		name = "GdipSetPathGradientLinearBlend"
		size = 8
		refs = "0002 GdipSetPathGradientLinearBlend"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102384_0 {
	meta:
		name = "GdipSetPathGradientPath"
		size = 8
		refs = "0002 GdipSetPathGradientPath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102416_0 {
	meta:
		name = "GdipSetPathGradientPresetBlend"
		size = 8
		refs = "0002 GdipSetPathGradientPresetBlend"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102418_0 {
	meta:
		name = "GdipSetPathGradientSigmaBlend"
		size = 8
		refs = "0002 GdipSetPathGradientSigmaBlend"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102380_0 {
	meta:
		name = "GdipSetPathGradientSurroundColorsWithCount"
		size = 8
		refs = "0002 GdipSetPathGradientSurroundColorsWithCount"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102428_0 {
	meta:
		name = "GdipSetPathGradientTransform"
		size = 8
		refs = "0002 GdipSetPathGradientTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102424_0 {
	meta:
		name = "GdipSetPathGradientWrapMode"
		size = 8
		refs = "0002 GdipSetPathGradientWrapMode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102030_0 {
	meta:
		name = "GdipSetPathMarker"
		size = 8
		refs = "0002 GdipSetPathMarker"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102512_0 {
	meta:
		name = "GdipSetPenBrushFill"
		size = 8
		refs = "0002 GdipSetPenBrushFill"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102508_0 {
	meta:
		name = "GdipSetPenColor"
		size = 8
		refs = "0002 GdipSetPenColor"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102534_0 {
	meta:
		name = "GdipSetPenCompoundArray"
		size = 8
		refs = "0002 GdipSetPenCompoundArray"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102482_0 {
	meta:
		name = "GdipSetPenCustomEndCap"
		size = 8
		refs = "0002 GdipSetPenCustomEndCap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102478_0 {
	meta:
		name = "GdipSetPenCustomStartCap"
		size = 8
		refs = "0002 GdipSetPenCustomStartCap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102528_0 {
	meta:
		name = "GdipSetPenDashArray"
		size = 8
		refs = "0002 GdipSetPenDashArray"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102466_0 {
	meta:
		name = "GdipSetPenDashCap197819"
		size = 8
		refs = "0002 GdipSetPenDashCap197819"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102524_0 {
	meta:
		name = "GdipSetPenDashOffset"
		size = 8
		refs = "0002 GdipSetPenDashOffset"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102520_0 {
	meta:
		name = "GdipSetPenDashStyle"
		size = 8
		refs = "0002 GdipSetPenDashStyle"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102464_0 {
	meta:
		name = "GdipSetPenEndCap"
		size = 8
		refs = "0002 GdipSetPenEndCap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102460_0 {
	meta:
		name = "GdipSetPenLineCap197819"
		size = 8
		refs = "0002 GdipSetPenLineCap197819"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102474_0 {
	meta:
		name = "GdipSetPenLineJoin"
		size = 8
		refs = "0002 GdipSetPenLineJoin"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102486_0 {
	meta:
		name = "GdipSetPenMiterLimit"
		size = 8
		refs = "0002 GdipSetPenMiterLimit"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102490_0 {
	meta:
		name = "GdipSetPenMode"
		size = 8
		refs = "0002 GdipSetPenMode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102462_0 {
	meta:
		name = "GdipSetPenStartCap"
		size = 8
		refs = "0002 GdipSetPenStartCap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102494_0 {
	meta:
		name = "GdipSetPenTransform"
		size = 8
		refs = "0002 GdipSetPenTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102456_0 {
	meta:
		name = "GdipSetPenUnit"
		size = 8
		refs = "0002 GdipSetPenUnit"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102452_0 {
	meta:
		name = "GdipSetPenWidth"
		size = 8
		refs = "0002 GdipSetPenWidth"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102770_0 {
	meta:
		name = "GdipSetPixelOffsetMode"
		size = 8
		refs = "0002 GdipSetPixelOffsetMode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102662_0 {
	meta:
		name = "GdipSetPropertyItem"
		size = 8
		refs = "0002 GdipSetPropertyItem"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102758_0 {
	meta:
		name = "GdipSetRenderingOrigin"
		size = 8
		refs = "0002 GdipSetRenderingOrigin"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102766_0 {
	meta:
		name = "GdipSetSmoothingMode"
		size = 8
		refs = "0002 GdipSetSmoothingMode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102306_0 {
	meta:
		name = "GdipSetSolidFillColor"
		size = 8
		refs = "0002 GdipSetSolidFillColor"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103168_0 {
	meta:
		name = "GdipSetStringFormatAlign"
		size = 8
		refs = "0002 GdipSetStringFormatAlign"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103190_0 {
	meta:
		name = "GdipSetStringFormatDigitSubstitution"
		size = 8
		refs = "0002 GdipSetStringFormatDigitSubstitution"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103164_0 {
	meta:
		name = "GdipSetStringFormatFlags"
		size = 8
		refs = "0002 GdipSetStringFormatFlags"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103180_0 {
	meta:
		name = "GdipSetStringFormatHotkeyPrefix"
		size = 8
		refs = "0002 GdipSetStringFormatHotkeyPrefix"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103172_0 {
	meta:
		name = "GdipSetStringFormatLineAlign"
		size = 8
		refs = "0002 GdipSetStringFormatLineAlign"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103196_0 {
	meta:
		name = "GdipSetStringFormatMeasurableCharacterRanges"
		size = 8
		refs = "0002 GdipSetStringFormatMeasurableCharacterRanges"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103184_0 {
	meta:
		name = "GdipSetStringFormatTabStops"
		size = 8
		refs = "0002 GdipSetStringFormatTabStops"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103176_0 {
	meta:
		name = "GdipSetStringFormatTrimming"
		size = 8
		refs = "0002 GdipSetStringFormatTrimming"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102778_0 {
	meta:
		name = "GdipSetTextContrast"
		size = 8
		refs = "0002 GdipSetTextContrast"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102774_0 {
	meta:
		name = "GdipSetTextRenderingHint"
		size = 8
		refs = "0002 GdipSetTextRenderingHint"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102286_0 {
	meta:
		name = "GdipSetTextureTransform"
		size = 8
		refs = "0002 GdipSetTextureTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102298_0 {
	meta:
		name = "GdipSetTextureWrapMode"
		size = 8
		refs = "0002 GdipSetTextureWrapMode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102786_0 {
	meta:
		name = "GdipSetWorldTransform"
		size = 8
		refs = "0002 GdipSetWorldTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102176_0 {
	meta:
		name = "GdipShearMatrix"
		size = 8
		refs = "0002 GdipShearMatrix"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102024_0 {
	meta:
		name = "GdipStartPathFigure"
		size = 8
		refs = "0002 GdipStartPathFigure"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103156_0 {
	meta:
		name = "GdipStringFormatGetGenericDefault"
		size = 8
		refs = "0002 GdipStringFormatGetGenericDefault"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_103158_0 {
	meta:
		name = "GdipStringFormatGetGenericTypographic"
		size = 8
		refs = "0002 GdipStringFormatGetGenericTypographic"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102180_0 {
	meta:
		name = "GdipTransformMatrixPoints"
		size = 8
		refs = "0002 GdipTransformMatrixPoints"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102182_0 {
	meta:
		name = "GdipTransformMatrixPointsI"
		size = 8
		refs = "0002 GdipTransformMatrixPointsI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102112_0 {
	meta:
		name = "GdipTransformPath"
		size = 8
		refs = "0002 GdipTransformPath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102814_0 {
	meta:
		name = "GdipTransformPoints"
		size = 8
		refs = "0002 GdipTransformPoints"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102816_0 {
	meta:
		name = "GdipTransformPointsI"
		size = 8
		refs = "0002 GdipTransformPointsI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102228_0 {
	meta:
		name = "GdipTransformRegion"
		size = 8
		refs = "0002 GdipTransformRegion"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102986_0 {
	meta:
		name = "GdipTranslateClip"
		size = 8
		refs = "0002 GdipTranslateClip"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102988_0 {
	meta:
		name = "GdipTranslateClipI"
		size = 8
		refs = "0002 GdipTranslateClipI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102362_0 {
	meta:
		name = "GdipTranslateLineTransform"
		size = 8
		refs = "0002 GdipTranslateLineTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102170_0 {
	meta:
		name = "GdipTranslateMatrix"
		size = 8
		refs = "0002 GdipTranslateMatrix"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102434_0 {
	meta:
		name = "GdipTranslatePathGradientTransform"
		size = 8
		refs = "0002 GdipTranslatePathGradientTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102502_0 {
	meta:
		name = "GdipTranslatePenTransform"
		size = 8
		refs = "0002 GdipTranslatePenTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102224_0 {
	meta:
		name = "GdipTranslateRegion"
		size = 8
		refs = "0002 GdipTranslateRegion"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102226_0 {
	meta:
		name = "GdipTranslateRegionI"
		size = 8
		refs = "0002 GdipTranslateRegionI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102292_0 {
	meta:
		name = "GdipTranslateTextureTransform"
		size = 8
		refs = "0002 GdipTranslateTextureTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102792_0 {
	meta:
		name = "GdipTranslateWorldTransform"
		size = 8
		refs = "0002 GdipTranslateWorldTransform"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102184_0 {
	meta:
		name = "GdipVectorTransformMatrixPoints"
		size = 8
		refs = "0002 GdipVectorTransformMatrixPoints"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102186_0 {
	meta:
		name = "GdipVectorTransformMatrixPointsI"
		size = 8
		refs = "0002 GdipVectorTransformMatrixPointsI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102110_0 {
	meta:
		name = "GdipWarpPath"
		size = 8
		refs = "0002 GdipWarpPath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102108_0 {
	meta:
		name = "GdipWidenPath"
		size = 8
		refs = "0002 GdipWidenPath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_102106_0 {
	meta:
		name = "GdipWindingModeOutline"
		size = 8
		refs = "0002 GdipWindingModeOutline"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101996_0 {
	meta:
		name = "GdiplusShutdown"
		size = 8
		refs = "0002 GdiplusShutdown"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_101994_0 {
	meta:
		name = "GdiplusStartup"
		size = 8
		refs = "0002 GdiplusStartup"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107433_0 {
	meta:
		name = "GetBufferedPaintBits"
		size = 8
		refs = "0002 GetBufferedPaintBits"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107431_0 {
	meta:
		name = "GetBufferedPaintDC"
		size = 8
		refs = "0002 GetBufferedPaintDC"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107429_0 {
	meta:
		name = "GetBufferedPaintTargetDC"
		size = 8
		refs = "0002 GetBufferedPaintTargetDC"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107427_0 {
	meta:
		name = "GetBufferedPaintTargetRect"
		size = 8
		refs = "0002 GetBufferedPaintTargetRect"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108001_0 {
	meta:
		name = "GetCompressedFileSizeTransacted"
		size = 8
		refs = "0002 GetCompressedFileSizeTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108003_0 {
	meta:
		name = "GetCompressedFileSizeTransactedA"
		size = 8
		refs = "0002 GetCompressedFileSizeTransactedA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108004_0 {
	meta:
		name = "GetCompressedFileSizeTransactedW"
		size = 8
		refs = "0002 GetCompressedFileSizeTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110778_0 {
	meta:
		name = "GetCorePrinterDrivers"
		size = 8
		refs = "0002 GetCorePrinterDriversW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110780_0 {
	meta:
		name = "GetCorePrinterDriversA"
		size = 8
		refs = "0002 GetCorePrinterDriversA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110781_0 {
	meta:
		name = "GetCorePrinterDriversW"
		size = 8
		refs = "0002 GetCorePrinterDriversW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110083_0 {
	meta:
		name = "GetCurrentActCtx"
		size = 8
		refs = "0002 GetCurrentActCtx"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106581_0 {
	meta:
		name = "GetCurrentProcessExplicitAppUserModelID"
		size = 8
		refs = "0002 GetCurrentProcessExplicitAppUserModelID"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108200_0 {
	meta:
		name = "GetDynamicTimeZoneInformation"
		size = 8
		refs = "0002 GetDynamicTimeZoneInformation"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108059_0 {
	meta:
		name = "GetFileAttributesTransacted"
		size = 8
		refs = "0002 GetFileAttributesTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108061_0 {
	meta:
		name = "GetFileAttributesTransactedA"
		size = 8
		refs = "0002 GetFileAttributesTransactedA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108062_0 {
	meta:
		name = "GetFileAttributesTransactedW"
		size = 8
		refs = "0002 GetFileAttributesTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108232_0 {
	meta:
		name = "GetFinalPathNameByHandle"
		size = 8
		refs = "0002 GetFinalPathNameByHandleW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108234_0 {
	meta:
		name = "GetFinalPathNameByHandleA"
		size = 8
		refs = "0002 GetFinalPathNameByHandleA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108235_0 {
	meta:
		name = "GetFinalPathNameByHandleW"
		size = 8
		refs = "0002 GetFinalPathNameByHandleW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108074_0 {
	meta:
		name = "GetFullPathNameTransacted"
		size = 8
		refs = "0002 GetFullPathNameTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108076_0 {
	meta:
		name = "GetFullPathNameTransactedA"
		size = 8
		refs = "0002 GetFullPathNameTransactedA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108077_0 {
	meta:
		name = "GetFullPathNameTransactedW"
		size = 8
		refs = "0002 GetFullPathNameTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110046_0 {
	meta:
		name = "GetGestureConfig"
		size = 8
		refs = "0002 GetGestureConfig"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110040_0 {
	meta:
		name = "GetGestureExtraArgs"
		size = 8
		refs = "0002 GetGestureExtraArgs"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110038_0 {
	meta:
		name = "GetGestureInfo"
		size = 8
		refs = "0002 GetGestureInfo"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109426_0 {
	meta:
		name = "GetIconInfoEx"
		size = 8
		refs = "0002 GetIconInfoExW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109428_0 {
	meta:
		name = "GetIconInfoExA"
		size = 8
		refs = "0002 GetIconInfoExA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109429_0 {
	meta:
		name = "GetIconInfoExW"
		size = 8
		refs = "0002 GetIconInfoExW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108210_0 {
	meta:
		name = "GetLocaleInfoEx"
		size = 8
		refs = "0002 GetLocaleInfoEx"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110107_0 {
	meta:
		name = "GetLogicalProcessorInformation"
		size = 8
		refs = "0002 GetLogicalProcessorInformation"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110111_0 {
	meta:
		name = "GetLogicalProcessorInformationEx"
		size = 8
		refs = "0002 GetLogicalProcessorInformationEx"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108149_0 {
	meta:
		name = "GetLongPathNameTransacted"
		size = 8
		refs = "0002 GetLongPathNameTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108151_0 {
	meta:
		name = "GetLongPathNameTransactedA"
		size = 8
		refs = "0002 GetLongPathNameTransactedA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108152_0 {
	meta:
		name = "GetLongPathNameTransactedW"
		size = 8
		refs = "0002 GetLongPathNameTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110133_0 {
	meta:
		name = "GetNamedPipeClientComputerName"
		size = 8
		refs = "0002 GetNamedPipeClientComputerNameW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110135_0 {
	meta:
		name = "GetNamedPipeClientComputerNameA"
		size = 8
		refs = "0002 GetNamedPipeClientComputerNameA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110136_0 {
	meta:
		name = "GetNamedPipeClientComputerNameW"
		size = 8
		refs = "0002 GetNamedPipeClientComputerNameW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110129_0 {
	meta:
		name = "GetNamedPipeClientProcessId"
		size = 8
		refs = "0002 GetNamedPipeClientProcessId"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110131_0 {
	meta:
		name = "GetNamedPipeClientSessionId"
		size = 8
		refs = "0002 GetNamedPipeClientSessionId"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110127_0 {
	meta:
		name = "GetNamedPipeServerProcessId"
		size = 8
		refs = "0002 GetNamedPipeServerProcessId"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110125_0 {
	meta:
		name = "GetNamedPipeServerSessionId"
		size = 8
		refs = "0002 GetNamedPipeServerSessionId"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108170_0 {
	meta:
		name = "GetNativeSystemInfo"
		size = 8
		refs = "0002 GetNativeSystemInfo"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110120_0 {
	meta:
		name = "GetNumaAvailableMemoryNode"
		size = 8
		refs = "0002 GetNumaAvailableMemoryNode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110114_0 {
	meta:
		name = "GetNumaHighestNodeNumber"
		size = 8
		refs = "0002 GetNumaHighestNodeNumber"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110117_0 {
	meta:
		name = "GetNumaProcessorNode"
		size = 8
		refs = "0002 GetNumaProcessorNode"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109403_0 {
	meta:
		name = "GetPhysicalCursorPos"
		size = 8
		refs = "0002 GetPhysicalCursorPos"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110783_0 {
	meta:
		name = "GetPrinterDriver2"
		size = 8
		refs = "0002 GetPrinterDriver2W"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110785_0 {
	meta:
		name = "GetPrinterDriver2A"
		size = 8
		refs = "0002 GetPrinterDriver2A"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110786_0 {
	meta:
		name = "GetPrinterDriver2W"
		size = 8
		refs = "0002 GetPrinterDriver2W"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110788_0 {
	meta:
		name = "GetPrinterDriverPackagePath"
		size = 8
		refs = "0002 GetPrinterDriverPackagePathW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110790_0 {
	meta:
		name = "GetPrinterDriverPackagePathA"
		size = 8
		refs = "0002 GetPrinterDriverPackagePathA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110791_0 {
	meta:
		name = "GetPrinterDriverPackagePathW"
		size = 8
		refs = "0002 GetPrinterDriverPackagePathW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110793_0 {
	meta:
		name = "GetSpoolFileHandle"
		size = 8
		refs = "0002 GetSpoolFileHandle"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107415_0 {
	meta:
		name = "GetThemeBitmap"
		size = 8
		refs = "0002 GetThemeBitmap"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107417_0 {
	meta:
		name = "GetThemeStream"
		size = 8
		refs = "0002 GetThemeStream"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107451_0 {
	meta:
		name = "GetThemeTransitionDuration"
		size = 8
		refs = "0002 GetThemeTransitionDuration"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108198_0 {
	meta:
		name = "GetTimeZoneInformationForYear"
		size = 8
		refs = "0002 GetTimeZoneInformationForYear"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109502_0 {
	meta:
		name = "GetTouchInputInfo"
		size = 8
		refs = "0002 GetTouchInputInfo"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109478_0 {
	meta:
		name = "GetUpdatedClipboardFormats"
		size = 8
		refs = "0002 GetUpdatedClipboardFormats"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109514_0 {
	meta:
		name = "GetWindowDisplayAffinity"
		size = 8
		refs = "0002 GetWindowDisplayAffinity"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106670_0 {
	meta:
		name = "ILLoadFromStreamEx"
		size = 8
		refs = "0002 ILLoadFromStreamEx"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104133_0 {
	meta:
		name = "ImmAssociateContext"
		size = 8
		refs = "0002 ImmAssociateContext"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104178_0 {
	meta:
		name = "ImmConfigureIME"
		size = 8
		refs = "0002 ImmConfigureIMEW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104180_0 {
	meta:
		name = "ImmConfigureIMEA"
		size = 8
		refs = "0002 ImmConfigureIMEA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104181_0 {
	meta:
		name = "ImmConfigureIMEW"
		size = 8
		refs = "0002 ImmConfigureIMEW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104125_0 {
	meta:
		name = "ImmCreateContext"
		size = 8
		refs = "0002 ImmCreateContext"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104127_0 {
	meta:
		name = "ImmDestroyContext"
		size = 8
		refs = "0002 ImmDestroyContext"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104229_0 {
	meta:
		name = "ImmEnumRegisterWord"
		size = 8
		refs = "0002 ImmEnumRegisterWordW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104231_0 {
	meta:
		name = "ImmEnumRegisterWordA"
		size = 8
		refs = "0002 ImmEnumRegisterWordA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104232_0 {
	meta:
		name = "ImmEnumRegisterWordW"
		size = 8
		refs = "0002 ImmEnumRegisterWordW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104183_0 {
	meta:
		name = "ImmEscape"
		size = 8
		refs = "0002 ImmEscapeW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104185_0 {
	meta:
		name = "ImmEscapeA"
		size = 8
		refs = "0002 ImmEscapeA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104186_0 {
	meta:
		name = "ImmEscapeW"
		size = 8
		refs = "0002 ImmEscapeW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104150_0 {
	meta:
		name = "ImmGetCandidateList"
		size = 8
		refs = "0002 ImmGetCandidateListW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104152_0 {
	meta:
		name = "ImmGetCandidateListA"
		size = 8
		refs = "0002 ImmGetCandidateListA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104145_0 {
	meta:
		name = "ImmGetCandidateListCount"
		size = 8
		refs = "0002 ImmGetCandidateListCountW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104147_0 {
	meta:
		name = "ImmGetCandidateListCountA"
		size = 8
		refs = "0002 ImmGetCandidateListCountA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104148_0 {
	meta:
		name = "ImmGetCandidateListCountW"
		size = 8
		refs = "0002 ImmGetCandidateListCountW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104153_0 {
	meta:
		name = "ImmGetCandidateListW"
		size = 8
		refs = "0002 ImmGetCandidateListW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104203_0 {
	meta:
		name = "ImmGetCandidateWindow"
		size = 8
		refs = "0002 ImmGetCandidateWindow"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104168_0 {
	meta:
		name = "ImmGetCompositionFont"
		size = 8
		refs = "0002 ImmGetCompositionFontW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104170_0 {
	meta:
		name = "ImmGetCompositionFontA"
		size = 8
		refs = "0002 ImmGetCompositionFontA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104171_0 {
	meta:
		name = "ImmGetCompositionFontW"
		size = 8
		refs = "0002 ImmGetCompositionFontW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104135_0 {
	meta:
		name = "ImmGetCompositionString"
		size = 8
		refs = "0002 ImmGetCompositionStringW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104137_0 {
	meta:
		name = "ImmGetCompositionStringA"
		size = 8
		refs = "0002 ImmGetCompositionStringA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104138_0 {
	meta:
		name = "ImmGetCompositionStringW"
		size = 8
		refs = "0002 ImmGetCompositionStringW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104199_0 {
	meta:
		name = "ImmGetCompositionWindow"
		size = 8
		refs = "0002 ImmGetCompositionWindow"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104129_0 {
	meta:
		name = "ImmGetContext"
		size = 8
		refs = "0002 ImmGetContext"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104188_0 {
	meta:
		name = "ImmGetConversionList"
		size = 8
		refs = "0002 ImmGetConversionListW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104190_0 {
	meta:
		name = "ImmGetConversionListA"
		size = 8
		refs = "0002 ImmGetConversionListA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104191_0 {
	meta:
		name = "ImmGetConversionListW"
		size = 8
		refs = "0002 ImmGetConversionListW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104160_0 {
	meta:
		name = "ImmGetConversionStatus"
		size = 8
		refs = "0002 ImmGetConversionStatus"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104107_0 {
	meta:
		name = "ImmGetDefaultIMEWnd"
		size = 8
		refs = "0002 ImmGetDefaultIMEWnd"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104109_0 {
	meta:
		name = "ImmGetDescription"
		size = 8
		refs = "0002 ImmGetDescriptionW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104111_0 {
	meta:
		name = "ImmGetDescriptionA"
		size = 8
		refs = "0002 ImmGetDescriptionA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104112_0 {
	meta:
		name = "ImmGetDescriptionW"
		size = 8
		refs = "0002 ImmGetDescriptionW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104155_0 {
	meta:
		name = "ImmGetGuideLine"
		size = 8
		refs = "0002 ImmGetGuideLineW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104157_0 {
	meta:
		name = "ImmGetGuideLineA"
		size = 8
		refs = "0002 ImmGetGuideLineA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104158_0 {
	meta:
		name = "ImmGetGuideLineW"
		size = 8
		refs = "0002 ImmGetGuideLineW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104114_0 {
	meta:
		name = "ImmGetIMEFileName"
		size = 8
		refs = "0002 ImmGetIMEFileNameW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104116_0 {
	meta:
		name = "ImmGetIMEFileNameA"
		size = 8
		refs = "0002 ImmGetIMEFileNameA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104117_0 {
	meta:
		name = "ImmGetIMEFileNameW"
		size = 8
		refs = "0002 ImmGetIMEFileNameW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104164_0 {
	meta:
		name = "ImmGetOpenStatus"
		size = 8
		refs = "0002 ImmGetOpenStatus"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104119_0 {
	meta:
		name = "ImmGetProperty"
		size = 8
		refs = "0002 ImmGetProperty"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104224_0 {
	meta:
		name = "ImmGetRegisterWordStyle"
		size = 8
		refs = "0002 ImmGetRegisterWordStyleW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104226_0 {
	meta:
		name = "ImmGetRegisterWordStyleA"
		size = 8
		refs = "0002 ImmGetRegisterWordStyleA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104227_0 {
	meta:
		name = "ImmGetRegisterWordStyleW"
		size = 8
		refs = "0002 ImmGetRegisterWordStyleW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104195_0 {
	meta:
		name = "ImmGetStatusWindowPos"
		size = 8
		refs = "0002 ImmGetStatusWindowPos"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104212_0 {
	meta:
		name = "ImmGetVirtualKey"
		size = 8
		refs = "0002 ImmGetVirtualKey"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104102_0 {
	meta:
		name = "ImmInstallIME"
		size = 8
		refs = "0002 ImmInstallIMEW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104104_0 {
	meta:
		name = "ImmInstallIMEA"
		size = 8
		refs = "0002 ImmInstallIMEA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104105_0 {
	meta:
		name = "ImmInstallIMEW"
		size = 8
		refs = "0002 ImmInstallIMEW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104121_0 {
	meta:
		name = "ImmIsIME"
		size = 8
		refs = "0002 ImmIsIME"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104207_0 {
	meta:
		name = "ImmIsUIMessage"
		size = 8
		refs = "0002 ImmIsUIMessageW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104209_0 {
	meta:
		name = "ImmIsUIMessageA"
		size = 8
		refs = "0002 ImmIsUIMessageA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104210_0 {
	meta:
		name = "ImmIsUIMessageW"
		size = 8
		refs = "0002 ImmIsUIMessageW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104193_0 {
	meta:
		name = "ImmNotifyIME"
		size = 8
		refs = "0002 ImmNotifyIME"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104214_0 {
	meta:
		name = "ImmRegisterWord"
		size = 8
		refs = "0002 ImmRegisterWordW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104216_0 {
	meta:
		name = "ImmRegisterWordA"
		size = 8
		refs = "0002 ImmRegisterWordA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104217_0 {
	meta:
		name = "ImmRegisterWordW"
		size = 8
		refs = "0002 ImmRegisterWordW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104131_0 {
	meta:
		name = "ImmReleaseContext"
		size = 8
		refs = "0002 ImmReleaseContext"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104205_0 {
	meta:
		name = "ImmSetCandidateWindow"
		size = 8
		refs = "0002 ImmSetCandidateWindow"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104173_0 {
	meta:
		name = "ImmSetCompositionFont"
		size = 8
		refs = "0002 ImmSetCompositionFontW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104175_0 {
	meta:
		name = "ImmSetCompositionFontA"
		size = 8
		refs = "0002 ImmSetCompositionFontA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104176_0 {
	meta:
		name = "ImmSetCompositionFontW"
		size = 8
		refs = "0002 ImmSetCompositionFontW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104140_0 {
	meta:
		name = "ImmSetCompositionString"
		size = 8
		refs = "0002 ImmSetCompositionStringW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104142_0 {
	meta:
		name = "ImmSetCompositionStringA"
		size = 8
		refs = "0002 ImmSetCompositionStringA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104143_0 {
	meta:
		name = "ImmSetCompositionStringW"
		size = 8
		refs = "0002 ImmSetCompositionStringW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104201_0 {
	meta:
		name = "ImmSetCompositionWindow"
		size = 8
		refs = "0002 ImmSetCompositionWindow"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104162_0 {
	meta:
		name = "ImmSetConversionStatus"
		size = 8
		refs = "0002 ImmSetConversionStatus"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104166_0 {
	meta:
		name = "ImmSetOpenStatus"
		size = 8
		refs = "0002 ImmSetOpenStatus"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104197_0 {
	meta:
		name = "ImmSetStatusWindowPos"
		size = 8
		refs = "0002 ImmSetStatusWindowPos"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104123_0 {
	meta:
		name = "ImmSimulateHotKey"
		size = 8
		refs = "0002 ImmSimulateHotKey"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104219_0 {
	meta:
		name = "ImmUnregisterWord"
		size = 8
		refs = "0002 ImmUnregisterWordW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104221_0 {
	meta:
		name = "ImmUnregisterWordA"
		size = 8
		refs = "0002 ImmUnregisterWordA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_104222_0 {
	meta:
		name = "ImmUnregisterWordW"
		size = 8
		refs = "0002 ImmUnregisterWordW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106430_0 {
	meta:
		name = "InitNetworkAddressControl"
		size = 8
		refs = "0002 InitNetworkAddressControl"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110795_0 {
	meta:
		name = "InstallPrinterDriverFromPackage"
		size = 8
		refs = "0002 InstallPrinterDriverFromPackageW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110797_0 {
	meta:
		name = "InstallPrinterDriverFromPackageA"
		size = 8
		refs = "0002 InstallPrinterDriverFromPackageA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110798_0 {
	meta:
		name = "InstallPrinterDriverFromPackageW"
		size = 8
		refs = "0002 InstallPrinterDriverFromPackageW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107449_0 {
	meta:
		name = "IsCompositionActive"
		size = 8
		refs = "0002 IsCompositionActive"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106432_0 {
	meta:
		name = "IsLFNDrive"
		size = 8
		refs = "0002 IsLFNDriveW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106434_0 {
	meta:
		name = "IsLFNDriveA"
		size = 8
		refs = "0002 IsLFNDriveA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106435_0 {
	meta:
		name = "IsLFNDriveW"
		size = 8
		refs = "0002 IsLFNDriveW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109421_0 {
	meta:
		name = "IsProcessDPIAware"
		size = 8
		refs = "0002 IsProcessDPIAware"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109423_0 {
	meta:
		name = "IsTouchWindow"
		size = 8
		refs = "0002 IsTouchWindow"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110800_0 {
	meta:
		name = "IsValidDevMode"
		size = 8
		refs = "0002 IsValidDevModeW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110802_0 {
	meta:
		name = "IsValidDevModeA"
		size = 8
		refs = "0002 IsValidDevModeA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110803_0 {
	meta:
		name = "IsValidDevModeW"
		size = 8
		refs = "0002 IsValidDevModeW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110104_0 {
	meta:
		name = "IsWow64Process"
		size = 8
		refs = "0002 IsWow64Process"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108206_0 {
	meta:
		name = "LCIDToLocaleName"
		size = 8
		refs = "0002 LCIDToLocaleName"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108208_0 {
	meta:
		name = "LocaleNameToLCID"
		size = 8
		refs = "0002 LocaleNameToLCID"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109717_0 {
	meta:
		name = "LogicalToPhysicalPoint"
		size = 8
		refs = "0002 LogicalToPhysicalPoint"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108327_0 {
	meta:
		name = "MoveFileTransacted"
		size = 8
		refs = "0002 MoveFileTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108329_0 {
	meta:
		name = "MoveFileTransactedA"
		size = 8
		refs = "0002 MoveFileTransactedA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108330_0 {
	meta:
		name = "MoveFileTransactedW"
		size = 8
		refs = "0002 MoveFileTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110892_0 {
	meta:
		name = "NotifyServiceStartChange"
		size = 8
		refs = "0002 NotifyServiceStartChangeW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110894_0 {
	meta:
		name = "NotifyServiceStartChangeA"
		size = 8
		refs = "0002 NotifyServiceStartChangeA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110895_0 {
	meta:
		name = "NotifyServiceStartChangeW"
		size = 8
		refs = "0002 NotifyServiceStartChangeW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110805_0 {
	meta:
		name = "OpenPrinter2"
		size = 8
		refs = "0002 OpenPrinter2W"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110807_0 {
	meta:
		name = "OpenPrinter2A"
		size = 8
		refs = "0002 OpenPrinter2A"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110808_0 {
	meta:
		name = "OpenPrinter2W"
		size = 8
		refs = "0002 OpenPrinter2W"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107403_0 {
	meta:
		name = "OpenThemeDataEx"
		size = 8
		refs = "0002 OpenThemeDataEx"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106276_0 {
	meta:
		name = "PSCoerceToCanonicalValue"
		size = 8
		refs = "0002 PSCoerceToCanonicalValue"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106284_0 {
	meta:
		name = "PSCreateAdapterFromPropertyStore"
		size = 8
		refs = "0002 PSCreateAdapterFromPropertyStore"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106242_0 {
	meta:
		name = "PSCreateDelayedMultiplexPropertyStore"
		size = 8
		refs = "0002 PSCreateDelayedMultiplexPropertyStore"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106240_0 {
	meta:
		name = "PSCreateMemoryPropertyStore"
		size = 8
		refs = "0002 PSCreateMemoryPropertyStore"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106244_0 {
	meta:
		name = "PSCreateMultiplexPropertyStore"
		size = 8
		refs = "0002 PSCreateMultiplexPropertyStore"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106246_0 {
	meta:
		name = "PSCreatePropertyChangeArray"
		size = 8
		refs = "0002 PSCreatePropertyChangeArray"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106282_0 {
	meta:
		name = "PSCreatePropertyStoreFromObject"
		size = 8
		refs = "0002 PSCreatePropertyStoreFromObject"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106280_0 {
	meta:
		name = "PSCreatePropertyStoreFromPropertySetStorage"
		size = 8
		refs = "0002 PSCreatePropertyStoreFromPropertySetStorage"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106248_0 {
	meta:
		name = "PSCreateSimplePropertyChange"
		size = 8
		refs = "0002 PSCreateSimplePropertyChange"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106270_0 {
	meta:
		name = "PSEnumeratePropertyDescriptions"
		size = 8
		refs = "0002 PSEnumeratePropertyDescriptions"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106228_0 {
	meta:
		name = "PSFormatForDisplay"
		size = 8
		refs = "0002 PSFormatForDisplay"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106230_0 {
	meta:
		name = "PSFormatForDisplayAlloc"
		size = 8
		refs = "0002 PSFormatForDisplayAlloc"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106232_0 {
	meta:
		name = "PSFormatPropertyValue"
		size = 8
		refs = "0002 PSFormatPropertyValue"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106234_0 {
	meta:
		name = "PSGetImageReferenceForValue"
		size = 8
		refs = "0002 PSGetImageReferenceForValue"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106256_0 {
	meta:
		name = "PSGetItemPropertyHandler"
		size = 8
		refs = "0002 PSGetItemPropertyHandler"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106258_0 {
	meta:
		name = "PSGetItemPropertyHandlerWithCreateObject"
		size = 8
		refs = "0002 PSGetItemPropertyHandlerWithCreateObject"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106274_0 {
	meta:
		name = "PSGetNameFromPropertyKey"
		size = 8
		refs = "0002 PSGetNameFromPropertyKey"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106290_0 {
	meta:
		name = "PSGetNamedPropertyFromPropertyStorage"
		size = 8
		refs = "0002 PSGetNamedPropertyFromPropertyStorage"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106250_0 {
	meta:
		name = "PSGetPropertyDescription"
		size = 8
		refs = "0002 PSGetPropertyDescription"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106252_0 {
	meta:
		name = "PSGetPropertyDescriptionByName"
		size = 8
		refs = "0002 PSGetPropertyDescriptionByName"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106278_0 {
	meta:
		name = "PSGetPropertyDescriptionListFromString"
		size = 8
		refs = "0002 PSGetPropertyDescriptionListFromString"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106288_0 {
	meta:
		name = "PSGetPropertyFromPropertyStorage"
		size = 8
		refs = "0002 PSGetPropertyFromPropertyStorage"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106272_0 {
	meta:
		name = "PSGetPropertyKeyFromName"
		size = 8
		refs = "0002 PSGetPropertyKeyFromName"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106286_0 {
	meta:
		name = "PSGetPropertySystem"
		size = 8
		refs = "0002 PSGetPropertySystem"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106260_0 {
	meta:
		name = "PSGetPropertyValue"
		size = 8
		refs = "0002 PSGetPropertyValue"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106254_0 {
	meta:
		name = "PSLookupPropertyHandlerCLSID"
		size = 8
		refs = "0002 PSLookupPropertyHandlerCLSID"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106340_0 {
	meta:
		name = "PSPropertyBag_Delete"
		size = 8
		refs = "0002 PSPropertyBag_Delete"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106320_0 {
	meta:
		name = "PSPropertyBag_ReadBOOL"
		size = 8
		refs = "0002 PSPropertyBag_ReadBOOL"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106298_0 {
	meta:
		name = "PSPropertyBag_ReadBSTR"
		size = 8
		refs = "0002 PSPropertyBag_ReadBSTR"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106316_0 {
	meta:
		name = "PSPropertyBag_ReadDWORD"
		size = 8
		refs = "0002 PSPropertyBag_ReadDWORD"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106350_0 {
	meta:
		name = "PSPropertyBag_ReadGUID"
		size = 8
		refs = "0002 PSPropertyBag_ReadGUID"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106304_0 {
	meta:
		name = "PSPropertyBag_ReadInt"
		size = 8
		refs = "0002 PSPropertyBag_ReadInt"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106312_0 {
	meta:
		name = "PSPropertyBag_ReadLONG"
		size = 8
		refs = "0002 PSPropertyBag_ReadLONG"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106324_0 {
	meta:
		name = "PSPropertyBag_ReadPOINTL"
		size = 8
		refs = "0002 PSPropertyBag_ReadPOINTL"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106328_0 {
	meta:
		name = "PSPropertyBag_ReadPOINTS"
		size = 8
		refs = "0002 PSPropertyBag_ReadPOINTS"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106354_0 {
	meta:
		name = "PSPropertyBag_ReadPropertyKey"
		size = 8
		refs = "0002 PSPropertyBag_ReadPropertyKey"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106332_0 {
	meta:
		name = "PSPropertyBag_ReadRECTL"
		size = 8
		refs = "0002 PSPropertyBag_ReadRECTL"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106308_0 {
	meta:
		name = "PSPropertyBag_ReadSHORT"
		size = 8
		refs = "0002 PSPropertyBag_ReadSHORT"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106294_0 {
	meta:
		name = "PSPropertyBag_ReadStr"
		size = 8
		refs = "0002 PSPropertyBag_ReadStr"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106296_0 {
	meta:
		name = "PSPropertyBag_ReadStrAlloc"
		size = 8
		refs = "0002 PSPropertyBag_ReadStrAlloc"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106336_0 {
	meta:
		name = "PSPropertyBag_ReadStream"
		size = 8
		refs = "0002 PSPropertyBag_ReadStream"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106292_0 {
	meta:
		name = "PSPropertyBag_ReadType"
		size = 8
		refs = "0002 PSPropertyBag_ReadType"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106342_0 {
	meta:
		name = "PSPropertyBag_ReadULONGLONG"
		size = 8
		refs = "0002 PSPropertyBag_ReadULONGLONG"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106346_0 {
	meta:
		name = "PSPropertyBag_ReadUnknown"
		size = 8
		refs = "0002 PSPropertyBag_ReadUnknown"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106322_0 {
	meta:
		name = "PSPropertyBag_WriteBOOL"
		size = 8
		refs = "0002 PSPropertyBag_WriteBOOL"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106302_0 {
	meta:
		name = "PSPropertyBag_WriteBSTR"
		size = 8
		refs = "0002 PSPropertyBag_WriteBSTR"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106318_0 {
	meta:
		name = "PSPropertyBag_WriteDWORD"
		size = 8
		refs = "0002 PSPropertyBag_WriteDWORD"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106352_0 {
	meta:
		name = "PSPropertyBag_WriteGUID"
		size = 8
		refs = "0002 PSPropertyBag_WriteGUID"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106306_0 {
	meta:
		name = "PSPropertyBag_WriteInt"
		size = 8
		refs = "0002 PSPropertyBag_WriteInt"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106314_0 {
	meta:
		name = "PSPropertyBag_WriteLONG"
		size = 8
		refs = "0002 PSPropertyBag_WriteLONG"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106326_0 {
	meta:
		name = "PSPropertyBag_WritePOINTL"
		size = 8
		refs = "0002 PSPropertyBag_WritePOINTL"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106330_0 {
	meta:
		name = "PSPropertyBag_WritePOINTS"
		size = 8
		refs = "0002 PSPropertyBag_WritePOINTS"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106356_0 {
	meta:
		name = "PSPropertyBag_WritePropertyKey"
		size = 8
		refs = "0002 PSPropertyBag_WritePropertyKey"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106334_0 {
	meta:
		name = "PSPropertyBag_WriteRECTL"
		size = 8
		refs = "0002 PSPropertyBag_WriteRECTL"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106310_0 {
	meta:
		name = "PSPropertyBag_WriteSHORT"
		size = 8
		refs = "0002 PSPropertyBag_WriteSHORT"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106300_0 {
	meta:
		name = "PSPropertyBag_WriteStr"
		size = 8
		refs = "0002 PSPropertyBag_WriteStr"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106338_0 {
	meta:
		name = "PSPropertyBag_WriteStream"
		size = 8
		refs = "0002 PSPropertyBag_WriteStream"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106344_0 {
	meta:
		name = "PSPropertyBag_WriteULONGLONG"
		size = 8
		refs = "0002 PSPropertyBag_WriteULONGLONG"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106348_0 {
	meta:
		name = "PSPropertyBag_WriteUnknown"
		size = 8
		refs = "0002 PSPropertyBag_WriteUnknown"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106238_0 {
	meta:
		name = "PSPropertyKeyFromString"
		size = 8
		refs = "0002 PSPropertyKeyFromString"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106268_0 {
	meta:
		name = "PSRefreshPropertySchema"
		size = 8
		refs = "0002 PSRefreshPropertySchema"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106264_0 {
	meta:
		name = "PSRegisterPropertySchema"
		size = 8
		refs = "0002 PSRegisterPropertySchema"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106262_0 {
	meta:
		name = "PSSetPropertyValue"
		size = 8
		refs = "0002 PSSetPropertyValue"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106236_0 {
	meta:
		name = "PSStringFromPropertyKey"
		size = 8
		refs = "0002 PSStringFromPropertyKey"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106266_0 {
	meta:
		name = "PSUnregisterPropertySchema"
		size = 8
		refs = "0002 PSUnregisterPropertySchema"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109719_0 {
	meta:
		name = "PhysicalToLogicalPoint"
		size = 8
		refs = "0002 PhysicalToLogicalPoint"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106687_0 {
	meta:
		name = "PickIconDlg"
		size = 8
		refs = "0002 PickIconDlg"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110811_0 {
	meta:
		name = "PrintWindow"
		size = 8
		refs = "0002 PrintWindow"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110099_0 {
	meta:
		name = "ProcessIdToSessionId"
		size = 8
		refs = "0002 ProcessIdToSessionId"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110097_0 {
	meta:
		name = "QueryActCtxW"
		size = 8
		refs = "0002 QueryActCtxW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107646_0 {
	meta:
		name = "RegDeleteKeyEx"
		size = 8
		refs = "0002 RegDeleteKeyExW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107648_0 {
	meta:
		name = "RegDeleteKeyExA"
		size = 8
		refs = "0002 RegDeleteKeyExA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107649_0 {
	meta:
		name = "RegDeleteKeyExW"
		size = 8
		refs = "0002 RegDeleteKeyExW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109700_0 {
	meta:
		name = "RegisterPowerSettingNotification"
		size = 8
		refs = "0002 RegisterPowerSettingNotification"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109702_0 {
	meta:
		name = "RegisterTouchWindow"
		size = 8
		refs = "0002 RegisterTouchWindow"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110074_0 {
	meta:
		name = "ReleaseActCtx"
		size = 8
		refs = "0002 ReleaseActCtx"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109476_0 {
	meta:
		name = "RemoveClipboardFormatListener"
		size = 8
		refs = "0002 RemoveClipboardFormatListener"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108407_0 {
	meta:
		name = "RemoveDirectoryTransacted"
		size = 8
		refs = "0002 RemoveDirectoryTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108409_0 {
	meta:
		name = "RemoveDirectoryTransactedA"
		size = 8
		refs = "0002 RemoveDirectoryTransactedA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108410_0 {
	meta:
		name = "RemoveDirectoryTransactedW"
		size = 8
		refs = "0002 RemoveDirectoryTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110813_0 {
	meta:
		name = "ReportJobProcessingProgress"
		size = 8
		refs = "0002 ReportJobProcessingProgress"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106569_0 {
	meta:
		name = "SHAddDefaultPropertiesByExt"
		size = 8
		refs = "0002 SHAddDefaultPropertiesByExt"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106592_0 {
	meta:
		name = "SHAssocEnumHandlersForProtocolByApplication"
		size = 8
		refs = "0002 SHAssocEnumHandlersForProtocolByApplication"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106699_0 {
	meta:
		name = "SHBindToFolderIDListParent"
		size = 8
		refs = "0002 SHBindToFolderIDListParent"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106701_0 {
	meta:
		name = "SHBindToFolderIDListParentEx"
		size = 8
		refs = "0002 SHBindToFolderIDListParentEx"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106703_0 {
	meta:
		name = "SHBindToObject"
		size = 8
		refs = "0002 SHBindToObject"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106575_0 {
	meta:
		name = "SHCreateAssociationRegistration"
		size = 8
		refs = "0002 SHCreateAssociationRegistration"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106712_0 {
	meta:
		name = "SHCreateDataObject"
		size = 8
		refs = "0002 SHCreateDataObject"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106714_0 {
	meta:
		name = "SHCreateDefaultContextMenu"
		size = 8
		refs = "0002 SHCreateDefaultContextMenu"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106577_0 {
	meta:
		name = "SHCreateDefaultExtractIcon"
		size = 8
		refs = "0002 SHCreateDefaultExtractIcon"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106573_0 {
	meta:
		name = "SHCreateDefaultPropertiesOp"
		size = 8
		refs = "0002 SHCreateDefaultPropertiesOp"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106594_0 {
	meta:
		name = "SHCreateItemFromIDList"
		size = 8
		refs = "0002 SHCreateItemFromIDList"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106596_0 {
	meta:
		name = "SHCreateItemFromParsingName"
		size = 8
		refs = "0002 SHCreateItemFromParsingName"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106600_0 {
	meta:
		name = "SHCreateItemFromRelativeName"
		size = 8
		refs = "0002 SHCreateItemFromRelativeName"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106602_0 {
	meta:
		name = "SHCreateItemInKnownFolder"
		size = 8
		refs = "0002 SHCreateItemInKnownFolder"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106598_0 {
	meta:
		name = "SHCreateItemWithParent"
		size = 8
		refs = "0002 SHCreateItemWithParent"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106721_0 {
	meta:
		name = "SHCreateQueryCancelAutoPlayMoniker"
		size = 8
		refs = "0002 SHCreateQueryCancelAutoPlayMoniker"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106560_0 {
	meta:
		name = "SHCreateShellItemArray"
		size = 8
		refs = "0002 SHCreateShellItemArray"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106562_0 {
	meta:
		name = "SHCreateShellItemArrayFromDataObject"
		size = 8
		refs = "0002 SHCreateShellItemArrayFromDataObject"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106564_0 {
	meta:
		name = "SHCreateShellItemArrayFromIDLists"
		size = 8
		refs = "0002 SHCreateShellItemArrayFromIDLists"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106566_0 {
	meta:
		name = "SHCreateShellItemArrayFromShellItem"
		size = 8
		refs = "0002 SHCreateShellItemArrayFromShellItem"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106727_0 {
	meta:
		name = "SHDefExtractIcon"
		size = 8
		refs = "0002 SHDefExtractIconW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106729_0 {
	meta:
		name = "SHDefExtractIconA"
		size = 8
		refs = "0002 SHDefExtractIconA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106730_0 {
	meta:
		name = "SHDefExtractIconW"
		size = 8
		refs = "0002 SHDefExtractIconW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106733_0 {
	meta:
		name = "SHDoDragDrop"
		size = 8
		refs = "0002 SHDoDragDrop"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106459_0 {
	meta:
		name = "SHEnumerateUnreadMailAccounts"
		size = 8
		refs = "0002 SHEnumerateUnreadMailAccountsW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106461_0 {
	meta:
		name = "SHEnumerateUnreadMailAccountsA"
		size = 8
		refs = "0002 SHEnumerateUnreadMailAccountsA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106462_0 {
	meta:
		name = "SHEnumerateUnreadMailAccountsW"
		size = 8
		refs = "0002 SHEnumerateUnreadMailAccountsW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106464_0 {
	meta:
		name = "SHEvaluateSystemCommandTemplate"
		size = 8
		refs = "0002 SHEvaluateSystemCommandTemplate"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106630_0 {
	meta:
		name = "SHFindFiles"
		size = 8
		refs = "0002 SHFindFiles"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106735_0 {
	meta:
		name = "SHFind_InitMenuPopup"
		size = 8
		refs = "0002 SHFind_InitMenuPopup"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106737_0 {
	meta:
		name = "SHFlushSFCache"
		size = 8
		refs = "0002 SHFlushSFCache"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106741_0 {
	meta:
		name = "SHGetAttributesFromDataObject"
		size = 8
		refs = "0002 SHGetAttributesFromDataObject"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106476_0 {
	meta:
		name = "SHGetDriveMedia"
		size = 8
		refs = "0002 SHGetDriveMedia"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106746_0 {
	meta:
		name = "SHGetFolderPathAndSubDir"
		size = 8
		refs = "0002 SHGetFolderPathAndSubDirW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106748_0 {
	meta:
		name = "SHGetFolderPathAndSubDirA"
		size = 8
		refs = "0002 SHGetFolderPathAndSubDirA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106749_0 {
	meta:
		name = "SHGetFolderPathAndSubDirW"
		size = 8
		refs = "0002 SHGetFolderPathAndSubDirW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106604_0 {
	meta:
		name = "SHGetIDListFromObject"
		size = 8
		refs = "0002 SHGetIDListFromObject"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106478_0 {
	meta:
		name = "SHGetImageList"
		size = 8
		refs = "0002 SHGetImageList"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106558_0 {
	meta:
		name = "SHGetItemFromDataObject"
		size = 8
		refs = "0002 SHGetItemFromDataObject"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106556_0 {
	meta:
		name = "SHGetItemFromObject"
		size = 8
		refs = "0002 SHGetItemFromObject"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106754_0 {
	meta:
		name = "SHGetKnownFolderIDList"
		size = 8
		refs = "0002 SHGetKnownFolderIDList"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106756_0 {
	meta:
		name = "SHGetKnownFolderItem"
		size = 8
		refs = "0002 SHGetKnownFolderItem"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106758_0 {
	meta:
		name = "SHGetKnownFolderPath"
		size = 8
		refs = "0002 SHGetKnownFolderPath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106480_0 {
	meta:
		name = "SHGetLocalizedName"
		size = 8
		refs = "0002 SHGetLocalizedName"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106610_0 {
	meta:
		name = "SHGetNameFromIDList"
		size = 8
		refs = "0002 SHGetNameFromIDList"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106760_0 {
	meta:
		name = "SHGetPathFromIDListEx"
		size = 8
		refs = "0002 SHGetPathFromIDListEx"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106488_0 {
	meta:
		name = "SHGetPropertyStoreForWindow"
		size = 8
		refs = "0002 SHGetPropertyStoreForWindow"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106606_0 {
	meta:
		name = "SHGetPropertyStoreFromIDList"
		size = 8
		refs = "0002 SHGetPropertyStoreFromIDList"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106608_0 {
	meta:
		name = "SHGetPropertyStoreFromParsingName"
		size = 8
		refs = "0002 SHGetPropertyStoreFromParsingName"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106763_0 {
	meta:
		name = "SHGetSetFolderCustomSettings"
		size = 8
		refs = "0002 SHGetSetFolderCustomSettings"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106490_0 {
	meta:
		name = "SHGetStockIconInfo"
		size = 8
		refs = "0002 SHGetStockIconInfo"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106583_0 {
	meta:
		name = "SHGetTemporaryPropertyForItem"
		size = 8
		refs = "0002 SHGetTemporaryPropertyForItem"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106492_0 {
	meta:
		name = "SHGetUnreadMailCount"
		size = 8
		refs = "0002 SHGetUnreadMailCountW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106494_0 {
	meta:
		name = "SHGetUnreadMailCountA"
		size = 8
		refs = "0002 SHGetUnreadMailCountA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106495_0 {
	meta:
		name = "SHGetUnreadMailCountW"
		size = 8
		refs = "0002 SHGetUnreadMailCountW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106772_0 {
	meta:
		name = "SHOpenFolderAndSelectItems"
		size = 8
		refs = "0002 SHOpenFolderAndSelectItems"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106774_0 {
	meta:
		name = "SHOpenWithDialog"
		size = 8
		refs = "0002 SHOpenWithDialog"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106776_0 {
	meta:
		name = "SHParseDisplayName"
		size = 8
		refs = "0002 SHParseDisplayName"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106782_0 {
	meta:
		name = "SHPropStgReadMultiple"
		size = 8
		refs = "0002 SHPropStgReadMultiple"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106784_0 {
	meta:
		name = "SHPropStgWriteMultiple"
		size = 8
		refs = "0002 SHPropStgWriteMultiple"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106505_0 {
	meta:
		name = "SHQueryUserNotificationState"
		size = 8
		refs = "0002 SHQueryUserNotificationState"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106507_0 {
	meta:
		name = "SHRemoveLocalizedName"
		size = 8
		refs = "0002 SHRemoveLocalizedName"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106589_0 {
	meta:
		name = "SHResolveLibrary"
		size = 8
		refs = "0002 SHResolveLibrary"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106636_0 {
	meta:
		name = "SHRunControlPanel"
		size = 8
		refs = "0002 SHRunControlPanel"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106571_0 {
	meta:
		name = "SHSetDefaultProperties"
		size = 8
		refs = "0002 SHSetDefaultProperties"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106791_0 {
	meta:
		name = "SHSetInstanceExplorer"
		size = 8
		refs = "0002 SHSetInstanceExplorer"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106793_0 {
	meta:
		name = "SHSetKnownFolderPath"
		size = 8
		refs = "0002 SHSetKnownFolderPath"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106509_0 {
	meta:
		name = "SHSetLocalizedName"
		size = 8
		refs = "0002 SHSetLocalizedName"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106585_0 {
	meta:
		name = "SHSetTemporaryPropertyForItem"
		size = 8
		refs = "0002 SHSetTemporaryPropertyForItem"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106511_0 {
	meta:
		name = "SHSetUnreadMailCount"
		size = 8
		refs = "0002 SHSetUnreadMailCountW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106513_0 {
	meta:
		name = "SHSetUnreadMailCountA"
		size = 8
		refs = "0002 SHSetUnreadMailCountA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106514_0 {
	meta:
		name = "SHSetUnreadMailCountW"
		size = 8
		refs = "0002 SHSetUnreadMailCountW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106587_0 {
	meta:
		name = "SHShowManageLibraryUI"
		size = 8
		refs = "0002 SHShowManageLibraryUI"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106579_0 {
	meta:
		name = "SetCurrentProcessExplicitAppUserModelID"
		size = 8
		refs = "0002 SetCurrentProcessExplicitAppUserModelID"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110815_0 {
	meta:
		name = "SetDefaultPrinter"
		size = 8
		refs = "0002 SetDefaultPrinterW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110817_0 {
	meta:
		name = "SetDefaultPrinterA"
		size = 8
		refs = "0002 SetDefaultPrinterA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110818_0 {
	meta:
		name = "SetDefaultPrinterW"
		size = 8
		refs = "0002 SetDefaultPrinterW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108202_0 {
	meta:
		name = "SetDynamicTimeZoneInformation"
		size = 8
		refs = "0002 SetDynamicTimeZoneInformation"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108470_0 {
	meta:
		name = "SetFileAttributesTransacted"
		size = 8
		refs = "0002 SetFileAttributesTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108472_0 {
	meta:
		name = "SetFileAttributesTransactedA"
		size = 8
		refs = "0002 SetFileAttributesTransactedA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_108473_0 {
	meta:
		name = "SetFileAttributesTransactedW"
		size = 8
		refs = "0002 SetFileAttributesTransactedW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110044_0 {
	meta:
		name = "SetGestureConfig"
		size = 8
		refs = "0002 SetGestureConfig"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109781_0 {
	meta:
		name = "SetPhysicalCursorPos"
		size = 8
		refs = "0002 SetPhysicalCursorPos"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110123_0 {
	meta:
		name = "SetProcessDEPPolicy"
		size = 8
		refs = "0002 SetProcessDEPPolicy"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109783_0 {
	meta:
		name = "SetProcessDPIAware"
		size = 8
		refs = "0002 SetProcessDPIAware"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109803_0 {
	meta:
		name = "SetWindowDisplayAffinity"
		size = 8
		refs = "0002 SetWindowDisplayAffinity"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107407_0 {
	meta:
		name = "SetWindowThemeAttribute"
		size = 8
		refs = "0002 SetWindowThemeAttribute"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106626_0 {
	meta:
		name = "Shell_GetImageLists"
		size = 8
		refs = "0002 Shell_GetImageLists"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106628_0 {
	meta:
		name = "Shell_MergeMenus"
		size = 8
		refs = "0002 Shell_MergeMenus"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106442_0 {
	meta:
		name = "Shell_NotifyIconGetRect"
		size = 8
		refs = "0002 Shell_NotifyIconGetRect"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109841_0 {
	meta:
		name = "SoundSentryFunc"
		size = 8
		refs = "0002 SoundSentry"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106613_0 {
	meta:
		name = "StgMakeUniqueName"
		size = 8
		refs = "0002 StgMakeUniqueName"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109871_0 {
	meta:
		name = "UnregisterPowerSettingNotification"
		size = 8
		refs = "0002 UnregisterPowerSettingNotification"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109874_0 {
	meta:
		name = "UnregisterTouchWindow"
		size = 8
		refs = "0002 UnregisterTouchWindow"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107399_0 {
	meta:
		name = "UpdatePanningFeedback"
		size = 8
		refs = "0002 UpdatePanningFeedback"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110820_0 {
	meta:
		name = "UploadPrinterDriverPackage"
		size = 8
		refs = "0002 UploadPrinterDriverPackageW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110822_0 {
	meta:
		name = "UploadPrinterDriverPackageA"
		size = 8
		refs = "0002 UploadPrinterDriverPackageA"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110823_0 {
	meta:
		name = "UploadPrinterDriverPackageW"
		size = 8
		refs = "0002 UploadPrinterDriverPackageW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107459_0 {
	meta:
		name = "WICConvertBitmapSource"
		size = 8
		refs = "0002 WICConvertBitmapSource"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107461_0 {
	meta:
		name = "WICCreateBitmapFromSection"
		size = 8
		refs = "0002 WICCreateBitmapFromSection"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107463_0 {
	meta:
		name = "WICCreateBitmapFromSectionEx"
		size = 8
		refs = "0002 WICCreateBitmapFromSectionEx"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107465_0 {
	meta:
		name = "WICMapGuidToShortName"
		size = 8
		refs = "0002 WICMapGuidToShortName"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107469_0 {
	meta:
		name = "WICMapSchemaToName"
		size = 8
		refs = "0002 WICMapSchemaToName"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_107467_0 {
	meta:
		name = "WICMapShortNameToGuid"
		size = 8
		refs = "0002 WICMapShortNameToGuid"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110102_0 {
	meta:
		name = "WTSGetActiveConsoleSessionId"
		size = 8
		refs = "0002 WTSGetActiveConsoleSessionId"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109912_0 {
	meta:
		name = "WTSRegisterSessionNotification"
		size = 8
		refs = "0002 WTSRegisterSessionNotification"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109914_0 {
	meta:
		name = "WTSUnRegisterSessionNotification"
		size = 8
		refs = "0002 WTSUnRegisterSessionNotification"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_106802_0 {
	meta:
		name = "Win32DeleteFile"
		size = 8
		refs = "0002 Win32DeleteFile"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_109898_0 {
	meta:
		name = "WindowFromPhysicalPoint"
		size = 8
		refs = "0002 WindowFromPhysicalPoint"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110825_0 {
	meta:
		name = "XcvData"
		size = 8
		refs = "0002 XcvDataW"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_110076_0 {
	meta:
		name = "ZombifyActCtx"
		size = 8
		refs = "0002 ZombifyActCtx"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_76900_0 {
	meta:
		name = "_WINNLSEnableIME"
		size = 8
		refs = "0002 WINNLSEnableIME"
	strings:
		$1 = { FF 25 ?? ?? ?? ?? 90 90 }
	condition:
		$1
}

rule function_49606_0 {
	meta:
		name = "GetCertSerialNumber"
		size = 38
		refs = "000d @UStrSetLength 0014 @UStrToPWChar 001f BinToHex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 13 03 D2 8B C6 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B 0B 8B 53 04 92 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49607_0 {
	meta:
		name = "FindCertWithSerialNumber"
		size = 228
		refs = "001e @UStrAddRef 0026 FindCertWithSerialNumber 0043 CertEnumCertificatesInStore 0057 GetCertSerialNumber 0062 @UStrLAsg 0094 CompareText 00ce @UStrArrayClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F8 89 4D F4 89 4D F0 89 55 FC 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E8 83 7D EC 00 74 7D 33 FF 57 8B 45 EC 50 E8 ?? ?? ?? ?? 8B F0 85 F6 74 6B 8D 55 F8 8B 46 0C 83 C0 04 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B3 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 DB EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 74 05 89 75 E8 EB 12 8B FE 57 8B 45 EC 50 E8 ?? ?? ?? ?? 8B F0 85 F6 75 95 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49608_0 {
	meta:
		name = "GetCertInfo"
		size = 97
		refs = "0017 @UStrClr 002b CertGetNameString 003b @UStrSetLength 0043 @UStrToPWChar"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 45 FC 50 8B 45 F8 50 57 E8 ?? ?? ?? ?? 8B D8 85 DB 76 23 8B D3 4A 8B C6 E8 ?? ?? ?? ?? 53 8B 06 E8 ?? ?? ?? ?? 50 6A 00 8B 45 FC 50 8B 45 F8 50 57 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_49611_0 {
	meta:
		name = "GetDefinition"
		size = 272
		refs = "0013 GetDefinition 002c TXMLDocument.GetDocumentElement 0046 TXMLDocument.CreateNode 0050 TXMLDocument.SetDocumentElement 005b @IntfClear 0066 TXMLDocument.GetDOMDocument 0074 @CheckAutoResult 007e _DV_TDefinition 0083 TXMLNode.Create 0098 @IntfCast 00be IXMLNode 00c8 @FinalizeArray 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 8B 08 FF 51 44 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 1E 6A 00 8D 45 F8 50 B1 01 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 6A 00 53 8D 45 F4 E8 ?? ?? ?? ?? 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 64 00 65 00 66 00 69 00 6E 00 69 00 74 00 69 00 6F 00 6E 00 73 00 00 00 67 8F DF F3 4A 80 C4 40 A6 C6 ED FB EA 22 FC 47 }
	condition:
		$1
}

rule function_49612_0 {
	meta:
		name = "LoadWSDLDoc"
		size = 115
		refs = "000f LoadWSDLDoc 001e _DV_TWSDLDocument 0023 TXMLDocument.Create 0036 @IntfCopy 0040 @UStrFromWStr 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 28 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 03 8B 08 FF 91 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_49613_0 {
	meta:
		name = "NewWSDLDoc"
		size = 47
		refs = "0008 _DV_TWSDLDocument 000d TXMLDocument.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 28 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 03 B2 01 8B 08 FF 51 4C 5B C3 }
	condition:
		$1
}

rule function_49614_0 {
	meta:
		name = "TDocumentationCollection.Add"
		size = 156
		refs = "0016 TDocumentationCollection.Add 0039 @IntfCast 0042 @WStrEqual 004e @UStrFromWStr 0070 @UStrClr 0078 @IntfClear 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 83 CA FF 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 33 D2 E8 ?? ?? ?? ?? 74 17 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 00 8B 08 FF 51 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 24 AC E6 22 C1 DE B6 4E A3 05 C9 66 25 0C D5 6F }
	condition:
		$1
}

rule function_49615_0 {
	meta:
		name = "TDocumentationCollection.GetDocumentation"
		size = 164
		refs = "001e TDocumentationCollection.GetDocumentation 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 24 AC E6 22 C1 DE B6 4E A3 05 C9 66 25 0C D5 6F }
	condition:
		$1
}

rule function_49616_0 {
	meta:
		name = "TDocumentationCollection.Insert"
		size = 116
		refs = "0018 TDocumentationCollection.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 24 AC E6 22 C1 DE B6 4E A3 05 C9 66 25 0C D5 6F }
	condition:
		$1
}

rule function_49617_0 {
	meta:
		name = "TDocumented.AfterConstruction"
		size = 152
		refs = "0007 _DV_TDocumentation 000c TDocumented.AfterConstruction 0013 TXMLNode.RegisterChildNode 0025 _DV_TDocumentationCollection 002c TXMLNode.CreateCollection 0042 @IntfCast 0049 TInterfacedObject.AfterConstruction"
	strings:
		$1 = { 53 8B D8 6A 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 50 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 24 AC E6 22 C1 DE B6 4E A3 05 C9 66 25 0C D5 6F C5 90 A0 2B 1E A9 BA 42 92 8B 75 FB 81 6B 19 5F }
	condition:
		$1
}

rule function_49619_0 {
	meta:
		name = "TImport.GetNamespace"
		size = 184
		refs = "0016 TImport.GetNamespace 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 }
	condition:
		$1
}

rule function_49620_0 {
	meta:
		name = "TImport.SetNamespace"
		size = 140
		refs = "0014 @WStrAddRef 001c TImport.SetNamespace 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 }
	condition:
		$1
}

rule function_49621_0 {
	meta:
		name = "TImport.GetLocation"
		size = 184
		refs = "0016 TImport.GetLocation 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_50239_0 {
	meta:
		name = "TXMLReferenceType.Get_Location"
		size = 184
		refs = "0016 TXMLReferenceType.Get_Location 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_49622_0 {
	meta:
		name = "TImport.SetLocation"
		size = 140
		refs = "0014 @WStrAddRef 001c TImport.SetLocation 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_50240_0 {
	meta:
		name = "TXMLReferenceType.Set_Location"
		size = 140
		refs = "0014 @WStrAddRef 001c TXMLReferenceType.Set_Location 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_49623_0 {
	meta:
		name = "TImports.Add"
		size = 172
		refs = "001c TImports.Add 003e @IntfCast 0048 @WStrEqual 0085 @IntfClear 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 83 CA FF 8B C6 8B 30 FF 56 20 8B 55 F4 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 74 0D 8B 03 8B 55 FC 8B 08 FF 91 B8 00 00 00 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 74 0D 8B 03 8B 55 F8 8B 08 FF 91 BC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 00 00 00 58 50 0B B5 EA 46 CE 46 A7 37 23 EC E2 6F 57 11 }
	condition:
		$1
}

rule function_49624_0 {
	meta:
		name = "TImports.GetImport"
		size = 164
		refs = "001e TImports.GetImport 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 58 50 0B B5 EA 46 CE 46 A7 37 23 EC E2 6F 57 11 }
	condition:
		$1
}

rule function_49625_0 {
	meta:
		name = "TImports.Insert"
		size = 116
		refs = "0018 TImports.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 58 50 0B B5 EA 46 CE 46 A7 37 23 EC E2 6F 57 11 }
	condition:
		$1
}

rule function_49626_0 {
	meta:
		name = "TXMLSchemaDefs.Add"
		size = 236
		refs = "0018 TXMLSchemaDefs.Add 0027 @WStrEqual 0033 @WStrLAsg 003e XMLSchemaURI 0045 @WStrFromUStr 0058 @UStrFromWStr 0065 TXMLNode.AddChild 0075 @IntfCast 00b6 @UStrArrayClr 00be @IntfClear 00c6 @WStrClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 33 D2 E8 ?? ?? ?? ?? 74 0C 8D 45 FC 8B D6 E8 ?? ?? ?? ?? EB 10 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 6A 00 6A FF 8D 45 F8 50 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 4D F4 8B 53 64 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 33 D2 E8 ?? ?? ?? ?? 74 1C 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 8B 00 33 C9 8B 18 FF 93 30 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 04 00 00 32 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_49627_0 {
	meta:
		name = "TXMLSchemaDefs.GetXMLSchemaDef"
		size = 164
		refs = "001e TXMLSchemaDefs.GetXMLSchemaDef 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 32 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_49628_0 {
	meta:
		name = "TTypes.AfterConstruction"
		size = 440
		refs = "0004 TTypes.AfterConstruction 000a _Dn_TXMLSchemaDef 0016 TXMLNode.RegisterChildNode 004e XMLSchemaURI 005c _DV_TXMLSchemaDefs 0063 TXMLNode.CreateCollection 0079 @IntfCast 0080 TDocumented.AfterConstruction"
	strings:
		$1 = { 53 8B D8 68 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 58 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 31 00 39 00 39 00 39 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 30 00 2F 00 31 00 30 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 31 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 32 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD AE EA 57 96 C2 DE 79 4A AE D1 91 14 57 8F 72 BC }
	condition:
		$1
}

rule function_49629_0 {
	meta:
		name = "TBinding.GetBindingOperations"
		size = 19
		refs = "000c @IntfCopy"
		altNames = "TBindingOperation.GetFaults TDefinition.GetImports TMessage.GetParts TOperation.GetFaults TPortType.GetOperations TService.GetPorts TTypes.GetSchemaDefs TXMLComplexContent.GetAttributeDefs TXMLSchemaDef.GetAttributeGroups"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 58 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111452_0 {
	meta:
		name = "TDomElement.GetPrefix"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 58 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49630_0 {
	meta:
		name = "TPart.GetName"
		size = 176
		refs = "0016 TPart.GetName 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49680_0 {
	meta:
		name = "TBinding.GetName"
		size = 176
		refs = "0016 TBinding.GetName 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49671_0 {
	meta:
		name = "TBindingOperation.GetName"
		size = 176
		refs = "0016 TBindingOperation.GetName 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49705_0 {
	meta:
		name = "TDefinition.GetName"
		size = 176
		refs = "0016 TDefinition.GetName 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49640_0 {
	meta:
		name = "TMessage.GetName"
		size = 176
		refs = "0016 TMessage.GetName 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49654_0 {
	meta:
		name = "TOperation.GetName"
		size = 176
		refs = "0016 TOperation.GetName 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49646_0 {
	meta:
		name = "TParam.GetName"
		size = 176
		refs = "0016 TParam.GetName 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49688_0 {
	meta:
		name = "TPort.GetName"
		size = 176
		refs = "0016 TPort.GetName 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49664_0 {
	meta:
		name = "TPortType.GetName"
		size = 176
		refs = "0016 TPortType.GetName 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49696_0 {
	meta:
		name = "TService.GetName"
		size = 176
		refs = "0016 TService.GetName 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49631_0 {
	meta:
		name = "TPart.SetName"
		size = 132
		refs = "0014 @WStrAddRef 001c TPart.SetName 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49681_0 {
	meta:
		name = "TBinding.SetName"
		size = 132
		refs = "0014 @WStrAddRef 001c TBinding.SetName 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49672_0 {
	meta:
		name = "TBindingOperation.SetName"
		size = 132
		refs = "0014 @WStrAddRef 001c TBindingOperation.SetName 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49706_0 {
	meta:
		name = "TDefinition.SetName"
		size = 132
		refs = "0014 @WStrAddRef 001c TDefinition.SetName 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49641_0 {
	meta:
		name = "TMessage.SetName"
		size = 132
		refs = "0014 @WStrAddRef 001c TMessage.SetName 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49655_0 {
	meta:
		name = "TOperation.SetName"
		size = 132
		refs = "0014 @WStrAddRef 001c TOperation.SetName 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49647_0 {
	meta:
		name = "TParam.SetName"
		size = 132
		refs = "0014 @WStrAddRef 001c TParam.SetName 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49689_0 {
	meta:
		name = "TPort.SetName"
		size = 132
		refs = "0014 @WStrAddRef 001c TPort.SetName 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49665_0 {
	meta:
		name = "TPortType.SetName"
		size = 132
		refs = "0014 @WStrAddRef 001c TPortType.SetName 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49697_0 {
	meta:
		name = "TService.SetName"
		size = 132
		refs = "0014 @WStrAddRef 001c TService.SetName 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49632_0 {
	meta:
		name = "TPart.GetType_"
		size = 176
		refs = "0016 TPart.GetType_ 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49682_0 {
	meta:
		name = "TBinding.GetType_"
		size = 176
		refs = "0016 TBinding.GetType_ 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49633_0 {
	meta:
		name = "TPart.SetType_"
		size = 132
		refs = "0014 @WStrAddRef 001c TPart.SetType_ 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49683_0 {
	meta:
		name = "TBinding.SetType_"
		size = 132
		refs = "0014 @WStrAddRef 001c TBinding.SetType_ 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_49634_0 {
	meta:
		name = "TPart.GetElement"
		size = 180
		refs = "0016 TPart.GetElement 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 65 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_49635_0 {
	meta:
		name = "TPart.SetElement"
		size = 136
		refs = "0014 @WStrAddRef 001c TPart.SetElement 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 65 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_49636_0 {
	meta:
		name = "TParts.Add"
		size = 196
		refs = "001c TParts.Add 003e @IntfCast 0048 @WStrEqual 009e @IntfClear 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 83 CA FF 8B C6 8B 30 FF 56 20 8B 55 F4 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 74 0D 8B 03 8B 55 FC 8B 08 FF 91 BC 00 00 00 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 74 0D 8B 03 8B 55 F8 8B 08 FF 91 C4 00 00 00 8B 45 0C 33 D2 E8 ?? ?? ?? ?? 74 0D 8B 03 8B 55 0C 8B 08 FF 91 C0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 08 00 00 00 58 02 D7 EF DE 38 F8 4B B5 03 C1 70 22 58 8E AF }
	condition:
		$1
}

rule function_49637_0 {
	meta:
		name = "TParts.Insert"
		size = 116
		refs = "0018 TParts.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 58 02 D7 EF DE 38 F8 4B B5 03 C1 70 22 58 8E AF }
	condition:
		$1
}

rule function_49638_0 {
	meta:
		name = "TParts.GetPart"
		size = 164
		refs = "001e TParts.GetPart 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 58 02 D7 EF DE 38 F8 4B B5 03 C1 70 22 58 8E AF }
	condition:
		$1
}

rule function_49639_0 {
	meta:
		name = "TMessage.AfterConstruction"
		size = 136
		refs = "0007 _DV_TPart 000c TMessage.AfterConstruction 0013 TXMLNode.RegisterChildNode 0025 _DV_TParts 002c TXMLNode.CreateCollection 0042 @IntfCast 0049 TDocumented.AfterConstruction"
	strings:
		$1 = { 53 8B D8 6A 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 58 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 70 00 61 00 72 00 74 00 00 00 00 00 58 02 D7 EF DE 38 F8 4B B5 03 C1 70 22 58 8E AF 0B B1 69 7D BA 77 AE 43 85 81 F2 A5 E3 B3 6C 95 }
	condition:
		$1
}

rule function_49643_0 {
	meta:
		name = "TMessages.Add"
		size = 140
		refs = "0018 TMessages.Add 003b @IntfCast 0044 @WStrEqual 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 83 CA FF 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 33 D2 E8 ?? ?? ?? ?? 74 0F 8B 45 FC 8B 00 8B D6 8B 08 FF 91 B8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 6C 44 D2 6D 8C 7E BA 4C BC B0 C3 18 EF FE 72 2A }
	condition:
		$1
}

rule function_49644_0 {
	meta:
		name = "TMessages.GetMessage"
		size = 164
		refs = "001e TMessages.GetMessage 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 6C 44 D2 6D 8C 7E BA 4C BC B0 C3 18 EF FE 72 2A }
	condition:
		$1
}

rule function_49645_0 {
	meta:
		name = "TMessages.Insert"
		size = 116
		refs = "0018 TMessages.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 6C 44 D2 6D 8C 7E BA 4C BC B0 C3 18 EF FE 72 2A }
	condition:
		$1
}

rule function_49648_0 {
	meta:
		name = "TParam.GetMessage"
		size = 180
		refs = "0016 TParam.GetMessage 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 }
	condition:
		$1
}

rule function_49649_0 {
	meta:
		name = "TParam.SetMessage"
		size = 136
		refs = "0014 @WStrAddRef 001c TParam.SetMessage 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 }
	condition:
		$1
}

rule function_49650_0 {
	meta:
		name = "TFaults.Add"
		size = 172
		refs = "001c TFaults.Add 003e @IntfCast 0048 @WStrEqual 0085 @IntfClear 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 83 CA FF 8B C6 8B 30 FF 56 20 8B 55 F4 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 74 0D 8B 03 8B 55 FC 8B 08 FF 91 B8 00 00 00 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 74 0D 8B 03 8B 55 F8 8B 08 FF 91 BC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 00 00 00 80 1E 1A 6B 1D 23 0C 4D AF B9 9E 2E CB C5 A3 23 }
	condition:
		$1
}

rule function_49651_0 {
	meta:
		name = "TFaults.GetFault"
		size = 164
		refs = "001e TFaults.GetFault 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 80 1E 1A 6B 1D 23 0C 4D AF B9 9E 2E CB C5 A3 23 }
	condition:
		$1
}

rule function_49652_0 {
	meta:
		name = "TFaults.Insert"
		size = 116
		refs = "0018 TFaults.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 80 1E 1A 6B 1D 23 0C 4D AF B9 9E 2E CB C5 A3 23 }
	condition:
		$1
}

rule function_49653_0 {
	meta:
		name = "TOperation.AfterConstruction"
		size = 248
		refs = "0007 _DV_TParam 0018 _DV_TFault 0024 TOperation.AfterConstruction 004a TXMLNode.RegisterChildNodes 005c _DV_TFaults 0063 TXMLNode.CreateCollection 0079 @IntfCast 0080 TDocumented.AfterConstruction"
	strings:
		$1 = { 53 83 C4 E8 8B D8 A1 ?? ?? ?? ?? 89 04 24 A1 ?? ?? ?? ?? 89 44 24 04 A1 ?? ?? ?? ?? 89 44 24 08 54 6A 02 B8 ?? ?? ?? ?? 89 44 24 14 B8 ?? ?? ?? ?? 89 44 24 18 B8 ?? ?? ?? ?? 89 44 24 1C 8D 54 24 14 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 58 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 18 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 6E 00 70 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6F 00 75 00 74 00 70 00 75 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 75 00 6C 00 74 00 00 00 80 1E 1A 6B 1D 23 0C 4D AF B9 9E 2E CB C5 A3 23 06 5C FD 67 45 F7 D1 4A 8B 12 92 55 2E A4 AB 92 }
	condition:
		$1
}

rule function_49670_0 {
	meta:
		name = "TBindingOperation.AfterConstruction"
		size = 248
		refs = "0007 _DV_TParam 0018 _DV_TFault 0024 TBindingOperation.AfterConstruction 004a TXMLNode.RegisterChildNodes 005c _DV_TFaults 0063 TXMLNode.CreateCollection 0079 @IntfCast 0080 TDocumented.AfterConstruction"
	strings:
		$1 = { 53 83 C4 E8 8B D8 A1 ?? ?? ?? ?? 89 04 24 A1 ?? ?? ?? ?? 89 44 24 04 A1 ?? ?? ?? ?? 89 44 24 08 54 6A 02 B8 ?? ?? ?? ?? 89 44 24 14 B8 ?? ?? ?? ?? 89 44 24 18 B8 ?? ?? ?? ?? 89 44 24 1C 8D 54 24 14 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 58 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 18 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 6E 00 70 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6F 00 75 00 74 00 70 00 75 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 75 00 6C 00 74 00 00 00 80 1E 1A 6B 1D 23 0C 4D AF B9 9E 2E CB C5 A3 23 06 5C FD 67 45 F7 D1 4A 8B 12 92 55 2E A4 AB 92 }
	condition:
		$1
}

rule function_49656_0 {
	meta:
		name = "TOperation.GetInput"
		size = 176
		refs = "0015 TOperation.GetInput 0025 TXMLNode.GetChildNodes 0036 @OleVarFromUStr 0051 @IntfCast 0066 @VarClr 006e @IntfClear 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8D 4D FC 58 8B 18 FF 53 10 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 6E 00 70 00 75 00 74 00 00 00 2F 00 FF 66 34 65 1F 42 93 B8 57 FD AD BE 23 B5 }
	condition:
		$1
}

rule function_49657_0 {
	meta:
		name = "TOperation.GetOutput"
		size = 180
		refs = "0015 TOperation.GetOutput 0025 TXMLNode.GetChildNodes 0036 @OleVarFromUStr 0051 @IntfCast 0066 @VarClr 006e @IntfClear 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8D 4D FC 58 8B 18 FF 53 10 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 6F 00 75 00 74 00 70 00 75 00 74 00 00 00 00 00 2F 00 FF 66 34 65 1F 42 93 B8 57 FD AD BE 23 B5 }
	condition:
		$1
}

rule function_49659_0 {
	meta:
		name = "TOperations.Add"
		size = 140
		refs = "0018 TOperations.Add 003b @IntfCast 0044 @WStrEqual 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 83 CA FF 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 33 D2 E8 ?? ?? ?? ?? 74 0F 8B 45 FC 8B 00 8B D6 8B 08 FF 91 C0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 4C 9B BC 84 9A 01 14 46 A0 50 A0 BB 16 5E 7C C2 }
	condition:
		$1
}

rule function_49660_0 {
	meta:
		name = "TOperations.Add"
		size = 214
		refs = "001c TOperations.Add 0037 @WStrEqual 00b7 IParam 00c1 @FinalizeArray 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C7 33 D2 E8 ?? ?? ?? ?? 74 1A 8D 55 F8 8B 03 8B 08 FF 91 B4 00 00 00 8B 45 F8 8B D7 8B 08 FF 91 BC 00 00 00 8B 45 10 33 D2 E8 ?? ?? ?? ?? 74 1B 8D 55 F4 8B 03 8B 08 FF 91 B4 00 00 00 8B 45 F4 8B 55 10 8B 08 FF 91 B8 00 00 00 8B 45 0C 33 D2 E8 ?? ?? ?? ?? 74 1B 8D 55 F0 8B 03 8B 08 FF 91 B8 00 00 00 8B 45 F0 8B 55 0C 8B 08 FF 91 BC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_49661_0 {
	meta:
		name = "TOperations.GetOperation"
		size = 164
		refs = "001e TOperations.GetOperation 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 4C 9B BC 84 9A 01 14 46 A0 50 A0 BB 16 5E 7C C2 }
	condition:
		$1
}

rule function_49662_0 {
	meta:
		name = "TOperations.Insert"
		size = 116
		refs = "0018 TOperations.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 4C 9B BC 84 9A 01 14 46 A0 50 A0 BB 16 5E 7C C2 }
	condition:
		$1
}

rule function_49663_0 {
	meta:
		name = "TPortType.AfterConstruction"
		size = 144
		refs = "0007 _DV_TOperation 000c TPortType.AfterConstruction 0013 TXMLNode.RegisterChildNode 0025 _DV_TOperations 002c TXMLNode.CreateCollection 0042 @IntfCast 0049 TDocumented.AfterConstruction"
	strings:
		$1 = { 53 8B D8 6A 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 58 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6F 00 70 00 65 00 72 00 61 00 74 00 69 00 6F 00 6E 00 00 00 4C 9B BC 84 9A 01 14 46 A0 50 A0 BB 16 5E 7C C2 19 0B 27 52 86 5C 77 4C AF 4F A6 20 65 5E D9 E2 }
	condition:
		$1
}

rule function_49667_0 {
	meta:
		name = "TPortTypes.Add"
		size = 140
		refs = "0018 TPortTypes.Add 003b @IntfCast 0044 @WStrEqual 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 83 CA FF 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 33 D2 E8 ?? ?? ?? ?? 74 0F 8B 45 FC 8B 00 8B D6 8B 08 FF 91 B8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 49 43 33 53 5E D6 A6 44 8F BA 36 94 41 8B A7 0A }
	condition:
		$1
}

rule function_49668_0 {
	meta:
		name = "TPortTypes.GetPortType"
		size = 164
		refs = "001e TPortTypes.GetPortType 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 49 43 33 53 5E D6 A6 44 8F BA 36 94 41 8B A7 0A }
	condition:
		$1
}

rule function_49669_0 {
	meta:
		name = "TPortTypes.Insert"
		size = 116
		refs = "0018 TPortTypes.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 49 43 33 53 5E D6 A6 44 8F BA 36 94 41 8B A7 0A }
	condition:
		$1
}

rule function_49673_0 {
	meta:
		name = "TBindingOperation.GetInput"
		size = 176
		refs = "0015 TBindingOperation.GetInput 0025 TXMLNode.GetChildNodes 0036 @OleVarFromUStr 0051 @IntfCast 0066 @VarClr 006e @IntfClear 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8D 4D FC 58 8B 18 FF 53 10 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 6E 00 70 00 75 00 74 00 00 00 A0 7E EB B4 98 A2 27 45 BF 5B DC C6 DD 36 EE 12 }
	condition:
		$1
}

rule function_49674_0 {
	meta:
		name = "TBindingOperation.GetOutput"
		size = 180
		refs = "0015 TBindingOperation.GetOutput 0025 TXMLNode.GetChildNodes 0036 @OleVarFromUStr 0051 @IntfCast 0066 @VarClr 006e @IntfClear 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8D 4D FC 58 8B 18 FF 53 10 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 6F 00 75 00 74 00 70 00 75 00 74 00 00 00 00 00 96 6E A0 EE 0D EF 9D 40 BB E2 DF E5 54 C5 0F 23 }
	condition:
		$1
}

rule function_49676_0 {
	meta:
		name = "TBindingOperations.Add"
		size = 140
		refs = "0018 TBindingOperations.Add 003b @IntfCast 0044 @WStrEqual 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 83 CA FF 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 33 D2 E8 ?? ?? ?? ?? 74 0F 8B 45 FC 8B 00 8B D6 8B 08 FF 91 C0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 F1 10 4A 2A 9F 26 7C 42 9F AC 30 5B 53 74 3F 8B }
	condition:
		$1
}

rule function_49677_0 {
	meta:
		name = "TBindingOperations.Insert"
		size = 116
		refs = "0018 TBindingOperations.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 F1 10 4A 2A 9F 26 7C 42 9F AC 30 5B 53 74 3F 8B }
	condition:
		$1
}

rule function_49678_0 {
	meta:
		name = "TBindingOperations.GetBindingOperation"
		size = 164
		refs = "001e TBindingOperations.GetBindingOperation 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 F1 10 4A 2A 9F 26 7C 42 9F AC 30 5B 53 74 3F 8B }
	condition:
		$1
}

rule function_49679_0 {
	meta:
		name = "TBinding.AfterConstruction"
		size = 144
		refs = "0007 _DV_TBindingOperation 000c TBinding.AfterConstruction 0013 TXMLNode.RegisterChildNode 0025 _DV_TBindingOperations 002c TXMLNode.CreateCollection 0042 @IntfCast 0049 TDocumented.AfterConstruction"
	strings:
		$1 = { 53 8B D8 6A 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 58 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6F 00 70 00 65 00 72 00 61 00 74 00 69 00 6F 00 6E 00 00 00 F1 10 4A 2A 9F 26 7C 42 9F AC 30 5B 53 74 3F 8B 0B 62 79 D5 39 83 71 42 98 A4 D3 FD BA F3 B0 A6 }
	condition:
		$1
}

rule function_49685_0 {
	meta:
		name = "TBindings.Add"
		size = 172
		refs = "001c TBindings.Add 003e @IntfCast 0048 @WStrEqual 0085 @IntfClear 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 83 CA FF 8B C6 8B 30 FF 56 20 8B 55 F4 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 74 0D 8B 03 8B 55 FC 8B 08 FF 91 BC 00 00 00 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 74 0D 8B 03 8B 55 F8 8B 08 FF 91 C0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 00 00 00 C3 D8 10 19 92 74 5E 40 9D 9F 62 31 1D 24 B6 03 }
	condition:
		$1
}

rule function_49686_0 {
	meta:
		name = "TBindings.GetBinding"
		size = 164
		refs = "001e TBindings.GetBinding 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 C3 D8 10 19 92 74 5E 40 9D 9F 62 31 1D 24 B6 03 }
	condition:
		$1
}

rule function_49687_0 {
	meta:
		name = "TBindings.Insert"
		size = 116
		refs = "0018 TBindings.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 C3 D8 10 19 92 74 5E 40 9D 9F 62 31 1D 24 B6 03 }
	condition:
		$1
}

rule function_49690_0 {
	meta:
		name = "TPort.GetBinding"
		size = 180
		refs = "0016 TPort.GetBinding 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 69 00 6E 00 64 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_49691_0 {
	meta:
		name = "TPort.SetBinding"
		size = 136
		refs = "0014 @WStrAddRef 001c TPort.SetBinding 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 69 00 6E 00 64 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_49692_0 {
	meta:
		name = "TPorts.Add"
		size = 172
		refs = "001c TPorts.Add 003e @IntfCast 0048 @WStrEqual 0085 @IntfClear 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 83 CA FF 8B C6 8B 30 FF 56 20 8B 55 F4 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 74 0D 8B 03 8B 55 FC 8B 08 FF 91 B8 00 00 00 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 74 0D 8B 03 8B 55 F8 8B 08 FF 91 BC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 00 00 00 81 E9 D0 10 53 A0 0F 4C AE 5A 78 5D 2B 0D 97 FD }
	condition:
		$1
}

rule function_49693_0 {
	meta:
		name = "TPorts.Insert"
		size = 116
		refs = "0018 TPorts.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 81 E9 D0 10 53 A0 0F 4C AE 5A 78 5D 2B 0D 97 FD }
	condition:
		$1
}

rule function_49694_0 {
	meta:
		name = "TPorts.GetPort"
		size = 164
		refs = "001e TPorts.GetPort 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 81 E9 D0 10 53 A0 0F 4C AE 5A 78 5D 2B 0D 97 FD }
	condition:
		$1
}

rule function_49695_0 {
	meta:
		name = "TService.AfterConstruction"
		size = 136
		refs = "0007 _DV_TPort 000c TService.AfterConstruction 0013 TXMLNode.RegisterChildNode 0025 _DV_TPorts 002c TXMLNode.CreateCollection 0042 @IntfCast 0049 TDocumented.AfterConstruction"
	strings:
		$1 = { 53 8B D8 6A 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 58 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 70 00 6F 00 72 00 74 00 00 00 00 00 81 E9 D0 10 53 A0 0F 4C AE 5A 78 5D 2B 0D 97 FD 1F DA 0D 36 8E E5 55 43 87 11 25 14 0D 48 84 97 }
	condition:
		$1
}

rule function_49699_0 {
	meta:
		name = "TServices.Add"
		size = 140
		refs = "0018 TServices.Add 003b @IntfCast 0044 @WStrEqual 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 83 CA FF 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 33 D2 E8 ?? ?? ?? ?? 74 0F 8B 45 FC 8B 00 8B D6 8B 08 FF 91 B8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 1F DA 0D 36 8E E5 55 43 87 11 25 14 0D 48 84 97 }
	condition:
		$1
}

rule function_49700_0 {
	meta:
		name = "TServices.Insert"
		size = 116
		refs = "0018 TServices.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 1F DA 0D 36 8E E5 55 43 87 11 25 14 0D 48 84 97 }
	condition:
		$1
}

rule function_49701_0 {
	meta:
		name = "TServices.GetService"
		size = 164
		refs = "001e TServices.GetService 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 1F DA 0D 36 8E E5 55 43 87 11 25 14 0D 48 84 97 }
	condition:
		$1
}

rule function_49702_0 {
	meta:
		name = "TDefinition.AfterConstruction"
		size = 708
		refs = "0007 TDefinition.AfterConstruction 0014 _DV_TBindings 001b TXMLNode.CreateCollection 0031 @IntfCast 0043 _DV_TImports 0072 _DV_TMessages 00a1 _DV_TPortTypes 00d0 _DV_TServices 00f2 _DV_TImport 00fa _DV_TTypes 0103 _DV_TMessage 010c _DV_TPortType 0115 _DV_TBinding 011e _DV_TService 016b TXMLNode.RegisterChildNodes 0172 TDocumented.AfterConstruction"
	strings:
		$1 = { 53 83 C4 D0 8B D8 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 64 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 58 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 5C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 60 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 68 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 04 24 A1 ?? ?? ?? ?? 89 44 24 04 A1 ?? ?? ?? ?? 89 44 24 08 A1 ?? ?? ?? ?? 89 44 24 0C A1 ?? ?? ?? ?? 89 44 24 10 A1 ?? ?? ?? ?? 89 44 24 14 54 6A 05 B8 ?? ?? ?? ?? 89 44 24 20 B8 ?? ?? ?? ?? 89 44 24 24 B8 ?? ?? ?? ?? 89 44 24 28 B8 ?? ?? ?? ?? 89 44 24 2C B8 ?? ?? ?? ?? 89 44 24 30 B8 ?? ?? ?? ?? 89 44 24 34 8D 54 24 20 B9 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 30 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 69 00 6E 00 64 00 69 00 6E 00 67 00 00 00 C3 D8 10 19 92 74 5E 40 9D 9F 62 31 1D 24 B6 03 C7 02 FE C8 26 D7 14 42 9F F4 90 78 2E B7 AC CA B0 04 02 00 FF FF FF FF 06 00 00 00 69 00 6D 00 70 00 6F 00 72 00 74 00 00 00 00 00 58 50 0B B5 EA 46 CE 46 A7 37 23 EC E2 6F 57 11 C5 90 A0 2B 1E A9 BA 42 92 8B 75 FB 81 6B 19 5F B0 04 02 00 FF FF FF FF 07 00 00 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 6C 44 D2 6D 8C 7E BA 4C BC B0 C3 18 EF FE 72 2A D5 B6 16 17 87 60 B3 4D B7 29 10 03 C7 42 4C 2B B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 6F 00 72 00 74 00 54 00 79 00 70 00 65 00 00 00 00 00 49 43 33 53 5E D6 A6 44 8F BA 36 94 41 8B A7 0A 61 24 70 5A 49 CE FE 44 A6 65 74 E7 D3 97 4F BE B0 04 02 00 FF FF FF FF 07 00 00 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 00 00 1F DA 0D 36 8E E5 55 43 87 11 25 14 0D 48 84 97 0C AA 91 A7 C5 C8 A1 48 8B 6A DE F9 30 2B 7E 17 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 79 00 70 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_49703_0 {
	meta:
		name = "TDefinition.GetTargetNamespace"
		size = 196
		refs = "0016 TDefinition.GetTargetNamespace 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 74 00 61 00 72 00 67 00 65 00 74 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 }
	condition:
		$1
}

rule function_49704_0 {
	meta:
		name = "TDefinition.SetTargetNamespace"
		size = 152
		refs = "0014 @WStrAddRef 001c TDefinition.SetTargetNamespace 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 74 00 61 00 72 00 67 00 65 00 74 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 }
	condition:
		$1
}

rule function_49708_0 {
	meta:
		name = "TDefinition.GetTypes"
		size = 176
		refs = "0015 TDefinition.GetTypes 0025 TXMLNode.GetChildNodes 0036 @OleVarFromUStr 0051 @IntfCast 0066 @VarClr 006e @IntfClear 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8D 4D FC 58 8B 18 FF 53 10 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 79 00 70 00 65 00 73 00 00 00 F2 EB B2 AA E2 79 AA 42 A3 D2 5C 4A DC F5 1B 93 }
	condition:
		$1
}

rule function_49710_0 {
	meta:
		name = "TDefinition.GetPortTypes"
		size = 19
		refs = "000c @IntfCopy"
		altNames = "TTestDecorator.Tests TXMLSchemaDef.GetComplexTypes TXMLSimpleTypeUnion.GetSimpleTypes"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 60 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98073_0 {
	meta:
		name = "TAdapterControlGroup.GetAdapterModeOfDisplay"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 60 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111487_0 {
	meta:
		name = "TDomDocumentTypeDecl.GetNodeName"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 60 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49713_0 {
	meta:
		name = "TWSDLDocument.AfterConstruction"
		size = 180
		refs = "0004 TWSDLDocument.AfterConstruction 000a _DV_TDefinition 0016 TXMLDocument.RegisterDocBinding 001d TXMLDocument.AfterConstruction 0024 TXMLDocument.GetOptions 0033 TXMLDocument.SetOptions"
	strings:
		$1 = { 53 8B D8 68 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 0A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 77 00 73 00 64 00 6C 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 64 00 65 00 66 00 69 00 6E 00 69 00 74 00 69 00 6F 00 6E 00 73 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_49714_0 {
	meta:
		name = "TWSDLDocument.GetDefinition"
		size = 100
		refs = "000f TWSDLDocument.GetDefinition 001f TXMLDocument.GetDocumentElement 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 67 8F DF F3 4A 80 C4 40 A6 C6 ED FB EA 22 FC 47 }
	condition:
		$1
}

rule function_49715_0 {
	meta:
		name = "TWSDLDocument.LoadData"
		size = 328
		refs = "0011 TWSDLDocument.LoadData 001e TXMLDocument.LoadData 0025 TXMLDocument.IsEmptyDoc 0035 TXMLDocument.SetVersion 0047 TXMLDocument.GetDocumentNode 0063 TXMLDocument.GetDocumentElement 006c XMLSchemaURI 008e IXMLNode 0098 @FinalizeArray 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4F BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 00 6A FF 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 30 FF 56 70 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? 8B 18 FF 53 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 31 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 77 00 73 00 64 00 6C 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 64 00 65 00 66 00 69 00 6E 00 69 00 74 00 69 00 6F 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 78 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_49720_0 {
	meta:
		name = "TDOMStrings.Destroy"
		size = 91
		refs = "0005 @BeforeDestruction 0021 TList.Get 002b TWString 0030 @Dispose 003c TObject.Free 0047 TObject.Destroy 0052 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 8B 68 08 4D 85 ED 7C 20 45 33 FF 8B 46 04 8B D7 E8 ?? ?? ?? ?? 85 C0 74 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4D 75 E3 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49721_0 {
	meta:
		name = "TDOMStrings.Get"
		size = 57
		refs = "000c @UStrClr 0022 TList.Get 0031 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 E8 ?? ?? ?? ?? 85 F6 7C 21 8B 43 04 3B 70 08 7D 19 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B D8 85 DB 74 09 8B C7 8B 13 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49723_0 {
	meta:
		name = "TDOMStrings.Add"
		size = 48
		refs = "0009 TWString 0013 @New 001e @UStrAsg 0028 TList.Add"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 15 ?? ?? ?? ?? B8 04 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 8B D7 E8 ?? ?? ?? ?? 8B D3 8B 46 04 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49724_0 {
	meta:
		name = "TDOMStrings.IndexOfIgnoreCase"
		size = 202
		refs = "001b TDOMStrings.IndexOfIgnoreCase 0046 TList.Get 0057 @UStrLAsg 0088 CompareText 00b4 @UStrArrayClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 EC FF FF FF FF 8B 45 F4 8B 40 04 8B 70 08 4E 85 F6 7C 64 46 33 FF 8B 45 F4 8B 40 04 8B D7 E8 ?? ?? ?? ?? 8B D8 85 DB 74 4A 8D 45 FC 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 13 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 05 89 7D EC EB 04 47 4E 75 9F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 EC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49725_0 {
	meta:
		name = "TDOMStrings.IndexOf"
		size = 83
		refs = "0028 TList.Get 0038 @UStrEqual"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B E8 C7 44 24 04 FF FF FF FF 8B 45 04 8B 70 08 4E 85 F6 7C 29 46 33 FF 8B 45 04 8B D7 E8 ?? ?? ?? ?? 8B D8 85 DB 74 12 8B 04 24 8B 13 E8 ?? ?? ?? ?? 75 06 89 7C 24 04 EB 04 47 4E 75 DA 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49727_0 {
	meta:
		name = "TDOMStrings.Clear"
		size = 60
		refs = "0019 TList.Get 0023 TWString 0028 @Dispose"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 04 8B 58 08 4B 85 DB 7C 20 43 33 F6 8B 47 04 8B D6 E8 ?? ?? ?? ?? 85 C0 74 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 E3 8B 47 04 8B 10 FF 52 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49728_0 {
	meta:
		name = "TDOMStrings.Insert"
		size = 141
		refs = "000d TDOMStrings.Insert 0027 SWideStringOutOfBounds 002c LoadResString 0036 _Dn_Exception 003b Exception.Create 0040 @RaiseExcept 004f TList.Get 005e @UStrAsg 0067 TDOMStrings.Add 007c @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 D2 7C 08 8B 48 04 3B 51 08 7E 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 48 04 3B 51 08 7D 18 8B C1 E8 ?? ?? ?? ?? 8B D8 85 DB 74 12 8B C3 8B D6 E8 ?? ?? ?? ?? EB 07 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_49729_0 {
	meta:
		name = "Finalization"
		size = 199
		refs = "0007 Finalization 0013 _DV_9 001e SOAPWSDLNamespaces 0029 string 002e @FinalizeArray 0033 ReservedWords 0048 Directives 005d OtherReservedWords 0072 Operators 0087 ScalarArrayTypes 009c DynArrayTypes 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 93 00 00 00 B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 43 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 2C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_49734_0 {
	meta:
		name = "NewQualifiedName"
		size = 59
		refs = "000c _DV_TQualifiedName 0011 TObject.Create 0021 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C3 E8 ?? ?? ?? ?? 8B 03 8B D6 8B 08 FF 51 10 8B 03 8B D7 8B 08 FF 51 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49735_0 {
	meta:
		name = "NewHeaderInfo"
		size = 33
		refs = "0006 _DV_THeaderInfo 000b TObject.Create 001b @IntfCopy"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA DC 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_49740_0 {
	meta:
		name = "TWSDLItems.Create"
		size = 172
		refs = "000f @ClassCreate 001b TWSDLItems.Create 002a TXMLDocument.Create 0032 GetDefaultStreamLoader 0040 @IntfCopy 0045 GetWSDLLookup 005e @IntfCast 0073 @IntfClear 0079 @HandleFinally 0086 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 86 E0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 86 E4 00 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 59 27 74 0A 54 AD 58 44 AF 5E C2 BC 97 11 57 D2 }
	condition:
		$1
}

rule function_49741_0 {
	meta:
		name = "TWSDLItems.Create"
		size = 130
		refs = "000f @ClassCreate 0024 TXMLDocument.Create 0035 @IntfCopy 006a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 08 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 85 FF 74 0F 8D 83 E0 00 00 00 8B D7 E8 ?? ?? ?? ?? EB 15 85 F6 74 11 8D 83 E0 00 00 00 8B 96 E0 00 00 00 E8 ?? ?? ?? ?? 8D 83 E4 00 00 00 8B 96 E4 00 00 00 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_49742_0 {
	meta:
		name = "TWSDLItems.Load"
		size = 362
		refs = "001d TWSDLItems.Load 002a _Dn_TMemoryStream 002f TObject.Create 0059 @WStrFromUStr 008b TXMLDocument.LoadFromStream 0095 SEmptyWSDL 009a LoadResString 00a4 _Dn_Exception 00a9 Exception.Create 00ae @RaiseExcept 00b8 TXMLDocument.SetFileName 00c7 @HandleOnException 00f7 SCantLoadLocation 010b Exception.CreateFmt 0115 @DoneExcept 012a TObject.Free 0130 @HandleFinally 0147 @UStrClr 0157 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D DC 89 4D F0 89 4D F4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 83 E0 00 00 00 8B 4D F8 8B 30 FF 56 0C 8B 45 F8 8B 10 FF 12 83 FA 00 75 07 83 F8 00 76 12 EB 02 7E 0E 33 C9 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 53 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 FC 89 45 E0 C6 45 E4 11 8B 43 04 89 45 E8 C6 45 EC 11 8D 45 E0 50 6A 01 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49743_0 {
	meta:
		name = "HasDefinition"
		size = 236
		refs = "000e HasDefinition 005b @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 83 7D FC 00 74 1C 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 3C 83 7D F8 00 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 77 00 73 00 64 00 6C 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 64 00 65 00 66 00 69 00 6E 00 69 00 74 00 69 00 6F 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_49744_0 {
	meta:
		name = "HasDefinition"
		size = 77
		refs = "000c HasDefinition 003b @IntfClear 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 10 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_49746_0 {
	meta:
		name = "TWSDLItems.GetWSDLDoc"
		size = 28
		refs = "0015 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B D3 85 D2 74 06 81 EA 28 FF FF FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49747_0 {
	meta:
		name = "TWSDLItems.GetName"
		size = 104
		refs = "0011 TWSDLItems.GetName 0021 TWSDLDocument.GetDefinition 0039 @UStrFromWStr 004e @IntfClear 0056 @WStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC 8B 08 FF 91 B0 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_49748_0 {
	meta:
		name = "TWSDLItems.GetTargetNamespace"
		size = 104
		refs = "0011 TWSDLItems.GetTargetNamespace 0021 TWSDLDocument.GetDefinition 0039 @UStrFromWStr 004e @IntfClear 0056 @WStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC 8B 08 FF 91 AC 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_49749_0 {
	meta:
		name = "TWSDLItems.GetTargetNamespacePrefix"
		size = 161
		refs = "0013 TWSDLItems.GetTargetNamespacePrefix 0020 @UStrClr 002a TWSDLItems.GetTargetNamespace 0038 TWSDLDocument.GetDefinition 0062 ExtractLocalName 007f @IntfClear 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8D 4D FC 5A 8B 18 FF 93 80 00 00 00 83 7D FC 00 74 15 8D 55 F0 8B 45 FC 8B 08 FF 51 34 8B 45 F0 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49750_0 {
	meta:
		name = "TWSDLItems.CompareName"
		size = 301
		refs = "0021 TWSDLItems.CompareName 0033 ExtractLocalName 0049 @UStrEqual 0059 ExtractPrefix 0085 TWSDLItems.GetTargetNamespace 0091 TWSDLDocument.GetDefinition 00b0 @UStrLAsg 00e7 SameNamespace 00ff IDefinition 0109 @FinalizeArray 0116 @UStrArrayClr 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E4 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 0F 85 9A 00 00 00 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F0 E8 ?? ?? ?? ?? 75 04 B3 01 EB 74 83 7D F4 00 75 0C 8D 55 EC 8B C6 E8 ?? ?? ?? ?? EB 18 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 8D 4D EC 8B 55 F4 8B 18 FF 53 7C 83 7D 08 00 74 0D 8D 45 E8 8B 55 08 E8 ?? ?? ?? ?? EB 2A 83 7D F0 00 75 0C 8D 55 E8 8B C6 E8 ?? ?? ?? ?? EB 18 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 DC 8D 4D E8 8B 55 F0 8B 18 FF 53 7C 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_49751_0 {
	meta:
		name = "TWSDLItems.MakeTNSName"
		size = 85
		refs = "0012 TWSDLItems.MakeTNSName 0022 TWSDLItems.GetTargetNamespacePrefix 002e MakeNodeName 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B CF 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_49752_0 {
	meta:
		name = "InternalGetServices"
		size = 332
		refs = "0024 @IntfAddRef 002c InternalGetServices 0048 TWSDLDocument.GetDefinition 00a4 @UStrFromWStr 00b2 TWSDLItems.MakeTNSName 00bd TDOMStrings.Add 00fc @WStrClr 0104 @UStrClr 0119 @UStrArrayClr 0121 @IntfClear 013f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 88 4D EF 89 55 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 89 45 E8 8D 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 F8 8B 08 FF 91 C8 00 00 00 83 7D F8 00 0F 84 87 00 00 00 8B 45 F8 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 7C 75 43 33 F6 8D 4D F4 8B D6 8B 45 F8 8B 38 FF 97 C0 00 00 00 80 7D EF 00 74 34 8D 55 D8 8B 45 F4 8B 08 FF 91 B0 00 00 00 8B 55 D8 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8D 4D E0 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F0 E8 ?? ?? ?? ?? EB 24 8D 55 D0 8B 45 F4 8B 08 FF 91 B0 00 00 00 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F0 E8 ?? ?? ?? ?? 46 4B 75 8E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49753_0 {
	meta:
		name = "TWSDLItems.GetServices"
		size = 287
		refs = "0020 TWSDLItems.GetServices 003d InternalGetServices 0075 TXMLDocument.GetFileName 00a7 TList<System.string>.GetItem 00c0 HasDefinition 0104 @UStrArrayClr 010c @IntfClear 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D FC 88 4D F7 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 85 C0 74 05 2D 18 FF FF FF 0F B6 4D F7 8B 55 F8 E8 ?? ?? ?? ?? C6 45 EB 00 8B 83 E4 00 00 00 8B 10 FF 52 2C 84 C0 74 1B 8B D3 85 D2 74 06 81 EA 18 FF FF FF 8B 83 E4 00 00 00 8B 08 FF 51 10 C6 45 EB 01 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B 83 E4 00 00 00 8B 08 FF 51 28 89 45 EC 8B 45 EC 8B 70 08 4E 85 F6 7C 48 46 C7 45 F0 00 00 00 00 8D 4D E0 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E0 8D 4D FC 8B 83 E4 00 00 00 8B 38 FF 57 24 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0F 0F B6 4D F7 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? FF 45 F0 4E 75 C0 80 7D EB 00 74 0B 8B 83 E4 00 00 00 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49754_0 {
	meta:
		name = "TWSDLItems.GetServiceNode"
		size = 296
		refs = "0022 TWSDLItems.GetServiceNode 0032 TWSDLDocument.GetDefinition 007e @UStrFromWStr 0089 @UStrEqual 00ab @IntfCast 00bc @IntfCopy 00d2 IService 00dc @FinalizeArray 00e4 @WStrClr 00ec @UStrClr 00f4 @IntfClear 010a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 FC 8B 08 FF 91 C8 00 00 00 8B 45 FC 8B 10 FF 92 AC 00 00 00 8B F0 4E 85 F6 7C 5F 46 33 DB 8D 4D E0 8B D3 8B 45 FC 8B 38 FF 97 C0 00 00 00 8B 45 E0 8D 55 E4 8B 08 FF 91 B0 00 00 00 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 75 22 8D 4D DC 8B D3 8B 45 FC 8B 30 FF 96 C0 00 00 00 8B 55 DC 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 43 4E 75 A4 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5F 5E 5B 8B E5 5D C3 00 C0 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_49755_0 {
	meta:
		name = "InternalGetPortsForService"
		size = 592
		refs = "0024 @IntfAddRef 002c InternalGetPortsForService 0046 TWSDLDocument.GetDefinition 00a9 @UStrFromWStr 00b6 TWSDLItems.CompareName 0121 TWSDLItems.MakeTNSName 013c TWSDLItems.GetBindingForServicePort 014b TWSDLItems.GetHttpBindingAttribute 0162 TDOMStrings.Add 01b3 @WStrClr 01bb @UStrClr 01c3 @IntfClear 0229 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E0 89 55 E4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 8B D8 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 45 D0 8D 55 F8 8B 08 FF 91 C8 00 00 00 83 7D F8 00 0F 84 40 01 00 00 8B 45 F8 8B 10 FF 92 AC 00 00 00 48 85 C0 0F 8C 2C 01 00 00 40 89 45 D4 C7 45 D8 00 00 00 00 8D 4D F4 8B 55 D8 8B 45 F8 8B 30 FF 96 C0 00 00 00 6A 00 8D 55 C8 8B 45 F4 8B 08 FF 91 B0 00 00 00 8B 55 C8 8D 45 CC E8 ?? ?? ?? ?? 8B 55 CC 8B 4D E4 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 D4 00 00 00 8D 55 F0 8B 45 F4 8B 08 FF 91 B4 00 00 00 8B 45 F0 8B 10 FF 92 AC 00 00 00 8B F0 4E 85 F6 0F 8C B0 00 00 00 46 C7 45 DC 00 00 00 00 8D 4D EC 8B 55 DC 8B 45 F0 8B 38 FF 97 C0 00 00 00 8D 55 C0 8B 45 EC 8B 08 FF 91 B0 00 00 00 8B 55 C0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8D 4D E8 8B C3 E8 ?? ?? ?? ?? 80 7D 0C 00 74 2A 8D 45 BC 50 8D 45 B8 50 8B 4D E8 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 B8 B9 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D BC 00 75 37 80 7D 08 00 74 0D 8B 55 E8 8B 45 E0 E8 ?? ?? ?? ?? EB 24 8D 55 B0 8B 45 EC 8B 08 FF 91 B0 00 00 00 8B 55 B0 8D 45 B4 E8 ?? ?? ?? ?? 8B 55 B4 8B 45 E0 E8 ?? ?? ?? ?? FF 45 DC 4E 0F 85 58 FF FF FF FF 45 D8 FF 4D D4 0F 85 DF FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 80 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 04 00 00 00 76 00 65 00 72 00 62 00 00 00 00 00 }
	condition:
		$1
}

rule function_49756_0 {
	meta:
		name = "TWSDLItems.GetPortsForService"
		size = 307
		refs = "0020 TWSDLItems.GetPortsForService 0046 InternalGetPortsForService 007e TXMLDocument.GetFileName 00b0 TList<System.string>.GetItem 00c9 HasDefinition 0116 @UStrArrayClr 011e @IntfClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D FC 89 4D F4 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 0C 50 0F B6 45 08 50 8B C3 85 C0 74 05 2D 18 FF FF FF 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? C6 45 EB 00 8B 83 E4 00 00 00 8B 10 FF 52 2C 84 C0 74 1B 8B D3 85 D2 74 06 81 EA 18 FF FF FF 8B 83 E4 00 00 00 8B 08 FF 51 10 C6 45 EB 01 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B 83 E4 00 00 00 8B 08 FF 51 28 89 45 EC 8B 45 EC 8B 70 08 4E 85 F6 7C 51 46 C7 45 F0 00 00 00 00 8D 4D E0 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E0 8D 4D FC 8B 83 E4 00 00 00 8B 38 FF 57 24 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 18 0F B6 45 0C 50 0F B6 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? FF 45 F0 4E 75 B7 80 7D EB 00 74 0B 8B 83 E4 00 00 00 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_49757_0 {
	meta:
		name = "InternalGetBindingForServicePort"
		size = 534
		refs = "0023 @IntfAddRef 002b InternalGetBindingForServicePort 0039 @IntfClear 004f TWSDLDocument.GetDefinition 00b2 @UStrFromWStr 00c0 TWSDLItems.CompareName 016f NewQualifiedName 0196 @WStrClr 019e @UStrClr 01bf IService 01c9 @FinalizeArray 0207 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E8 89 55 EC 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 89 45 E0 8D 55 D8 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 F8 8B 08 FF 91 C8 00 00 00 83 7D F8 00 0F 84 1A 01 00 00 8B 45 F8 8B 10 FF 92 AC 00 00 00 48 85 C0 0F 8C 06 01 00 00 40 89 45 DC C7 45 E4 00 00 00 00 6A 00 8D 4D CC 8B 55 E4 8B 45 F8 8B 18 FF 93 C0 00 00 00 8B 45 CC 8D 55 D0 8B 08 FF 91 B0 00 00 00 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 4D EC 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 84 AD 00 00 00 8D 4D C8 8B 55 E4 8B 45 F8 8B 18 FF 93 C0 00 00 00 8B 45 C8 8D 55 F4 8B 08 FF 91 B4 00 00 00 8B 45 F4 8B 10 FF 92 AC 00 00 00 8B F0 4E 85 F6 7C 7C 46 33 DB 6A 00 8D 4D BC 8B D3 8B 45 F4 8B 38 FF 97 C0 00 00 00 8B 45 BC 8D 55 C0 8B 08 FF 91 B0 00 00 00 8B 55 C0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8B 4D E8 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 74 38 8D 4D F0 8B D3 8B 45 F4 8B 18 FF 93 C0 00 00 00 8D 55 B4 8B 45 F0 8B 08 FF 91 B4 00 00 00 8B 55 B4 8D 45 B8 E8 ?? ?? ?? ?? 8B 45 B8 8B 4D 08 33 D2 E8 ?? ?? ?? ?? EB 10 43 4E 75 87 FF 45 E4 FF 4D DC 0F 85 05 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 85 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_49758_0 {
	meta:
		name = "TWSDLItems.GetBindingForServicePort"
		size = 315
		refs = "0020 TWSDLItems.GetBindingForServicePort 0040 InternalGetBindingForServicePort 0084 TXMLDocument.GetFileName 00b6 TList<System.string>.GetItem 00cf HasDefinition 011e @UStrArrayClr 0126 @IntfClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D FC 89 4D F4 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B C3 85 C0 74 05 2D 18 FF FF FF 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 83 38 00 0F 85 B8 00 00 00 C6 45 EB 00 8B 83 E4 00 00 00 8B 10 FF 52 2C 84 C0 74 1B 8B D3 85 D2 74 06 81 EA 18 FF FF FF 8B 83 E4 00 00 00 8B 08 FF 51 10 C6 45 EB 01 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B 83 E4 00 00 00 8B 08 FF 51 28 89 45 EC 8B 45 EC 8B 70 08 4E 85 F6 7C 53 46 C7 45 F0 00 00 00 00 8D 4D E0 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E0 8D 4D FC 8B 83 E4 00 00 00 8B 38 FF 57 24 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 83 38 00 75 17 FF 45 F0 4E 75 B5 80 7D EB 00 74 0B 8B 83 E4 00 00 00 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_49759_0 {
	meta:
		name = "InternalGetSoapAddressForServicePort"
		size = 1044
		refs = "0024 @IntfAddRef 002c InternalGetSoapAddressForServicePort 003a @UStrClr 0050 TWSDLDocument.GetDefinition 00b3 @UStrFromWStr 00c1 TWSDLItems.CompareName 00fd SOAPWSDLNamespaces 01d3 @VarToUStr 0305 @VarClr 030d @IntfClear 031e IPort 0328 @FinalizeArray 0330 @WStrClr 037c IService 03c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 11 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E8 89 55 EC 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 89 45 DC 8D 55 D0 8B 45 DC E8 ?? ?? ?? ?? 8B 45 D0 8D 55 F8 8B 08 FF 91 C8 00 00 00 83 7D F8 00 0F 84 85 02 00 00 8B 45 F8 8B 10 FF 92 AC 00 00 00 48 85 C0 0F 8C 71 02 00 00 40 89 45 D8 C7 45 E4 00 00 00 00 6A 00 8D 4D C4 8B 55 E4 8B 45 F8 8B 18 FF 93 C0 00 00 00 8B 45 C4 8D 55 C8 8B 08 FF 91 B0 00 00 00 8B 55 C8 8D 45 CC E8 ?? ?? ?? ?? 8B 55 CC 8B 4D EC 8B 45 DC E8 ?? ?? ?? ?? 84 C0 0F 84 18 02 00 00 8D 4D C0 8B 55 E4 8B 45 F8 8B 18 FF 93 C0 00 00 00 8B 45 C0 8D 55 F0 8B 08 FF 91 B4 00 00 00 8B 45 0C 80 38 00 0F 85 0B 01 00 00 C6 45 E3 02 A1 ?? ?? ?? ?? 83 C0 08 89 45 D4 8B 45 D4 83 38 00 0F 84 DA 00 00 00 8B 45 F0 8B 10 FF 92 AC 00 00 00 8B F0 4E 85 F6 0F 8C C4 00 00 00 46 33 DB 6A 00 8D 4D B4 8B D3 8B 45 F0 8B 38 FF 97 C0 00 00 00 8B 45 B4 8D 55 B8 8B 08 FF 91 B0 00 00 00 8B 55 B8 8D 45 BC E8 ?? ?? ?? ?? 8B 55 BC 8B 4D E8 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 7C 8D 4D B0 8B D3 8B 45 F0 8B 38 FF 97 C0 00 00 00 8B 45 B0 8B 10 FF 52 24 84 C0 74 60 8D 45 F4 50 8D 4D A8 8B D3 8B 45 F0 8B 38 FF 97 C0 00 00 00 8B 45 A8 8D 55 AC 8B 08 FF 51 14 8B 45 AC 8B 55 D4 8B 0A BA ?? ?? ?? ?? 8B 38 FF 57 3C 83 7D F4 00 74 29 8D 4D 98 BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 0C 8D 55 98 8B 45 08 E8 ?? ?? ?? ?? 0F B6 45 E3 8B 55 0C 88 02 E9 0C 01 00 00 43 4E 0F 85 3F FF FF FF FE 4D E3 83 6D D4 04 80 7D E3 FF 0F 85 09 FF FF FF E9 E2 00 00 00 8B 45 F0 8B 10 FF 92 AC 00 00 00 8B F0 4E 85 F6 0F 8C CC 00 00 00 46 33 DB 6A 00 8D 4D 8C 8B D3 8B 45 F0 8B 38 FF 97 C0 00 00 00 8B 45 8C 8D 55 90 8B 08 FF 91 B0 00 00 00 8B 55 90 8D 45 94 E8 ?? ?? ?? ?? 8B 55 94 8B 4D E8 8B 45 DC E8 ?? ?? ?? ?? 84 C0 0F 84 80 00 00 00 8D 4D 88 8B D3 8B 45 F0 8B 38 FF 97 C0 00 00 00 8B 45 88 8B 10 FF 52 24 84 C0 74 64 8D 45 F4 50 8D 4D 80 8B D3 8B 45 F0 8B 38 FF 97 C0 00 00 00 8B 45 80 8D 55 84 8B 08 FF 51 14 8B 45 84 8B 55 0C 0F B6 12 8B 0D ?? ?? ?? ?? 8B 0C 91 BA ?? ?? ?? ?? 8B 38 FF 57 3C 83 7D F4 00 74 23 8D 8D 70 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 0C 8D 95 70 FF FF FF 8B 45 08 E8 ?? ?? ?? ?? EB 14 43 4E 0F 85 37 FF FF FF FF 45 E4 FF 4D D8 0F 85 9A FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 88 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 31 FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 61 00 64 00 64 00 72 00 65 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_49760_0 {
	meta:
		name = "TWSDLItems.GetSoapAddressForServicePort"
		size = 323
		refs = "0020 TWSDLItems.GetSoapAddressForServicePort 0044 InternalGetSoapAddressForServicePort 0088 TXMLDocument.GetFileName 00ba TList<System.string>.GetItem 00d3 HasDefinition 0126 @UStrArrayClr 012e @IntfClear 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D FC 89 4D F4 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 45 08 50 8B C3 85 C0 74 05 2D 18 FF FF FF 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 83 38 00 0F 85 BC 00 00 00 C6 45 EB 00 8B 83 E4 00 00 00 8B 10 FF 52 2C 84 C0 74 1B 8B D3 85 D2 74 06 81 EA 18 FF FF FF 8B 83 E4 00 00 00 8B 08 FF 51 10 C6 45 EB 01 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B 83 E4 00 00 00 8B 08 FF 51 28 89 45 EC 8B 45 EC 8B 70 08 4E 85 F6 7C 57 46 C7 45 F0 00 00 00 00 8D 4D E0 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E0 8D 4D FC 8B 83 E4 00 00 00 8B 38 FF 57 24 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1E 8B 45 0C 50 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 83 38 00 75 17 FF 45 F0 4E 75 B1 80 7D EB 00 74 0B 8B 83 E4 00 00 00 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_49761_0 {
	meta:
		name = "TWSDLItems.GetMessages"
		size = 256
		refs = "0023 TWSDLItems.GetMessages 0034 TWSDLDocument.GetDefinition 0080 @UStrFromWStr 0094 TWSDLItems.MakeTNSName 009f TDOMStrings.Add 00c5 @UStrClr 00cd @IntfClear 00d5 @WStrClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 88 4D EF 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 FC 8B 08 FF 91 BC 00 00 00 8B 45 FC 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 7C 5C 43 33 F6 8D 4D E0 8B D6 8B 45 FC 8B 38 FF 97 C0 00 00 00 8B 45 E0 8D 55 E4 8B 08 FF 91 B0 00 00 00 8B 55 E4 8D 45 F8 E8 ?? ?? ?? ?? 80 7D EF 00 74 1B 8D 4D DC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F0 E8 ?? ?? ?? ?? EB 0B 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 46 4B 75 A7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49762_0 {
	meta:
		name = "TWSDLItems.GetMessageNode"
		size = 308
		refs = "0024 TWSDLItems.GetMessageNode 0035 TWSDLDocument.GetDefinition 0083 @UStrFromWStr 0091 TWSDLItems.CompareName 00b5 @IntfCast 00c6 @IntfCopy 00dc IMessage 00e6 @FinalizeArray 00ee @WStrClr 00f6 @UStrClr 00fe @IntfClear 0114 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 F8 8B 08 FF 91 BC 00 00 00 8B 45 F8 8B 10 FF 92 AC 00 00 00 8B F0 4E 85 F6 7C 66 46 33 DB 6A 00 8D 4D DC 8B D3 8B 45 F8 8B 38 FF 97 C0 00 00 00 8B 45 DC 8D 55 E0 8B 08 FF 91 B0 00 00 00 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 4D F0 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 22 8D 4D D8 8B D3 8B 45 F8 8B 30 FF 96 C0 00 00 00 8B 55 D8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 43 4E 75 9D 8B 45 EC 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5F 5E 5B 8B E5 5D C3 00 00 00 C0 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_49763_0 {
	meta:
		name = "TWSDLItems.GetParts"
		size = 476
		refs = "0024 TWSDLItems.GetParts 0032 @IntfClear 003d TWSDLDocument.GetDefinition 008b @UStrFromWStr 0099 TWSDLItems.CompareName 011d TWSDLItems.MakeTNSName 0128 TDOMStrings.Add 0167 @WStrClr 016f @UStrClr 0184 @UStrArrayClr 018d IMessage 0197 @FinalizeArray 01cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E8 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 FC 8B 08 FF 91 BC 00 00 00 8B 45 FC 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 7C 64 43 33 F6 6A 00 8D 4D D8 8B D6 8B 45 FC 8B 38 FF 97 C0 00 00 00 8B 45 D8 8D 55 DC 8B 08 FF 91 B0 00 00 00 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B 4D EC 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 20 8D 4D D4 8B D6 8B 45 FC 8B 18 FF 93 C0 00 00 00 8B 45 D4 8D 55 F8 8B 08 FF 91 B4 00 00 00 EB 04 46 4B 75 9F 83 7D F8 00 0F 84 87 00 00 00 8B 45 F8 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 7C 75 43 33 F6 8D 4D F4 8B D6 8B 45 F8 8B 38 FF 97 C0 00 00 00 80 7D 08 00 74 34 8D 55 C8 8B 45 F4 8B 08 FF 91 B0 00 00 00 8B 55 C8 8D 45 CC E8 ?? ?? ?? ?? 8B 55 CC 8D 4D D0 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 E8 E8 ?? ?? ?? ?? EB 24 8D 55 C0 8B 45 F4 8B 08 FF 91 B0 00 00 00 8B 55 C0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 E8 E8 ?? ?? ?? ?? 46 4B 75 8E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 90 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_49764_0 {
	meta:
		name = "TWSDLItems.GetPartNode"
		size = 472
		refs = "0024 TWSDLItems.GetPartNode 0032 @IntfClear 0045 TWSDLDocument.GetDefinition 0093 @UStrFromWStr 00a1 TWSDLItems.CompareName 0141 @IntfCast 015d IPart 0167 @FinalizeArray 016f @WStrClr 0177 @UStrClr 0180 IMessage 01b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 FC 8B 08 FF 91 BC 00 00 00 8B 45 FC 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 7C 64 43 33 F6 6A 00 8D 4D DC 8B D6 8B 45 FC 8B 38 FF 97 C0 00 00 00 8B 45 DC 8D 55 E0 8B 08 FF 91 B0 00 00 00 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 4D F0 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 20 8D 4D D8 8B D6 8B 45 FC 8B 18 FF 93 C0 00 00 00 8B 45 D8 8D 55 F8 8B 08 FF 91 B4 00 00 00 EB 04 46 4B 75 9F 83 7D F8 00 74 78 8B 45 F8 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 7C 66 43 33 F6 6A 00 8D 4D CC 8B D6 8B 45 F8 8B 38 FF 97 C0 00 00 00 8B 45 CC 8D 55 D0 8B 08 FF 91 B0 00 00 00 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 22 8D 4D C8 8B D6 8B 45 F8 8B 18 FF 93 C0 00 00 00 8B 55 C8 8B 45 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 46 4B 75 9D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9A 5F 5E 5B 8B E5 5D C2 04 00 00 C0 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_49765_0 {
	meta:
		name = "TWSDLItems.IsPortTypeHTTPBound"
		size = 200
		refs = "0014 TWSDLItems.IsPortTypeHTTPBound 002c TWSDLItems.GetTargetNamespace 0038 TWSDLItems.GetBindingOfType 0040 @DynArrayLength 0060 TWSDLItems.GetHttpBindingAttribute 008a @UStrArrayClr 0093 IQualifiedNameArray 0098 @DynArrayClear 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8D 45 FC 50 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 4D F4 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 29 43 33 F6 8D 45 F0 50 8B 45 FC 8B 14 B0 B9 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 7D F0 00 74 06 C6 45 FB 01 EB 04 46 4B 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 76 00 65 00 72 00 62 00 00 00 00 00 }
	condition:
		$1
}

rule function_49766_0 {
	meta:
		name = "InternalGetPortTypes"
		size = 311
		refs = "0024 @IntfAddRef 002c InternalGetPortTypes 0046 TWSDLDocument.GetDefinition 0098 @UStrFromWStr 00a8 TWSDLItems.IsPortTypeHTTPBound 00bf TWSDLItems.MakeTNSName 00ca TDOMStrings.Add 00f2 @UStrClr 00fa @IntfClear 0102 @WStrClr 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 88 4D EF 89 55 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 8B F0 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 F8 8B 08 FF 91 C0 00 00 00 8B 45 F8 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 7C 77 43 C7 45 E8 00 00 00 00 8D 4D DC 8B 55 E8 8B 45 F8 8B 38 FF 97 C0 00 00 00 8B 45 DC 8D 55 E0 8B 08 FF 91 B0 00 00 00 8B 55 E0 8D 45 F4 E8 ?? ?? ?? ?? 80 7D EF 00 74 0E 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 84 C0 75 2B 80 7D 08 00 74 1A 8D 4D D8 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F0 E8 ?? ?? ?? ?? EB 0B 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? FF 45 E8 4B 75 91 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_49767_0 {
	meta:
		name = "TWSDLItems.GetPortTypes"
		size = 299
		refs = "0020 TWSDLItems.GetPortTypes 0042 InternalGetPortTypes 007a TXMLDocument.GetFileName 00ac TList<System.string>.GetItem 00c5 HasDefinition 010e @UStrArrayClr 0116 @IntfClear 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D FC 88 4D F7 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 08 50 8B C3 85 C0 74 05 2D 18 FF FF FF 0F B6 4D F7 8B 55 F8 E8 ?? ?? ?? ?? C6 45 EB 00 8B 83 E4 00 00 00 8B 10 FF 52 2C 84 C0 74 1B 8B D3 85 D2 74 06 81 EA 18 FF FF FF 8B 83 E4 00 00 00 8B 08 FF 51 10 C6 45 EB 01 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B 83 E4 00 00 00 8B 08 FF 51 28 89 45 EC 8B 45 EC 8B 70 08 4E 85 F6 7C 4D 46 C7 45 F0 00 00 00 00 8D 4D E0 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E0 8D 4D FC 8B 83 E4 00 00 00 8B 38 FF 57 24 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 14 0F B6 45 08 50 0F B6 4D F7 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? FF 45 F0 4E 75 BB 80 7D EB 00 74 0B 8B 83 E4 00 00 00 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_49768_0 {
	meta:
		name = "TWSDLItems.GetPortTypeNode"
		size = 296
		refs = "0023 TWSDLItems.GetPortTypeNode 0031 @IntfClear 003c TWSDLDocument.GetDefinition 008a @UStrFromWStr 0098 TWSDLItems.CompareName 00bc @IntfCast 00d8 IPortType 00e2 @FinalizeArray 00ea @WStrClr 00f2 @UStrClr 0108 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 FC 8B 08 FF 91 C0 00 00 00 8B 45 FC 8B 10 FF 92 AC 00 00 00 8B F0 4E 85 F6 7C 66 46 33 DB 6A 00 8D 4D E0 8B D3 8B 45 FC 8B 38 FF 97 C0 00 00 00 8B 45 E0 8D 55 E4 8B 08 FF 91 B0 00 00 00 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 4D F4 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 22 8D 4D DC 8B D3 8B 45 FC 8B 18 FF 93 C0 00 00 00 8B 55 DC 8B 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 43 4E 75 9D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5F 5E 5B 8B E5 5D C3 00 00 00 C0 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_49769_0 {
	meta:
		name = "TWSDLItems.GetOperations"
		size = 468
		refs = "0024 TWSDLItems.GetOperations 0035 TWSDLDocument.GetDefinition 0083 @UStrFromWStr 0091 TWSDLItems.CompareName 0115 TWSDLItems.MakeTNSName 0120 TDOMStrings.Add 015f @WStrClr 0167 @UStrClr 017c @UStrArrayClr 0185 IPortType 018f @FinalizeArray 01a7 @IntfClear 01c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E8 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 FC 8B 08 FF 91 C0 00 00 00 8B 45 FC 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 7C 64 43 33 F6 6A 00 8D 4D D8 8B D6 8B 45 FC 8B 38 FF 97 C0 00 00 00 8B 45 D8 8D 55 DC 8B 08 FF 91 B0 00 00 00 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B 4D EC 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 20 8D 4D D4 8B D6 8B 45 FC 8B 18 FF 93 C0 00 00 00 8B 45 D4 8D 55 F8 8B 08 FF 91 B4 00 00 00 EB 04 46 4B 75 9F 83 7D F8 00 0F 84 87 00 00 00 8B 45 F8 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 7C 75 43 33 F6 8D 4D F4 8B D6 8B 45 F8 8B 38 FF 97 C0 00 00 00 80 7D 08 00 74 34 8D 55 C8 8B 45 F4 8B 08 FF 91 B0 00 00 00 8B 55 C8 8D 45 CC E8 ?? ?? ?? ?? 8B 55 CC 8D 4D D0 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 E8 E8 ?? ?? ?? ?? EB 24 8D 55 C0 8B 45 F4 8B 08 FF 91 B0 00 00 00 8B 55 C0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 E8 E8 ?? ?? ?? ?? 46 4B 75 8E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 90 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_49770_0 {
	meta:
		name = "TWSDLItems.GetOperationNode"
		size = 464
		refs = "0024 TWSDLItems.GetOperationNode 0032 @IntfClear 003d TWSDLDocument.GetDefinition 008b @UStrFromWStr 0099 TWSDLItems.CompareName 0139 @IntfCast 0155 IOperation 015f @FinalizeArray 0167 @WStrClr 016f @UStrClr 0178 IPortType 01b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 FC 8B 08 FF 91 C0 00 00 00 8B 45 FC 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 7C 64 43 33 F6 6A 00 8D 4D DC 8B D6 8B 45 FC 8B 38 FF 97 C0 00 00 00 8B 45 DC 8D 55 E0 8B 08 FF 91 B0 00 00 00 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 4D F0 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 20 8D 4D D8 8B D6 8B 45 FC 8B 18 FF 93 C0 00 00 00 8B 45 D8 8D 55 F8 8B 08 FF 91 B4 00 00 00 EB 04 46 4B 75 9F 83 7D F8 00 74 78 8B 45 F8 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 7C 66 43 33 F6 6A 00 8D 4D CC 8B D6 8B 45 F8 8B 38 FF 97 C0 00 00 00 8B 45 CC 8D 55 D0 8B 08 FF 91 B0 00 00 00 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 22 8D 4D C8 8B D6 8B 45 F8 8B 18 FF 93 C0 00 00 00 8B 55 C8 8B 45 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 46 4B 75 9D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9A 5F 5E 5B 8B E5 5D C2 04 00 00 C0 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_49771_0 {
	meta:
		name = "InternalGetPartsForOperation"
		size = 644
		refs = "0024 @IntfAddRef 002c InternalGetPartsForOperation 004c TWSDLDocument.GetDefinition 009a @UStrFromWStr 00a8 TWSDLItems.CompareName 0173 @WStrEqual 01bc TWSDLItems.GetParts 01dd @IntfClear 01ed @WStrClr 01f5 @UStrClr 022e IPortType 0238 @FinalizeArray 026e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D EC 89 55 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EB 00 8B 45 FC 8B 10 FF 52 0C 89 45 E4 8D 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 F8 8B 08 FF 91 C0 00 00 00 8B 45 F8 8B 10 FF 92 AC 00 00 00 8B F0 4E 85 F6 7C 64 46 33 DB 6A 00 8D 4D D4 8B D3 8B 45 F8 8B 38 FF 97 C0 00 00 00 8B 45 D4 8D 55 D8 8B 08 FF 91 B0 00 00 00 8B 55 D8 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 4D F0 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 20 8D 4D D0 8B D3 8B 45 F8 8B 30 FF 96 C0 00 00 00 8B 45 D0 8D 55 F4 8B 08 FF 91 B4 00 00 00 EB 04 43 4E 75 9F 83 7D F4 00 0F 85 EE 00 00 00 8B 45 F4 8B 10 FF 92 AC 00 00 00 8B F0 4E 85 F6 0F 8C D8 00 00 00 46 33 DB 6A 00 8D 4D C4 8B D3 8B 45 F4 8B 38 FF 97 C0 00 00 00 8B 45 C4 8D 55 C8 8B 08 FF 91 B0 00 00 00 8B 55 C8 8D 45 CC E8 ?? ?? ?? ?? 8B 55 CC 8B 4D EC 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 0F 84 8C 00 00 00 3B 5D 0C 0F 85 83 00 00 00 8D 4D B8 8B D3 8B 45 F4 8B 38 FF 97 C0 00 00 00 8B 45 B8 8D 55 BC 8B 08 FF 91 B4 00 00 00 8B 45 BC 8D 55 C0 8B 08 FF 91 B4 00 00 00 8B 45 C0 33 D2 E8 ?? ?? ?? ?? 74 4B 6A 00 8D 4D A8 8B D3 8B 45 F4 8B 38 FF 97 C0 00 00 00 8B 45 A8 8D 55 AC 8B 08 FF 91 B4 00 00 00 8B 45 AC 8D 55 B0 8B 08 FF 91 B4 00 00 00 8B 55 B0 8D 45 B4 E8 ?? ?? ?? ?? 8B 55 B4 8B 4D 08 8B 45 E4 E8 ?? ?? ?? ?? C6 45 EB 01 43 4E 0F 85 2B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 62 FF FF FF 0F B6 45 EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_49772_0 {
	meta:
		name = "TWSDLItems.GetPartsForOperation"
		size = 329
		refs = "0020 TWSDLItems.GetPartsForOperation 0044 InternalGetPartsForOperation 0089 TXMLDocument.GetFileName 00bb TList<System.string>.GetItem 00d4 HasDefinition 0128 @UStrArrayClr 0130 @IntfClear 0136 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D FC 89 4D F4 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 45 08 50 8B C3 85 C0 74 05 2D 18 FF FF FF 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 88 45 F3 80 7D F3 00 0F 85 BD 00 00 00 C6 45 E7 00 8B 83 E4 00 00 00 8B 10 FF 52 2C 84 C0 74 1B 8B D3 85 D2 74 06 81 EA 18 FF FF FF 8B 83 E4 00 00 00 8B 08 FF 51 10 C6 45 E7 01 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8B 83 E4 00 00 00 8B 08 FF 51 28 89 45 E8 8B 45 E8 8B 70 08 4E 85 F6 7C 58 46 C7 45 EC 00 00 00 00 8D 4D DC 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 DC 8D 4D FC 8B 83 E4 00 00 00 8B 38 FF 57 24 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1F 8B 45 0C 50 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 88 45 F3 80 7D F3 00 75 17 FF 45 EC 4E 75 B0 80 7D E7 00 74 0B 8B 83 E4 00 00 00 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_49773_0 {
	meta:
		name = "TWSDLItems.GetImports"
		size = 202
		refs = "0017 TWSDLItems.GetImports 0027 TWSDLDocument.GetDefinition 0073 @UStrFromWStr 007e TDOMStrings.Add 0097 @IntfClear 009f @WStrClr 00a7 @UStrClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 FC 8B 08 FF 91 B4 00 00 00 8B 45 FC 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 7C 3B 43 33 F6 8D 4D E8 8B D6 8B 45 FC 8B 38 FF 97 C0 00 00 00 8B 45 E8 8D 55 EC 8B 08 FF 91 B0 00 00 00 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 46 4B 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49774_0 {
	meta:
		name = "TWSDLItems.IterateImports"
		size = 446
		refs = "001c TWSDLItems.IterateImports 0090 TList<System.string>.GetItem 00c7 _Dn_TMemoryStream 00cc TObject.Create 00e8 @WStrFromUStr 0105 _Dn_TXMLSchemaDoc 010a TXMLDocument.Create 011e @IntfCopy 016a TObject.Free 0170 @HandleFinally 0193 @WStrClr 019b @UStrClr 01a3 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 D2 89 55 DC 89 55 FC 89 55 F8 89 55 F4 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 80 E4 00 00 00 8B 10 FF 52 2C 84 C0 74 21 FF 75 0C FF 75 08 8B 55 F0 85 D2 74 06 81 EA 18 FF FF FF 8B 45 F0 8B 80 E4 00 00 00 8B 08 FF 51 0C 8B 45 F0 8B 80 E4 00 00 00 33 D2 8B 08 FF 51 28 89 45 E4 8B 45 E4 8B 40 08 48 85 C0 0F 8C 07 01 00 00 40 89 45 E0 C7 45 EC 00 00 00 00 8D 4D F4 8B 55 EC 8B 45 E4 E8 ?? ?? ?? ?? 8D 4D FC 8B 45 F0 8B 80 E4 00 00 00 8B 55 F4 8B 18 FF 53 24 83 7D FC 00 74 16 6A 00 8B 45 F4 50 8B 4D FC B2 01 8B 45 0C FF 55 08 E9 B2 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 DC 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F0 8B 80 E0 00 00 00 8B 4D E8 8B 18 FF 53 0C 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 24 FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 33 C9 8B 55 E8 8B 45 F8 8B 18 FF 93 98 00 00 00 B2 01 8B 45 F8 8B 08 FF 51 4C 8B 55 F4 8B 45 F8 8B 08 FF 51 5C 8B 45 F8 50 8B 45 F4 50 33 C9 B2 01 8B 45 0C FF 55 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 EC FF 4D E0 0F 85 04 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_49775_0 {
	meta:
		name = "TWSDLItems.GetLocationForImport"
		size = 294
		refs = "0023 TWSDLItems.GetLocationForImport 0033 TWSDLDocument.GetDefinition 007f @UStrFromWStr 008a @UStrEqual 00c6 @UStrAsg 00db @IntfClear 00e3 @WStrClr 00fb @UStrClr 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F8 8B 08 FF 91 B4 00 00 00 8B 45 F8 8B 10 FF 92 AC 00 00 00 8B F0 4E 85 F6 7C 68 46 33 DB 8D 4D E0 8B D3 8B 45 F8 8B 38 FF 97 C0 00 00 00 8B 45 E0 8D 55 E4 8B 08 FF 91 B0 00 00 00 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 75 2B 8D 4D D8 8B D3 8B 45 F8 8B 30 FF 96 C0 00 00 00 8B 45 D8 8D 55 DC 8B 08 FF 91 B4 00 00 00 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? EB 04 43 4E 75 9B 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49776_0 {
	meta:
		name = "TWSDLItems.GetBindings"
		size = 294
		refs = "0023 TWSDLItems.GetBindings 0034 TWSDLDocument.GetDefinition 0086 @UStrFromWStr 0094 TWSDLItems.MakeTNSName 009f TDOMStrings.Add 00de @WStrClr 00e6 @UStrClr 00fb @UStrArrayClr 0103 @IntfClear 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 88 4D EF 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 FC 8B 08 FF 91 C4 00 00 00 8B 45 FC 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 7C 75 43 33 F6 8D 4D F8 8B D6 8B 45 FC 8B 38 FF 97 C0 00 00 00 80 7D EF 00 74 34 8D 55 DC 8B 45 F8 8B 08 FF 91 B4 00 00 00 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 8D 4D E4 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? EB 24 8D 55 D4 8B 45 F8 8B 08 FF 91 B4 00 00 00 8B 55 D4 8D 45 D8 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F0 E8 ?? ?? ?? ?? 46 4B 75 8E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49777_0 {
	meta:
		name = "InternalGetServiceAndPortOfBinding"
		size = 467
		refs = "0023 @IntfAddRef 002b InternalGetServiceAndPortOfBinding 004b TWSDLDocument.GetDefinition 0105 @UStrFromWStr 0111 TWSDLItems.CompareName 017d @WStrArrayClr 018a @UStrArrayClr 0192 @IntfClear 01c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E8 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E7 00 8B 45 FC 8B 10 FF 52 0C 89 45 D8 8D 55 D0 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 D0 8D 55 F8 8B 08 FF 91 C8 00 00 00 83 7D F8 00 0F 84 00 01 00 00 8B 45 F8 8B 10 FF 92 AC 00 00 00 48 85 C0 0F 8C EC 00 00 00 40 89 45 D4 C7 45 E0 00 00 00 00 8D 4D F0 8B 55 E0 8B 45 F8 8B 18 FF 93 C0 00 00 00 8D 55 F4 8B 45 F0 8B 08 FF 91 B4 00 00 00 8B 45 F4 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 0F 8C A0 00 00 00 43 C7 45 DC 00 00 00 00 8D 4D EC 8B 55 DC 8B 45 F4 8B 38 FF 97 C0 00 00 00 8D 55 CC 8B C6 8B 08 FF 51 14 8B 45 CC 50 8D 55 C8 8B C6 8B 08 FF 51 0C 8B 45 C8 50 8D 55 C0 8B 45 EC 8B 08 FF 91 B4 00 00 00 8B 55 C0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 D8 59 E8 ?? ?? ?? ?? 84 C0 74 38 8D 55 BC 8B 45 F0 8B 08 FF 91 B0 00 00 00 8B 55 BC 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 B8 8B 45 EC 8B 08 FF 91 B0 00 00 00 8B 55 B8 8B 45 08 E8 ?? ?? ?? ?? C6 45 E7 01 EB 16 FF 45 DC 4B 0F 85 68 FF FF FF FF 45 E0 FF 4D D4 0F 85 1F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AE 0F B6 45 E7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_49778_0 {
	meta:
		name = "TWSDLItems.GetServiceAndPortOfBinding"
		size = 321
		refs = "0020 TWSDLItems.GetServiceAndPortOfBinding 0040 InternalGetServiceAndPortOfBinding 0085 TXMLDocument.GetFileName 00b7 TList<System.string>.GetItem 00d0 HasDefinition 0120 @UStrArrayClr 0128 @IntfClear 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D FC 89 4D F4 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 4D F4 8B C3 85 C0 74 05 2D 18 FF FF FF 8B 55 F8 E8 ?? ?? ?? ?? 88 45 F3 80 7D F3 00 0F 85 B9 00 00 00 C6 45 E7 00 8B 83 E4 00 00 00 8B 10 FF 52 2C 84 C0 74 1B 8B D3 85 D2 74 06 81 EA 18 FF FF FF 8B 83 E4 00 00 00 8B 08 FF 51 10 C6 45 E7 01 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8B 83 E4 00 00 00 8B 08 FF 51 28 89 45 E8 8B 45 E8 8B 70 08 4E 85 F6 7C 54 46 C7 45 EC 00 00 00 00 8D 4D DC 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 DC 8D 4D FC 8B 83 E4 00 00 00 8B 38 FF 57 24 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 88 45 F3 80 7D F3 00 75 17 FF 45 EC 4E 75 B4 80 7D E7 00 74 0B 8B 83 E4 00 00 00 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_49779_0 {
	meta:
		name = "TWSDLItems.GetBindingType"
		size = 302
		refs = "0023 TWSDLItems.GetBindingType 0034 TWSDLDocument.GetDefinition 0082 @UStrFromWStr 0090 TWSDLItems.CompareName 00ce @UStrAsg 00e3 @IntfClear 00eb @WStrClr 0103 @UStrClr 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 F8 8B 08 FF 91 C4 00 00 00 8B 45 F8 8B 10 FF 92 AC 00 00 00 8B F0 4E 85 F6 7C 6F 46 33 DB 6A 00 8D 4D DC 8B D3 8B 45 F8 8B 38 FF 97 C0 00 00 00 8B 45 DC 8D 55 E0 8B 08 FF 91 B4 00 00 00 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 4D F0 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 2B 8D 4D D4 8B D3 8B 45 F8 8B 30 FF 96 C0 00 00 00 8B 45 D4 8D 55 D8 8B 08 FF 91 B8 00 00 00 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? EB 04 43 4E 75 94 8B 45 EC 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49780_0 {
	meta:
		name = "InArray"
		size = 181
		refs = "001a InArray 0031 @DynArrayLength 0058 @UStrEqual 009e @UStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 08 8B 40 08 8B 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 4C 46 33 DB 8D 55 F4 8B 45 08 8B 40 08 8B 00 8B 04 98 8B 08 FF 51 0C 8B 45 F4 8B D7 E8 ?? ?? ?? ?? 75 26 8D 55 F0 8B 45 08 8B 40 08 8B 00 8B 04 98 8B 08 FF 51 14 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? 75 06 C6 45 FB 01 EB 04 43 4E 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49781_0 {
	meta:
		name = "InternalGetBindingOfType"
		size = 417
		refs = "0023 @IntfAddRef 002b InternalGetBindingOfType 0045 TWSDLDocument.GetDefinition 009f @UStrFromWStr 00ac TWSDLItems.CompareName 00d3 TWSDLItems.GetTargetNamespace 00e2 InArray 00f1 @DynArrayLength 0105 IQualifiedNameArray 010a @DynArraySetLength 011b NewQualifiedName 012b @IntfCopy 014a @IntfClear 0157 @WStrArrayClr 015f @UStrClr 0174 @UStrArrayClr 0192 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E4 89 55 E8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 8B F0 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 DC 8D 55 F8 8B 08 FF 91 C4 00 00 00 8B 45 F8 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 0F 8C CC 00 00 00 43 C7 45 E0 00 00 00 00 8D 4D F4 8B 55 E0 8B 45 F8 8B 38 FF 97 C0 00 00 00 8B 45 E4 50 8D 55 D4 8B 45 F4 8B 08 FF 91 B8 00 00 00 8B 55 D4 8D 45 D8 E8 ?? ?? ?? ?? 8B 55 D8 8B 4D E8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 7B 8D 55 D0 8B 45 F4 8B 08 FF 91 B4 00 00 00 8B 55 D0 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 59 84 C0 75 44 8B 45 08 8B 00 E8 ?? ?? ?? ?? 8B F8 8D 47 01 50 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 4D CC 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 08 8B 00 8D 04 B8 E8 ?? ?? ?? ?? FF 45 E0 4B 0F 85 3C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AE 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_49782_0 {
	meta:
		name = "TWSDLItems.GetBindingOfType"
		size = 333
		refs = "0023 TWSDLItems.GetBindingOfType 0044 InternalGetBindingOfType 007d TXMLDocument.GetFileName 00b1 TWSDLItems.GetTargetNamespace 00be @UStrLAsg 00cc TList<System.string>.GetItem 0128 @UStrArrayClr 0130 @UStrClr 0138 @IntfClear 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D FC 89 5D F8 89 4D F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8B 45 08 50 8B C3 85 C0 74 05 2D 18 FF FF FF 8B 4D F0 8B 55 F4 E8 ?? ?? ?? ?? 59 C6 45 E7 00 8B 83 E4 00 00 00 8B 10 FF 52 2C 84 C0 74 1B 8B D3 85 D2 74 06 81 EA 18 FF FF FF 8B 83 E4 00 00 00 8B 08 FF 51 10 C6 45 E7 01 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8B 83 E4 00 00 00 8B 08 FF 51 28 89 45 E8 8B 45 E8 8B 70 08 4E 85 F6 7C 64 46 C7 45 EC 00 00 00 00 83 7D F0 00 75 0C 8D 55 F8 8B C3 E8 ?? ?? ?? ?? EB 0B 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 8D 4D DC 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 DC 8D 4D FC 8B 83 E4 00 00 00 8B 38 FF 57 24 83 7D FC 00 74 14 55 8B 45 08 50 8B 4D F8 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 59 FF 45 EC 4E 75 A4 80 7D E7 00 74 0B 8B 83 E4 00 00 00 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_49783_0 {
	meta:
		name = "TWSDLItems.GetBindingOfType"
		size = 61
		refs = "001c IQualifiedNameArray 0021 @DynArraySetLength 0031 TWSDLItems.GetBindingOfType"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 6A 00 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 56 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_49784_0 {
	meta:
		name = "TWSDLItems.GetGenericBindingAttribute"
		size = 501
		refs = "0023 @UStrAddRef 002b TWSDLItems.GetGenericBindingAttribute 0039 @UStrClr 0044 TWSDLDocument.GetDefinition 0097 @UStrFromWStr 00a5 TWSDLItems.CompareName 0156 @VarToUStr 017a @VarClr 0183 IBinding 018d @FinalizeArray 0195 @IntfClear 01b0 @WStrClr 01e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E8 89 55 EC 89 45 F0 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 FC 8B 08 FF 91 C4 00 00 00 8B 45 FC 8B 10 FF 92 AC 00 00 00 48 85 C0 0F 8C FF 00 00 00 40 89 45 E4 33 DB 6A 00 8D 4D D4 8B D3 8B 45 FC 8B 30 FF 96 C0 00 00 00 8B 45 D4 8D 55 D8 8B 08 FF 91 B4 00 00 00 8B 55 D8 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 4D EC 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 AE 00 00 00 8D 4D D0 8B D3 8B 45 FC 8B 30 FF 96 C0 00 00 00 8B 45 D0 8B 10 FF 52 24 84 C0 0F 84 8E 00 00 00 8D 4D C8 8B D3 8B 45 FC 8B 30 FF 96 C0 00 00 00 8B 45 C8 8D 55 CC 8B 08 FF 51 14 8B 45 CC 8B 10 FF 52 0C 8B F0 4E 85 F6 7C 64 46 8D 4D C4 8B D3 8B 45 FC 8B 38 FF 97 C0 00 00 00 8B 45 C4 8D 55 F4 8B 08 FF 51 14 8D 45 F8 50 8B 4D 10 8B 55 E8 8B 45 F4 8B 38 FF 57 3C 83 7D F8 00 74 2D 8B 55 0C 8B 45 F8 8B 08 FF 91 88 00 00 00 84 C0 74 1B 8D 4D B4 8B 55 0C 8B 45 F8 8B 18 FF 53 0C 8D 55 B4 8B 45 08 E8 ?? ?? ?? ?? EB 0D 4E 75 9D 43 FF 4D E4 0F 85 07 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8A 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_49785_0 {
	meta:
		name = "TWSDLItems.GetSoapBindingAttribute"
		size = 220
		refs = "0019 @UStrAddRef 0021 TWSDLItems.GetSoapBindingAttribute 0037 SOAPWSDLNamespaces 0057 TWSDLItems.GetGenericBindingAttribute 00a8 @UStrClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 89 55 F4 89 45 F8 8B 7D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 80 38 00 75 3F B3 02 8B 35 ?? ?? ?? ?? 83 C6 08 83 3E 00 74 24 8B 06 50 8B 45 FC 50 57 B9 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 83 3F 00 74 07 8B 45 0C 88 18 EB 30 4B 83 EE 04 80 FB FF 75 CE EB 25 8B 45 0C 0F B6 00 8B 15 ?? ?? ?? ?? 8B 04 82 50 8B 45 FC 50 57 B9 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 69 00 6E 00 64 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_49786_0 {
	meta:
		name = "TWSDLItems.GetHttpBindingAttribute"
		size = 216
		refs = "0011 @UStrAddRef 0019 TWSDLItems.GetHttpBindingAttribute 003a TWSDLItems.GetGenericBindingAttribute 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 FC 50 8B 45 08 50 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 77 00 73 00 64 00 6C 00 2F 00 68 00 74 00 74 00 70 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 69 00 6E 00 64 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_49787_0 {
	meta:
		name = "TWSDLItems.GetHttpBindingAttribute"
		size = 124
		refs = "001c @UStrAddRef 0024 TWSDLItems.GetHttpBindingAttribute 0031 @UStrClr 0067 @UStrArrayClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 8B 7D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 85 F6 74 18 57 8D 55 F8 8B C6 8B 08 FF 51 0C 8B 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_49788_0 {
	meta:
		name = "TWSDLItems.GetOperationsForBinding"
		size = 481
		refs = "0023 TWSDLItems.GetOperationsForBinding 0034 TWSDLDocument.GetDefinition 008c @UStrFromWStr 0099 TWSDLItems.CompareName 0116 TWSDLItems.MakeTNSName 0121 TDOMStrings.Add 016c @WStrClr 0174 @UStrClr 0189 @UStrArrayClr 0192 IBinding 019c @FinalizeArray 01b4 @IntfClear 01d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D EC 8B F2 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 FC 8B 08 FF 91 C4 00 00 00 8B 45 FC 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 0F 8C FF 00 00 00 43 C7 45 E8 00 00 00 00 6A 00 8D 4D D8 8B 55 E8 8B 45 FC 8B 38 FF 97 C0 00 00 00 8B 45 D8 8D 55 DC 8B 08 FF 91 B4 00 00 00 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B CE 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 AC 00 00 00 8D 4D D4 8B 55 E8 8B 45 FC 8B 18 FF 93 C0 00 00 00 8B 45 D4 8D 55 F8 8B 08 FF 91 B0 00 00 00 8B 45 F8 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 0F 8C 81 00 00 00 43 33 F6 8D 4D F4 8B D6 8B 45 F8 8B 38 FF 97 C0 00 00 00 80 7D 08 00 74 34 8D 55 C8 8B 45 F4 8B 08 FF 91 B0 00 00 00 8B 55 C8 8D 45 CC E8 ?? ?? ?? ?? 8B 55 CC 8D 4D D0 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 EC E8 ?? ?? ?? ?? EB 24 8D 55 C0 8B 45 F4 8B 08 FF 91 B0 00 00 00 8B 55 C0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 EC E8 ?? ?? ?? ?? 46 4B 75 8E EB 0A FF 45 E8 4B 0F 85 09 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 90 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_49789_0 {
	meta:
		name = "InternalGetBindingOperationNode"
		size = 490
		refs = "0023 @IntfAddRef 0036 InternalGetBindingOperationNode 0044 @IntfClear 005a TWSDLDocument.GetDefinition 00b9 @UStrFromWStr 00c7 TWSDLItems.CompareName 018a @WStrClr 0192 @UStrClr 019b IBinding 01a5 @FinalizeArray 01db @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D EC 89 55 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 89 45 E0 8D 55 D8 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 F8 8B 08 FF 91 C4 00 00 00 8B 45 10 89 45 E4 8B 45 F8 8B 10 FF 92 AC 00 00 00 48 85 C0 0F 8C EB 00 00 00 40 89 45 DC C7 45 E8 00 00 00 00 6A 00 8D 4D CC 8B 55 E8 8B 45 F8 8B 18 FF 93 C0 00 00 00 8B 45 CC 8D 55 D0 8B 08 FF 91 B4 00 00 00 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 4D F0 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 84 92 00 00 00 8D 4D C8 8B 55 E8 8B 45 F8 8B 18 FF 93 C0 00 00 00 8B 45 C8 8D 55 F4 8B 08 FF 91 B0 00 00 00 8B 45 F4 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 7C 61 43 33 F6 6A 00 8D 4D BC 8B D6 8B 45 F4 8B 38 FF 97 C0 00 00 00 8B 45 BC 8D 55 C0 8B 08 FF 91 B0 00 00 00 8B 55 C0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8B 4D EC 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 74 1D 83 7D E4 00 7E 05 FF 4D E4 EB 12 8B 4D 08 8B D6 8B 45 F4 8B 18 FF 93 C0 00 00 00 EB 10 46 4B 75 A2 FF 45 E8 FF 4D DC 0F 85 20 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9D 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_49790_0 {
	meta:
		name = "TWSDLItems.GetBindingOperationNode"
		size = 576
		refs = "0033 TWSDLItems.GetBindingOperationNode 0045 @IntfClear 0061 InternalGetBindingOperationNode 007e @IntfCopy 00c3 TXMLDocument.GetFileName 00ff TList<System.string>.GetItem 0160 HasDefinition 019b @TryFinallyExit 01cf @HandleFinally 0207 IWSDLDocument 0211 @FinalizeArray 021e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 33 DB 89 5D CC 89 5D D0 89 5D D4 89 5D D8 89 5D DC 89 5D FC 89 4D F0 89 55 F4 89 45 F8 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B 45 0C E8 ?? ?? ?? ?? 50 8B 45 08 50 8B 45 F8 85 C0 74 05 2D 18 FF FF FF 8B 4D F0 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 08 83 38 00 74 1A 8B 45 0C 8B 55 F8 85 D2 74 06 81 EA 18 FF FF FF E8 ?? ?? ?? ?? E9 6E 01 00 00 C6 45 E6 00 8B 45 F8 8B 80 E4 00 00 00 8B 10 FF 52 2C 84 C0 74 1F 8B 55 F8 85 D2 74 06 81 EA 18 FF FF FF 8B 45 F8 8B 80 E4 00 00 00 8B 08 FF 51 10 C6 45 E6 01 8D 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 8B 80 E4 00 00 00 8B 08 FF 51 28 89 45 E8 8B 45 E8 8B 40 08 48 85 C0 0F 8C F7 00 00 00 40 89 45 E0 C7 45 EC 00 00 00 00 8D 4D D8 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 D8 8D 4D FC 8B 45 F8 8B 80 E4 00 00 00 8B 18 FF 53 24 8D 55 D4 8B 45 FC 8B 08 FF 51 10 8B 45 D4 8B 10 FF 52 34 88 45 E7 8D 55 D0 8B 45 FC 8B 08 FF 51 10 8B 45 D0 50 0F B6 15 ?? ?? ?? ?? F7 D2 22 55 E7 58 8B 08 FF 51 64 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 39 8B 45 10 50 8B 45 0C E8 ?? ?? ?? ?? 50 8B 45 08 50 8B 4D F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 83 38 00 74 12 8B 45 0C 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 CC 8B 45 FC 8B 08 FF 51 10 8B 45 CC 50 0F B6 15 ?? ?? ?? ?? 0A 55 E7 58 8B 08 FF 51 64 C3 E9 ?? ?? ?? ?? EB D9 FF 45 EC FF 4D E0 0F 85 14 FF FF FF 80 7D E6 00 74 0E 8B 45 F8 8B 80 E4 00 00 00 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C2 0C 00 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_49791_0 {
	meta:
		name = "TWSDLItems.GetSoapOperationAttribute"
		size = 424
		refs = "0020 TWSDLItems.GetSoapOperationAttribute 002e @UStrClr 003a @IntfClear 004a TWSDLItems.GetBindingOperationNode 0097 SOAPWSDLNamespaces 011b @VarToUStr 0136 @HandleFinally 014d @VarClr 0166 IXMLNode 0170 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B 45 10 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 B9 00 00 00 8B 45 FC 8B 10 FF 52 24 84 C0 0F 84 A9 00 00 00 8D 55 F0 8B 45 FC 8B 08 FF 51 14 83 7D F0 00 0F 84 94 00 00 00 8B 45 0C 80 38 00 75 3B B3 02 8B 35 ?? ?? ?? ?? 83 C6 08 83 3E 00 74 20 8D 45 F8 50 8B 0E BA ?? ?? ?? ?? 8B 45 F0 8B 38 FF 57 3C 83 7D F8 00 74 07 8B 45 0C 88 18 EB 2B 4B 83 EE 04 80 FB FF 75 D2 EB 20 8D 45 F8 50 8B 45 0C 0F B6 00 8B 15 ?? ?? ?? ?? 8B 0C 82 BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 3C 83 7D F8 00 74 2B 8B 55 14 8B 45 F8 8B 08 FF 91 88 00 00 00 84 C0 74 19 8D 4D E0 8B 55 14 8B 45 F8 8B 18 FF 53 0C 8D 55 E0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6F 00 70 00 65 00 72 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_49792_0 {
	meta:
		name = "TWSDLItems.GetSoapAction"
		size = 84
		refs = "000d TWSDLItems.GetSoapAction 0024 TWSDLItems.GetSoapOperationAttribute"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 68 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 6F 00 61 00 70 00 41 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_49793_0 {
	meta:
		name = "TWSDLItems.GetSoapOperationStyle"
		size = 72
		refs = "000d TWSDLItems.GetSoapOperationStyle 0024 TWSDLItems.GetSoapOperationAttribute"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 68 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_49794_0 {
	meta:
		name = "TWSDLItems.GetSoapActionList"
		size = 280
		refs = "0020 TWSDLItems.GetSoapActionList 002d _Dn_TDOMStrings 0032 TDOMStrings.Create 0055 TWSDLItems.GetOperationsForBinding 005d TDOMStrings.Count 0074 TDOMStrings.Get 0093 TWSDLItems.GetSoapAction 00a3 @UStrCatN 00ae TDOMStrings.Add 00c7 TObject.Free 00cd @HandleFinally 00e9 @UStrArrayClr 00f1 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 89 5D FC 89 4D F4 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 0C 50 8B 4D F0 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 4E 43 33 F6 8D 4D FC 8B D6 8B 45 F0 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 6A 00 8B 45 08 50 8D 45 E8 50 8B 4D FC 8B 55 F8 8B C7 E8 ?? ?? ?? ?? FF 75 E8 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 46 4B 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_49795_0 {
	meta:
		name = "TWSDLItems.GetSoapBodyInputAttribute"
		size = 76
		refs = "000d TWSDLItems.GetSoapBodyInputAttribute 0028 TWSDLItems.GetSoapBodyAttribute"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 68 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 6E 00 70 00 75 00 74 00 00 00 }
	condition:
		$1
}

rule function_49796_0 {
	meta:
		name = "TWSDLItems.GetSoapBodyOutputAttribute"
		size = 80
		refs = "000d TWSDLItems.GetSoapBodyOutputAttribute 0028 TWSDLItems.GetSoapBodyAttribute"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 68 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6F 00 75 00 74 00 70 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_49797_0 {
	meta:
		name = "TWSDLItems.GetSoapBodyAttribute"
		size = 516
		refs = "0026 TWSDLItems.GetSoapBodyAttribute 0036 @UStrLAsg 006a CompareText 007c @IntfClear 008e TWSDLItems.GetSoapBindingIONode 00d1 SOAPWSDLNamespaces 0155 @VarToUStr 015a @TryFinallyExit 0177 @HandleFinally 018e @VarClr 019b @UStrArrayClr 01b4 IXMLNode 01be @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E0 89 55 E4 8B F8 8B 75 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B D6 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 75 04 B3 01 EB 20 83 7D EC 00 74 06 83 7D E8 00 75 04 33 DB EB 10 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C3 53 8B 45 10 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8D 45 FC 50 8B 4D E0 8B 55 E4 8B C7 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 B6 00 00 00 8B 45 FC 8B 10 FF 52 24 84 C0 0F 84 A6 00 00 00 8D 55 F0 8B 45 FC 8B 08 FF 51 14 8B 45 0C 80 38 00 75 3B B3 02 8B 35 ?? ?? ?? ?? 83 C6 08 83 3E 00 74 20 8D 45 F8 50 8B 0E BA ?? ?? ?? ?? 8B 45 F0 8B 38 FF 57 3C 83 7D F8 00 74 07 8B 45 0C 88 18 EB 2B 4B 83 EE 04 80 FB FF 75 D2 EB 20 8D 45 F8 50 8B 45 0C 0F B6 00 8B 15 ?? ?? ?? ?? 8B 0C 82 BA ?? ?? ?? ?? 8B 45 F0 8B 18 FF 53 3C 83 7D F8 00 74 32 8B 55 14 8B 45 F8 8B 08 FF 91 88 00 00 00 84 C0 74 20 8D 4D D0 8B 55 14 8B 45 F8 8B 18 FF 53 0C 8D 55 D0 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5F 5E 5B 8B E5 5D C2 14 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 6E 00 70 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6F 00 64 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_49798_0 {
	meta:
		name = "TWSDLItems.GetSoapBindingIONode"
		size = 235
		refs = "0025 TWSDLItems.GetSoapBindingIONode 0032 @IntfClear 004f TWSDLItems.GetBindingOperationNode 009c @IntfCopy 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B FA 8B D8 8B 75 08 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 45 10 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 FC 50 8B 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 39 8B 45 FC 8B 10 FF 52 24 84 C0 74 2D 80 7D 14 00 74 0F 8B D6 8B 45 FC 8B 08 FF 91 B4 00 00 00 EB 0D 8B D6 8B 45 FC 8B 08 FF 91 B8 00 00 00 8B 45 0C 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_49799_0 {
	meta:
		name = "TWSDLItems.GetSoapBindingInputNode"
		size = 60
		refs = "0021 @IntfClear 0031 TWSDLItems.GetSoapBindingIONode"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 85 C0 74 04 33 D2 89 10 6A 01 8B 45 10 50 8B 45 0C E8 ?? ?? ?? ?? 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_49800_0 {
	meta:
		name = "TWSDLItems.GetSoapBindingOutputNode"
		size = 60
		refs = "0021 @IntfClear 0031 TWSDLItems.GetSoapBindingIONode"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 85 C0 74 04 33 D2 89 10 6A 00 8B 45 10 50 8B 45 0C E8 ?? ?? ?? ?? 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_49801_0 {
	meta:
		name = "FindSoapBodyNamespace"
		size = 368
		refs = "0024 FindSoapBodyNamespace 0032 @UStrClr 0052 SOAPWSDLNamespaces 00f2 @VarToUStr 0107 @VarClr 0110 IXMLNodeList 011a @FinalizeArray 0122 @IntfClear 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 24 84 C0 0F 84 B0 00 00 00 8B 45 F4 80 38 00 75 48 B3 02 8B 35 ?? ?? ?? ?? 83 C6 08 83 3E 00 74 2D 8D 45 FC 50 8D 55 EC 8B 45 F8 8B 08 FF 51 14 8B 45 EC 8B 0E BA ?? ?? ?? ?? 8B 38 FF 57 3C 8B 45 F0 83 38 00 74 07 8B 45 F4 88 18 EB 36 4B 83 EE 04 80 FB FF 75 C5 EB 2B 8D 45 FC 50 8D 55 E8 8B 45 F8 8B 08 FF 51 14 8B 45 E8 8B 55 F4 0F B6 12 8B 0D ?? ?? ?? ?? 8B 0C 91 BA ?? ?? ?? ?? 8B 18 FF 53 3C 83 7D FC 00 74 2F BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 91 88 00 00 00 84 C0 74 1B 8D 4D D8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 0C 8D 55 D8 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 6F 00 64 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 }
	condition:
		$1
}

rule function_49802_0 {
	meta:
		name = "InternalGetSoapBodyNamespace"
		size = 491
		refs = "0026 @IntfAddRef 002e InternalGetSoapBodyNamespace 003b @UStrClr 0051 TWSDLDocument.GetDefinition 00a9 @UStrFromWStr 00b7 TWSDLItems.CompareName 011f FindSoapBodyNamespace 017b @IntfClear 019c IBinding 01a6 @FinalizeArray 01ae @WStrClr 01dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D EC 89 55 F0 89 45 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 89 45 E4 8D 55 DC 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 DC 8D 55 F8 8B 08 FF 91 C4 00 00 00 8B 45 F8 8B 10 FF 92 AC 00 00 00 8B F0 4E 85 F6 0F 8C F1 00 00 00 46 C7 45 E8 00 00 00 00 6A 00 8D 4D D0 8B 55 E8 8B 45 F8 8B 38 FF 97 C0 00 00 00 8B 45 D0 8D 55 D4 8B 08 FF 91 B8 00 00 00 8B 55 D4 8D 45 D8 E8 ?? ?? ?? ?? 8B 4D D8 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 0F 84 9D 00 00 00 8D 4D CC 8B 55 E8 8B 45 F8 8B 30 FF 96 C0 00 00 00 8B 45 CC 8D 55 F4 8B 08 FF 91 B0 00 00 00 8B 45 F4 8B 10 FF 92 AC 00 00 00 48 85 C0 7C 78 40 89 45 E0 33 F6 8D 4D C4 8B D6 8B 45 F4 8B 38 FF 97 C0 00 00 00 8B 45 C4 8D 55 C8 8B 08 FF 91 B4 00 00 00 8B 45 C8 8B CB 8B 55 EC E8 ?? ?? ?? ?? 83 3B 00 75 42 8D 4D BC 8B D6 8B 45 F4 8B 38 FF 97 C0 00 00 00 8B 45 BC 8D 55 C0 8B 08 FF 91 B8 00 00 00 8B 45 C0 8B CB 8B 55 EC E8 ?? ?? ?? ?? 83 3B 00 75 12 46 FF 4D E0 75 9A EB 0A FF 45 E8 4E 0F 85 17 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 95 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_49803_0 {
	meta:
		name = "TWSDLItems.GetSoapBodyNamespace"
		size = 315
		refs = "0020 TWSDLItems.GetSoapBodyNamespace 0040 InternalGetSoapBodyNamespace 0084 TXMLDocument.GetFileName 00b6 TList<System.string>.GetItem 00cf HasDefinition 011e @UStrArrayClr 0126 @IntfClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D FC 89 4D F4 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 4D F4 8B C3 85 C0 74 05 2D 18 FF FF FF 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 83 38 00 0F 85 B8 00 00 00 C6 45 EB 00 8B 83 E4 00 00 00 8B 10 FF 52 2C 84 C0 74 1B 8B D3 85 D2 74 06 81 EA 18 FF FF FF 8B 83 E4 00 00 00 8B 08 FF 51 10 C6 45 EB 01 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B 83 E4 00 00 00 8B 08 FF 51 28 89 45 EC 8B 45 EC 8B 70 08 4E 85 F6 7C 53 46 C7 45 F0 00 00 00 00 8D 4D E0 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E0 8D 4D FC 8B 83 E4 00 00 00 8B 38 FF 57 24 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 83 38 00 75 17 FF 45 F0 4E 75 B5 80 7D EB 00 74 0B 8B 83 E4 00 00 00 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_49804_0 {
	meta:
		name = "TWSDLItems.HasTypesNode"
		size = 104
		refs = "000f TWSDLItems.HasTypesNode 0021 TWSDLDocument.GetDefinition 004c @IntfClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC 8B 08 FF 91 B8 00 00 00 83 7D FC 00 74 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_49805_0 {
	meta:
		name = "TWSDLItems.GetSchemas"
		size = 348
		refs = "001b TWSDLItems.GetSchemas 002b TWSDLDocument.GetDefinition 00bc @VarToUStr 00c7 TDOMStrings.Add 00e0 @IntfClear 00f0 @VarClr 00f9 IXMLSchemaDefs 0103 @FinalizeArray 0113 @UStrClr 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 FC 8B 08 FF 91 B8 00 00 00 83 7D FC 00 0F 84 88 00 00 00 8D 55 EC 8B 45 FC 8B 08 FF 91 B0 00 00 00 8B 45 EC 8B 10 FF 92 AC 00 00 00 85 C0 7E 6B 8D 55 E8 8B 45 FC 8B 08 FF 91 B0 00 00 00 8B 45 E8 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 7C 4B 43 33 F6 8D 55 D0 8B 45 FC 8B 08 FF 91 B0 00 00 00 8B 45 D0 8D 4D D4 8B D6 8B 38 FF 97 C0 00 00 00 8B 45 D4 8D 4D D8 BA ?? ?? ?? ?? 8B 38 FF 57 0C 8D 55 D8 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 46 4B 75 B8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 74 00 61 00 72 00 67 00 65 00 74 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 }
	condition:
		$1
}

rule function_49806_0 {
	meta:
		name = "TWSDLItems.GetSchemaNode"
		size = 464
		refs = "0022 TWSDLItems.GetSchemaNode 0032 TWSDLDocument.GetDefinition 0099 @OleVarFromUStr 00d4 @VarCmpEQ 0104 @IntfCast 0115 @IntfCopy 012a @IntfClear 014b OleVariant 0155 @FinalizeArray 015e IXMLSchemaDefs 0186 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 FC 8B 08 FF 91 B8 00 00 00 83 7D FC 00 0F 84 C0 00 00 00 8D 55 E8 8B 45 FC 8B 08 FF 91 B0 00 00 00 8B 45 E8 8B 10 FF 92 AC 00 00 00 85 C0 0F 8E 9F 00 00 00 8D 55 E4 8B 45 FC 8B 08 FF 91 B0 00 00 00 8B 45 E4 8B 10 FF 92 AC 00 00 00 8B F0 4E 85 F6 7C 7F 46 33 DB 8D 45 D4 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 D4 50 8D 55 BC 8B 45 FC 8B 08 FF 91 B0 00 00 00 8B 45 BC 8D 4D C0 8B D3 8B 38 FF 97 C0 00 00 00 8B 45 C0 8D 4D C4 BA ?? ?? ?? ?? 8B 38 FF 57 0C 8D 55 C4 58 E8 ?? ?? ?? ?? 75 30 8D 55 B4 8B 45 FC 8B 08 FF 91 B0 00 00 00 8B 45 B4 8D 4D B8 8B D3 8B 30 FF 96 C0 00 00 00 8B 55 B8 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 43 4E 75 84 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9A 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 74 00 61 00 72 00 67 00 65 00 74 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 C0 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_49807_0 {
	meta:
		name = "FindPartAndName"
		size = 513
		refs = "0023 @UStrAddRef 003b FindPartAndName 004c TWSDLDocument.GetDefinition 00a7 @UStrFromWStr 00b5 TWSDLItems.CompareName 0125 @UStrEqual 0185 @WStrClr 018d @UStrClr 01a5 @IntfClear 01ea @UStrArrayClr 01f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 D8 8D 55 EC 8B 08 FF 91 BC 00 00 00 8B 45 EC 8B 10 FF 92 AC 00 00 00 48 85 C0 0F 8C 00 01 00 00 40 89 45 DC C7 45 E0 00 00 00 00 8D 4D F0 8B 55 E0 8B 45 EC 8B 18 FF 93 C0 00 00 00 8B 45 F8 50 8D 55 D0 8B 45 F0 8B 08 FF 91 B0 00 00 00 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 4D FC 8B 45 0C E8 ?? ?? ?? ?? 84 C0 0F 84 A5 00 00 00 8D 4D CC 8B 55 E0 8B 45 EC 8B 18 FF 93 C0 00 00 00 8B 45 CC 8D 55 E8 8B 08 FF 91 B4 00 00 00 8B 45 E8 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 7C 74 43 33 F6 8D 4D E4 8B D6 8B 45 E8 8B 38 FF 97 C0 00 00 00 8D 55 C4 8B 45 E4 8B 08 FF 91 B0 00 00 00 8B 55 C4 8D 45 C8 E8 ?? ?? ?? ?? 8B 45 C8 8B 55 F4 E8 ?? ?? ?? ?? 75 37 8B 45 08 8B 00 8B 55 E4 8B 08 FF 51 10 8D 55 BC 8B 45 E4 8B 08 FF 91 B0 00 00 00 8B 55 BC 8D 45 C0 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 08 8B 00 8B 08 FF 51 38 B3 01 EB 12 46 4B 75 8F FF 45 E0 FF 4D DC 0F 85 0B FF FF FF 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8B 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_49808_0 {
	meta:
		name = "TWSDLItems.GetSoapHeaders"
		size = 1976
		refs = "0023 @IntfAddRef 0036 TWSDLItems.GetSoapHeaders 004c IHeaderInfoArray 0051 @DynArraySetLength 0065 @IntfClear 0082 TWSDLItems.GetSoapBindingIONode 00dd @OleVarFromInt 0101 ExtractLocalName 010e @UStrLAsg 0135 CompareText 015c SOAPWSDLNamespaces 01d2 @DynArrayLength 01f6 NewHeaderInfo 0206 @IntfCopy 0232 @VarToUStr 0431 @UStrClr 0439 IsPrefixed 0447 HasDefinition 0456 ExtractPrefix 046b TWSDLDocument.GetDefinition 04af FindPartAndName 04c5 TXMLDocument.GetFileName 0503 TList<System.string>.GetItem 056b @HandleFinally 058a @UStrArrayClr 05ab @VarClr 05ee OleVariant 05f8 @FinalizeArray 0636 IWSDLItems 0649 IXMLNode"
	strings:
		$1 = { 55 8B EC 51 B9 1D 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 89 55 FC 89 45 B8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 0F B6 45 1C 50 8B 45 18 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 45 F8 50 8D 55 A4 8B 45 FC 8B 08 FF 51 0C 8B 55 A4 8B CB 8B 45 B8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D F8 00 0F 84 B6 04 00 00 8B 45 F8 8B 10 FF 52 24 84 C0 0F 84 A6 04 00 00 8D 55 E8 8B 45 F8 8B 08 FF 51 14 8B 45 E8 8B 10 FF 52 0C 8B D8 4B 85 DB 0F 8C 88 04 00 00 43 C7 45 B4 00 00 00 00 8D 45 94 8B 55 B4 B1 FC E8 ?? ?? ?? ?? 8D 55 94 8D 4D F4 8B 45 E8 8B 30 FF 56 10 8D 55 90 8B 45 F4 8B 08 FF 51 34 8B 45 90 8D 55 D8 E8 ?? ?? ?? ?? 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 3B 45 D4 75 04 B0 01 EB 20 83 7D D8 00 74 06 83 7D D4 00 75 04 33 C0 EB 10 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 04 04 00 00 8D 55 D0 8B 45 F4 8B 08 FF 51 30 8D 45 CC 8B 55 10 0F B6 12 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 8B 45 D0 3B 45 CC 75 04 B0 01 EB 20 83 7D D0 00 74 06 83 7D CC 00 75 04 33 C0 EB 10 8B 55 CC 8B 45 D0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 AE 03 00 00 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 91 88 00 00 00 84 C0 0F 84 96 03 00 00 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 91 88 00 00 00 84 C0 0F 84 7E 03 00 00 8B 45 08 8B 00 E8 ?? ?? ?? ?? 8B F0 8D 46 01 50 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 8C E8 ?? ?? ?? ?? 8B 55 8C 8B 45 08 8B 00 8D 04 B0 E8 ?? ?? ?? ?? 8B 45 0C 8B 55 F0 E8 ?? ?? ?? ?? 8D 8D 7C FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 38 FF 57 0C 8D 95 7C FF FF FF 8D 45 E4 E8 ?? ?? ?? ?? 8D 8D 6C FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 38 FF 57 0C 8D 95 6C FF FF FF 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 08 8B 00 8B 04 B0 8B 55 E0 8B 08 FF 51 38 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 8B 38 FF 97 8C 00 00 00 84 C0 0F 84 C8 00 00 00 8D 85 5C FF FF FF 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 8B 38 FF 97 84 00 00 00 8D 95 5C FF FF FF 8D 45 DC E8 ?? ?? ?? ?? 8D 45 C8 8B 55 DC E8 ?? ?? ?? ?? 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 3B 45 C4 75 04 B0 01 EB 20 83 7D C8 00 74 06 83 7D C4 00 75 04 33 C0 EB 10 8B 55 C4 8B 45 C8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 C0 8B 55 DC E8 ?? ?? ?? ?? 8D 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 3B 45 BC 75 04 B0 01 EB 20 83 7D C0 00 74 06 83 7D BC 00 75 04 33 C0 EB 10 8B 55 BC 8B 45 C0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B 55 08 8B 12 8B 14 B2 92 8B 08 FF 51 18 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 91 88 00 00 00 84 C0 74 37 8D 8D 48 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 38 FF 57 0C 8D 95 48 FF FF FF 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 8B 95 58 FF FF FF 8B 45 08 8B 00 8B 04 B0 8B 08 FF 51 30 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 91 88 00 00 00 84 C0 74 37 8D 8D 34 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 38 FF 57 0C 8D 95 34 FF FF FF 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 8B 95 44 FF FF FF 8B 45 08 8B 00 8B 04 B0 8B 08 FF 51 20 BA ?? ?? ?? ?? 8B 45 F4 8B 08 FF 91 88 00 00 00 84 C0 74 37 8D 8D 20 FF FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 38 FF 57 0C 8D 95 20 FF FF FF 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 8B 95 30 FF FF FF 8B 45 08 8B 00 8B 04 B0 8B 08 FF 51 28 8D 45 DC E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 50 8B 45 0C 8B 00 E8 ?? ?? ?? ?? 84 C0 74 42 8D 55 DC 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 0C 8B 00 8B 10 FF 52 0C 8D 95 18 FF FF FF E8 ?? ?? ?? ?? 8B 85 18 FF FF FF 8D 8D 1C FF FF FF 8B 55 DC 8B 38 FF 57 7C 8B 95 1C FF FF FF 8D 45 DC E8 ?? ?? ?? ?? 8B 45 0C 8B 00 8B 10 FF 52 0C 50 8B 45 08 8B 00 8D 04 B0 50 8B 4D E0 8B 55 DC 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 0F 85 8F 00 00 00 8D 95 14 FF FF FF 8B 45 B8 E8 ?? ?? ?? ?? 8B 95 14 FF FF FF 8B 45 B8 8B 80 E4 00 00 00 8B 08 FF 51 28 89 45 AC 8B 45 AC 8B 40 08 48 85 C0 7C 5F 40 89 45 A8 C7 45 B0 00 00 00 00 8D 8D 10 FF FF FF 8B 55 B0 8B 45 AC E8 ?? ?? ?? ?? 8B 95 10 FF FF FF 8D 4D EC 8B 45 B8 8B 80 E4 00 00 00 8B 38 FF 57 24 8B 45 EC 8B 10 FF 52 0C 50 8B 45 08 8B 00 8D 04 B0 50 8B 4D E0 8B 55 DC 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 08 FF 45 B0 FF 4D A8 75 AC FF 45 B4 4B 0F 85 80 FB FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 10 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 18 FF FF FF E8 ?? ?? ?? ?? 8D 85 1C FF FF FF E8 ?? ?? ?? ?? 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 8D 85 34 FF FF FF E8 ?? ?? ?? ?? 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 8D 85 48 FF FF FF E8 ?? ?? ?? ?? 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 8D 85 5C FF FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 BC BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 14 FF FF FF 5F 5E 5B 8B E5 5D C2 18 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 68 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 70 00 61 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 77 00 73 00 64 00 6C 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 72 00 65 00 71 00 75 00 69 00 72 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 75 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 53 00 74 00 79 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_49809_0 {
	meta:
		name = "TWSDLItems.GetSoapInputHeaders"
		size = 121
		refs = "0011 @IntfAddRef 0024 TWSDLItems.GetSoapInputHeaders 0040 @IntfClear 0051 TWSDLItems.GetSoapHeaders 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C E8 ?? ?? ?? ?? 50 8B 45 08 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_49810_0 {
	meta:
		name = "TWSDLItems.GetSoapOutputHeaders"
		size = 121
		refs = "0011 @IntfAddRef 0024 TWSDLItems.GetSoapOutputHeaders 0040 @IntfClear 0051 TWSDLItems.GetSoapHeaders 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C E8 ?? ?? ?? ?? 50 8B 45 08 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_49894_0 {
	meta:
		name = "TWSDLLookup.Create"
		size = 61
		refs = "000a @ClassCreate 0017 _DV_TDictionary<System.string,System.Variant> 001c TDictionary<System.string,System.Variant>.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_52311_0 {
	meta:
		name = "TDictionaryScope.Create"
		size = 61
		refs = "000a @ClassCreate 0017 _DV_TDictionary<System.string,System.IInterface> 001c TDictionary<System.string,System.IInterface>.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_59823_0 {
	meta:
		name = "TValueRefConverter.Create"
		size = 61
		refs = "000a @ClassCreate 0017 _DV_TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription> 001c TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_49895_0 {
	meta:
		name = "TWSDLLookup.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 000e TWSDLLookup.ClearWSDLLookup 0016 TObject.Free 0021 TObject.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49896_0 {
	meta:
		name = "TWSDLLookup.Add"
		size = 124
		refs = "001a @IntfAddRef 0022 TWSDLLookup.Add 0031 TWSDLLookup.Contains 0040 @VarFromIntf 004d TDictionary<System.string,System.Variant>.Add 0062 @VarClr 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 18 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC 8B D6 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49897_0 {
	meta:
		name = "TWSDLLookup.AddImport"
		size = 106
		refs = "0018 TWSDLLookup.AddImport 0027 TWSDLLookup.Contains 0035 @VarFromUStr 0042 TDictionary<System.string,System.Variant>.Add 0057 @VarClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49898_0 {
	meta:
		name = "isHTTP"
		size = 296
		refs = "0010 isHTTP 002b @UStrCopy 0038 @UStrLAsg 005f CompareText 00d6 @UStrArrayClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 B9 07 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 4E 8D 45 F4 50 B9 08 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 68 00 74 00 74 00 70 00 73 00 3A 00 2F 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_49899_0 {
	meta:
		name = "GetFullPath"
		size = 65
		refs = "000b @UStrAsg 0012 isHTTP 001f FileExists 002c ExpandFileName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 24 B2 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8B D6 8B C3 E8 ?? ?? ?? ?? 83 3E 00 75 09 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49900_0 {
	meta:
		name = "GetRelativePath"
		size = 300
		refs = "0017 GetRelativePath 0024 isHTTP 0032 @UStrAsg 005f sPathSep 0070 @UStrCopy 007d @UStrCat3 008d FileExists 00a5 ExpandFileName 00c2 ExtractFilePath 0111 @UStrClr 011f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 F8 8B D6 E8 ?? ?? ?? ?? E9 C5 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 74 42 8B C7 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 31 0F B7 44 5F FE 66 3B 05 ?? ?? ?? ?? 75 1E 8D 45 FC 50 8B CB 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 8B CE 8B 55 FC E8 ?? ?? ?? ?? EB 7D 4B 85 DB 7F CF B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 27 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 51 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? EB 44 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 75 2A 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 1A 8D 45 F4 8B CE 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? EB 0A 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49901_0 {
	meta:
		name = "TWSDLLookup.BuildWSDLLookup"
		size = 652
		refs = "001a @IntfAddRef 0022 TWSDLLookup.BuildWSDLLookup 003e TXMLDocument.GetFileName 0049 GetFullPath 005b TWSDLLookup.Contains 0077 TWSDLLookup.Add 0082 TWSDLDocument.GetDefinition 00e3 @UStrFromWStr 00f1 GetRelativePath 0122 _Dn_TMemoryStream 0127 TObject.Create 0152 @WStrFromUStr 016a _Dn_TWSDLItems 016f TWSDLItems.Create 0183 @IntfCopy 0195 TXMLDocument.LoadFromStream 019d HasDefinition 01b1 TXMLDocument.SetFileName 01eb TWSDLLookup.AddImport 0200 TObject.Free 0206 @HandleFinally 0229 @WStrClr 0231 @IntfClear 0241 @UStrClr 025e @UStrArrayClr 026f IWSDLItems 0279 @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 89 55 FC 89 45 E8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 89 45 E0 8D 55 D4 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 D4 8D 55 F0 E8 ?? ?? ?? ?? 66 83 7D 0A 00 75 27 8B 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 18 8B 4D E0 85 C9 74 06 81 E9 18 FF FF FF 8B 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 D0 8D 55 F4 8B 08 FF 91 B4 00 00 00 83 7D F4 00 0F 84 7A 01 00 00 8B 45 F4 8B 10 FF 92 AC 00 00 00 48 85 C0 0F 8C 66 01 00 00 40 89 45 D8 C7 45 E4 00 00 00 00 8D 4D C4 8B 55 E4 8B 45 F4 8B 18 FF 93 C0 00 00 00 8B 45 C4 8D 55 C8 8B 08 FF 91 B4 00 00 00 8B 55 C8 8D 45 CC E8 ?? ?? ?? ?? 8B 55 CC 8D 4D EC 8B 45 F0 E8 ?? ?? ?? ?? 66 83 7D 0A 00 74 10 6A 00 8B 45 EC 50 33 C9 33 D2 8B 45 0C FF 55 08 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 85 ED 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 8B 80 E0 00 00 00 50 8D 45 C0 8B 55 EC E8 ?? ?? ?? ?? 8B 55 C0 8B 4D DC 58 8B 18 FF 53 0C 6A 00 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 18 FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 0C 33 C9 8B 55 DC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 3C 8B 45 F8 8B 10 FF 52 0C 8B 55 EC E8 ?? ?? ?? ?? 8B 4D F8 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 0C 8B D0 85 D2 74 06 81 EA 18 FF FF FF 8B 45 E8 E8 ?? ?? ?? ?? EB 0E 8B 4D F0 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 E4 FF 4D D8 0F 85 A5 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_49902_0 {
	meta:
		name = "TWSDLLookup.BuildWSDLLookup"
		size = 79
		refs = "000e @IntfAddRef 0016 TWSDLLookup.BuildWSDLLookup 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_49905_0 {
	meta:
		name = "TWSDLLookup.GetWSDLImportList"
		size = 221
		refs = "0018 TWSDLLookup.GetWSDLImportList 0025 _DV_TList<System.string> 002a TList<System.string>.Create 0035 TDictionary<System.string,System.Variant>.GetKeys 003a TDictionary<System.string,System.Variant>.TKeyCollection.GetEnumerator 0058 TDictionary<System.string,System.Variant>.TKeyEnumerator.GetCurrent 0069 TWSDLLookup.GetWSDLItems 007a TList<System.string>.Add 0082 TDictionary<System.string,System.Variant>.TKeyEnumerator.MoveNext 00a9 @HandleFinally 00c0 @IntfClear 00c8 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 43 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2D 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 85 F6 74 13 8D 4D F0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D F0 00 74 0B 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49906_0 {
	meta:
		name = "TWSDLLookup.GetWSDLItems"
		size = 144
		refs = "0018 TWSDLLookup.GetWSDLItems 0025 @IntfClear 002e TWSDLLookup.Contains 003f TDictionary<System.string,System.Variant>.GetItem 0055 @IntfCast 006a @VarClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 8D 4D F0 8B D6 8B 43 0C E8 ?? ?? ?? ?? 66 83 7D F0 0D 75 0F 8B C7 8B 55 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 05 4B 1B F7 AB C5 84 44 B9 94 64 F3 F9 E8 05 C7 }
	condition:
		$1
}

rule function_49907_0 {
	meta:
		name = "TWSDLLookup.IsEmpty"
		size = 11
	strings:
		$1 = { 8B 40 0C 83 78 08 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_49910_0 {
	meta:
		name = "TPair<System.string,System.Variant>.Create"
		size = 34
		refs = "000e @UStrAsg 0018 @VarCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 8D 43 08 8B D7 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49916_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,System.Variant>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,System.Variant>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,System.Variant>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 C2 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 5B 8B 55 FC 83 3C C2 FF 74 21 8B 55 FC 8D 54 C2 08 52 8B 55 FC 8B 44 C2 04 50 8D 04 5B 8B 55 FC 8B 14 C2 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49918_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.GetBucketIndex"
		size = 123
		refs = "0013 @DynArrayLength"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 4C 24 04 89 14 24 8B F0 8B 46 04 E8 ?? ?? ?? ?? 85 C0 75 07 BB 00 00 00 80 EB 51 8B 46 04 E8 ?? ?? ?? ?? 48 23 44 24 04 8B D8 8D 04 5B 8B 56 04 8B 3C C2 83 FF FF 75 04 F7 D3 EB 30 3B 7C 24 04 75 19 8D 04 5B 8B 56 04 8B 54 C2 04 8B 0C 24 8B 46 0C 8B 38 FF 57 0C 84 C0 75 11 43 8B 46 04 E8 ?? ?? ?? ?? 3B D8 7C C2 33 DB EB BE 8B C3 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49920_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.GetItem"
		size = 79
		refs = "000e TDictionary<System.string,System.Variant>.Hash 0019 TDictionary<System.string,System.Variant>.GetBucketIndex 0025 SGenericItemNotFound 002c _Dn_EListError 0031 Exception.CreateRes 0036 @RaiseExcept 0047 @VarCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8B 4B 04 8D 54 D1 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_49921_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.SetItem"
		size = 179
		refs = "001b TDictionary<System.string,System.Variant>.SetItem 002a TDictionary<System.string,System.Variant>.Hash 0035 TDictionary<System.string,System.Variant>.GetBucketIndex 0041 SGenericItemNotFound 0048 _Dn_EListError 004d Exception.CreateRes 0052 @RaiseExcept 0064 @VarCopy 00a0 @VarClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8D 3C 76 8B 53 04 8D 54 FA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 F8 08 8B 55 EC E8 ?? ?? ?? ?? B1 01 8D 55 F0 8B C3 8B 30 FF 56 0C 8B 55 EC 33 C9 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49922_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.RehashAdd"
		size = 85
		refs = "001a TDictionary<System.string,System.Variant>.GetBucketIndex 0039 @UStrAsg 0048 @VarCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 F8 8B 43 04 8D 44 F8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8D 44 F8 08 8B 55 08 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_49923_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.DoAdd"
		size = 83
		refs = "001e @UStrAsg 002d @VarCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B D8 8D 3C 76 8B 43 04 89 14 F8 8B 43 04 8D 44 F8 04 8B 55 0C E8 ?? ?? ?? ?? 8B 43 04 8D 44 F8 08 8B 55 08 E8 ?? ?? ?? ?? FF 43 08 33 C9 8B 55 0C 8B C3 8B 30 FF 56 08 8B 55 08 33 C9 8B C3 8B 18 FF 53 0C 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_49924_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.DoSetValue"
		size = 130
		refs = "001b TDictionary<System.string,System.Variant>.DoSetValue 0033 @VarCopy 006f @VarClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8D 3C 76 8B 53 04 8D 54 FA 08 E8 ?? ?? ?? ?? 8B 43 04 8D 44 F8 08 8B 55 EC E8 ?? ?? ?? ?? B1 01 8D 55 F0 8B C3 8B 30 FF 56 0C 8B 55 EC 33 C9 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49925_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.DoRemove"
		size = 276
		refs = "0014 TDictionary<System.string,System.Variant>.GetBucketIndex 0022 @VarClr 004b @VarCopy 0056 @DynArrayLength 0089 InCircularRange 00a5 TDictionary<System.string,System.Variant>.TItem 00aa @CopyRecord 00d4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 15 8B 45 08 E8 ?? ?? ?? ?? 8B F8 33 C0 AB AB AB AB E9 D8 00 00 00 8D 3C 76 8B 43 04 C7 04 F8 FF FF FF FF 8B 45 08 8B 53 04 8D 54 FA 08 E8 ?? ?? ?? ?? 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 C2 89 45 F8 83 7D F8 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F8 89 45 F4 8B CE 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 C2 8D 14 76 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 C2 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 F0 FF FF FF FF 8B 43 04 8D 44 F0 04 E8 ?? ?? ?? ?? 8B 43 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B F8 33 C0 AB AB AB AB FF 4B 08 0F B6 4D 0C 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 0C 8B 55 08 8B C3 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_49928_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.ValueNotify"
		size = 23
	strings:
		$1 = { 53 66 83 78 22 00 74 0D 51 8B CA 8B D8 8B D0 8B 43 24 FF 53 20 5B C3 }
	condition:
		$1
}

rule function_49932_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Variant> 0025 @InitializeRecord 002d TDictionary<System.string,System.Variant>.Create 0048 TEnumerable<Soap.WSDLLookup.TPair<System.string,System.Variant>>.GetEnumerator 0073 TDictionary<System.string,System.Variant>.AddOrSetValue 007b TEnumerator<Soap.WSDLLookup.TPair<System.string,System.Variant>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 E3 89 45 E4 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 E8 8B 45 DC 8B 08 FF 11 8D 4D F0 8B 55 E8 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0A B2 01 8B 45 DC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 E4 80 7D E3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 E4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49933_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Variant> 0025 @InitializeRecord 002d TDictionary<System.string,System.Variant>.Create 004a TEnumerable<Soap.WSDLLookup.TPair<System.string,System.Variant>>.GetEnumerator 0075 TDictionary<System.string,System.Variant>.AddOrSetValue 007d TEnumerator<Soap.WSDLLookup.TPair<System.string,System.Variant>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 E3 89 45 E4 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 E8 8B 45 DC 8B 08 FF 11 8D 4D F0 8B 55 E8 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0A B2 01 8B 45 DC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 E4 80 7D E3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 E4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_49936_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.Remove"
		size = 90
		refs = "0013 TDictionary<System.string,System.Variant>.Remove 0028 TDictionary<System.string,System.Variant>.Hash 0033 TDictionary<System.string,System.Variant>.DoRemove 0048 @VarClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 F0 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49937_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.ExtractPair"
		size = 177
		refs = "0021 TDictionary<System.string,System.Variant>.ExtractPair 0030 TDictionary<System.string,System.Variant>.Hash 003d TDictionary<System.string,System.Variant>.GetBucketIndex 0049 @VarClr 005e TPair<System.string,System.Variant>.Create 0071 TDictionary<System.string,System.Variant>.DoRemove 0094 Variant 009e @FinalizeArray 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 1F 8D 45 EC E8 ?? ?? ?? ?? 8B F8 33 C0 AB AB AB AB 8D 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 DC 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 4D DC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49938_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,System.Variant>.Clear 0026 TDictionary<System.string,System.Variant>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,System.Variant>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C C2 FF 74 26 8D 04 5B 8B 55 FC 8B 54 C2 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8D 54 C2 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_49940_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.TryGetValue"
		size = 114
		refs = "0025 TDictionary<System.string,System.Variant>.Hash 0030 TDictionary<System.string,System.Variant>.GetBucketIndex 004f @VarCopy 0058 @VarClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B C7 85 FF 74 0D 33 D2 89 57 0C 89 57 08 89 57 04 89 17 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 9D 45 FF 80 7D FF 00 74 13 8B C7 8D 14 76 8B 4B 04 8D 54 D1 08 E8 ?? ?? ?? ?? EB 13 8B C7 E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB 8B FA 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_49943_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,System.Variant>.ContainsValue 0025 TEqualityComparer<System.Variant>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C C2 FF 74 1D 8D 04 5B 8B 56 04 8D 54 C2 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49957_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.TKeyEnumerator.GetCurrent"
		size = 32
		refs = "0019 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8D 14 52 8B 4B 04 8B 49 04 8B 54 D1 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49962_0 {
	meta:
		name = "TEnumerable<System.Variant>.ToArrayImpl"
		size = 204
		refs = "001c TEnumerable<System.Variant>.ToArrayImpl 0031 TArray<System.Variant> 0036 @DynArraySetLength 0042 TEnumerable<System.Variant>.GetEnumerator 0073 @VarCopy 007c TEnumerator<System.Variant>.MoveNext 00a3 @HandleFinally 00ba @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D EC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1F 8D 55 F0 8B 45 E8 8B 08 FF 11 8B C3 03 C0 8B 55 EC 8B 12 8D 04 C2 8D 55 F0 E8 ?? ?? ?? ?? 43 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49964_0 {
	meta:
		name = "TEnumerable<System.Variant>.ToArray"
		size = 231
		refs = "0016 TEnumerable<System.Variant>.ToArray 0023 _DV_TList<System.Variant> 0028 TList<System.Variant>.Create 0040 TEnumerable<System.Variant>.GetEnumerator 0068 TList<System.Variant>.Add 0070 TEnumerator<System.Variant>.MoveNext 0097 @HandleFinally 00b9 TObject.Free 00d6 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 F0 8B 45 E4 8B 08 FF 11 8D 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 EC 8B 45 E8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_49971_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.TValueEnumerator.GetCurrent"
		size = 32
		refs = "0019 @VarCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8D 14 52 8B 4B 04 8B 49 04 8D 54 D1 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_49976_0 {
	meta:
		name = "TDictionary<System.string,System.Variant>.TPairEnumerator.GetCurrent"
		size = 56
		refs = "0019 @UStrAsg 0031 @VarCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8D 14 52 8B 4B 04 8B 49 04 8B 54 D1 04 E8 ?? ?? ?? ?? 8D 46 08 8B 53 08 8D 14 52 8B 4B 04 8B 49 04 8D 54 D1 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50082_0 {
	meta:
		name = "TList<System.Variant>.GetItem"
		size = 62
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0036 @VarCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B D6 03 D2 8B 4B 04 8D 14 D1 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50083_0 {
	meta:
		name = "TList<System.Variant>.SetItem"
		size = 161
		refs = "001b TList<System.Variant>.SetItem 0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0053 @VarCopy 008e @VarClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B FE 03 FF 8B 53 04 8D 14 FA E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 55 EC E8 ?? ?? ?? ?? B1 01 8D 55 F0 8B C3 8B 30 FF 56 08 8B 55 EC 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50086_0 {
	meta:
		name = "TList<System.Variant>.DoDelete"
		size = 222
		refs = "001b TList<System.Variant>.DoDelete 0030 SArgumentOutOfRange 0037 _Dn_EArgumentOutOfRangeException 003c Exception.CreateRes 0041 @RaiseExcept 0053 @VarCopy 005e @VarClr 0091 Move 00a8 @FillChar 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 88 4D EF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B FE 03 FF 8B 53 04 8D 14 FA E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB 8B FA FF 4B 08 8B 43 08 3B F0 74 34 8B 53 04 8D 14 FA 52 8B 53 04 8D 54 FA 10 2B C6 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 03 C0 8B 53 04 8D 04 C2 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D EF 8D 55 F0 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50088_0 {
	meta:
		name = "TList<System.Variant>.Notify"
		size = 23
	strings:
		$1 = { 53 66 83 78 12 00 74 0D 51 8B CA 8B D8 8B D0 8B 43 14 FF 53 10 5B C3 }
	condition:
		$1
}

rule function_50093_0 {
	meta:
		name = "TList<System.Variant>.Add"
		size = 64
		refs = "000f TList<System.Variant>.GrowCheck 0026 @VarCopy"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B C7 03 C0 8B 53 04 8D 04 C2 8B D6 E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50097_0 {
	meta:
		name = "TList<System.Variant>.Insert"
		size = 147
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<System.Variant>.GrowCheck 0059 Move 006b @FillChar 007c @VarCopy"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 33 8B EE 03 ED 8B 53 04 8D 54 EA 10 52 8B 53 04 8D 14 EA 2B C6 8B C8 C1 E1 04 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 E8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B C6 03 C0 8B 53 04 8D 04 C2 8B D7 E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50098_0 {
	meta:
		name = "TList<System.Variant>.InsertRange"
		size = 227
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Variant>.GrowCheck 006e Move 0085 @FillChar 00a7 @VarCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 3B 8B D3 03 55 FC 03 D2 8B 4E 04 8D 14 D1 8B 4D FC 03 C9 8B 7E 04 8D 0C CF 2B 45 FC C1 E0 04 91 E8 ?? ?? ?? ?? 8B 45 FC 03 C0 8B 56 04 8D 04 C2 8B D3 C1 E2 04 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 26 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 03 C0 8B 56 04 8D 04 C2 8B D3 E8 ?? ?? ?? ?? 47 83 C3 10 FF 4D F4 75 E3 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 10 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_50099_0 {
	meta:
		name = "TList<System.Variant>.InsertRange"
		size = 138
		refs = "001c TList<System.Variant>.InsertRange 0045 TList<System.Variant>.Insert 005a @IntfClear 006f @VarClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 E8 8B 45 FC 8B 08 FF 51 18 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50100_0 {
	meta:
		name = "TList<System.Variant>.InsertRange"
		size = 170
		refs = "001a TList<System.Variant>.InsertRange 0027 TEnumerable<System.Variant>.GetEnumerator 0050 TList<System.Variant>.Insert 0059 TEnumerator<System.Variant>.MoveNext 0080 @HandleFinally 0097 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F0 8B 45 EC 8B 08 FF 11 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50104_0 {
	meta:
		name = "TList<System.Variant>.Extract"
		size = 73
		refs = "000a TList<System.Variant>.IndexOf 0017 @VarClr 0036 @VarCopy 0041 TList<System.Variant>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 15 8B C7 E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB 8B FA EB 1C 8B C7 8B D6 03 D2 8B 4B 04 8D 14 D1 E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50105_0 {
	meta:
		name = "TList<System.Variant>.Exchange"
		size = 131
		refs = "0018 TList<System.Variant>.Exchange 0030 @VarCopy 0070 @VarClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 03 D2 8B 4B 04 8D 14 D1 E8 ?? ?? ?? ?? 8B C6 03 C0 8B 53 04 8D 04 C2 8B D7 03 D2 8B 4B 04 8D 14 D1 E8 ?? ?? ?? ?? 8B C7 03 C0 8B 53 04 8D 04 C2 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50106_0 {
	meta:
		name = "TList<System.Variant>.Move"
		size = 261
		refs = "0018 TList<System.Variant>.Move 0035 SArgumentOutOfRange 003c _Dn_EArgumentOutOfRangeException 0041 Exception.CreateRes 0046 @RaiseExcept 0058 @VarCopy 0067 @VarClr 0098 Move 00cf @FillChar 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 B7 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B D7 03 D2 8B 4B 04 8D 14 D1 E8 ?? ?? ?? ?? 8B C7 03 C0 8B 53 04 8D 04 C2 E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 AB AB AB AB 8B FA 3B F7 7E 23 8B C7 03 C0 8B 53 04 8D 14 C2 8B C7 03 C0 8B 4B 04 8D 44 C1 10 8B CE 2B CF C1 E1 04 E8 ?? ?? ?? ?? EB 1F 8B C6 03 C0 8B 53 04 8D 54 C2 10 52 8B 53 04 8D 04 C2 2B FE 8B CF C1 E1 04 5A E8 ?? ?? ?? ?? 8B FE 03 FF 8B 43 04 8D 04 F8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50113_0 {
	meta:
		name = "TList<System.Variant>.Reverse"
		size = 141
		refs = "0012 TList<System.Variant>.Reverse 0034 @VarCopy 007a @VarClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 43 8D 45 F0 8B D6 03 D2 8B 4B 04 8D 14 D1 E8 ?? ?? ?? ?? 8B C6 03 C0 8B 53 04 8D 04 C2 8B D7 03 D2 8B 4B 04 8D 14 D1 E8 ?? ?? ?? ?? 8B C7 03 C0 8B 53 04 8D 04 C2 8D 55 F0 E8 ?? ?? ?? ?? 46 4F 3B FE 7F BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50119_0 {
	meta:
		name = "TList<System.Variant>.ToArray"
		size = 141
		refs = "0016 TList<System.Variant>.ToArray 002e TArray<System.Variant> 0033 @DynArraySetLength 004d TList<System.Variant>.GetItem 0061 @VarCopy 007a @VarClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 27 47 33 DB 8D 4D EC 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 03 C0 8B 4D FC 8B 09 8D 04 C1 E8 ?? ?? ?? ?? 43 4F 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50152_0 {
	meta:
		name = "TArray.QuickSort<System.Variant>"
		size = 320
		refs = "0023 TArray.QuickSort<System.Variant> 0064 @VarCopy 0121 Variant 012b @FinalizeArray 0131 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D D4 89 55 D8 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D4 40 85 C0 0F 84 D6 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E C8 00 00 00 8B 5D 0C 8B 75 08 8D 45 F0 8B 55 08 2B 55 0C D1 EA 03 55 0C 03 D2 8B 4D D8 8D 14 D1 E8 ?? ?? ?? ?? EB 01 43 8B C3 03 C0 8B 55 D8 8D 14 C2 8D 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C E6 EB 01 4E 8B C6 03 C0 8B 55 D8 8D 14 C2 8D 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F E6 3B F3 7C 3F 3B F3 74 39 8D 45 E0 8B FB 03 FF 8B 55 D8 8D 14 FA E8 ?? ?? ?? ?? 8B 45 D8 8D 04 F8 8B D6 03 D2 8B 4D D8 8D 14 D1 E8 ?? ?? ?? ?? 8B C6 03 C0 8B 55 D8 8D 04 C2 8D 55 E0 E8 ?? ?? ?? ?? 43 4E 3B F3 7D 84 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 D8 8B 4D D4 8B 45 DC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 38 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_50160_0 {
	meta:
		name = "ActivateWSDL"
		size = 297
		refs = "001f ActivateWSDL 007d TXMLDocument.GetFileName 0088 TWSDLItems.Load 0097 @HandleOnException 009f _Dn_EDOMParseError 00d2 SWSDLError 00d7 LoadResString 00e1 _DV_EWSDLLoadException 00e6 Exception.CreateFmt 00eb @RaiseExcept 00f0 @DoneExcept 010a @UStrArrayClr 0112 @UStrClr 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E4 89 5D E0 89 5D F8 8B F1 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 84 C0 75 47 8B 45 FC 8B 80 E0 00 00 00 8B D7 8B 08 FF 51 1C 8B 45 FC 8B 80 E0 00 00 00 8B D6 8B 08 FF 51 24 8B 45 FC 8B 80 E0 00 00 00 8B 55 08 8B 08 FF 51 14 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 5E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 8B 43 04 89 45 F0 C6 45 F4 11 8D 45 E8 50 6A 01 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_50163_0 {
	meta:
		name = "TWSDLClientNode.GetWebNodeOptions"
		size = 19
	strings:
		$1 = { 53 56 8B F0 8B 46 3C 8B 10 FF 52 24 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_50164_0 {
	meta:
		name = "TWSDLClientNode.SetWebNodeOptions"
		size = 18
	strings:
		$1 = { 51 88 14 24 0F B6 14 24 8B 40 3C 8B 08 FF 51 28 5A C3 }
	condition:
		$1
}

rule function_50168_0 {
	meta:
		name = "TWSDLClientNode.BeforeExecute"
		size = 58
		refs = "0007 @IntfAddRef 000f TWSDLClientNode.BeforeExecute 002a @IntfClear 0030 @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5D C2 08 00 }
	condition:
		$1
}

rule function_50169_0 {
	meta:
		name = "TWSDLClientNode.Notification"
		size = 51
		refs = "0010 TComponent.Notification 001f TComponent.IsImplementorOf 002b @IntfClear"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 16 8B 57 3C 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 8D 47 3C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50170_0 {
	meta:
		name = "TWSDLClientNode.SetTransportNode"
		size = 106
		refs = "000e @IntfAddRef 0016 TWSDLClientNode.SetTransportNode 002e TComponent.ReferenceInterface 0039 @IntfCopy 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 23 B1 01 8B 53 3C 8B C3 E8 ?? ?? ?? ?? 8D 43 3C 8B 55 FC E8 ?? ?? ?? ?? 33 C9 8B 53 3C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_50172_0 {
	meta:
		name = "TWSDLView.SetWSDL"
		size = 60
		refs = "001d TWSDLView.SetWSDL 0022 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 1C 89 73 54 8D 43 58 8B D6 85 D2 74 06 81 EA 30 FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 C3 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_50173_0 {
	meta:
		name = "TWSDLView.Activate"
		size = 24
		refs = "0013 ActivateWSDL"
	strings:
		$1 = { 8B 50 54 85 D2 74 10 8B 48 40 51 8B 48 3C 8B 40 38 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50174_0 {
	meta:
		name = "TWSDLView.GetService"
		size = 224
		refs = "0015 TWSDLView.GetService 0025 @UStrAsg 0045 TWSDLView.Activate 004c _Dn_TDOMStrings 0051 TDOMStrings.Create 006f TWSDLItems.GetServices 0077 TDOMStrings.Count 0087 TDOMStrings.Get 00b1 TObject.Free 00b7 @HandleFinally 00ce @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 53 50 E8 ?? ?? ?? ?? 83 3E 00 0F 85 8B 00 00 00 83 7B 54 00 0F 84 81 00 00 00 F6 43 1C 10 75 7B 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 54 33 C9 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 48 75 18 8D 4D F8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 50 E8 ?? ?? ?? ?? 8B C6 8B 53 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50175_0 {
	meta:
		name = "TWSDLView.GetPort"
		size = 248
		refs = "0013 TWSDLView.GetPort 0023 @UStrAsg 004a TWSDLView.GetService 0057 _Dn_TDOMStrings 005c TDOMStrings.Create 007f TWSDLItems.GetPortsForService 0087 TDOMStrings.Count 0097 TDOMStrings.Get 00c1 TObject.Free 00c7 @HandleFinally 00de @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 53 48 E8 ?? ?? ?? ?? 83 3E 00 0F 85 9D 00 00 00 83 7B 54 00 0F 84 93 00 00 00 F6 43 1C 10 0F 85 89 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 79 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 8B 43 54 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 48 75 18 8D 4D F4 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 48 E8 ?? ?? ?? ?? 8B C6 8B 53 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50176_0 {
	meta:
		name = "TWSDLView.SetOperation"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 4C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50180_0 {
	meta:
		name = "AddElem"
		size = 184
		refs = "0012 AddElem 0036 @UStrCatN 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 3C 00 74 00 64 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 74 00 64 00 3E 00 00 00 }
	condition:
		$1
}

rule function_50181_0 {
	meta:
		name = "TWSDLHTMLPublish.AddInterfaceList"
		size = 908
		refs = "002f InterfaceMapItem 0034 @InitializeRecord 003c TWSDLHTMLPublish.AddInterfaceList 0062 sPortType 0067 LoadResString 0076 AddElem 007e sNameSpaceURI 009a sDocumentation 00b6 sWSDL 00e1 TWSDLPublish.GetPortTypeEntries 00e9 @DynArrayLength 0112 @CopyRecord 0147 @UStrLAsg 0186 sWSDLFor 01a3 @UStrCatN 01ec @UStrArrayClr 01fa @FinalizeRecord 0202 @UStrClr 020b TInterfaceMapItemArray 0210 @DynArrayClear 0216 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 56 57 33 DB 89 5D 90 89 5D 8C 89 5D 94 89 5D 98 89 5D 9C 89 5D A0 89 5D FC 89 5D F8 89 4D A4 8B DA 8B F0 8D 45 A8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 B9 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 9C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C B9 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 98 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 98 B9 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 94 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 B9 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 8D 55 FC 8B 46 38 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C D2 00 00 00 46 33 FF 8D 45 A8 8B D7 03 D2 8D 14 92 8B 4D FC 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 B9 ?? ?? ?? ?? 8B 55 A8 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 CC 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 D4 E8 ?? ?? ?? ?? 83 7D F8 00 75 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 A4 68 ?? ?? ?? ?? FF 75 A8 68 ?? ?? ?? ?? 8D 55 8C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 8C FF 75 A8 68 ?? ?? ?? ?? 8D 45 90 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 55 90 B9 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 47 4E 0F 85 31 FF FF FF BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C7 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 3C 00 74 00 61 00 62 00 6C 00 65 00 20 00 62 00 6F 00 72 00 64 00 65 00 72 00 3D 00 31 00 20 00 63 00 65 00 6C 00 6C 00 73 00 70 00 61 00 63 00 69 00 6E 00 67 00 3D 00 31 00 20 00 63 00 65 00 6C 00 6C 00 70 00 61 00 64 00 64 00 69 00 6E 00 67 00 3D 00 32 00 20 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 74 00 72 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 62 00 6C 00 48 00 64 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 74 00 72 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 62 00 6C 00 52 00 6F 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 6E 00 62 00 73 00 70 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 61 00 20 00 68 00 72 00 65 00 66 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 2F 00 61 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 2F 00 74 00 61 00 62 00 6C 00 65 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_50182_0 {
	meta:
		name = "TWSDLHTMLPublish.AddPortList"
		size = 704
		refs = "001e TWSDLHTMLPublish.AddPortList 002a AdminIniFile 0031 _Dn_TMemIniFile 0036 TMemIniFile.Create 0069 sPortNameHeader 006e LoadResString 007e AddElem 0086 sAddressHeader 00b2 TCustomIniFile.SectionExists 00c1 _Dn_TStringList 00c6 TStringList.Create 0110 TStrings.GetName 013b TStrings.GetValue 0171 TObject.Free 0177 @HandleFinally 01bd @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 38 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 B9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC B9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 38 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 BF 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 8B D3 8B 45 F8 8B 18 FF 53 54 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 7C 69 46 33 DB BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 38 8D 4D E8 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E8 B9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E0 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E0 8D 4D E4 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E4 B9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 38 43 4E 75 9A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 3C 00 74 00 61 00 62 00 6C 00 65 00 20 00 62 00 6F 00 72 00 64 00 65 00 72 00 3D 00 31 00 20 00 63 00 65 00 6C 00 6C 00 73 00 70 00 61 00 63 00 69 00 6E 00 67 00 3D 00 31 00 20 00 63 00 65 00 6C 00 6C 00 70 00 61 00 64 00 64 00 69 00 6E 00 67 00 3D 00 32 00 20 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 74 00 72 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 62 00 6C 00 48 00 64 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 74 00 72 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 62 00 6C 00 52 00 6F 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 2F 00 74 00 61 00 62 00 6C 00 65 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_50183_0 {
	meta:
		name = "TWSDLHTMLPublish.UpdatePortList"
		size = 464
		refs = "0020 TWSDLHTMLPublish.UpdatePortList 003b AdminIniFile 0042 _Dn_TMemIniFile 0047 TMemIniFile.Create 0067 TStrings.GetValue 007c UpperCase 0089 @UStrEqual 00a6 sPortName 00ab LoadResString 012b TObject.Free 0131 @HandleFinally 014d @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 14 85 C0 0F 8E FE 00 00 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 97 00 00 00 8D 55 F4 8B 45 08 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3C 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 4D EC 8B C3 E8 ?? ?? ?? ?? 8B 4D EC 8B D7 8B 45 FC 8B 18 FF 53 08 EB 41 8D 55 E4 8B 45 08 E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 27 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8D 4D E0 8B C3 E8 ?? ?? ?? ?? 8B 4D E0 8B D7 8B 45 FC 8B 18 FF 53 5C 80 7E 40 00 74 08 8B 45 FC 8B 10 FF 52 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 6F 00 72 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 44 00 44 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 61 00 64 00 64 00 72 00 65 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 45 00 4D 00 4F 00 56 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_50184_0 {
	meta:
		name = "TWSDLHTMLPublish.GetHostScriptBaseURL"
		size = 756
		refs = "001e TWSDLHTMLPublish.GetHostScriptBaseURL 005f @UStrFromLStr 0067 sCOLON 006c Pos 0076 sHTTPS 00ad IntToStr 00d5 @UStrCatN 016d sHTTP 022a @LStrClr 0232 @UStrClr 0257 @UStrArrayClr 02d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D FC 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 F6 40 48 02 0F 84 F9 00 00 00 BA 18 00 00 00 8B C3 8B 08 FF 51 0C 3D BB 01 00 00 0F 84 95 00 00 00 8D 4D F4 BA 0A 00 00 00 8B C3 8B 30 FF 56 04 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 6A FF 35 ?? ?? ?? ?? 8D 4D EC BA 0A 00 00 00 8B C3 8B 30 FF 56 04 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? FF 75 F0 FF 35 ?? ?? ?? ?? BA 18 00 00 00 8B C3 8B 08 FF 51 0C 8D 55 E8 E8 ?? ?? ?? ?? FF 75 E8 8D 55 E0 8B C3 8B 08 FF 51 18 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? FF 75 E4 8B 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? E9 3B 01 00 00 FF 35 ?? ?? ?? ?? 8D 4D D8 BA 0A 00 00 00 8B C3 8B 30 FF 56 04 8B 55 D8 8D 45 DC E8 ?? ?? ?? ?? FF 75 DC 8D 55 D0 8B C3 8B 08 FF 51 18 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? FF 75 D4 8B 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? E9 EE 00 00 00 BA 18 00 00 00 8B C3 8B 08 FF 51 0C 83 F8 50 0F 84 91 00 00 00 8D 4D C8 BA 0A 00 00 00 8B C3 8B 30 FF 56 04 8B 55 C8 8D 45 CC E8 ?? ?? ?? ?? 8B 55 CC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 66 FF 35 ?? ?? ?? ?? 8D 4D C0 BA 0A 00 00 00 8B C3 8B 30 FF 56 04 8B 55 C0 8D 45 C4 E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? BA 18 00 00 00 8B C3 8B 08 FF 51 0C 8D 55 BC E8 ?? ?? ?? ?? FF 75 BC 8D 55 B4 8B C3 8B 08 FF 51 18 8B 55 B4 8D 45 B8 E8 ?? ?? ?? ?? FF 75 B8 8B 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? EB 48 FF 35 ?? ?? ?? ?? 8D 4D AC BA 0A 00 00 00 8B C3 8B 30 FF 56 04 8B 55 AC 8D 45 B0 E8 ?? ?? ?? ?? FF 75 B0 8D 55 A4 8B C3 8B 08 FF 51 18 8B 55 A4 8D 45 A8 E8 ?? ?? ?? ?? FF 75 A8 8B 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 4B FF FF FF 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_50185_0 {
	meta:
		name = "TWSDLPublish.GetPortTypeList"
		size = 160
		refs = "0011 InterfaceMapItem 0016 @InitializeRecord 001e TWSDLPublish.GetPortTypeList 0029 InvRegistry 002e TInvokableClassRegistry.GetInterfaceCount 003e InvStringDynArray 0043 @DynArraySetLength 005f TInvokableClassRegistry.GetRegInterfaceEntry 006c @UStrAsg 008b @FinalizeRecord 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 8B 7D 08 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 53 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B F3 4E 85 F6 7C 23 46 33 DB E8 ?? ?? ?? ?? 8D 4D B0 8B D3 E8 ?? ?? ?? ?? 8B 07 8D 04 98 8B 55 B0 E8 ?? ?? ?? ?? 43 4E 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_50186_0 {
	meta:
		name = "TWSDLPublish.GetTypeSystemsList"
		size = 297
		refs = "0016 TRemRegEntry 001b @InitializeRecord 0023 TWSDLPublish.GetTypeSystemsList 0030 _Dn_TDOMStrings 0035 TDOMStrings.Create 004b RemClassRegistry 0050 TRemotableTypeRegistry.GetURICount 0069 TRemotableTypeRegistry.GetURIMap 0074 TDOMStrings.IndexOf 0082 TDOMStrings.Add 008e TDOMStrings.Count 009c InvStringDynArray 00a1 @DynArraySetLength 00c3 TDOMStrings.Get 00d0 @UStrAsg 00e9 TObject.Free 00ef @HandleFinally 0106 @UStrClr 0114 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C0 89 45 D8 8B 7D 08 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2F 46 33 DB E8 ?? ?? ?? ?? 8D 4D E0 8B D3 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 DC E8 ?? ?? ?? ?? 40 75 0B 8B 55 E8 8B 45 DC E8 ?? ?? ?? ?? 43 4E 75 D4 8B 45 DC E8 ?? ?? ?? ?? 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 DC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 21 46 33 DB 8D 4D D8 8B D3 8B 45 DC E8 ?? ?? ?? ?? 8B 55 D8 8B 07 8D 04 98 E8 ?? ?? ?? ?? 43 4E 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_50187_0 {
	meta:
		name = "TWSDLPublish.GetWSDLForPortType"
		size = 476
		refs = "0021 TWSDLPublish.GetWSDLForPortType 003a @UStrClr 0060 InvRegistry 0069 TInvokableClassRegistry.GetInterfaceInfoFromName 007c _Dn_TWSDLDocument 0081 TXMLDocument.Create 0095 @IntfCopy 00a6 _Dn_TWebServExp 00ab TWebServExp.Create 00cc @IntfCast 00e1 @UStrAsg 00f7 TWebServExp.SetBindingType 0135 @DynArrayHigh 0153 TWebServExp.GetWSDLForInterface 0181 @IntfClear 019f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C0 89 45 D4 89 45 FC 89 45 F8 89 45 F4 8B 75 10 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 22 00 74 25 C6 45 EF 00 8B 45 08 E8 ?? ?? ?? ?? 8D 45 EF 50 8B 4D 08 8B D6 8B 43 24 FF 53 20 80 7D EF 00 0F 85 19 01 00 00 8D 45 F0 50 8D 45 D8 50 E8 ?? ?? ?? ?? 8B CE 33 D2 E8 ?? ?? ?? ?? 83 7D F0 00 0F 84 F9 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 28 FF FF FF 8D 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC 8B 08 FF 51 4C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA AC 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 D4 8B 55 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 8B 10 FF 52 0C 8B F0 8D 46 30 8B 53 18 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 58 B2 01 8B C6 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 0B 46 1D 66 89 46 1D 8B 43 28 89 46 38 8B 43 2C 89 46 3C 8B 43 30 89 46 40 8B 43 34 89 46 44 8B 43 38 89 46 48 8B 43 3C 89 46 4C 8B 7B 14 57 8B C7 E8 ?? ?? ?? ?? 50 8B 43 10 89 45 E8 50 8B 45 E8 E8 ?? ?? ?? ?? 50 8B 4D FC 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 08 FF 91 B8 00 00 00 8B 45 08 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C2 0C 00 00 00 76 EB B5 1B 77 AC EE 47 BC F2 99 C7 B5 43 86 C3 B0 04 02 00 FF FF FF FF 05 00 00 00 75 00 74 00 66 00 2D 00 38 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_50188_0 {
	meta:
		name = "TWSDLPublish.GetXSDForTypeSystem"
		size = 340
		refs = "0016 TRemRegEntry 001b @InitializeRecord 0023 TWSDLPublish.GetXSDForTypeSystem 002e RemClassRegistry 0033 TRemotableTypeRegistry.GetURICount 0057 TRemotableTypeRegistry.GetURIMap 0062 @UStrEqual 006f _Dn_TWebServExp 0074 TWebServExp.Create 0097 NewXMLSchema 00b7 TWebServExp.GenerateXMLSchema 00d0 @UStrAsg 00e5 TObject.Free 00eb @HandleFinally 010e @IntfClear 011c @FinalizeRecord 0124 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C8 33 C0 89 45 C8 89 45 FC 89 45 F8 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 0F 8C BD 00 00 00 40 89 45 CC C7 45 D4 00 00 00 00 E8 ?? ?? ?? ?? 8D 4D D8 8B 55 D4 E8 ?? ?? ?? ?? 8B 45 10 8B 55 E0 E8 ?? ?? ?? ?? 0F 85 85 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 B9 ?? ?? ?? ?? 33 D2 33 C0 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 55 C8 8B 45 FC 8B 08 FF 91 C8 00 00 00 8B 55 C8 8B 4D DC 8B 45 D0 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC 8B 08 FF 91 B8 00 00 00 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 D4 FF 4D CC 0F 85 4E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 78 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_50189_0 {
	meta:
		name = "WSDLPubFactory"
		size = 19
		refs = "0006 _DV_TWSDLPublish 000b TInvokableClass.Create"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 5B C3 }
	condition:
		$1
}

rule function_50190_0 {
	meta:
		name = "TWSDLPublish.GetPortTypeEntries"
		size = 278
		refs = "0011 InterfaceMapItem 0016 @InitializeRecord 001e TWSDLPublish.GetPortTypeEntries 0029 InvRegistry 002e TInvokableClassRegistry.GetInterfaceCount 0049 TInvokableClassRegistry.HasRegInterfaceImpl 0061 TInterfaceMapItemArray 0066 @DynArraySetLength 0098 TInvokableClassRegistry.GetRegInterfaceEntry 00a1 IWSDLPublish 00c1 @CopyRecord 0103 @FinalizeRecord 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 89 55 AC 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 A4 33 FF 8B 75 A4 85 F6 7C 18 46 33 DB E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 84 C0 74 01 47 43 4E 75 EB 57 8B 45 AC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 A8 8B 75 A4 4E 85 F6 7C 72 46 33 DB E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 84 C0 74 5B E8 ?? ?? ?? ?? 8D 4D B0 8B D3 E8 ?? ?? ?? ?? 8B 45 CC 3B 05 ?? ?? ?? ?? 75 20 8B C7 03 C0 8D 04 80 8B 55 AC 8B 12 8D 44 C2 B0 8D 55 B0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8B 45 A8 03 C0 8D 04 80 8B 55 AC 8B 12 8D 04 C2 8D 55 B0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 A8 43 4E 75 91 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50191_0 {
	meta:
		name = "TWSDLHTMLPublish.Create"
		size = 144
		refs = "000e @ClassCreate 001c TComponent.Create 0025 _Dn_TWebDispatch 002a TWebDispatch.Create 0036 TWSDLHTMLPublish.Create 003b TWebDispatch.SetPathInfo 005d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 3C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 3C C6 40 08 00 0F B6 05 ?? ?? ?? ?? 88 43 48 C6 43 40 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 77 00 73 00 64 00 6C 00 2A 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_50192_0 {
	meta:
		name = "TCustomWebFileDispatcher.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TComponent.Destroy 001a TObject.Free 0025 @ClassDestroy"
		altNames = "TWSDLHTMLPublish.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50193_0 {
	meta:
		name = "TWSDLHTMLPublish.DispatchEnabled"
		size = 8
	strings:
		$1 = { 8B 40 3C 0F B6 40 09 C3 }
	condition:
		$1
}

rule function_50196_0 {
	meta:
		name = "AddAdmin"
		size = 428
		refs = "0010 AddAdmin 0033 @UStrCatN 004e sAdminButtonCation 0053 LoadResString 00a0 @UStrArrayClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC 8B 08 FF 51 38 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 FC 8B 08 FF 51 38 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 3C 00 46 00 4F 00 52 00 4D 00 20 00 4E 00 41 00 4D 00 45 00 3D 00 22 00 61 00 64 00 6D 00 69 00 6E 00 22 00 20 00 4D 00 45 00 54 00 48 00 4F 00 44 00 3D 00 22 00 47 00 45 00 54 00 22 00 20 00 41 00 43 00 54 00 49 00 4F 00 4E 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 3C 00 49 00 4E 00 50 00 55 00 54 00 20 00 54 00 59 00 50 00 45 00 3D 00 22 00 53 00 55 00 42 00 4D 00 49 00 54 00 22 00 20 00 56 00 41 00 4C 00 55 00 45 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 2F 00 46 00 4F 00 52 00 4D 00 3E 00 00 00 }
	condition:
		$1
}

rule function_50197_0 {
	meta:
		name = "getDefaultPortValue"
		size = 120
		refs = "000e @UStrAddRef 0016 getDefaultPortValue 0036 @UStrCatN 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 FF 70 10 68 ?? ?? ?? ?? FF 75 FC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 73 00 6F 00 61 00 70 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_50198_0 {
	meta:
		name = "getDefaultPortKey"
		size = 104
		refs = "000e @UStrAddRef 0016 getDefaultPortKey 002b @UStrCat3 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 6F 00 72 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_50199_0 {
	meta:
		name = "CreateDefaultEntries"
		size = 283
		refs = "0010 CreateDefaultEntries 001d AdminIniFile 0022 FileExists 0037 _Dn_TMemIniFile 003c TMemIniFile.Create 005b TWSDLPublish.GetPortTypeEntries 0063 @DynArrayLength 008e getDefaultPortValue 009d getDefaultPortKey 00d9 TObject.Free 00df @HandleFinally 00fb @UStrArrayClr 0104 TInterfaceMapItemArray 0109 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 B7 00 00 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 46 46 C7 45 F8 00 00 00 00 8B 45 F8 03 C0 8D 04 80 8B 55 FC 8D 1C C2 8B 45 08 50 8D 55 F0 8B 03 E8 ?? ?? ?? ?? 59 8B 45 F0 50 8D 55 EC 8B 03 E8 ?? ?? ?? ?? 8B 4D EC 8B 13 8B 45 F4 8B 18 FF 53 08 FF 45 F8 4E 75 C2 8B 45 08 8B 40 F4 80 78 40 00 74 08 8B 45 F4 8B 10 FF 52 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50200_0 {
	meta:
		name = "NewServicePortForm"
		size = 1368
		refs = "001b NewServicePortForm 0049 @UStrCatN 0073 sPortNameHeader 0078 LoadResString 0087 AddElem 008f sAddressHeader 00c8 sPortName 0133 sAddButtonCaption 0164 sDeleteButtonCaption 01ae @UStrArrayClr 01b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B 5D 08 83 C3 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 08 FF 70 10 8B 45 08 FF 70 F0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 03 8B 08 FF 51 38 8B 03 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 03 BA ?? ?? ?? ?? 8B 08 FF 51 38 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 03 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 03 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 03 BA ?? ?? ?? ?? 8B 08 FF 51 38 68 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 03 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 03 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 03 BA ?? ?? ?? ?? 8B 08 FF 51 38 68 ?? ?? ?? ?? 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 03 8B 08 FF 51 38 68 ?? ?? ?? ?? 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 03 8B 08 FF 51 38 8B 03 BA ?? ?? ?? ?? 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 28 00 00 00 3C 00 46 00 4F 00 52 00 4D 00 20 00 4E 00 41 00 4D 00 45 00 3D 00 22 00 61 00 64 00 6D 00 69 00 6E 00 22 00 20 00 4D 00 45 00 54 00 48 00 4F 00 44 00 3D 00 22 00 47 00 45 00 54 00 22 00 20 00 41 00 43 00 54 00 49 00 4F 00 4E 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 3C 00 74 00 61 00 62 00 6C 00 65 00 20 00 62 00 6F 00 72 00 64 00 65 00 72 00 3D 00 31 00 20 00 63 00 65 00 6C 00 6C 00 73 00 70 00 61 00 63 00 69 00 6E 00 67 00 3D 00 31 00 20 00 63 00 65 00 6C 00 6C 00 70 00 61 00 64 00 64 00 69 00 6E 00 67 00 3D 00 32 00 20 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 74 00 72 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 62 00 6C 00 48 00 64 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 74 00 72 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 3C 00 49 00 4E 00 50 00 55 00 54 00 20 00 54 00 59 00 50 00 45 00 3D 00 22 00 54 00 45 00 58 00 54 00 22 00 20 00 4E 00 41 00 4D 00 45 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 22 00 20 00 53 00 49 00 5A 00 45 00 3D 00 22 00 32 00 30 00 22 00 20 00 56 00 41 00 4C 00 55 00 45 00 3D 00 22 00 22 00 20 00 4D 00 41 00 58 00 4C 00 45 00 4E 00 47 00 54 00 48 00 3D 00 22 00 34 00 30 00 39 00 36 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 62 00 6C 00 52 00 6F 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 46 00 00 00 3C 00 49 00 4E 00 50 00 55 00 54 00 20 00 54 00 59 00 50 00 45 00 3D 00 22 00 54 00 45 00 58 00 54 00 22 00 20 00 4E 00 41 00 4D 00 45 00 3D 00 22 00 61 00 64 00 64 00 72 00 65 00 73 00 73 00 22 00 20 00 53 00 49 00 5A 00 45 00 3D 00 22 00 34 00 30 00 22 00 20 00 56 00 41 00 4C 00 55 00 45 00 3D 00 22 00 22 00 20 00 4D 00 41 00 58 00 4C 00 45 00 4E 00 47 00 54 00 48 00 3D 00 22 00 34 00 30 00 39 00 36 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 2F 00 74 00 61 00 62 00 6C 00 65 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3C 00 70 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 3C 00 49 00 4E 00 50 00 55 00 54 00 20 00 54 00 59 00 50 00 45 00 3D 00 22 00 53 00 55 00 42 00 4D 00 49 00 54 00 22 00 20 00 56 00 41 00 4C 00 55 00 45 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 22 00 20 00 4E 00 41 00 4D 00 45 00 3D 00 22 00 43 00 4F 00 4D 00 4D 00 41 00 4E 00 44 00 5F 00 41 00 44 00 44 00 22 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 22 00 20 00 4E 00 41 00 4D 00 45 00 3D 00 22 00 43 00 4F 00 4D 00 4D 00 41 00 4E 00 44 00 5F 00 52 00 45 00 4D 00 4F 00 56 00 45 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 2F 00 46 00 4F 00 52 00 4D 00 3E 00 00 00 }
	condition:
		$1
}

rule function_50201_0 {
	meta:
		name = "GetServicePorts"
		size = 620
		refs = "0016 @UStrAddRef 001e GetServicePorts 002a AdminIniFile 0031 _Dn_TMemIniFile 0036 TMemIniFile.Create 0052 TCustomIniFile.SectionExists 0061 _Dn_TStringList 0066 TStringList.Create 0094 :TWSDLPublish.:2 0099 @DynArrayClear 00a8 :TWSDLPublish.:1 00cf @DynArraySetLength 0116 TStrings.GetName 012a @UStrAsg 0145 TStrings.GetValue 0172 TObject.Free 0178 @HandleFinally 01e9 getDefaultPortKey 0209 getDefaultPortValue 0252 @UStrArrayClr 025a @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 20 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 8B 55 FC 8B 45 F8 8B 18 FF 53 54 8B 45 08 8B 40 F8 83 C0 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 83 C0 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 50 8B 45 08 8B 40 F8 83 C0 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 8B 10 FF 52 14 50 8B 45 08 8B 40 F8 83 C0 10 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 7C 57 46 33 DB 8D 4D F0 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 8B 40 F8 8B 40 14 8D 04 98 E8 ?? ?? ?? ?? 8D 4D E8 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 08 8B 40 F8 8B 40 10 8D 04 98 E8 ?? ?? ?? ?? 43 4E 75 AC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 8B 40 F8 83 C0 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 83 C0 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8B 45 08 8B 40 F8 83 C0 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 01 8B 45 08 8B 40 F8 83 C0 10 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 08 8B 40 F8 8B 40 14 E8 ?? ?? ?? ?? 8B 45 08 50 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 59 8B 55 E0 8B 45 08 8B 40 F8 8B 40 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50202_0 {
	meta:
		name = "TWSDLHTMLPublish.HandleRequest"
		size = 11216
		refs = "0024 TWSDLHTMLPublish.HandleRequest 0042 LastDelimiter 0052 @UStrCopy 00a2 @UStrCat3 00a9 CoInitialize 00be _DV_TWSDLPublish 00c3 TInvokableClass.Create 00df TWSDLHTMLPublish.GetTargetNamespace 00ed @UStrAsg 013b CreateDefaultEntries 0149 @UStrEqual 0158 ServiceName 016e Format 018e sWebServiceListing 0193 LoadResString 01bf @UStrCatN 01e5 TWSDLHTMLPublish.AddInterfaceList 0211 AddAdmin 0242 TextHTMLWithUTF8 0277 sForbiddenAccess 02a7 @TryFinallyExit 02bd sWebServiceListingAdmin 036f GetServicePorts 0381 TWSDLPublish.GetWSDLForPortType 03af sInterfaceNotFound 0465 TWebRequest.GetQueryFields 0472 TStrings.GetValue 0492 TWSDLHTMLPublish.UpdatePortList 04d8 sWSDLPortsforPortType 0558 TWSDLHTMLPublish.AddPortList 056b NewServicePortForm 05a9 TObject.Free 05af @HandleFinally 05c3 CoUninitialize 05e8 @UStrArrayClr 05f0 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 11 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 89 4D F0 89 55 FC 89 45 F4 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 DC C8 00 00 00 8D 45 EC 50 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 B9 FF FF FF 7F 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 B9 FF FF FF 7F 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 E4 8B 4D F0 8B 55 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F8 83 C0 18 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 F4 8B 4A 50 89 48 20 8B 4A 54 89 48 24 8B 45 F8 8B 55 F4 8B 4A 58 89 48 28 8B 4A 5C 89 48 2C 8B 45 F8 8B 55 F4 8B 4A 60 89 48 30 8B 4A 64 89 48 34 8B 45 F8 8B 55 F4 8B 4A 68 89 48 38 8B 4A 6C 89 48 3C 55 E8 ?? ?? ?? ?? 59 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 FD 00 00 00 8D 45 D0 50 A1 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 8D 55 C8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? 8D 45 C4 50 A1 ?? ?? ?? ?? 89 45 B4 C6 45 B8 11 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 89 45 BC C6 45 C0 11 8D 55 B4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 C4 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 38 8B 4D E4 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 80 78 40 00 74 24 55 FF 75 E4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 AC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 AC E8 ?? ?? ?? ?? 59 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 38 8B C3 8B 55 F4 F6 42 48 04 0F 95 C2 83 E2 7F 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 48 03 00 00 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 F4 00 00 00 8B 45 F4 80 78 40 00 75 49 C7 45 DC 93 01 00 00 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 8B 45 FC 8B 08 FF 51 38 8B C3 8B 55 F4 F6 42 48 04 0F 95 C2 83 E2 7F 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1A 03 00 00 8D 45 A4 50 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 89 45 C8 C6 45 CC 11 8D 55 C8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8B 45 FC 8B 08 FF 51 38 68 ?? ?? ?? ?? 8D 55 98 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 98 68 ?? ?? ?? ?? 8D 45 9C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 9C 8B 45 FC 8B 08 FF 51 38 8B 4D E4 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 38 8B C3 8B 55 F4 F6 42 48 04 0F 95 C2 83 E2 7F 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 41 02 00 00 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 92 00 00 00 55 8B 45 EC E8 ?? ?? ?? ?? 59 8B 45 EC 50 8B 45 F8 50 8D 45 E0 50 E8 ?? ?? ?? ?? 83 7D E0 00 74 1C 8B 55 E0 8B 45 FC 8B 08 FF 51 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F1 01 00 00 8D 45 94 50 8D 55 90 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 90 50 8B 45 EC 89 45 C8 C6 45 CC 11 8D 55 C8 33 C9 58 E8 ?? ?? ?? ?? 8B 55 94 8B 45 FC 8B 08 FF 51 38 8B C3 8B 55 F4 F6 42 48 04 0F 95 C2 83 E2 7F 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9C 01 00 00 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 89 01 00 00 8B 45 F4 80 78 40 00 75 49 C7 45 DC 93 01 00 00 8D 55 8C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 8C 8B 45 FC 8B 08 FF 51 38 8B C3 8B 55 F4 F6 42 48 04 0F 95 C2 83 E2 7F 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6E 01 00 00 8B 45 08 E8 ?? ?? ?? ?? 8D 4D 88 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 88 00 74 1C 68 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 8B D0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? EB 35 8B 45 08 E8 ?? ?? ?? ?? 8D 4D 84 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 84 00 74 1A 68 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 8B D0 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 80 50 8D 95 7C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 89 45 C8 C6 45 CC 11 8D 55 C8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 80 8B 45 FC 8B 08 FF 51 38 68 ?? ?? ?? ?? 8D 95 74 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF B5 74 FF FF FF 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8B 45 FC 8B 08 FF 51 38 8B 4D EC 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 38 55 E8 ?? ?? ?? ?? 59 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 38 8B C3 8B 55 F4 F6 42 48 04 0F 95 C2 83 E2 7F 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 74 FF FF FF BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 8B 45 DC 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 77 00 73 00 64 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF BA 08 00 00 3C 00 68 00 74 00 6D 00 6C 00 3E 00 3C 00 68 00 65 00 61 00 64 00 3E 00 3C 00 74 00 69 00 74 00 6C 00 65 00 3E 00 25 00 73 00 3C 00 2F 00 74 00 69 00 74 00 6C 00 65 00 3E 00 3C 00 73 00 74 00 79 00 6C 00 65 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 74 00 65 00 78 00 74 00 2F 00 63 00 73 00 73 00 22 00 3E 00 3C 00 21 00 2D 00 2D 00 0D 00 0A 00 62 00 6F 00 64 00 79 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 7B 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 39 00 70 00 74 00 3B 00 20 00 6D 00 61 00 72 00 67 00 69 00 6E 00 2D 00 6C 00 65 00 66 00 74 00 3A 00 20 00 30 00 70 00 78 00 3B 00 20 00 6D 00 61 00 72 00 67 00 69 00 6E 00 2D 00 74 00 6F 00 70 00 3A 00 20 00 30 00 70 00 78 00 3B 00 20 00 6D 00 61 00 72 00 67 00 69 00 6E 00 2D 00 72 00 69 00 67 00 68 00 74 00 3A 00 20 00 30 00 70 00 78 00 3B 00 20 00 7D 00 0D 00 0A 00 68 00 31 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 31 00 38 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 62 00 6F 00 6C 00 64 00 3B 00 20 00 7D 00 0D 00 0A 00 68 00 32 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 31 00 34 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 62 00 6F 00 6C 00 64 00 3B 00 20 00 7D 00 0D 00 0A 00 68 00 33 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 31 00 32 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 62 00 6F 00 6C 00 64 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 68 00 31 00 53 00 74 00 79 00 6C 00 65 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 31 00 38 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 62 00 6F 00 6C 00 64 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 54 00 62 00 6C 00 52 00 6F 00 77 00 20 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 31 00 30 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 54 00 62 00 6C 00 52 00 6F 00 77 00 31 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 66 00 35 00 66 00 35 00 64 00 63 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 39 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 54 00 62 00 6C 00 52 00 6F 00 77 00 30 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 64 00 39 00 64 00 34 00 61 00 61 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 39 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 54 00 62 00 6C 00 48 00 64 00 72 00 20 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 43 00 43 00 43 00 43 00 39 00 39 00 3B 00 20 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 31 00 30 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 62 00 6F 00 6C 00 64 00 3B 00 20 00 74 00 65 00 78 00 74 00 2D 00 61 00 6C 00 69 00 67 00 6E 00 3A 00 20 00 63 00 65 00 6E 00 74 00 65 00 72 00 3B 00 7D 00 0D 00 0A 00 2E 00 49 00 6E 00 74 00 66 00 4E 00 61 00 6D 00 65 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 36 00 36 00 30 00 30 00 30 00 30 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 31 00 30 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 62 00 6F 00 6C 00 64 00 3B 00 }
	condition:
		$1
}

rule function_50203_0 {
	meta:
		name = "TWSDLHTMLPublish.DispatchRequest"
		size = 5200
		refs = "001f TWSDLHTMLPublish.DispatchRequest 0040 TWSDLHTMLPublish.GetHostScriptBaseURL 0055 @UStrFromLStr 008d @UStrCopy 0094 CoInitialize 00a9 _Dn_TStringList 00ae TStringList.Create 00d6 TWSDLHTMLPublish.HandleRequest 00f0 @LStrFromUStr 0116 UTF8Encode 0136 TObject.Free 013c @HandleFinally 0150 CoUninitialize 016a @HandleOnException 0172 _Dn_Exception 018d sErrorColon 0192 LoadResString 01a7 TObject.ClassName 01c1 @UStrCatN 01ee TextHTMLWithUTF8 0217 sUnknownError 0282 @DoneExcept 0299 @LStrClr 02a9 @UStrClr 02c6 @UStrArrayClr 02db @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 4D F8 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8D 55 E4 8B C3 8B 08 FF 51 10 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 8B 4D FC 66 83 7C 41 FE 2F 75 1F 8B F2 85 F6 74 05 83 EE 04 8B 36 8D 45 FC 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8D 45 F4 50 53 8B 4D FC 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 08 FF 51 28 8D 45 E0 8B 55 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D E0 BA 08 00 00 00 8B 45 08 8B 18 FF 53 04 8D 55 D8 8B 45 E8 8B 08 FF 51 1C 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 08 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F3 33 C0 5A 59 59 64 89 10 E9 1D 01 00 00 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? 89 C3 68 ?? ?? ?? ?? 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 D4 FF 73 04 68 ?? ?? ?? ?? 8D 55 D0 8B 03 E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 08 8B 08 FF 51 1C 8D 45 C8 8B 55 EC F6 42 48 04 0F 95 C2 83 E2 7F 8B 14 95 ?? ?? ?? ?? B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D C8 BA 08 00 00 00 8B 45 08 8B 18 FF 53 04 EB 73 68 ?? ?? ?? ?? 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 08 8B 08 FF 51 1C 8D 45 BC 8B 55 EC F6 42 48 04 0F 95 C2 83 E2 7F 8B 14 95 ?? ?? ?? ?? B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D BC BA 08 00 00 00 8B 45 08 8B 18 FF 53 04 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A1 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 77 08 00 00 3C 00 68 00 74 00 6D 00 6C 00 3E 00 3C 00 68 00 65 00 61 00 64 00 3E 00 3C 00 73 00 74 00 79 00 6C 00 65 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 74 00 65 00 78 00 74 00 2F 00 63 00 73 00 73 00 22 00 3E 00 3C 00 21 00 2D 00 2D 00 0D 00 0A 00 62 00 6F 00 64 00 79 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 7B 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 39 00 70 00 74 00 3B 00 20 00 7D 00 0D 00 0A 00 68 00 31 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 31 00 38 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 62 00 6F 00 6C 00 64 00 3B 00 20 00 7D 00 0D 00 0A 00 68 00 32 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 31 00 34 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 62 00 6F 00 6C 00 64 00 3B 00 20 00 7D 00 0D 00 0A 00 68 00 33 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 31 00 32 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 62 00 6F 00 6C 00 64 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 68 00 31 00 53 00 74 00 79 00 6C 00 65 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 31 00 38 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 62 00 6F 00 6C 00 64 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 54 00 62 00 6C 00 52 00 6F 00 77 00 20 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 31 00 30 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 54 00 62 00 6C 00 52 00 6F 00 77 00 31 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 66 00 35 00 66 00 35 00 64 00 63 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 39 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 54 00 62 00 6C 00 52 00 6F 00 77 00 30 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 64 00 39 00 64 00 34 00 61 00 61 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 39 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 54 00 62 00 6C 00 48 00 64 00 72 00 20 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 43 00 43 00 43 00 43 00 39 00 39 00 3B 00 20 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 31 00 30 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 62 00 6F 00 6C 00 64 00 3B 00 20 00 74 00 65 00 78 00 74 00 2D 00 61 00 6C 00 69 00 67 00 6E 00 3A 00 20 00 63 00 65 00 6E 00 74 00 65 00 72 00 3B 00 7D 00 0D 00 0A 00 2E 00 49 00 6E 00 74 00 66 00 4E 00 61 00 6D 00 65 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 36 00 36 00 30 00 30 00 30 00 30 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 31 00 30 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 62 00 6F 00 6C 00 64 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 4D 00 65 00 74 00 68 00 4E 00 61 00 6D 00 65 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 38 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 62 00 6F 00 6C 00 64 00 3B 00 20 00 74 00 65 00 78 00 74 00 2D 00 64 00 65 00 63 00 6F 00 72 00 61 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 6E 00 6F 00 6E 00 65 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 50 00 61 00 72 00 6D 00 4E 00 61 00 6D 00 65 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 38 00 70 00 74 00 3B 00 20 00 74 00 65 00 78 00 74 00 2D 00 64 00 65 00 63 00 6F 00 72 00 61 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 6E 00 6F 00 6E 00 65 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 39 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 20 00 69 00 74 00 61 00 6C 00 69 00 63 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 57 00 53 00 44 00 4C 00 20 00 20 00 20 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 39 00 39 00 30 00 30 00 30 00 30 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 38 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 }
	condition:
		$1
}

rule function_50204_0 {
	meta:
		name = "ValidIntfName"
		size = 167
		refs = "0013 InterfaceMapItem 0018 @InitializeRecord 0020 ValidIntfName 0031 @DynArrayLength 005e @CopyRecord 0069 @UStrEqual 0090 @FinalizeRecord 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 89 55 AC 8B F8 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 AB 00 8B C7 E8 ?? ?? ?? ?? 85 C0 7E 40 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 32 43 33 F6 8D 45 B0 8B D6 03 D2 8D 14 92 8D 14 D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 8B 55 AC E8 ?? ?? ?? ?? 75 06 C6 45 AB 01 EB 04 46 4B 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 AB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50205_0 {
	meta:
		name = "GetReturnStr"
		size = 208
		refs = "0013 GetReturnStr 0025 @UStrAsg 0038 RemClassRegistry 0042 TRemotableTypeRegistry.InfoToURI 0055 @UStrCat3 0064 @UStrLAsg 007e @UStrArrayClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 74 3B 8D 45 F8 50 8D 45 F7 50 6A 01 E8 ?? ?? ?? ?? 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 84 C0 74 11 8B C6 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 6F 00 69 00 64 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3F 00 3F 00 3F 00 3F 00 00 00 00 00 }
	condition:
		$1
}

rule function_50206_0 {
	meta:
		name = "GetParams"
		size = 636
		refs = "0024 TIntfParamEntry 0029 @InitializeRecord 0031 GetParams 003e @UStrClr 0046 @DynArrayLength 0083 @CopyRecord 009d RemClassRegistry 00a7 TRemotableTypeRegistry.InfoToURI 00b6 @UStrLAsg 00fd Commas 012a Format 0134 @UStrAsg 0161 @FinalizeRecord 016e @UStrArrayClr 0174 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 C9 89 4D D0 89 4D FC 89 4D F8 89 4D F4 89 4D F0 8B F2 89 45 E0 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 8E F0 00 00 00 8B 45 E0 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C DD 00 00 00 47 C7 45 DC 00 00 00 00 8D 45 E4 8B 55 DC 8D 14 52 8B 4D E0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D EC 85 DB 0F 84 A6 00 00 00 8D 45 F0 50 8D 45 DB 50 6A 01 E8 ?? ?? ?? ?? 8D 4D F4 8B D3 E8 ?? ?? ?? ?? 84 C0 74 0D 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 55 E8 E8 ?? ?? ?? ?? 8B 06 89 45 D4 8B 5D D4 85 DB 74 05 83 EB 04 8B 1B 8D 45 D0 50 8B 06 89 45 B0 C6 45 B4 11 85 DB 0F 9F C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 89 45 B8 C6 45 BC 11 8B 45 F8 89 45 C0 C6 45 C4 11 8B 45 FC 89 45 C8 C6 45 CC 11 8D 55 B0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B C6 E8 ?? ?? ?? ?? FF 45 DC 4F 0F 85 2B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3F 00 3F 00 3F 00 3F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 68 00 00 00 25 00 73 00 3C 00 73 00 70 00 61 00 6E 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 4D 00 65 00 74 00 68 00 4E 00 61 00 6D 00 65 00 22 00 3E 00 25 00 73 00 3C 00 2F 00 73 00 70 00 61 00 6E 00 3E 00 3C 00 73 00 70 00 61 00 6E 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 50 00 61 00 72 00 6D 00 4E 00 61 00 6D 00 65 00 22 00 3E 00 25 00 73 00 3C 00 2F 00 73 00 70 00 61 00 6E 00 3E 00 3C 00 73 00 70 00 61 00 6E 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 4D 00 65 00 74 00 68 00 4E 00 61 00 6D 00 65 00 22 00 3E 00 26 00 6E 00 62 00 73 00 70 00 3B 00 25 00 73 00 3C 00 2F 00 73 00 70 00 61 00 6E 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_50207_0 {
	meta:
		name = "GetInterfaceInfo"
		size = 3644
		refs = "001e InterfaceMapItem 0023 @InitializeRecord 002c TIntfMetaData 003a TIntfMethEntry 0047 GetInterfaceInfo 0054 @UStrClr 0065 TWSDLPublish.GetPortTypeEntries 0073 ValidIntfName 0081 @UStrLAsg 0093 @DynArrayLength 00a7 @UStrAsg 00c6 sServiceInfo 00cb LoadResString 00d7 ServiceName 00f2 Format 0109 @UStrCatN 0127 sInterfaceInfo 01d4 @CopyRecord 01e8 @UStrEqual 01f3 InvRegistry 01fe TInvokableClassRegistry.GetInterfaceTypeInfo 0208 GetIntfMetaData 0214 @UStrCat 030e TInvokableClassRegistry.GetNamespaceByGUID 0413 GetParams 0446 GetReturnStr 0535 sWSILInfo 0552 sWSILLink 0574 @UStrCat3 05d5 @UStrArrayClr 0616 @FinalizeRecord 0648 TInterfaceMapItemArray 064d @DynArrayClear 0653 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 25 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 8B F0 8D 85 54 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 08 8B 40 FC 8B 40 38 E8 ?? ?? ?? ?? 85 F6 74 22 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C 8D 45 F4 8B D6 E8 ?? ?? ?? ?? EB 08 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 8E 1D 05 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F4 00 75 61 FF 33 68 ?? ?? ?? ?? 8D 85 48 FF FF FF 50 8D 95 44 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 44 FF FF FF 50 A1 ?? ?? ?? ?? 89 85 3C FF FF FF C6 85 40 FF FF FF 11 8D 95 3C FF FF FF 33 C9 58 E8 ?? ?? ?? ?? FF B5 48 FF FF FF 68 ?? ?? ?? ?? 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? E9 82 00 00 00 FF 33 68 ?? ?? ?? ?? 8D 85 38 FF FF FF 50 8D 95 34 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 34 FF FF FF 50 8B 45 08 8B 40 F8 89 85 1C FF FF FF C6 85 20 FF FF FF 11 A1 ?? ?? ?? ?? 89 85 24 FF FF FF C6 85 28 FF FF FF 11 8B 45 F4 89 85 2C FF FF FF C6 85 30 FF FF FF 11 8D 95 1C FF FF FF B9 02 00 00 00 58 E8 ?? ?? ?? ?? FF B5 38 FF FF FF 68 ?? ?? ?? ?? 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 0F 8C 78 03 00 00 40 89 85 4C FF FF FF C7 85 50 FF FF FF 00 00 00 00 8D 85 54 FF FF FF 8B 95 50 FF FF FF 03 D2 8D 14 92 8B 4D FC 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F4 00 74 14 8B 85 54 FF FF FF 8B 55 F4 E8 ?? ?? ?? ?? 0F 85 19 03 00 00 E8 ?? ?? ?? ?? 8D 95 60 FF FF FF E8 ?? ?? ?? ?? 8D 55 A4 33 C9 E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F4 00 74 38 8D 85 18 FF FF FF 50 8B 45 A4 89 85 3C FF FF FF C6 85 40 FF FF FF 11 8D 95 3C FF FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 18 FF FF FF 8B C3 E8 ?? ?? ?? ?? EB 4C 8D 85 14 FF FF FF 50 8B 45 A4 89 85 04 FF FF FF C6 85 08 FF FF FF 11 8B 45 08 8B 40 F8 89 85 0C FF FF FF C6 85 10 FF FF FF 11 8D 95 04 FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 14 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 00 FF FF FF 50 8B 45 08 FF 70 F8 68 ?? ?? ?? ?? FF 75 A4 8D 85 FC FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 FC FE FF FF 89 85 3C FF FF FF C6 85 40 FF FF FF 11 8D 95 3C FF FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 00 FF FF FF 8B C3 E8 ?? ?? ?? ?? 83 7D F4 00 74 49 E8 ?? ?? ?? ?? 8D 4D F8 8D 95 60 FF FF FF E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 50 8B 45 F8 89 85 3C FF FF FF C6 85 40 FF FF FF 11 8D 95 3C FF FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8B C3 E8 ?? ?? ?? ?? 83 7D 80 00 74 42 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF 50 8B 45 80 89 85 3C FF FF FF C6 85 40 FF FF FF 11 8D 95 3C FF FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 45 AC E8 ?? ?? ?? ?? 85 C0 0F 8E 5F 01 00 00 83 7D F4 00 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 28 01 00 00 47 33 F6 8D 45 CC 8B D6 03 D2 03 D2 8B 4D AC 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 A9 00 00 00 8D 45 F0 50 8B C6 03 C0 03 C0 8B 55 AC 8B 04 C2 89 85 04 FF FF FF C6 85 08 FF FF FF 11 8D 95 F0 FE FF FF 8B 45 E4 E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF 89 85 0C FF FF FF C6 85 10 FF FF FF 11 8D 95 04 FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC 8B 45 DC E8 ?? ?? ?? ?? 8D 85 EC FE FF FF 50 8B 45 EC 89 85 04 FF FF FF C6 85 08 FF FF FF 11 8B 45 F0 89 85 0C FF FF FF C6 85 10 FF FF FF 11 8D 95 04 FF FF FF B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 EC FE FF FF 8B C3 E8 ?? ?? ?? ?? EB 50 FF 33 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF 50 8B C6 03 C0 03 C0 8B 55 AC 8B 04 C2 89 85 3C FF FF FF C6 85 40 FF FF FF 11 8D 95 3C FF FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF B5 E8 FE FF FF 68 ?? ?? ?? ?? 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? 46 4F 0F 85 DB FE FF FF 83 7D F4 00 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 85 50 FF FF FF FF 8D 4C FF FF FF 0F 85 99 FC FF FF 83 7D F4 00 0F 85 89 00 00 00 FF 33 68 ?? ?? ?? ?? 8D 95 E4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF B5 E4 FE FF FF 8D 85 E0 FE FF FF 50 8D 95 DC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 DC FE FF FF 50 8B 45 08 8B 50 F8 8D 85 D8 FE FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D8 FE FF FF 89 85 3C FF FF FF C6 85 40 FF FF FF 11 8D 95 3C FF FF FF 33 C9 58 E8 ?? ?? ?? ?? FF B5 E0 FE FF FF 68 ?? ?? ?? ?? 8B C3 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D8 FE FF FF BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 85 14 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 34 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 44 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 54 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 6D FF FF FF 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 3F 00 00 00 3C 00 62 00 72 00 3E 00 3C 00 74 00 61 00 62 00 6C 00 65 00 20 00 77 00 69 00 64 00 74 00 68 00 3D 00 22 00 31 00 30 00 30 00 25 00 22 00 20 00 62 00 6F 00 72 00 64 00 65 00 72 00 3D 00 30 00 20 00 63 00 65 00 6C 00 6C 00 70 00 61 00 64 00 64 00 69 00 6E 00 67 00 3D 00 31 00 20 00 63 00 65 00 6C 00 6C 00 73 00 70 00 61 00 63 00 69 00 6E 00 67 00 3D 00 30 00 3E 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 4A 00 00 00 3C 00 74 00 72 00 3E 00 3C 00 74 00 64 00 20 00 77 00 69 00 64 00 74 00 68 00 3D 00 22 00 31 00 25 00 22 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 49 00 6E 00 66 00 6F 00 22 00 3E 00 26 00 6E 00 62 00 73 00 70 00 3B 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 74 00 64 00 20 00 77 00 69 00 64 00 74 00 68 00 3D 00 22 00 39 00 39 00 25 00 22 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 49 00 6E 00 66 00 6F 00 22 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 35 00 00 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 2F 00 74 00 72 00 3E 00 0D 00 0A 00 3C 00 74 00 72 00 3E 00 3C 00 74 00 64 00 3E 00 26 00 6E 00 62 00 73 00 70 00 3B 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 74 00 64 00 3E 00 26 00 6E 00 62 00 73 00 70 00 3B 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 2F 00 74 00 72 00 3E 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 32 00 00 00 3C 00 74 00 72 00 3E 00 3C 00 74 00 64 00 20 00 77 00 69 00 64 00 74 00 68 00 3D 00 22 00 31 00 25 00 22 00 3E 00 26 00 6E 00 62 00 73 00 70 00 3B 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 74 00 64 00 20 00 77 00 69 00 64 00 74 00 68 00 3D 00 22 00 39 00 39 00 25 00 22 00 3E 00 3C 00 75 00 6C 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2A 00 00 00 3C 00 6C 00 69 00 3E 00 0D 00 0A 00 3C 00 73 00 70 00 61 00 6E 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 49 00 6E 00 74 00 66 00 4E 00 61 00 6D 00 65 00 22 00 3E 00 25 00 30 00 3A 00 73 00 3C 00 2F 00 73 00 70 00 61 00 6E 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3A 00 00 00 3C 00 6C 00 69 00 3E 00 0D 00 0A 00 3C 00 61 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 49 00 6E 00 74 00 66 00 4E 00 61 00 6D 00 65 00 22 00 20 00 68 00 72 00 65 00 66 00 3D 00 22 00 25 00 31 00 3A 00 73 00 3F 00 69 00 6E 00 74 00 66 00 3D 00 25 00 30 00 3A 00 73 00 22 00 3E 00 25 00 30 00 3A 00 73 00 3C 00 2F 00 61 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 77 00 73 00 64 00 6C 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 5A 00 00 00 3C 00 73 00 70 00 61 00 6E 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 57 00 53 00 44 00 4C 00 22 00 3E 00 5B 00 3C 00 2F 00 73 00 70 00 61 00 6E 00 3E 00 3C 00 61 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 57 00 53 00 44 00 4C 00 22 00 20 00 68 00 72 00 65 00 66 00 3D 00 22 00 25 00 73 00 22 00 3E 00 57 00 53 00 44 00 4C 00 3C 00 2F 00 61 00 3E 00 3C 00 73 00 70 00 61 00 6E 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 57 00 53 00 44 00 4C 00 22 00 3E 00 5D 00 3C 00 2F 00 73 00 70 00 61 00 6E 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 26 00 6E 00 62 00 73 00 70 00 3B 00 3C 00 73 00 70 00 61 00 6E 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 22 00 3E 00 28 00 25 00 30 00 3A 00 73 00 29 00 3C 00 2F 00 73 00 70 00 61 00 6E 00 3E 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 2B 00 00 00 3C 00 74 00 61 00 62 00 6C 00 65 00 3E 00 3C 00 74 00 72 00 3E 00 3C 00 74 00 64 00 20 00 77 00 69 00 64 00 74 00 68 00 3D 00 22 00 32 00 25 00 22 00 3E 00 26 00 6E 00 62 00 73 00 70 00 3B 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 74 00 64 00 3E 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 2F 00 00 00 3C 00 73 00 70 00 61 00 6E 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 54 00 69 00 70 00 22 00 3E 00 25 00 73 00 3C 00 2F 00 73 00 70 00 61 00 6E 00 3E 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 2F 00 74 00 72 00 3E 00 3C 00 2F 00 74 00 61 00 62 00 6C 00 65 00 3E 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 74 00 61 00 62 00 6C 00 65 00 3E 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 42 00 00 00 3C 00 73 00 70 00 61 00 6E 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 4D 00 65 00 74 00 68 00 4E 00 61 00 6D 00 65 00 22 00 3E 00 25 00 73 00 28 00 3C 00 2F 00 73 00 70 00 61 00 6E 00 3E 00 25 00 73 00 3C 00 73 00 70 00 61 00 6E 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 4D 00 65 00 74 00 68 00 4E 00 61 00 6D 00 65 00 22 00 3E 00 29 00 3C 00 2F 00 73 00 70 00 61 00 6E 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 5F 00 00 00 3C 00 74 00 72 00 3E 00 3C 00 74 00 64 00 20 00 77 00 69 00 64 00 74 00 68 00 3D 00 22 00 31 00 30 00 25 00 25 00 22 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 4D 00 65 00 74 00 68 00 4E 00 61 00 6D 00 65 00 22 00 3E 00 26 00 6E 00 62 00 73 00 70 00 3B 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 74 00 64 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 50 00 61 00 72 00 6D 00 4E 00 61 00 6D 00 65 00 22 00 3E 00 25 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 74 00 64 00 3E 00 25 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 2F 00 74 00 72 00 3E 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 75 00 6C 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 3C 00 6C 00 69 00 3E 00 3C 00 73 00 70 00 61 00 6E 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 4D 00 65 00 74 00 68 00 4E 00 61 00 6D 00 65 00 22 00 3E 00 25 00 73 00 3C 00 2F 00 73 00 70 00 61 00 6E 00 3E 00 3C 00 2F 00 6C 00 69 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 75 00 6C 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 3C 00 2F 00 74 00 61 00 62 00 6C 00 65 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 3C 00 2F 00 6C 00 69 00 3E 00 3C 00 2F 00 75 00 6C 00 3E 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 2F 00 74 00 72 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 2F 00 69 00 6E 00 73 00 70 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2E 00 77 00 73 00 69 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 2F 00 74 00 61 00 62 00 6C 00 65 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_50208_0 {
	meta:
		name = "GetRegisteredTypes"
		size = 1476
		refs = "0027 TRemRegEntry 002c @InitializeRecord 0034 GetRegisteredTypes 0041 @UStrClr 0046 RemClassRegistry 004b TRemotableTypeRegistry.GetURICount 005f @UStrAsg 0085 @FinalizeRecord 0093 TRemotableTypeRegistry.GetURIMap 00a4 TObject.ClassName 00c0 UTF8ToUnicodeString 00cb @UStrLAsg 00eb TblCls 0142 TTypeKindStrings 0172 Format 0190 @UStrCat 01c0 @UStrArrayClr 01c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 7C FF FF FF 53 56 57 33 D2 89 55 C4 89 55 FC 89 55 F8 89 55 F4 89 55 F0 89 55 EC 8B D8 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 3D 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 10 01 00 00 47 33 F6 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D6 59 E8 ?? ?? ?? ?? 83 7D CC 00 74 0D 8D 55 FC 8B 45 CC E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B 45 D0 40 89 45 C8 8D 55 EC 8B 45 C8 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 EC E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 F4 F7 C6 01 00 00 00 0F 94 C2 83 E2 7F 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 8D 45 C4 50 8B 03 89 85 7C FF FF FF C6 45 80 11 8B 45 F4 89 45 84 C6 45 88 11 8B 45 F8 89 45 8C C6 45 90 11 8B 45 D8 89 45 94 C6 45 98 11 8B 45 D4 89 45 9C C6 45 A0 11 8B 45 FC 89 45 A4 C6 45 A8 11 8B 45 D0 0F B6 00 8B 04 85 ?? ?? ?? ?? 89 45 AC C6 45 B0 11 8B 45 D0 89 45 B4 C6 45 B8 00 8B 45 DC 89 45 BC C6 45 C0 11 8D 95 7C FF FF FF B9 08 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B C3 E8 ?? ?? ?? ?? 46 4F 0F 85 F3 FE FF FF 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 22 01 00 00 3C 00 61 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 74 00 79 00 70 00 65 00 73 00 22 00 3E 00 3C 00 2F 00 61 00 3E 00 3C 00 63 00 65 00 6E 00 74 00 65 00 72 00 3E 00 3C 00 68 00 33 00 3E 00 52 00 65 00 67 00 69 00 73 00 74 00 65 00 72 00 65 00 64 00 20 00 54 00 79 00 70 00 65 00 73 00 3C 00 2F 00 68 00 33 00 3E 00 3C 00 74 00 61 00 62 00 6C 00 65 00 20 00 63 00 65 00 6C 00 6C 00 70 00 61 00 64 00 64 00 69 00 6E 00 67 00 3D 00 32 00 20 00 63 00 65 00 6C 00 6C 00 73 00 70 00 61 00 63 00 69 00 6E 00 67 00 3D 00 31 00 20 00 62 00 6F 00 72 00 64 00 65 00 72 00 3D 00 30 00 3E 00 3C 00 74 00 72 00 3E 00 3C 00 74 00 64 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 54 00 62 00 6C 00 48 00 64 00 72 00 22 00 3E 00 54 00 79 00 70 00 65 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 74 00 64 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 54 00 62 00 6C 00 48 00 64 00 72 00 22 00 3E 00 58 00 4D 00 4C 00 20 00 4E 00 61 00 6D 00 65 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 74 00 64 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 54 00 62 00 6C 00 48 00 64 00 72 00 22 00 3E 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 74 00 64 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 54 00 62 00 6C 00 48 00 64 00 72 00 22 00 3E 00 43 00 6C 00 61 00 73 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 74 00 64 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 54 00 62 00 6C 00 48 00 64 00 72 00 22 00 3E 00 41 00 64 00 64 00 72 00 65 00 73 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 74 00 64 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 54 00 62 00 6C 00 48 00 64 00 72 00 22 00 3E 00 45 00 78 00 74 00 4E 00 61 00 6D 00 65 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 2F 00 74 00 72 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF AE 00 00 00 25 00 30 00 3A 00 73 00 3C 00 74 00 72 00 3E 00 3C 00 74 00 64 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 25 00 31 00 3A 00 73 00 22 00 3E 00 25 00 32 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 74 00 64 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 25 00 31 00 3A 00 73 00 22 00 3E 00 25 00 33 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 74 00 64 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 25 00 31 00 3A 00 73 00 22 00 3E 00 25 00 34 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 74 00 64 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 25 00 31 00 3A 00 73 00 22 00 3E 00 25 00 35 00 3A 00 73 00 20 00 25 00 36 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 74 00 64 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 25 00 31 00 3A 00 73 00 22 00 3E 00 25 00 37 00 3A 00 64 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 74 00 64 00 20 00 63 00 6C 00 61 00 73 00 73 00 3D 00 22 00 25 00 31 00 3A 00 73 00 22 00 3E 00 25 00 38 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 2F 00 74 00 72 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 3C 00 2F 00 74 00 61 00 62 00 6C 00 65 00 3E 00 3C 00 2F 00 63 00 65 00 6E 00 74 00 65 00 72 00 3E 00 00 00 }
	condition:
		$1
}

rule function_50209_0 {
	meta:
		name = "TWSDLHTMLPublish.ServiceInfo"
		size = 5720
		refs = "0021 TWSDLHTMLPublish.ServiceInfo 0035 TWSDLHTMLPublish.GetHostScriptBaseURL 004b @UStrFromLStr 0056 @UStrLAsg 008a CompareText 00a9 TWSDLHTMLPublish.WSILInfo 00c4 TWebRequest.GetQueryFields 00d1 TStrings.GetValue 00de @UStrEqual 00e8 GetRegisteredTypes 00f7 @HandleAnyException 00fc @DoneExcept 011d GetInterfaceInfo 0132 ServiceName 0148 Format 0168 sServiceInfoPage 016d LoadResString 01a4 @UStrCatN 01af UTF8Encode 01d1 TextHTMLWithUTF8 01db @LStrFromUStr 0206 @LStrClr 020e @UStrClr 0223 @UStrArrayClr 0253 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D DC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8D 55 D8 8B 45 DC 8B 08 FF 51 10 8B 55 D8 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 E4 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 3B 45 E0 75 04 B0 01 EB 20 83 7D E4 00 74 06 83 7D E0 00 75 04 33 C0 EB 10 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 1B 8B 45 0C 50 8B 45 08 50 8B 4D DC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E9 43 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC E8 ?? ?? ?? ?? 8D 4D D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 08 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 8D 55 D0 8B 45 E8 E8 ?? ?? ?? ?? 59 8B 55 D0 8D 45 EC E8 ?? ?? ?? ?? 8D 45 C4 50 A1 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 8D 55 BC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 8D 45 B8 50 A1 ?? ?? ?? ?? 89 45 A8 C6 45 AC 11 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A4 89 45 B0 C6 45 B4 11 8D 55 A8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 B8 FF 75 EC FF 75 F0 68 ?? ?? ?? ?? 8D 45 C8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 8D 55 CC E8 ?? ?? ?? ?? 8B 55 CC 8B 45 0C 8B 08 FF 51 1C 8D 45 A0 8B 55 FC F6 42 48 04 0F 95 C2 83 E2 7F 8B 14 95 ?? ?? ?? ?? B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D A0 BA 08 00 00 00 8B 45 0C 8B 18 FF 53 04 8B 45 08 C6 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A9 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 2F 00 69 00 6E 00 73 00 70 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2E 00 77 00 73 00 69 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 79 00 70 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 69 00 6E 00 74 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF F3 08 00 00 3C 00 68 00 74 00 6D 00 6C 00 3E 00 3C 00 68 00 65 00 61 00 64 00 3E 00 3C 00 4D 00 45 00 54 00 41 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 49 00 6E 00 73 00 70 00 65 00 63 00 74 00 69 00 6F 00 6E 00 22 00 20 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 3D 00 22 00 69 00 6E 00 73 00 70 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2E 00 77 00 73 00 69 00 6C 00 22 00 3E 00 3C 00 74 00 69 00 74 00 6C 00 65 00 3E 00 25 00 73 00 3C 00 2F 00 74 00 69 00 74 00 6C 00 65 00 3E 00 3C 00 73 00 74 00 79 00 6C 00 65 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 74 00 65 00 78 00 74 00 2F 00 63 00 73 00 73 00 22 00 3E 00 3C 00 21 00 2D 00 2D 00 0D 00 0A 00 62 00 6F 00 64 00 79 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 7B 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 39 00 70 00 74 00 3B 00 20 00 6D 00 61 00 72 00 67 00 69 00 6E 00 2D 00 6C 00 65 00 66 00 74 00 3A 00 20 00 30 00 70 00 78 00 3B 00 20 00 6D 00 61 00 72 00 67 00 69 00 6E 00 2D 00 74 00 6F 00 70 00 3A 00 20 00 30 00 70 00 78 00 3B 00 20 00 6D 00 61 00 72 00 67 00 69 00 6E 00 2D 00 72 00 69 00 67 00 68 00 74 00 3A 00 20 00 30 00 70 00 78 00 3B 00 20 00 7D 00 0D 00 0A 00 68 00 31 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 31 00 38 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 62 00 6F 00 6C 00 64 00 3B 00 20 00 7D 00 0D 00 0A 00 68 00 32 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 31 00 34 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 62 00 6F 00 6C 00 64 00 3B 00 20 00 7D 00 0D 00 0A 00 68 00 33 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 31 00 32 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 62 00 6F 00 6C 00 64 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 68 00 31 00 53 00 74 00 79 00 6C 00 65 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 31 00 38 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 62 00 6F 00 6C 00 64 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 54 00 62 00 6C 00 52 00 6F 00 77 00 20 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 31 00 30 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 54 00 62 00 6C 00 52 00 6F 00 77 00 31 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 66 00 35 00 66 00 35 00 64 00 63 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 39 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 54 00 62 00 6C 00 52 00 6F 00 77 00 30 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 64 00 39 00 64 00 34 00 61 00 61 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 39 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 54 00 62 00 6C 00 48 00 64 00 72 00 20 00 20 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 43 00 43 00 43 00 43 00 39 00 39 00 3B 00 20 00 62 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 2D 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 31 00 30 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 62 00 6F 00 6C 00 64 00 3B 00 20 00 74 00 65 00 78 00 74 00 2D 00 61 00 6C 00 69 00 67 00 6E 00 3A 00 20 00 63 00 65 00 6E 00 74 00 65 00 72 00 3B 00 7D 00 0D 00 0A 00 2E 00 49 00 6E 00 74 00 66 00 4E 00 61 00 6D 00 65 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 36 00 36 00 30 00 30 00 30 00 30 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 31 00 30 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 62 00 6F 00 6C 00 64 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 4D 00 65 00 74 00 68 00 4E 00 61 00 6D 00 65 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 38 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 77 00 65 00 69 00 67 00 68 00 74 00 3A 00 20 00 62 00 6F 00 6C 00 64 00 3B 00 20 00 74 00 65 00 78 00 74 00 2D 00 64 00 65 00 63 00 6F 00 72 00 61 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 6E 00 6F 00 6E 00 65 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 50 00 61 00 72 00 6D 00 4E 00 61 00 6D 00 65 00 20 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 38 00 70 00 74 00 3B 00 20 00 74 00 65 00 78 00 74 00 2D 00 64 00 65 00 63 00 6F 00 72 00 61 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 6E 00 6F 00 6E 00 65 00 3B 00 20 00 7D 00 0D 00 0A 00 2E 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 20 00 7B 00 63 00 6F 00 6C 00 6F 00 72 00 3A 00 20 00 23 00 33 00 33 00 33 00 33 00 33 00 33 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 66 00 61 00 6D 00 69 00 6C 00 79 00 3A 00 20 00 56 00 65 00 72 00 64 00 61 00 6E 00 61 00 2C 00 20 00 41 00 72 00 69 00 61 00 6C 00 2C 00 20 00 48 00 65 00 6C 00 76 00 65 00 74 00 69 00 63 00 61 00 2C 00 20 00 73 00 61 00 6E 00 73 00 2D 00 73 00 65 00 72 00 69 00 66 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 69 00 7A 00 65 00 3A 00 20 00 39 00 70 00 74 00 3B 00 20 00 66 00 6F 00 6E 00 74 00 2D 00 73 00 74 00 79 00 6C 00 65 00 3A 00 20 00 69 00 74 00 61 00 6C 00 69 00 63 00 3B 00 20 00 7D 00 0D 00 }
	condition:
		$1
}

rule function_50210_0 {
	meta:
		name = "GenerateWSIL"
		size = 764
		refs = "0017 InterfaceMapItem 001c @InitializeRecord 0024 GenerateWSIL 0032 Newinspection 0043 TWSDLPublish.GetPortTypeEntries 004b @DynArrayLength 0084 @CopyRecord 0095 @UStrLAsg 0148 @UStrCatN 0156 @WStrFromUStr 019b UTF8Encode 01e2 @LStrClr 01ed @IntfClear 01f8 @UStrClr 0200 @WStrClr 0226 @FinalizeRecord 0233 @UStrArrayClr 0264 TInterfaceMapItemArray 0269 @DynArrayClear 026f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 11 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8D 45 90 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 08 8B 40 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 8E 19 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 0F 8C 06 01 00 00 43 33 F6 8D 45 90 8B D6 03 D2 8D 14 92 8B 4D FC 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 94 00 74 0D 8D 45 E4 8B 55 94 E8 ?? ?? ?? ?? EB 0B 8D 45 E4 8B 55 90 E8 ?? ?? ?? ?? 8D 55 8C 8B 45 F8 8B 08 FF 91 CC 00 00 00 8B 45 8C 8D 55 F4 8B 08 FF 91 C0 00 00 00 8D 55 F0 8B 45 F4 8B 08 FF 91 C4 00 00 00 8B 55 BC 8B 45 F0 8B 08 FF 51 68 8D 55 88 8B 45 F4 8B 08 FF 91 CC 00 00 00 8B 45 88 8D 55 EC 8B 08 FF 91 C0 00 00 00 8B 55 E4 8B 45 EC 8B 08 FF 51 68 8D 55 84 8B 45 F4 8B 08 FF 91 D0 00 00 00 8B 45 84 8D 55 E8 8B 08 FF 91 C0 00 00 00 BA ?? ?? ?? ?? 8B 45 E8 8B 08 FF 91 D4 00 00 00 8B 45 08 FF 70 F8 68 ?? ?? ?? ?? FF 75 90 8D 85 7C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8D 45 80 E8 ?? ?? ?? ?? 8B 55 80 8B 45 E8 8B 08 FF 91 D8 00 00 00 46 4B 0F 85 FD FE FF FF 8D 95 78 FF FF FF 8B 45 F8 8B 08 FF 51 40 8B 85 78 FF FF FF 8B 10 FF 52 48 8D 55 E0 8B 08 FF 51 1C 8D 95 74 FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8B 45 08 8B 40 0C 8B 08 FF 51 1C 8B 45 08 8B 40 0C B9 ?? ?? ?? ?? BA 08 00 00 00 8B 18 FF 53 04 8B 45 08 8B 40 08 C6 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 63 FF FF FF 5E 5B 8B E5 5D C3 00 00 40 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 77 00 73 00 64 00 6C 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 77 00 73 00 64 00 6C 00 2F 00 00 00 00 00 E4 04 01 00 FF FF FF FF 08 00 00 00 74 65 78 74 2F 78 6D 6C 00 00 00 00 }
	condition:
		$1
}

rule function_50211_0 {
	meta:
		name = "TWSDLHTMLPublish.WSILInfo"
		size = 72
		refs = "000f CoInitialize 0017 TWSDLHTMLPublish.WSILInfo 0023 GenerateWSIL 0036 CoUninitialize 003c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 6A 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F3 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_50212_0 {
	meta:
		name = "TWSDLHTMLPublish.GetTargetNamespace"
		size = 92
		refs = "0012 @UStrAsg 001c TWSDLHTMLPublish.GetTargetNamespace"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 44 00 74 0D 8B C6 8B 53 44 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 13 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 74 00 65 00 6D 00 70 00 75 00 72 00 69 00 2E 00 6F 00 72 00 67 00 2F 00 00 00 }
	condition:
		$1
}

rule function_50214_0 {
	meta:
		name = "TWSDLHTMLPublish.GetNameSpaceIsStored"
		size = 76
		refs = "0007 TWSDLHTMLPublish.GetNameSpaceIsStored 000c @UStrEqual"
	strings:
		$1 = { 53 8B D8 8B 43 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 95 C0 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 74 00 65 00 6D 00 70 00 75 00 72 00 69 00 2E 00 6F 00 72 00 67 00 2F 00 00 00 }
	condition:
		$1
}

rule function_50215_0 {
	meta:
		name = "Finalization"
		size = 171
		refs = "0007 Finalization 0013 _DV_3 001a TextHTMLWithUTF8 0025 string 002a @FinalizeArray 002f AdminIniFile 0034 @UStrClr 0039 ServicePath 0043 ServiceName 004d sCOLON 0057 sHTTPS 0061 sHTTP 006b TTypeKindStrings 0080 Commas 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 7B B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 16 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_50216_0 {
	meta:
		name = "Soap.WSDLPub"
		size = 596
		refs = "0011 Soap.WSDLPub 001d _DV_3 002e IWSDLPublishDoc 0033 LoadResString 003e InvRegistry 0049 IWSDLPublish 004e TInvokableClassRegistry.RegisterInterface 0063 TInvokableClassRegistry.RegisterDefaultSOAPAction 006e _DV_TWSDLPublish 0073 TInvokableClassRegistry.RegisterInvokableClass 007d ModuleName 0082 HInstance 0088 GetModuleFileName 0092 @PWCharLen 00a6 @UStrFromWArray 00b1 ExtractFileExt 00c8 ServicePath 00eb @UStrCopy 00f8 ExtractFileName 0100 ServiceName 0105 @UStrAsg 010a AdminIniFile 011a @UStrCat3 0134 @UStrArrayClr 0147 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 0F 83 F6 00 00 00 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 0A 02 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F4 BA ?? ?? ?? ?? B9 05 01 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 45 F0 8B 5D F0 85 DB 74 05 83 EB 04 8B 1B 68 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? B9 05 01 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8B CE 2B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 27 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 62 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 63 00 6F 00 6D 00 2F 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 73 00 2F 00 54 00 79 00 70 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 34 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 62 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 63 00 6F 00 6D 00 2F 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 73 00 2F 00 54 00 79 00 70 00 65 00 73 00 2D 00 49 00 57 00 53 00 44 00 4C 00 50 00 75 00 62 00 6C 00 69 00 73 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 5F 00 57 00 53 00 44 00 4C 00 41 00 44 00 4D 00 49 00 4E 00 2E 00 49 00 4E 00 49 00 00 00 00 00 }
	condition:
		$1
}

rule function_50218_0 {
	meta:
		name = "Soap.WSDLSOAP"
		size = 132
		refs = "0002 _DV_2 0012 RemClassRegistry 0017 Soap.WSDLSOAP 001d _DV_TWSDLSOAPPort 0022 TRemotableTypeRegistry.RegisterXSClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1D 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 27 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 62 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 2E 00 63 00 6F 00 6D 00 2F 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 73 00 2F 00 54 00 79 00 70 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_50219_0 {
	meta:
		name = "Getinspection"
		size = 296
		refs = "0016 @IntfAddRef 001e Getinspection 0033 _DV_TXMLInspection 0052 @IntfCast 0067 @IntfClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 45 F8 50 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 96 8C 00 00 00 8B 55 F8 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 31 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 77 00 73 00 2F 00 32 00 30 00 30 00 31 00 2F 00 31 00 30 00 2F 00 69 00 6E 00 73 00 70 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 6E 00 73 00 70 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 01 C2 88 91 0D D0 B9 44 80 A6 6C 55 D8 20 87 9F }
	condition:
		$1
}

rule function_50220_0 {
	meta:
		name = "Loadinspection"
		size = 312
		refs = "0013 Loadinspection 002c @UStrFromWStr 0037 LoadXMLDocument 0040 _DV_TXMLInspection 005c @IntfCast 0071 @UStrClr 0079 @IntfClear 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 45 FC 50 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 18 FF 93 8C 00 00 00 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 31 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 77 00 73 00 2F 00 32 00 30 00 30 00 31 00 2F 00 31 00 30 00 2F 00 69 00 6E 00 73 00 70 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 6E 00 73 00 70 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 01 C2 88 91 0D D0 B9 44 80 A6 6C 55 D8 20 87 9F }
	condition:
		$1
}

rule function_50221_0 {
	meta:
		name = "Newinspection"
		size = 312
		refs = "000f Newinspection 002b NewXMLDocument 0034 _DV_TXMLInspection 0050 @IntfCast 0065 @IntfClear 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 30 FF 96 8C 00 00 00 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 31 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 77 00 73 00 2F 00 32 00 30 00 30 00 31 00 2F 00 31 00 30 00 2F 00 69 00 6E 00 73 00 70 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 31 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 6E 00 73 00 70 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 01 C2 88 91 0D D0 B9 44 80 A6 6C 55 D8 20 87 9F }
	condition:
		$1
}

rule function_50222_0 {
	meta:
		name = "TXMLItemWithAbstracts.AfterConstruction"
		size = 236
		refs = "0009 _DV_TXMLTypeOfAbstract 000e TXMLItemWithAbstracts.AfterConstruction 0015 TXMLNode.RegisterChildNode 0022 @UStrAsg 0042 TXMLNodeCollection.AfterConstruction"
	strings:
		$1 = { 53 56 57 8B D8 6A 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 43 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 60 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BE ?? ?? ?? ?? 8D 7B 50 A5 A5 A5 A5 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 61 00 62 00 73 00 74 00 72 00 61 00 63 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 31 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2E 00 78 00 6D 00 6C 00 73 00 6F 00 61 00 70 00 2E 00 6F 00 72 00 67 00 2F 00 77 00 73 00 2F 00 32 00 30 00 30 00 31 00 2F 00 31 00 30 00 2F 00 69 00 6E 00 73 00 70 00 65 00 63 00 74 00 69 00 6F 00 6E 00 2F 00 00 00 F9 4F BD 49 D5 04 C4 41 B0 8C 66 A1 7F 7D CB 18 }
	condition:
		$1
}

rule function_50223_0 {
	meta:
		name = "TXMLItemWithAbstracts.Get_Abstract"
		size = 164
		refs = "001e TXMLItemWithAbstracts.Get_Abstract 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 F9 4F BD 49 D5 04 C4 41 B0 8C 66 A1 7F 7D CB 18 }
	condition:
		$1
}

rule function_50224_0 {
	meta:
		name = "TXMLItemWithAbstracts.Add"
		size = 104
		refs = "000f TXMLItemWithAbstracts.Add 0031 @IntfCast 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 83 CA FF 8B C3 8B 18 FF 53 20 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 F9 4F BD 49 D5 04 C4 41 B0 8C 66 A1 7F 7D CB 18 }
	condition:
		$1
}

rule function_50225_0 {
	meta:
		name = "TXMLItemWithAbstracts.Insert"
		size = 116
		refs = "0018 TXMLItemWithAbstracts.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 F9 4F BD 49 D5 04 C4 41 B0 8C 66 A1 7F 7D CB 18 }
	condition:
		$1
}

rule function_50226_0 {
	meta:
		name = "TXMLServiceType.AfterConstruction"
		size = 272
		refs = "0007 _DV_TXMLNameType 000c TXMLServiceType.AfterConstruction 0013 TXMLNode.RegisterChildNode 001b _DV_TXMLDescriptionType 0039 _DV_TXMLNameTypeList 0040 TXMLNode.CreateCollection 0056 @IntfCast 0068 _DV_TXMLDescriptionTypeList 008c TXMLItemWithAbstracts.AfterConstruction"
	strings:
		$1 = { 53 8B D8 6A 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 78 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 7C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 64 00 65 00 73 00 63 00 72 00 69 00 70 00 74 00 69 00 6F 00 6E 00 00 00 94 2F F4 60 54 67 EB 40 88 89 00 D7 BD 60 72 40 82 8A AA 5D 7D A2 DF 49 A1 54 52 35 1C BB 8A 7F 25 71 0E 62 33 E0 8B 4B B5 AE A1 8F 26 86 44 11 8B AF 62 9A 04 F4 55 46 81 75 1E 89 9C 78 F6 68 }
	condition:
		$1
}

rule function_50229_0 {
	meta:
		name = "TXMLServiceTypeList.Add"
		size = 104
		refs = "000f TXMLServiceTypeList.Add 0031 @IntfCast 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 83 CA FF 8B C3 8B 18 FF 53 20 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 01 2C 83 EC 74 CF 07 42 98 84 40 27 13 4D 80 F2 }
	condition:
		$1
}

rule function_50230_0 {
	meta:
		name = "TXMLServiceTypeList.Insert"
		size = 116
		refs = "0018 TXMLServiceTypeList.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 01 2C 83 EC 74 CF 07 42 98 84 40 27 13 4D 80 F2 }
	condition:
		$1
}

rule function_50231_0 {
	meta:
		name = "TXMLServiceTypeList.Get_Item"
		size = 164
		refs = "001e TXMLServiceTypeList.Get_Item 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 01 2C 83 EC 74 CF 07 42 98 84 40 27 13 4D 80 F2 }
	condition:
		$1
}

rule function_50232_0 {
	meta:
		name = "TXMLNameType.Get_Lang"
		size = 184
		refs = "0016 TXMLNameType.Get_Lang 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 78 00 6D 00 6C 00 3A 00 6C 00 61 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_50244_0 {
	meta:
		name = "TXMLTypeOfAbstract.Get_Lang"
		size = 184
		refs = "0016 TXMLTypeOfAbstract.Get_Lang 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 78 00 6D 00 6C 00 3A 00 6C 00 61 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_50233_0 {
	meta:
		name = "TXMLNameType.Set_Lang"
		size = 140
		refs = "0014 @WStrAddRef 001c TXMLNameType.Set_Lang 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 78 00 6D 00 6C 00 3A 00 6C 00 61 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_50245_0 {
	meta:
		name = "TXMLTypeOfAbstract.Set_Lang"
		size = 140
		refs = "0014 @WStrAddRef 001c TXMLTypeOfAbstract.Set_Lang 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 78 00 6D 00 6C 00 3A 00 6C 00 61 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_50234_0 {
	meta:
		name = "TXMLNameTypeList.Add"
		size = 104
		refs = "000f TXMLNameTypeList.Add 0031 @IntfCast 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 83 CA FF 8B C3 8B 18 FF 53 20 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 94 2F F4 60 54 67 EB 40 88 89 00 D7 BD 60 72 40 }
	condition:
		$1
}

rule function_50235_0 {
	meta:
		name = "TXMLNameTypeList.Insert"
		size = 116
		refs = "0018 TXMLNameTypeList.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 94 2F F4 60 54 67 EB 40 88 89 00 D7 BD 60 72 40 }
	condition:
		$1
}

rule function_50236_0 {
	meta:
		name = "TXMLNameTypeList.Get_Item"
		size = 164
		refs = "001e TXMLNameTypeList.Get_Item 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 94 2F F4 60 54 67 EB 40 88 89 00 D7 BD 60 72 40 }
	condition:
		$1
}

rule function_50237_0 {
	meta:
		name = "TXMLReferenceType.Get_ReferencedNamespace"
		size = 204
		refs = "0016 TXMLReferenceType.Get_ReferencedNamespace 0026 TXMLNode.GetAttributeNodes 0037 @OleVarFromUStr 0058 @WStrFromUStr 006d @VarClr 0075 @IntfClear 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 45 F8 8D 55 FC 8B 08 FF 51 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 13 00 00 00 72 00 65 00 66 00 65 00 72 00 65 00 6E 00 63 00 65 00 64 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 }
	condition:
		$1
}

rule function_50238_0 {
	meta:
		name = "TXMLReferenceType.Set_ReferencedNamespace"
		size = 160
		refs = "0014 @WStrAddRef 001c TXMLReferenceType.Set_ReferencedNamespace 002d @VarFromWStr 003c TXMLNode.SetAttribute 0051 @VarClr 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 72 00 65 00 66 00 65 00 72 00 65 00 6E 00 63 00 65 00 64 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 }
	condition:
		$1
}

rule function_50241_0 {
	meta:
		name = "TXMLLinkTypeList.Add"
		size = 104
		refs = "000f TXMLLinkTypeList.Add 0031 @IntfCast 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 83 CA FF 8B C3 8B 18 FF 53 20 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 BC F2 A1 84 CA E4 87 41 8B 62 DE BB 01 F8 BE 8F }
	condition:
		$1
}

rule function_50242_0 {
	meta:
		name = "TXMLLinkTypeList.Insert"
		size = 116
		refs = "0018 TXMLLinkTypeList.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 BC F2 A1 84 CA E4 87 41 8B 62 DE BB 01 F8 BE 8F }
	condition:
		$1
}

rule function_50243_0 {
	meta:
		name = "TXMLLinkTypeList.Get_Item"
		size = 164
		refs = "001e TXMLLinkTypeList.Get_Item 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 BC F2 A1 84 CA E4 87 41 8B 62 DE BB 01 F8 BE 8F }
	condition:
		$1
}

rule function_50246_0 {
	meta:
		name = "TXMLInspection.AfterConstruction"
		size = 264
		refs = "0007 _DV_TXMLServiceType 000c TXMLInspection.AfterConstruction 0013 TXMLNode.RegisterChildNode 001b _DV_TXMLLinkType 0039 _DV_TXMLServiceTypeList 0040 TXMLNode.CreateCollection 0056 @IntfCast 0068 _DV_TXMLLinkTypeList 008c TXMLItemWithAbstracts.AfterConstruction"
	strings:
		$1 = { 53 8B D8 6A 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 78 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 7C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 73 00 65 00 72 00 76 00 69 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 69 00 6E 00 6B 00 00 00 00 00 01 2C 83 EC 74 CF 07 42 98 84 40 27 13 4D 80 F2 EF C7 5E 3E 55 33 9A 4D 89 87 70 67 A9 CA FB C7 BC F2 A1 84 CA E4 87 41 8B 62 DE BB 01 F8 BE 8F 71 58 41 64 94 34 46 4B A3 4C A4 7B F5 3A AB EE }
	condition:
		$1
}

rule function_50249_0 {
	meta:
		name = "TXMLDescriptionTypeList.Add"
		size = 104
		refs = "000f TXMLDescriptionTypeList.Add 0031 @IntfCast 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 83 CA FF 8B C3 8B 18 FF 53 20 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 25 71 0E 62 33 E0 8B 4B B5 AE A1 8F 26 86 44 11 }
	condition:
		$1
}

rule function_50250_0 {
	meta:
		name = "TXMLDescriptionTypeList.Insert"
		size = 116
		refs = "0018 TXMLDescriptionTypeList.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 25 71 0E 62 33 E0 8B 4B B5 AE A1 8F 26 86 44 11 }
	condition:
		$1
}

rule function_50251_0 {
	meta:
		name = "TXMLDescriptionTypeList.Get_Item"
		size = 164
		refs = "001e TXMLDescriptionTypeList.Get_Item 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 25 71 0E 62 33 E0 8B 4B B5 AE A1 8F 26 86 44 11 }
	condition:
		$1
}

rule function_50254_0 {
	meta:
		name = "IsDurationType"
		size = 42
	strings:
		$1 = { 8B D0 85 D2 74 05 83 EA 04 8B 12 83 FA 02 7E 09 66 83 38 50 0F 94 C2 EB 02 33 D2 84 D2 74 03 B0 01 C3 66 83 38 2D 0F 94 C0 C3 }
	condition:
		$1
}

rule function_50256_0 {
	meta:
		name = "SoapDateTimeErrorFmt"
		size = 86
		refs = "0012 SoapDateTimeErrorFmt 0027 Format 002f SoapDateTimeError 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50258_0 {
	meta:
		name = "SoapDecimalErrorFmt"
		size = 86
		refs = "0012 SoapDecimalErrorFmt 0027 Format 002f SoapDecimalError 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50260_0 {
	meta:
		name = "SoapHexBinaryErrorFmt"
		size = 86
		refs = "0012 SoapHexBinaryErrorFmt 0027 Format 002f SoapHexBinaryError 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50261_0 {
	meta:
		name = "GetFormatSettings"
		size = 135
		refs = "0015 GetFormatSettings 0022 FormatSettings 0032 TFormatSettings.Create 0043 TFormatSettings 0048 @CopyRecord 0074 @FinalizeRecord 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 18 00 00 00 6A 00 6A 00 49 75 F9 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 3D ?? ?? ?? ?? 2E 74 2C 8D 95 3C FF FF FF 33 C0 E8 ?? ?? ?? ?? 8D 95 3C FF FF FF B8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 05 ?? ?? ?? ?? 2E 00 BB ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50262_0 {
	meta:
		name = "SoapFloatToStr"
		size = 33
		refs = "0011 GetFormatSettings 0018 FloatToStr"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_50263_0 {
	meta:
		name = "SoapStrToFloat"
		size = 86
		refs = "000d @UStrAddRef 0015 SoapStrToFloat 0020 GetFormatSettings 002a StrToFloat 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_50264_0 {
	meta:
		name = "GetNumberBefore"
		size = 160
		refs = "0010 Pos 0022 GetNumberBefore 002c CharInSet 0053 @UStrCopy 0062 @UStrAsg"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B F0 8B C2 8B D6 E8 ?? ?? ?? ?? 8B F8 89 7D FC EB 01 4F 83 FF 01 7E 1F BA ?? ?? ?? ?? 0F B7 44 7E FC E8 ?? ?? ?? ?? 84 C0 75 E7 84 DB 74 08 66 83 7C 7E FC 2E 74 DB 3B 7D FC 7D 14 8B 45 08 50 8B 4D FC 2B CF 8B D7 8B C6 E8 ?? ?? ?? ?? EB 0D 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 00 00 00 00 00 00 00 00 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_50265_0 {
	meta:
		name = "GetBaseTime"
		size = 99
		refs = "000c _DV_TXSBaseTime 0011 TObject.Create 001c GetBaseTime 0030 TXSBaseTime.XSToNative 003f @HandleAnyException 004c TObject.Free 0051 @RaiseAgain 0056 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 74 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50267_0 {
	meta:
		name = "GetBaseCustomDateTime"
		size = 99
		refs = "000c _DV_TXSBaseCustomDateTime 0011 TXSBaseCustomDateTime.Create 001c GetBaseCustomDateTime 0030 TXSBaseCustomDateTime.XSToNative 003f @HandleAnyException 004c TObject.Free 0051 @RaiseAgain 0056 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 74 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50266_0 {
	meta:
		name = "GetBaseDate"
		size = 99
		refs = "000c _DV_TXSBaseDate 0011 TXSBaseDate.Create 001c GetBaseDate 0030 TXSBaseDate.XSToNative 003f @HandleAnyException 004c TObject.Free 0051 @RaiseAgain 0056 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 74 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50268_0 {
	meta:
		name = "GetBaseDateTime"
		size = 99
		refs = "000c _DV_TXSBaseDateTime 0011 TXSBaseCustomDateTime.Create 001c GetBaseDateTime 0030 TXSBaseCustomDateTime.XSToNative 003f @HandleAnyException 004c TObject.Free 0051 @RaiseAgain 0056 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 74 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50269_0 {
	meta:
		name = "AdjustMonths"
		size = 40
		refs = "0014 IncrementAmount 001e AdjustAmt"
	strings:
		$1 = { 53 56 66 83 3A 01 72 06 66 83 3A 0C 76 17 0F B6 D9 8B 34 9D ?? ?? ?? ?? 01 30 0F B7 04 9D ?? ?? ?? ?? 66 01 02 5E 5B C3 }
	condition:
		$1
}

rule function_50270_0 {
	meta:
		name = "ValidValue"
		size = 31
	strings:
		$1 = { 55 8B EC 56 8B 75 08 2B C2 33 D2 89 16 3B C8 7E 09 C7 06 01 00 00 00 03 45 0C 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_50271_0 {
	meta:
		name = "AdjustDays"
		size = 80
		refs = "001a DaysInAMonth 0035 IncrementAmount"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FE 8B FA 8B F0 8B 5D 08 0F B7 16 0F B7 45 FE E8 ?? ?? ?? ?? 0F B7 C0 66 83 3F 01 72 07 0F B7 17 3B C2 7D 1A 0F B6 D3 0F B7 14 95 ?? ?? ?? ?? 66 01 16 84 DB 74 05 66 29 07 EB 03 66 01 07 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_50272_0 {
	meta:
		name = "AdjustHours"
		size = 43
		refs = "0016 IncrementAmount 0021 AdjustAmt"
	strings:
		$1 = { 53 56 66 83 3A 17 77 07 0F B7 1A 85 DB 7D 19 0F B6 D9 0F B7 34 9D ?? ?? ?? ?? 66 01 30 0F B7 04 9D ?? ?? ?? ?? 66 01 02 5E 5B C3 }
	condition:
		$1
}

rule function_50273_0 {
	meta:
		name = "AdjustMinutes"
		size = 43
		refs = "0016 IncrementAmount 0021 AdjustAmt"
	strings:
		$1 = { 53 56 66 83 3A 3B 77 07 0F B7 1A 85 DB 7D 19 0F B6 D9 0F B7 34 9D ?? ?? ?? ?? 66 01 30 0F B7 04 9D ?? ?? ?? ?? 66 01 02 5E 5B C3 }
	condition:
		$1
}

rule function_50274_0 {
	meta:
		name = "AddUTCBias"
		size = 524
		refs = "000a TTimeZone.FLocal 0013 Now 0031 TTimeZone.GetUtcOffsetInSeconds 004d TTimeSpan.FromSeconds 0073 TTimeSpan.GetTotalHours 0078 @TRUNC 00eb TTimeSpan.GetTotalMinutes 0167 AddUTCBias 0184 TXSBaseCustomDateTime.GetHour 018d TXSBaseCustomDateTime.GetHourOffset 019e TXSBaseCustomDateTime.GetMinute 01a7 TXSBaseCustomDateTime.GetMinuteOffset"
	strings:
		$1 = { 53 56 57 83 C4 80 8B D8 8B 35 ?? ?? ?? ?? 8B 36 8B FE E8 ?? ?? ?? ?? DD 5C 24 20 9B C6 44 24 28 00 FF 74 24 24 FF 74 24 24 0F B6 54 24 30 8B C7 E8 ?? ?? ?? ?? 89 44 24 78 89 54 24 7C DF 6C 24 78 83 C4 F8 DD 1C 24 9B 8D 44 24 38 E8 ?? ?? ?? ?? 8B 44 24 30 89 44 24 18 8B 44 24 34 89 44 24 1C 8B 44 24 18 89 04 24 8B 44 24 1C 89 44 24 04 8B C4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 0C 8B FE E8 ?? ?? ?? ?? DD 5C 24 40 9B C6 44 24 48 00 FF 74 24 44 FF 74 24 44 0F B6 54 24 50 8B C7 E8 ?? ?? ?? ?? 89 44 24 78 89 54 24 7C DF 6C 24 78 83 C4 F8 DD 1C 24 9B 8D 44 24 58 E8 ?? ?? ?? ?? 8B 44 24 50 89 44 24 38 8B 44 24 54 89 44 24 3C 8B 44 24 38 89 44 24 08 8B 44 24 3C 89 44 24 0C 8D 44 24 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 18 E8 ?? ?? ?? ?? DD 5C 24 60 9B C6 44 24 68 00 FF 74 24 64 FF 74 24 64 0F B6 54 24 70 8B C6 E8 ?? ?? ?? ?? 89 44 24 78 89 54 24 7C DF 6C 24 78 83 C4 F8 DD 1C 24 9B 8D 44 24 78 E8 ?? ?? ?? ?? 8B 44 24 70 89 44 24 58 8B 44 24 74 89 44 24 5C 8B 44 24 58 89 44 24 10 8B 44 24 5C 89 44 24 14 8D 44 24 10 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 92 C0 8B 53 08 88 42 10 8B 43 08 80 78 10 00 74 3E 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 66 2B F0 8B 43 08 66 89 70 08 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 66 2B F0 8B 43 08 66 89 70 0C B2 01 8B C3 8B 08 FF 11 EB 3C 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 66 03 F0 8B 43 08 66 89 70 08 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 66 03 F0 8B 43 08 66 89 70 0C 33 D2 8B C3 8B 08 FF 11 81 C4 80 00 00 00 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_50275_0 {
	meta:
		name = "GetTimeZoneBias"
		size = 133
		refs = "0006 TTimeZone.FLocal 000f Now 0027 TTimeZone.GetUtcOffsetInSeconds 0043 TTimeSpan.FromSeconds 006d TTimeSpan.Negate 0076 TTimeSpan.GetTotalMinutes 007b @TRUNC"
	strings:
		$1 = { 53 56 83 C4 D0 A1 ?? ?? ?? ?? 8B 00 8B F0 E8 ?? ?? ?? ?? DD 5C 24 18 9B 33 DB FF 74 24 1C FF 74 24 1C 8B D3 8B C6 E8 ?? ?? ?? ?? 89 44 24 28 89 54 24 2C DF 6C 24 28 83 C4 F8 DD 1C 24 9B 8D 44 24 28 E8 ?? ?? ?? ?? 8B 44 24 20 89 44 24 10 8B 44 24 24 89 44 24 14 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 8B C4 8D 54 24 08 E8 ?? ?? ?? ?? 8D 44 24 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 30 5E 5B C3 }
	condition:
		$1
}

rule function_50276_0 {
	meta:
		name = "DateTimeToXMLTime"
		size = 428
		refs = "001d DateTimeToXMLTime 0030 @UStrLAsg 004b CurrencyString 0053 FormatDateTime 005d @UStrAsg 0062 GetTimeZoneBias 008a Neg 00ce Format 00e6 @UStrCat 00fb @UStrClr 0108 @UStrArrayClr 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 C9 89 4D E4 89 4D FC 89 4D F8 8B F2 88 45 F7 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 89 45 E8 8B 45 0C 89 45 EC FF 75 EC FF 75 E8 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 95 C0 22 45 F7 74 6C 8D 45 E4 50 8B 06 89 45 C4 C6 45 C8 11 85 DB 0F 9F C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8B C3 99 33 C2 2B C2 8B F8 8B C7 B9 3C 00 00 00 99 F7 F9 89 45 D4 C6 45 D8 00 8B C7 B9 3C 00 00 00 99 F7 F9 89 55 DC C6 45 E0 00 8D 55 C4 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 79 00 79 00 79 00 79 00 27 00 2D 00 27 00 6D 00 6D 00 27 00 2D 00 27 00 64 00 64 00 27 00 54 00 27 00 68 00 68 00 27 00 3A 00 27 00 6E 00 6E 00 27 00 3A 00 27 00 73 00 73 00 27 00 2E 00 27 00 7A 00 7A 00 7A 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 25 00 73 00 25 00 73 00 25 00 2E 00 32 00 64 00 3A 00 25 00 2E 00 32 00 64 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5A 00 00 00 }
	condition:
		$1
}

rule function_50277_0 {
	meta:
		name = "XMLTimeToDateTime"
		size = 123
		refs = "000f _DV_TXSDateTime 0014 TXSCustomDateTime.Create 001f XMLTimeToDateTime 003f TXSCustomDateTime.GetAsUTCDateTime 004d TXSCustomDateTime.GetAsDateTime 0066 TObject.Free 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 0A 8B D6 8B 45 F4 8B 08 FF 51 10 84 DB 74 0E 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B EB 0C 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50278_0 {
	meta:
		name = "DateTimeToXSDateTime"
		size = 101
		refs = "000d DateTimeToXSDateTime 001a _DV_TXSDateTime 001f TXSCustomDateTime.Create 0031 DateTimeToXMLTime 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 FF 75 0C FF 75 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_50279_0 {
	meta:
		name = "DTFmtError"
		size = 52
		refs = "001a Errors 0021 _DV_EXSDateTimeException 0026 Exception.CreateFmt 002b @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 89 34 24 C6 44 24 04 11 54 6A 00 0F B6 C3 8B 0C 85 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_50280_0 {
	meta:
		name = "GetNextDTComp"
		size = 184
		refs = "001c GetNextDTComp 0029 @UStrClr 0038 @UStrFromWChar 0042 @UStrCat 0058 CharInSet 006d DTFmtError 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 88 4D FF 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? EB 1A 8D 45 F8 8B 13 0F B7 12 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 83 03 02 3B 3B 72 13 BA ?? ?? ?? ?? 8B 03 0F B7 00 E8 ?? ?? ?? ?? 84 C0 75 CF 83 3E 00 75 0C 0F B6 45 FF 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 00 00 00 00 00 00 00 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_50281_0 {
	meta:
		name = "GetNextDTComp"
		size = 244
		refs = "001c GetNextDTComp 0030 @UStrAsg 005b DTFmtError 0065 @UStrClr 0074 @UStrFromWChar 007e @UStrCat 0094 CharInSet 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 3B 77 0C 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 77 8B 03 0F B7 00 66 3B 45 18 74 1E 80 7D 14 00 74 0C 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 5A 0F B6 45 10 8B 55 0C E8 ?? ?? ?? ?? 83 03 02 8B C6 E8 ?? ?? ?? ?? EB 1A 8D 45 F8 8B 13 0F B7 12 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 83 03 02 3B 3B 72 13 BA ?? ?? ?? ?? 8B 03 0F B7 00 E8 ?? ?? ?? ?? 84 C0 75 CF 83 3E 00 75 0C 0F B6 45 10 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 14 00 00 00 00 00 00 00 00 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_50282_0 {
	meta:
		name = "DateTimeToXSBaseDateTime"
		size = 101
		refs = "000d DateTimeToXSBaseDateTime 001a _DV_TXSBaseDateTime 001f TXSBaseCustomDateTime.Create 0031 DateTimeToXMLTime 003b TXSBaseCustomDateTime.XSToNative 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 FF 75 0C FF 75 08 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_50283_0 {
	meta:
		name = "XMLDateToStr"
		size = 316
		refs = "003e TFormatSettings 0043 @InitializeRecord 004b XMLDateToStr 005e TFormatSettings.Create 0079 @UStrCopy 0091 @UStrFromWChar 00fb @UStrCatN 0118 @UStrArrayClr 0129 @FinalizeRecord 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 24 FF FF FF 53 56 57 33 DB 89 9D 34 FF FF FF 89 9D 30 FF FF FF 89 9D 2C FF FF FF 89 9D 28 FF FF FF 89 9D 24 FF FF FF 89 8D 38 FF FF FF 8B F2 8B D8 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 3C FF FF FF 33 C0 E8 ?? ?? ?? ?? 8D 85 34 FF FF FF 50 0F B7 FE 8B D7 83 C2 06 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? FF B5 34 FF FF FF 8D 85 30 FF FF FF 0F B7 95 42 FF FF FF E8 ?? ?? ?? ?? FF B5 30 FF FF FF 8D 85 2C FF FF FF 50 8B D7 83 C2 09 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? FF B5 2C FF FF FF 8D 85 28 FF FF FF 0F B7 95 42 FF FF FF E8 ?? ?? ?? ?? FF B5 28 FF FF FF 8D 85 24 FF FF FF 50 8B CF 83 C1 04 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? FF B5 24 FF FF FF 8B 85 38 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 24 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50284_0 {
	meta:
		name = "TXSBaseCustomDateTime.AdjustDate"
		size = 113
		refs = "0023 AdjustMinutes 0047 AdjustHours 005a AdjustDays 006a AdjustMonths"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 56 08 0F B7 42 0C 66 83 F8 3C 73 07 0F B7 C0 85 C0 7D 0D 8D 42 08 83 C2 0C 8B CB E8 ?? ?? ?? ?? 8B 56 08 0F B7 42 08 66 83 F8 18 73 07 0F B7 C0 85 C0 7D 33 8B 46 04 83 C0 06 83 C2 08 8B CB E8 ?? ?? ?? ?? 53 8B 46 04 0F B7 48 08 8D 50 06 83 C0 04 E8 ?? ?? ?? ?? 8B 46 04 8D 50 04 83 C0 08 8B CB E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50285_0 {
	meta:
		name = "GetDataFromFile"
		size = 178
		refs = "0010 @UStrAddRef 0018 GetDataFromFile 002a _Dn_TFileStream 002f TFileStream.Create 0050 @UStrSetLength 005f @UniqueStringU 0084 TObject.Free 008a @HandleFinally 00a1 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 10 FF 12 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 12 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 59 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50286_0 {
	meta:
		name = "TXSBaseTime.IntToFractionalSeconds"
		size = 164
		refs = "0015 TXSBaseTime.IntToFractionalSeconds 003c Format 0046 SInvalidMillisecond 004b LoadResString 0062 SoapDateTimeErrorFmt 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 FB E8 03 73 1C 56 0F B7 C3 89 45 F8 C6 45 FC 00 8D 55 F8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 0F B7 D3 89 55 F8 C6 45 FC 00 8D 55 F8 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2E 00 25 00 2E 00 33 00 64 00 00 00 }
	condition:
		$1
}

rule function_50287_0 {
	meta:
		name = "TXSBaseTime.GetFractionalSeconds"
		size = 42
		refs = "001b SoapStrToFloat"
	strings:
		$1 = { 53 83 C4 F8 8B D8 83 7B 04 00 75 0B 33 C0 89 04 24 89 44 24 04 EB 0C 8B 43 04 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_50288_0 {
	meta:
		name = "TXSBaseTime.SetFractionalSeconds"
		size = 224
		refs = "0015 TXSBaseTime.SetFractionalSeconds 0032 SInvalidFractionalSecond 0037 LoadResString 0057 SoapDateTimeErrorFmt 0074 SoapFloatToStr 007f @UStrAsg 0093 @UStrDelete 00a6 @UStrClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 D2 89 55 E4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 2D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 DD 45 08 DB 7D E8 9B 8D 45 E8 89 45 F4 C6 45 F8 03 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 38 FF 75 0C FF 75 08 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 43 04 E8 ?? ?? ?? ?? EB 12 8D 43 04 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 66 83 38 30 74 E5 EB 08 8D 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C2 08 00 00 00 00 00 80 3F 00 00 00 00 }
	condition:
		$1
}

rule function_50289_0 {
	meta:
		name = "TXSBaseTime.GetFractionalSecondString"
		size = 72
		refs = "0015 TXSBaseTime.GetFractionalSecondString 001a @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 04 00 75 15 80 7B 14 00 74 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 04 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 30 00 30 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_50290_0 {
	meta:
		name = "TXSBaseTime.GetMillisecond"
		size = 28
		refs = "0006 TXSBaseTime.GetFractionalSeconds 000c TXSBaseTime.GetMillisecond 0011 @ROUND"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 7A 44 }
	condition:
		$1
}

rule function_50293_0 {
	meta:
		name = "TXSBaseTime.SetSecond"
		size = 5
	strings:
		$1 = { 66 89 50 12 C3 }
	condition:
		$1
}

rule function_50294_0 {
	meta:
		name = "TXSBaseTime.SetMillisecond"
		size = 82
		refs = "000f TXSBaseTime.SetMillisecond 0021 TXSBaseTime.IntToFractionalSeconds 002c @UStrAsg 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50295_0 {
	meta:
		name = "TXSBaseTime.SetHourOffset"
		size = 132
		refs = "0015 TXSBaseTime.SetHourOffset 0041 SInvalidHourOffset 0046 LoadResString 005d SoapDateTimeErrorFmt 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F BF C3 99 33 C2 2B C2 8B F0 83 FE 0E 7F 0F 66 89 71 0A 66 85 DB 7D 2A C6 41 10 01 EB 24 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F BF D3 89 55 F4 C6 45 F8 00 8D 55 F4 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50296_0 {
	meta:
		name = "TXSBaseTime.SetMinuteOffset"
		size = 123
		refs = "0015 TXSBaseTime.SetMinuteOffset 0038 SInvalidMinute 003d LoadResString 0054 SoapDateTimeErrorFmt 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F BF C3 99 33 C2 2B C2 8B F0 83 FE 3C 7D 06 66 89 71 0E EB 24 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F BF D3 89 55 F4 C6 45 F8 00 8D 55 F4 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50297_0 {
	meta:
		name = "TXSBaseTime.GetHourOffset"
		size = 19
	strings:
		$1 = { 80 78 10 00 74 08 0F B7 40 0A 66 F7 D8 C3 0F B7 40 0A C3 }
	condition:
		$1
}

rule function_50298_0 {
	meta:
		name = "TXSBaseTime.GetMinuteOffset"
		size = 19
	strings:
		$1 = { 80 78 10 00 74 08 0F B7 40 0E 66 F7 D8 C3 0F B7 40 0E C3 }
	condition:
		$1
}

rule function_50299_0 {
	meta:
		name = "TXSBaseTime.XSToNative"
		size = 564
		refs = "001a TXSBaseTime.XSToNative 0027 @UStrToPWChar 004e GetNextDTComp 0056 StrToInt 00ad XMLMilSecSeparator 00ce @UStrAsg 00e3 @UStrFromWChar 00f1 @UStrCat3 015b DTFmtError 01a9 TXSBaseTime.SetHourOffset 01b2 TXSBaseTime.SetMinuteOffset 01cc @UStrArrayClr 01d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8B C6 85 C0 74 05 83 E8 04 8B 00 48 8B F8 03 FF 03 7D FC 56 8D 45 F0 50 8D 45 FC B1 01 8B D7 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 66 89 43 08 6A 3A 6A 00 6A 01 56 8D 45 EC 50 8D 45 FC B9 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 66 89 43 0C 6A 3A 6A 01 6A 01 56 8D 45 E8 50 8D 45 FC B9 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 66 89 43 12 0F B7 05 ?? ?? ?? ?? 50 6A 01 6A 01 56 8D 45 E4 50 8D 45 FC 33 C9 8B D7 E8 ?? ?? ?? ?? 8B 55 E4 8D 43 04 E8 ?? ?? ?? ?? 83 7B 04 00 74 21 8D 45 E0 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8D 43 04 8B 4B 04 E8 ?? ?? ?? ?? C6 43 14 01 B8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 0F B7 00 8B 55 F8 66 3D FF 00 77 06 0F B7 C0 0F A3 02 0F 92 C0 84 C0 0F 84 83 00 00 00 8B 45 FC 66 83 38 2D 0F 94 C0 88 43 10 83 45 FC 02 B8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 0F B7 00 8B 55 F4 66 3D FF 00 77 06 0F B7 C0 0F A3 02 0F 92 C0 84 C0 75 09 8B D6 B0 01 E8 ?? ?? ?? ?? 56 8D 45 DC 50 8D 45 FC B1 02 8B D7 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 66 89 43 0A 6A 3A 6A 01 6A 02 56 8D 45 D8 50 8D 45 FC B9 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 66 89 43 0E EB 12 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 30 00 30 00 00 00 00 00 00 00 00 00 00 28 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_50300_0 {
	meta:
		name = "TXSBaseTime.BuildHourOffset"
		size = 480
		refs = "0013 TXSBaseTime.BuildHourOffset 004a @UStrLAsg 0060 TXSBaseTime.GetHourOffset 006f IntToStr 0091 @UStrCat3 0098 TXSBaseTime.GetMinuteOffset 00d2 @UStrCatN 014d @UStrAsg 0167 @UStrArrayClr 016d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 43 0A 99 33 C2 2B C2 8B C8 0F B7 43 0E 99 33 C2 2B C2 03 C8 85 C9 0F 8E 0A 01 00 00 80 7B 10 00 74 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F BF C0 99 33 C2 2B C2 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F BF C0 99 33 C2 2B C2 83 F8 0A 7D 0E 8B 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F BF C0 99 33 C2 2B C2 83 F8 09 7E 2F FF 36 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F BF C0 99 33 C2 2B C2 8D 55 F8 E8 ?? ?? ?? ?? FF 75 F8 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 5F 8B C3 E8 ?? ?? ?? ?? 0F BF C0 99 33 C2 2B C2 85 C0 7E 34 FF 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F BF C0 99 33 C2 2B C2 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 18 FF 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 0E 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5A 00 00 00 }
	condition:
		$1
}

rule function_50301_0 {
	meta:
		name = "TXSBaseTime.NativeToXS"
		size = 232
		refs = "0018 TXSBaseTime.NativeToXS 0069 Format 0079 TXSBaseTime.BuildHourOffset 0088 @UStrCatN 009d @UStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 C9 89 4D FC 89 4D D0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 0F B7 43 08 89 45 D4 C6 45 D8 00 66 C7 45 DC 3A 00 C6 45 E0 09 0F B7 43 0C 89 45 E4 C6 45 E8 00 66 C7 45 EC 3A 00 C6 45 F0 09 0F B7 43 12 89 45 F4 C6 45 F8 00 8D 55 D4 B9 04 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC FF 73 04 8D 55 D0 8B C3 E8 ?? ?? ?? ?? FF 75 D0 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 25 00 2E 00 32 00 64 00 25 00 73 00 25 00 2E 00 32 00 64 00 25 00 73 00 25 00 2E 00 32 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_50302_0 {
	meta:
		name = "TXSBaseTime.SetAsTime"
		size = 113
		refs = "0012 TXSBaseTime.SetAsTime 0030 DecodeTime 003e TXSBaseTime.IntToFractionalSeconds 0049 @UStrAsg 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 FE 50 8D 4B 12 8D 53 0C 8D 43 08 E8 ?? ?? ?? ?? 8D 4D F8 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_50303_0 {
	meta:
		name = "TXSBaseTime.GetAsTime"
		size = 32
		refs = "0012 EncodeTime"
	strings:
		$1 = { 83 C4 F8 6A 00 0F B7 48 12 0F B7 50 0C 0F B7 40 08 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_50307_0 {
	meta:
		name = "TXSBaseDate.SetYear"
		size = 25
	strings:
		$1 = { 53 8B DA 8B C8 8B C3 99 33 C2 2B C2 89 41 08 85 DB 0F 9C C0 88 41 0C 5B C3 }
	condition:
		$1
}

rule function_50308_0 {
	meta:
		name = "ConvertDate"
		size = 240
		refs = "0011 ConvertDate 001e @UStrToPWChar 0045 GetNextDTComp 004d StrToInt 00c8 @UStrArrayClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 FC 8B C3 85 C0 74 05 83 E8 04 8B 00 48 8B F0 03 F6 03 75 FC 53 8D 45 F8 50 8D 45 FC B1 01 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 42 08 6A 2D 6A 01 6A 00 53 8D 45 F4 50 8D 45 FC B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 66 89 42 04 6A 2D 6A 01 6A 00 53 8D 45 F0 50 8D 45 FC B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 66 89 42 06 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 30 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_50309_0 {
	meta:
		name = "TXSBaseDate.XSToNative"
		size = 212
		refs = "0019 TXSBaseDate.XSToNative 004d @UStrCopy 0059 @UStrLAsg 0082 SInvalidDateString 0087 LoadResString 0091 _DV_EXSDateTimeException 0096 Exception.CreateFmt 009b @RaiseExcept 00a4 ConvertDate 00ba @UStrClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 3B 2D 0F 94 C0 8B 55 FC 88 42 0C 84 C0 74 1F 8B F3 85 F6 74 05 83 EE 04 8B 36 8D 45 F8 50 8B CE BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0A 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 83 F8 04 7D 31 8B 45 F8 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 8B 45 F8 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50310_0 {
	meta:
		name = "TXSBaseDate.NativeToXS"
		size = 144
		refs = "0011 sNegative 004e TXSBaseDate.NativeToXS 0053 Format"
	strings:
		$1 = { 53 56 83 C4 E0 8B F2 8B D8 56 0F B6 43 0C 8B 04 85 ?? ?? ?? ?? 89 44 24 04 C6 44 24 08 11 8B 43 08 89 44 24 0C C6 44 24 10 00 0F B7 43 04 89 44 24 14 C6 44 24 18 00 0F B7 43 06 89 44 24 1C C6 44 24 20 00 8D 54 24 04 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 20 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 25 00 73 00 25 00 2E 00 34 00 64 00 2D 00 25 00 2E 00 32 00 64 00 2D 00 25 00 2E 00 32 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_50311_0 {
	meta:
		name = "TXSBaseDate.GetYear"
		size = 14
	strings:
		$1 = { 8B 50 08 80 78 0C 00 74 02 F7 DA 8B C2 C3 }
	condition:
		$1
}

rule function_50312_0 {
	meta:
		name = "TXSBaseDate.GetAsDate"
		size = 37
		refs = "0009 TXSBaseDate.GetYear 0016 EncodeDate"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 4B 06 0F B7 53 04 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_50313_0 {
	meta:
		name = "TXSBaseDate.SetAsDate"
		size = 44
		refs = "001b DecodeDate"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 C6 43 0C 00 FF 75 0C FF 75 08 8D 4B 06 8D 53 04 8D 45 FE E8 ?? ?? ?? ?? 0F B7 45 FE 89 43 08 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_50316_0 {
	meta:
		name = "TXSBaseCustomDateTime.GetFractionalSeconds"
		size = 21
		refs = "0007 TXSBaseTime.GetFractionalSeconds"
	strings:
		$1 = { 83 C4 F8 8B 40 08 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_50317_0 {
	meta:
		name = "TXSBaseCustomDateTime.SetFractionalSeconds"
		size = 21
		refs = "000d TXSBaseTime.SetFractionalSeconds"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_96250_0 {
	meta:
		name = "TSkipPreambleStream.SetSize"
		size = 21
		refs = "000d TStream.SetSize64"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_50318_0 {
	meta:
		name = "TXSBaseCustomDateTime.SetUseZeroMilliseconds"
		size = 7
	strings:
		$1 = { 8B 40 08 88 50 14 C3 }
	condition:
		$1
}

rule function_50319_0 {
	meta:
		name = "TXSBaseCustomDateTime.GetUseZeroMilliseconds"
		size = 8
	strings:
		$1 = { 8B 40 08 0F B6 40 14 C3 }
	condition:
		$1
}

rule function_50320_0 {
	meta:
		name = "TXSBaseCustomDateTime.GetHour"
		size = 8
	strings:
		$1 = { 8B 40 08 0F B7 40 08 C3 }
	condition:
		$1
}

rule function_50321_0 {
	meta:
		name = "TXSBaseCustomDateTime.GetMinute"
		size = 8
	strings:
		$1 = { 8B 40 08 0F B7 40 0C C3 }
	condition:
		$1
}

rule function_50322_0 {
	meta:
		name = "TXSBaseCustomDateTime.GetSecond"
		size = 8
	strings:
		$1 = { 8B 40 08 0F B7 40 12 C3 }
	condition:
		$1
}

rule function_50338_0 {
	meta:
		name = "TXSBaseCustomDateTime.SetAsDateTime"
		size = 39
		refs = "0010 TXSBaseDate.SetAsDate 001e TXSBaseTime.SetAsTime"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B 43 04 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B 43 08 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_50339_0 {
	meta:
		name = "TXSBaseCustomDateTime.SetAsUTCDateTime"
		size = 46
		refs = "0010 TXSBaseDate.SetAsDate 001e TXSBaseTime.SetAsTime 0025 AddUTCBias"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B 43 04 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B 43 08 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_50340_0 {
	meta:
		name = "TXSBaseCustomDateTime.GetAsDateTime"
		size = 200
		refs = "000b TXSBaseCustomDateTime.GetHour 0013 TXSBaseCustomDateTime.GetMinute 001b TXSBaseCustomDateTime.GetSecond 0025 TXSBaseCustomDateTime.GetDay 002d TXSBaseCustomDateTime.GetMonth 0035 TXSBaseCustomDateTime.GetYear 003c EncodeDateTime 0045 GetTimeZoneBias 004e TXSBaseCustomDateTime.GetHourOffset 005b TXSBaseCustomDateTime.GetMinuteOffset 0099 EncodeTime"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? DD 1C 24 9B E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 0F BF C0 6B F8 3C 8B C3 E8 ?? ?? ?? ?? 0F BF C0 03 F8 8B C7 8D 14 30 85 D2 74 51 03 F0 8B C6 99 33 C2 2B C2 8B D8 8B C3 B9 3C 00 00 00 99 F7 F9 8B C8 8B C3 BB 3C 00 00 00 99 F7 FB 8B C2 6A 00 8B D0 8B C1 33 C9 E8 ?? ?? ?? ?? DD 5C 24 08 9B 85 F6 7E 0D DD 04 24 DC 64 24 08 DD 1C 24 9B EB 0B DD 04 24 DC 44 24 08 DD 1C 24 9B DD 04 24 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50341_0 {
	meta:
		name = "TXSBaseCustomDateTime.GetAsUTCDateTime"
		size = 199
		refs = "000a TXSBaseCustomDateTime.GetHour 0012 TXSBaseCustomDateTime.GetMinute 001a TXSBaseCustomDateTime.GetSecond 0024 TXSBaseCustomDateTime.GetDay 002c TXSBaseCustomDateTime.GetMonth 0034 TXSBaseCustomDateTime.GetYear 003b EncodeDateTime 0046 TXSBaseCustomDateTime.GetHourOffset 0052 TXSBaseCustomDateTime.GetMinuteOffset 0080 EncodeTime"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 66 85 C0 75 0C 8B C3 E8 ?? ?? ?? ?? 66 85 C0 74 63 6A 00 8B C3 E8 ?? ?? ?? ?? 0F BF C0 99 33 C2 2B C2 50 8B C3 E8 ?? ?? ?? ?? 0F BF C0 99 33 C2 2B C2 33 C9 5A E8 ?? ?? ?? ?? DD 5C 24 08 9B 8B C3 E8 ?? ?? ?? ?? 0F BF C0 6B F0 3C 8B C3 E8 ?? ?? ?? ?? 0F BF C0 03 F0 85 F6 7E 0D DD 04 24 DC 64 24 08 DD 1C 24 9B EB 0B DD 04 24 DC 44 24 08 DD 1C 24 9B DD 04 24 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_50342_0 {
	meta:
		name = "TXSBaseCustomDateTime.XSToNative"
		size = 231
		refs = "0014 TXSBaseCustomDateTime.XSToNative 0021 SoapTimePrefix 0026 Pos 003f @UStrCopy 0071 TXSBaseDate.XSToNative 007c TXSBaseTime.XSToNative 0088 TXSBaseTime.SetHour 0092 TXSBaseTime.SetMinute 009c TXSBaseTime.SetSecond 00a6 TXSBaseTime.SetMillisecond 00b0 TXSBaseTime.SetHourOffset 00d4 @UStrArrayClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7E 52 8D 45 F8 50 8B CE 49 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 89 7D F4 83 7D F4 00 74 0B 8B 45 F4 83 E8 04 8B 00 89 45 F4 8D 45 FC 50 8B 4D F4 2B CE 8D 56 01 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 04 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 E8 ?? ?? ?? ?? EB 3C 33 D2 8B 43 08 E8 ?? ?? ?? ?? 33 D2 8B 43 08 E8 ?? ?? ?? ?? 33 D2 8B 43 08 E8 ?? ?? ?? ?? 33 D2 8B 43 08 E8 ?? ?? ?? ?? 33 D2 8B 43 08 E8 ?? ?? ?? ?? 8B D7 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50343_0 {
	meta:
		name = "TXSBaseCustomDateTime.NativeToXS"
		size = 131
		refs = "0011 TXSBaseCustomDateTime.NativeToXS 0022 TXSBaseTime.NativeToXS 0033 TXSBaseDate.NativeToXS 003c SoapTimePrefix 004b @UStrCatN 0071 @UStrArrayClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 08 E8 ?? ?? ?? ?? 83 7D FC 00 74 25 8D 55 F8 8B 43 04 E8 ?? ?? ?? ?? FF 75 F8 FF 35 ?? ?? ?? ?? FF 75 FC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0A 8B D6 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50344_0 {
	meta:
		name = "TXSTime.GetAsTime"
		size = 79
		refs = "000a GetBaseTime 0015 TXSTime.GetAsTime 0023 TXSBaseTime.GetAsTime 003c TObject.Free 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 8B 40 0C E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_50376_0 {
	meta:
		name = "TXSCustomDateTime.GetAsDateTime"
		size = 79
		refs = "000a GetBaseCustomDateTime 0015 TXSCustomDateTime.GetAsDateTime 0023 TXSBaseCustomDateTime.GetAsDateTime 003c TObject.Free 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 8B 40 0C E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_50377_0 {
	meta:
		name = "TXSCustomDateTime.GetAsUTCDateTime"
		size = 79
		refs = "000a GetBaseCustomDateTime 0015 TXSCustomDateTime.GetAsUTCDateTime 0023 TXSBaseCustomDateTime.GetAsUTCDateTime 003c TObject.Free 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 8B 40 0C E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_50379_0 {
	meta:
		name = "TXSCustomDateTime.GetFractionalSeconds"
		size = 79
		refs = "000a GetBaseCustomDateTime 0015 TXSCustomDateTime.GetFractionalSeconds 0023 TXSBaseCustomDateTime.GetFractionalSeconds 003c TObject.Free 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 8B 40 0C E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_50364_0 {
	meta:
		name = "TXSDate.GetAsDate"
		size = 79
		refs = "000a GetBaseDate 0015 TXSDate.GetAsDate 0023 TXSBaseDate.GetAsDate 003c TObject.Free 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 8B 40 0C E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_50345_0 {
	meta:
		name = "TXSTime.GetFractionalSeconds"
		size = 79
		refs = "000a GetBaseTime 0015 TXSTime.GetFractionalSeconds 0023 TXSBaseTime.GetFractionalSeconds 003c TObject.Free 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 8B 40 0C E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_50346_0 {
	meta:
		name = "TXSTime.GetFractionalSecondString"
		size = 75
		refs = "000b GetBaseTime 0016 TXSTime.GetFractionalSecondString 0026 TXSBaseTime.GetFractionalSecondString 003b TObject.Free 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 40 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_50347_0 {
	meta:
		name = "TXSTime.GetHourOffset"
		size = 80
		refs = "000a GetBaseTime 0015 TXSTime.GetHourOffset 0023 TXSBaseTime.GetHourOffset 003c TObject.Free 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 40 0C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 FE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 FE 59 59 5D C3 }
	condition:
		$1
}

rule function_50378_0 {
	meta:
		name = "TXSCustomDateTime.GetDay"
		size = 80
		refs = "000a GetBaseCustomDateTime 0015 TXSCustomDateTime.GetDay 0023 TXSBaseCustomDateTime.GetDay 003c TObject.Free 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 40 0C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 FE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 FE 59 59 5D C3 }
	condition:
		$1
}

rule function_50380_0 {
	meta:
		name = "TXSCustomDateTime.GetHour"
		size = 80
		refs = "000a GetBaseCustomDateTime 0015 TXSCustomDateTime.GetHour 0023 TXSBaseCustomDateTime.GetHour 003c TObject.Free 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 40 0C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 FE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 FE 59 59 5D C3 }
	condition:
		$1
}

rule function_50381_0 {
	meta:
		name = "TXSCustomDateTime.GetHourOffset"
		size = 80
		refs = "000a GetBaseCustomDateTime 0015 TXSCustomDateTime.GetHourOffset 0023 TXSBaseCustomDateTime.GetHourOffset 003c TObject.Free 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 40 0C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 FE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 FE 59 59 5D C3 }
	condition:
		$1
}

rule function_50383_0 {
	meta:
		name = "TXSCustomDateTime.GetMillisecond"
		size = 80
		refs = "000a GetBaseCustomDateTime 0015 TXSCustomDateTime.GetMillisecond 0023 TXSBaseCustomDateTime.GetMillisecond 003c TObject.Free 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 40 0C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 FE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 FE 59 59 5D C3 }
	condition:
		$1
}

rule function_50384_0 {
	meta:
		name = "TXSCustomDateTime.GetMinute"
		size = 80
		refs = "000a GetBaseCustomDateTime 0015 TXSCustomDateTime.GetMinute 0023 TXSBaseCustomDateTime.GetMinute 003c TObject.Free 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 40 0C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 FE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 FE 59 59 5D C3 }
	condition:
		$1
}

rule function_50385_0 {
	meta:
		name = "TXSCustomDateTime.GetMinuteOffset"
		size = 80
		refs = "000a GetBaseCustomDateTime 0015 TXSCustomDateTime.GetMinuteOffset 0023 TXSBaseCustomDateTime.GetMinuteOffset 003c TObject.Free 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 40 0C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 FE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 FE 59 59 5D C3 }
	condition:
		$1
}

rule function_50382_0 {
	meta:
		name = "TXSCustomDateTime.GetMonth"
		size = 80
		refs = "000a GetBaseCustomDateTime 0015 TXSCustomDateTime.GetMonth 0023 TXSBaseCustomDateTime.GetMonth 003c TObject.Free 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 40 0C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 FE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 FE 59 59 5D C3 }
	condition:
		$1
}

rule function_50386_0 {
	meta:
		name = "TXSCustomDateTime.GetSecond"
		size = 80
		refs = "000a GetBaseCustomDateTime 0015 TXSCustomDateTime.GetSecond 0023 TXSBaseCustomDateTime.GetSecond 003c TObject.Free 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 40 0C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 FE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 FE 59 59 5D C3 }
	condition:
		$1
}

rule function_50349_0 {
	meta:
		name = "TXSTime.GetMillisecond"
		size = 80
		refs = "000a GetBaseTime 0015 TXSTime.GetMillisecond 0023 TXSBaseTime.GetMillisecond 003c TObject.Free 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 40 0C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 FE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 FE 59 59 5D C3 }
	condition:
		$1
}

rule function_50351_0 {
	meta:
		name = "TXSTime.GetMinuteOffset"
		size = 80
		refs = "000a GetBaseTime 0015 TXSTime.GetMinuteOffset 0023 TXSBaseTime.GetMinuteOffset 003c TObject.Free 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 40 0C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 FE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 FE 59 59 5D C3 }
	condition:
		$1
}

rule function_50348_0 {
	meta:
		name = "TXSTime.GetHour"
		size = 79
		refs = "000a GetBaseTime 0015 TXSTime.GetHour 003b TObject.Free 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 40 0C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 0F B7 40 08 66 89 45 FE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 FE 59 59 5D C3 }
	condition:
		$1
}

rule function_50350_0 {
	meta:
		name = "TXSTime.GetMinute"
		size = 79
		refs = "000a GetBaseTime 0015 TXSTime.GetMinute 003b TObject.Free 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 40 0C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 0F B7 40 0C 66 89 45 FE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 FE 59 59 5D C3 }
	condition:
		$1
}

rule function_50352_0 {
	meta:
		name = "TXSTime.GetSecond"
		size = 79
		refs = "000a GetBaseTime 0015 TXSTime.GetSecond 003b TObject.Free 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 40 0C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 0F B7 40 12 66 89 45 FE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 FE 59 59 5D C3 }
	condition:
		$1
}

rule function_50353_0 {
	meta:
		name = "TXSTime.SetAsTime"
		size = 154
		refs = "0012 TXSTime.SetAsTime 0020 GetBaseTime 003f TXSBaseTime.SetAsTime 004a TXSBaseTime.NativeToXS 0055 @UStrAsg 006a TObject.Free 0070 @HandleFinally 0087 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_50391_0 {
	meta:
		name = "TXSCustomDateTime.SetFractionalSeconds"
		size = 154
		refs = "0012 TXSCustomDateTime.SetFractionalSeconds 0020 GetBaseCustomDateTime 003f TXSBaseCustomDateTime.SetFractionalSeconds 004a TXSBaseCustomDateTime.NativeToXS 0055 @UStrAsg 006a TObject.Free 0070 @HandleFinally 0087 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_50368_0 {
	meta:
		name = "TXSDate.SetAsDate"
		size = 154
		refs = "0012 TXSDate.SetAsDate 0020 GetBaseDate 003f TXSBaseDate.SetAsDate 004a TXSBaseDate.NativeToXS 0055 @UStrAsg 006a TObject.Free 0070 @HandleFinally 0087 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_50354_0 {
	meta:
		name = "TXSTime.SetFractionalSeconds"
		size = 154
		refs = "0012 TXSTime.SetFractionalSeconds 0020 GetBaseTime 003f TXSBaseTime.SetFractionalSeconds 004a TXSBaseTime.NativeToXS 0055 @UStrAsg 006a TObject.Free 0070 @HandleFinally 0087 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_50355_0 {
	meta:
		name = "TXSTime.SetHour"
		size = 152
		refs = "0015 TXSTime.SetHour 0023 GetBaseTime 003e TXSBaseTime.SetHour 0049 TXSBaseTime.NativeToXS 0054 @UStrAsg 0069 TObject.Free 006f @HandleFinally 0086 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50370_0 {
	meta:
		name = "TXSDate.SetDay"
		size = 152
		refs = "0015 TXSDate.SetDay 0023 GetBaseDate 003e TXSBaseDate.SetDay 0049 TXSBaseDate.NativeToXS 0054 @UStrAsg 0069 TObject.Free 006f @HandleFinally 0086 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50369_0 {
	meta:
		name = "TXSDate.SetMonth"
		size = 152
		refs = "0015 TXSDate.SetMonth 0023 GetBaseDate 003e TXSBaseDate.SetMonth 0049 TXSBaseDate.NativeToXS 0054 @UStrAsg 0069 TObject.Free 006f @HandleFinally 0086 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50371_0 {
	meta:
		name = "TXSDate.SetYear"
		size = 152
		refs = "0015 TXSDate.SetYear 0023 GetBaseDate 003e TXSBaseDate.SetYear 0049 TXSBaseDate.NativeToXS 0054 @UStrAsg 0069 TObject.Free 006f @HandleFinally 0086 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50356_0 {
	meta:
		name = "TXSTime.SetHourOffset"
		size = 152
		refs = "0015 TXSTime.SetHourOffset 0023 GetBaseTime 003e TXSBaseTime.SetHourOffset 0049 TXSBaseTime.NativeToXS 0054 @UStrAsg 0069 TObject.Free 006f @HandleFinally 0086 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50357_0 {
	meta:
		name = "TXSTime.SetMillisecond"
		size = 152
		refs = "0015 TXSTime.SetMillisecond 0023 GetBaseTime 003e TXSBaseTime.SetMillisecond 0049 TXSBaseTime.NativeToXS 0054 @UStrAsg 0069 TObject.Free 006f @HandleFinally 0086 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50358_0 {
	meta:
		name = "TXSTime.SetMinute"
		size = 152
		refs = "0015 TXSTime.SetMinute 0023 GetBaseTime 003e TXSBaseTime.SetMinute 0049 TXSBaseTime.NativeToXS 0054 @UStrAsg 0069 TObject.Free 006f @HandleFinally 0086 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50359_0 {
	meta:
		name = "TXSTime.SetMinuteOffset"
		size = 152
		refs = "0015 TXSTime.SetMinuteOffset 0023 GetBaseTime 003e TXSBaseTime.SetMinuteOffset 0049 TXSBaseTime.NativeToXS 0054 @UStrAsg 0069 TObject.Free 006f @HandleFinally 0086 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50360_0 {
	meta:
		name = "TXSTime.SetSecond"
		size = 152
		refs = "0015 TXSTime.SetSecond 0023 GetBaseTime 003e TXSBaseTime.SetSecond 0049 TXSBaseTime.NativeToXS 0054 @UStrAsg 0069 TObject.Free 006f @HandleFinally 0086 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50361_0 {
	meta:
		name = "TXSTime.Clone"
		size = 97
		refs = "000c _DV_TXSTime 0011 TRemotable.Create 001c TXSTime.Clone 0042 @HandleAnyException 004f TObject.Free 0054 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7B 0C 00 74 0B 8B 53 0C 8B 45 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50373_0 {
	meta:
		name = "TXSDate.Clone"
		size = 97
		refs = "000c _DV_TXSDate 0011 TXSDate.Create 001c TXSDate.Clone 0042 @HandleAnyException 004f TObject.Free 0054 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7B 0C 00 74 0B 8B 53 0C 8B 45 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50363_0 {
	meta:
		name = "TXSDate.NativeToXS"
		size = 41
		refs = "0012 @UStrAsg 001d sDefaultValue"
		altNames = "TXSTime.NativeToXS"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 0C 00 74 0D 8B C6 8B 53 0C E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50365_0 {
	meta:
		name = "TXSDate.GetDay"
		size = 79
		refs = "000a GetBaseDate 0015 TXSDate.GetDay 003b TObject.Free 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 40 0C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 0F B7 40 06 66 89 45 FE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 FE 59 59 5D C3 }
	condition:
		$1
}

rule function_50366_0 {
	meta:
		name = "TXSDate.GetMonth"
		size = 79
		refs = "000a GetBaseDate 0015 TXSDate.GetMonth 003b TObject.Free 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 40 0C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 0F B7 40 04 66 89 45 FE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 FE 59 59 5D C3 }
	condition:
		$1
}

rule function_50367_0 {
	meta:
		name = "TXSDate.GetYear"
		size = 78
		refs = "000a GetBaseDate 0015 TXSDate.GetYear 0023 TXSBaseDate.GetYear 003b TObject.Free 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 40 0C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_50388_0 {
	meta:
		name = "TXSCustomDateTime.GetYear"
		size = 78
		refs = "000a GetBaseCustomDateTime 0015 TXSCustomDateTime.GetYear 0023 TXSBaseCustomDateTime.GetYear 003b TObject.Free 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 40 0C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_50374_0 {
	meta:
		name = "TXSDate.XSToNative"
		size = 78
		refs = "000d GetBaseDate 0018 TXSDate.XSToNative 0028 @UStrAsg 003d TObject.Free 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50406_0 {
	meta:
		name = "TXSDateTime.XSToNative"
		size = 78
		refs = "000d GetBaseDateTime 0018 TXSDateTime.XSToNative 0028 @UStrAsg 003d TObject.Free 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50387_0 {
	meta:
		name = "TXSCustomDateTime.GetUseZeroMilliseconds"
		size = 79
		refs = "000a GetBaseCustomDateTime 0015 TXSCustomDateTime.GetUseZeroMilliseconds 0023 TXSBaseCustomDateTime.GetUseZeroMilliseconds 003b TObject.Free 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 40 0C E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 59 59 5D C3 }
	condition:
		$1
}

rule function_50389_0 {
	meta:
		name = "TXSCustomDateTime.SetAsDateTime"
		size = 84
		refs = "000c TXSCustomDateTime.SetAsDateTime 0022 DateTimeToXMLTime 002d @UStrAsg 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 55 FC B0 01 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_50390_0 {
	meta:
		name = "TXSCustomDateTime.SetAsUTCDateTime"
		size = 84
		refs = "000c TXSCustomDateTime.SetAsUTCDateTime 0022 DateTimeToXMLTime 002d @UStrAsg 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_50392_0 {
	meta:
		name = "TXSCustomDateTime.SetDay"
		size = 152
		refs = "0015 TXSCustomDateTime.SetDay 0023 GetBaseCustomDateTime 0049 TXSBaseCustomDateTime.NativeToXS 0054 @UStrAsg 0069 TObject.Free 006f @HandleFinally 0086 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 51 04 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50393_0 {
	meta:
		name = "TXSCustomDateTime.SetHour"
		size = 152
		refs = "0015 TXSCustomDateTime.SetHour 0023 GetBaseCustomDateTime 0049 TXSBaseCustomDateTime.NativeToXS 0054 @UStrAsg 0069 TObject.Free 006f @HandleFinally 0086 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 51 08 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50394_0 {
	meta:
		name = "TXSCustomDateTime.SetHourOffset"
		size = 152
		refs = "0015 TXSCustomDateTime.SetHourOffset 0023 GetBaseCustomDateTime 0049 TXSBaseCustomDateTime.NativeToXS 0054 @UStrAsg 0069 TObject.Free 006f @HandleFinally 0086 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 51 0C 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50395_0 {
	meta:
		name = "TXSCustomDateTime.SetMillisecond"
		size = 152
		refs = "0015 TXSCustomDateTime.SetMillisecond 0023 GetBaseCustomDateTime 0049 TXSBaseCustomDateTime.NativeToXS 0054 @UStrAsg 0069 TObject.Free 006f @HandleFinally 0086 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 51 10 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50396_0 {
	meta:
		name = "TXSCustomDateTime.SetMinute"
		size = 152
		refs = "0015 TXSCustomDateTime.SetMinute 0023 GetBaseCustomDateTime 0049 TXSBaseCustomDateTime.NativeToXS 0054 @UStrAsg 0069 TObject.Free 006f @HandleFinally 0086 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 51 14 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50397_0 {
	meta:
		name = "TXSCustomDateTime.SetMinuteOffset"
		size = 152
		refs = "0015 TXSCustomDateTime.SetMinuteOffset 0023 GetBaseCustomDateTime 0049 TXSBaseCustomDateTime.NativeToXS 0054 @UStrAsg 0069 TObject.Free 006f @HandleFinally 0086 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 51 18 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50398_0 {
	meta:
		name = "TXSCustomDateTime.SetMonth"
		size = 152
		refs = "0015 TXSCustomDateTime.SetMonth 0023 GetBaseCustomDateTime 0049 TXSBaseCustomDateTime.NativeToXS 0054 @UStrAsg 0069 TObject.Free 006f @HandleFinally 0086 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 51 1C 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50399_0 {
	meta:
		name = "TXSCustomDateTime.SetSecond"
		size = 152
		refs = "0015 TXSCustomDateTime.SetSecond 0023 GetBaseCustomDateTime 0049 TXSBaseCustomDateTime.NativeToXS 0054 @UStrAsg 0069 TObject.Free 006f @HandleFinally 0086 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 51 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50400_0 {
	meta:
		name = "TXSCustomDateTime.SetUseZeroMilliseconds"
		size = 152
		refs = "0015 TXSCustomDateTime.SetUseZeroMilliseconds 0023 GetBaseCustomDateTime 003e TXSBaseCustomDateTime.SetUseZeroMilliseconds 0049 TXSBaseCustomDateTime.NativeToXS 0054 @UStrAsg 0069 TObject.Free 006f @HandleFinally 0086 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 46 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50401_0 {
	meta:
		name = "TXSCustomDateTime.SetYear"
		size = 152
		refs = "0015 TXSCustomDateTime.SetYear 0023 GetBaseCustomDateTime 0049 TXSBaseCustomDateTime.NativeToXS 0054 @UStrAsg 0069 TObject.Free 006f @HandleFinally 0086 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 51 24 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50402_0 {
	meta:
		name = "TXSCustomDateTime.Create"
		size = 67
		refs = "000a @ClassCreate 0017 sDefaultValue 001c @UStrAsg 0025 TRemotable.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_50404_0 {
	meta:
		name = "TXSDateTime.CompareDateTimeParam"
		size = 113
		refs = "000c TXSCustomDateTime.GetAsDateTime 002a TTimeSpan.Subtract 0031 _DV_TXSDuration 0036 TXSDuration.Create 003f TTimeSpan.GetDays 0049 TTimeSpan.GetHours 0053 TTimeSpan.GetMinutes 005d TTimeSpan.GetSeconds 0066 TXSDuration.SetSecond"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 44 24 10 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C4 E8 ?? ?? ?? ?? 89 43 18 8B C4 E8 ?? ?? ?? ?? 89 43 1C 8B C4 E8 ?? ?? ?? ?? 89 43 20 8B C4 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_50405_0 {
	meta:
		name = "TXSDateTime.Clone"
		size = 102
		refs = "000c _DV_TXSDateTime 0011 TXSCustomDateTime.Create 001c TXSDateTime.Clone 0042 @HandleAnyException 004f TObject.Free 0054 @RaiseAgain 0059 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7B 0C 00 74 0B 8B 53 0C 8B 45 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50409_0 {
	meta:
		name = "TXSDuration.GetSecond"
		size = 13
		refs = "0007 @TRUNC"
	strings:
		$1 = { 53 8B D8 DD 43 28 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_50410_0 {
	meta:
		name = "TXSDuration.SetSecond"
		size = 13
	strings:
		$1 = { 51 89 14 24 DB 04 24 DD 58 28 9B 5A C3 }
	condition:
		$1
}

rule function_50411_0 {
	meta:
		name = "TXSDuration.EncodeDuration"
		size = 548
		refs = "0017 TXSDuration.EncodeDuration 0028 sNegPrefix 0034 @UStrCat3 0046 IntToStr 005a @UStrCatN 00b6 SoapFloatToStr 00cf @UStrEqual 00d8 AnsiLastChar 00ea SoapTimePrefix 00ef @UStrCat 015e @UStrFromWChar 019e @UStrArrayClr 01a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 43 20 8B 14 85 ?? ?? ?? ?? 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 3B 85 FF 74 20 FF 36 8D 55 F8 8B C7 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 7B 04 85 FF 74 20 FF 36 8D 55 F4 8B C7 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 7B 08 85 FF 74 20 FF 36 8D 55 F0 8B C7 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 73 1C FF 73 18 8D 45 FC E8 ?? ?? ?? ?? 83 7B 0C 00 75 26 83 7B 10 00 75 20 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B 06 E8 ?? ?? ?? ?? 66 83 38 50 0F 85 A2 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7B 0C 85 FF 74 20 FF 36 8D 55 EC 8B C7 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 7B 10 85 FF 74 20 FF 36 8D 55 E8 8B C7 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 22 8B 06 E8 ?? ?? ?? ?? 0F B7 10 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 16 FF 36 FF 75 FC 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 50 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 59 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 44 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 48 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 53 00 00 00 }
	condition:
		$1
}

rule function_50412_0 {
	meta:
		name = "TXSDuration.DecodeDuration"
		size = 588
		refs = "001b TXSDuration.DecodeDuration 0039 SInvalidDuration 003e LoadResString 0054 SoapDateTimeErrorFmt 0091 SoapTimePrefix 0096 Pos 00c3 @UStrCopy 00e2 @UStrLAsg 00ff GetNumberBefore 0107 StrToInt 01a0 SoapStrToFloat 01d2 @UStrArrayClr 01da @UStrClr 01ed @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 85 C0 74 05 83 E8 04 8B 00 83 F8 03 7D 23 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 89 5D E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 66 83 3B 50 74 30 66 83 3B 2D 75 07 66 83 7B 02 50 74 23 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 89 5D E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 7E 3C 89 5D F4 83 7D F4 00 74 0B 8B 45 F4 83 E8 04 8B 00 89 45 F4 8D 45 FC 50 8B 4D F4 2B CF 8D 57 01 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 8B CF 49 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0A 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 66 83 3B 2D 0F 94 C0 88 46 20 8D 45 E0 50 33 C9 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 89 06 8D 45 DC 50 33 C9 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 89 46 04 8D 45 D8 50 33 C9 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 89 46 08 85 FF 7E 5D 8D 45 D4 50 33 C9 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 89 46 0C 8D 45 D0 50 33 C9 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 89 46 10 8D 45 CC 50 B1 01 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? DD 5E 18 9B EB 12 33 C0 89 46 0C 33 C0 89 46 10 33 C0 89 46 18 89 46 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 59 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 44 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 48 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 53 00 00 00 }
	condition:
		$1
}

rule function_50413_0 {
	meta:
		name = "TXSDuration.XSToNative"
		size = 10
		refs = "0005 TXSDuration.DecodeDuration"
	strings:
		$1 = { 83 C0 10 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50414_0 {
	meta:
		name = "TXSDuration.NativeToXS"
		size = 19
		refs = "000c TXSDuration.EncodeDuration"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8D 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50416_0 {
	meta:
		name = "TXSHexBinary.XSToNative"
		size = 284
		refs = "001a TXSHexBinary.XSToNative 002a @UStrLAsg 0044 AllocMem 0062 Pos 0076 @UStrCat3 007e @UStrToPWChar 0088 HexToBin 0094 SInvalidHexValue 0099 LoadResString 00af SoapHexBinaryErrorFmt 00bc @UStrAsg 00d1 @FreeMem 00d7 @HandleFinally 00ee @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F0 89 4D FC 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 8B C3 03 C0 40 03 C0 E8 ?? ?? ?? ?? 89 45 F4 33 FF 55 68 ?? ?? ?? ?? 64 FF 37 64 89 27 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 10 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B CB E8 ?? ?? ?? ?? 85 C0 7E 23 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 89 75 E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 0C 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_50417_0 {
	meta:
		name = "TXSHexBinary.GetAsByteArray"
		size = 109
		refs = "0018 TByteDynArray 001d @DynArraySetLength 005c @UStrToPWChar 0065 HexToBin"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 83 7B 0C 00 75 19 6A 00 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 43 8B 73 0C 85 F6 74 05 83 EE 04 8B 36 56 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 07 8B F8 8B 73 0C 85 F6 74 05 83 EE 04 8B 36 8B 43 0C E8 ?? ?? ?? ?? 8B D7 8B CE E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50418_0 {
	meta:
		name = "TXSHexBinary.SetAsByteArray"
		size = 118
		refs = "000e @DynArrayLength 001c AllocMem 0027 TXSHexBinary.SetAsByteArray 0039 BinToHex 0041 @PWCharLen 004f @UStrFromPWCharLen 0064 @FreeMem 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F0 8B FA 8B C2 E8 ?? ?? ?? ?? 8B D8 8D 43 01 03 C0 03 C0 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C7 8B CB 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 56 0C 8B C8 8B 45 FC 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50421_0 {
	meta:
		name = "CheckDecimalString"
		size = 209
		refs = "0012 CheckDecimalString 0022 SSciNotationMarker 0027 @UStrFromWChar 0031 Pos 003d SNoSciNotation 0042 LoadResString 004a SoapDecimalError 0053 SNAN 0064 SNoNAN 008b SBcdStringTooBig 00a6 SoapDecimalErrorFmt 00c0 @UStrArrayClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 85 C0 7E 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 5A 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 33 8B C3 85 C0 74 05 83 E8 04 8B 00 83 F8 42 7E 23 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 89 5D E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50422_0 {
	meta:
		name = "TXSDecimal.GetAsBcd"
		size = 164
		refs = "0018 TXSDecimal.GetAsBcd 0037 sDefaultValue 003c @UStrLAsg 0044 CheckDecimalString 004e TryStrToBcd 005a SInvalidDecimalString 005f LoadResString 0078 SoapDecimalErrorFmt 0092 @UStrArrayClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 0C 83 7D FC 00 75 0E 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 26 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50423_0 {
	meta:
		name = "TXSDecimal.SetAsBcd"
		size = 192
		refs = "0018 TXSDecimal.SetAsBcd 0049 SInvalidBcd 004e LoadResString 007c SoapDecimalErrorFmt 0086 BcdToStr 0091 @UStrAsg 00a6 @UStrClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 03 3C 40 77 04 3C 01 73 04 B0 01 EB 10 0F B6 43 01 24 3F 0F B6 C0 66 83 F8 40 0F 97 C0 84 C0 74 3B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 13 89 55 EC C6 45 F0 00 0F B6 53 01 80 E2 3F 0F B6 D2 0F B7 D2 89 55 F4 C6 45 F8 00 8D 55 EC B9 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 46 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50426_0 {
	meta:
		name = "TXSBoolean.NativeToXS"
		size = 27
		refs = "000f sValues 0014 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 0F B6 53 0C 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50427_0 {
	meta:
		name = "TXSBoolean.XSToNative"
		size = 88
		refs = "0009 TXSBoolean.XSToNative 000e @UStrEqual"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 12 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 43 0C 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_50429_0 {
	meta:
		name = "TXSInteger.XSToNative"
		size = 19
		refs = "0009 StrToInt"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_50430_0 {
	meta:
		name = "TXSLong.NativeToXS"
		size = 22
		refs = "000f IntToStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 FF 73 14 FF 73 10 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50431_0 {
	meta:
		name = "TXSLong.XSToNative"
		size = 22
		refs = "0009 StrToInt64"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 43 10 89 53 14 5E 5B C3 }
	condition:
		$1
}

rule function_50432_0 {
	meta:
		name = "TXMLData.Create"
		size = 148
		refs = "000f @ClassCreate 001b TXMLData.Create 002a TRemotable.Create 0037 NewXMLDocument 0042 @IntfCopy 0057 @IntfClear 005d @HandleFinally 006a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 46 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 31 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_50433_0 {
	meta:
		name = "TXMLData.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f @IntfClear 0022 TRemotable.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 10 E8 ?? ?? ?? ?? 8D 46 0C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50434_0 {
	meta:
		name = "TXMLData.LoadFromXML"
		size = 218
		refs = "0018 TXMLData.LoadFromXML 0071 @OleVarFromInt 0088 @IntfCopy 009d @VarClr 00a5 @IntfClear 00b6 IXMLNode 00c0 @FinalizeArray 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 08 FF 91 A0 00 00 00 8D 55 F8 8B 43 0C 8B 08 FF 51 1C 8B 45 F8 8D 55 FC 8B 08 FF 51 14 8B 45 FC 8B 10 FF 52 0C 85 C0 7E 3D 8D 55 EC 8B 43 0C 8B 08 FF 51 1C 8B 45 EC 8D 55 F0 8B 08 FF 51 14 8B 45 F0 50 8D 45 DC 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 55 DC 8D 4D F4 58 8B 30 FF 56 10 8B 55 F4 8D 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50435_0 {
	meta:
		name = "TXMLData.LoadFromXML"
		size = 240
		refs = "0019 TXMLData.LoadFromXML 0029 @UStrFromWStr 007f @OleVarFromInt 0096 @IntfCopy 00ab @VarClr 00b3 @IntfClear 00c4 IXMLNode 00ce @FinalizeArray 00de @UStrClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C 8B 08 FF 91 A0 00 00 00 8D 55 F4 8B 43 0C 8B 08 FF 51 1C 8B 45 F4 8D 55 F8 8B 08 FF 51 14 8B 45 F8 8B 10 FF 52 0C 85 C0 7E 3D 8D 55 E8 8B 43 0C 8B 08 FF 51 1C 8B 45 E8 8D 55 EC 8B 08 FF 51 14 8B 45 EC 50 8D 45 D8 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 55 D8 8D 4D F0 58 8B 30 FF 56 10 8B 55 F0 8D 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50436_0 {
	meta:
		name = "CloneNodeToDoc"
		size = 1179
		refs = "0023 CloneNodeToDoc 00de @OleVarFromInt 020e @VarToUStr 0388 @IntfClear 0393 @VarClr 03aa IXMLNode 03b4 @FinalizeArray 03ca @UStrClr 03e5 @UStrArrayClr 0441 IXMLNodeList 0489 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 18 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 88 4D FB 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 38 83 E0 7F 83 F8 0B 0F 87 34 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 50 8D 55 F0 8B C3 8B 08 FF 51 30 8B 45 F0 50 8D 55 EC 8B C3 8B 08 FF 51 34 8B 55 EC 8B 45 FC 59 8B 30 FF 96 80 00 00 00 8D 55 E8 8B C3 8B 08 FF 51 10 8B 45 E8 8B 10 FF 52 0C 8B F0 4E 85 F6 7C 60 46 C7 45 F4 00 00 00 00 8D 45 E4 50 8D 55 DC 8B C3 8B 08 FF 51 10 8B 45 DC 50 8D 45 CC 8B 55 F4 B1 FC E8 ?? ?? ?? ?? 8D 55 CC 8D 4D E0 58 8B 38 FF 57 10 8B 45 E0 33 C9 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E4 50 8D 55 C8 8B 45 08 8B 00 8B 08 FF 51 10 8B 45 C8 5A 8B 08 FF 51 18 FF 45 F4 4E 75 A8 80 7D FB 00 0F 84 4F 02 00 00 8D 55 C4 8B C3 8B 08 FF 51 14 8B 45 C4 8B 10 FF 52 0C 8B F0 4E 85 F6 0F 8C 32 02 00 00 46 C7 45 F4 00 00 00 00 8D 45 C0 50 8D 55 B8 8B C3 8B 08 FF 51 14 8B 45 B8 50 8D 45 A8 8B 55 F4 B1 FC E8 ?? ?? ?? ?? 8D 55 A8 8D 4D BC 58 8B 38 FF 57 10 8B 45 BC 0F B6 4D FB 8B 55 FC E8 ?? ?? ?? ?? 8B 45 C0 50 8D 55 A4 8B 45 08 8B 00 8B 08 FF 51 14 8B 45 A4 5A 8B 08 FF 51 18 FF 45 F4 4E 75 A6 E9 CB 01 00 00 8D 55 A0 8B C3 8B 08 FF 51 30 8B 45 A0 50 8B 45 08 50 8D 55 9C 8B C3 8B 08 FF 51 34 8B 55 9C B1 02 8B 45 FC 8B 30 FF 96 84 00 00 00 8D 55 8C 8B C3 8B 08 FF 51 3C 8D 55 8C 8B 45 08 8B 00 8B 08 FF 51 60 E9 83 01 00 00 6A 00 8B 45 08 50 8D 95 78 FF FF FF 8B C3 8B 08 FF 51 3C 8D 95 78 FF FF FF 8D 45 88 E8 ?? ?? ?? ?? 8B 45 88 50 8B C3 8B 10 FF 52 38 8B C8 8B 45 FC 5A 8B 18 FF 93 84 00 00 00 E9 44 01 00 00 6A 00 8B 45 08 50 8D 95 74 FF FF FF 8B C3 8B 08 FF 51 34 8B 85 74 FF FF FF 50 8B C3 8B 10 FF 52 38 8B C8 8B 45 FC 5A 8B 18 FF 93 84 00 00 00 E9 10 01 00 00 8D 95 60 FF FF FF 8B C3 8B 08 FF 51 3C 8D 95 60 FF FF FF 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 8B 45 08 50 8D 95 5C FF FF FF 8B C3 8B 08 FF 51 34 8B 95 5C FF FF FF B1 07 8B 45 FC 8B 18 FF 93 84 00 00 00 E9 C2 00 00 00 6A 00 8B 45 08 50 B1 0B 33 D2 8B 45 FC 8B 30 FF 96 84 00 00 00 80 7D FB 00 0F 84 A3 00 00 00 8D 95 58 FF FF FF 8B C3 8B 08 FF 51 14 8B 85 58 FF FF FF 8B 10 FF 52 0C 8B F0 4E 85 F6 0F 8C 80 00 00 00 46 C7 45 F4 00 00 00 00 8D 85 54 FF FF FF 50 8D 95 4C FF FF FF 8B C3 8B 08 FF 51 14 8B 85 4C FF FF FF 50 8D 85 3C FF FF FF 8B 55 F4 B1 FC E8 ?? ?? ?? ?? 8D 95 3C FF FF FF 8D 8D 50 FF FF FF 58 8B 38 FF 57 10 8B 85 50 FF FF FF 0F B6 4D FB 8B 55 FC E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 50 8D 95 38 FF FF FF 8B 45 08 8B 00 8B 08 FF 51 14 8B 85 38 FF FF FF 5A 8B 08 FF 51 18 FF 45 F4 4E 75 88 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 9C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 EF FE FF FF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_50437_0 {
	meta:
		name = "TXMLData.ObjectToSOAP"
		size = 252
		refs = "001e @IntfAddRef 0039 TXMLData.ObjectToSOAP 0062 @UStrClr 0071 TRemotable.ObjectToSOAP 0098 CloneNodeToDoc 00c8 @IntfClear 00d9 IXMLNode 00e3 @FinalizeArray 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 0F B6 05 ?? ?? ?? ?? 0A 45 10 50 8B 45 0C E8 ?? ?? ?? ?? 50 56 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 83 3E 00 74 3D 83 7B 10 00 74 37 8D 45 F4 50 8D 55 F0 8B 45 F8 8B 08 FF 51 40 8B 55 F0 B1 01 8B 43 10 E8 ?? ?? ?? ?? 83 7D F4 00 74 15 8D 55 EC 8B 06 8B 08 FF 51 14 8B 45 EC 8B 55 F4 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C2 1C 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_50438_0 {
	meta:
		name = "TXMLData.SOAPToObject"
		size = 198
		refs = "001d TXMLData.SOAPToObject 0056 @OleVarFromInt 006f CloneNodeToDoc 007a @IntfCopy 008f @VarClr 0097 @IntfClear 00a0 IXMLNode 00aa @FinalizeArray 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 14 8B 45 FC 8B 10 FF 52 0C 48 75 42 8D 45 F8 50 8D 55 F0 8B C6 8B 08 FF 51 14 8B 45 F0 50 8D 45 E0 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 55 E0 8D 4D F4 58 8B 30 FF 56 10 8B 45 F4 B1 01 8B 53 0C E8 ?? ?? ?? ?? 8B 55 F8 8D 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_50439_0 {
	meta:
		name = "InitXSTypes"
		size = 1016
		refs = "0003 XMLSchemaNameSpace 0008 InitXSTypes 0013 RemClassRegistry 001b _DV_TXSDateTime 0020 TRemotableTypeRegistry.RegisterXSClass 0055 _DV_TXSTime 0072 _DV_TXSDate 008f _DV_TXSDuration 00c9 _DV_TXSHexBinary 00e6 _DV_TXSDecimal 0103 _DV_TXSString 0120 _DV_TXSBoolean 013d _DV_TXSInteger 015a _DV_TXSLong"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 6A 00 E8 ?? ?? ?? ?? 8B 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 64 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 74 00 69 00 6D 00 65 00 49 00 6E 00 73 00 74 00 61 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 64 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 64 00 75 00 72 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 74 00 69 00 6D 00 65 00 44 00 75 00 72 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 68 00 65 00 78 00 42 00 69 00 6E 00 61 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 63 00 69 00 6D 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 69 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 6F 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 6E 00 65 00 67 00 61 00 74 00 69 00 76 00 65 00 49 00 6E 00 74 00 65 00 67 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 6E 00 6F 00 6E 00 4E 00 65 00 67 00 61 00 74 00 69 00 76 00 65 00 49 00 6E 00 74 00 65 00 67 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 6E 00 6F 00 6E 00 50 00 6F 00 73 00 69 00 74 00 69 00 76 00 65 00 49 00 6E 00 74 00 65 00 67 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 70 00 6F 00 73 00 69 00 74 00 69 00 76 00 65 00 49 00 6E 00 74 00 65 00 67 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_50440_0 {
	meta:
		name = "Finalization"
		size = 233
		refs = "0007 Finalization 0013 _DV_61 001e SoapTimePrefix 0023 @UStrClr 0028 SNAN 0032 FormatSettings 0038 TFormatSettings 003d @FinalizeRecord 0042 Neg 004d string 0052 @FinalizeArray 0057 Errors 006c sNegative 0081 sDefaultValue 009f sNegPrefix 00be sValues 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 B5 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_50443_0 {
	meta:
		name = "TWebRequestListener.Create"
		size = 122
		refs = "000e @ClassCreate 001c TObject.Create 0025 _Dn_TIdTCPServer 002a TIdBaseComponent.Create 004e TWebRequestListener.ServerExecute 0065 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 5E 04 8B C3 33 D2 8B 08 FF 91 98 00 00 00 8B 46 04 89 B0 EC 00 00 00 C7 80 E8 00 00 00 ?? ?? ?? ?? B2 01 8B 08 FF 91 90 00 00 00 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50444_0 {
	meta:
		name = "TWebRequestListener.Destroy"
		size = 57
		refs = "0003 @BeforeDestruction 001c TObject.Free 0027 TObject.Destroy 0032 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 33 D2 8B 08 FF 91 90 00 00 00 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50445_0 {
	meta:
		name = "TWebRequestListener.GetPort"
		size = 25
		refs = "000f TIdSocketHandles.GetItem"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 0F B7 40 20 5B C3 }
	condition:
		$1
}

rule function_50446_0 {
	meta:
		name = "TWebRequestListener.ServerExecute"
		size = 298
		refs = "0011 TWebRequestListener.ServerExecute 0031 _Dn_TIndyTCPConnectionTransport 0036 TIndyTCPConnectionTransport.Create 0047 @IntfCopy 006f _Dn_TLogSendDataBlock 0074 TSendDataBlock.Create 0084 _DV_TWebRequestDataBlockInterpreterHandleRequest 0089 TCustomDataBlockInterpreter.Create 00b9 TObject.Free 00bf @HandleFinally 00d6 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 33 C9 B2 01 8B 45 FC 8B 18 FF 53 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 85 C9 74 03 83 E9 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 F4 8B 08 FF 11 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50447_0 {
	meta:
		name = "TWebRequestDataBlockInterpreterHandleRequest.DoHandleRequest"
		size = 287
		refs = "0022 @IntfAddRef 002a TWebRequestDataBlockInterpreterHandleRequest.DoHandleRequest 0048 _DV_TSockWebRequestAccess 004d TSockWebRequestAccess.Create 005a SockWebRequestHandler 0060 TSockWebRequestHandler.Run 006f @HandleOnException 0077 _Dn_Exception 0088 @VarFromUStr 0096 TCustomDataBlockInterpreter.WriteVariant 00a8 @DoneExcept 00b9 @VarFromBool 00fc @VarClr 010c @IntfClear 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 89 55 FC 89 45 E4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 F0 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 45 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 45 D4 8B 53 04 E8 ?? ?? ?? ?? 8D 55 D4 8B 4D FC 8B 45 E4 E8 ?? ?? ?? ?? BA 01 D4 00 00 8B 45 FC 8B 08 FF 51 24 E8 ?? ?? ?? ?? EB 3D E8 ?? ?? ?? ?? 8D 45 E8 B2 01 E8 ?? ?? ?? ?? 8D 55 E8 8B 4D FC 8B 45 E4 E8 ?? ?? ?? ?? BA 02 D4 00 00 8B 45 FC 8B 08 FF 51 24 6A 01 8B 45 FC 50 8B 45 E4 8B 40 04 50 53 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50456_0 {
	meta:
		name = "TSockWebRequestAccess.WriteHeaders"
		size = 108
		refs = "0011 @LStrAddRef 0021 TSockWebRequestAccess.WriteHeaders 0038 TWebRequestDataBlockInterpreter.CallWriteHeaders 004f @LStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 4D FC 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_50457_0 {
	meta:
		name = "FindSwitch"
		size = 48
		refs = "0001 FindSwitch 0008 FindCmdLineSwitch"
	strings:
		$1 = { BA ?? ?? ?? ?? B1 01 E8 ?? ?? ?? ?? C3 00 00 00 00 00 00 00 00 A0 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_69395_0 {
	meta:
		name = "FindCmdLineSwitch"
		size = 48
		refs = "0001 FindCmdLineSwitch"
	strings:
		$1 = { BA ?? ?? ?? ?? B1 01 E8 ?? ?? ?? ?? C3 00 00 00 00 00 00 00 00 A0 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_50458_0 {
	meta:
		name = "TWebAppSockObjectFactory.Create"
		size = 176
		refs = "000b @ClassCreate 0017 WebAppSockObjectFactory 0021 @UStrAsg 0026 TWebAppSockObjectFactory.Create 002b FindSwitch 0058 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 89 3D ?? ?? ?? ?? 8D 47 04 8B D6 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 C6 47 08 01 EB 18 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 C6 47 08 02 EB 04 C6 47 08 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 52 00 45 00 47 00 53 00 45 00 52 00 56 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 4E 00 52 00 45 00 47 00 53 00 45 00 52 00 56 00 45 00 52 00 00 00 }
	condition:
		$1
}

rule function_50459_0 {
	meta:
		name = "TWebAppSockObjectFactory.GetFileName"
		size = 17
		refs = "0006 HInstance 000b GetModuleName"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_98257_0 {
	meta:
		name = "TAdapterActionsListHelper.GetAddAllFieldsItem"
		size = 17
		refs = "0006 sAddAllCommands 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_98258_0 {
	meta:
		name = "TAdapterActionsListHelper.GetAddFieldsDlgCaption"
		size = 17
		refs = "0006 sAddCommandsDlgCaption 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_98259_0 {
	meta:
		name = "TAdapterActionsListHelper.GetAddFieldsItem"
		size = 17
		refs = "0006 sAddCommands 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96952_0 {
	meta:
		name = "TAdapterDefaultActions.GetAddAllFieldsItem"
		size = 17
		refs = "0006 sAddAllAdapterActions 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96953_0 {
	meta:
		name = "TAdapterDefaultActions.GetAddFieldsDlgCaption"
		size = 17
		refs = "0006 sAddAdapterActionsDlgCaption 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96954_0 {
	meta:
		name = "TAdapterDefaultActions.GetAddFieldsItem"
		size = 17
		refs = "0006 sAddAdapterActions 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96943_0 {
	meta:
		name = "TAdapterDefaultFields.GetAddAllFieldsItem"
		size = 17
		refs = "0006 sAddAllAdapterData 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96944_0 {
	meta:
		name = "TAdapterDefaultFields.GetAddFieldsDlgCaption"
		size = 17
		refs = "0006 sAddAdapterDataDlgCaption 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96945_0 {
	meta:
		name = "TAdapterDefaultFields.GetAddFieldsItem"
		size = 17
		refs = "0006 sAddAdapterData 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_98135_0 {
	meta:
		name = "TCustomAdapterFieldGroup.GetAddAllFieldsItem"
		size = 17
		refs = "0006 sAddAllFieldItems 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_98136_0 {
	meta:
		name = "TCustomAdapterFieldGroup.GetAddFieldsDlgCaption"
		size = 17
		refs = "0006 sAddFieldItemsDlgCaption 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_98137_0 {
	meta:
		name = "TCustomAdapterFieldGroup.GetAddFieldsItem"
		size = 17
		refs = "0006 sAddFieldItems 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_98047_0 {
	meta:
		name = "TCustomAdapterGrid.GetAddAllFieldsItem"
		size = 17
		refs = "0006 sAddAllColumns 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_98048_0 {
	meta:
		name = "TCustomAdapterGrid.GetAddFieldsDlgCaption"
		size = 17
		refs = "0006 sAddColumnsDlgCaption 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_98049_0 {
	meta:
		name = "TCustomAdapterGrid.GetAddFieldsItem"
		size = 17
		refs = "0006 sAddColumns 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85481_0 {
	meta:
		name = "TSeStyleFilter.GetFilterName"
		size = 17
		refs = "0006 SStyleFileDescription 000b LoadResString"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_50460_0 {
	meta:
		name = "TWebAppSockObjectFactory.GetProgID"
		size = 160
		refs = "0013 TWebAppSockObjectFactory.GetProgID 0029 TWebAppSockObjectFactory.GetFileName 0034 ExtractFileName 0041 ChangeFileExt 0058 @UStrCatN 0061 @UStrClr 007b @UStrArrayClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 04 00 74 3B 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC 33 D2 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? FF 73 04 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_50461_0 {
	meta:
		name = "TWebAppSockObjectFactory.Initialize"
		size = 178
		refs = "000e TWebAppSockObjectFactory.Initialize 0022 TWebAppSockObjectFactory.UpdateRegistry 002d @Halt0 0034 _DV_TWebRequestListener 0039 TWebRequestListener.Create 003e WebRequestListener 0046 WebAppSockObjectFactory 004b TWebAppSockObjectFactory.GetProgID 005c TWebAppSockObjectFactory.GetFileName 006a TWebRequestListener.GetPort 0073 _Dn_TRunningWebAppNotifier 0078 TRunningWebAppNotifier.Create 007d RunningWebAppNotifier 0087 TRunningWebAppNotifier.Register 00a1 @UStrArrayClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 08 02 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 80 7B 08 00 74 05 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50462_0 {
	meta:
		name = "TWebAppSockObjectFactory.UpdateRegistry"
		size = 125
		refs = "0010 TWebAppSockObjectFactory.UpdateRegistry 0024 TWebAppSockObjectFactory.GetProgID 0030 HInstance 0035 GetModuleName 003e RegisterWebApp 0052 UnregisterWebApp 006c @UStrArrayClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 D2 74 26 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? EB 12 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50463_0 {
	meta:
		name = "InitApp"
		size = 35
		refs = "0002 SaveInitProc 0011 WebAppSockObjectFactory 001e TWebAppSockObjectFactory.Initialize"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50464_0 {
	meta:
		name = "FinalizeApp"
		size = 105
		refs = "0003 RunningWebAppNotifier 0010 TRunningWebAppNotifier.Unregister 001a TObject.Free 0020 SaveExitProc 0029 ExitProc 0032 WebAppSockObjectFactory 0044 WebRequestListener 0056 FSockWebRequestHandler"
	strings:
		$1 = { 53 83 3D ?? ?? ?? ?? 00 74 14 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0A 8B 1D ?? ?? ?? ?? 8B 1B FF D3 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_50466_0 {
	meta:
		name = "SockApp"
		size = 67
		refs = "0002 _DV_2 000a WebRequestHandlerProc 0010 SockWebRequestHandler 0015 InitProc 001c SaveInitProc 0027 InitApp 002c ExitProc 0033 SaveExitProc 003e FinalizeApp"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 39 A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50470_0 {
	meta:
		name = "TRunningWebAppListener.Create"
		size = 160
		refs = "000e @ClassCreate 001c TObject.Create 0025 _Dn_TIdUDPServer 002a TIdBaseComponent.Create 003a TIdUDPServer.SetDefaultPort 004d TRunningWebAppListener.OnUDPRead 0065 _Dn_TCriticalSection 006a TCriticalSection.Create 0076 _Dn_TObjectList 007b TObjectList.Create 008b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 0C 8B C6 66 BA 9A 1F E8 ?? ?? ?? ?? 8B 43 0C 89 98 DC 00 00 00 C7 80 D8 00 00 00 ?? ?? ?? ?? C6 80 C0 00 00 00 01 C7 80 A4 00 00 00 64 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50471_0 {
	meta:
		name = "TRunningWebAppListener.Destroy"
		size = 70
		refs = "0003 @BeforeDestruction 0011 TIdUDPBase.SetActive 0019 TObject.Free 0034 TObject.Destroy 003f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C 33 D2 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50472_0 {
	meta:
		name = "TRunningWebAppListener.OnUDPRead"
		size = 692
		refs = "0021 @DynArrayAddRef 0029 TRunningWebAppListener.OnUDPRead 0036 _Dn_TBytesStream 003b TObject.Create 0045 _Dn_TStringList 004a TStringList.Create 0063 @DynArrayLength 007e @UStrFromPChar 008a @UStrToPWChar 009b ExtractStrings 00ab TStrings.GetValue 00d1 StrToInt 00e2 @HandleAnyException 00e9 @DoneExcept 0116 CompareText 012b TRunningWebAppListener.RegisterWebApp 014f TRunningWebAppListener.UnregisterWebApp 0159 sUnknownCommand 015e LoadResString 0168 _Dn_Exception 016d Exception.Create 0172 @RaiseExcept 0187 TObject.Free 0195 @HandleFinally 01b1 @UStrArrayClr 01c7 TArray<System.Byte> 01cc @DynArrayClear"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D FC 89 45 E8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 8B 55 FC 8B 45 E4 59 8B 18 FF 53 10 8D 45 EC 8B 55 E4 8B 52 04 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D DC BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 8D 4D F4 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 13 8B 45 F0 50 8B 4D F4 8B D3 8B 45 E8 E8 ?? ?? ?? ?? EB 45 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 13 8B 45 F0 50 8B 4D F4 8B D3 8B 45 E8 E8 ?? ?? ?? ?? EB 21 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 08 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 72 00 6F 00 67 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 69 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 52 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 55 00 00 00 }
	condition:
		$1
}

rule function_50473_0 {
	meta:
		name = "TRunningWebAppListener.FindPort"
		size = 146
		refs = "001d TRunningWebAppListener.FindPort 0047 TList.Get 0057 @TryFinallyExit 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8B 45 FC 8B 40 08 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 04 8B 70 08 4E 85 F6 7C 2C 46 33 DB 8B 45 FC 8B 78 04 89 5D F0 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 40 04 3B 45 F8 75 0A 89 5D F4 E8 ?? ?? ?? ?? EB 2B 43 4E 75 D7 C7 45 F4 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50474_0 {
	meta:
		name = "TRunningWebAppListener.FindFileName"
		size = 206
		refs = "0013 @UStrAddRef 001b TRunningWebAppListener.FindFileName 005d TList.Get 006a CompareText 0076 @TryFinallyExit 00a1 @HandleFinally 00b8 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 04 8B 70 08 4E 85 F6 7C 35 46 33 DB 8B 45 F8 8B 78 04 89 5D F0 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8B F8 8B 47 08 8B 55 FC E8 ?? ?? ?? ?? 85 C0 75 0A 89 5D F4 E8 ?? ?? ?? ?? EB 2B 43 4E 75 CE C7 45 F4 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 08 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50475_0 {
	meta:
		name = "TRunningWebAppListener.GetPortOfFileName"
		size = 194
		refs = "0013 @UStrAddRef 001b TRunningWebAppListener.GetPortOfFileName 004b TRunningWebAppListener.FindFileName 0062 TList.Get 0095 @HandleFinally 00ac @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 FF FF FF FF 8B 45 F8 8B 40 08 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 26 8B 45 F8 8B 70 04 8B FB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 70 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 40 04 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 08 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50476_0 {
	meta:
		name = "TRunningWebAppListener.RegisterWebApp"
		size = 284
		refs = "001d TRunningWebAppListener.RegisterWebApp 0043 TList.Get 005e TList.Delete 006e CompareText 008c _DV_TWebAppInfo 0091 TObject.Create 00b9 @UStrAsg 00c8 @HandleAnyException 00d0 TObject.Free 00d5 @DoneExcept 00da @TryFinallyExit 00ef TList.Add 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 89 45 FC 8B 45 FC 8B 40 08 8B 10 FF 12 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 40 04 8B 58 08 4B 83 FB 00 7C 53 8B 45 FC 8B 70 04 8B FB 8B D7 8B C6 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 40 04 3B 45 F8 75 0F 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? EB 1F 8B 45 F4 8B 40 08 8B 55 08 E8 ?? ?? ?? ?? 85 C0 75 0D 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 4B 83 FB FF 75 AD B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 55 F8 89 50 04 8B 45 F4 83 C0 08 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 33 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_50478_0 {
	meta:
		name = "TRunningWebAppListener.RemovePort"
		size = 96
		refs = "0018 TRunningWebAppListener.RemovePort 0028 TRunningWebAppListener.FindPort 0038 TList.Delete 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 08 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7C 0C 8B 55 FC 8B 52 04 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_50479_0 {
	meta:
		name = "TRunningWebAppListener.GetActive"
		size = 9
	strings:
		$1 = { 8B 40 0C 8B 10 FF 52 54 C3 }
	condition:
		$1
}

rule function_50480_0 {
	meta:
		name = "TRunningWebAppListener.GetPort"
		size = 16
		refs = "0007 TIdUDPServer.GetDefaultPort"
	strings:
		$1 = { 53 8B D8 8B 43 0C E8 ?? ?? ?? ?? 0F B7 C0 5B C3 }
	condition:
		$1
}

rule function_50481_0 {
	meta:
		name = "TRunningWebAppListener.SetActive"
		size = 110
		refs = "0010 TRunningWebAppListener.SetActive 0023 TIdUDPBase.SetActive 0038 TCollection.Clear 0047 @HandleAnyException 005d @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 84 DB 75 11 8B 45 FC 8B 40 0C 8B 80 B0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 80 B0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50483_0 {
	meta:
		name = "TTimerThread.Create"
		size = 73
		refs = "000b @ClassCreate 001c TThread.Create 002a TThread.Resume 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B1 01 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 0F 01 89 77 40 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50484_0 {
	meta:
		name = "TTimerThread.Execute"
		size = 135
		refs = "0010 TTimerThread.Execute 001b GetTickCount 0029 TRunningWebAppNotifier.SendRegister 0031 TThread.Synchronize 0054 TThread.Sleep 0063 @HandleAnyException 0068 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC EB 60 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 40 40 50 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 2B C6 8B 55 FC 8B 52 40 8B 5A 18 2B D8 83 FB 0A 7D 05 BB 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 80 78 14 00 74 09 8B 45 FC 80 78 0D 00 74 8B 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50485_0 {
	meta:
		name = "TRunningWebAppNotifier.Create"
		size = 284
		refs = "000f @ClassCreate 0029 @UStrAsg 0040 _Dn_TIdUDPClient 0045 TIdBaseComponent.Create 0054 TRunningWebAppNotifier.Create 0060 CreateRegistry 00a7 TObject.Free 00ad @HandleFinally 00b9 TObject.Create 00c7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 89 48 04 8B 45 FC 83 C0 0C 8B 55 0C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 8B 55 08 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 08 8B C3 BA ?? ?? ?? ?? 8B 08 FF 51 68 33 C0 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 9A 1F 00 00 B9 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 18 FF 53 0C 8B D0 8B 45 FC 8B 40 08 8B 08 FF 51 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 31 00 32 00 37 00 2E 00 30 00 2E 00 30 00 2E 00 31 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 44 00 50 00 50 00 6F 00 72 00 74 00 00 00 }
	condition:
		$1
}

rule function_50488_0 {
	meta:
		name = "TRunningWebAppNotifier.SendRegister"
		size = 236
		refs = "0012 TRunningWebAppNotifier.SendRegister 005c Format 0066 TRunningWebAppNotifier.Send 007b @UStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 14 00 74 48 8D 45 FC 50 66 C7 45 DC 52 00 C6 45 E0 09 8B 43 04 89 45 E4 C6 45 E8 00 8B 43 0C 89 45 EC C6 45 F0 11 8B 43 10 89 45 F4 C6 45 F8 11 8D 55 DC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 28 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 3D 00 25 00 73 00 3B 00 50 00 6F 00 72 00 74 00 3D 00 25 00 64 00 3B 00 50 00 72 00 6F 00 67 00 49 00 44 00 3D 00 25 00 73 00 3B 00 46 00 69 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 3D 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_50489_0 {
	meta:
		name = "TRunningWebAppNotifier.StartSenderThread"
		size = 37
		refs = "0011 TRunningWebAppNotifier.SendRegister 001a _DV_TTimerThread 001f TTimerThread.Create"
	strings:
		$1 = { 53 8B D8 C7 43 18 C8 00 00 00 C6 43 14 01 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_50490_0 {
	meta:
		name = "TRunningWebAppNotifier.StopSenderThread"
		size = 5
	strings:
		$1 = { C6 40 14 00 C3 }
	condition:
		$1
}

rule function_50491_0 {
	meta:
		name = "TRunningWebAppNotifier.Send"
		size = 90
		refs = "0013 TIdUDPBase.SetActive 001b TRunningWebAppNotifier.Send 0030 TIdUDPClient.Send 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 08 B2 01 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 33 C9 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 5D C3 }
	condition:
		$1
}

rule function_50492_0 {
	meta:
		name = "TRunningWebAppNotifier.Unregister"
		size = 240
		refs = "0012 TRunningWebAppNotifier.Unregister 001f TRunningWebAppNotifier.StopSenderThread 005d Format 0067 TRunningWebAppNotifier.Send 007c @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 66 C7 45 DC 55 00 C6 45 E0 09 8B 43 04 89 45 E4 C6 45 E8 00 8B 43 0C 89 45 EC C6 45 F0 11 8B 43 10 89 45 F4 C6 45 F8 11 8D 55 DC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 3D 00 25 00 73 00 3B 00 50 00 6F 00 72 00 74 00 3D 00 25 00 64 00 3B 00 50 00 72 00 6F 00 67 00 49 00 44 00 3D 00 25 00 73 00 3B 00 46 00 69 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 3D 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_50495_0 {
	meta:
		name = "CreateRegistry"
		size = 92
		refs = "0001 CreateRegistry 0008 _Dn_TRegistryIniFile 000d TRegistryIniFile.Create"
	strings:
		$1 = { B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 5C 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 43 00 6F 00 64 00 65 00 47 00 65 00 61 00 72 00 5C 00 57 00 65 00 62 00 41 00 70 00 70 00 44 00 62 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_50496_0 {
	meta:
		name = "GetRegisteredWebApps"
		size = 352
		refs = "001b GetRegisteredWebApps 0030 CreateRegistry 0048 _Dn_TStringList 004d TStringList.Create 0087 _DV_TWebAppRegInfo 008c TObject.Create 009b TStrings.GetName 00a6 @UStrAsg 00c1 TStrings.GetValue 00d6 TList.Add 00ef TObject.Free 00f5 @HandleFinally 012e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 EC 89 55 E8 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 08 33 C0 E8 ?? ?? ?? ?? 89 45 F8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 4D F4 BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 53 54 8B 45 F4 8B 10 FF 52 14 8B F8 4F 85 FF 7C 5D 47 33 F6 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 4D F0 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 08 E8 ?? ?? ?? ?? 8D 4D E8 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8D 43 04 E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 46 4F 75 A6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 65 00 62 00 41 00 70 00 70 00 73 00 00 00 }
	condition:
		$1
}

rule function_50497_0 {
	meta:
		name = "FindRegisteredWebApp"
		size = 116
		refs = "000d CreateRegistry 0018 FindRegisteredWebApp 0045 TObject.Free 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 33 C0 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 56 8B CB BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 65 00 62 00 41 00 70 00 70 00 73 00 00 00 }
	condition:
		$1
}

rule function_50498_0 {
	meta:
		name = "RegisterWebApp"
		size = 428
		refs = "0020 RegisterWebApp 002d CreateRegistry 0045 _Dn_TStringList 004a TStringList.Create 008f TStrings.GetName 009a CompareText 00bb TStrings.GetValue 00d5 @TryFinallyExit 0134 TObject.Free 013a @HandleFinally 017b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D D8 89 4D E0 89 4D DC 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F0 BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 54 8B 45 F0 8B 10 FF 52 14 48 85 C0 0F 8C 8F 00 00 00 40 89 45 E8 33 DB 8D 4D E4 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E4 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 45 EF 8D 4D DC 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 DC 8D 4D E0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E0 8B 55 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 45 EF 74 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 82 00 00 00 0A 45 EF 74 1D 8D 4D D8 8B D3 8B 45 F0 8B 30 FF 56 0C 8B 4D D8 BA ?? ?? ?? ?? 8B 45 F4 8B 30 FF 56 5C 43 FF 4D E8 0F 85 77 FF FF FF 8B 45 FC 50 8B 4D F8 BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 60 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 65 00 62 00 41 00 70 00 70 00 73 00 00 00 }
	condition:
		$1
}

rule function_50499_0 {
	meta:
		name = "UnregisterWebApp"
		size = 116
		refs = "000a CreateRegistry 0015 UnregisterWebApp 0047 TObject.Free 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 33 C0 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 60 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 65 00 62 00 41 00 70 00 70 00 73 00 00 00 }
	condition:
		$1
}

rule function_50500_0 {
	meta:
		name = "TComponentList.GetItems"
		size = 18
		refs = "000b TList.Get"
		altNames = "THTMLItems.GetHTMLItem TWebAppRegList.GetItem"
	strings:
		$1 = { 53 56 8B D8 8B F2 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50505_0 {
	meta:
		name = "TSockWebRequest.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TSockWebRequest.Create 0036 @IntfCopy 003f TWebRequest.Create 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 14 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50506_0 {
	meta:
		name = "TSockWebRequest.GetFieldByName"
		size = 25
		altNames = "TSyncController.GetObjectName"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 14 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50507_0 {
	meta:
		name = "VariantArrayToString"
		size = 172
		refs = "000f @UStrClr 0017 VarIsArray 003c VarArrayHighBound 004b VarArrayLowBound 005b @UStrSetLength 0063 VarArrayLock 006d VariantArrayToString 007a @UniqueStringU 0085 Move 009a VarArrayUnlock 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 83 00 00 00 8B 45 FC 0F B7 00 66 25 FF 0F 66 83 F8 11 75 73 8B 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 2B F0 46 85 F6 7E 50 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 8B CE E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50508_0 {
	meta:
		name = "TSockWebRequest.GetStringVariable"
		size = 25
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 14 8B 18 FF 53 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50509_0 {
	meta:
		name = "TSockWebRequest.GetDateVariable"
		size = 135
		refs = "0018 TSockWebRequest.GetDateVariable 0035 @UStrFromLStr 0043 ParseDate 006a @LStrClr 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D EC 8B D6 8B C3 8B 18 FF 53 04 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 0E 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B EB 0C 33 C0 89 45 F0 C7 45 F4 00 00 F0 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 DD 45 F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95587_0 {
	meta:
		name = "TCGIRequest.GetDateVariable"
		size = 135
		refs = "0018 TCGIRequest.GetDateVariable 0035 @UStrFromLStr 0043 ParseDate 006a @LStrClr 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D EC 8B D6 8B C3 8B 18 FF 53 04 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 0E 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B EB 0C 33 C0 89 45 F0 C7 45 F4 00 00 F0 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 DD 45 F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96554_0 {
	meta:
		name = "TISAPIRequest.GetDateVariable"
		size = 135
		refs = "0018 TISAPIRequest.GetDateVariable 0035 @UStrFromLStr 0043 ParseDate 006a @LStrClr 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D EC 8B D6 8B C3 8B 18 FF 53 04 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 0E 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B EB 0C 33 C0 89 45 F0 C7 45 F4 00 00 F0 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 DD 45 F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50510_0 {
	meta:
		name = "TSockWebRequest.GetIntegerVariable"
		size = 108
		refs = "0011 TSockWebRequest.GetIntegerVariable 002e @UStrFromLStr 0039 StrToIntDef 0050 @LStrClr 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 04 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95588_0 {
	meta:
		name = "TCGIRequest.GetIntegerVariable"
		size = 108
		refs = "0011 TCGIRequest.GetIntegerVariable 002e @UStrFromLStr 0039 StrToIntDef 0050 @LStrClr 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 04 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50511_0 {
	meta:
		name = "TSockWebRequest.ReadClient"
		size = 96
		refs = "0013 TSockWebRequest.ReadClient 002e @UniqueStringA 0038 Move 004d @LStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D FC 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC 8B 40 14 8B 18 FF 53 10 8B D8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50512_0 {
	meta:
		name = "TSockWebRequest.ReadString"
		size = 19
	strings:
		$1 = { 53 56 8B F0 8B C1 8B 4E 14 92 91 8B 18 FF 53 28 5E 5B C3 }
	condition:
		$1
}

rule function_50514_0 {
	meta:
		name = "TSockWebRequest.WriteClient"
		size = 80
		refs = "000c TSockWebRequest.WriteClient 001c @LStrFromPCharLen 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 43 14 8B 08 FF 51 18 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_50515_0 {
	meta:
		name = "TSockWebRequest.WriteString"
		size = 51
	strings:
		$1 = { 53 56 51 8B DA 8B F0 85 DB 74 22 8B 46 14 8B D3 8B 08 FF 51 18 8B D0 89 1C 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 3B C2 0F 94 C0 EB 02 33 C0 5A 5E 5B C3 }
	condition:
		$1
}

rule function_50516_0 {
	meta:
		name = "TSockWebRequest.WriteHeaders"
		size = 21
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 40 14 8B 18 FF 53 20 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_50517_0 {
	meta:
		name = "TSockWebResponse.Create"
		size = 272
		refs = "0015 @ClassCreate 0022 TSockWebResponse.Create 0031 TWebResponse.Create 00bd @LStrClr 00c3 @HandleFinally 00d2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 8B 43 10 BA 01 00 00 00 8B 30 FF 56 04 83 7D F8 00 75 0E B9 ?? ?? ?? ?? 33 D2 8B C3 8B 30 FF 56 04 BA C8 00 00 00 8B C3 8B 08 FF 51 28 68 00 00 F0 BF 6A 00 BA 02 00 00 00 8B C3 8B 08 FF 51 0C 68 00 00 F0 BF 6A 00 BA 01 00 00 00 8B C3 8B 08 FF 51 0C 68 00 00 F0 BF 6A 00 33 D2 8B C3 8B 08 FF 51 0C B9 ?? ?? ?? ?? BA 08 00 00 00 8B C3 8B 30 FF 56 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C3 E4 04 01 00 FF FF FF FF 03 00 00 00 31 2E 30 00 E4 04 01 00 FF FF FF FF 09 00 00 00 74 65 78 74 2F 68 74 6D 6C 00 00 00 }
	condition:
		$1
}

rule function_50519_0 {
	meta:
		name = "TCGIResponse.GetDateVariable"
		size = 48
		altNames = "TSockWebResponse.GetDateVariable"
	strings:
		$1 = { 83 C4 F8 85 D2 7C 16 83 FA 03 7D 11 8B 4C D0 50 89 0C 24 8B 4C D0 54 89 4C 24 04 EB 0D 33 C0 89 04 24 C7 44 24 04 00 00 F0 BF DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_50520_0 {
	meta:
		name = "TCGIResponse.GetIntegerVariable"
		size = 18
		altNames = "TSockWebResponse.GetIntegerVariable"
	strings:
		$1 = { 85 D2 7C 0A 83 FA 02 7D 05 8B 44 90 4C C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_50523_0 {
	meta:
		name = "TCGIResponse.GetStringVariable"
		size = 33
		refs = "0019 @LStrAsg"
		altNames = "TSockWebResponse.GetStringVariable"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 85 DB 7C 10 83 FB 0C 7D 0B 8B C7 8B 54 9E 1C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50524_0 {
	meta:
		name = "TCGIResponse.Sent"
		size = 5
		altNames = "TISAPIResponse.Sent TRepeatedTest.GetHaltOnError TSockWebResponse.Sent TXMLSchemaDocRef.GetSchemaRefType"
	strings:
		$1 = { 0F B6 40 6C C3 }
	condition:
		$1
}

rule function_50525_0 {
	meta:
		name = "TCGIResponse.SetContent"
		size = 48
		refs = "000c @LStrAsg"
		altNames = "TISAPIResponse.SetContent TSockWebResponse.SetContent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 68 8B D6 E8 ?? ?? ?? ?? 83 7B 08 00 75 17 8B 43 68 85 C0 74 05 83 E8 04 8B 00 8B C8 33 D2 8B C3 8B 18 FF 53 14 5E 5B C3 }
	condition:
		$1
}

rule function_50526_0 {
	meta:
		name = "TISAPIResponse.SetDateVariable"
		size = 45
		altNames = "TSockWebResponse.SetDateVariable"
	strings:
		$1 = { 55 8B EC 8B C8 85 D2 7C 20 83 FA 02 7F 1B DD 45 08 DC 5C D1 50 9B DF E0 9E 74 0E 8B 45 08 89 44 D1 50 8B 45 0C 89 44 D1 54 5D C2 08 00 }
	condition:
		$1
}

rule function_50527_0 {
	meta:
		name = "TSockWebResponse.SetIntegerVariable"
		size = 35
	strings:
		$1 = { 53 51 8B D8 85 D2 7C 18 85 D2 7F 14 89 0C 24 DB 04 24 DC 5C D3 50 9B DF E0 9E 74 04 89 4C 93 4C 5A 5B C3 }
	condition:
		$1
}

rule function_50529_0 {
	meta:
		name = "TSockWebResponse.SetStatusCode"
		size = 92
		refs = "000f TSockWebResponse.SetStatusCode 0027 StatusString 004b @LStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 18 74 1C 89 73 18 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA 01 00 00 00 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95608_0 {
	meta:
		name = "TCGIResponse.SetStatusCode"
		size = 92
		refs = "000f TCGIResponse.SetStatusCode 0027 StatusString 004b @LStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 18 74 1C 89 73 18 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA 01 00 00 00 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96575_0 {
	meta:
		name = "TISAPIResponse.SetStatusCode"
		size = 92
		refs = "000f TISAPIResponse.SetStatusCode 0027 StatusString 004b @LStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 18 74 1C 89 73 18 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC BA 01 00 00 00 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50530_0 {
	meta:
		name = "TCGIResponse.SetStringVariable"
		size = 33
		refs = "0019 @LStrAsg"
		altNames = "TISAPIResponse.SetStringVariable TSockWebResponse.SetStringVariable"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 85 DB 7C 10 83 FB 0B 7F 0B 8D 44 9E 1C 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50531_0 {
	meta:
		name = "AddHeaderItem"
		size = 123
		refs = "0015 @UStrAddRef 001d AddHeaderItem 003f Format 004d @UStrCat 006a @UStrArrayClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 29 8D 45 F8 50 89 5D F0 C6 45 F4 0B 8D 55 F0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 8B 45 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50532_0 {
	meta:
		name = "TSockWebResponse.SendResponse"
		size = 2008
		refs = "0018 TSockWebResponse.SendResponse 0093 Format 00a2 @UStrLAsg 00be AddHeaderItem 00f8 TCookieCollection.GetCookie 0100 TCookie.GetHeaderValue 0177 CurrencyString 017f FormatDateTime 019e DayOfWeekStr 01c3 MonthStr 01e8 @UStrCat 02c9 TWebResponse.FormatAuthenticate 02e1 TWebResponse.AddCustomHeaders 0369 IntToStr 037f @LStrFromUStr 043c @LStrArrayClr 0447 @UStrClr 0464 @UStrArrayClr 0491 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 13 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D D4 BA 01 00 00 00 8B 43 10 8B 30 FF 56 04 83 7D D4 00 0F 84 A9 03 00 00 8D 4D D0 BA 01 00 00 00 8B C3 8B 30 FF 16 83 7D D0 00 74 49 8B C3 8B 10 FF 52 24 85 C0 7E 3E 8D 45 F8 50 8B C3 8B 10 FF 52 24 89 45 C0 C6 45 C4 00 8D 4D BC BA 01 00 00 00 8B C3 8B 30 FF 16 8B 45 BC 89 45 C8 C6 45 CC 0B 8D 55 C0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 8D 4D B8 BA 06 00 00 00 8B C3 8B 30 FF 16 8B 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D B4 BA 05 00 00 00 8B C3 8B 30 FF 16 8B 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 43 0C 8B 40 08 8B 70 08 4E 85 F6 7C 28 46 33 FF 55 8B D7 8B 43 0C E8 ?? ?? ?? ?? 8D 55 B0 E8 ?? ?? ?? ?? 8B 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 47 4E 75 DB 55 8D 4D AC BA 0A 00 00 00 8B C3 8B 30 FF 16 8B 45 AC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 BA 01 00 00 00 8B C3 8B 08 FF 51 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 86 9D 00 00 00 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 8B 08 FF 51 08 DD 5D E0 9B FF 75 E4 FF 75 E0 8D 4D F0 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 A8 50 BA 01 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 45 A4 E8 ?? ?? ?? ?? 8B 45 A4 89 45 C0 C6 45 C4 11 BA 01 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 45 A0 E8 ?? ?? ?? ?? 8B 45 A0 89 45 C8 C6 45 CC 11 8D 55 C0 B9 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 A8 8D 45 FC E8 ?? ?? ?? ?? BA 02 00 00 00 8B C3 8B 08 FF 51 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 86 9D 00 00 00 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 02 00 00 00 8B C3 8B 08 FF 51 08 DD 5D D8 9B FF 75 DC FF 75 D8 8D 4D E8 8B 15 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 45 9C 50 BA 02 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 45 98 E8 ?? ?? ?? ?? 8B 45 98 89 45 C0 C6 45 C4 11 BA 02 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 45 94 E8 ?? ?? ?? ?? 8B 45 94 89 45 C8 C6 45 CC 11 8D 55 C0 B9 01 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 9C 8D 45 FC E8 ?? ?? ?? ?? 55 8D 4D 90 BA 0B 00 00 00 8B C3 8B 30 FF 16 8B 45 90 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 55 8C 8B C3 E8 ?? ?? ?? ?? 8B 45 8C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 55 8D 4D 88 BA 09 00 00 00 8B C3 8B 30 FF 16 8B 45 88 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D 84 BA 07 00 00 00 8B C3 8B 30 FF 16 8B 45 84 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D 80 BA 08 00 00 00 8B C3 8B 30 FF 16 8B 45 80 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 95 7C FF FF FF 8B C3 8B 08 FF 51 18 83 BD 7C FF FF FF 00 75 06 83 7B 08 00 74 3C 55 33 D2 8B C3 8B 08 FF 51 10 8D 95 74 FF FF FF E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8D 85 78 FF FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 8B C3 8B 10 FF 52 24 50 8D 85 6C FF FF FF 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 8D 6C FF FF FF 8B 43 10 5A 8B 30 FF 56 30 8B 43 08 85 C0 75 1D 8D 95 68 FF FF FF 8B C3 8B 08 FF 51 18 8B 95 68 FF FF FF 8B 43 10 8B 08 FF 51 2C EB 16 85 C0 74 12 8B D0 8B C3 8B 08 FF 51 3C 33 D2 8B C3 8B 08 FF 51 20 C6 43 6C 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 68 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 94 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 99 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 64 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 32 00 30 00 30 00 20 00 4F 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 41 00 6C 00 6C 00 6F 00 77 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 65 00 74 00 2D 00 43 00 6F 00 6F 00 6B 00 69 00 65 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 65 00 72 00 69 00 76 00 65 00 64 00 2D 00 46 00 72 00 6F 00 6D 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 22 00 45 00 78 00 70 00 69 00 72 00 65 00 73 00 3A 00 20 00 22 00 22 00 25 00 73 00 22 00 2C 00 20 00 64 00 64 00 20 00 22 00 25 00 73 00 22 00 20 00 79 00 79 00 79 00 79 00 20 00 68 00 68 00 3A 00 6E 00 6E 00 3A 00 73 00 73 00 20 00 22 00 47 00 4D 00 54 00 22 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 34 00 00 00 22 00 4C 00 61 00 73 00 74 00 2D 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 3A 00 20 00 22 00 22 00 25 00 73 00 22 00 2C 00 20 00 64 00 64 00 20 00 22 00 25 00 73 00 22 00 20 00 79 00 79 00 79 00 79 00 20 00 68 00 68 00 3A 00 6E 00 6E 00 3A 00 73 00 73 00 20 00 22 00 47 00 4D 00 54 00 22 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 69 00 74 00 6C 00 65 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 57 00 57 00 57 00 2D 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 65 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 3A 00 0D 00 0A 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_50533_0 {
	meta:
		name = "TSockWebResponse.SendRedirect"
		size = 200
		refs = "0019 TSockWebResponse.SendRedirect 0056 sDocumentMoved 005b LoadResString 0071 Format 007b TWebResponse.SetUnicodeContent 009c @UStrArrayClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE BA 06 00 00 00 8B C3 8B 38 FF 57 04 BA 2E 01 00 00 8B C3 8B 08 FF 51 28 B9 ?? ?? ?? ?? BA 08 00 00 00 8B C3 8B 38 FF 57 04 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 75 F0 C6 45 F4 0B 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 E4 04 01 00 FF FF FF FF 09 00 00 00 74 65 78 74 2F 68 74 6D 6C 00 00 00 }
	condition:
		$1
}

rule function_95613_0 {
	meta:
		name = "TCGIResponse.SendRedirect"
		size = 200
		refs = "0019 TCGIResponse.SendRedirect 0056 sDocumentMoved 005b LoadResString 0071 Format 007b TWebResponse.SetUnicodeContent 009c @UStrArrayClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE BA 06 00 00 00 8B C3 8B 38 FF 57 04 BA 2E 01 00 00 8B C3 8B 08 FF 51 28 B9 ?? ?? ?? ?? BA 08 00 00 00 8B C3 8B 38 FF 57 04 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 75 F0 C6 45 F4 0B 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 E4 04 01 00 FF FF FF FF 09 00 00 00 74 65 78 74 2F 68 74 6D 6C 00 00 00 }
	condition:
		$1
}

rule function_50534_0 {
	meta:
		name = "TCGIResponse.SendStream"
		size = 107
		refs = "004a TStream.GetPosition"
		altNames = "TISAPIResponse.SendStream TSockWebResponse.SendStream"
	strings:
		$1 = { 53 56 57 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 84 24 00 20 00 00 83 C4 04 8B DA 8B F8 EB 1C 8B D4 B9 00 20 00 00 8B C3 8B 30 FF 56 0C 8B F0 8B D4 8B 47 10 8B CE 8B 30 FF 56 28 8B C3 8B 10 FF 12 52 50 8B C3 E8 ?? ?? ?? ?? 3B 54 24 04 75 09 3B 04 24 5A 58 72 C8 EB 04 5A 58 7C C2 81 C4 00 20 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50535_0 {
	meta:
		name = "TSockWebRequestHandler.HandleServerException"
		size = 516
		refs = "001d @IntfAddRef 0025 TSockWebRequestHandler.HandleServerException 0039 TObject.ClassName 0059 sInternalServerError 005e LoadResString 006c Format 00bf @LStrFromUStr 0118 @LStrArrayClr 0125 @UStrArrayClr 013a @IntfClear 0140 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 55 DC 8B 03 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 8B 43 04 89 45 E8 C6 45 EC 11 8D 45 E0 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 89 45 D0 C6 45 D4 11 8D 55 D0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8D 45 F4 50 89 5D D0 C6 45 D4 00 8D 55 D0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC 8B 55 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 CC 50 8D 45 C8 8B 55 F0 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D C8 BA F4 01 00 00 8B 45 FC 8B 18 FF 53 20 8D 45 C4 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 FC 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 35 00 30 00 30 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 46 00 00 00 53 00 74 00 61 00 74 00 75 00 73 00 3A 00 20 00 35 00 30 00 30 00 0D 00 0A 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 3A 00 20 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 0D 00 0A 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 3A 00 20 00 25 00 64 00 0D 00 0A 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 3A 00 0D 00 0A 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_50537_0 {
	meta:
		name = "TSockWebRequestHandler.Run"
		size = 253
		refs = "0013 @IntfAddRef 001b TSockWebRequestHandler.Run 003a TSockWebRequestHandler.NewRequest 0056 TSockWebRequestHandler.NewResponse 0075 TWebRequestHandler.HandleRequest 008a TObject.Free 0090 @HandleFinally 00be @HandleAnyException 00c3 ExceptObject 00d0 TSockWebRequestHandler.HandleServerException 00d5 @DoneExcept 00ea @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F0 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 4D FC 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50539_0 {
	meta:
		name = "TSockWebRequest.GetInternalPathInfo"
		size = 220
		refs = "0013 TSockWebRequest.GetInternalPathInfo 0020 TSockWebRequest.UsingStub 003e @UStrFromLStr 0050 @UStrDelete 005d Pos 0080 @UStrLAsg 0090 @LStrFromUStr 009c TWebRequest.GetInternalPathInfo 00b1 @LStrClr 00b9 @UStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6E 8D 4D F4 BA 04 00 00 00 8B C3 8B 18 FF 53 04 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 12 8B C8 49 8D 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? EB 0A 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_50543_0 {
	meta:
		name = "TSockWebRequestHandler.HandleException"
		size = 192
		refs = "0012 TSockWebRequestHandler.HandleException 0021 ExceptObject 0027 _Dn_Exception 002c @IsClass 003b _Dn_EAbort 004c @IntfClear 005a Supports 007b ExceptAddr 0087 ShowException 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D FC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 40 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 2C 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 E8 ?? ?? ?? ?? 8B D0 8D 4D FB 8B 45 FC 8B 18 FF 53 0C 80 7D FB 00 75 11 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 00 00 00 8F 26 64 76 29 96 D4 11 A4 EC 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_50547_0 {
	meta:
		name = "TWebRequestDataBlockInterpreter.InterpretData"
		size = 754
		refs = "001c TWebRequestDataBlockInterpreter.InterpretData 002d @IntfCopy 0058 TCustomDataBlockInterpreter.DoException 00d0 TWebRequestDataBlockInterpreter.DoGetFieldByName 00ee TWebRequestDataBlockInterpreter.DoReadClient 010c TWebRequestDataBlockInterpreter.DoReadString 012a TWebRequestDataBlockInterpreter.DoTranslateURI 0148 TWebRequestDataBlockInterpreter.DoWriteClient 0163 TWebRequestDataBlockInterpreter.DoWriteHeaders 017e TWebRequestDataBlockInterpreter.DoUsingStub 0199 TWebRequestDataBlockInterpreter.DoGetStringVariable 01bb sInvalidAction 01c0 LoadResString 01ca _Dn_EInterpreterError 01cf Exception.CreateFmt 01d4 @RaiseExcept 01e6 @HandleOnException 01ee _Dn_EIdConnClosedGracefully 01f6 _Dn_Exception 0205 @IntfClear 021e sInterpretDataException 023f Format 024a @VarFromUStr 0258 TCustomDataBlockInterpreter.WriteVariant 0288 @DoneExcept 02b4 @UStrArrayClr 02bc @VarClr 02c4 @UStrClr 02cd IDataBlock 02d7 @FinalizeArray 02e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0C 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 5B 02 00 00 8B 45 FC 8B 10 FF 52 20 8B D8 BE FF 00 00 00 23 F3 83 FE 01 75 0B 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 83 F8 0A 0F 87 35 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 4D E8 8B 55 FC 8B 45 F8 8B 18 FF 53 04 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? E9 12 01 00 00 8D 4D E4 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? E9 F4 00 00 00 8D 4D E0 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? E9 D6 00 00 00 8D 4D DC 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? E9 B8 00 00 00 8D 4D D8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? E9 9A 00 00 00 8D 4D D4 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? EB 7F 8D 4D D0 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 FC E8 ?? ?? ?? ?? EB 64 8D 4D CC 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? EB 49 8D 4D C8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 C8 8D 45 FC E8 ?? ?? ?? ?? EB 2E 89 75 C0 C6 45 C4 00 8D 45 C0 50 6A 00 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 A7 00 00 00 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 89 45 F0 8D 45 FC E8 ?? ?? ?? ?? EB 7C 89 45 EC 8B 45 FC 8B 10 FF 52 28 8D 45 A8 50 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A4 50 8B 45 EC 8B 40 04 89 45 C0 C6 45 C4 11 8D 55 C0 33 C9 58 E8 ?? ?? ?? ?? 8B 55 A8 8D 45 AC E8 ?? ?? ?? ?? 8D 55 AC 8B 4D FC 8B 45 F8 E8 ?? ?? ?? ?? BA 01 D4 00 00 8B 45 F4 8B 08 FF 51 24 6A 01 8B 45 FC 50 8B 45 F8 8B 40 04 50 8D 55 A0 52 8B 00 FF 50 0C 8D 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 0F 85 A5 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50548_0 {
	meta:
		name = "TWebRequestDataBlockInterpreter.CallHandleRequest"
		size = 188
		refs = "000f TWebRequestDataBlockInterpreter.CallHandleRequest 0029 _Dn_TDataBlock 002e TDataBlock.Create 0044 @IntfCast 006f @IntfCopy 008e IDataBlock 0098 @FinalizeArray 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 56 08 89 4E 0C 0F B6 45 08 88 46 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 02 D8 00 00 8B 45 FC 8B 08 FF 51 24 6A 01 8B 45 FC 50 8B 46 04 50 8D 55 F8 52 8B 00 FF 50 0C 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 11 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C2 04 00 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_50549_0 {
	meta:
		name = "TWebRequestDataBlockInterpreter.CallGetFieldByName"
		size = 292
		refs = "0022 TWebRequestDataBlockInterpreter.CallGetFieldByName 002f _Dn_TDataBlock 0034 TDataBlock.Create 004a @IntfCast 0054 @VarFromLStr 0061 TCustomDataBlockInterpreter.WriteVariant 008c @IntfCopy 00ab TCustomDataBlockInterpreter.ReadVariant 00b6 @VarToLStr 00c5 @HandleAnyException 00cd @LStrClr 00d2 @DoneExcept 00e7 @VarClr 00ef @IntfClear 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B D6 E8 ?? ?? ?? ?? 8D 55 E4 8B 4D FC 8B C3 E8 ?? ?? ?? ?? BA 03 D8 00 00 8B 45 FC 8B 08 FF 51 24 6A 01 8B 45 FC 50 8B 43 04 50 8D 55 E0 52 8B 00 FF 50 0C 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D0 50 8D 55 F7 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 00 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_50550_0 {
	meta:
		name = "TWebRequestDataBlockInterpreter.DoGetFieldByName"
		size = 226
		refs = "0022 @IntfAddRef 002a TWebRequestDataBlockInterpreter.DoGetFieldByName 0041 TCustomDataBlockInterpreter.ReadVariant 004c @VarToLStr 006d @VarFromLStr 007a TCustomDataBlockInterpreter.WriteVariant 00ac @LStrClr 00b5 Variant 00bf @FinalizeArray 00cf @IntfClear 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 50 8D 55 F7 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 28 8D 4D D0 8B 55 F8 8B 43 08 8B 38 FF 57 34 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8D 55 D4 8B 4D FC 8B C3 E8 ?? ?? ?? ?? BA 03 D4 00 00 8B 45 FC 8B 08 FF 51 24 6A 01 8B 45 FC 50 8B 43 04 50 56 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50551_0 {
	meta:
		name = "TWebRequestDataBlockInterpreter.CallGetStringVariable"
		size = 292
		refs = "0022 TWebRequestDataBlockInterpreter.CallGetStringVariable 002f _Dn_TDataBlock 0034 TDataBlock.Create 004a @IntfCast 0056 @VarFromInt 0063 TCustomDataBlockInterpreter.WriteVariant 008e @IntfCopy 00ad TCustomDataBlockInterpreter.ReadVariant 00b8 @VarToLStr 00c7 @HandleAnyException 00cf @LStrClr 00d4 @DoneExcept 00e9 @VarClr 00f1 @IntfClear 0107 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8B 4D FC 8B C3 E8 ?? ?? ?? ?? BA 0A D8 00 00 8B 45 FC 8B 08 FF 51 24 6A 01 8B 45 FC 50 8B 43 04 50 8D 55 E0 52 8B 00 FF 50 0C 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D0 50 8D 55 F7 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_50552_0 {
	meta:
		name = "TWebRequestDataBlockInterpreter.DoGetStringVariable"
		size = 218
		refs = "0022 @IntfAddRef 002a TWebRequestDataBlockInterpreter.DoGetStringVariable 0041 TCustomDataBlockInterpreter.ReadVariant 0049 @VarToInteger 006b @VarFromLStr 0078 TCustomDataBlockInterpreter.WriteVariant 00ae Variant 00b8 @FinalizeArray 00c0 @LStrClr 00c8 @IntfClear 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 50 8D 55 F3 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 10 FF 52 28 8D 4D F8 8B D6 8B 43 08 8B 30 FF 56 04 8D 45 D0 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 D0 8B 4D FC 8B C3 E8 ?? ?? ?? ?? BA 0A D4 00 00 8B 45 FC 8B 08 FF 51 24 6A 01 8B 45 FC 50 8B 43 04 50 8B 55 F4 52 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50553_0 {
	meta:
		name = "TWebRequestDataBlockInterpreter.CallReadClient"
		size = 336
		refs = "0021 TWebRequestDataBlockInterpreter.CallReadClient 002e _Dn_TDataBlock 0033 TDataBlock.Create 0049 @IntfCast 0055 @VarFromInt 0062 TCustomDataBlockInterpreter.WriteVariant 008d @IntfCopy 009e TCustomDataBlockInterpreter.ReadVariant 00a6 @VarToInteger 00d3 @VarToLStr 00e2 @HandleAnyException 00ea @LStrClr 00ef @DoneExcept 0105 Variant 010f @FinalizeArray 0117 @IntfClear 011f @VarClr 012d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E0 8B 4D FC 8B C3 E8 ?? ?? ?? ?? BA 04 D8 00 00 8B 45 FC 8B 08 FF 51 24 6A 01 8B 45 FC 50 8B 43 04 50 8D 55 DC 52 8B 00 FF 50 0C 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 8D 45 CC 50 8D 55 F3 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 BC 50 8D 55 F3 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 55 BC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 00 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_50554_0 {
	meta:
		name = "TWebRequestDataBlockInterpreter.DoReadClient"
		size = 264
		refs = "0022 @IntfAddRef 002a TWebRequestDataBlockInterpreter.DoReadClient 0041 TCustomDataBlockInterpreter.ReadVariant 0049 @VarToInteger 005f @LStrSetLength 0067 @UniqueStringA 0081 @VarFromInt 008e TCustomDataBlockInterpreter.WriteVariant 0099 @VarFromLStr 00dc Variant 00e6 @FinalizeArray 00ee @LStrClr 00f6 @IntfClear 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 50 8D 55 F3 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 10 FF 52 28 8D 45 F8 33 C9 8B D6 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 43 08 8B 30 FF 56 1C 8B F0 8D 45 D0 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 D0 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 45 C0 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 C0 8B 4D FC 8B C3 E8 ?? ?? ?? ?? BA 04 D4 00 00 8B 45 FC 8B 08 FF 51 24 6A 01 8B 45 FC 50 8B 43 04 50 8B 55 F4 52 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50555_0 {
	meta:
		name = "TWebRequestDataBlockInterpreter.CallReadString"
		size = 336
		refs = "0022 TWebRequestDataBlockInterpreter.CallReadString 002f _Dn_TDataBlock 0034 TDataBlock.Create 004a @IntfCast 0056 @VarFromInt 0063 TCustomDataBlockInterpreter.WriteVariant 008e @IntfCopy 00ad TCustomDataBlockInterpreter.ReadVariant 00b5 @VarToInteger 00d3 @VarToLStr 00e2 @HandleAnyException 00ec @LStrClr 00f1 @DoneExcept 0107 Variant 0111 @FinalizeArray 0119 @IntfClear 0121 @VarClr 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8B 4D FC 8B C3 E8 ?? ?? ?? ?? BA 05 D8 00 00 8B 45 FC 8B 08 FF 51 24 6A 01 8B 45 FC 50 8B 43 04 50 8D 55 E0 52 8B 00 FF 50 0C 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D0 50 8D 55 F7 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8B F0 8D 45 C0 50 8D 55 F7 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? 33 F6 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 8B C6 5F 5E 5B 8B E5 5D C3 00 00 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_50556_0 {
	meta:
		name = "TWebRequestDataBlockInterpreter.DoReadString"
		size = 230
		refs = "0022 @IntfAddRef 002a TWebRequestDataBlockInterpreter.DoReadString 0041 TCustomDataBlockInterpreter.ReadVariant 0049 @VarToInteger 005f @LStrSetLength 0077 @VarFromLStr 0084 TCustomDataBlockInterpreter.WriteVariant 00ba Variant 00c4 @FinalizeArray 00cc @LStrClr 00d4 @IntfClear 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 50 8D 55 F3 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 10 FF 52 28 8D 45 F8 33 C9 8B D6 E8 ?? ?? ?? ?? 8D 4D F8 8B D6 8B 43 08 8B 30 FF 56 20 8D 45 D0 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 D0 8B 4D FC 8B C3 E8 ?? ?? ?? ?? BA 05 D4 00 00 8B 45 FC 8B 08 FF 51 24 6A 01 8B 45 FC 50 8B 43 04 50 8B 55 F4 52 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50557_0 {
	meta:
		name = "TWebRequestDataBlockInterpreter.CallTranslateURI"
		size = 296
		refs = "0022 TWebRequestDataBlockInterpreter.CallTranslateURI 002f _Dn_TDataBlock 0034 TDataBlock.Create 004a @IntfCast 0055 @VarFromUStr 0062 TCustomDataBlockInterpreter.WriteVariant 008d @IntfCopy 00ac TCustomDataBlockInterpreter.ReadVariant 00b7 @VarToUStr 00c6 @HandleAnyException 00d1 @UStrAsg 00d6 @DoneExcept 00eb @VarClr 00f3 @IntfClear 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F4 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 E0 8B 4D FC 8B C3 E8 ?? ?? ?? ?? BA 06 D8 00 00 8B 45 FC 8B 08 FF 51 24 6A 01 8B 45 FC 50 8B 43 04 50 8D 55 DC 52 8B 00 FF 50 0C 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 CC 50 8D 55 F3 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 15 E9 ?? ?? ?? ?? 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 00 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_50558_0 {
	meta:
		name = "TWebRequestDataBlockInterpreter.DoTranslateURI"
		size = 234
		refs = "0022 @IntfAddRef 002a TWebRequestDataBlockInterpreter.DoTranslateURI 0041 TCustomDataBlockInterpreter.ReadVariant 004c @VarToUStr 006d @UStrLAsg 0078 @VarFromUStr 0085 TCustomDataBlockInterpreter.WriteVariant 00b7 @VarClr 00bf @UStrClr 00d7 @IntfClear 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 50 8D 55 F7 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 28 8D 4D E0 8B 55 F8 8B 43 08 8B 38 FF 57 24 8B 55 E0 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 D0 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 D0 8B 4D FC 8B C3 E8 ?? ?? ?? ?? BA 06 D4 00 00 8B 45 FC 8B 08 FF 51 24 6A 01 8B 45 FC 50 8B 43 04 50 56 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50559_0 {
	meta:
		name = "TWebRequestDataBlockInterpreter.CallUsingStub"
		size = 244
		refs = "0015 TWebRequestDataBlockInterpreter.CallUsingStub 0022 _Dn_TDataBlock 0027 TDataBlock.Create 003d @IntfCast 0068 @IntfCopy 0087 TCustomDataBlockInterpreter.ReadVariant 008f @VarToBool 00a0 @HandleAnyException 00a7 @DoneExcept 00bc @VarClr 00c4 @IntfClear 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 09 D8 00 00 8B 45 FC 8B 08 FF 51 24 6A 01 8B 45 FC 50 8B 43 04 50 8D 55 F4 52 8B 00 FF 50 0C 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 50 8D 55 FB 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_50560_0 {
	meta:
		name = "TWebRequestDataBlockInterpreter.DoUsingStub"
		size = 149
		refs = "001a @IntfAddRef 0022 TWebRequestDataBlockInterpreter.DoUsingStub 003c @VarFromBool 0049 TCustomDataBlockInterpreter.WriteVariant 007b @VarClr 0083 @IntfClear 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 28 8D 45 EC 0F B6 53 10 E8 ?? ?? ?? ?? 8D 55 EC 8B 4D FC 8B C3 E8 ?? ?? ?? ?? BA 09 D4 00 00 8B 45 FC 8B 08 FF 51 24 6A 01 8B 45 FC 50 8B 43 04 50 56 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50561_0 {
	meta:
		name = "TWebRequestDataBlockInterpreter.CallWriteClient"
		size = 280
		refs = "001b TWebRequestDataBlockInterpreter.CallWriteClient 0028 _Dn_TDataBlock 002d TDataBlock.Create 0043 @IntfCast 004d @VarFromLStr 005a TCustomDataBlockInterpreter.WriteVariant 0085 @IntfCopy 00a4 TCustomDataBlockInterpreter.ReadVariant 00ac @VarToInteger 00bd @HandleAnyException 00c4 @DoneExcept 00d9 @VarClr 00e1 @IntfClear 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B D6 E8 ?? ?? ?? ?? 8D 55 E8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? BA 07 D8 00 00 8B 45 FC 8B 08 FF 51 24 6A 01 8B 45 FC 50 8B 43 04 50 8D 55 E4 52 8B 00 FF 50 0C 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D4 50 8D 55 FB 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 5F 5E 5B 8B E5 5D C3 00 00 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_50562_0 {
	meta:
		name = "TWebRequestDataBlockInterpreter.DoWriteClient"
		size = 245
		refs = "0023 @IntfAddRef 002b TWebRequestDataBlockInterpreter.DoWriteClient 0042 TCustomDataBlockInterpreter.ReadVariant 004d @VarToLStr 005d @UniqueStringA 0085 @VarFromInt 0092 TCustomDataBlockInterpreter.WriteVariant 00c8 Variant 00d2 @FinalizeArray 00da @LStrClr 00e2 @IntfClear 00e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 50 8D 55 F3 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 28 8D 45 F8 E8 ?? ?? ?? ?? 8B F8 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 8B CE 8B D7 8B 43 08 8B 30 FF 56 28 8B F0 8D 45 D0 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 D0 8B 4D FC 8B C3 E8 ?? ?? ?? ?? BA 07 D4 00 00 8B 45 FC 8B 08 FF 51 24 6A 01 8B 45 FC 50 8B 43 04 50 8B 55 F4 52 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50563_0 {
	meta:
		name = "TWebRequestDataBlockInterpreter.CallWriteHeaders"
		size = 380
		refs = "0022 @LStrAddRef 0032 TWebRequestDataBlockInterpreter.CallWriteHeaders 003f _Dn_TDataBlock 0044 TDataBlock.Create 005a @IntfCast 0066 @VarFromInt 0073 TCustomDataBlockInterpreter.WriteVariant 007e @VarFromLStr 00ce @IntfCopy 00ed TCustomDataBlockInterpreter.ReadVariant 00f5 @VarToBool 0106 @HandleAnyException 010d @DoneExcept 0122 @VarClr 012a @IntfClear 0133 Variant 013d @FinalizeArray 014d @LStrClr 015b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 8D 45 D4 8B 55 FC E8 ?? ?? ?? ?? 8D 55 D4 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 8D 45 C4 8B 55 08 E8 ?? ?? ?? ?? 8D 55 C4 8B 4D F8 8B C3 E8 ?? ?? ?? ?? BA 08 D8 00 00 8B 45 F8 8B 08 FF 51 24 6A 01 8B 45 F8 50 8B 43 04 50 8D 55 C0 52 8B 00 FF 50 0C 8B 55 C0 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 B0 50 8D 55 F7 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? B3 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 8B C3 5F 5E 5B 8B E5 5D C2 04 00 C2 64 65 CA 83 46 D1 11 88 D4 00 A0 24 8E 50 91 }
	condition:
		$1
}

rule function_50564_0 {
	meta:
		name = "TWebRequestDataBlockInterpreter.DoWriteHeaders"
		size = 286
		refs = "0021 @IntfAddRef 0029 TWebRequestDataBlockInterpreter.DoWriteHeaders 0040 TCustomDataBlockInterpreter.ReadVariant 0048 @VarToInteger 0066 @VarToLStr 00aa @VarFromBool 00b7 TCustomDataBlockInterpreter.WriteVariant 00ed Variant 00f7 @FinalizeArray 0104 @LStrArrayClr 010c @IntfClear 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F0 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 DC 50 8D 55 EF 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8B F0 8D 45 CC 50 8D 55 EF 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 55 CC 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 BC 50 8D 55 EF 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 55 BC 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 28 8B 45 F4 50 8B 4D F8 8B D6 8B 43 08 8B 30 FF 56 30 88 45 EE 8D 45 AC 0F B6 55 EE E8 ?? ?? ?? ?? 8D 55 AC 8B 4D FC 8B C3 E8 ?? ?? ?? ?? BA 08 D4 00 00 8B 45 FC 8B 08 FF 51 24 6A 01 8B 45 FC 50 8B 43 04 50 8B 55 F0 52 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50565_0 {
	meta:
		name = "TLogWebAppDataBlockInterpreter.DoHandleRequest"
		size = 59
		refs = "000d TLogWebAppDataBlockInterpreter.DoHandleRequest 001e @IntfClear 0031 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 14 01 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5E 5B 5D C3 }
	condition:
		$1
}

rule function_50566_0 {
	meta:
		name = "TLogSendDataBlock.Send"
		size = 31
		refs = "0016 TSendDataBlock.Send"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 0F B6 45 14 50 8B 45 10 50 53 8B 45 08 50 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_50569_0 {
	meta:
		name = "CheckSignature"
		size = 107
		refs = "0009 CheckSignature 002e sInvalidDataPacket 0033 LoadResString 003d _Dn_Exception 0042 Exception.Create 0047 @RaiseExcept 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA 00 FF 00 00 23 D0 81 FA 00 D8 00 00 74 29 81 FA 00 D4 00 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_50570_0 {
	meta:
		name = "TDataBlock.Create"
		size = 79
		refs = "000a @ClassCreate 0017 TObject.Create 0022 _Dn_TMemoryStream 0031 TDataBlock.Clear 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 18 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_50573_0 {
	meta:
		name = "TDataBlock.GetMemory"
		size = 63
		refs = "000d TStream.SetPosition 001d TDataBlock.GetBytesReserved"
	strings:
		$1 = { 53 56 51 8B D8 6A 00 6A 04 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C 8B 10 FF 12 8B F0 8B C3 E8 ?? ?? ?? ?? 2B F0 89 34 24 8B D4 B9 04 00 00 00 8B 43 0C 8B 30 FF 56 10 8B 43 0C 8B 40 04 5A 5E 5B C3 }
	condition:
		$1
}

rule function_50574_0 {
	meta:
		name = "TDataBlock.GetSize"
		size = 25
		refs = "000e TDataBlock.GetBytesReserved"
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 10 FF 12 50 8B C3 E8 ?? ?? ?? ?? 8B D0 58 2B C2 5B C3 }
	condition:
		$1
}

rule function_50575_0 {
	meta:
		name = "TDataBlock.SetSize"
		size = 29
		refs = "0009 TDataBlock.GetBytesReserved 0016 TStream.SetSize64"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 03 C6 99 52 50 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50576_0 {
	meta:
		name = "TDataBlock.GetStream"
		size = 72
		refs = "000d TStream.SetPosition 001d TDataBlock.GetBytesReserved"
	strings:
		$1 = { 53 56 51 8B D8 6A 00 6A 04 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C 8B 10 FF 12 8B F0 8B C3 E8 ?? ?? ?? ?? 2B F0 89 34 24 8B D4 B9 04 00 00 00 8B 43 0C 8B 30 FF 56 10 6A 00 6A 00 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_50577_0 {
	meta:
		name = "TDataBlock.GetSignature"
		size = 37
		refs = "000c TStream.SetPosition"
	strings:
		$1 = { 53 51 8B D8 6A 00 6A 00 8B 43 0C E8 ?? ?? ?? ?? 8B D4 B9 04 00 00 00 8B 43 0C 8B 18 FF 53 0C 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_50578_0 {
	meta:
		name = "TDataBlock.SetSignature"
		size = 37
		refs = "000f TStream.SetPosition"
	strings:
		$1 = { 53 51 89 14 24 8B D8 6A 00 6A 00 8B 43 0C E8 ?? ?? ?? ?? 8B D4 B9 04 00 00 00 8B 43 0C 8B 18 FF 53 10 5A 5B C3 }
	condition:
		$1
}

rule function_50579_0 {
	meta:
		name = "TDataBlock.Clear"
		size = 43
		refs = "0006 TDataBlock.GetBytesReserved 0011 TStream.SetSize64"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 99 52 50 8B 43 0C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 43 10 8B C3 E8 ?? ?? ?? ?? 89 43 14 5B C3 }
	condition:
		$1
}

rule function_50580_0 {
	meta:
		name = "TDataBlock.Write"
		size = 54
		refs = "0013 TStream.SetPosition 0029 TStream.GetPosition"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 43 14 99 52 50 8B 43 0C E8 ?? ?? ?? ?? 8B D6 8B CF 8B 43 0C 8B 30 FF 56 10 8B F0 8B 43 0C E8 ?? ?? ?? ?? 89 43 14 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50581_0 {
	meta:
		name = "TDataBlock.Read"
		size = 54
		refs = "0013 TStream.SetPosition 0029 TStream.GetPosition"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 43 10 99 52 50 8B 43 0C E8 ?? ?? ?? ?? 8B D6 8B CF 8B 43 0C 8B 30 FF 56 0C 8B F0 8B 43 0C E8 ?? ?? ?? ?? 89 43 10 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50582_0 {
	meta:
		name = "TDataBlock.IgnoreStream"
		size = 5
	strings:
		$1 = { C6 40 18 01 C3 }
	condition:
		$1
}

rule function_50584_0 {
	meta:
		name = "TCustomDataBlockInterpreter.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TCustomDataBlockInterpreter.Create 0036 @IntfCopy 003f TObject.Create 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50586_0 {
	meta:
		name = "TSendDataBlock.Send"
		size = 45
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 0C 8B 55 10 8B 43 0C 8B 08 FF 51 1C 8B F0 8B 45 08 50 8B CE 0F B6 55 14 8B 43 0C 8B 18 FF 53 18 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_50587_0 {
	meta:
		name = "TCustomDataBlockInterpreter.ReadVariant"
		size = 536
		refs = "0026 TCustomDataBlockInterpreter.ReadVariant 0033 @VarClear 00e9 Null 010b @LStrSetLength 0113 @UniqueStringA 012a @VarFromLStr 014a @WStrSetLength 0152 @WStrToPWChar 016b @VarFromWStr 017d IntToHex 0195 sBadVariantType 019a LoadResString 01a4 _DV_EInterpreterError 01a9 Exception.CreateFmt 01ae @RaiseExcept 01c7 VariantSize 01ec @UStrArrayClr 01f4 @LStrClr 01fc @WStrClr 0202 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D8 89 5D D4 89 5D FC 89 5D F8 89 4D F0 8B DA 89 45 F4 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 03 8D 55 E8 B9 04 00 00 00 8B 45 F0 8B 38 FF 57 30 8B 45 E8 25 00 40 00 00 3D 00 40 00 00 75 03 80 0B 01 81 7D E8 00 40 00 00 75 17 80 0B 02 56 8D 55 E7 8B 4D F0 8B 45 F4 E8 ?? ?? ?? ?? E9 54 01 00 00 F6 03 01 74 07 81 75 E8 00 40 00 00 8B 45 E8 25 00 20 00 00 3D 00 20 00 00 0F 84 35 01 00 00 8B 45 E8 25 FF 0F 00 00 83 F8 09 7F 17 0F 84 22 01 00 00 83 E8 01 72 21 74 2B 83 E8 07 74 73 E9 EF 00 00 00 83 E8 0D 0F 84 A3 00 00 00 2D F3 00 00 00 74 1D E9 DA 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 F0 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 E4 00 00 00 8D 55 EC B9 04 00 00 00 8B 45 F0 8B 18 FF 53 30 8D 45 F8 33 C9 8B 55 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 4D EC 8B 45 F0 8B 18 FF 53 30 8B C6 8B 55 F8 E8 ?? ?? ?? ?? E9 A3 00 00 00 8D 55 EC B9 04 00 00 00 8B 45 F0 8B 18 FF 53 30 8D 45 FC 8B 55 EC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 4D EC 03 C9 8B 45 F0 8B 18 FF 53 30 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 65 8D 4D D8 BA 04 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 8D 45 DC 50 6A 00 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 0F B7 45 E8 66 89 06 8B 45 E8 25 FF 0F 00 00 0F B7 0C 45 ?? ?? ?? ?? 8D 56 08 8B 45 F0 8B 18 FF 53 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_50588_0 {
	meta:
		name = "TCustomDataBlockInterpreter.WriteVariant"
		size = 636
		refs = "0022 TCustomDataBlockInterpreter.WriteVariant 0035 VarIsArray 009e @VarToLStr 00d5 @UniqueStringA 00f1 @VarToWStr 012a @WStrToPWChar 015d IntToHex 0173 sBadVariantType 017a _DV_EInterpreterError 017f Exception.CreateResFmt 0184 @RaiseExcept 0217 VariantSize 0259 @UStrArrayClr 0261 @LStrClr 0269 @WStrClr 026f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D FC 89 5D F8 89 4D F4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 03 89 45 EC 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 02 02 00 00 8B 45 EC 25 FF 0F 00 00 83 F8 0C 7F 20 0F 84 EE 00 00 00 83 E8 02 72 2A 83 E8 06 0F 84 89 00 00 00 48 0F 84 DA 01 00 00 E9 7E 01 00 00 83 E8 0D 0F 84 3C 01 00 00 2D F3 00 00 00 74 1A E9 69 01 00 00 8D 55 EC B9 04 00 00 00 8B 45 F4 8B 18 FF 53 2C E9 AB 01 00 00 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 89 45 F0 8D 55 EC B9 04 00 00 00 8B 45 F4 8B 18 FF 53 2C 8D 55 F0 B9 04 00 00 00 8B 45 F4 8B 18 FF 53 2C 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 4D F0 8B 45 F4 8B 18 FF 53 2C E9 58 01 00 00 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 89 45 F0 8D 55 EC B9 04 00 00 00 8B 45 F4 8B 18 FF 53 2C 8D 55 F0 B9 04 00 00 00 8B 45 F4 8B 18 FF 53 2C 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 4D F0 03 C9 8B 45 F4 8B 18 FF 53 2C E9 01 01 00 00 8B 45 EC 25 00 40 00 00 3D 00 40 00 00 74 37 8D 4D E0 BA 04 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 11 8D 45 E4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 F0 00 40 00 00 8D 55 F0 B9 04 00 00 00 8B 45 F4 8B 38 FF 57 2C 8B 43 08 8B D0 8B 4D F4 8B C6 E8 ?? ?? ?? ?? E9 90 00 00 00 8D 4D DC BA 04 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 DC 89 45 E4 C6 45 E8 11 8D 45 E4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 57 8D 55 EC B9 04 00 00 00 8B 45 F4 8B 30 FF 56 2C 8B 45 EC 25 00 40 00 00 3D 00 40 00 00 75 1D 8B 45 EC 25 FF 0F 00 00 0F B7 0C 45 ?? ?? ?? ?? 8B 53 08 8B 45 F4 8B 18 FF 53 2C EB 1B 8B 45 EC 25 FF 0F 00 00 0F B7 0C 45 ?? ?? ?? ?? 8D 53 08 8B 45 F4 8B 18 FF 53 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50593_0 {
	meta:
		name = "TPropApplyList.AddProp"
		size = 146
		refs = "001a @VarAddRef 0022 TPropApplyList.AddProp 0031 TPropApplyList.FindProp 003e TPropApplyList.GetProp 0048 TPropApplyRec 0052 @New 005d TList.Add 006a @VarCopy 007f @VarClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 8B FA 8B F0 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C6 E8 ?? ?? ?? ?? 85 C0 7C 0D 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 1D 8B 15 ?? ?? ?? ?? B8 18 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 89 3B 8D 43 08 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50594_0 {
	meta:
		name = "TPropApplyList.ClearProps"
		size = 49
		refs = "0012 TPropApplyList.GetProp 0018 TPropApplyRec 001d @Dispose"
	strings:
		$1 = { 53 56 8B F0 8B 5E 08 4B 83 FB 00 7C 1A 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 75 E6 8B C6 8B 10 FF 52 08 5E 5B C3 }
	condition:
		$1
}

rule function_50595_0 {
	meta:
		name = "TPropApplyList.FindProp"
		size = 46
		refs = "0018 TPropApplyList.GetProp"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 5F 08 4B 85 DB 7C 14 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 28 74 07 46 4B 75 EF 83 CE FF 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50598_0 {
	meta:
		name = "StdMain"
		size = 22
		refs = "0002 _DV_2 000a ComServer 0011 TComServer.LoadTypeLib"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50601_0 {
	meta:
		name = "EWebServerException.Create"
		size = 65
		refs = "000d @ClassCreate 001a Exception.Create 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_50602_0 {
	meta:
		name = "TWebServerRequest.Create"
		size = 141
		refs = "000d @ClassCreate 0019 @UStrAddRef 0029 TWebServerRequest.Create 004a TWebRequest.Create 0064 @UStrArrayClr 006a @HandleFinally 0077 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 18 E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 89 46 18 8B 45 0C 89 46 1C 8B 45 08 89 46 14 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 14 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_50603_0 {
	meta:
		name = "NameToIndex"
		size = 95
		refs = "0015 CGIServerVariables 001c @LStrToPChar 003a CompareStringA"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 04 24 C7 44 24 04 FF FF FF FF 33 F6 BB ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B F8 8B 04 24 E8 ?? ?? ?? ?? 8B E8 6A FF 55 6A FF 57 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 85 C0 75 06 89 74 24 04 EB 09 46 83 C3 04 83 FE 1D 75 C5 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50604_0 {
	meta:
		name = "StripHTTP"
		size = 80
		refs = "000b @LStrToPChar 0014 StripHTTP 0019 AnsiStrPos 0031 @LStrCopy 003c @LStrAsg"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 3B EE 75 14 57 B9 FF FF FF 7F BA 06 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 09 8B C7 8B D3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 00 00 00 48 54 54 50 5F 00 00 00 }
	condition:
		$1
}

rule function_50605_0 {
	meta:
		name = "TWebServerRequest.GetFieldByName"
		size = 201
		refs = "001b TWebServerRequest.GetFieldByName 0028 NameToIndex 0039 StripHTTP 006b @UStrFromLStr 007c TIdHeaderList.GetValue 008c @LStrFromUStr 00a1 @LStrClr 00ae @UStrArrayClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B D8 83 FB FF 75 14 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 0E 8B 4D FC 8B D3 8B C6 8B 18 FF 53 04 EB 36 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8D 4D F4 8B 46 18 8B 40 0C E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50606_0 {
	meta:
		name = "HeaderValue"
		size = 101
		refs = "000f HeaderValue 001f HTTPHeaderNames 0030 TIdHeaderList.GetValue 003f @LStrFromUStr 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 14 9D ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 18 8B 40 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50607_0 {
	meta:
		name = "GetScriptName"
		size = 192
		refs = "000c GetScriptName 0029 @UStrLAsg 004b @UStrDelete 0058 Pos 007a @UStrCat3 0089 @LStrFromUStr 009e @UStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 8B 52 FC 8B 52 18 8B 92 E4 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 41 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0E 8D 55 FC B9 FF FF FF 7F 92 E8 ?? ?? ?? ?? 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_50608_0 {
	meta:
		name = "ReadPostStream"
		size = 199
		refs = "0019 TStream.GetPosition 0024 ReadPostStream 0048 @LStrSetLength 0060 TStream.SetPosition 0067 @UniqueStringA 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B 45 08 8B 40 FC 8B 40 18 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 08 8B 40 FC 8B 40 18 8B 80 D4 00 00 00 8B 10 FF 12 8B D0 8B C3 33 C9 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 08 8B 40 FC 8B 40 18 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 03 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B 4D 08 8B 49 FC 8B 49 18 8B 89 D4 00 00 00 91 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 99 52 50 8B 45 08 8B 40 FC 8B 40 18 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50609_0 {
	meta:
		name = "GetContentString"
		size = 61
		refs = "0020 ReadPostStream 0035 @LStrFromUStr"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 45 08 8B 40 FC 8B 70 18 83 BE D4 00 00 00 00 74 0E 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 EB 12 8B C3 8B 96 0C 01 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_50610_0 {
	meta:
		name = "TWebServerRequest.GetStringVariable"
		size = 938
		refs = "0020 TWebServerRequest.GetStringVariable 00c4 @LStrFromUStr 00ed @LStrClr 0154 HeaderValue 015f @LStrAsg 0303 GetScriptName 0322 GetContentString 0398 @LStrArrayClr 039e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 83 F8 1C 0F 87 46 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 8B 55 FC 8B 52 18 8B 92 EC 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 B5 02 00 00 8B C6 8B 55 FC 8B 52 18 8B 92 F0 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 98 02 00 00 8B C6 E8 ?? ?? ?? ?? E9 8C 02 00 00 8B C6 8B 55 FC 8B 52 18 8B 92 04 01 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 6F 02 00 00 8B C6 8B 55 FC 8B 52 18 8B 92 E4 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 52 02 00 00 8B C6 8B 55 FC 8B 52 18 8B 92 E4 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 35 02 00 00 55 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 59 8B 55 F8 8B C6 E8 ?? ?? ?? ?? E9 1A 02 00 00 55 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 59 8B 55 F4 8B C6 E8 ?? ?? ?? ?? E9 FF 01 00 00 55 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 59 8B 55 F0 8B C6 E8 ?? ?? ?? ?? E9 E4 01 00 00 55 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 59 8B 55 EC 8B C6 E8 ?? ?? ?? ?? E9 C9 01 00 00 55 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 59 8B 55 E8 8B C6 E8 ?? ?? ?? ?? E9 AE 01 00 00 55 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 59 8B 55 E4 8B C6 E8 ?? ?? ?? ?? E9 93 01 00 00 55 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 59 8B 55 E0 8B C6 E8 ?? ?? ?? ?? E9 78 01 00 00 55 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 59 8B 55 DC 8B C6 E8 ?? ?? ?? ?? E9 5D 01 00 00 55 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 59 8B 55 D8 8B C6 E8 ?? ?? ?? ?? E9 42 01 00 00 55 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 59 8B 55 D4 8B C6 E8 ?? ?? ?? ?? E9 27 01 00 00 55 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 59 8B 55 D0 8B C6 E8 ?? ?? ?? ?? E9 0C 01 00 00 55 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 59 8B 55 CC 8B C6 E8 ?? ?? ?? ?? E9 F1 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 E5 00 00 00 55 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 59 8B 55 C8 8B C6 E8 ?? ?? ?? ?? E9 CA 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 BE 00 00 00 8B C6 8B 55 FC 8B 52 18 8B 92 DC 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 A1 00 00 00 8B C6 8B 55 FC 8B 52 18 8B 92 B0 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 84 00 00 00 55 8D 45 C4 E8 ?? ?? ?? ?? 59 8B 55 C4 8B C6 E8 ?? ?? ?? ?? EB 6E 8B C6 E8 ?? ?? ?? ?? EB 65 55 8D 45 C0 E8 ?? ?? ?? ?? 59 8B 55 C0 8B C6 E8 ?? ?? ?? ?? EB 4F 55 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 59 8B 55 BC 8B C6 E8 ?? ?? ?? ?? EB 37 55 8D 55 B8 8B C3 E8 ?? ?? ?? ?? 59 8B 55 B8 8B C6 E8 ?? ?? ?? ?? EB 1F 55 8D 55 B4 8B C3 E8 ?? ?? ?? ?? 59 8B 55 B4 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 12 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50611_0 {
	meta:
		name = "TWebServerRequest.GetDateVariable"
		size = 135
		refs = "0018 TWebServerRequest.GetDateVariable 003b @UStrFromLStr 0043 ParseDate 006a @UStrClr 0072 @LStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 8B 18 FF 53 04 83 7D FC 00 74 19 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? DD 5D F0 9B EB 0C 33 C0 89 45 F0 C7 45 F4 00 00 F0 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 DD 45 F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50612_0 {
	meta:
		name = "TWebServerRequest.GetIntegerVariable"
		size = 116
		refs = "0011 TWebServerRequest.GetIntegerVariable 0034 @UStrFromLStr 003c StrToInt 0058 @UStrClr 0060 @LStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 8B 18 FF 53 04 83 7D FC 00 74 17 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 EB 03 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50613_0 {
	meta:
		name = "TWebServerRequest.ReadClient"
		size = 160
		refs = "0079 TStream.SetPosition"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F1 8B EA 8B D8 8B 43 18 8B 80 D4 00 00 00 8B 10 FF 12 52 50 8B 7B 20 8B C7 99 29 04 24 19 54 24 04 58 5A 89 04 24 89 54 24 04 8B C6 99 3B 54 24 04 75 07 3B 04 24 76 15 EB 02 7E 11 8B 04 24 89 44 24 08 8B 44 24 04 89 44 24 0C EB 0B 8B C6 99 89 44 24 08 89 54 24 0C 8B 44 24 08 8B F0 85 F6 7E 2C 8B C7 99 52 50 8B 43 18 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 8B D5 8B 43 18 8B 80 D4 00 00 00 8B CE 8B 38 FF 57 0C 01 73 20 8B C6 EB 02 33 C0 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50614_0 {
	meta:
		name = "TISAPIRequest.ReadString"
		size = 58
		refs = "0010 @LStrSetLength 0032 @LStrClr"
		altNames = "TWebServerRequest.ReadString"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B C3 33 C9 8B D7 E8 ?? ?? ?? ?? 8B 13 8B CF 8B C6 8B 30 FF 56 1C 85 C0 7E 0C 8B D3 33 C9 92 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50616_0 {
	meta:
		name = "TWebServerRequest.WriteClient"
		size = 127
		refs = "0017 TWebServerRequest.WriteClient 0030 _Dn_TBytesStream 0035 TObject.Create 0067 @HandleAnyException 0071 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 89 55 FC 8B D8 89 75 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 1C 83 B8 B8 00 00 00 00 75 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7B 1C 89 87 B8 00 00 00 C6 87 C1 00 00 00 01 8B 55 FC 8B 43 1C 8B 80 B8 00 00 00 8B CE 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? 33 C0 89 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50617_0 {
	meta:
		name = "TISAPIRequest.WriteString"
		size = 55
		altNames = "TWebServerRequest.WriteString"
	strings:
		$1 = { 53 56 51 8B F2 89 34 24 8B 14 24 85 D2 74 05 83 EA 04 8B 12 8B CE 87 CA 8B 18 FF 53 28 8B D0 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 3B C2 0F 94 C0 5A 5E 5B C3 }
	condition:
		$1
}

rule function_50618_0 {
	meta:
		name = "TWebServerRequest.WriteHeaders"
		size = 1908
		refs = "001f TWebServerRequest.WriteHeaders 0030 TIdHTTPResponseInfo.SetResponseNo 0042 @UStrFromLStr 0049 _Dn_TStringList 004e TStringList.Create 009c Pos 00ba @UStrCopy 00e2 @UStrLAsg 00fa AnsiCompareText 0114 @UStrAsg 025b TIdEntityHeaderInfo.SetContentType 02a8 Fetch 02f9 IndyStrToInt64 03be GMTToLocalDateTime 03da @HandleAnyException 03df @DoneExcept 0489 Now 0515 TIdHeaderList.SetValue 053d @UStrArrayClr 0550 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 11 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 89 45 88 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 88 8B 40 1C E8 ?? ?? ?? ?? 8B 45 88 8B 40 1C 05 C4 00 00 00 8B D3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 84 8D 85 7C FF FF FF 8B 55 08 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B 45 84 8B 08 FF 51 2C 8B 45 84 8B 10 FF 52 14 48 85 C0 0F 8C A0 04 00 00 40 89 45 80 8D 4D FC 33 D2 8B 45 84 8B 18 FF 53 0C 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 6F 04 00 00 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 F4 50 8D 53 01 8B CE 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 16 8B 45 88 8B 40 1C 83 C0 14 8B 55 F4 E8 ?? ?? ?? ?? E9 FC 03 00 00 8D 45 E0 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 16 8B 45 88 8B 40 1C 83 C0 50 8B 55 F4 E8 ?? ?? ?? ?? E9 BA 03 00 00 8D 45 D8 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 16 8B 45 88 8B 40 1C 83 C0 18 8B 55 F4 E8 ?? ?? ?? ?? E9 78 03 00 00 8D 45 D0 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 45 D0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 16 8B 45 88 8B 40 1C 83 C0 1C 8B 55 F4 E8 ?? ?? ?? ?? E9 36 03 00 00 8D 45 C8 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B 45 C8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 16 8B 45 88 8B 40 1C 83 C0 20 8B 55 F4 E8 ?? ?? ?? ?? E9 F4 02 00 00 8D 45 C0 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 45 C0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 13 8B 45 88 8B 40 1C 8B 55 F4 E8 ?? ?? ?? ?? E9 B5 02 00 00 8D 45 B8 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B 45 B8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 AA 00 00 00 6A 01 8D 85 78 FF FF FF 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 8D 45 F4 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 6A 01 8D 85 74 FF FF FF 50 8D 45 F0 B1 01 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 74 FF FF FF E8 ?? ?? ?? ?? 8B 4D 88 8B 49 1C 89 41 38 89 51 3C 6A 00 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 4D 88 8B 49 1C 89 41 30 89 51 34 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? 8B 4D 88 8B 49 1C 89 41 40 89 51 44 E9 DB 01 00 00 8D 45 B0 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 AC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 8B 45 B0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 16 8B 45 88 8B 40 1C 83 C0 08 8B 55 F4 E8 ?? ?? ?? ?? E9 99 01 00 00 8D 45 A8 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 A4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8B 45 A8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 3C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 88 8B 40 1C DD 58 58 9B 33 C0 5A 59 59 64 89 10 E9 40 01 00 00 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 31 01 00 00 8D 45 A0 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 9C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B 45 A0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 16 8B 45 88 8B 40 1C 83 C0 68 8B 55 F4 E8 ?? ?? ?? ?? E9 EF 00 00 00 8D 45 98 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 94 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 8B 45 98 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 50 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 88 8B 40 1C DD 58 60 9B 33 C0 5A 59 59 64 89 10 E9 96 00 00 00 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE E9 8B 45 88 8B 40 1C DD 58 60 9B E8 ?? ?? ?? ?? EB 73 8D 45 90 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 8C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 8C 8B 45 90 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 13 8B 45 88 8B 40 1C 83 C0 78 8B 55 F4 E8 ?? ?? ?? ?? EB 34 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 24 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 14 8B 45 88 8B 40 1C 8B 40 54 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? FF 4D 80 0F 85 64 FB FF FF B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 74 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 8C BA 1D 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 44 00 69 00 73 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 52 00 61 00 6E 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 61 00 63 00 68 00 65 00 2D 00 63 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 54 00 61 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 78 00 70 00 69 00 72 00 65 00 73 00 00 00 B7 4A 89 72 06 45 2E C2 EE 3F 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 72 00 61 00 67 00 6D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_50619_0 {
	meta:
		name = "TWebServerRequest.SetStringVariable"
		size = 189
		refs = "0018 TWebServerRequest.SetStringVariable 0025 HTTPHeaderNames 0032 @UStrFromLStr 0047 TIdHeaderList.SetValue 0053 CGIServerVariables 0058 StripHTTP 0095 @UStrClr 009d @LStrClr 00aa @UStrArrayClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3C B5 ?? ?? ?? ?? 00 74 21 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B 4D FC 8B 14 B5 ?? ?? ?? ?? 8B 43 1C 8B 40 0C E8 ?? ?? ?? ?? EB 37 8D 55 F4 8B 04 B5 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 8B 4D F0 8B 43 1C 8B 40 0C 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50620_0 {
	meta:
		name = "TWebServerRequest.SetDateVariable"
		size = 344
		refs = "0024 TWebServerRequest.SetDateVariable 0037 @UStrLAsg 0052 CurrencyString 005a FormatDateTime 006c DayOfWeekStr 0084 MonthStr 009e Format 00ae @LStrFromUStr 00ba TWebServerRequest.SetStringVariable 00d4 @UStrArrayClr 00dc @UStrClr 00e4 @LStrClr 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 C9 89 4D EC 89 4D E8 89 4D D4 89 4D D0 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 FF 75 F4 FF 75 F0 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 50 FF 75 0C FF 75 08 8D 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 89 45 D8 C6 45 DC 11 FF 75 0C FF 75 08 8D 45 D0 E8 ?? ?? ?? ?? 8B 45 D0 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D EC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 22 00 25 00 73 00 22 00 2C 00 20 00 64 00 64 00 20 00 22 00 25 00 73 00 22 00 20 00 79 00 79 00 79 00 79 00 20 00 68 00 68 00 3A 00 6D 00 6D 00 3A 00 73 00 73 00 20 00 22 00 47 00 4D 00 54 00 22 00 00 00 }
	condition:
		$1
}

rule function_50621_0 {
	meta:
		name = "TWebServerRequest.SetIntegerVariable"
		size = 112
		refs = "0014 TWebServerRequest.SetIntegerVariable 0024 IntToStr 0034 @LStrFromUStr 0040 TWebServerRequest.SetStringVariable 0055 @UStrClr 005d @LStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50622_0 {
	meta:
		name = "TWebServerResponse.Create"
		size = 87
		refs = "000e @ClassCreate 0020 TWebResponse.Create 0033 TIdHTTPResponseInfo.SetResponseNo 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 1C 8B 45 08 89 43 18 BA C8 00 00 00 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_50624_0 {
	meta:
		name = "TWebServerResponse.GetStringVariable"
		size = 25
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 1C 8B 18 FF 53 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50626_0 {
	meta:
		name = "TWebServerResponse.SetDateVariable"
		size = 21
		refs = "000d TWebServerRequest.SetDateVariable"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 1C E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_50628_0 {
	meta:
		name = "TWebServerResponse.GetContent"
		size = 30
		refs = "0017 @LStrFromUStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 18 8B 92 BC 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50629_0 {
	meta:
		name = "TWebServerResponse.GetDateVariable"
		size = 21
	strings:
		$1 = { 83 C4 F8 8B 40 1C 8B 08 FF 51 08 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_50630_0 {
	meta:
		name = "TWebServerResponse.GetIntegerVariable"
		size = 9
	strings:
		$1 = { 8B 40 1C 8B 08 FF 51 0C C3 }
	condition:
		$1
}

rule function_50631_0 {
	meta:
		name = "TWebServerResponse.GetStatusCode"
		size = 10
	strings:
		$1 = { 8B 40 18 8B 80 B0 00 00 00 C3 }
	condition:
		$1
}

rule function_50635_0 {
	meta:
		name = "TWebServerResponse.SetContent"
		size = 54
		refs = "0012 @UStrFromLStr 002e TIdEntityHeaderInfo.SetContentLength"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 43 18 05 BC 00 00 00 8B D6 E8 ?? ?? ?? ?? 89 34 24 8B 0C 24 85 C9 74 05 83 E9 04 8B 09 8B C1 99 52 50 8B 43 18 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_50636_0 {
	meta:
		name = "TWebServerResponse.SetContentStream"
		size = 35
		refs = "001b TIdEntityHeaderInfo.SetContentLength"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 18 89 B7 B8 00 00 00 8B C6 8B 10 FF 12 52 50 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50637_0 {
	meta:
		name = "TWebServerResponse.SendResponse"
		size = 25
		refs = "0007 TIdHTTPResponseInfo.WriteHeader 000f TIdHTTPResponseInfo.WriteContent"
	strings:
		$1 = { 53 8B D8 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? C6 43 20 01 5B C3 }
	condition:
		$1
}

rule function_50638_0 {
	meta:
		name = "TWebServerResponse.SendStream"
		size = 76
		refs = "0017 TWebServerResponse.SendStream 0022 TIdHTTPResponseInfo.WriteContent 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 18 89 90 B8 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 18 33 D2 89 90 B8 00 00 00 C3 E9 ?? ?? ?? ?? EB EA 59 5D C3 }
	condition:
		$1
}

rule function_50639_0 {
	meta:
		name = "TWebServerResponse.SendRedirect"
		size = 87
		refs = "000f TWebServerResponse.SendRedirect 001f @UStrFromLStr 002a TIdHTTPResponseInfo.Redirect 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 18 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50641_0 {
	meta:
		name = "TCustomWebServer.Create"
		size = 364
		refs = "0011 @ClassCreate 0021 TComponent.Create 002a _Dn_TIdMimeTable 002f TIdMimeTable.Create 003e _Dn_TIdHTTPServer 0043 TIdBaseComponent.Create 0065 TCustomWebServer.HTTPServerCommandGet 0078 TCustomWebServer.HTTPServerCommandOther 0081 _DV_TServerIntercept 009c _DV_TServerLog 00a1 TServerLog.Create 00af TCustomWebServer.Create 00bc _Dn_TRunningWebAppListener 00c1 TRunningWebAppListener.Create 00d6 @HandleAnyException 00e3 @DoneExcept 00ed InitializeRootDirVariable 010f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 38 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 3C C6 83 1A 01 00 00 00 8B 45 FC 89 83 6C 01 00 00 C7 83 68 01 00 00 ?? ?? ?? ?? 8B 45 FC 89 83 74 01 00 00 C7 83 70 01 00 00 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 9C 00 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 40 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 5C 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 5C E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 42 00 44 00 53 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 42 00 43 00 42 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 45 00 4C 00 50 00 48 00 49 00 00 00 00 00 }
	condition:
		$1
}

rule function_50642_0 {
	meta:
		name = "TCustomWebServer.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0012 TComponent.Destroy 001a TObject.Free 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 8B 46 5C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50643_0 {
	meta:
		name = "TCustomWebServer.LogRequest"
		size = 62
		refs = "0007 @GetTls 000d ThreadRequestLogBuffer 0028 TCustomServerLog.LogRequest"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 74 1B E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 8B 48 04 8B D6 8B 43 40 E8 ?? ?? ?? ?? 5E 5B C3 33 C9 8B D6 8B 43 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50644_0 {
	meta:
		name = "TCustomWebServer.LogResponse"
		size = 53
		refs = "0004 @GetTls 000a ThreadRequestLogBuffer 0023 TCustomServerLog.LogResponse"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 74 18 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 8B 50 08 8B 43 40 E8 ?? ?? ?? ?? 5B C3 33 D2 8B 43 40 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_50645_0 {
	meta:
		name = "TCustomWebServer.GetTranslatedDefaultURL"
		size = 484
		refs = "0021 TCustomWebServer.GetTranslatedDefaultURL 0032 @UStrLAsg 003c @UStrAsg 005c @UStrCopy 0069 CompareText 00cb @UStrEqual 00d7 @UStrCat 0100 @UStrDelete 0114 TCustomWebServer.GetPort 0137 Format 015b @UStrArrayClr 0161 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 C9 89 4D EC 89 4D F0 89 4D F4 89 4D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 54 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 FB 00 00 00 8D 45 F8 50 B9 04 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 D0 00 00 00 8D 45 F4 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 A5 00 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 68 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 38 2F 75 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 06 89 45 D4 C6 45 D8 11 8B C3 E8 ?? ?? ?? ?? 89 45 DC C6 45 E0 00 8B 45 FC 89 45 E4 C6 45 E8 11 8D 55 D4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 74 00 74 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 68 00 74 00 74 00 70 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 25 00 73 00 6C 00 6F 00 63 00 61 00 6C 00 68 00 6F 00 73 00 74 00 3A 00 25 00 64 00 2F 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_50648_0 {
	meta:
		name = "TCustomWebServer.GetMIMEType"
		size = 244
		refs = "0012 TCustomWebServer.GetMIMEType 0024 @UStrAsg 002e ExtractFileExt 003b CompareText 005c TIdMimeTable.GetFileMIMEType 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 1D BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 0C 8B CF 8B D6 8B 43 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 18 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 6F 00 63 00 74 00 65 00 74 00 2D 00 73 00 74 00 72 00 65 00 61 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 65 00 78 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_50649_0 {
	meta:
		name = "CheckFileExists"
		size = 86
		refs = "000c CheckFileExists 0019 @UStrToPWChar 0023 @UStrFromPWChar 002d FileExists 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC B2 01 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_50650_0 {
	meta:
		name = "SearchForFile"
		size = 504
		refs = "0021 @UStrAddRef 0029 SearchForFile 004d @UStrFromLStr 005a Pos 007f @UStrDelete 00ee @UStrCopy 0127 IsDelimiter 0138 @UStrCat 014b @UStrCat3 0156 ExpandFileName 0161 @UStrAsg 016b CheckFileExists 0180 @UStrClr 019a @UStrArrayClr 01a2 @LStrClr 01b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E4 89 4D E0 89 4D E8 89 4D F8 89 55 F4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 8B 45 08 8B 40 FC BA 04 00 00 00 8B 18 FF 53 04 8B 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 43 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 3B F3 75 11 8D 45 F8 B9 01 00 00 00 8B D3 E8 ?? ?? ?? ?? EB 0F 8D 45 F8 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 BD 83 7D F8 00 0F 84 CB 00 00 00 BB 01 00 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 3B F3 0F 8C B0 00 00 00 8B FB EB 01 43 3B F3 7C 0B 8B 45 FC 66 83 7C 58 FE 3B 75 F0 8B 45 F4 50 8B CB 2B CF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 83 38 00 74 45 8B 45 F4 8B 00 89 45 F0 8B 45 F0 89 45 EC 83 7D EC 00 74 0B 8B 45 EC 83 E8 04 8B 00 89 45 EC 8B 55 F4 8B 12 8B 4D EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F4 8B 12 8D 45 E0 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 00 E8 ?? ?? ?? ?? 84 C0 75 11 43 3B F3 0F 8D 50 FF FF FF 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_50651_0 {
	meta:
		name = "ExtractProgID"
		size = 276
		refs = "0018 ExtractProgID 0037 @UStrFromLStr 0065 @UStrDelete 0071 Pos 00a7 ExtractFileExt 00b4 CompareText 00d1 @UStrClr 00d9 @LStrClr 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 BA 04 00 00 00 8B C6 8B 30 FF 56 04 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 03 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 19 8B 03 66 83 38 2F 75 11 8B C3 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0D 8B D3 B9 FF FF FF 7F 92 E8 ?? ?? ?? ?? C6 45 FF 00 83 3B 00 74 31 80 7D FF 00 75 06 8B 03 66 83 38 7B 80 7D FF 00 75 1F 8D 55 F0 8B 03 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 04 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 FF 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 6A 00 73 00 00 00 }
	condition:
		$1
}

rule function_50652_0 {
	meta:
		name = "StartWebApp"
		size = 427
		refs = "001b StartWebApp 0030 @FillChar 0041 @UStrLAsg 005d @UStrToPWChar 0065 CreateProcess 0078 GetLastError 008d sErrorExec 0092 LoadResString 009c _Dn_Exception 00a1 Exception.CreateFmt 00a6 @RaiseExcept 00c7 WaitForInputIdle 0167 CloseHandle 0176 @HandleFinally 0192 @UStrArrayClr 019a @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 33 D2 89 55 8C 89 55 90 89 55 94 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 A8 33 C9 BA 44 00 00 00 E8 ?? ?? ?? ?? C7 45 A8 44 00 00 00 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 45 A8 50 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 85 C0 75 42 8B 45 FC 89 45 98 C6 45 9C 11 E8 ?? ?? ?? ?? 89 45 A0 C6 45 A4 00 8D 45 98 50 6A 01 8D 55 94 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 94 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CD 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 D0 07 00 00 8B 45 EC 50 E8 ?? ?? ?? ?? 83 E8 FF 74 48 2D 03 01 00 00 74 02 EB 7C 8B 45 FC 89 45 98 C6 45 9C 11 E8 ?? ?? ?? ?? 89 45 A0 C6 45 A4 00 8D 45 98 50 6A 01 8D 55 90 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 90 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3D 8B 45 FC 89 45 98 C6 45 9C 11 E8 ?? ?? ?? ?? 89 45 A0 C6 45 A4 00 8D 45 98 50 6A 01 8D 55 8C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 8C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50653_0 {
	meta:
		name = "TCustomWebServer.DoFileAccess"
		size = 1056
		refs = "0022 TCustomWebServer.DoFileAccess 005f @LStrEqual 006c TCustomWebServer.GetTranslatedDefaultURL 0084 _DV_TWebServerResponse 0089 TWebServerResponse.Create 00aa @LStrFromUStr 00ca TObject.Free 00d0 @HandleFinally 00ed ExtractProgID 00fc FindRegisteredWebApp 010a TRunningWebAppListener.GetPortOfFileName 011d FileExists 0129 StartWebApp 0153 _Dn_TRequestConnection 0158 TRequestConnection.Create 0171 TRequestConnection.Connect 0183 TRunningWebAppListener.RemovePort 01c0 @TryFinallyExit 01f9 TRequestConnection.Request 023b TRequestConnection.Disconnect 026b TCustomWebServer.GetExpandedSearchPath 0276 SearchForFile 0282 @UStrLAsg 02b8 FileAge 02bd FileDateToDateTime 02c9 LocalTimeToUTCTime 0332 TCustomWebServer.GetMIMEType 0364 _Dn_TFileStream 0369 TFileStream.Create 03b0 TCustomWebServer.URLNotFound 03c5 @UStrClr 03cd @LStrClr 03da @UStrArrayClr 03e7 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 88 4D E7 89 55 FC 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E6 00 8D 4D C0 BA 04 00 00 00 8B 45 FC 8B 18 FF 53 04 83 7D C0 00 74 1F 8D 4D BC BA 04 00 00 00 8B 45 FC 8B 18 FF 53 04 8B 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 7A 8D 55 F4 8B 45 E8 E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 26 03 00 00 8B 45 08 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 B8 8B 55 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 D4 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 C6 45 E6 01 E9 C1 02 00 00 C7 45 D0 FF FF FF FF 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 49 8D 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 5C 8B 55 EC E8 ?? ?? ?? ?? 89 45 D0 83 7D D0 FF 75 27 B2 01 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 19 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 8B 40 5C 8B 55 EC E8 ?? ?? ?? ?? 89 45 D0 33 C0 89 45 CC 83 7D D0 00 0F 8E 0C 01 00 00 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 C8 E8 ?? ?? ?? ?? 84 C0 75 50 8B 45 E8 8B 40 5C 8B 55 D0 E8 ?? ?? ?? ?? 83 7D CC 01 0F 8D 99 00 00 00 FF 45 CC B2 01 8B 45 EC E8 ?? ?? ?? ?? 84 C0 0F 84 84 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 8B 40 5C 8B 55 EC E8 ?? ?? ?? ?? 89 45 D0 E8 ?? ?? ?? ?? E9 86 00 00 00 8B 45 08 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8B 4D D4 8B 55 FC 8B 45 C8 E8 ?? ?? ?? ?? C6 45 E6 01 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 83 7D D0 00 0F 8F F4 FE FF FF 83 7D D0 00 0F 8F 3D 01 00 00 55 8D 55 B0 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 B0 8D 55 B4 E8 ?? ?? ?? ?? 59 8B 55 B4 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 10 01 00 00 8B 45 08 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 5D D8 9B 8B 45 C4 8B 40 1C BA 0B 00 00 00 8B 08 FF 51 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 28 8B 45 C4 8B 40 1C BA 0B 00 00 00 8B 08 FF 51 08 DC 5D D8 9B DF E0 9E 72 0F BA 30 01 00 00 8B 45 C4 8B 08 FF 51 28 EB 62 FF 75 DC FF 75 D8 BA 02 00 00 00 8B 45 C4 8B 08 FF 51 0C 8D 4D A8 8B 55 F8 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 A8 8D 45 AC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D AC BA 08 00 00 00 8B 45 C4 8B 18 FF 53 04 80 7D E7 00 75 1B 6A 20 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 C4 8B 08 FF 51 20 8B 45 C4 8B 10 FF 52 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 C6 45 E6 01 80 7D E6 00 75 0E 8B 4D 08 8B 55 FC 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C1 0F B6 45 E6 5B 8B E5 5D C2 04 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 2F 00 00 00 00 00 80 BF }
	condition:
		$1
}

rule function_50654_0 {
	meta:
		name = "TCustomWebServer.URLNotFound"
		size = 208
		refs = "0010 TCustomWebServer.URLNotFound 001c _DV_TWebServerResponse 0025 TWebServerResponse.Create 005d sNotFound 0062 LoadResString 006d TWebResponse.SetUnicodeContent 008a TObject.Free 0090 @HandleFinally 00a7 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 51 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B9 ?? ?? ?? ?? BA 08 00 00 00 8B 45 FC 8B 18 FF 53 04 BA 94 01 00 00 8B 45 FC 8B 08 FF 51 28 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 E4 04 01 00 FF FF FF FF 09 00 00 00 74 65 78 74 2F 68 74 6D 6C 00 00 00 }
	condition:
		$1
}

rule function_50655_0 {
	meta:
		name = "TCustomWebServer.HandleException"
		size = 33
		refs = "000a ExceptObject 0019 TCustomWebServer.ServerError"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 40 04 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50656_0 {
	meta:
		name = "TCustomWebServer.ExecuteHTTPRequest"
		size = 247
		refs = "0029 TIdSocketHandles.GetItem 0034 _DV_TWebServerRequest 0039 TWebServerRequest.Create 0044 TCustomWebServer.ExecuteHTTPRequest 0063 TCustomWebServer.LogRequest 0074 TCustomWebServer.DoFileAccess 0083 @HandleAnyException 0091 TCustomWebServer.HandleException 0096 @DoneExcept 009e TIdHTTPResponseInfo.WriteHeader 00a6 TIdHTTPResponseInfo.WriteContent 00ae TCustomWebServer.LogResponse 00c0 @GetTls 00c6 ThreadRequestLogBuffer 00da TObject.Free 00e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B DA 89 45 FC 6A 00 6A 00 56 8B 45 08 50 53 8B 45 FC 8B 40 3C 8B 80 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 0F B7 48 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 50 33 C9 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 4D 08 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 98 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_50657_0 {
	meta:
		name = "TCustomWebServer.ServerError"
		size = 300
		refs = "001d TCustomWebServer.ServerError 002e _DV_TWebServerResponse 0035 TWebServerResponse.Create 0074 @LStrFromUStr 0090 sInternalServerError 0095 LoadResString 00ab Format 00b6 TWebResponse.SetUnicodeContent 00d3 TObject.Free 00d9 @HandleFinally 00f5 @UStrArrayClr 00fd @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D F0 89 5D EC 89 5D F4 89 4D FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B9 ?? ?? ?? ?? BA 08 00 00 00 8B 45 F8 8B 30 FF 56 04 BA C8 00 00 00 8B 45 F8 8B 08 FF 51 28 8D 45 F4 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 BA 01 00 00 00 8B 45 F8 8B 30 FF 56 04 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 89 5D E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 04 00 00 00 00 E4 04 01 00 FF FF FF FF 09 00 00 00 74 65 78 74 2F 68 74 6D 6C 00 00 00 }
	condition:
		$1
}

rule function_50658_0 {
	meta:
		name = "OffsetFromUTC"
		size = 267
		refs = "001d OffsetFromUTC 002f GetTimeZoneInformation 004a sFailedTimeZoneInfo 004f LoadResString 005c _DV_EFailedToRetreiveTimeZoneInfo 0061 Exception.Create 0066 @RaiseExcept 00d5 EncodeTime 00f6 @UStrArrayClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 44 FF FF FF 53 56 33 C0 89 85 44 FF FF FF 89 85 48 FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 4C FF FF FF 50 E8 ?? ?? ?? ?? 83 E8 FF 74 0B 48 74 31 48 74 41 48 74 33 EB 47 8D 95 48 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 48 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 45 8B 8D 4C FF FF FF EB 3D 8B 8D 4C FF FF FF 03 4D F4 EB 32 8B 8D 4C FF FF FF 03 4D A0 EB 27 8D 95 44 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 44 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B C1 99 33 C2 2B C2 8B D8 8B C3 BE 3C 00 00 00 99 F7 FE 52 8B C3 B9 3C 00 00 00 99 F7 F9 33 C9 5A E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 44 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 DD 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50659_0 {
	meta:
		name = "LocalTimeToUTCTime"
		size = 27
		refs = "0007 OffsetFromUTC"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? DC 45 08 DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_50660_0 {
	meta:
		name = "TCustomWebServer.GetPort"
		size = 16
		refs = "0007 TIdCustomTCPServer.GetDefaultPort"
	strings:
		$1 = { 53 8B D8 8B 43 3C E8 ?? ?? ?? ?? 0F B7 C0 5B C3 }
	condition:
		$1
}

rule function_50661_0 {
	meta:
		name = "TCustomWebServer.SetPort"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 46 3C 8B 08 FF 91 98 00 00 00 5E C3 }
	condition:
		$1
}

rule function_50662_0 {
	meta:
		name = "TCustomWebServer.GetActive"
		size = 11
	strings:
		$1 = { 8B 40 3C 0F B6 80 90 00 00 00 C3 }
	condition:
		$1
}

rule function_50663_0 {
	meta:
		name = "TCustomWebServer.SetActive"
		size = 127
		refs = "0010 TCustomWebServer.SetActive 003b TCollection.Clear 004a @HandleAnyException 0070 @RaiseAgain 0075 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 3C 8B D3 8B 08 FF 91 90 00 00 00 84 DB 75 11 8B 45 FC 8B 40 3C 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 30 E9 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 33 D2 8B 08 FF 91 90 00 00 00 8B 45 FC 8B 40 3C 8B 80 98 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50664_0 {
	meta:
		name = "TServerLog.Create"
		size = 60
		refs = "000b @ClassCreate 001a TCustomServerLog.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 20 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50665_0 {
	meta:
		name = "TServerLog.DoOnLog"
		size = 24
	strings:
		$1 = { 56 8B 70 20 66 83 7E 4A 00 74 0B 51 8B CA 8B D0 8B 46 4C FF 56 48 5E C3 }
	condition:
		$1
}

rule function_50666_0 {
	meta:
		name = "ExpandEnvStrings"
		size = 476
		refs = "0042 @UStrAddRef 004a ExpandEnvStrings 005a @UStrAsg 0066 AnsiPos 009a @UStrCopy 00de @UStrCatN 00e9 @UStrToPWChar 00ef ExpandEnvironmentStrings 0114 @UStrFromWArray 0124 StringReplace 0182 @UStrArrayClr 0195 @HandleFinally"
	strings:
		$1 = { 55 8B EC 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 E4 53 56 57 33 C9 89 8D E4 DF FF FF 89 8D E0 DF FF FF 89 8D EC DF FF FF 89 8D E8 DF FF FF 89 4D F8 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 55 FC E8 ?? ?? ?? ?? 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 C0 89 45 F4 E9 D0 00 00 00 3B DF 0F 8D C8 00 00 00 8D 45 F8 50 8B CF 2B CB 41 8B 06 8B D3 E8 ?? ?? ?? ?? 68 02 20 00 00 8D 85 F2 DF FF FF 50 68 ?? ?? ?? ?? 8D 85 E8 DF FF FF 50 8B CF 2B CB 83 E9 02 8D 53 02 8B 06 E8 ?? ?? ?? ?? FF B5 E8 DF FF FF 68 ?? ?? ?? ?? 8D 85 EC DF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 EC DF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 85 E4 DF FF FF 50 8D 85 E0 DF FF FF 8D 95 F2 DF FF FF B9 01 10 00 00 E8 ?? ?? ?? ?? 8B 8D E0 DF FF FF 8B 06 8B 55 F8 E8 ?? ?? ?? ?? 8B 95 E4 DF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 FF 45 F4 85 DB 74 11 3B DF 7D 0D 81 7D F4 E8 03 00 00 0F 8C 1B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E0 DF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 24 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_50667_0 {
	meta:
		name = "TCustomWebServer.GetExpandedSearchPath"
		size = 103
		refs = "000f TCustomWebServer.GetExpandedSearchPath 002c ExpandEnvStrings 0037 @UStrAsg 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 58 00 75 1C 83 7B 50 00 74 16 8D 55 FC 8B 43 50 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 58 E8 ?? ?? ?? ?? 8B C6 8B 53 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50668_0 {
	meta:
		name = "TCustomWebServer.SetSearchPath"
		size = 27
		refs = "000c @UStrAsg 0014 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 50 8B D6 E8 ?? ?? ?? ?? 8D 43 58 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50669_0 {
	meta:
		name = "GetBaseExePath"
		size = 129
		refs = "0018 GetBaseExePath 002f HInstance 0035 GetModuleFileName 004b @UStrFromWArray 0058 ExtractFilePath 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FD FF FF 53 33 D2 89 95 FC FD FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 02 00 00 8D 85 00 FE FF FF 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 85 FC FD FF FF 8D 95 00 FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 8B 85 FC FD FF FF 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50670_0 {
	meta:
		name = "GetRootDir"
		size = 209
		refs = "0013 GetRootDir 0021 GetBaseExePath 0037 IsPathDelimiter 0055 @UStrDelete 005f ExtractFilePath 006e @UStrAsg 00bf @UStrClr 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 55 FC B9 01 00 00 00 92 E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 83 3B 00 75 0A 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 03 89 45 F8 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 8B 03 8B D6 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 03 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B D3 B9 01 00 00 00 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50671_0 {
	meta:
		name = "InitializeRootDirVariable"
		size = 149
		refs = "0029 InitializeRootDirVariable 0042 @UStrToPWChar 004a GetEnvironmentVariable 0059 GetRootDir 006b SetEnvironmentVariable 0083 @UStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 FC 53 56 33 D2 89 95 F8 DF FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 02 20 00 00 8D 85 FE DF FF FF 50 8B C3 E8 ?? ?? ?? ?? 8B F0 56 E8 ?? ?? ?? ?? 85 C0 75 1D 8D 85 F8 DF FF FF E8 ?? ?? ?? ?? 8B 85 F8 DF FF FF E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 DF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50675_0 {
	meta:
		name = "TConnectionIntercept.Receive"
		size = 146
		refs = "0009 @DynArrayLength 0010 @GetTls 0016 ThreadRequestLogBuffer 0020 _DV_TRequestLogBuffers 0025 TObject.Create 0069 @LStrSetLength 007c @UniqueStringA 0089 Move"
	strings:
		$1 = { 53 56 57 51 8B FA 8B 07 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 75 19 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 8B 40 04 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B D8 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 83 C0 04 8D 14 1E 33 C9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 83 C0 04 E8 ?? ?? ?? ?? 03 C3 50 8B 07 8B CE 5A E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50676_0 {
	meta:
		name = "TConnectionIntercept.Send"
		size = 146
		refs = "0009 @DynArrayLength 0010 @GetTls 0016 ThreadRequestLogBuffer 0020 _DV_TRequestLogBuffers 0025 TObject.Create 0069 @LStrSetLength 007c @UniqueStringA 0089 Move"
	strings:
		$1 = { 53 56 57 51 8B FA 8B 07 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 75 19 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 8B 40 08 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B D8 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 83 C0 08 8D 14 1E 33 C9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 83 C0 08 E8 ?? ?? ?? ?? 03 C3 50 8B 07 8B CE 5A E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50678_0 {
	meta:
		name = "Finalization"
		size = 90
		refs = "0007 Finalization 0013 _DV_01 001a CGIServerVariables 0025 AnsiString 002a @FinalizeArray 002f HTTPHeaderNames 003a string 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2A B8 ?? ?? ?? ?? B9 1D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 1D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_95624_0 {
	meta:
		name = "Finalization"
		size = 90
		refs = "0007 Finalization 0013 _DV_5 001a CGIServerVariables 0025 AnsiString 002a @FinalizeArray 002f WinCGIServerVariables 003a string 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2A B8 ?? ?? ?? ?? B9 1D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 1D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_50681_0 {
	meta:
		name = "SvrInfoConsole"
		size = 64
		refs = "0002 _DV_2 000a SvrInfoConsole 0011 _Dn_TWebAppSockObjectFactory 0016 TWebAppSockObjectFactory.Create"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 49 00 6E 00 66 00 6F 00 00 00 00 00 }
	condition:
		$1
}

rule function_50684_0 {
	meta:
		name = "FormatDetail"
		size = 1544
		refs = "0022 FormatDetail 002f @UStrClr 0097 ExtractFileName 00ac ExtractFilePath 00c8 Format 00d2 @UStrAsg 00e6 FileExists 00f2 sFound 00f7 LoadResString 0101 sNotFound 0163 sFileStatus 01ea @UStrArrayClr 01fa @LStrClr 0214 @LStrArrayClr 022f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 11 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 06 89 45 B8 C6 45 BC 11 8B 43 08 89 45 C0 C6 45 C4 11 8B 43 04 89 45 C8 C6 45 CC 11 8D 4D B4 BA 17 00 00 00 8B 45 F4 8B 38 FF 57 04 8B 45 B4 89 45 D0 C6 45 D4 0B 8D 4D B0 BA 0A 00 00 00 8B 45 F4 8B 38 FF 57 04 8B 45 B0 89 45 D8 C6 45 DC 0B 8D 55 AC 8B 43 04 E8 ?? ?? ?? ?? 8B 45 AC 89 45 E0 C6 45 E4 11 8D 55 A8 8B 43 04 E8 ?? ?? ?? ?? 8B 45 A8 89 45 E8 C6 45 EC 11 8D 55 B8 B9 06 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 83 7B 04 00 0F 84 B8 00 00 00 B2 01 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 94 8B 45 F4 8B 08 FF 51 18 8B 45 94 89 45 98 C6 45 9C 0B 8B 43 08 89 45 A0 C6 45 A4 11 8D 55 98 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 90 50 8B 06 89 85 78 FF FF FF C6 85 7C FF FF FF 11 8B 45 FC 89 45 80 C6 45 84 11 8D 95 74 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 89 45 88 C6 45 8C 11 8D 95 78 FF FF FF B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 90 8B C6 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 8B 06 89 45 98 C6 45 9C 11 8B 45 F8 89 45 A0 C6 45 A4 11 8D 55 98 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 70 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 A8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A9 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 8C 00 00 00 25 00 30 00 3A 00 73 00 3C 00 54 00 52 00 3E 00 3C 00 54 00 44 00 20 00 61 00 6C 00 69 00 67 00 6E 00 3D 00 22 00 72 00 69 00 67 00 68 00 74 00 22 00 3E 00 50 00 72 00 6F 00 67 00 49 00 44 00 3A 00 20 00 3C 00 2F 00 54 00 44 00 3E 00 3C 00 54 00 44 00 3E 00 3C 00 41 00 20 00 48 00 52 00 45 00 46 00 3D 00 22 00 2F 00 25 00 31 00 3A 00 73 00 22 00 3E 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 41 00 3E 00 3C 00 2F 00 54 00 44 00 3E 00 3C 00 2F 00 54 00 52 00 3E 00 0D 00 0A 00 3C 00 54 00 52 00 3E 00 3C 00 54 00 44 00 20 00 61 00 6C 00 69 00 67 00 6E 00 3D 00 22 00 72 00 69 00 67 00 68 00 74 00 22 00 3E 00 46 00 69 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 3A 00 20 00 3C 00 2F 00 54 00 44 00 3E 00 3C 00 54 00 44 00 3E 00 25 00 36 00 3A 00 73 00 25 00 35 00 3A 00 73 00 3C 00 2F 00 54 00 44 00 3E 00 3C 00 2F 00 54 00 52 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 7C 00 00 00 3C 00 46 00 4F 00 52 00 4D 00 20 00 4D 00 65 00 74 00 68 00 6F 00 64 00 3D 00 22 00 50 00 4F 00 53 00 54 00 22 00 20 00 41 00 63 00 74 00 69 00 6F 00 6E 00 3D 00 22 00 25 00 73 00 2F 00 43 00 6C 00 65 00 61 00 6E 00 22 00 3E 00 3C 00 49 00 4E 00 50 00 55 00 54 00 20 00 54 00 59 00 50 00 45 00 3D 00 48 00 49 00 44 00 44 00 45 00 4E 00 20 00 4E 00 41 00 4D 00 45 00 3D 00 22 00 50 00 72 00 6F 00 67 00 49 00 44 00 22 00 20 00 56 00 41 00 4C 00 55 00 45 00 3D 00 22 00 25 00 73 00 22 00 2F 00 3E 00 3C 00 49 00 4E 00 50 00 55 00 54 00 20 00 54 00 59 00 50 00 45 00 3D 00 53 00 55 00 42 00 4D 00 49 00 54 00 20 00 56 00 41 00 4C 00 55 00 45 00 3D 00 22 00 43 00 6C 00 65 00 61 00 6E 00 22 00 2F 00 3E 00 3C 00 2F 00 46 00 4F 00 52 00 4D 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 36 00 00 00 25 00 30 00 3A 00 73 00 3C 00 54 00 52 00 3E 00 3C 00 54 00 44 00 20 00 61 00 6C 00 69 00 67 00 6E 00 3D 00 22 00 72 00 69 00 67 00 68 00 74 00 22 00 3E 00 25 00 32 00 3A 00 73 00 20 00 3C 00 2F 00 54 00 44 00 3E 00 3C 00 54 00 44 00 3E 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 54 00 44 00 3E 00 3C 00 2F 00 54 00 52 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 89 00 00 00 3C 00 54 00 41 00 42 00 4C 00 45 00 20 00 62 00 6F 00 72 00 64 00 65 00 72 00 3D 00 31 00 20 00 77 00 69 00 64 00 74 00 68 00 3D 00 22 00 39 00 30 00 25 00 25 00 22 00 3E 00 3C 00 54 00 44 00 3E 00 3C 00 54 00 41 00 42 00 4C 00 45 00 20 00 77 00 69 00 64 00 74 00 68 00 3D 00 22 00 31 00 30 00 30 00 25 00 25 00 22 00 3E 00 3C 00 54 00 44 00 3E 00 3C 00 54 00 41 00 42 00 4C 00 45 00 3E 00 25 00 30 00 3A 00 73 00 3C 00 2F 00 54 00 41 00 42 00 4C 00 45 00 3E 00 3C 00 2F 00 54 00 44 00 3E 00 3C 00 54 00 44 00 20 00 61 00 6C 00 69 00 67 00 6E 00 3D 00 22 00 72 00 69 00 67 00 68 00 74 00 22 00 20 00 76 00 61 00 6C 00 69 00 67 00 6E 00 3D 00 74 00 6F 00 70 00 22 00 3E 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 54 00 44 00 3E 00 3C 00 2F 00 54 00 41 00 42 00 4C 00 45 00 3E 00 3C 00 2F 00 54 00 41 00 42 00 4C 00 45 00 3E 00 00 00 }
	condition:
		$1
}

rule function_50685_0 {
	meta:
		name = "CompareProgID"
		size = 12
		refs = "0007 CompareText"
	strings:
		$1 = { 8B 40 08 8B 52 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50686_0 {
	meta:
		name = "FormatDetails"
		size = 288
		refs = "001a FormatDetails 0027 _Dn_TWebAppRegList 002c TObjectList.Create 0045 GetRegisteredWebApps 004a CompareProgID 0052 TList.Sort 0077 TWebAppRegList.GetItem 0084 FormatDetail 00a0 Format 00aa @UStrAsg 00c3 TObject.Free 00c9 @HandleFinally 00e0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D F4 89 4D E0 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 58 08 4B 85 DB 7C 51 43 33 FF 8D 45 F4 50 8B 06 89 45 E4 C6 45 E8 11 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 4D E0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 47 4B 75 B2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 25 00 30 00 3A 00 73 00 3C 00 70 00 3E 00 25 00 31 00 3A 00 73 00 00 00 }
	condition:
		$1
}

rule function_50687_0 {
	meta:
		name = "FormatOption"
		size = 124
		refs = "001a FormatOption 001f Format"
	strings:
		$1 = { 53 56 83 C4 F8 8B F1 8B DA 56 89 5C 24 04 C6 44 24 08 11 8D 54 24 04 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 B0 04 02 00 FF FF FF FF 22 00 00 00 3C 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 20 00 76 00 61 00 6C 00 75 00 65 00 3D 00 22 00 25 00 30 00 3A 00 73 00 22 00 3E 00 25 00 30 00 3A 00 73 00 3C 00 2F 00 4F 00 50 00 54 00 49 00 4F 00 4E 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_50688_0 {
	meta:
		name = "FormatSelect"
		size = 948
		refs = "0020 FormatSelect 002d _Dn_TWebAppRegList 0032 TObjectList.Create 004b GetRegisteredWebApps 0050 CompareProgID 0058 TList.Sort 0080 TWebAppRegList.GetItem 008d FormatOption 00a9 Format 00b4 @UStrAsg 0107 TObject.Free 010d @HandleFinally 012b sGo 0130 LoadResString 014f @UStrCatN 0169 @UStrArrayClr 0171 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D D8 89 4D DC 89 4D F4 89 4D E0 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 58 08 4B 85 DB 7C 55 43 33 F6 8D 45 F4 50 8B 45 FC 8B 00 89 45 E4 C6 45 E8 11 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 50 08 8D 4D E0 8B C7 E8 ?? ?? ?? ?? 8B 45 E0 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 AE 8D 45 DC 50 8B 45 F8 8B 40 08 89 45 E4 C6 45 E8 00 8B 45 FC 8B 00 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 68 ?? ?? ?? ?? 8B 45 FC FF 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC BA 08 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 25 00 30 00 3A 00 73 00 0D 00 0A 00 25 00 31 00 3A 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3F 00 00 00 3C 00 53 00 45 00 4C 00 45 00 43 00 54 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 53 00 22 00 20 00 73 00 69 00 7A 00 65 00 3D 00 22 00 25 00 64 00 22 00 20 00 6F 00 6E 00 65 00 6E 00 74 00 65 00 72 00 3D 00 22 00 46 00 2E 00 53 00 75 00 62 00 6D 00 69 00 74 00 28 00 29 00 22 00 3E 00 0D 00 0A 00 25 00 73 00 0D 00 0A 00 3C 00 2F 00 53 00 45 00 4C 00 45 00 43 00 54 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 4F 00 00 00 3C 00 46 00 4F 00 52 00 4D 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 46 00 22 00 20 00 4F 00 6E 00 53 00 75 00 62 00 6D 00 69 00 74 00 3D 00 22 00 47 00 6F 00 28 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 46 00 2E 00 53 00 2E 00 76 00 61 00 6C 00 75 00 65 00 29 00 3B 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 66 00 61 00 6C 00 73 00 65 00 22 00 3E 00 0D 00 0A 00 3C 00 54 00 41 00 42 00 4C 00 45 00 3E 00 0D 00 0A 00 3C 00 54 00 44 00 3E 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 3C 00 54 00 44 00 20 00 76 00 61 00 6C 00 69 00 67 00 6E 00 3D 00 22 00 74 00 6F 00 70 00 22 00 3E 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 3C 00 49 00 4E 00 50 00 55 00 54 00 20 00 54 00 59 00 50 00 45 00 3D 00 53 00 55 00 42 00 4D 00 49 00 54 00 20 00 76 00 61 00 6C 00 75 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 22 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 3C 00 2F 00 54 00 41 00 42 00 4C 00 45 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 2F 00 46 00 4F 00 52 00 4D 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_50689_0 {
	meta:
		name = "TWebModule2.ServerListPageHTMLTag"
		size = 320
		refs = "0016 TWebModule2.ServerListPageHTMLTag 0028 CompareText 0033 TCustomWebDispatcher.GetRequest 003b FormatDetails 0046 @UStrAsg 0067 FormatSelect 009e @UStrFromLStr 00ae @UStrCat3 00c3 @LStrClr 00d0 @UStrArrayClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B D8 8B 75 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 75 1C 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 E8 ?? ?? ?? ?? EB 66 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 75 1C 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 E8 ?? ?? ?? ?? EB 3A BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 75 2A 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 51 18 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 45 00 54 00 41 00 49 00 4C 00 53 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 49 00 53 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 41 00 54 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_50690_0 {
	meta:
		name = "TWebModule2.CleanAction"
		size = 336
		refs = "001c TWebModule2.CleanAction 0029 TWebRequest.GetContentFields 0036 TStrings.GetValue 0044 sMissingProgID 0049 LoadResString 0053 _Dn_Exception 0058 Exception.Create 005d @RaiseExcept 0065 UnregisterWebApp 00a8 Format 00b8 @LStrFromUStr 00dd @LStrArrayClr 00ea @UStrArrayClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 4D E0 BA 0A 00 00 00 8B C3 8B 30 FF 56 04 8B 45 E0 89 45 E4 C6 45 E8 0B 8D 55 DC 8B C3 8B 08 FF 51 18 8B 45 DC 89 45 EC C6 45 F0 0B 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 0C 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 72 00 6F 00 67 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 25 00 73 00 25 00 73 00 2F 00 44 00 65 00 74 00 61 00 69 00 6C 00 73 00 00 00 }
	condition:
		$1
}

rule function_50692_0 {
	meta:
		name = "SvrInfoModule"
		size = 24
		refs = "0002 _DV_2 000a WebRequestHandler 0010 _DV_TWebModule2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0E E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 50 54 C3 }
	condition:
		$1
}

rule function_50694_0 {
	meta:
		name = "TTransactionLogEntry.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TObject.Create 001c Now 0025 GetCurrentThreadId 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5E 08 9B E8 ?? ?? ?? ?? 89 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_50695_0 {
	meta:
		name = "TTransactionLogEntry.GetColumn"
		size = 320
		refs = "001e TTransactionLogEntry.GetColumn 0047 @LStrAsg 0059 @UStrLAsg 0074 CurrencyString 007c FormatDateTime 008b @LStrFromUStr 00ac DateToStr 00cc IntToStr 00e4 @LStrClr 00f9 @UStrClr 0106 @UStrArrayClr 010c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 DB 89 5D DC 89 5D FC 89 5D F8 89 5D F4 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 EA 01 72 14 74 21 FE CA 74 5E 80 EA 06 0F 84 85 00 00 00 E9 A0 00 00 00 8B C6 8B 53 04 E8 ?? ?? ?? ?? E9 98 00 00 00 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 89 45 E8 8B 43 0C 89 45 EC FF 75 EC FF 75 E8 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 57 8B 43 08 89 45 E0 8B 43 0C 89 45 E4 FF 75 E4 FF 75 E0 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 27 8B 43 18 33 D2 52 50 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 68 00 68 00 3A 00 6D 00 6D 00 3A 00 73 00 73 00 3A 00 7A 00 7A 00 7A 00 00 00 00 00 }
	condition:
		$1
}

rule function_50696_0 {
	meta:
		name = "TErrorTransaction.Create"
		size = 158
		refs = "0010 @ClassCreate 001e TErrorTransaction.Create 002d TTransactionLogEntry.Create 0035 sErrorEvent 003a LoadResString 004a @LStrFromUStr 0058 @UStrAsg 0073 @UStrClr 0079 @HandleFinally 0086 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 B9 00 00 00 00 E8 ?? ?? ?? ?? 89 77 20 8D 47 24 8B 55 08 E8 ?? ?? ?? ?? 8B 45 0C 89 47 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_50697_0 {
	meta:
		name = "TErrorTransaction.GetLogString"
		size = 223
		refs = "001e TErrorTransaction.GetLogString 002c sLogStrTemplate 0031 LoadResString 0039 DateFormat 0059 CurrencyString 0061 FormatDateTime 009c Format 00ab @LStrFromUStr 00c0 @UStrClr 00cd @UStrArrayClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 33 C9 89 4D E4 89 4D FC 89 4D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 08 89 45 E8 8B 43 0C 89 45 EC FF 75 EC FF 75 E8 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 F8 89 45 C4 C6 45 C8 11 8B 06 89 45 CC C6 45 D0 0B 8B 43 28 89 45 D4 C6 45 D8 00 8B 43 24 89 45 DC C6 45 E0 11 8D 55 C4 B9 03 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50698_0 {
	meta:
		name = "TCustomServerLog.Create"
		size = 97
		refs = "000a @ClassCreate 0017 TObject.Create 001d TCustomServerLog.WndProc 0022 AllocateHWnd 002c _Dn_TList 003b _Dn_TCriticalSection 0040 TCriticalSection.Create 004e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_50699_0 {
	meta:
		name = "TCustomServerLog.Destroy"
		size = 64
		refs = "0003 @BeforeDestruction 000f TObject.Free 0023 DeallocateHWnd 002e TObject.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B 46 0C 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50700_0 {
	meta:
		name = "TCustomServerLog.WriteLog"
		size = 171
		refs = "0018 TCustomServerLog.WriteLog 0026 TCustomServerLog.GetLogEntry 0069 TObject.Free 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 45 FC 8B 45 FC 8B 40 04 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 01 8D 4D F7 8B 55 F8 8B 45 FC 8B 18 FF 13 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F7 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 AD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50701_0 {
	meta:
		name = "TCustomServerLog.LogTransaction"
		size = 188
		refs = "001a TCustomServerLog.LogTransaction 0028 _DV_TRequestTransaction 002d @IsClass 0042 TCustomServerLog.SetRequestTime 004f TCustomServerLog.GetRequestTime 0079 TList.Add 008e PostMessage 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B DA 89 45 FC 8B 45 FC 8B 40 04 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 FF 73 0C FF 73 08 8B 53 18 8B 45 FC E8 ?? ?? ?? ?? EB 28 8B 53 18 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B DD 45 F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 0A DD 43 08 DC 65 F0 DD 5B 10 9B 8B 45 FC 8B 40 08 8B D3 E8 ?? ?? ?? ?? 6A 00 6A 00 68 00 05 00 00 8B 45 FC 8B 40 0C 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_50702_0 {
	meta:
		name = "TCustomServerLog.LogError"
		size = 46
		refs = "0016 _DV_TErrorTransaction 001b TErrorTransaction.Create 0024 TCustomServerLog.LogTransaction"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B 45 0C 50 8B 45 08 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_50703_0 {
	meta:
		name = "TCustomServerLog.GetLogEntry"
		size = 114
		refs = "0017 TCustomServerLog.GetLogEntry 0030 TList.Get 0040 TList.Delete 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 04 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 08 83 78 08 00 7E 19 33 D2 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 40 08 33 D2 E8 ?? ?? ?? ?? EB 05 33 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_50704_0 {
	meta:
		name = "TCustomServerLog.WMLogMessage"
		size = 115
		refs = "000e TCustomServerLog.GetLogEntry 001f TCustomServerLog.WMLogMessage 0051 TObject.Free 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 01 8D 4D F7 8B 55 F8 8B 45 FC 8B 18 FF 13 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F7 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 AD 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50706_0 {
	meta:
		name = "TCustomServerLog.WndProc"
		size = 73
		refs = "000e TCustomServerLog.WndProc 002b @HandleAnyException 0030 Application 003a TApplication.HandleException 003f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 08 FF 51 EC 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50707_0 {
	meta:
		name = "TCustomServerLog.DefaultHandler"
		size = 32
		refs = "0016 DefWindowProc"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 43 08 50 8B 43 04 50 8B 03 50 8B 46 0C 50 E8 ?? ?? ?? ?? 89 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_50708_0 {
	meta:
		name = "TCustomServerLog.LogRequest"
		size = 37
		refs = "000f _DV_TRequestTransaction 0014 TRequestTransaction.Create 001d TCustomServerLog.LogTransaction"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50709_0 {
	meta:
		name = "TCustomServerLog.LogResponse"
		size = 32
		refs = "000b _DV_TResponseTransaction 0010 TResponseTransaction.Create 0019 TCustomServerLog.LogTransaction"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50710_0 {
	meta:
		name = "TCustomServerLog.GetRequestTime"
		size = 42
		refs = "0004 TCustomServerLog.FindRequestTime"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? 85 C0 74 0F 8B 50 08 89 14 24 8B 50 0C 89 54 24 04 EB 09 33 C0 89 04 24 89 44 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_50711_0 {
	meta:
		name = "TCustomServerLog.FindRequestTime"
		size = 48
		refs = "000b @DynArrayHigh"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 18 E8 ?? ?? ?? ?? 85 C0 7C 15 40 33 C9 8B D1 03 D2 8B 5E 18 8D 14 D3 3B 3A 74 06 41 48 75 EE 33 D2 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50712_0 {
	meta:
		name = "TCustomServerLog.SetRequestTime"
		size = 104
		refs = "000e TCustomServerLog.FindRequestTime 0028 @DynArrayLength 0038 :TCustomServerLog.:1 003d @DynArraySetLength 0048 @DynArrayHigh"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0E 8B 55 08 89 50 08 8B 55 0C 89 50 0C EB 3E 8B 43 18 E8 ?? ?? ?? ?? 40 50 8D 43 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 18 E8 ?? ?? ?? ?? 03 C0 8B 53 18 8D 04 C2 8B 55 08 89 50 08 8B 55 0C 89 50 0C 89 30 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_50713_0 {
	meta:
		name = "TRequestTransaction.Create"
		size = 234
		refs = "0016 @ClassCreate 0025 TRequestTransaction.Create 0034 TTransactionLogEntry.Create 0039 Now 0054 @LStrAsg 00bc @LStrArrayClr 00c2 @HandleFinally 00d1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5B 08 9B 8D 4D F8 33 D2 8B C6 8B 38 FF 57 04 8B 55 F8 8D 43 04 E8 ?? ?? ?? ?? 8D 4D F4 BA 04 00 00 00 8B C6 8B 38 FF 57 04 8B 55 F4 8D 43 30 E8 ?? ?? ?? ?? BA 10 00 00 00 8B C6 8B 08 FF 51 0C 89 43 20 8D 4D F0 BA 0F 00 00 00 8B C6 8B 30 FF 56 04 8B 55 F0 8D 43 24 E8 ?? ?? ?? ?? 8D 43 28 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_50714_0 {
	meta:
		name = "TRequestTransaction.GetColumn"
		size = 42
		refs = "0015 @LStrAsg 0022 THTTPTransaction.GetColumn"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B C3 2C 04 75 0C 8B C7 8B 56 30 E8 ?? ?? ?? ?? EB 0B 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50715_0 {
	meta:
		name = "TResponseTransaction.Create"
		size = 364
		refs = "0014 @ClassCreate 0024 TResponseTransaction.Create 0034 TTransactionLogEntry.Create 003c sResponseEvent 0041 LoadResString 0054 @LStrFromUStr 0061 @LStrAsg 006e _Dn_TStringStream 0073 TStringStream.Create 008e _Dn_THTTPParser 0093 THTTPParser.Create 00af TResponseTransaction.ParseBuffer 00c4 TObject.Free 00ca @HandleFinally 00f9 Pos 0119 @LStrCopy 012e @UStrClr 0144 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 83 C0 04 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 28 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 48 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 50 34 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 1A 8B 45 FC 83 C0 30 50 8D 53 01 8B 45 FC 8B 40 34 B9 FF FF FF 7F E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C3 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_50718_0 {
	meta:
		name = "ParseContentType"
		size = 205
		refs = "000d ParseContentType 001e THTTPParser.NextToken 004f THTTPParser.CopyToEOL 005a @UStrFromLStr 0065 TrimLeft 007b @LStrFromUStr 00b0 @LStrArrayClr 00bd @UStrArrayClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 78 2D 3A 75 0B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 83 78 24 00 75 3C 8D 55 F4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F8 83 C0 24 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 0E 8D 55 F0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B E5 5D C3 }
	condition:
		$1
}

rule function_50719_0 {
	meta:
		name = "ParseContentLen"
		size = 122
		refs = "0010 ParseContentLen 001d THTTPParser.NextToken 003b THTTPParser.TokenInt 004e THTTPParser.CopyToEOL 006a @LStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B 5D 08 83 C3 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 E8 ?? ?? ?? ?? 8B 03 80 78 2D 3A 75 07 8B 03 E8 ?? ?? ?? ?? 8B 03 80 78 2D 03 75 10 8B 03 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 89 42 20 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_50720_0 {
	meta:
		name = "TResponseTransaction.ParseBuffer"
		size = 168
		refs = "0015 TResponseTransaction.ParseBuffer 0023 _Dn_THTTPParser 0028 @AsClass 0036 THTTPParser.CopyToEOL 0044 @LStrAsg 004c THTTPParser.SkipEOL 0064 ParseContentType 006d ParseContentLen 0076 SkipLine 0097 @LStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 83 C0 34 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 29 80 EB 05 74 2F 80 EB 0A 74 06 FE CB 74 0B EB 12 55 E8 ?? ?? ?? ?? 59 EB 10 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC 0F B6 58 2D 84 DB 75 CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50721_0 {
	meta:
		name = "TResponseTransaction.GetColumn"
		size = 220
		refs = "001b TResponseTransaction.GetColumn 003a @UStrLAsg 0052 CurrencyString 005d DateTimeToString 006c @LStrFromUStr 0078 @LStrAsg 0085 THTTPTransaction.GetColumn 009f @UStrArrayClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 2C 03 74 06 2C 02 74 43 EB 4D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 10 89 45 F0 8B 46 14 89 45 F4 FF 75 F4 FF 75 F0 8B 0D ?? ?? ?? ?? 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B C7 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? EB 17 8B C7 8B 56 30 E8 ?? ?? ?? ?? EB 0B 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 68 00 68 00 3A 00 6D 00 6D 00 3A 00 73 00 73 00 3A 00 7A 00 7A 00 7A 00 00 00 00 00 }
	condition:
		$1
}

rule function_50722_0 {
	meta:
		name = "THTTPTransaction.GetColumn"
		size = 126
		refs = "0012 THTTPTransaction.GetColumn 002f IntToStr 003e @LStrFromUStr 004a @LStrAsg 0057 TTransactionLogEntry.GetColumn 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 2C 06 74 06 FE C8 74 1E EB 28 8D 55 FC 8B 46 20 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 17 8B C7 8B 56 24 E8 ?? ?? ?? ?? EB 0B 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50726_0 {
	meta:
		name = "TLogColSettingsFrame.SetLogFrame"
		size = 236
		refs = "0014 TLogColSettingsFrame.SetLogFrame 0027 TLogFrame.SynchColumnInfo 0035 TLogFrame.GetColumnOrder 0050 TListItems.Add 006a TLogFrame.GetColumnCaption 0074 TListItem.SetCaption 0083 TLogFrame.GetColumnVisible 008c TListItem.SetChecked 0097 TListItem.SetData 00b0 TListColumns.GetItem 00bc TControl.GetClientWidth 00c4 TListColumn.SetWidth 00d9 @UStrClr 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C2 89 83 9C 02 00 00 E8 ?? ?? ?? ?? 8D 55 F2 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? C7 45 FC 09 00 00 00 8D 75 F2 8B 83 98 02 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B F8 0F B6 06 88 45 FB 0F B6 55 FB 8D 4D EC 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 0F B6 55 FB 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 0F B6 55 FB 8B C7 E8 ?? ?? ?? ?? 46 FF 4D FC 75 A2 8B 83 98 02 00 00 8B 80 B4 02 00 00 33 D2 E8 ?? ?? ?? ?? 50 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50728_0 {
	meta:
		name = "TLogColSettingsFrame.UpdateColumns"
		size = 109
		refs = "0013 TListItems.GetCount 0030 TListItems.GetItem 0039 TListItem.GetChecked 004a TLogFrame.SetColumnVisible 0059 TLogFrame.RefreshColumns 0064 TLogFrame.RefreshSubItems"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 83 98 02 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 34 47 33 ED 8B 83 98 02 00 00 8B 80 A4 02 00 00 8B D5 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C8 0F B6 56 28 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 45 4F 75 CF 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50731_0 {
	meta:
		name = "TLogDetail.PrevActionExecute"
		size = 33
		refs = "000a TLogFrame.Previous 001b TLogFrame.ShowDetail"
	strings:
		$1 = { 53 8B D8 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 8B 93 AC 03 00 00 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_50733_0 {
	meta:
		name = "TLogDetail.NextActionExecute"
		size = 33
		refs = "000a TLogFrame.Next 001b TLogFrame.ShowDetail"
	strings:
		$1 = { 53 8B D8 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 8B 93 AC 03 00 00 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_50732_0 {
	meta:
		name = "TLogDetail.PrevActionUpdate"
		size = 92
		refs = "000d TLogFrame.GetIndex 001b _Dn_TAction 0020 @AsClass 0026 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 50 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 78 72 00 75 1C 8B 83 98 02 00 00 3B 83 A0 03 00 00 75 0E 8B 83 A8 03 00 00 8B 10 FF 92 F4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_50734_0 {
	meta:
		name = "TLogDetail.NextActionUpdate"
		size = 128
		refs = "000e TLogFrame.GetCount 001d TLogFrame.GetIndex 003e _Dn_TAction 0043 @AsClass 0049 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 85 C0 7E 1D 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 8B F8 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 48 3B F8 7C 04 33 C0 EB 02 B0 01 50 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 78 72 00 75 1C 8B 83 98 02 00 00 3B 83 A4 03 00 00 75 0E 8B 83 A8 03 00 00 8B 10 FF 92 F4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50736_0 {
	meta:
		name = "TLogDetail.CloseActionExecute"
		size = 11
		altNames = "TTeeGallery.ChartGalleryPanel1SelectedChart TTeeGalleryForm.ChartGalleryPanel1SelectedChart TTeeToolsGallery.LBToolDblClick"
	strings:
		$1 = { C7 80 C0 02 00 00 01 00 00 00 C3 }
	condition:
		$1
}

rule function_50737_0 {
	meta:
		name = "TLogDetail.Load"
		size = 272
		refs = "000c TLogDetail.Load 0015 TRegIniFile.ReadInteger 0022 TCustomForm.SetPosition 0029 TCustomForm.GetLeft 0041 TCustomForm.SetLeft 0048 TCustomForm.GetTop 0060 TCustomForm.SetTop 007b TControl.SetWidth 0096 TControl.SetHeight 00a5 TLogDetailFrame.Load"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A 00 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 85 C0 74 7D 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 50 50 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 54 50 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 6F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_50738_0 {
	meta:
		name = "TLogDetail.Save"
		size = 204
		refs = "0014 TLogDetailFrame.Save 001b TCustomForm.GetLeft 0021 TLogDetail.Save 002a TRegIniFile.WriteInteger 0031 TCustomForm.GetTop"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 43 50 50 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 43 54 50 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 6F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_50739_0 {
	meta:
		name = "TLogDetail.FormShow"
		size = 42
		refs = "0010 TLogFrame.ShowDetail"
	strings:
		$1 = { 53 8B D8 8B 93 AC 03 00 00 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 8B 83 AC 03 00 00 8B 80 98 02 00 00 8B 10 FF 92 F4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_50743_0 {
	meta:
		name = "HexToChar"
		size = 109
		refs = "000e HexToChar"
	strings:
		$1 = { 31 C9 3C 30 72 64 3C 66 77 60 88 C1 8A 81 ?? ?? ?? ?? 3C FF 74 54 C0 E0 04 80 FA 30 72 4C 80 FA 66 77 47 88 D1 8A A1 ?? ?? ?? ?? 80 FC FF 74 3A 08 E0 C3 00 01 02 03 04 05 06 07 08 09 FF FF FF FF FF FF FF 0A 0B 0C 0D 0E 0F FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF 0A 0B 0C 0D 0E 0F B0 20 C3 }
	condition:
		$1
}

rule function_50744_0 {
	meta:
		name = "TranslateSpecialChars"
		size = 230
		refs = "0012 @UStrAddRef 001a TranslateSpecialChars 0036 @UStrToPWChar 0041 @UStrFromPWCharLen 0079 HexToChar 0095 Move 00be @UStrSetLength 00d3 @UStrClr 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 FC 8B DE 85 DB 74 05 83 EB 04 8B 1B 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C7 8B CB E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 89 45 F8 8B 5D F8 8B C6 85 C0 74 05 83 E8 04 8B 00 8B F0 03 F6 03 F3 83 EE 02 3B F3 76 44 66 83 3B 25 75 2C 0F B7 53 04 0F B7 43 02 E8 ?? ?? ?? ?? 66 89 03 8B CE 2B CB D1 F9 79 03 83 D1 00 83 E9 02 8D 53 02 8D 43 06 E8 ?? ?? ?? ?? 83 EE 04 66 83 3B 2B 75 05 66 C7 03 20 00 83 C3 02 3B F3 77 BC 8B D6 2B 55 F8 D1 FA 79 03 83 D2 00 42 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50745_0 {
	meta:
		name = "TLogDetailFrame.SetText"
		size = 29
		refs = "000f @UStrAsg 0016 TLogDetailFrame.UpdateText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 D4 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50746_0 {
	meta:
		name = "TLogDetailFrame.GetTranslatedText"
		size = 22
		refs = "000f TranslateSpecialChars"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 D4 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50747_0 {
	meta:
		name = "TLogDetailFrame.UpdateText"
		size = 141
		refs = "000c TLogDetailFrame.UpdateText 0019 TLogDetailFrame.GetWrapText 0026 TCustomMemo.SetWordWrap 002d TLogDetailFrame.GetTranslateText 003b TLogDetailFrame.GetTranslatedText 007d @UStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 98 02 00 00 8B 80 A8 02 00 00 8B 08 FF 51 2C EB 17 8B 83 98 02 00 00 8B 80 A8 02 00 00 8B 93 D4 02 00 00 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_50748_0 {
	meta:
		name = "TLogDetailFrame.GetTranslateText"
		size = 15
	strings:
		$1 = { 8B 80 9C 02 00 00 8B 10 FF 92 F8 00 00 00 C3 }
	condition:
		$1
}

rule function_50749_0 {
	meta:
		name = "TLogDetailFrame.SetTranslateText"
		size = 43
		refs = "0009 TLogDetailFrame.GetTranslateText 0024 TLogDetailFrame.UpdateText"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 17 8B D3 8B 86 9C 02 00 00 8B 08 FF 91 FC 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50750_0 {
	meta:
		name = "TLogDetailFrame.GetWrapText"
		size = 15
	strings:
		$1 = { 8B 80 A0 02 00 00 8B 10 FF 92 F8 00 00 00 C3 }
	condition:
		$1
}

rule function_50751_0 {
	meta:
		name = "TLogDetailFrame.SetWrapText"
		size = 43
		refs = "0009 TLogDetailFrame.GetWrapText 0024 TLogDetailFrame.UpdateWrap"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 17 8B D3 8B 86 A0 02 00 00 8B 08 FF 91 FC 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50752_0 {
	meta:
		name = "TLogDetailFrame.UpdateWrap"
		size = 64
		refs = "0006 TLogDetailFrame.GetWrapText 0013 TCustomMemo.SetWordWrap 002b TCustomMemo.SetScrollBars"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F B2 02 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 5B C3 B2 03 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_50754_0 {
	meta:
		name = "TLogDetailFrame.Load"
		size = 972
		refs = "001c TLogDetailFrame.Load 002a TLogDetailFrame.GetTranslateText 0039 TRegIniFile.ReadBool 0043 TLogDetailFrame.SetTranslateText 004b TLogDetailFrame.GetWrapText 0064 TLogDetailFrame.SetWrapText 0078 TRegIniFile.ReadString 0093 _Dn_TFont 0098 TFont.Create 00bf TFont.GetSize 00ce TRegIniFile.ReadInteger 014d TFont.GetPitch 0159 sPitchNames 0163 CompareText 019e TFont.SetName 01aa TFont.SetStyle 01b5 TFont.SetSize 01c1 TFont.SetPitch 01cb TFont.SetColor 01da @HandleAnyException 01e7 TObject.Free 01ec @DoneExcept 0203 TControl.SetFont 0211 TFontEdit.GetDialog 0222 TFontDialog.SetFont 023d @HandleFinally 0259 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D FC 89 5D F8 8B F9 8B F2 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 6A 00 8D 45 FC 50 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 45 EF 83 7D FC 00 0F 84 B3 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 89 45 F0 6A 00 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 80 4D EF 01 6A 00 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 80 4D EF 02 6A 00 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 80 4D EF 04 6A 00 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 80 4D EF 08 6A 00 8D 45 F8 50 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 88 45 E7 C6 45 E6 00 BB ?? ?? ?? ?? 8B 13 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 09 0F B6 45 E6 88 45 E7 EB 0C FE 45 E6 83 C3 04 80 7D E6 03 75 DD 8B 45 E8 8B 40 18 50 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 55 FC 8B 45 E8 E8 ?? ?? ?? ?? 0F B6 55 EF 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 0F B6 55 E7 8B 45 E8 E8 ?? ?? ?? ?? 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 E8 33 D2 89 55 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E8 00 74 11 8B 45 F4 8B 80 98 02 00 00 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 92 98 02 00 00 8B 52 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 72 00 61 00 6E 00 73 00 6C 00 61 00 74 00 65 00 54 00 65 00 78 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 57 00 72 00 61 00 70 00 54 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 6F 00 6E 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 6F 00 6E 00 74 00 53 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 6F 00 6E 00 74 00 42 00 6F 00 6C 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 6F 00 6E 00 74 00 49 00 74 00 61 00 6C 00 69 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 46 00 6F 00 6E 00 74 00 55 00 6E 00 64 00 65 00 72 00 6C 00 69 00 6E 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 46 00 6F 00 6E 00 74 00 53 00 74 00 72 00 69 00 6B 00 65 00 6F 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 46 00 6F 00 6E 00 74 00 50 00 69 00 74 00 63 00 68 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 46 00 6F 00 6E 00 74 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_50755_0 {
	meta:
		name = "TLogDetailFrame.Save"
		size = 708
		refs = "0018 TLogDetailFrame.Save 0025 TLogDetailFrame.GetTranslateText 0034 TRegIniFile.WriteBool 003b TLogDetailFrame.GetWrapText 0065 TFont.GetName 0077 TRegIniFile.WriteString 007e TFont.GetSize 008d TRegIniFile.WriteInteger 0114 TFont.GetPitch 011e sPitchNames 0154 @UStrClr 015a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 87 98 02 00 00 8B 78 6C 85 FF 0F 84 E4 00 00 00 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 50 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 47 10 0F B6 40 21 88 45 FF F6 45 FF 01 0F 95 C0 50 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 47 10 0F B6 40 21 88 45 FE F6 45 FE 04 0F 95 C0 50 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 47 10 0F B6 40 21 88 45 FD F6 45 FD 08 0F 95 C0 50 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 47 10 0F B6 40 21 88 45 FC F6 45 FC 02 0F 95 C0 50 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 E0 7F 8B 04 85 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 47 18 50 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 72 00 61 00 6E 00 73 00 6C 00 61 00 74 00 65 00 54 00 65 00 78 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 57 00 72 00 61 00 70 00 54 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 6F 00 6E 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 6F 00 6E 00 74 00 53 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 6F 00 6E 00 74 00 42 00 6F 00 6C 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 46 00 6F 00 6E 00 74 00 55 00 6E 00 64 00 65 00 72 00 6C 00 69 00 6E 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 46 00 6F 00 6E 00 74 00 53 00 74 00 72 00 69 00 6B 00 65 00 6F 00 75 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 6F 00 6E 00 74 00 49 00 74 00 61 00 6C 00 69 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 46 00 6F 00 6E 00 74 00 50 00 69 00 74 00 63 00 68 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 46 00 6F 00 6E 00 74 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_50757_0 {
	meta:
		name = "TLogDetailFrame.FontEdit1Accept"
		size = 30
		refs = "000a TFontEdit.GetDialog 0018 TControl.SetFont"
	strings:
		$1 = { 53 8B D8 8B 83 AC 02 00 00 E8 ?? ?? ?? ?? 8B 50 70 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_50760_0 {
	meta:
		name = "TLogFrame.Add"
		size = 338
		refs = "0020 TLogFrame.Add 0030 TLogFrame.GetSubItemOrder 0041 TListItems.Add 004f TListItem.SetData 006e TLogFrame.GetColumnVisible 0092 @UStrFromLStr 00c7 TListItem.SetCaption 00d8 TLogFrame.ConstrainLog 00df TLogFrame.GetItemCount 00f5 TLogFrame.SetCurrent 0103 FLogDetail 0112 TLogFrame.ShowDetail 0127 @LStrClr 012f @UStrClr 0145 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D DC 89 4D D8 89 4D E4 89 4D E0 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EA 8B C6 E8 ?? ?? ?? ?? 8B 86 98 02 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? C6 45 E9 00 C7 45 F4 09 00 00 00 8D 5D EA 0F B6 03 88 45 F3 0F B6 55 F3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 59 80 7D E9 00 74 2A 0F B6 55 F3 8D 4D E0 8B 45 FC 8B 38 FF 57 04 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 8B 40 08 8B 08 FF 51 38 EB 29 0F B6 55 F3 8D 4D D8 8B 45 FC 8B 38 FF 57 04 8B 55 D8 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 E8 ?? ?? ?? ?? C6 45 E9 01 43 FF 4D F4 75 8C 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 48 74 09 80 BE B4 02 00 00 00 75 27 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 80 BE B4 02 00 00 00 74 14 A1 ?? ?? ?? ?? 8B 00 8B 90 AC 03 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50761_0 {
	meta:
		name = "TLogFrame.RefreshSubItems"
		size = 499
		refs = "0024 TLogFrame.RefreshSubItems 0035 TLogFrame.GetSubItemOrder 0049 TListItems.BeginUpdate 006b TListItems.GetCount 0096 TListItems.GetItem 00c5 TLogFrame.GetColumnVisible 00fd @UStrFromLStr 0162 TListItem.SetCaption 019b TListItems.EndUpdate 01a1 @HandleFinally 01b8 @LStrClr 01c0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 D2 89 55 C8 89 55 C4 89 55 D0 89 55 CC 89 55 D8 89 55 D4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EA 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 02 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 98 02 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 06 01 00 00 40 89 45 DC C7 45 F4 00 00 00 00 8B 45 FC 8B 80 98 02 00 00 8B 80 A4 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 40 28 89 45 E4 C6 45 E9 00 33 C0 89 45 E0 BF 09 00 00 00 8D 75 EA 0F B6 06 88 45 F3 0F B6 55 F3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 99 00 00 00 80 7D E9 00 74 6A 8B 45 F8 8B 40 08 8B 10 FF 52 14 3B 45 E0 7F 2A 0F B6 55 F3 8D 4D D4 8B 45 E4 8B 18 FF 53 04 8B 55 D4 8D 45 D8 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F8 8B 40 08 8B 08 FF 51 38 EB 2B 0F B6 55 F3 8D 4D CC 8B 45 E4 8B 18 FF 53 04 8B 55 CC 8D 45 D0 E8 ?? ?? ?? ?? 8B 4D D0 8B 45 F8 8B 40 08 8B 55 E0 8B 18 FF 53 20 FF 45 E0 EB 29 0F B6 55 F3 8D 4D C4 8B 45 E4 8B 18 FF 53 04 8B 55 C4 8D 45 C8 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F8 E8 ?? ?? ?? ?? C6 45 E9 01 46 4F 0F 85 45 FF FF FF FF 45 F4 FF 4D DC 0F 85 05 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 98 02 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50762_0 {
	meta:
		name = "TLogFrame.Clear"
		size = 109
		refs = "0012 TListItems.GetCount 002f TListItems.GetItem 0050 TObject.Free 0065 TListItems.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 98 02 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3B 46 33 DB 8B 87 98 02 00 00 8B 80 A4 02 00 00 8B D3 E8 ?? ?? ?? ?? 83 78 28 00 74 1B 8B 87 98 02 00 00 8B 80 A4 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 40 28 E8 ?? ?? ?? ?? 43 4E 75 C8 8B 87 98 02 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50764_0 {
	meta:
		name = "TLogFrame.ClearActionUpdate"
		size = 51
		refs = "0013 TListItems.GetCount 0021 _Dn_TAction 0026 @AsClass 002c TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 98 02 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 50 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50765_0 {
	meta:
		name = "TLogFrame.GetCount"
		size = 18
		refs = "000d TListItems.GetCount"
		altNames = "TLogFrame.GetItemCount"
	strings:
		$1 = { 8B 80 98 02 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50766_0 {
	meta:
		name = "TLogFrame.GetIndex"
		size = 19
		refs = "0001 TLogFrame.GetSelectedItem 000a TListItem.GetIndex"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 06 E8 ?? ?? ?? ?? C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_50767_0 {
	meta:
		name = "TLogFrame.Next"
		size = 74
		refs = "0008 TLogFrame.GetSelectedItemIndex 001f TListItems.GetCount 0039 TListItems.GetItem 0042 TLogFrame.SetCurrent"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 34 8B 83 98 02 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8D 7E 01 3B C7 7E 1C 8B D7 8B 83 98 02 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50768_0 {
	meta:
		name = "TLogFrame.SetCurrent"
		size = 46
		refs = "0010 TCustomListView.SetSelected 0019 TListItem.MakeVisible"
	strings:
		$1 = { 53 8B DA 85 DB 74 18 8B D3 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 33 D2 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_50769_0 {
	meta:
		name = "TLogFrame.Previous"
		size = 53
		refs = "0007 TLogFrame.GetSelectedItemIndex 0025 TListItems.GetItem 002e TLogFrame.SetCurrent"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 21 85 DB 7E 1D 8B D3 4A 8B 86 98 02 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50770_0 {
	meta:
		name = "TLogFrame.DetailActionExecute"
		size = 80
		refs = "000b TLogFrame.DetailActionExecute 0020 FLogDetail 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 B4 02 00 00 01 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 B4 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_50771_0 {
	meta:
		name = "TLogFrame.ShowDetail"
		size = 131
		refs = "0012 TLogFrame.ShowDetail 001f TLogFrame.GetCurrent 0040 @UStrFromLStr 004a TLogDetailFrame.SetText 0053 TLogDetailFrame.Clear 0068 @LStrClr 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 85 C0 74 20 8D 55 F8 8B C6 8B 08 FF 11 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50772_0 {
	meta:
		name = "TLogFrame.Destroy"
		size = 65
		refs = "0003 @BeforeDestruction 000e TLogFrame.Clear 0013 FLogDetail 0024 TObject.Free 002f TScrollingWinControl.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? 33 C9 89 0A E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50773_0 {
	meta:
		name = "TLogFrame.GetSelectedItem"
		size = 38
		refs = "0006 TLogFrame.GetSelectedItemIndex 001c TListItems.GetItem"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 14 8B 93 98 02 00 00 8B 92 A4 02 00 00 92 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_50774_0 {
	meta:
		name = "TLogFrame.GetSelectedItemIndex"
		size = 127
		refs = "001b TListItems.GetCount 003a TListItems.GetItem 0044 TListItem.GetState"
	strings:
		$1 = { 53 56 57 55 51 8B F0 C7 04 24 FF FF FF FF 8B 86 98 02 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 4E 47 33 ED 8B DD 8B 86 98 02 00 00 8B 80 A4 02 00 00 8B D3 E8 ?? ?? ?? ?? BA 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 2B 8B 86 98 02 00 00 8B 80 A4 02 00 00 8B D3 E8 ?? ?? ?? ?? BA 02 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 03 89 1C 24 45 4F 75 B5 8B 1C 24 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50775_0 {
	meta:
		name = "TLogFrame.GetCurrent"
		size = 32
		refs = "0002 TLogFrame.GetSelectedItem 0011 _Dn_TTransactionLogEntry 0016 @AsClass"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 85 DB 74 10 8B 43 28 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_50776_0 {
	meta:
		name = "TLogFrame.Create"
		size = 253
		refs = "0011 @ClassCreate 0025 TCustomFrame.Create 002e _Dn_TLogDetail 0033 TLogDetail.Create 0039 FLogDetail 0051 DefaultColumnWidth 0058 DefaultColumnVisible 005f LogColumnCaptions 0064 DefaultColumnPositions 00a0 @UStrAsg 00d9 TLogFrame.RefreshColumns 00e6 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B F8 8B 4D F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 A1 ?? ?? ?? ?? 8B 00 89 B8 B0 03 00 00 33 DB C7 45 F4 ?? ?? ?? ?? C7 45 F0 ?? ?? ?? ?? C7 45 EC ?? ?? ?? ?? BE ?? ?? ?? ?? 0F B6 C3 8D 04 80 8B 55 F4 8B 12 89 94 87 C4 02 00 00 0F B6 C3 8D 04 80 8B 55 F0 0F B6 12 88 94 87 C0 02 00 00 0F B6 C3 8D 04 80 8D 84 87 D0 02 00 00 8B 55 EC 8B 12 E8 ?? ?? ?? ?? 0F B6 C3 8D 04 80 8B 16 89 94 87 C8 02 00 00 0F B6 C3 8D 04 80 8B 16 89 94 87 CC 02 00 00 43 83 C6 04 83 45 EC 04 FF 45 F0 83 45 F4 04 80 FB 09 75 92 8B C7 E8 ?? ?? ?? ?? 8B C7 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50777_0 {
	meta:
		name = "TLogFrame.RefreshColumns"
		size = 259
		refs = "0024 TLogFrame.RefreshColumns 003e TCollection.Clear 0049 TLogFrame.GetColumnOrder 008f TListColumns.Add 00a4 TListColumn.SetCaption 00b6 TListColumn.SetWidth 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 45 FC 8B 45 FC 8B 80 98 02 00 00 8B 80 B4 02 00 00 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 98 02 00 00 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 8D 55 EB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 E4 C7 45 F8 09 00 00 00 8D 75 EB 0F B6 1E 0F B6 C3 8D 3C 80 8B 45 FC 80 BC B8 C0 02 00 00 00 74 4D 8B 45 FC 8B 55 E4 89 94 B8 CC 02 00 00 8B 45 FC 8B 80 98 02 00 00 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 94 B8 D0 02 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 94 B8 C4 02 00 00 8B 45 F4 E8 ?? ?? ?? ?? FF 45 E4 EB 0E 8B 45 FC C7 84 B8 CC 02 00 00 08 00 00 00 46 FF 4D F8 75 89 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 98 02 00 00 8B 80 B4 02 00 00 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB E4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50778_0 {
	meta:
		name = "TLogFrame.ConstrainLog"
		size = 107
		refs = "001a TListItems.GetCount 004a TListItems.Delete"
	strings:
		$1 = { 53 56 8B D8 83 BB 74 03 00 00 00 7E 5B 8B 83 98 02 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 3B 83 74 03 00 00 7E 42 8B 83 78 03 00 00 85 C0 7E 04 8B F0 EB 1B BE 01 00 00 00 EB 14 8B 83 98 02 00 00 8B 80 A4 02 00 00 33 D2 E8 ?? ?? ?? ?? 4E 8B 83 98 02 00 00 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 04 85 F6 7F D3 5E 5B C3 }
	condition:
		$1
}

rule function_50779_0 {
	meta:
		name = "TLogFrame.SetLogMax"
		size = 12
		refs = "0007 TLogFrame.ConstrainLog"
	strings:
		$1 = { 89 90 74 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50780_0 {
	meta:
		name = "TLogFrame.lvLogDblClick"
		size = 8
		refs = "0003 TLogFrame.DetailActionExecute"
	strings:
		$1 = { 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75602_0 {
	meta:
		name = "TCoolBand.ParentBitmapChanged"
		size = 8
		refs = "0003 TCoolBand.BitmapChanged"
	strings:
		$1 = { 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92635_0 {
	meta:
		name = "TFormTeeSeries.CBSortByChange"
		size = 8
		refs = "0003 TFormTeeSeries.CBSortOrderChange"
	strings:
		$1 = { 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94888_0 {
	meta:
		name = "TSelectListForm.ToListDblClick"
		size = 8
		refs = "0003 TSelectListForm.BLeftOneClick"
	strings:
		$1 = { 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92872_0 {
	meta:
		name = "TTeeExportFormBase.CBNativeDataClick"
		size = 8
		refs = "0003 TTeeExportFormBase.CBFileSizeClick"
	strings:
		$1 = { 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50781_0 {
	meta:
		name = "TLogFrame.lvLogColumnClick"
		size = 99
		refs = "0015 TCollectionItem.GetIndex 004a _Dn_TCustomListView 004f @AsClass 0054 TCustomListView.AlphaSort"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 80 BB BD 02 00 00 00 74 20 8B C6 E8 ?? ?? ?? ?? 3B 83 B8 02 00 00 75 11 0F B6 83 BC 02 00 00 34 01 88 83 BC 02 00 00 EB 07 C6 83 BC 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 83 B8 02 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 BD 02 00 00 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50782_0 {
	meta:
		name = "SortOnKey"
		size = 177
		refs = "0012 SortOnKey 0065 @LStrToPChar 0080 AnsiStrComp 009c @LStrArrayClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 0F B6 C3 8D 04 80 8B 55 08 8B 52 FC 8B 84 82 CC 02 00 00 8B 55 08 8B 52 FC 3B 82 B8 02 00 00 74 47 8B 45 08 8B 40 F8 8B 70 28 8B 45 08 8B 40 10 8B 40 28 89 45 FC 8B D3 8D 4D F8 8B 45 FC 8B 38 FF 57 04 8B 45 F8 E8 ?? ?? ?? ?? 50 8B D3 8D 4D F4 8B C6 8B 18 FF 53 04 8B 45 F4 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50783_0 {
	meta:
		name = "TLogFrame.lvLogCompare"
		size = 213
		refs = "001e TLogFrame.lvLogCompare 0042 CompareText 0076 AnsiCompareText 0085 SortOnKey 00c0 @UStrArrayClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F4 89 5D F0 89 4D F8 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B8 02 00 00 85 C0 75 15 8B 45 10 8B 50 20 8B 45 F8 8B 40 20 E8 ?? ?? ?? ?? 89 03 EB 32 8B F0 4E 8D 4D F4 8B 45 10 8B 40 08 8B D6 8B 38 FF 57 0C 8B 45 F4 50 8D 4D F0 8B 45 F8 8B 40 08 8B D6 8B 30 FF 56 0C 8B 45 F0 5A E8 ?? ?? ?? ?? 89 03 83 3B 00 75 1B 55 B0 08 E8 ?? ?? ?? ?? 59 89 03 83 3B 00 75 0B 55 B0 01 E8 ?? ?? ?? ?? 59 89 03 8B 45 FC 80 B8 BC 02 00 00 00 74 02 F7 1B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_50784_0 {
	meta:
		name = "TLogFrame.GetColumnVisible"
		size = 15
	strings:
		$1 = { 83 E2 7F 8D 14 92 0F B6 84 90 C0 02 00 00 C3 }
	condition:
		$1
}

rule function_50785_0 {
	meta:
		name = "TLogFrame.GetColumnWidth"
		size = 14
	strings:
		$1 = { 83 E2 7F 8D 14 92 8B 84 90 C4 02 00 00 C3 }
	condition:
		$1
}

rule function_50786_0 {
	meta:
		name = "TLogFrame.SetColumnVisible"
		size = 14
	strings:
		$1 = { 83 E2 7F 8D 14 92 88 8C 90 C0 02 00 00 C3 }
	condition:
		$1
}

rule function_50787_0 {
	meta:
		name = "TLogFrame.SetColumnWidth"
		size = 14
	strings:
		$1 = { 83 E2 7F 8D 14 92 89 8C 90 C4 02 00 00 C3 }
	condition:
		$1
}

rule function_50788_0 {
	meta:
		name = "TLogFrame.GetColumnCaption"
		size = 33
		refs = "0019 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B C7 0F B6 D3 8D 14 92 8B 94 96 D0 02 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50789_0 {
	meta:
		name = "TLogFrame.Load"
		size = 384
		refs = "001a TLogFrame.Load 0025 FLogDetail 0034 TLogDetail.Load 003b LogColumnID 0052 @UStrCatN 005b TLogFrame.GetColumnVisible 006c TRegIniFile.ReadBool 0077 TLogFrame.SetColumnVisible 0080 TLogFrame.GetColumnWidth 0091 TRegIniFile.ReadInteger 009c TLogFrame.SetColumnWidth 00a5 TLogFrame.GetColumnPosition 00c1 TLogFrame.SetColumnPosition 00d5 TLogFrame.RefreshColumns 00ea @UStrClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 33 DB BF ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF 37 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 83 C7 04 80 FB 09 0F 85 6D FF FF FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 65 00 74 00 61 00 69 00 6C 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 69 00 73 00 69 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_50790_0 {
	meta:
		name = "TLogFrame.Save"
		size = 344
		refs = "001a TLogFrame.Save 0025 FLogDetail 0034 TLogDetail.Save 003b TLogFrame.SynchColumnInfo 0042 LogColumnID 0059 @UStrCatN 0062 TLogFrame.GetColumnVisible 0073 TRegIniFile.WriteBool 007c TLogFrame.GetColumnWidth 008d TRegIniFile.WriteInteger 0096 TLogFrame.GetColumnPosition 00c5 @UStrClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 DB BE ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF 36 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 43 83 C6 04 80 FB 09 75 92 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 65 00 74 00 61 00 69 00 6C 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 69 00 73 00 69 00 62 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_50791_0 {
	meta:
		name = "TLogFrame.SynchColumnInfo"
		size = 265
		refs = "007c TListColumns.GetItem 0091 AnsiCompareText 00b8 TListColumn.GetWidth"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 BF 09 00 00 00 8D 44 24 01 C6 00 FF 40 4F 75 F9 C6 04 24 00 0F B6 04 24 8D 04 80 80 BC 86 C0 02 00 00 00 75 0F 8B 84 86 C8 02 00 00 0F B6 14 24 88 54 04 01 FE 04 24 80 3C 24 09 75 D7 8B 86 98 02 00 00 8B 80 B4 02 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C A2 00 00 00 40 89 44 24 0C 33 FF C6 04 24 00 33 DB 8B 86 98 02 00 00 8B 80 B4 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B 50 10 0F B6 C3 8D 04 80 8B 84 86 D0 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 05 88 1C 24 EB 06 43 80 FB 09 75 C9 8B 86 98 02 00 00 8B 80 B4 02 00 00 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 14 24 8D 14 92 89 84 96 C4 02 00 00 8B D7 83 FA 08 7F 26 8D 44 14 01 80 38 FF 75 16 0F B6 0C 24 8D 0C 89 89 94 8E C8 02 00 00 0F B6 0C 24 88 08 EB 07 42 40 83 FA 09 75 DE 47 FF 4C 24 0C 0F 85 65 FF FF FF 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50792_0 {
	meta:
		name = "TLogFrame.GetColumnPosition"
		size = 14
	strings:
		$1 = { 83 E2 7F 8D 14 92 8B 84 90 C8 02 00 00 C3 }
	condition:
		$1
}

rule function_50793_0 {
	meta:
		name = "TLogFrame.SetColumnPosition"
		size = 14
	strings:
		$1 = { 83 E2 7F 8D 14 92 89 8C 90 C8 02 00 00 C3 }
	condition:
		$1
}

rule function_50794_0 {
	meta:
		name = "TLogFrame.GetColumnOrder"
		size = 31
	strings:
		$1 = { 53 33 C9 0F B6 D9 8D 1C 9B 8B 9C 98 C8 02 00 00 8D 1C 1A 53 5B 88 0B 41 80 F9 09 75 E6 5B C3 }
	condition:
		$1
}

rule function_50795_0 {
	meta:
		name = "TLogFrame.GetSubItemOrder"
		size = 31
	strings:
		$1 = { 53 33 C9 0F B6 D9 8D 1C 9B 8B 9C 98 CC 02 00 00 8D 1C 1A 53 5B 88 0B 41 80 F9 09 75 E6 5B C3 }
	condition:
		$1
}

rule function_50796_0 {
	meta:
		name = "TLogFrame.GetSubItemPosition"
		size = 14
	strings:
		$1 = { 83 E2 7F 8D 14 92 8B 84 90 CC 02 00 00 C3 }
	condition:
		$1
}

rule function_50797_0 {
	meta:
		name = "TLogFrame.SetSubItemPosition"
		size = 14
	strings:
		$1 = { 83 E2 7F 8D 14 92 89 8C 90 CC 02 00 00 C3 }
	condition:
		$1
}

rule function_50798_0 {
	meta:
		name = "TLogFrame.GetColumn"
		size = 97
		refs = "0033 TListColumns.GetItem 004b AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B D8 8B 83 98 02 00 00 8B 80 B4 02 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 36 46 33 ED 8B 83 98 02 00 00 8B 80 B4 02 00 00 8B D5 E8 ?? ?? ?? ?? 8B F8 0F B6 04 24 8D 04 80 8B 94 83 D0 02 00 00 8B 47 10 E8 ?? ?? ?? ?? 85 C0 74 06 45 4E 75 CD 33 FF 8B C7 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50800_0 {
	meta:
		name = "TLogFrame.SetLogDelete"
		size = 7
	strings:
		$1 = { 89 90 78 03 00 00 C3 }
	condition:
		$1
}

rule function_50801_0 {
	meta:
		name = "Finalization"
		size = 90
		refs = "0007 Finalization 0013 _DV_2 001a LogColumnCaptions 0025 string 002a @FinalizeArray 002f LogColumnID 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2A B8 ?? ?? ?? ?? B9 09 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 09 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_50803_0 {
	meta:
		name = "TWebAppDbgMainForm.ToggleServerActionExecute"
		size = 24
		refs = "0006 TWebAppDbgMainForm.GetServerActive 0012 TWebAppDbgMainForm.SetServerActive"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77927_0 {
	meta:
		name = "TDBLookupCombo.EditingChange"
		size = 24
		refs = "0006 TDBLookupCombo.CanEdit 0012 TCustomEdit.SetReadOnly"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_50804_0 {
	meta:
		name = "TWebAppDbgMainForm.FormCreate"
		size = 584
		refs = "0016 TWebAppDbgMainForm.FormCreate 0024 sWebAppDebugger 0029 LoadResString 0034 TControl.SetText 0049 Application 0050 TApplication.SetTitle 005a _Dn_TCustomWebServer 005f TCustomWebServer.Create 0077 TWebAppDbgMainForm.OnLog 0083 TCustomWebServer.SetPort 0095 @UStrAsg 00be TCustomWebServer.SetSearchPath 00e4 TWebAppDbgMainForm.CreateRegistry 0100 TWebAppDbgMainForm.Load 0115 TRegistry.CloseKey 011d TObject.Free 0123 @HandleFinally 0138 TRunningWebAppListener.SetActive 0154 TCustomWebServer.SetActive 016e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 4D F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 30 04 00 00 8B 45 FC 89 43 4C C7 43 48 ?? ?? ?? ?? 8B C3 BA 91 1F 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 28 04 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 30 04 00 00 83 C0 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 30 04 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 80 34 04 00 00 01 8B 45 FC C6 80 2C 04 00 00 01 8B 45 FC C6 80 2D 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 80 30 04 00 00 8B 40 5C B2 01 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 2D 04 00 00 00 74 10 8B 45 FC 8B 80 30 04 00 00 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6D 00 6F 00 7A 00 69 00 6C 00 6C 00 61 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 49 00 6E 00 66 00 6F 00 2E 00 53 00 65 00 72 00 76 00 65 00 72 00 49 00 6E 00 66 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 32 00 00 00 24 00 28 00 42 00 44 00 53 00 29 00 5C 00 73 00 6F 00 75 00 72 00 63 00 65 00 5C 00 77 00 65 00 62 00 6D 00 69 00 64 00 61 00 73 00 3B 00 24 00 28 00 42 00 44 00 53 00 29 00 5C 00 64 00 65 00 6D 00 6F 00 73 00 5C 00 77 00 65 00 62 00 73 00 6E 00 61 00 70 00 5C 00 69 00 6D 00 61 00 67 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_50805_0 {
	meta:
		name = "TWebAppDbgMainForm.ToggleServerActionUpdate"
		size = 152
		refs = "0011 TWebAppDbgMainForm.ToggleServerActionUpdate 001e TWebAppDbgMainForm.GetServerActive 002a sStopServer 002f LoadResString 003b _Dn_TAction 0040 @AsClass 0046 TCustomAction.SetCaption 0050 sStartServer 0086 @UStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 26 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 24 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50807_0 {
	meta:
		name = "TWebAppDbgMainForm.StopActionUpdate"
		size = 36
		refs = "0009 TWebAppDbgMainForm.GetServerActive 0012 _Dn_TAction 0017 @AsClass 001d TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50809_0 {
	meta:
		name = "TWebAppDbgMainForm.StartActionUpdate"
		size = 38
		refs = "0009 TWebAppDbgMainForm.GetServerActive 0014 _Dn_TAction 0019 @AsClass 001f TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 34 01 50 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50810_0 {
	meta:
		name = "TWebAppDbgMainForm.GetSearchPath"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 30 04 00 00 8B 52 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50811_0 {
	meta:
		name = "TWebAppDbgMainForm.GetServerActive"
		size = 12
		refs = "0007 TCustomWebServer.GetActive"
	strings:
		$1 = { 8B 80 30 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50812_0 {
	meta:
		name = "TWebAppDbgMainForm.GetServerPort"
		size = 12
		refs = "0007 TCustomWebServer.GetPort"
	strings:
		$1 = { 8B 80 30 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50813_0 {
	meta:
		name = "TWebAppDbgMainForm.SetSearchPath"
		size = 12
		refs = "0007 TCustomWebServer.SetSearchPath"
	strings:
		$1 = { 8B 80 30 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50814_0 {
	meta:
		name = "TWebAppDbgMainForm.SetServerActive"
		size = 12
		refs = "0007 TCustomWebServer.SetActive"
	strings:
		$1 = { 8B 80 30 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50815_0 {
	meta:
		name = "TWebAppDbgMainForm.SetServerPort"
		size = 90
		refs = "0009 TWebAppDbgMainForm.GetServerActive 0018 TCustomWebServer.GetPort 0029 TCustomWebServer.SetActive 0036 TCustomWebServer.SetPort"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 39 8B 83 30 04 00 00 E8 ?? ?? ?? ?? 3B F0 74 2A 33 D2 8B 83 30 04 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 30 04 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 30 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B 83 30 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50816_0 {
	meta:
		name = "TWebAppDbgMainForm.SetUDPPort"
		size = 77
		refs = "0010 TRunningWebAppListener.GetActive 001b TRunningWebAppListener.GetPort 0028 TRunningWebAppListener.SetActive 0031 TRunningWebAppListener.SetPort"
	strings:
		$1 = { 53 56 8B F2 8B 80 30 04 00 00 8B 58 5C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 29 8B C3 E8 ?? ?? ?? ?? 3B F0 74 1E 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50817_0 {
	meta:
		name = "TWebAppDbgMainForm.PropertiesActionExecute"
		size = 585
		refs = "0013 TWebAppDbgMainForm.PropertiesActionExecute 001f Application 0028 _Dn_TDlgProperties 002d TCustomForm.Create 0045 TWebAppDbgMainForm.GetServerPort 004f TDlgProperties.SetServerPort 0059 TWebAppDbgMainForm.GetSearchPath 0064 TDlgProperties.SetServerPath 006e TWebAppDbgMainForm.GetDefaultURL 0079 TDlgProperties.SetDefaultURL 0080 TWebAppDbgMainForm.GetLogMax 008a TDlgProperties.SetLogMax 0091 TWebAppDbgMainForm.GetLogDelete 009b TDlgProperties.SetLogDelete 00b7 TDlgProperties.SetActiveAtStartup 00d2 TDlgProperties.SetLogFrame 00d9 TWebAppDbgMainForm.GetUDPPort 00e3 TDlgProperties.SetUDPPort 00f1 TDlgProperties.SetBrowser 010b TDlgProperties.GetServerPort 0114 TWebAppDbgMainForm.SetServerPort 011f TDlgProperties.GetServerPath 0129 TWebAppDbgMainForm.SetSearchPath 0134 TDlgProperties.GetDefaultURL 013e TWebAppDbgMainForm.SetDefaultURL 0146 TDlgProperties.GetLogMax 014f TWebAppDbgMainForm.SetLogMax 0157 TDlgProperties.GetLogDelete 0160 TWebAppDbgMainForm.SetLogDelete 0175 TDlgProperties.GetActiveAtStartup 0190 TDlgProperties.GetUDPPort 0199 TWebAppDbgMainForm.SetUDPPort 01a4 TDlgProperties.GetBrowser 01b2 @UStrAsg 01ba TDlgProperties.UpdateColumns 01c1 TWebAppDbgMainForm.CreateRegistry 01dc TWebAppDbgMainForm.Save 01f1 TRegistry.CloseKey 01f9 TObject.Free 01ff @HandleFinally 0238 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 83 2C 04 00 00 88 83 2C 04 00 00 0F B6 93 2D 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 83 2E 04 00 00 88 83 2E 04 00 00 8B 93 0C 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 93 28 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 48 0F 85 FE 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B6 83 2C 04 00 00 88 83 2C 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 88 83 2D 04 00 00 0F B6 83 2E 04 00 00 88 83 2E 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8D 83 28 04 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50818_0 {
	meta:
		name = "TWebAppDbgMainForm.ExitActionExecute"
		size = 13
		refs = "0001 Application 0008 TApplication.Terminate"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95589_0 {
	meta:
		name = "TCGIRequest.ReadClient"
		size = 13
		refs = "0001 Input 0008 FileRead"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95592_0 {
	meta:
		name = "TCGIRequest.WriteClient"
		size = 13
		refs = "0001 Output 0008 FileWrite"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98570_0 {
	meta:
		name = "TCustomSessionsService.CheckStatusChange"
		size = 13
		refs = "0001 Sessions 0008 TSessions.CheckStatusChange"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98572_0 {
	meta:
		name = "TCustomSessionsService.Clear"
		size = 13
		refs = "0001 Sessions 0008 TCollection.Clear"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98585_0 {
	meta:
		name = "TCustomSessionsService.GetMaxSessions"
		size = 13
		refs = "0001 Sessions 0008 TSessions.GetMaxSessions"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98579_0 {
	meta:
		name = "TCustomSessionsService.LoadFromFile"
		size = 13
		refs = "0001 Sessions 0008 TSessions.LoadFromFile"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98580_0 {
	meta:
		name = "TCustomSessionsService.LoadFromStream"
		size = 13
		refs = "0001 Sessions 0008 TSessions.LoadFromStream"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98582_0 {
	meta:
		name = "TCustomSessionsService.SaveToFile"
		size = 13
		refs = "0001 Sessions 0008 TSessions.SaveToFile"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98583_0 {
	meta:
		name = "TCustomSessionsService.SaveToStream"
		size = 13
		refs = "0001 Sessions 0008 TSessions.SaveToStream"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98584_0 {
	meta:
		name = "TCustomSessionsService.SetMaxSessions"
		size = 13
		refs = "0001 Sessions 0008 TSessions.SetMaxSessions"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85626_0 {
	meta:
		name = "TSeRollPanelObject.OwnerUpdate"
		size = 13
		refs = "0001 Application 0008 TApplication.ProcessMessages"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77624_0 {
	meta:
		name = "TVCLScreenApplication.ProcessMessages"
		size = 13
		refs = "0001 Application 0008 TApplication.ProcessMessages"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77626_0 {
	meta:
		name = "TVCLScreenApplication.SetTitle"
		size = 13
		refs = "0001 Application 0008 TApplication.SetTitle"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50819_0 {
	meta:
		name = "TWebAppDbgMainForm.FormDestroy"
		size = 114
		refs = "0013 TLogFrame.SynchColumnInfo 001b TWebAppDbgMainForm.CreateRegistry 0026 TWebAppDbgMainForm.FormDestroy 0037 TWebAppDbgMainForm.Save 004c TRegistry.CloseKey 0054 TObject.Free 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 80 0C 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 80 30 04 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_50820_0 {
	meta:
		name = "TWebAppDbgMainForm.HomeClick"
		size = 124
		refs = "000e TWebAppDbgMainForm.HomeClick 001b TWebAppDbgMainForm.GetServerActive 0029 TWebAppDbgMainForm.GetTranslatedDefaultURL 0047 @UStrToPWChar 0051 ShellExecute 006b @UStrArrayClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 22 6A 04 6A 00 6A 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_50821_0 {
	meta:
		name = "TWebAppDbgMainForm.GetDefaultURL"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 30 04 00 00 8B 52 54 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50822_0 {
	meta:
		name = "TWebAppDbgMainForm.SetDefaultURL"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 30 04 00 00 83 C0 54 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50823_0 {
	meta:
		name = "TWebAppDbgMainForm.CreateRegistry"
		size = 284
		refs = "0012 TWebAppDbgMainForm.CreateRegistry 001f _Dn_TRegIniFile 0024 TRegistry.Create 0042 TRegistry.SetRootKey 0051 TRegistry.OpenKey 006f sCouldNotOpenRegKey 0074 LoadResString 007e _Dn_Exception 0083 Exception.CreateFmt 0088 @RaiseExcept 0097 @HandleAnyException 009f TObject.Free 00a4 @RaiseAgain 00a9 @DoneExcept 00be @UStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 02 00 00 80 8B 45 FC E8 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 33 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 1C 00 00 00 5C 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 43 00 6F 00 64 00 65 00 47 00 65 00 61 00 72 00 5C 00 57 00 65 00 62 00 41 00 70 00 70 00 44 00 62 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_50824_0 {
	meta:
		name = "TWebAppDbgMainForm.Save"
		size = 956
		refs = "0011 TWebAppDbgMainForm.Save 001e TWebAppDbgMainForm.GetServerPort 002d TRegIniFile.WriteInteger 0037 TWebAppDbgMainForm.GetSearchPath 0049 TRegIniFile.WriteString 0053 TWebAppDbgMainForm.GetDefaultURL 006c TWebAppDbgMainForm.GetLogMax 0082 TWebAppDbgMainForm.GetLogDelete 00a7 TRegIniFile.WriteBool 0106 TWebAppDbgMainForm.GetUDPPort 013a TCustomForm.GetLeft 0150 TCustomForm.GetTop 0195 TLogFrame.Save 01af @UStrArrayClr 01b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 83 2C 04 00 00 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 83 2D 04 00 00 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 83 2E 04 00 00 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 83 34 04 00 00 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 83 A2 02 00 00 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 83 28 04 00 00 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 80 BB A2 02 00 00 00 75 50 8B C3 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 43 50 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 43 54 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B 83 0C 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 61 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 55 00 52 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4C 00 6F 00 67 00 4D 00 61 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4C 00 6F 00 67 00 44 00 65 00 6C 00 65 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 68 00 6F 00 77 00 41 00 74 00 53 00 74 00 61 00 72 00 74 00 75 00 70 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 41 00 63 00 74 00 69 00 76 00 65 00 41 00 74 00 53 00 74 00 61 00 72 00 74 00 75 00 70 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 48 00 69 00 64 00 65 00 4F 00 6E 00 43 00 6C 00 6F 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 6F 00 67 00 4F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 53 00 74 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 44 00 50 00 50 00 6F 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 72 00 6F 00 77 00 73 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 6F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_50825_0 {
	meta:
		name = "TWebAppDbgMainForm.Load"
		size = 1128
		refs = "0014 TWebAppDbgMainForm.Load 0021 TWebAppDbgMainForm.GetServerPort 0030 TRegIniFile.ReadInteger 0039 TWebAppDbgMainForm.SetServerPort 0043 TWebAppDbgMainForm.GetSearchPath 0059 TRegIniFile.ReadString 0063 TWebAppDbgMainForm.SetSearchPath 006d TWebAppDbgMainForm.GetDefaultURL 008d TWebAppDbgMainForm.SetDefaultURL 0094 TWebAppDbgMainForm.GetLogMax 00ac TWebAppDbgMainForm.SetLogMax 00b3 TWebAppDbgMainForm.GetLogDelete 00cb TWebAppDbgMainForm.SetLogDelete 00e1 TRegIniFile.ReadBool 0142 TWebAppDbgMainForm.GetUDPPort 015a TWebAppDbgMainForm.SetUDPPort 0181 @UStrAsg 018d TRegistry.ValueExists 019e TCustomForm.SetPosition 01a5 TCustomForm.GetLeft 01bd TCustomForm.SetLeft 01c4 TCustomForm.GetTop 01dc TCustomForm.SetTop 01f7 TControl.SetWidth 0212 TControl.SetHeight 0231 TCustomForm.SetWindowState 0243 TLogFrame.Load 025d @UStrArrayClr 0263 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 FC 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 F4 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B6 83 2C 04 00 00 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 88 83 2C 04 00 00 0F B6 83 2D 04 00 00 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 88 83 2D 04 00 00 0F B6 83 2E 04 00 00 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 88 83 2E 04 00 00 0F B6 83 34 04 00 00 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 88 83 34 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 28 04 00 00 50 8D 45 EC 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8D 83 28 04 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 9C 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 50 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 54 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B6 83 A2 02 00 00 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B 83 0C 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 61 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 55 00 52 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4C 00 6F 00 67 00 4D 00 61 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4C 00 6F 00 67 00 44 00 65 00 6C 00 65 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 68 00 6F 00 77 00 41 00 74 00 53 00 74 00 61 00 72 00 74 00 75 00 70 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 41 00 63 00 74 00 69 00 76 00 65 00 41 00 74 00 53 00 74 00 61 00 72 00 74 00 75 00 70 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 48 00 69 00 64 00 65 00 4F 00 6E 00 43 00 6C 00 6F 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 6F 00 67 00 4F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 44 00 50 00 50 00 6F 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 72 00 6F 00 77 00 73 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 6F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 53 00 74 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_50827_0 {
	meta:
		name = "TWebAppDbgMainForm.SysTray1DblClick"
		size = 13
		refs = "0008 TCustomForm.SetVisible"
	strings:
		$1 = { 0F B6 50 61 80 F2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50830_0 {
	meta:
		name = "TWebAppDbgMainForm.MainUpdateActionUpdate"
		size = 312
		refs = "0011 TWebAppDbgMainForm.MainUpdateActionUpdate 0021 TWebAppDbgMainForm.GetTranslatedDefaultURL 003f TControl.SetText 0049 sNoDefaultURL 004e LoadResString 0063 TWebAppDbgMainForm.GetServerActive 008a TFont.SetColor 009f TFont.SetStyle 00ae TControl.SetCursor 00ec TWebAppDbgMainForm.GetServerPort 00f4 IntToStr 011c @UStrArrayClr 0122 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 1A 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? EB 1B 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 49 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 83 7D F0 00 74 39 8B 83 F4 03 00 00 8B 40 6C BA 0D 00 00 FF E8 ?? ?? ?? ?? 8B 83 F4 03 00 00 8B 40 6C 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 BA EB FF 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? EB 35 8B 83 F4 03 00 00 8B 40 6C BA 08 00 00 FF E8 ?? ?? ?? ?? 8B 83 F4 03 00 00 8B 40 6C 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 83 04 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 04 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_50831_0 {
	meta:
		name = "TWebAppDbgMainForm.GetTranslatedDefaultURL"
		size = 22
		refs = "000f TCustomWebServer.GetTranslatedDefaultURL"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 30 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50832_0 {
	meta:
		name = "TWebAppDbgMainForm.OnLog"
		size = 63
		refs = "0016 TStatsFrame.LogStatistics 002c TLogFrame.Add"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B D8 8B 7D 08 8B D6 8B 83 24 04 00 00 E8 ?? ?? ?? ?? 80 BB 34 04 00 00 00 74 12 8B D6 8B 83 0C 04 00 00 E8 ?? ?? ?? ?? C6 07 00 EB 03 C6 07 01 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_50833_0 {
	meta:
		name = "TWebAppDbgMainForm.GetLogMax"
		size = 13
	strings:
		$1 = { 8B 80 0C 04 00 00 8B 80 74 03 00 00 C3 }
	condition:
		$1
}

rule function_50834_0 {
	meta:
		name = "TWebAppDbgMainForm.SetLogMax"
		size = 12
		refs = "0007 TLogFrame.SetLogMax"
	strings:
		$1 = { 8B 80 0C 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50836_0 {
	meta:
		name = "TWebAppDbgMainForm.SetLogDelete"
		size = 12
		refs = "0007 TLogFrame.SetLogDelete"
	strings:
		$1 = { 8B 80 0C 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50835_0 {
	meta:
		name = "TWebAppDbgMainForm.GetLogDelete"
		size = 13
	strings:
		$1 = { 8B 80 0C 04 00 00 8B 80 78 03 00 00 C3 }
	condition:
		$1
}

rule function_50837_0 {
	meta:
		name = "TWebAppDbgMainForm.ToggleLogActionExecute"
		size = 25
	strings:
		$1 = { 53 8B D8 8B 83 14 04 00 00 8B 10 FF 92 F8 00 00 00 88 83 34 04 00 00 5B C3 }
	condition:
		$1
}

rule function_50838_0 {
	meta:
		name = "TWebAppDbgMainForm.ToggleLogActionUpdate"
		size = 34
		refs = "000a _Dn_TAction 000f @AsClass 001b TCustomAction.SetChecked"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 93 34 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50840_0 {
	meta:
		name = "TWebAppDbgMainForm.GetUDPPort"
		size = 15
		refs = "000a TRunningWebAppListener.GetPort"
	strings:
		$1 = { 8B 80 30 04 00 00 8B 40 5C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50841_0 {
	meta:
		name = "TWebAppDbgMainForm.StatsFrameResetCountsActionExecute"
		size = 57
		refs = "000b TStatsFrame.ResetCountsActionExecute 0020 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B 83 24 04 00 00 E8 ?? ?? ?? ?? 8B 83 24 04 00 00 8B 80 98 02 00 00 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 74 0E 8B 83 90 03 00 00 8B 10 FF 92 F4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_50844_0 {
	meta:
		name = "TDlgProperties.GetDefaultURL"
		size = 22
		refs = "000f TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50845_0 {
	meta:
		name = "TDlgProperties.GetServerPath"
		size = 22
		refs = "000f TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50846_0 {
	meta:
		name = "TDlgProperties.GetServerPort"
		size = 81
		refs = "000c TDlgProperties.GetServerPort 0020 TControl.GetText 0028 StrToInt 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_50847_0 {
	meta:
		name = "TDlgProperties.SetDefaultURL"
		size = 12
		refs = "0007 TControl.SetText"
	strings:
		$1 = { 8B 80 D8 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50848_0 {
	meta:
		name = "TDlgProperties.SetServerPath"
		size = 12
		refs = "0007 TControl.SetText"
	strings:
		$1 = { 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50849_0 {
	meta:
		name = "TDlgProperties.SetServerPort"
		size = 83
		refs = "000f TDlgProperties.SetServerPort 001f IntToStr 002d TControl.SetText 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50850_0 {
	meta:
		name = "TDlgProperties.NumericKeyPress"
		size = 136
		refs = "0007 TDlgProperties.NumericKeyPress 003c MessageBeep"
	strings:
		$1 = { 56 8B F1 0F B7 06 BA ?? ?? ?? ?? 66 3D FF 00 77 06 0F B7 C0 0F A3 02 0F 92 C0 84 C0 74 27 0F B7 06 BA ?? ?? ?? ?? 66 3D FF 00 77 06 0F B7 C0 0F A3 02 0F 92 C0 84 C0 75 0C 6A 00 E8 ?? ?? ?? ?? 66 C7 06 00 00 5E C3 00 00 00 00 00 FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF 00 00 00 00 00 00 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_50851_0 {
	meta:
		name = "TDlgProperties.GetLogMax"
		size = 81
		refs = "000c TDlgProperties.GetLogMax 0020 TControl.GetText 0028 StrToInt 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_50852_0 {
	meta:
		name = "TDlgProperties.SetLogMax"
		size = 83
		refs = "000f TDlgProperties.SetLogMax 001f IntToStr 002d TControl.SetText 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50853_0 {
	meta:
		name = "TDlgProperties.GetActiveAtStartup"
		size = 15
	strings:
		$1 = { 8B 80 D4 03 00 00 8B 10 FF 92 F8 00 00 00 C3 }
	condition:
		$1
}

rule function_50854_0 {
	meta:
		name = "TDlgProperties.SetActiveAtStartup"
		size = 15
	strings:
		$1 = { 8B 80 D4 03 00 00 8B 08 FF 91 FC 00 00 00 C3 }
	condition:
		$1
}

rule function_50857_0 {
	meta:
		name = "TDlgProperties.GetLogDelete"
		size = 81
		refs = "000c TDlgProperties.GetLogDelete 0020 TControl.GetText 0028 StrToInt 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_50858_0 {
	meta:
		name = "TDlgProperties.SetLogDelete"
		size = 83
		refs = "000f TDlgProperties.SetLogDelete 001f IntToStr 002d TControl.SetText 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50859_0 {
	meta:
		name = "TDlgProperties.GetUDPPort"
		size = 81
		refs = "000c TDlgProperties.GetUDPPort 0020 TControl.GetText 0028 StrToInt 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_50860_0 {
	meta:
		name = "TDlgProperties.SetUDPPort"
		size = 83
		refs = "000f TDlgProperties.SetUDPPort 001f IntToStr 002d TControl.SetText 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50862_0 {
	meta:
		name = "TDlgProperties.SetBrowser"
		size = 12
		refs = "0007 TControl.SetText"
	strings:
		$1 = { 8B 80 EC 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50863_0 {
	meta:
		name = "TDlgProperties.FormCreate"
		size = 31
		refs = "000c TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_50866_0 {
	meta:
		name = "TRequestConnection.Connect"
		size = 104
		refs = "000a TRequestConnection.Connect 002a @HandleOnException 0032 _Dn_EIdSocketError 004f @DoneExcept 0056 @RaiseAgain"
	strings:
		$1 = { 55 8B EC 53 56 57 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 04 8B 10 FF 92 AC 00 00 00 33 C0 5A 59 59 64 89 10 EB 36 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? 8B 40 18 2D 4D 27 00 00 75 0E 33 DB E8 ?? ?? ?? ?? EB 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_50868_0 {
	meta:
		name = "TRequestConnection.Create"
		size = 148
		refs = "000f @ClassCreate 001f TObject.Create 0028 _Dn_TIdTCPClient 002d TIdBaseComponent.Create 0046 TRequestConnection.Create 005b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 04 8B C6 8B D7 8B 08 FF 91 A4 00 00 00 8B 43 04 BA ?? ?? ?? ?? 8B 08 FF 91 A0 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 31 00 32 00 37 00 2E 00 30 00 2E 00 30 00 2E 00 31 00 00 00 }
	condition:
		$1
}

rule function_50869_0 {
	meta:
		name = "TRequestConnection.Request"
		size = 344
		refs = "0016 TRequestConnection.Request 0034 _Dn_TIndyTCPConnectionTransport 0039 TIndyTCPConnectionTransport.Create 004a @IntfCopy 0062 _Dn_TLogSendDataBlock 0067 TSendDataBlock.Create 0077 _Dn_TLogWebAppDataBlockInterpreter 007c TCustomDataBlockInterpreter.Create 009e TWebRequestDataBlockInterpreter.CallHandleRequest 00b3 TObject.Free 00b9 @HandleFinally 00d0 @IntfClear 00e7 @HandleOnException 00ef _Dn_Exception 00fd sSocketRequestError 0102 LoadResString 010d @UStrCat 011c Exception.Create 0121 @RaiseExcept 0126 @DoneExcept 013b @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 85 C9 74 03 83 E9 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 08 50 8B CF 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 44 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 53 04 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_50870_0 {
	meta:
		name = "TRequestConnection.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 000e TRequestConnection.Disconnect 0016 TObject.Free 0021 TObject.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81128_0 {
	meta:
		name = "TGIFList.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 000e TGIFList.Clear 0016 TObject.Free 0021 TPersistent.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50873_0 {
	meta:
		name = "TStatsFrame.GetAvgResponseTime"
		size = 55
	strings:
		$1 = { 83 C4 F0 8B 90 D8 02 00 00 85 D2 74 1A 89 54 24 08 33 D2 89 54 24 0C DF 6C 24 08 DC B8 E0 02 00 00 DD 1C 24 9B EB 09 33 C0 89 04 24 89 44 24 04 DD 04 24 83 C4 10 C3 }
	condition:
		$1
}

rule function_50874_0 {
	meta:
		name = "TStatsFrame.LogStatistics"
		size = 212
		refs = "000a _Dn_TRequestTransaction 000f @IsClass 0021 _Dn_TResponseTransaction 0065 TStatsFrame.LogStatistics 00c6 TStatsFrame.UpdateUI"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 FF 83 DC 02 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 91 00 00 00 FF 83 D8 02 00 00 8B 46 10 89 83 E8 02 00 00 8B 46 14 89 83 EC 02 00 00 DD 83 E0 02 00 00 DC 83 E8 02 00 00 DD 9B E0 02 00 00 9B DD 83 F8 02 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 12 DD 83 E8 02 00 00 DC 9B F8 02 00 00 9B DF E0 9E 73 18 8B 83 E8 02 00 00 89 83 F8 02 00 00 8B 83 EC 02 00 00 89 83 FC 02 00 00 DD 83 E8 02 00 00 DC 9B F0 02 00 00 9B DF E0 9E 76 18 8B 83 E8 02 00 00 89 83 F0 02 00 00 8B 83 EC 02 00 00 89 83 F4 02 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_50875_0 {
	meta:
		name = "TStatsFrame.ResetCountsActionExecute"
		size = 78
		refs = "0049 TStatsFrame.UpdateUI"
	strings:
		$1 = { 33 D2 89 90 DC 02 00 00 33 D2 89 90 E0 02 00 00 89 90 E4 02 00 00 33 D2 89 90 D8 02 00 00 33 D2 89 90 E8 02 00 00 89 90 EC 02 00 00 33 D2 89 90 F8 02 00 00 89 90 FC 02 00 00 33 D2 89 90 F0 02 00 00 89 90 F4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50876_0 {
	meta:
		name = "TStatsFrame.ResetCountsActionUpdate"
		size = 37
		refs = "000a _Dn_TAction 000f @AsClass 001e TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BB DC 02 00 00 00 0F 97 C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_50877_0 {
	meta:
		name = "TStatsFrame.UpdateUI"
		size = 488
		refs = "0017 TStatsFrame.UpdateUI 002f IntToStr 003d TControl.SetText 004a @UStrLAsg 006b CurrencyString 0073 FormatDateTime 0095 TStatsFrame.GetAvgResponseTime 019f @UStrClr 01ac @UStrArrayClr 01b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 DC 02 00 00 33 D2 52 50 8D 45 AC E8 ?? ?? ?? ?? 8B 55 AC 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 E0 02 00 00 89 45 D0 8B 83 E4 02 00 00 89 45 D4 FF 75 D4 FF 75 D0 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? DD 5D C8 9B FF 75 CC FF 75 C8 8D 4D F0 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 E8 02 00 00 89 45 C0 8B 83 EC 02 00 00 89 45 C4 FF 75 C4 FF 75 C0 8D 4D E8 8B 15 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E8 8B 83 AC 02 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 F8 02 00 00 89 45 B8 8B 83 FC 02 00 00 89 45 BC FF 75 BC FF 75 B8 8D 4D E0 8B 15 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 E0 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 F0 02 00 00 89 45 B0 8B 83 F4 02 00 00 89 45 B4 FF 75 B4 FF 75 B0 8D 4D D8 8B 15 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 55 D8 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 D8 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 68 00 68 00 3A 00 6D 00 6D 00 3A 00 73 00 73 00 3A 00 7A 00 7A 00 7A 00 00 00 00 00 }
	condition:
		$1
}

rule function_50881_0 {
	meta:
		name = "TSyncController.BeginUpdate"
		size = 9
		refs = "0001 TSyncController.GetGraph"
	strings:
		$1 = { E8 ?? ?? ?? ?? FF 40 18 C3 }
	condition:
		$1
}

rule function_50882_0 {
	meta:
		name = "TSyncController.ConnectGraphNodes"
		size = 41
		refs = "0016 TSyncController.GetGraph 0021 TGraph.AddEdge"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 33 C0 85 F6 74 16 85 FF 74 12 8B C3 E8 ?? ?? ?? ?? 8B 4F 24 8B 56 24 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50884_0 {
	meta:
		name = "TSyncController.GetObjectByName"
		size = 80
		refs = "000e @UStrAddRef 0016 TSyncController.GetObjectByName 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 10 8B 08 FF 51 0C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_50885_0 {
	meta:
		name = "TSyncController.Create$5$ActRec.$0$Body"
		size = 444
		refs = "0025 TValue 002a @AddRefRecord 0032 TSyncController.Create$5$ActRec.$0$Body 003f @UStrClr 0047 TValue.GetTypeKind 009a TValue.AsInteger 00a1 IntToStr 00ae TValue.AsInt64 00c4 TValue.AsExtended 00e6 CurrencyString 00f7 FloatToStrF 0101 @UStrAsg 010d TValue.AsString 0118 TValue.AsType<System.Pointer> 012e Format 0138 TValue.AsObject 0150 TSyncController.GetObjectName 0179 @FinalizeRecord 0187 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D FC 8B F2 8D 7D E0 51 B9 06 00 00 00 F3 A5 59 8B F1 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 14 0F 87 0B 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 00 00 03 04 00 06 00 00 00 00 00 00 00 00 02 00 00 00 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E9 B8 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? 52 50 8B C6 E8 ?? ?? ?? ?? E9 A2 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? DB 7D D0 9B 33 DB BF 07 00 00 00 C7 45 CC 02 00 00 00 0F B7 45 D8 50 FF 75 D4 FF 75 D0 A1 ?? ?? ?? ?? 50 8D 45 FC 50 8B C3 8B 4D CC 8B D7 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 5B 8B D6 8D 45 E0 E8 ?? ?? ?? ?? EB 4F 56 8D 45 E0 E8 ?? ?? ?? ?? 89 45 C4 C6 45 C8 05 8D 55 C4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2E 8D 45 E0 E8 ?? ?? ?? ?? 85 C0 74 16 8D 45 E0 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 43 0C E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 25 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6E 00 69 00 6C 00 00 00 }
	condition:
		$1
}

rule function_50886_0 {
	meta:
		name = "TSyncController.Create$5$ActRec.$1$Body"
		size = 324
		refs = "001c @UStrAddRef 0024 TSyncController.Create$5$ActRec.$1$Body 0032 TValue 0037 @FinalizeRecord 0099 StrToInt 00a0 TValue.&op_Implicit 00aa StrToInt64 00c0 @UStrLAsg 00c6 CurrencyString 00ce StrToFloat 010e TSyncController.GetObjectByName 012f @UStrArrayClr 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D F8 8B D9 89 55 FC 8B F8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 06 00 00 00 F3 AB 8B FA 0F B6 C3 83 F8 14 0F 87 C3 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 00 00 03 04 00 06 00 00 00 00 00 00 00 00 02 00 00 00 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? EB 73 8B 45 FC E8 ?? ?? ?? ?? 52 50 8B C6 E8 ?? ?? ?? ?? EB 60 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8B C6 E8 ?? ?? ?? ?? EB 2F 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 23 8B 45 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? EB 12 8B 47 0C 8B 55 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_50887_0 {
	meta:
		name = "TSyncController.Create"
		size = 179
		refs = "0010 @ClassCreate 001c TSyncController.Create 0029 _DV_TSyncController.Create$5$ActRec 002e TObject.Create 0041 @IntfCopy 008a @IntfClear 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 45 FC 8B D7 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 89 47 0C 33 D2 E8 ?? ?? ?? ?? 8B 47 0C 83 C0 04 8B D7 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 8B 47 0C 83 C0 08 8B D7 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_50889_0 {
	meta:
		name = "TSyncController.ExpressionMarked"
		size = 42
		refs = "0006 TSyncController.PutGraphNode 0024 TSyncController.WaitLoop"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 85 C0 74 1A 81 78 08 FF 00 00 00 74 11 BA FF 00 00 00 8B 08 FF 51 1C 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_50890_0 {
	meta:
		name = "TSyncController.MatchGraphNode"
		size = 60
		refs = "0011 _Dn_TGraphNodeProp 0016 @IsClass 002a @UStrEqual"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 85 DB 74 23 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 3B 73 40 75 0D 8B 43 44 8B 55 08 E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_50891_0 {
	meta:
		name = "TSyncController.MatchGraphNode"
		size = 42
		refs = "000e _Dn_TGraphNodeExpr 0013 @IsClass"
	strings:
		$1 = { 53 56 8B F1 8B DA 85 DB 74 16 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 3B 73 38 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_50893_0 {
	meta:
		name = "TSyncController.WaitLoop"
		size = 49
		refs = "000e Application 0015 TApplication.HandleMessage"
	strings:
		$1 = { 53 8B D8 80 7B 1C 00 74 26 C6 43 0C 01 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 80 7B 0C 00 74 10 A1 ?? ?? ?? ?? 8B 00 80 B8 A8 00 00 00 00 74 DE 5B C3 }
	condition:
		$1
}

rule function_50894_0 {
	meta:
		name = "TSyncController.ObjectPropertyMarked"
		size = 42
		refs = "0006 TSyncController.PutGraphNode 0024 TSyncController.WaitLoop"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 85 C0 74 1A 81 78 08 80 00 00 00 74 11 BA 80 00 00 00 8B 08 FF 51 1C 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_50895_0 {
	meta:
		name = "TSyncController.GetGraph"
		size = 33
		refs = "0006 TSyncController.GetGraphView"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 8B 80 80 02 00 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_50896_0 {
	meta:
		name = "TSyncController.PutGraphNode$16$ActRec.$0$Body"
		size = 16
		refs = "000b TSyncController.MatchGraphNode"
	strings:
		$1 = { 8B 48 0C 51 8B 48 10 8B 40 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50897_0 {
	meta:
		name = "TSyncController.PutGraphNode"
		size = 448
		refs = "001a TSyncController.PutGraphNode 0027 _DV_TSyncController.PutGraphNode$16$ActRec 002c TObject.Create 0041 @IntfCopy 004e @UStrAsg 006a TSyncController.GetGraph 0088 TGraph.FindNode 00b1 _Dn_TGraphNodeProp 00bb TGraph.AddNode 00c6 @AsClass 00d5 TGraphNodeProp.SetObj 00e2 TGraphNodeProp.SetPropertyName 00f6 TSyncController.GetObjectName 0111 @UStrCatN 013e TGraphNodeValue.SetValueAsContent 014b TSyncController.SetRandGraphNodePos 016d TGraph.EndUpdate 0173 @HandleFinally 018f @UStrArrayClr 0197 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 45 FC 8B 55 F4 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F4 83 C0 0C 8B D7 E8 ?? ?? ?? ?? 8B 45 F4 89 70 10 8B 45 F4 89 58 14 33 C0 89 45 F8 8B 45 F4 8B 40 14 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 01 01 00 00 8B 4D F4 85 C9 74 03 83 E9 E8 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 E5 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 40 14 E8 ?? ?? ?? ?? FF 40 18 A1 ?? ?? ?? ?? 89 43 10 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F4 8B 50 10 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 50 0C 8B C3 E8 ?? ?? ?? ?? 8D 4D EC 8B 45 F4 8B 50 10 8B 45 F4 8B 40 14 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B 45 F4 FF 70 0C 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 8B 08 FF 51 18 B2 01 8B C3 8B 08 FF 51 4C 8D 43 30 8B 55 F4 8B 52 14 8B 52 04 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 14 8B D3 E8 ?? ?? ?? ?? 89 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 58 14 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_50898_0 {
	meta:
		name = "TSyncController.PutGraphNode$18$ActRec.$0$Body"
		size = 12
		refs = "0007 TSyncController.MatchGraphNode"
	strings:
		$1 = { 8B 48 0C 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50899_0 {
	meta:
		name = "TSyncController.PutGraphNode"
		size = 362
		refs = "0018 TSyncController.PutGraphNode 0025 _DV_TSyncController.PutGraphNode$18$ActRec 002a TObject.Create 003f @IntfCopy 005b TSyncController.GetGraph 0079 TGraph.FindNode 00a2 _Dn_TGraphNodeExpr 00ac TGraph.AddNode 00b7 @AsClass 00c6 TGraphNodeExpr.SetExpression 0101 TGraphNodeValue.SetValueAsContent 010e TSyncController.SetRandGraphNodePos 0130 TGraph.EndUpdate 0136 @HandleFinally 014d @UStrClr 0155 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 45 FC 8B 55 F4 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F4 89 70 0C 8B 45 F4 89 58 10 33 C0 89 45 F8 8B 45 F4 8B 40 10 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 D3 00 00 00 8B 4D F4 85 C9 74 03 83 E9 EC 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 B7 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 40 10 E8 ?? ?? ?? ?? FF 40 18 A1 ?? ?? ?? ?? 89 43 10 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F4 8B 50 0C 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F4 8B 40 0C 8B 08 FF 51 04 8B 55 F0 8B C3 8B 08 FF 51 18 B2 01 8B C3 8B 08 FF 51 4C 8D 43 30 8B 55 F4 8B 52 10 8B 52 04 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 10 8B D3 E8 ?? ?? ?? ?? 89 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 58 10 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_50900_0 {
	meta:
		name = "TSyncController.PutExpr"
		size = 616
		refs = "0020 TPair<System.TObject,System.string> 0025 @InitializeRecord 002d TSyncController.PutExpr 0040 TSyncController.GetGraph 0055 @IntfClear 0064 Supports 0090 TSyncController.PutGraphNode 009b _Dn_TBindingSearch 00a0 TBindingSearch.DepthGetWrappers 00ab TDictionary<System.IInterface,System.Pointer>.GetKeys 00b0 TDictionary<System.IInterface,System.Pointer>.TKeyCollection.GetEnumerator 00ce TDictionary<System.IInterface,System.Pointer>.TKeyEnumerator.GetCurrent 011a TSyncController.ConnectGraphNodes 0122 TDictionary<System.IInterface,System.Pointer>.TKeyEnumerator.MoveNext 0149 @HandleFinally 0159 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.GetValues 015e TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TValueCollection.GetEnumerator 017c TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TValueEnumerator.GetCurrent 01a1 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TValueEnumerator.MoveNext 01df TObject.Free 01ee TGraph.EndUpdate 020b @UStrClr 0219 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 C9 89 4D D0 89 4D FC 89 4D F8 89 4D F4 89 55 E4 89 45 E8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E0 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 84 AE 01 00 00 33 C0 89 45 DC 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 0F 84 8A 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 E8 ?? ?? ?? ?? FF 40 18 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E0 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 57 8D 55 F8 8B 45 D8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 31 8D 55 D0 8B 45 F4 8B 08 FF 51 10 8B 45 D0 50 8B 45 F4 8B 10 FF 52 0C 8B D0 8B 45 E8 59 E8 ?? ?? ?? ?? 8B D8 8B 4D E0 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 75 9D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D8 00 74 0A B2 01 8B 45 D8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 E4 8B 40 0C 8B 40 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 28 8D 55 EC 8B 45 D4 E8 ?? ?? ?? ?? 8B 4D F0 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 8B CB 8B 55 E0 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 75 CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D4 00 74 0A B2 01 8B 45 D4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 5D E8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 8B 45 E0 5B 8B E5 5D C3 00 00 00 55 24 FE DA B6 3D CC 40 B1 D6 1E AC 0A 29 AB EC 18 0F DD D4 76 40 9B 4A B8 7A F9 BA 1B C6 9E 26 }
	condition:
		$1
}

rule function_50901_0 {
	meta:
		name = "TSyncController.GetGraphView"
		size = 18
	strings:
		$1 = { 83 78 18 00 74 09 8B 40 18 8B 10 FF 52 0C C3 33 C0 C3 }
	condition:
		$1
}

rule function_50902_0 {
	meta:
		name = "TSyncController.SetRandGraphNodePos"
		size = 116
		refs = "000f TSyncController.GetGraphView 0018 TSyncController.GetGraph 002e Random 006b TGraph.EndUpdate"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 85 DB 74 63 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? FF 40 18 8B C3 8B 10 FF 52 3C 50 8B 47 50 5A 2B C2 E8 ?? ?? ?? ?? 8B C8 BA 03 00 00 00 8B C3 8B 28 FF 55 20 8B C3 8B 10 FF 52 38 50 8B 47 54 5A 2B C2 E8 ?? ?? ?? ?? 8B C8 BA 01 00 00 00 8B C3 8B 18 FF 53 20 8B DE 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_50903_0 {
	meta:
		name = "Finalization"
		size = 19
		refs = "0002 _DV_2 0009 Controller 000e TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50904_0 {
	meta:
		name = "SyncController"
		size = 55
		refs = "0002 _DV_2 000a Randomize 000f Controller 0015 TBindingGraph.FOnObjPropMarked 001e TSyncController.ObjectPropertyMarked 0029 TBindingGraph.FOnExprMarked 0032 TSyncController.ExpressionMarked"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 2D E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 42 04 C7 02 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 42 04 C7 02 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_50923_0 {
	meta:
		name = "TValue.AsType<System.Pointer>"
		size = 52
		refs = "000e TValue.TryAsType<System.Pointer> 0018 SInvalidCast 001f _Dn_EInvalidCast 0024 Exception.CreateRes 0029 @RaiseExcept"
	strings:
		$1 = { 83 C4 F8 89 04 24 8D 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 04 59 5A C3 }
	condition:
		$1
}

rule function_67649_0 {
	meta:
		name = "TValue.AsType<System.Integer>"
		size = 52
		refs = "000e TValue.TryAsType<System.Integer> 0018 SInvalidCast 001f _Dn_EInvalidCast 0024 Exception.CreateRes 0029 @RaiseExcept"
	strings:
		$1 = { 83 C4 F8 89 04 24 8D 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 04 59 5A C3 }
	condition:
		$1
}

rule function_67648_0 {
	meta:
		name = "TValue.AsType<System.TClass>"
		size = 52
		refs = "000e TValue.TryAsType<System.TClass> 0018 SInvalidCast 001f _Dn_EInvalidCast 0024 Exception.CreateRes 0029 @RaiseExcept"
	strings:
		$1 = { 83 C4 F8 89 04 24 8D 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 04 59 5A C3 }
	condition:
		$1
}

rule function_67813_0 {
	meta:
		name = "TValue.AsType<System.TCustomAttribute>"
		size = 52
		refs = "000e TValue.TryAsType<System.TCustomAttribute> 0018 SInvalidCast 001f _Dn_EInvalidCast 0024 Exception.CreateRes 0029 @RaiseExcept"
	strings:
		$1 = { 83 C4 F8 89 04 24 8D 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 04 59 5A C3 }
	condition:
		$1
}

rule function_50996_0 {
	meta:
		name = "TPair<T>.Create"
		size = 40
		refs = "000e @IntfCopy 0019 TPair<System.TObject,System.string> 001e @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 8D 43 04 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58877_0 {
	meta:
		name = "TPair<System.string,System.Bindings.Methods.TMethodDescription>.Create"
		size = 40
		refs = "000e @UStrAsg 0019 TMethodDescription 001e @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 8D 43 04 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60134_0 {
	meta:
		name = "TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create"
		size = 40
		refs = "000e @UStrAsg 0019 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 001e @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 8D 43 04 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51002_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Rehash"
		size = 287
		refs = "0015 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e8 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.RehashAdd 010c @FinalizeArray 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 C0 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 15 46 33 DB 8B C3 03 C0 8B 55 F8 C7 04 C2 FF FF FF FF 43 4E 75 EE 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 36 46 33 DB 8B C3 03 C0 8B 55 FC 83 3C C2 FF 74 22 8B 55 FC 8D 54 C2 08 52 8B 55 FC 8B 44 C2 04 50 8B C3 03 C0 8B 55 FC 8B 14 C2 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87492_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Rehash"
		size = 287
		refs = "0015 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e8 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.RehashAdd 010c @FinalizeArray 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 C0 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 15 46 33 DB 8B C3 03 C0 8B 55 F8 C7 04 C2 FF FF FF FF 43 4E 75 EE 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 36 46 33 DB 8B C3 03 C0 8B 55 FC 83 3C C2 FF 74 22 8B 55 FC 8D 54 C2 08 52 8B 55 FC 8B 44 C2 04 50 8B C3 03 C0 8B 55 FC 8B 14 C2 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51006_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.GetItem"
		size = 86
		refs = "000e TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Hash 0019 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.GetBucketIndex 0025 SGenericItemNotFound 002c _Dn_EListError 0031 Exception.CreateRes 0036 @RaiseExcept 0049 TPair<System.TObject,System.string> 004e @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B D6 03 D2 8B 4B 04 8D 54 D1 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51007_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.SetItem"
		size = 205
		refs = "0015 TPair<System.TObject,System.string> 001a @InitializeRecord 0022 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.SetItem 0031 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Hash 003c TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.GetBucketIndex 0048 SGenericItemNotFound 004f _Dn_EListError 0054 Exception.CreateRes 0059 @RaiseExcept 0072 @CopyRecord 00ba @FinalizeRecord 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B FE 03 FF 8B 53 04 8D 54 FA 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 44 F8 08 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 0C 8B 55 F4 33 C9 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51008_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.RehashAdd"
		size = 92
		refs = "001a TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.GetBucketIndex 003a @IntfCopy 004a TPair<System.TObject,System.string> 004f @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8B FE 03 FF 8B 43 04 8B 55 FC 89 14 F8 8B 43 04 8D 44 F8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8D 44 F8 08 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_51009_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.DoAdd"
		size = 90
		refs = "001f @IntfCopy 002f TPair<System.TObject,System.string> 0034 @CopyRecord"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F0 8B FB 03 FF 8B 46 04 89 14 F8 8B 46 04 8D 44 F8 04 8B 55 0C E8 ?? ?? ?? ?? 8B 46 04 8D 44 F8 08 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 46 08 33 C9 8B 55 0C 8B C6 8B 18 FF 53 08 8B 55 08 33 C9 8B C6 8B 18 FF 53 0C 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_51010_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.DoSetValue"
		size = 156
		refs = "0015 TPair<System.TObject,System.string> 001a @InitializeRecord 0022 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.DoSetValue 0041 @CopyRecord 0089 @FinalizeRecord 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B FE 03 FF 8B 53 04 8D 54 FA 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 44 F8 08 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 0C 8B 55 F4 33 C9 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71549_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.DoSetValue"
		size = 156
		refs = "0015 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 001a @InitializeRecord 0022 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.DoSetValue 0041 @CopyRecord 0089 @FinalizeRecord 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B FE 03 FF 8B 53 04 8D 54 FA 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 44 F8 08 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 0C 8B 55 F4 33 C9 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51011_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.DoRemove"
		size = 298
		refs = "0014 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.GetBucketIndex 0023 TPair<System.TObject,System.string> 0028 @FinalizeRecord 0057 @CopyRecord 0062 @DynArrayLength 0096 InCircularRange 00b4 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TItem 00e5 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B F0 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 1A 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 E9 E9 00 00 00 8B FB 03 FF 8B 46 04 C7 04 F8 FF FF FF FF 8B 45 08 8B 56 04 8D 54 FA 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FB 43 8B 46 04 E8 ?? ?? ?? ?? 3B D8 75 02 33 DB 8B C3 03 C0 8B 56 04 8B 04 C2 89 45 F8 83 7D F8 FF 74 50 8B 46 04 E8 ?? ?? ?? ?? 48 23 45 F8 89 45 F4 8B CB 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 75 BF 8B C7 03 C0 8B 56 04 8D 04 C2 8B D3 03 D2 8B 4E 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FB 8B C7 03 C0 8B 56 04 C7 04 C2 FF FF FF FF EB 8E 8B DF 03 DB 8B 46 04 C7 04 D8 FF FF FF FF 8B 46 04 8D 44 D8 04 E8 ?? ?? ?? ?? 8B 46 04 8D 44 D8 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4E 08 0F B6 5D 0C 8B CB 8B 55 FC 8B C6 8B 38 FF 57 08 8B CB 8B 55 08 8B C6 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_51014_0 {
	meta:
		name = "TDictionary<T>.ValueNotify"
		size = 23
	strings:
		$1 = { 56 8B F0 66 83 7E 22 00 74 0B 51 8B CA 8B D6 8B 46 24 FF 56 20 5E C3 }
	condition:
		$1
}

rule function_51018_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>> 0025 @InitializeRecord 002d TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Create 0048 TEnumerable<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.GetEnumerator 0073 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.AddOrSetValue 007b TEnumerator<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F4 8B 45 E8 8B 08 FF 11 8D 4D F8 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55412_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0025 @InitializeRecord 002d TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Create 0048 TEnumerable<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetEnumerator 0073 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.AddOrSetValue 007b TEnumerator<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F4 8B 45 E8 8B 08 FF 11 8D 4D F8 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60330_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0025 @InitializeRecord 002d TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Create 0048 TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetEnumerator 0073 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.AddOrSetValue 007b TEnumerator<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F4 8B 45 E8 8B 08 FF 11 8D 4D F8 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87508_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 0025 @InitializeRecord 002d TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Create 0048 TEnumerable<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.GetEnumerator 0073 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.AddOrSetValue 007b TEnumerator<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F4 8B 45 E8 8B 08 FF 11 8D 4D F8 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51019_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>> 0025 @InitializeRecord 002d TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Create 004a TEnumerable<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.GetEnumerator 0075 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.AddOrSetValue 007d TEnumerator<SyncController.TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F4 8B 45 E8 8B 08 FF 11 8D 4D F8 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_55413_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0025 @InitializeRecord 002d TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Create 004a TEnumerable<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetEnumerator 0075 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.AddOrSetValue 007d TEnumerator<System.Bindings.Graph.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F4 8B 45 E8 8B 08 FF 11 8D 4D F8 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_60331_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0025 @InitializeRecord 002d TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Create 004a TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.GetEnumerator 0075 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.AddOrSetValue 007d TEnumerator<System.Bindings.Outputs.TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F4 8B 45 E8 8B 08 FF 11 8D 4D F8 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_87509_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 0025 @InitializeRecord 002d TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Create 004a TEnumerable<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.GetEnumerator 0075 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.AddOrSetValue 007d TEnumerator<Vcl.Themes.TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F4 8B 45 E8 8B 08 FF 11 8D 4D F8 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_51022_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Remove"
		size = 94
		refs = "0011 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Remove 0026 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Hash 0031 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.DoRemove 0047 TPair<System.TObject,System.string> 004c @FinalizeRecord 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 F8 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51023_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.ExtractPair"
		size = 176
		refs = "001b TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.ExtractPair 002a TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Hash 0037 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.GetBucketIndex 0044 TPair<System.TObject,System.string> 0049 @FinalizeRecord 005d TPair<System.Bindings.EvalProtocol.ILocation,SyncController.TPair<System.TObject,System.string>>.Create 0070 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.DoRemove 009d @FinalizeArray 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 24 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 8D 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 EC 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55417_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.ExtractPair"
		size = 176
		refs = "001b TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.ExtractPair 002a TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Hash 0037 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.GetBucketIndex 0044 TPair<System.TObject,System.string> 0049 @FinalizeRecord 005d TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Create 0070 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.DoRemove 009d @FinalizeArray 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 24 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 8D 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 EC 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71562_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.ExtractPair"
		size = 176
		refs = "001b TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.ExtractPair 002a TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Hash 0037 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetBucketIndex 0044 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 0049 @FinalizeRecord 005d TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create 0070 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.DoRemove 009d @FinalizeArray 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 24 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 8D 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 EC 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51024_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Clear"
		size = 210
		refs = "0014 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Clear 0026 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.SetCapacity 005e @DynArrayLength 00bf @DynArrayClear 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 41 40 89 45 F8 33 DB 8B C3 03 C0 8B 55 FC 83 3C C2 FF 74 28 8B C3 03 C0 8B 55 FC 8B 54 C2 04 B1 01 8B C6 8B 38 FF 57 08 8B C3 03 C0 8B 55 FC 8D 54 C2 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_87514_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Clear"
		size = 210
		refs = "0014 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Clear 0026 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.SetCapacity 005e @DynArrayLength 00bf @DynArrayClear 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 41 40 89 45 F8 33 DB 8B C3 03 C0 8B 55 FC 83 3C C2 FF 74 28 8B C3 03 C0 8B 55 FC 8B 54 C2 04 B1 01 8B C6 8B 38 FF 57 08 8B C3 03 C0 8B 55 FC 8D 54 C2 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51026_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TryGetValue"
		size = 116
		refs = "0011 TPair<System.TObject,System.string> 0016 @InitializeRecord 001f TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Hash 002a TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.GetBucketIndex 0050 @CopyRecord 005f @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 9D 45 FF 80 7D FF 00 74 1A 8B C7 8B D6 03 D2 8B 4B 04 8D 54 D1 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 14 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_51029_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.ContainsValue"
		size = 149
		refs = "0017 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.ContainsValue 0025 TEqualityComparer<SyncController.TPair<System.TObject,System.string>>.Default 002d @DynArrayLength 0080 @IntfClear 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 37 40 89 45 F4 33 DB 8B C3 03 C0 8B 56 04 83 3C C2 FF 74 1E 8B C3 03 C0 8B 56 04 8D 54 C2 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 CF 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55423_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.ContainsValue"
		size = 149
		refs = "0017 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.ContainsValue 0025 TEqualityComparer<System.Bindings.Graph.TPair<System.TObject,System.string>>.Default 002d @DynArrayLength 0080 @IntfClear 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 37 40 89 45 F4 33 DB 8B C3 03 C0 8B 56 04 83 3C C2 FF 74 1E 8B C3 03 C0 8B 56 04 8D 54 C2 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 CF 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60341_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.ContainsValue"
		size = 149
		refs = "0017 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.ContainsValue 0025 TEqualityComparer<System.Generics.Collections.TPair<System.TObject,System.string>>.Default 002d @DynArrayLength 0080 @IntfClear 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 37 40 89 45 F4 33 DB 8B C3 03 C0 8B 56 04 83 3C C2 FF 74 1E 8B C3 03 C0 8B 56 04 8D 54 C2 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 CF 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71568_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.ContainsValue"
		size = 149
		refs = "0017 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.ContainsValue 0025 TEqualityComparer<System.Zip.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Default 002d @DynArrayLength 0080 @IntfClear 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 37 40 89 45 F4 33 DB 8B C3 03 C0 8B 56 04 83 3C C2 FF 74 1E 8B C3 03 C0 8B 56 04 8D 54 C2 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 CF 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87519_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.ContainsValue"
		size = 149
		refs = "0017 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.ContainsValue 0025 TEqualityComparer<Vcl.Themes.TStyleManager.TSourceInfo>.Default 002d @DynArrayLength 0080 @IntfClear 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 37 40 89 45 F4 33 DB 8B C3 03 C0 8B 56 04 83 3C C2 FF 74 1E 8B C3 03 C0 8B 56 04 8D 54 C2 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 CF 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51057_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TValueEnumerator.GetCurrent"
		size = 37
		refs = "0019 TPair<System.TObject,System.string> 001e @CopyRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 03 D2 8B 4B 04 8B 49 04 8D 54 D1 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71596_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TValueEnumerator.GetCurrent"
		size = 37
		refs = "0019 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 001e @CopyRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 03 D2 8B 4B 04 8B 49 04 8D 54 D1 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51062_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TPairEnumerator.GetCurrent"
		size = 60
		refs = "0018 @IntfCopy 0030 TPair<System.TObject,System.string> 0035 @CopyRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 03 D2 8B 4B 04 8B 49 04 8B 54 D1 04 E8 ?? ?? ?? ?? 8D 46 04 8B 53 08 03 D2 8B 4B 04 8B 49 04 8D 54 D1 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51358_0 {
	meta:
		name = "TValue.Get<T>"
		size = 52
		refs = "001e @FillChar 002d TValue.ExtractRawData"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 04 24 83 38 00 75 13 8B 44 24 04 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 59 5A C3 8B 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_51427_0 {
	meta:
		name = "InterlockedExchange"
		size = 16
		altNames = "InterlockedExchangePointer"
	strings:
		$1 = { 55 8B EC 8B 45 0C 8B 55 08 F0 87 02 5D C2 08 00 }
	condition:
		$1
}

rule function_51450_0 {
	meta:
		name = "SetDliNotifyHook2"
		size = 17
		refs = "0005 pfnDliNotifyHook 000b InterlockedExchangePointer"
	strings:
		$1 = { 53 8B D8 53 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_51452_0 {
	meta:
		name = "SetDliFailureHook2"
		size = 17
		refs = "0005 pfnDliFailureHook 000b InterlockedExchangePointer"
	strings:
		$1 = { 53 8B D8 53 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_51455_0 {
	meta:
		name = "UnloadDelayLoadedDLL2"
		size = 14
		refs = "0006 UnloadDelayLoadedDLLPtr"
	strings:
		$1 = { 55 8B EC 5D FF 25 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_51456_0 {
	meta:
		name = "LoadAllImportsForDll"
		size = 14
		refs = "0006 HrLoadAllImportsForDll"
	strings:
		$1 = { 55 8B EC 5D FF 25 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_51457_0 {
	meta:
		name = "AllocTlsBuffer"
		size = 9
		refs = "0004 LocalAlloc"
	strings:
		$1 = { 50 6A 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51459_0 {
	meta:
		name = "InitThreadTLS"
		size = 68
		refs = "0002 GetTlsSize 000e TlsIndex 001b @RunError 0022 AllocTlsBuffer 003e TlsSetValue"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 85 DB 74 36 83 3D ?? ?? ?? ?? FF 75 0A B8 E2 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0C B8 E2 00 00 00 E8 ?? ?? ?? ?? EB 0C 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_51460_0 {
	meta:
		name = "InitProcessTLS"
		size = 41
		refs = "0001 TlsLast 000a TlsAlloc 000f TlsIndex 0014 InitThreadTLS 001f TlsGetValue 0024 tlsBuffer"
	strings:
		$1 = { B8 ?? ?? ?? ?? 85 C0 74 1F E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51461_0 {
	meta:
		name = "ExitThreadTLS"
		size = 53
		refs = "0001 TlsLast 000b TlsIndex 0019 TlsGetValue 0023 LocalFree 0030 TlsSetValue"
	strings:
		$1 = { B8 ?? ?? ?? ?? 85 C0 74 2B 83 3D ?? ?? ?? ?? FF 74 22 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 13 50 E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51462_0 {
	meta:
		name = "ExitProcessTLS"
		size = 35
		refs = "0001 TlsLast 000a ExitThreadTLS 0010 TlsIndex 001e TlsFree"
	strings:
		$1 = { B8 ?? ?? ?? ?? 85 C0 74 19 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51463_0 {
	meta:
		name = "@GetTls"
		size = 64
		refs = "0002 ModuleIsLib 0007 TlsIndex 001b InitThreadTLS 0026 TlsGetValue 0030 tlsBuffer"
	strings:
		$1 = { 8A 0D ?? ?? ?? ?? A1 ?? ?? ?? ?? 84 C9 75 26 64 8B 15 2C 00 00 00 8B 04 82 C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 01 C3 A1 ?? ?? ?? ?? C3 50 E8 ?? ?? ?? ?? 85 C0 74 DB C3 }
	condition:
		$1
}

rule function_51465_0 {
	meta:
		name = "UninitializeModule"
		size = 34
		refs = "0001 Module 0006 UnregisterModule 001d FreeLibrary"
	strings:
		$1 = { B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 74 0A 85 C0 74 06 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51466_0 {
	meta:
		name = "VclInit"
		size = 151
		refs = "000d ModuleIsLib 0013 ModuleIsPackage 0027 IsLibrary 002f HInstance 0035 Module 0049 ModuleIsCpp 004f InitializeModule 005d VclInit 0062 FindHInstance 006c DataMark 007b GetCommandLine 0081 CmdLine 008f IsConsole"
	strings:
		$1 = { 55 8B EC 8B 4D 10 8B 55 0C 8B 45 08 A2 ?? ?? ?? ?? 88 15 ?? ?? ?? ?? 84 C0 74 04 84 D2 74 04 33 C0 EB 02 B0 01 8B 15 ?? ?? ?? ?? 88 02 89 0D ?? ?? ?? ?? 89 0D ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 75 39 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 0F B6 45 14 34 01 8B 15 ?? ?? ?? ?? 88 02 5D C3 }
	condition:
		$1
}

rule function_51467_0 {
	meta:
		name = "VclExit"
		size = 45
		refs = "0004 ExitProc 000a ModuleIsLib 0026 UninitializeModule"
	strings:
		$1 = { 53 56 8B 35 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 75 14 83 3E 00 74 0F 8B 06 89 C3 33 C0 89 06 FF D3 83 3E 00 75 F1 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51468_0 {
	meta:
		name = "@InitPkg"
		size = 99
		refs = "000d ModuleIsLib 0014 ModuleIsPackage 001a Module 002f HInstance 0034 TlsLast 003f TlsProc 004b InitializeModule 0056 UninitializeModule"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 0C 8B 45 08 C6 05 ?? ?? ?? ?? 01 C6 05 ?? ?? ?? ?? 01 A3 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? 85 C0 74 09 8B 34 9D ?? ?? ?? ?? FF D6 83 FB 01 75 07 E8 ?? ?? ?? ?? EB 09 85 DB 75 05 E8 ?? ?? ?? ?? 83 C8 FF 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_51471_0 {
	meta:
		name = "@InitLib"
		size = 76
		refs = "0001 Module 000f ModuleIsLib 0019 HInstance 0035 InitializeModule 003d DllProc 0042 TlsProc 0047 @StartLib"
	strings:
		$1 = { BA ?? ?? ?? ?? 83 7D 0C 01 75 30 50 52 C6 05 ?? ?? ?? ?? 01 8B 4D 08 89 0D ?? ?? ?? ?? 89 4A 04 C7 42 08 00 00 00 00 C7 42 0C 00 00 00 00 8D 40 08 89 42 14 E8 ?? ?? ?? ?? 5A 58 FF 35 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51472_0 {
	meta:
		name = "@InitExe"
		size = 73
		refs = "0006 TlsIndex 000d GetModuleHandle 0012 HInstance 001c Module 0037 InitializeModule 0043 @StartExe"
	strings:
		$1 = { 53 8B D8 33 C0 A3 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 8D 43 08 A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_51473_0 {
	meta:
		name = "@_delayLoadHelper2"
		size = 736
		refs = "0016 _DV_. 0027 _DF_. 00b9 RaiseException 0118 @_pfnDliNotifyHook2 015e LoadLibraryA 0169 GetLastError 0172 @_pfnDliFailureHook2 01b9 InterlockedExchange 01cc LocalAlloc 01f6 FreeLibrary 025d GetProcAddress"
	strings:
		$1 = { 55 8B EC 83 C4 A8 B9 08 00 00 00 53 56 57 8D 7D CC 8B 75 08 56 BE ?? ?? ?? ?? F3 A5 5E 8B 06 89 45 CC 8B 56 04 52 E8 ?? ?? ?? ?? 59 89 45 D0 8B 4E 08 51 E8 ?? ?? ?? ?? 59 89 45 D4 8B 46 0C 50 E8 ?? ?? ?? ?? 59 89 45 D8 8B 56 10 52 E8 ?? ?? ?? ?? 59 89 45 DC 8B 4E 14 51 E8 ?? ?? ?? ?? 59 89 45 E0 8B 46 18 50 E8 ?? ?? ?? ?? 59 89 45 E4 8B 56 1C 8D 7D A8 89 55 E8 56 BE ?? ?? ?? ?? B9 09 00 00 00 F3 A5 5E 89 75 AC 8B 45 0C 89 45 B0 8B 55 D0 89 55 B4 F6 45 CC 01 75 28 8B 0D ?? ?? ?? ?? 89 4D FC 8D 45 A8 89 45 FC 8D 55 FC 52 6A 01 6A 00 68 57 00 6D C0 E8 ?? ?? ?? ?? 33 C0 E9 10 02 00 00 8B 55 D4 8B 45 0C 2B 45 D8 85 C0 8B 1A 79 03 83 C0 03 C1 F8 02 89 45 F8 8B 45 F8 8B F8 C1 E7 02 03 7D DC F6 47 03 80 0F 94 C0 83 E0 01 89 45 B8 85 C0 74 11 8B 17 52 E8 ?? ?? ?? ?? 59 83 C0 02 89 45 BC EB 0B 8B 0F 81 E1 FF FF 00 00 89 4D BC 33 FF 83 3D ?? ?? ?? ?? 00 74 17 8D 45 A8 50 6A 00 FF 15 ?? ?? ?? ?? 8B F8 85 FF 74 05 E9 7C 01 00 00 85 DB 0F 85 BC 00 00 00 83 3D ?? ?? ?? ?? 00 74 0E 8D 45 A8 50 6A 01 FF 15 ?? ?? ?? ?? 8B D8 85 DB 75 0B 8B 45 B4 50 E8 ?? ?? ?? ?? 8B D8 85 DB 75 4B E8 ?? ?? ?? ?? 89 45 C8 83 3D ?? ?? ?? ?? 00 74 0E 8D 45 A8 50 6A 03 FF 15 ?? ?? ?? ?? 8B D8 85 DB 75 28 A1 ?? ?? ?? ?? 89 45 F4 8D 55 A8 89 55 F4 8D 4D F4 51 6A 01 6A 00 68 7E 00 6D C0 E8 ?? ?? ?? ?? 8B 45 C4 E9 21 01 00 00 53 8B 55 D4 52 E8 ?? ?? ?? ?? 3B D8 74 33 83 7E 18 00 74 33 6A 08 6A 40 E8 ?? ?? ?? ?? 89 45 F0 85 C0 74 23 8B C6 8B 55 F0 89 42 04 8B 4D F0 A1 ?? ?? ?? ?? 89 01 8B 55 F0 89 15 ?? ?? ?? ?? EB 06 53 E8 ?? ?? ?? ?? 89 5D C0 83 3D ?? ?? ?? ?? 00 74 0E 8D 4D A8 51 6A 02 FF 15 ?? ?? ?? ?? 8B F8 85 FF 75 4B 83 7E 14 00 74 39 83 7E 1C 00 74 33 8B 43 3C 03 C3 81 38 50 45 00 00 75 26 8B 50 08 3B 55 E8 75 1E 8B 48 34 3B CB 0F 94 C1 83 E1 01 84 C9 74 0F 8B 45 E0 8B 55 F8 8B 3C 90 85 FF 74 02 EB 56 8B 45 BC 50 53 E8 ?? ?? ?? ?? 8B F8 85 FF 75 46 E8 ?? ?? ?? ?? 89 45 C8 83 3D ?? ?? ?? ?? 00 74 0E 8D 45 A8 50 6A 04 FF 15 ?? ?? ?? ?? 8B F8 85 FF 75 23 A1 ?? ?? ?? ?? 89 45 EC 8D 55 A8 89 55 EC 8D 4D EC 51 6A 01 6A 00 68 7F 00 6D C0 E8 ?? ?? ?? ?? 8B 7D C4 8B 45 0C 89 38 83 3D ?? ?? ?? ?? 00 74 17 33 D2 89 55 C8 89 5D C0 89 7D C4 8D 4D A8 51 6A 05 FF 15 ?? ?? ?? ?? 8B C7 5F 5E 5B 8B E5 5D C2 08 00 90 90 90 }
	condition:
		$1
}

rule function_51474_0 {
	meta:
		name = "@_FUnloadDelayLoadedDLL2"
		size = 272
		refs = "0017 _DF_. 0025 _DV_. 00d0 FreeLibrary 00ea LocalFree"
	strings:
		$1 = { 55 8B EC 83 C4 E4 33 C0 53 56 57 8B 75 08 89 45 FC 85 F6 74 09 56 E8 ?? ?? ?? ?? 59 EB 02 33 C0 89 45 F4 8B 1D ?? ?? ?? ?? 85 DB 0F 84 D3 00 00 00 8B 43 04 8B 50 04 52 E8 ?? ?? ?? ?? 59 8B F8 57 E8 ?? ?? ?? ?? 59 89 45 F0 8B 03 85 F6 89 45 F8 74 22 8B 55 F0 3B 55 F4 0F 85 9A 00 00 00 8B 4D F0 51 57 56 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 84 00 00 00 85 DB 74 7C 8B 4B 04 83 79 18 00 74 73 8B 7B 04 8B 47 08 50 E8 ?? ?? ?? ?? 59 89 45 EC 8B 55 EC 8B 0A 89 4D E8 8B 4F 18 51 E8 ?? ?? ?? ?? 59 89 45 E4 8B 47 0C 50 E8 ?? ?? ?? ?? 59 8B F8 57 E8 ?? ?? ?? ?? C1 E0 02 59 50 8B 55 E4 52 57 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D E8 51 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 89 10 85 DB 74 0F 53 E8 ?? ?? ?? ?? 59 8B FB 57 E8 ?? ?? ?? ?? C7 45 FC 01 00 00 00 85 F6 75 0B 8B 5D F8 85 DB 0F 85 2D FF FF FF 8B 45 FC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_51475_0 {
	meta:
		name = "@_HrLoadAllImportsForDll"
		size = 184
		refs = "0006 __ImageBase 002e _DF_."
	strings:
		$1 = { 55 8B EC 51 53 B8 ?? ?? ?? ?? 56 03 05 ?? ?? ?? ?? 57 C7 45 FC 7E 00 07 80 83 B8 E4 00 00 00 00 0F 84 86 00 00 00 8B 90 E0 00 00 00 52 E8 ?? ?? ?? ?? 59 8B D8 EB 37 50 E8 ?? ?? ?? ?? 59 8B F0 56 E8 ?? ?? ?? ?? 59 8B F8 8B 45 08 50 E8 ?? ?? ?? ?? 59 3B F8 75 14 57 56 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 02 EB 0A 83 C3 20 8B 43 04 85 C0 75 C2 83 7B 04 00 74 31 8B 53 0C 52 E8 ?? ?? ?? ?? 59 8B F0 56 E8 ?? ?? ?? ?? 59 8B F8 C1 E7 02 03 FE 3B FE 76 0E 56 53 E8 70 FB FF FF 83 C6 04 3B FE 77 F2 33 C0 89 45 FC 8B 45 FC 5F 5E 5B 59 5D C2 04 00 90 }
	condition:
		$1
}

rule function_51477_0 {
	meta:
		name = "_DF_."
		size = 13
		refs = "0004 __ImageBase"
	strings:
		$1 = { 55 8B EC B8 ?? ?? ?? ?? 03 45 08 5D C3 }
	condition:
		$1
}

rule function_51482_0 {
	meta:
		name = "_DF_."
		size = 20
	strings:
		$1 = { 55 8B EC 8B 55 08 8B C2 8A 08 40 84 C9 75 F9 2B C2 48 5D C3 }
	condition:
		$1
}

rule function_51483_0 {
	meta:
		name = "_DF_."
		size = 46
	strings:
		$1 = { 55 8B EC 53 8B 4D 10 8B 55 0C 8B 45 08 85 C9 75 09 33 C0 5B 5D C3 EB 02 40 42 49 74 06 8A 18 3A 1A 74 F5 0F B6 00 0F B6 12 2B C2 5B 5D C3 }
	condition:
		$1
}

rule function_51484_0 {
	meta:
		name = "_DF_."
		size = 23
	strings:
		$1 = { 55 8B EC 33 D2 8B 45 08 EB 04 83 C0 04 42 83 38 00 75 F7 8B C2 5D C3 }
	condition:
		$1
}

rule function_51485_0 {
	meta:
		name = "_DF_."
		size = 39
	strings:
		$1 = { 55 8B EC 53 56 8B 4D 10 8B 55 0C 8B 45 08 8B F0 EB 06 8A 1A 88 18 40 42 8B D9 83 C1 FF 85 DB 75 F1 8B C6 5E 5B 5D C3 }
	condition:
		$1
}

rule function_51486_0 {
	meta:
		name = "_DF_."
		size = 35
		refs = "0007 _DV_."
	strings:
		$1 = { 55 8B EC 8B 4D 08 B8 ?? ?? ?? ?? EB 02 8B C2 8B 10 85 D2 74 04 3B CA 75 F4 3B 08 75 04 8B 09 89 08 5D C3 }
	condition:
		$1
}

rule function_51491_0 {
	meta:
		name = "Format"
		size = 40
		refs = "000d CurrencyString 001d Format"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 A1 ?? ?? ?? ?? 50 8B 45 08 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_51492_0 {
	meta:
		name = "Format"
		size = 23
		refs = "000f FmtStr"
	strings:
		$1 = { 55 8B EC 51 8B 4D 0C 51 8B 4D 08 91 87 D1 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_69126_0 {
	meta:
		name = "WideFormat"
		size = 23
		refs = "000f WideFmtStr"
	strings:
		$1 = { 55 8B EC 51 8B 4D 0C 51 8B 4D 08 91 87 D1 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_51493_0 {
	meta:
		name = "FmtStr"
		size = 25
		refs = "000a CurrencyString 0010 FmtStr"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 1D ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_64381_0 {
	meta:
		name = "CharFromWChar"
		size = 25
		refs = "000a DefaultSystemCodePage 0010 CharFromWChar"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 1D ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_51494_0 {
	meta:
		name = "FmtStr"
		size = 234
		refs = "0059 AnsiFormatBuf 0081 @LStrClr 008c @LStrSetLength 00dd @LStrFromPCharLen"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F8 BB 00 10 00 00 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 3D 00 0C 00 00 7D 30 8B C2 85 C0 74 05 83 E8 04 8B 00 50 8B 45 F8 50 8B 45 0C 50 8B 45 08 50 8B 4D FC 8D 85 F4 EF FF FF BA FF 0F 00 00 E8 ?? ?? ?? ?? 89 45 F4 EB 10 8B C2 85 C0 74 05 83 E8 04 8B 00 8B D8 89 5D F4 8B C3 48 3B 45 F4 7F 55 EB 3D 03 DB 8B C7 E8 ?? ?? ?? ?? 8B C7 33 C9 8B D3 E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 56 8B 45 F8 50 8B 45 0C 50 8B 45 08 50 8B 4D FC 8B D3 4A 8B 07 E8 ?? ?? ?? ?? 89 45 F4 8B C3 48 3B 45 F4 7E BB 8B C7 33 C9 8B 55 F4 E8 ?? ?? ?? ?? EB 12 6A 00 8D 95 F4 EF FF FF 8B C7 8B 4D F4 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_51495_0 {
	meta:
		name = "AnsiFormatBuf"
		size = 33
		refs = "0012 CurrencyString 0018 AnsiFormatBuf"
	strings:
		$1 = { 55 8B EC 53 8B 5D 10 53 8B 5D 0C 53 8B 5D 08 53 8B 1D ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_51496_0 {
	meta:
		name = "AnsiFormatBuf"
		size = 30
		refs = "0015 FormatBuf"
	strings:
		$1 = { 55 8B EC 53 8B 5D 14 53 8B 5D 10 53 8B 5D 0C 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_69095_0 {
	meta:
		name = "FormatBuf"
		size = 30
		refs = "0015 WideFormatBuf"
	strings:
		$1 = { 55 8B EC 53 8B 5D 14 53 8B 5D 10 53 8B 5D 0C 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_51497_0 {
	meta:
		name = "StringReplace"
		size = 345
		refs = "0023 StringReplace 0039 AnsiUpperCase 0050 @LStrLAsg 006c @LStrClr 007c AnsiPos 008c @LStrCat 00a7 @LStrCopy 00b9 @LStrCatN 0144 @LStrArrayClr 014a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D EC 89 55 F0 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 0C 02 74 17 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? EB 15 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 A7 00 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0F 8B C6 8B 55 F4 E8 ?? ?? ?? ?? E9 91 00 00 00 FF 36 8D 45 E4 50 8B CB 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? FF 75 E4 FF 75 EC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 7D F0 85 FF 74 05 83 EF 04 8B 3F 8D 45 F4 50 8D 14 1F B9 FF FF FF 7F 8B 45 F4 E8 ?? ?? ?? ?? F6 45 0C 01 75 0C 8B C6 8B 55 F4 E8 ?? ?? ?? ?? EB 37 8B 45 F8 89 45 E8 83 7D E8 00 74 0B 8B 45 E8 83 E8 04 8B 00 89 45 E8 8D 45 FC 50 8B D3 03 55 E8 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 0F 85 4F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_69391_0 {
	meta:
		name = "StringReplace"
		size = 345
		refs = "0023 StringReplace 0039 AnsiUpperCase 0050 @UStrLAsg 006c @UStrClr 007c AnsiPos 008c @UStrCat 00a7 @UStrCopy 00b9 @UStrCatN 0144 @UStrArrayClr 014a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D EC 89 55 F0 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 0C 02 74 17 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? EB 15 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 A7 00 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0F 8B C6 8B 55 F4 E8 ?? ?? ?? ?? E9 91 00 00 00 FF 36 8D 45 E4 50 8B CB 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? FF 75 E4 FF 75 EC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 7D F0 85 FF 74 05 83 EF 04 8B 3F 8D 45 F4 50 8D 14 1F B9 FF FF FF 7F 8B 45 F4 E8 ?? ?? ?? ?? F6 45 0C 01 75 0C 8B C6 8B 55 F4 E8 ?? ?? ?? ?? EB 37 8B 45 F8 89 45 E8 83 7D E8 00 74 0B 8B 45 E8 83 E8 04 8B 00 89 45 E8 8D 45 FC 50 8B D3 03 55 E8 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 0F 85 4F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_51498_0 {
	meta:
		name = "UpperCase"
		size = 138
		refs = "001b @LStrSetLength 0056 @LStrClr"
	strings:
		$1 = { 53 57 56 85 C0 89 C6 89 D7 89 D0 74 45 8B 56 FC 85 D2 74 3E 89 D3 0F B7 4E F4 E8 ?? ?? ?? ?? 8B 3F 8B 44 33 FC 89 C1 0D 80 80 80 80 89 C2 2D 7B 7B 7B 7B 31 CA 0D 80 80 80 80 2D 66 66 66 66 21 D0 C1 E8 02 29 C1 89 4C 3B FC 83 EB 01 83 E3 FC EB 2F 5E 5F 5B E9 ?? ?? ?? ?? 8B 04 33 89 C1 0D 80 80 80 80 89 C2 2D 7B 7B 7B 7B 31 CA 0D 80 80 80 80 2D 66 66 66 66 21 D0 C1 E8 02 29 C1 89 0C 3B 83 EB 04 73 D4 5E 5F 5B C3 }
	condition:
		$1
}

rule function_51499_0 {
	meta:
		name = "UpperCase"
		size = 35
		refs = "0010 AnsiUpperCase 001c UpperCase"
	strings:
		$1 = { 53 56 8B F1 8B D8 80 FA 01 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51501_0 {
	meta:
		name = "LowerCase"
		size = 35
		refs = "0010 AnsiLowerCase 001c LowerCase"
	strings:
		$1 = { 53 56 8B F1 8B D8 80 FA 01 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51500_0 {
	meta:
		name = "LowerCase"
		size = 138
		refs = "001b @LStrSetLength 0056 @LStrClr"
	strings:
		$1 = { 53 57 56 85 C0 89 C6 89 D7 89 D0 74 45 8B 56 FC 85 D2 74 3E 89 D3 0F B7 4E F4 E8 ?? ?? ?? ?? 8B 3F 8B 44 33 FC 89 C1 0D 80 80 80 80 89 C2 2D 5B 5B 5B 5B 31 CA 0D 80 80 80 80 2D 66 66 66 66 21 D0 C1 E8 02 01 C1 89 4C 3B FC 83 EB 01 83 E3 FC EB 2F 5E 5F 5B E9 ?? ?? ?? ?? 8B 04 33 89 C1 0D 80 80 80 80 89 C2 2D 5B 5B 5B 5B 31 CA 0D 80 80 80 80 2D 66 66 66 66 21 D0 C1 E8 02 01 C1 89 0C 3B 83 EB 04 73 D4 5E 5F 5B C3 }
	condition:
		$1
}

rule function_51502_0 {
	meta:
		name = "CompareStr"
		size = 101
	strings:
		$1 = { 39 D0 74 4E 85 D0 74 4D 0F B6 0A 3A 08 74 06 0F B6 00 29 C8 C3 53 8B 58 FC 31 C9 2B 5A FC 53 83 D1 FF 21 D9 2B 48 FC 29 C8 29 CA 8B 1C 01 33 1C 11 75 08 83 C1 04 78 F3 58 5B C3 0F BC DB C1 EB 03 01 D9 79 F3 0F B6 04 01 0F B6 14 11 29 D0 5B 5B C3 31 C0 C3 85 C0 74 08 85 D2 75 AB 8B 40 FC C3 2B 42 FC C3 }
	condition:
		$1
}

rule function_51503_0 {
	meta:
		name = "CompareStr"
		size = 17
		refs = "0006 AnsiCompareStr 000c CompareStr"
	strings:
		$1 = { 80 F9 01 75 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51508_0 {
	meta:
		name = "CompareText"
		size = 17
		refs = "0006 AnsiCompareText 000c CompareText"
	strings:
		$1 = { 80 F9 01 75 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51506_0 {
	meta:
		name = "SameStr"
		size = 17
		refs = "0006 AnsiSameStr 000c SameStr"
	strings:
		$1 = { 80 F9 01 75 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51511_0 {
	meta:
		name = "SameText"
		size = 17
		refs = "0006 AnsiSameText 000c SameText"
	strings:
		$1 = { 80 F9 01 75 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51505_0 {
	meta:
		name = "SameStr"
		size = 35
		refs = "0015 CompareStrProxy"
	strings:
		$1 = { 39 D0 74 19 09 C0 74 17 09 D2 74 14 8B 48 FC 3B 4A FC 75 0C E8 ?? ?? ?? ?? 85 C0 75 03 B0 01 C3 31 C0 C3 }
	condition:
		$1
}

rule function_51510_0 {
	meta:
		name = "SameText"
		size = 35
		refs = "0015 CompareTextProxy"
	strings:
		$1 = { 39 D0 74 19 09 C0 74 17 09 D2 74 14 8B 48 FC 3B 4A FC 75 0C E8 ?? ?? ?? ?? 85 C0 75 03 B0 01 C3 31 C0 C3 }
	condition:
		$1
}

rule function_51507_0 {
	meta:
		name = "CompareText"
		size = 153
	strings:
		$1 = { 85 C0 75 0A 85 D2 74 05 8B 42 FC F7 D8 C3 85 D2 75 04 8B 40 FC C3 53 55 56 8B 68 FC 8B 5A FC 29 DD 19 C9 21 E9 01 D9 8D 34 01 01 CA F7 D9 74 63 0F B7 04 31 0F B7 1C 11 39 D8 74 52 38 D8 74 2C B4 00 B7 00 3C 61 7C 07 3C 7A 7F 03 83 E8 20 80 FB 61 7C 08 80 FB 7A 7F 03 83 EB 20 29 D8 75 35 0F B7 04 31 0F B7 1C 11 38 FC 74 22 C1 E8 08 C1 EB 08 3C 61 7C 07 3C 7A 7F 03 83 E8 20 80 FB 61 7C 08 80 FB 7A 7F 03 83 EB 20 29 D8 75 07 83 C1 02 7C 9D 89 E8 5E 5D 5B C3 }
	condition:
		$1
}

rule function_51512_0 {
	meta:
		name = "AnsiUpperCase"
		size = 63
		refs = "001e @LStrToPChar 0029 @LStrFromPCharLen 0036 CharUpperBuffA"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B D8 6A 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 8B CB E8 ?? ?? ?? ?? 85 DB 7E 09 53 8B 07 50 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51513_0 {
	meta:
		name = "AnsiLowerCase"
		size = 63
		refs = "001e @LStrToPChar 0029 @LStrFromPCharLen 0036 CharLowerBuffA"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B D8 6A 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 8B CB E8 ?? ?? ?? ?? 85 DB 7E 09 53 8B 07 50 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51514_0 {
	meta:
		name = "AnsiCompareStr"
		size = 78
		refs = "002b @LStrToPChar 0041 CompareStringA"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 89 3C 24 8B 1C 24 85 DB 74 05 83 EB 04 8B 1B 89 2C 24 8B 34 24 85 F6 74 05 83 EE 04 8B 36 56 8B C5 E8 ?? ?? ?? ?? 50 53 8B C7 E8 ?? ?? ?? ?? 50 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51515_0 {
	meta:
		name = "AnsiSameStr"
		size = 153
		refs = "0011 AnsiSameStr 0021 @LStrLAsg 004c @LStrToPChar 0063 CompareStringA 0085 @LStrArrayClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 56 8B 45 F8 E8 ?? ?? ?? ?? 50 53 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 85 C0 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51516_0 {
	meta:
		name = "AnsiCompareText"
		size = 78
		refs = "002b @LStrToPChar 0041 CompareStringA"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 89 3C 24 8B 1C 24 85 DB 74 05 83 EB 04 8B 1B 89 2C 24 8B 34 24 85 F6 74 05 83 EE 04 8B 36 56 8B C5 E8 ?? ?? ?? ?? 50 53 8B C7 E8 ?? ?? ?? ?? 50 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51517_0 {
	meta:
		name = "AnsiSameText"
		size = 153
		refs = "0011 AnsiSameText 0021 @LStrLAsg 004c @LStrToPChar 0063 CompareStringA 0085 @LStrArrayClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 56 8B 45 F8 E8 ?? ?? ?? ?? 50 53 8B 45 FC E8 ?? ?? ?? ?? 50 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 85 C0 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51518_0 {
	meta:
		name = "AnsiLastChar"
		size = 54
		refs = "0022 ByteType"
	strings:
		$1 = { 53 56 51 8B F0 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 74 16 EB 01 4B 8B D3 8B C6 E8 ?? ?? ?? ?? 3C 02 74 F2 8D 44 1E FF EB 02 33 C0 5A 5E 5B C3 }
	condition:
		$1
}

rule function_51519_0 {
	meta:
		name = "Trim"
		size = 114
		refs = "0036 @LStrAsg 004f @LStrClr 0068 @LStrCopy"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 89 3C 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B F0 BB 01 00 00 00 85 F6 7E 1A 80 7C 1F FF 20 76 13 80 7C 37 FF 20 76 0C 8B C5 8B D7 E8 ?? ?? ?? ?? EB 30 43 3B F3 7C 07 80 7C 1F FF 20 76 F4 3B F3 7D 0A 8B C5 E8 ?? ?? ?? ?? EB 17 4E 80 7C 37 FF 20 76 F8 55 8B CE 2B CB 41 8B D3 8B C7 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51520_0 {
	meta:
		name = "TrimLeft"
		size = 78
		refs = "0034 @LStrAsg 0045 @LStrCopy"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 BB 01 00 00 00 EB 01 43 3B C3 7C 07 80 7C 1E FF 20 76 F4 83 FB 01 75 0B 8B C7 8B D6 E8 ?? ?? ?? ?? EB 0F 57 B9 FF FF FF 7F 8B D3 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51521_0 {
	meta:
		name = "TrimRight"
		size = 79
		refs = "0029 @LStrAsg 0046 @LStrCopy"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 13 80 7C 1E FF 20 76 0C 8B C7 8B D6 E8 ?? ?? ?? ?? EB 1B 4B 85 DB 7E 07 80 7C 1E FF 20 76 F4 57 8B CB BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51522_0 {
	meta:
		name = "QuotedStr"
		size = 112
		refs = "000c @LStrAsg 0036 QuotedStr 003b @LStrInsert 0058 @LStrCatN"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 8B 06 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 7C 1C 8B 06 80 7C 18 FF 27 75 0E 8B D6 8B CB B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 85 DB 75 E4 68 ?? ?? ?? ?? FF 36 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 E4 04 01 00 FF FF FF FF 01 00 00 00 27 00 00 00 }
	condition:
		$1
}

rule function_51524_0 {
	meta:
		name = "AnsiDequotedStr"
		size = 106
		refs = "000f @LStrToPChar 001d AnsiExtractQuotedStr 0053 AnsiLastChar 0060 @LStrAsg"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F1 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 89 04 24 8B CE 8B C4 8B D3 E8 ?? ?? ?? ?? 83 3E 00 74 08 8B 04 24 80 38 00 75 18 89 7C 24 04 8B 44 24 04 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C0 EB 02 33 C0 84 C0 74 18 3A 1F 75 0B 8B C7 E8 ?? ?? ?? ?? 3A 18 74 09 8B C6 8B D7 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51525_0 {
	meta:
		name = "AdjustLineBreaks"
		size = 344
		refs = "0073 LeadBytes 008d CharNextA 00a3 @PCharLen 00b3 @LStrAsg 00cb @LStrFromPCharLen 0121 StrCharLength 0132 Move"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 89 0C 24 8B DA 8B F8 8B EF 89 7C 24 14 8B 54 24 14 8B C2 85 C0 74 05 83 E8 04 8B 00 8D 34 28 8B C2 85 C0 74 05 83 E8 04 8B 00 89 44 24 04 3B F5 76 67 0F B6 45 00 2C 0A 74 06 2C 03 74 0D EB 2B 80 FB 01 75 4F FF 44 24 04 EB 49 80 FB 01 75 0F 80 7D 01 0A 75 03 45 EB 3B FF 44 24 04 EB 35 80 7D 01 0A 75 2F FF 4C 24 04 EB 29 A1 ?? ?? ?? ?? 0F B6 55 00 0F B6 D2 0F A3 10 73 18 89 6C 24 0C 8B 44 24 0C 50 E8 ?? ?? ?? ?? 89 44 24 10 8B 6C 24 10 EB 01 45 3B F5 77 99 8B C5 E8 ?? ?? ?? ?? 3B 44 24 04 75 0F 8B 04 24 8B D7 E8 ?? ?? ?? ?? E9 94 00 00 00 8B EF 6A 00 8B 44 24 04 8B 4C 24 08 33 D2 E8 ?? ?? ?? ?? 8B 3C 24 8B 3F 3B F5 76 78 0F B6 45 00 2C 0A 74 06 2C 03 74 12 EB 27 80 FB 01 75 04 C6 07 0D 47 C6 07 0A 47 45 EB 56 80 FB 01 75 04 C6 07 0D 47 C6 07 0A 47 45 80 7D 00 0A 75 42 45 EB 3F A1 ?? ?? ?? ?? 0F B6 55 00 0F B6 D2 0F A3 10 73 26 8B C5 E8 ?? ?? ?? ?? 89 44 24 08 8B D7 8B C5 8B 4C 24 08 E8 ?? ?? ?? ?? 8B 44 24 08 03 F8 8B 44 24 08 03 E8 EB 08 0F B6 45 00 88 07 47 45 3B F5 77 88 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51526_0 {
	meta:
		name = "IsValidIdent"
		size = 210
	strings:
		$1 = { 56 57 51 8B F8 33 C0 89 3C 24 8B 34 24 8B CE 85 C9 74 05 83 E9 04 8B 09 85 C9 75 04 B1 01 EB 21 0F B6 0F 80 C1 BF 80 E9 1A 72 11 80 E9 04 74 0C 80 C1 FE 80 E9 1A 72 04 33 C9 EB 02 B1 01 80 F1 01 84 C9 0F 85 85 00 00 00 84 D2 74 43 8B D6 85 D2 74 05 83 EA 04 8B 12 83 EA 02 7C 6F 42 BE 02 00 00 00 0F B6 4C 37 FF 80 E9 2E 74 1D 80 C1 FE 80 E9 0A 72 15 80 C1 F9 80 E9 1A 72 0D 80 E9 04 74 08 80 C1 FE 80 E9 1A 73 44 46 4A 75 D5 EB 3C 8B D6 85 D2 74 05 83 EA 04 8B 12 83 EA 02 7C 2C 42 BE 02 00 00 00 0F B6 4C 37 FF 80 C1 D0 80 E9 0A 72 15 80 C1 F9 80 E9 1A 72 0D 80 E9 04 74 08 80 C1 FE 80 E9 1A 73 06 46 4A 75 DA B0 01 5A 5F 5E C3 }
	condition:
		$1
}

rule function_51527_0 {
	meta:
		name = "CharLength"
		size = 60
		refs = "000d SysLocale 0019 LeadBytes 002d @LStrToPChar 0035 StrCharLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 01 00 00 00 8B 15 ?? ?? ?? ?? 80 7A 0C 00 74 22 8B 15 ?? ?? ?? ?? 0F B6 4C 33 FF 0F B6 C9 0F A3 0A 73 0F 8B C3 E8 ?? ?? ?? ?? 03 C6 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51528_0 {
	meta:
		name = "NextCharIndex"
		size = 60
		refs = "000b SysLocale 0017 LeadBytes 002b @LStrToPChar 0033 StrCharLength"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 43 01 8B 15 ?? ?? ?? ?? 80 7A 0C 00 74 24 8B 15 ?? ?? ?? ?? 0F B6 4C 1E FF 0F B6 C9 0F A3 0A 73 11 8B C6 E8 ?? ?? ?? ?? 03 C3 48 E8 ?? ?? ?? ?? 03 C3 5E 5B C3 }
	condition:
		$1
}

rule function_51529_0 {
	meta:
		name = "AnsiCompareFileName"
		size = 104
		refs = "0011 AnsiCompareFileName 0021 AnsiLowerCase 0038 CompareStr 0054 @LStrArrayClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51530_0 {
	meta:
		name = "SameFileName"
		size = 131
		refs = "0013 SameFileName 0023 @LStrLAsg 0038 AnsiLowerCase 0050 CompareStr 006f @LStrArrayClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 5A E8 ?? ?? ?? ?? 85 C0 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51533_0 {
	meta:
		name = "AnsiPos"
		size = 53
		refs = "000d @LStrToPChar 001f AnsiStrPos"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 33 FF 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B E8 8B C5 5A E8 ?? ?? ?? ?? 8B D8 85 DB 74 05 8B FB 2B FD 47 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51535_0 {
	meta:
		name = "AnsiContainsText"
		size = 109
		refs = "0011 AnsiContainsText 0021 AnsiUpperCase 0038 AnsiPos 0059 @LStrArrayClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 85 C0 0F 9F C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68629_0 {
	meta:
		name = "AnsiContainsText"
		size = 109
		refs = "0011 AnsiContainsText 0021 AnsiUpperCase 0038 AnsiPos 0059 @UStrArrayClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 85 C0 0F 9F C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51537_0 {
	meta:
		name = "AnsiStartsText"
		size = 93
		refs = "000c @LStrToPChar 004d CompareStringA"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B F8 8B C6 E8 ?? ?? ?? ?? 8B E8 89 3C 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B D8 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 3B C3 7D 04 33 C0 EB 1D 53 8B C7 E8 ?? ?? ?? ?? 50 53 55 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 F8 02 0F 94 C0 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51539_0 {
	meta:
		name = "AnsiEndsText"
		size = 105
		refs = "0038 ByteType 0054 CompareStringA"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 89 3C 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 89 34 24 8B 14 24 85 D2 74 05 83 EA 04 8B 12 8B D8 2B DA 43 85 DB 7E 33 85 F6 74 2F 8B D3 8B C7 E8 ?? ?? ?? ?? 3C 02 74 22 8D 44 1F FF 8B D8 6A FF 53 6A FF 56 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 85 C0 0F 94 C0 EB 02 33 C0 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51541_0 {
	meta:
		name = "AnsiReplaceStr"
		size = 48
		refs = "000f AnsiReplaceStr 001f StringReplace"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 0F B6 05 ?? ?? ?? ?? 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_70786_0 {
	meta:
		name = "WideReplaceStr"
		size = 48
		refs = "000f WideReplaceStr 001f WideStringReplace"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 0F B6 05 ?? ?? ?? ?? 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_51543_0 {
	meta:
		name = "AnsiReplaceText"
		size = 48
		refs = "000f AnsiReplaceText 001f StringReplace"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 0F B6 05 ?? ?? ?? ?? 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_70787_0 {
	meta:
		name = "WideReplaceText"
		size = 48
		refs = "000f WideReplaceText 001f WideStringReplace"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 0F B6 05 ?? ?? ?? ?? 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_51545_0 {
	meta:
		name = "AnsiMatchText"
		size = 28
		refs = "0010 AnsiIndexText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 40 0F 95 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51555_0 {
	meta:
		name = "AnsiMatchStr"
		size = 28
		refs = "0010 AnsiIndexStr"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 40 0F 95 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51547_0 {
	meta:
		name = "AnsiIndexText"
		size = 216
		refs = "0018 AnsiIndexText 0043 @LStrLAsg 0072 @LStrToPChar 0089 CompareStringA 00c2 @LStrArrayClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D FC 89 5D F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 FF FF FF FF 85 C9 7C 7F 41 89 4D E8 C7 45 EC 00 00 00 00 8B DA 8B 33 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 F8 89 75 E4 8B 55 E4 E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8B 7D F8 85 FF 74 05 83 EF 04 8B 3F 57 8B 45 F8 E8 ?? ?? ?? ?? 50 56 8B 45 FC E8 ?? ?? ?? ?? 50 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 85 C0 0F 94 C0 84 C0 74 08 8B 45 EC 89 45 F0 EB 0B FF 45 EC 83 C3 04 FF 4D E8 75 8E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51549_0 {
	meta:
		name = "AnsiContainsStr"
		size = 23
		refs = "000b AnsiPos"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 5E 5B C3 }
	condition:
		$1
}

rule function_51551_0 {
	meta:
		name = "AnsiStartsStr"
		size = 207
		refs = "0014 AnsiStartsStr 003b @LStrCopy 0048 @LStrLAsg 0077 @LStrToPChar 008e CompareStringA 00ad @LStrClr 00ba @LStrArrayClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 75 F4 8B 5D F4 85 DB 74 05 83 EB 04 8B 1B 8D 45 F0 50 8B CB BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 5D F0 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 45 F8 89 5D F4 8B 55 F4 E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 56 8B 45 F8 E8 ?? ?? ?? ?? 50 53 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51553_0 {
	meta:
		name = "AnsiEndsStr"
		size = 105
		refs = "0038 ByteType 0054 CompareStringA"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 89 3C 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 89 34 24 8B 14 24 85 D2 74 05 83 EA 04 8B 12 8B D8 2B DA 43 85 DB 7E 33 85 F6 74 2F 8B D3 8B C7 E8 ?? ?? ?? ?? 3C 02 74 22 8D 44 1F FF 8B D8 6A FF 53 6A FF 56 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 85 C0 0F 94 C0 EB 02 33 C0 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51557_0 {
	meta:
		name = "AnsiIndexStr"
		size = 216
		refs = "0018 AnsiIndexStr 0043 @LStrLAsg 0072 @LStrToPChar 0089 CompareStringA 00c2 @LStrArrayClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D FC 89 5D F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 FF FF FF FF 85 C9 7C 7F 41 89 4D E8 C7 45 EC 00 00 00 00 8B DA 8B 33 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 F8 89 75 E4 8B 55 E4 E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8B 7D F8 85 FF 74 05 83 EF 04 8B 3F 57 8B 45 F8 E8 ?? ?? ?? ?? 50 56 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 85 C0 0F 94 C0 84 C0 74 08 8B 45 EC 89 45 F0 EB 0B FF 45 EC 83 C3 04 FF 4D E8 75 8E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51558_0 {
	meta:
		name = "DupeString"
		size = 76
		refs = "0026 @LStrSetLength 003b Move"
	strings:
		$1 = { 53 56 57 55 51 8B D9 8B FA 8B E8 89 2C 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B F0 8B D6 0F AF D7 8B C3 33 C9 E8 ?? ?? ?? ?? 8B 1B 85 DB 74 16 85 FF 7E 12 8B D3 8B C5 8B CE E8 ?? ?? ?? ?? 03 DE 4F 85 FF 7F EE 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51559_0 {
	meta:
		name = "ReverseString"
		size = 78
		refs = "001f @LStrSetLength 0026 @LStrToPChar"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 89 1C 24 8B 3C 24 8B C7 85 C0 74 05 83 E8 04 8B 00 8B D6 33 C9 92 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B D0 8B C7 85 C0 74 05 83 E8 04 8B 00 83 F8 01 7C 0D 0F B6 4C 03 FF 88 0A 42 48 85 C0 75 F3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51560_0 {
	meta:
		name = "AnsiReverseString"
		size = 157
		refs = "0025 @LStrSetLength 0030 @LStrToPChar 0058 LeadBytes 006a StrCharLength"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B FA 8B D8 89 5C 24 0C 8B 44 24 0C 85 C0 74 05 83 E8 04 8B 00 8B F0 8B C7 33 C9 8B D6 E8 ?? ?? ?? ?? 85 DB 74 68 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 04 1E 89 44 24 08 8B 07 E8 ?? ?? ?? ?? 03 F0 89 74 24 04 3B 5C 24 08 73 45 C7 04 24 01 00 00 00 A1 ?? ?? ?? ?? 0F B6 13 0F B6 D2 0F A3 10 73 0A 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B 74 24 04 2B 34 24 89 74 24 04 8B 3C 24 4F 85 FF 7C 0B 47 0F B6 03 88 06 43 46 4F 75 F6 3B 5C 24 08 72 BB 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51561_0 {
	meta:
		name = "StuffString"
		size = 133
		refs = "0014 StuffString 002d @LStrCopy 0056 @LStrCatN 0070 @LStrArrayClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CE 49 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? FF 75 FC FF 75 0C 8D 45 F8 50 8D 14 37 B9 FF FF FF 7F 8B C3 E8 ?? ?? ?? ?? FF 75 F8 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_68655_0 {
	meta:
		name = "StuffString"
		size = 133
		refs = "0014 StuffString 002d @UStrCopy 0056 @UStrCatN 0070 @UStrArrayClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CE 49 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? FF 75 FC FF 75 0C 8D 45 F8 50 8D 14 37 B9 FF FF FF 7F 8B C3 E8 ?? ?? ?? ?? FF 75 F8 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_51562_0 {
	meta:
		name = "RandomFrom"
		size = 31
		refs = "000d Random 0017 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C6 40 E8 ?? ?? ?? ?? 8B 14 83 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68656_0 {
	meta:
		name = "RandomFrom"
		size = 31
		refs = "000d Random 0017 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C6 40 E8 ?? ?? ?? ?? 8B 14 83 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51563_0 {
	meta:
		name = "PosEx"
		size = 176
	strings:
		$1 = { 85 C0 74 59 85 D2 74 55 49 7C 52 56 53 8B 72 FC 8B 58 FC 29 CE 01 CA 39 DE 7C 40 85 DB 7E 3C 83 C4 F4 83 C3 FF 01 D6 01 DA 89 74 24 08 01 D8 29 D1 F7 DB 89 4C 24 04 89 1C 24 0F B6 08 3A 0A 74 2F 3A 4A 01 74 2D 83 C2 04 3B 54 24 08 72 11 83 C2 FE 3B 54 24 08 72 E5 83 C4 0C 5B 5E 31 C0 C3 3A 4A FE 74 08 3A 4A FF 75 D3 83 C2 01 83 C2 FE 83 C2 FF 8B 34 24 85 F6 74 21 0F B7 1C 30 66 3B 5C 32 01 75 C1 83 FE FE 7D 11 0F B7 5C 30 02 66 3B 5C 32 03 75 B0 83 C6 04 7C DF 8B 44 24 04 83 C2 02 3B 54 24 08 77 B0 83 C4 0C 01 D0 5B 5E C3 }
	condition:
		$1
}

rule function_51564_0 {
	meta:
		name = "ChangeFileExt"
		size = 152
		refs = "0019 ChangeFileExt 002b LastDelimiter 0050 @LStrCopy 005d @LStrCat3 0072 @LStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 07 80 7C 1E FF 2E 74 05 BB FF FF FF 7F 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B CF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 03 00 00 00 2E 5C 3A 00 }
	condition:
		$1
}

rule function_51565_0 {
	meta:
		name = "ChangeFilePath"
		size = 106
		refs = "0014 ChangeFilePath 0024 ExtractFileName 0032 IncludeTrailingPathDelimiter 003d @LStrCat3 0057 @LStrArrayClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_69011_0 {
	meta:
		name = "ChangeFilePath"
		size = 106
		refs = "0014 ChangeFilePath 0024 ExtractFileName 0032 IncludeTrailingPathDelimiter 003d @UStrCat3 0057 @UStrArrayClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51566_0 {
	meta:
		name = "ExtractFilePath"
		size = 56
		refs = "000a ExtractFilePath 000f LastDelimiter 0020 @LStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 57 8B CE BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 E4 04 01 00 FF FF FF FF 02 00 00 00 5C 3A 00 00 }
	condition:
		$1
}

rule function_51567_0 {
	meta:
		name = "ExtractFileDir"
		size = 88
		refs = "000a ExtractFileDir 000f LastDelimiter 002c IsDelimiter 0040 @LStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 FB 01 7E 1B 80 7C 1E FF 5C 75 14 8B CB 49 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 01 4B 57 8B CB BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 E4 04 01 00 FF FF FF FF 02 00 00 00 5C 3A 00 00 }
	condition:
		$1
}

rule function_51568_0 {
	meta:
		name = "ExtractFileDrive"
		size = 192
		refs = "003c @LStrCopy 008d @LStrLen 00b6 @LStrClr"
	strings:
		$1 = { 53 56 57 55 51 8B FA 8B D8 89 1C 24 8B 14 24 8B C2 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7C 09 80 7B 01 3A 0F 94 C0 EB 02 33 C0 84 C0 74 14 57 B9 02 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 78 8B C2 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7C 08 80 3B 5C 0F 94 C0 EB 02 33 C0 84 C0 74 09 80 7B 01 5C 0F 94 C0 EB 02 33 C0 84 C0 74 44 33 ED BE 03 00 00 00 EB 0E 80 7C 33 FF 5C 75 01 45 83 FD 02 7D 01 46 89 1C 24 8B 04 24 E8 ?? ?? ?? ?? 3B F0 7D 05 83 FD 02 7C DE 80 7C 33 FF 5C 75 01 4E 57 8B CE BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51569_0 {
	meta:
		name = "ExtractFileName"
		size = 60
		refs = "000a ExtractFileName 000f LastDelimiter 0021 @LStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 57 8D 56 01 B9 FF FF FF 7F 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 5C 3A 00 00 }
	condition:
		$1
}

rule function_51570_0 {
	meta:
		name = "ExtractFileExt"
		size = 76
		refs = "000a ExtractFileExt 000f LastDelimiter 002b @LStrCopy 0034 @LStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 18 80 7C 1E FF 2E 75 11 57 B9 FF FF FF 7F 8B D3 8B C6 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 E4 04 01 00 FF FF FF FF 03 00 00 00 2E 5C 3A 00 }
	condition:
		$1
}

rule function_51571_0 {
	meta:
		name = "ExpandFileName"
		size = 151
		refs = "001c @LStrToPChar 0024 GetFullPathNameA 003d @LStrFromPCharLen 004e @LStrSetLength"
	strings:
		$1 = { 53 56 57 55 81 C4 F4 FE FF FF 8B F2 8B F8 54 8D 44 24 08 50 68 04 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B E8 55 E8 ?? ?? ?? ?? 8B D8 81 FB 04 01 00 00 7F 11 6A 00 8D 54 24 08 8B C6 8B CB E8 ?? ?? ?? ?? EB 49 85 DB 7E 45 8B C6 33 C9 8B D3 E8 ?? ?? ?? ?? 54 8B 06 E8 ?? ?? ?? ?? 50 53 55 E8 ?? ?? ?? ?? 8B D8 8B 06 89 84 24 08 01 00 00 8B 84 24 08 01 00 00 85 C0 74 05 83 E8 04 8B 00 3B C3 7E 0B 8B C6 33 C9 8B D3 E8 ?? ?? ?? ?? 81 C4 0C 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51572_0 {
	meta:
		name = "ExpandFileNameCase"
		size = 767
		refs = "0028 TSearchRec 002d @InitializeRecord 0035 ExpandFileNameCase 0044 ExpandFileName 005f ExtractFilePath 0069 ExtractFileName 0077 ExtractFileDrive 0088 IncludeTrailingPathDelimiter 0099 @LStrLAsg 00bb AnsiLowerCase 00dc CompareStr 00f7 ExcludeTrailingPathDelimiter 0108 @UStrFromLStr 011e FindFirst 012b FindClose 01b7 @LStrCat3 0210 @LStrFromUStr 0225 @TryFinallyExit 0245 @HandleFinally 0289 @LStrArrayClr 0294 @UStrClr 02e0 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 51 B9 56 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B D9 89 95 7C FD FF FF 8B F0 8D 85 80 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 85 7C FD FF FF C6 00 00 85 F6 0F 84 17 02 00 00 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8D 95 74 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 74 FD FF FF 8D 95 78 FD FF FF E8 ?? ?? ?? ?? 8B B5 78 FD FF FF 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F0 89 B5 70 FD FF FF 8B 95 70 FD FF FF E8 ?? ?? ?? ?? 8D 95 6C FD FF FF 8B 45 F0 E8 ?? ?? ?? ?? 8B 85 6C FD FF FF 50 8D 95 68 FD FF FF 8B 45 F4 E8 ?? ?? ?? ?? 8B 85 68 FD FF FF 5A E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 85 AF 00 00 00 8D 95 60 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 60 FD FF FF 8D 85 64 FD FF FF E8 ?? ?? ?? ?? 8B 85 64 FD FF FF 8D 8D 80 FD FF FF BA FF 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 85 80 FD FF FF E8 ?? ?? ?? ?? 85 F6 74 69 8D 95 5C FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 5C FD FF FF 8D 45 FC E8 ?? ?? ?? ?? 8D 8D 58 FD FF FF 8B 95 7C FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 58 FD FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B 85 7C FD FF FF 80 38 00 0F 84 F0 00 00 00 8D 95 54 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 54 FD FF FF 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 4C FD FF FF 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 8B 95 4C FD FF FF 8D 85 50 FD FF FF E8 ?? ?? ?? ?? 8B 85 50 FD FF FF 8D 8D 80 FD FF FF BA FF 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 45 8B 85 7C FD FF FF 0F B6 00 04 FE 2C 02 72 09 8B 85 7C FD FF FF C6 00 01 8D 85 48 FD FF FF 8B 95 94 FD FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 8D 48 FD FF FF 8B C3 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 45 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 80 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 8B 95 7C FD FF FF 80 3A 03 74 18 84 C0 74 0B 8B 85 7C FD FF FF C6 00 02 EB 09 8B 85 7C FD FF FF C6 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 48 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 50 FD FF FF E8 ?? ?? ?? ?? 8D 85 54 FD FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 64 FD FF FF E8 ?? ?? ?? ?? 8D 85 68 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 74 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 80 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 84 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51573_0 {
	meta:
		name = "GetUniversalName"
		size = 721
		refs = "002a GetUniversalName 003b @LStrAsg 0040 Win32Platform 004a Win32MajorVersion 006b @LStrToPChar 0071 WNetGetUniversalNameA 008c @UStrFromPWChar 009f @LStrFromUStr 0118 WNetOpenEnum 013d @GetMem 0170 WNetEnumResourceA 018d @ReallocMem 019a @TryFinallyExit 0216 @LStrCopy 0230 @LStrFromPChar 023f @LStrCat3 0270 @FreeMem 0276 @HandleFinally 028e WNetCloseEnum 02b3 @LStrArrayClr 02be @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 C8 FB FF FF 53 56 57 33 C9 89 8D CC FB FF FF 89 8D C8 FB FF FF 89 8D D0 FB FF FF 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 01 75 0A A1 ?? ?? ?? ?? 83 38 04 7E 55 C7 45 E8 00 04 00 00 8D 45 E8 50 8D 85 D4 FB FF FF 50 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 85 1D 02 00 00 8D 85 D0 FB FF FF 8D 95 D4 FB FF FF 8B 12 E8 ?? ?? ?? ?? 8B 95 D0 FB FF FF 8B 45 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 F2 01 00 00 8B 45 FC 0F B6 00 8B D0 80 C2 9F 80 EA 1A 73 02 2C 20 88 45 E7 80 7D E7 41 72 06 80 7D E7 5A 76 04 B0 01 EB 12 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 03 0F 9C C0 84 C0 74 04 B0 01 EB 0A 8B 45 FC 80 78 01 3A 0F 95 C0 84 C0 74 04 B0 01 EB 0A 8B 45 FC 80 78 02 5C 0F 95 C0 84 C0 0F 85 8F 01 00 00 8D 45 E0 50 6A 00 6A 00 6A 01 6A 01 E8 ?? ?? ?? ?? 85 C0 0F 85 76 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 40 06 00 00 8B 45 F4 E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 EC FF FF FF FF 8B 45 F4 89 45 E8 8D 45 E8 50 8B 45 DC 50 8D 45 EC 50 8B 45 E0 50 E8 ?? ?? ?? ?? 89 45 F0 81 7D F0 EA 00 00 00 75 13 8B 45 E8 89 45 F4 8D 45 DC 8B 55 F4 E8 ?? ?? ?? ?? EB BF 83 7D F0 00 74 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F2 00 00 00 8B 75 EC 4E 85 F6 7C A2 46 33 FF 8B C7 03 C0 03 C0 8B 55 DC 8D 1C C2 83 7B 10 00 0F 84 86 00 00 00 8B 43 10 0F B6 00 88 45 DB 0F B6 45 DB 04 9F 2C 1A 73 04 80 6D DB 20 0F B6 45 E7 3A 45 DB 75 66 8B 45 FC 89 45 D4 83 7D D4 00 74 0B 8B 45 D4 83 E8 04 8B 00 89 45 D4 8D 85 CC FB FF FF 50 8B 4D D4 83 E9 02 BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 85 CC FB FF FF 50 8D 85 C8 FB FF FF 8B 53 14 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 C8 FB FF FF 8B 45 F8 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4B 47 4E 0F 85 5C FF FF FF E9 F6 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 C8 FB FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 D0 FB FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51574_0 {
	meta:
		name = "ExpandUNCFileName"
		size = 185
		refs = "0015 ExpandUNCFileName 0024 ExpandFileName 0088 GetUniversalName 0092 @LStrAsg 00a7 @LStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 03 89 45 FC 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 03 7C 0B 8B 03 80 78 01 3A 0F 94 C0 EB 02 33 C0 84 C0 74 18 8B 03 0F B6 00 8B D0 80 C2 9F 80 EA 1A 73 02 2C 20 3C 41 0F 93 C0 EB 02 33 C0 84 C0 74 29 8B 03 0F B6 00 8B D0 80 C2 9F 80 EA 1A 73 02 2C 20 3C 5A 77 14 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51575_0 {
	meta:
		name = "ExtractFilePathNoDrive"
		size = 118
		refs = "0015 ExtractFilePathNoDrive 0024 ExtractFilePath 002e ExtractFileDrive 004f @LStrDelete 0064 @LStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B D6 8B C8 B8 01 00 00 00 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_69022_0 {
	meta:
		name = "ExtractFilePathNoDrive"
		size = 118
		refs = "0015 ExtractFilePathNoDrive 0024 ExtractFilePath 002e ExtractFileDrive 004f @UStrDelete 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B D6 8B C8 B8 01 00 00 00 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_51576_0 {
	meta:
		name = "Next"
		size = 38
		refs = "000f AnsiStrScan"
	strings:
		$1 = { 53 56 8B D8 8B 33 85 F6 74 17 8B 03 B2 5C E8 ?? ?? ?? ?? 89 03 83 3B 00 74 07 8B 03 C6 00 00 FF 03 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_51577_0 {
	meta:
		name = "ExtractRelativePath"
		size = 560
		refs = "0023 ExtractRelativePath 0034 ExtractFileDrive 0053 @LStrLAsg 006c AnsiLowerCase 0084 CompareStr 009c ExtractFilePathNoDrive 00a4 UniqueString 00c5 Next 0104 @LStrFromPChar 0120 SameFileName 012b @LStrClr 0149 @LStrCatN 01a5 @LStrCat 01b0 ExtractFileName 01c6 @LStrAsg 01e0 @LStrArrayClr 0200 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 DC 8B 45 EC E8 ?? ?? ?? ?? 8B 5D DC 8D 55 D8 8B 45 E8 E8 ?? ?? ?? ?? 8B 7D D8 8D 45 F4 89 5D D4 8B 55 D4 E8 ?? ?? ?? ?? 8D 45 F0 89 7D D4 8B 55 D4 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 D0 50 8D 55 CC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 CC 5A E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 2B 01 00 00 8D 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 89 45 E4 8D 45 E4 E8 ?? ?? ?? ?? 8B F8 8B 45 F8 89 45 E0 8D 45 E0 E8 ?? ?? ?? ?? 8B D8 EB 14 8D 45 E4 E8 ?? ?? ?? ?? 8B F8 8D 45 E0 E8 ?? ?? ?? ?? 8B D8 85 FF 74 33 85 DB 74 2F 8D 45 C8 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 50 8D 45 C4 8B D7 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 C4 5A E8 ?? ?? ?? ?? 84 C0 75 B5 8B C6 E8 ?? ?? ?? ?? 83 7D E4 00 74 26 FF 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 83 7D E4 00 75 DA 85 DB 74 2A 80 3B 00 74 25 FF 36 8D 45 C0 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7D E0 00 74 1A 8D 45 BC 8B 55 E0 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 BC 8B C6 E8 ?? ?? ?? ?? 8D 55 B8 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 B8 8B C6 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 2E 2E 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_51578_0 {
	meta:
		name = "ExtractShortPathName"
		size = 149
		refs = "001b @LStrToPChar 0023 GetShortPathNameA 003c @LStrFromPCharLen 004d @LStrSetLength"
	strings:
		$1 = { 53 56 57 55 81 C4 F8 FE FF FF 8B F2 8B F8 68 04 01 00 00 8D 44 24 04 50 8B C7 E8 ?? ?? ?? ?? 8B E8 55 E8 ?? ?? ?? ?? 8B D8 81 FB 04 01 00 00 7F 11 6A 00 8D 54 24 04 8B C6 8B CB E8 ?? ?? ?? ?? EB 48 85 DB 7E 44 8B C6 33 C9 8B D3 E8 ?? ?? ?? ?? 53 8B 06 E8 ?? ?? ?? ?? 50 55 E8 ?? ?? ?? ?? 8B D8 8B 06 89 84 24 04 01 00 00 8B 84 24 04 01 00 00 85 C0 74 05 83 E8 04 8B 00 3B C3 7E 0B 8B C6 33 C9 8B D3 E8 ?? ?? ?? ?? 81 C4 08 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51579_0 {
	meta:
		name = "LastDelimiter"
		size = 88
		refs = "001d @LStrToPChar 0035 StrScan 0042 ByteType"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B D8 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B F8 8B C3 E8 ?? ?? ?? ?? 8B E8 85 FF 7E 29 0F B6 5C 3E FF 84 DB 74 1B 8B D3 8B C5 E8 ?? ?? ?? ?? 85 C0 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? 3C 02 75 06 4F 4F 85 FF 7F D7 8B C7 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51580_0 {
	meta:
		name = "IsPathDelimiter"
		size = 77
		refs = "003c ByteType"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 85 DB 7E 16 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 3B C3 0F 9D C0 EB 02 33 C0 84 C0 74 0A 80 7C 1E FF 5C 0F 94 C0 EB 02 33 C0 84 C0 74 10 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 94 C0 EB 02 33 C0 5A 5E 5B C3 }
	condition:
		$1
}

rule function_51581_0 {
	meta:
		name = "IsDelimiter"
		size = 97
		refs = "0036 ByteType 0046 @LStrToPChar 0050 StrScan"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B F2 8B E8 33 DB 85 FF 7F 04 B0 01 EB 14 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 3B C7 0F 9C C0 84 C0 74 04 B0 01 EB 0E 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 95 C0 84 C0 75 16 8B C5 E8 ?? ?? ?? ?? 0F B6 54 3E FF E8 ?? ?? ?? ?? 85 C0 0F 95 C3 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51583_0 {
	meta:
		name = "IncludeTrailingPathDelimiter"
		size = 80
		refs = "000c @LStrAsg 0026 IsPathDelimiter 0031 IncludeTrailingPathDelimiter 0036 @LStrCat"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 03 89 04 24 8B 34 24 85 F6 74 05 83 EE 04 8B 36 8B 03 8B D6 E8 ?? ?? ?? ?? 84 C0 75 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_51585_0 {
	meta:
		name = "ExcludeTrailingPathDelimiter"
		size = 79
		refs = "000c @LStrAsg 0026 IsPathDelimiter 0047 @LStrSetLength"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 03 89 04 24 8B 34 24 85 F6 74 05 83 EE 04 8B 36 8B 03 8B D6 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 03 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B D0 4A 8B C3 33 C9 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_51586_0 {
	meta:
		name = "AnsiCountElems"
		size = 132
		refs = "0036 @LStrToPChar 004e LeadBytes 005d StrCharLength"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 8B DA 8B F8 33 D2 85 DB 7F 05 BB 01 00 00 00 89 7C 24 04 8B 44 24 04 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 4C 3B F3 7C 48 8B C7 E8 ?? ?? ?? ?? 03 D8 4B 8B FB 89 3C 24 EB 2A BB 01 00 00 00 0F B6 07 8B 15 ?? ?? ?? ?? 0F B6 C0 0F A3 02 73 09 8B C7 E8 ?? ?? ?? ?? 8B D8 3B F3 7D 02 8B DE 03 FB 2B F3 4D 85 F6 7E 04 85 ED 7F CE 8B D7 2B 14 24 8B C2 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51587_0 {
	meta:
		name = "AnsiCountChars"
		size = 97
		refs = "0021 @LStrToPChar 0035 LeadBytes 0044 StrCharLength"
	strings:
		$1 = { 53 56 57 55 51 8B D8 33 ED 89 1C 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 3B 8B C3 E8 ?? ?? ?? ?? 8B F8 85 F6 7E 2E BB 01 00 00 00 0F B6 07 8B 15 ?? ?? ?? ?? 0F B6 C0 0F A3 02 73 09 8B C7 E8 ?? ?? ?? ?? 8B D8 3B F3 7D 02 8B DE 03 FB 2B F3 45 85 F6 7F D2 8B C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51588_0 {
	meta:
		name = "AnsiLeftStr"
		size = 76
		refs = "000d @LStrClr 0032 AnsiCountElems 0043 @LStrCopy"
	strings:
		$1 = { 53 56 57 51 8B F1 8B DA 8B F8 8B C6 E8 ?? ?? ?? ?? 85 DB 7E 32 89 3C 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1F 8B CB BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D8 56 8B CB BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51589_0 {
	meta:
		name = "AnsiRightStr"
		size = 50
		refs = "000d @LStrClr 0014 AnsiCountChars 0029 AnsiMidStr"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 8B F0 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 0F 57 8B D3 2B D5 42 8B CD 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68671_0 {
	meta:
		name = "AnsiRightStr"
		size = 50
		refs = "000d @UStrClr 0014 AnsiCountChars 0029 AnsiMidStr"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 8B F0 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 0F 57 8B D3 2B D5 42 8B CD 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51590_0 {
	meta:
		name = "AnsiMidStr"
		size = 121
		refs = "0015 @LStrClr 0047 AnsiCountElems 006c @LStrCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 85 F6 7E 53 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 41 BF 01 00 00 00 83 7D F8 00 7E 14 8B 4D F8 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F8 47 3B FB 7F 1E 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 50 8B CB 8B D7 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_68672_0 {
	meta:
		name = "AnsiMidStr"
		size = 121
		refs = "0015 @UStrClr 0047 AnsiCountElems 006c @UStrCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 85 F6 7E 53 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 41 BF 01 00 00 00 83 7D F8 00 7E 14 8B 4D F8 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F8 47 3B FB 7F 1E 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 50 8B CB 8B D7 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_51596_0 {
	meta:
		name = "TCustomScope.Create"
		size = 87
		refs = "000e @ClassCreate 001d TObject.Create 0024 _Dn_TDictionaryScope 0029 TDictionaryScope.Create 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C 89 77 10 8B 45 08 89 47 14 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_51600_0 {
	meta:
		name = "TCustomScope.Lookup"
		size = 86
		refs = "0012 TDictionaryScope.Lookup 0036 TDictionary<System.string,System.IInterface>.Add"
	strings:
		$1 = { 53 56 57 55 8B F1 8B FA 8B D8 8B CE 8B D7 8B 43 0C E8 ?? ?? ?? ?? 83 3E 00 75 1F 8B CE 8B D7 8B C3 8B 28 FF 55 00 83 3E 00 74 0F 8B 0E 8B 43 0C 8B 40 0C 8B D7 E8 ?? ?? ?? ?? 83 3E 00 74 12 83 7B 18 00 74 0C 8B 0E 8B D3 8B 43 18 8B 18 FF 53 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51864_0 {
	meta:
		name = "TCustomWrapper.Create"
		size = 400
		refs = "001c @ClassCreate 0032 TCustomWrapper.Create 0041 TObject.Create 005f SParamIsNil 0064 LoadResString 006e _DV_ECustomWrapperError 0073 Exception.CreateFmt 0078 @RaiseExcept 0084 SInvalidString 0098 Exception.Create 00e9 @UStrAsg 00fb @IntfCopy 0115 @UStrArrayClr 011b @HandleFinally 012a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D E8 89 5D EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 8B 7D 10 8B 75 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 85 F6 75 33 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 75 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 08 00 75 33 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 43 14 89 73 18 8D 43 1C 8B D7 E8 ?? ?? ?? ?? 0F B6 45 0C 88 43 0C 8D 43 10 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 65 00 74 00 61 00 43 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 47 00 65 00 74 00 74 00 65 00 72 00 43 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_51865_0 {
	meta:
		name = "TCustomWrapper.Detach"
		size = 6
	strings:
		$1 = { 33 D2 89 50 14 C3 }
	condition:
		$1
}

rule function_51866_0 {
	meta:
		name = "TCustomWrapper.GetArgs"
		size = 25
		refs = "000d TArray<System.Rtti.TValue> 0012 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51867_0 {
	meta:
		name = "TCustomWrapper.GetAttached"
		size = 8
	strings:
		$1 = { 83 78 14 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_51874_0 {
	meta:
		name = "TCustomWrapper.GetType"
		size = 9
		refs = "0004 TValue.GetTypeInfo"
	strings:
		$1 = { 83 C0 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51875_0 {
	meta:
		name = "TCustomWrapper.GetValue"
		size = 256
		refs = "001a TCustomWrapper.GetValue 0027 TValue.GetEmpty 002e TCustomWrapper.GetWrapperType 0061 TValue 0066 @CopyRecord 0080 @DynArrayLength 00ed @FinalizeArray 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 2C 01 72 0F 0F 84 85 00 00 00 FE C8 74 3C E9 8C 00 00 00 6A 00 8D 45 E8 50 8B 4B 1C 8B 53 14 8B 43 10 8B 38 FF 57 0C 8D 55 E8 8D 43 28 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8D 53 28 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 55 8B 43 20 E8 ?? ?? ?? ?? 85 C0 7E 49 8B 43 20 50 8D 45 D0 50 8B 4B 1C 8B 53 14 8B 43 10 8B 38 FF 57 0C 8D 55 D0 8D 43 28 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8D 53 28 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8B C6 8D 53 28 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51877_0 {
	meta:
		name = "TCustomWrapper.Invoke"
		size = 195
		refs = "0020 TCustomWrapper.Invoke 0030 AdaptArguments 003c TArray<System.Rtti.TValue> 0041 @DynArrayAsg 0063 TValue 0068 @CopyRecord 0072 _Dn_TValueWrapper 0077 TValueWrapper.Create 0088 @IntfCopy 00a3 @FinalizeRecord 00b1 @DynArrayClear 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 20 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 20 50 8D 45 E0 50 8B 4B 1C 8B 53 14 8B 43 10 8B 30 FF 56 0C 8D 55 E0 8D 43 28 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4B 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51878_0 {
	meta:
		name = "TCustomWrapper.QueryInterface"
		size = 148
		refs = "001f TCustomWrapper.QueryInterface 0024 TGUID.&op_Equality 0063 TInterfacedObject.QueryInterface"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 0C 8B 75 08 33 DB 0F B6 46 0C 2C 01 72 06 FE C8 74 29 EB 3C 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 10 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C BB 02 40 00 80 EB 15 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 BB 02 40 00 80 85 DB 75 0D 8B 45 10 50 57 56 E8 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 5D C2 0C 00 00 00 1C 36 B8 0B C7 AA DB 42 B9 70 52 75 79 7D F4 1F 44 3B D9 79 1B 2F 53 4F B4 4D 91 91 3F E6 85 81 }
	condition:
		$1
}

rule function_51879_0 {
	meta:
		name = "TCustomWrapper.SetArgs"
		size = 25
		refs = "000d TArray<System.Rtti.TValue> 0012 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 20 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51880_0 {
	meta:
		name = "TCustomWrapper.SetGetterCallback"
		size = 164
		refs = "0015 TCustomWrapper.SetGetterCallback 0039 SParamIsNil 003e LoadResString 0048 _DV_ECustomWrapperError 004d Exception.CreateFmt 0052 @RaiseExcept 005c @IntfCopy 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 33 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 10 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 61 00 6C 00 6C 00 62 00 61 00 63 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_51898_0 {
	meta:
		name = "AdaptArguments"
		size = 162
		refs = "0018 AdaptArguments 0025 @DynArrayLength 0034 TArray<System.Rtti.TValue> 0039 @DynArraySetLength 0043 @DynArrayHigh 006b TValue 0070 @CopyRecord 008f @FinalizeRecord 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 2B 46 33 DB 8D 55 E4 8B 04 9F 8B 08 FF 51 10 8D 55 E4 8D 04 5B 8B 4D FC 8B 09 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_51899_0 {
	meta:
		name = "TValueWrapper.Create"
		size = 64
		refs = "000b @ClassCreate 001c TValue 0021 @CopyRecord 002c @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 10 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51900_0 {
	meta:
		name = "TValueWrapper.GetType"
		size = 9
		refs = "0004 TValue.GetTypeInfo"
	strings:
		$1 = { 83 C0 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_51901_0 {
	meta:
		name = "TBindingExpression.GetOutputValue"
		size = 25
		refs = "000d TValue 0012 @CopyRecord"
		altNames = "TValueWrapper.GetValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8D 53 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66580_0 {
	meta:
		name = "TMatch.GetGroups"
		size = 25
		refs = "000d TGroupCollection 0012 @CopyRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8D 53 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51902_0 {
	meta:
		name = "TLocationWrapper.Create"
		size = 280
		refs = "0019 @ClassCreate 002b TLocationWrapper.Create 003a TObject.Create 0058 SParamIsNil 005d LoadResString 0067 _DV_EWrapperError 006c Exception.CreateFmt 0071 @RaiseExcept 0083 sNoGetterOrSetter 0097 Exception.Create 00ad @IntfCopy 00d2 @UStrArrayClr 00d8 @HandleFinally 00e7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 85 F6 75 33 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 75 27 83 7D 08 00 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 14 01 89 73 20 8D 43 24 8B D7 E8 ?? ?? ?? ?? 8D 43 28 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 54 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_51903_0 {
	meta:
		name = "TLocationWrapper.Create"
		size = 396
		refs = "001c @ClassCreate 002c TRttiContext 0031 @InitializeRecord 0039 TLocationWrapper.Create 0048 TObject.Create 0066 SParamIsNil 006b LoadResString 0075 _DV_EWrapperError 007a Exception.CreateFmt 007f @RaiseExcept 0087 TRttiContext.Create 0098 @CopyRecord 00a9 TRttiContext.GetType 00e9 sPropertyNotFound 011b @UStrClr 0129 @FinalizeRecord 0145 @HandleFinally 0154 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D E8 89 5D EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FB 8B D8 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 85 F6 75 33 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 55 E8 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 89 43 18 8B 00 89 C2 8D 45 FC E8 ?? ?? ?? ?? 8B F0 8B 55 08 8B C6 8B 08 FF 51 30 8B F8 89 7B 0C 85 FF 75 44 8B 55 08 8B C6 8B 08 FF 51 34 8B F8 89 7B 10 85 FF 75 31 8B 45 08 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 14 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 8B C3 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 }
	condition:
		$1
}

rule function_51904_0 {
	meta:
		name = "TLocationWrapper.Create"
		size = 86
		refs = "000d @ClassCreate 001e TLocationWrapper.Create 0030 TArray<System.Rtti.TValue> 0035 @DynArrayAsg 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 0C 50 33 D2 8B C6 E8 ?? ?? ?? ?? 83 7E 10 00 74 11 8D 46 1C 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_51906_0 {
	meta:
		name = "TLocationWrapper.GetType"
		size = 53
		refs = "0019 TRttiType.GetHandle 0023 TRttiIndexedProperty.GetPropertyType"
	strings:
		$1 = { 53 56 8B D8 80 7B 14 00 75 25 8B 73 0C 85 F6 74 0E 8B C6 8B 10 FF 52 10 E8 ?? ?? ?? ?? EB 13 8B 43 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B 43 20 5E 5B C3 }
	condition:
		$1
}

rule function_51907_0 {
	meta:
		name = "TLocationWrapper.GetValue"
		size = 75
		refs = "001c TRttiProperty.GetValue 0028 @DynArrayHigh 0037 TRttiIndexedProperty.GetValue"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 80 7B 14 00 75 30 8B 7B 0C 85 FF 74 0E 8B CE 8B 53 18 8B C7 E8 ?? ?? ?? ?? EB 25 8B 7B 1C 8B C7 E8 ?? ?? ?? ?? 50 56 8B CF 8B 53 18 8B 43 10 E8 ?? ?? ?? ?? EB 0A 8B D6 8B 43 24 8B 08 FF 51 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51908_0 {
	meta:
		name = "TLocationWrapper.QueryInterface"
		size = 80
		refs = "001a TLocationWrapper.QueryInterface 001f TGUID.&op_Equality 0035 TInterfacedObject.QueryInterface"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 0C 8B 5D 08 80 7B 14 00 75 06 83 7B 10 00 75 17 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 B8 02 40 00 80 EB 0B 8B 45 10 50 56 53 E8 ?? ?? ?? ?? 5E 5B 5D C2 0C 00 00 44 3B D9 79 1B 2F 53 4F B4 4D 91 91 3F E6 85 81 }
	condition:
		$1
}

rule function_51910_0 {
	meta:
		name = "TLocationWrapper.SetValue"
		size = 73
		refs = "001a TRttiProperty.SetValue 0026 @DynArrayHigh 0035 TRttiIndexedProperty.SetValue"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 80 7B 14 00 75 2E 8B 43 0C 85 C0 74 0C 8B CE 8B 53 18 E8 ?? ?? ?? ?? EB 25 8B 7B 1C 8B C7 E8 ?? ?? ?? ?? 50 56 8B CF 8B 53 18 8B 43 10 E8 ?? ?? ?? ?? EB 0A 8B D6 8B 43 28 8B 08 FF 51 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_51911_0 {
	meta:
		name = "TScopeSymbols.Add"
		size = 33
		refs = "000c TList<System.string>.Contains 001a TList<System.string>.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 84 C0 75 0A 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_51914_0 {
	meta:
		name = "TScopeSymbols.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _DV_TList<System.string> 0023 TList<System.string>.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_114107_0 {
	meta:
		name = "TCustomOwnedNode.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TCustomOwnedObject.Create 001e _Dn_TList 0023 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81444_0 {
	meta:
		name = "TGIFCommentExtension.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TGIFExtension.Create 001e _Dn_TStringList 0023 TStringList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_62141_0 {
	meta:
		name = "TInterfaceList.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _DV_TThreadList 0023 TThreadList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_52363_0 {
	meta:
		name = "TObjectMemberGroupScope.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _DV_TList<System.IInterface> 0023 TList<System.IInterface>.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_69433_0 {
	meta:
		name = "TSimpleRWSync.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TObject 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_52313_0 {
	meta:
		name = "TDictionaryScope.GetEnumerator"
		size = 39
		refs = "000b _DV_TDictionaryScope.TWrappersEnumerator 0010 TDictionaryScope.TWrappersEnumerator.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52365_0 {
	meta:
		name = "TObjectMemberGroupScope.GetEnumerator"
		size = 39
		refs = "000b _DV_TObjectMemberGroupScope.TWrappersEnumerator 0010 TObjectMemberGroupScope.TWrappersEnumerator.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52314_0 {
	meta:
		name = "TDictionaryScope.Lookup"
		size = 400
		refs = "001a TDictionaryScope.Lookup 0027 @IntfClear 002f TDictionary<System.string,System.IInterface>.GetValues 0034 TDictionary<System.string,System.IInterface>.TValueCollection.GetEnumerator 0055 TDictionary<System.string,System.IInterface>.TValueEnumerator.GetCurrent 005f _Dn_TBindingSearch 0064 TBindingSearch.IsObjectWrapper 0072 @IntfCopy 0077 @TryFinallyExit 0089 Supports 0100 TDictionary<System.string,System.IInterface>.TValueEnumerator.MoveNext 012b @HandleFinally 0153 IInterface 015d @FinalizeArray"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 47 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 AE 00 00 00 8D 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8B CB 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B C6 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B1 00 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 6B 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 50 8D 55 F0 8B 45 F4 8B 08 FF 51 0C EB 2F 8D 55 F8 8B 45 F0 8B 08 FF 51 0C 8B CB 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B C6 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 49 8B 45 F0 8B 10 FF 52 10 84 C0 75 C5 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 0F 85 42 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 B4 5D 94 D6 FB 6E A0 47 A9 1E 97 55 22 DA B2 8A 3C 17 DE 59 4A 95 BA 4D BA C1 5D 1B 95 51 B8 5A }
	condition:
		$1
}

rule function_52315_0 {
	meta:
		name = "TDictionaryScope.Lookup"
		size = 32
		refs = "000c @IntfClear 0018 TDictionary<System.string,System.IInterface>.TryGetValue"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52316_0 {
	meta:
		name = "TNestedScope.Create"
		size = 84
		refs = "000e @ClassCreate 001d TObject.Create 0027 @IntfCopy 003d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 8D 47 10 8B 55 08 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_52317_0 {
	meta:
		name = "TNestedScope.Lookup"
		size = 44
	strings:
		$1 = { 53 56 57 55 8B F1 8B FA 8B D8 8B CE 8B D7 8B 43 10 8B 28 FF 55 0C 83 3E 00 75 0C 8B CE 8B D7 8B 43 0C 8B 18 FF 53 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52318_0 {
	meta:
		name = "TNestedScope.GetEnumerator"
		size = 39
		refs = "000b _DV_TNestedScope.TWrapperEnumerator 0010 TNestedScope.TWrapperEnumerator.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52319_0 {
	meta:
		name = "TNestedScope.GetSelf"
		size = 164
		refs = "000f TNestedScope.GetSelf 001c @IntfClear 0033 Supports 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 0C 83 3B 00 75 25 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 D9 75 D8 FA DE 7E 8C 43 A4 77 F7 BC EF 13 51 47 }
	condition:
		$1
}

rule function_52320_0 {
	meta:
		name = "TNestedScope.Lookup"
		size = 188
		refs = "0017 TNestedScope.Lookup 0024 @IntfClear 003b Supports 008f IScopeEx 0099 @FinalizeArray 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 84 C0 74 0D 8B CB 8B 55 F4 8B 45 FC 8B 38 FF 57 10 83 3B 00 75 28 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 84 C0 74 0D 8B CB 8B 55 F4 8B 45 F8 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 5E 80 57 B7 B1 E2 3D 47 A2 01 99 BF 6E 11 34 FF }
	condition:
		$1
}

rule function_52321_0 {
	meta:
		name = "TNestedScope.QueryInterface"
		size = 93
		refs = "001e TObject.GetInterface 0035 Supports"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 C7 45 FC 02 40 00 80 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 33 C0 89 45 FC EB 25 8B CF 8B D6 8B 43 10 E8 ?? ?? ?? ?? 84 C0 75 10 8B CF 8B D6 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 05 33 C0 89 45 FC 8B 45 FC 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_52322_0 {
	meta:
		name = "TValueConverter.AddConversion"
		size = 101
		refs = "0013 @IntfAddRef 001b TValueConverter.AddConversion 002d TValueConverter.TConvPair.Create 003b TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Add 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B CF 8B D6 E8 ?? ?? ?? ?? 8D 55 F8 8B 4D 08 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_52323_0 {
	meta:
		name = "TValueConverter.CanConvert"
		size = 39
		refs = "0013 TValueConverter.TConvPair.Create 001d TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.ContainsKey"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 8B C4 8B CF 8B D6 E8 ?? ?? ?? ?? 8B D4 8B 43 04 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52324_0 {
	meta:
		name = "TValueConverter.Convert"
		size = 160
		refs = "0025 TValue 002a @AddRefRecord 0032 TValueConverter.Convert 0040 TValue.GetTypeInfo 004c TValueConverter.TConvPair.Create 005a TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetItem 007d @IntfClear 008b @FinalizeRecord 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D E4 8B F2 8D 7D E8 51 B9 06 00 00 00 F3 A5 59 8B F1 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 8B D0 8B CE 8D 45 DC E8 ?? ?? ?? ?? 8D 55 DC 8D 4D E4 8B 43 04 E8 ?? ?? ?? ?? 8B 45 E4 8B 4D 08 8D 55 E8 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_52328_0 {
	meta:
		name = "TOverload.Create"
		size = 116
		refs = "0011 @ClassCreate 002e TArray<System.TypInfo.PTypeInfo> 0033 @DynArraySetLength 0043 Move 004e @IntfCopy 005b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 8B 75 0C 8D 7E 01 57 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B CF 8B 53 04 8B 45 F8 E8 ?? ?? ?? ?? 8D 43 08 8B 55 08 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_52329_0 {
	meta:
		name = "TOverloadGroup.AddOverload"
		size = 170
		refs = "0015 TOverloadGroup.AddOverload 002c @DynArrayLength 0060 sOverloadGroupArgCount 0065 LoadResString 006f _Dn_EEvaluatorError 0074 Exception.CreateFmt 0079 @RaiseExcept 0083 TList<System.Bindings.EvalSys.TOverload>.Add 0098 @UStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 18 83 78 08 00 75 0D 8B 46 04 E8 ?? ?? ?? ?? 89 43 14 EB 48 8B 46 04 E8 ?? ?? ?? ?? 3B 43 14 74 3B 8B 43 0C 89 45 F0 C6 45 F4 11 8B 43 14 89 45 F8 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52330_0 {
	meta:
		name = "TOverloadGroup.Create"
		size = 81
		refs = "000d @ClassCreate 001f @UStrAsg 0028 _DV_TObjectList<System.Bindings.EvalSys.TOverload> 002d TObjectList<System.Bindings.EvalSys.TOverload>.Create 003b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 10 8D 46 0C 8B 55 08 E8 ?? ?? ?? ?? B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_52332_0 {
	meta:
		name = "IsApplicable"
		size = 74
		refs = "000c @DynArrayLength 0033 TValueConverter.CanConvert"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 47 04 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2C 46 33 DB 8B 47 04 8B 0C 98 8B 45 08 8B 40 F8 8B 14 98 8B 45 08 8B 40 FC 8B 40 10 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 06 43 4E 75 D7 B0 01 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_52333_0 {
	meta:
		name = "MoreSpecific"
		size = 188
		refs = "0012 MoreSpecific 0027 @DynArrayLength 005a TValueConverter.CanConvert"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 55 F8 89 45 FC 0F B6 1D ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 45 F7 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 48 85 C0 7C 73 40 89 45 EC 33 F6 8B 45 FC 8B 40 04 8B 3C B0 8B 45 F8 8B 40 04 8B 04 B0 89 45 F0 8B 45 08 8B 40 FC 8B 40 10 8B 4D F0 8B D7 E8 ?? ?? ?? ?? 84 C0 74 03 80 CB 01 8B 45 08 8B 40 FC 8B 40 10 8B CF 8B 55 F0 E8 ?? ?? ?? ?? 84 C0 74 03 80 CB 02 0F B6 05 ?? ?? ?? ?? 3A C3 75 04 80 4D F7 01 0F B6 05 ?? ?? ?? ?? 3A C3 75 04 80 4D F7 02 46 FF 4D EC 75 93 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 01 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_52334_0 {
	meta:
		name = "TOverloadGroup.Invoke"
		size = 816
		refs = "0021 TOverloadGroup.Invoke 002f @DynArrayLength 006e sNamedMismatchArgCount 0073 LoadResString 007d _Dn_EEvaluatorError 0082 Exception.CreateFmt 0087 @RaiseExcept 009c TArray<System.TypInfo.PTypeInfo> 00a1 @DynArraySetLength 00ce _DV_TList<System.Bindings.EvalSys.TOverload> 00d3 TList<System.Bindings.EvalSys.TOverload>.Create 00ef TList<System.Bindings.EvalSys.TOverload>.GetEnumerator 010a TList<System.Bindings.EvalSys.TOverload>.TEnumerator.GetCurrent 0116 IsApplicable 013b TList<System.Bindings.EvalSys.TOverload>.GetItem 0145 MoreSpecific 0161 TList<System.Bindings.EvalSys.TOverload>.Clear 016c TList<System.Bindings.EvalSys.TOverload>.Add 0174 TList<System.Bindings.EvalSys.TOverload>.TEnumerator.MoveNext 019b @HandleFinally 01c1 sOverloadNotFound 01fe sAmbiguousOverloadCall 022e TArray<System.Rtti.TValue> 026e TValueConverter.Convert 0280 TValue 0285 @CopyRecord 02b9 TObject.Free 02e4 @FinalizeArray 02f1 @UStrArrayClr 02f9 @UStrClr 0307 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 51 B9 11 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 FC 3B 42 14 74 50 8B 45 FC 8B 40 0C 89 45 CC C6 45 D0 11 8B 45 FC 8B 40 14 89 45 D4 C6 45 D8 00 8B 45 F0 E8 ?? ?? ?? ?? 89 45 DC C6 45 E0 00 8D 45 CC 50 6A 02 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 70 14 4E 85 F6 7C 18 46 33 FF 8B 45 F0 8B 04 B8 8B 10 FF 52 0C 8B 55 F8 89 04 BA 47 4E 75 EB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 6A 8B 45 E4 E8 ?? ?? ?? ?? 89 45 E8 55 8B 45 E8 E8 ?? ?? ?? ?? 59 84 C0 74 51 0F B6 1D ?? ?? ?? ?? 8B 45 EC 8B 70 08 4E 85 F6 7C 21 46 33 FF 55 8B D7 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B 45 E8 E8 ?? ?? ?? ?? 59 0A C3 8B D8 47 4E 75 E2 0F B6 05 ?? ?? ?? ?? 3A C3 75 08 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 8A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 EC 83 78 08 00 75 34 8B 45 FC 8B 40 0C 89 45 C0 C6 45 C4 11 8D 45 C0 50 6A 00 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 83 78 08 01 7E 34 8B 45 FC 8B 40 0C 89 45 C0 C6 45 C4 11 8D 45 C0 50 6A 00 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 44 46 33 FF 8D 45 A0 50 8B 45 F0 8B 04 B8 8D 55 88 8B 08 FF 51 10 8D 55 88 8B 45 F8 8B 0C B8 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 8D 55 A0 8D 04 7F 8B 4D F4 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 BF 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B 40 08 8D 8D 70 FF FF FF 8B 55 F4 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 70 FF FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B1 5F 5E 5B 8B E5 5D C3 00 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_52335_0 {
	meta:
		name = "MakeBasicOperators$104$ActRec.$0$Body"
		size = 404
		refs = "0024 @DynArrayAddRef 002c MakeBasicOperators$104$ActRec.$0$Body 003d TValue.TryAsType<System.Int64> 0068 TValue.&op_Implicit 0078 TValue.TryAsType<System.Extended> 00b1 @UStrClr 00bb TValue.TryAsType<System.string> 00e6 @UStrCat3 00fd TValue.ToString 012d sAddOpFail 0132 LoadResString 013c _Dn_EEvaluatorError 0141 Exception.CreateFmt 0146 @RaiseExcept 0160 @UStrArrayClr 017e TArray<System.Rtti.TValue> 0183 @DynArrayClear 0189 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 33 DB 89 5D A8 89 5D A4 89 5D A0 89 5D BC 89 5D F8 89 5D F4 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2C 8D 55 E0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 E8 8B 55 EC 03 45 E0 13 55 E4 52 50 8B C3 E8 ?? ?? ?? ?? E9 D9 00 00 00 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2D 8D 55 C0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 1B DB 6D D0 DB 6D C0 DE C1 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 9D 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 33 8D 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 1A 8D 45 BC 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 BC 8B D3 E8 ?? ?? ?? ?? EB 54 8D 55 A8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A8 89 45 AC C6 45 B0 11 8D 55 A4 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 8B 45 A4 89 45 B4 C6 45 B8 11 8D 45 AC 50 6A 01 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52336_0 {
	meta:
		name = "MakeBasicOperators$104$ActRec.$1$Body"
		size = 298
		refs = "001b @DynArrayAddRef 0023 MakeBasicOperators$104$ActRec.$1$Body 0034 TValue.TryAsType<System.Int64> 005f TValue.&op_Implicit 006f TValue.TryAsType<System.Extended> 00a8 TValue.ToString 00d8 sSubtractOpFail 00dd LoadResString 00e7 _Dn_EEvaluatorError 00ec Exception.CreateFmt 00f1 @RaiseExcept 010b @UStrArrayClr 0114 TArray<System.Rtti.TValue> 0119 @DynArrayClear 011f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 33 DB 89 5D AC 89 5D A8 89 5D A4 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2C 8D 55 E8 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 F0 8B 55 F4 2B 45 E8 1B 55 EC 52 50 8B C3 E8 ?? ?? ?? ?? E9 8D 00 00 00 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2A 8D 55 C0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 18 DB 6D D0 DB 6D C0 DE E9 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 54 8D 55 AC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 AC 89 45 B0 C6 45 B4 11 8D 55 A8 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 8B 45 A8 89 45 B8 C6 45 BC 11 8D 45 B0 50 6A 01 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52337_0 {
	meta:
		name = "MakeBasicOperators$104$ActRec.$2$Body"
		size = 303
		refs = "001b @DynArrayAddRef 0023 MakeBasicOperators$104$ActRec.$2$Body 0034 TValue.TryAsType<System.Int64> 005b @_llmul 0064 TValue.&op_Implicit 0074 TValue.TryAsType<System.Extended> 00ad TValue.ToString 00dd sMultiplyOpFail 00e2 LoadResString 00ec _Dn_EEvaluatorError 00f1 Exception.CreateFmt 00f6 @RaiseExcept 0110 @UStrArrayClr 0119 TArray<System.Rtti.TValue> 011e @DynArrayClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 33 DB 89 5D AC 89 5D A8 89 5D A4 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 31 8D 55 E8 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 1F FF 75 EC FF 75 E8 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 52 50 8B C3 E8 ?? ?? ?? ?? E9 8D 00 00 00 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2A 8D 55 C0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 18 DB 6D D0 DB 6D C0 DE C9 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 54 8D 55 AC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 AC 89 45 B0 C6 45 B4 11 8D 55 A8 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 8B 45 A8 89 45 B8 C6 45 BC 11 8D 45 B0 50 6A 01 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52338_0 {
	meta:
		name = "MakeBasicOperators$104$ActRec.$3$Body"
		size = 299
		refs = "001b @DynArrayAddRef 0023 MakeBasicOperators$104$ActRec.$3$Body 0034 TValue.TryAsType<System.Int64> 0060 TValue.&op_Implicit 0070 TValue.TryAsType<System.Extended> 00a9 TValue.ToString 00d9 sDivideOpFail 00de LoadResString 00e8 _Dn_EEvaluatorError 00ed Exception.CreateFmt 00f2 @RaiseExcept 010c @UStrArrayClr 0115 TArray<System.Rtti.TValue> 011a @DynArrayClear 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 33 DB 89 5D AC 89 5D A8 89 5D A4 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2D 8D 55 E8 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 1B DF 6D F0 DF 6D E8 DE F9 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 8D 00 00 00 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2A 8D 55 C0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 18 DB 6D D0 DB 6D C0 DE F9 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 54 8D 55 AC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 AC 89 45 B0 C6 45 B4 11 8D 55 A8 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 8B 45 A8 89 45 B8 C6 45 BC 11 8D 45 B0 50 6A 01 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52339_0 {
	meta:
		name = "MakeBasicOperators$104$ActRec.$4$Body"
		size = 230
		refs = "0018 @DynArrayAddRef 0020 MakeBasicOperators$104$ActRec.$4$Body 0031 TValue.TryAsType<System.Int64> 004b TValue.&op_Implicit 0058 TValue.TryAsType<System.Extended> 007c TValue.ToString 0094 sNegateOpFail 0099 LoadResString 00a3 _Dn_EEvaluatorError 00a8 Exception.CreateFmt 00ad @RaiseExcept 00c7 @UStrArrayClr 00d0 TArray<System.Rtti.TValue> 00d5 @DynArrayClear 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 DB 89 5D D4 89 5D D0 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 F0 8B 55 F4 F7 D8 83 D2 00 F7 DA 52 50 8B C3 E8 ?? ?? ?? ?? EB 60 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 15 DB 6D E0 D9 E0 83 C4 F4 DB 3C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 3C 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 89 45 D8 C6 45 DC 11 8D 45 D8 50 6A 00 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52340_0 {
	meta:
		name = "MakeBasicOperators$104$ActRec.$5$Body"
		size = 448
		refs = "0021 @DynArrayAddRef 0029 MakeBasicOperators$104$ActRec.$5$Body 003a TValue.TryAsType<System.Int64> 0068 TValue.&op_Implicit 0078 TValue.TryAsType<System.Extended> 00b1 @UStrClr 00bb TValue.TryAsType<System.string> 00e3 @UStrEqual 00fd TValue.TryAsType<System.Boolean> 0131 TValue.ToString 0161 sCompareOpFail 0166 LoadResString 0170 _Dn_EEvaluatorError 0175 Exception.CreateFmt 017a @RaiseExcept 0194 @UStrArrayClr 01aa TArray<System.Rtti.TValue> 01af @DynArrayClear 01b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 33 DB 89 5D A8 89 5D A4 89 5D A0 89 5D F8 89 5D F4 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2F 8D 55 E0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 45 E8 8B 55 EC 3B 55 E4 75 03 3B 45 E0 0F 94 C0 8B D3 E8 ?? ?? ?? ?? E9 0D 01 00 00 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2D 8D 55 C0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 1B DB 6D D0 DB 6D C0 DE D9 9B DF E0 9E 0F 94 C0 8B D3 E8 ?? ?? ?? ?? E9 D1 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 33 8D 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 0F 94 C0 8B D3 E8 ?? ?? ?? ?? E9 88 00 00 00 8D 55 BF 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 25 8D 55 BE 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 13 0F B6 45 BF 3A 45 BE 0F 94 C0 8B D3 E8 ?? ?? ?? ?? EB 54 8D 55 A8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A8 89 45 AC C6 45 B0 11 8D 55 A4 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 8B 45 A4 89 45 B4 C6 45 B8 11 8D 45 AC 50 6A 01 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52341_0 {
	meta:
		name = "MakeBasicOperators$104$ActRec.$6$Body"
		size = 448
		refs = "0021 @DynArrayAddRef 0029 MakeBasicOperators$104$ActRec.$6$Body 003a TValue.TryAsType<System.Int64> 0068 TValue.&op_Implicit 0078 TValue.TryAsType<System.Extended> 00b1 @UStrClr 00bb TValue.TryAsType<System.string> 00e3 @UStrEqual 00fd TValue.TryAsType<System.Boolean> 0131 TValue.ToString 0161 sCompareOpFail 0166 LoadResString 0170 _Dn_EEvaluatorError 0175 Exception.CreateFmt 017a @RaiseExcept 0194 @UStrArrayClr 01aa TArray<System.Rtti.TValue> 01af @DynArrayClear 01b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 33 DB 89 5D A8 89 5D A4 89 5D A0 89 5D F8 89 5D F4 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2F 8D 55 E0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 45 E8 8B 55 EC 3B 55 E4 75 03 3B 45 E0 0F 95 C0 8B D3 E8 ?? ?? ?? ?? E9 0D 01 00 00 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2D 8D 55 C0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 1B DB 6D D0 DB 6D C0 DE D9 9B DF E0 9E 0F 95 C0 8B D3 E8 ?? ?? ?? ?? E9 D1 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 33 8D 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 0F 95 C0 8B D3 E8 ?? ?? ?? ?? E9 88 00 00 00 8D 55 BF 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 25 8D 55 BE 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 13 0F B6 45 BF 3A 45 BE 0F 95 C0 8B D3 E8 ?? ?? ?? ?? EB 54 8D 55 A8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A8 89 45 AC C6 45 B0 11 8D 55 A4 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 8B 45 A4 89 45 B4 C6 45 B8 11 8D 45 AC 50 6A 01 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52342_0 {
	meta:
		name = "MakeBasicOperators$104$ActRec.$7$Body"
		size = 453
		refs = "0021 @DynArrayAddRef 0029 MakeBasicOperators$104$ActRec.$7$Body 003a TValue.TryAsType<System.Int64> 006d TValue.&op_Implicit 007d TValue.TryAsType<System.Extended> 00b6 @UStrClr 00c0 TValue.TryAsType<System.string> 00e8 @UStrCmp 0102 TValue.TryAsType<System.Boolean> 0136 TValue.ToString 0166 sCompareOpFail 016b LoadResString 0175 _Dn_EEvaluatorError 017a Exception.CreateFmt 017f @RaiseExcept 0199 @UStrArrayClr 01af TArray<System.Rtti.TValue> 01b4 @DynArrayClear 01ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 33 DB 89 5D A8 89 5D A4 89 5D A0 89 5D F8 89 5D F4 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 34 8D 55 E0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 22 8B 45 E8 8B 55 EC 3B 55 E4 75 08 3B 45 E0 0F 92 C0 EB 03 0F 9C C0 8B D3 E8 ?? ?? ?? ?? E9 0D 01 00 00 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2D 8D 55 C0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 1B DB 6D D0 DB 6D C0 DE D9 9B DF E0 9E 0F 97 C0 8B D3 E8 ?? ?? ?? ?? E9 D1 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 33 8D 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 0F 92 C0 8B D3 E8 ?? ?? ?? ?? E9 88 00 00 00 8D 55 BF 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 25 8D 55 BE 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 13 0F B6 45 BF 3A 45 BE 0F 92 C0 8B D3 E8 ?? ?? ?? ?? EB 54 8D 55 A8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A8 89 45 AC C6 45 B0 11 8D 55 A4 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 8B 45 A4 89 45 B4 C6 45 B8 11 8D 45 AC 50 6A 01 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52343_0 {
	meta:
		name = "MakeBasicOperators$104$ActRec.$8$Body"
		size = 453
		refs = "0021 @DynArrayAddRef 0029 MakeBasicOperators$104$ActRec.$8$Body 003a TValue.TryAsType<System.Int64> 006d TValue.&op_Implicit 007d TValue.TryAsType<System.Extended> 00b6 @UStrClr 00c0 TValue.TryAsType<System.string> 00e8 @UStrCmp 0102 TValue.TryAsType<System.Boolean> 0136 TValue.ToString 0166 sCompareOpFail 016b LoadResString 0175 _Dn_EEvaluatorError 017a Exception.CreateFmt 017f @RaiseExcept 0199 @UStrArrayClr 01af TArray<System.Rtti.TValue> 01b4 @DynArrayClear 01ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 33 DB 89 5D A8 89 5D A4 89 5D A0 89 5D F8 89 5D F4 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 34 8D 55 E0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 22 8B 45 E8 8B 55 EC 3B 55 E4 75 08 3B 45 E0 0F 96 C0 EB 03 0F 9E C0 8B D3 E8 ?? ?? ?? ?? E9 0D 01 00 00 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2D 8D 55 C0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 1B DB 6D D0 DB 6D C0 DE D9 9B DF E0 9E 0F 93 C0 8B D3 E8 ?? ?? ?? ?? E9 D1 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 33 8D 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 0F 96 C0 8B D3 E8 ?? ?? ?? ?? E9 88 00 00 00 8D 55 BF 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 25 8D 55 BE 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 13 0F B6 45 BF 3A 45 BE 0F 96 C0 8B D3 E8 ?? ?? ?? ?? EB 54 8D 55 A8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A8 89 45 AC C6 45 B0 11 8D 55 A4 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 8B 45 A4 89 45 B4 C6 45 B8 11 8D 45 AC 50 6A 01 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52344_0 {
	meta:
		name = "MakeBasicOperators$104$ActRec.$9$Body"
		size = 453
		refs = "0021 @DynArrayAddRef 0029 MakeBasicOperators$104$ActRec.$9$Body 003a TValue.TryAsType<System.Int64> 006d TValue.&op_Implicit 007d TValue.TryAsType<System.Extended> 00b6 @UStrClr 00c0 TValue.TryAsType<System.string> 00e8 @UStrCmp 0102 TValue.TryAsType<System.Boolean> 0136 TValue.ToString 0166 sCompareOpFail 016b LoadResString 0175 _Dn_EEvaluatorError 017a Exception.CreateFmt 017f @RaiseExcept 0199 @UStrArrayClr 01af TArray<System.Rtti.TValue> 01b4 @DynArrayClear 01ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 33 DB 89 5D A8 89 5D A4 89 5D A0 89 5D F8 89 5D F4 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 34 8D 55 E0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 22 8B 45 E8 8B 55 EC 3B 55 E4 75 08 3B 45 E0 0F 97 C0 EB 03 0F 9F C0 8B D3 E8 ?? ?? ?? ?? E9 0D 01 00 00 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2D 8D 55 C0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 1B DB 6D D0 DB 6D C0 DE D9 9B DF E0 9E 0F 92 C0 8B D3 E8 ?? ?? ?? ?? E9 D1 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 33 8D 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 0F 97 C0 8B D3 E8 ?? ?? ?? ?? E9 88 00 00 00 8D 55 BF 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 25 8D 55 BE 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 13 0F B6 45 BF 3A 45 BE 0F 97 C0 8B D3 E8 ?? ?? ?? ?? EB 54 8D 55 A8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A8 89 45 AC C6 45 B0 11 8D 55 A4 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 8B 45 A4 89 45 B4 C6 45 B8 11 8D 45 AC 50 6A 01 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52345_0 {
	meta:
		name = "MakeBasicOperators$104$ActRec.$10$Body"
		size = 453
		refs = "0021 @DynArrayAddRef 0029 MakeBasicOperators$104$ActRec.$10$Body 003a TValue.TryAsType<System.Int64> 006d TValue.&op_Implicit 007d TValue.TryAsType<System.Extended> 00b6 @UStrClr 00c0 TValue.TryAsType<System.string> 00e8 @UStrCmp 0102 TValue.TryAsType<System.Boolean> 0136 TValue.ToString 0166 sCompareOpFail 016b LoadResString 0175 _Dn_EEvaluatorError 017a Exception.CreateFmt 017f @RaiseExcept 0199 @UStrArrayClr 01af TArray<System.Rtti.TValue> 01b4 @DynArrayClear 01ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 33 DB 89 5D A8 89 5D A4 89 5D A0 89 5D F8 89 5D F4 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 34 8D 55 E0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 22 8B 45 E8 8B 55 EC 3B 55 E4 75 08 3B 45 E0 0F 93 C0 EB 03 0F 9D C0 8B D3 E8 ?? ?? ?? ?? E9 0D 01 00 00 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2D 8D 55 C0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 1B DB 6D D0 DB 6D C0 DE D9 9B DF E0 9E 0F 96 C0 8B D3 E8 ?? ?? ?? ?? E9 D1 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 33 8D 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 0F 93 C0 8B D3 E8 ?? ?? ?? ?? E9 88 00 00 00 8D 55 BF 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 25 8D 55 BE 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 84 C0 74 13 0F B6 45 BF 3A 45 BE 0F 93 C0 8B D3 E8 ?? ?? ?? ?? EB 54 8D 55 A8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A8 89 45 AC C6 45 B0 11 8D 55 A4 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 8B 45 A4 89 45 B4 C6 45 B8 11 8D 45 AC 50 6A 01 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52346_0 {
	meta:
		name = "MakeBasicOperators"
		size = 649
		refs = "0013 BuiltinOpName 001b MakeBasicOperators 0028 _DV_MakeBasicOperators$104$ActRec 002d TObject.Create 0040 @IntfCopy 0047 _DV_TDictionaryScope 004c TDictionaryScope.Create 0075 _DV_TValueInvokable 007a TValueInvokable.Create 008d TDictionary<System.string,System.IInterface>.Add 0276 @IntfClear 027c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 89 45 F8 8B 3D ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F8 8B D3 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC 50 B9 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 85 C9 74 03 83 E9 F8 8B 17 8B 43 0C E8 ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 D0 50 B9 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 85 C9 74 03 83 E9 F8 8B 57 04 8B 43 0C E8 ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 D4 50 B9 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 85 C9 74 03 83 E9 F8 8B 57 08 8B 43 0C E8 ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 D8 50 B9 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 85 C9 74 03 83 E9 F8 8B 57 0C 8B 43 0C E8 ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 DC 50 B9 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 85 C9 74 03 83 E9 F8 8B 57 10 8B 43 0C E8 ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 E0 50 B9 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 85 C9 74 03 83 E9 F8 8B 57 14 8B 43 0C E8 ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 E4 50 B9 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 85 C9 74 03 83 E9 F8 8B 57 18 8B 43 0C E8 ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 E8 50 B9 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 85 C9 74 03 83 E9 F8 8B 57 1C 8B 43 0C E8 ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 EC 50 B9 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 85 C9 74 03 83 E9 F8 8B 57 20 8B 43 0C E8 ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 F0 50 B9 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 85 C9 74 03 83 E9 F8 8B 57 24 8B 43 0C E8 ?? ?? ?? ?? 85 F6 74 03 83 EE F4 56 B9 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 85 C9 74 03 83 E9 F8 8B 57 28 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52347_0 {
	meta:
		name = "MakeBasicConstants"
		size = 400
		refs = "0017 MakeBasicConstants 0024 _DV_TDictionaryScope 0029 TDictionaryScope.Create 003b @IntfCopy 0045 TValue.&op_Implicit 004f _Dn_TValueWrapper 0054 TValueWrapper.Create 006a TDictionary<System.string,System.IInterface>.Add 011a TValue 0124 @FinalizeArray 012a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0C 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C6 8B D3 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 8D 55 E8 33 C0 E8 ?? ?? ?? ?? 8D 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 85 C9 74 03 83 E9 F8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8D 55 D0 B0 01 E8 ?? ?? ?? ?? 8D 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 85 C9 74 03 83 E9 F8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8D 55 B8 33 C0 E8 ?? ?? ?? ?? 8D 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 85 C9 74 03 83 E9 F8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 68 00 40 00 00 68 A2 DA 0F C9 68 35 C2 68 21 8D 45 A0 E8 ?? ?? ?? ?? 8D 4D A0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 85 C9 74 03 83 E9 F8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6E 00 69 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 50 00 69 00 00 00 00 00 }
	condition:
		$1
}

rule function_52348_0 {
	meta:
		name = "BasicOperators"
		size = 56
		refs = "0005 G_BasicOperators 000f MakeBasicOperators 001d TInterlocked.CompareExchange 0032 @IntfCopy"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 1D 8B C3 E8 ?? ?? ?? ?? 8B 13 B8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 89 03 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_52349_0 {
	meta:
		name = "BasicConstants"
		size = 56
		refs = "0005 G_BasicConstants 000f MakeBasicConstants 001d TInterlocked.CompareExchange 0032 @IntfCopy"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 1D 8B C3 E8 ?? ?? ?? ?? 8B 13 B8 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 89 03 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_52350_0 {
	meta:
		name = "TValueInvokable.Create"
		size = 68
		refs = "000e @ClassCreate 001f @IntfCopy 002d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 10 8B 55 08 E8 ?? ?? ?? ?? 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_52351_0 {
	meta:
		name = "TValueInvokable.Invoke"
		size = 325
		refs = "0023 TValueInvokable.Invoke 0030 @DynArrayLength 0061 sMismatchArgCount 0066 LoadResString 0070 _Dn_EEvaluatorError 0075 Exception.CreateFmt 007a @RaiseExcept 008f TArray<System.Rtti.TValue> 0094 @DynArraySetLength 00c2 TValue 00c7 @CopyRecord 00e6 _Dn_TValueWrapper 00eb TValueWrapper.Create 00fc @IntfCopy 011c @FinalizeArray 0124 @UStrClr 0132 @DynArrayClear 0138 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F4 8B FA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 3B 42 0C 74 42 8B 45 F8 8B 40 0C 89 45 E4 C6 45 E8 00 8B C7 E8 ?? ?? ?? ?? 89 45 EC C6 45 F0 00 8D 45 E4 50 6A 01 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 70 0C 4E 85 F6 7C 29 46 33 DB 8D 55 C8 8B 04 9F 8B 08 FF 51 10 8D 55 C8 8D 04 5B 8B 4D FC 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 DA 8D 4D B0 8B 45 F8 8B 40 10 8B 55 FC 8B 18 FF 53 0C 8D 4D B0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52352_0 {
	meta:
		name = "TDictionaryScope.TWrappersEnumerator.Create"
		size = 89
		refs = "000f @ClassCreate 001f TObject.Create 002e _DV_TDictionary<System.string,System.IInterface>.TPairEnumerator 0033 TDictionary<System.string,System.IInterface>.TPairEnumerator.Create 0043 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F7 89 73 0C 8B 4E 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52359_0 {
	meta:
		name = "TObjectMemberGroupScope.TWrappersEnumerator.Create"
		size = 89
		refs = "000f @ClassCreate 001f TObject.Create 002e _DV_TList<System.IInterface>.TEnumerator 0033 TList<System.IInterface>.TEnumerator.Create 0043 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F7 89 73 0C 8B 4E 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52354_0 {
	meta:
		name = "TDictionaryScope.TWrappersEnumerator.GetCurrent"
		size = 89
		refs = "0011 TDictionaryScope.TWrappersEnumerator.GetCurrent 0022 TDictionary<System.string,System.IInterface>.TPairEnumerator.GetCurrent 002c @IntfCopy 0042 TPair<System.string,System.IInterface> 0047 @FinalizeRecord 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 43 10 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52356_0 {
	meta:
		name = "TPairScope.Create"
		size = 155
		refs = "0012 @ClassCreate 0020 @IntfAddRef 0028 TPairScope.Create 003b TPair<System.string,System.Bindings.EvalProtocol.IInvokable>.Create 0047 TPair<System.string,System.Bindings.EvalProtocol.IInvokable> 004c @CopyRecord 0067 @FinalizeRecord 006f @IntfClear 0075 @HandleFinally 0082 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B D6 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 F8 8D 47 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_52357_0 {
	meta:
		name = "TPairScope.Lookup"
		size = 42
		refs = "000c @IntfClear 0016 @UStrEqual 0022 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 43 0C 8B D7 E8 ?? ?? ?? ?? 75 0A 8B C6 8B 53 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52358_0 {
	meta:
		name = "TPairScope.Lookup"
		size = 200
		refs = "0019 TValue 001e @InitializeRecord 0026 TPairScope.Lookup 0033 @IntfClear 004a Supports 0056 _Dn_TBindingSearch 005b TBindingSearch.IsObjectWrapper 0072 TValue.AsObject 0080 @IntfCopy 009b @FinalizeRecord 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 84 C0 74 32 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 E0 8B 45 FC 8B 08 FF 51 10 8D 45 E0 E8 ?? ?? ?? ?? 3B F8 75 0A 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 00 00 01 F9 95 A4 F5 72 84 43 BA 50 EC 3B 4B 42 F6 C2 }
	condition:
		$1
}

rule function_52366_0 {
	meta:
		name = "TNestedScope.TWrapperEnumerator.Create"
		size = 209
		refs = "0010 @ClassCreate 001e TNestedScope.TWrapperEnumerator.Create 002d TObject.Create 0039 TNestedScope.TWrapperEnumerator.TWrappers 003e @DynArrayClear 0053 @DynArraySetLength 0064 @IntfCopy 0086 @DynArrayAsg 00ae @HandleFinally 00bb @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 57 0C 8B 52 10 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 04 8B 57 0C 8B 52 0C E8 ?? ?? ?? ?? 8B 55 FC 8D 47 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 47 14 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52367_0 {
	meta:
		name = "TNestedScope.TWrapperEnumerator.GetCurrent"
		size = 48
		refs = "000a @DynArrayHigh 001f @IntfCopy 0029 @IntfClear"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 E8 ?? ?? ?? ?? 3B 43 14 7C 13 8B C6 8B 53 10 8B 4B 14 8B 14 8A E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52368_0 {
	meta:
		name = "TNestedScope.TWrapperEnumerator.MoveNext"
		size = 49
		refs = "000a @DynArrayHigh"
	strings:
		$1 = { 53 8B D8 FF 43 14 8B 43 10 E8 ?? ?? ?? ?? 3B 43 14 0F 9C C0 84 C0 74 04 33 D2 EB 0D 8B 53 10 8B 4B 14 83 3C 8A 00 0F 95 C2 0A C2 74 D6 8B C2 5B C3 }
	condition:
		$1
}

rule function_52490_0 {
	meta:
		name = "TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create"
		size = 31
		refs = "0016 @IntfCopy"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B 02 89 03 8B 42 04 89 43 04 8D 43 08 8B D6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_52496_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Rehash"
		size = 287
		refs = "0015 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e8 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.RehashAdd 010c @FinalizeArray 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 C0 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 15 46 33 DB 8B C3 03 C0 8B 55 F8 C7 04 C2 FF FF FF FF 43 4E 75 EE 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 36 46 33 DB 8B C3 03 C0 8B 55 FC 83 3C C2 FF 74 22 8B 55 FC 8B 54 C2 0C 52 8B 55 FC 8D 44 C2 04 50 8B C3 03 C0 8B 55 FC 8B 14 C2 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52498_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetBucketIndex"
		size = 125
		refs = "0013 @DynArrayLength"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 4C 24 04 89 14 24 8B F0 8B 46 04 E8 ?? ?? ?? ?? 85 C0 75 07 BB 00 00 00 80 EB 53 8B 46 04 E8 ?? ?? ?? ?? 48 23 44 24 04 8B D8 8B C3 03 C0 8B 56 04 8B 3C C2 83 FF FF 75 04 F7 D3 EB 31 3B 7C 24 04 75 1A 8B C3 03 C0 8B 56 04 8D 54 C2 04 8B 0C 24 8B 46 0C 8B 38 FF 57 0C 84 C0 75 11 43 8B 46 04 E8 ?? ?? ?? ?? 3B D8 7C C0 33 DB EB BC 8B C3 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52500_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetItem"
		size = 80
		refs = "000e TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Hash 0019 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetBucketIndex 0025 SGenericItemNotFound 002c _Dn_EListError 0031 Exception.CreateRes 0036 @RaiseExcept 0048 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B D6 03 D2 8B 4B 04 8B 54 D1 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52501_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.SetItem"
		size = 178
		refs = "0019 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.SetItem 0028 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Hash 0033 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetBucketIndex 003f SGenericItemNotFound 0046 _Dn_EListError 004b Exception.CreateRes 0050 @RaiseExcept 0063 @IntfCopy 009f @IntfClear 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B FE 03 FF 8B 53 04 8B 54 FA 0C E8 ?? ?? ?? ?? 8B 43 04 8D 44 F8 0C 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52502_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.RehashAdd"
		size = 90
		refs = "001a TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetBucketIndex 004d @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8B FE 03 FF 8B 43 04 8B 55 FC 89 14 F8 8B 43 04 8B 55 F8 8B 0A 89 4C F8 04 8B 4A 04 89 4C F8 08 8B 43 04 8D 44 F8 0C 8B 55 08 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_52503_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.DoAdd"
		size = 96
		refs = "0039 @IntfCopy"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 89 55 FC 8B F0 8B FB 03 FF 8B 46 04 8B 55 FC 89 14 F8 8B 46 04 8B 55 0C 8B 0A 89 4C F8 04 8B 4A 04 89 4C F8 08 8B 46 04 8D 44 F8 0C 8B 55 08 E8 ?? ?? ?? ?? FF 46 08 8B 55 0C 33 C9 8B C6 8B 18 FF 53 08 33 C9 8B 55 08 8B C6 8B 18 FF 53 0C 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_52504_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.DoSetValue"
		size = 129
		refs = "0019 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.DoSetValue 0032 @IntfCopy 006e @IntfClear 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B FE 03 FF 8B 53 04 8B 54 FA 0C E8 ?? ?? ?? ?? 8B 43 04 8D 44 F8 0C 8B 55 F8 E8 ?? ?? ?? ?? B1 01 8B 55 FC 8B C3 8B 30 FF 56 0C 33 C9 8B 55 F8 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52505_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.DoRemove"
		size = 269
		refs = "0014 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetBucketIndex 0022 @IntfClear 0044 @IntfCopy 004f @DynArrayLength 0083 InCircularRange 00a1 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TItem 00a6 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B F0 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 0D 8B 45 08 E8 ?? ?? ?? ?? E9 D9 00 00 00 8B FB 03 FF 8B 46 04 C7 04 F8 FF FF FF FF 8B 45 08 8B 56 04 8B 54 FA 0C E8 ?? ?? ?? ?? 8B FB 43 8B 46 04 E8 ?? ?? ?? ?? 3B D8 75 02 33 DB 8B C3 03 C0 8B 56 04 8B 04 C2 89 45 F8 83 7D F8 FF 74 50 8B 46 04 E8 ?? ?? ?? ?? 48 23 45 F8 89 45 F4 8B CB 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 75 BF 8B C7 03 C0 8B 56 04 8D 04 C2 8B D3 03 D2 8B 4E 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FB 8B C7 03 C0 8B 56 04 C7 04 C2 FF FF FF FF EB 8E 8B DF 03 DB 8B 46 04 C7 04 D8 FF FF FF FF 8B 56 04 33 C0 89 44 DA 04 89 44 DA 08 8B 46 04 8D 44 D8 0C E8 ?? ?? ?? ?? FF 4E 08 0F B6 5D 0C 8B CB 8B 55 FC 8B C6 8B 38 FF 57 08 8B CB 8B 55 08 8B 12 8B C6 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_52512_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 0025 @InitializeRecord 002d TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create 0048 TEnumerable<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.GetEnumerator 0073 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.AddOrSetValue 007b TEnumerator<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F4 8B 45 E8 8B 08 FF 11 8B 4D FC 8D 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52513_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>> 0025 @InitializeRecord 002d TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create 004a TEnumerable<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.GetEnumerator 0075 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.AddOrSetValue 007d TEnumerator<System.Bindings.EvalSys.TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 F4 8B 45 E8 8B 08 FF 11 8B 4D FC 8D 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_52517_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.ExtractPair"
		size = 141
		refs = "0019 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.ExtractPair 0028 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Hash 0035 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetBucketIndex 0045 TPair<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Create 0058 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.DoRemove 007a @IntfClear 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0E 8B D3 8B 45 FC 33 C9 E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 F8 50 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52518_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Clear"
		size = 210
		refs = "0014 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Clear 0026 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.SetCapacity 005e @DynArrayLength 00bf @DynArrayClear 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 41 40 89 45 F8 33 DB 8B C3 03 C0 8B 55 FC 83 3C C2 FF 74 28 8B C3 03 C0 8B 55 FC 8D 54 C2 04 B1 01 8B C6 8B 38 FF 57 08 8B C3 03 C0 8B 55 FC 8B 54 C2 0C B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52520_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TryGetValue"
		size = 92
		refs = "001a TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Hash 0025 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.GetBucketIndex 0045 @IntfCopy 004e @IntfClear"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 9D 45 FF 80 7D FF 00 74 14 8B C7 8B D6 03 D2 8B 4B 04 8B 54 D1 0C E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52523_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.ContainsValue"
		size = 149
		refs = "0017 TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.ContainsValue 0025 TEqualityComparer<System.Bindings.EvalSys.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.Default 002d @DynArrayLength 0080 @IntfClear 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 37 40 89 45 F4 33 DB 8B C3 03 C0 8B 56 04 83 3C C2 FF 74 1E 8B C3 03 C0 8B 56 04 8B 54 C2 0C 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 CF 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52537_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TKeyEnumerator.GetCurrent"
		size = 27
	strings:
		$1 = { 53 8B 48 08 03 C9 8B 40 04 8B 40 04 8B 5C C8 04 89 1A 8B 5C C8 08 89 5A 04 5B C3 }
	condition:
		$1
}

rule function_52551_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TValueEnumerator.GetCurrent"
		size = 31
		refs = "0018 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 03 D2 8B 4B 04 8B 49 04 8B 54 D1 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52556_0 {
	meta:
		name = "TDictionary<System.Bindings.EvalSys.TValueConverter.TConvPair,System.SysUtils.TFunc<System.Rtti.TValue,System.Rtti.TValue>>.TPairEnumerator.GetCurrent"
		size = 56
		refs = "0031 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 03 C0 8B 53 04 8B 52 04 8B 4C C2 04 89 0E 8B 4C C2 08 89 4E 04 8D 46 08 8B 53 08 03 D2 8B 4B 04 8B 49 04 8B 54 D1 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52618_0 {
	meta:
		name = "TValue.TryAsType<System.string>"
		size = 148
		refs = "001d TValue 0022 @InitializeRecord 002a TValue.TryAsType<System.string> 003e @FinalizeRecord 0049 string 004e TValue.TryCast 005c @UStrClr 0066 TValue.Get<System.string> 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 E0 89 45 E4 8B 45 E0 85 C0 74 04 33 D2 89 10 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 12 8B 45 E0 E8 ?? ?? ?? ?? 8B D0 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68252_0 {
	meta:
		name = "TValue.TryAsType<System.IInterface>"
		size = 148
		refs = "001d TValue 0022 @InitializeRecord 002a TValue.TryAsType<System.IInterface> 003e @FinalizeRecord 0049 IInterface 004e TValue.TryCast 005c @IntfClear 0066 TValue.Get<System.IInterface> 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 E0 89 45 E4 8B 45 E0 85 C0 74 04 33 D2 89 10 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 12 8B 45 E0 E8 ?? ?? ?? ?? 8B D0 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52871_0 {
	meta:
		name = "TValue.Get<T>"
		size = 52
		refs = "001e @FillChar 002d TValue.ExtractRawData"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 04 24 83 38 00 75 13 8B 44 24 04 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 59 5A C3 8B 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_52872_0 {
	meta:
		name = "TValue.Get<System.Extended>"
		size = 52
		refs = "001e @FillChar 002d TValue.ExtractRawData"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 04 24 83 38 00 75 13 8B 44 24 04 33 C9 BA 0A 00 00 00 E8 ?? ?? ?? ?? 59 5A C3 8B 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_52873_0 {
	meta:
		name = "TValue.Get<T>"
		size = 63
		refs = "002a @FillChar 0037 TValue.ExtractRawData"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 85 C0 74 04 33 D2 89 10 8B 45 FC 83 38 00 75 11 8B 45 F8 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_52874_0 {
	meta:
		name = "TValue.Get<T>"
		size = 52
		refs = "001e @FillChar 002d TValue.ExtractRawData"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 04 24 83 38 00 75 13 8B 44 24 04 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? 59 5A C3 8B 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_52949_0 {
	meta:
		name = "Compile"
		size = 90
		refs = "0010 _DV_TEvaluator 0015 TObject.Create 0020 Compile 0033 TEvaluator.Compile 0048 TObject.Free 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52950_0 {
	meta:
		name = "TEvaluator.TParser.EnsureWrapper"
		size = 408
		refs = "0021 TEvaluator.TParser.EnsureWrapper 002f @IntfClear 0039 TEvaluator.TParser.GetTopScope 0066 Supports 0080 @UStrLAsg 00b4 CompareText 0125 IScope 012f @FinalizeArray 013c @UStrArrayClr 0152 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 89 4D E8 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 83 7D E4 00 0F 84 CC 00 00 00 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 55 EC 8B 45 FC 8B 08 FF 51 18 8D 45 F4 8B 55 EC E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 32 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 55 E8 8B 45 F8 8B 08 FF 51 0C 8B 45 E8 83 38 00 75 18 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 8B 4D E8 8B 55 EC 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5B 8B E5 5D C3 00 00 00 45 BA F4 1F 77 C1 47 48 AB FF 5D 74 D0 64 00 B1 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 45 00 4C 00 46 00 00 00 00 00 D9 75 D8 FA DE 7E 8C 43 A4 77 F7 BC EF 13 51 47 }
	condition:
		$1
}

rule function_52951_0 {
	meta:
		name = "TEvaluator.TParser.Create"
		size = 126
		refs = "000e @ClassCreate 001e @UStrAsg 0026 @UStrToPWChar 0039 @IntfCopy 0046 _DV_TStack<System.Bindings.EvalProtocol.IScope> 004b TObject.Create 0055 TEvaluator.TParser.InitScopeStack 005c TEvaluator.TParser.NextToken 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B 47 04 E8 ?? ?? ?? ?? 89 47 08 33 C0 89 47 2C 8D 47 30 8B 55 08 E8 ?? ?? ?? ?? 83 7F 30 00 74 16 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 34 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_52952_0 {
	meta:
		name = "TEvaluator.TParser.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 34 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75001_0 {
	meta:
		name = "TRichEditStrings.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TStrings.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 34 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114053_0 {
	meta:
		name = "TUtilsCustomAutodetectInputStream.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TUtilsCustomInputStream.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 34 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52954_0 {
	meta:
		name = "TEvaluator.TParser.Expect"
		size = 167
		refs = "001b TEvaluator.TParser.Expect 0032 TEvaluator.TParser.TokenName 0062 sParserUnexpected 0067 LoadResString 0071 _Dn_EEvaluatorError 0076 Exception.CreateFmt 007b @RaiseExcept 0095 @UStrArrayClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D EC 89 4D E8 89 4D E4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 5E 0C 74 55 8B D3 8D 4D EC 8B 06 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 0F B6 56 0C 8D 4D E8 8B 06 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52955_0 {
	meta:
		name = "TEvaluator.TParser.GetTopScope"
		size = 40
		refs = "000a @IntfClear 0020 TStack<System.Bindings.EvalProtocol.IScope>.Peek"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C7 E8 ?? ?? ?? ?? 8B 73 34 85 F6 74 0F 83 7E 04 00 7E 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52956_0 {
	meta:
		name = "TEvaluator.TParser.InitScopeStack"
		size = 32
		refs = "000b TStack<System.Bindings.EvalProtocol.IScope>.Clear 0016 TStack<System.Bindings.EvalProtocol.IScope>.Push"
	strings:
		$1 = { 53 8B D8 8B 43 34 85 C0 74 14 E8 ?? ?? ?? ?? 8B 53 30 8B 43 34 E8 ?? ?? ?? ?? C6 43 38 00 5B C3 }
	condition:
		$1
}

rule function_52957_0 {
	meta:
		name = "SetToken"
		size = 7
	strings:
		$1 = { 88 50 0C 89 48 08 C3 }
	condition:
		$1
}

rule function_52958_0 {
	meta:
		name = "TEvaluator.TParser.NextToken"
		size = 1490
		refs = "002c TEvaluator.TParser.NextToken 0042 IsWhiteSpace 0166 @UStrFromPWCharLen 016e StrToInt64 019f sInvalidFloatingPt 01a4 LoadResString 01ae _Dn_EEvaluatorError 01b3 Exception.Create 01b8 @RaiseExcept 0201 sInvalidFloatingPtExpt 024e @UStrLAsg 0254 CurrencyString 025c StrToFloat 02f1 sUnterminatedString 0498 @UStrFromWChar 04b1 @UStrCat 04c9 sInvalidOperator 04dd Exception.CreateFmt 0577 sInvalidOperatorNum 05aa @UStrArrayClr 05bf @UStrClr 05c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 D2 89 55 B8 89 55 C4 89 55 BC 89 55 C0 89 55 D0 89 55 D4 89 55 D8 89 55 DC 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5E 08 EB 03 83 C3 02 0F B7 03 E8 ?? ?? ?? ?? 84 C0 75 F1 66 83 3B 00 75 0C 89 5E 08 C6 46 0C 00 E9 38 05 00 00 0F B7 03 83 C0 DF 83 F8 59 0F 87 F8 04 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 11 04 00 00 00 00 03 09 0A 07 05 0F 06 0D 08 01 01 01 01 01 01 01 01 01 01 12 0E 13 10 14 00 00 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 0B 00 0C 00 02 00 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B FB 83 C3 02 EB 03 83 C3 02 0F B7 03 66 83 F8 30 72 06 66 83 F8 39 76 EE 0F B7 03 66 83 F8 2E 74 3D 66 83 F8 65 74 37 66 83 F8 45 74 31 8B CB 2B CF D1 F9 79 03 83 D1 00 8D 46 10 8B D7 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 89 46 18 89 56 1C 8B C6 C6 40 0C 02 89 58 08 E9 0E 04 00 00 66 83 3B 2E 75 44 83 C3 02 66 83 3B 30 72 06 66 83 3B 39 76 26 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 03 83 C3 02 0F B7 03 66 83 F8 30 72 06 66 83 F8 39 76 EE 0F B7 03 66 83 F8 65 74 06 66 83 F8 45 75 53 83 C3 02 66 83 3B 2D 74 06 66 83 3B 2B 75 03 83 C3 02 66 83 3B 30 72 06 66 83 3B 39 76 26 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 03 83 C3 02 0F B7 03 66 83 F8 30 72 06 66 83 F8 39 76 EE 8B CB 2B CF D1 F9 79 03 83 D1 00 8D 46 10 8B D7 E8 ?? ?? ?? ?? 8D 45 FC 8B 56 10 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D F0 9B 8B 45 F0 89 46 20 8B 45 F4 89 46 24 66 8B 45 F8 66 89 46 28 8B C6 C6 40 0C 03 89 58 08 E9 0E 03 00 00 8B FB 83 C3 02 0F B7 03 83 C0 D0 66 83 E8 0A 72 18 83 C0 F9 66 83 E8 1A 72 0F 66 83 E8 04 74 09 83 C0 FE 66 83 E8 1A 73 05 83 C3 02 EB D7 8B CB 2B CF D1 F9 79 03 83 D1 00 8D 46 10 8B D7 E8 ?? ?? ?? ?? 8B C6 C6 40 0C 01 89 58 08 E9 BD 02 00 00 83 C3 02 8B FB 0F B7 03 66 83 E8 01 72 08 66 83 E8 26 74 25 EB 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB CC 8B CB 2B CF D1 F9 79 03 83 D1 00 8D 46 10 8B D7 E8 ?? ?? ?? ?? 89 75 EC 8B 45 EC C6 40 0C 04 83 C3 02 8B 45 EC 89 58 08 E9 57 02 00 00 83 C3 02 EB 9A 83 C3 02 8B FB 0F B7 03 66 83 E8 01 72 08 66 83 E8 21 74 25 EB 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB CC 8B CB 2B CF D1 F9 79 03 83 D1 00 8D 46 10 8B D7 E8 ?? ?? ?? ?? 89 75 E8 8B 45 E8 C6 40 0C 04 83 C3 02 8B 45 E8 89 58 08 E9 EC 01 00 00 83 C3 02 EB 9A 8B C6 C6 40 0C 05 83 C3 02 89 58 08 E9 D6 01 00 00 8B C6 C6 40 0C 06 83 C3 02 89 58 08 E9 C5 01 00 00 8B C6 C6 40 0C 07 83 C3 02 89 58 08 E9 B4 01 00 00 8B C6 C6 40 0C 08 83 C3 02 89 58 08 E9 A3 01 00 00 8B C6 C6 40 0C 0F 83 C3 02 89 58 08 E9 92 01 00 00 8B C6 C6 40 0C 10 83 C3 02 89 58 08 E9 81 01 00 00 8B C6 C6 40 0C 11 83 C3 02 89 58 08 E9 70 01 00 00 8B C6 C6 40 0C 12 83 C3 02 89 58 08 E9 5F 01 00 00 8B C6 C6 40 0C 13 83 C3 02 89 58 08 E9 4E 01 00 00 8B C6 C6 40 0C 15 83 C3 02 89 58 08 E9 3D 01 00 00 8B C6 C6 40 0C 14 83 C3 02 89 58 08 E9 2C 01 00 00 8B C6 C6 40 0C 09 83 C3 02 89 58 08 E9 1B 01 00 00 8B C6 C6 40 0C 0A 83 C3 02 89 58 08 E9 0A 01 00 00 66 83 7B 02 3D 74 55 8D 45 C4 0F B7 13 E8 ?? ?? ?? ?? 8D 45 C4 50 8D 45 C0 0F B7 53 02 E8 ?? ?? ?? ?? 8B 55 C0 58 E8 ?? ?? ?? ?? 8B 45 C4 89 45 C8 C6 45 CC 11 8D 45 C8 50 6A 00 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 C6 40 0C 16 83 C3 04 89 58 08 E9 9D 00 00 00 0F B7 43 02 66 83 E8 3D 74 07 66 FF C8 74 10 EB 23 8B C6 C6 40 0C 0D 83 C3 04 89 58 08 EB 7E 89 75 E4 8B 45 E4 C6 40 0C 0A 83 C3 04 8B 45 E4 89 58 08 EB 69 89 75 E0 8B 45 E0 C6 40 0C 0B 83 C3 02 8B 45 E0 89 58 08 EB 54 66 83 7B 02 3D 75 0E 8B C6 C6 40 0C 0E 83 C3 04 89 58 08 EB 3F 8B C6 C6 40 0C 0C 83 C3 02 89 58 08 EB 31 0F B7 03 89 45 C8 C6 45 CC 00 8D 45 C8 50 6A 00 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52959_0 {
	meta:
		name = "TEvaluator.TParser.Parse"
		size = 364
		refs = "0019 TEvaluator.TParser.Parse 0039 _DV_TCompiledBinding 003e TCompiledBinding.Create 0056 @IntfCopy 0062 @IntfClear 0074 Supports 0083 TEvaluator.TParser.UpdateWrappersBinding 0099 TEvaluator.TParser.ParsePrio 00a6 TCompiledBinding.AddOp 00b1 _Dn_TBindingSearch 00b6 TBindingSearch.DepthGetWrappers 00c4 TCompiledBinding.GetWrappers 00d3 TBindingSearch.CopyWrprs 00e4 sExpectedEOF 00e9 LoadResString 00f3 _Dn_EEvaluatorError 00f8 Exception.Create 00fd @RaiseExcept 0124 TObject.Free 012a @HandleFinally 0141 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 4D FC 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F8 89 58 2C 8B C6 8B D3 85 D2 74 03 83 EA D4 E8 ?? ?? ?? ?? C6 43 11 01 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 8B 40 30 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 2C C6 40 11 02 33 C9 B2 0A 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 2C 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 30 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 8B 40 2C E8 ?? ?? ?? ?? 8B C8 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 80 78 0C 00 74 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 2C C6 40 11 03 8B 45 F8 33 D2 89 50 2C 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 3C 17 DE 59 4A 95 BA 4D BA C1 5D 1B 95 51 B8 5A }
	condition:
		$1
}

rule function_52960_0 {
	meta:
		name = "ParseArgs"
		size = 150
		refs = "0011 ParseArgs 002b TEvaluator.TParser.ParsePrio 0037 TEvaluator.TParser.PopUntil 0041 TEvaluator.TParser.SkipIf 0055 sTooManyArgs 005a LoadResString 0064 _Dn_EEvaluatorError 0069 Exception.Create 006e @RaiseExcept 0083 @UStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 75 08 83 C6 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 DB 8B 16 3A 42 0C 74 25 8B 06 33 C9 B2 14 E8 ?? ?? ?? ?? 8B 06 8B 50 30 8B 06 E8 ?? ?? ?? ?? 43 8B 06 B2 14 E8 ?? ?? ?? ?? 84 C0 75 DB 81 FB FF FF 00 00 7E 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52961_0 {
	meta:
		name = "ParseFactor"
		size = 716
		refs = "0015 ParseFactor 002a TEvaluator.TParser.NextToken 008c @IntfClear 00a5 TEvaluator.TParser.EnsureWrapper 00bc Supports 00e2 TEvaluator.TParser.PushWrapperScope 00f3 TValue.&op_Implicit 0106 TCompiledBinding.AddOpValue 01cc TEvaluator.TParser.PopUntil 01e5 BuiltinOpName 0200 TCompiledBinding.AddConst 020b TCompiledBinding.AddOpArg2 022a TEvaluator.TParser.ParsePrio 0237 TEvaluator.TParser.Expect 0244 sExpectedIdentifier 0249 LoadResString 0256 _Dn_EEvaluatorError 025b Exception.Create 0260 @RaiseExcept 0283 @UStrClr 028f TValue 0299 @FinalizeArray 02af @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 13 00 00 00 6A 00 6A 00 49 75 F9 51 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 84 C0 74 0B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 0F B6 40 0C 83 F8 0F 0F 87 FC 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 33 DB 8D 4D FC 8B 45 08 8B 40 FC 8B 50 10 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 14 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 18 8B D8 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 8D 55 E0 8B 45 08 8B 40 FC 8B 40 10 E8 ?? ?? ?? ?? 8D 4D E0 8B 45 08 8B 40 FC 8B 40 2C B2 04 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 50 01 00 00 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 8D 4D C8 8B 45 08 8B 40 FC 8B 40 2C B2 05 E8 ?? ?? ?? ?? E9 2E 01 00 00 8B 45 08 8B 40 FC FF 70 1C FF 70 18 8D 45 B0 E8 ?? ?? ?? ?? 8D 4D B0 8B 45 08 8B 40 FC 8B 40 2C B2 01 E8 ?? ?? ?? ?? E9 02 01 00 00 8B 45 08 8B 40 FC 0F B7 50 28 52 FF 70 24 FF 70 20 8D 45 98 E8 ?? ?? ?? ?? 8D 4D 98 8B 45 08 8B 40 FC 8B 40 2C B2 01 E8 ?? ?? ?? ?? E9 D1 00 00 00 8D 55 80 8B 45 08 8B 40 FC 8B 40 10 E8 ?? ?? ?? ?? 8D 4D 80 8B 45 08 8B 40 FC 8B 40 2C B2 01 E8 ?? ?? ?? ?? E9 A8 00 00 00 8B 45 08 8B 40 FC 8B 50 30 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 50 B0 01 E8 ?? ?? ?? ?? 59 6A 01 8D 95 68 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 68 FF FF FF 8B 45 08 8B 40 FC 8B 58 2C 8B C3 E8 ?? ?? ?? ?? 8B C8 8B C3 B2 07 E8 ?? ?? ?? ?? EB 5E 8B 45 08 50 B0 01 E8 ?? ?? ?? ?? 59 EB 50 8B 45 08 8B 40 FC B1 01 B2 14 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC B2 10 E8 ?? ?? ?? ?? EB 27 8D 95 64 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 64 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 8D 85 68 FF FF FF 8B 15 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C7 5B 8B E5 5D C3 00 00 B4 5D 94 D6 FB 6E A0 47 A9 1E 97 55 22 DA B2 8A }
	condition:
		$1
}

rule function_52962_0 {
	meta:
		name = "TEvaluator.TParser.ParsePrio"
		size = 540
		refs = "0023 TEvaluator.TParser.ParsePrio 0031 ParseFactor 003f BuiltinPrio 004b BuiltinOpMap 0063 TEvaluator.TParser.PopUntil 007e BuiltinOpName 0083 TValue.&op_Implicit 0090 TCompiledBinding.AddConst 009e TCompiledBinding.AddOpArg2 00d0 TStack<System.Bindings.EvalProtocol.IScope>.Push 00d7 TEvaluator.TParser.NextToken 00e1 ParseArgs 00f0 TCompiledBinding.AddOpArg 00f7 TEvaluator.TParser.PopParamScope 0102 TEvaluator.TParser.Eat 0120 @UStrClr 012b TEvaluator.TParser.Expect 0133 @IntfClear 0147 TEvaluator.TParser.EnsureWrapper 015e Supports 0181 TEvaluator.TParser.PushWrapperScope 019d TCompiledBinding.AddOpValue 01df TValue 01e9 @FinalizeArray 01ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 88 55 F3 89 45 FC 8D 75 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8B C1 E8 ?? ?? ?? ?? 59 8B 06 0F B6 78 0C 0F B6 9F ?? ?? ?? ?? 80 FB FF 74 5C 0F B6 87 ?? ?? ?? ?? 88 45 F2 3A 5D F3 0F 8E 72 01 00 00 8B 06 8B 50 30 8B 06 E8 ?? ?? ?? ?? 8B D3 B1 01 8B 06 E8 ?? ?? ?? ?? 6A 02 8D 55 D4 0F B6 45 F2 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D4 8B 06 8B 40 2C E8 ?? ?? ?? ?? 8B C8 8B 06 8B 40 2C B2 07 E8 ?? ?? ?? ?? EB 92 8B 06 0F B6 40 0C 2C 0F 74 0D 2C 02 74 09 2C 02 74 55 E9 12 01 00 00 8B 06 0F B6 40 0C 40 88 45 F1 8B 06 8B 50 30 8B 06 8B 40 34 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 55 0F B6 45 F1 E8 ?? ?? ?? ?? 59 8B C8 8B 06 8B 40 2C B2 06 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 0F B6 55 F1 8B 06 E8 ?? ?? ?? ?? E9 2B FF FF FF 8B 06 E8 ?? ?? ?? ?? 8B 06 80 78 0C 00 75 0C 8B 06 83 C0 10 E8 ?? ?? ?? ?? EB 09 B2 01 8B 06 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 33 C0 89 45 EC 8D 4D F8 8B 06 8B 50 10 8B 06 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 15 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 08 FF 51 18 89 45 EC 8B 55 F8 8B 06 E8 ?? ?? ?? ?? 8D 55 BC 8B 06 8B 40 10 E8 ?? ?? ?? ?? 8D 4D BC 8B 06 8B 40 2C B2 03 E8 ?? ?? ?? ?? 83 7D F4 00 74 1A 8D 55 A4 8B 45 EC E8 ?? ?? ?? ?? 8D 4D A4 8B 06 8B 40 2C B2 05 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? E9 69 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 B4 5D 94 D6 FB 6E A0 47 A9 1E 97 55 22 DA B2 8A }
	condition:
		$1
}

rule function_52963_0 {
	meta:
		name = "TEvaluator.TParser.PopParamScope"
		size = 180
		refs = "0010 TEvaluator.TParser.PopParamScope 0021 TStack<System.Bindings.EvalProtocol.IScope>.Pop 002b TEvaluator.TParser.GetTopScope 0037 @IntfClear 0044 Supports 0057 _Dn_TBindingSearch 005c TBindingSearch.PermitsObjectWrapper 006a TEvaluator.TParser.PopUntil 0080 IScope 008a @FinalizeArray 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 43 34 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 22 8B 45 FC 8B 10 FF 52 14 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0A 8B 53 30 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 00 18 0F DD D4 76 40 9B 4A B8 7A F9 BA 1B C6 9E 26 }
	condition:
		$1
}

rule function_52964_0 {
	meta:
		name = "TEvaluator.TParser.PopUntil"
		size = 136
		refs = "0011 TEvaluator.TParser.PopUntil 002e TStack<System.Bindings.EvalProtocol.IScope>.Pop 0041 TEvaluator.TParser.GetTopScope 0056 TEvaluator.TParser.InitScopeStack 006c IScope 0076 @FinalizeArray 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 34 00 74 39 85 F6 74 35 EB 0B 8D 55 FC 8B 43 34 E8 ?? ?? ?? ?? 8B 43 34 83 78 04 00 7E 0F 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 3B 75 F8 75 DD 8B 43 34 83 78 04 00 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_52965_0 {
	meta:
		name = "TEvaluator.TParser.PushWrapperScope"
		size = 112
		refs = "000f TEvaluator.TParser.PushWrapperScope 001d @IntfClear 002b Supports 003a TStack<System.Bindings.EvalProtocol.IScope>.Push 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 55 FC 8B 43 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 55 24 FE DA B6 3D CC 40 B1 D6 1E AC 0A 29 AB EC }
	condition:
		$1
}

rule function_52966_0 {
	meta:
		name = "TEvaluator.TParser.SkipIf"
		size = 20
		refs = "000c TEvaluator.TParser.NextToken"
	strings:
		$1 = { 53 3A 50 0C 0F 94 C3 84 DB 74 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_52967_0 {
	meta:
		name = "TEvaluator.TParser.TokenName"
		size = 26
		refs = "000e TokStr 0013 @UStrAsg"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C6 0F B6 D3 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_52968_0 {
	meta:
		name = "TEvaluator.TParser.UpdateWrappersBinding"
		size = 252
		refs = "0013 TEvaluator.TParser.UpdateWrappersBinding 003c @IntfClear 004b Supports 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 7D 8D 55 F0 8B C6 8B 08 FF 51 0C EB 5D 8D 55 F4 8B 45 F0 8B 08 FF 51 0C 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 12 8B 53 2C 85 D2 74 03 83 EA D4 8B 45 F8 8B 08 FF 51 10 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 10 84 C0 75 97 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 00 00 8B F9 5B 8B 68 DD 13 40 BB BB 48 19 CB 8D D2 AB 3C 17 DE 59 4A 95 BA 4D BA C1 5D 1B 95 51 B8 5A }
	condition:
		$1
}

rule function_52969_0 {
	meta:
		name = "TEvaluator.Compile"
		size = 81
		refs = "0006 _DV_TEvaluator.TParser 000f TEvaluator.TParser.Create 001a TEvaluator.Compile 002b TEvaluator.TParser.Parse 0040 TObject.Free 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 51 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 04 00 }
	condition:
		$1
}

rule function_52970_0 {
	meta:
		name = "TCompiledBinding.AddConst"
		size = 181
		refs = "000f TCompiledBinding.AddConst 0026 sExpressionTooComplex 002b LoadResString 0035 _Dn_EEvaluatorError 003a Exception.Create 003f @RaiseExcept 0047 @DynArrayLength 0065 TArray<System.Rtti.TValue> 006a @DynArraySetLength 0081 TValue 0086 @CopyRecord 00a2 @UStrClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 7B 14 FF FF 00 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 1C E8 ?? ?? ?? ?? 3B 43 14 75 21 8B 43 1C E8 ?? ?? ?? ?? 03 C0 50 8D 43 1C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 14 8D 04 40 8B 53 1C 8D 04 C2 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 73 14 FF 43 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_52971_0 {
	meta:
		name = "TCompiledBinding.AddOp"
		size = 67
		refs = "000a @DynArrayLength 0028 TArray<System.Byte> 002d @DynArraySetLength"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 20 E8 ?? ?? ?? ?? 3B 46 18 75 21 8B 46 20 E8 ?? ?? ?? ?? 03 C0 50 8D 46 20 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 20 8B 56 18 88 1C 10 FF 46 18 5E 5B C3 }
	condition:
		$1
}

rule function_52972_0 {
	meta:
		name = "TCompiledBinding.AddOpArg"
		size = 90
		refs = "000d @DynArrayLength 0030 TArray<System.Byte> 0035 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B 46 20 E8 ?? ?? ?? ?? 8B 56 18 83 C2 02 3B C2 7F 21 8B 46 20 E8 ?? ?? ?? ?? 03 C0 50 8D 46 20 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 20 8B 56 18 88 1C 10 8B 46 20 8B 56 18 8D 44 10 01 66 89 38 83 46 18 03 5F 5E 5B C3 }
	condition:
		$1
}

rule function_52973_0 {
	meta:
		name = "TCompiledBinding.AddOpArg2"
		size = 116
		refs = "0012 @DynArrayLength 0023 TArray<System.Byte> 0028 @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 EB 21 8B 46 20 E8 ?? ?? ?? ?? 03 C0 50 8D 46 20 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 20 E8 ?? ?? ?? ?? 8B 56 18 83 C2 04 3B C2 7E CD 8B 46 20 8B 56 18 88 1C 10 8B 46 20 8B 56 18 8D 44 10 01 66 89 38 8B 46 18 40 8B 56 20 8D 44 02 02 0F B7 55 08 66 89 10 83 46 18 05 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_52974_0 {
	meta:
		name = "TCompiledBinding.AddOpValue"
		size = 116
		refs = "001e TValue 0023 @AddRefRecord 002b TCompiledBinding.AddOpValue 003b TCompiledBinding.AddConst 0046 TCompiledBinding.AddOpArg 0061 @FinalizeRecord 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F1 8D 7D E8 B9 06 00 00 00 F3 A5 8B DA 8B F0 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_52975_0 {
	meta:
		name = "TCompiledBinding.CollectDynInstSubWrprs"
		size = 360
		refs = "0015 TCompiledBinding.CollectDynInstSubWrprs 004f Supports 005b @IntfClear 0084 _Dn_TBindingSearch 0089 TBindingSearch.DepthGetWrappers 009f TBindingSearch.CopyWrprs 00b4 TObject.Free 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B DA 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E8 85 DB 0F 84 D2 00 00 00 8D 55 F0 8B C3 8B 08 FF 51 0C E9 AB 00 00 00 8D 55 FC 8B 45 F0 8B 08 FF 51 0C BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 69 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 4E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 EC 8B 48 0C 8B 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0B 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 10 84 C0 0F 85 45 FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C3 B5 0C F2 50 A2 22 F7 4F A1 BD 9D 61 B4 63 D0 78 55 24 FE DA B6 3D CC 40 B1 D6 1E AC 0A 29 AB EC 3C 17 DE 59 4A 95 BA 4D BA C1 5D 1B 95 51 B8 5A }
	condition:
		$1
}

rule function_52976_0 {
	meta:
		name = "TCompiledBinding.Create"
		size = 113
		refs = "000a @ClassCreate 001e TArray<System.Byte> 0023 @DynArraySetLength 0036 TArray<System.Rtti.TValue> 004b _DV_TDictionary<System.IInterface,System.Pointer> 0050 TDictionary<System.IInterface,System.Pointer>.Create 005e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 04 8D 46 20 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 04 8D 46 1C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C6 46 11 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_52978_0 {
	meta:
		name = "TCompiledBinding.Dump"
		size = 724
		refs = "0022 TCompiledBinding.Dump 005f TValue.ToString 007b Format 00ae TCompiledBinding.OpArgCount 00da OpNames 01e6 @UStrClr 01f3 @UStrArrayClr 0201 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 33 C9 89 4D BC 89 4D D8 89 4D DC 89 4D F4 89 4D E0 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 0C 8B 46 14 48 85 C0 7C 4F 40 89 45 F8 33 DB 8D 45 F4 50 89 5D E4 C6 45 E8 00 8D 04 5B 8B 56 1C 8D 04 C2 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 0C 43 FF 4D F8 75 B7 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 0C 33 DB E9 28 01 00 00 8B 46 20 0F B6 04 18 8B 04 85 ?? ?? ?? ?? 83 E8 01 72 0E 74 4E 48 0F 84 97 00 00 00 E9 F4 00 00 00 8D 45 DC 50 89 5D E4 C6 45 E8 00 8B 46 20 0F B6 04 18 8B 04 85 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 8B 08 FF 51 0C E9 B2 00 00 00 8D 45 D8 50 89 5D C0 C6 45 C4 00 8B 46 20 0F B6 04 18 8B 04 85 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 8B 46 20 8D 44 18 01 0F B7 00 89 45 D0 C6 45 D4 00 8D 55 C0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC 8B 08 FF 51 0C EB 62 8D 45 BC 50 89 5D 9C C6 45 A0 00 8B 46 20 0F B6 04 18 8B 04 85 ?? ?? ?? ?? 89 45 A4 C6 45 A8 11 8B 46 20 8D 44 18 01 0F B7 00 89 45 AC C6 45 B0 00 8D 43 01 8B 56 20 8D 44 02 02 0F B7 00 89 45 B4 C6 45 B8 00 8D 55 9C B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 45 FC 8B 08 FF 51 0C 8B 46 20 0F B6 04 18 8B 04 85 ?? ?? ?? ?? 03 C0 40 03 D8 3B 5E 18 0F 8C CF FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 6F 00 6E 00 73 00 74 00 61 00 6E 00 74 00 20 00 74 00 61 00 62 00 6C 00 65 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 20 00 20 00 25 00 64 00 3A 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 6F 00 67 00 72 00 61 00 6D 00 20 00 62 00 6F 00 64 00 79 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 20 00 25 00 64 00 3A 00 20 00 25 00 73 00 20 00 25 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 20 00 20 00 25 00 64 00 3A 00 20 00 25 00 73 00 20 00 25 00 64 00 20 00 25 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_52979_0 {
	meta:
		name = "PopValue"
		size = 125
		refs = "000c PopValue 0023 sEvalStackOverflow 0028 LoadResString 0032 _Dn_EEvaluatorError 0037 Exception.Create 003c @RaiseExcept 0052 @IntfCopy 006d @UStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 78 FC 00 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 55 08 8B 52 FC 8B 4D 08 8B 49 F8 8B 14 91 E8 ?? ?? ?? ?? 8B 45 08 FF 48 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_52980_0 {
	meta:
		name = "PushValue"
		size = 240
		refs = "0010 PushValue 0027 @DynArrayLength 0037 sEvalStackOverflow 003c LoadResString 0046 _Dn_EEvaluatorError 004b Exception.Create 0050 @RaiseExcept 0066 @IntfCopy 0077 @IntfClear 0085 Supports 00a8 TList<System.Bindings.EvalProtocol.ISubscription>.Add 00c5 @UStrClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 FF 40 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 55 08 3B 42 FC 7F 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 08 8B 52 F8 8D 04 82 8B D3 E8 ?? ?? ?? ?? 8B 45 08 80 78 F7 00 74 39 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 8D 4D F4 8B 45 08 8B 50 F0 8B 45 FC 8B 18 FF 53 0C 8B 55 F4 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 00 00 F1 03 DD CF 50 FB 39 4B 99 B8 84 2D 56 04 A1 4A }
	condition:
		$1
}

rule function_52981_0 {
	meta:
		name = "PopArgs"
		size = 140
		refs = "000f PopArgs 0023 TArray<System.Bindings.EvalProtocol.IValue> 0028 @DynArraySetLength 003c PopValue 004f @IntfCast 0068 @IntfClear 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 DB 7E 24 4B 8B 45 08 50 8D 45 FC E8 ?? ?? ?? ?? 59 8B 55 FC 8B 06 8D 04 98 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7F DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 01 F9 95 A4 F5 72 84 43 BA 50 EC 3B 4B 42 F6 C2 }
	condition:
		$1
}

rule function_52982_0 {
	meta:
		name = "Lookup"
		size = 372
		refs = "0020 Lookup 0030 @UStrLAsg 0064 CompareText 0075 @IntfClear 0083 Supports 00de sLookupError 00e3 LoadResString 00ed _Dn_EEvaluatorError 00f2 Exception.CreateFmt 00f7 @RaiseExcept 010c @UStrClr 0119 @UStrArrayClr 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D EC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 2D 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 8B 55 EC 8B 45 F8 8B 08 FF 51 0C 8B 45 EC 83 38 00 75 5D 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 15 8B 4D EC 8B D3 8B 45 FC 8B 30 FF 56 0C 8B 45 EC 83 38 00 75 2E 89 5D E4 C6 45 E8 11 8D 45 E4 50 6A 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 45 00 4C 00 46 00 00 00 00 00 D9 75 D8 FA DE 7E 8C 43 A4 77 F7 BC EF 13 51 47 55 24 FE DA B6 3D CC 40 B1 D6 1E AC 0A 29 AB EC }
	condition:
		$1
}

rule function_52983_0 {
	meta:
		name = "Lookup"
		size = 168
		refs = "0016 Lookup 0024 @IntfClear 0032 Supports 004d sUnsupportedGroup 0052 LoadResString 005c _Dn_EEvaluatorError 0061 Exception.Create 0066 @RaiseExcept 007b @UStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 4D F8 8B D6 8B 45 FC 8B 18 FF 53 0C EB 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 B4 5D 94 D6 FB 6E A0 47 A9 1E 97 55 22 DA B2 8A }
	condition:
		$1
}

rule function_52984_0 {
	meta:
		name = "Invoke"
		size = 344
		refs = "001c Invoke 002a @IntfClear 0038 Supports 005e sInvokeError 0063 LoadResString 006d _Dn_EEvaluatorError 0072 Exception.Create 0077 @RaiseExcept 00ae sUnsupportedWrapper 00d1 AdaptArguments 00f2 TArray<System.Rtti.TValue> 00f7 @DynArrayClear 0104 @UStrArrayClr 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3B 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 0F 8B 4D F4 8B D6 8B 45 FC 8B 18 FF 53 0C EB 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5E 5B 8B E5 5D C3 00 00 1C 36 B8 0B C7 AA DB 42 B9 70 52 75 79 7D F4 1F 44 3B D9 79 1B 2F 53 4F B4 4D 91 91 3F E6 85 81 01 F9 95 A4 F5 72 84 43 BA 50 EC 3B 4B 42 F6 C2 }
	condition:
		$1
}

rule function_52985_0 {
	meta:
		name = "TCompiledBinding.Evaluate"
		size = 1152
		refs = "0024 @IntfAddRef 0034 TCompiledBinding.Evaluate 0067 @IntfClear 0074 @TryFinallyExit 0097 Supports 00a3 _Dn_TBindingSearch 00a8 TBindingSearch.PrepareWrappersForEvaluation 00d5 TArray<System.IInterface> 00da @DynArraySetLength 0104 TCompiledBinding.OpArgCount 0160 PopValue 0171 @IntfCast 019a _Dn_TValueWrapper 019f TValueWrapper.Create 01ab PushValue 01d8 TValue.AsString 01f2 Lookup 0249 TValue.AsInteger 027a PopArgs 0287 TArray<System.Bindings.EvalProtocol.IValue> 028c @DynArrayAsg 02a5 Invoke 031b @HandleOnException 0323 _Dn_Exception 0333 @RaiseAgain 0338 @DoneExcept 0362 TCompiledBinding.CollectDynInstSubWrprs 0376 @HandleFinally 0393 @DynArrayClear 039b @UStrClr 03d2 IInterface 03dc @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 0D 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F0 89 55 EC 89 45 E0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 83 78 18 00 75 1A 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E8 ?? ?? ?? ?? E9 FF 02 00 00 8B 45 E0 C6 40 11 04 8D 45 E8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 0D 8B 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 85 C0 74 06 83 7D 0C 00 75 04 33 C0 EB 02 B0 01 88 45 F7 8B 45 E0 C6 40 11 05 6A 20 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC FF FF FF FF 33 F6 E9 11 02 00 00 8B 45 E0 8B 40 20 0F B6 04 30 88 45 DF 46 0F B6 45 DF 8B 3C 85 ?? ?? ?? ?? 4F 85 FF 7C 1A 47 8D 5D D4 8B 45 E0 8B 40 20 03 C6 0F B7 00 89 03 83 C6 02 83 C3 04 4F 75 EA 0F B6 45 DF 83 F8 07 0F 87 CC 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 8D 45 CC E8 ?? ?? ?? ?? 59 8B 55 CC 8B 45 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E8 ?? ?? ?? ?? E9 F5 01 00 00 55 8B 45 D4 8D 04 40 8B 55 E0 8B 52 1C 8D 0C C2 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 F8 E8 ?? ?? ?? ?? 59 E9 4B 01 00 00 55 8D 45 C8 E8 ?? ?? ?? ?? 59 E9 3C 01 00 00 55 8B 45 D4 8D 04 40 8B 55 E0 8B 52 1C 8D 04 C2 8D 55 C0 E8 ?? ?? ?? ?? 8B 45 C0 50 55 8D 45 BC E8 ?? ?? ?? ?? 59 8B 45 BC 8D 4D C4 5A E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 59 E9 FC 00 00 00 55 8B 45 D4 8D 04 40 8B 55 E0 8B 52 1C 8D 04 C2 8D 55 B4 E8 ?? ?? ?? ?? 8B 55 B4 8D 4D B8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 59 E9 C8 00 00 00 55 8B 45 D4 8D 04 40 8B 55 E0 8B 52 1C 8D 04 C2 E8 ?? ?? ?? ?? 50 55 8D 45 AC E8 ?? ?? ?? ?? 59 8B 45 AC 8D 4D B0 5A E8 ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? 59 E9 8E 00 00 00 55 8D 55 A8 8B 45 D4 E8 ?? ?? ?? ?? 59 8B 55 A8 8D 45 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 55 8D 45 A0 E8 ?? ?? ?? ?? 59 8B 45 A0 8D 4D A4 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 A4 E8 ?? ?? ?? ?? 59 EB 4C 55 8B 45 D4 8D 04 40 8B 55 E0 8B 52 1C 8D 04 C2 8D 55 94 E8 ?? ?? ?? ?? 8B 55 94 8D 4D 98 8B 45 EC E8 ?? ?? ?? ?? 8B 45 98 50 55 8D 55 90 8B 45 D8 E8 ?? ?? ?? ?? 59 8B 55 90 8D 4D 9C 58 E8 ?? ?? ?? ?? 8B 45 9C E8 ?? ?? ?? ?? 59 85 F6 7C 0C 8B 45 E0 3B 70 18 0F 8C DF FD FF FF 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 E0 C6 40 11 07 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 80 78 11 07 74 22 8B 45 E0 80 78 10 00 75 12 8B 55 E8 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 C6 40 10 01 8B 45 E0 C6 40 11 06 C3 E9 ?? ?? ?? ?? EB CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 90 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 34 FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 00 00 3C 17 DE 59 4A 95 BA 4D BA C1 5D 1B 95 51 B8 5A 01 F9 95 A4 F5 72 84 43 BA 50 EC 3B 4B 42 F6 C2 }
	condition:
		$1
}

rule function_52986_0 {
	meta:
		name = "TCompiledBinding.GetPhase"
		size = 5
	strings:
		$1 = { 0F B6 40 11 C3 }
	condition:
		$1
}

rule function_52988_0 {
	meta:
		name = "Finalization"
		size = 111
		refs = "0007 Finalization 0013 _DV_2 001a BuiltinOpName 0025 string 002a @FinalizeArray 002f TokStr 0044 OpNames 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 3F B8 ?? ?? ?? ?? B9 0B 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 17 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 08 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_53055_0 {
	meta:
		name = "TStack<System.Bindings.EvalProtocol.IScope>.DoPop"
		size = 85
		refs = "0012 SUnbalancedOperation 0019 _Dn_EListError 001e Exception.CreateRes 0023 @RaiseExcept 0036 @IntfCopy 0041 @IntfClear"
	strings:
		$1 = { 53 56 57 55 8B F1 8B DA 8B E8 83 7D 04 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 4D 04 8B C6 8B 55 08 8B 7D 04 8B 14 BA E8 ?? ?? ?? ?? 8B 45 08 8D 04 B8 E8 ?? ?? ?? ?? 8B CB 8B 16 8B C5 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53060_0 {
	meta:
		name = "TStack<System.Bindings.EvalProtocol.IScope>.Create"
		size = 213
		refs = "0014 @ClassCreate 0024 TStack<System.Bindings.EvalProtocol.IScope>.Create 0034 TObject.Create 003b TEnumerable<System.Bindings.EvalProtocol.IScope>.GetEnumerator 0063 TStack<System.Bindings.EvalProtocol.IScope>.Push 006b TEnumerator<System.Bindings.EvalProtocol.IScope>.MoveNext 0092 @HandleFinally 00a9 @IntfClear 00bf @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F7 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 FC 8B 45 F0 8B 08 FF 11 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 80 7D F7 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53062_0 {
	meta:
		name = "TStack<System.Bindings.EvalProtocol.IScope>.Clear"
		size = 97
		refs = "000c TStack<System.Bindings.EvalProtocol.IScope>.Clear 001e TStack<System.Bindings.EvalProtocol.IScope>.Pop 0034 :TStack<System.Bindings.EvalProtocol.IScope>.:1 0039 @DynArraySetLength 0051 @IntfClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 0A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7B 04 00 7F F0 6A 00 8D 43 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_53063_0 {
	meta:
		name = "TStack<System.Bindings.EvalProtocol.IScope>.Push"
		size = 59
		refs = "000a @DynArrayLength 0016 TStack<System.Bindings.EvalProtocol.IScope>.Grow 0026 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 E8 ?? ?? ?? ?? 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 53 04 8D 04 90 8B D6 E8 ?? ?? ?? ?? FF 43 04 33 C9 8B D6 8B C3 8B 18 FF 53 08 5E 5B C3 }
	condition:
		$1
}

rule function_53065_0 {
	meta:
		name = "TStack<System.Bindings.EvalProtocol.IScope>.Peek"
		size = 55
		refs = "000e SUnbalancedOperation 0015 _Dn_EListError 001a Exception.CreateRes 001f @RaiseExcept 0030 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 04 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 08 8B 4B 04 8B 54 8A FC E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53066_0 {
	meta:
		name = "TStack<System.Bindings.EvalProtocol.IScope>.Extract"
		size = 20
		refs = "000d TStack<System.Bindings.EvalProtocol.IScope>.DoPop"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE B2 02 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53070_0 {
	meta:
		name = "TStack<System.Bindings.EvalProtocol.IScope>.TEnumerator.GetCurrent"
		size = 28
		refs = "0015 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 04 8B 52 08 8B 4B 08 8B 14 8A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53408_0 {
	meta:
		name = "BidiAssociate"
		size = 89
		refs = "0011 @IntfAddRef 0019 BidiAssociate 0029 @IntfCopy 0033 @UStrAsg 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8D 43 04 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_53409_0 {
	meta:
		name = "Associate"
		size = 21
		refs = "000e @UStrAsg"
	strings:
		$1 = { 53 56 8B D9 8B F2 89 03 8D 43 04 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53410_0 {
	meta:
		name = "TBindingExpression.Compile"
		size = 51
		refs = "001e TDictionary<System.TObject,System.string>.Add"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 8B F8 8B C7 8B 10 FF 52 28 85 F6 7C 14 46 8B 47 08 8B 4B 04 8B 13 E8 ?? ?? ?? ?? 83 C3 08 4E 75 ED 8B C7 8B 10 FF 52 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53411_0 {
	meta:
		name = "TBindingExpression.Compile"
		size = 52
		refs = "001f TDictionary<System.TObject,System.string>.Add"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 8B F8 8B C7 8B 10 FF 52 28 85 F6 7C 15 46 8B 03 8B 48 08 8B 57 08 92 E8 ?? ?? ?? ?? 83 C3 04 4E 75 EC 8B C7 8B 10 FF 52 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53413_0 {
	meta:
		name = "TBindingExpression.Create"
		size = 256
		refs = "0015 @ClassCreate 0021 TBindingExpression.Create 0030 TObject.Create 0038 TValue.GetEmpty 0044 TValue 0049 @CopyRecord 0065 _Dn_TBindingOutput 006a TBindingOutput.Create 0091 _DV_TDictionary<System.TObject,System.string> 0096 TDictionary<System.TObject,System.string>.Create 00a9 :TBindingExpression.:1 00ae @DynArraySetLength 00cc @FinalizeRecord 00d2 @HandleFinally 00df @AfterConstruction"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 55 E8 8D 46 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 1C 84 C0 74 1B 0F B6 05 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C EB 19 0F B6 05 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 6A 00 8D 46 30 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 00 00 00 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_53414_0 {
	meta:
		name = "TBindingExpression.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 0016 TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 28 8B 46 0C E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53415_0 {
	meta:
		name = "TBindingExpression.SetEvalErrorEvent"
		size = 34
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 28 8B 55 0C 89 50 2C 8B 40 0C 8B 55 08 89 50 28 8B 55 0C 89 50 2C 5D C2 08 00 }
	condition:
		$1
}

rule function_53416_0 {
	meta:
		name = "TBindingExpression.SetAssigningValueEvent"
		size = 22
	strings:
		$1 = { 55 8B EC 8B 40 0C 8B 55 08 89 50 18 8B 55 0C 89 50 1C 5D C2 08 00 }
	condition:
		$1
}

rule function_53417_0 {
	meta:
		name = "TBindingExpression.SetAssignedValueEvent"
		size = 22
	strings:
		$1 = { 55 8B EC 8B 40 0C 8B 55 08 89 50 20 8B 55 0C 89 50 24 5D C2 08 00 }
	condition:
		$1
}

rule function_53418_0 {
	meta:
		name = "TBindingExpression.GetAssigningValueEvent"
		size = 15
	strings:
		$1 = { 8B 40 0C 8B 48 18 89 0A 8B 48 1C 89 4A 04 C3 }
	condition:
		$1
}

rule function_53419_0 {
	meta:
		name = "TBindingExpression.GetAssignedValueEvent"
		size = 15
	strings:
		$1 = { 8B 40 0C 8B 48 20 89 0A 8B 48 24 89 4A 04 C3 }
	condition:
		$1
}

rule function_53420_0 {
	meta:
		name = "TBindingExpression.SetOutputs"
		size = 12
		refs = "0007 TBindingOutput.SetValue"
	strings:
		$1 = { 8B CA 8B 50 0C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_53422_0 {
	meta:
		name = "TBindingExpression.SetOutputValue"
		size = 25
		refs = "000d TValue 0012 @CopyRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 10 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53425_0 {
	meta:
		name = "TBindingExpression.SetSource"
		size = 31
		refs = "000c @UStrEqual 0018 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B D6 E8 ?? ?? ?? ?? 74 0A 8D 43 04 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53426_0 {
	meta:
		name = "TBindingExpression.Compile"
		size = 50
		refs = "0012 :TBindingExpression.:1 0017 @DynArraySetLength 0024 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8D 43 30 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 30 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 18 5E 5B C3 }
	condition:
		$1
}

rule function_53427_0 {
	meta:
		name = "TBindingExpression.Compile"
		size = 83
		refs = "001a :TBindingExpression.:1 001f @DynArraySetLength 003b @IntfCopy"
	strings:
		$1 = { 53 56 57 55 51 8B D9 89 14 24 8B E8 8D 43 01 50 8D 45 30 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B F3 85 F6 7C 1A 46 33 FF 8B 1C 24 8B 45 30 8D 04 B8 8B 13 E8 ?? ?? ?? ?? 47 83 C3 04 4E 75 EC 8B C5 8B 10 FF 52 18 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53428_0 {
	meta:
		name = "TBindingExpression.Compile"
		size = 171
		refs = "002c TDictionary<System.TObject,System.string>.Add 0064 :TBindingExpression.:1 0069 @DynArraySetLength 008e @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F8 8B C7 8B 10 FF 52 28 8B 75 10 85 F6 7C 17 46 8B 5D 14 8B 47 08 8B 4B 04 8B 13 E8 ?? ?? ?? ?? 83 C3 08 4E 75 ED 8B 75 F8 85 F6 7C 18 46 8B 5D FC 8B 03 8B 48 08 8B 57 08 92 E8 ?? ?? ?? ?? 83 C3 04 4E 75 EC 8B 45 08 40 50 8D 47 30 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 75 08 85 F6 7C 24 46 C7 45 F4 00 00 00 00 8B 5D 0C 8B 47 30 8B 55 F4 8D 04 90 8B 13 E8 ?? ?? ?? ?? FF 45 F4 83 C3 04 4E 75 E7 8B C7 8B 10 FF 52 18 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_53430_0 {
	meta:
		name = "TBindExprDict.Create"
		size = 79
		refs = "000b @ClassCreate 001a _DV_TObjectDictionary<System.string,System.Bindings.Expression.TBindingExpression> 001f TDictionary<System.string,System.Bindings.Expression.TBindingExpression>.Create 0030 @UStrAsg 003b @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C C6 47 08 00 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53431_0 {
	meta:
		name = "TBindExprDict.Destroy"
		size = 33
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53434_0 {
	meta:
		name = "TBidiAssociation.Create"
		size = 91
		refs = "0011 @IntfAddRef 0019 TBidiAssociation.Create 0029 @IntfCopy 0033 @UStrAsg 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8D 43 04 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_53885_0 {
	meta:
		name = "TBindingExpressionDefault.Compile"
		size = 481
		refs = "001a TBindingExpressionDefault.Compile 0036 BasicConstants 0042 BasicOperators 004c _Dn_TNestedScope 0051 TNestedScope.Create 0062 @IntfCopy 0071 :TBindingExpression.:1 0076 @DynArrayAsg 00b5 @DynArrayLength 00c7 @DynArrayClear 00e0 TBindingExpressionDefault.CreateScope 012e Compile 0152 @HandleOnException 015a _Dn_Exception 0178 @RaiseAgain 017d @DoneExcept 0192 @UStrClr 019a @IntfClear 01a3 IScope 01ad @FinalizeArray 01d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 E8 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F0 8B 52 30 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 33 8D 45 FC 8B 55 F4 8B 14 9A E8 ?? ?? ?? ?? 8B 45 FC 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8D 45 F8 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 3B D8 7C C1 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 58 08 83 7B 08 00 7E 31 8D 4D E4 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 83 C0 3C 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 F0 8B 08 FF 51 04 8B 45 DC 8D 4D E0 8B 55 F0 8B 52 3C E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F0 83 C0 38 E8 ?? ?? ?? ?? 8B 45 F0 C6 40 40 01 33 C0 5A 59 59 64 89 10 EB 30 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 F0 66 83 7A 2A 00 74 0B 8B 5D F0 8B D0 8B 43 2C FF 53 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53886_0 {
	meta:
		name = "TBindingExpressionDefault.Create"
		size = 85
		refs = "000a @ClassCreate 001a TBindingExpression.Create 0021 _Dn_TScopeSymbols 0026 TScopeSymbols.Create 0037 @IntfCopy 0042 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 44 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 46 48 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_53887_0 {
	meta:
		name = "TBindingExpressionDefault.CreateScope"
		size = 237
		refs = "0017 TPair<System.TObject,System.string> 001c @InitializeRecord 0024 TBindingExpressionDefault.CreateScope 0031 _Dn_TDictionaryScope 0036 TDictionaryScope.Create 0048 @IntfCopy 004f TDictionary<System.TObject,System.string>.GetEnumerator 006d TDictionary<System.TObject,System.string>.TPairEnumerator.GetCurrent 0078 WrapObject 0086 TDictionary<System.string,System.IInterface>.Add 008e TDictionary<System.TObject,System.string>.TPairEnumerator.MoveNext 00b5 @HandleFinally 00cc @IntfClear 00da @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 8B F9 8B F2 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C7 8B D3 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 24 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F0 8B 43 0C 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53888_0 {
	meta:
		name = "TBindingExpressionDefault.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0015 TBindingManager.Extract 0020 TBindingExpression.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 44 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96656_0 {
	meta:
		name = "TClientSocketThread.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0015 TServerSocketThread.RemoveClientSocketThread 0020 TThread.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 44 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_53898_0 {
	meta:
		name = "TBindingExpressionDefault.Evaluate$206$ActRec.$0$Body"
		size = 114
		refs = "0015 TBindingExpressionDefault.Evaluate$206$ActRec.$0$Body 0030 _Dn_TValueWrapper 0035 TValueWrapper.Create 0045 @IntfCopy 005b TValue 0060 @FinalizeRecord 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 43 0C 8B 08 FF 51 0C 8D 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53899_0 {
	meta:
		name = "TBindingExpressionDefault.Evaluate"
		size = 316
		refs = "001b TBindingExpressionDefault.Evaluate 0028 _DV_TBindingExpressionDefault.Evaluate$206$ActRec 002d TObject.Create 0042 @IntfCopy 0058 sUncompiledExpression 005d LoadResString 0067 _Dn_EBindingExpressionError 006c Exception.Create 0071 @RaiseExcept 00d1 @HandleOnException 00d9 _Dn_Exception 00f9 @RaiseAgain 00fe @DoneExcept 0114 TValue 0119 @FinalizeRecord 0121 @UStrClr 0129 @IntfClear 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8D 45 FC 8B 55 F8 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 89 42 0C 80 78 40 00 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 6A 00 56 8B 45 F8 8B 58 0C 8B 53 3C 8B 43 38 33 C9 8B 18 FF 53 10 8D 55 DC 8B 06 8B 08 FF 51 10 8D 55 DC 8B 45 F8 8B 40 0C 8B 08 FF 51 10 8B 55 F8 85 D2 74 03 83 EA F0 8B 45 F8 8B 40 0C 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 EB 32 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 F8 8B 52 0C 66 83 7A 2A 00 74 0A 8B DA 8B D0 8B 43 2C FF 53 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_53900_0 {
	meta:
		name = "TBindingExpressionDefault.EvaluateOutputs$208$ActRec.$0$Body"
		size = 30
	strings:
		$1 = { 53 56 57 8B FA 8B D8 6A 00 57 8B 73 0C 8B 56 3C 8B 46 38 33 C9 8B 18 FF 53 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_53901_0 {
	meta:
		name = "TBindingExpressionDefault.EvaluateOutputs"
		size = 160
		refs = "000f TBindingExpressionDefault.EvaluateOutputs 001c _DV_TBindingExpressionDefault.EvaluateOutputs$208$ActRec 0021 TObject.Create 0034 @IntfCopy 0047 sUncompiledExpression 004c LoadResString 0056 _Dn_EBindingExpressionError 005b Exception.Create 0060 @RaiseExcept 0086 @UStrClr 008e @IntfClear 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 89 43 0C 80 78 40 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 85 D2 74 03 83 EA F0 8B 43 0C 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_53902_0 {
	meta:
		name = "TBindingExpressionDefault.GetBindingWrappers"
		size = 48
		refs = "0009 @IntfClear 0010 TBindingExpressionDefault.GetBindingWrappers 0018 Supports"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 5E 5B C3 00 49 F8 EE CA 8F A8 4D 4D 89 80 39 50 42 DD 56 FA }
	condition:
		$1
}

rule function_53904_0 {
	meta:
		name = "TBindingExpressionDefault.GetIsManaged"
		size = 8
		altNames = "TCustomImageList.HandleAllocated"
	strings:
		$1 = { 83 78 44 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_53905_0 {
	meta:
		name = "TBindingExpressionDefault.GetRootScopeEnumerator"
		size = 48
		refs = "0009 @IntfClear 0010 TBindingExpressionDefault.GetRootScopeEnumerator 0018 Supports"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 3C E8 ?? ?? ?? ?? 5E 5B C3 00 F2 BF 60 AD 13 4A 83 41 A6 A9 20 FE 60 FF 03 5D }
	condition:
		$1
}

rule function_53906_0 {
	meta:
		name = "TBindingExpressionDefault.GetRootScopeEx"
		size = 48
		refs = "0009 @IntfClear 0010 TBindingExpressionDefault.GetRootScopeEx 0018 Supports"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 3C E8 ?? ?? ?? ?? 5E 5B C3 00 5E 80 57 B7 B1 E2 3D 47 A2 01 99 BF 6E 11 34 FF }
	condition:
		$1
}

rule function_53907_0 {
	meta:
		name = "TBindingExpressionDefault.Clear"
		size = 32
		refs = "0006 TBindingExpression.Clear 000e @IntfClear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 3C E8 ?? ?? ?? ?? 8D 43 38 E8 ?? ?? ?? ?? C6 43 40 00 5B C3 }
	condition:
		$1
}

rule function_54413_0 {
	meta:
		name = "TBindingExpressionFactory.CreateExpression"
		size = 25
		refs = "0006 TBindingManagerFactory.FAppManager 000d _Dn_TBindingExpressionDefault 0014 TBindingExpressionDefault.Create"
	strings:
		$1 = { 85 D2 75 06 8B 15 ?? ?? ?? ?? 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54414_0 {
	meta:
		name = "TBindingManagerFactory.Create@"
		size = 27
		refs = "0002 TBindingManagerFactory.$ClassInitFlag 000c _DV_TBindingManagerFactory 0011 TBindingManagerFactory.CreateManagerInstance 0016 TBindingManagerFactory.FAppManager"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54415_0 {
	meta:
		name = "TBindingManagerFactory.CreateManager"
		size = 16
		refs = "0006 TBindingManagerFactory.FAppManager 000b TBindingManagerFactory.CreateManagerInstance"
	strings:
		$1 = { 85 D2 75 06 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54418_0 {
	meta:
		name = "TBindingScopeFactory.CreateScope"
		size = 200
		refs = "0016 TBindingScopeFactory.CreateScope 003e SParamIsNil 0043 LoadResString 004d _DV_EBindingScopeFactoryError 0052 Exception.CreateFmt 0057 @RaiseExcept 0064 TBindingScopeFactory.GetBestFitScope 0092 @UStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F1 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 75 37 85 F6 75 33 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 FF 85 DB 75 09 8B D6 E8 ?? ?? ?? ?? EB 09 8B 0B 89 CA E8 ?? ?? ?? ?? 85 C0 74 0A 56 8B CB B2 01 FF 50 04 8B F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 65 00 74 00 61 00 43 00 6C 00 61 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_54419_0 {
	meta:
		name = "TBindingScopeFactory.CreateScope"
		size = 156
		refs = "0010 TBindingScopeFactory.CreateScope 0034 SParamIsNil 0039 LoadResString 0043 _DV_EBindingScopeFactoryError 0048 Exception.CreateFmt 004d @RaiseExcept 006d @UStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 D2 75 33 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 1A 89 D9 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 }
	condition:
		$1
}

rule function_54420_0 {
	meta:
		name = "TBindingScopeFactory.CreateScope"
		size = 45
		refs = "0019 TBindingScopeFactory.CreateScope"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 89 06 83 3E 00 0F 95 C0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_54422_0 {
	meta:
		name = "TBindingScopeFactory.GetBestFitScope"
		size = 211
		refs = "000b TBindingScopeFactory.GetScopeTuples 001b TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TryGetValue 0028 _Dn_TObject 0037 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.GetEnumerator 0042 TBindingScopeFactory.GetBestFitScope 0055 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TPairEnumerator.GetCurrent 0061 TObject.InheritsFrom 0082 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TPairEnumerator.MoveNext 00a9 @HandleFinally 00bc TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 8B F2 E8 ?? ?? ?? ?? 89 45 E8 8D 4D FC 8B D6 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 85 A3 00 00 00 A1 ?? ?? ?? ?? 89 45 F0 C6 45 EF 00 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 30 8D 55 F4 8B 45 E4 E8 ?? ?? ?? ?? 8B 5D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 15 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 89 5D F0 C6 45 EF 01 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 80 7D EF 00 74 10 8B 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 89 45 FC EB 05 33 C0 89 45 FC 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54424_0 {
	meta:
		name = "TBindingScopeFactory.GetScopeClassCount"
		size = 9
		refs = "0001 TBindingScopeFactory.GetScopeTuples"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 08 C3 }
	condition:
		$1
}

rule function_54425_0 {
	meta:
		name = "TBindingScopeFactory.GetScopeClasses"
		size = 17
		refs = "0004 TBindingScopeFactory.GetScopeTuples 000b TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.GetItem"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67292_0 {
	meta:
		name = "FreeIntercept"
		size = 17
		refs = "0004 CodeHeap 000b TPrivateHeap.FreeMem"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95836_0 {
	meta:
		name = "RegisterContentParser"
		size = 17
		refs = "0004 ContentParsers 000b TList.Add"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_114851_0 {
	meta:
		name = "RegisterDOMVendor"
		size = 17
		refs = "0004 DOMVendorList 000b TDOMVendorList.Add"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_54426_0 {
	meta:
		name = "TBindingScopeFactory.IsObjectTypeRegistered"
		size = 42
		refs = "000f TBindingScopeFactory.GetBestFitScope 001c TBindingScopeFactory.GetScopeTuples 0023 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.ContainsKey"
	strings:
		$1 = { 53 56 8B F2 8B D8 84 C9 74 11 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5E 5B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54427_0 {
	meta:
		name = "TBindingScopeFactory.IsScopeClassRegistered"
		size = 17
		refs = "0004 TBindingScopeFactory.GetScopeTuples 000b TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.ContainsValue"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_54428_0 {
	meta:
		name = "TBindingScopeFactory.RegisterScope"
		size = 167
		refs = "0019 TBindingScopeFactory.RegisterScope 0026 TBindingScopeFactory.GetScopeTuples 002d TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.ContainsValue 003b TObject.ClassName 0053 sScopeClassAlreadyRegistered 0058 LoadResString 0062 _DV_EBindingScopeFactoryError 0067 Exception.CreateFmt 006c @RaiseExcept 007a TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Add 0094 @UStrArrayClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F4 89 5D F0 8B D9 8B FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 84 C0 74 3B 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CB 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54429_0 {
	meta:
		name = "TBindingScopeFactory.UnregisterObjectType"
		size = 161
		refs = "0016 TBindingScopeFactory.UnregisterObjectType 0023 TBindingScopeFactory.GetScopeTuples 002a TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.ContainsKey 0038 TObject.ClassName 0050 sObjectTypeNotRegistered 0055 LoadResString 005f _DV_EBindingScopeFactoryError 0064 Exception.CreateFmt 0069 @RaiseExcept 0075 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Remove 008f @UStrArrayClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F4 89 4D F0 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 84 C0 75 3B 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54430_0 {
	meta:
		name = "TBindingScopeFactory.UnregisterScope"
		size = 421
		refs = "0016 TBindingScopeFactory.UnregisterScope 0021 TBindingScopeFactory.GetScopeTuples 0032 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.ContainsValue 0040 TObject.ClassName 0058 sScopeClassNotRegistered 005d LoadResString 0067 _DV_EBindingScopeFactoryError 006c Exception.CreateFmt 0071 @RaiseExcept 008b _DV_TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>> 0090 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Create 009b TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.GetEnumerator 00b9 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TPairEnumerator.GetCurrent 00c9 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Add 00d1 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.TPairEnumerator.MoveNext 00f8 @HandleFinally 0102 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.GetEnumerator 0120 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.TEnumerator.GetCurrent 012b TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Remove 0133 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.TEnumerator.MoveNext 0171 TObject.Free 0193 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D DC 89 4D D8 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 89 45 F0 8B F3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 84 C0 75 3B 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 8D 45 E0 50 6A 00 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8D 55 F8 8B 45 EC E8 ?? ?? ?? ?? 3B 5D FC 75 0B 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8D 55 F8 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54432_0 {
	meta:
		name = "TBindingScopeFactory.CreateScope"
		size = 30
		refs = "000e TBindingScopeFactory.CreateScope"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 89 06 83 3E 00 0F 95 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54433_0 {
	meta:
		name = "TBindingScopeFactory.GetScopeTuples"
		size = 58
		refs = "0003 TBindingScopeFactory.FScopeTuples 000f _DV_TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass> 0014 TDictionary<System.TClass,System.Bindings.CustomScope.TScopeClass>.Create 0024 TInterlocked.CompareExchange 002f TObject.Free"
	strings:
		$1 = { 53 83 3D ?? ?? ?? ?? 00 75 29 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_54511_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.SetItem"
		size = 102
		refs = "0017 SArgumentOutOfRange 001e _Dn_EArgumentOutOfRangeException 0023 Exception.CreateRes 0028 @RaiseExcept"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F1 8B D8 8B FC 85 D2 7C 05 3B 53 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 0C D0 89 0F 8B 4C D0 04 89 4F 04 8B 43 04 8B 0E 89 0C D0 8B 4E 04 89 4C D0 04 B1 01 8B D7 8B C3 8B 38 FF 57 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54514_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.DoDelete"
		size = 151
		refs = "001a SArgumentOutOfRange 0021 _Dn_EArgumentOutOfRangeException 0026 Exception.CreateRes 002b @RaiseExcept 006c Move 0081 @FillChar"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D9 8B F2 8B E8 8B FC 85 F6 7C 05 3B 75 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 04 8B 14 F0 89 17 8B 54 F0 04 89 57 04 8B 55 04 33 C0 89 04 F2 89 44 F2 04 FF 4D 08 8B 45 08 3B F0 74 31 2B C6 8B C8 03 C9 03 C9 03 C9 8B 45 04 8D 14 F0 8B 45 04 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 45 04 8B 55 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B CB 8B D7 8B C5 8B 18 FF 53 08 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54527_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.InsertRange"
		size = 127
		refs = "001b TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.InsertRange 0042 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Insert 0057 @IntfClear 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F1 8B DA 8B F8 8D 75 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 10 EB 16 8B D6 8B 45 FC 8B 08 FF 51 18 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54528_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.InsertRange"
		size = 123
		refs = "0017 TEnumerable<System.Bindings.Factories.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.GetEnumerator 0022 TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.InsertRange 003e TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Insert 0047 TEnumerator<System.Bindings.Factories.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.MoveNext 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B DA 8B F8 8D 75 F4 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B D6 8B 45 F0 8B 08 FF 11 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54533_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Exchange"
		size = 68
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D9 8B F4 8B 48 04 8B 3C D1 89 3E 8B 7C D1 04 89 7E 04 8B 48 04 8B 78 04 8B 2C D9 89 2C D7 8B 6C D9 04 89 6C D7 04 8B 40 04 8B 16 89 14 D8 8B 56 04 89 54 D8 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54534_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Move"
		size = 186
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 006f Move 009f @FillChar"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F1 8B FA 8B D8 8B EC 3B F7 0F 84 9C 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 14 F8 89 55 00 8B 54 F8 04 89 55 04 8B 53 04 33 C0 89 04 FA 89 44 FA 04 3B F7 7E 1E 8B 43 04 8D 14 F8 8B 43 04 8D 44 F8 08 8B CE 2B CF 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1C 2B FE 8B CF 03 C9 03 C9 03 C9 8B 43 04 8D 54 F0 08 8B 43 04 8D 04 F0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 55 00 89 14 F0 8B 55 04 89 54 F0 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54541_0 {
	meta:
		name = "TList<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>.Reverse"
		size = 82
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F4 33 D2 8B 58 08 4B 3B DA 7E 38 8B 48 04 8B 3C D1 89 3E 8B 7C D1 04 89 7E 04 8B 48 04 8B 78 04 8B 2C D9 89 2C D7 8B 6C D9 04 89 6C D7 04 8B 48 04 8B 3E 89 3C D9 8B 7E 04 89 7C D9 04 42 4B 3B DA 7F C8 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54672_0 {
	meta:
		name = "TArray.QuickSort<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>"
		size = 241
		refs = "00d8 TArray.QuickSort<System.Generics.Collections.TPair<System.TClass,System.Bindings.CustomScope.TScopeClass>>"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8D 45 E4 8B 45 F4 40 85 C0 0F 84 C7 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E B9 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 0C C2 89 4D EC 8B 4C C2 04 89 4D F0 EB 01 43 8B 45 F8 8D 14 D8 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8D 14 F0 8D 4D EC 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 38 3B F3 74 32 8B 55 F8 8B 0C DA 89 08 8B 4C DA 04 89 48 04 8B 55 F8 8B 4D F8 8B 3C F1 89 3C DA 8B 7C F1 04 89 7C DA 04 8B 55 F8 8B 08 89 0C F2 8B 48 04 89 4C F2 04 43 4E 3B F3 7D 93 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 47 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_54740_0 {
	meta:
		name = "TBindingGraph.MarkTopologic"
		size = 122
		refs = "0011 TBindingGraph.FObjectsTopology 0016 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.ContainsKey 0026 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetItem 0033 _DV_TDictionary<System.string,System.Integer> 0038 TDictionary<System.string,System.Integer>.Create 0048 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Add 0051 TDictionary<System.string,System.Integer>.ContainsKey 0061 TDictionary<System.string,System.Integer>.SetItem 006f TDictionary<System.string,System.Integer>.Add"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 85 DB 74 65 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 1E 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B CE 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 4D 08 8B D7 8B C6 E8 ?? ?? ?? ?? EB 0C 8B 4D 08 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_54741_0 {
	meta:
		name = "TBindingGraph.AreAllIterationMarked"
		size = 376
		refs = "0015 TBindingGraph.AreAllIterationMarked 0032 TDictionary<System.IInterface,System.Pointer>.GetKeys 0037 TDictionary<System.IInterface,System.Pointer>.TKeyCollection.GetEnumerator 0058 TDictionary<System.IInterface,System.Pointer>.TKeyEnumerator.GetCurrent 0060 @IntfClear 006f Supports 00a0 TBindingGraph.IsIterationMarked 00e7 TDictionary<System.IInterface,System.Pointer>.TKeyEnumerator.MoveNext 0112 @HandleFinally 0129 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 95 45 F3 80 7D F3 00 0F 84 E9 00 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 92 00 00 00 8D 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 6C 8B 45 F8 8B 10 FF 52 0C 85 C0 74 24 8D 55 E8 8B 45 F8 8B 08 FF 51 10 8B 45 E8 50 8B 45 F8 8B 10 FF 52 0C 8B D0 8B C3 59 E8 ?? ?? ?? ?? 88 45 F3 80 7D F3 00 75 30 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 F4 8B 10 FF 52 18 84 C0 75 04 33 C0 EB 02 B0 01 88 45 F3 80 7D F3 00 74 10 8B 45 EC E8 ?? ?? ?? ?? 84 C0 0F 85 5E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 0F B6 45 F3 5E 5B 8B E5 5D C3 00 18 0F DD D4 76 40 9B 4A B8 7A F9 BA 1B C6 9E 26 FA D2 76 4F D9 BE 6B 47 AA 29 B6 39 9F 23 4D A1 }
	condition:
		$1
}

rule function_54744_0 {
	meta:
		name = "TBindingGraph.Create@"
		size = 124
		refs = "0002 TBindingGraph.$ClassInitFlag 000e TBindingGraph.Create@ 0015 _DV_TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>> 001a TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Int64>>.Create 001f TBindingGraph.FObjects 0028 _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64> 002d TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Create 0032 TBindingGraph.FExpressions 0042 _DV_TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>> 0047 TObjectDictionary<System.TObject,System.Generics.Collections.TDictionary<System.string,System.Integer>>.Create 004c TBindingGraph.FObjectsTopology 0055 _DV_TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer> 005a TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Create 005f TBindingGraph.FExpressionsTopology 0066 _DV_TList<System.Bindings.Expression.TBindingExpression> 006b TList<System.Bindings.Expression.TBindingExpression>.Create 0070 TBindingGraph.FExpressionsWaitQueue"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 6B 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_54746_0 {
	meta:
		name = "TBindingGraph.DequeueWait"
		size = 48
		refs = "0009 TBindingGraph.IsWaitQueueEmpty 0012 TBindingGraph.FExpressionsWaitQueue 0017 TList<System.Bindings.Expression.TBindingExpression>.First 0027 TList<System.Bindings.Expression.TBindingExpression>.Remove"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_54747_0 {
	meta:
		name = "TBindingGraph.Destroy@"
		size = 59
		refs = "0002 TBindingGraph.$ClassInitFlag 0009 TBindingGraph.FObjects 000e TObject.Free 0013 TBindingGraph.FExpressions 001d TBindingGraph.FObjectsTopology 0027 TBindingGraph.FExpressionsTopology 0031 TBindingGraph.FExpressionsWaitQueue"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 32 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54748_0 {
	meta:
		name = "TBindingGraph.DoGetDependentExprs"
		size = 332
		refs = "0021 TBindingGraph.DoGetDependentExprs 0052 TBindingManager.GetExprCount 0065 TBindingManager.GetExpressions 0070 @IntfClear 007f Supports 009f _Dn_TBindingSearch 00a4 TBindingSearch.DepthSearchObject 00c3 TBindingSearch.DepthSearchProperty 00d4 TList<System.Bindings.Expression.TBindingExpression>.Add 00df TBindingManager.GetManagerCount 00f2 TBindingManager.GetManagers 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F0 00 0F 84 D8 00 00 00 85 FF 0F 84 D0 00 00 00 83 7D 08 00 0F 84 C6 00 00 00 83 7D EC 00 0F 94 45 E7 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 7F 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 89 45 E8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 51 80 7D E7 00 74 1D 8D 45 F8 50 8B 45 FC 8B 10 FF 52 0C 8B C8 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1D 8B 45 FC 8B 10 FF 52 0C 50 8D 45 F8 50 8B 4D EC 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 0B 8B 55 E8 8B 45 08 E8 ?? ?? ?? ?? 46 4B 75 84 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 23 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 50 8B 45 08 50 8B 4D EC 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 46 4B 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 00 49 F8 EE CA 8F A8 4D 4D 89 80 39 50 42 DD 56 FA }
	condition:
		$1
}

rule function_54749_0 {
	meta:
		name = "TBindingGraph.DoScanTopology"
		size = 238
		refs = "0023 TBindingGraph.IsTopologicMarked 0038 TBindingGraph.MarkTopologic 0045 TBindingGraph.DoScanTopology 005b TBindingGraph.GetDependentExprs 0066 TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 0081 TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 009b TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 00c2 @HandleFinally 00d9 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 0C 85 F6 0F 84 CA 00 00 00 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 B6 00 00 00 57 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1A 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 8B 45 08 50 8D 4F 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_54750_0 {
	meta:
		name = "TBindingGraph.DoScanTopology"
		size = 456
		refs = "0020 TPair<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 0025 @InitializeRecord 002e TBindingOutput.TLocationRec 003b TBindingGraph.DoScanTopology 0052 TBindingGraph.IsTopologicMarked 0066 TBindingGraph.MarkTopologic 0071 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.GetEnumerator 0092 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TPairEnumerator.GetCurrent 00a0 @FinalizeRecord 00ad TBindingOutput.GetLocationRec 00c1 @IntfClear 00d0 Supports 00dc _Dn_TBindingSearch 00e1 TBindingSearch.PrepareWrappersForEvaluation 00f1 @IntfCast 0125 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.TPairEnumerator.MoveNext 0150 @HandleFinally 0183 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 4D D0 8B F2 8B F8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 09 01 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 85 F8 00 00 00 8B 4D D0 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 46 0C 8B 40 08 E8 ?? ?? ?? ?? 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 96 00 00 00 8D 55 E8 8B 45 C8 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 46 0C 8B 55 E8 E8 ?? ?? ?? ?? 8B D8 84 DB 74 6A 80 7D D8 00 74 28 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 55 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 89 45 CC 8D 55 F4 8B 45 FC 8B 08 FF 51 10 8B 45 D0 40 50 8B 45 08 50 8B 4D F4 8B 55 CC 8B C7 E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 84 C0 0F 85 5A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D C8 00 74 0A B2 01 8B 45 C8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 5F 5E 5B 8B E5 5D C2 04 00 3C 17 DE 59 4A 95 BA 4D BA C1 5D 1B 95 51 B8 5A 18 0F DD D4 76 40 9B 4A B8 7A F9 BA 1B C6 9E 26 }
	condition:
		$1
}

rule function_54751_0 {
	meta:
		name = "TBindingGraph.GetDependentExprs"
		size = 72
		refs = "0017 _DV_TList<System.Bindings.Expression.TBindingExpression> 001c TList<System.Bindings.Expression.TBindingExpression>.Create 0028 TBindingManagerFactory.FAppManager 0039 TBindingGraph.DoGetDependentExprs"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F0 8B 5D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 DB 75 08 8B 1D ?? ?? ?? ?? 8B 1B 53 57 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_54752_0 {
	meta:
		name = "TBindingGraph.GetDependentExprsWrappers"
		size = 308
		refs = "0018 TBindingGraph.GetDependentExprsWrappers 003a _DV_TObjectDictionary<System.Bindings.Expression.TBindingExpression,System.Generics.Collections.TDictionary<System.IInterface,System.Pointer>> 003f TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Create 0051 TBindingGraph.GetDependentExprs 005c TList<System.Bindings.Expression.TBindingExpression>.GetEnumerator 0077 TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.GetCurrent 0081 @IntfClear 008f Supports 00a7 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.Graph.TDictionary<System.IInterface,System.Pointer>>.Add 00af TList<System.Bindings.Expression.TBindingExpression>.TEnumerator.MoveNext 00d6 @HandleFinally 00ed TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 38 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 FC 8B 10 FF 52 0C 8B C8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 00 00 49 F8 EE CA 8F A8 4D 4D 89 80 39 50 42 DD 56 FA }
	condition:
		$1
}

rule function_54753_0 {
	meta:
		name = "TBindingGraph.GetIterationMark"
		size = 101
		refs = "001b TBindingGraph.FObjects 0020 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.ContainsKey 0030 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetItem 0037 TDictionary<System.string,System.Int64>.ContainsKey 004e TDictionary<System.string,System.Int64>.GetItem"
	strings:
		$1 = { 53 56 83 C4 F8 8B F1 8B DA C7 04 24 00 00 00 00 C7 44 24 04 00 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 31 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 84 C0 74 1A 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_54754_0 {
	meta:
		name = "TBindingGraph.GetIterationMark"
		size = 67
		refs = "0018 TBindingGraph.FExpressions 001d TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.ContainsKey 002d TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.GetItem"
	strings:
		$1 = { 53 83 C4 F8 8B DA C7 04 24 00 00 00 00 C7 44 24 04 00 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_54755_0 {
	meta:
		name = "TBindingGraph.GetTopologicLevel"
		size = 45
		refs = "000d TBindingGraph.FExpressionsTopology 0012 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.ContainsKey 0022 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.GetItem"
	strings:
		$1 = { 53 56 8B DA 33 F6 85 DB 74 1E 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_54756_0 {
	meta:
		name = "TBindingGraph.GetTopologicLevel"
		size = 73
		refs = "0010 TBindingGraph.FObjectsTopology 0015 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.ContainsKey 0025 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.GetItem 0030 TDictionary<System.string,System.Integer>.ContainsKey 003d TDictionary<System.string,System.Integer>.GetItem"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 33 F6 85 DB 74 36 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 26 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54757_0 {
	meta:
		name = "TBindingGraph.IsTopologicMarked"
		size = 29
		refs = "0010 TBindingGraph.GetTopologicLevel"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54758_0 {
	meta:
		name = "TBindingGraph.IncIteration"
		size = 23
		refs = "0007 TBindingGraph.FIteration"
	strings:
		$1 = { 8B CA 8B C1 99 01 05 ?? ?? ?? ?? 11 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54759_0 {
	meta:
		name = "TBindingGraph.IsWaiting"
		size = 31
		refs = "000a TBindingGraph.FExpressionsWaitQueue 000f TList<System.Bindings.Expression.TBindingExpression>.Contains"
	strings:
		$1 = { 53 8B DA 85 DB 74 10 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_54760_0 {
	meta:
		name = "TBindingGraph.IsWaitQueueEmpty"
		size = 13
		refs = "0001 TBindingGraph.FExpressionsWaitQueue"
	strings:
		$1 = { A1 ?? ?? ?? ?? 83 78 08 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_54761_0 {
	meta:
		name = "TBindingGraph.IsInput"
		size = 160
		refs = "0011 TBindingGraph.IsInput 0023 @IntfClear 0032 Supports 0047 _Dn_TBindingSearch 004c TBindingSearch.DepthSearchProperty 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 37 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 84 C0 74 1C 8B 45 FC 50 8D 45 F8 50 8B CE 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C2 04 00 00 00 00 5E 80 57 B7 B1 E2 3D 47 A2 01 99 BF 6E 11 34 FF }
	condition:
		$1
}

rule function_54762_0 {
	meta:
		name = "TBindingGraph.IsIterationMarked"
		size = 95
		refs = "0010 TBindingGraph.FObjects 0015 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.ContainsKey 0025 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetItem 0030 TDictionary<System.string,System.Int64>.ContainsKey 003d TDictionary<System.string,System.Int64>.GetItem 0043 TBindingGraph.FIteration"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 33 DB 85 F6 74 4C 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3C 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 8B D7 8B C3 E8 ?? ?? ?? ?? 3B 15 ?? ?? ?? ?? 75 06 3B 05 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 8B D8 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54763_0 {
	meta:
		name = "TBindingGraph.IsIterationMarked"
		size = 55
		refs = "0006 TBindingGraph.FExpressions 000b TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.ContainsKey 001b TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.GetItem 0021 TBindingGraph.FIteration"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 15 ?? ?? ?? ?? 75 06 3B 05 ?? ?? ?? ?? 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_54764_0 {
	meta:
		name = "TBindingGraph.IsOutput"
		size = 123
		refs = "0015 TBindingGraph.IsOutput 002f TPair<System.TObject,System.string>.Create 003d TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.ContainsValue 005f TPair<System.TObject,System.string> 0064 @FinalizeRecord 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 22 85 F6 74 1E 8B CF 8B D3 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 F8 8B 46 0C 8B 40 08 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_54766_0 {
	meta:
		name = "TBindingGraph.MarkIteration"
		size = 53
		refs = "0005 TBindingGraph.FIteration 0012 TBindingGraph.FExpressions 0017 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.AddOrSetValue 001e TBindingGraph.FOnExprMarked"
	strings:
		$1 = { 53 8B DA FF 35 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 3D ?? ?? ?? ?? 00 74 0E 8B D3 8B 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_54767_0 {
	meta:
		name = "TBindingGraph.MarkTopologic"
		size = 56
		refs = "0009 TBindingGraph.FExpressionsTopology 000e TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.ContainsKey 0020 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Add 0031 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.SetItem"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B CE 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B CE 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54768_0 {
	meta:
		name = "TBindingGraph.EnqueueWait"
		size = 51
		refs = "000d TBindingGraph.FExpressionsWaitQueue 0012 TList<System.Bindings.Expression.TBindingExpression>.Contains 002c TList<System.Bindings.Expression.TBindingExpression>.Add"
	strings:
		$1 = { 53 56 8B F2 8B DE 85 DB 74 10 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 75 0C 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_54769_0 {
	meta:
		name = "TBindingGraph.ScanTopology"
		size = 16
		refs = "000b TBindingGraph.DoScanTopology"
	strings:
		$1 = { 85 D2 74 0B 51 B9 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_54770_0 {
	meta:
		name = "TBindingGraph.ScanTopology"
		size = 24
		refs = "000f TBindingGraph.DoScanTopology"
	strings:
		$1 = { 55 8B EC 53 85 D2 74 0B 6A 01 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_54771_0 {
	meta:
		name = "TBindingGraph.MarkIteration"
		size = 120
		refs = "000a TBindingGraph.FObjects 000f TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.ContainsKey 001f TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.GetItem 002c _DV_TDictionary<System.string,System.Int64> 0031 TDictionary<System.string,System.Int64>.Create 0041 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Add 0047 TBindingGraph.FIteration 0056 TDictionary<System.string,System.Int64>.AddOrSetValue 005d TBindingGraph.FOnObjPropMarked"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 1E 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B CE 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 66 83 3D ?? ?? ?? ?? 00 74 10 8B CF 8B D3 8B 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54864_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.GetItem"
		size = 88
		refs = "000e TDictionary<System.string,System.Int64>.Hash 0019 TDictionary<System.string,System.Int64>.GetBucketIndex 0023 SGenericItemNotFound 002a _Dn_EListError 002f Exception.CreateRes 0034 @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 C0 8B 53 04 8B 4C C2 08 89 0C 24 8B 4C C2 0C 89 4C 24 04 8B 04 24 8B 54 24 04 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_55011_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.GetItem"
		size = 88
		refs = "000e TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Hash 0019 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.GetBucketIndex 0023 SGenericItemNotFound 002a _Dn_EListError 002f Exception.CreateRes 0034 @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 C0 8B 53 04 8B 4C C2 08 89 0C 24 8B 4C C2 0C 89 4C 24 04 8B 04 24 8B 54 24 04 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_54867_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.DoAdd"
		size = 89
		refs = "001f @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B D8 8B FE 03 FF 8B 43 04 89 14 F8 8B 43 04 8D 44 F8 04 8B 55 10 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 89 54 F8 08 8B 55 0C 89 54 F8 0C FF 43 08 33 C9 8B 55 10 8B C3 8B 30 FF 56 08 FF 75 0C FF 75 08 33 D2 8B C3 8B 08 FF 51 0C 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_54869_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.DoRemove"
		size = 290
		refs = "0014 TDictionary<System.string,System.Int64>.GetBucketIndex 0057 @DynArrayLength 008b InCircularRange 00a9 TDictionary<System.string,System.Int64>.TItem 00ae @CopyRecord 00da @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 13 C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 E9 E2 00 00 00 8B C6 03 C0 8B 53 04 C7 04 C2 FF FF FF FF 8B 53 04 8B 4C C2 08 89 4D F0 8B 4C C2 0C 89 4D F4 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8B C6 03 C0 8B 53 04 8B 04 C2 89 45 EC 83 7D EC FF 74 50 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 EC 89 45 E8 8B CE 8B 55 E8 8B C7 E8 ?? ?? ?? ?? 84 C0 75 BF 8B C7 03 C0 8B 53 04 8D 04 C2 8B D6 03 D2 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8B C7 03 C0 8B 53 04 C7 04 C2 FF FF FF FF EB 8E 8B F7 03 F6 8B 43 04 C7 04 F0 FF FF FF FF 8B 43 04 8D 44 F0 04 E8 ?? ?? ?? ?? 8B 43 04 C7 44 F0 08 00 00 00 00 C7 44 F0 0C 00 00 00 00 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 FF 75 F4 FF 75 F0 0F B6 55 08 8B C3 8B 08 FF 51 0C 8B 45 F0 8B 55 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_54881_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.ExtractPair"
		size = 80
		refs = "000f TDictionary<System.string,System.Int64>.Hash 001c TDictionary<System.string,System.Int64>.GetBucketIndex 002d TPair<System.string,System.Int64>.Create 003c TDictionary<System.string,System.Int64>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0F 6A 00 6A 00 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 52 50 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55028_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.ExtractPair"
		size = 80
		refs = "000f TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Hash 001c TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.GetBucketIndex 002d TPair<System.Bindings.Expression.TBindingExpression,System.Int64>.Create 003c TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0F 6A 00 6A 00 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 52 50 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_54884_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.TryGetValue"
		size = 84
		refs = "000f TDictionary<System.string,System.Int64>.Hash 001a TDictionary<System.string,System.Int64>.GetBucketIndex"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 17 03 C0 8B 4B 04 8B 1C 24 8B 74 C1 08 89 33 8B 74 C1 0C 89 73 04 EB 10 8B 04 24 C7 00 00 00 00 00 C7 40 04 00 00 00 00 8B C2 5A 5E 5B C3 }
	condition:
		$1
}

rule function_55031_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TryGetValue"
		size = 84
		refs = "000f TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Hash 001a TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.GetBucketIndex"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 17 03 C0 8B 4B 04 8B 1C 24 8B 74 C1 08 89 33 8B 74 C1 0C 89 73 04 EB 10 8B 04 24 C7 00 00 00 00 00 C7 40 04 00 00 00 00 8B C2 5A 5E 5B C3 }
	condition:
		$1
}

rule function_54906_0 {
	meta:
		name = "TEnumerable<System.Int64>.ToArrayImpl"
		size = 153
		refs = "001a TArray<System.Int64> 001f @DynArraySetLength 002b TEnumerable<System.Int64>.GetEnumerator 0036 TEnumerable<System.Int64>.ToArrayImpl 0066 TEnumerator<System.Int64>.MoveNext 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 20 8B 45 EC 8B 10 FF 12 89 45 F0 89 55 F4 8B 45 FC 8B 00 8B 55 F0 89 14 D8 8B 55 F4 89 54 D8 04 43 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54908_0 {
	meta:
		name = "TEnumerable<System.Int64>.ToArray"
		size = 188
		refs = "000f _DV_TList<System.Int64> 0014 TList<System.Int64>.Create 001f TEnumerable<System.Int64>.ToArray 002c TEnumerable<System.Int64>.GetEnumerator 005a TList<System.Int64>.Add 0062 TEnumerator<System.Int64>.MoveNext 0089 @HandleFinally 00ab TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8B 45 EC 8B 10 FF 12 89 45 F0 89 55 F4 FF 75 F4 FF 75 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_54915_0 {
	meta:
		name = "TDictionary<T>.TValueEnumerator.GetCurrent"
		size = 39
	strings:
		$1 = { 83 C4 F8 8B 50 08 03 D2 8B 40 04 8B 40 04 8B 4C D0 08 89 0C 24 8B 4C D0 0C 89 4C 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_54916_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.TValueEnumerator.DoGetCurrent"
		size = 25
		refs = "0004 TDictionary<System.string,System.Int64>.TValueEnumerator.GetCurrent"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_55055_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TValueEnumerator.DoGetCurrent"
		size = 25
		refs = "0004 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TValueEnumerator.GetCurrent"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_55700_0 {
	meta:
		name = "TList<System.Int64>.TEnumerator.DoGetCurrent"
		size = 25
		refs = "0004 TList<System.Int64>.TEnumerator.GetCurrent"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_55001_0 {
	meta:
		name = "TPair<System.Bindings.Expression.TBindingExpression,System.Int64>.Create"
		size = 21
	strings:
		$1 = { 55 8B EC 89 10 8B 55 08 89 50 08 8B 55 0C 89 50 0C 5D C2 08 00 }
	condition:
		$1
}

rule function_55013_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.RehashAdd"
		size = 79
		refs = "0019 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.GetBucketIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? F7 D0 8B D0 03 D2 8B 4B 04 8B 75 FC 89 34 D1 8B 4B 04 8B 75 F8 89 74 D1 04 8B 43 04 8B 4D 08 89 4C D0 08 8B 4D 0C 89 4C D0 0C 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_55014_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.DoAdd"
		size = 89
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B D8 8B 75 10 8B C1 03 C0 8B 53 04 8B 7D FC 89 3C C2 8B 53 04 89 74 C2 04 8B 53 04 8B 4D 08 89 4C C2 08 8B 4D 0C 89 4C C2 0C FF 43 08 33 C9 8B D6 8B C3 8B 30 FF 56 08 FF 75 0C FF 75 08 33 D2 8B C3 8B 08 FF 51 0C 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_55016_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.DoRemove"
		size = 286
		refs = "0014 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.GetBucketIndex 0057 @DynArrayLength 008b InCircularRange"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 13 C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 E9 DE 00 00 00 8B C6 03 C0 8B 53 04 C7 04 C2 FF FF FF FF 8B 53 04 8B 4C C2 08 89 4D F0 8B 4C C2 0C 89 4D F4 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8B C6 03 C0 8B 53 04 8B 04 C2 89 45 EC 83 7D EC FF 74 4F 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 EC 89 45 E8 8B CE 8B 55 E8 8B C7 E8 ?? ?? ?? ?? 84 C0 75 BF 8B C6 03 C0 8B 53 04 8D 04 C2 50 8B C7 03 C0 8B 53 04 59 56 8B F1 8D 3C C2 A5 A5 A5 A5 5E 8B FE 8B C7 03 C0 8B 53 04 C7 04 C2 FF FF FF FF EB 8F 8B C7 03 C0 8B 53 04 C7 04 C2 FF FF FF FF 8B 53 04 33 C9 89 4C C2 04 8B 53 04 C7 44 C2 08 00 00 00 00 C7 44 C2 0C 00 00 00 00 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 FF 75 F4 FF 75 F0 0F B6 55 08 8B C3 8B 08 FF 51 0C 8B 45 F0 8B 55 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_55023_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Create"
		size = 178
		refs = "0010 @ClassCreate 0029 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Create 0030 TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetEnumerator 005c TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.AddOrSetValue 0064 TEnumerator<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.MoveNext 008b @HandleFinally 009b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 E0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 19 8B D6 8B 45 F4 8B 08 FF 11 FF 76 0C FF 76 08 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57648_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Create"
		size = 178
		refs = "0010 @ClassCreate 0029 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Create 0030 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetEnumerator 005c TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.AddOrSetValue 0064 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.MoveNext 008b @HandleFinally 009b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 E0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 19 8B D6 8B 45 F4 8B 08 FF 11 FF 76 0C FF 76 08 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60618_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Create"
		size = 178
		refs = "0010 @ClassCreate 0029 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Create 0030 TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetEnumerator 005c TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.AddOrSetValue 0064 TEnumerator<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.MoveNext 008b @HandleFinally 009b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 E0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 19 8B D6 8B 45 F4 8B 08 FF 11 FF 76 0C FF 76 08 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55024_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Create"
		size = 182
		refs = "0010 @ClassCreate 002b TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Create 0032 TEnumerable<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetEnumerator 005e TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.AddOrSetValue 0066 TEnumerator<System.Bindings.Graph.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.MoveNext 008d @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 E0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 19 8B D6 8B 45 F4 8B 08 FF 11 FF 76 0C FF 76 08 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_57649_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Create"
		size = 182
		refs = "0010 @ClassCreate 002b TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Create 0032 TEnumerable<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetEnumerator 005e TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.AddOrSetValue 0066 TEnumerator<System.Bindings.ManagerDefaults.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.MoveNext 008d @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 E0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 19 8B D6 8B 45 F4 8B 08 FF 11 FF 76 0C FF 76 08 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_60619_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Create"
		size = 182
		refs = "0010 @ClassCreate 002b TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Create 0032 TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.GetEnumerator 005e TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.AddOrSetValue 0066 TEnumerator<System.Bindings.Outputs.TPair<System.Bindings.Expression.TBindingExpression,System.Int64>>.MoveNext 008d @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 E0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 19 8B D6 8B 45 F4 8B 08 FF 11 FF 76 0C FF 76 08 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_55044_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TKeyEnumerator.GetCurrent"
		size = 16
	strings:
		$1 = { 8B 50 08 03 D2 8B 40 04 8B 40 04 8B 44 D0 04 C3 }
	condition:
		$1
}

rule function_55059_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.TPairEnumerator.GetCurrent"
		size = 45
	strings:
		$1 = { 53 8B 48 08 03 C9 8B 58 04 8B 5B 04 8B 4C CB 04 89 0A 8B 48 08 03 C9 8B 40 04 8B 40 04 8B 5C C8 08 89 5A 08 8B 5C C8 0C 89 5A 0C 5B C3 }
	condition:
		$1
}

rule function_55660_0 {
	meta:
		name = "TList<System.Int64>.GetItem"
		size = 62
		refs = "000e SArgumentOutOfRange 0015 _Dn_EArgumentOutOfRangeException 001a Exception.CreateRes 001f @RaiseExcept"
	strings:
		$1 = { 83 C4 F8 85 D2 7C 05 3B 50 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 04 8B 0C D0 89 0C 24 8B 4C D0 04 89 4C 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_55664_0 {
	meta:
		name = "TList<System.Int64>.DoDelete"
		size = 159
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 006f Move 0084 @FillChar"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D9 8B F0 85 D2 7C 05 3B 56 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 04 8B 0C D0 89 0C 24 8B 4C D0 04 89 4C 24 04 8B 46 04 C7 04 D0 00 00 00 00 C7 44 D0 04 00 00 00 00 FF 4E 08 8B 46 08 3B D0 74 31 2B C2 8B C8 03 C9 03 C9 03 C9 8B 46 04 8D 44 D0 08 8B 7E 04 8D 14 D7 E8 ?? ?? ?? ?? 8B 46 04 8B 56 08 8D 04 D0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8B D3 8B C6 8B 08 FF 51 08 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55676_0 {
	meta:
		name = "TList<System.Int64>.InsertRange"
		size = 247
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Int64>.GrowCheck 0079 Move 0091 @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 41 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 D1 52 8B 55 FC 8B 52 04 8D 14 DA 2B C3 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 D8 8B D7 03 D2 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 28 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C CF 8B 08 89 0F 8B 48 04 89 4F 04 42 83 C0 08 FF 4D F4 75 E1 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1E 40 89 45 F4 8B 5D F8 FF 73 04 FF 33 33 D2 8B 45 FC 8B 08 FF 51 08 83 C3 08 FF 4D F4 75 E9 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_55677_0 {
	meta:
		name = "TList<System.Int64>.InsertRange"
		size = 132
		refs = "0018 TList<System.Int64>.InsertRange 0047 TList<System.Int64>.Insert 005c @IntfClear 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 1E 8B 45 FC 8B 10 FF 52 18 89 45 F0 89 55 F4 FF 75 F4 FF 75 F0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 D6 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55678_0 {
	meta:
		name = "TList<System.Int64>.InsertRange"
		size = 122
		refs = "000f TEnumerable<System.Int64>.GetEnumerator 001a TList<System.Int64>.InsertRange 003e TList<System.Int64>.Insert 0047 TEnumerator<System.Int64>.MoveNext 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8B 45 F4 8B 10 FF 12 89 45 F8 89 55 FC FF 75 FC FF 75 F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_55682_0 {
	meta:
		name = "TList<System.Int64>.Extract"
		size = 82
		refs = "0012 TList<System.Int64>.IndexOf 0041 TList<System.Int64>.DoDelete"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 10 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 EB 1B 8B 53 04 8B 0C C2 89 4D F8 8B 4C C2 04 89 4D FC B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_55683_0 {
	meta:
		name = "TList<System.Int64>.Exchange"
		size = 66
	strings:
		$1 = { 53 56 57 83 C4 F8 8B 58 04 8B 34 D3 89 34 24 8B 74 D3 04 89 74 24 04 8B 58 04 8B 70 04 8B 3C CB 89 3C D6 8B 7C CB 04 89 7C D6 04 8B 40 04 8B 14 24 89 14 C8 8B 54 24 04 89 54 C8 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55684_0 {
	meta:
		name = "TList<System.Int64>.Move"
		size = 192
		refs = "001d SArgumentOutOfRange 0024 _Dn_EArgumentOutOfRangeException 0029 Exception.CreateRes 002e @RaiseExcept 0075 Move 00a5 @FillChar"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F1 8B D8 3B F2 0F 84 A8 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 0C D0 89 0C 24 8B 4C D0 04 89 4C 24 04 8B 43 04 C7 04 D0 00 00 00 00 C7 44 D0 04 00 00 00 00 3B F2 7E 22 8B 43 04 8D 44 D0 08 8B 4B 04 8D 0C D1 8B FE 2B FA 8B D7 03 D2 03 D2 03 D2 87 CA E8 ?? ?? ?? ?? EB 1C 2B D6 8B CA 03 C9 03 C9 03 C9 8B 43 04 8D 04 F0 8B 53 04 8D 54 F2 08 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F0 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 14 24 89 14 F0 8B 54 24 04 89 54 F0 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55685_0 {
	meta:
		name = "TList<System.Int64>.First"
		size = 27
		refs = "0006 TList<System.Int64>.GetItem"
	strings:
		$1 = { 83 C4 F8 33 D2 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_55686_0 {
	meta:
		name = "TList<System.Int64>.Last"
		size = 29
		refs = "0008 TList<System.Int64>.GetItem"
	strings:
		$1 = { 83 C4 F8 8B 50 08 4A E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_55691_0 {
	meta:
		name = "TList<System.Int64>.Reverse"
		size = 82
	strings:
		$1 = { 53 56 57 83 C4 F8 33 D2 8B 48 08 49 3B CA 7E 3C 8B 58 04 8B 34 D3 89 34 24 8B 74 D3 04 89 74 24 04 8B 58 04 8B 70 04 8B 3C CB 89 3C D6 8B 7C CB 04 89 7C D6 04 8B 58 04 8B 34 24 89 34 CB 8B 74 24 04 89 74 CB 04 42 49 3B CA 7F C4 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55697_0 {
	meta:
		name = "TList<System.Int64>.ToArray"
		size = 77
		refs = "0018 TArray<System.Int64> 001d @DynArraySetLength 0034 TList<System.Int64>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 1C 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 0C 24 8B 09 89 04 D9 89 54 D9 04 43 4F 75 E7 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_55699_0 {
	meta:
		name = "TList<System.Int64>.TEnumerator.GetCurrent"
		size = 31
		refs = "000a TList<System.Int64>.GetItem"
	strings:
		$1 = { 83 C4 F8 8B 50 08 8B 40 04 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_56653_0 {
	meta:
		name = "TBindings.CreateExpression"
		size = 51
		refs = "0017 TBindingEventRec.Create 0026 TBindings.CreateExpression"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_56654_0 {
	meta:
		name = "TBindings.CreateExpression"
		size = 181
		refs = "0021 _Dn_TBindingExpressionDefault 0026 TBindingExpressionDefault.Create 0031 TBindings.CreateExpression 0050 TBindingExpression.SetEvalErrorEvent 005e TBindingExpression.SetAssigningValueEvent 006c TBindingExpression.SetAssignedValueEvent 0078 TBindingExpression.Compile 0087 @HandleOnException 008f _Dn_Exception 009b TObject.Free 00a0 @RaiseAgain 00a5 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 75 08 8D 7D E0 51 B9 06 00 00 00 F3 A5 59 8B F1 8B DA 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 0C 8B 45 FC 8B 08 FF 51 08 FF 75 E4 FF 75 E0 8B 45 FC E8 ?? ?? ?? ?? FF 75 EC FF 75 E8 8B 45 FC E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B CE 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_56655_0 {
	meta:
		name = "TBindings.CreateManagedBinding"
		size = 76
		refs = "0027 TBindingEventRec.Create 003f TBindings.CreateManagedBinding"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B F2 8B D8 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 0C 50 0F B6 45 08 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule function_56656_0 {
	meta:
		name = "TBindings.CreateManagedBinding"
		size = 508
		refs = "003c TBindings.CreateManagedBinding 004d TBindingManagerFactory.FAppManager 0060 @UStrLAsg 006a TBindingManager.Add 0073 TBindingManager.GetExpressions 00a2 TBindingExpression.SetEvalErrorEvent 00b0 TBindingExpression.SetAssigningValueEvent 00be TBindingExpression.SetAssignedValueEvent 00cc TBindingExpression.Compile 00d4 @IntfClear 00e3 @IntfCopy 0104 _Dn_TNestedScope 0109 TNestedScope.Create 012d sNoOutputScopes 0132 LoadResString 013c _DV_EBindHelperException 0141 Exception.Create 0146 @RaiseExcept 0157 TBindingOutput.Add 0188 @HandleOnException 0190 _Dn_Exception 01a2 TBindings.RemoveBinding 01a7 @RaiseAgain 01ac @DoneExcept 01c9 @UStrClr 01da IScope 01e4 @FinalizeArray 01ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 89 5D C4 89 5D FC 89 5D F8 89 5D F4 8B 75 10 8D 7D C8 51 B9 06 00 00 00 F3 A5 59 89 4D E8 89 55 EC 89 45 F0 8B 7D 1C 8B 75 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 0C 00 75 0A A1 ?? ?? ?? ?? 8B 00 89 45 0C 8B 5D 0C 8D 45 F4 8B 55 24 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 F6 45 08 01 0F 95 C0 8B 55 E4 8B 52 0C 88 42 38 FF 75 CC FF 75 C8 8B 45 E4 E8 ?? ?? ?? ?? FF 75 D4 FF 75 D0 8B 45 E4 E8 ?? ?? ?? ?? FF 75 DC FF 75 D8 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 EC 8B 4D E8 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 33 DB EB 43 8D 45 F8 8B 14 9E E8 ?? ?? ?? ?? 83 7D FC 00 75 0D 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? EB 24 8B 45 F8 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8D 45 FC E8 ?? ?? ?? ?? 43 3B DF 7E B9 83 7D FC 00 75 21 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 8B 40 0C 8B 4D 18 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E4 8B 40 0C 83 C0 30 8B 55 14 E8 ?? ?? ?? ?? F6 45 08 02 74 0B 8D 55 C0 8B 45 E4 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 4D 0C 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 8B 45 E4 5F 5E 5B 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule function_56657_0 {
	meta:
		name = "TBindings.CreateUnmanagedBinding"
		size = 72
		refs = "0027 TBindingEventRec.Create 003b TBindings.CreateUnmanagedBinding"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B F2 8B D8 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 50 0F B6 45 08 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_56658_0 {
	meta:
		name = "TBindings.CreateUnmanagedBinding"
		size = 462
		refs = "0035 TBindings.CreateUnmanagedBinding 0044 _Dn_TBindingExpressionDefault 0049 TBindingExpressionDefault.Create 0083 TBindingExpression.SetEvalErrorEvent 0091 TBindingExpression.SetAssigningValueEvent 009f TBindingExpression.SetAssignedValueEvent 00ac TBindingExpression.Compile 00b4 @IntfClear 00c3 @IntfCopy 00e4 _Dn_TNestedScope 00e9 TNestedScope.Create 010d sNoOutputScopes 0112 LoadResString 011c _DV_EBindHelperException 0121 Exception.Create 0126 @RaiseExcept 0137 TBindingOutput.Add 0168 @HandleOnException 0170 _Dn_Exception 017c TObject.Free 0181 @RaiseAgain 0186 @DoneExcept 01a3 @UStrClr 01ac IScope 01b6 @FinalizeArray 01bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D FC 89 5D F8 8B 75 0C 8D 7D D8 51 B9 06 00 00 00 F3 A5 59 89 4D F4 8B DA 8B 7D 18 8B 75 1C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 F6 45 08 01 0F 95 C0 8B 55 F0 8B 52 0C 88 42 38 8B 55 20 8B 45 F0 8B 08 FF 51 08 FF 75 DC FF 75 D8 8B 45 F0 E8 ?? ?? ?? ?? FF 75 E4 FF 75 E0 8B 45 F0 E8 ?? ?? ?? ?? FF 75 EC FF 75 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B D3 8B 4D F4 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 33 DB EB 43 8D 45 F8 8B 14 9E E8 ?? ?? ?? ?? 83 7D FC 00 75 0D 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? EB 24 8B 45 F8 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8D 45 FC E8 ?? ?? ?? ?? 43 3B DF 7E B9 83 7D FC 00 75 21 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C 8B 4D 14 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C 83 C0 30 8B 55 10 E8 ?? ?? ?? ?? F6 45 08 02 74 0B 8D 55 D0 8B 45 F0 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B 45 F0 5F 5E 5B 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule function_56659_0 {
	meta:
		name = "TBindings.RemoveBinding"
		size = 68
		refs = "000f TList<System.Bindings.Expression.TBindingExpression>.Remove 0019 _Dn_TBindingExpressionDefault 001e @IsClass 003e TObject.Free"
	strings:
		$1 = { 53 8B DA 85 C9 74 0E 8B C1 8B D3 8B 40 08 E8 ?? ?? ?? ?? 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8B C3 8B 50 44 85 D2 74 0E 8B C2 8B D3 8B 40 08 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_56660_0 {
	meta:
		name = "TBindings.CreateMethodScope"
		size = 102
		refs = "000e @IntfAddRef 0016 TBindings.CreateMethodScope 0029 _Dn_TPairScope 002e TPairScope.Create 003f @IntfCopy 0054 @IntfClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_56661_0 {
	meta:
		name = "TBindings.CreateAssociationScope"
		size = 209
		refs = "002f TBindingAssociation 0034 @AddRefArray 003c TBindings.CreateAssociationScope 0049 _Dn_TDictionaryScope 004e TDictionaryScope.Create 0061 @IntfCopy 007c WrapObject 0089 TDictionary<System.string,System.IInterface>.Add 00a4 @IntfClear 00b6 @FinalizeArray 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 03 DB 43 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 4D F8 89 55 FC 8B 4D F8 41 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 08 8B D7 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 8B 75 F8 46 4E 85 F6 7C 25 46 8B 5D FC 83 C3 04 8D 55 F4 8B 43 FC E8 ?? ?? ?? ?? 8B 4D F4 8B 47 0C 8B 13 E8 ?? ?? ?? ?? 83 C3 08 4E 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 4D F8 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 7D E8 8B 75 EC 8B 5D F0 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_56662_0 {
	meta:
		name = "TBindings.CreateMethodScope"
		size = 226
		refs = "0016 @DynArrayAddRef 001f TPair<System.string,System.Bindings.EvalProtocol.IInvokable> 0024 @InitializeRecord 002c TBindings.CreateMethodScope 0039 _Dn_TDictionaryScope 003e TDictionaryScope.Create 0050 @IntfCopy 005c TArray<System.Generics.Collections.TPair<System.string,System.Bindings.EvalProtocol.IInvokable>> 0061 @DynArrayAsg 0079 @CopyRecord 0087 TDictionary<System.string,System.IInterface>.Add 0090 @DynArrayLength 00a2 @DynArrayClear 00bd @FinalizeRecord 00d0 @FinalizeArray 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F8 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 8B D6 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 23 8D 45 F0 8B 55 F8 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F0 8B 46 0C E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7C D1 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_56663_0 {
	meta:
		name = "TBindings.CreateNotifier"
		size = 59
		refs = "000f TBindingManagerFactory.FAppManager 001b _Dn_TBindingNotifier 0020 TBindingNotifier.Create 0031 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 8B F2 85 DB 75 08 8B 1D ?? ?? ?? ?? 8B 1B 53 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_56664_0 {
	meta:
		name = "TBindings.Notify"
		size = 114
		refs = "0018 @UStrAddRef 0020 TBindings.Notify 0036 TBindings.CreateNotifier 0056 @IntfClear 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_56665_0 {
	meta:
		name = "TBindingEventRec.Create"
		size = 34
	strings:
		$1 = { 55 8B EC 8B 55 08 89 10 8B 55 0C 89 50 04 33 D2 89 50 10 89 50 14 33 D2 89 50 08 89 50 0C 5D C2 08 00 }
	condition:
		$1
}

rule function_56666_0 {
	meta:
		name = "TBindingEventRec.Create"
		size = 34
	strings:
		$1 = { 55 8B EC 33 D2 89 10 89 50 04 8B 55 08 89 50 08 8B 55 0C 89 50 0C 33 D2 89 50 10 89 50 14 5D C2 08 00 }
	condition:
		$1
}

rule function_56667_0 {
	meta:
		name = "TBindingEventRec.Create"
		size = 38
	strings:
		$1 = { 55 8B EC 8B 55 10 89 10 8B 55 14 89 50 04 8B 55 08 89 50 08 8B 55 0C 89 50 0C 33 D2 89 50 10 89 50 14 5D C2 10 00 }
	condition:
		$1
}

rule function_56668_0 {
	meta:
		name = "Point3D"
		size = 42
		altNames = "TBindingEventRec.Create"
	strings:
		$1 = { 55 8B EC 8B 55 18 89 10 8B 55 1C 89 50 04 8B 55 10 89 50 08 8B 55 14 89 50 0C 8B 55 08 89 50 10 8B 55 0C 89 50 14 5D C2 18 00 }
	condition:
		$1
}

rule function_56669_0 {
	meta:
		name = "TBindingEventRec.Create"
		size = 24
	strings:
		$1 = { 33 D2 89 10 89 50 04 33 D2 89 50 08 89 50 0C 33 D2 89 50 10 89 50 14 C3 }
	condition:
		$1
}

rule function_57004_0 {
	meta:
		name = "TBindingManager.Add"
		size = 44
		refs = "000a _Dn_TBindingExpressionFactory 000f TBindingExpressionFactory.CreateExpression 0024 TList<System.Bindings.Expression.TBindingExpression>.Add"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D7 8B C6 8B 08 FF 51 08 8B D6 8B 43 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57005_0 {
	meta:
		name = "TBindingManager.AddExpr"
		size = 27
		refs = "000b TBindingManager.Add 0014 TBindingManager.GetExpressions"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70049_0 {
	meta:
		name = "GetDynArrayProp"
		size = 27
		refs = "000b FindPropInfo 0014 GetDynArrayProp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69937_0 {
	meta:
		name = "GetOrdProp"
		size = 27
		refs = "000b FindPropInfo 0014 GetOrdProp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69936_0 {
	meta:
		name = "IsStoredProp"
		size = 27
		refs = "000b FindPropInfo 0014 IsStoredProp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_57007_0 {
	meta:
		name = "TBindingManager.Create"
		size = 125
		refs = "000b @ClassCreate 001a TObject.Create 0023 TBindingManagerFactory.FAppManager 003e TList<System.Bindings.Manager.TBindingManager>.Add 0045 _DV_TList<System.Bindings.Manager.TBindingManager> 004a TList<System.Bindings.Manager.TBindingManager>.Create 0056 _DV_TObjectList<System.Bindings.Expression.TBindingExpression> 005b TObjectList<System.Bindings.Expression.TBindingExpression>.Create 0069 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 75 12 A1 ?? ?? ?? ?? 83 38 00 74 08 8B 35 ?? ?? ?? ?? 8B 36 85 F6 74 0A 8B D7 8B 46 04 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57009_0 {
	meta:
		name = "TBindingManager.Destroy"
		size = 191
		refs = "0008 @BeforeDestruction 0023 TList<System.Bindings.Manager.TBindingManager>.Remove 002e TList<System.Bindings.Manager.TBindingManager>.GetEnumerator 0039 TBindingManager.Destroy 0049 TList<System.Bindings.Manager.TBindingManager>.TEnumerator.GetCurrent 0052 TObject.Free 005a TList<System.Bindings.Manager.TBindingManager>.TEnumerator.MoveNext 0081 @HandleFinally 00a8 TObject.Destroy 00b6 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 40 0C 85 C0 74 0B 8B 40 04 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 11 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_57141_0 {
	meta:
		name = "TBindingManagerDefault.Create"
		size = 84
		refs = "000a @ClassCreate 0017 TBindingManager.Create 0020 _DV_TBindingManagerNotification 0025 TBindingNotification.Create 0036 @IntfCopy 0041 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 46 10 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_57143_0 {
	meta:
		name = "TBindingManagerNotification.Notification"
		size = 972
		refs = "0026 @IntfAddRef 002e TBindingManagerNotification.Notification 0070 TBindingGraph.FObjectsTopology 0077 TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Integer>>.Clear 007c TBindingGraph.FExpressionsTopology 0083 TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Clear 009f _Dn_TBindingManager 00a4 @AsClass 00ae _Dn_TBindingGraph 00b3 TBindingGraph.DoScanTopology 00b8 TBindingGraph.FObjects 00bf TDictionary<System.TObject,System.Bindings.Graph.TDictionary<System.string,System.Int64>>.Clear 00c4 TBindingGraph.FExpressions 00cb TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.Clear 00d9 TBindingGraph.FIteration 00fb TBindingGraph.MarkIteration 0113 TBindingGraph.IsIterationMarked 0179 TBindingGraph.IsWaitQueueEmpty 0182 TBindingGraph.FExpressionsWaitQueue 0189 TList<System.Bindings.Expression.TBindingExpression>.First 019b TList<System.Bindings.Expression.TBindingExpression>.Remove 01a6 @IntfClear 01b5 Supports 01d7 _Dn_TBindingSearch 01dc TBindingSearch.DepthGetWrappers 01e7 TDictionary<System.IInterface,System.Pointer>.GetKeys 01ec TDictionary<System.IInterface,System.Pointer>.TKeyCollection.GetEnumerator 020d TDictionary<System.IInterface,System.Pointer>.TKeyEnumerator.GetCurrent 0296 TDictionary<System.IInterface,System.Pointer>.TKeyEnumerator.MoveNext 02c1 @HandleFinally 02f3 TObject.Free 035e @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D F8 89 5D F4 89 5D F0 89 5D EC 8B F1 89 55 FC 89 45 E8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 0B 03 00 00 8B 45 E8 FF 40 14 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B3 01 8B 45 FC 8B 10 FF 52 14 2C 01 72 0B 0F 84 97 00 00 00 E9 C7 00 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 8B F8 85 FF 74 22 6A 01 8B 45 E8 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B CE 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? B9 01 00 00 00 8B C1 99 8B 0D ?? ?? ?? ?? 01 01 11 51 04 A1 ?? ?? ?? ?? 8B 00 8B 45 FC 8B 10 FF 52 0C 8B D0 8B CE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 35 8B 45 FC 8B 10 FF 52 0C 8B D0 8B CE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 80 F3 01 84 DB 74 16 8B 45 FC 8B 10 FF 52 0C 8B D0 8B CE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 1A 8B CE 8B 55 FC 8B 45 E8 8B 18 FF 53 04 8B CE 8B 55 FC 8B 45 E8 8B 18 FF 53 08 8B 45 FC 8B 10 FF 52 14 84 C0 0F 85 AD 01 00 00 E9 96 01 00 00 33 C0 89 45 E0 8B 35 ?? ?? ?? ?? 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1E A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D8 8B FB A1 ?? ?? ?? ?? 8B 00 8B D7 E8 ?? ?? ?? ?? 89 5D E4 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 0F 84 3E 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 DF 01 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 8C 00 00 00 8D 55 F4 8B 45 D8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 66 8D 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 EC 8B 10 FF 52 14 84 C0 75 10 8B 45 EC 8B 10 FF 52 18 84 C0 75 04 33 C0 EB 02 B0 01 88 45 DF 80 7D DF 00 74 34 8D 55 D4 8B 45 F0 8B 08 FF 51 10 8B 45 D4 50 8B 45 F0 8B 10 FF 52 0C 8B D0 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 0F 85 64 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D8 00 74 0A B2 01 8B 45 D8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 80 7D DF 00 74 15 8B 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 8B 10 FF 52 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 58 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 FF 48 14 8B 45 E8 83 78 14 00 75 18 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C3 00 00 00 55 24 FE DA B6 3D CC 40 B1 D6 1E AC 0A 29 AB EC 18 0F DD D4 76 40 9B 4A B8 7A F9 BA 1B C6 9E 26 FA D2 76 4F D9 BE 6B 47 AA 29 B6 39 9F 23 4D A1 }
	condition:
		$1
}

rule function_57144_0 {
	meta:
		name = "TBindingManagerNotification.NotifyExpressions"
		size = 1484
		refs = "002c @IntfAddRef 0034 TBindingManagerNotification.NotifyExpressions 005b _DV_TDictionary<System.IInterface,System.Pointer> 0060 TDictionary<System.IInterface,System.Pointer>.Create 0083 _Dn_TBindingSearch 0088 TBindingSearch.PermitsObjectWrapper 009e _Dn_TBindingManager 00a3 @AsClass 00b6 _Dn_TBindingGraph 00bb TBindingGraph.GetDependentExprsWrappers 00c6 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.GetEnumerator 00e7 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TPairEnumerator.GetCurrent 00f9 TDictionary<System.IInterface,System.Pointer>.Clear 0101 TDictionary<System.IInterface,System.Pointer>.GetKeys 0106 TDictionary<System.IInterface,System.Pointer>.TKeyCollection.GetEnumerator 0127 TDictionary<System.IInterface,System.Pointer>.TKeyEnumerator.GetCurrent 0148 TBindingSearch.IsObjectWrapper 0168 TBindingSearch.IsMemberWrapper 0186 TDictionary<System.IInterface,System.Pointer>.ContainsKey 0196 @IntfClear 01a5 Supports 01ef TBindingSearch.CollectGroupInstWrprs 01fc TBindingSearch.ResetWrappersArguments 0216 TDictionary<System.IInterface,System.Pointer>.TKeyEnumerator.MoveNext 0241 @HandleFinally 0344 TBindingGraph.GetTopologicLevel 0385 TBindingGraph.MarkIteration 03c2 TDictionary<System.Bindings.Expression.TBindingExpression,System.Bindings.ManagerDefaults.TDictionary<System.IInterface,System.Pointer>>.TPairEnumerator.MoveNext 0420 TBindingGraph.FExpressions 0429 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.ContainsKey 043b TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.GetItem 0441 TBindingGraph.FIteration 0461 TBindingGraph.AreAllIterationMarked 047d TBindingGraph.FExpressionsWaitQueue 0487 TList<System.Bindings.Expression.TBindingExpression>.Remove 04b0 TList<System.Bindings.Expression.TBindingExpression>.Contains 04d2 TList<System.Bindings.Expression.TBindingExpression>.Add 051c TObject.Free 0541 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 33 DB 89 5D A4 89 5D F8 89 5D F4 89 5D F0 89 5D EC 89 5D E8 89 5D E4 89 4D E0 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 D0 33 C0 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 83 7D E0 00 0F 94 45 CE 80 7D CE 00 75 1F 8B 45 FC 8B 10 FF 52 0C 8B D0 8B 4D E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 CF 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 FC 8B 10 FF 52 0C 8B D0 8B 4D E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC E8 ?? ?? ?? ?? 89 45 C4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 DE 02 00 00 8D 55 D4 8B 45 C4 E8 ?? ?? ?? ?? 80 7D CF 00 0F 84 52 01 00 00 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 F2 00 00 00 8D 55 F8 8B 45 C0 E8 ?? ?? ?? ?? 0F B6 45 CE 2C 01 72 1E 75 3C 8B 45 FC 8B 10 FF 52 0C 8B C8 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 CD EB 24 8B 45 E0 50 8B 45 FC 8B 10 FF 52 0C 8B C8 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 CD EB 04 C6 45 CD 00 80 7D CD 00 0F 84 93 00 00 00 8B 55 F8 8B 45 D0 E8 ?? ?? ?? ?? 84 C0 0F 85 80 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 4A 8D 45 E8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 10 8B 4D D0 8B 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 8B D0 8B 45 F0 8B 08 FF 51 1C 8B 45 C0 E8 ?? ?? ?? ?? 84 C0 0F 85 FE FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D C0 00 74 0A B2 01 8B 45 C0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 BC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 17 01 00 00 8D 55 F8 8B 45 BC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 ED 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 CE 00 00 00 8B 55 F8 8B 45 D0 E8 ?? ?? ?? ?? 84 C0 0F 85 BB 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 10 8B 4D D0 8B 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 84 C0 75 04 B3 01 EB 58 8B 45 F0 8B 10 FF 52 14 84 C0 75 0C 8B 45 F0 8B 10 FF 52 18 84 C0 74 38 8B 35 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 0C 8B F8 8D 55 E4 8B 45 F4 8B 08 FF 51 10 8B 4D E4 8B D7 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 95 45 B7 0F B6 45 B7 34 01 88 45 B6 EB 04 C6 45 B6 00 0F B6 5D B6 84 DB 74 24 8D 55 A4 8B 45 F4 8B 08 FF 51 10 8B 45 A4 50 8B 45 F4 8B 10 FF 52 0C 8B D0 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 84 C0 0F 85 D9 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D BC 00 74 0A B2 01 8B 45 BC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 C4 E8 ?? ?? ?? ?? 84 C0 0F 85 12 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D C4 00 74 0A B2 01 8B 45 C4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 DC E8 ?? ?? ?? ?? 89 45 B8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 C5 00 00 00 8D 55 D4 8B 45 B8 E8 ?? ?? ?? ?? 8B 75 D4 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 84 C0 74 1D A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 3B 51 04 75 02 3B 01 74 04 33 DB EB 02 B3 01 84 DB 75 7E 8B 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8B 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 89 45 B0 A1 ?? ?? ?? ?? 8B 00 8B 55 B0 E8 ?? ?? ?? ?? 80 7D CF 00 8B 45 D4 8B 10 FF 52 24 EB 3D 8B 45 D4 89 45 AC 8B 7D AC 85 FF 74 12 A1 ?? ?? ?? ?? 8B 00 8B D7 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 AB 80 7D AB 00 75 0F A1 ?? ?? ?? ?? 8B 00 8B 55 AC E8 ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 84 C0 0F 85 2B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D B8 00 74 0A B2 01 8B 45 B8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 5F 5E 5B 8B E5 5D C3 FA D2 76 4F D9 BE 6B 47 AA 29 B6 39 9F 23 4D A1 3C 17 DE 59 4A 95 BA 4D BA C1 5D 1B 95 51 B8 5A B4 5D 94 D6 FB 6E A0 47 A9 1E 97 55 22 DA B2 8A 18 0F DD D4 76 40 9B 4A B8 7A F9 BA 1B C6 9E 26 }
	condition:
		$1
}

rule function_57145_0 {
	meta:
		name = "TBindingManagerNotification.NotifyManagers"
		size = 196
		refs = "001a @IntfAddRef 0022 TBindingManagerNotification.NotifyManagers 0031 _Dn_TBindingManager 0036 @AsClass 0041 TBindingManager.GetManagerCount 0055 TBindingManager.GetManagers 005e @IntfClear 006b Supports 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F8 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 39 43 33 F6 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 4D F4 8B 55 FC 8B 45 F8 8B 38 FF 57 0C 46 4B 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 64 0F 36 83 60 62 29 40 96 B3 07 0F B2 53 F0 75 }
	condition:
		$1
}

rule function_57371_0 {
	meta:
		name = "TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Hash 001c TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.GetBucketIndex 002b TPair<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.Create 003a TDictionary<System.TObject,System.Bindings.ManagerDefaults.TDictionary<System.string,System.Integer>>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 50 8B C5 8B D3 59 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57447_0 {
	meta:
		name = "TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.Hash 001c TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.GetBucketIndex 002b TPair<System.Bindings.Expression.TBindingExpression,System.Integer>.Create 003a TDictionary<System.Bindings.Expression.TBindingExpression,System.Integer>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 50 8B C5 8B D3 59 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64720_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.ExtractPair"
		size = 78
		refs = "000f TDictionary<System.string,System.Boolean>.Hash 001c TDictionary<System.string,System.Boolean>.GetBucketIndex 002b TPair<System.string,System.Boolean>.Create 003a TDictionary<System.string,System.Boolean>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0D 33 C9 8B D3 8B C5 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 50 8B C5 8B D3 59 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_57514_0 {
	meta:
		name = "TDictionary<System.string,System.Int64>.ExtractPair"
		size = 80
		refs = "000f TDictionary<System.string,System.Int64>.Hash 001c TDictionary<System.string,System.Int64>.GetBucketIndex 002d TPair<System.string,System.Int64>.Create 003c TDictionary<System.string,System.Int64>.DoRemove"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 0F 6A 00 6A 00 8B C5 8B D3 E8 ?? ?? ?? ?? EB 18 6A 02 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 52 50 8B C5 8B D3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58830_0 {
	meta:
		name = "MakeLocation"
		size = 52
		refs = "0013 _Dn_TLocationWrapper 0018 TLocationWrapper.Create 0029 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 56 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D0 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_58831_0 {
	meta:
		name = "MakeInvokable"
		size = 39
		refs = "000b _DV_TInvokable 0010 TInvokable.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114417_0 {
	meta:
		name = "MakeNamedNodeMap"
		size = 39
		refs = "000b _DV_TMSDOMNamedNodeMap 0010 TMSDOMNamedNodeMap.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114416_0 {
	meta:
		name = "MakeNodeList"
		size = 39
		refs = "000b _DV_TMSDOMNodeList 0010 TMSDOMNodeList.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58832_0 {
	meta:
		name = "TInvokable.Create"
		size = 58
		refs = "000b @ClassCreate 001b @IntfCopy 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58834_0 {
	meta:
		name = "TMethodDescription.Create"
		size = 86
		refs = "0011 @IntfCopy 001b @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 8D 43 04 8B D7 E8 ?? ?? ?? ?? 8D 43 08 8B 55 18 E8 ?? ?? ?? ?? 8D 43 0C 8B 55 14 E8 ?? ?? ?? ?? 0F B6 45 10 88 43 10 8B 45 08 89 43 14 8D 43 18 8B 55 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_58838_0 {
	meta:
		name = "TBindingMethodsFactory.GetMethodScope"
		size = 86
		refs = "000f TBindingMethodsFactory.GetMethodScope 0030 @IntfCopy 0045 @IntfClear 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 FC 83 C9 FF 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58839_0 {
	meta:
		name = "TBindingMethodsFactory.GetMethodScope"
		size = 507
		refs = "0034 string 0039 @AddRefArray 003e TBindingMethodsFactory.FRegisteredMethods 0046 TBindingMethodsFactory.GetMethodScope 0053 _Dn_TDictionaryScope 0058 TDictionaryScope.Create 006b @IntfCopy 0089 @UStrLAsg 0096 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.ContainsKey 00a6 sMethodNotFound 00ab LoadResString 00c4 Format 00ce _DV_EBindMethodError 00d3 Exception.Create 00d8 @RaiseExcept 00e8 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.GetItem 00f6 TDictionary<System.string,System.IInterface>.Add 0111 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.GetKeys 0116 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TKeyCollection.GetEnumerator 0134 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TKeyEnumerator.GetCurrent 0170 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TKeyEnumerator.MoveNext 0197 @HandleFinally 01af TMethodDescription 01b9 @FinalizeArray 01c6 @UStrArrayClr 01ce @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 0E 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 4D F4 89 55 FC 8B 4D F4 41 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? BF ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B D6 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 8B 45 F4 40 85 C0 0F 8E 90 00 00 00 33 DB EB 7C 8D 45 F8 8B 55 FC 8B 14 9A E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 3E 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 F8 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D C4 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 8B 46 0C 8B 55 F8 E8 ?? ?? ?? ?? 43 8B 45 F4 3B D8 0F 8E 79 FF FF FF E9 92 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 3F 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8D 4D A8 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D B8 00 74 1E 8D 4D 8C 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 8C 8B 46 0C 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 4D F4 41 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BE 8B 7D 80 8B 75 84 8B 5D 88 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_58840_0 {
	meta:
		name = "TBindingMethodsFactory.GetMethodUnitName"
		size = 126
		refs = "001b TBindingMethodsFactory.GetMethodUnitName 0028 @UStrClr 002f TBindingMethodsFactory.FRegisteredMethods 0034 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.ContainsKey 0047 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.GetItem 0051 @UStrAsg 0067 TMethodDescription 006c @FinalizeRecord 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8D 4D E4 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58841_0 {
	meta:
		name = "TBindingMethodsFactory.GetMethodFrameworkClass"
		size = 109
		refs = "0014 TBindingMethodsFactory.GetMethodFrameworkClass 0023 TBindingMethodsFactory.FRegisteredMethods 0028 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.ContainsKey 003b TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.GetItem 0054 TMethodDescription 0059 @FinalizeRecord 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8D 4D E4 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 75 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58842_0 {
	meta:
		name = "TBindingMethodsFactory.GetRegisteredMethods"
		size = 22
		refs = "0004 TBindingMethodsFactory.FRegisteredMethods 0009 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.GetValues"
	strings:
		$1 = { 53 8B DA A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 04 5B C3 }
	condition:
		$1
}

rule function_58843_0 {
	meta:
		name = "TBindingMethodsFactory.RegisterMethod"
		size = 205
		refs = "0021 TMethodDescription 0026 @AddRefRecord 002e TBindingMethodsFactory.RegisterMethod 003c TBindingMethodsFactory.FRegisteredMethods 0041 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.ContainsKey 0051 sDuplicatedMethodName 0056 LoadResString 006f Format 0079 _DV_EBindMethodError 007e Exception.Create 0083 @RaiseExcept 0093 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Add 00ad @UStrArrayClr 00bb @FinalizeRecord 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 56 57 33 C9 89 4D E0 89 4D DC 8B F2 8D 7D E4 B9 07 00 00 00 F3 A5 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3E 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 E8 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 58 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E4 8B 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_58851_0 {
	meta:
		name = "MakeMethodLowerCase$15$ActRec.$0$Body"
		size = 449
		refs = "001e @DynArrayAddRef 0027 TValue 002c @InitializeRecord 0042 MakeMethodLowerCase$15$ActRec.$0$Body 0050 @DynArrayLength 005f sUnexpectedArgCount 0064 LoadResString 0090 Format 009a _Dn_EEvaluatorError 009f Exception.Create 00a4 @RaiseExcept 00b1 @IntfCopy 00c4 TValue.GetIsEmpty 00d2 TValue.&op_Implicit 00dc _Dn_TValueWrapper 00e1 TValueWrapper.Create 010c TValue.AsString 011d LowerCase 0167 @UStrArrayClr 017a @FinalizeArray 01a2 @IntfClear 01ab TArray<System.Bindings.EvalProtocol.IValue> 01b0 @DynArrayClear 01b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 10 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 48 74 51 8D 45 C4 50 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 50 C7 45 B0 01 00 00 00 C6 45 B4 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 B8 C6 45 BC 00 8D 55 B0 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC 8B 12 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F8 8B 08 FF 51 10 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 74 2B 8D 55 98 33 C0 E8 ?? ?? ?? ?? 8D 4D 98 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? EB 57 8D 55 C8 8B 45 F8 8B 08 FF 51 10 8D 45 C8 8D 95 78 FF FF FF E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 8D 95 7C FF FF FF E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 8D 55 80 E8 ?? ?? ?? ?? 8D 4D 80 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 80 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9F 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58853_0 {
	meta:
		name = "MakeMethodUpperCase$17$ActRec.$0$Body"
		size = 449
		refs = "001e @DynArrayAddRef 0027 TValue 002c @InitializeRecord 0042 MakeMethodUpperCase$17$ActRec.$0$Body 0050 @DynArrayLength 005f sUnexpectedArgCount 0064 LoadResString 0090 Format 009a _Dn_EEvaluatorError 009f Exception.Create 00a4 @RaiseExcept 00b1 @IntfCopy 00c4 TValue.GetIsEmpty 00d2 TValue.&op_Implicit 00dc _Dn_TValueWrapper 00e1 TValueWrapper.Create 010c TValue.AsString 011d UpperCase 0167 @UStrArrayClr 017a @FinalizeArray 01a2 @IntfClear 01ab TArray<System.Bindings.EvalProtocol.IValue> 01b0 @DynArrayClear 01b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 10 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 48 74 51 8D 45 C4 50 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 50 C7 45 B0 01 00 00 00 C6 45 B4 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 B8 C6 45 BC 00 8D 55 B0 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC 8B 12 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F8 8B 08 FF 51 10 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 74 2B 8D 55 98 33 C0 E8 ?? ?? ?? ?? 8D 4D 98 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? EB 57 8D 55 C8 8B 45 F8 8B 08 FF 51 10 8D 45 C8 8D 95 78 FF FF FF E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 8D 95 7C FF FF FF E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 8D 55 80 E8 ?? ?? ?? ?? 8D 4D 80 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 80 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9F 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58855_0 {
	meta:
		name = "MakeMethodRound$19$ActRec.$0$Body"
		size = 411
		refs = "001e @DynArrayAddRef 0027 TValue 002c @InitializeRecord 0042 MakeMethodRound$19$ActRec.$0$Body 0050 @DynArrayLength 005f sUnexpectedArgCount 0064 LoadResString 0090 Format 009a _Dn_EEvaluatorError 009f Exception.Create 00a4 @RaiseExcept 00b1 @IntfCopy 00c4 TValue.GetIsEmpty 00d2 TValue.&op_Implicit 00dc _Dn_TValueWrapper 00e1 TValueWrapper.Create 0106 TValue.AsExtended 010b @ROUND 0154 @FinalizeArray 0161 @UStrArrayClr 017c @IntfClear 0185 TArray<System.Bindings.EvalProtocol.IValue> 018a @DynArrayClear 0190 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0F 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 48 74 51 8D 45 C4 50 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 50 C7 45 B0 01 00 00 00 C6 45 B4 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 B8 C6 45 BC 00 8D 55 B0 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC 8B 12 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F8 8B 08 FF 51 10 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 74 2B 8D 55 98 33 C0 E8 ?? ?? ?? ?? 8D 4D 98 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? EB 41 8D 55 C8 8B 45 F8 8B 08 FF 51 10 8D 45 C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 52 50 8D 45 80 E8 ?? ?? ?? ?? 8D 4D 80 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 80 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58857_0 {
	meta:
		name = "MakeMethodFormatDateTime$21$ActRec.$0$Body"
		size = 540
		refs = "001e @DynArrayAddRef 0027 TValue 002c @InitializeRecord 0050 MakeMethodFormatDateTime$21$ActRec.$0$Body 005e @DynArrayLength 006b sFormatArgError 0070 LoadResString 007a _Dn_EEvaluatorError 007f Exception.Create 0084 @RaiseExcept 0091 @IntfCopy 00b0 sFormatExpectedStr 00df TValue.GetIsEmpty 00f0 TValue.&op_Implicit 00fd _Dn_TValueWrapper 0102 TValueWrapper.Create 012d TValue.AsExtended 0147 TValue.AsString 0162 CurrencyString 016a FormatDateTime 0175 @UStrLAsg 01c8 @FinalizeArray 01d5 @UStrArrayClr 01fd @IntfClear 0206 TArray<System.Bindings.EvalProtocol.IValue> 020b @DynArrayClear 0211 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 14 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 83 F8 02 74 21 8D 55 8C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 8C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC 8B 12 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 0C 0F B6 00 2C 05 74 29 2C 06 74 25 2C 07 74 21 8D 55 88 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 88 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D0 8B 45 FC 8B 40 04 8B 08 FF 51 10 8D 45 D0 E8 ?? ?? ?? ?? 84 C0 74 34 8D 95 70 FF FF FF 33 C0 E8 ?? ?? ?? ?? 8D 8D 70 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? E9 8E 00 00 00 8D 55 B8 8B 45 FC 8B 40 04 8B 08 FF 51 10 8D 45 B8 E8 ?? ?? ?? ?? DD 5D 98 9B 8D 55 A0 8B 45 F8 8B 08 FF 51 10 8D 45 A0 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 98 89 45 90 8B 45 9C 89 45 94 FF 75 94 FF 75 90 8D 4D EC 8B 15 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 EC E8 ?? ?? ?? ?? 8D 95 58 FF FF FF 8B 45 F4 E8 ?? ?? ?? ?? 8D 8D 58 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 58 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 88 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9F 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58859_0 {
	meta:
		name = "MakeMethodStrToDateTime$23$ActRec.$0$Body"
		size = 412
		refs = "001d @DynArrayAddRef 0026 TValue 002b @InitializeRecord 0041 MakeMethodStrToDateTime$23$ActRec.$0$Body 004f @DynArrayLength 005a sFormatArgError 005f LoadResString 0069 _Dn_EEvaluatorError 006e Exception.Create 0073 @RaiseExcept 0080 @IntfCopy 0093 TValue.GetIsEmpty 00a1 TValue.&op_Implicit 00ab _Dn_TValueWrapper 00b0 TValueWrapper.Create 00da TValue.AsString 00e0 CurrencyString 00e8 StrToDateTime 0152 @FinalizeArray 015a @UStrClr 017d @IntfClear 0186 TArray<System.Bindings.EvalProtocol.IValue> 018b @DynArrayClear 0191 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 10 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 48 74 21 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D AC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC 8B 12 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F8 8B 08 FF 51 10 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 74 2B 8D 55 94 33 C0 E8 ?? ?? ?? ?? 8D 4D 94 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? EB 6D 8D 55 C0 8B 45 FC 8B 00 8B 08 FF 51 10 8D 45 C0 8D 55 F4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? DD 5D B0 9B 8B 45 B0 89 45 B8 8B 45 B4 89 45 BC DD 45 B8 83 C4 F4 DB 3C 24 9B 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 8D 7C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A9 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58861_0 {
	meta:
		name = "MakeMethodFormat$25$ActRec.$0$Body"
		size = 1346
		refs = "0023 @DynArrayAddRef 002c TValue 0031 @InitializeRecord 00a7 MakeMethodFormat$25$ActRec.$0$Body 00b7 @DynArrayLength 00c7 sFormatArgError 00cc LoadResString 00d9 _Dn_EEvaluatorError 00de Exception.Create 00e3 @RaiseExcept 00f0 @IntfCopy 0112 sFormatExpectedStr 0136 @UStrClr 014c TValue.AsString 0164 :52 0169 @DynArraySetLength 0199 TValue.GetIsEmpty 0210 TValue.AsInteger 023a TValue.AsExtended 028e @WStrFromUStr 0358 @LStrFromUStr 038f @UStrFromString 03b4 sFormatUnexpectedType 03c7 Format 03d4 _DV_EBindMethodError 03f7 TValue.&op_Implicit 0404 _Dn_TValueWrapper 0409 TValueWrapper.Create 042b @DynArrayHigh 048f @FinalizeArray 049f @UStrArrayClr 04ba @LStrClr 04d5 @WStrClr 0516 @DynArrayClear 051e @IntfClear 0527 TArray<System.Bindings.EvalProtocol.IValue> 0532 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 2A 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 8D 24 FF FF FF 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 88 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 58 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 40 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 28 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 FC E8 ?? ?? ?? ?? 83 F8 02 7D 27 8D 95 0C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 0C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC 8B 12 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 0C 0F B6 00 2C 05 74 2F 2C 06 74 2B 2C 07 74 27 8D 95 08 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 08 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 55 D0 8B 45 F8 8B 08 FF 51 10 8D 45 D0 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 48 50 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 67 02 00 00 46 33 FF 8D 55 B8 8B 45 FC 8B 44 B8 04 8B 08 FF 51 10 8D 45 B8 E8 ?? ?? ?? ?? 84 C0 74 07 B3 01 E9 42 02 00 00 8B 45 FC 8B 44 B8 04 8B 10 FF 52 0C 0F B6 00 83 F8 12 0F 87 B2 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 00 00 02 05 00 00 00 00 06 03 00 00 00 00 01 00 04 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 A0 8B 45 FC 8B 44 B8 04 8B 08 FF 51 10 8D 45 A0 E8 ?? ?? ?? ?? 8B 55 F4 89 04 FA 8B 45 F4 C6 44 F8 04 00 E9 BB 01 00 00 8D 55 88 8B 45 FC 8B 44 B8 04 8B 08 FF 51 10 8D 45 88 E8 ?? ?? ?? ?? DB BD 10 FF FF FF 9B 8D 85 10 FF FF FF 8B 55 F4 89 04 FA 8B 45 F4 C6 44 F8 04 03 E9 84 01 00 00 8D 95 70 FF FF FF 8B 45 FC 8B 44 B8 04 8B 08 FF 51 10 8D 85 70 FF FF FF 8D 95 00 FF FF FF E8 ?? ?? ?? ?? 8B 95 00 FF FF FF 8D 85 04 FF FF FF E8 ?? ?? ?? ?? 8B 85 04 FF FF FF 8B 55 F4 89 04 FA 8B 45 F4 C6 44 F8 04 0F E9 37 01 00 00 8D 95 58 FF FF FF 8B 45 FC 8B 44 B8 04 8B 08 FF 51 10 8D 85 58 FF FF FF 8D 95 FC FE FF FF E8 ?? ?? ?? ?? 8B 85 FC FE FF FF 8B 55 F4 89 04 FA 8B 45 F4 C6 44 F8 04 11 E9 FB 00 00 00 8D 95 40 FF FF FF 8B 45 FC 8B 44 B8 04 8B 08 FF 51 10 8D 85 40 FF FF FF 8D 95 F8 FE FF FF E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 8B 55 F4 89 04 FA 8B 45 F4 C6 44 F8 04 04 E9 BF 00 00 00 8D 95 28 FF FF FF 8B 45 FC 8B 44 B8 04 8B 08 FF 51 10 8D 85 28 FF FF FF 8D 95 F0 FE FF FF E8 ?? ?? ?? ?? 8B 95 F0 FE FF FF 8D 85 F4 FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 8B 55 F4 89 04 FA 8B 45 F4 C6 44 F8 04 0B EB 70 8D 85 EC FE FF FF 50 8B 45 FC 8B 44 B8 04 8B 10 FF 52 0C 8D 50 01 8D 85 E0 FE FF FF E8 ?? ?? ?? ?? 8B 85 E0 FE FF FF 89 85 E4 FE FF FF C6 85 E8 FE FF FF 11 8D 85 E4 FE FF FF 50 8D 95 DC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 DC FE FF FF 33 C9 5A E8 ?? ?? ?? ?? 8B 8D EC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 0F 85 9C FD FF FF 84 DB 74 35 8D 95 C4 FE FF FF 33 C0 E8 ?? ?? ?? ?? 8D 8D C4 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B 85 24 FF FF FF E8 ?? ?? ?? ?? EB 4D 8D 45 EC 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8D 95 AC FE FF FF 8B 45 EC E8 ?? ?? ?? ?? 8D 8D AC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B 85 24 FF FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 AC FE FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 DC FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 EC FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 04 FF FF FF E8 ?? ?? ?? ?? 8D 85 08 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 28 FF FF FF 8B 15 ?? ?? ?? ?? B9 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 42 FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58863_0 {
	meta:
		name = "MakeMethodToNotifyEvent$27$ActRec.$0$Body"
		size = 476
		refs = "001e @DynArrayAddRef 0027 TValue 002c @InitializeRecord 0034 MakeMethodToNotifyEvent$27$ActRec.$0$Body 0042 @DynArrayLength 0051 sUnexpectedArgCount 0056 LoadResString 0082 Format 008c _Dn_EEvaluatorError 0091 Exception.Create 0096 @RaiseExcept 00a3 @IntfCopy 00b6 TValue.GetIsEmpty 00c2 @IntfClear 00d1 Supports 00e3 _Dn_TRttiMethod 00e8 @IsClass 0115 TValue.From<System.Classes.TNotifyEvent> 011f _Dn_TValueWrapper 0124 TValueWrapper.Create 0140 TValue.&op_Implicit 017f @FinalizeArray 018c @UStrArrayClr 019a @FinalizeRecord 01b3 TArray<System.Bindings.EvalProtocol.IValue> 01b8 @DynArrayClear 01be @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0E 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 8B D9 89 55 F4 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 48 74 51 8D 45 CC 50 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 50 C7 45 B8 01 00 00 00 C6 45 BC 00 8B 45 F4 E8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 00 8D 55 B8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F4 8B 12 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 F0 8B 08 FF 51 10 8D 45 D0 E8 ?? ?? ?? ?? 84 C0 74 7C 8D 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 61 8B 45 EC 8B 10 FF 52 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4A 8B 45 EC 8B 10 FF 52 14 8B 10 FF 52 28 89 45 F8 8B 45 EC 8B 10 FF 52 0C 89 45 FC FF 75 FC FF 75 F8 8D 45 A0 E8 ?? ?? ?? ?? 8D 4D A0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? EB 29 8D 55 88 33 C0 E8 ?? ?? ?? ?? 8D 4D 88 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 88 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AC 5B 8B E5 5D C3 00 00 00 18 0F DD D4 76 40 9B 4A B8 7A F9 BA 1B C6 9E 26 }
	condition:
		$1
}

rule function_58865_0 {
	meta:
		name = "TryConvert"
		size = 324
		refs = "0022 TValue 0027 @InitializeRecord 002f TryConvert 005c TValue.AsVariant 006a @VarCopy 0079 @HandleOnException 0081 _Dn_EInvalidCast 00b4 sConversionUnavailable 00b9 LoadResString 00c7 Format 00d1 _DV_EBindMethodError 00d6 Exception.Create 00db @RaiseExcept 00e0 @DoneExcept 00f5 @UStrClr 0105 @VarClr 0113 @FinalizeRecord 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 C0 89 45 D4 89 45 C0 89 45 D8 89 45 DC 89 45 E0 89 45 E4 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 E8 8B 45 08 8B 40 FC 8B 08 FF 51 10 8D 45 E8 8D 55 D8 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 08 83 C0 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 6C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 D4 50 8B 45 08 8B 40 FC 8B 10 FF 52 0C 40 89 45 C4 C6 45 C8 04 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8D 45 C4 50 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 61 00 72 00 69 00 61 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_58866_0 {
	meta:
		name = "MakeMethodToVariant$29$ActRec.$0$Body"
		size = 920
		refs = "001e @DynArrayAddRef 0027 TValue 002c @InitializeRecord 0091 MakeMethodToVariant$29$ActRec.$0$Body 009f @DynArrayLength 00b4 sUnexpectedArgCount 00b9 LoadResString 00f7 Format 0104 _Dn_EEvaluatorError 0109 Exception.Create 010e @RaiseExcept 011b @IntfCopy 012e TValue.GetIsEmpty 013f TValue.&op_Implicit 014c _Dn_TValueWrapper 0151 TValueWrapper.Create 01ca TValue.AsInteger 01d6 @VarFromInt 01ee TValue.AsExtended 01f6 @VarFromReal 0214 TValue.AsString 0222 @VarFromUStr 0243 TValue.AsVariant 0261 TValue.AsClass 026c TObject.ClassName 0293 @AStrCmp 02ae TValue.AsBoolean 02b8 @VarFromBool 02c0 TryConvert 02d8 TValue.From<System.Variant> 0318 @FinalizeRecord 0328 @UStrArrayClr 035f @FinalizeArray 0368 TArray<System.Bindings.EvalProtocol.IValue> 036d @DynArrayClear 0375 @VarClr 037d @IntfClear 0383 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 22 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 8B D9 89 55 E4 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 98 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 80 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 68 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 E8 ?? ?? ?? ?? 48 74 6C 8D 85 34 FF FF FF 50 8D 95 30 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 30 FF FF FF 50 C7 85 20 FF FF FF 01 00 00 00 C6 85 24 FF FF FF 00 8B 45 E4 E8 ?? ?? ?? ?? 89 85 28 FF FF FF C6 85 2C FF FF FF 00 8D 95 20 FF FF FF B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 8D 34 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 55 E4 8B 12 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 FC 8B 08 FF 51 10 8D 45 C8 E8 ?? ?? ?? ?? 84 C0 74 34 8D 95 08 FF FF FF 33 C0 E8 ?? ?? ?? ?? 8D 8D 08 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? E9 94 01 00 00 8B 45 FC 8B 10 FF 52 0C 0F B6 00 83 F8 12 0F 87 49 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 00 06 02 03 00 05 00 00 03 03 04 00 00 00 01 00 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 B0 8B 45 FC 8B 08 FF 51 10 8D 45 B0 E8 ?? ?? ?? ?? 8B D0 8D 45 E8 B1 FC E8 ?? ?? ?? ?? E9 EF 00 00 00 8D 55 98 8B 45 FC 8B 08 FF 51 10 8D 45 98 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? E9 CF 00 00 00 8D 55 80 8B 45 FC 8B 08 FF 51 10 8D 45 80 8D 95 04 FF FF FF E8 ?? ?? ?? ?? 8B 95 04 FF FF FF 8D 45 E8 E8 ?? ?? ?? ?? E9 A3 00 00 00 8D 95 68 FF FF FF 8B 45 FC 8B 08 FF 51 10 8D 85 68 FF FF FF 8D 55 E8 E8 ?? ?? ?? ?? E9 82 00 00 00 8D 95 50 FF FF FF 8B 45 FC 8B 08 FF 51 10 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 95 00 FF FF FF E8 ?? ?? ?? ?? 8B 95 00 FF FF FF 8D 45 E8 E8 ?? ?? ?? ?? EB 4E 8B 45 FC 8B 10 FF 52 0C 40 BA ?? ?? ?? ?? 0F B6 08 41 E8 ?? ?? ?? ?? 75 25 8D 95 38 FF FF FF 8B 45 FC 8B 08 FF 51 10 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8B D0 8D 45 E8 E8 ?? ?? ?? ?? EB 10 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 8D 95 E8 FE FF FF 8D 45 E8 E8 ?? ?? ?? ?? 8D 8D E8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 00 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 08 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 30 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? B9 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 82 5B 8B E5 5D C3 00 00 07 42 6F 6F 6C 65 61 6E }
	condition:
		$1
}

rule function_58868_0 {
	meta:
		name = "MakeMethodToStr$32$ActRec.$0$Body"
		size = 1351
		refs = "001d @DynArrayAddRef 0026 TValue 002b @InitializeRecord 007f MakeMethodToStr$32$ActRec.$0$Body 008d @DynArrayLength 009b sToStrArgCount 00a0 LoadResString 00ad _Dn_EEvaluatorError 00b2 Exception.Create 00b7 @RaiseExcept 00c4 @IntfCopy 00d7 TValue.GetIsEmpty 00e8 TValue.&op_Implicit 00f5 _Dn_TValueWrapper 00fa TValueWrapper.Create 0173 TValue.AsInteger 017e IntToStr 01c9 TValue.AsExtended 01ec CurrencyString 01f1 FloatToStr 023f TValue.AsString 0296 TValue.AsVariant 02a7 @VarToUStr 02f5 @UStrFromString 0346 TValue.AsOrdinal 035b GetEnumName 0437 @FinalizeRecord 0442 @UStrClr 0496 @VarClr 04d3 @FinalizeArray 0525 @IntfClear 052e TArray<System.Bindings.EvalProtocol.IValue> 0533 @DynArrayClear 0539 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 36 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 90 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 48 74 27 8D 95 4C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 4C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC 8B 12 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F8 8B 08 FF 51 10 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 74 34 8D 95 34 FF FF FF 33 C0 E8 ?? ?? ?? ?? 8D 8D 34 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? E9 0A 03 00 00 8B 45 F8 8B 10 FF 52 0C 0F B6 00 83 F8 12 0F 87 70 02 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 03 06 02 03 00 05 00 03 03 03 04 00 05 00 01 00 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 C0 8B 45 F8 8B 08 FF 51 10 8D 45 C0 E8 ?? ?? ?? ?? 8D 95 18 FF FF FF E8 ?? ?? ?? ?? 8B 85 18 FF FF FF 8D 95 1C FF FF FF E8 ?? ?? ?? ?? 8D 8D 1C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? E9 63 02 00 00 8D 55 A8 8B 45 F8 8B 08 FF 51 10 8D 45 A8 E8 ?? ?? ?? ?? DB BD 50 FF FF FF 9B 0F B7 85 58 FF FF FF 50 FF B5 54 FF FF FF FF B5 50 FF FF FF 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 00 FF FF FF 8B 45 F4 E8 ?? ?? ?? ?? 8D 8D 00 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? E9 F3 01 00 00 8D 55 90 8B 45 F8 8B 08 FF 51 10 8D 45 90 8D 95 E4 FE FF FF E8 ?? ?? ?? ?? 8B 85 E4 FE FF FF 8D 95 E8 FE FF FF E8 ?? ?? ?? ?? 8D 8D E8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? E9 A2 01 00 00 8D 95 78 FF FF FF 8B 45 F8 8B 08 FF 51 10 8D 85 78 FF FF FF 8D 95 B8 FE FF FF E8 ?? ?? ?? ?? 8D 95 B8 FE FF FF 8D 85 C8 FE FF FF E8 ?? ?? ?? ?? 8B 85 C8 FE FF FF 8D 95 CC FE FF FF E8 ?? ?? ?? ?? 8D 8D CC FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? E9 3A 01 00 00 8B 45 F8 8B 10 FF 52 0C 8D 50 01 8D 85 9C FE FF FF E8 ?? ?? ?? ?? 8B 85 9C FE FF FF 8D 95 A0 FE FF FF E8 ?? ?? ?? ?? 8D 8D A0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? E9 EC 00 00 00 8D 95 60 FF FF FF 8B 45 F8 8B 08 FF 51 10 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 F8 8B 10 FF 52 0C 8D 8D 80 FE FF FF 5A E8 ?? ?? ?? ?? 8B 85 80 FE FF FF 8D 95 84 FE FF FF E8 ?? ?? ?? ?? 8D 8D 84 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? E9 86 00 00 00 8B 45 F8 8B 10 FF 52 0C 85 C0 74 4B 8B 45 F8 8B 10 FF 52 0C 8D 50 01 8D 85 64 FE FF FF E8 ?? ?? ?? ?? 8B 85 64 FE FF FF 8D 95 68 FE FF FF E8 ?? ?? ?? ?? 8D 8D 68 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? EB 2F 8D 95 4C FE FF FF 33 C0 E8 ?? ?? ?? ?? 8D 8D 4C FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 4C FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 64 FE FF FF E8 ?? ?? ?? ?? 8D 85 68 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 80 FE FF FF E8 ?? ?? ?? ?? 8D 85 84 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 9C FE FF FF E8 ?? ?? ?? ?? 8D 85 A0 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 B8 FE FF FF E8 ?? ?? ?? ?? 8D 85 C8 FE FF FF E8 ?? ?? ?? ?? 8D 85 CC FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 E4 FE FF FF E8 ?? ?? ?? ?? 8D 85 E8 FE FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 18 FF FF FF E8 ?? ?? ?? ?? 8D 85 1C FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 8B 15 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 E8 FE FF FF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58870_0 {
	meta:
		name = "MakeMethodMin$34$ActRec.$0$Body"
		size = 940
		refs = "001e @DynArrayAddRef 0027 TValue 002c @InitializeRecord 0080 MakeMethodMin$34$ActRec.$0$Body 008e @DynArrayLength 00a5 sUnexpectedArgCount 00aa LoadResString 00e8 Format 00f5 _Dn_EEvaluatorError 00fa Exception.Create 00ff @RaiseExcept 010c @IntfCopy 012d TValue.GetIsEmpty 0155 TValue.&op_Implicit 0162 _Dn_TValueWrapper 0167 TValueWrapper.Create 0195 TValue.TryAsType<System.Int64> 0267 TValue.AsExtended 0354 @FinalizeArray 0364 @UStrArrayClr 0383 IValue 0396 TArray<System.Bindings.EvalProtocol.IValue> 039b @DynArrayClear 03a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 29 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 90 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 83 F8 02 74 6C 8D 85 0C FF FF FF 50 8D 95 08 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 08 FF FF FF 50 C7 85 F8 FE FF FF 02 00 00 00 C6 85 FC FE FF FF 00 8B 45 FC E8 ?? ?? ?? ?? 89 85 00 FF FF FF C6 85 04 FF FF FF 00 8D 95 F8 FE FF FF B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 8D 0C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC 8B 12 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 52 04 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F8 8B 08 FF 51 10 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 75 17 8D 55 C0 8B 45 F4 8B 08 FF 51 10 8D 45 C0 E8 ?? ?? ?? ?? 84 C0 74 34 8D 95 E0 FE FF FF 33 C0 E8 ?? ?? ?? ?? 8D 8D E0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? E9 B5 01 00 00 8D 55 A8 8B 45 F8 8B 08 FF 51 10 8D 45 A8 8D 95 58 FF FF FF E8 ?? ?? ?? ?? 84 C0 0F 84 B1 00 00 00 8D 55 90 8B 45 F4 8B 08 FF 51 10 8D 45 90 8D 95 50 FF FF FF E8 ?? ?? ?? ?? 84 C0 0F 84 90 00 00 00 8B 85 58 FF FF FF 8B 95 5C FF FF FF 3B 95 54 FF FF FF 75 0A 3B 85 50 FF FF FF 73 1E EB 02 7D 1A 8B 85 58 FF FF FF 89 85 48 FF FF FF 8B 85 5C FF FF FF 89 85 4C FF FF FF EB 18 8B 85 50 FF FF FF 89 85 48 FF FF FF 8B 85 54 FF FF FF 89 85 4C FF FF FF FF B5 4C FF FF FF FF B5 48 FF FF FF 8D 85 C8 FE FF FF E8 ?? ?? ?? ?? 8D 8D C8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? E9 E3 00 00 00 8D 95 78 FF FF FF 8B 45 F8 8B 08 FF 51 10 8D 85 78 FF FF FF E8 ?? ?? ?? ?? DB BD 30 FF FF FF 9B 8D 95 60 FF FF FF 8B 45 F4 8B 08 FF 51 10 8D 85 60 FF FF FF E8 ?? ?? ?? ?? DB BD 20 FF FF FF 9B DB AD 30 FF FF FF DB AD 20 FF FF FF DE D9 9B DF E0 9E 76 28 8B 85 30 FF FF FF 89 85 10 FF FF FF 8B 85 34 FF FF FF 89 85 14 FF FF FF 66 8B 85 38 FF FF FF 66 89 85 18 FF FF FF EB 26 8B 85 20 FF FF FF 89 85 10 FF FF FF 8B 85 24 FF FF FF 89 85 14 FF FF FF 66 8B 85 28 FF FF FF 66 89 85 18 FF FF FF 0F B7 85 18 FF FF FF 50 FF B5 14 FF FF FF FF B5 10 FF FF FF 8D 85 B0 FE FF FF E8 ?? ?? ?? ?? 8D 8D B0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 B0 FE FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 08 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 8B 15 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9B 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58872_0 {
	meta:
		name = "MakeMethodMax$36$ActRec.$0$Body"
		size = 940
		refs = "001e @DynArrayAddRef 0027 TValue 002c @InitializeRecord 0080 MakeMethodMax$36$ActRec.$0$Body 008e @DynArrayLength 00a5 sUnexpectedArgCount 00aa LoadResString 00e8 Format 00f5 _Dn_EEvaluatorError 00fa Exception.Create 00ff @RaiseExcept 010c @IntfCopy 012d TValue.GetIsEmpty 0155 TValue.&op_Implicit 0162 _Dn_TValueWrapper 0167 TValueWrapper.Create 0195 TValue.TryAsType<System.Int64> 0267 TValue.AsExtended 0354 @FinalizeArray 0364 @UStrArrayClr 0383 IValue 0396 TArray<System.Bindings.EvalProtocol.IValue> 039b @DynArrayClear 03a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 29 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 90 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 83 F8 02 74 6C 8D 85 0C FF FF FF 50 8D 95 08 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 08 FF FF FF 50 C7 85 F8 FE FF FF 02 00 00 00 C6 85 FC FE FF FF 00 8B 45 FC E8 ?? ?? ?? ?? 89 85 00 FF FF FF C6 85 04 FF FF FF 00 8D 95 F8 FE FF FF B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 8D 0C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC 8B 12 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 52 04 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F8 8B 08 FF 51 10 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 75 17 8D 55 C0 8B 45 F4 8B 08 FF 51 10 8D 45 C0 E8 ?? ?? ?? ?? 84 C0 74 34 8D 95 E0 FE FF FF 33 C0 E8 ?? ?? ?? ?? 8D 8D E0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? E9 B5 01 00 00 8D 55 A8 8B 45 F8 8B 08 FF 51 10 8D 45 A8 8D 95 58 FF FF FF E8 ?? ?? ?? ?? 84 C0 0F 84 B1 00 00 00 8D 55 90 8B 45 F4 8B 08 FF 51 10 8D 45 90 8D 95 50 FF FF FF E8 ?? ?? ?? ?? 84 C0 0F 84 90 00 00 00 8B 85 58 FF FF FF 8B 95 5C FF FF FF 3B 95 54 FF FF FF 75 0A 3B 85 50 FF FF FF 76 1E EB 02 7E 1A 8B 85 58 FF FF FF 89 85 48 FF FF FF 8B 85 5C FF FF FF 89 85 4C FF FF FF EB 18 8B 85 50 FF FF FF 89 85 48 FF FF FF 8B 85 54 FF FF FF 89 85 4C FF FF FF FF B5 4C FF FF FF FF B5 48 FF FF FF 8D 85 C8 FE FF FF E8 ?? ?? ?? ?? 8D 8D C8 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? E9 E3 00 00 00 8D 95 78 FF FF FF 8B 45 F8 8B 08 FF 51 10 8D 85 78 FF FF FF E8 ?? ?? ?? ?? DB BD 30 FF FF FF 9B 8D 95 60 FF FF FF 8B 45 F4 8B 08 FF 51 10 8D 85 60 FF FF FF E8 ?? ?? ?? ?? DB BD 20 FF FF FF 9B DB AD 30 FF FF FF DB AD 20 FF FF FF DE D9 9B DF E0 9E 73 28 8B 85 30 FF FF FF 89 85 10 FF FF FF 8B 85 34 FF FF FF 89 85 14 FF FF FF 66 8B 85 38 FF FF FF 66 89 85 18 FF FF FF EB 26 8B 85 20 FF FF FF 89 85 10 FF FF FF 8B 85 24 FF FF FF 89 85 14 FF FF FF 66 8B 85 28 FF FF FF 66 89 85 18 FF FF FF 0F B7 85 18 FF FF FF 50 FF B5 14 FF FF FF FF B5 10 FF FF FF 8D 85 B0 FE FF FF E8 ?? ?? ?? ?? 8D 8D B0 FE FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 B0 FE FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 08 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 8B 15 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9B 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58874_0 {
	meta:
		name = "RegisterBasicMethods"
		size = 1528
		refs = "0013 RegisterBasicMethods 002a sFormatDesc 002f LoadResString 003d MakeMethodFormat 004d TMethodDescription.Create 0055 _DV_TBindingMethodsFactory 005a TBindingMethodsFactory.RegisterMethod 006f MakeMethodFormatDateTime 00a1 MakeMethodStrToDateTime 00d2 sLowerCaseDesc 00eb MakeMethodLowerCase 011f sUpperCaseDesc 0138 MakeMethodUpperCase 0172 sToStrDesc 018b MakeMethodToStr 01c5 sToVariantDesc 01de MakeMethodToVariant 0218 sToNotifyEventDesc 0231 MakeMethodToNotifyEvent 026f MakeMethodRound 02ad MakeMethodMin 02eb MakeMethodMax 0329 @IntfClear 0335 TMethodDescription 033a @FinalizeRecord 0388 @UStrClr 0482 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 2F 00 00 00 6A 00 6A 00 49 75 F9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 6A 00 6A 01 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 6A 00 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC B9 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 6A 00 6A 00 8D 45 BC E8 ?? ?? ?? ?? 8B 55 BC B9 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 6A 00 6A 00 8D 45 9C E8 ?? ?? ?? ?? 8B 55 9C B9 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 8D 95 7C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 50 6A 00 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8B 95 78 FF FF FF B9 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 55 80 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 8D 95 58 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 50 6A 00 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 8B 95 54 FF FF FF B9 ?? ?? ?? ?? 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 8D 95 5C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 8D 95 34 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 34 FF FF FF 50 6A 00 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 8B 95 30 FF FF FF B9 ?? ?? ?? ?? 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8D 95 38 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 8D 95 10 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 50 6A 00 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 8B 95 0C FF FF FF B9 ?? ?? ?? ?? 8D 85 14 FF FF FF E8 ?? ?? ?? ?? 8D 95 14 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 8D 95 EC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 EC FE FF FF 50 6A 00 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8B 95 E8 FE FF FF B9 ?? ?? ?? ?? 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 8D 95 F0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 6A 00 6A 00 8D 85 C8 FE FF FF E8 ?? ?? ?? ?? 8B 95 C8 FE FF FF B9 ?? ?? ?? ?? 8D 85 CC FE FF FF E8 ?? ?? ?? ?? 8D 95 CC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 6A 00 6A 00 8D 85 A8 FE FF FF E8 ?? ?? ?? ?? 8B 95 A8 FE FF FF B9 ?? ?? ?? ?? 8D 85 AC FE FF FF E8 ?? ?? ?? ?? 8D 95 AC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 01 6A 00 6A 00 8D 85 88 FE FF FF E8 ?? ?? ?? ?? 8B 95 88 FE FF FF B9 ?? ?? ?? ?? 8D 85 8C FE FF FF E8 ?? ?? ?? ?? 8D 95 8C FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 88 FE FF FF E8 ?? ?? ?? ?? 8D 85 8C FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 A8 FE FF FF E8 ?? ?? ?? ?? 8D 85 AC FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 C8 FE FF FF E8 ?? ?? ?? ?? 8D 85 CC FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 8D 85 10 FF FF FF E8 ?? ?? ?? ?? 8D 85 14 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 8D 85 34 FF FF FF E8 ?? ?? ?? ?? 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 8D 85 5C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 97 FE FF FF 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 46 00 6F 00 72 00 6D 00 61 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 46 00 6F 00 72 00 6D 00 61 00 74 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 74 00 72 00 54 00 6F 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4C 00 6F 00 77 00 65 00 72 00 43 00 61 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 70 00 70 00 65 00 72 00 43 00 61 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 6F 00 53 00 74 00 72 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 6F 00 56 00 61 00 72 00 69 00 61 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 6F 00 4E 00 6F 00 74 00 69 00 66 00 79 00 45 00 76 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 6F 00 75 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 61 00 74 00 68 00 5F 00 4D 00 69 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 61 00 74 00 68 00 5F 00 4D 00 61 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_58883_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 DB 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 DB 8B 55 FC 83 3C 82 FF 74 21 8B 55 FC 8D 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 DB 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58885_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.GetBucketIndex"
		size = 123
		refs = "0013 @DynArrayLength"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 4C 24 04 89 14 24 8B F0 8B 46 04 E8 ?? ?? ?? ?? 85 C0 75 07 BB 00 00 00 80 EB 51 8B 46 04 E8 ?? ?? ?? ?? 48 23 44 24 04 8B D8 8D 04 DB 8B 56 04 8B 3C 82 83 FF FF 75 04 F7 D3 EB 30 3B 7C 24 04 75 19 8D 04 DB 8B 56 04 8B 54 82 04 8B 0C 24 8B 46 0C 8B 38 FF 57 0C 84 C0 75 11 43 8B 46 04 E8 ?? ?? ?? ?? 3B D8 7C C2 33 DB EB BE 8B C3 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58887_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.GetItem"
		size = 85
		refs = "000e TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Hash 0019 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.GetBucketIndex 0025 SGenericItemNotFound 002c _Dn_EListError 0031 Exception.CreateRes 0036 @RaiseExcept 0048 TMethodDescription 004d @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 F6 8B 4B 04 8D 54 91 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_58888_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.SetItem"
		size = 204
		refs = "0015 TMethodDescription 001a @InitializeRecord 0022 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.SetItem 0031 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Hash 003c TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.GetBucketIndex 0048 SGenericItemNotFound 004f _Dn_EListError 0054 Exception.CreateRes 0059 @RaiseExcept 0071 @CopyRecord 00b9 @FinalizeRecord 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D E0 8B F2 8B D8 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8D 3C F6 8B 53 04 8D 54 BA 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 E4 8B C3 8B 30 FF 56 0C 8B 55 E0 33 C9 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58889_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.RehashAdd"
		size = 91
		refs = "001a TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.GetBucketIndex 0039 @UStrAsg 0049 TMethodDescription 004e @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C F6 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_58890_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.DoAdd"
		size = 89
		refs = "001e @UStrAsg 002e TMethodDescription 0033 @CopyRecord"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F0 8D 3C DB 8B 46 04 89 14 B8 8B 46 04 8D 44 B8 04 8B 55 0C E8 ?? ?? ?? ?? 8B 46 04 8D 44 B8 08 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 46 08 33 C9 8B 55 0C 8B C6 8B 18 FF 53 08 8B 55 08 33 C9 8B C6 8B 18 FF 53 0C 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_58891_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.DoSetValue"
		size = 155
		refs = "0015 TMethodDescription 001a @InitializeRecord 0022 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.DoSetValue 0040 @CopyRecord 0088 @FinalizeRecord 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D E0 8B F2 8B D8 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 8D 3C F6 8B 53 04 8D 54 BA 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 44 B8 08 8B 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 E4 8B C3 8B 30 FF 56 0C 8B 55 E0 33 C9 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58892_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.DoRemove"
		size = 300
		refs = "0014 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.GetBucketIndex 0023 TMethodDescription 0028 @FinalizeRecord 005a @CopyRecord 0065 @DynArrayLength 0098 InCircularRange 00b4 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TItem 00e3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B F0 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 1E 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 C0 B9 07 00 00 00 F3 AB E9 E7 00 00 00 8D 3C DB 8B 46 04 C7 04 B8 FF FF FF FF 8B 45 08 8B 56 04 8D 54 BA 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FB 43 8B 46 04 E8 ?? ?? ?? ?? 3B D8 75 02 33 DB 8D 04 DB 8B 56 04 8B 04 82 89 45 F8 83 7D F8 FF 74 4D 8B 46 04 E8 ?? ?? ?? ?? 48 23 45 F8 89 45 F4 8B CB 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 FF 8B 56 04 8D 04 82 8D 14 DB 8B 4E 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FB 8D 04 FF 8B 56 04 C7 04 82 FF FF FF FF EB 92 8D 1C FF 8B 46 04 C7 04 98 FF FF FF FF 8B 46 04 8D 44 98 04 E8 ?? ?? ?? ?? 8B 46 04 8D 44 98 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 C0 B9 07 00 00 00 F3 AB FF 4E 08 0F B6 5D 0C 8B CB 8B 55 FC 8B C6 8B 38 FF 57 08 8B CB 8B 55 08 8B C6 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_58899_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Bindings.Methods.TMethodDescription> 0025 @InitializeRecord 002d TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Create 0048 TEnumerable<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.GetEnumerator 0073 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.AddOrSetValue 007b TEnumerator<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 DB 89 45 DC 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 DC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 E0 8B 45 D4 8B 08 FF 11 8D 4D E4 8B 55 E0 8B 45 DC E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D4 00 74 0A B2 01 8B 45 D4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 DC 80 7D DB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 DC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58900_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Bindings.Methods.TMethodDescription> 0025 @InitializeRecord 002d TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Create 004a TEnumerable<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.GetEnumerator 0075 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.AddOrSetValue 007d TEnumerator<System.Bindings.Methods.TPair<System.string,System.Bindings.Methods.TMethodDescription>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 DB 89 45 DC 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 DC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 E0 8B 45 D4 8B 08 FF 11 8D 4D E4 8B 55 E0 8B 45 DC E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D4 00 74 0A B2 01 8B 45 D4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 DC 80 7D DB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 DC 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_58903_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Remove"
		size = 99
		refs = "0016 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Remove 002b TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Hash 0036 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.DoRemove 004c TMethodDescription 0051 @FinalizeRecord 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 E4 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60041_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Remove"
		size = 99
		refs = "0016 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Remove 002b TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Hash 0036 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.DoRemove 004c TConverterDescription 0051 @FinalizeRecord 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 E4 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58904_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.ExtractPair"
		size = 186
		refs = "0021 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.ExtractPair 0030 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Hash 003d TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.GetBucketIndex 004a TMethodDescription 004f @FinalizeRecord 0067 TPair<System.string,System.Bindings.Methods.TMethodDescription>.Create 007a TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.DoRemove 00a7 @FinalizeArray 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 28 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 C0 B9 07 00 00 00 F3 AB 8D 4D E0 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 C4 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 4D C4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58905_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Clear 0026 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 DB 8B 55 FC 83 3C 82 FF 74 26 8D 04 DB 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 DB 8B 55 FC 8D 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_58907_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TryGetValue"
		size = 123
		refs = "0011 TMethodDescription 0016 @InitializeRecord 001f TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.Hash 002a TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.GetBucketIndex 004f @CopyRecord 005e @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 9D 45 FF 80 7D FF 00 74 19 8B C7 8D 14 F6 8B 4B 04 8D 54 91 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 07 00 00 00 F3 AB 8B FA 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_58910_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.ContainsValue 0025 TEqualityComparer<System.Bindings.Methods.TMethodDescription>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 DB 8B 56 04 83 3C 82 FF 74 1D 8D 04 DB 8B 56 04 8D 54 82 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58924_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TKeyEnumerator.GetCurrent"
		size = 32
		refs = "0019 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8D 14 D2 8B 4B 04 8B 49 04 8B 54 91 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58928_0 {
	meta:
		name = "TDictionary<T>.TKeyEnumerator.MoveNext"
		size = 55
		refs = "0026 @DynArrayLength"
		altNames = "TDictionary<T>.TPairEnumerator.MoveNext TDictionary<T>.TValueEnumerator.MoveNext"
	strings:
		$1 = { 53 56 8B F0 EB 19 FF 46 08 8B 46 08 8D 04 C0 8B 56 04 8B 52 04 83 3C 82 FF 74 04 B3 01 EB 13 8B 46 04 8B 40 04 E8 ?? ?? ?? ?? 48 3B 46 08 7F D6 33 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_58929_0 {
	meta:
		name = "TEnumerable<System.Bindings.Methods.TMethodDescription>.ToArrayImpl"
		size = 227
		refs = "0014 TMethodDescription 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Methods.TMethodDescription>.ToArrayImpl 0036 TArray<System.Bindings.Methods.TMethodDescription> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Methods.TMethodDescription>.GetEnumerator 0084 @CopyRecord 008d TEnumerator<System.Bindings.Methods.TMethodDescription>.MoveNext 00b4 @HandleFinally 00d1 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 89 4D E0 8B DA 8B F0 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 E0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2B 8D 55 E4 8B 45 DC 8B 08 FF 11 8B C3 03 C0 03 C0 03 C0 2B C3 8B 55 E0 8B 12 8D 04 82 8D 55 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0A B2 01 8B 45 DC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60067_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TConverterDescription>.ToArrayImpl"
		size = 227
		refs = "0014 TConverterDescription 0019 @InitializeRecord 0021 TEnumerable<System.Bindings.Outputs.TConverterDescription>.ToArrayImpl 0036 TArray<System.Bindings.Outputs.TConverterDescription> 003b @DynArraySetLength 0047 TEnumerable<System.Bindings.Outputs.TConverterDescription>.GetEnumerator 0084 @CopyRecord 008d TEnumerator<System.Bindings.Outputs.TConverterDescription>.MoveNext 00b4 @HandleFinally 00d1 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 89 4D E0 8B DA 8B F0 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 E0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2B 8D 55 E4 8B 45 DC 8B 08 FF 11 8B C3 03 C0 03 C0 03 C0 2B C3 8B 55 E0 8B 12 8D 04 82 8D 55 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0A B2 01 8B 45 DC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58931_0 {
	meta:
		name = "TEnumerable<System.Bindings.Methods.TMethodDescription>.ToArray"
		size = 245
		refs = "0011 TMethodDescription 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Methods.TMethodDescription>.ToArray 002b _DV_TList<System.Bindings.Methods.TMethodDescription> 0030 TList<System.Bindings.Methods.TMethodDescription>.Create 0048 TEnumerable<System.Bindings.Methods.TMethodDescription>.GetEnumerator 0070 TList<System.Bindings.Methods.TMethodDescription>.Add 0078 TEnumerator<System.Bindings.Methods.TMethodDescription>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 89 55 E0 8B D8 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 E4 8B 45 D8 8B 08 FF 11 8D 55 E4 8B 45 DC E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D8 00 74 0A B2 01 8B 45 D8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 E0 8B 45 DC 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60069_0 {
	meta:
		name = "TEnumerable<System.Bindings.Outputs.TConverterDescription>.ToArray"
		size = 245
		refs = "0011 TConverterDescription 0016 @InitializeRecord 001e TEnumerable<System.Bindings.Outputs.TConverterDescription>.ToArray 002b _DV_TList<System.Bindings.Outputs.TConverterDescription> 0030 TList<System.Bindings.Outputs.TConverterDescription>.Create 0048 TEnumerable<System.Bindings.Outputs.TConverterDescription>.GetEnumerator 0070 TList<System.Bindings.Outputs.TConverterDescription>.Add 0078 TEnumerator<System.Bindings.Outputs.TConverterDescription>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 89 55 E0 8B D8 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 E4 8B 45 D8 8B 08 FF 11 8D 55 E4 8B 45 DC E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D8 00 74 0A B2 01 8B 45 D8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 E0 8B 45 DC 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_58938_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TValueEnumerator.GetCurrent"
		size = 38
		refs = "001a TMethodDescription 001f @CopyRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8D 14 D2 8B 4B 04 8B 49 04 8D 54 91 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_58943_0 {
	meta:
		name = "TDictionary<System.string,System.Bindings.Methods.TMethodDescription>.TPairEnumerator.GetCurrent"
		size = 62
		refs = "0019 @UStrAsg 0032 TMethodDescription 0037 @CopyRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8D 14 D2 8B 4B 04 8B 49 04 8B 54 91 04 E8 ?? ?? ?? ?? 8D 46 04 8B 53 08 8D 14 D2 8B 4B 04 8B 49 04 8D 54 91 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59015_0 {
	meta:
		name = "TValue.From<System.Classes.TNotifyEvent>"
		size = 42
		refs = "000c TValue 0011 @FinalizeRecord 001c TNotifyEvent 0021 TValue.Make"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67663_0 {
	meta:
		name = "TValue.From<System.Comp>"
		size = 42
		refs = "000c TValue 0011 @FinalizeRecord 001c Comp 0021 TValue.Make"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67662_0 {
	meta:
		name = "TValue.From<System.Currency>"
		size = 42
		refs = "000c TValue 0011 @FinalizeRecord 001c Currency 0021 TValue.Make"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67660_0 {
	meta:
		name = "TValue.From<System.Double>"
		size = 42
		refs = "000c TValue 0011 @FinalizeRecord 001c Double 0021 TValue.Make"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67669_0 {
	meta:
		name = "TValue.From<System.Int64>"
		size = 42
		refs = "000c TValue 0011 @FinalizeRecord 001c Int64 0021 TValue.Make"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5D C2 08 00 }
	condition:
		$1
}

rule function_60673_0 {
	meta:
		name = "TValue.From<System.TDate>"
		size = 42
		refs = "000c TValue 0011 @FinalizeRecord 001c TDate 0021 TValue.Make"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5D C2 08 00 }
	condition:
		$1
}

rule function_60672_0 {
	meta:
		name = "TValue.From<System.TDateTime>"
		size = 42
		refs = "000c TValue 0011 @FinalizeRecord 001c TDateTime 0021 TValue.Make"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67668_0 {
	meta:
		name = "TValue.From<System.UInt64>"
		size = 42
		refs = "000c TValue 0011 @FinalizeRecord 001c UInt64 0021 TValue.Make"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5D C2 08 00 }
	condition:
		$1
}

rule function_59067_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.Methods.TMethodDescription>.Default"
		size = 32
		refs = "000a TMethodDescription 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 1C 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_60825_0 {
	meta:
		name = "TEqualityComparer<System.Bindings.Outputs.TConverterDescription>.Default"
		size = 32
		refs = "000a TConverterDescription 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 1C 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_59119_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.GetItem"
		size = 74
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 003d TMethodDescription 0042 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B D6 03 D2 03 D2 03 D2 2B D6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60830_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.GetItem"
		size = 74
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 003d TConverterDescription 0042 @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B D6 03 D2 03 D2 03 D2 2B D6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59120_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.SetItem"
		size = 192
		refs = "0015 TMethodDescription 001a @InitializeRecord 0022 TList<System.Bindings.Methods.TMethodDescription>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0066 @CopyRecord 00ad @FinalizeRecord 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D E0 8B F2 8B D8 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B FE 03 FF 03 FF 03 FF 2B FE 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 E4 8B C3 8B 30 FF 56 08 8B 55 E0 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60831_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.SetItem"
		size = 192
		refs = "0015 TConverterDescription 001a @InitializeRecord 0022 TList<System.Bindings.Outputs.TConverterDescription>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0066 @CopyRecord 00ad @FinalizeRecord 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D E0 8B F2 8B D8 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B FE 03 FF 03 FF 03 FF 2B FE 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 E4 8B C3 8B 30 FF 56 08 8B 55 E0 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59123_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.DoDelete"
		size = 262
		refs = "0015 TMethodDescription 001a @InitializeRecord 0022 TList<System.Bindings.Methods.TMethodDescription>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0066 @CopyRecord 0077 @FinalizeRecord 00ab Move 00ca @FillChar 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 88 4D E3 8B F2 8B D8 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B FE 03 FF 03 FF 03 FF 2B FE 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 07 00 00 00 F3 AB 8B FA FF 4B 08 8B 43 08 3B F0 74 3A 8B 53 04 8D 14 BA 52 8B 53 04 8D 54 BA 1C 2B C6 6B C8 1C 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 8B D0 03 C0 03 C0 03 C0 2B C2 8B 53 04 8D 04 82 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D E3 8D 55 E4 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60834_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.DoDelete"
		size = 262
		refs = "0015 TConverterDescription 001a @InitializeRecord 0022 TList<System.Bindings.Outputs.TConverterDescription>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0066 @CopyRecord 0077 @FinalizeRecord 00ab Move 00ca @FillChar 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 88 4D E3 8B F2 8B D8 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B FE 03 FF 03 FF 03 FF 2B FE 8B 53 04 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 07 00 00 00 F3 AB 8B FA FF 4B 08 8B 43 08 3B F0 74 3A 8B 53 04 8D 14 BA 52 8B 53 04 8D 54 BA 1C 2B C6 6B C8 1C 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 8B D0 03 C0 03 C0 03 C0 2B C2 8B 53 04 8D 04 82 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D E3 8D 55 E4 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59130_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.Add"
		size = 76
		refs = "000f TList<System.Bindings.Methods.TMethodDescription>.GrowCheck 002d TMethodDescription 0032 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B C7 03 C0 03 C0 03 C0 2B C7 8B 53 04 8D 04 82 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60841_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.Add"
		size = 76
		refs = "000f TList<System.Bindings.Outputs.TConverterDescription>.GrowCheck 002d TConverterDescription 0032 @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B C7 03 C0 03 C0 03 C0 2B C7 8B 53 04 8D 04 82 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59134_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.Insert"
		size = 163
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<System.Bindings.Methods.TMethodDescription>.GrowCheck 005d Move 006f @FillChar 0087 TMethodDescription 008c @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 37 8B EE 03 ED 03 ED 03 ED 2B EE 8B 53 04 8D 54 AA 1C 52 8B 53 04 8D 14 AA 2B C6 6B C8 1C 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 A8 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 8B C6 03 C0 03 C0 03 C0 2B C6 8B 53 04 8D 04 82 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60845_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.Insert"
		size = 163
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<System.Bindings.Outputs.TConverterDescription>.GrowCheck 005d Move 006f @FillChar 0087 TConverterDescription 008c @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 37 8B EE 03 ED 03 ED 03 ED 2B EE 8B 53 04 8D 54 AA 1C 52 8B 53 04 8D 14 AA 2B C6 6B C8 1C 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 A8 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 8B C6 03 C0 03 C0 03 C0 2B C6 8B 53 04 8D 04 82 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59135_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.InsertRange"
		size = 263
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Methods.TMethodDescription>.GrowCheck 007e Move 009b @FillChar 00c6 TMethodDescription 00cb @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 51 8B D3 03 55 FC 8B CA 03 D2 03 D2 03 D2 2B D1 8B 4E 04 8D 14 91 8B 4D FC 8B F9 03 C9 03 C9 03 C9 2B CF 8B 7E 04 8D 0C 8F 2B 45 FC 6B C0 1C 91 E8 ?? ?? ?? ?? 8B 45 FC 8B D0 03 C0 03 C0 03 C0 2B C2 8B 56 04 8D 04 82 6B D3 1C 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 34 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B D0 03 C0 03 C0 03 C0 2B C2 8B 56 04 8D 04 82 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 1C FF 4D F4 75 D5 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 1C FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_60846_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.InsertRange"
		size = 263
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Bindings.Outputs.TConverterDescription>.GrowCheck 007e Move 009b @FillChar 00c6 TConverterDescription 00cb @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 51 8B D3 03 55 FC 8B CA 03 D2 03 D2 03 D2 2B D1 8B 4E 04 8D 14 91 8B 4D FC 8B F9 03 C9 03 C9 03 C9 2B CF 8B 7E 04 8D 0C 8F 2B 45 FC 6B C0 1C 91 E8 ?? ?? ?? ?? 8B 45 FC 8B D0 03 C0 03 C0 03 C0 2B C2 8B 56 04 8D 04 82 6B D3 1C 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 34 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8B D0 03 C0 03 C0 03 C0 2B C2 8B 56 04 8D 04 82 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 1C FF 4D F4 75 D5 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 1C FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_59137_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.InsertRange"
		size = 183
		refs = "0014 TMethodDescription 0019 @InitializeRecord 0021 TList<System.Bindings.Methods.TMethodDescription>.InsertRange 002e TEnumerable<System.Bindings.Methods.TMethodDescription>.GetEnumerator 0057 TList<System.Bindings.Methods.TMethodDescription>.Insert 0060 TEnumerator<System.Bindings.Methods.TMethodDescription>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F9 8B DA 8B F0 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 E4 8B 45 E0 8B 08 FF 11 8D 4D E4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E0 00 74 0A B2 01 8B 45 E0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60848_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.InsertRange"
		size = 183
		refs = "0014 TConverterDescription 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TConverterDescription>.InsertRange 002e TEnumerable<System.Bindings.Outputs.TConverterDescription>.GetEnumerator 0057 TList<System.Bindings.Outputs.TConverterDescription>.Insert 0060 TEnumerator<System.Bindings.Outputs.TConverterDescription>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F9 8B DA 8B F0 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 E4 8B 45 E0 8B 08 FF 11 8D 4D E4 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E0 00 74 0A B2 01 8B 45 E0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59140_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.DeleteRange"
		size = 353
		refs = "0018 TList<System.Bindings.Methods.TMethodDescription>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Methods.TMethodDescription>.:3 0068 @DynArraySetLength 0086 Move 00e2 @FillChar 0109 @DynArrayLength 014e @DynArrayClear 0154 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 DF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 03 C0 03 C0 03 C0 2B C7 8B 53 04 8D 04 82 6B CE 1C 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 50 8B D7 03 D2 03 D2 03 D2 2B D7 8B 4B 04 8D 14 91 52 8D 14 3E 8B CA 03 D2 03 D2 03 D2 2B D1 8B 4B 04 8D 14 91 6B C8 1C 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B D0 03 C0 03 C0 03 C0 2B C2 8B 53 04 8D 04 82 6B D6 1C 33 C9 E8 ?? ?? ?? ?? EB 1A 8B C7 03 C0 03 C0 03 C0 2B C7 8B 53 04 8D 04 82 6B D6 1C 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 25 40 89 45 F8 33 F6 8B C6 03 C0 03 C0 03 C0 2B C6 8B 55 FC 8D 14 82 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_60851_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.DeleteRange"
		size = 353
		refs = "0018 TList<System.Bindings.Outputs.TConverterDescription>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Bindings.Outputs.TConverterDescription>.:3 0068 @DynArraySetLength 0086 Move 00e2 @FillChar 0109 @DynArrayLength 014e @DynArrayClear 0154 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 DF 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 03 C0 03 C0 03 C0 2B C7 8B 53 04 8D 04 82 6B CE 1C 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 50 8B D7 03 D2 03 D2 03 D2 2B D7 8B 4B 04 8D 14 91 52 8D 14 3E 8B CA 03 D2 03 D2 03 D2 2B D1 8B 4B 04 8D 14 91 6B C8 1C 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B D0 03 C0 03 C0 03 C0 2B C2 8B 53 04 8D 04 82 6B D6 1C 33 C9 E8 ?? ?? ?? ?? EB 1A 8B C7 03 C0 03 C0 03 C0 2B C7 8B 53 04 8D 04 82 6B D6 1C 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 25 40 89 45 F8 33 F6 8B C6 03 C0 03 C0 03 C0 2B C6 8B 55 FC 8D 14 82 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59141_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.Extract"
		size = 94
		refs = "000a TList<System.Bindings.Methods.TMethodDescription>.IndexOf 0018 TMethodDescription 001d @FinalizeRecord 004b @CopyRecord 0056 TList<System.Bindings.Methods.TMethodDescription>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1E 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 07 00 00 00 F3 AB 8B FA EB 28 8B C7 8B D6 03 D2 03 D2 03 D2 2B D6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60852_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.Extract"
		size = 94
		refs = "000a TList<System.Bindings.Outputs.TConverterDescription>.IndexOf 0018 TConverterDescription 001d @FinalizeRecord 004b @CopyRecord 0056 TList<System.Bindings.Outputs.TConverterDescription>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1E 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 07 00 00 00 F3 AB 8B FA EB 28 8B C7 8B D6 03 D2 03 D2 03 D2 2B D6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59142_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.Exchange"
		size = 188
		refs = "0014 TMethodDescription 0019 @InitializeRecord 0021 TList<System.Bindings.Methods.TMethodDescription>.Exchange 0045 @CopyRecord 00a9 @FinalizeRecord 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F9 8B F2 8B D8 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 8B D6 03 D2 03 D2 03 D2 2B D6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 03 C0 03 C0 2B C6 8B 53 04 8D 04 82 8B D7 03 D2 03 D2 03 D2 2B D7 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 03 C0 03 C0 2B C7 8B 53 04 8D 04 82 8D 55 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60853_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.Exchange"
		size = 188
		refs = "0014 TConverterDescription 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TConverterDescription>.Exchange 0045 @CopyRecord 00a9 @FinalizeRecord 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F9 8B F2 8B D8 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 8B D6 03 D2 03 D2 03 D2 2B D6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 03 C0 03 C0 2B C6 8B 53 04 8D 04 82 8B D7 03 D2 03 D2 03 D2 2B D7 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 03 C0 03 C0 2B C7 8B 53 04 8D 04 82 8D 55 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59143_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.Move"
		size = 331
		refs = "0014 TMethodDescription 0019 @InitializeRecord 0021 TList<System.Bindings.Methods.TMethodDescription>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 006d @CopyRecord 0088 @FinalizeRecord 00c8 Move 0109 @FillChar 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F1 8B FA 8B D8 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 EE 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B D7 03 D2 03 D2 03 D2 2B D7 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 03 C0 03 C0 2B C7 8B 53 04 8D 04 82 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 07 00 00 00 F3 AB 8B FA 3B F7 7E 2F 8B C7 03 C0 03 C0 03 C0 2B C7 8B 53 04 8D 14 82 8B C7 03 C0 03 C0 03 C0 2B C7 8B 4B 04 8D 44 81 1C 8B CE 2B CF 6B C9 1C E8 ?? ?? ?? ?? EB 23 8B C6 03 C0 03 C0 03 C0 2B C6 8B 53 04 8D 54 82 1C 52 8B 53 04 8D 04 82 2B FE 6B CF 1C 5A E8 ?? ?? ?? ?? 8B FE 03 FF 03 FF 03 FF 2B FE 8B 43 04 8D 04 B8 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8D 55 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60854_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.Move"
		size = 331
		refs = "0014 TConverterDescription 0019 @InitializeRecord 0021 TList<System.Bindings.Outputs.TConverterDescription>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 006d @CopyRecord 0088 @FinalizeRecord 00c8 Move 0109 @FillChar 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F1 8B FA 8B D8 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 EE 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B D7 03 D2 03 D2 03 D2 2B D7 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 03 C0 03 C0 2B C7 8B 53 04 8D 04 82 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 07 00 00 00 F3 AB 8B FA 3B F7 7E 2F 8B C7 03 C0 03 C0 03 C0 2B C7 8B 53 04 8D 14 82 8B C7 03 C0 03 C0 03 C0 2B C7 8B 4B 04 8D 44 81 1C 8B CE 2B CF 6B C9 1C E8 ?? ?? ?? ?? EB 23 8B C6 03 C0 03 C0 03 C0 2B C6 8B 53 04 8D 54 82 1C 52 8B 53 04 8D 04 82 2B FE 6B CF 1C 5A E8 ?? ?? ?? ?? 8B FE 03 FF 03 FF 03 FF 2B FE 8B 43 04 8D 04 B8 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B8 8D 55 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59148_0 {
	meta:
		name = "TList<T>.IndexOf"
		size = 69
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F0 8B 7E 08 4F 85 FF 7C 2A 47 33 DB 8B C3 03 C0 03 C0 03 C0 2B C3 8B 56 04 8D 14 82 8B 0C 24 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 07 43 4F 75 D9 83 C8 FF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59149_0 {
	meta:
		name = "TList<T>.LastIndexOf"
		size = 65
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B 5E 08 4B 83 FB 00 7C 28 8B C3 03 C0 03 C0 03 C0 2B C3 8B 56 04 8D 14 82 8B CF 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 09 4B 83 FB FF 75 D8 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59150_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.Reverse"
		size = 200
		refs = "0010 TMethodDescription 0015 @InitializeRecord 001d TList<System.Bindings.Methods.TMethodDescription>.Reverse 004b @CopyRecord 00b5 @FinalizeRecord 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B D8 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 6D 8D 45 E4 8B D6 03 D2 03 D2 03 D2 2B D6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 03 C0 03 C0 2B C6 8B 53 04 8D 04 82 8B D7 03 D2 03 D2 03 D2 2B D7 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 03 C0 03 C0 2B C7 8B 53 04 8D 04 82 8D 55 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F 93 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60861_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.Reverse"
		size = 200
		refs = "0010 TConverterDescription 0015 @InitializeRecord 001d TList<System.Bindings.Outputs.TConverterDescription>.Reverse 004b @CopyRecord 00b5 @FinalizeRecord 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B D8 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 6D 8D 45 E4 8B D6 03 D2 03 D2 03 D2 2B D6 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 03 C0 03 C0 2B C6 8B 53 04 8D 04 82 8B D7 03 D2 03 D2 03 D2 2B D7 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 03 C0 03 C0 2B C7 8B 53 04 8D 04 82 8D 55 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F 93 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59156_0 {
	meta:
		name = "TList<System.Bindings.Methods.TMethodDescription>.ToArray"
		size = 162
		refs = "0019 TList<System.Bindings.Methods.TMethodDescription>.ToArray 0031 TArray<System.Bindings.Methods.TMethodDescription> 0036 @DynArraySetLength 0050 TList<System.Bindings.Methods.TMethodDescription>.GetItem 006b TMethodDescription 0070 @CopyRecord 008f @FinalizeRecord 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 33 47 33 DB 8D 4D E0 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 E0 8B C3 03 C0 03 C0 03 C0 2B C3 8B 4D FC 8B 09 8D 04 81 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60867_0 {
	meta:
		name = "TList<System.Bindings.Outputs.TConverterDescription>.ToArray"
		size = 162
		refs = "0019 TList<System.Bindings.Outputs.TConverterDescription>.ToArray 0031 TArray<System.Bindings.Outputs.TConverterDescription> 0036 @DynArraySetLength 0050 TList<System.Bindings.Outputs.TConverterDescription>.GetItem 006b TConverterDescription 0070 @CopyRecord 008f @FinalizeRecord 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 33 47 33 DB 8D 4D E0 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 E0 8B C3 03 C0 03 C0 03 C0 2B C3 8B 4D FC 8B 09 8D 04 81 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59274_0 {
	meta:
		name = "TComparer<System.Bindings.Methods.TMethodDescription>.Default"
		size = 32
		refs = "000a TMethodDescription 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 1C 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61407_0 {
	meta:
		name = "TComparer<System.Bindings.Outputs.TConverterDescription>.Default"
		size = 32
		refs = "000a TConverterDescription 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 1C 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_59277_0 {
	meta:
		name = "TArray.BinarySearch<T>"
		size = 191
		refs = "0033 SArgumentOutOfRange 003a _Dn_EArgumentOutOfRangeException 003f Exception.CreateRes 0044 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B 75 08 8B 45 0C 85 C0 7C 1B 3B C1 7E 04 85 F6 7F 13 8D 14 06 4A 3B D1 7F 0B 85 F6 7C 07 8D 14 06 85 D2 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 75 0B 8B 55 14 89 02 C6 45 FB 00 EB 5B C6 45 FB 00 8B D8 03 F0 4E 89 75 F4 3B 5D F4 7F 45 8B 75 F4 2B F3 D1 EE 03 F3 8B C6 03 C0 03 C0 03 C0 2B C6 8B 55 FC 8D 14 82 8B 4D 18 8B 45 10 8B 38 FF 57 0C 89 45 F0 83 7D F0 00 7D 05 8D 5E 01 EB 0E 4E 89 75 F4 83 7D F0 00 75 04 C6 45 FB 01 3B 5D F4 7E BB 8B 45 14 89 18 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_59297_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Methods.TMethodDescription>"
		size = 401
		refs = "0017 TMethodDescription 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Methods.TMethodDescription> 0081 @CopyRecord 017c @FinalizeArray 0182 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 89 4D BC 89 55 C0 89 45 C4 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 BC 40 85 C0 0F 84 18 01 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 0A 01 00 00 8B 5D 0C 8B 75 08 8D 45 E4 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B CA 03 D2 03 D2 03 D2 2B D1 8B 4D C0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B C3 03 C0 03 C0 03 C0 2B C3 8B 55 C0 8D 14 82 8D 4D E4 8B 45 10 8B 38 FF 57 0C 85 C0 7C E0 EB 01 4E 8B C6 03 C0 03 C0 03 C0 2B C6 8B 55 C0 8D 14 82 8D 4D E4 8B 45 10 8B 38 FF 57 0C 85 C0 7F E0 3B F3 7C 63 3B F3 74 5D 8D 45 C8 8B FB 03 FF 03 FF 03 FF 2B FB 8B 55 C0 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 8D 04 B8 8B D6 03 D2 03 D2 03 D2 2B D6 8B 4D C0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 03 C0 03 C0 2B C6 8B 55 C0 8D 04 82 8D 55 C8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 50 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 C0 8B 4D BC 8B 45 C4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C F6 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_61498_0 {
	meta:
		name = "TArray.QuickSort<System.Bindings.Outputs.TConverterDescription>"
		size = 401
		refs = "0017 TConverterDescription 001c @InitializeRecord 0032 TArray.QuickSort<System.Bindings.Outputs.TConverterDescription> 0081 @CopyRecord 017c @FinalizeArray 0182 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 89 4D BC 89 55 C0 89 45 C4 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 BC 40 85 C0 0F 84 18 01 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 0A 01 00 00 8B 5D 0C 8B 75 08 8D 45 E4 8B 55 08 2B 55 0C D1 EA 03 55 0C 8B CA 03 D2 03 D2 03 D2 2B D1 8B 4D C0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B C3 03 C0 03 C0 03 C0 2B C3 8B 55 C0 8D 14 82 8D 4D E4 8B 45 10 8B 38 FF 57 0C 85 C0 7C E0 EB 01 4E 8B C6 03 C0 03 C0 03 C0 2B C6 8B 55 C0 8D 14 82 8D 4D E4 8B 45 10 8B 38 FF 57 0C 85 C0 7F E0 3B F3 7C 63 3B F3 74 5D 8D 45 C8 8B FB 03 FF 03 FF 03 FF 2B FB 8B 55 C0 8D 14 BA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 8D 04 B8 8B D6 03 D2 03 D2 03 D2 2B D6 8B 4D C0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 03 C0 03 C0 2B C6 8B 55 C0 8D 04 82 8D 55 C8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 50 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 C0 8B 4D BC 8B 45 C4 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C F6 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_59318_0 {
	meta:
		name = "TBindingNotifier.Create"
		size = 159
		refs = "0010 @ClassCreate 001e TBindingNotifier.Create 0030 sOwnerNotFound 0035 LoadResString 003f _Dn_EBindingNotifyError 0044 Exception.Create 0049 @RaiseExcept 0052 TObject.Create 0074 @UStrClr 007a @HandleFinally 0087 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B 45 08 89 47 10 C6 47 14 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_59321_0 {
	meta:
		name = "TAbstractObjectMemberGroup.GetEvalTimeOnly"
		size = 5
		altNames = "TBindingNotifier.GetReserved"
	strings:
		$1 = { 0F B6 40 14 C3 }
	condition:
		$1
}

rule function_59322_0 {
	meta:
		name = "TBindingNotifier.Notify"
		size = 168
		refs = "0011 TBindingNotifier.Notify 001f @IntfClear 002e Supports 004f sUnsupportedManager 0054 LoadResString 005e _Dn_EBindingNotifyError 0063 Exception.Create 0068 @RaiseExcept 007d @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 84 C0 74 15 8B D3 85 D2 74 03 83 EA E8 8B CE 8B 45 FC 8B 18 FF 53 0C EB 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 64 0F 36 83 60 62 29 40 96 B3 07 0F B2 53 F0 75 }
	condition:
		$1
}

rule function_59325_0 {
	meta:
		name = "TBindingNotification.Create"
		size = 147
		refs = "0010 @ClassCreate 001e TBindingNotification.Create 002d TObject.Create 0039 sOwnerNotFound 003e LoadResString 0048 _Dn_EBindingNotifyError 004d Exception.Create 0052 @RaiseExcept 006a @UStrClr 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 77 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59343_0 {
	meta:
		name = "WrapObject"
		size = 139
		refs = "0010 WrapObject 0022 sScopeObjNull 0027 LoadResString 0031 _Dn_EWrapperError 0036 Exception.Create 003b @RaiseExcept 004f _DV_TObjectWrapper 0054 TObjectWrapper.Create 0064 @IntfCopy 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 89 C6 56 6A 01 6A 00 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA B8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59345_0 {
	meta:
		name = "TObjectWrapper.Attach"
		size = 252
		refs = "001c TValue 0021 @InitializeRecord 0029 TObjectWrapper.Attach 004e TObjectWrapper.GetEnumerator 0063 @IntfClear 0072 Supports 0080 TObjectWrapper.GetValue 0088 TValue.AsObject 00c1 @FinalizeRecord 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D FC 89 4D F8 89 4D F4 8B F2 8B D8 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 89 43 20 83 7B 30 00 74 0A 8B D0 8B 43 30 8B 08 FF 51 18 8D 55 F4 8B C3 E8 ?? ?? ?? ?? EB 42 8D 55 FC 8B 45 F4 8B 08 FF 51 0C 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1C 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 1C 8B 45 F4 8B 10 FF 52 10 84 C0 75 B2 8D 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5E 5B 8B E5 5D C3 00 FA D2 76 4F D9 BE 6B 47 AA 29 B6 39 9F 23 4D A1 }
	condition:
		$1
}

rule function_59348_0 {
	meta:
		name = "TObjectWrapper.Create"
		size = 364
		refs = "0019 @ClassCreate 002b TObjectWrapper.Create 003a TObject.Create 0058 SParamIsNil 005d LoadResString 0067 _Dn_EWrapperError 006c Exception.CreateFmt 0071 @RaiseExcept 0080 TRttiContext.Create 008c TRttiContext 0091 @CopyRecord 009b _Dn_TDictionaryScope 00a0 TDictionaryScope.Create 00b5 @IntfCopy 00bc _DV_TList<System.string> 00c1 TList<System.string>.Create 00e6 IsProxyClassProc 0113 @FinalizeRecord 011b @UStrClr 0121 @HandleFinally 0130 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 85 FF 75 33 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 10 88 43 38 8D 45 EC E8 ?? ?? ?? ?? 8D 55 EC 8D 43 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 8D 43 1C 8B 53 18 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 89 7B 24 0F B6 45 0C 88 43 2C 8B 45 08 89 43 34 C6 43 14 00 C6 43 0C 00 85 F6 74 18 83 3D ?? ?? ?? ?? 00 74 0F 8B 06 89 C7 8B C7 FF 15 ?? ?? ?? ?? 88 43 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 65 00 74 00 61 00 43 00 6C 00 61 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_59349_0 {
	meta:
		name = "TObjectWrapper.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f @IntfClear 0017 TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 1C E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59350_0 {
	meta:
		name = "TObjectWrapper.Detach"
		size = 176
		refs = "0010 TObjectWrapper.Detach 0025 TObjectWrapper.GetEnumerator 003a @IntfClear 0049 Supports 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 43 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? EB 2E 8D 55 FC 8B 45 F4 8B 08 FF 51 0C 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 F8 8B 10 FF 52 20 8B 45 F4 8B 10 FF 52 10 84 C0 75 C6 8D 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 00 FA D2 76 4F D9 BE 6B 47 AA 29 B6 39 9F 23 4D A1 }
	condition:
		$1
}

rule function_59351_0 {
	meta:
		name = "TObjectWrapper.GetAvailClassType"
		size = 18
	strings:
		$1 = { 8B 48 20 85 C9 74 07 8B 01 89 C2 8B C2 C3 8B 40 24 C3 }
	condition:
		$1
}

rule function_59352_0 {
	meta:
		name = "TObjectWrapper.GetBinding"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 34 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59355_0 {
	meta:
		name = "TObjectWrapper.GetEnumerator"
		size = 101
		refs = "000d TObjectWrapper.GetEnumerator 001f _Dn_TDictionaryScope.TWrappersEnumerator 0024 TDictionaryScope.TWrappersEnumerator.Create 0035 @IntfCopy 0054 @IntfClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 58 18 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59356_0 {
	meta:
		name = "TObjectWrapper.GetEvalTimeOnly"
		size = 5
		altNames = "TXmlCustomSubsetTokenizer.GetTokenType"
	strings:
		$1 = { 0F B6 40 2C C3 }
	condition:
		$1
}

rule function_59358_0 {
	meta:
		name = "TObjectWrapper.GetSelf"
		size = 25
		refs = "0012 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59360_0 {
	meta:
		name = "TObjectWrapper.GetSymbols"
		size = 25
		refs = "0011 TList<System.string>.GetItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 28 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59361_0 {
	meta:
		name = "TObjectWrapper.GetType"
		size = 11
		refs = "0001 TObjectWrapper.GetAvailClassType"
	strings:
		$1 = { E8 ?? ?? ?? ?? 83 C0 B8 8B 00 C3 }
	condition:
		$1
}

rule function_59363_0 {
	meta:
		name = "TObjectWrapper.Lookup"
		size = 61
		refs = "000c @IntfClear 0027 @IntfCopy 0035 TDictionaryScope.Lookup"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 43 20 85 C0 74 22 3B F8 75 12 8B C6 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? EB 0C 8B CE 8B D7 8B 43 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59364_0 {
	meta:
		name = "TObjectWrapper.LookupVirtualWrapper"
		size = 336
		refs = "001d TObjectWrapper.LookupVirtualWrapper 002b @IntfClear 0032 TObjectWrapper.GetAvailClassType 0038 _Dn_TBindingScopeFactory 0043 TBindingScopeFactory.GetBestFitScope 0066 TBindingScopeFactory.CreateScope 0077 @IntfCopy 00a7 TDictionaryScope.Lookup 00bc Supports 00d9 _DV_TVirtualObjectMemberGroup 00de TVirtualObjectMemberGroup.Create 010f TDictionary<System.string,System.IInterface>.Add 0132 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B F8 8B D7 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 84 C0 0F 84 BF 00 00 00 83 7B 30 00 75 21 8B 4B 24 8B 53 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8D 43 30 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 83 7B 30 00 74 0E 8D 4D FC 8B 55 F4 8B 43 30 8B 30 FF 56 0C 83 7D FC 00 74 76 8B 4D F0 8B 55 F4 8B 43 18 E8 ?? ?? ?? ?? 8B 45 F0 83 38 00 75 60 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 31 8D 45 F8 8B 53 34 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B 45 F0 E8 ?? ?? ?? ?? EB 0B 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 4D F0 8B 09 8B 43 18 8B 40 0C 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 46 38 96 45 75 9D 19 42 8A 5D 1C DE EC AE A7 CD }
	condition:
		$1
}

rule function_59366_0 {
	meta:
		name = "TCustomGIFRenderer.SetLoopMax"
		size = 4
		altNames = "TObjectWrapper.SetBinding TPhysicalObjectMemberGroup.AttachObjectOnly"
	strings:
		$1 = { 89 50 34 C3 }
	condition:
		$1
}

rule function_59368_0 {
	meta:
		name = "TObjectWrapper.SetValue"
		size = 19
		refs = "0009 TValue.AsObject"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 43 20 5E 5B C3 }
	condition:
		$1
}

rule function_59369_0 {
	meta:
		name = "TObjectWrapper.LookupDefault"
		size = 484
		refs = "0021 TObjectWrapper.LookupDefault 002e @IntfClear 0047 TDictionaryScope.Lookup 005d TObjectWrapper.LookupRtti 006f @IntfCopy 00d6 _DV_TDynamicObjectMemberGroup 00db TDynamicObjectMemberGroup.Create 010b Supports 0171 TDictionary<System.string,System.IInterface>.Add 018f ICompiledBinding 0199 @FinalizeArray 01b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 89 55 E4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? C6 45 E3 00 33 DB 80 7E 14 00 75 13 8B CF 8B 55 E4 8B 46 18 E8 ?? ?? ?? ?? 83 3F 00 0F 95 C3 84 DB 75 13 8B CF 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 83 3F 00 0F 95 45 E3 8D 45 F0 8B 56 34 E8 ?? ?? ?? ?? 83 7D F0 00 0F 84 DA 00 00 00 8D 45 EC 8B 56 34 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 0C 2C 02 74 09 2C 03 74 5D E9 BA 00 00 00 84 DB 0F 85 B2 00 00 00 80 7D E3 00 0F 85 A8 00 00 00 80 7E 38 00 0F 85 9E 00 00 00 8D 45 E8 8B 56 34 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 46 24 50 8B 45 E8 50 8B 4E 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B C7 E8 ?? ?? ?? ?? C6 45 E3 01 EB 62 84 DB 74 5E 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 84 C0 74 44 8D 55 DC 8B 45 FC 8B 08 FF 51 20 83 7D DC 00 75 33 8D 4D F4 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 55 F8 8B 45 FC 8B 08 FF 51 24 80 F3 01 22 5D E3 74 16 80 7E 14 00 75 10 8B 0F 8B 46 18 8B 40 0C 8B 55 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5F 5E 5B 8B E5 5D C3 78 A9 4A 9F 53 B0 37 41 87 EE A1 C6 6C 53 FB 25 B4 5D 94 D6 FB 6E A0 47 A9 1E 97 55 22 DA B2 8A }
	condition:
		$1
}

rule function_59370_0 {
	meta:
		name = "TObjectWrapper.LookupField"
		size = 147
		refs = "000d TObjectWrapper.LookupField 0021 @IntfClear 003d @IntfCopy 0055 _DV_TObjectFieldGroup 005a TObjectFieldGroup.Create 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 0C 00 74 0A 8B 45 08 E8 ?? ?? ?? ?? EB 48 8B C2 8B D1 8B 08 FF 51 2C 8B D8 85 DB 74 39 8D 45 FC 8B 56 34 E8 ?? ?? ?? ?? 53 8B 46 24 50 0F B6 46 2C 50 8B 45 FC 50 8B 4E 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_59371_0 {
	meta:
		name = "TObjectWrapper.LookupIndexedProperty"
		size = 152
		refs = "000d TObjectWrapper.LookupIndexedProperty 0021 @IntfClear 003d @IntfCopy 0050 _DV_TIndexedObjectPropertyGroup 0055 TIndexedObjectPropertyGroup.Create 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 0C 00 74 0A 8B 45 08 E8 ?? ?? ?? ?? EB 4D 8B C2 8B D1 8B 08 FF 51 34 8B D8 85 DB 74 36 8D 45 FC 8B 56 34 E8 ?? ?? ?? ?? 53 8B 46 24 50 8B 45 FC 50 8B 4E 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B 45 08 E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_59372_0 {
	meta:
		name = "TObjectWrapper.LookupMethod"
		size = 165
		refs = "001a TObjectWrapper.LookupMethod 002d @IntfClear 004a @IntfCopy 005d _DV_TObjectMethodGroup 0062 TObjectMethodGroup.Create 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F0 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 0C 00 74 09 8B C7 E8 ?? ?? ?? ?? EB 4C 8B C2 8B 55 F8 8B 08 FF 51 24 8B D8 85 DB 74 35 8D 45 FC 8B 56 34 E8 ?? ?? ?? ?? 53 8B 46 24 50 8B 45 FC 50 8B 4E 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B C7 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_59373_0 {
	meta:
		name = "TObjectWrapper.LookupProperty"
		size = 180
		refs = "001c TObjectWrapper.LookupProperty 002f @IntfClear 0054 @IntfCopy 006c _DV_TObjectPropertyGroup 0071 TObjectPropertyGroup.Create 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 89 55 F8 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0C 00 74 09 8B C7 E8 ?? ?? ?? ?? EB 59 85 F6 74 0E 8B D6 8B 45 F8 8B 08 FF 51 30 8B F0 EB 02 33 F6 85 F6 74 3A 8D 45 FC 8B 53 34 E8 ?? ?? ?? ?? 56 8B 43 24 50 0F B6 43 2C 50 8B 45 FC 50 8B 4B 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B C7 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_59374_0 {
	meta:
		name = "TObjectWrapper.LookupRtti"
		size = 112
		refs = "0013 @IntfClear 001c TObjectWrapper.GetAvailClassType 0026 TRttiContext.GetType 0034 TObjectWrapper.LookupMethod 0045 TObjectWrapper.LookupProperty 0056 TObjectWrapper.LookupIndexedProperty 0067 TObjectWrapper.LookupField"
	strings:
		$1 = { 53 56 57 55 8B F1 8B EA 8B D8 80 7B 0C 00 74 09 8B C6 E8 ?? ?? ?? ?? EB 52 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 43 10 E8 ?? ?? ?? ?? 8B F8 56 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 83 3E 00 75 0C 56 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 83 3E 00 75 0C 56 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 83 3E 00 75 0C 56 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59375_0 {
	meta:
		name = "TObjectWrapper.Lookup"
		size = 47
		refs = "000c @IntfClear 0017 TObjectWrapper.LookupVirtualWrapper 0027 TObjectWrapper.LookupDefault"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 83 3B 00 75 0B 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59377_0 {
	meta:
		name = "TObjectPropertyInstance.GetType"
		size = 49
		refs = "0007 TPhysicalObjectMemberInstance.GetMember 0019 TRttiType.GetHandle 0023 TAbstractObjectMemberInstance.GetParent"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0F 8B C6 8B 10 FF 52 10 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 00 83 C0 B8 8B 00 5E 5B C3 }
	condition:
		$1
}

rule function_59378_0 {
	meta:
		name = "TObjectPropertyInstance.GetValue"
		size = 68
		refs = "000a TAbstractObjectMemberInstance.GetParent 0017 TPhysicalObjectMemberInstance.GetMember 0028 TRttiProperty.GetValue 0033 TValue.From<System.TObject> 003c TValue.GetEmpty"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 25 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0D 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? EB 12 8B D7 8B C3 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59379_0 {
	meta:
		name = "TObjectPropertyInstance.SetValue"
		size = 44
		refs = "000a TAbstractObjectMemberInstance.GetParent 0013 TPhysicalObjectMemberInstance.GetMember 0024 TRttiProperty.SetValue"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 85 F6 74 0D 85 C0 74 09 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59380_0 {
	meta:
		name = "TPhysicalObjectMemberGroup.Attach"
		size = 200
		refs = "0013 TPhysicalObjectMemberGroup.Attach 002c TPhysicalObjectMemberGroup.AttachObjectOnly 0036 TAbstractObjectMemberGroup.GetEnumerator 004b @IntfClear 005a Supports 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 40 00 75 61 C6 43 40 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? EB 30 8D 55 FC 8B 45 F4 8B 08 FF 51 0C 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 F8 8B 08 FF 51 1C 8B 45 F4 8B 10 FF 52 10 84 C0 75 C4 8D 45 F4 E8 ?? ?? ?? ?? C6 43 40 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 FA D2 76 4F D9 BE 6B 47 AA 29 B6 39 9F 23 4D A1 }
	condition:
		$1
}

rule function_59382_0 {
	meta:
		name = "TPhysicalObjectMemberGroup.Create"
		size = 232
		refs = "0016 @ClassCreate 0028 TPhysicalObjectMemberGroup.Create 003f TAbstractObjectMemberGroup.Create 005d SParamIsNil 0062 LoadResString 006c _Dn_EWrapperError 0071 Exception.CreateFmt 0076 @RaiseExcept 0097 @UStrClr 009d @HandleFinally 00ac @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 0F B6 4D 0C 33 D2 8B C3 E8 ?? ?? ?? ?? 85 F6 75 33 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 7B 34 8B 45 14 89 43 3C 89 73 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 65 00 74 00 61 00 43 00 6C 00 61 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_59383_0 {
	meta:
		name = "TPhysicalObjectMemberGroup.Detach"
		size = 192
		refs = "0010 TPhysicalObjectMemberGroup.Detach 0027 TPhysicalObjectMemberGroup.DetachObjectOnly 0031 TAbstractObjectMemberGroup.GetEnumerator 0046 @IntfClear 0055 Supports 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 40 00 75 5D C6 43 40 01 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? EB 2E 8D 55 FC 8B 45 F4 8B 08 FF 51 0C 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 F8 8B 10 FF 52 20 8B 45 F4 8B 10 FF 52 10 84 C0 75 C6 8D 45 F4 E8 ?? ?? ?? ?? C6 43 40 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 00 FA D2 76 4F D9 BE 6B 47 AA 29 B6 39 9F 23 4D A1 }
	condition:
		$1
}

rule function_59384_0 {
	meta:
		name = "TPhysicalObjectMemberGroup.DetachObjectOnly"
		size = 6
	strings:
		$1 = { 33 D2 89 50 34 C3 }
	condition:
		$1
}

rule function_59387_0 {
	meta:
		name = "TPhysicalObjectMemberGroup.GetMemberName"
		size = 34
		refs = "000a @UStrClr"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 7B 3C 85 FF 74 09 8B D6 8B C7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59391_0 {
	meta:
		name = "TIndexedObjectPropertyInstance.GetType"
		size = 22
		refs = "0006 TPhysicalObjectMemberInstance.GetMember 000b TRttiIndexedProperty.GetPropertyType 0010 TRttiType.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_59392_0 {
	meta:
		name = "TIndexedObjectPropertyInstance.GetValue"
		size = 67
		refs = "000b TValue.GetEmpty 0012 TAbstractObjectMemberInstance.GetParent 0028 @DynArrayHigh 0031 TPhysicalObjectMemberInstance.GetMember 003a TRttiIndexedProperty.GetValue"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 22 83 7B 40 00 74 1C 8B 6B 40 8B C5 E8 ?? ?? ?? ?? 50 57 8B C3 E8 ?? ?? ?? ?? 8B CD 8B D6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59393_0 {
	meta:
		name = "TIndexedObjectPropertyInstance.SetArgs"
		size = 28
		refs = "0006 TPhysicalParamedObjectMemberInstance.SetArgs 000d TAbstractObjectMemberInstance.GetParent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 14 5B C3 }
	condition:
		$1
}

rule function_59394_0 {
	meta:
		name = "TIndexedObjectPropertyInstance.SetValue"
		size = 54
		refs = "000b TAbstractObjectMemberInstance.GetParent 001b @DynArrayHigh 0024 TPhysicalObjectMemberInstance.GetMember 002d TRttiIndexedProperty.SetValue"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1C 8B 7B 40 8B C7 E8 ?? ?? ?? ?? 50 55 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59395_0 {
	meta:
		name = "TIndexedObjectPropertyGroup.Add"
		size = 64
		refs = "0016 _DV_TIndexedObjectPropertyInstance 001b TIndexedObjectPropertyInstance.Create 002b @IntfCopy 0038 TList<System.IInterface>.Add"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 85 F6 74 04 33 C0 89 06 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B C6 E8 ?? ?? ?? ?? 8B 16 8B 43 10 8B 40 0C E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_59487_0 {
	meta:
		name = "TDynamicObjectMemberGroup.Add"
		size = 64
		refs = "0016 _DV_TDynamicObjectMemberInstance 001b TDynamicObjectMemberInstance.Create 002b @IntfCopy 0038 TList<System.IInterface>.Add"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 85 F6 74 04 33 C0 89 06 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B C6 E8 ?? ?? ?? ?? 8B 16 8B 43 10 8B 40 0C E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_59414_0 {
	meta:
		name = "TObjectFieldGroup.Add"
		size = 64
		refs = "0016 _DV_TObjectFieldInstance 001b TObjectFieldInstance.Create 002b @IntfCopy 0038 TList<System.IInterface>.Add"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 85 F6 74 04 33 C0 89 06 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B C6 E8 ?? ?? ?? ?? 8B 16 8B 43 10 8B 40 0C E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_59405_0 {
	meta:
		name = "TObjectMethodGroup.Add"
		size = 64
		refs = "0016 _DV_TObjectMethodInstance 001b TObjectMethodInstance.Create 002b @IntfCopy 0038 TList<System.IInterface>.Add"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 85 F6 74 04 33 C0 89 06 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B C6 E8 ?? ?? ?? ?? 8B 16 8B 43 10 8B 40 0C E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_59397_0 {
	meta:
		name = "TObjectPropertyGroup.Add"
		size = 64
		refs = "0016 _DV_TObjectPropertyInstance 001b TObjectPropertyInstance.Create 002b @IntfCopy 0038 TList<System.IInterface>.Add"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 85 F6 74 04 33 C0 89 06 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B C6 E8 ?? ?? ?? ?? 8B 16 8B 43 10 8B 40 0C E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_59444_0 {
	meta:
		name = "TVirtualObjectMemberGroup.Add"
		size = 64
		refs = "0016 _DV_TVirtualObjectMemberInstance 001b TVirtualObjectMemberInstance.Create 002b @IntfCopy 0038 TList<System.IInterface>.Add"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 85 F6 74 04 33 C0 89 06 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B C6 E8 ?? ?? ?? ?? 8B 16 8B 43 10 8B 40 0C E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_59396_0 {
	meta:
		name = "TIndexedObjectPropertyGroup.Create"
		size = 73
		refs = "000d @ClassCreate 0028 TPhysicalObjectMemberGroup.Create 0033 @AfterConstruction"
		altNames = "TObjectMethodGroup.Create"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 10 50 8B 45 0C 50 6A 01 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_59398_0 {
	meta:
		name = "TObjectFieldGroup.Create"
		size = 76
		refs = "000d @ClassCreate 002b TPhysicalObjectMemberGroup.Create 0036 @AfterConstruction"
		altNames = "TObjectPropertyGroup.Create"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 14 50 8B 45 10 50 0F B6 45 0C 50 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_59399_0 {
	meta:
		name = "TPhysicalObjectMemberInstance.Attach"
		size = 153
		refs = "0011 TValue 0016 @InitializeRecord 001e TPhysicalObjectMemberInstance.Attach 0050 TValue.AsObject 0058 TAbstractObjectMemberInstance.GetCache 005e TObjectWrapper.Attach 0087 @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 38 00 75 42 C6 43 38 01 8B 43 0C 89 70 34 8B C3 8B 10 FF 12 84 C0 74 20 8D 55 E8 8B C3 8B 08 FF 51 0C 8D 45 E8 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D6 8B 43 0C 8B 08 FF 51 10 C6 43 38 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59401_0 {
	meta:
		name = "TPhysicalObjectMemberInstance.Detach"
		size = 57
		refs = "0022 TAbstractObjectMemberInstance.GetCache 0027 TObjectWrapper.Detach"
	strings:
		$1 = { 53 8B D8 80 7B 38 00 75 2E C6 43 38 01 8B 43 0C 33 D2 89 50 34 8B C3 8B 10 FF 12 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C 8B 10 FF 52 14 C6 43 38 00 5B C3 }
	condition:
		$1
}

rule function_59402_0 {
	meta:
		name = "TAbstractObjectMemberInstance.Create"
		size = 196
		refs = "0016 @ClassCreate 0024 TAbstractObjectMemberInstance.Create 0033 TObject.Create 0051 SParamIsNil 0056 LoadResString 0060 _Dn_EWrapperError 0065 Exception.CreateFmt 006a @RaiseExcept 0082 @UStrClr 0088 @HandleFinally 0095 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 75 33 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 77 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 47 00 72 00 6F 00 75 00 70 00 00 00 }
	condition:
		$1
}

rule function_59403_0 {
	meta:
		name = "TAbstractObjectMemberInstance.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f @IntfClear 001a TObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 14 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59407_0 {
	meta:
		name = "TPhysicalParamedObjectMemberInstance.GetArgs"
		size = 25
		refs = "000d TArray<System.Rtti.TValue> 0012 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 40 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59408_0 {
	meta:
		name = "TPhysicalParamedObjectMemberInstance.SetArgs"
		size = 25
		refs = "000d TArray<System.Rtti.TValue> 0012 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 40 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59410_0 {
	meta:
		name = "TObjectMethodInstance.GetType"
		size = 44
		refs = "0022 TRttiType.GetHandle"
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 10 FF 52 1C 8B 10 FF 52 18 85 C0 74 14 8B 43 0C 8B 10 FF 52 1C 8B 10 FF 52 18 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_59411_0 {
	meta:
		name = "TObjectMethodInstance.GetValue"
		size = 25
		refs = "000d TValue 0012 @CopyRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8D 53 48 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59412_0 {
	meta:
		name = "TObjectMethodInstance.Invoke"
		size = 399
		refs = "001a TValue 001f @InitializeRecord 0027 TObjectMethodInstance.Invoke 0034 TAbstractObjectMemberInstance.GetParent 004d AdaptArguments 0059 TArray<System.Rtti.TValue> 005e @DynArrayAsg 0081 TAbstractObjectMemberInstance.GetMetaClass 008e @DynArrayHigh 009f TRttiMethod.Invoke 00f3 TValue.GetEmpty 00fb TValue.IsObject 0112 @IntfCopy 011e _Dn_TValueWrapper 0123 TValueWrapper.Create 0145 @CopyRecord 016e @DynArrayClear 017c @FinalizeRecord 0182 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 4D E4 8B DA 8B F8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 E0 8B C7 8B 40 0C 8B 10 FF 52 1C 8B F0 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 8D 47 40 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 2C 84 C0 74 38 83 7D E0 00 74 0B 8B 55 E0 8B 12 89 D0 8B D8 EB 09 8B C7 E8 ?? ?? ?? ?? 8B D8 8B 47 40 89 45 DC E8 ?? ?? ?? ?? 50 8D 45 E8 50 8B 4D DC 8B D3 8B C6 E8 ?? ?? ?? ?? EB 52 8B C6 8B 10 FF 52 30 84 C0 74 1C 8B 5F 40 8B C3 E8 ?? ?? ?? ?? 50 8D 45 E8 50 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? EB 2B 83 7D E0 00 74 1D 8B 5F 40 8B C3 E8 ?? ?? ?? ?? 50 8D 45 E8 50 8B CB 8B 55 E0 8B C6 E8 ?? ?? ?? ?? EB 08 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8B D8 84 DB 74 13 8B 45 E4 8B D7 85 D2 74 03 83 EA D0 E8 ?? ?? ?? ?? EB 20 8D 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B 45 E4 E8 ?? ?? ?? ?? 8D 47 48 8D 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 0A 8B 55 E0 8B C7 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59413_0 {
	meta:
		name = "TObjectMethodInstance.SetValue"
		size = 25
		refs = "000d TValue 0012 @CopyRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 48 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59417_0 {
	meta:
		name = "TObjectFieldInstance.GetType"
		size = 25
		refs = "0013 TRttiType.GetHandle"
	strings:
		$1 = { 53 8B 40 0C 8B 10 FF 52 1C 8B D8 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_59418_0 {
	meta:
		name = "TObjectFieldInstance.GetValue"
		size = 54
		refs = "000a TValue.GetEmpty 0011 TAbstractObjectMemberInstance.GetParent"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 17 8B C3 8B 40 0C 8B 10 FF 52 1C 8B D8 8B CF 8B D6 8B C3 8B 18 FF 53 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59419_0 {
	meta:
		name = "TObjectFieldInstance.SetValue"
		size = 43
		refs = "000a TAbstractObjectMemberInstance.GetParent"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 13 8B C3 8B 40 0C 8B 10 FF 52 1C 8B CF 8B D6 8B 18 FF 53 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59420_0 {
	meta:
		name = "TVirtualObjectMemberInstance.Attach"
		size = 147
		refs = "0011 TValue 0016 @InitializeRecord 001e TVirtualObjectMemberInstance.Attach 004a TValue.AsObject 0052 TAbstractObjectMemberInstance.GetCache 0058 TObjectWrapper.Attach 0081 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 54 00 75 3C C6 43 54 01 8B C3 8B 10 FF 12 84 C0 74 20 8D 55 E8 8B C3 8B 08 FF 51 0C 8D 45 E8 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D6 8B 43 0C 8B 08 FF 51 10 C6 43 54 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59423_0 {
	meta:
		name = "TVirtualObjectMemberInstance.Detach"
		size = 49
		refs = "001a TAbstractObjectMemberInstance.GetCache 001f TObjectWrapper.Detach"
	strings:
		$1 = { 53 8B D8 80 7B 54 00 75 26 C6 43 54 01 8B C3 8B 10 FF 12 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C 8B 10 FF 52 14 C6 43 54 00 5B C3 }
	condition:
		$1
}

rule function_59424_0 {
	meta:
		name = "TVirtualObjectMemberInstance.GetArgs"
		size = 25
		refs = "000d TArray<System.Rtti.TValue> 0012 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 50 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59425_0 {
	meta:
		name = "TVirtualObjectMemberInstance.GetCustomWrapper"
		size = 22
		refs = "000f @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C 8B 52 34 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59426_0 {
	meta:
		name = "TVirtualObjectMemberInstance.GetType"
		size = 9
		refs = "0004 TValue.GetTypeInfo"
	strings:
		$1 = { 83 C0 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59427_0 {
	meta:
		name = "TVirtualObjectMemberInstance.GetValue"
		size = 196
		refs = "0017 TVirtualObjectMemberInstance.GetValue 0024 TVirtualObjectMemberInstance.GetWrapperType 003a @IntfCopy 004a @IntfCast 0061 TValue 0066 @CopyRecord 008b @IntfClear 0099 @FinalizeRecord 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 2C 02 75 3A 8D 45 FC 8B 53 0C 8B 52 34 E8 ?? ?? ?? ?? 8D 45 E0 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 8B 08 FF 51 10 8D 55 E4 8D 43 38 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8D 53 38 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5E 5B 8B E5 5D C3 00 01 F9 95 A4 F5 72 84 43 BA 50 EC 3B 4B 42 F6 C2 }
	condition:
		$1
}

rule function_59428_0 {
	meta:
		name = "TVirtualObjectMemberInstance.GetWrapperType"
		size = 124
		refs = "000e TVirtualObjectMemberInstance.GetWrapperType 0022 @IntfCopy 0032 @IntfCast 0051 @IntfClear 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 0C 8B 52 34 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 0C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 46 38 96 45 75 9D 19 42 8A 5D 1C DE EC AE A7 CD }
	condition:
		$1
}

rule function_59429_0 {
	meta:
		name = "TVirtualObjectMemberInstance.Invoke"
		size = 260
		refs = "001d TValue 0022 @InitializeRecord 0038 TVirtualObjectMemberInstance.Invoke 004c @IntfCopy 005c @IntfCast 007b TValue.IsObject 0091 TValue.AsObject 0099 TAbstractObjectMemberInstance.GetCache 009f TObjectWrapper.Attach 00c4 @IntfClear 00d7 @FinalizeArray 00e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 89 5D FC 8B F1 89 55 C4 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 0C 8B 52 34 E8 ?? ?? ?? ?? 8D 45 C0 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 8B CE 8B 55 C4 8B 38 FF 57 0C 8D 55 E0 8B 06 8B 08 FF 51 10 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 74 30 8D 55 C8 8B 06 8B 08 FF 51 10 8D 45 C8 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B C6 8B D3 85 D2 74 03 83 EA D0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 00 00 1C 36 B8 0B C7 AA DB 42 B9 70 52 75 79 7D F4 1F }
	condition:
		$1
}

rule function_59430_0 {
	meta:
		name = "TVirtualObjectMemberInstance.QueryInterface"
		size = 216
		refs = "0011 TVirtualObjectMemberInstance.QueryInterface 0023 TGUID.&op_Equality 0055 @IntfCopy 005f Supports 007b TAbstractObjectMemberInstance.QueryInterface 0092 @IntfClear 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 5D 0C 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 20 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 10 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8D 45 FC 8B 56 0C 8B 52 34 E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 34 01 EB 02 33 C0 84 C0 74 07 BB 02 40 00 80 EB 0D 8B 45 10 50 53 56 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 0C 00 00 01 F9 95 A4 F5 72 84 43 BA 50 EC 3B 4B 42 F6 C2 1C 36 B8 0B C7 AA DB 42 B9 70 52 75 79 7D F4 1F 44 3B D9 79 1B 2F 53 4F B4 4D 91 91 3F E6 85 81 }
	condition:
		$1
}

rule function_59431_0 {
	meta:
		name = "TVirtualObjectMemberInstance.SetArgs"
		size = 144
		refs = "0011 TVirtualObjectMemberInstance.SetArgs 0022 TArray<System.Rtti.TValue> 0027 @DynArrayAsg 0035 @IntfCopy 0045 @IntfCast 0065 @IntfClear 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 50 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 0C 8B 52 34 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 53 50 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 44 3B D9 79 1B 2F 53 4F B4 4D 91 91 3F E6 85 81 }
	condition:
		$1
}

rule function_59433_0 {
	meta:
		name = "TAbstractObjectMemberGroup.Add"
		size = 76
		refs = "000c TAbstractObjectMemberGroup.Add 001a @IntfClear 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 18 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_59434_0 {
	meta:
		name = "TAbstractObjectMemberGroup.Clear"
		size = 12
		refs = "0007 TList<System.IInterface>.Clear"
	strings:
		$1 = { 8B 40 10 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59435_0 {
	meta:
		name = "TAbstractObjectMemberGroup.Create"
		size = 111
		refs = "000f @ClassCreate 001f TObject.Create 0026 _Dn_TObjectMemberGroupScope 002b TObjectMemberGroupScope.Create 0041 @IntfCopy 0057 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 10 8D 47 0C 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 88 5F 14 8B 45 08 89 47 18 8B C7 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_59436_0 {
	meta:
		name = "TAbstractObjectMemberGroup.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f @IntfClear 001a TObject.Destroy 0025 @ClassDestroy"
		altNames = "TCustomEnumDispatcher.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59437_0 {
	meta:
		name = "TAbstractObjectMemberGroup.GetAttached"
		size = 17
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 08 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_59439_0 {
	meta:
		name = "TAbstractObjectMemberGroup.GetEnumerator"
		size = 101
		refs = "000d TAbstractObjectMemberGroup.GetEnumerator 001f _Dn_TObjectMemberGroupScope.TWrappersEnumerator 0024 TObjectMemberGroupScope.TWrappersEnumerator.Create 0035 @IntfCopy 0054 @IntfClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 58 10 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59441_0 {
	meta:
		name = "TAbstractObjectMemberGroup.GetWrapperCount"
		size = 10
	strings:
		$1 = { 8B 40 10 8B 40 0C 8B 40 08 C3 }
	condition:
		$1
}

rule function_59442_0 {
	meta:
		name = "TAbstractObjectMemberGroup.GetWrappers"
		size = 28
		refs = "0014 TList<System.IInterface>.GetItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B 43 10 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59445_0 {
	meta:
		name = "TVirtualObjectMemberGroup.Attach"
		size = 224
		refs = "0013 TVirtualObjectMemberGroup.Attach 0033 @IntfCast 0047 TAbstractObjectMemberGroup.GetEnumerator 005c @IntfClear 006b Supports 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 39 00 75 72 C6 43 39 01 8D 45 F0 8B 53 34 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B D6 8B 08 FF 51 1C 8D 55 F4 8B C3 E8 ?? ?? ?? ?? EB 30 8D 55 FC 8B 45 F4 8B 08 FF 51 0C 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 F8 8B 08 FF 51 1C 8B 45 F4 8B 10 FF 52 10 84 C0 75 C4 8D 45 F4 E8 ?? ?? ?? ?? C6 43 39 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 FA D2 76 4F D9 BE 6B 47 AA 29 B6 39 9F 23 4D A1 }
	condition:
		$1
}

rule function_59446_0 {
	meta:
		name = "TVirtualObjectMemberGroup.CheckCustomWrapper"
		size = 404
		refs = "000f TVirtualObjectMemberGroup.CheckCustomWrapper 0028 TVirtualObjectMemberGroup.CheckIntfSupport 0037 @IntfCast 00b0 @IntfClear 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 2C 01 72 08 74 1B FE C8 74 2C EB 50 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? EB 3B 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? EB 26 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 43 00 75 00 73 00 74 00 6F 00 6D 00 57 00 72 00 61 00 70 00 70 00 65 00 72 00 00 00 00 00 46 38 96 45 75 9D 19 42 8A 5D 1C DE EC AE A7 CD B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 01 F9 95 A4 F5 72 84 43 BA 50 EC 3B 4B 42 F6 C2 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 49 00 6E 00 76 00 6F 00 6B 00 61 00 62 00 6C 00 65 00 00 00 00 00 1C 36 B8 0B C7 AA DB 42 B9 70 52 75 79 7D F4 1F B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 00 00 00 00 44 3B D9 79 1B 2F 53 4F B4 4D 91 91 3F E6 85 81 }
	condition:
		$1
}

rule function_59447_0 {
	meta:
		name = "TVirtualObjectMemberGroup.CheckIntfSupport"
		size = 148
		refs = "0012 TVirtualObjectMemberGroup.CheckIntfSupport 0024 Supports 0040 sInvalidCustomWrapper 0045 LoadResString 004f _Dn_EWrapperError 0054 Exception.CreateFmt 0059 @RaiseExcept 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 DB 89 5D F4 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 31 8B 45 08 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 04 00 00 00 00 46 38 96 45 75 9D 19 42 8A 5D 1C DE EC AE A7 CD }
	condition:
		$1
}

rule function_59448_0 {
	meta:
		name = "TVirtualObjectMemberGroup.Create"
		size = 180
		refs = "0010 @ClassCreate 001e TVirtualObjectMemberGroup.Create 0033 TAbstractObjectMemberGroup.Create 003c TVirtualObjectMemberGroup.CheckCustomWrapper 0046 @IntfCopy 0056 @IntfCast 0076 @IntfClear 007c @HandleFinally 0089 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 B1 01 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 47 34 8B D6 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 34 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 88 47 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 00 00 00 46 38 96 45 75 9D 19 42 8A 5D 1C DE EC AE A7 CD }
	condition:
		$1
}

rule function_59449_0 {
	meta:
		name = "TVirtualObjectMemberGroup.Detach"
		size = 216
		refs = "0010 TVirtualObjectMemberGroup.Detach 0030 @IntfCast 0042 TAbstractObjectMemberGroup.GetEnumerator 0057 @IntfClear 0066 Supports 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 39 00 75 6E C6 43 39 01 8D 45 F0 8B 53 34 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? EB 2E 8D 55 FC 8B 45 F4 8B 08 FF 51 0C 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 F8 8B 10 FF 52 20 8B 45 F4 8B 10 FF 52 10 84 C0 75 C6 8D 45 F4 E8 ?? ?? ?? ?? C6 43 39 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C3 FA D2 76 4F D9 BE 6B 47 AA 29 B6 39 9F 23 4D A1 }
	condition:
		$1
}

rule function_59450_0 {
	meta:
		name = "TVirtualObjectMemberGroup.GetAttachment"
		size = 100
		refs = "000c TVirtualObjectMemberGroup.GetAttachment 0022 @IntfCast 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 34 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 FA D2 76 4F D9 BE 6B 47 AA 29 B6 39 9F 23 4D A1 }
	condition:
		$1
}

rule function_59451_0 {
	meta:
		name = "TVirtualObjectMemberGroup.GetMemberName"
		size = 104
		refs = "000f TVirtualObjectMemberGroup.GetMemberName 0025 @IntfCast 0044 @IntfClear 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 34 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 18 0F DD D4 76 40 9B 4A B8 7A F9 BA 1B C6 9E 26 }
	condition:
		$1
}

rule function_59452_0 {
	meta:
		name = "TVirtualObjectMemberGroup.GetMetaClass"
		size = 100
		refs = "000c TVirtualObjectMemberGroup.GetMetaClass 0022 @IntfCast 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 34 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 10 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 FA D2 76 4F D9 BE 6B 47 AA 29 B6 39 9F 23 4D A1 }
	condition:
		$1
}

rule function_59453_0 {
	meta:
		name = "TVirtualObjectMemberGroup.GetParent"
		size = 100
		refs = "000c TVirtualObjectMemberGroup.GetParent 0022 @IntfCast 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 34 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 18 0F DD D4 76 40 9B 4A B8 7A F9 BA 1B C6 9E 26 }
	condition:
		$1
}

rule function_59454_0 {
	meta:
		name = "TAbstractObjectMemberInstance.Add"
		size = 85
		refs = "000d TAbstractObjectMemberInstance.Add 0018 TAbstractObjectMemberInstance.GetCache 0024 @UStrLAsg 002f TList<System.string>.Add 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59473_0 {
	meta:
		name = "TAbstractObjectMemberInstance.Remove"
		size = 85
		refs = "000d TAbstractObjectMemberInstance.Remove 0018 TAbstractObjectMemberInstance.GetCache 0024 @UStrLAsg 002f TList<System.string>.Remove 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59456_0 {
	meta:
		name = "TAbstractObjectMemberInstance.Clear"
		size = 14
		refs = "0001 TAbstractObjectMemberInstance.GetCache 0009 TList<System.string>.Clear"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59457_0 {
	meta:
		name = "TAbstractObjectMemberInstance.Contains"
		size = 89
		refs = "000d TAbstractObjectMemberInstance.Contains 0018 TAbstractObjectMemberInstance.GetCache 0024 @UStrLAsg 002f TList<System.string>.Contains 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 28 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59458_0 {
	meta:
		name = "TAbstractObjectMemberInstance.GetAttached"
		size = 18
	strings:
		$1 = { 53 8B 58 0C 8B C3 8B 10 FF 52 08 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_59459_0 {
	meta:
		name = "TAbstractObjectMemberInstance.GetAttachment"
		size = 9
	strings:
		$1 = { 8B 40 0C 8B 10 FF 52 08 C3 }
	condition:
		$1
}

rule function_59460_0 {
	meta:
		name = "TAbstractObjectMemberInstance.GetBinding"
		size = 83
		refs = "000f TAbstractObjectMemberInstance.GetBinding 0023 @IntfCopy 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 0C 8B 52 18 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59461_0 {
	meta:
		name = "TAbstractObjectMemberInstance.GetCache"
		size = 343
		refs = "001b TRttiContext 0020 @InitializeRecord 0029 TValue 0036 TAbstractObjectMemberInstance.GetCache 005c TRttiContext.Create 006d @CopyRecord 007f TValue.AsObject 0092 TRttiContext.GetType 0098 _Dn_TRttiInstanceType 009d @AsClass 00a2 TRttiInstanceType.GetMetaclassType 00ac TAbstractObjectMemberInstance.GetEvalTimeOnly 00bc @IntfCopy 00db _DV_TObjectWrapper 00e0 TObjectWrapper.Create 0113 @FinalizeRecord 012a ICompiledBinding 0134 @FinalizeArray 0148 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 D2 89 55 D0 89 55 F8 89 55 F4 8B F0 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 12 84 C0 0F 84 AB 00 00 00 83 7E 10 00 0F 85 A1 00 00 00 8D 45 D0 E8 ?? ?? ?? ?? 8D 55 D0 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D8 8B C6 8B 08 FF 51 0C 8D 45 D8 E8 ?? ?? ?? ?? 8B F8 8B C6 8B 10 FF 52 08 8B D0 8D 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 8B C6 E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B 56 0C 8B 52 18 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 D4 50 6A 00 53 8B 45 F8 50 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 8D 46 14 8B 56 10 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 5E 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59463_0 {
	meta:
		name = "TAbstractObjectMemberInstance.GetEvalTimeOnly"
		size = 8
	strings:
		$1 = { 8B 40 0C 0F B6 40 14 C3 }
	condition:
		$1
}

rule function_59464_0 {
	meta:
		name = "TAbstractObjectMemberInstance.GetMemberName"
		size = 19
		altNames = "TWebPageInfoWrapper.GetPageHREF"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C 8B 08 FF 51 04 5E 5B C3 }
	condition:
		$1
}

rule function_59467_0 {
	meta:
		name = "TAbstractObjectMemberInstance.GetSymbolCount"
		size = 12
		refs = "0001 TAbstractObjectMemberInstance.GetCache"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 28 8B 40 08 C3 }
	condition:
		$1
}

rule function_59468_0 {
	meta:
		name = "TAbstractObjectMemberInstance.GetSymbols"
		size = 98
		refs = "0016 TAbstractObjectMemberInstance.GetSymbols 0021 TAbstractObjectMemberInstance.GetCache 0030 TList<System.string>.GetItem 003b @UStrAsg 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B D8 8D 4D FC 8B D6 8B 43 28 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59469_0 {
	meta:
		name = "TAbstractObjectMemberInstance.IsObjectType"
		size = 20
	strings:
		$1 = { 8B 10 FF 52 08 85 C0 74 05 80 38 07 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_59470_0 {
	meta:
		name = "TAbstractObjectMemberInstance.Lookup"
		size = 136
		refs = "0016 TAbstractObjectMemberInstance.Lookup 0021 TAbstractObjectMemberInstance.GetCache 002b @IntfClear 0047 @IntfCopy 0056 TDictionaryScope.Lookup 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B D8 8D 45 FC E8 ?? ?? ?? ?? 8B 43 20 85 C0 74 24 3B F0 75 13 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? EB 0D 8D 4D FC 8B D6 8B 43 18 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59472_0 {
	meta:
		name = "TAbstractObjectMemberInstance.QueryInterface"
		size = 176
		refs = "0018 TAbstractObjectMemberInstance.QueryInterface 001d TGUID.&op_Equality 0063 TInterfacedObject.QueryInterface"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 0C 8B 75 08 8B C6 8B 10 FF 12 84 C0 75 47 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 30 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 20 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 10 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 B8 02 40 00 80 EB 0B 8B 45 10 50 53 56 E8 ?? ?? ?? ?? 5E 5B 5D C2 0C 00 00 00 00 55 24 FE DA B6 3D CC 40 B1 D6 1E AC 0A 29 AB EC 5E 80 57 B7 B1 E2 3D 47 A2 01 99 BF 6E 11 34 FF 3C 17 DE 59 4A 95 BA 4D BA C1 5D 1B 95 51 B8 5A 45 BA F4 1F 77 C1 47 48 AB FF 5D 74 D0 64 00 B1 }
	condition:
		$1
}

rule function_59474_0 {
	meta:
		name = "TAbstractObjectMemberInstance.SetBinding"
		size = 40
		refs = "0012 TAbstractObjectMemberInstance.GetCache"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 0C 8B FE 89 78 18 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0A 8B C3 E8 ?? ?? ?? ?? 89 78 34 5F 5E 5B C3 }
	condition:
		$1
}

rule function_59475_0 {
	meta:
		name = "TAbstractObjectMemberInstance.SetSymbols"
		size = 26
		refs = "0007 TAbstractObjectMemberInstance.GetCache 0013 TList<System.string>.SetItem"
	strings:
		$1 = { 53 56 8B F1 8B DA E8 ?? ?? ?? ?? 8B CE 8B D3 8B 40 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59476_0 {
	meta:
		name = "TDynamicObjectMemberInstance.Attach"
		size = 124
		refs = "000f TDynamicObjectMemberInstance.Attach 001e TPhysicalObjectMemberInstance.Attach 0026 @IntfClear 0035 Supports 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 FC 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 FA D2 76 4F D9 BE 6B 47 AA 29 B6 39 9F 23 4D A1 }
	condition:
		$1
}

rule function_59478_0 {
	meta:
		name = "TDynamicObjectMemberInstance.Detach"
		size = 116
		refs = "000c TDynamicObjectMemberInstance.Detach 0019 TPhysicalObjectMemberInstance.Detach 0021 @IntfClear 0030 Supports 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 FA D2 76 4F D9 BE 6B 47 AA 29 B6 39 9F 23 4D A1 }
	condition:
		$1
}

rule function_59479_0 {
	meta:
		name = "TDynamicObjectMemberInstance.GetArgs"
		size = 128
		refs = "000f TDynamicObjectMemberInstance.GetArgs 001d @IntfClear 002c Supports 0044 TArray<System.Rtti.TValue> 0049 @DynArrayClear 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 44 3B D9 79 1B 2F 53 4F B4 4D 91 91 3F E6 85 81 }
	condition:
		$1
}

rule function_59481_0 {
	meta:
		name = "TDynamicObjectMemberInstance.GetType"
		size = 124
		refs = "000c TDynamicObjectMemberInstance.GetType 001a @IntfClear 0029 Supports 003e _Dn_TObject 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 0A A1 ?? ?? ?? ?? 83 C0 B8 8B 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 01 F9 95 A4 F5 72 84 43 BA 50 EC 3B 4B 42 F6 C2 }
	condition:
		$1
}

rule function_59482_0 {
	meta:
		name = "TDynamicObjectMemberInstance.GetValue"
		size = 124
		refs = "000f TDynamicObjectMemberInstance.GetValue 001d @IntfClear 002c Supports 0043 TValue.GetEmpty 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 10 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 01 F9 95 A4 F5 72 84 43 BA 50 EC 3B 4B 42 F6 C2 }
	condition:
		$1
}

rule function_59483_0 {
	meta:
		name = "TDynamicObjectMemberInstance.Invoke"
		size = 144
		refs = "0018 TDynamicObjectMemberInstance.Invoke 0026 @IntfClear 0035 Supports 0058 @IntfCopy 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? 84 C0 74 0F 8B CE 8B 55 F8 8B 45 FC 8B 18 FF 53 0C EB 10 8B C6 8B D3 85 D2 74 03 83 EA D0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 1C 36 B8 0B C7 AA DB 42 B9 70 52 75 79 7D F4 1F }
	condition:
		$1
}

rule function_59484_0 {
	meta:
		name = "TDynamicObjectMemberInstance.SetArgs"
		size = 112
		refs = "000f TDynamicObjectMemberInstance.SetArgs 001d @IntfClear 002c Supports 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 44 3B D9 79 1B 2F 53 4F B4 4D 91 91 3F E6 85 81 }
	condition:
		$1
}

rule function_59486_0 {
	meta:
		name = "TDynamicObjectMemberInstance.SetValue"
		size = 112
		refs = "000f TDynamicObjectMemberInstance.SetValue 001d @IntfClear 002c Supports 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 FC 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 E3 46 17 86 0A 74 99 47 BB 14 21 70 66 C6 29 A8 }
	condition:
		$1
}

rule function_59488_0 {
	meta:
		name = "TDynamicObjectMemberGroup.Create"
		size = 139
		refs = "000e @ClassCreate 001c @UStrAddRef 0024 TDynamicObjectMemberGroup.Create 0041 TPhysicalObjectMemberGroup.Create 004c @UStrAsg 0061 @UStrClr 0067 @HandleFinally 0074 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 0C 50 6A 01 8B 45 08 50 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 4C 8B 55 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_59490_0 {
	meta:
		name = "TDynamicObjectMemberGroup.GetMember"
		size = 112
		refs = "000c TDynamicObjectMemberGroup.GetMember 0028 @IntfCast 004b @IntfClear 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 48 00 74 1C 8D 45 FC 8B 53 48 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 18 0F DD D4 76 40 9B 4A B8 7A F9 BA 1B C6 9E 26 }
	condition:
		$1
}

rule function_59492_0 {
	meta:
		name = "TDynamicObjectMemberGroup.SetFixedGroup"
		size = 268
		refs = "001e TDynamicObjectMemberGroup.SetFixedGroup 0032 @IntfCopy 008c TList<System.IInterface>.GetItem 0094 @IntfClear 00a3 Supports 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 C0 48 8B 55 F0 E8 ?? ?? ?? ?? 83 7D F0 00 0F 84 87 00 00 00 8B 45 F0 8B 10 FF 52 10 8B 55 F4 8B 52 10 8B 52 0C 8B 5A 08 2B D8 85 DB 7E 0B 8B 45 F0 8B 10 FF 52 14 4B 75 F5 8B 45 F4 8B 40 10 8B 40 0C 8B 58 08 4B 85 DB 7C 51 43 33 F6 8B 7D F4 89 75 EC 8D 4D F8 8B 47 10 8B 40 0C 8B 55 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 18 8D 4D E8 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 55 E8 8B 45 FC 8B 08 FF 51 10 46 4B 75 B2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 B5 0C F2 50 A2 22 F7 4F A1 BD 9D 61 B4 63 D0 78 }
	condition:
		$1
}

rule function_59619_0 {
	meta:
		name = "TValue.From<System.TObject>"
		size = 43
		refs = "000c TValue 0015 @FinalizeRecord 001f TObject 0024 TValue.Make"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 15 ?? ?? ?? ?? 8B 44 24 04 E8 ?? ?? ?? ?? 8B C8 8B C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_59798_0 {
	meta:
		name = "GetOwnerManager"
		size = 35
		refs = "000e _Dn_TBindingExpressionDefault 0013 @IsClass"
	strings:
		$1 = { 53 56 8B D8 33 F6 85 DB 74 14 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 03 8B 73 44 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_59799_0 {
	meta:
		name = "GetClassType"
		size = 149
		refs = "0013 TRttiContext 0018 @InitializeRecord 0020 GetClassType 0037 TRttiContext.Create 0048 @CopyRecord 0052 TRttiContext.GetType 0057 TRttiType.GetAsInstance 005c TRttiInstanceType.GetMetaclassType 0082 @FinalizeArray 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 36 80 3B 07 75 31 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 F8 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59800_0 {
	meta:
		name = "TBindingCallbackFactory.RegisterCallback"
		size = 219
		refs = "0015 TBindingCallbackFactory.RegisterCallback 004b TBindingCallbackFactory.GetPair 0053 TBindingCallbackFactory.Instance 005b TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.ContainsKey 006f TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetItem 007a _DV_TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback> 007f TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Create 0093 TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Add 009d TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Add 00c6 @UStrClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 41 49 85 C9 0F 8C 8C 00 00 00 41 89 4D F4 8B F2 8B 45 0C 40 48 85 C0 7C 71 40 89 45 F0 8B 5D 10 8D 45 FC 50 8B 0B 8B 16 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B F8 EB 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 F8 E8 ?? ?? ?? ?? 8B CF 8B 55 FC E8 ?? ?? ?? ?? 8B 55 08 8B C7 E8 ?? ?? ?? ?? 83 C3 04 FF 4D F0 75 96 83 C6 04 FF 4D F4 0F 85 7A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_59802_0 {
	meta:
		name = "TBindingCallbackFactory.GetCallback"
		size = 207
		refs = "0020 TBindingCallbackFactory.GetCallback 003d TBindingCallbackFactory.GetPair 0044 TBindingCallbackFactory.Instance 004c TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.ContainsKey 005f TDictionary<System.string,System.Bindings.Outputs.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.GetItem 0069 _DV_TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback> 006e TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Create 008b TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.GetItem 0095 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.Add 00b0 @IntfClear 00b8 @UStrClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D FC 89 4D F4 89 55 F8 8B F0 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 89 07 8D 45 FC 50 8B 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 4B 8B C6 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 07 8B 45 F0 8B 58 08 4B 85 DB 7C 1E 43 33 F6 8D 4D EC 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 EC 8B 07 E8 ?? ?? ?? ?? 46 4B 75 E5 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_59803_0 {
	meta:
		name = "TBindingCallbackFactory.GetPair"
		size = 156
		refs = "0011 TBindingCallbackFactory.GetPair 0023 sClassTypeNotFound 0028 LoadResString 0032 _DV_EBindOutputCallbackError 0037 Exception.Create 003c @RaiseExcept 0050 @UStrCatN 005b UpperCase 0075 @UStrArrayClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_59804_0 {
	meta:
		name = "TBindingCallbackFactory.Instance"
		size = 48
		refs = "0002 TBindingCallbackFactory.FCallbacks 000e TBindingCallbackFactory.Instance 0015 _DV_TObjectDictionary<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>> 001a TObjectDictionary<System.string,System.Generics.Collections.TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>>.Create"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 1A 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_59805_0 {
	meta:
		name = "TBindingOutput.Create"
		size = 138
		refs = "000e @ClassCreate 001d TObject.Create 0027 _DV_TList<System.Bindings.Outputs.TBindingOutput.TLocationRec> 002c TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Create 0038 _DV_TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>> 003d TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Create 0047 _DV_TList<System.SysUtils.TProc<System.Rtti.TValue>> 004c TList<System.SysUtils.TProc<System.Rtti.TValue>>.Create 0056 _DV_TList<System.string> 005b TList<System.string>.Create 0073 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 34 F6 45 08 01 0F 95 C0 88 47 38 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_59806_0 {
	meta:
		name = "TBindingOutput.Destroy"
		size = 76
		refs = "0003 @BeforeDestruction 000f @IntfClear 0017 TObject.Free 003a TObject.Destroy 0045 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 30 E8 ?? ?? ?? ?? 8B 46 34 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_59807_0 {
	meta:
		name = "TBindingOutput.GetLocationRec"
		size = 195
		refs = "0024 TBindingOutput.TLocationRec 0029 @InitializeRecord 0031 TBindingOutput.GetLocationRec 005a TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.GetItem 0088 @CopyRecord 00ae @FinalizeArray 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 FC 8B 40 0C 8B 70 08 4E 85 F6 7C 47 46 33 FF 8D 4D E0 8B 45 FC 8B 40 0C 8B D7 E8 ?? ?? ?? ?? 8B 45 E0 3B 45 F8 0F 94 C3 84 DB 74 23 8D 4D CC 8B 45 FC 8B 40 0C 8B D7 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 47 4E 75 BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59808_0 {
	meta:
		name = "TBindingOutput.AddConverter"
		size = 167
		refs = "0018 TBindingOutput.AddConverter 0025 _DV_TValueRefConverterFactory 002a TValueRefConverterFactory.HasConverter 003a sConverterIDNotRegistered 003f LoadResString 0055 Format 005f _DV_EBindConverterError 0064 Exception.Create 0069 @RaiseExcept 0071 @IntfClear 007b TList<System.string>.Add 0095 @UStrArrayClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 3B 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 75 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 30 E8 ?? ?? ?? ?? 8B D6 8B 43 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59809_0 {
	meta:
		name = "TBindingOutput.UpdateOutputLocation"
		size = 748
		refs = "001c TBindingOutput.UpdateOutputLocation 0040 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.GetItem 004b @UStrLAsg 0058 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.IndexOf 0067 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Remove 0074 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Remove 009c @IntfClear 00ab Supports 00d0 sOutputIsReadOnly 00d5 LoadResString 00df _DV_EBindOutputError 00e4 Exception.Create 00e9 @RaiseExcept 0137 GetOwnerManager 013e _Dn_TBindings 0144 TBindings.CreateNotifier 014f @IntfCopy 0166 sUnavailNotifier 01bf TPair<System.TObject,System.string>.Create 01cf TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Add 0205 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Insert 0214 @HandleOnException 021c _Dn_Exception 023a @RaiseAgain 023f @DoneExcept 0255 TPair<System.TObject,System.string> 025f @FinalizeArray 0267 @UStrClr 0285 @FinalizeRecord 02ab @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EB 01 80 7B 04 00 0F 84 0F 02 00 00 8D 4D E0 8B 13 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F0 E8 ?? ?? ?? ?? 8B D3 8B 45 EC 8B 40 0C E8 ?? ?? ?? ?? 8B F0 8B D3 8B 45 EC 8B 40 0C E8 ?? ?? ?? ?? 8B 13 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8D 45 FC 50 8B 53 10 8B 43 0C 33 C9 8B 38 FF 57 10 8B C3 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 3A 8B 45 FC 8B 10 FF 52 0C 85 C0 74 0D 8B 45 FC 8B 10 FF 52 0C 80 38 07 74 21 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 4B 8B 45 F8 8B 10 FF 52 0C 85 C0 74 3F 8B 45 EC 80 78 38 00 74 36 83 7B 08 00 75 30 8D 45 D8 50 8B 45 F8 8B 10 FF 52 0C 50 8B 45 EC 8B 40 04 E8 ?? ?? ?? ?? 8B C8 A1 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 55 D8 8D 43 08 E8 ?? ?? ?? ?? 8B 45 EC 80 78 38 00 74 54 83 7D F8 00 75 21 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 F8 8B 10 FF 52 0C 8B D0 8B 45 F4 8B 08 FF 51 1C 83 7D F8 00 75 1F 8B 4D F0 33 D2 8D 45 CC E8 ?? ?? ?? ?? 8D 4D CC 8B 13 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? EB 25 8B 45 F8 8B 10 FF 52 0C 8B D0 8B 4D F0 8D 45 C4 E8 ?? ?? ?? ?? 8D 4D C4 8B 13 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 8B CB 8B 45 EC 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 30 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 EC 66 83 7A 2A 00 74 0B 8B 5D EC 8B D0 8B 43 2C FF 53 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9F 0F B6 45 EB 5F 5E 5B 8B E5 5D C3 E3 46 17 86 0A 74 99 47 BB 14 21 70 66 C6 29 A8 18 0F DD D4 76 40 9B 4A B8 7A F9 BA 1B C6 9E 26 9A C5 7F 76 D9 C8 10 48 9A 9E B7 64 87 06 F0 B6 }
	condition:
		$1
}

rule function_59810_0 {
	meta:
		name = "TBindingOutput.MakeLocation"
		size = 544
		refs = "0022 @IntfAddRef 002b TBindingOutput.TLocationRec 0030 @InitializeRecord 0038 TBindingOutput.MakeLocation 0063 @IntfCopy 0070 Compile 009c @IntfClear 00ab Supports 00d0 sOutputIsReadOnly 00d5 LoadResString 00df _DV_EBindOutputError 00e4 Exception.Create 00e9 @RaiseExcept 0115 sUnavailNotifier 0152 GetOwnerManager 0159 _Dn_TBindings 015f TBindings.CreateNotifier 017c @HandleOnException 0184 _Dn_Exception 01a2 @RaiseAgain 01a7 @DoneExcept 01c9 @UStrArrayClr 01ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 FC 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 C6 40 04 01 8B 45 08 83 C0 10 8B 55 FC E8 ?? ?? ?? ?? 8D 4D EC 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 08 83 C0 0C E8 ?? ?? ?? ?? 6A 00 8D 45 F8 50 8B 45 08 8B 40 0C 33 C9 8B 55 FC 8B 30 FF 56 10 8B 45 08 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 3A 8B 45 F8 8B 10 FF 52 0C 85 C0 74 0D 8B 45 F8 8B 10 FF 52 0C 80 38 07 74 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 80 78 38 00 74 7B 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 0C 85 C0 74 33 8D 45 E0 50 8B 45 F4 8B 10 FF 52 0C 50 8B 45 F0 8B 40 04 E8 ?? ?? ?? ?? 8B C8 A1 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 55 E0 8B 45 08 83 C0 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 30 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 F0 66 83 7A 2A 00 74 0B 8B 5D F0 8B D0 8B 43 2C FF 53 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C3 8B C3 5F 5E 5B 8B E5 5D C2 04 00 E3 46 17 86 0A 74 99 47 BB 14 21 70 66 C6 29 A8 18 0F DD D4 76 40 9B 4A B8 7A F9 BA 1B C6 9E 26 }
	condition:
		$1
}

rule function_59811_0 {
	meta:
		name = "TBindingOutput.MakeLocation"
		size = 134
		refs = "0012 TBindingOutput.MakeLocation 002a GetOwnerManager 0033 _Dn_TBindings 0038 TBindings.CreateNotifier 0046 _Dn_TLocationWrapper 004b TLocationWrapper.Create 005d TBindingOutput.TLocationRec.Create 0072 @IntfClear 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 8D 45 FC 50 8B 43 04 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 57 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D0 8B 45 08 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_59812_0 {
	meta:
		name = "TBindingOutput.MakeObjScope"
		size = 136
		refs = "0012 TBindingOutput.MakeObjScope 001f _Dn_TDictionaryScope 0024 TDictionaryScope.Create 0030 TObject.ClassName 003a WrapObject 0048 TDictionary<System.string,System.IInterface>.Add 0058 @IntfCopy 006d @IntfClear 0075 @UStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 8B C7 8B D3 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_59813_0 {
	meta:
		name = "TBindingOutput.AddProc"
		size = 91
		refs = "000e @IntfAddRef 0016 TBindingOutput.AddProc 0027 TList<System.SysUtils.TProc<System.Rtti.TValue>>.Contains 0036 TList<System.SysUtils.TProc<System.Rtti.TValue>>.Add 004b @IntfClear 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 10 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 55 FC 8B 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_59814_0 {
	meta:
		name = "TBindingOutput.Add"
		size = 328
		refs = "0027 @IntfAddRef 0030 TBindingOutput.TLocationRec 0035 @InitializeRecord 003d TBindingOutput.Add 0051 @FinalizeRecord 005e TBindingOutput.MakeLocation 006d TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Add 0075 @IntfClear 0084 Supports 00aa TPair<System.TObject,System.string>.Create 00b8 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Add 00ea TPair<System.TObject,System.string> 00f7 @UStrClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 DB 89 5D D0 89 5D D4 89 5D DC 89 5D E0 89 5D D8 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 72 8D 55 E4 8B 43 0C E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 32 8D 55 D8 8B 45 F8 8B 08 FF 51 10 8B 45 D8 50 8B 45 F8 8B 10 FF 52 0C 8B D0 8D 45 DC 59 E8 ?? ?? ?? ?? 8D 4D DC 8B 55 E4 8B 43 08 E8 ?? ?? ?? ?? EB 1A 8B CE 33 D2 8D 45 D0 E8 ?? ?? ?? ?? 8D 4D D0 8B 55 E4 8B 43 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B6 5E 5B 8B E5 5D C3 00 00 00 18 0F DD D4 76 40 9B 4A B8 7A F9 BA 1B C6 9E 26 }
	condition:
		$1
}

rule function_59815_0 {
	meta:
		name = "TBindingOutput.Add"
		size = 159
		refs = "001c TBindingOutput.TLocationRec 0021 @InitializeRecord 0029 TBindingOutput.Add 003e TBindingOutput.MakeLocation 0049 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.Add 0055 TPair<System.TObject,System.string>.Create 0063 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.Add 0079 TPair<System.TObject,System.string> 007e @FinalizeRecord 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D E8 8B F9 8B F2 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 EC 8B 43 0C E8 ?? ?? ?? ?? 8D 45 E4 8B CF 8B D6 E8 ?? ?? ?? ?? 8D 4D E4 8B 55 EC 8B 43 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59816_0 {
	meta:
		name = "RaiseConverterNotFound"
		size = 216
		refs = "001b RaiseConverterNotFound 0028 TValue.GetTypeInfo 0039 @UStrLAsg 004d @UStrFromString 0059 sConverterNotFound 005e LoadResString 0084 Format 008e _DV_EBindConverterError 0093 Exception.Create 0098 @RaiseExcept 00b2 @UStrArrayClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D F8 89 4D F4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 8B C3 E8 ?? ?? ?? ?? 8D 50 01 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 89 45 E4 C6 45 E8 11 8D 46 01 89 45 EC C6 45 F0 04 8D 55 E4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 6E 00 69 00 6C 00 00 00 }
	condition:
		$1
}

rule function_59817_0 {
	meta:
		name = "TBindingOutput.SetValue"
		size = 2484
		refs = "002e TRttiContext 0033 @InitializeRecord 003c TPair<System.TObject,System.string> 004a TValue 0066 TBindingOutput.TLocationRec 00a3 TBindingOutput.SetValue 00b6 TValue.&op_Implicit 00f9 TList<System.SysUtils.TProc<System.Rtti.TValue>>.GetEnumerator 011d TList<System.SysUtils.TProc<System.Rtti.TValue>>.TEnumerator.GetCurrent 0136 TList<System.SysUtils.TProc<System.Rtti.TValue>>.TEnumerator.MoveNext 0163 @HandleFinally 0170 TRttiContext.Create 0184 @CopyRecord 0192 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.GetEnumerator 01b9 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.TEnumerator.GetCurrent 01d8 TBindingOutput.UpdateOutputLocation 01f4 TDictionary<System.Bindings.EvalProtocol.ILocation,System.Generics.Collections.TPair<System.TObject,System.string>>.GetItem 020b TObject.ClassName 0240 sUpdateOutputLocFailed 0245 LoadResString 0256 Format 0263 _DV_EBindOutputError 0268 Exception.Create 026d @RaiseExcept 0275 @IntfClear 0284 Supports 02af @UStrLAsg 02e7 _Dn_TBindingExpression 02ec @AsClass 02f7 TBindingGraph.FExpressions 0304 TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.ContainsKey 031a TDictionary<System.Bindings.Expression.TBindingExpression,System.Int64>.GetItem 0320 TBindingGraph.FIteration 0351 _Dn_TBindingGraph 0356 TBindingGraph.IsIterationMarked 03b3 @HandleOnException 03bb _Dn_Exception 03e1 @RaiseAgain 03e6 @DoneExcept 048f TBindingAssignValueRec.Create 04b2 @TryFinallyExit 0501 _DV_TBindingCallbackFactory 0506 TBindingCallbackFactory.GetCallback 0533 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.GetEnumerator 0557 TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.TEnumerator.GetCurrent 057f TList<System.Bindings.Outputs.TBindingCallbackFactory.TBindingCallback>.TEnumerator.MoveNext 05eb TObject.Free 061e _DV_TValueRefConverterFactory 0623 TValueRefConverterFactory.GetConverter 063a @IntfCopy 065b TValue.GetIsEmpty 066b TValue.IsObject 067c GetClassType 0685 TValue.AsObject 068d TObject.InheritsFrom 06ac TValue.GetTypeInfo 070d TValue.From<System.TObject> 078b RaiseConverterNotFound 07a2 _Dn_EInvalidCast 0859 TList<System.Bindings.Outputs.TBindingOutput.TLocationRec>.TEnumerator.MoveNext 08a5 TBindingAssignValueRec 08aa @FinalizeRecord 08b6 TArray<System.string> 08bb @DynArrayClear 08c6 @UStrClr 08f2 @UStrArrayClr 092f @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 23 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 8D 4C FF FF FF 89 95 50 FF FF FF 89 85 54 FF FF FF 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 88 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 58 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 70 FF FF FF 33 C0 E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 8B 40 10 83 78 08 00 0F 8E 9C 00 00 00 8D 95 28 FF FF FF 8B 85 4C FF FF FF 8B 08 FF 51 0C 8B 85 28 FF FF FF 8D 95 70 FF FF FF 8B 08 FF 51 10 8B 85 54 FF FF FF 8B 40 10 E8 ?? ?? ?? ?? 89 85 40 FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1C 8D 55 F8 8B 85 40 FF FF FF E8 ?? ?? ?? ?? 8D 95 70 FF FF FF 8B 45 F8 8B 08 FF 51 0C 8B 85 40 FF FF FF E8 ?? ?? ?? ?? 84 C0 75 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 BD 40 FF FF FF 00 74 0D B2 01 8B 85 40 FF FF FF 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E2 8D 85 24 FF FF FF E8 ?? ?? ?? ?? 8D 95 24 FF FF FF 8D 45 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 8B 40 0C E8 ?? ?? ?? ?? 89 85 3C FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 A3 06 00 00 8D 55 D0 8B 85 3C FF FF FF E8 ?? ?? ?? ?? 8D 45 BC 8D 55 D0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 BC 8B 85 54 FF FF FF E8 ?? ?? ?? ?? 84 C0 0F 85 8D 00 00 00 8D 4D E4 8B 85 54 FF FF FF 8B 40 08 8B 55 BC E8 ?? ?? ?? ?? 8D 85 20 FF FF FF 50 8D 95 0C FF FF FF 8B 45 E4 8B 00 E8 ?? ?? ?? ?? 8B 85 0C FF FF FF 89 85 10 FF FF FF C6 85 14 FF FF FF 11 8B 45 E8 89 85 18 FF FF FF C6 85 1C FF FF FF 11 8D 85 10 FF FF FF 50 8D 95 08 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 08 FF FF FF B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 8D 20 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 84 C0 74 29 8B 45 FC 8B 10 FF 52 0C 89 45 E4 8D 95 04 FF FF FF 8B 45 FC 8B 08 FF 51 10 8B 95 04 FF FF FF 8D 45 E8 E8 ?? ?? ?? ?? EB 14 8D 4D E4 8B 85 54 FF FF FF 8B 40 08 8B 55 BC E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 80 78 38 00 0F 84 8B 00 00 00 83 7D E4 00 75 6B 8B 85 50 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 30 FF FF FF A1 ?? ?? ?? ?? 8B 00 8B 95 30 FF FF FF E8 ?? ?? ?? ?? 84 C0 74 21 A1 ?? ?? ?? ?? 8B 00 8B 95 30 FF FF FF E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 3B 51 04 75 02 3B 01 74 04 33 C0 EB 02 B0 01 88 85 2F FF FF FF 0F B6 85 2F FF FF FF 34 01 88 85 44 FF FF FF EB 21 8B 4D E8 8B 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 88 85 44 FF FF FF EB 07 C6 85 44 FF FF FF 01 80 BD 44 FF FF FF 00 0F 84 DA 04 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 00 FF FF FF 8B 85 4C FF FF FF 8B 08 FF 51 0C 8B 85 00 FF FF FF 8D 95 70 FF FF FF 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 EB 38 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C6 8B 85 54 FF FF FF 66 83 78 2A 00 74 0E 8B 9D 54 FF FF FF 8B D6 8B 43 2C FF 53 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 88 8D 95 70 FF FF FF 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 85 46 FF FF FF 00 C6 85 45 FF FF FF 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 85 54 FF FF FF 80 78 38 00 74 33 8D 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 EC 8B 10 FF 52 14 88 85 45 FF FF FF B2 01 8B 45 EC 8B 08 FF 51 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 85 54 FF FF FF 66 83 78 1A 00 74 4C 8D 85 46 FF FF FF 50 8B 45 E8 50 8B 4D E4 8B 95 50 FF FF FF 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 95 F4 FE FF FF 8D 4D 88 8B 9D 54 FF FF FF 8B 43 1C FF 53 18 80 BD 46 FF FF FF 00 74 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 92 03 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D E4 00 0F 84 1F 01 00 00 33 C0 89 85 48 FF FF FF 8D 85 48 FF FF FF 50 8D 95 F0 FE FF FF 8B 45 E4 8B 00 E8 ?? ?? ?? ?? 8B 95 F0 FE FF FF 8B 4D E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 85 46 FF FF FF 00 83 BD 48 FF FF FF 00 0F 84 86 00 00 00 8B 85 48 FF FF FF E8 ?? ?? ?? ?? 89 85 38 FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2B 8D 55 F0 8B 85 38 FF FF FF E8 ?? ?? ?? ?? 8D 4D 88 8B 55 E4 8B 45 F0 8B 18 FF 53 0C 88 85 46 FF FF FF 80 BD 46 FF FF FF 00 75 0F 8B 85 38 FF FF FF E8 ?? ?? ?? ?? 84 C0 75 C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 BD 38 FF FF FF 00 74 0D B2 01 8B 85 38 FF FF FF 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E2 80 BD 46 FF FF FF 00 74 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7B 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 85 48 FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 85 54 FF FF FF 83 78 30 00 75 3B 8D 95 EC FE FF FF 8B 85 54 FF FF FF 8B 40 34 8B 08 FF 51 04 8B 95 EC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B 85 54 FF FF FF 83 C0 30 E8 ?? ?? ?? ?? 8B 45 BC 8B 10 FF 52 0C 85 C0 74 53 8B 45 BC 8B 10 FF 52 0C 80 38 07 75 46 8D 45 88 E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 38 8D 45 88 E8 ?? ?? ?? ?? 84 C0 74 26 8B 45 BC 8B 10 FF 52 0C E8 ?? ?? ?? ?? 50 8D 45 88 E8 ?? ?? ?? ?? 8B 00 5A E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 06 33 DB EB 02 B3 01 8B 45 BC 8B 10 FF 52 0C 50 8D 45 88 E8 ?? ?? ?? ?? 8B D0 8B 85 54 FF FF FF 8B 40 30 59 8B 30 FF 56 0C 88 85 47 FF FF FF 80 BD 47 FF FF FF 00 74 67 8D 45 A0 8D 55 88 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 8B 10 FF 52 0C 80 38 07 75 2A 33 DB 8D 95 58 FF FF FF 8B 45 BC 8B 08 FF 51 10 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 8D 55 88 E8 ?? ?? ?? ?? C6 85 46 FF FF FF 01 8D 45 88 50 8B 45 BC 8B 10 FF 52 0C 8B C8 8D 55 A0 8B 85 54 FF FF FF 8B 40 30 8B 30 FF 56 10 84 DB 74 1A 80 BD 44 FF FF FF 00 74 0B 8D 55 88 8B 45 BC 8B 08 FF 51 14 88 9D 46 FF FF FF 80 BD 46 FF FF FF 00 74 1C 80 BD 44 FF FF FF 00 74 28 83 7D EC 00 74 22 8B 55 E8 8B 45 EC 8B 08 FF 51 20 EB 15 8B 45 BC 8B 10 FF 52 0C 8B D0 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 40 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? 89 85 34 FF FF FF 8B 45 BC 8B 10 FF 52 0C 8B D0 8D 85 70 FF FF FF E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 85 54 FF FF FF 66 83 78 22 00 74 2D 8B 45 E8 50 8B 4D E4 8B 95 50 FF FF FF 8D 85 E0 FE FF FF E8 ?? ?? ?? ?? 8D 95 E0 FE FF FF 8D 4D 88 8B 9D 54 FF FF FF 8B 43 24 FF 53 20 C3 E9 ?? ?? ?? ?? EB BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0F 0F B6 95 45 FF FF FF 8B 45 EC 8B 08 FF 51 18 C3 E9 ?? ?? ?? ?? EB E3 8B 85 3C FF FF FF E8 ?? ?? ?? ?? 84 C0 0F 85 4A F9 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 BD 3C FF FF FF 00 74 0D B2 01 8B 85 3C FF FF FF 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E0 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 EC FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 00 FF FF FF E8 ?? ?? ?? ?? 8D 85 04 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 8D 85 24 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 28 FF FF FF E8 ?? ?? ?? ?? 8D 85 58 FF FF FF 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 10 FF FF FF 5F 5E 5B 8B E5 5D C3 18 0F DD D4 76 40 9B 4A B8 7A F9 BA 1B C6 9E 26 9A C5 7F 76 D9 C8 10 48 9A 9E B7 64 87 06 F0 B6 }
	condition:
		$1
}

rule function_59818_0 {
	meta:
		name = "TValueRefConverter.AddConversion"
		size = 289
		refs = "0040 TConverterDescription 0045 @AddRefRecord 004d TValueRefConverter.AddConversion 005e TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.ContainsKey 0074 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.GetItem 00a0 sDuplicatedConverterType 00a5 LoadResString 00b3 Format 00bd _DV_EBindConverterError 00c2 Exception.Create 00c7 @RaiseExcept 00d5 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Add 00ea @UStrClr 00f8 @FinalizeRecord 0114 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 33 DB 89 5D D8 89 5D A4 89 5D A8 89 5D AC 89 5D B0 89 5D B4 89 5D B8 89 5D BC 89 5D A0 8B F1 8D 7D E4 B9 07 00 00 00 F3 A5 8B F2 8D 7D DC A5 A5 8B D8 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 DC 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 65 8D 45 D8 50 8D 4D A4 8D 55 DC 8B 43 0C E8 ?? ?? ?? ?? 8B 45 A8 89 45 C0 C6 45 C4 11 8B 45 DC 40 89 45 C8 C6 45 CC 04 8B 45 E0 40 89 45 D0 C6 45 D4 04 8D 45 C0 50 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 B9 02 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E4 8D 55 DC 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59819_0 {
	meta:
		name = "TValueRefConverter.AddConversion"
		size = 205
		refs = "0023 @DynArrayAddRef 002c TConverterDescription 0031 @AddRefRecord 0039 TValueRefConverter.AddConversion 004b TArray<System.Bindings.Outputs.TConvertPair> 0050 @DynArrayAsg 007a @DynArrayLength 008c @DynArrayClear 00a7 @FinalizeRecord 00ba @FinalizeArray 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D F8 8B F1 8D 7D DC B9 07 00 00 00 F3 A5 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 1E 8B 45 F8 8B 14 D8 89 55 D4 8B 54 D8 04 89 55 D8 8D 4D DC 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7C D6 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59820_0 {
	meta:
		name = "TValueRefConverter.CanConvert"
		size = 91
		refs = "0012 TValueRefConverter.CanConvert 0029 TValueRefConverter.GetConverter 0047 @IntfClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_59822_0 {
	meta:
		name = "TValueRefConverter.Convert"
		size = 117
		refs = "0012 TValueRefConverter.Convert 0025 TValue.GetTypeInfo 0030 TValueRefConverter.GetConverter 003f RaiseConverterNotFound 0061 @IntfClear 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 75 09 8B C3 8B D7 E8 ?? ?? ?? ?? 8B 4D 08 8B D3 8B 45 FC 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_59825_0 {
	meta:
		name = "TValueRefConverter.GetConverter"
		size = 855
		refs = "0024 TValueRefConverter.GetConverter 0032 @IntfClear 004a TConvertPair.Create 0058 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.ContainsKey 007b TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.GetItem 0086 @IntfCopy 0093 GetClassType 00ab TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.GetKeys 00b0 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TKeyCollection.GetEnumerator 00d1 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TKeyEnumerator.GetCurrent 00fe TObject.InheritsFrom 01e1 @TryFinallyExit 02f2 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TKeyEnumerator.MoveNext 031d @HandleFinally 0338 TConverterDescription 0342 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 1D 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 33 C0 89 45 F0 33 C0 89 45 EC 8D 45 D4 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 84 C0 74 2F 8B 4D F4 8B 55 F8 8D 45 D4 E8 ?? ?? ?? ?? 8D 55 D4 8D 4D B8 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 55 B8 8B 45 08 E8 ?? ?? ?? ?? E9 94 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 24 02 00 00 8D 55 E0 8B 45 DC E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B D8 8B 45 E4 E8 ?? ?? ?? ?? 8B F0 85 FF 0F 84 F9 00 00 00 85 DB 0F 84 F1 00 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 E0 00 00 00 8B 45 F4 3B 45 E4 74 1C 83 7D E8 00 0F 84 CE 00 00 00 8B D6 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 84 BC 00 00 00 80 7D 0C 00 0F 84 86 00 00 00 8B 45 08 83 38 00 74 57 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 98 00 00 00 8B 45 F4 3B 45 E4 74 16 85 F6 0F 84 88 00 00 00 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 84 C0 74 7A 8D 4D 9C 8D 55 E0 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 55 9C 8B 45 08 E8 ?? ?? ?? ?? 89 75 EC 89 5D F0 E9 57 01 00 00 8D 4D 80 8D 55 E0 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 55 80 8B 45 08 E8 ?? ?? ?? ?? 89 75 EC 89 5D F0 E9 30 01 00 00 8D 8D 64 FF FF FF 8D 55 E0 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 95 64 FF FF FF 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 39 01 00 00 83 7D E8 00 0F 84 FA 00 00 00 85 F6 0F 84 F2 00 00 00 8B D6 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 84 E0 00 00 00 8B 45 F8 3B 45 E0 74 19 85 FF 0F 84 D0 00 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 BF 00 00 00 80 7D 0C 00 0F 84 8C 00 00 00 8B 45 08 83 38 00 74 5A 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 9B 00 00 00 8B 45 F8 3B 45 E0 74 16 85 DB 0F 84 8B 00 00 00 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 7D 8D 8D 48 FF FF FF 8D 55 E0 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 95 48 FF FF FF 8B 45 08 E8 ?? ?? ?? ?? 89 75 EC 89 5D F0 EB 53 8D 8D 2C FF FF FF 8D 55 E0 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 95 2C FF FF FF 8B 45 08 E8 ?? ?? ?? ?? 89 75 EC 89 5D F0 EB 29 8D 8D 10 FF FF FF 8D 55 E0 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 95 10 FF FF FF 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 35 8B 45 DC E8 ?? ?? ?? ?? 84 C0 0F 85 CC FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0A B2 01 8B 45 DC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 10 FF FF FF 8B 15 ?? ?? ?? ?? B9 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_59827_0 {
	meta:
		name = "TValueRefConverterFactory.Create@"
		size = 48
		refs = "0002 TValueRefConverterFactory.$ClassInitFlag 000e _DV_TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 0013 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create 0018 TValueRefConverterFactory.FRegisteredConversions 0021 _DV_TObjectList<System.TObject> 0026 TObjectList<System.TObject>.Create 002b TValueRefConverterFactory.FFreeList"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 26 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_59829_0 {
	meta:
		name = "TValueRefConverterFactory.GetConverter"
		size = 597
		refs = "0024 @DynArrayAddRef 002d TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 0032 @InitializeRecord 003a TValueRefConverterFactory.GetConverter 0047 _DV_TValueRefConverter 004c TValueRefConverter.Create 0065 @DynArrayLength 0079 TArray<System.string> 007e @DynArrayAsg 0093 @UStrLAsg 00a1 @FinalizeRecord 00ab TValueRefConverterFactory.FRegisteredConversions 00b0 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TryGetValue 00c0 sConverterIDNotRegistered 00c5 LoadResString 00de Format 00e8 _DV_EBindConverterError 00ed Exception.Create 00f2 @RaiseExcept 010b TValueRefConverter.AddConversion 012a @DynArrayClear 0139 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetKeys 013e TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TKeyCollection.GetEnumerator 015c TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TKeyEnumerator.GetCurrent 016c TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetItem 0193 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TKeyEnumerator.MoveNext 01ba @HandleFinally 01cb @HandleOnException 01d3 _Dn_Exception 01df TObject.Free 01e4 @RaiseAgain 01e9 @DoneExcept 01ff TArray<System.Bindings.Outputs.TConvertPair> 0209 @FinalizeArray 0216 @UStrArrayClr 022c @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 C9 89 4D B4 89 4D B8 89 4D C8 89 4D C4 89 4D F4 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 8E C2 00 00 00 8D 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB E9 87 00 00 00 8D 45 F4 8B 55 F8 8B 14 9A E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 3E 8D 45 C8 50 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 50 8B 45 F4 89 45 BC C6 45 C0 11 8D 55 BC 33 C9 58 E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 B8 8B 45 D4 8B 08 FF 51 04 8B 55 B8 8D 4D D8 8B 45 D0 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 0F 8C 69 FF FF FF 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8D 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 3A 8D 55 F4 8B 45 CC E8 ?? ?? ?? ?? 8D 4D D4 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D E8 00 74 19 8D 55 B4 8B 45 D4 8B 08 FF 51 04 8B 55 B4 8D 4D D8 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 84 C0 75 BA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D CC 00 74 0A B2 01 8B 45 CC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AF 8B 45 D0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59830_0 {
	meta:
		name = "TValueRefConverterFactory.GetConverterDescriptions"
		size = 235
		refs = "000f TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 0014 @InitializeRecord 001c TValueRefConverterFactory.GetConverterDescriptions 0027 TValueRefConverterFactory.FRegisteredConversions 0038 TArray<System.Bindings.Outputs.TConverterDescription> 003d @DynArraySetLength 004c TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetValues 0051 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TValueCollection.GetEnumerator 006f TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TValueEnumerator.GetCurrent 0087 TConverterDescription 008c @CopyRecord 0095 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TValueEnumerator.MoveNext 00bc @HandleFinally 00d9 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 8B F2 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 40 08 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 29 8D 55 E0 8B 45 DC E8 ?? ?? ?? ?? 8B C3 03 C0 03 C0 03 C0 2B C3 8B 16 8D 04 82 8D 55 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0A B2 01 8B 45 DC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59831_0 {
	meta:
		name = "TValueRefConverterFactory.GetConverterUnitName"
		size = 128
		refs = "001d TValueRefConverterFactory.GetConverterUnitName 002a @UStrClr 0031 TValueRefConverterFactory.FRegisteredConversions 0036 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.ContainsKey 0049 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetItem 0053 @UStrAsg 0069 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 006e @FinalizeRecord 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8D 4D E0 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59832_0 {
	meta:
		name = "TValueRefConverterFactory.GetConverterFrameworkClass"
		size = 110
		refs = "0015 TValueRefConverterFactory.GetConverterFrameworkClass 0024 TValueRefConverterFactory.FRegisteredConversions 0029 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.ContainsKey 003c TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetItem 0055 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 005a @FinalizeRecord 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8D 4D E0 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 75 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59834_0 {
	meta:
		name = "TValueRefConverterFactory.RegisterConversion"
		size = 267
		refs = "002f TConverterDescription 0034 @AddRefRecord 003c TValueRefConverterFactory.RegisterConversion 004d @UStrLAsg 0055 TValueRefConverterFactory.FRegisteredConversions 005a TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.ContainsKey 006e TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetItem 007a _DV_TList<System.Bindings.Outputs.TConvertPair> 007f TList<System.Bindings.Outputs.TConvertPair>.Create 0088 TValueRefConverterFactory.FFreeList 008d TList<System.TObject>.Add 009a TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>.Create 00aa TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Add 00b6 TConvertPair.Create 00c0 TList<System.Bindings.Outputs.TConvertPair>.Add 00d6 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 00e0 @FinalizeArray 00ee @FinalizeRecord 00f6 @UStrClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B 75 08 8D 7D E0 51 B9 07 00 00 00 F3 A5 59 8B F9 8B F2 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 E4 E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8D 4D C0 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D C0 EB 37 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E0 8D 45 A0 8B D3 E8 ?? ?? ?? ?? 8D 4D A0 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF 8B D6 8D 45 98 E8 ?? ?? ?? ?? 8D 55 98 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_59836_0 {
	meta:
		name = "TValueRefConverterFactory.UnRegisterConversion"
		size = 264
		refs = "0017 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 001c @InitializeRecord 0024 TValueRefConverterFactory.UnRegisterConversion 002f TValueRefConverterFactory.FRegisteredConversions 0034 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetKeys 0039 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TKeyCollection.GetEnumerator 0057 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TKeyEnumerator.GetCurrent 0067 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetItem 0073 TConvertPair.Create 0080 TList<System.Bindings.Outputs.TConvertPair>.Contains 008e TList<System.Bindings.Outputs.TConvertPair>.Remove 00a1 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Remove 00a9 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TKeyEnumerator.MoveNext 00d0 @HandleFinally 00ed @FinalizeRecord 00f5 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 55 8D 55 FC 8B 45 D0 E8 ?? ?? ?? ?? 8D 4D DC 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 8B CF 8B D6 E8 ?? ?? ?? ?? 8D 55 D4 8B 5D DC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 83 7B 08 00 75 0D 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 84 C0 75 9F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D0 00 74 0A B2 01 8B 45 D0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59837_0 {
	meta:
		name = "TValueRefConverterFactory.RegisterConversion"
		size = 195
		refs = "0047 TConverterDescription 004c @AddRefRecord 0054 TValueRefConverterFactory.RegisterConversion 00a8 @FinalizeRecord 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B 75 08 8D 7D E4 51 B9 07 00 00 00 F3 A5 59 8B 5D 10 8B 75 0C 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 10 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 8B F1 8B DA 89 45 E0 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 2F 46 89 75 DC 8B F3 8B 7D 0C 85 FF 7C 1A 47 8B 5D 10 8D 45 E4 50 8B 0B 8B 16 8B 45 E0 E8 ?? ?? ?? ?? 83 C3 04 4F 75 EA 83 C6 04 FF 4D DC 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 7D D0 8B 75 D4 8B 5D D8 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_59838_0 {
	meta:
		name = "TValueRefConverterFactory.UnRegisterConversion"
		size = 109
		refs = "004c TValueRefConverterFactory.UnRegisterConversion"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 5D 0C 8B 75 08 85 F6 78 07 8B 3C B3 4E 57 79 F9 89 65 0C 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 45 FC 85 C9 7C 2B 41 89 4D F8 8B F2 8B 7D 08 85 FF 7C 16 47 8B 5D 0C 8B 0B 8B 16 8B 45 FC E8 ?? ?? ?? ?? 83 C3 04 4F 75 EE 83 C6 04 FF 4D F8 75 DB 8B 7D EC 8B 75 F0 8B 5D F4 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_59839_0 {
	meta:
		name = "ProcessTypeInfo"
		size = 43
		refs = "001a string 0024 Integer"
	strings:
		$1 = { 83 38 00 74 25 8B 10 0F B6 12 FE CA 74 14 80 EA 04 74 05 80 EA 0D 75 12 8B 15 ?? ?? ?? ?? 89 10 EB 08 8B 15 ?? ?? ?? ?? 89 10 C3 }
	condition:
		$1
}

rule function_59840_0 {
	meta:
		name = "TConvertPair.Create"
		size = 47
		refs = "0010 ProcessTypeInfo"
	strings:
		$1 = { 53 83 C4 F8 89 4C 24 04 89 14 24 8B D8 8B C4 E8 ?? ?? ?? ?? 8D 44 24 04 E8 ?? ?? ?? ?? 8B 04 24 89 03 8B 44 24 04 89 43 04 8B C3 59 5A 5B C3 }
	condition:
		$1
}

rule function_59841_0 {
	meta:
		name = "TBindingAssignValueRec.Create"
		size = 88
		refs = "0010 @UStrAddRef 0018 TBindingAssignValueRec.Create 002e @UStrAsg 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 33 89 7B 04 8D 43 08 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_59842_0 {
	meta:
		name = "TConverterDescription.Create"
		size = 192
		refs = "0018 @IntfAddRef 0020 TConverterDescription.Create 0032 sConverterIDNotFound 0037 LoadResString 0041 _DV_EBindConverterError 0046 Exception.Create 004b @RaiseExcept 0055 @IntfCopy 0060 @UStrAsg 00a2 @UStrClr 00aa @IntfClear 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8D 43 08 8B 55 18 E8 ?? ?? ?? ?? 8D 43 0C 8B 55 14 E8 ?? ?? ?? ?? 8D 43 04 8B D6 E8 ?? ?? ?? ?? 0F B6 45 10 88 43 10 8B 45 08 89 43 14 8D 43 18 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C2 14 00 }
	condition:
		$1
}

rule function_59861_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$0$Body"
		size = 98
		refs = "0016 RegisterBasicOutputConverters$45$ActRec.$0$Body 0026 TValue.&op_Implicit 0031 TValue 0036 @CopyRecord 0051 @FinalizeRecord 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 33 C0 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59862_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$1$Body"
		size = 98
		refs = "0016 RegisterBasicOutputConverters$45$ActRec.$1$Body 0026 TValue.&op_Implicit 0031 TValue 0036 @CopyRecord 0051 @FinalizeRecord 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 33 C0 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59864_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$3$Body"
		size = 98
		refs = "0016 RegisterBasicOutputConverters$45$ActRec.$3$Body 0026 TValue.&op_Implicit 0031 TValue 0036 @CopyRecord 0051 @FinalizeRecord 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 33 C0 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59863_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$2$Body"
		size = 122
		refs = "001b RegisterBasicOutputConverters$45$ActRec.$2$Body 002b @VarFromUStr 0036 TValue.From<System.Variant> 0041 TValue 0046 @CopyRecord 005b @VarClr 0069 @FinalizeRecord 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D8 33 D2 E8 ?? ?? ?? ?? 8D 45 D8 8D 55 E8 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59865_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$4$Body"
		size = 38
		refs = "0007 TValue.AsObject 000d _Dn_TStrings 0012 @AsClass"
	strings:
		$1 = { 53 56 8B D9 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 07 8B C6 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_59866_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$5$Body"
		size = 30
		refs = "0007 TValue.AsObject"
	strings:
		$1 = { 53 56 8B F1 8B C2 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_59867_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$6$Body"
		size = 130
		refs = "001b RegisterBasicOutputConverters$45$ActRec.$6$Body 0028 TValue.AsBoolean 0032 BoolToStr 003d TValue.From<System.string> 0048 TValue 004d @CopyRecord 0062 @UStrClr 0070 @FinalizeRecord 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D E4 B2 01 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59868_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$7$Body"
		size = 145
		refs = "001d RegisterBasicOutputConverters$45$ActRec.$7$Body 002d TValue.AsString 0038 TryStrToBool 004c TValue.From<System.Boolean> 0057 TValue 005c @CopyRecord 0077 @FinalizeRecord 007f @UStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FF E8 ?? ?? ?? ?? 84 C0 75 04 C6 45 FF 00 8D 55 E0 0F B6 45 FF E8 ?? ?? ?? ?? 8D 55 E0 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59869_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$8$Body"
		size = 128
		refs = "001b RegisterBasicOutputConverters$45$ActRec.$8$Body 0028 TValue.AsInteger 0030 IntToStr 003b TValue.From<System.string> 0046 TValue 004b @CopyRecord 0060 @UStrClr 006e @FinalizeRecord 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59870_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$9$Body"
		size = 130
		refs = "001b RegisterBasicOutputConverters$45$ActRec.$9$Body 0028 TValue.AsInt64 0032 IntToStr 003d TValue.From<System.string> 0048 TValue 004d @CopyRecord 0062 @UStrClr 0070 @FinalizeRecord 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 52 50 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59871_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$10$Body"
		size = 188
		refs = "001e RegisterBasicOutputConverters$45$ActRec.$10$Body 002e TValue.AsString 003e TValue.&op_Implicit 0049 TValue 004e @CopyRecord 0062 StrToInt 006a TValue.From<System.Integer> 008f @UStrClr 00a2 @FinalizeArray 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 1C 8D 55 E4 33 C0 E8 ?? ?? ?? ?? 8D 55 E4 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2A 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8D 55 CC 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59872_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$11$Body"
		size = 147
		refs = "001b RegisterBasicOutputConverters$45$ActRec.$11$Body 0028 TValue.AsExtended 003f CurrencyString 0044 FloatToStr 004f TValue.From<System.string> 005a TValue 005f @CopyRecord 007a @FinalizeRecord 0082 @UStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C2 E8 ?? ?? ?? ?? DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 D8 8B C3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59873_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$12$Body"
		size = 152
		refs = "001e RegisterBasicOutputConverters$45$ActRec.$12$Body 002e TValue.AsString 0034 CurrencyString 003c StrToFloat 0053 TValue.From<System.Extended> 005e TValue 0063 @CopyRecord 007e @FinalizeRecord 0086 @UStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 45 D8 E8 ?? ?? ?? ?? 8D 55 D8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59874_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$13$Body"
		size = 147
		refs = "001e RegisterBasicOutputConverters$45$ActRec.$13$Body 002e TValue.AsString 0034 CurrencyString 003c StrToDateTime 004e TValue.From<System.TDateTime> 0059 TValue 005e @CopyRecord 0079 @FinalizeRecord 0081 @UStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 8D 45 D8 E8 ?? ?? ?? ?? 8D 55 D8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59877_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$16$Body"
		size = 147
		refs = "001e RegisterBasicOutputConverters$45$ActRec.$16$Body 002e TValue.AsString 0034 CurrencyString 003c StrToDate 004e TValue.From<System.TDate> 0059 TValue 005e @CopyRecord 0079 @FinalizeRecord 0081 @UStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 8D 45 D8 E8 ?? ?? ?? ?? 8D 55 D8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59875_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$14$Body"
		size = 146
		refs = "001e RegisterBasicOutputConverters$45$ActRec.$14$Body 002b TValue.AsExtended 003d CurrencyString 0042 DateTimeToStr 004d TValue.From<System.string> 0058 TValue 005d @CopyRecord 0078 @FinalizeRecord 0080 @UStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 D8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59876_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$15$Body"
		size = 146
		refs = "001e RegisterBasicOutputConverters$45$ActRec.$15$Body 002b TValue.AsExtended 003d CurrencyString 0042 DateToStr 004d TValue.From<System.string> 0058 TValue 005d @CopyRecord 0078 @FinalizeRecord 0080 @UStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 D8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59878_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$17$Body"
		size = 144
		refs = "001d RegisterBasicOutputConverters$45$ActRec.$17$Body 002d TValue.AsString 0038 @VarFromUStr 0043 TValue.From<System.Variant> 004e TValue 0053 @CopyRecord 0068 @UStrClr 0070 @VarClr 007e @FinalizeRecord 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 D8 8D 55 E8 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59879_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$18$Body"
		size = 133
		refs = "001e RegisterBasicOutputConverters$45$ActRec.$18$Body 002b TValue.AsBoolean 0035 @VarFromBool 0040 TValue.From<System.Variant> 004b TValue 0050 @CopyRecord 006b @FinalizeRecord 0073 @VarClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 D8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59880_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$19$Body"
		size = 135
		refs = "001e RegisterBasicOutputConverters$45$ActRec.$19$Body 002e TValue.AsVariant 0036 @VarToBool 0042 TValue.From<System.Boolean> 004d TValue 0052 @CopyRecord 006d @FinalizeRecord 0075 @VarClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B D8 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8D 55 D8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59881_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$20$Body"
		size = 131
		refs = "001e RegisterBasicOutputConverters$45$ActRec.$20$Body 002b TValue.AsExtended 0033 @VarFromReal 003e TValue.From<System.Variant> 0049 TValue 004e @CopyRecord 0063 @VarClr 0071 @FinalizeRecord 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 D8 8D 55 E8 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59882_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$21$Body"
		size = 133
		refs = "001e RegisterBasicOutputConverters$45$ActRec.$21$Body 002b TValue.AsInt64 0035 @VarFromInt64 0040 TValue.From<System.Variant> 004b TValue 0050 @CopyRecord 0065 @VarClr 0073 @FinalizeRecord 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 52 50 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 D8 8D 55 E8 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59883_0 {
	meta:
		name = "RegisterBasicOutputConverters$45$ActRec.$22$Body"
		size = 133
		refs = "001e RegisterBasicOutputConverters$45$ActRec.$22$Body 002b TValue.AsInt64 0035 @VarFromInt64 0040 TValue.From<System.Variant> 004b TValue 0050 @CopyRecord 0065 @VarClr 0073 @FinalizeRecord 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 52 50 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 D8 8D 55 E8 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_59884_0 {
	meta:
		name = "RegisterBasicOutputConverters"
		size = 4504
		refs = "0015 RegisterBasicOutputConverters 0022 _DV_RegisterBasicOutputConverters$45$ActRec 0027 TObject.Create 003a @IntfCopy 0042 sNilToString 0047 LoadResString 0057 sNilToStringDesc 0078 TConverterDescription.Create 0082 string 0089 _DV_TValueRefConverterFactory 008e TValueRefConverterFactory.RegisterConversion 0096 sNilToBoolean 00ab sNilToBooleanDesc 00d6 Boolean 00ea sNilToVariant 00ff sNilToVariantDesc 012a Variant 014c Integer 0154 Extended 015c Single 0170 sNilToNumber 018b sNilToNumberDesc 01d8 sNilToTDateTime 01f3 sNilToTDateTimeDesc 0221 TDateTime 0238 sNilToTStrings 0253 sNilToTStringsDesc 0287 TStrings 029e sPersistentToPersistent 02b9 sPersistentToPersistentDesc 02ed TPersistent 0308 sBoolToString 0323 sBoolToStringDesc 0372 sStringToBool 038d sStringToBoolDesc 03dc sIntegerToString 03f7 sIntegerToStringDesc 049b Int64 04b0 sStringToInteger 04cb sStringToIntegerDesc 053f sFloatToString 055a sFloatToStringDesc 05e8 sStrToFloat 0603 sStrToFloatDesc 0653 sStrToTDateTime 066e sStrToTDateTimeDesc 06bd sTDateTimeToStr 06d8 sTDateTimeToStrDesc 0727 sTDateToStr 0742 sTDateToStrDesc 077c TDate 0791 sStrToTDate 07ac sStrToTDateDesc 07fb sStringToVariant 0816 sStringToVariantDesc 0865 sBoolToVariant 0880 sBoolToVariantDesc 08cf sVariantToBool 08ea sVariantToBoolDesc 095e sFloatToVariant 0979 sFloatToVariantDesc 09eb sIntToVariant 0a06 sIntToVariantDesc 0af3 @UStrArrayClr 0aff TConverterDescription 0b04 @FinalizeRecord 0df1 @IntfClear 0dff @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 70 00 00 00 6A 00 6A 00 49 75 F9 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 50 6A 00 6A 01 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 50 6A 00 8B D3 85 D2 74 03 83 EA 9C B9 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 DC 50 8B 0D ?? ?? ?? ?? 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 50 6A 00 6A 01 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 50 6A 00 8B D3 85 D2 74 03 83 EA A0 B9 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 B8 50 8B 0D ?? ?? ?? ?? 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 90 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 90 50 6A 00 6A 01 8D 55 8C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 8C 50 6A 00 8B D3 85 D2 74 03 83 EA A4 B9 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 94 50 8B 0D ?? ?? ?? ?? 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B D3 85 D2 74 03 83 EA A8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 80 A1 ?? ?? ?? ?? 89 45 84 A1 ?? ?? ?? ?? 89 45 88 8D 45 80 50 6A 02 8D 95 60 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 50 6A 00 6A 01 8D 95 5C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 50 6A 00 B9 ?? ?? ?? ?? 8B 55 FC 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 8D 85 64 FF FF FF 50 33 C0 89 85 58 FF FF FF 8D 95 58 FF FF FF 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 38 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 38 FF FF FF 50 6A 00 6A 01 8D 95 34 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 34 FF FF FF 50 6A 00 B9 ?? ?? ?? ?? 8B 55 FC 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF 50 8B 0D ?? ?? ?? ?? 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 14 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 14 FF FF FF 50 6A 00 6A 01 8D 95 10 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 50 6A 00 8B D3 85 D2 74 03 83 EA AC B9 ?? ?? ?? ?? 8D 85 18 FF FF FF E8 ?? ?? ?? ?? 8D 85 18 FF FF FF 50 8B 0D ?? ?? ?? ?? 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 F0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF 50 6A 00 6A 01 8D 95 EC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 EC FE FF FF 50 6A 00 8B D3 85 D2 74 03 83 EA B0 B9 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF 50 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 CC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 CC FE FF FF 50 6A 00 6A 01 8D 95 C8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 C8 FE FF FF 50 6A 00 8B D3 85 D2 74 03 83 EA B4 B9 ?? ?? ?? ?? 8D 85 D0 FE FF FF E8 ?? ?? ?? ?? 8D 85 D0 FE FF FF 50 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 A8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 A8 FE FF FF 50 6A 00 6A 01 8D 95 A4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 A4 FE FF FF 50 6A 00 8B D3 85 D2 74 03 83 EA B8 B9 ?? ?? ?? ?? 8D 85 AC FE FF FF E8 ?? ?? ?? ?? 8D 85 AC FE FF FF 50 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 84 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 84 FE FF FF 50 6A 00 6A 01 8D 95 80 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 80 FE FF FF 50 6A 00 8B D3 85 D2 74 03 83 EA BC B9 ?? ?? ?? ?? 8D 85 88 FE FF FF E8 ?? ?? ?? ?? 8D 85 88 FE FF FF 50 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 60 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 60 FE FF FF 50 6A 00 6A 01 8D 95 5C FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 5C FE FF FF 50 6A 00 8B D3 85 D2 74 03 83 EA C0 B9 ?? ?? ?? ?? 8D 85 64 FE FF FF E8 ?? ?? ?? ?? 8D 85 64 FE FF FF 50 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 3C FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 3C FE FF FF 50 6A 00 6A 01 8D 95 38 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 38 FE FF FF 50 6A 00 8B D3 85 D2 74 03 83 EA C4 B9 ?? ?? ?? ?? 8D 85 40 FE FF FF E8 ?? ?? ?? ?? 8D 85 40 FE FF FF 50 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B D3 85 D2 74 03 83 EA C8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 85 58 FF FF FF 8D 85 58 FF FF FF 50 6A 00 8D 95 18 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 18 FE FF FF 50 6A 00 6A 01 8D 95 14 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 14 FE FF FF 50 6A 00 B9 ?? ?? ?? ?? 8B 55 FC 8D 85 1C FE FF FF E8 ?? ?? ?? ?? 8D 85 1C FE FF FF 50 A1 ?? ?? ?? ?? 89 85 0C FE FF FF A1 ?? ?? ?? ?? 89 85 10 FE FF FF 8D 95 0C FE FF FF B9 01 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B D3 85 D2 74 03 83 EA CC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 85 0C FE FF FF A1 ?? ?? ?? ?? 89 85 10 FE FF FF 8D 85 0C FE FF FF 50 6A 01 8D 95 EC FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 EC FD FF FF 50 6A 00 6A 01 8D 95 E8 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E8 FD FF FF 50 6A 00 B9 ?? ?? ?? ?? 8B 55 FC 8D 85 F0 FD FF FF E8 ?? ?? ?? ?? 8D 85 F0 FD FF FF 50 A1 ?? ?? ?? ?? 89 85 58 FF FF FF 8D 95 58 FF FF FF 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 C8 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 C8 FD FF FF 50 6A 00 6A 01 8D 95 C4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 C4 FD FF FF 50 6A 00 8B D3 85 D2 74 03 83 EA D0 B9 ?? ?? ?? ?? 8D 85 CC FD FF FF E8 ?? ?? ?? ?? 8D 85 CC FD FF FF 50 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 A4 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 A4 FD FF FF 50 6A 00 6A 01 8D 95 A0 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 A0 FD FF FF 50 6A 00 8B D3 85 D2 74 03 83 EA D4 B9 ?? ?? ?? ?? 8D 85 A8 FD FF FF E8 ?? ?? ?? ?? 8D 85 A8 FD FF FF 50 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 80 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 80 FD FF FF 50 6A 00 6A 01 8D 95 7C FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 7C FD FF FF 50 6A 00 8B D3 85 D2 74 03 83 EA D8 B9 ?? ?? ?? ?? 8D 85 84 FD FF FF E8 ?? ?? ?? ?? 8D 85 84 FD FF FF 50 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 5C FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 5C FD FF FF 50 6A 00 6A 01 8D 95 58 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 58 FD FF FF 50 6A 00 8B D3 85 D2 74 03 83 EA DC B9 ?? ?? ?? ?? 8D 85 60 FD FF FF E8 ?? ?? ?? ?? 8D 85 60 FD FF FF 50 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 38 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 38 FD FF FF 50 6A 00 6A 01 8D 95 34 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 34 FD FF FF 50 6A 00 8B D3 85 D2 74 03 83 EA E0 B9 ?? ?? ?? ?? 8D 85 3C FD FF FF E8 ?? ?? ?? ?? 8D 85 3C FD FF FF 50 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 14 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 14 FD FF FF 50 6A 00 6A 01 8D 95 10 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 10 FD FF FF 50 6A 00 8B D3 85 D2 74 03 83 EA E4 B9 ?? ?? ?? ?? 8D 85 18 FD FF FF E8 ?? ?? ?? ?? 8D 85 18 FD FF FF 50 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 F0 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F0 FC FF FF 50 6A 00 6A 01 8D 95 EC FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 EC FC FF FF 50 6A 00 8B D3 85 D2 74 03 83 EA E8 B9 ?? ?? ?? ?? 8D 85 F4 FC FF FF E8 ?? ?? ?? ?? 8D 85 F4 FC FF FF 50 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B D3 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 85 58 FF FF FF 8D 85 58 FF FF FF 50 6A 00 8D 95 CC FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 CC FC FF FF 50 6A 00 6A 01 8D 95 C8 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 C8 FC FF FF 50 6A 00 B9 ?? ?? ?? ?? 8B 55 FC 8D 85 D0 FC FF FF E8 ?? ?? ?? ?? 8D 85 D0 FC FF FF 50 A1 ?? ?? ?? ?? 89 85 0C FE FF FF A1 ?? ?? ?? ?? 89 85 10 FE FF FF 8D 95 0C FE FF FF B9 01 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 85 58 FF FF FF 8D 85 58 FF FF FF 50 6A 00 8D 95 A8 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 A8 FC FF FF 50 6A 00 6A 01 8D 95 A4 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 A4 FC FF FF 50 6A 00 8B D3 85 D2 74 03 83 EA F0 B9 ?? ?? ?? ?? 8D 85 AC FC FF FF E8 ?? ?? ?? ?? 8D 85 AC FC FF FF 50 A1 ?? ?? ?? ?? 89 85 A0 FC FF FF 8D 95 A0 FC FF FF 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 85 58 FF FF FF 8D 85 58 FF FF FF 50 6A 00 8D 95 80 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 80 FC FF FF 50 6A 00 6A 01 8D 95 7C FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 7C FC FF FF 50 6A 00 8B D3 85 D2 74 03 83 EA F4 B9 ?? ?? ?? ?? 8D 85 84 FC FF FF E8 ?? ?? ?? ?? 8D 85 84 FC FF FF 50 A1 ?? ?? ?? ?? 89 85 A0 FC FF FF 8D 95 A0 FC FF FF 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FC FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 84 FC FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 A4 FC FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 AC FC FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 C8 FC FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 D0 FC FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 EC FC FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 F4 FC FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 10 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 18 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 34 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 3C FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 58 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 60 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 7C FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 84 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 A0 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 A8 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 C4 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 CC FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 E8 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 F0 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 14 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 1C FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 38 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 40 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 5C FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 64 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 80 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 88 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 A4 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 AC FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 C8 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 D0 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 EC FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 10 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 18 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 34 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 5C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 64 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 8C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 94 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 DF FC FF FF 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4E 00 69 00 6C 00 54 00 6F 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4E 00 69 00 6C 00 54 00 6F 00 42 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4E 00 69 00 6C 00 54 00 6F 00 56 00 61 00 72 00 69 00 61 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4E 00 69 00 6C 00 54 00 6F 00 4E 00 75 00 6D 00 62 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4E 00 69 00 6C 00 54 00 6F 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4E 00 69 00 6C 00 54 00 6F 00 54 00 53 00 74 00 72 00 69 00 6E 00 67 00 73 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 50 00 65 00 72 00 73 00 69 00 73 00 74 00 65 00 6E 00 74 00 54 00 6F 00 50 00 65 00 72 00 73 00 69 00 73 00 74 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 42 00 6F 00 6F 00 6C 00 54 00 6F 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 74 00 72 00 69 00 6E 00 67 00 54 00 6F 00 42 00 6F 00 6F 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 6E 00 74 00 65 00 67 00 65 00 72 00 54 00 6F 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 74 00 72 00 69 00 6E 00 67 00 54 00 6F 00 49 00 6E 00 74 00 65 00 67 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 46 00 6C 00 6F 00 61 00 74 00 54 00 6F 00 53 00 74 00 72 00 69 00 6E 00 }
	condition:
		$1
}

rule function_59885_0 {
	meta:
		name = "TBindingOutput.TLocationRec.Create"
		size = 69
		refs = "0011 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 8D 43 08 8B D7 E8 ?? ?? ?? ?? 8D 43 0C 8B 55 10 E8 ?? ?? ?? ?? 8D 43 10 8B 55 0C E8 ?? ?? ?? ?? 0F B6 45 08 88 43 04 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_60015_0 {
	meta:
		name = "TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Create"
		size = 37
		refs = "0017 TConverterDescription 001c @CopyRecord"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B 02 89 03 8B 42 04 89 43 04 8D 43 08 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_60021_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 9B 8B 55 F8 C7 04 C2 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 9B 8B 55 FC 83 3C C2 FF 74 21 8B 55 FC 8D 54 C2 0C 52 8B 55 FC 8D 44 C2 04 50 8D 04 9B 8B 55 FC 8B 14 C2 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60023_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.GetBucketIndex"
		size = 123
		refs = "0013 @DynArrayLength"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 4C 24 04 89 14 24 8B F0 8B 46 04 E8 ?? ?? ?? ?? 85 C0 75 07 BB 00 00 00 80 EB 51 8B 46 04 E8 ?? ?? ?? ?? 48 23 44 24 04 8B D8 8D 04 9B 8B 56 04 8B 3C C2 83 FF FF 75 04 F7 D3 EB 30 3B 7C 24 04 75 19 8D 04 9B 8B 56 04 8D 54 C2 04 8B 0C 24 8B 46 0C 8B 38 FF 57 0C 84 C0 75 11 43 8B 46 04 E8 ?? ?? ?? ?? 3B D8 7C C2 33 DB EB BE 8B C3 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60025_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.GetItem"
		size = 85
		refs = "000e TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Hash 0019 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.GetBucketIndex 0025 SGenericItemNotFound 002c _Dn_EListError 0031 Exception.CreateRes 0036 @RaiseExcept 0048 TConverterDescription 004d @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 B6 8B 4B 04 8D 54 D1 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60026_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.SetItem"
		size = 204
		refs = "0015 TConverterDescription 001a @InitializeRecord 0022 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.SetItem 0031 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Hash 003c TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.GetBucketIndex 0048 SGenericItemNotFound 004f _Dn_EListError 0054 Exception.CreateRes 0059 @RaiseExcept 0071 @CopyRecord 00b9 @FinalizeRecord 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D E0 8B F2 8B D8 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8D 3C B6 8B 53 04 8D 54 FA 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 44 F8 0C 8B 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 E4 8B C3 8B 30 FF 56 0C 8B 55 E0 33 C9 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60027_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.RehashAdd"
		size = 95
		refs = "001a TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.GetBucketIndex 004d TConverterDescription 0052 @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C B6 8B 43 04 8B 55 FC 89 14 F8 8B 43 04 8B 55 F8 8B 0A 89 4C F8 04 8B 4A 04 89 4C F8 08 8B 43 04 8D 44 F8 0C 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_60028_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.DoAdd"
		size = 101
		refs = "0039 TConverterDescription 003e @CopyRecord"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 89 55 FC 8B F0 8D 3C 9B 8B 46 04 8B 55 FC 89 14 F8 8B 46 04 8B 55 0C 8B 0A 89 4C F8 04 8B 4A 04 89 4C F8 08 8B 46 04 8D 44 F8 0C 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 46 08 8B 55 0C 33 C9 8B C6 8B 18 FF 53 08 8B 55 08 33 C9 8B C6 8B 18 FF 53 0C 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_60029_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.DoSetValue"
		size = 155
		refs = "0015 TConverterDescription 001a @InitializeRecord 0022 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.DoSetValue 0040 @CopyRecord 0088 @FinalizeRecord 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D E0 8B F2 8B D8 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 8D 3C B6 8B 53 04 8D 54 FA 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 44 F8 0C 8B 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 E4 8B C3 8B 30 FF 56 0C 8B 55 E0 33 C9 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60030_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.DoRemove"
		size = 301
		refs = "0014 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.GetBucketIndex 0023 TConverterDescription 0028 @FinalizeRecord 005a @CopyRecord 0065 @DynArrayLength 0098 InCircularRange 00b4 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TItem"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B F0 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 1E 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 C0 B9 07 00 00 00 F3 AB E9 E8 00 00 00 8D 3C 9B 8B 46 04 C7 04 F8 FF FF FF FF 8B 45 08 8B 56 04 8D 54 FA 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FB 43 8B 46 04 E8 ?? ?? ?? ?? 3B D8 75 02 33 DB 8D 04 9B 8B 56 04 8B 04 C2 89 45 F8 83 7D F8 FF 74 4D 8B 46 04 E8 ?? ?? ?? ?? 48 23 45 F8 89 45 F4 8B CB 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 BF 8B 56 04 8D 04 C2 8D 14 9B 8B 4E 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FB 8D 04 BF 8B 56 04 C7 04 C2 FF FF FF FF EB 92 8D 1C BF 8B 46 04 C7 04 D8 FF FF FF FF 8B 56 04 33 C0 89 44 DA 04 89 44 DA 08 8B 46 04 8D 44 D8 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 C0 B9 07 00 00 00 F3 AB FF 4E 08 0F B6 5D 0C 8B CB 8B 55 FC 8B C6 8B 38 FF 57 08 8B CB 8B 55 08 8B C6 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_60037_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription> 0025 @InitializeRecord 002d TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Create 0048 TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.GetEnumerator 0073 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.AddOrSetValue 007b TEnumerator<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 D7 89 45 D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 D8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 DC 8B 45 D0 8B 08 FF 11 8D 4D E4 8D 55 DC 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D0 00 74 0A B2 01 8B 45 D0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 D8 80 7D D7 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 D8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60038_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription> 0025 @InitializeRecord 002d TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Create 004a TEnumerable<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.GetEnumerator 0075 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.AddOrSetValue 007d TEnumerator<System.Bindings.Outputs.TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 D7 89 45 D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 D8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 DC 8B 45 D0 8B 08 FF 11 8D 4D E4 8D 55 DC 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D0 00 74 0A B2 01 8B 45 D0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 D8 80 7D D7 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 D8 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_60042_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.ExtractPair"
		size = 186
		refs = "0021 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.ExtractPair 0030 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Hash 003d TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.GetBucketIndex 004a TConverterDescription 004f @FinalizeRecord 0067 TPair<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Create 007a TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.DoRemove 00a7 @FinalizeArray 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 28 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 C0 B9 07 00 00 00 F3 AB 8D 4D E0 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 C4 50 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? 8D 4D C4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60043_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Clear"
		size = 207
		refs = "0014 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Clear 0026 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 9B 8B 55 FC 83 3C C2 FF 74 26 8D 04 9B 8B 55 FC 8D 54 C2 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 9B 8B 55 FC 8D 54 C2 0C B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_60045_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TryGetValue"
		size = 123
		refs = "0011 TConverterDescription 0016 @InitializeRecord 001f TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.Hash 002a TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.GetBucketIndex 004f @CopyRecord 005e @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 9D 45 FF 80 7D FF 00 74 19 8B C7 8D 14 B6 8B 4B 04 8D 54 D1 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 07 00 00 00 F3 AB 8B FA 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60048_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.ContainsValue 0025 TEqualityComparer<System.Bindings.Outputs.TConverterDescription>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 9B 8B 56 04 83 3C C2 FF 74 1D 8D 04 9B 8B 56 04 8D 54 C2 0C 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60062_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TKeyEnumerator.GetCurrent"
		size = 28
	strings:
		$1 = { 53 8B 48 08 8D 0C 89 8B 40 04 8B 40 04 8B 5C C8 04 89 1A 8B 5C C8 08 89 5A 04 5B C3 }
	condition:
		$1
}

rule function_60066_0 {
	meta:
		name = "TDictionary<T>.TKeyEnumerator.MoveNext"
		size = 55
		refs = "0026 @DynArrayLength"
		altNames = "TDictionary<T>.TPairEnumerator.MoveNext TDictionary<T>.TValueEnumerator.MoveNext"
	strings:
		$1 = { 53 56 8B F0 EB 19 FF 46 08 8B 46 08 8D 04 80 8B 56 04 8B 52 04 83 3C C2 FF 74 04 B3 01 EB 13 8B 46 04 8B 40 04 E8 ?? ?? ?? ?? 48 3B 46 08 7F D6 33 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_60076_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TValueEnumerator.GetCurrent"
		size = 38
		refs = "001a TConverterDescription 001f @CopyRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8D 14 92 8B 4B 04 8B 49 04 8D 54 D1 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60081_0 {
	meta:
		name = "TDictionary<System.Bindings.Outputs.TConvertPair,System.Bindings.Outputs.TConverterDescription>.TPairEnumerator.GetCurrent"
		size = 64
		refs = "0034 TConverterDescription 0039 @CopyRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 8D 04 80 8B 53 04 8B 52 04 8B 4C C2 04 89 0E 8B 4C C2 08 89 4E 04 8D 46 08 8B 53 08 8D 14 92 8B 4B 04 8B 49 04 8D 54 D1 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60133_0 {
	meta:
		name = "TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>.Create"
		size = 29
		refs = "000f TConverterDescription 0014 @CopyRecord"
	strings:
		$1 = { 53 56 8B F1 8B D8 89 13 8D 43 04 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_60140_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Rehash"
		size = 284
		refs = "0015 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e5 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.RehashAdd 0109 @FinalizeArray 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BD 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 9B 8B 55 F8 C7 04 C2 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 34 46 33 DB 8D 04 9B 8B 55 FC 83 3C C2 FF 74 21 8B 55 FC 8D 54 C2 08 52 8B 55 FC 8B 44 C2 04 50 8D 04 9B 8B 55 FC 8B 14 C2 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60142_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetBucketIndex"
		size = 123
		refs = "0013 @DynArrayLength"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 4C 24 04 89 14 24 8B F0 8B 46 04 E8 ?? ?? ?? ?? 85 C0 75 07 BB 00 00 00 80 EB 51 8B 46 04 E8 ?? ?? ?? ?? 48 23 44 24 04 8B D8 8D 04 9B 8B 56 04 8B 3C C2 83 FF FF 75 04 F7 D3 EB 30 3B 7C 24 04 75 19 8D 04 9B 8B 56 04 8B 54 C2 04 8B 0C 24 8B 46 0C 8B 38 FF 57 0C 84 C0 75 11 43 8B 46 04 E8 ?? ?? ?? ?? 3B D8 7C C2 33 DB EB BE 8B C3 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60144_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetItem"
		size = 85
		refs = "000e TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Hash 0019 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetBucketIndex 0025 SGenericItemNotFound 002c _Dn_EListError 0031 Exception.CreateRes 0036 @RaiseExcept 0048 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 004d @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 B6 8B 4B 04 8D 54 D1 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_60145_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.SetItem"
		size = 204
		refs = "0015 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 001a @InitializeRecord 0022 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.SetItem 0031 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Hash 003c TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetBucketIndex 0048 SGenericItemNotFound 004f _Dn_EListError 0054 Exception.CreateRes 0059 @RaiseExcept 0071 @CopyRecord 00b9 @FinalizeRecord 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D DC 8B F2 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8D 3C B6 8B 53 04 8D 54 FA 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 44 F8 08 8B 55 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 E0 8B C3 8B 30 FF 56 0C 8B 55 DC 33 C9 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60146_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.RehashAdd"
		size = 91
		refs = "001a TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetBucketIndex 0039 @UStrAsg 0049 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 004e @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C B6 8B 43 04 8B 55 FC 89 14 F8 8B 43 04 8D 44 F8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8D 44 F8 08 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_60147_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.DoAdd"
		size = 89
		refs = "001e @UStrAsg 002e TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 0033 @CopyRecord"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F0 8D 3C 9B 8B 46 04 89 14 F8 8B 46 04 8D 44 F8 04 8B 55 0C E8 ?? ?? ?? ?? 8B 46 04 8D 44 F8 08 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 46 08 33 C9 8B 55 0C 8B C6 8B 18 FF 53 08 8B 55 08 33 C9 8B C6 8B 18 FF 53 0C 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_60148_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.DoSetValue"
		size = 155
		refs = "0015 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 001a @InitializeRecord 0022 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.DoSetValue 0040 @CopyRecord 0088 @FinalizeRecord 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D DC 8B F2 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 8D 3C B6 8B 53 04 8D 54 FA 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 44 F8 08 8B 55 DC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 E0 8B C3 8B 30 FF 56 0C 8B 55 DC 33 C9 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60149_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.DoRemove"
		size = 300
		refs = "0014 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetBucketIndex 0023 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 0028 @FinalizeRecord 005a @CopyRecord 0065 @DynArrayLength 0098 InCircularRange 00b4 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TItem 00e3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B F0 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 1E 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 C0 B9 08 00 00 00 F3 AB E9 E7 00 00 00 8D 3C 9B 8B 46 04 C7 04 F8 FF FF FF FF 8B 45 08 8B 56 04 8D 54 FA 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FB 43 8B 46 04 E8 ?? ?? ?? ?? 3B D8 75 02 33 DB 8D 04 9B 8B 56 04 8B 04 C2 89 45 F8 83 7D F8 FF 74 4D 8B 46 04 E8 ?? ?? ?? ?? 48 23 45 F8 89 45 F4 8B CB 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 BF 8B 56 04 8D 04 C2 8D 14 9B 8B 4E 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FB 8D 04 BF 8B 56 04 C7 04 C2 FF FF FF FF EB 92 8D 1C BF 8B 46 04 C7 04 D8 FF FF FF FF 8B 46 04 8D 44 D8 04 E8 ?? ?? ?? ?? 8B 46 04 8D 44 D8 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 C0 B9 08 00 00 00 F3 AB FF 4E 08 0F B6 5D 0C 8B CB 8B 55 FC 8B C6 8B 38 FF 57 08 8B CB 8B 55 08 8B C6 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_60156_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create"
		size = 235
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 0025 @InitializeRecord 002d TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create 0048 TEnumerable<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.GetEnumerator 0073 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.AddOrSetValue 007b TEnumerator<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.MoveNext 00a2 @HandleFinally 00bf @FinalizeRecord 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 D7 89 45 D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 D8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 DC 8B 45 D0 8B 08 FF 11 8D 4D E0 8B 55 DC 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D0 00 74 0A B2 01 8B 45 D0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 D8 80 7D D7 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 D8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60157_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create"
		size = 239
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>> 0025 @InitializeRecord 002d TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create 004a TEnumerable<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.GetEnumerator 0075 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.AddOrSetValue 007d TEnumerator<System.Bindings.Outputs.TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>>.MoveNext 00a4 @HandleFinally 00c1 @FinalizeRecord 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 D7 89 45 D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 D8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 55 DC 8B 45 D0 8B 08 FF 11 8D 4D E0 8B 55 DC 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 84 C0 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D0 00 74 0A B2 01 8B 45 D0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 D8 80 7D D7 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 D8 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_60160_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Remove"
		size = 100
		refs = "0017 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Remove 002c TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Hash 0037 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.DoRemove 004d TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 0052 @FinalizeRecord 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 E0 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60161_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.ExtractPair"
		size = 186
		refs = "0021 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.ExtractPair 0030 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Hash 003d TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetBucketIndex 004a TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 004f @FinalizeRecord 0067 TPair<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Create 007a TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.DoRemove 00a7 @FinalizeArray 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 28 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 C0 B9 08 00 00 00 F3 AB 8D 4D DC 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 1E 6A 02 8D 45 BC 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 4D BC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60162_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Clear"
		size = 207
		refs = "0014 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Clear 0026 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.SetCapacity 005e @DynArrayLength 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3E 40 89 45 F8 33 DB 8D 04 9B 8B 55 FC 83 3C C2 FF 74 26 8D 04 9B 8B 55 FC 8B 54 C2 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 9B 8B 55 FC 8D 54 C2 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_60164_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TryGetValue"
		size = 123
		refs = "0011 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 0016 @InitializeRecord 001f TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Hash 002a TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.GetBucketIndex 004f @CopyRecord 005e @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 9D 45 FF 80 7D FF 00 74 19 8B C7 8D 14 B6 8B 4B 04 8D 54 D1 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 08 00 00 00 F3 AB 8B FA 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60167_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.ContainsValue"
		size = 147
		refs = "0017 TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.ContainsValue 0025 TEqualityComparer<System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Default 002d @DynArrayLength 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 35 40 89 45 F4 33 DB 8D 04 9B 8B 56 04 83 3C C2 FF 74 1D 8D 04 9B 8B 56 04 8D 54 C2 08 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 D1 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60177_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TKeyEnumerator.GetCurrent"
		size = 32
		refs = "0019 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8D 14 92 8B 4B 04 8B 49 04 8B 54 D1 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60191_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TValueEnumerator.GetCurrent"
		size = 38
		refs = "001a TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 001f @CopyRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8D 14 92 8B 4B 04 8B 49 04 8D 54 D1 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60196_0 {
	meta:
		name = "TDictionary<System.string,System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.TPairEnumerator.GetCurrent"
		size = 62
		refs = "0019 @UStrAsg 0032 TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 0037 @CopyRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8D 14 92 8B 4B 04 8B 49 04 8B 54 D1 04 E8 ?? ?? ?? ?? 8D 46 04 8B 53 08 8D 14 92 8B 4B 04 8B 49 04 8D 54 D1 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_60390_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.DoDelete"
		size = 189
		refs = "0012 TList<System.SysUtils.TProc<System.Rtti.TValue>>.DoDelete 0027 SArgumentOutOfRange 002e _Dn_EArgumentOutOfRangeException 0033 Exception.CreateRes 0038 @RaiseExcept 0046 @IntfCopy 0051 @IntfClear 0075 Move 008a @FillChar 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 77 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 14 B2 E8 ?? ?? ?? ?? 8B 47 04 8D 04 B0 E8 ?? ?? ?? ?? FF 4F 08 8B 47 08 3B F0 74 2F 2B C6 8B C8 03 C9 03 C9 8B 47 04 8D 14 B0 8B 47 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 47 04 8B 57 08 8D 04 90 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B CB 8B 55 FC 8B C7 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_60403_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.InsertRange"
		size = 151
		refs = "0016 TList<System.SysUtils.TProc<System.Rtti.TValue>>.InsertRange 003e @IntfCopy 004a TList<System.SysUtils.TProc<System.Rtti.TValue>>.Insert 005f @IntfClear 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 8B 08 FF 51 10 EB 23 8D 55 F4 8B 45 F8 8B 08 FF 51 18 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 8B 10 FF 52 10 84 C0 75 D1 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60404_0 {
	meta:
		name = "TList<System.SysUtils.TProc<System.Rtti.TValue>>.InsertRange"
		size = 185
		refs = "0016 TList<System.SysUtils.TProc<System.Rtti.TValue>>.InsertRange 0023 TEnumerable<System.Bindings.Outputs.TProc<System.Rtti.TValue>>.GetEnumerator 004b @IntfCopy 0057 TList<System.SysUtils.TProc<System.Rtti.TValue>>.Insert 0060 TEnumerator<System.Bindings.Outputs.TProc<System.Rtti.TValue>>.MoveNext 0087 @HandleFinally 009e @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 22 8D 55 F4 8B 45 F8 8B 08 FF 11 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 D2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_60669_0 {
	meta:
		name = "TValue.From<System.Boolean>"
		size = 43
		refs = "0010 TValue 0015 @FinalizeRecord 001f Boolean 0024 TValue.Make"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 88 04 24 8B 44 24 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_60671_0 {
	meta:
		name = "TValue.From<System.Extended>"
		size = 42
		refs = "000c TValue 0011 @FinalizeRecord 001c Extended 0021 TValue.Make"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_60925_0 {
	meta:
		name = "TEqualityComparer<System.Generics.Collections.TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription>>.Default"
		size = 32
		refs = "000a TPair<System.Generics.Collections.TList<System.Bindings.Outputs.TConvertPair>,System.Bindings.Outputs.TConverterDescription> 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 20 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61571_0 {
	meta:
		name = "TBindingSearch.CollectGroupInstWrprs"
		size = 146
		refs = "0018 @IntfAddRef 0020 TBindingSearch.CollectGroupInstWrprs 005e TDictionary<System.IInterface,System.Pointer>.AddOrSetValue 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 36 83 7D F8 00 74 30 8B 45 FC 8B 10 FF 52 10 8B D8 4B 85 DB 7C 21 43 33 F6 8D 4D F4 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 55 F4 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 46 4B 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61572_0 {
	meta:
		name = "TBindingSearch.CopyWrprs"
		size = 169
		refs = "0015 TBindingSearch.CopyWrprs 0022 TDictionary<System.IInterface,System.Pointer>.GetKeys 0027 TDictionary<System.IInterface,System.Pointer>.TKeyCollection.GetEnumerator 0045 TDictionary<System.IInterface,System.Pointer>.TKeyEnumerator.GetCurrent 0051 TDictionary<System.IInterface,System.Pointer>.AddOrSetValue 0059 TDictionary<System.IInterface,System.Pointer>.TKeyEnumerator.MoveNext 0080 @HandleFinally 0097 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_61573_0 {
	meta:
		name = "TBindingSearch.Create@"
		size = 93
		refs = "0009 TBindingSearch.Create@ 0015 TBindingSearch.$ClassInitFlag 0020 TRttiContext.Create 0028 TBindingSearch.FRttiCtx 002e TRttiContext 0033 @CopyRecord 004e @FinalizeRecord 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 1B 8D 45 FC E8 ?? ?? ?? ?? 8D 55 FC B8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 59 5D C3 }
	condition:
		$1
}

rule function_61574_0 {
	meta:
		name = "TBindingSearch.DepthGetWrappers"
		size = 136
		refs = "0010 TBindingSearch.DepthGetWrappers 0020 @IntfClear 002e Supports 003b _DV_TDictionary<System.IInterface,System.Pointer> 0040 TDictionary<System.IInterface,System.Pointer>.Create 004e TBindingSearch.DoDepthGetWrappers 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 1C 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B CB 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 00 3C 17 DE 59 4A 95 BA 4D BA C1 5D 1B 95 51 B8 5A }
	condition:
		$1
}

rule function_61575_0 {
	meta:
		name = "TBindingSearch.DepthSearchObject"
		size = 392
		refs = "0023 TBindingSearch.DepthSearchObject 0030 @IntfClear 0071 Supports 009b TBindingSearch.IsObjectWrapper 00f3 TBindingSearch.DoDepthSearchObject 0147 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D E4 89 55 E8 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7D E8 00 0F 84 D2 00 00 00 83 7D E4 00 0F 84 C8 00 00 00 8B CB 8B 55 E8 8B 45 E4 8B 38 FF 57 10 83 3B 00 0F 85 B2 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 0F 84 93 00 00 00 8D 55 EC 8B 45 FC 8B 08 FF 51 0C EB 72 8D 55 F4 8B 45 EC 8B 08 FF 51 0C 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2B 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 10 53 8B 4D F8 8B 55 E8 8B C6 E8 ?? ?? ?? ?? EB 29 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 0E 53 8B 4D F0 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 83 3B 00 75 0C 8B 45 EC 8B 10 FF 52 10 84 C0 75 82 8D 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C2 04 00 00 00 3C 17 DE 59 4A 95 BA 4D BA C1 5D 1B 95 51 B8 5A 5E 80 57 B7 B1 E2 3D 47 A2 01 99 BF 6E 11 34 FF B4 5D 94 D6 FB 6E A0 47 A9 1E 97 55 22 DA B2 8A }
	condition:
		$1
}

rule function_61576_0 {
	meta:
		name = "TBindingSearch.DepthSearchObject"
		size = 213
		refs = "001c TBindingSearch.DepthSearchObject 0029 @IntfClear 003b TDictionary<System.IInterface,System.Pointer>.GetKeys 0040 TDictionary<System.IInterface,System.Pointer>.TKeyCollection.GetEnumerator 005e TDictionary<System.IInterface,System.Pointer>.TKeyEnumerator.GetCurrent 006a TBindingSearch.IsObjectWrapper 0078 @IntfCopy 0082 TDictionary<System.IInterface,System.Pointer>.TKeyEnumerator.MoveNext 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 85 F6 74 7E 83 7D F8 00 74 78 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 27 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C7 8B 55 FC E8 ?? ?? ?? ?? EB 0C 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_61577_0 {
	meta:
		name = "TBindingSearch.DepthSearchProperty"
		size = 216
		refs = "0018 TBindingSearch.DepthSearchProperty 0026 @IntfClear 003c TDictionary<System.IInterface,System.Pointer>.GetKeys 0041 TDictionary<System.IInterface,System.Pointer>.TKeyCollection.GetEnumerator 005f TDictionary<System.IInterface,System.Pointer>.TKeyEnumerator.GetCurrent 006c TBindingSearch.IsMemberWrapper 007b @IntfCopy 0085 TDictionary<System.IInterface,System.Pointer>.TKeyEnumerator.MoveNext 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 85 F6 0F 84 80 00 00 00 83 7D 0C 00 74 7A 8B 45 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 29 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 57 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? EB 0C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_61578_0 {
	meta:
		name = "TBindingSearch.DepthSearchProperty"
		size = 152
		refs = "001c TBindingSearch.DepthSearchProperty 002f TBindingSearch.DepthSearchObject 003c @IntfClear 004a Supports 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 4D 0C 8B D7 8B C6 E8 ?? ?? ?? ?? 83 3B 00 74 27 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 74 0D 8B CB 8B 55 F8 8B 45 FC 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 00 00 00 55 24 FE DA B6 3D CC 40 B1 D6 1E AC 0A 29 AB EC }
	condition:
		$1
}

rule function_61579_0 {
	meta:
		name = "TBindingSearch.DoDepthGetWrappers"
		size = 208
		refs = "0016 TBindingSearch.DoDepthGetWrappers 003d TBindingSearch.IsWrapper 004d TDictionary<System.IInterface,System.Pointer>.Add 0055 @IntfClear 0064 Supports 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C7 8B 08 FF 51 0C EB 4C 8D 55 FC 8B 45 F4 8B 08 FF 51 0C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 33 C9 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C 8B CE 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 10 84 C0 75 A8 8D 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 3C 17 DE 59 4A 95 BA 4D BA C1 5D 1B 95 51 B8 5A }
	condition:
		$1
}

rule function_61580_0 {
	meta:
		name = "TBindingSearch.DoDepthSearchObject"
		size = 280
		refs = "001e TBindingSearch.DoDepthSearchObject 002b @IntfClear 004a Supports 0070 TBindingSearch.IsObjectWrapper 009c TBindingSearch.DepthSearchObject 00e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D EC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 FF 0F 84 82 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 67 8D 55 F0 8B 45 FC 8B 08 FF 51 0C EB 46 8D 55 F8 8B 45 F0 8B 08 FF 51 0C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 12 56 8B 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? 83 3E 00 75 0C 8B 45 F0 8B 10 FF 52 10 84 C0 75 AE 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C2 04 00 00 3C 17 DE 59 4A 95 BA 4D BA C1 5D 1B 95 51 B8 5A 5E 80 57 B7 B1 E2 3D 47 A2 01 99 BF 6E 11 34 FF }
	condition:
		$1
}

rule function_61581_0 {
	meta:
		name = "TBindingSearch.IsObjectWrapper"
		size = 144
		refs = "000c TBindingSearch.IsObjectWrapper 001e @IntfClear 002c Supports 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 39 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 83 7D FC 00 74 19 8B 45 FC 8B 10 FF 52 0C 85 C0 74 0D 8B 45 FC 8B 10 FF 52 0C 80 38 07 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 01 F9 95 A4 F5 72 84 43 BA 50 EC 3B 4B 42 F6 C2 }
	condition:
		$1
}

rule function_61582_0 {
	meta:
		name = "TBindingSearch.IsMemberWrapper"
		size = 160
		refs = "0011 TBindingSearch.IsMemberWrapper 001f @IntfClear 002d Supports 0053 @UStrEqual 0072 @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 24 8B 45 FC 8B 10 FF 52 0C 3B F0 75 18 8D 55 F8 8B 45 FC 8B 08 FF 51 10 8B 45 F8 8B 55 08 E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C2 04 00 18 0F DD D4 76 40 9B 4A B8 7A F9 BA 1B C6 9E 26 }
	condition:
		$1
}

rule function_61583_0 {
	meta:
		name = "TBindingSearch.IsObjectWrapper"
		size = 204
		refs = "0017 TValue 001c @InitializeRecord 0024 TBindingSearch.IsObjectWrapper 0032 @IntfClear 0040 Supports 004d _DV_TBindingSearch 0075 TValue.AsObject 009c @FinalizeRecord 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 10 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 84 DB 74 17 8D 55 E0 8B 45 FC 8B 08 FF 51 10 8D 45 E0 E8 ?? ?? ?? ?? 3B F8 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 01 F9 95 A4 F5 72 84 43 BA 50 EC 3B 4B 42 F6 C2 }
	condition:
		$1
}

rule function_61584_0 {
	meta:
		name = "TBindingSearch.IsWrapper"
		size = 28
		refs = "0001 TBindingSearch.IsWrapper 0007 Supports"
	strings:
		$1 = { B8 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 0A 6B 3F 74 1A 93 F7 4E 96 37 8D F6 39 AB A4 A9 }
	condition:
		$1
}

rule function_61585_0 {
	meta:
		name = "TBindingSearch.PermitsObjectWrapper"
		size = 202
		refs = "0014 _Dn_TRttiProperty 0019 @IsClass 002a @AsClass 0034 TRttiType.GetTypeKind 0043 _Dn_TRttiMethod 006f _Dn_TRttiIndexedProperty 008a TRttiIndexedProperty.GetPropertyType 009b _Dn_TRttiField"
	strings:
		$1 = { 53 56 8B F2 33 C0 85 F6 0F 84 B9 00 00 00 33 DB 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 10 E8 ?? ?? ?? ?? 8B D8 E9 82 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 18 E8 ?? ?? ?? ?? 8B D8 EB 56 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 2A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 10 E8 ?? ?? ?? ?? 8B D8 80 FB 07 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_61586_0 {
	meta:
		name = "TBindingSearch.PermitsObjectWrapper"
		size = 119
		refs = "001f TBindingSearch.FRttiCtx 0024 TRttiContext.GetType 0045 TRttiType.GetTypeKind 0062 TRttiIndexedProperty.GetPropertyType"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 33 DB 85 F6 74 62 85 FF 0F 94 C3 84 DB 75 59 8B 06 83 C0 B8 8B 10 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 42 8B D7 8B C6 8B 08 FF 51 30 8B E8 85 ED 74 13 8B C5 8B 10 FF 52 10 E8 ?? ?? ?? ?? 3C 07 0F 94 C3 EB 20 8B D7 8B C6 8B 08 FF 51 34 8B F0 85 F6 74 11 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 07 0F 94 C3 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61587_0 {
	meta:
		name = "TBindingSearch.PrepareWrappersForEvaluation"
		size = 31
		refs = "000f TBindingSearch.ResetWrappersArguments 0018 TBindingSearch.ReattachWrappers"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 12 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_61588_0 {
	meta:
		name = "TBindingSearch.ReattachWrappers"
		size = 288
		refs = "0013 TBindingSearch.ReattachWrappers 0040 @IntfClear 004f Supports 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 8E 00 00 00 8D 55 F0 8B C6 8B 08 FF 51 0C EB 6E 8D 55 F4 8B 45 F0 8B 08 FF 51 0C 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 F8 8B 10 FF 52 0C 8B D0 8B 45 F8 8B 08 FF 51 1C BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 25 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 10 84 C0 75 86 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 00 FA D2 76 4F D9 BE 6B 47 AA 29 B6 39 9F 23 4D A1 0A 6B 3F 74 1A 93 F7 4E 96 37 8D F6 39 AB A4 A9 3C 17 DE 59 4A 95 BA 4D BA C1 5D 1B 95 51 B8 5A }
	condition:
		$1
}

rule function_61589_0 {
	meta:
		name = "TBindingSearch.ResetWrappersArguments"
		size = 244
		refs = "0013 TBindingSearch.ResetWrappersArguments 003c @IntfClear 004b Supports 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 75 8D 55 F0 8B C6 8B 08 FF 51 0C EB 55 8D 55 FC 8B 45 F0 8B 08 FF 51 0C 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0A 33 D2 8B 45 F8 8B 08 FF 51 10 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0A 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 10 84 C0 75 9F 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 00 00 44 3B D9 79 1B 2F 53 4F B4 4D 91 91 3F E6 85 81 3C 17 DE 59 4A 95 BA 4D BA C1 5D 1B 95 51 B8 5A }
	condition:
		$1
}

rule function_61851_0 {
	meta:
		name = "InternalGetUnicodeCategory"
		size = 69
		refs = "0005 CategoryTable 000d TCharacter.Initialize 0018 CatIndexPrimary 002c CatIndexSecondary"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 8B C3 C1 E8 08 8B 15 ?? ?? ?? ?? 0F B7 04 42 8B D3 C1 EA 04 83 E2 0F 03 C2 8B 15 ?? ?? ?? ?? 0F B7 04 42 83 E3 0F 03 C3 8B 15 ?? ?? ?? ?? 0F B6 04 02 5B C3 }
	condition:
		$1
}

rule function_61852_0 {
	meta:
		name = "NumberValue"
		size = 87
		refs = "0008 NumericValueTable 0010 TCharacter.Initialize 001b NumIndexPrimary 002f NumIndexSecondary"
	strings:
		$1 = { 53 83 C4 F8 8B D8 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 8B C3 C1 E8 08 8B 15 ?? ?? ?? ?? 0F B7 04 42 8B D3 C1 EA 04 83 E2 0F 03 C2 8B 15 ?? ?? ?? ?? 0F B7 04 42 83 E3 0F 03 C3 8B 15 ?? ?? ?? ?? 8B 0C C2 89 0C 24 8B 4C C2 04 89 4C 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_61853_0 {
	meta:
		name = "InternalGetLatin1Category"
		size = 11
		refs = "0006 Latin1Categories"
	strings:
		$1 = { 0F B6 C0 0F B6 80 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_61854_0 {
	meta:
		name = "CheckStringRange"
		size = 98
		refs = "0047 sArgumentOutOfRange_StringIndex 004e _Dn_EArgumentOutOfRangeException 0053 Exception.CreateResFmt 0058 @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B C8 8B D1 85 D2 74 05 83 EA 04 8B 12 3B D6 7D 04 B2 01 EB 06 83 FE 01 0F 9C C2 84 D2 74 36 8B D9 85 DB 74 05 83 EB 04 8B 1B 89 34 24 C6 44 24 04 00 89 5C 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_61855_0 {
	meta:
		name = "TCharacter.CheckLetter"
		size = 12
	strings:
		$1 = { 04 FB 2C 05 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_61856_0 {
	meta:
		name = "TCharacter.CheckLetterOrDigit"
		size = 16
	strings:
		$1 = { 04 FB 2C 05 72 04 2C 03 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_61857_0 {
	meta:
		name = "TCharacter.CheckNumber"
		size = 12
	strings:
		$1 = { 04 F3 2C 03 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_61858_0 {
	meta:
		name = "TCharacter.CheckPunctuation"
		size = 12
	strings:
		$1 = { 04 F0 2C 07 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_61859_0 {
	meta:
		name = "TCharacter.CheckSeparator"
		size = 12
	strings:
		$1 = { 04 E5 2C 03 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_61860_0 {
	meta:
		name = "TCharacter.CheckSymbol"
		size = 12
	strings:
		$1 = { 04 E9 2C 04 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_61861_0 {
	meta:
		name = "TCharacter.IsLatin1"
		size = 12
	strings:
		$1 = { 0F B7 C0 3D FF 00 00 00 0F 9E C0 C3 }
	condition:
		$1
}

rule function_61862_0 {
	meta:
		name = "TCharacter.IsLetter"
		size = 139
		refs = "0006 TCharacter.IsLatin1 0010 CategoryTable 0018 TCharacter.Initialize 0026 CatIndexPrimary 003a CatIndexSecondary 0051 TCharacter.CheckLetter 005a TCharacter.IsAscii 0068 Latin1Categories"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 49 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 0F B7 C3 8B D0 C1 EA 08 8B 0D ?? ?? ?? ?? 0F B7 14 51 8B C8 C1 E9 04 83 E1 0F 03 D1 8B 0D ?? ?? ?? ?? 0F B7 14 51 83 E0 0F 03 D0 A1 ?? ?? ?? ?? 0F B6 04 10 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 84 C0 75 11 0F B6 C3 0F B6 80 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 66 83 CB 20 66 83 FB 61 72 06 66 83 FB 7A 76 04 33 C0 EB 02 B0 01 5B C3 }
	condition:
		$1
}

rule function_61863_0 {
	meta:
		name = "TCharacter.IsLetter"
		size = 112
		refs = "004a sArgumentOutOfRange_StringIndex 0051 _Dn_EArgumentOutOfRangeException 0056 Exception.CreateResFmt 005b @RaiseExcept 0065 TCharacter.IsLetter"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8B DA 8B FE 8B C7 85 C0 74 05 83 E8 04 8B 00 3B C3 7D 04 B0 01 EB 06 83 FB 01 0F 9C C0 84 C0 74 36 8B F7 85 F6 74 05 83 EE 04 8B 36 89 1C 24 C6 44 24 04 00 89 74 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 44 56 FE E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61889_0 {
	meta:
		name = "TCharacter.IsLowSurrogate"
		size = 112
		refs = "004a sArgumentOutOfRange_StringIndex 0051 _Dn_EArgumentOutOfRangeException 0056 Exception.CreateResFmt 005b @RaiseExcept 0065 TCharacter.IsLowSurrogate"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8B DA 8B FE 8B C7 85 C0 74 05 83 E8 04 8B 00 3B C3 7D 04 B0 01 EB 06 83 FB 01 0F 9C C0 84 C0 74 36 8B F7 85 F6 74 05 83 EE 04 8B 36 89 1C 24 C6 44 24 04 00 89 74 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 44 56 FE E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61864_0 {
	meta:
		name = "TCharacter.IsLetterOrDigit"
		size = 153
		refs = "004c sArgumentOutOfRange_StringIndex 0053 _Dn_EArgumentOutOfRangeException 0058 Exception.CreateResFmt 005d @RaiseExcept 0069 TCharacter.IsLatin1 0079 Latin1Categories 007e TCharacter.CheckLetterOrDigit 0089 TCharacter.GetUnicodeCategory"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B D8 8B F7 8B D3 8B C2 85 C0 74 05 83 E8 04 8B 00 3B C6 7D 04 B0 01 EB 06 83 FE 01 0F 9C C0 84 C0 74 36 8B DA 85 DB 74 05 83 EB 04 8B 1B 89 34 24 C6 44 24 04 00 89 5C 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 74 7B FE 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 8B C6 0F B6 C0 0F B6 80 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8B D7 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61892_0 {
	meta:
		name = "TCharacter.IsPunctuation"
		size = 153
		refs = "004c sArgumentOutOfRange_StringIndex 0053 _Dn_EArgumentOutOfRangeException 0058 Exception.CreateResFmt 005d @RaiseExcept 0069 TCharacter.IsLatin1 0079 Latin1Categories 007e TCharacter.CheckPunctuation 0089 TCharacter.GetUnicodeCategory"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B D8 8B F7 8B D3 8B C2 85 C0 74 05 83 E8 04 8B 00 3B C6 7D 04 B0 01 EB 06 83 FE 01 0F 9C C0 84 C0 74 36 8B DA 85 DB 74 05 83 EB 04 8B 1B 89 34 24 C6 44 24 04 00 89 5C 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 74 7B FE 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 8B C6 0F B6 C0 0F B6 80 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8B D7 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61899_0 {
	meta:
		name = "TCharacter.IsSymbol"
		size = 153
		refs = "004c sArgumentOutOfRange_StringIndex 0053 _Dn_EArgumentOutOfRangeException 0058 Exception.CreateResFmt 005d @RaiseExcept 0069 TCharacter.IsLatin1 0079 Latin1Categories 007e TCharacter.CheckSymbol 0089 TCharacter.GetUnicodeCategory"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B D8 8B F7 8B D3 8B C2 85 C0 74 05 83 E8 04 8B 00 3B C6 7D 04 B0 01 EB 06 83 FE 01 0F 9C C0 84 C0 74 36 8B DA 85 DB 74 05 83 EB 04 8B 1B 89 34 24 C6 44 24 04 00 89 5C 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 74 7B FE 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 8B C6 0F B6 C0 0F B6 80 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8B D7 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61865_0 {
	meta:
		name = "TCharacter.IsLetterOrDigit"
		size = 104
		refs = "0006 TCharacter.IsLatin1 0014 Latin1Categories 0019 TCharacter.CheckLetterOrDigit 0021 CategoryTable 0029 TCharacter.Initialize 0037 CatIndexPrimary 004b CatIndexSecondary"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 0F B6 C3 0F B6 80 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 0F B7 C3 8B D0 C1 EA 08 8B 0D ?? ?? ?? ?? 0F B7 14 51 8B C8 C1 E9 04 83 E1 0F 03 D1 8B 0D ?? ?? ?? ?? 0F B7 14 51 83 E0 0F 03 D0 A1 ?? ?? ?? ?? 0F B6 04 10 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61893_0 {
	meta:
		name = "TCharacter.IsPunctuation"
		size = 104
		refs = "0006 TCharacter.IsLatin1 0014 Latin1Categories 0019 TCharacter.CheckPunctuation 0021 CategoryTable 0029 TCharacter.Initialize 0037 CatIndexPrimary 004b CatIndexSecondary"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 0F B6 C3 0F B6 80 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 0F B7 C3 8B D0 C1 EA 08 8B 0D ?? ?? ?? ?? 0F B7 14 51 8B C8 C1 E9 04 83 E1 0F 03 D1 8B 0D ?? ?? ?? ?? 0F B7 14 51 83 E0 0F 03 D0 A1 ?? ?? ?? ?? 0F B6 04 10 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61898_0 {
	meta:
		name = "TCharacter.IsSymbol"
		size = 104
		refs = "0006 TCharacter.IsLatin1 0014 Latin1Categories 0019 TCharacter.CheckSymbol 0021 CategoryTable 0029 TCharacter.Initialize 0037 CatIndexPrimary 004b CatIndexSecondary"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 0F B6 C3 0F B6 80 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 0F B7 C3 8B D0 C1 EA 08 8B 0D ?? ?? ?? ?? 0F B7 14 51 8B C8 C1 E9 04 83 E1 0F 03 D1 8B 0D ?? ?? ?? ?? 0F B7 14 51 83 E0 0F 03 D0 A1 ?? ?? ?? ?? 0F B6 04 10 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61866_0 {
	meta:
		name = "TCharacter.IsAscii"
		size = 10
	strings:
		$1 = { 0F B7 C0 83 F8 7F 0F 9E C0 C3 }
	condition:
		$1
}

rule function_61867_0 {
	meta:
		name = "TCharacter.IsControl"
		size = 151
		refs = "004c sArgumentOutOfRange_StringIndex 0053 _Dn_EArgumentOutOfRangeException 0058 Exception.CreateResFmt 005d @RaiseExcept 0069 TCharacter.IsLatin1 0078 Latin1Categories 0087 TCharacter.GetUnicodeCategory"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B D8 8B F7 8B D3 8B C2 85 C0 74 05 83 E8 04 8B 00 3B C6 7D 04 B0 01 EB 06 83 FE 01 0F 9C C0 84 C0 74 36 8B DA 85 DB 74 05 83 EB 04 8B 1B 89 34 24 C6 44 24 04 00 89 5C 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 74 7B FE 8B C6 E8 ?? ?? ?? ?? 84 C0 74 11 8B C6 0F B6 C0 80 B8 ?? ?? ?? ?? 00 0F 94 C0 EB 0E 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 94 C0 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61868_0 {
	meta:
		name = "TCharacter.IsControl"
		size = 102
		refs = "0006 TCharacter.IsLatin1 0013 Latin1Categories 001f CategoryTable 0027 TCharacter.Initialize 0035 CatIndexPrimary 0049 CatIndexSecondary"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 0F B6 C3 80 B8 ?? ?? ?? ?? 00 0F 94 C0 5B C3 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 0F B7 C3 8B D0 C1 EA 08 8B 0D ?? ?? ?? ?? 0F B7 14 51 8B C8 C1 E9 04 83 E1 0F 03 D1 8B 0D ?? ?? ?? ?? 0F B7 14 51 83 E0 0F 03 D0 A1 ?? ?? ?? ?? 0F B6 04 10 84 C0 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_61869_0 {
	meta:
		name = "TCharacter.IsDigit"
		size = 107
		refs = "0006 TCharacter.IsLatin1 0010 CategoryTable 0018 TCharacter.Initialize 0026 CatIndexPrimary 003a CatIndexSecondary"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 49 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 0F B7 C3 8B D0 C1 EA 08 8B 0D ?? ?? ?? ?? 0F B7 14 51 8B C8 C1 E9 04 83 E1 0F 03 D1 8B 0D ?? ?? ?? ?? 0F B7 14 51 83 E0 0F 03 D0 A1 ?? ?? ?? ?? 0F B6 04 10 3C 0D 0F 94 C0 5B C3 66 83 FB 30 72 06 66 83 FB 39 76 04 33 C0 EB 02 B0 01 5B C3 }
	condition:
		$1
}

rule function_61870_0 {
	meta:
		name = "TCharacter.IsDigit"
		size = 154
		refs = "004c sArgumentOutOfRange_StringIndex 0053 _Dn_EArgumentOutOfRangeException 0058 Exception.CreateResFmt 005d @RaiseExcept 0069 TCharacter.IsLatin1 0076 TCharacter.GetUnicodeCategory"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B D8 8B F7 8B D3 8B C2 85 C0 74 05 83 E8 04 8B 00 3B C6 7D 04 B0 01 EB 06 83 FE 01 0F 9C C0 84 C0 74 36 8B DA 85 DB 74 05 83 EB 04 8B 1B 89 34 24 C6 44 24 04 00 89 5C 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 74 7B FE 8B C6 E8 ?? ?? ?? ?? 84 C0 75 10 8B D7 8B C3 E8 ?? ?? ?? ?? 3C 0D 0F 94 C0 EB 12 66 83 FE 30 72 06 66 83 FE 39 76 04 33 C0 EB 02 B0 01 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61871_0 {
	meta:
		name = "IsHighSurrogate"
		size = 25
		altNames = "TCharacter.IsHighSurrogate"
	strings:
		$1 = { 0F B7 D0 81 FA 00 D8 00 00 7C 08 81 FA FF DB 00 00 7E 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_61872_0 {
	meta:
		name = "IsLowSurrogate"
		size = 25
		altNames = "TCharacter.IsLowSurrogate"
	strings:
		$1 = { 0F B7 D0 81 FA 00 DC 00 00 7C 08 81 FA FF DF 00 00 7E 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_61873_0 {
	meta:
		name = "IsSurrogate"
		size = 25
		altNames = "TCharacter.IsSurrogate"
	strings:
		$1 = { 0F B7 D0 81 FA 00 D8 00 00 7C 08 81 FA FF DF 00 00 7E 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_61874_0 {
	meta:
		name = "IsSurrogatePair"
		size = 45
		altNames = "TCharacter.IsSurrogatePair"
	strings:
		$1 = { 0F B7 C8 81 F9 00 D8 00 00 7C 1C 81 F9 FF DB 00 00 7F 14 0F B7 C2 3D 00 DC 00 00 7C 0A 0F B7 C2 3D FF DF 00 00 7E 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_61875_0 {
	meta:
		name = "TCharacter.GetUnicodeCategory"
		size = 94
		refs = "0006 TCharacter.IsLatin1 0014 Latin1Categories 001c CategoryTable 0024 TCharacter.Initialize 0032 CatIndexPrimary 0046 CatIndexSecondary"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 0F B6 C3 0F B6 80 ?? ?? ?? ?? 5B C3 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 0F B7 C3 8B D0 C1 EA 08 8B 0D ?? ?? ?? ?? 0F B7 14 51 8B C8 C1 E9 04 83 E1 0F 03 D1 8B 0D ?? ?? ?? ?? 0F B7 14 51 83 E0 0F 03 D0 A1 ?? ?? ?? ?? 0F B6 04 10 5B C3 }
	condition:
		$1
}

rule function_61876_0 {
	meta:
		name = "TCharacter.ConvertToUtf32"
		size = 318
		refs = "004b sArgumentOutOfRange_StringIndex 0052 _Dn_EArgumentOutOfRangeException 0057 Exception.CreateResFmt 005c @RaiseExcept 00a1 sArgument_InvalidLowSurrogate 00a8 _Dn_EArgumentException 00d8 sArgument_InvalidHighSurrogate"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B DA 8B F3 8B E8 8B FD 85 FF 74 05 83 EF 04 8B 3F 3B FE 7D 04 B2 01 EB 06 83 FE 01 0F 9C C2 84 D2 74 36 8B DD 85 DB 74 05 83 EB 04 8B 1B 89 34 24 C6 44 24 04 00 89 5C 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 01 01 00 00 00 0F B7 74 58 FE 81 EE 00 D8 00 00 85 F6 7C 08 81 FE FF 07 00 00 7E 0A 0F B7 44 58 FE E9 AF 00 00 00 81 FE FF 03 00 00 7E 27 89 5C 24 10 C6 44 24 14 00 8D 44 24 10 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 05 83 EA 04 8B 12 4A 3B DA 7E 27 89 5C 24 10 C6 44 24 14 00 8D 44 24 10 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 04 58 2D 00 DC 00 00 85 C0 7C 07 3D FF 03 00 00 7E 27 89 5C 24 10 C6 44 24 14 00 8D 44 24 10 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 01 8B D6 C1 E2 0A 03 C2 05 00 00 01 00 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61877_0 {
	meta:
		name = "TCharacter.ConvertToUtf32"
		size = 10
		refs = "0004 TCharacter.ConvertToUtf32"
	strings:
		$1 = { 51 8B CC E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_63183_0 {
	meta:
		name = "CompatibleConversionTypes"
		size = 10
		refs = "0004 TryConvTypeToFamily"
	strings:
		$1 = { 51 8B CC E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_91946_0 {
	meta:
		name = "TCustomChartGrid.GetSeries"
		size = 10
		refs = "0004 TCustomChartGrid.GetSeries"
	strings:
		$1 = { 51 8B CC E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_61878_0 {
	meta:
		name = "TCharacter.ConvertFromUtf32"
		size = 193
		refs = "0011 TCharacter.ConvertFromUtf32 0035 sArgumentOutOfRange_InvalidUTF32 003c _Dn_EArgumentOutOfRangeException 0041 Exception.CreateRes 0046 @RaiseExcept 0057 @UStrFromWChar 0095 @UStrCat3 00af @UStrArrayClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 FB FF FF 10 00 77 10 81 FB 00 D8 00 00 72 1F 81 FB FF DF 00 00 77 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 81 FB 00 00 01 00 73 0B 8B C6 8B D3 E8 ?? ?? ?? ?? EB 3C 81 EB 00 00 01 00 8D 45 FC 8B D3 81 E2 FF 03 00 00 66 81 C2 00 DC E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B D3 C1 EA 0A 66 81 C2 00 D8 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_61879_0 {
	meta:
		name = "TCharacter.ConvertToUtf32"
		size = 104
		refs = "0009 TCharacter.IsHighSurrogate 0013 sArgumentOutOfRange_InvalidHighSurrogate 001a _Dn_EArgumentOutOfRangeException 001f Exception.CreateRes 0024 @RaiseExcept 002b TCharacter.IsLowSurrogate 0035 sArgumentOutOfRange_InvalidLowSurrogate"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 C3 2D 00 D8 00 00 C1 E0 0A 0F B7 D6 81 EA 00 DC 00 00 03 C2 05 00 00 01 00 5E 5B C3 }
	condition:
		$1
}

rule function_61880_0 {
	meta:
		name = "TCharacter.Create"
		size = 148
		refs = "0015 @ClassCreate 001f TCharacter.Create 002f TObject.ClassName 0045 sNoConstruct 004c _Dn_ENoConstructException 0051 Exception.CreateResFmt 0056 @RaiseExcept 006b @UStrClr 0071 @HandleFinally 007e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 06 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61881_0 {
	meta:
		name = "bin_data"
		size = 36665
	strings:
		$1 = { 18 00 00 00 18 22 00 00 98 2E 00 00 98 48 00 00 98 6A 00 00 38 70 00 00 00 00 10 00 20 00 30 00 40 00 50 00 60 00 70 00 80 00 90 00 A0 00 B0 00 C0 00 D0 00 E0 00 F0 00 00 01 10 01 20 01 30 01 40 01 10 01 50 01 60 01 70 01 80 01 90 01 A0 01 B0 01 C0 01 D0 01 E0 01 F0 01 00 02 10 02 20 02 30 02 40 02 50 02 60 02 70 02 80 02 10 02 90 02 A0 02 B0 02 C0 02 D0 02 E0 02 F0 02 00 03 70 02 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 03 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 20 03 30 03 10 01 10 01 10 01 40 03 10 01 50 03 60 03 70 03 80 03 90 03 A0 03 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 B0 03 C0 03 C0 03 C0 03 C0 03 C0 03 C0 03 C0 03 C0 03 D0 03 D0 03 D0 03 D0 03 D0 03 D0 03 D0 03 D0 03 D0 03 D0 03 D0 03 D0 03 D0 03 D0 03 D0 03 D0 03 D0 03 D0 03 D0 03 D0 03 D0 03 D0 03 D0 03 D0 03 D0 03 10 01 E0 03 F0 03 10 01 00 04 10 04 20 04 30 04 40 04 50 04 60 04 70 04 80 04 80 04 80 04 90 04 A0 04 B0 04 C0 04 D0 04 80 04 E0 04 80 04 F0 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 10 01 10 01 10 01 00 05 10 05 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 10 01 10 01 10 01 10 01 20 05 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 30 05 40 05 50 05 60 05 70 05 80 05 90 05 A0 05 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 B0 05 C0 05 D0 05 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 E0 05 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 10 01 F0 05 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 10 01 10 01 00 06 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 80 04 }
	condition:
		$1
}

rule function_61882_0 {
	meta:
		name = "TCharacter.Initialize"
		size = 82
		refs = "0002 DataTable 0007 bin_data 0017 CatIndexPrimary 0022 CatIndexSecondary 002d CategoryTable 0038 NumIndexPrimary 0043 NumIndexSecondary 004c NumericValueTable"
	strings:
		$1 = { 53 B9 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 01 8B 01 8B 11 8B DA 03 18 89 1D ?? ?? ?? ?? 8B DA 03 58 04 89 1D ?? ?? ?? ?? 8B DA 03 58 08 89 1D ?? ?? ?? ?? 8B DA 03 58 0C 89 1D ?? ?? ?? ?? 8B DA 03 58 10 89 1D ?? ?? ?? ?? 03 50 14 89 15 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61883_0 {
	meta:
		name = "TCharacter.GetNumericValue"
		size = 106
		refs = "0008 NumericValueTable 0010 TCharacter.Initialize 001e NumIndexPrimary 0032 NumIndexSecondary"
	strings:
		$1 = { 53 83 C4 F0 8B D8 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 0F B7 C3 8B D0 C1 EA 08 8B 0D ?? ?? ?? ?? 0F B7 14 51 8B C8 C1 E9 04 83 E1 0F 03 D1 8B 0D ?? ?? ?? ?? 0F B7 14 51 83 E0 0F 03 D0 A1 ?? ?? ?? ?? 8B 0C D0 89 4C 24 08 8B 4C D0 04 89 4C 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 DD 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_61884_0 {
	meta:
		name = "TCharacter.GetNumericValue"
		size = 109
		refs = "0005 TCharacter.ConvertToUtf32 000d NumericValueTable 0015 TCharacter.Initialize 0020 NumIndexPrimary 0034 NumIndexSecondary"
	strings:
		$1 = { 53 83 C4 F0 E8 ?? ?? ?? ?? 8B D8 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 8B C3 C1 E8 08 8B 15 ?? ?? ?? ?? 0F B7 04 42 8B D3 C1 EA 04 83 E2 0F 03 C2 8B 15 ?? ?? ?? ?? 0F B7 04 42 83 E3 0F 03 C3 8B 15 ?? ?? ?? ?? 8B 0C C2 89 4C 24 08 8B 4C C2 04 89 4C 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 DD 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_61885_0 {
	meta:
		name = "TCharacter.GetUnicodeCategory"
		size = 207
		refs = "004c sArgumentOutOfRange_StringIndex 0053 _Dn_EArgumentOutOfRangeException 0058 Exception.CreateResFmt 005d @RaiseExcept 0067 TCharacter.IsLatin1 0077 Latin1Categories 0082 TCharacter.ConvertToUtf32 008a CategoryTable 0092 TCharacter.Initialize 009d CatIndexPrimary 00b1 CatIndexSecondary"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B FE 8B D3 8B C2 85 C0 74 05 83 E8 04 8B 00 3B C7 7D 04 B0 01 EB 06 83 FF 01 0F 9C C0 84 C0 74 36 8B DA 85 DB 74 05 83 EB 04 8B 1B 89 3C 24 C6 44 24 04 00 89 5C 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 44 73 FE E8 ?? ?? ?? ?? 84 C0 74 0E 0F B6 44 73 FE 0F B6 80 ?? ?? ?? ?? EB 4B 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 8B C3 C1 E8 08 8B 15 ?? ?? ?? ?? 0F B7 04 42 8B D3 C1 EA 04 83 E2 0F 03 C2 8B 15 ?? ?? ?? ?? 0F B7 04 42 83 E3 0F 03 C3 8B 15 ?? ?? ?? ?? 0F B6 04 02 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61886_0 {
	meta:
		name = "TCharacter.IsHighSurrogate"
		size = 110
		refs = "0048 sArgumentOutOfRange_StringIndex 004f _Dn_EArgumentOutOfRangeException 0054 Exception.CreateResFmt 0059 @RaiseExcept 0063 TCharacter.IsHighSurrogate"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B F8 8B CF 85 C9 74 05 83 E9 04 8B 09 3B CE 7D 04 B1 01 EB 06 83 FE 01 0F 9C C1 84 C9 74 36 8B DF 85 DB 74 05 83 EB 04 8B 1B 89 34 24 C6 44 24 04 00 89 5C 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 44 50 FE E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61896_0 {
	meta:
		name = "TCharacter.IsSurrogate"
		size = 110
		refs = "0048 sArgumentOutOfRange_StringIndex 004f _Dn_EArgumentOutOfRangeException 0054 Exception.CreateResFmt 0059 @RaiseExcept 0063 TCharacter.IsSurrogate"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B F8 8B CF 85 C9 74 05 83 E9 04 8B 09 3B CE 7D 04 B1 01 EB 06 83 FE 01 0F 9C C1 84 C9 74 36 8B DF 85 DB 74 05 83 EB 04 8B 1B 89 34 24 C6 44 24 04 00 89 5C 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 44 50 FE E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61887_0 {
	meta:
		name = "TCharacter.IsLower"
		size = 135
		refs = "0006 TCharacter.IsLatin1 0010 CategoryTable 0018 TCharacter.Initialize 0026 CatIndexPrimary 003a CatIndexSecondary 005a TCharacter.IsAscii 0068 Latin1Categories"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 49 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 0F B7 C3 8B D0 C1 EA 08 8B 0D ?? ?? ?? ?? 0F B7 14 51 8B C8 C1 E9 04 83 E1 0F 03 D1 8B 0D ?? ?? ?? ?? 0F B7 14 51 83 E0 0F 03 D0 A1 ?? ?? ?? ?? 0F B6 04 10 3C 05 0F 94 C0 5B C3 8B C3 E8 ?? ?? ?? ?? 84 C0 75 11 0F B6 C3 0F B6 80 ?? ?? ?? ?? 3C 05 0F 94 C0 EB 12 66 83 FB 61 72 06 66 83 FB 7A 76 04 33 C0 EB 02 B0 01 5B C3 }
	condition:
		$1
}

rule function_61888_0 {
	meta:
		name = "TCharacter.IsLower"
		size = 182
		refs = "004c sArgumentOutOfRange_StringIndex 0053 _Dn_EArgumentOutOfRangeException 0058 Exception.CreateResFmt 005d @RaiseExcept 0069 TCharacter.IsLatin1 0076 TCharacter.GetUnicodeCategory 0084 TCharacter.IsAscii 0092 Latin1Categories"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B F0 8B DF 8B D6 8B C2 85 C0 74 05 83 E8 04 8B 00 3B C3 7D 04 B0 01 EB 06 83 FB 01 0F 9C C0 84 C0 74 36 8B F2 85 F6 74 05 83 EE 04 8B 36 89 1C 24 C6 44 24 04 00 89 74 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 5C 7E FE 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 8B D7 8B C6 E8 ?? ?? ?? ?? 3C 05 0F 94 C0 EB 2E 8B C3 E8 ?? ?? ?? ?? 84 C0 75 11 0F B6 C3 0F B6 80 ?? ?? ?? ?? 3C 05 0F 94 C0 EB 12 66 83 FB 61 72 06 66 83 FB 7A 76 04 33 C0 EB 02 B0 01 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61890_0 {
	meta:
		name = "TCharacter.IsNumber"
		size = 135
		refs = "0006 TCharacter.IsLatin1 0010 CategoryTable 0018 TCharacter.Initialize 0026 CatIndexPrimary 003a CatIndexSecondary 0051 TCharacter.CheckNumber 005a TCharacter.IsAscii 0068 Latin1Categories"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 49 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 0F B7 C3 8B D0 C1 EA 08 8B 0D ?? ?? ?? ?? 0F B7 14 51 8B C8 C1 E9 04 83 E1 0F 03 D1 8B 0D ?? ?? ?? ?? 0F B7 14 51 83 E0 0F 03 D0 A1 ?? ?? ?? ?? 0F B6 04 10 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 84 C0 75 11 0F B6 C3 0F B6 80 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 66 83 FB 30 72 06 66 83 FB 39 76 04 33 C0 EB 02 B0 01 5B C3 }
	condition:
		$1
}

rule function_61891_0 {
	meta:
		name = "TCharacter.IsNumber"
		size = 182
		refs = "004c sArgumentOutOfRange_StringIndex 0053 _Dn_EArgumentOutOfRangeException 0058 Exception.CreateResFmt 005d @RaiseExcept 0069 TCharacter.IsLatin1 0076 TCharacter.GetUnicodeCategory 007b TCharacter.CheckNumber 0084 TCharacter.IsAscii 0092 Latin1Categories"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B F0 8B DF 8B D6 8B C2 85 C0 74 05 83 E8 04 8B 00 3B C3 7D 04 B0 01 EB 06 83 FB 01 0F 9C C0 84 C0 74 36 8B F2 85 F6 74 05 83 EE 04 8B 36 89 1C 24 C6 44 24 04 00 89 74 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 5C 7E FE 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2E 8B C3 E8 ?? ?? ?? ?? 84 C0 75 11 0F B6 C3 0F B6 80 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 66 83 FB 30 72 06 66 83 FB 39 76 04 33 C0 EB 02 B0 01 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61894_0 {
	meta:
		name = "TCharacter.IsSeparator"
		size = 108
		refs = "0006 TCharacter.IsLatin1 0010 CategoryTable 0018 TCharacter.Initialize 0026 CatIndexPrimary 003a CatIndexSecondary 0051 TCharacter.CheckSeparator"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 49 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 0F B7 C3 8B D0 C1 EA 08 8B 0D ?? ?? ?? ?? 0F B7 14 51 8B C8 C1 E9 04 83 E1 0F 03 D1 8B 0D ?? ?? ?? ?? 0F B7 14 51 83 E0 0F 03 D0 A1 ?? ?? ?? ?? 0F B6 04 10 E8 ?? ?? ?? ?? 5B C3 66 83 FB 20 74 0B 66 81 FB A0 00 74 04 33 C0 EB 02 B0 01 5B C3 }
	condition:
		$1
}

rule function_61895_0 {
	meta:
		name = "TCharacter.IsSeparator"
		size = 155
		refs = "004c sArgumentOutOfRange_StringIndex 0053 _Dn_EArgumentOutOfRangeException 0058 Exception.CreateResFmt 005d @RaiseExcept 0069 TCharacter.IsLatin1 0076 TCharacter.GetUnicodeCategory 007b TCharacter.CheckSeparator"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B D8 8B F7 8B D3 8B C2 85 C0 74 05 83 E8 04 8B 00 3B C6 7D 04 B0 01 EB 06 83 FE 01 0F 9C C0 84 C0 74 36 8B DA 85 DB 74 05 83 EB 04 8B 1B 89 34 24 C6 44 24 04 00 89 5C 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 74 7B FE 8B C6 E8 ?? ?? ?? ?? 84 C0 75 10 8B D7 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 66 83 FE 20 74 0B 66 81 FE A0 00 74 04 33 C0 EB 02 B0 01 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61897_0 {
	meta:
		name = "TCharacter.IsSurrogatePair"
		size = 135
		refs = "004a sArgumentOutOfRange_StringIndex 0051 _Dn_EArgumentOutOfRangeException 0056 Exception.CreateResFmt 005b @RaiseExcept 0078 TCharacter.IsSurrogatePair"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8B DA 8B FE 8B C7 85 C0 74 05 83 E8 04 8B 00 3B C3 7D 04 B0 01 EB 06 83 FB 01 0F 9C C0 84 C0 74 36 8B F7 85 F6 74 05 83 EE 04 8B 36 89 1C 24 C6 44 24 04 00 89 74 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 85 C0 74 05 83 E8 04 8B 00 3B C2 7E 10 0F B7 44 56 FE 0F B7 14 56 E8 ?? ?? ?? ?? EB 02 33 C0 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61900_0 {
	meta:
		name = "TCharacter.IsUpper"
		size = 182
		refs = "004c sArgumentOutOfRange_StringIndex 0053 _Dn_EArgumentOutOfRangeException 0058 Exception.CreateResFmt 005d @RaiseExcept 0069 TCharacter.IsLatin1 0076 TCharacter.GetUnicodeCategory 0084 TCharacter.IsAscii 0092 Latin1Categories"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B F0 8B DF 8B D6 8B C2 85 C0 74 05 83 E8 04 8B 00 3B C3 7D 04 B0 01 EB 06 83 FB 01 0F 9C C0 84 C0 74 36 8B F2 85 F6 74 05 83 EE 04 8B 36 89 1C 24 C6 44 24 04 00 89 74 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 5C 7E FE 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 8B D7 8B C6 E8 ?? ?? ?? ?? 3C 09 0F 94 C0 EB 2E 8B C3 E8 ?? ?? ?? ?? 84 C0 75 11 0F B6 C3 0F B6 80 ?? ?? ?? ?? 3C 09 0F 94 C0 EB 12 66 83 FB 41 72 06 66 83 FB 5A 76 04 33 C0 EB 02 B0 01 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61901_0 {
	meta:
		name = "TCharacter.IsUpper"
		size = 135
		refs = "0006 TCharacter.IsLatin1 0010 CategoryTable 0018 TCharacter.Initialize 0026 CatIndexPrimary 003a CatIndexSecondary 005a TCharacter.IsAscii 0068 Latin1Categories"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 49 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 0F B7 C3 8B D0 C1 EA 08 8B 0D ?? ?? ?? ?? 0F B7 14 51 8B C8 C1 E9 04 83 E1 0F 03 D1 8B 0D ?? ?? ?? ?? 0F B7 14 51 83 E0 0F 03 D0 A1 ?? ?? ?? ?? 0F B6 04 10 3C 09 0F 94 C0 5B C3 8B C3 E8 ?? ?? ?? ?? 84 C0 75 11 0F B6 C3 0F B6 80 ?? ?? ?? ?? 3C 09 0F 94 C0 EB 12 66 83 FB 41 72 06 66 83 FB 5A 76 04 33 C0 EB 02 B0 01 5B C3 }
	condition:
		$1
}

rule function_61902_0 {
	meta:
		name = "TCharacter.IsWhiteSpace"
		size = 174
		refs = "004c sArgumentOutOfRange_StringIndex 0053 _Dn_EArgumentOutOfRangeException 0058 Exception.CreateResFmt 005d @RaiseExcept 0069 TCharacter.IsLatin1 009e TCharacter.GetUnicodeCategory 00a3 TCharacter.CheckSeparator"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B F0 8B DF 8B D6 8B C2 85 C0 74 05 83 E8 04 8B 00 3B C3 7D 04 B0 01 EB 06 83 FB 01 0F 9C C0 84 C0 74 36 8B F2 85 F6 74 05 83 EE 04 8B 36 89 1C 24 C6 44 24 04 00 89 74 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 5C 7E FE 8B C3 E8 ?? ?? ?? ?? 84 C0 74 28 66 83 FB 20 74 1E 66 83 FB 09 72 06 66 83 FB 0D 76 12 66 81 FB A0 00 74 0B 66 81 FB 85 00 74 04 33 C0 EB 12 B0 01 EB 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61903_0 {
	meta:
		name = "TCharacter.ToLower"
		size = 14
		refs = "0008 CharLower"
	strings:
		$1 = { 53 8B D8 0F B7 C3 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61905_0 {
	meta:
		name = "TCharacter.ToUpper"
		size = 14
		refs = "0008 CharUpper"
	strings:
		$1 = { 53 8B D8 0F B7 C3 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61904_0 {
	meta:
		name = "TCharacter.ToLower"
		size = 146
		refs = "0010 @UStrAsg 001c UniqueString 002b TOSVersion.Check 0065 @UStrToPWChar 007e LCMapString 0087 RaiseLastOSError"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 8B E8 8B C3 8B D5 E8 ?? ?? ?? ?? 83 3B 00 74 72 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 09 C7 04 24 7F 00 00 00 EB 07 C7 04 24 00 08 00 00 8B F5 85 F6 74 05 83 EE 04 8B 36 8B 03 89 44 24 04 8B 7C 24 04 85 FF 74 05 83 EF 04 8B 3F 57 8B 03 E8 ?? ?? ?? ?? 50 56 8B C5 E8 ?? ?? ?? ?? 50 68 00 01 00 00 8B 44 24 14 50 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61906_0 {
	meta:
		name = "TCharacter.ToUpper"
		size = 146
		refs = "0010 @UStrAsg 001c UniqueString 002b TOSVersion.Check 0065 @UStrToPWChar 007e LCMapString 0087 RaiseLastOSError"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 8B E8 8B C3 8B D5 E8 ?? ?? ?? ?? 83 3B 00 74 72 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 09 C7 04 24 7F 00 00 00 EB 07 C7 04 24 00 08 00 00 8B F5 85 F6 74 05 83 EE 04 8B 36 8B 03 89 44 24 04 8B 7C 24 04 85 FF 74 05 83 EF 04 8B 3F 57 8B 03 E8 ?? ?? ?? ?? 50 56 8B C5 E8 ?? ?? ?? ?? 50 68 00 02 00 00 8B 44 24 14 50 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_61907_0 {
	meta:
		name = "TCharacter.IsWhiteSpace"
		size = 127
		refs = "0006 TCharacter.IsLatin1 0038 CategoryTable 0040 TCharacter.Initialize 004e CatIndexPrimary 0062 CatIndexSecondary 0079 TCharacter.CheckSeparator"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 28 66 83 FB 20 74 1E 66 83 FB 09 72 06 66 83 FB 0D 76 12 66 81 FB A0 00 74 0B 66 81 FB 85 00 74 04 33 C0 EB 4B B0 01 5B C3 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 0F B7 C3 8B D0 C1 EA 08 8B 0D ?? ?? ?? ?? 0F B7 14 51 8B C8 C1 E9 04 83 E1 0F 03 D1 8B 0D ?? ?? ?? ?? 0F B7 14 51 83 E0 0F 03 D0 A1 ?? ?? ?? ?? 0F B6 04 10 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_61921_0 {
	meta:
		name = "IsHighSurrogate"
		size = 183
		refs = "0015 IsHighSurrogate 0025 @UStrLAsg 006e sArgumentOutOfRange_StringIndex 0075 _Dn_EArgumentOutOfRangeException 007a Exception.CreateResFmt 007f @RaiseExcept 008c TCharacter.IsHighSurrogate 00a3 @UStrClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B F3 8B DE 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 3B C3 7D 04 B0 01 EB 06 83 FB 01 0F 9C C0 84 C0 74 36 8B F2 85 F6 74 05 83 EE 04 8B 36 89 5D EC C6 45 F0 00 89 75 F4 C6 45 F8 00 8D 45 EC 50 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B7 44 70 FE E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_61929_0 {
	meta:
		name = "IsLowSurrogate"
		size = 183
		refs = "0015 IsLowSurrogate 0025 @UStrLAsg 006e sArgumentOutOfRange_StringIndex 0075 _Dn_EArgumentOutOfRangeException 007a Exception.CreateResFmt 007f @RaiseExcept 008c TCharacter.IsLowSurrogate 00a3 @UStrClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B F3 8B DE 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 3B C3 7D 04 B0 01 EB 06 83 FB 01 0F 9C C0 84 C0 74 36 8B F2 85 F6 74 05 83 EE 04 8B 36 89 5D EC C6 45 F0 00 89 75 F4 C6 45 F8 00 8D 45 EC 50 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B7 44 70 FE E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62001_0 {
	meta:
		name = "D2D1PixelFormat"
		size = 6
		altNames = "D2D1SizeU MakeCharacterRange MakePoint MakeSize Point TeePoint"
	strings:
		$1 = { 89 01 89 51 04 C3 }
	condition:
		$1
}

rule function_62002_0 {
	meta:
		name = "SmallPoint"
		size = 15
		altNames = "VKey"
	strings:
		$1 = { 51 66 89 04 24 66 89 54 24 02 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_62003_0 {
	meta:
		name = "PointsEqual"
		size = 20
		altNames = "TPoint.&op_Equality TSize.&op_Equality"
	strings:
		$1 = { 8B 08 3B 0A 75 08 8B 40 04 3B 42 04 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_62004_0 {
	meta:
		name = "PointsEqual"
		size = 43
		altNames = "TSmallPoint.&op_Equality"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 0F B7 04 24 66 3B 44 24 04 75 0C 0F B7 44 24 02 66 3B 44 24 06 74 05 33 C0 59 5A C3 B0 01 59 5A C3 }
	condition:
		$1
}

rule function_62005_0 {
	meta:
		name = "MakeRect"
		size = 26
		altNames = "Margin Rect TeeRect"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 89 03 89 53 04 89 4B 08 8B 45 0C 89 43 0C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_62006_0 {
	meta:
		name = "Rect"
		size = 24
	strings:
		$1 = { 53 8B 18 89 19 8B 40 04 89 41 04 8B 02 89 41 08 8B 42 04 89 41 0C 5B C3 }
	condition:
		$1
}

rule function_62007_0 {
	meta:
		name = "Bounds"
		size = 38
		refs = "001b Bounds"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_114874_0 {
	meta:
		name = "TXmlIniFile.ReadString"
		size = 38
		refs = "001b TXmlIniFile.ReadXmlString"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_62008_0 {
	meta:
		name = "InvalidPoint"
		size = 12
	strings:
		$1 = { 40 75 03 42 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_62009_0 {
	meta:
		name = "InvalidPoint"
		size = 17
	strings:
		$1 = { 83 38 FF 75 06 83 78 04 FF 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_62010_0 {
	meta:
		name = "InvalidPoint"
		size = 27
	strings:
		$1 = { 51 89 04 24 66 83 3C 24 FF 75 08 66 83 7C 24 02 FF 74 04 33 C0 5A C3 B0 01 5A C3 }
	condition:
		$1
}

rule function_62011_0 {
	meta:
		name = "NextChar"
		size = 57
		refs = "002d TCharacter.GetUnicodeCategory"
	strings:
		$1 = { 53 8B D8 85 DB 74 2E 66 83 3B 00 74 28 83 C3 02 0F B7 03 3D 00 DC 00 00 7C 0F 3D FF DF 00 00 7F 08 83 C3 02 EB 03 83 C3 02 0F B7 03 E8 ?? ?? ?? ?? 3C 0C 74 F1 8B C3 5B C3 }
	condition:
		$1
}

rule function_62013_0 {
	meta:
		name = "TRegGroup.BestClass"
		size = 95
		refs = "002a TList.Get 0037 TObject.InheritsFrom"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 54 24 04 89 04 24 33 ED 8B 04 24 8B 40 0C 8B 70 08 4E 85 F6 7C 38 46 33 FF 8B 04 24 8B 40 0C 8B D7 E8 ?? ?? ?? ?? 8B D8 8B D3 8B 44 24 04 E8 ?? ?? ?? ?? 84 C0 74 13 85 ED 74 0D 8B D5 8B C3 E8 ?? ?? ?? ?? 84 C0 74 02 8B EB 47 4E 75 CB 8B C5 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62014_0 {
	meta:
		name = "TRegGroup.BestGroup"
		size = 109
		refs = "0018 TRegGroup.BestClass 0056 TObject.InheritsFrom"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B 5D 08 85 FF 74 0D 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 83 7D FC 00 74 0E 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 85 F6 75 0D 85 DB 75 04 33 C0 EB 21 8B 45 FC EB 1C 85 DB 75 04 8B C7 EB 14 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 8B C7 EB 03 8B 45 FC 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_62015_0 {
	meta:
		name = "TRegGroup.Create"
		size = 92
		refs = "000f @ClassCreate 001f TObject.Create 0026 _DV_TList 0039 TList.Add 0046 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 0C 8B C6 8B D7 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62016_0 {
	meta:
		name = "TRegGroup.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001a TObject.Free 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62017_0 {
	meta:
		name = "TRegGroup.GetClass"
		size = 77
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 04 85 C0 74 19 8B D7 8B 08 FF 51 54 8B F0 85 F6 7C 0C 8B D6 8B 43 04 8B 08 FF 51 18 EB 22 8B 43 08 85 C0 74 19 8B D7 8B 08 FF 51 54 8B F0 85 F6 7C 0C 8B D6 8B 43 08 8B 08 FF 51 18 EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62018_0 {
	meta:
		name = "TRegGroup.GetClasses"
		size = 69
	strings:
		$1 = { 55 8B EC 51 53 56 8B F0 8B 5E 04 85 DB 74 2F 8B C3 8B 10 FF 52 14 48 85 C0 7C 23 40 89 C3 C7 45 FC 00 00 00 00 8B 55 FC 8B 46 04 8B 08 FF 51 18 8B D0 8B 45 0C FF 55 08 FF 45 FC 4B 75 E7 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_62019_0 {
	meta:
		name = "TRegGroup.IndexOfClass"
		size = 118
		refs = "0010 TRegGroup.IndexOfClass 0027 TObject.ClassName 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 04 85 F6 74 2D 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 54 8B F0 85 F6 7C 16 8B D6 8B 43 04 8B 08 FF 51 18 3B F8 74 08 83 CE FF EB 03 83 CE FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62020_0 {
	meta:
		name = "TRegGroup.InGroup"
		size = 68
		refs = "0021 TList.Get 002a TObject.InheritsFrom"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C6 04 24 01 8B 47 0C 8B 58 08 4B 85 DB 7C 1E 43 33 F6 8B 47 0C 8B D6 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 84 C0 75 08 46 4B 75 E5 C6 04 24 00 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62021_0 {
	meta:
		name = "TRegGroup.RegisterClass"
		size = 180
		refs = "0016 TRegGroup.RegisterClass 0026 TObject.ClassName 0030 TRegGroup.GetClass 004e SDuplicateClass 0055 _DV_EFilerError 005a Exception.CreateResFmt 005f @RaiseExcept 006c _DV_TStringList 0071 TStringList.Create 007f TStringList.SetSorted 00a1 @UStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 85 C0 74 2B 3B F0 74 27 8B 45 FC 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 04 00 75 1A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 04 B2 01 8B C7 E8 ?? ?? ?? ?? 8B CE 8B 55 FC 8B 43 04 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62022_0 {
	meta:
		name = "TRegGroup.RegisterClassAlias"
		size = 55
		refs = "000e TRegGroup.RegisterClass 001b _DV_TStringList 0020 TStringList.Create"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7B 08 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 8B CE 8B D7 8B 43 08 8B 18 FF 53 3C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62024_0 {
	meta:
		name = "TRegGroup.UnregisterClass"
		size = 93
		refs = "0012 TRegGroup.IndexOfClass"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 83 7E 04 00 74 18 8B D7 8B C6 E8 ?? ?? ?? ?? 83 F8 FF 74 0A 8B D0 8B 46 04 8B 08 FF 51 48 8B 5E 08 85 DB 74 2D 8B C3 8B 10 FF 52 14 48 83 F8 00 7C 20 89 C3 8B D3 8B 46 08 8B 08 FF 51 18 3B C7 75 0A 8B D3 8B 46 08 8B 08 FF 51 48 4B 83 FB FF 75 E2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62025_0 {
	meta:
		name = "PointerInModule"
		size = 19
	strings:
		$1 = { 56 8B F0 3B F2 72 04 3B F1 72 04 33 C0 5E C3 B0 01 5E C3 }
	condition:
		$1
}

rule function_62026_0 {
	meta:
		name = "TRegGroup.UnregisterModuleClasses"
		size = 319
		refs = "0016 GetCurrentProcess 002c VirtualQueryEx 0051 TList.Get 0071 TList.Put 0089 TList.Pack"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F0 85 D2 0F 84 06 01 00 00 8B EA 8B FD E8 ?? ?? ?? ?? 8B D8 EB 04 03 7C 24 10 6A 1C 8D 44 24 08 50 57 53 E8 ?? ?? ?? ?? 83 F8 1C 75 06 3B 6C 24 08 74 E3 C6 04 24 00 8B 46 0C 8B 58 08 4B 83 FB 00 7C 34 8B D3 8B 46 0C E8 ?? ?? ?? ?? 8B D0 3B D5 72 04 3B D7 72 04 33 C0 EB 02 B0 01 84 C0 74 10 33 C9 8B D3 8B 46 0C E8 ?? ?? ?? ?? C6 04 24 01 4B 83 FB FF 75 CC 80 3C 24 00 74 08 8B 46 0C E8 ?? ?? ?? ?? 8B 5E 04 85 DB 74 3D 8B C3 8B 10 FF 52 14 48 83 F8 00 7C 30 89 C3 8B D3 8B 46 04 8B 08 FF 51 18 8B D0 3B D5 72 04 3B D7 72 04 33 C0 EB 02 B0 01 84 C0 74 0A 8B D3 8B 46 04 8B 08 FF 51 48 4B 83 FB FF 75 D2 8B 5E 08 85 DB 74 5F 8B C3 8B 10 FF 52 14 48 83 F8 00 7C 52 89 C3 8B D3 8B 46 08 8B 08 FF 51 18 8B D0 3B D5 72 04 3B D7 72 04 33 C0 EB 02 B0 01 84 C0 74 0A 8B D3 8B 46 08 8B 08 FF 51 48 4B 83 FB FF 75 D2 EB 20 8B 46 0C 8B 10 FF 52 08 8B 46 04 85 C0 74 05 8B 10 FF 52 44 8B 46 08 85 C0 74 05 8B 10 FF 52 44 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62027_0 {
	meta:
		name = "TRegGroups.Activate"
		size = 73
		refs = "002c TList.Get 0038 TRegGroup.InGroup"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F8 8B 47 08 3B 04 24 74 31 8B 04 24 89 47 08 8B 47 04 8B 70 08 4E 85 F6 7C 20 46 33 ED 8B 47 04 8B D5 E8 ?? ?? ?? ?? 8B D8 8B 14 24 8B C3 E8 ?? ?? ?? ?? 88 43 10 45 4E 75 E3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62028_0 {
	meta:
		name = "TRegGroups.AddClass"
		size = 30
		refs = "000f TList.Get 0016 TRegGroup.AddClass"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62029_0 {
	meta:
		name = "TRegGroups.Create"
		size = 104
		refs = "000b @ClassCreate 0018 TObject.Create 001f _DV_TList 002d _DV_TPersistent 0034 _DV_TRegGroup 0039 TRegGroup.Create 0045 TList.Add 0054 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 47 04 8B D6 E8 ?? ?? ?? ?? C6 46 10 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62030_0 {
	meta:
		name = "TRegGroups.Destroy"
		size = 85
		refs = "0005 @BeforeDestruction 0025 TList.Get 002a TObject.Free 0041 TObject.Destroy 004c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 04 85 C0 74 1E 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B 45 04 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 45 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62031_0 {
	meta:
		name = "TRegGroups.FindGroup"
		size = 68
		refs = "0020 TList.Get 002d _DV_TRegGroup 0032 TRegGroup.BestGroup"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 33 F6 8B 45 04 8B 58 08 4B 85 DB 7C 25 43 33 FF 8B 45 04 8B D7 E8 ?? ?? ?? ?? 8B 14 24 52 8B CE 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 47 4B 75 DE 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62032_0 {
	meta:
		name = "TRegGroups.GetClass"
		size = 68
		refs = "0020 TList.Get 002e TRegGroup.GetClass"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 33 FF 8B 45 04 8B 58 08 4B 85 DB 7C 25 43 33 F6 8B 45 04 8B D6 E8 ?? ?? ?? ?? 80 78 10 00 74 0A 8B 14 24 E8 ?? ?? ?? ?? 8B F8 85 FF 75 04 46 4B 75 DE 8B C7 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62033_0 {
	meta:
		name = "TRegGroups.GroupedWith"
		size = 32
		refs = "0005 TRegGroups.FindGroup 0015 TList.Get"
	strings:
		$1 = { 53 56 33 F6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0C 33 D2 8B 43 0C E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_62034_0 {
	meta:
		name = "Error"
		size = 129
		refs = "0012 Error 0026 TObject.ClassName 003e SUnknownGroup 0043 LoadResString 004d _DV_EFilerError 0052 Exception.CreateFmt 0057 @RaiseExcept 0071 @UStrArrayClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C0 89 45 F4 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_62035_0 {
	meta:
		name = "TRegGroups.GroupWith"
		size = 210
		refs = "0019 TRegGroups.FindGroup 0028 Error 0034 TRegGroup.AddClass 005f TList.Get 0092 TObject.InheritsFrom 00b9 TRegGroup.RegisterClass"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 89 55 F4 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 07 55 E8 ?? ?? ?? ?? 59 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 04 8B 40 08 48 85 C0 0F 8C 81 00 00 00 40 89 45 E8 C7 45 EC 00 00 00 00 8B 45 F8 8B 40 04 8B 55 EC E8 ?? ?? ?? ?? 8B D8 3B 5D F0 74 59 8B 73 04 85 F6 74 52 8B C6 8B 10 FF 52 14 48 83 F8 00 7C 45 89 C6 8B D6 8B 43 04 8B 08 FF 51 18 8B F8 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 74 23 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 3B 45 F0 75 14 8B D6 8B 43 04 8B 08 FF 51 48 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 4E 83 FE FF 75 BD FF 45 EC FF 4D E8 75 8A 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62036_0 {
	meta:
		name = "TRegGroups.Lock"
		size = 9
		refs = "0004 TMonitor.Enter"
	strings:
		$1 = { 83 CA FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84196_0 {
	meta:
		name = "TCalendar.PrevMonth"
		size = 9
		refs = "0004 TCalendar.ChangeMonth"
	strings:
		$1 = { 83 CA FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81981_0 {
	meta:
		name = "TCustomImageList.Clear"
		size = 9
		refs = "0004 TCustomImageList.Delete"
	strings:
		$1 = { 83 CA FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68773_0 {
	meta:
		name = "TInterlocked.Decrement"
		size = 9
		refs = "0004 TInterlocked.Add"
	strings:
		$1 = { 83 CA FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68791_0 {
	meta:
		name = "TSpinLock.Enter"
		size = 9
		refs = "0004 TSpinLock.TryEnter"
	strings:
		$1 = { 83 CA FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68787_0 {
	meta:
		name = "TSpinWait.SpinUntil"
		size = 9
		refs = "0004 TSpinWait.SpinUntil"
	strings:
		$1 = { 83 CA FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62037_0 {
	meta:
		name = "TRegGroups.RegisterClass"
		size = 23
		refs = "0006 TRegGroups.FindGroup 0011 TRegGroup.RegisterClass"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_62038_0 {
	meta:
		name = "TRegGroups.RegisterClassAlias"
		size = 29
		refs = "0009 TRegGroups.FindGroup 0016 TRegGroup.RegisterClassAlias"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B D3 E8 ?? ?? ?? ?? 85 C0 74 09 8B CE 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62039_0 {
	meta:
		name = "TRegGroups.Registered"
		size = 66
		refs = "0021 TList.Get 0028 TRegGroup.Registered"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C6 04 24 01 8B 47 04 8B 58 08 4B 85 DB 7C 1C 43 33 F6 8B 47 04 8B D6 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 84 C0 75 08 46 4B 75 E7 C6 04 24 00 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62040_0 {
	meta:
		name = "TRegGroups.StartGroup"
		size = 79
		refs = "001c TList.Get 0026 TList.IndexOf 0037 _DV_TRegGroup 003c TRegGroup.Create 0046 TList.Add"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 04 8B 58 08 4B 85 DB 7C 1F 43 33 F6 8B 47 04 8B D6 E8 ?? ?? ?? ?? 8B 40 0C 8B D5 E8 ?? ?? ?? ?? 85 C0 7D 1C 46 4B 75 E4 8B CD B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 47 04 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62042_0 {
	meta:
		name = "TRegGroups.UnregisterClass"
		size = 48
		refs = "001c TList.Get 0023 TRegGroup.UnregisterClass"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 04 8B 58 08 4B 85 DB 7C 18 43 33 F6 8B 47 04 8B D6 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 46 4B 75 EB 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62043_0 {
	meta:
		name = "TRegGroups.UnregisterModuleClasses"
		size = 78
		refs = "001a TList.Get 0025 TRegGroup.UnregisterModuleClasses 0035 TObject.Free 003f TList.Delete"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 04 8B 58 08 4B 83 FB 00 7C 35 8B 47 04 8B D3 E8 ?? ?? ?? ?? 8B F0 8B D5 8B C6 E8 ?? ?? ?? ?? 8B 46 0C 83 78 08 00 75 11 8B C6 E8 ?? ?? ?? ?? 8B 47 04 8B D3 E8 ?? ?? ?? ?? 4B 83 FB FF 75 CB 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62044_0 {
	meta:
		name = "TClassFinder.Create"
		size = 310
		refs = "0011 @ClassCreate 0024 TObject.Create 002b _DV_TList 003b RegGroups 0043 TMonitor.Enter 004b TClassFinder.Create 0084 TList.Get 0090 TRegGroup.InGroup 00a1 TList.Add 0106 TMonitor.Exit 010c @HandleFinally 011c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 A1 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D F4 00 75 0B A1 ?? ?? ?? ?? 8B 40 08 89 45 F4 A1 ?? ?? ?? ?? 8B 40 04 8B 70 08 4E 85 F6 7C 33 46 33 FF A1 ?? ?? ?? ?? 8B 40 04 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 47 4E 75 D0 80 7D 08 00 74 3B A1 ?? ?? ?? ?? 8B 40 04 8B 70 08 4E 85 F6 7C 2B 46 33 FF A1 ?? ?? ?? ?? 8B 40 04 8B D7 E8 ?? ?? ?? ?? 8B D8 80 7B 10 00 74 0D 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 47 4E 75 D8 8B 45 FC 8B 55 F4 89 50 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_62046_0 {
	meta:
		name = "TClassFinder.GetClass"
		size = 139
		refs = "0014 RegGroups 001c TMonitor.Enter 0024 TClassFinder.GetClass 0042 TList.Get 004a TRegGroup.GetClass 0058 @TryFinallyExit 0075 TMonitor.Exit 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B F8 33 C0 89 45 F8 A1 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 47 04 8B 58 08 4B 85 DB 7C 29 43 33 F6 8B 47 04 8B D6 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 07 E8 ?? ?? ?? ?? EB 23 46 4B 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62047_0 {
	meta:
		name = "TClassFinder.GetClasses"
		size = 112
		refs = "0009 RegGroups 0011 TMonitor.Enter 0019 TClassFinder.GetClasses 003d TList.Get 0042 TRegGroup.GetClasses 005d TMonitor.Exit 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 A1 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 47 04 8B 58 08 4B 85 DB 7C 1C 43 33 F6 FF 75 0C FF 75 08 8B 47 04 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_62048_0 {
	meta:
		name = "GetFieldClassTable"
		size = 11
	strings:
		$1 = { 8B 40 BC 09 C0 74 03 8B 40 02 C3 }
	condition:
		$1
}

rule function_62049_0 {
	meta:
		name = "ClassNotFound"
		size = 108
		refs = "0012 ClassNotFound 002d SClassNotFound 0032 LoadResString 003c _DV_EClassNotFound 0041 Exception.CreateFmt 0046 @RaiseExcept 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98412_0 {
	meta:
		name = "RaiseIncludePageNotFound"
		size = 108
		refs = "0012 RaiseIncludePageNotFound 002d sCantFindIncludePage 0032 LoadResString 003c _Dn_EScriptError 0041 Exception.CreateFmt 0046 @RaiseExcept 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97812_0 {
	meta:
		name = "RaisePageDoesNotProvideContent"
		size = 108
		refs = "0012 RaisePageDoesNotProvideContent 002d sPageContentNotProvided 0032 LoadResString 003c _DV_EPageDispatcherException 0041 Exception.CreateFmt 0046 @RaiseExcept 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98413_0 {
	meta:
		name = "RaisePageDoesNotSupportInclusion"
		size = 108
		refs = "0012 RaisePageDoesNotSupportInclusion 002d sInclusionNotSupported 0032 LoadResString 003c _Dn_EScriptError 0041 Exception.CreateFmt 0046 @RaiseExcept 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97813_0 {
	meta:
		name = "RaisePageDoesNotSupportRedirect"
		size = 108
		refs = "0012 RaisePageDoesNotSupportRedirect 002d sPageDoesNotSupportRedirect 0032 LoadResString 003c _DV_EPageDispatcherException 0041 Exception.CreateFmt 0046 @RaiseExcept 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97814_0 {
	meta:
		name = "RaisePageNotFound"
		size = 108
		refs = "0012 RaisePageNotFound 002d sPageNotFound 0032 LoadResString 003c _DV_EPageDispatcherException 0041 Exception.CreateFmt 0046 @RaiseExcept 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96689_0 {
	meta:
		name = "RaiseVariableIsNotAContainer"
		size = 108
		refs = "0012 RaiseVariableIsNotAContainer 002d sVariableIsNotAContainer 0032 LoadResString 003c _DV_EAdapterException 0041 Exception.CreateFmt 0046 @RaiseExcept 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98296_0 {
	meta:
		name = "RaiseVariableIsNotAContainer"
		size = 108
		refs = "0012 RaiseVariableIsNotAContainer 002d sVariableIsNotAContainer 0032 LoadResString 003c _DV_EWebModuleException 0041 Exception.CreateFmt 0046 @RaiseExcept 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62050_0 {
	meta:
		name = "GetClass"
		size = 87
		refs = "0008 RegGroups 0010 TMonitor.Enter 0018 GetClass 002a TRegGroups.GetClass 0044 TMonitor.Exit 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 A1 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 5B 59 5D C3 }
	condition:
		$1
}

rule function_62062_0 {
	meta:
		name = "ClassGroupOf"
		size = 87
		refs = "0008 RegGroups 0010 TMonitor.Enter 0018 ClassGroupOf 002a TRegGroups.GroupedWith 0044 TMonitor.Exit 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 A1 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 5B 59 5D C3 }
	condition:
		$1
}

rule function_62051_0 {
	meta:
		name = "FindClass"
		size = 29
		refs = "0007 GetClass 0014 ClassNotFound"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 07 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_62052_0 {
	meta:
		name = "RegisterClass"
		size = 114
		refs = "0007 RegGroups 000f TMonitor.Enter 0017 RegisterClass 002b TRegGroups.RegisterClass 0031 _DV_TPersistent 003a TObject.ClassParent 0048 TRegGroups.Registered 0063 TMonitor.Exit 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 A1 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 EB 1D 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 1D ?? ?? ?? ?? 74 19 8B C3 E8 ?? ?? ?? ?? 8B D8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5B 5D C3 }
	condition:
		$1
}

rule function_62053_0 {
	meta:
		name = "RegisterClasses"
		size = 52
		refs = "0020 RegisterClass"
	strings:
		$1 = { 55 8B EC 53 56 8B CA 85 C9 78 07 8B 1C 88 49 53 79 F9 8B C4 8B F2 85 F6 7C 10 46 8B D8 8B 03 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F3 8B 75 F8 8B 5D FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_62056_0 {
	meta:
		name = "UnRegisterClasses"
		size = 52
		refs = "0020 UnRegisterClass"
	strings:
		$1 = { 55 8B EC 53 56 8B CA 85 C9 78 07 8B 1C 88 49 53 79 F9 8B C4 8B F2 85 F6 7C 10 46 8B D8 8B 03 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F3 8B 75 F8 8B 5D FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_62054_0 {
	meta:
		name = "RegisterClassAlias"
		size = 85
		refs = "000a RegGroups 0012 TMonitor.Enter 001a RegisterClassAlias 002e TRegGroups.RegisterClassAlias 0045 TMonitor.Exit 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CE 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5E 5B 5D C3 }
	condition:
		$1
}

rule function_62059_0 {
	meta:
		name = "GroupDescendentsWith"
		size = 85
		refs = "000a RegGroups 0012 TMonitor.Enter 001a GroupDescendentsWith 002e TRegGroups.GroupWith 0045 TMonitor.Exit 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CE 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5E 5B 5D C3 }
	condition:
		$1
}

rule function_62055_0 {
	meta:
		name = "UnRegisterClass"
		size = 79
		refs = "0007 RegGroups 000f TMonitor.Enter 0017 UnRegisterClass 0029 TRegGroups.UnregisterClass 0040 TMonitor.Exit 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 A1 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5B 5D C3 }
	condition:
		$1
}

rule function_62058_0 {
	meta:
		name = "StartClassGroup"
		size = 79
		refs = "0007 RegGroups 000f TMonitor.Enter 0017 StartClassGroup 0029 TRegGroups.StartGroup 0040 TMonitor.Exit 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 A1 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5B 5D C3 }
	condition:
		$1
}

rule function_62057_0 {
	meta:
		name = "UnRegisterModuleClasses"
		size = 79
		refs = "0007 RegGroups 000f TMonitor.Enter 0017 UnRegisterModuleClasses 0029 TRegGroups.UnregisterModuleClasses 0040 TMonitor.Exit 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 A1 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5B 5D C3 }
	condition:
		$1
}

rule function_62060_0 {
	meta:
		name = "ActivateClassGroup"
		size = 95
		refs = "0008 RegGroups 0010 TMonitor.Enter 0018 ActivateClassGroup 0035 TRegGroups.Activate 004c TMonitor.Exit 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 A1 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 40 08 89 45 FC 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 5B 59 5D C3 }
	condition:
		$1
}

rule function_62061_0 {
	meta:
		name = "ActiveClassGroup"
		size = 79
		refs = "0005 RegGroups 000d TMonitor.Enter 0015 ActiveClassGroup 003d TMonitor.Exit 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 40 08 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 59 5D C3 }
	condition:
		$1
}

rule function_62063_0 {
	meta:
		name = "ClassGroupOf"
		size = 134
		refs = "000a RegGroups 0012 TMonitor.Enter 001a ClassGroupOf 0039 TRegGroups.GroupedWith 0047 @TryFinallyExit 0054 @CallDynaInst 0071 TMonitor.Exit 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 A1 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 FC 85 DB 74 31 8B 03 89 C7 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 07 E8 ?? ?? ?? ?? EB 30 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 8B D8 85 DB 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62064_0 {
	meta:
		name = "ReportClassGroups"
		size = 788
		refs = "0019 ReportClassGroups 0027 TStrings.BeginUpdate 0045 sClassGroupHeader 004a LoadResString 0052 sGroupClassesHeader 005f sClassListHeader 006c sClassAliasesHeader 0076 RegGroups 00a0 TList.Get 00c2 BoolToStr 00dc Format 011c TObject.QualifiedClassName 027a TStrings.EndUpdate 0280 @HandleFinally 029c @UStrArrayClr 02b1 @UStrClr"
	strings:
		$1 = { 55 8B EC B9 0C 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 10 FF 52 44 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 04 8B 40 08 48 85 C0 0F 8C E0 01 00 00 40 89 45 E0 C7 45 E8 00 00 00 00 A1 ?? ?? ?? ?? 8B 40 04 8B 55 E8 E8 ?? ?? ?? ?? 89 45 E4 8D 45 DC 50 8B 45 E8 89 45 CC C6 45 D0 00 8D 4D C8 8B 45 E4 0F B6 40 10 B2 01 E8 ?? ?? ?? ?? 8B 45 C8 89 45 D4 C6 45 D8 11 8D 55 CC B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 EC 8B 08 FF 51 38 8B 55 F8 8B 45 EC 8B 08 FF 51 38 8B 45 E4 8B 40 0C 8B 70 08 4E 85 F6 7C 44 46 33 DB 8D 45 C4 50 8B 45 E4 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8D 55 B8 E8 ?? ?? ?? ?? 8B 45 B8 89 45 BC C6 45 C0 11 8D 55 BC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B 45 EC 8B 08 FF 51 38 43 4E 75 BF 8B 55 F4 8B 45 EC 8B 08 FF 51 38 8B 45 E4 8B 40 04 8B 10 FF 52 14 8B F0 4E 85 F6 7C 61 46 33 DB 8D 45 B4 50 8D 4D B0 8B 45 E4 8B 40 04 8B D3 8B 38 FF 57 0C 8B 45 B0 89 45 CC C6 45 D0 11 8B 45 E4 8B 40 04 8B D3 8B 08 FF 51 18 8D 55 AC E8 ?? ?? ?? ?? 8B 45 AC 89 45 D4 C6 45 D8 11 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8B 45 EC 8B 08 FF 51 38 43 4E 75 A2 8B 45 E4 8B 58 08 85 DB 0F 84 89 00 00 00 8B C3 8B 10 FF 52 14 85 C0 7E 7E 8B 55 F0 8B 45 EC 8B 08 FF 51 38 8B 45 E4 8B 40 08 8B 10 FF 52 14 8B F0 4E 85 F6 7C 61 46 33 DB 8D 45 A8 50 8D 4D A4 8B 45 E4 8B 40 08 8B D3 8B 38 FF 57 0C 8B 45 A4 89 45 CC C6 45 D0 11 8B 45 E4 8B 40 08 8B D3 8B 08 FF 51 18 8D 55 A0 E8 ?? ?? ?? ?? 8B 45 A0 89 45 D4 C6 45 D8 11 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 8B 45 EC 8B 08 FF 51 38 43 4E 75 A2 FF 45 E8 FF 4D E0 0F 85 2B FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 20 00 20 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 20 00 20 00 20 00 25 00 73 00 20 00 3D 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_62065_0 {
	meta:
		name = "RegisterComponents"
		size = 70
		refs = "0016 RegisterComponentsProc 0027 SRegisterError 002e _DV_EComponentError 0033 Exception.CreateRes 0038 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 83 3D ?? ?? ?? ?? 00 74 08 FF 15 ?? ?? ?? ?? EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 75 F8 8B 5D FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_62067_0 {
	meta:
		name = "RegisterNonActiveX"
		size = 39
		refs = "0002 RegisterNonActiveXProc 000b SRegisterError 0012 _DV_EComponentError 0017 Exception.CreateRes 001c @RaiseExcept"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62068_0 {
	meta:
		name = "TIntConst.Create"
		size = 53
		refs = "000b @ClassCreate 0023 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 04 8B 4D 0C 89 48 08 8B 4D 08 89 48 0C 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 5D C2 08 00 }
	condition:
		$1
}

rule function_62069_0 {
	meta:
		name = "RegisterIntegerConsts"
		size = 41
		refs = "0010 _DV_TIntConst 0015 TIntConst.Create 001c IntConstList 0021 TThreadList.Add"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62070_0 {
	meta:
		name = "UnregisterIntegerConsts"
		size = 149
		refs = "0012 IntConstList 0017 TThreadList.LockList 0021 UnregisterIntegerConsts 0039 TList.Get 005c TObject.Free 0065 TList.Delete 0082 TThreadList.UnlockList 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 5E 08 4B 83 FB 00 7C 3B 8B D3 8B C6 E8 ?? ?? ?? ?? 3B 78 04 75 27 8B 50 0C 3B 55 F8 75 1F 8B 40 08 3B 45 FC 75 17 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62071_0 {
	meta:
		name = "FindIntToIdent"
		size = 122
		refs = "000f IntConstList 0014 TThreadList.LockList 001e FindIntToIdent 0036 TList.Get 0046 @TryFinallyExit 0065 TThreadList.UnlockList 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 33 C0 89 45 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 5E 08 4B 83 FB 00 7C 21 8B D3 8B C6 E8 ?? ?? ?? ?? 3B 78 04 75 0D 8B 40 0C 89 45 FC E8 ?? ?? ?? ?? EB 25 4B 83 FB FF 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62072_0 {
	meta:
		name = "FindIdentToInt"
		size = 122
		refs = "000f IntConstList 0014 TThreadList.LockList 001e FindIdentToInt 0036 TList.Get 0046 @TryFinallyExit 0065 TThreadList.UnlockList 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 33 C0 89 45 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 5E 08 4B 83 FB 00 7C 21 8B D3 8B C6 E8 ?? ?? ?? ?? 3B 78 04 75 0D 8B 40 08 89 45 FC E8 ?? ?? ?? ?? EB 25 4B 83 FB FF 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62073_0 {
	meta:
		name = "IdentToInt"
		size = 192
		refs = "001d IdentToInt 003b @UStrLAsg 006c CompareText 00a7 @UStrArrayClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F0 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7D 08 85 FF 7C 5F 47 8B 5D F0 83 C3 04 8D 45 FC 8B 13 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0E C6 45 EF 01 8B 45 F4 8B 53 FC 89 10 EB 0A 83 C3 08 4F 75 A8 C6 45 EF 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 EF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_62074_0 {
	meta:
		name = "IntToIdent"
		size = 68
		refs = "0027 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B 75 08 85 F6 7C 1E 46 8B 5D FC 3B 03 75 10 C6 45 FB 01 8B C7 8B 53 04 E8 ?? ?? ?? ?? EB 0A 83 C3 08 4E 75 E6 C6 45 FB 00 0F B6 45 FB 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_62075_0 {
	meta:
		name = "RegisterFindGlobalComponentProc"
		size = 63
		refs = "0006 FindGlobalComponentProcs 0010 _DV_TList 0015 TObject.Create 0028 TList.IndexOf 0038 TList.Add"
	strings:
		$1 = { 53 56 8B D8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B F3 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7D 0C 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62076_0 {
	meta:
		name = "UnregisterFindGlobalComponentProc"
		size = 22
		refs = "0002 FindGlobalComponentProcs 0011 TList.Remove"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73295_0 {
	meta:
		name = "TCustomApplicationEvents.Activate"
		size = 22
		refs = "0002 MultiCaster 0011 TMultiCaster.Activate"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62077_0 {
	meta:
		name = "FindGlobalComponent"
		size = 63
		refs = "0009 FindGlobalComponentProcs 0027 TList.Get"
	strings:
		$1 = { 53 56 57 8B F0 33 C0 83 3D ?? ?? ?? ?? 00 74 2B 8B 15 ?? ?? ?? ?? 8B 5A 08 4B 83 FB 00 7C 1C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C6 FF D7 85 C0 75 06 4B 83 FB FF 75 E4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62078_0 {
	meta:
		name = "IsUniqueGlobalComponentName"
		size = 36
		refs = "0005 IsUniqueGlobalComponentNameProc 0019 FindGlobalComponent"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 74 0A 8B C3 FF 15 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_62079_0 {
	meta:
		name = "InternalReadComponentRes"
		size = 131
		refs = "0013 HInstance 001c @UStrToPWChar 0023 FindResource 0038 _DV_TResourceStream 003d TResourceStream.Create 0048 InternalReadComponentRes 0058 TStream.ReadComponent 006f TObject.Free 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 8B F8 85 DB 75 06 8B 1D ?? ?? ?? ?? 6A 0A 8B C7 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 84 C0 74 4D 57 6A 0A 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 16 8B 45 FC E8 ?? ?? ?? ?? 89 06 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 B0 01 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62080_0 {
	meta:
		name = "BeginGlobalLoading"
		size = 86
		refs = "0002 @GetTls 0008 GlobalLists 0013 _DV_TList 0018 TObject.Create 0030 GlobalLoaded 0037 TList.Add"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B 98 ?? ?? ?? ?? 85 DB 75 19 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_62081_0 {
	meta:
		name = "NotifyGlobalLoading"
		size = 47
		refs = "0004 @GetTls 000a GlobalLoaded 001e TList.Get"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B B8 ?? ?? ?? ?? 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 52 0C 46 4B 75 EE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62082_0 {
	meta:
		name = "EndGlobalLoading"
		size = 89
		refs = "0003 @GetTls 0009 GlobalLoaded 000e TObject.Free 0019 GlobalLists 0020 TList.Last 0038 TList.Delete"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 98 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 89 B0 ?? ?? ?? ?? 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 83 7B 08 00 75 14 E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62083_0 {
	meta:
		name = "InitComponent"
		size = 138
		refs = "000d InitComponent 001b _DV_TComponent 0030 TObject.ClassParent 0042 TObject.ClassName 004d FindClassHInstance 0052 FindResourceHInstance 0060 InternalReadComponentRes 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 3B 35 ?? ?? ?? ?? 74 45 8B 45 08 3B 70 F8 74 3D 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B D8 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 08 8D 48 FC 58 E8 ?? ?? ?? ?? 0A D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62084_0 {
	meta:
		name = "InitInheritedComponent"
		size = 196
		refs = "000d GlobalNameSpace 001a InitInheritedComponent 0047 BeginGlobalLoading 0062 InitComponent 0071 NotifyGlobalLoading 0089 EndGlobalLoading 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC A1 ?? ?? ?? ?? 8B 10 FF 52 14 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 0F B7 40 1C 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 0F 94 45 F6 80 7D F6 00 74 05 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 12 89 D0 55 E8 ?? ?? ?? ?? 59 88 45 F7 80 7D F6 00 74 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F6 00 74 05 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB EE 0F B6 45 F7 8B E5 5D C3 01 02 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_62085_0 {
	meta:
		name = "InitComponentRes"
		size = 42
		refs = "0012 FindClassHInstance 0017 FindResourceHInstance 0022 InternalReadComponentRes"
	strings:
		$1 = { 53 56 51 89 14 24 8B F0 8B 04 24 8B 00 89 C3 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B CC 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_62086_0 {
	meta:
		name = "ReadComponentRes"
		size = 167
		refs = "0016 ReadComponentRes 0030 FindClassHInstance 0035 FindResourceHInstance 0047 InternalReadComponentRes 0065 SResNotFound 006a LoadResString 0074 _DV_EResNotFound 0079 Exception.CreateFmt 007e @RaiseExcept 0093 @UStrClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 17 8B 45 FC 8B 00 89 C3 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 05 8B 5D FC EB 2E 89 75 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62087_0 {
	meta:
		name = "ReadComponentResEx"
		size = 140
		refs = "0015 ReadComponentResEx 002c InternalReadComponentRes 004a SResNotFound 004f LoadResString 0059 _DV_EResNotFound 005e Exception.CreateFmt 0063 @RaiseExcept 0078 @UStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 8B 5D FC EB 2E 89 5D F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62088_0 {
	meta:
		name = "ReadComponentResFile"
		size = 92
		refs = "0010 _DV_TFileStream 0015 TFileStream.Create 0020 ReadComponentResFile 0030 TStream.ReadComponentRes 0048 TObject.Free 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 6A 20 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62089_0 {
	meta:
		name = "WriteComponentResFile"
		size = 150
		refs = "0012 WriteComponentResFile 0026 _DV_TFileStream 002b TFileStream.Create 0046 TObject.ClassName 0053 TStream.WriteComponentRes 0068 TObject.Free 006e @HandleFinally 0085 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 00 FF 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8B 55 F8 8B CB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62090_0 {
	meta:
		name = "WriteCollection"
		size = 105
		refs = "0014 _DV_TWriter 0019 TFiler.Create 0033 WriteCollection 0043 TWriter.WriteCollection 0058 TObject.Free 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 8B F2 68 00 04 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B D3 8B 45 FC 8B 08 FF 11 8B 45 FC 89 58 1C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62091_0 {
	meta:
		name = "CollectionsEqual"
		size = 281
		refs = "0026 TCollection.GetCount 003e _DV_TMemoryStream 0043 TObject.Create 004e CollectionsEqual 0060 WriteCollection 00c1 CompareMem 00e3 TObject.Free 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 C6 45 FF 00 8B 13 89 D0 8B 0E 89 CA 3B D0 0F 85 E9 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 3B D0 0F 85 D1 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 8B D3 8B 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 12 52 50 8B 45 F4 8B 10 FF 12 3B 54 24 04 75 03 3B 04 24 5A 58 75 1E 8B 45 F8 8B 10 FF 12 8B C8 8B 45 F4 8B 50 04 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_62092_0 {
	meta:
		name = "LineStart"
		size = 30
	strings:
		$1 = { 57 89 D7 89 D1 29 C1 83 E9 01 76 10 89 C2 4F B0 0A FD F2 AE FC 89 D0 75 03 8D 47 02 5F C3 }
	condition:
		$1
}

rule function_62093_0 {
	meta:
		name = "LineStart"
		size = 36
	strings:
		$1 = { 57 89 D7 89 D1 29 C1 D1 E9 83 E9 02 76 14 89 C2 4F 4F 66 B8 0A 00 FD F2 66 AF FC 89 D0 75 03 8D 47 04 5F C3 }
	condition:
		$1
}

rule function_62094_0 {
	meta:
		name = "LineStart"
		size = 23
	strings:
		$1 = { EB 01 4A 85 D2 7E 06 80 3C 10 0A 75 F5 80 3C 10 0A 75 01 42 8B C2 C3 }
	condition:
		$1
}

rule function_62095_0 {
	meta:
		name = "ExtractStrings"
		size = 412
		refs = "002e ExtractStrings 0065 TStrings.BeginUpdate 0137 @UStrFromPWCharLen 0167 TStrings.EndUpdate 016d @HandleFinally 0184 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 DB 89 5D FC 8B F2 8D 7D B2 51 B9 08 00 00 00 F3 A5 59 8B F0 8D 7D D2 51 B9 08 00 00 00 F3 A5 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 85 C9 0F 84 2E 01 00 00 66 83 39 00 0F 84 24 01 00 00 83 7D 08 00 0F 84 1A 01 00 00 8B D9 C6 45 F2 00 33 F6 8B 45 08 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 4D B3 20 80 4D B3 04 80 4D D2 01 80 4D D3 20 80 4D D3 04 80 4D D6 80 80 4D D6 04 EB 03 83 C3 02 0F B7 03 66 3D FF 00 77 07 0F B7 C0 0F A3 45 B2 72 EB 89 5D F4 EB 03 83 C3 02 80 7D F2 00 74 0D 0F B7 03 66 85 C0 74 05 66 3B F0 75 EA 0F B7 03 66 3D FF 00 77 07 0F B7 C0 0F A3 45 D2 73 D8 0F B7 03 66 83 E8 22 74 06 66 83 E8 05 75 22 66 85 F6 74 09 66 3B 33 75 04 33 F6 EB 08 66 85 F6 75 03 0F B7 33 66 85 F6 0F 95 45 F2 83 C3 02 EB AA 66 83 3B 00 0F 94 45 F3 3B 5D F4 74 34 8B 45 F4 66 83 38 00 74 2B 83 7D 08 00 74 22 8B CB 2B 4D F4 D1 F9 79 03 83 D1 00 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 08 FF 51 38 FF 45 F8 83 C3 02 80 7D F3 00 0F 84 42 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_62098_0 {
	meta:
		name = "TListEnumerator.MoveNext"
		size = 23
	strings:
		$1 = { 8B 50 08 8B 52 08 4A 3B 50 04 0F 9F C2 84 D2 74 03 FF 40 04 8B C2 C3 }
	condition:
		$1
}

rule function_62099_0 {
	meta:
		name = "TList.Destroy"
		size = 32
		refs = "0003 @BeforeDestruction 0019 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 08 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62100_0 {
	meta:
		name = "TList.Add"
		size = 63
		refs = "0028 _DV_TList"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 08 3B 73 0C 75 06 8B C3 8B 10 FF 12 8B 43 04 89 3C B0 FF 43 08 85 FF 74 17 8B 13 89 D0 3B 05 ?? ?? ?? ?? 74 0B 33 C9 8B D7 8B C3 8B 18 FF 53 04 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62102_0 {
	meta:
		name = "TList.Delete"
		size = 104
		refs = "0012 SListIndexError 001b TList.Error 0045 Move 0053 _DV_TList"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 0F 8B 15 ?? ?? ?? ?? 8B CE 8B 03 E8 ?? ?? ?? ?? 8B 43 04 8B 3C B0 FF 4B 08 8B 43 08 3B F0 7D 1A 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 14 B0 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 85 FF 74 17 8B 13 89 D0 3B 05 ?? ?? ?? ?? 74 0B B1 02 8B D7 8B C3 8B 18 FF 53 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62103_0 {
	meta:
		name = "TList.Error"
		size = 55
		refs = "0025 _DV_EListError 002a Exception.CreateFmt 002f @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F8 89 55 FC FF 75 04 8B 45 F8 89 45 F0 C6 45 F4 00 8D 45 F0 50 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_62104_0 {
	meta:
		name = "TList.Error"
		size = 116
		refs = "0016 TList.Error 003a LoadResString 0044 _DV_EListError 0049 Exception.CreateFmt 004e @RaiseExcept 0063 @UStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 89 4D F8 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 04 8B 45 F8 89 45 F0 C6 45 F4 00 8D 45 F0 50 6A 00 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70669_0 {
	meta:
		name = "TWideStrings.Error"
		size = 116
		refs = "0016 TWideStrings.Error 003a LoadResString 0044 _Dn_EStringListError 0049 Exception.CreateFmt 004e @RaiseExcept 0063 @UStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 89 4D F8 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 04 8B 45 F8 89 45 F0 C6 45 F4 00 8D 45 F0 50 6A 00 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62105_0 {
	meta:
		name = "TList.Exchange"
		size = 85
		refs = "0014 SListIndexError 001d TList.Error"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 0F 8B 15 ?? ?? ?? ?? 8B CE 8B 03 E8 ?? ?? ?? ?? 85 FF 7C 05 3B 7B 08 7C 0F 8B 15 ?? ?? ?? ?? 8B CF 8B 03 E8 ?? ?? ?? ?? 8B 43 04 8B 04 B0 8B 53 04 8B 14 BA 8B 4B 04 89 14 B1 8B 53 04 89 04 BA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62106_0 {
	meta:
		name = "TList.Expand"
		size = 21
	strings:
		$1 = { 53 8B D8 8B 43 08 3B 43 0C 75 06 8B C3 8B 10 FF 12 8B C3 5B C3 }
	condition:
		$1
}

rule function_62108_0 {
	meta:
		name = "TList.Get"
		size = 35
		refs = "000d SListIndexError 0016 TList.Error"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 72 0F 8B 15 ?? ?? ?? ?? 8B CE 8B 03 E8 ?? ?? ?? ?? 8B 43 04 8B 04 B0 5E 5B C3 }
	condition:
		$1
}

rule function_62110_0 {
	meta:
		name = "TList.Grow"
		size = 49
		refs = "002c TList.SetCapacity"
	strings:
		$1 = { 8B 50 0C 83 FA 40 7E 0E 8B CA 85 C9 79 03 83 C1 03 C1 F9 02 EB 11 83 FA 08 7E 07 B9 10 00 00 00 EB 05 B9 04 00 00 00 03 CA 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62111_0 {
	meta:
		name = "TList.IndexOf"
		size = 33
	strings:
		$1 = { 56 8B 48 04 8B 40 08 48 85 C0 7C 0E 40 33 F6 3B 11 74 0A 83 C1 04 46 48 75 F5 83 CE FF 8B C6 5E C3 }
	condition:
		$1
}

rule function_62112_0 {
	meta:
		name = "TList.IndexOfItem"
		size = 52
		refs = "0006 TList.IndexOf"
	strings:
		$1 = { 53 84 C9 75 07 E8 ?? ?? ?? ?? EB 26 8B 58 08 85 DB 7E 1C 8B 48 04 8D 4C 99 FC 4B 83 FB 00 7C 0F 89 D8 3B 11 74 0C 83 E9 04 48 83 F8 FF 75 F3 83 C8 FF 5B C3 }
	condition:
		$1
}

rule function_62113_0 {
	meta:
		name = "TList.Insert"
		size = 120
		refs = "0014 SListIndexError 001d TList.Error 004c Move 0063 _DV_TList"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 0F 8B 15 ?? ?? ?? ?? 8B CE 8B 03 E8 ?? ?? ?? ?? 8B 43 08 3B 43 0C 75 06 8B C3 8B 10 FF 12 8B 43 08 3B F0 7D 1A 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 89 3C B0 FF 43 08 85 FF 74 17 8B 13 89 D0 3B 05 ?? ?? ?? ?? 74 0B 33 C9 8B D7 8B C3 8B 18 FF 53 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62114_0 {
	meta:
		name = "TList.Last"
		size = 33
		refs = "0011 SListIndexError 001a TList.Error"
	strings:
		$1 = { 8B 50 08 85 D2 7E 08 8B 48 04 8B 44 91 FC C3 8B 15 ?? ?? ?? ?? 33 C9 8B 00 E8 ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule function_62115_0 {
	meta:
		name = "TList.Move"
		size = 88
		refs = "0019 SListIndexError 0022 TList.Error 002b TList.Get 003e TList.Delete 0049 TList.Insert"
	strings:
		$1 = { 53 56 57 55 8B F1 8B FA 8B D8 3B F7 74 45 85 F6 7C 05 3B 73 08 7C 0F 8B 15 ?? ?? ?? ?? 8B CE 8B 03 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B E8 8B 43 04 33 D2 89 14 B8 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 04 89 2C B0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62116_0 {
	meta:
		name = "TList.Put"
		size = 95
		refs = "0014 SListIndexError 001d TList.Error 0037 _DV_TList"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 0F 8B 15 ?? ?? ?? ?? 8B CE 8B 03 E8 ?? ?? ?? ?? 8B 43 04 8B 04 B0 3B F8 74 30 8B 53 04 89 3C B2 8B 0B 89 CA 3B 15 ?? ?? ?? ?? 74 1E 85 C0 74 0B B1 02 8B D0 8B C3 8B 30 FF 56 04 85 FF 74 0B 33 C9 8B D7 8B C3 8B 18 FF 53 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62119_0 {
	meta:
		name = "TList.Pack"
		size = 113
		refs = "0056 Move"
	strings:
		$1 = { 53 56 57 55 8B F0 83 7E 08 00 74 60 33 ED 33 DB EB 01 43 3B 5E 08 7D 09 8B 46 04 83 3C 98 00 74 F1 3B 5E 08 7D 3E 8B FB EB 01 47 3B 7E 08 7D 09 8B 46 04 83 3C B8 00 75 F1 4F 3B EB 7D 1C 8B 46 04 8D 14 A8 8B C7 2B C3 40 8B C8 03 C9 03 C9 8B 46 04 8D 04 98 E8 ?? ?? ?? ?? 8B C7 2B C3 40 03 E8 8D 5F 01 3B 5E 08 7C AA 89 6E 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62120_0 {
	meta:
		name = "TList.SetCapacity"
		size = 60
		refs = "000d SListCapacityError 0016 TList.Error 002a TPointerList 002f @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 0F 8B 15 ?? ?? ?? ?? 8B CE 8B 03 E8 ?? ?? ?? ?? 3B 73 0C 74 1A 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 89 73 0C 5E 5B C3 }
	condition:
		$1
}

rule function_62121_0 {
	meta:
		name = "TList.SetCount"
		size = 153
		refs = "0010 SListCountError 0019 TList.Error 002c TList.SetCapacity 004b @FillChar 0057 _DV_TList"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 85 F6 7D 0F 8B 15 ?? ?? ?? ?? 8B CE 8B 03 E8 ?? ?? ?? ?? 3B 73 08 74 71 3B 73 0C 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7E 1A 8B 53 04 8D 14 82 8B CE 2B C8 8B C1 03 C0 03 C0 33 C9 92 E8 ?? ?? ?? ?? EB 3F 8B 0B 89 CA 3B 15 ?? ?? ?? ?? 74 33 48 8B D6 2B D0 7F 2C 4A 89 54 24 04 89 04 24 FF 4B 08 8B 43 04 8B 14 24 8B 04 90 85 C0 74 0B B1 02 8B D0 8B C3 8B 38 FF 57 04 FF 0C 24 FF 44 24 04 75 DC 89 73 08 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62122_0 {
	meta:
		name = "QuickSort"
		size = 243
		refs = "0016 @DynArrayAddRef 001e @IntfAddRef 0026 QuickSort 00d1 TPointerList 00d6 @DynArrayClear 00de @IntfClear 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B 75 F4 8B 45 F8 03 45 F4 D1 E8 8B 55 FC 8B 04 82 89 45 F0 EB 01 43 8B 45 FC 8B 14 98 8B 4D F0 8B 45 08 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 FC 8B 14 B0 8B 4D F0 8B 45 08 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 1E 3B F3 74 18 8B 45 FC 8B 04 98 8B 55 FC 8B 14 B2 8B 4D FC 89 14 99 8B 55 FC 89 04 B2 43 4E 3B F3 7D AD 3B 75 F8 7E 11 8B 45 08 50 8B CE 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 5D F8 3B 5D F4 0F 8C 71 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_62123_0 {
	meta:
		name = "TList.Sort$267$ActRec.$0$Body"
		size = 12
	strings:
		$1 = { 53 8B D8 8B C2 8B D1 FF 53 0C 5B C3 }
	condition:
		$1
}

rule function_62124_0 {
	meta:
		name = "TList.Sort"
		size = 124
		refs = "0010 TList.Sort 001d _DV_TList.Sort$267$ActRec 0022 TObject.Create 0035 @IntfCopy 0055 QuickSort 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 7B 0C 8B 46 08 83 F8 01 7E 15 85 DB 74 03 83 EB F0 53 8B C8 49 33 D2 8B 46 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62125_0 {
	meta:
		name = "TList.SortList"
		size = 21
		refs = "0010 QuickSort"
	strings:
		$1 = { 8B 48 08 83 F9 01 7E 0C 52 49 8B 40 04 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62127_0 {
	meta:
		name = "TList.ExtractItem"
		size = 79
		refs = "0016 TList.IndexOfItem 002d TList.Delete 0037 _DV_TList"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B FA 8B D8 33 F6 0F B6 0C 24 8B D7 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 2A 8B F7 8B 53 04 33 C9 89 0C 82 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 13 89 D0 3B 05 ?? ?? ?? ?? 74 0B B1 01 8B D6 8B C3 8B 18 FF 53 04 8B C6 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62129_0 {
	meta:
		name = "TList.Assign"
		size = 713
		refs = "0023 TList.Assign 0064 TList.SetCapacity 007f TList.Get 0088 TList.Add 00b2 TList.IndexOf 00be TList.Delete 0114 _DV_TList 0119 TObject.Create 01f4 TObject.Free 01fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 89 55 FC 8B F0 8B 45 08 85 C0 74 12 8B F8 6A 00 33 C9 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 03 8B 7D FC 0F B6 C3 83 F8 05 0F 87 88 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 8B 10 FF 52 08 8B 57 0C 8B C6 E8 ?? ?? ?? ?? 8B 47 08 48 85 C0 0F 8C 4C 02 00 00 40 89 45 F4 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 43 FF 4D F4 75 E8 E9 29 02 00 00 8B 5E 08 4B 83 FB 00 0F 8C 1C 02 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 40 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DC E9 F3 01 00 00 8B 47 08 48 85 C0 0F 8C E7 01 00 00 40 89 45 F4 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 40 75 12 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 43 FF 4D F4 75 D3 E9 AF 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 57 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 47 08 48 85 C0 7C 34 40 89 45 F4 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 40 75 13 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 43 FF 4D F4 75 D2 8B 5E 08 4B 83 FB 00 7C 24 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 40 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DC 8B 5E 08 8B 45 F8 03 58 08 3B 5E 0C 7E 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 48 85 C0 7C 1F 40 89 45 F4 33 DB 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 43 FF 4D F4 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 5E 08 4B 83 FB 00 0F 8C B3 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 40 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DC E9 8A 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 57 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 5F 08 4B 83 FB 00 7C 2E 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 40 75 13 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 4B 83 FB FF 75 D2 6A 00 33 C9 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_62130_0 {
	meta:
		name = "TThreadList.Create"
		size = 87
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TObject 002d _DV_TList 0044 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 C6 46 0C 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_62131_0 {
	meta:
		name = "TThreadList.Destroy"
		size = 123
		refs = "0007 @BeforeDestruction 0015 TThreadList.LockList 001d TThreadList.Destroy 002e TObject.Free 003d TObject.Destroy 0052 TThreadList.UnlockList 0063 @HandleFinally 0073 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_62132_0 {
	meta:
		name = "TThreadList.Add"
		size = 135
		refs = "000e TThreadList.LockList 0016 TThreadList.Add 0032 TList.IndexOf 0042 TList.Add 0053 SDuplicateItem 0062 TList.Error 0077 TThreadList.UnlockList 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 0C 01 74 10 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 40 75 0F 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? EB 1E 8B 45 FC 80 78 0C 02 75 15 8B 15 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 00 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_62133_0 {
	meta:
		name = "TThreadList.Clear"
		size = 72
		refs = "000b TThreadList.LockList 0013 TThreadList.Clear 0039 TThreadList.UnlockList 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B 10 FF 52 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_62134_0 {
	meta:
		name = "TThreadList.LockList"
		size = 33
		refs = "0008 TMonitor.CheckMonitorSupport 000f TMonitor.GetMonitor 0017 TMonitor.Enter"
	strings:
		$1 = { 53 56 8B D8 8B 73 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 8B 43 04 5E 5B C3 }
	condition:
		$1
}

rule function_62136_0 {
	meta:
		name = "TThreadList.RemoveItem"
		size = 84
		refs = "0011 TThreadList.LockList 0019 TThreadList.RemoveItem 002e TList.RemoveItem 0043 TThreadList.UnlockList 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 45 FC 8B 40 04 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62139_0 {
	meta:
		name = "TInterfaceListEnumerator.GetCurrent"
		size = 22
		refs = "000f TInterfaceList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62142_0 {
	meta:
		name = "TInterfaceList.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TInterfaceList.Clear 001e TObject.Free 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62143_0 {
	meta:
		name = "TInterfaceList.Clear"
		size = 115
		refs = "0015 TThreadList.LockList 001f TInterfaceList.Clear 003b @IntfClear 0061 TMonitor.Exit 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 40 0C 85 C0 74 59 E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 4B 85 DB 7C 12 43 33 F6 8B 47 04 8D 04 B0 E8 ?? ?? ?? ?? 46 4B 75 F1 8B C7 8B 10 FF 52 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62144_0 {
	meta:
		name = "TInterfaceList.Delete"
		size = 99
		refs = "0012 TThreadList.LockList 001c TInterfaceList.Delete 002e TInterfaceList.Put 0037 TList.Delete 0052 TMonitor.Exit 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62145_0 {
	meta:
		name = "TInterfaceList.Expand"
		size = 87
		refs = "0010 TThreadList.LockList 0018 TInterfaceList.Expand 0023 TList.Expand 0044 TMonitor.Exit 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_62147_0 {
	meta:
		name = "TInterfaceList.Get"
		size = 119
		refs = "0015 TThreadList.LockList 001f TInterfaceList.Get 0034 SListIndexError 003d TList.Error 004a @IntfCopy 0065 TMonitor.Exit 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B DA 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 05 3B 5E 08 7C 0F 8B 15 ?? ?? ?? ?? 8B 06 8B CB E8 ?? ?? ?? ?? 8B C7 8B 56 04 8B 14 9A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62148_0 {
	meta:
		name = "TInterfaceList.GetCapacity"
		size = 82
		refs = "0010 TThreadList.LockList 0018 TInterfaceList.GetCapacity 003f TMonitor.Exit 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 0C 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_62149_0 {
	meta:
		name = "TInterfaceList.GetCount"
		size = 82
		refs = "0010 TThreadList.LockList 0018 TInterfaceList.GetCount 003f TMonitor.Exit 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 08 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_62152_0 {
	meta:
		name = "TInterfaceList.IndexOfItem"
		size = 96
		refs = "0016 TThreadList.LockList 001e TInterfaceList.IndexOfItem 002d TList.IndexOfItem 004b TMonitor.Exit 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D9 8B F2 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CB 8B D6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62153_0 {
	meta:
		name = "TInterfaceList.Add"
		size = 112
		refs = "0014 TThreadList.LockList 001e TInterfaceList.Add 002d TList.Add 0040 @IntfCopy 005b TMonitor.Exit 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B 43 04 8B 55 F8 8D 04 90 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62154_0 {
	meta:
		name = "TInterfaceList.Insert"
		size = 106
		refs = "0015 TThreadList.LockList 001f TInterfaceList.Insert 0030 TList.Insert 003d @IntfCopy 0058 TMonitor.Exit 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62155_0 {
	meta:
		name = "TInterfaceList.Last"
		size = 92
		refs = "0012 TThreadList.LockList 001c TInterfaceList.Last 0030 TInterfaceList.Get 004b TMonitor.Exit 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 53 08 4A 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62156_0 {
	meta:
		name = "TInterfaceList.Put"
		size = 119
		refs = "0015 TThreadList.LockList 001f TInterfaceList.Put 0034 SListIndexError 003d TList.Error 004a @IntfCopy 0065 TMonitor.Exit 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B DA 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 05 3B 5E 08 7C 0F 8B 15 ?? ?? ?? ?? 8B 06 8B CB E8 ?? ?? ?? ?? 8B 46 04 8D 04 98 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62158_0 {
	meta:
		name = "TInterfaceList.RemoveItem"
		size = 132
		refs = "0017 TThreadList.LockList 0021 TInterfaceList.RemoveItem 0032 TList.IndexOfItem 0049 @IntfClear 0053 TList.Delete 006e TMonitor.Exit 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 8B F2 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 FF 7E 18 8B 47 04 8B 55 F8 8D 04 90 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62159_0 {
	meta:
		name = "TInterfaceList.SetCapacity"
		size = 81
		refs = "0011 TThreadList.LockList 0019 TInterfaceList.SetCapacity 0026 TList.SetCapacity 0041 TMonitor.Exit 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_62160_0 {
	meta:
		name = "TInterfaceList.SetCount"
		size = 81
		refs = "0011 TThreadList.LockList 0019 TInterfaceList.SetCount 0026 TList.SetCount 0041 TMonitor.Exit 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_62161_0 {
	meta:
		name = "TInterfaceList.Exchange"
		size = 87
		refs = "0014 TThreadList.LockList 001c TInterfaceList.Exchange 002b TList.Exchange 0046 TMonitor.Exit 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CE 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62163_0 {
	meta:
		name = "TInterfaceList.Unlock"
		size = 12
		refs = "0007 TMonitor.Exit"
	strings:
		$1 = { 8B 40 0C 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62165_0 {
	meta:
		name = "TBits.Error"
		size = 24
		refs = "0002 SBitsIndexError 0009 _DV_EBitsError 000e Exception.CreateRes 0013 @RaiseExcept"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69427_0 {
	meta:
		name = "ALV"
		size = 24
		refs = "0002 SNL 0009 _DV_Exception 000e Exception.CreateRes 0013 @RaiseExcept"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69304_0 {
	meta:
		name = "AbstractErrorHandler"
		size = 24
		refs = "0002 SAbstractError 0009 _DV_EAbstractError 000e Exception.CreateRes 0013 @RaiseExcept"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70915_0 {
	meta:
		name = "RaiseException"
		size = 24
		refs = "0002 SVarNotObject 0009 _DV_EOleError 000e Exception.CreateRes 0013 @RaiseExcept"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69929_0 {
	meta:
		name = "RangeError"
		size = 24
		refs = "0002 SRangeError 0009 _Dn_ERangeError 000e Exception.CreateRes 0013 @RaiseExcept"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68745_0 {
	meta:
		name = "TConditionVariableCS.Acquire"
		size = 24
		refs = "0002 sCannotCallAcquireOnConditionVar 0009 _DV_ESyncObjectException 000e Exception.CreateRes 0013 @RaiseExcept"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62403_0 {
	meta:
		name = "TResourceStream.Write"
		size = 24
		refs = "0002 SCantWriteResourceStreamError 0009 _DV_EStreamError 000e Exception.CreateRes 0013 @RaiseExcept"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62166_0 {
	meta:
		name = "Min"
		size = 11
	strings:
		$1 = { 8B C8 3B D0 7D 02 8B CA 8B C1 C3 }
	condition:
		$1
}

rule function_62167_0 {
	meta:
		name = "TBits.SetSize"
		size = 164
		refs = "0019 TBits.Error 0058 @GetMem 0067 @FillChar 007a Min 0087 Move 0091 @FreeMem"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B D8 3B 73 04 0F 84 8C 00 00 00 85 F6 7D 07 8B C3 E8 ?? ?? ?? ?? 8D 46 20 48 85 C0 79 03 83 C0 1F C1 F8 05 8B F8 03 FF 03 FF 8B 43 04 83 C0 20 48 85 C0 79 03 83 C0 1F C1 F8 05 8B E8 03 ED 03 ED 3B EF 74 4F 33 C0 89 04 24 85 FF 74 16 8B C7 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 33 C9 8B D7 E8 ?? ?? ?? ?? 85 ED 74 26 83 3C 24 00 74 16 8B D7 8B C5 E8 ?? ?? ?? ?? 8B C8 8B 14 24 8B 43 08 E8 ?? ?? ?? ?? 8B D5 8B 43 08 E8 ?? ?? ?? ?? 8B 04 24 89 43 08 89 73 04 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62168_0 {
	meta:
		name = "TBits.SetBit"
		size = 44
		refs = "0019 TBits.Error 0022 TBits.SetSize"
	strings:
		$1 = { 3B 50 04 73 0F 8B 40 08 08 C9 74 04 0F AB 10 C3 0F B3 10 C3 83 FA 00 0F 8C ?? ?? ?? ?? 50 52 51 42 E8 ?? ?? ?? ?? 59 5A 58 EB DA C3 }
	condition:
		$1
}

rule function_62169_0 {
	meta:
		name = "TBits.GetBit"
		size = 21
		refs = "0005 TBits.Error"
	strings:
		$1 = { 3B 50 04 0F 83 ?? ?? ?? ?? 8B 40 08 0F A3 10 19 C0 83 E0 01 C3 }
	condition:
		$1
}

rule function_62170_0 {
	meta:
		name = "TBits.OpenBit"
		size = 120
		refs = "0027 TBits.OpenBit"
	strings:
		$1 = { 53 56 57 51 8B D8 8B 43 04 83 C0 20 48 85 C0 79 03 83 C0 1F C1 F8 05 48 85 C0 7C 4D 40 89 04 24 33 F6 8B 43 08 8B 15 ?? ?? ?? ?? 3B 14 B0 74 33 8B 43 08 8B 3C B0 33 C0 8B D0 80 FA 1F 77 06 83 E2 7F 0F A3 D7 72 17 8B D6 C1 E2 05 83 E0 7F 03 D0 8B C2 8B 53 04 3B C2 7C 12 8B C2 EB 0E 40 3C 20 75 D5 46 FF 0C 24 75 B9 8B 43 04 5A 5F 5E 5B C3 00 00 00 FF FF FF FF }
	condition:
		$1
}

rule function_62172_0 {
	meta:
		name = "TPersistent.Assign"
		size = 18
		refs = "000d TPersistent.AssignError"
	strings:
		$1 = { 85 D2 74 06 92 8B 08 FF 11 C3 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62173_0 {
	meta:
		name = "TPersistent.AssignError"
		size = 188
		refs = "0018 TPersistent.AssignError 002c TObject.ClassName 003b @UStrLAsg 0065 SAssignError 006c _Dn_EConvertError 0071 Exception.CreateResFmt 0076 @RaiseExcept 008b @UStrClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 0C 8D 55 FC 8B 06 E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 E8 8B 03 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 C6 45 F8 11 8D 45 EC 50 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6E 00 69 00 6C 00 00 00 }
	condition:
		$1
}

rule function_62176_0 {
	meta:
		name = "TPersistent.GetNamePath"
		size = 152
		refs = "0010 TPersistent.GetNamePath 001f TObject.ClassName 002a @CallDynaInst 0061 @UStrCatN 0076 @UStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 03 E8 ?? ?? ?? ?? 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 85 C0 74 33 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 8D 55 FC 66 BE FE FF E8 ?? ?? ?? ?? 83 7D FC 00 74 16 FF 75 FC 68 ?? ?? ?? ?? FF 37 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_62178_0 {
	meta:
		name = "TInterfacedPersistent.AfterConstruction"
		size = 80
		refs = "0007 TObject.AfterConstruction 0012 @CallDynaInst 002a @IntfClear 0031 TInterfacedPersistent.AfterConstruction 0037 TObject.GetInterface"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 85 C0 74 21 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 50 8D 43 04 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_62179_0 {
	meta:
		name = "TInterfacedPersistent._AddRef"
		size = 30
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 04 00 74 0B 8B 40 04 50 8B 00 FF 50 04 EB 03 83 C8 FF 5D C2 04 00 }
	condition:
		$1
}

rule function_62180_0 {
	meta:
		name = "TInterfacedPersistent._Release"
		size = 30
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 04 00 74 0B 8B 40 04 50 8B 00 FF 50 08 EB 03 83 C8 FF 5D C2 04 00 }
	condition:
		$1
}

rule function_62182_0 {
	meta:
		name = "GetDesigner"
		size = 160
		refs = "001b @IntfClear 002a @CallDynaInst 0038 _DV_TComponent 003d @IsClass 0055 GetDesigner"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F8 8B 45 FC 85 C0 74 04 33 D2 89 10 8B 45 FC E8 ?? ?? ?? ?? 85 FF 74 66 8B C7 66 BE FF FF E8 ?? ?? ?? ?? 8B D8 85 DB 75 2D 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 44 F6 47 1C 10 74 3E 8B 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 57 8B 07 FF 50 34 EB 28 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 F6 47 1C 10 74 11 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 00 07 E8 71 B9 A6 E3 D1 11 AA B1 00 C0 4F B1 6F BC }
	condition:
		$1
}

rule function_62184_0 {
	meta:
		name = "CountGenerations"
		size = 46
		refs = "001a TObject.ClassParent"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 33 F6 3B DF 74 17 85 DB 75 05 83 CD FF EB 10 8B C3 E8 ?? ?? ?? ?? 8B D8 46 3B DF 75 E9 8B EE 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62185_0 {
	meta:
		name = "NotifyDesigner"
		size = 98
		refs = "0012 NotifyDesigner 0020 @IntfClear 0029 GetDesigner 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 0C 8B CB 8B D6 8B 45 FC 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62186_0 {
	meta:
		name = "TRecall.Create"
		size = 79
		refs = "000e @ClassCreate 001d TObject.Create 002d TRecall.Store 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 8B 45 08 89 47 08 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62187_0 {
	meta:
		name = "TRecall.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001d TRecall.Forget 0028 TObject.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 85 C0 74 08 8B 56 04 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62188_0 {
	meta:
		name = "TRecall.Forget"
		size = 22
		refs = "0011 TObject.Free"
	strings:
		$1 = { 33 D2 89 50 08 83 C0 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62189_0 {
	meta:
		name = "TRecall.Store"
		size = 18
	strings:
		$1 = { 8B 50 08 85 D2 74 0A 8B 48 04 8B C1 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_62190_0 {
	meta:
		name = "TCollectionItem.Create"
		size = 53
		refs = "000a @ClassCreate 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D1 8B C6 8B 08 FF 51 10 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_62191_0 {
	meta:
		name = "TCollectionItem.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 001b TPersistent.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 8B 08 FF 51 10 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62192_0 {
	meta:
		name = "TCollectionItem.Changed"
		size = 33
	strings:
		$1 = { 56 8B 70 04 85 F6 74 17 83 7E 0C 00 75 11 84 D2 74 04 33 D2 EB 02 8B D0 8B C6 8B 08 FF 51 1C 5E C3 }
	condition:
		$1
}

rule function_62193_0 {
	meta:
		name = "TCollectionItem.GetIndex"
		size = 21
		refs = "000c TList.IndexOf"
	strings:
		$1 = { 8B 50 04 85 D2 74 0A 8B 52 08 92 E8 ?? ?? ?? ?? C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_62195_0 {
	meta:
		name = "TCollectionItem.GetNamePath"
		size = 172
		refs = "0016 TCollectionItem.GetNamePath 0032 @CallDynaInst 0043 TCollectionItem.GetIndex 005c Format 0067 TObject.ClassName 007c @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 04 00 74 3C 57 8D 55 EC 8B 43 04 66 BE FE FF E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8B C3 E8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 00 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 09 8B D7 8B 03 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 5B 00 25 00 64 00 5D 00 00 00 00 00 }
	condition:
		$1
}

rule function_62197_0 {
	meta:
		name = "TCollectionItem.SetCollection"
		size = 40
		refs = "0014 TCollection.RemoveItem 0021 TCollection.InsertItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 3B F0 74 18 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62199_0 {
	meta:
		name = "TCollectionItem.SetIndex"
		size = 47
		refs = "0009 TCollectionItem.GetIndex 001f TList.Move 0028 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 1B 3B F0 74 17 8B 53 04 8B 52 08 8B CE 92 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62203_0 {
	meta:
		name = "TCollection.Create"
		size = 73
		refs = "000a @ClassCreate 0018 _DV_TList 001d TObject.Create 002b NotifyDesigner 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 33 C9 8B D6 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_62204_0 {
	meta:
		name = "TCollection.Destroy"
		size = 75
		refs = "0003 @BeforeDestruction 001b TCollection.Clear 0026 NotifyDesigner 002e TObject.Free 0039 TPersistent.Destroy 0044 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 C7 46 0C 01 00 00 00 83 7E 08 00 74 07 8B C6 E8 ?? ?? ?? ?? B1 01 8B D6 8B C6 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62205_0 {
	meta:
		name = "TCollection.Add"
		size = 32
	strings:
		$1 = { 53 51 8B D8 8B CB B2 01 8B 43 04 FF 50 1C 89 04 24 8B D4 8B C3 8B 08 FF 51 0C 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_62206_0 {
	meta:
		name = "TCollection.Assign"
		size = 166
		refs = "0010 _DV_TCollection 0015 @IsClass 0029 TCollection.Assign 003d TObject.Free 0062 TList.Get 006b TCollection.Add 0090 @HandleFinally 009c TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 89 45 FC 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 79 8B 45 FC 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 0C 8B 43 04 8B 44 B8 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 58 08 8B 7B 08 85 FF 7F E7 8B 46 08 8B 58 08 4B 85 DB 7C 20 43 33 FF 8B 46 08 8B D7 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 47 4B 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62207_0 {
	meta:
		name = "TCollection.BeginUpdate"
		size = 4
	strings:
		$1 = { FF 40 0C C3 }
	condition:
		$1
}

rule function_62208_0 {
	meta:
		name = "TCollection.Changed"
		size = 14
	strings:
		$1 = { 83 78 0C 00 75 07 33 D2 8B 08 FF 51 1C C3 }
	condition:
		$1
}

rule function_62209_0 {
	meta:
		name = "TCollection.Clear"
		size = 104
		refs = "0021 TCollection.Clear 0035 TObject.Free 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 40 08 83 78 08 00 7E 4E 8B 45 FC 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 0C 8B 43 04 8B 44 B0 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 58 08 8B 73 08 85 F6 7F E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62210_0 {
	meta:
		name = "TCollection.EndUpdate"
		size = 9
		refs = "0004 TCollection.Changed"
	strings:
		$1 = { FF 48 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62211_0 {
	meta:
		name = "TCollection.FindItemID"
		size = 48
		refs = "001c TList.Get"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 08 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 08 8B D6 E8 ?? ?? ?? ?? 3B 68 08 74 06 46 4B 75 ED 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62215_0 {
	meta:
		name = "TCollection.GetCapacity"
		size = 7
	strings:
		$1 = { 8B 40 08 8B 40 0C C3 }
	condition:
		$1
}

rule function_62216_0 {
	meta:
		name = "TCollection.GetItemAttr"
		size = 32
		refs = "000e TCollection.GetItem"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B 08 FF 51 0C 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62219_0 {
	meta:
		name = "TCollection.GetNamePath"
		size = 180
		refs = "0012 TCollection.GetNamePath 0021 TObject.ClassName 002c @CallDynaInst 0057 TCollection.GetPropName 0074 @UStrCatN 008e @UStrArrayClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 03 E8 ?? ?? ?? ?? 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 85 C0 74 44 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 8D 55 FC 66 BE FE FF E8 ?? ?? ?? ?? 83 7D FC 00 74 27 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 17 FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_62220_0 {
	meta:
		name = "TCollection.GetPropName"
		size = 337
		refs = "0018 TCollection.GetPropName 002c @UStrAsg 0038 @CallDynaInst 0069 GetTypeData 008b @GetMem 00ab GetPropInfos 00d9 GetOrdProp 00ec GetPropName 0113 @FreeMem 0119 @HandleFinally 013e @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 FC 8B 52 14 E8 ?? ?? ?? ?? 8B 45 FC 66 BE FF FF E8 ?? ?? ?? ?? 8B F8 8B 45 F8 83 38 00 75 04 85 FF 75 04 B0 01 EB 0B 8B 07 83 C0 B8 83 38 00 0F 94 C0 84 C0 0F 85 CC 00 00 00 8B 07 83 C0 B8 8B 00 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 B6 00 00 00 66 83 7B 08 00 0F 84 AB 00 00 00 0F BF 43 08 03 C0 03 C0 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 83 C0 B8 8B 00 8B 55 F4 E8 ?? ?? ?? ?? 0F BF 73 08 4E 85 F6 7C 4A 46 33 DB 8B 45 F4 8B 04 98 89 45 F0 8B 45 F0 8B 00 8B 00 80 38 07 75 2E 8B 45 F4 8B 14 98 8B C7 E8 ?? ?? ?? ?? 3B 45 FC 75 1C 8B 45 F4 8B 04 98 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 83 C0 14 E8 ?? ?? ?? ?? 43 4E 75 B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 8B 52 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62221_0 {
	meta:
		name = "TCollection.Insert"
		size = 25
		refs = "0005 TCollection.Add"
	strings:
		$1 = { 53 56 8B F2 E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 51 14 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_62222_0 {
	meta:
		name = "TCollection.InsertItem"
		size = 103
		refs = "000d @IsClass 0017 SInvalidProperty 001e _DV_TList 0023 TList.Error 002d TList.Add 0054 TCollection.Changed 005f NotifyDesigner"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 53 04 E8 ?? ?? ?? ?? 84 C0 75 12 8B 15 ?? ?? ?? ?? 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 08 E8 ?? ?? ?? ?? 89 5E 04 8B 43 10 89 46 08 FF 43 10 8B D6 8B C3 8B 08 FF 51 18 33 C9 8B D6 8B C3 8B 38 FF 57 14 8B C3 E8 ?? ?? ?? ?? 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62223_0 {
	meta:
		name = "TCollection.RemoveItem"
		size = 83
		refs = "0016 TList.Last 0026 TList.Delete 0034 TList.RemoveItem 0044 NotifyDesigner 004b TCollection.Changed"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 B1 01 8B D6 8B C3 8B 38 FF 57 14 8B 43 08 E8 ?? ?? ?? ?? 3B F0 75 0E 8B 43 08 8B 50 08 4A E8 ?? ?? ?? ?? EB 0C 8B 43 08 8B D6 33 C9 E8 ?? ?? ?? ?? 33 C0 89 46 04 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62224_0 {
	meta:
		name = "TCollection.SetCapacity"
		size = 16
		refs = "000b TList.SetCapacity"
	strings:
		$1 = { 8B 48 08 3B 51 0C 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62225_0 {
	meta:
		name = "TCollection.SetItem"
		size = 30
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62228_0 {
	meta:
		name = "TCollection.Delete"
		size = 47
		refs = "000d TList.Get 0027 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B D0 B1 02 8B C3 8B 38 FF 57 14 8B D6 8B 43 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62229_0 {
	meta:
		name = "GetUltimateOwner"
		size = 12
		refs = "0006 @CallDynaInst"
		altNames = "TCollection.Owner"
	strings:
		$1 = { 56 66 BE FF FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_62232_0 {
	meta:
		name = "TCollection.Notify"
		size = 34
	strings:
		$1 = { 51 89 14 24 80 E9 01 72 06 FE C9 74 0B EB 11 8B D4 8B 08 FF 51 0C 5A C3 8B 14 24 8B 08 FF 51 10 5A C3 }
	condition:
		$1
}

rule function_62233_0 {
	meta:
		name = "TOwnedCollection.Create"
		size = 65
		refs = "000d @ClassCreate 0020 TCollection.Create 002b @AfterConstruction"
		altNames = "TWebUserItems.Create"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 18 8B 4D 08 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62235_0 {
	meta:
		name = "GetUltimateOwner"
		size = 21
		refs = "0006 @CallDynaInst 000f GetUltimateOwner"
	strings:
		$1 = { 56 66 BE FF FF E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_62239_0 {
	meta:
		name = "TStringsEnumerator.GetCurrent"
		size = 22
		altNames = "TWideStringsEnumerator.GetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 04 8B 43 08 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_62240_0 {
	meta:
		name = "TStringsEnumerator.MoveNext"
		size = 27
		altNames = "TWideStringsEnumerator.MoveNext"
	strings:
		$1 = { 53 8B D8 8B 43 08 8B 10 FF 52 14 48 3B 43 04 0F 9F C0 84 C0 74 03 FF 43 04 5B C3 }
	condition:
		$1
}

rule function_62241_0 {
	meta:
		name = "TStrings.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TObject.Create 001c TEncoding.GetANSI 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 33 C0 89 46 04 C6 46 28 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_62242_0 {
	meta:
		name = "TStrings.Destroy"
		size = 109
		refs = "0004 @BeforeDestruction 0016 TEncoding.IsStandardEncoding 002a TObject.Free 004f TStrings.SetStringsAdapter 005a TPersistent.Destroy 0065 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 77 04 85 F6 74 1B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 10 8D 47 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 47 0C E8 ?? ?? ?? ?? 84 C0 75 10 8D 47 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62243_0 {
	meta:
		name = "TStrings.Add"
		size = 33
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 8B 10 FF 52 14 8B F0 8B CF 8B D6 8B C3 8B 18 FF 53 60 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62244_0 {
	meta:
		name = "TStrings.AddObject"
		size = 33
		altNames = "TWideStrings.AddObject"
	strings:
		$1 = { 53 56 57 8B F9 8B F0 8B C6 8B 08 FF 51 38 8B D8 8B CF 8B D3 8B C6 8B 30 FF 56 24 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62245_0 {
	meta:
		name = "TStrings.Append"
		size = 12
		altNames = "TWideStrings.Append"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 38 5E C3 }
	condition:
		$1
}

rule function_62246_0 {
	meta:
		name = "TStrings.AddStrings"
		size = 181
		refs = "0018 TStrings.AddStrings 0026 TStrings.BeginUpdate 0085 TStrings.EndUpdate 008b @HandleFinally 00a2 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2D 46 33 DB 8D 4D F4 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 45 F4 50 8B D3 8B 45 F8 8B 08 FF 51 18 8B C8 8B 45 FC 5A 8B 38 FF 57 3C 43 4E 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70658_0 {
	meta:
		name = "TWideStrings.AddStrings"
		size = 181
		refs = "0018 TWideStrings.AddStrings 0026 TWideStrings.BeginUpdate 0085 TWideStrings.EndUpdate 008b @HandleFinally 00a2 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2D 46 33 DB 8D 4D F4 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 45 F4 50 8B D3 8B 45 F8 8B 08 FF 51 18 8B C8 8B 45 FC 5A 8B 38 FF 57 3C 43 4E 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62247_0 {
	meta:
		name = "TStrings.AddStrings"
		size = 100
		refs = "0010 TStrings.BeginUpdate 0018 TStrings.AddStrings 0025 @DynArrayHigh 0052 TStrings.EndUpdate 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 12 43 33 F6 8B 14 B7 8B 45 FC 8B 08 FF 51 38 46 4B 75 F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62248_0 {
	meta:
		name = "TStrings.AddStrings"
		size = 162
		refs = "0016 @DynArrayLength 002a sInvalidStringAndObjectArrays 0031 _Dn_EArgumentOutOfRangeException 0036 Exception.CreateRes 003b @RaiseExcept 0043 TStrings.BeginUpdate 004b TStrings.AddStrings 0059 @DynArrayHigh 008f TStrings.EndUpdate 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 E8 ?? ?? ?? ?? 3B D8 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 1B 46 33 DB 8B 45 F4 8B 0C 98 8B 45 F8 8B 14 98 8B 45 FC 8B 38 FF 57 3C 43 4E 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62249_0 {
	meta:
		name = "TStrings.Assign"
		size = 217
		refs = "000f _DV_TStrings 0014 @IsClass 0024 TStrings.BeginUpdate 002c TStrings.Assign 0047 TStrings.SetDefaultEncoding 005c TStrings.SetEncoding 008b @UStrAsg 00be TStrings.EndUpdate 00c4 @HandleFinally 00d0 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 56 57 8B F2 89 45 FC 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 AA 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 8B FE 8B 57 0C 8B 45 FC E8 ?? ?? ?? ?? 0F B6 47 08 8B 55 FC 88 42 08 8B 57 04 8B 45 FC E8 ?? ?? ?? ?? 0F B7 47 1A 8B 55 FC 66 89 42 1A 0F B7 47 18 8B 55 FC 66 89 42 18 0F B7 47 10 8B 55 FC 66 89 42 10 8B 45 FC 83 C0 14 8B 57 14 E8 ?? ?? ?? ?? 0F B6 47 1C 8B 55 FC 88 42 1C 0F B6 47 28 8B 55 FC 88 42 28 8B D7 8B 45 FC 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 59 5D C3 }
	condition:
		$1
}

rule function_62250_0 {
	meta:
		name = "TStrings.BeginUpdate"
		size = 23
	strings:
		$1 = { 53 8B D8 83 7B 20 00 75 09 B2 01 8B C3 8B 08 FF 51 30 FF 43 20 5B C3 }
	condition:
		$1
}

rule function_62251_0 {
	meta:
		name = "DoWrite"
		size = 79
		refs = "0018 _DV_TStrings 001d @IsClass 002e TStrings.Equals"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 8B 70 20 85 F6 74 27 B3 01 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B D6 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D8 80 F3 01 EB 10 8B 45 08 8B 40 F8 8B 10 FF 52 14 85 C0 0F 9F C3 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_70664_0 {
	meta:
		name = "DoWrite"
		size = 79
		refs = "0018 _DV_TWideStrings 001d @IsClass 002e TWideStrings.Equals"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 8B 70 20 85 F6 74 27 B3 01 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B D6 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D8 80 F3 01 EB 10 8B 45 08 8B 40 F8 8B 10 FF 52 14 85 C0 0F 9F C3 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_97776_0 {
	meta:
		name = "DoWrite"
		size = 79
		refs = "0018 _DV_TAbstractNamedVariants 001d @IsClass 002e TAbstractNamedVariants.Equals"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 8B 70 20 85 F6 74 27 B3 01 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B D6 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D8 80 F3 01 EB 10 8B 45 08 8B 40 F8 8B 10 FF 52 14 85 C0 0F 9F C3 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_62252_0 {
	meta:
		name = "TStrings.DefineProperties"
		size = 88
		refs = "0012 TStrings.ReadData 001b TStrings.WriteData 0021 DoWrite 0029 TStrings.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 74 00 72 00 69 00 6E 00 67 00 73 00 00 00 }
	condition:
		$1
}

rule function_70665_0 {
	meta:
		name = "TWideStrings.DefineProperties"
		size = 88
		refs = "0012 TWideStrings.ReadData 001b TWideStrings.WriteData 0021 DoWrite 0029 TWideStrings.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 74 00 72 00 69 00 6E 00 67 00 73 00 00 00 }
	condition:
		$1
}

rule function_62253_0 {
	meta:
		name = "TStrings.EndUpdate"
		size = 17
	strings:
		$1 = { FF 48 20 83 78 20 00 75 07 33 D2 8B 08 FF 51 30 C3 }
	condition:
		$1
}

rule function_62254_0 {
	meta:
		name = "TStrings.Equals"
		size = 167
		refs = "001b TStrings.Equals 006c @UStrEqual 0090 @UStrArrayClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F0 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 FC 8B 10 FF 52 14 8B D8 8B 45 F8 8B 10 FF 52 14 3B D8 75 3B 8B F3 4E 85 F6 7C 30 46 33 DB 8D 4D F0 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 45 F0 50 8D 4D EC 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 55 EC 58 E8 ?? ?? ?? ?? 75 08 43 4E 75 D3 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70667_0 {
	meta:
		name = "TWideStrings.Equals"
		size = 167
		refs = "001b TWideStrings.Equals 006c @WStrEqual 0090 @WStrArrayClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F0 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 FC 8B 10 FF 52 14 8B D8 8B 45 F8 8B 10 FF 52 14 3B D8 75 3B 8B F3 4E 85 F6 7C 30 46 33 DB 8D 4D F0 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 45 F0 50 8D 4D EC 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 55 EC 58 E8 ?? ?? ?? ?? 75 08 43 4E 75 D3 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62255_0 {
	meta:
		name = "TStrings.Error"
		size = 69
		refs = "0033 _DV_EStringListError 0038 Exception.CreateFmt 003d @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 4D F4 89 55 F8 89 45 FC 8D 45 F8 83 C0 04 83 C0 04 83 C0 04 FF 30 8B 45 F4 89 45 EC C6 45 F0 00 8D 45 EC 50 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_62256_0 {
	meta:
		name = "TStrings.Error"
		size = 130
		refs = "0019 TStrings.Error 0048 LoadResString 0052 _DV_EStringListError 0057 Exception.CreateFmt 005c @RaiseExcept 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 83 C0 04 83 C0 04 83 C0 04 FF 30 8B 45 F4 89 45 EC C6 45 F0 00 8D 45 EC 50 6A 00 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62257_0 {
	meta:
		name = "TStrings.Exchange"
		size = 233
		refs = "001c TStrings.Exchange 002a TStrings.BeginUpdate 00b1 TStrings.EndUpdate 00b7 @HandleFinally 00ce @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D FC 8B F1 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D3 8B 45 F8 8B 38 FF 57 0C 8B D3 8B 45 F8 8B 08 FF 51 18 89 45 F4 8D 4D F0 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 4D F0 8B D3 8B 45 F8 8B 38 FF 57 20 8B D6 8B 45 F8 8B 08 FF 51 18 8B C8 8B D3 8B 45 F8 8B 18 FF 53 24 8B 4D FC 8B D6 8B 45 F8 8B 18 FF 53 20 8B 4D F4 8B D6 8B 45 F8 8B 18 FF 53 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70670_0 {
	meta:
		name = "TWideStrings.Exchange"
		size = 233
		refs = "001c TWideStrings.Exchange 002a TWideStrings.BeginUpdate 00b1 TWideStrings.EndUpdate 00b7 @HandleFinally 00ce @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D FC 8B F1 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D3 8B 45 F8 8B 38 FF 57 0C 8B D3 8B 45 F8 8B 08 FF 51 18 89 45 F4 8D 4D F0 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 4D F0 8B D3 8B 45 F8 8B 38 FF 57 20 8B D6 8B 45 F8 8B 08 FF 51 18 8B C8 8B D3 8B 45 F8 8B 18 FF 53 24 8B 4D FC 8B D6 8B 45 F8 8B 18 FF 53 20 8B 4D F4 8B D6 8B 45 F8 8B 18 FF 53 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62258_0 {
	meta:
		name = "TStrings.ExtractName"
		size = 124
		refs = "0012 TStrings.ExtractName 0021 @UStrAsg 0028 TStrings.GetNameValueSeparator 0032 @UStrFromWChar 003c AnsiPos 004a @UStrSetLength 006a @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B D7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 13 E8 ?? ?? ?? ?? 85 C0 74 0C 8B D0 4A 8B C3 E8 ?? ?? ?? ?? EB 09 8B C3 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70671_0 {
	meta:
		name = "TWideStrings.ExtractName"
		size = 124
		refs = "0012 TWideStrings.ExtractName 0021 @WStrAsg 0028 TWideStrings.GetNameValueSeparator 0032 @WStrFromWChar 003c Pos 004a @WStrSetLength 006a @WStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B D7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 13 E8 ?? ?? ?? ?? 85 C0 74 0C 8B D0 4A 8B C3 E8 ?? ?? ?? ?? EB 09 8B C3 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62259_0 {
	meta:
		name = "TAbstractNamedVariants.GetCapacity"
		size = 6
		altNames = "TStrings.GetCapacity TWideStrings.GetCapacity"
	strings:
		$1 = { 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_62260_0 {
	meta:
		name = "TStrings.GetCommaText"
		size = 150
		refs = "0034 TStrings.SetDelimiter 0040 TStrings.SetQuoteChar 0048 TStrings.GetCommaText 0058 TStrings.GetDelimitedText 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B DA 89 45 FC 8B 45 FC 0F B6 40 08 88 45 FB 8B 45 FC 0F B7 40 10 66 89 45 F8 8B 45 FC 0F B7 40 18 66 89 45 F6 66 BA 2C 00 8B 45 FC E8 ?? ?? ?? ?? 66 BA 22 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B7 55 F8 66 89 50 10 8B 45 FC 0F B7 55 F6 66 89 50 18 8B 45 FC 0F B6 55 FB 88 50 08 C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62285_0 {
	meta:
		name = "TStrings.SetCommaText"
		size = 150
		refs = "0034 TStrings.SetDelimiter 0040 TStrings.SetQuoteChar 0048 TStrings.SetCommaText 0058 TStrings.SetDelimitedText 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B DA 89 45 FC 8B 45 FC 0F B6 40 08 88 45 FB 8B 45 FC 0F B7 40 10 66 89 45 F8 8B 45 FC 0F B7 40 18 66 89 45 F6 66 BA 2C 00 8B 45 FC E8 ?? ?? ?? ?? 66 BA 22 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B7 55 F8 66 89 50 10 8B 45 FC 0F B7 55 F6 66 89 50 18 8B 45 FC 0F B6 55 FB 88 50 08 C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62261_0 {
	meta:
		name = "TStrings.GetDelimitedText"
		size = 624
		refs = "002c TStrings.GetDelimitedText 0059 TStrings.GetQuoteChar 0063 @UStrFromWChar 0084 @UStrCat3 0091 @UStrClr 00b5 @SetElem 00bc TStrings.GetDelimiter 00d2 @SetUnion 00e8 TStrings.GetStrictDelimiter 0142 @UStrToPWChar 014d NextChar 017b AnsiQuotedStr 0186 @UStrLAsg 01b5 @UStrCatN 01e9 @UStrDelete 0206 @UStrArrayClr 0221 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 53 56 57 33 C9 89 8D 7C FF FF FF 89 4D 80 89 4D C8 89 4D C4 89 4D CC 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 14 8B D8 83 FB 01 75 49 8D 4D CC 33 D2 8B C6 8B 38 FF 57 0C 83 7D CC 00 75 37 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 45 C8 E8 ?? ?? ?? ?? 8B 45 C8 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 F8 59 E8 ?? ?? ?? ?? E9 60 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 56 BE ?? ?? ?? ?? 8D 7D A4 B9 08 00 00 00 F3 A5 5E 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 45 84 B1 20 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 58 0F B6 C0 0F AB 45 84 8D 55 84 8D 45 A4 B1 20 E8 ?? ?? ?? ?? 56 8D 75 A4 8D 7D D0 B9 08 00 00 00 F3 A5 5E 8B C6 E8 ?? ?? ?? ?? 84 C0 75 2D 56 8D 75 D0 8D 7D A4 B9 08 00 00 00 F3 A5 5E 8D 45 A4 BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 56 8D 75 A4 8D 7D D0 B9 08 00 00 00 F3 A5 5E 4B 85 DB 0F 8C 9F 00 00 00 43 89 5D F0 C7 45 F4 00 00 00 00 8D 4D FC 8B 55 F4 8B C6 8B 18 FF 53 0C 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 0F B7 03 66 3D FF 00 77 07 0F B7 C0 0F A3 45 D0 73 E5 66 83 3B 00 74 1F 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D 80 8B 45 FC E8 ?? ?? ?? ?? 8B 55 80 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 FF 30 FF 75 FC 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 85 7C FF FF FF E8 ?? ?? ?? ?? FF B5 7C FF FF FF 8B 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 F4 FF 4D F0 0F 85 6C FF FF FF 8B 45 F8 8B 00 89 85 78 FF FF FF 8B 85 78 FF FF FF 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 B9 01 00 00 00 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 FE FF FF FF 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_62263_0 {
	meta:
		name = "TStrings.GetName"
		size = 94
		refs = "0018 TStrings.GetName 0037 TStrings.ExtractName 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 30 FF 56 0C 8B 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70677_0 {
	meta:
		name = "TWideStrings.GetName"
		size = 94
		refs = "0018 TWideStrings.GetName 0037 TWideStrings.ExtractName 004c @WStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 30 FF 56 0C 8B 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62265_0 {
	meta:
		name = "TStrings.GetText"
		size = 82
		refs = "000c TStrings.GetText 0024 @UStrToPWChar 0029 StrNew 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 1C 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_70679_0 {
	meta:
		name = "TWideStrings.GetText"
		size = 82
		refs = "000c TWideStrings.GetText 0024 @WStrToPWChar 0029 WStrNew 0040 @WStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 1C 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_62266_0 {
	meta:
		name = "TStrings.GetTextStr"
		size = 322
		refs = "001d TStrings.GetTextStr 003e TStrings.GetLineBreak 0092 @UStrFromPWCharLen 00d9 Move 0123 @UStrClr 0130 @UStrArrayClr 0136 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D DC 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 14 89 45 E4 33 C0 89 45 E8 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 75 E4 4E 85 F6 7C 3F 46 C7 45 EC 00 00 00 00 8D 4D DC 8B 55 EC 8B 45 F4 8B 18 FF 53 0C 8B 45 DC 89 45 D8 8B 45 D8 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 85 D2 74 05 83 EA 04 8B 12 03 D0 01 55 E8 FF 45 EC 4E 75 C9 8B 45 F0 8B 4D E8 33 D2 E8 ?? ?? ?? ?? 8B 45 F0 8B 00 89 45 E0 8B 75 E4 4E 85 F6 7C 6C 46 C7 45 EC 00 00 00 00 8D 4D FC 8B 55 EC 8B 45 F4 8B 18 FF 53 0C 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 74 16 8B CB 03 C9 8B 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B C3 03 C0 01 45 E0 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 74 16 8B CB 03 C9 8B 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 03 C0 01 45 E0 FF 45 EC 4E 75 9C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62267_0 {
	meta:
		name = "TStrings.GetValue"
		size = 140
		refs = "0019 TStrings.GetValue 005b @UStrCopy 0065 @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F4 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 8B 08 FF 51 58 8B F0 85 F6 7C 2E 8D 4D FC 8B D6 8B C3 8B 18 FF 53 0C 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8B 45 F4 50 8D 53 02 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62268_0 {
	meta:
		name = "TStrings.IndexOf"
		size = 137
		refs = "0017 TStrings.IndexOf 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2C 46 C7 45 F8 00 00 00 00 8D 4D F4 8B 55 F8 8B C3 8B 38 FF 57 0C 8B 55 F4 8B 4D FC 8B C3 8B 38 FF 57 34 85 C0 74 0D FF 45 F8 4E 75 DC C7 45 F8 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70682_0 {
	meta:
		name = "TWideStrings.IndexOf"
		size = 137
		refs = "0017 TWideStrings.IndexOf 0073 @WStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2C 46 C7 45 F8 00 00 00 00 8D 4D F4 8B 55 F8 8B C3 8B 38 FF 57 0C 8B 55 F4 8B 4D FC 8B C3 8B 38 FF 57 34 85 C0 74 0D FF 45 F8 4E 75 DC C7 45 F8 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62269_0 {
	meta:
		name = "TStrings.IndexOfName"
		size = 211
		refs = "001c TStrings.IndexOfName 004d TStrings.GetNameValueSeparator 0057 @UStrFromWChar 0062 AnsiPos 007c @UStrCopy 00b6 @UStrArrayClr 00be @UStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D EC 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 14 48 85 C0 7C 67 40 89 45 F0 C7 45 F4 00 00 00 00 8D 4D FC 8B 55 F4 8B C3 8B 30 FF 56 0C 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B F0 85 F6 74 25 8D 45 E8 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 4D F8 8B C3 8B 30 FF 56 34 85 C0 74 0F FF 45 F4 FF 4D F0 75 A4 C7 45 F4 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70683_0 {
	meta:
		name = "TWideStrings.IndexOfName"
		size = 211
		refs = "001c TWideStrings.IndexOfName 004d TWideStrings.GetNameValueSeparator 0057 @WStrFromWChar 0062 Pos 007c @WStrCopy 00b6 @WStrArrayClr 00be @WStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D EC 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 14 48 85 C0 7C 67 40 89 45 F0 C7 45 F4 00 00 00 00 8D 4D FC 8B 55 F4 8B C3 8B 30 FF 56 0C 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B F0 85 F6 74 25 8D 45 E8 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 4D F8 8B C3 8B 30 FF 56 34 85 C0 74 0F FF 45 F4 FF 4D F0 75 A4 C7 45 F4 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62270_0 {
	meta:
		name = "TStrings.IndexOfObject"
		size = 52
		altNames = "TWideStrings.IndexOfObject"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 8B 10 FF 52 14 8B D8 4B 85 DB 7C 14 43 33 F6 8B D6 8B C7 8B 08 FF 51 18 3B E8 74 07 46 4B 75 EF 83 CE FF 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62271_0 {
	meta:
		name = "TStrings.InsertObject"
		size = 46
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F0 8B 4D FC 8B D3 8B C6 8B 38 FF 57 60 8B 4D 08 8B D3 8B C6 8B 18 FF 53 24 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_62272_0 {
	meta:
		name = "TStrings.LoadFromFile"
		size = 83
		refs = "000c _DV_TFileStream 0013 TFileStream.Create 001e TStrings.LoadFromFile 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 20 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_62273_0 {
	meta:
		name = "TStrings.LoadFromFile"
		size = 89
		refs = "000f _DV_TFileStream 0016 TFileStream.Create 0021 TStrings.LoadFromFile 0048 TObject.Free 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B D8 6A 20 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 8B 18 FF 53 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62274_0 {
	meta:
		name = "TStrings.LoadFromStream"
		size = 10
	strings:
		$1 = { 53 33 C9 8B 18 FF 53 74 5B C3 }
	condition:
		$1
}

rule function_62275_0 {
	meta:
		name = "TStrings.LoadFromStream"
		size = 259
		refs = "001c TStrings.LoadFromStream 002a TStrings.BeginUpdate 0047 TStream.GetPosition 0058 TArray<System.Byte> 005d @DynArraySetLength 007d TEncoding.GetBufferEncoding 008a TStrings.SetEncoding 0092 @DynArrayLength 00a6 TEncoding.GetString 00c6 TStrings.EndUpdate 00cc @HandleFinally 00e3 @UStrClr 00f1 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 89 5D FC 89 4D F4 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 12 8B D8 8B C6 E8 ?? ?? ?? ?? 2B D8 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B CB 8B C6 8B 18 FF 53 0C 8B 45 F8 8B 48 0C 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 2B C3 50 8D 45 F0 50 8B CB 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62276_0 {
	meta:
		name = "TStrings.Move"
		size = 191
		refs = "0019 TStrings.Move 002b TStrings.BeginUpdate 008f TStrings.EndUpdate 0095 @HandleFinally 00ac @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B FE 74 74 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B 45 F8 8B 18 FF 53 0C 8B D6 8B 45 F8 8B 08 FF 51 18 89 45 F4 33 C9 8B D6 8B 45 F8 8B 18 FF 53 24 8B D6 8B 45 F8 8B 08 FF 51 48 8B 45 F4 50 8B 4D FC 8B D7 8B 45 F8 8B 18 FF 53 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62277_0 {
	meta:
		name = "TStrings.Put"
		size = 47
	strings:
		$1 = { 53 56 57 55 8B E9 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 18 8B F8 8B D6 8B C3 8B 08 FF 51 48 57 8B CD 8B D6 8B C3 8B 18 FF 53 64 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62279_0 {
	meta:
		name = "TStrings.ReadData"
		size = 175
		refs = "0015 TStrings.ReadData 0023 TReader.ReadListBegin 002b TStrings.BeginUpdate 004e TReader.ReadString 0061 TReader.EndOfList 007a TStrings.EndUpdate 0080 @HandleFinally 008a TReader.ReadListEnd 009f @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 EB 16 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 38 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_62280_0 {
	meta:
		name = "TStrings.SaveToFile"
		size = 14
	strings:
		$1 = { 53 8B 48 04 8B 18 FF 93 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_62281_0 {
	meta:
		name = "TStrings.SaveToFile"
		size = 95
		refs = "0012 _DV_TFileStream 0019 TFileStream.Create 0024 TStrings.SaveToFile 004e TObject.Free 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B D8 68 00 FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 8B 18 FF 93 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62282_0 {
	meta:
		name = "TStrings.SaveToStream"
		size = 14
	strings:
		$1 = { 53 8B 48 04 8B 18 FF 93 88 00 00 00 5B C3 }
	condition:
		$1
}

rule function_62283_0 {
	meta:
		name = "TStrings.SaveToStream"
		size = 185
		refs = "0016 TStrings.SaveToStream 003a TEncoding.GetBytes 0052 @DynArrayLength 006a TStream.WriteBuffer 0093 @UStrClr 009c TArray<System.Byte> 00a6 @FinalizeArray 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 03 8B 73 0C 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 55 F4 8D 4D FC 8B C6 E8 ?? ?? ?? ?? 80 7B 28 00 74 2A 8D 55 F8 8B C6 8B 08 FF 51 24 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 14 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62286_0 {
	meta:
		name = "TStrings.SetStringsAdapter"
		size = 49
		refs = "001a @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 24 00 74 08 8B 43 24 8B 10 FF 52 10 8D 43 24 8B D6 E8 ?? ?? ?? ?? 83 7B 24 00 74 0A 8B D3 8B 43 24 8B 08 FF 51 0C 5E 5B C3 }
	condition:
		$1
}

rule function_62287_0 {
	meta:
		name = "TStrings.SetText"
		size = 79
		refs = "000f TStrings.SetText 001f @UStrFromPWChar 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70699_0 {
	meta:
		name = "TWideStrings.SetText"
		size = 79
		refs = "000f TWideStrings.SetText 001f @WStrFromPWChar 003e @WStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62288_0 {
	meta:
		name = "TStrings.SetTextStr"
		size = 428
		refs = "0018 TStrings.SetTextStr 0026 TStrings.BeginUpdate 004f TStrings.GetLineBreak 005c CompareStr 0092 @UStrFromPWCharLen 00f1 @UStrToPWChar 00fa AnsiStrPos 0151 TStrings.EndUpdate 0157 @HandleFinally 016e @UStrClr 017b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 10 FF 52 44 85 DB 0F 84 F8 00 00 00 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 5A EB 4D 8B F3 EB 03 83 C3 02 0F B7 03 66 85 C0 74 0C 66 83 E8 0A 74 06 66 83 E8 03 75 E9 8B CB 2B CE D1 F9 79 03 83 D1 00 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 51 38 66 83 3B 0D 75 03 83 C3 02 66 83 3B 0A 75 03 83 C3 02 66 83 3B 00 75 AD E9 82 00 00 00 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC 89 45 E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 89 45 F4 EB 5A 8B F3 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 03 83 C3 02 66 83 3B 00 74 04 3B FB 75 F3 8B CB 2B CE D1 F9 79 03 83 D1 00 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 51 38 3B FB 75 07 8B 45 F4 03 C0 03 D8 66 83 3B 00 75 A0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_62290_0 {
	meta:
		name = "TStrings.SetValue"
		size = 179
		refs = "001d TStrings.SetValue 004e TStrings.GetNameValueSeparator 0058 @UStrFromWChar 006b @UStrCatN 00a0 @UStrArrayClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 58 8B F8 83 7D F8 00 74 44 85 FF 7D 0B 33 D2 8B C6 8B 08 FF 51 38 8B F8 FF 75 FC 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 45 F0 E8 ?? ?? ?? ?? FF 75 F0 FF 75 F8 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8B D7 8B C6 8B 18 FF 53 20 EB 0D 85 FF 7C 09 8B D7 8B C6 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62291_0 {
	meta:
		name = "TStrings.WriteData"
		size = 132
		refs = "0018 TStrings.WriteData 0026 TWriter.WriteListBegin 0050 TWriter.WriteString 005c TWriter.WriteListEnd 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1F 43 33 F6 8D 4D F4 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 46 4B 75 E4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62292_0 {
	meta:
		name = "TStrings.SetDelimitedText"
		size = 429
		refs = "001a TStrings.SetDelimitedText 0028 TStrings.BeginUpdate 0045 @UStrToPWChar 004f TStrings.GetStrictDelimiter 0060 NextChar 007b TStrings.GetQuoteChar 0094 AnsiExtractQuotedStr 00cd TStrings.GetDelimiter 00e9 @UStrFromPWCharLen 017d TStrings.EndUpdate 0183 @HandleFinally 019a @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B F2 89 45 F8 8D 5D F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 44 8B C6 E8 ?? ?? ?? ?? 89 03 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 03 01 00 00 EB 09 8B 03 E8 ?? ?? ?? ?? 89 03 8B 03 0F B7 00 48 66 83 E8 20 72 EB E9 E7 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 66 3B F8 75 16 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B C3 E8 ?? ?? ?? ?? EB 53 8B 33 EB 09 8B 03 E8 ?? ?? ?? ?? 89 03 8B 45 F8 80 78 1C 00 75 08 8B 03 66 83 38 20 77 11 8B 45 F8 80 78 1C 00 74 17 8B 03 66 83 38 00 74 0F 8B 45 F8 E8 ?? ?? ?? ?? 8B 13 66 3B 02 75 C6 8B 0B 2B CE D1 F9 79 03 83 D1 00 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 51 38 8B 45 F8 80 78 1C 00 75 17 EB 09 8B 03 E8 ?? ?? ?? ?? 89 03 8B 03 0F B7 00 48 66 83 E8 20 72 EB 8B 45 F8 E8 ?? ?? ?? ?? 8B 13 66 3B 02 75 37 8B 33 8B C6 E8 ?? ?? ?? ?? 66 83 38 00 75 0A 33 D2 8B 45 F8 8B 08 FF 51 38 8B 03 E8 ?? ?? ?? ?? 89 03 8B 45 F8 80 78 1C 00 75 0C 8B 03 0F B7 00 48 66 83 E8 20 72 E2 8B 03 0F B7 38 66 85 FF 0F 85 0B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62293_0 {
	meta:
		name = "TStrings.GetDelimiter"
		size = 26
		refs = "0010 TStrings.SetDelimiter"
	strings:
		$1 = { 53 8B D8 F6 43 08 01 75 0B 66 BA 2C 00 8B C3 E8 ?? ?? ?? ?? 0F B7 43 10 5B C3 }
	condition:
		$1
}

rule function_62294_0 {
	meta:
		name = "TStrings.GetLineBreak"
		size = 60
		refs = "000d TStrings.GetLineBreak 0014 TStrings.SetLineBreak 001e @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 08 08 75 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 14 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_62295_0 {
	meta:
		name = "TStrings.GetQuoteChar"
		size = 26
		refs = "0010 TStrings.SetQuoteChar"
	strings:
		$1 = { 53 8B D8 F6 43 08 02 75 0B 66 BA 22 00 8B C3 E8 ?? ?? ?? ?? 0F B7 43 18 5B C3 }
	condition:
		$1
}

rule function_62296_0 {
	meta:
		name = "TStrings.GetStrictDelimiter"
		size = 24
		refs = "000e TStrings.SetStrictDelimiter"
	strings:
		$1 = { 53 8B D8 F6 43 08 10 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B6 43 1C 5B C3 }
	condition:
		$1
}

rule function_62297_0 {
	meta:
		name = "TStrings.SetDefaultEncoding"
		size = 70
		refs = "000a TEncoding.IsStandardEncoding 0016 TObject.Free 003c TEncoding.GetANSI"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C E8 ?? ?? ?? ?? 84 C0 75 08 8B 43 0C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 89 73 0C 5E 5B C3 85 F6 74 0C 8B C6 8B 10 FF 52 18 89 43 0C EB 08 E8 ?? ?? ?? ?? 89 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_62298_0 {
	meta:
		name = "TStrings.SetDelimiter"
		size = 29
	strings:
		$1 = { 53 56 8B F2 8B D8 66 3B 73 10 75 06 F6 43 08 01 75 08 80 4B 08 01 66 89 73 10 5E 5B C3 }
	condition:
		$1
}

rule function_62299_0 {
	meta:
		name = "TStrings.SetEncoding"
		size = 70
		refs = "000a TEncoding.IsStandardEncoding 0016 TObject.Free 003c TEncoding.GetANSI"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 84 C0 75 08 8B 43 04 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 89 73 04 5E 5B C3 85 F6 74 0C 8B C6 8B 10 FF 52 18 89 43 04 EB 08 E8 ?? ?? ?? ?? 89 43 04 5E 5B C3 }
	condition:
		$1
}

rule function_62300_0 {
	meta:
		name = "TStrings.SetLineBreak"
		size = 41
		refs = "000c @UStrEqual 0022 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 14 8B D6 E8 ?? ?? ?? ?? 75 06 F6 43 08 08 75 0E 80 4B 08 08 8D 43 14 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62301_0 {
	meta:
		name = "TStrings.SetQuoteChar"
		size = 29
	strings:
		$1 = { 53 56 8B F2 8B D8 66 3B 73 18 75 06 F6 43 08 02 75 08 80 4B 08 02 66 89 73 18 5E 5B C3 }
	condition:
		$1
}

rule function_62302_0 {
	meta:
		name = "TStrings.SetStrictDelimiter"
		size = 27
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 1C 75 06 F6 46 08 10 75 07 80 4E 08 10 88 5E 1C 5E 5B C3 }
	condition:
		$1
}

rule function_62304_0 {
	meta:
		name = "TStrings.GetNameValueSeparator"
		size = 26
		refs = "0010 TStrings.SetNameValueSeparator"
	strings:
		$1 = { 53 8B D8 F6 43 08 04 75 0B 66 BA 3D 00 8B C3 E8 ?? ?? ?? ?? 0F B7 43 1A 5B C3 }
	condition:
		$1
}

rule function_62305_0 {
	meta:
		name = "TStrings.SetNameValueSeparator"
		size = 29
	strings:
		$1 = { 53 56 8B F2 8B D8 66 3B 73 1A 75 06 F6 43 08 04 75 08 80 4B 08 04 66 89 73 1A 5E 5B C3 }
	condition:
		$1
}

rule function_62306_0 {
	meta:
		name = "TStrings.GetValueFromIndex"
		size = 153
		refs = "0019 TStrings.GetValueFromIndex 0038 TStrings.GetNameValueSeparator 0042 @UStrFromWChar 004c AnsiPos 005f @UStrDelete 0068 @UStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 7C 45 8B CB 8B 55 FC 8B C6 8B 38 FF 57 0C 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 13 E8 ?? ?? ?? ?? 85 C0 7E 11 8B D3 8B C8 B8 01 00 00 00 92 E8 ?? ?? ?? ?? EB 10 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62307_0 {
	meta:
		name = "TStrings.SetValueFromIndex"
		size = 175
		refs = "0019 TStrings.SetValueFromIndex 0040 TStrings.GetName 004a TStrings.GetNameValueSeparator 0054 @UStrFromWChar 0067 @UStrCatN 009c @UStrArrayClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 50 85 FF 7D 0B 33 D2 8B C6 8B 08 FF 51 38 8B F8 8D 4D F4 8B D7 8B C6 E8 ?? ?? ?? ?? FF 75 F4 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 45 F0 E8 ?? ?? ?? ?? FF 75 F0 FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 8B D7 8B C6 8B 18 FF 53 20 EB 0D 85 FF 7C 09 8B D7 8B C6 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62308_0 {
	meta:
		name = "TStrings.ToStringArray"
		size = 152
		refs = "0018 TStrings.ToStringArray 0035 TArray<System.string> 003a @DynArraySetLength 006c @UStrAsg 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 50 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 24 46 33 DB 8D 4D F4 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 55 F4 8B 45 F8 8B 00 8D 04 98 E8 ?? ?? ?? ?? 43 4E 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62309_0 {
	meta:
		name = "TStrings.ToObjectArray"
		size = 78
		refs = "0019 TArray<System.TObject> 001e @DynArraySetLength"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 8B 10 FF 52 14 50 8B C5 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 8B 10 FF 52 14 8B F0 4E 85 F6 7C 16 46 33 DB 8B D3 8B C7 8B 08 FF 51 18 8B 55 00 89 04 9A 43 4E 75 ED 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62310_0 {
	meta:
		name = "TStringList.Destroy"
		size = 242
		refs = "000f @BeforeDestruction 001c TStringList.Destroy 004a TArray<System.TObject> 004f @DynArraySetLength 007c TStrings.Destroy 0092 @DynArrayLength 00b3 TObject.Free 00d2 @DynArrayClear 00d8 @HandleFinally 00e7 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC E8 ?? ?? ?? ?? 88 55 FB 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 47 40 89 47 44 33 C0 89 47 48 89 47 4C 80 7F 50 00 74 36 8B 47 30 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 77 30 4E 85 F6 7C 14 46 33 DB 8B 47 2C 8B 44 D8 04 8B 55 FC 89 04 9A 43 4E 75 EF 0F B6 55 FB 80 E2 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 30 33 D2 8B C7 8B 08 FF 51 28 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 21 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 12 46 33 DB 8B 45 FC 8B 04 98 E8 ?? ?? ?? ?? 43 4E 75 F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 80 7D FB 00 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62311_0 {
	meta:
		name = "TStringList.Add"
		size = 16
		altNames = "TWideStringList.Add"
	strings:
		$1 = { 53 56 8B F0 33 C9 8B C6 8B 18 FF 53 3C 5E 5B C3 }
	condition:
		$1
}

rule function_62312_0 {
	meta:
		name = "TStringList.AddObject"
		size = 98
		refs = "003b SDuplicateString 0044 TStrings.Error"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B F2 8B D8 80 7B 38 00 75 08 8B 43 30 89 04 24 EB 2F 8B CC 8B D6 8B C3 8B 28 FF 95 9C 00 00 00 84 C0 74 1D 0F B6 43 39 2C 01 72 26 FE C8 74 02 EB 0F 8B 15 ?? ?? ?? ?? 33 C9 8B C3 E8 ?? ?? ?? ?? 57 8B CE 8B 54 24 04 8B C3 8B 18 FF 93 98 00 00 00 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62313_0 {
	meta:
		name = "TStringList.Assign"
		size = 58
		refs = "000b TStrings.Assign 0013 _DV_TStringList 0018 @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B C6 0F B6 50 3A 88 53 3A 0F B6 50 39 88 53 39 0F B6 40 38 88 43 38 5E 5B C3 }
	condition:
		$1
}

rule function_62314_0 {
	meta:
		name = "TStringList.Changed"
		size = 26
	strings:
		$1 = { 53 83 78 20 00 75 11 66 83 78 42 00 74 0A 8B D8 8B D0 8B 43 44 FF 53 40 5B C3 }
	condition:
		$1
}

rule function_62315_0 {
	meta:
		name = "TStringList.Changing"
		size = 26
	strings:
		$1 = { 53 83 78 20 00 75 11 66 83 78 4A 00 74 0A 8B D8 8B D0 8B 43 4C FF 53 48 5B C3 }
	condition:
		$1
}

rule function_62316_0 {
	meta:
		name = "TStringList.Clear"
		size = 214
		refs = "000e TStringList.Clear 0040 TArray<System.TObject> 0045 @DynArraySetLength 007a @DynArrayLength 009b TObject.Free 00c4 @DynArrayClear 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 30 00 0F 84 8B 00 00 00 8B C3 8B 10 FF 92 94 00 00 00 80 7B 50 00 74 36 8B 43 30 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7B 30 4F 85 FF 7C 14 47 33 F6 8B 43 2C 8B 44 F0 04 8B 55 FC 89 04 B2 46 4F 75 EF 33 C0 89 43 30 33 D2 8B C3 8B 08 FF 51 28 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 21 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 12 47 33 F6 8B 45 FC 8B 04 B0 E8 ?? ?? ?? ?? 46 4F 75 F1 8B C3 8B 10 FF 92 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62317_0 {
	meta:
		name = "TStringList.Delete"
		size = 151
		refs = "0012 SListIndexError 001b TStrings.Error 0042 TStringItem 0047 @Finalize 006d Move 0085 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 7C 05 3B 73 30 7C 0F 8B 15 ?? ?? ?? ?? 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 94 00 00 00 80 7B 50 00 74 09 8B 43 2C 8B 7C F0 04 EB 02 33 FF 8B 43 2C 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 4B 30 8B 43 30 3B F0 7D 29 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 2C 8D 14 F0 8B 43 2C 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 2C 8B 53 30 8D 04 D0 33 D2 89 10 85 FF 74 07 8B C7 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 90 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62318_0 {
	meta:
		name = "TStringList.Exchange"
		size = 92
		refs = "0014 SListIndexError 001d TStrings.Error 004a TStringList.ExchangeItems"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 30 7C 0F 8B 15 ?? ?? ?? ?? 8B CE 8B C3 E8 ?? ?? ?? ?? 85 FF 7C 05 3B 7B 30 7C 0F 8B 15 ?? ?? ?? ?? 8B CF 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 94 00 00 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 90 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62319_0 {
	meta:
		name = "TStringList.ExchangeItems"
		size = 35
	strings:
		$1 = { 53 8B 58 2C 8D 14 D3 8B 40 2C 8D 04 C8 8B 0A 8B 18 89 1A 89 08 8B 4A 04 8B 58 04 89 5A 04 89 48 04 5B C3 }
	condition:
		$1
}

rule function_62320_0 {
	meta:
		name = "TStringList.Find"
		size = 129
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 4C 24 04 89 14 24 8B F8 C6 44 24 08 00 33 F6 8B 47 30 48 89 44 24 0C 3B 74 24 0C 7F 49 8B DE 03 5C 24 0C D1 EB 8B 47 2C 8B 14 D8 8B 0C 24 8B C7 8B 28 FF 55 34 89 44 24 10 83 7C 24 10 00 7D 05 8D 73 01 EB 1B 8B C3 48 89 44 24 0C 83 7C 24 10 00 75 0D C6 44 24 08 01 80 7F 39 01 74 02 8B F3 3B 74 24 0C 7E B7 8B 44 24 04 89 30 0F B6 44 24 08 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62321_0 {
	meta:
		name = "TStringList.Get"
		size = 46
		refs = "0010 SListIndexError 0019 TStrings.Error 0026 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 3B 73 30 72 0F 8B 15 ?? ?? ?? ?? 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C7 8B 53 2C 8B 14 F2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62324_0 {
	meta:
		name = "TStringList.GetObject"
		size = 36
		refs = "000d SListIndexError 0016 TStrings.Error"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 30 72 0F 8B 15 ?? ?? ?? ?? 8B CE 8B C3 E8 ?? ?? ?? ?? 8B 43 2C 8B 44 F0 04 5E 5B C3 }
	condition:
		$1
}

rule function_62325_0 {
	meta:
		name = "TStringList.Grow"
		size = 51
	strings:
		$1 = { 56 8B 50 34 83 FA 40 7E 0E 8B F2 85 F6 79 03 83 C6 03 C1 FE 02 EB 11 83 FA 08 7E 07 BE 10 00 00 00 EB 05 BE 04 00 00 00 03 F2 8B D6 8B 08 FF 51 28 5E C3 }
	condition:
		$1
}

rule function_62326_0 {
	meta:
		name = "TStringList.IndexOf"
		size = 59
		refs = "0012 TStrings.IndexOf"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 80 7B 38 00 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? 89 04 24 EB 19 8B CC 8B D6 8B C3 8B 18 FF 93 9C 00 00 00 84 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_62327_0 {
	meta:
		name = "TStringList.Insert"
		size = 16
	strings:
		$1 = { 53 56 8B F0 6A 00 8B C6 8B 18 FF 53 64 5E 5B C3 }
	condition:
		$1
}

rule function_62328_0 {
	meta:
		name = "TStringList.InsertObject"
		size = 82
		refs = "0014 SSortedListError 001d TStrings.Error 002c SListIndexError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 80 7B 38 00 74 0F 8B 15 ?? ?? ?? ?? 33 C9 8B C3 E8 ?? ?? ?? ?? 85 F6 7C 05 3B 73 30 7E 0F 8B 15 ?? ?? ?? ?? 8B CE 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B C3 8B 18 FF 93 98 00 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62329_0 {
	meta:
		name = "TStringList.InsertItem"
		size = 123
		refs = "0021 TStringList.Grow 0048 Move 0063 @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 92 94 00 00 00 8B 43 30 3B 43 34 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 30 3B F0 7D 20 8B 53 2C 8D 54 F2 08 52 8B 53 2C 8D 14 F2 2B C6 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 2C 8D 04 F0 8B F0 33 C0 89 06 8B 45 08 89 46 04 8B C6 8B D7 E8 ?? ?? ?? ?? FF 43 30 8B C3 8B 10 FF 92 90 00 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62330_0 {
	meta:
		name = "TStringList.Put"
		size = 87
		refs = "0011 SSortedListError 001a TStrings.Error 0025 SListIndexError 0045 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 7B 38 00 74 0F 8B 15 ?? ?? ?? ?? 33 C9 8B C3 E8 ?? ?? ?? ?? 3B 73 30 72 0F 8B 15 ?? ?? ?? ?? 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 94 00 00 00 8B 43 2C 8D 04 F0 8B D7 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 90 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62331_0 {
	meta:
		name = "TStringList.PutObject"
		size = 60
		refs = "0010 SListIndexError 0019 TStrings.Error"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 3B 73 30 72 0F 8B 15 ?? ?? ?? ?? 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 94 00 00 00 8B 43 2C 89 7C F0 04 8B C3 8B 10 FF 92 90 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62332_0 {
	meta:
		name = "TStringList.QuickSort"
		size = 152
		refs = "0056 TStringList.ExchangeItems 0084 TStringList.QuickSort"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 89 55 F8 89 45 FC 8B 5D F8 8B 75 F4 8B 45 F8 03 45 F4 D1 E8 89 45 F0 EB 01 43 8B 4D F0 8B D3 8B 45 FC FF 55 08 85 C0 7C F0 EB 01 4E 8B 4D F0 8B D6 8B 45 FC FF 55 08 85 C0 7F F0 3B F3 7C 24 3B F3 74 0C 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 3B 5D F0 75 05 89 75 F0 EB 08 3B 75 F0 75 03 89 5D F0 43 4E 3B F3 7D B3 3B 75 F8 7E 11 8B 45 08 50 8B CE 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 5D F8 3B 5D F4 7C 81 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_62333_0 {
	meta:
		name = "TStringList.SetCapacity"
		size = 60
		refs = "000d SListCapacityError 0016 TStrings.Error 002a TStringItemList 002f @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 30 7D 0F 8B 15 ?? ?? ?? ?? 8B CE 8B C3 E8 ?? ?? ?? ?? 3B 73 34 74 1A 56 8D 43 2C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 89 73 34 5E 5B C3 }
	condition:
		$1
}

rule function_62334_0 {
	meta:
		name = "TStringList.SetSorted"
		size = 31
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 38 74 11 84 DB 74 0A 8B C6 8B 10 FF 92 A0 00 00 00 88 5E 38 5E 5B C3 }
	condition:
		$1
}

rule function_62335_0 {
	meta:
		name = "TStringList.SetUpdateState"
		size = 31
	strings:
		$1 = { 56 8B F0 84 D2 74 0C 8B C6 8B 10 FF 92 94 00 00 00 5E C3 8B C6 8B 10 FF 92 90 00 00 00 5E C3 }
	condition:
		$1
}

rule function_62336_0 {
	meta:
		name = "StringListCompareStrings"
		size = 30
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 2C 8B 0C C8 8B 46 2C 8B 14 F8 8B C6 8B 18 FF 53 34 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62337_0 {
	meta:
		name = "TStringList.Sort"
		size = 14
		refs = "0001 StringListCompareStrings"
	strings:
		$1 = { BA ?? ?? ?? ?? 8B 08 FF 91 A4 00 00 00 C3 }
	condition:
		$1
}

rule function_62338_0 {
	meta:
		name = "TStringList.CustomSort"
		size = 55
		refs = "0026 TStringList.QuickSort"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 38 00 75 28 83 7B 30 01 7E 22 8B C3 8B 10 FF 92 94 00 00 00 56 8B 4B 30 49 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 90 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_62339_0 {
	meta:
		name = "TStringList.CompareStrings"
		size = 26
		refs = "000b AnsiCompareStr 0015 AnsiCompareText"
	strings:
		$1 = { 80 78 3A 00 74 0A 8B C2 8B D1 E8 ?? ?? ?? ?? C3 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62341_0 {
	meta:
		name = "TStringList.Create"
		size = 67
		refs = "000e @ClassCreate 001e TStrings.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 50 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62342_0 {
	meta:
		name = "TStringList.SetCaseSensitive"
		size = 37
		refs = "0016 TStringList.SetSorted"
	strings:
		$1 = { 53 8B D8 3A 53 3A 74 1B 88 53 3A 80 7B 38 00 74 12 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_62343_0 {
	meta:
		name = "TStream.GetPosition"
		size = 31
	strings:
		$1 = { 83 C4 F8 6A 00 6A 00 B2 01 8B 08 FF 51 18 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_62344_0 {
	meta:
		name = "TStream.SetPosition"
		size = 20
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 33 D2 8B 08 FF 51 18 5D C2 08 00 }
	condition:
		$1
}

rule function_62345_0 {
	meta:
		name = "TStream.GetSize"
		size = 76
	strings:
		$1 = { 53 83 C4 F0 8B D8 6A 00 6A 00 B2 01 8B C3 8B 08 FF 51 18 89 44 24 08 89 54 24 0C 6A 00 6A 00 B2 02 8B C3 8B 08 FF 51 18 89 04 24 89 54 24 04 FF 74 24 0C FF 74 24 0C 33 D2 8B C3 8B 08 FF 51 18 8B 04 24 8B 54 24 04 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_62347_0 {
	meta:
		name = "TStream.SetSize64"
		size = 18
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 10 FF 52 08 5D C2 08 00 }
	condition:
		$1
}

rule function_62348_0 {
	meta:
		name = "TStream.SetSize"
		size = 82
		refs = "002d SRangeError 0034 _Dn_ERangeError 0039 Exception.CreateRes 003e @RaiseExcept"
	strings:
		$1 = { 55 8B EC 8B C8 83 7D 0C FF 75 0B 81 7D 08 00 00 00 80 72 17 EB 02 7C 13 83 7D 0C 00 75 0B 81 7D 08 FF FF FF 7F 76 1B EB 02 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B D0 8B C1 8B 08 FF 51 04 5D C2 08 00 }
	condition:
		$1
}

rule function_62349_0 {
	meta:
		name = "RaiseException"
		size = 113
		refs = "000f RaiseException 0025 TObject.ClassName 003b SSeekNotImplemented 0042 _DV_EStreamError 0047 Exception.CreateResFmt 004c @RaiseExcept 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 08 8B 40 EC 8B 00 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_62350_0 {
	meta:
		name = "TStream.Seek"
		size = 130
		refs = "0030 TObject.ClassParent 003f _DV_TStream 004c RaiseException"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 66 89 4D E6 89 55 E8 89 45 EC 8D 5D E0 8B 45 EC 89 45 FC 8B 00 8B 40 18 89 45 F8 8B 55 EC 8B 12 89 D0 89 03 EB 09 8B 03 E8 ?? ?? ?? ?? 89 03 83 3B 00 74 0A 8B 03 3B 05 ?? ?? ?? ?? 75 E8 83 3B 00 75 07 55 E8 ?? ?? ?? ?? 59 89 5D F4 8B 03 8B 40 18 89 45 F0 8B 45 F8 3B 45 F0 75 07 55 E8 ?? ?? ?? ?? 59 8B 45 E8 99 52 50 0F B6 55 E6 8B 45 EC 8B 08 FF 51 18 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62351_0 {
	meta:
		name = "TStream.Seek"
		size = 109
		refs = "0034 SRangeError 003b _Dn_ERangeError 0040 Exception.CreateRes 0045 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B DA 8B F0 83 7D 0C FF 75 0B 81 7D 08 00 00 00 80 72 17 EB 02 7C 13 83 7D 0C 00 75 0B 81 7D 08 FF FF FF 7F 76 1B EB 02 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B D0 0F B6 CB 8B C6 8B 18 FF 53 14 99 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_62352_0 {
	meta:
		name = "TStream.ReadBuffer"
		size = 96
		refs = "003d SReadError 0044 _DV_EReadError 0049 Exception.CreateRes 004e @RaiseExcept"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 89 54 24 04 89 04 24 8B 54 24 04 8B CF 8B 04 24 8B 18 FF 53 0C 8B D8 3B FB 7E 37 8B CF 2B CB 8B 54 24 04 03 D3 8B 04 24 8B 30 FF 56 0C 8B F0 85 F6 7F 19 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 03 DE 3B FB 7F C9 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62353_0 {
	meta:
		name = "TStream.WriteBuffer"
		size = 96
		refs = "003d SReadError 0044 _DV_EWriteError 0049 Exception.CreateRes 004e @RaiseExcept"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 89 54 24 04 89 04 24 8B 54 24 04 8B CF 8B 04 24 8B 18 FF 53 10 8B D8 3B FB 7E 37 8B CF 2B CB 8B 54 24 04 03 D3 8B 04 24 8B 30 FF 56 10 8B F0 85 F6 7F 19 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 03 DE 3B FB 7F C9 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62354_0 {
	meta:
		name = "TStream.CopyFrom"
		size = 242
		refs = "0021 TStream.SetPosition 0063 @GetMem 006e TStream.CopyFrom 009e TStream.ReadBuffer 00aa TStream.WriteBuffer 00d7 @FreeMem 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B FA 89 45 FC 83 7D 0C 00 75 1D 83 7D 08 00 75 17 6A 00 6A 00 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 12 89 45 08 89 55 0C 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 83 7D 0C 00 75 0B 81 7D 08 00 F0 00 00 76 0D EB 02 7E 09 C7 45 EC 00 F0 00 00 EB 06 8B 45 08 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 3D 8B 45 EC 99 3B 55 0C 75 07 3B 45 08 73 09 EB 02 7D 05 8B 5D EC EB 03 8B 5D 08 8B 75 E8 8B D6 8B CB 8B C7 E8 ?? ?? ?? ?? 8B D6 8B CB 8B 45 FC E8 ?? ?? ?? ?? 8B C3 99 29 45 08 19 55 0C 83 7D 0C 00 75 BD 83 7D 08 00 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F0 8B 55 F4 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_62355_0 {
	meta:
		name = "TStream.ReadComponent"
		size = 95
		refs = "0013 _DV_TReader 0018 TFiler.Create 0023 TStream.ReadComponent 0033 TReader.ReadRootComponent 004b TObject.Free 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 68 00 10 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62357_0 {
	meta:
		name = "TStream.WriteDescendent"
		size = 92
		refs = "0014 _DV_TWriter 0019 TFiler.Create 0024 TStream.WriteDescendent 0036 TWriter.WriteDescendent 004b TObject.Free 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 68 00 10 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62358_0 {
	meta:
		name = "TStream.ReadComponentRes"
		size = 25
		refs = "0009 TStream.ReadResHeader 0012 TStream.ReadComponent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62641_0 {
	meta:
		name = "ObjectResourceToText"
		size = 25
		refs = "0009 TStream.ReadResHeader 0012 ObjectBinaryToText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74039_0 {
	meta:
		name = "TCategoryButtons.DoStartDrag"
		size = 25
		refs = "0009 TCategoryButtons.GenerateDragImage 0012 TControl.DoStartDrag"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73153_0 {
	meta:
		name = "TCustomActionPopupMenu.ExecAction"
		size = 25
		refs = "0009 TControl.Hide 0012 TCustomActionMenuBar.ExecAction"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77580_0 {
	meta:
		name = "TCustomDBLookupComboBox.WMCancelMode"
		size = 25
		refs = "0009 TCustomDBLookupComboBox.StopTracking 0012 TControl.WMCancelMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77422_0 {
	meta:
		name = "TDBImage.WMLButtonDblClk"
		size = 25
		refs = "0009 TDBImage.LoadPicture 0012 TControl.WMLButtonDblClk"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77548_0 {
	meta:
		name = "TDBLookupListBox.WMCancelMode"
		size = 25
		refs = "0009 TDBLookupListBox.StopTracking 0012 TControl.WMCancelMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81033_0 {
	meta:
		name = "TInplaceEditList.WMCancelMode"
		size = 25
		refs = "0009 TInplaceEditList.StopTracking 0012 TControl.WMCancelMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91020_0 {
	meta:
		name = "TPieSeries.WriteData"
		size = 25
		refs = "0009 TPieSeries.RemoveOtherSlice 0012 TChartSeries.WriteData"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88166_0 {
	meta:
		name = "TToolWindow.CMBorderChanged"
		size = 25
		refs = "0009 TWinControl.RecreateWnd 0012 TWinControl.CMBorderChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62360_0 {
	meta:
		name = "TStream.WriteResourceHeader"
		size = 610
		refs = "0027 TStream.WriteResourceHeader 003a UpperCase 0046 TEncoding.GetUTF8 004f TEncoding.GetBytes 0057 @DynArrayLength 0085 TEncoding.GetUnicode 00bd TArray<System.Byte> 00c2 @DynArraySetLength 00d4 Dummy32bitResHeader 00e1 TStream.WriteBuffer 00e9 TStream.GetPosition 0139 Move 0243 @UStrArrayClr 0251 @DynArrayClear 0257 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 33 DB 89 9D EC FE FF FF 89 9D F0 FE FF FF 89 5D FC 89 4D F4 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 F0 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF 50 E8 ?? ?? ?? ?? 8D 4D FC 5A E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 85 C0 74 05 83 E8 04 8B 00 3B C2 0F 8D 1C 01 00 00 8D 95 EC FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 EC FE FF FF 50 E8 ?? ?? ?? ?? 8D 4D FC 5A E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 D1 F8 79 03 83 D0 00 83 F8 3F 7E 05 BB 7E 00 00 00 8D 43 02 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 03 C3 66 C7 00 00 00 BA ?? ?? ?? ?? B9 20 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 C0 04 F7 D8 8B 55 F4 89 02 8D 85 F4 FE FF FF 33 D2 89 10 83 C3 1E 8D 85 F8 FE FF FF 89 18 8D 85 FC FE FF FF C7 00 FF FF 0A 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 83 C3 0C 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8D 95 00 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8D 84 1D F4 FE FF FF 33 D2 89 10 8D 84 1D F8 FE FF FF 66 C7 00 00 00 8D 84 1D FA FE FF FF 66 C7 00 09 04 8D 84 1D FC FE FF FF 33 D2 89 10 8D 84 1D 00 FF FF FF 33 D2 89 10 8D 4B 10 8D 95 F4 FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? E9 9E 00 00 00 C6 85 F4 FE FF FF FF 8D 85 F5 FE FF FF 66 C7 00 0A 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 83 FB 3F 7E 05 BB 40 00 00 00 8D 43 01 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC C6 04 18 00 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8D 95 F7 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 C0 09 8D 94 05 EE FE FF FF 66 C7 02 30 10 8D 94 05 F0 FE FF FF 33 C9 89 0A 8D 95 F4 FE FF FF 8B C8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62361_0 {
	meta:
		name = "TStream.FixupResourceHeader"
		size = 186
		refs = "0011 TStream.GetPosition 0026 TStream.SetPosition 0036 TStream.ReadBuffer 0060 TStream.WriteBuffer"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 85 F6 7D 6E 8B C3 E8 ?? ?? ?? ?? 8B FE F7 DF 2B C7 89 04 24 8B C7 99 52 50 8B C3 E8 ?? ?? ?? ?? 8D 54 24 04 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 04 24 2B 44 24 04 83 C0 04 89 04 24 8B C7 83 E8 04 99 52 50 8B C3 E8 ?? ?? ?? ?? 8B D4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C7 03 04 24 03 44 24 04 83 E8 04 99 52 50 8B C3 E8 ?? ?? ?? ?? EB 38 8B C3 E8 ?? ?? ?? ?? 2B C6 89 04 24 8B C6 83 E8 04 99 52 50 8B C3 E8 ?? ?? ?? ?? 8B D4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 03 04 24 99 52 50 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62362_0 {
	meta:
		name = "TStream.WriteDescendentRes"
		size = 49
		refs = "0010 TStream.WriteResourceHeader 001c TStream.WriteDescendent 0026 TStream.FixupResourceHeader"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B D8 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_62363_0 {
	meta:
		name = "TStream.ReadResHeader"
		size = 231
		refs = "0014 @FillChar 0030 Dummy32bitResHeader 003a CompareMem 0083 SInvalidImage 008a _DV_EInvalidImage 008f Exception.CreateRes 0094 @RaiseExcept 00b1 @PCharLen"
	strings:
		$1 = { 53 56 81 C4 00 FF FF FF 8B D8 8B C4 33 C9 BA 00 01 00 00 E8 ?? ?? ?? ?? 8B D4 B9 FF 00 00 00 8B C3 8B 30 FF 56 0C 8B F0 83 FE 20 7E 6D 8B D4 B8 ?? ?? ?? ?? B9 20 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 58 33 C9 BA 20 00 00 00 8B C3 8B 30 FF 56 14 8B D4 B9 FF 00 00 00 8B C3 8B 30 FF 56 0C 8B F0 8D 44 24 08 81 38 FF FF 0A 00 75 15 8D 44 24 04 8B 10 2B D6 66 B9 01 00 8B C3 8B 18 FF 53 14 EB 5D 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8B C4 80 38 FF 75 26 8D 44 24 01 66 83 38 0A 75 1C 8B C4 83 C0 03 E8 ?? ?? ?? ?? 8D 50 0A 2B D6 66 B9 01 00 8B C3 8B 18 FF 53 14 EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_62365_0 {
	meta:
		name = "THandleStream.Read"
		size = 16
		refs = "0004 FileRead"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? 83 F8 FF 75 02 33 C0 C3 }
	condition:
		$1
}

rule function_62366_0 {
	meta:
		name = "THandleStream.Write"
		size = 16
		refs = "0004 FileWrite"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? 83 F8 FF 75 02 33 C0 C3 }
	condition:
		$1
}

rule function_62367_0 {
	meta:
		name = "THandleStream.Seek"
		size = 41
		refs = "0013 FileSeek"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 83 E2 7F 8B 40 04 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_62368_0 {
	meta:
		name = "THandleStream.SetSize"
		size = 19
	strings:
		$1 = { 53 8B DA 8B C8 8B C3 99 52 50 8B C1 8B 10 FF 52 08 5B C3 }
	condition:
		$1
}

rule function_62369_0 {
	meta:
		name = "THandleStream.SetSize"
		size = 40
		refs = "001a SetEndOfFile 001f Win32Check"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 33 D2 8B C3 8B 08 FF 51 18 8B 43 04 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_62370_0 {
	meta:
		name = "TFileStream.Create"
		size = 66
		refs = "000d @ClassCreate 0021 TFileStream.Create 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B7 45 08 50 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62371_0 {
	meta:
		name = "TFileStream.Create"
		size = 373
		refs = "001f @ClassCreate 0031 TFileStream.Create 0061 FileCreate 006c THandleStream.Create 0080 ExpandFileName 008f GetLastError 0097 SysErrorMessage 00ad SFCreateErrorEx 00b4 _DV_EFCreateError 00b9 Exception.CreateResFmt 00be @RaiseExcept 00ca FileOpen 0112 SFOpenErrorEx 0119 _DV_EFOpenError 012d @UStrAsg 0147 @UStrArrayClr 014d @HandleFinally 015c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D E0 89 5D DC 89 5D E8 89 5D E4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 B8 00 FF 66 23 C7 66 3D 00 FF 75 7C 66 81 E7 FF 00 66 81 FF FF 00 75 04 66 BF 10 00 0F B7 D7 8B 4D 08 8B C6 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 83 7B 04 FF 0F 85 AD 00 00 00 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F4 C6 45 F8 11 8D 45 EC 50 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 63 0F B7 D7 8B C6 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 83 7B 04 FF 75 48 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 89 45 EC C6 45 F0 11 E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8B 45 DC 89 45 F4 C6 45 F8 11 8D 45 EC 50 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 08 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_62372_0 {
	meta:
		name = "TFileStream.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0015 CloseHandle 0020 TObject.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 83 F8 FF 74 06 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62373_0 {
	meta:
		name = "TCustomMemoryStream.SetPointer"
		size = 7
	strings:
		$1 = { 89 50 04 89 48 08 C3 }
	condition:
		$1
}

rule function_62374_0 {
	meta:
		name = "TCustomMemoryStream.Read"
		size = 56
		refs = "0027 Move"
	strings:
		$1 = { 53 56 57 8B D8 8B 7B 0C 85 FF 7C 24 85 C9 7C 20 8B 73 08 2B F7 85 F6 7E 17 3B CE 7D 02 8B F1 8B 43 04 03 C7 8B CE E8 ?? ?? ?? ?? 01 73 0C EB 02 33 F6 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62375_0 {
	meta:
		name = "TCustomMemoryStream.Seek"
		size = 68
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B C8 80 EA 01 72 08 74 0E FE CA 74 12 EB 19 8B 45 08 89 41 0C EB 11 8B 45 08 01 41 0C EB 09 8B 41 08 03 45 08 89 41 0C 8B 41 0C 99 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_62376_0 {
	meta:
		name = "TCustomMemoryStream.SaveToStream"
		size = 22
		refs = "0010 TStream.WriteBuffer"
	strings:
		$1 = { 53 8B 48 08 85 C9 74 0C 8B 58 04 87 DA 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_62377_0 {
	meta:
		name = "TCustomMemoryStream.SaveToFile"
		size = 86
		refs = "000f _DV_TFileStream 0016 TFileStream.Create 0021 TCustomMemoryStream.SaveToFile 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 00 FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_62379_0 {
	meta:
		name = "TMemoryStream.Clear"
		size = 24
		refs = "0008 TMemoryStream.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 08 33 C0 89 43 0C 5B C3 }
	condition:
		$1
}

rule function_62380_0 {
	meta:
		name = "TMemoryStream.LoadFromStream"
		size = 55
		refs = "000e TStream.SetPosition 002f TStream.ReadBuffer"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 6A 00 6A 00 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 12 8B D8 8B D3 8B C6 8B 08 FF 51 04 85 DB 74 0C 8B 56 04 8B CB 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62382_0 {
	meta:
		name = "TMemoryStream.SetCapacity"
		size = 37
		refs = "0018 TCustomMemoryStream.SetPointer"
	strings:
		$1 = { 53 51 89 14 24 8B D8 8B D4 8B C3 8B 08 FF 51 20 8B D0 8B 4B 08 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 43 10 5A 5B C3 }
	condition:
		$1
}

rule function_62383_0 {
	meta:
		name = "TMemoryStream.SetSize"
		size = 43
		refs = "000f TMemoryStream.SetCapacity"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 08 3B F7 7D 0D 66 B9 02 00 33 D2 8B C3 8B 18 FF 53 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62384_0 {
	meta:
		name = "TMemoryStream.Realloc"
		size = 127
		refs = "0038 @FreeMem 004a @GetMem 0058 @ReallocMem 0064 SMemoryStreamError 006b _DV_EStreamError 0070 Exception.CreateRes 0075 @RaiseExcept"
	strings:
		$1 = { 53 51 8B DA 83 3B 00 7E 17 8B 13 3B 50 08 74 10 8B 13 81 C2 FF 1F 00 00 81 E2 00 E0 FF FF 89 13 8B 50 04 89 14 24 8B 0B 8B 50 10 3B CA 74 4A 83 3B 00 75 0F 8B 40 04 E8 ?? ?? ?? ?? 33 C0 89 04 24 EB 36 85 D2 75 0C 8B 03 E8 ?? ?? ?? ?? 89 04 24 EB 09 8B 13 8B C4 E8 ?? ?? ?? ?? 83 3C 24 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_62385_0 {
	meta:
		name = "TMemoryStream.Write"
		size = 80
		refs = "002c TMemoryStream.SetCapacity 003e Move"
	strings:
		$1 = { 53 56 57 55 8B F1 8B EA 8B D8 8B 43 0C 85 C0 7C 38 85 F6 7C 34 8B F8 03 FE 85 FF 7E 2C 3B 7B 08 7E 11 3B 7B 10 7E 09 8B D7 8B C3 E8 ?? ?? ?? ?? 89 7B 08 8B 53 04 03 53 0C 8B C5 8B CE E8 ?? ?? ?? ?? 89 7B 0C 8B C6 EB 02 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62386_0 {
	meta:
		name = "TBytesStream.Create"
		size = 99
		refs = "000b @ClassCreate 001a TObject.Create 0025 TArray<System.Byte> 002a @DynArrayAsg 0032 @DynArrayLength 003e TCustomMemoryStream.SetPointer 004f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 14 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 14 E8 ?? ?? ?? ?? 8B C8 8B 57 14 8B C7 E8 ?? ?? ?? ?? 8B 47 08 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62387_0 {
	meta:
		name = "TBytesStream.Realloc"
		size = 105
		refs = "0037 TArray<System.Byte> 003c @DynArraySetLength 0051 SMemoryStreamError 0058 _DV_EStreamError 005d Exception.CreateRes 0062 @RaiseExcept"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 3B 00 7E 15 8B 03 3B 46 08 74 0E 8B 03 05 FF 1F 00 00 25 00 E0 FF FF 89 03 8B 46 14 8B 13 3B 56 10 74 3C 8B 03 50 8D 46 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 14 83 3B 00 74 1B 85 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62388_0 {
	meta:
		name = "TStringStream.Create"
		size = 67
		refs = "000b @ClassCreate 0016 TEncoding.GetANSI 0024 TStringStream.Create 002f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 E8 ?? ?? ?? ?? 50 6A 00 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62389_0 {
	meta:
		name = "TStringStream.Create"
		size = 173
		refs = "0016 @ClassCreate 0028 TStringStream.Create 003e TEncoding.IsStandardEncoding 0058 TEncoding.GetBytes 0064 TBytesStream.Create 007a TArray<System.Byte> 007f @DynArrayClear 0085 @HandleFinally 0094 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 73 18 80 7D 08 00 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 88 43 1C 8D 4D F8 8B 43 18 8B D7 E8 ?? ?? ?? ?? 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_62390_0 {
	meta:
		name = "TStringStream.Create"
		size = 76
		refs = "000e @ClassCreate 001c TEncoding.GetEncoding 002a TStringStream.Create 0035 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 E8 ?? ?? ?? ?? 50 6A 01 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62391_0 {
	meta:
		name = "TStringStream.Create"
		size = 74
		refs = "000b @ClassCreate 001c TBytesStream.Create 002b TEncoding.GetBufferEncoding 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 18 8D 57 18 8B C6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62392_0 {
	meta:
		name = "TStringStream.Create"
		size = 63
		refs = "000a @ClassCreate 0013 TEncoding.GetANSI 0021 TStringStream.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 E8 ?? ?? ?? ?? 50 6A 00 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_62393_0 {
	meta:
		name = "TStringStream.Create"
		size = 212
		refs = "0016 @ClassCreate 0025 TStringStream.Create 003e DefaultSystemCodePage 0051 TEncoding.GetANSI 0070 TEncoding.GetEncoding 0081 BytesOf 008d TBytesStream.Create 00a3 TArray<System.Byte> 00a8 @DynArrayClear 00ae @HandleFinally 00bd @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 0A 8B C7 83 E8 0C 0F B7 00 EB 08 A1 ?? ?? ?? ?? 0F B7 00 0F B7 F0 85 F6 75 04 B0 01 EB 0F E8 ?? ?? ?? ?? 8B 10 FF 52 10 3B F0 0F 94 C0 84 C0 74 0A E8 ?? ?? ?? ?? 89 43 18 EB 0E 8B C6 E8 ?? ?? ?? ?? 89 43 18 C6 43 1C 01 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62394_0 {
	meta:
		name = "TStringStream.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0015 TObject.Free 0020 TMemoryStream.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 1C 00 74 08 8B 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62395_0 {
	meta:
		name = "TStringStream.GetDataString"
		size = 30
		refs = "0017 TEncoding.GetString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 12 50 56 33 C9 8B 53 14 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62396_0 {
	meta:
		name = "TStringStream.ReadString"
		size = 131
		refs = "0014 TStream.GetPosition 005c TEncoding.GetString 007b TStream.SetPosition"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 12 52 50 8B C3 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 8B C6 99 3B 54 24 04 75 09 3B 04 24 5A 58 76 17 EB 04 5A 58 7E 11 8B C3 8B 10 FF 12 8B F0 8B C3 E8 ?? ?? ?? ?? 2B F0 56 57 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 53 14 8B 43 18 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 52 50 8B C6 99 03 04 24 13 54 24 04 83 C4 08 52 50 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62397_0 {
	meta:
		name = "TStringStream.WriteString"
		size = 98
		refs = "000f TStringStream.WriteString 0022 TEncoding.GetBytes 002a @DynArrayLength 004c TArray<System.Byte> 0051 @DynArrayClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B 43 18 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62398_0 {
	meta:
		name = "TResourceStream.Create"
		size = 88
		refs = "000e @ClassCreate 001d TObject.Create 002b @UStrToPWChar 0036 TResourceStream.Initialize 0041 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 08 50 6A 00 8B 45 0C E8 ?? ?? ?? ?? 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_62399_0 {
	meta:
		name = "TResourceStream.CreateFromID"
		size = 81
		refs = "000e @ClassCreate 001d TObject.Create 002f TResourceStream.Initialize 003a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 08 50 6A 01 8B 4D 0C 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_62400_0 {
	meta:
		name = "Error"
		size = 157
		refs = "0012 Error 002f IntToStr 003f @UStrFromPWChar 0057 SResNotFound 005c LoadResString 0066 _DV_EResNotFound 006b Exception.CreateFmt 0070 @RaiseExcept 0085 @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C0 89 45 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 80 78 08 00 74 10 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 55 08 8B 52 FC E8 ?? ?? ?? ?? 8B 45 FC 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 }
	condition:
		$1
}

rule function_62401_0 {
	meta:
		name = "TResourceStream.Initialize"
		size = 108
		refs = "0018 FindResource 0027 Error 0032 LoadResource 004c SizeofResource 0056 LockResource 0060 TCustomMemoryStream.SetPointer"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 45 0C 50 8B 45 FC 50 56 E8 ?? ?? ?? ?? 8B F8 89 7B 10 85 FF 75 07 55 E8 ?? ?? ?? ?? 59 8B 43 10 50 56 E8 ?? ?? ?? ?? 8B F8 89 7B 14 85 FF 75 07 55 E8 ?? ?? ?? ?? 59 8B 43 10 50 56 E8 ?? ?? ?? ?? 50 8B 43 14 50 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_62402_0 {
	meta:
		name = "TResourceStream.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 FreeResource 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62404_0 {
	meta:
		name = "TFiler.Create"
		size = 71
		refs = "000e @ClassCreate 001f @GetMem 0030 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 75 08 89 4F 04 8B C6 E8 ?? ?? ?? ?? 89 47 08 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62405_0 {
	meta:
		name = "TFiler.Destroy"
		size = 40
		refs = "0003 @BeforeDestruction 0016 @FreeMem 0021 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 85 C0 74 08 8B 56 0C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62407_0 {
	meta:
		name = "TPropFixup.Create"
		size = 87
		refs = "000d @ClassCreate 002b @UStrAsg 0041 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 8B 45 14 89 46 08 8B 45 10 89 46 0C 8D 46 10 8B 55 0C E8 ?? ?? ?? ?? 8D 46 14 8B 55 08 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_62408_0 {
	meta:
		name = "TPropFixup.MakeGlobalReference"
		size = 95
		refs = "000c @UStrToPWChar 0042 @UStrFromPWCharLen 0052 @UStrDelete"
	strings:
		$1 = { 53 56 57 55 8B F8 33 DB 8B 47 14 E8 ?? ?? ?? ?? 8B F0 8B EE EB 03 83 C5 02 0F B7 45 00 66 85 C0 74 06 66 83 E8 2E 75 EE 66 83 7D 00 00 74 29 8B DD 2B DE D1 FB 79 03 83 D3 00 8B CB 8D 47 10 8B D6 E8 ?? ?? ?? ?? 8B CB 41 8D 47 14 BA 01 00 00 00 E8 ?? ?? ?? ?? B3 01 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62409_0 {
	meta:
		name = "TPropFixup.ResolveReference"
		size = 15
		refs = "000a SetOrdProp"
	strings:
		$1 = { 8B CA 8B 50 04 8B 40 0C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62410_0 {
	meta:
		name = "TPropIntfFixup.ResolveReference"
		size = 131
		refs = "000f TPropIntfFixup.ResolveReference 001d @IntfClear 002d GetTypeData 0043 Supports 005d SetInterfaceProp 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 85 F6 74 2E 8B 43 0C 8B 00 8B 00 E8 ?? ?? ?? ?? 83 C0 05 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8B C6 5A E8 ?? ?? ?? ?? 84 C0 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC 8B 53 0C 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62411_0 {
	meta:
		name = "FindNestedComponent"
		size = 332
		refs = "001c FindNestedComponent 0039 @UStrToPWChar 006d @UStrFromPWCharLen 0078 TComponent.FindComponent 0089 @UStrLAsg 00c1 CompareText 011c @UStrArrayClr 0122 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D FC 89 4D F8 89 4D F4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 85 DB 0F 84 D3 00 00 00 89 75 EC 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 B2 00 00 00 8B FB EB 03 83 C3 02 0F B7 03 66 85 C0 74 09 83 C0 D3 66 83 E8 02 73 EC 8B CB 2B CF D1 F9 79 03 83 D1 00 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8B F0 85 F6 75 52 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 06 C6 45 EB 01 EB 23 83 7D F8 00 74 06 83 7D F4 00 75 06 C6 45 EB 00 EB 11 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 45 EB 80 7D EB 00 74 03 8B 75 EC 85 F6 74 2E 66 83 3B 2E 75 03 83 C3 02 66 83 3B 2D 75 03 83 C3 02 66 83 3B 3E 75 03 83 C3 02 89 75 EC 66 83 3B 00 0F 85 44 FF FF FF 8B 45 EC 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4F 00 77 00 6E 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_62412_0 {
	meta:
		name = "AddFinished"
		size = 56
		refs = "000f TList.IndexOf 0031 TList.Add"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 85 C0 7D 1E 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 85 C0 7C 0D 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_62413_0 {
	meta:
		name = "AddNotFinished"
		size = 69
		refs = "000f TList.IndexOf 0020 TList.Delete 003e TList.Add"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 83 F8 FF 74 0C 8B 55 08 8B 52 FC 92 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 85 C0 7D 0D 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_62414_0 {
	meta:
		name = "GlobalFixupReferences"
		size = 461
		refs = "000a GlobalNameSpace 0017 GlobalFixupReferences 0022 GlobalFixupList 0027 TThreadList.LockList 0048 _DV_TList 004d TObject.Create 008b TList.Get 0095 FindGlobalComponent 00a9 GetOrdProp 00c7 FindNestedComponent 00de AddNotFinished 00eb AddFinished 00f5 TList.Delete 00fc TObject.Free 012d @HandleFinally 0151 _DV_TComponent 0156 @IsClass 019b TMonitor.Exit"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 8B 10 FF 52 14 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7F 08 00 0F 8E 40 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 E9 87 00 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 8B 43 10 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 0F 8B 53 0C 8B 43 04 E8 ?? ?? ?? ?? 85 C0 74 51 83 7D F4 00 74 2F 8B 45 F4 F6 40 1C 02 75 19 8B 53 14 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 8B 55 F0 8B C3 8B 08 FF 11 EB 0D 55 8B 43 04 E8 ?? ?? ?? ?? 59 46 EB 27 55 8B 43 04 E8 ?? ?? ?? ?? 59 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 0B 55 8B 43 04 E8 ?? ?? ?? ?? 59 46 3B 77 08 0F 8C 70 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 58 08 4B 85 DB 7C 2A 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 66 81 67 1C 7F FF 46 4B 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62415_0 {
	meta:
		name = "NameInStrings"
		size = 185
		refs = "001a NameInStrings 0042 @UStrLAsg 0076 CompareText 00a3 @UStrArrayClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 01 8B 45 F4 8B 10 FF 52 14 48 85 C0 7C 54 40 89 45 E8 33 DB 8D 45 FC 8B 55 F0 E8 ?? ?? ?? ?? 8D 4D F8 8B D3 8B 45 F4 8B 30 FF 56 0C 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 0A 43 FF 4D E8 75 B2 C6 45 EF 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 EF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62416_0 {
	meta:
		name = "GetFixupReferenceNames"
		size = 155
		refs = "000f GlobalFixupList 0014 TThreadList.LockList 001f GetFixupReferenceNames 0043 TList.Get 0059 NameInStrings 0088 TMonitor.Exit 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 70 08 4E 85 F6 7C 3E 46 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 85 FF 74 05 3B 7B 08 75 1A 8B 53 10 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0B 8B 53 10 8B 45 FC 8B 08 FF 51 38 FF 45 F8 4E 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62417_0 {
	meta:
		name = "RedirectFixupReferences"
		size = 278
		refs = "001d RedirectFixupReferences 0028 GlobalFixupList 002d TThreadList.LockList 005c TList.Get 0076 @UStrLAsg 00a8 CompareText 00bc @UStrAsg 00c7 GlobalFixupReferences 00e1 TMonitor.Exit 00e7 @HandleFinally 0103 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F0 8B FA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 8B 70 08 4E 85 F6 7C 79 46 C7 45 EC 00 00 00 00 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 83 7D F4 00 74 08 8B 43 08 3B 45 F4 75 50 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 10 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0B 8D 43 10 8B 55 F0 E8 ?? ?? ?? ?? FF 45 EC 4E 75 8F E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62418_0 {
	meta:
		name = "RemoveFixupReferences"
		size = 287
		refs = "001a RemoveFixupReferences 0026 GlobalFixupList 0037 TThreadList.LockList 005e TList.Get 007e @UStrLAsg 00b0 CompareText 00c3 TList.Delete 00ca TObject.Free 00ea TMonitor.Exit 00f0 @HandleFinally 010c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 4D F8 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 0F 84 C5 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 8B 58 08 4B 83 FB 00 7C 7C 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 85 FF 74 05 3B 7E 08 75 61 83 7D F4 00 75 04 B0 01 EB 42 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 56 10 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 11 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 84 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62419_0 {
	meta:
		name = "RemoveFixups"
		size = 135
		refs = "000c GlobalFixupList 0019 TThreadList.LockList 0023 RemoveFixups 003b TList.Get 004e TList.Delete 0055 TObject.Free 0075 TMonitor.Exit 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 83 3D ?? ?? ?? ?? 00 74 6E A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 5F 08 4B 83 FB 00 7C 29 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 8B 46 04 3B 45 FC 75 10 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62420_0 {
	meta:
		name = "GetFixupInstanceNames"
		size = 290
		refs = "001d GetFixupInstanceNames 0028 GlobalFixupList 002d TThreadList.LockList 0060 TList.Get 0075 @UStrLAsg 00a7 CompareText 00bf NameInStrings 00ee TMonitor.Exit 00f4 @HandleFinally 0110 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E4 8B 70 08 4E 85 F6 0F 8C 87 00 00 00 46 C7 45 E8 00 00 00 00 8B 55 E8 8B 45 E4 E8 ?? ?? ?? ?? 8B D8 8B 43 08 3B 45 F4 75 44 8D 45 FC 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 10 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 24 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 14 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 EB 02 33 C0 84 C0 74 1A 8B 53 14 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 0B 8B 53 14 8B 45 EC 8B 08 FF 51 38 FF 45 E8 4E 75 81 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62423_0 {
	meta:
		name = "PropertyNotFound"
		size = 44
		refs = "0013 SUnknownProperty 001a _DV_EReadError 001f Exception.CreateResFmt 0024 @RaiseExcept"
	strings:
		$1 = { 53 83 C4 F8 8B D8 89 1C 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_69928_0 {
	meta:
		name = "PropertyNotFound"
		size = 44
		refs = "0013 SUnknownProperty 001a _DV_EPropertyError 001f Exception.CreateResFmt 0024 @RaiseExcept"
	strings:
		$1 = { 53 83 C4 F8 8B D8 89 1C 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_71202_0 {
	meta:
		name = "ReadError"
		size = 44
		refs = "0013 SInvalidRegType 001a _DV_ERegistryException 001f Exception.CreateResFmt 0024 @RaiseExcept"
	strings:
		$1 = { 53 83 C4 F8 8B D8 89 1C 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_62424_0 {
	meta:
		name = "EnumValue"
		size = 22
		refs = "0002 GetEnumValue 000e PropValueError"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 83 FB FF 75 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_62425_0 {
	meta:
		name = "SetElementValue"
		size = 22
		refs = "0002 GetSetElementValue 000e PropValueError"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 83 FB FF 75 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_62426_0 {
	meta:
		name = "TReader.Destroy"
		size = 56
		refs = "0004 @BeforeDestruction 0025 TFiler.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 56 10 2B 56 14 8B 46 04 66 B9 01 00 8B 38 FF 57 14 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62427_0 {
	meta:
		name = "TReader.BeginReferences"
		size = 102
		refs = "000d _DV_TList 0012 TObject.Create 0020 TReader.BeginReferences 0047 @HandleAnyException 0052 TObject.Free 0057 @RaiseAgain 005c @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62428_0 {
	meta:
		name = "TReader.CheckValue"
		size = 35
		refs = "0009 TReader.ReadValue 0017 TReader.SkipValue 001c PropValueError"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 0F FF 4E 10 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62429_0 {
	meta:
		name = "TReader.DefineProperty"
		size = 167
		refs = "0011 TReader.DefineProperty 0021 @UStrLAsg 0056 CompareText 0079 @UStrClr 0093 @UStrArrayClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 45 F8 8B 93 80 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 1A 66 83 7D 12 00 74 13 8B D3 8B 45 14 FF 55 10 8D 83 80 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_62430_0 {
	meta:
		name = "TReader.DefineBinaryProperty"
		size = 340
		refs = "0018 TReader.DefineBinaryProperty 0028 @UStrLAsg 0060 CompareText 0080 TReader.ReadValue 0092 TReader.SkipValue 00a1 PropValueError 00a8 _DV_TMemoryStream 00ad TObject.Create 00ce TReader.Read 0112 TObject.Free 0118 @HandleFinally 0127 @UStrClr 0141 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D FC 89 5D F8 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 8B 92 80 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 BA 00 00 00 66 83 7D 12 00 0F 84 AF 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 3C 0A 74 1D 8B 45 F4 FF 48 10 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 C6 80 88 00 00 00 01 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC B9 04 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 8B 08 FF 51 04 8B 45 F0 8B 50 04 8B 4D EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 C6 80 88 00 00 00 01 8B 55 F0 8B 45 14 FF 55 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 05 80 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_62431_0 {
	meta:
		name = "TReader.EndOfList"
		size = 20
		refs = "0006 TReader.ReadValue"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 94 C0 FF 4B 10 5B C3 }
	condition:
		$1
}

rule function_62432_0 {
	meta:
		name = "TReader.EndReferences"
		size = 25
		refs = "0006 TReader.FreeFixups 000e TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 33 C0 89 43 34 5B C3 }
	condition:
		$1
}

rule function_62433_0 {
	meta:
		name = "TReader.Error"
		size = 33
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 78 62 00 74 0D 54 8B D8 8B CA 8B D0 8B 43 64 FF 53 60 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_62434_0 {
	meta:
		name = "TReader.FindMethodInstance"
		size = 111
		refs = "0023 TObject.MethodAddress"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 89 55 FC 8B D8 8B 75 08 66 83 7B 42 00 74 2E 8B 45 FC 8B 00 8B 55 F8 E8 ?? ?? ?? ?? 89 06 8B 45 FC 89 46 04 83 3E 00 0F 94 45 F7 56 8D 45 F7 50 8B 4D F8 8B D3 8B 43 44 FF 53 40 EB 04 C6 45 F7 01 80 7D F7 00 74 15 8B 45 FC 89 46 04 8B 4D F8 8B 55 FC 8B C3 8B 18 FF 53 1C 89 06 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_62435_0 {
	meta:
		name = "TReader.FindMethod"
		size = 77
		refs = "0011 TObject.MethodAddress 0040 PropValueError"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F1 8B FA 8B D8 8B 07 8B D6 E8 ?? ?? ?? ?? 89 04 24 83 3C 24 00 0F 94 44 24 04 66 83 7B 3A 00 74 10 54 8D 44 24 08 50 8B CE 8B D3 8B 43 3C FF 53 38 80 7C 24 04 00 74 05 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62436_0 {
	meta:
		name = "RemoveGlobalFixup"
		size = 127
		refs = "0009 GlobalFixupList 000e TThreadList.LockList 0018 RemoveGlobalFixup 0030 TList.Get 0045 TObject.Free 004e TList.Delete 006e TMonitor.Exit 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 5E 08 4B 83 FB 00 7C 2D 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 04 3B 57 04 75 16 8B 50 0C 3B 57 0C 75 0E E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_62437_0 {
	meta:
		name = "TReader.DoFixupReferences"
		size = 324
		refs = "0015 TReader.DoFixupReferences 0056 TList.Get 0063 @UStrLAsg 0079 FindNestedComponent 00b1 RemoveGlobalFixup 00be TPropFixup.MakeGlobalReference 00d6 GlobalFixupList 00db TThreadList.Add 00ea TList.Put 0114 TReader.FreeFixups 011a @HandleFinally 0131 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 30 85 C0 0F 84 F3 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 08 48 85 C0 0F 8C BC 00 00 00 40 89 45 F0 33 F6 8B 45 F8 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 53 14 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 F8 8B 08 FF 51 24 8B 43 08 8B 55 FC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 1D 8B 45 F8 66 83 78 7A 00 74 13 8D 45 F4 50 8B 7D F8 8B 4D FC 8B 55 F8 8B 47 7C FF 57 78 8B 45 F8 8B 40 30 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F4 00 75 35 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2A 8B 45 F8 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 30 33 C9 8B D6 E8 ?? ?? ?? ?? EB 09 8B 55 F4 8B C3 8B 08 FF 11 46 FF 4D F0 0F 85 4A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62438_0 {
	meta:
		name = "TReader.FixupReferences"
		size = 54
		refs = "0008 TReader.DoFixupReferences 000d GlobalFixupReferences 0025 TList.Get"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 34 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 34 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 0C 46 4B 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62439_0 {
	meta:
		name = "TReader.FlushBuffer"
		size = 33
		refs = "0006 TReader.GetPosition 0011 TStream.SetPosition"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 99 52 50 8B 43 04 E8 ?? ?? ?? ?? 33 C0 89 43 10 33 C0 89 43 14 5B C3 }
	condition:
		$1
}

rule function_62440_0 {
	meta:
		name = "TReader.FreeFixups"
		size = 59
		refs = "001d TList.Get 0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 30 85 C0 74 2B 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 43 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 43 30 E8 ?? ?? ?? ?? 33 C0 89 43 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62441_0 {
	meta:
		name = "TReader.GetFieldClass"
		size = 148
		refs = "0019 GetFieldClassTable 0045 TObject.ClassNameIs 0057 TObject.ClassParent 005f _DV_TPersistent 0077 TClassFinder.GetClass 0084 GetClass"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 89 04 24 8B 12 89 D0 8B E8 EB 47 8B C5 E8 ?? ?? ?? ?? 8B F0 85 F6 74 31 0F BF 1E 4B 85 DB 7C 29 43 C7 44 24 08 00 00 00 00 8B 44 24 08 8B 44 86 02 8B 38 8B 54 24 04 8B C7 E8 ?? ?? ?? ?? 84 C0 75 3D FF 44 24 08 4B 75 E0 8B C5 E8 ?? ?? ?? ?? 8B E8 3B 2D ?? ?? ?? ?? 75 B1 8B 04 24 8B 80 84 00 00 00 85 C0 74 0D 8B 54 24 04 E8 ?? ?? ?? ?? 8B F8 EB 0B 8B 44 24 04 E8 ?? ?? ?? ?? 8B F8 8B C7 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62442_0 {
	meta:
		name = "TReader.GetPosition"
		size = 21
		refs = "0007 TStream.GetPosition"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8B 53 14 2B 53 10 2B C2 5B C3 }
	condition:
		$1
}

rule function_62443_0 {
	meta:
		name = "TReader.NextValue"
		size = 15
		refs = "0006 TReader.ReadValue"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? FF 4B 10 5B C3 }
	condition:
		$1
}

rule function_62444_0 {
	meta:
		name = "TReader.PropertyError"
		size = 17
		refs = "0004 TReader.SkipValue 000b PropertyNotFound"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76171_0 {
	meta:
		name = "TDragObject.ReleaseCapture"
		size = 17
		refs = "0004 ReleaseCapture 000b DeallocateHWnd"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_62445_0 {
	meta:
		name = "TReader.Read"
		size = 73
		refs = "0016 TReader.ReadBuffer"
	strings:
		$1 = { 56 57 53 89 D7 89 CB 89 C6 EB 36 8B 4E 14 2B 4E 10 77 0A 89 F0 E8 ?? ?? ?? ?? 8B 4E 14 39 D9 72 02 89 D9 56 29 CB 8B 46 08 03 46 10 01 4E 10 89 C6 89 CA C1 E9 02 FC F3 A5 89 D1 83 E1 03 F3 A4 5E 09 DB 75 C6 5B 5F 5E C3 }
	condition:
		$1
}

rule function_62446_0 {
	meta:
		name = "TReader.ReadBuffer"
		size = 58
		refs = "001d SReadError 0024 _DV_EReadError 0029 Exception.CreateRes 002e @RaiseExcept"
	strings:
		$1 = { 53 56 8B D8 8B 53 08 8B 4B 0C 8B 43 04 8B 30 FF 56 0C 8B F0 89 73 14 85 F6 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 43 10 5E 5B C3 }
	condition:
		$1
}

rule function_62447_0 {
	meta:
		name = "TReader.ReadBoolean"
		size = 41
		refs = "0006 TReader.ReadValue 001c SInvalidPropertyValue 0021 ReadError"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 80 C2 F8 80 EA 02 73 07 3C 09 0F 94 C0 5B C3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5B C3 }
	condition:
		$1
}

rule function_62448_0 {
	meta:
		name = "TReader.ReadChar"
		size = 93
		refs = "000c TReader.ReadChar 001c TReader.ReadString 0030 PropValueError 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 48 7E 05 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_62449_0 {
	meta:
		name = "TReader.ReadWideChar"
		size = 95
		refs = "000c TReader.ReadWideChar 001c TReader.ReadWideString 0032 PropValueError 004d @WStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 48 7E 05 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_62450_0 {
	meta:
		name = "TReader.ReadCollection"
		size = 172
		refs = "0017 TReader.ReadCollection 0024 TReader.EndOfList 0030 TCollection.Clear 0039 TReader.NextValue 0046 TReader.ReadInteger 004e TCollection.Add 0057 TReader.ReadListBegin 0062 TReader.ReadProperty 0074 TReader.ReadListEnd 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 4C 8B 45 FC E8 ?? ?? ?? ?? EB 42 8B C3 E8 ?? ?? ?? ?? 04 FE 2C 03 73 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 EC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 B3 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62451_0 {
	meta:
		name = "AddSubComponentsToLoaded"
		size = 57
		refs = "000c @DynArrayLength 002d TList.Add"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1E 43 33 F6 8B 45 08 8B 40 FC 8B 14 B0 8B 45 08 8B 40 F0 8B 40 34 E8 ?? ?? ?? ?? 46 4B 75 E5 5E 5B 5D C3 }
	condition:
		$1
}

rule function_62452_0 {
	meta:
		name = "CheckSubComponents"
		size = 119
		refs = "000b TComponent.GetComponentCount 001e TComponent.GetComponent 002f @DynArrayLength 0042 :TReader.:1 0047 @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 5C 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? F6 40 28 04 74 46 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 40 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D3 8B C7 E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 59 89 4C 82 FC 43 4E 75 A7 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_62453_0 {
	meta:
		name = "SetSubComponentState"
		size = 97
		refs = "0015 @DynArrayLength"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 55 FD 66 89 45 FE 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3B 46 33 DB 80 7D FD 00 74 17 8B 45 08 8B 40 FC 8B 3C 98 0F B7 47 1C 66 0B 45 FE 66 89 47 1C EB 17 8B 45 08 8B 40 FC 8B 3C 98 0F B7 45 FE F7 D0 66 23 47 1C 66 89 47 1C 43 4E 75 C8 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62454_0 {
	meta:
		name = "ComponentCreated"
		size = 29
	strings:
		$1 = { 55 8B EC 8B 45 08 F6 40 EF 01 75 09 8B 45 08 83 78 E8 00 74 04 33 C0 5D C3 B0 01 5D C3 }
	condition:
		$1
}

rule function_62455_0 {
	meta:
		name = "Recover"
		size = 94
		refs = "000a ExceptObject 0010 _Dn_Exception 0015 @IsClass 0022 ComponentCreated 002e TObject.Free 003f TReader.SkipComponent"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 33 DB E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3B 8B 45 08 50 E8 ?? ?? ?? ?? 59 84 C0 74 07 8B 06 E8 ?? ?? ?? ?? 33 C0 89 06 8B 45 08 8B 40 F0 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 04 8B 45 08 8B 40 F0 8B 08 FF 51 10 8B D8 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_62456_0 {
	meta:
		name = "CreateComponent"
		size = 270
		refs = "000a CreateComponent 0021 TReader.FindComponentClass 00bb @HandleAnyException 00c8 @RaiseAgain 00cd @DoneExcept 00f6 Recover"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 50 E4 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B D8 8B 45 08 33 D2 89 50 F8 8B 45 08 8B 40 F0 66 83 78 72 00 74 1B 8B 45 08 83 C0 F8 50 8B 45 08 8B 70 F0 8B 45 08 8B 50 F0 8B CB 8B 46 74 FF 56 70 8B 45 08 83 78 F8 00 75 71 8B C3 FF 50 F4 8B 55 08 89 42 F8 8B 45 08 F6 40 EF 04 74 17 8B 45 08 8B 40 F8 66 83 48 1C 01 8B 45 08 8B 40 F8 66 81 48 1C 00 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F0 8B 48 28 8B 45 08 8B 40 F8 83 CA FF 8B 18 FF 53 38 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 08 33 D2 89 50 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 66 83 48 1C 01 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 8B 45 08 50 8B 45 08 83 C0 F8 E8 ?? ?? ?? ?? 59 84 C0 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_62457_0 {
	meta:
		name = "SetCompName"
		size = 160
		refs = "000a SetCompName 0028 @CallDynaInst 0056 FindGlobalComponent 0079 @HandleAnyException 0088 Recover 0092 @RaiseAgain 0097 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F0 8B 50 2C 8B 45 08 8B 40 F8 66 BE F8 FF E8 ?? ?? ?? ?? 8B 45 08 8D 48 F4 8B 45 08 8B 50 F8 8B 45 08 8B 40 F0 8B 18 FF 53 20 8B 45 08 8B 40 F8 F6 40 1C 10 74 1F 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 55 08 3B 42 F8 75 0C 8B 45 08 8B 40 F8 66 81 48 1C 00 02 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 8B 45 08 50 8B 45 08 83 C0 F8 E8 ?? ?? ?? ?? 59 84 C0 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_62458_0 {
	meta:
		name = "FindExistingComponent"
		size = 160
		refs = "000a FindExistingComponent 0021 TReader.FindComponentClass 0049 @CallDynaInst 0079 @HandleAnyException 0088 Recover 0092 @RaiseAgain 0097 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 50 E4 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 50 F4 8B 45 08 8B 40 F0 8B 18 FF 53 14 8B 55 08 89 42 F8 8B 45 08 8B 40 F8 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 F0 89 58 2C 85 DB 75 12 8B 45 08 8B 40 F0 8B 40 18 8B 55 08 8B 52 F0 89 42 2C 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 8B 45 08 50 8B 45 08 83 C0 F8 E8 ?? ?? ?? ?? 59 84 C0 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_62459_0 {
	meta:
		name = "TReader.ReadComponent"
		size = 576
		refs = "001e TReader.ReadComponent 003d TReader.ReadStr 0080 FindExistingComponent 0089 CreateComponent 00ab CheckSubComponents 00c3 SetSubComponentState 00d0 SetCompName 00e4 @TryFinallyExit 0151 @CallDynaInst 016e TList.IndexOf 017b AddSubComponentsToLoaded 018a TList.Add 01b3 @HandleAnyException 01b9 ComponentCreated 01c6 TObject.Free 01cb @RaiseAgain 01d0 @DoneExcept 01f5 @HandleFinally 020c @UStrClr 021d :TReader.:1 0222 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D E4 89 4D F4 89 4D FC 89 55 E8 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E0 8D 55 EF 8B 45 F0 8B 18 FF 53 28 8D 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 2C 89 45 DC 8B 45 F0 8B 40 1C 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 89 45 F8 83 7D F8 00 75 16 F6 45 EF 01 74 09 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 83 7D F8 00 0F 84 3C 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 F8 66 83 48 1C 01 55 B2 01 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 F6 45 EF 01 75 07 55 E8 ?? ?? ?? ?? 59 83 7D F8 00 75 12 33 C0 5A 59 59 64 89 10 E8 ?? ?? ?? ?? E9 0E 01 00 00 8B 45 F8 F6 40 1D 02 74 09 8B 45 F0 8B 55 F8 89 50 1C 8B 45 F8 66 83 48 1C 02 55 B2 01 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 55 F0 8B 45 F8 8B 08 FF 51 14 8B 45 F8 66 83 60 1C FD 55 33 D2 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 F6 45 EF 02 74 15 8B 45 F0 8B 40 2C 8B 4D E0 8B 55 F8 66 BE F9 FF E8 ?? ?? ?? ?? F6 45 EF 01 75 09 8B 45 F8 F6 40 1D 02 74 2C 8B 45 F0 8B 40 34 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 7D 32 55 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 F0 8B 40 34 8B 55 F8 E8 ?? ?? ?? ?? EB 18 55 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 F0 8B 40 34 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 74 08 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 55 DC 89 50 2C 8B 45 F0 8B 55 D8 89 50 1C C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 8B 45 F8 5F 5E 5B 8B E5 5D C3 01 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_62460_0 {
	meta:
		name = "TReader.ReadData"
		size = 112
		refs = "0016 _DV_TList 001b TObject.Create 0029 TReader.ReadData 0039 TReader.ReadDataInner 0041 TReader.DoFixupReferences 0056 TReader.FreeFixups 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 83 78 30 00 75 4F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_62461_0 {
	meta:
		name = "TReader.ReadDataInner"
		size = 208
		refs = "0016 TReader.ReadProperty 001e TReader.EndOfList 002a TReader.ReadListEnd 0047 @CallDynaInst 0055 TReader.ReadDataInner 008a TReader.ReadComponent 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B DA 89 45 FC EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 EA 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 2C 89 45 F8 8B 45 FC 8B 40 28 89 45 F4 8B C3 66 BE FB FF E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 66 BE FC FF E8 ?? ?? ?? ?? 8B F8 8B 45 FC 89 78 28 85 FF 75 18 8B 45 FC 8B 40 18 8B 55 FC 89 42 28 EB 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 EA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 50 2C 8B 45 FC 8B 55 F4 89 50 28 C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62462_0 {
	meta:
		name = "TReader.ReadFloat"
		size = 55
		refs = "0009 TReader.ReadValue 001b TReader.Read 0027 TReader.ReadDouble"
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 05 75 10 8B D4 B9 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0E FF 4B 10 8B C3 E8 ?? ?? ?? ?? DB 3C 24 9B DB 2C 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_62463_0 {
	meta:
		name = "TReader.ReadDouble"
		size = 67
		refs = "0009 TReader.ReadValue 001b TReader.Read 0027 TReader.ReadInt64"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 15 75 10 8B D4 B9 08 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 1A FF 4B 10 8B C3 E8 ?? ?? ?? ?? 89 44 24 08 89 54 24 0C DF 6C 24 08 DD 1C 24 9B DD 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_62464_0 {
	meta:
		name = "TReader.ReadSingle"
		size = 67
		refs = "0009 TReader.ReadValue 001b TReader.Read 0027 TReader.ReadInt64"
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 0F 75 10 8B D4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 1A FF 4B 10 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 89 54 24 08 DF 6C 24 04 D9 1C 24 9B D9 04 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_62465_0 {
	meta:
		name = "TReader.ReadCurrency"
		size = 80
		refs = "0009 TReader.ReadValue 001b TReader.Read 0027 TReader.ReadInt64 0039 TReader.ReadCurrency"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 10 75 10 8B D4 B9 08 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 20 FF 4B 10 8B C3 E8 ?? ?? ?? ?? 89 44 24 08 89 54 24 0C DF 6C 24 08 D8 0D ?? ?? ?? ?? DF 3C 24 9B DF 2C 24 83 C4 10 5B C3 00 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_62466_0 {
	meta:
		name = "TReader.ReadDate"
		size = 67
		refs = "0009 TReader.ReadValue 001b TReader.Read 0027 TReader.ReadInt64"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 11 75 10 8B D4 B9 08 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 1A FF 4B 10 8B C3 E8 ?? ?? ?? ?? 89 44 24 08 89 54 24 0C DF 6C 24 08 DD 1C 24 9B DD 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_62467_0 {
	meta:
		name = "TReader.ReadIdent"
		size = 392
		refs = "0013 TReader.ReadIdent 0020 TReader.ReadValue 006f TReader.Read 007f @LStrFromPCharLen 0087 @UniqueStringA 009f @LStrLAsg 00aa UTF8ToUnicodeString 00b4 @UStrAsg 00f3 PropValueError 0108 @UStrClr 0110 @LStrClr 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 0D 0F 87 C2 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 05 00 00 00 00 00 00 01 02 03 00 00 00 04 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F3 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 0F B6 4D F3 8D 45 FC 33 D2 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 0F B6 4D F3 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B C6 8B 55 F4 E8 ?? ?? ?? ?? EB 3D 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6E 00 69 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 75 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_62468_0 {
	meta:
		name = "TReader.ReadInteger"
		size = 107
		refs = "0009 TReader.ReadValue 0027 TReader.Read 0060 PropValueError"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 2C 02 74 0A FE C8 74 20 FE C8 74 36 EB 44 8D 54 24 04 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F BE 44 24 04 89 04 24 EB 2F 8D 54 24 06 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F BF 44 24 06 89 04 24 EB 15 8B D4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_62469_0 {
	meta:
		name = "TReader.ReadInt64"
		size = 66
		refs = "0009 TReader.NextValue 0014 TReader.ReadValue 0022 TReader.Read 002b TReader.ReadInteger"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 13 75 17 8B C3 E8 ?? ?? ?? ?? 8B D4 B9 08 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0F 8B C3 E8 ?? ?? ?? ?? 99 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_62472_0 {
	meta:
		name = "TReader.ReadPrefix"
		size = 64
		refs = "000c TReader.ReadPrefix 0015 TReader.NextValue 0022 TReader.ReadValue 0032 TReader.ReadInteger"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 0F B6 05 ?? ?? ?? ?? 88 06 8B C3 E8 ?? ?? ?? ?? 24 F0 3C F0 75 19 8B C3 E8 ?? ?? ?? ?? 24 0F 88 06 F6 06 02 74 09 8B C3 E8 ?? ?? ?? ?? 89 07 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_62473_0 {
	meta:
		name = "HandleException"
		size = 206
		refs = "0012 HandleException 0020 @UStrClr 002c _DV_TComponent 0031 @IsClass 0046 @UStrLAsg 005c TObject.ClassName 006b DotSep 0097 SPropertyException 009e _DV_EReadError 00a3 Exception.CreateResFmt 00a8 @RaiseExcept 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8D 45 FC 8B 55 08 8B 52 FC 8B 52 08 E8 ?? ?? ?? ?? 83 7D FC 00 75 10 8D 55 FC 8B 45 08 8B 40 FC 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 89 45 DC C6 45 E0 11 A1 ?? ?? ?? ?? 8B 00 89 45 E4 C6 45 E8 11 8B 45 08 8B 40 F8 89 45 EC C6 45 F0 11 8B 43 04 89 45 F4 C6 45 F8 11 8D 45 DC 50 6A 03 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62474_0 {
	meta:
		name = "PropPathError"
		size = 26
		refs = "000a TReader.SkipValue 000f SInvalidPropertyPath 0014 ReadError"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_62475_0 {
	meta:
		name = "TReader.ReadProperty"
		size = 599
		refs = "0018 TReader.ReadProperty 0037 TReader.ReadStr 0096 @UStrCopy 00b6 GetPropInfo 00cc @UStrAsg 0108 TReader.PropertyError 0135 GetOrdProp 0141 _DV_TPersistent 0146 @IsClass 0150 PropPathError 0188 TReader.ReadPropValue 01d5 @HandleOnException 01dd _Dn_Exception 01e7 HandleException 01ed @DoneExcept 022a @RaiseAgain 0244 @UStrClr 024a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F8 89 55 FC 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BB 01 00 00 00 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B F0 8B 45 FC 89 45 EC 8B 45 F4 C6 80 88 00 00 00 01 89 5D F0 EB 01 43 3B F3 7C 0B 8B 45 F8 66 83 7C 58 FE 2E 75 F0 8B 45 F4 05 80 00 00 00 50 8B CB 2B 4D F0 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 3B F3 0F 8C BF 00 00 00 8B 45 F4 8B 90 80 00 00 00 8B 45 EC 8B 00 83 C0 B8 8B 00 E8 ?? ?? ?? ?? 8B F8 85 FF 75 61 8B 45 F4 05 80 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 C6 80 88 00 00 00 00 8B 55 F4 8B 45 EC 8B 08 FF 51 04 8B 45 F4 C6 80 88 00 00 00 01 8B 45 F4 83 B8 80 00 00 00 00 74 11 8B 45 F4 8B 90 80 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 33 C0 5A 59 59 64 89 10 E9 12 01 00 00 33 C0 89 45 E8 8B 07 8B 00 80 38 07 75 0D 8B D7 8B 45 EC E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 07 55 E8 ?? ?? ?? ?? 59 8B 45 E8 89 45 EC 43 E9 0B FF FF FF 8B 45 F4 8B 90 80 00 00 00 8B 45 EC 8B 00 83 C0 B8 8B 00 E8 ?? ?? ?? ?? 8B F8 85 FF 74 0F 8B CF 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? EB 3C 8B 45 F4 C6 80 88 00 00 00 00 8B 55 F4 8B 45 EC 8B 08 FF 51 04 8B 45 F4 C6 80 88 00 00 00 01 8B 45 F4 83 B8 80 00 00 00 00 74 11 8B 45 F4 8B 90 80 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 38 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 F4 80 B8 88 00 00 00 00 74 0F 8B 53 04 8B 45 F4 8B 08 FF 51 10 84 C0 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62476_0 {
	meta:
		name = "SetIntIdent"
		size = 69
		refs = "0015 FindIdentToInt 0033 SetOrdProp 003a PropValueError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 89 45 FC 8B 06 8B 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 8D 55 F8 8B C7 FF D3 84 C0 74 0F 8B 4D F8 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62477_0 {
	meta:
		name = "SetObjectIdent"
		size = 61
		refs = "001f _DV_TPropFixup 0024 TPropFixup.Create 0034 TList.Add"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 8B 40 FC 8B 40 18 50 56 6A 00 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 40 30 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_62478_0 {
	meta:
		name = "SetVariantReference"
		size = 90
		refs = "000d SetVariantReference 0021 TReader.ReadVariant 0035 SetVariantProp 004a @VarClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 4D F0 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_62479_0 {
	meta:
		name = "SetInterfaceReference"
		size = 189
		refs = "000b SetInterfaceReference 001c TReader.NextValue 002b TReader.ReadValue 0033 @IntfClear 0047 SetInterfaceProp 006a TReader.ReadIdent 007b _DV_TPropIntfFixup 0080 TPropFixup.Create 0090 TList.Add 00a5 @UStrClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3C 0D 75 29 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B 4D FC E8 ?? ?? ?? ?? EB 47 8B 45 08 8B 40 FC 8B 40 18 50 8B 45 08 8B 40 F4 50 6A 00 8D 55 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 08 8B 48 F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 40 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_62480_0 {
	meta:
		name = "TReader.ReadPropValue"
		size = 885
		refs = "0022 TReader.ReadPropValue 0048 GetOrdProp 004e _DV_TComponent 0053 @IsClass 006d SReadOnlyProperty 0072 ReadError 00e0 TReader.NextValue 00ef TReader.ReadIdent 00fd SetIntIdent 010a TReader.ReadInteger 0117 SetOrdProp 0124 TReader.ReadChar 013f TReader.ReadWideChar 0167 GetEnumValue 0183 SInvalidPropertyValue 0195 TReader.ReadFloat 01a7 SetFloatProp 01b7 TReader.ReadString 01cc SetUnicodeStrProp 01dc TReader.ReadWideString 01ea SetWideStrProp 0205 @UStrFromWStr 0222 TReader.ReadSet 024e TReader.ReadValue 027d TReader.ReadCollection 029c SetObjectIdent 02bb NilMethod 02c6 SetMethodProp 0304 SetVariantReference 030f TReader.ReadInt64 031c SetInt64Prop 0324 SetInterfaceReference 033f @UStrArrayClr 0347 @WStrClr 034f @UStrClr 036a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 78 08 00 75 41 8B 45 F4 8B 00 8B 00 80 38 07 75 2B 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? F6 40 28 04 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 00 8B 18 0F B6 03 83 F8 12 0F 87 A0 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3C 07 75 1E 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D E8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 23 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 09 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 0F B7 C8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 EE 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 0F B7 C8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 D3 01 00 00 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 83 F8 FF 74 12 8B C8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 A7 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 98 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 79 01 00 00 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 8B 55 F4 8B 4D F8 89 45 DC 8B 45 DC 91 E8 ?? ?? ?? ?? E9 54 01 00 00 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D D8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 36 01 00 00 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 4D D4 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 0D 01 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 F1 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 2C 0D 74 06 FE C8 74 1C EB 3C 8B 45 FC E8 ?? ?? ?? ?? 33 C9 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 C5 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? E9 A3 00 00 00 55 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D CC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 59 E9 83 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 3C 0D 75 1A 8B 45 FC E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? EB 5D 8D 45 EC 50 8D 55 C8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D C8 8B 45 FC 8B 50 18 8B 45 FC 8B 18 FF 53 18 83 7D EC 00 74 37 8D 4D EC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? EB 27 55 E8 ?? ?? ?? ?? 59 EB 1E 8B 45 FC E8 ?? ?? ?? ?? 52 50 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? EB 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62481_0 {
	meta:
		name = "FindUniqueName"
		size = 104
		refs = "0014 @UStrAsg 0033 FindUniqueName 0038 Format 003f IsUniqueGlobalComponentName"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B DA 8B F8 33 F6 8B C3 8B D7 E8 ?? ?? ?? ?? EB 22 46 53 89 7D F0 C6 45 F4 11 89 75 F8 C6 45 FC 00 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 74 D3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 5F 00 25 00 64 00 00 00 }
	condition:
		$1
}

rule function_62482_0 {
	meta:
		name = "TReader.ReadRootComponent"
		size = 817
		refs = "0027 TReader.ReadRootComponent 0035 TReader.ReadSignature 003f GlobalNameSpace 007f TReader.ReadStr 0087 FindClass 00f6 FindUniqueName 011c _DV_TClassFinder 0121 TClassFinder.Create 0146 @GetTls 014c GlobalLoaded 0167 _DV_TList 016c TObject.Create 0191 TList.IndexOf 01a6 TList.Add 020b TList.Get 0234 TObject.Free 0242 @HandleFinally 027a GlobalFixupReferences 0291 @HandleAnyException 0296 ExceptObject 02aa @RaiseAgain 02af @DoneExcept 02ca RemoveFixupReferences 031b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D D4 89 4D D0 89 4D D8 89 4D DC 89 4D E0 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F4 A1 ?? ?? ?? ?? 8B 10 FF 52 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8D 55 EF 8B 45 FC 8B 18 FF 53 28 83 7D F8 00 75 35 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 33 C9 B2 01 FF 50 38 89 45 F4 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F4 8B 08 FF 51 24 EB 58 8B 45 F8 89 45 F4 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 F6 40 1C 10 74 0D 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? EB 31 8B 45 F4 66 83 48 1C 01 8B 45 F4 66 83 48 1C 02 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D0 8D 55 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F4 8B 08 FF 51 24 8B 45 FC 8B 55 F4 89 50 18 8B 45 F4 8B 00 89 C3 6A 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 84 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 55 F4 89 50 1C E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 74 0B 8B 45 FC 8B 55 E8 89 50 34 EB 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 18 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 85 C0 7D 11 8B 45 FC 8B 50 18 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 8B 55 FC 89 42 28 8B 45 FC 8B 40 18 66 83 48 1C 01 8B 45 FC 8B 40 18 66 83 48 1C 02 8B 45 FC 8B 40 18 8B 55 FC 8B 08 FF 51 14 8B 45 FC 8B 40 18 66 83 60 1C FD 83 7D E8 00 75 2F 8B 45 FC 8B 40 34 8B 58 08 4B 85 DB 7C 21 43 C7 45 F0 00 00 00 00 8B 45 FC 8B 40 34 8B 55 F0 E8 ?? ?? ?? ?? 8B 10 FF 52 0C FF 45 F0 4B 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 75 0B 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 34 C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 84 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2D 33 C0 5A 59 59 64 89 10 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 04 8B 45 FC 8B 08 FF 51 10 84 C0 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB B6 33 C0 5A 59 59 64 89 10 EB 27 E9 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 75 08 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62483_0 {
	meta:
		name = "TReader.ReadComponents"
		size = 237
		refs = "0026 TReader.BeginReferences 002e TReader.ReadComponents 0043 _DV_TClassFinder 0048 TClassFinder.Create 0069 TReader.ReadSignature 0073 TReader.ReadComponent 008c TReader.EndOfList 009a TReader.CheckValue 00a2 TReader.FixupReferences 00bd TObject.Free 00c3 @HandleFinally 00da TReader.EndReferences"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B D3 8B 45 FC 8B 08 FF 11 8B 45 FC 89 58 28 8B 45 FC 89 70 2C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 89 C6 6A 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 84 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 23 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D8 66 83 7D 0A 00 74 08 8B D3 8B 45 0C FF 55 08 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 D1 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 84 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_62484_0 {
	meta:
		name = "TReader.ReadSet"
		size = 186
		refs = "0017 TReader.ReadSet 0033 TReader.ReadValue 003c PropValueError 0043 GetTypeData 0055 TReader.ReadStr 0065 SetElementValue 007e @HandleAnyException 0086 TReader.SkipSetBody 008b @RaiseAgain 0090 @DoneExcept 00a5 @UStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 3C 0B 74 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 40 01 8B 30 33 DB 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 83 7D FC 00 74 14 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 83 F8 1F 77 E0 0F AB C3 EB DB 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62485_0 {
	meta:
		name = "TReader.ReadSignature"
		size = 36
		refs = "0009 TReader.Read 0012 FilerSignature 0019 SInvalidImage 001e ReadError"
	strings:
		$1 = { 51 8B D4 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 04 24 3B 05 ?? ?? ?? ?? 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_62486_0 {
	meta:
		name = "TReader.ReadStr"
		size = 143
		refs = "0015 TReader.ReadStr 002a TReader.Read 003d TArray<System.Byte> 0042 @DynArraySetLength 0058 TEncoding.GetUTF8 0062 TEncoding.GetString 007d @DynArrayClear 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FB B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 45 FB 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 0F B6 4D FB 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CE 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62487_0 {
	meta:
		name = "TReader.ReadString"
		size = 230
		refs = "0013 TReader.ReadString 0020 TReader.NextValue 0032 TReader.ReadWideString 003c @UStrFromWStr 004a TReader.ReadValue 0063 TReader.Read 007b PropValueError 008d TArray<System.Byte> 0092 @DynArraySetLength 00a7 TEncoding.GetANSI 00b1 TEncoding.GetString 00c6 @WStrClr 00d4 @DynArrayClear 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 2C 12 74 04 2C 02 75 16 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? EB 73 33 C0 89 45 F8 8B C3 E8 ?? ?? ?? ?? 2C 06 74 06 2C 06 74 13 EB 22 8D 55 F8 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 16 8D 55 F8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B 4D F8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CE 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62488_0 {
	meta:
		name = "TReader.ReadWideString"
		size = 317
		refs = "0014 TReader.ReadWideString 0021 TReader.NextValue 0033 TReader.ReadString 003d @WStrFromUStr 0049 TReader.ReadValue 0065 TReader.Read 0079 TArray<System.Byte> 007e @DynArraySetLength 0095 TEncoding.GetUnicode 00a0 TEncoding.GetString 00e7 TEncoding.GetUTF8 0103 PropValueError 011d @UStrArrayClr 012b @DynArrayClear 0131 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 2C 06 74 04 2C 06 75 19 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? E9 C1 00 00 00 8B C3 E8 ?? ?? ?? ?? 2C 12 74 09 2C 02 74 5B E9 A8 00 00 00 8D 55 F8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 03 C0 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 4D F8 03 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? EB 57 8D 55 F8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B 4D F8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EC 8B 55 FC E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62489_0 {
	meta:
		name = "TReader.ReadValue"
		size = 19
		refs = "0009 TReader.Read"
	strings:
		$1 = { 51 8B D4 B9 01 00 00 00 E8 ?? ?? ?? ?? 0F B6 04 24 5A C3 }
	condition:
		$1
}

rule function_66914_0 {
	meta:
		name = "PeekI8"
		size = 19
		refs = "0009 PeekData"
	strings:
		$1 = { 51 8B D4 B9 01 00 00 00 E8 ?? ?? ?? ?? 0F B6 04 24 5A C3 }
	condition:
		$1
}

rule function_66919_0 {
	meta:
		name = "PeekU8"
		size = 19
		refs = "0009 PeekData"
	strings:
		$1 = { 51 8B D4 B9 01 00 00 00 E8 ?? ?? ?? ?? 0F B6 04 24 5A C3 }
	condition:
		$1
}

rule function_66905_0 {
	meta:
		name = "ReadI8"
		size = 19
		refs = "0009 ReadData"
	strings:
		$1 = { 51 8B D4 B9 01 00 00 00 E8 ?? ?? ?? ?? 0F B6 04 24 5A C3 }
	condition:
		$1
}

rule function_66909_0 {
	meta:
		name = "ReadU8"
		size = 19
		refs = "0009 ReadData"
	strings:
		$1 = { 51 8B D4 B9 01 00 00 00 E8 ?? ?? ?? ?? 0F B6 04 24 5A C3 }
	condition:
		$1
}

rule function_62490_0 {
	meta:
		name = "TReader.SetPosition"
		size = 30
		refs = "000e TStream.SetPosition"
	strings:
		$1 = { 53 8B CA 8B D8 8B C1 99 52 50 8B 43 04 E8 ?? ?? ?? ?? 33 C0 89 43 10 33 C0 89 43 14 5B C3 }
	condition:
		$1
}

rule function_62491_0 {
	meta:
		name = "TReader.SkipSetBody"
		size = 71
		refs = "000c TReader.SkipSetBody 001c TReader.ReadStr 0037 @UStrClr 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_62492_0 {
	meta:
		name = "SkipList"
		size = 42
		refs = "000f TReader.SkipValue 0016 TReader.EndOfList 0023 TReader.CheckValue"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 FC EB 07 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 74 EE 8B 03 33 D2 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_62493_0 {
	meta:
		name = "SkipBinary"
		size = 47
		refs = "0016 TReader.Read 0027 TReader.SkipBytes"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8D 55 FC 8B 45 08 8B 40 FC B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 0F AF D3 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_62494_0 {
	meta:
		name = "SkipCollection"
		size = 100
		refs = "0010 TReader.NextValue 001d TReader.SkipValue 0029 TReader.SkipBytes 0032 TReader.SkipProperty 0039 TReader.EndOfList 0048 TReader.CheckValue"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 83 C3 FC EB 3F 8B 03 E8 ?? ?? ?? ?? 04 FE 2C 03 73 07 8B 03 E8 ?? ?? ?? ?? 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 07 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 74 EE 8B 33 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 74 B6 8B 03 33 D2 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_62495_0 {
	meta:
		name = "TReader.SkipValue"
		size = 432
		refs = "0012 TReader.SkipValue 0020 TReader.ReadValue 0096 SkipList 00a9 TReader.SkipBytes 00ef TReader.ReadStr 00ff SkipBinary 010d TReader.SkipSetBody 0123 SkipCollection 01a0 @UStrClr 01a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 83 E0 7F 83 F8 15 0F 87 5F 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 FB 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 EF 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 DD 00 00 00 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 CB 00 00 00 BA 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 B9 00 00 00 BA 0A 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 A7 00 00 00 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? E9 97 00 00 00 55 B8 01 00 00 00 E8 ?? ?? ?? ?? 59 E9 86 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 7C 55 B8 01 00 00 00 E8 ?? ?? ?? ?? 59 EB 6E 55 E8 ?? ?? ?? ?? 59 EB 65 BA 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 56 BA 08 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 47 BA 08 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 38 55 B8 02 00 00 00 E8 ?? ?? ?? ?? 59 EB 2A BA 08 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 1B 55 B8 01 00 00 00 E8 ?? ?? ?? ?? 59 EB 0D BA 08 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_62496_0 {
	meta:
		name = "CopySetBody"
		size = 136
		refs = "000b CopySetBody 001c TReader.ReadValue 0029 TWriter.WriteValue 0037 TReader.ReadStr 0047 @LStrFromUStr 0055 TWriter.WriteStr 0070 @UStrClr 0078 @LStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_62497_0 {
	meta:
		name = "CopyList"
		size = 75
		refs = "0014 TReader.ReadValue 001d TWriter.WriteValue 0028 TReader.CopyValue 002f TReader.EndOfList 003c TReader.CheckValue 0043 TWriter.WriteListEnd"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 83 C3 F8 8B 75 08 83 C6 FC 8B 03 E8 ?? ?? ?? ?? 8B D0 8B 06 E8 ?? ?? ?? ?? EB 09 8B 16 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 74 EC 8B 03 33 D2 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_62498_0 {
	meta:
		name = "CopyBytes"
		size = 141
		refs = "0036 TReader.Read 004c TWriter.Write"
	strings:
		$1 = { 55 8B EC 50 B8 04 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 04 53 8B D8 81 FB 00 40 00 00 7E 3A 8D 95 00 C0 FF FF 8B 45 08 8B 40 F8 B9 00 40 00 00 E8 ?? ?? ?? ?? 8D 95 00 C0 FF FF 8B 45 08 8B 40 FC B9 00 40 00 00 E8 ?? ?? ?? ?? 81 EB 00 40 00 00 81 FB 00 40 00 00 7F C6 85 DB 7E 26 8D 95 00 C0 FF FF 8B 45 08 8B 40 F8 8B CB E8 ?? ?? ?? ?? 8D 95 00 C0 FF FF 8B 45 08 8B 40 FC 8B CB E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62499_0 {
	meta:
		name = "CopyBinary"
		size = 88
		refs = "000e TReader.ReadValue 001b TWriter.WriteValue 002e TReader.Read 0041 TWriter.Write 004f CopyBytes"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 55 FC 8B 45 08 8B 40 F8 B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 08 8B 40 FC B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 FC F7 EB E8 ?? ?? ?? ?? 59 5B 59 5D C3 }
	condition:
		$1
}

rule function_62500_0 {
	meta:
		name = "TReader.CopyValue"
		size = 485
		refs = "0018 TReader.CopyValue 0026 TReader.NextValue 0099 TReader.ReadValue 00a3 TWriter.WriteValue 00ae CopyList 00bc TReader.ReadInteger 00c6 TWriter.WriteInteger 00d3 TReader.ReadFloat 00e2 TWriter.WriteFloat 00f2 TReader.ReadString 00fd TWriter.WriteString 010d TReader.ReadIdent 0118 TWriter.WriteIdent 0128 CopyBinary 0142 CopySetBody 014d TReader.ReadSingle 015c TWriter.WriteSingle 0166 TReader.ReadCurrency 0175 TWriter.WriteCurrency 017f TReader.ReadDate 018e TWriter.WriteDate 0198 TReader.ReadInt64 01ac TReader.ReadDouble 01bb TWriter.WriteDouble 01d5 @UStrArrayClr 01db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 4D F4 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 15 0F 87 89 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? E9 13 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 07 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? E9 F0 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 45 FC E8 ?? ?? ?? ?? E9 D4 00 00 00 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? E9 B9 00 00 00 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? E9 9E 00 00 00 55 B8 01 00 00 00 E8 ?? ?? ?? ?? 59 E9 8D 00 00 00 55 B8 02 00 00 00 E8 ?? ?? ?? ?? 59 EB 7F 55 E8 ?? ?? ?? ?? 59 EB 76 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8B 45 FC E8 ?? ?? ?? ?? EB 5D 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B 45 FC E8 ?? ?? ?? ?? EB 44 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 FC E8 ?? ?? ?? ?? EB 2B 8B 45 F8 E8 ?? ?? ?? ?? 52 50 8B 45 FC E8 ?? ?? ?? ?? EB 17 8B 45 F8 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_62501_0 {
	meta:
		name = "TReader.SkipProperty"
		size = 72
		refs = "000c TReader.SkipProperty 001c TReader.ReadStr 0023 TReader.SkipValue 0038 @UStrClr 003e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_62502_0 {
	meta:
		name = "TReader.SkipComponent"
		size = 169
		refs = "0016 TReader.SkipComponent 0037 TReader.ReadStr 004a TReader.SkipProperty 0051 TReader.EndOfList 005e TReader.CheckValue 0097 @UStrArrayClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 4D F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 D2 74 2A 8D 4D F8 8D 55 FF 8B C3 8B 30 FF 56 28 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 EE 33 D2 8B C3 E8 ?? ?? ?? ?? EB 09 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 EC 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62503_0 {
	meta:
		name = "TReader.FindAncestorComponent"
		size = 182
		refs = "0018 TReader.FindAncestorComponent 0028 @UStrLAsg 003e TComponent.FindComponent 007a SAncestorNotFound 0081 _DV_EReadError 0086 Exception.CreateResFmt 008b @RaiseExcept 00a0 @UStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 89 45 F8 8B 73 1C 85 F6 74 0D 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 44 66 83 7B 5A 00 74 10 57 8D 45 F8 50 8B 4D FC 8B D3 8B 43 5C FF 53 58 83 7D F8 00 75 27 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62505_0 {
	meta:
		name = "TReader.SetName"
		size = 40
	strings:
		$1 = { 53 56 57 8B F9 8B F2 66 83 78 4A 00 74 0D 57 8B D8 8B CE 8B D0 8B 43 4C FF 53 48 8B 17 8B C6 8B 08 FF 51 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62506_0 {
	meta:
		name = "TReader.FindComponentClass"
		size = 113
		refs = "000f TReader.GetFieldClass 0053 _DV_TComponent 005b TObject.InheritsFrom 0066 ClassNotFound"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B CE 8B 53 18 8B C3 E8 ?? ?? ?? ?? 89 04 24 83 3C 24 00 75 1D 83 7B 1C 00 74 17 8B 43 1C 3B 43 18 74 0F 8B CE 8B 53 1C 8B C3 E8 ?? ?? ?? ?? 89 04 24 66 83 7B 6A 00 74 0B 54 8B CE 8B D3 8B 43 6C FF 53 68 83 3C 24 00 74 12 8B 15 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_62507_0 {
	meta:
		name = "TReader.SkipBytes"
		size = 72
		refs = "0022 TReader.Read"
	strings:
		$1 = { 53 56 81 C4 00 FE FF FF 8B DA 8B F0 85 DB 7E 2F 81 FB 00 02 00 00 7E 16 8B D4 B9 00 02 00 00 8B C6 E8 ?? ?? ?? ?? 81 EB 00 02 00 00 EB 0D 8B D4 8B CB 8B C6 E8 ?? ?? ?? ?? 33 DB 85 DB 7F D1 81 C4 00 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_62508_0 {
	meta:
		name = "ReadCustomVariant"
		size = 456
		refs = "0015 ReadCustomVariant 0028 TReader.CheckValue 0034 _DV_TMemoryStream 0039 TObject.Create 006c TReader.Read 007a TStream.SetSize64 009d _DV_TReader 00a2 TFiler.Create 00be TReader.ReadString 00f8 FindCustomVariantType 0104 @IntfClear 0113 Supports 011d SReadError 0124 _DV_EReadError 0129 Exception.CreateRes 012e @RaiseExcept 015a TObject.Free 0160 @HandleFinally 01a4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC B2 0A E8 ?? ?? ?? ?? 33 C0 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 55 E8 8B 45 08 8B 40 FC B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 99 52 50 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 50 04 8B 45 08 8B 40 FC 8B 4D E8 E8 ?? ?? ?? ?? 68 00 04 00 00 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8D 55 E8 B9 04 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 99 52 50 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 50 04 8B 4D E8 8B 45 EC E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1B 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 0F B7 40 04 66 89 03 8B D3 8B 4D F0 8B 45 F8 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 00 26 A0 0B D6 42 5E 2A 4C BB 01 3F 1C 8F 30 A2 8E }
	condition:
		$1
}

rule function_62509_0 {
	meta:
		name = "TReader.ReadVariant"
		size = 542
		refs = "0016 TReader.ReadVariant 0023 @VarClear 002b TReader.NextValue 009e TReader.ReadValue 00ad Null 00ba TReader.ReadInteger 00c8 @VarFromInt 0108 TReader.ReadFloat 010f @VarFromReal 011c TReader.ReadSingle 0130 TReader.ReadDouble 0144 TReader.ReadCurrency 014b @VarFromCurr 0158 TReader.ReadDate 015f @VarFromTDateTime 016f TReader.ReadString 0179 @VarFromUStr 0186 TReader.ReadWideString 0190 @VarFromWStr 01a6 @VarFromBool 01b1 ReadCustomVariant 01bc @VarCopy 01c6 TReader.ReadInt64 01cf @VarFromInt64 01d7 SReadError 01de _DV_EReadError 01e3 Exception.CreateRes 01e8 @RaiseExcept 01fd @VarClr 0205 @WStrClr 020d @UStrClr 0213 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 E0 7F 83 F8 15 0F 87 9A 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3C 0D 0F 84 42 01 00 00 8B C3 E8 ?? ?? ?? ?? E9 36 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 0F BE D2 8B C3 B1 FF E8 ?? ?? ?? ?? E9 1B 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 0F BF D2 8B C3 B1 FE E8 ?? ?? ?? ?? E9 00 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 B1 FC E8 ?? ?? ?? ?? E9 E8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 D4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 C0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 AC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 98 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 84 00 00 00 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 6D 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? EB 56 8B 45 FC E8 ?? ?? ?? ?? 3C 09 0F 94 C2 8B C3 E8 ?? ?? ?? ?? EB 40 55 8D 45 E4 E8 ?? ?? ?? ?? 59 8D 55 E4 8B C3 E8 ?? ?? ?? ?? EB 2A 8B 45 FC E8 ?? ?? ?? ?? 52 50 8B C3 E8 ?? ?? ?? ?? EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62512_0 {
	meta:
		name = "TWriter.DefineProperty"
		size = 37
		refs = "0014 TWriter.WritePropName"
	strings:
		$1 = { 55 8B EC 53 8B D8 84 C9 74 16 66 83 7D 0A 00 74 0F 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 45 0C FF 55 08 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_62513_0 {
	meta:
		name = "TWriter.DefineBinaryProperty"
		size = 42
		refs = "0014 TWriter.WritePropName 0021 TWriter.WriteBinary"
	strings:
		$1 = { 55 8B EC 53 8B D8 84 C9 74 1B 66 83 7D 0A 00 74 14 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_62514_0 {
	meta:
		name = "TWriter.GetPosition"
		size = 16
		refs = "0007 TStream.GetPosition"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 43 10 5B C3 }
	condition:
		$1
}

rule function_62515_0 {
	meta:
		name = "TWriter.FindMethodName"
		size = 70
		refs = "0014 @UStrClr 003c TObject.MethodName"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 8B F1 8B D8 8B C6 E8 ?? ?? ?? ?? 66 83 7B 4A 00 74 0D 56 8D 4C 24 04 8B D3 8B 43 4C FF 53 48 83 3E 00 75 0F 8B CE 8B 43 1C 8B 00 8B 14 24 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62517_0 {
	meta:
		name = "TWriter.SetPosition"
		size = 58
		refs = "000a TStream.GetPosition 001e TWriter.WriteBuffer 002b TStream.SetPosition"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B C6 7F 09 8B D0 03 53 10 3B F2 7E 17 8B C3 E8 ?? ?? ?? ?? 8B C6 99 52 50 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 2B F0 89 73 10 5E 5B C3 }
	condition:
		$1
}

rule function_62518_0 {
	meta:
		name = "TWriter.SetRoot"
		size = 21
		refs = "000b TFiler.SetRoot"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 1C 5E 5B C3 }
	condition:
		$1
}

rule function_62519_0 {
	meta:
		name = "TWriter.Write"
		size = 73
		refs = "0016 TWriter.WriteBuffer"
	strings:
		$1 = { 56 57 53 89 D6 89 CB 89 C7 EB 36 8B 4F 0C 2B 4F 10 77 0A 89 F8 E8 ?? ?? ?? ?? 8B 4F 0C 39 D9 72 02 89 D9 29 CB 57 8B 47 08 03 47 10 01 4F 10 89 C7 89 CA C1 E9 02 FC F3 A5 89 D1 83 E1 03 F3 A4 5F 09 DB 75 C6 5B 5F 5E C3 }
	condition:
		$1
}

rule function_62520_0 {
	meta:
		name = "TWriter.WriteBinary"
		size = 133
		refs = "000c _DV_TMemoryStream 0011 TObject.Create 001c TWriter.WriteBinary 0034 TWriter.WriteValue 004d TWriter.Write 0072 TObject.Free 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 0C FF 55 08 B2 0A 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 12 89 45 F8 8D 55 F8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_62521_0 {
	meta:
		name = "TWriter.WriteBuffer"
		size = 24
		refs = "000d TStream.WriteBuffer"
	strings:
		$1 = { 53 8B D8 8B 53 08 8B 4B 10 8B 43 04 E8 ?? ?? ?? ?? 33 C0 89 43 10 5B C3 }
	condition:
		$1
}

rule function_62522_0 {
	meta:
		name = "TWriter.WriteBoolean"
		size = 20
		refs = "0007 TWriter.WriteValue"
	strings:
		$1 = { 84 D2 74 08 B2 09 E8 ?? ?? ?? ?? C3 B2 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62525_0 {
	meta:
		name = "TWriter.WriteCollection"
		size = 157
		refs = "0023 TWriter.WriteCollection 0033 TWriter.WriteValue 004d TWriter.WriteListBegin 0056 TCollection.GetItem 0060 TWriter.WriteProperties 0068 TWriter.WriteListEnd 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 89 45 FC 8B 45 FC 8B 40 20 89 45 F8 8B 45 FC 33 D2 89 50 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 0E 8B 45 FC E8 ?? ?? ?? ?? 85 FF 74 35 8B 47 08 8B 58 08 4B 85 DB 7C 2A 43 33 F6 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 D9 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 50 20 C3 E9 ?? ?? ?? ?? EB EF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62526_0 {
	meta:
		name = "FindAncestor"
		size = 192
		refs = "0012 FindAncestor 0042 TList.Get 004f @UStrLAsg 0080 CompareText 00ab @UStrArrayClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 30 8B 78 08 4F 85 FF 7C 66 47 C7 45 F4 00 00 00 00 8B 45 08 8B 40 FC 8B 40 30 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 08 FF 45 F4 4F 75 A2 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62527_0 {
	meta:
		name = "TWriter.WriteComponent"
		size = 340
		refs = "0024 TWriter.WriteComponent 003a TComponent.GetComponentCount 004e TComponent.GetComponent 007c FindAncestor 009f _DV_TComponent 00a4 @IsClass 0148 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 55 F8 89 45 FC 8B 45 FC 8B 40 20 89 45 F4 8B 45 FC 8B 40 28 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 66 83 48 1C 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 26 46 33 DB 8B D3 8B 45 F8 E8 ?? ?? ?? ?? F6 40 28 04 74 0F 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 66 83 48 1C 04 43 4E 75 DD 8B 45 FC 83 78 30 00 74 13 55 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? 59 8B 55 FC 89 42 20 8B 45 FC 66 83 78 42 00 74 4E 8B 45 FC 8B 58 20 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 33 8B 45 FC 8B 40 20 89 45 EC 8B 45 F8 8B 40 08 50 8D 45 EC 50 8B 45 FC 83 C0 28 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 44 FF 53 40 8B 45 FC 8B 55 EC 89 50 20 8B 55 FC 8B 45 F8 8B 08 FF 51 30 8B 45 F8 66 83 60 1C FB 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 26 46 33 DB 8B D3 8B 45 F8 E8 ?? ?? ?? ?? F6 40 28 04 74 0F 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 66 83 60 1C FB 43 4E 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 50 20 8B 45 FC 8B 55 F0 89 50 28 C3 E9 ?? ?? ?? ?? EB E6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62528_0 {
	meta:
		name = "TWriter.WriteData"
		size = 960
		refs = "0023 TWriter.WriteData 0036 TObject.ClassName 0073 TWriter.WriteBuffer 007b TWriter.GetPosition 00f4 TList.Get 0112 TWriter.WritePrefix 012c TObject.UnitName 0151 @UStrCatN 015c TWriter.WriteUTF8Str 01c4 TWriter.WriteProperties 01cc TWriter.WriteListEnd 024c _DV_TComponent 0251 @IsClass 027f _DV_TList 0284 TObject.Create 0293 TWriter.AddAncestor 02a8 @CallDynaInst 02c3 TWriter.WriteComponent 02ed TObject.Free 02f3 @HandleFinally 0373 TWriter.SetPosition 038d @UStrArrayClr 0395 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 33 C9 89 4D C0 89 4D CC 89 4D C8 89 4D C4 89 4D D4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D4 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 D4 89 45 D0 8B 45 D0 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 8B 52 08 85 D2 74 05 83 EA 04 8B 12 8B 4D FC 8B 49 0C 8B 5D FC 2B 4B 10 8D 54 02 09 3B CA 7D 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 0F B6 05 ?? ?? ?? ?? 88 45 DB 8B 45 F8 F6 40 1D 02 74 27 8B 45 FC 83 78 20 00 74 18 8B 45 F8 F6 40 1C 20 74 0F 8B 45 FC 83 78 30 00 74 06 80 4D DB 01 EB 13 80 4D DB 04 EB 0D 8B 45 FC 83 78 20 00 74 04 80 4D DB 01 8B 45 FC 8B 58 30 85 DB 74 31 8B 45 FC 8B 40 34 3B 43 08 7D 26 8B 45 FC 83 78 20 00 74 19 8B 45 FC 8B 50 34 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8B 55 FC 3B 42 20 74 04 80 4D DB 02 8B 45 FC 8B 48 38 0F B6 55 DB 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 50 00 74 43 8B 45 F8 8B 00 89 C3 8D 55 C8 8B C3 E8 ?? ?? ?? ?? FF 75 C8 68 ?? ?? ?? ?? 8D 55 C4 8B 45 F8 8B 00 E8 ?? ?? ?? ?? FF 75 C4 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 FC E8 ?? ?? ?? ?? EB 18 8D 55 C0 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 50 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 8B 40 30 85 C0 74 20 8B 55 FC 8B 52 34 3B 50 08 7D 15 8B 45 FC 83 78 20 00 74 06 8B 45 FC FF 40 34 8B 45 FC FF 40 38 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 30 89 45 EC 8B 45 FC 8B 40 34 89 45 E8 8B 45 FC 8B 40 38 89 45 E4 8B 45 FC 8B 40 18 89 45 E0 8B 45 FC 8B 40 28 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 33 D2 89 50 30 8B 45 FC 33 D2 89 50 34 8B 45 FC 33 D2 89 50 38 8B 45 FC 80 78 24 00 0F 85 C9 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 20 85 DB 74 64 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 53 8B 45 FC 8B 58 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C F6 43 1D 02 74 06 8B 45 FC 89 58 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 8B 50 28 8B 45 FC 8B 40 20 66 BE FD FF E8 ?? ?? ?? ?? 8B 45 F8 F6 40 1D 02 74 09 8B 45 FC 8B 55 F8 89 50 18 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 8B 50 18 8B 45 F8 66 BE FD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 EC 89 50 30 8B 45 FC 8B 55 E8 89 50 34 8B 45 FC 8B 55 E4 89 50 38 8B 45 FC 8B 55 E0 89 50 18 8B 45 FC 8B 55 DC 89 50 28 C3 E9 ?? ?? ?? ?? EB CB 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 3B 45 F8 74 29 0F B6 05 ?? ?? ?? ?? 3A 45 DB 75 1D 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 83 C2 02 3B C2 75 0B 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_62529_0 {
	meta:
		name = "TWriter.WriteDescendent"
		size = 37
		refs = "0015 TWriter.WriteSignature 001e TWriter.WriteComponent"
	strings:
		$1 = { 53 56 8B F2 8B D8 89 4B 28 89 4B 20 89 73 18 89 73 1C 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62530_0 {
	meta:
		name = "TWriter.WriteFloat"
		size = 35
		refs = "000b TWriter.WriteValue 001a TWriter.Write"
	strings:
		$1 = { 55 8B EC 53 8B D8 B2 05 8B C3 E8 ?? ?? ?? ?? 8D 55 08 B9 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_62531_0 {
	meta:
		name = "TWriter.WriteSingle"
		size = 35
		refs = "000b TWriter.WriteValue 001a TWriter.Write"
	strings:
		$1 = { 55 8B EC 53 8B D8 B2 0F 8B C3 E8 ?? ?? ?? ?? 8D 55 08 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62532_0 {
	meta:
		name = "TWriter.WriteDouble"
		size = 35
		refs = "000b TWriter.WriteValue 001a TWriter.Write"
	strings:
		$1 = { 55 8B EC 53 8B D8 B2 15 8B C3 E8 ?? ?? ?? ?? 8D 55 08 B9 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_62533_0 {
	meta:
		name = "TWriter.WriteCurrency"
		size = 35
		refs = "000b TWriter.WriteValue 001a TWriter.Write"
	strings:
		$1 = { 55 8B EC 53 8B D8 B2 10 8B C3 E8 ?? ?? ?? ?? 8D 55 08 B9 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_62534_0 {
	meta:
		name = "TWriter.WriteDate"
		size = 35
		refs = "000b TWriter.WriteValue 001a TWriter.Write"
	strings:
		$1 = { 55 8B EC 53 8B D8 B2 11 8B C3 E8 ?? ?? ?? ?? 8D 55 08 B9 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_62535_0 {
	meta:
		name = "TWriter.WriteIdent"
		size = 520
		refs = "0017 TWriter.WriteIdent 0027 @UStrLAsg 005b CompareText 006d TWriter.WriteValue 017d TWriter.WriteUTF8Str 0197 @UStrArrayClr 019d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0E B2 08 8B C6 E8 ?? ?? ?? ?? E9 0B 01 00 00 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0E B2 09 8B C6 E8 ?? ?? ?? ?? E9 B6 00 00 00 8D 45 EC 8B D3 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 75 04 B0 01 EB 20 83 7D EC 00 74 06 83 7D E8 00 75 04 33 C0 EB 10 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 64 8D 45 E4 8B D3 E8 ?? ?? ?? ?? 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 3B 45 E0 75 04 B0 01 EB 20 83 7D E4 00 74 06 83 7D E0 00 75 04 33 C0 EB 10 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0B B2 0D 8B C6 E8 ?? ?? ?? ?? EB 12 B2 07 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 75 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6E 00 69 00 6C 00 00 00 }
	condition:
		$1
}

rule function_62536_0 {
	meta:
		name = "TWriter.WriteInteger"
		size = 114
		refs = "0018 TWriter.WriteValue 0026 TWriter.Write"
	strings:
		$1 = { 53 51 89 14 24 8B D8 83 3C 24 80 7C 20 83 3C 24 7F 7F 1A B2 02 8B C3 E8 ?? ?? ?? ?? 8B D4 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 81 3C 24 00 80 FF FF 7C 22 81 3C 24 FF 7F 00 00 7F 19 B2 03 8B C3 E8 ?? ?? ?? ?? 8B D4 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 17 B2 04 8B C3 E8 ?? ?? ?? ?? 8B D4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_62537_0 {
	meta:
		name = "TWriter.WriteInteger"
		size = 87
		refs = "0034 TWriter.WriteInteger 003f TWriter.WriteValue 004e TWriter.Write"
	strings:
		$1 = { 55 8B EC 53 8B D8 83 7D 0C FF 75 0B 81 7D 08 00 00 00 80 72 25 EB 02 7C 21 83 7D 0C 00 75 0B 81 7D 08 FF FF FF 7F 77 12 EB 02 7F 0E 8B 45 08 8B D0 8B C3 E8 ?? ?? ?? ?? EB 18 B2 13 8B C3 E8 ?? ?? ?? ?? 8D 55 08 B9 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_62540_0 {
	meta:
		name = "TWriter.WritePrefix"
		size = 72
		refs = "000d TWriter.WritePrefix 002c TWriter.Write 003b TWriter.WriteInteger"
	strings:
		$1 = { 53 56 51 8B F1 88 14 24 8B D8 0F B6 05 ?? ?? ?? ?? 3A 04 24 74 29 0F B6 04 24 0C F0 88 44 24 01 8D 54 24 01 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? F6 04 24 02 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_62541_0 {
	meta:
		name = "TWriter.WriteProperties"
		size = 200
		refs = "001a GetTypeData 0037 @GetMem 0042 TWriter.WriteProperties 005a GetPropInfos 0079 IsStoredProp 008a TWriter.WriteProperty 00aa @FreeMem 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8B 45 F8 8B 00 83 C0 B8 8B 00 E8 ?? ?? ?? ?? 0F BF 40 08 89 45 F4 83 7D F4 00 0F 8E 87 00 00 00 8B 45 F4 03 C0 03 C0 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 00 83 C0 B8 8B 00 8B 55 F0 E8 ?? ?? ?? ?? 8B 75 F4 4E 85 F6 7C 2C 46 33 FF 8B 45 F0 8B 1C B8 85 DB 74 1F 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0D 8B CB 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 47 4E 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 03 D2 03 D2 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 8B 55 FC 8B 45 F8 8B 08 FF 51 04 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62542_0 {
	meta:
		name = "AncestorIsValid"
		size = 24
		refs = "0010 TObject.InheritsFrom"
	strings:
		$1 = { 85 C0 74 11 85 C9 74 0D 8B 09 89 C8 8B 12 92 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_62543_0 {
	meta:
		name = "IsDefaultOrdProp"
		size = 86
		refs = "0011 GetOrdProp"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 80 78 F7 00 74 19 8B 45 08 8B 50 F8 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 3B D8 0F 94 C0 5B 5D C3 8B 45 08 8B 40 F8 8B 40 14 3D 00 00 00 80 74 04 3B C3 74 04 33 C0 EB 02 B0 01 5B 5D C3 }
	condition:
		$1
}

rule function_62544_0 {
	meta:
		name = "IsDefaultFloatProp"
		size = 92
		refs = "0013 GetFloatProp 0048 IsDefaultFloatProp"
	strings:
		$1 = { 55 8B EC 83 C4 F0 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? DB 7D F0 9B 8B 45 08 80 78 F7 00 74 1F 8B 45 08 8B 50 F8 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? DB 6D F0 DE D9 9B DF E0 9E 0F 94 C0 EB 10 DB 6D F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 94 C0 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_62545_0 {
	meta:
		name = "IsDefaultInt64Prop"
		size = 85
		refs = "0013 GetInt64Prop"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8B 45 08 80 78 F7 00 74 1E 8B 45 08 8B 50 F8 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 3B 55 FC 75 03 3B 45 F8 0F 94 C0 EB 0D 83 7D FC 00 75 04 83 7D F8 00 0F 94 C0 59 59 5D C3 }
	condition:
		$1
}

rule function_62546_0 {
	meta:
		name = "IsDefaultStrProp"
		size = 141
		refs = "000c IsDefaultStrProp 0026 GetWideStrProp 004e @WStrEqual 007a @WStrArrayClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 80 78 F7 00 74 24 8D 4D F8 8B 45 08 8B 50 F8 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 0F 94 C3 EB 0D 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62547_0 {
	meta:
		name = "ObjectAncestorMatch"
		size = 171
		refs = "0011 ObjectAncestorMatch 0040 @UStrLAsg 0072 CompareText 0097 @UStrArrayClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 5E 8B 45 08 8B 40 EC 3B 43 04 75 53 85 F6 74 4F 8B 45 08 8B 40 E8 3B 46 04 75 44 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8D 45 F8 8B 56 08 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 24 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 14 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62548_0 {
	meta:
		name = "IsDefault"
		size = 86
		refs = "0025 GetOrdProp 003b ObjectAncestorMatch"
	strings:
		$1 = { 55 8B EC 53 33 DB 8B 45 08 8B 40 08 80 78 F7 00 74 38 8B 45 08 8B 40 08 8B 50 F8 8B 45 08 8B 40 08 8B 40 F0 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 08 50 8B 45 08 8B 50 FC 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 06 8B 45 08 8B 58 FC 8B 45 08 3B 58 FC 0F 94 C0 5B 5D C3 }
	condition:
		$1
}

rule function_62549_0 {
	meta:
		name = "IsDefaultObjectProp"
		size = 125
		refs = "0014 GetOrdProp 0023 IsDefault 0035 _DV_TPersistent 003a @IsClass 0047 _DV_TComponent"
	strings:
		$1 = { 55 8B EC 51 53 B3 01 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 0F 55 E8 ?? ?? ?? ?? 59 84 C0 75 04 33 DB EB 47 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B 45 FC F6 40 28 04 75 18 55 E8 ?? ?? ?? ?? 59 84 C0 75 0F 8B 45 FC 83 78 08 00 74 06 33 DB EB 02 33 DB 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_62550_0 {
	meta:
		name = "IsDefaultValue"
		size = 204
		refs = "000c IsDefaultValue 0042 GetInterfaceProp 005a @IntfClear 0069 Supports 0087 ObjectAncestorMatch 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 78 FC 00 0F 94 C3 8B 45 08 8B 40 08 80 78 F7 00 74 62 8D 4D FC 8B 45 08 8B 40 08 8B 50 F8 8B 45 08 8B 40 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 3B 45 FC 0F 94 C3 84 DB 75 38 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1D 8B 45 08 8B 40 08 50 8B 45 F8 8B 10 FF 52 0C 8B 55 08 8B 52 F8 E8 ?? ?? ?? ?? 59 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 00 00 58 18 8B E2 86 EC 59 45 8F CD 6B 4F 82 41 51 ED }
	condition:
		$1
}

rule function_62551_0 {
	meta:
		name = "IsDefaultInterfaceProp"
		size = 220
		refs = "000e IsDefaultInterfaceProp 002a GetInterfaceProp 0038 @IntfClear 0047 Supports 0083 IsDefaultValue 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8D 4D FC 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 1B 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 27 8B 45 08 80 78 F7 00 74 3F 8D 4D F0 8B 45 08 8B 50 F8 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 83 7D F0 00 74 25 33 DB EB 21 8B 45 F4 8B 10 FF 52 0C 89 45 F8 55 E8 ?? ?? ?? ?? 59 84 C0 75 0B 8B 45 F8 83 78 08 00 74 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5B 8B E5 5D C3 00 58 18 8B E2 86 EC 59 45 8F CD 6B 4F 82 41 51 ED }
	condition:
		$1
}

rule function_62552_0 {
	meta:
		name = "FindMethodName"
		size = 86
		refs = "0015 @UStrClr 004b TObject.MethodName"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F0 8D 7D F8 A5 A5 8B DA 8B C3 E8 ?? ?? ?? ?? 8B 45 08 66 83 78 0A 00 74 15 53 8B 45 08 8D 70 08 8B 45 08 8B 50 E4 8D 4D F8 8B 46 04 FF 16 83 3B 00 75 12 8B CB 8B 45 08 8B 40 E0 8B 00 8B 55 F8 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62553_0 {
	meta:
		name = "IsDefaultMethodProp"
		size = 157
		refs = "0010 IsDefaultMethodProp 002a GetMethodProp 0066 FindMethodName 008a @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 DB 8B 45 08 80 78 F7 00 74 17 8D 4D F0 8B 45 08 8B 50 F8 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 5D F0 3B 5D F8 74 20 83 7D F8 00 74 16 8B 45 08 50 8D 55 EC 8D 45 F8 E8 ?? ?? ?? ?? 59 83 7D EC 00 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62554_0 {
	meta:
		name = "IsDefaultVariantProp"
		size = 149
		refs = "0012 IsDefaultVariantProp 002c GetVariantProp 0054 VarSameValue 0060 VarIsClear 0078 Variant 0082 @FinalizeArray 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 80 78 F7 00 74 23 8D 4D E0 8B 45 08 8B 50 F8 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 8B D8 EB 0A 8D 45 F0 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62555_0 {
	meta:
		name = "IsDefaultPropertyValue"
		size = 354
		refs = "0049 AncestorIsValid 007f GetOrdProp 0085 _DV_TComponent 008a @IsClass 00c1 IsDefaultPropertyValue 0105 IsDefaultOrdProp 0110 IsDefaultFloatProp 011b IsDefaultStrProp 0126 IsDefaultObjectProp 0131 IsDefaultMethodProp 013c IsDefaultVariantProp 0147 IsDefaultInt64Prop 0152 IsDefaultInterfaceProp"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 4D E4 89 55 F8 89 45 FC 33 C0 89 45 F0 33 C0 89 45 E8 33 C0 89 45 E0 33 C0 89 45 EC 66 83 7D 12 00 74 14 8D 45 E0 50 8D 45 EC 50 8D 4D E8 8D 55 F0 8B 45 14 FF 55 10 8B 4D EC 8B 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 88 45 F7 B3 01 8B 45 F8 83 78 04 00 0F 84 FA 00 00 00 8B 45 F8 83 78 08 00 75 43 8B 45 F8 8B 00 8B 00 80 38 07 0F 85 E1 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C3 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? F6 40 28 04 0F 84 AE 00 00 00 8B 45 F8 8B 00 8B 00 0F B6 00 83 F8 12 0F 87 9B 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 01 01 02 03 01 04 05 01 03 03 06 00 00 08 07 00 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B D8 EB 4B 55 E8 ?? ?? ?? ?? 59 8B D8 EB 40 55 E8 ?? ?? ?? ?? 59 8B D8 EB 35 55 E8 ?? ?? ?? ?? 59 8B D8 EB 2A 55 E8 ?? ?? ?? ?? 59 8B D8 EB 1F 55 E8 ?? ?? ?? ?? 59 8B D8 EB 14 55 E8 ?? ?? ?? ?? 59 8B D8 EB 09 55 E8 ?? ?? ?? ?? 59 8B D8 8B C3 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_62556_0 {
	meta:
		name = "WritePropPath"
		size = 86
		refs = "000a WritePropPath 0023 UTF8ToUnicodeString 0031 TWriter.WritePropName 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8D 58 1A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_62557_0 {
	meta:
		name = "WriteSet"
		size = 147
		refs = "000e WriteSet 001f GetTypeData 0031 TWriter.WriteValue 004b GetSetElementName 0059 TWriter.WriteUTF8Str 006c TWriter.WriteStr 0081 @UStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 40 01 8B 38 8B 45 08 8B 40 F8 B2 0B E8 ?? ?? ?? ?? 33 DB 8B C3 83 F8 1F 77 03 0F A3 C6 73 1A 8D 4D FC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 43 83 FB 20 75 D4 8B 45 08 8B 40 F8 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62558_0 {
	meta:
		name = "WriteIntProp"
		size = 108
		refs = "000d WriteIntProp 0018 FindIntToIdent 0037 TWriter.WriteIdent 0046 TWriter.WriteInteger 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1B 8D 55 FC 8B C6 FF D3 84 C0 74 10 8B 45 08 8B 40 F8 8B 55 FC E8 ?? ?? ?? ?? EB 0D 8B 45 08 8B 40 F8 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62559_0 {
	meta:
		name = "WriteCollectionProp"
		size = 161
		refs = "000c WriteCollectionProp 001b WritePropPath 002d @UStrLAsg 0049 @UStrClr 0056 TWriter.WriteCollection 0074 @UStrAsg 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 E8 ?? ?? ?? ?? 59 8D 45 FC 8B 55 08 8B 52 F8 8B 52 2C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F8 83 C0 2C E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 F8 83 C0 2C 8B 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_62560_0 {
	meta:
		name = "WriteOrdProp"
		size = 245
		refs = "000a WriteOrdProp 0021 GetOrdProp 002c WritePropPath 0083 WriteIntProp 0093 TWriter.WriteChar 00a2 TWriter.WriteWideChar 00af WriteSet 00c2 GetEnumName 00d0 TWriter.WriteIdent 00e5 @UStrClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 50 FC 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B D8 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F4 0F B6 00 83 F8 09 0F 87 91 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 50 8B 45 08 8B 40 FC 8B 00 8B 00 8B D3 E8 ?? ?? ?? ?? 59 EB 4A 8B D3 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? EB 3B 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? EB 2C 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 EB 1E 8D 4D FC 8B 45 08 8B 40 F4 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_62561_0 {
	meta:
		name = "WriteFloatProp"
		size = 63
		refs = "0013 GetFloatProp 0020 WritePropPath 0037 TWriter.WriteFloat"
	strings:
		$1 = { 55 8B EC 83 C4 F0 8B 45 08 8B 50 FC 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? DB 7D F0 9B 8B 45 08 50 E8 ?? ?? ?? ?? 59 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_62562_0 {
	meta:
		name = "WriteInt64Prop"
		size = 60
		refs = "0013 GetInt64Prop 0022 WritePropPath 0034 TWriter.WriteInteger"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 08 8B 50 FC 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8B 45 08 50 E8 ?? ?? ?? ?? 59 FF 75 FC FF 75 F8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_62563_0 {
	meta:
		name = "WriteStrProp"
		size = 117
		refs = "000b WriteStrProp 0025 GetWideStrProp 002e WritePropPath 003a @UStrFromWStr 0048 TWriter.WriteWideString 005d @UStrClr 0065 @WStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 45 08 8B 50 FC 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_62564_0 {
	meta:
		name = "OwnedBy"
		size = 22
	strings:
		$1 = { B1 01 85 C0 74 0B 3B D0 74 09 8B 40 04 85 C0 75 F5 33 C9 8B C1 C3 }
	condition:
		$1
}

rule function_62565_0 {
	meta:
		name = "GetComponentValue"
		size = 320
		refs = "0010 GetComponentValue 002e @UStrAsg 006e OwnedBy 0099 @UStrCatN 00cc @UStrCat3 00d5 @UStrClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F8 8B 40 1C 3B 43 04 75 0F 8B C6 8B 53 08 E8 ?? ?? ?? ?? E9 A2 00 00 00 8B 55 08 3B C3 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8A 00 00 00 8B 7B 04 85 FF 74 65 83 7F 08 00 74 5F 83 7B 08 00 74 59 8B 45 08 8B 40 F8 8B 50 1C 8B C7 E8 ?? ?? ?? ?? 84 C0 74 29 8B 45 08 50 8D 55 FC 8B 43 04 E8 ?? ?? ?? ?? 59 FF 75 FC 68 ?? ?? ?? ?? FF 73 08 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 3A 8B 43 04 FF 70 08 68 ?? ?? ?? ?? FF 73 08 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 1E 83 7B 08 00 74 11 8B C6 B9 ?? ?? ?? ?? 8B 53 08 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 4F 00 77 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2E 00 4F 00 77 00 6E 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_62566_0 {
	meta:
		name = "WriteObjectProp"
		size = 532
		refs = "000f WriteObjectProp 0026 GetOrdProp 0038 WritePropPath 0046 TWriter.WriteValue 0054 _DV_TPersistent 0059 @IsClass 006a _DV_TComponent 008b GetComponentValue 00ae TWriter.WriteIdent 00d0 @UStrLAsg 00f1 UTF8ToUnicodeString 0115 @UStrCatN 0149 TWriter.WriteProperties 0173 @UStrAsg 0179 @HandleFinally 0184 _DV_TCollection 01c7 CollectionsEqual 01d7 WriteCollectionProp 01f2 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 50 FC 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 1C 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F8 B2 0D E8 ?? ?? ?? ?? E9 8D 01 00 00 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 77 01 00 00 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 40 8B 45 F0 F6 40 28 04 75 37 8B 45 08 50 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 59 83 7D F8 00 0F 84 42 01 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F8 8B 55 F8 E8 ?? ?? ?? ?? E9 25 01 00 00 8B 45 08 8B 40 F8 8B 40 20 89 45 EC 8D 45 FC 8B 55 08 8B 52 F8 8B 52 2C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8D 58 1A 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 FF 70 2C FF 75 F4 68 ?? ?? ?? ?? 8B 45 08 8B 40 F8 83 C0 2C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 80 78 EF 00 74 1D 8B 45 08 8B 50 FC 8B 45 08 8B 40 F8 8B 40 20 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 89 42 20 8B 45 08 8B 40 F8 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 EC 89 50 20 8B 45 08 8B 40 F8 83 C0 2C 8B 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4B 8B 45 08 80 78 EF 00 74 35 8B 45 08 8B 40 F8 8B 40 28 50 8B 45 08 8B 50 FC 8B 45 08 8B 40 F8 8B 40 20 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F8 8B 48 1C 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 0D 8B 45 08 50 8B 45 F0 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_62567_0 {
	meta:
		name = "WriteInterfaceProp"
		size = 220
		refs = "000e WriteInterfaceProp 0028 GetInterfaceProp 0037 WritePropPath 0045 TWriter.WriteValue 004f @IntfClear 005e Supports 007a GetComponentValue 0093 TWriter.WriteIdent 00a8 @UStrClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 45 08 8B 50 FC 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 83 7D FC 00 75 19 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F8 B2 0D E8 ?? ?? ?? ?? EB 4C 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 31 8B 45 F8 8B 10 FF 52 0C 8B D8 8B 45 08 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F8 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 00 00 00 58 18 8B E2 86 EC 59 45 8F CD 6B 4F 82 41 51 ED }
	condition:
		$1
}

rule function_62568_0 {
	meta:
		name = "WriteMethodProp"
		size = 142
		refs = "0010 WriteMethodProp 002a GetMethodProp 0033 WritePropPath 0047 TWriter.WriteValue 0068 TWriter.WriteIdent 007d @UStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 45 08 8B 50 FC 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 83 7D F8 00 75 0F 8B 45 08 8B 40 F8 B2 0D E8 ?? ?? ?? ?? EB 1F 8D 4D F4 8B 45 08 8B 40 F8 8D 55 F8 8B 18 FF 53 14 8B 55 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62569_0 {
	meta:
		name = "WriteVariantProp"
		size = 100
		refs = "000d WriteVariantProp 0027 GetVariantProp 0030 WritePropPath 003f TWriter.WriteVariant 0054 @VarClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B 45 08 8B 50 FC 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 8D 55 F0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_62570_0 {
	meta:
		name = "TWriter.WriteProperty"
		size = 338
		refs = "003c GetOrdProp 0042 _DV_TComponent 0047 @IsClass 006d TWriter.GetLookupInfo 0084 IsDefaultPropertyValue 00a3 AncestorIsValid 00c6 TWriter.WriteProperty 010a WriteOrdProp 0113 WriteFloatProp 011c WriteStrProp 0125 WriteObjectProp 012e WriteMethodProp 0137 WriteVariantProp 0140 WriteInt64Prop 0149 WriteInterfaceProp"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 4D FC 89 55 F0 89 45 F8 8B 45 FC 83 78 04 00 0F 84 32 01 00 00 8B 45 FC 83 78 08 00 75 43 8B 45 FC 8B 00 8B 00 80 38 07 0F 85 19 01 00 00 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 FB 00 00 00 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? F6 40 28 04 0F 84 E6 00 00 00 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 FF 70 4C FF 70 48 8B 4D F8 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 85 BE 00 00 00 8B 45 F8 8B 48 28 8B 45 F8 8B 50 18 8B 45 F8 8B 40 20 E8 ?? ?? ?? ?? 88 45 EF 8B 45 FC 8B 00 8B 00 89 45 F4 8B 45 F4 0F B6 00 83 F8 12 0F 87 8B 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 01 01 02 03 01 04 05 01 03 03 06 00 00 08 07 00 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 EB 3D 55 E8 ?? ?? ?? ?? 59 EB 34 55 E8 ?? ?? ?? ?? 59 EB 2B 55 E8 ?? ?? ?? ?? 59 EB 22 55 E8 ?? ?? ?? ?? 59 EB 19 55 E8 ?? ?? ?? ?? 59 EB 10 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 8B E5 5D C3 }
	condition:
		$1
}

rule function_62571_0 {
	meta:
		name = "TWriter.WriteVariant"
		size = 992
		refs = "0026 TWriter.WriteVariant 0033 VarIsArray 003d SWriteError 0044 _DV_EWriteError 0049 Exception.CreateRes 004e @RaiseExcept 00ce TWriter.WriteValue 00ec @VarToUStr 00f7 TWriter.WriteWideString 0111 TWriter.WriteString 011d @VarToInt64 0127 TWriter.WriteInteger 0133 @VarToReal 0142 TWriter.WriteSingle 015d TWriter.WriteFloat 0169 @VarToCurrency 0178 TWriter.WriteCurrency 0193 TWriter.WriteDate 019f @VarToBool 01fa FindCustomVariantType 0206 @IntfClear 0211 @VarToIntf 021f Supports 0249 _DV_TMemoryStream 024e TObject.Create 027d _DV_TWriter 0282 TFiler.Create 02b7 TObject.ClassName 02d2 TWriter.Write 02f8 TObject.Free 02fe @HandleFinally 0369 @HandleAnyException 0385 @DoneExcept 039f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 C9 89 4D C4 89 4D C8 89 4D CC 89 4D D0 89 4D D4 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 03 66 25 FF 0F 0F B7 C0 83 F8 07 7F 32 0F 84 1A 01 00 00 83 F8 06 0F 87 75 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 10 7D 13 83 E8 08 74 49 83 E8 03 0F 84 F6 00 00 00 E9 3A 01 00 00 83 C0 F0 83 E8 03 72 67 83 E8 02 0F 82 09 01 00 00 2D EB 00 00 00 74 3D E9 1D 01 00 00 B2 0D 8B 45 F8 E8 ?? ?? ?? ?? E9 B2 02 00 00 33 D2 8B 45 F8 E8 ?? ?? ?? ?? E9 A3 02 00 00 8D 45 D4 8B D3 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F8 E8 ?? ?? ?? ?? E9 89 02 00 00 8D 45 D0 8B D3 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F8 E8 ?? ?? ?? ?? E9 6F 02 00 00 8B C3 E8 ?? ?? ?? ?? 52 50 8B 45 F8 E8 ?? ?? ?? ?? E9 59 02 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8B 45 F8 E8 ?? ?? ?? ?? E9 3E 02 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 45 F8 E8 ?? ?? ?? ?? E9 23 02 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B 45 F8 E8 ?? ?? ?? ?? E9 08 02 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 F8 E8 ?? ?? ?? ?? E9 ED 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F B2 09 8B 45 F8 E8 ?? ?? ?? ?? E9 D3 01 00 00 B2 08 8B 45 F8 E8 ?? ?? ?? ?? E9 C4 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 D8 89 55 DC FF 75 DC FF 75 D8 8B 45 F8 E8 ?? ?? ?? ?? E9 A4 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 0F B7 03 E8 ?? ?? ?? ?? 84 C0 74 25 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 CC 8B D3 E8 ?? ?? ?? ?? 8B 45 CC BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 84 C0 75 1A 8D 45 C8 8B D3 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F8 E8 ?? ?? ?? ?? E9 1D 01 00 00 33 C0 89 45 EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 68 00 04 00 00 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 4D EC 8B 45 FC 8B 18 FF 53 10 8B 45 EC 8B 10 FF 12 89 45 E4 8D 55 C4 8B 45 F4 8B 00 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 E4 B9 04 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 EC 8B 50 04 8B 4D E4 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 10 FF 12 89 45 E4 B2 0A 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E4 B9 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 50 04 8B 4D E4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 00 26 A0 0B D6 42 5E 2A 4C BB 01 3F 1C 8F 30 A2 8E }
	condition:
		$1
}

rule function_62572_0 {
	meta:
		name = "TWriter.WritePropName"
		size = 82
		refs = "000f TWriter.WritePropName 0022 @UStrCat3 002c TWriter.WriteUTF8Str 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B CE 8B 53 2C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62574_0 {
	meta:
		name = "TWriter.WriteSignature"
		size = 16
		refs = "0001 FilerSignature 000b TWriter.Write"
	strings:
		$1 = { BA ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62575_0 {
	meta:
		name = "TWriter.WriteStr"
		size = 83
		refs = "0037 TWriter.Write 003e @LStrToPChar"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 89 74 24 04 8B 44 24 04 85 C0 74 05 83 E8 04 8B 00 89 04 24 81 3C 24 FF 00 00 00 7E 07 C7 04 24 FF 00 00 00 8B D4 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 0C 24 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_62576_0 {
	meta:
		name = "TWriter.WriteMinStr"
		size = 194
		refs = "0058 TWriter.WriteValue 0066 TWriter.Write"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 33 D2 89 5C 24 04 8B 44 24 04 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1B C7 04 24 01 00 00 00 8B 0C 24 80 7C 0B FF 7F 76 04 B2 01 EB 06 FF 04 24 48 75 EC 89 5C 24 04 8B 44 24 04 85 C0 74 05 83 E8 04 8B 00 89 04 24 84 D2 74 25 B2 14 8B C6 E8 ?? ?? ?? ?? 8B D4 B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 0C 24 8B C6 E8 ?? ?? ?? ?? EB 45 81 3C 24 FF 00 00 00 7F 19 B2 06 8B C6 E8 ?? ?? ?? ?? 8B D4 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 17 B2 0C 8B C6 E8 ?? ?? ?? ?? 8B D4 B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 0C 24 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_62577_0 {
	meta:
		name = "TWriter.WriteString"
		size = 180
		refs = "0016 TWriter.WriteString 002c @LStrFromUStr 0056 TWriter.WriteMinStr 0061 TWriter.WriteValue 007e TWriter.Write 00a2 @LStrClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F8 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 75 F8 8B D6 85 D2 74 05 83 EA 04 8B 12 03 D2 3B C2 7D 0C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 35 B2 12 8B C3 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 89 45 F4 8D 55 F4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 03 C9 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62578_0 {
	meta:
		name = "TWriter.WriteUTF8Str"
		size = 147
		refs = "0015 TWriter.WriteUTF8Str 002a @LStrFromUStr 0058 TWriter.Write 0060 @UniqueStringA 0081 @LStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 89 45 F8 81 7D F8 FF 00 00 00 7E 07 C7 45 F8 FF 00 00 00 8D 55 F8 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62580_0 {
	meta:
		name = "TWriter.WriteValue"
		size = 18
		refs = "000c TWriter.Write"
	strings:
		$1 = { 51 88 14 24 8B D4 B9 01 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_62581_0 {
	meta:
		name = "TWriter.GetLookupInfo"
		size = 35
	strings:
		$1 = { 55 8B EC 53 8B 58 20 89 1A 8B 50 18 89 11 8B 55 0C 8B 48 1C 89 0A 8B 55 08 8B 40 28 89 02 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_62582_0 {
	meta:
		name = "BinToHex"
		size = 58
		refs = "0016 Convert"
	strings:
		$1 = { 53 56 8B F1 4E 85 F6 7C 2E 46 33 C9 0F B6 1C 08 C1 EB 04 0F B6 9B ?? ?? ?? ?? 88 1A 0F B6 1C 08 80 E3 0F 0F B6 DB 0F B6 9B ?? ?? ?? ?? 88 5A 01 83 C2 02 41 4E 75 D5 5E 5B C3 }
	condition:
		$1
}

rule function_62583_0 {
	meta:
		name = "BinToHex"
		size = 62
		refs = "0017 Convert"
	strings:
		$1 = { 53 56 8B F1 4E 85 F6 7C 32 46 33 C9 0F B6 1C 08 C1 EB 04 0F B7 1C 5D ?? ?? ?? ?? 66 89 1A 0F B6 1C 08 80 E3 0F 0F B6 DB 0F B7 1C 5D ?? ?? ?? ?? 66 89 5A 02 83 C2 04 41 4E 75 D1 5E 5B C3 }
	condition:
		$1
}

rule function_62588_0 {
	meta:
		name = "HexToBin"
		size = 137
		refs = "0060 Convert"
	strings:
		$1 = { 56 57 51 89 0C 24 8B F0 8B 3C 24 85 FF 7E 71 0F B7 06 8B C8 83 C1 C6 66 83 E9 07 72 63 83 C0 B9 66 83 E8 1A 72 5A 0F B7 46 02 83 C0 C6 66 83 E8 07 72 4D 0F B7 46 02 83 C0 B9 66 83 E8 1A 72 40 0F B7 06 83 C0 D0 66 83 E8 37 73 34 0F B7 46 02 83 C0 D0 66 83 E8 37 73 27 0F B6 06 0F B7 04 45 ?? ?? ?? ?? C1 E0 04 0F B6 4E 02 0F B7 0C 4D ?? ?? ?? ?? 02 C1 88 02 42 83 C6 04 4F 85 FF 7F 8F 8B 04 24 2B C7 5A 5F 5E C3 }
	condition:
		$1
}

rule function_62589_0 {
	meta:
		name = "HexToBin"
		size = 88
		refs = "002f Convert"
	strings:
		$1 = { 56 57 51 89 0C 24 8B F0 8B 3C 24 85 FF 7E 40 0F B6 06 8B C8 80 C1 D0 80 E9 37 73 33 0F B6 4E 01 80 C1 D0 80 E9 37 73 27 0F B6 C0 0F B7 04 45 ?? ?? ?? ?? C1 E0 04 0F B6 4E 01 0F B7 0C 4D ?? ?? ?? ?? 02 C1 88 02 42 83 C6 02 4F 85 FF 7F C0 8B 04 24 2B C7 5A 5F 5E C3 }
	condition:
		$1
}

rule function_62594_0 {
	meta:
		name = "TParser.Create"
		size = 71
		refs = "000d @ClassCreate 0016 CurrencyString 0026 TParser.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 50 FF 75 0C FF 75 08 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_62595_0 {
	meta:
		name = "TParser.Create"
		size = 295
		refs = "0010 @ClassCreate 001e TParser.Create 002d TObject.Create 0039 TFormatSettings 003e @CopyRecord 0054 TArray<System.Byte> 0059 @DynArraySetLength 0097 TParser.ReadBuffer 00a2 TEncoding.GetBufferEncoding 00b0 TEncoding.GetASCII 00ba TEncoding.GetANSI 00c4 TEncoding.GetUTF8 00d1 SAnsiUTF8Expected 00d6 LoadResString 00e0 TParser.Error 00e7 TParser.NextToken 00fc @UStrClr 0102 @HandleFinally 010f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 44 8B 55 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 77 04 68 00 10 00 00 8D 47 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 47 0C C6 00 00 33 C0 89 47 10 C7 47 14 FF 0F 00 00 33 C0 89 47 18 33 C0 89 47 1C 33 C0 89 47 20 C7 47 28 01 00 00 00 8B 45 08 89 47 38 8B 45 0C 89 47 3C 8B C7 E8 ?? ?? ?? ?? 8D 57 40 8B 47 0C E8 ?? ?? ?? ?? 01 47 18 83 7F 40 00 74 1E E8 ?? ?? ?? ?? 3B 47 40 74 2B E8 ?? ?? ?? ?? 3B 47 40 74 21 E8 ?? ?? ?? ?? 3B 47 40 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_62596_0 {
	meta:
		name = "TParser.Destroy"
		size = 79
		refs = "0003 @BeforeDestruction 000f @DynArrayLength 003d TObject.Destroy 0048 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 85 C0 7E 1F 8B 46 20 99 52 50 8B 46 10 99 29 04 24 19 54 24 04 58 5A 52 50 8B 46 04 B2 01 8B 08 FF 51 18 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62597_0 {
	meta:
		name = "UTF8Len"
		size = 47
	strings:
		$1 = { 2C 80 72 10 04 BE 2C 1E 72 10 2C 10 72 12 2C 08 72 14 EB 18 B8 01 00 00 00 C3 B8 02 00 00 00 C3 B8 03 00 00 00 C3 B8 04 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_62598_0 {
	meta:
		name = "UTF8ToCategory"
		size = 345
		refs = "000b UTF8ToCategory 0117 TCharacter.ConvertFromUtf32 0124 TCharacter.GetUnicodeCategory 0146 @UStrClr 014c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 0A 0F B6 0C 08 80 E9 80 72 14 80 C1 BE 80 E9 1E 72 13 80 E9 10 72 15 80 E9 08 72 17 EB 1C BB 01 00 00 00 EB 17 BB 02 00 00 00 EB 10 BB 03 00 00 00 EB 09 BB 04 00 00 00 EB 02 33 DB 8B F3 8B CE 49 74 0E 49 74 16 49 74 32 49 74 60 E9 9E 00 00 00 8B 0A 0F B6 1C 08 E9 95 00 00 00 8B 0A 0F B6 1C 08 80 E3 1F 0F B6 DB C1 E3 06 8B 0A 0F B6 44 08 01 24 3F 0F B6 C0 0B D8 EB 76 8B 0A 0F B6 1C 08 80 E3 0F 0F B6 DB C1 E3 0C 8B 0A 0F B6 4C 08 01 80 E1 3F 0F B6 C9 C1 E1 06 0B D9 8B 0A 0F B6 44 08 02 24 3F 0F B6 C0 0B D8 EB 45 8B 0A 0F B6 1C 08 80 E3 07 0F B6 DB C1 E3 12 8B 0A 0F B6 4C 08 01 80 E1 3F 0F B6 C9 C1 E1 0C 0B D9 8B 0A 0F B6 4C 08 02 80 E1 3F 0F B6 C9 C1 E1 06 0B D9 8B 0A 0F B6 44 08 02 24 3F 0F B6 C0 0B D8 EB 02 33 DB 01 32 81 FB FF FF 00 00 76 1B 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62599_0 {
	meta:
		name = "TParser.CharType"
		size = 204
		refs = "0067 TEncoding.GetUTF8 0084 UTF8ToCategory 0093 TParser.CharType"
	strings:
		$1 = { 53 56 8B F2 8B D8 FF 06 8B 06 8B 53 0C 0F B6 44 02 FF 83 F8 30 7D 14 83 E8 23 74 36 48 74 3D 83 E8 03 74 3D 83 E8 06 74 2E EB 3B 83 C0 D0 83 E8 0A 72 1A 83 C0 F9 83 E8 1A 72 0D 83 E8 04 74 08 83 C0 FE 83 E8 1A 73 1E B0 01 5E 5B C3 B0 03 5E 5B C3 B0 04 5E 5B C3 B0 07 5E 5B C3 B0 06 5E 5B C3 B0 05 5E 5B C3 E8 ?? ?? ?? ?? 3B 43 40 75 57 8B 06 8B 53 0C 80 7C 02 FF 7F 76 4B FF 0E 8B D6 8B 43 0C E8 ?? ?? ?? ?? 83 E0 7F 83 F8 10 77 33 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 02 00 00 00 01 01 01 01 01 02 00 02 02 01 00 02 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B0 01 EB 0A B0 02 EB 06 33 C0 EB 02 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_62600_0 {
	meta:
		name = "TParser.CheckToken"
		size = 215
		refs = "0015 TParser.CheckToken 0044 SIdentifierExpected 0049 LoadResString 0053 TParser.Error 005d SStringExpected 0076 SNumberExpected 0091 SCharExpected 00ab TParser.ErrorFmt 00c5 @UStrArrayClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 3B 73 2E 0F 84 86 00 00 00 8B C6 66 FF C8 74 10 66 FF C8 74 24 48 66 83 E8 02 72 36 74 1B EB 4B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 56 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 3D 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? EB 24 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 66 89 75 E8 C6 45 EC 09 8D 4D E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62601_0 {
	meta:
		name = "TParser.CheckTokenSymbol"
		size = 116
		refs = "0015 TParser.CheckTokenSymbol 0024 TParser.TokenSymbolIs 0032 SSymbolExpected 0037 LoadResString 004d TParser.ErrorFmt 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 25 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 75 F4 C6 45 F8 11 8D 4D F4 8B C3 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62604_0 {
	meta:
		name = "TParser.ErrorStr"
		size = 94
		refs = "0043 SParseError 004a _DV_EParserError 004f Exception.CreateResFmt 0054 @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 EC 8B F2 8B D8 C6 04 24 00 66 83 7B 3A 00 74 0B 54 8B CE 8B D3 8B 43 3C FF 53 38 80 3C 24 00 75 33 89 74 24 04 C6 44 24 08 11 8B 43 28 89 44 24 0C C6 44 24 10 00 8D 44 24 04 50 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5E 5B C3 }
	condition:
		$1
}

rule function_62605_0 {
	meta:
		name = "TParser.GetLinePos"
		size = 26
		refs = "000d LineStart"
	strings:
		$1 = { 53 56 8B D8 8B 73 20 8B D6 8B 43 0C E8 ?? ?? ?? ?? 50 8B C6 5A 2B C2 5E 5B C3 }
	condition:
		$1
}

rule function_62606_0 {
	meta:
		name = "TParser.HexToBinary"
		size = 216
		refs = "001d TParser.HexToBinary 002a TParser.SkipBlanks 004f HexToBin 0064 SInvalidBinary 0069 LoadResString 0076 TParser.Error 00ad TParser.NextToken 00c5 @UStrClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 57 33 C9 89 8D EC FE FF FF 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? EB 6A 8B 43 0C 8B 53 18 03 C2 89 45 F8 C7 45 F4 00 01 00 00 8D 95 F0 FE FF FF 8B 4D F4 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 8B 75 F0 85 F6 75 1F 8D 95 EC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 EC FE FF FF 8B C3 E8 ?? ?? ?? ?? EB 35 8D 95 F0 FE FF FF 8B CE 8B 45 FC 8B 38 FF 57 10 8B C6 03 C0 01 43 18 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 8B 53 18 0F B6 04 10 66 83 F8 7D 75 86 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62607_0 {
	meta:
		name = "TParser.NextToken"
		size = 836
		refs = "0017 TParser.NextToken 0024 TParser.SkipBlanks 0037 TParser.CharType 0106 SInvalidString 010b LoadResString 0115 TParser.Error 0146 @UStrSetLength 019b @UniqueStringU 0327 @UStrArrayClr 032d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 E8 89 55 EC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 5E 18 89 5E 20 89 5D F4 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 07 0F 87 B6 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 5D F4 EB 03 8B 5D F4 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 48 2C 03 72 EE 66 BF 01 00 E9 7C 02 00 00 C6 45 FB 00 33 C0 89 45 FC 89 5D F0 8B 46 0C 0F B6 04 18 66 83 E8 23 74 0B 66 83 E8 04 74 3B E9 84 00 00 00 43 33 FF EB 16 8B C7 03 C0 8D 04 80 8B 56 0C 0F B6 14 1A 83 EA 30 03 C2 8B F8 43 8B 46 0C 0F B6 04 18 04 D0 2C 0A 72 DD 83 FF 7F 7E 04 C6 45 FB 01 FF 45 FC EB B2 43 8B 46 0C 0F B6 04 18 2C 01 72 0E 2C 09 74 0A 2C 03 74 06 2C 1A 74 1E EB 2E 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? E9 7C FF FF FF 43 8B 46 0C 0F B6 04 18 66 83 F8 27 0F 85 6A FF FF FF FF 45 FC 43 EB B3 8B 5D F0 80 7D FB 00 74 0B 8D 46 34 8B 55 FC E8 ?? ?? ?? ?? C7 45 FC 01 00 00 00 8B 46 0C 0F B6 04 18 66 83 E8 23 74 0B 66 83 E8 04 74 58 E9 D3 00 00 00 43 33 FF EB 16 8B C7 03 C0 8D 04 80 8B 56 0C 0F B6 14 1A 83 EA 30 03 C2 8B F8 43 8B 46 0C 0F B6 04 18 04 D0 2C 0A 72 DD 80 7D FB 00 74 15 8D 46 34 E8 ?? ?? ?? ?? 8B 55 FC 66 89 7C 50 FE FF 45 FC EB A5 8B 46 0C 8B 55 F0 8B CF 88 0C 10 FF 45 F0 EB 95 43 8B 46 0C 0F B6 04 18 2C 01 72 0E 2C 09 74 0A 2C 03 74 06 2C 1A 74 1E EB 2E 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? E9 5F FF FF FF 43 8B 46 0C 0F B6 04 18 66 83 F8 27 0F 85 4D FF FF FF 80 7D FB 00 74 1C 8D 46 34 E8 ?? ?? ?? ?? 8B 55 FC 8B 4E 0C 0F B6 0C 19 66 89 4C 50 FE FF 45 FC EB 13 8B 46 0C 8B 55 F0 8B 4E 0C 0F B6 0C 19 88 0C 10 FF 45 F0 43 EB 81 8B 45 F0 89 46 24 80 7D FB 00 74 09 66 BF 05 00 E9 B9 00 00 00 66 BF 02 00 E9 B0 00 00 00 43 EB 01 43 8B 46 0C 0F B6 04 18 04 D0 2C 0A 72 F2 04 F9 2C 06 72 EC 04 E6 2C 06 72 E6 66 BF 03 00 E9 8A 00 00 00 43 EB 01 43 8B 46 0C 0F B6 04 18 04 D0 2C 0A 72 F2 66 BF 03 00 EB 05 43 66 BF 04 00 8B 46 0C 0F B6 04 18 2C 2B 74 F0 04 FE 2C 02 72 EA 48 2C 0A 72 E5 2C 0B 74 E1 2C 20 74 DD 8B 46 0C 0F B6 04 18 04 C0 3C 37 77 1A 83 E0 7F BA ?? ?? ?? ?? 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F A3 02 73 12 66 BF 04 00 8B 46 0C 0F B6 04 18 66 89 46 30 43 EB 15 66 C7 46 30 00 00 EB 0D 8B 46 0C 0F B6 3C 18 66 85 FF 74 01 43 89 5E 18 66 89 7E 2E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 5F 5E 5B 8B E5 5D C3 58 00 08 00 58 00 08 00 }
	condition:
		$1
}

rule function_62608_0 {
	meta:
		name = "TParser.ReadBuffer"
		size = 217
		refs = "000e TParser.ReadBuffer 0043 Move 007b LineStart 008c SLineTooLong 0091 LoadResString 009b TParser.Error 00c7 @UStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 18 01 43 08 8B 43 0C 8B 53 1C 0F B6 4B 2C 88 0C 10 8B 73 10 8B 43 18 2B F0 85 F6 74 10 8B 53 0C 8D 04 02 8B 53 0C 8B CE E8 ?? ?? ?? ?? 89 73 10 8B 43 0C 8B 53 10 8D 14 10 8B 4B 14 2B 4B 10 8B 43 04 8B 30 FF 56 0C 01 43 10 33 C0 89 43 18 8B 73 10 89 73 1C 3B 73 14 75 2B 8B D6 4A 8B 43 0C E8 ?? ?? ?? ?? 8B F8 89 7B 1C 85 FF 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 8B 53 1C 0F B6 04 10 88 43 2C 8B 43 0C 8B 53 1C C6 04 10 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62609_0 {
	meta:
		name = "TParser.SkipBlanks"
		size = 60
		refs = "0020 TParser.ReadBuffer"
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 53 18 0F B6 04 10 2C 01 72 0C 2C 09 74 1D 04 E9 2C DF 72 1F EB 18 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 8B 53 18 80 3C 10 00 74 0A EB D1 FF 43 28 FF 43 18 EB C9 5B C3 }
	condition:
		$1
}

rule function_62610_0 {
	meta:
		name = "TParser.SourcePos"
		size = 9
	strings:
		$1 = { 8B 50 08 03 50 20 8B C2 C3 }
	condition:
		$1
}

rule function_62611_0 {
	meta:
		name = "TParser.TokenFloat"
		size = 110
		refs = "0012 TParser.TokenFloat 002c TParser.TokenString 0037 StrToFloat 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 30 00 74 03 FF 4B 18 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 53 44 E8 ?? ?? ?? ?? DB 7D F0 9B 66 83 7B 30 00 74 03 FF 43 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DB 6D F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62613_0 {
	meta:
		name = "TParser.TokenString"
		size = 48
		refs = "0028 TEncoding.GetString"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 66 83 7B 2E 02 75 08 8B 73 24 2B 73 20 EB 06 8B 73 18 2B 73 20 56 57 8B 4B 20 8B 53 0C 8B 43 40 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62614_0 {
	meta:
		name = "TParser.TokenWideString"
		size = 38
		refs = "0012 TParser.TokenString 001f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 7B 2E 02 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 34 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62615_0 {
	meta:
		name = "TParser.TokenSymbolIs"
		size = 146
		refs = "0011 TParser.TokenSymbolIs 0028 @UStrLAsg 0032 TParser.TokenString 0059 CompareText 007e @UStrArrayClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 2E 01 75 42 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 24 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 14 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62616_0 {
	meta:
		name = "TParser.TokenComponentIdent"
		size = 169
		refs = "001a TParser.TokenComponentIdent 002b TParser.CheckToken 003c TParser.CharType 0048 SIdentifierExpected 004d LoadResString 0057 TParser.Error 0081 TParser.TokenString 0096 @UStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B D8 8D 7D F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 BA 01 00 8B C3 E8 ?? ?? ?? ?? 8B 73 18 EB 37 46 89 37 8B D7 8B C3 E8 ?? ?? ?? ?? 3C 01 74 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 37 8B D7 8B C3 E8 ?? ?? ?? ?? 48 2C 03 72 F0 8B 43 0C 0F B6 04 30 66 83 F8 2E 74 BC 89 73 18 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62617_0 {
	meta:
		name = "WriteIndent"
		size = 41
		refs = "000f Blanks 001f TWriter.Write"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 58 FC 85 DB 7E 18 BA ?? ?? ?? ?? 8B 45 08 8B 40 F8 B9 02 00 00 00 E8 ?? ?? ?? ?? 4B 75 E8 5B 5D C3 }
	condition:
		$1
}

rule function_62618_0 {
	meta:
		name = "WriteStr"
		size = 50
		refs = "001a @LStrToPChar 0029 TWriter.Write"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F0 89 75 FC 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F8 8B CB E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62619_0 {
	meta:
		name = "WriteStr"
		size = 83
		refs = "000c WriteStr 0025 @LStrFromUStr 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 45 FC 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_62620_0 {
	meta:
		name = "WriteUTF8Str"
		size = 121
		refs = "000c WriteUTF8Str 001c UTF8Encode 0053 WriteStr 0069 @LStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 08 80 78 F7 00 75 22 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D3 85 D2 74 05 83 EA 04 8B 12 3B D0 7D 07 8B 45 08 C6 40 F7 01 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_62621_0 {
	meta:
		name = "NewLine"
		size = 48
		refs = "0008 NewLine 000d WriteStr 0017 WriteIndent"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 5D C3 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_62622_0 {
	meta:
		name = "ConvertHeader"
		size = 516
		refs = "0011 ConvertHeader 0036 TReader.ReadStr 0052 @UStrLAsg 005b WriteIndent 0070 WriteStr 00b1 WriteUTF8Str 00ee IntToStr 0108 @LStrFromUStr 015b @LStrClr 0168 @UStrArrayClr 0170 @UStrClr 0176 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8D 55 FB 8B 45 08 8B 40 F0 8B 18 FF 53 28 8D 55 FC 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 83 C0 EC E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 F6 45 FB 01 74 11 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 26 F6 45 FB 04 74 11 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 0F 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 83 78 EC 00 74 1F 8B 45 08 50 8B 45 08 8B 40 EC E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 F6 45 FB 02 74 4C 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 5D EC 8B 45 08 50 8D 45 E8 89 5D E4 8B 55 E4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 83 78 EC 00 75 0E 8B 45 08 83 C0 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 8B E5 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 0A 00 00 00 69 6E 68 65 72 69 74 65 64 20 00 00 E4 04 01 00 FF FF FF FF 07 00 00 00 69 6E 6C 69 6E 65 20 00 E4 04 01 00 FF FF FF FF 07 00 00 00 6F 62 6A 65 63 74 20 00 E4 04 01 00 FF FF FF FF 02 00 00 00 3A 20 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 20 5B 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 5D 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_62623_0 {
	meta:
		name = "ConvertBinary"
		size = 216
		refs = "0013 TReader.ReadValue 001c ConvertBinary 0021 WriteStr 003a TReader.Read 0052 NewLine 007e BinToHex 0090 TWriter.Write"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 8D 7D FC 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 FC 8B D7 8B 45 08 8B 40 F0 B9 04 00 00 00 E8 ?? ?? ?? ?? 83 3F 20 0F 9D C3 83 3F 00 7E 52 84 DB 74 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 83 3F 20 7C 07 BE 20 00 00 00 EB 02 8B 37 8D 55 DC 8B 45 08 8B 40 F0 8B CE E8 ?? ?? ?? ?? 8D 55 9C 8D 45 DC 8B CE E8 ?? ?? ?? ?? 8B CE 03 C9 8D 55 9C 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 29 37 83 3F 00 7F AE 8B 45 08 FF 48 FC 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 00 E4 04 01 00 FF FF FF FF 01 00 00 00 7B 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_62624_0 {
	meta:
		name = "ConvertValue"
		size = 2672
		refs = "0017 ConvertValue 0028 TReader.NextValue 009e TReader.ReadValue 00ac WriteStr 00be NewLine 00d4 TReader.EndOfList 00e5 TReader.CheckValue 010a TReader.ReadInteger 0112 IntToStr 012c @LStrFromUStr 0145 TReader.ReadFloat 016a FloatToStrF 019d TReader.ReadSingle 01b4 FloatToStr 01c1 @UStrCat 01f4 TReader.ReadCurrency 0257 TReader.ReadDate 02b1 TReader.ReadWideString 02bc @UStrFromWStr 03a6 @LStrFromChar 045d @HandleFinally 046d TReader.ReadString 0523 ByteType 053f @UniqueStringA 0552 TWriter.Write 060f TReader.ReadIdent 0617 WriteUTF8Str 0626 ConvertBinary 0656 TReader.ReadStr 0747 ConvertProperty 0775 WriteIndent 07ca TReader.ReadInt64 0811 DotSep 085f SPropertyException 0866 _DV_EReadError 086b Exception.CreateResFmt 0870 @RaiseExcept 0888 @UStrClr 0890 @LStrClr 089d @UStrArrayClr 08d2 @WStrClr"
	strings:
		$1 = { 55 8B EC B9 11 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 15 0F 87 C5 07 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 FC EB 14 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 84 C0 74 DD 8B 45 08 8B 40 F0 33 D2 E8 ?? ?? ?? ?? 8B 45 08 FF 48 FC 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 71 07 00 00 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 5D EC 8B 45 08 50 8D 45 E8 89 5D E4 8B 55 E4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 59 E9 36 07 00 00 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 45 08 05 28 FF FF FF 50 8D 45 E0 50 B9 12 00 00 00 BA 10 00 00 00 B0 02 E8 ?? ?? ?? ?? 8B 5D E0 8B 45 08 50 8D 45 DC 89 5D E4 8B 55 E4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 59 E9 DE 06 00 00 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 D8 8B 45 08 05 28 FF FF FF E8 ?? ?? ?? ?? 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D D8 8B 45 08 50 8D 45 D4 89 5D E4 8B 55 E4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 59 E9 87 06 00 00 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 D0 8B 45 08 05 28 FF FF FF E8 ?? ?? ?? ?? 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D D0 8B 45 08 50 8D 45 CC 89 5D E4 8B 55 E4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 59 E9 24 06 00 00 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 55 C8 8B 45 08 05 28 FF FF FF E8 ?? ?? ?? ?? 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D C8 8B 45 08 50 8D 45 C4 89 5D E4 8B 55 E4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 59 E9 CD 05 00 00 8D 55 C0 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 55 C0 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 75 14 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 8E 05 00 00 BB 01 00 00 00 8B 45 08 FF 40 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 FE 40 7E 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 89 5D F4 C6 45 F3 00 8B 45 F8 0F B7 44 58 FE 66 83 F8 20 0F 82 A2 00 00 00 66 83 F8 27 0F 84 98 00 00 00 66 83 F8 7F 0F 87 8E 00 00 00 8B FB 43 3B F3 7C 2E 8B 45 F8 66 83 7C 58 FE 20 72 23 8B 45 F8 66 83 7C 58 FE 27 74 18 8B C3 2B 45 F4 83 F8 40 7D 0E 8B 45 F8 0F B7 44 58 FE 66 83 F8 7F 76 CD 8B C3 2B 45 F4 83 F8 40 7C 04 C6 45 F3 01 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 3B DF 7E 27 8B 45 08 50 8D 45 BC 8B 55 F8 0F B6 54 7A FE B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 59 47 3B DF 7F D9 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 51 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 F8 0F B7 44 58 FE 8D 55 B8 E8 ?? ?? ?? ?? 8B 7D B8 8B 45 08 50 8D 45 B4 89 7D E4 8B 55 E4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 B4 E8 ?? ?? ?? ?? 59 43 8B C3 2B 45 F4 83 F8 40 7C 04 C6 45 F3 01 80 7D F3 00 74 20 3B F3 7C 1C 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 89 5D F4 3B F3 0F 8D C9 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 FF 48 FC C3 E9 ?? ?? ?? ?? EB F2 8D 55 B0 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 55 B0 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 75 14 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 CD 03 00 00 BB 01 00 00 00 8B 45 08 FF 40 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 FE 40 7E 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 89 5D F4 C6 45 F3 00 8B 45 FC 0F B6 44 18 FF 3C 20 0F 82 81 00 00 00 3C 27 74 7D 8B FB 43 3B F3 7C 1E 8B 45 FC 80 7C 18 FF 20 72 14 8B 45 FC 80 7C 18 FF 27 74 0A 8B C3 2B 45 F4 83 F8 40 7C DD 8B C3 2B 45 F4 83 F8 40 7C 13 C6 45 F3 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? 3C 02 75 01 4B 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 45 FC E8 ?? ?? ?? ?? 8D 54 38 FF 8B CB 2B CF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 51 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 FC 0F B6 44 18 FF 8D 55 AC E8 ?? ?? ?? ?? 8B 7D AC 8B 45 08 50 8D 45 A8 89 7D E4 8B 55 E4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 A8 E8 ?? ?? ?? ?? 59 43 8B C3 2B 45 F4 83 F8 40 7C 04 C6 45 F3 01 80 7D F3 00 74 20 3B F3 7C 1C 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 89 5D F4 3B F3 0F 8D EC FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 FF 48 FC C3 E9 ?? ?? ?? ?? EB F2 8B 45 08 50 8D 55 A4 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 A4 E8 ?? ?? ?? ?? 59 E9 53 02 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 59 E9 44 02 00 00 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 33 DB 8D 55 A0 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 55 A0 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 23 85 DB 7E 0F 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 43 EB B9 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 CD 01 00 00 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 FC E9 BD 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 04 FE 2C 03 73 28 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F0 B2 01 E8 ?? ?? ?? ?? 8B 45 08 FF 40 FC EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 84 C0 74 E7 8B 45 08 8B 58 F0 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 08 FF 48 FC 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 30 FF FF FF 8B 45 08 8B 40 F0 33 D2 E8 ?? ?? ?? ?? 8B 45 08 FF 48 FC 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 B1 00 00 00 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 52 50 8D 45 9C E8 ?? ?? ?? ?? 8B 5D 9C 8B 45 08 50 8D 45 98 89 5D E4 8B 55 E4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 98 E8 ?? ?? ?? ?? 59 EB 77 8B 45 08 8B 40 EC 89 85 78 FF FF FF C6 85 7C FF FF FF 11 A1 ?? ?? ?? ?? 8B 00 89 45 80 C6 45 84 11 8B 45 08 8B 80 24 FF FF FF 89 45 88 C6 45 8C 11 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 83 E0 7F 8D 95 74 FF FF FF E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 89 45 90 C6 45 94 11 8D 85 78 FF FF FF 50 6A 03 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 40 FF FF FF 5F 5E 5B 8B E5 5D C3 E4 04 01 00 FF FF FF FF 01 00 00 00 28 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 73 00 00 00 00 40 1C 46 B0 04 02 00 FF FF FF FF 01 00 00 00 63 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 64 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 27 27 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 27 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 23 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 20 2B 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 5B 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 2C 20 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 5D 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 3C 00 00 00 E4 04 01 00 FF FF FF FF 04 00 00 00 69 74 65 6D 00 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 20 5B 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 E4 04 01 00 FF FF FF FF 03 00 00 00 65 6E 64 00 E4 04 01 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_62625_0 {
	meta:
		name = "ConvertProperty"
		size = 184
		refs = "0009 ConvertProperty 0018 WriteIndent 0027 TReader.ReadStr 0037 @UStrLAsg 0049 WriteUTF8Str 0058 WriteStr 0062 ConvertValue 0087 @UStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 E8 ?? ?? ?? ?? 59 8D 55 FC 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 05 24 FF FF FF E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 08 8B 80 24 FF FF FF E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 00 00 E4 04 01 00 FF FF FF FF 03 00 00 00 20 3D 20 00 E4 04 01 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_62626_0 {
	meta:
		name = "ConvertObject"
		size = 144
		refs = "000f ConvertHeader 0021 ConvertProperty 0029 TReader.EndOfList 0036 TReader.CheckValue 0041 ConvertObject 0065 WriteIndent 0074 WriteStr"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 F0 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 FC EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 03 E8 ?? ?? ?? ?? 84 C0 74 EB 8B 03 33 D2 E8 ?? ?? ?? ?? EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 03 E8 ?? ?? ?? ?? 84 C0 74 EB 8B 03 33 D2 E8 ?? ?? ?? ?? 8B 45 08 FF 48 FC 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5B 5D C3 E4 04 01 00 FF FF FF FF 05 00 00 00 65 6E 64 0D 0A 00 00 00 }
	condition:
		$1
}

rule function_62627_0 {
	meta:
		name = "ObjectBinaryToText"
		size = 492
		refs = "002b TFormatSettings 0030 @InitializeRecord 0038 ObjectBinaryToText 0055 _DV_TReader 005a TFiler.Create 006d TFormatSettings.Create 0088 _DV_TMemoryStream 008d TObject.Create 00b3 _DV_TWriter 00d1 TReader.ReadSignature 00d7 ConvertObject 00ed TObject.Free 00f3 @HandleFinally 0100 TEncoding.GetUTF8 0197 TArray<System.Byte> 019c @DynArrayClear 01a7 @UStrClr 01b8 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 81 C4 18 FF FF FF 53 33 C9 89 8D 18 FF FF FF 89 4D EC 89 8D 24 FF FF FF 89 95 20 FF FF FF 8B D8 8D 85 28 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC C6 45 F7 00 68 00 10 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 95 28 FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 45 E6 2E 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 1C FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 10 00 00 8B 8D 1C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F7 00 74 26 E8 ?? ?? ?? ?? 8D 95 18 FF FF FF 8B 08 FF 51 24 8B 95 18 FF FF FF B9 03 00 00 00 8B 85 20 FF FF FF 8B 18 FF 53 10 8B 85 1C FF FF FF 8B 10 FF 12 8B C8 8B 85 1C FF FF FF 8B 50 04 8B 85 20 FF FF FF 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 85 1C FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 18 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 24 FF FF FF E8 ?? ?? ?? ?? 8D 85 28 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 65 00 6E 00 2D 00 55 00 53 00 00 00 }
	condition:
		$1
}

rule function_62629_0 {
	meta:
		name = "IsBinary"
		size = 111
		refs = "0011 TStream.GetPosition 004f TStream.SetPosition"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F1 8B DA 89 04 24 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 08 85 F6 7C 49 46 8D 43 04 8B D8 33 C0 89 44 24 04 8B 03 83 F8 04 7C 05 B8 04 00 00 00 8D 54 24 04 8B C8 8B 04 24 8B 38 FF 57 0C 8B 44 24 08 99 52 50 8B 44 24 08 E8 ?? ?? ?? ?? 8B 44 24 04 3B 43 FC 75 04 B0 01 EB 08 83 C3 08 4E 75 BD 33 C0 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62630_0 {
	meta:
		name = "InternalBinaryToText"
		size = 304
		refs = "0013 TStream.GetPosition 0023 IsBinary 0050 TStream.CopyFrom 0086 TStream.SetPosition 00ac InternalBinaryToText"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 89 55 FC 8B D8 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B 55 0C 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 84 C0 74 43 80 3E 01 75 29 8B C3 8B 10 FF 12 52 50 8B C3 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 BB 00 00 00 80 3E 00 75 03 C6 06 01 8B 55 FC 8B C3 FF 55 10 E9 A6 00 00 00 8D 55 F4 B9 04 00 00 00 8B C3 8B 38 FF 57 0C 8B 45 F8 99 52 50 8B C3 E8 ?? ?? ?? ?? 80 3E 01 75 0A 8B 55 FC 8B C3 FF 55 10 EB 7B 80 3E 00 75 49 0F B6 45 F4 04 F8 3C 67 77 1A 83 E0 7F BA ?? ?? ?? ?? 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F A3 02 73 05 C6 06 02 EB 1E 8B 45 F4 25 FF FF FF 00 3D EF BB BF 00 75 05 C6 06 03 EB 0A 8B 55 FC 8B C3 FF 55 10 EB 2D 0F B6 06 04 FE 2C 02 73 24 8B C3 8B 10 FF 12 52 50 8B C3 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 2A 00 00 01 00 00 00 00 82 00 00 00 82 00 00 00 }
	condition:
		$1
}

rule function_62631_0 {
	meta:
		name = "InternalTextToBinary"
		size = 296
		refs = "0013 TStream.GetPosition 0023 IsBinary 0058 TStream.CopyFrom 0086 TStream.SetPosition 00a8 InternalTextToBinary"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 89 55 FC 8B D8 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B 55 0C 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 84 C0 74 43 80 3E 00 75 03 C6 06 01 80 3E 01 75 29 8B C3 8B 10 FF 12 52 50 8B C3 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 AE 00 00 00 8B 55 FC 8B C3 FF 55 10 E9 A1 00 00 00 8D 55 F4 B9 04 00 00 00 8B C3 8B 38 FF 57 0C 8B 45 F8 99 52 50 8B C3 E8 ?? ?? ?? ?? 0F B6 06 2C 01 72 09 74 4E 48 2C 02 72 53 EB 75 0F B6 45 F4 04 F8 3C 67 77 1A 83 E0 7F BA ?? ?? ?? ?? 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F A3 02 73 05 C6 06 02 EB 12 8B 45 F4 25 FF FF FF 00 3D EF BB BF 00 75 03 C6 06 03 8B 55 FC 8B C3 FF 55 10 EB 2E 8B 55 FC 8B C3 FF 55 10 EB 24 8B C3 8B 10 FF 12 52 50 8B C3 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 2A 00 00 01 00 00 00 00 82 00 00 00 82 00 00 00 }
	condition:
		$1
}

rule function_62632_0 {
	meta:
		name = "ObjectBinaryToText"
		size = 18
		refs = "0001 ObjectBinaryToText 0006 FilerSignatures 000d InternalBinaryToText"
	strings:
		$1 = { 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62640_0 {
	meta:
		name = "ObjectTextToBinary"
		size = 18
		refs = "0001 ObjectTextToBinary 0006 FilerSignatures 000d InternalTextToBinary"
	strings:
		$1 = { 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62633_0 {
	meta:
		name = "ConvertOrderModifier"
		size = 101
		refs = "001b TParser.NextToken 002a TParser.CheckToken 0035 TParser.TokenInt"
	strings:
		$1 = { 55 8B EC 53 83 CB FF 8B 45 08 8B 40 FC 66 83 78 2E 5B 75 4C 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 66 BA 03 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 66 BA 5D 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_62634_0 {
	meta:
		name = "ConvertHeader"
		size = 444
		refs = "0018 ConvertHeader 002d TParser.CheckToken 003b TParser.TokenString 0043 @UStrClr 004e TParser.NextToken 0079 @UStrLAsg 00a2 ConvertOrderModifier 00cd TWriter.WritePrefix 00e3 @LStrFromUStr 0111 TWriter.Write 0119 @UniqueStringA 0197 @LStrArrayClr 01a4 @UStrArrayClr 01aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 88 55 EE 88 45 EF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 66 BA 01 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 66 83 F8 3A 75 3E 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 66 BA 01 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 0F B6 1D ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B F0 80 7D EF 00 74 03 80 CB 01 80 7D EE 00 74 03 80 CB 04 85 F6 7C 03 80 CB 02 8B 45 08 8B 40 F8 8B CE 8B D3 E8 ?? ?? ?? ?? 8B 45 08 8B 58 F8 8D 45 F4 8B 55 FC B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 89 45 E8 81 7D E8 FF 00 00 00 7E 07 C7 45 E8 FF 00 00 00 8D 55 E8 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 4D E8 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 58 F8 8D 45 F0 8B 55 F8 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 89 45 E4 81 7D E4 FF 00 00 00 7E 07 C7 45 E4 FF 00 00 00 8D 55 E4 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 4D E4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_62635_0 {
	meta:
		name = "CombineWideString"
		size = 190
		refs = "001a CombineWideString 002a TParser.TokenWideString 0034 @WStrFromUStr 003d TParser.NextToken 005a TParser.CheckToken 0064 @UStrFromWStr 007b @UStrCat 00ac @UStrArrayClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 8B 75 08 8B 76 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 4F 8B 06 E8 ?? ?? ?? ?? 8B 06 0F B7 40 2E 66 83 E8 02 74 11 66 83 E8 03 74 0B 8B 06 66 BA 02 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 13 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 F4 8B 06 E8 ?? ?? ?? ?? 8B 55 F4 58 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 66 83 F8 2B 74 A4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62636_0 {
	meta:
		name = "ConvertValue"
		size = 1108
		refs = "0013 ConvertValue 003a CombineWideString 0046 @UStrFromWStr 0054 TWriter.WriteWideString 00a5 TParser.TokenComponentIdent 00b3 TWriter.WriteIdent 00c3 TParser.TokenInt 00d0 TWriter.WriteInteger 010a TParser.TokenFloat 011c TWriter.WriteSingle 014a TWriter.WriteCurrency 016c TWriter.WriteDate 018e TWriter.WriteFloat 019e TParser.NextToken 01ab TWriter.WriteValue 01ca TParser.TokenString 01dd @LStrFromUStr 020b IntToStr 021b @UStrCat3 023f TParser.CheckToken 0250 TWriter.WriteStr 02e1 TParser.HexToBinary 02ec TWriter.WriteBinary 031e TParser.CheckTokenSymbol 0332 ConvertOrderModifier 0361 ConvertProperty 0372 TParser.TokenSymbolIs 03b8 SInvalidProperty 03bd LoadResString 03cb TParser.Error 03f0 @UStrArrayClr 03f8 @WStrClr 0400 @UStrClr 0406 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 0F B7 40 2E 8B D0 66 83 EA 02 74 06 66 83 EA 03 75 28 55 8D 45 F8 E8 ?? ?? ?? ?? 59 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 7D 03 00 00 0F B7 C0 83 F8 28 7F 16 0F 84 2B 02 00 00 48 74 2D 83 E8 02 74 49 48 74 63 E9 39 03 00 00 83 E8 3C 0F 84 71 02 00 00 83 E8 1F 0F 84 0A 01 00 00 83 E8 20 0F 84 43 02 00 00 E9 19 03 00 00 8D 55 F4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 13 03 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 52 50 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 F6 02 00 00 8B 45 08 8B 40 FC 0F B7 40 30 83 F8 63 7F 11 74 3B 83 E8 43 74 36 48 74 61 83 E8 0F 74 0C EB 7C 83 E8 64 74 55 83 E8 0F 75 72 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 AA 02 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 7C 02 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 5A 02 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 38 02 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 B2 0B E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 66 83 78 2E 5D 0F 84 C4 00 00 00 8D 55 F0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 83 C0 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 0F B7 40 2E 66 83 E8 02 74 0D 66 FF C8 74 4D 66 83 E8 02 74 02 EB 36 8D 55 E8 8B 45 08 8B 40 F4 0F B6 00 E8 ?? ?? ?? ?? 8B 4D E8 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 08 83 C0 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 0F 8B 45 08 8B 40 FC 66 BA 01 00 E8 ?? ?? ?? ?? 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 66 83 F8 5D 74 1F 8B 45 08 8B 40 FC 66 BA 2C 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E9 3C FF FF FF 8B 45 08 8B 40 F8 33 D2 E8 ?? ?? ?? ?? E9 39 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 B2 01 E8 ?? ?? ?? ?? EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 66 83 78 2E 29 75 E9 8B 45 08 8B 40 F8 33 D2 E8 ?? ?? ?? ?? E9 F6 00 00 00 8B 45 08 8B 40 FC 50 68 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 DA 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 B2 0E E8 ?? ?? ?? ?? E9 82 00 00 00 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B D8 83 FB FF 74 0D 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 08 8B 70 F8 B2 01 8B C6 E8 ?? ?? ?? ?? EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 E2 8B 45 08 8B 78 F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 66 83 78 2E 3E 0F 85 6D FF FF FF 8B 45 08 8B 40 F8 33 D2 E8 ?? ?? ?? ?? EB 1B 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 40 1C 46 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 69 00 74 00 65 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 65 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_62637_0 {
	meta:
		name = "ConvertProperty"
		size = 312
		refs = "0015 ConvertProperty 0026 TParser.CheckToken 0030 TParser.TokenString 0037 TParser.NextToken 006d @UStrCatN 0093 @LStrFromUStr 00c1 TWriter.Write 00c9 @UniqueStringA 00f0 ConvertValue 0106 @UStrClr 010e @LStrClr 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B 5D 08 83 C3 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 66 BA 01 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? EB 3B 8B 03 E8 ?? ?? ?? ?? 8B 03 66 BA 01 00 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 F0 8B 03 E8 ?? ?? ?? ?? FF 75 F0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 03 66 83 78 2E 2E 74 BC 8B 45 08 8B 70 F8 8D 45 F8 8B 55 FC B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 89 45 F4 81 7D F4 FF 00 00 00 7E 07 C7 45 F4 FF 00 00 00 8D 55 F4 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 4D F4 8B C6 E8 ?? ?? ?? ?? 8B 03 66 BA 3D 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_62638_0 {
	meta:
		name = "ConvertObject"
		size = 348
		refs = "0015 ConvertObject 001a TParser.TokenSymbolIs 0044 TParser.CheckTokenSymbol 004b TParser.NextToken 005a ConvertHeader 0066 ConvertProperty 00b4 TWriter.WriteValue"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 08 83 C6 FC 33 DB C6 45 FF 00 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 22 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 FF 01 EB 0C 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B 45 08 50 0F B6 55 FF 8B C3 E8 ?? ?? ?? ?? 59 EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 30 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 20 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 10 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 B6 8B 45 08 8B 40 F8 33 D2 E8 ?? ?? ?? ?? EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 E6 8B 45 08 8B 40 F8 33 D2 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 4E 00 48 00 45 00 52 00 49 00 54 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 4E 00 4C 00 49 00 4E 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 42 00 4A 00 45 00 43 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 45 00 4E 00 44 00 00 00 }
	condition:
		$1
}

rule function_62639_0 {
	meta:
		name = "ObjectTextToBinary"
		size = 283
		refs = "001c TFormatSettings 0021 @InitializeRecord 0029 ObjectTextToBinary 003b CurrencyString 0046 @CopyRecord 0060 _DV_TParser 0065 TParser.Create 0084 _DV_TWriter 0089 TFiler.Create 00a2 TWriter.WriteSignature 00a8 ConvertObject 00be TObject.Free 00c4 @HandleFinally 0101 @FinalizeRecord 0109 @LStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 30 FF FF FF 53 56 33 C9 89 4D F4 8B F2 8B D8 8D 85 30 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 30 FF FF FF 8B 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 45 EE 2E 00 8D 85 30 FF FF FF 50 6A 00 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 10 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 30 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62642_0 {
	meta:
		name = "ObjectResourceToText"
		size = 18
		refs = "0001 ObjectResourceToText 0006 ResourceSignatures 000d InternalBinaryToText"
	strings:
		$1 = { 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62644_0 {
	meta:
		name = "ObjectTextToResource"
		size = 18
		refs = "0001 ObjectTextToResource 0006 ResourceSignatures 000d InternalTextToBinary"
	strings:
		$1 = { 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62643_0 {
	meta:
		name = "ObjectTextToResource"
		size = 115
		refs = "000d _DV_TMemoryStream 0012 TObject.Create 001d ObjectTextToResource 002d ObjectTextToBinary 0037 WriteObjectResourceHeader 0062 TObject.Free 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 12 8B 55 FC 8B 52 04 8B C8 8B C3 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62645_0 {
	meta:
		name = "TestStreamFormat"
		size = 160
		refs = "0009 TStream.GetPosition 002a TStream.SetPosition 0039 FilerSignature 0057 TestStreamFormat"
	strings:
		$1 = { 53 56 57 51 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 33 C0 89 04 24 8B D4 B9 04 00 00 00 8B C3 8B 38 FF 57 0C 8B C6 99 52 50 8B C3 E8 ?? ?? ?? ?? 80 3C 24 FF 74 11 8B 04 24 3B 05 ?? ?? ?? ?? 74 06 83 3C 24 00 75 04 B0 01 EB 3F 0F B6 04 24 04 F8 3C 67 77 1A 83 E0 7F BA ?? ?? ?? ?? 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F A3 02 73 04 B0 02 EB 15 8B 04 24 25 FF FF FF 00 3D EF BB BF 00 75 04 B0 03 EB 02 33 C0 5A 5F 5E 5B C3 00 00 00 2A 00 00 01 00 00 00 00 82 00 00 00 82 00 00 00 }
	condition:
		$1
}

rule function_62646_0 {
	meta:
		name = "GetResourceName"
		size = 457
		refs = "0022 GetResourceName 0034 TStream.GetPosition 0054 TStream.SetPosition 00d6 TArray<System.Byte> 00db @DynArraySetLength 00f5 @DynArrayHigh 0112 TEncoding.GetUTF8 011d TEncoding.GetString 0128 UpperCase 0132 @UStrAsg 013b @TryFinallyExit 0148 TEncoding.GetANSI 0189 @HandleFinally 01a5 @UStrArrayClr 01b3 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 C9 89 4D D4 89 4D D0 89 4D DC 89 4D D8 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 6A 04 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E3 B9 01 00 00 00 8B 45 F8 8B 30 FF 56 0C 0F B6 45 E3 24 F0 3C F0 75 55 A8 02 74 41 8D 55 E3 B9 01 00 00 00 8B 45 F8 8B 30 FF 56 0C 0F B6 45 E3 2C 02 74 0A FE C8 74 0C FE C8 74 0E EB 10 C6 45 E3 01 EB 0A C6 45 E3 02 EB 04 C6 45 E3 04 0F B6 4D E3 8D 55 E4 8B 45 F8 8B 30 FF 56 0C 8D 55 E3 B9 01 00 00 00 8B 45 F8 8B 30 FF 56 0C 0F B6 45 E3 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 0F B6 4D E3 8B 55 FC 8B 45 F8 8B 30 FF 56 0C 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7C 4A 40 C7 45 E4 00 00 00 00 8B 55 FC 8B 4D E4 F6 04 0A 80 74 30 E8 ?? ?? ?? ?? 8D 4D D8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? C6 45 F7 01 E8 ?? ?? ?? ?? EB 4E FF 45 E4 48 75 BE E8 ?? ?? ?? ?? 8D 4D D0 8B 55 FC E8 ?? ?? ?? ?? 8B 45 D0 8D 55 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? FF 75 EC FF 75 E8 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 0F B6 45 F7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62647_0 {
	meta:
		name = "NameLengthError"
		size = 50
		refs = "0018 SComponentNameTooLong 001f _DV_EParserError 0024 Exception.CreateResFmt 0029 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 89 5D F8 C6 45 FC 11 8D 45 F8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62648_0 {
	meta:
		name = "WriteObjectResourceHeader"
		size = 243
		refs = "0017 WriteObjectResourceHeader 002f GetResourceName 004d @UStrLAsg 0063 SComponentNameTooLong 006a _DV_EParserError 006f Exception.CreateResFmt 0074 @RaiseExcept 007d TEncoding.GetUnicode 0088 TEncoding.GetBytes 0095 Write32bitResourceHeader 009c TEncoding.GetANSI 00b4 Write16bitResourceHeader 00ca TArray<System.Byte> 00d4 @FinalizeArray 00e1 @UStrArrayClr 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 12 8B D8 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 46 7E 32 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 D2 74 1F E8 ?? ?? ?? ?? 8D 4D E8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E8 8B 4D F4 8B D3 E8 ?? ?? ?? ?? EB 1D E8 ?? ?? ?? ?? 8D 4D E4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E4 8B 4D F4 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62649_0 {
	meta:
		name = "Write16bitResourceHeader"
		size = 149
		refs = "0011 @DynArrayLength 004e TStream.WriteBuffer"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D9 89 14 24 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 47 66 C7 44 24 04 FF 00 8D 54 24 04 B9 01 00 00 00 8B C3 8B 28 FF 55 10 66 C7 44 24 04 0A 00 8D 54 24 04 B9 02 00 00 00 8B C3 8B 28 FF 55 10 8B D6 8B CF 49 8B C3 E8 ?? ?? ?? ?? 66 C7 44 24 04 00 00 8D 54 24 04 B9 01 00 00 00 8B C3 8B 30 FF 56 10 66 C7 44 24 04 30 10 8D 54 24 04 B9 02 00 00 00 8B C3 8B 30 FF 56 10 8B D4 B9 04 00 00 00 8B C3 8B 18 FF 53 10 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62650_0 {
	meta:
		name = "Write32bitResourceHeader"
		size = 247
		refs = "000f Dummy32bitResHeader 0030 @DynArrayLength 0072 TStream.WriteBuffer"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D9 89 14 24 8B F8 BA ?? ?? ?? ?? B9 20 00 00 00 8B C3 8B 30 FF 56 10 8B D4 B9 04 00 00 00 8B C3 8B 30 FF 56 10 8B C7 E8 ?? ?? ?? ?? 8B F0 83 C6 02 8D 46 1C 89 44 24 04 8D 54 24 04 B9 04 00 00 00 8B C3 8B 28 FF 55 10 C7 44 24 04 FF FF 0A 00 8D 54 24 04 B9 04 00 00 00 8B C3 8B 28 FF 55 10 8B D7 8B CE 83 E9 02 8B C3 E8 ?? ?? ?? ?? 33 C0 89 44 24 04 8D 54 24 04 B9 02 00 00 00 8B C3 8B 30 FF 56 10 33 C0 89 44 24 04 8D 54 24 04 B9 04 00 00 00 8B C3 8B 30 FF 56 10 8D 54 24 04 B9 02 00 00 00 8B C3 8B 30 FF 56 10 C7 44 24 04 09 04 00 00 8D 54 24 04 B9 02 00 00 00 8B C3 8B 30 FF 56 10 33 C0 89 44 24 04 8D 54 24 04 B9 04 00 00 00 8B C3 8B 30 FF 56 10 8D 54 24 04 B9 04 00 00 00 8B C3 8B 18 FF 53 10 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62651_0 {
	meta:
		name = "TExternalThread.Create"
		size = 59
		refs = "000a @ClassCreate 001d TThread.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 46 3C 01 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_62653_0 {
	meta:
		name = "TAnonymousThread.Create"
		size = 73
		refs = "000b @ClassCreate 001c TThread.Create 002a @IntfCopy 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B1 01 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 0F 01 8D 47 40 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62655_0 {
	meta:
		name = "InitThreadSynchronization"
		size = 60
		refs = "0003 _Dn_TObject 0008 TObject.Create 000d ThreadLock 0012 InitThreadSynchronization 001d CreateEvent 0022 SyncEvent 0030 RaiseLastOSError"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A FF 6A 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_62656_0 {
	meta:
		name = "DoneThreadSynchronization"
		size = 22
		refs = "0001 ThreadLock 0006 TObject.Free 000b SyncEvent 0011 CloseHandle"
	strings:
		$1 = { A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62657_0 {
	meta:
		name = "FreeExternalThreads"
		size = 129
		refs = "0008 ExternalThreads 0011 InterlockedExchange 0022 TThreadList.LockList 002c FreeExternalThreads 0046 TList.Get 004b TObject.Free 0067 TMonitor.Exit 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 BB ?? ?? ?? ?? 33 F6 56 53 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 55 8B 45 FC E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62659_0 {
	meta:
		name = "WaitForSyncEvent"
		size = 26
		refs = "0005 SyncEvent 000b WaitForSingleObject 0014 ResetSyncEvent"
	strings:
		$1 = { 53 8B D8 53 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_62661_0 {
	meta:
		name = "CheckSynchronize"
		size = 556
		refs = "000d SyncEvent 001e TThread.GetCurrentThread 0027 MainThreadID 0046 SCheckSynchronizeError 004d _DV_EThread 0052 Exception.CreateResFmt 0057 @RaiseExcept 0062 WaitForSyncEvent 0069 ResetSyncEvent 0074 ThreadLock 0079 TMonitor.CheckMonitorSupport 0080 TMonitor.GetMonitor 0088 TMonitor.Enter 0090 CheckSynchronize 009b SyncList 00a5 InterlockedExchange 00e7 TList.Get 00f4 TList.Delete 00fe TMonitor.Exit 0150 @HandleAnyException 015e AcquireExceptionObject 016d @RaiseAgain 0172 @DoneExcept 019f @HandleFinally 01b5 TMonitor.Pulse 01c2 TThread.TSynchronizeRecord 01c7 @Dispose 01d4 @FreeMem 01f6 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B D8 83 3D ?? ?? ?? ?? 00 75 09 C6 45 FF 00 E9 04 02 00 00 E8 ?? ?? ?? ?? 8B 40 08 8B 15 ?? ?? ?? ?? 3B 02 74 2C E8 ?? ?? ?? ?? 8B 40 08 89 45 EC C6 45 F0 00 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7E 09 8B C3 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8B 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BB ?? ?? ?? ?? 8B 75 F4 56 53 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 74 09 8B 45 F4 83 78 08 00 7F 04 33 C0 EB 02 B0 01 88 45 FF 80 7D FF 00 0F 84 09 01 00 00 E9 F7 00 00 00 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 33 D2 8B 45 F4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 30 66 83 7E 0A 00 74 08 8B 46 0C FF 56 08 EB 13 83 7E 10 00 74 0D 8B 45 F8 8B 00 8B 40 10 8B 10 FF 52 0C 33 C0 5A 59 59 64 89 10 EB 27 E9 ?? ?? ?? ?? 8B 45 F8 80 78 04 00 75 0F E8 ?? ?? ?? ?? 8B 55 F8 8B 12 89 42 14 EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 F8 80 78 04 00 75 0D 8B 45 F8 8B 40 08 E8 ?? ?? ?? ?? EB 1D 8B 45 F8 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 0C 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 83 78 08 00 0F 8F FC FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62662_0 {
	meta:
		name = "ThreadProc"
		size = 180
		refs = "000b @GetTls 0014 TThread.FCurrentThread 001c ThreadProc 0050 @HandleAnyException 0055 AcquireExceptionObject 0060 @DoneExcept 008d SignalSyncEvent 0099 TObject.Free 00a0 EndThread 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 90 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 0D 00 75 35 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 08 33 C0 5A 59 59 64 89 10 EB 15 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 70 14 8B 45 FC 0F B6 58 0F 8B 45 FC 8B 10 FF 12 8B 45 FC C6 40 10 01 E8 ?? ?? ?? ?? 84 DB 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62664_0 {
	meta:
		name = "TThread.Create"
		size = 251
		refs = "0016 @ClassCreate 0025 TThread.Create 0034 TObject.Create 0062 ThreadProc 006b BeginThread 0079 GetLastError 0081 SysErrorMessage 0097 SThreadCreateError 009e _DV_EThread 00a3 Exception.CreateResFmt 00a8 @RaiseExcept 00af GetCurrentThread 00b7 GetCurrentThreadId 00cf @UStrClr 00d5 @HandleFinally 00e4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 0F B6 47 3C 34 01 88 47 0E 84 DB 74 06 80 7F 3C 00 74 04 33 C0 EB 02 B0 01 88 47 0C 80 7F 3C 00 75 54 57 6A 04 8D 47 08 50 B9 ?? ?? ?? ?? 33 D2 33 C0 E8 ?? ?? ?? ?? 8B F0 89 77 04 85 F6 75 46 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 E8 ?? ?? ?? ?? 89 47 04 E8 ?? ?? ?? ?? 89 47 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62665_0 {
	meta:
		name = "TThread.Create@"
		size = 27
		refs = "0002 TThread.$ClassInitFlag 000a InitThreadSynchronization 000f CPUCount 0016 TThread.FProcessorCount"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 11 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62667_0 {
	meta:
		name = "TThread.Destroy"
		size = 121
		refs = "0003 @BeforeDestruction 0020 TThread.Terminate 0033 TThread.Resume 003a TThread.WaitFor 0041 TThread.RemoveQueuedEvents 0054 CloseHandle 005f TObject.Destroy 0067 TObject.Free 0072 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 08 00 74 2D 80 7E 10 00 75 27 80 7E 3C 00 75 21 8B C6 E8 ?? ?? ?? ?? 80 7E 0C 00 75 06 80 7E 0E 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 04 85 C0 74 0C 80 7E 3C 00 75 06 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62668_0 {
	meta:
		name = "TThread.Destroy@"
		size = 37
		refs = "0002 TThread.$ClassInitFlag 0009 SyncList 0016 TObject.Free 001b FreeExternalThreads 0020 DoneThreadSynchronization"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 1C A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62669_0 {
	meta:
		name = "TThread.AfterConstruction"
		size = 20
		refs = "000f TThread.InternalStart"
	strings:
		$1 = { 80 78 0C 00 75 0D 80 78 3C 00 75 07 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62670_0 {
	meta:
		name = "TThread.CheckTerminated"
		size = 54
		refs = "0002 TThread.GetCurrentThread 000c _DV_TExternalThread 0011 @IsClass 001b SThreadExternalCheckTerminated 0022 _DV_EThreadExternalException 0027 Exception.CreateRes 002c @RaiseExcept"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 43 0D 5B C3 }
	condition:
		$1
}

rule function_62671_0 {
	meta:
		name = "TThread.CheckThreadError"
		size = 122
		refs = "0012 TThread.CheckThreadError 0026 SysErrorMessage 0043 SThreadError 004a _DV_EThread 004f Exception.CreateResFmt 0054 @RaiseExcept 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 38 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 89 5D F8 C6 45 FC 00 8D 45 F0 50 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62672_0 {
	meta:
		name = "TThread.CheckThreadError"
		size = 23
		refs = "0008 GetLastError 0011 TThread.CheckThreadError"
	strings:
		$1 = { 53 8B D8 84 D2 75 0E E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_62674_0 {
	meta:
		name = "TThread.DoTerminate"
		size = 19
		refs = "0009 TThread.CallOnTerminate 000e TThread.Synchronize"
	strings:
		$1 = { 66 83 78 1A 00 74 0B 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62676_0 {
	meta:
		name = "TThread.GetCurrentThread"
		size = 130
		refs = "0006 @GetTls 000c TThread.FCurrentThread 0016 _DV_TExternalThread 001b TExternalThread.Create 0023 ExternalThreads 002d _DV_TThreadList 0032 TThreadList.Create 004b InterlockedCompareExchange 0056 TObject.Free 0062 TThreadList.Add"
	strings:
		$1 = { 53 56 57 55 51 E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 75 5E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 3D ?? ?? ?? ?? 00 75 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BF ?? ?? ?? ?? 8B EE 33 C0 89 04 24 8B 04 24 50 55 57 E8 ?? ?? ?? ?? 85 C0 74 07 8B C6 E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62677_0 {
	meta:
		name = "TThread.GetIsSingleProcessor"
		size = 11
		refs = "0002 TThread.FProcessorCount"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 02 0F 9C C0 C3 }
	condition:
		$1
}

rule function_62678_0 {
	meta:
		name = "TThread.InternalStart"
		size = 170
		refs = "000e TThread.InternalStart 0036 ResumeThread 0043 SThreadStartError 0048 LoadResString 0052 _DV_EThread 0057 Exception.Create 005c @RaiseExcept 0099 @UStrArrayClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0A 53 0C 74 45 80 7B 10 00 75 3F 80 7B 3C 00 75 39 C6 43 0E 00 C6 43 0C 00 8B 43 04 50 E8 ?? ?? ?? ?? 83 F8 01 74 44 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62679_0 {
	meta:
		name = "TThread.GetPriority"
		size = 58
		refs = "0009 GetThreadPriority 001b TThread.CheckThreadError 0024 Priorities"
	strings:
		$1 = { 53 56 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 8B F0 81 FE FF FF FF 7F 0F 95 C2 8B C3 E8 ?? ?? ?? ?? B0 03 33 D2 B9 ?? ?? ?? ?? 3B 31 75 02 8B C2 42 83 C1 04 80 FA 07 75 F1 5E 5B C3 }
	condition:
		$1
}

rule function_62680_0 {
	meta:
		name = "TThread.SetPriority"
		size = 42
		refs = "000c Priorities 0016 SetThreadPriority 0023 TThread.CheckThreadError"
	strings:
		$1 = { 53 56 8B DA 8B F0 0F B6 C3 8B 04 85 ?? ?? ?? ?? 50 8B 46 04 50 E8 ?? ?? ?? ?? 83 F8 01 1B D2 42 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62681_0 {
	meta:
		name = "TThread.Queue"
		size = 139
		refs = "0009 TThread.TSynchronizeRecord 0013 @New 001e TThread.Queue 004c TThread.Synchronize 005e TThread.GetCurrentThread 0067 MainThreadID 0079 @Dispose 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B 15 ?? ?? ?? ?? B8 18 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 18 8B 45 FC 33 D2 89 50 14 8B 45 FC 8B 55 08 89 50 08 8B 55 0C 89 50 0C 8B 03 B1 01 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 08 8B 15 ?? ?? ?? ?? 3B 02 75 0E 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_62682_0 {
	meta:
		name = "TThread.Queue"
		size = 204
		refs = "0010 @IntfAddRef 0018 TThread.Queue 0024 TThread.TSynchronizeRecord 002e @New 0065 @IntfCopy 0071 TThread.Synchronize 0083 TThread.GetCurrentThread 008c MainThreadID 009e @Dispose 00a4 @HandleFinally 00bb @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? B8 18 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 18 8B 45 F8 33 D2 89 50 14 8B 45 F8 33 D2 89 50 08 89 50 0C 8B 45 F8 83 C0 10 8B 55 FC E8 ?? ?? ?? ?? 8B 03 B1 01 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 08 8B 15 ?? ?? ?? ?? 3B 02 75 0E 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62683_0 {
	meta:
		name = "TThread.Queue"
		size = 160
		refs = "000f TThread.Queue 001a TThread.TSynchronizeRecord 0024 @New 005d _DV_TThread 0062 TThread.Synchronize 0074 TThread.GetCurrentThread 007d MainThreadID 008f @Dispose 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 85 C0 74 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? E9 83 00 00 00 8B 15 ?? ?? ?? ?? B8 18 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 33 D2 89 10 8B 45 FC 33 D2 89 50 14 8B 45 FC 8B 55 08 89 50 08 8B 55 0C 89 50 0C B1 01 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 08 8B 15 ?? ?? ?? ?? 3B 02 75 0E 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 59 5D C2 08 00 }
	condition:
		$1
}

rule function_62684_0 {
	meta:
		name = "TThread.RemoveQueuedEvents"
		size = 209
		refs = "000a ThreadLock 000f TMonitor.CheckMonitorSupport 0016 TMonitor.GetMonitor 001e TMonitor.Enter 0026 TThread.RemoveQueuedEvents 0032 SyncList 004f TList.Get 0088 TList.Delete 0090 TThread.TSynchronizeRecord 0095 @Dispose 00a1 @FreeMem 00be TMonitor.Exit 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 72 A1 ?? ?? ?? ?? 8B 70 08 4E 83 FE 00 7C 64 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 7B 08 00 75 4A 85 FF 74 06 8B 03 3B 38 74 1B 66 83 7D 0A 00 74 39 8B 03 8B 40 08 3B 45 08 75 2F 8B 03 8B 40 0C 3B 45 0C 75 25 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 4E 83 FE FF 75 9C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_62685_0 {
	meta:
		name = "TThread.SetReturnValue"
		size = 57
		refs = "0005 TThread.GetCurrentThread 000f _DV_TExternalThread 0014 @IsClass 001e SThreadExternalSetReturnValue 0025 _DV_EThreadExternalException 002a Exception.CreateRes 002f @RaiseExcept"
	strings:
		$1 = { 53 56 8B F0 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 14 5E 5B C3 }
	condition:
		$1
}

rule function_62687_0 {
	meta:
		name = "TThread.Synchronize"
		size = 421
		refs = "000f TThread.GetCurrentThread 0018 MainThreadID 0061 @GetMem 007e _Dn_TObject 0083 TObject.Create 009b TThread.Synchronize 00a7 ThreadLock 00ac TMonitor.CheckMonitorSupport 00b3 TMonitor.GetMonitor 00bb TMonitor.Enter 00d9 SyncList 00e3 _DV_TList 0102 TList.Add 0107 SignalSyncEvent 010e WakeMainThread 013c TMonitor.Wait 0153 TMonitor.Exit 0159 @HandleFinally 0179 TObject.Free 019b @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 88 4D FB 89 55 FC E8 ?? ?? ?? ?? 8B 40 08 8B 15 ?? ?? ?? ?? 3B 02 75 35 8B 45 FC 66 83 78 0A 00 74 0E 8B 5D FC 8B 43 0C FF 53 08 E9 67 01 00 00 8B 45 FC 83 78 10 00 0F 84 5A 01 00 00 8B 45 FC 8B 40 10 8B 10 FF 52 0C E9 4A 01 00 00 80 7D FB 00 74 0F B8 0C 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 EB 06 8D 45 E8 89 45 F4 0F B6 5D FB 80 F3 01 84 DB 74 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 42 08 EB 08 8B 45 F4 33 D2 89 50 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 0F B6 55 FB 88 50 04 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 F4 8B 55 FC 89 10 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 3D ?? ?? ?? ?? 00 74 13 8B 45 F4 8B 00 8B 10 8B 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 84 DB 74 14 8B 45 F4 8B 40 08 83 C9 FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 75 0B 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 80 7D FB 00 75 14 8B 45 FC 83 78 14 00 74 0B 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62688_0 {
	meta:
		name = "TThread.Synchronize"
		size = 51
		refs = "001e @IntfClear 002a TThread.Synchronize"
	strings:
		$1 = { 55 8B EC 53 8B D8 89 5B 20 33 C0 89 43 34 8B 45 08 89 43 28 8B 45 0C 89 43 2C 8D 43 30 E8 ?? ?? ?? ?? 8D 53 20 33 C9 8B 03 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_62689_0 {
	meta:
		name = "TThread.Synchronize"
		size = 104
		refs = "000e @IntfAddRef 0016 TThread.Synchronize 0037 @IntfCopy 0058 @IntfClear 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5B 20 33 C0 89 43 34 33 C0 89 43 28 89 43 2C 8D 43 30 8B 55 FC E8 ?? ?? ?? ?? 8D 53 20 33 C9 8B 03 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_62690_0 {
	meta:
		name = "TThread.Synchronize"
		size = 143
		refs = "000e TThread.TSynchronizeRecord 0013 @InitializeRecord 001b TThread.Synchronize 0052 @IntfClear 005c _DV_TThread 007c @FinalizeRecord 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 0F FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? EB 2D 33 C0 89 45 E8 33 C0 89 45 FC 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_62691_0 {
	meta:
		name = "TThread.Queue"
		size = 228
		refs = "0010 @IntfAddRef 0018 TThread.Queue 0037 TThread.TSynchronizeRecord 0041 @New 007a @IntfCopy 0084 _DV_TThread 0089 TThread.Synchronize 009b TThread.GetCurrentThread 00a4 MainThreadID 00b6 @Dispose 00bc @HandleFinally 00d3 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 0F 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 8D 00 00 00 8B 15 ?? ?? ?? ?? B8 18 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 33 D2 89 10 8B 45 F8 33 D2 89 50 14 8B 45 F8 33 D2 89 50 08 89 50 0C 8B 45 F8 83 C0 10 8B 55 FC E8 ?? ?? ?? ?? B1 01 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 08 8B 15 ?? ?? ?? ?? 3B 02 75 0E 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62692_0 {
	meta:
		name = "TThread.Synchronize"
		size = 156
		refs = "0010 @IntfAddRef 0019 TThread.TSynchronizeRecord 001e @InitializeRecord 0026 TThread.Synchronize 0059 @IntfCopy 0063 _DV_TThread 0083 @FinalizeRecord 008b @IntfClear 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 0C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 2C 33 C0 89 45 E0 33 C0 89 45 F4 33 C0 89 45 E8 89 45 EC 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 55 E0 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62694_0 {
	meta:
		name = "TThread.RemoveQueuedEvents"
		size = 180
		refs = "000a ThreadLock 000f TMonitor.CheckMonitorSupport 0016 TMonitor.GetMonitor 001e TMonitor.Enter 0026 TThread.RemoveQueuedEvents 0032 SyncList 004f TList.Get 006d TList.Delete 0075 TThread.TSynchronizeRecord 007a @Dispose 0086 @FreeMem 00a3 TMonitor.Exit 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 1D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 57 A1 ?? ?? ?? ?? 8B 70 08 4E 83 FE 00 7C 49 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 7B 08 00 75 2F 85 FF 74 2B 8B 03 3B 38 75 25 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 4E 83 FE FF 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_62696_0 {
	meta:
		name = "TThread.SetSuspended"
		size = 22
		refs = "000a TThread.Suspend 0011 TThread.Resume"
	strings:
		$1 = { 3A 50 0E 74 10 84 D2 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62697_0 {
	meta:
		name = "TMonitor.Spin"
		size = 14
		altNames = "TThread.SpinWait"
	strings:
		$1 = { 83 F8 00 7E 08 F3 90 48 83 F8 00 7F F8 C3 }
	condition:
		$1
}

rule function_62701_0 {
	meta:
		name = "TThread.Suspend"
		size = 110
		refs = "001a TThread.Suspend 0033 SuspendThread 0040 TThread.CheckThreadError 004f @HandleAnyException 005e @RaiseAgain 0063 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC 0F B6 40 0E 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 0E 01 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 8B 45 FC 0F B6 55 FB 88 50 0E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62702_0 {
	meta:
		name = "TThread.Resume"
		size = 37
		refs = "0009 ResumeThread 0017 TThread.CheckThreadError"
	strings:
		$1 = { 53 56 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 9D C2 8B C3 E8 ?? ?? ?? ?? 4E 75 04 C6 43 0E 00 5E 5B C3 }
	condition:
		$1
}

rule function_62703_0 {
	meta:
		name = "TThread.Terminate"
		size = 39
		refs = "0008 SThreadExternalTerminate 000f _DV_EThread 0014 Exception.CreateRes 0019 @RaiseExcept"
	strings:
		$1 = { 80 78 3C 00 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 40 0D 01 8B 10 FF 52 04 C3 }
	condition:
		$1
}

rule function_62704_0 {
	meta:
		name = "TThread.WaitFor"
		size = 194
		refs = "000f SThreadExternalWait 0016 _DV_EThread 001b Exception.CreateRes 0020 @RaiseExcept 002c TThread.GetCurrentThread 0035 MainThreadID 0040 SyncEvent 005b PeekMessage 0070 MsgWaitForMultipleObjects 007f TThread.CheckThreadError 008b CheckSynchronize 009d WaitForSingleObject 00a8 GetExitCodeThread"
	strings:
		$1 = { 53 56 83 C4 D8 8B F0 80 7E 3C 00 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 04 89 44 24 04 E8 ?? ?? ?? ?? 8B 40 08 8B 15 ?? ?? ?? ?? 3B 02 75 58 33 DB A1 ?? ?? ?? ?? 89 44 24 08 83 FB 02 75 12 6A 00 6A 00 6A 00 6A 00 8D 44 24 1C 50 E8 ?? ?? ?? ?? 6A 40 68 E8 03 00 00 6A 00 8D 44 24 10 50 6A 02 E8 ?? ?? ?? ?? 8B D8 83 FB FF 0F 95 C2 8B C6 E8 ?? ?? ?? ?? 83 FB 01 75 07 33 C0 E8 ?? ?? ?? ?? 85 DB 75 B5 EB 0C 6A FF 8B 44 24 08 50 E8 ?? ?? ?? ?? 54 8B 44 24 08 50 E8 ?? ?? ?? ?? 83 F8 01 1B D2 42 8B C6 E8 ?? ?? ?? ?? 8B 04 24 83 C4 28 5E 5B C3 }
	condition:
		$1
}

rule function_62705_0 {
	meta:
		name = "TThread.NameThreadForDebugging"
		size = 159
		refs = "0012 @LStrAddRef 001a TThread.NameThreadForDebugging 0025 IsDebuggerPresent 0038 @LStrToPChar 0063 RaiseException 0072 @HandleAnyException 0077 @DoneExcept 008c @LStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 85 C0 74 4E C7 45 EC 00 10 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 89 5D F4 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 50 6A 04 6A 00 68 88 13 6D 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62709_0 {
	meta:
		name = "TComponent.Create"
		size = 76
		refs = "000b @ClassCreate 0018 TComponent.Create 0028 TComponent.InsertComponent 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 0F B6 05 ?? ?? ?? ?? 88 47 28 85 F6 74 09 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_62710_0 {
	meta:
		name = "TComponent.Destroy"
		size = 79
		refs = "0003 @BeforeDestruction 000e TComponent.Destroying 0015 TComponent.RemoveFreeNotifications 001c TComponent.DestroyComponents 002a TComponent.RemoveComponent 0032 TObject.Free 003d TPersistent.Destroy 0048 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 04 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62711_0 {
	meta:
		name = "TComponent.BeforeDestruction"
		size = 12
		refs = "0007 TComponent.Destroying"
	strings:
		$1 = { F6 40 1C 08 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62712_0 {
	meta:
		name = "TComponent.RemoveFreeNotifications"
		size = 64
		refs = "0013 TList.Get 0039 TObject.Free"
	strings:
		$1 = { 53 56 8B D8 83 7B 14 00 74 33 EB 14 8B 56 08 4A 8B C6 E8 ?? ?? ?? ?? B1 01 8B D3 8B 30 FF 56 10 8B 73 14 85 F6 74 06 83 7E 08 00 7F DF 8D 43 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62713_0 {
	meta:
		name = "TComponent.FreeNotification"
		size = 81
		refs = "001b _DV_TList 0020 TObject.Create 002d TList.IndexOf 003b TList.Add 0044 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 85 C0 74 05 3B 46 04 74 36 83 7B 14 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 14 8B D6 8B 43 14 E8 ?? ?? ?? ?? 85 C0 7D 13 8B D6 8B 43 14 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 66 81 4B 1C 00 01 5E 5B C3 }
	condition:
		$1
}

rule function_62714_0 {
	meta:
		name = "TComponent.ReadLeft"
		size = 20
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 66 89 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_62715_0 {
	meta:
		name = "TComponent.ReadTop"
		size = 20
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 66 89 43 1A 5E 5B C3 }
	condition:
		$1
}

rule function_62716_0 {
	meta:
		name = "TComponent.WriteLeft"
		size = 11
		refs = "0006 TWriter.WriteInteger"
	strings:
		$1 = { 0F B7 40 18 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62717_0 {
	meta:
		name = "TComponent.WriteTop"
		size = 11
		refs = "0006 TWriter.WriteInteger"
	strings:
		$1 = { 0F B7 40 1A 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62718_0 {
	meta:
		name = "TComponent.Insert"
		size = 58
		refs = "000f _DV_TList 0014 TObject.Create 0021 TList.Add 0030 TComponent.AddSortedComponent"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 10 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B D6 8B 43 10 E8 ?? ?? ?? ?? 83 7B 2C 00 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 89 5E 04 5E 5B C3 }
	condition:
		$1
}

rule function_62719_0 {
	meta:
		name = "TComponent.Remove"
		size = 118
		refs = "001d TList.Get 002c TList.Delete 003a TList.RemoveItem 005b TObject.Free"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 33 C0 89 47 04 8B 6B 10 8B 75 08 85 F6 7E 37 8B D6 4A 8B C5 E8 ?? ?? ?? ?? 3B F8 75 0D 8B D6 4A 8B 43 10 E8 ?? ?? ?? ?? EB 0C 8B 43 10 8B D7 33 C9 E8 ?? ?? ?? ?? 8B 43 2C 85 C0 74 09 8B D7 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 78 08 00 75 1A 8B 43 2C E8 ?? ?? ?? ?? 33 C0 89 43 2C 8B 43 10 E8 ?? ?? ?? ?? 33 C0 89 43 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62720_0 {
	meta:
		name = "TComponent.InsertComponent"
		size = 99
		refs = "0010 @CallDynaInst 001e TComponent.RemoveComponent 0036 TComponent.Insert 003f TComponent.SetReference 0050 TComponent.SetDesigning"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B D7 8B C3 66 BE F5 FF E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B 43 08 50 33 C9 8B D3 8B C7 8B 30 FF 56 2C 8B D3 8B C7 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? F6 47 1C 10 74 0B B1 01 B2 01 8B C3 E8 ?? ?? ?? ?? 33 C9 8B D3 8B C7 8B 18 FF 53 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62721_0 {
	meta:
		name = "TComponent.RemoveComponent"
		size = 54
		refs = "0025 TComponent.SetReference 002e TComponent.Remove"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 6A 00 8B 4B 08 8B D3 8B C6 8B 38 FF 57 2C B1 01 8B D3 8B C6 8B 38 FF 57 10 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62722_0 {
	meta:
		name = "TComponent.DestroyComponents"
		size = 108
		refs = "0011 TObject.Free 001a TList.Last 0029 TComponent.DestroyComponents 0042 TComponent.RemoveComponent 004d TComponent.Remove"
	strings:
		$1 = { 53 56 57 8B D8 8D 43 2C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 43 8B C7 E8 ?? ?? ?? ?? 8B F0 F6 46 1D 01 75 17 0F B7 05 ?? ?? ?? ?? 66 23 43 1C 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 51 FC 8B 7B 10 85 FF 75 B6 5F 5E 5B C3 00 00 00 10 02 00 00 }
	condition:
		$1
}

rule function_62723_0 {
	meta:
		name = "TComponent.Destroying"
		size = 57
		refs = "0028 TList.Get 002d TComponent.Destroying"
	strings:
		$1 = { 53 56 57 8B D8 F6 43 1C 08 75 2A 66 83 4B 1C 08 8B 43 10 85 C0 74 1E 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 43 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62724_0 {
	meta:
		name = "TComponent.RemoveNotification"
		size = 85
		refs = "001c TList.Get 002b TList.Delete 0039 TList.RemoveItem 0047 TObject.Free"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 7B 14 85 FF 74 41 8B 77 08 85 F6 7E 27 8B D6 4A 8B C7 E8 ?? ?? ?? ?? 3B E8 75 0D 8B D6 4A 8B 43 14 E8 ?? ?? ?? ?? EB 0C 8B 43 14 8B D5 33 C9 E8 ?? ?? ?? ?? 8B 43 14 83 78 08 00 75 0A E8 ?? ?? ?? ?? 33 C0 89 43 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62725_0 {
	meta:
		name = "TComponent.RemoveFreeNotification"
		size = 27
		refs = "000b TComponent.RemoveNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62726_0 {
	meta:
		name = "TComponent.Notification"
		size = 93
		refs = "001b TComponent.RemoveFreeNotification 0034 TList.Get"
	strings:
		$1 = { 53 56 57 55 51 88 0C 24 8B FA 8B F0 80 3C 24 01 75 0D 85 FF 74 09 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 46 10 85 C0 74 31 8B 58 08 4B 85 DB 7C 29 8B D3 8B 46 10 E8 ?? ?? ?? ?? 0F B6 0C 24 8B D7 8B 28 FF 55 10 4B 8B 46 10 3B 58 08 7C 07 8B 46 10 8B 58 08 4B 85 DB 7D D7 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62727_0 {
	meta:
		name = "TComponent.DefineProperties"
		size = 152
		refs = "001f TComponent.ReadLeft 0025 TComponent.WriteLeft 0035 TComponent.DefineProperties 0042 TComponent.ReadTop 0048 TComponent.WriteTop"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 33 C0 89 45 FC 8B 46 20 85 C0 74 06 8B 40 18 89 45 FC 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 0F B7 43 18 66 3B 45 FC 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 04 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 0F B7 45 FE 66 3B 43 1A 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 6F 00 70 00 00 00 }
	condition:
		$1
}

rule function_62738_0 {
	meta:
		name = "TComponent.Updating"
		size = 10
	strings:
		$1 = { 53 8B D8 66 83 4B 1C 40 5B C3 }
	condition:
		$1
}

rule function_62739_0 {
	meta:
		name = "TComponent.Updated"
		size = 10
	strings:
		$1 = { 53 8B D8 66 83 63 1C BF 5B C3 }
	condition:
		$1
}

rule function_62740_0 {
	meta:
		name = "TComponent.Loaded"
		size = 10
	strings:
		$1 = { 53 8B D8 66 83 63 1C FE 5B C3 }
	condition:
		$1
}

rule function_62744_0 {
	meta:
		name = "TComponent.ValidateRename"
		size = 259
		refs = "0020 TComponent.ValidateRename 0037 @UStrLAsg 0068 CompareText 0091 TComponent.FindComponent 00a8 SDuplicateName 00af _DV_EComponentError 00b4 Exception.CreateResFmt 00b9 @RaiseExcept 00ee @UStrArrayClr 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F0 89 55 F4 8B F0 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 74 45 8D 45 FC 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 34 01 EB 02 33 C0 84 C0 74 0B 8B 45 F4 3B 70 04 0F 94 C0 EB 02 33 C0 84 C0 74 31 8B D7 8B C6 E8 ?? ?? ?? ?? 85 C0 74 24 89 7D E8 C6 45 EC 11 8D 45 E8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 46 1C 10 74 15 83 7E 04 00 74 0F 57 8B 4D F0 8B 55 F4 8B 46 04 8B 18 FF 53 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_62745_0 {
	meta:
		name = "TComponent.ValidateContainer"
		size = 18
		refs = "000c @CallDynaInst"
	strings:
		$1 = { 56 8B F0 8B C2 8B D6 66 BE F4 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_62747_0 {
	meta:
		name = "TComponent.FindComponent$891$ActRec.$0$Body"
		size = 12
		refs = "0007 CompareText"
	strings:
		$1 = { 8B 42 08 8B 51 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62748_0 {
	meta:
		name = "TComponent.FindComponent"
		size = 233
		refs = "0017 TComponent.FindComponent 0024 _DV_TComponent.FindComponent$891$ActRec 0029 TObject.Create 003c @IntfCopy 0057 _DV_TList 006e TList.SetCount 008c TList.Get 0099 TList.Put 00b0 TList.SortList 00bd TComponent.FindSortedComponent 00d4 @IntfClear 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 45 FC 8B D7 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 33 F6 83 7D F8 00 74 7B 83 7B 10 00 74 75 83 7B 2C 00 75 60 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 2C 8B 43 10 8B 50 08 8B C6 E8 ?? ?? ?? ?? 8B 43 10 8B 70 08 4E 85 F6 7C 26 46 C7 45 F4 00 00 00 00 8B 55 F4 8B 43 10 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 43 2C E8 ?? ?? ?? ?? FF 45 F4 4E 75 E2 8B D7 85 D2 74 03 83 EA F4 8B 43 2C E8 ?? ?? ?? ?? 8D 4D F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62749_0 {
	meta:
		name = "TComponent.FindSortedComponent"
		size = 125
		refs = "0043 CompareText"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 4C 24 08 89 54 24 04 89 04 24 33 F6 8B 04 24 8B 40 2C 8B 78 08 4F 3B FE 7C 43 8D 1C 37 D1 EB 8B 04 24 8B 40 2C 8B 40 04 8B 04 98 89 44 24 0C 8B 44 24 0C 8B 40 08 8B 54 24 04 E8 ?? ?? ?? ?? 8B E8 85 ED 7D 05 8D 73 01 EB 0F 8B FB 4F 85 ED 75 08 8B 44 24 08 89 18 EB 10 3B FE 7D BD 8B 44 24 08 89 30 33 C0 89 44 24 0C 8B 44 24 0C 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62750_0 {
	meta:
		name = "TComponent.AddSortedComponent"
		size = 36
		refs = "000f TComponent.FindSortedComponent 001c TList.Insert"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B CC 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 14 24 8B 43 2C E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_62751_0 {
	meta:
		name = "TComponent.RemoveSortedComponent"
		size = 11
		refs = "0006 TList.RemoveItem"
	strings:
		$1 = { 8B 40 2C 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62752_0 {
	meta:
		name = "TComponent.SetName"
		size = 141
		refs = "0010 @UStrEqual 001f IsValidIdent 0034 SInvalidName 003b _DV_EComponentError 0040 Exception.CreateResFmt 0045 @RaiseExcept 0071 TComponent.SetReference 007a TComponent.ChangeName"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B 43 08 8B D6 E8 ?? ?? ?? ?? 74 71 85 F6 74 2F 33 D2 8B C6 E8 ?? ?? ?? ?? 84 C0 75 22 89 34 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7B 04 85 FF 74 0F 56 8B 4B 08 8B D3 8B C7 8B 38 FF 57 2C EB 0D 56 8B 4B 08 33 D2 8B C3 8B 38 FF 57 2C 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62753_0 {
	meta:
		name = "TComponent.ChangeName"
		size = 54
		refs = "000c @UStrAsg 0025 TList.RemoveItem 002f TComponent.AddSortedComponent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 08 8B D6 E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 1C 83 78 2C 00 74 16 8B 40 2C 8B D3 33 C9 E8 ?? ?? ?? ?? 8B D3 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62754_0 {
	meta:
		name = "TComponent.GetComponentIndex"
		size = 27
		refs = "0012 TList.IndexOf"
	strings:
		$1 = { 8B 50 04 85 D2 74 10 83 7A 10 00 74 0A 8B 52 10 92 E8 ?? ?? ?? ?? C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_62755_0 {
	meta:
		name = "TComponent.GetComponent"
		size = 43
		refs = "000e SListIndexError 0015 _DV_TList 001a TList.Error 0024 TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 10 00 75 12 8B 15 ?? ?? ?? ?? 8B CE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62757_0 {
	meta:
		name = "TComponent.SetComponentIndex"
		size = 81
		refs = "0014 TList.IndexOf 003a TList.Delete 0049 TList.Insert"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 04 85 C0 74 3F 8B 40 10 8B D3 E8 ?? ?? ?? ?? 85 C0 7C 31 8B 53 04 8B 7A 10 8B 57 08 85 F6 7D 02 33 F6 3B D6 7F 03 8B F2 4E 3B C6 74 17 8B D7 92 E8 ?? ?? ?? ?? 8B 43 04 8B 40 10 8B CB 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62759_0 {
	meta:
		name = "TComponent.GetObservers$902$ActRec.$1$Body"
		size = 21
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B 46 0C 8B 18 FF 53 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62760_0 {
	meta:
		name = "TComponent.GetObservers"
		size = 169
		refs = "000d TComponent.GetObservers 001a _DV_TComponent.GetObservers$902$ActRec 001f TObject.Create 0032 @IntfCopy 0044 _DV_TObservers 0049 TObservers.Create 0096 @IntfClear 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 89 43 0C 83 78 24 00 75 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 0C 89 70 24 8D 46 0C 8B D3 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 8B 43 0C 8B 40 24 83 C0 10 8B D3 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 8B 43 0C 8B 40 24 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62761_0 {
	meta:
		name = "TComponent.SetAncestor"
		size = 66
		refs = "001b TComponent.GetComponentCount 002e TComponent.GetComponent 0035 TComponent.SetAncestor"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 84 DB 74 07 66 83 4F 1C 20 EB 05 66 83 67 1C DF 8B C7 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 17 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 46 4D 75 EC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62762_0 {
	meta:
		name = "TComponent.SetDesigning"
		size = 79
		refs = "0025 TComponent.GetComponentCount 0038 TComponent.GetComponent 0041 TComponent.SetDesigning"
	strings:
		$1 = { 53 56 57 55 51 88 0C 24 8B DA 8B F0 84 DB 74 07 66 83 4E 1C 10 EB 05 66 83 66 1C EF 80 3C 24 00 74 27 8B C6 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 19 45 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? B1 01 8B D3 E8 ?? ?? ?? ?? 47 4D 75 EA 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62763_0 {
	meta:
		name = "TComponent.SetInline"
		size = 23
	strings:
		$1 = { 53 8B D8 84 D2 74 08 66 81 4B 1C 00 02 5B C3 66 81 63 1C FF FD 5B C3 }
	condition:
		$1
}

rule function_62764_0 {
	meta:
		name = "TComponent.SetDesignInstance"
		size = 23
	strings:
		$1 = { 53 8B D8 84 D2 74 08 66 81 4B 1C 00 04 5B C3 66 81 63 1C FF FB 5B C3 }
	condition:
		$1
}

rule function_62765_0 {
	meta:
		name = "TComponent.SetReference"
		size = 40
		refs = "0011 TObject.FieldAddress"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 85 C0 74 18 8B 56 08 E8 ?? ?? ?? ?? 85 C0 74 0C 84 DB 74 04 89 30 EB 04 33 D2 89 10 5E 5B C3 }
	condition:
		$1
}

rule function_62766_0 {
	meta:
		name = "TComponent.ExecuteAction"
		size = 37
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 8B C7 8B 08 FF 51 48 8B D8 84 DB 74 09 8B D6 8B C7 8B 08 FF 51 50 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62767_0 {
	meta:
		name = "TComponent.UpdateAction"
		size = 37
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 8B C7 8B 08 FF 51 48 8B D8 84 DB 74 09 8B D6 8B C7 8B 08 FF 51 4C 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62768_0 {
	meta:
		name = "TComponent.SetSubComponent"
		size = 19
	strings:
		$1 = { 53 8B D8 84 D2 74 06 80 4B 28 04 5B C3 80 63 28 FB 5B C3 }
	condition:
		$1
}

rule function_62771_0 {
	meta:
		name = "TComponent.GetComObject"
		size = 184
		refs = "0015 TComponent.GetComObject 0027 CreateVCLComObjectProc 0042 TObject.ClassName 0058 SNoComSupport 005f _DV_EComponentError 0064 Exception.CreateResFmt 0069 @RaiseExcept 0070 @IntfClear 0093 @UStrClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 20 00 75 48 83 3D ?? ?? ?? ?? 00 74 08 8B C3 FF 15 ?? ?? ?? ?? 83 7B 20 00 75 31 8D 55 F4 8B 03 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 43 20 50 8B 00 FF 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_62772_0 {
	meta:
		name = "TComponent.SafeCallException"
		size = 24
		refs = "0012 TObject.SafeCallException"
	strings:
		$1 = { 53 83 78 20 00 74 0A 8B 40 20 8B 18 FF 53 1C 5B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_62773_0 {
	meta:
		name = "TComponent.FreeOnRelease"
		size = 15
	strings:
		$1 = { 83 78 20 00 74 08 8B 40 20 8B 10 FF 52 20 C3 }
	condition:
		$1
}

rule function_62775_0 {
	meta:
		name = "TComponent.QueryInterface"
		size = 64
		refs = "001c TObject.GetInterface"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 83 7B 20 00 75 1A 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 11 B8 02 40 00 80 EB 0A 57 56 8B 43 20 50 8B 00 FF 10 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_62776_0 {
	meta:
		name = "TComponent._AddRef"
		size = 30
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 20 00 75 05 83 C8 FF EB 09 8B 40 20 50 8B 00 FF 50 04 5D C2 04 00 }
	condition:
		$1
}

rule function_62777_0 {
	meta:
		name = "TComponent._Release"
		size = 30
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 20 00 75 05 83 C8 FF EB 09 8B 40 20 50 8B 00 FF 50 08 5D C2 04 00 }
	condition:
		$1
}

rule function_62778_0 {
	meta:
		name = "TComponent.GetTypeInfoCount"
		size = 36
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 20 00 75 07 B8 01 40 00 80 EB 0D 8B 55 0C 52 8B 40 20 50 8B 00 FF 50 0C 5D C2 08 00 }
	condition:
		$1
}

rule function_62779_0 {
	meta:
		name = "TComponent.GetTypeInfo"
		size = 44
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 20 00 75 07 B8 01 40 00 80 EB 15 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 20 50 8B 00 FF 50 10 5D C2 10 00 }
	condition:
		$1
}

rule function_62780_0 {
	meta:
		name = "TComponent.GetIDsOfNames"
		size = 52
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 20 00 75 07 B8 01 40 00 80 EB 1D 8B 55 1C 52 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 20 50 8B 00 FF 50 14 5D C2 18 00 }
	condition:
		$1
}

rule function_62781_0 {
	meta:
		name = "TComponent.Invoke"
		size = 65
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 20 00 75 07 B8 01 40 00 80 EB 2A 8B 55 28 52 8B 55 24 52 8B 55 20 52 8B 55 1C 52 0F B7 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 20 50 8B 00 FF 50 18 5D C2 24 00 }
	condition:
		$1
}

rule function_62783_0 {
	meta:
		name = "TComponent.IsImplementorOf"
		size = 128
		refs = "000f TComponent.IsImplementorOf 0021 @IntfClear 002f Supports 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 26 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 3B D8 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 58 18 8B E2 86 EC 59 45 8F CD 6B 4F 82 41 51 ED }
	condition:
		$1
}

rule function_62784_0 {
	meta:
		name = "TComponent.ReferenceInterface"
		size = 168
		refs = "0018 TComponent.ReferenceInterface 002a @IntfClear 0038 Supports 005d TComponent.FreeNotification 006e TComponent.RemoveFreeNotification 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 88 4D FB 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 1A 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 84 DB 74 26 80 7D FB 00 75 11 8B 45 FC 8B 10 FF 52 0C 8B D6 E8 ?? ?? ?? ?? EB 0F 8B 45 FC 8B 10 FF 52 0C 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 00 58 18 8B E2 86 EC 59 45 8F CD 6B 4F 82 41 51 ED }
	condition:
		$1
}

rule function_62785_0 {
	meta:
		name = "TBasicActionLink.Create"
		size = 65
		refs = "000b @ClassCreate 001a TObject.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 8B 08 FF 11 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62787_0 {
	meta:
		name = "TBasicActionLink.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0015 TBasicAction.UnRegisterChanges 0020 TObject.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62788_0 {
	meta:
		name = "TBasicActionLink.Change"
		size = 21
	strings:
		$1 = { 53 66 83 78 0A 00 74 0B 8B D8 8B 50 10 8B 43 0C FF 53 08 5B C3 }
	condition:
		$1
}

rule function_62789_0 {
	meta:
		name = "TBasicActionLink.Execute"
		size = 27
		refs = "0008 TBasicAction.SetActionComponent 0014 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 66 BE F0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62790_0 {
	meta:
		name = "TBasicActionLink.SetAction"
		size = 43
		refs = "0014 TBasicAction.UnRegisterChanges 0024 TBasicAction.RegisterChanges"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 3B F0 74 1B 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 89 73 10 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62793_0 {
	meta:
		name = "TBasicActionLink.Update"
		size = 9
	strings:
		$1 = { 8B 40 10 8B 10 FF 52 54 C3 }
	condition:
		$1
}

rule function_62794_0 {
	meta:
		name = "TBasicAction.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _DV_TList 0023 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 58 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_62795_0 {
	meta:
		name = "TBasicAction.Destroy"
		size = 101
		refs = "0004 @BeforeDestruction 0013 TComponent.Destroy 0021 TComponent.RemoveFreeNotification 0030 TList.Last 0039 TBasicAction.UnRegisterChanges 0052 TObject.Free 005d @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 8B 47 38 85 C0 74 07 8B D7 E8 ?? ?? ?? ?? 83 7F 58 00 74 1B EB 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 77 58 83 7E 08 00 7F E7 8D 47 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62800_0 {
	meta:
		name = "TBasicAction.Execute"
		size = 26
	strings:
		$1 = { 53 66 83 78 4A 00 74 0E 8B D8 8B D0 8B 43 4C FF 53 48 B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_62801_0 {
	meta:
		name = "TBasicAction.Update"
		size = 26
	strings:
		$1 = { 53 66 83 78 52 00 74 0E 8B D8 8B D0 8B 43 54 FF 53 50 B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_62802_0 {
	meta:
		name = "TBasicAction.SetOnExecute"
		size = 89
		refs = "0032 TList.Get"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B 45 08 3B 43 48 75 08 8B 45 0C 3B 43 4C 74 3A 8B 43 58 8B 70 08 4E 85 F6 7C 1C 46 33 FF FF 75 0C FF 75 08 8B D7 8B 43 58 E8 ?? ?? ?? ?? 8B 10 FF 52 10 47 4E 75 E7 8B 45 08 89 43 48 8B 45 0C 89 43 4C 8B C3 8B 10 FF 52 40 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_62804_0 {
	meta:
		name = "TBasicAction.RegisterChanges"
		size = 12
		refs = "0007 TList.Add"
	strings:
		$1 = { 89 42 10 8B 40 58 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62805_0 {
	meta:
		name = "TBasicAction.UnRegisterChanges"
		size = 62
		refs = "001c TList.Get 002f TList.Delete"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 58 8B 70 08 4E 85 F6 7C 26 46 33 DB 8B 47 58 8B D3 E8 ?? ?? ?? ?? 3B E8 75 11 33 C0 89 45 10 8B 47 58 8B D3 E8 ?? ?? ?? ?? EB 04 43 4E 75 DD 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62806_0 {
	meta:
		name = "TBasicAction.SetActionComponent"
		size = 43
		refs = "0014 TComponent.RemoveFreeNotification 0024 TComponent.FreeNotification"
		altNames = "TCustomChartLink.SetChart"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 3B F0 74 1B 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 43 38 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62808_0 {
	meta:
		name = "TStreamAdapter.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 0015 TObject.Free 0025 TObject.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 10 01 75 0D 8B 46 0C E8 ?? ?? ?? ?? 33 C0 89 46 0C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62809_0 {
	meta:
		name = "TStreamAdapter.Read"
		size = 103
		refs = "0010 TStreamAdapter.Read 0050 @HandleAnyException 005a @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 55 0C 8B 45 08 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 D2 75 0F BB 09 00 03 80 33 C0 5A 59 59 64 89 10 EB 31 8B 40 0C 8B 4D 10 8B 18 FF 53 0C 83 7D 14 00 74 05 8B 55 14 89 02 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_62810_0 {
	meta:
		name = "TStreamAdapter.Write"
		size = 103
		refs = "0010 TStreamAdapter.Write 0050 @HandleAnyException 005a @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 55 0C 8B 45 08 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 D2 75 0F BB 09 00 03 80 33 C0 5A 59 59 64 89 10 EB 31 8B 40 0C 8B 4D 10 8B 18 FF 53 10 83 7D 14 00 74 05 8B 55 14 89 02 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB 03 01 03 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_62811_0 {
	meta:
		name = "TStreamAdapter.Seek"
		size = 132
		refs = "0013 TStreamAdapter.Seek 006b @HandleAnyException 0075 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 5D 14 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 05 83 FB 02 7E 0F BB 01 00 03 80 33 C0 5A 59 59 64 89 10 EB 44 8B 46 0C 8B CB 8B 55 0C 8B 18 FF 53 14 99 89 45 F8 89 55 FC 8B 45 18 85 C0 74 0E 8B 45 18 8B 55 F8 89 10 8B 55 FC 89 50 04 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB 09 00 03 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 14 00 }
	condition:
		$1
}

rule function_62812_0 {
	meta:
		name = "TStreamAdapter.SetSize"
		size = 97
		refs = "000d TStreamAdapter.SetSize 0021 TStream.SetSize64 004a @HandleAnyException 0054 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 10 FF 75 0C 8B 43 0C E8 ?? ?? ?? ?? 8B 43 0C 8B 10 FF 12 3B 55 10 75 03 3B 45 0C 74 07 BB 05 40 00 80 EB 02 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB FF FF 00 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_62813_0 {
	meta:
		name = "TStreamAdapter.CopyTo"
		size = 518
		refs = "000d @IntfAddRef 0015 TStreamAdapter.CopyTo 0074 @GetMem 00db @TryFinallyExit 018c @FreeMem 01bc @HandleFinally 01cd @HandleAnyException 01d9 @DoneExcept 01ee @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC C7 45 E8 00 00 00 00 C7 45 EC 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 E4 00 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 14 00 75 0B 81 7D 10 00 00 10 00 76 0D EB 02 7E 09 C7 45 F4 00 00 10 00 EB 06 8B 45 10 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 D5 00 00 00 83 7D 14 00 75 0B 81 7D 10 FF FF FF 7F 76 0B EB 02 7E 07 BE FF FF FF 7F EB 03 8B 75 10 85 F6 0F 8E B0 00 00 00 3B 75 F4 7E 08 8B 45 F4 89 45 F0 EB 03 89 75 F0 8B 55 F8 8B 45 08 8B 40 0C 8B 4D F0 8B 18 FF 53 0C 8B D8 85 DB 75 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 F1 00 00 00 8B C3 99 01 45 E8 11 55 EC C7 45 D8 00 00 00 00 C7 45 DC 00 00 00 00 8D 45 D8 50 53 8B 45 F8 50 8B 45 0C 50 8B 00 FF 50 10 89 45 FC 8B 45 D8 8B 55 DC 01 45 E0 11 55 E4 83 7D FC 00 75 0E 8B 45 D8 3B D8 74 07 C7 45 FC 05 40 00 80 83 7D FC 00 74 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 8D 00 00 00 2B F3 8B C3 99 29 45 10 19 55 14 85 F6 0F 8F 50 FF FF FF 83 7D 14 00 75 0C 83 7D 10 00 0F 87 1B FF FF FF EB 06 0F 8F 13 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 1C 85 C0 74 0E 8B 45 1C 8B 55 E0 89 10 8B 55 E4 89 50 04 8B 45 18 85 C0 74 0E 8B 45 18 8B 55 E8 89 10 8B 55 EC 89 50 04 C3 E9 ?? ?? ?? ?? EB C6 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? C7 45 FC FF FF 00 80 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_62815_0 {
	meta:
		name = "TStreamAdapter.Revert"
		size = 12
	strings:
		$1 = { 55 8B EC B8 02 01 03 80 5D C2 04 00 }
	condition:
		$1
}

rule function_62816_0 {
	meta:
		name = "TStreamAdapter.LockRegion"
		size = 12
		altNames = "TStreamAdapter.UnlockRegion"
	strings:
		$1 = { 55 8B EC B8 01 00 03 80 5D C2 18 00 }
	condition:
		$1
}

rule function_62818_0 {
	meta:
		name = "TStreamAdapter.Stat"
		size = 123
		refs = "0012 TStreamAdapter.Stat 0064 @HandleAnyException 006e @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 0C 8B 7D 08 33 F6 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 39 C7 43 04 02 00 00 00 8B 47 0C 8B 10 FF 12 89 43 08 89 53 0C 33 C0 89 43 10 33 C0 89 43 14 33 C0 89 43 18 33 C0 89 43 1C 33 C0 89 43 20 33 C0 89 43 24 C7 43 2C 01 00 00 00 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BE FF FF 00 80 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_62820_0 {
	meta:
		name = "FreeIntConstList"
		size = 110
		refs = "0007 IntConstList 000c TThreadList.LockList 0016 FreeIntConstList 0030 TList.Get 0035 TObject.Free 0053 TMonitor.Exit 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_62822_0 {
	meta:
		name = "TDataModule.Create"
		size = 305
		refs = "0017 @ClassCreate 0027 TDataModule.Create 0032 GlobalNameSpace 0060 _DV_TDataModule 0079 InitInheritedComponent 008a TObject.ClassName 00a2 SResNotFound 00a7 LoadResString 00b1 _DV_EResNotFound 00b6 Exception.CreateFmt 00bb @RaiseExcept 00e9 @HandleFinally 0105 @UStrArrayClr 011b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D EC 89 5D E8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 10 FF 52 14 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B CB 33 D2 8B 45 FC 8B 18 FF 53 48 8B 55 FC 8B 12 89 D0 3B 05 ?? ?? ?? ?? 74 6A 8B 45 FC F6 40 1C 10 75 61 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 3E 8D 55 EC 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 58 00 74 08 8B 45 FC 8B 10 FF 52 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62823_0 {
	meta:
		name = "TDataModule.AfterConstruction"
		size = 12
	strings:
		$1 = { 80 78 58 00 75 05 8B 10 FF 52 40 C3 }
	condition:
		$1
}

rule function_62824_0 {
	meta:
		name = "TDataModule.CreateNew"
		size = 89
		refs = "000d @ClassCreate 001a TComponent.Create 0021 AddDataModule 0043 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 83 3D ?? ?? ?? ?? 00 74 14 83 7D 08 00 7C 0E 8B D6 8B 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62825_0 {
	meta:
		name = "TDataModule.BeforeDestruction"
		size = 44
		refs = "0004 GlobalNameSpace 0010 TComponent.Destroying 0019 RemoveFixupReferences"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 8B 10 FF 52 14 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 80 7B 58 00 75 07 8B C3 8B 10 FF 52 44 5B C3 }
	condition:
		$1
}

rule function_62826_0 {
	meta:
		name = "TDataModule.Destroy"
		size = 156
		refs = "0007 @BeforeDestruction 001b GlobalNameSpace 0028 TDataModule.Destroy 0046 RemoveDataModule 0067 TComponent.Destroy 0084 @HandleFinally 0094 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC F6 40 1C 08 75 0A A1 ?? ?? ?? ?? 8B 10 FF 52 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 58 00 74 08 8B 45 FC 8B 10 FF 52 44 66 83 3D ?? ?? ?? ?? 00 74 0F 8B 55 FC 8B 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB EE 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_62827_0 {
	meta:
		name = "TDataModule.DoCreate"
		size = 93
		refs = "0018 TDataModule.DoCreate 0039 @HandleAnyException 0045 @CallDynaInst 004e @RaiseAgain 0053 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 66 83 78 4A 00 74 43 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 55 FC 8B 43 4C FF 53 48 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 FC 66 BE F0 FF E8 ?? ?? ?? ?? 84 C0 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62828_0 {
	meta:
		name = "TDataModule.DoDestroy"
		size = 97
		refs = "0018 TDataModule.DoDestroy 0039 @HandleAnyException 0040 ApplicationHandleException 0057 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 66 83 78 52 00 74 47 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 55 FC 8B 43 54 FF 53 50 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 66 83 3D ?? ?? ?? ?? 00 74 0F 8B 55 FC 8B 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62829_0 {
	meta:
		name = "DoWriteWidth"
		size = 37
	strings:
		$1 = { 55 8B EC B0 01 8B 55 08 83 7A FC 00 74 15 8B 45 08 8B 40 F8 8B 40 38 8B 55 08 8B 52 FC 3B 42 38 0F 95 C0 5D C3 }
	condition:
		$1
}

rule function_62830_0 {
	meta:
		name = "DoWriteHorizontalOffset"
		size = 50
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 FC 00 74 17 8B 45 08 8B 40 F8 8B 40 40 8B 55 08 8B 52 FC 3B 42 40 0F 95 C0 5D C3 8B 45 08 8B 40 F8 83 78 40 00 0F 95 C0 5D C3 }
	condition:
		$1
}

rule function_62831_0 {
	meta:
		name = "DoWriteVerticalOffset"
		size = 50
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 FC 00 74 17 8B 45 08 8B 40 F8 8B 40 44 8B 55 08 8B 52 FC 3B 42 44 0F 95 C0 5D C3 8B 45 08 8B 40 F8 83 78 44 00 0F 95 C0 5D C3 }
	condition:
		$1
}

rule function_62832_0 {
	meta:
		name = "DoWriteHeight"
		size = 37
	strings:
		$1 = { 55 8B EC B0 01 8B 55 08 83 7A FC 00 74 15 8B 45 08 8B 40 F8 8B 40 3C 8B 55 08 8B 52 FC 3B 42 3C 0F 95 C0 5D C3 }
	condition:
		$1
}

rule function_62833_0 {
	meta:
		name = "TDataModule.DefineProperties"
		size = 336
		refs = "0013 TComponent.DefineProperties 0022 TDataModule.ReadHeight 002b TDataModule.WriteHeight 0031 DoWriteHeight 0039 TDataModule.DefineProperties 0049 TDataModule.ReadHorizontalOffset 0052 TDataModule.WriteHorizontalOffset 0058 DoWriteHorizontalOffset 0070 TDataModule.ReadVerticalOffset 0079 TDataModule.WriteVerticalOffset 007f DoWriteVerticalOffset 0097 TDataModule.ReadWidth 00a0 TDataModule.WriteWidth 00a6 DoWriteWidth"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B DA 89 45 F8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 43 20 89 45 FC 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 04 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 04 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 04 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 04 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 48 00 6F 00 72 00 69 00 7A 00 6F 00 6E 00 74 00 61 00 6C 00 4F 00 66 00 66 00 73 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 56 00 65 00 72 00 74 00 69 00 63 00 61 00 6C 00 4F 00 66 00 66 00 73 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 69 00 64 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_62835_0 {
	meta:
		name = "TDataModule.HandleCreateException"
		size = 30
		refs = "0003 ApplicationHandleException"
	strings:
		$1 = { 66 83 3D ?? ?? ?? ?? 00 74 11 8B D0 8B 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_62836_0 {
	meta:
		name = "TDataModule.ReadState"
		size = 19
		refs = "0003 ModuleIsCpp 000e TComponent.ReadState"
	strings:
		$1 = { 0F B6 0D ?? ?? ?? ?? 80 F1 01 88 48 58 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62837_0 {
	meta:
		name = "TDataModule.ReadWidth"
		size = 19
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 43 38 5E 5B C3 }
	condition:
		$1
}

rule function_62838_0 {
	meta:
		name = "TDataModule.ReadHorizontalOffset"
		size = 19
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 43 40 5E 5B C3 }
	condition:
		$1
}

rule function_62839_0 {
	meta:
		name = "TDataModule.ReadVerticalOffset"
		size = 19
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 43 44 5E 5B C3 }
	condition:
		$1
}

rule function_62840_0 {
	meta:
		name = "TDataModule.ReadHeight"
		size = 19
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 43 3C 5E 5B C3 }
	condition:
		$1
}

rule function_62841_0 {
	meta:
		name = "TDataModule.WriteWidth"
		size = 10
		refs = "0005 TWriter.WriteInteger"
	strings:
		$1 = { 8B 40 38 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62842_0 {
	meta:
		name = "TDataModule.WriteHorizontalOffset"
		size = 10
		refs = "0005 TWriter.WriteInteger"
	strings:
		$1 = { 8B 40 40 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62843_0 {
	meta:
		name = "TDataModule.WriteVerticalOffset"
		size = 10
		refs = "0005 TWriter.WriteInteger"
	strings:
		$1 = { 8B 40 44 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62844_0 {
	meta:
		name = "TDataModule.WriteHeight"
		size = 10
		refs = "0005 TWriter.WriteInteger"
	strings:
		$1 = { 8B 40 3C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_111965_0 {
	meta:
		name = "TXmlDistributor.ReadData"
		size = 10
		refs = "0005 TReader.ReadCollection"
	strings:
		$1 = { 8B 40 3C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_111967_0 {
	meta:
		name = "TXmlDistributor.WriteData"
		size = 10
		refs = "0005 TWriter.WriteCollection"
	strings:
		$1 = { 8B 40 3C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62845_0 {
	meta:
		name = "StdWndProc"
		size = 30
	strings:
		$1 = { 55 8B EC 31 C0 50 FF 75 14 FF 75 10 FF 75 0C 89 E2 8B 41 04 FF 11 83 C4 0C 58 5D C2 10 00 }
	condition:
		$1
}

rule function_62846_0 {
	meta:
		name = "CalcJmpOffset"
		size = 8
	strings:
		$1 = { 83 C0 05 2B D0 8B C2 C3 }
	condition:
		$1
}

rule function_62847_0 {
	meta:
		name = "MakeObjectInstance"
		size = 152
		refs = "0007 InstFreeList 001f VirtualAlloc 0026 InstBlockList 0030 BlockCode 003a Move 003f StdWndProc 0047 CalcJmpOffset"
	strings:
		$1 = { 55 8B EC 53 56 57 BF ?? ?? ?? ?? 83 3F 00 75 6C 6A 40 68 00 10 00 00 68 00 10 00 00 6A 00 E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 89 06 8D 56 04 B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 46 05 E8 ?? ?? ?? ?? 89 46 06 8D 5E 0A C6 03 E8 8D 56 04 8B C3 E8 ?? ?? ?? ?? 89 43 01 8B 07 89 43 05 89 1F 83 C3 0D 8B C3 2B C6 3D FC 0F 00 00 7C DB 89 35 ?? ?? ?? ?? 8B 07 8B 1F 8B 53 05 89 17 8B 55 08 89 53 05 8B 55 0C 89 53 09 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_62848_0 {
	meta:
		name = "FreeObjectInstance"
		size = 19
		refs = "0006 InstFreeList"
	strings:
		$1 = { 85 C0 74 0E 8B 15 ?? ?? ?? ?? 89 50 05 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62849_0 {
	meta:
		name = "CleanupInstFreeList"
		size = 57
		refs = "0007 InstFreeList"
	strings:
		$1 = { 56 57 55 33 F6 8B 0D ?? ?? ?? ?? 85 C9 74 26 8B 79 05 8B E9 3B C5 77 15 3B D5 72 11 8B CE 85 F6 75 08 89 3D ?? ?? ?? ?? EB 03 89 7E 05 8B F1 8B CF 85 C9 75 DA 5D 5F 5E C3 }
	condition:
		$1
}

rule function_62850_0 {
	meta:
		name = "GetFreeInstBlockItemCount"
		size = 45
	strings:
		$1 = { 53 56 33 DB 85 C0 74 20 B9 39 01 00 00 6B F1 0D 8D 74 32 0A 3B C6 75 03 43 EB 06 49 83 F9 FF 75 EC 8B 40 05 85 C0 75 E0 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_62851_0 {
	meta:
		name = "ReleaseObjectInstanceBlocks"
		size = 98
		refs = "0006 InstBlockList 0015 InstFreeList 001a GetFreeInstBlockItemCount 0034 CleanupInstFreeList 0041 VirtualFree"
	strings:
		$1 = { 53 56 57 55 8B 1D ?? ?? ?? ?? 33 F6 85 DB 74 4D 8B 3B 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 81 FD 3A 01 00 00 75 2D 8B D3 81 C2 FC 0F 00 00 4A 8B C3 E8 ?? ?? ?? ?? 68 00 80 00 00 6A 00 53 E8 ?? ?? ?? ?? 8B DE 85 F6 75 08 89 3D ?? ?? ?? ?? EB 02 89 3E 8B F3 8B DF 85 DB 75 B3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62852_0 {
	meta:
		name = "AllocateHWnd"
		size = 180
		refs = "0008 HInstance 000d UtilWindowClass 0022 GetClassInfo 0031 DefWindowProc 004b UnregisterClass 0055 RegisterClass 0073 AllocateHWnd 0083 CreateWindowEx 0097 MakeObjectInstance 00a0 SetWindowLongPtr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8D 45 D8 50 A1 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 84 C0 74 0A BA ?? ?? ?? ?? 3B 55 DC 74 1F 84 C0 74 11 A1 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 00 00 00 80 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 A1 ?? ?? ?? ?? 50 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 80 00 00 00 E8 ?? ?? ?? ?? 8B D8 66 83 7D 0A 00 74 14 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 50 6A FC 53 E8 ?? ?? ?? ?? 8B C3 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_62853_0 {
	meta:
		name = "DeallocateHWnd"
		size = 38
		refs = "0008 GetWindowLongPtr 0010 DestroyWindow 0016 DefWindowProc 001f FreeObjectInstance"
	strings:
		$1 = { 53 56 8B F0 6A FC 56 E8 ?? ?? ?? ?? 8B D8 56 E8 ?? ?? ?? ?? 81 FB ?? ?? ?? ?? 74 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62854_0 {
	meta:
		name = "EFileStreamError.Create"
		size = 176
		refs = "0019 @ClassCreate 0027 EFileStreamError.Create 0038 ExpandFileName 0047 GetLastError 004f SysErrorMessage 006a Exception.CreateResFmt 0084 @UStrArrayClr 008a @HandleFinally 0097 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_62855_0 {
	meta:
		name = "TStringReader.Close"
		size = 20
		refs = "0007 @UStrClr"
	strings:
		$1 = { 53 8B D8 8D 43 04 E8 ?? ?? ?? ?? C7 43 08 FF FF FF FF 5B C3 }
	condition:
		$1
}

rule function_62856_0 {
	meta:
		name = "TStringReader.Create"
		size = 131
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TStringReader.Create 0034 TObject.Create 0046 @UStrAsg 005b @UStrClr 0061 @HandleFinally 006e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 08 01 00 00 00 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62857_0 {
	meta:
		name = "TStringReader.Peek"
		size = 39
	strings:
		$1 = { 53 83 CB FF 8B 48 08 85 C9 7E 18 8B 50 04 85 D2 74 05 83 EA 04 8B 12 3B D1 7C 08 8B 50 04 0F B7 5C 4A FE 8B C3 5B C3 }
	condition:
		$1
}

rule function_62858_0 {
	meta:
		name = "TStringReader.Read"
		size = 66
	strings:
		$1 = { 56 83 CE FF 8B 48 08 85 C9 7E 33 8B 50 04 85 D2 74 05 83 EA 04 8B 12 3B D1 7C 23 8B 50 04 0F B7 74 4A FE FF 40 08 8B 50 04 85 D2 74 05 83 EA 04 8B 12 3B 50 08 7D 07 C7 40 08 FF FF FF FF 8B C6 5E C3 }
	condition:
		$1
}

rule function_62859_0 {
	meta:
		name = "TStringReader.Read"
		size = 244
		refs = "001c TStringReader.Read 003a @DynArrayLength 004b SInsufficientReadBuffer 0050 LoadResString 005a _Dn_EArgumentOutOfRangeException 005f Exception.Create 0064 @RaiseExcept 0096 @UniqueStringU 00ac Move 00dc @UStrClr 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 FF FF FF FF 83 7B 08 FF 0F 84 94 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 03 D6 3B C2 7D 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 04 8B C2 85 C0 74 05 83 E8 04 8B 00 2B 43 08 40 3B F0 7E 11 8B C2 85 C0 74 05 83 E8 04 8B 00 8B F0 2B 73 08 46 89 75 F8 8D 43 04 E8 ?? ?? ?? ?? 8B 53 08 8D 44 50 FE 8B 55 FC 8D 14 57 8B CE 03 C9 E8 ?? ?? ?? ?? 01 73 08 8B 43 04 85 C0 74 05 83 E8 04 8B 00 3B 43 08 7D 07 C7 43 08 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_62860_0 {
	meta:
		name = "TStringReader.ReadBlock"
		size = 18
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 18 FF 53 0C 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62861_0 {
	meta:
		name = "TStringReader.ReadLine"
		size = 268
		refs = "0010 @UStrClr 00be @UStrSetLength 00c6 @UniqueStringU 00e8 Move"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 14 24 8B D8 8B 04 24 E8 ?? ?? ?? ?? 8B 43 08 83 F8 FF 0F 84 E4 00 00 00 89 44 24 04 8B F0 8B 6B 04 85 ED 74 06 83 ED 04 8B 6D 00 3B EE 7D 05 89 73 08 EB 78 8B 43 04 0F B7 7C 70 FE 66 83 FF 0A 75 08 8D 46 01 89 43 08 EB 62 66 83 FF 0D 75 27 8B 43 04 89 44 24 08 83 7C 24 08 00 74 0D 8B 44 24 08 83 E8 04 8B 00 89 44 24 08 8D 46 01 3B 44 24 08 0F 9E C2 EB 02 33 D2 84 D2 74 0D 8B 43 04 66 83 3C 70 0A 0F 94 C0 EB 02 33 C0 84 C0 74 08 8D 46 02 89 43 08 EB 14 66 83 FF 0D 75 08 8D 46 01 89 43 08 EB 06 46 E9 72 FF FF FF 8B D6 2B 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 8D 43 04 E8 ?? ?? ?? ?? 8B 54 24 04 8D 44 50 FE 50 8B 44 24 04 E8 ?? ?? ?? ?? 8B D0 2B 74 24 08 8B CE 03 C9 58 E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 05 83 E8 04 8B 00 3B 43 08 7D 07 C7 43 08 FF FF FF FF 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62862_0 {
	meta:
		name = "TStringReader.ReadToEnd"
		size = 111
		refs = "000b @UStrClr 002d @UStrSetLength 0034 @UniqueStringU 005f Move"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 53 08 83 FA FF 74 53 8B 43 04 85 C0 74 05 83 E8 04 8B 00 8B CE 2B C2 40 8B D0 8B C1 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 73 04 85 F6 74 05 83 EE 04 8B 36 8D 43 04 E8 ?? ?? ?? ?? 8B 6B 08 8D 44 68 FE 2B F5 46 8B CE 03 C9 8B D7 E8 ?? ?? ?? ?? C7 43 08 FF FF FF FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62864_0 {
	meta:
		name = "TStringWriter.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TObject.Create 0022 _Dn_TStringBuilder 0027 TStringBuilder.Create 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 08 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_62865_0 {
	meta:
		name = "TStringWriter.Create"
		size = 148
		refs = "0011 @ClassCreate 0020 TObject.Create 0029 TStringWriter.Create 003c SParamIsNil 0043 _Dn_EArgumentException 0048 Exception.CreateResFmt 004d @RaiseExcept 005f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 75 29 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 47 08 00 89 77 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 75 00 69 00 6C 00 64 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_62866_0 {
	meta:
		name = "TStringWriter.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 0015 TObject.Free 0025 TObject.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 08 00 74 0D 8B 46 04 E8 ?? ?? ?? ?? 33 C0 89 46 04 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62868_0 {
	meta:
		name = "TStringWriter.ToString"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 51 DC 5E 5B C3 }
	condition:
		$1
}

rule function_62872_0 {
	meta:
		name = "TStringWriter.Write"
		size = 21
		refs = "000c TStringBuilder.Append"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 40 04 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62873_0 {
	meta:
		name = "TStringWriter.Write"
		size = 48
		refs = "0020 TStringBuilder.AppendFormat"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 03 DB 43 85 DB 78 07 8B 34 99 4B 56 79 F9 8B CC 8B 5D 08 53 8B 40 04 E8 ?? ?? ?? ?? 8B 75 F8 8B 5D FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_62876_0 {
	meta:
		name = "TStringWriter.Write"
		size = 18
		refs = "000a TStringBuilder.Append"
	strings:
		$1 = { 55 8B EC FF 75 08 8B 40 04 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_62882_0 {
	meta:
		name = "TStringWriter.WriteLine"
		size = 21
		refs = "0007 TStringBuilder.Append 000f TStringBuilder.AppendLine"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_62883_0 {
	meta:
		name = "TStringWriter.WriteLine"
		size = 33
		refs = "0010 TStringBuilder.Append 0018 TStringBuilder.AppendLine"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B 43 04 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_62890_0 {
	meta:
		name = "TStringWriter.WriteLine"
		size = 58
		refs = "0022 TStringBuilder.AppendFormat 002a TStringBuilder.AppendLine"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 03 DB 43 85 DB 78 07 8B 34 99 4B 56 79 F9 8B CC 8B D8 8B 45 08 50 8B 43 04 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8B 75 F8 8B 5D FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_62891_0 {
	meta:
		name = "TStringWriter.WriteLine"
		size = 31
		refs = "000e TStringBuilder.Append 0016 TStringBuilder.AppendLine"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 50 8B 43 04 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62894_0 {
	meta:
		name = "TStringWriter.WriteLine"
		size = 30
		refs = "000d TStringBuilder.Append 0015 TStringBuilder.AppendLine"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 8B 43 04 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62896_0 {
	meta:
		name = "TStreamWriter.Close"
		size = 34
		refs = "001c TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 04 80 7B 11 00 74 10 8D 43 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_62897_0 {
	meta:
		name = "TStreamWriter.Create"
		size = 144
		refs = "000b @ClassCreate 001a TObject.Create 0026 TEncoding.GetUTF8 003c TArray<System.Byte> 0041 @DynArraySetLength 0051 TStreamWriter.Create 0056 @UStrAsg 0065 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 11 00 89 77 04 E8 ?? ?? ?? ?? 89 47 08 68 00 04 00 00 8D 47 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 47 14 8D 47 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 47 10 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_62898_0 {
	meta:
		name = "TStreamWriter.Create"
		size = 284
		refs = "0016 @ClassCreate 0028 TStreamWriter.Create 0037 TObject.Create 005b TArray<System.Byte> 0060 @DynArraySetLength 0092 @UStrAsg 009d TStream.GetPosition 00bc TStreamWriter.WriteBytes 00d7 @DynArrayClear 00dd @HandleFinally 00ec @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 11 00 89 73 04 8B 45 0C 89 43 08 81 FF 80 00 00 00 7C 19 57 8D 43 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 1B 68 80 00 00 00 8D 43 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 43 14 8D 43 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 10 01 8B C6 E8 ?? ?? ?? ?? 83 FA 00 75 1A 83 F8 00 75 15 8D 55 F8 8B 43 08 8B 08 FF 51 24 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_62899_0 {
	meta:
		name = "TStreamWriter.Create"
		size = 152
		refs = "000f @ClassCreate 001f FileExists 0037 _DV_TFileStream 003c TFileStream.Create 006f TStreamWriter.Create 0080 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 80 7D 08 00 75 18 68 00 FF 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 EB 22 6A 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 04 6A 00 6A 00 8B C7 B2 02 8B 08 FF 51 18 8B 4B 04 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 11 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_62900_0 {
	meta:
		name = "TStreamWriter.Create"
		size = 160
		refs = "000f @ClassCreate 001f FileExists 0037 _DV_TFileStream 003c TFileStream.Create 0077 TStreamWriter.Create 0088 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 80 7D 10 00 75 18 68 00 FF 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 EB 22 6A 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 04 6A 00 6A 00 8B C7 B2 02 8B 08 FF 51 18 8B 45 0C 50 8B 45 08 50 8B 4B 04 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 11 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_62901_0 {
	meta:
		name = "TStreamWriter.Destroy"
		size = 66
		refs = "0003 @BeforeDestruction 001d TArray<System.Byte> 0022 @DynArraySetLength 0030 TObject.Destroy 003b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 12 6A 00 8D 46 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62902_0 {
	meta:
		name = "TStreamWriter.Flush"
		size = 36
	strings:
		$1 = { 53 56 8B D8 8B 73 14 85 F6 74 16 8B 43 04 85 C0 74 0F 8B 53 18 8B CE 8B 30 FF 56 10 33 C0 89 43 14 5E 5B C3 }
	condition:
		$1
}

rule function_62903_0 {
	meta:
		name = "TStreamWriter.OwnStream"
		size = 5
	strings:
		$1 = { C6 40 11 01 C3 }
	condition:
		$1
}

rule function_62904_0 {
	meta:
		name = "TStreamWriter.Write"
		size = 110
		refs = "0011 TStreamWriter.Write 0021 UIntToStr 002f TEncoding.GetBytes 0039 TStreamWriter.WriteBytes 004e @UStrClr 0057 TArray<System.Byte> 005c @DynArrayClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62913_0 {
	meta:
		name = "TStreamWriter.Write"
		size = 110
		refs = "0011 TStreamWriter.Write 0021 IntToStr 002f TEncoding.GetBytes 0039 TStreamWriter.WriteBytes 004e @UStrClr 0057 TArray<System.Byte> 005c @DynArrayClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62905_0 {
	meta:
		name = "TStreamWriter.Write"
		size = 88
		refs = "000f TStreamWriter.Write 0022 TEncoding.GetBytes 002c TStreamWriter.WriteBytes 0042 TArray<System.Byte> 0047 @DynArrayClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62906_0 {
	meta:
		name = "TStreamWriter.Write"
		size = 112
		refs = "000e TStreamWriter.Write 0022 UIntToStr 0030 TEncoding.GetBytes 003a TStreamWriter.WriteBytes 004f @UStrClr 0058 TArray<System.Byte> 005d @DynArrayClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_62916_0 {
	meta:
		name = "TStreamWriter.Write"
		size = 112
		refs = "000e TStreamWriter.Write 0022 IntToStr 0030 TEncoding.GetBytes 003a TStreamWriter.WriteBytes 004f @UStrClr 0058 TArray<System.Byte> 005d @DynArrayClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_62907_0 {
	meta:
		name = "TStreamWriter.Write"
		size = 164
		refs = "001c TStreamWriter.Write 0037 TArray<System.Byte> 003c @DynArraySetLength 0053 TEncoding.GetBytes 0074 TStreamWriter.WriteBytes 008f @DynArrayClear 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 03 C0 03 C0 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 56 8B 45 FC 50 6A 00 8B 4D F8 8B D7 8B 43 08 E8 ?? ?? ?? ?? 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_62908_0 {
	meta:
		name = "TStreamWriter.WriteBytes"
		size = 190
		refs = "0010 @DynArrayAddRef 0018 TStreamWriter.WriteBytes 002a @DynArrayLength 005f Move 00a7 TArray<System.Byte> 00ac @DynArrayClear 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF EB 56 8B 45 FC E8 ?? ?? ?? ?? 8B F0 2B F7 8B 43 18 E8 ?? ?? ?? ?? 2B 43 14 3B F0 7E 0D 8B 43 18 E8 ?? ?? ?? ?? 8B F0 2B 73 14 8B 43 18 8B 53 14 8D 14 10 8B 45 FC 03 C7 8B CE E8 ?? ?? ?? ?? 01 73 14 03 FE 8B 43 18 E8 ?? ?? ?? ?? 3B 43 14 7F 07 8B C3 8B 10 FF 52 04 8B 45 FC E8 ?? ?? ?? ?? 3B F8 7C 9E 80 7B 10 00 74 07 8B C3 8B 10 FF 52 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_62909_0 {
	meta:
		name = "TStreamWriter.Write"
		size = 147
		refs = "0027 TStreamWriter.Write 003d Format 004b TEncoding.GetBytes 0055 TStreamWriter.WriteBytes 006a @UStrClr 0073 TArray<System.Byte> 0078 @DynArrayClear 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 03 DB 43 85 DB 78 07 8B 34 99 4B 56 79 F9 8B CC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B D7 8B 4D 08 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B 7D EC 8B 75 F0 8B 5D F4 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_62910_0 {
	meta:
		name = "TStreamWriter.Write"
		size = 136
		refs = "0015 TStreamWriter.Write 0035 CurrencyString 003a FloatToStr 0048 TEncoding.GetBytes 0052 TStreamWriter.WriteBytes 0068 TArray<System.Byte> 006d @DynArrayClear 0075 @UStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 EC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 D9 45 08 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EC 8B 55 FC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_62912_0 {
	meta:
		name = "TStreamWriter.Write"
		size = 136
		refs = "0015 TStreamWriter.Write 0035 CurrencyString 003a FloatToStr 0048 TEncoding.GetBytes 0052 TStreamWriter.WriteBytes 0068 TArray<System.Byte> 006d @DynArrayClear 0075 @UStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 EC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EC 8B 55 FC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_62914_0 {
	meta:
		name = "TStreamWriter.Write"
		size = 110
		refs = "0011 TStreamWriter.Write 0021 @UStrFromWChar 002f TEncoding.GetBytes 0039 TStreamWriter.WriteBytes 004e @UStrClr 0057 TArray<System.Byte> 005c @DynArrayClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62915_0 {
	meta:
		name = "TStreamWriter.Write"
		size = 110
		refs = "0011 TStreamWriter.Write 002f TEncoding.GetBytes 0039 TStreamWriter.WriteBytes 004e @UStrClr 0057 TArray<System.Byte> 005c @DynArrayClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 8B 08 FF 51 DC 8B 55 F8 8D 4D FC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62917_0 {
	meta:
		name = "TStreamWriter.Write"
		size = 112
		refs = "0011 TStreamWriter.Write 0023 BoolToStr 0031 TEncoding.GetBytes 003b TStreamWriter.WriteBytes 0050 @UStrClr 0059 TArray<System.Byte> 005e @DynArrayClear 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 46 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62918_0 {
	meta:
		name = "TStreamWriter.WriteLine"
		size = 120
		refs = "0011 TStreamWriter.WriteLine 0024 TEncoding.GetBytes 002e TStreamWriter.WriteBytes 005c TArray<System.Byte> 0066 @FinalizeArray 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 8B 53 0C 8B 43 08 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62919_0 {
	meta:
		name = "TStreamWriter.WriteLine"
		size = 161
		refs = "0018 TStreamWriter.WriteLine 0038 CurrencyString 003d FloatToStr 004b @UStrCat3 0059 TEncoding.GetBytes 0063 TStreamWriter.WriteBytes 0078 @UStrClr 0081 TArray<System.Byte> 0086 @DynArrayClear 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 EC 89 55 E8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 4B 0C 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 4D EC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_62920_0 {
	meta:
		name = "TStreamWriter.WriteLine"
		size = 121
		refs = "0011 TStreamWriter.WriteLine 0021 IntToStr 002c @UStrCat 003a TEncoding.GetBytes 0044 TStreamWriter.WriteBytes 0059 @UStrClr 0062 TArray<System.Byte> 0067 @DynArrayClear 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 0C E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62928_0 {
	meta:
		name = "TStreamWriter.WriteLine"
		size = 121
		refs = "0011 TStreamWriter.WriteLine 0021 UIntToStr 002c @UStrCat 003a TEncoding.GetBytes 0044 TStreamWriter.WriteBytes 0059 @UStrClr 0062 TArray<System.Byte> 0067 @DynArrayClear 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 0C E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62921_0 {
	meta:
		name = "TStreamWriter.WriteLine"
		size = 85
		refs = "000c TStreamWriter.WriteLine 0020 TEncoding.GetBytes 002a TStreamWriter.WriteBytes 0040 TArray<System.Byte> 0045 @DynArrayClear 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 53 0C 8B 43 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_62922_0 {
	meta:
		name = "TStreamWriter.WriteLine"
		size = 123
		refs = "0011 TStreamWriter.WriteLine 0023 BoolToStr 002e @UStrCat 003c TEncoding.GetBytes 0046 TStreamWriter.WriteBytes 005b @UStrClr 0064 TArray<System.Byte> 0069 @DynArrayClear 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 B2 01 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 8B 56 0C E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 46 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62923_0 {
	meta:
		name = "TStreamWriter.WriteLine"
		size = 150
		refs = "0013 TStreamWriter.WriteLine 0023 @UStrFromWChar 0031 TEncoding.GetBytes 003b TStreamWriter.WriteBytes 0069 TArray<System.Byte> 006e @DynArrayClear 0076 @UStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 4D F4 8B 53 0C 8B 43 08 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62924_0 {
	meta:
		name = "TStreamWriter.WriteLine"
		size = 123
		refs = "000e TStreamWriter.WriteLine 0022 IntToStr 002d @UStrCat 003b TEncoding.GetBytes 0045 TStreamWriter.WriteBytes 005a @UStrClr 0063 TArray<System.Byte> 0068 @DynArrayClear 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 0C E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_62925_0 {
	meta:
		name = "TStreamWriter.WriteLine"
		size = 123
		refs = "000e TStreamWriter.WriteLine 0022 UIntToStr 002d @UStrCat 003b TEncoding.GetBytes 0045 TStreamWriter.WriteBytes 005a @UStrClr 0063 TArray<System.Byte> 0068 @DynArrayClear 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 0C E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_62926_0 {
	meta:
		name = "TStreamWriter.WriteLine"
		size = 158
		refs = "0027 TStreamWriter.WriteLine 003d Format 0048 @UStrCat 0056 TEncoding.GetBytes 0060 TStreamWriter.WriteBytes 0075 @UStrClr 007e TArray<System.Byte> 0083 @DynArrayClear 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 03 DB 43 85 DB 78 07 8B 34 99 4B 56 79 F9 8B CC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B D7 8B 4D 08 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 0C E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B 7D EC 8B 75 F0 8B 5D F4 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_62927_0 {
	meta:
		name = "TStreamWriter.WriteLine"
		size = 200
		refs = "001a TStreamWriter.WriteLine 0035 TArray<System.Byte> 003a @DynArraySetLength 0051 TEncoding.GetBytes 0072 TStreamWriter.WriteBytes 00a5 @DynArrayClear 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 03 C0 03 C0 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 56 8B 45 FC 50 6A 00 8B 4D F8 8B D7 8B 43 08 E8 ?? ?? ?? ?? 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 4D F4 8B 53 0C 8B 43 08 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_62929_0 {
	meta:
		name = "TStreamWriter.WriteLine"
		size = 121
		refs = "0011 TStreamWriter.WriteLine 002c @UStrCat 003a TEncoding.GetBytes 0044 TStreamWriter.WriteBytes 0059 @UStrClr 0062 TArray<System.Byte> 0067 @DynArrayClear 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 8B 08 FF 51 DC 8D 45 F8 8B 53 0C E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62930_0 {
	meta:
		name = "TStreamWriter.WriteLine"
		size = 161
		refs = "0018 TStreamWriter.WriteLine 0038 CurrencyString 003d FloatToStr 004b @UStrCat3 0059 TEncoding.GetBytes 0063 TStreamWriter.WriteBytes 0078 @UStrClr 0081 TArray<System.Byte> 0086 @DynArrayClear 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 EC 89 55 E8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 D9 45 08 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 4B 0C 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 4D EC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_62931_0 {
	meta:
		name = "TStreamWriter.WriteLine"
		size = 113
		refs = "0011 TStreamWriter.WriteLine 0024 @UStrCat3 0032 TEncoding.GetBytes 003c TStreamWriter.WriteBytes 0051 @UStrClr 005a TArray<System.Byte> 005f @DynArrayClear 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 4B 0C 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62932_0 {
	meta:
		name = "TStreamReader.Create"
		size = 72
		refs = "000b @ClassCreate 0016 TEncoding.GetUTF8 0029 TStreamReader.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 E8 ?? ?? ?? ?? 50 6A 01 68 00 04 00 00 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62933_0 {
	meta:
		name = "TStreamReader.Create"
		size = 81
		refs = "000e @ClassCreate 0019 TEncoding.GetUTF8 002f TStreamReader.Create 003a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 E8 ?? ?? ?? ?? 50 0F B6 45 08 50 68 00 04 00 00 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62934_0 {
	meta:
		name = "TStreamReader.Create"
		size = 288
		refs = "0011 @ClassCreate 0024 TObject.Create 002d TStreamReader.Create 0040 SParamIsNil 0047 _Dn_EArgumentException 004c Exception.CreateResFmt 0051 @RaiseExcept 0085 _Dn_TStringBuilder 008a TStringBuilder.Create 00c8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 10 33 D2 8B C3 E8 ?? ?? ?? ?? 85 F6 75 29 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 75 29 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 89 7B 10 8B 45 08 89 43 08 3D 80 00 00 00 7D 07 C7 43 08 80 00 00 00 C6 43 14 00 89 73 18 C6 43 15 00 0F B6 45 0C 88 43 0C 34 01 88 43 16 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 74 00 72 00 65 00 61 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_62935_0 {
	meta:
		name = "TStreamReader.Create"
		size = 98
		refs = "000e @ClassCreate 002c _DV_TFileStream 0031 TFileStream.Create 003c TStreamReader.Create 004b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 10 50 0F B6 45 0C 50 8B 45 08 50 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 15 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_62936_0 {
	meta:
		name = "TStreamReader.Create"
		size = 90
		refs = "000e @ClassCreate 0024 _DV_TFileStream 0029 TFileStream.Create 0034 TStreamReader.Create 0043 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 0F B6 45 08 50 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 15 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62937_0 {
	meta:
		name = "TStreamReader.Create"
		size = 79
		refs = "000b @ClassCreate 001c _DV_TFileStream 0021 TFileStream.Create 002c TStreamReader.Create 003b @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 15 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62938_0 {
	meta:
		name = "TStreamReader.Destroy"
		size = 42
		refs = "0003 @BeforeDestruction 0018 TObject.Destroy 0023 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 12 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62939_0 {
	meta:
		name = "TStreamReader.Close"
		size = 45
		refs = "0011 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 18 85 C0 74 10 80 7B 15 00 74 0A E8 ?? ?? ?? ?? 33 C0 89 43 18 8B 43 04 85 C0 74 0A E8 ?? ?? ?? ?? 33 C0 89 43 04 5B C3 }
	condition:
		$1
}

rule function_62940_0 {
	meta:
		name = "TStreamReader.DiscardBufferedData"
		size = 26
		refs = "0010 TStringBuilder.Remove"
	strings:
		$1 = { 53 8B D8 8B 43 04 85 C0 74 0E 8B 48 08 33 D2 E8 ?? ?? ?? ?? C6 43 14 00 5B C3 }
	condition:
		$1
}

rule function_62941_0 {
	meta:
		name = "TStreamReader.DetectBOM"
		size = 146
		refs = "0014 @DynArrayAddRef 001c TStreamReader.DetectBOM 0032 TEncoding.GetBufferEncoding 0039 TEncoding.GetANSI 0055 TEncoding.GetUTF8 0078 TArray<System.Byte> 007d @DynArrayClear 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 3B 45 F8 75 0C E8 ?? ?? ?? ?? 3B 06 0F 95 C0 EB 02 33 C0 84 C0 74 09 E8 ?? ?? ?? ?? 89 06 EB 05 8B 45 F8 89 06 C6 43 0C 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C7 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62942_0 {
	meta:
		name = "TStreamReader.FillBuffer"
		size = 398
		refs = "0019 TStreamReader.FillBuffer 0034 TArray<System.Byte> 0039 @DynArraySetLength 006b TStreamReader.DetectBOM 0082 TStreamReader.SkipPreamble 00a5 TEncoding.GetString 00b0 TEncoding.GetByteCount 00c2 @DynArrayLength 0158 TStringBuilder.Append 0173 @DynArrayClear 017b @UStrClr 0181 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 83 C0 04 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 F8 8B 4B 08 8B 43 18 8B 38 FF 57 0C 89 45 F4 8B 45 F4 3B 43 08 0F 9C C0 88 43 14 80 7B 0C 00 74 11 8B D6 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 89 45 F0 EB 1C 80 7B 16 00 74 11 8B 16 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 89 45 F0 EB 05 33 C0 89 45 F0 8B 75 F4 2B 75 F0 56 8D 45 FC 50 8B 4D F0 8B 55 F8 8B 43 10 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 10 E8 ?? ?? ?? ?? 89 45 EC 33 C0 89 45 E8 EB 78 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 03 D6 3B C2 75 22 8B 45 F8 E8 ?? ?? ?? ?? 83 C0 04 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F0 03 C6 8B 55 F8 03 D0 B9 01 00 00 00 8B 43 18 8B 38 FF 57 0C 89 45 F4 83 7D F4 00 74 40 FF 45 E8 46 56 8D 45 FC 50 8B 4D F0 8B 55 F8 8B 43 10 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 10 E8 ?? ?? ?? ?? 89 45 EC 3B 75 EC 74 16 BA 01 00 00 00 8B 43 10 8B 08 FF 51 1C 3B 45 E8 0F 8F 6D FF FF FF 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62943_0 {
	meta:
		name = "TStreamReader.GetEndOfStream"
		size = 64
		refs = "001e TStreamReader.FillBuffer"
	strings:
		$1 = { 53 8B D8 80 7B 14 00 75 19 83 7B 04 00 74 13 8B 43 04 83 78 08 01 7D 0A 8D 53 10 8B C3 E8 ?? ?? ?? ?? 80 7B 14 00 74 14 8B 43 04 85 C0 75 04 B0 01 EB 0B 83 78 08 00 0F 94 C0 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_62944_0 {
	meta:
		name = "TStreamReader.OwnStream"
		size = 5
	strings:
		$1 = { C6 40 15 01 C3 }
	condition:
		$1
}

rule function_62945_0 {
	meta:
		name = "TStreamReader.Peek"
		size = 61
		refs = "0010 TStreamReader.GetEndOfStream 0027 TStreamReader.FillBuffer 0031 TStringBuilder.GetChars"
	strings:
		$1 = { 53 56 8B D8 83 CE FF 83 7B 04 00 74 2B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 20 8B 43 04 83 78 08 01 7D 0A 8D 53 10 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 43 04 E8 ?? ?? ?? ?? 0F B7 F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_62946_0 {
	meta:
		name = "TStreamReader.Read"
		size = 135
		refs = "0020 TStreamReader.GetEndOfStream 0030 TStreamReader.FillBuffer 0038 TStringBuilder.GetLength 006c TStringBuilder.CopyTo 0078 TStringBuilder.Remove"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 83 CF FF 83 7B 04 00 74 5F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 54 EB 0A 8D 53 10 8B C3 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7E 11 8B C3 E8 ?? ?? ?? ?? 84 C0 75 06 80 7B 14 00 74 D9 8B 43 04 8B 50 08 3B F2 7D 04 8B FE EB 02 8B FA 8B 55 F8 52 57 8B 4D FC 33 D2 E8 ?? ?? ?? ?? 8B CF 33 D2 8B 43 04 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_62947_0 {
	meta:
		name = "TStreamReader.ReadBlock"
		size = 30
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 45 08 50 8B D7 8B C6 8B 18 FF 53 0C 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62948_0 {
	meta:
		name = "TStreamReader.Read"
		size = 76
		refs = "0010 TStreamReader.GetEndOfStream 0027 TStreamReader.FillBuffer 0031 TStringBuilder.GetChars 0043 TStringBuilder.Remove"
	strings:
		$1 = { 53 56 8B D8 83 CE FF 83 7B 04 00 74 3A 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2F 8B 43 04 83 78 08 01 7D 0A 8D 53 10 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 43 04 E8 ?? ?? ?? ?? 0F B7 F0 B9 01 00 00 00 33 D2 8B 43 04 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_62949_0 {
	meta:
		name = "TStreamReader.ReadLine"
		size = 264
		refs = "0010 @UStrClr 0039 TStreamReader.FillBuffer 006b TStringBuilder.GetChars 00f1 @UStrSetLength 00fd TStringBuilder.Remove"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F8 8B 04 24 E8 ?? ?? ?? ?? 83 7F 04 00 0F 84 E3 00 00 00 33 F6 33 ED 8D 46 02 8B 57 04 3B 42 08 7E 10 80 7F 14 00 75 0A 8D 57 10 8B C7 E8 ?? ?? ?? ?? 8B 47 04 3B 70 08 7C 20 80 7F 14 00 74 07 8B EE E9 8E 00 00 00 8D 57 10 8B C7 E8 ?? ?? ?? ?? 8B 47 04 83 78 08 00 74 7B 8B D6 8B 47 04 E8 ?? ?? ?? ?? 66 83 F8 0A 75 05 8D 6E 01 EB 66 8B D6 8B 47 04 E8 ?? ?? ?? ?? 66 83 F8 0D 75 0E 8D 46 01 8B 57 04 3B 42 08 0F 9C C3 EB 02 33 DB 84 DB 74 16 8D 56 01 8B 47 04 E8 ?? ?? ?? ?? 66 83 F8 0A 0F 94 44 24 04 EB 05 C6 44 24 04 00 80 7C 24 04 00 74 05 8D 6E 02 EB 1B 8B D6 8B 47 04 E8 ?? ?? ?? ?? 66 83 F8 0D 75 05 8D 6E 01 EB 06 46 E9 42 FF FF FF 8B 14 24 8B 47 04 8B 08 FF 51 DC 8B 04 24 8B D6 E8 ?? ?? ?? ?? 8B CD 33 D2 8B 47 04 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62950_0 {
	meta:
		name = "TStreamReader.ReadToEnd"
		size = 72
		refs = "0009 @UStrClr 0016 TStreamReader.GetEndOfStream 0024 TStreamReader.FillBuffer 0041 TStringBuilder.Remove"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 7B 04 00 74 32 8B C3 E8 ?? ?? ?? ?? 84 C0 75 27 8D 53 10 8B C3 E8 ?? ?? ?? ?? 80 7B 14 00 74 F0 8B D6 8B 43 04 8B 08 FF 51 DC 8B 43 04 8B 48 08 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62951_0 {
	meta:
		name = "TStreamReader.SkipPreamble"
		size = 204
		refs = "0019 @DynArrayAddRef 0021 TStreamReader.SkipPreamble 003e @DynArrayLength 00ac TArray<System.Byte> 00b6 @FinalizeArray 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8D 55 F8 8B C3 8B 08 FF 51 24 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 50 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7C 3A B3 01 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 1A 42 33 C0 8B 4D F8 0F B6 0C 01 8B 7D FC 3A 0C 07 74 04 33 DB EB 04 40 4A 75 E9 84 DB 74 0B 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 C6 46 16 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62952_0 {
	meta:
		name = "TBinaryReader.Close"
		size = 23
		refs = "0012 TObject.Free"
	strings:
		$1 = { 80 78 0C 00 74 10 83 C0 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62953_0 {
	meta:
		name = "TBinaryReader.Create"
		size = 158
		refs = "000f @ClassCreate 0022 TObject.Create 002c SArgumentNil 0033 _Dn_EArgumentNilException 0038 Exception.CreateRes 003d @RaiseExcept 0049 TEncoding.GetUTF8 0061 _Dn_TUnicodeEncoding 0066 @IsClass 0086 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 0C 33 D2 8B C3 E8 ?? ?? ?? ?? 85 F6 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 04 85 FF 75 0A E8 ?? ?? ?? ?? 89 43 08 EB 03 89 7B 08 0F B6 45 08 88 43 0C 8B 43 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 43 0D 8B 43 08 BA 80 00 00 00 8B 08 FF 51 1C 89 43 18 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_62955_0 {
	meta:
		name = "TBinaryReader.Create"
		size = 87
		refs = "000e @ClassCreate 0025 _DV_TFileStream 002a TFileStream.Create 0035 TBinaryReader.Create 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 50 6A 01 6A 20 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62956_0 {
	meta:
		name = "TBinaryReader.Destroy"
		size = 70
		refs = "0003 @BeforeDestruction 000f TEncoding.IsStandardEncoding 001b TObject.Free 0034 TObject.Destroy 003f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 84 C0 75 08 8B 46 08 E8 ?? ?? ?? ?? 80 7E 0C 00 74 08 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62958_0 {
	meta:
		name = "TBinaryReader.InternalReadChar"
		size = 403
		refs = "0027 TArray<System.Byte> 002c @DynArraySetLength 004b TArray<System.Char> 0060 TStream.GetPosition 006e TBinaryReader.InternalReadChar 0124 TEncoding.GetChars 0138 @DynArrayLength 014f @HandleAnyException 0160 TStream.SetPosition 0165 @RaiseAgain 016a @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 45 FC 8B 45 FC 83 78 10 00 75 1E 68 80 00 00 00 8B 45 FC 83 C0 10 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 83 78 14 00 75 1B 6A 01 8B 45 FC 83 C0 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 FC 80 78 0D 00 74 0A BE 02 00 00 00 E9 9B 00 00 00 BE 01 00 00 00 E9 91 00 00 00 8D 55 E7 8B 45 FC 8B 40 04 B9 01 00 00 00 8B 38 FF 57 0C 85 C0 75 02 33 F6 8B 45 FC 8B 40 10 0F B6 55 E7 88 14 18 43 83 FE 02 75 2A 8D 55 E7 8B 45 FC 8B 40 04 B9 01 00 00 00 8B 38 FF 57 0C 85 C0 75 05 BE 01 00 00 00 8B 45 FC 8B 40 10 0F B6 55 E7 88 14 18 43 85 F6 75 14 C7 45 F8 FF FF FF FF 33 C0 5A 59 59 64 89 10 E9 81 00 00 00 8D 43 01 50 8B 45 FC 8B 40 14 50 6A 00 8B 45 FC 8B 50 10 8B 45 FC 8B 40 08 33 C9 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 13 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 3B D8 0F 8C 56 FF FF FF 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? FF 75 EC FF 75 E8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F4 00 7E 0E 8B 45 FC 8B 40 14 0F B7 00 89 45 F8 EB 07 C7 45 F8 FF FF FF FF 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_62959_0 {
	meta:
		name = "TBinaryReader.InternalReadChars"
		size = 170
		refs = "0025 TArray<System.Byte> 002a @DynArraySetLength 004c @DynArrayLength 0083 TEncoding.GetChars"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F8 89 55 FC 8B D8 83 7B 10 00 75 1B 68 80 00 00 00 8D 43 10 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 89 45 F4 83 7D F4 00 7E 5F 8B 75 F4 80 7B 0D 00 74 02 03 F6 8B 43 10 E8 ?? ?? ?? ?? 3B F0 7E 0A 8B 43 10 E8 ?? ?? ?? ?? 8B F0 8B 53 10 8B CE 8B 43 04 8B 30 FF 56 0C 8B F0 85 F6 74 2B 56 8B 45 FC 50 8B 45 F8 50 33 C9 8B 53 10 8B 43 08 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 29 45 F4 8B 45 F0 01 45 F8 83 7D F4 00 7F A1 8B 45 08 2B 45 F4 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_62960_0 {
	meta:
		name = "TBinaryReader.PeekChar"
		size = 96
		refs = "0010 TStream.GetPosition 001e TBinaryReader.PeekChar 002c TBinaryReader.InternalReadChar 004d TStream.SetPosition 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? FF 75 F4 FF 75 F0 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_62961_0 {
	meta:
		name = "TBinaryReader.Read"
		size = 216
		refs = "0018 TBinaryReader.Read 002b sArgumentOutOfRange_NeedNonNegValue 0032 _Dn_EArgumentOutOfRangeException 0037 Exception.CreateResFmt 003c @RaiseExcept 0071 @DynArrayLength 007d sArgumentOutOfRange_OffLenInvalid 0089 Exception.CreateRes 009b TBinaryReader.InternalReadChars"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 89 55 FC 8B F8 8B 75 08 85 DB 7D 29 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7D 29 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 2B C3 3B F0 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B CB 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 64 00 65 00 78 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6F 00 75 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_62963_0 {
	meta:
		name = "TBinaryReader.Read"
		size = 220
		refs = "0018 TBinaryReader.Read 002b sArgumentOutOfRange_NeedNonNegValue 0032 _Dn_EArgumentOutOfRangeException 0037 Exception.CreateResFmt 003c @RaiseExcept 0071 @DynArrayLength 007d sArgumentOutOfRange_OffLenInvalid 0089 Exception.CreateRes"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 89 55 FC 8B F8 8B 75 08 85 DB 7D 29 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7D 29 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 2B C3 3B F0 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8D 14 18 8B 47 04 8B CE 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 64 00 65 00 78 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6F 00 75 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_62964_0 {
	meta:
		name = "TBinaryReader.Read7BitEncodedInt"
		size = 73
		refs = "0010 SInvalid7BitEncodedInteger 0017 _DV_EStreamError 001c Exception.CreateRes 0021 @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B F0 33 DB 33 FF 83 FB 23 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 20 0F B6 C0 8B CB BA 7F 00 00 00 23 D0 D3 E2 0B FA 83 C3 07 A8 80 75 C6 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_62965_0 {
	meta:
		name = "TBinaryReader.ReadBoolean"
		size = 22
		refs = "000c TStream.ReadBuffer"
		altNames = "TBinaryReader.ReadByte TBinaryReader.ReadShortInt"
	strings:
		$1 = { 51 8B D4 B9 01 00 00 00 8B 40 04 E8 ?? ?? ?? ?? 0F B6 04 24 5A C3 }
	condition:
		$1
}

rule function_62967_0 {
	meta:
		name = "TBinaryReader.ReadBytes"
		size = 148
		refs = "0011 TBinaryReader.ReadBytes 0022 sArgumentOutOfRange_NeedNonNegValue 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateResFmt 0033 @RaiseExcept 0041 TArray<System.Byte> 0046 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F1 8B DA 8B F8 85 DB 7D 27 B8 ?? ?? ?? ?? 89 04 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 16 8B 47 04 8B CB 8B 38 FF 57 0C 8B F8 3B DF 74 16 57 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 59 5A 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6F 00 75 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_62968_0 {
	meta:
		name = "TBinaryReader.ReadCardinal"
		size = 21
		refs = "000c TStream.ReadBuffer"
		altNames = "TBinaryReader.ReadInteger"
	strings:
		$1 = { 51 8B D4 B9 04 00 00 00 8B 40 04 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_62969_0 {
	meta:
		name = "TBinaryReader.ReadChar"
		size = 34
		refs = "000c SReadPastEndOfStream 0013 _DV_EStreamError 0018 Exception.CreateRes 001d @RaiseExcept"
	strings:
		$1 = { 8B 10 FF 52 10 83 F8 FF 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62970_0 {
	meta:
		name = "TBinaryReader.ReadChars"
		size = 148
		refs = "0011 TBinaryReader.ReadChars 0022 sArgumentOutOfRange_NeedNonNegValue 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateResFmt 0033 @RaiseExcept 0041 TArray<System.Char> 0046 @DynArraySetLength 0055 TBinaryReader.InternalReadChars"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F1 8B DA 8B F8 85 DB 7D 27 B8 ?? ?? ?? ?? 89 04 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 53 8B 16 33 C9 8B C7 E8 ?? ?? ?? ?? 8B F8 3B DF 74 16 57 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 59 5A 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6F 00 75 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_62971_0 {
	meta:
		name = "TBinaryReader.ReadDouble"
		size = 24
		refs = "000e TStream.ReadBuffer"
	strings:
		$1 = { 83 C4 F8 8B D4 B9 08 00 00 00 8B 40 04 E8 ?? ?? ?? ?? DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_62972_0 {
	meta:
		name = "TBinaryReader.ReadInt64"
		size = 28
		refs = "000e TStream.ReadBuffer"
		altNames = "TBinaryReader.ReadUInt64"
	strings:
		$1 = { 83 C4 F8 8B D4 B9 08 00 00 00 8B 40 04 E8 ?? ?? ?? ?? 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_62974_0 {
	meta:
		name = "TBinaryReader.ReadInt32"
		size = 6
	strings:
		$1 = { 8B 10 FF 52 38 C3 }
	condition:
		$1
}

rule function_62976_0 {
	meta:
		name = "TBinaryReader.ReadInt16"
		size = 6
		altNames = "TWinControlActionLink.IsHelpContextLinked"
	strings:
		$1 = { 8B 10 FF 52 34 C3 }
	condition:
		$1
}

rule function_62977_0 {
	meta:
		name = "TBinaryReader.ReadSingle"
		size = 21
		refs = "000c TStream.ReadBuffer"
	strings:
		$1 = { 51 8B D4 B9 04 00 00 00 8B 40 04 E8 ?? ?? ?? ?? D9 04 24 5A C3 }
	condition:
		$1
}

rule function_62978_0 {
	meta:
		name = "TBinaryReader.ReadSmallInt"
		size = 22
		refs = "000c TStream.ReadBuffer"
		altNames = "TBinaryReader.ReadWord"
	strings:
		$1 = { 51 8B D4 B9 02 00 00 00 8B 40 04 E8 ?? ?? ?? ?? 0F B7 04 24 5A C3 }
	condition:
		$1
}

rule function_62979_0 {
	meta:
		name = "TBinaryReader.ReadSByte"
		size = 6
		altNames = "TCustomActionManager.ImageListChange TScrollingStyleHook.Paint"
	strings:
		$1 = { 8B 10 FF 52 40 C3 }
	condition:
		$1
}

rule function_62980_0 {
	meta:
		name = "TBinaryReader.ReadString"
		size = 202
		refs = "0017 TBinaryReader.ReadString 0030 SInvalidStringLength 0037 _DV_EStreamError 003c Exception.CreateRes 0041 @RaiseExcept 0054 TArray<System.Byte> 0059 @DynArraySetLength 0073 SReadPastEndOfStream 0092 TEncoding.GetString 009c @UStrClr 00b7 @DynArrayClear 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 04 8B D8 85 DB 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7E 4F 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B CB 8B 46 04 8B 38 FF 57 0C 3B D8 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B 46 08 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_62981_0 {
	meta:
		name = "TBinaryReader.ReadUInt32"
		size = 6
		altNames = "TCustomIpClient.Disconnect"
	strings:
		$1 = { 8B 10 FF 52 50 C3 }
	condition:
		$1
}

rule function_62984_0 {
	meta:
		name = "TBinaryReader.ReadUInt16"
		size = 6
		altNames = "TWebContainedContainerComponent.ImplGetDefaultComponentList"
	strings:
		$1 = { 8B 10 FF 52 4C C3 }
	condition:
		$1
}

rule function_62989_0 {
	meta:
		name = "TBinaryWriter.Create"
		size = 57
		refs = "000a @ClassCreate 001b TBinaryWriter.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_62990_0 {
	meta:
		name = "TBinaryWriter.Create"
		size = 125
		refs = "000f @ClassCreate 0022 TObject.Create 002c SArgumentNil 0033 _Dn_EArgumentNilException 0038 Exception.CreateRes 003d @RaiseExcept 0049 TEncoding.GetUTF8 0065 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 0C 33 D2 8B C3 E8 ?? ?? ?? ?? 85 F6 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 04 85 FF 75 0A E8 ?? ?? ?? ?? 89 43 0C EB 03 89 7B 0C 0F B6 45 08 88 43 08 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_62991_0 {
	meta:
		name = "TBinaryWriter.Close"
		size = 23
		refs = "0012 TObject.Free"
	strings:
		$1 = { 80 78 08 00 74 10 83 C0 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_62992_0 {
	meta:
		name = "TBinaryWriter.Create"
		size = 154
		refs = "000f @ClassCreate 001f FileExists 0037 _DV_TFileStream 003c TFileStream.Create 0075 TBinaryWriter.Create 0082 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 80 7D 0C 00 75 18 68 00 FF 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 EB 22 6A 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 04 6A 00 6A 00 8B C7 B2 02 8B 08 FF 51 18 8B 45 08 50 6A 01 8B 4B 04 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_62993_0 {
	meta:
		name = "TBinaryWriter.Create"
		size = 66
		refs = "000d @ClassCreate 0021 TBinaryWriter.Create 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B6 45 08 50 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_62994_0 {
	meta:
		name = "TBinaryWriter.Create"
		size = 71
		refs = "000a @ClassCreate 0019 _DV_TNullStream 001e TObject.Create 0029 TBinaryWriter.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 6A 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_62995_0 {
	meta:
		name = "TBinaryWriter.Destroy"
		size = 70
		refs = "0003 @BeforeDestruction 000f TEncoding.IsStandardEncoding 001b TObject.Free 0034 TObject.Destroy 003f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 84 C0 75 08 8B 46 0C E8 ?? ?? ?? ?? 80 7E 08 00 74 08 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_62997_0 {
	meta:
		name = "TBinaryWriter.GetNull"
		size = 55
		refs = "0005 TBinaryWriter.FNull 000f _DV_TBinaryWriter 0014 TBinaryWriter.Create 0025 InterlockedCompareExchange 002a TObject.Free"
	strings:
		$1 = { 53 56 57 83 3D ?? ?? ?? ?? 00 75 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? BB ?? ?? ?? ?? 8B F0 33 FF 57 56 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63000_0 {
	meta:
		name = "TBinaryWriter.Write"
		size = 161
		refs = "0011 TBinaryWriter.Write 002e SNoSurrogates 0035 _Dn_EArgumentException 003a Exception.CreateRes 003f @RaiseExcept 0049 @UStrFromWChar 0057 TEncoding.GetBytes 005f @DynArrayLength 006c TStream.WriteBuffer 0081 @UStrClr 008a TArray<System.Byte> 008f @DynArrayClear 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 C6 3D 00 D8 00 00 7C 1E 3D FF DF 00 00 7F 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 43 0C E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_63001_0 {
	meta:
		name = "TBinaryWriter.Write"
		size = 23
	strings:
		$1 = { 53 51 88 14 24 8B D4 B9 01 00 00 00 8B 40 04 8B 18 FF 53 10 5A 5B C3 }
	condition:
		$1
}

rule function_63003_0 {
	meta:
		name = "TBinaryWriter.Write"
		size = 99
		refs = "000f TBinaryWriter.Write 0022 TEncoding.GetBytes 002a @DynArrayLength 0037 TStream.WriteBuffer 004d TArray<System.Byte> 0052 @DynArrayClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63004_0 {
	meta:
		name = "TBinaryWriter.Write"
		size = 116
		refs = "000f TBinaryWriter.Write 0022 TEncoding.GetBytes 002a @DynArrayLength 0048 TStream.WriteBuffer 005e TArray<System.Byte> 0063 @DynArrayClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 04 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63005_0 {
	meta:
		name = "TBinaryWriter.Write"
		size = 25
	strings:
		$1 = { 55 8B EC 53 8D 55 08 B9 04 00 00 00 8B 40 04 8B 18 FF 53 10 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_63006_0 {
	meta:
		name = "TBinaryWriter.Write"
		size = 25
	strings:
		$1 = { 55 8B EC 53 8D 55 08 B9 08 00 00 00 8B 40 04 8B 18 FF 53 10 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_63007_0 {
	meta:
		name = "TBinaryWriter.Write"
		size = 220
		refs = "0018 TBinaryWriter.Write 002b sArgumentOutOfRange_NeedNonNegValue 0032 _Dn_EArgumentOutOfRangeException 0037 Exception.CreateResFmt 003c @RaiseExcept 0071 @DynArrayLength 007d sArgumentOutOfRange_OffLenInvalid 0089 Exception.CreateRes 009e TStream.WriteBuffer"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 89 55 FC 8B F8 8B 75 08 85 DB 7D 29 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7D 29 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 2B C3 3B F0 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8D 14 18 8B 47 04 8B CE E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 64 00 65 00 78 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6F 00 75 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_63008_0 {
	meta:
		name = "TBinaryWriter.Write"
		size = 28
		refs = "0009 @DynArrayLength 0015 TStream.WriteBuffer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B D6 8B 43 04 59 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63009_0 {
	meta:
		name = "TBinaryWriter.Write"
		size = 112
		refs = "0012 TBinaryWriter.Write 002c TEncoding.GetBytes 0034 @DynArrayLength 0041 TStream.WriteBuffer 0057 TArray<System.Byte> 005c @DynArrayClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 45 FC 50 8B CF 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8D 55 FC 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_63012_0 {
	meta:
		name = "TBinaryWriter.Write"
		size = 24
	strings:
		$1 = { 53 51 66 89 14 24 8B D4 B9 02 00 00 00 8B 40 04 8B 18 FF 53 10 5A 5B C3 }
	condition:
		$1
}

rule function_63013_0 {
	meta:
		name = "TBinaryWriter.Write"
		size = 23
	strings:
		$1 = { 53 51 89 14 24 8B D4 B9 04 00 00 00 8B 40 04 8B 18 FF 53 10 5A 5B C3 }
	condition:
		$1
}

rule function_63017_0 {
	meta:
		name = "TBinaryWriter.Write7BitEncodedInt"
		size = 47
	strings:
		$1 = { 53 56 8B DA 8B F0 83 FB 7F 7E 11 8B D3 80 E2 7F 80 CA 80 8B C6 8B 08 FF 51 10 EB 09 8B D3 8B C6 8B 08 FF 51 10 C1 EB 07 85 DB 75 DA 5E 5B C3 }
	condition:
		$1
}

rule function_63018_0 {
	meta:
		name = "ComponentPlatformsAttribute.Create"
		size = 36
		refs = "0008 @ClassCreate 0015 @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 66 89 48 04 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_63020_0 {
	meta:
		name = "TLoginCredentialService.Destroy@"
		size = 80
		refs = "0004 TLoginCredentialService.$ClassInitFlag 000c TLoginCredentialService.FLoginHandlers 0039 @FreeMem"
	strings:
		$1 = { 53 56 FF 05 ?? ?? ?? ?? 75 43 83 3D ?? ?? ?? ?? 00 74 3A A1 ?? ?? ?? ?? 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1D 43 33 F6 8B D6 A1 ?? ?? ?? ?? 8B 08 FF 51 18 BA 08 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 E6 B2 01 A1 ?? ?? ?? ?? 8B 08 FF 51 FC 5E 5B C3 }
	condition:
		$1
}

rule function_63021_0 {
	meta:
		name = "TLoginCredentialService.IndexOfHandler"
		size = 85
		refs = "000c TLoginCredentialService.FLoginHandlers"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8D 75 F8 A1 ?? ?? ?? ?? 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 2B 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 18 8B 10 89 16 8B 50 04 89 56 04 8B 06 3B 45 08 75 08 8B 45 0C 3B 46 04 74 09 4B 83 FB FF 75 D5 83 CB FF 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63022_0 {
	meta:
		name = "TLoginCredentialService.RegisterLoginHandler"
		size = 274
		refs = "0018 TLoginCredentialService.RegisterLoginHandler 0029 _DV_TLoginCredentialService 002e TLoginCredentialService.IndexOfHandler 0043 @UStrLAsg 004d TLoginCredentialService.FLoginHandlers 0079 CompareText 008e @GetMem 00cc @HandleAnyException 00d9 @FreeMem 00de @RaiseAgain 00e3 @DoneExcept 00fd @UStrArrayClr 0103 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7D 04 B0 01 EB 48 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8D 4D F8 8B D3 A1 ?? ?? ?? ?? 8B 30 FF 56 0C 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 34 01 84 C0 74 5F B8 08 00 00 00 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 55 08 89 10 8B 55 0C 89 50 04 8B 4D F0 8B 55 F4 A1 ?? ?? ?? ?? 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? BA 08 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63023_0 {
	meta:
		name = "TLoginCredentialService.UnregisterLoginHandler"
		size = 265
		refs = "0017 TLoginCredentialService.UnregisterLoginHandler 0022 TLoginCredentialService.FLoginHandlers 0064 @UStrLAsg 008b CompareText 00c3 @FreeMem 00f5 @UStrArrayClr 00fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 10 FF 52 14 8B D8 4B 83 FB 00 0F 8C A8 00 00 00 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 18 8B 10 89 55 EC 8B 50 04 89 55 F0 8D 4D FC 8B D3 A1 ?? ?? ?? ?? 8B 30 FF 56 0C 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0B 8B 45 EC 3B 45 08 0F 94 C0 EB 02 33 C0 84 C0 74 2C 8B 45 0C 3B 45 F0 75 24 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 18 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 48 EB 0A 4B 83 FB FF 0F 85 58 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63024_0 {
	meta:
		name = "TLoginCredentialService.GetLoginCredentialEvent"
		size = 287
		refs = "0016 TLoginCredentialService.GetLoginCredentialEvent 0021 TLoginCredentialService.FLoginHandlers 0039 @UStrLAsg 006f CompareText 0100 @UStrClr 010d @UStrArrayClr 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 6B 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8D 4D F8 8B D3 A1 ?? ?? ?? ?? 8B 30 FF 56 0C 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 1B 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 18 8B 55 F0 8B 08 89 0A 8B 48 04 89 4A 04 EB 58 4B 83 FB FF 75 95 A1 ?? ?? ?? ?? 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 36 8D 4D EC 8B D3 A1 ?? ?? ?? ?? 8B 30 FF 56 0C 83 7D EC 00 75 1B 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 18 8B 55 F0 8B 08 89 0A 8B 48 04 89 4A 04 EB 10 4B 83 FB FF 75 CA 8B 45 F0 33 D2 89 10 89 50 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63025_0 {
	meta:
		name = "TLoginCredentialService.GetLoginCredentials"
		size = 87
		refs = "0016 TLoginCredentialService.GetLoginCredentialEvent 0036 SServiceNotFound 003d _DV_ELoginCredendialError 0042 Exception.CreateRes 0047 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 8B D8 C6 45 FF 01 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 66 83 7D F2 00 74 13 FF 75 0C FF 75 08 8D 4D FF 8B D6 8B 45 F4 FF 55 F0 EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63026_0 {
	meta:
		name = "TLoginCredentialService.GetLoginCredentials"
		size = 100
		refs = "000c _DV_TLoginCredentialService.TLoginFuncProxy 0013 TLoginCredentialService.TLoginFuncProxy.Create 001e TLoginCredentialService.GetLoginCredentials 002d TLoginCredentialService.TLoginFuncProxy.LoginEvent 004f TObject.Free 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 68 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_63027_0 {
	meta:
		name = "TLoginCredentialService.GetLoginCredentials"
		size = 72
		refs = "000d TLoginCredentialService.GetLoginCredentials 0035 @UStrClr 003b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63028_0 {
	meta:
		name = "TLoginCredentialService.GetLoginCredentials$1172$ActRec.$0$Body"
		size = 60
		refs = "0017 @UStrAsg"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 C6 45 FF 01 8D 43 14 8B D6 E8 ?? ?? ?? ?? 8D 43 10 8B D7 E8 ?? ?? ?? ?? 8D 43 0C 8B 55 08 E8 ?? ?? ?? ?? 0F B6 45 FF 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_63029_0 {
	meta:
		name = "TLoginCredentialService.GetLoginCredentials"
		size = 160
		refs = "0019 TLoginCredentialService.GetLoginCredentials 0026 _DV_TLoginCredentialService.GetLoginCredentials$1172$ActRec 002b TObject.Create 003e @IntfCopy 005e @UStrAsg 0089 @IntfClear 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B D6 85 D2 74 03 83 EA E8 8B C3 E8 ?? ?? ?? ?? 8B D8 84 DB 74 20 8B C7 8B 56 14 E8 ?? ?? ?? ?? 8B 45 F8 8B 56 10 E8 ?? ?? ?? ?? 8B 45 08 8B 56 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_63031_0 {
	meta:
		name = "TLoginCredentialService.TLoginFuncProxy.LoginEvent"
		size = 37
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B 45 0C 50 8B 4D 10 8B D6 8B 43 04 8B 18 FF 53 0C 8B 55 08 88 02 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_63035_0 {
	meta:
		name = "TObserverMapping.GetObserverID"
		size = 69
		refs = "0009 TObserverMapping.Instance"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 40 04 8B D7 8B 08 FF 51 54 83 F8 FF 75 22 8B C6 E8 ?? ?? ?? ?? 8B 40 04 8B D7 8B 08 FF 51 38 8B C6 E8 ?? ?? ?? ?? 8B 40 04 8B 10 FF 52 14 EB 01 40 83 C0 64 5F 5E C3 }
	condition:
		$1
}

rule function_63037_0 {
	meta:
		name = "TObservers.Create"
		size = 104
		refs = "000b @ClassCreate 0017 @IntfClear 001e _DV_TStringList 0023 TStringList.Create 0033 _DV_TInterfaceList 0038 TInterfaceList.Create 0049 @IntfCopy 0054 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 8D 47 0C E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 04 C6 46 50 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 47 08 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63039_0 {
	meta:
		name = "TObservers.CanObserve"
		size = 21
	strings:
		$1 = { 33 C9 83 78 0C 00 74 0A 8B 40 0C 8B 08 FF 51 0C 8B C8 8B C1 C3 }
	condition:
		$1
}

rule function_63040_0 {
	meta:
		name = "TObservers.AddObserver"
		size = 496
		refs = "001e TObservers.AddObserver 002c @IntfClear 003b Supports 0047 sObserverNoInterface 004c LoadResString 0056 _DV_EObserverException 005b Exception.Create 0060 @RaiseExcept 0082 sObserverUnsupported 00a5 IntToStr 00d0 sObserverMultipleSingleCast 0112 _DV_TInterfaceList 0117 TInterfaceList.Create 0128 @IntfCopy 013c _Dn_TObject 0141 @IntfAsClass 0192 @UStrArrayClr 01a2 @UStrClr 01b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4F 85 FF 0F 8C 0E 01 00 00 47 89 7D F0 8B 13 8B C6 8B 08 FF 11 84 C0 75 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8B 55 F8 8B 46 04 8B 08 FF 51 54 8B F8 83 FF FF 74 54 BA ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B 46 04 8B 08 FF 51 18 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? EB 43 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 46 08 8B 08 FF 51 38 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 46 04 8B 38 FF 57 3C 8B 55 08 8B 45 FC 8B 08 FF 51 38 83 7E 10 00 74 0D 8B 4D F4 8B 13 8B 46 10 8B 38 FF 57 0C 83 C3 04 FF 4D F0 0F 85 F6 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C2 04 00 00 D8 53 32 B0 20 77 68 4B B1 0A E3 E7 9B 91 EC D3 17 5F 39 D0 AA 52 15 45 93 A5 5B 29 2F 03 AA 7B 8A EA 5D 28 65 B8 D1 11 AA A7 00 C0 4F B1 7A 72 }
	condition:
		$1
}

rule function_63041_0 {
	meta:
		name = "TObservers.AddObserver"
		size = 29
	strings:
		$1 = { 53 56 51 8B F0 51 89 54 24 04 8D 44 24 04 8B D0 8B C6 33 C9 8B 18 FF 53 08 5A 5E 5B C3 }
	condition:
		$1
}

rule function_63042_0 {
	meta:
		name = "TObservers.GetMultiCastObserver"
		size = 436
		refs = "0022 TObservers.GetMultiCastObserver 002f _DV_TInterfaceList 0034 TInterfaceList.Create 0045 @IntfCopy 004f IntToStr 0078 @IntfClear 0085 Supports 0109 sObserverNoMulticastFound 010e LoadResString 0127 Format 0131 _DV_EObserverException 0136 Exception.Create 013b @RaiseExcept 0155 @UStrArrayClr 015e IInterface 0168 @FinalizeArray 0180 @UStrClr 0186 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 04 8B 08 FF 51 54 8B F0 83 FE FF 0F 84 8A 00 00 00 8B D6 8B 43 04 8B 08 FF 51 18 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 66 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 57 43 33 F6 8D 4D EC 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 45 EC 50 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 26 8B 45 F4 8B 10 FF 52 10 84 C0 74 1A 8D 4D E8 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 55 E8 8B 45 F0 8B 00 8B 08 FF 51 38 46 4B 75 AC 8B 45 F0 8B 00 8B 10 FF 52 14 85 C0 75 3E 8D 45 E4 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 FC 89 45 D8 C6 45 DC 11 8D 55 D8 33 C9 58 E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5F 5E 5B 8B E5 5D C3 00 8A EA 5D 28 65 B8 D1 11 AA A7 00 C0 4F B1 7A 72 1E B0 9C C1 33 12 05 44 8A 30 79 87 DF 2C 36 90 }
	condition:
		$1
}

rule function_63043_0 {
	meta:
		name = "TObservers.GetSingleCastObserver"
		size = 348
		refs = "0020 TObservers.GetSingleCastObserver 002e @IntfClear 0038 IntToStr 006a Supports 00af @IntfCopy 00bd sObserverNoSinglecastFound 00c2 LoadResString 00db Format 00e5 _DV_EObserverException 00ea Exception.Create 00ef @RaiseExcept 0109 @UStrArrayClr 0129 @UStrClr 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 04 8B 08 FF 51 54 8B F0 83 FE FF 74 67 8B D6 8B 43 04 8B 08 FF 51 18 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 43 8D 4D EC 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 EC 50 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 19 8B 45 F4 8B 10 FF 52 10 84 C0 74 0D 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? EB 3E 8D 45 E8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 FC 89 45 DC C6 45 E0 11 8D 55 DC 33 C9 58 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5E 5B 8B E5 5D C3 00 8A EA 5D 28 65 B8 D1 11 AA A7 00 C0 4F B1 7A 72 17 5F 39 D0 AA 52 15 45 93 A5 5B 29 2F 03 AA 7B }
	condition:
		$1
}

rule function_63044_0 {
	meta:
		name = "TObservers.IsObserving"
		size = 280
		refs = "0015 TObservers.IsObserving 0029 IntToStr 004f @IntfClear 005d Supports 00d0 @UStrClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8B 43 04 8B 08 FF 51 54 8B F0 83 FE FF 74 78 8B D6 8B 43 04 8B 08 FF 51 18 8B D8 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 52 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 43 43 33 F6 8D 4D EC 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 45 EC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 FC 8B 10 FF 52 10 84 C0 74 06 C6 45 F7 01 EB 04 46 4B 75 C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 00 8A EA 5D 28 65 B8 D1 11 AA A7 00 C0 4F B1 7A 72 D8 53 32 B0 20 77 68 4B B1 0A E3 E7 9B 91 EC D3 }
	condition:
		$1
}

rule function_63045_0 {
	meta:
		name = "TObservers.TryIsObserving"
		size = 312
		refs = "0028 TObservers.TryIsObserving 003c IntToStr 0065 @IntfClear 0072 Supports 00c9 @IntfCopy 00f0 @UStrClr 0106 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B F2 8B D8 8B 45 F4 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B 43 04 8B 08 FF 51 54 8B F0 83 FE FF 0F 84 81 00 00 00 8B D6 8B 43 04 8B 08 FF 51 18 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 5D 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 4E 43 33 F6 8D 4D E8 8B D6 8B 45 F8 8B 38 FF 57 0C 8B 45 E8 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 45 FC 8B 10 FF 52 10 84 C0 74 11 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? C6 45 F3 01 EB 04 46 4B 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 0F B6 45 F3 5F 5E 5B 8B E5 5D C3 00 8A EA 5D 28 65 B8 D1 11 AA A7 00 C0 4F B1 7A 72 D8 53 32 B0 20 77 68 4B B1 0A E3 E7 9B 91 EC D3 }
	condition:
		$1
}

rule function_63046_0 {
	meta:
		name = "TObservers.RemoveObserver"
		size = 29
	strings:
		$1 = { 53 56 51 8B F0 51 89 54 24 04 8D 44 24 04 8B D0 8B C6 33 C9 8B 18 FF 53 10 5A 5E 5B C3 }
	condition:
		$1
}

rule function_63047_0 {
	meta:
		name = "TObservers.RemoveObserver"
		size = 268
		refs = "001b TObservers.RemoveObserver 003b IntToStr 0066 @IntfClear 0073 Supports 00e7 @UStrClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 79 01 4F 85 FF 0F 8C 9D 00 00 00 47 8B 5D F0 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 04 8B 55 FC 8B 08 FF 51 54 8B F0 83 FE FF 74 70 8B 45 F4 8B 40 04 8B D6 8B 08 FF 51 18 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 49 8B 55 08 8B 45 F8 8B 08 FF 51 34 83 F8 FF 74 0A 8B D0 8B 45 F8 8B 08 FF 51 28 8B 45 F8 8B 10 FF 52 14 85 C0 75 23 8B 45 F4 8B 40 04 8B D6 8B 08 FF 51 48 8B 45 F4 8B 40 08 8B 55 F8 8B 08 FF 51 44 8D 45 F8 E8 ?? ?? ?? ?? 83 C3 04 4F 0F 85 67 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 8A EA 5D 28 65 B8 D1 11 AA A7 00 C0 4F B1 7A 72 }
	condition:
		$1
}

rule function_63048_0 {
	meta:
		name = "TLinkObservers.GetEditGridLink"
		size = 168
		refs = "0012 TLinkObservers.GetEditGridLink 0036 TObservers.GetSingleCastObserver 0045 @IntfCast 004f sObserverNotAvailable 0054 LoadResString 005e _DV_EObserverException 0063 Exception.Create 0068 @RaiseExcept 007d @UStrClr 0085 @IntfClear 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 02 00 00 00 8B D3 8B C6 8B 08 FF 51 14 84 C0 74 1D 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 48 B6 11 A9 E5 E1 EC 4E 9F EE D8 E6 2F FA 0E 71 }
	condition:
		$1
}

rule function_63049_0 {
	meta:
		name = "TLinkObservers.GetEditLink"
		size = 168
		refs = "0012 TLinkObservers.GetEditLink 0036 TObservers.GetSingleCastObserver 0045 @IntfCast 004f sObserverNotAvailable 0054 LoadResString 005e _DV_EObserverException 0063 Exception.Create 0068 @RaiseExcept 007d @UStrClr 0085 @IntfClear 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 8B D3 8B C6 8B 08 FF 51 14 84 C0 74 1D 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 05 27 8C E8 5A 7C 66 4E 9B 81 44 7D 05 D5 E6 40 }
	condition:
		$1
}

rule function_63050_0 {
	meta:
		name = "TLinkObservers.EditLinkUpdate"
		size = 73
		refs = "000c TLinkObservers.EditLinkUpdate 001c TLinkObservers.GetEditLink 0039 @IntfClear 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_63059_0 {
	meta:
		name = "TLinkObservers.EditGridLinkUpdate"
		size = 73
		refs = "000c TLinkObservers.EditGridLinkUpdate 001c TLinkObservers.GetEditGridLink 0039 @IntfClear 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_63051_0 {
	meta:
		name = "TLinkObservers.EditLinkReset"
		size = 73
		refs = "000c TLinkObservers.EditLinkReset 001c TLinkObservers.GetEditLink 0039 @IntfClear 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_63060_0 {
	meta:
		name = "TLinkObservers.EditGridLinkReset"
		size = 73
		refs = "000c TLinkObservers.EditGridLinkReset 001c TLinkObservers.GetEditGridLink 0039 @IntfClear 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_63052_0 {
	meta:
		name = "TLinkObservers.EditLinkIsReadOnly"
		size = 77
		refs = "000c TLinkObservers.EditLinkIsReadOnly 001c TLinkObservers.GetEditLink 003b @IntfClear 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 3C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_63061_0 {
	meta:
		name = "TLinkObservers.EditGridLinkIsReadOnly"
		size = 77
		refs = "000c TLinkObservers.EditGridLinkIsReadOnly 001c TLinkObservers.GetEditGridLink 003b @IntfClear 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 3C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_63053_0 {
	meta:
		name = "TLinkObservers.EditLinkSetIsReadOnly"
		size = 79
		refs = "000f TLinkObservers.EditLinkSetIsReadOnly 001f TLinkObservers.GetEditLink 003e @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B D3 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63062_0 {
	meta:
		name = "TLinkObservers.EditGridLinkSetIsReadOnly"
		size = 79
		refs = "000f TLinkObservers.EditGridLinkSetIsReadOnly 001f TLinkObservers.GetEditGridLink 003e @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B D3 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63054_0 {
	meta:
		name = "TLinkObservers.EditLinkModified"
		size = 73
		refs = "000c TLinkObservers.EditLinkModified 001c TLinkObservers.GetEditLink 0039 @IntfClear 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_63063_0 {
	meta:
		name = "TLinkObservers.EditGridLinkModified"
		size = 73
		refs = "000c TLinkObservers.EditGridLinkModified 001c TLinkObservers.GetEditGridLink 0039 @IntfClear 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_63055_0 {
	meta:
		name = "TLinkObservers.EditLinkEdit"
		size = 77
		refs = "000c TLinkObservers.EditLinkEdit 001c TLinkObservers.GetEditLink 003b @IntfClear 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_63064_0 {
	meta:
		name = "TLinkObservers.EditGridLinkEdit"
		size = 77
		refs = "000c TLinkObservers.EditGridLinkEdit 001c TLinkObservers.GetEditGridLink 003b @IntfClear 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_63056_0 {
	meta:
		name = "TLinkObservers.EditLinkIsEditing"
		size = 77
		refs = "000c TLinkObservers.EditLinkIsEditing 001c TLinkObservers.GetEditLink 003b @IntfClear 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 44 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_63065_0 {
	meta:
		name = "TLinkObservers.EditGridLinkIsEditing"
		size = 77
		refs = "000c TLinkObservers.EditGridLinkIsEditing 001c TLinkObservers.GetEditGridLink 003b @IntfClear 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 44 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_63057_0 {
	meta:
		name = "TLinkObservers.EditLinkIsModified"
		size = 77
		refs = "000c TLinkObservers.EditLinkIsModified 001c TLinkObservers.GetEditLink 003b @IntfClear 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 30 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_63066_0 {
	meta:
		name = "TLinkObservers.EditGridLinkIsModified"
		size = 77
		refs = "000c TLinkObservers.EditGridLinkIsModified 001c TLinkObservers.GetEditGridLink 003b @IntfClear 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 30 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_63058_0 {
	meta:
		name = "TLinkObservers.EditLinkIsValidChar"
		size = 83
		refs = "000f TLinkObservers.EditLinkIsValidChar 001f TLinkObservers.GetEditLink 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 34 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63067_0 {
	meta:
		name = "TLinkObservers.EditGridLinkIsValidChar"
		size = 83
		refs = "000f TLinkObservers.EditGridLinkIsValidChar 001f TLinkObservers.GetEditGridLink 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 34 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63068_0 {
	meta:
		name = "TLinkObservers.PositionLinkPosChanged"
		size = 184
		refs = "0012 TLinkObservers.PositionLinkPosChanged 0027 TObservers.GetMultiCastObserver 0052 @IntfClear 005f Supports 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 39 43 33 F6 8D 4D F4 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 45 F4 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 F8 8B 10 FF 52 0C 46 4B 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 0C CF 45 FA DB E8 9E 4F B5 3F E0 72 C9 46 59 F6 }
	condition:
		$1
}

rule function_63069_0 {
	meta:
		name = "TLinkObservers.ListSelectionChanged"
		size = 201
		refs = "0011 TLinkObservers.ListSelectionChanged 0033 TLinkObservers.GetEditLink 006a TLinkObservers.PositionLinkPosChanged 00ad IEditLinkObserver 00b7 @FinalizeArray 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 01 00 00 00 8B C3 8B 08 FF 51 14 84 C0 74 59 8B F3 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 44 84 C0 74 2D 8B F3 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 2C BA 03 00 00 00 8B C3 8B 08 FF 51 14 84 C0 74 34 8B C3 E8 ?? ?? ?? ?? EB 2B 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 28 EB 17 BA 03 00 00 00 8B C3 8B 08 FF 51 14 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63070_0 {
	meta:
		name = "Finalization"
		size = 208
		refs = "0008 Finalization 0014 _DV_77 001f HInstance 0024 UnRegisterModuleClasses 0029 GlobalNameSpace 0033 FreeIntConstList 003c RemoveFixupReferences 0041 GlobalFixupList 004e TObject.Free 0053 @GetTls 0059 GlobalLists 0072 RegGroups 0089 @IntfClear 008e ModuleUnload 0093 RemoveModuleUnloadProc 0098 FindGlobalComponentProcs 00aa ReleaseObjectInstanceBlocks 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 9A 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 14 E8 ?? ?? ?? ?? 33 D2 33 C0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 98 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C3 }
	condition:
		$1
}

rule function_63071_0 {
	meta:
		name = "System.Classes"
		size = 141
		refs = "0007 System.Classes 0013 _DV_77 001b ModuleUnload 0020 AddModuleUnloadProc 0027 _Dn_TMultiReadExclusiveWriteSynchronizer 002c TMultiReadExclusiveWriteSynchronizer.Create 003a GlobalNameSpace 003f @IntfCopy 0046 _DV_TRegGroups 004b TRegGroups.Create 0050 RegGroups 0057 _DV_TThreadList 005c TThreadList.Create 0061 IntConstList 0072 GlobalFixupList 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 5C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_63074_0 {
	meta:
		name = "RaiseListError"
		size = 34
		refs = "0010 _Dn_EListError 0015 Exception.CreateFmt 001a @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68861_0 {
	meta:
		name = "ConvertErrorFmt"
		size = 34
		refs = "0010 _DV_EConvertError 0015 Exception.CreateResFmt 001a @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63169_0 {
	meta:
		name = "RaiseConversionError"
		size = 34
		refs = "0010 _DV_EConversionError 0015 Exception.CreateFmt 001a @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114922_0 {
	meta:
		name = "SchemaParseError"
		size = 34
		refs = "0010 _DV_ESchemaParse 0015 Exception.CreateFmt 001a @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114921_0 {
	meta:
		name = "SchemaValidationError"
		size = 34
		refs = "0010 _DV_ESchemaValidation 0015 Exception.CreateFmt 001a @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74661_0 {
	meta:
		name = "TreeViewErrorFmt"
		size = 34
		refs = "0010 _DV_ETreeViewError 0015 Exception.CreateFmt 001a @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114605_0 {
	meta:
		name = "XMLDocError"
		size = 34
		refs = "0010 _Dn_EXMLDocError 0015 Exception.CreateFmt 001a @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63080_0 {
	meta:
		name = "TObjectList.FindInstanceOf"
		size = 133
		refs = "002f TObjectList.GetItem 005e TObject.InheritsFrom"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 4D FB 89 55 FC 8B F8 C7 45 F4 FF FF FF FF 8B 5D 08 8B 77 08 4E 2B F3 7C 56 46 80 7D FB 00 74 15 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 00 89 C2 3B 55 FC 0F 94 C0 EB 02 33 C0 84 C0 74 04 B0 01 EB 23 80 7D FB 00 75 17 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 74 05 89 5D F4 EB 04 43 4E 75 AB 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_63087_0 {
	meta:
		name = "TObjectList.Notify"
		size = 42
		refs = "0017 TObject.Free 0022 TList.Notify"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 80 FB 02 75 0D 80 7E 10 00 74 07 8B C7 E8 ?? ?? ?? ?? 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63091_0 {
	meta:
		name = "TComponentListNexus.Notification"
		size = 46
		refs = "0026 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 80 FB 01 75 11 66 83 7E 3A 00 74 0A 8B CF 8B D6 8B 46 3C FF 56 38 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63097_0 {
	meta:
		name = "TComponentList.ExtractItem"
		size = 31
		refs = "0016 TList.ExtractItem"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B F8 8B F2 0F B6 1C 24 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63100_0 {
	meta:
		name = "TComponentList.HandleFreeNotify"
		size = 10
		refs = "0005 TList.ExtractItem"
	strings:
		$1 = { 8B D1 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63105_0 {
	meta:
		name = "TComponentList.Notify"
		size = 103
		refs = "0015 _DV_TComponentListNexus 001a TComponent.Create 0029 TComponentList.HandleFreeNotify 0043 TComponent.FreeNotification 0053 TComponent.RemoveFreeNotification 005e TObjectList.Notify"
	strings:
		$1 = { 53 56 57 55 8B D9 8B F2 8B F8 83 7F 14 00 75 1D 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 89 6F 14 89 7D 3C C7 45 38 ?? ?? ?? ?? 8B C3 2C 01 72 06 2C 02 72 12 EB 1E 85 F6 74 1A 8B 57 14 8B C6 E8 ?? ?? ?? ?? EB 0E 85 F6 74 0A 8B 57 14 8B C6 E8 ?? ?? ?? ?? 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63121_0 {
	meta:
		name = "TOrderedList.AtLeast"
		size = 10
	strings:
		$1 = { 8B 40 04 3B 50 08 0F 9E C0 C3 }
	condition:
		$1
}

rule function_63124_0 {
	meta:
		name = "TOrderedList.Push"
		size = 13
	strings:
		$1 = { 53 8B DA 8B D3 8B 08 FF 11 8B C3 5B C3 }
	condition:
		$1
}

rule function_63128_0 {
	meta:
		name = "TOrderedList.PeekItem"
		size = 17
		refs = "000c TList.Get"
	strings:
		$1 = { 8B 50 04 8B 4A 08 49 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63129_0 {
	meta:
		name = "TOrderedList.PopItem"
		size = 30
		refs = "0015 TList.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 10 FF 52 08 8B F0 8B 43 04 8B 50 08 4A E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_63134_0 {
	meta:
		name = "TQueue.PushItem"
		size = 13
		refs = "0008 TList.Insert"
	strings:
		$1 = { 8B CA 8B 40 04 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63138_0 {
	meta:
		name = "TCustomBucketList.Add"
		size = 209
		refs = "001c TCustomBucketList.Add 0030 SBucketListLocked 0035 LoadResString 003f _Dn_EListError 0044 Exception.Create 0049 @RaiseExcept 0072 SDuplicateItem 0086 Exception.CreateFmt 00b4 @UStrClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D F0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0C 00 74 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8D 4D F8 8B D6 8B C3 8B 38 FF 57 04 84 C0 74 30 89 75 E8 C6 45 EC 00 8D 45 E8 50 6A 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 8B 45 FC 50 8B CE 8B 55 F8 8B C3 8B 18 FF 53 08 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63139_0 {
	meta:
		name = "TCustomBucketList.AddItem"
		size = 139
		refs = "001f @DynArrayLength 0062 TBucketItemArray 0067 @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B 7D 08 8B 40 04 8B 55 FC 8D 1C D0 8B 43 04 E8 ?? ?? ?? ?? 8B F0 3B 33 75 45 83 FE 40 7E 11 8B C6 85 C0 79 03 83 C0 03 C1 F8 02 89 45 F4 EB 15 83 FE 08 7E 09 C7 45 F4 10 00 00 00 EB 07 C7 45 F4 04 00 00 00 03 75 F4 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8B 13 8D 04 D0 8B 55 F8 89 10 89 78 04 FF 03 8B C7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_63141_0 {
	meta:
		name = "TCustomBucketList.Assign"
		size = 30
		refs = "0009 TCustomBucketList.Clear 000e AssignProc 0017 TCustomBucketList.ForEach"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B CB 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63142_0 {
	meta:
		name = "TCustomBucketList.Clear"
		size = 256
		refs = "0015 TCustomBucketList.Clear 002c SBucketListLocked 0031 LoadResString 003b _Dn_EListError 0040 Exception.Create 0045 @RaiseExcept 00a3 TBucketItemArray 00a8 @DynArraySetLength 00d6 @HandleFinally 00ed @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 0C 00 74 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 40 0D 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 48 85 C0 7C 57 40 89 45 F8 33 F6 8B 45 FC 8B 40 04 8B 1C F0 4B 83 FB 00 7C 12 8B CB 8B D6 8B 45 FC 8B 38 FF 57 0C 4B 83 FB FF 75 EE 6A 00 8B 45 FC 8B 40 04 8D 44 F0 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 40 04 33 D2 89 14 F0 46 FF 4D F8 75 AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 0D 00 C3 E9 ?? ?? ?? ?? EB F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63143_0 {
	meta:
		name = "TCustomBucketList.DeleteItem"
		size = 100
		refs = "0029 TBucketItemArray 002e @DynArraySetLength 0058 Move"
	strings:
		$1 = { 53 56 57 8B 58 04 8D 1C D3 8B 53 04 8B 74 CA 04 80 78 0D 00 75 48 8B 3B 83 FF 01 75 1A 6A 00 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 25 8B C7 48 3B C8 7D 1E 8B 53 04 8D 14 CA 8B 7B 04 8D 7C CF 08 2B C1 03 C0 03 C0 03 C0 8B C8 8B C7 E8 ?? ?? ?? ?? FF 0B 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63145_0 {
	meta:
		name = "TCustomBucketList.Exists"
		size = 22
	strings:
		$1 = { 53 83 C4 F8 8D 4C 24 04 51 8D 4C 24 04 8B 18 FF 53 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_63146_0 {
	meta:
		name = "TCustomBucketList.Find"
		size = 60
	strings:
		$1 = { 53 56 83 C4 F4 89 0C 24 8B D8 8D 44 24 08 50 8D 4C 24 08 8B C3 8B 30 FF 56 04 84 C0 74 18 8B 53 04 8B 4C 24 04 8B 54 CA 04 8B 4C 24 08 8B 54 CA 04 8B 0C 24 89 11 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_63147_0 {
	meta:
		name = "TCustomBucketList.FindItem"
		size = 81
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B F0 33 DB 8B 55 FC 8B C6 8B 08 FF 11 89 07 8B 07 8B 56 04 8D 04 C2 8B F0 8B 16 4A 85 D2 7C 1B 42 33 C0 8B 4E 04 8B 0C C1 3B 4D FC 75 09 8B 55 08 89 02 B3 01 EB 04 40 4A 75 E8 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_63148_0 {
	meta:
		name = "TCustomBucketList.ForEach"
		size = 190
		refs = "0029 TCustomBucketList.ForEach 0082 @TryFinallyExit 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 4D F4 89 55 F8 89 45 FC C6 45 F3 01 8B 45 FC 0F B6 40 0C 88 45 EB 8B 45 FC C6 40 0C 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 08 48 85 C0 7C 58 40 89 45 E4 C7 45 EC 00 00 00 00 8B 45 FC 8B 40 04 8B 55 EC 8D 04 D0 89 45 E0 8B 45 E0 8B 18 4B 83 FB 00 7C 2B 8B 45 E0 8B 40 04 8D 04 D8 8D 55 F3 52 8B 48 04 8B 10 8B 45 F4 FF 55 F8 80 7D F3 00 75 07 E8 ?? ?? ?? ?? EB 2D 4B 83 FB FF 75 D5 FF 45 EC FF 4D E4 75 B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B6 55 EB 88 50 0C C3 E9 ?? ?? ?? ?? EB EE 0F B6 45 F3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63149_0 {
	meta:
		name = "TCustomBucketList.ForEach"
		size = 186
		refs = "0023 TCustomBucketList.ForEach 007c @TryFinallyExit 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 45 FC C6 45 FB 01 8B 45 FC 0F B6 40 0C 88 45 F3 8B 45 FC C6 40 0C 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 08 48 85 C0 7C 58 40 89 45 EC C7 45 F4 00 00 00 00 8B 45 FC 8B 40 04 8B 55 F4 8D 04 D0 89 45 E8 8B 45 E8 8B 18 4B 83 FB 00 7C 2B 8B 45 E8 8B 40 04 8D 04 D8 8D 55 FB 52 8B 48 04 8B 10 8B 45 0C FF 55 08 80 7D FB 00 75 07 E8 ?? ?? ?? ?? EB 2D 4B 83 FB FF 75 D5 FF 45 F4 FF 4D EC 75 B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B6 55 F3 88 50 0C C3 E9 ?? ?? ?? ?? EB EE 0F B6 45 FB 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63150_0 {
	meta:
		name = "TCustomBucketList.GetData"
		size = 153
		refs = "0016 TCustomBucketList.GetData 0045 SItemNotFound 004a LoadResString 0054 _Dn_EListError 0059 Exception.CreateFmt 005e @RaiseExcept 0084 @UStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 4D FC 8B D6 8B C3 8B 38 FF 57 04 84 C0 75 2E 89 75 F0 C6 45 F4 00 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 55 FC 8B 44 D0 04 8B 55 F8 8B 5C D0 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63151_0 {
	meta:
		name = "TCustomBucketList.Remove"
		size = 148
		refs = "0017 TCustomBucketList.Remove 002b SBucketListLocked 0030 LoadResString 003a _Dn_EListError 003f Exception.Create 0044 @RaiseExcept 007f @UStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 0C 00 74 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 F6 8D 45 F4 50 8D 4D F8 8B 55 FC 8B C3 8B 38 FF 57 04 84 C0 74 0F 8B 4D F4 8B 55 F8 8B C3 8B 18 FF 53 0C 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63152_0 {
	meta:
		name = "TCustomBucketList.SetBucketCount"
		size = 40
		refs = "0019 TBucketArray 001e @DynArraySetLength"
	strings:
		$1 = { 53 56 8B D8 3B 53 08 74 1C 8B F2 89 73 08 56 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_63153_0 {
	meta:
		name = "TCustomBucketList.SetData"
		size = 157
		refs = "0019 TCustomBucketList.SetData 0048 SItemNotFound 004d LoadResString 0057 _Dn_EListError 005c Exception.CreateFmt 0061 @RaiseExcept 008a @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8D 4D F8 8B D6 8B C3 8B 38 FF 57 04 84 C0 75 2E 89 75 EC C6 45 F0 00 8D 45 EC 50 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 55 F8 8B 44 D0 04 8B 55 F4 8B 4D FC 89 4C D0 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63154_0 {
	meta:
		name = "TBucketList.BucketFor"
		size = 12
	strings:
		$1 = { C1 EA 08 0F B6 40 10 23 D0 8B C2 C3 }
	condition:
		$1
}

rule function_63155_0 {
	meta:
		name = "TBucketList.Create"
		size = 88
		refs = "000e @ClassCreate 001e TObject.Create 0028 cBucketMasks 0036 TCustomBucketList.SetBucketCount 0043 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 C3 0F B6 80 ?? ?? ?? ?? 88 46 10 0F B6 D0 42 8B C6 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63170_0 {
	meta:
		name = "RaiseConversionRegError"
		size = 132
		refs = "0018 RaiseConversionRegError 002f ConvFamilyToDescription 0045 SConvDuplicateType 004a LoadResString 0058 RaiseConversionError 0072 @UStrArrayClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D EC 89 4D E8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 75 F0 C6 45 F4 11 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F8 C6 45 FC 11 8D 45 F0 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63171_0 {
	meta:
		name = "GetConvFamilyInfo"
		size = 118
		refs = "000c GConvFamilySync 0011 TMultiReadExclusiveWriteSynchronizer.BeginRead 0019 GetConvFamilyInfo 0024 GConvFamilyList 0029 @DynArrayLength 0060 TMultiReadExclusiveWriteSynchronizer.EndRead 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 FB 3B C7 0F 9F 45 FF 80 7D FF 00 74 11 A1 ?? ?? ?? ?? 8B 04 B8 89 06 83 3E 00 0F 95 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63172_0 {
	meta:
		name = "GetConvInfo"
		size = 118
		refs = "000c GConvTypeSync 0011 TMultiReadExclusiveWriteSynchronizer.BeginRead 0019 GetConvInfo 0024 GConvTypeList 0029 @DynArrayLength 0060 TMultiReadExclusiveWriteSynchronizer.EndRead 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 FB 3B C7 0F 9F 45 FF 80 7D FF 00 74 11 A1 ?? ?? ?? ?? 8B 04 B8 89 06 83 3E 00 0F 95 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63173_0 {
	meta:
		name = "GetConvInfo"
		size = 49
		refs = "000e GetConvInfo 001f GetConvFamilyInfo"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 11 8B D7 8B 03 0F B7 40 08 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63174_0 {
	meta:
		name = "GetConvInfo"
		size = 48
		refs = "000c GetConvInfo 001e GetConvFamilyInfo"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B D6 8B 04 24 0F B7 40 08 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5A 5E 5B C3 }
	condition:
		$1
}

rule function_63175_0 {
	meta:
		name = "GetConvInfo"
		size = 74
		refs = "001c GetConvInfo"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8D 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 8B CB 8B 55 0C 8B C7 E8 ?? ?? ?? ?? 84 C0 74 07 8B 03 3B 45 F8 74 04 33 C0 EB 02 B0 01 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63176_0 {
	meta:
		name = "GetConvInfo"
		size = 74
		refs = "0017 GetConvInfo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 66 89 55 FE 8B F8 8B 75 08 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 1D 8B D6 0F B7 45 FE E8 ?? ?? ?? ?? 84 C0 74 0E 8B 03 0F B7 40 08 8B 16 66 3B 42 08 74 04 33 C0 EB 02 B0 01 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_63177_0 {
	meta:
		name = "GetConvInfo"
		size = 118
		refs = "0025 GetConvInfo"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 66 89 4D FA 66 89 55 FC 66 89 45 FE 8B 7D 08 8B 5D 0C 8B 75 10 8B D6 0F B7 45 FE E8 ?? ?? ?? ?? 84 C0 74 3A 8B D3 0F B7 45 FC E8 ?? ?? ?? ?? 84 C0 74 2B 8B D7 0F B7 45 FA E8 ?? ?? ?? ?? 84 C0 74 1C 8B 06 0F B7 40 08 8B 13 66 3B 42 08 75 0E 8B 03 0F B7 40 08 8B 17 66 3B 42 08 74 04 33 C0 EB 02 B0 01 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_63178_0 {
	meta:
		name = "GetConvInfo"
		size = 54
		refs = "000f GetConvInfo"
	strings:
		$1 = { 53 56 57 51 8B D9 8B FA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? 84 C0 74 14 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 07 8B 03 3B 04 24 74 04 33 C0 EB 02 B0 01 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63179_0 {
	meta:
		name = "ConvTypeToFamily"
		size = 196
		refs = "0018 ConvTypeToFamily 0028 TryConvTypeToFamily 0038 SConvUnknownDescriptionWithPrefix 003d LoadResString 0046 HexDisplayPrefix 0067 Format 007d SConvUnknownType 008d RaiseConversionError 00a2 @UStrClr 00af @UStrArrayClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 D2 89 55 F0 89 55 D8 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FE 8B C3 E8 ?? ?? ?? ?? 84 C0 75 61 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 89 45 DC C6 45 E0 11 0F B7 C3 89 45 E4 C6 45 E8 00 8D 55 DC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B7 45 FE 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63180_0 {
	meta:
		name = "TryConvTypeToFamily"
		size = 28
		refs = "0007 GetConvInfo"
	strings:
		$1 = { 53 51 8B DA 8B D4 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 14 24 0F B7 52 08 66 89 13 5A 5B C3 }
	condition:
		$1
}

rule function_63181_0 {
	meta:
		name = "ConvTypeToFamily"
		size = 168
		refs = "001b ConvTypeToFamily 002d TryConvTypeToFamily 003b ConvTypeToDescription 0065 SConvIncompatibleTypes2 006a LoadResString 0078 RaiseConversionError 0092 @UStrArrayClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E8 89 4D E4 89 4D E0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FE 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 47 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F4 C6 45 F8 11 8D 45 EC 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B7 45 FE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63182_0 {
	meta:
		name = "TryConvTypeToFamily"
		size = 83
		refs = "0011 GetConvInfo"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 84 C0 74 11 8B 04 24 0F B7 40 08 8B 54 24 04 66 3B 42 08 74 04 33 C0 EB 02 B0 01 84 C0 74 0A 8B 14 24 0F B7 52 08 66 89 17 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63184_0 {
	meta:
		name = "CompatibleConversionType"
		size = 208
		refs = "001b CompatibleConversionType 002b GetConvInfo 003b SConvUnknownDescriptionWithPrefix 0040 LoadResString 0049 HexDisplayPrefix 006a Format 0080 SConvUnknownType 0090 RaiseConversionError 00af @UStrClr 00bc @UStrArrayClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D F0 89 4D D8 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 61 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 89 45 DC C6 45 E0 11 0F B7 C3 89 45 E4 C6 45 E8 00 8D 55 DC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 33 C9 5A E8 ?? ?? ?? ?? 8B 45 FC 66 3B 70 08 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63185_0 {
	meta:
		name = "Convert"
		size = 205
		refs = "001b Convert 0031 GetConvInfo 003f ConvTypeToDescription 0069 SConvIncompatibleTypes2 006e LoadResString 007c RaiseConversionError 00b6 @UStrArrayClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 C9 89 4D DC 89 4D D8 89 4D D4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 47 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 8D 55 D8 8B C6 E8 ?? ?? ?? ?? 8B 45 D8 89 45 E8 C6 45 EC 11 8D 45 E0 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B 45 F4 8B 10 FF 12 83 C4 F8 DD 1C 24 9B 8B 45 F0 8B 10 FF 52 04 DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB DD 45 F8 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63186_0 {
	meta:
		name = "Convert"
		size = 64
		refs = "001a Convert"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 FF 75 10 FF 75 0C 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B D6 0F B7 45 08 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_63187_0 {
	meta:
		name = "ConvertFrom"
		size = 214
		refs = "0018 ConvertFrom 0028 GetConvInfo 0038 SConvUnknownDescriptionWithPrefix 003d LoadResString 0046 HexDisplayPrefix 0067 Format 007d SConvUnknownType 008d RaiseConversionError 00b3 @UStrClr 00c0 @UStrArrayClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 D2 89 55 E8 89 55 D0 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 61 8D 45 E8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 A1 ?? ?? ?? ?? 8B 00 89 45 D4 C6 45 D8 11 0F B7 C3 89 45 DC C6 45 E0 00 8D 55 D4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 45 EC 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 33 C9 5A E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B 45 F4 8B 10 FF 12 DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 DD 45 F8 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63188_0 {
	meta:
		name = "ConvertTo"
		size = 215
		refs = "0018 ConvertTo 0028 GetConvInfo 0038 SConvUnknownDescriptionWithPrefix 003d LoadResString 0046 HexDisplayPrefix 0067 Format 007d SConvUnknownType 008d RaiseConversionError 00b4 @UStrClr 00c1 @UStrArrayClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 D2 89 55 E8 89 55 D0 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 61 8D 45 E8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 A1 ?? ?? ?? ?? 8B 00 89 45 D4 C6 45 D8 11 0F B7 C3 89 45 DC C6 45 E0 00 8D 55 D4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 45 EC 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 33 C9 5A E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B 45 F4 8B 10 FF 52 04 DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 DD 45 F8 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63189_0 {
	meta:
		name = "ConvUnitAdd"
		size = 259
		refs = "0021 ConvUnitAdd 003e GetConvInfo 004c ConvTypeToDescription 008a SConvIncompatibleTypes3 008f LoadResString 009d RaiseConversionError 00eb @UStrArrayClr 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D D0 89 5D CC 89 5D C8 89 5D C4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8D 45 F0 50 8D 45 EC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 5B 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 8D 55 CC 8B C6 E8 ?? ?? ?? ?? 8B 45 CC 89 45 DC C6 45 E0 11 8D 55 C8 8B C7 E8 ?? ?? ?? ?? 8B 45 C8 89 45 E4 C6 45 E8 11 8D 45 D4 50 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 B9 02 00 00 00 5A E8 ?? ?? ?? ?? FF 75 14 FF 75 10 8B 45 F4 8B 10 FF 12 DD 5D BC 9B FF 75 0C FF 75 08 8B 45 F0 8B 10 FF 12 DC 45 BC 83 C4 F8 DD 1C 24 9B 8B 45 EC 8B 10 FF 52 04 DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB DD 45 F8 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_63190_0 {
	meta:
		name = "ConvUnitDiff"
		size = 48
		refs = "001e ConvUnitAdd"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 8B F0 FF 75 14 FF 75 10 DD 45 08 D9 E0 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 5E 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_63191_0 {
	meta:
		name = "ConvUnitInc"
		size = 37
		refs = "0014 ConvUnitInc"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 68 00 00 F0 3F 6A 00 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63192_0 {
	meta:
		name = "ConvUnitInc"
		size = 208
		refs = "001b ConvUnitInc 0031 GetConvInfo 003f ConvTypeToDescription 0069 SConvIncompatibleTypes2 006e LoadResString 007c RaiseConversionError 00b9 @UStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 C9 89 4D DC 89 4D D8 89 4D D4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 47 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 8D 55 D8 8B C6 E8 ?? ?? ?? ?? 8B 45 D8 89 45 E8 C6 45 EC 11 8D 45 E0 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B 45 F0 8B 10 FF 12 83 C4 F8 DD 1C 24 9B 8B 45 F4 8B 10 FF 52 04 DC 45 10 DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB DD 45 F8 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_63193_0 {
	meta:
		name = "ConvUnitDec"
		size = 37
		refs = "0014 ConvUnitInc"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 68 00 00 F0 BF 6A 00 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63194_0 {
	meta:
		name = "ConvUnitDec"
		size = 42
		refs = "0019 ConvUnitInc"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 14 FF 75 10 DD 45 08 D9 E0 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_63195_0 {
	meta:
		name = "ConvUnitWithinPrevious"
		size = 63
		refs = "0026 ConvUnitDec"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 DD 45 10 DC 5D 18 9B DF E0 9E 77 1E FF 75 1C FF 75 18 FF 75 0C FF 75 08 8B D6 8B C3 E8 ?? ?? ?? ?? DC 5D 10 9B DF E0 9E 76 04 33 C0 EB 02 B0 01 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_63196_0 {
	meta:
		name = "ConvUnitWithinNext"
		size = 63
		refs = "0026 ConvUnitInc"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 DD 45 10 DC 5D 18 9B DF E0 9E 72 1E FF 75 1C FF 75 18 FF 75 0C FF 75 08 8B D6 8B C3 E8 ?? ?? ?? ?? DC 5D 10 9B DF E0 9E 73 04 33 C0 EB 02 B0 01 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_63197_0 {
	meta:
		name = "ConvUnitCompareValue"
		size = 223
		refs = "001b ConvUnitCompareValue 0031 GetConvInfo 003f ConvTypeToDescription 0069 SConvIncompatibleTypes2 006e LoadResString 007c RaiseConversionError 00ad CompareValue 00c9 @UStrArrayClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 C9 89 4D E4 89 4D E0 89 4D DC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 47 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F0 C6 45 F4 11 8D 45 E8 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC B9 01 00 00 00 5A E8 ?? ?? ?? ?? FF 75 14 FF 75 10 8B 45 FC 8B 10 FF 12 83 C4 F8 DD 1C 24 9B FF 75 0C FF 75 08 8B 45 F8 8B 10 FF 12 83 C4 F8 DD 1C 24 9B 6A 00 6A 00 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_63198_0 {
	meta:
		name = "ConvUnitSameValue"
		size = 223
		refs = "001b ConvUnitSameValue 0031 GetConvInfo 003f ConvTypeToDescription 0069 SConvIncompatibleTypes2 006e LoadResString 007c RaiseConversionError 00ad SameValue 00c9 @UStrArrayClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 C9 89 4D E4 89 4D E0 89 4D DC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 47 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F0 C6 45 F4 11 8D 45 E8 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC B9 01 00 00 00 5A E8 ?? ?? ?? ?? FF 75 14 FF 75 10 8B 45 FC 8B 10 FF 12 83 C4 F8 DD 1C 24 9B FF 75 0C FF 75 08 8B 45 F8 8B 10 FF 12 83 C4 F8 DD 1C 24 9B 6A 00 6A 00 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_63199_0 {
	meta:
		name = "RegisterConversionType"
		size = 192
		refs = "000b GConvTypeSync 0010 TMultiReadExclusiveWriteSynchronizer.BeginWrite 0018 RegisterConversionType 002c DescriptionToConvType 003e GLastConvType 0043 GConvTypeList 0048 @DynArrayLength 006f TConvTypeList 0074 @DynArraySetLength 00ab TMultiReadExclusiveWriteSynchronizer.EndWrite 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 53 04 0F B7 43 08 E8 ?? ?? ?? ?? 34 01 88 45 FF 80 7D FF 00 74 5D 66 FF 05 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 0F B7 15 ?? ?? ?? ?? 3B C2 7D 23 0F B7 05 ?? ?? ?? ?? 83 C0 10 50 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 0F B7 05 ?? ?? ?? ?? 66 89 06 0F B7 06 66 89 43 0A 0F B7 06 8B 15 ?? ?? ?? ?? 89 1C 82 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 0F B6 45 FF 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63200_0 {
	meta:
		name = "RegisterConversionType"
		size = 76
		refs = "0017 _DV_TConvTypeFactor 001c TConvTypeFactor.Create 0028 RegisterConversionType 0033 TObject.Free 003c RaiseConversionRegError"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B F0 57 FF 75 0C FF 75 08 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 FE 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 0F B7 45 FE 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63201_0 {
	meta:
		name = "RegisterConversionType"
		size = 84
		refs = "001e _DV_TConvTypeProcs 0023 TConvTypeProcs.Create 002f RegisterConversionType 003a TObject.Free 0043 RaiseConversionRegError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B F0 57 8B 45 FC 50 8B 45 08 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 FA 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 0F B7 45 FA 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_63202_0 {
	meta:
		name = "FreeConversionType"
		size = 42
		refs = "0009 GetConvInfo 0016 GConvTypeList 0023 TObject.Free"
	strings:
		$1 = { 53 51 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 0F B7 C3 8B 15 ?? ?? ?? ?? 33 C9 89 0C 82 8B 04 24 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_63203_0 {
	meta:
		name = "UnregisterConversionType"
		size = 71
		refs = "0007 GConvTypeSync 000c TMultiReadExclusiveWriteSynchronizer.BeginWrite 0014 UnregisterConversionType 0021 FreeConversionType 0038 TMultiReadExclusiveWriteSynchronizer.EndWrite 003e @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5B 5D C3 }
	condition:
		$1
}

rule function_63204_0 {
	meta:
		name = "RegisterConversionFamily"
		size = 275
		refs = "0012 RegisterConversionFamily 001d GConvFamilySync 0022 TMultiReadExclusiveWriteSynchronizer.BeginWrite 003a DescriptionToConvFamily 0046 SConvDuplicateFamily 004b LoadResString 0061 RaiseConversionError 0068 GLastConvFamily 006d GConvFamilyList 0072 @DynArrayLength 0099 TConvFamilyList 009e @DynArraySetLength 00b8 _DV_TConvFamilyInfo 00bd TConvFamilyInfo.Create 00e1 TMultiReadExclusiveWriteSynchronizer.EndWrite 00e7 @HandleFinally 00fe @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 89 5D F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 66 FF 05 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 0F B7 15 ?? ?? ?? ?? 3B C2 7D 23 0F B7 05 ?? ?? ?? ?? 83 C0 10 50 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 0F B7 05 ?? ?? ?? ?? 66 89 45 FE 53 0F B7 4D FE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 55 FE 8B 0D ?? ?? ?? ?? 89 04 91 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 FE 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63205_0 {
	meta:
		name = "UnregisterConversionFamily"
		size = 224
		refs = "000d GConvFamilySync 0012 TMultiReadExclusiveWriteSynchronizer.BeginWrite 001a UnregisterConversionFamily 002c GetConvFamilyInfo 0039 GConvTypeSync 0051 GConvTypeList 0056 @DynArrayLength 007d FreeConversionType 0098 TMultiReadExclusiveWriteSynchronizer.EndWrite 009e @HandleFinally 00aa GConvFamilyList 00b7 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 66 89 45 FE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 0F B7 45 FE E8 ?? ?? ?? ?? 84 C0 0F 84 83 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 24 46 33 DB A1 ?? ?? ?? ?? 8B 04 98 85 C0 74 11 0F B7 40 08 66 3B 45 FE 75 07 8B C3 E8 ?? ?? ?? ?? 43 4E 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 0F B7 45 FE 8B 15 ?? ?? ?? ?? 33 C9 89 0C 82 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_63206_0 {
	meta:
		name = "CleanUpLists"
		size = 269
		refs = "0007 GConvTypeList 000c GConvTypeSync 0011 TMultiReadExclusiveWriteSynchronizer.BeginWrite 0019 CleanUpLists 0026 @DynArrayLength 0045 TObject.Free 0058 TConvTypeList 005d @DynArraySetLength 0077 TMultiReadExclusiveWriteSynchronizer.EndWrite 007d @HandleFinally 0084 GConvFamilySync 009c GConvFamilyList 00dd TConvFamilyList"
	strings:
		$1 = { 55 8B EC 53 56 57 BF ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 07 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1C 46 33 DB 8B 07 8B 04 98 85 C0 74 0C 8B 17 33 C9 89 0C 9A E8 ?? ?? ?? ?? 43 4E 75 E7 6A 00 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 23 46 33 DB A1 ?? ?? ?? ?? 8B 04 98 85 C0 74 10 8B 15 ?? ?? ?? ?? 33 C9 89 0C 9A E8 ?? ?? ?? ?? 43 4E 75 E0 6A 00 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_63207_0 {
	meta:
		name = "TConvFamilyInfo.Create"
		size = 78
		refs = "000e @ClassCreate 001d TObject.Create 002c @UStrAsg 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 66 89 77 08 8D 47 04 8B 55 08 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_63208_0 {
	meta:
		name = "TConvTypeInfo.Create"
		size = 261
		refs = "001c @ClassCreate 002a TConvTypeInfo.Create 0039 TObject.Create 0043 GetConvFamilyInfo 0053 SConvUnknownDescriptionWithPrefix 0058 LoadResString 0061 HexDisplayPrefix 0082 Format 0098 SConvUnknownFamily 00a8 RaiseConversionError 00b7 @UStrAsg 00cc @UStrClr 00d9 @UStrArrayClr 00df @HandleFinally 00ec @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D F0 89 5D D8 89 5D EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 75 61 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 A1 ?? ?? ?? ?? 8B 00 89 45 DC C6 45 E0 11 0F B7 C6 89 45 E4 C6 45 E8 00 8D 55 DC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 33 C9 5A E8 ?? ?? ?? ?? 66 89 77 08 8D 47 04 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_63209_0 {
	meta:
		name = "TConvTypeFactor.Create"
		size = 196
		refs = "0015 @ClassCreate 0025 TConvTypeFactor.Create 0035 TConvTypeInfo.Create 0059 SConvFactorZero 005e LoadResString 0068 _Dn_EZeroDivide 006d Exception.CreateFmt 0072 @RaiseExcept 0093 @UStrClr 0099 @HandleFinally 00a8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 33 D2 8B C3 E8 ?? ?? ?? ?? DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 2E 89 75 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 89 43 10 8B 45 0C 89 43 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 }
	condition:
		$1
}

rule function_63210_0 {
	meta:
		name = "TConvTypeFactor.FromCommon"
		size = 25
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 08 DC 70 10 DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63211_0 {
	meta:
		name = "TConvTypeFactor.ToCommon"
		size = 25
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 08 DC 48 10 DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63212_0 {
	meta:
		name = "TConvTypeProcs.Create"
		size = 75
		refs = "000d @ClassCreate 001e TConvTypeInfo.Create 0035 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 10 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 89 46 0C 8B 45 08 89 46 10 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_63213_0 {
	meta:
		name = "TConvTypeProcs.FromCommon"
		size = 32
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 FF 75 0C FF 75 08 8B D8 FF 53 10 DD 5D F8 9B DD 45 F8 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63214_0 {
	meta:
		name = "TConvTypeProcs.ToCommon"
		size = 32
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 FF 75 0C FF 75 08 8B D8 FF 53 0C DD 5D F8 9B DD 45 F8 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63215_0 {
	meta:
		name = "StrToConvUnit"
		size = 139
		refs = "0015 @UStrAddRef 001d StrToConvUnit 0030 TryStrToConvUnit 003c SConvStrParseError 0041 LoadResString 005a RaiseConversionError 006f @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 C9 89 4D EC 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 26 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 DD 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63216_0 {
	meta:
		name = "TryStrToConvUnit"
		size = 328
		refs = "0026 @UStrAddRef 002e TryStrToConvUnit 003f TrimLeft 004a @UStrLAsg 0057 Pos 0071 @UStrCopy 0077 CurrencyString 0082 TryStrToFloat 00a7 Trim 00b8 DescriptionToConvType 00ce CIllegalConvType 0116 @UStrArrayClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 33 DB 89 5D C8 89 5D CC 89 5D F8 89 5D F4 89 5D F0 89 4D E8 89 55 EC 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7E 67 8D 45 F4 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8D 55 D0 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 84 DB 74 67 8D 45 C8 50 8D 56 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C8 8D 55 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 0F 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 2F B3 01 EB 2B 8B 45 E8 0F B7 15 ?? ?? ?? ?? 66 89 10 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8D 55 D0 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 84 DB 74 09 DB 6D D0 8B 45 EC DD 18 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_63217_0 {
	meta:
		name = "ConvUnitToStr"
		size = 124
		refs = "0015 ConvUnitToStr 0037 ConvTypeToDescription 004e GConvUnitToStrFmt 0053 Format 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 DD 45 08 DB 7D E4 9B 8D 45 E4 89 45 F0 C6 45 F4 03 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63218_0 {
	meta:
		name = "GetConvTypes"
		size = 223
		refs = "001b GConvTypeSync 0020 TMultiReadExclusiveWriteSynchronizer.BeginRead 0028 GetConvTypes 0035 GConvTypeList 003a @DynArrayLength 006f TConvTypeArray 0074 @DynArraySetLength 00cd TMultiReadExclusiveWriteSynchronizer.EndRead 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 F8 66 89 45 FE 8B 45 F8 85 C0 74 04 33 D2 89 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 33 F6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 1F 42 33 C0 8B 0D ?? ?? ?? ?? 8B 0C 81 85 C9 74 0B 0F B7 49 08 66 3B 4D FE 75 01 46 40 4A 75 E4 56 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 F6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 2C 42 33 C0 8B 0D ?? ?? ?? ?? 8B 0C 81 85 C9 74 18 0F B7 59 08 66 3B 5D FE 75 0E 8B 5D F8 8B 1B 0F B7 49 0A 66 89 0C 73 46 40 4A 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_63219_0 {
	meta:
		name = "GetConvFamilies"
		size = 191
		refs = "0015 GConvFamilySync 001a TMultiReadExclusiveWriteSynchronizer.BeginRead 0022 GetConvFamilies 002f GConvFamilyList 0034 @DynArrayLength 005c TConvFamilyArray 0061 @DynArraySetLength 00ae TMultiReadExclusiveWriteSynchronizer.EndRead 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 85 C0 74 04 33 D2 89 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 F6 55 68 ?? ?? ?? ?? 64 FF 36 64 89 26 33 DB A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 7C 14 40 33 D2 8B 0D ?? ?? ?? ?? 83 3C 91 00 74 01 43 42 48 75 EF 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 7C 22 40 33 D2 8B 0D ?? ?? ?? ?? 8B 0C 91 85 C9 74 0E 8B 75 FC 8B 36 0F B7 49 08 66 89 0C 5E 43 42 48 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_63220_0 {
	meta:
		name = "ConvTypeToDescription"
		size = 174
		refs = "0015 ConvTypeToDescription 0022 CIllegalConvType 002b SConvIllegalType 0030 LoadResString 003c GetConvInfo 004d @UStrAsg 0058 SConvUnknownDescriptionWithPrefix 0066 HexDisplayPrefix 0087 Format 009c @UStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 3B 1D ?? ?? ?? ?? 75 0E 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 55 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B C6 8B 55 FC 8B 52 04 E8 ?? ?? ?? ?? EB 38 56 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 A1 ?? ?? ?? ?? 8B 00 89 45 E8 C6 45 EC 11 0F B7 C3 89 45 F0 C6 45 F4 00 8D 55 E8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63221_0 {
	meta:
		name = "ConvFamilyToDescription"
		size = 174
		refs = "0015 ConvFamilyToDescription 0022 CIllegalConvFamily 002b SConvIllegalFamily 0030 LoadResString 003c GetConvFamilyInfo 004d @UStrAsg 0058 SConvUnknownDescriptionWithPrefix 0066 HexDisplayPrefix 0087 Format 009c @UStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 3B 1D ?? ?? ?? ?? 75 0E 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 55 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B C6 8B 55 FC 8B 52 04 E8 ?? ?? ?? ?? EB 38 56 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 A1 ?? ?? ?? ?? 8B 00 89 45 E8 C6 45 EC 11 0F B7 C3 89 45 F0 C6 45 F4 00 8D 55 E8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63222_0 {
	meta:
		name = "DescriptionToConvType"
		size = 246
		refs = "001b DescriptionToConvType 002a GConvTypeSync 002f TMultiReadExclusiveWriteSynchronizer.BeginRead 0042 GConvTypeList 0047 @DynArrayLength 0068 @UStrLAsg 007e AnsiCompareText 0096 @TryFinallyExit 00bd TMultiReadExclusiveWriteSynchronizer.EndRead 00c3 @HandleFinally 00df @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 58 46 33 DB A1 ?? ?? ?? ?? 8B 3C 98 85 FF 74 45 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 57 04 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 1B 80 7D EF 00 74 0B C6 45 EF 00 E8 ?? ?? ?? ?? EB 2D 8B 45 F0 66 89 18 C6 45 EF 01 43 4E 75 AB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 EF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63223_0 {
	meta:
		name = "DescriptionToConvType"
		size = 245
		refs = "001f DescriptionToConvType 002e GConvTypeSync 0033 TMultiReadExclusiveWriteSynchronizer.BeginRead 0046 GConvTypeList 004b @DynArrayLength 0076 @UStrLAsg 008c AnsiCompareText 00bc TMultiReadExclusiveWriteSynchronizer.EndRead 00c2 @HandleFinally 00de @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 66 89 45 F6 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EB 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 53 47 33 DB A1 ?? ?? ?? ?? 8B 34 98 85 F6 74 40 0F B7 46 08 66 3B 45 F6 75 36 8D 45 FC 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 56 04 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0C 8B 45 EC 66 89 18 C6 45 EB 01 EB 04 43 4F 75 B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63224_0 {
	meta:
		name = "DescriptionToConvFamily"
		size = 231
		refs = "001b DescriptionToConvFamily 002a GConvFamilySync 002f TMultiReadExclusiveWriteSynchronizer.BeginRead 0042 GConvFamilyList 0047 @DynArrayLength 0068 @UStrLAsg 007e AnsiCompareText 00ae TMultiReadExclusiveWriteSynchronizer.EndRead 00b4 @HandleFinally 00d0 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 49 46 33 DB A1 ?? ?? ?? ?? 8B 3C 98 85 FF 74 36 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 57 04 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0C 8B 45 F0 66 89 18 C6 45 EF 01 EB 04 43 4E 75 BA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 EF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63225_0 {
	meta:
		name = "Finalization"
		size = 131
		refs = "0007 Finalization 0013 _DV_5 001a CleanUpLists 001f GConvFamilySync 002c TObject.Free 0031 GConvTypeSync 0043 GConvUnitToStrFmt 0048 @UStrClr 004d GConvFamilyList 0053 TConvFamilyList 0058 @DynArrayClear 005d GConvTypeList 0063 TConvTypeList 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 53 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_63226_0 {
	meta:
		name = "System.ConvUtils"
		size = 83
		refs = "0007 System.ConvUtils 0013 _DV_5 001d _Dn_TMultiReadExclusiveWriteSynchronizer 0022 TMultiReadExclusiveWriteSynchronizer.Create 0027 GConvFamilySync 0038 GConvTypeSync 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_63230_0 {
	meta:
		name = "DateOf"
		size = 36
		refs = "000a @TRUNC"
		altNames = "StartOfTheDay"
	strings:
		$1 = { 55 8B EC 83 C4 F0 DD 45 08 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 DF 6D F0 DD 5D F8 9B DD 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63231_0 {
	meta:
		name = "TimeOf"
		size = 34
		refs = "0011 Frac"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66276_0 {
	meta:
		name = "Tan"
		size = 34
		refs = "0011 Tangent"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63232_0 {
	meta:
		name = "IsInLeapYear"
		size = 23
		refs = "000a YearOf 000f IsLeapYear"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_63241_0 {
	meta:
		name = "DaysInYear"
		size = 23
		refs = "000a YearOf 000f DaysInAYear"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_63245_0 {
	meta:
		name = "WeeksInYear"
		size = 23
		refs = "000a YearOf 000f WeeksInAYear"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_63233_0 {
	meta:
		name = "IsPM"
		size = 25
		refs = "000a HourOf"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 66 83 F8 0C 0F 93 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_63234_0 {
	meta:
		name = "IsAM"
		size = 44
		refs = "0019 HourOf"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 08 89 45 F8 8B 45 0C 89 45 FC FF 75 FC FF 75 F8 E8 ?? ?? ?? ?? 66 83 F8 0C 0F 93 C0 34 01 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63235_0 {
	meta:
		name = "IsValidDate"
		size = 64
		refs = "002d DaysInAMonth"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 66 83 FB 01 72 27 66 81 FB 0F 27 77 20 66 83 FE 01 72 1A 66 83 FE 0C 77 14 66 83 FF 01 72 0E 8B D6 8B C3 E8 ?? ?? ?? ?? 66 3B F8 76 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63236_0 {
	meta:
		name = "IsValidTime"
		size = 64
	strings:
		$1 = { 55 8B EC 56 8B 75 08 66 83 F8 18 73 13 66 83 FA 3C 73 0D 66 83 F9 3C 73 07 66 81 FE E8 03 72 19 66 83 F8 18 75 0F 66 85 D2 75 0A 66 85 C9 75 05 66 85 F6 74 04 33 C0 EB 02 B0 01 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_63237_0 {
	meta:
		name = "IsValidDateTime"
		size = 66
		refs = "0013 IsValidDate 002d IsValidTime"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 0F B7 45 08 50 0F B7 4D 0C 0F B7 55 10 0F B7 45 14 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_63238_0 {
	meta:
		name = "IsValidDateMonthWeek"
		size = 66
	strings:
		$1 = { 55 8B EC 56 8B 75 08 66 83 F8 01 72 2A 66 3D 0F 27 77 24 66 83 FA 01 72 1E 66 83 FA 0C 77 18 66 83 F9 01 72 12 66 83 F9 05 77 0C 66 83 FE 01 72 06 66 83 FE 07 76 04 33 C0 EB 02 B0 01 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_63239_0 {
	meta:
		name = "IsValidDateDay"
		size = 47
		refs = "001c DaysInAYear"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 FB 01 72 19 66 81 FB 0F 27 77 12 66 83 FE 01 72 0C 8B C3 E8 ?? ?? ?? ?? 66 3B F0 76 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_63240_0 {
	meta:
		name = "IsValidDateWeek"
		size = 62
		refs = "001f WeeksInAYear"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 66 83 FB 01 72 25 66 81 FB 0F 27 77 1E 66 83 FE 01 72 18 8B C3 E8 ?? ?? ?? ?? 66 3B F0 77 0C 66 83 FF 01 72 06 66 83 FF 07 76 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63242_0 {
	meta:
		name = "DaysInAYear"
		size = 23
		refs = "0006 IsLeapYear 0011 DaysPerYear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 0F B7 04 45 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_63243_0 {
	meta:
		name = "DaysInMonth"
		size = 45
		refs = "0016 DecodeDate 0023 DaysInAMonth"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? 0F B7 55 FC 0F B7 45 FE E8 ?? ?? ?? ?? 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63244_0 {
	meta:
		name = "DaysInAMonth"
		size = 55
		refs = "000f IsLeapYear 0025 MonthDays"
	strings:
		$1 = { 53 56 8B DA 8B F0 66 83 FB 02 75 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 83 E0 7F 8D 04 40 8B 15 ?? ?? ?? ?? 8D 04 C2 0F B7 D3 0F B7 44 50 FE 5E 5B C3 }
	condition:
		$1
}

rule function_63246_0 {
	meta:
		name = "WeeksInAYear"
		size = 68
		refs = "0014 EncodeDate 0020 DayOfTheWeek 0035 IsLeapYear"
	strings:
		$1 = { 53 56 57 8B F0 66 BF 34 00 66 B9 01 00 66 BA 01 00 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 8B D8 66 83 FB 04 74 11 66 83 FB 03 75 0C 8B C6 E8 ?? ?? ?? ?? 84 C0 74 01 47 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63248_0 {
	meta:
		name = "Yesterday"
		size = 28
		refs = "0004 Date 000a Yesterday"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 00 00 80 3F }
	condition:
		$1
}

rule function_63249_0 {
	meta:
		name = "Tomorrow"
		size = 28
		refs = "0004 Date 000a Tomorrow"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? D8 05 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 00 00 80 3F }
	condition:
		$1
}

rule function_63250_0 {
	meta:
		name = "IsToday"
		size = 30
		refs = "000a Date 0016 IsSameDay"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_63251_0 {
	meta:
		name = "IsSameDay"
		size = 76
		refs = "000a @TRUNC"
	strings:
		$1 = { 55 8B EC 83 C4 F0 DD 45 08 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC DF 6D F8 DC 5D 10 9B DF E0 9E 77 20 DD 45 08 E8 ?? ?? ?? ?? 83 C0 01 83 D2 00 89 45 F0 89 55 F4 DF 6D F0 DC 5D 10 9B DF E0 9E 77 04 33 C0 EB 02 B0 01 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_63253_0 {
	meta:
		name = "MonthOf"
		size = 36
		refs = "0016 DecodeDate"
		altNames = "WeekOfTheYear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8D 4D FA 8D 55 FE 8D 45 FC E8 ?? ?? ?? ?? 0F B7 45 FE 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63255_0 {
	meta:
		name = "DayOf"
		size = 36
		refs = "0016 DecodeDate"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8D 4D FE 8D 55 FA 8D 45 FC E8 ?? ?? ?? ?? 0F B7 45 FE 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63256_0 {
	meta:
		name = "HourOf"
		size = 40
		refs = "001a DecodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8D 45 F8 50 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? 0F B7 45 FE 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63257_0 {
	meta:
		name = "MinuteOf"
		size = 40
		refs = "001a DecodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8D 45 F8 50 8D 4D FA 8D 55 FE 8D 45 FC E8 ?? ?? ?? ?? 0F B7 45 FE 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63258_0 {
	meta:
		name = "SecondOf"
		size = 40
		refs = "001a DecodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8D 45 F8 50 8D 4D FE 8D 55 FA 8D 45 FC E8 ?? ?? ?? ?? 0F B7 45 FE 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63286_0 {
	meta:
		name = "WeekOfTheMonth"
		size = 40
		refs = "001a DecodeDateMonthWeek"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8D 45 F8 50 8D 4D FE 8D 55 FA 8D 45 FC E8 ?? ?? ?? ?? 0F B7 45 FE 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63259_0 {
	meta:
		name = "MilliSecondOf"
		size = 40
		refs = "001a DecodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8D 45 FE 50 8D 4D F8 8D 55 FA 8D 45 FC E8 ?? ?? ?? ?? 0F B7 45 FE 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63260_0 {
	meta:
		name = "StartOfTheYear"
		size = 43
		refs = "000d YearOf 001a EncodeDate"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 66 B9 01 00 66 BA 01 00 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63261_0 {
	meta:
		name = "EndOfTheYear"
		size = 55
		refs = "000d YearOf 001a EncodeDate 0026 EndOfTheDay"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 66 B9 1F 00 66 BA 0C 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63262_0 {
	meta:
		name = "StartOfTheMonth"
		size = 56
		refs = "0016 DecodeDate 0027 EncodeDate"
	strings:
		$1 = { 55 8B EC 83 C4 F0 FF 75 0C FF 75 08 8D 4D F2 8D 55 F4 8D 45 F6 E8 ?? ?? ?? ?? 66 B9 01 00 0F B7 55 F4 0F B7 45 F6 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63263_0 {
	meta:
		name = "EndOfTheMonth"
		size = 79
		refs = "0016 DecodeDate 0023 DaysInAMonth 0032 EncodeDate 003e EndOfTheDay"
	strings:
		$1 = { 55 8B EC 83 C4 F0 FF 75 0C FF 75 08 8D 4D F2 8D 55 F4 8D 45 F6 E8 ?? ?? ?? ?? 0F B7 55 F4 0F B7 45 F6 E8 ?? ?? ?? ?? 8B C8 0F B7 55 F4 0F B7 45 F6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63264_0 {
	meta:
		name = "StartOfTheWeek"
		size = 63
		refs = "000a @TRUNC 0017 DayOfTheWeek"
	strings:
		$1 = { 55 8B EC 83 C4 F0 DD 45 08 E8 ?? ?? ?? ?? 52 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 0F B7 C0 48 99 29 04 24 19 54 24 04 58 5A 89 45 F0 89 55 F4 DF 6D F0 DD 5D F8 9B DD 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63265_0 {
	meta:
		name = "EndOfTheWeek"
		size = 52
		refs = "000d StartOfTheWeek 0013 EndOfTheWeek 001f EndOfTheDay"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? D8 05 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 C0 40 }
	condition:
		$1
}

rule function_63267_0 {
	meta:
		name = "EndOfTheDay"
		size = 47
		refs = "001e RecodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 68 E7 03 00 00 66 B9 3B 00 66 BA 3B 00 66 B8 17 00 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63268_0 {
	meta:
		name = "StartOfAYear"
		size = 26
		refs = "000c EncodeDate"
	strings:
		$1 = { 83 C4 F8 66 B9 01 00 66 BA 01 00 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_63269_0 {
	meta:
		name = "EndOfAYear"
		size = 44
		refs = "0011 EncodeDate 001d EndOfTheDay"
	strings:
		$1 = { 53 83 C4 F8 8B D8 66 B9 1F 00 66 BA 0C 00 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_63270_0 {
	meta:
		name = "StartOfAMonth"
		size = 22
		refs = "0008 EncodeDate"
	strings:
		$1 = { 83 C4 F8 66 B9 01 00 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_63271_0 {
	meta:
		name = "EndOfAMonth"
		size = 53
		refs = "000e DaysInAMonth 0019 EncodeDate 0025 EndOfTheDay"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_63273_0 {
	meta:
		name = "EndOfAWeek"
		size = 48
		refs = "0013 EncodeDateWeek 001f EndOfTheDay"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63277_0 {
	meta:
		name = "EndOfADay"
		size = 48
		refs = "0013 EncodeDate 001f EndOfTheDay"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63275_0 {
	meta:
		name = "EndOfADay"
		size = 42
		refs = "000e EncodeDateDay 001a EndOfTheDay"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_63276_0 {
	meta:
		name = "StartOfADay"
		size = 60
		refs = "0011 StartOfAMonth 0024 StartOfADay"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B7 C7 89 44 24 08 DB 44 24 08 DE C1 D8 25 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 0C 5F 5E 5B C3 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_63280_0 {
	meta:
		name = "WeekOfTheYear"
		size = 30
		refs = "0011 DecodeDateWeek"
	strings:
		$1 = { 55 8B EC 51 FF 75 0C FF 75 08 8D 4D FC 8D 55 FE E8 ?? ?? ?? ?? 0F B7 45 FE 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63281_0 {
	meta:
		name = "DayOfTheYear"
		size = 37
		refs = "000a StartOfTheYear 000f @TRUNC"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 DD 45 08 E8 ?? ?? ?? ?? 5A 66 2B C2 40 5D C2 08 00 }
	condition:
		$1
}

rule function_63282_0 {
	meta:
		name = "HourOfTheYear"
		size = 48
		refs = "000b HourOf 0018 DayOfTheYear"
	strings:
		$1 = { 55 8B EC 53 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B D8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 48 03 C0 03 C0 03 C0 8D 04 40 66 03 D8 8B C3 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_63294_0 {
	meta:
		name = "HourOfTheWeek"
		size = 48
		refs = "000b HourOf 0018 DayOfTheWeek"
	strings:
		$1 = { 55 8B EC 53 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B D8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 48 03 C0 03 C0 03 C0 8D 04 40 66 03 D8 8B C3 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_63283_0 {
	meta:
		name = "MinuteOfTheYear"
		size = 44
		refs = "000b MinuteOf 0019 HourOfTheYear"
	strings:
		$1 = { 55 8B EC 53 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 0F B7 D8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 0F B7 C0 6B C0 3C 03 D8 8B C3 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_63291_0 {
	meta:
		name = "SecondOfTheMonth"
		size = 44
		refs = "000b SecondOf 0019 MinuteOfTheMonth"
	strings:
		$1 = { 55 8B EC 53 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 0F B7 D8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 0F B7 C0 6B C0 3C 03 D8 8B C3 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_63296_0 {
	meta:
		name = "SecondOfTheWeek"
		size = 44
		refs = "000b SecondOf 0019 MinuteOfTheWeek"
	strings:
		$1 = { 55 8B EC 53 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 0F B7 D8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 0F B7 C0 6B C0 3C 03 D8 8B C3 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_63284_0 {
	meta:
		name = "SecondOfTheYear"
		size = 41
		refs = "000b SecondOf 0019 MinuteOfTheYear"
	strings:
		$1 = { 55 8B EC 53 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 0F B7 D8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 6B C0 3C 03 D8 8B C3 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_63285_0 {
	meta:
		name = "MilliSecondOfTheYear"
		size = 77
		refs = "000d MilliSecondOf 0026 SecondOfTheYear 002d @_llmul"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 0F B7 C0 33 D2 52 50 6A 00 68 E8 03 00 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 03 04 24 13 54 24 04 83 C4 08 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63287_0 {
	meta:
		name = "WeekOfTheMonth"
		size = 31
		refs = "0012 DecodeDateMonthWeek"
	strings:
		$1 = { 55 8B EC 51 FF 75 0C FF 75 08 8D 4D FC 51 8D 4D FE E8 ?? ?? ?? ?? 0F B7 45 FE 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63289_0 {
	meta:
		name = "HourOfTheMonth"
		size = 65
		refs = "000e HourOf 0027 DayOf"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B D8 8B 45 08 89 45 F8 8B 45 0C 89 45 FC FF 75 FC FF 75 F8 E8 ?? ?? ?? ?? 48 03 C0 03 C0 03 C0 8D 04 40 66 03 D8 8B C3 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63290_0 {
	meta:
		name = "MinuteOfTheMonth"
		size = 42
		refs = "000b MinuteOf 0018 HourOfTheMonth"
	strings:
		$1 = { 55 8B EC 53 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B D8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 66 6B C0 3C 66 03 D8 8B C3 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_63295_0 {
	meta:
		name = "MinuteOfTheWeek"
		size = 42
		refs = "000b MinuteOf 0018 HourOfTheWeek"
	strings:
		$1 = { 55 8B EC 53 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B D8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 66 6B C0 3C 66 03 D8 8B C3 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_63292_0 {
	meta:
		name = "MilliSecondOfTheMonth"
		size = 44
		refs = "000b MilliSecondOf 0019 SecondOfTheMonth"
	strings:
		$1 = { 55 8B EC 53 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 0F B7 D8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 69 C0 E8 03 00 00 03 D8 8B C3 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_63297_0 {
	meta:
		name = "MilliSecondOfTheWeek"
		size = 44
		refs = "000b MilliSecondOf 0019 SecondOfTheWeek"
	strings:
		$1 = { 55 8B EC 53 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 0F B7 D8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 69 C0 E8 03 00 00 03 D8 8B C3 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_63293_0 {
	meta:
		name = "DayOfTheWeek"
		size = 41
		refs = "0010 DateTimeToTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 48 B9 07 00 00 00 99 F7 F9 8B C2 40 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63299_0 {
	meta:
		name = "MinuteOfTheDay"
		size = 45
		refs = "001a DecodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8D 45 F8 50 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? 66 6B 45 FE 3C 66 03 45 FC 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63300_0 {
	meta:
		name = "SecondOfTheDay"
		size = 58
		refs = "001a DecodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8D 45 F8 50 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? 0F B7 45 FC 0F B7 55 FE 6B D2 3C 03 C2 6B C0 3C 0F B7 55 FA 03 C2 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63301_0 {
	meta:
		name = "MilliSecondOfTheDay"
		size = 70
		refs = "001a DecodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8D 45 F8 50 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? 0F B7 45 FC 0F B7 55 FE 6B D2 3C 03 C2 6B C0 3C 0F B7 55 FA 03 C2 69 C0 E8 03 00 00 0F B7 55 F8 03 C2 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63303_0 {
	meta:
		name = "SecondOfTheHour"
		size = 45
		refs = "001a DecodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8D 45 F8 50 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? 66 6B 45 FC 3C 66 03 45 FA 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63304_0 {
	meta:
		name = "MilliSecondOfTheHour"
		size = 61
		refs = "001a DecodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8D 45 F8 50 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? 0F B7 45 FA 0F B7 55 FC 6B D2 3C 03 C2 69 C0 E8 03 00 00 0F B7 55 F8 03 C2 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63306_0 {
	meta:
		name = "MilliSecondOfTheMinute"
		size = 52
		refs = "001a DecodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8D 45 F8 50 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? 0F B7 45 F8 0F B7 55 FA 69 D2 E8 03 00 00 03 C2 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63308_0 {
	meta:
		name = "WithinPastYears"
		size = 33
		refs = "0013 YearsBetween"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 3B D8 0F 9D C0 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_63311_0 {
	meta:
		name = "WithinPastDays"
		size = 33
		refs = "0013 DaysBetween"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 3B D8 0F 9D C0 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_63309_0 {
	meta:
		name = "WithinPastMonths"
		size = 33
		refs = "0013 MonthsBetween"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 3B D8 0F 9D C0 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_63310_0 {
	meta:
		name = "WithinPastWeeks"
		size = 33
		refs = "0013 WeeksBetween"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 3B D8 0F 9D C0 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_63312_0 {
	meta:
		name = "WithinPastHours"
		size = 40
		refs = "0010 HoursBetween"
	strings:
		$1 = { 55 8B EC FF 75 1C FF 75 18 FF 75 14 FF 75 10 E8 ?? ?? ?? ?? 3B 55 0C 75 08 3B 45 08 0F 96 C0 EB 03 0F 9E C0 5D C2 18 00 }
	condition:
		$1
}

rule function_63315_0 {
	meta:
		name = "WithinPastMilliSeconds"
		size = 40
		refs = "0010 MilliSecondsBetween"
	strings:
		$1 = { 55 8B EC FF 75 1C FF 75 18 FF 75 14 FF 75 10 E8 ?? ?? ?? ?? 3B 55 0C 75 08 3B 45 08 0F 96 C0 EB 03 0F 9E C0 5D C2 18 00 }
	condition:
		$1
}

rule function_63313_0 {
	meta:
		name = "WithinPastMinutes"
		size = 40
		refs = "0010 MinutesBetween"
	strings:
		$1 = { 55 8B EC FF 75 1C FF 75 18 FF 75 14 FF 75 10 E8 ?? ?? ?? ?? 3B 55 0C 75 08 3B 45 08 0F 96 C0 EB 03 0F 9E C0 5D C2 18 00 }
	condition:
		$1
}

rule function_63314_0 {
	meta:
		name = "WithinPastSeconds"
		size = 40
		refs = "0010 SecondsBetween"
	strings:
		$1 = { 55 8B EC FF 75 1C FF 75 18 FF 75 14 FF 75 10 E8 ?? ?? ?? ?? 3B 55 0C 75 08 3B 45 08 0F 96 C0 EB 03 0F 9E C0 5D C2 18 00 }
	condition:
		$1
}

rule function_63316_0 {
	meta:
		name = "DateTimeToMilliseconds"
		size = 82
		refs = "0010 DateTimeToTimeStamp 002c @_llmul"
	strings:
		$1 = { 55 8B EC 83 C4 F0 FF 75 0C FF 75 08 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 99 89 45 F8 89 55 FC 6A 00 68 00 5C 26 05 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 52 50 8B 45 F0 99 03 04 24 13 54 24 04 83 C4 08 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63317_0 {
	meta:
		name = "YearsBetween"
		size = 80
		refs = "0005 YearsBetween 000b ApproxDaysPerYear 0010 @ROUND 001d DateTimeToMilliseconds 0043 @_lldiv"
	strings:
		$1 = { 55 8B EC D9 05 ?? ?? ?? ?? DC 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 52 50 FF 75 14 FF 75 10 E8 ?? ?? ?? ?? 52 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 85 D2 7D 07 F7 D8 83 D2 00 F7 DA E8 ?? ?? ?? ?? 5D C2 10 00 00 80 CB A4 4C }
	condition:
		$1
}

rule function_63318_0 {
	meta:
		name = "MonthsBetween"
		size = 80
		refs = "0005 MonthsBetween 000b ApproxDaysPerMonth 0010 @ROUND 001d DateTimeToMilliseconds 0043 @_lldiv"
	strings:
		$1 = { 55 8B EC D9 05 ?? ?? ?? ?? DC 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 52 50 FF 75 14 FF 75 10 E8 ?? ?? ?? ?? 52 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 85 D2 7D 07 F7 D8 83 D2 00 F7 DA E8 ?? ?? ?? ?? 5D C2 10 00 00 80 CB A4 4C }
	condition:
		$1
}

rule function_63319_0 {
	meta:
		name = "WeeksBetween"
		size = 63
		refs = "0011 DateTimeToMilliseconds 0037 @_lldiv"
	strings:
		$1 = { 55 8B EC 6A 00 68 00 84 0C 24 FF 75 14 FF 75 10 E8 ?? ?? ?? ?? 52 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 85 D2 7D 07 F7 D8 83 D2 00 F7 DA E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_63320_0 {
	meta:
		name = "DaysBetween"
		size = 63
		refs = "0011 DateTimeToMilliseconds 0037 @_lldiv"
	strings:
		$1 = { 55 8B EC 6A 00 68 00 5C 26 05 FF 75 14 FF 75 10 E8 ?? ?? ?? ?? 52 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 85 D2 7D 07 F7 D8 83 D2 00 F7 DA E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_63321_0 {
	meta:
		name = "HoursBetween"
		size = 80
		refs = "0014 DateTimeToMilliseconds 003a @_lldiv"
	strings:
		$1 = { 55 8B EC 83 C4 F8 6A 00 68 80 EE 36 00 FF 75 14 FF 75 10 E8 ?? ?? ?? ?? 52 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 85 D2 7D 07 F7 D8 83 D2 00 F7 DA E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_63322_0 {
	meta:
		name = "MinutesBetween"
		size = 80
		refs = "0014 DateTimeToMilliseconds 003a @_lldiv"
	strings:
		$1 = { 55 8B EC 83 C4 F8 6A 00 68 60 EA 00 00 FF 75 14 FF 75 10 E8 ?? ?? ?? ?? 52 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 85 D2 7D 07 F7 D8 83 D2 00 F7 DA E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_63323_0 {
	meta:
		name = "SecondsBetween"
		size = 80
		refs = "0014 DateTimeToMilliseconds 003a @_lldiv"
	strings:
		$1 = { 55 8B EC 83 C4 F8 6A 00 68 E8 03 00 00 FF 75 14 FF 75 10 E8 ?? ?? ?? ?? 52 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 85 D2 7D 07 F7 D8 83 D2 00 F7 DA E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_63324_0 {
	meta:
		name = "MilliSecondsBetween"
		size = 68
		refs = "000d DateTimeToMilliseconds"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 14 FF 75 10 E8 ?? ?? ?? ?? 52 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 85 D2 7D 07 F7 D8 83 D2 00 F7 DA 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_63325_0 {
	meta:
		name = "DateTimeInRange"
		size = 73
	strings:
		$1 = { 55 8B EC 84 C0 74 20 DD 45 10 DC 5D 18 9B DF E0 9E 77 0C DD 45 18 DC 5D 08 9B DF E0 9E 76 04 33 C0 EB 22 B0 01 EB 1E DD 45 10 DC 5D 18 9B DF E0 9E 73 0C DD 45 18 DC 5D 08 9B DF E0 9E 72 04 33 C0 EB 02 B0 01 5D C2 18 00 }
	condition:
		$1
}

rule function_63326_0 {
	meta:
		name = "TimeInRange"
		size = 334
		refs = "0025 Frac"
	strings:
		$1 = { 55 8B EC 83 C4 80 84 C0 0F 84 A1 00 00 00 8B 45 10 89 45 F8 8B 45 14 89 45 FC DD 45 F8 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D F0 9B 8B 45 18 89 45 E8 8B 45 1C 89 45 EC DD 45 E8 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D E0 9B DD 45 F0 DC 5D E0 9B DF E0 9E 77 50 8B 45 18 89 45 D8 8B 45 1C 89 45 DC DD 45 D8 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D D0 9B 8B 45 08 89 45 C8 8B 45 0C 89 45 CC DD 45 C8 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D C0 9B DD 45 D0 DC 5D C0 9B DF E0 9E 0F 96 C0 E9 A0 00 00 00 33 C0 E9 99 00 00 00 8B 45 10 89 45 B8 8B 45 14 89 45 BC DD 45 B8 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D B0 9B 8B 45 18 89 45 A8 8B 45 1C 89 45 AC DD 45 A8 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D A0 9B DD 45 B0 DC 5D A0 9B DF E0 9E 73 4D 8B 45 18 89 45 98 8B 45 1C 89 45 9C DD 45 98 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D 90 9B 8B 45 08 89 45 88 8B 45 0C 89 45 8C DD 45 88 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D 80 9B DD 45 90 DC 5D 80 9B DF E0 9E 0F 92 C0 EB 02 33 C0 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_63327_0 {
	meta:
		name = "DateInRange"
		size = 425
		refs = "0021 @TRUNC"
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 84 C0 0F 84 CD 00 00 00 8B 45 10 89 45 F8 8B 45 14 89 45 FC DD 45 F8 E8 ?? ?? ?? ?? 89 85 78 FF FF FF 89 95 7C FF FF FF DF AD 78 FF FF FF DD 5D F0 9B 8B 45 18 89 45 E8 8B 45 1C 89 45 EC DD 45 E8 E8 ?? ?? ?? ?? 89 85 78 FF FF FF 89 95 7C FF FF FF DF AD 78 FF FF FF DD 5D E0 9B DD 45 F0 DC 5D E0 9B DF E0 9E 77 66 8B 45 18 89 45 D8 8B 45 1C 89 45 DC DD 45 D8 E8 ?? ?? ?? ?? 89 85 78 FF FF FF 89 95 7C FF FF FF DF AD 78 FF FF FF DD 5D D0 9B 8B 45 08 89 45 C8 8B 45 0C 89 45 CC DD 45 C8 E8 ?? ?? ?? ?? 89 85 78 FF FF FF 89 95 7C FF FF FF DF AD 78 FF FF FF DD 5D C0 9B DD 45 D0 DC 5D C0 9B DF E0 9E 0F 96 C0 E9 CC 00 00 00 33 C0 E9 C5 00 00 00 8B 45 10 89 45 B8 8B 45 14 89 45 BC DD 45 B8 E8 ?? ?? ?? ?? 89 85 78 FF FF FF 89 95 7C FF FF FF DF AD 78 FF FF FF DD 5D B0 9B 8B 45 18 89 45 A8 8B 45 1C 89 45 AC DD 45 A8 E8 ?? ?? ?? ?? 89 85 78 FF FF FF 89 95 7C FF FF FF DF AD 78 FF FF FF DD 5D A0 9B DD 45 B0 DC 5D A0 9B DF E0 9E 73 63 8B 45 18 89 45 98 8B 45 1C 89 45 9C DD 45 98 E8 ?? ?? ?? ?? 89 85 78 FF FF FF 89 95 7C FF FF FF DF AD 78 FF FF FF DD 5D 90 9B 8B 45 08 89 45 88 8B 45 0C 89 45 8C DD 45 88 E8 ?? ?? ?? ?? 89 85 78 FF FF FF 89 95 7C FF FF FF DF AD 78 FF FF FF DD 5D 80 9B DD 45 90 DC 5D 80 9B DF E0 9E 0F 92 C0 EB 02 33 C0 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_63328_0 {
	meta:
		name = "SpanOfNowAndThen"
		size = 49
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 10 DC 5D 08 9B DF E0 9E 73 0C DD 45 08 DC 65 10 DD 5D F8 9B EB 0A DD 45 10 DC 65 08 DD 5D F8 9B DD 45 F8 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_63329_0 {
	meta:
		name = "YearSpan"
		size = 42
		refs = "0013 DaySpan 0019 ApproxDaysPerYear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? DC 35 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_63330_0 {
	meta:
		name = "MonthSpan"
		size = 42
		refs = "0013 DaySpan 0019 ApproxDaysPerMonth"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? DC 35 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_63331_0 {
	meta:
		name = "WeekSpan"
		size = 48
		refs = "0013 DaySpan 0019 WeekSpan"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 10 00 00 00 00 00 E0 40 }
	condition:
		$1
}

rule function_63332_0 {
	meta:
		name = "DaySpan"
		size = 36
		refs = "0013 SpanOfNowAndThen"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_63333_0 {
	meta:
		name = "HourSpan"
		size = 48
		refs = "0013 SpanOfNowAndThen 0019 HourSpan"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 10 00 00 00 00 00 C0 41 }
	condition:
		$1
}

rule function_63334_0 {
	meta:
		name = "MinuteSpan"
		size = 48
		refs = "0013 SpanOfNowAndThen 0019 MinuteSpan"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 10 00 00 00 00 00 B4 44 }
	condition:
		$1
}

rule function_63335_0 {
	meta:
		name = "SecondSpan"
		size = 48
		refs = "0013 SpanOfNowAndThen 0019 SecondSpan"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 10 00 00 00 00 C0 A8 47 }
	condition:
		$1
}

rule function_63336_0 {
	meta:
		name = "MilliSecondSpan"
		size = 48
		refs = "0013 SpanOfNowAndThen 0019 MilliSecondSpan"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 10 00 00 00 80 CB A4 4C }
	condition:
		$1
}

rule function_63337_0 {
	meta:
		name = "IncYear"
		size = 37
		refs = "0014 IncMonth"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 03 C0 03 C0 8D 04 40 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63338_0 {
	meta:
		name = "IncWeek"
		size = 40
		refs = "0017 IncDay"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8B D0 03 C0 03 C0 03 C0 2B C2 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63339_0 {
	meta:
		name = "IncDay"
		size = 46
		refs = "001d IncHour"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B C8 FF 75 0C FF 75 08 8B C1 03 C0 03 C0 03 C0 8D 04 40 99 52 50 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63340_0 {
	meta:
		name = "IncHour"
		size = 47
		refs = "0017 @_llmul 001e IncMinute"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 14 FF 75 10 6A 00 6A 3C 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_63341_0 {
	meta:
		name = "IncMinute"
		size = 47
		refs = "0017 @_llmul 001e IncSecond"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 14 FF 75 10 6A 00 6A 3C 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_63342_0 {
	meta:
		name = "IncSecond"
		size = 50
		refs = "001a @_llmul 0021 IncMilliSecond"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 14 FF 75 10 6A 00 68 E8 03 00 00 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_63343_0 {
	meta:
		name = "IncMilliSecond"
		size = 79
		refs = "0010 DateTimeToTimeStamp 0018 TimeStampToMSecs 0036 MSecsToTimeStamp 003e TimeStampToDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 E8 FF 75 14 FF 75 10 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? DF 7D E8 9B DF 6D 08 DF 6D E8 DE C1 DF 7D E8 9B FF 75 EC FF 75 E8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_63344_0 {
	meta:
		name = "EncodeDateTime"
		size = 101
		refs = "002e TryEncodeDateTime 0055 InvalidDateTimeError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 0F B7 45 14 50 0F B7 45 10 50 0F B7 45 0C 50 0F B7 45 08 50 8D 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 23 0F B7 45 14 50 0F B7 45 10 50 0F B7 45 0C 50 0F B7 45 08 50 6A 00 6A 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? DD 45 F8 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_63345_0 {
	meta:
		name = "DecodeDateTime"
		size = 48
		refs = "000f DecodeDate 0027 DecodeTime"
	strings:
		$1 = { 55 8B EC 56 8B F0 FF 75 1C FF 75 18 8B C6 E8 ?? ?? ?? ?? FF 75 1C FF 75 18 8B 45 08 50 8B 4D 0C 8B 55 10 8B 45 14 E8 ?? ?? ?? ?? 5E 5D C2 18 00 }
	condition:
		$1
}

rule function_63346_0 {
	meta:
		name = "EncodeDateWeek"
		size = 50
		refs = "0016 TryEncodeDateWeek 0025 InvalidDateWeekError"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 57 8D 4C 24 04 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? DD 04 24 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63347_0 {
	meta:
		name = "DecodeDateWeek"
		size = 268
		refs = "0020 DecodeDateFully 002e CDayMap 0041 EncodeDate 0051 DecodeDateWeek 0056 @TRUNC 0063 DayOfTheWeek"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B D9 89 55 FC 8B F0 FF 75 0C FF 75 08 53 8D 4D F8 8D 55 FA 8B C6 E8 ?? ?? ?? ?? 88 45 EF 0F B7 03 0F B7 04 45 ?? ?? ?? ?? 66 89 03 0F B7 06 66 B9 01 00 66 BA 01 00 E8 ?? ?? ?? ?? DD 5D F0 9B DD 45 08 DC 65 F0 D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 FF 75 F4 FF 75 F0 E8 ?? ?? ?? ?? 8B C8 8B C1 83 C0 FB 66 83 E8 03 73 0E 0F B7 C1 BA 08 00 00 00 2B D0 2B DA EB 06 0F B7 C1 48 03 D8 85 DB 7F 1F DD 45 F0 D8 25 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 54 8B C3 BF 07 00 00 00 99 F7 FF 8B 55 FC 66 89 02 8B C3 BB 07 00 00 00 99 F7 FB 85 D2 74 06 8B 45 FC 66 FF 00 8B 45 FC 66 83 38 34 76 27 8B C1 80 7D EF 00 74 0D 66 83 F8 07 75 06 66 B8 01 00 EB 01 40 48 66 83 E8 03 73 0B 66 FF 06 8B 45 FC 66 C7 00 01 00 5F 5E 5B 8B E5 5D C2 08 00 00 00 80 3F }
	condition:
		$1
}

rule function_63348_0 {
	meta:
		name = "EncodeDateDay"
		size = 41
		refs = "0010 TryEncodeDateDay 001d InvalidDateDayError"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_63349_0 {
	meta:
		name = "DecodeDateDay"
		size = 43
		refs = "0010 YearOf 001e DayOfTheYear"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 66 89 03 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 66 89 06 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_63350_0 {
	meta:
		name = "EncodeDateMonthWeek"
		size = 67
		refs = "001f TryEncodeDateMonthWeek 0033 InvalidDateMonthWeekError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 0F B7 45 08 50 8D 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 0F B7 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? DD 45 F8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_63375_0 {
	meta:
		name = "EncodeDayOfWeekInMonth"
		size = 67
		refs = "001f TryEncodeDayOfWeekInMonth 0033 InvalidDayOfWeekInMonthError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 0F B7 45 08 50 8D 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 0F B7 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? DD 45 F8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_63351_0 {
	meta:
		name = "DecodeDateMonthWeek"
		size = 296
		refs = "0022 DecodeDateFully 002d CDayMap 003f EncodeDate 004e DayOfTheWeek 0080 DecodeDateMonthWeek 00c8 DaysInAMonth"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B DA 8B F0 8B 7D 08 FF 75 10 FF 75 0C 57 8D 4D FA 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B7 07 0F B7 04 45 ?? ?? ?? ?? 66 89 07 0F B7 13 0F B7 06 66 B9 01 00 E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 E8 ?? ?? ?? ?? 8B F8 0F B7 4D FA 8B C7 83 C0 FB 66 83 E8 03 73 0E 0F B7 C7 BA 08 00 00 00 2B D0 2B CA EB 06 0F B7 C7 48 03 C8 85 C9 7F 22 DD 45 F0 D8 25 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 FA 50 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? EB 7C 8B C1 BF 07 00 00 00 99 F7 FF 8B 55 FC 66 89 02 8B C1 B9 07 00 00 00 99 F7 F9 85 D2 74 06 8B 45 FC 66 FF 00 0F B7 13 0F B7 06 E8 ?? ?? ?? ?? 8B F8 0F B7 13 0F B7 06 8B CF E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 8B D0 4A 66 83 EA 03 73 29 0F B7 D7 0F B7 4D FA 2B D1 0F B7 C0 3B D0 7D 19 66 FF 03 66 83 3B 0D 75 08 66 C7 03 01 00 66 FF 06 8B 45 FC 66 C7 00 01 00 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_63352_0 {
	meta:
		name = "TryEncodeDateTime"
		size = 108
		refs = "0014 TryEncodeDate 0034 TryEncodeTime 0042 TryEncodeDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 66 89 4D FE 8B 5D 08 53 0F B7 4D FE E8 ?? ?? ?? ?? 8B D0 84 D2 74 40 0F B7 45 0C 50 8D 45 F0 50 0F B7 4D 10 0F B7 55 14 0F B7 45 18 E8 ?? ?? ?? ?? 8B D0 84 D2 74 20 DD 03 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 0A DD 03 DC 45 F0 DD 1B 9B EB 08 DD 03 DC 65 F0 DD 1B 9B 8B C2 5B 8B E5 5D C2 14 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_63353_0 {
	meta:
		name = "TryEncodeDateWeek"
		size = 143
		refs = "001c IsValidDateWeek 0031 EncodeDate 003e DayOfTheWeek"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 66 89 55 FE 8B F8 0F B7 4D 08 0F B7 55 FE 8B C7 E8 ?? ?? ?? ?? 8B D8 84 DB 74 5E 66 B9 01 00 66 BA 01 00 8B C7 E8 ?? ?? ?? ?? DD 1E 9B FF 76 04 FF 36 E8 ?? ?? ?? ?? 8B F8 0F B7 45 FE 48 8B D0 03 C0 03 C0 03 C0 2B C2 0F B7 55 08 03 C2 48 8B D7 83 C2 FB 66 83 EA 03 73 0E 0F B7 D7 B9 08 00 00 00 2B CA 03 C1 EB 06 0F B7 D7 4A 2B C2 89 45 F8 DB 45 F8 DC 06 DD 1E 9B 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_63354_0 {
	meta:
		name = "TryEncodeDateDay"
		size = 68
		refs = "0010 IsValidDateDay 001d StartOfAYear 002e TryEncodeDateDay"
	strings:
		$1 = { 53 56 57 55 51 8B E9 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 1C 8B C6 E8 ?? ?? ?? ?? 0F B7 C7 89 04 24 DB 04 24 DE C1 D8 25 ?? ?? ?? ?? DD 5D 00 9B 8B C3 5A 5D 5F 5E 5B C3 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_63355_0 {
	meta:
		name = "TryEncodeDateMonthWeek"
		size = 151
		refs = "0026 IsValidDateMonthWeek 003b EncodeDate 0048 DayOfTheWeek"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 66 89 4D FC 66 89 55 FE 8B F8 8B 75 08 0F B7 45 0C 50 0F B7 4D FC 0F B7 55 FE 8B C7 E8 ?? ?? ?? ?? 8B D8 84 DB 74 5C 66 B9 01 00 0F B7 55 FE 8B C7 E8 ?? ?? ?? ?? DD 1E 9B FF 76 04 FF 36 E8 ?? ?? ?? ?? 0F B7 55 FC 4A 8B FA 03 FF 03 FF 03 FF 2B FA 0F B7 55 0C 03 FA 4F 8B D0 83 C2 FB 66 83 EA 03 73 0E 0F B7 C0 BA 08 00 00 00 2B D0 03 FA EB 06 0F B7 C0 48 2B F8 89 7D F8 DB 45 F8 DC 06 DD 1E 9B 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63356_0 {
	meta:
		name = "RecodeYear"
		size = 58
		refs = "0029 RecodeDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 68 FF FF 00 00 68 FF FF 00 00 68 FF FF 00 00 68 FF FF 00 00 66 B9 FF FF 66 BA FF FF E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63357_0 {
	meta:
		name = "RecodeMonth"
		size = 60
		refs = "002b RecodeDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 68 FF FF 00 00 68 FF FF 00 00 68 FF FF 00 00 68 FF FF 00 00 66 B9 FF FF 8B D0 66 B8 FF FF E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63358_0 {
	meta:
		name = "RecodeDay"
		size = 60
		refs = "002b RecodeDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 68 FF FF 00 00 68 FF FF 00 00 68 FF FF 00 00 68 FF FF 00 00 8B C8 66 BA FF FF 66 B8 FF FF E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63359_0 {
	meta:
		name = "RecodeHour"
		size = 58
		refs = "0029 RecodeDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 50 68 FF FF 00 00 68 FF FF 00 00 68 FF FF 00 00 66 B9 FF FF 66 BA FF FF 66 B8 FF FF E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63360_0 {
	meta:
		name = "RecodeMinute"
		size = 58
		refs = "0029 RecodeDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 68 FF FF 00 00 50 68 FF FF 00 00 68 FF FF 00 00 66 B9 FF FF 66 BA FF FF 66 B8 FF FF E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63361_0 {
	meta:
		name = "RecodeSecond"
		size = 58
		refs = "0029 RecodeDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 68 FF FF 00 00 68 FF FF 00 00 50 68 FF FF 00 00 66 B9 FF FF 66 BA FF FF 66 B8 FF FF E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63362_0 {
	meta:
		name = "RecodeMilliSecond"
		size = 58
		refs = "0029 RecodeDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 68 FF FF 00 00 68 FF FF 00 00 68 FF FF 00 00 50 66 B9 FF FF 66 BA FF FF 66 B8 FF FF E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63363_0 {
	meta:
		name = "RecodeDate"
		size = 56
		refs = "0026 RecodeDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 8B F0 FF 75 0C FF 75 08 68 FF FF 00 00 68 FF FF 00 00 68 FF FF 00 00 68 FF FF 00 00 8B C6 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 5E 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63364_0 {
	meta:
		name = "RecodeTime"
		size = 54
		refs = "0024 RecodeDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 8B F0 FF 75 10 FF 75 0C 56 52 51 0F B7 45 08 50 66 B8 FF FF 66 BA FF FF 66 B9 FF FF E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 5E 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_63365_0 {
	meta:
		name = "RecodeDateTime"
		size = 109
		refs = "0034 TryRecodeDateTime 005d InvalidDateTimeError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 FF 75 1C FF 75 18 0F B7 45 14 50 0F B7 45 10 50 0F B7 45 0C 50 0F B7 45 08 50 8D 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 25 0F B7 45 14 50 0F B7 45 10 50 0F B7 45 0C 50 0F B7 45 08 50 FF 75 1C FF 75 18 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? DD 45 F8 5F 5E 5B 59 59 5D C2 18 00 }
	condition:
		$1
}

rule function_63366_0 {
	meta:
		name = "TryRecodeDateTime"
		size = 198
		refs = "002f DecodeDateTime 00b9 TryEncodeDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 FF 75 20 FF 75 1C 8D 45 F8 50 8D 45 F6 50 8D 45 F4 50 8D 45 F2 50 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? 66 81 FB FF FF 74 04 66 89 5D FE 66 81 FE FF FF 74 04 66 89 75 FC 66 81 FF FF FF 74 04 66 89 7D FA 66 81 7D 18 FF FF 74 08 0F B7 45 18 66 89 45 F8 66 81 7D 14 FF FF 74 08 0F B7 45 14 66 89 45 F6 66 81 7D 10 FF FF 74 08 0F B7 45 10 66 89 45 F4 66 81 7D 0C FF FF 74 08 0F B7 45 0C 66 89 45 F2 0F B7 45 F8 50 0F B7 45 F6 50 0F B7 45 F4 50 0F B7 45 F2 50 8B 45 08 50 0F B7 4D FA 0F B7 55 FC 0F B7 45 FE E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule function_63367_0 {
	meta:
		name = "CompareDateTime"
		size = 91
		refs = "0010 SameDate 0025 CompareTime 0038 SameDateTime"
	strings:
		$1 = { 55 8B EC FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 84 C0 74 13 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? EB 2C FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 13 DD 45 10 DC 5D 08 9B DF E0 9E 73 05 83 C8 FF EB 02 B0 01 5D C2 10 00 }
	condition:
		$1
}

rule function_63368_0 {
	meta:
		name = "SameDateTime"
		size = 62
		refs = "0010 DateTimeToTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 F0 FF 75 14 FF 75 10 8D 45 F8 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F4 75 08 8B 45 F8 3B 45 F0 74 04 33 C0 EB 02 B0 01 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_63369_0 {
	meta:
		name = "CompareDate"
		size = 61
		refs = "0007 @TRUNC"
	strings:
		$1 = { 55 8B EC DD 45 10 E8 ?? ?? ?? ?? 52 50 DD 45 08 E8 ?? ?? ?? ?? 3B 54 24 04 75 03 3B 04 24 5A 58 75 04 33 C0 EB 13 DD 45 10 DC 5D 08 9B DF E0 9E 73 05 83 C8 FF EB 02 B0 01 5D C2 10 00 }
	condition:
		$1
}

rule function_63370_0 {
	meta:
		name = "SameDate"
		size = 40
		refs = "0007 @TRUNC"
	strings:
		$1 = { 55 8B EC DD 45 10 E8 ?? ?? ?? ?? 52 50 DD 45 08 E8 ?? ?? ?? ?? 3B 54 24 04 75 03 3B 04 24 0F 94 C0 83 C4 08 5D C2 10 00 }
	condition:
		$1
}

rule function_63371_0 {
	meta:
		name = "CompareTime"
		size = 93
		refs = "0013 SameTime 002a Frac"
	strings:
		$1 = { 55 8B EC 83 C4 F4 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 38 DD 45 10 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 E1 DB 7D F4 9B DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 E1 DB 6D F4 DE D9 9B DF E0 9E 73 05 83 C8 FF EB 02 B0 01 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_63372_0 {
	meta:
		name = "SameTime"
		size = 51
		refs = "0011 DateTimeToTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 FF 75 14 FF 75 10 8D 45 F8 E8 ?? ?? ?? ?? 8B 5D F8 FF 75 0C FF 75 08 8D 45 F0 E8 ?? ?? ?? ?? 3B 5D F0 0F 94 C0 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_63373_0 {
	meta:
		name = "NthDayOfWeek"
		size = 50
		refs = "0019 DayOf"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 08 89 45 F8 8B 45 0C 89 45 FC FF 75 FC FF 75 F8 E8 ?? ?? ?? ?? 8B C8 0F B7 C1 48 B9 07 00 00 00 99 F7 F9 40 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63374_0 {
	meta:
		name = "DecodeDayOfWeekInMonth"
		size = 61
		refs = "0011 DecodeDate 002d DayOfTheWeek"
	strings:
		$1 = { 55 8B EC 51 56 8B F1 FF 75 10 FF 75 0C 8D 4D FE E8 ?? ?? ?? ?? 0F B7 45 FE 48 B9 07 00 00 00 99 F7 F9 40 66 89 06 FF 75 10 FF 75 0C E8 ?? ?? ?? ?? 8B 55 08 66 89 02 5E 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_63376_0 {
	meta:
		name = "TryEncodeDayOfWeekInMonth"
		size = 124
		refs = "0017 StartOfAMonth 0023 DayOfTheWeek 0070 TryEncodeDate"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FE 8B FA 8B F0 8B 5D 0C 8B D7 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 66 3B D8 72 1A 66 2B D8 43 0F B7 45 FE 48 8B D0 03 C0 03 C0 03 C0 2B C2 66 03 D8 8B C3 EB 1F 66 BA 07 00 66 2B D0 42 66 03 DA 0F B7 45 FE 48 8B D0 03 C0 03 C0 03 C0 2B C2 66 03 D8 8B C3 8B 55 08 52 8B C8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63377_0 {
	meta:
		name = "DateTimeToJulianDate"
		size = 200
		refs = "0019 DecodeDate 0028 Frac 00ae DateTimeToJulianDate"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 FF 75 0C FF 75 08 8D 4D F2 8D 55 F4 8D 45 F6 E8 ?? ?? ?? ?? DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 E1 0F B7 75 F4 8B C6 83 E8 0E B9 0C 00 00 00 99 F7 F9 8B D8 8B C3 0F B7 7D F6 8B D7 81 C2 C0 12 00 00 03 C2 69 C8 B5 05 00 00 85 C9 79 03 83 C1 03 C1 F9 02 8B C3 03 C0 03 C0 8D 04 40 83 EE 02 2B F0 69 C6 6F 01 00 00 BE 0C 00 00 00 99 F7 FE 03 C8 8B C3 81 C7 24 13 00 00 03 C7 BB 64 00 00 00 99 F7 FB 8D 04 40 85 C0 79 03 83 C0 03 C1 F8 02 2B C8 0F B7 45 F2 03 C8 89 4D EC DB 45 EC D8 25 ?? ?? ?? ?? DE C1 DD 5D F8 9B DD 45 F8 5F 5E 5B 8B E5 5D C2 08 00 00 97 FA 46 }
	condition:
		$1
}

rule function_63378_0 {
	meta:
		name = "JulianDateToDateTime"
		size = 137
		refs = "000f JulianDateToDateTime 0023 TryJulianDateToDateTime 0046 SInvalidJulianDate 004b LoadResString 0055 _Dn_EConvertError 005a Exception.CreateFmt 005f @RaiseExcept 0074 @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 33 C0 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 84 C0 75 38 DD 45 08 DB 7D E4 9B 8D 45 E4 89 45 F0 C6 45 F4 03 8D 45 F0 50 6A 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63379_0 {
	meta:
		name = "TryJulianDateToDateTime"
		size = 349
		refs = "0010 @TRUNC 00c3 TryEncodeDate 00dc Frac 00ea MilliSecondOfTheDay 011d @_llmul 0124 IncMinute 0148 IncMilliSecond"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 45 FC DD 45 08 E8 ?? ?? ?? ?? 8B C8 81 C1 DA 0B 01 00 8B C1 03 C0 03 C0 BB B1 3A 02 00 99 F7 FB 8B F8 69 C7 B1 3A 02 00 83 C0 03 85 C0 79 03 83 C0 03 C1 F8 02 2B C8 8D 41 01 69 C0 A0 0F 00 00 BB 09 4B 16 00 99 F7 FB 8B F0 69 C6 B5 05 00 00 85 C0 79 03 83 C0 03 C1 F8 02 2B C8 83 C1 1F 8B C1 C1 E0 04 8D 04 80 BB 8F 09 00 00 99 F7 FB 8B D8 69 C3 8F 09 00 00 51 B9 50 00 00 00 99 F7 F9 59 2B C8 89 4D F8 8B C3 B9 0B 00 00 00 99 F7 F9 8B C8 83 C3 02 8B C1 03 C0 03 C0 8D 04 40 2B D8 83 EF 31 6B C7 64 03 F0 03 CE 8B F1 8B 45 FC 50 0F B7 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 84 81 00 00 00 DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 E1 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 10 89 55 F0 8B 50 04 89 55 F4 C7 45 E8 F4 FF FF FF C7 45 EC FF FF FF FF FF 75 F4 FF 75 F0 6A 00 6A 3C 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 5D E0 9B 8B 45 FC 8B 55 E0 89 10 8B 55 E4 89 50 04 8B 45 FC FF 70 04 FF 30 8B C6 99 52 50 E8 ?? ?? ?? ?? 8B 45 FC DD 18 9B 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63380_0 {
	meta:
		name = "DateTimeToModifiedJulianDate"
		size = 36
		refs = "000d DateTimeToJulianDate 0013 CJDToMJDOffset"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? DC 25 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63381_0 {
	meta:
		name = "ModifiedJulianDateToDateTime"
		size = 40
		refs = "000b CJDToMJDOffset 0017 JulianDateToDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 08 DC 05 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63382_0 {
	meta:
		name = "TryModifiedJulianDateToDateTime"
		size = 28
		refs = "0008 CJDToMJDOffset 0014 TryJulianDateToDateTime"
	strings:
		$1 = { 55 8B EC DD 45 08 DC 05 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_63383_0 {
	meta:
		name = "DateTimeToUnix"
		size = 80
		refs = "0014 SecondsBetween 0023 DateTimeToUnix"
	strings:
		$1 = { 55 8B EC 83 C4 F8 68 40 F8 D8 40 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 13 8B 45 F8 8B 55 FC F7 D8 83 D2 00 F7 DA 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 59 59 5D C2 08 00 00 C2 C7 46 }
	condition:
		$1
}

rule function_63384_0 {
	meta:
		name = "UnixToDateTime"
		size = 86
		refs = "0032 @_llmul 0039 IncMilliSecond"
	strings:
		$1 = { 55 8B EC 83 C4 E0 33 C0 89 45 F0 C7 45 F4 40 F8 D8 40 8B 45 08 89 45 E8 8B 45 0C 89 45 EC FF 75 F4 FF 75 F0 6A 00 68 E8 03 00 00 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 5D E0 9B 8B 45 E0 89 45 F8 8B 45 E4 89 45 FC DD 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63385_0 {
	meta:
		name = "Translate"
		size = 84
		refs = "001b Translate 0028 SMissingDateTimeField 002d LoadResString 0039 IntToStr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B DA 8B F8 66 81 FB FF FF 75 2C 8B 45 08 DD 40 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0E 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 8B D6 0F B7 C7 E8 ?? ?? ?? ?? EB 0A 8B D6 0F B7 C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_63386_0 {
	meta:
		name = "InvalidDateTimeError"
		size = 464
		refs = "0021 InvalidDateTimeError 003b DecodeDate 0053 DecodeTime 0062 Translate 006f CurrencyString 0078 @UStrFromWChar 015e @UStrCatN 0176 SInvalidDateTime 017b LoadResString 0185 _Dn_EConvertError 018a Exception.CreateFmt 018f @RaiseExcept 01a9 @UStrArrayClr 01af @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 45 F2 50 8D 4D F4 8D 55 F6 8D 45 F8 E8 ?? ?? ?? ?? 55 8D 4D E0 8B D3 0F B7 45 FE E8 ?? ?? ?? ?? 59 FF 75 E0 8D 45 DC 8B 15 ?? ?? ?? ?? 0F B7 52 06 E8 ?? ?? ?? ?? FF 75 DC 55 8D 4D D8 8B D6 0F B7 45 FC E8 ?? ?? ?? ?? 59 FF 75 D8 8D 45 D4 8B 15 ?? ?? ?? ?? 0F B7 52 06 E8 ?? ?? ?? ?? FF 75 D4 55 8D 4D D0 8B D7 0F B7 45 FA E8 ?? ?? ?? ?? 59 FF 75 D0 68 ?? ?? ?? ?? 55 8D 4D CC 0F B7 55 1C 0F B7 45 F8 E8 ?? ?? ?? ?? 59 FF 75 CC 8D 45 C8 8B 15 ?? ?? ?? ?? 0F B7 52 08 E8 ?? ?? ?? ?? FF 75 C8 55 8D 4D C4 0F B7 55 18 0F B7 45 F6 E8 ?? ?? ?? ?? 59 FF 75 C4 8D 45 C0 8B 15 ?? ?? ?? ?? 0F B7 52 08 E8 ?? ?? ?? ?? FF 75 C0 55 8D 4D BC 0F B7 55 14 0F B7 45 F4 E8 ?? ?? ?? ?? 59 FF 75 BC 8D 45 B8 8B 15 ?? ?? ?? ?? 0F B7 92 BE 00 00 00 E8 ?? ?? ?? ?? FF 75 B8 55 8D 4D B4 0F B7 55 10 0F B7 45 F2 E8 ?? ?? ?? ?? 59 FF 75 B4 8D 45 E4 BA 0D 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 0E 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 18 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_63387_0 {
	meta:
		name = "InvalidDateWeekError"
		size = 139
		refs = "0018 InvalidDateWeekError 004a SInvalidDateWeek 004f LoadResString 0059 _Dn_EConvertError 005e Exception.CreateFmt 0063 @RaiseExcept 0078 @UStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 C3 89 45 E8 C6 45 EC 00 0F B7 C6 89 45 F0 C6 45 F4 00 0F B7 C7 89 45 F8 C6 45 FC 00 8D 45 E8 50 6A 02 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63388_0 {
	meta:
		name = "InvalidDateDayError"
		size = 125
		refs = "0015 InvalidDateDayError 003d SInvalidDateDay 0042 LoadResString 004c _Dn_EConvertError 0051 Exception.CreateFmt 0056 @RaiseExcept 006b @UStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 C3 89 45 F0 C6 45 F4 00 0F B7 C6 89 45 F8 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63389_0 {
	meta:
		name = "InvalidDateMonthWeekError"
		size = 152
		refs = "0018 InvalidDateMonthWeekError 0055 SInvalidDateMonthWeek 005a LoadResString 0064 _Dn_EConvertError 0069 Exception.CreateFmt 006e @RaiseExcept 0083 @UStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 C3 89 45 E0 C6 45 E4 00 0F B7 C6 89 45 E8 C6 45 EC 00 0F B7 C7 89 45 F0 C6 45 F4 00 0F B7 45 08 89 45 F8 C6 45 FC 00 8D 45 E0 50 6A 03 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_63390_0 {
	meta:
		name = "InvalidDayOfWeekInMonthError"
		size = 152
		refs = "0018 InvalidDayOfWeekInMonthError 0055 SInvalidDayOfWeekInMonth 005a LoadResString 0064 _Dn_EConvertError 0069 Exception.CreateFmt 006e @RaiseExcept 0083 @UStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 C3 89 45 E0 C6 45 E4 00 0F B7 C6 89 45 E8 C6 45 EC 00 0F B7 C7 89 45 F0 C6 45 F4 00 0F B7 45 08 89 45 F8 C6 45 FC 00 8D 45 E0 50 6A 03 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_63400_0 {
	meta:
		name = "TLocalTimeZone.Create"
		size = 112
		refs = "000a @ClassCreate 0017 TObject.Create 0020 TLocalTimeZone.Create 0027 _DV_TObjectDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges> 002c TObjectDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create 0041 @FillChar 004d GetTimeZoneInformation 0058 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 98 01 00 00 8D 46 04 33 C9 BA 94 01 00 00 E8 ?? ?? ?? ?? 8D 86 9C 01 00 00 50 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 02 00 00 00 }
	condition:
		$1
}

rule function_63401_0 {
	meta:
		name = "TLocalTimeZone.TimeZoneChanged"
		size = 66
		refs = "000d GetTimeZoneInformation 001f CompareMem"
	strings:
		$1 = { 53 56 57 81 C4 54 FF FF FF 8B D8 54 E8 ?? ?? ?? ?? 8B D4 8D 83 9C 01 00 00 B9 AC 00 00 00 E8 ?? ?? ?? ?? 34 01 84 C0 74 0F 8B F4 8D BB 9C 01 00 00 B9 2B 00 00 00 F3 A5 81 C4 AC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63402_0 {
	meta:
		name = "TLocalTimeZone.ClearCache"
		size = 52
		refs = "0019 TObject.Free 002d TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Clear"
	strings:
		$1 = { 53 56 8B F0 BB 9E 07 00 00 8D 84 9E 8C E1 FF FF 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 43 81 FB 03 08 00 00 75 E3 8B 86 98 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63403_0 {
	meta:
		name = "TLocalTimeZone.Destroy"
		size = 54
		refs = "0003 @BeforeDestruction 000e TLocalTimeZone.ClearCache 0019 TObject.Free 0024 TObject.Destroy 002f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 98 01 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63404_0 {
	meta:
		name = "TLocalTimeZone.DoGetID"
		size = 27
		refs = "0014 @UStrFromWArray"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8D 93 A0 01 00 00 B9 20 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63405_0 {
	meta:
		name = "TLocalTimeZone.DoGetDisplayName"
		size = 95
		refs = "0015 YearOf 001e TLocalTimeZone.GetCachedChangesForYear 002f TLocalTimeZone.GetType 0047 @UStrAsg"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D8 FF 75 0C FF 75 08 8B D3 8B C6 E8 ?? ?? ?? ?? 3C 01 74 0A 3C 02 0F 94 C0 22 45 FF 74 0C 8B C7 8B 53 2C E8 ?? ?? ?? ?? EB 0A 8B C7 8B 53 28 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63406_0 {
	meta:
		name = "TLocalTimeZone.DoGetOffsetsAndType"
		size = 95
		refs = "0015 YearOf 001e TLocalTimeZone.GetCachedChangesForYear 004e TLocalTimeZone.GetType"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 FF 75 10 FF 75 0C E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 43 20 8B 53 24 2B 43 18 1B 53 1C 8B 4D FC 89 01 89 51 04 8B 43 18 89 07 8B 43 1C 89 47 04 FF 75 10 FF 75 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 08 88 02 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_63407_0 {
	meta:
		name = "TLocalTimeZone.GetCachedChangesForYear"
		size = 228
		refs = "001a TMonitor.Enter 0022 TLocalTimeZone.TimeZoneChanged 002e TLocalTimeZone.ClearCache 0036 TLocalTimeZone.GetCachedChangesForYear 0064 TLocalTimeZone.GetChangesForYear 0090 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TryGetValue 00b4 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Add 00cf TMonitor.Exit 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B DA 89 45 FC 8B 45 FC 8B 80 98 01 00 00 83 CA FF E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 FB 9E 07 72 3A 66 81 FB 02 08 77 33 0F B7 F3 8B 45 FC 83 BC B0 8C E1 FF FF 00 75 14 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 84 B2 8C E1 FF FF 8B 45 FC 8B 84 B0 8C E1 FF FF 89 45 F8 EB 37 8D 4D F8 8B 45 FC 8B 80 98 01 00 00 8B D3 E8 ?? ?? ?? ?? 84 C0 75 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 80 98 01 00 00 8B 4D F8 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 98 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_63408_0 {
	meta:
		name = "GetAbsoluteDateFromRule"
		size = 391
		refs = "0033 CReDoW 0042 EncodeDate 0051 DayOfTheWeek 008a IncHour 0169 MonthOf"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 8B F2 66 89 45 FE 66 85 F6 75 19 66 85 C9 75 14 66 83 7D 10 00 75 0D 33 C0 89 45 F0 89 45 F4 E9 50 01 00 00 0F B7 C1 0F B7 1C 85 ?? ?? ?? ?? 66 B9 01 00 8B D6 0F B7 45 FE E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 E8 ?? ?? ?? ?? 66 3B D8 73 46 8B 55 F0 89 55 E8 8B 55 F4 89 55 EC 0F B7 C0 B9 07 00 00 00 2B C8 0F B7 C3 03 C8 FF 75 EC FF 75 E8 8B C1 03 C0 03 C0 03 C0 8D 04 40 99 52 50 E8 ?? ?? ?? ?? DD 5D E0 9B 8B 45 E0 89 45 F0 8B 45 E4 89 45 F4 EB 42 66 3B D8 76 3D 8B 55 F0 89 55 D8 8B 55 F4 89 55 DC 0F B7 CB 0F B7 C0 2B C8 FF 75 DC FF 75 D8 8B C1 03 C0 03 C0 03 C0 8D 04 40 99 52 50 E8 ?? ?? ?? ?? DD 5D D0 9B 8B 45 D0 89 45 F0 8B 45 D4 89 45 F4 8B 45 F0 89 45 C8 8B 45 F4 89 45 CC 0F B7 45 10 48 8B C8 03 C9 03 C9 03 C9 2B C8 FF 75 CC FF 75 C8 8B C1 03 C0 03 C0 03 C0 8D 04 40 99 52 50 E8 ?? ?? ?? ?? DD 5D C0 9B 8B 45 C0 89 45 F0 8B 45 C4 89 45 F4 EB 3A 8B 45 F0 89 45 B8 8B 45 F4 89 45 BC BB F9 FF FF FF FF 75 BC FF 75 B8 8B C3 03 C0 03 C0 03 C0 8D 04 40 99 52 50 E8 ?? ?? ?? ?? DD 5D B0 9B 8B 45 B0 89 45 F0 8B 45 B4 89 45 F4 FF 75 F4 FF 75 F0 E8 ?? ?? ?? ?? 66 3B F0 72 B6 DD 45 F0 DC 45 08 DD 5D F0 9B DD 45 F0 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_63409_0 {
	meta:
		name = "TLocalTimeZone.GetChangesForYear"
		size = 367
		refs = "0010 _DV_TLocalTimeZone.TYearlyChanges 0015 TObject.Create 0025 @FillChar 0040 TOSVersion.FMajor 0054 TOSVersion.FMinor 0072 TOSVersion.FServicePackMajor 0080 GetTimeZoneInformationForYear 009b GetTimeZoneInformation 00c0 EncodeTime 00d6 GetAbsoluteDateFromRule 014f @UStrFromWArray"
	strings:
		$1 = { 53 56 57 81 C4 54 FF FF FF 8B F2 8B FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C7 33 C9 BA AC 00 00 00 E8 ?? ?? ?? ?? 66 81 FE 41 06 0F 86 2F 01 00 00 66 81 FE 6B 78 0F 87 24 01 00 00 A1 ?? ?? ?? ?? 83 38 06 7F 32 A1 ?? ?? ?? ?? 83 38 06 75 0A A1 ?? ?? ?? ?? 83 38 01 7F 1E A1 ?? ?? ?? ?? 83 38 06 75 25 A1 ?? ?? ?? ?? 83 38 01 75 1B A1 ?? ?? ?? ?? 83 38 01 7C 11 57 6A 00 56 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 EB 02 33 C0 84 C0 74 07 B8 01 00 00 00 EB 06 57 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 BB 00 00 00 85 C0 74 76 0F B7 47 4A 50 6A 00 0F B7 4F 50 0F B7 57 4E 0F B7 47 4C E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 0F B7 4F 48 0F B7 57 46 8B C6 E8 ?? ?? ?? ?? DD 5B 10 9B 0F B7 87 9E 00 00 00 50 6A 00 0F B7 8F A4 00 00 00 0F B7 97 A2 00 00 00 0F B7 87 A0 00 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 0F B7 8F 9C 00 00 00 0F B7 97 9A 00 00 00 8B C6 E8 ?? ?? ?? ?? DD 5B 08 9B 8B 47 54 03 07 6B C0 C4 99 89 43 18 89 53 1C 8B 87 A8 00 00 00 03 07 6B C0 C4 99 89 43 20 89 53 24 8D 43 28 8D 57 04 B9 20 00 00 00 E8 ?? ?? ?? ?? 8D 43 2C 8D 57 58 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B C3 81 C4 AC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63410_0 {
	meta:
		name = "After"
		size = 32
		refs = "0013 CompareDateTime"
	strings:
		$1 = { 55 8B EC 8B 45 10 FF 70 0C FF 70 08 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 84 C0 0F 9D C0 5D C2 08 00 }
	condition:
		$1
}

rule function_63411_0 {
	meta:
		name = "AfterSum"
		size = 96
		refs = "0032 @_llmul 0039 IncMilliSecond 0051 CompareDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 E8 8B 45 10 89 45 F8 8B 45 14 89 45 FC 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 FF 75 FC FF 75 F8 6A 00 68 E8 03 00 00 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 5D E8 9B 8B 45 18 FF 70 0C FF 70 08 FF 75 EC FF 75 E8 E8 ?? ?? ?? ?? 84 C0 0F 9D C0 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_63412_0 {
	meta:
		name = "Before"
		size = 32
		refs = "0013 CompareDateTime"
	strings:
		$1 = { 55 8B EC 8B 45 10 FF 70 0C FF 70 08 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 84 C0 0F 9C C0 5D C2 08 00 }
	condition:
		$1
}

rule function_63413_0 {
	meta:
		name = "BeforeSum"
		size = 96
		refs = "0032 @_llmul 0039 IncMilliSecond 0051 CompareDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 E8 8B 45 10 89 45 F8 8B 45 14 89 45 FC 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 FF 75 FC FF 75 F8 6A 00 68 E8 03 00 00 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 5D E8 9B 8B 45 18 FF 70 0C FF 70 08 FF 75 EC FF 75 E8 E8 ?? ?? ?? ?? 84 C0 0F 9C C0 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_63414_0 {
	meta:
		name = "TLocalTimeZone.GetType"
		size = 395
		refs = "0046 After 005d BeforeSum 0075 Before 0099 AfterSum 011a CompareDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 33 DB 8B 46 20 8B 56 24 2B 46 18 1B 56 1C 89 45 F8 89 55 FC 83 7D FC 00 75 04 83 7D F8 00 0F 84 53 01 00 00 83 7D FC 00 75 08 83 7D F8 00 76 6F EB 02 7E 6B 55 FF 76 0C FF 76 08 E8 ?? ?? ?? ?? 59 84 C0 74 1E 55 FF 76 0C FF 76 08 FF 75 FC FF 75 F8 E8 ?? ?? ?? ?? 59 84 C0 74 07 B3 03 E9 14 01 00 00 55 FF 76 14 FF 76 10 E8 ?? ?? ?? ?? 59 84 C0 0F 84 8B 00 00 00 55 FF 76 14 FF 76 10 8B 45 F8 8B 55 FC F7 D8 83 D2 00 F7 DA 52 50 E8 ?? ?? ?? ?? 59 84 C0 74 6B B3 02 E9 D8 00 00 00 55 FF 76 0C FF 76 08 E8 ?? ?? ?? ?? 59 84 C0 74 1E 55 FF 76 0C FF 76 08 FF 75 FC FF 75 F8 E8 ?? ?? ?? ?? 59 84 C0 74 07 B3 03 E9 A9 00 00 00 55 FF 76 14 FF 76 10 E8 ?? ?? ?? ?? 59 84 C0 74 24 55 FF 76 14 FF 76 10 8B 45 F8 8B 55 FC F7 D8 83 D2 00 F7 DA 52 50 E8 ?? ?? ?? ?? 59 84 C0 74 04 B3 02 EB 74 FF 76 0C FF 76 08 FF 76 14 FF 76 10 E8 ?? ?? ?? ?? 84 C0 7D 26 55 FF 76 0C FF 76 08 E8 ?? ?? ?? ?? 59 84 C0 74 15 55 FF 76 14 FF 76 10 E8 ?? ?? ?? ?? 59 84 C0 74 04 B3 01 EB 39 FF 76 0C FF 76 08 FF 76 14 FF 76 10 E8 ?? ?? ?? ?? 84 C0 7E 24 55 FF 76 0C FF 76 08 E8 ?? ?? ?? ?? 59 84 C0 75 11 55 FF 76 14 FF 76 10 E8 ?? ?? ?? ?? 59 84 C0 74 02 B3 01 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63415_0 {
	meta:
		name = "TTimeZone.ToLocalTime"
		size = 219
		refs = "004c @_llmul 0053 IncMilliSecond"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 8B D8 FF 75 0C FF 75 08 8D 45 E7 50 8D 4D E8 8D 55 F0 8B C3 8B 30 FF 16 8B 45 08 89 45 D8 8B 45 0C 89 45 DC 8B 45 F0 89 45 D0 8B 45 F4 89 45 D4 FF 75 DC FF 75 D8 6A 00 68 E8 03 00 00 8B 45 D0 8B 55 D4 E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 5D C8 9B 8B 45 C8 89 45 F8 8B 45 CC 89 45 FC FF 75 FC FF 75 F8 8D 45 E7 50 8D 4D E8 8D 55 F0 8B C3 8B 18 FF 13 0F B6 45 E7 2C 01 74 04 2C 02 75 47 8B 45 F8 89 45 C0 8B 45 FC 89 45 C4 8B 45 E8 89 45 B8 8B 45 EC 89 45 BC FF 75 C4 FF 75 C0 6A 00 68 E8 03 00 00 8B 45 B8 8B 55 BC E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 5D B0 9B 8B 45 B0 89 45 F8 8B 45 B4 89 45 FC DD 45 F8 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63416_0 {
	meta:
		name = "TTimeZone.ToUniversalTime"
		size = 110
		refs = "000d TTimeZone.GetUtcOffsetInSeconds 004a @_llmul 0051 IncMilliSecond"
	strings:
		$1 = { 55 8B EC 83 C4 D8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 8B 45 08 89 45 E8 8B 45 0C 89 45 EC 8B 45 F0 8B 55 F4 F7 D8 83 D2 00 F7 DA 89 45 E0 89 55 E4 FF 75 EC FF 75 E8 6A 00 68 E8 03 00 00 8B 45 E0 8B 55 E4 E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 5D D8 9B 8B 45 D8 89 45 F8 8B 45 DC 89 45 FC DD 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63419_0 {
	meta:
		name = "TTimeZone.GetAbbreviationForNow"
		size = 32
		refs = "0007 Now 0019 TTimeZone.GetAbbreviation"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63421_0 {
	meta:
		name = "TTimeZone.GetDisplayNameForNow"
		size = 32
		refs = "0007 Now 0019 TTimeZone.GetDisplayName"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63420_0 {
	meta:
		name = "TTimeZone.GetLocalTimeType"
		size = 38
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 FF 75 0C FF 75 08 8D 55 FF 52 8D 4D E8 8D 55 F0 8B 18 FF 13 0F B6 45 FF 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63422_0 {
	meta:
		name = "TTimeZone.GetDisplayName"
		size = 189
		refs = "0019 TTimeZone.GetDisplayName 0055 CurrencyString 005a DateTimeToStr 0070 SLocalTimeInvalid 0077 _DV_ELocalTimeInvalid 007c Exception.CreateResFmt 0081 @RaiseExcept 00a8 @UStrClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 F7 50 8D 4D E0 8D 55 E8 8B C6 8B 38 FF 17 80 7D F7 03 75 46 8B 45 08 89 45 D8 8B 45 0C 89 45 DC FF 75 DC FF 75 D8 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 45 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B 4D F8 8B D3 8B C6 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63423_0 {
	meta:
		name = "TTimeZone.GetAbbreviation"
		size = 372
		refs = "0013 TTimeZone.GetUtcOffsetInSeconds 002d TTimeZone.GetAbbreviation 0032 @UStrAsg 0060 @_lldiv 0078 @_llmod 00d5 Format"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 89 4D FC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 83 7D EC 00 75 18 83 7D E8 00 75 12 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D1 00 00 00 8B 45 E8 8B 55 EC 85 D2 7D 07 F7 D8 83 D2 00 F7 DA 89 45 F0 89 55 F4 6A 00 68 10 0E 00 00 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8B F8 6A 00 6A 3C 6A 00 68 10 0E 00 00 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 7D EC 00 75 08 83 7D E8 00 73 0A EB 02 7D 06 66 BE 2D 00 EB 04 66 BE 2B 00 85 DB 7E 3A 8B 45 FC 50 B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 66 89 75 D0 C6 45 D4 09 89 7D D8 C6 45 DC 00 89 5D E0 C6 45 E4 00 8D 55 C8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 31 8B 45 FC 50 B8 ?? ?? ?? ?? 89 45 B0 C6 45 B4 11 66 89 75 B8 C6 45 BC 09 89 7D C0 C6 45 C4 00 8D 55 B0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 4D 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 25 00 73 00 25 00 73 00 25 00 2E 00 32 00 64 00 3A 00 25 00 2E 00 32 00 64 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 25 00 73 00 25 00 2E 00 32 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_63424_0 {
	meta:
		name = "TTimeZone.GetUtcOffset"
		size = 62
		refs = "001a TTimeZone.GetUtcOffsetInSeconds 0031 TTimeSpan.FromSeconds"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B DA 8B F0 FF 75 0C FF 75 08 8B D3 8B C6 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC DF 6D F8 83 C4 F8 DD 1C 24 9B 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63425_0 {
	meta:
		name = "TTimeZone.GetUtcOffsetInSeconds"
		size = 219
		refs = "0013 TTimeZone.GetUtcOffsetInSeconds 004d CurrencyString 0052 DateTimeToStr 0068 SLocalTimeInvalid 006f _DV_ELocalTimeInvalid 0074 Exception.CreateResFmt 0079 @RaiseExcept 00c1 @UStrClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 33 C9 89 4D FC 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 FF 75 0C FF 75 08 8D 55 DF 52 8D 4D E0 8D 55 E8 8B 30 FF 16 80 7D DF 03 75 48 8B 45 08 89 45 D0 8B 45 0C 89 45 D4 FF 75 D4 FF 75 D0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 45 C8 C6 45 CC 11 8D 45 C8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 31 80 7D DF 01 74 0B 80 7D DF 02 0F 94 C0 84 D8 74 14 8B 45 E8 8B 55 EC 03 45 E0 13 55 E4 89 45 F0 89 55 F4 EB 0C 8B 45 E8 89 45 F0 8B 45 EC 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 55 F4 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63426_0 {
	meta:
		name = "TTimeZone.IsAmbiguousTime"
		size = 41
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 FF 75 0C FF 75 08 8D 55 FF 52 8D 4D E8 8D 55 F0 8B 18 FF 13 80 7D FF 02 0F 94 C0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63427_0 {
	meta:
		name = "TTimeZone.IsDaylightTime"
		size = 62
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B DA FF 75 0C FF 75 08 8D 55 FF 52 8D 4D E8 8D 55 F0 8B 30 FF 16 0F B6 45 FF FE C8 74 06 FE C8 74 06 EB 08 B0 01 EB 06 8B C3 EB 02 33 C0 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63428_0 {
	meta:
		name = "TTimeZone.IsInvalidTime"
		size = 41
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 FF 75 0C FF 75 08 8D 55 FF 52 8D 4D E8 8D 55 F0 8B 18 FF 13 80 7D FF 03 0F 94 C0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63429_0 {
	meta:
		name = "TTimeZone.IsStandardTime"
		size = 64
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B DA FF 75 0C FF 75 08 8D 55 FF 52 8D 4D E8 8D 55 F0 8B 30 FF 16 0F B6 45 FF 2C 01 72 06 FE C8 74 06 EB 0A B0 01 EB 08 8B C3 34 01 EB 02 33 C0 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_63430_0 {
	meta:
		name = "TTimeZone.GetCurrentUtcOffset"
		size = 86
		refs = "000b Now 0022 TTimeZone.GetUtcOffsetInSeconds 003e TTimeSpan.FromSeconds"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F2 8B F8 E8 ?? ?? ?? ?? DD 1C 24 9B 33 DB FF 74 24 04 FF 74 24 04 8B D3 8B C7 E8 ?? ?? ?? ?? 89 44 24 10 89 54 24 14 DF 6C 24 10 83 C4 F8 DD 1C 24 9B 8D 44 24 10 E8 ?? ?? ?? ?? 8B 44 24 08 89 06 8B 44 24 0C 89 46 04 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63433_0 {
	meta:
		name = "TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create"
		size = 7
	strings:
		$1 = { 66 89 10 89 48 04 C3 }
	condition:
		$1
}

rule function_63439_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Rehash"
		size = 285
		refs = "0015 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e6 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.RehashAdd 010a @FinalizeArray 0110 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BE 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 35 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 22 8B 55 FC 8B 54 82 08 52 8B 55 FC 0F B7 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63441_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetBucketIndex"
		size = 126
		refs = "0014 @DynArrayLength"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 4C 24 04 66 89 14 24 8B F0 8B 46 04 E8 ?? ?? ?? ?? 85 C0 75 07 BB 00 00 00 80 EB 53 8B 46 04 E8 ?? ?? ?? ?? 48 23 44 24 04 8B D8 8D 04 5B 8B 56 04 8B 3C 82 83 FF FF 75 04 F7 D3 EB 32 3B 7C 24 04 75 1B 8D 04 5B 8B 56 04 0F B7 54 82 04 0F B7 0C 24 8B 46 0C 8B 38 FF 57 0C 84 C0 75 11 43 8B 46 04 E8 ?? ?? ?? ?? 3B D8 7C C0 33 DB EB BC 8B C3 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63445_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.RehashAdd"
		size = 75
		refs = "001b TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetBucketIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 66 89 4D FA 89 55 FC 8B D8 8B 4D FC 0F B7 55 FA 8B C3 E8 ?? ?? ?? ?? F7 D0 8D 14 40 8B 4B 04 8B 75 FC 89 34 91 8B 4B 04 0F B7 75 FA 66 89 74 91 04 8B 43 04 8B 4D 08 89 4C 90 08 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_63446_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.DoAdd"
		size = 79
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B D8 8B 75 0C 8D 04 49 8B 53 04 8B 7D FC 89 3C 82 8B 53 04 66 89 74 82 04 8B 53 04 8B 4D 08 89 4C 82 08 FF 43 08 33 C9 8B D6 8B C3 8B 30 FF 56 08 33 C9 8B 55 08 8B C3 8B 18 FF 53 0C 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_63448_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.DoRemove"
		size = 258
		refs = "0016 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.GetBucketIndex 0048 @DynArrayLength 007b InCircularRange"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 66 89 55 FE 8B D8 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 0A 33 C0 89 45 F8 E9 CC 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 8B 44 82 08 89 45 F8 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 52 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 0C 76 8B 7B 04 8D 14 82 8B 04 8F 89 02 8B 44 8F 04 89 42 04 8B 44 8F 08 89 42 08 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 8D 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 66 C7 44 82 04 00 00 8B 53 04 33 C9 89 4C 82 08 FF 4B 08 0F B6 4D 08 0F B7 55 FE 8B C3 8B 30 FF 56 08 0F B6 4D 08 8B 55 F8 8B C3 8B 18 FF 53 0C 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_63455_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create"
		size = 176
		refs = "0010 @ClassCreate 0029 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create 0030 TEnumerable<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.GetEnumerator 005a TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.AddOrSetValue 0062 TEnumerator<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.MoveNext 0089 @HandleFinally 0099 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 0F B7 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63456_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create"
		size = 180
		refs = "0010 @ClassCreate 002b TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Create 0032 TEnumerable<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.GetEnumerator 005c TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.AddOrSetValue 0064 TEnumerator<System.DateUtils.TPair<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>>.MoveNext 008b @HandleFinally 009b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8D 75 F0 8B 45 08 50 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8B D6 8B 45 EC 8B 08 FF 11 8B 4E 04 0F B7 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_63461_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Clear"
		size = 208
		refs = "0014 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.Clear 0026 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.SetCapacity 005e @DynArrayLength 00bd @DynArrayClear 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3F 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 27 8D 04 5B 8B 55 FC 0F B7 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 8B 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_63471_0 {
	meta:
		name = "TEnumerable<System.Word>.ToArrayImpl"
		size = 140
		refs = "001a TArray<System.Word> 001f @DynArraySetLength 002b TEnumerable<System.Word>.GetEnumerator 0036 TEnumerable<System.Word>.ToArrayImpl 0059 TEnumerator<System.Word>.MoveNext 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8B 45 F8 8B 10 FF 12 8B F0 8B 45 FC 8B 00 66 89 34 58 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_63480_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TKeyEnumerator.GetCurrent"
		size = 18
	strings:
		$1 = { 8B 50 08 8D 14 52 8B 40 04 8B 40 04 0F B7 44 90 04 C3 }
	condition:
		$1
}

rule function_63499_0 {
	meta:
		name = "TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.TPairEnumerator.GetCurrent"
		size = 42
	strings:
		$1 = { 53 8B 48 08 8D 0C 49 8B 58 04 8B 5B 04 0F B7 4C 8B 04 66 89 0A 8B 48 08 8D 0C 49 8B 40 04 8B 40 04 8B 44 88 08 89 42 04 5B C3 }
	condition:
		$1
}

rule function_63504_0 {
	meta:
		name = "TObjectDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.KeyNotify"
		size = 48
		refs = "0014 TDictionary<System.Word,System.DateUtils.TLocalTimeZone.TYearlyChanges>.KeyNotify 0028 TObject.Free"
	strings:
		$1 = { 53 56 51 8B D9 66 89 14 24 8B F0 8B CB 0F B7 14 24 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0F F6 46 30 01 74 09 8B C4 8B 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_63556_0 {
	meta:
		name = "TEqualityComparer<System.Word>.Default"
		size = 32
		refs = "000a Word 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 02 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_63563_0 {
	meta:
		name = "TList<System.Word>.GetItem"
		size = 40
		refs = "000b SArgumentOutOfRange 0012 _Dn_EArgumentOutOfRangeException 0017 Exception.CreateRes 001c @RaiseExcept"
	strings:
		$1 = { 85 D2 7C 05 3B 50 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 04 0F B7 04 50 C3 }
	condition:
		$1
}

rule function_63564_0 {
	meta:
		name = "TList<System.Word>.SetItem"
		size = 79
		refs = "0012 SArgumentOutOfRange 0019 _Dn_EArgumentOutOfRangeException 001e Exception.CreateRes 0023 @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B F1 8B D8 85 D2 7C 05 3B 53 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 0F B7 3C 50 8B 43 04 66 89 34 50 B1 01 8B D7 8B C3 8B 38 FF 57 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63567_0 {
	meta:
		name = "TList<System.Word>.DoDelete"
		size = 128
		refs = "0013 SArgumentOutOfRange 001a _Dn_EArgumentOutOfRangeException 001f Exception.CreateRes 0024 @RaiseExcept 0057 Move 006c @FillChar"
	strings:
		$1 = { 53 56 57 55 8B D9 8B F8 85 D2 7C 05 3B 57 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 04 0F B7 34 50 8B 47 04 66 C7 04 50 00 00 FF 4F 08 8B 47 08 3B D0 74 2E 2B C2 8B C8 03 C9 8B 47 04 8D 44 50 02 8B 6F 04 8D 54 55 00 E8 ?? ?? ?? ?? 8B 47 04 8B 57 08 8D 04 50 33 C9 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B CB 8B D6 8B C7 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63574_0 {
	meta:
		name = "TList<System.Word>.Add"
		size = 52
		refs = "000e TList<System.Word>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8B 53 04 66 89 34 42 FF 43 08 33 C9 8B D6 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_63578_0 {
	meta:
		name = "TList<System.Word>.Insert"
		size = 126
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Word>.GrowCheck 004f Move 0061 @FillChar"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2A 2B C6 8B C8 03 C9 8B 43 04 8D 54 70 02 8B 43 04 8D 04 70 E8 ?? ?? ?? ?? 8B 43 04 8D 04 70 33 C9 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 66 89 3C 70 FF 43 08 33 C9 8B D7 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63579_0 {
	meta:
		name = "TList<System.Word>.InsertRange"
		size = 233
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Word>.GrowCheck 0075 Move 0089 @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 39 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 51 52 8B 55 FC 8B 52 04 8D 14 5A 2B C3 8B C8 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 58 8B D7 03 D2 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 24 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 3C 4F 0F B7 08 66 89 0F 42 83 C0 02 FF 4D F4 75 E5 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1C 40 89 45 F4 8B 5D F8 33 C9 0F B7 13 8B 45 FC 8B 30 FF 56 08 83 C3 02 FF 4D F4 75 EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_63584_0 {
	meta:
		name = "TList<System.Word>.DeleteRange"
		size = 298
		refs = "0018 TList<System.Word>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Word>.:3 0068 @DynArraySetLength 007d Move 00bd @FillChar 00db @DynArrayLength 0117 @DynArrayClear 011d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 A8 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 8D 04 78 8B CE 03 C9 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 34 8B 53 04 8D 14 7A 52 8D 14 3E 8B 4B 04 8D 14 51 8B C8 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 42 8B D6 03 D2 33 C9 E8 ?? ?? ?? ?? EB 11 8B 43 04 8D 04 78 8B D6 03 D2 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1C 40 89 45 F8 33 F6 8B 45 FC 0F B7 14 70 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_63585_0 {
	meta:
		name = "TList<System.Word>.Extract"
		size = 42
		refs = "0007 TList<System.Word>.IndexOf 0021 TList<System.Word>.DoDelete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 04 33 F6 EB 12 8B 53 04 0F B7 34 42 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_63586_0 {
	meta:
		name = "TList<System.Word>.Exchange"
		size = 35
	strings:
		$1 = { 53 56 57 8B 58 04 0F B7 1C 53 8B 70 04 0F B7 34 4E 8B 78 04 66 89 34 57 8B 40 04 66 89 1C 48 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63587_0 {
	meta:
		name = "TList<System.Word>.Move"
		size = 152
		refs = "001b SArgumentOutOfRange 0022 _Dn_EArgumentOutOfRangeException 0027 Exception.CreateRes 002c @RaiseExcept 005c Move 0088 @FillChar"
	strings:
		$1 = { 53 56 57 55 8B F1 8B D8 3B F2 0F 84 83 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 0F B7 3C 50 8B 43 04 66 C7 04 50 00 00 3B F2 7E 1E 8B 43 04 8D 44 50 02 8B 4B 04 8D 0C 51 8B EE 2B EA 8B D5 03 D2 87 CA E8 ?? ?? ?? ?? EB 18 2B D6 8B CA 03 C9 8B 43 04 8D 04 70 8B 53 04 8D 54 72 02 E8 ?? ?? ?? ?? 8B 43 04 8D 04 70 33 C9 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 66 89 3C 70 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63592_0 {
	meta:
		name = "TList<System.Word>.IndexOf"
		size = 62
	strings:
		$1 = { 53 56 57 55 51 66 89 14 24 8B F0 8B 7E 08 4F 85 FF 7C 22 47 33 DB 8B 46 04 0F B7 14 58 0F B7 0C 24 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 07 43 4F 75 E1 83 C8 FF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63593_0 {
	meta:
		name = "TList<System.Word>.LastIndexOf"
		size = 56
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B 5E 08 4B 83 FB 00 7C 1F 8B 46 04 0F B7 14 58 8B CF 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 09 4B 83 FB FF 75 E1 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63594_0 {
	meta:
		name = "TList<System.Word>.Reverse"
		size = 51
	strings:
		$1 = { 53 56 57 33 D2 8B 48 08 49 3B CA 7E 22 8B 58 04 0F B7 1C 53 8B 70 04 0F B7 34 4E 8B 78 04 66 89 34 57 8B 70 04 66 89 1C 4E 42 49 3B CA 7F DE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63600_0 {
	meta:
		name = "TList<System.Word>.ToArray"
		size = 74
		refs = "0018 TArray<System.Word> 001d @DynArraySetLength 0034 TList<System.Word>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 19 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 66 89 04 5A 43 4F 75 EA 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63664_0 {
	meta:
		name = "TComparer<System.Word>.Default"
		size = 32
		refs = "000a Word 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 02 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_63667_0 {
	meta:
		name = "TArray.BinarySearch<System.Word>"
		size = 183
		refs = "0033 SArgumentOutOfRange 003a _Dn_EArgumentOutOfRangeException 003f Exception.CreateRes 0044 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B 75 08 8B 45 0C 85 C0 7C 1B 3B C1 7E 04 85 F6 7F 13 8D 14 06 4A 3B D1 7F 0B 85 F6 7C 07 8D 14 06 85 D2 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 75 0B 8B 55 14 89 02 C6 45 FB 00 EB 53 C6 45 FB 00 8B D8 03 F0 4E 89 75 F4 3B 5D F4 7F 3D 8B 75 F4 2B F3 D1 EE 03 F3 8B 45 FC 0F B7 14 70 0F B7 4D 18 8B 45 10 8B 38 FF 57 0C 89 45 F0 83 7D F0 00 7D 05 8D 5E 01 EB 0E 4E 89 75 F4 83 7D F0 00 75 04 C6 45 FB 01 3B 5D F4 7E C3 8B 45 14 89 18 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_63677_0 {
	meta:
		name = "TArray.QuickSort<System.Word>"
		size = 215
		refs = "00be TArray.QuickSort<System.Word>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 B0 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E A2 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 0F B7 04 42 66 89 45 F2 EB 01 43 8B 45 F8 0F B7 14 58 0F B7 4D F2 8B 45 10 8B 38 FF 57 0C 85 C0 7C E8 EB 01 4E 8B 45 F8 0F B7 14 70 0F B7 4D F2 8B 45 10 8B 38 FF 57 0C 85 C0 7F E8 3B F3 7C 22 3B F3 74 1C 8B 45 F8 0F B7 04 58 8B 55 F8 0F B7 14 72 8B 4D F8 66 89 14 59 8B 55 F8 66 89 04 72 43 4E 3B F3 7D A5 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 5E FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_63803_0 {
	meta:
		name = "InterlockedAdd"
		size = 11
	strings:
		$1 = { 89 C1 89 D0 F0 0F C1 01 01 D0 C3 }
	condition:
		$1
}

rule function_63804_0 {
	meta:
		name = "InterlockedCompareExchange"
		size = 6
	strings:
		$1 = { 91 F0 0F B1 11 C3 }
	condition:
		$1
}

rule function_63807_0 {
	meta:
		name = "InterlockedExchange"
		size = 11
		altNames = "TInterlocked.Exchange"
	strings:
		$1 = { 89 C1 8B 01 F0 0F B1 11 75 FA C3 }
	condition:
		$1
}

rule function_63809_0 {
	meta:
		name = "InterlockedIncrement"
		size = 11
		refs = "0006 InterlockedAdd"
	strings:
		$1 = { BA 01 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63904_0 {
	meta:
		name = "GetCmdShow"
		size = 41
		refs = "0012 GetStartupInfo"
	strings:
		$1 = { 53 83 C4 BC BB 0A 00 00 00 C7 04 24 44 00 00 00 54 E8 ?? ?? ?? ?? F6 44 24 2C 01 74 05 0F B7 5C 24 30 8B C3 83 C4 44 5B C3 }
	condition:
		$1
}

rule function_63913_0 {
	meta:
		name = "LockCmpxchg"
		size = 5
	strings:
		$1 = { F0 0F B0 11 C3 }
	condition:
		$1
}

rule function_63914_0 {
	meta:
		name = "Move12"
		size = 17
	strings:
		$1 = { 8B 08 89 0A 8B 48 04 8B 40 08 89 4A 04 89 42 08 C3 }
	condition:
		$1
}

rule function_63915_0 {
	meta:
		name = "Move20"
		size = 29
	strings:
		$1 = { 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 48 0C 8B 40 10 89 4A 0C 89 42 10 C3 }
	condition:
		$1
}

rule function_63916_0 {
	meta:
		name = "Move28"
		size = 41
	strings:
		$1 = { 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 48 0C 89 4A 0C 8B 48 10 89 4A 10 8B 48 14 8B 40 18 89 4A 14 89 42 18 C3 }
	condition:
		$1
}

rule function_63917_0 {
	meta:
		name = "Move36"
		size = 29
	strings:
		$1 = { DF 28 DF 68 08 DF 68 10 DF 68 18 8B 48 20 89 4A 20 DF 7A 18 DF 7A 10 DF 7A 08 DF 3A C3 }
	condition:
		$1
}

rule function_63918_0 {
	meta:
		name = "Move44"
		size = 35
	strings:
		$1 = { DF 28 DF 68 08 DF 68 10 DF 68 18 DF 68 20 8B 48 28 89 4A 28 DF 7A 20 DF 7A 18 DF 7A 10 DF 7A 08 DF 3A C3 }
	condition:
		$1
}

rule function_63919_0 {
	meta:
		name = "Move52"
		size = 41
	strings:
		$1 = { DF 28 DF 68 08 DF 68 10 DF 68 18 DF 68 20 DF 68 28 8B 48 30 89 4A 30 DF 7A 28 DF 7A 20 DF 7A 18 DF 7A 10 DF 7A 08 DF 3A C3 }
	condition:
		$1
}

rule function_63920_0 {
	meta:
		name = "Move60"
		size = 47
	strings:
		$1 = { DF 28 DF 68 08 DF 68 10 DF 68 18 DF 68 20 DF 68 28 DF 68 30 8B 48 38 89 4A 38 DF 7A 30 DF 7A 28 DF 7A 20 DF 7A 18 DF 7A 10 DF 7A 08 DF 3A C3 }
	condition:
		$1
}

rule function_63921_0 {
	meta:
		name = "Move68"
		size = 53
	strings:
		$1 = { DF 28 DF 68 08 DF 68 10 DF 68 18 DF 68 20 DF 68 28 DF 68 30 DF 68 38 8B 48 40 89 4A 40 DF 7A 38 DF 7A 30 DF 7A 28 DF 7A 20 DF 7A 18 DF 7A 10 DF 7A 08 DF 3A C3 }
	condition:
		$1
}

rule function_63922_0 {
	meta:
		name = "MoveX16LP"
		size = 45
	strings:
		$1 = { 83 E9 0C 01 C8 01 CA F7 D9 79 13 DF 2C 01 DF 6C 01 08 DF 7C 11 08 DF 3C 11 83 C1 10 78 ED DF 2C 01 DF 3C 11 8B 44 01 08 89 44 11 08 C3 }
	condition:
		$1
}

rule function_63923_0 {
	meta:
		name = "MoveX8LP"
		size = 27
	strings:
		$1 = { 83 E9 04 01 C8 01 CA F7 D9 DF 2C 01 DF 3C 11 83 C1 08 78 F5 8B 04 01 89 04 11 C3 }
	condition:
		$1
}

rule function_63924_0 {
	meta:
		name = "LockAllSmallBlockTypes"
		size = 88
		refs = "0004 NeverSleepOnMMThreadContention 000a IsMultiThread 0017 SmallBlockTypes 0025 Sleep 0030 LockCmpxchg"
	strings:
		$1 = { 53 56 57 BF ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 43 BE 37 00 00 00 BB ?? ?? ?? ?? EB 22 80 3F 00 75 1D 6A 00 E8 ?? ?? ?? ?? 8B CB B2 01 33 C0 E8 ?? ?? ?? ?? 84 C0 74 16 6A 0A E8 ?? ?? ?? ?? 8B CB B2 01 33 C0 E8 ?? ?? ?? ?? 84 C0 75 CF 83 C3 20 4E 75 EB 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63925_0 {
	meta:
		name = "LockMediumBlocks"
		size = 71
		refs = "0002 IsMultiThread 000d NeverSleepOnMMThreadContention 0017 Sleep 001c MediumBlocksLocked 0025 LockCmpxchg"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 00 74 3D EB 29 80 3D ?? ?? ?? ?? 00 75 20 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 33 C0 E8 ?? ?? ?? ?? 84 C0 74 19 6A 0A E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 33 C0 E8 ?? ?? ?? ?? 84 C0 75 C5 C3 }
	condition:
		$1
}

rule function_63931_0 {
	meta:
		name = "LockLargeBlocks"
		size = 71
		refs = "0002 IsMultiThread 000d NeverSleepOnMMThreadContention 0017 Sleep 001c LargeBlocksLocked 0025 LockCmpxchg"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 00 74 3D EB 29 80 3D ?? ?? ?? ?? 00 75 20 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 33 C0 E8 ?? ?? ?? ?? 84 C0 74 19 6A 0A E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 33 C0 E8 ?? ?? ?? ?? 84 C0 75 C5 C3 }
	condition:
		$1
}

rule function_63926_0 {
	meta:
		name = "RemoveMediumFreeBlock"
		size = 62
		refs = "0012 MediumBlockBins 0028 MediumBlockBinBitmaps 0039 MediumBlockBinGroupBitmap"
	strings:
		$1 = { 8B 48 04 8B 10 39 D1 89 11 89 4A 04 74 02 C3 90 81 E9 ?? ?? ?? ?? 89 CA C1 E9 03 0F B6 D6 B8 FE FF FF FF D3 C0 21 04 95 ?? ?? ?? ?? 75 E0 B8 FE FF FF FF 89 D1 D3 C0 21 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63927_0 {
	meta:
		name = "InsertMediumBlockIntoBin"
		size = 96
		refs = "001c MediumBlockBins 004c MediumBlockBinBitmaps 005b MediumBlockBinGroupBitmap"
	strings:
		$1 = { 81 EA 30 0B 00 00 C1 EA 08 81 EA FF 03 00 00 19 C9 21 CA 81 C2 FF 03 00 00 8D 0C D5 ?? ?? ?? ?? 8B 51 04 39 CA 89 08 89 50 04 89 02 89 41 04 74 03 C3 90 90 81 E9 ?? ?? ?? ?? 89 CA C1 E9 03 0F B6 D6 B8 01 00 00 00 D3 E0 09 04 95 ?? ?? ?? ?? B8 01 00 00 00 89 D1 D3 E0 09 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63928_0 {
	meta:
		name = "BinMediumSequentialFeedRemainder"
		size = 107
		refs = "0002 MediumSequentialFeedBytesLeft 000d LastSequentiallyFedMediumBlock 0035 InsertMediumBlockIntoBin 004d RemoveMediumFreeBlock"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 03 C3 90 90 A1 ?? ?? ?? ?? F6 40 FC 01 75 25 83 48 FC 08 8B 15 ?? ?? ?? ?? 29 D0 8D 4A 03 89 48 FC 89 54 02 F8 81 FA 30 0B 00 00 0F 83 ?? ?? ?? ?? C3 90 90 BA F0 FF FF FF 23 50 FC 81 FA 30 0B 00 00 72 12 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? BA F0 FF FF FF 23 50 FC 8B 0D ?? ?? ?? ?? 29 C8 01 CA EB B9 C3 }
	condition:
		$1
}

rule function_63929_0 {
	meta:
		name = "AllocNewSequentialFeedMediumPool"
		size = 119
		refs = "0004 BinMediumSequentialFeedRemainder 0017 VirtualAlloc 0021 MediumBlockPoolsCircularList 0053 MediumSequentialFeedBytesLeft 005c LastSequentiallyFedMediumBlock"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 6A 04 68 00 10 00 00 68 F0 FF 13 00 6A 00 E8 ?? ?? ?? ?? 85 C0 74 4D 8B 15 ?? ?? ?? ?? 8B C8 C7 01 ?? ?? ?? ?? A3 ?? ?? ?? ?? 89 51 04 89 02 8B D1 81 C2 F0 FF 13 00 8B CA 83 E9 04 C7 01 02 00 00 00 B9 E0 FF 13 00 2B CB 89 0D ?? ?? ?? ?? 2B D3 8B C2 A3 ?? ?? ?? ?? 83 CB 02 8B D0 83 EA 04 89 1A 5B C3 33 C0 A3 ?? ?? ?? ?? 33 C0 5B C3 }
	condition:
		$1
}

rule function_63930_0 {
	meta:
		name = "FreeMediumBlockPool"
		size = 24
		refs = "0013 VirtualFree"
	strings:
		$1 = { 8B 10 8B 48 04 89 4A 04 89 11 68 00 80 00 00 6A 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63932_0 {
	meta:
		name = "AllocateLargeBlock"
		size = 98
		refs = "0021 VirtualAlloc 0037 LockLargeBlocks 003c LargeBlocksCircularList 0053 LargeBlocksLocked"
	strings:
		$1 = { 53 56 57 55 8B E8 8D B5 10 00 01 00 4E 83 C6 04 81 E6 00 00 FF FF 6A 04 68 00 10 10 00 56 6A 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 30 8B FB 89 6F 08 83 CE 04 89 77 0C E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 07 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? 89 47 04 89 18 C6 05 ?? ?? ?? ?? 00 83 C3 10 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63933_0 {
	meta:
		name = "FreeLargeBlock"
		size = 163
		refs = "000d LockLargeBlocks 0030 VirtualFree 0053 VirtualQuery 0094 LargeBlocksLocked"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 8B F0 83 EE 10 E8 ?? ?? ?? ?? 8B C6 8B 10 89 14 24 8B 50 04 89 54 24 04 8B 50 0C F6 C2 08 75 1A 68 00 80 00 00 6A 00 56 E8 ?? ?? ?? ?? 85 C0 74 04 33 FF EB 3F 83 CF FF EB 3A 8B DE 8B EA 83 E5 F0 33 FF 6A 1C 8D 44 24 0C 50 53 E8 ?? ?? ?? ?? 68 00 80 00 00 6A 00 53 E8 ?? ?? ?? ?? 85 C0 75 05 83 CF FF EB 0E 8B 74 24 14 3B EE 76 06 2B EE 01 F3 EB CF 85 FF 75 13 8B 44 24 04 8B 14 24 89 10 8B 04 24 8B 54 24 04 89 50 04 C6 05 ?? ?? ?? ?? 00 8B C7 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63934_0 {
	meta:
		name = "ReallocateLargeBlock"
		size = 334
		refs = "004f VirtualQuery 0098 VirtualAlloc 00d0 SysGetMem 00f8 MoveX16LP 00ff SysFreeMem 0139 MoveX8LP"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F2 8B F8 8B C7 83 E8 04 8B 00 BB F0 FF FF FF 23 D8 83 EB 14 3B DE 0F 83 E1 00 00 00 8B D3 C1 EA 02 03 D3 3B D6 76 04 8B EA EB 02 8B EE 8B D7 83 EA 10 83 E0 F0 03 D0 89 14 24 6A 1C 8D 44 24 08 50 8B 44 24 08 50 E8 ?? ?? ?? ?? 81 7C 24 14 00 00 01 00 75 70 81 64 24 10 00 00 FF FF 8B D6 2B D3 8B 44 24 10 3B D0 73 5C 8B D5 2B D3 81 C2 00 00 01 00 4A 81 E2 00 00 FF FF 8B DA 3B C3 73 02 8B D8 6A 04 68 00 20 00 00 53 8B 44 24 0C 50 E8 ?? ?? ?? ?? 85 C0 74 2D 6A 04 68 00 10 00 00 53 8B 44 24 0C 50 E8 ?? ?? ?? ?? 85 C0 74 17 8B C7 83 E8 10 89 70 08 8B D0 03 5A 0C 83 CB 08 89 5A 0C 8B DF EB 77 8B C5 E8 ?? ?? ?? ?? 8B D8 85 DB 74 6A 81 FD 2C 0A 04 00 76 08 8B C3 83 E8 10 89 70 08 8B C7 83 E8 10 8B 40 08 8B D3 8B CF 91 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 3F D1 EB 3B F3 72 0A 8B DF 83 EF 10 89 77 08 EB 2F 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 22 81 FE 2C 0A 04 00 76 08 8B C7 83 E8 10 89 70 08 8B D3 8B C7 8B CE E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C3 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63935_0 {
	meta:
		name = "SysGetMem"
		size = 900
		refs = "000e IsMultiThread 001d AllocSize2SmallBlockTypeIndX4 0024 SmallBlockTypes 00ae NeverSleepOnMMThreadContention 00b8 Sleep 00e8 MediumBlocksLocked 011e MediumBlockBinGroupBitmap 0131 MediumBlockBinBitmaps 013e MediumBlockBins 018e InsertMediumBlockIntoBin 019a MediumSequentialFeedBytesLeft 01a4 LastSequentiallyFedMediumBlock 01cf AllocNewSequentialFeedMediumPool 037d AllocateLargeBlock"
	strings:
		$1 = { 8D 50 03 C1 EA 03 3D 2C 0A 00 00 53 8A 0D ?? ?? ?? ?? 0F 87 48 02 00 00 84 C9 0F B6 82 ?? ?? ?? ?? 8D 1C C5 ?? ?? ?? ?? 75 56 8B 53 08 8B 42 10 B9 F8 FF FF FF 39 DA 74 17 83 42 14 01 23 48 FC 89 4A 10 89 50 FC 74 28 C6 03 00 5B C3 90 90 90 8B 53 18 0F B7 4B 02 01 C1 3B 43 14 77 76 83 42 14 01 89 4B 10 C6 03 00 89 50 FC 5B C3 90 90 90 8B 4A 08 89 59 0C 89 4B 08 C6 03 00 5B C3 90 90 B8 00 01 00 00 F0 0F B0 23 74 9F 83 C3 20 B8 00 01 00 00 F0 0F B0 23 74 91 83 C3 20 B8 00 01 00 00 F0 0F B0 23 74 83 83 EB 40 F3 90 80 3D ?? ?? ?? ?? 00 75 CB 6A 00 E8 ?? ?? ?? ?? B8 00 01 00 00 F0 0F B0 23 0F 84 5F FF FF FF 6A 0A E8 ?? ?? ?? ?? EB AC 56 57 80 3D ?? ?? ?? ?? 00 74 39 B8 00 01 00 00 F0 0F B0 25 ?? ?? ?? ?? 74 2A F3 90 80 3D ?? ?? ?? ?? 00 75 E6 6A 00 E8 ?? ?? ?? ?? B8 00 01 00 00 F0 0F B0 25 ?? ?? ?? ?? 74 09 6A 0A E8 ?? ?? ?? ?? EB C7 0F BE 73 01 23 35 ?? ?? ?? ?? 74 70 0F BC C6 8D 34 C5 00 00 00 00 8B 0C 85 ?? ?? ?? ?? 0F BC C9 8D 0C B1 8D 3C CD ?? ?? ?? ?? 8B 77 04 8B 56 04 89 57 04 89 3A 39 D7 75 17 BA FE FF FF FF D3 C2 21 14 85 ?? ?? ?? ?? 75 07 0F B3 05 ?? ?? ?? ?? BF F0 FF FF FF 23 7E FC 81 FF 60 0A 01 00 72 6C 89 FA 0F B7 7B 06 29 FA 8D 04 37 8D 4A 03 89 48 FC 89 54 02 F8 E8 ?? ?? ?? ?? EB 55 0F B7 4B 04 8B 3D ?? ?? ?? ?? 39 CF 72 26 8B 35 ?? ?? ?? ?? 0F B7 4B 06 8D 91 30 0B 00 00 39 D7 72 02 89 CF 29 FE 29 3D ?? ?? ?? ?? 89 35 ?? ?? ?? ?? EB 21 0F B7 43 06 89 C7 E8 ?? ?? ?? ?? 89 C6 85 C0 75 10 A2 ?? ?? ?? ?? 88 03 5F 5E 5B C3 80 64 37 FC F7 8D 4F 06 89 4E FC 31 C0 A2 ?? ?? ?? ?? 89 1E 89 46 10 C7 46 14 01 00 00 00 89 73 18 8D 46 20 0F B7 4B 02 8D 14 01 89 53 10 01 F7 29 CF 89 7B 14 C6 03 00 89 70 FC 5F 5E 5B C3 90 B8 00 01 00 00 F0 0F B0 25 ?? ?? ?? ?? 74 4B F3 90 80 3D ?? ?? ?? ?? 00 75 E6 6A 00 E8 ?? ?? ?? ?? B8 00 01 00 00 F0 0F B0 25 ?? ?? ?? ?? 74 2A 6A 0A E8 ?? ?? ?? ?? EB C7 90 90 90 3D 2C 0A 04 00 0F 87 0D 01 00 00 8D 98 D3 00 00 00 81 E3 00 FF FF FF 83 C3 30 84 C9 75 A6 8D 93 D0 F4 FF FF 89 D1 C1 EA 0D C1 E9 08 B8 FF FF FF FF D3 E0 23 04 95 ?? ?? ?? ?? 74 0C 83 E1 E0 0F BC C0 09 C1 EB 5E 90 90 B8 FE FF FF FF 89 D1 D3 E0 23 05 ?? ?? ?? ?? 74 17 0F BC D0 8B 04 95 ?? ?? ?? ?? 0F BC C8 89 D0 C1 E0 05 09 C1 EB 35 90 8B 0D ?? ?? ?? ?? 29 D9 72 1A A1 ?? ?? ?? ?? 29 D8 A3 ?? ?? ?? ?? 89 0D ?? ?? ?? ?? 83 CB 02 89 58 FC EB 07 89 D8 E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 5B C3 56 57 8D 3C CD ?? ?? ?? ?? 8B 77 04 8B 46 04 89 47 04 89 38 39 C7 75 17 B8 FE FF FF FF D3 C0 21 04 95 ?? ?? ?? ?? 75 07 0F B3 15 ?? ?? ?? ?? BF F0 FF FF FF 23 7E FC 89 FA 29 DA 74 1F 8D 04 33 8D 4A 03 89 48 FC 89 54 02 F8 81 FA 30 0B 00 00 72 0F E8 ?? ?? ?? ?? EB 08 90 90 90 80 64 37 FC F7 8D 4B 02 89 4E FC C6 05 ?? ?? ?? ?? 00 89 F0 5F 5E 5B C3 5B 85 C0 0F 89 ?? ?? ?? ?? 31 C0 C3 }
	condition:
		$1
}

rule function_63936_0 {
	meta:
		name = "SysFreeMem"
		size = 504
		refs = "000b IsMultiThread 008b NeverSleepOnMMThreadContention 0097 Sleep 00c5 MediumBlocksLocked 013f InsertMediumBlockIntoBin 0161 RemoveMediumFreeBlock 0182 MediumSequentialFeedBytesLeft 01a9 VirtualFree 01bf BinMediumSequentialFeedRemainder 01d6 LastSequentiallyFedMediumBlock 01ee FreeLargeBlock"
	strings:
		$1 = { 8B 50 FC F6 C2 07 89 C1 53 8A 1D ?? ?? ?? ?? 0F 85 E3 00 00 00 84 DB 8B 1A 75 61 83 6A 14 01 8B 42 10 74 2C 85 C0 89 4A 10 8D 40 01 89 41 FC 74 07 31 C0 88 03 5B C3 90 8B 4B 08 89 5A 0C 89 4A 08 89 51 0C 89 53 08 C6 03 00 31 C0 5B C3 90 90 85 C0 74 13 8B 42 0C 8B 4A 08 89 48 08 89 41 0C 31 C0 39 53 18 75 03 89 43 14 88 03 89 D0 8B 52 FC 8A 1D ?? ?? ?? ?? E9 85 00 00 00 B8 00 01 00 00 F0 0F B0 23 74 94 F3 90 80 3D ?? ?? ?? ?? 00 75 EA 51 52 6A 00 E8 ?? ?? ?? ?? 5A 59 B8 00 01 00 00 F0 0F B0 23 0F 84 6F FF FF FF 51 52 6A 0A E8 ?? ?? ?? ?? 5A 59 EB C3 90 90 90 B8 00 01 00 00 F0 0F B0 25 ?? ?? ?? ?? 74 42 F3 90 80 3D ?? ?? ?? ?? 00 75 E6 6A 00 E8 ?? ?? ?? ?? B8 00 01 00 00 F0 0F B0 25 ?? ?? ?? ?? 74 21 6A 0A E8 ?? ?? ?? ?? EB C7 90 90 90 F6 C2 05 0F 85 E7 00 00 00 83 E2 F0 84 DB 89 D3 56 89 C6 75 AF F7 44 33 FC 01 00 00 00 8B 4C 33 FC 75 35 83 C9 08 89 4C 33 FC F6 46 FC 08 75 40 81 FB E0 FF 13 00 74 50 8D 43 03 89 46 FC 89 5C 33 F8 89 F0 89 DA E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 31 C0 5E 5B C3 90 8D 04 33 83 E1 F0 01 CB 81 F9 30 0B 00 00 72 C2 E8 ?? ?? ?? ?? EB BB 90 8B 4E F8 29 CE 01 CB 81 F9 30 0B 00 00 72 B1 89 F0 E8 ?? ?? ?? ?? EB A8 81 3D ?? ?? ?? ?? E0 FF 13 00 75 2C 83 EE 10 8B 06 8B 56 04 89 50 04 89 02 C6 05 ?? ?? ?? ?? 00 68 00 80 00 00 6A 00 56 E8 ?? ?? ?? ?? 83 F8 01 19 C0 5E 5B C3 90 90 90 8D 9E E0 FF 13 00 E8 ?? ?? ?? ?? C7 43 FC 02 00 00 00 C7 05 ?? ?? ?? ?? E0 FF 13 00 89 1D ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 31 C0 5E 5B C3 90 90 5B F6 C2 03 0F 84 ?? ?? ?? ?? B8 FF FF FF FF C3 }
	condition:
		$1
}

rule function_63937_0 {
	meta:
		name = "SysReallocMem"
		size = 790
		refs = "0031 SysGetMem 0042 MoveX8LP 0049 SysFreeMem 00fb IsMultiThread 010b MediumBlocksLocked 0115 NeverSleepOnMMThreadContention 0120 Sleep 0172 RemoveMediumFreeBlock 018e InsertMediumBlockIntoBin 02f5 MoveX16LP 030f ReallocateLargeBlock"
	strings:
		$1 = { 8B 48 FC F6 C1 07 53 56 89 C6 0F 85 88 00 00 00 8B 19 0F B7 4B 02 83 E9 04 39 D1 72 37 8D 1C 95 40 00 00 00 39 CB 72 04 5E 5B C3 90 89 D3 89 D0 E8 ?? ?? ?? ?? 85 C0 74 16 89 D9 89 C2 89 C3 89 F0 E8 ?? ?? ?? ?? 89 F0 E8 ?? ?? ?? ?? 89 D8 5E 5B C3 90 90 8D 4C 09 20 57 89 D7 31 C0 29 D1 83 D0 FF 21 C8 01 D0 E8 ?? ?? ?? ?? 85 C0 74 24 81 FF 2C 0A 04 00 76 03 89 78 F8 0F B7 4B 02 83 E9 04 89 C2 89 C7 89 F0 FF 53 1C 89 F0 E8 ?? ?? ?? ?? 89 F8 5F 5E 5B C3 90 F6 C1 05 0F 85 67 02 00 00 89 CB 83 E1 F0 57 8D 3C 01 83 E9 04 83 E3 0F 39 CA 55 0F 87 0F 01 00 00 8D 2C 12 39 CD 72 08 5D 5F 5E 5B C3 90 90 90 81 FA 2C 0B 00 00 73 15 81 FA CC 02 00 00 0F 82 C4 00 00 00 BA 2C 0B 00 00 39 D1 76 DB 8D AA D3 00 00 00 81 E5 00 FF FF FF 83 C5 30 83 C1 04 29 E9 80 3D ?? ?? ?? ?? 00 74 46 B8 00 01 00 00 F0 0F B0 25 ?? ?? ?? ?? 74 2F F3 90 80 3D ?? ?? ?? ?? 00 75 E6 51 6A 00 E8 ?? ?? ?? ?? 59 B8 00 01 00 00 F0 0F B0 25 ?? ?? ?? ?? 74 0C 51 6A 0A E8 ?? ?? ?? ?? 59 EB C3 90 BB 0F 00 00 00 23 5E FC 09 EB 89 5E FC 89 CB 8B 57 FC F6 C2 01 75 09 83 CA 08 89 57 FC EB 17 90 89 F8 83 E2 F0 01 D3 01 D7 81 FA 30 0B 00 00 72 05 E8 ?? ?? ?? ?? 89 5F F8 8D 43 03 89 44 2E FC 81 FB 30 0B 00 00 72 0A 8D 04 2E 89 DA E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 89 F0 5D 5F 5E 5B C3 89 D7 89 D0 E8 ?? ?? ?? ?? 85 C0 74 16 89 C5 89 C2 89 F0 89 F9 E8 ?? ?? ?? ?? 89 F0 E8 ?? ?? ?? ?? 89 E8 5D 5F 5E 5B C3 8B 47 FC A8 01 0F 84 ED 00 00 00 83 E0 F0 8D 2C 01 39 EA 0F 87 DF 00 00 00 80 3D ?? ?? ?? ?? 00 74 5B B8 00 01 00 00 F0 0F B0 25 ?? ?? ?? ?? 74 33 F3 90 80 3D ?? ?? ?? ?? 00 75 E6 51 52 6A 00 E8 ?? ?? ?? ?? 5A 59 B8 00 01 00 00 F0 0F B0 25 ?? ?? ?? ?? 74 0E 51 52 6A 0A E8 ?? ?? ?? ?? 5A 59 EB BF 90 BB 0F 00 00 00 23 5E FC 8B 47 FC A8 01 74 7E 83 E0 F0 8D 2C 01 39 EA 77 74 3D 30 0B 00 00 72 0B 89 F8 51 52 E8 ?? ?? ?? ?? 5A 59 89 C8 C1 E8 02 01 C8 31 FF 29 D0 83 D7 FF 21 F8 8D 84 02 D3 00 00 00 25 00 FF FF FF 83 C0 30 8D 55 04 29 C2 77 0B 83 24 2E F7 83 C5 04 EB 1E 90 90 89 54 2E FC 8D 7A 03 89 7C 30 FC 89 C5 81 FA 30 0B 00 00 72 07 01 F0 E8 ?? ?? ?? ?? 09 DD 89 6E FC C6 05 ?? ?? ?? ?? 00 89 F0 5D 5F 5E 5B C3 90 90 C6 05 ?? ?? ?? ?? 00 89 C8 C1 E8 02 01 C8 31 FF 29 D0 83 D7 FF 21 F8 01 D0 89 C5 89 CF 52 E8 ?? ?? ?? ?? 5A 85 C0 74 D1 81 FD 2C 0A 04 00 76 03 89 50 F8 89 C5 89 C2 89 F0 89 F9 E8 ?? ?? ?? ?? 89 F0 E8 ?? ?? ?? ?? 89 E8 5D 5F 5E 5B C3 90 5E 5B F6 C1 03 0F 84 ?? ?? ?? ?? 31 C0 C3 }
	condition:
		$1
}

rule function_63938_0 {
	meta:
		name = "SysAllocMem"
		size = 50
		refs = "0008 SysGetMem"
	strings:
		$1 = { 53 8D 58 FF 83 E3 FC E8 ?? ?? ?? ?? 83 F8 01 19 C9 8D 14 03 09 CB 81 FB 2C 0A 04 00 73 12 F7 DB D9 EE DD 14 13 83 C3 08 78 F8 89 0A DD C0 D9 F7 5B C3 }
	condition:
		$1
}

rule function_63939_0 {
	meta:
		name = "NextMediumBlock"
		size = 33
	strings:
		$1 = { 8B C8 8B D1 83 EA 04 8B 12 83 E2 F0 03 D1 8B C2 8B D0 83 EA 04 8B 12 83 E2 F0 85 D2 75 02 33 C0 C3 }
	condition:
		$1
}

rule function_63940_0 {
	meta:
		name = "GetFirstMediumBlockInPool"
		size = 61
		refs = "0002 MediumSequentialFeedBytesLeft 000b LastSequentiallyFedMediumBlock"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 1A 8B 15 ?? ?? ?? ?? 3B D0 72 10 8B D0 81 C2 F0 FF 13 00 3B 15 ?? ?? ?? ?? 73 04 83 C0 10 C3 81 3D ?? ?? ?? ?? E0 FF 13 00 74 07 A1 ?? ?? ?? ?? EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_63941_0 {
	meta:
		name = "GetFirstAndLastSmallBlockInPool"
		size = 58
	strings:
		$1 = { 53 56 8B D8 83 C3 20 89 1A 8B 10 3B 42 18 75 08 8B 5A 10 3B 5A 14 76 19 8B F0 8B DE 83 EB 04 8B 1B 83 E3 F0 03 DE 0F B7 42 02 2B D8 89 19 5E 5B C3 8B 42 10 48 89 01 5E 5B C3 }
	condition:
		$1
}

rule function_63942_0 {
	meta:
		name = "NativeUIntToStrBuf"
		size = 80
		refs = "0041 Move"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B EA 8B D8 33 F6 8B FB B9 0A 00 00 00 8B C3 33 D2 F7 F1 89 C3 8B C3 03 C0 8D 04 80 2B F8 46 8B D7 80 C2 30 B8 14 00 00 00 2B C6 88 14 04 85 DB 75 D4 8B D5 8D 04 04 8B CE E8 ?? ?? ?? ?? 8D 04 2E 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63943_0 {
	meta:
		name = "AppendStringToBuffer"
		size = 22
		refs = "000b Move"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B D3 8B CE E8 ?? ?? ?? ?? 8B C3 03 C6 5E 5B C3 }
	condition:
		$1
}

rule function_63944_0 {
	meta:
		name = "AppendClassNameToBuffer"
		size = 51
		refs = "0013 AppendStringToBuffer 001a UnknownClassNameMsg 001f @PCharLen"
	strings:
		$1 = { 53 8B DA 85 C0 74 12 83 C0 C8 8B 00 0F B6 08 40 8B D3 E8 ?? ?? ?? ?? 5B C3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_63945_0 {
	meta:
		name = "IsValidVMTAddress"
		size = 120
		refs = "003f VirtualQuery"
	strings:
		$1 = { 55 8B EC 53 8B D0 81 FA FF FF 00 00 76 65 F6 C2 03 75 60 8B 55 08 8B 52 E4 8B C8 3B D1 77 0D 8B 5D 08 03 53 F0 83 C1 04 3B D1 73 17 8B 55 08 33 C9 89 4A F0 6A 1C 8B 55 08 83 C2 E4 52 50 E8 ?? ?? ?? ?? 8B 45 08 83 78 F0 04 72 1E 8B 45 08 81 78 F4 00 10 00 00 75 12 8B 45 08 F6 40 F8 F6 74 09 8B 45 08 F6 40 F9 01 74 04 33 C0 EB 07 B0 01 5B 5D C3 33 C0 5B 5D C3 }
	condition:
		$1
}

rule function_63946_0 {
	meta:
		name = "InternalIsValidClass"
		size = 126
		refs = "001c IsValidVMTAddress 0066 InternalIsValidClass"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B D8 81 FF E8 03 00 00 7D 65 8B 45 08 50 8B C3 83 C0 A8 E8 ?? ?? ?? ?? 59 84 C0 74 52 8B 45 08 50 8B C3 83 C0 D0 E8 ?? ?? ?? ?? 59 84 C0 74 3F 8B C3 83 C0 D0 8B 30 8B C3 83 C0 A8 3B 18 75 27 85 F6 74 27 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 59 84 C0 74 13 8B 45 08 50 8D 57 01 8B 06 E8 ?? ?? ?? ?? 59 84 C0 75 04 33 C0 EB 06 B0 01 EB 02 33 C0 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_63947_0 {
	meta:
		name = "GetObjectClass"
		size = 38
		refs = "0014 InternalIsValidClass"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 8B 18 33 C0 89 45 F0 55 33 D2 8B C3 E8 ?? ?? ?? ?? 59 84 C0 75 02 33 DB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63948_0 {
	meta:
		name = "LockExpectedMemoryLeaksList"
		size = 114
		refs = "0002 IsMultiThread 000d NeverSleepOnMMThreadContention 0017 Sleep 001c ExpectedMemoryLeaksListLocked 0025 LockCmpxchg 0048 ExpectedMemoryLeaks 005e VirtualAlloc"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 00 74 3D EB 29 80 3D ?? ?? ?? ?? 00 75 20 6A 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 33 C0 E8 ?? ?? ?? ?? 84 C0 74 19 6A 0A E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 33 C0 E8 ?? ?? ?? ?? 84 C0 75 C5 83 3D ?? ?? ?? ?? 00 75 18 6A 04 68 00 10 00 00 68 00 00 01 00 6A 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_63949_0 {
	meta:
		name = "SysRegisterExpectedMemoryLeak"
		size = 64
		refs = "0004 LockExpectedMemoryLeaksList 000d ExpectedMemoryLeaks 0039 ExpectedMemoryLeaksListLocked"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 84 C0 74 29 A1 ?? ?? ?? ?? 81 38 FE 3F 00 00 7D 1C A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? 89 5C 82 04 A1 ?? ?? ?? ?? FF 00 B0 01 EB 02 33 C0 C6 05 ?? ?? ?? ?? 00 5B C3 }
	condition:
		$1
}

rule function_63950_0 {
	meta:
		name = "SysUnregisterExpectedMemoryLeak"
		size = 86
		refs = "0006 ExpectedMemoryLeaks 0012 LockExpectedMemoryLeaksList 004b ExpectedMemoryLeaksListLocked"
	strings:
		$1 = { 53 56 57 8B F0 BF ?? ?? ?? ?? 33 DB 83 3F 00 74 3F E8 ?? ?? ?? ?? 84 C0 74 36 8B 07 8B 10 4A 85 D2 7C 26 42 33 C0 8B 0F 3B 74 81 04 75 17 8B 17 8B 12 8B 0F 8B 14 91 8B 0F 89 54 81 04 8B 17 FF 0A B3 01 EB 04 40 4A 75 DD C6 05 ?? ?? ?? ?? 00 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63951_0 {
	meta:
		name = "CheckSmallBlockPoolForLeaks"
		size = 442
		refs = "0013 SmallBlockTypes 0031 GetFirstAndLastSmallBlockInPool 004d SysUnregisterExpectedMemoryLeak 0069 GetObjectClass"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 45 FC 8B 45 FC 8B 00 81 E8 ?? ?? ?? ?? C1 E8 05 C1 E0 08 8B 55 08 8D B4 C2 00 48 FE FF 8D 4D DC 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? E9 6D 01 00 00 8B 45 E0 83 E8 04 F6 00 01 0F 85 52 01 00 00 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 85 42 01 00 00 8B 45 08 C6 80 FF 47 FE FF 00 33 DB 8B 45 E0 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 85 F8 00 00 00 8B 45 E0 81 78 04 00 01 00 00 0F 8D 10 01 00 00 8B 45 E0 8B 40 08 89 45 F4 8B 45 E0 0F B7 40 02 89 45 F0 83 7D F0 01 74 0A 83 7D F0 02 0F 85 ED 00 00 00 83 7D F4 00 0F 8E E3 00 00 00 8B 45 FC 8B 00 0F B7 40 02 83 E8 04 83 E8 0C 99 F7 7D F0 3B 45 F4 0F 8E C7 00 00 00 C6 45 E7 01 83 7D F0 01 75 4B 8B 45 E0 83 C0 0C 89 45 EC 8B 45 F4 85 C0 7E 22 89 45 D8 80 7D E7 00 74 08 8B 45 EC 80 38 20 73 04 33 C0 EB 02 B0 01 88 45 E7 FF 45 EC FF 4D D8 75 E1 80 7D E7 00 0F 84 81 00 00 00 8B 45 EC 80 38 00 75 79 BB 01 00 00 00 EB 72 8B 45 E0 83 C0 0C 89 45 E8 8B 45 F4 85 C0 7E 24 89 45 D8 80 7D E7 00 74 09 8B 45 E8 66 83 38 20 73 04 33 C0 EB 02 B0 01 88 45 E7 83 45 E8 02 FF 4D D8 75 DF 80 7D E7 00 74 38 8B 45 E8 66 83 38 00 75 2F BB 02 00 00 00 EB 28 BB 03 00 00 00 3B 3C DE 74 0F 83 3C DE 00 74 09 43 81 FB FF 00 00 00 7E EC 81 FB FF 00 00 00 7F 05 89 3C DE EB 02 33 DB FF 44 DE 04 8B 45 FC 8B 00 0F B7 40 02 01 45 E0 8B 45 E0 3B 45 DC 0F 86 87 FE FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63952_0 {
	meta:
		name = "ScanForMemoryLeaks"
		size = 1024
		refs = "002d @FillChar 0054 MediumBlockPoolsCircularList 0060 GetFirstMediumBlockInPool 0085 CheckSmallBlockPoolForLeaks 00a7 SysUnregisterExpectedMemoryLeak 00d2 NextMediumBlock 00ed LargeBlocksCircularList 015b LeakMessageHeader 0160 @PCharLen 0172 AppendStringToBuffer 0188 SmallBlockTypes 01df SmallLeakDetail 021a NativeUIntToStrBuf 023c BytesMessage 0275 UnknownClassNameMsg 0291 AnsiStringBlockMessage 02ad UnicodeStringBlockMessage 02ce AppendClassNameToBuffer 0303 MinimumBlockAlignment 0363 LargeLeakDetail 03c9 LeakMessageFooter 03e6 LeakMessageTitle 03f5 MessageBoxA"
	strings:
		$1 = { 55 8B EC 50 B8 27 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 81 C4 E0 F7 FF FF 53 56 57 8D 85 00 48 FE FF 33 C9 BA 00 B8 01 00 E8 ?? ?? ?? ?? 8D 85 DC 07 FE FF 33 C9 BA 00 40 00 00 E8 ?? ?? ?? ?? 33 C0 89 85 F8 47 FE FF C6 85 FF 47 FE FF 01 8B 3D ?? ?? ?? ?? E9 82 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 74 72 8B C3 83 E8 04 8B 30 F7 C6 01 00 00 00 75 56 F7 C6 04 00 00 00 74 0B 55 8B C3 E8 ?? ?? ?? ?? 59 EB 43 81 BD F8 47 FE FF 00 10 00 00 7D 37 83 E6 F0 83 EE 04 89 B5 EC 47 FE FF 8B C3 E8 ?? ?? ?? ?? 84 C0 75 20 C6 85 FF 47 FE FF 00 8B 85 F8 47 FE FF 8B 95 EC 47 FE FF 89 94 85 DC 07 FE FF FF 85 F8 47 FE FF 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 8E 8B 7F 04 81 FF ?? ?? ?? ?? 0F 85 72 FF FF FF 8B 1D ?? ?? ?? ?? EB 37 8B C3 83 C0 10 E8 ?? ?? ?? ?? 84 C0 75 26 C6 85 FF 47 FE FF 00 8B 73 0C 83 E6 F0 83 EE 04 83 EE 10 8B 85 F8 47 FE FF 89 B4 85 DC 07 FE FF FF 85 F8 47 FE FF 8B 5B 04 81 FB ?? ?? ?? ?? 74 0C 81 BD F8 47 FE FF 00 10 00 00 7C B5 80 BD FF 47 FE FF 00 0F 85 AE 02 00 00 C6 85 F7 47 FE FF 00 33 C0 89 85 E8 47 FE FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 95 DC 87 FD FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 C7 85 F0 47 FE FF 37 00 00 00 C7 85 E0 47 FE FF ?? ?? ?? ?? 8D 85 FC 4F FE FF 89 85 DC 47 FE FF 8B 85 E0 47 FE FF 0F B7 00 83 E8 04 89 85 E4 47 FE FF C6 85 F6 47 FE FF 00 BF FF 00 00 00 8B 85 DC 47 FE FF 8B F0 8D 85 DB FF FD FF 3B D8 0F 87 2C 01 00 00 83 3E 00 0F 86 16 01 00 00 80 BD F7 47 FE FF 00 75 21 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 C6 85 F7 47 FE FF 01 80 BD F6 47 FE FF 00 75 56 C6 03 0D 43 C6 03 0A 43 8B 85 E8 47 FE FF 40 8B D3 E8 ?? ?? ?? ?? 8B D8 C6 03 20 43 C6 03 2D 43 C6 03 20 43 8B D3 8B 85 E4 47 FE FF E8 ?? ?? ?? ?? 8B D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 C6 85 F6 47 FE FF 01 EB 08 C6 03 2C 43 C6 03 20 43 8B C7 83 E8 01 72 07 74 21 48 74 3A EB 54 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 44 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 28 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 0C 8B 46 FC 8B D3 E8 ?? ?? ?? ?? 8B D8 C6 03 20 43 C6 03 78 43 C6 03 20 43 8B 06 8B D3 E8 ?? ?? ?? ?? 8B D8 4F 83 EE 08 83 FF FF 0F 85 C6 FE FF FF 80 BD F6 47 FE FF 00 75 16 80 3D ?? ?? ?? ?? 00 74 0D 8B 85 E4 47 FE FF 83 C0 04 A8 0F 75 0C 8B 85 E4 47 FE FF 89 85 E8 47 FE FF 81 85 DC 47 FE FF 00 08 00 00 83 85 E0 47 FE FF 20 FF 8D F0 47 FE FF 0F 85 58 FE FF FF 83 BD F8 47 FE FF 00 7E 7F 80 BD F7 47 FE FF 00 74 10 C6 03 0D 43 C6 03 0A 43 C6 03 0D 43 C6 03 0A 43 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B B5 F8 47 FE FF 4E 85 F6 72 41 46 33 FF 8D 85 DC 07 FE FF 89 85 DC 47 FE FF 85 FF 74 08 C6 03 2C 43 C6 03 20 43 8B 85 DC 47 FE FF 8B 00 8B D3 E8 ?? ?? ?? ?? 8B D8 8D 85 DB FF FD FF 3B D8 77 0B 47 83 85 DC 47 FE FF 04 4E 75 CE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 10 20 00 00 A1 ?? ?? ?? ?? 50 8D 85 DC 87 FD FF 50 6A 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_63953_0 {
	meta:
		name = "GetMemoryManagerState"
		size = 330
		refs = "0013 @FillChar 001d SmallBlockTypes 0044 LockAllSmallBlockTypes 0049 LockMediumBlocks 004e MediumBlockPoolsCircularList 0068 GetFirstMediumBlockInPool 00d0 NextMediumBlock 00f3 MediumBlocksLocked 010c LockLargeBlocks 0111 LargeBlocksCircularList 013e LargeBlocksLocked"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F8 8B C7 33 C9 BA 88 03 00 00 E8 ?? ?? ?? ?? B9 37 00 00 00 BA ?? ?? ?? ?? 8B C7 0F B7 1A 89 18 0F B7 1A 83 EB 04 89 58 04 85 DB 7D 05 33 DB 89 58 04 83 C0 10 83 C2 20 49 75 E0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 04 24 E9 89 00 00 00 81 87 78 03 00 00 F0 FF 13 00 8B 04 24 E8 ?? ?? ?? ?? 8B D8 85 DB 74 68 8B C3 83 E8 04 8B 30 F7 C6 01 00 00 00 75 4C BD F0 FF FF FF 23 EE F7 C6 04 00 00 00 74 2E 8B 03 81 E8 ?? ?? ?? ?? C1 E8 05 89 44 24 04 29 AF 78 03 00 00 8B 44 24 04 03 C0 01 6C C7 0C 8B 44 24 04 03 C0 8B 53 14 01 54 C7 08 EB 0F FF 87 70 03 00 00 83 ED 04 01 AF 74 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 98 8B 04 24 8B 40 04 89 04 24 B8 ?? ?? ?? ?? 3B 04 24 0F 85 69 FF FF FF C6 05 ?? ?? ?? ?? 00 B9 37 00 00 00 B8 ?? ?? ?? ?? C6 00 00 83 C0 20 49 75 F7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? EB 1E 8B 50 0C 83 E2 F0 FF 87 7C 03 00 00 01 97 84 03 00 00 8B 50 08 01 97 80 03 00 00 8B 40 04 3D ?? ?? ?? ?? 75 DB C6 05 ?? ?? ?? ?? 00 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63954_0 {
	meta:
		name = "GetMemoryMap"
		size = 244
		refs = "0014 @FillChar 0019 LockMediumBlocks 001f MediumBlockPoolsCircularList 0055 MediumBlocksLocked 005b LockLargeBlocks 0061 LargeBlocksCircularList 00a8 LargeBlocksLocked 00c5 VirtualQuery"
	strings:
		$1 = { 53 56 57 83 C4 DC 89 04 24 8B 04 24 33 C9 BA 00 00 01 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? EB 26 8B F1 C1 EE 10 8B FE 8D 46 13 2B C7 72 15 40 8B 14 24 03 D7 81 FE FF FF 00 00 77 07 C6 02 01 42 48 75 F1 8B 49 04 81 F9 ?? ?? ?? ?? 75 D2 C6 05 ?? ?? ?? ?? 00 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? EB 37 8B F1 C1 EE 10 8B 41 0C 83 E0 F0 89 44 24 04 8B FE 8B 44 24 04 48 C1 E8 10 03 C6 2B C7 72 15 40 8B 14 24 03 D7 81 FE FF FF 00 00 77 07 C6 02 01 42 48 75 F1 8B 49 04 81 F9 ?? ?? ?? ?? 75 C1 C6 05 ?? ?? ?? ?? 00 33 FF 8B 1C 24 80 3B 00 75 2C 6A 1C 8D 44 24 0C 50 8B C7 C1 E0 10 50 E8 ?? ?? ?? ?? 8B 44 24 18 3D 00 10 00 00 75 05 C6 03 03 EB 0A 3D 00 20 00 00 75 03 C6 03 04 47 43 81 FF 00 00 01 00 75 C5 83 C4 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63955_0 {
	meta:
		name = "GetHeapStatus"
		size = 356
		refs = "0013 @FillChar 0018 LockAllSmallBlockTypes 001d LockMediumBlocks 0022 MediumBlockPoolsCircularList 0043 GetFirstMediumBlockInPool 0073 SmallBlockTypes 00d5 NextMediumBlock 00fb MediumSequentialFeedBytesLeft 0104 MediumBlocksLocked 011d LockLargeBlocks 0122 LargeBlocksCircularList 014b LargeBlocksLocked"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F0 8B C6 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 04 24 E9 BE 00 00 00 81 06 00 00 14 00 81 46 08 00 00 14 00 83 46 20 20 8B 04 24 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 92 00 00 00 8B C3 83 E8 04 8B 38 BD F0 FF FF FF 23 EF F7 C7 01 00 00 00 75 68 F7 C7 04 00 00 00 74 54 8B 03 81 E8 ?? ?? ?? ?? C1 E8 05 89 44 24 04 8B 43 14 8B 54 24 04 03 D2 03 D2 0F B7 14 D5 ?? ?? ?? ?? F7 EA 89 44 24 08 8B 43 14 03 C0 03 C0 89 44 24 0C 2B 6C 24 08 83 ED 04 01 6E 14 8B 44 24 0C 83 C0 04 01 46 20 8B 44 24 08 2B 44 24 0C 01 46 0C EB 0F 83 ED 04 01 6E 0C 83 46 20 04 EB 03 01 6E 18 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 6E FF FF FF 8B 04 24 8B 40 04 89 04 24 B8 ?? ?? ?? ?? 3B 04 24 0F 85 34 FF FF FF A1 ?? ?? ?? ?? 01 46 1C C6 05 ?? ?? ?? ?? 00 BA 37 00 00 00 B8 ?? ?? ?? ?? C6 00 00 83 C0 20 4A 75 F7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? EB 1A 8B 50 0C 83 E2 F0 01 16 01 56 08 8B 48 08 01 4E 0C 2B 50 08 01 56 20 8B 40 04 3D ?? ?? ?? ?? 75 DF C6 05 ?? ?? ?? ?? 00 8B 46 14 03 46 18 03 46 1C 89 46 10 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63956_0 {
	meta:
		name = "BuildMappingObjectName"
		size = 51
		refs = "0002 GetCurrentProcessId 001a HexTable 0027 MappingObjectName"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D0 33 C0 8B C8 03 C9 03 C9 8B DA D3 EB 83 E3 0F 0F B6 8B ?? ?? ?? ?? BB 18 00 00 00 2B D8 88 8B ?? ?? ?? ?? 40 83 F8 08 75 D9 5B C3 }
	condition:
		$1
}

rule function_63957_0 {
	meta:
		name = "FindSharedMemoryManager"
		size = 64
		refs = "0003 BuildMappingObjectName 0008 MappingObjectName 0011 OpenFileMappingA 0029 MapViewOfFile 0031 UnmapViewOfFile 0037 CloseHandle"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 04 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 33 F6 EB 1C 6A 00 6A 00 6A 00 6A 04 53 E8 ?? ?? ?? ?? 8B 30 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_63958_0 {
	meta:
		name = "AttemptToUseSharedMemoryManager"
		size = 100
		refs = "0001 IsMemoryManagerSet 000b MappingObjectHandle 0013 MediumBlockPoolsCircularList 0020 LargeBlocksCircularList 002d FindSharedMemoryManager 0036 SetMemoryManager 0048 ShareMMErrorTitle 004e LivePointersErrorMsg 0056 MessageBoxA"
	strings:
		$1 = { E8 ?? ?? ?? ?? 84 C0 75 58 83 3D ?? ?? ?? ?? 00 75 4C B8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 23 B8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 16 E8 ?? ?? ?? ?? 85 C0 74 09 E8 ?? ?? ?? ?? B0 01 EB 25 33 C0 EB 21 68 10 20 00 00 A1 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 33 C0 EB 05 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_63959_0 {
	meta:
		name = "ShareMemoryManager"
		size = 93
		refs = "0001 IsMemoryManagerSet 000b MappingObjectHandle 0013 FindSharedMemoryManager 001c MappingObjectName 002b CreateFileMappingA 0043 MapViewOfFile 0049 ThisMemoryManager 004f UnmapViewOfFile"
	strings:
		$1 = { E8 ?? ?? ?? ?? 84 C0 75 51 83 3D ?? ?? ?? ?? 00 75 48 E8 ?? ?? ?? ?? 85 C0 75 3C 68 ?? ?? ?? ?? 6A 04 6A 00 6A 04 6A 00 6A FF E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 02 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B0 01 EB 05 33 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_63960_0 {
	meta:
		name = "BuildBlockTypeLookupTable"
		size = 66
		refs = "0007 SmallBlockTypes 000d MinimumBlockAlignment 002b AllocSize2SmallBlockTypeIndX4"
	strings:
		$1 = { 56 57 33 C0 33 F6 BA ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 05 F6 02 0F 75 1D 0F B7 3A C1 EF 03 8B CE 03 C9 03 C9 3B F8 76 0B 88 88 ?? ?? ?? ?? 40 3B F8 77 F5 8B C7 46 83 C2 20 83 FE 37 75 CC 5F 5E C3 }
	condition:
		$1
}

rule function_63962_0 {
	meta:
		name = "SetMinimumBlockAlignment"
		size = 19
		refs = "0002 MinimumBlockAlignment 000e BuildBlockTypeLookupTable"
	strings:
		$1 = { 3A 05 ?? ?? ?? ?? 74 0A A2 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63963_0 {
	meta:
		name = "InitializeMemoryManager"
		size = 293
		refs = "0009 SmallBlockTypes 0014 MoveX16LP 00de BuildBlockTypeLookupTable 00e4 MediumBlockPoolsCircularList 00fc MediumBlockBins 010f LargeBlocksCircularList"
	strings:
		$1 = { 53 56 57 BE 37 00 00 00 BB ?? ?? ?? ?? 83 3B 00 75 06 C7 03 ?? ?? ?? ?? 8D 43 E4 89 43 F0 8D 43 E4 89 43 EC 33 C0 89 43 F8 C7 43 F4 01 00 00 00 0F B7 43 E6 03 C0 03 C0 8D 04 40 05 EF 00 00 00 25 00 FF FF FF 83 C0 30 3D 30 0B 00 00 73 05 B8 30 0B 00 00 05 D0 04 00 00 C1 E8 0D 83 F8 07 76 05 B8 07 00 00 00 8B C8 B2 FF D2 E2 88 53 E5 C1 E0 0D 66 05 30 0B 66 89 43 E8 0F B7 7B E6 0F B7 C7 8B C8 C1 E1 04 8D 0C 49 81 C1 EF 00 00 00 81 E1 00 FF FF FF 83 C1 30 81 F9 30 73 00 00 73 05 B9 30 73 00 00 81 F9 30 FF 00 00 76 05 B9 30 FF 00 00 8B C1 83 E8 20 0F B7 D7 8B CA 33 D2 F7 F1 66 F7 EF 66 05 EF 00 66 25 00 FF 66 83 C0 30 66 89 43 EA 83 C3 20 4E 0F 85 30 FF FF FF E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? BE 00 04 00 00 BA ?? ?? ?? ?? 8B C2 89 00 89 40 04 83 C2 08 4E 75 F3 C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63964_0 {
	meta:
		name = "FreeAllMemory"
		size = 175
		refs = "0005 MediumBlockPoolsCircularList 000a LargeBlocksCircularList 001f VirtualFree 002f SmallBlockTypes 005a MediumBlockBins 006e MediumBlockBinGroupBitmap 0073 MediumBlockBinBitmaps 007f @FillChar 0086 MediumSequentialFeedBytesLeft"
	strings:
		$1 = { 53 56 57 55 BE ?? ?? ?? ?? BB ?? ?? ?? ?? 8B 7E 04 EB 12 8B 6F 04 68 00 80 00 00 6A 00 57 E8 ?? ?? ?? ?? 8B FD 3B FE 75 EA BA 37 00 00 00 B8 ?? ?? ?? ?? 8B C8 89 48 0C 8B C8 89 48 08 C7 40 10 01 00 00 00 33 C9 89 48 14 83 C0 20 4A 75 E4 89 36 89 76 04 BA 00 04 00 00 B9 ?? ?? ?? ?? 8B C1 89 00 89 40 04 83 C1 08 4A 75 F3 33 C0 A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? 33 C9 BA 80 00 00 00 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 8B 73 04 EB 12 8B 7E 04 68 00 80 00 00 6A 00 56 E8 ?? ?? ?? ?? 8B F7 3B F3 75 EA 89 1B 89 5B 04 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_63965_0 {
	meta:
		name = "FinalizeMemoryManager"
		size = 81
		refs = "0002 MappingObjectHandle 0010 CloseHandle 001d ReportMemoryLeaksOnShutdown 0025 ScanForMemoryLeaks 002b ExpectedMemoryLeaks 0040 VirtualFree 004c FreeAllMemory"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 12 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 19 68 00 80 00 00 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63966_0 {
	meta:
		name = "AllocMem"
		size = 24
		refs = "0006 MemoryManager 0013 Error"
	strings:
		$1 = { 85 C0 74 0A FF 15 ?? ?? ?? ?? 85 C0 74 02 F3 C3 B0 01 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63967_0 {
	meta:
		name = "RegisterExpectedMemoryLeak"
		size = 27
		refs = "000b MemoryManager"
		altNames = "UnregisterExpectedMemoryLeak"
	strings:
		$1 = { 53 8B D8 85 DB 74 0C 8B C3 FF 15 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_63969_0 {
	meta:
		name = "@GetMem"
		size = 27
		refs = "0006 MemoryManager 0013 Error"
	strings:
		$1 = { 85 C0 7E 13 FF 15 ?? ?? ?? ?? 85 C0 74 02 F3 C3 B0 01 E9 ?? ?? ?? ?? 31 C0 F3 C3 }
	condition:
		$1
}

rule function_63970_0 {
	meta:
		name = "@FreeMem"
		size = 24
		refs = "0006 MemoryManager 0013 Error"
	strings:
		$1 = { 85 C0 74 0A FF 15 ?? ?? ?? ?? 85 C0 75 02 F3 C3 B0 02 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63971_0 {
	meta:
		name = "@ReallocMem"
		size = 77
		refs = "000f MemoryManager 001e Error"
	strings:
		$1 = { 8B 08 85 C9 74 32 85 D2 74 18 50 89 C8 FF 15 ?? ?? ?? ?? 59 09 C0 74 19 89 01 C3 B0 02 E9 ?? ?? ?? ?? 89 10 89 C8 FF 15 ?? ?? ?? ?? 09 C0 75 EB C3 B0 01 E9 ?? ?? ?? ?? 85 D2 74 10 50 89 D0 FF 15 ?? ?? ?? ?? 59 09 C0 74 E7 89 01 C3 }
	condition:
		$1
}

rule function_63972_0 {
	meta:
		name = "DefaultAllocMem"
		size = 33
		refs = "0007 @GetMem 0018 @FillChar"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0B 8B C3 33 C9 8B D6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_68601_0 {
	meta:
		name = "DefaultAllocMem"
		size = 33
		refs = "0007 SysGetMem 0018 @FillChar"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0B 8B C3 33 C9 8B D6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_63974_0 {
	meta:
		name = "GetMemoryManager"
		size = 27
		refs = "0002 MemoryManager"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 89 10 8B 15 ?? ?? ?? ?? 89 50 04 8B 15 ?? ?? ?? ?? 89 50 08 C3 }
	condition:
		$1
}

rule function_63975_0 {
	meta:
		name = "SetMemoryManager"
		size = 43
		refs = "0001 MemoryManager 0018 DefaultAllocMem 001f DefaultRegisterAndUnregisterExpectedMemoryLeak"
	strings:
		$1 = { BA ?? ?? ?? ?? 8B 08 89 0A 8B 48 04 89 4A 04 8B 40 08 89 42 08 C7 42 0C ?? ?? ?? ?? C7 42 10 ?? ?? ?? ?? C7 42 14 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63976_0 {
	meta:
		name = "GetMemoryManager"
		size = 19
		refs = "0005 MemoryManager"
	strings:
		$1 = { 56 57 8B F8 BE ?? ?? ?? ?? B9 06 00 00 00 F3 A5 5F 5E C3 }
	condition:
		$1
}

rule function_100035_0 {
	meta:
		name = "TD2DMatrix3x2FHelper.Identity"
		size = 19
		refs = "0005 Ident"
	strings:
		$1 = { 56 57 8B F8 BE ?? ?? ?? ?? B9 06 00 00 00 F3 A5 5F 5E C3 }
	condition:
		$1
}

rule function_63977_0 {
	meta:
		name = "SetMemoryManager"
		size = 19
		refs = "0005 MemoryManager"
	strings:
		$1 = { 56 57 8B F0 BF ?? ?? ?? ?? B9 06 00 00 00 F3 A5 5F 5E C3 }
	condition:
		$1
}

rule function_63978_0 {
	meta:
		name = "IsMemoryManagerSet"
		size = 70
		refs = "0001 MemoryManager 0006 SysGetMem 000f SysFreeMem 0019 SysReallocMem 0023 SysAllocMem 002d SysRegisterExpectedMemoryLeak 0037 SysUnregisterExpectedMemoryLeak"
	strings:
		$1 = { B8 ?? ?? ?? ?? BA ?? ?? ?? ?? 3B 10 75 35 BA ?? ?? ?? ?? 3B 50 04 75 2B BA ?? ?? ?? ?? 3B 50 08 75 21 BA ?? ?? ?? ?? 3B 50 0C 75 17 BA ?? ?? ?? ?? 3B 50 10 75 0D BA ?? ?? ?? ?? 3B 50 14 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_63979_0 {
	meta:
		name = "ExceptObject"
		size = 32
		refs = "0001 @GetTls 0007 RaiseListPtr"
	strings:
		$1 = { E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 74 0F E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 8B 40 08 C3 33 C0 C3 }
	condition:
		$1
}

rule function_63980_0 {
	meta:
		name = "ExceptAddr"
		size = 32
		refs = "0001 @GetTls 0007 RaiseListPtr"
	strings:
		$1 = { E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 74 0F E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 8B 40 04 C3 33 C0 C3 }
	condition:
		$1
}

rule function_63981_0 {
	meta:
		name = "AcquireExceptionObject"
		size = 49
		refs = "0002 @GetTls 0008 RaiseListPtr 001a ExceptionAcquired"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 85 C0 74 1B 8B 58 08 33 D2 89 50 08 83 3D ?? ?? ?? ?? 00 74 0C 8B C3 FF 15 ?? ?? ?? ?? EB 02 33 DB 8B C3 5B C3 }
	condition:
		$1
}

rule function_63985_0 {
	meta:
		name = "@UnhandledException"
		size = 46
		refs = "0002 ExceptProc 000a ExceptAddr 0010 ExceptObject 0029 RunErrorAt"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 13 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A FF 15 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? 8B D0 B8 E6 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63988_0 {
	meta:
		name = "RunErrorAt"
		size = 12
		refs = "0002 ErrorAddr 0007 @Halt"
	strings:
		$1 = { 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63989_0 {
	meta:
		name = "ErrorAt"
		size = 73
		refs = "000b ErrorProc 0021 @GetTls 0027 InOutRes 0038 reMap 0042 RunErrorAt"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 E3 7F 83 3D ?? ?? ?? ?? 00 74 0A 8B D6 8B C3 FF 15 ?? ?? ?? ?? 84 DB 75 0D E8 ?? ?? ?? ?? 8B 98 ?? ?? ?? ?? EB 0F 80 FB 1B 77 0A 0F B6 C3 0F B6 98 ?? ?? ?? ?? 0F B6 C3 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_63990_0 {
	meta:
		name = "Error"
		size = 22
		refs = "000f ErrorAt"
	strings:
		$1 = { 55 8B EC 51 88 45 FF 8B 55 04 0F B6 45 FF E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_63991_0 {
	meta:
		name = "SetLineBreakStyle"
		size = 39
		refs = "0022 SetInOutRes"
	strings:
		$1 = { 66 81 78 04 B0 D7 75 14 0F B7 48 06 66 81 E1 FE FF 0F B6 D2 66 0B CA 66 89 48 06 C3 B8 6B 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63992_0 {
	meta:
		name = "GetTextCodePage"
		size = 8
	strings:
		$1 = { 0F B7 80 D0 02 00 00 C3 }
	condition:
		$1
}

rule function_63993_0 {
	meta:
		name = "SetTextCodePage"
		size = 8
	strings:
		$1 = { 66 89 90 D0 02 00 00 C3 }
	condition:
		$1
}

rule function_63994_0 {
	meta:
		name = "@_IOTest"
		size = 29
		refs = "0004 @GetTls 000a InOutRes 0018 Error"
	strings:
		$1 = { 50 52 51 E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 59 5A 58 75 01 C3 31 C0 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_63998_0 {
	meta:
		name = "ChDir"
		size = 20
		refs = "0005 SetCurrentDirectory 000e InOutError"
	strings:
		$1 = { 53 8B D8 53 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64015_0 {
	meta:
		name = "RmDir"
		size = 20
		refs = "0005 RemoveDirectory 000e InOutError"
	strings:
		$1 = { 53 8B D8 53 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_63999_0 {
	meta:
		name = "@UGetDir"
		size = 123
		refs = "0038 GetCurrentDirectoryW 003e SetCurrentDirectoryW 006e @UStrFromWArray"
	strings:
		$1 = { 53 56 81 C4 E4 FB FF FF 8B F2 8B D8 84 DB 74 32 0F B6 C3 66 83 C0 41 48 66 89 04 24 66 C7 44 24 02 3A 00 66 C7 44 24 04 00 00 8D 84 24 12 02 00 00 50 68 05 01 00 00 E8 ?? ?? ?? ?? 54 E8 ?? ?? ?? ?? 8D 44 24 08 50 68 05 01 00 00 E8 ?? ?? ?? ?? 84 DB 74 0D 8D 84 24 12 02 00 00 50 E8 ?? ?? ?? ?? 8B C6 8D 54 24 08 B9 05 01 00 00 E8 ?? ?? ?? ?? 81 C4 1C 04 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_64000_0 {
	meta:
		name = "@LGetDir"
		size = 119
		refs = "0032 GetCurrentDirectoryA 0038 SetCurrentDirectoryA 006a @LStrFromArray"
	strings:
		$1 = { 53 56 81 C4 F0 FD FF FF 8B F2 8B D8 84 DB 74 2C 0F B6 C3 83 C0 41 48 88 04 24 C6 44 24 01 3A C6 44 24 02 00 8D 84 24 09 01 00 00 50 68 05 01 00 00 E8 ?? ?? ?? ?? 54 E8 ?? ?? ?? ?? 8D 44 24 04 50 68 05 01 00 00 E8 ?? ?? ?? ?? 84 DB 74 0D 8D 84 24 09 01 00 00 50 E8 ?? ?? ?? ?? 8B C6 8D 54 24 04 B9 05 01 00 00 6A 00 E8 ?? ?? ?? ?? 81 C4 10 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_64001_0 {
	meta:
		name = "@WGetDir"
		size = 122
		refs = "0037 GetCurrentDirectoryW 003d SetCurrentDirectoryW 006d @WStrFromWArray"
	strings:
		$1 = { 53 56 81 C4 E4 FB FF FF 8B F2 8B D8 84 DB 74 31 0F B6 C3 83 C0 41 48 66 89 04 24 66 C7 44 24 02 3A 00 66 C7 44 24 04 00 00 8D 84 24 12 02 00 00 50 68 05 01 00 00 E8 ?? ?? ?? ?? 54 E8 ?? ?? ?? ?? 8D 44 24 08 50 68 05 01 00 00 E8 ?? ?? ?? ?? 84 DB 74 0D 8D 84 24 12 02 00 00 50 E8 ?? ?? ?? ?? 8B C6 8D 54 24 08 B9 05 01 00 00 E8 ?? ?? ?? ?? 81 C4 1C 04 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_64002_0 {
	meta:
		name = "@SGetDir"
		size = 111
		refs = "0018 @SGetDir 0026 @LGetDir 0039 @LStrToString 0048 @PStrNCpy 005d @LStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 33 DB 89 5D FC 8B F1 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC E8 ?? ?? ?? ?? 8D 85 FC FE FF FF 8B 55 FC B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8B C3 8B CE E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64003_0 {
	meta:
		name = "IOResult"
		size = 29
		refs = "0002 @GetTls 0008 InOutRes"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B 98 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_64005_0 {
	meta:
		name = "MkDir"
		size = 22
		refs = "0007 CreateDirectory 0010 InOutError"
	strings:
		$1 = { 53 8B D8 6A 00 53 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64006_0 {
	meta:
		name = "Move"
		size = 253
		refs = "0011 Move"
	strings:
		$1 = { 39 D0 74 31 83 F9 20 77 7C 83 E9 08 7F 07 FF 24 8D ?? ?? ?? ?? DF 2C 01 DF 28 83 F9 08 7E 11 DF 68 08 83 F9 10 7E 06 DF 68 10 DF 7A 10 DF 7A 08 DF 3A DF 3C 11 C3 90 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 52 DF 28 8D 44 01 F8 8D 4C 0A F8 DF 28 51 F7 D9 83 E2 F8 8D 4C 0A 08 5A DF 2C 01 DF 3C 11 83 C1 08 7C F5 DF 3A 5A DF 3A C3 7E 2E 39 D0 77 D1 29 CA 39 D0 8D 14 11 76 C8 83 E9 08 51 DF 2C 01 DF 28 01 D1 83 E1 F8 29 D1 DF 2C 01 DF 3C 11 83 E9 08 7F F5 59 DF 3A DF 3C 11 C3 0F B6 08 88 0A C3 0F B7 08 66 89 0A C3 66 8B 08 8A 40 02 66 89 0A 88 42 02 C3 8B 08 89 0A C3 8B 08 8A 40 04 89 0A 88 42 04 C3 8B 08 66 8B 40 04 89 0A 66 89 42 04 C3 8B 08 8B 40 03 89 0A 89 42 03 C3 DF 28 DF 3A C3 }
	condition:
		$1
}

rule function_64007_0 {
	meta:
		name = "MoveChars"
		size = 8
		refs = "0003 Move"
	strings:
		$1 = { 03 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64008_0 {
	meta:
		name = "GetParamStr"
		size = 185
		refs = "006b @UStrSetLength"
	strings:
		$1 = { 53 56 57 55 8B DA EB 03 83 C0 02 0F B7 10 66 85 D2 74 06 66 83 FA 20 76 EF 66 83 38 22 75 0C 66 83 78 02 22 75 05 83 C0 04 EB E0 33 FF 8B F0 EB 2C 66 83 FD 22 75 22 83 C0 02 EB 04 47 83 C0 02 0F B7 10 66 85 D2 74 06 66 83 FA 22 75 EE 66 83 38 00 74 09 83 C0 02 EB 04 47 83 C0 02 0F B7 28 66 83 FD 20 77 CB 8B C3 8B D7 E8 ?? ?? ?? ?? 8B C6 8B 33 33 C9 EB 34 66 83 FF 22 75 26 83 C0 02 EB 08 66 89 14 4E 83 C0 02 41 0F B7 10 66 85 D2 74 06 66 83 FA 22 75 EA 66 83 38 00 74 0D 83 C0 02 EB 08 66 89 3C 4E 83 C0 02 41 0F B7 38 66 83 FF 20 77 C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64009_0 {
	meta:
		name = "ParamCount"
		size = 95
		refs = "000b ParamCount 0018 GetCommandLine 0020 GetParamStr 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B D8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 83 7D FC 00 74 03 46 EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64010_0 {
	meta:
		name = "ParamStr"
		size = 94
		refs = "0010 @UStrClr 0025 GetModuleFileName 0030 @UStrFromPWCharLen 0037 GetCommandLine 0042 GetParamStr"
	strings:
		$1 = { 53 56 57 81 C4 F4 FD FF FF 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 85 F6 75 1E 68 05 01 00 00 8D 44 24 04 50 6A 00 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C3 E8 ?? ?? ?? ?? EB 1E E8 ?? ?? ?? ?? 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F8 85 F6 74 08 83 3B 00 74 03 4E EB E9 81 C4 0C 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64011_0 {
	meta:
		name = "Randomize"
		size = 37
		refs = "0005 QueryPerformanceCounter 0011 RandSeed 0019 GetTickCount"
	strings:
		$1 = { 83 C4 F8 54 E8 ?? ?? ?? ?? 85 C0 74 0B 8B 04 24 A3 ?? ?? ?? ?? 59 5A C3 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_64012_0 {
	meta:
		name = "Random"
		size = 26
		refs = "0005 RandSeed"
	strings:
		$1 = { 53 31 DB 69 93 ?? ?? ?? ?? 05 84 08 08 42 89 93 ?? ?? ?? ?? F7 E2 89 D0 5B C3 }
	condition:
		$1
}

rule function_64013_0 {
	meta:
		name = "Random"
		size = 39
		refs = "0005 RandSeed 0016 two2neg32"
	strings:
		$1 = { 53 31 DB 69 93 ?? ?? ?? ?? 05 84 08 08 42 89 93 ?? ?? ?? ?? DD 83 ?? ?? ?? ?? 6A 00 52 DF 2C 24 83 C4 08 DE C9 5B C3 }
	condition:
		$1
}

rule function_64017_0 {
	meta:
		name = "UpCase"
		size = 23
	strings:
		$1 = { 8B D0 8B C8 83 C1 9F 66 83 E9 1A 73 07 8B D0 66 81 E2 DF FF 8B C2 C3 }
	condition:
		$1
}

rule function_64018_0 {
	meta:
		name = "Reset8087CW"
		size = 13
		refs = "0003 Default8087CW 0008 Set8087CW"
	strings:
		$1 = { 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64019_0 {
	meta:
		name = "Set8087CW"
		size = 15
		refs = "0002 Default8087CW"
	strings:
		$1 = { 66 A3 ?? ?? ?? ?? DB E2 D9 2D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64020_0 {
	meta:
		name = "Get8087CW"
		size = 7
	strings:
		$1 = { 6A 00 D9 3C 24 58 C3 }
	condition:
		$1
}

rule function_64021_0 {
	meta:
		name = "ResetMXCSR"
		size = 20
		refs = "0002 TestSSE 000a DefaultMXCSR 000f SetMXCSR"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73296_0 {
	meta:
		name = "TCustomApplicationEvents.CancelDispatch"
		size = 20
		refs = "0002 MultiCaster 000f TMultiCaster.CancelDispatch"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64022_0 {
	meta:
		name = "SetMXCSR"
		size = 27
		refs = "0002 TestSSE 000f DefaultMXCSR"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 11 25 C0 FF 00 00 A3 ?? ?? ?? ?? 0F AE 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64023_0 {
	meta:
		name = "SetMXCSRStatus"
		size = 30
		refs = "0006 TestSSE"
	strings:
		$1 = { 55 8B EC 51 83 3D ?? ?? ?? ?? 00 74 0E 0F AE 5D FC 83 C8 3F 09 45 FC 0F AE 55 FC 59 5D C3 }
	condition:
		$1
}

rule function_64024_0 {
	meta:
		name = "GetMXCSR"
		size = 17
		refs = "0004 TestSSE"
	strings:
		$1 = { 31 C0 39 05 ?? ?? ?? ?? 74 06 50 0F AE 1C 24 58 C3 }
	condition:
		$1
}

rule function_64025_0 {
	meta:
		name = "TSingleRec.GetSign"
		size = 8
	strings:
		$1 = { 80 78 03 80 0F 93 C0 C3 }
	condition:
		$1
}

rule function_64026_0 {
	meta:
		name = "TSingleRec.SetSign"
		size = 14
	strings:
		$1 = { 84 D2 74 05 80 48 03 80 C3 80 60 03 7F C3 }
	condition:
		$1
}

rule function_64027_0 {
	meta:
		name = "TSingleRec.GetExp"
		size = 36
	strings:
		$1 = { 83 C4 F8 8B C8 0F B7 41 02 C1 E8 07 25 FF 00 00 00 33 D2 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_64028_0 {
	meta:
		name = "TSingleRec.SetExp"
		size = 35
	strings:
		$1 = { 55 8B EC 0F B7 50 02 66 81 E2 7F 80 0F B7 4D 08 66 81 E1 FF 00 C1 E1 07 66 0B D1 66 89 50 02 5D C2 08 00 }
	condition:
		$1
}

rule function_64029_0 {
	meta:
		name = "TSingleRec.GetFrac"
		size = 31
	strings:
		$1 = { 83 C4 F8 8B C8 8B 01 25 FF FF 7F 00 33 D2 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_64030_0 {
	meta:
		name = "TSingleRec.SetFrac"
		size = 28
	strings:
		$1 = { 55 8B EC 8B 10 81 E2 00 00 80 FF 8B 4D 08 81 E1 FF FF 7F 00 0B D1 89 10 5D C2 08 00 }
	condition:
		$1
}

rule function_64031_0 {
	meta:
		name = "TSingleRec.Fraction"
		size = 252
		refs = "004f TExtended80Rec.SetSign 00a2 TSingleRec.Fraction"
	strings:
		$1 = { 83 C4 EC 8B C8 0F B7 41 02 C1 E8 07 25 FF 00 00 00 33 D2 83 FA 00 75 55 3D FF 00 00 00 75 4E 8B 01 25 FF FF 7F 00 33 D2 83 FA 00 75 2B 83 F8 00 75 26 8B C4 33 D2 89 10 C7 40 04 00 00 00 80 66 C7 40 08 FF 7F 80 79 03 80 0F 93 C2 8B C4 E8 ?? ?? ?? ?? E9 8B 00 00 00 8B C4 33 D2 89 10 C7 40 04 00 00 00 C0 66 C7 40 08 FF FF EB 76 0F B7 41 02 C1 E8 07 25 FF 00 00 00 33 D2 83 FA 00 75 32 83 F8 00 75 2D 8B 01 25 FF FF 7F 00 33 D2 89 44 24 0C 81 EA 00 00 00 80 89 54 24 10 DF 6C 24 0C DC 05 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DB 3C 24 9B EB 31 8B 01 25 FF FF 7F 00 33 D2 89 44 24 0C 81 EA 00 00 00 80 89 54 24 10 DF 6C 24 0C DC 05 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? D8 05 ?? ?? ?? ?? DB 3C 24 9B DB 2C 24 83 C4 14 C3 00 00 00 00 00 00 00 00 E0 43 00 00 00 4B 00 00 80 3F }
	condition:
		$1
}

rule function_64032_0 {
	meta:
		name = "TSingleRec.Mantissa"
		size = 100
	strings:
		$1 = { 83 C4 F8 8B C8 8B 01 25 FF FF 7F 00 33 D2 89 04 24 89 54 24 04 0F B7 41 02 C1 E8 07 25 FF 00 00 00 33 D2 83 FA 00 75 03 83 F8 00 76 2D 0F B7 41 02 C1 E8 07 25 FF 00 00 00 33 D2 83 FA 00 75 05 3D FF 00 00 00 73 13 8B 04 24 8B 54 24 04 0D 00 00 80 00 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_64033_0 {
	meta:
		name = "TSingleRec.Exponent"
		size = 162
	strings:
		$1 = { 83 C4 F8 8B C8 0F B7 41 02 C1 E8 07 25 FF 00 00 00 33 D2 89 04 24 89 54 24 04 83 7C 24 04 00 75 04 83 3C 24 00 76 19 83 7C 24 04 00 75 07 81 3C 24 FF 00 00 00 73 09 8B 04 24 83 E8 7F 59 5A C3 83 7C 24 04 00 75 1C 83 3C 24 00 75 16 8B 01 25 FF FF 7F 00 33 D2 83 FA 00 75 03 83 F8 00 0F 95 C0 EB 02 33 C0 84 C0 74 07 B8 82 FF FF FF EB 2F 83 7C 24 04 00 75 1C 83 3C 24 00 75 16 8B 01 25 FF FF 7F 00 33 D2 83 FA 00 75 03 83 F8 00 0F 94 C0 EB 02 33 C0 84 C0 74 04 33 C0 EB 02 33 C0 59 5A C3 }
	condition:
		$1
}

rule function_64034_0 {
	meta:
		name = "TSingleRec.SpecialType"
		size = 110
	strings:
		$1 = { 8B 10 0F B7 40 02 66 3D 80 00 72 09 66 3D 7F 7F 77 03 B0 04 C3 66 3D 80 80 72 0A 66 3D 7F FF 77 04 B0 05 EB 48 85 D2 75 04 33 C0 EB 40 81 FA 00 00 00 80 75 04 B0 01 EB 34 66 83 F8 7F 77 04 B0 02 EB 2A 66 3D 00 80 72 0A 66 3D 7F 80 77 04 B0 03 EB 1A 81 FA 00 00 80 7F 75 04 B0 06 EB 0E 81 FA 00 00 80 FF 75 04 B0 07 EB 02 B0 08 C3 }
	condition:
		$1
}

rule function_64035_0 {
	meta:
		name = "TSingleRec.BuildUp"
		size = 62
		refs = "0010 TSingleRec.SetSign 001d TSingleRec.SetExp 0034 TSingleRec.SetFrac"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 33 C0 89 03 8B C3 E8 ?? ?? ?? ?? 8D 46 7F 99 52 50 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 55 0C 81 E0 FF FF 7F 00 33 D2 52 50 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_64036_0 {
	meta:
		name = "TSingleRec.&op_Explicit"
		size = 21
	strings:
		$1 = { 55 8B EC 51 DB 6D 08 8D 45 FC D9 18 9B 8B 45 FC 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_64037_0 {
	meta:
		name = "TSingleRec.&op_Explicit"
		size = 23
	strings:
		$1 = { 83 C4 EC 89 04 24 8B C4 D9 00 DB 7C 24 08 9B DB 6C 24 08 83 C4 14 C3 }
	condition:
		$1
}

rule function_64038_0 {
	meta:
		name = "TDoubleRec.GetSign"
		size = 8
	strings:
		$1 = { 80 78 07 80 0F 93 C0 C3 }
	condition:
		$1
}

rule function_64039_0 {
	meta:
		name = "TDoubleRec.SetSign"
		size = 14
	strings:
		$1 = { 84 D2 74 05 80 48 07 80 C3 80 60 07 7F C3 }
	condition:
		$1
}

rule function_64040_0 {
	meta:
		name = "TDoubleRec.GetExp"
		size = 36
	strings:
		$1 = { 83 C4 F8 8B C8 0F B7 41 06 C1 E8 04 25 FF 07 00 00 33 D2 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_64041_0 {
	meta:
		name = "TDoubleRec.SetExp"
		size = 35
	strings:
		$1 = { 55 8B EC 0F B7 50 06 66 81 E2 0F 80 0F B7 4D 08 66 81 E1 FF 07 C1 E1 04 66 0B D1 66 89 50 06 5D C2 08 00 }
	condition:
		$1
}

rule function_64042_0 {
	meta:
		name = "TDoubleRec.GetFrac"
		size = 33
	strings:
		$1 = { 83 C4 F8 8B C8 8B 01 8B 51 04 81 E2 FF FF 0F 00 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_64043_0 {
	meta:
		name = "TDoubleRec.SetFrac"
		size = 51
	strings:
		$1 = { 55 8B EC 8B C8 8B 01 8B 51 04 33 C0 81 E2 00 00 F0 FF 52 50 8B 45 08 8B 55 0C 81 E2 FF FF 0F 00 0B 04 24 0B 54 24 04 83 C4 08 89 01 89 51 04 5D C2 08 00 }
	condition:
		$1
}

rule function_64044_0 {
	meta:
		name = "TDoubleRec.Fraction"
		size = 256
		refs = "0051 TExtended80Rec.SetSign 00a6 TDoubleRec.Fraction"
	strings:
		$1 = { 83 C4 EC 8B C8 0F B7 41 06 C1 E8 04 25 FF 07 00 00 33 D2 83 FA 00 75 57 3D FF 07 00 00 75 50 8B 01 8B 51 04 81 E2 FF FF 0F 00 83 FA 00 75 2B 83 F8 00 75 26 8B C4 33 D2 89 10 C7 40 04 00 00 00 80 66 C7 40 08 FF 7F 80 79 07 80 0F 93 C2 8B C4 E8 ?? ?? ?? ?? E9 8F 00 00 00 8B C4 33 D2 89 10 C7 40 04 00 00 00 C0 66 C7 40 08 FF FF EB 7A 0F B7 41 06 C1 E8 04 25 FF 07 00 00 33 D2 83 FA 00 75 34 83 F8 00 75 2F 8B 01 8B 51 04 81 E2 FF FF 0F 00 89 44 24 0C 81 EA 00 00 00 80 89 54 24 10 DF 6C 24 0C DC 05 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DB 3C 24 9B EB 33 8B 01 8B 51 04 81 E2 FF FF 0F 00 89 44 24 0C 81 EA 00 00 00 80 89 54 24 10 DF 6C 24 0C DC 05 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? D8 05 ?? ?? ?? ?? DB 3C 24 9B DB 2C 24 83 C4 14 C3 00 00 00 00 00 00 E0 43 00 00 80 59 00 00 80 3F }
	condition:
		$1
}

rule function_64045_0 {
	meta:
		name = "TDoubleRec.Mantissa"
		size = 103
	strings:
		$1 = { 83 C4 F8 8B C8 8B 01 8B 51 04 81 E2 FF FF 0F 00 89 04 24 89 54 24 04 0F B7 41 06 C1 E8 04 25 FF 07 00 00 33 D2 83 FA 00 75 03 83 F8 00 76 2E 0F B7 41 06 C1 E8 04 25 FF 07 00 00 33 D2 83 FA 00 75 05 3D FF 07 00 00 73 14 8B 04 24 8B 54 24 04 81 CA 00 00 10 00 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_64046_0 {
	meta:
		name = "TDoubleRec.Exponent"
		size = 203
	strings:
		$1 = { 8B C8 0F B7 41 06 C1 E8 04 25 FF 07 00 00 33 D2 83 FA 00 75 03 83 F8 00 76 1D 0F B7 41 06 C1 E8 04 25 FF 07 00 00 33 D2 83 FA 00 75 05 3D FF 07 00 00 0F 92 C0 EB 02 33 C0 84 C0 74 14 0F B7 41 06 C1 E8 04 25 FF 07 00 00 33 D2 2D FF 03 00 00 C3 0F B7 41 06 C1 E8 04 25 FF 07 00 00 33 D2 83 FA 00 75 1D 83 F8 00 75 18 8B 01 8B 51 04 81 E2 FF FF 0F 00 83 FA 00 75 03 83 F8 00 0F 95 C0 EB 02 33 C0 84 C0 74 07 B8 02 FC FF FF EB 3C 0F B7 41 06 C1 E8 04 25 FF 07 00 00 33 D2 83 FA 00 75 1D 83 F8 00 75 18 8B 01 8B 51 04 81 E2 FF FF 0F 00 83 FA 00 75 03 83 F8 00 0F 94 C0 EB 02 33 C0 84 C0 74 04 33 C0 EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_64047_0 {
	meta:
		name = "TDoubleRec.SpecialType"
		size = 165
	strings:
		$1 = { 83 C4 F8 8B 10 89 14 24 8B 50 04 89 54 24 04 0F B7 48 06 66 83 F9 10 72 0C 66 81 F9 EF 7F 77 05 B0 04 59 5A C3 66 81 F9 10 80 72 0B 66 81 F9 EF FF 77 04 B0 05 EB 6B 83 7C 24 04 00 75 0A 83 3C 24 00 75 04 33 C0 EB 5A 81 7C 24 04 00 00 00 80 75 0A 83 3C 24 00 75 04 B0 01 EB 46 66 83 F9 0F 77 04 B0 02 EB 3C 66 81 F9 00 80 72 0B 66 81 F9 0F 80 77 04 B0 03 EB 2A 81 7C 24 04 00 00 F0 7F 75 0A 83 3C 24 00 75 04 B0 06 EB 16 81 7C 24 04 00 00 F0 FF 75 0A 83 3C 24 00 75 04 B0 07 EB 02 B0 08 59 5A C3 }
	condition:
		$1
}

rule function_64048_0 {
	meta:
		name = "TDoubleRec.BuildUp"
		size = 72
		refs = "0019 TDoubleRec.SetSign 0029 TDoubleRec.SetExp 003e TDoubleRec.SetFrac"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 C7 03 00 00 00 00 C7 43 04 00 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 86 FF 03 00 00 99 52 50 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 55 0C 81 E2 FF FF 0F 00 52 50 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_64049_0 {
	meta:
		name = "TDoubleRec.&op_Explicit"
		size = 13
	strings:
		$1 = { 55 8B EC DB 6D 08 DD 18 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_64050_0 {
	meta:
		name = "TDoubleRec.&op_Explicit"
		size = 31
	strings:
		$1 = { 56 57 83 C4 EC 8B F0 8D 3C 24 A5 A5 8B C4 DD 00 DB 7C 24 08 9B DB 6C 24 08 83 C4 14 5F 5E C3 }
	condition:
		$1
}

rule function_64051_0 {
	meta:
		name = "TExtended80Rec.GetSign"
		size = 8
	strings:
		$1 = { 80 78 09 80 0F 93 C0 C3 }
	condition:
		$1
}

rule function_64052_0 {
	meta:
		name = "TExtended80Rec.SetSign"
		size = 14
	strings:
		$1 = { 84 D2 74 05 80 48 09 80 C3 80 60 09 7F C3 }
	condition:
		$1
}

rule function_64053_0 {
	meta:
		name = "TExtended80Rec.GetExp"
		size = 35
	strings:
		$1 = { 83 C4 F8 8B C8 0F B7 41 08 66 25 FF 7F 0F B7 C0 33 D2 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_64054_0 {
	meta:
		name = "TExtended80Rec.SetExp"
		size = 32
	strings:
		$1 = { 55 8B EC 0F B7 50 08 66 81 E2 00 80 0F B7 4D 08 66 81 E1 FF 7F 66 0B D1 66 89 50 08 5D C2 08 00 }
	condition:
		$1
}

rule function_64055_0 {
	meta:
		name = "TExtended80Rec.Fraction"
		size = 156
		refs = "0046 TExtended80Rec.SetSign 007a TExtended80Rec.Fraction"
	strings:
		$1 = { 83 C4 EC 8B C8 0F B7 41 08 66 25 FF 7F 0F B7 C0 33 D2 83 FA 00 75 4A 3D FF 7F 00 00 75 43 83 79 04 00 75 28 83 39 00 75 23 8B C4 33 D2 89 10 C7 40 04 00 00 00 80 66 C7 40 08 FF 7F 80 79 09 80 0F 93 C2 8B C4 E8 ?? ?? ?? ?? EB 3C 8B C4 33 D2 89 10 C7 40 04 00 00 00 C0 66 C7 40 08 FF FF EB 27 8B 01 8B 51 04 89 44 24 0C 81 EA 00 00 00 80 89 54 24 10 DF 6C 24 0C DC 05 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DB 3C 24 9B DB 2C 24 83 C4 14 C3 00 00 00 00 00 00 00 E0 43 00 00 00 5F }
	condition:
		$1
}

rule function_64056_0 {
	meta:
		name = "TExtended80Rec.Mantissa"
		size = 25
	strings:
		$1 = { 83 C4 F8 8B 10 89 14 24 8B 50 04 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_64057_0 {
	meta:
		name = "TExtended80Rec.Exponent"
		size = 178
	strings:
		$1 = { 8B C8 0F B7 41 08 66 25 FF 7F 0F B7 C0 33 D2 83 FA 00 75 03 83 F8 00 76 1C 0F B7 41 08 66 25 FF 7F 0F B7 C0 33 D2 83 FA 00 75 05 3D FF 7F 00 00 0F 92 C0 EB 02 33 C0 84 C0 74 13 0F B7 41 08 66 25 FF 7F 0F B7 C0 33 D2 2D FF 3F 00 00 C3 0F B7 41 08 66 25 FF 7F 0F B7 C0 33 D2 83 FA 00 75 13 83 F8 00 75 0E 83 79 04 00 75 03 83 39 00 0F 95 C0 EB 02 33 C0 84 C0 74 07 B8 02 C0 FF FF EB 31 0F B7 41 08 66 25 FF 7F 0F B7 C0 33 D2 83 FA 00 75 13 83 F8 00 75 0E 83 79 04 00 75 03 83 39 00 0F 94 C0 EB 02 33 C0 84 C0 74 04 33 C0 EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_64058_0 {
	meta:
		name = "TExtended80Rec.SpecialType"
		size = 180
	strings:
		$1 = { 83 C4 F8 8B 10 89 14 24 8B 50 04 89 54 24 04 0F B7 48 08 66 83 F9 01 72 0C 66 81 F9 FE 7F 77 05 B0 04 59 5A C3 66 81 F9 01 80 72 0B 66 81 F9 FE FF 77 04 B0 05 EB 7A 83 7C 24 04 00 75 0F 83 3C 24 00 75 09 66 85 C9 75 04 33 C0 EB 64 83 7C 24 04 00 75 11 83 3C 24 00 75 0B 66 81 F9 00 80 75 04 B0 01 EB 4C 66 85 C9 75 04 B0 02 EB 43 66 81 F9 00 80 75 04 B0 03 EB 38 81 7C 24 04 00 00 00 80 75 11 83 3C 24 00 75 0B 66 81 F9 FF 7F 75 04 B0 06 EB 1D 81 7C 24 04 00 00 00 80 75 11 83 3C 24 00 75 0B 66 81 F9 FF FF 75 04 B0 07 EB 02 B0 08 59 5A C3 }
	condition:
		$1
}

rule function_64059_0 {
	meta:
		name = "TExtended80Rec.BuildUp"
		size = 69
		refs = "0016 @FillChar 001f TExtended80Rec.SetSign 002f TExtended80Rec.SetExp"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B C6 33 C9 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B D3 E8 ?? ?? ?? ?? 8D 87 FF 3F 00 00 99 52 50 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 06 8B 45 0C 89 46 04 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_64060_0 {
	meta:
		name = "TExtended80Rec.&op_Explicit"
		size = 28
	strings:
		$1 = { 55 8B EC 8D 55 08 8B 0A 89 08 8B 4A 04 89 48 04 66 8B 4A 08 66 89 48 08 5D C2 0C 00 }
	condition:
		$1
}

rule function_64061_0 {
	meta:
		name = "RaiseOverflowException"
		size = 15
		refs = "0009 ErrorAt"
	strings:
		$1 = { 55 8B EC 8B 55 04 B0 08 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_64062_0 {
	meta:
		name = "TExtended80Rec.&op_Explicit"
		size = 48
	strings:
		$1 = { 56 57 83 C4 E4 8B F0 8D 3C 24 A5 A5 66 A5 8B C4 8B 10 89 54 24 10 8B 50 04 89 54 24 14 66 8B 50 08 66 89 54 24 18 DB 6C 24 10 83 C4 1C 5F 5E C3 }
	condition:
		$1
}

rule function_64063_0 {
	meta:
		name = "Int"
		size = 41
	strings:
		$1 = { 55 8B EC DB 6D 08 83 EC 04 D9 3C 24 D9 7C 24 02 9B 66 81 4C 24 02 00 0F D9 6C 24 02 D9 FC 9B D9 2C 24 83 C4 04 5D C2 0C 00 }
	condition:
		$1
}

rule function_64064_0 {
	meta:
		name = "Frac"
		size = 45
	strings:
		$1 = { 55 8B EC DB 6D 08 D9 C0 83 EC 04 D9 3C 24 D9 7C 24 02 9B 66 81 4C 24 02 00 0F D9 6C 24 02 D9 FC 9B D9 2C 24 83 C4 04 DE E9 5D C2 0C 00 }
	condition:
		$1
}

rule function_64065_0 {
	meta:
		name = "Exp"
		size = 32
	strings:
		$1 = { 55 8B EC DB 6D 08 D9 EA DE C9 D9 C0 D9 FC DC E9 D9 C9 D9 F0 D9 E8 DE C1 D9 FD DD D9 5D C2 0C 00 }
	condition:
		$1
}

rule function_64066_0 {
	meta:
		name = "ExpMinus1"
		size = 54
	strings:
		$1 = { 55 8B EC DB 6D 08 D9 EA DE C9 D9 C0 D9 E1 D9 E8 DE D9 9B DF E0 9E 73 18 D9 C0 D9 FC DC E9 D9 C9 D9 F0 D9 E8 DE C1 D9 FD DD D9 D9 E8 DE E9 EB 02 D9 F0 5D C2 0C 00 }
	condition:
		$1
}

rule function_64067_0 {
	meta:
		name = "Cos"
		size = 13
	strings:
		$1 = { 55 8B EC DB 6D 08 D9 FF 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_64068_0 {
	meta:
		name = "Sin"
		size = 13
	strings:
		$1 = { 55 8B EC DB 6D 08 D9 FE 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_64069_0 {
	meta:
		name = "Tangent"
		size = 15
	strings:
		$1 = { 55 8B EC DB 6D 08 D9 F2 DD D8 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_64070_0 {
	meta:
		name = "SineCosine"
		size = 17
	strings:
		$1 = { 55 8B EC DB 6D 08 D9 FB DB 3A DB 38 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_64071_0 {
	meta:
		name = "pLnXP1"
		size = 136
		refs = "000b pLnXP1 0025 CLn"
	strings:
		$1 = { 55 8B EC 83 C4 D0 DB 6D 08 D8 05 ?? ?? ?? ?? DB 6D 08 DE F1 DB 7D E0 9B DB 6D E0 DB 6D E0 DE C9 DB 7D D0 9B B8 ?? ?? ?? ?? 8B 10 89 55 F0 8B 50 04 89 55 F4 66 8B 50 08 66 89 55 F8 BA F8 FF FF FF B8 ?? ?? ?? ?? DB 6D F0 DB 6D D0 DE C9 8B C8 DB 29 DE C1 DB 7D F0 9B 83 E8 0A 42 75 E8 DB 6D F0 D8 0D ?? ?? ?? ?? DB 6D E0 DE C9 DB 6D E0 D8 0D ?? ?? ?? ?? DE C1 DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 00 40 }
	condition:
		$1
}

rule function_64072_0 {
	meta:
		name = "Ln"
		size = 17
	strings:
		$1 = { 55 8B EC DB 6D 08 D9 ED D9 C9 D9 F1 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_64073_0 {
	meta:
		name = "LnXPlus1"
		size = 21
	strings:
		$1 = { 55 8B EC DB 6D 08 D9 E8 DE C1 D9 ED D9 C9 D9 F1 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_64074_0 {
	meta:
		name = "ArcTan"
		size = 15
	strings:
		$1 = { 55 8B EC DB 6D 08 D9 E8 D9 F3 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_64075_0 {
	meta:
		name = "Sqrt"
		size = 13
	strings:
		$1 = { 55 8B EC DB 6D 08 D9 FA 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_64076_0 {
	meta:
		name = "@ROUND"
		size = 10
	strings:
		$1 = { 83 EC 08 DF 3C 24 9B 58 5A C3 }
	condition:
		$1
}

rule function_64077_0 {
	meta:
		name = "@TRUNC"
		size = 34
	strings:
		$1 = { 83 EC 0C D9 3C 24 D9 7C 24 02 9B 66 81 4C 24 02 00 0F D9 6C 24 02 DF 7C 24 04 9B D9 2C 24 59 58 5A C3 }
	condition:
		$1
}

rule function_64078_0 {
	meta:
		name = "@AbstractError"
		size = 33
		refs = "0005 AbstractErrorProc 001b RunErrorAt"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? 8B 55 04 B8 D2 00 00 00 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_64079_0 {
	meta:
		name = "@_FlushMBCSBuffer"
		size = 15
	strings:
		$1 = { C6 80 D2 02 00 00 00 C6 80 D3 02 00 00 00 C3 }
	condition:
		$1
}

rule function_64080_0 {
	meta:
		name = "OpenText"
		size = 98
		refs = "0020 @_FlushMBCSBuffer 002f @Close 0047 TextOpen 0059 SetInOutRes"
	strings:
		$1 = { 53 56 8B F2 8B D8 0F B7 43 04 66 3D B0 D7 72 06 66 3D B3 D7 76 07 BB 66 00 00 00 EB 35 8B C3 E8 ?? ?? ?? ?? 66 81 7B 04 B0 D7 74 07 8B C3 E8 ?? ?? ?? ?? 66 89 73 04 66 83 7B 48 00 75 0D 83 7B 18 00 75 07 C7 43 18 ?? ?? ?? ?? 8B C3 FF 53 18 8B D8 85 DB 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_64081_0 {
	meta:
		name = "@ResetText"
		size = 10
		refs = "0005 OpenText"
	strings:
		$1 = { 66 BA B1 D7 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64082_0 {
	meta:
		name = "@RewritText"
		size = 10
		refs = "0005 OpenText"
	strings:
		$1 = { 66 BA B2 D7 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64083_0 {
	meta:
		name = "@Append"
		size = 10
		refs = "0005 OpenText"
	strings:
		$1 = { 66 BA B3 D7 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64084_0 {
	meta:
		name = "TextIn"
		size = 57
		refs = "001f ReadFile 0028 GetLastError"
	strings:
		$1 = { 53 8B D8 33 C0 89 43 10 33 C0 89 43 0C 6A 00 8D 43 10 50 8B 43 08 50 8B 43 14 50 8B 03 50 E8 ?? ?? ?? ?? 85 C0 75 0E E8 ?? ?? ?? ?? 83 F8 6D 75 06 33 C0 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_64086_0 {
	meta:
		name = "TextOut"
		size = 58
		refs = "0020 WriteFile 0029 GetLastError"
	strings:
		$1 = { 53 56 51 8B D8 8B 73 0C 85 F6 75 04 33 C0 EB 26 6A 00 8D 44 24 04 50 56 8B 43 14 50 8B 03 50 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? EB 02 33 C0 33 D2 89 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_64087_0 {
	meta:
		name = "InternalClose"
		size = 17
		refs = "0005 CloseHandle"
	strings:
		$1 = { 53 8B D8 53 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5B C3 }
	condition:
		$1
}

rule function_68711_0 {
	meta:
		name = "TCriticalSectionHelper.TryEnter"
		size = 17
		refs = "0005 TryEnterCriticalSection"
	strings:
		$1 = { 53 8B D8 53 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5B C3 }
	condition:
		$1
}

rule function_100023_0 {
	meta:
		name = "TD2DMatrix3x2FHelper.Invert"
		size = 17
		refs = "0005 D2D1InvertMatrix"
	strings:
		$1 = { 53 8B D8 53 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5B C3 }
	condition:
		$1
}

rule function_100024_0 {
	meta:
		name = "TD2DMatrix3x2FHelper.IsInvertible"
		size = 17
		refs = "0005 D2D1IsMatrixInvertible"
	strings:
		$1 = { 53 8B D8 53 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5B C3 }
	condition:
		$1
}

rule function_64088_0 {
	meta:
		name = "TextClose"
		size = 31
		refs = "000c InternalClose 0015 GetLastError"
	strings:
		$1 = { 53 8B D8 66 C7 43 04 B0 D7 8B 03 E8 ?? ?? ?? ?? 84 C0 75 07 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_64089_0 {
	meta:
		name = "TextOpenCleanup"
		size = 23
		refs = "0006 InternalClose 0011 GetLastError"
	strings:
		$1 = { 53 8B D8 8B 03 E8 ?? ?? ?? ?? 66 C7 43 04 B0 D7 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64090_0 {
	meta:
		name = "TextOpen"
		size = 618
		refs = "0038 TextIn 004b TextOut 0065 FileNOPProc 009b ErrOutput 00af GetStdHandle 00d2 GetFileType 00e4 GetConsoleOutputCP 00f5 GetConsoleCP 0108 DefaultSystemCodePage 011b TextClose 0131 CreateFile 0141 GetLastError 0166 GetFileSize 0174 TextOpenCleanup 0194 SetFilePointer 01b2 ReadFile 0204 SetEndOfFile"
	strings:
		$1 = { 53 56 57 51 8B D8 33 F6 33 C0 89 43 0C 33 C0 89 43 10 0F B7 43 04 66 2D B1 D7 74 0F 66 FF C8 74 1D 66 FF C8 74 2B E9 38 02 00 00 B8 00 00 00 80 BA 03 00 00 00 C7 43 1C ?? ?? ?? ?? EB 24 B8 00 00 00 40 BA 02 00 00 00 C7 43 1C ?? ?? ?? ?? EB 11 B8 00 00 00 C0 BA 03 00 00 00 C7 43 1C ?? ?? ?? ?? C7 43 20 ?? ?? ?? ?? 66 83 7B 48 00 0F 85 A4 00 00 00 83 7B 14 00 75 10 8D 83 50 02 00 00 89 43 14 C7 43 08 80 00 00 00 C7 43 24 ?? ?? ?? ?? 66 81 7B 04 B2 D7 75 1E 81 FB ?? ?? ?? ?? 75 07 BF F4 FF FF FF EB 05 BF F5 FF FF FF 57 E8 ?? ?? ?? ?? 89 03 EB 09 6A F6 E8 ?? ?? ?? ?? 89 03 66 83 BB D0 02 00 00 00 0F 85 66 01 00 00 8B 03 50 E8 ?? ?? ?? ?? 83 F8 02 75 2A 66 81 7B 04 B2 D7 75 11 E8 ?? ?? ?? ?? 66 89 83 D0 02 00 00 E9 40 01 00 00 E8 ?? ?? ?? ?? 66 89 83 D0 02 00 00 E9 2F 01 00 00 0F B7 05 ?? ?? ?? ?? 66 89 83 D0 02 00 00 E9 1C 01 00 00 C7 43 24 ?? ?? ?? ?? 6A 00 68 80 00 00 00 52 6A 00 6A 01 50 8D 43 48 50 E8 ?? ?? ?? ?? 83 F8 FF 75 12 66 C7 43 04 B0 D7 E8 ?? ?? ?? ?? 8B F0 E9 17 01 00 00 89 03 66 81 7B 04 B3 D7 0F 85 C2 00 00 00 66 C7 43 04 B2 D7 6A 00 8B 03 50 E8 ?? ?? ?? ?? 8B F8 83 FF FF 75 0E 8B C3 E8 ?? ?? ?? ?? 8B F0 E9 E4 00 00 00 81 EF 80 00 00 00 85 FF 7D 02 33 FF 6A 00 6A 00 57 8B 03 50 E8 ?? ?? ?? ?? 40 74 1F 6A 00 8D 44 24 04 50 68 80 00 00 00 8D 83 50 02 00 00 50 8B 03 50 E8 ?? ?? ?? ?? 85 C0 75 0E 8B C3 E8 ?? ?? ?? ?? 8B F0 E9 9B 00 00 00 F6 43 06 01 74 4E 83 3C 24 00 76 48 8B 14 24 4A 85 D2 72 40 42 33 FF 8D 83 50 02 00 00 80 38 1A 75 2D 6A 02 6A 00 8B C7 2B 44 24 08 50 8B 03 50 E8 ?? ?? ?? ?? 40 74 0C 8B 03 50 E8 ?? ?? ?? ?? 85 C0 75 10 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 4C 47 40 4A 75 C9 66 83 BB D0 02 00 00 00 75 0E 0F B7 05 ?? ?? ?? ?? 66 89 83 D0 02 00 00 66 81 7B 04 B1 D7 74 27 8B 03 50 E8 ?? ?? ?? ?? 83 E8 01 72 05 48 74 10 EB 15 8B C3 E8 ?? ?? ?? ?? BE 69 00 00 00 EB 07 C7 43 20 ?? ?? ?? ?? 8B C6 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64091_0 {
	meta:
		name = "@AssignFile"
		size = 116
		refs = "0011 @FillChar 0023 DefaultTextLineBreakStyle 0033 TextOpen 003a @PWCharLen 004e SetInOutRes 0063 Move"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 33 C9 BA 50 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 43 14 66 C7 43 04 B0 D7 0F B6 05 ?? ?? ?? ?? 66 89 43 06 33 C0 89 43 08 C7 43 18 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 81 FE 03 01 00 00 7E 0F B8 03 00 00 00 E8 ?? ?? ?? ?? BE 03 01 00 00 8B C7 8D 53 48 8B FE 8B CF 03 C9 E8 ?? ?? ?? ?? 66 C7 44 73 48 00 00 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64092_0 {
	meta:
		name = "@AssignText"
		size = 159
		refs = "0013 @FillChar 0029 DefaultTextLineBreakStyle 0039 DefaultSystemCodePage 0057 TextOpen 005e @PWCharLen 0072 SetInOutRes 0087 Move"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C3 33 C9 BA DA 02 00 00 E8 ?? ?? ?? ?? 8D 83 50 02 00 00 89 43 14 66 C7 43 04 B0 D7 0F B6 05 ?? ?? ?? ?? 66 89 43 06 66 85 F6 75 10 0F B7 05 ?? ?? ?? ?? 66 89 83 D0 02 00 00 EB 07 66 89 B3 D0 02 00 00 C7 43 08 80 00 00 00 C7 43 18 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 81 FE 03 01 00 00 7E 0F B8 03 00 00 00 E8 ?? ?? ?? ?? BE 03 01 00 00 8B C7 8D 53 48 8B FE 8B CF 03 C9 E8 ?? ?? ?? ?? 66 C7 44 73 48 00 00 C6 83 D2 02 00 00 00 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64093_0 {
	meta:
		name = "InternalFlush"
		size = 69
		refs = "0020 Output 0027 ErrOutput 003d SetInOutRes"
	strings:
		$1 = { 53 0F B7 48 04 66 81 E9 B1 D7 74 0F 49 66 83 E9 02 73 0C 8B DA FF D3 8B D8 EB 1B 33 DB EB 17 3D ?? ?? ?? ?? 74 07 3D ?? ?? ?? ?? 75 04 33 DB EB 05 BB 67 00 00 00 85 DB 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_64094_0 {
	meta:
		name = "Flush"
		size = 9
		refs = "0004 InternalFlush"
	strings:
		$1 = { 8B 50 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64095_0 {
	meta:
		name = "@Flush"
		size = 9
		refs = "0004 InternalFlush"
	strings:
		$1 = { 8B 50 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64096_0 {
	meta:
		name = "BlockIO"
		size = 142
		refs = "0032 GetLastError 0037 SetInOutRes"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B FA 8B D8 8B 45 10 0F B7 53 04 23 D0 3B C2 75 5A 6A 00 8D 45 FC 50 8B 43 08 F7 EE 50 57 8B 03 50 FF 55 0C 85 C0 75 11 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 FC EB 41 8B 4B 08 8B 45 FC 33 D2 F7 F1 89 45 FC 8B 45 14 85 C0 74 0A 8B 45 14 8B 55 FC 89 10 EB 23 3B 75 FC 74 1E 8B 45 08 E8 ?? ?? ?? ?? 33 C0 89 45 FC EB 0F B8 67 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 FC 8B 45 FC 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_64097_0 {
	meta:
		name = "@BlockRead"
		size = 30
		refs = "000e ReadFile 0015 BlockIO"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 68 B1 D7 00 00 68 ?? ?? ?? ?? 6A 64 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_64098_0 {
	meta:
		name = "@BlockWrite"
		size = 30
		refs = "000e WriteFile 0015 BlockIO"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 68 B2 D7 00 00 68 ?? ?? ?? ?? 6A 65 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_64099_0 {
	meta:
		name = "@Close"
		size = 86
		refs = "0039 SetInOutRes 0041 Input"
	strings:
		$1 = { 53 56 8B D8 33 F6 0F B7 43 04 66 3D B1 D7 72 2F 66 3D B3 D7 77 29 66 25 B2 D7 66 3D B2 D7 75 07 8B C3 FF 53 1C 8B F0 85 F6 75 07 8B C3 FF 53 24 8B F0 85 F6 74 1B 8B C6 E8 ?? ?? ?? ?? EB 12 81 FB ?? ?? ?? ?? 74 0A B8 67 00 00 00 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_64100_0 {
	meta:
		name = "@EofFile"
		size = 28
		refs = "0007 @FilePos 0010 @FileSize"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_64101_0 {
	meta:
		name = "@EofText"
		size = 44
		refs = "0018 @ReadByte"
	strings:
		$1 = { 53 51 8B D8 80 BB D2 02 00 00 00 74 06 C6 04 24 00 EB 12 8B D4 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 75 03 FF 4B 0C 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_64102_0 {
	meta:
		name = "@Eoln"
		size = 133
		refs = "001a DefaultSystemCodePage 001f @GetAnsiChar 002d @GetWideChar 0041 @ReadByte"
	strings:
		$1 = { 53 51 8B D8 0F B6 83 D2 02 00 00 84 C0 74 2D 84 C0 7E 15 8B D4 8B C3 0F B7 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 C0 EB 09 8B D4 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 74 1F B0 01 5A 5B C3 8B D4 8B C3 E8 ?? ?? ?? ?? 0F B6 C0 80 3C 24 00 74 05 B0 01 5A 5B C3 FF 4B 0C F6 43 06 01 74 14 66 83 F8 0D 74 0A 66 83 F8 1A 74 04 33 C0 EB 16 B0 01 EB 12 66 83 F8 0A 74 0A 66 83 F8 1A 74 04 33 C0 EB 02 B0 01 5A 5B C3 }
	condition:
		$1
}

rule function_64103_0 {
	meta:
		name = "@Erase"
		size = 56
		refs = "0019 SetInOutRes 0024 DeleteFile 002d GetLastError"
	strings:
		$1 = { 53 8B D8 0F B7 43 04 66 3D B0 D7 72 06 66 3D B3 D7 76 0C B8 66 00 00 00 E8 ?? ?? ?? ?? 5B C3 8D 43 48 50 E8 ?? ?? ?? ?? 85 C0 75 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64104_0 {
	meta:
		name = "@FSafeDivideR"
		size = 8
		refs = "0003 @FSafeDivide"
	strings:
		$1 = { D9 C9 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64105_0 {
	meta:
		name = "@FSafeDivide"
		size = 354
		refs = "0002 TestFDIV 0050 @FSafeDivide"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 00 7E 7E DE F9 C3 00 01 00 00 04 00 00 07 00 00 0A 00 00 0D 00 00 00 00 70 3F 00 00 88 3F 00 00 00 5F 00 00 00 C0 7E 01 50 41 00 00 00 80 FF FF 47 41 00 00 00 00 00 00 F0 3F C6 05 ?? ?? ?? ?? 01 50 83 EC 0C DB 3C 24 DD 05 ?? ?? ?? ?? DC 35 ?? ?? ?? ?? DC 0D ?? ?? ?? ?? DC 2D ?? ?? ?? ?? DC 1D ?? ?? ?? ?? 9B DF E0 C1 E8 07 83 E0 02 48 A2 ?? ?? ?? ?? DB 2C 24 83 C4 0C 58 E9 ?? ?? ?? ?? 74 B7 50 83 EC 18 DB 7C 24 0C DB 3C 24 DB 2C 24 DB 6C 24 0C 8B 44 24 10 01 C0 73 63 35 00 00 00 0E A9 00 00 00 0E 74 07 DE F9 83 C4 18 58 C3 C1 E8 1C 80 B8 ?? ?? ?? ?? 00 74 ED 8B 44 24 14 25 FF 7F 00 00 74 E2 3D FF 7F 00 00 74 DB 8B 44 24 08 25 FF 7F 00 00 83 F8 01 74 12 D8 0D ?? ?? ?? ?? D9 C9 D8 0D ?? ?? ?? ?? D9 C9 EB BB D8 0D ?? ?? ?? ?? D9 C9 D8 0D ?? ?? ?? ?? D9 C9 EB A9 8B 44 24 0C 0B 44 24 10 74 9F 8B 44 24 14 25 FF 7F 00 00 75 94 8B 44 24 08 25 FF 7F 00 00 74 15 3D FF 7F 00 00 74 82 8B 44 24 04 01 C0 0F 83 76 FF FF FF EB 0C 8B 44 24 04 01 C0 0F 82 68 FF FF FF D9 C9 DD D8 D9 C0 D8 0D ?? ?? ?? ?? DB 7C 24 0C DB 2C 24 D9 C9 E9 3A FF FF FF C3 }
	condition:
		$1
}

rule function_64106_0 {
	meta:
		name = "@FilePos"
		size = 77
		refs = "001e SetFilePointer 002a InOutError 0041 SetInOutRes"
	strings:
		$1 = { 53 56 8B D8 0F B7 43 04 66 3D B0 D7 76 2D 66 3D B3 D7 77 27 6A 01 6A 00 6A 00 8B 03 50 E8 ?? ?? ?? ?? 8B F0 83 FE FF 75 07 E8 ?? ?? ?? ?? EB 18 8B C6 33 D2 F7 73 08 8B F0 EB 0D B8 67 00 00 00 E8 ?? ?? ?? ?? 83 CE FF 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_64107_0 {
	meta:
		name = "@FileSize"
		size = 73
		refs = "001d GetFileSize 0029 InOutError 0040 SetInOutRes"
	strings:
		$1 = { 53 56 8B D8 83 CE FF 0F B7 43 04 66 3D B0 D7 76 29 66 3D B3 D7 77 23 6A 00 8B 03 50 E8 ?? ?? ?? ?? 8B F0 83 FE FF 75 07 E8 ?? ?? ?? ?? EB 15 8B C6 33 D2 F7 73 08 8B F0 EB 0A B8 67 00 00 00 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_64108_0 {
	meta:
		name = "@FillChar"
		size = 155
		refs = "0056 @FillChar"
	strings:
		$1 = { 83 FA 20 88 CD 7C 3F 66 89 08 66 89 48 02 66 89 48 04 66 89 48 06 83 EA 10 DD 00 DD 14 02 DD 54 02 08 89 C1 83 E1 07 83 E9 08 29 C8 01 CA 01 D0 F7 DA DD 14 02 DD 54 02 08 83 C2 10 7C F4 DD C0 D9 F7 C3 90 90 90 85 D2 7E 50 88 4C 02 FF 83 E2 FE F7 DA 8D 14 55 ?? ?? ?? ?? FF E2 90 90 66 89 48 1C 66 89 48 1A 66 89 48 18 66 89 48 16 66 89 48 14 66 89 48 12 66 89 48 10 66 89 48 0E 66 89 48 0C 66 89 48 0A 66 89 48 08 66 89 48 06 66 89 48 04 66 89 48 02 66 89 08 C3 C3 }
	condition:
		$1
}

rule function_64109_0 {
	meta:
		name = "Mark"
		size = 8
		refs = "0003 Error"
		altNames = "Release"
	strings:
		$1 = { B0 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64110_0 {
	meta:
		name = "@ReadRec"
		size = 75
		refs = "0024 ReadFile 0040 GetLastError 0045 SetInOutRes"
	strings:
		$1 = { 53 31 C9 89 C3 66 8B 48 04 81 E9 B1 D7 00 00 74 05 83 E9 02 75 22 6A 00 89 E0 6A 00 50 FF 73 08 52 FF 33 E8 ?? ?? ?? ?? 5A 48 75 13 3B 53 08 74 18 B8 64 00 00 00 EB 0C B8 67 00 00 00 EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64111_0 {
	meta:
		name = "TryOpenForInput"
		size = 58
		refs = "0005 Input 000e DefaultTextLineBreakStyle 0019 @ResetText 0032 SetInOutRes"
	strings:
		$1 = { 53 8B D8 81 FB ?? ?? ?? ?? 75 12 0F B6 05 ?? ?? ?? ?? 66 89 43 06 8B C3 E8 ?? ?? ?? ?? 66 81 7B 04 B1 D7 0F 94 C0 8B D8 84 DB 75 0A B8 68 00 00 00 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_64112_0 {
	meta:
		name = "@ReadByte"
		size = 114
		refs = "0017 TryOpenForInput 0031 SetInOutRes"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B3 1A C6 07 01 66 81 7E 04 B1 D7 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 4D 8B 46 0C 3B 46 10 72 2A 8B C6 FF 56 1C 85 C0 74 07 E8 ?? ?? ?? ?? EB 35 8B 46 0C 3B 46 10 72 12 F6 46 06 01 74 27 8B 56 14 C6 04 02 1A FF 46 10 EB 1B 8B 46 0C 8B 56 14 0F B6 1C 02 F6 46 06 01 74 05 80 FB 1A 74 06 FF 46 0C C6 07 00 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64113_0 {
	meta:
		name = "@ReadWord"
		size = 117
		refs = "0019 TryOpenForInput 0033 SetInOutRes"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 66 BE 1A 00 C6 07 01 66 81 7B 04 B1 D7 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4E 8B 43 0C 3B 43 10 72 2A 8B C3 FF 53 1C 85 C0 74 07 E8 ?? ?? ?? ?? EB 36 8B 43 0C 3B 43 10 72 12 F6 43 06 01 74 28 8B 53 14 C6 04 02 1A FF 43 10 EB 1C 8B 43 14 03 43 0C 0F B7 30 F6 43 06 01 74 06 66 83 FE 1A 74 07 83 43 0C 02 C6 07 00 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64114_0 {
	meta:
		name = "@GetAnsiChar"
		size = 409
		refs = "001a @GetAnsiChar 005e CharFromWChar 0078 Move 00ae @ReadByte 00d0 @GetWideChar 00f5 @SkipWideChar 0126 @LStrFromPWCharLen 012e @LStrLen 0142 @UniqueStringA 0182 @LStrClr 0188 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 66 89 4D FA 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 06 00 0F B6 83 D2 02 00 00 84 C0 7D 4A 80 BB D3 02 00 00 00 74 09 C6 83 D2 02 00 00 00 EB 38 0F BE C0 F7 D8 50 0F B7 45 FA 50 8D 8B D4 02 00 00 8D 45 EB BA 06 00 00 00 E8 ?? ?? ?? ?? 8B F8 8B C7 88 83 D2 02 00 00 8D 93 D4 02 00 00 8D 45 EB 8B CF E8 ?? ?? ?? ?? 80 BB D2 02 00 00 00 7E 17 0F B6 83 D3 02 00 00 0F B6 84 03 D4 02 00 00 88 45 F9 E9 D5 00 00 00 0F B7 83 D0 02 00 00 66 3B 45 FA 75 1D 8B D6 8B C3 E8 ?? ?? ?? ?? 88 45 F9 80 3E 00 0F 85 B3 00 00 00 FF 4B 0C E9 AB 00 00 00 BF 01 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 66 89 45 F2 80 3E 00 0F 85 8C 00 00 00 0F B7 45 F2 66 3D 00 D8 72 26 66 3D 00 DC 73 20 47 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 66 89 45 F4 80 3E 00 74 06 C6 45 F9 1A EB 60 8B C3 E8 ?? ?? ?? ?? 0F B7 45 FA 50 8D 55 F2 8D 45 FC 8B CF E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 85 FF 75 06 C6 45 F9 00 EB 33 8D 45 FC E8 ?? ?? ?? ?? 8D 93 D4 02 00 00 8B CF E8 ?? ?? ?? ?? C6 83 D3 02 00 00 00 8B C7 88 83 D2 02 00 00 8B 45 FC 0F B6 00 88 45 F9 EB 04 C6 45 F9 1A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F9 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64115_0 {
	meta:
		name = "@SkipAnsiChar"
		size = 42
	strings:
		$1 = { 80 B8 D2 02 00 00 00 7E 1D FE 80 D3 02 00 00 0F B6 90 D2 02 00 00 3A 90 D3 02 00 00 75 0B C6 80 D2 02 00 00 00 C3 FF 40 0C C3 }
	condition:
		$1
}

rule function_64116_0 {
	meta:
		name = "@GetWideChar"
		size = 543
		refs = "0019 @GetWideChar 0048 DefaultSystemCodePage 005c WCharFromChar 007a Move 00ab @ReadWord 00c8 @ReadByte 012e IsDBCSLeadByteEx 014a @LStrSetLength 015b SetCodePage 0163 @UniqueStringA 01a7 @UStrFromLStr 01af @UStrLen 01bd @UniqueStringU 0202 @UStrClr 020a @LStrClr 0210 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 89 4D F8 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 07 00 0F B6 83 D2 02 00 00 84 C0 7E 4D 80 BB D3 02 00 00 00 74 09 C6 83 D2 02 00 00 00 EB 3B 0F BE C0 50 A1 ?? ?? ?? ?? 50 8D 8B D4 02 00 00 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 F6 D8 88 83 D2 02 00 00 8B CE 03 C9 8D 93 D4 02 00 00 8D 45 EC E8 ?? ?? ?? ?? 80 BB D2 02 00 00 00 7D 14 0F B6 83 D3 02 00 00 0F B7 B4 43 D4 02 00 00 E9 56 01 00 00 66 81 BB D0 02 00 00 B0 04 75 1D 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 80 3F 00 0F 85 37 01 00 00 83 6B 0C 02 E9 2E 01 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 88 45 F7 80 3F 00 74 09 66 BE 1A 00 E9 14 01 00 00 66 81 BB D0 02 00 00 E9 FD 75 3A 0F B6 45 F7 04 3E 2C 1E 73 07 BE 02 00 00 00 EB 49 0F B6 45 F7 04 20 2C 10 73 07 BE 03 00 00 00 EB 38 0F B6 45 F7 04 10 2C 05 73 07 BE 04 00 00 00 EB 27 BE 01 00 00 00 EB 20 0F B6 45 F7 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 07 BE 02 00 00 00 EB 05 BE 01 00 00 00 8D 45 FC 33 C9 8B D6 E8 ?? ?? ?? ?? 0F B7 93 D0 02 00 00 8D 45 FC 33 C9 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 0F B6 55 F7 88 10 C7 45 F0 02 00 00 00 4E 85 F6 7E 27 8B D7 8B C3 E8 ?? ?? ?? ?? 88 45 F7 8D 45 FC E8 ?? ?? ?? ?? 8B 55 F0 0F B6 4D F7 88 4C 10 FF FF 45 F0 4E 85 F6 7F D9 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 36 8D 45 F8 E8 ?? ?? ?? ?? 8B CE 03 C9 8D 93 D4 02 00 00 E8 ?? ?? ?? ?? C6 83 D3 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? F6 D8 88 83 D2 02 00 00 8B 45 F8 0F B7 30 EB 02 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64117_0 {
	meta:
		name = "@GetWideChar2"
		size = 48
		refs = "0014 @GetWideChar 0020 @ReadWord"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB D2 02 00 00 00 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 80 3E 00 75 04 83 6B 0C 02 5E 5B C3 }
	condition:
		$1
}

rule function_64118_0 {
	meta:
		name = "@SkipWideChar"
		size = 48
	strings:
		$1 = { 80 B8 D2 02 00 00 00 7D 22 FE 80 D3 02 00 00 0F BE 90 D2 02 00 00 F7 DA 0F B6 88 D3 02 00 00 3B D1 75 0C C6 80 D2 02 00 00 00 C3 83 40 0C 02 C3 }
	condition:
		$1
}

rule function_64119_0 {
	meta:
		name = "@ReadChar"
		size = 36
		refs = "000c DefaultSystemCodePage 0011 @GetAnsiChar 001a @SkipAnsiChar"
	strings:
		$1 = { 53 56 51 8B F0 8B D4 8B C6 0F B7 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_64120_0 {
	meta:
		name = "@ValLongL"
		size = 83
		refs = "000f @ValLongL 001f @UStrFromLStr 0029 @ValLong 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64121_0 {
	meta:
		name = "@ReadLong"
		size = 202
		refs = "0014 @ReadLong 0022 @SeekEof 003f DefaultSystemCodePage 0044 @GetAnsiChar 0052 @SkipAnsiChar 0084 @LStrFromPChar 008f @ValLongL 00a1 SetInOutRes 00b6 @LStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 33 D2 89 55 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 77 8D 5D D0 BE 20 00 00 00 8D 55 FB 8B 45 FC 0F B7 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 20 76 0E 88 03 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 DC C6 03 00 66 C7 45 C4 00 00 66 C7 45 C6 01 00 C7 45 C8 FF FF FF FF 8D 45 D0 2B D8 89 5D CC 8D 45 C0 8D 55 D0 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 8D 55 F4 E8 ?? ?? ?? ?? 8B D8 83 7D F4 00 74 0A B8 6A 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64122_0 {
	meta:
		name = "@PushCRLF"
		size = 29
	strings:
		$1 = { C6 80 D4 02 00 00 0D C6 80 D5 02 00 00 0A C6 80 D2 02 00 00 02 C6 80 D3 02 00 00 00 C3 }
	condition:
		$1
}

rule function_64123_0 {
	meta:
		name = "ReadAnsiLineEx"
		size = 192
		refs = "0028 TryOpenForInput 0042 DefaultSystemCodePage 0057 @GetAnsiChar 0070 @SkipAnsiChar 0091 @PushCRLF"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B DA 8B F0 8B 7D 08 89 75 F8 8B 45 0C 33 D2 89 10 66 81 7E 04 B1 D7 74 0F 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 80 00 00 00 83 7D FC 00 7E 7A 66 85 FF 75 07 0F B7 3D ?? ?? ?? ?? 89 5D F0 83 7D FC 00 7E 65 8D 55 F7 8B C6 8B CF E8 ?? ?? ?? ?? 8B D8 80 7D F7 00 75 51 80 FB 0A 74 4C 80 FB 0D 75 2A 8B C6 E8 ?? ?? ?? ?? 8D 55 F7 8B C6 8B CF E8 ?? ?? ?? ?? 8B D8 80 FB 0A 75 27 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 1D 8B 45 F0 88 18 8B C6 E8 ?? ?? ?? ?? FF 45 F0 FF 4D FC 8B 45 0C FF 00 83 7D FC 00 7F 9B 8B 45 F8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_64124_0 {
	meta:
		name = "ReadAnsiLineEx2"
		size = 186
		refs = "002b ReadAnsiLineEx 0049 TryOpenForInput 0062 @ReadByte 0091 @PushCRLF"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 80 BE D2 02 00 00 00 74 1C 8B 45 08 50 0F B7 86 D0 02 00 00 50 8B C6 8B CF 8B D3 E8 ?? ?? ?? ?? 89 45 FC EB 7A 89 75 FC 8B 45 08 33 D2 89 10 66 81 7E 04 B1 D7 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 5D 85 FF 7E 59 89 5D F4 85 FF 7E 52 8D 55 FB 8B C6 E8 ?? ?? ?? ?? 8B D8 80 7D FB 00 75 40 80 FB 0A 75 05 FF 4E 0C EB 36 80 FB 0D 75 1F 8D 55 FB 8B C6 E8 ?? ?? ?? ?? 8B D8 80 FB 0A 75 09 8B C6 E8 ?? ?? ?? ?? EB 17 FF 4E 0C EB 0E 8B 45 F4 88 18 FF 45 F4 4F 8B 45 08 FF 00 85 FF 7F AE 8B 45 FC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_64125_0 {
	meta:
		name = "ReadWideLineEx"
		size = 165
		refs = "0024 TryOpenForInput 003d @GetWideChar 0058 @SkipWideChar 0078 @PushCRLF"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 89 75 FC 8B 45 08 33 D2 89 10 66 81 7E 04 B1 D7 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 6D 85 FF 7E 69 89 5D F4 85 FF 7E 62 8D 55 FB 8B C6 E8 ?? ?? ?? ?? 8B D8 80 7D FB 00 75 50 66 83 FB 0A 74 4A 66 83 FB 0D 75 29 8B C6 E8 ?? ?? ?? ?? 8D 55 FB 8B C6 E8 ?? ?? ?? ?? 8B D8 66 83 FB 0A 75 27 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 1B 8B 45 F4 66 89 18 8B C6 E8 ?? ?? ?? ?? 83 45 F4 02 4F 8B 45 08 FF 00 85 FF 7F 9E 8B 45 FC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_64126_0 {
	meta:
		name = "ReadWideLineEx2"
		size = 196
		refs = "002b ReadAnsiLineEx 004c TryOpenForInput 0065 @ReadWord 0098 @PushCRLF"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 80 BE D2 02 00 00 00 74 1F 8B 45 08 50 0F B7 86 D0 02 00 00 50 8B C6 8B CF 8B D3 E8 ?? ?? ?? ?? 89 45 FC E9 81 00 00 00 89 75 FC 8B 45 08 33 D2 89 10 66 81 7E 04 B1 D7 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 64 85 FF 7E 60 89 5D F4 85 FF 7E 59 8D 55 FB 8B C6 E8 ?? ?? ?? ?? 8B D8 80 7D FB 00 75 47 66 83 FB 0A 75 06 83 6E 0C 02 EB 3B 66 83 FB 0D 75 21 8D 55 FB 8B C6 E8 ?? ?? ?? ?? 8B D8 66 83 FB 0A 75 09 8B C6 E8 ?? ?? ?? ?? EB 1A 83 6E 0C 02 EB 10 8B 45 F4 66 89 18 83 45 F4 02 4F 8B 45 08 FF 00 85 FF 7F A7 8B 45 FC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_64127_0 {
	meta:
		name = "@ReadString"
		size = 30
		refs = "0008 DefaultSystemCodePage 0011 ReadAnsiLineEx"
	strings:
		$1 = { 53 51 8B DA 54 0F B7 15 ?? ?? ?? ?? 52 8D 53 01 E8 ?? ?? ?? ?? 0F B6 04 24 88 03 5A 5B C3 }
	condition:
		$1
}

rule function_64128_0 {
	meta:
		name = "@ReadCString"
		size = 30
		refs = "0008 DefaultSystemCodePage 0010 ReadAnsiLineEx"
	strings:
		$1 = { 53 51 8B DA 54 0F B7 15 ?? ?? ?? ?? 52 8B D3 E8 ?? ?? ?? ?? 8B 04 24 C6 04 03 00 5A 5B C3 }
	condition:
		$1
}

rule function_64129_0 {
	meta:
		name = "@ReadLString"
		size = 360
		refs = "0018 @ReadLString 0025 @LStrClr 003a @ReadUString 0046 @LStrFromUStr 005a @LStrSetLength 006b SetCodePage 0077 @UniqueStringA 0085 ReadAnsiLineEx2 009d @LStrLAsg 00f8 @LStrCat 011b @UStrFromLStr 0133 @LStrAsg 0148 @UStrClr 0155 @LStrArrayClr 015b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 66 81 BB D0 02 00 00 B0 04 75 1B 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B C6 8B CF 8B 55 F4 E8 ?? ?? ?? ?? E9 E8 00 00 00 8D 45 F8 33 C9 BA FF 00 00 00 E8 ?? ?? ?? ?? 0F B7 93 D0 02 00 00 8D 45 F8 33 C9 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C3 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 81 7D F0 FF 00 00 00 75 5B 8D 45 F8 33 C9 BA FF 00 00 00 E8 ?? ?? ?? ?? 0F B7 93 D0 02 00 00 8D 45 F8 33 C9 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C3 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 81 7D F0 FF 00 00 00 74 A5 66 3B BB D0 02 00 00 74 1F 83 7D FC 00 74 23 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B C6 8B CF 8B 55 F4 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64130_0 {
	meta:
		name = "@ReadUString"
		size = 265
		refs = "0013 @ReadUString 0020 @UStrClr 003e @UStrSetLength 0051 ReadWideLineEx2 0066 @UStrAsg 0088 @UStrToPWChar 00ab @UStrCat 00ca @ReadLString 00da @UStrFromLStr 00ef @LStrClr 00fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 0F B7 86 D0 02 00 00 66 3D B0 04 0F 85 8D 00 00 00 8D 45 FC BA FF 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8B C6 B9 FF 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 81 7D F4 FF 00 00 00 75 6B 8D 45 FC BA FF 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C6 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 81 7D F4 FF 00 00 00 74 B3 EB 1C 8B C8 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 74 0A 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64131_0 {
	meta:
		name = "@ReadWChar"
		size = 29
		refs = "000a @GetWideChar 0013 @SkipWideChar"
	strings:
		$1 = { 53 56 51 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 5A 5E 5B C3 }
	condition:
		$1
}

rule function_64132_0 {
	meta:
		name = "@ReadWCString"
		size = 31
		refs = "000f ReadWideLineEx"
	strings:
		$1 = { 53 51 8B DA 54 D1 F9 79 03 83 D1 00 8B D3 E8 ?? ?? ?? ?? 8B 04 24 66 C7 04 43 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_64133_0 {
	meta:
		name = "@ReadWString"
		size = 73
		refs = "000c @ReadWString 001a @ReadUString 0024 @WStrFromUStr 0039 @UStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_82702_0 {
	meta:
		name = "FontToOleFont"
		size = 73
		refs = "000c FontToOleFont 001a GetOleFont 0024 @VarFromDisp 0039 @IntfClear 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_64134_0 {
	meta:
		name = "@ValExtL"
		size = 93
		refs = "0015 @ValExtL 0025 @UStrFromLStr 002f @ValExt 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B D3 E8 ?? ?? ?? ?? 8B 45 EC 8B D6 E8 ?? ?? ?? ?? DB 7D F0 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DB 6D F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64135_0 {
	meta:
		name = "@ReadExt"
		size = 208
		refs = "0014 @ReadExt 0022 @SeekEof 0041 @UStrSetLength 0056 DefaultSystemCodePage 005b @GetAnsiChar 006d @SkipAnsiChar 0092 @ValExt 00a6 SetInOutRes 00bb @UStrClr 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0E 33 C0 89 45 E8 89 45 EC 66 89 45 F0 EB 72 8D 45 FC BA 40 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC BE 40 00 00 00 8D 55 E7 8B 45 F8 0F B7 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 20 76 14 0F B6 C0 66 89 03 8B 45 F8 E8 ?? ?? ?? ?? 83 C3 02 4E 75 D6 8B D3 2B 55 FC D1 FA 79 03 83 D2 00 8D 45 FC E8 ?? ?? ?? ?? 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? DB 7D E8 9B 83 7D E0 00 74 0A B8 6A 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DB 6D E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64136_0 {
	meta:
		name = "@ReadLn"
		size = 115
		refs = "000c DefaultSystemCodePage 0011 @GetAnsiChar 001a @SkipAnsiChar"
	strings:
		$1 = { 53 56 51 8B F0 8B D4 8B C6 0F B7 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 80 FB 0A 74 4C 80 3C 24 00 75 46 80 FB 0D 75 26 8B D4 8B C6 0F B7 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 80 FB 0A 74 23 80 3C 24 00 75 1D EB CA 8B D4 8B C6 0F B7 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? EB AF 5A 5E 5B C3 }
	condition:
		$1
}

rule function_64137_0 {
	meta:
		name = "@Rename"
		size = 168
		refs = "000f @Rename 0036 @UStrFromWArray 003f @UStrToPWChar 0045 MoveFile 006a GetLastError 006f SetInOutRes 0090 @UStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 7E 04 B0 D7 75 54 85 DB 75 05 BB ?? ?? ?? ?? 8D 45 FC 8D 56 48 B9 04 01 00 00 E8 ?? ?? ?? ?? 53 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 1C 33 C0 EB 06 66 89 54 46 48 40 0F B7 14 43 66 85 D2 74 1F 3D 03 01 00 00 7C EA EB 16 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A B8 66 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_64139_0 {
	meta:
		name = "@CloseFile"
		size = 38
		refs = "000f InternalClose 0018 InOutError"
	strings:
		$1 = { 53 56 8B D8 66 C7 43 04 B0 D7 33 F6 8B 03 E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? BE 01 00 00 00 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_64140_0 {
	meta:
		name = "OpenFile"
		size = 222
		refs = "0028 SetInOutRes 0038 @CloseFile 003f FileNOPProc 0051 FileMode 005d ShareTab 009d CreateFile 00bd GetStdHandle 00d1 GetLastError"
	strings:
		$1 = { 53 56 57 89 D6 89 CF 31 D2 89 C3 66 8B 50 04 81 EA B0 D7 00 00 74 15 83 FA 03 0F 87 A3 00 00 00 FF 53 24 85 C0 74 05 E8 ?? ?? ?? ?? 66 C7 43 04 B3 D7 89 73 08 C7 43 24 ?? ?? ?? ?? C7 43 1C ?? ?? ?? ?? 66 83 7B 48 00 74 60 B8 00 00 00 C0 8A 15 ?? ?? ?? ?? 83 E2 70 C1 EA 02 8B 92 ?? ?? ?? ?? B9 02 00 00 00 83 EF 03 74 21 B9 03 00 00 00 47 74 19 B8 00 00 00 40 47 66 C7 43 04 B2 D7 74 0B B8 00 00 00 80 66 C7 43 04 B1 D7 6A 00 68 80 00 00 00 51 6A 00 52 50 8D 43 48 50 E8 ?? ?? ?? ?? 83 F8 FF 74 24 89 03 EB 30 C7 43 24 ?? ?? ?? ?? 83 FF 03 74 04 6A F6 EB 02 6A F5 E8 ?? ?? ?? ?? EB DE B8 66 00 00 00 EB 0B 66 C7 43 04 B0 D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64141_0 {
	meta:
		name = "@ResetFile"
		size = 26
		refs = "0003 FileMode 0015 OpenFile"
	strings:
		$1 = { 0F B6 0D ?? ?? ?? ?? 80 E1 03 80 F9 02 76 02 B1 02 0F B6 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64142_0 {
	meta:
		name = "@RewritFile"
		size = 11
		refs = "0006 OpenFile"
	strings:
		$1 = { B9 03 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64143_0 {
	meta:
		name = "@Seek"
		size = 52
		refs = "001d SetFilePointer 0024 InOutError 002f SetInOutRes"
	strings:
		$1 = { 89 C1 0F B7 40 04 2D B1 D7 00 00 83 F8 02 77 19 6A 00 8B 41 08 F7 E2 6A 00 50 FF 31 E8 ?? ?? ?? ?? 40 0F 84 ?? ?? ?? ?? C3 B8 67 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64144_0 {
	meta:
		name = "@SeekEof"
		size = 64
		refs = "0012 DefaultSystemCodePage 0017 @GetAnsiChar 0032 @SkipAnsiChar"
	strings:
		$1 = { 53 56 51 8B F0 C6 04 24 00 8D 54 24 01 8B C6 0F B7 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 80 FB 20 77 16 80 7C 24 01 00 74 06 C6 04 24 01 EB 09 8B C6 E8 ?? ?? ?? ?? EB D1 0F B6 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_64145_0 {
	meta:
		name = "@SeekEoln"
		size = 80
		refs = "0012 DefaultSystemCodePage 0017 @GetAnsiChar 0042 @SkipAnsiChar"
	strings:
		$1 = { 53 56 51 8B F0 C6 04 24 00 8D 54 24 01 8B C6 0F B7 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 80 FB 20 77 26 80 7C 24 01 00 74 06 C6 04 24 01 EB 19 80 FB 0A 74 05 80 FB 0D 75 06 C6 04 24 01 EB 09 8B C6 E8 ?? ?? ?? ?? EB C1 0F B6 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_64146_0 {
	meta:
		name = "@SetTextBuf"
		size = 40
		refs = "0010 Error"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 85 F6 7D 07 B0 04 E8 ?? ?? ?? ?? 89 7B 14 89 73 08 33 C0 89 43 0C 33 C0 89 43 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64147_0 {
	meta:
		name = "@StrLong"
		size = 95
	strings:
		$1 = { 53 56 57 52 83 EC 14 89 CF 89 C6 99 31 D0 29 D0 B9 0A 00 00 00 31 DB 31 D2 F7 F1 83 C2 30 88 14 1C 43 85 C0 75 F1 85 F6 7D 05 C6 04 1C 2D 43 88 1F 47 8B 4C 24 14 81 F9 FF 00 00 00 7E 05 B9 FF 00 00 00 29 D9 7E 07 00 4F FF B0 20 F3 AA 8A 44 1C FF 88 07 47 4B 75 F6 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64149_0 {
	meta:
		name = "@Truncate"
		size = 41
		refs = "0012 SetEndOfFile 001a InOutError 0024 SetInOutRes"
	strings:
		$1 = { 0F B7 50 04 81 EA B1 D7 00 00 83 FA 02 77 0F FF 30 E8 ?? ?? ?? ?? 48 74 0F E9 ?? ?? ?? ?? B8 67 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64150_0 {
	meta:
		name = "@ValLong"
		size = 258
	strings:
		$1 = { 53 56 57 89 C6 50 85 C0 0F 84 83 00 00 00 31 C0 31 DB BF CC CC CC 0C 66 8B 1E 83 C6 02 66 83 FB 20 74 F4 B5 00 66 83 FB 2D 74 76 66 83 FB 2B 74 72 66 83 FB 24 74 74 66 83 FB 78 74 6E 66 83 FB 58 74 68 66 83 FB 30 75 19 66 8B 1E 83 C6 02 66 83 FB 78 74 56 66 83 FB 58 74 50 66 85 DB 74 27 EB 05 66 85 DB 74 35 66 83 EB 30 66 83 FB 09 77 2B 39 F8 77 27 8D 04 80 01 C0 01 D8 66 8B 1E 83 C6 02 66 85 DB 75 E0 FE CD 74 0B 85 C0 7D 68 EB 0B 83 C6 02 EB 06 F7 D8 7E 5D 78 5B 5B 29 DE EB 59 FE C5 66 8B 1E 83 C6 02 EB 86 BF FF FF FF 0F 66 8B 1E 83 C6 02 66 85 DB 74 D6 66 83 FB 61 72 04 66 83 EB 20 66 83 EB 30 66 83 FB 09 76 0E 66 83 EB 11 66 83 FB 05 77 C3 66 83 C3 0A 39 F8 77 BB C1 E0 04 01 D8 66 8B 1E 83 C6 02 66 85 DB 75 CA FE CD 75 02 F7 D8 59 31 F6 D1 EE 89 32 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64151_0 {
	meta:
		name = "@WriteRec"
		size = 72
		refs = "001f WriteFile 003b GetLastError 0040 SetInOutRes"
	strings:
		$1 = { 53 89 C3 0F B7 40 04 2D B2 D7 00 00 83 F8 01 77 22 6A 00 89 E0 6A 00 50 FF 73 08 52 FF 33 E8 ?? ?? ?? ?? 5A 48 75 13 3B 53 08 74 18 B8 65 00 00 00 EB 0C B8 05 00 00 00 EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 D8 5B C3 }
	condition:
		$1
}

rule function_64152_0 {
	meta:
		name = "TryOpenForOutput"
		size = 66
		refs = "0005 Output 000d ErrOutput 0016 DefaultTextLineBreakStyle 0021 @RewritText 003a SetInOutRes"
	strings:
		$1 = { 53 8B D8 81 FB ?? ?? ?? ?? 74 08 81 FB ?? ?? ?? ?? 75 12 0F B6 05 ?? ?? ?? ?? 66 89 43 06 8B C3 E8 ?? ?? ?? ?? 66 81 7B 04 B2 D7 0F 94 C0 8B D8 84 DB 75 0A B8 69 00 00 00 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_64153_0 {
	meta:
		name = "@WriteBytes"
		size = 83
		refs = "0010 TryOpenForOutput 0042 SetInOutRes"
	strings:
		$1 = { 56 57 89 D6 66 81 78 04 B2 D7 74 0F 50 52 51 E8 ?? ?? ?? ?? 84 C0 59 5A 58 74 35 8B 78 14 03 78 0C 8B 50 08 2B 50 0C 39 CA 7F 20 01 50 0C 29 D1 50 51 89 D1 F3 A4 FF 50 1C 85 C0 75 04 59 58 EB DA E8 ?? ?? ?? ?? 59 58 5F 5E C3 01 48 0C F3 A4 5F 5E C3 }
	condition:
		$1
}

rule function_64154_0 {
	meta:
		name = "@WriteSpaces"
		size = 201
		refs = "0010 @WriteSpaces 002c @LStrSetLength 0034 @UniqueStringA 0042 @FillChar 0051 @Write0LString 0056 @GetTls 005c InOutRes 00b5 @LStrClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B FE 83 FB 40 7E 4A 8D 45 FC 33 C9 BA 40 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 66 B9 20 00 BA 40 00 00 00 E8 ?? ?? ?? ?? 83 FB 40 7E 20 8B C6 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 75 41 83 EB 40 83 FB 40 7F E0 85 DB 7E 35 8D 45 FC 33 C9 8B D3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 66 B9 20 00 8B D3 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64155_0 {
	meta:
		name = "WriteUnicodeFromMBCSBuffer"
		size = 130
		refs = "0009 WriteUnicodeFromMBCSBuffer 0014 DefaultSystemCodePage 0036 InternalUStrFromPCharLen 0044 @Write0UString 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 50 8B 45 08 8B 48 FC 0F BE 89 D2 02 00 00 8B 45 08 8B 50 FC 81 C2 D4 02 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC C6 80 D2 02 00 00 00 8B 45 08 8B 40 FC C6 80 D3 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_64156_0 {
	meta:
		name = "@Write0Char"
		size = 296
		refs = "001d TryOpenForOutput 002d DefaultSystemCodePage 003f @WriteBytes 00bc IsDBCSLeadByteEx 011c WriteUnicodeFromMBCSBuffer"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC 8B 45 FC 66 83 B8 D0 02 00 00 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 0F B7 80 D0 02 00 00 3B 05 ?? ?? ?? ?? 75 15 8D 55 FB 8B 45 FC B9 01 00 00 00 E8 ?? ?? ?? ?? E9 DC 00 00 00 8B 45 FC 80 B8 D2 02 00 00 00 0F 85 80 00 00 00 8B 45 FC C6 80 D2 02 00 00 01 81 3D ?? ?? ?? ?? E9 FD 00 00 75 42 0F B6 45 FB 8B D0 80 C2 3E 80 EA 1E 73 0C 8B 45 FC C6 80 D2 02 00 00 02 EB 46 8B D0 80 C2 20 80 EA 10 73 0C 8B 45 FC C6 80 D2 02 00 00 03 EB 30 04 10 2C 05 73 2A 8B 45 FC C6 80 D2 02 00 00 04 EB 1E 0F B6 45 FB 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0A 8B 45 FC C6 80 D2 02 00 00 02 8B 45 FC C6 80 D3 02 00 00 00 8B 45 FC 80 B8 D2 02 00 00 00 7E 3D 8B 45 FC 0F B6 80 D3 02 00 00 8B 55 FC 0F B6 4D FB 88 8C 02 D4 02 00 00 8B 45 FC FE 80 D3 02 00 00 8B 45 FC 0F B6 80 D3 02 00 00 8B 55 FC 3A 82 D2 02 00 00 75 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_64157_0 {
	meta:
		name = "@WriteChar"
		size = 192
		refs = "0018 @WriteChar 002e @Write0Char 0039 @_FlushMBCSBuffer 004a TryOpenForOutput 0057 DefaultSystemCodePage 0063 @WriteSpaces 0072 @WriteBytes 0089 @LStrFromChar 0095 @WriteLString 00ac @LStrClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B F1 88 55 FB 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FE 01 7F 0F 8B C3 0F B6 55 FB E8 ?? ?? ?? ?? 8B D8 EB 65 8B C3 E8 ?? ?? ?? ?? 66 83 BB D0 02 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 0F B7 83 D0 02 00 00 3B 05 ?? ?? ?? ?? 75 1D 8B D6 4A 8B C3 E8 ?? ?? ?? ?? 8D 55 FB 8B C3 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 EB 21 8D 45 FC 0F B7 0D ?? ?? ?? ?? 0F B6 55 FB E8 ?? ?? ?? ?? 8B C3 8B CE 8B 55 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_64158_0 {
	meta:
		name = "@WriteBool"
		size = 19
		refs = "0009 BoolStrs 000e @WriteString"
	strings:
		$1 = { 83 E2 7F C1 E2 05 8D 14 D5 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64160_0 {
	meta:
		name = "@WriteLong"
		size = 62
		refs = "0018 @StrLong 0025 @PStrNCpy 0030 @WriteString"
	strings:
		$1 = { 53 56 57 81 C4 E0 FE FF FF 8B F9 8B F2 8B D8 8D 4C 24 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 54 24 20 8B C4 B1 1F E8 ?? ?? ?? ?? 8B D4 8B C3 8B CF E8 ?? ?? ?? ?? 81 C4 20 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64163_0 {
	meta:
		name = "@WriteString"
		size = 94
		refs = "0012 @WriteString 0027 @LStrFromString 0033 @WriteLString 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B CF E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64165_0 {
	meta:
		name = "@WriteCString"
		size = 90
		refs = "000f @WriteCString 001f DefaultSystemCodePage 0024 @LStrFromPChar 0030 @WriteLString 0047 @LStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 0F B7 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B CE 8B 55 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64166_0 {
	meta:
		name = "@Write0LString"
		size = 172
		refs = "0016 @Write0LString 0023 @_FlushMBCSBuffer 003a TryOpenForOutput 0056 @LStrLen 005e @LStrToPChar 0068 @WriteBytes 0076 @UStrFromLStr 0080 @Write0UString 0097 @UStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B FB 85 F6 74 59 66 83 BB D0 02 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 0F B7 83 D0 02 00 00 8B D6 83 EA 0C 66 3B 02 75 21 89 75 FC 8B 45 FC E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 8B F8 EB 16 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_64167_0 {
	meta:
		name = "@WriteLString"
		size = 203
		refs = "0018 @WriteLString 0025 @_FlushMBCSBuffer 0032 @WriteSpaces 0047 TryOpenForOutput 0063 @LStrLen 0079 @LStrToPChar 0085 @WriteBytes 0093 @UStrFromLStr 009f @WriteUString 00b6 @UStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 F6 75 0D 8B C3 8B D7 E8 ?? ?? ?? ?? 8B D8 EB 6B 66 83 BB D0 02 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 0F B7 83 D0 02 00 00 8B D6 83 EA 0C 66 3B 02 75 31 89 75 F8 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 8B D7 2B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 4D FC E8 ?? ?? ?? ?? 8B D8 EB 18 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 8B CF E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64169_0 {
	meta:
		name = "@WriteUString"
		size = 247
		refs = "0019 @WriteUString 002d @WriteSpaces 0045 TryOpenForOutput 0059 @UStrLen 006e @UStrToPWChar 007b @WriteBytes 0085 AlternateWriteUnicodeStringProc 00a2 @LStrFromUStr 00aa @LStrLen 00c0 @UniqueStringA 00e2 @LStrClr 00e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 11 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 E9 99 00 00 00 66 83 BB D0 02 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 0F B7 83 D0 02 00 00 66 3D B0 04 75 2D 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 55 F8 2B D7 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 03 C9 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 4E 83 3D ?? ?? ?? ?? 00 74 0E 8B C3 8B D6 FF 15 ?? ?? ?? ?? 8B D8 EB 37 8B C8 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 55 F8 2B D7 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 8B CF E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_64170_0 {
	meta:
		name = "@Write0WString"
		size = 85
		refs = "000f @Write0WString 001f @UStrFromWStr 002b @WriteUString 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 33 C9 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64172_0 {
	meta:
		name = "@Write0WCString"
		size = 85
		refs = "000f @Write0WCString 001f @UStrFromPWChar 002b @WriteUString 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 33 C9 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64171_0 {
	meta:
		name = "@WriteWString"
		size = 89
		refs = "0012 @WriteWString 0022 @UStrFromWStr 002e @WriteUString 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B CF E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64173_0 {
	meta:
		name = "@WriteWCString"
		size = 89
		refs = "0012 @WriteWCString 0022 @UStrFromPWChar 002e @WriteUString 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B CF E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64174_0 {
	meta:
		name = "@Write0WChar"
		size = 268
		refs = "0015 @Write0WChar 002e TryOpenForOutput 0048 @WriteBytes 008d @UStrFromWArray 0099 @WriteUString 00d2 @UStrFromWChar 00f8 @UStrArrayClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 66 89 55 FE 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F3 66 83 BB D0 02 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 66 81 BB D0 02 00 00 B0 04 75 14 8D 55 FE 8B C3 B9 02 00 00 00 E8 ?? ?? ?? ?? E9 91 00 00 00 80 BB D2 02 00 00 00 7E 4C 0F B7 45 FE 66 3D 00 DC 72 39 66 3D 00 E0 73 33 0F B7 45 FE 66 89 83 D6 02 00 00 66 C7 83 D8 02 00 00 00 00 8D 45 F8 8D 93 D4 02 00 00 B9 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 33 C9 E8 ?? ?? ?? ?? C6 83 D2 02 00 00 00 EB 3C 0F B7 45 FE 66 3D 00 D8 72 1A 66 3D 00 DC 73 14 C6 83 D2 02 00 00 02 0F B7 45 FE 66 89 83 D4 02 00 00 EB 18 8D 45 F4 0F B7 55 FE E8 ?? ?? ?? ?? 8B 55 F4 8B C3 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64175_0 {
	meta:
		name = "@WriteWChar"
		size = 78
		refs = "0013 @Write0WChar 003d @WriteSpaces"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 83 FE 01 7F 0B 8B C3 8B D7 E8 ?? ?? ?? ?? EB 31 66 83 BB D4 02 00 00 00 74 14 8B C3 66 BA 3F 00 E8 ?? ?? ?? ?? 66 C7 83 D4 02 00 00 00 00 8B D6 4A 8B C3 E8 ?? ?? ?? ?? 8B C3 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64177_0 {
	meta:
		name = "@WriteVariant"
		size = 150
		refs = "0011 @WriteVariant 0024 VarToLStrProc 003c @WriteLString 0044 VarToUStrProc 005c @WriteUString 0065 Error 007a @UStrClr 0082 @LStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 3A 00 01 75 20 83 3D ?? ?? ?? ?? 00 74 17 8D 45 FC FF 15 ?? ?? ?? ?? 8B C3 8B CE 8B 55 FC E8 ?? ?? ?? ?? EB 27 83 3D ?? ?? ?? ?? 00 74 17 8D 45 F8 FF 15 ?? ?? ?? ?? 8B C3 8B CE 8B 55 F8 E8 ?? ?? ?? ?? EB 07 B0 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_64178_0 {
	meta:
		name = "@Write2Ext"
		size = 50
		refs = "001b @Str2Ext 0024 @WriteString"
	strings:
		$1 = { DB 6C 24 04 81 EC 00 01 00 00 50 52 83 EC 0C DB 3C 24 89 D0 89 CA 8D 4C 24 14 E8 ?? ?? ?? ?? 59 58 89 E2 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 C2 0C 00 C3 }
	condition:
		$1
}

rule function_64179_0 {
	meta:
		name = "@Write1Ext"
		size = 9
		refs = "0004 @Write2Ext"
	strings:
		$1 = { 83 C9 FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64180_0 {
	meta:
		name = "@Write0Ext"
		size = 14
		refs = "0009 @Write2Ext"
	strings:
		$1 = { BA 17 00 00 00 83 C9 FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64181_0 {
	meta:
		name = "@WriteLn"
		size = 42
		refs = "000f @Write0Char 0021 @Flush"
	strings:
		$1 = { 53 56 8B D8 F6 43 06 01 74 09 8B C3 B2 0D E8 ?? ?? ?? ?? 8B C3 B2 0A E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_64182_0 {
	meta:
		name = "@_CToPasStr"
		size = 11
		refs = "0006 @_CLenToPasStr"
	strings:
		$1 = { B9 FF 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64183_0 {
	meta:
		name = "@_CLenToPasStr"
		size = 45
	strings:
		$1 = { 53 50 85 D2 74 21 81 F9 FF 00 00 00 76 05 B9 FF 00 00 00 8A 1A 42 84 DB 74 06 40 88 18 49 75 F3 5A 29 D0 88 02 5B C3 5A 31 C0 EB F7 C3 }
	condition:
		$1
}

rule function_64184_0 {
	meta:
		name = "@_ArrayToPasStr"
		size = 23
		refs = "0012 Move"
	strings:
		$1 = { 81 F9 FF 00 00 00 7E 05 B9 FF 00 00 00 88 08 40 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64185_0 {
	meta:
		name = "@_PasToCStr"
		size = 29
		refs = "000f Move"
	strings:
		$1 = { 53 56 8B F2 8B D8 0F B6 0B 8B D6 8D 43 01 E8 ?? ?? ?? ?? 0F B6 03 C6 04 06 00 5E 5B C3 }
	condition:
		$1
}

rule function_64186_0 {
	meta:
		name = "@SetElem"
		size = 34
	strings:
		$1 = { 53 57 89 C7 31 DB 88 CB 89 D9 31 C0 F3 AA 29 DF 40 88 D1 D2 C0 C1 E9 03 39 D9 73 03 08 04 39 5F 5B C3 }
	condition:
		$1
}

rule function_64187_0 {
	meta:
		name = "@SetRange"
		size = 86
	strings:
		$1 = { 53 56 57 31 DB 88 E3 0F B6 F0 0F B6 D2 89 CF 89 D9 31 C0 F3 AA 29 DF C1 E3 03 39 DA 72 03 8D 53 FF 39 D6 77 2D 48 89 F1 80 E1 07 D2 E0 C1 EE 03 88 D1 F6 D1 80 E1 07 D2 EC C1 EA 03 01 F7 89 D1 29 F1 75 06 20 E0 88 07 EB 08 AA 49 B0 FF F3 AA 88 27 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64188_0 {
	meta:
		name = "@SetEq"
		size = 51
	strings:
		$1 = { 56 57 89 C6 89 D7 81 E1 FF 00 00 00 49 74 14 0F B7 44 31 FF 0F B7 54 39 FF 39 D0 75 03 49 75 EC 5F 5E C3 8A 04 31 8A 14 39 38 D0 75 F3 09 C9 5F 5E C3 C3 }
	condition:
		$1
}

rule function_64189_0 {
	meta:
		name = "@SetLe"
		size = 15
	strings:
		$1 = { 8A 2A F6 D5 22 28 75 06 42 40 FE C9 75 F2 C3 }
	condition:
		$1
}

rule function_64190_0 {
	meta:
		name = "@SetIntersect"
		size = 11
	strings:
		$1 = { 8A 2A 42 20 28 40 FE C9 75 F6 C3 }
	condition:
		$1
}

rule function_64191_0 {
	meta:
		name = "@SetIntersect3"
		size = 24
	strings:
		$1 = { 53 56 8B 74 24 0C 8A 5C 11 FF 22 5C 31 FF 88 5C 01 FF 49 75 F1 5E 5B C3 }
	condition:
		$1
}

rule function_64192_0 {
	meta:
		name = "@SetUnion"
		size = 11
	strings:
		$1 = { 8A 2A 42 08 28 40 FE C9 75 F6 C3 }
	condition:
		$1
}

rule function_64193_0 {
	meta:
		name = "@SetUnion3"
		size = 24
	strings:
		$1 = { 53 56 8B 74 24 0C 8A 5C 11 FF 0A 5C 31 FF 88 5C 01 FF 49 75 F1 5E 5B C3 }
	condition:
		$1
}

rule function_64194_0 {
	meta:
		name = "@SetSub"
		size = 13
	strings:
		$1 = { 8A 2A F6 D5 42 20 28 40 FE C9 75 F4 C3 }
	condition:
		$1
}

rule function_64195_0 {
	meta:
		name = "@SetSub3"
		size = 26
	strings:
		$1 = { 53 56 8B 74 24 0C 8A 5C 31 FF F6 D3 22 5C 11 FF 88 5C 01 FF 49 75 EF 5E 5B C3 }
	condition:
		$1
}

rule function_64196_0 {
	meta:
		name = "@SetExpand"
		size = 31
	strings:
		$1 = { 56 57 89 C6 89 D7 89 CA 31 C9 31 C0 88 D1 F3 AA 88 F1 28 D1 F3 A4 B1 20 28 F1 F3 AA 5F 5E C3 }
	condition:
		$1
}

rule function_64197_0 {
	meta:
		name = "ScaleExt"
		size = 104
		refs = "0010 TExtended80Rec.Exponent 0046 Power10 0051 ScaleExt"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B EC 33 FF EB 40 8B C3 E8 ?? ?? ?? ?? 8B F0 0F BF C6 69 C0 10 4D 00 00 89 45 00 8B C5 83 C0 02 0F BF 00 89 45 00 83 7D 00 00 74 28 03 7D 00 0F B7 43 08 50 FF 73 04 FF 33 8B 45 00 F7 D8 E8 ?? ?? ?? ?? DB 3B 9B DB 2B D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 B2 8B C7 5A 5D 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_64198_0 {
	meta:
		name = "RoundDigits"
		size = 24
	strings:
		$1 = { 80 7C 10 01 35 72 10 80 3C 10 39 75 07 C6 04 10 30 4A EB F3 FE 04 10 C3 }
	condition:
		$1
}

rule function_64199_0 {
	meta:
		name = "GetBcdBytes"
		size = 13
	strings:
		$1 = { 55 8B EC DB 6D 08 DF 30 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_64200_0 {
	meta:
		name = "EmitDigits"
		size = 236
		refs = "0014 ScaleExt 0025 EmitDigits 002c @ROUND 0072 GetBcdBytes 00c5 RoundDigits"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B D9 8B F2 89 45 FC 8D 45 08 E8 ?? ?? ?? ?? 66 89 03 C6 06 30 DB 6D 08 D9 E1 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC DF 6D E8 DB 7D 08 9B DB 6D 08 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 77 15 DB 6D 08 DB 2D ?? ?? ?? ?? DE E9 DB 7D 08 9B C6 06 31 FF 4D FC 0F B7 45 10 50 FF 75 0C FF 75 08 8D 45 F2 E8 ?? ?? ?? ?? BA 08 00 00 00 8D 45 FA 0F B6 08 8B D9 80 E3 0F 0F B6 FB C1 E7 08 66 81 C7 30 30 80 E1 F0 0F B6 C9 C1 E9 04 66 03 F9 8B CA 03 C9 BB 11 00 00 00 2B D9 8D 0C 1E 66 89 39 4A 48 83 FA FF 75 C9 C6 46 13 00 83 7D FC 12 7F 0A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 00 C5 2E BC A2 B1 37 40 00 00 00 00 40 76 3A 6B 0B DE 3A 40 00 00 }
	condition:
		$1
}

rule function_64201_0 {
	meta:
		name = "@Str2Ext"
		size = 1164
		refs = "001f @Str2Ext 003a TExtended80Rec.SpecialType 005b StringOfChar 0068 @UStrCat 0077 @UStrToString 0120 EmitDigits 0129 @SetLength 014a @FillChar 01b2 Move 027a RoundDigits 0421 @UStrArrayClr 0427 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D D8 8B F9 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 FB FF 00 00 00 7E 05 BB FF 00 00 00 8D 45 08 E8 ?? ?? ?? ?? 2C 06 74 3E FE C8 74 6C FE C8 0F 85 96 00 00 00 8D 4D D8 8B D3 83 EA 03 66 B8 20 00 E8 ?? ?? ?? ?? 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B C7 B9 FF 00 00 00 E8 ?? ?? ?? ?? E9 8B 03 00 00 8D 4D D4 8B D3 83 EA 04 66 B8 20 00 E8 ?? ?? ?? ?? 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B C7 B9 FF 00 00 00 E8 ?? ?? ?? ?? E9 59 03 00 00 8D 4D D0 8B D3 83 EA 04 66 B8 20 00 E8 ?? ?? ?? ?? 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B C7 B9 FF 00 00 00 E8 ?? ?? ?? ?? E9 27 03 00 00 83 7D FC 00 7C 15 DB 6D 08 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 0F 83 22 01 00 00 83 FB 0A 7D 05 BB 0A 00 00 00 0F B7 45 10 50 FF 75 0C FF 75 08 8D 4D F2 8D 55 DE 8B C3 83 E8 08 E8 ?? ?? ?? ?? 8B C7 8B D3 E8 ?? ?? ?? ?? 8D 47 01 89 45 F4 83 FB 1A 7E 1D 8B F3 83 EE 12 8B D6 83 EA 08 8D 47 01 66 B9 20 00 E8 ?? ?? ?? ?? 8D 44 37 F9 89 45 F4 DB 6D 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 08 8B 45 F4 C6 00 2D EB 06 8B 45 F4 C6 00 20 8D 45 DF 89 45 F8 80 7D DE 31 75 0A 8D 45 DE 89 45 F8 66 FF 45 F2 8B 45 F8 0F B6 00 8B 55 F4 88 42 01 8B 45 F4 C6 40 02 2E 8B C3 83 E8 09 83 F8 11 7D 13 8B C8 8B 45 F4 8D 50 03 8B 45 F8 40 E8 ?? ?? ?? ?? EB 14 8B 45 F4 8D 50 03 8B 45 F8 40 B9 11 00 00 00 E8 ?? ?? ?? ?? C6 44 1F FB 45 66 83 7D F2 00 7D 0B C6 44 1F FC 2D 66 F7 5D F2 EB 05 C6 44 1F FC 2B BE 03 00 00 00 0F BF 45 F2 B9 0A 00 00 00 99 F7 F9 80 C2 30 8B C3 83 E8 03 03 C6 88 14 07 0F BF 45 F2 B9 0A 00 00 00 99 F7 F9 66 89 45 F2 4E 83 FE FF 75 D1 E9 EA 01 00 00 0F B7 45 10 50 FF 75 0C FF 75 08 8D 4D F2 8D 55 DE B8 12 00 00 00 E8 ?? ?? ?? ?? 8D 45 DE 89 45 F8 80 7D DE 31 75 06 66 FF 45 F2 EB 03 FF 45 F8 81 7D FC D8 00 00 00 7E 07 C7 45 FC D8 00 00 00 0F BF 55 F2 8B C2 03 45 FC 83 F8 12 7D 2F 85 C0 7C 2B 03 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 DE 3B 45 F8 74 18 8B 45 F8 80 38 30 75 10 8B 45 F8 80 78 FF 30 74 07 FF 4D F8 66 FF 45 F2 33 F6 83 7D FC 00 7E 06 8B 45 FC 40 03 F0 66 83 7D F2 00 7F 03 46 EB 07 0F BF 45 F2 40 03 F0 DB 6D 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 01 46 3B DE 7D 11 8B C7 8B D6 E8 ?? ?? ?? ?? 8D 47 01 89 45 F4 EB 22 8B C7 8B D3 E8 ?? ?? ?? ?? 8B D3 2B D6 8D 47 01 66 B9 20 00 E8 ?? ?? ?? ?? 2B DE 8D 44 1F 01 89 45 F4 DB 6D 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 09 8B 45 F4 C6 00 2D FF 45 F4 66 83 7D F2 00 7D 08 8B 45 F4 C6 00 30 EB 46 66 83 7D F2 12 7D 12 0F BF 4D F2 41 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? EB 26 8B 55 F4 8B 45 F8 B9 12 00 00 00 E8 ?? ?? ?? ?? 0F BF 55 F2 83 EA 11 8B 45 F4 83 C0 12 66 B9 30 00 E8 ?? ?? ?? ?? 0F BF 45 F2 01 45 F4 83 7D FC 00 0F 8E 90 00 00 00 8B 45 F4 C6 40 01 2E 83 45 F4 02 0F BF 55 F2 F7 DA 4A 8B 45 F4 66 B9 30 00 E8 ?? ?? ?? ?? 0F BF 45 F2 8B D0 F7 DA 4A 85 D2 7E 03 01 55 F4 66 83 7D F2 00 7D 07 BE 12 00 00 00 EB 18 66 83 7D F2 12 7D 0F 8B D0 42 01 55 F8 BE 11 00 00 00 2B F0 EB 02 33 F6 3B 75 FC 7C 10 8B 55 F4 8B 45 F8 8B 4D FC E8 ?? ?? ?? ?? EB 27 8B 55 F4 8B 45 F8 8B CE E8 ?? ?? ?? ?? 8B 55 FC 2B D6 0F BF 45 F2 03 D0 42 8B 45 F4 03 C6 66 B9 30 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4E 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2B 00 49 00 6E 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2D 00 49 00 6E 00 66 00 00 00 00 00 F3 FF FF FF FF FF FF FF 75 40 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_64202_0 {
	meta:
		name = "@Str1Ext"
		size = 38
		refs = "001c @Str2Ext"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 0F B7 45 10 50 FF 75 0C FF 75 08 8B CE 83 CA FF 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_64203_0 {
	meta:
		name = "@Str0Ext"
		size = 37
		refs = "001c @Str2Ext"
	strings:
		$1 = { 55 8B EC 53 8B D8 0F B7 45 10 50 FF 75 0C FF 75 08 8B CB 83 CA FF B8 17 00 00 00 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_64204_0 {
	meta:
		name = "@ValExt"
		size = 312
		refs = "0057 Ten 0110 @Pow10"
	strings:
		$1 = { 53 31 DB 56 57 53 89 C6 50 D9 EE 31 C0 31 DB 31 FF 53 85 F6 0F 84 11 01 00 00 66 8B 1E 83 C6 02 66 83 FB 20 74 F4 B5 00 66 83 FB 2D 74 08 66 83 FB 2B 74 04 EB 08 FE C5 66 8B 1E 83 C6 02 66 85 DB 0F 84 E7 00 00 00 8B 7C 24 08 66 83 EB 30 66 83 FB 09 77 19 DC 8F ?? ?? ?? ?? 89 1C 24 DA 04 24 66 8B 1E 83 C6 02 66 85 DB 75 DF EB 33 66 83 FB FE 75 31 66 8B 1E 83 C6 02 66 85 DB 74 22 66 83 EB 30 66 83 FB 09 77 1C DC 8F ?? ?? ?? ?? 89 1C 24 DA 04 24 48 66 8B 1E 83 C6 02 66 85 DB 75 DE 31 FF EB 66 66 83 FB 15 74 06 66 83 FB 35 75 7D 66 8B 1E 83 C6 02 B4 00 66 83 FB 2D 74 08 66 83 FB 2B 74 04 EB 08 FE C4 66 8B 1E 83 C6 02 66 83 EB 30 66 83 FB 09 77 55 89 DF 66 8B 1E 83 C6 02 66 85 DB 74 1C 66 83 EB 30 66 83 FB 09 77 3E 8D 3C BF 01 FF 01 DF 66 8B 1E 83 C6 02 66 85 DB 75 E4 FE CC 75 02 F7 DF 0F BE C0 01 F8 52 51 E8 ?? ?? ?? ?? 59 5A FE CD 74 0D 83 C4 0C 31 F6 D1 EE 89 32 5F 5E 5B C3 D9 E0 EB EF 83 C6 02 58 5B 29 DE 83 C4 04 EB E8 C3 }
	condition:
		$1
}

rule function_64206_0 {
	meta:
		name = "Power10"
		size = 28
		refs = "000c @Pow10"
	strings:
		$1 = { 55 8B EC 83 C4 F0 DB 6D 08 89 C0 E8 ?? ?? ?? ?? DB 7D F0 DB 6D F0 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_64207_0 {
	meta:
		name = "@Pow10"
		size = 180
		refs = "0023 Pow10Tab0 003b Pow10Tab1 004c Pow10Tab2 009d @Pow10"
	strings:
		$1 = { 53 31 DB 85 C0 7C 4D 0F 84 9A 00 00 00 3D 00 14 00 00 0F 8D 81 00 00 00 89 C2 83 E2 1F 8D 14 92 DB AC 53 ?? ?? ?? ?? DE C9 C1 E8 05 74 79 89 C2 83 E2 0F 74 0C 8D 14 92 DB AC 53 ?? ?? ?? ?? DE C9 C1 E8 04 74 61 8D 04 80 DB AC 43 ?? ?? ?? ?? DE C9 EB 53 F7 D8 3D 00 14 00 00 7D 46 89 C2 83 E2 1F 8D 14 92 DB AC 53 ?? ?? ?? ?? DE F9 C1 E8 05 74 34 89 C2 83 E2 0F 74 0C 8D 14 92 DB AC 53 ?? ?? ?? ?? DE F9 C1 E8 04 74 1C 8D 04 80 DB AC 43 ?? ?? ?? ?? DE F9 EB 0E DD D8 DB AB ?? ?? ?? ?? EB 04 DD D8 D9 EE 5B C3 00 00 00 00 00 00 00 80 FF 7F C3 }
	condition:
		$1
}

rule function_64208_0 {
	meta:
		name = "@Real2Ext"
		size = 46
	strings:
		$1 = { 8A 70 05 80 E6 80 8A 10 84 D2 74 1E 66 81 C2 7E 3F 52 8B 50 02 81 CA 00 00 00 80 52 8A 50 01 C1 E2 18 52 DB 2C 24 83 C4 0C C3 D9 EE C3 C3 }
	condition:
		$1
}

rule function_64209_0 {
	meta:
		name = "@Ext2Real"
		size = 75
		refs = "0046 Error"
	strings:
		$1 = { 53 83 EC 0C DB 3C 24 5B 5A 59 C1 EB 18 80 D3 00 83 D2 00 66 83 D1 00 70 29 01 D2 66 01 C9 D1 DA 66 D1 E9 66 81 E9 7E 3F 7E 0E 84 ED 7F 14 88 08 88 58 01 89 50 02 5B C3 31 C9 89 08 66 89 48 04 5B C3 5B B0 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64210_0 {
	meta:
		name = "@ObjSetup"
		size = 94
		refs = "0014 @GetMem"
	strings:
		$1 = { 83 FA 01 73 01 C3 51 85 C0 75 43 8B 42 F8 85 C0 74 35 52 E8 ?? ?? ?? ?? 5A 85 C0 74 26 57 8B 4A F8 89 C7 50 31 C0 C1 E9 02 F3 AB 8B 4A F8 83 E1 03 F3 AA 58 5F 8B 4A FC 85 C9 7C 03 89 14 01 85 C0 59 C3 31 D2 59 C3 31 D2 83 F8 01 59 C3 8B 4A FC 85 C9 7C 03 89 14 01 31 D2 85 C0 59 C3 }
	condition:
		$1
}

rule function_64211_0 {
	meta:
		name = "@ObjCopy"
		size = 35
	strings:
		$1 = { 53 56 57 89 D6 89 C7 8D 04 39 8B 10 8B 5A F8 89 D9 C1 E9 02 F3 A5 89 D9 83 E1 03 F3 A4 89 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64212_0 {
	meta:
		name = "@Fail"
		size = 12
		refs = "0005 @FreeMem"
	strings:
		$1 = { 85 D2 74 05 E8 ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule function_64213_0 {
	meta:
		name = "GetBriefSSEType"
		size = 51
	strings:
		$1 = { 53 9C 58 89 C1 35 00 00 20 00 50 9D 9C 58 31 C8 74 1F B8 01 00 00 00 0F A2 31 C0 F7 C2 00 00 00 02 74 03 83 C8 01 F7 C2 00 00 00 04 74 03 83 C8 02 5B C3 }
	condition:
		$1
}

rule function_64214_0 {
	meta:
		name = "@InitializeControlWord"
		size = 26
		refs = "0001 GetBriefSSEType 0006 TestSSE 000b GetMXCSR 0015 DefaultMXCSR"
	strings:
		$1 = { E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 25 C0 FF 00 00 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64215_0 {
	meta:
		name = "@FpuInit"
		size = 10
		refs = "0005 Default8087CW"
	strings:
		$1 = { DB E3 9B D9 2D ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64216_0 {
	meta:
		name = "@BoundErr"
		size = 8
		refs = "0003 Error"
	strings:
		$1 = { B0 04 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64217_0 {
	meta:
		name = "@IntOver"
		size = 8
		refs = "0003 Error"
	strings:
		$1 = { B0 05 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64219_0 {
	meta:
		name = "TObject.ClassName"
		size = 21
		refs = "000e UTF8ToString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 83 C3 C8 8B 03 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64220_0 {
	meta:
		name = "TObject.QualifiedClassName"
		size = 144
		refs = "0011 TObject.QualifiedClassName 0021 TObject.UnitScope 0030 TObject.ClassName 0053 @UStrCatN 006d @UStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 21 FF 75 FC 68 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? FF 75 F8 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_64221_0 {
	meta:
		name = "TObject.ClassNameIs"
		size = 124
		refs = "000f TObject.ClassNameIs 001f TObject.ClassName 0026 @UStrLen 002e @UStrToPWChar 0048 UTF8CompareLocale 004e CompareString 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 01 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 02 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64222_0 {
	meta:
		name = "TObject.ClassParent"
		size = 10
	strings:
		$1 = { 8B 40 D0 85 C0 74 02 8B 00 C3 }
	condition:
		$1
}

rule function_64223_0 {
	meta:
		name = "TObject.NewInstance"
		size = 26
		refs = "0006 TObject.InstanceSize 000b @GetMem 0014 TObject.InitInstance"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74756_0 {
	meta:
		name = "TTreeNodes.GetFirstNode"
		size = 26
		refs = "0006 TTreeNodes.GetHandle 000b TreeView_GetRoot 0014 TTreeNodes.GetNode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64225_0 {
	meta:
		name = "TObject.InstanceSize"
		size = 6
	strings:
		$1 = { 83 C0 CC 8B 00 C3 }
	condition:
		$1
}

rule function_64227_0 {
	meta:
		name = "TObject.Destroy"
		size = 15
		refs = "0001 @BeforeDestruction 000a @ClassDestroy"
		altNames = "TRawVirtualClass.TVTable.Destroy"
	strings:
		$1 = { E8 ?? ?? ?? ?? 84 D2 7E 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64228_0 {
	meta:
		name = "TObject.Free"
		size = 12
	strings:
		$1 = { 85 C0 74 07 B2 01 8B 08 FF 51 FC C3 }
	condition:
		$1
}

rule function_64229_0 {
	meta:
		name = "TObject.InitInstance"
		size = 86
	strings:
		$1 = { 53 56 57 89 C3 89 D7 AB 8B 4B CC 31 C0 51 C1 E9 02 49 F3 AB 59 83 E1 03 F3 AA 89 D0 89 E2 8B 4B AC 85 C9 74 01 51 8B 5B D0 85 DB 74 04 8B 1B EB ED 39 D4 74 1D 5B 8B 0B 83 C3 04 8B 73 10 85 F6 74 06 8B 7B 14 89 34 07 83 C3 1C 49 75 ED 39 D4 75 E3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64230_0 {
	meta:
		name = "TObject.CleanupInstance"
		size = 39
		refs = "0013 @FinalizeRecord 0020 TMonitor.Destroy"
	strings:
		$1 = { 53 56 89 C3 89 C6 8B 36 8B 56 B4 8B 76 D0 85 D2 74 07 E8 ?? ?? ?? ?? 89 D8 85 F6 75 E9 89 D8 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64231_0 {
	meta:
		name = "InvokeImplGetter"
		size = 45
		refs = "0028 @IntfCopy"
	strings:
		$1 = { 87 D1 81 F9 00 00 00 FF 73 11 81 F9 00 00 00 FE 72 07 0F BF C9 03 08 FF 21 FF E1 81 E1 FF FF FF 00 01 C1 89 D0 8B 11 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64232_0 {
	meta:
		name = "TGIFImage.Equals"
		size = 6
		altNames = "TObject.Equals"
	strings:
		$1 = { 3B C2 0F 94 C0 C3 }
	condition:
		$1
}

rule function_64234_0 {
	meta:
		name = "TObject.GetInterface"
		size = 171
		refs = "0019 TObject.GetInterface 002d TObject.GetInterfaceEntry 005a InvokeImplGetter 0064 @IntfCopy 006e ObjCastGUID 0073 TGUID.&op_Equality 0096 @IntfClear 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 03 8B 55 FC 8B 07 E8 ?? ?? ?? ?? 8B F0 85 F6 74 33 8B 46 14 85 C0 74 13 03 F8 89 3B 83 3B 00 74 36 8B 03 50 8B 00 FF 50 04 EB 2C 8D 4D F8 8B 56 18 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 13 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 02 89 3B 83 3B 00 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_64235_0 {
	meta:
		name = "TObject.GetInterfaceEntry"
		size = 68
	strings:
		$1 = { 53 56 89 C3 8B 43 AC 85 C0 74 29 8B 08 83 C0 04 8B 32 3B 30 75 18 8B 72 04 3B 70 04 75 10 8B 72 08 3B 70 08 75 08 8B 72 0C 3B 70 0C 74 13 83 C0 1C 49 75 DC 8B 5B D0 85 DB 74 04 8B 1B EB C5 31 C0 5E 5B C3 }
	condition:
		$1
}

rule function_64236_0 {
	meta:
		name = "TObject.GetInterfaceTable"
		size = 6
	strings:
		$1 = { 83 C0 AC 8B 00 C3 }
	condition:
		$1
}

rule function_64237_0 {
	meta:
		name = "TObject.UnitName"
		size = 124
		refs = "000b TObject.ClassInfo 002e UTF8ToString 0043 @WCharToString 004e Pos 005d @Copy 006f @UStrClr"
	strings:
		$1 = { 53 56 81 C4 00 FF FF FF 8B F2 E8 ?? ?? ?? ?? 85 C0 74 59 8B D0 8B CA 83 C1 02 42 0F B6 02 03 C8 8D 59 0A 80 7B 01 40 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 3F 54 8D 44 24 04 66 BA 3A 00 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 44 24 04 8B D3 E8 ?? ?? ?? ?? 8B D0 42 8B C3 B9 FF FF FF 7F E8 ?? ?? ?? ?? 8B C4 8B D6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_64238_0 {
	meta:
		name = "TObject.UnitScope"
		size = 126
		refs = "000b TObject.ClassInfo 002e UTF8ToString 0043 @WCharToString 004e Pos 005f @Copy 0071 @UStrClr"
	strings:
		$1 = { 53 56 81 C4 00 FF FF FF 8B F2 E8 ?? ?? ?? ?? 85 C0 74 5B 8B D0 8B CA 83 C1 02 42 0F B6 02 03 C8 8D 59 0A 80 7B 01 40 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 41 54 8D 44 24 04 66 BA 3A 00 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 44 24 04 8B D3 E8 ?? ?? ?? ?? 8B C8 83 E9 02 8B C3 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C4 8B D6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_64239_0 {
	meta:
		name = "@IsClass"
		size = 33
		refs = "000f TObject.InheritsFrom"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 DB 74 0D 8B D6 8B 03 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_64240_0 {
	meta:
		name = "@AsClass"
		size = 48
		refs = "0016 @IsClass 0024 ErrorAt"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 89 5D FC 85 DB 74 17 8B C3 8B D6 E8 ?? ?? ?? ?? 84 C0 75 0A 8B 55 04 B0 0A E8 ?? ?? ?? ?? 8B 45 FC 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64241_0 {
	meta:
		name = "@IntfAsClass"
		size = 26
		refs = "0007 ObjCastGUID 000e @IntfCast 0015 @AsClass"
	strings:
		$1 = { 52 6A 00 89 C2 8D 0D ?? ?? ?? ?? 89 E0 E8 ?? ?? ?? ?? 58 5A E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64242_0 {
	meta:
		name = "@SafeIntfAsClass"
		size = 52
		refs = "000d ObjCastGUID 0020 @IsClass"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 85 DB 74 1D 54 68 ?? ?? ?? ?? 53 8B 03 FF 10 85 C0 75 0E 8B 04 24 8B D6 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 89 04 24 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_64244_0 {
	meta:
		name = "@GetHelperDelegate"
		size = 12
		refs = "0007 TClassHelperBase._Create"
	strings:
		$1 = { 8B C8 8B C2 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64245_0 {
	meta:
		name = "@GetHelperIntf"
		size = 90
		refs = "000d TObject.GetInterfaceTable 0022 TObject.GetInterfaceEntry 0036 @IntfCopy 0041 @GetHelperDelegate"
	strings:
		$1 = { 53 56 57 55 8B F9 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 85 C0 74 27 83 38 00 7E 22 8D 68 04 8B D5 8B 06 E8 ?? ?? ?? ?? 85 C0 74 12 8B C7 8B D6 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? EB 19 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64246_0 {
	meta:
		name = "GetDynaMethod"
		size = 48
	strings:
		$1 = { 57 92 EB 02 8B 12 8B 7A C4 85 FF 74 0D 0F B7 0F 51 83 C7 02 F2 66 AF 74 0C 59 8B 52 D0 85 D2 75 E3 31 C0 5F C3 58 01 C0 29 C8 8B 44 47 FC 5F C3 }
	condition:
		$1
}

rule function_64247_0 {
	meta:
		name = "@CallDynaInst"
		size = 30
		refs = "0007 GetDynaMethod 0019 @AbstractError"
	strings:
		$1 = { 50 51 87 F2 8B 00 E8 ?? ?? ?? ?? 89 C2 87 F2 59 58 85 F6 74 02 FF E6 59 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64248_0 {
	meta:
		name = "@CallDynaClass"
		size = 28
		refs = "0005 GetDynaMethod 0017 @AbstractError"
	strings:
		$1 = { 50 51 87 F2 E8 ?? ?? ?? ?? 89 C2 87 F2 59 58 85 F6 74 02 FF E6 59 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64249_0 {
	meta:
		name = "@FindDynaInst"
		size = 18
		refs = "0003 GetDynaMethod 000d @AbstractError"
	strings:
		$1 = { 8B 00 E8 ?? ?? ?? ?? 85 C0 75 06 59 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64250_0 {
	meta:
		name = "@FindDynaClass"
		size = 16
		refs = "0001 GetDynaMethod 000b @AbstractError"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 75 06 59 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64251_0 {
	meta:
		name = "TObject.InheritsFrom"
		size = 19
	strings:
		$1 = { EB 02 8B 00 39 D0 74 08 8B 40 D0 85 C0 75 F3 C3 B0 01 C3 }
	condition:
		$1
}

rule function_64252_0 {
	meta:
		name = "TObject.ClassInfo"
		size = 6
	strings:
		$1 = { 83 C0 B8 8B 00 C3 }
	condition:
		$1
}

rule function_64253_0 {
	meta:
		name = "TObject.SafeCallException"
		size = 6
	strings:
		$1 = { B8 FF FF 00 80 C3 }
	condition:
		$1
}

rule function_64258_0 {
	meta:
		name = "TObject.Dispatch"
		size = 41
		refs = "0014 GetDynaMethod"
	strings:
		$1 = { 52 66 8B 12 66 09 D2 74 19 66 81 FA 00 C0 73 12 50 8B 00 E8 ?? ?? ?? ?? 89 C1 58 85 C9 74 03 5A FF E1 5A 8B 08 FF 61 F0 C3 }
	condition:
		$1
}

rule function_64259_0 {
	meta:
		name = "UTF8Compare"
		size = 118
		refs = "0022 MultiByteToWideChar 005d UTF8CompareLocale 0063 CompareString"
	strings:
		$1 = { 53 56 81 C4 00 FC FF FF 8B DA 68 00 01 00 00 8D 54 24 04 52 0F B6 10 52 40 50 6A 00 68 E9 FD 00 00 E8 ?? ?? ?? ?? 8B F0 68 00 01 00 00 8D 84 24 04 02 00 00 50 0F B6 03 50 8D 43 01 50 6A 00 68 E9 FD 00 00 E8 ?? ?? ?? ?? 8B D8 53 8D 84 24 04 02 00 00 50 56 8D 44 24 0C 50 6A 01 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 02 0F 94 C0 81 C4 00 04 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_64260_0 {
	meta:
		name = "TObject.MethodAddress"
		size = 112
		refs = "0040 UTF8Compare"
	strings:
		$1 = { 53 56 57 31 C9 31 FF 8A 1A EB 02 8B 00 8B 70 C0 85 F6 74 19 66 8B 3E 85 FF 74 12 83 C6 02 8A 4E 06 38 D9 74 29 66 8B 0E 01 CE 4F 75 F1 8B 40 D0 85 C0 75 D7 EB 36 8A 1A EB EB 50 52 8D 46 06 E8 ?? ?? ?? ?? 31 C9 84 C0 5A 58 74 EA EB 1B B5 00 8A 5C 31 06 F6 C3 80 75 E1 32 1C 11 F6 C3 80 75 D9 80 E3 DF 75 D0 49 75 E7 8B 46 02 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64262_0 {
	meta:
		name = "TObject.MethodAddress"
		size = 39
		refs = "0011 UTF8EncodeToShortString 001a TObject.MethodAddress"
	strings:
		$1 = { 53 56 81 C4 00 FF FF FF 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_64265_0 {
	meta:
		name = "TObject.FieldAddress"
		size = 39
		refs = "0011 UTF8EncodeToShortString 001a TObject.FieldAddress"
	strings:
		$1 = { 53 56 81 C4 00 FF FF FF 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_64263_0 {
	meta:
		name = "TObject.MethodName"
		size = 75
		refs = "0034 TObject.MethodName 0046 UTF8ShortStringToString"
	strings:
		$1 = { 56 57 53 89 CF 31 DB 31 C9 EB 02 8B 00 8B 70 C0 85 F6 74 17 66 8B 0E 85 C9 74 10 83 C6 02 3B 56 02 74 18 66 8B 1E 01 DE 49 75 F3 8B 40 D0 85 C0 75 D9 8D 35 ?? ?? ?? ?? EB 04 00 83 C6 06 89 F0 89 FA 5B 5F 5E E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64264_0 {
	meta:
		name = "TObject.FieldAddress"
		size = 114
		refs = "0042 UTF8Compare"
	strings:
		$1 = { 53 56 57 31 C9 31 FF 8A 1A 50 8B 00 8B 70 BC 85 F6 74 18 66 8B 3E 85 FF 74 11 83 C6 06 8A 4E 06 38 D9 74 2C 8D 74 31 07 4F 75 F2 8B 40 D0 85 C0 75 D8 5A EB 39 8A 1A 8A 4E 06 EB E8 50 52 8D 46 06 E8 ?? ?? ?? ?? 31 C9 84 C0 5A 58 74 E7 EB 19 8A 5C 31 06 F6 C3 80 75 E3 32 1C 11 F6 C3 80 75 DB 80 E3 DF 75 CF 49 75 E7 8B 06 5A 01 D0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64266_0 {
	meta:
		name = "@ClassCreate"
		size = 77
		refs = "001b @ClassCreate 002a @HandleAnyException 0043 @ClassDestroy 0048 @RaiseAgain"
	strings:
		$1 = { 52 51 53 84 D2 7C 03 FF 50 F4 31 D2 8D 4C 24 10 64 8B 1A 89 19 89 69 08 C7 41 04 ?? ?? ?? ?? 89 41 0C 64 89 0A 5B 59 5A C3 E9 ?? ?? ?? ?? 8B 44 24 2C 8B 40 0C 85 C0 74 0E 8B 08 B2 81 50 FF 51 FC 58 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64267_0 {
	meta:
		name = "@ClassDestroy"
		size = 6
	strings:
		$1 = { 8B 10 FF 52 F8 C3 }
	condition:
		$1
}

rule function_64268_0 {
	meta:
		name = "@AfterConstruction"
		size = 78
		refs = "000e @AfterConstruction 0030 @HandleAnyException 003a @BeforeDestruction 003f @RaiseAgain 0044 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 E4 8B 45 FC 64 8F 05 00 00 00 00 83 C4 08 EB 19 E9 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64269_0 {
	meta:
		name = "@BeforeDestruction"
		size = 15
	strings:
		$1 = { 84 D2 7F 01 C3 50 52 8B 10 FF 52 E8 5A 58 C3 }
	condition:
		$1
}

rule function_64271_0 {
	meta:
		name = "TMonitor.TSpinWait.SpinCycle"
		size = 119
		refs = "000d CPUCount 0034 Sleep 0053 Yield 0063 TMonitor.Spin"
	strings:
		$1 = { 53 56 8B D8 8B 03 83 F8 0A 7F 09 83 3D ?? ?? ?? ?? 01 7F 45 83 F8 0A 7C 07 8B C8 83 E9 0A EB 02 8B C8 8B C1 BE 14 00 00 00 99 F7 FE 83 FA 13 75 09 6A 01 E8 ?? ?? ?? ?? EB 2D 8B C1 B9 05 00 00 00 99 F7 F9 83 FA 04 75 09 6A 00 E8 ?? ?? ?? ?? EB 15 E8 ?? ?? ?? ?? EB 0E 8B C8 B8 04 00 00 00 D3 E0 E8 ?? ?? ?? ?? FF 03 83 3B 00 7D 06 C7 03 0A 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_64272_0 {
	meta:
		name = "TMonitor.TSpinLock.Enter"
		size = 47
		refs = "001a InterlockedCompareExchange 0025 TMonitor.TSpinWait.SpinCycle"
	strings:
		$1 = { 53 56 51 8B F0 33 C0 89 04 24 8B 1E 85 DB 75 12 8B C6 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 3B D8 74 09 8B C4 E8 ?? ?? ?? ?? EB DF 5A 5E 5B C3 }
	condition:
		$1
}

rule function_64275_0 {
	meta:
		name = "TMonitor.GetCacheLineSize"
		size = 252
		refs = "000d TMonitor.GetCacheLineSize 0017 GetModuleHandle 001d GetProcAddress 0030 GetLogicalProcessorInformation 0039 GetLastError 0046 @GetMem 0083 @TryFinallyExit 00a7 @FreeMem 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C0 89 45 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 8A 00 00 00 8D 45 F8 50 6A 00 E8 ?? ?? ?? ?? 85 C0 75 7B E8 ?? ?? ?? ?? 83 F8 7A 75 71 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F8 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 FC 83 7D F8 00 76 25 66 83 78 04 02 75 11 80 78 08 01 75 0B 0F B7 58 0A E8 ?? ?? ?? ?? EB 2F 83 C0 18 83 6D F8 18 83 7D F8 00 77 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 BB 40 00 00 00 8B C3 5B 59 59 5D C3 00 47 65 74 4C 6F 67 69 63 61 6C 50 72 6F 63 65 73 73 6F 72 49 6E 66 6F 72 6D 61 74 69 6F 6E 00 00 6B 00 65 00 72 00 6E 00 65 00 6C 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_64276_0 {
	meta:
		name = "TMonitor.CheckMonitorSupport"
		size = 17
		refs = "0002 MonitorSupport 000c Error"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 07 B0 1A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64277_0 {
	meta:
		name = "TMonitor.CheckOwningThread"
		size = 24
		refs = "0005 GetCurrentThreadId 0010 Error"
	strings:
		$1 = { 53 8B 58 08 E8 ?? ?? ?? ?? 3B D8 74 07 B0 19 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_64278_0 {
	meta:
		name = "TMonitor.Create"
		size = 57
		refs = "0002 TMonitor.CacheLineSize 000a TMonitor.GetCacheLineSize 0016 InterlockedExchange 0029 AllocMem"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 E8 ?? ?? ?? ?? 8B D0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 1C 7E 0B A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B8 1C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64279_0 {
	meta:
		name = "TMonitor.Destroy"
		size = 23
		refs = "0001 TMonitor.GetFieldAddress 0012 TMonitor.Destroy"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 10 85 D2 74 0B 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64280_0 {
	meta:
		name = "TMonitor.Destroy"
		size = 41
		refs = "0006 MonitorSupport 0022 @FreeMem"
	strings:
		$1 = { 53 56 8B D8 83 3D ?? ?? ?? ?? 00 74 12 83 7B 0C 00 74 0C 8B 43 0C 8B 35 ?? ?? ?? ?? FF 56 04 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64282_0 {
	meta:
		name = "TMonitor.Enter"
		size = 28
		refs = "0007 TMonitor.CheckMonitorSupport 000e TMonitor.GetMonitor 0015 TMonitor.Enter"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64283_0 {
	meta:
		name = "TMonitor.DequeueWaiter"
		size = 128
		refs = "0010 TMonitor.TSpinLock.Enter 0018 TMonitor.DequeueWaiter 0044 @TryFinallyExit 006d TMonitor.TSpinLock.Exit 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 40 14 89 45 F8 83 7D F8 00 74 0A 8B 45 F8 8B 00 3B 45 F8 75 0F 8B 45 FC 33 D2 89 50 14 E8 ?? ?? ?? ?? EB 2F 8B 55 FC 8B 52 14 8B 02 89 45 F8 8B 00 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_64284_0 {
	meta:
		name = "TMonitor.Enter"
		size = 408
		refs = "0011 TMonitor.TryEnter 0038 GetTickCount 0074 InterlockedCompareExchange 007d GetCurrentThreadId 0095 YieldProcessor 00e9 TMonitor.GetEvent 00f1 MonitorSupport"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B FA 8B F0 8B 6E 10 8B C6 E8 ?? ?? ?? ?? 88 04 24 80 3C 24 00 0F 85 6A 01 00 00 85 FF 0F 84 62 01 00 00 C6 44 24 01 00 85 ED 0F 8E 8C 00 00 00 E8 ?? ?? ?? ?? 89 44 24 04 85 ED 7E 5A 83 FF FF 74 16 E8 ?? ?? ?? ?? 2B 44 24 04 3B F8 77 09 C6 04 24 00 E9 2D 01 00 00 8B 1E 83 FB 01 7F 38 85 DB 75 2A 8B C6 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 18 E8 ?? ?? ?? ?? 89 46 08 C7 46 04 01 00 00 00 C6 04 24 01 E9 F8 00 00 00 E8 ?? ?? ?? ?? 4D 85 ED 7F A6 83 FF FF 74 20 E8 ?? ?? ?? ?? 89 44 24 08 8B 44 24 08 2B 44 24 04 3B F8 77 09 C6 04 24 00 E9 CB 00 00 00 2B F8 8B 1E 85 DB 0F 84 41 FF FF FF 8D 53 02 8B C6 8B CB E8 ?? ?? ?? ?? 3B D8 75 E6 E8 ?? ?? ?? ?? 89 44 24 04 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 1D ?? ?? ?? ?? 8B CF 33 C0 FF 53 10 85 C0 0F 94 04 24 83 FF FF 74 23 E8 ?? ?? ?? ?? 89 44 24 08 8B 44 24 08 2B 44 24 04 3B F8 76 0C 8B 44 24 08 2B 44 24 04 2B F8 EB 02 33 FF 80 3C 24 00 74 23 8B 1E F6 C3 01 75 35 8B D3 83 EA 02 83 CA 01 8B C6 8B CB E8 ?? ?? ?? ?? 3B D8 75 E4 C6 44 24 01 01 EB 19 8B 1E 8B D3 83 EA 02 8B C6 8B CB E8 ?? ?? ?? ?? 3B D8 75 EC C6 44 24 01 01 80 7C 24 01 00 0F 84 66 FF FF FF 80 3C 24 00 74 0F E8 ?? ?? ?? ?? 89 46 08 C7 46 04 01 00 00 00 0F B6 04 24 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64285_0 {
	meta:
		name = "TMonitor.Exit"
		size = 74
		refs = "0007 TMonitor.CheckOwningThread 0023 InterlockedCompareExchange 0036 TMonitor.GetEvent 003c MonitorSupport"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? FF 4E 04 83 7E 04 00 75 33 33 C0 89 46 08 8B 1E 8B D3 4A 8B C6 8B CB E8 ?? ?? ?? ?? 3B D8 75 EE F7 C3 FE FF FF FF 74 14 8B C6 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 33 C9 33 D2 FF 53 10 5E 5B C3 }
	condition:
		$1
}

rule function_64286_0 {
	meta:
		name = "TMonitor.Exit"
		size = 22
		refs = "0004 TMonitor.CheckMonitorSupport 000b TMonitor.GetMonitor 0010 TMonitor.Exit"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64291_0 {
	meta:
		name = "TMonitor.Pulse"
		size = 22
		refs = "0004 TMonitor.CheckMonitorSupport 000b TMonitor.GetMonitor 0010 TMonitor.Pulse"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64293_0 {
	meta:
		name = "TMonitor.PulseAll"
		size = 22
		refs = "0004 TMonitor.CheckMonitorSupport 000b TMonitor.GetMonitor 0010 TMonitor.PulseAll"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64297_0 {
	meta:
		name = "TMonitor.TryEnter"
		size = 22
		refs = "0004 TMonitor.CheckMonitorSupport 000b TMonitor.GetMonitor 0010 TMonitor.TryEnter"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64287_0 {
	meta:
		name = "TMonitor.GetEvent"
		size = 101
		refs = "0014 MonitorSupport 0024 InterlockedCompareExchangePointer 0047 Sleep"
	strings:
		$1 = { 53 56 57 55 8B E8 BE 01 00 00 00 8B 5D 0C 85 DB 75 4C 8B 1D ?? ?? ?? ?? FF 13 8B F8 8D 45 0C 33 C9 8B D7 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 0F 85 FF 74 0B 8B 15 ?? ?? ?? ?? 8B C7 FF 52 04 85 DB 75 19 56 E8 ?? ?? ?? ?? 81 FE 00 02 00 00 7E 07 BE 01 00 00 00 EB B8 03 F6 EB B4 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64288_0 {
	meta:
		name = "TMonitor.GetFieldAddress"
		size = 15
	strings:
		$1 = { 8B 10 83 C2 CC 8B 12 03 D0 83 EA 04 8B C2 C3 }
	condition:
		$1
}

rule function_64289_0 {
	meta:
		name = "TMonitor.GetMonitor"
		size = 57
		refs = "0004 TMonitor.GetFieldAddress 0011 TMonitor.Create 001e InterlockedCompareExchangePointer 002f @FreeMem"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B F0 8B 1E 85 DB 75 23 E8 ?? ?? ?? ?? 8B F8 8B C6 33 C9 8B D7 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 8B DF EB 07 8B C7 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64290_0 {
	meta:
		name = "TMonitor.Pulse"
		size = 28
		refs = "0002 TMonitor.DequeueWaiter 000c MonitorSupport"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 85 C0 74 10 8B 1D ?? ?? ?? ?? 33 C9 33 D2 8B 40 08 FF 53 10 5B C3 }
	condition:
		$1
}

rule function_64292_0 {
	meta:
		name = "TMonitor.PulseAll"
		size = 51
		refs = "0008 TMonitor.DequeueWaiter 0014 MonitorSupport"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1D 8B 3D ?? ?? ?? ?? 33 C9 33 D2 8B 43 08 FF 57 10 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64294_0 {
	meta:
		name = "TMonitor.QueueWaiter"
		size = 109
		refs = "0011 TMonitor.TSpinLock.Enter 0019 TMonitor.QueueWaiter 005d TMonitor.TSpinLock.Exit 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 14 85 C0 75 0A 8B 45 FC 89 58 14 89 1B EB 12 8B 00 89 03 8B 45 FC 8B 40 14 89 18 8B 45 FC 89 58 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_64295_0 {
	meta:
		name = "TMonitor.RemoveWaiter"
		size = 162
		refs = "001f TMonitor.TSpinLock.Enter 0027 TMonitor.RemoveWaiter 0091 TMonitor.TSpinLock.Exit 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B 45 FC 83 78 14 00 0F 84 85 00 00 00 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 33 F6 55 68 ?? ?? ?? ?? 64 FF 36 64 89 26 8B 45 FC 8B 40 14 85 C0 74 42 8B D0 8B 02 EB 0E 3B C3 75 06 8B 08 89 0A EB 0C 8B D0 8B 00 8B 4D FC 3B 41 14 75 EA 8B 4D FC 3B 41 14 75 1E 3B C3 75 1A 8B 08 3B C1 75 0A 8B 45 FC 33 D2 89 50 14 EB 0A 8B D9 8B 45 FC 89 58 14 89 1A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64296_0 {
	meta:
		name = "TMonitor.SetSpinCount"
		size = 29
		refs = "0005 CPUCount 000d TMonitor.GetMonitor 0017 InterlockedExchange"
	strings:
		$1 = { 56 8B F2 83 3D ?? ?? ?? ?? 01 7E 0F E8 ?? ?? ?? ?? 83 C0 10 8B D6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_64298_0 {
	meta:
		name = "TMonitor.TryEnter"
		size = 66
		refs = "0004 GetCurrentThreadId 0023 InterlockedCompareExchange"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 3B 43 08 75 07 FF 43 04 B0 01 5B C3 83 3B 00 75 25 8B C3 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 13 E8 ?? ?? ?? ?? 89 43 08 C7 43 04 01 00 00 00 B0 01 EB 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_64299_0 {
	meta:
		name = "TMonitor.Wait"
		size = 180
		refs = "0018 TMonitor.CheckOwningThread 0021 MonitorSupport 002f TMonitor.Wait 0045 TMonitor.QueueWaiter 0053 TMonitor.Exit 0074 TMonitor.Enter 007e TMonitor.RemoveWaiter 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 8B DA 8B F0 33 C0 89 45 E8 8B C3 E8 ?? ?? ?? ?? 89 45 EC 8B 3D ?? ?? ?? ?? FF 57 08 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 89 45 F4 8D 55 E8 8B C6 E8 ?? ?? ?? ?? C7 43 04 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 3D ?? ?? ?? ?? 8B 4D FC 8B 55 F0 33 C0 FF 57 10 85 C0 0F 94 45 FB 8B C3 83 CA FF E8 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 89 43 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B 45 F0 FF 53 0C C3 E9 ?? ?? ?? ?? EB EC 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64300_0 {
	meta:
		name = "TMonitor.Wait"
		size = 31
		refs = "0007 TMonitor.CheckMonitorSupport 000e TMonitor.GetMonitor 0018 TMonitor.Wait"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 92 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64301_0 {
	meta:
		name = "TMonitor.Wait"
		size = 41
		refs = "000a TMonitor.CheckMonitorSupport 0011 TMonitor.GetMonitor 0021 TMonitor.Wait"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B CF 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64305_0 {
	meta:
		name = "MonitorWait"
		size = 10
		refs = "0005 TMonitor.Wait"
	strings:
		$1 = { 8B CA 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64309_0 {
	meta:
		name = "MemoryBarrier"
		size = 6
	strings:
		$1 = { 50 87 04 24 58 C3 }
	condition:
		$1
}

rule function_64311_0 {
	meta:
		name = "NotifyReRaise"
		size = 27
		refs = "0002 DebugHook 0016 RaiseExceptionProc"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 01 76 11 6A 00 6A 00 6A 00 68 DF FA ED 0E FF 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64312_0 {
	meta:
		name = "NotifyNonDelphiException"
		size = 33
		refs = "0002 DebugHook 0018 RaiseExceptionProc"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 00 74 17 50 50 52 54 6A 02 6A 00 68 E4 FA ED 0E FF 15 ?? ?? ?? ?? 83 C4 08 58 C3 }
	condition:
		$1
}

rule function_64313_0 {
	meta:
		name = "NotifyExcept"
		size = 21
		refs = "000c RaiseExceptionProc"
	strings:
		$1 = { 54 6A 01 6A 00 68 E0 FA ED 0E FF 15 ?? ?? ?? ?? 83 C4 04 58 C3 }
	condition:
		$1
}

rule function_64314_0 {
	meta:
		name = "NotifyOnExcept"
		size = 19
		refs = "0002 DebugHook 000e NotifyExcept"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 01 76 09 50 FF 73 04 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64315_0 {
	meta:
		name = "NotifyAnyExcept"
		size = 17
		refs = "0002 DebugHook 000c NotifyExcept"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 01 76 07 50 53 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64316_0 {
	meta:
		name = "CheckJmp"
		size = 30
	strings:
		$1 = { 85 C9 74 19 8B 41 01 80 39 E9 74 0C 80 39 EB 75 0C 0F BE C0 41 41 EB 03 83 C1 05 01 C1 C3 }
	condition:
		$1
}

rule function_64317_0 {
	meta:
		name = "NotifyExceptFinally"
		size = 39
		refs = "0002 DebugHook 000d CheckJmp 001e RaiseExceptionProc"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 01 76 1D 50 52 51 E8 ?? ?? ?? ?? 51 54 6A 01 6A 00 68 E1 FA ED 0E FF 15 ?? ?? ?? ?? 59 59 5A 58 C3 }
	condition:
		$1
}

rule function_64318_0 {
	meta:
		name = "NotifyTerminate"
		size = 28
		refs = "0002 DebugHook 0016 RaiseExceptionProc"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 01 76 12 52 54 6A 01 6A 00 68 E2 FA ED 0E FF 15 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_64319_0 {
	meta:
		name = "NotifyUnhandled"
		size = 30
		refs = "0004 DebugHook 0017 RaiseExceptionProc"
	strings:
		$1 = { 50 52 80 3D ?? ?? ?? ?? 01 76 10 54 6A 02 6A 00 68 E3 FA ED 0E FF 15 ?? ?? ?? ?? 5A 58 C3 }
	condition:
		$1
}

rule function_64320_0 {
	meta:
		name = "@HandleAnyException"
		size = 298
		refs = "0021 @FpuInit 0027 ExceptObjProc 004e NotifyNonDelphiException 0054 JITEnable 005d DebugHook 006b UnhandledExceptionFilter 00cd @HandleAnyException 00d4 RTLUnwindProc 00dd @GetTls 00e3 RaiseListPtr 00fe NotifyAnyExcept 0105 @HandleFinallyInternal 0120 TObject.Free"
	strings:
		$1 = { 8B 44 24 04 F7 40 04 06 00 00 00 0F 85 13 01 00 00 81 38 DE FA ED 0E 8B 50 18 8B 48 14 74 6E FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 85 D2 0F 84 F1 00 00 00 FF D2 85 C0 0F 84 E7 00 00 00 8B 54 24 0C 8B 4C 24 04 81 39 CE FA EF 0E 74 37 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 76 29 80 3D ?? ?? ?? ?? 00 77 20 8D 4C 24 04 50 51 E8 ?? ?? ?? ?? 83 F8 00 58 0F 84 AB 00 00 00 89 C2 8B 44 24 04 8B 48 0C EB 30 89 C2 8B 44 24 04 8B 48 0C 80 3D ?? ?? ?? ?? 01 76 1E 80 3D ?? ?? ?? ?? 00 77 15 50 8D 44 24 08 52 51 50 E8 ?? ?? ?? ?? 83 F8 00 59 5A 58 74 70 83 48 04 02 53 31 DB 56 57 55 64 8B 1B 53 50 52 51 8B 54 24 28 6A 00 50 68 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 8B 7C 24 28 E8 ?? ?? ?? ?? FF B0 ?? ?? ?? ?? 89 A0 ?? ?? ?? ?? 8B 6F 08 8B 5F 04 C7 47 04 ?? ?? ?? ?? 83 C3 05 E8 ?? ?? ?? ?? FF E3 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 88 ?? ?? ?? ?? 8B 11 89 90 ?? ?? ?? ?? 8B 41 08 E9 ?? ?? ?? ?? B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_64321_0 {
	meta:
		name = "@HandleOnException"
		size = 390
		refs = "001b @FpuInit 0021 ExceptClsProc 007b @AStrCmp 00ad ExceptObjProc 00b6 NotifyNonDelphiException 00bc JITEnable 00c5 DebugHook 00d3 UnhandledExceptionFilter 0129 @HandleOnException 0130 RTLUnwindProc 013a @GetTls 0140 RaiseListPtr 0159 NotifyOnExcept 0161 @HandleFinallyInternal 017c TObject.Free"
	strings:
		$1 = { 8B 44 24 04 F7 40 04 06 00 00 00 0F 85 6F 01 00 00 81 38 DE FA ED 0E 74 1F FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 85 D2 0F 84 53 01 00 00 FF D2 85 C0 75 0A E9 48 01 00 00 8B 40 18 8B 00 8B 54 24 08 53 56 57 55 8B 4A 04 8B 59 05 8D 71 09 89 C5 8B 06 85 C0 74 43 89 EF EB 02 8B 3F 8B 00 39 F8 74 37 8B 48 CC 3B 4F CC 75 17 8B 40 C8 8B 57 C8 31 C9 8A 08 3A 0A 75 09 40 42 E8 ?? ?? ?? ?? 74 18 8B 7F D0 8B 06 85 FF 75 D0 83 C6 08 4B 75 C0 5D 5F 5E 5B E9 E7 00 00 00 8B 44 24 14 81 38 DE FA ED 0E 8B 50 18 8B 48 14 74 41 FF 15 ?? ?? ?? ?? 8B 54 24 1C E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 76 1E 80 3D ?? ?? ?? ?? 00 77 15 8D 4C 24 14 50 51 E8 ?? ?? ?? ?? 83 F8 00 58 0F 84 9F 00 00 00 89 C2 8B 44 24 14 8B 48 0C EB 27 80 3D ?? ?? ?? ?? 01 76 1E 80 3D ?? ?? ?? ?? 00 77 15 50 8D 44 24 18 52 51 50 E8 ?? ?? ?? ?? 83 F8 00 59 5A 58 74 6D 31 DB 64 8B 1B 53 50 52 51 8B 54 24 28 83 48 04 02 56 6A 00 50 68 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 5B 8B 7C 24 28 E8 ?? ?? ?? ?? FF B0 ?? ?? ?? ?? 89 A0 ?? ?? ?? ?? 8B 6F 08 C7 47 04 ?? ?? ?? ?? 8B 44 24 08 E8 ?? ?? ?? ?? FF 63 04 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 88 ?? ?? ?? ?? 8B 11 89 90 ?? ?? ?? ?? 8B 41 08 E9 ?? ?? ?? ?? B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_64322_0 {
	meta:
		name = "@HandleFinally"
		size = 166
		refs = "0019 @HandleFinally 0035 @GetTls 003b RaiseListPtr 0056 NotifyExceptFinally 0081 @HandleFinallyInternal 009c TObject.Free"
	strings:
		$1 = { 8B 44 24 04 F7 40 04 06 00 00 00 0F 84 8F 00 00 00 53 31 DB 56 57 55 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 64 8B 1B 8B 50 18 8B 48 14 53 50 52 51 8B 7C 24 34 E8 ?? ?? ?? ?? FF B0 ?? ?? ?? ?? 89 A0 ?? ?? ?? ?? 8B 4F 04 8B 6F 08 C7 47 04 ?? ?? ?? ?? 83 C1 05 E8 ?? ?? ?? ?? FF D1 E8 ?? ?? ?? ?? 8B 88 ?? ?? ?? ?? 8B 11 89 90 ?? ?? ?? ?? 83 C4 14 31 C0 5A 59 59 64 89 10 5D 5F 5E 5B EB 20 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 88 ?? ?? ?? ?? 8B 11 89 90 ?? ?? ?? ?? 8B 41 08 E9 ?? ?? ?? ?? B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_64323_0 {
	meta:
		name = "@HandleFinallyInternal"
		size = 54
		refs = "0017 @HandleFinallyInternal 0026 NotifyExceptFinally"
	strings:
		$1 = { 8B 44 24 04 8B 54 24 08 F7 40 04 06 00 00 00 74 1F 8B 4A 04 C7 42 04 ?? ?? ?? ?? 53 56 57 55 8B 6A 08 83 C1 05 E8 ?? ?? ?? ?? FF D1 5D 5F 5E 5B B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_64324_0 {
	meta:
		name = "@HandleAutoException"
		size = 194
		refs = "0019 @FpuInit 0021 JITEnable 002a DebugHook 0037 UnhandledExceptionFilter 0067 @HandleAutoException 006e RTLUnwindProc 00a6 TObject.Free"
	strings:
		$1 = { 8B 44 24 04 F7 40 04 06 00 00 00 0F 85 AB 00 00 00 81 38 DE FA ED 0E FC E8 ?? ?? ?? ?? 74 27 80 3D ?? ?? ?? ?? 00 76 1E 80 3D ?? ?? ?? ?? 00 77 15 8D 44 24 04 50 E8 ?? ?? ?? ?? 83 F8 00 74 7C 8B 44 24 04 EB 12 80 3D ?? ?? ?? ?? 01 76 09 80 3D ?? ?? ?? ?? 00 76 D9 83 48 04 02 56 57 55 8B 54 24 14 6A 00 50 68 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 5D 5F 5E 8B 44 24 04 BB FF FF 00 80 81 38 DE FA ED 0E 75 24 8B 50 18 8B 48 14 8B 44 24 08 8B 40 0C 85 C0 74 07 8B 18 FF 53 E0 89 C3 8B 44 24 04 8B 40 18 E8 ?? ?? ?? ?? 31 C0 8B 64 24 08 59 64 89 08 5A 5D 8D 52 05 59 FF E2 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_64325_0 {
	meta:
		name = "@RaiseExcept"
		size = 109
		refs = "000a @RunError 0025 RaiseExceptObjProc 0048 RaiseList 0068 RaiseExceptionProc"
	strings:
		$1 = { 09 C0 75 0A B8 D8 00 00 00 E8 ?? ?? ?? ?? 5A 54 55 57 56 53 50 52 89 E0 54 6A 07 6A 01 68 DE FA ED 0E 52 8B 15 ?? ?? ?? ?? 85 D2 74 39 FF 70 18 FF 70 14 FF 70 10 FF 70 0C FF 70 08 FF 70 04 FF 30 6A 07 FF 30 50 52 E8 ?? ?? ?? ?? 89 C1 5A 58 85 C9 74 03 8B 49 0C 51 6A 01 68 DE FA ED 0E 89 E0 FF D2 83 C4 30 FF 25 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64326_0 {
	meta:
		name = "@RaiseAgain"
		size = 81
		refs = "0007 @RaiseAgain 000c @GetTls 0012 RaiseListPtr 0031 TObject.Free 0036 NotifyReRaise"
	strings:
		$1 = { 8B 44 24 30 C7 40 04 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 ?? ?? ?? ?? 8B 0A 89 88 ?? ?? ?? ?? 8B 42 0C 83 60 04 FD 81 38 DE FA ED 0E 74 0D 8B 42 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 31 C0 83 C4 14 64 8B 10 59 8B 12 89 11 5D 5F 5E 5B B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_64327_0 {
	meta:
		name = "@DoneExcept"
		size = 48
		refs = "0001 @GetTls 0007 RaiseListPtr 0017 TObject.Free 0029 NotifyTerminate"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 90 ?? ?? ?? ?? 8B 0A 89 88 ?? ?? ?? ?? 8B 42 08 E8 ?? ?? ?? ?? 5A 8B 64 24 2C 31 C0 59 64 89 08 58 5D E8 ?? ?? ?? ?? FF E2 C3 }
	condition:
		$1
}

rule function_64328_0 {
	meta:
		name = "@TryFinallyExit"
		size = 22
	strings:
		$1 = { 31 D2 8B 4C 24 08 8B 44 24 04 83 C1 05 64 89 02 FF D1 C2 0C 00 C3 }
	condition:
		$1
}

rule function_64329_0 {
	meta:
		name = "MapToRunError"
		size = 158
		refs = "0096 RunErrorAt"
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 02 3D 92 00 00 C0 7F 2C 74 5C 3D 8E 00 00 C0 7F 15 74 57 2D 05 00 00 C0 74 5C 2D 87 00 00 00 74 3D 48 74 4E EB 60 05 71 FF FF 3F 83 E8 02 72 36 74 30 EB 52 3D 96 00 00 C0 7F 11 74 3D 2D 93 00 00 C0 74 2E 48 74 13 48 74 24 EB 3A 2D FD 00 00 C0 74 2F 83 E8 3D 74 26 EB 2C B0 C8 EB 2A B0 C9 EB 26 B0 CD EB 22 B0 CF EB 1E B0 C8 EB 1A B0 D7 EB 16 B0 CE EB 12 B0 D8 EB 0E B0 DA EB 0A B0 D9 EB 06 B0 CA EB 02 B0 FF 0F B6 C0 8B 52 0C E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_64330_0 {
	meta:
		name = "@ExceptionHandler"
		size = 157
		refs = "0013 DebugHook 0020 UnhandledExceptionFilter 002f @FpuInit 003b @ExceptionHandler 0042 RTLUnwindProc 005a ExceptObjProc 0062 MapToRunError 0076 NotifyUnhandled 007c ExceptProc 0096 @RunError"
	strings:
		$1 = { 8B 44 24 04 F7 40 04 06 00 00 00 0F 85 89 00 00 00 80 3D ?? ?? ?? ?? 00 77 0F 8D 44 24 04 50 E8 ?? ?? ?? ?? 83 F8 00 74 71 8B 44 24 04 FC E8 ?? ?? ?? ?? 8B 54 24 08 6A 00 50 68 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 8B 5C 24 04 81 3B DE FA ED 0E 8B 53 14 8B 43 18 74 1D 8B 15 ?? ?? ?? ?? 85 D2 0F 84 ?? ?? ?? ?? 89 D8 FF D2 85 C0 0F 84 ?? ?? ?? ?? 8B 53 0C E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 85 C9 74 02 FF D1 8B 4C 24 04 B8 D9 00 00 00 8B 51 14 89 14 24 E9 ?? ?? ?? ?? 31 C0 C3 }
	condition:
		$1
}

rule function_64331_0 {
	meta:
		name = "SetExceptionHandler"
		size = 29
		refs = "0011 @ExceptionHandler"
	strings:
		$1 = { 50 31 D2 8D 45 F0 64 8B 0A 64 89 02 89 08 C7 40 04 ?? ?? ?? ?? 89 68 08 59 89 41 04 C3 }
	condition:
		$1
}

rule function_64332_0 {
	meta:
		name = "UnsetExceptionHandler"
		size = 38
	strings:
		$1 = { 8B 40 04 31 D2 85 C0 74 1C 64 8B 0A 39 C8 75 08 8B 00 64 89 02 C3 8B 09 83 F9 FF 74 08 39 01 75 F5 8B 00 89 01 C3 }
	condition:
		$1
}

rule function_64333_0 {
	meta:
		name = "FinalizeUnits"
		size = 103
		refs = "0007 InitContext 001c FinalizeUnits 004f @HandleAnyException 0059 @RaiseAgain 005e @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 A1 ?? ?? ?? ?? 85 C0 74 53 8B 1D ?? ?? ?? ?? 8B 78 04 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7E 1A 4B 89 1D ?? ?? ?? ?? 8B 74 DF 04 85 F6 74 07 83 3E 00 74 02 FF D6 85 DB 7F E6 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_64334_0 {
	meta:
		name = "InitUnits"
		size = 108
		refs = "0008 InitContext 001e InitUnits 0053 @HandleAnyException 0058 FinalizeUnits 005d @RaiseAgain 0062 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 A1 ?? ?? ?? ?? 85 C0 74 56 8B 38 33 DB 8B 40 04 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B FB 7E 1C 8B 45 FC 8B 34 D8 43 89 1D ?? ?? ?? ?? 85 F6 74 07 83 3E 00 74 02 FF D6 3B FB 7F E4 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64335_0 {
	meta:
		name = "@PackageLoad"
		size = 117
		refs = "0009 InitContext 003c @PackageLoad 0047 InitUnits 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 56 57 BE ?? ?? ?? ?? 8D 7D D0 B9 0C 00 00 00 F3 A5 C6 05 ?? ?? ?? ?? 00 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 89 15 ?? ?? ?? ?? 8D 45 D0 A3 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 75 D0 BF ?? ?? ?? ?? B9 0C 00 00 00 F3 A5 C3 E9 ?? ?? ?? ?? EB E9 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_64336_0 {
	meta:
		name = "@PackageUnload"
		size = 117
		refs = "0009 InitContext 003c @PackageUnload 0047 FinalizeUnits 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 56 57 BE ?? ?? ?? ?? 8D 7D D0 B9 0C 00 00 00 F3 A5 C6 05 ?? ?? ?? ?? 00 A3 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? 89 15 ?? ?? ?? ?? 8D 45 D0 A3 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 75 D0 BF ?? ?? ?? ?? B9 0C 00 00 00 F3 A5 C3 E9 ?? ?? ?? ?? EB E9 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_64337_0 {
	meta:
		name = "@StartExe"
		size = 69
		refs = "0002 RaiseExceptionProc 0006 RaiseException 000c RTLUnwindProc 0010 RtlUnwind 0015 InitContext 002a MainInstance 0034 SetExceptionHandler 003a IsLibrary 0040 InitUnits"
	strings:
		$1 = { C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 89 15 ?? ?? ?? ?? 8B 42 04 A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64338_0 {
	meta:
		name = "@StartLib"
		size = 198
		refs = "0005 InitContext 0010 DLLThreadContext 0038 GetCurrentThreadId 0050 RaiseException 0055 RaiseExceptionProc 005a RtlUnwind 005f RTLUnwindProc 0066 SetExceptionHandler 009f MainInstance 00a8 IsLibrary 00af Default8087CW 00b9 @Halt0 00be InitUnits"
	strings:
		$1 = { 51 53 56 57 BB ?? ?? ?? ?? 83 7D 0C 02 7C 05 BB ?? ?? ?? ?? 89 DE 8D 7D C0 B9 0C 00 00 00 F3 A5 8F 43 20 8F 43 1C 8F 43 18 89 6B 14 89 43 08 89 53 10 8D 4D C0 89 0B E8 ?? ?? ?? ?? 89 43 2C 8B 43 08 31 C9 83 7D 0C 00 75 02 8B 08 89 4B 0C B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 89 D8 E8 ?? ?? ?? ?? 8B 45 0C 40 88 43 28 48 59 8B 11 89 53 24 74 07 3C 03 7D 03 FF 14 81 51 8B 4C 24 08 85 C9 74 08 8B 45 0C 8B 55 10 FF D1 59 8B 45 0C 3C 03 7C 03 FF 14 81 83 3D ?? ?? ?? ?? 00 75 0D C6 05 ?? ?? ?? ?? 01 D9 3D ?? ?? ?? ?? 8B 45 0C 48 0F 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? C2 04 00 C3 }
	condition:
		$1
}

rule function_64342_0 {
	meta:
		name = "@InitResStrings"
		size = 64
		refs = "0024 LoadResStringA 002b LoadResStringW 0032 LoadResStringU"
	strings:
		$1 = { 53 31 DB 57 56 8B 3C 18 8D 74 18 04 8B 46 04 01 D8 8B 16 01 DA 8B 4E 08 85 C9 74 07 49 74 0B 49 74 0F CC E8 ?? ?? ?? ?? EB 0C E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 83 C6 0C 4F 75 D0 5E 5F 5B C3 }
	condition:
		$1
}

rule function_64343_0 {
	meta:
		name = "@InitResStringImports"
		size = 65
		refs = "0025 LoadResStringA 002c LoadResStringW 0033 LoadResStringU"
	strings:
		$1 = { 53 31 DB 57 56 8B 3C 18 8D 74 18 04 8B 46 04 8B 04 18 8B 16 01 DA 8B 4E 08 85 C9 74 07 49 74 0B 49 74 0F CC E8 ?? ?? ?? ?? EB 0C E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 83 C6 0C 4F 75 CF 5E 5F 5B C3 }
	condition:
		$1
}

rule function_64344_0 {
	meta:
		name = "@InitImports"
		size = 36
	strings:
		$1 = { 53 31 DB 57 56 8B 3C 18 8D 74 18 04 8B 46 04 8B 16 8B 04 18 03 46 08 89 04 1A 83 C6 0C 4F 75 EC 5E 5F 5B C3 }
	condition:
		$1
}

rule function_64345_0 {
	meta:
		name = "@InitWideStrings"
		size = 26
		refs = "000d @WStrAsg"
	strings:
		$1 = { 53 56 8B 18 8D 70 04 8B 56 04 8B 06 E8 ?? ?? ?? ?? 83 C6 08 4B 75 F0 5E 5B C3 }
	condition:
		$1
}

rule function_64346_0 {
	meta:
		name = "MakeErrorMessage"
		size = 102
		refs = "0004 runErrMsg 000c ExitCode 0038 ErrorAddr 0046 hexDigits"
	strings:
		$1 = { 53 56 57 BF ?? ?? ?? ?? B3 10 8B 35 ?? ?? ?? ?? 8B C6 B9 0A 00 00 00 99 F7 F9 80 C2 30 0F B6 C3 88 14 07 B9 0A 00 00 00 8B C6 99 F7 F9 89 C6 4B 85 F6 75 DC B3 1C 8B 35 ?? ?? ?? ?? B8 0F 00 00 00 23 C6 0F B6 80 ?? ?? ?? ?? 0F B6 D3 88 04 17 B9 10 00 00 00 8B C6 33 D2 F7 F1 89 C6 4B 85 F6 75 DA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64347_0 {
	meta:
		name = "ExitDll"
		size = 43
		refs = "001d ExitCode"
	strings:
		$1 = { 89 C7 8B 5F 18 8B 6F 14 FF 77 1C FF 77 20 8B 37 B9 0C 00 00 00 F3 A5 5F 5E 31 C0 87 05 ?? ?? ?? ?? F7 D8 19 C0 40 C9 C2 0C 00 C3 }
	condition:
		$1
}

rule function_64348_0 {
	meta:
		name = "WriteErrorMessage"
		size = 152
		refs = "0003 IsConsole 000d Output 0033 runErrMsg 003a GetStdHandle 0040 WriteFile 004e WriteErrorMessage 0053 @LStrToPChar 0069 NoErrMsg 0073 errCaption 007f MessageBoxA"
	strings:
		$1 = { 51 80 3D ?? ?? ?? ?? 00 74 5D 66 81 3D ?? ?? ?? ?? B2 D7 75 14 83 3D ?? ?? ?? ?? 00 76 0B B8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 6A 00 8D 44 24 04 50 6A 1D 68 ?? ?? ?? ?? 6A F5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8D 44 24 04 50 6A 02 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A F5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A C3 80 3D ?? ?? ?? ?? 00 75 13 6A 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 5A C3 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_64349_0 {
	meta:
		name = "@Halt0"
		size = 300
		refs = "0005 InitContext 000a ExitProc 0010 ErrorAddr 0018 MakeErrorMessage 001d WriteErrorMessage 002a DLLThreadContext 0032 GetCurrentThreadId 0044 UnsetExceptionHandler 004e ExitDll 0074 ExitCode 0081 AcquireExceptionObject 008e TObject.Free 009e FinalizeUnits 00bb UnregisterModule 00d3 FreeLibrary 00fb ExitProcessProc 010f ExitProcess"
	strings:
		$1 = { 53 56 57 55 BE ?? ?? ?? ?? BF ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 11 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 21 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 14 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7E 28 00 75 14 83 3F 00 74 0F 8B 07 89 C3 33 C0 89 07 FF D3 83 3F 00 75 F1 80 7E 28 02 75 0E 83 3D ?? ?? ?? ?? 00 75 05 33 C0 89 46 0C E8 ?? ?? ?? ?? 8B D8 85 DB 74 12 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 EE E8 ?? ?? ?? ?? 80 7E 28 01 76 09 83 3D ?? ?? ?? ?? 00 74 26 8B 6E 10 85 ED 74 1F 8B C5 E8 ?? ?? ?? ?? 8B 46 10 8B 78 10 8B 46 10 3B 78 04 74 0A 85 FF 74 06 57 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 7E 28 01 75 03 FF 56 24 80 7E 28 00 74 07 8B C6 E8 ?? ?? ?? ?? 83 3E 00 75 1A 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 06 56 8B FE 8B F0 B9 0C 00 00 00 F3 A5 5E E9 45 FF FF FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64351_0 {
	meta:
		name = "@Run0Error"
		size = 20
		refs = "0007 ErrorAddr 000e @Halt"
	strings:
		$1 = { 55 8B EC 8B 45 04 A3 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_64352_0 {
	meta:
		name = "@RunError"
		size = 27
		refs = "000b ErrorAddr 0014 @Halt"
	strings:
		$1 = { 55 8B EC 51 88 45 FF 8B 45 04 A3 ?? ?? ?? ?? 0F B6 45 FF E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_64353_0 {
	meta:
		name = "@Assert"
		size = 59
		refs = "0011 AssertErrorProc 0033 ErrorAt"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 83 3D ?? ?? ?? ?? 00 74 15 8B 45 04 50 8B 4D F4 8B 55 F8 8B 45 FC FF 15 ?? ?? ?? ?? EB 0A 8B 55 04 B0 15 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_64354_0 {
	meta:
		name = "ThreadWrapper"
		size = 54
		refs = "0004 @FpuInit 000c @ExceptionHandler 0022 @FreeMem"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 55 31 C9 68 ?? ?? ?? ?? 64 8B 11 52 64 89 21 8B 45 08 8B 48 04 8B 10 51 52 E8 ?? ?? ?? ?? 5A 58 FF D2 31 D2 59 64 89 0A 59 5D 5D C2 04 00 }
	condition:
		$1
}

rule function_64355_0 {
	meta:
		name = "BeginThread"
		size = 124
		refs = "0016 SystemThreadFuncProc 0031 @GetMem 003e IsMultiThread 004d ThreadWrapper 005b CreateThread 006d @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 89 55 F8 89 45 FC 8B 7D 10 83 3D ?? ?? ?? ?? 00 74 0E 8B D7 8B C6 FF 15 ?? ?? ?? ?? 8B D8 EB 11 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B D8 89 33 89 7B 04 C6 05 ?? ?? ?? ?? 01 8B 45 08 50 8B 45 0C 50 53 B8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B F0 85 F6 75 0C BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_64356_0 {
	meta:
		name = "EndThread"
		size = 28
		refs = "0005 SystemThreadEndProc 0016 ExitThread"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 74 08 8B C3 FF 15 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64357_0 {
	meta:
		name = "@_StringLength"
		size = 6
		altNames = "TRawVirtualClass.GetInstanceFromInterface __StringLength"
	strings:
		$1 = { 83 E8 04 8B 00 C3 }
	condition:
		$1
}

rule function_64358_0 {
	meta:
		name = "__StringLength"
		size = 13
	strings:
		$1 = { 83 E8 04 8B 00 D1 F8 79 03 83 D0 00 C3 }
	condition:
		$1
}

rule function_64361_0 {
	meta:
		name = "@_StringRefCnt"
		size = 6
		altNames = "__StringRefCnt"
	strings:
		$1 = { 83 E8 08 8B 00 C3 }
	condition:
		$1
}

rule function_64364_0 {
	meta:
		name = "@_StringCodePage"
		size = 7
		altNames = "__StringCodePage"
	strings:
		$1 = { 83 E8 0C 0F B7 00 C3 }
	condition:
		$1
}

rule function_64367_0 {
	meta:
		name = "@NewUnicodeString"
		size = 64
		refs = "000f @GetMem 002f DefaultUnicodeCodePage 0039 @IntOver"
	strings:
		$1 = { 85 C0 7E 39 50 01 C0 70 2F 83 C0 0E 70 2A E8 ?? ?? ?? ?? 83 C0 0C 5A C7 40 F8 01 00 00 00 89 50 FC 66 C7 04 50 00 00 66 C7 40 F6 02 00 8B 15 ?? ?? ?? ?? 66 89 50 F4 C3 E9 ?? ?? ?? ?? 31 C0 C3 }
	condition:
		$1
}

rule function_64368_0 {
	meta:
		name = "@NewAnsiString"
		size = 74
		refs = "0010 @GetMem 0031 DefaultSystemCodePage 0043 @IntOver"
	strings:
		$1 = { 85 C0 7E 43 50 83 C0 0E 70 38 83 E0 FE 52 50 E8 ?? ?? ?? ?? 5A 59 66 C7 44 02 FE 00 00 83 C0 0C 5A 89 50 FC C7 40 F8 01 00 00 00 85 C9 75 06 8B 0D ?? ?? ?? ?? 89 CA 66 89 50 F4 66 C7 40 F6 01 00 C3 E9 ?? ?? ?? ?? 31 C0 C3 }
	condition:
		$1
}

rule function_64369_0 {
	meta:
		name = "WStrError"
		size = 8
		refs = "0003 Error"
	strings:
		$1 = { B0 01 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64370_0 {
	meta:
		name = "@NewWideString"
		size = 21
		refs = "0008 SysAllocStringLen 0010 WStrError"
	strings:
		$1 = { 85 C0 74 10 50 6A 00 E8 ?? ?? ?? ?? 85 C0 0F 84 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64371_0 {
	meta:
		name = "@LStrClr"
		size = 35
		refs = "001d @FreeMem"
		altNames = "@UStrClr"
	strings:
		$1 = { 8B 10 85 D2 74 1C C7 00 00 00 00 00 8B 4A F8 49 7C 10 F0 FF 4A F8 75 0A 50 8D 42 F4 E8 ?? ?? ?? ?? 58 C3 }
	condition:
		$1
}

rule function_64373_0 {
	meta:
		name = "@WStrClr"
		size = 21
		refs = "000f SysFreeString"
	strings:
		$1 = { 8B 10 85 D2 74 0E C7 00 00 00 00 00 50 52 E8 ?? ?? ?? ?? 58 C3 }
	condition:
		$1
}

rule function_64374_0 {
	meta:
		name = "@LStrArrayClr"
		size = 47
		refs = "0022 @FreeMem"
		altNames = "@UStrArrayClr"
	strings:
		$1 = { 53 56 89 C3 89 D6 8B 13 85 D2 74 1A C7 03 00 00 00 00 8B 4A F8 49 7C 0E F0 FF 4A F8 75 08 8D 42 F4 E8 ?? ?? ?? ?? 83 C3 04 4E 75 DA 5E 5B C3 }
	condition:
		$1
}

rule function_64376_0 {
	meta:
		name = "@WStrArrayClr"
		size = 33
		refs = "0014 SysFreeString"
	strings:
		$1 = { 53 56 89 C3 89 D6 8B 03 85 C0 74 0C C7 03 00 00 00 00 50 E8 ?? ?? ?? ?? 83 C3 04 4E 75 E8 5E 5B C3 }
	condition:
		$1
}

rule function_64377_0 {
	meta:
		name = "@LStrAddRef"
		size = 15
		altNames = "@UStrAddRef"
	strings:
		$1 = { 85 C0 74 0A 8B 50 F8 42 7E 04 F0 FF 40 F8 C3 }
	condition:
		$1
}

rule function_64379_0 {
	meta:
		name = "@WStrAddRef"
		size = 31
		refs = "000f SysAllocStringLen 0018 WStrError"
	strings:
		$1 = { 8B 10 85 D2 74 18 50 8B 4A FC D1 E9 51 52 E8 ?? ?? ?? ?? 5A 85 C0 0F 84 ?? ?? ?? ?? 89 02 C3 }
	condition:
		$1
}

rule function_64380_0 {
	meta:
		name = "CharFromWChar"
		size = 43
		refs = "000e DefaultSystemCodePage 0021 LocaleCharsFromUnicode"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 85 F6 75 06 8B 35 ?? ?? ?? ?? 8B 5D 0C 53 50 52 6A 00 6A 00 8B C6 33 D2 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_64382_0 {
	meta:
		name = "WCharFromChar"
		size = 25
		refs = "0010 UnicodeFromLocaleChars"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 53 50 52 8B 45 08 33 D2 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_64383_0 {
	meta:
		name = "@UStrFromPWCharLen"
		size = 48
		refs = "000c @NewUnicodeString 001f Move 0026 @LStrClr"
	strings:
		$1 = { 53 56 57 89 C3 89 D6 89 CF 89 F8 E8 ?? ?? ?? ?? 89 F9 89 C7 85 F6 74 0B 89 C2 89 F0 D1 E1 E8 ?? ?? ?? ?? 89 D8 E8 ?? ?? ?? ?? 89 3B 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64384_0 {
	meta:
		name = "@WStrFromPWCharLen"
		size = 35
		refs = "0004 @WStrClr 000c SysAllocStringLen 0015 WStrError 001e SysFreeString"
	strings:
		$1 = { 85 C9 0F 84 ?? ?? ?? ?? 50 51 52 E8 ?? ?? ?? ?? 85 C0 5A 0F 84 ?? ?? ?? ?? FF 32 89 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64385_0 {
	meta:
		name = "@LStrFromPCharLen"
		size = 56
		refs = "0013 @NewAnsiString 0024 Move 002b @LStrClr"
	strings:
		$1 = { 55 8B EC 53 56 57 89 C3 89 D6 89 CF 89 F8 0F B7 55 08 E8 ?? ?? ?? ?? 89 F9 89 C7 85 F6 74 09 89 C2 89 F0 E8 ?? ?? ?? ?? 89 D8 E8 ?? ?? ?? ?? 89 3B 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_64386_0 {
	meta:
		name = "InternalUStrFromPCharLen"
		size = 148
		refs = "001e @UStrClr 0042 WCharFromChar 0057 @UStrFromPWCharLen 0065 @UStrSetLength"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 FC 53 56 57 8B F1 89 55 FC 8B F8 85 F6 7F 09 8B C7 E8 ?? ?? ?? ?? EB 67 8D 46 01 3D FF 07 00 00 7D 2F 56 8B 45 08 50 8D 85 FC EF FF FF 8B 4D FC BA FF 07 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 11 8D 95 FC EF FF FF 8B C7 8B CB E8 ?? ?? ?? ?? EB 2E 8D 5E 01 8B C7 8B D3 E8 ?? ?? ?? ?? 56 8B 45 08 50 8B 07 8B 4D FC 8B D3 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 02 33 DB 8B C7 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_64388_0 {
	meta:
		name = "InternalWStrFromPCharLen"
		size = 148
		refs = "001e @WStrClr 0042 WCharFromChar 0057 @WStrFromPWCharLen 0065 @WStrSetLength"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 FC 53 56 57 8B F1 89 55 FC 8B F8 85 F6 7F 09 8B C7 E8 ?? ?? ?? ?? EB 67 8D 46 01 3D FF 07 00 00 7D 2F 56 8B 45 08 50 8D 85 FC EF FF FF 8B 4D FC BA FF 07 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 11 8D 95 FC EF FF FF 8B C7 8B CB E8 ?? ?? ?? ?? EB 2E 8D 5E 01 8B C7 8B D3 E8 ?? ?? ?? ?? 56 8B 45 08 50 8B 07 8B 4D FC 8B D3 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 02 33 DB 8B C7 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_64387_0 {
	meta:
		name = "@UStrFromPCharLen"
		size = 15
		refs = "0003 DefaultSystemCodePage 0009 InternalUStrFromPCharLen"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64389_0 {
	meta:
		name = "@WStrFromPCharLen"
		size = 15
		refs = "0003 DefaultSystemCodePage 0009 InternalWStrFromPCharLen"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64390_0 {
	meta:
		name = "@LStrFromPWCharLen"
		size = 130
		refs = "001d @LStrClr 002b DefaultSystemCodePage 003f CharFromWChar 004c @LStrSetLength"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F8 8B 5D 08 83 7D F8 00 7F 09 8B C7 E8 ?? ?? ?? ?? EB 56 66 85 DB 75 07 0F B7 1D ?? ?? ?? ?? 8B 45 F8 50 0F B7 C3 50 8B 4D FC 33 D2 33 C0 E8 ?? ?? ?? ?? 8B F0 8B C7 33 C9 8B D6 E8 ?? ?? ?? ?? 85 F6 7E 1E 8B 45 F8 50 0F B7 C3 50 8B 07 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B 07 83 E8 0C 66 89 18 EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_64391_0 {
	meta:
		name = "@UStrAsg"
		size = 69
		refs = "0010 @NewUnicodeString 001e Move 0040 @FreeMem"
	strings:
		$1 = { 85 D2 74 26 8B 4A F8 41 7F 1C 50 52 8B 42 FC E8 ?? ?? ?? ?? 89 C2 58 52 8B 48 FC D1 E1 E8 ?? ?? ?? ?? 5A 58 EB 04 F0 FF 42 F8 87 10 85 D2 74 14 8B 4A F8 49 7C 0E F0 FF 4A F8 75 08 8D 42 F4 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64392_0 {
	meta:
		name = "@LStrLAsg"
		size = 41
		refs = "0024 @FreeMem"
		altNames = "@UStrLAsg"
	strings:
		$1 = { 85 D2 74 0A 8B 4A F8 41 7E 04 F0 FF 42 F8 87 10 85 D2 74 14 8B 4A F8 49 7C 0E F0 FF 4A F8 75 08 8D 42 F4 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64393_0 {
	meta:
		name = "@WStrAsg"
		size = 40
		refs = "0008 @WStrClr 001b SysReAllocStringLen 0023 WStrError"
	strings:
		$1 = { 39 10 74 23 85 D2 0F 84 ?? ?? ?? ?? 8B 4A FC D1 E9 0F 84 ?? ?? ?? ?? 51 52 50 E8 ?? ?? ?? ?? 85 C0 0F 84 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64395_0 {
	meta:
		name = "@LStrAsg"
		size = 71
		refs = "0014 @NewAnsiString 0020 Move 0042 @FreeMem"
	strings:
		$1 = { 85 D2 74 28 8B 4A F8 41 7F 1E 50 52 8B 42 FC 0F B7 52 F4 E8 ?? ?? ?? ?? 89 C2 58 52 8B 48 FC E8 ?? ?? ?? ?? 5A 58 EB 04 F0 FF 42 F8 87 10 85 D2 74 14 8B 4A F8 49 7C 0E F0 FF 4A F8 75 08 8D 42 F4 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64397_0 {
	meta:
		name = "StringElementSize"
		size = 21
	strings:
		$1 = { 53 8B D8 85 DB 74 08 83 EB 0A 0F B7 03 5B C3 66 B8 02 00 5B C3 }
	condition:
		$1
}

rule function_64398_0 {
	meta:
		name = "StringElementSize"
		size = 21
	strings:
		$1 = { 53 8B D8 85 DB 74 08 83 EB 0A 0F B7 03 5B C3 66 B8 01 00 5B C3 }
	condition:
		$1
}

rule function_64399_0 {
	meta:
		name = "StringCodePage"
		size = 24
		refs = "0012 DefaultUnicodeCodePage"
	strings:
		$1 = { 53 8B D8 85 DB 74 08 83 EB 0C 0F B7 03 5B C3 0F B7 05 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64400_0 {
	meta:
		name = "StringCodePage"
		size = 24
		refs = "0012 DefaultSystemCodePage"
	strings:
		$1 = { 53 8B D8 85 DB 74 08 83 EB 0C 0F B7 03 5B C3 0F B7 05 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64401_0 {
	meta:
		name = "StringRefCount"
		size = 15
	strings:
		$1 = { 8B D0 85 D2 74 06 83 EA 08 8B 02 C3 33 C0 C3 }
	condition:
		$1
}

rule function_64403_0 {
	meta:
		name = "@LStrLen"
		size = 10
		altNames = "@UStrLen"
	strings:
		$1 = { 85 C0 74 05 83 E8 04 8B 00 C3 }
	condition:
		$1
}

rule function_64404_0 {
	meta:
		name = "@WStrLen"
		size = 12
	strings:
		$1 = { 85 C0 74 07 83 E8 04 8B 00 D1 E8 C3 }
	condition:
		$1
}

rule function_64406_0 {
	meta:
		name = "@PCharLen"
		size = 18
	strings:
		$1 = { 33 D2 85 C0 74 09 EB 01 42 80 3C 10 00 75 F9 8B C2 C3 }
	condition:
		$1
}

rule function_64407_0 {
	meta:
		name = "@PWCharLen"
		size = 19
	strings:
		$1 = { 33 D2 85 C0 74 0A EB 01 42 66 83 3C 50 00 75 F8 8B C2 C3 }
	condition:
		$1
}

rule function_64408_0 {
	meta:
		name = "InternalUniqueStringU"
		size = 65
		refs = "0013 @NewUnicodeString 0022 Move 0037 @FreeMem"
	strings:
		$1 = { 8B 10 85 D2 74 38 8B 4A F8 49 74 32 53 89 C3 8B 42 FC E8 ?? ?? ?? ?? 89 C2 87 03 50 8B 48 FC D1 E1 E8 ?? ?? ?? ?? 58 8B 48 F8 49 7C 0E F0 FF 48 F8 75 08 8D 40 F4 E8 ?? ?? ?? ?? 8B 13 5B 89 D0 C3 }
	condition:
		$1
}

rule function_64409_0 {
	meta:
		name = "InternalUniqueStringA"
		size = 67
		refs = "0017 @NewAnsiString 0024 Move 0039 @FreeMem"
	strings:
		$1 = { 8B 10 85 D2 74 3A 8B 4A F8 49 74 34 53 89 C3 8B 42 FC 0F B7 52 F4 E8 ?? ?? ?? ?? 89 C2 87 03 50 8B 48 FC E8 ?? ?? ?? ?? 58 8B 48 F8 49 7C 0E F0 FF 48 F8 75 08 8D 40 F4 E8 ?? ?? ?? ?? 8B 13 5B 89 D0 C3 }
	condition:
		$1
}

rule function_64415_0 {
	meta:
		name = "@PStrCmp"
		size = 130
	strings:
		$1 = { 53 56 57 89 C6 89 D7 31 C0 31 D2 8A 06 8A 17 46 47 29 D0 77 02 01 C2 52 C1 EA 02 74 26 8B 0E 8B 1F 39 D9 75 44 4A 74 15 8B 4E 04 8B 5F 04 39 D9 75 37 83 C6 08 83 C7 08 4A 75 E2 EB 06 83 C6 04 83 C7 04 5A 83 E2 03 74 1C 8A 0E 3A 0F 75 2F 4A 74 13 8A 4E 01 3A 4F 01 75 24 4A 74 08 8A 4E 02 3A 4F 02 75 19 01 C0 EB 15 5A 38 D9 75 10 38 FD 75 0C C1 E9 10 C1 EB 10 38 D9 75 02 38 FD 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64416_0 {
	meta:
		name = "@AStrCmp"
		size = 111
	strings:
		$1 = { 53 56 51 89 CE C1 EE 02 74 26 8B 08 8B 1A 39 D9 75 45 4E 74 15 8B 48 04 8B 5A 04 39 D9 75 38 83 C0 08 83 C2 08 4E 75 E2 EB 06 83 C0 04 83 C2 04 5E 83 E6 03 74 36 8A 08 3A 0A 75 30 4E 74 13 8A 48 01 3A 4A 01 75 25 4E 74 08 8A 48 02 3A 4A 02 75 1A 31 C0 5E 5B C3 5E 38 D9 75 10 38 FD 75 0C C1 E9 10 C1 EB 10 38 D9 75 02 38 FD 5E 5B C3 }
	condition:
		$1
}

rule function_64417_0 {
	meta:
		name = "@WStrLCmp"
		size = 84
	strings:
		$1 = { 53 56 51 89 CE D1 EE 74 26 8B 08 8B 1A 39 D9 75 31 4E 74 15 8B 48 04 8B 5A 04 39 D9 75 24 83 C0 08 83 C2 08 4E 75 E2 EB 06 83 C0 04 83 C2 04 5E 83 E6 01 74 1C 66 8B 08 66 3B 0A 75 14 31 C0 5E 5B C3 5E 66 39 D9 75 09 C1 E9 10 C1 EB 10 66 39 D9 5E 5B C3 }
	condition:
		$1
}

rule function_64418_0 {
	meta:
		name = "@PStrCpy"
		size = 11
		refs = "0006 Move"
	strings:
		$1 = { 0F B6 0A 41 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64419_0 {
	meta:
		name = "@PStrNCpy"
		size = 25
		refs = "0013 Move"
	strings:
		$1 = { 53 0F B6 1A 3A CB 76 02 8B CB 88 08 42 40 0F B6 C9 92 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64420_0 {
	meta:
		name = "@PStrCat"
		size = 40
	strings:
		$1 = { 56 57 89 C7 31 C0 8A 07 89 D6 31 C9 8A 0E 46 88 C2 00 CA 72 0A 88 17 47 01 C7 F3 A4 5F 5E C3 FE C2 28 D1 B2 FF EB EE C3 }
	condition:
		$1
}

rule function_64421_0 {
	meta:
		name = "@PStrNCat"
		size = 48
	strings:
		$1 = { 56 57 89 C7 31 C0 8A 07 89 D6 31 D2 8A 16 46 00 D0 72 12 38 C8 77 0E 89 D1 8A 17 88 07 47 01 D7 F3 A4 5F 5E C3 88 C8 2A 0F 76 F7 88 CA EB E8 C3 }
	condition:
		$1
}

rule function_64422_0 {
	meta:
		name = "@Copy"
		size = 67
	strings:
		$1 = { 55 8B EC 56 57 89 C6 8B 7D 08 31 C0 0A 06 74 2B 85 D2 7E 18 39 C2 7F 1B 29 D0 40 85 C9 7C 14 39 C1 7F 14 01 D6 88 0F 47 F3 A4 EB 11 BA 01 00 00 00 EB E5 31 C9 EB EC 89 C1 EB E8 88 07 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_64423_0 {
	meta:
		name = "@Delete"
		size = 45
	strings:
		$1 = { 56 57 89 C7 31 C0 8A 07 85 D2 7E 1E 39 C2 7F 1A 85 C9 7E 16 29 D0 40 39 C1 7E 02 89 C1 28 0F 01 D7 8D 34 39 29 C8 89 C1 F3 A4 5F 5E C3 }
	condition:
		$1
}

rule function_64424_0 {
	meta:
		name = "@Insert"
		size = 104
	strings:
		$1 = { 55 8B EC 53 56 57 51 8B 4D 08 81 EC 00 02 00 00 89 D3 89 D6 31 D2 8A 16 46 42 85 C9 7E 32 39 D1 7F 35 4A 89 E7 49 29 CA F3 A4 96 8A 0E 46 F3 A4 89 C6 89 D1 F3 A4 29 E7 8B 8C 24 00 02 00 00 39 F9 72 02 89 F9 89 DF 89 E6 88 0F 47 F3 A4 EB 0B B9 01 00 00 00 EB CB 89 D1 EB C7 81 C4 04 02 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_64426_0 {
	meta:
		name = "@SetString"
		size = 17
		refs = "000c Move"
	strings:
		$1 = { 88 08 85 D2 74 0A 40 0F B6 C9 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64427_0 {
	meta:
		name = "@LStrFromChar"
		size = 16
		refs = "000a @LStrFromPCharLen"
	strings:
		$1 = { 52 89 E2 51 B9 01 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_64428_0 {
	meta:
		name = "@LStrFromWChar"
		size = 16
		refs = "000a @LStrFromPWCharLen"
	strings:
		$1 = { 52 89 E2 51 B9 01 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_64429_0 {
	meta:
		name = "@LStrFromPChar"
		size = 52
		refs = "002f @LStrFromPCharLen"
	strings:
		$1 = { FF 34 24 89 4C 24 04 31 C9 85 D2 74 21 52 3A 0A 74 17 3A 4A 01 74 11 3A 4A 02 74 0B 3A 4A 03 74 05 83 C2 04 EB E8 42 42 42 89 D1 5A 29 D1 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64430_0 {
	meta:
		name = "@LStrFromPWChar"
		size = 64
		refs = "003b @LStrFromPWCharLen"
	strings:
		$1 = { FF 34 24 89 4C 24 04 31 C9 85 D2 74 2D 52 66 3B 0A 74 20 66 3B 4A 02 74 17 66 3B 4A 04 74 0E 66 3B 4A 06 74 05 83 C2 08 EB E4 83 C2 02 83 C2 02 83 C2 02 89 D1 5A 29 D1 D1 E9 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64431_0 {
	meta:
		name = "@LStrFromString"
		size = 18
		refs = "000d @LStrFromPCharLen"
	strings:
		$1 = { FF 34 24 89 4C 24 04 31 C9 8A 0A 42 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64432_0 {
	meta:
		name = "@LStrFromArray"
		size = 31
		refs = "0017 @LStrFromPCharLen"
	strings:
		$1 = { 55 8B EC 57 50 51 89 D7 31 C0 F2 AE 75 02 F7 D1 58 01 C1 58 5F 5D E9 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_64433_0 {
	meta:
		name = "@LStrFromWArray"
		size = 32
		refs = "0018 @LStrFromPWCharLen"
	strings:
		$1 = { 55 8B EC 57 50 51 89 D7 31 C0 F2 66 AF 75 02 F7 D1 58 01 C1 58 5F 5D E9 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_64434_0 {
	meta:
		name = "@LStrFromWStr"
		size = 24
		refs = "0013 @LStrFromPWCharLen"
	strings:
		$1 = { FF 34 24 89 4C 24 04 31 C9 85 D2 74 05 8B 4A FC D1 E9 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64435_0 {
	meta:
		name = "@LStrToString"
		size = 34
		refs = "0017 Move"
	strings:
		$1 = { 53 85 D2 74 18 8B 5A FC 85 DB 74 11 39 D9 7C 02 89 D9 88 08 40 92 E8 ?? ?? ?? ?? 5B C3 C6 00 00 5B C3 }
	condition:
		$1
}

rule function_64436_0 {
	meta:
		name = "@LStrCat"
		size = 87
		refs = "000a @LStrAsg 002c @LStrSetLength 003a Move 0052 @IntOver"
	strings:
		$1 = { 85 D2 74 52 8B 08 85 C9 0F 84 ?? ?? ?? ?? 53 56 57 89 C3 89 D6 89 CF 39 CE 8B 79 FC 8B 56 FC 01 FA 70 2E 39 CE 74 1B 0F B7 49 F4 E8 ?? ?? ?? ?? 89 F0 8B 4E FC 8B 13 01 FA E8 ?? ?? ?? ?? 5F 5E 5B C3 0F B7 49 F4 E8 ?? ?? ?? ?? 8B 03 89 F9 EB E4 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64437_0 {
	meta:
		name = "@LStrCat3"
		size = 130
		refs = "0008 @LStrAsg 001e @LStrCat 0039 @NewAnsiString 0047 Move 007d @IntOver"
	strings:
		$1 = { 85 D2 74 69 85 C9 0F 84 ?? ?? ?? ?? 3B 10 74 64 3B 08 74 0E 50 51 E8 ?? ?? ?? ?? 5A 58 E9 ?? ?? ?? ?? 57 8B 7A FC 03 79 FC 70 50 53 56 50 89 D3 89 CE 89 F8 0F B7 56 F4 E8 ?? ?? ?? ?? 89 C7 89 FA 89 D8 8B 4B FC E8 ?? ?? ?? ?? 89 FA 89 F0 8B 4E FC 03 53 FC E8 ?? ?? ?? ?? 58 89 FA 85 FF 74 03 FF 4F F8 E8 ?? ?? ?? ?? 5E 5B 5F C3 89 CA E9 ?? ?? ?? ?? 89 CA E9 ?? ?? ?? ?? 5F E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64438_0 {
	meta:
		name = "@LStrCatN"
		size = 200
		refs = "0066 @LStrSetLength 007d @NewAnsiString 0096 Move 00b0 @LStrAsg 00c3 @IntOver"
	strings:
		$1 = { 6A 00 53 56 57 52 50 6A 00 89 D3 31 FF 8B 4C 94 1C 85 C9 74 14 0F B7 71 F4 89 74 24 18 39 08 75 08 89 CF 8B 41 FC 4A EB 02 31 C0 8B 4C 94 1C 85 C9 74 1E 03 41 FC 0F 80 86 00 00 00 83 7C 24 18 00 75 08 0F B7 71 F4 89 74 24 18 39 CF 75 02 31 FF 4A 75 D7 85 FF 74 20 89 C2 8B 44 24 04 8B 77 FC 0F B7 4F F4 E8 ?? ?? ?? ?? 8B 7C 24 04 8B 07 89 04 24 03 37 4B EB 0E 8B 54 24 18 E8 ?? ?? ?? ?? 89 04 24 89 C6 8B 44 9C 1C 89 F2 85 C0 74 0A 8B 48 FC 01 CE E8 ?? ?? ?? ?? 4B 75 E9 8B 14 24 8B 44 24 04 85 FF 75 0C 85 D2 74 03 FF 4A F8 E8 ?? ?? ?? ?? 83 C4 08 5A 5F 5E 5B 58 58 8D 24 94 FF E0 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64439_0 {
	meta:
		name = "@LStrCmp"
		size = 88
	strings:
		$1 = { 39 D0 74 30 85 D0 74 40 0F B6 08 2A 0A 75 25 53 8B 58 FC 2B 5A FC 53 83 D1 FF 21 D9 2B 48 FC 29 C8 29 CA 8B 1C 01 33 1C 11 75 0A 83 C1 04 78 F3 58 01 C0 5B C3 0F BC DB C1 EB 03 01 D9 79 F1 8A 04 01 3A 04 11 5B 5B C3 85 C0 74 08 85 D2 75 B8 39 50 FC C3 3B 42 FC C3 }
	condition:
		$1
}

rule function_64440_0 {
	meta:
		name = "@LStrEqual"
		size = 69
	strings:
		$1 = { 39 D0 74 2B 85 D0 74 2C 8B 48 FC 3B 4A FC 75 1F 53 8D 54 11 FC 8D 5C 01 FC F7 D9 8B 03 3B 02 75 0D 83 C1 04 79 0A 8B 04 19 3B 04 11 74 F3 5B C3 31 C0 5B C3 85 C0 74 08 85 D2 75 CC 39 50 FC C3 3B 42 FC C3 C3 }
	condition:
		$1
}

rule function_64441_0 {
	meta:
		name = "@LStrToPChar"
		size = 23
		refs = "0007 EmptyStringA 000c @LStrToPChar"
	strings:
		$1 = { 8B D0 85 D2 75 0E A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 0C C3 8B C2 C3 }
	condition:
		$1
}

rule function_64468_0 {
	meta:
		name = "@UStrToPWChar"
		size = 23
		refs = "0007 EmptyStringW 000c @LStrToPChar"
	strings:
		$1 = { 8B D0 85 D2 75 0E A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 0C C3 8B C2 C3 }
	condition:
		$1
}

rule function_64442_0 {
	meta:
		name = "@LStrCopy"
		size = 105
		refs = "0041 @LStrClr 005e @LStrFromPCharLen"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 83 FA 01 7D 04 33 D2 EB 07 4A 3B DA 7D 02 8B D3 85 C9 7D 04 33 F6 EB 0A 8B F3 2B F2 3B CE 7D 02 8B F1 8B C8 85 C9 75 0A 8B 45 08 E8 ?? ?? ?? ?? EB 1B 89 45 FC 8B 5D FC 83 EB 0C 0F B7 1B 53 8B 5D 08 03 D1 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_64443_0 {
	meta:
		name = "@LStrDelete"
		size = 76
		refs = "000a InternalUniqueStringA 0032 Move 0044 @LStrSetLength"
	strings:
		$1 = { 53 56 57 89 C3 89 D6 89 CF E8 ?? ?? ?? ?? 8B 13 85 D2 74 34 8B 4A FC 4E 7C 2E 39 CE 7D 2A 85 FF 7E 26 29 F1 39 CF 7E 02 89 CF 29 F9 01 F2 8D 04 17 E8 ?? ?? ?? ?? 8B 13 89 D8 0F B7 4A F4 8B 52 FC 29 FA E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64444_0 {
	meta:
		name = "@LStrInsert"
		size = 111
		refs = "0039 @LStrSetLength 0053 Move 006a @IntOver"
	strings:
		$1 = { 85 C0 74 64 53 56 57 55 89 C3 89 D6 89 CF 8B 12 52 85 D2 74 03 8B 52 FC 4F 7D 02 31 FF 39 D7 7E 02 89 D7 8B 6B FC 8B 06 85 C0 75 02 89 D8 0F B7 48 F4 89 F0 01 EA 70 31 E8 ?? ?? ?? ?? 58 39 D8 75 02 8B 1E 8B 06 8D 14 2F 8B 48 FC 29 D1 01 C2 01 F8 E8 ?? ?? ?? ?? 89 D8 8B 16 89 E9 01 FA E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64445_0 {
	meta:
		name = "@LStrSetLength"
		size = 118
		refs = "002c @ReallocMem 0042 @IntOver 004b @NewAnsiString 0063 Move 006a @LStrClr"
	strings:
		$1 = { 53 56 57 55 6A 00 89 C3 89 D6 89 CD 31 FF 85 D2 7E 55 8B 03 85 C0 74 2E 83 78 F8 01 75 28 83 E8 0C 83 C2 0D 70 1B 89 04 24 89 E0 E8 ?? ?? ?? ?? 8B 04 24 83 C0 0C 89 03 89 70 FC C6 04 06 00 EB 2F E9 ?? ?? ?? ?? 89 D0 89 EA E8 ?? ?? ?? ?? 89 C7 8B 03 85 C0 74 10 89 FA 8B 48 FC 39 F1 7C 02 89 F1 E8 ?? ?? ?? ?? 89 D8 E8 ?? ?? ?? ?? 89 3B 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64446_0 {
	meta:
		name = "@LStrFromUStr"
		size = 22
		refs = "0011 @LStrFromPWCharLen"
	strings:
		$1 = { FF 34 24 89 4C 24 04 31 C9 85 D2 74 03 8B 4A FC E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64447_0 {
	meta:
		name = "WStrSet"
		size = 13
		refs = "0008 SysFreeString"
	strings:
		$1 = { 87 10 85 D2 74 06 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64448_0 {
	meta:
		name = "@WStrFromChar"
		size = 21
		refs = "000a DefaultSystemCodePage 000f InternalWStrFromPCharLen"
	strings:
		$1 = { 52 89 E2 B9 01 00 00 00 FF 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_64449_0 {
	meta:
		name = "@WStrFromWChar"
		size = 15
		refs = "0009 @WStrFromPWCharLen"
	strings:
		$1 = { 52 89 E2 B9 01 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_64469_0 {
	meta:
		name = "@UStrFromChar"
		size = 15
		refs = "0009 @UStrFromPCharLen"
	strings:
		$1 = { 52 89 E2 B9 01 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_64470_0 {
	meta:
		name = "@UStrFromWChar"
		size = 15
		refs = "0009 @UStrFromPWCharLen"
	strings:
		$1 = { 52 89 E2 B9 01 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_64450_0 {
	meta:
		name = "@WStrFromPChar"
		size = 45
		refs = "0028 @WStrFromPCharLen"
	strings:
		$1 = { 31 C9 85 D2 74 21 52 3A 0A 74 17 3A 4A 01 74 11 3A 4A 02 74 0B 3A 4A 03 74 05 83 C2 04 EB E8 42 42 42 89 D1 5A 29 D1 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64471_0 {
	meta:
		name = "@UStrFromPChar"
		size = 45
		refs = "0028 @UStrFromPCharLen"
	strings:
		$1 = { 31 C9 85 D2 74 21 52 3A 0A 74 17 3A 4A 01 74 11 3A 4A 02 74 0B 3A 4A 03 74 05 83 C2 04 EB E8 42 42 42 89 D1 5A 29 D1 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64451_0 {
	meta:
		name = "@WStrFromPWChar"
		size = 57
		refs = "0034 @WStrFromPWCharLen"
	strings:
		$1 = { 31 C9 85 D2 74 2D 52 66 3B 0A 74 20 66 3B 4A 02 74 17 66 3B 4A 04 74 0E 66 3B 4A 06 74 05 83 C2 08 EB E4 83 C2 02 83 C2 02 83 C2 02 89 D1 5A 29 D1 D1 E9 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64472_0 {
	meta:
		name = "@UStrFromPWChar"
		size = 57
		refs = "0034 @UStrFromPWCharLen"
	strings:
		$1 = { 31 C9 85 D2 74 2D 52 66 3B 0A 74 20 66 3B 4A 02 74 17 66 3B 4A 04 74 0E 66 3B 4A 06 74 05 83 C2 08 EB E4 83 C2 02 83 C2 02 83 C2 02 89 D1 5A 29 D1 D1 E9 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64452_0 {
	meta:
		name = "@WStrFromString"
		size = 11
		refs = "0006 @WStrFromPCharLen"
	strings:
		$1 = { 31 C9 8A 0A 42 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64479_0 {
	meta:
		name = "@UStrFromString"
		size = 11
		refs = "0006 @UStrFromPCharLen"
	strings:
		$1 = { 31 C9 8A 0A 42 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64453_0 {
	meta:
		name = "@WStrFromArray"
		size = 24
		refs = "0013 @WStrFromPCharLen"
	strings:
		$1 = { 57 50 51 89 D7 31 C0 F2 AE 75 02 F7 D1 58 01 C1 58 5F E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64473_0 {
	meta:
		name = "@UStrFromArray"
		size = 24
		refs = "0013 @UStrFromPCharLen"
	strings:
		$1 = { 57 50 51 89 D7 31 C0 F2 AE 75 02 F7 D1 58 01 C1 58 5F E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64454_0 {
	meta:
		name = "@WStrFromWArray"
		size = 25
		refs = "0014 @WStrFromPWCharLen"
	strings:
		$1 = { 57 50 51 89 D7 31 C0 F2 66 AF 75 02 F7 D1 58 01 C1 58 5F E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64474_0 {
	meta:
		name = "@UStrFromWArray"
		size = 25
		refs = "0014 @UStrFromPWCharLen"
	strings:
		$1 = { 57 50 51 89 D7 31 C0 F2 66 AF 75 02 F7 D1 58 01 C1 58 5F E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64455_0 {
	meta:
		name = "@WStrFromLStr"
		size = 31
		refs = "0015 InternalWStrFromPCharLen 001a @WStrClr"
	strings:
		$1 = { 31 C9 85 D2 74 13 0F B7 4A F4 FF 34 24 89 4C 24 04 8B 4A FC E9 ?? ?? ?? ?? E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64475_0 {
	meta:
		name = "@UStrFromLStr"
		size = 31
		refs = "0015 InternalUStrFromPCharLen 001a @UStrFromPCharLen"
	strings:
		$1 = { 31 C9 85 D2 74 13 0F B7 4A F4 FF 34 24 89 4C 24 04 8B 4A FC E9 ?? ?? ?? ?? E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64456_0 {
	meta:
		name = "@WStrToString"
		size = 109
		refs = "0041 CharFromWChar 0060 Move"
	strings:
		$1 = { 53 56 81 C4 00 FE FF FF 8B D9 8B F0 81 FB FF 00 00 00 7E 05 BB FF 00 00 00 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 3B D8 7F 02 8B C3 85 C0 75 04 33 C0 EB 1F 50 8D 44 24 04 8B CA BA FF 01 00 00 E8 ?? ?? ?? ?? 85 C0 7D 04 33 C0 EB 06 3B D8 7D 02 8B C3 88 06 85 C0 7E 0B 8D 56 01 8B CC 91 E8 ?? ?? ?? ?? 81 C4 00 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_64457_0 {
	meta:
		name = "@WStrToPWChar"
		size = 20
		refs = "0007 @WStrToPWChar"
	strings:
		$1 = { 8B D0 85 D2 75 06 B8 ?? ?? ?? ?? C3 8B C2 C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_64458_0 {
	meta:
		name = "@WStrCat"
		size = 123
		refs = "0040 @NewWideString 0056 Move 0070 WStrSet"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 54 24 04 89 04 24 8B 44 24 04 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 85 DB 74 52 8B 04 24 8B 00 89 44 24 08 8B 44 24 08 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 8D 04 33 E8 ?? ?? ?? ?? 8B F8 85 F6 7E 10 8B CE 03 C9 8B D7 8B 04 24 8B 00 E8 ?? ?? ?? ?? 8D 14 77 8B CB 03 C9 8B 44 24 04 E8 ?? ?? ?? ?? 8B 04 24 8B D7 E8 ?? ?? ?? ?? 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64459_0 {
	meta:
		name = "@WStrCat3"
		size = 122
		refs = "003c @NewWideString 004b Move 0065 WStrSet 006f @WStrClr"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 8B EA 89 04 24 8B C5 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 8B 44 24 04 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 85 DB 75 04 85 F6 74 33 8D 04 1E E8 ?? ?? ?? ?? 8B F8 8B CB 03 C9 8B D7 8B C5 E8 ?? ?? ?? ?? 8D 14 5F 8B CE 03 C9 8B 44 24 04 E8 ?? ?? ?? ?? 8B 04 24 8B D7 E8 ?? ?? ?? ?? EB 08 8B 04 24 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64460_0 {
	meta:
		name = "@WStrCatN"
		size = 72
		refs = "0019 @NewWideString 0030 Move 003a WStrSet"
	strings:
		$1 = { 53 56 52 50 89 D3 31 C0 8B 4C 94 10 85 C9 74 03 03 41 FC 4A 75 F2 D1 E8 E8 ?? ?? ?? ?? 50 89 C6 8B 44 9C 14 89 F2 85 C0 74 0A 8B 48 FC 01 CE E8 ?? ?? ?? ?? 4B 75 E9 5A 58 E8 ?? ?? ?? ?? 5A 5E 5B 58 8D 24 94 FF E0 C3 }
	condition:
		$1
}

rule function_64461_0 {
	meta:
		name = "@WStrCmp"
		size = 129
	strings:
		$1 = { 53 56 57 89 C6 89 D7 39 D0 74 72 85 F6 74 51 85 FF 74 54 8B 46 FC 8B 57 FC 29 D0 77 02 01 C2 52 C1 EA 02 74 26 8B 0E 8B 1F 39 D9 75 41 4A 74 15 8B 4E 04 8B 5F 04 39 D9 75 34 83 C6 08 83 C7 08 4A 75 E2 EB 06 83 C6 04 83 C7 04 5A 83 E2 02 74 0B 66 8B 0E 66 8B 1F 66 39 D9 75 21 01 C0 EB 1D 8B 57 FC 29 D0 EB 16 8B 46 FC 29 D0 EB 0F 5A 66 39 D9 75 09 C1 E9 10 C1 EB 10 66 39 D9 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64463_0 {
	meta:
		name = "@WStrCopy"
		size = 73
		refs = "003f @WStrFromPWCharLen"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 85 DB 74 07 83 EB 04 8B 1B D1 EB 83 FA 01 7D 04 33 D2 EB 07 4A 3B DA 7D 02 8B D3 85 C9 7D 04 33 F6 EB 0A 8B F3 2B F2 3B CE 7D 02 8B F1 8B 4D 08 03 D2 03 D0 8B C6 91 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_64464_0 {
	meta:
		name = "@WStrDelete"
		size = 154
		refs = "0054 @NewWideString 006a Move 008f WStrSet"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 89 04 24 8B 04 24 8B 00 89 44 24 04 8B 44 24 04 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 85 F6 7E 69 83 FB 01 7C 64 3B F3 7C 60 85 C9 7E 5C 4B 8B FE 2B FB 2B F9 85 FF 7D 02 33 FF 85 DB 75 08 85 FF 75 04 33 ED EB 39 8D 04 1F E8 ?? ?? ?? ?? 8B E8 85 DB 7E 10 8B CB 03 C9 8B D5 8B 04 24 8B 00 E8 ?? ?? ?? ?? 85 FF 7E 17 2B F7 8B 04 24 8B 00 8D 04 70 8B CF 03 C9 8D 54 5D 00 E8 ?? ?? ?? ?? 8B 04 24 8B D5 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64465_0 {
	meta:
		name = "@WStrInsert"
		size = 179
		refs = "0057 @NewWideString 006e Move 00a7 WStrSet"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B D9 89 54 24 04 89 04 24 8B 04 24 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 85 F6 0F 8E 83 00 00 00 8B 44 24 04 8B 00 89 44 24 08 8B 44 24 08 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F8 83 FB 01 7D 04 33 DB EB 07 4B 3B FB 7D 02 8B DF 8D 04 3E E8 ?? ?? ?? ?? 8B E8 85 DB 7E 11 8B CB 03 C9 8B D5 8B 44 24 04 8B 00 E8 ?? ?? ?? ?? 8B CE 03 C9 8D 54 5D 00 8B 04 24 E8 ?? ?? ?? ?? 3B FB 7E 1A 03 F3 8D 54 75 00 2B FB 8B CF 03 C9 8B 44 24 04 8B 00 8D 04 58 E8 ?? ?? ?? ?? 8B 44 24 04 8B D5 E8 ?? ?? ?? ?? 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64466_0 {
	meta:
		name = "@WStrSetLength"
		size = 81
		refs = "0011 @NewWideString 003f Move 0048 WStrSet"
	strings:
		$1 = { 53 56 57 51 8B F2 8B F8 33 DB 85 F6 7E 35 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 17 8B C2 89 04 24 8B 04 24 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 7E 13 3B F0 7D 02 8B C6 8B C8 03 C9 8B C2 8B D3 E8 ?? ?? ?? ?? 8B C7 8B D3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64467_0 {
	meta:
		name = "@WCharToString"
		size = 91
		refs = "002d CharFromWChar 004e Move"
	strings:
		$1 = { 53 56 81 C4 FC FE FF FF 8B D9 66 89 14 24 8B F0 81 FB FF 00 00 00 7E 05 BB FF 00 00 00 6A 01 8D 4C 24 04 8D 44 24 06 BA FF 00 00 00 E8 ?? ?? ?? ?? 85 C0 7D 04 33 C0 EB 06 3B D8 7D 02 8B C3 88 06 85 C0 7E 0D 8D 56 01 8D 4C 24 02 91 E8 ?? ?? ?? ?? 81 C4 04 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_64476_0 {
	meta:
		name = "@UStrFromWStr"
		size = 17
		refs = "000c @UStrFromPWCharLen"
	strings:
		$1 = { 31 C9 85 D2 74 05 8B 4A FC D1 E9 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64477_0 {
	meta:
		name = "@WStrFromUStr"
		size = 15
		refs = "000a @WStrFromPWCharLen"
	strings:
		$1 = { 31 C9 85 D2 74 03 8B 4A FC E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64478_0 {
	meta:
		name = "@UStrToString"
		size = 107
		refs = "003f CharFromWChar 005e Move"
	strings:
		$1 = { 53 56 81 C4 00 FE FF FF 8B D9 8B F0 81 FB FF 00 00 00 7E 05 BB FF 00 00 00 8B C2 85 C0 74 05 83 E8 04 8B 00 3B D8 7F 02 8B C3 85 C0 75 04 33 C0 EB 1F 50 8D 44 24 04 8B CA BA FF 01 00 00 E8 ?? ?? ?? ?? 85 C0 7D 04 33 C0 EB 06 3B D8 7D 02 8B C3 88 06 85 C0 7E 0B 8D 56 01 8B CC 91 E8 ?? ?? ?? ?? 81 C4 00 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_64480_0 {
	meta:
		name = "@UStrSetLength"
		size = 126
		refs = "0029 @ReallocMem 0044 @LStrClr 004c @IntOver 0053 @NewUnicodeString 006d Move"
	strings:
		$1 = { 53 56 57 89 C3 89 D6 31 FF 85 D2 7E 64 8B 03 85 C0 74 3D 83 78 F8 01 75 37 83 E8 0C 01 D2 70 2B 83 C2 0E 70 26 50 89 E0 E8 ?? ?? ?? ?? 58 83 C0 0C 89 03 89 70 FC 66 C7 04 70 00 00 85 FF 74 3A 57 89 E0 E8 ?? ?? ?? ?? 5F EB 2F E9 ?? ?? ?? ?? 89 D0 E8 ?? ?? ?? ?? 89 C7 8B 03 85 C0 74 12 89 FA 8B 48 FC 39 F1 7C 02 89 F1 D1 E1 E8 ?? ?? ?? ?? 89 D8 E8 ?? ?? ?? ?? 89 3B 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64481_0 {
	meta:
		name = "@UStrCat"
		size = 85
		refs = "000a @UStrAsg 002a @UStrSetLength 003c Move 0050 @IntOver"
	strings:
		$1 = { 85 D2 74 50 8B 08 85 C9 0F 84 ?? ?? ?? ?? 53 56 57 89 C3 89 D6 8B 79 FC 8B 56 FC 01 FA F7 C2 00 00 00 C0 75 2A 39 CE 74 1B E8 ?? ?? ?? ?? 89 F0 8B 4E FC 8B 13 D1 E7 01 FA D1 E1 E8 ?? ?? ?? ?? 5F 5E 5B C3 E8 ?? ?? ?? ?? 8B 03 89 F9 EB E4 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64482_0 {
	meta:
		name = "@UStrCat3"
		size = 134
		refs = "0008 @UStrAsg 001e @UStrCat 0038 @NewUnicodeString 0048 Move 0081 @IntOver"
	strings:
		$1 = { 85 D2 74 6E 85 C9 0F 84 ?? ?? ?? ?? 3B 10 74 69 3B 08 74 0E 50 51 E8 ?? ?? ?? ?? 5A 58 E9 ?? ?? ?? ?? 53 56 57 89 D3 89 CE 50 8B 43 FC 03 46 FC A9 00 00 00 C0 75 49 E8 ?? ?? ?? ?? 89 C7 89 FA 89 D8 8B 4B FC D1 E1 E8 ?? ?? ?? ?? 89 F0 8B 4E FC D1 E1 8B 53 FC D1 E2 01 FA E8 ?? ?? ?? ?? 58 89 FA 85 FF 74 03 FF 4F F8 E8 ?? ?? ?? ?? 5F 5E 5B C3 89 CA E9 ?? ?? ?? ?? 89 CA E9 ?? ?? ?? ?? E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64483_0 {
	meta:
		name = "@UStrCatN"
		size = 175
		refs = "004d @UStrSetLength 0062 @NewUnicodeString 007d Move 0097 @UStrAsg 00aa @IntOver"
	strings:
		$1 = { 83 EC 04 53 56 57 52 50 6A 00 89 D3 31 FF 8B 4C 94 1C 85 C9 74 0C 39 08 75 08 89 CF 8B 41 FC 4A EB 02 31 C0 8B 4C 94 1C 85 C9 74 10 03 41 FC A9 00 00 00 C0 75 73 39 CF 75 02 31 FF 4A 75 E5 85 FF 74 1E 89 C2 8B 44 24 04 8B 77 FC E8 ?? ?? ?? ?? 8B 7C 24 04 8B 07 89 04 24 D1 E6 03 37 4B EB 0A E8 ?? ?? ?? ?? 89 04 24 89 C6 8B 44 9C 1C 89 F2 85 C0 74 0C 8B 48 FC D1 E1 01 CE E8 ?? ?? ?? ?? 4B 75 E7 8B 14 24 8B 44 24 04 85 FF 75 0C 85 D2 74 03 FF 4A F8 E8 ?? ?? ?? ?? 83 C4 08 5A 5F 5E 5B 58 58 8D 24 94 FF E0 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64484_0 {
	meta:
		name = "@UStrCmp"
		size = 93
	strings:
		$1 = { 39 D0 74 41 85 D0 74 49 8B 08 3B 0A 75 38 53 8B 58 FC 31 C9 2B 5A FC 53 83 D1 FF 21 D9 2B 48 FC 01 C9 29 C8 29 CA 83 C1 04 79 16 8B 1C 01 3B 1C 11 74 F3 8B 14 11 C1 CB 10 C1 CA 10 39 D3 5B 5B C3 58 01 C0 5B C3 8B 12 C1 C9 10 C1 CA 10 39 D1 C3 85 C0 74 04 85 D2 75 AF 39 D0 C3 C3 }
	condition:
		$1
}

rule function_64485_0 {
	meta:
		name = "@UStrEqual"
		size = 53
	strings:
		$1 = { 39 D0 74 30 85 D0 74 22 8B 48 FC 3B 4A FC 75 24 01 C9 01 C8 01 CA F7 D9 53 8B 1C 01 3B 1C 11 75 07 83 C1 04 78 F3 31 C0 5B C3 85 C0 74 04 85 D2 75 D6 39 D0 C3 }
	condition:
		$1
}

rule function_64486_0 {
	meta:
		name = "@UStrCopy"
		size = 71
		refs = "003d @UStrFromPWCharLen"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 85 DB 74 05 83 EB 04 8B 1B 83 FA 01 7D 04 33 D2 EB 07 4A 3B DA 7D 02 8B D3 85 C9 7D 04 33 F6 EB 0A 8B F3 2B F2 3B CE 7D 02 8B F1 8B 4D 08 03 D2 03 D0 8B C6 91 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_64487_0 {
	meta:
		name = "UStrSet"
		size = 16
		refs = "000a @UStrClr"
	strings:
		$1 = { 87 10 85 D2 74 09 52 89 E0 E8 ?? ?? ?? ?? 58 C3 }
	condition:
		$1
}

rule function_64488_0 {
	meta:
		name = "@UStrDelete"
		size = 98
		refs = "000d InternalUniqueStringU 004f Move 0059 @UStrSetLength"
	strings:
		$1 = { 53 56 57 51 8B F9 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 06 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 83 FB 01 7C 36 3B C3 7C 32 85 FF 7E 2E 4B 8B D0 2B D3 2B D7 8B FA 85 FF 7D 02 33 FF 2B C7 8B 16 8D 04 42 8B CF 03 C9 8B 16 8D 14 5A E8 ?? ?? ?? ?? 8D 14 1F 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64489_0 {
	meta:
		name = "@UStrInsert"
		size = 191
		refs = "0063 @IntOver 006e @UStrSetLength 008b Move"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F1 8B FA 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B E8 85 ED 0F 8E 93 00 00 00 8B 17 8B C2 89 44 24 0C 8B 44 24 0C 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FE 01 7D 04 33 F6 EB 07 4E 3B DE 7D 02 8B F3 3B 14 24 0F 94 44 24 08 8D 44 1D 00 89 44 24 04 83 7C 24 04 00 7D 05 E8 ?? ?? ?? ?? 8B C7 8B 54 24 04 E8 ?? ?? ?? ?? 3B DE 7E 19 8D 44 35 00 8B 17 8D 14 42 8B 07 8D 04 70 2B DE 8B CB 03 C9 E8 ?? ?? ?? ?? 80 7C 24 08 00 74 10 8B 07 8D 14 70 8B CD 03 C9 E8 ?? ?? ?? ?? EB 11 8B 07 8D 14 70 8B CD 03 C9 8B 04 24 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64490_0 {
	meta:
		name = "Pos"
		size = 62
	strings:
		$1 = { 53 56 57 89 C6 89 D7 31 C9 8A 0F 47 57 31 D2 8A 16 46 4A 78 1B 8A 06 46 29 D1 7E 14 F2 AE 75 10 89 CB 56 57 89 D1 F3 A6 5F 5E 74 09 89 D9 EB EC 5A 31 C0 EB 05 5A 89 F8 29 D0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64491_0 {
	meta:
		name = "Pos"
		size = 76
	strings:
		$1 = { 85 C0 74 47 85 D2 74 36 53 56 57 89 C6 89 D7 8B 4F FC 57 8B 56 FC 4A 78 20 66 8B 06 83 C6 02 29 D1 7E 16 F2 66 AF 75 11 89 CB 56 57 89 D1 F3 66 A7 5F 5E 74 0C 89 D9 EB EA 5A 31 C0 EB 0A 31 C0 C3 5A 89 F8 29 D0 D1 E8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64492_0 {
	meta:
		name = "Pos"
		size = 80
	strings:
		$1 = { 85 C0 74 4B 85 D2 74 3A 53 56 57 89 C6 89 D7 8B 4F FC D1 E9 57 8B 56 FC D1 EA 4A 78 20 66 8B 06 83 C6 02 29 D1 7E 16 F2 66 AF 75 11 89 CB 56 57 89 D1 F3 66 A7 5F 5E 74 0C 89 D9 EB EA 5A 31 C0 EB 0A 31 C0 C3 5A 89 F8 29 D0 D1 E8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64493_0 {
	meta:
		name = "Pos"
		size = 323
	strings:
		$1 = { 53 56 83 C4 F0 85 D2 74 4E 85 C0 74 4A 8B 72 FC 8B 58 FC 39 DE 7C 40 85 DB 7E 3C 4B 01 D6 01 DA 89 74 24 08 01 D8 89 54 24 04 F7 DB 0F B6 08 89 1C 24 0F 85 99 00 00 00 83 EE 02 89 74 24 0C 3A 0A 74 41 3A 4A 01 74 4C 83 C2 02 3B 54 24 0C 72 0A 3B 54 24 08 72 E8 31 C0 EB 30 3A 0A 74 25 3A 4A 01 74 30 3A 4A 02 74 18 3A 4A 03 74 23 83 C2 04 3B 54 24 0C 72 E4 3B 54 24 08 72 C2 31 C0 EB 0A 83 C2 02 42 89 D0 2B 44 24 04 83 C4 10 5E 5B C3 83 C2 02 83 C2 02 31 C0 3B 54 24 08 77 06 89 D0 2B 44 24 04 83 C4 10 5E 5B C3 3A 0A 74 75 3A 4A 01 74 43 3A 4A 02 74 68 3A 4A 03 74 36 83 C2 04 3B 54 24 0C 72 E4 3B 54 24 08 72 0B 31 C0 EB 4A 83 EE 02 89 74 24 0C 3A 0A 74 48 3A 4A 01 74 16 83 C2 02 3B 54 24 0C 72 C1 3B 54 24 08 72 E8 31 C0 EB 27 83 C2 02 8B 34 24 0F B7 1C 30 66 3B 5C 32 01 75 DC 83 C6 02 7C F0 83 C2 02 31 C0 3B 54 24 08 77 06 89 D0 2B 44 24 04 83 C4 10 5E 5B C3 83 C2 02 8B 34 24 0F B7 1C 30 66 3B 1C 32 75 AB 83 C6 02 7C F1 42 89 D0 2B 44 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_64494_0 {
	meta:
		name = "StringOfChar"
		size = 39
		refs = "0010 @UStrFromPWCharLen"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B C7 8B CB 33 D2 E8 ?? ?? ?? ?? 8B 07 85 DB 7E 09 4B 66 89 34 58 85 DB 7F F7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64495_0 {
	meta:
		name = "StringOfChar"
		size = 48
		refs = "000c @LStrClr 0018 DefaultSystemCodePage 001d @NewAnsiString 0028 @FillChar"
	strings:
		$1 = { 53 56 57 89 C3 89 D6 89 CF 89 C8 E8 ?? ?? ?? ?? 85 F6 7E 18 89 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 07 89 F2 88 D9 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64497_0 {
	meta:
		name = "SetCodePage"
		size = 372
		refs = "0019 SetCodePage 003f DefaultSystemCodePage 009d @UStrFromLStr 00a9 @UStrLAsg 00c2 @UStrToPWChar 00cd CharFromWChar 00da @LStrSetLength 011e @LStrToPChar 012f InternalUniqueStringA 0161 @UStrClr 0167 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 3B 89 7D F0 83 7D F0 00 74 0E 89 7D F0 8B 45 F0 83 E8 0C 0F B7 00 EB 07 0F B7 05 ?? ?? ?? ?? 66 3B F0 75 04 B0 01 EB 16 8B 03 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 94 C0 84 C0 0F 85 E6 00 00 00 80 7D FB 00 0F 84 B8 00 00 00 8B 3B 89 7D F0 83 7D F0 00 74 0E 89 7D F0 8B 45 F0 83 E8 0A 0F B7 00 EB 04 66 B8 01 00 66 83 F8 01 75 0C 8D 45 FC 8B 13 E8 ?? ?? ?? ?? EB 0A 8D 45 FC 8B 13 E8 ?? ?? ?? ?? 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 57 0F B7 C6 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8B F8 8B C3 33 C9 8B D7 E8 ?? ?? ?? ?? 85 FF 7E 51 8B 03 89 45 F0 8B 7D F0 85 FF 74 05 83 EF 04 8B 3F 8B 45 FC 89 45 F4 83 7D F4 00 74 0B 8B 45 F4 83 E8 04 8B 00 89 45 F4 8B 45 F4 50 0F B7 C6 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 03 E8 ?? ?? ?? ?? 8B D7 59 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 8B 13 8B C2 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 06 83 EA 0C 66 89 32 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64498_0 {
	meta:
		name = "UnicodeStringToUCS4String"
		size = 248
		refs = "002a UCS4String 002f @DynArraySetLength 00b9 @UStrLen"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 14 24 8B F0 33 C0 89 44 24 04 8B DE 85 DB 74 05 83 EB 04 8B 1B 43 53 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 FF EB 7C 0F B7 2C 7E 66 81 FD 00 D8 72 2B 66 81 FD FF DF 77 24 89 74 24 08 83 7C 24 08 00 74 0D 8B 44 24 08 83 E8 04 8B 00 89 44 24 08 8D 47 01 3B 44 24 08 0F 9C C3 EB 02 33 DB 84 DB 74 2C 0F B7 C5 25 FF 03 00 00 C1 E0 0A 0F B7 54 7E 02 81 E2 FF 03 00 00 0B C2 05 00 00 01 00 8B 14 24 8B 12 8B 4C 24 04 89 04 8A 47 EB 0F 8B 04 24 8B 00 8B 54 24 04 0F B7 CD 89 0C 90 FF 44 24 04 47 8B C6 E8 ?? ?? ?? ?? 3B F8 0F 8C 75 FF FF FF 8B 04 24 8B 00 8B 54 24 04 33 C9 89 0C 90 8B 44 24 04 40 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64499_0 {
	meta:
		name = "UCS4StringToUnicodeString"
		size = 154
		refs = "000b @DynArrayLength 0017 @UStrSetLength 002e @UniqueStringU"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D0 03 D2 4A 8B C5 E8 ?? ?? ?? ?? 33 FF 33 DB EB 5F 81 3C 9E 00 00 01 00 72 44 47 8B C5 E8 ?? ?? ?? ?? 8B 14 9E 81 EA 00 00 01 00 C1 EA 0A 66 81 E2 FF 03 66 81 CA 00 D8 66 89 54 78 FE 47 8B C5 E8 ?? ?? ?? ?? 0F B7 14 9E 66 83 EA 00 66 81 E2 FF 03 66 81 CA 00 DC 66 89 54 78 FE EB 11 47 8B C5 E8 ?? ?? ?? ?? 0F B7 14 9E 66 89 54 78 FE 43 8B C6 E8 ?? ?? ?? ?? 48 3B D8 7C 95 8B C5 8B D7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64500_0 {
	meta:
		name = "FlushBuffer"
		size = 132
		refs = "000c @DynArrayLength 0025 UCS4String 002a @DynArraySetLength 005e Move"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 03 E8 ?? ?? ?? ?? 8B 55 08 03 82 FC FB FF FF 03 C6 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 E8 ?? ?? ?? ?? 8B 55 08 2B 82 FC FB FF FF 2B C6 8B 13 8D 14 82 8B 45 08 8B 88 FC FB FF FF 03 C9 03 C9 8B 45 08 05 00 FC FF FF E8 ?? ?? ?? ?? 85 F6 7E 0F 8B 03 E8 ?? ?? ?? ?? 8B 13 33 C9 89 4C 82 FC 8B 45 08 33 D2 89 90 FC FB FF FF 5E 5B 5D C3 }
	condition:
		$1
}

rule function_64501_0 {
	meta:
		name = "WideCharToUCS4String"
		size = 198
		refs = "009a FlushBuffer"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FB FF FF 53 56 57 89 8D F8 FB FF FF 8B FA 8B D8 33 C0 89 85 FC FB FF FF EB 7F 0F B7 33 66 81 FE 00 D8 72 40 66 81 FE FF DF 77 39 85 FF 7E 35 66 83 7B 02 00 74 2E 0F B7 C6 25 FF 03 00 00 C1 E0 0A 0F B7 53 02 81 E2 FF 03 00 00 0B C2 05 00 00 01 00 8B 95 FC FB FF FF 89 84 95 00 FC FF FF 83 C3 02 EB 10 0F B7 C6 8B 95 FC FB FF FF 89 84 95 00 FC FF FF FF 85 FC FB FF FF 83 C3 02 4F 81 BD FC FB FF FF 00 01 00 00 7C 0F 55 8B 85 F8 FB FF FF 33 D2 E8 ?? ?? ?? ?? 59 66 83 3B 00 74 08 85 FF 0F 8F 73 FF FF FF 55 8B 85 F8 FB FF FF BA 01 00 00 00 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64502_0 {
	meta:
		name = "@InitializeRecord"
		size = 51
		refs = "0025 @InitializeArray"
	strings:
		$1 = { 31 C9 53 8A 4A 01 56 57 89 C3 8D 74 11 0A 8B 7C 11 06 85 FF 74 19 8B 16 8B 46 04 01 D8 8B 12 B9 01 00 00 00 E8 ?? ?? ?? ?? 83 C6 08 4F 7F E7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64510_0 {
	meta:
		name = "@AddRefRecord"
		size = 51
		refs = "0025 @AddRefArray"
	strings:
		$1 = { 31 C9 53 8A 4A 01 56 57 89 C3 8D 74 11 0A 8B 7C 11 06 85 FF 74 19 8B 16 8B 46 04 01 D8 8B 12 B9 01 00 00 00 E8 ?? ?? ?? ?? 83 C6 08 4F 7F E7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64504_0 {
	meta:
		name = "@InitializeArray"
		size = 151
		refs = "0040 Error 0075 @InitializeArray 008b @InitializeRecord"
	strings:
		$1 = { 85 C9 0F 84 8E 00 00 00 53 56 57 89 C3 89 D6 89 CF 31 D2 8A 06 8A 56 01 31 C9 3C 0A 74 26 3C 0B 74 22 3C 0C 74 28 3C 0D 74 37 3C 0E 74 51 3C 0F 74 12 3C 11 74 0E 3C 12 74 0A B0 02 5F 5E 5B E9 ?? ?? ?? ?? 89 0B 83 C3 04 4F 7F F8 EB 45 89 0B 89 4B 04 89 4B 08 89 4B 0C 83 C3 10 4F 7F EF EB 32 55 89 D5 8B 54 2E 0A 89 D8 03 5C 2E 02 8B 4C 2E 06 8B 12 E8 ?? ?? ?? ?? 4F 7F E8 5D EB 14 55 89 D5 89 D8 03 5C 2E 02 89 F2 E8 ?? ?? ?? ?? 4F 7F F0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64505_0 {
	meta:
		name = "@Initialize"
		size = 11
		refs = "0006 @InitializeArray"
	strings:
		$1 = { B9 01 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64513_0 {
	meta:
		name = "@AddRef"
		size = 11
		refs = "0006 @AddRefArray"
	strings:
		$1 = { B9 01 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64509_0 {
	meta:
		name = "@Finalize"
		size = 11
		refs = "0006 @FinalizeArray"
	strings:
		$1 = { B9 01 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70578_0 {
	meta:
		name = "@VarSub"
		size = 11
		refs = "0006 @VarOp"
	strings:
		$1 = { B9 01 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64506_0 {
	meta:
		name = "@FinalizeRecord"
		size = 53
		refs = "0025 @FinalizeArray"
	strings:
		$1 = { 31 C9 53 8A 4A 01 56 57 89 C3 8D 74 11 0A 8B 7C 11 06 85 FF 74 19 8B 16 8B 46 04 01 D8 8B 12 B9 01 00 00 00 E8 ?? ?? ?? ?? 83 C6 08 4F 7F E7 89 D8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64507_0 {
	meta:
		name = "@VarClr"
		size = 24
		refs = "0002 VarClearProc 0013 Error"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 07 FF 15 ?? ?? ?? ?? C3 B0 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64511_0 {
	meta:
		name = "@VarAddRef"
		size = 24
		refs = "0002 VarAddRefProc 0013 Error"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 07 FF 15 ?? ?? ?? ?? C3 B0 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64514_0 {
	meta:
		name = "@VarCopy"
		size = 24
		refs = "0002 VarCopyProc 0013 Error"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 07 FF 15 ?? ?? ?? ?? C3 B0 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64508_0 {
	meta:
		name = "@FinalizeArray"
		size = 271
		refs = "0053 @LStrClr 005f @LStrArrayClr 0070 @WStrClr 007c @WStrArrayClr 008d @UStrClr 0096 @UStrArrayClr 00a2 @VarClr 00bf @FinalizeArray 00d5 @FinalizeRecord 00e5 @IntfClear 00f6 @DynArrayClear 0106 Error"
	strings:
		$1 = { 83 F9 00 0F 84 05 01 00 00 50 53 56 57 89 C3 89 D6 89 CF 31 D2 8A 06 8A 56 01 3C 0A 74 2D 3C 12 74 63 3C 0B 74 42 3C 0C 74 72 3C 0D 74 7D 3C 0E 0F 84 93 00 00 00 3C 0F 0F 84 A1 00 00 00 3C 11 0F 84 A8 00 00 00 E9 B4 00 00 00 83 F9 01 89 D8 7F 0A E8 ?? ?? ?? ?? E9 AE 00 00 00 89 CA E8 ?? ?? ?? ?? E9 A2 00 00 00 83 F9 01 89 D8 7F 0A E8 ?? ?? ?? ?? E9 91 00 00 00 89 CA E8 ?? ?? ?? ?? E9 85 00 00 00 83 F9 01 89 D8 7F 07 E8 ?? ?? ?? ?? EB 77 89 CA E8 ?? ?? ?? ?? EB 6E 89 D8 83 C3 10 E8 ?? ?? ?? ?? 4F 7F F3 EB 5F 55 89 D5 8B 54 2E 0A 89 D8 03 5C 2E 02 8B 4C 2E 06 8B 12 E8 ?? ?? ?? ?? 4F 7F E8 5D EB 41 55 89 D5 89 D8 03 5C 2E 02 89 F2 E8 ?? ?? ?? ?? 4F 7F F0 5D EB 2B 89 D8 83 C3 04 E8 ?? ?? ?? ?? 4F 7F F3 EB 1C 89 D8 89 F2 83 C3 04 E8 ?? ?? ?? ?? 4F 7F F1 EB 0B 5F 5E 5B 58 B0 02 E9 ?? ?? ?? ?? 5F 5E 5B 58 C3 }
	condition:
		$1
}

rule function_64512_0 {
	meta:
		name = "@AddRefArray"
		size = 195
		refs = "003e Error 0048 @LStrAddRef 0057 @WStrAddRef 0066 @VarAddRef 0083 @AddRefArray 0099 @AddRefRecord 00a9 @IntfAddRef 00b8 @DynArrayAddRef"
	strings:
		$1 = { 53 56 57 85 C9 0F 84 B4 00 00 00 89 C3 89 D6 89 CF 31 D2 8A 06 8A 56 01 3C 0A 74 26 3C 0B 74 31 3C 12 74 1E 3C 0C 74 38 3C 0D 74 43 3C 0E 74 5D 3C 0F 74 6F 3C 11 74 7A B0 02 5F 5E 5B E9 ?? ?? ?? ?? 8B 03 83 C3 04 E8 ?? ?? ?? ?? 4F 7F F3 EB 6E 89 D8 83 C3 04 E8 ?? ?? ?? ?? 4F 7F F3 EB 5F 89 D8 83 C3 10 E8 ?? ?? ?? ?? 4F 7F F3 EB 50 55 89 D5 8B 54 2E 0A 89 D8 03 5C 2E 02 8B 4C 2E 06 8B 12 E8 ?? ?? ?? ?? 4F 7F E8 5D EB 32 55 89 D5 89 D8 03 5C 2E 02 89 F2 E8 ?? ?? ?? ?? 4F 7F F0 5D EB 1C 8B 03 83 C3 04 E8 ?? ?? ?? ?? 4F 7F F3 EB 0D 8B 03 83 C3 04 E8 ?? ?? ?? ?? 4F 7F F3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64515_0 {
	meta:
		name = "@CopyRecord"
		size = 320
		refs = "0030 Move 0079 Error 0083 @LStrAsg 0097 @UStrAsg 00a8 @WStrAsg 00b9 @VarCopy 00dd @CopyArray 00f6 @CopyRecord 0103 @IntfCopy 0116 @DynArrayAsg"
	strings:
		$1 = { 53 56 57 55 89 C3 89 D6 31 C0 8A 41 01 8D 7C 08 0A 8B 6F FC 31 C0 8B 4F F8 85 ED 0F 84 0C 01 00 00 51 8B 4F 04 29 C1 7E 0B 89 C2 01 F0 01 DA E8 ?? ?? ?? ?? 8B 47 04 8B 17 8B 12 8A 0A 80 F9 0A 74 3B 80 F9 0B 74 5B 80 F9 12 74 45 80 F9 0C 74 62 80 F9 0D 74 6E 80 F9 0E 0F 84 85 00 00 00 80 F9 0F 0F 84 95 00 00 00 80 F9 11 0F 84 9D 00 00 00 B0 02 59 5D 5F 5E 5B E9 ?? ?? ?? ?? 8B 14 30 01 D8 E8 ?? ?? ?? ?? B8 04 00 00 00 E9 8E 00 00 00 8B 14 30 01 D8 E8 ?? ?? ?? ?? B8 04 00 00 00 EB 7D 8B 14 30 01 D8 E8 ?? ?? ?? ?? B8 04 00 00 00 EB 6C 8D 14 30 01 D8 E8 ?? ?? ?? ?? B8 10 00 00 00 EB 5B 31 C9 8A 4A 01 FF 74 11 02 FF 74 11 06 8B 4C 11 0A 8B 09 8D 14 30 01 D8 E8 ?? ?? ?? ?? 58 EB 3B 31 C9 8A 4A 01 8B 4C 11 02 51 89 D1 8D 14 30 01 D8 E8 ?? ?? ?? ?? 58 EB 22 8B 14 30 01 D8 E8 ?? ?? ?? ?? B8 04 00 00 00 EB 11 89 D1 8B 14 30 01 D8 E8 ?? ?? ?? ?? B8 04 00 00 00 03 47 04 83 C7 08 4D 0F 85 F6 FE FF FF 59 29 C1 7E 0A 8D 14 18 01 F0 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64516_0 {
	meta:
		name = "@CopyObject"
		size = 21
		refs = "000a @CopyRecord"
	strings:
		$1 = { 01 C1 FF 31 51 8B 4C 24 0C E8 ?? ?? ?? ?? 59 8F 01 C2 04 00 C3 }
	condition:
		$1
}

rule function_64517_0 {
	meta:
		name = "@CopyArray"
		size = 277
		refs = "004b Error 0054 @LStrAsg 006b @WStrAsg 0082 @UStrAsg 0096 @VarCopy 00bb @CopyArray 00cf @CopyRecord 00ea @IntfCopy 0100 @DynArrayAsg"
	strings:
		$1 = { 53 56 57 55 89 C3 89 D6 89 CF 8B 6C 24 14 8A 0F 80 F9 0A 74 3A 80 F9 0B 74 4C 80 F9 12 74 5E 80 F9 0C 74 6D 80 F9 0D 74 7C 80 F9 0E 0F 84 96 00 00 00 80 F9 0F 0F 84 AA 00 00 00 80 F9 11 0F 84 B5 00 00 00 B0 02 5D 5F 5E 5B E9 ?? ?? ?? ?? 89 D8 8B 16 E8 ?? ?? ?? ?? 83 C3 04 83 C6 04 4D 75 EE E9 A7 00 00 00 89 D8 8B 16 E8 ?? ?? ?? ?? 83 C3 04 83 C6 04 4D 75 EE E9 90 00 00 00 89 D8 8B 16 E8 ?? ?? ?? ?? 83 C3 04 83 C6 04 4D 75 EE EB 7C 89 D8 89 F2 E8 ?? ?? ?? ?? 83 C3 10 83 C6 10 4D 75 EE EB 68 31 C9 8A 4F 01 8D 7C 39 02 89 D8 89 F2 8B 4F 08 8B 09 FF 77 04 E8 ?? ?? ?? ?? 03 1F 03 37 4D 75 E8 EB 45 89 D8 89 F2 89 F9 E8 ?? ?? ?? ?? 31 C0 8A 47 01 03 5C 38 02 03 74 38 02 4D 75 E5 EB 28 89 D8 8B 16 E8 ?? ?? ?? ?? 83 C3 04 83 C6 04 4D 75 EE EB 14 89 D8 8B 16 89 F9 E8 ?? ?? ?? ?? 83 C3 04 83 C6 04 4D 75 EC 5D 5F 5E 5B C2 04 00 C3 }
	condition:
		$1
}

rule function_64518_0 {
	meta:
		name = "@New"
		size = 19
		refs = "0002 @GetMem 000d @Initialize"
	strings:
		$1 = { 52 E8 ?? ?? ?? ?? 5A 85 C0 74 07 50 E8 ?? ?? ?? ?? 58 C3 }
	condition:
		$1
}

rule function_64519_0 {
	meta:
		name = "@Dispose"
		size = 13
		refs = "0002 @Finalize 0008 @FreeMem"
	strings:
		$1 = { 50 E8 ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64520_0 {
	meta:
		name = "CopyArray"
		size = 15
		refs = "0007 @CopyArray"
	strings:
		$1 = { 55 8B EC FF 75 08 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_64525_0 {
	meta:
		name = "WideCharLenToStrVar"
		size = 9
		refs = "0004 @UStrFromPWCharLen"
	strings:
		$1 = { 91 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69768_0 {
	meta:
		name = "TRect.Intersect"
		size = 9
		refs = "0004 IntersectRect"
	strings:
		$1 = { 91 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69770_0 {
	meta:
		name = "TRect.Union"
		size = 9
		refs = "0004 UnionRect"
	strings:
		$1 = { 91 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69883_0 {
	meta:
		name = "TRectF.Intersect"
		size = 9
		refs = "0004 IntersectRectF"
	strings:
		$1 = { 91 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69885_0 {
	meta:
		name = "TRectF.Union"
		size = 9
		refs = "0004 UnionRectF"
	strings:
		$1 = { 91 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69816_0 {
	meta:
		name = "UnionRect"
		size = 9
		refs = "0004 UnionRect"
	strings:
		$1 = { 91 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64526_0 {
	meta:
		name = "WideCharLenToStrVar"
		size = 19
		refs = "0004 DefaultSystemCodePage 000d @LStrFromPWCharLen"
	strings:
		$1 = { 53 0F B7 1D ?? ?? ?? ?? 53 91 87 CA E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64527_0 {
	meta:
		name = "StringToWideChar"
		size = 108
		refs = "002c StringToWideChar 0040 @UStrToPWChar 004b Move"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B FA 8B F0 8B C6 85 C0 74 05 83 E8 04 8B 00 40 3B 04 24 7E 16 83 3C 24 00 7E 09 66 C7 07 00 00 8B C7 EB 37 B8 ?? ?? ?? ?? EB 30 8B DE 85 DB 74 05 83 EB 04 8B 1B 8B C6 E8 ?? ?? ?? ?? 8B CB 03 C9 8B D7 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 66 C7 04 47 00 00 8B C7 5A 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_64529_0 {
	meta:
		name = "OleStrToStrVar"
		size = 27
		refs = "0015 WideCharLenToStrVar"
	strings:
		$1 = { 51 89 04 24 8B 0C 24 85 C9 74 07 83 E9 04 8B 09 D1 E9 87 D1 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_64531_0 {
	meta:
		name = "StringToOleStr"
		size = 41
		refs = "001f @WStrFromPCharLen"
	strings:
		$1 = { 83 C4 F8 33 D2 89 14 24 89 44 24 04 8B 54 24 04 85 D2 74 05 83 EA 04 8B 12 8B CC 91 87 D1 E8 ?? ?? ?? ?? 8B 04 24 59 5A C3 }
	condition:
		$1
}

rule function_64532_0 {
	meta:
		name = "StringToOleStr"
		size = 32
		refs = "0017 @WStrFromPWCharLen"
	strings:
		$1 = { 51 33 D2 89 14 24 8B D0 85 D2 74 05 83 EA 04 8B 12 8B CC 91 87 D1 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_64533_0 {
	meta:
		name = "GetVariantManager"
		size = 13
		refs = "0008 @FillChar"
	strings:
		$1 = { 33 C9 BA B0 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64537_0 {
	meta:
		name = "@DispCallByIDError"
		size = 8
		refs = "0003 Error"
	strings:
		$1 = { B0 11 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64539_0 {
	meta:
		name = "@_llmul"
		size = 36
		altNames = "@_llmulo"
	strings:
		$1 = { 52 50 8B 44 24 10 F7 24 24 89 C1 8B 44 24 04 F7 64 24 0C 01 C1 8B 04 24 F7 64 24 0C 01 CA 59 59 C2 08 00 C3 }
	condition:
		$1
}

rule function_64541_0 {
	meta:
		name = "@_lldiv"
		size = 146
	strings:
		$1 = { 53 56 57 8B 5C 24 10 8B 4C 24 14 89 D6 89 CF C1 FE 1F 31 F0 31 F2 29 F0 19 F2 C1 FF 1F 31 FE 31 FB 31 F9 29 FB 19 F9 75 13 39 DA 72 09 89 C1 89 D0 31 D2 F7 F3 91 F7 F3 89 CA EB 47 83 EC 0C 89 04 24 89 5C 24 04 89 54 24 08 89 CF D1 EA D1 D8 D1 CF D1 DB 0F BD C9 0F AD FB 0F AD D0 D3 EA D1 C7 F7 F3 8B 1C 24 89 C1 0F AF F8 F7 64 24 04 01 FA 29 C3 89 C8 8B 4C 24 08 19 D1 83 D8 00 31 D2 83 C4 0C 31 F0 31 F2 29 F0 19 F2 5F 5E 5B C2 08 00 C3 }
	condition:
		$1
}

rule function_64542_0 {
	meta:
		name = "@_lldivo"
		size = 56
		refs = "002e @_lldiv"
	strings:
		$1 = { 56 8B 74 24 0C 23 74 24 08 81 FE FF FF FF FF 75 13 89 C6 09 D6 81 FE 00 00 00 80 75 07 89 F0 5E 48 C2 08 00 5E FF 74 24 08 FF 74 24 08 E8 ?? ?? ?? ?? 21 C0 C2 08 00 C3 }
	condition:
		$1
}

rule function_64545_0 {
	meta:
		name = "@_llmodo"
		size = 56
		refs = "002e @_llmod"
	strings:
		$1 = { 56 8B 74 24 0C 23 74 24 08 81 FE FF FF FF FF 75 13 89 C6 09 D6 81 FE 00 00 00 80 75 07 89 F0 5E 48 C2 08 00 5E FF 74 24 08 FF 74 24 08 E8 ?? ?? ?? ?? 21 C0 C2 08 00 C3 }
	condition:
		$1
}

rule function_64543_0 {
	meta:
		name = "@_lludiv"
		size = 74
	strings:
		$1 = { 55 53 56 57 8B 5C 24 14 8B 4C 24 18 09 C9 75 08 09 D2 74 2F 09 DB 74 2B 89 CD B9 40 00 00 00 31 FF 31 F6 D1 E0 D1 D2 D1 D6 D1 D7 39 EF 72 0B 77 04 39 DE 72 05 29 DE 19 EF 40 E2 E7 5F 5E 5B 5D C2 08 00 F7 F3 31 D2 EB F3 C3 }
	condition:
		$1
}

rule function_64544_0 {
	meta:
		name = "@_llmod"
		size = 123
	strings:
		$1 = { 55 53 56 57 31 FF 8B 5C 24 14 8B 4C 24 18 09 C9 75 08 09 D2 74 5D 09 DB 74 59 09 D2 79 0A F7 DA F7 D8 83 DA 00 83 CF 01 09 C9 79 07 F7 D9 F7 DB 83 D9 00 89 CD B9 40 00 00 00 57 31 FF 31 F6 D1 E0 D1 D2 D1 D6 D1 D7 39 EF 72 0B 77 04 39 DE 72 05 29 DE 19 EF 40 E2 E7 89 F0 89 FA 5B F7 C3 01 00 00 00 74 07 F7 DA F7 D8 83 DA 00 5F 5E 5B 5D C2 08 00 F7 F3 92 31 D2 EB F2 C3 }
	condition:
		$1
}

rule function_64546_0 {
	meta:
		name = "@_llumod"
		size = 79
	strings:
		$1 = { 55 53 56 57 8B 5C 24 14 8B 4C 24 18 09 C9 75 08 09 D2 74 33 09 DB 74 2F 89 CD B9 40 00 00 00 31 FF 31 F6 D1 E0 D1 D2 D1 D6 D1 D7 39 EF 72 0B 77 04 39 DE 72 05 29 DE 19 EF 40 E2 E7 89 F0 89 FA 5F 5E 5B 5D C2 08 00 F7 F3 92 31 D2 EB F2 C3 }
	condition:
		$1
}

rule function_64547_0 {
	meta:
		name = "@_llshl"
		size = 22
	strings:
		$1 = { 80 E1 3F 80 F9 20 7C 07 89 C2 D3 E2 31 C0 C3 0F A5 C2 D3 E0 C3 C3 }
	condition:
		$1
}

rule function_64548_0 {
	meta:
		name = "@_llshr"
		size = 21
	strings:
		$1 = { 80 E1 3F 80 F9 20 7C 06 89 D0 99 D3 F8 C3 0F AD D0 D3 FA C3 C3 }
	condition:
		$1
}

rule function_64549_0 {
	meta:
		name = "@_llushr"
		size = 22
	strings:
		$1 = { 80 E1 3F 80 F9 20 7C 07 89 D0 31 D2 D3 E8 C3 0F AD D0 D3 EA C3 C3 }
	condition:
		$1
}

rule function_64550_0 {
	meta:
		name = "@StrUInt64Digits"
		size = 164
		refs = "001d @_llumod 0038 @_lludiv 0097 @SetLength"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 8B F1 88 55 FF 8B F8 33 DB 6A 00 6A 0A 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 83 C0 30 83 D2 00 66 89 44 5D BE 43 6A 00 6A 0A 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 89 45 08 89 55 0C 83 7D 0C 00 75 CA 83 7D 08 00 75 C4 80 7D FF 00 74 08 66 C7 44 5D BE 2D 00 43 81 FF FF 00 00 00 7E 05 BF FF 00 00 00 B8 01 00 00 00 8B D7 2B D3 3B D0 7C 09 C6 04 06 20 40 3B D0 7D F7 85 DB 7E 0E 4B 0F B6 54 5D BE 88 14 06 40 85 DB 7F F2 8B D0 4A 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_64551_0 {
	meta:
		name = "@StrInt64"
		size = 61
		refs = "0033 @StrUInt64Digits"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 45 08 8B 55 0C 85 D2 7D 07 F7 D8 83 D2 00 F7 DA 52 50 83 7D 0C 00 75 09 83 7D 08 00 0F 92 C2 EB 03 0F 9C C2 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_64552_0 {
	meta:
		name = "@Str0Int64"
		size = 26
		refs = "0011 @StrInt64"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B D3 33 C0 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_64554_0 {
	meta:
		name = "@Str0UInt64"
		size = 26
		refs = "0011 @StrUInt64"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B D3 33 C0 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_68945_0 {
	meta:
		name = "UIntToStr"
		size = 26
		refs = "0011 _IntToStr64"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B D3 33 C0 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_64553_0 {
	meta:
		name = "@StrUInt64"
		size = 32
		refs = "0016 @StrUInt64Digits"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_64555_0 {
	meta:
		name = "@WriteInt64"
		size = 57
		refs = "001e @StrInt64 002d @WriteString"
	strings:
		$1 = { 55 8B EC 81 C4 00 FF FF FF 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8D 95 00 FF FF FF 33 C0 E8 ?? ?? ?? ?? 8D 95 00 FF FF FF 8B C3 8B CE E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_64556_0 {
	meta:
		name = "@Write0Int64"
		size = 20
		refs = "000c @WriteInt64"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 33 D2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_64558_0 {
	meta:
		name = "@Write0UInt64"
		size = 20
		refs = "000c @WriteUInt64"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 33 D2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_93571_0 {
	meta:
		name = "TChartAxis.LabelHeight"
		size = 20
		refs = "000c TChartAxis.InternalLabelSize"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 33 D2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_64557_0 {
	meta:
		name = "@WriteUInt64"
		size = 59
		refs = "0020 @StrUInt64Digits 002f @WriteString"
	strings:
		$1 = { 55 8B EC 81 C4 00 FF FF FF 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8D 8D 00 FF FF FF 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 95 00 FF FF FF 8B C3 8B CE E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_64559_0 {
	meta:
		name = "@ValInt64L"
		size = 98
		refs = "0015 @ValInt64L 0025 @UStrFromLStr 002f @ValInt64 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 45 F4 8B D6 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64560_0 {
	meta:
		name = "@ReadInt64"
		size = 215
		refs = "0014 @ReadInt64 0022 @SeekEof 0043 @UStrSetLength 0058 DefaultSystemCodePage 005d @GetAnsiChar 006f @SkipAnsiChar 0094 @ValInt64 00aa SetInOutRes 00bf @UStrClr 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 10 C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 EB 74 8D 45 FC BA 20 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC BE 20 00 00 00 8D 55 EF 8B 45 F8 0F B7 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 20 76 14 0F B6 C0 66 89 03 8B 45 F8 E8 ?? ?? ?? ?? 83 C3 02 4E 75 D6 8B D3 2B 55 FC D1 FA 79 03 83 D2 00 8D 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 83 7D E8 00 74 0A B8 6A 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 55 F4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64561_0 {
	meta:
		name = "@ValInt64"
		size = 629
		refs = "01e3 @_llmul"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 14 24 8B F0 BD 01 00 00 00 33 FF C7 44 24 08 00 00 00 00 C7 44 24 0C 00 00 00 00 85 F6 75 0B 8B 04 24 89 28 E9 34 02 00 00 45 66 83 7C 6E FE 20 74 F7 C6 44 24 10 00 0F B7 44 6E FE 66 83 F8 2D 75 08 C6 44 24 10 01 45 EB 07 66 83 F8 2B 75 01 45 B3 01 0F B7 44 6E FE 66 83 F8 24 75 04 B2 01 EB 1B 8B D0 8B C8 83 C1 9F 66 83 E9 1A 73 07 8B D0 66 81 E2 DF FF 66 83 FA 58 0F 94 C2 84 D2 74 04 B2 01 EB 43 66 83 F8 30 75 12 8B D6 85 D2 74 05 83 EA 04 8B 12 3B D5 0F 9F C2 EB 02 33 D2 84 D2 74 23 0F B7 14 6E 0F B7 0C 6E 83 C1 9F 66 83 E9 1A 73 09 0F B7 14 6E 66 81 E2 DF FF 66 83 FA 58 0F 94 C2 EB 02 33 D2 84 D2 0F 84 BE 00 00 00 66 83 F8 30 75 01 45 45 0F B7 4C 6E FE 8B C1 83 C0 D0 66 83 E8 0A 72 14 83 C0 F9 66 83 E8 06 72 13 83 C0 E6 66 83 E8 06 72 12 EB 6B 0F B7 F9 83 EF 30 EB 0E 0F B7 F9 83 EF 37 EB 06 0F B7 F9 83 EF 57 83 7C 24 0C 00 75 09 83 7C 24 08 00 72 47 EB 02 7C 43 81 7C 24 0C FF FF FF 0F 75 09 83 7C 24 08 FF 76 04 EB 30 7F 2E 8B C7 99 52 50 8B 44 24 10 8B 54 24 14 0F A4 C2 04 C1 E0 04 03 04 24 13 54 24 04 83 C4 08 89 44 24 08 89 54 24 0C 45 33 DB E9 71 FF FF FF 80 7C 24 10 00 0F 84 D0 00 00 00 8B 44 24 08 8B 54 24 0C F7 D8 83 D2 00 F7 DA 89 44 24 08 89 54 24 0C E9 B4 00 00 00 0F B7 44 6E FE 83 C0 D0 66 83 E8 0A 73 5F 0F B7 7C 6E FE 83 EF 30 83 7C 24 0C 00 75 09 83 7C 24 08 00 72 49 EB 02 7C 45 81 7C 24 0C CC CC CC 0C 75 0C 81 7C 24 08 CC CC CC CC 76 04 EB 2F 7F 2D 6A 00 6A 0A 8B 44 24 10 8B 54 24 14 E8 ?? ?? ?? ?? 52 50 8B C7 99 03 04 24 13 54 24 04 83 C4 08 89 44 24 08 89 54 24 0C 45 33 DB EB 93 80 7C 24 10 00 74 17 8B 44 24 08 8B 54 24 0C F7 D8 83 D2 00 F7 DA 89 44 24 08 89 54 24 0C 83 7C 24 0C 00 75 05 83 7C 24 08 00 74 1B 83 7C 24 0C 00 75 0A 83 7C 24 08 00 0F 92 C0 EB 03 0F 9C C0 3A 44 24 10 74 01 4D 66 83 7C 6E FE 00 0F 95 C0 0A D8 74 07 8B 04 24 89 28 EB 07 8B 04 24 33 D2 89 10 8B 44 24 08 8B 54 24 0C 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64562_0 {
	meta:
		name = "@DynArrayLength"
		size = 8
		altNames = "DynArraySize"
	strings:
		$1 = { 85 C0 74 03 8B 40 FC C3 }
	condition:
		$1
}

rule function_64565_0 {
	meta:
		name = "DynArraySetLength"
		size = 411
		refs = "0026 Error 0030 DynArrayClear 00bb FinalizeArray 00c6 @ReallocMem 00d5 @GetMem 00fc @FillChar 0111 CopyArray 0129 Move 0183 DynArraySetLength"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D F8 8B F2 89 45 FC 8B 5D FC 8B 1B 8B 45 08 8B 38 85 FF 7F 1A 85 FF 7D 07 B0 04 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? E9 59 01 00 00 33 C0 89 45 F0 85 DB 74 09 83 EB 08 8B 43 04 89 45 F0 0F B6 46 01 01 C6 8B C6 8B 50 02 89 55 E8 8B 50 06 85 D2 74 04 8B 32 EB 02 33 F6 8B C7 F7 6D E8 89 45 E4 8B 45 E4 99 F7 FF 3B 45 E8 74 07 B0 04 E8 ?? ?? ?? ?? 83 45 E4 08 83 7D E4 00 7D 07 B0 04 E8 ?? ?? ?? ?? 85 DB 74 05 83 3B 01 75 35 89 5D E0 3B 7D F0 7D 1D 85 F6 74 19 8B C3 83 C0 08 8B D7 0F AF 55 E8 03 C2 8B 4D F0 2B CF 8B D6 E8 ?? ?? ?? ?? 8D 45 E0 8B 55 E4 E8 ?? ?? ?? ?? 8B 5D E0 EB 5E FF 0B 8B 45 E4 E8 ?? ?? ?? ?? 8B D8 8B 45 F0 89 45 EC 3B 7D EC 7D 03 89 7D EC 85 F6 74 2A 8B 55 EC 0F AF 55 E8 8B C3 83 C0 08 33 C9 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 55 FC 8B 12 8B C3 83 C0 08 8B CE E8 ?? ?? ?? ?? EB 16 8B 4D EC 0F AF 4D E8 8B D3 83 C2 08 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B C3 C7 00 01 00 00 00 89 78 04 83 C3 08 3B 7D F0 7E 19 8B D7 2B 55 F0 0F AF 55 E8 8B 45 E8 0F AF 45 F0 03 C3 33 C9 E8 ?? ?? ?? ?? 83 7D F8 01 7E 2E 83 45 08 04 FF 4D F8 4F 85 FF 7C 22 47 C7 45 F4 00 00 00 00 8B 45 08 50 8B 45 F4 8D 04 83 8B 4D F8 8B D6 E8 ?? ?? ?? ?? FF 45 F4 4F 75 E6 8B 45 FC 89 18 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_64566_0 {
	meta:
		name = "@DynArraySetLength"
		size = 11
		refs = "0006 DynArraySetLength"
	strings:
		$1 = { 54 83 04 24 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64567_0 {
	meta:
		name = "@DynArrayCopy"
		size = 33
		refs = "0012 @DynArrayCopyRange 001b @DynArrayClear"
	strings:
		$1 = { 53 85 C0 74 13 8B D8 83 EB 08 8B 5B 04 53 51 33 C9 E8 ?? ?? ?? ?? 5B C3 8B C1 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64568_0 {
	meta:
		name = "@DynArrayCopyRange"
		size = 244
		refs = "0087 @GetMem 00b7 @FillChar 00c5 CopyArray 00d7 Move 00e2 DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 89 55 F8 89 45 FC 8B 5D 0C 33 F6 83 7D FC 00 0F 84 BB 00 00 00 8B 45 F8 89 45 F0 85 FF 7D 04 03 DF 33 FF 8B 45 FC 83 E8 08 8B 40 04 3B C7 7D 02 8B F8 8B D0 2B D7 3B DA 7E 02 8B DA 85 DB 7D 02 33 DB 85 DB 0F 8E 86 00 00 00 8B 45 F0 0F B6 40 01 01 45 F0 8B 45 F0 8B 40 02 89 45 F4 8B 45 F0 8B 40 06 85 C0 74 07 8B 00 89 45 F0 EB 05 33 C0 89 45 F0 8B C3 F7 6D F4 83 C0 08 E8 ?? ?? ?? ?? 8B F0 8B C6 C7 00 01 00 00 00 89 58 04 83 C6 08 0F AF 7D F4 01 7D FC 85 DB 7E 35 83 7D F0 00 74 1F 8B D3 0F AF 55 F4 8B C6 33 C9 E8 ?? ?? ?? ?? 53 8B 4D F0 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 10 8B CB 0F AF 4D F4 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 89 30 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_64569_0 {
	meta:
		name = "@DynArrayClear"
		size = 60
		refs = "002d @FinalizeArray 0036 @FreeMem"
	strings:
		$1 = { 8B 08 85 C9 74 35 C7 00 00 00 00 00 F0 FF 49 F8 75 29 50 89 C8 31 C9 8A 4A 01 8B 54 11 06 85 D2 74 10 8B 48 FC 85 C9 74 09 8B 12 50 E8 ?? ?? ?? ?? 58 83 E8 08 E8 ?? ?? ?? ?? 58 C3 }
	condition:
		$1
}

rule function_64570_0 {
	meta:
		name = "@DynArrayAsg"
		size = 39
		refs = "001d @DynArrayClear"
	strings:
		$1 = { 53 8B 18 85 D2 74 04 F0 FF 42 F8 85 DB 74 14 F0 FF 4B F8 75 0E 50 52 89 CA FF 43 F8 E8 ?? ?? ?? ?? 5A 58 89 10 5B C3 }
	condition:
		$1
}

rule function_64571_0 {
	meta:
		name = "@DynArrayAddRef"
		size = 9
	strings:
		$1 = { 85 C0 74 04 F0 FF 40 F8 C3 }
	condition:
		$1
}

rule function_64572_0 {
	meta:
		name = "DynArrayIndex"
		size = 102
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B 75 08 33 C9 8B 5D FC 89 5D F4 3B 4D F4 7F 41 8B 5D F4 2B D9 7C 3A 43 87 CB 89 5D F8 8B 5D F8 8D 14 9A 0F B6 5E 01 01 DE 8B FE 8B 5F 02 0F AF 1A 01 D8 8B 5D F8 3B 5D F4 7D 0D 83 7F 06 00 74 05 8B 5E 06 8B 33 8B 00 FF 45 F8 83 C2 04 49 75 D2 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_64573_0 {
	meta:
		name = "DynArrayIndex"
		size = 66
	strings:
		$1 = { 55 8B EC 53 56 57 55 89 D6 8B 7D 08 89 C5 31 DB 85 C9 7D 07 85 ED 74 20 8B 6D 00 31 C0 8A 47 01 01 C7 8B 04 9E F7 67 02 8B 7F 06 85 FF 74 02 8B 3F 01 C5 43 39 CB 7E DC 89 E8 5D 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_64574_0 {
	meta:
		name = "DynArrayElTypeInfo"
		size = 24
	strings:
		$1 = { 33 D2 85 C0 74 0F 0F B6 48 01 01 C8 8B 48 06 85 C9 74 02 8B 11 8B C2 C3 }
	condition:
		$1
}

rule function_64575_0 {
	meta:
		name = "DynArrayDim"
		size = 32
		refs = "000c DynArrayElTypeInfo"
	strings:
		$1 = { 53 56 8B D8 33 F6 EB 0A 46 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 05 80 3B 11 74 ED 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_64577_0 {
	meta:
		name = "IsDynArrayRectangular"
		size = 102
		refs = "0010 DynArrayDim 0024 DynArraySize"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 C6 04 24 01 8B D8 8B C2 E8 ?? ?? ?? ?? 48 85 C0 7E 42 89 44 24 04 85 DB 74 34 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 03 E8 ?? ?? ?? ?? 8B E8 4E 85 F6 7E 1B BF 01 00 00 00 8B 04 BB E8 ?? ?? ?? ?? 3B E8 74 06 C6 04 24 00 EB 0C 47 4E 75 EA 8B 1B FF 4C 24 04 75 C2 0F B6 04 24 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64578_0 {
	meta:
		name = "DynArrayBounds"
		size = 82
		refs = "0010 DynArrayDim 0020 TBoundArray 0025 @DynArraySetLength 003b DynArraySize"
	strings:
		$1 = { 53 56 57 55 51 8B E9 89 14 24 8B D8 8B 04 24 E8 ?? ?? ?? ?? 8B F0 56 8B C5 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 4E 85 F6 7C 1B 46 33 FF 85 DB 74 10 8B C3 E8 ?? ?? ?? ?? 48 8B 55 00 89 04 BA 8B 1B 47 4E 75 E8 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64579_0 {
	meta:
		name = "DecIndices"
		size = 108
		refs = "000c @DynArrayHigh"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 33 DB 8B 07 E8 ?? ?? ?? ?? 8B D0 85 D2 7C 13 42 33 C0 8B 0F 83 3C 81 00 74 04 B3 01 EB 04 40 4A 75 F0 84 DB 74 39 8B 07 E8 ?? ?? ?? ?? 83 F8 00 7C 2D 8B 17 83 3C 82 00 74 10 8B 17 FF 0C 82 EB 1E 8B 14 86 8B 0F 89 14 81 48 8B 17 83 3C 82 00 74 EF 8B 17 FF 0C 82 EB 06 48 83 F8 FF 75 D3 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64580_0 {
	meta:
		name = "FindModule"
		size = 39
		refs = "0002 LibModuleList"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 85 D2 74 1A 3B 42 04 74 15 3B 42 08 74 10 3B 42 0C 74 0B 3B 42 10 74 06 8B 12 85 D2 75 E6 8B C2 C3 }
	condition:
		$1
}

rule function_64581_0 {
	meta:
		name = "FindHInstance"
		size = 38
		refs = "000c VirtualQuery"
	strings:
		$1 = { 83 C4 E4 6A 1C 8D 54 24 04 52 50 E8 ?? ?? ?? ?? 81 7C 24 10 00 10 00 00 75 06 8B 44 24 04 EB 02 33 C0 83 C4 1C C3 }
	condition:
		$1
}

rule function_64583_0 {
	meta:
		name = "DelayLoadResourceModule"
		size = 71
		refs = "001f GetModuleFileName 0028 LoadResourceModule"
	strings:
		$1 = { 53 56 81 C4 F4 FD FF FF 8B D8 83 7B 10 00 75 2B 68 0A 02 00 00 8D 44 24 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B C4 B2 01 E8 ?? ?? ?? ?? 8B F0 89 73 10 85 F6 75 06 8B 43 04 89 43 10 8B 43 10 81 C4 0C 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_64584_0 {
	meta:
		name = "FindResourceHInstance"
		size = 55
		refs = "0007 LibModuleList 0021 DelayLoadResourceModule"
	strings:
		$1 = { 53 56 57 8B F0 8B 1D ?? ?? ?? ?? 85 DB 74 20 3B 73 04 74 0A 3B 73 08 74 05 3B 73 0C 75 0B 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 08 8B 1B 85 DB 75 E0 8B FE 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64585_0 {
	meta:
		name = "InitializeLocaleData"
		size = 240
		refs = "0001 CrSec 0006 InitializeCriticalSection 000d CachedLangID 0014 GetVersion 0023 UseThreadUILanguageAPI 0031 InitializeLocaleData 003b GetModuleHandle 0041 GetProcAddress 0046 GetThreadPreferredUILanguages 0060 SetThreadPreferredUILanguages 007a GetThreadUILanguage"
	strings:
		$1 = { 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 05 ?? ?? ?? ?? 7F 00 E8 ?? ?? ?? ?? 25 FF 00 00 00 83 F8 06 0F 93 05 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 00 47 65 74 54 68 72 65 61 64 50 72 65 66 65 72 72 65 64 55 49 4C 61 6E 67 75 61 67 65 73 00 00 00 6B 00 65 00 72 00 6E 00 65 00 6C 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 53 65 74 54 68 72 65 61 64 50 72 65 66 65 72 72 65 64 55 49 4C 61 6E 67 75 61 67 65 73 00 00 00 47 65 74 54 68 72 65 61 64 55 49 4C 61 6E 67 75 61 67 65 00 }
	condition:
		$1
}

rule function_64587_0 {
	meta:
		name = "LastHyphenPos"
		size = 105
		refs = "000c @UStrAddRef 0014 LastHyphenPos 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 01 7C 15 8B 55 FC 66 83 7C 42 FE 2D 75 05 8B D8 4B EB 07 48 85 C0 75 EB 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_64588_0 {
	meta:
		name = "ConvertResToUILanguages"
		size = 240
		refs = "0013 ConvertResToUILanguages 0022 @UStrFromPChar 0054 @UStrLAsg 005b @UStrClr 0071 @UStrCatN 008a LastHyphenPos 0099 @UStrCopy 00cc @UStrArrayClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 03 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 13 BA 01 00 00 00 8B 0B 66 83 7C 51 FE 2C 74 64 42 48 75 F2 8D 45 F8 8B 13 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 47 FF 33 FF 75 FC FF 75 F8 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 75 B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_64589_0 {
	meta:
		name = "GetPreferredLangForOldOS"
		size = 404
		refs = "0029 GetPreferredLangForOldOS 0037 @UStrClr 003e LocaleTable 008d ConvertResToUILanguages 00ab IsValidLocale 00c7 GetLocaleInfo 00ee @UStrFromWArray 0143 @UStrCatN 0160 @UStrArrayClr 0166 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 98 FE FF FF 53 56 57 33 C9 89 8D A0 FE FF FF 89 8D 9C FE FF FF 89 8D 98 FE FF FF 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 66 3B 35 ?? ?? ?? ?? 72 54 66 3B 35 ?? ?? ?? ?? 77 4B BF 40 00 00 00 33 C0 89 45 F8 3B 7D F8 72 3C 8B DF 03 5D F8 D1 EB 66 3B 34 DD ?? ?? ?? ?? 73 05 8B FB 4F EB 21 66 3B 34 DD ?? ?? ?? ?? 76 06 43 89 5D F8 EB 11 8B 55 FC 8B 04 DD ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 3B 7D F8 73 C4 8B 45 FC 83 38 00 0F 85 A3 00 00 00 6A 02 0F B7 C6 50 E8 ?? ?? ?? ?? 85 C0 0F 84 90 00 00 00 6A 55 8D 85 4E FF FF FF 50 6A 59 0F B7 DE 53 E8 ?? ?? ?? ?? 6A 55 8D 85 A4 FE FF FF 50 6A 5A 53 E8 ?? ?? ?? ?? 8D 85 A0 FE FF FF 8D 95 4E FF FF FF B9 55 00 00 00 E8 ?? ?? ?? ?? FF B5 A0 FE FF FF 68 ?? ?? ?? ?? 8D 85 9C FE FF FF 8D 95 A4 FE FF FF B9 55 00 00 00 E8 ?? ?? ?? ?? FF B5 9C FE FF FF 68 ?? ?? ?? ?? 8D 85 98 FE FF FF 8D 95 4E FF FF FF B9 55 00 00 00 E8 ?? ?? ?? ?? FF B5 98 FE FF FF 8B 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 98 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_64590_0 {
	meta:
		name = "CheckDifferentLanguageList"
		size = 36
	strings:
		$1 = { 53 56 8B F1 B1 01 85 F6 7E 13 0F B7 18 66 3B 1A 75 0D 83 C0 02 83 C2 02 4E 85 F6 7F ED 33 C9 8B C1 5E 5B C3 }
	condition:
		$1
}

rule function_64591_0 {
	meta:
		name = "ThreadUILanguages"
		size = 65
		refs = "0019 GetThreadPreferredUILanguages 0026 @GetMem"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 33 F6 33 C0 89 03 53 6A 00 8D 45 FC 50 6A 38 FF 15 ?? ?? ?? ?? 84 C0 74 19 8B 03 03 C0 E8 ?? ?? ?? ?? 8B F0 53 56 8D 45 FC 50 6A 38 FF 15 ?? ?? ?? ?? 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64592_0 {
	meta:
		name = "GetPreferredLangForNewOS"
		size = 282
		refs = "0013 GetThreadUILanguage 0020 ThreadUILanguages 0040 hexDigits 0071 SetThreadPreferredUILanguages 00b3 @UStrFromPWChar 00ba @FreeMem 00ed CheckDifferentLanguageList"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 8B F2 8B D8 33 C0 89 45 F4 FF 15 ?? ?? ?? ?? 66 3B D8 74 59 8D 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B D3 C7 45 F0 03 00 00 00 8D 45 EA 66 B9 0F 00 66 23 CA 0F B7 C9 0F B6 89 ?? ?? ?? ?? 66 89 08 0F B7 D2 C1 EA 04 FF 4D F0 83 E8 02 83 7D F0 FF 75 DA 66 C7 45 EC 00 00 66 C7 45 EE 00 00 8D 45 F0 50 8D 45 E4 50 6A 04 FF 15 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 74 3B 8B 45 F8 83 E8 02 85 C0 7C 21 40 C7 45 F0 00 00 00 00 8B 55 F0 66 83 3C 53 00 75 09 8B 55 F0 66 C7 04 53 2C 00 FF 45 F0 48 75 E7 8B C6 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D F4 00 74 50 8D 45 F0 50 6A 00 6A 00 FF 15 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 3B 45 F8 75 11 8B 4D F8 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 10 8D 45 F0 50 8B 45 F4 50 6A 08 FF 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64593_0 {
	meta:
		name = "GetUILanguages"
		size = 288
		refs = "000f GetUILanguages 001a CrSec 001f EnterCriticalSection 0026 CachedLangID 002f CachedLanguageNames 0039 @UStrFromWArray 0043 LeaveCriticalSection 0059 @UStrClr 0064 IsValidLocale 006e UseThreadUILanguageAPI 007a GetPreferredLangForNewOS 0085 GetPreferredLangForOldOS 008a GetSystemDefaultUILanguage 00a0 @UStrCat 00d4 @UStrToPWChar 00df lstrcpyn 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 3B 1D ?? ?? ?? ?? 75 20 8B C6 BA ?? ?? ?? ?? B9 55 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A1 00 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 02 0F B7 C3 50 E8 ?? ?? ?? ?? 85 C0 74 4F 80 3D ?? ?? ?? ?? 00 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 3B 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 3B D8 74 28 83 3E 00 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 1D ?? ?? ?? ?? 68 AA 00 00 00 8B 06 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_64594_0 {
	meta:
		name = "FindBS"
		size = 33
		refs = "0008 CharNext"
	strings:
		$1 = { 53 56 8B D8 EB 08 53 E8 ?? ?? ?? ?? 8B D8 0F B7 33 66 85 F6 74 06 66 83 FE 5C 75 EA 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_64595_0 {
	meta:
		name = "ToLongPath"
		size = 500
		refs = "0019 ToLongPath 001e GetModuleHandle 002f GetProcAddress 005f lstrcpyn 0086 FindBS 0129 FindFirstFile 013f FindClose 014b @strlen"
	strings:
		$1 = { 55 8B EC 81 C4 94 FB FF FF 53 56 57 89 55 F8 89 45 FC 8B 45 FC 89 45 F4 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 40 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 89 C3 85 DB 74 2F 68 05 01 00 00 8D 85 96 FB FF FF 50 8B 45 FC 50 FF D3 85 C0 74 19 8B 45 F8 50 8D 85 96 FB FF FF 50 8B 45 FC 50 E8 ?? ?? ?? ?? E9 52 01 00 00 8B 45 FC 66 83 38 5C 75 3B 8B 45 FC 66 83 78 02 5C 0F 85 3B 01 00 00 8B 45 FC 83 C0 04 E8 ?? ?? ?? ?? 8B F0 66 83 3E 00 0F 84 24 01 00 00 8D 46 02 E8 ?? ?? ?? ?? 8B F0 66 83 3E 00 0F 84 10 01 00 00 EB 06 8B 75 FC 83 C6 04 8B DE 2B 5D FC D1 FB 79 03 83 D3 00 8D 43 01 50 8B 45 FC 50 8D 85 96 FB FF FF 50 E8 ?? ?? ?? ?? E9 C5 00 00 00 8D 46 02 E8 ?? ?? ?? ?? 8B F8 8B C7 2B C6 D1 F8 79 03 83 D0 00 03 C3 40 3D 05 01 00 00 0F 8F C0 00 00 00 8B C7 2B C6 D1 F8 79 03 83 D0 00 40 50 56 8D 85 96 FB FF FF 8B D3 03 D2 03 C2 50 E8 ?? ?? ?? ?? 8D 85 A0 FD FF FF 50 8D 85 96 FB FF FF 50 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 FF 0F 84 80 00 00 00 8B 45 F0 50 E8 ?? ?? ?? ?? 8D 85 CC FD FF FF 50 E8 ?? ?? ?? ?? 8D 53 01 03 C2 40 3D 05 01 00 00 7F 5E 66 C7 84 5D 96 FB FF FF 5C 00 B8 05 01 00 00 2B C3 48 50 8D 85 CC FD FF FF 50 8D 85 96 FB FF FF 8B D3 03 D2 03 C2 83 C0 02 50 E8 ?? ?? ?? ?? 8D 85 CC FD FF FF 50 E8 ?? ?? ?? ?? 40 03 D8 8B F7 66 83 3E 00 0F 85 31 FF FF FF 8B 45 F8 50 8D 85 96 FB FF FF 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 F4 5F 5E 5B 8B E5 5D C3 6B 00 65 00 72 00 6E 00 65 00 6C 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 47 65 74 4C 6F 6E 67 50 61 74 68 4E 61 6D 65 57 00 00 00 00 }
	condition:
		$1
}

rule function_64596_0 {
	meta:
		name = "InternalGetLocaleOverride"
		size = 796
		refs = "0013 @UStrAddRef 001b InternalGetLocaleOverride 003a GetModuleFileName 0049 @UStrToPWChar 0056 lstrcpyn 0083 RegOpenKeyEx 0143 ToLongPath 015d RegQueryValueEx 0169 @GetMem 0192 @UStrFromPWChar 01fa @FreeMem 0203 RegCloseKey 0209 @HandleFinally 0220 @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 E4 FD FF FF 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 15 68 05 01 00 00 8D 85 E6 FD FF FF 50 6A 00 E8 ?? ?? ?? ?? EB 1A 68 05 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 8D 85 E6 FD FF FF 50 E8 ?? ?? ?? ?? 66 83 BD E6 FD FF FF 00 0F 84 A7 01 00 00 33 C0 89 45 F8 8D 45 F4 50 68 19 00 0F 00 6A 00 68 ?? ?? ?? ?? 68 01 00 00 80 E8 ?? ?? ?? ?? 85 C0 0F 84 9A 00 00 00 8D 45 F4 50 68 19 00 0F 00 6A 00 68 ?? ?? ?? ?? 68 02 00 00 80 E8 ?? ?? ?? ?? 85 C0 74 7C 8D 45 F4 50 68 19 00 0F 00 6A 00 68 ?? ?? ?? ?? 68 01 00 00 80 E8 ?? ?? ?? ?? 85 C0 74 5E 8D 45 F4 50 68 19 00 0F 00 6A 00 68 ?? ?? ?? ?? 68 02 00 00 80 E8 ?? ?? ?? ?? 85 C0 74 40 8D 45 F4 50 68 19 00 0F 00 6A 00 68 ?? ?? ?? ?? 68 01 00 00 80 E8 ?? ?? ?? ?? 85 C0 74 22 8D 45 F4 50 68 19 00 0F 00 6A 00 68 ?? ?? ?? ?? 68 01 00 00 80 E8 ?? ?? ?? ?? 85 C0 0F 85 E6 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 E6 FD FF FF BA 05 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 00 6A 00 6A 00 8D 85 E6 FD FF FF 50 8B 45 F4 50 E8 ?? ?? ?? ?? 85 C0 75 33 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F8 8D 45 F0 50 8B 45 F8 50 6A 00 6A 00 8D 85 E6 FD FF FF 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8B C3 8B 55 F8 E8 ?? ?? ?? ?? EB 4B 8D 45 F0 50 6A 00 6A 00 6A 00 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 85 C0 75 2F 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F8 8D 45 F0 50 8B 45 F8 50 6A 00 6A 00 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 45 00 6D 00 62 00 61 00 72 00 63 00 61 00 64 00 65 00 72 00 6F 00 5C 00 4C 00 6F 00 63 00 61 00 6C 00 65 00 73 00 00 00 00 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 43 00 6F 00 64 00 65 00 47 00 65 00 61 00 72 00 5C 00 4C 00 6F 00 63 00 61 00 6C 00 65 00 73 00 00 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 5C 00 4C 00 6F 00 63 00 61 00 6C 00 65 00 73 00 00 00 00 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 42 00 6F 00 72 00 6C 00 61 00 6E 00 64 00 5C 00 44 00 65 00 6C 00 70 00 68 00 69 00 5C 00 4C 00 6F 00 63 00 61 00 6C 00 65 00 73 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_64597_0 {
	meta:
		name = "GetLocaleOverride"
		size = 99
		refs = "000f GetLocaleOverride 001b PreferredLanguagesOverride 0028 InternalGetLocaleOverride 0030 SetLocaleOverride 003d @UStrFromPWChar 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 12 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64598_0 {
	meta:
		name = "SetLocaleOverride"
		size = 80
		refs = "0006 PreferredLanguagesOverride 0013 @FreeMem 002e @GetMem 003a @UStrToPWChar 0049 Move"
	strings:
		$1 = { 53 56 8B F0 83 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 25 43 8B C3 03 C0 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B CB 03 C9 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64599_0 {
	meta:
		name = "ResouceDLLExists"
		size = 108
		refs = "0011 @UStrAddRef 0019 ResouceDLLExists 002e @UStrToPWChar 0034 FindFirstFile 0044 FindClose 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 AC FD FF FF 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 AC FD FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 FF 0F 95 C3 84 DB 74 06 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64600_0 {
	meta:
		name = "LoadLanguageList"
		size = 201
		refs = "001a @UStrAddRef 002a LoadLanguageList 0037 @UStrClr 004b @UStrLen 0070 @UStrCopy 007d @UStrCat3 0084 ResouceDLLExists 00b6 @UStrArrayClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? BB 01 00 00 00 EB 4B 8B F3 EB 01 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7F 0B 8B 45 F8 66 83 7C 58 FE 2C 75 E8 3B DE 74 2A 8D 45 F4 50 8B CB 2B CE 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F4 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 84 C0 75 14 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7E A9 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64601_0 {
	meta:
		name = "Load3LettersModule"
		size = 204
		refs = "0018 @UStrAddRef 0020 Load3LettersModule 0033 GetUserDefaultUILanguage 003c GetLocaleInfo 004c @UStrFromWArray 0059 @UStrCat3 0060 ResouceDLLExists 0099 @UStrClr 00b3 @UStrArrayClr 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 89 4D F0 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8D 45 F4 50 6A 03 E8 ?? ?? ?? ?? 0F B7 C0 50 E8 ?? ?? ?? ?? 8D 45 F0 8D 55 F4 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D F0 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 75 35 66 C7 45 F8 00 00 8D 45 EC 8D 55 F4 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D EC 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64602_0 {
	meta:
		name = "GetResourceModuleName"
		size = 282
		refs = "001d @UStrAddRef 002d GetResourceModuleName 003a @UStrClr 0045 @UStrLAsg 0076 @UStrCopy 0088 GetLocaleOverride 009b LoadLanguageList 00a2 GetUserDefaultUILanguage 00aa GetUILanguages 00c2 UseThreadUILanguageAPI 00ca GetSystemDefaultUILanguage 00ee Load3LettersModule 0108 @UStrArrayClr 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 7C 25 8B 45 F8 66 83 7C 58 FE 2E 75 15 8D 45 F0 50 8B CB BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 05 4B 85 DB 75 DB 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 83 7D F4 00 74 0F 8B CE 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? EB 51 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B CE 8B 45 F0 E8 ?? ?? ?? ?? 83 3E 00 75 23 80 3D ?? ?? ?? ?? 00 75 1A E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B CE 8B 45 F0 E8 ?? ?? ?? ?? 83 3E 00 75 0A 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64603_0 {
	meta:
		name = "LoadResourceModule"
		size = 201
		refs = "0022 LoadResourceModule 003d GetModuleFileName 004a @UStrFromPWChar 0067 @UStrFromWArray 0076 GetResourceModuleName 0088 @UStrToPWChar 008e LoadLibraryEx 00ad @UStrArrayClr 00b5 @UStrClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FD FF FF 53 56 33 C9 89 8D EC FD FF FF 89 8D E8 FD FF FF 89 4D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 68 05 01 00 00 8D 85 F2 FD FF FF 50 6A 00 E8 ?? ?? ?? ?? 8D 85 EC FD FF FF 8B D6 E8 ?? ?? ?? ?? 8B 85 EC FD FF FF 50 8D 85 E8 FD FF FF 8D 95 F2 FD FF FF B9 05 01 00 00 E8 ?? ?? ?? ?? 8B 85 E8 FD FF FF 8D 4D FC 5A E8 ?? ?? ?? ?? 83 7D FC 00 74 14 6A 02 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64606_0 {
	meta:
		name = "EnumModules"
		size = 38
		refs = "0009 LibModuleList"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 1D ?? ?? ?? ?? 85 DB 74 11 8B D7 8B 43 04 FF D6 84 C0 74 06 8B 1B 85 DB 75 EF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64607_0 {
	meta:
		name = "EnumResourceModules"
		size = 42
		refs = "0009 LibModuleList 0014 DelayLoadResourceModule"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 1D ?? ?? ?? ?? 85 DB 74 15 8B C3 E8 ?? ?? ?? ?? 8B D7 FF D6 84 C0 74 06 8B 1B 85 DB 75 EB 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64610_0 {
	meta:
		name = "AddModuleUnloadProc"
		size = 31
		refs = "0009 @GetMem 000f ModuleUnloadList"
	strings:
		$1 = { 53 8B D8 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 89 58 04 A3 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69422_0 {
	meta:
		name = "AddTerminateProc"
		size = 31
		refs = "0009 @GetMem 000f TerminateProcList"
	strings:
		$1 = { 53 8B D8 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 89 58 04 A3 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64611_0 {
	meta:
		name = "RemoveModuleUnloadProc"
		size = 99
		refs = "0008 ModuleUnloadList 002b @FreeMem"
	strings:
		$1 = { 53 56 57 55 8B E8 8B 3D ?? ?? ?? ?? 85 FF 74 21 8B 47 04 3B C5 75 1A A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? BA 08 00 00 00 8B C7 E8 ?? ?? ?? ?? EB 2D 8B DF 85 DB 74 27 8B 33 85 F6 74 1B 8B 46 04 3B C5 75 14 8B FE 8B 06 89 03 BA 08 00 00 00 8B C7 E8 ?? ?? ?? ?? EB 06 8B 1B 85 DB 75 D9 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64612_0 {
	meta:
		name = "NotifyModuleUnload"
		size = 90
		refs = "000d ModuleUnloadList 001e NotifyModuleUnload 003c @HandleAnyException 0041 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC A1 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 39 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B 45 FC FF 53 04 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 00 89 45 F8 83 7D F8 00 75 C7 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_64613_0 {
	meta:
		name = "RegisterModule"
		size = 14
		refs = "0002 LibModuleList"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 89 10 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64614_0 {
	meta:
		name = "UnregisterModule"
		size = 110
		refs = "000b UnregisterModule 001c NotifyModuleUnload 0032 LibModuleList 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 3B 05 ?? ?? ?? ?? 75 0C 8B 45 FC 8B 00 A3 ?? ?? ?? ?? EB 1F A1 ?? ?? ?? ?? 85 C0 74 16 8B 10 3B 55 FC 75 09 8B 55 FC 8B 12 89 10 EB 06 8B 00 85 C0 75 EA C3 E9 ?? ?? ?? ?? EB C2 59 5D C3 }
	condition:
		$1
}

rule function_64615_0 {
	meta:
		name = "@IntfClear"
		size = 21
	strings:
		$1 = { 8B 10 85 D2 74 0E C7 00 00 00 00 00 50 52 8B 02 FF 50 08 58 C3 }
	condition:
		$1
}

rule function_64616_0 {
	meta:
		name = "@IntfCopy"
		size = 44
	strings:
		$1 = { 85 D2 74 19 52 50 8B 02 52 FF 50 04 58 8B 08 8F 00 85 C9 75 01 C3 8B 01 51 FF 50 08 C3 8B 08 85 C9 89 10 74 06 8B 01 51 FF 50 08 C3 }
	condition:
		$1
}

rule function_64617_0 {
	meta:
		name = "@IntfCast"
		size = 48
		refs = "0004 @IntfClear 001b Error"
	strings:
		$1 = { 85 D2 0F 84 ?? ?? ?? ?? 57 89 C7 6A 00 54 51 52 8B 02 FF 10 85 C0 74 07 B0 17 E9 ?? ?? ?? ?? 8B 07 85 C0 74 06 50 8B 00 FF 50 08 58 89 07 5F C3 }
	condition:
		$1
}

rule function_64618_0 {
	meta:
		name = "@IntfAddRef"
		size = 11
	strings:
		$1 = { 85 C0 74 06 50 8B 00 FF 50 04 C3 }
	condition:
		$1
}

rule function_64620_0 {
	meta:
		name = "TInterfacedObject.BeforeDestruction"
		size = 14
		refs = "0009 Error"
	strings:
		$1 = { 83 78 04 00 74 07 B0 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64621_0 {
	meta:
		name = "TInterfacedObject.NewInstance"
		size = 13
		refs = "0001 TObject.NewInstance"
	strings:
		$1 = { E8 ?? ?? ?? ?? C7 40 04 01 00 00 00 C3 }
	condition:
		$1
}

rule function_64623_0 {
	meta:
		name = "TInterfacedObject._AddRef"
		size = 18
		refs = "000a InterlockedIncrement"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 C0 04 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_64624_0 {
	meta:
		name = "TInterfacedObject._Release"
		size = 39
		refs = "000c InterlockedDecrement"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8D 43 04 E8 ?? ?? ?? ?? 8B F0 85 F6 75 09 B2 01 8B C3 8B 08 FF 51 FC 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_64627_0 {
	meta:
		name = "TAggregatedObject.QueryInterface"
		size = 26
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 10 52 8B 55 0C 52 8B 40 04 50 8B 00 FF 10 5D C2 0C 00 }
	condition:
		$1
}

rule function_64628_0 {
	meta:
		name = "TAggregatedObject._AddRef"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 04 50 8B 00 FF 50 04 5D C2 04 00 }
	condition:
		$1
}

rule function_64629_0 {
	meta:
		name = "TAggregatedObject._Release"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 04 50 8B 00 FF 50 08 5D C2 04 00 }
	condition:
		$1
}

rule function_64632_0 {
	meta:
		name = "@CheckAutoResult"
		size = 50
		refs = "000f SafeCallErrorProc 0028 ErrorAt"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 83 7D FC 00 7D 1F 83 3D ?? ?? ?? ?? 00 74 0C 8B 55 04 8B 45 FC FF 15 ?? ?? ?? ?? 8B 55 04 B0 18 E8 ?? ?? ?? ?? 8B 45 FC 59 5D C3 }
	condition:
		$1
}

rule function_64633_0 {
	meta:
		name = "CompToDouble"
		size = 20
	strings:
		$1 = { 55 8B EC 83 C4 F8 DF 6D 08 DD 5D F8 9B DD 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_64634_0 {
	meta:
		name = "DoubleToComp"
		size = 14
	strings:
		$1 = { 55 8B EC DD 45 08 8B 45 10 DF 38 9B 5D C3 }
	condition:
		$1
}

rule function_64635_0 {
	meta:
		name = "CompToCurrency"
		size = 32
		refs = "000b CompToCurrency"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DF 6D 08 D8 0D ?? ?? ?? ?? DF 7D F8 9B DF 6D F8 59 59 5D C3 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_64636_0 {
	meta:
		name = "CurrencyToComp"
		size = 24
		refs = "0008 CurrencyToComp"
	strings:
		$1 = { 55 8B EC DF 6D 08 D8 35 ?? ?? ?? ?? 8B 45 10 DF 38 9B 5D C3 00 40 1C 46 }
	condition:
		$1
}

rule function_64637_0 {
	meta:
		name = "GetMemory"
		size = 14
		refs = "0008 MemoryManager"
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_64638_0 {
	meta:
		name = "FreeMemory"
		size = 22
		refs = "0010 MemoryManager"
	strings:
		$1 = { 55 8B EC 8B 45 08 85 C0 75 04 33 C0 5D C3 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_64639_0 {
	meta:
		name = "ReallocMemory"
		size = 30
		refs = "000f GetMemory 0018 MemoryManager"
	strings:
		$1 = { 55 8B EC 8B 55 0C 8B 45 08 85 C0 75 09 52 E8 ?? ?? ?? ?? 59 5D C3 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_64640_0 {
	meta:
		name = "UnicodeToUtf8"
		size = 10
		refs = "0005 UnicodeToUtf8"
	strings:
		$1 = { 6A FF 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64642_0 {
	meta:
		name = "Utf8ToUnicode"
		size = 10
		refs = "0005 Utf8ToUnicode"
	strings:
		$1 = { 6A FF 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64641_0 {
	meta:
		name = "UnicodeToUtf8"
		size = 159
		refs = "0032 LocaleCharsFromUnicode"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 33 C0 85 F6 0F 84 81 00 00 00 85 DB 74 63 8B 45 08 50 53 8B 45 FC 50 6A 00 6A 00 8B CE 33 D2 B8 E9 FD 00 00 E8 ?? ?? ?? ?? 85 C0 76 5E 3B 45 FC 77 59 83 7D 08 FF 75 07 80 7C 03 FF 00 74 4C 3B 45 FC 75 25 EB 01 48 83 F8 01 76 1E 80 7C 03 FF 7F 76 17 F6 44 03 FF 80 74 10 0F B6 54 03 FF 80 E2 C0 80 FA C0 75 DF EB 01 40 C6 44 03 FF 00 EB 1A 8B 45 08 50 6A 00 6A 00 6A 00 6A 00 8B CE 33 D2 B8 E9 FD 00 00 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_64643_0 {
	meta:
		name = "Utf8ToUnicode"
		size = 142
		refs = "002e UnicodeFromLocaleChars"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 33 C0 83 7D FC 00 74 72 85 DB 74 57 85 F6 76 53 8B 45 08 50 53 56 8B 4D FC 33 D2 B8 E9 FD 00 00 E8 ?? ?? ?? ?? 85 C0 76 51 3B F0 72 4D 83 7D 08 FF 75 08 66 83 7C 43 FE 00 74 3F 3B F0 75 1A 83 F8 01 76 16 66 81 7C 43 FE 00 DC 72 0D 66 81 7C 43 FE FF DF 77 04 48 EB 01 40 66 C7 44 43 FE 00 00 EB 17 8B 45 08 50 6A 00 6A 00 8B 4D FC 33 D2 B8 E9 FD 00 00 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_64644_0 {
	meta:
		name = "UTF8Encode"
		size = 227
		refs = "0017 UTF8Encode 0025 @LStrClr 002f @WStrEqual 0055 @LStrSetLength 006a @WStrToPWChar 0073 @LStrToPChar 007c UnicodeToUtf8 00a7 @LStrAsg 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 0F 84 87 00 00 00 8B 45 F8 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 8D 14 5B 8D 45 FC B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 53 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8D 56 01 59 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 12 8B D3 4A 8D 45 FC B9 E9 FD 00 00 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 83 38 00 74 0D 8B 45 F4 8B 00 83 E8 0C 66 C7 00 E9 FD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64645_0 {
	meta:
		name = "UTF8Encode"
		size = 219
		refs = "0017 UTF8Encode 0025 @LStrClr 004d @LStrSetLength 0062 @UStrToPWChar 006b @LStrToPChar 0074 UnicodeToUtf8 009f @LStrAsg 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 85 00 00 00 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B D8 8D 14 5B 8D 45 FC B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 53 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8D 56 01 59 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 12 8B D3 4A 8D 45 FC B9 E9 FD 00 00 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 83 38 00 74 0D 8B 45 F4 8B 00 83 E8 0C 66 C7 00 E9 FD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64646_0 {
	meta:
		name = "UTF8Encode"
		size = 117
		refs = "000f UTF8Encode 002a DefaultSystemCodePage 0039 @LStrAsg 0045 @UStrFromLStr 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 0A 8B C3 83 E8 0C 0F B7 00 EB 07 0F B7 05 ?? ?? ?? ?? 66 3D E9 FD 75 0B 8B C6 8B D3 E8 ?? ?? ?? ?? EB 14 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64648_0 {
	meta:
		name = "UTF8EncodeToShortString"
		size = 58
		refs = "001a @WStrToPWChar 0029 UnicodeToUtf8"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B DE 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 53 8B C6 E8 ?? ?? ?? ?? 8B C8 8D 47 01 BA FF 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 7D 02 33 C0 88 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64649_0 {
	meta:
		name = "UTF8EncodeToShortString"
		size = 54
		refs = "0016 @UStrToPWChar 0025 UnicodeToUtf8"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B DE 85 DB 74 05 83 EB 04 8B 1B 53 8B C6 E8 ?? ?? ?? ?? 8B C8 8D 47 01 BA FF 00 00 00 E8 ?? ?? ?? ?? 48 85 C0 7D 02 33 C0 88 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64650_0 {
	meta:
		name = "UTF8EncodeToShortString"
		size = 122
		refs = "000f UTF8EncodeToShortString 002a DefaultSystemCodePage 003e @LStrToString 004a @UStrFromLStr 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 0A 8B C3 83 E8 0C 0F B7 00 EB 07 0F B7 05 ?? ?? ?? ?? 66 3D E9 FD 75 10 8B C6 8B D3 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 14 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64651_0 {
	meta:
		name = "UTF8Decode"
		size = 170
		refs = "0016 UTF8Decode 0024 @WStrClr 0043 @WStrSetLength 004b @LStrToPChar 0054 @WStrToPWChar 005d Utf8ToUnicode 0083 @WStrAsg 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 85 F6 74 5B 89 75 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B D8 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 53 8B C6 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8D 53 01 59 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 0D 8B D3 4A 8D 45 FC E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64653_0 {
	meta:
		name = "UTF8ToUnicodeString"
		size = 170
		refs = "0016 UTF8ToUnicodeString 0024 @UStrClr 0043 @UStrSetLength 004b @LStrToPChar 0054 @UStrToPWChar 005d Utf8ToUnicode 0083 @UStrAsg 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 85 F6 74 5B 89 75 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B D8 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 53 8B C6 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8D 53 01 59 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 0D 8B D3 4A 8D 45 FC E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64654_0 {
	meta:
		name = "UTF8ToUnicodeString"
		size = 152
		refs = "0010 UTF8ToUnicodeString 001d @UStrClr 002d @PCharLen 0039 @UStrSetLength 0042 @UStrToPWChar 004c Utf8ToUnicode 0071 @UStrAsg 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 85 F6 74 03 80 3E 00 74 4B 8B C6 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 53 8B 45 FC E8 ?? ?? ?? ?? 8D 53 01 8B CE E8 ?? ?? ?? ?? 8B D8 85 DB 7E 0D 8B D3 4A 8D 45 FC E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B C7 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64655_0 {
	meta:
		name = "UTF8ToUnicodeString"
		size = 143
		refs = "0010 UTF8ToUnicodeString 001d @UStrClr 002f @UStrSetLength 0038 @UStrToPWChar 0043 Utf8ToUnicode 0068 @UStrAsg 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 80 3E 00 74 46 0F B6 1E 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 53 8B 45 FC E8 ?? ?? ?? ?? 8D 4E 01 8D 53 01 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 0D 8B D3 4A 8D 45 FC E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B C7 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64662_0 {
	meta:
		name = "LoadResString"
		size = 106
		refs = "0040 FindResourceHInstance 0046 LoadString 0051 @UStrFromPWCharLen 005d @UStrFromPWChar"
	strings:
		$1 = { 53 56 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 84 24 00 20 00 00 83 C4 04 8B F2 8B D8 85 DB 74 3D 81 7B 04 00 00 01 00 73 2A 68 00 10 00 00 8D 44 24 04 50 8B 43 04 50 8B 03 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C6 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 04 E8 ?? ?? ?? ?? 81 C4 00 20 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_64663_0 {
	meta:
		name = "PUCS4Chars"
		size = 25
		refs = "0006 @DynArrayLength 0013 xxPNull"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 04 8B C3 5B C3 A1 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64664_0 {
	meta:
		name = "WideStringToUCS4String"
		size = 254
		refs = "002e UCS4String 0033 @DynArraySetLength 00bf @WStrLen"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 14 24 8B F0 33 C0 89 44 24 04 8B DE 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 43 53 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 FF EB 7E 0F B7 2C 7E 66 81 FD 00 D8 72 2D 66 81 FD FF DF 77 26 89 74 24 08 83 7C 24 08 00 74 0F 8B 44 24 08 83 E8 04 8B 00 D1 E8 89 44 24 08 8D 47 01 3B 44 24 08 0F 9C C3 EB 02 33 DB 84 DB 74 2C 0F B7 C5 25 FF 03 00 00 C1 E0 0A 0F B7 54 7E 02 81 E2 FF 03 00 00 0B C2 05 00 00 01 00 8B 14 24 8B 12 8B 4C 24 04 89 04 8A 47 EB 0F 8B 04 24 8B 00 8B 54 24 04 0F B7 CD 89 0C 90 FF 44 24 04 47 8B C6 E8 ?? ?? ?? ?? 3B F8 0F 8C 73 FF FF FF 8B 04 24 8B 00 8B 54 24 04 33 C9 89 0C 90 8B 44 24 04 40 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64665_0 {
	meta:
		name = "UCS4StringToWideString"
		size = 142
		refs = "000b @DynArrayLength 0017 @WStrSetLength"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D0 03 D2 4A 8B C5 E8 ?? ?? ?? ?? 33 FF 33 DB EB 53 81 3C 9E 00 00 01 00 72 3C 47 8B 45 00 8B 14 9E 81 EA 00 00 01 00 C1 EA 0A 66 81 E2 FF 03 66 81 CA 00 D8 66 89 54 78 FE 47 8B 45 00 0F B7 14 9E 66 83 EA 00 66 81 E2 FF 03 66 81 CA 00 DC 66 89 54 78 FE EB 0D 47 8B 45 00 0F B7 14 9E 66 89 54 78 FE 43 8B C6 E8 ?? ?? ?? ?? 48 3B D8 7C A1 8B C5 8B D7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64666_0 {
	meta:
		name = "LocaleCharsFromUnicode"
		size = 37
		refs = "001c WideCharToMultiByte"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_110502_0 {
	meta:
		name = "WSAConnectByList"
		size = 37
		refs = "001c WSAConnectByList"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_64667_0 {
	meta:
		name = "UnicodeFromLocaleChars"
		size = 29
		refs = "0014 MultiByteToWideChar"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_64669_0 {
	meta:
		name = "GetCPUCount"
		size = 17
		refs = "0005 GetSystemInfo"
	strings:
		$1 = { 83 C4 DC 54 E8 ?? ?? ?? ?? 8B 44 24 14 83 C4 24 C3 }
	condition:
		$1
}

rule function_64670_0 {
	meta:
		name = "SetUtf8CompareLocale"
		size = 57
		refs = "0001 GetVersion 0025 UTF8CompareLocale"
	strings:
		$1 = { E8 ?? ?? ?? ?? BA FF 00 00 00 23 D0 25 00 FF 00 00 C1 E8 08 83 FA 05 75 05 83 F8 01 73 05 83 FA 05 76 0B C7 05 ?? ?? ?? ?? 7F 00 00 00 C3 C7 05 ?? ?? ?? ?? 09 04 00 00 C3 }
	condition:
		$1
}

rule function_64671_0 {
	meta:
		name = "IsEqualGUID"
		size = 36
		altNames = "TGUID.&op_Equality"
	strings:
		$1 = { 8B 08 3B 0A 75 18 8B 48 04 3B 4A 04 75 10 8B 48 08 3B 4A 08 75 08 8B 40 0C 3B 42 0C 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_64672_0 {
	meta:
		name = "TGUID.&op_Inequality"
		size = 20
		refs = "000b TGUID.&op_Equality"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 34 01 5E 5B C3 }
	condition:
		$1
}

rule function_69836_0 {
	meta:
		name = "TPointF.&op_Inequality"
		size = 20
		refs = "000b TPointF.&op_Equality"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 34 01 5E 5B C3 }
	condition:
		$1
}

rule function_69760_0 {
	meta:
		name = "TRect.&op_Inequality"
		size = 20
		refs = "000b TRect.&op_Equality"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 34 01 5E 5B C3 }
	condition:
		$1
}

rule function_69857_0 {
	meta:
		name = "TRectF.&op_Inequality"
		size = 20
		refs = "000b TRectF.&op_Equality"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 34 01 5E 5B C3 }
	condition:
		$1
}

rule function_69895_0 {
	meta:
		name = "TSize.&op_Inequality"
		size = 20
		refs = "000b TSize.&op_Equality"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 34 01 5E 5B C3 }
	condition:
		$1
}

rule function_69907_0 {
	meta:
		name = "TSizeF.&op_Inequality"
		size = 20
		refs = "000b TSizeF.&op_Equality"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 34 01 5E 5B C3 }
	condition:
		$1
}

rule function_64674_0 {
	meta:
		name = "Finalization"
		size = 137
		refs = "0007 Finalization 0013 _DV_8 001a Input 001f @Close 0024 Output 002e ErrOutput 0038 FinalizeLocaleDate 003e PreferredLanguagesOverride 004b @FreeMem 0050 FinalizeMemoryManager 0055 Copyright 005a @LStrClr 005f EmptyStringA 0069 EmptyStringW 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 59 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_64675_0 {
	meta:
		name = "System"
		size = 180
		refs = "0002 _DV_8 0013 SetThreadLocale 0018 InitializeMemoryManager 001d InitializeLocaleData 0023 FileMode 002a RaiseExceptionProc 002e RaiseException 0034 RTLUnwindProc 0038 RtlUnwind 003e Test8086 0044 GetCPUCount 0049 CPUCount 004f DispCallByIDProc 0053 @DispCallByIDError 0058 @InitializeControlWord 005d @FpuInit 0064 Input 006d Output 0076 ErrOutput 007d GetCommandLine 0082 CmdLine 0087 GetCmdShow 008c CmdShow 0091 GetACP 0096 DefaultSystemCodePage 009c DefaultUnicodeCodePage 00a5 GetCurrentThreadId 00aa MainThreadID 00af SetUtf8CompareLocale"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 0F 83 A6 00 00 00 68 00 04 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 02 C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 02 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 05 ?? ?? ?? ?? B0 D7 66 C7 05 ?? ?? ?? ?? B0 D7 66 C7 05 ?? ?? ?? ?? B0 D7 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? B0 04 00 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_64685_0 {
	meta:
		name = "ParseEnv"
		size = 145
		refs = "0012 @UStrAddRef 001a ParseEnv 0027 DEBUG_CLASS 0032 TArray<System.string> 0037 @DynArraySetLength 0043 EnvSeparator 004b SplitString 005e @DynArrayAsg 0074 TStringDynArray 0079 @DynArrayClear 0081 @UStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 59 59 5D C3 }
	condition:
		$1
}

rule function_64686_0 {
	meta:
		name = "SubMatch"
		size = 200
		refs = "0011 @UStrAddRef 0021 SubMatch 0034 @UStrEqual 0047 Pos 00a2 @UStrArrayClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 75 04 B3 01 EB 4E 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 3D 8B 55 FC 85 D2 74 05 83 EA 04 8B 12 4A 3B C2 7E 04 33 DB EB 28 8B D0 4A 85 D2 7E 1F B8 01 00 00 00 8B 4D FC 0F B7 4C 41 FE 8B 5D F8 66 3B 4C 43 FE 74 04 33 DB EB 06 40 4A 75 E6 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_64687_0 {
	meta:
		name = "Match"
		size = 178
		refs = "0012 @UStrAddRef 001a Match 002b DEBUG_CLASS 0031 TArray<System.string> 0036 @DynArrayAsg 0048 @UStrLAsg 0053 SubMatch 0064 @DynArrayLength 0076 @DynArrayClear 009e @UStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 F4 8B 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 F6 EB 22 8D 45 F8 8B 55 F4 8B 14 B2 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 1B 46 8B 45 F4 E8 ?? ?? ?? ?? 3B F0 7C D2 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64688_0 {
	meta:
		name = "CheckDebugClass"
		size = 155
		refs = "000c @UStrAddRef 0014 CheckDebugClass 0022 EnabledConditionMap 0027 TDictionary<System.string,System.Boolean>.ContainsKey 0037 UnenabledConditionMap 004c Match 0061 TDictionary<System.string,System.Boolean>.Add 0089 @UStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 45 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 30 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 13 B3 01 B1 01 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 33 DB B1 01 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_64689_0 {
	meta:
		name = "DebugPrint"
		size = 208
		refs = "001b @UStrAddRef 002b DebugPrint 0039 CheckDebugClass 004d @UStrCat3 0055 Output 005a @Write0UString 005f @Flush 0064 @_IOTest 0075 Format 0087 @WriteLn 00a6 @UStrArrayClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 5D F4 8B D9 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 4F 8D 45 F4 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8B D3 8B 4D 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_64690_0 {
	meta:
		name = "DebugPrint"
		size = 164
		refs = "0015 @UStrAddRef 0025 DebugPrint 0033 CheckDebugClass 004f @UStrCatN 0057 Output 005c @Write0UString 0061 @WriteLn 0066 @_IOTest 0080 @UStrArrayClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2F FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_64691_0 {
	meta:
		name = "Finalization"
		size = 94
		refs = "0007 Finalization 0013 _DV_1 001a EnabledConditionMap 001f TObject.Free 0024 UnenabledConditionMap 002e EnvSeparator 0033 @UStrClr 0038 DEBUG_CLASS 003e TArray<System.string> 0043 @DynArrayClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2E A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_64692_0 {
	meta:
		name = "System.DebugUtils"
		size = 156
		refs = "0009 System.DebugUtils 0015 _DV_1 0021 _DV_TDictionary<System.string,System.Boolean> 0026 TDictionary<System.string,System.Boolean>.Create 002b EnabledConditionMap 003e UnenabledConditionMap 004b GetEnvironmentVariable 0053 ParseEnv 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 3B 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 45 00 42 00 55 00 47 00 5F 00 43 00 4C 00 41 00 53 00 53 00 00 00 }
	condition:
		$1
}

rule function_64693_0 {
	meta:
		name = "TPair<System.string,System.Boolean>.Create"
		size = 27
		refs = "000e @UStrAsg"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B C7 8B D6 E8 ?? ?? ?? ?? 88 5F 04 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64699_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.Rehash"
		size = 285
		refs = "0015 TDictionary<System.string,System.Boolean>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.string,System.Boolean>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e6 TDictionary<System.string,System.Boolean>.RehashAdd 010a @FinalizeArray 0110 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 BE 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 DB 8D 04 5B 8B 55 F8 C7 04 82 FF FF FF FF 43 4E 75 EF 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 35 46 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 22 8B 55 FC 0F B6 54 82 08 52 8B 55 FC 8B 44 82 04 50 8D 04 5B 8B 55 FC 8B 14 82 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64703_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.GetItem"
		size = 67
		refs = "000b TDictionary<System.string,System.Boolean>.Hash 0016 TDictionary<System.string,System.Boolean>.GetBucketIndex 0020 SGenericItemNotFound 0027 _Dn_EListError 002c Exception.CreateRes 0031 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 0F B6 44 82 08 5E 5B C3 }
	condition:
		$1
}

rule function_64704_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.SetItem"
		size = 109
		refs = "000f TDictionary<System.string,System.Boolean>.Hash 001a TDictionary<System.string,System.Boolean>.GetBucketIndex 0026 SGenericItemNotFound 002d _Dn_EListError 0032 Exception.CreateRes 0037 @RaiseExcept"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 34 52 8B 43 04 0F B6 44 B0 08 8B 53 04 0F B6 0C 24 88 4C B2 08 B1 01 8B D0 8B C3 8B 30 FF 56 0C 33 C9 0F B6 14 24 8B C3 8B 18 FF 53 0C 5A 5E 5B C3 }
	condition:
		$1
}

rule function_64705_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.RehashAdd"
		size = 81
		refs = "001a TDictionary<System.string,System.Boolean>.GetBucketIndex 0039 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8D 3C 76 8B 43 04 8B 55 FC 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 0F B6 55 08 88 54 B8 08 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_64706_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.DoAdd"
		size = 80
		refs = "001e @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B D8 8D 3C 76 8B 43 04 89 14 B8 8B 43 04 8D 44 B8 04 8B 55 0C E8 ?? ?? ?? ?? 8B 43 04 0F B6 55 08 88 54 B8 08 FF 43 08 33 C9 8B 55 0C 8B C3 8B 30 FF 56 08 33 C9 0F B6 55 08 8B C3 8B 18 FF 53 0C 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_64707_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.DoSetValue"
		size = 51
	strings:
		$1 = { 53 56 57 8B D9 8B F0 8D 3C 52 8B 46 04 0F B6 44 B8 08 8B 56 04 88 5C BA 08 B1 01 8B D0 8B C6 8B 38 FF 57 0C 33 C9 8B D3 8B C6 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64708_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.DoRemove"
		size = 253
		refs = "0014 TDictionary<System.string,System.Boolean>.GetBucketIndex 0046 @DynArrayLength 0079 InCircularRange 0095 TDictionary<System.string,System.Boolean>.TItem 009a @CopyRecord 00c4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 09 C6 45 FB 00 E9 C9 00 00 00 8D 04 76 8B 53 04 C7 04 82 FF FF FF FF 8B 53 04 0F B6 44 82 08 88 45 FB 8B FE 46 8B 43 04 E8 ?? ?? ?? ?? 3B F0 75 02 33 F6 8D 04 76 8B 53 04 8B 04 82 89 45 F4 83 7D F4 FF 74 4D 8B 43 04 E8 ?? ?? ?? ?? 48 23 45 F4 89 45 F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 C0 8D 04 7F 8B 53 04 8D 04 82 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 8D 04 7F 8B 53 04 C7 04 82 FF FF FF FF EB 92 8D 34 7F 8B 43 04 C7 04 B0 FF FF FF FF 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 43 04 C6 44 B0 08 00 FF 4B 08 0F B6 4D 08 8B 55 FC 8B C3 8B 30 FF 56 08 0F B6 4D 08 0F B6 55 FB 8B C3 8B 18 FF 53 0C 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_64715_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.Create"
		size = 236
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Boolean> 0025 @InitializeRecord 002d TDictionary<System.string,System.Boolean>.Create 0048 TEnumerable<System.DebugUtils.TPair<System.string,System.Boolean>>.GetEnumerator 0074 TDictionary<System.string,System.Boolean>.AddOrSetValue 007c TEnumerator<System.DebugUtils.TPair<System.string,System.Boolean>>.MoveNext 00a3 @HandleFinally 00c0 @FinalizeRecord 00d6 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 19 8D 55 F8 8B 45 EC 8B 08 FF 11 0F B6 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64716_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.Create"
		size = 240
		refs = "000f @ClassCreate 0020 TPair<System.string,System.Boolean> 0025 @InitializeRecord 002d TDictionary<System.string,System.Boolean>.Create 004a TEnumerable<System.DebugUtils.TPair<System.string,System.Boolean>>.GetEnumerator 0076 TDictionary<System.string,System.Boolean>.AddOrSetValue 007e TEnumerator<System.DebugUtils.TPair<System.string,System.Boolean>>.MoveNext 00a5 @HandleFinally 00c2 @FinalizeRecord 00d8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 F3 89 45 F4 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 19 8D 55 F8 8B 45 EC 8B 08 FF 11 0F B6 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_64718_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.Add"
		size = 100
		refs = "0016 TDictionary<System.string,System.Boolean>.Grow 001f TDictionary<System.string,System.Boolean>.Hash 002c TDictionary<System.string,System.Boolean>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005b TDictionary<System.string,System.Boolean>.DoAdd"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 0F B6 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64721_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.Clear"
		size = 208
		refs = "0014 TDictionary<System.string,System.Boolean>.Clear 0026 TDictionary<System.string,System.Boolean>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.string,System.Boolean>.SetCapacity 005e @DynArrayLength 00bd @DynArrayClear 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 3F 40 89 45 F8 33 DB 8D 04 5B 8B 55 FC 83 3C 82 FF 74 27 8D 04 5B 8B 55 FC 8B 54 82 04 B1 01 8B C6 8B 38 FF 57 08 8D 04 5B 8B 55 FC 0F B6 54 82 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_64723_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.TryGetValue"
		size = 62
		refs = "000e TDictionary<System.string,System.Boolean>.Hash 0019 TDictionary<System.string,System.Boolean>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C2 84 D2 74 0F 8D 04 40 8B 4B 04 0F B6 44 81 08 88 07 EB 03 C6 07 00 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64724_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.AddOrSetValue"
		size = 92
		refs = "0016 TDictionary<System.string,System.Boolean>.Grow 001f TDictionary<System.string,System.Boolean>.Hash 002c TDictionary<System.string,System.Boolean>.GetBucketIndex 003d TDictionary<System.string,System.Boolean>.DoSetValue 0053 TDictionary<System.string,System.Boolean>.DoAdd"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B F2 8B D8 8B 43 08 3B 43 10 7C 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0F 0F B6 0C 24 8B D0 8B C3 E8 ?? ?? ?? ?? EB 14 56 0F B6 54 24 04 52 8B C8 F7 D1 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64726_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.ContainsValue"
		size = 149
		refs = "0017 TDictionary<System.string,System.Boolean>.ContainsValue 0025 TEqualityComparer<System.Boolean>.Default 002d @DynArrayLength 0080 @IntfClear 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 88 55 FB 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 37 40 89 45 F4 33 DB 8D 04 5B 8B 56 04 83 3C 82 FF 74 1F 8D 04 5B 8B 56 04 0F B6 54 82 08 0F B6 4D FB 8B 45 FC 8B 38 FF 57 0C 84 C0 74 04 B3 01 EB 08 43 FF 4D F4 75 CF 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_64745_0 {
	meta:
		name = "TEnumerable<System.Boolean>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Boolean> 001f @DynArraySetLength 002b TEnumerable<System.Boolean>.GetEnumerator 0036 TEnumerable<System.Boolean>.ToArrayImpl 0058 TEnumerator<System.Boolean>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B F2 8B D8 56 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 F6 8B C3 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B D8 8B 45 FC 8B 00 88 1C 30 46 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71573_0 {
	meta:
		name = "TEnumerable<System.Zip.TZipCompression>.ToArrayImpl"
		size = 139
		refs = "001a TArray<System.Zip.TZipCompression> 001f @DynArraySetLength 002b TEnumerable<System.Zip.TZipCompression>.GetEnumerator 0036 TEnumerable<System.Zip.TZipCompression>.ToArrayImpl 0058 TEnumerator<System.Zip.TZipCompression>.MoveNext 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B F2 8B D8 56 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 F6 8B C3 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 F8 8B 10 FF 12 8B D8 8B 45 FC 8B 00 88 1C 30 46 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_64754_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.TValueEnumerator.GetCurrent"
		size = 18
	strings:
		$1 = { 8B 50 08 8D 14 52 8B 40 04 8B 40 04 0F B6 44 90 08 C3 }
	condition:
		$1
}

rule function_64759_0 {
	meta:
		name = "TDictionary<System.string,System.Boolean>.TPairEnumerator.GetCurrent"
		size = 52
		refs = "0019 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 8D 14 52 8B 4B 04 8B 49 04 8B 54 91 04 E8 ?? ?? ?? ?? 8B 43 08 8D 04 40 8B 53 04 8B 52 04 0F B6 44 82 08 88 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_64813_0 {
	meta:
		name = "TEqualityComparer<System.Boolean>.Default"
		size = 32
		refs = "000a Boolean 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64865_0 {
	meta:
		name = "TList<T>.GetItem"
		size = 40
		refs = "000b SArgumentOutOfRange 0012 _Dn_EArgumentOutOfRangeException 0017 Exception.CreateRes 001c @RaiseExcept"
	strings:
		$1 = { 85 D2 7C 05 3B 50 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 04 0F B6 04 10 C3 }
	condition:
		$1
}

rule function_64866_0 {
	meta:
		name = "TList<T>.SetItem"
		size = 78
		refs = "0012 SArgumentOutOfRange 0019 _Dn_EArgumentOutOfRangeException 001e Exception.CreateRes 0023 @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B D9 8B F0 85 D2 7C 05 3B 56 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 04 0F B6 04 10 8B 4E 04 88 1C 11 B1 01 8B D0 8B C6 8B 38 FF 57 08 33 C9 8B D3 8B C6 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64869_0 {
	meta:
		name = "TList<T>.DoDelete"
		size = 125
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0053 Move 0067 @FillChar"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B F0 85 D2 7C 05 3B 56 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 04 0F B6 1C 10 8B 46 04 C6 04 10 00 FF 4E 08 8B 46 08 3B D0 74 2A 2B C2 8B C8 8B 46 04 8D 44 10 01 8B 7E 04 8D 14 17 E8 ?? ?? ?? ?? 8B 46 04 8B 56 08 03 C2 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F B6 0C 24 8B D3 8B C6 8B 18 FF 53 08 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64876_0 {
	meta:
		name = "TList<System.Boolean>.Add"
		size = 51
		refs = "000e TList<System.Boolean>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 8B 56 08 42 8B C6 E8 ?? ?? ?? ?? 8B 46 08 89 04 24 8B 56 04 88 1C 02 FF 46 08 33 C9 8B D3 8B C6 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_71722_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.Add"
		size = 51
		refs = "000e TList<System.Zip.TZipCompression>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 8B 56 08 42 8B C6 E8 ?? ?? ?? ?? 8B 46 08 89 04 24 8B 56 04 88 1C 02 FF 46 08 33 C9 8B D3 8B C6 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_64880_0 {
	meta:
		name = "TList<System.Boolean>.Insert"
		size = 121
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Boolean>.GrowCheck 004c Move 005d @FillChar"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 85 F6 7C 05 3B 77 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 57 08 42 8B C7 E8 ?? ?? ?? ?? 8B 47 08 3B F0 74 26 2B C6 8B C8 8B 47 04 8D 54 30 01 8B 47 04 03 C6 E8 ?? ?? ?? ?? 8B 47 04 03 C6 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 47 04 88 1C 30 FF 47 08 33 C9 8B D3 8B C7 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71726_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.Insert"
		size = 121
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0030 TList<System.Zip.TZipCompression>.GrowCheck 004c Move 005d @FillChar"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 85 F6 7C 05 3B 77 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 57 08 42 8B C7 E8 ?? ?? ?? ?? 8B 47 08 3B F0 74 26 2B C6 8B C8 8B 47 04 8D 54 30 01 8B 47 04 03 C6 E8 ?? ?? ?? ?? 8B 47 04 03 C6 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 47 04 88 1C 30 FF 47 08 33 C9 8B D3 8B C7 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64881_0 {
	meta:
		name = "TList<System.Boolean>.InsertRange"
		size = 221
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Boolean>.GrowCheck 0072 Move 0083 @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 33 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 11 52 8B 55 FC 8B 52 04 03 D3 2B C3 8B C8 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 03 C3 8B D7 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 20 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 03 F9 0F B6 08 88 0F 42 40 FF 4D F4 75 E9 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 0F B6 13 8B 45 FC 8B 30 FF 56 08 43 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_64882_0 {
	meta:
		name = "TList<System.Boolean>.InsertRange"
		size = 117
		refs = "0012 TList<System.Boolean>.InsertRange 0039 TList<System.Boolean>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B D8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 46 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71728_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.InsertRange"
		size = 117
		refs = "0012 TList<System.Zip.TZipCompression>.InsertRange 0039 TList<System.Zip.TZipCompression>.Insert 004e @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 10 EB 16 8B 45 FC 8B 10 FF 52 18 8B D8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 46 8B 45 FC 8B 10 FF 52 10 84 C0 75 DE 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_64883_0 {
	meta:
		name = "TList<System.Boolean>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Boolean>.GetEnumerator 001f TList<System.Boolean>.InsertRange 003b TList<System.Boolean>.Insert 0044 TEnumerator<System.Boolean>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B F2 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B D8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 46 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71729_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.InsertRange"
		size = 120
		refs = "0014 TEnumerable<System.Zip.TZipCompression>.GetEnumerator 001f TList<System.Zip.TZipCompression>.InsertRange 003b TList<System.Zip.TZipCompression>.Insert 0044 TEnumerator<System.Zip.TZipCompression>.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B F2 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F8 8B 10 FF 12 8B D8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 46 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_64886_0 {
	meta:
		name = "TList<System.Boolean>.DeleteRange"
		size = 287
		refs = "0018 TList<System.Boolean>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Boolean>.:3 0068 @DynArraySetLength 007a Move 00b5 @FillChar 00d0 @DynArrayLength 010c @DynArrayClear 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 9D 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 03 C7 8B CE 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 2F 8B 53 04 03 D7 52 8D 14 3E 8B 4B 04 8D 14 11 8B C8 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 02 8B D6 33 C9 E8 ?? ?? ?? ?? EB 0E 8B 43 04 03 C7 8B D6 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1C 40 89 45 F8 33 F6 8B 45 FC 0F B6 14 30 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71732_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.DeleteRange"
		size = 287
		refs = "0018 TList<System.Zip.TZipCompression>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Zip.TZipCompression>.:3 0068 @DynArraySetLength 007a Move 00b5 @FillChar 00d0 @DynArrayLength 010c @DynArrayClear 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 9D 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 03 C7 8B CE 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 2F 8B 53 04 03 D7 52 8D 14 3E 8B 4B 04 8D 14 11 8B C8 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8B 53 04 8D 04 02 8B D6 33 C9 E8 ?? ?? ?? ?? EB 0E 8B 43 04 03 C7 8B D6 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 1C 40 89 45 F8 33 F6 8B 45 FC 0F B6 14 30 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_64887_0 {
	meta:
		name = "TList<System.Boolean>.Extract"
		size = 42
		refs = "0007 TList<System.Boolean>.IndexOf 0021 TList<System.Boolean>.DoDelete"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 04 33 DB EB 12 8B 56 04 0F B6 1C 02 B1 02 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_71733_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.Extract"
		size = 42
		refs = "0007 TList<System.Zip.TZipCompression>.IndexOf 0021 TList<System.Zip.TZipCompression>.DoDelete"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 04 33 DB EB 12 8B 56 04 0F B6 1C 02 B1 02 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_64888_0 {
	meta:
		name = "TList<T>.Exchange"
		size = 35
	strings:
		$1 = { 53 56 57 8B F1 8B 48 04 0F B6 0C 11 8B 58 04 0F B6 1C 33 8B 78 04 88 1C 17 8B 40 04 88 0C 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64889_0 {
	meta:
		name = "TList<T>.Move"
		size = 138
		refs = "0017 SArgumentOutOfRange 001e _Dn_EArgumentOutOfRangeException 0023 Exception.CreateRes 0028 @RaiseExcept 0053 Move 007b @FillChar"
	strings:
		$1 = { 53 56 57 55 8B F1 8B F8 3B F2 74 79 85 F6 7C 05 3B 77 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 04 0F B6 1C 10 8B 47 04 C6 04 10 00 3B F2 7E 1B 8B 47 04 8D 44 10 01 8B 4F 04 03 CA 8B EE 2B EA 8B D5 87 CA E8 ?? ?? ?? ?? EB 15 2B D6 8B CA 8B 47 04 03 C6 8B 57 04 8D 54 32 01 E8 ?? ?? ?? ?? 8B 47 04 03 C6 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 47 04 88 1C 30 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64893_0 {
	meta:
		name = "TList<System.Boolean>.Contains"
		size = 23
		refs = "000b TList<System.Boolean>.IndexOf"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_71739_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.Contains"
		size = 23
		refs = "000b TList<System.Zip.TZipCompression>.IndexOf"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_64894_0 {
	meta:
		name = "TList<T>.IndexOf"
		size = 61
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B F0 8B 7E 08 4F 85 FF 7C 22 47 33 DB 8B 46 04 0F B6 14 18 0F B6 0C 24 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 07 43 4F 75 E1 83 C8 FF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64895_0 {
	meta:
		name = "TList<T>.LastIndexOf"
		size = 56
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 8B 7E 08 4F 83 FF 00 7C 1F 8B 46 04 0F B6 14 38 8B CB 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C7 EB 09 4F 83 FF FF 75 E1 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64896_0 {
	meta:
		name = "TList<System.Boolean>.Reverse"
		size = 49
	strings:
		$1 = { 53 56 57 33 D2 8B 70 08 4E 3B F2 7E 20 8B 48 04 0F B6 0C 11 8B 58 04 0F B6 1C 33 8B 78 04 88 1C 17 8B 58 04 88 0C 33 42 4E 3B F2 7F E0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64899_0 {
	meta:
		name = "TList<System.Boolean>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Boolean>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B DA 8B F0 53 8B 44 24 04 50 8B 46 0C 50 6A 00 8B 46 08 50 8B 7E 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71745_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.BinarySearch"
		size = 56
		refs = "0021 @DynArrayHigh 002a _Dn_TArray 002f TArray.BinarySearch<System.Zip.TZipCompression>"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B DA 8B F0 53 8B 44 24 04 50 8B 46 0C 50 6A 00 8B 46 08 50 8B 7E 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64900_0 {
	meta:
		name = "TList<System.Boolean>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Boolean>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F0 53 8B 45 FC 50 8B 45 08 50 6A 00 8B 46 08 50 8B 7E 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_71746_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.BinarySearch"
		size = 61
		refs = "0023 @DynArrayHigh 002c _Dn_TArray 0031 TArray.BinarySearch<System.Zip.TZipCompression>"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F0 53 8B 45 FC 50 8B 45 08 50 6A 00 8B 46 08 50 8B 7E 04 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_64902_0 {
	meta:
		name = "TList<System.Boolean>.ToArray"
		size = 73
		refs = "0018 TArray<System.Boolean> 001d @DynArraySetLength 0034 TList<System.Boolean>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 88 04 1A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71748_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.ToArray"
		size = 73
		refs = "0018 TArray<System.Zip.TZipCompression> 001d @DynArraySetLength 0034 TList<System.Zip.TZipCompression>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 88 04 1A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_64923_0 {
	meta:
		name = "TComparer<System.Boolean>.Default"
		size = 32
		refs = "000a Boolean 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 01 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64926_0 {
	meta:
		name = "TArray.BinarySearch<T>"
		size = 183
		refs = "0033 SArgumentOutOfRange 003a _Dn_EArgumentOutOfRangeException 003f Exception.CreateRes 0044 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B 75 08 8B 45 0C 85 C0 7C 1B 3B C1 7E 04 85 F6 7F 13 8D 14 06 4A 3B D1 7F 0B 85 F6 7C 07 8D 14 06 85 D2 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 75 0B 8B 55 14 89 02 C6 45 FB 00 EB 53 C6 45 FB 00 8B D8 03 F0 4E 89 75 F4 3B 5D F4 7F 3D 8B 75 F4 2B F3 D1 EE 03 F3 8B 45 FC 0F B6 14 30 0F B6 4D 18 8B 45 10 8B 38 FF 57 0C 89 45 F0 83 7D F0 00 7D 05 8D 5E 01 EB 0E 4E 89 75 F4 83 7D F0 00 75 04 C6 45 FB 01 3B 5D F4 7E C3 8B 45 14 89 18 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_64935_0 {
	meta:
		name = "TArray.QuickSort<System.Boolean>"
		size = 212
		refs = "00bb TArray.QuickSort<System.Boolean>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 AD 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 9F 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 0F B6 04 02 88 45 F3 EB 01 43 8B 45 F8 0F B6 14 18 0F B6 4D F3 8B 45 10 8B 38 FF 57 0C 85 C0 7C E8 EB 01 4E 8B 45 F8 0F B6 14 30 0F B6 4D F3 8B 45 10 8B 38 FF 57 0C 85 C0 7F E8 3B F3 7C 20 3B F3 74 1A 8B 45 F8 0F B6 04 18 8B 55 F8 0F B6 14 32 8B 4D F8 88 14 19 8B 55 F8 88 04 32 43 4E 3B F3 7D A7 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 61 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_71832_0 {
	meta:
		name = "TArray.QuickSort<System.Zip.TZipCompression>"
		size = 212
		refs = "00bb TArray.QuickSort<System.Zip.TZipCompression>"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 AD 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 9F 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 0F B6 04 02 88 45 F3 EB 01 43 8B 45 F8 0F B6 14 18 0F B6 4D F3 8B 45 10 8B 38 FF 57 0C 85 C0 7C E8 EB 01 4E 8B 45 F8 0F B6 14 30 0F B6 4D F3 8B 45 10 8B 38 FF 57 0C 85 C0 7F E8 3B F3 7C 20 3B F3 74 1A 8B 45 F8 0F B6 04 18 8B 55 F8 0F B6 14 32 8B 4D F8 88 14 19 8B 55 F8 88 04 32 43 4E 3B F3 7D A7 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 61 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_64943_0 {
	meta:
		name = "TStopwatch.Create"
		size = 17
		refs = "0004 TStopwatch.InitStopwatchType 000b TStopwatch.Reset"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64944_0 {
	meta:
		name = "TStopwatch.GetElapsed"
		size = 25
		refs = "0009 TStopwatch.GetElapsedDateTimeTicks 0012 TTimeSpan.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 52 50 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_64945_0 {
	meta:
		name = "TStopwatch.GetElapsedDateTimeTicks"
		size = 55
		refs = "0004 TStopwatch.GetElapsedTicks 0011 TStopwatch.FIsHighResolution 001d TStopwatch.TickFrequency 0022 @TRUNC"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 80 3D ?? ?? ?? ?? 00 74 15 DF 2C 24 DC 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_64946_0 {
	meta:
		name = "TStopwatch.GetElapsedMilliseconds"
		size = 43
		refs = "0010 TStopwatch.GetElapsedDateTimeTicks 0015 @_lldiv"
	strings:
		$1 = { 53 83 C4 F8 8B D8 6A 00 68 10 27 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_64947_0 {
	meta:
		name = "TStopwatch.GetElapsedTicks"
		size = 60
		refs = "0019 TStopwatch.GetTimeStamp"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B 03 89 04 24 8B 43 04 89 44 24 04 80 7B 08 00 74 19 E8 ?? ?? ?? ?? 03 04 24 13 54 24 04 2B 43 10 1B 53 14 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_64948_0 {
	meta:
		name = "TStopwatch.GetTimeStamp"
		size = 50
		refs = "0005 TStopwatch.FIsHighResolution 000e QueryPerformanceCounter 0015 GetTickCount"
	strings:
		$1 = { 83 C4 F8 80 3D ?? ?? ?? ?? 00 74 08 54 E8 ?? ?? ?? ?? EB 14 E8 ?? ?? ?? ?? 69 C0 10 27 00 00 33 D2 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_64949_0 {
	meta:
		name = "TStopwatch.InitStopwatchType"
		size = 112
		refs = "0002 TStopwatch.FFrequency 0018 QueryPerformanceFrequency 0022 TStopwatch.FIsHighResolution 003f TStopwatch.TickFrequency 005e TStopwatch.InitStopwatchType"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 60 83 3D ?? ?? ?? ?? 00 75 57 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 2F C6 05 ?? ?? ?? ?? 00 C7 05 ?? ?? ?? ?? 80 96 98 00 C7 05 ?? ?? ?? ?? 00 00 00 00 33 C0 89 05 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 F0 3F EB 1A C6 05 ?? ?? ?? ?? 01 DF 2D ?? ?? ?? ?? D8 3D ?? ?? ?? ?? DD 1D ?? ?? ?? ?? 9B C3 00 00 80 96 18 4B }
	condition:
		$1
}

rule function_64950_0 {
	meta:
		name = "TStopwatch.Reset"
		size = 32
	strings:
		$1 = { C7 00 00 00 00 00 C7 40 04 00 00 00 00 C6 40 08 00 C7 40 10 00 00 00 00 C7 40 14 00 00 00 00 C3 }
	condition:
		$1
}

rule function_64951_0 {
	meta:
		name = "TStopwatch.Start"
		size = 26
		refs = "000a TStopwatch.GetTimeStamp"
	strings:
		$1 = { 53 8B D8 80 7B 08 00 75 0F E8 ?? ?? ?? ?? 89 43 10 89 53 14 C6 43 08 01 5B C3 }
	condition:
		$1
}

rule function_64952_0 {
	meta:
		name = "TStopwatch.StartNew"
		size = 24
		refs = "0004 TStopwatch.InitStopwatchType 000b TStopwatch.Reset 0012 TStopwatch.Start"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_64953_0 {
	meta:
		name = "TStopwatch.Stop"
		size = 36
		refs = "000a TStopwatch.GetTimeStamp"
	strings:
		$1 = { 53 8B D8 80 7B 08 00 74 19 E8 ?? ?? ?? ?? 03 03 13 53 04 2B 43 10 1B 53 14 89 03 89 53 04 C6 43 08 00 5B C3 }
	condition:
		$1
}

rule function_65101_0 {
	meta:
		name = "InCircularRange"
		size = 30
	strings:
		$1 = { 3B D0 7E 04 3B CA 7D 13 3B C1 7E 04 3B C2 7C 0B 3B C1 7E 04 3B CA 7D 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_65595_0 {
	meta:
		name = "MakeInstance"
		size = 29
		refs = "000c @GetMem"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 0C 00 00 00 E8 ?? ?? ?? ?? 89 18 33 D2 89 50 04 89 70 08 5E 5B C3 }
	condition:
		$1
}

rule function_65598_0 {
	meta:
		name = "NopQueryInterface"
		size = 12
	strings:
		$1 = { 55 8B EC B8 02 40 00 80 5D C2 0C 00 }
	condition:
		$1
}

rule function_65599_0 {
	meta:
		name = "MemAddref"
		size = 23
		refs = "000f TInterlocked.Add"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 C0 04 BA 01 00 00 00 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_65600_0 {
	meta:
		name = "MemRelease"
		size = 40
		refs = "000f TInterlocked.Add 001c @FreeMem"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 8D 46 04 83 CA FF E8 ?? ?? ?? ?? 8B D8 85 DB 75 07 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_65601_0 {
	meta:
		name = "Compare_I1"
		size = 9
	strings:
		$1 = { 0F BE C2 0F BE D1 2B C2 C3 }
	condition:
		$1
}

rule function_65602_0 {
	meta:
		name = "Equals_I1"
		size = 6
	strings:
		$1 = { 3A CA 0F 94 C0 C3 }
	condition:
		$1
}

rule function_65603_0 {
	meta:
		name = "GetHashCode_I1"
		size = 20
		refs = "000e BobJenkinsHash"
	strings:
		$1 = { 51 88 14 24 8B C4 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_65604_0 {
	meta:
		name = "Compare_I2"
		size = 9
	strings:
		$1 = { 0F BF C2 0F BF D1 2B C2 C3 }
	condition:
		$1
}

rule function_65605_0 {
	meta:
		name = "Equals_I2"
		size = 7
	strings:
		$1 = { 66 3B CA 0F 94 C0 C3 }
	condition:
		$1
}

rule function_65606_0 {
	meta:
		name = "GetHashCode_I2"
		size = 21
		refs = "000f BobJenkinsHash"
	strings:
		$1 = { 51 66 89 14 24 8B C4 33 C9 BA 02 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_65607_0 {
	meta:
		name = "Compare_I4"
		size = 22
	strings:
		$1 = { 3B CA 7E 04 83 C8 FF C3 3B CA 7D 07 B8 01 00 00 00 EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_65608_0 {
	meta:
		name = "Equals_I4"
		size = 6
		altNames = "Equals_Pointer"
	strings:
		$1 = { 3B CA 0F 94 C0 C3 }
	condition:
		$1
}

rule function_65609_0 {
	meta:
		name = "GetHashCode_I4"
		size = 20
		refs = "000e BobJenkinsHash"
		altNames = "GetHashCode_Pointer"
	strings:
		$1 = { 51 89 14 24 8B C4 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_65610_0 {
	meta:
		name = "Compare_U1"
		size = 9
	strings:
		$1 = { 0F B6 C2 0F B6 D1 2B C2 C3 }
	condition:
		$1
}

rule function_65611_0 {
	meta:
		name = "Compare_U2"
		size = 9
	strings:
		$1 = { 0F B7 C2 0F B7 D1 2B C2 C3 }
	condition:
		$1
}

rule function_65612_0 {
	meta:
		name = "Compare_Pointer"
		size = 22
		altNames = "Compare_U4"
	strings:
		$1 = { 3B CA 76 04 83 C8 FF C3 3B CA 73 07 B8 01 00 00 00 EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_65613_0 {
	meta:
		name = "Comparer_Selector_Integer"
		size = 102
		refs = "0006 GetTypeData 0015 Comparer_Selector_Integer 0032 Comparer_Instance_I1 0039 Comparer_Instance_U1 0040 Comparer_Instance_I2 0047 Comparer_Instance_U2 004e Comparer_Instance_I4 0055 Comparer_Instance_U4 005e Error"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 00 83 F8 05 77 49 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B8 ?? ?? ?? ?? EB 2C B8 ?? ?? ?? ?? EB 25 B8 ?? ?? ?? ?? EB 1E B8 ?? ?? ?? ?? EB 17 B8 ?? ?? ?? ?? EB 10 B8 ?? ?? ?? ?? EB 09 B0 04 E8 ?? ?? ?? ?? 33 C0 5B C3 }
	condition:
		$1
}

rule function_65614_0 {
	meta:
		name = "EqualityComparer_Selector_Integer"
		size = 59
		refs = "0006 GetTypeData 001c EqualityComparer_Instance_I1 0023 EqualityComparer_Instance_I2 002a EqualityComparer_Instance_I4 0033 Error"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 00 2C 02 72 0A 2C 02 72 0D 2C 02 72 10 EB 15 B8 ?? ?? ?? ?? EB 17 B8 ?? ?? ?? ?? EB 10 B8 ?? ?? ?? ?? EB 09 B0 04 E8 ?? ?? ?? ?? 33 C0 5B C3 }
	condition:
		$1
}

rule function_65615_0 {
	meta:
		name = "Equals_I8"
		size = 24
	strings:
		$1 = { 55 8B EC 8B 45 10 8B 55 14 3B 55 0C 75 03 3B 45 08 0F 94 C0 5D C2 10 00 }
	condition:
		$1
}

rule function_65616_0 {
	meta:
		name = "GetHashCode_I8"
		size = 22
		refs = "000e BobJenkinsHash"
		altNames = "GetHashCode_RC8 GetHashCode_RI8"
	strings:
		$1 = { 55 8B EC 8D 45 08 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_65617_0 {
	meta:
		name = "Compare_I8"
		size = 61
	strings:
		$1 = { 55 8B EC 8B 45 10 8B 55 14 3B 55 0C 75 07 3B 45 08 73 09 EB 02 7D 05 83 C8 FF EB 1D 8B 45 10 8B 55 14 3B 55 0C 75 07 3B 45 08 76 0B EB 02 7E 07 B8 01 00 00 00 EB 02 33 C0 5D C2 10 00 }
	condition:
		$1
}

rule function_65618_0 {
	meta:
		name = "Compare_U8"
		size = 53
	strings:
		$1 = { 55 8B EC 8B 45 10 8B 55 14 3B 55 0C 75 03 3B 45 08 73 05 83 C8 FF EB 19 8B 45 10 8B 55 14 3B 55 0C 75 03 3B 45 08 76 07 B8 01 00 00 00 EB 02 33 C0 5D C2 10 00 }
	condition:
		$1
}

rule function_65619_0 {
	meta:
		name = "Comparer_Selector_Int64"
		size = 63
		refs = "0006 GetTypeData 0032 Comparer_Instance_I8 0039 Comparer_Instance_U8"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 0C 8B 40 08 52 50 8B C3 E8 ?? ?? ?? ?? 8B 50 04 8B 00 3B 54 24 04 75 09 3B 04 24 5A 58 73 0D EB 04 5A 58 7D 07 B8 ?? ?? ?? ?? 5B C3 B8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_65620_0 {
	meta:
		name = "Compare_R4"
		size = 45
	strings:
		$1 = { 55 8B EC D9 45 0C D8 5D 08 9B DF E0 9E 73 05 83 C8 FF EB 15 D9 45 0C D8 5D 08 9B DF E0 9E 76 07 B8 01 00 00 00 EB 02 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_65621_0 {
	meta:
		name = "Equals_R4"
		size = 20
	strings:
		$1 = { 55 8B EC D9 45 0C D8 5D 08 9B DF E0 9E 0F 94 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_65622_0 {
	meta:
		name = "GetHashCode_R4"
		size = 92
		refs = "0017 Frexp 0020 GetHashCode_R4 003e BobJenkinsHash"
	strings:
		$1 = { 55 8B EC 83 C4 EC D9 45 08 83 C4 F4 DB 3C 24 9B 8D 55 EC 8D 45 F0 E8 ?? ?? ?? ?? DB 6D F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 09 DB 6D F0 D9 E1 DB 7D F0 9B 8D 45 F0 33 C9 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 55 EC 8B C8 B8 04 00 00 00 92 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 00 00 00 00 }
	condition:
		$1
}

rule function_65623_0 {
	meta:
		name = "Compare_R8"
		size = 45
	strings:
		$1 = { 55 8B EC DD 45 10 DC 5D 08 9B DF E0 9E 73 05 83 C8 FF EB 15 DD 45 10 DC 5D 08 9B DF E0 9E 76 07 B8 01 00 00 00 EB 02 33 C0 5D C2 10 00 }
	condition:
		$1
}

rule function_65624_0 {
	meta:
		name = "Equals_R8"
		size = 20
	strings:
		$1 = { 55 8B EC DD 45 10 DC 5D 08 9B DF E0 9E 0F 94 C0 5D C2 10 00 }
	condition:
		$1
}

rule function_65625_0 {
	meta:
		name = "GetHashCode_R8"
		size = 92
		refs = "0017 Frexp 0020 GetHashCode_R8 003e BobJenkinsHash"
	strings:
		$1 = { 55 8B EC 83 C4 EC DD 45 08 83 C4 F4 DB 3C 24 9B 8D 55 EC 8D 45 F0 E8 ?? ?? ?? ?? DB 6D F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 09 DB 6D F0 D9 E1 DB 7D F0 9B 8D 45 F0 33 C9 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 55 EC 8B C8 B8 04 00 00 00 92 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 00 00 00 00 }
	condition:
		$1
}

rule function_65626_0 {
	meta:
		name = "Compare_R10"
		size = 49
	strings:
		$1 = { 55 8B EC DB 6D 14 DB 6D 08 DE D9 9B DF E0 9E 76 05 83 C8 FF EB 17 DB 6D 14 DB 6D 08 DE D9 9B DF E0 9E 73 07 B8 01 00 00 00 EB 02 33 C0 5D C2 18 00 }
	condition:
		$1
}

rule function_65627_0 {
	meta:
		name = "Equals_R10"
		size = 22
	strings:
		$1 = { 55 8B EC DB 6D 14 DB 6D 08 DE D9 9B DF E0 9E 0F 94 C0 5D C2 18 00 }
	condition:
		$1
}

rule function_65628_0 {
	meta:
		name = "GetHashCode_R10"
		size = 96
		refs = "0018 Frexp 0021 GetHashCode_R10 003f BobJenkinsHash"
	strings:
		$1 = { 55 8B EC 83 C4 EC 0F B7 45 10 50 FF 75 0C FF 75 08 8D 55 EC 8D 45 F0 E8 ?? ?? ?? ?? DB 6D F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 09 DB 6D F0 D9 E1 DB 7D F0 9B 8D 45 F0 33 C9 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 55 EC 8B C8 B8 04 00 00 00 92 E8 ?? ?? ?? ?? 8B E5 5D C2 0C 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_65700_0 {
	meta:
		name = "ExtendedHashImpl"
		size = 96
		refs = "0018 Frexp 0021 ExtendedHashImpl 003f BobJenkinsHash"
	strings:
		$1 = { 55 8B EC 83 C4 EC 0F B7 45 10 50 FF 75 0C FF 75 08 8D 55 EC 8D 45 F0 E8 ?? ?? ?? ?? DB 6D F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 09 DB 6D F0 D9 E1 DB 7D F0 9B 8D 45 F0 33 C9 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 55 EC 8B C8 B8 04 00 00 00 92 E8 ?? ?? ?? ?? 8B E5 5D C2 0C 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_65629_0 {
	meta:
		name = "Compare_RC8"
		size = 49
		altNames = "Compare_RI8"
	strings:
		$1 = { 55 8B EC DF 6D 10 DF 6D 08 DE D9 9B DF E0 9E 76 05 83 C8 FF EB 17 DF 6D 10 DF 6D 08 DE D9 9B DF E0 9E 73 07 B8 01 00 00 00 EB 02 33 C0 5D C2 10 00 }
	condition:
		$1
}

rule function_65630_0 {
	meta:
		name = "Equals_RC8"
		size = 22
		altNames = "Equals_RI8"
	strings:
		$1 = { 55 8B EC DF 6D 10 DF 6D 08 DE D9 9B DF E0 9E 0F 94 C0 5D C2 10 00 }
	condition:
		$1
}

rule function_65635_0 {
	meta:
		name = "Comparer_Selector_Float"
		size = 91
		refs = "0006 GetTypeData 0015 Comparer_Selector_Float 002e Comparer_Instance_R4 0035 Comparer_Instance_R8 003c Comparer_Instance_R10 0043 Comparer_Instance_RI8 004a Comparer_Instance_RC8 0053 Error"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 00 83 F8 04 77 3E FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B8 ?? ?? ?? ?? EB 25 B8 ?? ?? ?? ?? EB 1E B8 ?? ?? ?? ?? EB 17 B8 ?? ?? ?? ?? EB 10 B8 ?? ?? ?? ?? EB 09 B0 04 E8 ?? ?? ?? ?? 33 C0 5B C3 }
	condition:
		$1
}

rule function_65636_0 {
	meta:
		name = "EqualityComparer_Selector_Float"
		size = 91
		refs = "0006 GetTypeData 0015 EqualityComparer_Selector_Float 002e EqualityComparer_Instance_R4 0035 EqualityComparer_Instance_R8 003c EqualityComparer_Instance_R10 0043 EqualityComparer_Instance_RI8 004a EqualityComparer_Instance_RC8 0053 Error"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 00 83 F8 04 77 3E FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B8 ?? ?? ?? ?? EB 25 B8 ?? ?? ?? ?? EB 1E B8 ?? ?? ?? ?? EB 17 B8 ?? ?? ?? ?? EB 10 B8 ?? ?? ?? ?? EB 09 B0 04 E8 ?? ?? ?? ?? 33 C0 5B C3 }
	condition:
		$1
}

rule function_65637_0 {
	meta:
		name = "BinaryCompare"
		size = 32
	strings:
		$1 = { 53 56 8B D8 85 C9 7E 13 0F B6 03 0F B6 32 2B C6 85 C0 75 09 49 43 42 85 C9 7F ED 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_65638_0 {
	meta:
		name = "Compare_Binary"
		size = 12
		refs = "0007 BinaryCompare"
	strings:
		$1 = { 8B 40 08 92 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65639_0 {
	meta:
		name = "Equals_Binary"
		size = 12
		refs = "0007 CompareMem"
	strings:
		$1 = { 8B 40 08 92 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65640_0 {
	meta:
		name = "GetHashCode_Binary"
		size = 12
		refs = "0007 BobJenkinsHash"
	strings:
		$1 = { 33 C9 8B 40 08 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65641_0 {
	meta:
		name = "Comparer_Selector_Binary"
		size = 44
		refs = "0010 Comparer_Instance_U1 0016 Comparer_Instance_U2 001c Comparer_Instance_U4 0022 Comparer_Vtable_Binary 0027 MakeInstance"
	strings:
		$1 = { 8B C2 48 74 0A 48 74 0D 83 E8 02 74 0E EB 12 B8 ?? ?? ?? ?? C3 B8 ?? ?? ?? ?? C3 B8 ?? ?? ?? ?? C3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65642_0 {
	meta:
		name = "EqualityComparer_Selector_Binary"
		size = 44
		refs = "0010 EqualityComparer_Instance_I1 0016 EqualityComparer_Instance_I2 001c EqualityComparer_Instance_I4 0022 EqualityComparer_Vtable_Binary 0027 MakeInstance"
	strings:
		$1 = { 8B C2 48 74 0A 48 74 0D 83 E8 02 74 0E EB 12 B8 ?? ?? ?? ?? C3 B8 ?? ?? ?? ?? C3 B8 ?? ?? ?? ?? C3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65643_0 {
	meta:
		name = "Equals_Class"
		size = 20
	strings:
		$1 = { 85 D2 75 06 85 C9 0F 94 C0 C3 8B C2 8B D1 8B 08 FF 51 D4 C3 }
	condition:
		$1
}

rule function_65644_0 {
	meta:
		name = "GetHashCode_Class"
		size = 18
	strings:
		$1 = { 85 D2 75 06 B8 2A 00 00 00 C3 8B C2 8B 10 FF 52 D8 C3 }
	condition:
		$1
}

rule function_65645_0 {
	meta:
		name = "DynLen"
		size = 13
	strings:
		$1 = { 85 C0 75 03 33 C0 C3 83 E8 04 8B 00 C3 }
	condition:
		$1
}

rule function_65646_0 {
	meta:
		name = "Compare_DynArray"
		size = 68
		refs = "0036 BinaryCompare"
	strings:
		$1 = { 53 56 57 85 D2 75 04 33 DB EB 07 8B DA 83 EB 04 8B 1B 8B FB 85 C9 75 04 33 DB EB 07 8B D9 83 EB 04 8B 1B 8B F7 2B F3 85 F6 7D 02 03 FE 8B 40 08 0F AF C7 91 92 E8 ?? ?? ?? ?? 85 C0 75 02 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65647_0 {
	meta:
		name = "Equals_DynArray"
		size = 62
		refs = "0036 CompareMem"
	strings:
		$1 = { 53 56 57 85 D2 75 04 33 DB EB 07 8B DA 83 EB 04 8B 1B 8B F3 85 C9 75 04 33 DB EB 07 8B D9 83 EB 04 8B 1B 8B FB 3B FE 74 04 33 C0 EB 0D 8B 40 08 0F AF C6 91 92 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65648_0 {
	meta:
		name = "GetHashCode_DynArray"
		size = 30
		refs = "0019 BobJenkinsHash"
	strings:
		$1 = { 85 D2 75 04 33 C9 EB 07 8B CA 83 E9 04 8B 09 8B 40 08 0F AF C1 33 C9 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65649_0 {
	meta:
		name = "Comparer_Selector_DynArray"
		size = 24
		refs = "0006 GetTypeData 000d Comparer_Vtable_DynArray 0012 MakeInstance"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_65650_0 {
	meta:
		name = "EqualityComparer_Selector_DynArray"
		size = 24
		refs = "0006 GetTypeData 000d EqualityComparer_Vtable_DynArray 0012 MakeInstance"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_65651_0 {
	meta:
		name = "Compare_PS1"
		size = 90
		refs = "0035 @PStrCmp"
	strings:
		$1 = { 56 57 51 8B F1 8D 7C 24 02 0F B6 0E 80 F9 01 72 02 B1 01 88 0F 46 47 F3 A4 8B F2 8D 3C 24 0F B6 0E 80 F9 01 72 02 B1 01 88 0F 46 47 F3 A4 8B C4 8D 54 24 02 E8 ?? ?? ?? ?? 73 05 83 C8 FF EB 16 8B C4 8D 54 24 02 E8 ?? ?? ?? ?? 76 07 B8 01 00 00 00 EB 02 33 C0 5A 5F 5E C3 }
	condition:
		$1
}

rule function_65652_0 {
	meta:
		name = "Compare_PS2"
		size = 93
		refs = "0037 @PStrCmp"
	strings:
		$1 = { 56 57 83 C4 F8 8B F1 8D 7C 24 04 0F B6 0E 80 F9 02 72 02 B1 02 88 0F 46 47 F3 A4 8B F2 8D 3C 24 0F B6 0E 80 F9 02 72 02 B1 02 88 0F 46 47 F3 A4 8B C4 8D 54 24 04 E8 ?? ?? ?? ?? 73 05 83 C8 FF EB 16 8B C4 8D 54 24 04 E8 ?? ?? ?? ?? 76 07 B8 01 00 00 00 EB 02 33 C0 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_65653_0 {
	meta:
		name = "Compare_PS3"
		size = 93
		refs = "0037 @PStrCmp"
	strings:
		$1 = { 56 57 83 C4 F8 8B F1 8D 7C 24 04 0F B6 0E 80 F9 03 72 02 B1 03 88 0F 46 47 F3 A4 8B F2 8D 3C 24 0F B6 0E 80 F9 03 72 02 B1 03 88 0F 46 47 F3 A4 8B C4 8D 54 24 04 E8 ?? ?? ?? ?? 73 05 83 C8 FF EB 16 8B C4 8D 54 24 04 E8 ?? ?? ?? ?? 76 07 B8 01 00 00 00 EB 02 33 C0 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_65654_0 {
	meta:
		name = "Compare_PSn"
		size = 46
		refs = "000b @PStrCmp"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C3 8B D6 E8 ?? ?? ?? ?? 73 06 83 C8 FF 5E 5B C3 8B C3 8B D6 E8 ?? ?? ?? ?? 76 07 B8 01 00 00 00 EB 02 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_65674_0 {
	meta:
		name = "Compare_WString"
		size = 46
		refs = "000b @WStrCmp"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C3 8B D6 E8 ?? ?? ?? ?? 73 06 83 C8 FF 5E 5B C3 8B C3 8B D6 E8 ?? ?? ?? ?? 76 07 B8 01 00 00 00 EB 02 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_65655_0 {
	meta:
		name = "Equals_PS1"
		size = 68
		refs = "0039 @AStrCmp"
	strings:
		$1 = { 56 57 51 8B F1 8D 7C 24 02 0F B6 0E 80 F9 01 72 02 B1 01 88 0F 46 47 F3 A4 8B F2 8D 3C 24 0F B6 0E 80 F9 01 72 02 B1 01 88 0F 46 47 F3 A4 8B C4 8D 54 24 02 0F B6 08 41 E8 ?? ?? ?? ?? 0F 94 C0 5A 5F 5E C3 }
	condition:
		$1
}

rule function_65656_0 {
	meta:
		name = "Equals_PS2"
		size = 71
		refs = "003b @AStrCmp"
	strings:
		$1 = { 56 57 83 C4 F8 8B F1 8D 7C 24 04 0F B6 0E 80 F9 02 72 02 B1 02 88 0F 46 47 F3 A4 8B F2 8D 3C 24 0F B6 0E 80 F9 02 72 02 B1 02 88 0F 46 47 F3 A4 8B C4 8D 54 24 04 0F B6 08 41 E8 ?? ?? ?? ?? 0F 94 C0 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_65657_0 {
	meta:
		name = "Equals_PS3"
		size = 71
		refs = "003b @AStrCmp"
	strings:
		$1 = { 56 57 83 C4 F8 8B F1 8D 7C 24 04 0F B6 0E 80 F9 03 72 02 B1 03 88 0F 46 47 F3 A4 8B F2 8D 3C 24 0F B6 0E 80 F9 03 72 02 B1 03 88 0F 46 47 F3 A4 8B C4 8D 54 24 04 0F B6 08 41 E8 ?? ?? ?? ?? 0F 94 C0 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_65658_0 {
	meta:
		name = "Equals_PSn"
		size = 25
		refs = "000f @AStrCmp"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C3 8B D6 0F B6 08 41 E8 ?? ?? ?? ?? 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_65659_0 {
	meta:
		name = "GetHashCode_PS1"
		size = 43
		refs = "0023 BobJenkinsHash"
	strings:
		$1 = { 56 57 51 8B F2 8D 3C 24 0F B6 0E 80 F9 01 72 02 B1 01 88 0F 46 47 F3 A4 0F B6 14 24 8D 44 24 01 33 C9 E8 ?? ?? ?? ?? 5A 5F 5E C3 }
	condition:
		$1
}

rule function_65660_0 {
	meta:
		name = "GetHashCode_PS2"
		size = 43
		refs = "0023 BobJenkinsHash"
	strings:
		$1 = { 56 57 51 8B F2 8D 3C 24 0F B6 0E 80 F9 02 72 02 B1 02 88 0F 46 47 F3 A4 0F B6 14 24 8D 44 24 01 33 C9 E8 ?? ?? ?? ?? 5A 5F 5E C3 }
	condition:
		$1
}

rule function_65661_0 {
	meta:
		name = "GetHashCode_PS3"
		size = 43
		refs = "0023 BobJenkinsHash"
	strings:
		$1 = { 56 57 51 8B F2 8D 3C 24 0F B6 0E 80 F9 03 72 02 B1 03 88 0F 46 47 F3 A4 0F B6 14 24 8D 44 24 01 33 C9 E8 ?? ?? ?? ?? 5A 5F 5E C3 }
	condition:
		$1
}

rule function_65662_0 {
	meta:
		name = "GetHashCode_PSn"
		size = 14
		refs = "0009 BobJenkinsHash"
	strings:
		$1 = { 8D 42 01 0F B6 12 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65663_0 {
	meta:
		name = "Comparer_Selector_String"
		size = 37
		refs = "000e Comparer_Instance_PS1 0014 Comparer_Instance_PS2 001a Comparer_Instance_PS3 0020 Comparer_Instance_PSn"
	strings:
		$1 = { 83 EA 02 74 08 4A 74 0B 4A 74 0E EB 12 B8 ?? ?? ?? ?? C3 B8 ?? ?? ?? ?? C3 B8 ?? ?? ?? ?? C3 B8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65664_0 {
	meta:
		name = "EqualityComparer_Selector_String"
		size = 37
		refs = "000e EqualityComparer_Instance_PS1 0014 EqualityComparer_Instance_PS2 001a EqualityComparer_Instance_PS3 0020 EqualityComparer_Instance_PSn"
	strings:
		$1 = { 83 EA 02 74 08 4A 74 0B 4A 74 0E EB 12 B8 ?? ?? ?? ?? C3 B8 ?? ?? ?? ?? C3 B8 ?? ?? ?? ?? C3 B8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65666_0 {
	meta:
		name = "Equals_LString"
		size = 21
		refs = "000b @LStrEqual"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C3 8B D6 E8 ?? ?? ?? ?? 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_65669_0 {
	meta:
		name = "Equals_UString"
		size = 21
		refs = "000b @UStrEqual"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C3 8B D6 E8 ?? ?? ?? ?? 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_65675_0 {
	meta:
		name = "Equals_WString"
		size = 21
		refs = "000b @WStrEqual"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C3 8B D6 E8 ?? ?? ?? ?? 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_65667_0 {
	meta:
		name = "GetHashCode_LString"
		size = 40
		refs = "0017 @LStrToPChar 0020 BobJenkinsHash"
	strings:
		$1 = { 53 56 51 8B F2 89 34 24 8B 1C 24 85 DB 74 05 83 EB 04 8B 1B 8B C6 E8 ?? ?? ?? ?? 8B D3 33 C9 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_65670_0 {
	meta:
		name = "GetHashCode_UString"
		size = 36
		refs = "0012 @UStrToPWChar 001d BobJenkinsHash"
		altNames = "TOrdinalStringComparer.GetHashCode"
	strings:
		$1 = { 53 56 8B F2 8B DE 85 DB 74 05 83 EB 04 8B 1B 8B C6 E8 ?? ?? ?? ?? 8B D3 03 D2 33 C9 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65671_0 {
	meta:
		name = "Compare_Method"
		size = 69
	strings:
		$1 = { 55 8B EC 8B 45 10 8B 50 04 8B 00 8B 4D 08 3B 51 04 75 06 3B 01 73 09 EB 02 7D 05 83 C8 FF EB 21 8B 45 10 8B 50 04 8B 00 8B 4D 08 3B 51 04 75 06 3B 01 76 0B EB 02 7E 07 B8 01 00 00 00 EB 02 33 C0 5D C2 10 00 }
	condition:
		$1
}

rule function_65672_0 {
	meta:
		name = "Equals_Method"
		size = 29
	strings:
		$1 = { 55 8B EC 8B 45 10 3B 45 08 75 08 8B 45 14 3B 45 0C 74 04 33 C0 EB 02 B0 01 5D C2 10 00 }
	condition:
		$1
}

rule function_65673_0 {
	meta:
		name = "GetHashCode_Method"
		size = 19
		refs = "000b BobJenkinsHash"
	strings:
		$1 = { 55 8B EC 8D 45 08 33 C9 33 D2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_65676_0 {
	meta:
		name = "GetHashCode_WString"
		size = 40
		refs = "0016 @WStrToPWChar 0021 BobJenkinsHash"
	strings:
		$1 = { 53 56 8B F2 8B DE 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D3 03 D2 33 C9 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65677_0 {
	meta:
		name = "Compare_Variant"
		size = 380
		refs = "0021 Compare_Variant 0034 @VarCopy 0058 VarCompareValue 00a1 VarIsEmpty 00ad VarIsNull 00dc @HandleAnyException 00f5 @VarToUStr 010d Compare_UString 012e BinaryCompare 0135 @DoneExcept 0150 Variant 015a @FinalizeArray 0167 @UStrArrayClr 016d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D D0 89 55 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 E8 8B 55 D4 E8 ?? ?? ?? ?? 8D 45 D8 8B 55 D0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8D 45 E8 E8 ?? ?? ?? ?? 2C 01 72 0C 74 19 FE C8 74 25 FE C8 74 33 EB 65 33 DB 33 C0 5A 59 59 64 89 10 E9 C3 00 00 00 83 CB FF 33 C0 5A 59 59 64 89 10 E9 B3 00 00 00 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 E9 A1 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 0C 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 0F BB 01 00 00 00 33 C0 5A 59 59 64 89 10 EB 7A 83 CB FF 33 C0 5A 59 59 64 89 10 EB 6D 33 C0 5A 59 59 64 89 10 EB 63 E9 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 D4 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 D0 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 33 C0 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? B9 10 00 00 00 8B 55 D0 8B 45 D4 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65678_0 {
	meta:
		name = "Equals_Variant"
		size = 123
		refs = "001d Equals_Variant 002d @VarCopy 0042 VarCompareValue 005d Variant 0067 @FinalizeArray 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8D 45 E0 8B D6 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65679_0 {
	meta:
		name = "GetHashCode_Variant"
		size = 143
		refs = "0015 GetHashCode_Variant 0034 @VarToUStr 003e GetHashCode_UString 004f @HandleAnyException 005e BobJenkinsHash 0065 @DoneExcept 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 89 55 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 FC 33 C0 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 F8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_65683_0 {
	meta:
		name = "_LookupVtableInfo"
		size = 101
		refs = "0015 VtableInfo 0034 MakeInstance 0047 Comparer_Selector_Binary 0052 EqualityComparer_Selector_Binary 005b Error"
	strings:
		$1 = { 53 56 57 8B F9 85 D2 74 31 0F B6 0A 83 E0 7F 6B C0 16 8D 04 C5 ?? ?? ?? ?? 8D 34 C8 8B 46 04 F6 06 02 74 08 8B D8 8B C2 8B D7 FF D3 F6 06 01 74 30 8B D7 E8 ?? ?? ?? ?? EB 27 2C 01 72 04 74 0D EB 16 8B C2 8B D7 E8 ?? ?? ?? ?? EB 14 8B C2 8B D7 E8 ?? ?? ?? ?? EB 09 B0 04 E8 ?? ?? ?? ?? 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65692_0 {
	meta:
		name = "TOrdinalStringComparer.Compare"
		size = 78
		refs = "002d @UStrToPWChar 003f BinaryCompare"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B C7 85 C0 74 05 83 E8 04 8B 00 8B D8 8B C5 85 C0 74 05 83 E8 04 8B 00 8B F3 2B F0 85 F6 7D 02 03 DE 8B C5 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 8B CB 03 C9 5A E8 ?? ?? ?? ?? 85 C0 75 02 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65693_0 {
	meta:
		name = "TOrdinalStringComparer.Equals"
		size = 70
		refs = "0028 @UStrToPWChar 003a CompareMem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D8 8B C7 85 C0 74 05 83 E8 04 8B 00 8B D3 2B D0 75 1B 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B CB 03 C9 5A E8 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65696_0 {
	meta:
		name = "TOrdinalIStringComparer.Compare"
		size = 160
		refs = "0011 TOrdinalIStringComparer.Compare 0021 AnsiLowerCase 0057 @UStrToPWChar 006a BinaryCompare 008c @UStrArrayClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B F3 2B F0 85 F6 7D 02 03 DE 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B CB 03 C9 5A E8 ?? ?? ?? ?? 8B D8 85 DB 75 02 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_65697_0 {
	meta:
		name = "TOrdinalIStringComparer.Equals"
		size = 154
		refs = "0011 TOrdinalIStringComparer.Equals 0021 AnsiLowerCase 0053 @UStrToPWChar 0066 CompareMem 0086 @UStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B D3 2B D0 75 1D 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B CB 03 C9 5A E8 ?? ?? ?? ?? EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_65698_0 {
	meta:
		name = "TOrdinalIStringComparer.GetHashCode"
		size = 100
		refs = "000c TOrdinalIStringComparer.GetHashCode 001c AnsiLowerCase 0030 @UStrToPWChar 003b BobJenkinsHash 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8B 45 FC E8 ?? ?? ?? ?? 8B D3 03 D2 33 C9 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_65701_0 {
	meta:
		name = "ExtendedHash"
		size = 16
		refs = "000b ExtendedHashImpl"
	strings:
		$1 = { 0F B7 50 08 52 FF 70 04 FF 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65702_0 {
	meta:
		name = "DoubleHash"
		size = 15
		refs = "000a ExtendedHashImpl"
	strings:
		$1 = { DD 00 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65703_0 {
	meta:
		name = "SingleHash"
		size = 15
		refs = "000a ExtendedHashImpl"
	strings:
		$1 = { D9 00 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65708_0 {
	meta:
		name = "Rot"
		size = 22
	strings:
		$1 = { 53 8B CA 8B D8 D3 E3 B9 20 00 00 00 2B CA D3 E8 0B D8 8B C3 5B C3 }
	condition:
		$1
}

rule function_65709_0 {
	meta:
		name = "Mix"
		size = 149
	strings:
		$1 = { 53 56 8B 19 29 18 8B 19 8B F3 C1 E6 04 C1 EB 1C 0B F3 8B DE 31 18 8B 1A 01 19 8B 18 29 1A 8B 18 8B F3 C1 E6 06 C1 EB 1A 0B F3 8B DE 31 1A 8B 19 01 18 8B 1A 29 19 8B 1A 8B F3 C1 E6 08 C1 EB 18 0B F3 8B DE 31 19 8B 18 01 1A 8B 19 29 18 8B 19 8B F3 C1 E6 10 C1 EB 10 0B F3 8B DE 31 18 8B 1A 01 19 8B 18 29 1A 8B 18 8B F3 C1 E6 13 C1 EB 0D 0B F3 8B DE 31 1A 8B 19 01 18 8B 1A 29 19 8B 1A 8B F3 C1 E6 04 C1 EB 1C 0B F3 8B DE 31 19 8B 00 01 02 5E 5B C3 }
	condition:
		$1
}

rule function_65710_0 {
	meta:
		name = "Final"
		size = 145
	strings:
		$1 = { 53 56 8B 1A 31 19 8B 1A 8B F3 C1 E6 0E C1 EB 12 0B F3 8B DE 29 19 8B 19 31 18 8B 19 8B F3 C1 E6 0B C1 EB 15 0B F3 8B DE 29 18 8B 18 31 1A 8B 18 8B F3 C1 E6 19 C1 EB 07 0B F3 8B DE 29 1A 8B 1A 31 19 8B 1A 8B F3 C1 E6 10 C1 EB 10 0B F3 8B DE 29 19 8B 19 31 18 8B 19 8B F3 C1 E6 04 C1 EB 1C 0B F3 8B DE 29 18 8B 18 31 1A 8B 00 8B D8 C1 E3 0E C1 E8 12 0B D8 8B C3 29 02 8B 02 31 01 8B 02 8B D0 C1 E2 18 C1 E8 08 0B D0 8B C2 29 01 5E 5B C3 }
	condition:
		$1
}

rule function_65711_0 {
	meta:
		name = "HashLittle"
		size = 1590
		refs = "0152 HashLittle"
	strings:
		$1 = { 55 8B EC 81 C4 50 FF FF FF 53 56 57 89 4D F4 89 45 F8 8D 45 E4 8D 4D EC 8D 5D E8 8B F2 03 F6 03 F6 81 C6 EF BE AD DE 03 75 F4 89 31 8B 31 89 33 8B 31 89 30 8B 75 F8 89 75 FC F6 45 FC 03 0F 85 76 02 00 00 83 FA 0C 0F 8E F9 00 00 00 8B 75 FC 8B 36 01 31 8B 75 FC 8B 76 04 01 33 8B 75 FC 8B 76 08 01 30 8B 30 29 31 8B 30 89 75 E0 8B 75 E0 C1 E6 04 8B 7D E0 C1 EF 1C 0B F7 89 75 DC 8B 75 DC 31 31 8B 33 01 30 8B 31 29 33 8B 31 89 75 D8 8B 75 D8 C1 E6 06 8B 7D D8 C1 EF 1A 0B F7 89 75 D4 8B 75 D4 31 33 8B 30 01 31 8B 33 29 30 8B 33 89 75 D0 8B 75 D0 C1 E6 08 8B 7D D0 C1 EF 18 0B F7 89 75 CC 8B 75 CC 31 30 8B 31 01 33 8B 30 29 31 8B 30 89 75 C8 8B 75 C8 C1 E6 10 8B 7D C8 C1 EF 10 0B F7 89 75 C4 8B 75 C4 31 31 8B 33 01 30 8B 31 29 33 8B 31 89 75 C0 8B 75 C0 C1 E6 13 8B 7D C0 C1 EF 0D 0B F7 89 75 BC 8B 75 BC 31 33 8B 30 01 31 8B 33 29 30 8B 33 89 75 B8 8B 75 B8 C1 E6 04 8B 7D B8 C1 EF 1C 0B F7 89 75 B4 8B 75 B4 31 30 8B 31 01 33 83 EA 0C 83 45 FC 0C 83 FA 0C 0F 8F 07 FF FF FF 83 FA 0C 0F 87 AC 03 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 00 89 45 F0 E9 98 04 00 00 8B 55 FC 8B 12 81 E2 FF 00 00 00 01 11 E9 55 03 00 00 8B 55 FC 8B 12 81 E2 FF FF 00 00 01 11 E9 43 03 00 00 8B 55 FC 8B 12 81 E2 FF FF FF 00 01 11 E9 31 03 00 00 8B 55 FC 8B 12 01 11 E9 25 03 00 00 8B 55 FC 8B 12 01 11 8B 55 FC 8B 52 04 81 E2 FF 00 00 00 01 13 E9 0B 03 00 00 8B 55 FC 8B 12 01 11 8B 55 FC 8B 52 04 81 E2 FF FF 00 00 01 13 E9 F1 02 00 00 8B 55 FC 8B 12 01 11 8B 55 FC 8B 52 04 81 E2 FF FF FF 00 01 13 E9 D7 02 00 00 8B 55 FC 8B 12 01 11 8B 55 FC 8B 52 04 01 13 E9 C3 02 00 00 8B 55 FC 8B 12 01 11 8B 55 FC 8B 52 04 01 13 8B 55 FC 8B 52 08 81 E2 FF 00 00 00 01 10 E9 A1 02 00 00 8B 55 FC 8B 12 01 11 8B 55 FC 8B 52 04 01 13 8B 55 FC 8B 52 08 81 E2 FF FF 00 00 01 10 E9 7F 02 00 00 8B 55 FC 8B 12 01 11 8B 55 FC 8B 52 04 01 13 8B 55 FC 8B 52 08 81 E2 FF FF FF 00 01 10 E9 5D 02 00 00 8B 55 FC 8B 12 01 11 8B 55 FC 8B 52 04 01 13 8B 55 FC 8B 52 08 01 10 E9 41 02 00 00 83 FA 0C 0F 8E 68 01 00 00 8B 75 FC 0F B6 36 8B 7D FC 0F B6 7F 01 C1 E7 08 03 F7 8B 7D FC 0F B6 7F 02 C1 E7 10 03 F7 8B 7D FC 0F B6 7F 03 C1 E7 18 03 F7 01 31 8B 75 FC 0F B6 76 04 8B 7D FC 0F B6 7F 05 C1 E7 08 03 F7 8B 7D FC 0F B6 7F 06 C1 E7 10 03 F7 8B 7D FC 0F B6 7F 07 C1 E7 18 03 F7 01 33 8B 75 FC 0F B6 76 08 8B 7D FC 0F B6 7F 09 C1 E7 08 03 F7 8B 7D FC 0F B6 7F 0A C1 E7 10 03 F7 8B 7D FC 0F B6 7F 0B C1 E7 18 03 F7 01 30 8B 30 29 31 8B 30 89 75 B0 8B 75 B0 C1 E6 04 8B 7D B0 C1 EF 1C 0B F7 89 75 AC 8B 75 AC 31 31 8B 33 01 30 8B 31 29 33 8B 31 89 75 A8 8B 75 A8 C1 E6 06 8B 7D A8 C1 EF 1A 0B F7 89 75 A4 8B 75 A4 31 33 8B 30 01 31 8B 33 29 30 8B 33 89 75 A0 8B 75 A0 C1 E6 08 8B 7D A0 C1 EF 18 0B F7 89 75 9C 8B 75 9C 31 30 8B 31 01 33 8B 30 29 31 8B 30 89 75 98 8B 75 98 C1 E6 10 8B 7D 98 C1 EF 10 0B F7 89 75 94 8B 75 94 31 31 8B 33 01 30 8B 31 29 33 8B 31 89 75 90 8B 75 90 C1 E6 13 8B 7D 90 C1 EF 0D 0B F7 89 75 8C 8B 75 8C 31 33 8B 30 01 31 8B 33 29 30 8B 33 89 75 88 8B 75 88 C1 E6 04 8B 7D 88 C1 EF 1C 0B F7 89 75 84 8B 75 84 31 30 8B 31 01 33 83 EA 0C 83 45 FC 0C 83 FA 0C 0F 8F 98 FE FF FF 83 FA 0C 77 45 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 00 89 45 F0 E9 B7 01 00 00 8B 55 FC 0F B6 52 0B C1 E2 18 01 10 8B 55 FC 0F B6 52 0A C1 E2 10 01 10 8B 55 FC 0F B6 52 09 C1 E2 08 01 10 8B 55 FC 0F B6 52 08 01 10 8B 55 FC 0F B6 52 07 C1 E2 18 01 13 8B 55 FC 0F B6 52 06 C1 E2 10 01 13 8B 55 FC 0F B6 52 05 C1 E2 08 01 13 8B 55 FC 0F B6 52 04 01 13 8B 55 FC 0F B6 52 03 C1 E2 18 01 11 8B 55 FC 0F B6 52 02 C1 E2 10 01 11 8B 55 FC 0F B6 52 01 C1 E2 08 01 11 8B 55 FC 0F B6 12 01 11 8B 13 31 10 8B 13 8B F2 C1 E6 0E C1 EA 12 0B F2 89 75 80 8B 55 80 29 10 8B 10 31 11 8B 10 89 95 7C FF FF FF 8B 95 7C FF FF FF C1 E2 0B 8B B5 7C FF FF FF C1 EE 15 0B D6 89 95 78 FF FF FF 8B 95 78 FF FF FF 29 11 8B 11 31 13 8B 11 89 95 74 FF FF FF 8B 95 74 FF FF FF C1 E2 19 8B B5 74 FF FF FF C1 EE 07 0B D6 89 95 70 FF FF FF 8B 95 70 FF FF FF 29 13 8B 13 31 10 8B 13 89 95 6C FF FF FF 8B 95 6C FF FF FF C1 E2 10 8B B5 6C FF FF FF C1 EE 10 0B D6 89 95 68 FF FF FF 8B 95 68 FF FF FF 29 10 8B 10 31 11 8B 10 89 95 64 FF FF FF 8B 95 64 FF FF FF C1 E2 04 8B B5 64 FF FF FF C1 EE 1C 0B D6 89 95 60 FF FF FF 8B 95 60 FF FF FF 29 11 8B 11 31 13 8B 11 89 95 5C FF FF FF 8B 95 5C FF FF FF C1 E2 0E 8B 8D 5C FF FF FF C1 E9 12 0B D1 89 95 58 FF FF FF 8B 95 58 FF FF FF 29 13 8B 13 31 10 8B 13 89 95 54 FF FF FF 8B 95 54 FF FF FF C1 E2 18 8B 8D 54 FF FF FF C1 E9 08 0B D1 89 95 50 FF FF FF 8B 95 50 FF FF FF 29 10 8B 00 89 45 F0 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65733_0 {
	meta:
		name = "EnsureHelpManager"
		size = 41
		refs = "0002 HelpManager 000c _DV_THelpManager 0011 THelpManager.Create 0024 @IntfCopy"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 1F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA DC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65734_0 {
	meta:
		name = "RegisterViewer"
		size = 152
		refs = "001e RegisterViewer 0029 EnsureHelpManager 0032 HelpManager 003c @IntfCast 0054 @IntfCopy 006b @IntfClear 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 55 FC 8B D8 8B 45 FC 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8D 4D F8 8B D3 8B 18 FF 53 0C 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 00 00 88 EA F9 4C 20 BD 45 40 B9 BE 1F 23 BA 11 33 5C }
	condition:
		$1
}

rule function_65735_0 {
	meta:
		name = "GetHelpSystem"
		size = 64
		refs = "000f EnsureHelpManager 0017 HelpManager 001c GetHelpSystem 0021 @IntfCast"
	strings:
		$1 = { 55 8B EC 53 8B D8 85 DB 74 04 33 C0 89 03 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3B 00 0F 95 C0 5B 5D C3 00 00 53 93 FC B0 0E 5F D3 11 A3 B9 00 C0 4F 79 AD 3A }
	condition:
		$1
}

rule function_65736_0 {
	meta:
		name = "GetHelpSystem"
		size = 64
		refs = "000f EnsureHelpManager 0017 HelpManager 001c GetHelpSystem 0021 @IntfCast"
	strings:
		$1 = { 55 8B EC 53 8B D8 85 DB 74 04 33 C0 89 03 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3B 00 0F 95 C0 5B 5D C3 00 00 6E 33 C5 48 E2 71 06 44 A0 8E F9 15 FB A5 C9 D4 }
	condition:
		$1
}

rule function_65737_0 {
	meta:
		name = "GetHelpSystem"
		size = 64
		refs = "000f EnsureHelpManager 0017 HelpManager 001c GetHelpSystem 0021 @IntfCast"
	strings:
		$1 = { 55 8B EC 53 8B D8 85 DB 74 04 33 C0 89 03 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3B 00 0F 95 C0 5B 5D C3 00 00 EE 65 6A 00 5E 9A B1 4E 82 8F A7 F1 D7 9D D2 02 }
	condition:
		$1
}

rule function_65739_0 {
	meta:
		name = "THelpManager.Create"
		size = 98
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TList 003d @UStrClr 004f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 8D 46 20 E8 ?? ?? ?? ?? C7 46 18 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_65740_0 {
	meta:
		name = "THelpManager.Destroy"
		size = 116
		refs = "0005 @BeforeDestruction 0023 TList.Get 0034 TObject.Free 0045 @IntfClear 0060 TObject.Destroy 006b @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 10 8B 78 08 4F 85 FF 7C 23 47 8B 75 10 8B 56 08 4A 8B C6 E8 ?? ?? ?? ?? 8B F0 8B 46 04 8B 10 FF 52 2C 8B C6 E8 ?? ?? ?? ?? 4F 75 DE 83 7D 0C 00 74 08 8D 45 0C E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65741_0 {
	meta:
		name = "THelpManager.RegisterViewer"
		size = 208
		refs = "0019 THelpManager.RegisterViewer 0028 _DV_THelpViewerNode 002d THelpViewerNode.Create 003f TList.Add 0051 @IntfClear 005f Supports 0086 @IntfCast 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 18 89 46 08 8B D6 8B 43 10 E8 ?? ?? ?? ?? 8B 53 18 8B C7 8B 08 FF 51 24 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 43 14 E8 ?? ?? ?? ?? FF 43 18 8B 45 F8 8B D3 85 D2 74 03 83 EA F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 66 93 FC B0 0E 5F D3 11 A3 B9 00 C0 4F 79 AD 3A 05 DB 0C 6B 0A C3 4B 41 99 C4 F1 1C D1 95 38 5E }
	condition:
		$1
}

rule function_65742_0 {
	meta:
		name = "THelpManager.SelectViewer"
		size = 109
		refs = "000c @IntfClear 0029 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B C7 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 48 75 15 33 D2 8B C3 8B 08 FF 51 18 8B 50 04 8B C7 E8 ?? ?? ?? ?? EB 3A 8B C3 8B 10 FF 52 14 85 C0 7E 2F 83 7E 0C 00 74 29 8B C3 8B 10 FF 92 A0 00 00 00 8B D3 8B 46 0C 8B 08 FF 51 10 8B F0 8B D6 8B C3 8B 08 FF 51 18 8B 50 04 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65743_0 {
	meta:
		name = "THelpManager.DoSoftShutDown"
		size = 45
		refs = "0019 TList.Get"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 10 8B 58 08 4B 85 DB 7C 19 43 33 F6 8B 47 10 8B D6 E8 ?? ?? ?? ?? 8B 40 04 8B 10 FF 52 28 46 4B 75 EA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65744_0 {
	meta:
		name = "THelpManager.CallSpecialWinHelp"
		size = 200
		refs = "001a THelpManager.CallSpecialWinHelp 0035 @UStrAsg 004d TList.Get 0059 @IntfClear 0066 Supports 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 83 7D F4 00 74 0B 8D 47 20 8B 55 F4 E8 ?? ?? ?? ?? 8B 47 10 8B 58 08 4B 85 DB 7C 4A 43 33 F6 8B 47 10 8B D6 E8 ?? ?? ?? ?? 8B 40 04 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 1C 0F B7 45 0C 50 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 18 FF 53 40 88 45 F3 EB 04 46 4B 75 B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 08 00 24 22 7B 1A AE 1E 13 43 BA D6 3C 32 F8 F7 70 85 }
	condition:
		$1
}

rule function_65745_0 {
	meta:
		name = "THelpManager.ShowHelp"
		size = 678
		refs = "001d THelpManager.ShowHelp 0034 @UStrAsg 004b _Dn_TList 0050 TObject.Create 0088 TList.Get 00a3 TList.Add 00bd @UStrToPWChar 00d0 SNothingFound 00d7 _DV_EHelpSystemException 00dc Exception.CreateResFmt 00e1 @RaiseExcept 010a _Dn_TStringList 010f TStringList.Create 01b6 TObject.Free 01bc @HandleFinally 028b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D FC 8B D9 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 0D 8B 45 F8 83 C0 20 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 10 83 78 08 00 0F 8E 32 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 10 8B 40 08 48 85 C0 7C 3C 40 89 45 DC C7 45 F0 00 00 00 00 8B 45 F8 8B 40 10 8B 55 F0 E8 ?? ?? ?? ?? 8B D8 8B 43 04 8B 55 F4 8B 08 FF 51 10 85 C0 7E 0A 8B D3 8B 45 E0 E8 ?? ?? ?? ?? FF 45 F0 FF 4D DC 75 CF 8B 45 E0 8B 40 08 85 C0 75 31 8B 45 F4 E8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 0A 8D 45 D4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 73 01 00 00 48 75 1A 33 D2 8B 45 E0 E8 ?? ?? ?? ?? 8B 40 04 8B 55 F4 8B 08 FF 51 20 E9 56 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 8B 40 08 48 85 C0 0F 8C 9B 00 00 00 40 89 45 DC C7 45 F0 00 00 00 00 8B 55 F0 8B 45 E0 E8 ?? ?? ?? ?? 8B D8 8B 43 04 8B 55 F4 8B 08 FF 51 14 89 45 E4 83 7D E4 00 74 63 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 8B 10 FF 52 14 8B F0 4E 85 F6 7C 29 46 C7 45 EC 00 00 00 00 8D 4D D0 8B 55 EC 8B 45 E4 8B 38 FF 57 0C 8B 55 D0 8B CB 8B 45 E8 8B 38 FF 57 3C FF 45 EC 4E 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 F0 FF 4D DC 0F 85 70 FF FF FF 8B 45 F8 83 78 0C 00 74 45 8B 45 E8 8B 10 FF 92 A0 00 00 00 8B 45 F8 8B 40 0C 8B 55 E8 8B 08 FF 51 0C 8B D8 85 DB 7C 4A 8B D3 8B 45 E8 8B 08 FF 51 18 8B F0 8D 4D FC 8B D3 8B 45 E8 8B 18 FF 53 0C 8B 46 04 8B 55 FC 8B 08 FF 51 20 EB 24 33 D2 8B 45 E8 8B 08 FF 51 18 8B F0 8D 4D FC 33 D2 8B 45 E8 8B 18 FF 53 0C 8B 46 04 8B 55 FC 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65746_0 {
	meta:
		name = "DefaultContextHelp"
		size = 148
		refs = "0011 DefaultContextHelp 002b TList.Get 0036 @IntfCopy 0046 @IntfCast 0067 @IntfClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 50 04 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B CE 8B D3 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 66 93 FC B0 0E 5F D3 11 A3 B9 00 C0 4F 79 AD 3A }
	condition:
		$1
}

rule function_65747_0 {
	meta:
		name = "THelpManager.ShowContextHelp"
		size = 696
		refs = "002a THelpManager.ShowContextHelp 0049 @UStrAsg 005c SNoContext 0063 _DV_EHelpSystemException 0068 Exception.CreateRes 006d @RaiseExcept 0086 TList.Get 0091 @IntfCopy 00a1 @IntfCast 00d9 SNoContextFound 00e5 Exception.CreateResFmt 00fc DefaultContextHelp 0133 _Dn_TStringList 0138 TStringList.Create 0222 TObject.Free 0228 @HandleFinally 025b @IntfClear 0263 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D C4 89 5D C8 89 5D CC 89 5D D8 89 5D F4 89 5D F0 89 4D E8 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E4 83 7D E8 00 74 0E 8B 45 FC 83 C0 20 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 40 08 85 C0 75 19 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4E 8B D8 4B 85 DB 7C 47 43 33 F6 8B 45 FC 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8B 50 04 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 D8 8B 55 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 8B 4D E8 8B 55 EC 8B 38 FF 57 38 84 C0 74 06 FF 45 E4 89 75 F8 46 4B 75 BC 83 7D E4 00 75 27 8B 45 EC 89 45 D0 C6 45 D4 00 8D 45 D0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E4 01 75 12 55 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 59 E9 44 01 00 00 8B 45 FC 83 78 0C 00 0F 84 2A 01 00 00 8D 45 F0 8B 55 FC 8B 52 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F0 00 0F 84 FE 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 14 8B 58 08 4B 85 DB 7C 63 43 33 F6 8B 45 FC 8B 40 14 8B D6 E8 ?? ?? ?? ?? 89 45 DC 8D 45 F4 8B 55 DC 8B 52 04 E8 ?? ?? ?? ?? 8D 45 CC 8B 55 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 8B 4D E8 8B 55 EC 8B 38 FF 57 38 84 C0 74 1C 8D 55 C8 8B 45 DC 8B 40 04 8B 08 FF 51 0C 8B 55 C8 8B 4D DC 8B 45 E0 8B 38 FF 57 3C 46 4B 75 A0 8B 55 E0 8B 45 F0 8B 08 FF 51 14 85 C0 7C 37 8B D0 8B 45 E0 8B 08 FF 51 18 8B D8 8D 45 F4 8B 53 04 E8 ?? ?? ?? ?? 8D 45 C4 8B 55 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 8B 4D E8 8B 55 EC 8B 18 FF 53 3C EB 0D 55 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 55 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 59 EB 0D 55 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C3 00 00 66 93 FC B0 0E 5F D3 11 A3 B9 00 C0 4F 79 AD 3A F4 68 53 F6 3B CA 2C 48 AB D2 3F C2 3F 80 1D 8B }
	condition:
		$1
}

rule function_65748_0 {
	meta:
		name = "THelpManager.ShowTableOfContents"
		size = 267
		refs = "0017 THelpManager.ShowTableOfContents 0024 _Dn_TStringList 0029 TStringList.Create 005e TList.Get 0098 THelpManager.SelectViewer 00ad TObject.Free 00b3 @HandleFinally 00cb SNoTableOfContents 00d2 _DV_EHelpSystemException 00d7 Exception.CreateRes 00dc @RaiseExcept 00f1 @UStrClr 00f9 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 EC 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 10 8B 70 08 4E 85 F6 7C 42 46 C7 45 F0 00 00 00 00 8B 45 F8 8B 40 10 8B 55 F0 E8 ?? ?? ?? ?? 8B D8 8B 43 04 8B 10 FF 52 18 84 C0 74 18 8D 55 EC 8B 43 04 8B 08 FF 51 0C 8B 55 EC 8B CB 8B 45 F4 8B 18 FF 53 3C FF 45 F0 4E 75 C6 8D 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D FC 00 74 0A 8B 45 FC 8B 10 FF 52 1C EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65749_0 {
	meta:
		name = "THelpManager.ShowTopicHelp"
		size = 224
		refs = "0017 THelpManager.ShowTopicHelp 002b @UStrAsg 003a SNoTopics 0041 _DV_EHelpSystemException 0046 Exception.CreateRes 004b @RaiseExcept 0063 TList.Get 006e @IntfCopy 007e @IntfCast 00b3 @IntfClear 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 0A 8D 47 20 8B D3 E8 ?? ?? ?? ?? 8B 47 14 83 78 08 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 14 8B 58 08 4B 85 DB 7C 48 43 33 F6 8B 47 14 8B D6 E8 ?? ?? ?? ?? 8B 50 04 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 08 FF 51 30 84 C0 74 0D 8B 55 F4 8B 45 F8 8B 08 FF 51 34 EB 04 46 4B 75 BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 66 93 FC B0 0E 5F D3 11 A3 B9 00 C0 4F 79 AD 3A }
	condition:
		$1
}

rule function_65751_0 {
	meta:
		name = "THelpManager.Hook"
		size = 129
		refs = "001b @UStrAsg 0040 THelpManager.ShowContextHelp 0057 THelpManager.DoSoftShutDown 0060 THelpManager.ShowTableOfContents 0073 THelpManager.CallSpecialWinHelp"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 0C 85 F6 74 0A 8D 43 20 8B D6 E8 ?? ?? ?? ?? 8B C7 66 FF C8 74 12 66 FF C8 74 29 66 FF C8 74 2D 66 83 E8 05 74 10 EB 2E 8B CE 8B 55 08 8B C3 E8 ?? ?? ?? ?? EB 31 8B CE 8B 55 08 8B C3 E8 ?? ?? ?? ?? EB 23 8B C3 E8 ?? ?? ?? ?? EB 1A 8B C3 E8 ?? ?? ?? ?? EB 11 57 8B 45 08 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? B0 01 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_65752_0 {
	meta:
		name = "THelpManager.UnderstandsKeyword"
		size = 320
		refs = "001b THelpManager.UnderstandsKeyword 003a @UStrAsg 0065 TList.Get 0070 @IntfCopy 0086 @IntfClear 0095 Supports 00c6 @TryFinallyExit 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 DB 89 5D FC 89 5D F8 8B D9 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 C6 45 E7 00 85 DB 74 0D 8B 45 F4 83 C0 20 8B D3 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 10 8B 40 08 48 85 C0 0F 8C AF 00 00 00 40 89 45 E0 C7 45 E8 00 00 00 00 8B 45 F4 8B 40 10 8B 55 E8 E8 ?? ?? ?? ?? 8B 50 04 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 F8 8B 10 FF 52 40 88 45 E7 33 D2 8B 45 F8 8B 08 FF 51 44 8B 55 F0 8B 45 FC 8B 08 FF 51 10 85 C0 7E 0B C6 45 EF 01 E8 ?? ?? ?? ?? EB 33 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0C 0F B6 55 E7 8B 45 F8 8B 08 FF 51 44 C3 E9 ?? ?? ?? ?? EB E6 FF 45 E8 FF 4D E0 0F 85 5C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 EF 5B 8B E5 5D C3 00 00 00 09 8F 41 69 49 5E 99 48 9E 13 9F E3 C1 49 75 66 }
	condition:
		$1
}

rule function_65753_0 {
	meta:
		name = "THelpManager.ShowIndex"
		size = 352
		refs = "001f THelpManager.ShowIndex 0036 @UStrAsg 003d _Dn_TStringList 0042 TStringList.Create 0077 TList.Get 0081 @IntfClear 0090 Supports 00c0 THelpManager.SelectViewer 00d5 TObject.Free 00db @HandleFinally 00f3 @IntfCast 0106 SNoIndex 010d _DV_EHelpSystemException 0112 Exception.CreateRes 0117 @RaiseExcept 0134 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 5D E8 89 5D FC 8B D9 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 0D 8B 45 F8 83 C0 20 8B D3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 10 8B 70 08 4E 85 F6 7C 51 46 C7 45 EC 00 00 00 00 8B 45 F8 8B 40 10 8B 55 EC E8 ?? ?? ?? ?? 8B D8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 18 8D 55 E8 8B 43 04 8B 08 FF 51 0C 8B 55 E8 8B CB 8B 45 F0 8B 18 FF 53 3C FF 45 EC 4E 75 B7 8D 4D FC 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D FC 00 74 1D 8D 45 E4 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 8B 55 F4 8B 08 FF 51 40 EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 79 A3 46 DD 9A 56 AA 46 89 E5 8A AC A7 64 30 4B }
	condition:
		$1
}

rule function_65754_0 {
	meta:
		name = "THelpManager.ShowSearch"
		size = 352
		refs = "001f THelpManager.ShowSearch 0036 @UStrAsg 003d _Dn_TStringList 0042 TStringList.Create 0077 TList.Get 0081 @IntfClear 0090 Supports 00c0 THelpManager.SelectViewer 00d5 TObject.Free 00db @HandleFinally 00f3 @IntfCast 0106 SNoSearch 010d _DV_EHelpSystemException 0112 Exception.CreateRes 0117 @RaiseExcept 0134 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 5D E8 89 5D FC 8B D9 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 0D 8B 45 F8 83 C0 20 8B D3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 10 8B 70 08 4E 85 F6 7C 51 46 C7 45 EC 00 00 00 00 8B 45 F8 8B 40 10 8B 55 EC E8 ?? ?? ?? ?? 8B D8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 18 8D 55 E8 8B 43 04 8B 08 FF 51 0C 8B 55 E8 8B CB 8B 45 F0 8B 18 FF 53 3C FF 45 EC 4E 75 B7 8D 4D FC 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D FC 00 74 1D 8D 45 E4 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 8B 55 F4 8B 08 FF 51 44 EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 79 A3 46 DD 9A 56 AA 46 89 E5 8A AC A7 64 30 4B }
	condition:
		$1
}

rule function_65755_0 {
	meta:
		name = "THelpManager.ShowTopicHelp"
		size = 268
		refs = "001f THelpManager.ShowTopicHelp 0033 @UStrAsg 0042 SNoTopics 0049 _DV_EHelpSystemException 004e Exception.CreateRes 0053 @RaiseExcept 006b TList.Get 0076 @IntfCopy 007e @IntfClear 008d Supports 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 89 5D F8 89 4D F0 89 55 F4 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 0A 8D 46 20 8B D3 E8 ?? ?? ?? ?? 8B 46 14 83 78 08 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 14 8B 40 08 48 85 C0 7C 6D 40 33 DB 8B 46 14 8B D3 E8 ?? ?? ?? ?? 8B 50 04 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1F 8B 55 F4 8B 45 F8 8B 08 FF 51 30 84 C0 74 10 8B 4D F0 8B 55 F4 8B 45 F8 8B 30 FF 56 48 EB 1B 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 48 75 96 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 04 00 79 A3 46 DD 9A 56 AA 46 89 E5 8A AC A7 64 30 4B }
	condition:
		$1
}

rule function_65756_0 {
	meta:
		name = "THelpManager.GetFilter"
		size = 232
		refs = "0014 THelpManager.GetFilter 0022 @UStrClr 0031 hNoFilterViewer 0038 _DV_EHelpSystemException 003d Exception.CreateRes 0042 @RaiseExcept 005a TList.Get 0065 @IntfCopy 006d @IntfClear 007c Supports 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 46 14 83 78 08 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 14 8B 40 08 48 85 C0 7C 5B 40 33 DB 8B 46 14 8B D3 E8 ?? ?? ?? ?? 8B 50 04 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0D 8B 55 F4 8B 45 F8 8B 08 FF 51 4C EB 1B 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 48 75 A8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 1A 8E 1F 99 3F 2E CB 4A 91 A8 4B 95 87 BB A8 78 }
	condition:
		$1
}

rule function_65757_0 {
	meta:
		name = "THelpManager.SetFilter"
		size = 228
		refs = "0015 THelpManager.SetFilter 002a hNoFilterViewer 0031 _DV_EHelpSystemException 0036 Exception.CreateRes 003b @RaiseExcept 0053 TList.Get 005e @IntfCopy 0066 @IntfClear 0075 Supports 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 14 83 78 08 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 14 8B 58 08 4B 85 DB 7C 5B 43 33 F6 8B 47 14 8B D6 E8 ?? ?? ?? ?? 8B 50 04 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0D 8B 55 F4 8B 45 F8 8B 08 FF 51 50 EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 A8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 1A 8E 1F 99 3F 2E CB 4A 91 A8 4B 95 87 BB A8 78 }
	condition:
		$1
}

rule function_65760_0 {
	meta:
		name = "THelpManager.Release"
		size = 112
		refs = "001a TList.Get 0029 TList.Delete 005f TObject.Free"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 8B 46 14 8B 58 08 4B 83 FB 00 7C 21 8B D3 8B 46 14 E8 ?? ?? ?? ?? 3B 68 08 75 0C 8B D3 8B 46 14 E8 ?? ?? ?? ?? EB 06 4B 83 FB FF 75 DF 8B 46 10 8B 58 08 4B 83 FB 00 7C 2A 8B D3 8B 46 10 E8 ?? ?? ?? ?? 8B F8 3B 6F 08 75 13 8B D3 8B 46 10 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 06 4B 83 FB FF 75 D6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65772_0 {
	meta:
		name = "TCustomIniFile.SectionExists"
		size = 106
		refs = "000f _Dn_TStringList 0014 TStringList.Create 001f TCustomIniFile.SectionExists 0054 TObject.Free 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B D6 8B C3 8B 18 FF 53 44 8B 45 F8 8B 10 FF 52 14 85 C0 0F 9F 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_65773_0 {
	meta:
		name = "TCustomIniFile.ReadInteger"
		size = 220
		refs = "0016 TCustomIniFile.ReadInteger 007a @UStrCopy 008a @UStrCat3 0095 StrToIntDef 00ac @UStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 50 8B 4D F8 8B D6 8B C3 8B 18 FF 53 04 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7E 0C 8B 45 FC 66 83 38 30 0F 94 C0 EB 02 33 C0 84 C0 74 39 8B 45 FC 0F B7 40 02 66 83 F8 58 74 06 66 83 F8 78 75 26 8D 45 F4 50 B9 FF FF FF 7F BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F4 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_65774_0 {
	meta:
		name = "TCustomIniFile.WriteInteger"
		size = 91
		refs = "0012 TCustomIniFile.WriteInteger 0023 IntToStr 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC 50 8B CF 8B D6 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_65775_0 {
	meta:
		name = "TCustomIniFile.ReadBool"
		size = 42
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 0F B6 45 08 50 8B 4D FC 8B D6 8B C3 8B 18 FF 53 0C 85 C0 0F 95 C0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_65776_0 {
	meta:
		name = "TCustomIniFile.ReadDate"
		size = 222
		refs = "001c TCustomIniFile.ReadDate 005f @UStrLAsg 0065 CurrencyString 006d StrToDate 008c @HandleOnException 0094 _Dn_EConvertError 00a7 @RaiseAgain 00ac @DoneExcept 00c6 @UStrArrayClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 50 8B 4D F4 8B D6 8B C3 8B 18 FF 53 04 8B 45 08 89 45 E8 8B 45 0C 89 45 EC 83 7D FC 00 74 66 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DD 5D E0 9B 8B 45 E0 89 45 E8 8B 45 E4 89 45 EC 33 C0 5A 59 59 64 89 10 EB 25 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB DD 45 E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_65777_0 {
	meta:
		name = "TCustomIniFile.ReadDateTime"
		size = 222
		refs = "001c TCustomIniFile.ReadDateTime 005f @UStrLAsg 0065 CurrencyString 006d StrToDateTime 008c @HandleOnException 0094 _Dn_EConvertError 00a7 @RaiseAgain 00ac @DoneExcept 00c6 @UStrArrayClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 50 8B 4D F4 8B D6 8B C3 8B 18 FF 53 04 8B 45 08 89 45 E8 8B 45 0C 89 45 EC 83 7D FC 00 74 66 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DD 5D E0 9B 8B 45 E0 89 45 E8 8B 45 E4 89 45 EC 33 C0 5A 59 59 64 89 10 EB 25 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB DD 45 E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_65779_0 {
	meta:
		name = "TCustomIniFile.ReadTime"
		size = 222
		refs = "001c TCustomIniFile.ReadTime 005f @UStrLAsg 0065 CurrencyString 006d StrToTime 008c @HandleOnException 0094 _Dn_EConvertError 00a7 @RaiseAgain 00ac @DoneExcept 00c6 @UStrArrayClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 50 8B 4D F4 8B D6 8B C3 8B 18 FF 53 04 8B 45 08 89 45 E8 8B 45 0C 89 45 EC 83 7D FC 00 74 66 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DD 5D E0 9B 8B 45 E0 89 45 E8 8B 45 E4 89 45 EC 33 C0 5A 59 59 64 89 10 EB 25 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB DD 45 E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_65778_0 {
	meta:
		name = "TCustomIniFile.ReadFloat"
		size = 217
		refs = "001c TCustomIniFile.ReadFloat 005f @UStrLAsg 0065 CurrencyString 006d StrToFloat 0087 @HandleOnException 008f _Dn_EConvertError 00a2 @RaiseAgain 00a7 @DoneExcept 00c1 @UStrArrayClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 50 8B 4D F4 8B D6 8B C3 8B 18 FF 53 04 8B 45 08 89 45 E8 8B 45 0C 89 45 EC 83 7D FC 00 74 61 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DB 7D D0 9B DB 6D D0 DD 5D E8 9B 33 C0 5A 59 59 64 89 10 EB 25 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB DD 45 E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_65780_0 {
	meta:
		name = "TCustomIniFile.WriteDate"
		size = 118
		refs = "0018 TCustomIniFile.WriteDate 0038 CurrencyString 003d DateToStr 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B CF 8B D6 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_65781_0 {
	meta:
		name = "TCustomIniFile.WriteDateTime"
		size = 118
		refs = "0018 TCustomIniFile.WriteDateTime 0038 CurrencyString 003d DateTimeToStr 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B CF 8B D6 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_65783_0 {
	meta:
		name = "TCustomIniFile.WriteTime"
		size = 118
		refs = "0018 TCustomIniFile.WriteTime 0038 CurrencyString 003d TimeToStr 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B CF 8B D6 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_65782_0 {
	meta:
		name = "TCustomIniFile.WriteFloat"
		size = 118
		refs = "0018 TCustomIniFile.WriteFloat 0038 CurrencyString 003d FloatToStr 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B CF 8B D6 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_65784_0 {
	meta:
		name = "TCustomIniFile.WriteBool"
		size = 26
		refs = "000b Values"
	strings:
		$1 = { 55 8B EC 53 0F B6 5D 08 8B 1C 9D ?? ?? ?? ?? 53 8B 18 FF 53 08 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_65785_0 {
	meta:
		name = "TCustomIniFile.ValueExists"
		size = 111
		refs = "0012 _Dn_TStringList 0017 TStringList.Create 0022 TCustomIniFile.ValueExists 0059 TObject.Free 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D FC 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 8B D6 8B C3 8B 18 FF 53 44 8B 55 FC 8B 45 F4 8B 08 FF 51 54 40 0F 9F 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65786_0 {
	meta:
		name = "TCustomIniFile.ReadBinaryStream"
		size = 393
		refs = "0019 TCustomIniFile.ReadBinaryStream 0044 _Dn_TMemoryStream 0049 @IsClass 0061 TObject.Create 0080 TStream.GetPosition 00bd @UStrToPWChar 00ef HexToBin 00fc TStream.SetPosition 0126 TStream.CopyFrom 014f TObject.Free 0155 @HandleFinally 0171 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 50 8B 4D F8 8B D6 8B C3 8B 18 FF 53 04 83 7D FC 00 0F 84 1C 01 00 00 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 08 89 45 F0 EB 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 55 68 ?? ?? ?? ?? 64 FF 35 00 00 00 00 64 89 25 00 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 8B 7D FC 8B DF 85 DB 74 05 83 EB 04 8B 1B 8B 45 F0 8B 10 FF 12 8B D0 D1 FB 79 03 83 D3 00 03 D3 8B 45 F0 8B 08 FF 51 04 8B DF 85 DB 74 05 83 EB 04 8B 1B 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 8B 45 F0 E8 ?? ?? ?? ?? 52 50 8B 45 F0 8B 40 04 99 03 04 24 13 54 24 04 83 C4 08 8B D3 D1 FA 79 03 83 D2 00 8B CA 8B 55 EC 92 E8 ?? ?? ?? ?? 8B C6 99 52 50 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 08 3B 45 F0 74 22 8B CF 85 C9 74 05 83 E9 04 8B 09 8B C1 D1 F8 79 03 83 D0 00 99 52 50 8B 55 F0 8B 45 08 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 12 2B C6 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 3B 45 F0 74 08 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_65787_0 {
	meta:
		name = "TCustomIniFile.WriteBinaryStream"
		size = 366
		refs = "001a TCustomIniFile.WriteBinaryStream 0035 TStream.GetPosition 0043 @_llmul 004d @UStrSetLength 006a _Dn_TMemoryStream 006f @IsClass 0087 TObject.Create 00c7 TStream.CopyFrom 00d3 TStream.SetPosition 00eb @UStrToPWChar 010e BinToHex 012b TObject.Free 0131 @HandleFinally 015a @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D FC 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 02 8B 45 08 8B 10 FF 12 52 50 8B 45 08 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A E8 ?? ?? ?? ?? 8B D0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E D2 00 00 00 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 08 89 45 EC EB 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 3B 45 08 74 33 8B 45 08 8B 10 FF 12 52 50 8B 45 08 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 8B 55 08 8B 45 EC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8B 45 EC 03 58 04 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 EC 8B 10 FF 12 50 8B 45 EC E8 ?? ?? ?? ?? 8B D0 58 2B C2 8B D3 8B C8 8B C6 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 3B 45 EC 74 08 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 50 8B 4D F0 8B 55 F4 8B 45 F8 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_65788_0 {
	meta:
		name = "TCustomIniFile.InternalReadSections"
		size = 577
		refs = "0028 TCustomIniFile.InternalReadSections 0035 _Dn_TStringList 003a TStringList.Create 007b TStrings.BeginUpdate 00de @UStrLAsg 00f1 @UStrCopy 0118 CompareText 01a8 TCustomIniFile.SectionNameSeparator 01ad Pos 01ee TStrings.EndUpdate 01f4 @HandleFinally 020b TObject.Free 022d @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 DB 89 5D FC 89 5D F8 89 5D F4 89 5D F0 89 5D EC 89 5D E8 89 4D E0 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 D4 8B C3 8B 08 FF 51 48 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 0F 9F C0 83 E0 7F 8D 53 01 03 C2 89 45 DC 8B 45 E0 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 D4 8B 10 FF 52 14 48 85 C0 0F 8C 3F 01 00 00 40 89 45 D0 C7 45 D8 00 00 00 00 8D 4D FC 8B 55 D8 8B 45 D4 8B 30 FF 56 0C 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 DB 75 04 B0 01 EB 58 80 7D 0C 00 74 50 3B DE 7D 4C 8D 45 F4 8B 55 E4 E8 ?? ?? ?? ?? 8D 45 F0 50 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 24 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 14 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 EB 02 33 C0 84 C0 74 04 B0 01 EB 58 80 7D 0C 00 75 50 3B DE 7F 4C 8D 45 EC 8B 55 E4 E8 ?? ?? ?? ?? 8D 45 E8 50 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 75 04 B0 01 EB 24 83 7D EC 00 74 06 83 7D E8 00 75 04 33 C0 EB 14 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 EB 02 33 C0 84 C0 74 48 8D 45 F8 50 8D 4E 01 2B 4D DC 8B 55 DC 8B 45 FC E8 ?? ?? ?? ?? 80 7D 08 00 75 11 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 1C 80 7D 0C 00 74 0B 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 E0 8B 08 FF 51 38 FF 45 D8 FF 4D D0 0F 85 CC FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_65789_0 {
	meta:
		name = "TCustomIniFile.ReadSections"
		size = 11
	strings:
		$1 = { 53 6A 00 6A 01 8B 18 FF 13 5B C3 }
	condition:
		$1
}

rule function_65790_0 {
	meta:
		name = "TCustomIniFile.ReadSubSections"
		size = 20
	strings:
		$1 = { 55 8B EC 53 6A 01 0F B6 5D 08 53 8B 18 FF 13 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_65791_0 {
	meta:
		name = "TStringHash.Add"
		size = 94
		refs = "0019 @DynArrayLength 002a THashItem 0034 @New 0040 @UStrAsg"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B D8 8B D5 8B C3 8B 08 FF 11 50 8B 43 04 E8 ?? ?? ?? ?? 8B D0 58 8B CA 33 D2 F7 F1 8B FA 8B 15 ?? ?? ?? ?? B8 0C 00 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 04 8B D5 E8 ?? ?? ?? ?? 8B 04 24 89 46 08 8B 43 04 8B 04 B8 89 06 8B 43 04 89 34 B8 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65792_0 {
	meta:
		name = "TStringHash.Clear"
		size = 77
		refs = "000b @DynArrayLength 0028 THashItem 002f @Dispose"
	strings:
		$1 = { 53 56 57 55 51 8B E8 8B 45 04 E8 ?? ?? ?? ?? 48 85 C0 7C 33 40 89 04 24 33 FF 8B 45 04 8B 1C B8 85 DB 74 15 8B 33 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B DE 85 DB 75 EB 8B 45 04 33 D2 89 14 B8 47 FF 0C 24 75 D3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65795_0 {
	meta:
		name = "TStringHash.Find"
		size = 71
		refs = "0014 @DynArrayLength 0033 @UStrEqual"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B C3 8B 08 FF 11 50 8B 43 04 E8 ?? ?? ?? ?? 8B D0 58 8B CA 33 D2 F7 F1 8B C2 8B 53 04 8D 04 82 8B D8 EB 0E 8B 46 04 8B D7 E8 ?? ?? ?? ?? 74 08 8B DE 8B 33 85 F6 75 EC 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65796_0 {
	meta:
		name = "TStringHash.HashOf"
		size = 51
	strings:
		$1 = { 53 56 33 C0 8B CA 85 C9 74 05 83 E9 04 8B 09 85 C9 7E 1D BB 01 00 00 00 8B F0 03 F6 03 F6 C1 E8 1E 0B F0 0F B7 44 5A FE 33 F0 8B C6 43 49 75 E8 5E 5B C3 }
	condition:
		$1
}

rule function_65797_0 {
	meta:
		name = "TStringHash.Modify"
		size = 39
		refs = "000e TStringHash.Find"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 00 85 C0 74 07 B2 01 89 78 08 EB 02 33 D2 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65798_0 {
	meta:
		name = "TStringHash.Remove"
		size = 29
		refs = "0001 TStringHash.Find 0013 THashItem 0018 @Dispose"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B D0 8B 02 85 C0 74 0F 8B 08 89 0A 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65799_0 {
	meta:
		name = "TStringHash.ValueOf"
		size = 33
		refs = "000b TStringHash.Find"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 00 85 C0 74 06 8B 40 08 5E 5B C3 83 C8 FF 5E 5B C3 }
	condition:
		$1
}

rule function_65800_0 {
	meta:
		name = "THashedStringList.Changed"
		size = 20
		refs = "0006 TStringList.Changed"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 60 00 C6 43 61 00 5B C3 }
	condition:
		$1
}

rule function_65802_0 {
	meta:
		name = "THashedStringList.IndexOf"
		size = 111
		refs = "000f THashedStringList.IndexOf 001c THashedStringList.UpdateValueHash 002c AnsiUpperCase 0037 TStringHash.ValueOf 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 7B 3A 00 75 19 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 58 E8 ?? ?? ?? ?? 8B D8 EB 0C 8B D6 8B 43 58 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_65803_0 {
	meta:
		name = "THashedStringList.IndexOfName"
		size = 111
		refs = "000f THashedStringList.IndexOfName 001c THashedStringList.UpdateNameHash 002c AnsiUpperCase 0037 TStringHash.ValueOf 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 7B 3A 00 75 19 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 5C E8 ?? ?? ?? ?? 8B D8 EB 0C 8B D6 8B 43 5C E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_65804_0 {
	meta:
		name = "THashedStringList.UpdateNameHash"
		size = 295
		refs = "0013 THashedStringList.UpdateNameHash 0036 _DV_TStringHash 003b TStringHash.Create 0045 TStringHash.Clear 0074 TStrings.GetNameValueSeparator 007e @UStrFromWChar 0089 AnsiPos 00a9 @UStrCopy 00b4 AnsiUpperCase 00bf @UStrLAsg 00e3 TStringHash.Add 010d @UStrArrayClr 0115 @UStrClr 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 61 00 0F 85 D0 00 00 00 8B 43 5C 85 C0 75 16 B9 00 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 5C EB 05 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 48 85 C0 0F 8C 9A 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 8D 4D FC 8B 55 F8 8B C3 8B 30 FF 56 0C 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B F0 85 F6 74 54 80 7B 3A 00 75 2C 8D 45 E8 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? EB 14 8D 45 FC 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B 43 5C E8 ?? ?? ?? ?? FF 45 F8 FF 4D F4 0F 85 71 FF FF FF C6 43 61 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65805_0 {
	meta:
		name = "THashedStringList.UpdateValueHash"
		size = 210
		refs = "0012 THashedStringList.UpdateValueHash 0035 _DV_TStringHash 003a TStringHash.Create 0044 TStringHash.Clear 0073 AnsiUpperCase 0080 TStringHash.Add 00bf @UStrArrayClr 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 60 00 0F 85 83 00 00 00 8B 43 58 85 C0 75 16 B9 00 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 58 EB 05 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 48 85 C0 7C 51 40 89 45 FC 33 F6 80 7B 3A 00 75 26 8D 4D F4 8B D6 8B C3 8B 38 FF 57 0C 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B CE 8B 43 58 E8 ?? ?? ?? ?? EB 19 8D 4D F0 8B D6 8B C3 8B 38 FF 57 0C 8B 55 F0 8B CE 8B 43 58 E8 ?? ?? ?? ?? 46 FF 4D FC 75 B5 C6 43 60 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65807_0 {
	meta:
		name = "TMemIniFile.Create"
		size = 87
		refs = "000d @ClassCreate 001a TCustomIniFile.Create 0027 _DV_THashedStringList 002c TStringList.Create 0036 TMemIniFile.LoadValues 0041 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_65808_0 {
	meta:
		name = "TMemIniFile.Destroy"
		size = 57
		refs = "0003 @BeforeDestruction 0014 TMemIniFile.Clear 001c TObject.Free 0027 TObject.Destroy 0032 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 08 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97673_0 {
	meta:
		name = "TWebComponentList.Destroy"
		size = 57
		refs = "0003 @BeforeDestruction 0014 TWebComponentList.Clear 001c TObject.Free 0027 TPersistent.Destroy 0032 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 08 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65809_0 {
	meta:
		name = "TMemIniFile.AddSection"
		size = 112
		refs = "000e _DV_THashedStringList 0013 TStringList.Create 001e TMemIniFile.AddSection 002b TMemIniFile.GetCaseSensitive 0035 TStringList.SetCaseSensitive 0051 @HandleAnyException 0059 TObject.Free 005e @RaiseAgain 0063 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 43 08 8B 4D FC 8B D6 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_65810_0 {
	meta:
		name = "TMemIniFile.Clear"
		size = 54
		refs = "0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 08 8B 10 FF 52 14 8B D8 4B 85 DB 7C 16 43 33 F6 8B 47 08 8B D6 8B 08 FF 51 18 E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 08 8B 10 FF 52 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65811_0 {
	meta:
		name = "TMemIniFile.DeleteKey"
		size = 65
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B D8 8B 43 08 8B 08 FF 51 54 8B F0 85 F6 7C 25 8B D6 8B 43 08 8B 08 FF 51 18 8B F8 8B 14 24 8B C7 8B 08 FF 51 58 8B F0 85 F6 7C 09 8B D6 8B C7 8B 08 FF 51 48 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65812_0 {
	meta:
		name = "TMemIniFile.EraseSection"
		size = 46
		refs = "001d TObject.Free"
	strings:
		$1 = { 53 56 8B D8 8B 43 08 8B 08 FF 51 54 8B F0 85 F6 7C 19 8B D6 8B 43 08 8B 08 FF 51 18 E8 ?? ?? ?? ?? 8B D6 8B 43 08 8B 08 FF 51 48 5E 5B C3 }
	condition:
		$1
}

rule function_65813_0 {
	meta:
		name = "TMemIniFile.GetCaseSensitive"
		size = 8
	strings:
		$1 = { 8B 40 08 0F B6 40 3A C3 }
	condition:
		$1
}

rule function_65814_0 {
	meta:
		name = "TMemIniFile.GetStrings"
		size = 336
		refs = "001e TMemIniFile.GetStrings 002c TStrings.BeginUpdate 0084 @UStrCatN 00f9 TStrings.EndUpdate 00ff @HandleFinally 011b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 89 4D E8 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B 10 FF 52 14 48 85 C0 0F 8C 96 00 00 00 40 89 45 EC C7 45 F4 00 00 00 00 68 ?? ?? ?? ?? 8D 4D E4 8B 45 FC 8B 40 08 8B 55 F4 8B 18 FF 53 0C FF 75 E4 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 8B 08 FF 51 38 8B 45 FC 8B 40 08 8B 55 F4 8B 08 FF 51 18 89 45 F0 8B 45 F0 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1F 43 33 F6 8D 4D E0 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 55 E0 8B 45 F8 8B 08 FF 51 38 46 4B 75 E4 33 D2 8B 45 F8 8B 08 FF 51 38 FF 45 F4 FF 4D EC 0F 85 75 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 }
	condition:
		$1
}

rule function_65815_0 {
	meta:
		name = "TMemIniFile.LoadValues"
		size = 354
		refs = "0016 TMemIniFile.LoadValues 0030 FileExists 0044 _Dn_TFileStream 0049 TFileStream.Create 006b TStream.GetPosition 007c TArray<System.Byte> 0081 @DynArraySetLength 009c TEncoding.GetBufferEncoding 00a5 _Dn_TStringList 00aa TStringList.Create 00c3 @DynArrayLength 00d7 TEncoding.GetString 00ec TMemIniFile.SetStrings 0101 TObject.Free 0107 @HandleFinally 012d TMemIniFile.Clear 0142 @UStrClr 0150 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 04 00 0F 84 00 01 00 00 8B 43 04 B2 01 E8 ?? ?? ?? ?? 84 C0 0F 84 EE 00 00 00 6A 20 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 12 8B F0 8B 45 F4 E8 ?? ?? ?? ?? 2B F0 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B CE 8B 45 F4 8B 30 FF 56 0C 8D 53 0C 8B 45 FC E8 ?? ?? ?? ?? 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 2B C6 50 8D 45 F0 50 8B 43 0C 8B CE 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 08 FF 51 2C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65816_0 {
	meta:
		name = "TMemIniFile.ReadSection"
		size = 203
		refs = "0018 TMemIniFile.ReadSection 0026 TStrings.BeginUpdate 0078 TStrings.GetName 009c TStrings.EndUpdate 00a2 @HandleFinally 00b9 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 8B 43 08 8B D6 8B 08 FF 51 54 8B F0 85 F6 7C 3B 8B 43 08 8B D6 8B 08 FF 51 18 89 45 F8 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1F 43 33 F6 8D 4D F4 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 38 46 4B 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65817_0 {
	meta:
		name = "TMemIniFile.ReadSections"
		size = 19
	strings:
		$1 = { 56 57 8B FA 8B F0 8B 56 08 8B C7 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_65818_0 {
	meta:
		name = "TMemIniFile.ReadSectionValues"
		size = 115
		refs = "0012 TStrings.BeginUpdate 001a TMemIniFile.ReadSectionValues 0061 TStrings.EndUpdate 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 8B 46 08 8B D3 8B 08 FF 51 54 8B F8 85 FF 7C 14 8B 46 08 8B D7 8B 08 FF 51 18 8B D0 8B 45 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_65819_0 {
	meta:
		name = "TMemIniFile.ReadString"
		size = 168
		refs = "0016 TMemIniFile.ReadString 0072 @UStrCopy 007f @UStrAsg 0094 @UStrClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 8B 08 FF 51 54 8B D8 85 DB 7C 4A 8B D3 8B 46 08 8B 08 FF 51 18 8B F0 8B 55 F8 8B C6 8B 08 FF 51 58 8B D8 85 DB 7C 2E 8D 4D FC 8B D3 8B C6 8B 18 FF 53 0C 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8B 45 08 50 8D 53 02 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? EB 0B 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_65820_0 {
	meta:
		name = "TMemIniFile.Rename"
		size = 34
		refs = "000f @UStrAsg 001a TMemIniFile.LoadValues"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65821_0 {
	meta:
		name = "TMemIniFile.SetCaseSensitive"
		size = 103
		refs = "001b TStringList.SetCaseSensitive"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B F0 8B 46 08 0F B6 50 3A 3A 14 24 74 4B 0F B6 14 24 E8 ?? ?? ?? ?? 8B 46 08 8B 10 FF 52 14 8B F8 4F 85 FF 7C 28 47 33 ED 8B D5 8B 46 08 8B 08 FF 51 18 8B D8 0F B6 14 24 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 90 00 00 00 45 4F 75 DB 8B 46 08 8B 10 FF 92 90 00 00 00 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65822_0 {
	meta:
		name = "TMemIniFile.SetStrings"
		size = 452
		refs = "001b TMemIniFile.SetStrings 0029 TMemIniFile.Clear 0062 Trim 00b4 @UStrDelete 00cb @UStrSetLength 00e1 TMemIniFile.AddSection 0100 Pos 011a @UStrCopy 015c @UStrCatN 0198 @UStrArrayClr 01a0 @UStrClr 01a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 EC 8B 45 F4 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C 3D 01 00 00 43 C7 45 F0 00 00 00 00 8D 4D E8 8B 55 F0 8B 45 F4 8B 30 FF 56 0C 8B 45 E8 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 08 01 00 00 8B 45 FC 66 83 38 3B 0F 84 FB 00 00 00 8B 45 FC 66 83 38 5B 75 1A 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 FC 66 83 7C 42 FE 5D 0F 94 C0 EB 02 33 C0 84 C0 74 47 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D0 4A 8D 45 FC E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EC E9 8B 00 00 00 83 7D EC 00 0F 84 81 00 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7E 63 8D 45 D8 50 8B CE 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 45 D0 50 8D 56 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D0 8D 55 D4 E8 ?? ?? ?? ?? FF 75 D4 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 EC 8B 08 FF 51 38 EB 0B 8B 55 FC 8B 45 EC 8B 08 FF 51 38 FF 45 F0 4B 0F 85 CB FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_65823_0 {
	meta:
		name = "TMemIniFile.UpdateFile"
		size = 96
		refs = "000a _Dn_TStringList 000f TStringList.Create 001a TMemIniFile.UpdateFile 002a TMemIniFile.GetStrings 0050 TObject.Free 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4B 0C 8B 53 04 8B 45 FC 8B 18 FF 93 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_65824_0 {
	meta:
		name = "TMemIniFile.WriteString"
		size = 196
		refs = "0019 TMemIniFile.WriteString 0048 TMemIniFile.AddSection 0060 @UStrCatN 009c @UStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 8B 55 F8 8B 08 FF 51 54 8B D8 85 DB 7C 0E 8B 46 08 8B D3 8B 08 FF 51 18 8B F0 EB 0C 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B F0 57 68 ?? ?? ?? ?? FF 75 08 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B D7 8B C6 8B 08 FF 51 58 8B D8 85 DB 7C 0E 8B 4D FC 8B D3 8B C6 8B 18 FF 53 20 EB 0A 8B 55 FC 8B C6 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_65826_0 {
	meta:
		name = "TIniFile.ReadString"
		size = 95
		refs = "0017 @UStrToPWChar 0042 GetPrivateProfileString 0052 @UStrFromPWCharLen"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 53 56 57 8B F9 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 50 68 00 08 00 00 8D 85 00 F0 FF FF 50 8B 45 0C E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8D 95 00 F0 FF FF 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_65827_0 {
	meta:
		name = "TIniFile.WriteString"
		size = 106
		refs = "0013 @UStrToPWChar 0032 WritePrivateProfileString 004c SIniFileWriteError 0053 _DV_EIniFileException 0058 Exception.CreateResFmt 005d @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 50 8B 45 08 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 27 8B 43 04 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_65828_0 {
	meta:
		name = "TIniFile.ReadSections"
		size = 392
		refs = "001a TIniFile.ReadSections 0042 @GetMem 004d TStrings.BeginUpdate 006b @UStrToPWChar 0080 GetPrivateProfileString 0095 TFile.ReadAllBytes 00a0 TEncoding.GetBufferEncoding 00ab TEncoding.GetCharCount 00c7 @ReallocMem 00f5 @UStrFromPWChar 0109 @PWCharLen 012d TStrings.EndUpdate 0133 @HandleFinally 014a @FreeMem 0167 @UStrClr 0170 TArray<System.Byte> 0175 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 00 80 00 00 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 44 8B 46 04 E8 ?? ?? ?? ?? 50 68 00 40 00 00 8B 45 F0 50 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 8B D8 81 FB FE 3F 00 00 75 58 8D 55 FC 8B 46 04 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 BA 01 00 00 00 8B 45 F4 8B 08 FF 51 1C 8B D0 0F AF D3 8D 45 F0 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 50 53 8B 45 F0 50 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 32 8B 5D F0 EB 27 8D 45 EC 8B D3 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 08 FF 51 38 8B F3 8B C6 E8 ?? ?? ?? ?? 8B F8 47 8B C7 03 C0 03 D8 66 83 3B 00 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65829_0 {
	meta:
		name = "ReadStringData"
		size = 200
		refs = "0012 ReadStringData 0023 TStrings.BeginUpdate 0059 @UStrFromPWChar 0070 @PWCharLen 0099 TStrings.EndUpdate 009f @HandleFinally 00b6 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 7D 08 83 C7 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 10 FF 52 44 8B 45 08 83 78 F8 00 74 3C 8B 45 08 8B 40 F4 89 07 EB 2A 8D 45 FC 8B 17 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC 8B 08 FF 51 38 8B 1F 8B C3 E8 ?? ?? ?? ?? 8B F0 46 8B C6 03 C0 01 07 8B 07 66 83 38 00 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_65830_0 {
	meta:
		name = "TIniFile.ReadSection"
		size = 166
		refs = "001c @GetMem 0027 TIniFile.ReadSection 0038 @UStrToPWChar 0053 GetPrivateProfileString 0067 ReadStringData 006d @TryFinallyExit 0087 @FreeMem 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 4D FC 89 55 E8 89 45 EC C7 45 E4 00 04 00 00 8B 45 E4 03 C0 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 04 E8 ?? ?? ?? ?? 50 8B 45 E4 50 8B 45 F4 50 6A 00 6A 00 8B 45 E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 E4 83 E8 02 3B 45 F8 7E 0E 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 2F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 E4 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 E4 03 C0 03 C0 89 45 E4 E9 74 FF FF FF 8B E5 5D C3 }
	condition:
		$1
}

rule function_65831_0 {
	meta:
		name = "TIniFile.ReadSectionValues"
		size = 340
		refs = "0024 TIniFile.ReadSectionValues 0031 _Dn_TStringList 0036 TStringList.Create 005d TStrings.BeginUpdate 00cb @UStrCatN 00ef TStrings.EndUpdate 00f5 @HandleFinally 010c TObject.Free 012e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D EC 89 5D E8 89 5D E4 89 5D E0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F0 8B 55 F8 8B 45 FC 8B 18 FF 53 44 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 44 8B 45 F0 8B 10 FF 52 14 8B F0 4E 85 F6 7C 58 46 33 DB 8D 4D E8 8B D3 8B 45 F0 8B 38 FF 57 0C FF 75 E8 68 ?? ?? ?? ?? 6A 00 8D 45 E4 50 8D 4D E0 8B D3 8B 45 F0 8B 38 FF 57 0C 8B 4D E0 8B 55 F8 8B 45 FC 8B 38 FF 57 04 FF 75 E4 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 8B 08 FF 51 38 43 4E 75 AB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_65832_0 {
	meta:
		name = "TIniFile.EraseSection"
		size = 81
		refs = "000d @UStrToPWChar 001f WritePrivateProfileString 0037 SIniFileWriteError 003e _DV_EIniFileException 0043 Exception.CreateResFmt 0048 @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 25 8B 43 04 89 04 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_65833_0 {
	meta:
		name = "TIniFile.DeleteKey"
		size = 45
		refs = "000d @UStrToPWChar 0025 WritePrivateProfileString"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 50 6A 00 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65834_0 {
	meta:
		name = "TIniFile.UpdateFile"
		size = 25
		refs = "0007 @UStrToPWChar 0013 WritePrivateProfileString"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_65835_0 {
	meta:
		name = "Finalization"
		size = 79
		refs = "0007 Finalization 0013 _DV_7 001a TCustomIniFile.SectionNameSeparator 001f @UStrClr 0024 Values 002f string 0034 @FinalizeArray 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1F B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_65837_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_2 001a ExceptMap 0025 TExceptRec 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 19 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_65838_0 {
	meta:
		name = "System.Internal.ExcUtils"
		size = 30
		refs = "0002 _DV_2 000a _Nn__73 000f @InitResStringImports 0014 _Nn__74 0019 @InitImports"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 14 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65839_0 {
	meta:
		name = "AnsiFromWide"
		size = 23
		refs = "0010 @LStrFromWStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 16 B9 00 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65840_0 {
	meta:
		name = "AnsiFromUnicode"
		size = 23
		refs = "0010 @LStrFromUStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 16 B9 00 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65841_0 {
	meta:
		name = "AnsiFromPWideChar"
		size = 23
		refs = "0010 @LStrFromPWChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65842_0 {
	meta:
		name = "AnsiAppend"
		size = 18
		refs = "000b @LStrCat"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65850_0 {
	meta:
		name = "AnsiAssign"
		size = 18
		refs = "000b @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65872_0 {
	meta:
		name = "UnicodeAppend"
		size = 18
		refs = "000b @UStrCat"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65879_0 {
	meta:
		name = "UnicodeAssign"
		size = 18
		refs = "000b @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65871_0 {
	meta:
		name = "UnicodeFromAnsi"
		size = 18
		refs = "000b @UStrFromLStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65868_0 {
	meta:
		name = "UnicodeFromWide"
		size = 18
		refs = "000b @UStrFromWStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65867_0 {
	meta:
		name = "WideAppend"
		size = 18
		refs = "000b @WStrCat"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65852_0 {
	meta:
		name = "WideAssign"
		size = 18
		refs = "000b @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65854_0 {
	meta:
		name = "WideFromAnsi"
		size = 18
		refs = "000b @WStrFromLStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65855_0 {
	meta:
		name = "WideFromUnicode"
		size = 18
		refs = "000b @WStrFromUStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 16 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_65843_0 {
	meta:
		name = "AnsiCat"
		size = 24
		refs = "0010 @LStrCat3"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 0E 8B 13 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65873_0 {
	meta:
		name = "UnicodeCat"
		size = 24
		refs = "0010 @UStrCat3"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 0E 8B 13 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65860_0 {
	meta:
		name = "WideCat"
		size = 24
		refs = "0010 @WStrCat3"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 0E 8B 13 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65846_0 {
	meta:
		name = "AnsiPos"
		size = 11
		refs = "0006 Pos"
		altNames = "UnicodePos WidePos"
	strings:
		$1 = { 8B 12 8B 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65847_0 {
	meta:
		name = "AnsiCopy"
		size = 34
		refs = "0017 @LStrCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 03 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_65877_0 {
	meta:
		name = "UnicodeCopy"
		size = 34
		refs = "0017 @UStrCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 03 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_65866_0 {
	meta:
		name = "WideCopy"
		size = 34
		refs = "0017 @WStrCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 03 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_65848_0 {
	meta:
		name = "AnsiInsert"
		size = 9
		refs = "0004 @LStrInsert"
	strings:
		$1 = { 8B 12 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65878_0 {
	meta:
		name = "UnicodeInsert"
		size = 9
		refs = "0004 @UStrInsert"
	strings:
		$1 = { 8B 12 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65865_0 {
	meta:
		name = "WideInsert"
		size = 9
		refs = "0004 @WStrInsert"
	strings:
		$1 = { 8B 12 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_65849_0 {
	meta:
		name = "AnsiEqual"
		size = 21
		refs = "000b @LStrEqual"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 03 8B 16 E8 ?? ?? ?? ?? 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_65881_0 {
	meta:
		name = "UnicodeEqual"
		size = 21
		refs = "000b @UStrEqual"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 03 8B 16 E8 ?? ?? ?? ?? 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_65857_0 {
	meta:
		name = "WideEqual"
		size = 21
		refs = "000b @WStrEqual"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 03 8B 16 E8 ?? ?? ?? ?? 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_65856_0 {
	meta:
		name = "WideFromPChar"
		size = 99
		refs = "000f WideFromPChar 0022 @WStrFromPChar 0033 @LStrFromPChar 003d @WStrFromLStr 0052 @LStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 C9 75 0B 8B C3 8B D6 E8 ?? ?? ?? ?? EB 19 8D 45 FC 8B D6 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_65869_0 {
	meta:
		name = "UnicodeFromPChar"
		size = 99
		refs = "000f UnicodeFromPChar 0022 @UStrFromPChar 0033 @LStrFromPChar 003d @UStrFromLStr 0052 @LStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 C9 75 0B 8B C3 8B D6 E8 ?? ?? ?? ?? EB 19 8D 45 FC 8B D6 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_65858_0 {
	meta:
		name = "WideLess"
		size = 21
		refs = "000b @WStrCmp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 03 8B 16 E8 ?? ?? ?? ?? 0F 92 C0 5E 5B C3 }
	condition:
		$1
}

rule function_65882_0 {
	meta:
		name = "UnicodeLess"
		size = 21
		refs = "000b @UStrCmp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 03 8B 16 E8 ?? ?? ?? ?? 0F 92 C0 5E 5B C3 }
	condition:
		$1
}

rule function_65859_0 {
	meta:
		name = "WideGreater"
		size = 21
		refs = "000b @WStrCmp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 03 8B 16 E8 ?? ?? ?? ?? 0F 97 C0 5E 5B C3 }
	condition:
		$1
}

rule function_65883_0 {
	meta:
		name = "UnicodeGreater"
		size = 21
		refs = "000b @UStrCmp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 03 8B 16 E8 ?? ?? ?? ?? 0F 97 C0 5E 5B C3 }
	condition:
		$1
}

rule function_65861_0 {
	meta:
		name = "WideLength"
		size = 22
	strings:
		$1 = { 51 8B 00 89 04 24 8B 04 24 85 C0 74 07 83 E8 04 8B 00 D1 E8 5A C3 }
	condition:
		$1
}

rule function_65884_0 {
	meta:
		name = "UnicodeFromUTF8"
		size = 84
		refs = "000f UnicodeFromUTF8 0024 @LStrFromPChar 002e @UStrFromLStr 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_65885_0 {
	meta:
		name = "WideFromUTF8"
		size = 84
		refs = "000f WideFromUTF8 0024 @LStrFromPChar 002e @WStrFromLStr 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_65892_0 {
	meta:
		name = "VariantAdd"
		size = 94
		refs = "0013 VariantAdd 0023 @VarCopy 002d @VarAdd 004c @VarClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65897_0 {
	meta:
		name = "VariantAnd"
		size = 94
		refs = "0013 VariantAnd 0023 @VarCopy 002d @VarAnd 004c @VarClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65895_0 {
	meta:
		name = "VariantDiv"
		size = 94
		refs = "0013 VariantDiv 0023 @VarCopy 002d @VarRDiv 004c @VarClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65896_0 {
	meta:
		name = "VariantMod"
		size = 94
		refs = "0013 VariantMod 0023 @VarCopy 002d @VarMod 004c @VarClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65894_0 {
	meta:
		name = "VariantMul"
		size = 94
		refs = "0013 VariantMul 0023 @VarCopy 002d @VarMul 004c @VarClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65898_0 {
	meta:
		name = "VariantOr"
		size = 94
		refs = "0013 VariantOr 0023 @VarCopy 002d @VarOr 004c @VarClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65900_0 {
	meta:
		name = "VariantShl"
		size = 94
		refs = "0013 VariantShl 0023 @VarCopy 002d @VarShl 004c @VarClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65901_0 {
	meta:
		name = "VariantShr"
		size = 94
		refs = "0013 VariantShr 0023 @VarCopy 002d @VarShr 004c @VarClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65893_0 {
	meta:
		name = "VariantSub"
		size = 94
		refs = "0013 VariantSub 0023 @VarCopy 002d @VarSub 004c @VarClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65899_0 {
	meta:
		name = "VariantXor"
		size = 94
		refs = "0013 VariantXor 0023 @VarCopy 002d @VarXor 004c @VarClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65902_0 {
	meta:
		name = "VariantCmpEQ"
		size = 21
		refs = "000b @VarCmpEQ"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_65903_0 {
	meta:
		name = "VariantCmpLT"
		size = 21
		refs = "000b @VarCmpLT"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 0F 9C C0 5E 5B C3 }
	condition:
		$1
}

rule function_65904_0 {
	meta:
		name = "VariantCmpGT"
		size = 21
		refs = "000b @VarCmpGT"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 0F 9F C0 5E 5B C3 }
	condition:
		$1
}

rule function_65905_0 {
	meta:
		name = "VariantAdd2"
		size = 100
		refs = "0018 VariantAdd2 0028 @VarCopy 0032 @VarAdd 0051 @VarClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65910_0 {
	meta:
		name = "VariantAnd2"
		size = 100
		refs = "0018 VariantAnd2 0028 @VarCopy 0032 @VarAnd 0051 @VarClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65908_0 {
	meta:
		name = "VariantDiv2"
		size = 100
		refs = "0018 VariantDiv2 0028 @VarCopy 0032 @VarRDiv 0051 @VarClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65909_0 {
	meta:
		name = "VariantMod2"
		size = 100
		refs = "0018 VariantMod2 0028 @VarCopy 0032 @VarMod 0051 @VarClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65907_0 {
	meta:
		name = "VariantMul2"
		size = 100
		refs = "0018 VariantMul2 0028 @VarCopy 0032 @VarMul 0051 @VarClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65911_0 {
	meta:
		name = "VariantOr2"
		size = 100
		refs = "0018 VariantOr2 0028 @VarCopy 0032 @VarOr 0051 @VarClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65913_0 {
	meta:
		name = "VariantShl2"
		size = 100
		refs = "0018 VariantShl2 0028 @VarCopy 0032 @VarShl 0051 @VarClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65914_0 {
	meta:
		name = "VariantShr2"
		size = 100
		refs = "0018 VariantShr2 0028 @VarCopy 0032 @VarShr 0051 @VarClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65906_0 {
	meta:
		name = "VariantSub2"
		size = 100
		refs = "0018 VariantSub2 0028 @VarCopy 0032 @VarSub 0051 @VarClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65912_0 {
	meta:
		name = "VariantXor2"
		size = 100
		refs = "0018 VariantXor2 0028 @VarCopy 0032 @VarXor 0051 @VarClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65915_0 {
	meta:
		name = "NotVariant"
		size = 43
		refs = "0011 @VarCopy 0018 @VarNot"
		altNames = "VariantNot"
	strings:
		$1 = { 53 56 33 C9 51 51 51 51 8B F2 8B D8 8B D3 8B C4 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_70444_0 {
	meta:
		name = "NegateVariant"
		size = 43
		refs = "0011 @VarCopy 0018 @VarNeg"
	strings:
		$1 = { 53 56 33 C9 51 51 51 51 8B F2 8B D8 8B D3 8B C4 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_65916_0 {
	meta:
		name = "VariantNeg"
		size = 43
		refs = "0011 @VarCopy 0018 @VarNeg"
	strings:
		$1 = { 53 56 33 C9 51 51 51 51 8B F2 8B D8 8B D3 8B C4 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_65917_0 {
	meta:
		name = "VariantGetElement"
		size = 26
		refs = "000f @VarArrayGet"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 6A 01 53 57 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65918_0 {
	meta:
		name = "VariantGetElement"
		size = 36
		refs = "0016 @VarArrayGet"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 57 56 6A 02 53 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_65919_0 {
	meta:
		name = "VariantGetElement"
		size = 40
		refs = "001a @VarArrayGet"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 50 57 56 6A 03 53 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_65920_0 {
	meta:
		name = "VariantGetElement"
		size = 44
		refs = "001e @VarArrayGet"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 50 8B 45 10 50 57 56 6A 04 53 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_65921_0 {
	meta:
		name = "VariantGetElement"
		size = 48
		refs = "0022 @VarArrayGet"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 50 8B 45 10 50 8B 45 14 50 57 56 6A 05 53 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_65922_0 {
	meta:
		name = "VariantPutElement"
		size = 14
		refs = "0006 @VarArrayPut"
	strings:
		$1 = { 51 6A 01 52 50 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_65923_0 {
	meta:
		name = "VariantPutElement"
		size = 26
		refs = "000e @VarArrayPut"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 6A 02 52 50 E8 ?? ?? ?? ?? 83 C4 14 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_65924_0 {
	meta:
		name = "VariantPutElement"
		size = 30
		refs = "0012 @VarArrayPut"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 51 6A 03 52 50 E8 ?? ?? ?? ?? 83 C4 18 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_65925_0 {
	meta:
		name = "VariantPutElement"
		size = 34
		refs = "0016 @VarArrayPut"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 51 6A 04 52 50 E8 ?? ?? ?? ?? 83 C4 1C 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_65926_0 {
	meta:
		name = "VariantPutElement"
		size = 38
		refs = "001a @VarArrayPut"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 51 6A 05 52 50 E8 ?? ?? ?? ?? 83 C4 20 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_65932_0 {
	meta:
		name = "TDirectory.CheckDeleteParameters"
		size = 231
		refs = "0013 TDirectory.CheckDeleteParameters 0023 TPath.DoGetFullPath 002d TFile.Exists 0037 SDirectoryInvalid 003e _Dn_EInOutError 0043 Exception.CreateRes 0048 @RaiseExcept 0052 TDirectory.InternalCheckDirPathParam 005c ParamStr 0067 @UStrLAsg 0074 AnsiCompareFileName 00a0 TDirectory.IsEmpty 00aa SDirectoryNotEmpty 00d5 @UStrArrayClr 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 33 C0 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 33 C9 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 75 23 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65936_0 {
	meta:
		name = "TDirectory.CheckGetDirectoriesParameters"
		size = 161
		refs = "0011 TDirectory.CheckGetDirectoriesParameters 0021 TPath.DoGetFullPath 002b Trim 0037 SInvalidCharsInSearchPattern 003e _Dn_EArgumentException 0043 Exception.CreateRes 0048 @RaiseExcept 0051 TPath.HasValidFileNameChars 0075 TDirectory.InternalCheckDirPathParam 008f @UStrArrayClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_65938_0 {
	meta:
		name = "TDirectory.CheckGetFilesParameters"
		size = 183
		refs = "0013 @UStrAddRef 001b TDirectory.CheckGetFilesParameters 002c TPath.DoGetFullPath 0037 @UStrLAsg 0041 Trim 004d SInvalidCharsInSearchPattern 0054 _Dn_EArgumentException 0059 Exception.CreateRes 005e @RaiseExcept 0067 TPath.HasValidFileNameChars 008c TDirectory.InternalCheckDirPathParam 00a6 @UStrArrayClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 83 7D F4 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65939_0 {
	meta:
		name = "TDirectory.CheckGetFileSystemEntriesParameters"
		size = 183
		refs = "0013 @UStrAddRef 001b TDirectory.CheckGetFileSystemEntriesParameters 002c TPath.DoGetFullPath 0037 @UStrLAsg 0041 Trim 004d SInvalidCharsInSearchPattern 0054 _Dn_EArgumentException 0059 Exception.CreateRes 005e @RaiseExcept 0067 TPath.HasValidFileNameChars 008c TDirectory.InternalCheckDirPathParam 00a6 @UStrArrayClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 83 7D F4 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65945_0 {
	meta:
		name = "TDirectory.CheckCopyParameters"
		size = 216
		refs = "0015 @UStrAddRef 0025 TDirectory.CheckCopyParameters 0036 TPath.DoGetFullPath 0041 @UStrLAsg 0061 TDirectory.InternalCheckDirPathParam 008e AnsiCompareFileName 009d SSourceDirIsDestDir 00a4 _Dn_EInOutError 00a9 Exception.CreateRes 00ae @RaiseExcept 00c8 @UStrArrayClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F8 E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 33 C9 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_65946_0 {
	meta:
		name = "TDirectory.CheckCreateDirectoryParameters"
		size = 109
		refs = "000c TDirectory.CheckCreateDirectoryParameters 001b TDirectory.InternalCheckDirPathParam 0025 TPath.DoGetPathRoot 002d TPath.DriveExists 0037 SDriveNotFound 003e _Dn_EDirectoryNotFoundException 0043 Exception.CreateRes 0048 @RaiseExcept 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_65947_0 {
	meta:
		name = "TDirectory.CheckMoveParameters"
		size = 322
		refs = "0017 @UStrAddRef 0027 TDirectory.CheckMoveParameters 0038 TPath.DoGetFullPath 0043 @UStrLAsg 0063 TDirectory.InternalCheckDirPathParam 0077 TDirectory.Exists 0081 SDirectoryAlreadyExists 0088 _Dn_EInOutError 008d Exception.CreateRes 0092 @RaiseExcept 009d TPath.GetPathRoot 00a8 TPath.DoGetPathRoot 00b5 AnsiCompareFileName 00c4 SSameRootDrive 0107 SSourceDirIsDestDir 0132 @UStrArrayClr 0138 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F8 E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 33 C9 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_65956_0 {
	meta:
		name = "TDirectory.ConvertDateTimeToFileTime"
		size = 108
		refs = "0034 DecodeDateTime 0041 SystemTimeToFileTime 0053 LocalFileTimeToFileTime"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B F2 8B D8 33 C0 89 06 33 C0 89 06 FF 75 0C FF 75 08 8D 45 F0 50 8D 45 F2 50 8D 45 F4 50 8D 45 F6 50 8D 4D EE 8D 55 EA 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 45 E8 50 E8 ?? ?? ?? ?? 85 C0 74 1B 84 DB 74 0C 56 8D 45 F8 50 E8 ?? ?? ?? ?? EB 0B 8B 45 F8 89 06 8B 45 FC 89 46 04 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_65957_0 {
	meta:
		name = "StuffPath"
		size = 296
		refs = "0013 StuffPath 0046 TPath.IsPathSeparator 006c TPath.FDirectorySeparatorChar 0071 @UStrFromWChar 00a0 StuffString 00b3 TPath.DoCombine 0116 @UStrArrayClr 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 10 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B 55 08 8B 52 FC 8B 52 10 0F B7 5C 42 FE 8B C3 E8 ?? ?? ?? ?? 84 C0 75 6B 8B 45 08 8B 40 FC 8B 40 10 89 45 F8 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8D 45 F4 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 8B 45 FC 50 6A 00 8D 45 F0 50 8D 0C 1E 8B 45 08 8B 40 F8 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 8B 40 FC 8B 40 0C 33 C9 E8 ?? ?? ?? ?? EB 47 8B 45 08 8B 40 FC 8B 40 10 89 45 F8 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8B 45 FC 50 6A 00 8D 45 EC 50 8B 45 08 8B 40 F8 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 08 8B 40 FC 8B 40 0C 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65958_0 {
	meta:
		name = "TDirectory.Copy$2796$ActRec.$0$Body"
		size = 408
		refs = "0022 TDirectory.Copy$2796$ActRec.$0$Body 004b TPath.FCCurrentDir 0050 @UStrEqual 005f TPath.FCParentDir 0078 @UStrLAsg 0090 AnsiCompareFileName 00b2 StuffPath 00cf TPath.DoCombine 00e2 CreateDir 016a TFile.DoCopy 0184 @UStrArrayClr 018a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 46 10 83 E0 10 83 E8 01 0F 82 AE 00 00 00 83 E8 0F 0F 85 28 01 00 00 8B 46 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 14 01 00 00 8B 46 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 00 01 00 00 8D 45 E8 8B 55 FC 8B 52 10 E8 ?? ?? ?? ?? 8D 45 E4 8B 55 F8 E8 ?? ?? ?? ?? 33 C9 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 10 8D 45 F4 8B 55 FC 8B 52 0C E8 ?? ?? ?? ?? EB 15 55 8D 45 D8 E8 ?? ?? ?? ?? 59 8B 55 D8 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 D4 50 8B 56 14 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E9 83 00 00 00 8D 45 F0 50 8B 56 14 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E0 8B 55 FC 8B 52 10 E8 ?? ?? ?? ?? 8D 45 DC 8B 55 F8 E8 ?? ?? ?? ?? 33 C9 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 10 8D 45 F4 8B 55 FC 8B 52 0C E8 ?? ?? ?? ?? EB 15 55 8D 45 D0 E8 ?? ?? ?? ?? 59 8B 55 D0 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 56 14 33 C9 8B 45 F4 E8 ?? ?? ?? ?? B1 01 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65959_0 {
	meta:
		name = "TDirectory.Copy"
		size = 196
		refs = "0012 TDirectory.Copy 001f _DV_TDirectory.Copy$2796$ActRec 0024 TObject.Create 0037 @IntfCopy 0041 @UStrAsg 0056 TDirectory.CheckCopyParameters 006f TDirectory.CreateDirectory 0083 TDirectory.WalkThroughDirectory 0098 @IntfClear 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8D 43 0C 8B D7 E8 ?? ?? ?? ?? 8D 43 10 8B D6 E8 ?? ?? ?? ?? 8B 53 0C 8B 43 10 E8 ?? ?? ?? ?? 8D 45 FC 8B D3 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 6A 00 6A 01 8B 4D FC BA ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_65960_0 {
	meta:
		name = "TDirectory.CreateDirectory"
		size = 112
		refs = "0012 @UStrAddRef 001a TDirectory.CreateDirectory 002b TPath.DoGetFullPath 0036 @UStrLAsg 003e TDirectory.CheckCreateDirectoryParameters 0046 ForceDirectories 0060 @UStrArrayClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_65962_0 {
	meta:
		name = "TDirectory.Delete$2801$ActRec.$0$Body"
		size = 162
		refs = "0010 TDirectory.Delete$2801$ActRec.$0$Body 0021 TPath.FCParentDir 0026 @UStrEqual 0031 TPath.FCCurrentDir 0048 TPath.DoCombine 0057 FileSetAttr 006f RemoveDir 0079 DeleteFile 008e @UStrClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 46 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 51 8B 46 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 41 8D 45 FC 50 8B 56 14 33 C9 8B C7 E8 ?? ?? ?? ?? B1 01 BA 80 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 46 10 83 E0 10 83 E8 01 72 0F 83 E8 0F 75 12 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_65963_0 {
	meta:
		name = "TDirectory.Delete"
		size = 340
		refs = "002c TSearchRec 0031 @InitializeRecord 0039 TDirectory.Delete 0046 _DV_TDirectory.Delete$2801$ActRec 004b TObject.Create 005e @IntfCopy 0067 TDirectory.CheckDeleteParameters 008f TDirectory.WalkThroughDirectory 009e TPath.DoGetFileName 00af @UStrLAsg 00c6 TDirectory.GetParent 00ea FileSetAttr 00f1 RemoveDir 010e @UStrArrayClr 011f @FinalizeRecord 0127 @IntfClear 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 80 FD FF FF 53 56 57 33 C9 89 8D 80 FD FF FF 89 8D 84 FD FF FF 89 4D FC 89 4D F8 8B DA 8B F0 8D 85 88 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 45 F8 8B D7 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 74 71 8D 45 FC 8B D7 85 D2 74 03 83 EA F4 E8 ?? ?? ?? ?? 8B 45 FC 50 53 33 C9 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 8D 84 FD FF FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 95 84 FD FF FF 8D 85 9C FD FF FF E8 ?? ?? ?? ?? C7 85 98 FD FF FF 10 00 00 00 8D 95 80 FD FF FF 8B C6 E8 ?? ?? ?? ?? 8B 95 80 FD FF FF 8D 8D 88 FD FF FF 8B 45 FC 8B 18 FF 53 0C EB 15 B1 01 BA 80 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 80 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 88 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C7 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_65964_0 {
	meta:
		name = "TDirectory.DoGetCreationTime"
		size = 30
		refs = "0013 TDirectory.GetDateTimeInfo"
	strings:
		$1 = { 83 C4 E8 8D 54 24 10 52 6A 01 8D 4C 24 10 8D 54 24 08 E8 ?? ?? ?? ?? DD 04 24 83 C4 18 C3 }
	condition:
		$1
}

rule function_65965_0 {
	meta:
		name = "TDirectory.DoGetCreationTimeUtc"
		size = 30
		refs = "0013 TDirectory.GetDateTimeInfo"
	strings:
		$1 = { 83 C4 E8 8D 54 24 10 52 6A 00 8D 4C 24 10 8D 54 24 08 E8 ?? ?? ?? ?? DD 04 24 83 C4 18 C3 }
	condition:
		$1
}

rule function_65966_0 {
	meta:
		name = "TDirectory.DoGetDirectories$2805$ActRec.$0$Body"
		size = 238
		refs = "0019 TDirectory.DoGetDirectories$2805$ActRec.$0$Body 0036 TPath.FCParentDir 003b @UStrEqual 004a TPath.FCCurrentDir 0080 @DynArrayLength 0090 TStringDynArray 0095 @DynArraySetLength 00b9 TPath.DoCombine 00c2 @UStrAsg 00d7 @UStrClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 F6 43 10 10 0F 84 95 00 00 00 8B 43 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 81 00 00 00 8B 43 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 71 83 7E 10 00 74 1B 83 7E 10 00 74 11 8B CB 8B 55 FC 8B 46 10 8B 38 FF 57 0C 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 74 4A 8B 46 0C E8 ?? ?? ?? ?? 40 50 8D 46 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 0C E8 ?? ?? ?? ?? 8B 56 0C 8D 44 82 FC 50 8D 45 F4 50 8B 53 14 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65967_0 {
	meta:
		name = "TDirectory.DoGetDirectories"
		size = 196
		refs = "001c TDirectory.DoGetDirectories 0029 _DV_TDirectory.DoGetDirectories$2805$ActRec 002e TObject.Create 0041 @IntfCopy 0055 TStringDynArray 005a @DynArrayClear 0081 TDirectory.WalkThroughDirectory 0092 @DynArrayAsg 00a7 @IntfClear 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F8 89 5D F4 88 4D F3 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8D 43 10 8B 55 0C E8 ?? ?? ?? ?? 8D 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B D3 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 6A 00 80 7D F3 01 0F 94 C0 50 8B 4D F8 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 53 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_65971_0 {
	meta:
		name = "TDirectory.DoGetFileSystemEntries"
		size = 196
		refs = "001c TDirectory.DoGetFileSystemEntries 0029 _DV_TDirectory.DoGetFileSystemEntries$2809$ActRec 002e TObject.Create 0041 @IntfCopy 0055 TStringDynArray 005a @DynArrayClear 0081 TDirectory.WalkThroughDirectory 0092 @DynArrayAsg 00a7 @IntfClear 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F8 89 5D F4 88 4D F3 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8D 43 10 8B 55 0C E8 ?? ?? ?? ?? 8D 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B D3 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 6A 00 80 7D F3 01 0F 94 C0 50 8B 4D F8 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 53 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_65969_0 {
	meta:
		name = "TDirectory.DoGetFiles"
		size = 196
		refs = "001c TDirectory.DoGetFiles 0029 _DV_TDirectory.DoGetFiles$2807$ActRec 002e TObject.Create 0041 @IntfCopy 0055 TStringDynArray 005a @DynArrayClear 0081 TDirectory.WalkThroughDirectory 0092 @DynArrayAsg 00a7 @IntfClear 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F8 89 5D F4 88 4D F3 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8D 43 10 8B 55 0C E8 ?? ?? ?? ?? 8D 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B D3 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 6A 00 80 7D F3 01 0F 94 C0 50 8B 4D F8 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 53 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_65968_0 {
	meta:
		name = "TDirectory.DoGetFiles$2807$ActRec.$0$Body"
		size = 198
		refs = "0019 TDirectory.DoGetFiles$2807$ActRec.$0$Body 0058 @DynArrayLength 0068 TStringDynArray 006d @DynArraySetLength 0091 TPath.DoCombine 009a @UStrAsg 00af @UStrClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 F6 46 10 10 75 71 83 7B 10 00 74 1B 83 7B 10 00 74 11 8B CE 8B 55 FC 8B 43 10 8B 38 FF 57 0C 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 74 4A 8B 43 0C E8 ?? ?? ?? ?? 40 50 8D 43 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 0C E8 ?? ?? ?? ?? 8B 53 0C 8D 44 82 FC 50 8D 45 F4 50 8B 56 14 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65970_0 {
	meta:
		name = "TDirectory.DoGetFileSystemEntries$2809$ActRec.$0$Body"
		size = 228
		refs = "0019 TDirectory.DoGetFileSystemEntries$2809$ActRec.$0$Body 002c TPath.FCParentDir 0031 @UStrEqual 0040 TPath.FCCurrentDir 0076 @DynArrayLength 0086 TStringDynArray 008b @DynArraySetLength 00af TPath.DoCombine 00b8 @UStrAsg 00cd @UStrClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 8B 43 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 81 00 00 00 8B 43 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 71 83 7E 10 00 74 1B 83 7E 10 00 74 11 8B CB 8B 55 FC 8B 46 10 8B 38 FF 57 0C 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 74 4A 8B 46 0C E8 ?? ?? ?? ?? 40 50 8D 46 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 0C E8 ?? ?? ?? ?? 8B 56 0C 8D 44 82 FC 50 8D 45 F4 50 8B 53 14 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_65972_0 {
	meta:
		name = "TDirectory.DoGetLastAccessTime"
		size = 30
		refs = "0013 TDirectory.GetDateTimeInfo"
	strings:
		$1 = { 83 C4 E8 8D 54 24 10 52 6A 01 8D 4C 24 08 8D 54 24 10 E8 ?? ?? ?? ?? DD 04 24 83 C4 18 C3 }
	condition:
		$1
}

rule function_65973_0 {
	meta:
		name = "TDirectory.DoGetLastAccessTimeUtc"
		size = 30
		refs = "0013 TDirectory.GetDateTimeInfo"
	strings:
		$1 = { 83 C4 E8 8D 54 24 10 52 6A 00 8D 4C 24 08 8D 54 24 10 E8 ?? ?? ?? ?? DD 04 24 83 C4 18 C3 }
	condition:
		$1
}

rule function_65974_0 {
	meta:
		name = "TDirectory.DoGetLastWriteTime"
		size = 26
		refs = "000f TDirectory.GetDateTimeInfo"
	strings:
		$1 = { 83 C4 E8 54 6A 01 8D 4C 24 18 8D 54 24 10 E8 ?? ?? ?? ?? DD 04 24 83 C4 18 C3 }
	condition:
		$1
}

rule function_65975_0 {
	meta:
		name = "TDirectory.DoGetLastWriteTimeUtc"
		size = 26
		refs = "000f TDirectory.GetDateTimeInfo"
	strings:
		$1 = { 83 C4 E8 54 6A 00 8D 4C 24 18 8D 54 24 10 E8 ?? ?? ?? ?? DD 04 24 83 C4 18 C3 }
	condition:
		$1
}

rule function_65976_0 {
	meta:
		name = "TDirectory.DoSetCreationTime"
		size = 21
		refs = "000d TDirectory.SetDateTimeInfo"
	strings:
		$1 = { 55 8B EC 6A 00 6A 01 8D 55 08 33 C9 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_65977_0 {
	meta:
		name = "TDirectory.DoSetCreationTimeUtc"
		size = 21
		refs = "000d TDirectory.SetDateTimeInfo"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 8D 55 08 33 C9 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_65978_0 {
	meta:
		name = "TDirectory.DoSetLastAccessTime"
		size = 21
		refs = "000d TDirectory.SetDateTimeInfo"
	strings:
		$1 = { 55 8B EC 6A 00 6A 01 8D 4D 08 33 D2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_65979_0 {
	meta:
		name = "TDirectory.DoSetLastAccessTimeUtc"
		size = 21
		refs = "000d TDirectory.SetDateTimeInfo"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 8D 4D 08 33 D2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_65980_0 {
	meta:
		name = "TDirectory.DoSetLastWriteTime"
		size = 22
		refs = "000e TDirectory.SetDateTimeInfo"
	strings:
		$1 = { 55 8B EC 8D 55 08 52 6A 01 33 C9 33 D2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_65981_0 {
	meta:
		name = "TDirectory.DoSetLastWriteTimeUtc"
		size = 22
		refs = "000e TDirectory.SetDateTimeInfo"
	strings:
		$1 = { 55 8B EC 8D 55 08 52 6A 00 33 C9 33 D2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_65982_0 {
	meta:
		name = "TDirectory.WalkThroughDirectory"
		size = 492
		refs = "002f TSearchRec 0034 @InitializeRecord 003c TDirectory.WalkThroughDirectory 005b TPath.DoCombine 0071 FindFirst 009a TPath.DoMatchesPattern 00e8 TPath.FCCurrentDir 00ed @UStrEqual 00fb TPath.FCParentDir 016f FindNext 018f FindClose 0195 @HandleFinally 01b4 @UStrArrayClr 01c5 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 81 C4 7C FD FF FF 53 56 33 DB 89 9D 7C FD FF FF 89 9D 80 FD FF FF 8B F1 89 95 88 FD FF FF 89 85 8C FD FF FF 8D 85 90 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 80 FD FF FF 50 33 C9 BA ?? ?? ?? ?? 8B 85 8C FD FF FF E8 ?? ?? ?? ?? 8B 85 80 FD FF FF 8D 8D 90 FD FF FF BA FF 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 1E 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 95 88 FD FF FF 8B 85 A4 FD FF FF E8 ?? ?? ?? ?? 88 85 87 FD FF FF 80 BD 87 FD FF FF 00 74 1C 85 F6 74 18 8D 8D 90 FD FF FF 8B 95 8C FD FF FF 8B C6 8B 18 FF 53 0C 8B D8 80 F3 01 84 DB 0F 85 93 00 00 00 80 7D 08 00 74 65 F6 85 A0 FD FF FF 10 74 5C 8B 85 A4 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 49 8B 85 A4 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 36 8B 45 0C 50 0F B6 45 08 50 8D 85 7C FD FF FF 50 33 C9 8B 95 A4 FD FF FF 8B 85 8C FD FF FF E8 ?? ?? ?? ?? 8B 85 7C FD FF FF 8B CE 8B 95 88 FD FF FF E8 ?? ?? ?? ?? 80 BD 87 FD FF FF 00 74 1F 83 7D 0C 00 74 19 8D 8D 90 FD FF FF 8B 95 8C FD FF FF 8B 45 0C 8B 18 FF 53 0C 8B D8 80 F3 01 84 DB 75 13 8D 85 90 FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 84 12 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 90 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 90 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_65984_0 {
	meta:
		name = "TDirectory.GetAttributes"
		size = 31
		refs = "000a TDirectory.CheckGetAttributesParameters 0013 TFile.DoGetAttributes"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66088_0 {
	meta:
		name = "TFile.GetAttributes"
		size = 31
		refs = "000a TFile.CheckGetAttributesParameters 0013 TFile.DoGetAttributes"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_65985_0 {
	meta:
		name = "TDirectory.GetCreationTime"
		size = 31
		refs = "0009 TDirectory.CheckGetCreationTimeParameters 0010 TDirectory.DoGetCreationTime"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_65986_0 {
	meta:
		name = "TDirectory.GetCreationTimeUtc"
		size = 31
		refs = "0009 TDirectory.CheckGetCreationTimeUtcParameters 0010 TDirectory.DoGetCreationTimeUtc"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_66005_0 {
	meta:
		name = "TDirectory.GetLastAccessTime"
		size = 31
		refs = "0009 TDirectory.CheckGetLastAccessTimeParameters 0010 TDirectory.DoGetLastAccessTime"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_66006_0 {
	meta:
		name = "TDirectory.GetLastAccessTimeUtc"
		size = 31
		refs = "0009 TDirectory.CheckGetLastAccessTimeUtcParameters 0010 TDirectory.DoGetLastAccessTimeUtc"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_66007_0 {
	meta:
		name = "TDirectory.GetLastWriteTime"
		size = 31
		refs = "0009 TDirectory.CheckGetLastWriteTimeParameters 0010 TDirectory.DoGetLastWriteTime"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_66008_0 {
	meta:
		name = "TDirectory.GetLastWriteTimeUtc"
		size = 31
		refs = "0009 TDirectory.CheckGetLastWriteTimeUtcParameters 0010 TDirectory.DoGetLastWriteTimeUtc"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_65987_0 {
	meta:
		name = "TDirectory.GetCurrentDirectory"
		size = 19
		refs = "0006 SetLastError 000d GetCurrentDir"
	strings:
		$1 = { 53 8B D8 6A 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_65988_0 {
	meta:
		name = "TDirectory.GetDateTimeInfo"
		size = 571
		refs = "0037 FileGetDateTimeInfo 004e TTimeZone.FLocal 005e TDateTimeInfoRec.GetCreationTime 0074 TTimeZone.GetUtcOffsetInSeconds 00b1 @_llmul 00b8 IncMilliSecond 00e6 TDateTimeInfoRec.GetLastAccessTime 016d TDateTimeInfoRec.GetTimeStamp"
	strings:
		$1 = { 55 8B EC 81 C4 18 FD FF FF 53 56 57 8B F1 8B DA 89 45 FC 8B 7D 0C 33 C0 89 03 89 43 04 33 C0 89 06 89 46 04 33 C0 89 07 89 47 04 8D 95 18 FD FF FF B1 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 EF 01 00 00 80 7D 08 00 0F 85 BB 01 00 00 A1 ?? ?? ?? ?? 8B 00 89 45 F8 8D 85 18 FD FF FF E8 ?? ?? ?? ?? DD 5D F0 9B 33 C0 FF 75 F4 FF 75 F0 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 8B 45 F0 89 45 D8 8B 45 F4 89 45 DC 8B 45 E0 8B 55 E4 F7 D8 83 D2 00 F7 DA 89 45 D0 89 55 D4 FF 75 DC FF 75 D8 6A 00 68 E8 03 00 00 8B 45 D0 8B 55 D4 E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 5D C8 9B 8B 45 C8 89 45 E8 8B 45 CC 89 45 EC 8B 45 E8 89 03 8B 45 EC 89 43 04 8B 1D ?? ?? ?? ?? 8B 1B 8D 85 18 FD FF FF E8 ?? ?? ?? ?? DD 5D C0 9B 33 C0 FF 75 C4 FF 75 C0 8B D0 8B C3 E8 ?? ?? ?? ?? 89 45 B0 89 55 B4 8B 45 C0 89 45 A8 8B 45 C4 89 45 AC 8B 45 B0 8B 55 B4 F7 D8 83 D2 00 F7 DA 89 45 A0 89 55 A4 FF 75 AC FF 75 A8 6A 00 68 E8 03 00 00 8B 45 A0 8B 55 A4 E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 5D 98 9B 8B 45 98 89 45 B8 8B 45 9C 89 45 BC 8B 45 B8 89 06 8B 45 BC 89 46 04 8B 1D ?? ?? ?? ?? 8B 1B 8D 85 18 FD FF FF E8 ?? ?? ?? ?? DD 5D 90 9B 33 C0 FF 75 94 FF 75 90 8B D0 8B C3 E8 ?? ?? ?? ?? 89 45 80 89 55 84 8B 45 90 89 85 78 FF FF FF 8B 45 94 89 85 7C FF FF FF 8B 45 80 8B 55 84 F7 D8 83 D2 00 F7 DA 89 85 70 FF FF FF 89 95 74 FF FF FF FF B5 7C FF FF FF FF B5 78 FF FF FF 6A 00 68 E8 03 00 00 8B 85 70 FF FF FF 8B 95 74 FF FF FF E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 9D 68 FF FF FF 9B 8B 85 68 FF FF FF 89 45 88 8B 85 6C FF FF FF 89 45 8C 8B 45 88 89 07 8B 45 8C 89 47 04 EB 2A 8D 85 18 FD FF FF E8 ?? ?? ?? ?? DD 1B 9B 8D 85 18 FD FF FF E8 ?? ?? ?? ?? DD 1E 9B 8D 85 18 FD FF FF E8 ?? ?? ?? ?? DD 1F 9B 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_65990_0 {
	meta:
		name = "TDirectory.GetDirectories"
		size = 45
		refs = "0011 TDirectory.CheckGetDirectoriesParameters 0022 TDirectory.DoGetDirectories"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 6A 00 8B 45 08 50 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_65998_0 {
	meta:
		name = "TDirectory.GetFiles"
		size = 45
		refs = "0011 TDirectory.CheckGetFilesParameters 0022 TDirectory.DoGetFiles"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 6A 00 8B 45 08 50 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_65991_0 {
	meta:
		name = "TDirectory.GetDirectories"
		size = 68
		refs = "000d TDirectory.GetDirectories 0014 TDirectory.CheckGetDirectoriesParameters 0027 TDirectory.DoGetDirectories"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 57 8B 45 08 50 8B CB BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_66030_0 {
	meta:
		name = "TDirectory.GetFileSystemEntries"
		size = 68
		refs = "000d TDirectory.GetFileSystemEntries 0014 TDirectory.CheckGetFileSystemEntriesParameters 0027 TDirectory.DoGetFileSystemEntries"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 57 8B 45 08 50 8B CB BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_66000_0 {
	meta:
		name = "TDirectory.GetFiles"
		size = 68
		refs = "000d TDirectory.GetFiles 0014 TDirectory.CheckGetFilesParameters 0027 TDirectory.DoGetFiles"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 57 8B 45 08 50 8B CB BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_65992_0 {
	meta:
		name = "TDirectory.GetDirectories"
		size = 48
		refs = "000e TDirectory.GetDirectories"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_66028_0 {
	meta:
		name = "TDirectory.GetFiles"
		size = 48
		refs = "000e TDirectory.GetFiles"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_65993_0 {
	meta:
		name = "TDirectory.GetDirectories"
		size = 35
		refs = "0018 TDirectory.GetDirectories"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 57 8B 45 08 50 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_66027_0 {
	meta:
		name = "TDirectory.GetFiles"
		size = 35
		refs = "0018 TDirectory.GetFiles"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 57 8B 45 08 50 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_65994_0 {
	meta:
		name = "TDirectory.GetDirectories"
		size = 47
		refs = "0011 TDirectory.CheckGetDirectoriesParameters 0024 TDirectory.DoGetDirectories"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_66029_0 {
	meta:
		name = "TDirectory.GetFiles"
		size = 47
		refs = "0011 TDirectory.CheckGetFilesParameters 0024 TDirectory.DoGetFiles"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_65995_0 {
	meta:
		name = "TDirectory.GetDirectoryRoot"
		size = 86
		refs = "000f TDirectory.GetDirectoryRoot 001c TDirectory.CheckGetDirectoryRootParameters 0026 TPath.DoGetFullPath 0030 TPath.DoGetPathRoot 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66010_0 {
	meta:
		name = "TDirectory.GetParent"
		size = 86
		refs = "000f TDirectory.GetParent 001c TDirectory.CheckGetParentParameters 0026 TPath.DoGetFullPath 0030 TPath.DoGetDirectoryName 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_65996_0 {
	meta:
		name = "TDirectory.GetFiles"
		size = 40
		refs = "000a TDirectory.GetFiles"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_66004_0 {
	meta:
		name = "TDirectory.GetDirectories"
		size = 40
		refs = "000a TDirectory.GetDirectories"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_65999_0 {
	meta:
		name = "TDirectory.GetFileSystemEntries"
		size = 40
		refs = "0009 TDirectory.GetFileSystemEntries"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_66001_0 {
	meta:
		name = "TDirectory.GetFileSystemEntries"
		size = 44
		refs = "000d TDirectory.GetFileSystemEntries"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_68665_0 {
	meta:
		name = "LeftBStr"
		size = 28
		refs = "0014 @LStrCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B CE BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68659_0 {
	meta:
		name = "LeftStr"
		size = 28
		refs = "0014 @LStrCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B CE BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68660_0 {
	meta:
		name = "LeftStr"
		size = 28
		refs = "0014 @WStrCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B CE BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66002_0 {
	meta:
		name = "TDirectory.GetFileSystemEntries"
		size = 44
		refs = "0011 TDirectory.CheckGetFileSystemEntriesParameters 0021 TDirectory.DoGetFileSystemEntries"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 57 8B 45 08 50 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_66009_0 {
	meta:
		name = "TDirectory.GetLogicalDrives"
		size = 182
		refs = "000c TStringDynArray 0011 @DynArrayClear 0018 SetLastError 0021 GetLogicalDriveStrings 002a StrAlloc 0035 TDirectory.GetLogicalDrives 0053 @DynArrayLength 0067 @DynArraySetLength 007e @UStrFromPWChar 0085 StrEnd 00a5 StrDispose 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 50 56 E8 ?? ?? ?? ?? 85 C0 74 47 8B 75 FC 8B 03 E8 ?? ?? ?? ?? 40 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 E8 ?? ?? ?? ?? 8B 13 8D 44 82 FC 8B D6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 C0 02 8B F0 66 83 3E 00 75 BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66011_0 {
	meta:
		name = "TDirectory.InternalCheckDirPathParam"
		size = 220
		refs = "000f TDirectory.InternalCheckDirPathParam 0021 TPath.CheckPathLength 0028 TPath.HasPathValidColon 0032 SPathFormatNotSupported 0039 _Dn_ENotSupportedException 003e Exception.CreateRes 0043 @RaiseExcept 004d Trim 0059 SInvalidCharsInPath 0060 _Dn_EArgumentException 0073 TPath.HasValidPathChars 009b TDirectory.Exists 00a5 SPathNotFound 00ac _Dn_EDirectoryNotFoundException 00cb @UStrClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 04 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 24 B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66012_0 {
	meta:
		name = "TDirectory.IsEmpty$2851$ActRec.$0$Body"
		size = 54
		refs = "000c TPath.FCParentDir 0011 @UStrEqual 001c TPath.FCCurrentDir"
	strings:
		$1 = { 53 56 57 8B F1 8B F8 8B 46 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 14 8B 46 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 DB EB 02 B3 01 88 5F 0C 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66013_0 {
	meta:
		name = "TDirectory.IsEmpty"
		size = 168
		refs = "000f TDirectory.IsEmpty 001c _DV_TDirectory.IsEmpty$2851$ActRec 0021 TObject.Create 0034 @IntfCopy 003d TDirectory.InternalCheckDirPathParam 0061 TDirectory.WalkThroughDirectory 007a @IntfClear 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 8B D3 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 5B 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_66015_0 {
	meta:
		name = "TDirectory.Move$2854$ActRec.$0$Body"
		size = 354
		refs = "0022 TDirectory.Move$2854$ActRec.$0$Body 003f TPath.FCCurrentDir 0044 @UStrEqual 0053 TPath.FCParentDir 0069 @UStrLAsg 0081 AnsiCompareFileName 00ad TPath.FDirectorySeparatorChar 00b2 @UStrFromWChar 00eb StuffString 00f8 TPath.DoCombine 011c CreateDir 0136 @UStrArrayClr 013e @UStrClr 0151 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 89 55 F0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 01 F6 43 10 10 0F 84 E6 00 00 00 8B 43 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 D2 00 00 00 8B 43 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 BE 00 00 00 8D 45 F8 8B 56 10 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F0 E8 ?? ?? ?? ?? 33 C9 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0D 8D 45 FC 8B 56 0C E8 ?? ?? ?? ?? EB 61 8B 7E 10 85 FF 74 05 83 EF 04 8B 3F 8D 45 E4 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 89 45 E0 8B 45 E0 89 45 E8 83 7D E8 00 74 0B 8B 45 E8 83 E8 04 8B 00 89 45 E8 8D 45 FC 50 6A 00 8D 45 DC 50 8B CF 03 4D E8 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 DC 33 C9 8B 46 0C E8 ?? ?? ?? ?? 8D 45 D8 50 8B 53 14 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 0F B6 45 EF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66016_0 {
	meta:
		name = "TDirectory.Move$2854$ActRec.$1$Body"
		size = 512
		refs = "0021 TDirectory.Move$2854$ActRec.$1$Body 0032 TPath.FCParentDir 0037 @UStrEqual 0046 TPath.FCCurrentDir 0075 TPath.DoCombine 0084 FileSetAttr 008c RemoveDir 00af @UStrLAsg 00c6 AnsiCompareFileName 0103 TPath.FDirectorySeparatorChar 0108 @UStrFromWChar 0141 StuffString 019a @UStrToPWChar 01a9 MoveFile 01d6 @UStrArrayClr 01de @UStrClr 01f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B FA 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 46 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 7F 01 00 00 8B 46 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 6B 01 00 00 8B 46 10 83 E0 10 83 E8 01 72 35 83 E8 0F 0F 85 57 01 00 00 8D 45 FC 50 8B 56 14 33 C9 8B C7 E8 ?? ?? ?? ?? B1 01 BA 80 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 2B 01 00 00 8D 45 FC 50 8B 56 14 33 C9 8B C7 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 E4 8B 52 10 E8 ?? ?? ?? ?? 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 33 C9 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 10 8D 45 F8 8B 55 E4 8B 52 0C E8 ?? ?? ?? ?? EB 72 8B 45 E4 8B 40 10 89 45 E0 83 7D E0 00 74 0B 8B 45 E0 83 E8 04 8B 00 89 45 E0 8D 45 D8 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 89 45 D4 8B 45 D4 89 45 DC 83 7D DC 00 74 0B 8B 45 DC 83 E8 04 8B 00 89 45 DC 8D 45 F8 50 6A 00 8D 45 D0 50 8B 4D E0 03 4D DC BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 E4 8B 40 0C 33 C9 E8 ?? ?? ?? ?? 8D 45 CC 50 8B 56 14 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 CC 8D 45 F8 E8 ?? ?? ?? ?? B1 01 BA 80 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 50 8B 45 EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 8B 56 10 B1 01 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66017_0 {
	meta:
		name = "TDirectory.Move"
		size = 252
		refs = "0014 TDirectory.Move 0021 _DV_TDirectory.Move$2854$ActRec 0026 TObject.Create 0039 @IntfCopy 0043 @UStrAsg 0058 TDirectory.CheckMoveParameters 0082 TDirectory.CreateDirectory 0098 TDirectory.WalkThroughDirectory 00a7 FileSetAttr 00af RemoveDir 00c4 @IntfClear 00cd TDirectory.TDirectoryWalkProc 00d7 @FinalizeArray 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8D 43 0C 8B D7 E8 ?? ?? ?? ?? 8D 43 10 8B D6 E8 ?? ?? ?? ?? 8B 53 0C 8B 43 10 E8 ?? ?? ?? ?? 8D 45 FC 8B D3 85 D2 74 03 83 EA E8 E8 ?? ?? ?? ?? 8D 45 F8 8B D3 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B 45 F8 50 6A 01 8B 4D FC BA ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? B1 01 BA 10 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_66018_0 {
	meta:
		name = "TDirectory.SetAttributes"
		size = 29
		refs = "000b TDirectory.CheckSetAttributesParameters 0016 TFile.DoSetAttributes"
	strings:
		$1 = { 53 51 66 89 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 14 24 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_66116_0 {
	meta:
		name = "TFile.SetAttributes"
		size = 29
		refs = "000b TFile.CheckSetAttributesParameters 0016 TFile.DoSetAttributes"
	strings:
		$1 = { 53 51 66 89 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 14 24 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_66019_0 {
	meta:
		name = "TDirectory.SetCreationTime"
		size = 31
		refs = "0009 TDirectory.CheckSetCreationTimeParameters 0016 TDirectory.DoSetCreationTime"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_66020_0 {
	meta:
		name = "TDirectory.SetCreationTimeUtc"
		size = 31
		refs = "0009 TDirectory.CheckSetCreationTimeUtcParameters 0016 TDirectory.DoSetCreationTimeUtc"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_66023_0 {
	meta:
		name = "TDirectory.SetLastAccessTime"
		size = 31
		refs = "0009 TDirectory.CheckSetLastAccessTimeParameters 0016 TDirectory.DoSetLastAccessTime"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_66024_0 {
	meta:
		name = "TDirectory.SetLastAccessTimeUtc"
		size = 31
		refs = "0009 TDirectory.CheckSetLastAccessTimeUtcParameters 0016 TDirectory.DoSetLastAccessTimeUtc"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_66025_0 {
	meta:
		name = "TDirectory.SetLastWriteTime"
		size = 31
		refs = "0009 TDirectory.CheckSetLastWriteTimeParameters 0016 TDirectory.DoSetLastWriteTime"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_66026_0 {
	meta:
		name = "TDirectory.SetLastWriteTimeUtc"
		size = 31
		refs = "0009 TDirectory.CheckSetLastWriteTimeUtcParameters 0016 TDirectory.DoSetLastWriteTimeUtc"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_66021_0 {
	meta:
		name = "TDirectory.SetCurrentDirectory"
		size = 127
		refs = "000c TDirectory.SetCurrentDirectory 0019 TDirectory.CheckSetCurrentDirectoryParameters 0020 SetLastError 0027 SetCurrentDir 0030 GetLastError 0046 SysErrorMessage 0050 _Dn_EInOutError 0055 Exception.Create 005a @RaiseExcept 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2F E8 ?? ?? ?? ?? 8B D8 83 FB 02 74 23 83 FB 03 74 1E 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_66022_0 {
	meta:
		name = "TDirectory.SetDateTimeInfo"
		size = 446
		refs = "002b TDirectory.SetDateTimeInfo 004d @GetMem 005f TDirectory.ConvertDateTimeToFileTime 00da SetLastError 00e3 FileGetAttr 010b @UStrToPWChar 0111 CreateFile 012f SetFileTime 013e @HandleOnException 0146 _Dn_EConvertError 0156 _Dn_EArgumentOutOfRangeException 015b Exception.Create 0160 @RaiseExcept 0165 @DoneExcept 017b CloseHandle 018f @FreeMem 01af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 33 C0 89 45 F8 33 C0 89 45 F4 33 C0 89 45 F0 33 C0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 2A B8 08 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 FF 77 04 FF 37 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 E4 89 10 8B 55 E8 89 50 04 83 7D FC 00 74 2D B8 08 00 00 00 E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC FF 70 04 FF 30 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 E4 89 10 8B 55 E8 89 50 04 83 7D 0C 00 74 2D B8 08 00 00 00 E8 ?? ?? ?? ?? 89 45 EC 8B 45 0C FF 70 04 FF 30 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8B 55 E4 89 10 8B 55 E8 89 50 04 6A 00 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B D8 F6 C3 10 74 07 BB 00 00 00 02 EB 05 BB 80 00 00 00 6A 00 53 6A 03 6A 00 6A 02 68 00 00 00 40 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 FF 74 15 8B 45 EC 50 8B 45 F0 50 8B 45 F4 50 8B 45 F8 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? BA 08 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? BA 08 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? BA 08 00 00 00 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C1 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_66031_0 {
	meta:
		name = "TFile.AppendAllText"
		size = 260
		refs = "0018 TFile.AppendAllText 0029 TFile.CheckAppendAllTextParameters 0051 TFile.DoCreateOpenFile 0060 TEncoding.GetBytes 0076 @DynArrayLength 0083 TStream.WriteBuffer 0092 @HandleOnException 009a _Dn_EFileStreamError 00aa _Dn_EInOutError 00af Exception.Create 00b4 @RaiseExcept 00b9 @DoneExcept 00ce TObject.Free 00d4 @HandleFinally 00ec TArray<System.Byte> 00f1 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 00 B2 02 8B 45 F8 8B 08 FF 51 18 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66032_0 {
	meta:
		name = "TFile.AppendText"
		size = 106
		refs = "000b TFile.CheckAppendTextParameters 0013 TFile.AppendText 0024 _Dn_TStreamWriter 0029 TStreamWriter.Create 003a @HandleOnException 0042 _Dn_EFileStreamError 0052 _Dn_EInOutError 0057 Exception.Create 005c @RaiseExcept 0061 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 08 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_66107_0 {
	meta:
		name = "TFile.OpenWrite"
		size = 106
		refs = "000b TFile.CheckOpenWriteParameters 0013 TFile.OpenWrite 0024 _Dn_TFileStream 0029 TFileStream.Create 003a @HandleOnException 0042 _Dn_EFileStreamError 0052 _Dn_EInOutError 0057 Exception.Create 005c @RaiseExcept 0061 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 08 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_66033_0 {
	meta:
		name = "TFile.Copy"
		size = 20
		refs = "000d TFile.Copy"
	strings:
		$1 = { 56 57 8B FA 8B F0 33 C9 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_66034_0 {
	meta:
		name = "TFile.CheckAppendAllTextParameters"
		size = 92
		refs = "000c TFile.CheckAppendAllTextParameters 001d SParamIsNil 0024 _Dn_EArgumentException 0029 Exception.CreateResFmt 002e @RaiseExcept 0035 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { 83 C4 F8 84 C9 74 2B 85 D2 75 27 B8 ?? ?? ?? ?? 89 04 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 59 5A C3 B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_66066_0 {
	meta:
		name = "TFile.CheckWriteAllLinesParameters"
		size = 92
		refs = "000c TFile.CheckWriteAllLinesParameters 001d SParamIsNil 0024 _Dn_EArgumentException 0029 Exception.CreateResFmt 002e @RaiseExcept 0035 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { 83 C4 F8 84 C9 74 2B 85 D2 75 27 B8 ?? ?? ?? ?? 89 04 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 59 5A C3 B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_66067_0 {
	meta:
		name = "TFile.CheckWriteAllTextParameters"
		size = 92
		refs = "000c TFile.CheckWriteAllTextParameters 001d SParamIsNil 0024 _Dn_EArgumentException 0029 Exception.CreateResFmt 002e @RaiseExcept 0035 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { 83 C4 F8 84 C9 74 2B 85 D2 75 27 B8 ?? ?? ?? ?? 89 04 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 59 5A C3 B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_66036_0 {
	meta:
		name = "TFile.CheckCopyParameters"
		size = 65
		refs = "0009 TFile.InternalCheckFilePathParam 001f TFile.Exists 0029 SFileAlreadyExists 0030 _Dn_EInOutError 0035 Exception.CreateRes 003a @RaiseExcept"
	strings:
		$1 = { 53 56 8B D9 8B F2 B2 01 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 75 24 B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66049_0 {
	meta:
		name = "TFile.CheckMoveParameters"
		size = 57
		refs = "0006 TFile.InternalCheckFilePathParam 0018 TFile.Exists 0022 SFileAlreadyExists 0029 _Dn_EInOutError 002e Exception.CreateRes 0033 @RaiseExcept"
	strings:
		$1 = { 53 8B DA B2 01 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66055_0 {
	meta:
		name = "TFile.CheckReadAllLinesParameters"
		size = 92
		refs = "000c TFile.CheckReadAllLinesParameters 001d SParamIsNil 0024 _Dn_EArgumentException 0029 Exception.CreateResFmt 002e @RaiseExcept 0035 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { 83 C4 F8 84 C9 74 2B 85 D2 75 27 B8 ?? ?? ?? ?? 89 04 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 59 5A C3 B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_66056_0 {
	meta:
		name = "TFile.CheckReadAllTextParameters"
		size = 92
		refs = "000c TFile.CheckReadAllTextParameters 001d SParamIsNil 0024 _Dn_EArgumentException 0029 Exception.CreateResFmt 002e @RaiseExcept 0035 TFile.InternalCheckFilePathParam"
	strings:
		$1 = { 83 C4 F8 84 C9 74 2B 85 D2 75 27 B8 ?? ?? ?? ?? 89 04 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 59 5A C3 B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_66057_0 {
	meta:
		name = "TFile.CheckReplaceParameters"
		size = 236
		refs = "0018 TFile.CheckReplaceParameters 0027 TFile.InternalCheckFilePathParam 0047 TPath.DoGetPathRoot 005e AnsiCompareFileName 006d SSameRootDrive 0074 _Dn_EInOutError 0079 Exception.CreateRes 007e @RaiseExcept 0088 @UStrLAsg 00ae SSourceFileIsDestFile 00d9 @UStrArrayClr 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 85 FF 74 09 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C9 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 33 C9 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66068_0 {
	meta:
		name = "TFile.Copy"
		size = 122
		refs = "0012 TFile.Copy 0023 TFile.CheckCopyParameters 002e TFile.DoCopy 0037 GetLastError 003f SysErrorMessage 0049 _Dn_EInOutError 004e Exception.Create 0053 @RaiseExcept 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 75 21 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66069_0 {
	meta:
		name = "TFile.Create"
		size = 109
		refs = "000b TFile.CheckCreateParameters 0013 TFile.Create 0027 _Dn_TFileStream 002c TFileStream.Create 003d @HandleOnException 0045 _Dn_EFileStreamError 0055 _Dn_EInOutError 005a Exception.Create 005f @RaiseExcept 0064 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 00 FF 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 08 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_66072_0 {
	meta:
		name = "TFile.CreateText"
		size = 106
		refs = "000b TFile.CheckCreateTextParameters 0013 TFile.CreateText 0024 _Dn_TStreamWriter 0029 TStreamWriter.Create 003a @HandleOnException 0042 _Dn_EFileStreamError 0052 _Dn_EInOutError 0057 Exception.Create 005c @RaiseExcept 0061 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 08 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_66105_0 {
	meta:
		name = "TFile.OpenRead"
		size = 106
		refs = "000b TFile.CheckOpenReadParameters 0013 TFile.OpenRead 0024 _Dn_TFileStream 0029 TFileStream.Create 003a @HandleOnException 0042 _Dn_EFileStreamError 0052 _Dn_EInOutError 0057 Exception.Create 005c @RaiseExcept 0061 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 08 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_66073_0 {
	meta:
		name = "TFile.AppendAllText"
		size = 630
		refs = "0017 TFile.AppendAllText 0028 TFile.CheckAppendAllTextParameters 0050 TFile.DoCreateOpenFile 005b TFile.GetEncoding 0062 TEncoding.GetANSI 0079 @LStrFromUStr 0084 @LStrLAsg 009e @LStrEqual 00bd TEncoding.GetBytes 00e6 TArray<System.Byte> 00eb @DynArraySetLength 00f6 @DynArrayLength 0103 TStream.ReadBuffer 0110 TEncoding.GetUTF8 0119 _Dn_TEncoding 011e TEncoding.Convert 012f @DynArrayAsg 0142 TStream.SetSize64 0172 TStream.WriteBuffer 01d9 @HandleOnException 01e1 _Dn_EFileStreamError 01f1 _Dn_EInOutError 01f6 Exception.Create 01fb @RaiseExcept 0200 @DoneExcept 0215 TObject.Free 021b @HandleFinally 0238 @DynArrayClear 0240 @LStrClr 0263 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 0F 85 2E 01 00 00 8D 45 EC 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 E8 8B D6 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 75 22 6A 00 6A 00 B2 02 8B 45 F0 8B 08 FF 51 18 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 E8 ?? ?? ?? ?? E9 F3 00 00 00 6A 00 6A 00 33 D2 8B 45 F0 8B 08 FF 51 18 8B 45 F0 8B 10 FF 12 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 E4 50 E8 ?? ?? ?? ?? 8B C8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 99 52 50 8B 45 F0 E8 ?? ?? ?? ?? 6A 00 6A 00 33 D2 8B 45 F0 8B 08 FF 51 18 E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 51 24 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D FC 8B D6 E8 ?? ?? ?? ?? EB 1D 6A 00 6A 00 B2 02 8B 45 F0 8B 08 FF 51 18 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66074_0 {
	meta:
		name = "TFile.Decrypt"
		size = 121
		refs = "000c TFile.Decrypt 0019 TFile.CheckDecryptParameters 0020 SetLastError 0029 @UStrToPWChar 002f DecryptFile 0038 GetLastError 0040 SysErrorMessage 004a _Dn_EInOutError 004f Exception.Create 0054 @RaiseExcept 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 21 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_66075_0 {
	meta:
		name = "TFile.Delete"
		size = 116
		refs = "000c TFile.Delete 0019 TFile.CheckDeleteParameters 0020 DeleteFile 0029 GetLastError 003b SysErrorMessage 0045 _Dn_EInOutError 004a Exception.Create 004f @RaiseExcept 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2B E8 ?? ?? ?? ?? 83 F8 20 75 21 8D 55 FC B8 20 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_66076_0 {
	meta:
		name = "TFile.DoCopy"
		size = 48
		refs = "0014 @UStrToPWChar 0022 CopyFile"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 80 F3 01 F6 DB 1B C0 50 8B C6 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66077_0 {
	meta:
		name = "TFile.DoCreateOpenFile"
		size = 43
		refs = "0008 TFile.Exists 0020 _Dn_TFileStream 0025 TFileStream.Create"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 66 B8 02 00 EB 04 66 B8 00 FF 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66078_0 {
	meta:
		name = "TFile.DoGetAttributes"
		size = 29
		refs = "000c FileGetAttr 0011 TFile.IntegerToFileAttributes"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66079_0 {
	meta:
		name = "TFile.DoReadAllBytes"
		size = 115
		refs = "0010 TFile.DoReadAllBytes 001b TFile.OpenRead 0033 TArray<System.Byte> 0038 @DynArraySetLength 0042 @DynArrayLength 004e TStream.ReadBuffer 0063 TObject.Free 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 33 D2 89 55 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B 10 FF 12 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 E8 ?? ?? ?? ?? 8B C8 8B 13 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_66080_0 {
	meta:
		name = "TFile.DoReadAllText"
		size = 125
		refs = "0015 TFile.DoReadAllText 002a TFile.DoReadAllBytes 0035 TEncoding.GetBufferEncoding 003f @DynArrayLength 0050 TEncoding.GetString 0066 TArray<System.Byte> 006b @DynArrayClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 2B C3 50 56 8B CB 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66081_0 {
	meta:
		name = "TFile.DoReadAllText"
		size = 131
		refs = "0014 TFile.DoReadAllText 0024 TFile.DoReadAllBytes 0036 @DynArrayLength 0050 TEncoding.GetString 0066 TArray<System.Byte> 0070 @FinalizeArray 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 8B 08 FF 51 24 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 2B C3 50 57 8B CB 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66082_0 {
	meta:
		name = "TFile.DoSetAttributes"
		size = 31
		refs = "000d TFile.FileAttributesToInteger 0018 FileSetAttr"
	strings:
		$1 = { 53 51 66 89 14 24 8B D8 0F B7 04 24 E8 ?? ?? ?? ?? 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_66083_0 {
	meta:
		name = "TFile.DoWriteAllLines"
		size = 156
		refs = "0016 TFile.DoWriteAllLines 0036 TFile.GetStringListFromArray 0055 TFile.DoWriteAllText 006a TObject.Free 0070 @HandleFinally 0087 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C2 E8 ?? ?? ?? ?? 89 45 FC 0F B6 45 08 50 8D 55 F8 8B 45 FC 8B 08 FF 51 1C 8B 55 F8 8B CF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_66084_0 {
	meta:
		name = "TFile.DoWriteAllText"
		size = 202
		refs = "0016 TFile.DoWriteAllText 0034 TFile.Create 004f @DynArrayLength 005c TStream.WriteBuffer 0068 TEncoding.GetBytes 0092 TObject.Free 0098 @HandleFinally 00b0 TArray<System.Byte> 00b5 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 89 45 F8 80 7D 08 00 74 1F 8D 55 FC 8B C6 8B 08 FF 51 24 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_66085_0 {
	meta:
		name = "TFile.Encrypt"
		size = 119
		refs = "000c TFile.Encrypt 0019 TFile.CheckEncryptParameters 0020 SetLastError 0027 @UStrToPWChar 002d EncryptFile 0036 GetLastError 003e SysErrorMessage 0048 _Dn_EInOutError 004d Exception.Create 0052 @RaiseExcept 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 21 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_66087_0 {
	meta:
		name = "TFile.FileAttributesToInteger"
		size = 154
	strings:
		$1 = { 51 66 89 04 24 8B D4 33 C0 F6 02 01 74 03 83 C8 01 F6 02 02 74 03 83 C8 02 F6 02 04 74 03 83 C8 04 F6 02 08 74 03 83 C8 10 F6 02 10 74 03 83 C8 20 F6 02 20 74 03 83 C8 40 F6 42 01 40 74 03 83 C8 40 F6 02 40 74 05 0D 80 00 00 00 F6 02 80 74 05 0D 00 01 00 00 F6 42 01 01 74 05 0D 00 02 00 00 F6 42 01 02 74 05 0D 00 04 00 00 F6 42 01 04 74 05 0D 00 08 00 00 F6 42 01 08 74 05 0D 00 10 00 00 F6 42 01 10 74 05 0D 00 20 00 00 F6 42 01 20 74 05 0D 00 40 00 00 5A C3 }
	condition:
		$1
}

rule function_66089_0 {
	meta:
		name = "TFile.GetCreationTime"
		size = 58
		refs = "0009 TFile.CheckGetCreationTimeParameters 001f TDirectory.GetDateTimeInfo"
	strings:
		$1 = { 53 83 C4 E0 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 44 24 18 50 6A 01 8D 4C 24 18 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 DD 04 24 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_66090_0 {
	meta:
		name = "TFile.GetCreationTimeUtc"
		size = 58
		refs = "0009 TFile.CheckGetCreationTimeUtcParameters 001f TDirectory.GetDateTimeInfo"
	strings:
		$1 = { 53 83 C4 E0 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 44 24 18 50 6A 00 8D 4C 24 18 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 DD 04 24 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_66091_0 {
	meta:
		name = "TFile.GetEncoding"
		size = 202
		refs = "0012 TFile.GetEncoding 0074 TArray<System.Byte> 0079 @DynArraySetLength 0084 @DynArrayLength 0090 TStream.ReadBuffer 009b TEncoding.GetBufferEncoding 00b6 @DynArrayClear 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 6A 00 6A 00 33 D2 8B C3 8B 08 FF 51 18 8B C3 8B 10 FF 12 89 45 F0 89 55 F4 83 7D F4 00 75 08 83 7D F0 04 73 12 EB 02 7D 0E 8B 45 F0 89 45 E8 8B 45 F4 89 45 EC EB 0E C7 45 E8 04 00 00 00 C7 45 EC 00 00 00 00 8B 45 E8 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66092_0 {
	meta:
		name = "TFile.GetLastAccessTime"
		size = 58
		refs = "0009 TFile.CheckGetLastAccessTimeParameters 001f TDirectory.GetDateTimeInfo"
	strings:
		$1 = { 53 83 C4 E0 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 44 24 18 50 6A 01 8D 4C 24 10 8D 54 24 18 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 DD 04 24 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_66093_0 {
	meta:
		name = "TFile.GetLastAccessTimeUtc"
		size = 58
		refs = "0009 TFile.CheckGetLastAccessTimeUtcParameters 001f TDirectory.GetDateTimeInfo"
	strings:
		$1 = { 53 83 C4 E0 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 44 24 18 50 6A 00 8D 4C 24 10 8D 54 24 18 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 DD 04 24 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_66094_0 {
	meta:
		name = "TFile.GetLastWriteTime"
		size = 58
		refs = "0009 TFile.CheckGetLastWriteTimeParameters 001f TDirectory.GetDateTimeInfo"
	strings:
		$1 = { 53 83 C4 E0 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 44 24 08 50 6A 01 8D 4C 24 20 8D 54 24 18 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 DD 04 24 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_66095_0 {
	meta:
		name = "TFile.GetLastWriteTimeUtc"
		size = 58
		refs = "0009 TFile.CheckGetLastWriteTimeUtcParameters 001f TDirectory.GetDateTimeInfo"
	strings:
		$1 = { 53 83 C4 E0 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 44 24 08 50 6A 00 8D 4C 24 20 8D 54 24 18 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 DD 04 24 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_66096_0 {
	meta:
		name = "TFile.GetStringArrayFromText"
		size = 275
		refs = "0018 TFile.GetStringArrayFromText 0026 TStringDynArray 002b @DynArrayClear 0032 _Dn_TStringList 0037 TStringList.Create 004c TStrings.GetEnumerator 007b @UStrLAsg 0082 @DynArrayLength 0096 @DynArraySetLength 00ae @UStrAsg 00b6 TStringsEnumerator.MoveNext 00dd @HandleFinally 00e7 TObject.Free 0101 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B D6 8B 45 F4 8B 08 FF 51 2C 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 4F 8B 75 F0 8D 4D F8 8B 56 04 8B 46 08 8B 30 FF 56 0C 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 40 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 E8 ?? ?? ?? ?? 8B 13 8D 44 82 FC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66097_0 {
	meta:
		name = "TFile.GetStringListFromArray"
		size = 161
		refs = "000f TFile.GetStringListFromArray 001c _Dn_TStringList 0021 TStringList.Create 002e TStringDynArray 0033 @DynArrayAsg 0045 @UStrLAsg 0058 @DynArrayLength 006a @DynArrayClear 008d @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F8 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 19 8D 45 FC 8B 55 F8 8B 14 9A E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 38 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7C DB 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C6 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66099_0 {
	meta:
		name = "TFile.GetSymLinkTarget"
		size = 120
		refs = "0017 TSymLinkRec 001c @InitializeRecord 0024 TFile.GetSymLinkTarget 0037 FileGetSymLinkTarget 0046 @UStrAsg 0064 @FinalizeRecord 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 A0 FD FF FF 53 56 8B F2 8B D8 8D 85 A0 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 A0 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C6 8B 95 A0 FD FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A0 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66100_0 {
	meta:
		name = "TFile.IntegerToFileAttributes"
		size = 144
		refs = "0007 TFile.IntegerToFileAttributes"
	strings:
		$1 = { 53 56 8B D8 0F B7 35 ?? ?? ?? ?? F6 C3 01 74 04 66 83 CE 01 F6 C3 02 74 04 66 83 CE 02 F6 C3 04 74 04 66 83 CE 04 F6 C3 10 74 04 66 83 CE 08 F6 C3 20 74 04 66 83 CE 10 F6 C3 40 74 05 66 81 CE 00 40 F6 C3 80 74 04 66 83 CE 40 F6 C7 01 74 05 66 81 CE 80 00 F6 C7 02 74 05 66 81 CE 00 01 F6 C7 08 74 05 66 81 CE 00 04 F6 C7 10 74 05 66 81 CE 00 08 F6 C7 20 74 05 66 81 CE 00 10 F6 C7 40 74 05 66 81 CE 00 20 8B C6 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_66101_0 {
	meta:
		name = "TFile.InternalCheckFilePathParam"
		size = 290
		refs = "0013 TFile.InternalCheckFilePathParam 0025 TPath.CheckPathLength 002c TPath.HasPathValidColon 0036 SPathFormatNotSupported 003d _Dn_ENotSupportedException 0042 Exception.CreateRes 0047 @RaiseExcept 0051 Trim 005d SInvalidCharsInPath 0064 _Dn_EArgumentException 0077 TPath.HasValidPathChars 009c TPath.DoGetFullPath 00a7 TPath.DoGetDirectoryName 00b3 DirectoryExists 00bd SPathNotFound 00c4 _Dn_EDirectoryNotFoundException 00db TFile.Exists 00e5 SFileNotFound 00ec _Dn_EFileNotFoundException 0110 @UStrArrayClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA F8 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 FC E8 ?? ?? ?? ?? B0 01 8B D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 24 B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66102_0 {
	meta:
		name = "TFile.Move"
		size = 295
		refs = "001a @UStrAddRef 002a TFile.Move 003b TPath.DoGetFullPath 0046 @UStrLAsg 0067 TFile.CheckMoveParameters 0072 TPath.DoGetPathRoot 008a @UStrEqual 00aa @UStrToPWChar 00b9 MoveFile 00ce TFile.DoCopy 00da TFile.Delete 00e1 GetLastError 00e9 SysErrorMessage 00f3 _Dn_EInOutError 00f8 Exception.Create 00fd @RaiseExcept 0117 @UStrArrayClr 011d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 50 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E0 58 E8 ?? ?? ?? ?? 75 35 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 EB 3C 33 C9 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 FC E8 ?? ?? ?? ?? EB 21 E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_66103_0 {
	meta:
		name = "TFile.Open"
		size = 14
		refs = "0008 TFile.Open"
	strings:
		$1 = { 56 8B F0 6A 00 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_66104_0 {
	meta:
		name = "TFile.Open"
		size = 961
		refs = "0014 TFile.CheckOpenParameters 0079 TFile.Open 009a TFile.Exists 00a4 SFileAlreadyExists 00ab _Dn_EInOutError 00b0 Exception.CreateRes 00b5 @RaiseExcept 00d1 _Dn_TFileStream 00d6 TFileStream.Create 00eb @HandleOnException 00f3 _Dn_EFileStreamError 0108 Exception.Create 0112 @DoneExcept 0190 SFileNotFound 0197 _Dn_EFileNotFoundException 02e2 TStream.SetSize64"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FE 88 55 FF 8B F0 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 F8 33 FF 33 DB 0F B6 45 FE 2C 01 72 08 74 0A FE C8 74 0C EB 0E 33 FF EB 0A 66 BF 01 00 EB 04 66 BF 02 00 0F B6 45 08 2C 01 72 0C 74 10 FE C8 74 12 FE C8 74 14 EB 16 66 BB 10 00 EB 10 66 BB 20 00 EB 0A 66 BB 30 00 EB 04 66 BB 40 00 0F B6 45 FF 83 F8 05 0F 87 3F 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 0F B7 C3 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 E9 CB 02 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9A 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 FF 00 00 0F B7 C3 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 E9 65 02 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 34 02 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 0F B7 C3 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 E9 DF 01 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AE 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 18 57 0F B7 C3 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 1A 68 00 FF 00 00 0F B7 C3 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 E9 54 01 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 23 01 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 0F B7 C3 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 C2 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 91 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 26 57 0F B7 C3 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 6A 00 6A 00 B2 02 8B 45 F8 8B 08 FF 51 18 EB 1A 68 00 FF 00 00 0F B7 C3 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_66106_0 {
	meta:
		name = "TFile.OpenText"
		size = 104
		refs = "000b TFile.CheckOpenTextParameters 0013 TFile.OpenText 0022 _Dn_TStreamReader 0027 TStreamReader.Create 0038 @HandleOnException 0040 _Dn_EFileStreamError 0050 _Dn_EInOutError 0055 Exception.Create 005a @RaiseExcept 005f @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 08 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_66108_0 {
	meta:
		name = "TFile.ReadAllBytes"
		size = 98
		refs = "000f TFile.ReadAllBytes 001c TFile.CheckReadAllBytesParameters 0026 TFile.DoReadAllBytes 0031 TArray<System.Byte> 0036 @DynArrayAsg 0051 @DynArrayClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66109_0 {
	meta:
		name = "TFile.ReadAllLines"
		size = 96
		refs = "0012 TFile.ReadAllLines 0023 TFile.CheckReadAllLinesParameters 002f TFile.DoReadAllText 0039 TFile.GetStringArrayFromText 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66110_0 {
	meta:
		name = "TFile.ReadAllLines"
		size = 155
		refs = "0013 TFile.ReadAllLines 0024 TFile.CheckReadAllLinesParameters 0033 TFile.DoReadAllBytes 003e TEncoding.GetBufferEncoding 0048 @DynArrayLength 005c TEncoding.GetString 0066 TFile.GetStringArrayFromText 007b @UStrClr 0084 TArray<System.Byte> 0089 @DynArrayClear 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 2B C3 50 8D 45 F8 50 8B CB 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66111_0 {
	meta:
		name = "TFile.ReadAllText"
		size = 29
		refs = "000d TFile.CheckReadAllTextParameters 0016 TFile.DoReadAllText"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66112_0 {
	meta:
		name = "TFile.ReadAllText"
		size = 35
		refs = "0010 TFile.CheckReadAllTextParameters 001b TFile.DoReadAllText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66113_0 {
	meta:
		name = "TFile.Replace"
		size = 244
		refs = "001f @UStrAddRef 0037 TFile.Replace 0048 TPath.DoGetFullPath 0053 @UStrLAsg 008d TFile.CheckReplaceParameters 00a2 SetLastError 00af @UStrToPWChar 00c7 ReplaceFile 00e1 @UStrArrayClr 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D E8 89 5D EC 89 5D F0 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? BB 01 00 00 00 80 7D 08 00 74 03 83 CB 02 6A 00 E8 ?? ?? ?? ?? 6A 00 6A 00 53 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_66114_0 {
	meta:
		name = "TFile.Replace"
		size = 14
		refs = "0008 TFile.Replace"
	strings:
		$1 = { 56 8B F0 6A 01 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_66115_0 {
	meta:
		name = "TFile.Open"
		size = 10
		refs = "0005 TFile.Open"
	strings:
		$1 = { 6A 00 B1 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66117_0 {
	meta:
		name = "TFile.SetCreationTime"
		size = 51
		refs = "000c TFile.CheckSetCreationTimeParameters 0028 TDirectory.SetDateTimeInfo"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 6A 00 6A 01 8D 55 F8 33 C9 8B C3 E8 ?? ?? ?? ?? 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66118_0 {
	meta:
		name = "TFile.SetCreationTimeUtc"
		size = 51
		refs = "000c TFile.CheckSetCreationTimeUtcParameters 0028 TDirectory.SetDateTimeInfo"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 6A 00 6A 00 8D 55 F8 33 C9 8B C3 E8 ?? ?? ?? ?? 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66119_0 {
	meta:
		name = "TFile.SetLastAccessTime"
		size = 51
		refs = "000c TFile.CheckSetLastAccessTimeParameters 0028 TDirectory.SetDateTimeInfo"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 6A 00 6A 01 8D 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66120_0 {
	meta:
		name = "TFile.SetLastAccessTimeUtc"
		size = 51
		refs = "000c TFile.CheckSetLastAccessTimeUtcParameters 0028 TDirectory.SetDateTimeInfo"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 6A 00 6A 00 8D 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66121_0 {
	meta:
		name = "TFile.SetLastWriteTime"
		size = 52
		refs = "000c TFile.CheckSetLastWriteTimeParameters 0029 TDirectory.SetDateTimeInfo"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 8D 45 F8 50 6A 01 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66122_0 {
	meta:
		name = "TFile.SetLastWriteTimeUtc"
		size = 52
		refs = "000c TFile.CheckSetLastWriteTimeUtcParameters 0029 TDirectory.SetDateTimeInfo"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 8D 45 F8 50 6A 00 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66123_0 {
	meta:
		name = "TFile.WriteAllBytes"
		size = 131
		refs = "000d TFile.CheckWriteAllBytesParameters 001a TFile.WriteAllBytes 0027 TFile.Create 0031 @DynArrayLength 003c TStream.SetSize64 005d TStream.WriteBuffer 0072 TObject.Free 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8B C3 E8 ?? ?? ?? ?? 99 52 50 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 33 D2 8B 45 FC 8B 08 FF 51 18 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66124_0 {
	meta:
		name = "TFile.WriteAllLines"
		size = 54
		refs = "0010 TFile.CheckWriteAllLinesParameters 0017 TFile.GetStringListFromArray 002e TObject.Free"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 B1 01 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 8B CF 8B D6 8B C3 8B 30 FF 96 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66125_0 {
	meta:
		name = "TFile.WriteAllLines"
		size = 38
		refs = "000d TFile.CheckWriteAllLinesParameters 0014 TEncoding.GetUTF8 001f TFile.DoWriteAllLines"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66127_0 {
	meta:
		name = "TFile.WriteAllText"
		size = 38
		refs = "000d TFile.CheckWriteAllTextParameters 0014 TEncoding.GetUTF8 001f TFile.DoWriteAllText"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66126_0 {
	meta:
		name = "TFile.WriteAllText"
		size = 37
		refs = "0010 TFile.CheckWriteAllTextParameters 001d TFile.DoWriteAllText"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 01 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66128_0 {
	meta:
		name = "TPath.ChangeExtension"
		size = 347
		refs = "001f TPath.ChangeExtension 002c @UStrClr 003d TPath.HasValidPathChars 0047 SInvalidCharsInPath 004e _Dn_EArgumentException 0053 Exception.CreateRes 0058 @RaiseExcept 0061 @UStrAsg 0068 TPath.GetExtensionSeparatorPos 0078 TPath.FExtensionSeparatorChar 007d @UStrFromWChar 0087 @UStrCat 0106 @UStrCopy 011c StuffString 0140 @UStrArrayClr 014e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E8 89 5D E4 89 5D F0 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 F6 0F 84 F2 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B F0 85 F6 75 2C 8D 45 F0 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 03 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 8B F0 83 7D FC 00 74 21 8B 45 FC 0F B7 00 66 3B 05 ?? ?? ?? ?? 74 09 C7 45 F8 01 00 00 00 EB 10 C7 45 F8 02 00 00 00 EB 07 C7 45 F8 01 00 00 00 8B 03 89 45 EC 8B 7D EC 85 FF 74 05 83 EF 04 8B 3F 8B 45 FC 89 45 F4 83 7D F4 00 74 0B 8B 45 F4 83 E8 04 8B 00 89 45 F4 8D 45 E4 50 8B 4D F4 2B 4D F8 41 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 50 8D 45 E8 50 8B CF 2B CE 8D 56 01 8B 03 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66129_0 {
	meta:
		name = "TPath.CheckPathLength"
		size = 54
		refs = "0015 TPath.IsExtendedPrefixed 001f SPathTooLong 0026 _Dn_EPathTooLongException 002b Exception.CreateRes 0030 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B C3 85 C0 74 05 83 E8 04 8B 00 3B D0 7F 22 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66131_0 {
	meta:
		name = "TPath.Create@"
		size = 1110
		refs = "000d TPath.Create@ 0019 TPath.$ClassInitFlag 0025 Randomize 002c TPath.FAltDirectorySeparatorChar 0035 TPath.FExtensionSeparatorChar 0040 TArray<System.Char> 0045 @DynArrayClear 005a @DynArraySetLength 0076 TPath.FFileNameWildCardChars 0081 @DynArrayAsg 0088 TPath.FDirectorySeparatorChar 0091 TPath.FPathSeparator 009a TPath.FVolumeSeparatorChar 020d TPath.FInvalidPathChars 03b6 TPath.FInvalidFileNameChars 041b TPath.FPathWildcardChars 0446 @FinalizeArray 044c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 0F 83 06 04 00 00 E8 ?? ?? ?? ?? 66 C7 05 ?? ?? ?? ?? 2F 00 66 C7 05 ?? ?? ?? ?? 2E 00 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 66 C7 00 2A 00 8B 45 FC 66 C7 40 02 3F 00 8B 55 FC B8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 05 ?? ?? ?? ?? 5C 00 66 C7 05 ?? ?? ?? ?? 3B 00 66 C7 05 ?? ?? ?? ?? 3A 00 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 24 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 66 C7 00 00 00 8B 45 F8 66 C7 40 02 01 00 8B 45 F8 66 C7 40 04 02 00 8B 45 F8 66 C7 40 06 03 00 8B 45 F8 66 C7 40 08 04 00 8B 45 F8 66 C7 40 0A 05 00 8B 45 F8 66 C7 40 0C 06 00 8B 45 F8 66 C7 40 0E 07 00 8B 45 F8 66 C7 40 10 08 00 8B 45 F8 66 C7 40 12 09 00 8B 45 F8 66 C7 40 14 0A 00 8B 45 F8 66 C7 40 16 0B 00 8B 45 F8 66 C7 40 18 0C 00 8B 45 F8 66 C7 40 1A 0D 00 8B 45 F8 66 C7 40 1C 0E 00 8B 45 F8 66 C7 40 1E 0F 00 8B 45 F8 66 C7 40 20 10 00 8B 45 F8 66 C7 40 22 11 00 8B 45 F8 66 C7 40 24 12 00 8B 45 F8 66 C7 40 26 13 00 8B 45 F8 66 C7 40 28 14 00 8B 45 F8 66 C7 40 2A 15 00 8B 45 F8 66 C7 40 2C 16 00 8B 45 F8 66 C7 40 2E 17 00 8B 45 F8 66 C7 40 30 18 00 8B 45 F8 66 C7 40 32 19 00 8B 45 F8 66 C7 40 34 1A 00 8B 45 F8 66 C7 40 36 1B 00 8B 45 F8 66 C7 40 38 1C 00 8B 45 F8 66 C7 40 3A 1D 00 8B 45 F8 66 C7 40 3C 1E 00 8B 45 F8 66 C7 40 3E 1F 00 8B 45 F8 66 C7 40 40 22 00 8B 45 F8 66 C7 40 42 3C 00 8B 45 F8 66 C7 40 44 3E 00 8B 45 F8 66 C7 40 46 7C 00 8B 55 F8 B8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 29 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 66 C7 00 00 00 8B 45 F4 66 C7 40 02 01 00 8B 45 F4 66 C7 40 04 02 00 8B 45 F4 66 C7 40 06 03 00 8B 45 F4 66 C7 40 08 04 00 8B 45 F4 66 C7 40 0A 05 00 8B 45 F4 66 C7 40 0C 06 00 8B 45 F4 66 C7 40 0E 07 00 8B 45 F4 66 C7 40 10 08 00 8B 45 F4 66 C7 40 12 09 00 8B 45 F4 66 C7 40 14 0A 00 8B 45 F4 66 C7 40 16 0B 00 8B 45 F4 66 C7 40 18 0C 00 8B 45 F4 66 C7 40 1A 0D 00 8B 45 F4 66 C7 40 1C 0E 00 8B 45 F4 66 C7 40 1E 0F 00 8B 45 F4 66 C7 40 20 10 00 8B 45 F4 66 C7 40 22 11 00 8B 45 F4 66 C7 40 24 12 00 8B 45 F4 66 C7 40 26 13 00 8B 45 F4 66 C7 40 28 14 00 8B 45 F4 66 C7 40 2A 15 00 8B 45 F4 66 C7 40 2C 16 00 8B 45 F4 66 C7 40 2E 17 00 8B 45 F4 66 C7 40 30 18 00 8B 45 F4 66 C7 40 32 19 00 8B 45 F4 66 C7 40 34 1A 00 8B 45 F4 66 C7 40 36 1B 00 8B 45 F4 66 C7 40 38 1C 00 8B 45 F4 66 C7 40 3A 1D 00 8B 45 F4 66 C7 40 3C 1E 00 8B 45 F4 66 C7 40 3E 1F 00 8B 45 F4 66 C7 40 40 22 00 8B 45 F4 66 C7 40 42 2A 00 8B 45 F4 66 C7 40 44 2F 00 8B 45 F4 66 C7 40 46 3A 00 8B 45 F4 66 C7 40 48 3C 00 8B 45 F4 66 C7 40 4A 3E 00 8B 45 F4 66 C7 40 4C 3F 00 8B 45 F4 66 C7 40 4E 5C 00 8B 45 F4 66 C7 40 50 7C 00 8B 55 F4 B8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 05 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F0 66 C7 00 2A 00 8B 45 F0 66 C7 40 02 2F 00 8B 45 F0 66 C7 40 04 3A 00 8B 45 F0 66 C7 40 06 3F 00 8B 45 F0 66 C7 40 08 5C 00 8B 55 F0 B8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B E5 5D C3 }
	condition:
		$1
}

rule function_66132_0 {
	meta:
		name = "TPath.DoCombine"
		size = 301
		refs = "001c TPath.DoCombine 002f @UStrAsg 0055 TPath.HasValidPathChars 005f SInvalidCharsInPath 0066 _Dn_EArgumentException 006b Exception.CreateRes 0070 @RaiseExcept 009b TPath.IsPathRooted 00a6 TPath.IsExtendedPrefixed 00d2 TPath.IsPathSeparator 00e1 TPath.FDirectorySeparatorChar 00e6 @UStrFromWChar 00f6 @UStrCatN 0103 @UStrCat3 0118 @UStrClr 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 88 4D FF 8B DA 8B F0 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 0E 8B C7 8B D3 E8 ?? ?? ?? ?? E9 CF 00 00 00 85 DB 75 0E 8B C7 8B D6 E8 ?? ?? ?? ?? E9 BD 00 00 00 80 7D FF 00 74 48 B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C7 8B D3 E8 ?? ?? ?? ?? EB 4E 8B C6 85 C0 74 05 83 E8 04 8B 00 0F B7 44 46 FE 66 89 45 FC 0F B7 45 FC E8 ?? ?? ?? ?? 84 C0 75 22 56 8D 45 F8 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 53 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0B 8B C7 8B CB 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_66133_0 {
	meta:
		name = "TPath.DoGetDirectoryName"
		size = 503
		refs = "001d @UStrAddRef 0025 TPath.DoGetDirectoryName 0033 @UStrClr 003e Trim 0049 @UStrLAsg 0053 TPath.FAltDirectorySeparatorChar 0058 @UStrFromWChar 0066 TPath.FDirectorySeparatorChar 0077 @UStrCat3 0082 LastDelimiter 0090 TPath.GetPosAfterExtendedPrefix 00b9 TPath.IsUNCRooted 00d4 FindDelimiter 0106 TPath.IsDriveRooted 011c TPath.FVolumeSeparatorChar 0127 TPath.PrefixExtendsPath 01a2 PosEx 01bd @UStrCopy 01d7 @UStrArrayClr 01ea @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 E4 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8D 45 E0 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F8 59 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EC 8D 55 F3 8B 45 FC E8 ?? ?? ?? ?? 8B F0 83 7D EC 00 0F 9F C2 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F8 33 DB 84 D2 0F 84 C9 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 41 80 7D F3 00 75 03 83 C6 02 8D 4E 01 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 10 8D 4E 01 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 75 07 33 DB E9 B5 00 00 00 8B 5D EC 4B E9 AC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 44 8B 45 FC 8B 55 EC 0F B7 44 50 FC 66 3B 05 ?? ?? ?? ?? 75 21 0F B6 45 F3 E8 ?? ?? ?? ?? 84 C0 74 06 8B 5D EC 4B EB 79 3B 7D EC 7E 05 8B 5D EC EB 6F 33 DB EB 6B 3B 75 EC 7D 06 8B 5D EC 4B EB 60 33 DB EB 5C 0F B6 45 F3 E8 ?? ?? ?? ?? 84 C0 75 1B 3B 75 EC 75 10 3B 7D EC 7E 07 BB 01 00 00 00 EB 3E 33 DB EB 3A 8B 5D EC 4B EB 34 33 DB EB 30 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 24 8D 45 DC 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B CE 8B 55 FC E8 ?? ?? ?? ?? 8B D8 3B FB 75 02 33 DB 8B 45 F4 50 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66134_0 {
	meta:
		name = "TPath.DoGetFileName"
		size = 267
		refs = "001d TPath.DoGetFileName 002a @UStrClr 0041 TPath.HasValidPathChars 004b SInvalidCharsInPath 0052 _Dn_EArgumentException 0057 Exception.CreateRes 005c @RaiseExcept 0066 TPath.FDirectorySeparatorChar 006b @UStrFromWChar 0078 TPath.FAltDirectorySeparatorChar 008a TPath.FVolumeSeparatorChar 009f @UStrCatN 00a9 LastDelimiter 00d3 @UStrCopy 00de @UStrAsg 00f8 @UStrArrayClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 85 DB 0F 84 AC 00 00 00 80 7D FF 00 74 24 B2 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F0 8D 45 EC 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 EC 8D 45 E8 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E8 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B D3 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 26 89 5D F8 83 7D F8 00 74 0B 8B 45 F8 83 E8 04 8B 00 89 45 F8 57 8B 4D F8 2B CE 8D 56 01 8B C3 E8 ?? ?? ?? ?? EB 09 8B C7 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66135_0 {
	meta:
		name = "TPath.DoGetFullPath"
		size = 121
		refs = "000f TPath.DoGetFullPath 001c SetLastError 0025 ExpandFileName 002a GetLastError 003f SysErrorMessage 0049 _Dn_ENotSupportedException 004e Exception.Create 0053 @RaiseExcept 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 23 83 FB 02 74 1E 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66136_0 {
	meta:
		name = "TPath.DoGetPathRoot"
		size = 381
		refs = "0017 TPath.DoGetPathRoot 0027 TPath.FAltDirectorySeparatorChar 002c @UStrFromWChar 003a TPath.FDirectorySeparatorChar 004b @UStrCat3 0059 TPath.GetPosAfterExtendedPrefix 0064 TPath.IsDriveRooted 0088 IsDelimiter 0098 TPath.PrefixExtendsPath 00aa TPath.IsUNCRooted 00bf FindDelimiter 0125 @UStrCopy 0145 @UStrCat 0162 @UStrArrayClr 016a @UStrClr 0170 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC 59 E8 ?? ?? ?? ?? C6 45 F6 00 8D 55 F7 8B C3 E8 ?? ?? ?? ?? 8B F0 33 FF 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3B 8D 7E 01 8B C3 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7E 0F 8D 4E 02 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 02 33 C0 88 45 F6 0F B6 45 F7 E8 ?? ?? ?? ?? 22 45 F6 74 76 C6 45 F6 00 EB 70 8B C3 E8 ?? ?? ?? ?? 84 C0 74 42 BE 03 00 00 00 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 7E 18 8B FE 8D 4E 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 7E 03 8B FE 4F 85 F6 75 32 8B C3 85 C0 74 05 83 E8 04 8B 00 8B F8 EB 23 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B F8 83 E7 7F 8D 4E 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? 83 E0 7F 03 F8 8B 45 F8 50 8B CF BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 7D F6 00 74 1D 8D 45 E8 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66137_0 {
	meta:
		name = "TPath.DoIsPathRooted"
		size = 209
		refs = "001f TPath.HasValidPathChars 0029 SInvalidCharsInPath 0030 _Dn_EArgumentException 0035 Exception.CreateRes 003a @RaiseExcept 0045 TPath.GetPosAfterExtendedPrefix 004e @UStrToPWChar 006f TPath.FVolumeSeparatorChar 0091 TPath.FDirectorySeparatorChar 009a TPath.FAltDirectorySeparatorChar 00b9 TPath.IsValidPathChar"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B F8 33 DB 85 FF 0F 84 B5 00 00 00 80 3C 24 00 74 24 33 D2 8B C7 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 54 24 01 8B C7 E8 ?? ?? ?? ?? 8B F0 8B C7 E8 ?? ?? ?? ?? 8B E8 8B C7 85 C0 74 05 83 E8 04 8B 00 2B C6 40 83 F8 02 7C 0E 0F B7 54 75 00 66 3B 15 ?? ?? ?? ?? 74 04 33 DB EB 02 B3 01 84 DB 75 25 80 7C 24 01 00 75 1A 48 7C 17 0F B7 54 75 FE 66 3B 15 ?? ?? ?? ?? 74 0D 66 3B 15 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 8B D8 84 DB 75 19 80 7C 24 01 02 75 0E 0F B7 44 75 FE E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66138_0 {
	meta:
		name = "TPath.DoMatchesPattern"
		size = 60
		refs = "0009 TPath.DoMatchesPattern 000e @UStrEqual 001e MatchesMask"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 05 B0 01 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2A 00 2E 00 2A 00 00 00 }
	condition:
		$1
}

rule function_66139_0 {
	meta:
		name = "TPath.DriveExists"
		size = 167
		refs = "0016 TPath.IsDriveRooted 0021 TPath.GetPosAfterExtendedPrefix 002a @UStrToPWChar 003a GetLogicalDrives 005b CFirstDrive 0062 CLastDrive 006d @SetRange"
	strings:
		$1 = { 53 56 83 C4 DC 8B D8 C6 04 24 00 85 DB 0F 84 8A 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 7F 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D6 03 D2 03 C2 83 E8 02 8B D8 E8 ?? ?? ?? ?? 8B F0 0F B7 13 8B C2 8B CA 83 C1 9F 66 83 E9 1A 73 06 8B C2 66 25 DF FF 8B D8 0F B6 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8D 4C 24 04 B4 20 E8 ?? ?? ?? ?? 8D 44 24 04 8B D3 0F B6 D2 0F A3 10 0F 92 C0 84 C0 74 19 8B C3 0F B6 15 ?? ?? ?? ?? 2A C2 8B C8 D3 EE 83 E6 01 83 FE 01 0F 94 04 24 0F B6 04 24 83 C4 24 5E 5B C3 }
	condition:
		$1
}

rule function_66140_0 {
	meta:
		name = "TPath.GetAttributes"
		size = 99
		refs = "000f TPath.GetAttributes 001e TDirectory.InternalCheckDirPathParam 0028 @UStrLAsg 0032 FileGetAttr 0037 TFile.IntegerToFileAttributes 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66141_0 {
	meta:
		name = "TPath.GetDirectoryName"
		size = 178
		refs = "0015 @UStrAddRef 001d TPath.GetDirectoryName 0030 TPath.CheckPathLength 003b Trim 0047 SInvalidCharsInFileName 004e _Dn_EArgumentException 0053 Exception.CreateRes 0058 @RaiseExcept 0062 TPath.HasValidPathChars 0087 TPath.DoGetDirectoryName 00a1 @UStrArrayClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 04 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66142_0 {
	meta:
		name = "TPath.GetExtension"
		size = 100
		refs = "000b @UStrClr 0018 TPath.HasValidPathChars 0022 SInvalidCharsInFileName 0029 _Dn_EArgumentException 002e Exception.CreateRes 0033 @RaiseExcept 003a TPath.GetExtensionSeparatorPos 005b @UStrCopy"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B C7 E8 ?? ?? ?? ?? 85 DB 74 4C B2 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 1B 8B EB 85 ED 74 06 83 ED 04 8B 6D 00 57 8B CD 2B CE 41 8B D6 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66143_0 {
	meta:
		name = "TPath.GetExtensionSeparatorPos"
		size = 81
		refs = "001c TPath.FExtensionSeparatorChar 0029 TPath.FDirectorySeparatorChar 0032 TPath.FAltDirectorySeparatorChar"
	strings:
		$1 = { 56 8B C8 8B C1 85 C0 74 05 83 E8 04 8B 00 8B F0 B0 02 EB 29 0F B7 54 71 FE 66 3B 15 ?? ?? ?? ?? 75 04 33 C0 EB 17 66 3B 15 ?? ?? ?? ?? 74 09 66 3B 15 ?? ?? ?? ?? 75 04 B0 01 EB 01 4E 3C 02 75 05 83 FE 01 7D CE 48 2C 02 73 02 33 F6 8B C6 5E C3 }
	condition:
		$1
}

rule function_66145_0 {
	meta:
		name = "TPath.GetFileNameWithoutExtension"
		size = 58
		refs = "0009 @UStrClr 0016 TPath.GetFileName 001d TPath.GetExtensionSeparatorPos 0033 @UStrCopy"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 85 F6 74 26 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 10 53 8B CE 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66146_0 {
	meta:
		name = "TPath.GetFullPath"
		size = 155
		refs = "000f TPath.GetFullPath 0021 TPath.CheckPathLength 002b Trim 0037 SInvalidCharsInPath 003e _Dn_EArgumentException 0043 Exception.CreateRes 0048 @RaiseExcept 0051 TPath.HasValidPathChars 0075 TPath.DoGetFullPath 008a @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 04 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66147_0 {
	meta:
		name = "TPath.GetGUIDFileName"
		size = 228
		refs = "001f TPath.GetGUIDFileName 002c @UStrClr 0034 CreateGUID 0042 GUIDToString 0064 @UStrCopy 0074 @UStrLAsg 009b AnsiReplaceStr 00a5 @UStrAsg 00bf @UStrArrayClr 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D FC 89 4D F8 89 4D F4 89 4D F0 8B DA 88 45 EF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 DF E8 ?? ?? ?? ?? 85 C0 75 6D 8B D3 8D 45 DF E8 ?? ?? ?? ?? 8B 03 89 45 D8 8B 75 D8 85 F6 74 05 83 EE 04 8B 36 53 8B CE 49 49 8B 03 BA 02 00 00 00 E8 ?? ?? ?? ?? 80 7D EF 00 75 3B 8D 45 FC 8B 13 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B C3 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_66148_0 {
	meta:
		name = "TPath.GetInvalidFileNameChars"
		size = 24
		refs = "0007 TPath.FInvalidFileNameChars 000d TArray<System.Char> 0012 @DynArrayAsg"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66149_0 {
	meta:
		name = "TPath.GetInvalidPathChars"
		size = 24
		refs = "0007 TPath.FInvalidPathChars 000d TArray<System.Char> 0012 @DynArrayAsg"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66150_0 {
	meta:
		name = "TPath.GetPathRoot"
		size = 143
		refs = "000f TPath.GetPathRoot 001f Trim 002b SInvalidCharsInPath 0032 _Dn_EArgumentException 0037 Exception.CreateRes 003c @RaiseExcept 0045 TPath.HasValidPathChars 0069 TPath.DoGetPathRoot 007e @UStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66151_0 {
	meta:
		name = "TPath.GetPosAfterExtendedPrefix"
		size = 93
		refs = "000a TPath.GetExtendedPrefix 0027 TPath.FCExtendedPrefix 003e TPath.FCExtendedUNCPrefix"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 88 03 0F B6 03 2C 01 72 08 74 0D FE C8 74 20 EB 35 B8 01 00 00 00 EB 33 A1 ?? ?? ?? ?? 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 40 EB 1C A1 ?? ?? ?? ?? 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 40 EB 05 B8 01 00 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_66153_0 {
	meta:
		name = "TPath.GetRandomFileName"
		size = 171
		refs = "0010 TPath.GetRandomFileName 001d @UStrClr 0025 CDotIndex 0031 Random 003b CIntervals 0053 @UStrFromWChar 005d @UStrCat 0069 TPath.FExtensionSeparatorChar 0098 @UStrArrayClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? B3 01 3A 1D ?? ?? ?? ?? 74 38 B8 03 00 00 00 E8 ?? ?? ?? ?? 83 E0 7F 8D 3C 45 ?? ?? ?? ?? 0F B6 47 01 E8 ?? ?? ?? ?? 8B D0 0F B6 07 03 D0 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 19 8D 45 F8 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 43 80 FB 0D 75 A1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66154_0 {
	meta:
		name = "TPath.GetTempFileName"
		size = 184
		refs = "000e TPath.GetTempFileName 001c TPath.GetTempPath 0028 @UStrSetLength 002f SetLastError 0036 @UStrToPWChar 004c GetTempFileName 0055 GetLastError 005d SysErrorMessage 0067 _Dn_EInOutError 006c Exception.Create 0071 @RaiseExcept 007d @PWCharLen 009f @UStrArrayClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C3 BA 04 01 00 00 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 50 6A 00 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 21 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 74 00 6D 00 70 00 00 00 }
	condition:
		$1
}

rule function_66155_0 {
	meta:
		name = "TPath.GetTempPath"
		size = 107
		refs = "0008 SetLastError 0014 @UStrSetLength 001b @UStrToPWChar 0026 GetTempPath 003d GetLongPathName 0063 @UStrClr"
	strings:
		$1 = { 53 56 57 8B D8 6A 00 E8 ?? ?? ?? ?? 8B C3 BA 04 01 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 50 68 04 01 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 74 30 6A 00 6A 00 8B 03 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 56 8B 03 E8 ?? ?? ?? ?? 8B F8 57 57 E8 ?? ?? ?? ?? 8B D6 4A 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66157_0 {
	meta:
		name = "TPath.HasExtension"
		size = 63
		refs = "000f TPath.HasValidPathChars 0019 SInvalidCharsInPath 0020 _Dn_EArgumentException 0025 Exception.CreateRes 002a @RaiseExcept 0031 TPath.GetExtensionSeparatorPos"
	strings:
		$1 = { 53 56 8B F0 33 DB 85 F6 74 30 B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 9F C3 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_66158_0 {
	meta:
		name = "TPath.HasValidFileNameChars"
		size = 117
		refs = "000f TPath.GetPosAfterExtendedPrefix 0019 @UStrToPWChar 003a TPath.IsValidFileNameChar 004b TPath.IsFileNameWildcardChar"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 88 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 8B C3 E8 ?? ?? ?? ?? 8B E8 8B C3 85 C0 74 05 83 E8 04 8B 00 89 44 24 04 33 DB EB 2D 0F B7 74 7D 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1C 80 3C 24 00 74 12 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 B3 01 EB 08 47 EB 05 B3 01 EB 01 47 84 DB 75 06 3B 7C 24 04 7C C9 80 F3 01 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66159_0 {
	meta:
		name = "TPath.HasValidPathChars"
		size = 117
		refs = "000f TPath.GetPosAfterExtendedPrefix 0019 @UStrToPWChar 003a TPath.IsValidPathChar 004b TPath.IsPathWildcardChar"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 88 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 8B C3 E8 ?? ?? ?? ?? 8B E8 8B C3 85 C0 74 05 83 E8 04 8B 00 89 44 24 04 33 DB EB 2D 0F B7 74 7D 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1C 80 3C 24 00 74 12 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 B3 01 EB 08 47 EB 05 B3 01 EB 01 47 84 DB 75 06 3B 7C 24 04 7C C9 80 F3 01 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66160_0 {
	meta:
		name = "TPath.HasPathValidColon"
		size = 142
		refs = "000f TPath.HasPathValidColon 0021 Trim 002e TPath.GetPosAfterExtendedPrefix 0037 TPath.IsDriveRooted 0048 TPath.FVolumeSeparatorChar 004d @UStrFromWChar 0059 PosEx 007a @UStrArrayClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 39 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 03 83 C3 02 8D 45 F8 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B CB 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66161_0 {
	meta:
		name = "TPath.IsCharInOrderedArray"
		size = 100
		refs = "0012 @DynArrayLength"
	strings:
		$1 = { 53 56 57 55 51 8B FA 8B F0 C6 04 24 00 33 DB 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 3F 66 3B 34 5F 72 39 66 3B 34 47 77 33 8B D0 2B D3 D1 FA 79 03 83 D2 00 03 D3 0F B7 2C 57 66 3B EE 76 05 8B C2 48 EB 0E 66 3B EE 73 05 8D 5A 01 EB 04 C6 04 24 01 80 3C 24 00 75 04 3B C3 7D CD 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66162_0 {
	meta:
		name = "TPath.IsDriveRooted"
		size = 114
		refs = "0019 TPath.GetPosAfterExtendedPrefix 0022 @UStrToPWChar 0053 CDriveSet 0060 TPath.FVolumeSeparatorChar"
	strings:
		$1 = { 53 56 8B D8 33 D2 8B C3 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7C 57 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D6 03 D2 03 C2 83 E8 02 0F B7 08 8B D1 8B D9 83 C3 9F 66 83 EB 1A 73 07 8B D1 66 81 E2 DF FF 66 81 FA FF 00 77 0A 0F B7 D2 0F A3 15 ?? ?? ?? ?? 73 10 0F B7 40 02 66 3B 05 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 8B D0 8B C2 5E 5B C3 }
	condition:
		$1
}

rule function_66164_0 {
	meta:
		name = "TPath.GetExtendedPrefix"
		size = 188
		refs = "0014 TPath.GetExtendedPrefix 0025 TPath.FCExtendedUNCPrefix 0046 @UStrCopy 0054 @UStrEqual 005b TPath.FCExtendedPrefix 00a7 @UStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 85 F6 74 72 A1 ?? ?? ?? ?? 89 45 F8 8B 7D F8 85 FF 74 05 83 EF 04 8B 3F 8D 45 FC 50 8B CF BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 3A A1 ?? ?? ?? ?? 89 45 F8 8B 7D F8 85 FF 74 05 83 EF 04 8B 3F 8D 45 FC 50 8B CF BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 06 B3 01 EB 02 B3 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66168_0 {
	meta:
		name = "TPath.IsUNCPath"
		size = 35
		refs = "0006 TPath.IsUNCRooted 0013 TPath.HasValidPathChars"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D B2 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_66169_0 {
	meta:
		name = "TPath.IsUNCRooted"
		size = 87
		refs = "0019 @UStrToPWChar 0020 TPath.FDirectorySeparatorChar 003e TPath.GetExtendedPrefix 004c TPath.IsValidPathChar"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B C6 85 C0 74 05 83 E8 04 8B 00 83 F8 03 7C 3C 8B C6 E8 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B 10 75 29 66 3B 50 02 75 23 0F B7 50 04 8B CA 66 83 E9 3F 75 0E 8B C6 E8 ?? ?? ?? ?? 3C 02 0F 94 C3 EB 09 8B C2 E8 ?? ?? ?? ?? 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_66170_0 {
	meta:
		name = "TPath.IsValidFileNameChar"
		size = 20
		refs = "0005 TPath.FInvalidFileNameChars 000c TPath.IsCharInOrderedArray"
	strings:
		$1 = { 53 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 34 01 5B C3 }
	condition:
		$1
}

rule function_66171_0 {
	meta:
		name = "TPath.IsValidPathChar"
		size = 20
		refs = "0005 TPath.FInvalidPathChars 000c TPath.IsCharInOrderedArray"
	strings:
		$1 = { 53 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 34 01 5B C3 }
	condition:
		$1
}

rule function_66172_0 {
	meta:
		name = "TPath.MatchesPattern"
		size = 54
		refs = "000b TPath.HasValidFileNameChars 0015 SInvalidCharsInPath 001c _Dn_EArgumentException 0021 Exception.CreateRes 0026 @RaiseExcept 002f TPath.DoMatchesPattern"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66173_0 {
	meta:
		name = "TPath.PrefixExtendsPath"
		size = 7
	strings:
		$1 = { 48 2C 02 0F 92 C0 C3 }
	condition:
		$1
}

rule function_66174_0 {
	meta:
		name = "TPath.SetAttributes"
		size = 108
		refs = "0016 TPath.SetAttributes 0025 TDirectory.InternalCheckDirPathParam 002f @UStrLAsg 003a TFile.FileAttributesToInteger 0046 FileSetAttr 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D FC 66 89 55 FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 0F B7 5D FA 8B C3 E8 ?? ?? ?? ?? 8B D0 B1 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66176_0 {
	meta:
		name = "TPath.IsPathSeparator"
		size = 33
		refs = "0003 TPath.FDirectorySeparatorChar 000c TPath.FAltDirectorySeparatorChar 0015 TPath.FVolumeSeparatorChar"
	strings:
		$1 = { 66 3B 05 ?? ?? ?? ?? 74 15 66 3B 05 ?? ?? ?? ?? 74 0C 66 3B 05 ?? ?? ?? ?? 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_66177_0 {
	meta:
		name = "Finalization"
		size = 152
		refs = "0007 Finalization 0013 _DV_1 001a TPath.FCCurrentDir 001f @UStrClr 0024 TPath.FCParentDir 002e TPath.FCExtendedPrefix 0038 TPath.FCExtendedUNCPrefix 0042 TPath.FInvalidPathChars 0048 TArray<System.Char> 004d @DynArrayClear 0052 TPath.FInvalidFileNameChars 0062 TPath.FPathWildcardChars 0072 TPath.FFileNameWildCardChars 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 68 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_66179_0 {
	meta:
		name = "InvalidMask"
		size = 86
		refs = "001a @UStrToPWChar 003d SInvalidMask 0044 _DV_EMaskException 0049 Exception.CreateResFmt 004e @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 8B 45 08 8B 40 FC 89 45 F0 C6 45 F4 11 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 2B D0 D1 FA 79 03 83 D2 00 42 89 55 F8 C6 45 FC 00 8D 45 F0 50 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_66180_0 {
	meta:
		name = "Reset"
		size = 76
		refs = "001a Reset"
	strings:
		$1 = { 55 8B EC 56 57 8B 45 08 C6 40 F7 00 8B 45 08 C6 40 F6 00 8B 45 08 8D 78 D6 BE ?? ?? ?? ?? B9 08 00 00 00 F3 A5 5F 5E 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_66181_0 {
	meta:
		name = "WriteScan"
		size = 346
		refs = "0039 InvalidMask 00d4 @GetMem 0150 Reset"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B 45 08 8B 40 D0 8B 55 08 8B 52 CC 3B C2 0F 8F 29 01 00 00 8B 45 08 80 78 F7 00 74 19 8B 45 08 FF 40 C8 8B 45 08 83 78 C8 1E 7E 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 D0 8D 04 40 8B 55 08 8B 52 C4 8B 4D 08 0F B6 49 F7 88 0C 82 8B 45 08 8B 40 D0 8D 04 40 8B 55 08 8B 52 C4 88 5C 82 04 80 EB 01 72 11 FE CB 74 41 FE CB 0F 84 94 00 00 00 E9 C5 00 00 00 8B 45 08 0F B7 40 C2 8B D0 8B C8 83 C1 9F 66 83 E9 1A 73 07 8B D0 66 81 E2 DF FF 8B 45 08 8B 40 D0 8D 04 40 8B 4D 08 8B 49 C4 66 89 54 81 06 E9 91 00 00 00 8B 45 08 8B 40 D0 8D 04 40 8B 55 08 8B 52 C4 8B 4D 08 0F B6 49 F6 88 4C 82 05 B8 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 8B 52 D0 8D 14 52 8B 4D 08 8B 49 C4 89 44 91 08 8B 45 08 8B 40 D0 8D 04 40 8B 55 08 8B 52 C4 8B 44 82 08 8B 55 08 8B F8 8D 72 D6 B9 08 00 00 00 F3 A5 EB 36 8B 45 08 8B 40 D0 8D 04 40 8B 55 08 8B 52 C4 8B 4D 08 0F B7 49 C0 66 89 4C 82 06 8B 45 08 8B 40 D0 8D 04 40 8B 55 08 8B 52 C4 8B 4D 08 0F B7 49 BE 66 89 4C 82 08 8B 45 08 FF 40 D0 8B 45 08 50 E8 ?? ?? ?? ?? 59 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_66182_0 {
	meta:
		name = "ScanSet"
		size = 436
		refs = "007a InvalidMask 0169 ScanSet 0170 @SetEq 0187 WriteScan"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 45 08 83 40 F8 02 8B 45 08 8B 40 F8 66 83 38 21 75 0E 8B 45 08 C6 40 F6 01 8B 45 08 83 40 F8 02 66 C7 45 FE 00 00 E9 07 01 00 00 8B F7 66 81 FE 00 D8 72 07 66 81 FE FF DF 76 04 33 DB EB 02 B3 01 84 DB 74 0C 8B 45 08 83 40 F8 02 E9 DA 00 00 00 8B 45 08 8B 40 F8 0F B7 00 66 83 E8 2D 0F 85 83 00 00 00 66 83 7D FE 00 75 0F 8B 45 08 50 E8 ?? ?? ?? ?? 59 E9 B1 00 00 00 8B 45 08 83 40 F8 02 0F B7 45 FE 66 89 45 F8 8B 45 08 8B 40 F8 0F B7 00 66 89 45 F6 0F B7 45 F6 66 89 45 F4 0F B7 45 F6 83 C0 9F 66 83 E8 1A 73 0C 0F B7 45 F6 66 25 DF FF 66 89 45 F4 0F B7 45 F8 0F B7 55 F4 66 2B D0 72 67 42 66 89 55 FA 66 89 45 FC 0F B6 45 FC 8B 55 08 0F B6 C0 0F AB 42 D6 66 FF 45 FC 66 FF 4D FA 75 E8 EB 44 8B 45 08 8B 40 F8 0F B7 00 66 89 45 F2 0F B7 45 F2 66 89 45 F0 0F B7 45 F2 83 C0 9F 66 83 E8 1A 73 0C 0F B7 45 F2 66 25 DF FF 66 89 45 F0 0F B7 45 F0 66 89 45 FE 0F B6 45 FE 8B 55 08 0F B6 C0 0F AB 42 D6 8B 45 08 83 40 F8 02 8B 45 08 8B 40 F8 0F B7 38 8B C7 66 85 C0 74 0A 66 83 E8 5D 0F 85 DF FE FF FF 8B 45 08 8B 40 F8 66 83 38 5D 75 14 8B 45 08 83 C0 D6 BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 75 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 B0 02 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_66183_0 {
	meta:
		name = "InitMaskStates"
		size = 199
		refs = "0019 @UStrToPWChar 002b Reset 0056 WriteScan 005f ScanSet"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 89 4D CC 89 55 C4 89 45 FC 8D 7D F8 8B 45 FC E8 ?? ?? ?? ?? 89 07 33 C0 89 45 D0 33 C0 89 45 C8 55 E8 ?? ?? ?? ?? 59 EB 72 66 83 EB 2A 74 0E 66 83 EB 15 74 0E 66 83 EB 1C 74 19 EB 20 C6 45 F7 01 EB 55 80 7D F7 00 75 4F 55 B0 01 E8 ?? ?? ?? ?? 59 EB 44 55 E8 ?? ?? ?? ?? 59 EB 3B 8B 07 0F B7 30 66 81 FE 00 D8 72 22 66 81 FE FF DF 77 1B 66 89 75 C0 83 07 02 8B 07 0F B7 00 66 89 45 BE 55 B0 03 E8 ?? ?? ?? ?? 59 EB 0D 66 89 75 C2 55 33 C0 E8 ?? ?? ?? ?? 59 83 07 02 8B 07 0F B7 18 66 85 DB 75 84 66 C7 45 C2 00 00 55 33 C0 E8 ?? ?? ?? ?? 59 8B 45 D0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66184_0 {
	meta:
		name = "Push"
		size = 40
	strings:
		$1 = { 55 8B EC 53 8B 4D 08 8B 89 0C FF FF FF 8B 5D 08 8D 8C CB 10 FF FF FF 89 01 89 51 04 8B 45 08 FF 80 0C FF FF FF 5B 5D C3 }
	condition:
		$1
}

rule function_66185_0 {
	meta:
		name = "Pop"
		size = 63
	strings:
		$1 = { 55 8B EC 53 8B 4D 08 83 B9 0C FF FF FF 00 75 05 33 C0 5B 5D C3 8B 4D 08 FF 89 0C FF FF FF 8B 4D 08 8B 89 0C FF FF FF 8B 5D 08 8D 8C CB 10 FF FF FF 8B 19 89 18 8B 41 04 89 02 B0 01 5B 5D C3 }
	condition:
		$1
}

rule function_66186_0 {
	meta:
		name = "Matches"
		size = 383
		refs = "0063 UpCase 00cc Push"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D8 C6 45 FF 00 8B 45 08 8B 80 08 FF FF FF 2B C2 0F 8C 50 01 00 00 40 89 45 F4 89 55 F8 8B 45 F8 8D 04 40 8B 55 08 8B 92 04 FF FF FF 8D 3C 82 8B F7 80 3E 00 0F 84 8D 00 00 00 0F B6 46 04 2C 01 72 0D FE C8 74 22 FE C8 74 5F EB 65 83 C3 02 66 83 3B 00 74 5C 0F B7 03 E8 ?? ?? ?? ?? 66 3B 46 06 75 E9 EB 4C 83 C3 02 66 83 3B 00 74 43 0F B7 03 E8 ?? ?? ?? ?? 8B 56 08 66 3D FF 00 77 06 0F B7 C0 0F A3 02 0F 92 C0 32 46 05 74 D8 EB 22 66 3B 46 06 74 05 83 C3 04 EB 0F 83 C3 02 0F B7 03 66 3B 46 08 74 0B 83 C3 02 0F B7 03 66 85 C0 75 DE 66 83 3B 00 74 10 8B 45 08 50 8D 43 02 8B 55 F8 E8 ?? ?? ?? ?? 59 0F B6 46 04 2C 01 72 0C 74 77 FE C8 74 24 FE C8 74 58 EB 79 0F B7 13 8B C2 8B CA 83 C1 9F 66 83 E9 1A 73 06 8B C2 66 25 DF FF 66 3B 46 06 75 73 EB 5B 0F B7 03 66 89 45 F2 8B D0 83 C2 9F 66 83 EA 1A 73 08 66 25 DF FF 66 89 45 F2 8B 46 08 0F B7 55 F2 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 32 46 05 74 3B EB 23 0F B7 03 66 3B 46 06 75 30 83 C3 02 0F B7 03 66 3B 46 08 75 24 EB 0C 66 83 3B 00 75 06 C6 45 FF 00 EB 16 83 C3 02 FF 45 F8 83 C7 0C FF 4D F4 0F 85 C9 FE FF FF C6 45 FF 01 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66187_0 {
	meta:
		name = "MatchesMaskStates"
		size = 112
		refs = "0026 @UStrToPWChar 0046 Matches 005d Pop"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 89 8D 08 FF FF FF 89 95 04 FF FF FF 8B F0 B3 01 33 C0 89 85 0C FF FF FF 8B C6 E8 ?? ?? ?? ?? 89 85 FC FE FF FF 33 C0 89 85 00 FF FF FF 55 8B 95 00 FF FF FF 8B 85 FC FE FF FF E8 ?? ?? ?? ?? 59 84 C0 75 19 55 8D 95 00 FF FF FF 8D 85 FC FE FF FF E8 ?? ?? ?? ?? 59 84 C0 75 D2 33 DB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66188_0 {
	meta:
		name = "DoneMaskStates"
		size = 39
		refs = "001a @FreeMem"
	strings:
		$1 = { 53 56 8B F2 85 F6 7C 1C 46 8D 58 04 80 3B 02 75 0D BA 20 00 00 00 8B 43 04 E8 ?? ?? ?? ?? 83 C3 0C 4E 75 E8 5E 5B C3 }
	condition:
		$1
}

rule function_66189_0 {
	meta:
		name = "TMask.Create"
		size = 118
		refs = "0011 @ClassCreate 0024 InitMaskStates 0031 DoneMaskStates 0040 AllocMem 005f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8D 55 F0 33 C9 8B C6 E8 ?? ?? ?? ?? 89 43 08 8D 45 F0 33 D2 E8 ?? ?? ?? ?? 8B 43 08 03 C0 03 C0 8D 04 40 E8 ?? ?? ?? ?? 8B F8 89 7B 04 8B 4B 08 49 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66190_0 {
	meta:
		name = "TMask.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 0017 DoneMaskStates 0029 @FreeMem 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 85 C0 74 1B 8B 56 08 4A E8 ?? ?? ?? ?? 8B 56 08 03 D2 03 D2 8D 14 52 8B 46 04 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66191_0 {
	meta:
		name = "TMask.Matches"
		size = 14
		refs = "0009 MatchesMaskStates"
	strings:
		$1 = { 8B 48 08 49 8B 40 04 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66192_0 {
	meta:
		name = "MatchesMask"
		size = 91
		refs = "000c _DV_TMask 0013 TMask.Create 001e MatchesMask 002e TMask.Matches 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66195_0 {
	meta:
		name = "MaskGetCharType"
		size = 461
		refs = "0045 ByteType 009a MaskFieldSeparator"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 B3 01 66 C7 04 24 00 00 8B D6 8B C2 85 C0 74 05 83 E8 04 8B 00 3B C7 7C 09 0F B7 44 7E FE 66 89 04 24 8B C2 85 C0 74 05 83 E8 04 8B 00 3B C7 7D 07 33 DB E9 86 01 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 B3 01 E9 72 01 00 00 83 FF 01 7E 3A 66 83 7C 7E FC 5C 75 32 8B D7 4A 8B C6 E8 ?? ?? ?? ?? 84 C0 75 24 83 FF 02 7E 18 66 83 7C 7E FA 5C 75 10 8B D7 83 EA 02 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 B3 01 E9 33 01 00 00 0F B7 04 24 66 3B 05 ?? ?? ?? ?? 75 13 8B C6 85 C0 74 05 83 E8 04 8B 00 83 F8 04 0F 9D C0 EB 02 33 C0 84 C0 74 15 8B C6 85 C0 74 05 83 E8 04 8B 00 83 E8 04 3B F8 0F 9F C0 EB 02 33 C0 84 C0 74 07 B3 06 E9 EB 00 00 00 8B D6 8B C2 85 C0 74 05 83 E8 04 8B 00 83 F8 04 7C 15 8B C2 85 C0 74 05 83 E8 04 8B 00 83 E8 04 3B F8 0F 9F C0 EB 02 33 C0 84 C0 74 11 0F B7 44 7E FC 66 3B 05 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 84 C0 74 25 83 FF 02 7E 1C 66 83 7C 7E FA 5C 75 14 8B D7 83 EA 02 8B C6 E8 ?? ?? ?? ?? 3C 02 74 04 33 C0 EB 06 B0 01 EB 02 33 C0 84 C0 74 04 B3 07 EB 78 0F B7 04 24 66 83 E8 2F 74 06 66 83 E8 0B 75 04 B3 02 EB 64 0F B7 04 24 66 83 E8 21 74 12 66 83 E8 1B 74 0C 66 83 E8 02 74 06 66 83 E8 1E 75 04 B3 03 EB 44 0F B7 04 24 66 83 E8 23 74 18 66 83 E8 16 74 12 66 83 E8 28 74 0C 66 83 E8 02 74 06 66 83 E8 09 75 04 B3 05 EB 1E 0F B7 04 24 66 83 E8 30 74 12 66 83 E8 11 74 0C 66 83 E8 02 74 06 66 83 E8 09 75 02 B3 04 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66196_0 {
	meta:
		name = "MaskGetCurrentDirectives"
		size = 140
		refs = "000d MaskGetCurrentDirectives 0072 MaskGetCharType"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F8 0F B6 1D ?? ?? ?? ?? 8B C7 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 4A BD 01 00 00 00 0F B7 44 6F FE 66 83 F8 21 75 05 80 CB 01 EB 31 66 83 F8 3E 75 1A 3B 2C 24 7D 15 80 E3 FB 83 FD 01 7E 08 66 83 7C 6F FC 3C 74 16 80 CB 02 EB 11 66 83 F8 3C 75 0B 3B 2C 24 7D 06 80 E3 FD 80 CB 04 45 4E 75 BB 8B 14 24 8B C7 E8 ?? ?? ?? ?? 3C 01 75 03 80 CB 08 8B C3 5A 5D 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_66197_0 {
	meta:
		name = "MaskIntlLiteralToChar"
		size = 40
		refs = "0010 CurrencyString"
	strings:
		$1 = { 8B D0 66 83 E8 2F 74 13 66 83 E8 0B 75 17 8B 15 ?? ?? ?? ?? 0F B7 52 08 8B C2 C3 8B 15 ?? ?? ?? ?? 0F B7 52 06 8B C2 C3 }
	condition:
		$1
}

rule function_66198_0 {
	meta:
		name = "MaskDoFormatText"
		size = 595
		refs = "0026 MaskDoFormatText 0035 @UStrAsg 0042 MaskGetCurrentDirectives 007c MaskGetCharType 00a9 @UStrCopy 00b9 MaskIntlLiteralToChar 00c3 @UStrFromWChar 00e9 @UStrCatN 0120 @UStrCat 0213 @UStrCat3 023e @UStrArrayClr 0244 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 66 89 4D FA 8B F2 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B D6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 88 45 EF F6 45 EF 01 0F 85 E3 00 00 00 C7 45 F0 01 00 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E BA 01 00 00 89 45 E8 BE 01 00 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D0 4A 80 EA 02 73 6A 8B 03 89 45 E4 8B 7D E4 85 FF 74 05 83 EF 04 8B 3F 8D 45 E0 50 8B 4D F0 49 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 E0 8B 45 FC 0F B7 44 70 FE E8 ?? ?? ?? ?? 8B D0 8D 45 DC E8 ?? ?? ?? ?? FF 75 DC 8D 45 D8 50 8B CF 2B 4D F0 41 8B 03 8B 55 F0 E8 ?? ?? ?? ?? FF 75 D8 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 F0 EB 35 04 FC 2C 02 73 2F 8B 03 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 3B 45 F0 7D 16 8D 45 D4 0F B7 55 FA E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? FF 45 F0 46 FF 4D E8 0F 85 45 FF FF FF E9 F2 00 00 00 8B 03 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 89 45 F0 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 48 85 C0 0F 8C C9 00 00 00 40 89 45 E8 C7 45 F4 00 00 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 2B 75 F4 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D0 4A 80 EA 02 73 66 8B 03 89 45 E4 8B 7D E4 85 FF 74 05 83 EF 04 8B 3F 8D 45 D0 50 8B 03 8B 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 D0 8B 45 FC 0F B7 44 70 FE E8 ?? ?? ?? ?? 8B D0 8D 45 CC E8 ?? ?? ?? ?? FF 75 CC 8D 45 C8 50 8B CF 2B 4D F0 8B 55 F0 42 8B 03 E8 ?? ?? ?? ?? FF 75 C8 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 29 04 FC 2C 02 73 23 83 7D F0 01 7D 1A 8D 45 C4 0F B7 55 FA E8 ?? ?? ?? ?? 8B 55 C4 8B 0B 8B C3 E8 ?? ?? ?? ?? EB 03 FF 4D F0 FF 45 F4 FF 4D E8 0F 85 42 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_66199_0 {
	meta:
		name = "MaskGetMaskSave"
		size = 202
		refs = "0044 MaskGetCharType 00b2 MaskNoSave"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B F8 C6 04 24 01 8B D7 8B C2 85 C0 74 05 83 E8 04 8B 00 83 F8 04 0F 8C 9B 00 00 00 C7 44 24 04 FF FF FF FF 83 CD FF 8B C2 85 C0 74 05 83 E8 04 8B 00 8B F0 85 ED 7D 51 8B D6 8B C7 E8 ?? ?? ?? ?? 3C 06 75 0F 83 7C 24 04 00 7D 06 89 74 24 04 EB 02 8B EE 4E 85 F6 7F 04 B3 01 EB 24 89 7C 24 08 83 7C 24 08 00 74 0D 8B 44 24 08 83 E8 04 8B 00 89 44 24 08 8B 44 24 08 83 E8 04 3B F0 0F 9C C3 84 DB 75 04 85 ED 7C AF 85 ED 7D 04 8B 6C 24 04 85 ED 7E 22 8B C7 85 C0 74 05 83 E8 04 8B 00 3B C5 74 13 0F B7 04 6F 66 3B 05 ?? ?? ?? ?? 0F 94 C0 34 01 88 04 24 0F B6 04 24 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66200_0 {
	meta:
		name = "MaskGetMaskBlank"
		size = 142
		refs = "0009 DefaultBlank 0030 MaskGetCharType"
	strings:
		$1 = { 53 56 57 55 8B D8 0F B7 2D ?? ?? ?? ?? 8B FB 8B C7 85 C0 74 05 83 E8 04 8B 00 83 F8 04 7C 68 8B F7 85 F6 74 05 83 EE 04 8B 36 8B D6 4A 8B C3 E8 ?? ?? ?? ?? 3C 06 75 4F 8B F7 85 F6 74 05 83 EE 04 8B 36 8B D6 83 EA 02 8B C3 E8 ?? ?? ?? ?? 3C 06 75 04 B0 01 EB 1C 8B F7 85 F6 74 05 83 EE 04 8B 36 8B D6 83 EA 03 8B C3 E8 ?? ?? ?? ?? 3C 06 0F 94 C0 84 C0 74 10 8B C7 85 C0 74 05 83 E8 04 8B 00 0F B7 6C 43 FE 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66201_0 {
	meta:
		name = "MaskGetFldSeparator"
		size = 93
		refs = "0044 MaskGetCharType"
	strings:
		$1 = { 53 56 57 51 8B F8 C7 04 24 FF FF FF FF 8B D7 8B C2 85 C0 74 05 83 E8 04 8B 00 83 F8 04 7C 36 8B C2 85 C0 74 05 83 E8 04 8B 00 85 D2 74 05 83 EA 04 8B 12 8B D8 83 EB 04 8B F2 2B F3 7C 17 46 8B D3 8B C7 E8 ?? ?? ?? ?? 3C 06 75 05 89 1C 24 EB 04 43 4E 75 EA 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66202_0 {
	meta:
		name = "MaskOffsetToString"
		size = 140
		refs = "0019 MaskOffsetToString 0027 @UStrClr 003b MaskGetCharType 0052 @UStrFromWChar 005d @UStrCat 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F3 85 F6 7E 37 BB 01 00 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 2C 03 74 21 04 FD 2C 02 72 1B 8D 45 F8 0F B7 54 5F FE E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 43 4E 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66203_0 {
	meta:
		name = "MaskOffsetToOffset"
		size = 100
		refs = "0015 MaskOffsetToOffset 0027 MaskOffsetToString 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66204_0 {
	meta:
		name = "MaskOffsetToWideOffset"
		size = 119
		refs = "0013 MaskOffsetToWideOffset 0025 MaskOffsetToString 0030 @WStrFromUStr 005b @UStrClr 0063 @WStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 45 F4 8B 45 F4 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66205_0 {
	meta:
		name = "OffsetToMaskOffset"
		size = 102
		refs = "001b MaskOffsetToOffset 0049 MaskGetCharType"
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B F8 8B F7 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D0 8B C7 E8 ?? ?? ?? ?? 3B C3 7D 05 83 CD FF EB 36 33 ED 89 1C 24 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 20 BE 01 00 00 00 45 8B D6 8B C7 E8 ?? ?? ?? ?? 3C 03 74 09 FF 0C 24 83 3C 24 00 7C 04 46 4B 75 E5 8B C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66206_0 {
	meta:
		name = "IsLiteralChar"
		size = 41
		refs = "000a OffsetToMaskOffset 0019 MaskGetCharType"
	strings:
		$1 = { 53 56 57 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 0F 8B D7 8B C6 E8 ?? ?? ?? ?? 48 2C 02 0F 92 C3 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66207_0 {
	meta:
		name = "PadSubField"
		size = 453
		refs = "002f PadSubField 0050 MaskGetCurrentDirectives 0076 @UStrCopy 0090 @UStrFromWChar 009a @UStrCat 0134 @UStrCat3 0189 @UStrAsg 01a3 @UStrArrayClr 01b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D D8 89 5D DC 89 5D FC 89 5D F8 89 4D F0 8B FA 89 45 F4 8B 5D 08 8B 75 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 2B 45 F0 3B 45 10 0F 8D 85 00 00 00 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 88 45 EF 8B C6 48 89 45 E8 F6 45 EF 01 74 07 8B 45 F0 48 89 45 E8 53 8B 4D E8 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 2B 75 F0 8B 45 10 2B C6 85 C0 7E 1B 89 C6 8D 45 DC 0F B7 55 0C E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 4E 75 E7 8B F7 85 F6 74 05 83 EE 04 8B 36 8D 45 D8 50 8B 55 E8 42 8B CE 8B C7 E8 ?? ?? ?? ?? 8B 55 D8 8B C3 E8 ?? ?? ?? ?? E9 C1 00 00 00 8B C6 2B 45 F0 3B 45 10 0F 8E AA 00 00 00 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 88 45 EF F6 45 EF 01 74 4A 8D 45 FC 50 8B 4D F0 49 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 89 7D E4 83 7D E4 00 74 0B 8B 45 E4 83 E8 04 8B 00 89 45 E4 8D 45 D4 50 8B D6 2B 55 10 8B 4D E4 8B C7 E8 ?? ?? ?? ?? 8B 4D D4 8B C3 8B 55 FC E8 ?? ?? ?? ?? EB 53 8D 45 F8 50 8B 4D F0 03 4D 10 49 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 89 7D E0 83 7D E0 00 74 0B 8B 45 E0 83 E8 04 8B 00 89 45 E0 8D 45 D0 50 8B 4D E0 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 4D D0 8B C3 8B 55 F8 E8 ?? ?? ?? ?? EB 09 8B C3 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_66208_0 {
	meta:
		name = "PadInputLiterals"
		size = 567
		refs = "0023 PadInputLiterals 0037 @UStrAsg 005e MaskGetCharType 0071 MaskOffsetToOffset 00b7 MaskIntlLiteralToChar 00f8 @UStrFromWChar 0102 @UStrCat 0124 PadSubField 01e9 IsLiteralChar 01f4 @UniqueStringU 0222 @UStrArrayClr 0228 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D D8 66 89 4D FE 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B C3 8B D7 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E F6 00 00 00 89 45 E8 C7 45 EC 01 00 00 00 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 48 2C 02 0F 83 CD 00 00 00 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 89 45 F0 8B 0B 8B C1 89 45 DC 8B 45 DC 85 C0 74 05 83 E8 04 8B 00 40 89 45 F4 8B 55 F8 42 8B C1 89 45 DC 8B 45 DC 85 C0 74 05 83 E8 04 8B 00 8B FA 2B C7 7C 25 40 89 45 E4 8B 45 EC 0F B7 44 46 FE E8 ?? ?? ?? ?? 8B 13 66 3B 44 7A FE 75 05 89 7D F4 EB 06 47 FF 4D E4 75 DF 8B 03 89 45 DC 8B 45 DC 85 C0 74 05 83 E8 04 8B 00 3B 45 F4 7D 21 8B 45 EC 0F B7 44 46 FE E8 ?? ?? ?? ?? 8B D0 8D 45 D8 E8 ?? ?? ?? ?? 8B 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 7D F8 47 8B 45 F0 2B C7 50 0F B7 45 FE 50 8D 45 D4 50 8B CF 8B 13 8B C6 E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F8 FF 45 EC FF 4D E8 0F 85 14 FF FF FF 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 13 8B C2 89 45 DC 8B 45 DC 85 C0 74 05 83 E8 04 8B 00 3B F8 74 45 8B C2 89 45 DC 8B 45 DC 89 45 E0 83 7D E0 00 74 0B 8B 45 E0 83 E8 04 8B 00 89 45 E0 8B 45 E0 40 50 2B 7D F8 57 0F B7 45 FE 50 8D 45 D0 50 8B 4D F8 41 8B 13 8B C6 E8 ?? ?? ?? ?? 8B 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 03 89 45 DC 8B 45 DC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 41 89 45 E8 C7 45 F0 01 00 00 00 8B 03 8B 55 F0 66 83 7C 50 FE 20 75 22 8B 55 F0 4A 8B C6 E8 ?? ?? ?? ?? 84 C0 75 13 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 0F B7 4D FE 66 89 4C 50 FE FF 45 F0 FF 4D E8 75 C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_66209_0 {
	meta:
		name = "FormatMaskText"
		size = 54
		refs = "000c MaskGetMaskSave 001e PadInputLiterals 002e MaskDoFormatText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 57 66 B9 20 00 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0E 57 66 B9 20 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66212_0 {
	meta:
		name = "DivMod"
		size = 28
	strings:
		$1 = { 55 8B EC 53 89 D3 89 C2 C1 EA 10 66 F7 F3 8B 5D 08 66 89 01 66 89 13 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_66213_0 {
	meta:
		name = "DivMod"
		size = 101
	strings:
		$1 = { 55 8B EC 53 56 57 50 52 8B 5C 24 1C 8B 4C 24 20 8B 44 24 24 8B 54 24 28 09 C9 75 08 09 D2 74 2A 09 DB 74 26 89 CD B9 40 00 00 00 31 FF 31 F6 D1 E0 D1 D2 D1 D6 D1 D7 39 EF 72 0B 77 04 39 DE 72 05 29 DE 19 EF 40 E2 E7 EB 08 F7 F3 89 D6 31 D2 31 FF 5B 59 89 33 89 7B 04 89 01 89 51 04 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_66215_0 {
	meta:
		name = "RoundTo"
		size = 91
		refs = "0012 RoundExError 003f LFactorArray"
	strings:
		$1 = { 55 8B EC 56 31 F6 83 EC 04 0F BE C0 83 F8 14 7E 05 E8 ?? ?? ?? ?? 83 F8 EC 7D 05 E8 ?? ?? ?? ?? D9 3C 24 D9 7C 24 02 66 81 64 24 02 FF F0 66 81 4C 24 02 00 03 D9 6C 24 02 8D 04 80 8D 84 86 ?? ?? ?? ?? DB 28 DB 68 0A DB 6D 08 DE C9 D9 FC DE C9 D9 2C 24 9B 58 5E 5D C2 0C 00 }
	condition:
		$1
}

rule function_66216_0 {
	meta:
		name = "SimpleRoundTo"
		size = 132
		refs = "0016 IntPower 0023 SimpleRoundTo 0041 Int"
	strings:
		$1 = { 55 8B EC 83 C4 F0 68 02 40 00 00 68 00 00 00 A0 6A 00 0F BE C0 E8 ?? ?? ?? ?? DB 7D F0 9B D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 23 DB 6D F0 D8 7D 08 D8 25 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 6D F0 DE C9 D9 5D FC 9B EB 21 DB 6D F0 D8 7D 08 D8 05 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 6D F0 DE C9 D9 5D FC 9B D9 45 FC 8B E5 5D C2 04 00 00 00 00 00 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_66217_0 {
	meta:
		name = "SimpleRoundTo"
		size = 132
		refs = "0016 IntPower 0023 SimpleRoundTo 0041 Int"
	strings:
		$1 = { 55 8B EC 83 C4 E0 68 02 40 00 00 68 00 00 00 A0 6A 00 0F BE C0 E8 ?? ?? ?? ?? DB 7D E0 9B DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 23 DB 6D E0 DC 7D 08 D8 25 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 6D E0 DE C9 DD 5D F8 9B EB 21 DB 6D E0 DC 7D 08 D8 05 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 6D E0 DE C9 DD 5D F8 9B DD 45 F8 8B E5 5D C2 08 00 00 00 00 00 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_66218_0 {
	meta:
		name = "SimpleRoundTo"
		size = 136
		refs = "0016 IntPower 0023 SimpleRoundTo 0043 Int"
	strings:
		$1 = { 55 8B EC 83 C4 E0 68 02 40 00 00 68 00 00 00 A0 6A 00 0F BE C0 E8 ?? ?? ?? ?? DB 7D E0 9B DB 6D 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 25 DB 6D 08 DB 6D E0 DE F9 D8 25 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 6D E0 DE C9 DB 7D F0 9B EB 23 DB 6D 08 DB 6D E0 DE F9 D8 05 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 6D E0 DE C9 DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 00 00 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_66220_0 {
	meta:
		name = "DegToRad"
		size = 40
		refs = "0006 DegToRad"
	strings:
		$1 = { 55 8B EC 51 DB 2D ?? ?? ?? ?? D8 4D 08 D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 AE C8 E9 94 12 35 FA 8E F9 3F 00 00 }
	condition:
		$1
}

rule function_100657_0 {
	meta:
		name = "D3DXToRadian"
		size = 40
		refs = "0006 D3DXToRadian"
	strings:
		$1 = { 55 8B EC 51 DB 2D ?? ?? ?? ?? D8 4D 08 D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 AE C8 E9 94 12 35 FA 8E F9 3F 00 00 }
	condition:
		$1
}

rule function_66221_0 {
	meta:
		name = "DegToRad"
		size = 40
		refs = "0008 DegToRad"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DB 2D ?? ?? ?? ?? DC 4D 08 DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 AE C8 E9 94 12 35 FA 8E F9 3F 00 00 }
	condition:
		$1
}

rule function_100659_0 {
	meta:
		name = "D3DXToRadian"
		size = 40
		refs = "0008 D3DXToRadian"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DB 2D ?? ?? ?? ?? DC 4D 08 DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 AE C8 E9 94 12 35 FA 8E F9 3F 00 00 }
	condition:
		$1
}

rule function_66222_0 {
	meta:
		name = "DegToRad"
		size = 44
		refs = "000b DegToRad"
	strings:
		$1 = { 55 8B EC 83 C4 F0 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 AE C8 E9 94 12 35 FA 8E F9 3F 00 00 }
	condition:
		$1
}

rule function_66223_0 {
	meta:
		name = "RadToDeg"
		size = 40
		refs = "0006 RadToDeg"
	strings:
		$1 = { 55 8B EC 51 DB 2D ?? ?? ?? ?? D8 4D 08 D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 C3 BD 0F 1E D3 E0 2E E5 04 40 00 00 }
	condition:
		$1
}

rule function_66224_0 {
	meta:
		name = "RadToDeg"
		size = 40
		refs = "0008 RadToDeg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DB 2D ?? ?? ?? ?? DC 4D 08 DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 C3 BD 0F 1E D3 E0 2E E5 04 40 00 00 }
	condition:
		$1
}

rule function_66225_0 {
	meta:
		name = "RadToDeg"
		size = 44
		refs = "000b RadToDeg"
	strings:
		$1 = { 55 8B EC 83 C4 F0 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 C3 BD 0F 1E D3 E0 2E E5 04 40 00 00 }
	condition:
		$1
}

rule function_66226_0 {
	meta:
		name = "GradToRad"
		size = 40
		refs = "0006 GradToRad"
	strings:
		$1 = { 55 8B EC 51 DB 2D ?? ?? ?? ?? D8 4D 08 D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 36 CE 38 B9 90 FC AD 80 F9 3F 00 00 }
	condition:
		$1
}

rule function_66227_0 {
	meta:
		name = "GradToRad"
		size = 40
		refs = "0008 GradToRad"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DB 2D ?? ?? ?? ?? DC 4D 08 DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 36 CE 38 B9 90 FC AD 80 F9 3F 00 00 }
	condition:
		$1
}

rule function_66228_0 {
	meta:
		name = "GradToRad"
		size = 44
		refs = "000b GradToRad"
	strings:
		$1 = { 55 8B EC 83 C4 F0 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 36 CE 38 B9 90 FC AD 80 F9 3F 00 00 }
	condition:
		$1
}

rule function_66229_0 {
	meta:
		name = "RadToGrad"
		size = 40
		refs = "0006 RadToGrad"
	strings:
		$1 = { 55 8B EC 51 DB 2D ?? ?? ?? ?? D8 4D 08 D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 11 61 4A 5A 5C DD A5 FE 04 40 00 00 }
	condition:
		$1
}

rule function_66230_0 {
	meta:
		name = "RadToGrad"
		size = 40
		refs = "0008 RadToGrad"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DB 2D ?? ?? ?? ?? DC 4D 08 DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 11 61 4A 5A 5C DD A5 FE 04 40 00 00 }
	condition:
		$1
}

rule function_66231_0 {
	meta:
		name = "RadToGrad"
		size = 44
		refs = "000b RadToGrad"
	strings:
		$1 = { 55 8B EC 83 C4 F0 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 11 61 4A 5A 5C DD A5 FE 04 40 00 00 }
	condition:
		$1
}

rule function_66232_0 {
	meta:
		name = "CycleToRad"
		size = 40
		refs = "0006 CycleToRad"
	strings:
		$1 = { 55 8B EC 51 DB 2D ?? ?? ?? ?? D8 4D 08 D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 }
	condition:
		$1
}

rule function_66233_0 {
	meta:
		name = "CycleToRad"
		size = 40
		refs = "0008 CycleToRad"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DB 2D ?? ?? ?? ?? DC 4D 08 DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 }
	condition:
		$1
}

rule function_66234_0 {
	meta:
		name = "CycleToRad"
		size = 44
		refs = "000b CycleToRad"
	strings:
		$1 = { 55 8B EC 83 C4 F0 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 }
	condition:
		$1
}

rule function_66235_0 {
	meta:
		name = "RadToCycle"
		size = 40
		refs = "0006 RadToCycle"
	strings:
		$1 = { 55 8B EC 51 DB 2D ?? ?? ?? ?? D8 7D 08 D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 }
	condition:
		$1
}

rule function_66236_0 {
	meta:
		name = "RadToCycle"
		size = 40
		refs = "0008 RadToCycle"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DB 2D ?? ?? ?? ?? DC 7D 08 DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 }
	condition:
		$1
}

rule function_66237_0 {
	meta:
		name = "RadToCycle"
		size = 44
		refs = "000b RadToCycle"
	strings:
		$1 = { 55 8B EC 83 C4 F0 DB 6D 08 DB 2D ?? ?? ?? ?? DE F9 DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 }
	condition:
		$1
}

rule function_66238_0 {
	meta:
		name = "DegToGrad"
		size = 72
		refs = "0008 DegToGrad"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 2D ?? ?? ?? ?? D8 4D 08 D9 5D F8 9B DB 2D ?? ?? ?? ?? D8 4D F8 D9 5D F4 9B 8B 45 F4 89 45 FC D9 45 FC 8B E5 5D C2 04 00 00 AE C8 E9 94 12 35 FA 8E F9 3F 00 00 11 61 4A 5A 5C DD A5 FE 04 40 00 00 }
	condition:
		$1
}

rule function_66239_0 {
	meta:
		name = "DegToGrad"
		size = 80
		refs = "0008 DegToGrad"
	strings:
		$1 = { 55 8B EC 83 C4 E8 DB 2D ?? ?? ?? ?? DC 4D 08 DD 5D F0 9B DB 2D ?? ?? ?? ?? DC 4D F0 DD 5D E8 9B 8B 45 E8 89 45 F8 8B 45 EC 89 45 FC DD 45 F8 8B E5 5D C2 08 00 00 00 00 AE C8 E9 94 12 35 FA 8E F9 3F 00 00 11 61 4A 5A 5C DD A5 FE 04 40 00 00 }
	condition:
		$1
}

rule function_66240_0 {
	meta:
		name = "DegToGrad"
		size = 92
		refs = "000b DegToGrad"
	strings:
		$1 = { 55 8B EC 83 C4 D0 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D E0 9B DB 6D E0 DB 2D ?? ?? ?? ?? DE C9 DB 7D D0 9B 8B 45 D0 89 45 F0 8B 45 D4 89 45 F4 66 8B 45 D8 66 89 45 F8 DB 6D F0 8B E5 5D C2 0C 00 00 00 00 AE C8 E9 94 12 35 FA 8E F9 3F 00 00 11 61 4A 5A 5C DD A5 FE 04 40 00 00 }
	condition:
		$1
}

rule function_66241_0 {
	meta:
		name = "DegToCycle"
		size = 72
		refs = "0008 DegToCycle"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 2D ?? ?? ?? ?? D8 4D 08 D9 5D F8 9B DB 2D ?? ?? ?? ?? D8 7D F8 D9 5D F4 9B 8B 45 F4 89 45 FC D9 45 FC 8B E5 5D C2 04 00 00 AE C8 E9 94 12 35 FA 8E F9 3F 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 }
	condition:
		$1
}

rule function_66242_0 {
	meta:
		name = "DegToCycle"
		size = 80
		refs = "0008 DegToCycle"
	strings:
		$1 = { 55 8B EC 83 C4 E8 DB 2D ?? ?? ?? ?? DC 4D 08 DD 5D F0 9B DB 2D ?? ?? ?? ?? DC 7D F0 DD 5D E8 9B 8B 45 E8 89 45 F8 8B 45 EC 89 45 FC DD 45 F8 8B E5 5D C2 08 00 00 00 00 AE C8 E9 94 12 35 FA 8E F9 3F 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 }
	condition:
		$1
}

rule function_66243_0 {
	meta:
		name = "DegToCycle"
		size = 92
		refs = "000b DegToCycle"
	strings:
		$1 = { 55 8B EC 83 C4 D0 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D E0 9B DB 6D E0 DB 2D ?? ?? ?? ?? DE F9 DB 7D D0 9B 8B 45 D0 89 45 F0 8B 45 D4 89 45 F4 66 8B 45 D8 66 89 45 F8 DB 6D F0 8B E5 5D C2 0C 00 00 00 00 AE C8 E9 94 12 35 FA 8E F9 3F 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 }
	condition:
		$1
}

rule function_66244_0 {
	meta:
		name = "GradToDeg"
		size = 72
		refs = "0008 GradToDeg"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 2D ?? ?? ?? ?? D8 4D 08 D9 5D F8 9B DB 2D ?? ?? ?? ?? D8 4D F8 D9 5D F4 9B 8B 45 F4 89 45 FC D9 45 FC 8B E5 5D C2 04 00 00 36 CE 38 B9 90 FC AD 80 F9 3F 00 00 C3 BD 0F 1E D3 E0 2E E5 04 40 00 00 }
	condition:
		$1
}

rule function_66245_0 {
	meta:
		name = "GradToDeg"
		size = 80
		refs = "0008 GradToDeg"
	strings:
		$1 = { 55 8B EC 83 C4 E8 DB 2D ?? ?? ?? ?? DC 4D 08 DD 5D F0 9B DB 2D ?? ?? ?? ?? DC 4D F0 DD 5D E8 9B 8B 45 E8 89 45 F8 8B 45 EC 89 45 FC DD 45 F8 8B E5 5D C2 08 00 00 00 00 36 CE 38 B9 90 FC AD 80 F9 3F 00 00 C3 BD 0F 1E D3 E0 2E E5 04 40 00 00 }
	condition:
		$1
}

rule function_66246_0 {
	meta:
		name = "GradToDeg"
		size = 92
		refs = "000b GradToDeg"
	strings:
		$1 = { 55 8B EC 83 C4 D0 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D E0 9B DB 6D E0 DB 2D ?? ?? ?? ?? DE C9 DB 7D D0 9B 8B 45 D0 89 45 F0 8B 45 D4 89 45 F4 66 8B 45 D8 66 89 45 F8 DB 6D F0 8B E5 5D C2 0C 00 00 00 00 36 CE 38 B9 90 FC AD 80 F9 3F 00 00 C3 BD 0F 1E D3 E0 2E E5 04 40 00 00 }
	condition:
		$1
}

rule function_66247_0 {
	meta:
		name = "GradToCycle"
		size = 72
		refs = "0008 GradToCycle"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 2D ?? ?? ?? ?? D8 4D 08 D9 5D F8 9B DB 2D ?? ?? ?? ?? D8 7D F8 D9 5D F4 9B 8B 45 F4 89 45 FC D9 45 FC 8B E5 5D C2 04 00 00 36 CE 38 B9 90 FC AD 80 F9 3F 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 }
	condition:
		$1
}

rule function_66248_0 {
	meta:
		name = "GradToCycle"
		size = 80
		refs = "0008 GradToCycle"
	strings:
		$1 = { 55 8B EC 83 C4 E8 DB 2D ?? ?? ?? ?? DC 4D 08 DD 5D F0 9B DB 2D ?? ?? ?? ?? DC 7D F0 DD 5D E8 9B 8B 45 E8 89 45 F8 8B 45 EC 89 45 FC DD 45 F8 8B E5 5D C2 08 00 00 00 00 36 CE 38 B9 90 FC AD 80 F9 3F 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 }
	condition:
		$1
}

rule function_66249_0 {
	meta:
		name = "GradToCycle"
		size = 92
		refs = "000b GradToCycle"
	strings:
		$1 = { 55 8B EC 83 C4 D0 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D E0 9B DB 6D E0 DB 2D ?? ?? ?? ?? DE F9 DB 7D D0 9B 8B 45 D0 89 45 F0 8B 45 D4 89 45 F4 66 8B 45 D8 66 89 45 F8 DB 6D F0 8B E5 5D C2 0C 00 00 00 00 36 CE 38 B9 90 FC AD 80 F9 3F 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 }
	condition:
		$1
}

rule function_66250_0 {
	meta:
		name = "CycleToDeg"
		size = 72
		refs = "0008 CycleToDeg"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 2D ?? ?? ?? ?? D8 4D 08 D9 5D F8 9B DB 2D ?? ?? ?? ?? D8 4D F8 D9 5D F4 9B 8B 45 F4 89 45 FC D9 45 FC 8B E5 5D C2 04 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 C3 BD 0F 1E D3 E0 2E E5 04 40 00 00 }
	condition:
		$1
}

rule function_66251_0 {
	meta:
		name = "CycleToDeg"
		size = 80
		refs = "0008 CycleToDeg"
	strings:
		$1 = { 55 8B EC 83 C4 E8 DB 2D ?? ?? ?? ?? DC 4D 08 DD 5D F0 9B DB 2D ?? ?? ?? ?? DC 4D F0 DD 5D E8 9B 8B 45 E8 89 45 F8 8B 45 EC 89 45 FC DD 45 F8 8B E5 5D C2 08 00 00 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 C3 BD 0F 1E D3 E0 2E E5 04 40 00 00 }
	condition:
		$1
}

rule function_66252_0 {
	meta:
		name = "CycleToDeg"
		size = 92
		refs = "000b CycleToDeg"
	strings:
		$1 = { 55 8B EC 83 C4 D0 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D E0 9B DB 6D E0 DB 2D ?? ?? ?? ?? DE C9 DB 7D D0 9B 8B 45 D0 89 45 F0 8B 45 D4 89 45 F4 66 8B 45 D8 66 89 45 F8 DB 6D F0 8B E5 5D C2 0C 00 00 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 C3 BD 0F 1E D3 E0 2E E5 04 40 00 00 }
	condition:
		$1
}

rule function_66253_0 {
	meta:
		name = "CycleToGrad"
		size = 72
		refs = "0008 CycleToGrad"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 2D ?? ?? ?? ?? D8 4D 08 D9 5D F8 9B DB 2D ?? ?? ?? ?? D8 4D F8 D9 5D F4 9B 8B 45 F4 89 45 FC D9 45 FC 8B E5 5D C2 04 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 11 61 4A 5A 5C DD A5 FE 04 40 00 00 }
	condition:
		$1
}

rule function_66254_0 {
	meta:
		name = "CycleToGrad"
		size = 80
		refs = "0008 CycleToGrad"
	strings:
		$1 = { 55 8B EC 83 C4 E8 DB 2D ?? ?? ?? ?? DC 4D 08 DD 5D F0 9B DB 2D ?? ?? ?? ?? DC 4D F0 DD 5D E8 9B 8B 45 E8 89 45 F8 8B 45 EC 89 45 FC DD 45 F8 8B E5 5D C2 08 00 00 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 11 61 4A 5A 5C DD A5 FE 04 40 00 00 }
	condition:
		$1
}

rule function_66255_0 {
	meta:
		name = "CycleToGrad"
		size = 92
		refs = "000b CycleToGrad"
	strings:
		$1 = { 55 8B EC 83 C4 D0 DB 6D 08 DB 2D ?? ?? ?? ?? DE C9 DB 7D E0 9B DB 6D E0 DB 2D ?? ?? ?? ?? DE C9 DB 7D D0 9B 8B 45 D0 89 45 F0 8B 45 D4 89 45 F4 66 8B 45 D8 66 89 45 F8 DB 6D F0 8B E5 5D C2 0C 00 00 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 11 61 4A 5A 5C DD A5 FE 04 40 00 00 }
	condition:
		$1
}

rule function_66256_0 {
	meta:
		name = "LnXP1"
		size = 33
	strings:
		$1 = { 55 8B EC D9 ED 66 8B 45 10 D9 45 08 66 3D FD 3F 72 08 D9 E8 DE C1 D9 F1 EB 02 D9 F9 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_66257_0 {
	meta:
		name = "LnXP1"
		size = 33
	strings:
		$1 = { 55 8B EC D9 ED 66 8B 45 10 DD 45 08 66 3D FD 3F 72 08 D9 E8 DE C1 D9 F1 EB 02 D9 F9 9B 5D C2 08 00 }
	condition:
		$1
}

rule function_66258_0 {
	meta:
		name = "LnXP1"
		size = 33
	strings:
		$1 = { 55 8B EC D9 ED 66 8B 45 10 DB 6D 08 66 3D FD 3F 72 08 D9 E8 DE C1 D9 F1 EB 02 D9 F9 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_66259_0 {
	meta:
		name = "IntPower"
		size = 45
	strings:
		$1 = { 55 8B EC 89 C1 99 D9 E8 31 D0 29 D0 74 1A D9 45 08 EB 02 D8 C8 D1 E8 73 FA DC C9 75 F6 DD D8 83 F9 00 7D 04 D9 E8 DE F1 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_66260_0 {
	meta:
		name = "IntPower"
		size = 45
	strings:
		$1 = { 55 8B EC 89 C1 99 D9 E8 31 D0 29 D0 74 1A DD 45 08 EB 02 D8 C8 D1 E8 73 FA DC C9 75 F6 DD D8 83 F9 00 7D 04 D9 E8 DE F1 9B 5D C2 08 00 }
	condition:
		$1
}

rule function_66261_0 {
	meta:
		name = "IntPower"
		size = 45
	strings:
		$1 = { 55 8B EC 89 C1 99 D9 E8 31 D0 29 D0 74 1A DB 6D 08 EB 02 D8 C8 D1 E8 73 FA DC C9 75 F6 DD D8 83 F9 00 7D 04 D9 E8 DE F1 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_66262_0 {
	meta:
		name = "Compound"
		size = 44
		refs = "000b Compound 0017 IntPower"
	strings:
		$1 = { 55 8B EC 83 C4 F0 DB 6D 08 D8 05 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 80 3F }
	condition:
		$1
}

rule function_66263_0 {
	meta:
		name = "Annuity2"
		size = 260
		refs = "0014 Annuity2 005d LnXP1 0071 Exp 00ae Compound"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F1 8B DA 8B F8 DB 6D 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 20 33 C0 89 06 C7 46 04 00 00 00 80 66 C7 46 08 FF 3F 89 7D EC DB 45 EC DB 7D F0 9B E9 9F 00 00 00 DB 6D 08 D9 E1 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 76 4F 0F B7 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 89 7D EC DB 45 EC DE C9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 3E 9B 8B C7 48 89 45 EC DB 45 EC DB 6D 08 DE C9 D8 35 ?? ?? ?? ?? D8 05 ?? ?? ?? ?? 89 7D E8 DB 45 E8 DE C9 DB 7D F0 9B EB 26 0F B7 45 10 50 FF 75 0C FF 75 08 8B C7 E8 ?? ?? ?? ?? DB 3E 9B DB 2E D8 25 ?? ?? ?? ?? DB 6D 08 DE F9 DB 7D F0 9B 80 FB 01 75 12 DB 6D 08 D8 05 ?? ?? ?? ?? DB 6D F0 DE C9 DB 7D F0 9B DB 6D F0 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 00 00 00 82 A9 66 D6 52 40 DA FF F0 3F 00 00 00 00 00 40 00 00 80 3F }
	condition:
		$1
}

rule function_66264_0 {
	meta:
		name = "PolyX"
		size = 244
		refs = "0082 PolyX"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 8B F0 33 C0 89 45 F0 89 45 F4 66 89 45 F8 33 C0 89 45 E0 89 45 E4 66 89 45 E8 33 C0 89 45 D0 89 45 D4 66 89 45 D8 33 C0 89 45 C0 89 45 C4 66 89 45 C8 8B DA 83 FB 00 7C 68 8D 14 DE DB 6D 08 DB 6D D0 DE C9 DB 6D F0 DE C1 DB 7D D0 9B DB 6D F0 DB 6D 08 DE C9 DB 7D F0 9B DB 6D 08 DB 6D C0 DE C9 DB 6D E0 DE C1 DB 7D C0 9B DB 6D E0 DB 6D 08 DE C9 DB 7D E0 9B DD 02 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 0B DB 6D E0 DC 02 DB 7D E0 9B EB 09 DB 6D F0 DC 02 DB 7D F0 9B 4B 83 EA 08 83 FB FF 75 9B 8B 45 F0 89 01 8B 45 F4 89 41 04 66 8B 45 F8 66 89 41 08 8B 45 E0 89 41 10 8B 45 E4 89 41 14 66 8B 45 E8 66 89 41 18 DB 6D D0 DB 6D 08 DE C9 DB 79 20 9B DB 6D C0 DB 6D 08 DE C9 DB 79 30 9B 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 }
	condition:
		$1
}

rule function_66265_0 {
	meta:
		name = "RelSmall"
		size = 50
		refs = "000d C2 0013 C1"
	strings:
		$1 = { 55 8B EC 83 C4 F4 DB 6D 08 D9 E1 DC 0D ?? ?? ?? ?? DC 05 ?? ?? ?? ?? DB 7D F4 9B DB 6D 14 D9 E1 DB 6D F4 DE D9 9B DF E0 9E 0F 97 C0 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_66266_0 {
	meta:
		name = "ArcCos"
		size = 26
	strings:
		$1 = { 55 8B EC DB 6D 08 D9 E8 D8 C1 D9 E8 D8 E2 DE C9 D9 FA D9 C9 D9 F3 5D C2 0C 00 }
	condition:
		$1
}

rule function_66267_0 {
	meta:
		name = "ArcCos"
		size = 26
	strings:
		$1 = { 55 8B EC DD 45 08 D9 E8 D8 C1 D9 E8 D8 E2 DE C9 D9 FA D9 C9 D9 F3 5D C2 08 00 }
	condition:
		$1
}

rule function_66268_0 {
	meta:
		name = "ArcCos"
		size = 24
	strings:
		$1 = { 55 8B EC D9 E8 D9 45 08 DD D2 D8 C8 DE E9 D9 FA D9 C9 D9 F3 5D C2 04 00 }
	condition:
		$1
}

rule function_66269_0 {
	meta:
		name = "ArcSin"
		size = 22
	strings:
		$1 = { 55 8B EC D9 E8 DB 6D 08 DD D2 D8 C8 DE E9 D9 FA D9 F3 5D C2 0C 00 }
	condition:
		$1
}

rule function_66270_0 {
	meta:
		name = "ArcSin"
		size = 24
	strings:
		$1 = { 55 8B EC DD 45 08 D9 E8 D8 C1 D9 E8 D8 E2 DE C9 D9 FA D9 F3 5D C2 08 00 }
	condition:
		$1
}

rule function_66271_0 {
	meta:
		name = "ArcSin"
		size = 22
	strings:
		$1 = { 55 8B EC D9 E8 D9 45 08 DD D2 D8 C8 DE E9 D9 FA D9 F3 5D C2 04 00 }
	condition:
		$1
}

rule function_66272_0 {
	meta:
		name = "ArcTan2"
		size = 16
	strings:
		$1 = { 55 8B EC DB 6D 14 DB 6D 08 D9 F3 9B 5D C2 18 00 }
	condition:
		$1
}

rule function_66273_0 {
	meta:
		name = "ArcTan2"
		size = 16
	strings:
		$1 = { 55 8B EC DD 45 10 DD 45 08 D9 F3 9B 5D C2 10 00 }
	condition:
		$1
}

rule function_66274_0 {
	meta:
		name = "ArcTan2"
		size = 16
	strings:
		$1 = { 55 8B EC D9 45 0C D9 45 08 D9 F3 9B 5D C2 08 00 }
	condition:
		$1
}

rule function_66275_0 {
	meta:
		name = "Tan"
		size = 31
		refs = "000f Tangent"
	strings:
		$1 = { 55 8B EC 51 D9 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 5D FC 9B D9 45 FC 59 5D C2 04 00 }
	condition:
		$1
}

rule function_66277_0 {
	meta:
		name = "Tan"
		size = 35
		refs = "0012 Tangent"
	strings:
		$1 = { 55 8B EC 83 C4 F0 0F B7 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_66340_0 {
	meta:
		name = "Cot"
		size = 35
		refs = "0012 Cotan"
	strings:
		$1 = { 55 8B EC 83 C4 F0 0F B7 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_66346_0 {
	meta:
		name = "Csc"
		size = 35
		refs = "0012 Cosecant"
	strings:
		$1 = { 55 8B EC 83 C4 F0 0F B7 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_66343_0 {
	meta:
		name = "Sec"
		size = 35
		refs = "0012 Secant"
	strings:
		$1 = { 55 8B EC 83 C4 F0 0F B7 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_66278_0 {
	meta:
		name = "Cotan"
		size = 44
		refs = "000f Tangent 0015 Cotan"
	strings:
		$1 = { 55 8B EC 51 D9 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66284_0 {
	meta:
		name = "Cosecant"
		size = 44
		refs = "000f Sin 0015 Cosecant"
	strings:
		$1 = { 55 8B EC 51 D9 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66281_0 {
	meta:
		name = "Secant"
		size = 44
		refs = "000f Cos 0015 Secant"
	strings:
		$1 = { 55 8B EC 51 D9 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66279_0 {
	meta:
		name = "Cotan"
		size = 44
		refs = "0011 Tangent 0017 Cotan"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 80 3F }
	condition:
		$1
}

rule function_66285_0 {
	meta:
		name = "Cosecant"
		size = 44
		refs = "0011 Sin 0017 Cosecant"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 80 3F }
	condition:
		$1
}

rule function_66282_0 {
	meta:
		name = "Secant"
		size = 44
		refs = "0011 Cos 0017 Secant"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 80 3F }
	condition:
		$1
}

rule function_66280_0 {
	meta:
		name = "Cotan"
		size = 48
		refs = "0012 Tangent 0018 Cotan"
	strings:
		$1 = { 55 8B EC 83 C4 F0 0F B7 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66286_0 {
	meta:
		name = "Cosecant"
		size = 48
		refs = "0012 Sin 0018 Cosecant"
	strings:
		$1 = { 55 8B EC 83 C4 F0 0F B7 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66349_0 {
	meta:
		name = "CotH"
		size = 48
		refs = "0012 Tanh 0018 CotH"
	strings:
		$1 = { 55 8B EC 83 C4 F0 0F B7 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66355_0 {
	meta:
		name = "CscH"
		size = 48
		refs = "0012 Sinh 0018 CscH"
	strings:
		$1 = { 55 8B EC 83 C4 F0 0F B7 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66352_0 {
	meta:
		name = "SecH"
		size = 48
		refs = "0012 Cosh 0018 SecH"
	strings:
		$1 = { 55 8B EC 83 C4 F0 0F B7 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66283_0 {
	meta:
		name = "Secant"
		size = 48
		refs = "0012 Cos 0018 Secant"
	strings:
		$1 = { 55 8B EC 83 C4 F0 0F B7 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66287_0 {
	meta:
		name = "Hypot"
		size = 56
	strings:
		$1 = { 55 8B EC D9 45 08 D9 E1 D9 45 0C D9 E1 D8 D1 DF E0 F6 C4 45 75 02 D9 C9 D9 EE D8 D9 DF E0 F6 C4 40 74 04 DD D8 EB 0C D8 F1 D8 C8 D9 E8 DE C1 D9 FA DE C9 9B 5D C2 08 00 }
	condition:
		$1
}

rule function_66288_0 {
	meta:
		name = "Hypot"
		size = 56
	strings:
		$1 = { 55 8B EC DD 45 08 D9 E1 DD 45 10 D9 E1 D8 D1 DF E0 F6 C4 45 75 02 D9 C9 D9 EE D8 D9 DF E0 F6 C4 40 74 04 DD D8 EB 0C D8 F1 D8 C8 D9 E8 DE C1 D9 FA DE C9 9B 5D C2 10 00 }
	condition:
		$1
}

rule function_66289_0 {
	meta:
		name = "Hypot"
		size = 56
	strings:
		$1 = { 55 8B EC DB 6D 08 D9 E1 DB 6D 14 D9 E1 D8 D1 DF E0 F6 C4 45 75 02 D9 C9 D9 EE D8 D9 DF E0 F6 C4 40 74 04 DD D8 EB 0C D8 F1 D8 C8 D9 E8 DE C1 D9 FA DE C9 9B 5D C2 18 00 }
	condition:
		$1
}

rule function_66290_0 {
	meta:
		name = "SinCos"
		size = 53
		refs = "001d SineCosine"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 8B F2 8B D8 D9 45 08 83 C4 F4 DB 3C 24 9B 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? DB 6D F0 D9 1B 9B DB 6D E0 D9 1E 9B 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_66291_0 {
	meta:
		name = "SinCos"
		size = 53
		refs = "001d SineCosine"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 8B F2 8B D8 DD 45 08 83 C4 F4 DB 3C 24 9B 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? DB 6D F0 DD 1B 9B DB 6D E0 DD 1E 9B 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_66292_0 {
	meta:
		name = "SinCos"
		size = 23
		refs = "000f SineCosine"
	strings:
		$1 = { 55 8B EC 0F B7 4D 10 51 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_66293_0 {
	meta:
		name = "Frexp"
		size = 48
	strings:
		$1 = { 55 8B EC D9 45 08 50 C7 02 00 00 00 00 D9 E4 9B DF E0 9B 9E 74 12 D9 F4 D9 C9 DB 1A D9 E8 D9 E0 D9 C9 D9 FD FF 02 DD D9 58 D9 18 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_66294_0 {
	meta:
		name = "Frexp"
		size = 48
	strings:
		$1 = { 55 8B EC DD 45 08 50 C7 02 00 00 00 00 D9 E4 9B DF E0 9B 9E 74 12 D9 F4 D9 C9 DB 1A D9 E8 D9 E0 D9 C9 D9 FD FF 02 DD D9 58 DD 18 9B 5D C2 08 00 }
	condition:
		$1
}

rule function_66295_0 {
	meta:
		name = "Frexp"
		size = 48
	strings:
		$1 = { 55 8B EC DB 6D 08 50 C7 02 00 00 00 00 D9 E4 9B DF E0 9B 9E 74 12 D9 F4 D9 C9 DB 1A D9 E8 D9 E0 D9 C9 D9 FD FF 02 DD D9 58 DB 38 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_66296_0 {
	meta:
		name = "Ldexp"
		size = 20
	strings:
		$1 = { 55 8B EC 50 DB 04 24 D9 45 08 D9 FD 58 DD D9 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_66297_0 {
	meta:
		name = "Ldexp"
		size = 20
	strings:
		$1 = { 55 8B EC 50 DB 04 24 DD 45 08 D9 FD 58 DD D9 9B 5D C2 08 00 }
	condition:
		$1
}

rule function_66298_0 {
	meta:
		name = "Ldexp"
		size = 20
	strings:
		$1 = { 55 8B EC 50 DB 04 24 DB 6D 08 D9 FD 58 DD D9 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_66299_0 {
	meta:
		name = "Ceil"
		size = 56
		refs = "0008 @TRUNC 0019 Frac 001f Ceil"
	strings:
		$1 = { 55 8B EC 53 D9 45 08 E8 ?? ?? ?? ?? 8B D8 D9 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 01 43 8B C3 5B 5D C2 04 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_66300_0 {
	meta:
		name = "Ceil"
		size = 56
		refs = "0008 @TRUNC 0019 Frac 001f Ceil"
	strings:
		$1 = { 55 8B EC 53 DD 45 08 E8 ?? ?? ?? ?? 8B D8 DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 01 43 8B C3 5B 5D C2 08 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_66301_0 {
	meta:
		name = "Ceil"
		size = 56
		refs = "0008 @TRUNC 001a Frac 0020 Ceil"
	strings:
		$1 = { 55 8B EC 53 DB 6D 08 E8 ?? ?? ?? ?? 8B D8 0F B7 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 01 43 8B C3 5B 5D C2 0C 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_66302_0 {
	meta:
		name = "Floor"
		size = 56
		refs = "0008 @TRUNC 0019 Frac 001f Floor"
	strings:
		$1 = { 55 8B EC 53 D9 45 08 E8 ?? ?? ?? ?? 8B D8 D9 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 01 4B 8B C3 5B 5D C2 04 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_66303_0 {
	meta:
		name = "Floor"
		size = 56
		refs = "0008 @TRUNC 0019 Frac 001f Floor"
	strings:
		$1 = { 55 8B EC 53 DD 45 08 E8 ?? ?? ?? ?? 8B D8 DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 01 4B 8B C3 5B 5D C2 08 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_66304_0 {
	meta:
		name = "Floor"
		size = 56
		refs = "0008 @TRUNC 001a Frac 0020 Floor"
	strings:
		$1 = { 55 8B EC 53 DB 6D 08 E8 ?? ?? ?? ?? 8B D8 0F B7 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 01 4B 8B C3 5B 5D C2 0C 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_66305_0 {
	meta:
		name = "Log10"
		size = 15
	strings:
		$1 = { 55 8B EC D9 EC D9 45 08 D9 F1 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_66306_0 {
	meta:
		name = "Log10"
		size = 15
	strings:
		$1 = { 55 8B EC D9 EC DD 45 08 D9 F1 9B 5D C2 08 00 }
	condition:
		$1
}

rule function_66307_0 {
	meta:
		name = "Log10"
		size = 15
	strings:
		$1 = { 55 8B EC D9 EC DB 6D 08 D9 F1 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_66308_0 {
	meta:
		name = "Log2"
		size = 15
	strings:
		$1 = { 55 8B EC D9 E8 D9 45 08 D9 F1 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_66309_0 {
	meta:
		name = "Log2"
		size = 15
	strings:
		$1 = { 55 8B EC D9 E8 DD 45 08 D9 F1 9B 5D C2 08 00 }
	condition:
		$1
}

rule function_66310_0 {
	meta:
		name = "Log2"
		size = 15
	strings:
		$1 = { 55 8B EC D9 E8 DB 6D 08 D9 F1 9B 5D C2 0C 00 }
	condition:
		$1
}

rule function_66311_0 {
	meta:
		name = "LogN"
		size = 24
	strings:
		$1 = { 55 8B EC D9 E8 D9 45 08 D9 F1 D9 E8 D9 45 0C D9 F1 DE F9 9B 5D C2 08 00 }
	condition:
		$1
}

rule function_66312_0 {
	meta:
		name = "LogN"
		size = 24
	strings:
		$1 = { 55 8B EC D9 E8 DD 45 08 D9 F1 D9 E8 DD 45 10 D9 F1 DE F9 9B 5D C2 10 00 }
	condition:
		$1
}

rule function_66313_0 {
	meta:
		name = "LogN"
		size = 24
	strings:
		$1 = { 55 8B EC D9 E8 DB 6D 08 D9 F1 D9 E8 DB 6D 14 D9 F1 DE F9 9B 5D C2 18 00 }
	condition:
		$1
}

rule function_66314_0 {
	meta:
		name = "Poly"
		size = 52
	strings:
		$1 = { 55 8B EC 51 53 8B CA 8B 1C 88 89 5D FC 49 83 F9 00 7C 18 8D 14 88 D9 45 FC D8 4D 08 D8 02 D9 5D FC 9B 49 83 EA 04 83 F9 FF 75 EB D9 45 FC 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_66315_0 {
	meta:
		name = "Poly"
		size = 62
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B CA 8B 1C C8 89 5D F8 8B 5C C8 04 89 5D FC 49 83 F9 00 7C 18 8D 14 C8 DD 45 F8 DC 4D 08 DC 02 DD 5D F8 9B 49 83 EA 08 83 F9 FF 75 EB DD 45 F8 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66316_0 {
	meta:
		name = "Poly"
		size = 83
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B CA 8D 1C 89 8B 34 58 89 75 F0 8B 74 58 04 89 75 F4 66 8B 74 58 08 66 89 75 F8 49 83 F9 00 7C 1F 8D 14 89 8D 14 50 DB 6D F0 DB 6D 08 DE C9 DB 2A DE C1 DB 7D F0 9B 49 83 EA 0A 83 F9 FF 75 E7 DB 6D F0 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_66317_0 {
	meta:
		name = "Power"
		size = 130
		refs = "000d Max"
	strings:
		$1 = { 55 8B EC 51 DB 6D 08 D9 C0 D9 E1 DD 05 ?? ?? ?? ?? DE D9 9B DF E0 9E 72 39 D9 C0 D9 FC D8 D9 9B DF E0 9E 75 2D DB 5D FC 8B 45 FC 89 C1 99 D9 E8 31 D0 29 D0 74 47 DB 6D 14 EB 02 D8 C8 D1 E8 73 FA DC C9 75 F6 DD D8 83 F9 00 7D 31 D9 E8 DE F1 EB 2B DB 6D 14 D9 E4 9B DF E0 9E 74 1E D9 ED D9 C9 D9 F1 D9 C9 DE C9 D9 EA DE C9 D9 C0 D9 FC DC E9 D9 C9 D9 F0 D9 E8 DE C1 D9 FD DD D9 59 5D C2 18 00 }
	condition:
		$1
}

rule function_66318_0 {
	meta:
		name = "Power"
		size = 130
		refs = "000d Max"
	strings:
		$1 = { 55 8B EC 51 DD 45 08 D9 C0 D9 E1 DD 05 ?? ?? ?? ?? DE D9 9B DF E0 9E 72 39 D9 C0 D9 FC D8 D9 9B DF E0 9E 75 2D DB 5D FC 8B 45 FC 89 C1 99 D9 E8 31 D0 29 D0 74 47 DD 45 10 EB 02 D8 C8 D1 E8 73 FA DC C9 75 F6 DD D8 83 F9 00 7D 31 D9 E8 DE F1 EB 2B DD 45 10 D9 E4 9B DF E0 9E 74 1E D9 ED D9 C9 D9 F1 D9 C9 DE C9 D9 EA DE C9 D9 C0 D9 FC DC E9 D9 C9 D9 F0 D9 E8 DE C1 D9 FD DD D9 59 5D C2 10 00 }
	condition:
		$1
}

rule function_66319_0 {
	meta:
		name = "Power"
		size = 130
		refs = "000d Max"
	strings:
		$1 = { 55 8B EC 51 D9 45 08 D9 C0 D9 E1 DD 05 ?? ?? ?? ?? DE D9 9B DF E0 9E 72 39 D9 C0 D9 FC D8 D9 9B DF E0 9E 75 2D DB 5D FC 8B 45 FC 89 C1 99 D9 E8 31 D0 29 D0 74 47 D9 45 0C EB 02 D8 C8 D1 E8 73 FA DC C9 75 F6 DD D8 83 F9 00 7D 31 D9 E8 DE F1 EB 2B D9 45 0C D9 E4 9B DF E0 9E 74 1E D9 ED D9 C9 D9 F1 D9 C9 DE C9 D9 EA DE C9 D9 C0 D9 FC DC E9 D9 C9 D9 F0 D9 E8 DE C1 D9 FD DD D9 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66320_0 {
	meta:
		name = "Cosh"
		size = 96
		refs = "000c IsZero 0028 Exp 0048 Cosh"
	strings:
		$1 = { 55 8B EC 83 C4 F0 FF 75 08 6A 00 E8 ?? ?? ?? ?? 84 C0 74 09 C7 45 FC 00 00 80 3F EB 33 D9 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F0 9B D9 45 08 D9 E0 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 6D F0 DE C1 D8 35 ?? ?? ?? ?? D9 5D FC 9B D9 45 FC 8B E5 5D C2 04 00 00 00 00 00 00 00 40 }
	condition:
		$1
}

rule function_66321_0 {
	meta:
		name = "Cosh"
		size = 104
		refs = "0011 IsZero 0032 Exp 0052 Cosh"
	strings:
		$1 = { 55 8B EC 83 C4 EC FF 75 0C FF 75 08 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 0E 33 C0 89 45 F8 C7 45 FC 00 00 F0 3F EB 33 DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D EC 9B DD 45 08 D9 E0 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 6D EC DE C1 D8 35 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 8B E5 5D C2 08 00 00 00 00 00 40 }
	condition:
		$1
}

rule function_66322_0 {
	meta:
		name = "Cosh"
		size = 120
		refs = "0018 IsZero 0040 Exp 0060 Cosh"
	strings:
		$1 = { 55 8B EC 83 C4 E4 0F B7 45 10 50 FF 75 0C FF 75 08 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 14 33 C0 89 45 F0 C7 45 F4 00 00 00 80 66 C7 45 F8 FF 3F EB 34 0F B7 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? DB 7D E4 9B DB 6D 08 D9 E0 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 6D E4 DE C1 D8 35 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 00 00 00 00 40 }
	condition:
		$1
}

rule function_66323_0 {
	meta:
		name = "Sinh"
		size = 92
		refs = "000c IsZero 0026 Exp 0046 Sinh"
	strings:
		$1 = { 55 8B EC 83 C4 F0 FF 75 08 6A 00 E8 ?? ?? ?? ?? 84 C0 74 07 33 C0 89 45 FC EB 33 D9 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F0 9B D9 45 08 D9 E0 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 6D F0 DE E1 D8 35 ?? ?? ?? ?? D9 5D FC 9B D9 45 FC 8B E5 5D C2 04 00 00 00 00 00 40 }
	condition:
		$1
}

rule function_66324_0 {
	meta:
		name = "Sinh"
		size = 100
		refs = "0011 IsZero 002e Exp 004e Sinh"
	strings:
		$1 = { 55 8B EC 83 C4 EC FF 75 0C FF 75 08 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 0A 33 C0 89 45 F8 89 45 FC EB 33 DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D EC 9B DD 45 08 D9 E0 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 6D EC DE E1 D8 35 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 8B E5 5D C2 08 00 00 00 00 00 40 }
	condition:
		$1
}

rule function_66325_0 {
	meta:
		name = "Sinh"
		size = 112
		refs = "0018 IsZero 003a Exp 005a Sinh"
	strings:
		$1 = { 55 8B EC 83 C4 E4 0F B7 45 10 50 FF 75 0C FF 75 08 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 0E 33 C0 89 45 F0 89 45 F4 66 89 45 F8 EB 34 0F B7 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? DB 7D E4 9B DB 6D 08 D9 E0 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 6D E4 DE E1 D8 35 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 00 00 40 }
	condition:
		$1
}

rule function_66326_0 {
	meta:
		name = "Tanh"
		size = 356
		refs = "0011 TSingleRec.&op_Explicit 001c TSingleRec.SpecialType 0036 Tanh 00b7 ExpMinus1 00e4 Exp"
	strings:
		$1 = { 55 8B EC 83 C4 DC D9 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? 89 45 DC 8D 45 DC E8 ?? ?? ?? ?? 04 FC 2C 02 0F 83 F5 00 00 00 D9 45 08 DB 7D E0 9B D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 09 DB 6D E0 D9 E0 DB 7D E0 9B DB 6D E0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 0C C7 45 FC 00 00 80 3F E9 A1 00 00 00 DB 6D E0 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 76 20 DB 6D E0 DB 6D E0 DE C9 DB 6D E0 DE C9 DB 2D ?? ?? ?? ?? DE C9 DB 6D E0 DE E1 D9 5D FC 9B EB 70 DB 6D E0 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 76 2D DB 6D E0 D8 0D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 D8 05 ?? ?? ?? ?? DB 6D F0 DE F1 D9 5D FC 9B EB 32 DB 6D E0 D8 0D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 D8 05 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? D8 2D ?? ?? ?? ?? D9 5D FC 9B D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 11 D9 45 FC D9 E0 D9 5D FC 9B EB 06 8B 45 08 89 45 FC D9 45 FC 8B E5 5D C2 04 00 00 00 00 00 00 00 00 00 B8 41 70 A9 B8 8D 51 F0 37 98 EF 3F 00 00 AB AA AA AA AA AA AA AA FD 3F 00 00 AA 79 CF D1 F7 17 72 B1 FD 3F 00 00 00 00 00 40 00 00 80 3F }
	condition:
		$1
}

rule function_66327_0 {
	meta:
		name = "Tanh"
		size = 368
		refs = "0014 TDoubleRec.&op_Explicit 001c TDoubleRec.SpecialType 0036 Tanh 00bc ExpMinus1 00e9 Exp"
	strings:
		$1 = { 55 8B EC 83 C4 C8 DD 45 08 83 C4 F4 DB 3C 24 9B 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 04 FC 2C 02 0F 83 FA 00 00 00 DD 45 08 DB 7D D0 9B DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 09 DB 6D D0 D9 E0 DB 7D D0 9B DB 6D D0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 11 33 C0 89 45 F8 C7 45 FC 00 00 F0 3F E9 A1 00 00 00 DB 6D D0 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 76 20 DB 6D D0 DB 6D D0 DE C9 DB 6D D0 DE C9 DB 2D ?? ?? ?? ?? DE C9 DB 6D D0 DE E1 DD 5D F8 9B EB 70 DB 6D D0 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 76 2D DB 6D D0 D8 0D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D E0 9B DB 6D E0 D8 05 ?? ?? ?? ?? DB 6D E0 DE F1 DD 5D F8 9B EB 32 DB 6D D0 D8 0D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D E0 9B DB 6D E0 D8 05 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? D8 2D ?? ?? ?? ?? DD 5D F8 9B DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 17 DD 45 F8 D9 E0 DD 5D F8 9B EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 8B E5 5D C2 08 00 00 00 00 00 00 00 00 00 00 B8 41 70 A9 B8 8D 51 F0 37 98 EF 3F 00 00 AB AA AA AA AA AA AA AA FD 3F 00 00 AA 79 CF D1 F7 17 72 B1 FD 3F 00 00 00 00 00 40 00 00 80 3F }
	condition:
		$1
}

rule function_66328_0 {
	meta:
		name = "Tanh"
		size = 396
		refs = "0015 TExtended80Rec.&op_Explicit 001d TExtended80Rec.SpecialType 0044 Tanh 00d0 ExpMinus1 00fd Exp"
	strings:
		$1 = { 55 8B EC 83 C4 C4 0F B7 45 10 50 FF 75 0C FF 75 08 8D 45 C6 E8 ?? ?? ?? ?? 8D 45 C6 E8 ?? ?? ?? ?? 04 FC 2C 02 0F 83 0D 01 00 00 8B 45 08 89 45 D0 8B 45 0C 89 45 D4 66 8B 45 10 66 89 45 D8 DB 6D 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 09 DB 6D D0 D9 E0 DB 7D D0 9B DB 6D D0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 17 33 C0 89 45 F0 C7 45 F4 00 00 00 80 66 C7 45 F8 FF 3F E9 A1 00 00 00 DB 6D D0 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 76 20 DB 6D D0 DB 6D D0 DE C9 DB 6D D0 DE C9 DB 2D ?? ?? ?? ?? DE C9 DB 6D D0 DE E1 DB 7D F0 9B EB 70 DB 6D D0 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 76 2D DB 6D D0 D8 0D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D E0 9B DB 6D E0 D8 05 ?? ?? ?? ?? DB 6D E0 DE F1 DB 7D F0 9B EB 32 DB 6D D0 D8 0D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D E0 9B DB 6D E0 D8 05 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? D8 2D ?? ?? ?? ?? DB 7D F0 9B DB 6D 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 1F DB 6D F0 D9 E0 DB 7D F0 9B EB 14 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 66 8B 45 10 66 89 45 F8 DB 6D F0 8B E5 5D C2 0C 00 00 00 00 00 00 00 00 00 00 B8 41 70 A9 B8 8D 51 F0 37 98 EF 3F 00 00 AB AA AA AA AA AA AA AA FD 3F 00 00 AA 79 CF D1 F7 17 72 B1 FD 3F 00 00 00 00 00 40 00 00 80 3F }
	condition:
		$1
}

rule function_66329_0 {
	meta:
		name = "ArcCosh"
		size = 80
		refs = "0009 ArcCosh 0020 Sqrt 003a Ln"
	strings:
		$1 = { 55 8B EC 51 D9 45 08 D8 25 ?? ?? ?? ?? D9 45 08 D8 05 ?? ?? ?? ?? DE F9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 45 08 D8 05 ?? ?? ?? ?? DE C9 D8 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66330_0 {
	meta:
		name = "ArcCosh"
		size = 84
		refs = "000b ArcCosh 0022 Sqrt 003c Ln"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 08 D8 25 ?? ?? ?? ?? DD 45 08 D8 05 ?? ?? ?? ?? DE F9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 45 08 D8 05 ?? ?? ?? ?? DE C9 DC 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66331_0 {
	meta:
		name = "ArcCosh"
		size = 84
		refs = "000b ArcCosh 0022 Sqrt 003e Ln"
	strings:
		$1 = { 55 8B EC 83 C4 F0 DB 6D 08 D8 25 ?? ?? ?? ?? DB 6D 08 D8 05 ?? ?? ?? ?? DE F9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 6D 08 D8 05 ?? ?? ?? ?? DE C9 DB 6D 08 DE C1 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66332_0 {
	meta:
		name = "ArcSinh"
		size = 60
		refs = "000c ArcSinh 0018 Sqrt 0027 Ln"
	strings:
		$1 = { 55 8B EC 51 D9 45 08 D8 4D 08 D8 05 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66333_0 {
	meta:
		name = "ArcSinh"
		size = 64
		refs = "000e ArcSinh 001a Sqrt 0029 Ln"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 08 DC 4D 08 D8 05 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DC 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66334_0 {
	meta:
		name = "ArcSinh"
		size = 68
		refs = "0010 ArcSinh 001c Sqrt 002d Ln"
	strings:
		$1 = { 55 8B EC 83 C4 F0 DB 6D 08 DB 6D 08 DE C9 D8 05 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 6D 08 DE C1 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66335_0 {
	meta:
		name = "ArcTanh"
		size = 120
		refs = "000f SameValue 003e ArcTanh 0058 Ln"
	strings:
		$1 = { 55 8B EC 51 FF 75 08 68 00 00 80 3F 6A 00 E8 ?? ?? ?? ?? 84 C0 74 09 C7 45 FC 00 00 80 7F EB 46 FF 75 08 68 00 00 80 BF 6A 00 E8 ?? ?? ?? ?? 84 C0 74 09 C7 45 FC 00 00 80 FF EB 2A D9 05 ?? ?? ?? ?? D8 45 08 D9 05 ?? ?? ?? ?? D8 65 08 DE F9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 00 80 3F 00 00 00 3F }
	condition:
		$1
}

rule function_66336_0 {
	meta:
		name = "ArcTanh"
		size = 148
		refs = "0018 SameValue 0058 ArcTanh 0072 Ln"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 68 00 00 F0 3F 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 0E 33 C0 89 45 F8 C7 45 FC 00 00 F0 7F EB 52 FF 75 0C FF 75 08 68 00 00 F0 BF 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 0E 33 C0 89 45 F8 C7 45 FC 00 00 F0 FF EB 2A D9 05 ?? ?? ?? ?? DC 45 08 D9 05 ?? ?? ?? ?? DC 65 08 DE F9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 00 00 00 80 3F 00 00 00 3F }
	condition:
		$1
}

rule function_66337_0 {
	meta:
		name = "ArcTanh"
		size = 184
		refs = "0024 SameValue 007f ArcTanh 0096 Ln"
	strings:
		$1 = { 55 8B EC 83 C4 F0 0F B7 45 10 50 FF 75 0C FF 75 08 68 FF 3F 00 00 68 00 00 00 80 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 14 33 C0 89 45 F0 C7 45 F4 00 00 00 80 66 C7 45 F8 FF 7F EB 64 0F B7 45 10 50 FF 75 0C FF 75 08 68 FF BF 00 00 68 00 00 00 80 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 14 33 C0 89 45 F0 C7 45 F4 00 00 00 80 66 C7 45 F8 FF FF EB 2A DB 6D 08 D8 05 ?? ?? ?? ?? DB 6D 08 D8 2D ?? ?? ?? ?? DE F9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 00 00 00 80 3F 00 00 00 3F }
	condition:
		$1
}

rule function_66338_0 {
	meta:
		name = "Cot"
		size = 24
		refs = "0008 Cotan"
	strings:
		$1 = { 55 8B EC 51 FF 75 08 E8 ?? ?? ?? ?? D9 5D FC 9B D9 45 FC 59 5D C2 04 00 }
	condition:
		$1
}

rule function_66344_0 {
	meta:
		name = "Csc"
		size = 24
		refs = "0008 Cosecant"
	strings:
		$1 = { 55 8B EC 51 FF 75 08 E8 ?? ?? ?? ?? D9 5D FC 9B D9 45 FC 59 5D C2 04 00 }
	condition:
		$1
}

rule function_66341_0 {
	meta:
		name = "Sec"
		size = 24
		refs = "0008 Secant"
	strings:
		$1 = { 55 8B EC 51 FF 75 08 E8 ?? ?? ?? ?? D9 5D FC 9B D9 45 FC 59 5D C2 04 00 }
	condition:
		$1
}

rule function_66339_0 {
	meta:
		name = "Cot"
		size = 30
		refs = "000d Cotan"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_68619_0 {
	meta:
		name = "ConvDateTimeToJulianDate"
		size = 30
		refs = "000d DateTimeToJulianDate"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_68621_0 {
	meta:
		name = "ConvDateTimeToModifiedJulianDate"
		size = 30
		refs = "000d DateTimeToModifiedJulianDate"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_68620_0 {
	meta:
		name = "ConvJulianDateToDateTime"
		size = 30
		refs = "000d JulianDateToDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_68622_0 {
	meta:
		name = "ConvModifiedJulianDateToDateTime"
		size = 30
		refs = "000d ModifiedJulianDateToDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66345_0 {
	meta:
		name = "Csc"
		size = 30
		refs = "000d Cosecant"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66342_0 {
	meta:
		name = "Sec"
		size = 30
		refs = "000d Secant"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69684_0 {
	meta:
		name = "TTimeSpan.&op_Addition"
		size = 30
		refs = "000d TTimeSpan.&op_Addition"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66347_0 {
	meta:
		name = "CotH"
		size = 36
		refs = "0008 Tanh 000e CotH"
	strings:
		$1 = { 55 8B EC 51 FF 75 08 E8 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66353_0 {
	meta:
		name = "CscH"
		size = 36
		refs = "0008 Sinh 000e CscH"
	strings:
		$1 = { 55 8B EC 51 FF 75 08 E8 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66350_0 {
	meta:
		name = "SecH"
		size = 36
		refs = "0008 Cosh 000e SecH"
	strings:
		$1 = { 55 8B EC 51 FF 75 08 E8 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66348_0 {
	meta:
		name = "CotH"
		size = 40
		refs = "000d Tanh 0013 CotH"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 80 3F }
	condition:
		$1
}

rule function_66354_0 {
	meta:
		name = "CscH"
		size = 40
		refs = "000d Sinh 0013 CscH"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 80 3F }
	condition:
		$1
}

rule function_66351_0 {
	meta:
		name = "SecH"
		size = 40
		refs = "000d Cosh 0013 SecH"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 80 3F }
	condition:
		$1
}

rule function_66356_0 {
	meta:
		name = "ArcCot"
		size = 64
		refs = "000a IsZero 001d ArcCot 002c ArcTan"
	strings:
		$1 = { 55 8B EC 51 FF 75 08 6A 00 E8 ?? ?? ?? ?? 84 C0 74 09 C7 45 FC DB 0F C9 3F EB 19 D9 05 ?? ?? ?? ?? D8 75 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 80 3F }
	condition:
		$1
}

rule function_66357_0 {
	meta:
		name = "ArcCot"
		size = 80
		refs = "0011 IsZero 002b ArcCot 003a ArcTan"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 10 C7 45 F8 18 2D 44 54 C7 45 FC FB 21 F9 3F EB 19 D9 05 ?? ?? ?? ?? DC 75 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66358_0 {
	meta:
		name = "ArcCot"
		size = 92
		refs = "0018 IsZero 003b ArcCot 0047 ArcTan"
	strings:
		$1 = { 55 8B EC 83 C4 F0 0F B7 45 10 50 FF 75 0C FF 75 08 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 16 C7 45 F0 35 C2 68 21 C7 45 F4 A2 DA 0F C9 66 C7 45 F8 FF 3F EB 19 DB 6D 08 D8 3D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 80 3F }
	condition:
		$1
}

rule function_66359_0 {
	meta:
		name = "ArcSec"
		size = 64
		refs = "000a IsZero 001d ArcSec 002c ArcCos"
	strings:
		$1 = { 55 8B EC 51 FF 75 08 6A 00 E8 ?? ?? ?? ?? 84 C0 74 09 C7 45 FC 00 00 80 7F EB 19 D9 05 ?? ?? ?? ?? D8 75 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 80 3F }
	condition:
		$1
}

rule function_66362_0 {
	meta:
		name = "ArcCsc"
		size = 64
		refs = "000a IsZero 001d ArcCsc 002c ArcSin"
	strings:
		$1 = { 55 8B EC 51 FF 75 08 6A 00 E8 ?? ?? ?? ?? 84 C0 74 09 C7 45 FC 00 00 80 7F EB 19 D9 05 ?? ?? ?? ?? D8 75 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 80 3F }
	condition:
		$1
}

rule function_66360_0 {
	meta:
		name = "ArcSec"
		size = 80
		refs = "0011 IsZero 0029 ArcSec 0038 ArcCos"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 0E 33 C0 89 45 F8 C7 45 FC 00 00 F0 7F EB 19 D9 05 ?? ?? ?? ?? DC 75 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66363_0 {
	meta:
		name = "ArcCsc"
		size = 80
		refs = "0011 IsZero 0029 ArcCsc 0038 ArcSin"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 0E 33 C0 89 45 F8 C7 45 FC 00 00 F0 7F EB 19 D9 05 ?? ?? ?? ?? DC 75 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66361_0 {
	meta:
		name = "ArcSec"
		size = 92
		refs = "0018 IsZero 0039 ArcSec 0045 ArcCos"
	strings:
		$1 = { 55 8B EC 83 C4 F0 0F B7 45 10 50 FF 75 0C FF 75 08 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 14 33 C0 89 45 F0 C7 45 F4 00 00 00 80 66 C7 45 F8 FF 7F EB 19 DB 6D 08 D8 3D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66364_0 {
	meta:
		name = "ArcCsc"
		size = 92
		refs = "0018 IsZero 0039 ArcCsc 0045 ArcSin"
	strings:
		$1 = { 55 8B EC 83 C4 F0 0F B7 45 10 50 FF 75 0C FF 75 08 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 14 33 C0 89 45 F0 C7 45 F4 00 00 00 80 66 C7 45 F8 FF 7F EB 19 DB 6D 08 D8 3D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66365_0 {
	meta:
		name = "ArcCotH"
		size = 120
		refs = "000f SameValue 0041 ArcCotH 0058 Ln"
	strings:
		$1 = { 55 8B EC 51 FF 75 08 68 00 00 80 3F 6A 00 E8 ?? ?? ?? ?? 84 C0 74 09 C7 45 FC 00 00 80 7F EB 46 FF 75 08 68 00 00 80 BF 6A 00 E8 ?? ?? ?? ?? 84 C0 74 09 C7 45 FC 00 00 80 FF EB 2A D9 45 08 D8 05 ?? ?? ?? ?? D9 45 08 D8 25 ?? ?? ?? ?? DE F9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 00 80 3F 00 00 00 3F }
	condition:
		$1
}

rule function_66366_0 {
	meta:
		name = "ArcCotH"
		size = 148
		refs = "0018 SameValue 005b ArcCotH 0072 Ln"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 68 00 00 F0 3F 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 0E 33 C0 89 45 F8 C7 45 FC 00 00 F0 7F EB 52 FF 75 0C FF 75 08 68 00 00 F0 BF 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 0E 33 C0 89 45 F8 C7 45 FC 00 00 F0 FF EB 2A DD 45 08 D8 05 ?? ?? ?? ?? DD 45 08 D8 25 ?? ?? ?? ?? DE F9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 00 00 00 80 3F 00 00 00 3F }
	condition:
		$1
}

rule function_66367_0 {
	meta:
		name = "ArcCotH"
		size = 184
		refs = "0024 SameValue 007f ArcCotH 0096 Ln"
	strings:
		$1 = { 55 8B EC 83 C4 F0 0F B7 45 10 50 FF 75 0C FF 75 08 68 FF 3F 00 00 68 00 00 00 80 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 14 33 C0 89 45 F0 C7 45 F4 00 00 00 80 66 C7 45 F8 FF 7F EB 64 0F B7 45 10 50 FF 75 0C FF 75 08 68 FF BF 00 00 68 00 00 00 80 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 14 33 C0 89 45 F0 C7 45 F4 00 00 00 80 66 C7 45 F8 FF FF EB 2A DB 6D 08 D8 05 ?? ?? ?? ?? DB 6D 08 D8 25 ?? ?? ?? ?? DE F9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 00 00 00 80 3F 00 00 00 3F }
	condition:
		$1
}

rule function_66368_0 {
	meta:
		name = "ArcSecH"
		size = 116
		refs = "000a IsZero 0026 SameValue 003d ArcSecH 0049 Sqrt 005e Ln"
	strings:
		$1 = { 55 8B EC 51 FF 75 08 6A 00 E8 ?? ?? ?? ?? 84 C0 74 09 C7 45 FC 00 00 80 7F EB 4B FF 75 08 68 00 00 80 3F 6A 00 E8 ?? ?? ?? ?? 84 C0 74 07 33 C0 89 45 FC EB 31 D9 45 08 D8 4D 08 D8 2D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 05 ?? ?? ?? ?? D8 75 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66369_0 {
	meta:
		name = "ArcSecH"
		size = 140
		refs = "0011 IsZero 0039 SameValue 0053 ArcSecH 005f Sqrt 0074 Ln"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 0E 33 C0 89 45 F8 C7 45 FC 00 00 F0 7F EB 55 FF 75 0C FF 75 08 68 00 00 F0 3F 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 0A 33 C0 89 45 F8 89 45 FC EB 31 DD 45 08 DC 4D 08 D8 2D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 05 ?? ?? ?? ?? DC 75 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66370_0 {
	meta:
		name = "ArcSecH"
		size = 172
		refs = "0018 IsZero 0052 SameValue 0072 ArcSecH 007e Sqrt 0095 Ln"
	strings:
		$1 = { 55 8B EC 83 C4 F0 0F B7 45 10 50 FF 75 0C FF 75 08 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 14 33 C0 89 45 F0 C7 45 F4 00 00 00 80 66 C7 45 F8 FF 7F EB 69 0F B7 45 10 50 FF 75 0C FF 75 08 68 FF 3F 00 00 68 00 00 00 80 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 0E 33 C0 89 45 F0 89 45 F4 66 89 45 F8 EB 35 DB 6D 08 DB 6D 08 DE C9 D8 2D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 05 ?? ?? ?? ?? DB 6D 08 DE F9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66371_0 {
	meta:
		name = "ArcCscH"
		size = 160
		refs = "000a IsZero 0020 ArcCscH 003e Sqrt 0053 Ln"
	strings:
		$1 = { 55 8B EC 51 FF 75 08 6A 00 E8 ?? ?? ?? ?? 84 C0 74 09 C7 45 FC 00 00 80 7F EB 73 D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 33 D9 45 08 D8 4D 08 D8 05 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 2D ?? ?? ?? ?? D8 75 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 5D FC 9B EB 31 D9 45 08 D8 4D 08 D8 05 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 05 ?? ?? ?? ?? D8 75 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66372_0 {
	meta:
		name = "ArcCscH"
		size = 172
		refs = "0011 IsZero 002c ArcCscH 004a Sqrt 005f Ln"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 0E 33 C0 89 45 F8 C7 45 FC 00 00 F0 7F EB 73 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 33 DD 45 08 DC 4D 08 D8 05 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 2D ?? ?? ?? ?? DC 75 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B EB 31 DD 45 08 DC 4D 08 D8 05 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 05 ?? ?? ?? ?? DC 75 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66373_0 {
	meta:
		name = "ArcCscH"
		size = 192
		refs = "0018 IsZero 0039 ArcCscH 0059 Sqrt 0070 Ln"
	strings:
		$1 = { 55 8B EC 83 C4 F0 0F B7 45 10 50 FF 75 0C FF 75 08 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 14 33 C0 89 45 F0 C7 45 F4 00 00 00 80 66 C7 45 F8 FF 7F EB 7B DB 6D 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 37 DB 6D 08 DB 6D 08 DE C9 D8 05 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 2D ?? ?? ?? ?? DB 6D 08 DE F9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F0 9B EB 35 DB 6D 08 DB 6D 08 DE C9 D8 05 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 05 ?? ?? ?? ?? DB 6D 08 DE F9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66374_0 {
	meta:
		name = "IsNan"
		size = 41
	strings:
		$1 = { 55 8B EC 8D 45 08 8B 00 8B D0 81 E2 00 00 80 7F 81 FA 00 00 80 7F 75 07 A9 FF FF 7F 00 75 04 33 C0 EB 02 B0 01 5D C2 04 00 }
	condition:
		$1
}

rule function_66375_0 {
	meta:
		name = "IsNan"
		size = 66
	strings:
		$1 = { 55 8B EC 8D 45 08 8B 50 04 8B 00 33 C0 81 E2 00 00 F0 7F 81 FA 00 00 F0 7F 75 1D 83 F8 00 75 18 8D 45 08 8B 50 04 8B 00 81 E2 FF FF 0F 00 83 FA 00 75 09 83 F8 00 75 04 33 C0 EB 02 B0 01 5D C2 08 00 }
	condition:
		$1
}

rule function_66376_0 {
	meta:
		name = "IsNan"
		size = 90
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8D 5D 08 8B CB 0F B7 41 08 66 25 FF 7F 0F B7 C0 33 D2 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 81 E0 FF 7F 00 00 33 D2 83 FA 00 75 1F 3D FF 7F 00 00 75 18 8B 03 8B 53 04 81 E2 FF FF FF 7F 83 FA 00 75 03 83 F8 00 0F 95 C0 EB 02 33 C0 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_66377_0 {
	meta:
		name = "IsInfinite"
		size = 41
	strings:
		$1 = { 55 8B EC 8D 45 08 8B 00 8B D0 81 E2 00 00 00 7F 81 FA 00 00 00 7F 75 07 A9 FF FF 7F 00 74 04 33 C0 EB 02 B0 01 5D C2 04 00 }
	condition:
		$1
}

rule function_66378_0 {
	meta:
		name = "IsInfinite"
		size = 66
	strings:
		$1 = { 55 8B EC 8D 45 08 8B 50 04 8B 00 33 C0 81 E2 00 00 F0 7F 81 FA 00 00 F0 7F 75 1D 83 F8 00 75 18 8D 45 08 8B 50 04 8B 00 81 E2 FF FF 0F 00 83 FA 00 75 03 83 F8 00 74 04 33 C0 EB 02 B0 01 5D C2 08 00 }
	condition:
		$1
}

rule function_66379_0 {
	meta:
		name = "IsInfinite"
		size = 87
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8D 5D 08 8B CB 0F B7 41 08 66 25 FF 7F 0F B7 C0 33 D2 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 81 E0 FF 7F 00 00 33 D2 83 FA 00 75 1C 3D FF 7F 00 00 75 15 8B 03 8B 53 04 81 FA 00 00 00 80 75 03 83 F8 00 0F 94 C0 EB 02 33 C0 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_66380_0 {
	meta:
		name = "Mean"
		size = 44
		refs = "000e Sum"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 8B C6 8B D3 E8 ?? ?? ?? ?? 83 EB 00 43 89 5C 24 04 DB 44 24 04 DE F9 D9 1C 24 9B D9 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_66460_0 {
	meta:
		name = "PopnVariance"
		size = 44
		refs = "000e TotalVariance"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 8B C6 8B D3 E8 ?? ?? ?? ?? 83 EB 00 43 89 5C 24 04 DB 44 24 04 DE F9 D9 1C 24 9B D9 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_66381_0 {
	meta:
		name = "Mean"
		size = 45
		refs = "000e Sum"
	strings:
		$1 = { 53 56 83 C4 F4 8B DA 8B F0 8B C6 8B D3 E8 ?? ?? ?? ?? 83 EB 00 43 89 5C 24 08 DB 44 24 08 DE F9 DD 1C 24 9B DD 04 24 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_66461_0 {
	meta:
		name = "PopnVariance"
		size = 45
		refs = "000e TotalVariance"
	strings:
		$1 = { 53 56 83 C4 F4 8B DA 8B F0 8B C6 8B D3 E8 ?? ?? ?? ?? 83 EB 00 43 89 5C 24 08 DB 44 24 08 DE F9 DD 1C 24 9B DD 04 24 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_66382_0 {
	meta:
		name = "Mean"
		size = 45
		refs = "000e Sum"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B C6 8B D3 E8 ?? ?? ?? ?? 83 EB 00 43 89 5C 24 0C DB 44 24 0C DE F9 DB 3C 24 9B DB 2C 24 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_66462_0 {
	meta:
		name = "PopnVariance"
		size = 45
		refs = "000e TotalVariance"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B C6 8B D3 E8 ?? ?? ?? ?? 83 EB 00 43 89 5C 24 0C DB 44 24 0C DE F9 DB 3C 24 9B DB 2C 24 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_66383_0 {
	meta:
		name = "MinValue"
		size = 42
	strings:
		$1 = { 51 8B 08 89 0C 24 8B CA 85 C9 7E 19 8D 50 04 D9 04 24 D8 1A 9B DF E0 9E 76 05 8B 02 89 04 24 83 C2 04 49 75 EA D9 04 24 5A C3 }
	condition:
		$1
}

rule function_66384_0 {
	meta:
		name = "MinValue"
		size = 59
	strings:
		$1 = { 83 C4 F8 8B 08 89 0C 24 8B 48 04 89 4C 24 04 8B CA 85 C9 7E 20 8D 50 08 DD 04 24 DC 1A 9B DF E0 9E 76 0C 8B 02 89 04 24 8B 42 04 89 44 24 04 83 C2 08 49 75 E3 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_66385_0 {
	meta:
		name = "MinValue"
		size = 80
	strings:
		$1 = { 83 C4 F4 8B 08 89 0C 24 8B 48 04 89 4C 24 04 66 8B 48 08 66 89 4C 24 08 8B CA 85 C9 7E 2B 8D 50 0A DB 2C 24 DB 2A DE D9 9B DF E0 9E 73 15 8B 02 89 04 24 8B 42 04 89 44 24 04 66 8B 42 08 66 89 44 24 08 83 C2 0A 49 75 D8 DB 2C 24 83 C4 0C C3 }
	condition:
		$1
}

rule function_66386_0 {
	meta:
		name = "MinIntValue"
		size = 28
	strings:
		$1 = { 56 8B 08 85 D2 7E 11 83 C0 04 8B 30 3B CE 7E 02 8B CE 83 C0 04 4A 75 F2 8B C1 5E C3 }
	condition:
		$1
}

rule function_66388_0 {
	meta:
		name = "Min"
		size = 64
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 10 8B 55 14 3B 55 0C 75 07 3B 45 08 73 12 EB 02 7D 0E 8B 45 10 89 45 F8 8B 45 14 89 45 FC EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 8B 45 F8 8B 55 FC 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_66389_0 {
	meta:
		name = "Min"
		size = 60
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 10 8B 55 14 3B 55 0C 75 03 3B 45 08 73 0E 8B 45 10 89 45 F8 8B 45 14 89 45 FC EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 8B 45 F8 8B 55 FC 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_66390_0 {
	meta:
		name = "Min"
		size = 38
	strings:
		$1 = { 55 8B EC 51 D9 45 0C D8 5D 08 9B DF E0 9E 73 08 8B 45 0C 89 45 FC EB 06 8B 45 08 89 45 FC D9 45 FC 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66391_0 {
	meta:
		name = "Min"
		size = 53
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 10 DC 5D 08 9B DF E0 9E 73 0E 8B 45 10 89 45 F8 8B 45 14 89 45 FC EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_66392_0 {
	meta:
		name = "Min"
		size = 71
	strings:
		$1 = { 55 8B EC 83 C4 F0 DB 6D 14 DB 6D 08 DE D9 9B DF E0 9E 76 16 8B 45 14 89 45 F0 8B 45 18 89 45 F4 66 8B 45 1C 66 89 45 F8 EB 14 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 66 8B 45 10 66 89 45 F8 DB 6D F0 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_66393_0 {
	meta:
		name = "MaxValue"
		size = 42
	strings:
		$1 = { 51 8B 08 89 0C 24 8B CA 85 C9 7E 19 8D 50 04 D9 04 24 D8 1A 9B DF E0 9E 73 05 8B 02 89 04 24 83 C2 04 49 75 EA D9 04 24 5A C3 }
	condition:
		$1
}

rule function_66394_0 {
	meta:
		name = "MaxValue"
		size = 59
	strings:
		$1 = { 83 C4 F8 8B 08 89 0C 24 8B 48 04 89 4C 24 04 8B CA 85 C9 7E 20 8D 50 08 DD 04 24 DC 1A 9B DF E0 9E 73 0C 8B 02 89 04 24 8B 42 04 89 44 24 04 83 C2 08 49 75 E3 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_66395_0 {
	meta:
		name = "MaxValue"
		size = 80
	strings:
		$1 = { 83 C4 F4 8B 08 89 0C 24 8B 48 04 89 4C 24 04 66 8B 48 08 66 89 4C 24 08 8B CA 85 C9 7E 2B 8D 50 0A DB 2C 24 DB 2A DE D9 9B DF E0 9E 76 15 8B 02 89 04 24 8B 42 04 89 44 24 04 66 8B 42 08 66 89 44 24 08 83 C2 0A 49 75 D8 DB 2C 24 83 C4 0C C3 }
	condition:
		$1
}

rule function_66396_0 {
	meta:
		name = "MaxIntValue"
		size = 28
	strings:
		$1 = { 56 8B 08 85 D2 7E 11 83 C0 04 8B 30 3B CE 7D 02 8B CE 83 C0 04 4A 75 F2 8B C1 5E C3 }
	condition:
		$1
}

rule function_66398_0 {
	meta:
		name = "Max"
		size = 64
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 10 8B 55 14 3B 55 0C 75 07 3B 45 08 76 12 EB 02 7E 0E 8B 45 10 89 45 F8 8B 45 14 89 45 FC EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 8B 45 F8 8B 55 FC 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_66399_0 {
	meta:
		name = "Max"
		size = 60
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 10 8B 55 14 3B 55 0C 75 03 3B 45 08 76 0E 8B 45 10 89 45 F8 8B 45 14 89 45 FC EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 8B 45 F8 8B 55 FC 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_66400_0 {
	meta:
		name = "Max"
		size = 38
	strings:
		$1 = { 55 8B EC 51 D9 45 0C D8 5D 08 9B DF E0 9E 76 08 8B 45 0C 89 45 FC EB 06 8B 45 08 89 45 FC D9 45 FC 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66401_0 {
	meta:
		name = "Max"
		size = 53
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 10 DC 5D 08 9B DF E0 9E 76 0E 8B 45 10 89 45 F8 8B 45 14 89 45 FC EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_66402_0 {
	meta:
		name = "Max"
		size = 71
	strings:
		$1 = { 55 8B EC 83 C4 F0 DB 6D 14 DB 6D 08 DE D9 9B DF E0 9E 73 16 8B 45 14 89 45 F0 8B 45 18 89 45 F4 66 8B 45 1C 66 89 45 F8 EB 14 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 66 8B 45 10 66 89 45 F8 DB 6D F0 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_66403_0 {
	meta:
		name = "Sign"
		size = 21
	strings:
		$1 = { 33 D2 85 C0 7D 06 83 CA FF 8B C2 C3 85 C0 7E 02 B2 01 8B C2 C3 }
	condition:
		$1
}

rule function_66404_0 {
	meta:
		name = "Sign"
		size = 50
	strings:
		$1 = { 55 8B EC 33 C9 83 7D 0C 00 75 08 83 7D 08 00 73 09 EB 02 7D 05 83 C9 FF EB 12 83 7D 0C 00 75 08 83 7D 08 00 76 06 EB 02 7E 02 B1 01 8B C1 5D C2 08 00 }
	condition:
		$1
}

rule function_66405_0 {
	meta:
		name = "Sign"
		size = 42
	strings:
		$1 = { 55 8B EC 8D 45 08 8B 00 A9 FF FF FF 7F 75 04 33 C0 EB 13 25 00 00 00 80 3D 00 00 00 80 75 05 83 C8 FF EB 02 B0 01 5D C2 04 00 }
	condition:
		$1
}

rule function_66406_0 {
	meta:
		name = "Sign"
		size = 71
	strings:
		$1 = { 55 8B EC 8D 45 08 8B 50 04 8B 00 81 E2 FF FF FF 7F 83 FA 00 75 09 83 F8 00 75 04 33 C0 EB 24 8D 45 08 8B 50 04 8B 00 33 C0 81 E2 00 00 00 80 81 FA 00 00 00 80 75 0A 83 F8 00 75 05 83 C8 FF EB 02 B0 01 5D C2 08 00 }
	condition:
		$1
}

rule function_66407_0 {
	meta:
		name = "Sign"
		size = 49
	strings:
		$1 = { 55 8B EC 8D 4D 08 8B 01 8B 51 04 83 FA 00 75 09 83 F8 00 75 04 33 C0 EB 14 8B C1 80 78 09 80 0F 93 C0 84 C0 74 05 83 C8 FF EB 02 B0 01 5D C2 0C 00 }
	condition:
		$1
}

rule function_66408_0 {
	meta:
		name = "CompareValue"
		size = 74
		refs = "0025 SameValue"
	strings:
		$1 = { 55 8B EC 0F B7 45 28 50 FF 75 24 FF 75 20 0F B7 45 1C 50 FF 75 18 FF 75 14 0F B7 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 15 DB 6D 20 DB 6D 14 DE D9 9B DF E0 9E 76 05 83 C8 FF EB 02 B0 01 5D C2 24 00 }
	condition:
		$1
}

rule function_66409_0 {
	meta:
		name = "CompareValue"
		size = 57
		refs = "0016 SameValue"
	strings:
		$1 = { 55 8B EC FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 13 DD 45 18 DC 5D 10 9B DF E0 9E 73 05 83 C8 FF EB 02 B0 01 5D C2 18 00 }
	condition:
		$1
}

rule function_66410_0 {
	meta:
		name = "CompareValue"
		size = 48
		refs = "000d SameValue"
	strings:
		$1 = { 55 8B EC FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 13 D9 45 10 D8 5D 0C 9B DF E0 9E 73 05 83 C8 FF EB 02 B0 01 5D C2 0C 00 }
	condition:
		$1
}

rule function_66411_0 {
	meta:
		name = "CompareValue"
		size = 19
	strings:
		$1 = { 3B D0 75 03 33 C0 C3 3B D0 7E 05 83 C8 FF EB 02 B0 01 C3 }
	condition:
		$1
}

rule function_66412_0 {
	meta:
		name = "CompareValue"
		size = 54
	strings:
		$1 = { 55 8B EC 8B 45 10 8B 55 14 3B 55 0C 75 09 3B 45 08 75 04 33 C0 EB 1B 8B 45 10 8B 55 14 3B 55 0C 75 07 3B 45 08 73 09 EB 02 7D 05 83 C8 FF EB 02 B0 01 5D C2 10 00 }
	condition:
		$1
}

rule function_66413_0 {
	meta:
		name = "CompareValue"
		size = 50
	strings:
		$1 = { 55 8B EC 8B 45 10 8B 55 14 3B 55 0C 75 09 3B 45 08 75 04 33 C0 EB 17 8B 45 10 8B 55 14 3B 55 0C 75 03 3B 45 08 73 05 83 C8 FF EB 02 B0 01 5D C2 10 00 }
	condition:
		$1
}

rule function_66414_0 {
	meta:
		name = "SameValue"
		size = 260
		refs = "000b SameValue"
	strings:
		$1 = { 55 8B EC 83 C4 C0 DB 6D 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 85 9C 00 00 00 DB 6D 20 D9 E1 DB 7D F0 9B DB 6D 14 D9 E1 DB 7D E0 9B DB 6D F0 DB 6D E0 DE D9 9B DF E0 9E 76 16 8B 45 F0 89 45 D0 8B 45 F4 89 45 D4 66 8B 45 F8 66 89 45 D8 EB 14 8B 45 E0 89 45 D0 8B 45 E4 89 45 D4 66 8B 45 E8 66 89 45 D8 DB 6D D0 DB 2D ?? ?? ?? ?? DE C9 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 73 11 DB 6D D0 DB 2D ?? ?? ?? ?? DE C9 DB 7D C0 9B EB 14 C7 45 C0 5B E1 4D C4 C7 45 C4 BE 94 95 E6 66 C7 45 C8 C9 3F 8B 45 C0 89 45 08 8B 45 C4 89 45 0C 66 8B 45 C8 66 89 45 10 DB 6D 20 DB 6D 14 DE D9 9B DF E0 9E 73 16 DB 6D 20 DB 6D 14 DE E9 DB 6D 08 DE D9 9B DF E0 9E 0F 93 C0 EB 14 DB 6D 14 DB 6D 20 DE E9 DB 6D 08 DE D9 9B DF E0 9E 0F 93 C0 8B E5 5D C2 24 00 00 00 00 00 00 5B E1 4D C4 BE 94 95 E6 C9 3F 00 00 }
	condition:
		$1
}

rule function_66415_0 {
	meta:
		name = "SameValue"
		size = 236
		refs = "000b SameValue"
	strings:
		$1 = { 55 8B EC 83 C4 C0 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 85 8F 00 00 00 DD 45 18 D9 E1 DB 7D F0 9B DD 45 10 D9 E1 DB 7D E0 9B DB 6D F0 DB 6D E0 DE D9 9B DF E0 9E 76 16 8B 45 F0 89 45 D0 8B 45 F4 89 45 D4 66 8B 45 F8 66 89 45 D8 EB 14 8B 45 E0 89 45 D0 8B 45 E4 89 45 D4 66 8B 45 E8 66 89 45 D8 DB 6D D0 DB 2D ?? ?? ?? ?? DE C9 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 73 11 DB 6D D0 DB 2D ?? ?? ?? ?? DE C9 DB 7D C0 9B EB 14 C7 45 C0 CC 88 50 6F C7 45 C4 09 CC BC 8C 66 C7 45 C8 D7 3F DB 6D C0 DD 5D 08 9B DD 45 18 DC 5D 10 9B DF E0 9E 76 12 DD 45 18 DC 65 10 DC 5D 08 9B DF E0 9E 0F 96 C0 EB 10 DD 45 10 DC 65 18 DC 5D 08 9B DF E0 9E 0F 96 C0 8B E5 5D C2 18 00 00 00 00 00 CC 88 50 6F 09 CC BC 8C D7 3F 00 00 }
	condition:
		$1
}

rule function_66416_0 {
	meta:
		name = "SameValue"
		size = 236
		refs = "000b SameValue"
	strings:
		$1 = { 55 8B EC 83 C4 C0 D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 85 8F 00 00 00 D9 45 10 D9 E1 DB 7D F0 9B D9 45 0C D9 E1 DB 7D E0 9B DB 6D F0 DB 6D E0 DE D9 9B DF E0 9E 76 16 8B 45 F0 89 45 D0 8B 45 F4 89 45 D4 66 8B 45 F8 66 89 45 D8 EB 14 8B 45 E0 89 45 D0 8B 45 E4 89 45 D4 66 8B 45 E8 66 89 45 D8 DB 6D D0 DB 2D ?? ?? ?? ?? DE C9 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 73 11 DB 6D D0 DB 2D ?? ?? ?? ?? DE C9 DB 7D C0 9B EB 14 C7 45 C0 2C 65 19 E2 C7 45 C4 58 17 B7 D1 66 C7 45 C8 F1 3F DB 6D C0 D9 5D 08 9B D9 45 10 D8 5D 0C 9B DF E0 9E 76 12 D9 45 10 D8 65 0C D8 5D 08 9B DF E0 9E 0F 96 C0 EB 10 D9 45 0C D8 65 10 D8 5D 08 9B DF E0 9E 0F 96 C0 8B E5 5D C2 0C 00 00 00 00 00 2C 65 19 E2 58 17 B7 D1 F1 3F 00 00 }
	condition:
		$1
}

rule function_66417_0 {
	meta:
		name = "IsZero"
		size = 64
		refs = "0008 IsZero"
	strings:
		$1 = { 55 8B EC DB 6D 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 14 C7 45 08 5B E1 4D C4 C7 45 0C BE 94 95 E6 66 C7 45 10 C9 3F DB 6D 14 D9 E1 DB 6D 08 DE D9 9B DF E0 9E 0F 93 C0 5D C2 18 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_66418_0 {
	meta:
		name = "IsZero"
		size = 56
		refs = "0008 IsZero"
	strings:
		$1 = { 55 8B EC DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0E C7 45 08 11 EA 2D 81 C7 45 0C 99 97 71 3D DD 45 10 D9 E1 DC 5D 08 9B DF E0 9E 0F 96 C0 5D C2 10 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_66419_0 {
	meta:
		name = "IsZero"
		size = 48
		refs = "0008 IsZero"
	strings:
		$1 = { 55 8B EC D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 07 C7 45 08 17 B7 D1 38 D9 45 0C D9 E1 D8 5D 08 9B DF E0 9E 0F 96 C0 5D C2 08 00 00 00 00 00 }
	condition:
		$1
}

rule function_66421_0 {
	meta:
		name = "IfThen"
		size = 48
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 C0 74 0E 8B 45 10 89 45 F8 8B 45 14 89 45 FC EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 8B 45 F8 8B 55 FC 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_66423_0 {
	meta:
		name = "IfThen"
		size = 30
	strings:
		$1 = { 55 8B EC 51 84 C0 74 08 8B 45 0C 89 45 FC EB 06 8B 45 08 89 45 FC D9 45 FC 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66424_0 {
	meta:
		name = "IfThen"
		size = 45
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 C0 74 0E 8B 45 10 89 45 F8 8B 45 14 89 45 FC EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_66425_0 {
	meta:
		name = "IfThen"
		size = 61
	strings:
		$1 = { 55 8B EC 83 C4 F0 84 C0 74 16 8B 45 14 89 45 F0 8B 45 18 89 45 F4 66 8B 45 1C 66 89 45 F8 EB 14 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 66 8B 45 10 66 89 45 F8 DB 6D F0 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_66426_0 {
	meta:
		name = "RandomRange"
		size = 38
		refs = "000f Random"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B F3 7D 0E 8B C3 2B C6 E8 ?? ?? ?? ?? 03 C6 5E 5B C3 8B C6 2B C3 E8 ?? ?? ?? ?? 03 C3 5E 5B C3 }
	condition:
		$1
}

rule function_66427_0 {
	meta:
		name = "RandomFrom"
		size = 20
		refs = "000a Random"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 40 E8 ?? ?? ?? ?? 8B 04 83 5E 5B C3 }
	condition:
		$1
}

rule function_66428_0 {
	meta:
		name = "RandomFrom"
		size = 43
		refs = "000d Random"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C6 40 E8 ?? ?? ?? ?? 8B 14 C3 89 14 24 8B 54 C3 04 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_66430_0 {
	meta:
		name = "RandomFrom"
		size = 28
		refs = "000b Random"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C6 40 E8 ?? ?? ?? ?? 8B 04 83 89 04 24 D9 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_66431_0 {
	meta:
		name = "RandomFrom"
		size = 39
		refs = "000d Random"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C6 40 E8 ?? ?? ?? ?? 8B 14 C3 89 14 24 8B 54 C3 04 89 54 24 04 DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_66432_0 {
	meta:
		name = "RandomFrom"
		size = 53
		refs = "000d Random"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B C6 40 E8 ?? ?? ?? ?? 8D 04 80 8B 14 43 89 14 24 8B 54 43 04 89 54 24 04 66 8B 54 43 08 66 89 54 24 08 DB 2C 24 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_66433_0 {
	meta:
		name = "InRange"
		size = 15
	strings:
		$1 = { 3B D0 0F 9E C2 3B C8 0F 9D C0 22 D0 8B C2 C3 }
	condition:
		$1
}

rule function_66434_0 {
	meta:
		name = "InRange"
		size = 55
	strings:
		$1 = { 55 8B EC 8B 45 18 8B 55 1C 3B 55 14 75 08 3B 45 10 0F 93 C1 EB 03 0F 9D C1 8B 45 18 8B 55 1C 3B 55 0C 75 08 3B 45 08 0F 96 C0 EB 03 0F 9E C0 22 C8 8B C1 5D C2 18 00 }
	condition:
		$1
}

rule function_66435_0 {
	meta:
		name = "InRange"
		size = 45
	strings:
		$1 = { 55 8B EC 8B 45 18 8B 55 1C 3B 55 14 75 03 3B 45 10 0F 93 C1 8B 45 18 8B 55 1C 3B 55 0C 75 03 3B 45 08 0F 96 C0 22 C8 8B C1 5D C2 18 00 }
	condition:
		$1
}

rule function_66436_0 {
	meta:
		name = "InRange"
		size = 37
	strings:
		$1 = { 55 8B EC D9 45 10 D8 5D 0C 9B DF E0 9E 0F 93 C2 D9 45 10 D8 5D 08 9B DF E0 9E 0F 96 C0 22 D0 8B C2 5D C2 0C 00 }
	condition:
		$1
}

rule function_66437_0 {
	meta:
		name = "InRange"
		size = 37
	strings:
		$1 = { 55 8B EC DD 45 18 DC 5D 10 9B DF E0 9E 0F 93 C2 DD 45 18 DC 5D 08 9B DF E0 9E 0F 96 C0 22 D0 8B C2 5D C2 18 00 }
	condition:
		$1
}

rule function_66438_0 {
	meta:
		name = "InRange"
		size = 41
	strings:
		$1 = { 55 8B EC DB 6D 20 DB 6D 14 DE D9 9B DF E0 9E 0F 96 C2 DB 6D 20 DB 6D 08 DE D9 9B DF E0 9E 0F 93 C0 22 D0 8B C2 5D C2 24 00 }
	condition:
		$1
}

rule function_66439_0 {
	meta:
		name = "EnsureRange"
		size = 13
	strings:
		$1 = { 3B D0 7E 02 8B C2 3B C8 7D 02 8B C1 C3 }
	condition:
		$1
}

rule function_66440_0 {
	meta:
		name = "EnsureRange"
		size = 94
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 18 89 45 F8 8B 45 1C 89 45 FC 8B 45 F8 8B 55 FC 3B 55 14 75 07 3B 45 10 73 10 EB 02 7D 0C 8B 45 10 89 45 F8 8B 45 14 89 45 FC 8B 45 F8 8B 55 FC 3B 55 0C 75 07 3B 45 08 76 10 EB 02 7E 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 8B 45 F8 8B 55 FC 59 59 5D C2 18 00 }
	condition:
		$1
}

rule function_66441_0 {
	meta:
		name = "EnsureRange"
		size = 86
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 18 89 45 F8 8B 45 1C 89 45 FC 8B 45 F8 8B 55 FC 3B 55 14 75 03 3B 45 10 73 0C 8B 45 10 89 45 F8 8B 45 14 89 45 FC 8B 45 F8 8B 55 FC 3B 55 0C 75 03 3B 45 08 76 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 8B 45 F8 8B 55 FC 59 59 5D C2 18 00 }
	condition:
		$1
}

rule function_66442_0 {
	meta:
		name = "EnsureRange"
		size = 54
	strings:
		$1 = { 55 8B EC 51 8B 45 10 89 45 FC D9 45 FC D8 5D 0C 9B DF E0 9E 73 06 8B 45 0C 89 45 FC D9 45 FC D8 5D 08 9B DF E0 9E 76 06 8B 45 08 89 45 FC D9 45 FC 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_66443_0 {
	meta:
		name = "EnsureRange"
		size = 75
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 18 89 45 F8 8B 45 1C 89 45 FC DD 45 F8 DC 5D 10 9B DF E0 9E 73 0C 8B 45 10 89 45 F8 8B 45 14 89 45 FC DD 45 F8 DC 5D 08 9B DF E0 9E 76 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 59 59 5D C2 18 00 }
	condition:
		$1
}

rule function_66444_0 {
	meta:
		name = "EnsureRange"
		size = 103
	strings:
		$1 = { 55 8B EC 83 C4 F0 8B 45 20 89 45 F0 8B 45 24 89 45 F4 66 8B 45 28 66 89 45 F8 DB 6D F0 DB 6D 14 DE D9 9B DF E0 9E 76 14 8B 45 14 89 45 F0 8B 45 18 89 45 F4 66 8B 45 1C 66 89 45 F8 DB 6D F0 DB 6D 08 DE D9 9B DF E0 9E 73 14 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 66 8B 45 10 66 89 45 F8 DB 6D F0 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule function_66445_0 {
	meta:
		name = "KahanSumDouble"
		size = 52
	strings:
		$1 = { 55 8B EC 83 C4 F0 DD 45 08 DC 22 DD 5D F8 9B DD 00 DC 45 F8 DD 5D F0 9B DD 45 F0 DC 20 DC 65 F8 DD 1A 9B 8B 55 F0 89 10 8B 55 F4 89 50 04 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_66446_0 {
	meta:
		name = "KahanSumExtended"
		size = 68
	strings:
		$1 = { 55 8B EC 83 C4 E0 DB 6D 08 DB 2A DE E9 DB 7D F0 9B DB 28 DB 6D F0 DE C1 DB 7D E0 9B DB 6D E0 DB 28 DE E9 DB 6D F0 DE E9 DB 3A 9B 8B 55 E0 89 10 8B 55 E4 89 50 04 66 8B 55 E8 66 89 50 08 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_66447_0 {
	meta:
		name = "MeanAndTotalVariance"
		size = 133
		refs = "0032 Sum"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 8B F2 8B D8 8B C6 83 E8 00 40 89 45 EC 83 7D EC 01 75 0F D9 03 DB 3F 9B D9 03 8B 45 08 DB 38 9B EB 4F 8B C3 8B D6 E8 ?? ?? ?? ?? DB 45 EC DE F9 DB 3F 9B DB 2F D8 23 D8 C8 DB 7D F0 9B 85 F6 7E 1A 8D 43 04 8B D8 DB 2F D8 23 D8 C8 DB 6D F0 DE C1 DB 7D F0 9B 83 C3 04 4E 75 EB 8B 45 08 8B 55 F0 89 10 8B 55 F4 89 50 04 66 8B 55 F8 66 89 50 08 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_66448_0 {
	meta:
		name = "MeanAndTotalVariance"
		size = 154
		refs = "0032 Sum 0071 KahanSumExtended"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F9 8B F2 8B D8 8B C6 83 E8 00 40 89 45 DC 83 7D DC 01 75 0F DD 03 DB 3F 9B DD 03 8B 45 08 DB 38 9B EB 64 8B C3 8B D6 E8 ?? ?? ?? ?? DB 45 DC DE F9 DB 3F 9B DB 2F DC 23 D8 C8 DB 7D F0 9B 33 C0 89 45 E0 89 45 E4 66 89 45 E8 85 F6 7E 23 8D 43 08 8B D8 DB 2F DC 23 D8 C8 83 C4 F4 DB 3C 24 9B 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 83 C3 08 4E 75 E2 8B 45 08 8B 55 F0 89 10 8B 55 F4 89 50 04 66 8B 55 F8 66 89 50 08 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_66449_0 {
	meta:
		name = "MeanAndTotalVariance"
		size = 182
		refs = "004a Sum 008d KahanSumExtended"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F9 8B F2 8B D8 8B C6 83 E8 00 40 89 45 DC 83 7D DC 01 75 27 8B 03 89 07 8B 43 04 89 47 04 66 8B 43 08 66 89 47 08 8B 45 08 8B 13 89 10 8B 53 04 89 50 04 66 8B 53 08 66 89 50 08 8B C3 8B D6 E8 ?? ?? ?? ?? DB 45 DC DE F9 DB 3F 9B DB 2F DB 2B DE E9 D8 C8 DB 7D F0 9B 33 C0 89 45 E0 89 45 E4 66 89 45 E8 85 F6 7E 25 8D 43 0A 8B D8 DB 2F DB 2B DE E9 D8 C8 83 C4 F4 DB 3C 24 9B 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 83 C3 0A 4E 75 E0 8B 45 08 8B 55 F0 89 10 8B 55 F4 89 50 04 66 8B 55 F8 66 89 50 08 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_66450_0 {
	meta:
		name = "MeanAndStdDev"
		size = 95
		refs = "002d MeanAndTotalVariance 004e Sqrt"
	strings:
		$1 = { 55 8B EC 83 C4 DC 56 89 4D FC 8B F2 83 EE 00 46 83 FE 01 75 10 8B 10 8B 4D FC 89 11 8B 00 8B 55 08 89 02 EB 33 8D 4D F0 51 8D 4D E0 E8 ?? ?? ?? ?? DB 6D E0 8B 45 FC D9 18 9B 4E 89 75 DC DB 45 DC DB 6D F0 DE F1 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? 8B 45 08 D9 18 9B 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_66451_0 {
	meta:
		name = "MeanAndStdDev"
		size = 107
		refs = "0039 MeanAndTotalVariance 005a Sqrt"
	strings:
		$1 = { 55 8B EC 83 C4 DC 56 89 4D FC 8B F2 83 EE 00 46 83 FE 01 75 1C 8B 55 FC 8B 08 89 0A 8B 48 04 89 4A 04 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 EB 33 8D 4D F0 51 8D 4D E0 E8 ?? ?? ?? ?? DB 6D E0 8B 45 FC DD 18 9B 4E 89 75 DC DB 45 DC DB 6D F0 DE F1 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? 8B 45 08 DD 18 9B 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_66452_0 {
	meta:
		name = "MeanAndStdDev"
		size = 136
		refs = "0049 MeanAndTotalVariance 0077 Sqrt"
	strings:
		$1 = { 55 8B EC 83 C4 DC 56 89 4D FC 8B F2 83 EE 00 46 83 FE 01 75 2C 8B 55 FC 8B 08 89 0A 8B 48 04 89 4A 04 66 8B 48 08 66 89 4A 08 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 66 8B 48 08 66 89 4A 08 EB 40 8D 4D F0 51 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 E0 89 10 8B 55 E4 89 50 04 66 8B 55 E8 66 89 50 08 4E 89 75 DC DB 45 DC DB 6D F0 DE F1 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? 8B 45 08 DB 38 9B 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_66453_0 {
	meta:
		name = "MomentSkewKurtosis"
		size = 432
		refs = "0027 MomentSkewKurtosis 016c Power"
	strings:
		$1 = { 55 8B EC 81 C4 6C FF FF FF 53 56 57 8B F1 89 45 FC 8B C2 8B C8 83 E9 00 41 89 8D 6C FF FF FF DB 85 6C FF FF FF D8 3D ?? ?? ?? ?? DB 7D B0 9B 33 C9 89 4D F0 89 4D F4 66 89 4D F8 33 C9 89 4D E0 89 4D E4 66 89 4D E8 33 C9 89 4D D0 89 4D D4 66 89 4D D8 33 C9 89 4D C0 89 4D C4 66 89 4D C8 8B F8 85 FF 7C 4A 47 8B 5D FC DB 6D F0 DC 03 DB 7D F0 9B DD 03 D8 C8 DB 7D A0 9B DB 6D E0 DB 6D A0 DE C1 DB 7D E0 9B DB 6D A0 DC 0B DB 7D A0 9B DB 6D D0 DB 6D A0 DE C1 DB 7D D0 9B DB 6D A0 DC 0B DB 6D C0 DE C1 DB 7D C0 9B 83 C3 08 4F 75 BA DB 6D F0 DB 6D B0 DE C9 DB 3E 9B DB 2E D8 C8 DB 7D 90 9B DB 6D E0 DB 6D B0 DE C9 DB 7D 80 9B DB 6D D0 DB 6D B0 DE C9 DB BD 70 FF FF FF 9B DB 6D 80 DB 6D 90 DE E9 8B 45 18 DB 38 9B DB 2E D8 0D ?? ?? ?? ?? DB 6D 80 DE C9 DB AD 70 FF FF FF DE E1 DB 6D 90 D8 0D ?? ?? ?? ?? DB 2E DE C9 DE C1 8B 45 14 DB 38 9B DB 6D 90 D8 C8 D8 0D ?? ?? ?? ?? DB 6D 90 D8 0D ?? ?? ?? ?? DB 6D 80 DE C9 DE E1 DB 6D C0 DB 6D B0 DE C9 DB 2E D8 0D ?? ?? ?? ?? DB AD 70 FF FF FF DE C9 DE E9 DE C1 8B 45 10 DB 38 9B 8B 45 18 0F B7 50 08 52 FF 70 04 FF 30 68 FF BF 00 00 68 00 00 00 C0 6A 00 E8 ?? ?? ?? ?? 8B 45 14 DB 28 DE C9 8B 45 0C DB 38 9B 8B 45 18 DB 28 D8 C8 8B 45 10 DB 28 DE F1 8B 45 08 DB 38 9B 5F 5E 5B 8B E5 5D C2 14 00 00 00 00 00 80 3F 00 00 40 40 00 00 00 40 00 00 C0 40 00 00 80 40 }
	condition:
		$1
}

rule function_66454_0 {
	meta:
		name = "Norm"
		size = 39
		refs = "000c SumOfSquares 0018 Sqrt"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 1C 24 9B D9 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_66457_0 {
	meta:
		name = "PopnStdDev"
		size = 39
		refs = "000c PopnVariance 0018 Sqrt"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 1C 24 9B D9 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_66466_0 {
	meta:
		name = "StdDev"
		size = 39
		refs = "000c Variance 0018 Sqrt"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 1C 24 9B D9 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_66455_0 {
	meta:
		name = "Norm"
		size = 42
		refs = "000e SumOfSquares 001a Sqrt"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_66458_0 {
	meta:
		name = "PopnStdDev"
		size = 42
		refs = "000e PopnVariance 001a Sqrt"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_66467_0 {
	meta:
		name = "StdDev"
		size = 42
		refs = "000e Variance 001a Sqrt"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_66456_0 {
	meta:
		name = "Norm"
		size = 43
		refs = "000e SumOfSquares 001a Sqrt"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 3C 24 9B DB 2C 24 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_66459_0 {
	meta:
		name = "PopnStdDev"
		size = 43
		refs = "000e PopnVariance 001a Sqrt"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 3C 24 9B DB 2C 24 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_66468_0 {
	meta:
		name = "StdDev"
		size = 43
		refs = "000e Variance 001a Sqrt"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 3C 24 9B DB 2C 24 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_66463_0 {
	meta:
		name = "RandG"
		size = 152
		refs = "0007 Random 000d RandG 005a Ln 006f Sqrt"
	strings:
		$1 = { 55 8B EC 83 C4 E8 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 25 ?? ?? ?? ?? D9 5D F8 9B D9 45 F8 D8 C8 DB 7D E8 9B E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 25 ?? ?? ?? ?? D8 C8 DB 6D E8 DE C1 D9 5D F4 9B D9 45 F4 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 B7 D9 45 F4 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 75 F4 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 4D F8 D8 4D 08 D8 45 0C D9 5D FC 9B D9 45 FC 8B E5 5D C2 08 00 00 00 00 00 00 00 40 00 00 80 3F 00 00 00 C0 }
	condition:
		$1
}

rule function_66464_0 {
	meta:
		name = "RandG"
		size = 152
		refs = "0007 Random 000d RandG 005a Ln 006f Sqrt"
	strings:
		$1 = { 55 8B EC 83 C4 DC E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 25 ?? ?? ?? ?? DD 5D F0 9B DD 45 F0 D8 C8 DB 7D DC 9B E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 25 ?? ?? ?? ?? D8 C8 DB 6D DC DE C1 DD 5D E8 9B DD 45 E8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 B7 DD 45 E8 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DC 75 E8 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DC 4D F0 DC 4D 08 DC 45 10 DD 5D F8 9B DD 45 F8 8B E5 5D C2 10 00 00 00 00 00 00 00 40 00 00 80 3F 00 00 00 C0 }
	condition:
		$1
}

rule function_66465_0 {
	meta:
		name = "RandG"
		size = 160
		refs = "0007 Random 000d RandG 005b Ln 0072 Sqrt"
	strings:
		$1 = { 55 8B EC 83 C4 C4 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 25 ?? ?? ?? ?? DB 7D E0 9B E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 25 ?? ?? ?? ?? D8 C8 DB 7D C4 9B DB 6D E0 D8 C8 DB 6D C4 DE C1 DB 7D D0 9B DB 6D D0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 B7 0F B7 45 D8 50 FF 75 D4 FF 75 D0 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DB 6D D0 DE F9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 6D E0 DE C9 DB 6D 08 DE C9 DB 6D 14 DE C1 DB 7D F0 9B DB 6D F0 8B E5 5D C2 18 00 00 00 00 00 00 40 00 00 80 3F 00 00 00 C0 }
	condition:
		$1
}

rule function_66470_0 {
	meta:
		name = "SumInt"
		size = 80
		refs = "0018 SumInt 004b RaiseOverflowError"
	strings:
		$1 = { 53 89 C1 89 D3 31 C0 83 FB 00 7C 3C 83 E2 FC 83 E3 03 C1 E2 02 FF 24 9D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 03 44 0A 0C 70 16 03 44 0A 08 70 10 03 44 0A 04 70 0A 03 04 0A 70 05 83 EA 10 79 E4 5B 0F 80 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66471_0 {
	meta:
		name = "Sum"
		size = 83
		refs = "001b Sum"
	strings:
		$1 = { D9 EE 83 FA 00 7C 4B 89 D1 D9 C0 83 E2 FC D9 C0 83 E1 03 D9 C0 C1 E2 02 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? D8 44 02 0C D9 CB D8 44 02 08 D9 CA D8 44 02 04 D9 C9 D8 04 02 D9 CA 83 EA 10 79 E4 DE C3 DE C1 DE C1 9B C3 }
	condition:
		$1
}

rule function_66472_0 {
	meta:
		name = "Sum"
		size = 83
		refs = "001b Sum"
	strings:
		$1 = { D9 EE 83 FA 00 7C 4B 89 D1 D9 C0 83 E2 FC D9 C0 83 E1 03 D9 C0 C1 E2 03 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DC 44 02 18 D9 CB DC 44 02 10 D9 CA DC 44 02 08 D9 C9 DC 04 02 D9 CA 83 EA 20 79 E4 DE C3 DE C1 DE C1 9B C3 }
	condition:
		$1
}

rule function_66473_0 {
	meta:
		name = "Sum"
		size = 85
		refs = "001d Sum"
	strings:
		$1 = { D9 EE 83 FA 00 7C 4D 89 D1 D9 C0 83 E2 FC D9 C0 83 E1 03 D9 C0 8D 14 92 D1 E2 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DB 6C 02 1E DE C4 DB 6C 02 14 DE C3 DB 6C 02 0A DE C2 DB 2C 02 DE C1 83 EA 28 79 E4 DE C1 DE C1 DE C1 9B C3 }
	condition:
		$1
}

rule function_66474_0 {
	meta:
		name = "SumOfSquares"
		size = 67
	strings:
		$1 = { 53 56 83 C4 E4 33 C9 89 4C 24 10 89 4C 24 14 66 89 4C 24 18 8B F2 85 F6 7C 18 46 8B D8 D9 03 D8 C8 DB 6C 24 10 DE C1 DB 7C 24 10 9B 83 C3 04 4E 75 EB DB 6C 24 10 D9 1C 24 9B D9 04 24 83 C4 1C 5E 5B C3 }
	condition:
		$1
}

rule function_66475_0 {
	meta:
		name = "SumOfSquares"
		size = 72
		refs = "0035 KahanSumDouble"
	strings:
		$1 = { 53 56 83 C4 F0 33 C9 89 0C 24 89 4C 24 04 33 C9 89 4C 24 08 89 4C 24 0C 8B F2 85 F6 7C 21 46 8B D8 DD 03 D8 C8 83 C4 F8 DD 1C 24 9B 8D 54 24 10 8D 44 24 08 E8 ?? ?? ?? ?? 83 C3 08 4E 75 E2 DD 04 24 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_66476_0 {
	meta:
		name = "SumOfSquares"
		size = 82
		refs = "003f KahanSumExtended"
	strings:
		$1 = { 53 56 83 C4 E4 33 C9 89 0C 24 89 4C 24 04 66 89 4C 24 08 33 C9 89 4C 24 10 89 4C 24 14 66 89 4C 24 18 8B F2 85 F6 7C 21 46 8B D8 DB 2B D8 C8 83 C4 F4 DB 3C 24 9B 8D 54 24 1C 8D 44 24 0C E8 ?? ?? ?? ?? 83 C3 0A 4E 75 E2 DB 2C 24 83 C4 1C 5E 5B C3 }
	condition:
		$1
}

rule function_66477_0 {
	meta:
		name = "SumsAndSquares"
		size = 120
		refs = "001f SumsAndSquares"
	strings:
		$1 = { 55 8B EC D9 EE D9 C0 83 FA 00 7C 60 51 89 D1 83 E2 FC D9 C0 83 E1 03 D9 C0 C1 E2 02 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DE C1 D9 44 02 0C DC C3 D8 C8 D9 44 02 08 DC C4 D8 C8 D9 C9 DE C3 D9 44 02 04 DC C4 D8 C8 D9 C9 DE C3 D9 04 02 DC C4 D8 C8 D9 C9 DE C3 83 EA 10 79 CE DE C1 59 DE C1 D9 C9 8B 45 08 DB 39 DB 38 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_66478_0 {
	meta:
		name = "SumsAndSquares"
		size = 120
		refs = "001f SumsAndSquares"
	strings:
		$1 = { 55 8B EC D9 EE D9 C0 83 FA 00 7C 60 51 89 D1 83 E2 FC D9 C0 83 E1 03 D9 C0 C1 E2 03 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DE C1 DD 44 02 18 DC C3 D8 C8 DD 44 02 10 DC C4 D8 C8 D9 C9 DE C3 DD 44 02 08 DC C4 D8 C8 D9 C9 DE C3 DD 04 02 DC C4 D8 C8 D9 C9 DE C3 83 EA 20 79 CE DE C1 59 DE C1 D9 C9 8B 45 08 DB 39 DB 38 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_66479_0 {
	meta:
		name = "SumsAndSquares"
		size = 122
		refs = "0021 SumsAndSquares"
	strings:
		$1 = { 55 8B EC D9 EE D9 C0 83 FA 00 7C 62 51 89 D1 83 E2 FC D9 C0 83 E1 03 D9 C0 8D 14 92 D1 E2 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DE C1 DB 6C 02 1E DC C3 D8 C8 DB 6C 02 14 DC C4 D8 C8 D9 C9 DE C3 DB 6C 02 0A DC C4 D8 C8 D9 C9 DE C3 DB 2C 02 DC C4 D8 C8 D9 C9 DE C3 83 EA 28 79 CE DE C1 59 DE C1 D9 C9 8B 45 08 DB 39 DB 38 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_66480_0 {
	meta:
		name = "TotalVariance"
		size = 48
		refs = "001d MeanAndTotalVariance"
	strings:
		$1 = { 83 C4 D4 8B CA 83 E9 00 41 49 75 07 8B 00 89 04 24 EB 16 8D 4C 24 20 51 8D 4C 24 14 E8 ?? ?? ?? ?? DB 6C 24 20 D9 1C 24 9B D9 04 24 83 C4 2C C3 }
	condition:
		$1
}

rule function_66481_0 {
	meta:
		name = "TotalVariance"
		size = 55
		refs = "0024 MeanAndTotalVariance"
	strings:
		$1 = { 83 C4 D4 8B CA 83 E9 00 41 49 75 0E 8B 10 89 14 24 8B 50 04 89 54 24 04 EB 16 8D 4C 24 20 51 8D 4C 24 14 E8 ?? ?? ?? ?? DB 6C 24 20 DD 1C 24 9B DD 04 24 83 C4 2C C3 }
	condition:
		$1
}

rule function_66482_0 {
	meta:
		name = "TotalVariance"
		size = 81
		refs = "002d MeanAndTotalVariance"
	strings:
		$1 = { 83 C4 D4 8B CA 83 E9 00 41 49 75 17 8B 10 89 14 24 8B 50 04 89 54 24 04 66 8B 50 08 66 89 54 24 08 EB 27 8D 4C 24 20 51 8D 4C 24 14 E8 ?? ?? ?? ?? 8B 44 24 20 89 04 24 8B 44 24 24 89 44 24 04 66 8B 44 24 28 66 89 44 24 08 DB 2C 24 83 C4 2C C3 }
	condition:
		$1
}

rule function_66483_0 {
	meta:
		name = "Variance"
		size = 43
		refs = "000e TotalVariance"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 8B C6 8B D3 E8 ?? ?? ?? ?? 83 EB 00 89 5C 24 04 DB 44 24 04 DE F9 D9 1C 24 9B D9 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_66484_0 {
	meta:
		name = "Variance"
		size = 44
		refs = "000e TotalVariance"
	strings:
		$1 = { 53 56 83 C4 F4 8B DA 8B F0 8B C6 8B D3 E8 ?? ?? ?? ?? 83 EB 00 89 5C 24 08 DB 44 24 08 DE F9 DD 1C 24 9B DD 04 24 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_66485_0 {
	meta:
		name = "Variance"
		size = 44
		refs = "000e TotalVariance"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B C6 8B D3 E8 ?? ?? ?? ?? 83 EB 00 89 5C 24 0C DB 44 24 0C DE F9 DB 3C 24 9B DB 2C 24 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_66486_0 {
	meta:
		name = "DoubleDecliningBalance"
		size = 248
		refs = "0072 DoubleDecliningBalance 008e IntPower"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 8B DA 8B D0 33 C0 89 45 F0 89 45 F4 66 89 45 F8 83 FB 01 0F 8C C1 00 00 00 3B DA 0F 8F B9 00 00 00 83 FA 01 0F 8C B0 00 00 00 DB 6D 14 DB 6D 08 DE D9 9B DF E0 9E 0F 83 9E 00 00 00 83 FA 02 7F 22 4B 75 11 DB 6D 14 DB 6D 08 DE E9 DB 7D F0 9B E9 85 00 00 00 33 C0 89 45 F0 89 45 F4 66 89 45 F8 EB 77 89 55 CC DB 45 CC D8 3D ?? ?? ?? ?? DB 7D D0 9B DB 6D D0 D8 2D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B C3 48 E8 ?? ?? ?? ?? DB 6D 14 DE C9 DB 7D E0 9B DB 6D D0 DB 6D E0 DE C9 DB 7D F0 9B DB 6D E0 DB 6D 08 DE E9 DB 6D F0 DE D9 9B DF E0 9E 76 0C DB 6D E0 DB 6D 08 DE E9 DB 7D F0 9B DB 6D F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0C 33 C0 89 45 F0 89 45 F4 66 89 45 F8 DB 6D F0 5B 8B E5 5D C2 18 00 00 00 00 00 40 00 00 80 3F 00 00 00 00 }
	condition:
		$1
}

rule function_66487_0 {
	meta:
		name = "SLNDepreciation"
		size = 100
		refs = "000f SLNDepreciation 0014 ArgError"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D8 83 FB 01 7D 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 6D 14 DB 6D 08 DE E9 89 5D EC DB 45 EC DE F9 DB 7D F0 9B DB 6D F0 5B 8B E5 5D C2 18 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 4C 00 4E 00 44 00 65 00 70 00 72 00 65 00 63 00 69 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_66488_0 {
	meta:
		name = "SYDDepreciation"
		size = 106
	strings:
		$1 = { 55 8B EC 83 C4 CC 8B C8 33 C0 89 45 F0 89 45 F4 66 89 45 F8 83 FA 01 7C 48 3B D1 7F 44 DB 6D 14 DB 6D 08 DE D9 9B DF E0 9E 73 36 8B C1 2B C2 40 03 C0 89 45 CC DB 45 CC DB 7D E0 9B 8D 41 01 F7 E9 89 45 CC DB 45 CC DB 7D D0 9B DB 6D 14 DB 6D 08 DE E9 DB 6D E0 DE C9 DB 6D D0 DE F9 DB 7D F0 9B DB 6D F0 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_66489_0 {
	meta:
		name = "ConditionP"
		size = 96
		refs = "0015 ConditionP"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 EB 01 4A 85 D2 7C 0F DD 04 D3 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 EC 42 85 D2 7E 30 33 C0 89 45 F8 89 45 FC 33 C9 3B D1 7E 22 DD 45 F8 DC 04 CB DD 5D F8 9B DD 45 F8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 04 33 D2 EB 05 41 3B D1 7F DE 8B C2 5B 59 59 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_66490_0 {
	meta:
		name = "InternalRateOfReturn"
		size = 448
		refs = "0023 ConditionP 002e InternalRateOfReturn 0033 ArgError 0060 LnXP1 0089 Exp 009c PolyX 00fc Ln 013a RelSmall"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 57 89 55 FC 8B F8 8D 75 90 33 C0 89 45 F0 89 45 F4 66 89 45 F8 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B D8 85 DB 7D 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 31 DB 6D 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 10 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? D9 E0 DB 7D E0 9B EB 0C 33 C0 89 45 E0 89 45 E4 66 89 45 E8 BB 0F 00 00 00 0F B7 45 E8 50 FF 75 E4 FF 75 E0 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B CE 8B C7 8B 55 FC E8 ?? ?? ?? ?? DB 6E 10 DB 2E DE D9 9B DF E0 9E 72 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 2E D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0F DB 6E 10 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 17 33 C0 89 45 F0 C7 45 F4 00 00 00 80 66 C7 45 F8 FF BF E9 85 00 00 00 DB 2E D9 E0 DB 6E 10 DE F9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 6E 20 DB 2E DE F9 DB 6E 30 DB 6E 10 DE F9 DE E9 DE F9 DB 7D D0 9B DB 6D E0 DB 6D D0 DE E9 DB 7D E0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 0F B7 45 E8 50 FF 75 E4 FF 75 E0 E8 ?? ?? ?? ?? 84 C0 74 1D DB 6D E0 D9 E0 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? DB 7D F0 9B EB 11 4B 0F 85 17 FF FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 6D F0 5F 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 52 00 61 00 74 00 65 00 4F 00 66 00 52 00 65 00 74 00 75 00 72 00 6E 00 00 00 00 00 00 00 80 BF 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66491_0 {
	meta:
		name = "NetPresentValue"
		size = 188
		refs = "0014 NetPresentValue 0024 ArgError"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 88 4D FF 8B F2 8B D8 DB 6D 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 6D 08 D8 05 ?? ?? ?? ?? D8 3D ?? ?? ?? ?? DB 7D E0 9B 33 C0 89 45 F0 89 45 F4 66 89 45 F8 8B D6 83 FA 00 7C 1A 8D 04 D3 DB 6D E0 DB 6D F0 DE C9 DC 00 DB 7D F0 9B 4A 83 E8 08 83 FA FF 75 E9 80 7D FF 00 75 0C DB 6D E0 DB 6D F0 DE C9 DB 7D F0 9B DB 6D F0 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 00 80 BF B0 04 02 00 FF FF FF FF 0F 00 00 00 4E 00 65 00 74 00 50 00 72 00 65 00 73 00 65 00 6E 00 74 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66492_0 {
	meta:
		name = "PaymentParts"
		size = 216
		refs = "0014 PaymentParts 0024 ArgError 0037 Compound 0052 Annuity2"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B D9 8B F2 8B F8 DB 6D 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 2C 50 FF 75 28 FF 75 24 8B C7 48 E8 ?? ?? ?? ?? DB 7D D0 9B 0F B7 45 2C 50 FF 75 28 FF 75 24 8B D3 8D 4D E0 8B C6 E8 ?? ?? ?? ?? DB 7D C0 9B DB 6D D0 D8 25 ?? ?? ?? ?? DB 6D 0C DE C9 DB 6D E0 DB 6D D0 DE E9 DB 6D 18 DE C9 DE E9 DB 6D C0 DE F9 8B 45 08 DB 38 9B DB 6D 0C D9 E0 DB 6D 18 DE E9 DB 6D D0 DE C9 DB 6D C0 DE F9 DB 7D F0 9B DB 6D F0 5F 5E 5B 8B E5 5D C2 28 00 00 00 00 00 80 BF B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 61 00 79 00 6D 00 65 00 6E 00 74 00 50 00 61 00 72 00 74 00 73 00 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66493_0 {
	meta:
		name = "FutureValue"
		size = 180
		refs = "0011 FutureValue 0021 ArgError 0038 Annuity2"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 8B DA 8B F0 DB 6D 20 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 28 50 FF 75 24 FF 75 20 8B D3 8D 4D D0 8B C6 E8 ?? ?? ?? ?? DB 7D E0 9B DB 6D D0 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 6D 14 D9 E0 DB 6D E0 DE C9 DB 6D 08 DB 6D D0 DE C9 DE E9 DB 7D F0 9B DB 6D F0 5E 5B 8B E5 5D C2 24 00 00 00 00 00 80 BF B0 04 02 00 FF FF FF FF 0B 00 00 00 46 00 75 00 74 00 75 00 72 00 65 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 00 04 BF C9 1B 8E 34 40 00 00 }
	condition:
		$1
}

rule function_66494_0 {
	meta:
		name = "InterestPayment"
		size = 204
		refs = "0014 InterestPayment 002d ArgError 0040 Compound 005b Annuity2"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B D9 8B F2 8B F8 DB 6D 20 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 09 83 FF 01 7C 04 3B F7 7D 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 28 50 FF 75 24 FF 75 20 8B C7 48 E8 ?? ?? ?? ?? DB 7D E0 9B 0F B7 45 28 50 FF 75 24 FF 75 20 8B D3 8D 4D D0 8B C6 E8 ?? ?? ?? ?? DB 7D C0 9B DB 6D E0 D8 25 ?? ?? ?? ?? DB 6D 08 DE C9 DB 6D D0 DB 6D E0 DE E9 DB 6D 14 DE C9 DE E9 DB 6D C0 DE F9 DB 7D F0 9B DB 6D F0 5F 5E 5B 8B E5 5D C2 24 00 00 00 00 00 00 80 BF B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 6E 00 74 00 65 00 72 00 65 00 73 00 74 00 50 00 61 00 79 00 6D 00 65 00 6E 00 74 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66495_0 {
	meta:
		name = "LostPrecision"
		size = 40
		refs = "000b LostPrecision"
	strings:
		$1 = { 55 8B EC 8B 45 14 DB 68 F0 D8 05 ?? ?? ?? ?? 8B 45 14 DB 68 F0 DE D9 9B DF E0 9E 0F 94 C0 5D C2 0C 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66496_0 {
	meta:
		name = "InterestRate"
		size = 1012
		refs = "0021 InterestRate 0026 ArgError 019a Exp 01af LostPrecision 01da LnXP1 0301 Ln 0362 RelSmall"
	strings:
		$1 = { 55 8B EC 81 C4 4C FF FF FF 53 56 57 8B DA 8B F8 33 C0 89 45 E0 89 45 E4 66 89 45 E8 85 FF 7F 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 20 89 45 90 8B 45 24 89 45 94 66 8B 45 28 66 89 45 98 84 DB 75 22 8B 45 14 89 45 D0 8B 45 18 89 45 D4 66 8B 45 1C 66 89 45 D8 DB 6D 08 DB 6D 20 DE C1 DB 7D C0 9B EB 20 DB 6D 14 DB 6D 20 DE C1 DB 7D D0 9B 8B 45 08 89 45 C0 8B 45 0C 89 45 C4 66 8B 45 10 66 89 45 C8 8B 45 D0 89 45 A0 8B 45 D4 89 45 A4 66 8B 45 D8 66 89 45 A8 8B 45 C0 89 45 80 8B 45 C4 89 45 84 66 8B 45 C8 66 89 45 88 33 DB DB 6D A0 DB 6D 20 DE C9 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 50 B3 01 8B 45 A0 89 85 70 FF FF FF 8B 45 A4 89 85 74 FF FF FF 66 8B 45 A8 66 89 85 78 FF FF FF 8B 45 80 89 45 A0 8B 45 84 89 45 A4 66 8B 45 88 66 89 45 A8 8B 85 70 FF FF FF 89 45 80 8B 85 74 FF FF FF 89 45 84 66 8B 85 78 FF FF FF 66 89 45 88 DB 6D A0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 1B DB 6D A0 D9 E0 DB 7D A0 9B DB 6D 90 D9 E0 DB 7D 90 9B DB 6D 80 D9 E0 DB 7D 80 9B DB 6D A0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 0F DB 6D 80 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 85 70 FF FF FF 89 85 74 FF FF FF 66 89 85 78 FF FF FF BE 0F 00 00 00 89 BD 4C FF FF FF DB 85 4C FF FF FF DB AD 70 FF FF FF DE C9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F0 9B 55 0F B7 45 F8 50 FF 75 F4 FF 75 F0 E8 ?? ?? ?? ?? 59 84 C0 74 43 DB 6D 90 D9 E0 DB 6D A0 DE F9 DB 7D E0 9B 84 DB 0F 84 E5 01 00 00 0F B7 45 E8 50 FF 75 E4 FF 75 E0 E8 ?? ?? ?? ?? D9 E0 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? DB 7D E0 9B E9 B8 01 00 00 0F B7 85 78 FF FF FF 50 FF B5 74 FF FF FF FF B5 70 FF FF FF E8 ?? ?? ?? ?? DB BD 60 FF FF FF 9B DB AD 60 FF FF FF D8 25 ?? ?? ?? ?? DB BD 50 FF FF FF 9B DB AD 50 FF FF FF D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 2A 89 BD 4C FF FF FF DB 85 4C FF FF FF DB 7D D0 9B DB 6D D0 D8 25 ?? ?? ?? ?? DB 6D D0 DE C9 D8 35 ?? ?? ?? ?? DB 7D C0 9B EB 6F 8B C7 48 89 85 4C FF FF FF DB 85 4C FF FF FF DB AD 70 FF FF FF DE C9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? DB AD 60 FF FF FF DE C9 DB AD 50 FF FF FF DE F9 DB 7D D0 9B 89 BD 4C FF FF FF DB 85 4C FF FF FF DB 6D F0 DE C9 DB AD 60 FF FF FF DE E9 DB 6D D0 DB AD 60 FF FF FF DE C9 DE E9 DB AD 50 FF FF FF DE F9 DB 7D C0 9B DB 6D 90 DB 6D D0 DE C9 DB 6D 80 DB 6D F0 DE C9 DE C1 DB 7D B0 9B DB 6D A0 D9 E0 DB 6D B0 DE F1 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 6D 90 DB 6D C0 DE C9 89 BD 4C FF FF FF DB 85 4C FF FF FF DB 6D 80 DE C9 DB 6D F0 DE C9 DE C1 DB 6D B0 DE F9 DE F9 DB 7D C0 9B DB AD 70 FF FF FF DB 6D C0 DE E9 DB BD 70 FF FF FF 9B 0F B7 45 C8 50 FF 75 C4 FF 75 C0 0F B7 85 78 FF FF FF 50 FF B5 74 FF FF FF FF B5 70 FF FF FF E8 ?? ?? ?? ?? 84 C0 74 38 84 DB 75 0F DB AD 70 FF FF FF D9 E0 DB BD 70 FF FF FF 9B 0F B7 85 78 FF FF FF 50 FF B5 74 FF FF FF FF B5 70 FF FF FF E8 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? DB 7D E0 9B EB 11 4E 0F 85 D5 FD FF FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 6D E0 5F 5E 5B 8B E5 5D C2 24 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 6E 00 74 00 65 00 72 00 65 00 73 00 74 00 52 00 61 00 74 00 65 00 00 00 00 00 00 00 00 00 00 00 80 3F 00 00 00 40 }
	condition:
		$1
}

rule function_66497_0 {
	meta:
		name = "NumberOfPeriods"
		size = 332
		refs = "000e NumberOfPeriods 001e ArgError 00c8 LnXP1"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 8B D8 DB 6D 2C D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 FB 01 75 12 DB 6D 2C D8 05 ?? ?? ?? ?? DB 6D 20 DE C9 DB 7D 20 9B DB 6D 14 DB 6D 2C DE C9 DB 6D 20 DE C1 DB 7D E0 9B DB 6D E0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 6D 2C D9 E1 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 76 15 DB 6D 14 DB 6D 08 DE C1 D9 E0 DB 6D E0 DE F9 DB 7D F0 9B EB 5E DB 6D 14 DB 6D 08 DE C1 D9 E0 DB 6D 2C DE C9 DB 6D E0 DE F9 DB 7D D0 9B DB 6D D0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 D8 50 FF 75 D4 FF 75 D0 E8 ?? ?? ?? ?? DB 7D C4 9B 0F B7 45 34 50 FF 75 30 FF 75 2C E8 ?? ?? ?? ?? DB 6D C4 DE F1 DB 7D F0 9B 8B 45 F0 89 45 F0 8B 45 F4 89 45 F4 66 8B 45 F8 66 89 45 F8 DB 6D F0 5B 8B E5 5D C2 30 00 00 00 00 80 BF B0 04 02 00 FF FF FF FF 0F 00 00 00 4E 00 75 00 6D 00 62 00 65 00 72 00 4F 00 66 00 50 00 65 00 72 00 69 00 6F 00 64 00 73 00 00 00 00 00 80 3F 00 00 00 00 82 A9 66 D6 52 40 DA FF F0 3F 00 00 }
	condition:
		$1
}

rule function_66498_0 {
	meta:
		name = "Payment"
		size = 204
		refs = "0011 Payment 0021 ArgError 0038 Annuity2"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 8B DA 8B F0 DB 6D 20 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 28 50 FF 75 24 FF 75 20 8B D3 8D 4D D0 8B C6 E8 ?? ?? ?? ?? DB 7D E0 9B DB 6D D0 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 73 26 DB 6D 14 D9 E0 DB 6D 20 DE C9 0F B6 C3 89 45 CC DB 45 CC DB 6D 20 DE C9 D8 05 ?? ?? ?? ?? DE F9 DB 7D F0 9B EB 18 DB 6D 14 D9 E0 DB 6D D0 DE C9 DB 6D 08 DE E9 DB 6D E0 DE F9 DB 7D F0 9B DB 6D F0 5E 5B 8B E5 5D C2 24 00 00 00 00 00 80 BF B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 61 00 79 00 6D 00 65 00 6E 00 74 00 00 00 00 00 00 04 BF C9 1B 8E 34 40 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_66499_0 {
	meta:
		name = "PeriodPayment"
		size = 160
		refs = "0014 PeriodPayment 002d ArgError 005d PaymentParts"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B D9 8B F2 8B F8 DB 6D 20 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 09 83 FF 01 7C 04 3B F7 7D 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 28 50 FF 75 24 FF 75 20 0F B7 45 1C 50 FF 75 18 FF 75 14 0F B7 45 10 50 FF 75 0C FF 75 08 8D 45 E0 50 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 5F 5E 5B 8B E5 5D C2 24 00 00 00 00 00 00 80 BF B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 65 00 72 00 69 00 6F 00 64 00 50 00 61 00 79 00 6D 00 65 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_66500_0 {
	meta:
		name = "PresentValue"
		size = 204
		refs = "0011 PresentValue 0021 ArgError 0038 Annuity2"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 8B DA 8B F0 DB 6D 20 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 28 50 FF 75 24 FF 75 20 8B D3 8D 4D D0 8B C6 E8 ?? ?? ?? ?? DB 7D E0 9B DB 6D D0 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 73 20 DB 6D 14 DB 6D 20 DE F9 0F B6 C3 89 45 CC DB 45 CC DE C9 DB 6D 14 DE C9 D9 E0 DB 7D F0 9B EB 18 DB 6D 14 D9 E0 DB 6D E0 DE C9 DB 6D 08 DE E9 DB 6D D0 DE F9 DB 7D F0 9B DB 6D F0 5E 5B 8B E5 5D C2 24 00 00 00 80 BF B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 72 00 65 00 73 00 65 00 6E 00 74 00 56 00 61 00 6C 00 75 00 65 00 00 00 00 00 00 00 00 04 BF C9 1B 8E 34 40 00 00 }
	condition:
		$1
}

rule function_66501_0 {
	meta:
		name = "GetFPURoundMode"
		size = 14
		refs = "0001 Get8087CW"
	strings:
		$1 = { E8 ?? ?? ?? ?? 0F B7 C0 C1 E8 0A 24 03 C3 }
	condition:
		$1
}

rule function_66502_0 {
	meta:
		name = "GetSSERoundMode"
		size = 11
		refs = "0001 GetMXCSR"
	strings:
		$1 = { E8 ?? ?? ?? ?? C1 E8 0D 24 03 C3 }
	condition:
		$1
}

rule function_66504_0 {
	meta:
		name = "SetFPURoundMode"
		size = 43
		refs = "0005 Get8087CW 001c Set8087CW"
	strings:
		$1 = { 53 56 8B D8 E8 ?? ?? ?? ?? 8B F0 66 B8 FF F3 66 23 C6 0F B6 D3 C1 E2 0A 66 0B C2 E8 ?? ?? ?? ?? 0F B7 C6 C1 E8 0A 24 03 5E 5B C3 }
	condition:
		$1
}

rule function_66505_0 {
	meta:
		name = "SetSSERoundMode"
		size = 41
		refs = "0005 GetMXCSR 001b SetMXCSR"
	strings:
		$1 = { 53 56 8B D8 E8 ?? ?? ?? ?? 8B F0 B8 FF 9F FF FF 23 C6 0F B6 D3 C1 E2 0D 0B C2 E8 ?? ?? ?? ?? 8B C6 C1 E8 0D 24 03 5E 5B C3 }
	condition:
		$1
}

rule function_66507_0 {
	meta:
		name = "GetPrecisionMode"
		size = 14
		refs = "0001 Get8087CW"
	strings:
		$1 = { E8 ?? ?? ?? ?? 0F B7 C0 C1 E8 08 24 03 C3 }
	condition:
		$1
}

rule function_66508_0 {
	meta:
		name = "SetPrecisionMode"
		size = 43
		refs = "0005 Get8087CW 001c Set8087CW"
	strings:
		$1 = { 53 56 8B D8 E8 ?? ?? ?? ?? 8B F0 66 B8 FF FC 66 23 C6 0F B6 D3 C1 E2 08 66 0B C2 E8 ?? ?? ?? ?? 0F B7 C6 C1 E8 08 24 03 5E 5B C3 }
	condition:
		$1
}

rule function_66509_0 {
	meta:
		name = "GetFPUExceptionMask"
		size = 14
		refs = "0002 Get8087CW"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 24 3F 88 C3 8B C3 5B C3 }
	condition:
		$1
}

rule function_66510_0 {
	meta:
		name = "GetSSEExceptionMask"
		size = 17
		refs = "0002 GetMXCSR"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? C1 E8 07 24 3F 88 C3 8B C3 5B C3 }
	condition:
		$1
}

rule function_66511_0 {
	meta:
		name = "GetExceptionMask"
		size = 12
		refs = "0002 GetFPUExceptionMask"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 8B C3 5B C3 }
	condition:
		$1
}

rule function_66512_0 {
	meta:
		name = "SetFPUExceptionMask"
		size = 39
		refs = "0006 Get8087CW 001b Set8087CW"
	strings:
		$1 = { 53 51 88 04 24 E8 ?? ?? ?? ?? 8B D8 66 B8 C0 FF 66 23 C3 0F B6 14 24 66 0B C2 E8 ?? ?? ?? ?? 80 E3 3F 88 D8 5A 5B C3 }
	condition:
		$1
}

rule function_66513_0 {
	meta:
		name = "SetSSEExceptionMask"
		size = 48
		refs = "0006 GetMXCSR 001e SetMXCSR"
	strings:
		$1 = { 53 51 88 04 24 E8 ?? ?? ?? ?? 8B D8 0F B7 C3 25 7F E0 FF FF 0F B6 14 24 C1 E2 07 0B C2 E8 ?? ?? ?? ?? 0F B7 D3 C1 EA 07 80 E2 3F 88 D0 5A 5B C3 }
	condition:
		$1
}

rule function_66514_0 {
	meta:
		name = "SetExceptionMask"
		size = 21
		refs = "000a SetFPUExceptionMask"
	strings:
		$1 = { 53 51 88 04 24 0F B6 04 24 E8 ?? ?? ?? ?? 8B D8 8B C3 5A 5B C3 }
	condition:
		$1
}

rule function_66515_0 {
	meta:
		name = "ClearFPUExceptions"
		size = 8
	strings:
		$1 = { 3C 00 74 01 9B DB E2 C3 }
	condition:
		$1
}

rule function_66516_0 {
	meta:
		name = "ClearSSEExceptions"
		size = 14
		refs = "0001 GetMXCSR 0009 SetMXCSR"
	strings:
		$1 = { E8 ?? ?? ?? ?? 83 E0 C0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66518_0 {
	meta:
		name = "GetSSEType"
		size = 113
	strings:
		$1 = { 53 B8 01 00 00 00 0F A2 31 C0 F7 C2 00 00 00 02 74 03 83 C8 01 F7 C2 00 00 00 04 74 03 83 C8 02 F7 C1 01 00 00 00 74 03 83 C8 04 F7 C1 00 02 00 00 74 03 83 C8 08 F7 C1 00 00 08 00 74 03 83 C8 10 F7 C1 00 00 10 00 74 03 83 C8 20 F7 C1 00 00 80 00 74 03 83 C8 40 F7 C1 00 00 00 02 74 03 83 C8 40 F7 C1 02 00 00 00 74 05 0D 00 01 00 00 5B C3 }
	condition:
		$1
}

rule function_66519_0 {
	meta:
		name = "InitSSEType"
		size = 24
		refs = "0001 TestSSE 000b GetSSEType"
	strings:
		$1 = { A1 ?? ?? ?? ?? 83 38 00 74 0D E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 C3 }
	condition:
		$1
}

rule function_66522_0 {
	meta:
		name = "GetTypeSize"
		size = 288
		refs = "000f GetTypeSize 006c GetTypeData"
	strings:
		$1 = { 0F B6 10 83 FA 12 0F 87 10 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B8 01 00 00 00 C3 B8 02 00 00 00 C3 E8 ?? ?? ?? ?? 83 78 01 00 7C 2E 8B 50 05 81 FA FF FF 00 00 76 0A B8 04 00 00 00 E9 94 00 00 00 81 FA FF 00 00 00 7E 0A B8 02 00 00 00 E9 82 00 00 00 B8 01 00 00 00 EB 7B 81 78 05 FF 7F 00 00 7F 09 81 78 01 00 80 FF FF 7D 07 B8 04 00 00 00 EB 62 83 78 05 7F 7F 06 83 78 01 80 7D 07 B8 02 00 00 00 EB 4F B8 01 00 00 00 C3 E8 ?? ?? ?? ?? 0F B6 00 2C 01 72 0A 74 0F 04 FE 2C 02 72 09 EB 0E B8 04 00 00 00 EB 2C B8 08 00 00 00 EB 25 83 C8 FF C3 B8 04 00 00 00 C3 B8 08 00 00 00 C3 B8 08 00 00 00 C3 B8 10 00 00 00 C3 B8 04 00 00 00 C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_66523_0 {
	meta:
		name = "ConvertKindOf"
		size = 45
		refs = "0024 Codes"
	strings:
		$1 = { 66 3B D0 75 03 33 C0 C3 66 83 F8 15 77 06 66 83 FA 15 76 04 B0 01 EB 14 0F B7 D2 0F B7 C0 6B C0 0B 8D 04 45 ?? ?? ?? ?? 0F B6 04 10 C3 }
	condition:
		$1
}

rule function_66524_0 {
	meta:
		name = "InterfaceDerivesFrom"
		size = 62
		refs = "0014 IsEqualGUID 002b GetTypeData"
	strings:
		$1 = { 53 56 57 55 8B FA 8B E8 B3 01 85 ED 74 27 8B D7 8D 45 05 E8 ?? ?? ?? ?? 84 C0 75 1B 8B 75 00 85 F6 74 12 83 3E 00 74 0D 8B 06 E8 ?? ?? ?? ?? 8B E8 85 ED 75 D9 33 DB 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66525_0 {
	meta:
		name = "GetVariantType"
		size = 480
		refs = "0013 GetVariantType 006c Boolean 0074 ByteBool 007c WordBool 0084 LongBool 0096 GetTypeData 012a TDateTime 017f InterfaceDerivesFrom"
	strings:
		$1 = { 53 56 8B D8 0F B6 03 83 F8 12 0F 87 B7 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 B8 0A 00 5E 5B C3 3B 1D ?? ?? ?? ?? 74 18 3B 1D ?? ?? ?? ?? 74 10 3B 1D ?? ?? ?? ?? 74 08 3B 1D ?? ?? ?? ?? 75 09 66 B8 0B 00 E9 38 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 83 7E 01 00 7C 2C 8B 46 05 3D FF FF 00 00 76 09 66 B8 13 00 E9 16 01 00 00 3D FF 00 00 00 7E 09 66 B8 12 00 E9 06 01 00 00 66 B8 11 00 E9 FD 00 00 00 81 7E 05 FF 7F 00 00 7F 09 81 7E 01 00 80 FF FF 7D 09 66 B8 03 00 E9 E2 00 00 00 83 7E 05 7F 7F 06 83 7E 01 80 7D 09 66 B8 02 00 E9 CD 00 00 00 66 B8 10 00 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8B F0 0F B6 06 2C 01 72 0A 74 11 04 FE 2C 02 72 25 EB 2C 66 B8 04 00 E9 A3 00 00 00 3B 1D ?? ?? ?? ?? 75 09 66 B8 07 00 E9 92 00 00 00 66 B8 05 00 E9 89 00 00 00 66 B8 06 00 E9 80 00 00 00 66 B8 0A 00 5E 5B C3 66 B8 00 01 5E 5B C3 66 B8 00 01 5E 5B C3 66 B8 02 01 5E 5B C3 66 B8 08 00 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 66 B8 09 00 EB 3E 66 B8 0D 00 5E 5B C3 66 B8 0C 00 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8B F0 83 7E 04 00 75 07 83 3E 00 72 0A EB 02 7C 06 66 B8 15 00 EB 12 66 B8 14 00 5E 5B C3 66 B8 03 00 5E 5B C3 66 B8 0A 00 5E 5B C3 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_66526_0 {
	meta:
		name = "GetFloatReturn"
		size = 41
	strings:
		$1 = { 83 FA 00 74 14 83 FA 01 74 13 83 FA 02 74 12 83 FA 04 74 11 83 FA 03 74 0C D9 18 9B C3 DD 18 9B C3 DB 38 9B C3 DF 38 9B C3 }
	condition:
		$1
}

rule function_66527_0 {
	meta:
		name = "GetMethods"
		size = 122
		refs = "0034 TMethodInfoArray 0039 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 33 DB 8B C7 8B C8 8B D1 83 C2 C0 8B 12 85 D2 74 05 0F B7 12 03 DA 83 C1 D0 8B 01 85 C0 74 04 8B 00 EB E1 53 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C9 8B C7 8B D0 83 C2 C0 8B 12 85 D2 74 1A 0F B7 1A 83 C2 02 85 DB 7E 10 8B 3E 89 14 8F 41 0F B7 3A 01 FA 4B 85 DB 7F F0 83 C0 D0 8B 00 85 C0 74 04 8B 00 EB CE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66528_0 {
	meta:
		name = "GetMethodInfo"
		size = 83
		refs = "0028 SamePropTypeName"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B 30 8B C6 83 C0 C0 8B 18 85 DB 74 25 0F B7 2B 83 C3 02 85 ED 7E 1B 8B FB 8B 14 24 8D 47 06 E8 ?? ?? ?? ?? 84 C0 75 1B 0F B7 03 01 C3 4D 85 ED 7F E5 83 C6 D0 8B 36 85 F6 75 04 33 FF EB 04 8B 36 EB BF 8B C7 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66529_0 {
	meta:
		name = "ParameterMismatch"
		size = 121
		refs = "0012 ParameterMismatch 003a STypeMisMatch 003f LoadResString 0049 _Dn_Exception 004e Exception.CreateFmt 0053 @RaiseExcept 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F0 C6 45 F4 00 8B 45 08 8B 40 D4 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66530_0 {
	meta:
		name = "ObjectInvoke"
		size = 2096
		refs = "0031 Variant 0036 @InitializeArray 003e ObjectInvoke 005b UTF8ToUnicodeString 0066 @UStrLAsg 00c6 SMethodOver 00cb LoadResString 00d8 _Dn_Exception 00dd Exception.CreateFmt 00e2 @RaiseExcept 0157 STooManyParams 018d @FillChar 0225 SInvalidDispID 026a GetVariantType 02d3 ParameterMismatch 02f0 ConvertKindOf 032d VarAsType 033e @VarCopy 0358 CVarTypeToElementInfo 03a7 @HandleAnyException 03b9 @DoneExcept 03e1 @VarToBool 054b SamePropTypeName 057e @VarClear 05f4 SParamRequired 0655 GetTypeSize 06b0 Move 0742 GetTypeData 074d GetFloatReturn 0767 Boolean 07ae @UStrClr 07b9 @VarClr 07c9 @UStrArrayClr 07ea @FinalizeArray 0805 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 84 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 8D C8 FD FF FF 8B F2 89 85 CC FD FF FF B9 20 00 00 00 8D 85 D0 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DE 8B 46 02 89 45 E8 8B F3 8D 7E 06 8D 55 D0 8B C7 E8 ?? ?? ?? ?? 8D 45 D4 8B 55 D0 E8 ?? ?? ?? ?? 0F B6 46 06 83 C0 07 01 C3 89 9D C4 FD FF FF 83 C3 09 8B 85 C4 FD FF FF 0F B6 40 08 89 85 C0 FD FF FF 83 BD C0 FD FF FF 20 7C 51 8B 45 D4 89 85 04 FC FF FF C6 85 08 FC FF FF 11 C7 85 0C FC FF FF 20 00 00 00 C6 85 10 FC FF FF 00 8D 85 04 FC FF FF 50 6A 01 8D 95 00 FC FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 00 FC FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 C0 FD FF FF 48 85 C0 7C 38 40 89 85 A0 FD FF FF 8D 85 14 FD FF FF 89 85 9C FD FF FF 8B 85 9C FD FF FF 89 18 0F B6 43 07 83 C0 08 01 C3 0F B7 03 01 C3 83 85 9C FD FF FF 04 FF 8D A0 FD FF FF 75 DB 8B 5D 0C 8B C3 40 3B 85 C0 FD FF FF 7C 40 8B 45 D4 89 85 F8 FB FF FF C6 85 FC FB FF FF 11 8D 85 F8 FB FF FF 50 6A 00 8D 95 F4 FB FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F4 FB FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 85 B4 FD FF FF 8D 85 94 FC FF FF 33 C9 BA 80 00 00 00 E8 ?? ?? ?? ?? 85 DB 0F 8C 2D 03 00 00 43 89 9D A0 FD FF FF C7 85 BC FD FF FF 00 00 00 00 8B 85 C8 FD FF FF 89 85 9C FD FF FF 8B 45 10 89 85 98 FD FF FF 8D 85 D0 FD FF FF 89 85 94 FD FF FF 8B 45 14 3B 85 BC FD FF FF 7C 71 8B 85 9C FD FF FF 8B 00 89 85 B8 FD FF FF 8B 85 B8 FD FF FF 3B 85 C0 FD FF FF 7C 65 8B 85 BC FD FF FF 89 85 04 FC FF FF C6 85 08 FC FF FF 00 8B 45 D4 89 85 0C FC FF FF C6 85 10 FC FF FF 11 8D 85 04 FC FF FF 50 6A 01 8D 95 F0 FB FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F0 FB FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8B 45 0C 2B 85 B4 FD FF FF 40 89 85 B8 FD FF FF 8B 85 B8 FD FF FF 8B B4 85 14 FD FF FF 8B 46 01 8B 00 E8 ?? ?? ?? ?? 66 89 85 B2 FD FF FF 8B 85 98 FD FF FF 89 85 AC FD FF FF 8B 85 AC FD FF FF 0F B7 00 66 89 85 B0 FD FF FF 0F B6 06 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 74 38 0F B7 85 B2 FD FF FF 66 0D 00 40 66 3B 85 B0 FD FF FF 0F 84 4F 01 00 00 66 83 BD B2 FD FF FF 0C 0F 84 41 01 00 00 55 8B 85 BC FD FF FF E8 ?? ?? ?? ?? 59 E9 2F 01 00 00 0F B7 85 B0 FD FF FF 66 25 FF 0F 0F B7 95 B2 FD FF FF E8 ?? ?? ?? ?? 2C 01 0F 82 C3 00 00 00 74 0D FE C8 0F 84 F9 00 00 00 E9 01 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 8D E0 FB FF FF 8B 85 98 FD FF FF 0F B7 95 B2 FD FF FF E8 ?? ?? ?? ?? 8D 95 E0 FB FF FF 8B 85 94 FD FF FF E8 ?? ?? ?? ?? 66 83 BD B2 FD FF FF 15 77 44 0F B7 85 B2 FD FF FF 8D 04 40 8B 15 ?? ?? ?? ?? 8B 44 82 04 48 74 05 48 74 17 EB 28 8B 85 94 FD FF FF 0F B6 40 08 8B 95 94 FD FF FF 89 42 08 EB 13 8B 85 94 FD FF FF 0F B7 40 08 8B 95 94 FD FF FF 89 42 08 8B 85 94 FD FF FF 89 85 AC FD FF FF 33 C0 5A 59 59 64 89 10 EB 66 E9 ?? ?? ?? ?? 55 8B 85 BC FD FF FF E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 4D 66 83 BD B0 FD FF FF 0B 75 43 8B 85 94 FD FF FF 8B 95 98 FD FF FF E8 ?? ?? ?? ?? 8B 85 98 FD FF FF E8 ?? ?? ?? ?? 83 E0 7F 8B 95 94 FD FF FF 89 42 08 8B 85 94 FD FF FF 89 85 AC FD FF FF EB 0D 55 8B 85 BC FD FF FF E8 ?? ?? ?? ?? 59 66 83 BD B2 FD FF FF 0C 75 2F 8B 85 B8 FD FF FF 8B 95 AC FD FF FF 89 94 85 14 FC FF FF 8B 85 B8 FD FF FF 8D 84 85 14 FC FF FF 8B 95 B8 FD FF FF 89 84 95 94 FC FF FF EB 3F F6 85 B1 FD FF FF 40 74 18 8B 85 AC FD FF FF 83 C0 08 8B 95 B8 FD FF FF 89 84 95 94 FC FF FF EB 1E 8B 85 AC FD FF FF 83 C0 08 8B 95 B8 FD FF FF 89 84 95 94 FC FF FF EB 06 FF 85 B4 FD FF FF 8B 45 0C 3B 85 B4 FD FF FF 7C 10 2B 85 B4 FD FF FF 83 BC 85 98 FC FF FF 00 75 DF FF 85 BC FD FF FF 83 85 94 FD FF FF 10 83 85 98 FD FF FF 10 83 85 9C FD FF FF 04 FF 8D A0 FD FF FF 0F 85 05 FD FF FF 8B 85 C4 FD FF FF 0F B7 40 06 83 E8 08 89 45 FC 2B 65 FC 89 65 F8 83 6D F8 08 33 C0 89 85 A8 FD FF FF 8B 85 C0 FD FF FF 48 85 C0 0F 8C DD 01 00 00 40 89 85 A0 FD FF FF C7 85 BC FD FF FF 00 00 00 00 8D 85 14 FD FF FF 89 85 94 FD FF FF 8D 85 94 FC FF FF 89 85 98 FD FF FF 8B 85 94 FD FF FF 8B 30 8B 85 98 FD FF FF 8B 38 85 FF 0F 85 DC 00 00 00 8B 46 01 8B 00 80 38 07 75 2D BA ?? ?? ?? ?? 8D 46 07 E8 ?? ?? ?? ?? 84 C0 75 11 BA ?? ?? ?? ?? 8D 46 07 E8 ?? ?? ?? ?? 84 C0 74 0B 8D BD CC FD FF FF E9 A5 00 00 00 F6 06 40 74 4D 89 B5 A8 FD FF FF 8B 45 08 E8 ?? ?? ?? ?? 8B 46 01 8B 00 E8 ?? ?? ?? ?? 8B D8 8B 45 08 66 89 18 66 83 FB 0C 75 13 8B 45 08 66 C7 00 00 00 8B 45 08 89 85 A4 FD FF FF EB 0C 8B 45 08 83 C0 08 89 85 A4 FD FF FF 8D BD A4 FD FF FF EB 53 8B 85 BC FD FF FF 89 85 04 FC FF FF C6 85 08 FC FF FF 00 8B 45 D4 89 85 0C FC FF FF C6 85 10 FC FF FF 11 8D 85 04 FC FF FF 50 6A 01 8D 95 DC FB FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D DC FB FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 5E 05 66 83 FB 03 73 0E 8B 07 0F B7 D3 89 44 95 EC E9 88 00 00 00 0F B6 06 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 74 0F 0F B7 C3 8B 55 F8 8D 04 02 8B 17 89 10 EB 65 8B 46 01 8B 00 E8 ?? ?? ?? ?? 8B D0 4A 83 EA 02 72 0A 4A 74 07 83 EA 04 74 12 EB 34 0F B7 46 05 8B 55 F8 8D 04 02 8B 17 89 10 EB 39 0F B7 56 05 8B 4D F8 8D 14 11 8B C7 8B 08 89 0A 0F B7 56 05 8B 4D F8 8D 54 11 04 83 C0 04 8B 00 89 02 EB 15 0F B7 56 05 83 E2 FC 8B 4D F8 8D 14 11 8B CF 91 E8 ?? ?? ?? ?? FF 85 BC FD FF FF 83 85 98 FD FF FF 04 83 85 94 FD FF FF 04 FF 8D A0 FD FF FF 0F 85 4C FE FF FF 8B 45 EC 8B 55 F0 8B 4D F4 FF 55 E8 89 45 EC 89 55 F0 8B 85 C4 FD FF FF 80 78 01 01 75 03 03 65 FC 83 BD A8 FD FF FF 00 0F 85 98 00 00 00 8B 85 C4 FD FF FF 83 78 02 00 0F 84 88 00 00 00 8B 85 C4 FD FF FF 8B 40 02 8B 00 E8 ?? ?? ?? ?? 66 89 45 D8 8B 85 C4 FD FF FF 8B 40 02 8B 00 80 38 04 75 1D 8B 85 C4 FD FF FF 8B 40 02 8B 00 E8 ?? ?? ?? ?? 0F B6 10 8D 45 E0 E8 ?? ?? ?? ?? EB 36 66 83 7D D8 0B 75 1E 8B 85 C4 FD FF FF 8B 40 02 8B 00 3B 05 ?? ?? ?? ?? 75 0B 8B 45 EC 83 E0 7F 89 45 E0 EB 06 8B 45 EC 89 45 E0 8D 45 E0 83 C0 04 8B 55 F0 89 10 8B 45 08 8D 55 D8 E8 ?? ?? ?? ?? 66 C7 45 D8 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 DC FB FF FF E8 ?? ?? ?? ?? 8D 85 E0 FB FF FF E8 ?? ?? ?? ?? 8D 85 F0 FB FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 00 FC FF FF E8 ?? ?? ?? ?? 8D 85 D0 FD FF FF B9 20 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9C 5F 5E 5B 8B E5 5D C2 10 00 21 00 00 00 00 00 00 00 04 53 45 4C 46 00 00 00 04 74 68 69 73 00 00 00 79 00 00 00 }
	condition:
		$1
}

rule function_66532_0 {
	meta:
		name = "AdditionalInfoOf"
		size = 47
	strings:
		$1 = { 53 8D 50 02 0F B6 48 01 85 C9 7E 11 0F B6 5A 01 43 43 03 D3 0F B6 1A 43 03 D3 49 75 EF 80 38 01 75 09 0F B6 02 40 83 C0 04 03 D0 8B C2 5B C3 }
	condition:
		$1
}

rule function_66533_0 {
	meta:
		name = "CreateMethodPointer"
		size = 37
		refs = "000f _DV_TMethodHandlerInstance 0014 TMethodHandlerInstance.Create 001d TBaseMethodHandlerInstance.RegisterStub"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 57 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 C7 03 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66534_0 {
	meta:
		name = "CreateMethodPointer"
		size = 44
		refs = "0014 _DV_TEventHandlerInstance 0019 TEventHandlerInstance.Create 0022 TBaseMethodHandlerInstance.RegisterStub"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B F0 FF 75 0C FF 75 08 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 C7 03 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_66535_0 {
	meta:
		name = "ReleaseMethodPointer"
		size = 26
		refs = "0011 TObject.Free"
	strings:
		$1 = { 56 57 83 C4 F8 8B F0 8D 3C 24 A5 A5 8B 44 24 04 E8 ?? ?? ?? ?? 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_66536_0 {
	meta:
		name = "GetInvokeInstance"
		size = 47
		refs = "0015 _DV_TEventHandlerInstance 001a @IsClass"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F0 8D 3C 24 A5 A5 8B 5C 24 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 8B 43 1C EB 02 33 C0 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66537_0 {
	meta:
		name = "TBaseMethodHandlerInstance.Create"
		size = 400
		refs = "0011 @ClassCreate 0027 AdditionalInfoOf 005a TBaseMethodHandlerInstance.Create 007e GetTypeSize 00c5 :TBaseMethodHandlerInstance.:1 00ca @DynArraySetLength 016f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B F8 8B 45 F8 89 47 04 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 43 89 5F 08 C7 45 F0 01 00 00 00 8B 45 F8 8D 58 02 33 C0 89 47 10 8B 45 F8 0F B6 70 01 4E 85 F6 7C 64 46 C7 45 EC 00 00 00 00 0F B6 05 ?? ?? ?? ?? 22 03 0F B6 15 ?? ?? ?? ?? 3A D0 74 07 B8 04 00 00 00 EB 10 8B 47 08 8B 55 EC 8B 04 90 8B 00 E8 ?? ?? ?? ?? 83 F8 04 7F 0B 83 7D F0 02 7F 05 FF 45 F0 EB 0D 83 F8 04 7D 05 B8 04 00 00 00 01 47 10 0F B6 43 01 40 40 03 D8 0F B6 03 40 03 D8 FF 45 EC 4E 75 A4 8B 45 F8 0F B6 40 01 50 8D 47 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C7 45 F0 01 00 00 00 8B 45 F8 8D 58 02 8B 47 10 89 45 F4 8B 45 F8 0F B6 70 01 4E 85 F6 7C 76 46 C7 45 EC 00 00 00 00 0F B6 05 ?? ?? ?? ?? 22 03 0F B6 15 ?? ?? ?? ?? 3A D0 74 07 B8 04 00 00 00 EB 10 8B 47 08 8B 55 EC 8B 04 90 8B 00 E8 ?? ?? ?? ?? 83 F8 04 7F 19 83 7D F0 02 7F 13 8B 47 0C 8B 55 EC 0F B7 4D F0 66 89 0C 50 FF 45 F0 EB 11 29 45 F4 8B 47 0C 8B 55 EC 0F B7 4D F4 66 89 0C 50 0F B6 43 01 40 40 03 D8 0F B6 03 40 03 D8 FF 45 EC 4E 75 92 8B C7 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C3 00 00 3B 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_66538_0 {
	meta:
		name = "TBaseMethodHandlerInstance.InternalHandler"
		size = 5
	strings:
		$1 = { 8B 08 FF 21 C3 }
	condition:
		$1
}

rule function_66539_0 {
	meta:
		name = "TBaseMethodHandlerInstance.RegisterStub"
		size = 49
		refs = "0006 TBaseMethodHandlerInstance.InternalHandler"
	strings:
		$1 = { 50 51 52 89 E2 E8 ?? ?? ?? ?? 89 44 24 04 58 58 59 8B 49 10 85 C9 74 18 83 C1 03 83 E1 FC 81 E1 FF FF 00 00 50 8B 44 24 04 89 44 0C 04 58 01 CC C3 }
	condition:
		$1
}

rule function_66540_0 {
	meta:
		name = "TMethodHandlerInstance.Create"
		size = 76
		refs = "000e @ClassCreate 0020 TBaseMethodHandlerInstance.Create 002a @IntfCopy 0035 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 08 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 14 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_66541_0 {
	meta:
		name = "TMethodHandlerInstance.Handler"
		size = 656
		refs = "0023 Variant 0028 @InitializeArray 0030 TMethodHandlerInstance.Handler 00e3 @VarCopy 0125 GetVariantType 01fd VarAsType 024c @FinalizeArray 027b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 1F 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8B D8 B9 0A 00 00 00 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 B5 34 FF FF FF 8B 43 04 8D 70 02 0F B6 40 01 48 85 C0 0F 8C 6D 01 00 00 40 89 85 28 FF FF FF C7 85 30 FF FF FF 00 00 00 00 8B 43 0C 8B 95 30 FF FF FF 0F B7 04 50 83 F8 01 7C 17 83 F8 02 7F 12 8B 95 34 FF FF FF 8D 44 82 FC 89 85 2C FF FF FF EB 10 8B 95 34 FF FF FF 8D 44 02 10 89 85 2C FF FF FF 8B 43 08 8B 95 30 FF FF FF 8B 04 90 8B 00 80 38 07 75 3C 8D 8D 18 FF FF FF 8B 85 2C FF FF FF 8B 10 8B 43 14 8B 38 FF 57 10 8D 95 18 FF FF FF 8B 43 04 0F B6 40 01 2B 85 30 FF FF FF 03 C0 8D 84 C5 28 FF FF FF E8 ?? ?? ?? ?? E9 B4 00 00 00 0F B6 05 ?? ?? ?? ?? 22 06 0F B6 15 ?? ?? ?? ?? 3A D0 74 3D 8B 43 04 0F B6 40 01 2B 85 30 FF FF FF 03 C0 8D BC C5 28 FF FF FF 8B 43 08 8B 95 30 FF FF FF 8B 04 90 8B 00 E8 ?? ?? ?? ?? 66 0D 00 40 66 89 07 8B 85 2C FF FF FF 8B 00 89 47 08 EB 63 8B 43 08 8B 95 30 FF FF FF 8B 04 90 8B 00 E8 ?? ?? ?? ?? 66 0D 00 40 66 89 45 F0 0F B6 05 ?? ?? ?? ?? 22 06 0F B6 15 ?? ?? ?? ?? 3A D0 74 0D 8B 85 2C FF FF FF 8B 00 89 45 F8 EB 09 8B 85 2C FF FF FF 89 45 F8 8B 43 04 0F B6 40 01 2B 85 30 FF FF FF 03 C0 8D 84 C5 28 FF FF FF 8D 55 F0 E8 ?? ?? ?? ?? 0F B6 46 01 40 40 03 F0 0F B6 06 40 03 F0 FF 85 30 FF FF FF FF 8D 28 FF FF FF 0F 85 A4 FE FF FF 8D 45 E0 50 8B 43 04 0F B6 48 01 49 8D 95 38 FF FF FF 8B 43 14 8B 38 FF 57 0C 8B 43 04 80 38 01 75 45 0F B6 06 40 03 F0 8B DE 8B 03 E8 ?? ?? ?? ?? 8B D0 8D 8D 08 FF FF FF 8D 45 E0 E8 ?? ?? ?? ?? 8D 95 08 FF FF FF 8D 45 E0 E8 ?? ?? ?? ?? 8B 03 80 38 04 74 11 8B 45 E8 89 45 D8 8D 45 E8 83 C0 04 8B 00 89 45 DC 8B 45 D8 8B 55 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 08 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 38 FF FF FF B9 0A 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B9 5F 5E 5B 8B E5 5D C3 21 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_66543_0 {
	meta:
		name = "TEventHandlerInstance.Handler"
		size = 21
	strings:
		$1 = { 53 66 83 78 1A 00 74 0B 8B D8 8B 48 10 8B 43 1C FF 53 18 5B C3 }
	condition:
		$1
}

rule function_66548_0 {
	meta:
		name = "SQL_SUCCEEDED"
		size = 8
	strings:
		$1 = { 66 A9 FE FF 0F 94 C0 C3 }
	condition:
		$1
}

rule function_66549_0 {
	meta:
		name = "SQL_LEN_BINARY_ATTR"
		size = 6
		altNames = "SQL_LEN_DATA_AT_EXEC"
	strings:
		$1 = { F7 D8 83 C0 9C C3 }
	condition:
		$1
}

rule function_66551_0 {
	meta:
		name = "SQL_FUNC_EXISTS"
		size = 40
	strings:
		$1 = { 0F B7 CA C1 E9 04 03 C9 03 C1 66 B9 0F 00 66 23 CA BA 01 00 00 00 D3 E2 0F BF 00 23 D0 74 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_66552_0 {
	meta:
		name = "SQL_POSITION_TO"
		size = 12
		refs = "0007 SQLSetPos"
	strings:
		$1 = { 6A 00 6A 00 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66553_0 {
	meta:
		name = "SQL_LOCK_RECORD"
		size = 11
		refs = "0006 SQLSetPos"
	strings:
		$1 = { 51 6A 00 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68978_0 {
	meta:
		name = "FileSeek"
		size = 11
		refs = "0006 SetFilePointer"
	strings:
		$1 = { 51 6A 00 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66554_0 {
	meta:
		name = "SQL_REFRESH_RECORD"
		size = 11
		refs = "0006 SQLSetPos"
	strings:
		$1 = { 51 6A 01 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66555_0 {
	meta:
		name = "SQL_UPDATE_RECORD"
		size = 12
		refs = "0007 SQLSetPos"
	strings:
		$1 = { 6A 00 6A 02 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66556_0 {
	meta:
		name = "SQL_DELETE_RECORD"
		size = 12
		refs = "0007 SQLSetPos"
	strings:
		$1 = { 6A 00 6A 03 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66557_0 {
	meta:
		name = "SQL_ADD_RECORD"
		size = 12
		refs = "0007 SQLSetPos"
	strings:
		$1 = { 6A 00 6A 04 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66558_0 {
	meta:
		name = "SQLAllocEnv"
		size = 16
		refs = "000a SQLAllocHandleStd"
	strings:
		$1 = { 51 89 04 24 54 6A 00 6A 01 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_66561_0 {
	meta:
		name = "GetRegEx"
		size = 82
		refs = "000c @IntfAddRef 0014 GetRegEx 0023 _DV_TScopeExitNotifier 0028 @SafeIntfAsClass 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 58 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_66563_0 {
	meta:
		name = "TScopeExitNotifier.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001d TObject.Free 0028 TObject.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 0C 00 74 10 8D 46 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66564_0 {
	meta:
		name = "MakeScopeExitNotifier"
		size = 39
		refs = "000b _DV_TScopeExitNotifier 0010 TScopeExitNotifier.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66565_0 {
	meta:
		name = "UnicodeIndexToUTF8"
		size = 140
		refs = "0025 SRegExIndexOutOfBounds 002c _Dn_ERegularExpressionError 0031 Exception.CreateResFmt 0036 @RaiseExcept"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 8B D0 85 D2 74 05 83 EA 04 8B 12 3B D3 7D 22 89 1C 24 C6 44 24 04 00 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BE 01 00 00 00 BA 01 00 00 00 3B DA 7E 3B 0F B7 7C 50 FE 66 83 FF 7F 77 03 46 EB 28 66 81 FF FF 07 77 05 83 C6 02 EB 1C 0F B7 6C 50 FE 66 81 FD 00 D8 72 0D 66 81 FD FF DF 77 06 42 83 C6 04 EB 03 83 C6 03 42 3B DA 7F C5 8B C6 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66566_0 {
	meta:
		name = "UTF8IndexToUnicode"
		size = 158
		refs = "002c SRegExIndexOutOfBounds 0033 _Dn_ERegularExpressionError 0038 Exception.CreateResFmt 003d @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 89 04 24 8B 14 24 85 D2 74 05 83 EA 04 8B 12 3B D6 7D 27 89 74 24 04 C6 44 24 08 00 8D 44 24 04 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 01 00 00 00 BA 01 00 00 00 3B F2 7E 47 41 0F B6 5C 10 FF 81 FB E0 00 00 00 7D 0F 81 EB C0 00 00 00 72 1C 83 EB 20 72 1A EB 26 81 C3 20 FF FF FF 83 EB 10 72 12 83 EB 08 72 12 83 EB 08 73 11 42 EB 0E 83 C2 02 EB 09 83 C2 03 EB 04 83 C2 04 41 3B F2 7F B9 8B C1 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_66567_0 {
	meta:
		name = "RegExOptionsToPCREOptions"
		size = 68
		refs = "0008 RegExOptionsToPCREOptions"
	strings:
		$1 = { 53 51 88 04 24 0F B6 1D ?? ?? ?? ?? F6 04 24 02 74 03 80 CB 01 F6 04 24 04 74 03 80 CB 02 F6 04 24 08 74 03 80 CB 40 F6 04 24 20 74 03 80 CB 04 F6 04 24 40 74 03 80 CB 08 8B C3 5A 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_66568_0 {
	meta:
		name = "TGroup.Create"
		size = 42
		refs = "001e @LStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 89 0B 8B 45 0C 89 43 04 0F B6 45 08 88 43 08 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 8B C3 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_66569_0 {
	meta:
		name = "TGroup.GetIndex"
		size = 11
		refs = "0006 UTF8IndexToUnicode"
	strings:
		$1 = { 8B 10 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66570_0 {
	meta:
		name = "TGroup.GetLength"
		size = 159
		refs = "0013 TGroup.GetLength 003f @UStrFromLStr 0058 TGroup.GetIndex 0069 UTF8IndexToUnicode 008b @UStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 89 45 FC 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 33 03 73 04 3B C6 7D 2B 8D 45 F8 8B 53 0C E8 ?? ?? ?? ?? 8B 45 F8 89 45 FC 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8B C3 E8 ?? ?? ?? ?? 2B F0 46 8B DE EB 17 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 2B F0 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66571_0 {
	meta:
		name = "TGroup.GetValue"
		size = 86
		refs = "000f TGroup.GetValue 0026 @LStrCopy 0030 @UStrFromLStr 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 4B 04 8B 13 8B 43 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66572_0 {
	meta:
		name = "TGroupCollection.Create"
		size = 282
		refs = "0022 @IntfAddRef 002a TGroupCollection.Create 003b @IntfCopy 0059 _DV_TScopeExitNotifier 005e @SafeIntfAsClass 006a TPerlRegEx.GetGroupCount 0079 TArray<System.RegularExpressions.TGroup> 007e @DynArraySetLength 0088 @DynArrayLength 009c TPerlRegEx.GetGroupLengths 00ab TPerlRegEx.GetGroupOffsets 00b8 TGroup.Create 00ca TGroup 00cf @CopyRecord 00f0 @FinalizeRecord 00f9 IInterface 0103 @FinalizeArray 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 80 7D 08 00 0F 84 90 00 00 00 8D 45 F8 8B 56 04 E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 0C 8B F8 8B C7 E8 ?? ?? ?? ?? 40 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 06 E8 ?? ?? ?? ?? 48 85 C0 7C 48 40 89 45 F0 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 50 0F B6 45 08 50 8B D3 8B C7 E8 ?? ?? ?? ?? 50 8D 45 E0 8B 55 F4 59 E8 ?? ?? ?? ?? 8D 55 E0 8B C3 03 C0 8B 0E 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 FF 4D F0 75 BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 8B C6 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_66573_0 {
	meta:
		name = "TGroupCollection.GetCount"
		size = 8
		refs = "0003 @DynArrayLength"
		altNames = "TMatchCollection.GetCount"
	strings:
		$1 = { 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66901_0 {
	meta:
		name = "PeekData"
		size = 8
		refs = "0003 Move"
	strings:
		$1 = { 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66575_0 {
	meta:
		name = "TGroupCollection.GetItem"
		size = 426
		refs = "0025 @VarAddRef 002d TGroupCollection.GetItem 006a @IntfCopy 0073 _DV_TScopeExitNotifier 0078 @SafeIntfAsClass 0086 @VarToLStr 0090 TPerlRegEx.NamedGroup 009c @VarToInteger 00a6 SRegExInvalidIndexType 00ad _Dn_ERegularExpressionError 00b2 Exception.CreateRes 00b7 @RaiseExcept 00c2 @DynArrayLength 00d7 TGroup 00dc @CopyRecord 011d @VarToUStr 0133 SRegExInvalidGroupName 013f Exception.CreateResFmt 0159 SRegExIndexOutOfBounds 017f @UStrClr 0187 @LStrClr 018f @VarClr 0197 @IntfClear 019d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D E4 89 5D FC 8B F2 8D 7D E8 A5 A5 A5 A5 8B F9 8B F0 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 45 E8 83 F8 10 7D 0F 83 C0 FE 83 E8 02 72 50 83 E8 04 74 16 EB 55 83 C0 F0 83 E8 04 72 41 2D EC 00 00 00 74 05 83 E8 02 75 41 8D 45 FC 8B 56 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 58 0C 8D 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 23 8D 45 E8 E8 ?? ?? ?? ?? 8B D8 EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7C 26 8B 06 E8 ?? ?? ?? ?? 3B D8 7D 1B 8B C7 8B D3 03 D2 8B 0E 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 89 00 00 00 83 FB F9 75 26 0F B7 45 E8 66 3D 02 01 75 04 B2 01 EB 07 66 3D 00 01 0F 94 C2 84 D2 74 04 B0 01 EB 0B 66 83 F8 08 0F 94 C0 EB 02 33 C0 84 C0 74 34 8D 45 D8 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 8D 45 DC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 89 5D DC C6 45 E0 00 8D 45 DC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66576_0 {
	meta:
		name = "TGroupCollectionEnumerator.Create"
		size = 71
		refs = "000b @ClassCreate 001c TGroupCollection 0021 @CopyRecord 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 47 0C FF FF FF FF 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66577_0 {
	meta:
		name = "TGroupCollectionEnumerator.GetCurrent"
		size = 90
		refs = "0013 TGroupCollectionEnumerator.GetCurrent 0026 @VarFromInt 0033 TGroupCollection.GetItem 0048 @VarClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B 53 0C B1 FC E8 ?? ?? ?? ?? 8D 55 F0 8B CE 8D 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66578_0 {
	meta:
		name = "TGroupCollectionEnumerator.MoveNext"
		size = 27
		refs = "0007 TGroupCollection.GetCount"
	strings:
		$1 = { 53 8B D8 8D 43 04 E8 ?? ?? ?? ?? 48 3B 43 0C 0F 9F C0 84 C0 74 03 FF 43 0C 5B C3 }
	condition:
		$1
}

rule function_66579_0 {
	meta:
		name = "TMatch.Create"
		size = 208
		refs = "0022 @IntfAddRef 002a TMatch.Create 0045 TGroup.Create 0050 TGroup 0055 @CopyRecord 006c TGroupCollection.Create 0078 TGroupCollection 0088 @IntfCopy 00a3 @FinalizeRecord 00b9 @IntfClear 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 10 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 0F B6 45 08 50 8B CF 8B D6 8D 45 EC E8 ?? ?? ?? ?? 8D 55 EC 8B C3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 57 8B 45 0C 50 0F B6 45 08 50 8B CE 8B 55 FC 8D 45 E4 E8 ?? ?? ?? ?? 8D 55 E4 8D 43 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 18 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_66585_0 {
	meta:
		name = "TMatch.NextMatch"
		size = 164
		refs = "0017 TMatch.NextMatch 0028 @IntfCopy 0031 _DV_TScopeExitNotifier 0036 @SafeIntfAsClass 0042 TPerlRegEx.MatchAgain 004f TPerlRegEx.GetMatchedOffset 0057 TPerlRegEx.GetMatchedLength 0067 TMatch.Create 0091 @IntfClear 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 0C 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 84 DB 74 21 8B C7 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 53 8B 56 18 8B 4F 10 8B 45 F8 E8 ?? ?? ?? ?? EB 13 6A 00 6A 00 53 8B 56 18 8B 4F 10 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66586_0 {
	meta:
		name = "TMatch.Result"
		size = 139
		refs = "0014 TMatch.Result 0025 @IntfCopy 002e _DV_TScopeExitNotifier 0033 @SafeIntfAsClass 0047 @LStrFromUStr 0051 TPerlRegEx.ComputeReplacement 005b @UStrFromLStr 0070 @LStrClr 0078 @IntfClear 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 0C 8B D8 8D 43 0C 8B D7 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66587_0 {
	meta:
		name = "TMatchCollection.Create"
		size = 365
		refs = "0024 @IntfAddRef 002c TMatchCollection.Create 003b _DV_TScopeExitNotifier 0040 @SafeIntfAsClass 004d TPerlRegEx.SetSubject 0056 RegExOptionsToPCREOptions 005f TPerlRegEx.SetOptions 0069 TPerlRegEx.SetStart 007b TArray<System.RegularExpressions.TMatch> 0080 @DynArraySetLength 008a TPerlRegEx.MatchAgain 00a6 @DynArrayLength 00c7 TPerlRegEx.GetMatchedOffset 00cf TPerlRegEx.GetMatchedLength 00df TMatch.Create 00fa TMatch 00ff @CopyRecord 014d @FinalizeRecord 0155 @IntfClear 015b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F4 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 78 0C 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 0F B6 45 0C E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 55 08 8B C7 E8 ?? ?? ?? ?? 33 F6 6A 00 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 E8 ?? ?? ?? ?? 8B D8 EB 7B 8B C6 B9 0A 00 00 00 99 F7 F9 85 D2 75 24 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 83 C0 0A 50 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 53 8B 4D F4 8B 55 FC 8D 45 D8 E8 ?? ?? ?? ?? 8D 55 D8 8B C6 03 C0 03 C0 03 C0 2B C6 8B 4D F8 8B 09 8D 04 81 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 46 84 DB 75 81 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 3B F0 7D 17 56 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B 45 F8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_66589_0 {
	meta:
		name = "TMatchCollection.GetEnumerator"
		size = 15
		refs = "0005 _DV_TMatchCollectionEnumerator 000a TMatchCollectionEnumerator.Create"
	strings:
		$1 = { 8B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66590_0 {
	meta:
		name = "TMatchCollection.GetItem"
		size = 97
		refs = "0013 @DynArrayLength 002e TMatch 0033 @CopyRecord 0046 SRegExIndexOutOfBounds 004d _Dn_ERegularExpressionError 0052 Exception.CreateResFmt 0057 @RaiseExcept"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B DA 8B F0 85 DB 7C 29 8B 06 E8 ?? ?? ?? ?? 3B D8 7D 1E 8B C7 8B D3 03 D2 03 D2 03 D2 2B D3 8B 0E 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 89 1C 24 C6 44 24 04 00 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66591_0 {
	meta:
		name = "TMatchCollectionEnumerator.Create"
		size = 77
		refs = "000e @ClassCreate 0021 TMatchCollection 0026 @CopyRecord 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8D 46 04 8D 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 46 08 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66592_0 {
	meta:
		name = "TMatchCollectionEnumerator.GetCurrent"
		size = 22
		refs = "000f TMatchCollection.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8D 43 04 8B 53 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66593_0 {
	meta:
		name = "TMatchCollectionEnumerator.MoveNext"
		size = 27
		refs = "0007 TMatchCollection.GetCount"
	strings:
		$1 = { 53 8B D8 8D 43 04 E8 ?? ?? ?? ?? 48 3B 43 08 0F 9F C0 84 C0 74 03 FF 43 08 5B C3 }
	condition:
		$1
}

rule function_66594_0 {
	meta:
		name = "TRegEx.Create"
		size = 64
		refs = "000a TRegEx.Create 0031 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 0F B6 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B C3 5B 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_66595_0 {
	meta:
		name = "TRegEx.Create"
		size = 180
		refs = "0017 TRegEx.Create 002a _Dn_TPerlRegEx 002f TPerlRegEx.Create 003c RegExOptionsToPCREOptions 0045 TPerlRegEx.SetOptions 0054 @LStrFromUStr 005f TPerlRegEx.SetRegEx 006a MakeScopeExitNotifier 0075 @IntfCopy 0082 TPerlRegEx.Compile 0097 @IntfClear 009f @LStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 88 4D FF 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 FF 88 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 14 0F B6 03 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 8B D7 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 14 E8 ?? ?? ?? ?? 8D 55 F4 8B 43 14 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 10 E8 ?? ?? ?? ?? F6 03 10 74 08 8B 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66596_0 {
	meta:
		name = "TRegEx.Escape"
		size = 572
		refs = "0021 TRegEx.Escape 0030 @UStrAsg 003a Special 0055 @UStrCat3 0061 StringReplace 0158 @UStrArrayClr 015e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B D3 E8 ?? ?? ?? ?? BF 0E 00 00 00 BB ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 8D 45 F4 8B 0B BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B 06 8B 13 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 83 C3 04 4F 75 C9 0F B6 05 ?? ?? ?? ?? 50 8D 45 F0 50 8B 06 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 80 7D FF 00 0F 84 9C 00 00 00 0F B6 05 ?? ?? ?? ?? 50 8D 45 EC 50 8B 06 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E8 50 8B 06 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E4 50 8B 06 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E0 50 8B 06 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 5C 00 72 00 5C 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 28 00 2E 00 2A 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 28 00 2E 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 3F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 28 00 2E 00 2A 00 29 00 28 00 2E 00 2A 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 28 00 2E 00 29 00 28 00 2E 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_66597_0 {
	meta:
		name = "TRegEx.IsMatch"
		size = 97
		refs = "000f TRegEx.IsMatch 0024 @LStrFromUStr 002f TPerlRegEx.SetSubject 0037 TPerlRegEx.Match 004e @LStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66598_0 {
	meta:
		name = "TRegEx.IsMatch"
		size = 120
		refs = "0012 TRegEx.IsMatch 0027 @LStrFromUStr 0032 TPerlRegEx.SetSubject 003b UnicodeIndexToUTF8 0045 TPerlRegEx.SetStart 004d TPerlRegEx.MatchAgain 0064 @LStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 14 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66599_0 {
	meta:
		name = "TRegEx.IsMatch"
		size = 144
		refs = "0011 TRegEx 0016 @InitializeRecord 001f TMatch 002c TRegEx.IsMatch 003c TRegEx.Create 0049 TRegEx.Match 0051 TMatch.GetSuccess 006e @FinalizeRecord 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8D 45 E8 E8 ?? ?? ?? ?? 8D 4D CC 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66600_0 {
	meta:
		name = "TRegEx.InternalOnReplace"
		size = 166
		refs = "0017 TMatch 001c @InitializeRecord 0024 TRegEx.InternalOnReplace 003b TPerlRegEx.GetMatchedOffset 0044 TPerlRegEx.GetMatchedLength 0055 TMatch.Create 0071 @LStrFromUStr 0086 @UStrClr 0094 @FinalizeRecord 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 DB 89 5D DC 89 4D E0 8B D8 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 0A 00 74 40 8B 73 14 8B C6 E8 ?? ?? ?? ?? 50 8B 43 14 E8 ?? ?? ?? ?? 50 6A 01 8B 4E 10 8B 53 10 8D 45 E4 E8 ?? ?? ?? ?? 8D 4D DC 8D 55 E4 8B 43 0C FF 53 08 8B 55 DC 8B 45 E0 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66601_0 {
	meta:
		name = "TRegEx.IsMatch"
		size = 151
		refs = "0014 TRegEx 0019 @InitializeRecord 0022 TMatch 002f TRegEx.IsMatch 0043 TRegEx.Create 0050 TRegEx.Match 0058 TMatch.GetSuccess 0075 @FinalizeRecord 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 88 4D CB 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 4D CB 8B D6 8D 45 E8 E8 ?? ?? ?? ?? 8D 4D CC 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66602_0 {
	meta:
		name = "TRegEx.Match"
		size = 107
		refs = "0014 TRegEx 0019 @InitializeRecord 0021 TRegEx.Match 0031 TRegEx.Create 0058 @FinalizeRecord 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B D6 E8 ?? ?? ?? ?? 8B CF 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66603_0 {
	meta:
		name = "TRegEx.Match"
		size = 113
		refs = "0014 TRegEx 0019 @InitializeRecord 0021 TRegEx.Match 0035 TRegEx.Create 005d @FinalizeRecord 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 88 4D E7 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 0F B6 4D E7 8B D6 E8 ?? ?? ?? ?? 8B 4D 08 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_66604_0 {
	meta:
		name = "TRegEx.Matches"
		size = 97
		refs = "0012 TRegEx.Matches 002d @LStrFromUStr 003a TMatchCollection.Create 004f @LStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 03 50 6A 01 8D 45 FC 8B D6 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B 53 10 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66605_0 {
	meta:
		name = "TRegEx.Matches"
		size = 108
		refs = "0012 TRegEx.Matches 0025 UnicodeIndexToUTF8 0035 @LStrFromUStr 0043 TMatchCollection.Create 0058 @LStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 03 50 8B D7 8B C6 E8 ?? ?? ?? ?? 50 8D 45 FC 8B D6 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B 53 10 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_66606_0 {
	meta:
		name = "TRegEx.Match"
		size = 161
		refs = "0012 TRegEx.Match 0027 @LStrFromUStr 0032 TPerlRegEx.SetSubject 003a TPerlRegEx.Match 0048 TPerlRegEx.GetMatchedOffset 0051 TPerlRegEx.GetMatchedLength 0063 TMatch.Create 008f @LStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 46 14 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B D8 84 DB 74 25 8B 46 14 E8 ?? ?? ?? ?? 50 8B 46 14 E8 ?? ?? ?? ?? 50 53 8B 46 14 8B 48 10 8B 56 10 8B C7 E8 ?? ?? ?? ?? EB 15 6A 00 6A 00 53 8B 46 14 8B 48 10 8B 56 10 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66607_0 {
	meta:
		name = "TRegEx.Match"
		size = 194
		refs = "001c TRegEx.Match 0031 @LStrFromUStr 003c TPerlRegEx.SetSubject 0046 UnicodeIndexToUTF8 0050 TPerlRegEx.SetStart 0058 TPerlRegEx.MatchAgain 0066 TPerlRegEx.GetMatchedOffset 006f TPerlRegEx.GetMatchedLength 0081 TMatch.Create 00ad @LStrClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F0 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 46 14 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 46 14 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B D8 84 DB 74 25 8B 46 14 E8 ?? ?? ?? ?? 50 8B 46 14 E8 ?? ?? ?? ?? 50 53 8B 46 14 8B 48 10 8B 56 10 8B C7 E8 ?? ?? ?? ?? EB 15 6A 00 6A 00 53 8B 46 14 8B 48 10 8B 56 10 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_66608_0 {
	meta:
		name = "TRegEx.Match"
		size = 207
		refs = "0012 TRegEx.Match 0027 @LStrFromUStr 0032 TPerlRegEx.SetSubject 003b UnicodeIndexToUTF8 0045 TPerlRegEx.SetStart 005c TPerlRegEx.SetStop 0064 TPerlRegEx.MatchAgain 0072 TPerlRegEx.GetMatchedOffset 007b TPerlRegEx.GetMatchedLength 008e TMatch.Create 00bb @LStrClr 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 46 14 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 46 14 E8 ?? ?? ?? ?? 8B D7 03 55 0C 8B C3 E8 ?? ?? ?? ?? 8B D0 4A 8B 46 14 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B D8 84 DB 74 26 8B 46 14 E8 ?? ?? ?? ?? 50 8B 46 14 E8 ?? ?? ?? ?? 50 53 8B 46 14 8B 48 10 8B 56 10 8B 45 08 E8 ?? ?? ?? ?? EB 16 6A 00 6A 00 53 8B 46 14 8B 48 10 8B 56 10 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66609_0 {
	meta:
		name = "TRegEx.Matches"
		size = 143
		refs = "0019 TRegEx 001e @InitializeRecord 0026 TRegEx.Matches 0036 TRegEx.Create 004e TMatchCollection 0053 @CopyRecord 006e @FinalizeRecord 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 8B F9 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B D6 E8 ?? ?? ?? ?? 8D 4D E4 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 8D 55 E4 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66610_0 {
	meta:
		name = "TRegEx.Matches"
		size = 149
		refs = "0019 TRegEx 001e @InitializeRecord 0026 TRegEx.Matches 003a TRegEx.Create 0053 TMatchCollection 0058 @CopyRecord 0073 @FinalizeRecord 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D E0 88 4D E7 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 0F B6 4D E7 8B D6 E8 ?? ?? ?? ?? 8D 4D E0 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_66611_0 {
	meta:
		name = "TRegEx.Replace"
		size = 113
		refs = "0014 TRegEx 0019 @InitializeRecord 0021 TRegEx.Replace 0031 TRegEx.Create 005c @FinalizeRecord 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 08 50 8D 45 E8 8B CF 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_66612_0 {
	meta:
		name = "TRegEx.Replace"
		size = 115
		refs = "0014 TRegEx 0019 @InitializeRecord 0021 TRegEx.Replace 0031 TRegEx.Create 005e @FinalizeRecord 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B D6 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B CF 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_66613_0 {
	meta:
		name = "TRegEx.Replace"
		size = 119
		refs = "0014 TRegEx 0019 @InitializeRecord 0021 TRegEx.Replace 0035 TRegEx.Create 0063 @FinalizeRecord 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 88 4D E7 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 0F B6 4D E7 8B D6 E8 ?? ?? ?? ?? FF 75 10 FF 75 0C 8B 4D 08 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_66614_0 {
	meta:
		name = "TRegEx.Replace"
		size = 131
		refs = "0012 TRegEx.Replace 0027 @LStrFromUStr 0032 TPerlRegEx.SetSubject 004c TPerlRegEx.ReplaceAll 005a @UStrFromLStr 006f @LStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 83 C0 0C 8B D7 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B 45 08 8B 53 14 8B 52 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_66615_0 {
	meta:
		name = "TRegEx.Replace"
		size = 203
		refs = "001a TRegEx.Replace 0046 @LStrFromUStr 0051 TPerlRegEx.SetSubject 006e TPerlRegEx.Match 007d TPerlRegEx.Replace 008a TPerlRegEx.MatchAgain 009c @UStrFromLStr 00b6 @LStrArrayClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FF FF 75 12 8B 45 08 50 8B C3 8B 4D FC 8B D6 E8 ?? ?? ?? ?? EB 65 8D 45 F8 8B D6 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 83 C0 0C 8B 55 FC B9 E9 FD 00 00 E8 ?? ?? ?? ?? 33 F6 8B 43 14 E8 ?? ?? ?? ?? 84 C0 74 1C 8D 55 F4 8B 43 14 E8 ?? ?? ?? ?? 46 3B FE 74 0C 8B 43 14 E8 ?? ?? ?? ?? 84 C0 75 E4 8B 45 08 8B 53 14 8B 52 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_66616_0 {
	meta:
		name = "TRegEx.Replace"
		size = 215
		refs = "0018 TRegEx.Replace 002d @LStrFromUStr 003b TPerlRegEx.SetSubject 005d TRegEx.InternalOnReplace 0070 TPerlRegEx.ReplaceAll 0080 @UStrFromLStr 00ac @HandleFinally 00c3 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 08 89 50 08 8B 55 0C 89 50 0C 8B 55 FC 8B 45 FC 8B 40 14 89 50 2C C7 40 28 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B C6 8B 55 FC 8B 52 14 8B 52 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 14 33 D2 89 50 28 89 50 2C 8B 45 FC 33 D2 89 50 08 89 50 0C C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66617_0 {
	meta:
		name = "TRegEx.Replace"
		size = 297
		refs = "001a TRegEx.Replace 004b @LStrFromUStr 0059 TPerlRegEx.SetSubject 006c TRegEx.InternalOnReplace 0096 TPerlRegEx.Match 00a8 TPerlRegEx.Replace 00b8 TPerlRegEx.MatchAgain 00cc @UStrFromLStr 00f8 @HandleFinally 0114 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 89 45 FC 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FE FF 75 17 FF 75 10 FF 75 0C 8B CF 8B 45 FC 8B D3 E8 ?? ?? ?? ?? E9 BE 00 00 00 8D 45 F8 8B D3 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 FC 8B 52 14 89 42 2C C7 42 28 ?? ?? ?? ?? 8B 45 FC 8B 55 0C 89 50 08 8B 55 10 89 50 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 84 C0 74 22 8D 55 F4 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 43 3B F3 74 0F 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 84 C0 75 DE 8B C7 8B 55 FC 8B 52 14 8B 52 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 14 33 D2 89 50 28 89 50 2C 8B 45 FC 33 D2 89 50 08 89 50 0C C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_66618_0 {
	meta:
		name = "TRegEx.Replace"
		size = 117
		refs = "0014 TRegEx 0019 @InitializeRecord 0021 TRegEx.Replace 0035 TRegEx.Create 0060 @FinalizeRecord 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 4D 0C 8B D6 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 08 50 8D 45 E8 8B CF 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_66619_0 {
	meta:
		name = "TRegEx.Split"
		size = 27
		refs = "0013 TRegEx.Split"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A 01 57 8B C3 33 C9 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66620_0 {
	meta:
		name = "TRegEx.Split"
		size = 36
		refs = "0019 TRegEx.Split"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 6A 01 8B 45 08 50 8B C3 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_66621_0 {
	meta:
		name = "TRegEx.Split"
		size = 191
		refs = "0018 TRegEx.Split 0025 _Dn_TStringList 002a TStringList.Create 004a @LStrFromUStr 0055 TPerlRegEx.SetSubject 005f UnicodeIndexToUTF8 006d TPerlRegEx.SplitCapture 0078 TStrings.ToStringArray 008d TObject.Free 0093 @HandleFinally 00aa @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D6 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 14 E8 ?? ?? ?? ?? 8B 55 0C 8B C6 E8 ?? ?? ?? ?? 50 8B 43 14 8B CF 8B 55 FC E8 ?? ?? ?? ?? 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66622_0 {
	meta:
		name = "TRegEx.Split"
		size = 204
		refs = "001f TRegEx 0024 @InitializeRecord 002c TRegEx.Split 003c TRegEx.Create 0046 @UStrLAsg 0065 TArray<System.string> 006a @DynArrayAsg 0095 @DynArrayClear 00a3 @FinalizeRecord 00b9 @UStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D FC 89 5D F8 8B F9 8B F2 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 6A 01 8D 45 DC 50 8D 45 E0 33 C9 8B 55 FC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66623_0 {
	meta:
		name = "TRegEx.Split"
		size = 210
		refs = "001f TRegEx 0024 @InitializeRecord 002c TRegEx.Split 0040 TRegEx.Create 004a @UStrLAsg 0069 TArray<System.string> 006e @DynArrayAsg 009a @DynArrayClear 00a8 @FinalizeRecord 00be @UStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 DB 89 5D D8 89 5D FC 89 5D F8 88 4D DF 8B F2 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 0F B6 4D DF 8B D6 E8 ?? ?? ?? ?? 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 6A 01 8D 45 D8 50 8D 45 E0 33 C9 8B 55 FC E8 ?? ?? ?? ?? 8B 55 D8 8D 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_66626_0 {
	meta:
		name = "__pcre_malloc"
		size = 32
		refs = "0008 pcre_malloc_user 001a AllocMem"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 3D ?? ?? ?? ?? 00 74 0A 50 FF 15 ?? ?? ?? ?? 59 5D C3 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_66628_0 {
	meta:
		name = "__pcre_free"
		size = 32
		refs = "0008 pcre_free_user 001a @FreeMem"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 3D ?? ?? ?? ?? 00 74 0A 50 FF 15 ?? ?? ?? ?? 59 5D C3 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_66629_0 {
	meta:
		name = "__pcre_stack_free"
		size = 32
		refs = "0008 pcre_stack_free_user 001a @FreeMem"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 3D ?? ?? ?? ?? 00 74 0A 50 FF 15 ?? ?? ?? ?? 59 5D C3 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_66627_0 {
	meta:
		name = "__pcre_stack_malloc"
		size = 32
		refs = "0008 pcre_stack_malloc_user 001a AllocMem"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 3D ?? ?? ?? ?? 00 74 0A 50 FF 15 ?? ?? ?? ?? 59 5D C3 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_66630_0 {
	meta:
		name = "__pcre_callout"
		size = 29
		refs = "0005 pcre_callout_user"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 74 0D 8B 45 08 50 FF 15 ?? ?? ?? ?? 59 5D C3 33 C0 5D C3 }
	condition:
		$1
}

rule function_66633_0 {
	meta:
		name = "CallPCREMalloc"
		size = 8
		refs = "0002 __pcre_malloc"
	strings:
		$1 = { 50 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule function_66645_0 {
	meta:
		name = "CallPCRECallout"
		size = 8
		refs = "0002 __pcre_callout"
	strings:
		$1 = { 50 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule function_66636_0 {
	meta:
		name = "CallPCREFree"
		size = 8
		refs = "0002 __pcre_free"
	strings:
		$1 = { 50 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule function_66642_0 {
	meta:
		name = "CallPCREStackFree"
		size = 8
		refs = "0002 __pcre_stack_free"
	strings:
		$1 = { 50 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule function_66639_0 {
	meta:
		name = "CallPCREStackMalloc"
		size = 8
		refs = "0002 __pcre_stack_malloc"
	strings:
		$1 = { 50 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule function_66646_0 {
	meta:
		name = "pcre_dispose"
		size = 42
		refs = "000c __pcre_free"
	strings:
		$1 = { 53 56 8B F1 8B DA 85 C0 74 07 50 E8 ?? ?? ?? ?? 59 85 DB 74 07 53 E8 ?? ?? ?? ?? 59 85 F6 74 07 56 E8 ?? ?? ?? ?? 59 5E 5B C3 }
	condition:
		$1
}

rule function_66647_0 {
	meta:
		name = "_DF_."
		size = 25420
		refs = "0007 _DV_. 0056 __pcre_utf8_table4 0066 __pcre_utf8_table3 0472 __pcre_utt_size 048c __pcre_utt 0492 __pcre_utt_names 07b4 _strncmp 0aa1 __pcre_OP_lengths 0b65 _DF_. 13f7 __pcre_ucd_stage1 1404 __pcre_ucd_stage2 140b __pcre_ucd_records 14ca __pcre_is_newline 1fa8 _memmove 23fd _memset 263b _memcpy 2b1d __pcre_ord2utf8 4e9f _memcmp"
	strings:
		$1 = { 55 8B EC 8B 55 08 B8 ?? ?? ?? ?? 85 D2 7E 0C 8A 08 40 84 C9 75 F9 4A 85 D2 7F F4 5D C3 90 90 90 55 8B EC 83 C4 F4 53 56 57 F6 45 15 08 0F 95 C0 83 E0 01 89 45 FC 8B 55 08 8B 12 42 33 C0 8A 02 42 83 7D FC 00 74 40 3D C0 00 00 00 7C 39 8B C8 83 E1 3F 0F B6 B1 ?? ?? ?? ?? 8B DE 03 DB 8D 1C 5B 8B CB 23 04 B5 ?? ?? ?? ?? D3 E0 EB 10 0F B6 3A 83 EB 06 83 E7 3F 8B CB D3 E7 0B C7 42 8B CE 83 C6 FF 85 C9 7F E7 4A 85 C0 75 0E 8B 4D 0C C7 01 01 00 00 00 E9 50 03 00 00 83 F8 30 0F 8C 47 03 00 00 83 F8 7A 7E 05 E9 3D 03 00 00 0F BF 34 45 ?? ?? ?? ?? 85 F6 74 07 8B C6 E9 2A 03 00 00 8B C8 83 F9 63 7F 34 0F 84 E4 02 00 00 83 F9 4C 7F 1A 74 44 83 E9 30 0F 84 B3 01 00 00 49 83 E9 09 0F 82 46 01 00 00 E9 EB 02 00 00 83 E9 4E 74 27 83 E9 07 74 22 E9 DC 02 00 00 83 E9 67 74 26 83 E9 05 74 13 83 E9 09 74 0E 83 E9 03 0F 84 CD 01 00 00 E9 BF 02 00 00 8B 4D 0C C7 01 25 00 00 00 E9 C4 02 00 00 33 C0 8A 42 01 83 F8 3C 74 05 83 F8 27 75 0A B8 E5 FF FF FF E9 AB 02 00 00 83 F8 7B 75 4A 8D 42 02 EB 13 33 C9 8A 08 83 F9 2D 74 09 F6 81 ?? ?? ?? ?? 04 74 12 40 8A 08 84 C9 74 0B 81 E1 FF 00 00 00 83 F9 7D 75 DC 8A 08 84 C9 74 13 33 C0 8A C1 83 F8 7D 74 0A B8 E4 FF FF FF E9 64 02 00 00 B9 01 00 00 00 42 EB 02 33 C9 33 C0 8A 42 01 83 F8 2D 75 08 BE 01 00 00 00 42 EB 02 33 F6 33 C0 EB 0F 42 03 C0 33 DB 8A 1A 8D 04 80 03 C3 83 C0 D0 33 DB 8A 5A 01 F6 83 ?? ?? ?? ?? 04 75 E3 85 C0 7D 0E 8B 4D 0C C7 01 3D 00 00 00 E9 13 02 00 00 85 C9 74 17 42 0F B6 3A 83 FF 7D 74 0E 8B 4D 0C C7 01 39 00 00 00 E9 F8 01 00 00 85 C0 75 0E 8B 4D 0C C7 01 3A 00 00 00 E9 E6 01 00 00 85 F6 74 1B 3B 45 10 7E 0E 8B 4D 0C C7 01 0F 00 00 00 E9 CF 01 00 00 48 8B 4D 10 2B C8 8B C1 83 C0 1D F7 D8 E9 BD 01 00 00 83 7D 18 00 75 4C 8B CA 83 E8 30 EB 0F 42 03 C0 33 DB 8A 1A 8D 04 80 03 C3 83 C0 D0 33 DB 8A 5A 01 F6 83 ?? ?? ?? ?? 04 75 E3 85 C0 7D 0E 8B 4D 0C C7 01 3D 00 00 00 E9 81 01 00 00 83 F8 0A 7C 05 3B 45 10 7F 0A 83 C0 1D F7 D8 E9 6D 01 00 00 8B D1 33 C0 8A 02 83 F8 38 7C 08 4A 33 C0 E9 5A 01 00 00 83 E8 30 EB 0D 42 C1 E0 03 33 C9 8A 0A 03 C1 83 C0 D0 8B FE 46 83 FF 02 7D 13 33 C9 8A 4A 01 83 F9 30 7C 09 0F B6 7A 01 83 FF 37 7E D8 83 7D FC 00 0F 85 23 01 00 00 3D FF 00 00 00 0F 8E 18 01 00 00 8B 4D 0C C7 01 33 00 00 00 E9 0A 01 00 00 33 C0 8A 42 01 83 F8 7B 0F 85 83 00 00 00 8D 42 02 33 C9 89 45 F8 33 C0 89 4D F4 EB 2F FF 45 F8 85 C0 75 05 83 F9 30 74 23 FF 45 F4 83 F9 61 7C 03 83 E9 20 C1 E0 04 03 C1 83 F9 41 7D 07 B9 30 00 00 00 EB 05 B9 37 00 00 00 2B C1 8B 7D F8 33 C9 8A 0F F6 81 ?? ?? ?? ?? 08 75 C1 8B 7D F8 33 C9 8A 0F 83 F9 7D 75 29 85 C0 7C 17 83 7D FC 00 74 07 BA 08 00 00 00 EB 05 BA 02 00 00 00 3B 55 F4 7D 09 8B 4D 0C C7 01 22 00 00 00 8B 55 F8 EB 79 33 C0 EB 25 42 33 C9 8A 0A 83 F9 61 7C 03 83 E9 20 C1 E0 04 03 C1 83 F9 41 7D 07 BF 30 00 00 00 EB 05 BF 37 00 00 00 2B C7 8B CE 46 83 F9 02 7D 48 0F B6 7A 01 F6 87 ?? ?? ?? ?? 08 75 C6 EB 39 42 33 C0 8A 02 85 C0 75 0B 8B 4D 0C C7 01 02 00 00 00 EB 25 83 F8 61 7C 08 83 F8 7A 7F 03 83 E8 20 83 F0 40 EB 13 F6 45 14 40 74 0D 8B C8 8B 4D 0C C7 01 03 00 00 00 EB 00 8B 4D 08 89 11 5F 5E 5B 8B E5 5D C3 90 90 55 8B EC 83 C4 DC 53 56 57 8B 55 0C 8B 45 08 8B 30 46 33 C0 8A 06 85 C0 0F 84 E8 00 00 00 33 C9 83 F8 7B 89 0A 75 40 0F B6 7E 01 83 FF 5E 75 07 C7 02 01 00 00 00 46 33 DB 8D 55 DC 46 33 C0 8A 06 85 C0 0F 84 BD 00 00 00 83 F8 7D 74 09 88 02 43 42 83 FB 1F 7C E5 83 F8 7D 0F 85 A6 00 00 00 C6 44 1D DC 00 EB 07 88 45 DC C6 45 DD 00 8B 4D 08 89 31 33 FF 89 7D FC 8B 3D ?? ?? ?? ?? 3B 7D FC 7E 70 8B 5D FC 03 DF D1 FB 8D 45 DC 8D 14 5B 0F B7 14 55 ?? ?? ?? ?? 81 C2 ?? ?? ?? ?? 8A 08 3A 0A 75 16 84 C9 74 12 8A 48 01 3A 4A 01 75 0A 83 C0 02 83 C2 02 84 C9 75 E4 0F 95 C2 1B C0 0A C2 85 C0 75 1D 8D 04 5B 8D 14 5B 0F B7 0C 45 ?? ?? ?? ?? 8B 45 10 89 08 0F B7 04 55 ?? ?? ?? ?? EB 35 85 C0 7E 06 43 89 5D FC EB 02 8B FB 3B 7D FC 7F 90 8B 45 14 C7 00 2F 00 00 00 83 C8 FF 8B 55 08 89 32 EB 11 8B 55 14 83 C8 FF C7 02 2E 00 00 00 8B 4D 08 89 31 5F 5E 5B 8B E5 5D C3 90 90 55 8B EC 8B 45 08 BA ?? ?? ?? ?? 8A 08 40 81 E1 FF 00 00 00 F6 04 0A 04 75 05 33 C0 5D C3 40 33 C9 8A 08 F6 04 0A 04 75 F5 33 C9 8A 08 83 F9 7D 75 07 B8 01 00 00 00 5D C3 8A 08 40 81 E1 FF 00 00 00 83 F9 2C 74 04 33 C0 5D C3 33 C9 8A 08 83 F9 7D 75 07 B8 01 00 00 00 5D C3 8A 08 40 81 E1 FF 00 00 00 F6 04 0A 04 75 05 33 C0 5D C3 40 33 C9 8A 08 F6 04 0A 04 75 F5 0F B6 00 83 F8 7D 0F 94 C2 83 E2 01 8B C2 5D C3 90 90 90 55 8B EC 53 56 57 8B 45 08 33 D2 83 C9 FF EB 0B 03 D2 8D 14 92 03 D6 83 C2 D0 40 0F B6 30 F6 86 ?? ?? ?? ?? 04 75 E9 85 D2 7C 08 81 FA FF FF 00 00 7E 0B 8B 55 14 C7 02 05 00 00 00 EB 66 33 DB 8A 18 83 FB 7D 75 04 8B CA EB 4F 40 33 DB 8A 18 83 FB 7D 74 45 33 C9 EB 0F 8B F9 03 FF 8D 3C BF 03 FE 83 C7 D0 40 8B CF 0F B6 30 F6 86 ?? ?? ?? ?? 04 75 E5 85 C9 7C 08 81 F9 FF FF 00 00 7E 0B 8B 55 14 C7 02 05 00 00 00 EB 19 3B D1 7E 0B 8B 4D 14 C7 01 04 00 00 00 EB 0A 8B 5D 0C 89 13 8B 55 10 89 0A 5F 5E 5B 5D C3 90 90 90 55 8B EC 83 C4 F0 53 56 57 8D 5D FC 8B 45 08 8B 75 1C 8B 10 33 C0 89 13 8B 0E 89 4D F8 8B 4D F8 89 4D F4 89 45 F0 8B 13 33 C9 8A 0A 83 F9 28 0F 85 35 03 00 00 8B 03 33 D2 8A 50 01 83 FA 3F 75 1B 8B 0B 33 C0 8A 41 02 83 F8 7C 75 0F 83 03 03 C7 45 F0 01 00 00 00 E9 0E 03 00 00 8B 13 33 C0 8A 42 01 83 F8 3F 74 22 83 F8 2A 74 1D FF 06 83 7D 10 00 75 0E 8B 16 3B 55 14 75 07 8B 06 E9 FD 02 00 00 FF 03 E9 E0 02 00 00 8B 13 33 C9 8A 4A 02 83 F9 28 75 3A 83 03 02 8B 0B 33 C0 8A 41 01 83 F8 3F 0F 84 C1 02 00 00 EB 02 FF 03 8B 13 8A 02 84 C0 74 09 33 D2 8A D0 83 FA 29 75 ED 8B 0B 80 39 00 0F 84 A1 02 00 00 FF 03 E9 9A 02 00 00 83 03 02 8B 0B 33 C0 8A 01 83 F8 50 75 02 FF 03 8B 13 33 C0 8A 02 83 F8 3C 75 18 8B 13 33 C9 8A 4A 01 83 F9 21 74 0C 8B 13 33 C9 8A 4A 01 83 F9 3D 75 09 83 F8 27 0F 85 5E 02 00 00 FF 06 83 7D 10 00 75 0E 8B 06 3B 45 14 75 07 8B 06 E9 5E 02 00 00 8B 13 33 C0 8A 02 FF 03 83 F8 3C 75 05 B8 3E 00 00 00 8B 13 EB 02 FF 03 8B 0B 0F B6 09 3B C1 75 F5 83 7D 10 00 0F 84 1D 02 00 00 8B 03 2B C2 3B 45 14 0F 85 10 02 00 00 8B 45 14 50 52 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 F7 01 00 00 8B 06 E9 06 02 00 00 E9 EB 01 00 00 33 D2 8A D0 83 FA 5C 75 4E FF 03 8B 0B 80 39 00 0F 84 E1 01 00 00 8B 0B 33 C0 8A 01 83 F8 51 0F 85 C4 01 00 00 FF 03 8B 13 80 3A 00 74 0B 8B 0B 33 C0 8A 01 83 F8 5C 75 EC 8B 13 80 3A 00 0F 84 B3 01 00 00 FF 03 8B 0B 33 C0 8A 01 83 F8 45 0F 84 94 01 00 00 EB CE 8B 13 33 C9 8A 0A 83 F9 5B 0F 85 D4 00 00 00 33 FF FF 03 8B 03 0F B6 00 83 F8 5C 75 2C 8B 13 33 C9 8A 4A 01 83 F9 45 75 04 FF 03 EB E4 6A 03 68 ?? ?? ?? ?? 8B 0B 41 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 15 83 03 03 EB C8 85 FF 75 0C 83 F8 5E 75 07 BF 01 00 00 00 EB B8 8B 03 33 D2 8A 50 01 83 FA 5D 75 6C 8B 4D 0C F6 41 43 02 75 63 FF 03 EB 5F 8B 0B 8A 01 84 C0 75 08 83 C8 FF E9 28 01 00 00 33 D2 8A D0 83 FA 5C 75 46 FF 03 8B 0B 80 39 00 0F 84 08 01 00 00 8B 0B 33 C0 8A 01 83 F8 51 75 2E FF 03 8B 13 80 3A 00 74 0B 8B 0B 33 C0 8A 01 83 F8 5C 75 EC 8B 13 80 3A 00 0F 84 DE 00 00 00 FF 03 8B 0B 33 C0 8A 01 83 F8 45 74 02 EB D2 FF 03 8B 13 33 C9 8A 0A 83 F9 5D 75 94 E9 AF 00 00 00 83 7D 18 00 74 2C 8B 03 33 D2 8A 10 83 FA 23 75 21 FF 03 8B 0B 80 39 00 74 0B 8B 03 33 D2 8A 10 83 FA 0A 75 EC 8B 0B 80 39 00 0F 84 8D 00 00 00 EB 7D 8B 03 33 D2 8A 10 83 FA 28 75 27 56 8B 4D 18 51 8B 45 14 50 8B 55 10 52 8B 4D 0C 51 53 E8 F3 FC FF FF 83 C4 18 85 C0 7F 6C 8B 03 80 38 00 74 5B EB 4B 8B 13 33 C9 8A 0A 83 F9 29 75 20 83 7D F0 00 74 0C 8B 06 3B 45 F4 7D 05 8B 55 F4 89 16 8B 4D 08 8B 03 89 01 83 C8 FF EB 3A EB 20 8B 13 33 C9 8A 0A 83 F9 7C 75 15 83 7D F0 00 74 0F 8B 06 3B 45 F4 7E 03 89 45 F4 8B 55 F8 89 16 FF 03 8B 0B 8A 01 84 C0 0F 85 09 FE FF FF 8B 55 08 8B 0B 89 0A 83 C8 FF 5F 5E 5B 8B E5 5D C3 90 55 8B EC 83 C4 F8 33 D2 53 56 57 8B 5D 08 8B 7D 10 8B 75 0C 8B 43 18 89 45 FC 89 55 F8 8D 4D F8 8D 45 FC 51 8B 4D 14 51 57 56 53 50 E8 47 FC FF FF 83 C4 18 85 C0 7F 0D 8B 55 FC FF 45 FC 80 3A 00 74 02 EB D8 5F 5E 5B 59 59 5D C3 55 8B EC 53 56 57 8B 4D 14 8B 55 10 8B 75 0C 8B 45 08 33 DB 8A 18 83 FB 53 7F 11 74 6C 83 C3 FC 83 EB 02 72 60 83 EB 13 74 14 EB 74 83 C3 A7 83 EB 03 72 29 83 C3 F8 83 EB 03 72 4D EB 62 85 D2 7E 16 33 DB 8B 3E 8A 58 01 23 FA 23 DA 3B DF 74 07 33 DB 8A 58 01 89 1E 83 C0 02 EB B5 85 C9 74 3F 33 DB 8A 58 01 C1 E3 08 0F B6 78 02 0B DF 03 C3 33 DB 8A 18 83 FB 54 74 E7 0F B6 9B ?? ?? ?? ?? 03 C3 EB 8D 85 C9 74 17 33 DB 8A 18 0F B6 9B ?? ?? ?? ?? 03 C3 E9 77 FF FF FF E9 72 FF FF FF 5F 5E 5B 5D C3 90 90 90 55 8B EC 51 53 56 C7 45 FC FF FF FF FF 33 F6 8B 5D 08 83 C3 03 33 C0 8A 03 8B D0 83 FA 41 7F 6A 0F 84 E4 01 00 00 83 FA 0E 7F 30 0F 84 0E 02 00 00 83 EA 01 0F 82 10 01 00 00 83 EA 02 0F 82 54 01 00 00 4A 83 EA 02 0F 82 4A 01 00 00 83 EA 08 0F 82 E2 01 00 00 E9 57 02 00 00 83 C2 F1 83 EA 02 0F 82 CE 01 00 00 83 C2 FA 83 EA 05 0F 82 24 01 00 00 83 EA 03 0F 82 2E 01 00 00 83 EA 08 0F 84 4D 01 00 00 E9 28 02 00 00 83 C2 B2 83 FA 18 0F 87 1C 02 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 4D 0C 83 F8 5F 51 75 07 B9 02 00 00 00 EB 02 33 C9 03 CB 51 E8 E5 FE FF FF 83 C4 08 85 C0 0F 8C 96 01 00 00 03 F0 33 C0 33 D2 8A 43 01 8A 53 02 C1 E0 08 33 C9 0B C2 03 D8 8A 0B 83 F9 54 74 E6 83 C3 03 E9 CB FE FF FF 83 7D FC 00 7D 05 89 75 FC EB 0D 3B 75 FC 74 08 83 C8 FF E9 5A 01 00 00 33 D2 8A 13 83 FA 54 74 08 8B 45 FC E9 49 01 00 00 83 C3 03 33 F6 E9 98 FE FF FF 33 C0 33 D2 8A 43 01 8A 53 02 C1 E0 08 33 C9 0B C2 03 D8 8A 0B 83 F9 54 74 E6 33 C9 8A 0B 33 C0 8A 81 ?? ?? ?? ?? 03 D8 E9 6B FE FF FF 46 83 C3 02 F6 45 0D 08 0F 84 5D FE FF FF EB 01 43 33 D2 8A 13 81 E2 C0 00 00 00 81 FA 80 00 00 00 74 ED E9 43 FE FF FF 33 C9 33 C0 8A 4B 01 8A 43 02 C1 E1 08 83 C3 04 0B C8 03 F1 F6 45 0D 08 0F 84 25 FE FF FF EB 01 43 33 D2 8A 13 81 E2 80 00 00 00 81 FA 80 00 00 00 74 ED E9 0B FE FF FF 33 C9 33 C0 8A 4B 01 8A 43 02 C1 E1 08 0B C8 33 C0 8A 43 03 03 F1 83 F8 10 74 05 83 F8 0F 75 03 83 C3 02 83 C3 04 E9 E0 FD FF FF 83 C3 02 46 43 E9 D6 FD FF FF B8 FE FF FF FF EB 76 33 D2 33 C9 8A 53 01 8A 4B 02 C1 E2 08 0B D1 83 C2 DF 03 DA 83 C3 21 8A 0B 80 C1 BA 80 E9 02 72 0F 80 C1 FE 80 E9 02 72 07 80 E9 02 72 07 EB 36 83 C8 FF EB 41 33 C0 33 D2 8A 43 01 8A 53 02 C1 E0 08 33 C9 0B C2 8A 4B 03 C1 E1 08 33 D2 8A 53 04 0B CA 3B C1 74 05 83 C8 FF EB 1A 03 F0 83 C3 05 E9 69 FD FF FF 46 E9 63 FD FF FF 83 C8 FF EB 05 E9 59 FD FF FF 5E 5B 59 5D C3 90 90 90 55 8B EC 53 56 8B 5D 0C 8B 45 08 33 D2 8A 10 85 D2 75 07 33 C0 E9 C9 00 00 00 83 FA 50 75 13 33 C9 33 D2 8A 48 01 8A 50 02 C1 E1 08 0B CA 03 C1 EB D9 83 FA 5F 75 22 33 C9 8A 48 03 C1 E1 08 0F B6 70 04 0B CE 3B 4D 10 0F 84 95 00 00 00 0F B6 92 ?? ?? ?? ?? 03 C2 EB B2 8B CA 83 C1 C7 83 E9 06 72 0E 83 E9 03 72 1D 83 E9 03 72 04 74 16 EB 26 33 C9 8A 48 01 83 F9 10 74 05 83 F9 0F 75 17 83 C0 02 EB 12 33 C9 8A 48 03 83 F9 10 74 05 83 F9 0F 75 03 83 C0 02 33 C9 8A 8A ?? ?? ?? ?? 03 C1 85 DB 0F 84 62 FF FF FF 83 C2 E4 83 EA 02 72 0B 4A 83 EA 0D 72 05 E9 4F FF FF FF 33 D2 8A 50 FF 81 FA C0 00 00 00 0F 8C 3E FF FF FF 83 E2 3F 0F B6 92 ?? ?? ?? ?? 03 C2 E9 2D FF FF FF E9 28 FF FF FF 5E 5B 5D C3 90 55 8B EC 53 8B 4D 0C 8B 55 08 33 C0 8A 02 85 C0 75 05 33 C0 5B 5D C3 83 F8 52 75 05 8B C2 5B 5D C3 83 F8 50 75 13 33 C0 33 DB 8A 42 01 8A 5A 02 C1 E0 08 0B C3 03 D0 EB D1 8B D8 83 C3 C7 83 EB 06 72 0E 83 EB 03 72 1D 83 EB 03 72 04 74 16 EB 26 33 DB 8A 5A 01 83 FB 10 74 05 83 FB 0F 75 17 83 C2 02 EB 12 33 DB 8A 5A 03 83 FB 10 74 05 83 FB 0F 75 03 83 C2 02 33 DB 8A 98 ?? ?? ?? ?? 03 D3 85 C9 74 85 83 C0 E4 83 E8 02 72 0B 48 83 E8 0D 72 05 E9 72 FF FF FF 33 C0 8A 42 FF 3D C0 00 00 00 0F 8C 62 FF FF FF 83 E0 3F 0F B6 80 ?? ?? ?? ?? 03 D0 E9 51 FF FF FF E9 4C FF FF FF 5B 5D C3 90 90 90 55 8B EC 53 56 57 8B 7D 0C 8B 5D 08 6A 01 6A 00 6A 00 33 C0 8A 03 33 D2 8A 90 ?? ?? ?? ?? 03 DA 53 E8 C2 FA FF FF 83 C4 10 8B D8 3B FB 0F 86 5F 02 00 00 33 C0 8A 03 83 F8 58 75 1F 33 D2 33 C9 8A 53 01 8A 4B 02 C1 E2 08 33 C0 0B D1 03 DA 8A 03 83 F8 54 74 E6 E9 14 02 00 00 83 F8 67 74 0A 83 F8 68 74 05 83 F8 6F 75 28 33 D2 8A 90 ?? ?? ?? ?? 03 DA 33 C9 8A 4B 01 C1 E1 08 0F B6 73 02 0B CE 03 D9 33 C0 8A 03 83 F8 54 74 E7 E9 DD 01 00 00 83 F8 5E 74 13 83 F8 5F 74 0E 83 F8 5D 74 09 83 F8 60 0F 85 97 00 00 00 33 D2 33 C9 8A 53 01 8A 4B 02 C1 E2 08 0B D1 75 0A B8 01 00 00 00 E9 D2 01 00 }
	condition:
		$1
}

rule function_66648_0 {
	meta:
		name = "pcre_compile"
		size = 36
	strings:
		$1 = { 55 8B EC 8B 45 18 50 8B 55 14 52 8B 4D 10 51 6A 00 8B 45 0C 50 8B 55 08 52 E8 06 00 00 00 83 C4 18 5D C3 90 }
	condition:
		$1
}

rule function_66649_0 {
	meta:
		name = "pcre_compile2"
		size = 1886
		refs = "0082 __pcre_default_tables 00d6 _DV_. 00e4 _strncmp 0276 __pcre_valid_utf8 03c1 _strlen 0459 _pcre_malloc 0648 _pcre_free"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 81 C4 7C FF FF FF 85 1C 24 53 56 57 C7 45 FC 01 00 00 00 33 C0 89 45 F0 33 DB 8D B5 7C FF FF FF 8B 45 08 89 45 E0 83 7D 14 00 75 16 83 7D 10 00 74 09 8B 55 10 C7 02 63 00 00 00 33 C0 E9 0B 07 00 00 8B 55 14 33 C9 89 0A 83 7D 10 00 74 07 8B 4D 10 33 C0 89 01 83 7D 18 00 75 0C C7 45 F0 10 00 00 00 E9 E6 05 00 00 8B 55 18 33 C0 89 02 83 7D 1C 00 75 07 C7 45 1C ?? ?? ?? ?? 8B 55 1C 89 16 8B 4D 1C 81 C1 00 01 00 00 89 4E 04 8B 4D 1C 81 C1 00 02 00 00 89 4E 08 8B 45 1C 05 40 03 00 00 89 46 0C F7 45 0C 80 85 03 FC 0F 84 81 01 00 00 C7 45 F0 11 00 00 00 E9 86 05 00 00 E9 70 01 00 00 33 FF 33 C0 89 45 DC 6A 05 68 ?? ?? ?? ?? 8B 55 E0 03 D3 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 0F 83 C3 07 81 4D 0C 00 08 00 00 E9 3E 01 00 00 6A 03 68 ?? ?? ?? ?? 8B 4D E0 03 CB 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 0D 83 C3 05 BF 00 00 10 00 E9 EC 00 00 00 6A 03 68 ?? ?? ?? ?? 8B 45 E0 03 C3 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 0D 83 C3 05 BF 00 00 20 00 E9 C3 00 00 00 6A 05 68 ?? ?? ?? ?? 8B 45 E0 03 C3 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 0D 83 C3 07 BF 00 00 30 00 E9 9A 00 00 00 6A 04 68 ?? ?? ?? ?? 8B 45 E0 03 C3 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 0A 83 C3 06 BF 00 00 40 00 EB 74 6A 08 68 ?? ?? ?? ?? 8B 45 E0 03 C3 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 0A 83 C3 0A BF 00 00 50 00 EB 4E 6A 0C 68 ?? ?? ?? ?? 8B 45 E0 03 C3 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 0C C7 45 DC 00 00 80 00 83 C3 0E EB 26 6A 0C 68 ?? ?? ?? ?? 8B 55 E0 03 D3 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 0A C7 45 DC 00 00 00 01 83 C3 0E 85 FF 74 10 8B 4D 0C 81 E1 FF FF 8F FF 0B F9 89 7D 0C EB 15 83 7D DC 00 74 2E 8B 4D 0C 81 E1 FF FF 7F FE 0B 4D DC 89 4D 0C 8B 45 E0 33 D2 8A 14 18 83 FA 28 75 12 8B 4D E0 33 C0 8A 44 19 01 83 F8 2A 0F 84 71 FE FF FF F6 45 0D 08 0F 95 C0 83 E0 01 85 C0 74 29 F6 45 0D 20 75 23 6A FF 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 18 89 01 85 C0 7C 0C C7 45 F0 2C 00 00 00 E9 C6 03 00 00 8B 55 0C 81 E2 00 00 80 01 83 EA 01 72 20 81 EA FF FF 7F 00 74 18 81 EA 00 00 80 00 74 10 EB 02 EB 0C C7 45 F0 38 00 00 00 E9 8D 03 00 00 8B 4D 0C 81 E1 00 00 70 00 81 F9 00 00 30 00 7F 19 74 3E 83 E9 01 72 24 81 E9 FF FF 0F 00 74 23 81 E9 00 00 10 00 74 22 EB 3A 81 E9 00 00 40 00 74 26 81 E9 00 00 10 00 74 23 EB 28 B8 0A 00 00 00 EB 2D B8 0D 00 00 00 EB 26 B8 0A 00 00 00 EB 1F B8 0A 0D 00 00 EB 18 83 C8 FF EB 13 B8 FE FF FF FF EB 0C C7 45 F0 38 00 00 00 E9 1D 03 00 00 83 F8 FE 75 09 C7 46 50 02 00 00 00 EB 3C 85 C0 7D 09 C7 46 50 01 00 00 00 EB 2F 33 D2 3D FF 00 00 00 89 56 50 7E 19 8B C8 C1 F9 08 C7 46 54 02 00 00 00 80 E1 FF 24 FF 88 4E 58 88 46 59 EB 0A C7 46 54 01 00 00 00 88 46 58 33 C9 33 C0 89 4E 38 89 46 3C 33 D2 33 C0 89 56 34 89 56 30 89 46 28 33 C9 89 4E 2C 33 C9 89 4E 24 8D 85 7C EF FF FF 89 46 10 8D 95 7C EF FF FF 89 56 14 8D 8D 7C EF FF FF 89 4E 20 8B 45 08 89 46 18 8B 55 08 52 E8 ?? ?? ?? ?? 03 45 08 59 89 46 1C 33 C9 89 4E 48 33 D2 8B 45 0C 8D 8D 7C EF FF FF 89 46 40 89 56 44 01 5D E0 89 4D E8 8B 45 E8 8D 55 FC 8D 4D F8 C6 00 5E 52 56 8D 55 F4 6A 00 52 51 6A 00 6A 00 8D 55 F0 6A 00 52 8D 4D E0 51 8D 55 E8 52 8B 46 40 8B C8 83 E1 07 51 50 E8 0A F5 FF FF 83 C4 34 83 7D F0 00 0F 85 22 02 00 00 81 7D FC 00 00 01 00 7E 0C C7 45 F0 14 00 00 00 E9 0D 02 00 00 8B 4E 2C 83 C1 03 0F AF 4E 28 03 4D FC 83 C1 28 89 4D EC 8B 45 EC 50 FF 15 ?? ?? ?? ?? 59 8B F8 85 FF 75 0C C7 45 F0 15 00 00 00 E9 DD 01 00 00 C7 07 45 52 43 50 8B 45 EC 89 47 04 8B 56 40 89 57 08 BA ?? ?? ?? ?? 66 8B 4E 44 66 89 4F 0C 66 C7 47 0E 00 00 66 C7 47 14 00 00 66 C7 47 16 00 00 66 C7 47 18 28 00 66 8B 4E 2C 66 89 4F 1A 66 8B 46 28 66 89 47 1C 66 C7 47 1E 00 00 3B 55 1C 75 04 33 C9 EB 03 8B 4D 1C 89 4F 20 33 C0 89 47 24 33 C9 8B 56 30 33 C0 89 56 34 89 4E 30 89 46 28 0F B7 47 18 03 C7 89 46 24 0F B7 57 1A 0F B7 4F 1C 0F AF D1 03 D0 8D 85 7C EF FF FF 89 55 E4 33 D2 8B 4D E4 89 4E 14 89 46 20 89 56 48 33 C9 89 4E 4C 8D 4D F0 03 5D 08 89 5D E0 8B 45 E4 89 45 E8 8D 45 F4 8B 55 E8 C6 02 5E 6A 00 56 6A 00 50 8D 55 F8 52 6A 00 6A 00 6A 00 51 8D 45 E0 50 8D 55 E8 52 8B 4F 08 83 E1 07 51 8B 47 08 50 E8 D4 F3 FF FF 66 8B 56 30 83 C4 34 66 89 57 10 66 8B 4E 38 66 89 4F 12 66 8B 46 44 66 89 47 0C 83 7E 4C 00 74 07 C7 45 F4 FF FF FF FF 83 7D F0 00 75 0F 8B 55 E0 80 3A 00 74 07 C7 45 F0 16 00 00 00 8B 4D E8 C6 01 00 FF 45 E8 8B 45 E8 2B 45 E4 3B 45 FC 7E 72 C7 45 F0 17 00 00 00 EB 69 83 6E 20 02 8B 46 20 33 DB 8B 55 E4 33 C9 8A 18 0F B6 40 01 C1 E3 08 0B D8 33 C0 8A 04 1A 8B 55 E4 C1 E0 08 8A 4C 1A 01 0B C1 50 F6 47 09 08 0F 95 C1 83 E1 01 51 8B 45 E4 50 E8 33 A4 FF FF 83 C4 0C 85 C0 75 09 C7 45 F0 35 00 00 00 EB 1A 8B 55 E4 8B C8 2B 4D E4 C1 F9 08 88 0C 1A 8B 55 E4 2B 45 E4 24 FF 88 44 1A 01 83 7D F0 00 75 0B 8D 85 7C EF FF FF 3B 46 20 72 86 83 7D F0 00 75 11 66 8B 47 12 66 3B 47 10 76 07 C7 45 F0 0F 00 00 00 83 7D F0 00 74 37 57 FF 15 ?? ?? ?? ?? 59 8B 55 E0 8B 4D 18 2B 55 08 89 11 8B 45 F0 50 E8 2F 96 FF FF 59 8B 55 14 89 02 83 7D 10 00 74 08 8B 4D 10 8B 5D F0 89 19 33 C0 E9 DB 00 00 00 F6 47 08 10 0F 85 8B 00 00 00 8B 57 08 8D 45 D8 89 55 D8 8B 4E 3C 51 6A 00 50 8B 55 E4 52 E8 8D F5 FF FF 83 C4 10 85 C0 74 06 83 4F 08 10 EB 65 83 7D F8 00 7D 15 6A 00 8D 4D D8 51 8B 45 E4 50 E8 27 F8 FF FF 83 C4 0C 89 45 F8 83 7D F8 00 7C 29 8B 45 F8 25 FF 00 00 00 F6 45 F9 01 74 0C 8B 56 04 33 C9 8A 0C 02 3B C1 74 04 66 8B 45 F8 66 89 47 14 66 83 4F 0C 02 EB 1B 8B 56 3C 52 6A 00 8B 4D E4 51 E8 57 F6 FF FF 83 C4 0C 85 C0 74 05 66 83 4F 0C 08 83 7D F4 00 7C 3E F6 47 08 10 74 06 F6 45 F5 02 74 32 8B 45 F4 25 FF 00 00 00 F6 45 F5 01 74 17 8B 56 04 33 C9 8A 0C 02 3B C1 75 0B 66 8B 75 F4 66 81 E6 FF FE EB 04 66 8B 75 F4 66 89 77 16 66 83 4F 0C 04 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66650_0 {
	meta:
		name = "pcre_config"
		size = 166
		refs = "0012 pcre_config"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 F8 08 0F 87 8C 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 0C C7 02 01 00 00 00 EB 5D 8B 4D 0C C7 01 01 00 00 00 EB 52 8B 45 0C C7 00 0A 00 00 00 EB 47 8B 55 0C 33 C9 89 0A EB 3E 8B 45 0C C7 00 02 00 00 00 EB 33 8B 55 0C C7 02 0A 00 00 00 EB 28 8B 4D 0C C7 01 80 96 98 00 EB 1D 8B 45 0C C7 00 80 96 98 00 EB 12 8B 55 0C C7 02 01 00 00 00 EB 07 B8 FD FF FF FF 5D C3 33 C0 5D C3 }
	condition:
		$1
}

rule function_66651_0 {
	meta:
		name = "_DF_."
		size = 20812
		refs = "0295 _memcpy 03ae __pcre_utf8_table4 03c0 __pcre_utf8_table3 04d6 _DV_. 05d8 _DF_. 0a31 _memmove 0d6e __pcre_was_newline 0f69 __pcre_is_newline 15a8 __pcre_ucd_stage1 15b5 __pcre_ucd_stage2 15c0 __pcre_ucd_records 1655 __pcre_ucp_gentype 42f4 __pcre_xclass 475b _pcre_callout 4837 __pcre_OP_lengths"
	strings:
		$1 = { 55 8B EC 50 B8 05 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 81 C4 08 F0 FF FF 8B 45 FC 85 1C 24 53 56 57 8B 45 08 8B 50 04 89 55 C4 8B 4D 08 8B 41 08 89 45 C0 8B 55 08 8B 0A 89 4D BC 8B 45 08 F6 40 15 08 0F 95 C2 83 E2 01 89 55 B8 FF 45 2C 83 65 1C FE 83 6D 24 02 8B 4D 24 8B 5D 24 83 E1 07 2B D9 C1 EB 03 89 5D 24 8B 45 08 8B 50 0C 81 C2 40 03 00 00 89 55 E8 8B 4D 08 8B 41 0C 89 45 E4 8B 55 08 8B 4A 0C 81 C1 00 01 00 00 89 4D E0 C7 45 C8 FF FF FF FF 8B 45 20 83 C0 08 89 45 FC 33 C0 8B 55 24 C1 E2 04 03 55 FC 89 55 F8 89 55 EC 89 45 CC 33 C0 8B 4D 0C 8A 01 83 F8 5F 74 0C 8B 55 0C 33 C9 8A 0A 83 F9 62 75 07 B8 02 00 00 00 EB 02 33 C0 03 45 0C 83 C0 03 89 45 D4 8B 55 D4 33 C9 8A 0A 83 F9 5C 0F 85 4A 01 00 00 33 C0 89 45 B4 8B 55 0C 89 55 D8 8B 4D D8 8B 55 D8 33 C0 8A 41 04 33 C9 C1 E0 08 8A 4A 05 0B C1 89 45 B0 8B 45 B0 3B 45 B4 7E 06 8B 55 B0 89 55 B4 8B 4D D8 8B 55 D8 33 C0 8A 41 01 33 C9 C1 E0 08 8A 4A 02 0B C1 01 45 D8 8B 45 D8 33 D2 8A 10 83 FA 54 74 B6 83 7D B8 00 74 3C 33 C0 3B 45 B4 7D 4E 8B 55 10 3B 55 C4 76 46 FF 4D 10 EB 03 FF 4D 10 8B 4D 10 3B 4D C4 76 15 8B 55 10 33 C9 8A 0A 81 E1 C0 00 00 00 81 F9 80 00 00 00 74 E0 40 3B 45 B4 7C CD EB 19 8B 45 10 2B 45 B4 3B 45 C4 73 08 8B 45 10 2B 45 C4 EB 03 8B 45 B4 29 45 10 8B 55 0C 89 55 D8 8B 4D D8 33 D2 8A 51 04 8B 4D D8 C1 E2 08 0F B6 49 05 0B D1 89 55 AC 3B 45 AC 7C 4D 8B 55 D8 2B 55 BC 83 C2 06 89 55 A8 8B 55 CC FF 45 CC 3B 55 24 7D 2C 8B 4D A8 8B 55 EC F7 D9 89 0A 33 D2 8B 4D EC 89 51 04 8B 4D EC 8B 55 28 89 51 08 8B C8 8B 55 EC 2B 4D AC 89 4A 0C 83 45 EC 10 EB 0A B8 ED FF FF FF E9 38 4F 00 00 8B 4D D8 33 D2 8A 51 01 8B 4D D8 C1 E2 08 0F B6 49 02 0B D1 01 55 D8 8B 55 D8 0F B6 12 83 FA 54 0F 84 71 FF FF FF E9 F6 00 00 00 8B 45 0C 89 45 D8 83 7D 2C 01 75 5E 8B 4D 08 F6 41 12 02 74 55 8B 45 D8 8B 4D D8 33 D2 8A 50 01 33 C0 C1 E2 08 8A 41 02 0B D0 01 55 D8 8B 55 D8 33 C9 8A 0A 83 F9 54 74 DC 8B 45 20 8B 50 04 89 55 CC 8B 4D 20 83 39 00 0F 85 A8 00 00 00 8B 45 CC C1 E0 04 50 8B 55 FC 52 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C E9 8C 00 00 00 8B 45 0C 33 D2 8A 10 83 FA 5F 74 0C 8B 4D 0C 33 C0 8A 01 83 F8 62 75 07 BA 02 00 00 00 EB 02 33 D2 83 C2 03 89 55 A4 8B 45 CC FF 45 CC 3B 45 24 7D 25 8B 4D D8 8B 5D EC 2B 4D BC 33 D2 03 4D A4 89 0B 8B 45 EC 89 50 04 8B 4D EC 8B 5D 28 89 59 08 83 45 EC 10 EB 0A B8 ED FF FF FF E9 42 4E 00 00 8B 55 D8 8B 5D D8 33 C9 33 C0 8A 4A 01 8A 43 02 C1 E1 08 0B C8 01 4D D8 C7 45 A4 03 00 00 00 8B 55 D8 33 C9 8A 0A 83 F9 54 74 9B 8B 45 20 33 D2 89 10 8B 4D 10 89 4D DC 8B 45 FC 89 45 F4 8B 55 F8 89 55 FC 33 D2 8B 4D F4 89 4D F8 8B 45 CC 89 45 D0 89 55 CC 8B 4D 20 83 31 01 8B 45 20 8B 55 D0 89 50 04 8B 4D D0 C1 E1 04 03 4D FC 89 4D F0 8B 45 F8 89 45 EC 8B 55 DC 3B 55 C0 0F 83 85 00 00 00 C7 45 9C 01 00 00 00 83 7D B8 00 74 6C 8B 4D DC 33 C0 8A 01 89 45 94 81 7D 94 C0 00 00 00 72 71 8B 55 94 33 C9 83 E2 3F 8A 8A ?? ?? ?? ?? 89 4D 8C 8B 55 8C 8B 45 8C 03 D2 8B 04 85 ?? ?? ?? ?? 23 45 94 8D 14 52 8B CA D3 E0 89 45 94 B8 01 00 00 00 3B 45 8C 7F 1A 8B 5D DC 83 EA 06 8B CA 0F B6 1C 03 83 E3 3F D3 E3 09 5D 94 40 3B 45 8C 7E E6 8B 45 8C 01 45 9C EB 18 8B 55 DC 33 C9 8A 0A 89 4D 94 EB 0C 33 C0 89 45 9C C7 45 94 FF FF FF FF 33 D2 89 55 A0 8B 4D A0 3B 4D D0 0F 8D BF 4C 00 00 8B 75 A0 C1 E6 04 03 75 FC 8B 1E 8B 46 08 89 45 28 85 DB 7D 4D 83 7E 0C 00 7E 41 8B 55 CC FF 45 CC 3B 55 24 7D 2A 8B 4D EC 89 19 8B 7D EC 8B 46 04 89 47 04 8B 55 EC 8B 4D 28 89 4A 08 8B 55 EC 8B 46 0C 48 89 42 0C 83 45 EC 10 E9 60 4C 00 00 B8 ED FF FF FF E9 C4 4C 00 00 EB 06 F7 DB 8B D3 89 16 33 C0 8B 55 FC 8B CA 89 8D 28 FE FF FF 3B 45 A0 7D 2A 8B 95 28 FE FF FF 3B 1A 75 13 8B 8D 28 FE FF FF 8B 51 04 3B 56 04 75 05 E9 1F 4C 00 00 40 83 85 28 FE FF FF 10 3B 45 A0 7C D6 8B 45 BC 03 C3 89 45 88 8B 4D 88 0F B6 39 33 C0 8A 87 ?? ?? ?? ?? 85 C0 0F 8E 52 01 00 00 C7 45 98 01 00 00 00 83 7D B8 00 0F 84 BF 00 00 00 33 D2 8A 97 ?? ?? ?? ?? 8B 4D 88 0F B6 0C 11 89 4D 90 81 7D 90 C0 00 00 00 0F 82 B3 00 00 00 8B 45 90 33 D2 83 E0 3F 8A 90 ?? ?? ?? ?? 89 95 7C FF FF FF 8B 95 7C FF FF FF 8B 85 7C FF FF FF 03 C0 8B 14 95 ?? ?? ?? ?? 23 55 90 8D 04 40 8B C8 D3 E2 89 55 90 8D 8F ?? ?? ?? ?? C7 45 80 01 00 00 00 89 8D 24 FE FF FF 8B 55 88 8D 4A 01 89 8D 28 FE FF FF 8B 55 80 3B 95 7C FF FF FF 7F 35 83 E8 06 8B 8D 24 FE FF FF 33 D2 8A 11 8B 8D 28 FE FF FF 0F B6 14 11 83 E2 3F 8B C8 D3 E2 09 55 90 FF 45 80 FF 85 28 FE FF FF 8B 55 80 3B 95 7C FF FF FF 7E CB 8B 85 7C FF FF FF 01 45 98 EB 13 33 C9 8A 8F ?? ?? ?? ?? 8B 45 88 33 D2 8A 14 08 89 55 90 83 FF 39 7C 76 8B 4D 90 83 C1 F2 83 F9 08 77 6B FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B8 F0 FF FF FF E9 3A 4B 00 00 81 C7 2C 01 00 00 EB 2E 81 C7 54 01 00 00 EB 26 81 C7 40 01 00 00 EB 1E 81 C7 68 01 00 00 EB 16 81 C7 7C 01 00 00 EB 0E EB 0C 33 D2 89 55 98 C7 45 90 FF FF FF FF 8B CF 81 F9 C1 01 00 00 0F 87 81 4A 00 00 8A 89 ?? ?? ?? ?? 81 E1 FF 00 00 00 FF 24 8D ?? ?? ?? ?? 00 41 40 00 3F 3F 3E 3D 3E 3D 3E 3D 3C 3B 00 3A 3A 39 38 37 36 35 34 33 32 31 30 2F 2E 2D 2C 2A 2A 29 29 28 28 27 27 2B 2A 29 28 27 2A 2A 29 29 28 28 27 27 2B 2A 29 28 27 25 25 24 24 23 23 22 22 26 25 24 23 22 00 00 00 00 00 00 00 00 21 21 21 00 20 1F 1E 1D 1D 1D 1C 1C 1C 1C 00 1B 1A 19 18 1A 19 18 00 00 00 17 17 00 00 00 00 16 00 15 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 14 14 13 13 12 12 11 11 11 14 13 12 11 00 00 00 00 00 00 00 10 10 0F 0F 0E 0E 0D 0D 0D 10 0F 0E 0D 00 00 00 00 00 00 00 0C 0C 0B 0B 0A 0A 09 09 09 0C 0B 0A 09 00 00 00 00 00 00 00 08 08 07 07 06 06 05 05 05 08 07 06 05 00 00 00 00 00 00 00 04 04 03 03 02 02 01 01 01 04 03 02 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 4D 88 3B 4D D8 0F 84 8C 00 00 00 8B 45 D0 FF 45 D0 3B 45 24 7D 1F 8D 53 03 8B 45 F0 89 10 8B 55 F0 33 C9 89 4A 04 8B 4D F0 8B 45 28 89 41 08 83 45 F0 10 EB 0A B8 ED FF FF FF E9 D9 47 00 00 83 FF 55 0F 84 62 47 00 00 8B 55 D0 FF 45 D0 3B 55 24 7D 35 8B 4D 88 8B 45 88 33 D2 0F B6 49 01 C1 E1 08 8A 50 02 0B CA 33 D2 2B D9 8B 4D F0 89 19 8B 45 F0 89 50 04 8B 45 F0 8B 55 28 89 50 08 83 45 F0 10 E9 22 47 00 00 B8 ED FF FF FF E9 86 47 00 00 E9 13 47 00 00 8B 55 DC 3B 55 10 77 0D 8B 4D 08 F6 41 11 04 0F 85 FE 46 00 00 83 7D C8 00 7D 14 83 7D 1C 02 7C 07 B8 01 00 00 00 EB 02 33 C0 89 45 C8 EB 18 83 7D C8 00 7E 12 FF 45 C8 8B 55 C8 03 D2 3B 55 1C 7C 05 33 C9 89 4D C8 83 7D C8 00 75 05 8B 75 1C EB 05 8B 75 C8 03 F6 83 C6 FE 85 F6 7E 17 C1 E6 02 56 8B 45 18 50 8B 55 18 83 C2 08 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 1C 02 7C 17 8B 4D 10 8B 5D 18 2B 4D C4 89 0B 8B 45 DC 8B 55 18 2B 45 C4 89 42 04 8B 4D 08 F6 41 12 01 0F 84 74 46 00 00 8B 45 C8 E9 DA 46 00 00 E9 67 46 00 00 8B 55 88 8B 5D 88 33 C9 33 C0 8A 4A 01 8A 43 02 C1 E1 08 0B C8 01 4D 88 8B 55 88 33 C9 8A 0A 83 F9 54 74 DC 8B 45 D0 FF 45 D0 3B 45 24 7D 25 8B 55 88 8B 4D F0 2B 55 BC 89 11 33 D2 8B 45 F0 89 50 04 8B 4D F0 8B 5D 28 89 59 08 83 45 F0 10 E9 13 46 00 00 B8 ED FF FF FF E9 77 46 00 00 8B 55 D0 FF 45 D0 3B 55 24 7D 25 8B 4D 88 8B 5D F0 2B 4D BC 33 D2 83 C1 03 89 0B 8B 45 F0 89 50 04 8B 4D F0 8B 5D 28 89 59 08 83 45 F0 10 EB 0A B8 ED FF FF FF E9 3D 46 00 00 8B 55 88 8B 5D 88 33 C9 33 C0 8A 4A 01 8A 43 02 C1 E1 08 0B C8 01 4D 88 8B 55 88 33 C9 8A 0A 83 F9 54 74 A2 E9 A6 45 00 00 8B 45 D0 FF 45 D0 3B 45 24 7D 25 8B 55 88 8B 4D F0 2B 55 BC 83 C2 05 89 11 33 D2 8B 45 F0 89 50 04 8B 4D F0 8B 5D 28 89 59 08 83 45 F0 10 EB 0A B8 ED FF FF FF E9 DA 45 00 00 8B 55 88 8B 5D 88 33 C9 33 C0 8A 4A 01 8A 43 02 C1 E1 08 0B C8 01 4D 88 EB 52 8B 55 D0 FF 45 D0 3B 55 24 7D 25 8B 4D 88 8B 5D F0 2B 4D BC 33 D2 83 C1 03 89 0B 8B 45 F0 89 50 04 8B 4D F0 8B 5D 28 89 59 08 83 45 F0 10 EB 0A B8 ED FF FF FF E9 86 45 00 00 8B 55 88 8B 5D 88 33 C9 33 C0 8A 4A 01 8A 43 02 C1 E1 08 0B C8 01 4D 88 8B 55 88 33 C9 8A 0A 83 F9 54 74 A2 E9 EF 44 00 00 8B 4D D0 FF 45 D0 3B 4D 24 7D 1D 43 8B 45 F0 89 18 8B 55 F0 33 C9 89 4A 04 8B 45 F0 8B 55 28 89 50 08 83 45 F0 10 EB 0A B8 ED FF FF FF E9 2B 45 00 00 8B 55 88 8B 5D 88 33 C9 33 C0 8A 4A 02 8A 43 03 C1 E1 08 0B C8 41 01 4D 88 EB 18 8B 55 88 8B 5D 88 33 C9 33 C0 8A 4A 01 8A 43 02 C1 E1 08 0B C8 01 4D 88 8B 55 88 33 C9 8A 0A 83 F9 54 74 DC 8B 45 D0 FF 45 D0 3B 45 24 7D 28 8B 55 88 8B 4D F0 2B 55 BC 83 C2 03 89 11 33 D2 8B 45 F0 89 50 04 8B 4D F0 8B 5D 28 89 59 08 83 45 F0 10 E9 4B 44 00 00 B8 ED FF FF FF E9 AF 44 00 00 8B 55 88 8B 5D 88 33 C9 33 C0 8A 4A 02 8A 43 03 C1 E1 08 0B C8 41 01 4D 88 EB 18 8B 55 88 8B 5D 88 33 C9 33 C0 8A 4A 01 8A 43 02 C1 E1 08 0B C8 01 4D 88 8B 55 88 33 C9 8A 0A 83 F9 54 74 DC 8B 45 D0 FF 45 D0 3B 45 24 7D 28 8B 55 88 8B 4D F0 2B 55 BC 83 C2 03 89 11 33 D2 8B 45 F0 89 50 04 8B 4D F0 8B 5D 28 89 59 08 83 45 F0 10 E9 CF 43 00 00 B8 ED FF FF FF E9 33 44 00 00 8B 55 DC 3B 55 C4 75 0D 8B 4D 08 F6 41 10 80 0F 84 B6 00 00 00 F6 45 28 02 0F 84 A6 43 00 00 8B 4D DC 3B 4D C0 0F 84 9A 43 00 00 8B 45 08 83 78 18 00 74 3F 8B 55 08 8B 4A 04 3B 4D DC 73 29 8B 45 B8 50 8B 55 08 83 C2 1C 52 8B 4D 08 8B 41 04 50 8B 55 08 8B 4A 18 51 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 14 85 C0 75 04 33 D2 EB 57 BA 01 00 00 00 EB 50 8B 4D 08 8B 55 08 8B 41 04 03 42 1C 3B 45 DC 77 36 8B 4D 08 8B 55 DC 8B 41 1C F7 D8 8A 0C 02 8B 45 08 3A 48 20 75 20 8B 55 08 83 7A 1C 01 74 1B 8B 4D 08 8B 55 DC 8B 41 1C F7 D8 8A 4C 02 01 8B 45 08 3A 48 21 74 04 33 D2 EB 05 BA 01 00 00 00 85 D2 0F 84 FA 42 00 00 8B 4D D0 FF 45 D0 3B 4D 24 7D 20 43 8B 45 F0 89 18 8B 55 F0 33 C9 89 4A 04 8B 45 F0 8B 55 28 89 50 08 83 45 F0 10 E9 CF 42 00 00 B8 ED FF FF FF E9 33 43 00 00 E9 C0 42 00 00 8B 55 DC 3B 55 C0 0F 82 B4 42 00 00 8B 4D D0 FF 45 D0 3B 4D 24 7D 20 43 8B 45 F0 89 18 8B 55 F0 33 C9 89 4A 04 8B 45 F0 8B 55 28 89 50 08 83 45 F0 10 E9 89 42 00 00 B8 ED FF FF FF E9 ED 42 00 00 E9 7A 42 00 00 8B 55 88 33 C9 8A 4A 01 89 4D 28 8B 4D D0 FF 45 D0 3B 4D 24 7D 22 83 C3 02 8B 45 F0 89 18 8B 55 F0 33 C9 89 4A 04 8B 45 F0 8B 55 28 89 50 08 83 45 F0 10 E9 42 42 00 00 B8 ED FF FF FF E9 A6 42 00 00 8B 55 DC 3B 55 C4 0F 85 2C 42 00 00 8B 4D D0 FF 45 D0 3B 4D 24 7D 20 43 8B 45 F0 89 18 8B 55 F0 33 C9 89 4A 04 8B 45 F0 8B 55 28 89 50 08 83 45 F0 10 E9 01 42 00 00 B8 ED FF FF FF E9 65 42 00 00 E9 F2 41 00 00 8B 55 C4 03 55 14 3B 55 DC 0F 85 E3 41 00 00 8B 4D D0 FF 45 D0 3B 4D 24 7D 20 43 8B 45 F0 89 18 8B 55 F0 33 C9 89 4A 04 8B 45 F0 8B 55 28 89 50 08 83 45 F0 10 E9 B8 41 00 00 B8 ED FF FF FF E9 1C 42 00 00 E9 A9 41 00 00 83 7D 9C 00 0F 8E 9F 41 00 00 8B 55 08 83 7A 18 00 74 3F 8B 4D 08 8B 49 08 3B 4D DC 76 29 8B 45 B8 50 8B 55 08 83 C2 1C 52 8B 4D 08 8B 41 08 50 8B 55 08 8B 4A 18 51 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 14 85 C0 75 04 33 D2 EB 45 BA 01 00 00 00 EB 3E 8B 4D 08 8B 55 08 8B 41 08 2B 42 1C 3B 45 DC 72 24 8B 4D DC 8B 55 08 8A 01 3A 42 20 75 17 8B 4D 08 83 79 1C 01 74 12 8B 45 DC 8A 50 01 8B 45 08 3A 50 21 74 04 33 D2 EB 05 BA 01 00 00 00 85 D2 0F 85 11 41 00 00 8B 4D CC FF 45 CC 3B 4D 24 7D 20 43 8B 45 EC 89 18 8B 55 EC 33 C9 89 4A 04 8B 45 EC 8B 55 28 89 50 08 83 45 EC 10 E9 E6 40 00 00 B8 ED FF FF FF E9 4A 41 00 00 E9 D7 40 00 00 83 }
	condition:
		$1
}

rule function_66652_0 {
	meta:
		name = "pcre_dfa_exec"
		size = 2195
		refs = "0124 __pcre_try_flipped 02e5 __pcre_valid_utf8 0345 __pcre_default_tables 046f __pcre_is_newline 05d2 __pcre_was_newline"
	strings:
		$1 = { 55 8B EC 81 C4 3C FF FF FF 33 D2 33 C9 53 56 57 8B 45 08 8D 5D 8C 89 45 FC 33 C0 89 45 E0 89 55 D8 89 4D D4 33 C9 89 4D D0 C7 45 CC FF FF FF FF C7 45 C8 FF FF FF FF C7 45 C4 FF FF FF FF F7 45 1C 6F 5A 0C FA 74 0A B8 FD FF FF FF E9 3B 08 00 00 83 7D FC 00 74 18 83 7D 10 00 74 12 83 7D 28 00 74 0C 83 7D 20 00 75 10 83 7D 24 00 7E 0A B8 FE FF FF FF E9 13 08 00 00 83 7D 24 00 7D 0A B8 F1 FF FF FF E9 03 08 00 00 83 7D 2C 14 7D 0A B8 ED FF FF FF E9 F3 07 00 00 8B 55 FC 8B 4A 20 89 4B 0C 33 C9 89 4B 24 83 7D 0C 00 74 55 8B 45 0C 8B 10 89 55 BC F6 45 BC 01 74 09 8B 4D 0C 8B 41 04 89 45 E0 F6 45 BC 02 74 0A B8 EE FF FF FF E9 B8 07 00 00 F6 45 BC 10 74 0A B8 EE FF FF FF E9 A8 07 00 00 F6 45 BC 04 74 09 8B 55 0C 8B 4A 0C 89 4B 24 F6 45 BC 08 74 09 8B 4D 0C 8B 41 10 89 43 0C 8B 55 FC 81 3A 45 52 43 50 74 40 8D 8D 64 FF FF FF 8D 95 3C FF FF FF 51 8B 45 E0 50 52 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 75 0A B8 FC FF FF FF E9 4E 07 00 00 83 7D E0 00 74 09 8D 95 64 FF FF FF 89 55 E0 8B 75 10 8B 45 10 03 75 18 03 45 14 89 45 E8 8D 56 FF 89 55 DC 8B 4D FC F6 41 09 08 0F 95 C1 83 E1 01 89 4D F8 F7 45 1C 10 00 02 00 75 0D 8B 45 FC F6 40 08 10 75 04 33 D2 EB 05 BA 01 00 00 00 89 55 F4 8B 55 FC 8B 4D FC 0F B7 41 1C 0F B7 52 1A F7 EA 8B 4D FC 0F B7 51 18 03 55 08 03 C2 89 03 8B 45 10 89 43 04 8B 4D E8 89 4B 08 8B 4D 1C 89 4B 10 8B 45 FC 8B 50 08 89 53 14 F7 43 10 00 00 80 01 75 1E 8B 4D FC 8B 41 08 25 00 00 80 01 85 C0 74 0F 8B 55 FC 8B 4A 08 81 E1 00 00 80 01 09 4B 10 F6 45 1E 70 75 08 8B 45 FC 8B 50 08 EB 03 8B 55 1C 81 E2 00 00 70 00 81 FA 00 00 30 00 7F 19 74 44 83 EA 01 72 24 81 EA FF FF 0F 00 74 25 81 EA 00 00 10 00 74 26 EB 48 81 EA 00 00 40 00 74 2E 81 EA 00 00 10 00 74 2F EB 36 C7 45 C0 0A 00 00 00 EB 37 C7 45 C0 0D 00 00 00 EB 2E C7 45 C0 0A 00 00 00 EB 25 C7 45 C0 0A 0D 00 00 EB 1C C7 45 C0 FF FF FF FF EB 13 C7 45 C0 FE FF FF FF EB 0A B8 E9 FF FF FF E9 12 06 00 00 83 7D C0 FE 75 09 C7 43 18 02 00 00 00 EB 47 83 7D C0 00 7D 09 C7 43 18 01 00 00 00 EB 38 33 C9 89 4B 18 81 7D C0 FF 00 00 00 7E 1D C7 43 1C 02 00 00 00 8B 4D C0 C1 F9 08 80 E1 FF 88 4B 20 8A 45 C0 24 FF 88 43 21 EB 0D C7 43 1C 01 00 00 00 8A 55 C0 88 53 20 83 7D F8 00 74 66 F6 45 1D 20 75 60 8B 4D 14 51 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 7C 0A B8 F6 FF FF FF E9 92 05 00 00 83 7D 18 00 7E 3C 8B 55 18 3B 55 14 7D 34 8B 4D 10 8B 7D 18 33 C0 8A 04 39 89 45 B8 83 7D B8 7F 7E 20 81 65 B8 C0 00 00 00 83 7D B8 00 74 13 81 7D B8 C0 00 00 00 74 0A B8 F5 FF FF FF E9 50 05 00 00 83 7B 0C 00 75 07 C7 43 0C ?? ?? ?? ?? 8B 53 0C 89 55 E4 8B 4D FC F6 41 0C 08 0F 95 C1 83 E1 01 89 4D F0 8B 45 FC F6 40 0A 04 0F 95 C2 83 E2 01 89 55 EC 83 7D F4 00 75 59 8B 4D FC F6 41 0C 02 74 32 8B 45 FC 0F B7 50 14 81 E2 FF 00 00 00 89 55 CC 8B 4D FC F6 41 15 01 0F 95 C0 83 E0 01 89 45 D4 48 75 2D 8B 55 E4 8B 4D CC 0F B6 0C 0A 89 4D CC EB 1E 83 7D F0 00 74 18 83 7D E0 00 74 12 8B 45 E0 F6 40 04 01 74 09 8B 55 E0 83 C2 08 89 55 D8 8B 4D FC F6 41 0C 04 74 31 8B 45 FC 0F B7 50 16 81 E2 FF 00 00 00 89 55 C8 8B 4D FC F6 41 17 01 0F 95 C0 83 E0 01 89 45 D0 8B 53 0C 8B 45 C8 0F B6 94 02 00 01 00 00 89 55 C4 F6 45 1E 02 0F 85 E1 02 00 00 8B 4D E8 89 4D B4 83 7D EC 00 0F 84 FD 00 00 00 83 7D F8 00 8B FE 0F 84 8A 00 00 00 EB 19 47 EB 01 47 3B 7D E8 73 10 33 C0 8A 07 25 C0 00 00 00 3D 80 00 00 00 74 EA 3B 7B 08 0F 83 CA 00 00 00 83 7B 18 00 74 2D 3B 7B 08 73 1D 8B 55 F8 8D 4B 1C 52 51 8B 4B 08 51 8B 43 18 50 57 E8 ?? ?? ?? ?? 83 C4 14 85 C0 75 04 33 D2 EB 2F BA 01 00 00 00 EB 28 8B 4B 08 2B 4B 1C 3B F9 77 15 8A 07 3A 43 20 75 0E 83 7B 1C 01 74 0C 8A 57 01 3A 53 21 74 04 33 D2 EB 05 BA 01 00 00 00 85 D2 0F 84 7B FF FF FF EB 65 47 3B 7B 08 73 5F 83 7B 18 00 74 2D 3B 7B 08 73 1D 8B 45 F8 8D 4B 1C 50 51 8B 4B 08 51 8B 43 18 50 57 E8 ?? ?? ?? ?? 83 C4 14 85 C0 75 04 33 D2 EB 2F BA 01 00 00 00 EB 28 8B 4B 08 2B 4B 1C 3B F9 77 15 8A 07 3A 43 20 75 0E 83 7B 1C 01 74 0C 8A 57 01 3A 53 21 74 04 33 D2 EB 05 BA 01 00 00 00 85 D2 74 9B 89 7D E8 F6 45 1F 04 0F 85 C4 01 00 00 83 7D CC 00 7C 3F 83 7D D4 00 74 22 EB 01 46 3B 75 E8 0F 83 AC 01 00 00 33 C0 8A 06 8B 4D E4 0F B6 0C 01 3B 4D CC 75 E6 E9 97 01 00 00 46 3B 75 E8 0F 83 8D 01 00 00 33 C0 8A 06 3B 45 CC 75 ED E9 7F 01 00 00 83 7D F0 00 0F 84 46 01 00 00 8B 53 04 03 55 18 3B F2 0F 86 67 01 00 00 83 7D F8 00 0F 84 97 00 00 00 EB 1B 46 EB 01 46 3B 75 E8 73 12 33 C9 8A 0E 81 E1 C0 00 00 00 81 F9 80 00 00 00 74 E8 3B 75 E8 0F 83 E0 00 00 00 83 7B 18 00 74 2C 8B 7B 04 3B F7 76 1A 8B 45 F8 50 8D 53 1C 52 57 8B 4B 18 51 56 E8 ?? ?? ?? ?? 83 C4 14 85 C0 75 04 33 C9 EB 3B B9 01 00 00 00 EB 34 8B 43 04 03 43 1C 3B F0 72 21 8B 53 1C F7 DA 8A 0C 16 3A 4B 20 75 14 83 7B 1C 01 74 12 8B 43 1C F7 D8 8A 54 06 01 3A 53 21 74 04 33 C9 EB 05 B9 01 00 00 00 85 C9 0F 84 6E FF FF FF EB 70 46 3B 75 E8 73 6A 83 7B 18 00 74 2C 8B 7B 04 3B F7 76 1A 8B 45 F8 50 8D 53 1C 52 57 8B 4B 18 51 56 E8 ?? ?? ?? ?? 83 C4 14 85 C0 75 04 33 C9 EB 3B B9 01 00 00 00 EB 34 8B 43 04 03 43 1C 3B F0 72 21 8B 53 1C F7 DA 8A 0C 16 3A 4B 20 75 14 83 7B 1C 01 74 12 8B 43 1C F7 D8 8A 54 06 01 3A 53 21 74 04 33 C9 EB 05 B9 01 00 00 00 85 C9 74 90 33 C0 8A 46 FF 83 F8 0D 75 4D 8B 43 18 83 F8 01 74 05 83 F8 02 75 40 3B 75 E8 73 3B 33 D2 8A 16 83 FA 0A 75 32 46 EB 2F 83 7D D8 00 74 29 3B 75 E8 73 24 33 C0 8A 06 8B C8 83 E1 07 BA 01 00 00 00 D3 E2 C1 E8 03 8B 4D D8 0F B6 04 01 23 D0 75 06 46 3B 75 E8 72 DC 8B 55 B4 89 55 E8 F6 45 1F 04 75 78 83 7D C8 00 7C 72 8B 4D E8 2B CE 81 F9 E8 03 00 00 7D 65 F6 45 1D 80 75 5F 83 7D CC 00 7C 07 B8 01 00 00 00 EB 02 33 C0 03 C6 3B 45 DC 76 49 83 7D D0 00 74 1E 3B 45 E8 73 32 33 D2 8A 10 40 3B 55 C8 74 05 3B 55 C4 75 03 48 EB 20 3B 45 E8 72 E9 EB 19 3B 45 E8 73 14 8A 08 33 D2 8A D1 40 3B 55 C8 75 03 48 EB 05 3B 45 E8 72 EC 3B 45 E8 0F 83 1B 01 00 00 89 45 DC 6A 00 6A 00 8B 45 FC 8B 48 08 83 E1 07 51 8B 4D 2C 51 8B 45 28 50 8B 55 24 52 8B 4D 20 51 8B 45 18 50 56 8B 13 52 53 E8 17 A7 FF FF 83 C4 2C 83 F8 FF 0F 85 E3 00 00 00 83 7D F4 00 0F 85 D9 00 00 00 83 7D EC 00 74 5E 83 7B 18 00 74 2C 8B 7B 08 3B F7 73 1A 8B 45 F8 50 8D 53 1C 52 57 8B 4B 18 51 56 E8 ?? ?? ?? ?? 83 C4 14 85 C0 75 04 33 C9 EB 2F B9 01 00 00 00 EB 28 8B 43 08 2B 43 1C 3B F0 77 15 8A 16 3A 53 20 75 0E 83 7B 1C 01 74 0C 8A 4E 01 3A 4B 21 74 04 33 C9 EB 05 B9 01 00 00 00 85 C9 75 72 46 83 7D F8 00 74 18 EB 01 46 3B 75 E8 73 10 33 C0 8A 06 25 C0 00 00 00 3D 80 00 00 00 74 EA 3B 75 E8 77 4E 33 D2 8A 56 FF 83 FA 0D 0F 85 BF FB FF FF 3B 75 E8 0F 83 B6 FB FF FF 33 C9 8A 0E 83 F9 0A 0F 85 A9 FB FF FF 8B 45 FC F6 40 0C 20 0F 85 9C FB FF FF 8B 43 18 83 F8 01 74 0F 83 F8 02 74 0A 83 7B 1C 02 0F 85 85 FB FF FF 46 E9 7F FB FF FF 83 C8 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66653_0 {
	meta:
		name = "_DF_."
		size = 33816
		refs = "0065 __pcre_utf8_table4 0077 __pcre_utf8_table3 0107 __pcre_ucd_stage1 0123 __pcre_ucd_stage2 012a __pcre_ucd_records 024d _DF_. 043d __pcre_OP_lengths 07c0 _pcre_callout 0ada _memmove 0e66 _pcre_malloc 0e9d _memcpy 0f2d _pcre_free 156c __pcre_was_newline 1659 __pcre_is_newline 2495 __pcre_ucp_gentype 2757 _DV_. 2fdb __pcre_xclass 3722 __pcre_ord2utf8 3748 _memcmp"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 4D 14 8B 5D 08 8B 45 0C 8B 51 0C 8B 14 9A 8B 59 5C 03 51 58 2B D8 3B 5D 10 7D 07 33 C0 E9 62 01 00 00 F6 45 18 01 0F 84 48 01 00 00 83 79 38 00 0F 84 21 01 00 00 8B 4D 10 03 C8 89 4D FC 3B 45 FC 0F 83 38 01 00 00 0F B6 30 40 81 FE C0 00 00 00 7C 42 8B CE 83 E1 3F 0F B6 B9 ?? ?? ?? ?? 89 7D F8 8B 5D F8 8B 7D F8 03 DB 23 34 BD ?? ?? ?? ?? 8D 1C 5B 8B CB D3 E6 EB 10 0F B6 38 83 EB 06 83 E7 3F 8B CB D3 E7 0B F7 40 8B 4D F8 83 45 F8 FF 85 C9 7F E5 33 DB 8A 1A 42 81 FB C0 00 00 00 7C 48 8B CB 83 E1 3F 0F B6 89 ?? ?? ?? ?? 89 4D F4 8B 4D F4 03 C9 8D 0C 49 89 4D F0 8B 4D F0 8B 7D F4 23 1C BD ?? ?? ?? ?? D3 E3 EB 12 83 6D F0 06 0F B6 3A 83 E7 3F 8B 4D F0 D3 E7 0B DF 42 8B 4D F4 83 45 F4 FF 85 C9 7F E3 3B DE 74 3E 8B CB 85 C9 79 03 83 C1 7F C1 F9 07 0F B6 89 ?? ?? ?? ?? C1 E1 07 8B FB 81 E7 7F 00 00 80 79 05 4F 83 CF 80 47 03 CF 0F B7 0C 4D ?? ?? ?? ?? 03 1C CD ?? ?? ?? ?? 3B F3 74 04 33 C0 EB 58 3B 45 FC 0F 82 12 FF FF FF EB 48 8A 1A 8B 71 24 81 E3 FF 00 00 00 40 8B 79 24 42 8A 1C 1E 0F B6 70 FF 3A 1C 37 74 04 33 C0 EB 2D 8B 5D 10 83 45 10 FF 85 DB 7F D5 EB 1B EB 0E 8A 0A 42 8A 18 40 3A CB 74 04 33 C0 EB 10 8B 4D 10 83 45 10 FF 85 C9 7F E7 B8 01 00 00 00 5F 5E 5B 8B E5 5D C3 90 90 90 55 8B EC 81 C4 4C FB FF FF 33 C0 33 D2 53 56 57 8B 7D 0C 8B 5D 08 89 45 B8 89 55 B4 8B 4D 18 8B 49 38 89 4D F4 8B 45 18 8B 10 FF 00 8B 45 18 3B 50 04 72 0A B8 F8 FF FF FF E9 3B 82 00 00 8B 55 18 8B 4A 08 3B 4D 28 77 0A B8 EB FF FF FF E9 26 82 00 00 8B 55 1C 89 55 C0 F6 45 24 02 74 18 89 9D 6C FF FF FF 8B 4D 20 89 8D 68 FF FF FF 8D 8D 68 FF FF FF 89 4D 20 33 C0 33 D2 89 45 EC 89 45 F0 8A 17 89 55 80 8B 4D 18 83 79 48 00 74 17 8B 4D 18 3B 59 5C 72 0F 3B 5D 10 76 0A 8B 45 18 C7 40 4C 01 00 00 00 8B 55 80 83 FA 6F 0F 87 BB 81 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 E9 F9 7F 00 00 8B 55 28 42 52 8B 4D 24 51 8B 4D 20 51 8B 45 1C 50 8B 55 18 52 8B 4D 14 51 8B 45 10 50 33 D2 8A 17 33 C9 8A 8A ?? ?? ?? ?? 03 F9 57 53 E8 4E FD FF FF 83 C4 24 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 B3 7F 00 00 B8 1A FC FF FF E9 A9 7F 00 00 8B 55 28 42 52 8B 4D 24 51 8B 4D 20 51 8B 45 1C 50 8B 55 18 52 8B 4D 14 51 8B 45 10 50 33 D2 8A 17 33 C9 8A 8A ?? ?? ?? ?? 03 F9 57 53 E8 FE FC FF FF 83 C4 24 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 63 7F 00 00 B8 19 FC FF FF E9 59 7F 00 00 8B 55 28 42 52 8B 4D 24 51 8B 4D 20 51 8B 45 1C 50 8B 55 18 52 8B 4D 14 51 8B 45 10 50 33 D2 8A 17 33 C9 8A 8A ?? ?? ?? ?? 03 F9 57 53 E8 AE FC FF FF 83 C4 24 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 13 7F 00 00 8B 55 18 B8 1B FC FF FF 89 5A 60 E9 03 7F 00 00 8B 55 28 42 52 8B 4D 24 51 8B 4D 20 51 8B 45 1C 50 8B 55 18 52 8B 4D 14 51 8B 45 10 50 33 D2 8A 17 33 C9 8A 8A ?? ?? ?? ?? 03 F9 57 53 E8 58 FC FF FF 83 C4 24 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 BD 7E 00 00 B8 1C FC FF FF E9 B3 7E 00 00 33 D2 33 C9 8A 57 03 8A 4F 04 C1 E2 08 0B D1 89 55 88 8B 4D 88 03 C9 89 4D 84 8B 45 18 8B 50 14 3B 55 84 0F 8E 2E 01 00 00 8B 4D 18 8B 55 84 8B 41 0C 8B 0C 90 89 8D 78 FF FF FF 8B 45 18 8B 50 0C 8B 45 84 8B 54 82 04 89 95 74 FF FF FF 8B 4D 18 8B 45 18 8B 49 10 8B 50 0C 2B 4D 88 8B 0C 8A 89 8D 70 FF FF FF 8B 45 18 8B 50 6C 8B C3 89 95 7C FF FF FF 8B 4D 18 8B 55 18 2B 41 58 8B 4D 18 8B 52 10 2B 55 88 8B 49 0C 89 04 91 83 7D 80 62 75 07 B8 02 00 00 00 EB 02 33 C0 89 45 24 8B 55 28 42 52 8B 4D 24 51 8B 4D 20 51 8B 45 1C 50 8B 55 18 52 8B 4D 14 51 8B 45 10 50 33 D2 8A 17 33 C9 8A 8A ?? ?? ?? ?? 03 CF 51 53 E8 6A FB FF FF 83 C4 24 89 45 FC 83 7D FC 00 74 11 81 7D FC 1C FC FF FF 74 08 8B 45 FC E9 C6 7D 00 00 8B 55 18 8B 85 7C FF FF FF 89 42 6C 33 D2 8A 57 01 C1 E2 08 33 C9 8A 4F 02 0B D1 03 FA 33 C9 8A 0F 83 F9 54 74 8B 8B 45 18 8B 8D 78 FF FF FF 8B 50 0C 8B 45 84 89 0C 82 8B 55 18 8B 8D 74 FF FF FF 8B 42 0C 8B 55 84 89 4C 90 04 8B 45 18 8B 4D 18 8B 50 10 8B 41 0C 2B 55 88 8B 8D 70 FF FF FF 89 0C 90 33 C0 E9 5C 7D 00 00 83 7D 80 61 7C 07 BA 02 00 00 00 EB 02 33 D2 89 55 24 33 C0 33 C9 8A 47 01 8A 4F 02 C1 E0 08 0B C1 33 C9 8A 0C 07 83 F9 54 74 59 83 7D 24 00 75 13 33 C0 8A 07 33 D2 8A 90 ?? ?? ?? ?? 03 FA E9 BB FA FF FF 8B 4D 28 41 51 8B 45 24 50 8B 55 20 52 8B 4D 1C 51 8B 45 18 50 8B 55 14 52 8B 4D 10 51 33 C0 8A 07 33 D2 8A 90 ?? ?? ?? ?? 03 FA 57 53 E8 6D FA FF FF 83 C4 24 89 45 FC 8B 45 FC E9 D8 7C 00 00 8B 55 28 42 52 8B 4D 24 51 8B 4D 20 51 8B 45 1C 50 8B 55 18 52 8B 4D 14 51 8B 45 10 50 33 D2 8A 17 33 C9 8A 8A ?? ?? ?? ?? 03 CF 51 53 E8 2D FA FF FF 83 C4 24 89 45 FC 83 7D FC 00 74 11 81 7D FC 1C FC FF FF 74 08 8B 45 FC E9 89 7C 00 00 33 D2 33 C0 8A 57 01 8A 47 02 C1 E2 08 0B D0 03 FA E9 29 FF FF FF 33 D2 33 C9 8A 57 01 8A 4F 02 C1 E2 08 0B D1 33 C9 89 55 9C 8A 4F 03 83 F9 53 0F 85 F2 00 00 00 83 3D ?? ?? ?? ?? 00 0F 84 DB 00 00 00 C7 85 7C FB FF FF 01 00 00 00 33 C0 8A 47 04 89 85 80 FB FF FF 8B 55 18 8B 4A 0C 89 8D 84 FB FF FF 8B 45 18 8B 50 58 89 95 88 FB FF FF 8B 4D 18 8B 55 18 8B 41 5C 2B 42 58 89 85 8C FB FF FF 8B 4D 18 8B 45 10 2B 41 58 33 C9 89 85 90 FB FF FF 8B C3 8B 55 18 2B 42 58 33 D2 89 85 94 FB FF FF 33 C0 8A 57 05 8A 4F 06 C1 E2 08 0B D1 33 C9 89 95 A4 FB FF FF 8A 4F 07 8A 47 08 C1 E1 08 0B C8 89 8D A8 FB FF FF 8B 55 14 D1 FA 79 03 83 D2 00 89 95 98 FB FF FF 8B 4D 18 8B 41 6C 89 85 9C FB FF FF 8D 85 7C FB FF FF 8B 55 18 8B 8A 80 00 00 00 89 8D A0 FB FF FF 50 FF 15 ?? ?? ?? ?? 59 89 45 FC 85 C0 7E 07 33 C0 E9 79 7B 00 00 83 7D FC 00 7D 08 8B 45 FC E9 6B 7B 00 00 33 D2 8A 15 ?? ?? ?? ?? 03 FA 33 C9 8A 4F 03 89 4D E8 83 7D E8 65 75 61 33 C9 33 C0 8A 4F 04 8A 47 05 C1 E1 08 0B C8 89 4D 84 8B 55 18 83 7A 7C 00 74 17 81 7D 84 FF FF 00 00 74 12 8B 4D 18 8B 41 7C 8B 50 04 3B 55 84 74 04 33 C9 EB 05 B9 01 00 00 00 89 4D C8 83 7D C8 00 74 07 B8 03 00 00 00 EB 0F 33 C0 33 D2 8A 47 01 8A 57 02 C1 E0 08 0B C2 03 F8 E9 09 01 00 00 83 7D E8 64 75 59 33 C9 8A 4F 04 C1 E1 08 0F B6 77 05 0B CE 03 C9 89 4D 84 8B 45 84 3B 45 14 7D 0F 8B 55 18 8B 4A 0C 8B 75 84 83 3C B1 00 7D 04 33 C0 EB 05 B8 01 00 00 00 89 45 C8 83 7D C8 00 74 07 BA 03 00 00 00 EB 0F 33 D2 33 C0 8A 57 01 8A 47 02 C1 E2 08 0B D0 03 FA E9 AA 00 00 00 83 7D E8 66 75 1B 33 C9 33 C0 89 4D C8 33 C9 8A 4F 01 8A 47 02 C1 E1 08 0B C8 03 F9 E9 89 00 00 00 8B 55 28 42 52 6A 01 6A 00 8B 4D 1C 51 8B 45 18 50 8D 47 03 8B 55 14 52 8B 4D 10 51 50 53 E8 D6 F7 FF FF 83 C4 24 89 45 FC 83 7D FC 01 75 39 C7 45 C8 01 00 00 00 33 D2 33 C0 8A 57 04 8A 47 05 C1 E2 08 0B D0 83 C2 03 03 FA EB 11 33 D2 33 C9 8A 57 01 8A 4F 02 C1 E2 08 0B D1 03 FA 33 C9 8A 0F 83 F9 54 74 E6 EB 21 83 7D FC 00 74 13 81 7D FC 1C FC FF FF 74 0A 8B 45 FC E9 F3 79 00 00 EB 08 33 D2 89 55 C8 03 7D 9C 83 7D C8 00 75 09 33 C9 8A 0F 83 F9 54 75 4D 83 C7 03 83 7D 80 63 75 35 8B 45 28 40 50 6A 02 8B 55 20 52 8B 4D 1C 51 8B 45 18 50 8B 55 14 52 8B 4D 10 51 57 53 E8 36 F7 FF FF 83 C4 24 89 45 FC 8B 45 FC E9 A1 79 00 00 E9 9A F7 FF FF 33 D2 89 55 24 E9 35 F7 FF FF E9 8B F7 FF FF 83 C7 03 E9 83 F7 FF FF 8B 4D 18 83 79 7C 00 74 6C 8B 45 18 8B 50 7C 83 7A 04 00 75 60 8B 4D 18 8B 41 7C 89 85 64 FF FF FF 8B 95 64 FF FF FF 8B 45 18 8B 0A 89 48 7C 8B 95 64 FF FF FF 8B 4A 14 C1 E1 02 51 8B 85 64 FF FF FF 8B 50 10 52 8B 4D 18 8B 41 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 95 64 FF FF FF 8B 4A 0C 89 4D 10 8B 45 C0 89 45 1C 8B 95 64 FF FF FF 8B 7A 08 E9 0E F7 FF FF 8B 45 18 83 78 44 00 74 0C 3B 5D 10 75 07 33 C0 E9 FB 78 00 00 8B 55 18 89 5A 64 8B 4D 18 8B 5D 14 89 59 68 8B 45 18 8B 55 10 89 50 60 B8 01 00 00 00 E9 D9 78 00 00 33 D2 8A 57 01 83 C7 02 89 55 1C E9 C7 F6 FF FF 8B 4D 28 41 51 6A 00 6A 00 8B 4D 1C 51 8B 45 18 50 8D 47 03 8B 55 14 52 8B 4D 10 51 50 53 E8 2D F6 FF FF 83 C4 24 89 45 FC 83 7D FC 01 74 31 83 7D FC 00 74 11 81 7D FC 1C FC FF FF 74 08 8B 45 FC E9 83 78 00 00 33 D2 33 C9 8A 57 01 8A 4F 02 C1 E2 08 0B D1 03 FA 33 C9 8A 0F 83 F9 54 74 A0 33 C0 8A 07 83 F8 55 75 07 33 C0 E9 59 78 00 00 F6 45 24 01 74 0A B8 01 00 00 00 E9 49 78 00 00 33 D2 33 C9 8A 57 01 8A 4F 02 C1 E2 08 0B D1 33 C9 03 FA 8A 0F 83 F9 54 74 E6 83 C7 03 8B 45 18 8B 50 68 89 55 14 E9 1C F6 FF FF 8B 4D 28 41 51 6A 00 6A 00 8B 45 1C 50 8B 55 18 52 8D 57 03 8B 4D 14 51 8B 45 10 50 52 53 E8 82 F5 FF FF 83 C4 24 89 45 FC 83 7D FC 01 75 07 33 C0 E9 E8 77 00 00 83 7D FC 00 74 11 81 7D FC 1C FC FF FF 74 08 8B 45 FC E9 D1 77 00 00 33 D2 33 C9 8A 57 01 8A 4F 02 C1 E2 08 0B D1 03 FA 33 C9 8A 0F 83 F9 54 74 99 F6 45 24 01 74 0A B8 01 00 00 00 E9 A7 77 00 00 83 C7 03 E9 9D F5 FF FF 83 7D F4 00 74 44 33 D2 33 C0 8A 57 01 8A 47 02 C1 E2 08 0B D0 89 55 F8 EB 23 4B 8B 55 18 3B 5A 58 73 08 33 C0 E9 75 77 00 00 4B 33 D2 8A 13 81 E2 C0 00 00 00 81 FA 80 00 00 00 74 ED 8B 4D F8 83 45 F8 FF 85 C9 7F D2 EB 20 33 C9 33 C0 8A 4F 01 8A 47 02 C1 E1 08 8B 55 18 0B C8 2B D9 3B 5A 58 73 07 33 C0 E9 35 77 00 00 83 C7 03 E9 2B F5 FF FF 83 3D ?? ?? ?? ?? 00 0F 84 DB 00 00 00 C7 85 4C FB FF FF 01 00 00 00 33 D2 8A 57 01 89 95 50 FB FF FF 8B 4D 18 8B 49 0C 89 8D 54 FB FF FF 8B 45 18 8B 50 58 89 95 58 FB FF FF 8B 4D 18 8B 55 18 8B 41 5C 2B 42 58 89 85 5C FB FF FF 8B 4D 18 8B 45 10 2B 41 58 33 C9 89 85 60 FB FF FF 8B C3 8B 55 18 2B 42 58 33 D2 89 85 64 FB FF FF 33 C0 8A 57 02 8A 4F 03 C1 E2 08 0B D1 33 C9 89 95 74 FB FF FF 8A 4F 04 8A 47 05 C1 E1 08 0B C8 89 8D 78 FB FF FF 8B 55 14 D1 FA 79 03 83 D2 00 89 95 68 FB FF FF 8B 4D 18 8B 41 6C 89 85 6C FB FF FF 8D 85 4C FB FF FF 8B 55 18 8B 8A 80 00 00 00 89 8D 70 FB FF FF 50 FF 15 ?? ?? ?? ?? 59 89 45 FC 85 C0 7E 07 33 C0 E9 53 76 00 00 83 7D FC 00 7D 08 8B 45 FC E9 45 76 00 00 83 C7 06 E9 3B F4 FF FF 33 D2 8B 45 18 8A 57 01 33 C9 C1 E2 08 8A 4F 02 0B D1 03 50 54 89 55 E0 8B 55 18 8B 4A 54 3B 4D E0 75 04 33 C9 EB 15 8B 45 E0 33 C9 8A 48 03 C1 E1 08 8B 45 E0 33 D2 8A 50 04 0B CA 89 8D 28 FC FF FF 8D 95 24 FC FF FF 8B 4D 18 83 C7 03 8B 41 7C 89 85 24 FC FF FF 8B 45 18 89 50 7C 89 BD 2C FC FF FF 8B 55 18 8B 4A 10 89 8D 38 FC FF FF 83 BD 38 FC FF FF 1E 7F 0E 8D 8D AC FB FF FF 89 8D 34 FC FF FF EB 2A 8B 85 38 FC FF FF C1 E0 02 50 FF 15 ?? ?? ?? ?? 59 89 85 34 FC FF FF 83 BD 34 FC FF FF 00 75 0A B8 FA FF FF FF E9 8D 75 00 00 8B 95 38 FC FF FF C1 E2 02 52 8B 4D 18 8B 49 0C 51 8B 85 34 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 10 89 95 30 FC FF FF 89 5D 10 8B 4D E0 33 C0 8A 01 83 F8 61 7C 07 BA 02 00 00 00 EB 02 33 D2 89 55 24 8B 45 28 40 50 8B 4D 24 51 8B 4D 20 51 8B 45 1C 50 8B 55 18 52 8B 4D 14 51 8B 45 10 50 8B 55 E0 33 C9 8A 0A 33 C0 8A 81 ?? ?? ?? ?? 03 45 E0 50 53 E8 9A F2 FF FF 83 C4 24 89 45 FC 83 7D FC 01 75 34 8B 55 18 8B 85 24 FC FF FF 89 42 7C 8D 95 AC FB FF FF 3B 95 34 FC FF FF 74 0E 8B 8D 34 FC FF FF 51 FF 15 ?? ?? ?? ?? 59 B8 01 00 00 00 E9 D5 74 00 00 EB 33 83 7D FC 00 74 2D 81 7D FC 1C FC FF FF 74 24 8D 95 AC FB FF FF 3B 95 34 FC FF FF 74 0E 8B 8D 34 FC FF FF 51 FF 15 ?? ?? ?? ?? 59 8B 45 FC E9 A0 74 00 00 8D 95 24 FC FF FF 8B 4D 18 89 51 7C 8B 8D 38 FC FF FF C1 E1 02 51 8B 85 34 FC FF FF 50 8B 55 18 8B 4A 0C 51 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 33 C9 83 C4 0C 8A 50 01 8B 45 E0 C1 E2 08 8A 48 02 0B D1 01 55 E0 8B 55 E0 33 C9 8A 0A 83 F9 54 0F 84 03 FF FF FF 8B 45 18 8B 95 24 FC FF FF 89 50 7C 8D 85 AC FB FF FF 3B 85 34 FC FF FF 74 0E 8B 95 34 FC FF FF 52 FF 15 ?? ?? ?? ?? 59 33 C0 E9 1D 74 00 00 89 7D D4 89 5D D0 8B 55 28 42 52 6A }
	condition:
		$1
}

rule function_66654_0 {
	meta:
		name = "pcre_exec"
		size = 2896
		refs = "0121 __pcre_default_tables 0147 __pcre_try_flipped 03ce __pcre_valid_utf8 047e _pcre_malloc 063d __pcre_is_newline 07a0 __pcre_was_newline 0abc _memcpy 0ad8 _pcre_free"
	strings:
		$1 = { 55 8B EC 81 C4 C0 FE FF FF 33 C0 33 D2 33 C9 53 56 57 8D 9D 10 FF FF FF C7 45 F4 FF FF FF FF C7 45 F0 FF FF FF FF C7 45 EC FF FF FF FF 89 45 E0 89 55 D0 89 4D CC 33 C0 89 45 C0 8B 75 10 03 75 18 8D 46 FF 89 45 B8 8B 55 08 89 55 B0 8B 4D B0 89 4D AC F7 45 1C 6F 5A 0F FA 74 0A B8 FD FF FF FF E9 E3 0A 00 00 83 7D AC 00 74 12 83 7D 10 00 74 0C 83 7D 20 00 75 10 83 7D 24 00 7E 0A B8 FE FF FF FF E9 C1 0A 00 00 83 7D 24 00 7D 0A B8 F1 FF FF FF E9 B1 0A 00 00 33 D2 33 C9 89 55 B4 C7 43 04 80 96 98 00 C7 43 08 80 96 98 00 89 8B 80 00 00 00 8B 4D B0 8B 41 20 89 45 C4 83 7D 0C 00 74 56 8B 55 0C 8B 0A 89 4D A8 F6 45 A8 01 74 09 8B 45 0C 8B 50 04 89 55 B4 F6 45 A8 02 74 09 8B 4D 0C 8B 41 08 89 43 04 F6 45 A8 10 74 09 8B 55 0C 8B 4A 14 89 4B 08 F6 45 A8 04 74 0C 8B 45 0C 8B 50 0C 89 93 80 00 00 00 F6 45 A8 08 74 09 8B 4D 0C 8B 41 10 89 45 C4 83 7D C4 00 75 07 C7 45 C4 ?? ?? ?? ?? 8B 55 AC 81 3A 45 52 43 50 74 40 8D 8D E8 FE FF FF 8D 95 C0 FE FF FF 51 8B 45 B4 50 52 8B 4D AC 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 AC 83 7D AC 00 75 0A B8 FC FF FF FF E9 E8 09 00 00 83 7D B4 00 74 09 8D 95 E8 FE FF FF 89 55 B4 8B 4D AC 8B 41 08 0B 45 1C A8 10 0F 95 C2 83 E2 01 89 55 DC 8B 4D AC F6 41 0C 08 0F 95 C0 83 E0 01 89 45 D8 8B 55 AC F6 42 0A 04 0F 95 C1 83 E1 01 89 4D D4 8B 45 AC 0F B7 50 1C 8B 45 AC 0F B7 48 1A 0F AF D1 8B 45 AC 0F B7 48 18 03 4D B0 03 D1 89 53 54 8B 55 10 89 53 58 8B 4D 18 89 4B 70 8B 43 58 03 45 14 89 43 5C 8B 53 5C 89 55 BC 8B 4D AC F6 41 08 20 0F 95 C0 83 E0 01 89 43 40 8B 55 AC F6 42 09 08 0F 95 C1 83 E1 01 89 4B 38 89 4D C8 8B 45 AC F6 40 0B 02 0F 95 C2 83 E2 01 89 53 3C F6 45 1C 80 0F 95 C1 83 E1 01 89 4B 30 F6 45 1D 01 0F 95 C0 83 E0 01 89 43 34 F6 45 1D 04 0F 95 C2 83 E2 01 89 53 44 F6 45 1D 80 0F 95 C1 83 E1 01 89 4B 48 33 C0 89 43 4C 33 D2 89 53 7C 8B 4D C4 89 4B 24 8B 45 C4 05 40 03 00 00 89 43 28 8B 55 1C 81 E2 00 00 80 01 83 EA 01 72 12 81 EA FF FF 7F 00 74 2F 81 EA 00 00 80 00 74 30 EB 35 8B 4D AC F7 41 08 00 00 80 01 74 12 8B 45 AC F6 40 0A 80 0F 95 C2 83 E2 01 89 53 50 EB 21 33 C9 89 4B 50 EB 1A C7 43 50 01 00 00 00 EB 11 33 C0 89 43 50 EB 0A B8 E9 FF FF FF E9 89 08 00 00 F6 45 1E 70 75 08 8B 55 AC 8B 4A 08 EB 03 8B 4D 1C 81 E1 00 00 70 00 81 F9 00 00 30 00 7F 19 74 44 83 E9 01 72 24 81 E9 FF FF 0F 00 74 25 81 E9 00 00 10 00 74 26 EB 48 81 E9 00 00 40 00 74 2E 81 E9 00 00 10 00 74 2F EB 36 C7 45 E8 0A 00 00 00 EB 37 C7 45 E8 0D 00 00 00 EB 2E C7 45 E8 0A 00 00 00 EB 25 C7 45 E8 0A 0D 00 00 EB 1C C7 45 E8 FF FF FF FF EB 13 C7 45 E8 FE FF FF FF EB 0A B8 E9 FF FF FF E9 FF 07 00 00 83 7D E8 FE 75 09 C7 43 18 02 00 00 00 EB 47 83 7D E8 00 7D 09 C7 43 18 01 00 00 00 EB 38 33 D2 89 53 18 81 7D E8 FF 00 00 00 7E 1D C7 43 1C 02 00 00 00 8B 4D E8 C1 F9 08 80 E1 FF 88 4B 20 8A 45 E8 24 FF 88 43 21 EB 0D C7 43 1C 01 00 00 00 8A 55 E8 88 53 20 83 7B 48 00 74 13 8B 4D AC F6 41 0C 01 74 0A B8 F3 FF FF FF E9 90 07 00 00 83 7D C8 00 74 66 F6 45 1D 20 75 60 8B 55 14 52 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 7C 0A B8 F6 FF FF FF E9 66 07 00 00 83 7D 18 00 7E 3C 8B 55 18 3B 55 14 7D 34 8B 4D 10 8B 45 18 33 D2 8A 14 01 89 55 A4 83 7D A4 7F 7E 20 81 65 A4 C0 00 00 00 83 7D A4 00 74 13 81 7D A4 C0 00 00 00 74 0A B8 F5 FF FF FF E9 24 07 00 00 8B 55 AC 8B 4A 08 83 E1 07 89 4D E4 8B 45 24 B9 03 00 00 00 99 F7 F9 8B 45 24 2B C2 89 45 F8 8B 55 AC 0F B7 4A 12 85 C9 7E 50 8B 45 F8 B9 03 00 00 00 99 F7 F9 8B 55 AC 0F B7 4A 12 3B C1 7F 3A 8B 45 AC 0F B7 48 12 8D 04 49 83 C0 03 89 45 F8 8B 55 F8 C1 E2 02 52 FF 15 ?? ?? ?? ?? 59 89 43 0C 83 7B 0C 00 75 0A B8 FA FF FF FF E9 B3 06 00 00 C7 45 E0 01 00 00 00 EB 06 8B 55 20 89 53 0C 8B 4D F8 89 4B 10 8B 45 F8 03 C0 B9 03 00 00 00 99 F7 F9 89 43 14 33 C9 89 4B 2C C7 43 6C FF FF FF FF 8B 45 AC 0F B7 50 10 03 D2 83 C2 02 89 55 FC 8B 4D FC 3B 4D 24 7E 06 8B 45 F8 89 45 FC 83 7B 0C 00 74 3B 8B 55 F8 C1 E2 02 03 53 0C 89 55 A0 8B 4D FC D1 F9 79 03 83 D1 00 C1 E1 02 8B 45 A0 2B C1 83 C0 04 89 45 9C EB 09 8B 55 A0 C7 02 FF FF FF FF 83 6D A0 04 8B 4D A0 3B 4D 9C 73 EB 83 7D DC 00 75 59 8B 45 AC F6 40 0C 02 74 32 8B 55 AC 0F B7 4A 14 81 E1 FF 00 00 00 89 4D F4 8B 45 AC F6 40 15 01 0F 95 C2 83 E2 01 89 55 D0 4A 75 2D 8B 43 24 8B 4D F4 0F B6 0C 08 89 4D F4 EB 1E 83 7D D8 00 75 18 83 7D B4 00 74 12 8B 45 B4 F6 40 04 01 74 09 8B 55 B4 83 C2 08 89 55 C0 8B 4D AC F6 41 0C 04 74 31 8B 45 AC 0F B7 50 16 81 E2 FF 00 00 00 89 55 F0 8B 4D AC F6 41 17 01 0F 95 C0 83 E0 01 89 45 CC 8B 55 C4 8B 45 F0 0F B6 94 02 00 01 00 00 89 55 EC 8B 4D BC 89 4D 98 83 7B 0C 00 74 1C 8B 43 0C 8B 55 FC C1 E2 02 03 D0 3B D0 76 0D C7 00 FF FF FF FF 83 C0 04 3B D0 77 F3 83 7D D4 00 0F 84 FD 00 00 00 83 7D C8 00 8B FE 0F 84 8A 00 00 00 EB 19 47 EB 01 47 3B 7D BC 73 10 33 C0 8A 07 25 C0 00 00 00 3D 80 00 00 00 74 EA 3B 7B 5C 0F 83 CA 00 00 00 83 7B 18 00 74 2D 3B 7B 5C 73 1D 8B 55 C8 8D 4B 1C 52 51 8B 4B 5C 51 8B 43 18 50 57 E8 ?? ?? ?? ?? 83 C4 14 85 C0 75 04 33 D2 EB 2F BA 01 00 00 00 EB 28 8B 4B 5C 2B 4B 1C 3B F9 77 15 8A 07 3A 43 20 75 0E 83 7B 1C 01 74 0C 8A 57 01 3A 53 21 74 04 33 D2 EB 05 BA 01 00 00 00 85 D2 0F 84 7B FF FF FF EB 65 47 3B 7B 5C 73 5F 83 7B 18 00 74 2D 3B 7B 5C 73 1D 8B 45 C8 8D 4B 1C 50 51 8B 4B 5C 51 8B 43 18 50 57 E8 ?? ?? ?? ?? 83 C4 14 85 C0 75 04 33 D2 EB 2F BA 01 00 00 00 EB 28 8B 4B 5C 2B 4B 1C 3B F9 77 15 8A 07 3A 43 20 75 0E 83 7B 1C 01 74 0C 8A 57 01 3A 53 21 74 04 33 D2 EB 05 BA 01 00 00 00 85 D2 74 9B 89 7D BC F6 45 1F 04 0F 85 C4 01 00 00 83 7D F4 00 7C 3F 83 7D D0 00 74 22 EB 01 46 3B 75 BC 0F 83 AC 01 00 00 33 C0 8A 06 8B 4B 24 0F B6 0C 01 3B 4D F4 75 E6 E9 97 01 00 00 46 3B 75 BC 0F 83 8D 01 00 00 33 C0 8A 06 3B 45 F4 75 ED E9 7F 01 00 00 83 7D D8 00 0F 84 46 01 00 00 8B 53 58 03 55 18 3B F2 0F 86 67 01 00 00 83 7D C8 00 0F 84 97 00 00 00 EB 1B 46 EB 01 46 3B 75 BC 73 12 33 C9 8A 0E 81 E1 C0 00 00 00 81 F9 80 00 00 00 74 E8 3B 75 BC 0F 83 E0 00 00 00 83 7B 18 00 74 2C 8B 7B 58 3B F7 76 1A 8B 45 C8 50 8D 53 1C 52 57 8B 4B 18 51 56 E8 ?? ?? ?? ?? 83 C4 14 85 C0 75 04 33 C9 EB 3B B9 01 00 00 00 EB 34 8B 43 58 03 43 1C 3B F0 72 21 8B 53 1C F7 DA 8A 0C 16 3A 4B 20 75 14 83 7B 1C 01 74 12 8B 43 1C F7 D8 8A 54 06 01 3A 53 21 74 04 33 C9 EB 05 B9 01 00 00 00 85 C9 0F 84 6E FF FF FF EB 70 46 3B 75 BC 73 6A 83 7B 18 00 74 2C 8B 7B 58 3B F7 76 1A 8B 45 C8 50 8D 53 1C 52 57 8B 4B 18 51 56 E8 ?? ?? ?? ?? 83 C4 14 85 C0 75 04 33 C9 EB 3B B9 01 00 00 00 EB 34 8B 43 58 03 43 1C 3B F0 72 21 8B 53 1C F7 DA 8A 0C 16 3A 4B 20 75 14 83 7B 1C 01 74 12 8B 43 1C F7 D8 8A 54 06 01 3A 53 21 74 04 33 C9 EB 05 B9 01 00 00 00 85 C9 74 90 33 C0 8A 46 FF 83 F8 0D 75 4D 8B 43 18 83 F8 01 74 05 83 F8 02 75 40 3B 75 BC 73 3B 33 D2 8A 16 83 FA 0A 75 32 46 EB 2F 83 7D C0 00 74 29 3B 75 BC 73 24 33 C0 8A 06 8B C8 83 E1 07 BA 01 00 00 00 D3 E2 C1 E8 03 8B 4D C0 0F B6 04 01 23 D0 75 06 46 3B 75 BC 72 DC 8B 55 98 89 55 BC F6 45 1F 04 75 7B 83 7D F0 00 7C 75 8B 4D BC 2B CE 81 F9 E8 03 00 00 7D 68 83 7B 48 00 75 62 83 7D F4 00 7C 07 B8 01 00 00 00 EB 02 33 C0 03 C6 3B 45 B8 76 4C 83 7D CC 00 74 1E 3B 45 BC 73 32 33 D2 8A 10 40 3B 55 F0 74 05 3B 55 EC 75 03 48 EB 20 3B 45 BC 72 E9 EB 19 3B 45 BC 73 14 8A 08 33 D2 8A D1 40 3B 55 F0 75 03 48 EB 05 3B 45 BC 72 EC 3B 45 BC 72 07 33 FF E9 53 01 00 00 89 45 B8 89 73 60 33 C0 89 03 6A 00 6A 00 6A 00 8B 55 E4 52 53 6A 02 56 8B 4B 54 51 56 E8 1F 74 FF FF 83 C4 24 8B F8 8B C7 3D 1B FC FF FF 7F 11 74 50 2D 19 FC FF FF 74 51 48 74 18 E9 12 01 00 00 2D 1C FC FF FF 74 0C 2D E4 03 00 00 74 05 E9 FF 00 00 00 8D 56 01 89 55 94 83 7D C8 00 74 31 EB 03 FF 45 94 8B 4D 94 3B 4D BC 73 24 8B 4D 94 33 C0 8A 01 25 C0 00 00 00 3D 80 00 00 00 74 E2 EB 0F 8B 53 60 89 55 94 EB 07 33 FF E9 C2 00 00 00 33 FF 83 7D D4 00 74 5F 83 7B 18 00 74 2D 3B 73 5C 73 1D 8B 45 C8 8D 53 1C 50 52 8B 4B 5C 51 8B 4B 18 51 56 E8 ?? ?? ?? ?? 83 C4 14 85 C0 75 04 33 C0 EB 2F B8 01 00 00 00 EB 28 8B 53 5C 2B 53 1C 3B F2 77 15 8A 0E 3A 4B 20 75 0E 83 7B 1C 01 74 0C 8A 46 01 3A 43 21 74 04 33 C0 EB 05 B8 01 00 00 00 85 C0 75 5B 83 7D DC 00 8B 75 94 75 52 3B 75 BC 77 4D 33 C0 8A 46 FF 83 F8 0D 0F 85 6B FB FF FF 3B 75 BC 0F 83 62 FB FF FF 33 D2 8A 16 83 FA 0A 0F 85 55 FB FF FF 8B 4D AC F6 41 0C 20 0F 85 48 FB FF FF 83 7B 18 01 74 10 83 7B 18 02 74 0A 83 7B 1C 02 0F 85 32 FB FF FF 46 E9 2C FB FF FF 83 FF 01 75 7F 83 7D E0 00 74 40 83 7D 24 04 7C 20 8B 4D 24 83 C1 FE C1 E1 02 51 8B 43 0C 83 C0 08 50 8B 55 20 83 C2 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 4B 68 3B 4D 24 7E 07 C7 43 2C 01 00 00 00 8B 43 0C 50 FF 15 ?? ?? ?? ?? 59 83 7B 2C 00 74 04 33 FF EB 0A 8B 7B 68 D1 FF 79 03 83 D7 00 83 7D 24 02 7D 04 33 FF EB 17 8B 43 60 8B 55 20 2B 43 58 89 02 8B 4B 64 2B 4B 58 8B 5D 20 89 4B 04 8B C7 EB 33 83 7D E0 00 74 0B 8B 53 0C 52 FF 15 ?? ?? ?? ?? 59 85 FF 74 06 8B C7 EB 1A EB 18 83 7B 48 00 74 0F 83 7B 4C 00 74 09 B8 F4 FF FF FF EB 05 EB 03 83 C8 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66655_0 {
	meta:
		name = "pcre_fullinfo"
		size = 407
		refs = "0045 __pcre_try_flipped 0070 pcre_fullinfo 0157 __pcre_default_tables"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 8B 7D 14 8B 75 0C 8B 45 08 33 DB 85 C0 74 04 85 FF 75 0A B8 FE FF FF FF E9 6A 01 00 00 85 F6 74 08 F6 06 01 74 03 8B 5E 04 81 38 45 52 43 50 74 27 8D 55 B0 8D 4D D8 52 53 51 50 E8 ?? ?? ?? ?? 83 C4 10 85 C0 75 0A B8 FC FF FF FF E9 36 01 00 00 85 DB 74 03 8D 5D B0 8B 55 10 83 FA 0E 0F 87 1A 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 40 08 25 7F 7A FC 03 89 07 E9 CF 00 00 00 8B 48 04 89 0F E9 C5 00 00 00 85 DB 75 04 33 C9 EB 02 8B 0B 89 0F E9 B4 00 00 00 0F B7 40 10 89 07 E9 A9 00 00 00 0F B7 50 12 89 17 E9 9E 00 00 00 F6 40 0C 02 74 06 0F B7 50 14 EB 10 F6 40 0C 08 74 05 83 CA FF EB 05 BA FE FF FF FF 89 17 EB 7E 85 DB 74 0E F6 43 04 01 74 08 8B 46 04 83 C0 08 EB 02 33 C0 89 07 EB 66 F6 40 0C 04 74 06 0F B7 50 16 EB 03 83 CA FF 89 17 EB 53 0F B7 40 1A 89 07 EB 4B 0F B7 48 1C 89 0F EB 43 0F B7 50 18 03 C2 89 07 EB 39 C7 07 ?? ?? ?? ?? EB 31 F6 40 0C 01 0F 94 C0 83 E0 01 89 07 EB 23 F6 40 0C 10 0F 95 C1 83 E1 01 89 0F EB 15 F6 40 0C 20 0F 95 C0 83 E0 01 89 07 EB 07 B8 FD FF FF FF EB 02 33 C0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66656_0 {
	meta:
		name = "pcre_get_stringnumber"
		size = 236
		refs = "0016 pcre_fullinfo"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B 75 08 8D 45 F8 50 6A 08 6A 00 56 E8 ?? ?? ?? ?? 83 C4 10 8B D8 85 C0 74 07 8B C3 E9 B8 00 00 00 83 7D F8 00 7F 0A B8 F9 FF FF FF E9 A8 00 00 00 8D 55 FC 52 6A 07 6A 00 56 E8 ?? ?? ?? ?? 83 C4 10 8B D8 85 C0 74 07 8B C3 E9 8A 00 00 00 8D 55 F4 52 6A 09 6A 00 56 E8 ?? ?? ?? ?? 83 C4 10 8B D8 85 C0 74 04 8B C3 EB 6F 33 FF 3B 7D F8 7D 63 8B 5D F8 03 DF D1 FB 79 03 83 D3 00 8B 75 FC 0F AF F3 03 75 F4 8B 45 0C 8D 56 02 8A 08 3A 0A 75 16 84 C9 74 12 8A 48 01 3A 4A 01 75 0A 83 C0 02 83 C2 02 84 C9 75 E4 0F 95 C2 1B C0 0A C2 85 C0 75 10 33 C0 33 D2 8A 06 8A 56 01 C1 E0 08 03 C2 EB 16 85 C0 7E 05 8D 7B 01 EB 03 89 5D F8 3B 7D F8 7C 9D B8 F9 FF FF FF 5F 5E 5B 8B E5 5D C3 90 90 90 }
	condition:
		$1
}

rule function_66657_0 {
	meta:
		name = "pcre_get_stringtable_entries"
		size = 520
		refs = "0019 pcre_fullinfo"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B 7D 0C 8B 75 08 8D 45 F8 50 6A 08 6A 00 56 E8 ?? ?? ?? ?? 83 C4 10 8B D8 85 C0 74 07 8B C3 E9 46 01 00 00 83 7D F8 00 7F 0A B8 F9 FF FF FF E9 36 01 00 00 8D 55 FC 52 6A 07 6A 00 56 E8 ?? ?? ?? ?? 83 C4 10 8B D8 85 C0 74 07 8B C3 E9 18 01 00 00 8D 55 F0 52 6A 09 6A 00 56 E8 ?? ?? ?? ?? 83 C4 10 8B D8 85 C0 74 07 8B C3 E9 FA 00 00 00 8B 55 F8 33 C9 4A 0F AF 55 FC 03 55 F0 89 55 EC 89 4D F4 8B 75 F8 3B 75 F4 0F 8E D6 00 00 00 8B 5D F8 03 5D F4 D1 FB 79 03 83 D3 00 8B 75 FC 0F AF F3 03 75 F0 8B C7 8D 56 02 8A 08 3A 0A 75 16 84 C9 74 12 8A 48 01 3A 4A 01 75 0A 83 C0 02 83 C2 02 84 C9 75 E4 0F 95 C2 1B C0 0A C2 85 C0 75 7B 8B DE 3B 5D F0 76 30 8B C7 8B D3 2B 55 FC 83 C2 02 8A 08 3A 0A 75 16 84 C9 74 14 8A 48 01 3A 4A 01 75 0A 83 C0 02 83 C2 02 84 C9 75 E4 75 08 2B 5D FC 3B 5D F0 77 D0 3B 75 EC 73 30 8B C7 8B 55 FC 03 D6 83 C2 02 8A 08 3A 0A 75 16 84 C9 74 14 8A 48 01 3A 4A 01 75 0A 83 C0 02 83 C2 02 84 C9 75 E4 75 08 03 75 FC 3B 75 EC 72 D0 8B 4D 10 89 19 8B 45 14 89 30 8B 45 FC EB 1E 85 C0 7E 06 43 89 5D F4 EB 03 89 5D F8 8B 45 F8 3B 45 F4 0F 8F 2A FF FF FF B8 F9 FF FF FF 5F 5E 5B 8B E5 5D C3 90 90 55 8B EC 83 C4 F8 53 56 8B 55 08 8B 75 10 8B C2 8B 4D 0C F6 40 0A 08 75 12 F6 40 0C 10 75 0C 51 52 E8 72 FD FF FF 83 C4 08 EB 59 8D 45 F8 50 8D 45 FC 50 51 52 E8 4A FE FF FF 83 C4 10 8B C8 85 C9 7F 04 8B C1 EB 3D 8B 45 FC 3B 45 F8 77 23 33 D2 33 DB 8A 10 8A 58 01 C1 E2 08 03 D3 8B DA 03 DB 83 3C 9E 00 7C 04 8B C2 EB 19 03 C1 3B 45 F8 76 DD 8B 55 FC 0F BE 02 C1 E0 08 8B 55 FC 0F BE 4A 01 03 C1 5E 5B 59 59 5D C3 90 90 }
	condition:
		$1
}

rule function_66658_0 {
	meta:
		name = "pcre_copy_substring"
		size = 88
		refs = "0044 _memcpy"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 18 8B 45 14 8B 55 0C 85 C0 7C 05 3B 45 10 7C 07 B8 F9 FF FF FF EB 33 8B C8 03 C9 89 C8 8B 5C 82 04 2B 1C 82 8D 4B 01 3B 4D 1C 7E 07 B8 FA FF FF FF EB 17 53 8B 14 82 03 55 08 52 56 E8 ?? ?? ?? ?? 83 C4 0C C6 04 1E 00 8B C3 5E 5B 5D C3 90 90 90 }
	condition:
		$1
}

rule function_66659_0 {
	meta:
		name = "pcre_copy_named_substring"
		size = 60
	strings:
		$1 = { 55 8B EC 53 8B 5D 10 53 8B 45 18 50 8B 55 08 52 E8 07 FF FF FF 83 C4 0C 85 C0 7E 1A 8B 4D 20 51 8B 55 1C 52 50 8B 45 14 50 53 8B 4D 0C 51 E8 75 FF FF FF 83 C4 18 5B 5D C3 90 90 90 }
	condition:
		$1
}

rule function_66660_0 {
	meta:
		name = "pcre_get_substring_list"
		size = 192
		refs = "0040 _pcre_malloc 008b _memcpy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B 5D 10 BA 04 00 00 00 8B C3 03 C0 89 45 FC 33 FF 8B 45 0C 83 C0 04 3B 7D FC 7D 18 8B 08 83 C7 02 83 C1 04 2B 48 FC 83 C0 08 03 CA 41 3B 7D FC 8B D1 7C E8 52 FF 15 ?? ?? ?? ?? 59 89 45 F8 83 7D F8 00 75 07 B8 FA FF FF FF EB 61 8B 55 14 8B F3 C1 E6 02 8B 4D F8 89 0A 33 FF 03 75 F8 8B 45 0C 83 C6 04 3B 7D FC 8D 58 04 7D 38 8B 13 8B 43 FC 2B D0 89 55 F4 8B 4D F4 51 8B 55 08 03 D0 52 56 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 F8 89 30 83 45 F8 04 03 75 F4 C6 06 00 46 83 C7 02 83 C3 08 3B 7D FC 7C C8 8B 4D F8 33 DB 89 19 33 C0 5F 5E 5B 8B E5 5D C3 90 90 90 }
	condition:
		$1
}

rule function_66661_0 {
	meta:
		name = "pcre_free_substring"
		size = 16
		refs = "0009 _pcre_free"
		altNames = "pcre_free_substring_list"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 FF 15 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_66662_0 {
	meta:
		name = "pcre_get_substring"
		size = 104
		refs = "0032 _pcre_malloc 0051 _memcpy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 14 85 DB 7C 05 3B 5D 10 7C 07 B8 F9 FF FF FF EB 4A 8B D3 8B 4D 0C 03 D2 8B 45 0C 89 D3 8B 74 99 04 2B 34 98 8D 56 01 52 FF 15 ?? ?? ?? ?? 59 8B F8 85 FF 75 07 B8 FA FF FF FF EB 1F 56 8B 55 0C 8B 0C 9A 03 4D 08 51 57 E8 ?? ?? ?? ?? 83 C4 0C C6 04 37 00 8B 45 18 89 38 8B C6 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_66663_0 {
	meta:
		name = "pcre_get_named_substring"
		size = 56
	strings:
		$1 = { 55 8B EC 53 8B 5D 10 53 8B 45 18 50 8B 55 08 52 E8 93 FD FF FF 83 C4 0C 85 C0 7E 16 8B 4D 1C 51 50 8B 4D 14 51 53 8B 45 0C 50 E8 69 FF FF FF 83 C4 14 5B 5D C3 90 90 90 }
	condition:
		$1
}

rule function_66665_0 {
	meta:
		name = "pcre_info"
		size = 123
		refs = "002e __pcre_try_flipped"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 8B 75 10 8B 5D 0C 8B 45 08 85 C0 75 07 B8 FE FF FF FF EB 59 81 38 45 52 43 50 74 1C 6A 00 8D 55 D8 6A 00 52 50 E8 ?? ?? ?? ?? 83 C4 10 85 C0 75 07 B8 FC FF FF FF EB 35 85 DB 74 0B 8B 50 08 81 E2 7F 7A FC 03 89 13 85 F6 74 1E F6 40 0C 02 74 06 0F B7 48 14 EB 10 F6 40 0C 08 74 05 83 C9 FF EB 05 B9 FE FF FF FF 89 0E 0F B7 40 10 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66666_0 {
	meta:
		name = "pcre_maketables"
		size = 680
		refs = "000c _pcre_malloc 002a __ltolower 003f _islower 004c __ltoupper 0071 _memset 007c _isdigit 00a0 _isupper 00eb _isalnum 0133 _isspace 0156 _isxdigit 017a _isgraph 01a1 _isprint 01c8 _ispunct 01ef _iscntrl 023e _isalpha 027b _DV_. 0280 _strchr"
	strings:
		$1 = { 53 56 57 55 51 68 40 04 00 00 FF 15 ?? ?? ?? ?? 59 89 04 24 83 3C 24 00 75 07 33 C0 E9 81 02 00 00 8B 34 24 33 DB 8B FB 57 E8 ?? ?? ?? ?? 59 88 06 46 43 81 FB 00 01 00 00 7C EB 33 DB 53 E8 ?? ?? ?? ?? 59 85 C0 74 0B 8B FB 57 E8 ?? ?? ?? ?? 59 EB 09 8B EB 55 E8 ?? ?? ?? ?? 59 88 06 46 43 81 FB 00 01 00 00 7C D5 68 40 01 00 00 6A 00 56 E8 ?? ?? ?? ?? 83 C4 0C 33 DB 53 E8 ?? ?? ?? ?? 59 85 C0 74 19 8B CB B0 01 83 E1 07 8B D3 D2 E0 85 D2 79 03 83 C2 07 C1 FA 03 08 44 16 40 53 E8 ?? ?? ?? ?? 59 85 C0 74 19 8B CB B0 01 83 E1 07 8B D3 D2 E0 85 D2 79 03 83 C2 07 C1 FA 03 08 44 16 60 53 E8 ?? ?? ?? ?? 59 85 C0 74 1C 8B CB B0 01 83 E1 07 8B D3 D2 E0 85 D2 79 03 83 C2 07 C1 FA 03 08 84 16 80 00 00 00 53 E8 ?? ?? ?? ?? 59 85 C0 74 1C 8B CB B0 01 83 E1 07 8B D3 D2 E0 85 D2 79 03 83 C2 07 C1 FA 03 08 84 16 A0 00 00 00 83 FB 5F 75 1C 8B CB B0 01 83 E1 07 8B D3 D2 E0 85 D2 79 03 83 C2 07 C1 FA 03 08 84 16 A0 00 00 00 53 E8 ?? ?? ?? ?? 59 85 C0 74 18 8B CB B0 01 83 E1 07 8B D3 D2 E0 85 D2 79 03 83 C2 07 C1 FA 03 08 04 16 53 E8 ?? ?? ?? ?? 59 85 C0 74 19 8B CB B0 01 83 E1 07 8B D3 D2 E0 85 D2 79 03 83 C2 07 C1 FA 03 08 44 16 20 53 E8 ?? ?? ?? ?? 59 85 C0 74 1C 8B CB B0 01 83 E1 07 8B D3 D2 E0 85 D2 79 03 83 C2 07 C1 FA 03 08 84 16 C0 00 00 00 53 E8 ?? ?? ?? ?? 59 85 C0 74 1C 8B CB B0 01 83 E1 07 8B D3 D2 E0 85 D2 79 03 83 C2 07 C1 FA 03 08 84 16 E0 00 00 00 53 E8 ?? ?? ?? ?? 59 85 C0 74 1C 8B CB B0 01 83 E1 07 8B D3 D2 E0 85 D2 79 03 83 C2 07 C1 FA 03 08 84 16 00 01 00 00 53 E8 ?? ?? ?? ?? 59 85 C0 74 1C 8B CB B0 01 83 E1 07 8B D3 D2 E0 85 D2 79 03 83 C2 07 C1 FA 03 08 84 16 20 01 00 00 43 81 FB 00 01 00 00 0F 8C 59 FE FF FF 81 C6 40 01 00 00 33 DB 33 FF 83 FB 0B 74 0C 53 E8 ?? ?? ?? ?? 59 85 C0 74 01 47 53 E8 ?? ?? ?? ?? 59 85 C0 74 03 83 C7 02 53 E8 ?? ?? ?? ?? 59 85 C0 74 03 83 C7 04 53 E8 ?? ?? ?? ?? 59 85 C0 74 03 83 C7 08 53 E8 ?? ?? ?? ?? 59 85 C0 75 05 83 FB 5F 75 03 83 C7 10 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 06 81 C7 80 00 00 00 8B C7 88 06 46 43 81 FB 00 01 00 00 7C 8A 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66667_0 {
	meta:
		name = "__pcre_is_newline"
		size = 352
		refs = "0026 __pcre_utf8_table4 0038 __pcre_utf8_table3"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 83 7D 18 00 8B 75 08 74 60 33 C0 8A 06 3D C0 00 00 00 7C 59 8B D0 33 C9 83 E2 3F 8A 8A ?? ?? ?? ?? 89 4D F8 8B 55 F8 8B 5D F8 03 D2 23 04 9D ?? ?? ?? ?? C7 45 FC 01 00 00 00 8D 14 52 8D 5E 01 8B CA D3 E0 8B 4D FC 3B 4D F8 7F 21 0F B6 3B 83 EA 06 83 E7 3F 8B CA D3 E7 0B C7 FF 45 FC 43 8B 4D FC 3B 4D F8 7E E5 EB 04 33 C0 8A 06 83 7D 0C 02 75 58 83 E8 0A 74 07 83 E8 03 74 15 EB 40 8B 55 14 B8 01 00 00 00 C7 02 01 00 00 00 E9 BE 00 00 00 8B 55 10 4A 3B F2 73 11 33 C9 8A 4E 01 83 F9 0A 75 07 B8 02 00 00 00 EB 05 B8 01 00 00 00 8B 55 14 89 02 B8 01 00 00 00 E9 91 00 00 00 33 C0 E9 8A 00 00 00 E9 85 00 00 00 83 C0 F6 83 E8 03 72 13 74 21 83 E8 78 74 46 05 5D E0 FF FF 83 E8 02 72 5A EB 68 8B 55 14 B8 01 00 00 00 C7 02 01 00 00 00 EB 5A 8B 55 10 4A 3B F2 73 11 33 C9 8A 4E 01 83 F9 0A 75 07 B8 02 00 00 00 EB 05 B8 01 00 00 00 8B 55 14 89 02 B8 01 00 00 00 EB 30 83 7D 18 00 74 07 BA 02 00 00 00 EB 05 BA 01 00 00 00 8B 45 14 89 10 B8 01 00 00 00 EB 12 8B 55 14 B8 01 00 00 00 C7 02 03 00 00 00 EB 02 33 C0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66668_0 {
	meta:
		name = "__pcre_was_newline"
		size = 369
		refs = "003c __pcre_utf8_table4 004e __pcre_utf8_table3"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 45 08 48 83 7D 18 00 74 75 EB 01 48 33 D2 8A 10 81 E2 C0 00 00 00 81 FA 80 00 00 00 74 ED 33 D2 8A 10 81 FA C0 00 00 00 7C 58 8B CA 83 E1 3F 0F B6 89 ?? ?? ?? ?? 89 4D F8 8B 5D F8 8B 75 F8 03 DB 23 14 B5 ?? ?? ?? ?? C7 45 FC 01 00 00 00 8D 1C 5B 8D 70 01 8B CB D3 E2 8B 4D FC 3B 4D F8 7F 21 0F B6 3E 83 EB 06 83 E7 3F 8B CB D3 E7 0B D7 FF 45 FC 46 8B 4D FC 3B 4D F8 7E E5 EB 04 33 D2 8A 10 83 7D 0C 02 75 54 83 EA 0A 74 07 83 EA 03 74 2B EB 3C 3B 45 10 76 10 0F B6 40 FF 83 F8 0D 75 07 B8 02 00 00 00 EB 05 B8 01 00 00 00 8B 55 14 89 02 B8 01 00 00 00 E9 A3 00 00 00 8B 55 14 B8 01 00 00 00 C7 02 01 00 00 00 E9 90 00 00 00 33 C0 E9 89 00 00 00 E9 84 00 00 00 83 EA 0A 74 18 4A 83 EA 03 72 39 83 EA 77 74 44 81 C2 5D E0 FF FF 83 EA 02 72 57 EB 65 3B 45 10 76 11 33 D2 8A 50 FF 83 FA 0D 75 07 B9 02 00 00 00 EB 05 B9 01 00 00 00 8B 45 14 89 08 B8 01 00 00 00 EB 40 8B 55 14 B8 01 00 00 00 C7 02 01 00 00 00 EB 30 83 7D 18 00 74 07 BA 02 00 00 00 EB 05 BA 01 00 00 00 8B 45 14 89 10 B8 01 00 00 00 EB 12 8B 55 14 B8 01 00 00 00 C7 02 03 00 00 00 EB 02 33 C0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66669_0 {
	meta:
		name = "__pcre_ord2utf8"
		size = 77
		refs = "000e __pcre_utf8_table1 001e __pcre_utf8_table1_size 0042 __pcre_utf8_table2"
	strings:
		$1 = { 55 8B EC 53 56 8B 4D 0C 8B 55 08 33 C0 BB ?? ?? ?? ?? EB 08 3B 13 7E 0C 40 83 C3 04 3B 05 ?? ?? ?? ?? 7C F0 03 C8 8B F0 85 F6 7E 13 8B DA 80 E3 3F 80 CB 80 88 19 49 C1 FA 06 4E 85 F6 7F ED 0A 14 85 ?? ?? ?? ?? 40 88 11 5E 5B 5D C3 }
	condition:
		$1
}

rule function_66670_0 {
	meta:
		name = "pcre_refcount"
		size = 75
	strings:
		$1 = { 55 8B EC 53 8B 55 0C 8B 45 08 85 C0 75 08 B8 FE FF FF FF 5B 5D C3 8B CA F7 D9 0F B7 58 1E 3B CB 7E 04 33 C9 EB 1B 0F B7 48 1E 03 CA 81 F9 FF FF 00 00 7E 06 66 B9 FF FF EB 07 66 8B 48 1E 66 03 CA 66 89 48 1E 0F B7 C1 5B 5D C3 }
	condition:
		$1
}

rule function_66671_0 {
	meta:
		name = "_DF_."
		size = 1696
		refs = "009d _DF_. 02d2 __pcre_utf8_table4 056f _memset"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 55 14 8B 45 0C 8B 75 08 8B C8 83 E1 07 B3 01 D2 E3 8B C8 C1 E9 03 08 1C 0E 83 7D 10 00 74 2B 8B 7A 0C F6 04 07 02 74 22 8B 4A 04 8B 52 04 B3 01 0F B6 0C 01 83 E1 07 D2 E3 0F B6 04 02 85 C0 79 03 83 C0 07 C1 F8 03 08 1C 06 5F 5E 5B 5D C3 90 90 55 8B EC 83 C4 E8 53 56 57 C7 45 FC 01 00 00 00 8B 45 08 33 D2 8A 10 83 FA 5F 75 07 BB 03 00 00 00 EB 05 BB 01 00 00 00 03 5D 08 BE 01 00 00 00 83 C3 02 33 C0 8A 03 83 C0 FA 83 F8 69 0F 87 DB 00 00 00 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 18 17 16 15 14 13 00 00 00 00 00 00 00 00 00 00 00 00 00 12 00 00 10 10 00 0F 0F 10 10 0F 0F 0E 0E 11 0F 10 0F 0E 00 00 00 00 00 00 00 00 00 00 00 00 00 0B 0B 0D 0D 0B 0B 0A 0A 0C 0B 00 0B 0A 00 00 00 00 00 00 00 00 09 08 00 00 00 07 06 05 05 05 03 04 04 04 00 03 03 03 00 03 03 00 00 00 00 02 02 00 00 00 00 00 00 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 E9 1C 05 00 00 8B 55 18 52 8B 4D 14 51 8B 4D 10 51 8B 45 0C 50 53 E8 C5 FE FF FF 83 C4 14 85 C0 75 07 33 C0 E9 F8 04 00 00 48 75 07 33 F6 E9 BB 04 00 00 33 C0 33 D2 8A 43 01 8A 53 02 C1 E0 08 33 C9 0B C2 03 D8 8A 0B 83 F9 54 74 E6 83 C3 03 E9 99 04 00 00 C7 45 FC 02 00 00 00 33 F6 E9 8B 04 00 00 B8 02 00 00 00 E9 B4 04 00 00 83 C3 06 E9 79 04 00 00 33 D2 33 C9 8A 53 01 8A 4B 02 C1 E2 08 0B D1 33 C9 03 DA 8A 0B 83 F9 54 74 E6 83 C3 03 E9 57 04 00 00 F6 43 01 01 0F 95 C0 83 E0 01 83 C3 02 89 45 10 E9 42 04 00 00 8B 55 18 52 8B 4D 14 51 8B 45 10 50 8B 55 0C 52 43 53 E8 1D FE FF FF 83 C4 14 85 C0 75 07 33 C0 E9 50 04 00 00 33 D2 33 C9 8A 53 01 8A 4B 02 C1 E2 08 0B D1 33 C9 03 DA 8A 0B 83 F9 54 74 E6 83 C3 03 E9 FB 03 00 00 43 33 C0 33 D2 8A 43 01 8A 53 02 C1 E0 08 33 C9 0B C2 03 D8 8A 0B 83 F9 54 74 E6 83 C3 03 E9 D8 03 00 00 8B 45 18 50 8B 55 10 52 33 C9 8A 4B 01 51 8B 45 0C 50 E8 5B FD FF FF 83 C4 10 83 C3 02 83 7D 14 00 0F 84 B1 03 00 00 33 D2 8A 53 FF 81 FA C0 00 00 00 0F 8C A0 03 00 00 33 C9 8A 4B FF 83 E1 3F 33 C0 8A 81 ?? ?? ?? ?? 03 D8 E9 89 03 00 00 8B 55 18 52 8B 4D 10 51 33 C0 8A 43 03 50 8B 55 0C 52 E8 0C FD FF FF 83 C4 10 83 C3 04 83 7D 14 00 0F 84 62 03 00 00 33 C9 8A 4B FF 81 F9 C0 00 00 00 0F 8C 51 03 00 00 33 C0 8A 43 FF 83 E0 3F 33 D2 8A 90 ?? ?? ?? ?? 03 DA E9 3A 03 00 00 83 C3 02 8B 4D 18 51 8B 45 10 50 33 D2 8A 53 01 52 8B 4D 0C 51 E8 BA FC FF FF 83 C4 10 33 F6 E9 16 03 00 00 33 C0 8B 55 0C 8B 4D 18 8B 49 08 8A 4C 01 40 40 F6 D1 08 0A 42 83 F8 20 7C EB 33 F6 E9 F5 02 00 00 33 C0 8B 55 0C 8B 4D 18 8B 49 08 8A 4C 01 40 40 08 0A 42 83 F8 20 7C ED 33 F6 E9 D6 02 00 00 33 C0 8B 55 0C 8B F2 8B 55 18 8B 4A 08 33 D2 8A 14 01 83 F8 01 75 03 83 E2 F7 F6 D2 08 16 40 46 83 F8 20 7C E2 33 F6 E9 AA 02 00 00 33 C0 8B 55 0C 8B F2 8B 55 18 8B 4A 08 33 D2 8A 14 01 83 F8 01 75 03 83 E2 F7 08 16 40 46 83 F8 20 7C E4 33 F6 E9 80 02 00 00 33 C0 8B 55 0C 8B 4D 18 8B 49 08 8A 8C 01 A0 00 00 00 40 F6 D1 08 0A 42 83 F8 20 7C E8 33 F6 E9 5C 02 00 00 33 C0 8B 55 0C 8B 4D 18 8B 49 08 8A 8C 01 A0 00 00 00 40 08 0A 42 83 F8 20 7C EA 33 F6 E9 3A 02 00 00 43 E9 34 02 00 00 83 C3 03 E9 2C 02 00 00 83 C3 02 33 C0 8A 43 01 83 C0 FA 83 F8 07 0F 87 FD 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 E9 1D 02 00 00 33 C0 8B 55 0C 8B 4D 18 8B 49 08 8A 4C 01 40 40 F6 D1 08 0A 42 83 F8 20 7C EB E9 B0 00 00 00 33 C0 8B 55 0C 8B 4D 18 8B 49 08 8A 4C 01 40 40 08 0A 42 83 F8 20 7C ED E9 93 00 00 00 33 C0 8B 55 0C 89 55 F4 8B 4D 18 8B 51 08 0F B6 14 02 83 F8 01 75 03 83 E2 F7 8B 4D F4 F6 D2 08 11 40 FF 45 F4 83 F8 20 7C DE EB 67 33 C0 8B 55 0C 8B CA 89 4D F0 8B 55 18 8B 4A 08 33 D2 8A 14 01 83 F8 01 75 03 83 E2 F7 8B 4D F0 08 11 40 FF 45 F0 83 F8 20 7C DF EB 3A 33 C0 8B 55 0C 8B 4D 18 8B 49 08 8A 8C 01 A0 00 00 00 40 F6 D1 08 0A 42 83 F8 20 7C E8 EB 1B 33 C0 8B 55 0C 8B 4D 18 8B 49 08 8A 8C 01 A0 00 00 00 40 08 0A 42 83 F8 20 7C EA 83 C3 02 E9 13 01 00 00 83 7D 14 00 74 1D 8B 45 0C 80 48 18 F0 6A 07 68 FF 00 00 00 8B 55 0C 83 C2 19 52 E8 ?? ?? ?? ?? 83 C4 0C 43 83 7D 14 00 0F 84 8E 00 00 00 8B 55 0C 33 C0 8B CA 8B D3 89 4D EC 8A 0A 8B 7D EC 08 0F 40 FF 45 EC 42 83 F8 10 7C EF B8 80 00 00 00 8B D0 85 D2 79 03 83 C2 07 C1 FA 03 80 3C 13 00 74 10 8B C8 83 E1 07 BA 01 00 00 00 D3 E2 85 D2 75 04 33 C9 EB 05 B9 01 00 00 00 85 C9 74 33 8B D0 C1 FA 06 81 CA C0 00 00 00 89 55 F8 8B 4D F8 83 E1 07 B2 01 D2 E2 8B 4D F8 85 C9 79 03 83 C1 07 C1 F9 03 8B 7D 0C 08 14 0F 25 C0 00 00 00 83 C0 3F 40 3D 00 01 00 00 7C 96 EB 1D 8B 55 0C 33 C0 8B CA 8B D3 89 4D E8 8A 0A 8B 7D E8 08 0F 40 FF 45 E8 42 83 F8 20 7C EF 83 C3 20 8A 03 04 BA 2C 02 72 0C 04 FE 2C 02 72 06 2C 02 72 05 EB 1F 43 EB 20 33 D2 33 C9 8A 53 01 8A 4B 02 C1 E2 08 03 D1 85 D2 75 05 83 C3 05 EB 08 33 F6 EB 04 33 F6 EB 00 85 F6 0F 85 1D FA FF FF 8B 45 08 8B 4D 08 33 D2 8A 50 01 33 C0 C1 E2 08 8A 41 02 0B D0 01 55 08 8B 55 08 33 C9 8A 0A 83 F9 54 0F 84 D2 F9 FF FF 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66672_0 {
	meta:
		name = "pcre_study"
		size = 315
		refs = "0023 _DV_. 0080 pcre_fullinfo 00b9 _memset 00f2 _pcre_malloc 012b _memcpy"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 56 57 8B 75 10 8B 45 08 8B D8 33 D2 89 16 85 DB 74 08 81 3B 45 52 43 50 74 0D C7 06 ?? ?? ?? ?? 33 C0 E9 06 01 00 00 F7 45 0C FF FF FF FF 74 0D C7 06 ?? ?? ?? ?? 33 C0 E9 F0 00 00 00 0F B7 7B 1C 0F B7 53 1A 0F AF FA 0F B7 4B 18 03 CB 03 F9 F6 43 08 10 75 06 F6 43 0C 0A 74 07 33 C0 E9 CA 00 00 00 8B 53 20 89 55 FC 83 7D FC 00 75 11 8D 4D FC 51 6A 0B 6A 00 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 FC 89 45 80 8B 4D FC 81 C1 00 01 00 00 89 4D 84 8B 45 FC 05 00 02 00 00 89 45 88 8B 55 FC 81 C2 40 03 00 00 89 55 8C 6A 20 6A 00 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 0C 8D 55 80 8D 4D DC 52 8B 43 08 F6 C4 08 0F 95 C2 83 E2 01 A8 01 0F 95 C0 83 E0 01 52 50 51 57 E8 D4 F8 FF FF 83 C4 14 48 74 04 33 C0 EB 46 6A 40 FF 15 ?? ?? ?? ?? 59 8B D8 85 DB 75 0A C7 06 ?? ?? ?? ?? 33 C0 EB 2D 8D 43 18 C7 03 01 00 00 00 89 43 04 C7 00 28 00 00 00 C7 40 04 01 00 00 00 6A 20 8D 55 DC 52 83 C0 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66673_0 {
	meta:
		name = "_DF_."
		size = 88
	strings:
		$1 = { 55 8B EC 83 7D 0C 02 8B 45 08 75 19 8B D0 81 E2 FF 00 00 00 C1 E2 08 25 00 FF 00 00 C1 E8 08 0B D0 8B C2 5D C3 8B C8 8B D0 81 E2 00 FF 00 00 81 E1 FF 00 00 00 C1 E1 18 C1 E2 08 0B CA 8B D0 81 E2 00 00 FF 00 25 00 00 00 FF C1 EA 08 C1 E8 18 0B CA 0B C8 8B C1 5D C3 }
	condition:
		$1
}

rule function_66674_0 {
	meta:
		name = "__pcre_try_flipped"
		size = 310
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 7D 10 8B 75 0C 6A 04 8B 03 50 E8 8F FF FF FF 83 C4 08 3D 45 52 43 50 74 07 33 C0 E9 07 01 00 00 56 57 8B FE 8B F3 B9 0A 00 00 00 F3 A5 5F 5E 6A 04 8B 43 04 50 E8 64 FF FF FF 83 C4 08 89 46 04 6A 04 8B 53 08 52 E8 53 FF FF FF 83 C4 08 89 46 08 6A 02 0F B7 4B 0C 51 E8 41 FF FF FF 83 C4 08 66 89 46 0C 6A 02 0F B7 4B 10 51 E8 2E FF FF FF 83 C4 08 66 89 46 10 6A 02 0F B7 43 12 50 E8 1B FF FF FF 83 C4 08 66 89 46 12 6A 02 0F B7 53 14 52 E8 08 FF FF FF 83 C4 08 66 89 46 14 6A 02 0F B7 4B 16 51 E8 F5 FE FF FF 83 C4 08 66 89 46 16 6A 02 0F B7 43 18 50 E8 E2 FE FF FF 83 C4 08 66 89 46 18 6A 02 0F B7 53 1A 52 E8 CF FE FF FF 83 C4 08 66 89 46 1A 6A 02 0F B7 43 1C 50 E8 BC FE FF FF 66 89 46 1C 83 C4 08 85 FF 74 38 8B 55 14 56 57 8B F7 8B FA B9 0A 00 00 00 F3 A5 5F 5E 6A 04 8B 07 50 E8 95 FE FF FF 83 C4 08 8B 55 14 89 02 6A 04 8B 4F 04 51 E8 82 FE FF FF 83 C4 08 8B 55 14 89 42 04 8B C6 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_66675_0 {
	meta:
		name = "__pcre_valid_utf8"
		size = 283
		refs = "004c __pcre_utf8_table4"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 0C 8B 75 08 85 FF 7D 0E 8B C6 EB 01 40 80 38 00 75 FA 8B F8 2B FE 8B C6 E9 E1 00 00 00 33 C9 8A 08 81 F9 80 00 00 00 0F 8C D0 00 00 00 81 F9 C0 00 00 00 7D 07 2B C6 E9 D2 00 00 00 8B D1 83 E2 3F 0F B6 92 ?? ?? ?? ?? 3B D7 7F 05 83 FA 03 7E 07 2B C6 E9 B6 00 00 00 2B FA 40 33 DB 8A 18 81 E3 C0 00 00 00 81 FB 80 00 00 00 74 07 2B C6 E9 9A 00 00 00 8B DA 4B 74 08 4B 74 11 4B 74 33 EB 77 F6 C1 3E 75 77 2B C6 E9 81 00 00 00 81 F9 E0 00 00 00 75 05 F6 00 20 74 14 81 F9 ED 00 00 00 75 56 33 C9 8A 08 81 F9 A0 00 00 00 7C 4A 2B C6 EB 5C 81 F9 F0 00 00 00 75 05 F6 00 30 74 1C 81 F9 F4 00 00 00 7F 14 81 F9 F4 00 00 00 75 29 33 C9 8A 08 81 F9 8F 00 00 00 7E 1D 2B C6 EB 2F EB 17 40 33 C9 8A 08 81 E1 C0 00 00 00 81 F9 80 00 00 00 74 04 2B C6 EB 16 4A 85 D2 7F E4 40 8B D7 83 C7 FF 85 D2 0F 8F 12 FF FF FF 83 C8 FF 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_66676_0 {
	meta:
		name = "pcre_version"
		size = 22
		refs = "0002 _DV_."
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 00 75 07 B8 ?? ?? ?? ?? EB 05 B8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66677_0 {
	meta:
		name = "__pcre_xclass"
		size = 773
		refs = "0086 __pcre_utf8_table4 0098 __pcre_utf8_table3 01bb __pcre_ucd_stage1 01d7 __pcre_ucd_stage2 01e4 __pcre_ucd_records 01f4 __pcre_xclass 0277 __pcre_ucp_gentype"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B 45 0C 8B 5D 08 F6 00 01 0F 95 C2 83 E2 01 81 FB 00 01 00 00 89 55 FC 7D 35 F6 00 02 74 30 8B CB 83 E1 07 BA 01 00 00 00 D3 E2 8B CB 85 C9 79 03 83 C1 07 C1 F9 03 0F B6 4C 08 01 23 D1 74 0F 8B 45 FC 83 F8 01 1B C0 F7 D8 E9 A6 02 00 00 8A 10 40 F6 C2 02 0F 84 86 02 00 00 83 C0 20 E9 7E 02 00 00 83 FA 01 75 6B 33 D2 8A 10 40 81 FA C0 00 00 00 7C 42 8B CA 83 E1 3F 0F B6 89 ?? ?? ?? ?? 89 4D F8 8B 75 F8 8B 7D F8 03 F6 23 14 BD ?? ?? ?? ?? 8D 34 76 8B CE D3 E2 EB 10 0F B6 38 83 EE 06 83 E7 3F 8B CE D3 E7 0B D7 40 8B 4D F8 83 45 F8 FF 85 C9 7F E5 3B D3 0F 85 22 02 00 00 8B 45 FC 83 F8 01 1B C0 F7 D8 E9 27 02 00 00 E9 0E 02 00 00 83 FA 02 0F 85 C7 00 00 00 33 D2 8A 10 40 81 FA C0 00 00 00 7C 42 8B CA 83 E1 3F 0F B6 89 ?? ?? ?? ?? 89 4D F4 8B 75 F4 8B 7D F4 03 F6 23 14 BD ?? ?? ?? ?? 8D 34 76 8B CE D3 E2 EB 10 0F B6 38 83 EE 06 83 E7 3F 8B CE D3 E7 0B D7 40 8B 4D F4 83 45 F4 FF 85 C9 7F E5 0F B6 30 40 81 FE C0 00 00 00 7C 48 8B CE 83 E1 3F 0F B6 89 ?? ?? ?? ?? 89 4D F0 8B 4D F0 03 C9 8D 0C 49 89 4D EC 8B 4D EC 8B 7D F0 23 34 BD ?? ?? ?? ?? D3 E6 EB 12 83 6D EC 06 0F B6 38 83 E7 3F 8B 4D EC D3 E7 0B F7 40 8B 4D F0 83 45 F0 FF 85 C9 7F E3 3B D3 0F 8F 5A 01 00 00 3B F3 0F 8C 52 01 00 00 8B 45 FC 83 F8 01 1B C0 F7 D8 E9 57 01 00 00 E9 3E 01 00 00 8B CB 85 C9 79 03 83 C1 7F C1 F9 07 0F B6 89 ?? ?? ?? ?? C1 E1 07 8B F3 81 E6 7F 00 00 80 79 05 4E 83 CE 80 46 03 CE 0F B7 34 4D ?? ?? ?? ?? C1 E6 03 33 C9 8A 08 81 C6 ?? ?? ?? ?? 83 F9 04 0F 87 F2 00 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 FA 03 0F 85 D2 00 00 00 8B 45 FC 83 F8 01 1B C0 F7 D8 E9 DA 00 00 00 33 C9 8A 4E 01 83 F9 09 74 18 33 C9 8A 4E 01 83 F9 05 74 0E 33 C9 8A 4E 01 83 F9 08 74 04 33 C9 EB 05 B9 01 00 00 00 83 FA 03 0F 94 C2 83 E2 01 3B CA 0F 85 8B 00 00 00 8B 45 FC 83 F8 01 1B C0 F7 D8 E9 93 00 00 00 0F B6 76 01 33 C9 8A 48 01 3B 0C B5 ?? ?? ?? ?? 0F 94 C1 83 E1 01 83 FA 03 0F 94 C2 83 E2 01 3B CA 75 59 8B 45 FC 83 F8 01 1B C0 F7 D8 EB 64 8A 4E 01 3A 48 01 0F 94 C1 83 E1 01 83 FA 03 0F 94 C2 83 E2 01 3B CA 75 34 8B 45 FC 83 F8 01 1B C0 F7 D8 EB 3F 8A 0E 3A 48 01 0F 94 C1 83 E1 01 83 FA 03 0F 94 C2 83 E2 01 3B CA 75 10 8B 45 FC 83 F8 01 1B C0 F7 D8 EB 1B 33 C0 EB 17 83 C0 02 8A 10 40 81 E2 FF 00 00 00 85 D2 0F 85 71 FD FF FF 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66682_0 {
	meta:
		name = "FirstCap"
		size = 127
		refs = "0011 FirstCap 0022 @UStrClr 002d AnsiLowerCase 0038 @UStrFromWChar 0043 AnsiUpperCase 004a @UniqueStringU 006d @UStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 2F 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 0F B7 13 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 0F B7 12 66 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66683_0 {
	meta:
		name = "InitialCaps"
		size = 234
		refs = "001a InitialCaps 002a AnsiLowerCase 009c @UStrFromWChar 00a7 AnsiUpperCase 00ae @UniqueStringU 00d7 @UStrArrayClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 4D F8 8B FA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 45 F4 E8 ?? ?? ?? ?? B0 01 8B 17 89 55 F0 8B 55 F0 85 D2 74 05 83 EA 04 8B 12 8B F2 85 F6 7E 7A BB 01 00 00 00 8B 17 0F B7 54 5A FE 83 FA 3F 7F 19 74 26 83 EA 27 72 21 4A 74 1E 83 C2 FE 83 EA 05 72 16 83 EA 0D 74 11 EB 13 83 EA 5B 74 0A 83 EA 20 74 05 83 EA 3C 75 04 B0 01 EB 39 84 C0 74 35 8B 17 66 83 7C 5A FE 27 74 2B 8D 45 FC 8B 55 F4 0F B7 12 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 0F B7 12 66 89 10 33 C0 43 4E 75 8B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66684_0 {
	meta:
		name = "TPerlRegEx.CleanUp"
		size = 63
		refs = "001a pcre_dispose 0031 TPerlRegEx.ClearStoredGroups"
	strings:
		$1 = { 53 8B D8 C6 43 04 00 C6 43 05 00 33 C9 8B 93 F0 04 00 00 8B 83 EC 04 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 EC 04 00 00 33 C0 89 83 F0 04 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 E4 04 00 00 5B C3 }
	condition:
		$1
}

rule function_66685_0 {
	meta:
		name = "TPerlRegEx.ClearStoredGroups"
		size = 29
		refs = "0012 :TPerlRegEx.:1 0017 @DynArrayClear"
	strings:
		$1 = { 53 8B D8 C6 83 FC 04 00 00 00 8D 83 00 05 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66686_0 {
	meta:
		name = "TPerlRegEx.Compile"
		size = 220
		refs = "0013 TPerlRegEx.Compile 0025 SRegExMissingExpression 002c _DV_ERegularExpressionError 0031 Exception.CreateRes 0036 @RaiseExcept 003d TPerlRegEx.CleanUp 005b @LStrToPChar 0061 pcre_compile 008a @LStrFromPChar 00a0 SRegExExpressionError 00ac Exception.CreateResFmt 00ca @LStrClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 D2 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 F4 04 00 00 50 8D 45 F8 50 8D 45 FC 50 8B 83 E8 04 00 00 50 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 14 8B F0 89 B3 EC 04 00 00 85 F6 75 41 8B 45 F8 89 45 E8 C6 45 EC 00 8D 45 E4 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 C6 45 F4 0B 8D 45 E8 50 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 04 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66687_0 {
	meta:
		name = "ReplaceBackreference"
		size = 460
		refs = "0017 ReplaceBackreference 003a @LStrDelete 0045 TPerlRegEx.GetGroupCount 005d TPerlRegEx.GetGroups 00bd @UStrFromLStr 00c8 AnsiLowerCase 00d8 @LStrFromUStr 00f0 AnsiUpperCase 0118 FirstCap 0140 InitialCaps 016d @LStrInsert 018f @LStrLAsg 01b3 @UStrArrayClr 01bb @LStrClr 01c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 48 F4 8B 45 08 2B 48 F8 8B 45 08 8B 50 F8 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 3B D8 0F 8F 4C 01 00 00 8D 4D FC 8B 45 08 8B 40 F0 8B D3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 32 01 00 00 8B 45 08 0F B6 40 EF 83 F8 66 7F 27 0F 84 89 00 00 00 83 E8 46 0F 84 80 00 00 00 83 E8 03 0F 84 9F 00 00 00 83 E8 03 74 22 83 E8 09 74 45 E9 B6 00 00 00 83 E8 69 0F 84 87 00 00 00 83 E8 03 74 0A 83 E8 09 74 2D E9 9E 00 00 00 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 E9 FD 00 00 E8 ?? ?? ?? ?? EB 76 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC B9 E9 FD 00 00 E8 ?? ?? ?? ?? EB 4E 8D 45 E4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC B9 E9 FD 00 00 E8 ?? ?? ?? ?? EB 26 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 45 08 83 78 FC 00 74 28 8B 45 08 8B 48 F8 8B 45 08 8D 50 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 08 01 42 F8 EB 18 8B 45 08 83 C0 FC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 C7 40 F8 FF FF FF 7F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66688_0 {
	meta:
		name = "ProcessBackreference"
		size = 1197
		refs = "0014 ProcessBackreference 00d2 TPerlRegEx.GetGroupCount 01b0 @LStrLen 0277 @LStrCopy 0285 TPerlRegEx.NamedGroup 030a @LStrDelete 0324 @LStrInsert 03c2 TPerlRegEx.GetSubjectLeft 041d TPerlRegEx.GetSubjectRight 046f ReplaceBackreference 0492 @LStrArrayClr 049a @LStrClr 04a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 88 55 FB 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 CE FF 8B 55 08 8B 7A FC 8B D7 89 55 F4 8B 4D F4 85 C9 74 05 83 E9 04 8B 09 8B 55 08 3B 4A F4 7C 1C 8B 55 08 8B 52 F4 8B 4D 08 8B 49 FC 0F B6 54 11 FF 80 C2 D0 80 EA 0A 0F 92 C1 EB 02 33 C9 84 C9 0F 84 85 00 00 00 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 0F B6 74 02 FF 83 EE 30 8B 45 08 FF 40 F4 8B C7 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B 55 08 3B 42 F4 0F 8C C7 03 00 00 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 0F B6 44 02 FF 8B D0 80 C2 D0 80 EA 0A 0F 83 A8 03 00 00 0F B6 D8 8B C6 03 C0 8D 04 80 03 D8 83 EB 30 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 3B D8 0F 8F 86 03 00 00 8B F3 8B 45 08 FF 40 F4 E9 79 03 00 00 84 C0 0F 85 71 03 00 00 80 7D FB 00 74 1C 8B C7 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B 55 08 3B 42 F4 0F 9F C0 EB 02 33 C0 84 C0 74 16 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 80 7C 02 FF 7B 0F 94 C0 EB 02 33 C0 84 C0 0F 84 9C 01 00 00 8B 45 08 FF 40 F4 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 0F B6 44 02 FF 8B D0 80 C2 D0 80 EA 0A 72 1A 80 C2 F9 80 EA 1A 72 78 80 EA 04 74 73 80 C2 FE 80 EA 1A 72 6B E9 15 01 00 00 0F B6 F0 83 EE 30 8B 45 08 FF 40 F4 EB 25 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 0F B6 44 02 FF 8B D6 03 D2 8D 14 92 03 C2 83 E8 30 8B F0 8B 45 08 FF 40 F4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 3B 42 F4 0F 8C CB 00 00 00 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 0F B6 44 02 FF 04 D0 2C 0A 72 AD E9 AF 00 00 00 8B 45 08 FF 40 F4 EB 06 8B 45 08 FF 40 F4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 3B 42 F4 7C 27 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 0F B6 44 02 FF 04 D0 2C 0A 72 D0 04 F9 2C 1A 72 CA 2C 04 74 C6 04 FE 2C 1A 72 C0 8B 45 08 8B 40 FC 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B 55 08 3B 42 F4 7C 4A 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 80 7C 02 FF 7D 75 37 8D 45 FC 50 8B 45 08 8B 48 F4 8B 45 08 2B 48 F8 83 E9 02 8B 45 08 8B 50 F8 83 C2 02 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 8B 55 FC E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 40 FC 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B 55 08 3B 42 F4 7D 04 B0 01 EB 14 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 80 7C 02 FF 7D 0F 95 C0 84 C0 74 08 83 CE FF E9 98 01 00 00 8B 45 08 FF 40 F4 E9 8D 01 00 00 80 7D FB 00 74 6E 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 80 7C 02 FF 5F 75 5B 8B 45 08 8B 48 F4 41 8B 45 08 2B 48 F8 8B 45 08 8B 50 F8 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 8B 45 08 8B 48 F8 8B 45 08 8D 50 FC 8B 45 08 8B 40 F0 8B 40 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 8B 40 10 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B 55 08 01 42 F8 E9 31 01 00 00 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 0F B6 44 02 FF 2C 26 74 15 FE C8 0F 84 8D 00 00 00 2C 04 74 16 2C 35 74 2A E9 EF 00 00 00 33 F6 8B 45 08 FF 40 F4 E9 E2 00 00 00 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B F0 8B 45 08 FF 40 F4 E9 CA 00 00 00 8B 45 08 8B 48 F4 41 8B 45 08 2B 48 F8 8B 45 08 8B 50 F8 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 8D 55 F0 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 08 8B 4A F8 8B 55 08 83 C2 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 08 8B 52 F0 03 42 30 48 8B 55 08 89 42 F8 E9 87 00 00 00 8B 45 08 8B 48 F4 41 8B 45 08 2B 48 F8 8B 45 08 8B 50 F8 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 45 EC 8B 55 08 8B 4A F8 8B 55 08 83 C2 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 8B 40 10 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B 55 08 03 42 F8 8B 55 08 8B 52 F0 2B 42 34 8B 55 08 89 42 F8 EB 18 85 F6 7C 0E 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 59 EB 06 8B 45 08 FF 40 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66689_0 {
	meta:
		name = "TPerlRegEx.ComputeReplacement"
		size = 903
		refs = "001b TPerlRegEx.ComputeReplacement 002f @LStrLAsg 0084 SRegExIndexOutOfBounds 008b _DV_ERegularExpressionError 0090 Exception.CreateResFmt 0095 @RaiseExcept 0143 @LStrDelete 01c5 @LStrLen 0240 @LStrCopy 024b TPerlRegEx.NamedGroup 0264 ReplaceBackreference 02af ProcessBackreference 0357 @LStrAsg 036c @LStrClr 037a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 C9 89 4D C8 89 4D FC 89 55 E8 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F0 8B 52 0C E8 ?? ?? ?? ?? C7 45 F8 01 00 00 00 E9 00 03 00 00 8B 45 FC 8B 55 F8 0F B6 44 10 FF 2C 24 0F 84 78 02 00 00 2C 38 0F 85 E2 02 00 00 8B 45 F8 40 89 45 F4 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 3B 7D F4 7D 27 8B 45 F4 89 45 CC C6 45 D0 00 8D 45 CC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 0F B6 44 10 FF 83 F8 5C 7F 3B 0F 84 88 00 00 00 83 F8 49 7F 19 0F 84 DE 01 00 00 83 E8 24 74 78 83 E8 22 0F 84 D0 01 00 00 E9 EC 01 00 00 83 E8 4C 0F 84 C2 01 00 00 83 E8 09 0F 84 B9 01 00 00 E9 D5 01 00 00 83 C0 9A 83 F8 0F 0F 87 C9 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 FC B9 01 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? FF 45 F8 E9 F0 01 00 00 8B 45 FC 89 45 E0 83 7D E0 00 74 0B 8B 45 E0 83 E8 04 8B 00 89 45 E0 8B 45 E0 48 3B 45 F4 7E 0F 8B 45 FC 8B 55 F4 80 3C 10 3C 0F 94 C3 EB 02 33 DB 84 DB 74 26 8B 45 FC 8B 55 F4 0F B6 44 10 01 04 BF 2C 1A 72 0E 2C 04 74 0A 04 FE 2C 1A 72 04 33 C0 EB 02 B0 01 88 45 DF EB 04 C6 45 DF 00 80 7D DF 00 0F 84 D7 00 00 00 83 45 F4 03 EB 03 FF 45 F4 8B 45 FC E8 ?? ?? ?? ?? 3B 45 F4 7C 21 8B 45 FC 8B 55 F4 0F B6 44 10 FF 04 D0 2C 0A 72 DF 04 F9 2C 1A 72 D9 2C 04 74 D5 04 FE 2C 1A 72 CF 8B 45 FC 89 45 D8 83 7D D8 00 74 0B 8B 45 D8 83 E8 04 8B 00 89 45 D8 8B 45 F4 3B 45 D8 7F 11 8B 45 FC 8B 55 F4 80 7C 10 FF 3E 0F 94 45 D7 EB 04 C6 45 D7 00 80 7D D7 00 74 5B 8D 45 C8 50 8B 4D F4 2B 4D F8 83 E9 03 8B 55 F8 83 C2 03 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E4 FF 45 F4 C6 45 EF 00 83 7D E4 00 7E 0F 55 8B 45 E4 E8 ?? ?? ?? ?? 59 E9 D1 00 00 00 8B 4D F4 2B 4D F8 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? E9 BB 00 00 00 8B 45 F4 89 45 F8 E9 B0 00 00 00 83 45 F8 02 E9 A7 00 00 00 8B 45 FC 8B 55 F4 0F B6 44 10 FF 88 45 EF FF 45 F4 55 33 D2 B0 01 E8 ?? ?? ?? ?? 59 E9 86 00 00 00 C6 45 EF 00 55 33 D2 33 C0 E8 ?? ?? ?? ?? 59 EB 75 8B 45 F8 40 89 45 F4 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 3B 75 F4 7D 27 8B 45 F4 89 45 CC C6 45 D0 00 8D 45 CC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 80 7C 10 FF 24 75 15 8D 45 FC B9 01 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? FF 45 F8 EB 14 C6 45 EF 00 55 B2 01 33 C0 E8 ?? ?? ?? ?? 59 EB 03 FF 45 F8 8B 45 FC E8 ?? ?? ?? ?? 3B 45 F8 0F 8F EF FC FF FF 8B 45 E8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66690_0 {
	meta:
		name = "TPerlRegEx.Create"
		size = 88
		refs = "000a @ClassCreate 0017 TObject.Create 001e TPerlRegEx.Create 0026 pcre_maketables 0041 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 46 07 E8 ?? ?? ?? ?? 89 86 F4 04 00 00 C7 86 E8 04 00 00 00 08 40 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 04 00 00 00 }
	condition:
		$1
}

rule function_66691_0 {
	meta:
		name = "TPerlRegEx.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 001e pcre_dispose 0029 TObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 8E F4 04 00 00 8B 96 F0 04 00 00 8B 86 EC 04 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66692_0 {
	meta:
		name = "TPerlRegEx.EscapeRegExChars"
		size = 164
		refs = "000c @UStrAsg 0063 TPerlRegEx.EscapeRegExChars 0068 @UStrInsert 0071 @UniqueStringU"
	strings:
		$1 = { 53 56 51 8B F1 8B DA 8B C6 8B D3 E8 ?? ?? ?? ?? 8B 06 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 68 8B 06 0F B7 44 58 FE 83 F8 2E 7F 16 74 29 83 E8 01 72 34 83 E8 23 74 1F 83 C0 FC 83 E8 04 72 17 EB 41 83 E8 3F 74 10 83 C0 E4 83 E8 04 72 08 83 C0 E4 83 E8 03 73 2C 8B D6 8B CB B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1C 8B C6 E8 ?? ?? ?? ?? 66 C7 44 58 FE 30 00 8B D6 8B CB B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 85 DB 7F 98 5A 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_66693_0 {
	meta:
		name = "TPerlRegEx.GetFoundMatch"
		size = 11
	strings:
		$1 = { 83 B8 E4 04 00 00 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_66694_0 {
	meta:
		name = "TPerlRegEx.GetMatchedText"
		size = 54
		refs = "0009 TPerlRegEx.GetFoundMatch 0013 SRegExMatchRequired 001a _DV_ERegularExpressionError 001f Exception.CreateRes 0024 @RaiseExcept 002f TPerlRegEx.GetGroups"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66695_0 {
	meta:
		name = "TPerlRegEx.GetMatchedLength"
		size = 48
		refs = "0006 TPerlRegEx.GetFoundMatch 0010 SRegExMatchRequired 0017 _DV_ERegularExpressionError 001c Exception.CreateRes 0021 @RaiseExcept 002a TPerlRegEx.GetGroupLengths"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66696_0 {
	meta:
		name = "TPerlRegEx.GetMatchedOffset"
		size = 48
		refs = "0006 TPerlRegEx.GetFoundMatch 0010 SRegExMatchRequired 0017 _DV_ERegularExpressionError 001c Exception.CreateRes 0021 @RaiseExcept 002a TPerlRegEx.GetGroupOffsets"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66697_0 {
	meta:
		name = "TPerlRegEx.GetGroupCount"
		size = 46
		refs = "0006 TPerlRegEx.GetFoundMatch 0010 SRegExMatchRequired 0017 _DV_ERegularExpressionError 001c Exception.CreateRes 0021 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 E4 04 00 00 48 5B C3 }
	condition:
		$1
}

rule function_66698_0 {
	meta:
		name = "TPerlRegEx.GetGroupLengths"
		size = 113
		refs = "000c TPerlRegEx.GetFoundMatch 0016 SRegExMatchRequired 001d _DV_ERegularExpressionError 0022 Exception.CreateRes 0027 @RaiseExcept 0032 TPerlRegEx.GetGroupCount 0057 SRegExIndexOutOfBounds 0063 Exception.CreateResFmt"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7C 1B 8B C3 E8 ?? ?? ?? ?? 3B F0 7F 10 8B C6 03 C0 8B 54 83 34 2B 54 83 30 8B C2 EB 22 89 34 24 C6 44 24 04 00 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_66699_0 {
	meta:
		name = "TPerlRegEx.GetGroupOffsets"
		size = 107
		refs = "000c TPerlRegEx.GetFoundMatch 0016 SRegExMatchRequired 001d _DV_ERegularExpressionError 0022 Exception.CreateRes 0027 @RaiseExcept 0032 TPerlRegEx.GetGroupCount 0051 SRegExIndexOutOfBounds 005d Exception.CreateResFmt"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7C 15 8B C3 E8 ?? ?? ?? ?? 3B F0 7F 0A 8B C6 03 C0 8B 44 83 30 EB 22 89 34 24 C6 44 24 04 00 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_66700_0 {
	meta:
		name = "TPerlRegEx.GetGroups"
		size = 125
		refs = "000d TPerlRegEx.GetFoundMatch 0017 SRegExMatchRequired 001e _DV_ERegularExpressionError 0023 Exception.CreateRes 0028 @RaiseExcept 002f TPerlRegEx.GetGroupCount 003a @LStrClr 0055 @LStrAsg 0074 @LStrCopy"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B C7 E8 ?? ?? ?? ?? EB 38 80 BB FC 04 00 00 00 74 12 8B C7 8B 93 00 05 00 00 8B 14 B2 E8 ?? ?? ?? ?? EB 1D 57 8B EE 03 ED 8B 4C AB 34 8B C6 03 C0 2B 4C 83 30 8B 54 AB 30 8B 43 10 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66701_0 {
	meta:
		name = "TPerlRegEx.GetSubjectLeft"
		size = 27
		refs = "0014 @LStrCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 4B 30 49 BA 01 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66702_0 {
	meta:
		name = "TPerlRegEx.GetSubjectRight"
		size = 26
		refs = "0013 @LStrCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 B9 FF FF FF 7F 8B 53 34 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66703_0 {
	meta:
		name = "TPerlRegEx.Match"
		size = 184
		refs = "0008 TPerlRegEx.ClearStoredGroups 0015 TPerlRegEx.Compile 0066 pcre_exec"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 80 7E 04 00 75 07 8B C6 E8 ?? ?? ?? ?? F6 46 07 01 74 07 BB 80 00 00 00 EB 02 33 DB F6 46 07 02 74 06 81 CB 00 01 00 00 F6 46 07 04 74 06 81 CB 00 04 00 00 68 2C 01 00 00 8D 46 30 50 53 6A 00 8B 46 18 50 8B 86 F8 04 00 00 50 8B 86 F0 04 00 00 50 8B 86 EC 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 20 8B F8 89 BE E4 04 00 00 85 FF 0F 9F C3 84 DB 74 34 8B C7 03 C0 48 85 C0 7C 0B 40 33 D2 FF 44 96 30 42 48 75 F8 8B 46 34 89 46 14 8B 46 30 3B 46 34 75 03 FF 46 14 66 83 7E 22 00 74 08 8B D6 8B 46 24 FF 56 20 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66704_0 {
	meta:
		name = "TPerlRegEx.MatchAgain"
		size = 207
		refs = "0009 TPerlRegEx.ClearStoredGroups 0016 TPerlRegEx.Compile 007a pcre_exec"
	strings:
		$1 = { 53 56 57 55 8B F0 8B C6 E8 ?? ?? ?? ?? 80 7E 04 00 75 07 8B C6 E8 ?? ?? ?? ?? F6 46 07 01 74 07 BB 80 00 00 00 EB 02 33 DB F6 46 07 02 74 06 81 CB 00 01 00 00 F6 46 07 04 74 06 81 CB 00 04 00 00 8B 6E 14 4D 8B 7E 18 3B EF 7E 0C C7 86 E4 04 00 00 FF FF FF FF EB 2F 68 2C 01 00 00 8D 46 30 50 53 55 57 8B 86 F8 04 00 00 50 8B 86 F0 04 00 00 50 8B 86 EC 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 20 89 86 E4 04 00 00 8B 86 E4 04 00 00 85 C0 0F 9F C3 84 DB 74 32 03 C0 48 85 C0 7C 0B 40 33 D2 FF 44 96 30 42 48 75 F8 8B 46 34 89 46 14 8B 46 30 3B 46 34 75 03 FF 46 14 66 83 7E 22 00 74 08 8B D6 8B 46 24 FF 56 20 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66705_0 {
	meta:
		name = "TPerlRegEx.NamedGroup"
		size = 32
		refs = "0009 @LStrToPChar 0016 pcre_get_stringnumber"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 83 EC 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 5E 5B C3 }
	condition:
		$1
}

rule function_66706_0 {
	meta:
		name = "TPerlRegEx.Replace"
		size = 220
		refs = "000b TPerlRegEx.GetFoundMatch 0015 SRegExMatchRequired 001c _DV_ERegularExpressionError 0021 Exception.CreateRes 0026 @RaiseExcept 002f TPerlRegEx.ComputeReplacement 0047 TPerlRegEx.GetMatchedLength 004f TPerlRegEx.GetMatchedOffset 005a @LStrDelete 0072 @LStrInsert 007a @LStrToPChar 00cb TPerlRegEx.ClearStoredGroups"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 66 83 7B 2A 00 74 0A 8B CE 8B D3 8B 43 2C FF 53 28 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 43 10 59 E8 ?? ?? ?? ?? 83 3E 00 74 13 8B C3 E8 ?? ?? ?? ?? 8B C8 8D 53 10 8B 06 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 89 83 F8 04 00 00 8B 06 89 04 24 8B 3C 24 85 FF 74 05 83 EF 04 8B 3F 8B C3 E8 ?? ?? ?? ?? 8B 53 14 2B D0 03 FA 89 7B 14 8B 06 89 04 24 8B 34 24 85 F6 74 05 83 EE 04 8B 36 8B C3 E8 ?? ?? ?? ?? 8B 53 18 2B D0 03 F2 89 73 18 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 E4 04 00 00 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66707_0 {
	meta:
		name = "TPerlRegEx.ReplaceAll"
		size = 97
		refs = "000d TPerlRegEx.ReplaceAll 001a TPerlRegEx.Match 002a TPerlRegEx.Replace 0031 TPerlRegEx.MatchAgain 004e @LStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 19 B3 01 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 EB EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66708_0 {
	meta:
		name = "TPerlRegEx.SetOptions"
		size = 140
		refs = "0085 TPerlRegEx.CleanUp"
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 04 24 3A 43 06 74 79 0F B6 04 24 88 43 06 C7 83 E8 04 00 00 00 08 40 00 F6 04 24 01 74 07 83 8B E8 04 00 00 01 F6 04 24 02 74 07 83 8B E8 04 00 00 02 F6 04 24 04 74 07 83 8B E8 04 00 00 04 F6 04 24 08 74 07 83 8B E8 04 00 00 08 F6 04 24 10 74 07 83 8B E8 04 00 00 10 F6 04 24 20 74 0A 81 8B E8 04 00 00 00 02 00 00 F6 04 24 40 74 0A 81 8B E8 04 00 00 00 10 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_66709_0 {
	meta:
		name = "TPerlRegEx.SetRegEx"
		size = 38
		refs = "000c @LStrEqual 0018 @LStrAsg 001f TPerlRegEx.CleanUp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 8B D6 E8 ?? ?? ?? ?? 74 11 8D 43 08 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66710_0 {
	meta:
		name = "TPerlRegEx.SetStart"
		size = 17
	strings:
		$1 = { 83 FA 01 7D 08 C7 40 14 01 00 00 00 C3 89 50 14 C3 }
	condition:
		$1
}

rule function_66711_0 {
	meta:
		name = "TPerlRegEx.SetStop"
		size = 40
	strings:
		$1 = { 53 8B 58 10 8B CB 85 C9 74 05 83 E9 04 8B 09 3B CA 7D 10 8B D3 85 D2 74 05 83 EA 04 8B 12 89 50 18 5B C3 89 50 18 5B C3 }
	condition:
		$1
}

rule function_66712_0 {
	meta:
		name = "TPerlRegEx.SetSubject"
		size = 71
		refs = "000c @LStrAsg 0013 @LStrToPChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 10 8B D6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 83 F8 04 00 00 C7 43 14 01 00 00 00 8B 43 10 85 C0 74 05 83 E8 04 8B 00 89 43 18 80 BB FC 04 00 00 00 75 08 33 C0 89 83 E4 04 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_66713_0 {
	meta:
		name = "TPerlRegEx.Split"
		size = 326
		refs = "0021 TPerlRegEx.Split 0033 SRegExStringsRequired 003a _DV_ERegularExpressionError 003f Exception.CreateRes 0044 @RaiseExcept 0051 TPerlRegEx.Match 0060 @UStrFromLStr 0087 TPerlRegEx.GetMatchedOffset 0095 @LStrCopy 00be TPerlRegEx.GetMatchedLength 00d5 TPerlRegEx.MatchAgain 0117 @LStrClr 011f @UStrClr 0134 @UStrArrayClr 013a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 01 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1B 8D 45 F0 8B 53 10 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 08 FF 51 38 E9 92 00 00 00 BE 01 00 00 00 C7 45 F4 01 00 00 00 8D 45 E8 50 8B C3 E8 ?? ?? ?? ?? 8B C8 2B CE 8B D6 8B 43 10 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8B 08 FF 51 38 FF 45 F4 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 03 F0 83 7D F8 01 7E 08 8B 45 F4 3B 45 F8 7D 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 A3 8D 45 E0 50 B9 FF FF FF 7F 8B D6 8B 43 10 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66714_0 {
	meta:
		name = "TPerlRegEx.SplitCapture"
		size = 577
		refs = "0022 TPerlRegEx.SplitCapture 0034 SRegExStringsRequired 003b _DV_ERegularExpressionError 0040 Exception.CreateRes 0045 @RaiseExcept 0051 TPerlRegEx.Match 0060 @UStrFromLStr 0098 TPerlRegEx.GetMatchedOffset 00c0 @LStrCopy 00dd TPerlRegEx.GetGroupCount 00f8 TPerlRegEx.GetGroups 0186 TPerlRegEx.GetMatchedLength 0199 TPerlRegEx.MatchAgain 01df @LStrClr 01e7 @UStrClr 022c @UStrArrayClr 0232 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE 01 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1B 8D 45 F0 8B 53 10 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 08 FF 51 38 E9 5A 01 00 00 83 7D 08 01 0F 95 45 F7 83 7D 08 01 74 01 4E BF 01 00 00 00 C7 45 F8 01 00 00 00 80 7D F7 00 74 7F 8B C3 E8 ?? ?? ?? ?? 3B 45 08 0F 8C D5 00 00 00 C6 45 F7 00 8D 45 E8 50 8B C3 E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8B 08 FF 51 38 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E 91 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4D E0 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 08 FF 51 38 EB 66 8D 45 D8 50 8B C3 E8 ?? ?? ?? ?? 8B C8 2B CF 8B D7 8B 43 10 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 8B 08 FF 51 38 FF 45 F8 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 29 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4D D0 8B C3 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC 8B 08 FF 51 38 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 03 F8 83 FE 01 7E 05 3B 75 F8 7E 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 EA FE FF FF 8D 45 C8 50 B9 FF FF FF 7F 8B D7 8B 43 10 E8 ?? ?? ?? ?? 8B 55 C8 8D 45 CC E8 ?? ?? ?? ?? 8B 55 CC 8B 45 FC 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_66716_0 {
	meta:
		name = "TPerlRegEx.StoreGroups"
		size = 163
		refs = "000d TPerlRegEx.StoreGroups 0023 TPerlRegEx.ClearStoredGroups 002a TPerlRegEx.GetGroupCount 003d :TPerlRegEx.:1 0042 @DynArraySetLength 005f TPerlRegEx.GetGroups 0070 @LStrAsg 0092 @LStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE E4 04 00 00 00 7E 61 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 40 50 8D 86 00 05 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 E8 ?? ?? ?? ?? 8B D8 83 FB 00 7C 23 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 00 05 00 00 8D 04 98 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DD C6 86 FC 04 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66717_0 {
	meta:
		name = "TPerlRegEx.Study"
		size = 162
		refs = "0012 TPerlRegEx.Study 0025 TPerlRegEx.Compile 0037 pcre_study 0051 @UStrFromPChar 0067 SRegExStudyError 006e _DV_ERegularExpressionError 0073 Exception.CreateResFmt 0078 @RaiseExcept 0091 @UStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 04 00 75 07 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 6A 00 8B 83 EC 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 89 83 F0 04 00 00 83 7D FC 00 74 32 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 05 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66718_0 {
	meta:
		name = "TPerlRegExList.Add"
		size = 34
		refs = "000d TList.Add 0018 TPerlRegExList.UpdateRegEx"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66726_0 {
	meta:
		name = "TPerlRegExList.Insert"
		size = 28
		refs = "000c TList.Insert 0015 TPerlRegExList.UpdateRegEx"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B CE 8B 43 04 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66729_0 {
	meta:
		name = "TPerlRegExList.SetRegEx"
		size = 28
		refs = "000c TList.Put 0015 TPerlRegExList.UpdateRegEx"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B CE 8B 43 04 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66727_0 {
	meta:
		name = "TPerlRegExList.Match"
		size = 29
		refs = "000b TPerlRegExList.SetStart 0017 TPerlRegExList.MatchAgain"
	strings:
		$1 = { 53 8B D8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 0C 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66728_0 {
	meta:
		name = "TPerlRegExList.MatchAgain"
		size = 187
		refs = "0013 TPerlRegEx.GetMatchedOffset 001d TPerlRegEx.GetMatchedLength 0035 TPerlRegExList.GetCount 0050 TPerlRegExList.GetRegEx 0059 TPerlRegEx.GetFoundMatch 0071 TPerlRegEx.SetStart 0078 TPerlRegEx.MatchAgain"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F8 8B 5F 0C 85 DB 74 15 8B C3 E8 ?? ?? ?? ?? 8B E8 8B 47 0C E8 ?? ?? ?? ?? 03 E8 EB 03 8B 6F 10 33 C0 89 47 0C BE FF FF FF 7F 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 6D 40 89 44 24 04 C7 04 24 00 00 00 00 8B 14 24 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 3B E8 7E 10 8B D5 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 0C 8B C3 E8 ?? ?? ?? ?? 8B F0 89 5F 0C 3B EE 74 09 FF 04 24 FF 4C 24 04 75 9F 81 FE FF FF FF 7F 0F 9C C0 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66730_0 {
	meta:
		name = "TPerlRegExList.SetStart"
		size = 61
		refs = "0012 TPerlRegExList.GetCount 0023 TPerlRegExList.GetRegEx 002a TPerlRegEx.SetStart"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 3B 7E 10 74 2D 89 7E 10 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 16 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 4B 83 FB FF 75 EA 33 C0 89 46 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66731_0 {
	meta:
		name = "TPerlRegExList.SetStop"
		size = 61
		refs = "0012 TPerlRegExList.GetCount 0023 TPerlRegExList.GetRegEx 002a TPerlRegEx.SetStop"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 3B 7E 14 74 2D 89 7E 14 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 16 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 4B 83 FB FF 75 EA 33 C0 89 46 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66732_0 {
	meta:
		name = "TPerlRegExList.SetSubject"
		size = 75
		refs = "000d @LStrEqual 0019 @LStrAsg 0020 TPerlRegExList.GetCount 0031 TPerlRegExList.GetRegEx 0038 TPerlRegEx.SetSubject"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 08 8B D7 E8 ?? ?? ?? ?? 74 34 8D 46 08 8B D7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 16 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 4B 83 FB FF 75 EA 33 C0 89 46 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66733_0 {
	meta:
		name = "TPerlRegExList.UpdateRegEx"
		size = 29
		refs = "000c TPerlRegEx.SetSubject 0016 TPerlRegEx.SetStart"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 53 08 8B C6 E8 ?? ?? ?? ?? 8B 53 10 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66773_0 {
	meta:
		name = "CodeHeap"
		size = 59
		refs = "0003 FCodeHeap 000d _DV_TPrivateHeap 0012 TPrivateHeap.Create 0022 TInterlocked.CompareExchange<System.Rtti.TPrivateHeap> 002d TObject.Free"
	strings:
		$1 = { 53 83 3D ?? ?? ?? ?? 00 75 27 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_66775_0 {
	meta:
		name = "TPrivateHeap.Destroy"
		size = 65
		refs = "0004 @BeforeDestruction 0015 HeapDestroy 001e RaiseLastOSError 002e TObject.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 77 04 85 F6 74 14 56 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 33 C0 89 47 04 B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66776_0 {
	meta:
		name = "TPrivateHeap.FreeMem"
		size = 34
		refs = "000c TPrivateHeap.GetHandle 0012 HeapFree 001b RaiseLastOSError"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66777_0 {
	meta:
		name = "TPrivateHeap.GetHandle"
		size = 41
		refs = "0011 HeapCreate 001f RaiseLastOSError"
	strings:
		$1 = { 53 56 8B D8 83 7B 04 00 75 19 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F0 89 73 04 85 F6 75 05 E8 ?? ?? ?? ?? 8B 43 04 5E 5B C3 }
	condition:
		$1
}

rule function_66778_0 {
	meta:
		name = "TPrivateHeap.GetMem"
		size = 67
		refs = "0011 TPrivateHeap.GetHandle 0017 HeapAlloc 0024 RaiseLastOSError 0030 VirtualProtect"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B DA 8B F0 57 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B E8 89 2B 85 ED 75 05 E8 ?? ?? ?? ?? 54 6A 40 57 8B 03 50 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66779_0 {
	meta:
		name = "TPrivateHeap.SizeOfMem"
		size = 32
		refs = "000c TPrivateHeap.GetHandle 0012 HeapSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 FF 75 02 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_66780_0 {
	meta:
		name = "GetModuleListVersion"
		size = 14
		refs = "0001 LibModuleList 0009 ModListRemovals"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 33 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66781_0 {
	meta:
		name = "OnUnloadModule"
		size = 16
		refs = "0001 ModListRemovals 000b TInterlocked.Add"
	strings:
		$1 = { B8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66782_0 {
	meta:
		name = "SafeIntfAsg"
		size = 50
		refs = "0017 TInterlocked.Exchange"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B 03 50 8B 00 FF 50 04 8B 13 8B C6 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 09 8B 45 FC 50 8B 00 FF 50 08 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66785_0 {
	meta:
		name = "CaseInsensitiveStringEqualityComparer$6096$ActRec.$0$Body"
		size = 135
		refs = "0011 CaseInsensitiveStringEqualityComparer$6096$ActRec.$0$Body 0021 @UStrLAsg 0052 CompareText 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66786_0 {
	meta:
		name = "CaseInsensitiveStringEqualityComparer$6096$ActRec.$1$Body"
		size = 92
		refs = "000c CaseInsensitiveStringEqualityComparer$6096$ActRec.$1$Body 001c AnsiUpperCase 0033 BobJenkinsHash 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 FC 33 C9 92 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_66787_0 {
	meta:
		name = "CaseInsensitiveStringEqualityComparer"
		size = 182
		refs = "000f CaseInsensitiveStringEqualityComparer 001c _DV_CaseInsensitiveStringEqualityComparer$6096$ActRec 0021 TObject.Create 0034 @IntfCopy 003a StringEqCmpCI 0058 _DV_TEqualityComparer<System.string> 005d TEqualityComparer<System.string>.Construct 0071 @IntfClear 007a SafeIntfAsg 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 3D 8D 45 F8 50 8B CB 85 C9 74 03 83 E9 F4 8B D3 85 D2 74 03 83 EA F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66788_0 {
	meta:
		name = "TFinalizer.Add"
		size = 95
		refs = "000b @DynArrayLength 0021 TArray<System.TObject> 0026 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 0C E8 ?? ?? ?? ?? 8B F0 85 F6 75 1A 6A 04 8D 43 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 20 3B 73 10 75 1B 8B C6 03 C0 50 8D 43 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 0C 8B 53 10 89 3C 90 FF 43 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66789_0 {
	meta:
		name = "TFinalizer.Destroy"
		size = 66
		refs = "0005 @BeforeDestruction 001f TObject.Free 002e TObject.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 6F 10 4D 85 ED 7C 12 45 33 F6 8B 47 0C 8B 04 B0 E8 ?? ?? ?? ?? 46 4D 75 F1 B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66790_0 {
	meta:
		name = "MakeFinalizer"
		size = 33
		refs = "0006 _DV_TFinalizer 000b TObject.Create 001b @IntfCopy"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66791_0 {
	meta:
		name = "InsufficientRtti"
		size = 19
		refs = "0002 SInsufficientRtti 0009 _DV_EInsufficientRtti 000e Exception.CreateRes"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66792_0 {
	meta:
		name = "CheckCodeAddress"
		size = 20
		refs = "000a InsufficientRtti 000f @RaiseExcept"
	strings:
		$1 = { 85 C0 74 05 83 38 00 75 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66796_0 {
	meta:
		name = "DerefPointer"
		size = 7
	strings:
		$1 = { 85 C0 74 02 8B 00 C3 }
	condition:
		$1
}

rule function_66800_0 {
	meta:
		name = "IsManaged"
		size = 118
		refs = "0019 IsManaged 0044 GetTypeData"
	strings:
		$1 = { 53 8B D8 85 DB 75 04 33 C0 5B C3 0F B6 03 83 C0 F6 83 F8 08 77 5C 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 01 01 03 02 01 00 01 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B0 01 EB 33 8B C3 E8 ?? ?? ?? ?? 83 78 04 00 0F 9F C0 EB 23 8B C3 E8 ?? ?? ?? ?? 8B 58 08 85 DB 74 0B 8B 03 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 06 B0 01 EB 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_66801_0 {
	meta:
		name = "PushSelfFirst"
		size = 45
		refs = "001c TValue 0021 @CopyRecord"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 8B F2 3C 02 74 1A 8B 03 8D 04 40 8B 16 8D 04 C2 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 03 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_66802_0 {
	meta:
		name = "PushSelfLast"
		size = 43
		refs = "001c TValue 0021 @CopyRecord"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 3C 02 75 18 8B 06 8D 04 40 8B 13 8D 04 C2 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_66803_0 {
	meta:
		name = "GetInlineSize"
		size = 342
		refs = "001a GetInlineSize 0079 GetTypeData"
	strings:
		$1 = { 53 8B D8 85 DB 75 04 33 C0 5B C3 0F B6 03 83 F8 15 0F 87 3B 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 00 2C 02 72 0A 2C 02 72 0D 2C 02 72 10 EB 15 B8 01 00 00 00 5B C3 B8 02 00 00 00 5B C3 B8 04 00 00 00 5B C3 33 C0 5B C3 8B C3 E8 ?? ?? ?? ?? 0F B6 00 83 F8 04 77 3E FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B8 04 00 00 00 5B C3 B8 08 00 00 00 5B C3 B8 0A 00 00 00 5B C3 B8 08 00 00 00 5B C3 B8 08 00 00 00 5B C3 33 C0 5B C3 B8 04 00 00 00 5B C3 B8 08 00 00 00 5B C3 B8 08 00 00 00 5B C3 B8 FC FF FF FF 5B C3 8B C3 E8 ?? ?? ?? ?? 0F B6 00 F7 D8 40 5B C3 B8 04 00 00 00 5B C3 B8 04 00 00 00 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 00 F7 D8 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 00 F7 D8 5B C3 B8 F0 FF FF FF 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_66804_0 {
	meta:
		name = "UseResultPointer"
		size = 141
		refs = "0019 UseResultPointer 0049 GetTypeData 0061 IsManaged"
	strings:
		$1 = { 53 8B D8 85 DB 75 04 33 C0 5B C3 0F B6 03 83 C0 FB 83 F8 0D 77 73 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 00 00 01 00 01 01 01 03 02 01 00 01 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B0 01 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 00 48 83 E8 02 72 05 48 74 06 EB 0D 33 C0 EB 2D 8B C3 E8 ?? ?? ?? ?? EB 24 B0 01 EB 20 8B C3 E8 ?? ?? ?? ?? 8B 00 48 83 E8 02 72 09 83 E8 01 74 04 33 C0 EB 02 B0 01 34 01 EB 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_66805_0 {
	meta:
		name = "PassByRef"
		size = 130
		refs = "0051 GetTypeData"
	strings:
		$1 = { 56 8B F0 85 F6 75 04 33 C0 5E C3 0F B6 06 2C 05 74 5A 2C 07 74 0A FE C8 74 43 FE C8 74 1B EB 5E 84 C9 75 11 80 EA 01 74 08 80 C2 FE 80 EA 02 73 04 33 C0 EB 4B B0 01 EB 47 80 EA 01 74 08 80 C2 FE 80 EA 02 73 08 84 C9 75 04 33 C0 EB 32 8B C6 E8 ?? ?? ?? ?? 83 38 04 0F 9F C0 EB 23 8B C6 E8 ?? ?? ?? ?? 83 38 04 0F 9F C0 EB 14 8B C6 E8 ?? ?? ?? ?? 0F B6 00 83 F8 04 0F 97 C0 EB 02 33 C0 5E C3 }
	condition:
		$1
}

rule function_66806_0 {
	meta:
		name = "PassArg"
		size = 416
		refs = "0021 PassArg 0039 TValue.GetReferenceToRawData 0041 TValue.From<System.Pointer> 004c TValue 0051 @CopyRecord 007a TRttiType.GetHandle 0082 TValue.GetTypeInfo 008d SByRefArgMismatch 0094 _Dn_EInvalidCast 0099 Exception.CreateRes 009e @RaiseExcept 00e4 PassByRef 0151 TValue.Cast 0181 @FinalizeArray 0187 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 10 85 C0 75 24 8B C6 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8D 55 E8 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0B 01 00 00 8B C3 8B 10 FF 52 0C 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 74 54 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 3B D0 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 D0 E8 ?? ?? ?? ?? 8D 55 D0 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9F 00 00 00 8B C3 8B 10 FF 52 0C A8 02 74 6C 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? 0F B6 55 08 B1 01 E8 ?? ?? ?? ?? 84 C0 74 51 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 3B D0 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 B8 E8 ?? ?? ?? ?? 8D 55 B8 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? 8B D0 8D 4D A0 8B C6 E8 ?? ?? ?? ?? 8D 55 A0 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 00 00 21 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_66807_0 {
	meta:
		name = "AllocReg"
		size = 31
	strings:
		$1 = { 53 83 38 00 75 04 33 C9 EB 11 8B 10 8B 08 49 23 D1 8B 08 8B DA F7 D3 23 CB 89 10 8B C1 5B C3 }
	condition:
		$1
}

rule function_66809_0 {
	meta:
		name = "Align8"
		size = 7
		altNames = "QWORD_ALIGN"
	strings:
		$1 = { 83 C0 07 83 E0 F8 C3 }
	condition:
		$1
}

rule function_66810_0 {
	meta:
		name = "TValueDataImpl.Create"
		size = 119
		refs = "000f @ClassCreate 0026 TValueDataImpl.CreateEmpty 0031 IsManaged 0043 CopyArray 0052 Move 005f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 56 8B 4D 0C 33 D2 8B C3 E8 ?? ?? ?? ?? 85 FF 74 28 8B C6 E8 ?? ?? ?? ?? 84 C0 74 10 6A 01 8B 43 10 8B CE 8B D7 E8 ?? ?? ?? ?? EB 0D 8B 53 10 8B C7 8B 4D 0C E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66811_0 {
	meta:
		name = "TValueDataImpl.CreateEmpty"
		size = 83
		refs = "000e @ClassCreate 0029 TArray<System.Byte> 002e @DynArraySetLength 003c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 89 47 0C 56 8D 47 10 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_66812_0 {
	meta:
		name = "TValueDataImpl.CreateWithoutCopy"
		size = 93
		refs = "000f @ClassCreate 0028 TValueDataImpl.CreateEmpty 0038 Move 0045 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 0C 8B 45 08 50 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 85 F6 74 0C 8B 53 10 8B C6 8B CF E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66813_0 {
	meta:
		name = "TValueDataImpl.Destroy"
		size = 64
		refs = "0003 @BeforeDestruction 000f IsManaged 0023 FinalizeArray 002e TObject.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 84 C0 74 10 8B 56 0C 8B 46 10 B9 01 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66815_0 {
	meta:
		name = "TValueDataImpl.ExtractRawData"
		size = 59
		refs = "000a IsManaged 001d CopyArray 0028 @DynArrayLength 0034 Move"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C E8 ?? ?? ?? ?? 84 C0 74 12 6A 01 8B 53 10 8B 4B 0C 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B 43 10 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66816_0 {
	meta:
		name = "TValueDataImpl.ExtractRawDataNoCopy"
		size = 29
		refs = "000a @DynArrayLength 0016 Move"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66824_0 {
	meta:
		name = "TValue.GetIsEmpty"
		size = 87
	strings:
		$1 = { 53 8B D8 8B 03 85 C0 74 06 83 7B 04 00 75 04 B0 01 5B C3 0F B6 00 2C 07 74 0E FE C8 74 23 2C 07 74 0F 2C 05 74 24 EB 2B 83 7B 08 00 0F 94 C0 EB 24 8B 43 04 8B 10 FF 52 18 83 38 00 0F 94 C0 EB 14 83 7B 08 00 0F 94 C0 EB 0B 83 7B 08 00 0F 94 C0 EB 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_66826_0 {
	meta:
		name = "TValue.GetTypeKind"
		size = 25
		refs = "0006 TValue.GetIsEmpty"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 8B 03 0F B6 00 5B C3 }
	condition:
		$1
}

rule function_66827_0 {
	meta:
		name = "TValue.GetTypeDataProp"
		size = 17
		refs = "000c GetTypeData"
	strings:
		$1 = { 8B 10 85 D2 75 03 33 C0 C3 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66828_0 {
	meta:
		name = "TValue.GetDataSize"
		size = 321
		refs = "0015 Nop_Instance 0045 TValue.GetDataSize 0088 GetTypeData"
	strings:
		$1 = { 53 56 8B D8 8B 33 85 F6 75 21 83 7B 04 00 74 0B 8B 43 04 3B 05 ?? ?? ?? ?? 75 05 33 C0 5E 5B C3 8B 43 04 8B 10 FF 52 0C 5E 5B C3 83 7B 04 00 75 05 33 C0 5E 5B C3 0F B6 06 83 F8 14 0F 87 FA 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 01 01 02 04 01 03 05 01 03 03 07 04 04 03 06 03 03 03 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 00 2C 02 72 0A 2C 02 72 0E 2C 02 72 12 EB 18 B8 01 00 00 00 5E 5B C3 B8 02 00 00 00 5E 5B C3 B8 04 00 00 00 5E 5B C3 33 C0 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 0F B6 00 83 F8 04 77 43 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B8 04 00 00 00 5E 5B C3 B8 08 00 00 00 5E 5B C3 B8 0A 00 00 00 5E 5B C3 B8 08 00 00 00 5E 5B C3 B8 08 00 00 00 5E 5B C3 33 C0 5E 5B C3 B8 04 00 00 00 5E 5B C3 8B 43 04 8B 10 FF 52 0C 5E 5B C3 B8 08 00 00 00 5E 5B C3 B8 08 00 00 00 5E 5B C3 B8 10 00 00 00 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_66830_0 {
	meta:
		name = "TValue.Create"
		size = 37
		refs = "0015 @IntfClear 001a Nop_Instance"
	strings:
		$1 = { 53 8B D8 89 13 33 C0 89 43 08 89 43 0C 66 89 43 10 8D 43 04 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 04 8B C3 5B C3 }
	condition:
		$1
}

rule function_66831_0 {
	meta:
		name = "TValue.GetEmpty"
		size = 14
		refs = "0008 TValue.Create"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_71736_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.First"
		size = 14
		refs = "0008 TList<System.Zip.TZipCompression>.GetItem"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66832_0 {
	meta:
		name = "TValue.&op_Implicit"
		size = 64
		refs = "0009 string 0010 TValue.Create 0023 _DV_TValueDataImpl 0028 TValueDataImpl.Create 0039 @IntfCopy"
	strings:
		$1 = { 53 51 8B DA 89 04 24 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 04 A1 ?? ?? ?? ?? 50 8D 4C 24 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 43 04 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_66833_0 {
	meta:
		name = "TValue.&op_Implicit"
		size = 25
		refs = "0008 Integer 000f TValue.Create"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_66834_0 {
	meta:
		name = "TValue.&op_Implicit"
		size = 44
		refs = "0008 Extended 000f TValue.Create"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 43 08 8B 45 0C 89 43 0C 66 8B 45 10 66 89 43 10 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_66835_0 {
	meta:
		name = "TValue.&op_Implicit"
		size = 36
		refs = "0008 Int64 000f TValue.Create"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 43 08 8B 45 0C 89 43 0C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_66836_0 {
	meta:
		name = "TValue.&op_Implicit"
		size = 70
		refs = "000e TValue.GetEmpty 0023 TValue 0028 @FinalizeRecord 0033 TValue.Make 003e TValue.From<System.TObject>"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 85 DB 75 09 8B C7 E8 ?? ?? ?? ?? EB 2E 8B 03 83 C0 B8 8B 30 85 F6 74 1A 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66837_0 {
	meta:
		name = "TValue.&op_Implicit"
		size = 39
		refs = "000d TValue.GetEmpty 0016 TClass 001d TValue.Create"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 F6 75 0A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_66838_0 {
	meta:
		name = "TValue.&op_Implicit"
		size = 25
		refs = "000a Boolean 000f TValue.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 5E 08 5E 5B C3 }
	condition:
		$1
}

rule function_66839_0 {
	meta:
		name = "TValue.FromVariant"
		size = 652
		refs = "0018 TValue.FromVariant 00c4 TValue.GetEmpty 00d8 TValue.&op_Implicit 0161 TValue.From<System.TDateTime> 0171 @UStrFromPWChar 018a TValue.From<System.IDispatch> 0199 TValue.From<System.HRESULT> 01a8 TValue.From<System.IInterface> 0222 @UStrFromLStr 0240 SInvalidVarCast 0247 _Dn_EVariantTypeCastError 024c Exception.CreateRes 0251 @RaiseExcept 0266 @UStrClr 0274 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 03 83 F8 0B 7F 42 0F 84 9D 00 00 00 83 F8 0A 0F 87 05 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 13 7F 27 0F 84 5A 01 00 00 83 E8 0D 0F 84 22 01 00 00 83 E8 03 74 5C 48 0F 84 25 01 00 00 48 0F 84 2E 01 00 00 E9 A6 01 00 00 83 E8 14 0F 84 40 01 00 00 48 0F 84 48 01 00 00 2D EB 00 00 00 0F 84 68 01 00 00 83 E8 02 0F 84 76 01 00 00 E9 7D 01 00 00 8B C6 E8 ?? ?? ?? ?? E9 88 01 00 00 66 83 7B 08 01 1B C0 40 8B D6 E8 ?? ?? ?? ?? E9 74 01 00 00 8B D6 0F BE 43 08 E8 ?? ?? ?? ?? E9 64 01 00 00 8B D6 0F BF 43 08 E8 ?? ?? ?? ?? E9 54 01 00 00 8B D6 8B 43 08 E8 ?? ?? ?? ?? E9 45 01 00 00 D9 43 08 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? E9 2F 01 00 00 DD 43 08 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? E9 19 01 00 00 DF 6B 08 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? E9 FD 00 00 00 FF 73 0C FF 73 08 8B C6 E8 ?? ?? ?? ?? E9 EB 00 00 00 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? E9 D1 00 00 00 8B D6 8B 43 08 E8 ?? ?? ?? ?? E9 C2 00 00 00 8B D6 8B 43 08 E8 ?? ?? ?? ?? E9 B3 00 00 00 8B D6 8B 43 08 E8 ?? ?? ?? ?? E9 A4 00 00 00 8B D6 0F B6 43 08 E8 ?? ?? ?? ?? E9 94 00 00 00 8B D6 0F B7 43 08 E8 ?? ?? ?? ?? E9 84 00 00 00 8B 43 08 33 D2 52 50 8B C6 E8 ?? ?? ?? ?? EB 74 FF 73 0C FF 73 08 8B C6 E8 ?? ?? ?? ?? EB 65 8B 43 08 8B 53 0C 89 45 F4 81 EA 00 00 00 80 89 55 F8 DF 6D F4 DC 05 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B C6 E8 ?? ?? ?? ?? EB 3A 8D 45 F0 8B 53 08 E8 ?? ?? ?? ?? 8B 45 F0 8B D6 E8 ?? ?? ?? ?? EB 23 8B D6 8B 43 08 E8 ?? ?? ?? ?? EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 40 1C 46 00 00 00 00 00 00 E0 43 }
	condition:
		$1
}

rule function_66840_0 {
	meta:
		name = "TValue.IsObject"
		size = 29
		refs = "0006 TValue.GetIsEmpty"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 03 80 38 07 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_66841_0 {
	meta:
		name = "TValue.AsObject"
		size = 59
		refs = "0007 TValue.IsObject 0011 SInvalidCast 0018 _Dn_EInvalidCast 001d Exception.CreateRes 0022 @RaiseExcept 002c TValue.GetIsEmpty"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 08 8B C3 E8 ?? ?? ?? ?? 84 C0 74 02 33 F6 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_66842_0 {
	meta:
		name = "TValue.IsInstanceOf"
		size = 49
		refs = "0009 TValue.IsObject 001f TObject.InheritsFrom"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 83 7B 08 00 74 10 8B 43 08 8B 00 8B D6 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_66843_0 {
	meta:
		name = "TValue.FromOrdinal"
		size = 83
		refs = "001f SInvalidCast 0026 _Dn_EInvalidCast 002b Exception.CreateRes 0030 @RaiseExcept 0038 TValue 003d @FinalizeRecord 0049 TValue.Make"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 85 DB 74 10 0F B6 03 48 2C 03 72 1F 2C 05 74 1B 2C 07 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 08 8B D3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_66844_0 {
	meta:
		name = "GetDynArrayElType"
		size = 32
		refs = "0006 GetTypeData 000e SkipShortString"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C0 10 E8 ?? ?? ?? ?? 8B 00 85 C0 75 04 33 C0 5B C3 8B 00 5B C3 }
	condition:
		$1
}

rule function_66845_0 {
	meta:
		name = "MakeDynamic"
		size = 312
		refs = "0011 TValue 0016 @InitializeRecord 001e MakeDynamic 003e GetTypeData 004e GetDynArrayElType 005d SInsufficientRtti 0064 _DV_EInsufficientRtti 0069 Exception.CreateRes 006e @RaiseExcept 0085 DynArraySetLength 00b4 TValue.Cast 00be TValue.ExtractRawData 00d7 @FinalizeRecord 00e7 TValue.Make 0102 DynArrayClear 0108 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 45 E4 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E0 8B 45 08 8B 40 FC 40 89 45 DC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 00 89 45 D8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 89 45 D4 83 7D D4 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 08 8B 50 F8 8D 45 E0 B9 01 00 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 7D E0 8B 45 08 8B 70 FC 85 F6 7C 29 46 8B 45 08 8B 58 F4 8D 4D E8 8B C3 8B 55 D4 E8 ?? ?? ?? ?? 8D 45 E8 8B D7 E8 ?? ?? ?? ?? 8B 45 D8 03 F8 83 C3 18 4E 75 DE 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 50 F8 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 50 F8 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66846_0 {
	meta:
		name = "MakeStatic"
		size = 316
		refs = "0010 TValue 0015 @InitializeRecord 001d MakeStatic 0030 @FinalizeRecord 003f TValue.Make 0046 TValue.GetReferenceToRawData 0053 GetTypeData 006d _Dn_EArgumentException 0072 Exception.Create 0077 @RaiseExcept 009c SInsufficientRtti 00a3 _DV_EInsufficientRtti 00a8 Exception.CreateRes 00dd TValue.Cast 00e7 TValue.ExtractRawData 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 50 F8 33 C0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 58 04 8B 45 08 8B 40 FC 40 3B D8 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 40 08 89 45 E0 83 7D E0 00 74 08 8B 45 E0 83 38 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 00 99 F7 FB 89 45 E4 8B F3 4E 85 F6 7C 2B 46 8B 45 08 8B 58 F4 8D 4D E8 8B 45 E0 8B 10 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 8B D7 E8 ?? ?? ?? ?? 8B 45 E4 03 F8 83 C3 18 4E 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 56 00 61 00 6C 00 75 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_66847_0 {
	meta:
		name = "TValue.FromArray"
		size = 224
		refs = "0021 TValue.FromArray 003e MakeDynamic 004b TValue 0050 @CopyRecord 005b MakeStatic 007b _Dn_EArgumentException 0080 Exception.Create 0085 @RaiseExcept 00a5 @FinalizeArray 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 0F B6 00 2C 0D 74 21 2C 04 75 3A 55 8D 45 DC E8 ?? ?? ?? ?? 59 8D 55 DC 8B 45 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 33 55 8D 45 C4 E8 ?? ?? ?? ?? 59 8D 55 C4 8B 45 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 72 00 72 00 61 00 79 00 54 00 79 00 70 00 65 00 49 00 6E 00 66 00 6F 00 00 00 }
	condition:
		$1
}

rule function_66850_0 {
	meta:
		name = "TValue.IsOrdinal"
		size = 45
		refs = "0006 TValue.GetTypeInfo"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 17 8B C3 E8 ?? ?? ?? ?? 0F B6 00 48 2C 03 72 0C 2C 05 74 08 2C 07 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_66851_0 {
	meta:
		name = "TValue.AsOrdinal"
		size = 53
		refs = "000b TValue.TryAsOrdinal 0015 SInvalidCast 001c _Dn_EInvalidCast 0021 Exception.CreateRes 0026 @RaiseExcept"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_66852_0 {
	meta:
		name = "TValue.TryAsOrdinal"
		size = 97
		refs = "000a TValue.IsOrdinal 0017 TValue.GetTypeInfo 001c GetInlineSize"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 47 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 74 0A 48 74 13 83 E8 02 74 1A EB 23 0F BE 46 08 99 89 07 89 57 04 EB 22 0F BF 46 08 99 89 07 89 57 04 EB 16 8B 46 08 99 89 07 89 57 04 EB 0B 8B 46 08 89 07 8B 46 0C 89 47 04 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66853_0 {
	meta:
		name = "TValue.IsType"
		size = 110
		refs = "0011 TValue 0016 @InitializeRecord 001e TValue.IsType 0032 @FinalizeRecord 003d TValue.TryCast 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B C3 8B D6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66854_0 {
	meta:
		name = "TValue.Cast"
		size = 64
		refs = "000b TValue 0012 @FinalizeRecord 001d TValue.TryCast 0027 SInvalidCast 002e _Dn_EInvalidCast 0033 Exception.CreateRes 0038 @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C8 8B C3 8B D6 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66855_0 {
	meta:
		name = "TValue.AsInteger"
		size = 96
		refs = "0007 TValue.GetIsEmpty 0013 Integer 0027 GetTypeData 0059 TValue.AsType<System.Integer>"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 47 8B 33 3B 35 ?? ?? ?? ?? 75 06 8B 43 08 5E 5B C3 80 3E 01 75 32 8B C6 E8 ?? ?? ?? ?? 0F B6 00 2C 01 72 0A FE C8 74 0D 2C 02 74 10 EB 14 0F BE 43 08 5E 5B C3 0F BF 43 08 5E 5B C3 8B 43 08 5E 5B C3 8B 43 08 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66856_0 {
	meta:
		name = "TValue.AsBoolean"
		size = 42
		refs = "0006 TValue.GetIsEmpty 0012 Boolean 0024 TValue.AsType<System.Boolean>"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 13 8B 03 3B 05 ?? ?? ?? ?? 75 09 80 7B 08 00 0F 95 C0 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66857_0 {
	meta:
		name = "TValue.AsExtended"
		size = 141
		refs = "000a TValue.GetIsEmpty 0016 Extended 003c GetTypeData 007c TValue.AsType<System.Extended>"
	strings:
		$1 = { 53 56 83 C4 F4 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 67 8B 33 3B 35 ?? ?? ?? ?? 75 18 8B 43 08 89 04 24 8B 43 0C 89 44 24 04 66 8B 43 10 66 89 44 24 08 EB 50 80 3E 04 75 40 8B C6 E8 ?? ?? ?? ?? 0F B6 00 2C 01 72 08 74 0F FE C8 74 14 EB 2A D9 43 08 DB 3C 24 9B EB 2C DD 43 08 DB 3C 24 9B EB 23 8B 43 08 89 04 24 8B 43 0C 89 44 24 04 66 8B 43 10 66 89 44 24 08 EB 0B 8B C3 E8 ?? ?? ?? ?? DB 3C 24 9B DB 2C 24 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_66858_0 {
	meta:
		name = "TValue.AsInt64"
		size = 112
		refs = "0009 TValue.GetIsEmpty 0015 Int64 002c UInt64 0049 TValue.AsInteger 005a TValue.AsType<System.Int64>"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 46 8B 03 3B 05 ?? ?? ?? ?? 75 0F 8B 43 08 89 04 24 8B 43 0C 89 44 24 04 EB 3B 3B 05 ?? ?? ?? ?? 75 0F 8B 43 08 89 04 24 8B 43 0C 89 44 24 04 EB 24 80 38 01 75 11 8B C3 E8 ?? ?? ?? ?? 99 89 04 24 89 54 24 04 EB 0E 8B C3 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_66859_0 {
	meta:
		name = "TValue.AsInterface"
		size = 49
		refs = "0009 TValue.GetIsEmpty 002a TValue.AsType<System.IInterface>"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 14 8B 03 80 38 0F 75 0D 8B D6 8B 43 04 8B 08 FF 51 10 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66860_0 {
	meta:
		name = "TValue.AsString"
		size = 128
		refs = "0009 TValue.GetIsEmpty 002b TValue.GetReferenceToRawData 0034 @UStrFromString 0047 @UStrFromLStr 005a @UStrFromWStr 006d @UStrAsg 0079 TValue.AsType<System.string>"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 63 8B 03 0F B6 00 2C 05 74 0E 2C 05 74 1D FE C8 74 2C 2C 07 74 3B EB 4C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 10 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 10 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 10 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66862_0 {
	meta:
		name = "TValue.AsCurrency"
		size = 18
		refs = "0004 TValue.AsType<System.Currency>"
	strings:
		$1 = { 83 C4 F8 E8 ?? ?? ?? ?? DF 3C 24 9B DF 2C 24 59 5A C3 }
	condition:
		$1
}

rule function_66863_0 {
	meta:
		name = "TValue.IsArray"
		size = 40
		refs = "0006 TValue.GetTypeInfo"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 12 8B C3 E8 ?? ?? ?? ?? 0F B6 00 2C 0D 74 08 2C 04 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_66864_0 {
	meta:
		name = "TValue.GetArrayLength"
		size = 91
		refs = "0006 TValue.GetTypeInfo 001d TValue.GetTypeDataProp 0035 TValue.GetReferenceToRawData 003c DynArraySize 0044 SInvalidCast 004b _Dn_EInvalidCast 0050 Exception.CreateRes 0055 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 34 8B C3 E8 ?? ?? ?? ?? 80 38 0D 75 0C 8B C3 E8 ?? ?? ?? ?? 8B 40 04 5B C3 8B C3 E8 ?? ?? ?? ?? 80 38 11 75 10 8B C3 E8 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 5B C3 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66865_0 {
	meta:
		name = "GetArrayElType"
		size = 49
		refs = "000d GetTypeData 0027 GetDynArrayElType"
	strings:
		$1 = { 53 8B D8 0F B6 03 3C 0D 75 16 8B C3 E8 ?? ?? ?? ?? 8B 40 08 85 C0 75 04 33 C0 EB 13 8B 00 EB 0F 3C 11 75 09 8B C3 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_66866_0 {
	meta:
		name = "TValue.GetArrayElement"
		size = 156
		refs = "000c TValue.IsArray 0016 SInvalidCast 001d _Dn_EInvalidCast 0022 Exception.CreateRes 0027 @RaiseExcept 0032 TValue.GetArrayLength 003b TValue.GetArrayElement 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.Create 0055 TValue.GetReferenceToRawArrayElement 005d TValue.GetTypeInfo 0062 GetArrayElType 006b TValue 0070 @FinalizeRecord 0079 TValue.Make"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7C 0B 8B C3 E8 ?? ?? ?? ?? 3B F0 7C 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B D6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 5A 58 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 64 00 65 00 78 00 00 00 }
	condition:
		$1
}

rule function_66867_0 {
	meta:
		name = "TValue.SetArrayElement"
		size = 228
		refs = "0014 TValue 0019 @InitializeRecord 0021 TValue.SetArrayElement 002e TValue.IsArray 0038 SInvalidCast 003f _Dn_EInvalidCast 0044 Exception.CreateRes 0049 @RaiseExcept 0054 TValue.GetArrayLength 0064 _Dn_EArgumentOutOfRangeException 0069 Exception.Create 0075 TValue.GetTypeInfo 007a GetArrayElType 0086 TValue.Cast 0093 TValue.GetReferenceToRawArrayElement 009b TValue.ExtractRawData 00b6 @FinalizeRecord 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7C 0B 8B C3 E8 ?? ?? ?? ?? 3B F0 7C 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8D 4D E8 8B C7 E8 ?? ?? ?? ?? 8D 45 E8 50 8B C3 8B D6 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 64 00 65 00 78 00 00 00 }
	condition:
		$1
}

rule function_66868_0 {
	meta:
		name = "GetClassInfo"
		size = 22
	strings:
		$1 = { 55 8B EC 85 C0 75 08 8B 45 08 8B 40 FC 5D C3 83 C0 B8 8B 00 5D C3 }
	condition:
		$1
}

rule function_66869_0 {
	meta:
		name = "TValue.Make"
		size = 178
		refs = "0012 TValue 0017 @InitializeRecord 0025 Nop_Instance 002a @IntfCopy 0032 GetInlineSize 005a Move 007d GetClassInfo 0092 _DV_TValueDataImpl 0097 TValueDataImpl.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B F8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 06 8D 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 70 85 DB 7E 46 C7 46 08 00 00 00 00 C7 46 0C 00 00 00 00 85 FF 74 0C 8D 56 08 8B C7 8B CB E8 ?? ?? ?? ?? 83 7D FC 00 74 48 8B 45 FC 0F B6 00 2C 07 75 3E 8B 46 08 85 C0 74 37 8B 00 89 C3 55 8B C3 E8 ?? ?? ?? ?? 59 89 06 EB 26 F7 DB 53 8B 45 FC 50 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 46 04 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66870_0 {
	meta:
		name = "TValue.Make"
		size = 101
		refs = "0011 TValue 0016 @InitializeRecord 0021 Nop_Instance 0026 @IntfCopy 002d GetInlineSize 0046 _DV_TValueDataImpl 004b TValueDataImpl.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 8B F2 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 33 8D 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 08 8B 45 FC 89 43 08 EB 23 6A 04 56 8D 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 43 04 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66872_0 {
	meta:
		name = "TValue.MakeWithoutCopy"
		size = 125
		refs = "0012 TValue 0017 @InitializeRecord 001f IsManaged 0030 @FinalizeRecord 003c TValue.Make 004b GetInlineSize 005d _DV_TValueDataImpl 0062 TValueDataImpl.CreateWithoutCopy 0073 @IntfCopy"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 89 55 FC 8B F8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 1B 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 35 8B 45 FC 89 03 8B 45 FC E8 ?? ?? ?? ?? 8B F0 F7 DE 56 8B 45 FC 50 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 43 04 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66873_0 {
	meta:
		name = "TValue.ExtractRawData"
		size = 71
		refs = "0009 GetInlineSize 0013 SInvalidCast 001a _Dn_EInvalidCast 001f Exception.CreateRes 0024 @RaiseExcept 0033 Move"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 03 E8 ?? ?? ?? ?? 85 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0E 8B D6 8D 4B 08 91 E8 ?? ?? ?? ?? 5E 5B C3 8B 43 04 8B D6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_66874_0 {
	meta:
		name = "TValue.ExtractRawDataNoCopy"
		size = 71
		refs = "0009 GetInlineSize 0013 SInvalidCast 001a _Dn_EInvalidCast 001f Exception.CreateRes 0024 @RaiseExcept 0033 Move"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 03 E8 ?? ?? ?? ?? 85 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0E 8B D6 8D 4B 08 91 E8 ?? ?? ?? ?? 5E 5B C3 8B 43 04 8B D6 8B 08 FF 51 14 5E 5B C3 }
	condition:
		$1
}

rule function_66875_0 {
	meta:
		name = "TValue.GetReferenceToRawData"
		size = 56
		refs = "0006 GetInlineSize 0010 SInvalidCast 0017 _Dn_EInvalidCast 001c Exception.CreateRes 0021 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B 03 E8 ?? ?? ?? ?? 85 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 05 8D 43 08 5B C3 8B 43 04 8B 10 FF 52 18 5B C3 }
	condition:
		$1
}

rule function_66876_0 {
	meta:
		name = "TValue.GetReferenceToRawArrayElement"
		size = 125
		refs = "000a TValue.GetTypeInfo 0021 TValue.GetTypeDataProp 0032 TValue.GetReferenceToRawData 0064 SInvalidCast 006b _Dn_EInvalidCast 0070 Exception.CreateRes 0075 @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 50 8B C3 E8 ?? ?? ?? ?? 80 38 0D 75 1F 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 01 99 F7 79 04 8B F0 8B C3 E8 ?? ?? ?? ?? 0F AF FE 03 C7 EB 3C 8B C3 E8 ?? ?? ?? ?? 80 38 11 75 19 8B C3 E8 ?? ?? ?? ?? 8B 30 8B C3 E8 ?? ?? ?? ?? 8B 00 0F AF FE 03 C7 EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66877_0 {
	meta:
		name = "TValue.ToString"
		size = 1552
		refs = "0025 TValue.ToString 0032 TValue.GetIsEmpty 0042 @UStrAsg 00cc TValue.AsInt64 00d5 IntToStr 00e1 TValue.AsType<System.AnsiChar> 00ea @UStrFromChar 00fb GetEnumName 0107 GetTypeData 0148 CurrencyString 014d FloatToStr 01f6 CurrToStr 020e TValue.AsType<System.string> 0220 SetToString 0244 TValue.AsObject 024e TObject.ClassName 0278 Format 02b0 TValue.AsType<System.Char> 02b9 @UStrFromWChar 038b UIntToStr 0405 @UStrClr 041a @UStrArrayClr 0420 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 C9 89 4D 98 89 4D A4 89 4D FC 89 4D F8 89 4D F4 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A9 03 00 00 8B 3B 0F B6 07 83 F8 15 0F 87 9B 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2B 03 00 00 8B C3 E8 ?? ?? ?? ?? 52 50 8B C6 E8 ?? ?? ?? ?? E9 16 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? E9 01 03 00 00 8B CE 8B 53 08 8B C7 E8 ?? ?? ?? ?? E9 F0 02 00 00 8B C7 E8 ?? ?? ?? ?? 0F B6 00 83 F8 04 0F 87 DD 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? D9 43 08 DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? E9 94 02 00 00 DD 43 08 DB 7D D0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? E9 66 02 00 00 8B 43 08 89 45 C0 8B 43 0C 89 45 C4 66 8B 43 10 66 89 45 C8 0F B7 45 C8 50 FF 75 C4 FF 75 C0 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F4 E8 ?? ?? ?? ?? E9 2B 02 00 00 FF 73 0C FF 73 08 8B C6 E8 ?? ?? ?? ?? E9 19 02 00 00 8B 43 08 89 45 B8 8B 43 0C 89 45 BC FF 75 BC FF 75 B8 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F0 E8 ?? ?? ?? ?? E9 EB 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? E9 DD 01 00 00 56 8B 53 08 8B C7 B1 01 E8 ?? ?? ?? ?? E9 CB 01 00 00 83 7B 08 00 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B4 01 00 00 56 8B C3 E8 ?? ?? ?? ?? 8B 00 8D 55 A4 E8 ?? ?? ?? ?? 8B 45 A4 89 45 A8 C6 45 AC 11 8B C3 E8 ?? ?? ?? ?? 89 45 B0 C6 45 B4 05 8D 55 A8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 73 01 00 00 56 8B 43 08 89 45 A8 C6 45 AC 05 8B 43 0C 89 45 B0 C6 45 B4 05 8D 55 A8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 47 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? E9 32 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 21 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 10 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FF 00 00 00 56 8B 43 08 89 45 9C C6 45 A0 05 8D 55 9C 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E0 00 00 00 56 8B 43 08 89 45 9C C6 45 A0 05 8D 55 9C 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C1 00 00 00 56 8B 43 04 8B 10 FF 52 18 8B 00 89 45 9C C6 45 A0 05 8D 55 9C 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9B 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 01 8B 51 04 52 50 8B 41 08 8B 51 0C 3B 54 24 04 75 09 3B 04 24 5A 58 73 15 EB 04 5A 58 7D 0F FF 73 0C FF 73 08 8B C6 E8 ?? ?? ?? ?? EB 63 FF 73 0C FF 73 08 8B C6 E8 ?? ?? ?? ?? EB 54 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 46 8B 7B 08 85 FF 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 31 56 8D 55 98 8B C7 E8 ?? ?? ?? ?? 8B 45 98 89 45 A8 C6 45 AC 11 8B 43 08 89 45 B0 C6 45 B4 05 8D 55 A8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 28 00 65 00 6D 00 70 00 74 00 79 00 29 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 28 00 75 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 29 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 28 00 25 00 73 00 20 00 40 00 20 00 25 00 70 00 29 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 28 00 6D 00 65 00 74 00 68 00 6F 00 64 00 20 00 63 00 6F 00 64 00 65 00 3D 00 25 00 70 00 2C 00 20 00 64 00 61 00 74 00 61 00 3D 00 25 00 70 00 29 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 28 00 76 00 61 00 72 00 69 00 61 00 6E 00 74 00 29 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 28 00 61 00 72 00 72 00 61 00 79 00 29 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 28 00 72 00 65 00 63 00 6F 00 72 00 64 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 28 00 70 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 20 00 40 00 20 00 25 00 70 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 28 00 70 00 6F 00 69 00 6E 00 74 00 65 00 72 00 20 00 40 00 20 00 25 00 70 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 28 00 69 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 20 00 40 00 20 00 25 00 70 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 28 00 64 00 79 00 6E 00 61 00 6D 00 69 00 63 00 20 00 61 00 72 00 72 00 61 00 79 00 29 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 28 00 63 00 6C 00 61 00 73 00 73 00 20 00 27 00 25 00 73 00 27 00 20 00 40 00 20 00 25 00 70 00 29 00 00 00 }
	condition:
		$1
}

rule function_66878_0 {
	meta:
		name = "ConvNone"
		size = 43
		refs = "000d TValue 0012 @InitializeRecord 0021 @CopyRecord"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 5E 5B 5D C3 }
	condition:
		$1
}

rule function_66879_0 {
	meta:
		name = "ConvFail"
		size = 7
	strings:
		$1 = { 55 8B EC 33 C0 5D C3 }
	condition:
		$1
}

rule function_66880_0 {
	meta:
		name = "ConvInt2Int"
		size = 115
		refs = "0011 TValue 0016 @InitializeRecord 001d GetTypeData 005b @FinalizeRecord 0067 TValue.Make"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 0F B6 00 2C 01 72 0A FE C8 74 0F 2C 02 74 14 EB 1A 0F BE 43 08 89 45 FC EB 17 0F BF 43 08 89 45 FC EB 0E 8B 43 08 89 45 FC EB 06 8B 43 08 89 45 FC 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C8 8D 45 FC 8B D6 E8 ?? ?? ?? ?? B0 01 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66881_0 {
	meta:
		name = "ConvInt2Float"
		size = 432
		refs = "0022 TValue 0027 @InitializeRecord 002f ConvInt2Float 003c GetTypeData 00be TValue.From<System.Single> 00cf @CopyRecord 00e6 TValue.From<System.Double> 010b TValue.From<System.Extended> 0136 TValue.From<System.Currency> 015e TValue.From<System.Comp> 0197 @FinalizeArray 019d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 10 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D FC 8B F2 8B D8 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 E8 ?? ?? ?? ?? 0F B6 00 2C 01 72 0A FE C8 74 13 2C 02 74 1C EB 26 0F BE 43 08 99 89 45 F0 89 55 F4 EB 24 0F BF 43 08 99 89 45 F0 89 55 F4 EB 17 8B 43 08 99 89 45 F0 89 55 F4 EB 0B 8B 43 08 33 D2 89 45 F0 89 55 F4 8B C6 E8 ?? ?? ?? ?? 0F B6 00 83 F8 04 0F 87 E1 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DF 6D F0 83 C4 FC D9 1C 24 9B 8D 45 D8 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9E 00 00 00 DF 6D F0 83 C4 F8 DD 1C 24 9B 8D 45 C0 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 79 DF 6D F0 83 C4 F4 DB 3C 24 9B 8D 45 A8 E8 ?? ?? ?? ?? 8D 55 A8 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 54 DF 6D F0 D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8D 45 90 E8 ?? ?? ?? ?? 8D 55 90 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 29 DF 6D F0 83 C4 F8 DF 3C 24 9B 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 95 78 FF FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 8B E5 5D C3 00 00 40 1C 46 }
	condition:
		$1
}

rule function_66882_0 {
	meta:
		name = "ConvInt2Int64"
		size = 135
		refs = "0013 TValue 0018 @InitializeRecord 001f GetTypeData 006e @FinalizeRecord 007a TValue.Make"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 0F B6 00 2C 01 72 0A FE C8 74 13 2C 02 74 1C EB 26 0F BE 43 08 99 89 45 F8 89 55 FC EB 24 0F BF 43 08 99 89 45 F8 89 55 FC EB 17 8B 43 08 99 89 45 F8 89 55 FC EB 0B 8B 43 08 33 D2 89 45 F8 89 55 FC 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C8 8D 45 F8 8B D6 E8 ?? ?? ?? ?? B0 01 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66883_0 {
	meta:
		name = "ConvChar2Str"
		size = 479
		refs = "0021 TValue 0026 @InitializeRecord 002e ConvChar2Str 0097 TValue.From<System.ShortString> 00a8 @CopyRecord 00bb @FinalizeRecord 00c7 TValue.Make 00fa @LStrFromChar 0105 TValue.From<System.AnsiString> 0122 @WStrFromChar 012d TValue.From<System.WideString> 014a @UStrFromChar 0155 TValue.From<System.string> 0183 @UStrClr 0199 @WStrClr 01af @LStrClr 01d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0E 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D FC 8B F2 8B D8 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 5B 08 0F B6 06 83 F8 12 0F 87 24 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 02 00 00 01 00 00 00 03 04 05 00 00 00 00 00 00 06 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 E0 8B D3 88 50 01 C6 00 01 8D 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BF 00 00 00 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 0F B6 C3 8B D6 E8 ?? ?? ?? ?? E9 A0 00 00 00 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 0F B6 C3 8B D6 E8 ?? ?? ?? ?? E9 81 00 00 00 8D 45 C4 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 C4 8D 55 C8 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 54 8D 45 A8 8B D3 E8 ?? ?? ?? ?? 8B 45 A8 8D 55 AC E8 ?? ?? ?? ?? 8D 55 AC 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2C 8D 45 8C 8B D3 E8 ?? ?? ?? ?? 8B 45 8C 8D 55 90 E8 ?? ?? ?? ?? 8D 55 90 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A8 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66884_0 {
	meta:
		name = "ConvWChar2Str"
		size = 566
		refs = "0022 TValue 0027 @InitializeRecord 002f ConvWChar2Str 0094 @WCharToString 00a2 TValue.From<System.ShortString> 00b3 @CopyRecord 00c6 @FinalizeRecord 00d2 TValue.Make 011e @LStrFromString 012f TValue.From<System.AnsiString> 0152 @WStrFromWChar 0163 TValue.From<System.WideString> 0186 @UStrFromWChar 0197 TValue.From<System.string> 01cb @UStrClr 01e7 @WStrClr 0203 @LStrClr 0228 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 2D 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D FC 8B F2 8B D8 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 5B 08 0F B6 06 83 F8 12 0F 87 68 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 02 00 00 01 00 00 00 03 04 05 00 00 00 00 00 00 06 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 85 E4 FE FF FF 8B D3 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 85 E4 FE FF FF 8D 55 E4 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F9 00 00 00 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 0F B7 C3 8B D6 E8 ?? ?? ?? ?? E9 DA 00 00 00 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 0F B7 C3 8B D6 E8 ?? ?? ?? ?? E9 BB 00 00 00 8D 85 E4 FE FF FF 8B D3 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 95 E4 FE FF FF 8D 85 C8 FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 C8 FE FF FF 8D 95 CC FE FF FF E8 ?? ?? ?? ?? 8D 95 CC FE FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6C 8D 85 AC FE FF FF 8B D3 E8 ?? ?? ?? ?? 8B 85 AC FE FF FF 8D 95 B0 FE FF FF E8 ?? ?? ?? ?? 8D 95 B0 FE FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 38 8D 85 90 FE FF FF 8B D3 E8 ?? ?? ?? ?? 8B 85 90 FE FF FF 8D 95 94 FE FF FF E8 ?? ?? ?? ?? 8D 95 94 FE FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 90 FE FF FF E8 ?? ?? ?? ?? 8D 85 94 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 AC FE FF FF E8 ?? ?? ?? ?? 8D 85 B0 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 C8 FE FF FF E8 ?? ?? ?? ?? 8D 85 CC FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 96 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66885_0 {
	meta:
		name = "GetEnumBaseType"
		size = 49
		refs = "0014 GetTypeData"
	strings:
		$1 = { 53 56 85 C0 74 05 80 38 03 74 04 33 F6 EB 1D 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 58 09 85 DB 74 0D 83 3B 00 74 08 3B 33 74 04 8B 33 EB E5 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_66886_0 {
	meta:
		name = "IsBoolType"
		size = 43
		refs = "0001 GetEnumBaseType 0007 Boolean 000f ByteBool 0017 WordBool 001f LongBool"
	strings:
		$1 = { E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 74 1B 3B 05 ?? ?? ?? ?? 74 13 3B 05 ?? ?? ?? ?? 74 0B 3B 05 ?? ?? ?? ?? 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_66887_0 {
	meta:
		name = "ConvEnum2Enum"
		size = 184
		refs = "0015 TValue 001a @InitializeRecord 0024 IsBoolType 003e GetEnumBaseType 0044 Boolean 0067 @FinalizeRecord 0072 TValue.Make"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 77 08 8B 07 E8 ?? ?? ?? ?? 84 C0 74 4C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 41 C6 45 FB 01 8B C3 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 0C 85 F6 0F 95 C0 83 E0 7F 8B F0 EB 07 85 F6 74 03 83 CE FF 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? EB 35 8B 07 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 3B D0 0F 94 45 FB 80 7D FB 00 74 19 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B6 45 FB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66888_0 {
	meta:
		name = "ConvFloat2Float"
		size = 1528
		refs = "0021 TValue 0026 @InitializeRecord 002e ConvFloat2Float 003b GetTypeData 009b TValue.From<System.Single> 00ac @CopyRecord 00c3 TValue.From<System.Double> 00eb TValue.From<System.Extended> 0113 TValue.From<System.Comp> 0141 TValue.From<System.Currency> 05e0 @FinalizeArray 05e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 4B 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D FC 8B F2 8B D8 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 E8 ?? ?? ?? ?? 0F B6 00 83 F8 04 0F 87 74 05 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 00 83 F8 04 0F 87 46 05 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FF 73 08 8D 45 E4 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0A 05 00 00 D9 43 08 83 C4 F8 DD 1C 24 9B 8D 45 CC E8 ?? ?? ?? ?? 8D 55 CC 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E2 04 00 00 D9 43 08 83 C4 F4 DB 3C 24 9B 8D 45 B4 E8 ?? ?? ?? ?? 8D 55 B4 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BA 04 00 00 D9 43 08 83 C4 F8 DF 3C 24 9B 8D 45 9C E8 ?? ?? ?? ?? 8D 55 9C 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 92 04 00 00 D9 43 08 D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8D 45 84 E8 ?? ?? ?? ?? 8D 55 84 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 64 04 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 00 83 F8 04 0F 87 51 04 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DD 43 08 83 C4 FC D9 1C 24 9B 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8D 95 6C FF FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 08 04 00 00 FF 73 0C FF 73 08 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 8D 95 54 FF FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DE 03 00 00 DD 43 08 83 C4 F4 DB 3C 24 9B 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 8D 95 3C FF FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B0 03 00 00 DD 43 08 83 C4 F8 DF 3C 24 9B 8D 85 24 FF FF FF E8 ?? ?? ?? ?? 8D 95 24 FF FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 82 03 00 00 DD 43 08 D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 8D 95 0C FF FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4E 03 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 00 83 F8 04 0F 87 3B 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DB 6B 08 83 C4 FC D9 1C 24 9B 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 95 F4 FE FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F2 02 00 00 DB 6B 08 83 C4 F8 DD 1C 24 9B 8D 85 DC FE FF FF E8 ?? ?? ?? ?? 8D 95 DC FE FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C4 02 00 00 0F B7 43 10 50 FF 73 0C FF 73 08 8D 85 C4 FE FF FF E8 ?? ?? ?? ?? 8D 95 C4 FE FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 95 02 00 00 DB 6B 08 83 C4 F8 DF 3C 24 9B 8D 85 AC FE FF FF E8 ?? ?? ?? ?? 8D 95 AC FE FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 67 02 00 00 DB 6B 08 D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8D 85 94 FE FF FF E8 ?? ?? ?? ?? 8D 95 94 FE FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 33 02 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 00 83 F8 04 0F 87 20 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DF 6B 08 83 C4 FC D9 1C 24 9B 8D 85 7C FE FF FF E8 ?? ?? ?? ?? 8D 95 7C FE FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D7 01 00 00 DF 6B 08 83 C4 F8 DD 1C 24 9B 8D 85 64 FE FF FF E8 ?? ?? ?? ?? 8D 95 64 FE FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A9 01 00 00 DF 6B 08 83 C4 F4 DB 3C 24 9B 8D 85 4C FE FF FF E8 ?? ?? ?? ?? 8D 95 4C FE FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7B 01 00 00 FF 73 0C FF 73 08 8D 85 34 FE FF FF E8 ?? ?? ?? ?? 8D 95 34 FE FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 51 01 00 00 DF 6B 08 D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8D 85 1C FE FF FF E8 ?? ?? ?? ?? 8D 95 1C FE FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1D 01 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 00 83 F8 04 0F 87 0A 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DF 6B 08 D8 35 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8D 85 04 FE FF FF E8 ?? ?? ?? ?? 8D 95 04 FE FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BB 00 00 00 DF 6B 08 D8 35 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 85 EC FD FF FF E8 ?? ?? ?? ?? 8D 95 EC FD FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 87 00 00 00 DF 6B 08 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 85 D4 FD FF FF E8 ?? ?? ?? ?? 8D 95 D4 FD FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 56 DF 6B 08 D8 35 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8D 85 BC FD FF FF E8 ?? ?? ?? ?? 8D 95 BC FD FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 25 FF 73 0C FF 73 08 8D 85 A4 FD FF FF E8 ?? ?? ?? ?? 8D 95 A4 FD FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A4 FD FF FF 8B 15 ?? ?? ?? ?? B9 19 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 8B E5 5D C3 00 40 1C 46 }
	condition:
		$1
}

rule function_66889_0 {
	meta:
		name = "ConvStr2Str"
		size = 650
		refs = "0022 TValue 0027 @InitializeRecord 002f ConvStr2Str 0053 TValue.GetReferenceToRawData 005d @UStrFromString 0070 @UStrFromLStr 0083 @UStrFromWStr 0096 @UStrLAsg 00ef @LStrFromUStr 0102 GetTypeData 0123 @LStrToString 0131 @FinalizeRecord 0140 TValue.Make 0164 @UStrToPWChar 0170 SetAnsiString 019a @WStrFromUStr 0200 @UniqueStringA 0236 @UniqueStringU 0266 @WStrClr 026e @LStrClr 0276 @UStrClr 027c @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 56 33 DB 89 5D FC 89 5D F8 89 5D F4 89 4D F0 8B DA 8B F0 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 0F B6 00 2C 05 74 0E 2C 05 74 1D FE C8 74 2C 2C 07 74 3B EB 4A 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 45 FC E8 ?? ?? ?? ?? EB 37 8B C6 E8 ?? ?? ?? ?? 8B 10 8D 45 FC E8 ?? ?? ?? ?? EB 24 8B C6 E8 ?? ?? ?? ?? 8B 10 8D 45 FC E8 ?? ?? ?? ?? EB 11 8B C6 E8 ?? ?? ?? ?? 8B 10 8D 45 FC E8 ?? ?? ?? ?? 0F B6 03 83 F8 12 0F 87 AD 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 05 00 00 01 00 00 00 06 02 03 00 00 00 00 00 00 04 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 F8 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 8B C3 E8 ?? ?? ?? ?? 0F B6 00 3B F0 7E 07 33 DB E9 41 01 00 00 8D 85 F0 FE FF FF 8B 55 F8 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 85 F0 FE FF FF 8B D3 E8 ?? ?? ?? ?? E9 0A 01 00 00 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8B C3 E8 ?? ?? ?? ?? 0F B7 00 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 F8 8B CE E8 ?? ?? ?? ?? 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 F8 8B D3 E8 ?? ?? ?? ?? E9 C0 00 00 00 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 F4 8B D3 E8 ?? ?? ?? ?? E9 96 00 00 00 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 FC 8B D3 E8 ?? ?? ?? ?? EB 7A 8D 45 F8 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 48 74 04 33 DB EB 59 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D3 58 E8 ?? ?? ?? ?? EB 34 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 48 74 04 33 DB EB 23 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D3 58 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66890_0 {
	meta:
		name = "ConvClass2Class"
		size = 94
		refs = "0013 TValue 0018 @InitializeRecord 001f TValue.AsObject 0028 GetTypeData 0033 TObject.InheritsFrom 0047 @FinalizeRecord 0052 TValue.Make"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C7 E8 ?? ?? ?? ?? 8B 00 8B D0 8B 06 E8 ?? ?? ?? ?? 8B D8 84 DB 74 19 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66891_0 {
	meta:
		name = "ConvClassRef2Self"
		size = 119
		refs = "0011 TValue 0016 @InitializeRecord 0020 TValue.ExtractRawData 0027 GetTypeData 0042 TObject.InheritsFrom 005f @FinalizeRecord 006b TValue.Make"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 00 8B 00 E8 ?? ?? ?? ?? 8B 18 83 7D FC 00 74 12 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 84 DB 74 19 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66892_0 {
	meta:
		name = "ConvClass2Intf"
		size = 125
		refs = "0013 TValue 0018 @InitializeRecord 001f GetTypeData 0033 GUID_NULL 003b IsEqualGUID 0051 TObject.GetInterface 0064 @FinalizeRecord 0070 TValue.MakeWithoutCopy"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 8B F2 8B D8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 56 57 8D 70 05 8D 7D EC A5 A5 A5 A5 5F 5E 8B 15 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 2D 8D 4D FC 8D 55 EC 8B 43 08 E8 ?? ?? ?? ?? 8B D8 84 DB 74 19 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C8 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66893_0 {
	meta:
		name = "ConvIntf2Intf"
		size = 81
		refs = "0011 TValue 0016 @InitializeRecord 001c IInterface 0028 TValue.ExtractRawDataNoCopy 0035 @FinalizeRecord 0041 TValue.Make"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B DA 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 1D ?? ?? ?? ?? 75 27 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 FC 8B D3 E8 ?? ?? ?? ?? B0 01 EB 02 33 C0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66894_0 {
	meta:
		name = "ConvInt642Int"
		size = 582
		refs = "0013 TValue 0018 @InitializeRecord 001f GetTypeData 0074 ConvInt642Int 0099 @FinalizeRecord 00a8 TValue.Make"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 50 04 8B 00 52 50 8B 03 E8 ?? ?? ?? ?? 8B 50 0C 8B 40 08 3B 54 24 04 75 0D 3B 04 24 5A 58 0F 83 08 01 00 00 EB 08 5A 58 0F 8D FE 00 00 00 8B 43 08 89 45 F0 8B 43 0C 89 45 F4 8B C6 E8 ?? ?? ?? ?? 0F B6 00 83 F8 05 0F 87 CC 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 F0 0F BE C0 8B D6 E8 ?? ?? ?? ?? E9 8C 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 F0 0F BF C0 8B D6 E8 ?? ?? ?? ?? E9 6B 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 F0 8B D6 E8 ?? ?? ?? ?? E9 4D 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 F0 0F B6 C0 8B D6 E8 ?? ?? ?? ?? E9 2C 01 00 00 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 45 F0 0F B7 C0 8B D6 E8 ?? ?? ?? ?? E9 0B 01 00 00 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 45 F0 8B D6 E8 ?? ?? ?? ?? E9 ED 00 00 00 8B 43 08 89 45 F8 8B 43 0C 89 45 FC 8B C6 E8 ?? ?? ?? ?? 0F B6 00 83 F8 05 0F 87 CE 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 45 F8 0F BE C0 8B D6 E8 ?? ?? ?? ?? E9 8E 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 F8 0F BF C0 8B D6 E8 ?? ?? ?? ?? EB 70 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 F8 8B D6 E8 ?? ?? ?? ?? EB 55 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 F8 0F B6 C0 8B D6 E8 ?? ?? ?? ?? EB 37 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 F8 0F B7 C0 8B D6 E8 ?? ?? ?? ?? EB 19 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 F8 8B D6 E8 ?? ?? ?? ?? B0 01 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66895_0 {
	meta:
		name = "ConvInt642Int64"
		size = 406
		refs = "0022 TValue 0027 @InitializeRecord 002f ConvInt642Int64 003c GetTypeData 00af TValue.From<System.UInt64> 00c0 @CopyRecord 00d3 TValue.From<System.Int64> 0182 @FinalizeArray 0188 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0E 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D FC 8B F2 8B D8 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 E8 ?? ?? ?? ?? 8B 50 04 8B 00 52 50 8B 03 E8 ?? ?? ?? ?? 8B 50 0C 8B 40 08 3B 54 24 04 75 0D 3B 04 24 5A 58 0F 83 85 00 00 00 EB 04 5A 58 7D 7F 8B 43 08 89 45 E8 8B 43 0C 89 45 EC 8B C6 E8 ?? ?? ?? ?? 8B 50 04 8B 00 52 50 8B C6 E8 ?? ?? ?? ?? 8B 50 0C 8B 40 08 3B 54 24 04 75 09 3B 04 24 5A 58 73 2A EB 04 5A 58 7D 24 FF 75 EC FF 75 E8 8D 45 D0 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9B 00 00 00 FF 75 EC FF 75 E8 8D 45 B8 E8 ?? ?? ?? ?? 8D 55 B8 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7A 8B 43 08 89 45 F0 8B 43 0C 89 45 F4 8B C6 E8 ?? ?? ?? ?? 8B 50 04 8B 00 52 50 8B C6 E8 ?? ?? ?? ?? 8B 50 0C 8B 40 08 3B 54 24 04 75 09 3B 04 24 5A 58 73 27 EB 04 5A 58 7D 21 FF 75 F4 FF 75 F0 8D 45 A0 E8 ?? ?? ?? ?? 8D 55 A0 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1F FF 75 F4 FF 75 F0 8D 45 88 E8 ?? ?? ?? ?? 8D 55 88 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 88 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66896_0 {
	meta:
		name = "ConvInt642Float"
		size = 864
		refs = "0022 TValue 0027 @InitializeRecord 002f ConvInt642Float 003c GetTypeData 00cf TValue.From<System.Single> 00e0 @CopyRecord 010f TValue.From<System.Double> 014f TValue.From<System.Extended> 018f TValue.From<System.Comp> 01d8 TValue.From<System.Currency> 0331 @FinalizeArray 033f @FinalizeRecord 0345 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 21 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D FC 8B F2 8B D8 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 E8 ?? ?? ?? ?? 8B 50 04 8B 00 52 50 8B 03 E8 ?? ?? ?? ?? 8B 50 0C 8B 40 08 3B 54 24 04 75 0D 3B 04 24 5A 58 0F 83 90 01 00 00 EB 08 5A 58 0F 8D 86 01 00 00 8B 43 08 89 45 E8 8B 43 0C 89 45 EC 8B C6 E8 ?? ?? ?? ?? 0F B6 00 83 F8 04 0F 87 82 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 E8 8B 55 EC 89 45 C8 81 EA 00 00 00 80 89 55 CC DF 6D C8 DC 05 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8D 45 D0 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 27 02 00 00 8B 45 E8 8B 55 EC 89 45 C8 81 EA 00 00 00 80 89 55 CC DF 6D C8 DC 05 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 45 B0 E8 ?? ?? ?? ?? 8D 55 B0 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E7 01 00 00 8B 45 E8 8B 55 EC 89 45 C8 81 EA 00 00 00 80 89 55 CC DF 6D C8 DC 05 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 45 98 E8 ?? ?? ?? ?? 8D 55 98 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A7 01 00 00 8B 45 E8 8B 55 EC 89 45 C8 81 EA 00 00 00 80 89 55 CC DF 6D C8 DC 05 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8D 45 80 E8 ?? ?? ?? ?? 8D 55 80 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 67 01 00 00 8B 45 E8 8B 55 EC 89 45 C8 81 EA 00 00 00 80 89 55 CC DF 6D C8 DC 05 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8D 95 68 FF FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1B 01 00 00 8B 43 08 89 45 F0 8B 43 0C 89 45 F4 8B C6 E8 ?? ?? ?? ?? 0F B6 00 83 F8 04 0F 87 FC 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DF 6D F0 83 C4 FC D9 1C 24 9B 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 95 50 FF FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B3 00 00 00 DF 6D F0 83 C4 F8 DD 1C 24 9B 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8D 95 38 FF FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 85 00 00 00 DF 6D F0 83 C4 F4 DB 3C 24 9B 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 8D 95 20 FF FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5A DF 6D F0 83 C4 F8 DF 3C 24 9B 8D 85 08 FF FF FF E8 ?? ?? ?? ?? 8D 95 08 FF FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2F DF 6D F0 D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 8D 95 F0 FE FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FE FF FF 8B 15 ?? ?? ?? ?? B9 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 8B C3 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 E0 43 00 40 1C 46 }
	condition:
		$1
}

rule function_66897_0 {
	meta:
		name = "ConvFloat2Int"
		size = 378
		refs = "0015 TValue 001a @InitializeRecord 0021 TValue.GetTypeDataProp 0047 GetTypeData 0161 @FinalizeRecord 016d TValue.Make"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 38 03 0F 94 C3 84 DB 0F 84 3E 01 00 00 8B 46 08 89 45 F0 8B 46 0C 89 45 F4 80 3F 01 75 77 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 41 01 3B 41 05 7E 34 8B 41 01 33 D2 3B 55 F4 75 07 3B 45 F0 77 17 EB 02 7F 13 8B 41 05 33 D2 3B 55 F4 75 07 3B 45 F0 73 0B EB 02 7D 07 33 DB E9 D1 00 00 00 B3 01 E9 CA 00 00 00 8B 41 01 99 3B 55 F4 75 07 3B 45 F0 77 16 EB 02 7F 12 8B 41 05 99 3B 55 F4 75 07 3B 45 F0 73 0B EB 02 7D 07 33 DB E9 9F 00 00 00 B3 01 E9 98 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 01 8B 51 04 3B 51 0C 75 07 3B 41 08 76 53 EB 02 7E 4F 83 7D F4 00 75 08 83 7D F0 00 72 3B EB 02 7C 37 8B 01 89 45 E8 8B 41 04 89 45 EC 8B 45 E8 8B 55 EC 3B 55 F4 75 03 3B 45 F0 77 1C 8B 41 08 89 45 E0 8B 41 0C 89 45 E4 8B 45 E0 8B 55 E4 3B 55 F4 75 03 3B 45 F0 73 04 33 DB EB 31 B3 01 EB 2D 8B 01 8B 51 04 3B 55 F4 75 07 3B 45 F0 77 18 EB 02 7F 14 8B 41 08 8B 51 0C 3B 55 F4 75 07 3B 45 F0 73 08 EB 02 7D 04 33 DB EB 02 B3 01 84 DB 74 1A 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66898_0 {
	meta:
		name = "ConvFromVariant"
		size = 1248
		refs = "001e TValue 0023 @InitializeRecord 002b ConvFromVariant 003b TValue.AsVariant 00e7 TValue.GetEmpty 00f8 @CopyRecord 010d TValue.&op_Implicit 022f TValue.From<System.TDateTime> 0256 @UStrFromPWChar 028e TValue.From<System.IDispatch> 02b5 TValue.From<System.HRESULT> 02dc TValue.From<System.IInterface> 03f4 @UStrFromLStr 0463 @FinalizeRecord 046e @UStrClr 0495 @FinalizeArray 04be @VarClr 04c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 40 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 89 4D EC 8B D8 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 0F B7 45 F0 83 F8 0B 7F 42 0F 84 B3 00 00 00 83 F8 0A 0F 87 EC 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 13 7F 2B 0F 84 B4 02 00 00 83 E8 0D 0F 84 34 02 00 00 83 E8 03 0F 84 80 00 00 00 48 0F 84 4B 02 00 00 48 0F 84 6C 02 00 00 E9 89 03 00 00 83 E8 14 0F 84 B1 02 00 00 48 0F 84 D4 02 00 00 2D EB 00 00 00 0F 84 15 03 00 00 83 E8 02 0F 84 41 03 00 00 E9 60 03 00 00 8D 45 D4 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 46 03 00 00 66 83 7D F8 01 1B C0 40 8D 55 BC E8 ?? ?? ?? ?? 8D 55 BC 8B 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 20 03 00 00 8D 55 A4 0F BE 45 F8 E8 ?? ?? ?? ?? 8D 55 A4 8B 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FE 02 00 00 8D 55 8C 0F BF 45 F8 E8 ?? ?? ?? ?? 8D 55 8C 8B 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DC 02 00 00 8D 95 74 FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8D 95 74 FF FF FF 8B 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B5 02 00 00 D9 45 F8 83 C4 F4 DB 3C 24 9B 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 8D 95 5C FF FF FF 8B 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 87 02 00 00 DD 45 F8 83 C4 F4 DB 3C 24 9B 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 8D 95 44 FF FF FF 8B 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 59 02 00 00 DF 6D F8 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 85 2C FF FF FF E8 ?? ?? ?? ?? 8D 95 2C FF FF FF 8B 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 25 02 00 00 FF 75 FC FF 75 F8 8D 85 14 FF FF FF E8 ?? ?? ?? ?? 8D 95 14 FF FF FF 8B 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FB 01 00 00 8D 85 F8 FE FF FF 8B 55 F8 E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 8D 95 FC FE FF FF E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 8B 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C3 01 00 00 8D 95 E0 FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8D 95 E0 FE FF FF 8B 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9C 01 00 00 8D 95 C8 FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8D 95 C8 FE FF FF 8B 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 75 01 00 00 8D 95 B0 FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8D 95 B0 FE FF FF 8B 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4E 01 00 00 8D 95 98 FE FF FF 0F B6 45 F8 E8 ?? ?? ?? ?? 8D 95 98 FE FF FF 8B 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 26 01 00 00 8D 95 80 FE FF FF 0F B7 45 F8 E8 ?? ?? ?? ?? 8D 95 80 FE FF FF 8B 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FE 00 00 00 8B 45 F8 33 D2 52 50 8D 85 68 FE FF FF E8 ?? ?? ?? ?? 8D 95 68 FE FF FF 8B 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D3 00 00 00 FF 75 FC FF 75 F8 8D 85 50 FE FF FF E8 ?? ?? ?? ?? 8D 95 50 FE FF FF 8B 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A9 00 00 00 8B 45 F8 8B 55 FC 89 85 30 FE FF FF 81 EA 00 00 00 80 89 95 34 FE FF FF DF AD 30 FE FF FF DC 05 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8D 85 38 FE FF FF E8 ?? ?? ?? ?? 8D 95 38 FE FF FF 8B 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5D 8D 85 14 FE FF FF 8B 55 F8 E8 ?? ?? ?? ?? 8B 85 14 FE FF FF 8D 95 18 FE FF FF E8 ?? ?? ?? ?? 8D 95 18 FE FF FF 8B 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 8D 95 FC FD FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8D 95 FC FD FF FF 8B 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 14 FE FF FF E8 ?? ?? ?? ?? 8D 85 18 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 38 FE FF FF 8B 15 ?? ?? ?? ?? B9 08 00 00 00 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 85 FC FE FF FF 8B 15 ?? ?? ?? ?? B9 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8C 8B C3 5B 8B E5 5D C3 00 00 00 00 40 1C 46 00 00 00 00 00 00 E0 43 }
	condition:
		$1
}

rule function_66899_0 {
	meta:
		name = "Conv2Variant"
		size = 529
		refs = "001e TValue 0023 @InitializeRecord 002b Conv2Variant 0038 TValue.GetTypeKind 008c TValue.AsInt64 0096 @VarFromInt64 00a2 TValue.AsType<System.AnsiChar> 00b4 @VarFromPStr 00c0 TValue.GetTypeDataProp 00d9 TValue.AsExtended 00e1 @VarFromReal 0101 @VarFromCurr 0110 TValue.AsString 011b @VarFromUStr 012c @UStrFromWChar 016e TValue.AsType<System.UInt64> 0178 @VarFromUInt64 0197 TValue.AsInterface 01a2 @VarFromIntf 01b3 TValue.From<System.Variant> 01c4 @CopyRecord 01e1 @FinalizeRecord 01e9 @IntfClear 01f6 @UStrArrayClr 01fe @VarClr 0204 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 89 4D EC 8B D8 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 12 0F 87 60 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 02 00 03 04 00 00 00 05 04 04 00 00 00 07 06 00 04 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 52 50 8D 45 F0 E8 ?? ?? ?? ?? E9 0D 01 00 00 8B C3 E8 ?? ?? ?? ?? 88 45 E9 C6 45 E8 01 8D 45 F0 8D 55 E8 E8 ?? ?? ?? ?? E9 EF 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 00 2C 03 72 0B 74 1D FE C8 74 29 E9 D6 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? E9 C2 00 00 00 DF 6B 08 8D 45 F0 E8 ?? ?? ?? ?? E9 B2 00 00 00 DF 6B 08 8D 45 F0 E8 ?? ?? ?? ?? E9 A2 00 00 00 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F0 E8 ?? ?? ?? ?? E9 88 00 00 00 8D 45 E0 0F B7 53 08 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F0 E8 ?? ?? ?? ?? EB 6F 8B C3 E8 ?? ?? ?? ?? 8B 50 04 8B 00 52 50 8B C3 E8 ?? ?? ?? ?? 8B 50 0C 8B 40 08 3B 54 24 04 75 09 3B 04 24 5A 58 73 19 EB 04 5A 58 7D 13 8B C3 E8 ?? ?? ?? ?? 52 50 8D 45 F0 E8 ?? ?? ?? ?? EB 2E 8B C3 E8 ?? ?? ?? ?? 52 50 8D 45 F0 E8 ?? ?? ?? ?? EB 1B 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F0 E8 ?? ?? ?? ?? EB 04 33 DB EB 1E 8D 55 C4 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 C4 8B 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66900_0 {
	meta:
		name = "TValue.TryCast"
		size = 275
		refs = "0020 TValue 0025 @InitializeRecord 002d TValue.TryCast 003a TValue.GetIsEmpty 0046 TValue.GetEmpty 0057 @CopyRecord 0062 GetInlineSize 0074 _DV_TValueDataImpl 0079 TValueDataImpl.CreateEmpty 008d @IntfCopy 00c6 @FinalizeRecord 00d8 Conversions 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B D8 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 58 8D 45 E4 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 74 37 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 25 56 8B CB F7 D9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B 45 FC 83 C0 04 E8 ?? ?? ?? ?? 8B 45 FC 89 30 B3 01 EB 4D 8B 3B 3B F7 75 14 8B 45 FC 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 EB 33 85 F6 75 04 33 DB EB 2B 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 0F B6 06 0F B6 17 6B D2 0B 8D 14 D5 ?? ?? ?? ?? 8B 3C 82 8B C3 8B D6 FF D7 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66902_0 {
	meta:
		name = "ReadData"
		size = 20
		refs = "000b PeekData"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 8B CE E8 ?? ?? ?? ?? 01 33 5E 5B C3 }
	condition:
		$1
}

rule function_66903_0 {
	meta:
		name = "ReadI16"
		size = 19
		refs = "0009 ReadData"
		altNames = "ReadU16"
	strings:
		$1 = { 51 8B D4 B9 02 00 00 00 E8 ?? ?? ?? ?? 0F B7 04 24 5A C3 }
	condition:
		$1
}

rule function_66912_0 {
	meta:
		name = "PeekI16"
		size = 19
		refs = "0009 PeekData"
	strings:
		$1 = { 51 8B D4 B9 02 00 00 00 E8 ?? ?? ?? ?? 0F B7 04 24 5A C3 }
	condition:
		$1
}

rule function_66917_0 {
	meta:
		name = "PeekU16"
		size = 19
		refs = "0009 PeekData"
	strings:
		$1 = { 51 8B D4 B9 02 00 00 00 E8 ?? ?? ?? ?? 0F B7 04 24 5A C3 }
	condition:
		$1
}

rule function_66904_0 {
	meta:
		name = "ReadI32"
		size = 18
		refs = "0009 ReadData"
		altNames = "ReadPointer ReadU32"
	strings:
		$1 = { 51 8B D4 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_66913_0 {
	meta:
		name = "PeekI32"
		size = 18
		refs = "0009 PeekData"
	strings:
		$1 = { 51 8B D4 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_66915_0 {
	meta:
		name = "PeekPointer"
		size = 18
		refs = "0009 PeekData"
	strings:
		$1 = { 51 8B D4 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_66918_0 {
	meta:
		name = "PeekU32"
		size = 18
		refs = "0009 PeekData"
	strings:
		$1 = { 51 8B D4 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_66910_0 {
	meta:
		name = "ReadShortString"
		size = 97
		refs = "0010 ReadShortString 0024 UTF8ToUnicodeString 002e @UStrAsg 0035 ReadU8 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B F0 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 C0 01 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66916_0 {
	meta:
		name = "PeekShortString"
		size = 18
		refs = "000b @UStrFromString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 13 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66920_0 {
	meta:
		name = "SkipShortString"
		size = 11
	strings:
		$1 = { 8B D0 0F B6 0A 03 CA 41 8B C1 C3 }
	condition:
		$1
}

rule function_66921_0 {
	meta:
		name = "GetBitField"
		size = 21
	strings:
		$1 = { 53 8B D9 8B CA D3 E8 8B CB BA 01 00 00 00 D3 E2 4A 23 C2 5B C3 }
	condition:
		$1
}

rule function_66923_0 {
	meta:
		name = "GetRttiClass"
		size = 11
		refs = "0006 Classes"
	strings:
		$1 = { 0F B6 00 8B 04 85 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66937_0 {
	meta:
		name = "TRttiPool.Destroy"
		size = 81
		refs = "0005 @BeforeDestruction 0011 @DynArrayLength 0026 TObject.Free 003d TObject.Destroy 0048 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 12 45 33 FF 8B 46 04 8B 04 B8 E8 ?? ?? ?? ?? 47 4D 75 F1 8B 46 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_66939_0 {
	meta:
		name = "MoveOrCreatePackage"
		size = 249
		refs = "0038 TRttiPackage.GetHandle 0056 @DynArrayLength 00cc _DV_TRealPackage 00d1 TRealPackage.Create"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F8 33 C0 89 45 F8 8B 45 08 8B 70 FC 4E 85 F6 7C 2E 46 33 DB 8B 45 08 8B 40 F8 8B 00 83 3C 98 00 74 19 8B 45 08 8B 40 F8 8B 00 8B 04 98 E8 ?? ?? ?? ?? 3B 47 04 0F 84 AD 00 00 00 43 4E 75 D5 8B 45 08 8B 40 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 57 46 33 DB 8B 45 08 8B 40 08 8B 40 FC 8B 40 04 83 3C 98 00 74 3E 8B 45 08 8B 40 08 8B 40 FC 8B 40 04 8B 04 98 E8 ?? ?? ?? ?? 3B 47 04 75 25 8B 45 08 8B 40 08 8B 40 FC 8B 40 04 8B 04 98 89 45 F8 8B 45 08 8B 40 08 8B 40 FC 8B 40 04 33 D2 89 14 98 EB 04 43 4E 75 AC 83 7D F8 00 75 1A 89 7D FC 6A 00 8D 45 FC 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 08 8B 40 FC 8B 55 08 8B 52 F8 8B 12 8B 4D F8 89 0C 82 8B 45 08 FF 40 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66940_0 {
	meta:
		name = "DoUpdate$6237$ActRec.$0$1$Body"
		size = 31
	strings:
		$1 = { 56 8B 71 20 8B 42 20 3B F0 76 05 83 C8 FF 5E C3 3B F0 73 07 B8 01 00 00 00 EB 02 33 C0 5E C3 }
	condition:
		$1
}

rule function_66941_0 {
	meta:
		name = "DoUpdate"
		size = 560
		refs = "0018 DoUpdate 0025 _DV_DoUpdate$6237$ActRec 002a TObject.Create 003f @IntfCopy 0044 PoolLock 005c LibModuleList 0063 GetModuleListVersion 0082 TArray<System.Rtti.TRttiPackage> 0087 @DynArrayAsg 008c @TryFinallyExit 00ae GetProcAddress 00d2 @DynArraySetLength 0106 MoveOrCreatePackage 011b @DynArrayLength 0136 TObject.Free 016c _DV_TComparer<System.Rtti.TRttiPackage> 0171 TComparer<System.Rtti.TRttiPackage>.Construct 017f @DynArrayHigh 018b _Dn_TArray 0190 TArray.Sort<System.Rtti.TRttiPackage> 01cf @HandleFinally 01e6 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 EC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 45 F4 8B 55 F0 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 8B 1B E8 ?? ?? ?? ?? 8B F8 8B 45 08 8B 40 FC 3B 78 0C 75 21 8B 45 F8 8B 55 08 8B 52 FC 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 40 01 00 00 33 C0 89 45 FC 85 DB 74 21 83 7B 14 00 75 12 68 ?? ?? ?? ?? 8B 43 04 50 E8 ?? ?? ?? ?? 85 C0 74 03 FF 45 FC 8B 1B 85 DB 75 DF 8B 45 FC 50 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 FC 8B 1D ?? ?? ?? ?? 8B 1B 85 DB 74 27 83 7B 14 00 75 12 68 ?? ?? ?? ?? 8B 43 04 50 E8 ?? ?? ?? ?? 85 C0 74 09 55 8B C3 E8 ?? ?? ?? ?? 59 8B 1B 85 DB 75 D9 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 18 43 33 F6 8B 45 08 8B 40 FC 8B 40 04 8B 04 B0 E8 ?? ?? ?? ?? 46 4B 75 EB 8B 45 FC 50 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 7D FC 00 7E 36 8D 4D EC 8B 55 F0 85 D2 74 03 83 EA F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 12 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 83 C0 04 8B 55 F8 8B 12 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 89 78 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 40 00 47 00 65 00 74 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 49 00 6E 00 66 00 6F 00 54 00 61 00 62 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_66942_0 {
	meta:
		name = "TRttiPool.GetPackageList"
		size = 129
		refs = "0015 TRttiPool.GetPackageList 0029 TArray<System.Rtti.TRttiPackage> 002e @DynArrayAsg 0033 GetModuleListVersion 0044 DoUpdate 0070 @DynArrayClear 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 55 FC 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 3B 42 0C 74 1A 55 8D 45 F8 E8 ?? ?? ?? ?? 59 8B 55 F8 8B C3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66943_0 {
	meta:
		name = "TRttiPool.GetPackageFor"
		size = 162
		refs = "0016 TRttiPool.GetPackageFor 0027 TRttiPool.GetPackageList 0031 @DynArrayLength 0089 TArray<System.Rtti.TRttiPackage> 008e @DynArrayClear 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 DB 8B 45 FC E8 ?? ?? ?? ?? 8B D0 EB 1D 8D 04 1A D1 F8 79 03 83 D0 00 8B 4D FC 8B 0C 81 8B 49 20 3B CE 77 04 8B D8 EB 02 8B D0 8B C2 2B C3 48 7F DC 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7D 08 8B 45 FC 8B 1C 98 EB 06 8B 45 F8 8B 58 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66944_0 {
	meta:
		name = "TRttiPool.ReadObject"
		size = 45
		refs = "0017 TRttiPool.GetPackageFor 0021 TRttiPackage.ReadObject"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 56 8B 16 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_66945_0 {
	meta:
		name = "TRttiPool.ReadObjectPointer"
		size = 26
		refs = "0010 TRttiPool.ReadObject"
	strings:
		$1 = { 55 8B EC 51 53 8B 5D 08 89 5D FC 8D 5D FC 53 E8 ?? ?? ?? ?? 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_66980_0 {
	meta:
		name = "TRttiPackage.ReadObjectPointer"
		size = 26
		refs = "0010 TRttiPackage.ReadObject"
	strings:
		$1 = { 55 8B EC 51 53 8B 5D 08 89 5D FC 8D 5D FC 53 E8 ?? ?? ?? ?? 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_66946_0 {
	meta:
		name = "TRttiPool.GetType"
		size = 34
		refs = "0014 _DV_TRttiType 001b TRttiPool.ReadObjectPointer"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 05 33 C0 5E 5B C3 56 33 C9 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66947_0 {
	meta:
		name = "TRttiPool.GetType"
		size = 24
		refs = "0010 TRttiPool.GetType"
	strings:
		$1 = { 8B CA 83 C1 B8 83 39 00 74 0B 83 C2 B8 8B 12 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_66948_0 {
	meta:
		name = "TRttiPool.GetTypes"
		size = 216
		refs = "0014 TRttiPool.GetTypes 0024 TRttiPool.GetPackageList 002c @DynArrayLength 003b TArray<System.TArray<System.Rtti.TRttiType>> 0040 @DynArraySetLength 004b @DynArrayHigh 0071 TArray<System.Rtti.TRttiType> 0076 @DynArrayAsg 008e TArrayHelper.Concat<System.Rtti.TRttiType> 00a9 @DynArrayClear 00c0 TArray<System.Rtti.TRttiPackage> 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 7C 29 46 33 DB 8D 55 F4 8B 45 FC 8B 04 98 8B 08 FF 51 10 8B 55 F4 8B 45 F8 8D 04 98 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 DA 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B CF 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66949_0 {
	meta:
		name = "TRttiPool.GetPackages"
		size = 141
		refs = "000f TRttiPool.GetPackages 001f TRttiPool.GetPackageList 0027 @DynArrayLength 0035 TArray<System.Rtti.TRttiPackage> 003a @DynArraySetLength 0061 Move 007c @DynArrayClear 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 18 8B 45 FC E8 ?? ?? ?? ?? 8B C8 03 C9 03 C9 8B 16 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66950_0 {
	meta:
		name = "TRttiPool.FindType"
		size = 162
		refs = "0015 TRttiPool.FindType 0025 TRttiPool.GetPackageList 0031 TArray<System.Rtti.TRttiPackage> 0036 @DynArrayAsg 0059 @DynArrayLength 006b @DynArrayClear 008d @FinalizeArray 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 17 8B 45 F8 8B 3C 98 8B 55 F4 8B C7 8B 08 FF 51 14 8B F0 85 F6 75 1D 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7C DD 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66951_0 {
	meta:
		name = "TRttiPool.TypeOrNil"
		size = 15
		refs = "000a TRttiPool.GetType"
	strings:
		$1 = { 85 D2 75 03 33 C0 C3 8B 12 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_66952_0 {
	meta:
		name = "TPoolToken.Create"
		size = 153
		refs = "000e @ClassCreate 0019 PoolLock 0025 TPoolToken.Create 0031 Pool 003b _DV_TRttiPool 0040 TRttiPool.Create 004b PoolRefCount 0074 @HandleFinally 0084 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC A1 ?? ?? ?? ?? 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 1D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 EB 06 FF 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_66953_0 {
	meta:
		name = "TPoolToken.Destroy"
		size = 136
		refs = "0007 @BeforeDestruction 0012 PoolLock 001e TPoolToken.Destroy 002a PoolRefCount 0038 Pool 003d TObject.Free 0061 @HandleFinally 0072 TObject.Destroy 0080 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC A1 ?? ?? ?? ?? 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 0D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 11 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_66954_0 {
	meta:
		name = "DoCreate"
		size = 115
		refs = "0009 DoCreate 0016 _DV_TPoolToken 001b TPoolToken.Create 002c @IntfCopy 0040 TInterlocked.CompareExchange 0064 @IntfClear 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 48 F8 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 8B 55 08 3B 42 F8 75 07 8D 45 FC 33 D2 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_66955_0 {
	meta:
		name = "EnsurePoolToken"
		size = 34
		refs = "0019 DoCreate"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 00 89 45 F8 83 7D F8 00 75 07 55 E8 ?? ?? ?? ?? 59 59 59 5D C3 }
	condition:
		$1
}

rule function_66956_0 {
	meta:
		name = "ReadUtf8Arg"
		size = 60
		refs = "000e ReadU16 0025 @LStrFromPCharLen"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 0F B7 D8 68 E9 FD 00 00 8B 45 08 8B 50 FC 8B C6 8B CB E8 ?? ?? ?? ?? 8B 45 08 01 58 FC 83 C3 02 8B 45 08 29 58 F8 5E 5B 5D C3 }
	condition:
		$1
}

rule function_66957_0 {
	meta:
		name = "ReadShortString"
		size = 58
		refs = "000d ReadU8 0020 Move"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 88 03 0F B6 0B 8D 53 01 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 0F B6 03 8B 55 08 01 42 FC 0F B6 03 40 8B 55 08 29 42 F8 5B 5D C3 }
	condition:
		$1
}

rule function_66958_0 {
	meta:
		name = "ParseArgs"
		size = 975
		refs = "0024 TValue 0029 @InitializeRecord 005b ParseArgs 0068 @DynArrayLength 0077 TArray<System.Rtti.TValue> 007c @DynArraySetLength 00a1 TRttiType.GetTypeKind 00ff TValue.GetEmpty 011b @CopyRecord 012a TRttiType.GetHandle 0130 PTypeInfo 0156 @FinalizeRecord 0163 TValue.Make 01c1 GetTypeData 01cb TValue.&op_Implicit 01da TValue.Cast 0221 Pool 0226 TRttiPool.TypeOrNil 0280 ReadUtf8Arg 028f TValue.From<System.UTF8String> 02d9 ReadShortString 02e8 TValue.From<System.ShortString> 0391 @LStrClr 03a7 @FinalizeArray 03c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 3D 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 89 55 FC 8B 75 0C 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 98 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C D7 02 00 00 47 33 DB 8B 04 9E 8B 10 FF 52 10 E8 ?? ?? ?? ?? 83 E0 7F 83 C0 FB 83 F8 0F 0F 87 65 02 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 05 00 03 00 00 04 04 00 00 00 00 00 00 04 02 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 00 89 45 90 83 7D 90 00 75 29 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 95 78 FF FF FF 8D 04 5B 8B 4D 08 8B 09 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 77 8B 04 9E 8B 10 FF 52 10 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 33 8B 04 9E 8B 10 FF 52 10 E8 ?? ?? ?? ?? 50 8D 04 5B 8B 55 08 8B 12 8D 04 C2 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 90 8B 00 5A E8 ?? ?? ?? ?? EB 2F 8B 04 9E 8B 10 FF 52 10 E8 ?? ?? ?? ?? 50 8D 04 5B 8B 55 08 8B 12 8D 04 C2 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 90 5A E8 ?? ?? ?? ?? 83 6D F8 04 83 45 FC 04 E9 BF 01 00 00 8B 45 FC 8B 00 89 45 90 8B 04 9E 8B 10 FF 52 10 E8 ?? ?? ?? ?? 50 8B 45 90 8B 00 E8 ?? ?? ?? ?? 8B 00 8D 55 E0 E8 ?? ?? ?? ?? 8D 45 E0 8D 8D 60 FF FF FF 5A E8 ?? ?? ?? ?? 8D 95 60 FF FF FF 8D 04 5B 8B 4D 08 8B 09 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 6D F8 04 83 45 FC 04 E9 5D 01 00 00 8B 45 FC 8B 00 89 45 90 8B 04 9E 8B 10 FF 52 10 E8 ?? ?? ?? ?? 50 8B 55 90 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 C8 E8 ?? ?? ?? ?? 8D 45 C8 8D 8D 48 FF FF FF 5A E8 ?? ?? ?? ?? 8D 95 48 FF FF FF 8D 04 5B 8B 4D 08 8B 09 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 6D F8 04 83 45 FC 04 E9 FA 00 00 00 8B 04 9E 8B 10 FF 52 10 E8 ?? ?? ?? ?? 50 55 8D 85 2C FF FF FF E8 ?? ?? ?? ?? 59 8B 85 2C FF FF FF 8D 55 B0 E8 ?? ?? ?? ?? 8D 45 B0 8D 8D 30 FF FF FF 5A E8 ?? ?? ?? ?? 8D 95 30 FF FF FF 8D 04 5B 8B 4D 08 8B 09 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A1 00 00 00 8B 04 9E 8B 10 FF 52 10 E8 ?? ?? ?? ?? 50 55 8D 85 14 FE FF FF E8 ?? ?? ?? ?? 59 8D 85 14 FE FF FF 8D 55 98 E8 ?? ?? ?? ?? 8D 45 98 8D 8D 14 FF FF FF 5A E8 ?? ?? ?? ?? 8D 95 14 FF FF FF 8D 04 5B 8B 4D 08 8B 09 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4B 8B 04 9E 8B 10 FF 52 10 8B 10 FF 52 0C 89 45 94 8B 45 94 29 45 F8 8B 04 9E 8B 10 FF 52 10 E8 ?? ?? ?? ?? 50 8D 04 5B 8B 55 08 8B 12 8D 04 C2 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 FC 5A E8 ?? ?? ?? ?? 8B 45 94 01 45 FC 43 4F 0F 85 2C FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 14 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 2C FF FF FF E8 ?? ?? ?? ?? 8D 85 30 FF FF FF 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 98 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_66959_0 {
	meta:
		name = "FindCtor"
		size = 208
		refs = "0015 FindCtor 0044 @DynArrayLength 0051 TArray<System.Rtti.TRttiMethod> 0056 @DynArrayClear 00bb @FinalizeArray 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F4 8B 08 FF 51 14 33 DB EB 12 8B 45 FC 8B 34 98 8B C6 8B 10 FF 52 28 3B F8 74 60 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C E2 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 40 40 8B 00 8B 38 8D 55 F8 8B 45 F4 8B 08 FF 51 14 33 DB EB 12 8B 45 F8 8B 34 98 8B C6 8B 10 FF 52 28 3B F8 74 1D 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7C E2 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66960_0 {
	meta:
		name = "ConstructAttribute"
		size = 288
		refs = "0018 TValue 001d @InitializeRecord 0025 ConstructAttribute 0032 ReadPointer 0037 DerefPointer 003e Pool 0043 TRttiPool.GetType 0049 _DV_TRttiInstanceType 004e @AsClass 0061 ReadU16 0077 FindCtor 00a4 ParseArgs 00b0 @DynArrayHigh 00c0 TRttiInstanceType.GetMetaclassType 00ca TRttiMethod.Invoke 00d2 TValue.AsType<System.TCustomAttribute> 00ea TArray<System.Rtti.TRttiParameter> 00ef @DynArrayClear 00f8 TArray<System.Rtti.TValue> 010b @FinalizeRecord 0111 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 D2 89 55 D8 89 55 D4 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 89 45 E0 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 03 89 45 E4 0F B7 C7 01 03 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 04 33 DB EB 53 8B 45 08 50 8D 55 D4 8B C3 8B 08 FF 51 38 8B 45 D4 50 8D 45 D8 50 0F B7 CF 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 59 8B 45 D8 89 45 DC E8 ?? ?? ?? ?? 50 8D 45 E8 50 8B 45 DC 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66961_0 {
	meta:
		name = "ConstructAttributes"
		size = 242
		refs = "0017 ConstructAttributes 0025 ReadU16 0037 TArray<System.TCustomAttribute> 003c @DynArrayClear 004d _DV_TList<System.TCustomAttribute> 0052 TList<System.TCustomAttribute>.Create 0071 ConstructAttribute 0082 TList<System.TCustomAttribute>.Add 0092 _DV_TListHelper 0097 TListHelper.ToArray<System.TCustomAttribute> 00a7 @DynArrayAsg 00bc TObject.Free 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 0F B7 C0 83 E8 02 85 C0 75 12 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 83 00 00 00 8B 75 FC 03 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 75 FC 76 1F 55 8D 45 FC E8 ?? ?? ?? ?? 59 8B D8 85 DB 74 0A 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 3B 75 FC 77 E1 8D 4D F4 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66965_0 {
	meta:
		name = "MakeCopy"
		size = 62
		refs = "0009 @DynArrayLength 0017 TArray<System.TCustomAttribute> 001c @DynArraySetLength 0037 Move"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 E8 ?? ?? ?? ?? 03 C0 03 C0 50 8B 06 50 8B C3 5A 59 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66966_0 {
	meta:
		name = "MakeClosure$6260$ActRec.$0$0$Body"
		size = 492
		refs = "0017 MakeClosure$6260$ActRec.$0$0$Body 0032 TArray<System.TCustomAttribute> 0037 @DynArrayClear 0047 MakeCopy 0058 @DynArrayAsg 0062 PoolLock 0093 @TryFinallyExit 00f9 _DV_TFinalizer 00fe TObject.Create 010f @IntfCopy 011a ConstructAttributes 0159 @DynArrayLength 01a9 @HandleFinally 01cb @FinalizeArray"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 14 00 75 3A 83 7E 10 00 75 13 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6F 01 00 00 8D 55 F4 8B 46 10 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4E 01 00 00 A1 ?? ?? ?? ?? 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 14 00 75 44 83 7E 10 00 75 18 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 13 01 00 00 8D 55 F0 8B 46 10 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ED 00 00 00 8B 46 14 66 83 38 02 75 2B 8D 46 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 14 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B9 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 46 0C E8 ?? ?? ?? ?? 8D 55 EC 8B 46 14 E8 ?? ?? ?? ?? 8B 55 EC 8D 46 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 56 10 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 11 8B 45 FC 8B 3C 98 8B 46 0C 8B D7 8B 08 FF 51 0C 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C E3 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 14 8D 55 E8 8B 46 10 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66967_0 {
	meta:
		name = "MakeClosure"
		size = 118
		refs = "0016 MakeClosure 0023 _DV_MakeClosure$6260$ActRec 0028 TObject.Create 003b @IntfCopy 0063 @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 14 8B C7 8B D3 85 D2 74 03 83 EA E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_66968_0 {
	meta:
		name = "LazyLoadAttributes"
		size = 98
		refs = "000d LazyLoadAttributes 0026 @IntfClear 0032 MakeClosure 003c @IntfCopy 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 18 0F B7 13 01 10 83 FA 02 75 09 8B C6 E8 ?? ?? ?? ?? EB 14 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_66971_0 {
	meta:
		name = "TRttiContext.GetType"
		size = 22
		refs = "0004 EnsurePoolToken 000b Pool 0010 TRttiPool.GetType"
		altNames = "TRttiContext.GetTypes"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66972_0 {
	meta:
		name = "TRttiContext.FindType"
		size = 22
		refs = "0004 EnsurePoolToken 000b Pool 0010 TRttiPool.FindType"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66975_0 {
	meta:
		name = "TRttiContext.GetPackages"
		size = 22
		refs = "0004 EnsurePoolToken 000b Pool 0010 TRttiPool.GetPackages"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66978_0 {
	meta:
		name = "TRttiPackage.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000f TObject.Free 002a TRttiObject.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 18 E8 ?? ?? ?? ?? 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_66979_0 {
	meta:
		name = "TRttiPackage.ReadObject"
		size = 169
		refs = "0022 TRttiPackage.ReadObject 0038 TDictionary<System.Pointer,System.Rtti.TRttiObject>.TryGetValue 0049 @TryFinallyExit 0051 _DV_TRttiType 005a GetRttiClass 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B F2 89 45 FC 8B 5D 08 8B 45 FC 8B 40 18 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B 13 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 F4 8B 40 08 01 03 E8 ?? ?? ?? ?? EB 4E 3B 35 ?? ?? ?? ?? 75 09 8B 03 E8 ?? ?? ?? ?? 8B F0 8B 3B 8B 45 F8 50 53 8B 4D FC B2 01 8B C6 FF 10 89 45 F4 8B 03 2B C7 8B 55 F4 89 42 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 18 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_66981_0 {
	meta:
		name = "TRttiObject.Create"
		size = 86
		refs = "000d @ClassCreate 0033 TDictionary<System.Pointer,System.Rtti.TRttiObject>.Add 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 45 08 8B 55 0C 89 53 10 8B 10 89 53 04 89 4B 0C 85 C9 74 0C 8B 10 8B 41 1C 8B CB E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66982_0 {
	meta:
		name = "TRttiObject.Destroy"
		size = 145
		refs = "0007 @BeforeDestruction 002c TRttiObject.Destroy 0049 TDictionary<System.Pointer,System.Rtti.TRttiObject>.ExtractPair 006a @HandleFinally 007b TObject.Destroy 0089 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 40 0C 85 C0 74 55 83 78 1C 00 74 4F 8B 40 18 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B 45 FC 8B 50 04 8B 45 FC 8B 40 0C 8B 40 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 18 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EA 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_66983_0 {
	meta:
		name = "TRttiObject.GetAttributes"
		size = 41
		refs = "0010 TArray<System.TCustomAttribute> 0015 @DynArrayClear"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 14 00 75 10 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B 43 14 8B 08 FF 51 0C 5E 5B C3 }
	condition:
		$1
}

rule function_66984_0 {
	meta:
		name = "TRttiType.Create"
		size = 164
		refs = "0015 @ClassCreate 0025 TRttiType.Create 0039 TRttiObject.Create 0040 TRttiType.GetTypeKind 004b TRttiType.GetTypeData 0057 LazyLoadAttributes 0062 @IntfCopy 0077 @IntfClear 007d @HandleFinally 008c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3C 0C 75 1E 8B C3 E8 ?? ?? ?? ?? 89 06 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_66985_0 {
	meta:
		name = "TRttiType.GetAsInstance"
		size = 18
		refs = "0007 _DV_TRttiInstanceType 000c @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69644_0 {
	meta:
		name = "GetDefaultFallbackLanguages"
		size = 18
		refs = "0007 DefaultFallbackLanguages 000c @UStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66986_0 {
	meta:
		name = "TRttiType.GetAsOrdinal"
		size = 18
		refs = "0007 _DV_TRttiOrdinalType 000c @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66987_0 {
	meta:
		name = "TRttiType.GetAsRecord"
		size = 18
		refs = "0007 _DV_TRttiRecordType 000c @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66988_0 {
	meta:
		name = "TRttiType.GetAsSet"
		size = 18
		refs = "0007 _DV_TRttiSetType 000c @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66994_0 {
	meta:
		name = "TRttiType.GetIsInstance"
		size = 18
		refs = "0007 _DV_TRttiInstanceType 000c @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66996_0 {
	meta:
		name = "TRttiType.GetIsOrdinal"
		size = 18
		refs = "0007 _DV_TRttiOrdinalType 000c @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66997_0 {
	meta:
		name = "TRttiType.GetIsRecord"
		size = 18
		refs = "0007 _DV_TRttiRecordType 000c @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66998_0 {
	meta:
		name = "TRttiType.GetIsSet"
		size = 18
		refs = "0007 _DV_TRttiSetType 000c @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80596_0 {
	meta:
		name = "TWICImage.GetImagingFactory"
		size = 18
		refs = "0007 TWICImage.FImagingFactory 000c @IntfCopy"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_66989_0 {
	meta:
		name = "TRttiType.GetField"
		size = 206
		refs = "0015 TRttiType.GetField 0044 @UStrLAsg 006b CompareText 007d @DynArrayLength 008a TArray<System.Rtti.TRttiField> 008f @DynArrayClear 00ab @UStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 18 33 FF EB 4C 8B 45 FC 8B 34 B8 8D 55 F8 8B C6 8B 08 FF 51 08 8D 45 F4 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B3 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 DB EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 75 1D 47 8B 45 FC E8 ?? ?? ?? ?? 3B F8 7C A8 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66990_0 {
	meta:
		name = "TRttiType.GetFields"
		size = 205
		refs = "0015 TRttiType.GetFields 0040 TArray<System.TArray<System.Rtti.TRttiField>> 0045 @DynArraySetLength 0069 TArray<System.Rtti.TRttiField> 006e @DynArrayAsg 0084 @DynArrayHigh 0091 TArrayHelper.Concat<System.Rtti.TRttiField> 00ac @DynArrayClear 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DF 33 F6 85 DB 74 0E 46 8B C3 8B 10 FF 52 10 8B D8 85 DB 75 F2 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B DF 33 F6 85 DB 74 2C 8D 55 F4 8B C3 8B 08 FF 51 40 8B 55 F4 8B 45 FC 8D 04 B0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 8B C3 8B 10 FF 52 10 8B D8 85 DB 75 D4 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66992_0 {
	meta:
		name = "TRttiType.GetIndexedProperties"
		size = 205
		refs = "0015 TRttiType.GetIndexedProperties 0040 TArray<System.TArray<System.Rtti.TRttiIndexedProperty>> 0045 @DynArraySetLength 0069 TArray<System.Rtti.TRttiIndexedProperty> 006e @DynArrayAsg 0084 @DynArrayHigh 0091 TArrayHelper.Concat<System.Rtti.TRttiIndexedProperty> 00ac @DynArrayClear 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DF 33 F6 85 DB 74 0E 46 8B C3 8B 10 FF 52 10 8B D8 85 DB 75 F2 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B DF 33 F6 85 DB 74 2C 8D 55 F4 8B C3 8B 08 FF 51 44 8B 55 F4 8B 45 FC 8D 04 B0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 8B C3 8B 10 FF 52 10 8B D8 85 DB 75 D4 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66993_0 {
	meta:
		name = "TRttiType.GetIndexedProperty"
		size = 206
		refs = "0015 TRttiType.GetIndexedProperty 0044 @UStrLAsg 006b CompareText 007d @DynArrayLength 008a TArray<System.Rtti.TRttiIndexedProperty> 008f @DynArrayClear 00ab @UStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 20 33 FF EB 4C 8B 45 FC 8B 34 B8 8D 55 F8 8B C6 8B 08 FF 51 08 8D 45 F4 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B3 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 DB EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 75 1D 47 8B 45 FC E8 ?? ?? ?? ?? 3B F8 7C A8 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_66999_0 {
	meta:
		name = "TRttiType.GetMethod"
		size = 206
		refs = "0015 TRttiType.GetMethod 0044 @UStrLAsg 006b CompareText 007d @DynArrayLength 008a TArray<System.Rtti.TRttiMethod> 008f @DynArrayClear 00ab @UStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 33 FF EB 4C 8B 45 FC 8B 34 B8 8D 55 F8 8B C6 8B 08 FF 51 08 8D 45 F4 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B3 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 DB EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 75 1D 47 8B 45 FC E8 ?? ?? ?? ?? 3B F8 7C A8 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67000_0 {
	meta:
		name = "TRttiType.GetMethods"
		size = 450
		refs = "0022 TRttiType.GetMethods 0043 TArray<System.Rtti.TRttiMethod> 0048 @DynArrayAsg 0066 @UStrLAsg 0091 CompareText 00a9 @DynArrayLength 00bb @DynArrayClear 00eb @DynArraySetLength 019c @UStrArrayClr 01af @FinalizeArray 01b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E0 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 33 C0 89 45 DC 8D 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 55 8B 45 F8 8B 34 98 8D 55 F0 8B C6 8B 08 FF 51 08 8D 45 EC 8B D7 E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 06 C6 45 DB 01 EB 23 83 7D F0 00 74 06 83 7D EC 00 75 06 C6 45 DB 00 EB 11 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 45 DB 80 7D DB 00 74 03 FF 45 DC 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7C 9F 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D DC 00 75 13 8B 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AE 00 00 00 8B 45 DC 50 8B 45 E0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 DC 8D 45 F4 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 60 8B 45 F4 8B 34 98 8D 55 E8 8B C6 8B 08 FF 51 08 8D 45 E4 8B D7 E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 06 C6 45 DA 01 EB 23 83 7D E8 00 74 06 83 7D E4 00 75 06 C6 45 DA 00 EB 11 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 45 DA 80 7D DA 00 74 0E 8B 45 E0 8B 00 8B 55 DC 89 34 90 FF 45 DC 43 8B 45 F4 E8 ?? ?? ?? ?? 3B D8 7C 94 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67001_0 {
	meta:
		name = "TRttiType.GetMethods"
		size = 205
		refs = "0015 TRttiType.GetMethods 0040 TArray<System.TArray<System.Rtti.TRttiMethod>> 0045 @DynArraySetLength 0069 TArray<System.Rtti.TRttiMethod> 006e @DynArrayAsg 0084 @DynArrayHigh 0091 TArrayHelper.Concat<System.Rtti.TRttiMethod> 00ac @DynArrayClear 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DF 33 F6 85 DB 74 0E 46 8B C3 8B 10 FF 52 10 8B D8 85 DB 75 F2 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B DF 33 F6 85 DB 74 2C 8D 55 F4 8B C3 8B 08 FF 51 38 8B 55 F4 8B 45 FC 8D 04 B0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 8B C3 8B 10 FF 52 10 8B D8 85 DB 75 D4 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67002_0 {
	meta:
		name = "TRttiType.GetName"
		size = 89
		refs = "000f TRttiType.GetName 001c TRttiType.GetHandle 0029 UTF8ToUnicodeString 0033 @UStrAsg 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 40 8B D8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67003_0 {
	meta:
		name = "TRttiType.GetProperties"
		size = 205
		refs = "0015 TRttiType.GetProperties 0040 TArray<System.TArray<System.Rtti.TRttiProperty>> 0045 @DynArraySetLength 0069 TArray<System.Rtti.TRttiProperty> 006e @DynArrayAsg 0084 @DynArrayHigh 0091 TArrayHelper.Concat<System.Rtti.TRttiProperty> 00ac @DynArrayClear 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DF 33 F6 85 DB 74 0E 46 8B C3 8B 10 FF 52 10 8B D8 85 DB 75 F2 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B DF 33 F6 85 DB 74 2C 8D 55 F4 8B C3 8B 08 FF 51 3C 8B 55 F4 8B 45 FC 8D 04 B0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 8B C3 8B 10 FF 52 10 8B D8 85 DB 75 D4 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67004_0 {
	meta:
		name = "TRttiType.GetProperty"
		size = 206
		refs = "0015 TRttiType.GetProperty 0044 @UStrLAsg 006b CompareText 007d @DynArrayLength 008a TArray<System.Rtti.TRttiProperty> 008f @DynArrayClear 00ab @UStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 1C 33 FF EB 4C 8B 45 FC 8B 34 B8 8D 55 F8 8B C6 8B 08 FF 51 08 8D 45 F4 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B3 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 DB EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C3 84 DB 75 1D 47 8B 45 FC E8 ?? ?? ?? ?? 3B F8 7C A8 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67010_0 {
	meta:
		name = "TRttiType.GetTypeKind"
		size = 15
		refs = "0006 TRttiType.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 00 5B C3 }
	condition:
		$1
}

rule function_67184_0 {
	meta:
		name = "TRttiFloatType.GetFloatType"
		size = 15
		refs = "0006 TRttiType.GetTypeData"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 00 5B C3 }
	condition:
		$1
}

rule function_67175_0 {
	meta:
		name = "TRttiMethodType.GetMethodKind"
		size = 15
		refs = "0006 TRttiType.GetTypeData"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 00 5B C3 }
	condition:
		$1
}

rule function_67094_0 {
	meta:
		name = "TRttiOrdinalType.GetOrdType"
		size = 15
		refs = "0006 TRttiType.GetTypeData"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 00 5B C3 }
	condition:
		$1
}

rule function_67012_0 {
	meta:
		name = "TAbstractWebPageInfo.GetPageDescription"
		size = 18
		altNames = "TAbstractWebPageInfo.GetPageHREF TAbstractWebPageInfo.GetPageTitle TRttiType.ToString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_67013_0 {
	meta:
		name = "TRttiType.GetQualifiedName"
		size = 134
		refs = "0016 TRttiType.GetQualifiedName 004d SNonPublicType 0054 _DV_ENonPublicType 0059 Exception.CreateResFmt 005e @RaiseExcept 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D3 8B 43 0C 8B 38 FF 57 0C 83 3E 00 75 31 8D 55 F4 8B C3 8B 08 FF 51 08 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67015_0 {
	meta:
		name = "TRttiType.GetIsPublicType"
		size = 79
		refs = "000c TRttiType.GetIsPublicType 003d @UStrClr 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D3 8B 43 0C 8B 18 FF 53 0C 83 7D FC 00 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_67016_0 {
	meta:
		name = "TRttiInstanceMethodClassic.Create"
		size = 377
		refs = "0016 @ClassCreate 0029 TRttiInstanceMethodClassic.Create 0040 TRttiObject.Create 0047 TRttiInstanceMethodClassic.GetHandle 005b SkipShortString 0072 DerefPointer 008b TArray<System.Rtti.TRttiParameter> 0090 @DynArraySetLength 00a4 @DynArrayHigh 00bb _DV_TRttiInstMethParameter 00c3 TRttiPackage.ReadObject 00ce @AsClass 00e5 @DynArrayLength 012b LazyLoadAttributes 0136 @IntfCopy 014b @IntfClear 0151 @HandleFinally 0160 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 56 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B7 38 03 3E 8B C3 E8 ?? ?? ?? ?? 83 C0 06 E8 ?? ?? ?? ?? 89 06 3B 3E 0F 84 D1 00 00 00 8B 3E 89 7B 1C 8B 47 02 E8 ?? ?? ?? ?? 89 43 20 8B 43 1C 0F B6 40 08 50 8D 43 24 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 1C 83 C0 08 40 89 06 8B 43 24 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 33 47 C7 45 F4 00 00 00 00 56 8B CB 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 24 8B 4D F4 89 04 8A FF 45 F4 4F 75 D5 8B 43 24 E8 ?? ?? ?? ?? 85 C0 7E 38 8B 43 24 E8 ?? ?? ?? ?? 8B 53 24 8B 44 82 FC 8B 10 FF 52 0C A8 40 74 20 8B 43 24 E8 ?? ?? ?? ?? 48 50 8D 43 24 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_67017_0 {
	meta:
		name = "TRttiInstanceMethodClassic.GetParameters"
		size = 82
		refs = "000b @DynArrayLength 001a TArray<System.Rtti.TRttiParameter> 001f @DynArrayClear 0034 @DynArraySetLength 004a Move"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 24 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7F 0F 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 29 53 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B CB 03 C9 03 C9 8B 17 8B 46 24 83 C0 04 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67018_0 {
	meta:
		name = "TRttiInstanceMethodClassic.DispatchInvoke"
		size = 962
		refs = "0032 TValue 0037 @AddRefRecord 0045 @InitializeRecord 0077 TRttiInstanceMethodClassic.DispatchInvoke 0092 @DynArrayLength 009c SParameterCountMismatch 00a3 _DV_EInvocationError 00a8 Exception.CreateRes 00ad @RaiseExcept 00b4 TRttiMethod.GetIsConstructor 00d4 TArray<System.Rtti.TValue> 00d9 @DynArraySetLength 010e TValue.AsClass 012f TValue.&op_Implicit 0159 @CopyRecord 0169 TValue.AsObject 01ff PassArg 02e1 CheckCodeAddress 02f8 TRttiType.GetHandle 0318 Invoke 0391 @FinalizeArray 039a TArray<System.Rtti.TRttiParameter> 039f @DynArrayClear 03b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 6C FF FF FF 53 56 57 33 DB 89 5D FC 89 5D F8 8B F2 8D 7D E0 51 B9 06 00 00 00 F3 A5 59 89 8D 7C FF FF FF 8B D8 8B 75 0C 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 98 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 80 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 38 8D 7E 01 8B 45 F8 E8 ?? ?? ?? ?? 3B F8 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 01 47 8B C3 8B 10 FF 52 30 84 C0 75 01 47 57 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 85 74 FF FF FF 33 C0 89 85 70 FF FF FF 8B C3 8B 10 FF 52 30 84 C0 0F 85 C1 00 00 00 8B C3 8B 10 FF 52 2C 84 C0 74 5B 8D 45 E0 E8 ?? ?? ?? ?? 89 85 70 FF FF FF 8B C3 8B 10 FF 52 14 88 85 6F FF FF FF 8D 55 C8 8B 85 70 FF FF FF E8 ?? ?? ?? ?? 80 BD 6F FF FF FF 02 0F 84 80 00 00 00 8B 85 74 FF FF FF 8D 04 40 8B 55 FC 8D 04 C2 8D 55 C8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 85 74 FF FF FF EB 5B 8D 45 E0 E8 ?? ?? ?? ?? 8B 00 89 C2 89 95 70 FF FF FF 8B C3 8B 10 FF 52 14 88 85 6E FF FF FF 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 B0 E8 ?? ?? ?? ?? 80 BD 6E FF FF FF 02 74 23 8B 85 74 FF FF FF 8D 04 40 8B 55 FC 8D 04 C2 8D 55 B0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 85 74 FF FF FF 8D 7E 01 4F 85 FF 7C 4D 47 C7 85 78 FF FF FF 00 00 00 00 8B B5 7C FF FF FF 8B C3 8B 10 FF 52 14 50 8B 85 74 FF FF FF 8D 04 40 8B 55 FC 8D 0C C2 8B 45 F8 8B 95 78 FF FF FF 8B 04 90 8B D6 E8 ?? ?? ?? ?? FF 85 74 FF FF FF FF 85 78 FF FF FF 83 C6 18 4F 75 C4 8B C3 8B 10 FF 52 30 84 C0 0F 85 91 00 00 00 8B C3 8B 10 FF 52 2C 84 C0 74 43 8B C3 8B 10 FF 52 14 88 85 6D FF FF FF 8D 55 98 8B 85 70 FF FF FF E8 ?? ?? ?? ?? 80 BD 6D FF FF FF 02 75 62 8B 85 74 FF FF FF 8D 04 40 8B 55 FC 8D 04 C2 8D 55 98 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 43 8B C3 8B 10 FF 52 14 88 85 6C FF FF FF 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 80 E8 ?? ?? ?? ?? 80 BD 6C FF FF FF 02 75 1D 8B 85 74 FF FF FF 8D 04 40 8B 55 FC 8D 04 C2 8D 55 80 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 1C FE C8 75 15 8B C3 8B 10 FF 52 24 0F BF C0 8B 95 70 FF FF FF 8B 34 82 EB 09 8B C3 8B 10 FF 52 28 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 18 85 C0 74 2E 8B C3 8B 10 FF 52 18 E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 52 30 50 8B 45 08 50 8B C3 8B 10 FF 52 14 8B C8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 57 8B C3 E8 ?? ?? ?? ?? 84 C0 74 31 8B 45 F8 8B 00 8B 10 FF 52 10 E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 52 30 50 8B 45 08 50 8B C3 8B 10 FF 52 14 8B C8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 1B 6A 00 6A 00 8B 45 08 50 8B C3 8B 10 FF 52 14 8B C8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 80 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_67019_0 {
	meta:
		name = "TRttiInstanceMethodClassic.CheckExtended"
		size = 26
		refs = "000f InsufficientRtti 0014 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 20 84 C0 75 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67020_0 {
	meta:
		name = "TRttiInstanceMethodClassic.GetMethodKind"
		size = 37
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 20 84 C0 75 04 33 C0 5B C3 8B C3 8B 10 FF 52 18 85 C0 75 04 33 C0 EB 02 B0 01 5B C3 }
	condition:
		$1
}

rule function_67021_0 {
	meta:
		name = "TRttiInstanceMethodClassic.GetCallingConvention"
		size = 16
		refs = "0006 TRttiInstanceMethodClassic.GetTailHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 40 01 5B C3 }
	condition:
		$1
}

rule function_67022_0 {
	meta:
		name = "TRttiInstanceMethodClassic.GetReturnType"
		size = 25
		refs = "0006 TRttiInstanceMethodClassic.CheckExtended 000e Pool 0013 TRttiPool.GetType"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67023_0 {
	meta:
		name = "TRttiInstanceMethodClassic.GetHasExtendedInfo"
		size = 8
	strings:
		$1 = { 83 78 1C 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_67024_0 {
	meta:
		name = "TRttiInstanceMethodClassic.GetName"
		size = 26
		refs = "0009 TRttiInstanceMethodClassic.GetHandle 0013 UTF8ToUnicodeString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C0 06 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67026_0 {
	meta:
		name = "TRttiInstanceMethodClassic.GetTailHandle"
		size = 15
		refs = "0006 TRttiInstanceMethodClassic.CheckExtended"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 1C 5B C3 }
	condition:
		$1
}

rule function_67027_0 {
	meta:
		name = "TRttiInstanceMethodClassic.GetCodeAddress"
		size = 26
		refs = "0006 TRttiInstanceMethodClassic.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 02 85 C0 74 07 83 38 00 75 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_67028_0 {
	meta:
		name = "TRttiInstanceMethodEx.Create"
		size = 127
		refs = "000f @ClassCreate 0029 TRttiObject.Create 0030 TRttiInstanceMethodEx.GetHandle 003a TRttiMember.GetParent 0042 _DV_TRttiInstanceMethodClassic 0049 TRttiPackage.ReadObjectPointer 0054 @AsClass 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 08 8B 45 0C 50 57 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 00 50 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 1C 83 07 08 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67029_0 {
	meta:
		name = "TRttiInstanceMethodEx.GetVisibility"
		size = 31
		refs = "0006 TRttiInstanceMethodEx.GetHandle 0019 GetBitField"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 40 04 B9 02 00 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67030_0 {
	meta:
		name = "TRttiInstanceMethodEx.GetMethodKind"
		size = 135
		refs = "0009 TRttiInstanceMethodEx.GetHandle 0026 GetBitField"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? F6 40 04 04 74 2F 8B C6 E8 ?? ?? ?? ?? 0F B7 40 04 B9 02 00 00 00 33 D2 E8 ?? ?? ?? ?? 2C 01 72 08 74 0A FE C8 74 0A EB 4C B3 02 EB 48 B3 03 EB 44 B3 08 EB 40 8B C6 E8 ?? ?? ?? ?? F6 40 04 02 74 0D 8B C6 E8 ?? ?? ?? ?? F6 40 04 01 74 14 8B 46 1C 8B 10 FF 52 18 85 C0 75 04 B3 04 EB 16 B3 05 EB 12 8B 46 1C 8B 10 FF 52 18 85 C0 75 04 33 DB EB 02 B3 01 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_67031_0 {
	meta:
		name = "TRttiInstanceMethodEx.GetCallingConvention"
		size = 13
	strings:
		$1 = { 53 8B D8 8B 43 1C 8B 10 FF 52 14 5B C3 }
	condition:
		$1
}

rule function_67032_0 {
	meta:
		name = "TRttiInstanceMethodEx.GetAttributes"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 1C 8B 08 FF 51 04 5E 5B C3 }
	condition:
		$1
}

rule function_67033_0 {
	meta:
		name = "TRttiInstanceMethodEx.GetReturnType"
		size = 9
	strings:
		$1 = { 8B 40 1C 8B 10 FF 52 18 C3 }
	condition:
		$1
}

rule function_67034_0 {
	meta:
		name = "TRttiInstanceMethodEx.GetHasExtendedInfo"
		size = 9
	strings:
		$1 = { 8B 40 1C 8B 10 FF 52 20 C3 }
	condition:
		$1
}

rule function_67035_0 {
	meta:
		name = "TRttiInstanceMethodEx.GetVirtualIndex"
		size = 16
		refs = "0006 TRttiInstanceMethodEx.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 40 06 5B C3 }
	condition:
		$1
}

rule function_67036_0 {
	meta:
		name = "TRttiInstanceMethodEx.GetDispatchKind"
		size = 31
		refs = "0006 TRttiInstanceMethodEx.GetHandle 0019 GetBitField"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 40 04 B9 02 00 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67037_0 {
	meta:
		name = "TRttiInstanceMethodEx.GetIsClassMethod"
		size = 35
		refs = "0011 TRttiInstanceMethodEx.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 30 84 C0 75 11 8B C3 E8 ?? ?? ?? ?? F6 40 04 01 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_67038_0 {
	meta:
		name = "TRttiInstanceMethodEx.GetIsStatic"
		size = 62
		refs = "0006 TRttiInstanceMethodEx.GetHandle 0023 GetBitField"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 40 04 04 74 1E 8B C3 E8 ?? ?? ?? ?? 0F B7 40 04 B9 02 00 00 00 33 D2 E8 ?? ?? ?? ?? 3C 02 0F 94 C0 5B C3 8B C3 E8 ?? ?? ?? ?? F6 40 04 02 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_67039_0 {
	meta:
		name = "TRttiInstanceMethodEx.GetCodeAddress"
		size = 9
	strings:
		$1 = { 8B 40 1C 8B 10 FF 52 28 C3 }
	condition:
		$1
}

rule function_67040_0 {
	meta:
		name = "TRttiInstanceMethodEx.GetName"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 1C 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_67042_0 {
	meta:
		name = "TRttiInstanceMethodEx.DispatchInvoke"
		size = 1570
		refs = "0034 TValue 0039 @AddRefRecord 0047 @InitializeRecord 0079 TRttiInstanceMethodEx.DispatchInvoke 0091 @DynArrayLength 009e SParameterCountMismatch 00a5 _DV_EInvocationError 00aa Exception.CreateRes 00af @RaiseExcept 00b6 TRttiMethod.GetIsConstructor 00c1 TRttiMethod.GetIsDestructor 00e1 TArray<System.Rtti.TValue> 00e6 @DynArraySetLength 0134 TValue.TryAsType<System.TClass> 0155 TValue.AsObject 01a2 TValue.&op_Implicit 01c8 @CopyRecord 02ea TValue.AsClass 0370 TRttiMember.GetParent 0375 TRttiInstanceType.GetMetaclassType 0382 TObject.InheritsFrom 038c SInvalidCast 0393 _Dn_EInvalidCast 03e0 PassArg 0442 GetDynaMethod 0456 CheckCodeAddress 0546 TRttiType.GetHandle 0566 Invoke 05de @FinalizeArray 05fa TArray<System.Rtti.TRttiParameter> 05ff @DynArrayClear 0613 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 19 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F2 8D 7D E0 51 B9 06 00 00 00 F3 A5 59 89 8D 7C FF FF FF 8B D8 8B 75 0C 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 98 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 80 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 38 8B 45 F8 E8 ?? ?? ?? ?? 8D 7E 01 3B C7 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 01 47 8B C3 8B 10 FF 52 30 84 C0 75 01 47 57 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 85 74 FF FF FF 33 C0 89 85 70 FF FF FF C6 85 6B FF FF FF 01 33 C0 89 85 6C FF FF FF 8B C3 8B 10 FF 52 30 84 C0 0F 85 86 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 2E 01 00 00 8D 95 70 FF FF FF 8D 45 E0 E8 ?? ?? ?? ?? 88 85 6B FF FF FF 80 BD 6B FF FF FF 00 74 0A 33 C0 89 85 6C FF FF FF EB 31 8D 45 E0 E8 ?? ?? ?? ?? 89 85 6C FF FF FF 83 BD 6C FF FF FF 00 74 12 8B 95 6C FF FF FF 8B 12 89 D0 89 85 70 FF FF FF EB 08 33 C0 89 85 70 FF FF FF 80 BD 6B FF FF FF 00 74 49 8B C3 8B 10 FF 52 14 88 85 6A FF FF FF 8D 55 C8 8B 85 70 FF FF FF E8 ?? ?? ?? ?? 80 BD 6A FF FF FF 02 74 6C 8B 85 74 FF FF FF 8D 04 40 8B 55 FC 8D 04 C2 8D 55 C8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 85 74 FF FF FF EB 47 8B C3 8B 10 FF 52 14 88 85 69 FF FF FF 8D 55 B0 8B 85 6C FF FF FF E8 ?? ?? ?? ?? 80 BD 69 FF FF FF 02 74 23 8B 85 74 FF FF FF 8D 04 40 8B 55 FC 8D 04 C2 8D 55 B0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 85 74 FF FF FF 8D 95 4C FF FF FF 0F B6 85 6B FF FF FF E8 ?? ?? ?? ?? 8D 95 4C FF FF FF 8B 85 74 FF FF FF 8D 04 40 8B 4D FC 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 85 74 FF FF FF E9 0C 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 78 8D 45 E0 E8 ?? ?? ?? ?? 8B 00 89 C2 89 95 70 FF FF FF 8B C3 8B 10 FF 52 14 3C 02 74 23 8B 85 74 FF FF FF 8D 04 40 8B 55 FC 8D 04 C2 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 85 74 FF FF FF 8D 95 34 FF FF FF B0 01 E8 ?? ?? ?? ?? 8D 95 34 FF FF FF 8B 85 74 FF FF FF 8D 04 40 8B 4D FC 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 85 74 FF FF FF E9 89 00 00 00 8B C3 8B 10 FF 52 2C 84 C0 74 3E 8D 45 E0 E8 ?? ?? ?? ?? 89 85 70 FF FF FF 8B C3 8B 10 FF 52 14 3C 02 74 65 8B 85 74 FF FF FF 8D 04 40 8B 55 FC 8D 04 C2 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 85 74 FF FF FF EB 40 8D 45 E0 E8 ?? ?? ?? ?? 8B 00 89 C2 89 95 70 FF FF FF 8B C3 8B 10 FF 52 14 3C 02 74 23 8B 85 74 FF FF FF 8D 04 40 8B 55 FC 8D 04 C2 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 85 74 FF FF FF 83 BD 70 FF FF FF 00 74 34 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 85 70 FF FF FF E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 7E 01 4F 85 FF 7C 4D 47 C7 85 78 FF FF FF 00 00 00 00 8B B5 7C FF FF FF 8B C3 8B 10 FF 52 14 50 8B 85 74 FF FF FF 8D 04 40 8B 55 FC 8D 0C C2 8B 45 F8 8B 95 78 FF FF FF 8B 04 90 8B D6 E8 ?? ?? ?? ?? FF 85 74 FF FF FF FF 85 78 FF FF FF 83 C6 18 4F 75 C4 8B C3 8B 10 FF 52 30 84 C0 74 0B 8B C3 8B 10 FF 52 28 8B F0 EB 47 8B C3 8B 10 FF 52 1C FE C8 74 06 FE C8 74 17 EB 2D 8B C3 8B 10 FF 52 24 0F BF C0 8B 95 70 FF FF FF 8B 34 82 EB 21 8B C3 8B 10 FF 52 24 8B D0 8B 85 70 FF FF FF E8 ?? ?? ?? ?? 8B F0 EB 09 8B C3 8B 10 FF 52 28 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 30 84 C0 0F 85 CA 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 93 00 00 00 80 BD 6B FF FF FF 00 74 47 8B C3 8B 10 FF 52 14 88 85 68 FF FF FF 8D 55 98 8B 85 70 FF FF FF E8 ?? ?? ?? ?? 80 BD 68 FF FF FF 02 0F 85 8A 00 00 00 8B 85 74 FF FF FF 8D 04 40 8B 55 FC 8D 04 C2 8D 55 98 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6B 8B C3 8B 10 FF 52 14 88 85 67 FF FF FF 8D 55 80 8B 85 6C FF FF FF E8 ?? ?? ?? ?? 80 BD 67 FF FF FF 02 75 47 8B 85 74 FF FF FF 8D 04 40 8B 55 FC 8D 04 C2 8D 55 80 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 8B C3 8B 10 FF 52 14 3C 02 75 1D 8B 85 74 FF FF FF 8D 04 40 8B 55 FC 8D 04 C2 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 18 85 C0 74 2E 8B C3 8B 10 FF 52 18 E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 52 30 50 8B 45 08 50 8B C3 8B 10 FF 52 14 8B C8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 53 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2D 8B 85 70 FF FF FF 83 C0 B8 8B 00 50 8B C3 8B 10 FF 52 30 50 8B 45 08 50 8B C3 8B 10 FF 52 14 8B C8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 1B 6A 00 6A 00 8B 45 08 50 8B C3 8B 10 FF 52 14 8B C8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 34 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 80 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_67043_0 {
	meta:
		name = "TRttiInstanceMethodEx.GetParameters"
		size = 96
		refs = "0018 @DynArrayLength 0026 TArray<System.Rtti.TRttiParameter> 002b @DynArraySetLength 004c Move"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 30 84 C0 74 42 8B 43 1C 8B 40 24 E8 ?? ?? ?? ?? 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 1C 8B 40 24 E8 ?? ?? ?? ?? 8B C8 03 C9 03 C9 8B 16 8B 43 1C 8B 40 24 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B 43 1C 8B 08 FF 51 38 5E 5B C3 }
	condition:
		$1
}

rule function_67044_0 {
	meta:
		name = "TRttiInstanceType.Create"
		size = 92
		refs = "000d @ClassCreate 0023 TRttiType.Create 002a TRttiInstanceType.GetMetaclassType 0046 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 45 0C 50 8B 45 08 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 BC 8B 00 85 C0 74 06 8B 40 02 89 43 28 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67045_0 {
	meta:
		name = "TRttiInstanceType.GetAttributes"
		size = 31
		refs = "000f TRttiInstanceType.ReadPropData 0018 TRttiObject.GetAttributes"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 2C 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67047_0 {
	meta:
		name = "TRttiInstanceType.GetBaseTyped"
		size = 36
		refs = "0006 TRttiType.GetTypeData 000e Pool 0013 TRttiPool.TypeOrNil 0019 _DV_TRttiInstanceType 001e @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67048_0 {
	meta:
		name = "TRttiArrayType.GetTypeSize"
		size = 14
		refs = "0006 TRttiType.GetTypeData"
		altNames = "TRttiDynamicArrayType.GetElementSize TRttiInstanceType.GetMetaclassType TRttiRecordType.GetTypeSize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 00 5B C3 }
	condition:
		$1
}

rule function_67225_0 {
	meta:
		name = "TRttiInstanceFieldClassic.GetOffset"
		size = 14
		refs = "0006 TRttiInstanceFieldClassic.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 00 5B C3 }
	condition:
		$1
}

rule function_67049_0 {
	meta:
		name = "ReadClassicProps"
		size = 143
		refs = "0015 TArray<System.Rtti.TRttiProperty> 001a @DynArrayClear 0027 ReadU16 003d @DynArraySetLength 0047 @DynArrayLength 006d _DV_TRttiInstancePropertyClassic 0072 TRttiPackage.ReadObject 0078 _DV_TRttiProperty 007d @AsClass"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 45 08 83 78 FC 00 75 0F 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6A 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 0F B7 C0 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 07 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 38 43 33 F6 8B 45 08 83 C0 FC 50 8B 45 08 8B 48 F8 8B 45 08 8B 40 F8 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 17 89 04 B2 46 4B 75 CB 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_67058_0 {
	meta:
		name = "ReadExtendedMeths"
		size = 143
		refs = "0015 TArray<System.Rtti.TRttiMethod> 001a @DynArrayClear 0027 ReadU16 003d @DynArraySetLength 0047 @DynArrayLength 006d _DV_TRttiInstanceMethodEx 0072 TRttiPackage.ReadObject 007d @AsClass"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 45 08 83 78 FC 00 75 0F 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6A 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 0F B7 C0 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 07 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 38 43 33 F6 8B 45 08 83 C0 FC 50 8B 45 08 8B 48 F8 8B 45 08 8B 40 F8 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 17 89 04 B2 46 4B 75 CB 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_67050_0 {
	meta:
		name = "ReadExtendedProps"
		size = 143
		refs = "0015 TArray<System.Rtti.TRttiProperty> 001a @DynArrayClear 0027 ReadU16 003d @DynArraySetLength 0047 @DynArrayLength 006d _DV_TRttiInstancePropertyEx 0072 TRttiPackage.ReadObject 0078 _DV_TRttiProperty 007d @AsClass"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 45 08 83 78 FC 00 75 0F 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6A 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 0F B7 C0 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 07 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 38 43 33 F6 8B 45 08 83 C0 FC 50 8B 45 08 8B 48 F8 8B 45 08 8B 40 F8 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 17 89 04 B2 46 4B 75 CB 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_67051_0 {
	meta:
		name = "ContainsExtended"
		size = 87
		refs = "0024 TList<System.Rtti.TRttiProperty>.GetItem 002e _DV_TRttiInstancePropertyEx 0033 @IsClass"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 08 8B 40 FC 8B 70 08 4E 85 F6 7C 37 46 33 FF 8B 45 08 8B 40 FC 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 8B 10 FF 52 30 3B 45 FC 75 04 B0 01 EB 06 47 4E 75 CC 33 C0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67052_0 {
	meta:
		name = "SubtractClassic"
		size = 238
		refs = "0019 SubtractClassic 0026 _DV_TList<System.Rtti.TRttiProperty> 002b TList<System.Rtti.TRttiProperty>.Create 0043 @DynArrayHigh 004f TList<System.Rtti.TRttiProperty>.AddRange 0056 @DynArrayLength 006e ContainsExtended 007e TList<System.Rtti.TRttiProperty>.Add 008d _DV_TListHelper 0092 TListHelper.ToArray<System.Rtti.TRttiProperty> 009e TArray<System.Rtti.TRttiProperty> 00a3 @DynArrayAsg 00b8 TObject.Free 00be @HandleFinally 00db @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 25 46 33 DB 55 8B 04 9F 8B 10 FF 52 30 E8 ?? ?? ?? ?? 59 84 C0 75 0B 8B 14 9F 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 DE 8D 4D F4 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67053_0 {
	meta:
		name = "ReadIndexedProps"
		size = 118
		refs = "000f ReadU16 0020 TArray<System.Rtti.TRttiIndexedProperty> 0025 @DynArraySetLength 002f @DynArrayHigh 0054 _DV_TRttiIndexedProperty 0059 TRttiPackage.ReadObject 0064 @AsClass"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 0F B7 C0 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 07 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 38 43 33 F6 8B 45 08 83 C0 FC 50 8B 45 08 8B 48 F8 8B 45 08 8B 40 F8 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 17 89 04 B2 46 4B 75 CB 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_67054_0 {
	meta:
		name = "TRttiInstanceType.ReadPropData"
		size = 345
		refs = "0017 TRttiInstanceType.ReadPropData 0032 TRttiType.GetTypeData 003a SkipShortString 0061 ReadClassicProps 006e TArray<System.Rtti.TRttiProperty> 0073 @DynArrayAsg 007c ReadExtendedProps 009d SubtractClassic 00bd LazyLoadAttributes 00cb @IntfCopy 00d4 ReadIndexedProps 00e4 TArray<System.Rtti.TRttiIndexedProperty> 0111 @HandleFinally 012e @DynArrayClear 0136 @IntfClear 0149 @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 80 78 2C 00 0F 85 E9 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 83 C0 0A E8 ?? ?? ?? ?? 89 45 FC 8B 45 F8 8B 40 0C 8B 40 18 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 45 EC E8 ?? ?? ?? ?? 59 8B 55 EC 8D 45 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 8D 45 E8 E8 ?? ?? ?? ?? 59 8B 55 E8 8D 45 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 8D 4D E4 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 59 8B 55 E4 8B 45 F8 83 C0 18 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 8D 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F8 83 C0 14 E8 ?? ?? ?? ?? 55 8D 45 DC E8 ?? ?? ?? ?? 59 8B 55 DC 8B 45 F8 83 C0 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 C6 40 2C 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 40 18 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B E5 5D C3 }
	condition:
		$1
}

rule function_67055_0 {
	meta:
		name = "TRttiInstanceType.GetDeclaredProperties"
		size = 104
		refs = "000f TRttiInstanceType.ReadPropData 0017 @DynArrayLength 0023 TArray<System.Rtti.TRttiProperty> 0028 @DynArrayClear 0046 @DynArraySetLength 0061 Move"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 2C 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 85 C0 75 10 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B 43 18 E8 ?? ?? ?? ?? 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 18 E8 ?? ?? ?? ?? 8B C8 03 C9 03 C9 8B 16 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67056_0 {
	meta:
		name = "TRttiInstanceType.GetDeclaredMethods"
		size = 104
		refs = "000f TRttiInstanceType.ReadMethData 0017 @DynArrayLength 0023 TArray<System.Rtti.TRttiMethod> 0028 @DynArrayClear 0046 @DynArraySetLength 0061 Move"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 2D 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 1C E8 ?? ?? ?? ?? 85 C0 75 10 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B 43 1C E8 ?? ?? ?? ?? 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 1C E8 ?? ?? ?? ?? 8B C8 03 C9 03 C9 8B 16 8B 43 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67057_0 {
	meta:
		name = "ReadClassicMeths"
		size = 185
		refs = "0018 TArray<System.Rtti.TRttiMethod> 001d @DynArrayClear 002d ReadU16 0044 @DynArraySetLength 0051 @DynArrayLength 0066 PeekU16 008d _DV_TRttiInstanceMethodClassic 0092 TRttiPackage.ReadObject 009d @AsClass"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 08 83 78 FC 00 75 13 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8D 00 00 00 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 0F B7 C0 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 57 43 33 F6 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 0F B7 C0 8B 55 08 8B 7A FC 03 F8 8B 45 08 83 C0 FC 50 8B 45 08 8B 48 F8 8B 45 08 8B 40 F8 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 12 89 04 B2 8B 45 08 89 78 FC 46 4B 75 AC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67059_0 {
	meta:
		name = "ContainsExtended"
		size = 88
		refs = "0024 TList<System.Rtti.TRttiMethod>.GetItem 002e _DV_TRttiInstanceMethodEx 0033 @IsClass"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 08 8B 40 FC 8B 70 08 4E 85 F6 7C 38 46 33 FF 8B 45 08 8B 40 FC 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 43 1C 8B 10 FF 52 28 3B 45 FC 75 04 B0 01 EB 06 47 4E 75 CB 33 C0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67060_0 {
	meta:
		name = "SubtractClassic"
		size = 238
		refs = "0019 SubtractClassic 0026 _DV_TList<System.Rtti.TRttiMethod> 002b TList<System.Rtti.TRttiMethod>.Create 0043 @DynArrayHigh 004f TList<System.Rtti.TRttiMethod>.AddRange 0056 @DynArrayLength 006e ContainsExtended 007e TList<System.Rtti.TRttiMethod>.Add 008d _DV_TListHelper 0092 TListHelper.ToArray<System.Rtti.TRttiMethod> 009e TArray<System.Rtti.TRttiMethod> 00a3 @DynArrayAsg 00b8 TObject.Free 00be @HandleFinally 00db @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 25 46 33 DB 55 8B 04 9F 8B 10 FF 52 28 E8 ?? ?? ?? ?? 59 84 C0 75 0B 8B 14 9F 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 DE 8D 4D F4 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67061_0 {
	meta:
		name = "TRttiInstanceType.ReadMethData"
		size = 292
		refs = "0013 TRttiInstanceType.ReadMethData 0049 TRttiInstanceType.GetMetaclassType 005c @TryFinallyExit 006a ReadClassicMeths 0077 TArray<System.Rtti.TRttiMethod> 007c @DynArrayAsg 0085 ReadExtendedMeths 009f ReadU16 00b5 SubtractClassic 00f2 @HandleFinally 0114 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 80 78 2D 00 0F 85 CE 00 00 00 8B 45 F8 8B 40 0C 8B 40 18 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 83 C0 C0 8B 00 89 45 FC 83 7D FC 00 75 0A E8 ?? ?? ?? ?? E9 93 00 00 00 55 8D 45 EC E8 ?? ?? ?? ?? 59 8B 55 EC 8D 45 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 8D 45 E8 E8 ?? ?? ?? ?? 59 8B 55 E8 8D 45 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 55 F8 66 89 42 20 55 8D 4D E4 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 59 8B 55 E4 8B 45 F8 83 C0 1C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 C6 40 2D 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 40 18 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B E5 5D C3 }
	condition:
		$1
}

rule function_67062_0 {
	meta:
		name = "TRttiInstanceType.GetDeclaredImplementedInterfaces"
		size = 143
		refs = "000b TRttiInstanceType.GetMetaclassType 001c TArray<System.Rtti.TRttiInterfaceType> 0021 @DynArrayClear 004b @DynArraySetLength 0061 ReadPointer 0066 DerefPointer 006d Pool 0072 TRttiPool.GetType 0078 _DV_TRttiInterfaceType 007d @AsClass"
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C0 AC 8B 18 85 DB 75 0F 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 63 8B 03 8B D0 03 C0 03 C0 03 C0 2B C2 8D 44 83 04 89 04 24 8B 03 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 48 85 C0 7C 31 40 89 C3 33 F6 8B C4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 17 89 04 B2 46 4B 75 D4 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67063_0 {
	meta:
		name = "TRttiInstanceType.GetImplementedInterfaces"
		size = 205
		refs = "0015 TRttiInstanceType.GetImplementedInterfaces 002b TRttiInstanceType.GetBaseTyped 0040 TArray<System.TArray<System.Rtti.TRttiInterfaceType>> 0045 @DynArraySetLength 005a TRttiInstanceType.GetDeclaredImplementedInterfaces 0069 TArray<System.Rtti.TRttiInterfaceType> 006e @DynArrayAsg 0084 @DynArrayHigh 0091 TArrayHelper.Concat<System.Rtti.TRttiInterfaceType> 00ac @DynArrayClear 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DF 33 F6 85 DB 74 0E 46 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 F2 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B DF 33 F6 85 DB 74 2C 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8D 04 B0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 D4 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67064_0 {
	meta:
		name = "ReadClassicFields"
		size = 121
		refs = "001b TArray<System.Rtti.TRttiField> 0020 @DynArraySetLength 0031 @DynArrayLength 0057 _DV_TRttiInstanceFieldClassic 005c TRttiPackage.ReadObject 0062 _DV_TRttiField 0067 @AsClass"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 45 08 8B 58 FC 0F B7 03 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 83 40 FC 06 8B 07 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 38 43 33 F6 8B 45 08 83 C0 FC 50 8B 45 08 8B 48 F8 8B 45 08 8B 40 F8 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 17 89 04 B2 46 4B 75 CB 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_67065_0 {
	meta:
		name = "ReadExtendedFields"
		size = 119
		refs = "000f ReadU16 0020 TArray<System.Rtti.TRttiField> 0025 @DynArraySetLength 002f @DynArrayLength 0055 _DV_TRttiInstanceFieldEx 005a TRttiPackage.ReadObject 0060 _DV_TRttiField 0065 @AsClass"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 0F B7 C0 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 07 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 38 43 33 F6 8B 45 08 83 C0 FC 50 8B 45 08 8B 48 F8 8B 45 08 8B 40 F8 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 17 89 04 B2 46 4B 75 CB 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_67066_0 {
	meta:
		name = "ContainsExtended"
		size = 87
		refs = "0024 TList<System.Rtti.TRttiField>.GetItem 002e _DV_TRttiInstanceFieldEx 0033 @IsClass"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 08 8B 40 FC 8B 70 08 4E 85 F6 7C 37 46 33 FF 8B 45 08 8B 40 FC 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 8B 10 FF 52 14 3B 45 FC 75 04 B0 01 EB 06 47 4E 75 CC 33 C0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67067_0 {
	meta:
		name = "SubtractClassic"
		size = 238
		refs = "0019 SubtractClassic 0026 _DV_TList<System.Rtti.TRttiField> 002b TList<System.Rtti.TRttiField>.Create 0043 @DynArrayHigh 004f TList<System.Rtti.TRttiField>.AddRange 0056 @DynArrayLength 006e ContainsExtended 007e TList<System.Rtti.TRttiField>.Add 008d _DV_TListHelper 0092 TListHelper.ToArray<System.Rtti.TRttiField> 009e TArray<System.Rtti.TRttiField> 00a3 @DynArrayAsg 00b8 TObject.Free 00be @HandleFinally 00db @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 25 46 33 DB 55 8B 04 9F 8B 10 FF 52 14 E8 ?? ?? ?? ?? 59 84 C0 75 0B 8B 14 9F 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 DE 8D 4D F4 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67068_0 {
	meta:
		name = "TRttiInstanceType.GetDeclaredFields"
		size = 200
		refs = "0016 TRttiInstanceType.GetDeclaredFields 0024 TRttiInstanceType.GetMetaclassType 003a TArray<System.Rtti.TRttiField> 003f @DynArrayClear 004a ReadClassicFields 005c @DynArrayAsg 0065 ReadExtendedFields 0086 SubtractClassic 00b7 @FinalizeArray 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 83 C0 BC 8B 00 89 45 FC 83 7D FC 00 75 0F 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 56 55 8D 45 EC E8 ?? ?? ?? ?? 59 8B 55 EC 8D 45 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 8D 45 E8 E8 ?? ?? ?? ?? 59 8B 55 E8 8D 45 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 8D 4D E4 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 59 8B 55 E4 8B C3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67069_0 {
	meta:
		name = "TRttiInstanceType.GetDeclaredIndexedProperties"
		size = 38
		refs = "000f TRttiInstanceType.ReadPropData 001a TArray<System.Rtti.TRttiIndexedProperty> 001f @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 2C 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67070_0 {
	meta:
		name = "TRttiInstanceType.GetDeclaringUnitName"
		size = 91
		refs = "000f TRttiInstanceType.GetDeclaringUnitName 001c TRttiType.GetTypeData 002b UTF8ToUnicodeString 0035 @UStrAsg 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 C0 0A 8B D8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67071_0 {
	meta:
		name = "TRttiInstanceType.GetVmtSize"
		size = 29
		refs = "000c TRttiInstanceType.ReadMethData"
	strings:
		$1 = { 53 8B D8 80 7B 2D 00 75 07 8B C3 E8 ?? ?? ?? ?? 0F B7 43 20 03 C0 03 C0 83 E8 A8 5B C3 }
	condition:
		$1
}

rule function_67072_0 {
	meta:
		name = "TRttiProperty.GetValue"
		size = 122
		refs = "0018 TRttiProperty.GetValue 003d _Dn_EPropWriteOnly 0042 Exception.Create 0047 @RaiseExcept 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 14 84 C0 75 1E 8D 55 F8 8B C3 8B 08 FF 51 08 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 8B 18 FF 53 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67073_0 {
	meta:
		name = "TRttiProperty.SetValue"
		size = 115
		refs = "0012 TRttiProperty.SetValue 0037 _Dn_EPropReadOnly 003c Exception.Create 0041 @RaiseExcept 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 18 84 C0 75 1E 8D 55 FC 8B C3 8B 08 FF 51 08 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67074_0 {
	meta:
		name = "TRttiInstanceProperty.GetDefault"
		size = 15
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 30 8B 40 14 5B C3 }
	condition:
		$1
}

rule function_67075_0 {
	meta:
		name = "TRttiInstanceProperty.GetIndex"
		size = 15
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 30 8B 40 10 5B C3 }
	condition:
		$1
}

rule function_67076_0 {
	meta:
		name = "TRttiInstanceProperty.GetName"
		size = 91
		refs = "000f TRttiInstanceProperty.GetName 002b UTF8ToUnicodeString 0035 @UStrAsg 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 30 83 C0 1A 8B D8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67077_0 {
	meta:
		name = "TRttiInstanceProperty.GetNameIndex"
		size = 16
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 30 0F B7 40 18 5B C3 }
	condition:
		$1
}

rule function_67078_0 {
	meta:
		name = "TRttiInstanceProperty.GetPropertyType"
		size = 24
		refs = "000d Pool 0012 TRttiPool.TypeOrNil"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 30 8B 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67079_0 {
	meta:
		name = "TRttiInstanceProperty.GetIsReadable"
		size = 19
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 30 83 78 04 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_67080_0 {
	meta:
		name = "TRttiInstanceProperty.GetIsWritable"
		size = 19
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 30 83 78 08 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_67081_0 {
	meta:
		name = "TRttiInstanceProperty.DoGetValue"
		size = 416
		refs = "0022 TRttiInstanceProperty.DoGetValue 004c TRttiType.GetHandle 0056 TValue 005b @FinalizeRecord 006c TValue.Make 0088 CheckCodeAddress 00a6 TArray<System.Rtti.TValue> 00ab @DynArraySetLength 00b8 TValue.&op_Implicit 00c9 @CopyRecord 00e8 Invoke 017f @FinalizeArray 018d @DynArrayClear 0193 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 30 8B 70 04 8B C6 25 00 00 00 FF 3D 00 00 00 FF 75 31 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? 50 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B C6 25 FF FF FF 00 03 C7 5A E8 ?? ?? ?? ?? E9 EE 00 00 00 3D 00 00 00 FE 75 09 8B 07 0F BF D6 03 C2 8B 30 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 28 3D 00 00 00 80 75 54 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? 50 6A 00 8B 45 F8 50 33 C9 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 75 6A 02 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 C8 8B C7 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 28 8D 55 B0 E8 ?? ?? ?? ?? 8D 55 B0 8B 45 FC 83 C0 18 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? 50 6A 00 8B 45 F8 50 33 C9 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67082_0 {
	meta:
		name = "TRttiInstanceProperty.DoSetValue"
		size = 537
		refs = "0022 TValue 0027 @InitializeRecord 002f TRttiInstanceProperty.DoSetValue 0059 TRttiType.GetHandle 0066 TValue.Cast 0078 TValue.ExtractRawData 0094 CheckCodeAddress 00b2 TArray<System.Rtti.TValue> 00b7 @DynArraySetLength 00c4 TValue.&op_Implicit 00d5 @CopyRecord 0116 Invoke 01ea @FinalizeArray 01f8 @FinalizeRecord 0206 @DynArrayClear 020c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 19 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D DC 8B FA 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 30 8B 70 08 8B C6 25 00 00 00 FF 3D 00 00 00 FF 75 30 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? 8B D0 8D 4D E0 8B 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B D6 81 E2 FF FF FF 00 03 D7 E8 ?? ?? ?? ?? E9 4A 01 00 00 3D 00 00 00 FE 75 09 8B 07 0F BF D6 03 C2 8B 30 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 28 3D 00 00 00 80 75 79 6A 02 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 C4 8B C7 E8 ?? ?? ?? ?? 8D 55 C4 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? 8B D0 8D 4D AC 8B 45 DC E8 ?? ?? ?? ?? 8D 55 AC 8B 45 FC 83 C0 18 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 94 50 33 C9 8B 55 FC 8B C6 E8 ?? ?? ?? ?? E9 AC 00 00 00 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 95 7C FF FF FF 8B C7 E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 28 8D 95 64 FF FF FF E8 ?? ?? ?? ?? 8D 95 64 FF FF FF 8B 45 FC 83 C0 18 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 10 E8 ?? ?? ?? ?? 8B D0 8D 8D 4C FF FF FF 8B 45 DC E8 ?? ?? ?? ?? 8D 95 4C FF FF FF 8B 45 FC 83 C0 30 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 8D 85 34 FF FF FF 50 33 C9 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 34 FF FF FF 8B 15 ?? ?? ?? ?? B9 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67083_0 {
	meta:
		name = "TRttiInstanceProperty.ToString"
		size = 172
		refs = "0011 TRttiInstanceProperty.ToString 004c @UStrCatN 0066 @UStrArrayClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 51 08 FF 75 FC 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 10 8D 55 F8 8B 08 FF 51 08 FF 75 F8 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_67086_0 {
	meta:
		name = "TRttiInstancePropertyClassic.Create"
		size = 89
		refs = "000e @ClassCreate 0024 TRttiObject.Create 002b TRttiInstancePropertyClassic.GetHandle 0033 SkipShortString 0042 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 1A E8 ?? ?? ?? ?? 89 06 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67087_0 {
	meta:
		name = "TRttiInstancePropertyEx.Create"
		size = 156
		refs = "0015 @ClassCreate 0025 TRttiInstancePropertyEx.Create 0039 TRttiObject.Create 0040 TRttiInstancePropertyEx.GetHandle 004f LazyLoadAttributes 005a @IntfCopy 006f @IntfClear 0075 @HandleFinally 0084 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 05 89 06 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67088_0 {
	meta:
		name = "TRttiInstancePropertyEx.GetPropInfo"
		size = 15
		refs = "0006 TRttiInstancePropertyEx.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 01 5B C3 }
	condition:
		$1
}

rule function_67093_0 {
	meta:
		name = "TRttiOrdinalType.GetMinValue"
		size = 15
		refs = "0006 TRttiType.GetTypeData"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 01 5B C3 }
	condition:
		$1
}

rule function_67090_0 {
	meta:
		name = "TRttiInstancePropertyEx.GetVisibility"
		size = 27
		refs = "0006 TRttiInstancePropertyEx.GetHandle 0015 GetBitField"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 00 B9 02 00 00 00 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67232_0 {
	meta:
		name = "TRttiInstanceFieldEx.GetVisibility"
		size = 27
		refs = "0006 TRttiInstanceFieldEx.GetHandle 0015 GetBitField"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 00 B9 02 00 00 00 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67091_0 {
	meta:
		name = "TRttiOrdinalType.Create"
		size = 159
		refs = "0015 @ClassCreate 0025 TRttiOrdinalType.Create 0039 TRttiType.Create 0040 TRttiType.GetTypeData 0052 LazyLoadAttributes 005d @IntfCopy 0072 @IntfClear 0078 @HandleFinally 0087 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 05 83 C0 04 89 06 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67092_0 {
	meta:
		name = "TRttiOrdinalType.GetMaxValue"
		size = 15
		refs = "0006 TRttiType.GetTypeData"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 05 5B C3 }
	condition:
		$1
}

rule function_67230_0 {
	meta:
		name = "TRttiInstanceFieldEx.GetOffset"
		size = 15
		refs = "0006 TRttiInstanceFieldEx.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 05 5B C3 }
	condition:
		$1
}

rule function_67095_0 {
	meta:
		name = "TRttiOrdinalType.GetTypeSize"
		size = 22
		refs = "0006 TRttiOrdinalType.GetOrdType 0010 Sizes"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8B 04 85 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67185_0 {
	meta:
		name = "TRttiFloatType.GetTypeSize"
		size = 22
		refs = "0006 TRttiFloatType.GetFloatType 0010 Sizes"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8B 04 85 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67096_0 {
	meta:
		name = "TRttiInt64Type.Create"
		size = 156
		refs = "0015 @ClassCreate 0025 TRttiInt64Type.Create 0039 TRttiType.Create 0040 TRttiType.GetTypeData 004f LazyLoadAttributes 005a @IntfCopy 006f @IntfClear 0075 @HandleFinally 0084 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 10 89 06 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67097_0 {
	meta:
		name = "TRttiInt64Type.GetMaxValue"
		size = 37
		refs = "0009 TRttiType.GetTypeData"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 08 89 14 24 8B 50 0C 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_67098_0 {
	meta:
		name = "TRttiInt64Type.GetMinValue"
		size = 36
		refs = "0009 TRttiType.GetTypeData"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 89 14 24 8B 50 04 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_67099_0 {
	meta:
		name = "TRttiClassRefType.Create"
		size = 156
		refs = "0015 @ClassCreate 0025 TRttiClassRefType.Create 0039 TRttiType.Create 0040 TRttiType.GetTypeData 004f LazyLoadAttributes 005a @IntfCopy 006f @IntfClear 0075 @HandleFinally 0084 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 04 89 06 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67100_0 {
	meta:
		name = "TRttiClassRefType.GetInstanceType"
		size = 35
		refs = "0006 TRttiType.GetTypeData 000d Pool 0012 TRttiPool.TypeOrNil 0018 _DV_TRttiInstanceType 001d @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67241_0 {
	meta:
		name = "TRttiInterfaceType.GetBaseTyped"
		size = 35
		refs = "0006 TRttiType.GetTypeData 000d Pool 0012 TRttiPool.TypeOrNil 0018 _DV_TRttiInterfaceType 001d @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67101_0 {
	meta:
		name = "TRttiClassRefType.GetMetaclassType"
		size = 36
		refs = "0006 TRttiType.GetTypeData 001c GetTypeData"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 18 85 DB 74 05 83 3B 00 75 04 33 C0 5B C3 8B 03 E8 ?? ?? ?? ?? 8B 00 5B C3 }
	condition:
		$1
}

rule function_67102_0 {
	meta:
		name = "SkipEnumNameList"
		size = 29
		refs = "000d SkipShortString"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7E 0E 8B C3 E8 ?? ?? ?? ?? 8B D8 4E 85 F6 7F F2 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_67103_0 {
	meta:
		name = "TRttiEnumerationType.Create"
		size = 218
		refs = "0016 @ClassCreate 0026 TRttiEnumerationType.Create 003a TRttiOrdinalType.Create 0041 TRttiType.GetTypeData 0059 TRttiType.GetHandle 0077 SkipEnumNameList 0080 SkipShortString 008c LazyLoadAttributes 0097 @IntfCopy 00ac @IntfClear 00b2 @HandleFinally 00c1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 0D 89 06 8B C3 E8 ?? ?? ?? ?? 8B 40 09 8B 38 8B C3 E8 ?? ?? ?? ?? 3B F8 75 1C 8B C3 8B 10 FF 52 48 50 8B C3 8B 10 FF 52 4C 5A 2B D0 42 8B 06 E8 ?? ?? ?? ?? 89 06 8B 06 E8 ?? ?? ?? ?? 89 06 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67104_0 {
	meta:
		name = "TRttiEnumerationType.GetNames"
		size = 218
		refs = "0016 TRttiEnumerationType.GetNames 003d TArray<System.string> 0042 @DynArraySetLength 004c TRttiType.GetTypeData 0054 DerefPointer 005d TRttiType.GetHandle 007f GetTypeData 008c @DynArrayLength 00a1 ReadShortString 00ae @UStrAsg 00c7 @UStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 48 8B F0 8B C3 8B 10 FF 52 4C 2B F0 46 56 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 E8 ?? ?? ?? ?? 8B 40 09 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 75 0F 8B C3 E8 ?? ?? ?? ?? 83 C0 0D 89 45 FC EB 15 8B C3 E8 ?? ?? ?? ?? 8B 40 09 E8 ?? ?? ?? ?? 83 C0 0D 89 45 FC 8B 07 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1F 43 33 F6 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 07 8D 04 B0 E8 ?? ?? ?? ?? 46 4B 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67107_0 {
	meta:
		name = "TRttiEnumerationType.GetUnderlyingType"
		size = 25
		refs = "0006 TRttiType.GetTypeData 000e Pool 0013 TRttiPool.TypeOrNil"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 09 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67108_0 {
	meta:
		name = "TRttiEnumerationType.GetMaxValue"
		size = 37
		refs = "0007 TRttiType.GetTypeData"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 70 05 8B C3 E8 ?? ?? ?? ?? 83 78 01 00 7D 05 BE 01 00 00 00 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_67109_0 {
	meta:
		name = "TRttiEnumerationType.GetMinValue"
		size = 21
		refs = "0006 TRttiType.GetTypeData"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 01 85 C0 7D 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_67119_0 {
	meta:
		name = "TProcSig.HasInfo"
		size = 18
		refs = "0006 TProcSig.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 38 FF 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_67120_0 {
	meta:
		name = "TProcSig.ToString"
		size = 368
		refs = "0015 TProcSig.ToString 0023 TProcSig.HasInfo 002e @UStrClr 0045 TProcSig.GetParams 004d @DynArrayLength 005d @UStrAsg 0087 @UStrCat 00b8 TProcSig.GetHandle 00c0 Pool 00c5 TRttiPool.TypeOrNil 00eb @UStrCatN 0105 @UStrArrayClr 010e TArray<System.Rtti.TRttiParameter> 0113 @DynArrayClear 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 0C 8B C3 E8 ?? ?? ?? ?? E9 B8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 5F 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 38 47 33 F6 8D 55 F4 8B 45 FC 8B 04 B0 8B 08 FF 51 DC 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 48 3B F0 7D 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 CB 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 50 02 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 20 FF 33 68 ?? ?? ?? ?? 8D 55 F0 8B C6 8B 08 FF 51 DC FF 75 F0 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_67122_0 {
	meta:
		name = "TProcSig.Create"
		size = 158
		refs = "0011 @ClassCreate 002d TRttiObject.Create 0034 TProcSig.HasInfo 003f TProcSig.GetHandle 006c SkipShortString 0085 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B F8 8B 5D 08 8B 45 0C 50 53 8B 4D F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 75 0D 8B C7 E8 ?? ?? ?? ?? 89 03 FF 03 EB 33 8B C7 E8 ?? ?? ?? ?? 83 C0 06 89 03 FF 03 8B C7 E8 ?? ?? ?? ?? 0F B6 70 06 85 F6 7E 16 8B 03 83 C0 05 E8 ?? ?? ?? ?? 89 03 8B 03 0F B7 00 01 03 4E 75 EA 8B C7 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67123_0 {
	meta:
		name = "TProcSig.GetReturnType"
		size = 40
		refs = "0006 TProcSig.HasInfo 0015 TProcSig.GetHandle 001d Pool 0022 TRttiPool.TypeOrNil"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 50 02 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67124_0 {
	meta:
		name = "TProcSig.GetParams"
		size = 147
		refs = "000c TProcSig.HasInfo 0018 TArray<System.Rtti.TRttiParameter> 001d @DynArrayClear 0026 TProcSig.GetHandle 003d @DynArraySetLength 006c _DV_TProcParam 0074 TRttiPackage.ReadObject 007a _DV_TRttiParameter 007f @AsClass"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6A 8B C3 E8 ?? ?? ?? ?? 0F B6 40 06 50 8B C5 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 E8 ?? ?? ?? ?? 83 C0 06 89 04 24 FF 04 24 8B C3 E8 ?? ?? ?? ?? 0F B6 70 06 4E 85 F6 7C 29 46 33 FF 54 8B CB 8B 15 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 00 89 04 BA 47 4E 75 DA 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67126_0 {
	meta:
		name = "TProcParam.Create"
		size = 161
		refs = "0015 @ClassCreate 0025 TProcParam.Create 0039 TRttiObject.Create 0040 TProcParam.GetHandle 0048 SkipShortString 0054 LazyLoadAttributes 005f @IntfCopy 0074 @IntfClear 007a @HandleFinally 0089 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 05 E8 ?? ?? ?? ?? 89 06 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67343_0 {
	meta:
		name = "TRttiIndexedProperty.Create"
		size = 161
		refs = "0015 @ClassCreate 0025 TRttiIndexedProperty.Create 0039 TRttiObject.Create 0040 TRttiIndexedProperty.GetHandle 0048 SkipShortString 0054 LazyLoadAttributes 005f @IntfCopy 0074 @IntfClear 007a @HandleFinally 0089 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 05 E8 ?? ?? ?? ?? 89 06 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67127_0 {
	meta:
		name = "TProcParam.GetFlags"
		size = 19
		refs = "0007 TProcParam.GetHandle"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 0F B6 18 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_67128_0 {
	meta:
		name = "TProcParam.GetParamType"
		size = 25
		refs = "0006 TProcParam.GetHandle 000e Pool 0013 TRttiPool.TypeOrNil"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67231_0 {
	meta:
		name = "TRttiInstanceFieldEx.GetFieldType"
		size = 25
		refs = "0006 TRttiInstanceFieldEx.GetHandle 000e Pool 0013 TRttiPool.TypeOrNil"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67233_0 {
	meta:
		name = "TRttiSetType.GetElementType"
		size = 25
		refs = "0006 TRttiType.GetTypeData 000e Pool 0013 TRttiPool.TypeOrNil"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67129_0 {
	meta:
		name = "TProcParam.GetName"
		size = 91
		refs = "000f TProcParam.GetName 001c TProcParam.GetHandle 002b UTF8ToUnicodeString 0035 @UStrAsg 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 C0 05 8B D8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67351_0 {
	meta:
		name = "TRttiIndexedProperty.GetName"
		size = 91
		refs = "000f TRttiIndexedProperty.GetName 001c TRttiIndexedProperty.GetHandle 002b UTF8ToUnicodeString 0035 @UStrAsg 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 C0 05 8B D8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67131_0 {
	meta:
		name = "TRttiManagedField.GetFieldType"
		size = 16
		refs = "0006 Pool 000b TRttiPool.TypeOrNil"
	strings:
		$1 = { 8B 40 04 8B 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67132_0 {
	meta:
		name = "TRttiRecordField.Create"
		size = 161
		refs = "0015 @ClassCreate 0025 TRttiRecordField.Create 0039 TRttiObject.Create 0040 TRttiRecordField.GetHandle 0048 SkipShortString 0054 LazyLoadAttributes 005f @IntfCopy 0074 @IntfClear 007a @HandleFinally 0089 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 09 E8 ?? ?? ?? ?? 89 06 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67227_0 {
	meta:
		name = "TRttiInstanceFieldEx.Create"
		size = 161
		refs = "0015 @ClassCreate 0025 TRttiInstanceFieldEx.Create 0039 TRttiObject.Create 0040 TRttiInstanceFieldEx.GetHandle 0048 SkipShortString 0054 LazyLoadAttributes 005f @IntfCopy 0074 @IntfClear 007a @HandleFinally 0089 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 09 E8 ?? ?? ?? ?? 89 06 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67133_0 {
	meta:
		name = "TRttiRecordField.GetVisibility"
		size = 28
		refs = "0006 TRttiRecordField.GetHandle 0016 GetBitField"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 40 08 B9 02 00 00 00 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67135_0 {
	meta:
		name = "TRttiRecordField.GetFieldType"
		size = 24
		refs = "0006 TRttiRecordField.GetHandle 000d Pool 0012 TRttiPool.TypeOrNil"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67166_0 {
	meta:
		name = "TRttiPointerType.GetReferredType"
		size = 24
		refs = "0006 TRttiType.GetTypeData 000d Pool 0012 TRttiPool.TypeOrNil"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67137_0 {
	meta:
		name = "TRttiRecordField.GetName"
		size = 91
		refs = "000f TRttiRecordField.GetName 001c TRttiRecordField.GetHandle 002b UTF8ToUnicodeString 0035 @UStrAsg 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 C0 09 8B D8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67228_0 {
	meta:
		name = "TRttiInstanceFieldEx.GetName"
		size = 91
		refs = "000f TRttiInstanceFieldEx.GetName 001c TRttiInstanceFieldEx.GetHandle 002b UTF8ToUnicodeString 0035 @UStrAsg 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 C0 09 8B D8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67138_0 {
	meta:
		name = "TRttiRecordMethod.GetCallingConvention"
		size = 17
		refs = "0007 TProcSig.GetHandle"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? 0F B6 40 01 5B C3 }
	condition:
		$1
}

rule function_67139_0 {
	meta:
		name = "TRttiRecordMethod.GetReturnType"
		size = 26
		refs = "0007 TProcSig.GetHandle 000f Pool 0014 TRttiPool.TypeOrNil"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? 8B 50 02 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67142_0 {
	meta:
		name = "TRttiRecordMethod.GetCodeAddress"
		size = 7
	strings:
		$1 = { 8B 40 04 8B 40 01 C3 }
	condition:
		$1
}

rule function_67143_0 {
	meta:
		name = "TRttiRecordMethod.GetIsClassMethod"
		size = 28
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 10 04 FC 2C 02 72 08 2C 02 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_67144_0 {
	meta:
		name = "TRttiRecordMethod.GetIsStatic"
		size = 19
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 10 2C 02 0F 92 C0 34 01 5B C3 }
	condition:
		$1
}

rule function_67145_0 {
	meta:
		name = "TRttiRecordMethod.DispatchInvoke"
		size = 638
		refs = "002c TValue 0031 @AddRefRecord 003f @InitializeRecord 0047 TRttiRecordMethod.DispatchInvoke 0055 TValue.GetTypeKind 0061 TValue.GetTypeDataProp 0079 TRttiMember.GetParent 007e TRttiType.GetHandle 00af @CopyRecord 00b9 TValue.GetTypeInfo 00d1 SInvalidCast 00d8 _Dn_EInvalidCast 00dd Exception.CreateRes 00e2 @RaiseExcept 00ea TValue.GetReferenceToRawData 00f2 TValue.From<System.Pointer> 0104 @DynArrayLength 0111 SParameterCountMismatch 0118 _DV_EInvocationError 0132 TArray<System.Rtti.TValue> 0137 @DynArraySetLength 019e PassArg 020b Invoke 024d @FinalizeArray 0256 TArray<System.Rtti.TRttiParameter> 025b @DynArrayClear 026f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D FC 89 5D F8 8B F2 8D 7D E0 51 B9 06 00 00 00 F3 A5 59 89 4D C4 8B D8 8B 75 0C 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 E8 ?? ?? ?? ?? 3C 14 75 58 8D 45 E0 E8 ?? ?? ?? ?? 83 38 00 74 1C 8D 45 E0 E8 ?? ?? ?? ?? 8B 00 8B 38 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F8 74 1C 8D 45 E0 E8 ?? ?? ?? ?? 83 38 00 74 0F 8D 45 E0 E8 ?? ?? ?? ?? 8B 00 83 38 00 75 13 8D 45 C8 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 41 8D 45 E0 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F8 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 C8 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 8B 08 FF 51 38 8B 45 F8 E8 ?? ?? ?? ?? 8D 7E 01 3B C7 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 57 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 BC 8B C3 8B 10 FF 52 14 3C 02 74 1D 8B 45 BC 8D 04 40 8B 55 FC 8D 04 C2 8D 55 C8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 BC 8D 7E 01 4F 85 FF 7C 3B 47 C7 45 C0 00 00 00 00 8B 75 C4 8B C3 8B 10 FF 52 14 50 8B 45 BC 8D 04 40 8B 55 FC 8D 0C C2 8B 45 F8 8B 55 C0 8B 04 90 8B D6 E8 ?? ?? ?? ?? FF 45 BC FF 45 C0 83 C6 18 4F 75 D0 8B C3 8B 10 FF 52 14 3C 02 75 1A 8B 45 BC 8D 04 40 8B 55 FC 8D 04 C2 8D 55 C8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 18 85 C0 74 33 8B C3 8B 10 FF 52 18 E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 52 30 50 8B 45 08 50 8B C3 8B 10 FF 52 14 50 8B C3 8B 10 FF 52 28 8B 55 FC 59 E8 ?? ?? ?? ?? EB 20 6A 00 6A 00 8B 45 08 50 8B C3 8B 10 FF 52 14 50 8B C3 8B 10 FF 52 28 8B 55 FC 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_67147_0 {
	meta:
		name = "TRttiRecordMethod.GetMethodKind"
		size = 93
		refs = "0011 GetBitField 0029 TProcSig.GetHandle"
	strings:
		$1 = { 53 8B D8 8B 43 04 0F B6 00 B9 02 00 00 00 33 D2 E8 ?? ?? ?? ?? 2C 01 72 0C 74 20 FE C8 74 32 FE C8 74 32 EB 34 8B 43 1C E8 ?? ?? ?? ?? 83 78 02 00 75 04 33 C0 EB 24 B0 01 5B C3 8B 43 1C E8 ?? ?? ?? ?? 83 78 02 00 75 04 B0 04 EB 0E B0 05 5B C3 B0 02 5B C3 B0 08 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_67148_0 {
	meta:
		name = "TRttiRecordMethod.GetName"
		size = 83
		refs = "000d TRttiRecordMethod.GetName 0023 UTF8ToUnicodeString 002d @UStrAsg 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 04 8D 58 05 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67149_0 {
	meta:
		name = "TRttiRecordMethod.Create"
		size = 187
		refs = "0015 @ClassCreate 0025 TRttiRecordMethod.Create 0039 TRttiObject.Create 0043 SkipShortString 0051 _DV_TProcSig 0056 TRttiPackage.ReadObject 0061 @AsClass 006e LazyLoadAttributes 0079 @IntfCopy 008e @IntfClear 0094 @HandleFinally 00a3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 06 83 C0 05 E8 ?? ?? ?? ?? 89 06 56 8B 43 0C 8B CB 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 1C 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67150_0 {
	meta:
		name = "TRttiRecordType.GetManagedFields"
		size = 166
		refs = "0010 _DV_TList<System.Rtti.TRttiManagedField> 0015 TList<System.Rtti.TRttiManagedField>.Create 0020 TRttiRecordType.GetManagedFields 002d TRttiType.GetTypeData 003b ReadI32 0050 _DV_TRttiManagedField 0055 TRttiPackage.ReadObject 0060 @AsClass 006a TList<System.Rtti.TRttiManagedField>.Add 0079 _DV_TListHelper 007e TListHelper.ToArray<System.Rtti.TRttiManagedField> 0093 TObject.Free 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 C0 04 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 7E 2E 8D 45 FC 50 8B 43 0C 8B CB 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 4E 85 F6 7F D2 8B CF 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67151_0 {
	meta:
		name = "TRttiRecordType.GetDeclaredFields"
		size = 311
		refs = "0017 TRttiRecordType.GetDeclaredFields 0025 TRttiType.GetTypeData 0033 ReadI32 0048 ReadU8 006a TArray<System.Rtti.TRttiField> 006f @DynArraySetLength 008d _DV_TRttiRecordField 0092 TRttiPackage.ReadObject 009d @AsClass 00d5 LazyLoadAttributes 00e3 @IntfCopy 0104 @HandleFinally 0124 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 83 C0 04 89 45 F8 8D 45 F8 E8 ?? ?? ?? ?? 8B D8 8B C3 03 C0 03 C0 03 C0 01 45 F8 8D 45 F8 E8 ?? ?? ?? ?? 0F B6 C0 03 C0 03 C0 01 45 F8 8D 45 F8 E8 ?? ?? ?? ?? 8B D8 53 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 4B 85 DB 7C 2F 43 33 F6 8D 45 F8 50 8B 45 FC 8B 40 0C 8B 4D FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 17 89 04 B2 46 4B 75 D4 8B 45 FC 83 78 14 00 75 57 8B 45 FC 8B 40 0C 8B 40 18 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 83 C0 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 18 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC 8B 55 F8 89 50 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67152_0 {
	meta:
		name = "TRttiRecordType.GetDeclaredMethods"
		size = 188
		refs = "0017 TRttiRecordType.GetDeclaredMethods 0041 ReadU16 0053 TArray<System.Rtti.TRttiMethod> 0058 @DynArraySetLength 006f _DV_TRttiRecordMethod 0077 TRttiPackage.ReadObject 007d _DV_TRttiMethod 0082 @AsClass 00a4 TArray<System.Rtti.TRttiField> 00a9 @DynArrayClear 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 18 89 45 F8 83 7D F8 00 75 10 8D 55 F4 8B C3 8B 08 FF 51 18 8B 43 18 89 45 F8 8D 45 F8 E8 ?? ?? ?? ?? 0F B7 F0 56 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 4E 85 F6 7C 2E 46 33 FF 8D 45 F8 50 8B CB 8B 15 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 12 89 04 BA 47 4E 75 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67153_0 {
	meta:
		name = "TRttiRecordType.GetAttributes"
		size = 90
		refs = "000f TRttiRecordType.GetAttributes 002e TRttiObject.GetAttributes 0044 TArray<System.Rtti.TRttiField> 0049 @DynArrayClear 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 14 00 75 0A 8D 55 FC 8B C3 8B 08 FF 51 18 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67155_0 {
	meta:
		name = "TRttiArrayType.Create"
		size = 169
		refs = "0015 @ClassCreate 0025 TRttiArrayType.Create 0039 TRttiType.Create 0040 TRttiType.GetTypeData 004c TRttiArrayType.GetDimensionCount 005c LazyLoadAttributes 0067 @IntfCopy 007c @IntfClear 0082 @HandleFinally 0091 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 0D 89 06 8B C3 E8 ?? ?? ?? ?? 03 C0 03 C0 01 06 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67158_0 {
	meta:
		name = "TRttiArrayType.GetElementType"
		size = 25
		refs = "0006 TRttiType.GetTypeData 000e Pool 0013 TRttiPool.TypeOrNil"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67159_0 {
	meta:
		name = "TRttiArrayType.GetDimensionCount"
		size = 16
		refs = "0006 TRttiType.GetTypeData"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 40 0C 5B C3 }
	condition:
		$1
}

rule function_95295_0 {
	meta:
		name = "TCustomGridBehavior.GetShowGrid"
		size = 16
		refs = "0006 TCustomGridBehavior.GetInfo"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 40 0C 5B C3 }
	condition:
		$1
}

rule function_67160_0 {
	meta:
		name = "TRttiArrayType.GetDimension"
		size = 30
		refs = "0009 TRttiType.GetTypeData 0012 Pool 0017 TRttiPool.TypeOrNil"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 54 B0 0D A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67161_0 {
	meta:
		name = "TRttiDynamicArrayType.Create"
		size = 164
		refs = "0015 @ClassCreate 0025 TRttiDynamicArrayType.Create 0039 TRttiType.Create 0040 TRttiType.GetTypeData 0048 SkipShortString 0057 LazyLoadAttributes 0062 @IntfCopy 0077 @IntfClear 007d @HandleFinally 008c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 10 E8 ?? ?? ?? ?? 89 06 83 06 04 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67162_0 {
	meta:
		name = "TRttiDynamicArrayType.GetDeclaringUnitName"
		size = 91
		refs = "000f TRttiDynamicArrayType.GetDeclaringUnitName 001c TRttiType.GetTypeData 002b UTF8ToUnicodeString 0035 @UStrAsg 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 C0 10 8B D8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67164_0 {
	meta:
		name = "TRttiDynamicArrayType.GetElementType"
		size = 29
		refs = "0006 TRttiType.GetHandle 000b GetDynArrayElType 0012 Pool 0017 TRttiPool.GetType"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67165_0 {
	meta:
		name = "TRttiDynamicArrayType.GetOleAutoVarType"
		size = 16
		refs = "0006 TRttiType.GetTypeData"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 40 08 5B C3 }
	condition:
		$1
}

rule function_67167_0 {
	meta:
		name = "TRttiPointerType.GetAttributes"
		size = 194
		refs = "0015 TRttiPointerType.GetAttributes 0050 TRttiType.GetTypeData 0061 LazyLoadAttributes 006f @IntfCopy 0090 @HandleFinally 009d TRttiObject.GetAttributes 00b2 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 14 00 75 6E 8B 45 FC 8B 40 0C 8B 40 18 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 14 00 75 27 8B 45 FC E8 ?? ?? ?? ?? 83 C0 04 89 45 F4 8D 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 83 C0 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 18 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EA 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_67178_0 {
	meta:
		name = "TRttiProcedureType.GetAttributes"
		size = 194
		refs = "0015 TRttiProcedureType.GetAttributes 0050 TRttiType.GetTypeData 0061 LazyLoadAttributes 006f @IntfCopy 0090 @HandleFinally 009d TRttiObject.GetAttributes 00b2 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 14 00 75 6E 8B 45 FC 8B 40 0C 8B 40 18 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 14 00 75 27 8B 45 FC E8 ?? ?? ?? ?? 83 C0 04 89 45 F4 8D 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 83 C0 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 18 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EA 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_67168_0 {
	meta:
		name = "TRttiInvokableType.GetReturnType"
		size = 18
		refs = "000d TProcSig.GetReturnType"
	strings:
		$1 = { 83 78 18 00 75 03 33 C0 C3 8B 40 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67169_0 {
	meta:
		name = "TRttiInvokableType.GetCallingConvention"
		size = 27
		refs = "0011 TProcSig.GetHandle"
	strings:
		$1 = { 53 8B D8 83 7B 18 00 75 04 33 C0 5B C3 8B 43 18 E8 ?? ?? ?? ?? 0F B6 40 01 5B C3 }
	condition:
		$1
}

rule function_67170_0 {
	meta:
		name = "TRttiInvokableType.GetParameters"
		size = 41
		refs = "0010 TArray<System.Rtti.TRttiParameter> 0015 @DynArrayClear 0022 TProcSig.GetParams"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 18 00 75 10 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67171_0 {
	meta:
		name = "TRttiInvokableType.ToString"
		size = 252
		refs = "0013 TRttiInvokableType.ToString 0027 @UStrClr 003b TRttiInvokableType.GetReturnType 0060 @UStrCatN 009d @UStrArrayClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 18 00 75 0A 8D 45 FC E8 ?? ?? ?? ?? EB 0B 8D 55 FC 8B 43 18 8B 08 FF 51 DC 8B C3 E8 ?? ?? ?? ?? 85 C0 75 23 8D 55 F8 8B C3 8B 08 FF 51 08 FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 21 8D 55 F4 8B C3 8B 08 FF 51 08 FF 75 F4 68 ?? ?? ?? ?? FF 75 FC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 20 00 3D 00 20 00 70 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 3D 00 20 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_67172_0 {
	meta:
		name = "TRttiMethodType.Create"
		size = 273
		refs = "0016 @ClassCreate 0029 TRttiMethodType.Create 0040 TRttiType.Create 0047 TRttiType.GetTypeData 0051 ReadU8 0061 SkipShortString 0078 TRttiMethodType.GetMethodKind 00ae _DV_TProcSig 00b3 TRttiPackage.ReadObjectPointer 00c3 LazyLoadAttributes 00ce @IntfCopy 00e3 @IntfClear 00e9 @HandleFinally 00f8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 53 8B 4D F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 40 89 03 8B C3 E8 ?? ?? ?? ?? 0F B6 F0 85 F6 7E 19 FF 03 8B 03 E8 ?? ?? ?? ?? 89 03 8B 03 E8 ?? ?? ?? ?? 89 03 4E 85 F6 7F E7 8B C7 E8 ?? ?? ?? ?? 3C 01 75 0C 8B 03 E8 ?? ?? ?? ?? 89 03 83 03 04 8B C7 E8 ?? ?? ?? ?? 0F B6 40 01 03 C0 03 C0 40 01 03 8B 03 8B 30 85 F6 74 14 56 8B 47 0C 8B CF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 18 83 03 04 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 47 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_67173_0 {
	meta:
		name = "TRttiMethodType.Invoke"
		size = 532
		refs = "001d TValue 0022 @InitializeRecord 0046 TRttiMethodType.Invoke 0056 TValue.TryAsType<System.TMethod> 0061 TRttiType.GetHandle 006d TValue.Cast 0078 TValue.ExtractRawData 0082 TRttiInvokableType.GetParameters 008a @DynArrayLength 0098 SParameterCountMismatch 009f _DV_EInvocationError 00a4 Exception.CreateRes 00a9 @RaiseExcept 00b9 TArray<System.Rtti.TValue> 00be @DynArraySetLength 00cd TRttiInvokableType.GetCallingConvention 00da TValue.&op_Implicit 00f9 @CopyRecord 0134 PassArg 017a TRttiInvokableType.GetReturnType 01a5 Invoke 01e3 @FinalizeArray 01ec TArray<System.Rtti.TRttiParameter> 01f1 @DynArrayClear 0205 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D AC 8B FA 8B F0 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 A4 8B C7 E8 ?? ?? ?? ?? 84 C0 75 1E 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D E0 8B C7 E8 ?? ?? ?? ?? 8D 45 E0 8D 55 A4 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 5D 0C 43 3B C3 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 9C 8B C6 E8 ?? ?? ?? ?? 8B D8 8D 55 C8 8B 45 A8 E8 ?? ?? ?? ?? 80 FB 02 74 1D 8B 45 9C 8D 04 40 8B 55 FC 8D 04 C2 8D 55 C8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 9C 8B 7D 0C 47 4F 85 FF 7C 3B 47 C7 45 A0 00 00 00 00 8B 5D AC 8B C6 E8 ?? ?? ?? ?? 50 8B 45 9C 8D 04 40 8B 55 FC 8D 0C C2 8B 45 F8 8B 55 A0 8B 04 90 8B D3 E8 ?? ?? ?? ?? FF 45 9C FF 45 A0 83 C3 18 4F 75 D0 8B C6 E8 ?? ?? ?? ?? 8B D8 8D 55 B0 8B 45 A8 E8 ?? ?? ?? ?? 80 FB 02 75 1A 8B 45 9C 8D 04 40 8B 55 FC 8D 04 C2 8D 55 B0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 74 29 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 00 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 A4 E8 ?? ?? ?? ?? EB 1C 6A 00 6A 00 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 A4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_67174_0 {
	meta:
		name = "TRttiMethodType.ToString"
		size = 120
		refs = "000f TRttiMethodType.ToString 001f TRttiInvokableType.ToString 002e @UStrCat3 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 20 00 6F 00 66 00 20 00 6F 00 62 00 6A 00 65 00 63 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_67176_0 {
	meta:
		name = "TRttiProcedureType.Create"
		size = 108
		refs = "000d @ClassCreate 0022 TRttiType.Create 0029 TRttiType.GetTypeData 0043 _DV_TProcSig 0048 TRttiPackage.ReadObjectPointer 0056 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 38 00 74 1D 8B C6 E8 ?? ?? ?? ?? 8B 00 50 8B 46 0C 8B CE 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_67177_0 {
	meta:
		name = "TRttiProcedureType.Invoke"
		size = 604
		refs = "0026 TValue 002b @InitializeRecord 0033 TRttiProcedureType.Invoke 0041 TRttiType.GetHandle 004d TValue.Cast 0058 TValue.ExtractRawData 0063 TRttiInvokableType.GetParameters 006b @DynArrayLength 0078 SParameterCountMismatch 007f _DV_EInvocationError 0084 Exception.CreateRes 0089 @RaiseExcept 0098 TArray<System.Rtti.TValue> 009d @DynArraySetLength 00c7 TValue.GetReferenceToRawData 00cf TValue.From<System.Pointer> 00e6 @CopyRecord 011f TValue.GetTypeInfo 012a SByRefArgMismatch 0131 _Dn_EInvalidCast 01a9 TRttiInvokableType.GetReturnType 01c9 TRttiInvokableType.GetCallingConvention 01d6 Invoke 0215 @FinalizeArray 0223 @FinalizeRecord 022c TArray<System.Rtti.TRttiParameter> 0231 @DynArrayClear 0245 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0E 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D D8 8B F2 89 45 DC 8B 5D 0C 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC E8 ?? ?? ?? ?? 8B D0 8D 4D E0 8B C6 E8 ?? ?? ?? ?? 8D 45 E0 8D 55 D4 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 DC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 73 01 3B C6 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B FE 4F 85 FF 0F 8C F6 00 00 00 47 33 F6 8B 5D D8 8B 45 F8 8B 04 B0 8B 10 FF 52 10 85 C0 75 2B 8B C3 E8 ?? ?? ?? ?? 8D 55 BC E8 ?? ?? ?? ?? 8D 55 BC 8D 04 76 8B 4D FC 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AB 00 00 00 8B 45 F8 8B 04 B0 8B 10 FF 52 0C 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 74 5C 8B 45 F8 8B 04 B0 8B 10 FF 52 10 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 3B D0 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 A4 E8 ?? ?? ?? ?? 8D 55 A4 8D 04 76 8B 4D FC 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 33 8B 45 F8 8B 04 B0 8B 10 FF 52 10 E8 ?? ?? ?? ?? 8B D0 8D 4D 8C 8B C3 E8 ?? ?? ?? ?? 8D 55 8C 8D 04 76 8B 4D FC 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 83 C3 18 4F 0F 85 10 FF FF FF 8B 45 DC E8 ?? ?? ?? ?? 85 C0 74 2B 8B 45 DC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 00 8B 45 08 50 8B 45 DC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 D4 E8 ?? ?? ?? ?? EB 1D 6A 00 6A 00 8B 45 08 50 8B 45 DC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 D4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 5F 5E 5B 8B E5 5D C2 08 00 21 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_67179_0 {
	meta:
		name = "TRttiAnsiStringType.GetCodePage"
		size = 15
		refs = "0006 TRttiType.GetTypeData"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 00 5B C3 }
	condition:
		$1
}

rule function_67180_0 {
	meta:
		name = "TRttiStringType.Create"
		size = 204
		refs = "0015 @ClassCreate 0025 TRttiStringType.Create 0039 TRttiType.Create 0040 TRttiType.GetTypeKind 0059 TRttiType.GetTypeData 007f LazyLoadAttributes 008a @IntfCopy 009f @IntfClear 00a5 @HandleFinally 00b4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 2C 05 74 27 2C 05 74 0A FE C8 74 14 2C 07 74 10 EB 23 8B C3 E8 ?? ?? ?? ?? 83 C0 02 89 06 EB 15 8B C3 E8 ?? ?? ?? ?? 89 06 EB 0A 8B C3 E8 ?? ?? ?? ?? 40 89 06 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67181_0 {
	meta:
		name = "TRttiStringType.GetStringKind"
		size = 38
		refs = "0001 TRttiType.GetTypeKind"
	strings:
		$1 = { E8 ?? ?? ?? ?? 2C 05 74 17 2C 05 74 0A FE C8 74 09 2C 07 74 08 EB 0C B0 01 C3 B0 02 C3 B0 03 C3 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_67182_0 {
	meta:
		name = "TRttiStringType.GetTypeSize"
		size = 34
		refs = "0006 TRttiType.GetTypeKind 0011 TRttiType.GetTypeData"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 05 75 0D 8B C3 E8 ?? ?? ?? ?? 0F B6 00 40 5B C3 B8 04 00 00 00 5B C3 }
	condition:
		$1
}

rule function_67183_0 {
	meta:
		name = "TRttiFloatType.Create"
		size = 154
		refs = "0015 @ClassCreate 0025 TRttiFloatType.Create 0039 TRttiType.Create 0040 TRttiType.GetTypeData 004d LazyLoadAttributes 0058 @IntfCopy 006d @IntfClear 0073 @HandleFinally 0082 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 40 89 06 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67189_0 {
	meta:
		name = "RawInvoke"
		size = 123
		refs = "0031 Move"
	strings:
		$1 = { 55 89 E5 50 53 89 D3 8B 4B 28 85 C9 75 03 90 EB 24 89 C8 EB 07 C7 04 24 00 00 00 00 81 EC 00 10 00 00 2D 00 10 00 00 79 EC 29 C4 8B 43 24 89 E2 E8 ?? ?? ?? ?? 8B 03 8B 53 04 8B 4B 08 FF 55 FC 89 03 89 53 04 0F BE 43 21 40 75 03 90 EB 1B 48 74 0B 48 74 0D 48 74 0F DF 7B 10 EB 0D D9 5B 10 EB 08 DD 5B 10 EB 03 DB 7B 10 8A 43 20 84 C0 75 03 90 EB 03 03 63 28 5B 58 5D C3 }
	condition:
		$1
}

rule function_67190_0 {
	meta:
		name = "CalcStackSize"
		size = 109
		refs = "0016 @DynArrayLength 0031 TValue.GetTypeInfo 003c PassByRef 0056 TValue.GetDataSize 005b Align4"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 45 FF BF 04 00 00 00 8B 45 08 8B 40 C4 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 44 46 33 DB 8D 04 5B 8B 55 08 8B 52 C4 8D 04 C2 E8 ?? ?? ?? ?? 0F B6 55 FF 33 C9 E8 ?? ?? ?? ?? 84 C0 74 05 83 C7 04 EB 18 8D 04 5B 8B 55 08 8B 52 C4 8D 04 C2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 F8 43 4E 75 BF 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67191_0 {
	meta:
		name = "PutArg"
		size = 145
		refs = "000b TValue.GetDataSize 0014 GetValueStackSize 0028 TValue.GetTypeKind 0037 AllocReg 0055 TValue.ExtractRawDataNoCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B F8 4E 83 EE 02 72 05 83 EE 01 75 54 8B C3 E8 ?? ?? ?? ?? 3C 04 74 49 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 85 C0 74 3A 48 74 0A 48 74 16 83 E8 02 74 20 EB 40 8B 45 08 8D 50 C8 8B C3 E8 ?? ?? ?? ?? EB 31 8B 45 08 8D 50 CC 8B C3 E8 ?? ?? ?? ?? EB 22 8B 45 08 8D 50 D0 8B C3 E8 ?? ?? ?? ?? EB 13 8B 45 08 29 78 C0 8B 45 08 8B 50 C0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_67192_0 {
	meta:
		name = "PutRefArg"
		size = 77
		refs = "000d AllocReg"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 85 C0 74 26 48 74 0A 48 74 0F 83 E8 02 74 12 EB 28 8B 45 08 89 58 C8 EB 20 8B 45 08 89 58 CC EB 18 8B 45 08 89 58 D0 5B 5D C3 8B 45 08 83 68 C0 04 8B 45 08 8B 40 C0 89 18 5B 5D C3 }
	condition:
		$1
}

rule function_67193_0 {
	meta:
		name = "Invoke"
		size = 659
		refs = "001d Invoke 0032 @FillChar 003a CalcStackSize 004a TArray<System.Byte> 004f @DynArraySetLength 005a @DynArrayLength 00b5 TValue.GetTypeInfo 00be PassByRef 00d1 TValue.GetReferenceToRawData 00d6 PutRefArg 00e8 PutArg 014e UseResultPointer 015b TValue 0160 @FinalizeRecord 016b TValue.Make 01fd GetTypeData 020e RawInvoke 021a TValue.GetEmpty 0247 TValue.MakeWithoutCopy 027e @DynArrayClear 0284 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 DB 89 5D BC 8B D9 89 55 C4 89 45 B8 8B 7D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C8 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? 55 8B C3 E8 ?? ?? ?? ?? 59 50 8D 45 BC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 BC E8 ?? ?? ?? ?? 8B 55 BC 8D 04 02 89 45 C0 84 DB 75 09 C7 45 FC 07 00 00 00 EB 05 33 C0 89 45 FC 8B 45 C4 E8 ?? ?? ?? ?? 89 45 B4 80 FB 02 75 09 80 7D 0C 00 75 03 FF 4D B4 8B C3 2C 01 74 06 04 FE 2C 02 73 57 8B 75 B4 4E 83 FE 00 0F 8C A0 00 00 00 8D 04 76 8B 55 C4 8D 04 C2 E8 ?? ?? ?? ?? 8B D3 33 C9 E8 ?? ?? ?? ?? 84 C0 74 17 55 8D 04 76 8B 55 C4 8D 04 C2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 10 55 8D 04 76 8B 55 C4 8D 04 C2 E8 ?? ?? ?? ?? 59 4E 83 FE FF 75 B8 EB 56 8B 45 B4 48 85 C0 7C 4E 40 89 45 B0 33 F6 8D 04 76 8B 55 C4 8D 04 C2 E8 ?? ?? ?? ?? 8B D3 33 C9 E8 ?? ?? ?? ?? 84 C0 74 17 55 8D 04 76 8B 55 C4 8D 04 C2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 10 55 8D 04 76 8B 55 C4 8D 04 C2 E8 ?? ?? ?? ?? 59 46 FF 4D B0 75 B8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 28 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D7 33 C0 E8 ?? ?? ?? ?? 55 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 80 FB 02 75 45 80 7D 0C 00 75 3F 8B 75 B4 8D 34 76 8B 45 C4 8D 04 F0 E8 ?? ?? ?? ?? 8B D3 33 C9 E8 ?? ?? ?? ?? 84 C0 74 14 55 8B 45 C4 8D 04 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 0D 55 8B 45 C4 8D 04 F0 E8 ?? ?? ?? ?? 59 80 FB 01 0F 94 C0 88 45 E8 8B 45 C0 89 45 EC 8B 45 BC E8 ?? ?? ?? ?? 8B 55 BC 8D 04 02 2B 45 C0 89 45 F0 85 FF 74 05 80 3F 04 74 06 C6 45 E9 FF EB 0D 8B C7 E8 ?? ?? ?? ?? 0F B6 00 88 45 E9 8D 55 C8 8B 45 B8 E8 ?? ?? ?? ?? 85 FF 75 0A 8B 45 08 E8 ?? ?? ?? ?? EB 47 8B C7 E8 ?? ?? ?? ?? 84 C0 75 3C 80 7D E9 FF 74 1C 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 D8 8B D7 E8 ?? ?? ?? ?? EB 1A 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 C8 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_67196_0 {
	meta:
		name = "TRttiMethod.GetInvokeInfo"
		size = 492
		refs = "0014 TRttiMethod.GetInvokeInfo 0043 _DV_TMethodImplementation.TInvokeInfo 0048 TMethodImplementation.TInvokeInfo.Create 0077 TClass 007f TMethodImplementation.TInvokeInfo.AddParameter 0088 TRttiMember.GetParent 008d TRttiType.GetHandle 0109 PassByRef 0134 @DynArrayLength 0145 TArray<System.Rtti.TRttiParameter> 014a @DynArrayClear 016b TMethodImplementation.TInvokeInfo.SetReturnType 0173 TMethodImplementation.TInvokeInfo.Seal 0180 TInterlocked.CompareExchange<System.Rtti.TMethodImplementation.TInvokeInfo> 018c TObject.Free 01a1 @HandleAnyException 01ae @RaiseAgain 01b3 @DoneExcept 01d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 18 85 C0 74 08 89 45 F8 E9 8A 01 00 00 8B C7 8B 10 FF 52 30 34 01 50 8B C7 8B 10 FF 52 14 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 10 FF 52 30 84 C0 75 35 8B C7 8B 10 FF 52 2C 84 C0 74 12 33 C9 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 18 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 FC 8B C7 8B 08 FF 51 38 33 DB E9 82 00 00 00 8B 45 FC 8B 34 98 8B C6 8B 10 FF 52 10 85 C0 75 0E B1 01 33 D2 8B 45 F8 E8 ?? ?? ?? ?? EB 62 8B C6 8B 10 FF 52 0C 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 75 30 8B C6 8B 10 FF 52 0C A8 02 0F 95 C0 50 8B C7 8B 10 FF 52 14 50 8B C6 8B 10 FF 52 10 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 50 8B C6 8B 10 FF 52 10 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 59 E8 ?? ?? ?? ?? 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 0F 8C 6E FF FF FF 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 18 85 C0 74 16 8B C7 8B 10 FF 52 18 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 47 18 33 C9 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 74 0E 8B 45 F8 E8 ?? ?? ?? ?? 8B 47 18 89 45 F8 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5F 5E 5B 59 59 5D C3 21 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_67197_0 {
	meta:
		name = "TRttiMethod.GetIsClassMethod"
		size = 35
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 20 84 C0 74 0D 8B C3 8B 10 FF 52 10 04 FE 2C 04 72 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_67199_0 {
	meta:
		name = "TRttiMethod.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0013 TObject.Free 001e TRttiObject.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 18 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67202_0 {
	meta:
		name = "TRttiMethod.GetIsConstructor"
		size = 33
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 20 84 C0 74 0B 8B C3 8B 10 FF 52 10 3C 02 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_67203_0 {
	meta:
		name = "TRttiMethod.GetIsDestructor"
		size = 33
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 20 84 C0 74 0B 8B C3 8B 10 FF 52 10 3C 03 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_67204_0 {
	meta:
		name = "TRttiMethod.Invoke"
		size = 114
		refs = "001e TRttiMethod.Invoke 0036 TValue.&op_Implicit 0059 TValue 005e @FinalizeRecord 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 45 08 50 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8D 55 E4 8B 4D FC 8B C3 8B 18 FF 53 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_67206_0 {
	meta:
		name = "TRttiMethod.CreateImplementation"
		size = 36
		refs = "000c TRttiMethod.GetInvokeInfo 0017 _DV_TMethodImplementation 001c TMethodImplementation.Create"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 50 57 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67207_0 {
	meta:
		name = "TRttiMethod.Invoke"
		size = 119
		refs = "0020 TValue 0025 @AddRefRecord 002d TRttiMethod.Invoke 0062 @FinalizeRecord 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F2 8D 7D E8 51 B9 06 00 00 00 F3 A5 59 8B F1 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 45 08 50 8B CE 8D 55 E8 8B C3 8B 18 FF 53 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_67208_0 {
	meta:
		name = "TRttiMethod.ToString"
		size = 796
		refs = "001c TRttiMethod.ToString 0029 @UStrClr 004f @UStrCat3 006c @UStrCat 0074 TRttiMethod.GetIsConstructor 0099 @UStrCatN 00a6 TRttiMethod.GetIsDestructor 0115 Kind 0142 @DynArrayLength 01f4 @UStrArrayClr 01fd TArray<System.Rtti.TRttiParameter> 0202 @DynArrayClear 0208 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 20 84 C0 75 1F 8D 55 F4 8B 45 F8 8B 08 FF 51 08 8B 4D F4 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 86 01 00 00 8B 45 F8 8B 10 FF 52 2C 84 C0 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 26 FF 33 68 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 8B 08 FF 51 08 FF 75 F0 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 91 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 23 FF 33 68 ?? ?? ?? ?? 8D 55 EC 8B 45 F8 8B 08 FF 51 08 FF 75 EC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 62 8B 45 F8 8B 10 FF 52 10 3C 08 75 23 FF 33 68 ?? ?? ?? ?? 8D 55 E8 8B 45 F8 8B 08 FF 51 08 FF 75 E8 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 33 FF 33 8B 45 F8 8B 10 FF 52 18 85 C0 0F 94 C0 83 E0 7F FF 34 85 ?? ?? ?? ?? 8D 55 E4 8B 45 F8 8B 08 FF 51 08 FF 75 E4 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 F8 8B 08 FF 51 38 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2F 47 33 F6 85 F6 7E 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 8B 45 FC 8B 04 B0 8B 08 FF 51 DC 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 46 4F 75 D4 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 18 85 C0 74 26 FF 33 68 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 18 8D 55 DC 8B 08 FF 51 08 FF 75 DC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 28 00 62 00 61 00 73 00 69 00 63 00 29 00 20 00 70 00 72 00 6F 00 63 00 65 00 64 00 75 00 72 00 65 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 6C 00 61 00 73 00 73 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 6F 00 6E 00 73 00 74 00 72 00 75 00 63 00 74 00 6F 00 72 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 64 00 65 00 73 00 74 00 72 00 75 00 63 00 74 00 6F 00 72 00 20 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6F 00 70 00 65 00 72 00 61 00 74 00 6F 00 72 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_67209_0 {
	meta:
		name = "TRttiParameter.ToString"
		size = 316
		refs = "0011 TRttiParameter.ToString 002e @UStrAsg 0069 @UStrClr 007d @UStrCat 00ad @UStrCatN 00c7 @UStrArrayClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 0C A8 20 74 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 39 8B C3 8B 10 FF 52 0C A8 02 74 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 20 8B C3 8B 10 FF 52 0C A8 01 74 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 51 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 10 85 C0 74 25 FF 36 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 10 8D 55 F8 8B 08 FF 51 DC FF 75 F8 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6F 00 75 00 74 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 6F 00 6E 00 73 00 74 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 76 00 61 00 72 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_67210_0 {
	meta:
		name = "TRttiInstMethParameter.Create"
		size = 207
		refs = "0013 @ClassCreate 0023 TRttiInstMethParameter.Create 0037 TRttiObject.Create 003e ReadU8 0048 ReadPointer 004d DerefPointer 0057 ReadU16 0065 ReadShortString 0070 @UStrAsg 007a LazyLoadAttributes 0085 @IntfCopy 009a @IntfClear 00a2 @UStrClr 00a8 @HandleFinally 00b7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 88 43 1C 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 8B C6 E8 ?? ?? ?? ?? 66 89 43 24 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 18 E8 ?? ?? ?? ?? 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_67212_0 {
	meta:
		name = "TRttiInstMethParameter.GetFlags"
		size = 7
		altNames = "TRttiIntfMethParameter.GetFlags"
	strings:
		$1 = { 0F B6 50 1C 8B C2 C3 }
	condition:
		$1
}

rule function_67213_0 {
	meta:
		name = "TRttiInstMethParameter.GetParamType"
		size = 14
		refs = "0004 Pool 0009 TRttiPool.GetType"
	strings:
		$1 = { 8B 50 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67247_0 {
	meta:
		name = "TRttiIntfMethParameter.GetParamType"
		size = 14
		refs = "0004 Pool 0009 TRttiPool.TypeOrNil"
	strings:
		$1 = { 8B 50 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67218_0 {
	meta:
		name = "TRttiField.GetValue"
		size = 78
		refs = "0018 InsufficientRtti 001d @RaiseExcept 002e TRttiType.GetHandle 0037 TValue 003c @FinalizeRecord 0045 TValue.Make"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B C3 8B 10 FF 52 10 8B F0 85 F6 75 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 03 C7 50 8B C6 E8 ?? ?? ?? ?? 50 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 5A 58 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67219_0 {
	meta:
		name = "TRttiField.SetValue"
		size = 150
		refs = "0015 TValue 001a @InitializeRecord 0022 TRttiField.SetValue 003a InsufficientRtti 003f @RaiseExcept 0046 TRttiType.GetHandle 0053 TValue.Cast 0068 TValue.ExtractRawData 0083 @FinalizeRecord 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D E4 8B FA 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 10 8B F0 85 F6 75 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D E8 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 50 8B C3 8B 10 FF 52 14 8B D0 03 D7 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67220_0 {
	meta:
		name = "TRttiField.ToString"
		size = 252
		refs = "0015 TRttiField.ToString 004e IntToHex 005d @UStrCatN 00c0 @UStrArrayClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 10 8B F0 85 F6 75 37 8D 55 FC 8B C3 8B 08 FF 51 08 FF 75 FC 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 8D 4D F8 BA 02 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 47 8D 55 F4 8B C3 8B 08 FF 51 08 FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B C6 8B 08 FF 51 08 FF 75 F0 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 8D 4D EC BA 02 00 00 00 E8 ?? ?? ?? ?? FF 75 EC 8B C7 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 20 00 40 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_67221_0 {
	meta:
		name = "TRttiInstanceFieldClassic.Create"
		size = 89
		refs = "000e @ClassCreate 0024 TRttiObject.Create 002b TRttiInstanceFieldClassic.GetHandle 0033 SkipShortString 0042 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C0 06 E8 ?? ?? ?? ?? 89 06 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67222_0 {
	meta:
		name = "TRttiInstanceFieldClassic.GetName"
		size = 91
		refs = "000f TRttiInstanceFieldClassic.GetName 001c TRttiInstanceFieldClassic.GetHandle 002b UTF8ToUnicodeString 0035 @UStrAsg 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 C0 06 8B D8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67224_0 {
	meta:
		name = "TRttiInstanceFieldClassic.GetFieldType"
		size = 44
		refs = "0007 TRttiInstanceFieldClassic.GetHandle 0012 TRttiInstanceFieldClassic.GetParent 0020 Pool 0025 TRttiPool.GetType"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 70 04 8B C3 E8 ?? ?? ?? ?? 8B 40 28 8B 44 B0 02 8B 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67234_0 {
	meta:
		name = "TRttiSetType.Create"
		size = 157
		refs = "0015 @ClassCreate 0025 TRttiSetType.Create 0039 TRttiType.Create 0040 TRttiType.GetTypeData 0050 LazyLoadAttributes 005b @IntfCopy 0070 @IntfClear 0076 @HandleFinally 0085 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 40 83 C0 04 89 06 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67235_0 {
	meta:
		name = "TRttiSetType.GetTypeSize"
		size = 22
		refs = "0006 TRttiType.GetTypeData 0010 Sizes"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 00 8B 04 85 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67236_0 {
	meta:
		name = "GetMethods"
		size = 202
		refs = "0011 TRttiInterfaceType.GetBaseTyped 002f ReadU16 0065 TArray<System.Rtti.TRttiMethod> 006a @DynArraySetLength 0090 _DV_TRttiIntfMethod 0095 TRttiPackage.ReadObject 00a0 @AsClass"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 85 C0 74 10 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 70 1C EB 02 33 F6 8B 45 FC E8 ?? ?? ?? ?? 0F B7 D8 8D 04 33 8B 55 08 8B 52 FC 89 42 1C 8B 45 FC E8 ?? ?? ?? ?? 0F B7 C0 3D FF FF 00 00 74 70 53 8B 45 08 8B 40 FC 83 C0 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B FB 4F 85 FF 7C 4C 47 33 DB 8B 45 FC 50 8B 45 08 8B 48 FC 8B 45 08 8B 40 FC 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 52 18 89 04 9A 8B 45 08 8B 40 FC 8B 40 18 8B 04 98 89 70 28 46 43 4F 75 B7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67237_0 {
	meta:
		name = "TRttiInterfaceType.Create"
		size = 186
		refs = "0013 @ClassCreate 0023 TRttiInterfaceType.Create 0038 TRttiType.Create 0040 TRttiType.GetTypeData 004f ReadShortString 0057 GetMethods 0062 LazyLoadAttributes 0070 @IntfCopy 0085 @IntfClear 008d @UStrClr 0093 @HandleFinally 00a1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 56 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 C0 15 89 06 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 55 8B C6 E8 ?? ?? ?? ?? 59 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 83 C0 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_67238_0 {
	meta:
		name = "TRttiInterfaceType.GetIntfFlags"
		size = 20
		refs = "0007 TRttiType.GetTypeData"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 0F B6 58 04 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_67239_0 {
	meta:
		name = "TRttiInterfaceType.GetDeclaringUnitName"
		size = 91
		refs = "000f TRttiInterfaceType.GetDeclaringUnitName 001c TRttiType.GetTypeData 002b UTF8ToUnicodeString 0035 @UStrAsg 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 C0 15 8B D8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67242_0 {
	meta:
		name = "TRttiInterfaceType.GetGUID"
		size = 27
		refs = "000a TRttiType.GetTypeData"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B FE 8D 70 05 A5 A5 A5 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67243_0 {
	meta:
		name = "TRttiInterfaceType.GetDeclaredMethods"
		size = 28
		refs = "0014 TArrayHelper.Concat<System.Rtti.TRttiMethod>"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B CE 8B 43 18 89 04 24 8B C4 33 D2 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_67244_0 {
	meta:
		name = "TRttiIntfMethParameter.Create"
		size = 208
		refs = "0015 @ClassCreate 0025 TRttiIntfMethParameter.Create 0039 TRttiObject.Create 0040 ReadU8 004d ReadShortString 0058 @UStrAsg 0069 ReadPointer 0076 LazyLoadAttributes 0081 @IntfCopy 0096 @IntfClear 00a3 @UStrArrayClr 00a9 @HandleFinally 00b8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 88 43 1C 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 18 E8 ?? ?? ?? ?? 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 43 20 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_67248_0 {
	meta:
		name = "TRttiIntfMethod.Create"
		size = 325
		refs = "0016 @ClassCreate 0026 TRttiIntfMethod.Create 003a TRttiObject.Create 0041 TRttiIntfMethod.GetHandle 0046 SkipShortString 0064 TArray<System.Rtti.TRttiParameter> 0069 @DynArraySetLength 0078 _DV_TRttiIntfMethParameter 007d TRttiPackage.ReadObject 0085 @DynArrayLength 00ab _DV_TRttiParameter 00b0 @AsClass 00e5 ReadPointer 00ea DerefPointer 00f7 LazyLoadAttributes 0102 @IntfCopy 0117 @IntfClear 011d @HandleFinally 012c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 06 8B 3E 89 7B 1C 83 06 03 0F B6 47 02 48 50 8D 43 20 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 56 8B 43 0C 8B CB 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 20 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 33 47 C7 45 F8 00 00 00 00 56 8B 43 0C 8B CB 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 20 8B 4D F8 89 04 8A FF 45 F8 4F 75 D5 8B C3 8B 10 FF 52 10 3C 01 75 23 8B 06 80 38 00 75 04 FF 06 EB 18 8B 06 E8 ?? ?? ?? ?? 89 06 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 24 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_67251_0 {
	meta:
		name = "TRttiIntfMethod.GetName"
		size = 88
		refs = "000f TRttiIntfMethod.GetName 001c TRttiIntfMethod.GetHandle 0028 UTF8ToUnicodeString 0032 @UStrAsg 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67252_0 {
	meta:
		name = "TRttiIntfMethod.GetMethodKind"
		size = 14
	strings:
		$1 = { 8B 40 1C 80 38 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_67253_0 {
	meta:
		name = "TRttiIntfMethod.GetCallingConvention"
		size = 8
	strings:
		$1 = { 8B 40 1C 0F B6 40 01 C3 }
	condition:
		$1
}

rule function_67254_0 {
	meta:
		name = "TRttiIntfMethod.GetReturnType"
		size = 14
		refs = "0004 Pool 0009 TRttiPool.GetType"
	strings:
		$1 = { 8B 50 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_67258_0 {
	meta:
		name = "TRttiIntfMethod.DispatchInvoke"
		size = 484
		refs = "002f TValue 0034 @AddRefRecord 003c TRttiIntfMethod.DispatchInvoke 0054 @DynArrayLength 0061 SParameterCountMismatch 0068 _DV_EInvocationError 006d Exception.CreateRes 0072 @RaiseExcept 0082 TArray<System.Rtti.TValue> 0087 @DynArraySetLength 009a TValue.AsInterface 00c5 @CopyRecord 00ff PassArg 011d CheckCodeAddress 0159 TRttiType.GetHandle 0173 Invoke 01a5 @IntfClear 01b3 @FinalizeRecord 01bc TArray<System.Rtti.TRttiParameter> 01c1 @DynArrayClear 01d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D FC 89 5D F8 8B F2 8D 7D E0 51 B9 06 00 00 00 F3 A5 59 89 4D DC 8B F0 8B 5D 0C 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 8B 08 FF 51 38 8B 45 F8 E8 ?? ?? ?? ?? 8D 7B 01 3B C7 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 57 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 D4 8D 55 CC 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 CC 89 45 D0 8B C6 8B 10 FF 52 14 3C 02 74 1D 8B 45 D4 8D 04 40 8B 55 FC 8D 04 C2 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 D4 8D 7B 01 4F 85 FF 7C 3B 47 C7 45 D8 00 00 00 00 8B 5D DC 8B C6 8B 10 FF 52 14 50 8B 45 D4 8D 04 40 8B 55 FC 8D 0C C2 8B 45 F8 8B 55 D8 8B 04 90 8B D3 E8 ?? ?? ?? ?? FF 45 D4 FF 45 D8 83 C3 18 4F 75 D0 8B 45 D0 8B 00 8B 56 28 8B 1C 90 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 14 3C 02 75 1A 8B 45 D4 8D 04 40 8B 55 FC 8D 04 C2 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 18 85 C0 74 28 8B C6 8B 10 FF 52 18 E8 ?? ?? ?? ?? 50 6A 00 8B 45 08 50 8B C6 8B 10 FF 52 14 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 1B 6A 00 6A 00 8B 45 08 50 8B C6 8B 10 FF 52 14 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_67259_0 {
	meta:
		name = "TRttiIntfMethod.GetParameters"
		size = 28
		refs = "0014 TArrayHelper.Concat<System.Rtti.TRttiParameter>"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B CE 8B 43 20 89 04 24 8B C4 33 D2 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_67260_0 {
	meta:
		name = "TOrphanPackage.Create"
		size = 104
		refs = "000a @ClassCreate 0026 _Dn_TCriticalSection 002b TCriticalSection.Create 0037 TOrphanPackage.Create 003e _DV_TObjectDictionary<System.Pointer,System.Rtti.TRttiObject> 0043 TObjectDictionary<System.Pointer,System.Rtti.TRttiObject>.Create 0051 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 0C 33 C0 89 46 10 C7 46 04 FF FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 1C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 02 00 00 00 }
	condition:
		$1
}

rule function_67262_0 {
	meta:
		name = "TOrphanPackage.GetName"
		size = 68
		refs = "0006 TOrphanPackage.GetName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 28 00 6F 00 72 00 70 00 68 00 61 00 6E 00 20 00 70 00 61 00 63 00 6B 00 61 00 67 00 65 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_67264_0 {
	meta:
		name = "TRealPackage.Create"
		size = 208
		refs = "000f @ClassCreate 002c TRttiObject.Create 0033 _Dn_TCriticalSection 0038 TCriticalSection.Create 004a TRealPackage.Create 0053 GetProcAddress 0073 _DV_TObjectDictionary<System.Pointer,System.Rtti.TRttiObject> 0078 TObjectDictionary<System.Pointer,System.Rtti.TRttiObject>.Create 0088 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 45 08 8B 30 8B 56 04 89 10 8B 55 0C 52 50 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 8B 46 14 89 43 24 85 C0 75 18 68 ?? ?? ?? ?? 8B 46 04 50 E8 ?? ?? ?? ?? 8B F8 FF D7 83 C0 08 89 43 24 8B 46 04 89 43 20 6A 00 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 1C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 08 00 40 00 47 00 65 00 74 00 50 00 61 00 63 00 6B 00 61 00 67 00 65 00 49 00 6E 00 66 00 6F 00 54 00 61 00 62 00 6C 00 65 00 00 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_67265_0 {
	meta:
		name = "TRealPackage.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TRttiPackage.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 2C E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67266_0 {
	meta:
		name = "TRealPackage.FindType"
		size = 187
		refs = "0010 TRealPackage.MakeTypeLookupTable 0020 TDictionary<System.string,System.TypInfo.PTypeInfo>.TryGetValue 003d TRealPackage.FindType 0054 TDictionary<System.Pointer,System.Rtti.TRttiObject>.TryGetValue 0061 _DV_TRttiType 0066 @AsClass 006d @TryFinallyExit 008d @HandleFinally 00a3 TRttiPackage.ReadObjectPointer"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F8 8B 45 FC 8B 40 2C 8B D3 E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 85 00 00 00 8B 45 FC 8B 40 18 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B 45 FC 8B 40 1C 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 17 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? EB 41 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 18 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 50 33 C9 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67268_0 {
	meta:
		name = "GetType"
		size = 38
		refs = "001a _DV_TRttiType 001f TRttiPackage.ReadObjectPointer"
	strings:
		$1 = { 55 8B EC 53 8B D8 85 DB 75 05 33 C0 5B 5D C3 53 8B 45 08 8B 40 FC 33 C9 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_67269_0 {
	meta:
		name = "TRealPackage.GetTypes"
		size = 214
		refs = "0060 TArray<System.Rtti.TRttiType> 0065 @DynArraySetLength 00bd GetType"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 33 FF 8B 45 FC 8B 40 24 8B 30 4E 85 F6 7C 37 46 33 DB 8B 45 FC 8B 40 24 8B 40 04 83 3C 98 00 74 21 8B 45 FC 8B 40 24 8B 40 04 83 3C 98 01 74 12 8B 45 FC 8B 40 24 8B 40 04 8B 04 98 83 38 00 74 01 47 43 4E 75 CC 57 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 FF 8B 45 FC 8B 40 24 8B 30 4E 85 F6 7C 54 46 33 DB 8B 45 FC 8B 40 24 8B 40 04 83 3C 98 00 74 3E 8B 45 FC 8B 40 24 8B 40 04 83 3C 98 01 74 2F 8B 45 FC 8B 40 24 8B 40 04 8B 04 98 83 38 00 74 1E 55 8B 45 FC 8B 40 24 8B 40 04 8B 04 98 8B 00 E8 ?? ?? ?? ?? 59 8B 55 F8 8B 12 89 04 BA 47 43 4E 75 AF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67270_0 {
	meta:
		name = "TRealPackage.GetNameFromType"
		size = 46
		refs = "000c TRealPackage.MakeTypeLookupTable 0013 TRttiType.GetHandle 001b @UStrClr 0026 TDictionary<System.TypInfo.PTypeInfo,System.string>.TryGetValue"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 43 28 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67271_0 {
	meta:
		name = "GetUnits"
		size = 163
		refs = "0014 GetUnits 0034 TArray<System.string> 0039 @DynArraySetLength 006a ReadShortString 0077 @UStrAsg 0090 @UStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 24 8B 40 08 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 40 FC 8B 40 24 8B 40 0C 89 45 FC 8B 45 08 8B 40 FC 8B 40 24 8B 58 08 4B 85 DB 7C 1F 43 33 F6 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 07 8D 04 B0 E8 ?? ?? ?? ?? 46 4B 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67272_0 {
	meta:
		name = "DoMake"
		size = 444
		refs = "0011 DoMake 0043 @TryFinallyExit 0054 GetUnits 0063 _DV_TDictionary<System.string,System.TypInfo.PTypeInfo> 0068 TDictionary<System.string,System.TypInfo.PTypeInfo>.Create 007a _DV_TDictionary<System.TypInfo.PTypeInfo,System.string> 007f TDictionary<System.TypInfo.PTypeInfo,System.string>.Create 00d8 UTF8ToUnicodeString 00f6 @UStrCatN 0107 TDictionary<System.string,System.TypInfo.PTypeInfo>.ContainsKey 011e TDictionary<System.string,System.TypInfo.PTypeInfo>.Add 012e TDictionary<System.TypInfo.PTypeInfo,System.string>.ContainsKey 0145 TDictionary<System.TypInfo.PTypeInfo,System.string>.Add 016e @HandleFinally 018a @UStrArrayClr 0193 TArray<System.string> 0198 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 18 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 FC 83 78 2C 00 74 0A E8 ?? ?? ?? ?? E9 28 01 00 00 8B 45 08 50 8D 45 FC E8 ?? ?? ?? ?? 59 33 C0 89 45 F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 42 2C 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 42 28 8B 45 08 8B 40 FC 8B 40 24 8B 30 4E 85 F6 0F 8C B1 00 00 00 46 33 FF 8B 45 08 8B 40 FC 8B 40 24 8B 40 04 8B 1C B8 85 DB 0F 84 8F 00 00 00 83 FB 01 75 08 FF 45 F0 E9 82 00 00 00 8B 03 85 C0 74 7C 40 89 45 EC 8D 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F0 FF 34 90 68 ?? ?? ?? ?? FF 75 F4 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 2C 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 75 13 8B 0B 8B 45 08 8B 40 FC 8B 40 2C 8B 55 F8 E8 ?? ?? ?? ?? 8B 13 8B 45 08 8B 40 FC 8B 40 28 E8 ?? ?? ?? ?? 84 C0 75 13 8B 13 8B 45 08 8B 40 FC 8B 40 28 8B 4D F8 E8 ?? ?? ?? ?? 47 4E 0F 85 52 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 18 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_67273_0 {
	meta:
		name = "TRealPackage.MakeTypeLookupTable"
		size = 26
		refs = "0012 DoMake"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 78 2C 00 75 07 55 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_67274_0 {
	meta:
		name = "TMethodImplementation.TInvokeInfo.AddParameter"
		size = 47
		refs = "000f TMethodImplementation.TInvokeInfo.CheckNotSealed 001a TMethodImplementation.TParamLoc.Create 0024 TList<System.Rtti.TMethodImplementation.TParamLoc>.Add"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B D9 8B F2 8B F8 8B C7 E8 ?? ?? ?? ?? 8B C4 8B CB 8B D6 E8 ?? ?? ?? ?? 8B D4 8B 47 1C E8 ?? ?? ?? ?? 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67276_0 {
	meta:
		name = "TMethodImplementation.TInvokeInfo.Create"
		size = 82
		refs = "000e @ClassCreate 001c _DV_TList<System.Rtti.TMethodImplementation.TParamLoc> 0021 TList<System.Rtti.TMethodImplementation.TParamLoc>.Create 003b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 1C 88 5E 24 0F B6 45 08 88 46 06 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_67278_0 {
	meta:
		name = "TMethodImplementation.TInvokeInfo.LoadArguments"
		size = 179
		refs = "001a TMethodImplementation.TInvokeInfo.LoadArguments 002a TMethodImplementation.TInvokeInfo.GetParamLocs 0032 @DynArrayLength 0041 TArray<System.Rtti.TValue> 0046 @DynArraySetLength 0061 TValue 0071 @FinalizeRecord 0081 TMethodImplementation.TParamLoc.GetArg 009b TArray<System.Rtti.TMethodImplementation.TParamLoc> 00a0 @DynArrayClear 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2D 46 33 DB 8B 15 ?? ?? ?? ?? 8D 3C 5B 8B 45 F4 8B 00 8D 04 F8 E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8D 04 B8 8B 55 F8 E8 ?? ?? ?? ?? 43 4E 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67279_0 {
	meta:
		name = "TMethodImplementation.TInvokeInfo.SaveArguments"
		size = 221
		refs = "0023 TMethodImplementation.TInvokeInfo.SaveArguments 0034 TMethodImplementation.TInvokeInfo.GetParamLocs 003c @DynArrayLength 0067 TMethodImplementation.TParamLoc.SetArg 0082 TValue.Cast 00b6 TValue 00bb @FinalizeRecord 00c4 TArray<System.Rtti.TMethodImplementation.TParamLoc> 00c9 @DynArrayClear 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 28 46 33 DB 8D 04 5B 8B 55 FC 80 7C 82 04 00 74 14 8B 55 F0 8D 0C C2 8B 55 FC 8D 04 82 8B 55 F4 E8 ?? ?? ?? ?? 43 4E 75 DB 8B 45 F8 8B 58 20 85 DB 74 1E 8D 4D D8 8B D3 8B 45 08 E8 ?? ?? ?? ?? 8D 4D D8 8B 45 F8 83 C0 10 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F8 0F B6 40 05 8B 55 F4 88 42 0A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_67280_0 {
	meta:
		name = "GetParamSize"
		size = 356
		refs = "001a GetParamSize 0075 GetTypeData 012e IsManaged"
	strings:
		$1 = { 53 8B D8 85 DB 75 04 33 C0 5B C3 0F B6 03 83 F8 14 0F 87 49 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 00 2C 02 72 0A 2C 02 72 0D 2C 02 72 10 EB 15 B8 01 00 00 00 5B C3 B8 02 00 00 00 5B C3 B8 04 00 00 00 5B C3 33 C0 5B C3 8B C3 E8 ?? ?? ?? ?? 0F B6 00 83 F8 04 77 3E FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B8 04 00 00 00 5B C3 B8 08 00 00 00 5B C3 B8 0A 00 00 00 5B C3 B8 08 00 00 00 5B C3 B8 08 00 00 00 5B C3 33 C0 5B C3 B8 04 00 00 00 5B C3 B8 FC FF FF FF 5B C3 B8 08 00 00 00 5B C3 B8 08 00 00 00 5B C3 B8 FC FF FF FF 5B C3 8B C3 E8 ?? ?? ?? ?? 0F B6 00 40 5B C3 B8 04 00 00 00 5B C3 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C3 E8 ?? ?? ?? ?? 8B 00 F7 D8 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 00 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 00 5B C3 B8 F0 FF FF FF 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_67282_0 {
	meta:
		name = "PutArg"
		size = 181
		refs = "0017 GetParamSize 006d AllocReg 009e Align4"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 80 7B 04 00 74 07 BE 04 00 00 00 EB 2A 8B 03 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1D 8B 45 08 8B 40 F8 0F B6 40 24 2C 01 74 06 04 FE 2C 02 73 04 F7 DE EB 05 BE 04 00 00 00 8B 03 85 C0 74 05 80 38 04 74 04 33 C0 EB 02 B0 01 80 7B 04 00 75 11 8B D6 4A 83 EA 02 72 05 83 EA 01 75 39 84 C0 75 35 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 85 C0 74 26 48 74 0A 48 74 0E 83 E8 02 74 12 EB 2F 33 C0 89 43 08 EB 28 C7 43 08 01 00 00 00 EB 1F C7 43 08 02 00 00 00 EB 16 8B C6 E8 ?? ?? ?? ?? 8B 55 08 29 42 F4 8B 45 08 8B 40 F4 89 43 08 5E 5B 5D C3 }
	condition:
		$1
}

rule function_67283_0 {
	meta:
		name = "PutRefArg"
		size = 83
		refs = "0011 AllocReg"
	strings:
		$1 = { 55 8B EC 53 8B D8 C6 43 04 01 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 85 C0 74 27 48 74 0A 48 74 0E 83 E8 02 74 12 EB 2A 33 C0 89 43 08 EB 23 C7 43 08 01 00 00 00 EB 1A C7 43 08 02 00 00 00 5B 5D C3 8B 45 08 83 68 F4 04 8B 45 08 8B 40 F4 89 43 08 5B 5D C3 }
	condition:
		$1
}

rule function_67284_0 {
	meta:
		name = "TMethodImplementation.TInvokeInfo.Seal"
		size = 866
		refs = "003d TMethodImplementation.TParamLoc.Create 005e PutRefArg 007a TArray<System.Rtti.TMethodImplementation.TParamLoc> 007f @DynArraySetLength 00c2 TList<System.Rtti.TMethodImplementation.TParamLoc>.GetItem 00e3 PassByRef 00fa PutArg 020b IsManaged 02b9 GetTypeData 02e0 @DynArrayLength 034f TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 45 F8 33 C0 89 45 F4 8B 45 F8 80 78 24 00 75 09 C7 45 FC 07 00 00 00 EB 05 33 C0 89 45 FC 8B 45 F8 80 78 24 04 75 32 8B 45 F8 8B 50 20 B1 01 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 E8 89 50 10 8B 55 EC 89 50 14 8B 55 F0 89 50 18 55 8B 45 F8 83 C0 10 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 40 1C 8B 40 08 50 8B 45 F8 83 C0 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 0F B6 40 24 2C 01 74 06 04 FE 2C 02 73 73 8B 45 F8 8B 40 1C 8B 58 08 4B 83 FB 00 0F 8C 4D 01 00 00 8D 04 5B 8B 55 F8 8B 52 0C 8D 3C 82 8D 4D E8 8B 45 F8 8B 40 1C 8B D3 E8 ?? ?? ?? ?? 8B 45 E8 89 07 8B 45 EC 89 47 04 8B 45 F0 89 47 08 8B 45 F8 0F B6 50 24 8B 07 33 C9 E8 ?? ?? ?? ?? 84 C0 74 0B 55 8B C7 E8 ?? ?? ?? ?? 59 EB 09 55 8B C7 E8 ?? ?? ?? ?? 59 4B 83 FB FF 75 A5 E9 ED 00 00 00 8B 45 F8 8B 40 1C 8B 70 08 4E 85 F6 7C 72 46 33 DB 8B 45 F8 80 78 06 00 74 0D 8B 45 F8 80 78 24 02 75 04 85 DB 74 55 8D 04 5B 8B 55 F8 8B 52 0C 8D 3C 82 8D 4D E8 8B 45 F8 8B 40 1C 8B D3 E8 ?? ?? ?? ?? 8B 45 E8 89 07 8B 45 EC 89 47 04 8B 45 F0 89 47 08 8B 45 F8 0F B6 50 24 8B 07 33 C9 E8 ?? ?? ?? ?? 84 C0 74 0B 55 8B C7 E8 ?? ?? ?? ?? 59 EB 09 55 8B C7 E8 ?? ?? ?? ?? 59 43 4E 75 91 8B 45 F8 80 78 06 00 74 64 8B 45 F8 80 78 24 02 75 5B 8B 45 F8 8B 40 1C 83 78 08 00 7E 4F 8B 45 F8 8B 78 0C 8D 4D E8 8B 45 F8 8B 40 1C 33 D2 E8 ?? ?? ?? ?? 8B 45 E8 89 07 8B 45 EC 89 47 04 8B 45 F0 89 47 08 8B 45 F8 0F B6 50 24 8B 07 33 C9 E8 ?? ?? ?? ?? 84 C0 74 0B 55 8B C7 E8 ?? ?? ?? ?? 59 EB 09 55 8B C7 E8 ?? ?? ?? ?? 59 8B 45 F8 80 78 24 04 0F 84 88 00 00 00 8B 45 F8 8B 40 20 E8 ?? ?? ?? ?? 84 C0 75 18 8B 45 F8 0F B6 50 24 8B 45 F8 8B 40 20 33 C9 E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 F8 8B 50 20 B1 01 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 E8 89 50 10 8B 55 EC 89 50 14 8B 55 F0 89 50 18 55 8B 45 F8 83 C0 10 E8 ?? ?? ?? ?? 59 EB 2D 8B 45 F8 8B 50 20 33 C9 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 E8 89 50 10 8B 55 EC 89 50 14 8B 55 F0 89 50 18 8B 45 F8 33 D2 89 50 18 8B 45 F8 80 78 24 01 0F 94 C0 8B 55 F8 88 42 04 8B 45 F4 F7 D8 8B 55 F8 89 42 08 8B 45 F8 8B 58 20 85 DB 74 21 80 3B 04 75 1C 8B C3 E8 ?? ?? ?? ?? 0F B6 00 8B 55 F8 88 42 05 8B 45 F8 C7 40 18 03 00 00 00 EB 07 8B 45 F8 C6 40 05 FF 8B 45 F8 8B 40 0C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 35 46 33 DB 8D 04 5B 8B 55 F8 8B 52 0C 8B 54 82 08 85 D2 7C 0E F7 D2 8B 4D F8 8B 49 0C 89 54 81 08 EB 0F 8B 55 F8 8B 52 0C 8B 4D F4 F7 D9 01 4C 82 08 43 4E 75 CE 8B 45 F8 83 78 20 00 74 1F 8B 45 F8 8B 40 18 85 C0 7C 0A F7 D0 8B 55 F8 89 42 18 EB 0B 8B 45 F4 F7 D8 8B 55 F8 01 42 18 8B 45 F8 8B 40 1C E8 ?? ?? ?? ?? 8B 45 F8 33 D2 89 50 1C 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67285_0 {
	meta:
		name = "TMethodImplementation.TInvokeInfo.SetReturnType"
		size = 19
		refs = "0009 TMethodImplementation.TInvokeInfo.CheckNotSealed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 73 20 5E 5B C3 }
	condition:
		$1
}

rule function_67286_0 {
	meta:
		name = "TMethodImplementation.TParamLoc.Create"
		size = 11
	strings:
		$1 = { 89 10 88 48 04 33 D2 89 50 08 C3 }
	condition:
		$1
}

rule function_67287_0 {
	meta:
		name = "TMethodImplementation.TParamLoc.GetArg"
		size = 106
		refs = "0011 TValue 0016 @InitializeRecord 001f TMethodImplementation.TParamLoc.GetArgLoc 0035 @FinalizeRecord 0040 Pointer 0045 TValue.Make"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B FA 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B D7 E8 ?? ?? ?? ?? 89 45 FC 8B 3B 85 FF 75 1F 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C8 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 19 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67288_0 {
	meta:
		name = "TMethodImplementation.TParamLoc.GetArgLoc"
		size = 52
	strings:
		$1 = { 53 8B 48 08 8B D9 83 EB FC 74 1D 4B 74 10 4B 74 08 4B 75 0F 83 C2 10 EB 0F 83 C2 14 EB 0A 83 C2 18 EB 05 83 C2 28 03 D1 80 78 04 00 74 02 8B 12 8B C2 5B C3 }
	condition:
		$1
}

rule function_67289_0 {
	meta:
		name = "TMethodImplementation.TParamLoc.SetArg"
		size = 143
		refs = "0014 TValue 0019 @InitializeRecord 0021 TMethodImplementation.TParamLoc.SetArg 0038 TValue.Cast 0045 TMethodImplementation.TParamLoc.GetArgLoc 004d TValue.ExtractRawData 007c @FinalizeRecord 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3B 00 74 23 8D 4D E8 8B 13 8B C7 E8 ?? ?? ?? ?? 8D 45 E8 50 8B C3 8B D6 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? EB 12 8B C3 8B D6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67290_0 {
	meta:
		name = "RawIntercept"
		size = 84
		refs = "000c TMethodImplementation.Intercept"
	strings:
		$1 = { 51 52 50 83 EC 10 89 E2 8B 45 FC E8 ?? ?? ?? ?? 89 E1 89 EC 5D 58 8B 41 1C 8B 50 08 0F B6 42 04 85 C0 75 05 8B 42 08 01 C4 0F BE 41 0A 40 75 03 90 EB 17 48 74 0A 48 74 0B 48 74 0C DF 29 EB 0A D9 01 EB 06 DD 01 EB 02 DB 29 8B 41 10 8B 51 14 FF 61 24 C3 }
	condition:
		$1
}

rule function_67291_0 {
	meta:
		name = "AllocFirstStageIntercept"
		size = 86
		refs = "000c CodeHeap"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B D8 8B FC E8 ?? ?? ?? ?? 8B D7 B9 1A 00 00 00 8B 28 FF 55 00 8B 07 C6 00 55 8B 07 C6 40 01 89 8B 07 C6 40 02 E5 8B 07 C6 40 03 68 8B 07 89 70 04 8B 07 C6 40 08 E9 8B 07 83 C0 08 40 83 C0 04 2B D8 8B 07 89 58 09 8B 07 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67293_0 {
	meta:
		name = "TMethodImplementation.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0013 FreeIntercept 001e TObject.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67295_0 {
	meta:
		name = "TMethodImplementation.Create"
		size = 55
		refs = "0008 @ClassCreate 000e SVarNotImplemented 0015 _Dn_EInvalidOpException 001a Exception.CreateRes 001f @RaiseExcept 0028 @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_67296_0 {
	meta:
		name = "TMethodImplementation.Create"
		size = 114
		refs = "0011 @ClassCreate 002c RawIntercept 0035 AllocFirstStageIntercept 004c @IntfCopy 0059 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 8B 75 0C 33 FF 80 7E 04 00 75 03 8B 7E 08 B8 ?? ?? ?? ?? 8B CF 8B D3 E8 ?? ?? ?? ?? 89 43 04 89 73 08 8B 45 F8 89 43 0C 8D 43 10 8B 55 08 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67297_0 {
	meta:
		name = "TMethodImplementation.Intercept"
		size = 217
		refs = "0017 TValue 001c @InitializeRecord 0024 TMethodImplementation.Intercept 003b TMethodImplementation.TInvokeInfo.LoadArguments 0060 @FinalizeRecord 0097 TMethodImplementation.TInvokeInfo.SaveArguments 009d @HandleFinally 00c3 TArray<System.Rtti.TValue> 00c8 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 C9 89 4D FC 89 55 D8 89 45 DC 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 45 DC 8B 40 08 8B 55 D8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 83 78 10 00 74 23 8B 15 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 45 DC 8B 50 0C 8B 45 DC 8B 40 10 8B 4D FC 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 50 8B 45 DC 8B 40 08 8B 4D FC 8B 55 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67299_0 {
	meta:
		name = "TVirtualMethodInterceptor.Create"
		size = 192
		refs = "0016 @ClassCreate 0025 TVirtualMethodInterceptor.Create 0032 _DV_TVirtualMethodInterceptor.Create$6580$ActRec 0037 TObject.Create 004a @IntfCopy 005b _DV_TObjectList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo> 0060 TObjectList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Create 007f TVirtualMethodInterceptor.CreateProxyClass 0094 @IntfClear 009a @HandleFinally 00a9 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FB 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 89 43 0C 89 78 08 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7B 0C 89 47 14 8D 47 18 8B D3 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67300_0 {
	meta:
		name = "TVirtualMethodInterceptor.CreateProxyClass"
		size = 310
		refs = "0014 TVirtualMethodInterceptor.CreateProxyClass 0025 TRttiContext.GetType 002f _DV_TRttiInstanceType 0034 @AsClass 0039 TRttiInstanceType.GetVmtSize 0049 AllocMem 0065 Move 00c4 _DV_TVirtualMethodInterceptor.TInterceptInfo 00c9 TVirtualMethodInterceptor.TInterceptInfo.Create 00d7 TList<System.Rtti.TVirtualMethodInterceptor.TInterceptInfo>.Add 00f6 @DynArrayLength 0103 TArray<System.Rtti.TRttiMethod> 0108 @DynArrayClear 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 04 8B 53 08 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 C7 45 F8 58 00 00 00 8B C7 E8 ?? ?? ?? ?? 89 43 10 8B 43 10 03 45 F8 89 43 0C 8B 53 10 8B 43 08 2B 45 F8 8B CF E8 ?? ?? ?? ?? 8D 53 08 8B 43 10 89 50 28 8B 53 0C 89 10 8D 55 FC 8B C6 8B 08 FF 51 14 33 FF EB 6D 8B 45 FC 8B 34 B8 8B C6 8B 10 FF 52 1C 3C 01 75 5B 8B C6 8B 10 FF 52 10 2C 02 73 50 8B C6 8B 10 FF 52 20 84 C0 74 45 56 8B 43 18 50 8B C6 8B 10 FF 52 24 0F BF C0 8B 53 08 8B 0C 82 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 55 F4 8B 43 14 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 24 0F BF C0 8B 53 0C 8B 4D F4 8B 49 0C 89 0C 82 47 8B 45 FC E8 ?? ?? ?? ?? 3B F8 7C 87 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67301_0 {
	meta:
		name = "TVirtualMethodInterceptor.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0017 @FreeMem 0022 TObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67302_0 {
	meta:
		name = "TVirtualMethodInterceptor.DoAfter"
		size = 31
	strings:
		$1 = { 55 8B EC 53 83 78 20 00 74 10 8B 5D 0C 53 8B 5D 08 53 8B 40 20 8B 18 FF 53 0C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_67303_0 {
	meta:
		name = "TVirtualMethodInterceptor.DoBefore"
		size = 74
		refs = "0011 TValue 0016 @InitializeRecord 0032 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 1C 00 74 23 8B 45 10 50 8B 45 0C 50 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B CF 8B D6 8B 43 1C 8B 18 FF 53 0C 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_67304_0 {
	meta:
		name = "TVirtualMethodInterceptor.DoException"
		size = 78
		refs = "0011 TValue 0016 @InitializeRecord 0036 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 24 00 74 27 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 15 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 50 8B CF 8B D6 8B 43 24 8B 18 FF 53 0C 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_67305_0 {
	meta:
		name = "TVirtualMethodInterceptor.Proxify"
		size = 40
		refs = "000c SInvalidCast 0013 _Dn_EInvalidCast 0018 Exception.CreateRes 001d @RaiseExcept"
	strings:
		$1 = { 53 8B CA 8B 19 3B 58 08 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 0C 89 01 5B C3 }
	condition:
		$1
}

rule function_67306_0 {
	meta:
		name = "TVirtualMethodInterceptor.Unproxify"
		size = 40
		refs = "000c SInvalidCast 0013 _Dn_EInvalidCast 0018 Exception.CreateRes 001d @RaiseExcept"
	strings:
		$1 = { 53 8B CA 8B 19 3B 58 0C 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 08 89 01 5B C3 }
	condition:
		$1
}

rule function_67307_0 {
	meta:
		name = "PascalShiftSelfLast"
		size = 99
		refs = "001c Move 0023 @DynArrayLength"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B 5D 08 83 C3 FC 3C 02 75 4D 8D 55 E8 8B 03 B9 18 00 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 48 8B C8 03 C9 03 C9 03 C9 8D 0C 49 8B 03 8B D0 8B 03 83 C0 18 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8D 04 40 8B 13 8D 54 C2 E8 8D 45 E8 B9 18 00 00 00 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67308_0 {
	meta:
		name = "PascalShiftSelfFirst"
		size = 99
		refs = "0014 @DynArrayLength 002a Move"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B 5D 08 83 C3 FC 3C 02 75 4D 8B 03 E8 ?? ?? ?? ?? 8D 04 40 8B 13 8D 44 C2 E8 8D 55 E8 B9 18 00 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 48 8B C8 03 C9 03 C9 03 C9 8D 0C 49 8B 03 8D 50 18 8B 03 E8 ?? ?? ?? ?? 8B 03 8B D0 8D 45 E8 B9 18 00 00 00 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67309_0 {
	meta:
		name = "TVirtualMethodInterceptor.RawCallback"
		size = 956
		refs = "0023 TValue 0028 @InitializeRecord 0030 TVirtualMethodInterceptor.RawCallback 0041 TValue.AsObject 004c @DynArrayLength 005c TArray<System.Rtti.TValue> 0061 @DynArraySetLength 0093 @CopyRecord 00bf @FinalizeRecord 00d1 TVirtualMethodInterceptor.DoBefore 0145 TRttiType.GetTypeKind 019b TValue.GetReferenceToRawData 01a3 TValue.&op_Implicit 01ed PascalShiftSelfLast 021b TRttiType.GetHandle 023d Invoke 02a2 PascalShiftSelfFirst 02a9 @HandleFinally 02ba @HandleOnException 02c2 _Dn_Exception 02f1 TVirtualMethodInterceptor.DoException 02fc @RaiseAgain 0301 @DoneExcept 031a TVirtualMethodInterceptor.DoAfter 0382 @FinalizeArray 038b TArray<System.Rtti.TRttiParameter> 0390 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B DA 89 45 F0 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D E8 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 48 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7E 24 BB 01 00 00 00 8D 3C 5B 8B 45 F8 8D 44 F8 E8 8B 55 FC 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 E1 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E7 01 8B 45 F8 50 8D 45 E7 50 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 E8 8B 48 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 80 7D E7 00 0F 84 3F 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 E8 8B 40 10 8B 08 FF 51 38 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8E D2 00 00 00 BB 01 00 00 00 8B 45 E8 8B 40 10 8B 10 FF 52 14 2C 01 74 06 04 FE 2C 02 73 25 8B 45 F4 8B 44 98 FC 8B 10 FF 52 0C A8 02 74 15 8B 45 F4 8B 44 98 FC 8B 10 FF 52 10 E8 ?? ?? ?? ?? 3C 0C 74 43 8B 45 F4 8B 44 98 FC 8B 10 FF 52 0C A8 02 74 16 8B 45 F4 8B 44 98 FC 8B 10 FF 52 10 8B 10 FF 52 0C 83 F8 04 7F 1D 8B 45 F4 8B 44 98 FC 8B 10 FF 52 0C 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 74 2D 8D 3C 5B 8B 45 F8 8D 44 F8 E8 E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8D 55 CC 8B 45 FC 8D 04 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B 8D 3C 5B 8B 45 FC 8D 04 F8 8B 55 F8 8D 54 FA E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 0F 85 33 FF FF FF 55 8B 45 E8 8B 40 10 8B 10 FF 52 14 E8 ?? ?? ?? ?? 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 40 10 8B 10 FF 52 18 85 C0 74 45 8B 45 E8 8B 40 10 8B 10 FF 52 18 E8 ?? ?? ?? ?? 50 6A 00 8D 45 B4 50 8B 45 E8 8B 40 10 8B 10 FF 52 14 8B C8 8B 45 E8 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 8D 55 B4 8B 45 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 34 6A 00 6A 00 8D 45 9C 50 8B 45 E8 8B 40 10 8B 10 FF 52 14 8B C8 8B 45 E8 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 8D 55 9C 8B 45 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 55 8B 45 E8 8B 40 10 8B 10 FF 52 14 E8 ?? ?? ?? ?? 59 C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 EB 4C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 F8 50 8D 45 E7 50 53 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 E8 8B 48 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 80 7D E7 00 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 08 50 8B 45 E8 8B 48 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7E 24 BB 01 00 00 00 8D 3C 5B 8B 45 FC 8D 04 F8 8B 55 F8 8D 54 FA E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 E1 C3 E9 ?? ?? ?? ?? EB C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5F 5E 5B 8B E5 5D C2 04 00 00 21 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_67310_0 {
	meta:
		name = "TVirtualMethodInterceptor.TInterceptInfo.Create"
		size = 94
		refs = "000f @ClassCreate 0025 TRttiMethod.CreateImplementation 0033 TMethodImplementation.GetCodeAddress 0046 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 0C 8B 4D 08 8B D3 8B C6 E8 ?? ?? ?? ?? 89 43 04 89 7B 08 8B 43 04 E8 ?? ?? ?? ?? 89 43 0C 89 73 10 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67312_0 {
	meta:
		name = "TRawVirtualClass.TVTable.Create"
		size = 119
		refs = "000f @ClassCreate 0028 TArray<System.Pointer> 002d @DynArraySetLength 003b AllocMem 0046 TRawVirtualClass._QIFromIntf 004d TRawVirtualClass._AddRefFromIntf 0054 TRawVirtualClass._ReleaseFromIntf 0061 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8D 7E 03 56 8D 43 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 03 C0 03 C0 E8 ?? ?? ?? ?? 8B F0 89 73 04 C7 06 ?? ?? ?? ?? C7 46 04 ?? ?? ?? ?? C7 46 08 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67315_0 {
	meta:
		name = "TRawVirtualClass.TVTable.SetVTableSlot"
		size = 70
		refs = "001e FreeIntercept 002b AllocFirstStageIntercept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 43 08 83 3C B0 00 74 0B 8B 43 08 8B 04 B0 E8 ?? ?? ?? ?? 33 C9 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 43 08 89 3C B0 8B 43 04 89 7C B0 0C 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_67316_0 {
	meta:
		name = "TRawVirtualClass.TVTable.SetVTableSlot"
		size = 48
		refs = "0019 FreeIntercept"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 43 08 83 3C B0 00 74 13 8B 43 08 8B 04 B0 E8 ?? ?? ?? ?? 8B 43 08 33 D2 89 14 B0 8B 43 04 89 7C B0 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67319_0 {
	meta:
		name = "TRawVirtualClass._AddRefFromIntf"
		size = 25
		refs = "000a TRawVirtualClass.GetInstanceFromInterface 0010 TInterfacedObject._AddRef"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_67320_0 {
	meta:
		name = "TRawVirtualClass._ReleaseFromIntf"
		size = 25
		refs = "000a TRawVirtualClass.GetInstanceFromInterface 0010 TInterfacedObject._Release"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_67321_0 {
	meta:
		name = "TRawVirtualClass._QIFromIntf"
		size = 32
		refs = "0012 TRawVirtualClass.GetInstanceFromInterface"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 10 50 8B 45 0C 50 8B C3 E8 ?? ?? ?? ?? 50 8B 00 FF 10 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_67322_0 {
	meta:
		name = "TRawVirtualClass.FindInterface"
		size = 74
		refs = "0015 @DynArrayLength 0030 TGUID.&op_Equality"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B F0 8B 46 14 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 21 43 33 FF 8B C7 03 C0 8B 56 14 8D 14 C2 8B C4 E8 ?? ?? ?? ?? 84 C0 74 05 8D 46 10 EB 06 47 4B 75 E2 33 C0 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67323_0 {
	meta:
		name = "TRawVirtualClass.QueryInterface"
		size = 60
		refs = "0011 TRawVirtualClass.FindInterface 001d TInterfacedObject._AddRef 0031 TInterfacedObject.QueryInterface"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 0C 8B 5D 08 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0F 53 E8 ?? ?? ?? ?? 8B 45 10 89 30 33 C0 EB 0B 8B 45 10 50 57 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_67324_0 {
	meta:
		name = "TRawVirtualClass.Create"
		size = 143
		refs = "000e @ClassCreate 001d @DynArrayAddRef 0025 TRawVirtualClass.Create 0037 TArray<System.TGUID> 003c @DynArrayAsg 0047 TRawVirtualClass.TVTable.GetVTable 0065 @DynArrayClear 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 14 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 76 0C 8B 45 08 E8 ?? ?? ?? ?? 89 46 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_67327_0 {
	meta:
		name = "TVirtualInterface.Create$6609$ActRec.$0$Body"
		size = 48
		refs = "0011 TValue 0016 @InitializeRecord"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B 43 0C 8B 18 FF 13 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_67328_0 {
	meta:
		name = "TVirtualInterface.Create"
		size = 515
		refs = "001c @ClassCreate 002c TVirtualInterface.Create 0039 _DV_TVirtualInterface.Create$6609$ActRec 003e TObject.Create 0051 @IntfCopy 0060 _DV_TObjectList<System.Rtti.TVirtualInterface.TImplInfo> 0065 TObjectList<System.Rtti.TVirtualInterface.TImplInfo>.Create 0075 TRttiContext.GetType 0081 TRttiInterfaceType.GetGUID 00ad TArray<System.Rtti.TRttiMethod> 00b2 @DynArrayAsg 00eb _DV_TVirtualInterface.TImplInfo 00f0 TVirtualInterface.TImplInfo.Create 00fd TList<System.Rtti.TVirtualInterface.TImplInfo>.Add 0106 @DynArrayLength 0118 @DynArrayClear 0125 AllocMem 0133 TVirtualInterface._QIFromIntf 013a TVirtualInterface._AddRefFromIntf 0141 TVirtualInterface._ReleaseFromIntf 015f TList<System.Rtti.TVirtualInterface.TImplInfo>.GetItem 0164 TVirtualInterface.TImplInfo.GetCodeAddress 0177 TVirtualInterface.TImplInfo.GetVirtualIndex 01a9 TVirtualInterface.ErrorProc 01c2 @IntfClear 01d5 @FinalizeArray 01db @HandleFinally 01eb @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 EF 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F4 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F0 89 46 0C B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5E 0C 89 43 24 8D 43 20 8B D7 E8 ?? ?? ?? ?? 8B D8 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 46 0C 56 8D 75 D8 8D 78 10 A5 A5 A5 A5 5E 8D 55 FC 8B C3 8B 08 FF 51 14 C7 45 E8 02 00 00 00 8D 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 48 8B 45 F8 8B 3C 98 8B C7 8B 10 FF 52 24 0F BF C0 3B 45 E8 7E 0D 8B C7 8B 10 FF 52 24 0F BF C0 89 45 E8 8B C6 85 C0 74 03 83 E8 F0 50 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 46 0C 8B 40 24 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7C AC 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 40 03 C0 03 C0 E8 ?? ?? ?? ?? 8B D8 8B 46 0C 89 58 0C C7 03 ?? ?? ?? ?? C7 43 04 ?? ?? ?? ?? C7 43 08 ?? ?? ?? ?? 8B 46 0C 8B 40 24 8B 58 08 4B 85 DB 7C 39 43 33 FF 8B 46 0C 8B 40 24 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 46 0C 8B 40 24 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BF C0 8B 56 0C 8B 52 0C 59 89 0C 82 47 4B 75 CA 8B 5D E8 83 EB 03 7C 1D 43 BF 03 00 00 00 8B 46 0C 8B 40 0C 83 3C B8 00 75 07 C7 04 B8 ?? ?? ?? ?? 47 4B 75 E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67329_0 {
	meta:
		name = "TVirtualInterface.Create"
		size = 127
		refs = "000e @ClassCreate 001c @IntfAddRef 0024 TVirtualInterface.Create 0040 @IntfCopy 0055 @IntfClear 005b @HandleFinally 0068 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 28 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_67330_0 {
	meta:
		name = "TVirtualInterface.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 0013 @FreeMem 001b TObject.Free 0026 TObject.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_67331_0 {
	meta:
		name = "TVirtualInterface.RawCallback"
		size = 67
		refs = "0011 TValue 0016 @InitializeRecord 002a @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 28 00 74 1C 8B 15 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 50 8B 56 08 8B CF 8B 43 28 8B 18 FF 53 0C 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_67333_0 {
	meta:
		name = "TVirtualInterface._AddRefFromIntf"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 08 8D 50 0C 2B D0 2B C2 50 8B 00 FF 50 04 5D C2 04 00 }
	condition:
		$1
}

rule function_67334_0 {
	meta:
		name = "TVirtualInterface._ReleaseFromIntf"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 08 8D 50 0C 2B D0 2B C2 50 8B 00 FF 50 08 5D C2 04 00 }
	condition:
		$1
}

rule function_67335_0 {
	meta:
		name = "TVirtualInterface._QIFromIntf"
		size = 31
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 10 52 8B 55 0C 52 8D 50 0C 2B D0 2B C2 50 8B 00 FF 50 0C 5D C2 0C 00 }
	condition:
		$1
}

rule function_67336_0 {
	meta:
		name = "TVirtualInterface._AddRef"
		size = 16
		refs = "0008 TInterfacedObject._AddRef"
		altNames = "Tox4DOMInterface._AddRef"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_67337_0 {
	meta:
		name = "TVirtualInterface._Release"
		size = 16
		refs = "0008 TInterfacedObject._Release"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_111035_0 {
	meta:
		name = "Tox4DOMElement._AddRef"
		size = 16
		refs = "0008 Tox4DOMInterface._AddRef"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_111036_0 {
	meta:
		name = "Tox4DOMElement._Release"
		size = 16
		refs = "0008 Tox4DOMInterface._Release"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_110933_0 {
	meta:
		name = "Tox4DOMInterface._Release"
		size = 16
		refs = "0008 TInterfacedObject._Release"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_67338_0 {
	meta:
		name = "TVirtualInterface.QueryInterface"
		size = 59
		refs = "0015 TGUID.&op_Equality 0030 TInterfacedObject.QueryInterface"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 8B C6 8D 53 10 E8 ?? ?? ?? ?? 84 C0 74 0F 53 8B 03 FF 50 04 8D 43 0C 89 07 33 C0 EB 08 57 56 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_67339_0 {
	meta:
		name = "TVirtualInterface.TImplInfo.Create"
		size = 72
		refs = "000e @ClassCreate 0020 TRttiMethod.CreateImplementation 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 08 8B D7 8B C6 E8 ?? ?? ?? ?? 89 47 04 89 77 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_67342_0 {
	meta:
		name = "TVirtualInterface.TImplInfo.GetVirtualIndex"
		size = 9
	strings:
		$1 = { 8B 40 08 8B 10 FF 52 24 C3 }
	condition:
		$1
}

rule function_67344_0 {
	meta:
		name = "TRttiIndexedProperty.GetAccessors"
		size = 225
		refs = "000e TRttiIndexedProperty.GetAccessors 001b TRttiMember.GetParent 0035 _DV_TRttiInstanceMethodEx 003a @IsClass 0058 @DynArrayLength 0063 TRttiIndexedProperty.GetHandle 00ca TArray<System.Rtti.TRttiMethod> 00cf @DynArrayClear 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 51 38 33 DB 33 FF EB 27 8B 45 FC 8B 04 98 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 3B FB 74 0C 8B 45 FC 8B 55 FC 8B 14 9A 89 14 B8 47 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C CD 8B C6 E8 ?? ?? ?? ?? 66 81 78 01 FF FF 75 09 C7 46 18 01 00 00 00 EB 14 8B C6 E8 ?? ?? ?? ?? 0F B7 40 01 8B 55 FC 8B 04 82 89 46 18 8B C6 E8 ?? ?? ?? ?? 66 81 78 03 FF FF 75 09 C7 46 1C 01 00 00 00 EB 14 8B C6 E8 ?? ?? ?? ?? 0F B7 40 03 8B 55 FC 8B 04 82 89 46 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67345_0 {
	meta:
		name = "TRttiIndexedProperty.GetReadMethod"
		size = 28
		refs = "000c TRttiIndexedProperty.GetAccessors"
	strings:
		$1 = { 53 8B D8 83 7B 18 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 18 83 F8 01 75 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_67346_0 {
	meta:
		name = "TRttiIndexedProperty.GetWriteMethod"
		size = 28
		refs = "000c TRttiIndexedProperty.GetAccessors"
	strings:
		$1 = { 53 8B D8 83 7B 1C 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 1C 83 F8 01 75 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_67348_0 {
	meta:
		name = "TRttiIndexedProperty.GetIsDefault"
		size = 18
		refs = "0006 TRttiIndexedProperty.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 00 01 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_67349_0 {
	meta:
		name = "TRttiIndexedProperty.GetIsReadable"
		size = 21
		refs = "0006 TRttiIndexedProperty.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 81 78 01 FF FF 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_67350_0 {
	meta:
		name = "TRttiIndexedProperty.GetIsWritable"
		size = 21
		refs = "0006 TRttiIndexedProperty.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 81 78 03 FF FF 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_67352_0 {
	meta:
		name = "TRttiIndexedProperty.GetPropertyType"
		size = 131
		refs = "000d TRttiIndexedProperty.GetPropertyType 001a TRttiIndexedProperty.GetAccessors 0043 @DynArrayLength 006b TArray<System.Rtti.TRttiParameter> 0070 @DynArrayClear 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 43 18 85 C0 74 09 8B 10 FF 52 18 8B D8 EB 2B 8B 73 1C 85 F6 74 22 8D 55 FC 8B C6 8B 08 FF 51 38 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 44 82 FC 8B 10 FF 52 10 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_67353_0 {
	meta:
		name = "TRttiIndexedProperty.GetValue"
		size = 180
		refs = "0019 TRttiIndexedProperty.GetValue 0026 TRttiIndexedProperty.GetReadMethod 0040 _Dn_EPropWriteOnly 0045 Exception.Create 004a @RaiseExcept 0074 TRttiMethod.Invoke 009f @UStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 1E 8D 55 F8 8B C6 8B 08 FF 51 08 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 30 84 C0 75 0B 8B C3 8B 10 FF 52 2C 84 C0 74 16 8B 45 0C 50 8B 45 08 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? EB 14 8B 45 0C 50 8B 45 08 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_67354_0 {
	meta:
		name = "TRttiIndexedProperty.GetVisibility"
		size = 30
		refs = "0006 TRttiIndexedProperty.GetHandle 0018 GetBitField"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 00 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_67355_0 {
	meta:
		name = "TRttiIndexedProperty.SetValue"
		size = 338
		refs = "0022 TRttiIndexedProperty.SetValue 002f TRttiIndexedProperty.GetWriteMethod 004c _Dn_EPropReadOnly 0051 Exception.Create 0056 @RaiseExcept 006a TArray<System.Rtti.TValue> 006f @DynArraySetLength 0090 TValue 0095 @CopyRecord 00d7 @DynArrayHigh 00ea TRttiMethod.Invoke 0127 @FinalizeArray 012f @UStrClr 013d @DynArrayClear 0143 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F4 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 1E 8D 55 EC 8B C3 8B 08 FF 51 08 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 40 40 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 75 0C 85 F6 7C 23 46 33 FF 8B 5D F4 8D 04 7F 8B 55 FC 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 18 4E 75 E3 8B 45 0C 8D 04 40 8B 55 FC 8D 44 C2 18 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 30 84 C0 75 0C 8B 45 F0 8B 10 FF 52 2C 84 C0 74 1D 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 D4 50 8B 4D FC 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? EB 1B 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 BC 50 8B 4D FC 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_67356_0 {
	meta:
		name = "TRttiIndexedProperty.ToString"
		size = 580
		refs = "001b TRttiIndexedProperty.ToString 0044 @UStrCatN 004b TRttiIndexedProperty.GetReadMethod 0067 @DynArrayLength 00bc @UStrCat 00c8 TRttiIndexedProperty.GetWriteMethod 01b9 @UStrArrayClr 01c2 TArray<System.Rtti.TRttiParameter> 01c7 @DynArrayClear 01cd @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 F4 8B C6 8B 08 FF 51 08 FF 75 F4 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 6D 8D 55 FC 8B 45 F8 8B 08 FF 51 38 8B 45 FC E8 ?? ?? ?? ?? 8B F0 83 EE 02 85 F6 7C 2B 46 33 FF FF 33 8B 45 FC 8B 04 B8 8D 55 F0 8B 08 FF 51 DC FF 75 F0 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 47 4E 75 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 44 82 FC 8D 55 EC 8B 08 FF 51 DC 8B 55 EC 8B C3 E8 ?? ?? ?? ?? E9 89 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BD 00 00 00 8D 55 FC 8B 45 F8 8B 08 FF 51 38 8B 45 FC E8 ?? ?? ?? ?? 8B F0 83 EE 03 85 F6 7C 2B 46 33 FF FF 33 8B 45 FC 8B 04 B8 8D 55 E8 8B 08 FF 51 DC FF 75 E8 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 47 4E 75 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 44 82 F8 8D 55 E4 8B 08 FF 51 DC 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 18 85 C0 74 1C 8B 45 F8 8B 10 FF 52 18 8D 55 E0 8B 08 FF 51 DC 8B 55 E0 8B C3 E8 ?? ?? ?? ?? EB 21 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 44 82 FC 8D 55 DC 8B 08 FF 51 DC 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 5D 00 3A 00 20 00 00 00 }
	condition:
		$1
}

rule function_67357_0 {
	meta:
		name = "Finalization"
		size = 109
		refs = "0007 Finalization 0013 _DV_24 001a PoolLock 001f TObject.Free 0024 OnUnloadModule 0029 RemoveModuleUnloadProc 002e FCodeHeap 0038 StringEqCmpCI 003d @IntfClear 0042 Kind 004d string 0052 @FinalizeArray 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 3D A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_67358_0 {
	meta:
		name = "System.Rtti"
		size = 76
		refs = "0007 System.Rtti 0013 _DV_24 001b OnUnloadModule 0020 AddModuleUnloadProc 0027 _Dn_TCriticalSection 002c TCriticalSection.Create 0031 PoolLock 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 1B B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_67359_0 {
	meta:
		name = "TEnumerable<System.Rtti.TMethodImplementation.TParamLoc>.ToArrayImpl"
		size = 160
		refs = "001a TArray<System.Rtti.TMethodImplementation.TParamLoc> 001f @DynArraySetLength 002b TEnumerable<System.Rtti.TMethodImplementation.TParamLoc>.GetEnumerator 0036 TEnumerable<System.Rtti.TMethodImplementation.TParamLoc>.ToArrayImpl 006d TEnumerator<System.Rtti.TMethodImplementation.TParamLoc>.MoveNext 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 27 8D 55 EC 8B 45 F8 8B 08 FF 11 8D 04 5B 8B 55 FC 8B 12 8B 4D EC 89 0C 82 8B 4D F0 89 4C 82 04 8B 4D F4 89 4C 82 08 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67361_0 {
	meta:
		name = "TEnumerable<System.Rtti.TMethodImplementation.TParamLoc>.ToArray"
		size = 182
		refs = "000f _DV_TList<System.Rtti.TMethodImplementation.TParamLoc> 0014 TList<System.Rtti.TMethodImplementation.TParamLoc>.Create 001f TEnumerable<System.Rtti.TMethodImplementation.TParamLoc>.ToArray 002c TEnumerable<System.Rtti.TMethodImplementation.TParamLoc>.GetEnumerator 0054 TList<System.Rtti.TMethodImplementation.TParamLoc>.Add 005c TEnumerator<System.Rtti.TMethodImplementation.TParamLoc>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 E8 8B 45 F4 8B 08 FF 11 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67366_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.GetItem"
		size = 62
		refs = "000e SArgumentOutOfRange 0015 _Dn_EArgumentOutOfRangeException 001a Exception.CreateRes 001f @RaiseExcept"
	strings:
		$1 = { 53 8B D9 85 D2 7C 05 3B 50 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 52 8B 40 04 8B 0C 90 89 0B 8B 4C 90 04 89 4B 04 8B 4C 90 08 89 4B 08 5B C3 }
	condition:
		$1
}

rule function_67367_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.SetItem"
		size = 121
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F1 8B D8 85 D2 7C 05 3B 53 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 52 8B 4B 04 8B 3C 81 89 3C 24 8B 7C 81 04 89 7C 24 04 8B 7C 81 08 89 7C 24 08 8B 53 04 8B 0E 89 0C 82 8B 4E 04 89 4C 82 04 8B 4E 08 89 4C 82 08 B1 01 8B D4 8B C3 8B 38 FF 57 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67370_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.DoDelete"
		size = 175
		refs = "0018 SArgumentOutOfRange 001f _Dn_EArgumentOutOfRangeException 0024 Exception.CreateRes 0029 @RaiseExcept 0080 Move 0098 @FillChar"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B D9 8B F2 8B E8 85 F6 7C 05 3B 75 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 3C 76 8B 45 04 8B 14 B8 89 14 24 8B 54 B8 04 89 54 24 04 8B 54 B8 08 89 54 24 08 8B 55 04 33 C0 89 04 BA 89 44 BA 04 89 44 BA 08 FF 4D 08 8B 45 08 3B F0 74 39 8B 55 04 8D 14 BA 52 8B 55 04 8D 54 BA 0C 2B C6 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 45 08 8D 04 40 8B 55 04 8D 04 82 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B CB 8B D4 8B C5 8B 18 FF 53 08 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67377_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.Add"
		size = 70
		refs = "000e TList<System.Rtti.TMethodImplementation.TParamLoc>.GrowCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 04 24 8D 04 40 8B 53 04 8B 0E 89 0C 82 8B 4E 04 89 4C 82 04 8B 4E 08 89 4C 82 08 FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_67381_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.Insert"
		size = 158
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<System.Rtti.TMethodImplementation.TParamLoc>.GrowCheck 005c Move 006e @FillChar"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 36 8D 2C 76 8B 53 04 8D 54 AA 0C 52 8B 53 04 8D 14 AA 2B C6 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 A8 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 8B 0F 89 0C 82 8B 4F 04 89 4C 82 04 8B 4F 08 89 4C 82 08 FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67382_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.InsertRange"
		size = 260
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<System.Rtti.TMethodImplementation.TParamLoc>.GrowCheck 007e Move 0097 @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 49 8B D6 03 D3 8D 14 52 8B 4D FC 8B 49 04 8D 14 91 52 8D 3C 5B 8B 55 FC 8B 52 04 8D 14 BA 2B C3 8B C8 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 B8 8B D6 03 D2 03 D2 8D 14 52 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 31 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8D 0C 49 8B 75 FC 8B 76 04 8B 38 89 3C 8E 8B 78 04 89 7C 8E 04 8B 78 08 89 7C 8E 08 42 83 C0 0C FF 4D F4 75 D8 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B 45 FC 8B 30 FF 56 08 83 C3 0C FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_67383_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.InsertRange"
		size = 126
		refs = "0018 TList<System.Rtti.TMethodImplementation.TParamLoc>.InsertRange 0041 TList<System.Rtti.TMethodImplementation.TParamLoc>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 F0 8B 45 FC 8B 08 FF 51 18 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67384_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.InsertRange"
		size = 116
		refs = "000f TEnumerable<System.Rtti.TMethodImplementation.TParamLoc>.GetEnumerator 001a TList<System.Rtti.TMethodImplementation.TParamLoc>.InsertRange 0038 TList<System.Rtti.TMethodImplementation.TParamLoc>.Insert 0041 TEnumerator<System.Rtti.TMethodImplementation.TParamLoc>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 F0 8B 45 FC 8B 08 FF 11 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_67388_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.Extract"
		size = 70
		refs = "000a TList<System.Rtti.TMethodImplementation.TParamLoc>.IndexOf 003e TList<System.Rtti.TMethodImplementation.TParamLoc>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 0C 33 C0 89 06 89 46 04 89 46 08 EB 24 8D 14 40 8B 4B 04 8B 3C 91 89 3E 8B 7C 91 04 89 7E 04 8B 7C 91 08 89 7E 08 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67389_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.Exchange"
		size = 104
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B D9 8D 34 52 8B 48 04 8B 3C B1 89 3C 24 8B 7C B1 04 89 7C 24 04 8B 7C B1 08 89 7C 24 08 8B 50 04 8D 0C 5B 8B 78 04 8B 2C 8F 89 2C B2 8B 6C 8F 04 89 6C B2 04 8B 6C 8F 08 89 6C B2 08 8D 14 5B 8B 40 04 8B 0C 24 89 0C 90 8B 4C 24 04 89 4C 90 04 8B 4C 24 08 89 4C 90 08 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67390_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.Move"
		size = 218
		refs = "0020 SArgumentOutOfRange 0027 _Dn_EArgumentOutOfRangeException 002c Exception.CreateRes 0031 @RaiseExcept 007e Move 00b5 @FillChar"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B F1 8B FA 8B D8 3B F7 0F 84 BD 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 2C 7F 8B 43 04 8B 14 A8 89 14 24 8B 54 A8 04 89 54 24 04 8B 54 A8 08 89 54 24 08 8B 53 04 33 C0 89 04 AA 89 44 AA 04 89 44 AA 08 3B F7 7E 1F 8B 43 04 8D 14 A8 8B 43 04 8D 44 A8 0C 8B CE 2B CF 03 C9 03 C9 8D 0C 49 E8 ?? ?? ?? ?? EB 20 8D 04 76 8B 53 04 8D 54 82 0C 8B 4B 04 8D 04 81 2B FE 8B CF 03 C9 03 C9 8D 0C 49 E8 ?? ?? ?? ?? 8D 3C 76 8B 43 04 8D 04 B8 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 14 24 89 14 B8 8B 54 24 04 89 54 B8 04 8B 54 24 08 89 54 B8 08 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67397_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.Reverse"
		size = 119
	strings:
		$1 = { 53 56 57 55 83 C4 F4 33 D2 8B 58 08 4B 3B DA 7E 5E 8D 34 52 8B 48 04 8B 3C B1 89 3C 24 8B 7C B1 04 89 7C 24 04 8B 7C B1 08 89 7C 24 08 8B 48 04 8D 3C 5B 8B 68 04 8D 34 B1 8B 4C BD 00 89 0E 8B 4C BD 04 89 4E 04 8B 4C BD 08 89 4E 08 8D 0C 5B 8B 70 04 8B 3C 24 89 3C 8E 8B 7C 24 04 89 7C 8E 04 8B 7C 24 08 89 7C 8E 08 42 4B 3B DA 7F A2 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67403_0 {
	meta:
		name = "TList<System.Rtti.TMethodImplementation.TParamLoc>.ToArray"
		size = 104
		refs = "001a TArray<System.Rtti.TMethodImplementation.TParamLoc> 001f @DynArraySetLength 003a TList<System.Rtti.TMethodImplementation.TParamLoc>.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 F0 89 14 24 8B F0 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 33 47 33 DB 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 04 5B 8B 14 24 8B 12 8B 4C 24 04 89 0C 82 8B 4C 24 08 89 4C 82 04 8B 4C 24 0C 89 4C 82 08 43 4F 75 D0 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67591_0 {
	meta:
		name = "TInterlocked.CompareExchange<T>"
		size = 48
		refs = "001e TInterlocked.CompareExchange"
	strings:
		$1 = { 83 C4 F0 89 4C 24 08 89 54 24 04 89 04 24 8D 44 24 08 8B 08 8D 44 24 04 8B 10 8B 04 24 E8 ?? ?? ?? ?? 8D 54 24 0C 89 02 8B 44 24 0C 83 C4 10 C3 }
	condition:
		$1
}

rule function_67650_0 {
	meta:
		name = "TValue.AsType<System.Boolean>"
		size = 53
		refs = "000e TValue.TryAsType<System.Boolean> 0018 SInvalidCast 001f _Dn_EInvalidCast 0024 Exception.CreateRes 0029 @RaiseExcept"
	strings:
		$1 = { 83 C4 F8 89 04 24 8D 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 44 24 04 59 5A C3 }
	condition:
		$1
}

rule function_67657_0 {
	meta:
		name = "TValue.AsType<System.AnsiChar>"
		size = 53
		refs = "000e TValue.TryAsType<System.AnsiChar> 0018 SInvalidCast 001f _Dn_EInvalidCast 0024 Exception.CreateRes 0029 @RaiseExcept"
	strings:
		$1 = { 83 C4 F8 89 04 24 8D 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 44 24 04 59 5A C3 }
	condition:
		$1
}

rule function_67651_0 {
	meta:
		name = "TValue.AsType<System.Extended>"
		size = 53
		refs = "000e TValue.TryAsType<System.Extended> 0018 SInvalidCast 001f _Dn_EInvalidCast 0024 Exception.CreateRes 0029 @RaiseExcept"
	strings:
		$1 = { 83 C4 E4 89 04 24 8D 54 24 10 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 6C 24 10 83 C4 1C C3 }
	condition:
		$1
}

rule function_67652_0 {
	meta:
		name = "TValue.AsType<System.Int64>"
		size = 57
		refs = "000e TValue.TryAsType<System.Int64> 0018 SInvalidCast 001f _Dn_EInvalidCast 0024 Exception.CreateRes 0029 @RaiseExcept"
	strings:
		$1 = { 83 C4 F0 89 04 24 8D 54 24 08 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 08 8B 54 24 0C 83 C4 10 C3 }
	condition:
		$1
}

rule function_67670_0 {
	meta:
		name = "TValue.AsType<System.UInt64>"
		size = 57
		refs = "000e TValue.TryAsType<System.UInt64> 0018 SInvalidCast 001f _Dn_EInvalidCast 0024 Exception.CreateRes 0029 @RaiseExcept"
	strings:
		$1 = { 83 C4 F0 89 04 24 8D 54 24 08 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 08 8B 54 24 0C 83 C4 10 C3 }
	condition:
		$1
}

rule function_67653_0 {
	meta:
		name = "TValue.AsType<System.IInterface>"
		size = 59
		refs = "000f @IntfClear 0019 TValue.TryAsType<System.IInterface> 0023 SInvalidCast 002a _Dn_EInvalidCast 002f Exception.CreateRes 0034 @RaiseExcept"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 44 24 04 E8 ?? ?? ?? ?? 8B D0 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_67655_0 {
	meta:
		name = "TValue.AsType<System.Variant>"
		size = 59
		refs = "000f @VarClr 0019 TValue.TryAsType<System.Variant> 0023 SInvalidCast 002a _Dn_EInvalidCast 002f Exception.CreateRes 0034 @RaiseExcept"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 44 24 04 E8 ?? ?? ?? ?? 8B D0 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_67654_0 {
	meta:
		name = "TValue.AsType<System.string>"
		size = 59
		refs = "000f @UStrClr 0019 TValue.TryAsType<System.string> 0023 SInvalidCast 002a _Dn_EInvalidCast 002f Exception.CreateRes 0034 @RaiseExcept"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 44 24 04 E8 ?? ?? ?? ?? 8B D0 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_67656_0 {
	meta:
		name = "TValue.AsType<System.Currency>"
		size = 53
		refs = "000e TValue.TryAsType<System.Currency> 0018 SInvalidCast 001f _Dn_EInvalidCast 0024 Exception.CreateRes 0029 @RaiseExcept"
	strings:
		$1 = { 83 C4 F0 89 04 24 8D 54 24 08 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DF 6C 24 08 83 C4 10 C3 }
	condition:
		$1
}

rule function_67659_0 {
	meta:
		name = "TValue.From<System.Single>"
		size = 42
		refs = "000c TValue 0011 @FinalizeRecord 001c Single 0021 TValue.Make"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5D C2 04 00 }
	condition:
		$1
}

rule function_67806_0 {
	meta:
		name = "TArray.Sort<System.Rtti.TRttiPackage>"
		size = 27
		refs = "0012 TArray.QuickSort<System.Rtti.TRttiPackage>"
	strings:
		$1 = { 55 8B EC 51 89 55 FC 8B 55 08 52 6A 00 51 8B 55 FC E8 ?? ?? ?? ?? 59 5D C2 04 00 }
	condition:
		$1
}

rule function_67808_0 {
	meta:
		name = "TArray.Sort<System.Rtti.TRttiPackage>"
		size = 101
		refs = "0018 TArray.Sort<System.Rtti.TRttiPackage> 0026 _DV_TComparer<System.Rtti.TRttiPackage> 002b TComparer<System.Rtti.TRttiPackage>.Default 003e TArray.QuickSort<System.Rtti.TRttiPackage> 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 56 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_67811_0 {
	meta:
		name = "TArrayHelper.Concat<System.Rtti.TRttiType>"
		size = 129
		refs = "001f @DynArrayLength 0037 TArray<System.Rtti.TRttiType> 003c @DynArraySetLength 0052 @DynArrayHigh"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B E8 33 DB 8B 3C 24 85 FF 7C 12 47 8B F5 8B 06 E8 ?? ?? ?? ?? 03 D8 83 C6 04 4F 75 F1 53 8B 44 24 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 F6 8B 3C 24 85 FF 7C 2E 47 8B DD 8B 03 E8 ?? ?? ?? ?? 8B D0 85 D2 7C 18 42 33 C0 8B 0B 8B 0C 81 8B 6C 24 04 8B 6D 00 89 4C B5 00 46 40 4A 75 EB 83 C3 04 4F 75 D5 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67866_0 {
	meta:
		name = "TArrayHelper.Concat<System.Rtti.TRttiField>"
		size = 129
		refs = "001f @DynArrayLength 0037 TArray<System.Rtti.TRttiField> 003c @DynArraySetLength 0052 @DynArrayHigh"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B E8 33 DB 8B 3C 24 85 FF 7C 12 47 8B F5 8B 06 E8 ?? ?? ?? ?? 03 D8 83 C6 04 4F 75 F1 53 8B 44 24 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 F6 8B 3C 24 85 FF 7C 2E 47 8B DD 8B 03 E8 ?? ?? ?? ?? 8B D0 85 D2 7C 18 42 33 C0 8B 0B 8B 0C 81 8B 6C 24 04 8B 6D 00 89 4C B5 00 46 40 4A 75 EB 83 C3 04 4F 75 D5 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67867_0 {
	meta:
		name = "TArrayHelper.Concat<System.Rtti.TRttiIndexedProperty>"
		size = 129
		refs = "001f @DynArrayLength 0037 TArray<System.Rtti.TRttiIndexedProperty> 003c @DynArraySetLength 0052 @DynArrayHigh"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B E8 33 DB 8B 3C 24 85 FF 7C 12 47 8B F5 8B 06 E8 ?? ?? ?? ?? 03 D8 83 C6 04 4F 75 F1 53 8B 44 24 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 F6 8B 3C 24 85 FF 7C 2E 47 8B DD 8B 03 E8 ?? ?? ?? ?? 8B D0 85 D2 7C 18 42 33 C0 8B 0B 8B 0C 81 8B 6C 24 04 8B 6D 00 89 4C B5 00 46 40 4A 75 EB 83 C3 04 4F 75 D5 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67975_0 {
	meta:
		name = "TArrayHelper.Concat<System.Rtti.TRttiInterfaceType>"
		size = 129
		refs = "001f @DynArrayLength 0037 TArray<System.Rtti.TRttiInterfaceType> 003c @DynArraySetLength 0052 @DynArrayHigh"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B E8 33 DB 8B 3C 24 85 FF 7C 12 47 8B F5 8B 06 E8 ?? ?? ?? ?? 03 D8 83 C6 04 4F 75 F1 53 8B 44 24 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 F6 8B 3C 24 85 FF 7C 2E 47 8B DD 8B 03 E8 ?? ?? ?? ?? 8B D0 85 D2 7C 18 42 33 C0 8B 0B 8B 0C 81 8B 6C 24 04 8B 6D 00 89 4C B5 00 46 40 4A 75 EB 83 C3 04 4F 75 D5 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67868_0 {
	meta:
		name = "TArrayHelper.Concat<System.Rtti.TRttiMethod>"
		size = 129
		refs = "001f @DynArrayLength 0037 TArray<System.Rtti.TRttiMethod> 003c @DynArraySetLength 0052 @DynArrayHigh"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B E8 33 DB 8B 3C 24 85 FF 7C 12 47 8B F5 8B 06 E8 ?? ?? ?? ?? 03 D8 83 C6 04 4F 75 F1 53 8B 44 24 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 F6 8B 3C 24 85 FF 7C 2E 47 8B DD 8B 03 E8 ?? ?? ?? ?? 8B D0 85 D2 7C 18 42 33 C0 8B 0B 8B 0C 81 8B 6C 24 04 8B 6D 00 89 4C B5 00 46 40 4A 75 EB 83 C3 04 4F 75 D5 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68082_0 {
	meta:
		name = "TArrayHelper.Concat<System.Rtti.TRttiParameter>"
		size = 129
		refs = "001f @DynArrayLength 0037 TArray<System.Rtti.TRttiParameter> 003c @DynArraySetLength 0052 @DynArrayHigh"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B E8 33 DB 8B 3C 24 85 FF 7C 12 47 8B F5 8B 06 E8 ?? ?? ?? ?? 03 D8 83 C6 04 4F 75 F1 53 8B 44 24 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 F6 8B 3C 24 85 FF 7C 2E 47 8B DD 8B 03 E8 ?? ?? ?? ?? 8B D0 85 D2 7C 18 42 33 C0 8B 0B 8B 0C 81 8B 6C 24 04 8B 6D 00 89 4C B5 00 46 40 4A 75 EB 83 C3 04 4F 75 D5 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67869_0 {
	meta:
		name = "TArrayHelper.Concat<System.Rtti.TRttiProperty>"
		size = 129
		refs = "001f @DynArrayLength 0037 TArray<System.Rtti.TRttiProperty> 003c @DynArraySetLength 0052 @DynArrayHigh"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B E8 33 DB 8B 3C 24 85 FF 7C 12 47 8B F5 8B 06 E8 ?? ?? ?? ?? 03 D8 83 C6 04 4F 75 F1 53 8B 44 24 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 F6 8B 3C 24 85 FF 7C 2E 47 8B DD 8B 03 E8 ?? ?? ?? ?? 8B D0 85 D2 7C 18 42 33 C0 8B 0B 8B 0C 81 8B 6C 24 04 8B 6D 00 89 4C B5 00 46 40 4A 75 EB 83 C3 04 4F 75 D5 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67865_0 {
	meta:
		name = "TListHelper.ToArray<System.TCustomAttribute>"
		size = 73
		refs = "0018 TArray<System.TCustomAttribute> 001d @DynArraySetLength 0034 TList<System.TCustomAttribute>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68027_0 {
	meta:
		name = "TListHelper.ToArray<System.Rtti.TRttiField>"
		size = 73
		refs = "0018 TArray<System.Rtti.TRttiField> 001d @DynArraySetLength 0034 TList<System.Rtti.TRttiField>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68079_0 {
	meta:
		name = "TListHelper.ToArray<System.Rtti.TRttiManagedField>"
		size = 73
		refs = "0018 TArray<System.Rtti.TRttiManagedField> 001d @DynArraySetLength 0034 TList<System.Rtti.TRttiManagedField>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67974_0 {
	meta:
		name = "TListHelper.ToArray<System.Rtti.TRttiMethod>"
		size = 73
		refs = "0018 TArray<System.Rtti.TRttiMethod> 001d @DynArraySetLength 0034 TList<System.Rtti.TRttiMethod>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_67922_0 {
	meta:
		name = "TListHelper.ToArray<System.Rtti.TRttiProperty>"
		size = 73
		refs = "0018 TArray<System.Rtti.TRttiProperty> 001d @DynArraySetLength 0034 TList<System.Rtti.TRttiProperty>.GetItem"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B 46 08 50 8B 44 24 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 04 9A 43 4F 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68254_0 {
	meta:
		name = "TValue.TryAsType<System.Variant>"
		size = 160
		refs = "0029 TValue 002e @InitializeRecord 0036 TValue.TryAsType<System.Variant> 004a @FinalizeRecord 0055 Variant 005a TValue.TryCast 0068 @VarClr 0072 TValue.Get<System.Variant> 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 E0 89 45 E4 8B 45 E0 8B 55 E0 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 12 8B 45 E0 E8 ?? ?? ?? ?? 8B D0 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68477_0 {
	meta:
		name = "TArray.QuickSort<System.Rtti.TMethodImplementation.TParamLoc>"
		size = 291
		refs = "010a TArray.QuickSort<System.Rtti.TMethodImplementation.TParamLoc>"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 FC 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E EE 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8D 04 40 8B 55 F8 8B 0C 82 89 4D E8 8B 4C 82 04 89 4D EC 8B 4C 82 08 89 4D F0 EB 01 43 8D 04 5B 8B 55 F8 8D 14 82 8D 4D E8 8B 45 10 8B 38 FF 57 0C 85 C0 7C E7 EB 01 4E 8D 04 76 8B 55 F8 8D 14 82 8D 4D E8 8B 45 10 8B 38 FF 57 0C 85 C0 7F E7 3B F3 7C 59 3B F3 74 53 8D 04 5B 8B 55 F8 8B 0C 82 89 4D DC 8B 4C 82 04 89 4D E0 8B 4C 82 08 89 4D E4 8B 55 F8 8D 0C 76 8B 7D F8 8D 14 82 8B 04 8F 89 02 8B 44 8F 04 89 42 04 8B 44 8F 08 89 42 08 8D 04 76 8B 55 F8 8B 4D DC 89 0C 82 8B 4D E0 89 4C 82 04 8B 4D E4 89 4C 82 08 43 4E 3B F3 0F 8D 68 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 12 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_68508_0 {
	meta:
		name = "TValue.Get<System.Variant>"
		size = 75
		refs = "0036 @FillChar 0043 TValue.ExtractRawData"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 55 F8 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 8B 45 FC 83 38 00 75 11 8B 45 F8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? EB 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_68599_0 {
	meta:
		name = "HeapAddRef"
		size = 92
		refs = "0002 HeapAddRef 0007 GetModuleHandle 0014 GetProcAddress"
	strings:
		$1 = { 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 74 04 8B D8 FF D3 5B C3 00 00 62 00 6F 00 72 00 6C 00 6E 00 64 00 6D 00 6D 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 40 42 6F 72 6C 6E 64 6D 6D 40 48 65 61 70 41 64 64 52 65 66 24 71 71 72 76 00 00 00 }
	condition:
		$1
}

rule function_68600_0 {
	meta:
		name = "HeapRelease"
		size = 92
		refs = "0002 HeapRelease 0007 GetModuleHandle 0014 GetProcAddress"
	strings:
		$1 = { 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 74 04 8B D8 FF D3 5B C3 00 00 62 00 6F 00 72 00 6C 00 6E 00 64 00 6D 00 6D 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 40 42 6F 72 6C 6E 64 6D 6D 40 48 65 61 70 52 65 6C 65 61 73 65 24 71 71 72 76 00 00 }
	condition:
		$1
}

rule function_68606_0 {
	meta:
		name = "InitMemoryManager"
		size = 372
		refs = "0003 SharedMemoryManager 0009 SysGetMem 000e InitMemoryManager 0013 GetModuleHandle 0020 GetProcAddress 007b SetMemoryManager"
	strings:
		$1 = { 53 56 BE ?? ?? ?? ?? C7 06 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 89 06 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 89 46 04 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 89 46 08 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 74 03 89 46 0C 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 74 03 89 46 10 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 74 03 89 46 14 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 62 00 6F 00 72 00 6C 00 6E 00 64 00 6D 00 6D 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 40 42 6F 72 6C 6E 64 6D 6D 40 53 79 73 47 65 74 4D 65 6D 24 71 71 72 69 00 00 00 00 40 42 6F 72 6C 6E 64 6D 6D 40 53 79 73 46 72 65 65 4D 65 6D 24 71 71 72 70 76 00 00 40 42 6F 72 6C 6E 64 6D 6D 40 53 79 73 52 65 61 6C 6C 6F 63 4D 65 6D 24 71 71 72 70 76 69 00 00 40 42 6F 72 6C 6E 64 6D 6D 40 53 79 73 41 6C 6C 6F 63 4D 65 6D 24 71 71 72 69 00 00 40 42 6F 72 6C 6E 64 6D 6D 40 53 79 73 52 65 67 69 73 74 65 72 45 78 70 65 63 74 65 64 4D 65 6D 6F 72 79 4C 65 61 6B 24 71 71 72 70 69 00 00 00 40 42 6F 72 6C 6E 64 6D 6D 40 53 79 73 55 6E 72 65 67 69 73 74 65 72 45 78 70 65 63 74 65 64 4D 65 6D 6F 72 79 4C 65 61 6B 24 71 71 72 70 69 00 }
	condition:
		$1
}

rule function_68608_0 {
	meta:
		name = "System.ShareMem"
		size = 59
		refs = "0002 _DV_1 000b SharedMemoryManager 000f DefaultAllocMem 0019 DefaultRegisterAndUnregisterExpectedMemoryLeak 0028 HeapAddRef 002d IsMemoryManagerSet 0036 InitMemoryManager"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 31 C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68610_0 {
	meta:
		name = "System.SimpleShareMem"
		size = 24
		refs = "0002 _DV_1 000a AttemptToUseSharedMemoryManager 0013 ShareMemoryManager"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0E E8 ?? ?? ?? ?? 84 C0 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68611_0 {
	meta:
		name = "FahrenheitToCelsius"
		size = 52
		refs = "000b FahrenheitToCelsius"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 08 D8 25 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 00 42 00 00 A0 40 00 00 10 41 }
	condition:
		$1
}

rule function_68612_0 {
	meta:
		name = "CelsiusToFahrenheit"
		size = 52
		refs = "000b CelsiusToFahrenheit"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 08 D8 0D ?? ?? ?? ?? D8 35 ?? ?? ?? ?? D8 05 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 10 41 00 00 A0 40 00 00 00 42 }
	condition:
		$1
}

rule function_68613_0 {
	meta:
		name = "KelvinToCelsius"
		size = 40
		refs = "0008 KelvinToCelsius"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DB 2D ?? ?? ?? ?? DC 6D 08 DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 33 33 33 33 33 33 93 88 07 40 00 00 }
	condition:
		$1
}

rule function_68614_0 {
	meta:
		name = "CelsiusToKelvin"
		size = 40
		refs = "0008 CelsiusToKelvin"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DB 2D ?? ?? ?? ?? DC 45 08 DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 33 33 33 33 33 33 93 88 07 40 00 00 }
	condition:
		$1
}

rule function_68615_0 {
	meta:
		name = "RankineToCelsius"
		size = 52
		refs = "0008 RankineToCelsius 0017 FahrenheitToCelsius"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DB 2D ?? ?? ?? ?? DC 6D 08 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 C3 F5 28 5C 8F C2 D5 E5 07 40 00 00 }
	condition:
		$1
}

rule function_68616_0 {
	meta:
		name = "CelsiusToRankine"
		size = 52
		refs = "000d CelsiusToFahrenheit 0013 CelsiusToRankine"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C1 DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 C3 F5 28 5C 8F C2 D5 E5 07 40 00 00 }
	condition:
		$1
}

rule function_68617_0 {
	meta:
		name = "ReaumurToCelsius"
		size = 64
		refs = "000b ReaumurToCelsius 0023 FahrenheitToCelsius"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 08 D8 0D ?? ?? ?? ?? D8 35 ?? ?? ?? ?? D8 05 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 10 41 00 00 80 40 00 00 00 42 }
	condition:
		$1
}

rule function_68618_0 {
	meta:
		name = "CelsiusToReaumur"
		size = 60
		refs = "000d CelsiusToFahrenheit 0013 CelsiusToReaumur"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 00 00 00 42 00 00 80 40 00 00 10 41 }
	condition:
		$1
}

rule function_68624_0 {
	meta:
		name = "Finalization"
		size = 81
		refs = "0002 _DV_1 000b cbDistance 0010 UnregisterConversionFamily 0017 cbArea 0023 cbVolume 002f cbMass 003b cbTemperature 0047 cbTime"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 48 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68625_0 {
	meta:
		name = "System.StdConvs"
		size = 6284
		refs = "0013 cbVolume 0018 cbDistance 001d cbMass 0025 System.StdConvs 0031 _DV_1 0040 SDistanceDescription 0045 LoadResString 004d RegisterConversionFamily 0062 SMicromicronsDescription 0072 RegisterConversionType 0078 duMicromicrons 008a SAngstromsDescription 00a0 duAngstroms 00b2 SMillimicronsDescription 00c8 duMillimicrons 00da SMicronsDescription 00f0 duMicrons 0102 SMillimetersDescription 0118 duMillimeters 012a SCentimetersDescription 0140 duCentimeters 0152 SDecimetersDescription 0168 duDecimeters 0177 SMetersDescription 018d duMeters 019c SDecametersDescription 01b2 duDecameters 01c1 SHectometersDescription 01d7 duHectometers 01e6 SKilometersDescription 01fc duKilometers 020b SMegametersDescription 0221 duMegameters 0230 SGigametersDescription 0246 duGigameters 0258 SInchesDescription 026e duInches 0280 SFeetDescription 0296 duFeet 02a8 SYardsDescription 02be duYards 02d0 SMilesDescription 02e6 duMiles 02f5 SNauticalMilesDescription 030b duNauticalMiles 031d SAstronomicalUnitsDescription 0333 duAstronomicalUnits 0345 SLightYearsDescription 035b duLightYears 036d SParsecsDescription 0383 duParsecs 0395 SCubitsDescription 03ab duCubits 03bd SFathomsDescription 03d3 duFathoms 03e5 SFurlongsDescription 03fb duFurlongs 040d SHandsDescription 0423 duHands 0435 SPacesDescription 044b duPaces 045d SRodsDescription 0473 duRods 0485 SChainsDescription 049b duChains 04ad SLinksDescription 04c3 duLinks 04d5 SPicasDescription 04eb duPicas 04fd SPointsDescription 0513 duPoints 051e SAreaDescription 0534 cbArea 0549 SSquareMillimetersDescription 0566 auSquareMillimeters 057b SSquareCentimetersDescription 0598 auSquareCentimeters 05ad SSquareDecimetersDescription 05ca auSquareDecimeters 05dc SSquareMetersDescription 05f9 auSquareMeters 060b SSquareDecametersDescription 0628 auSquareDecameters 063a SSquareHectometersDescription 0657 auSquareHectometers 0669 SSquareKilometersDescription 0686 auSquareKilometers 069b SSquareInchesDescription 06b8 auSquareInches 06cd SSquareFeetDescription 06ea auSquareFeet 06ff SSquareYardsDescription 071c auSquareYards 0731 SSquareMilesDescription 074e auSquareMiles 0763 SAcresDescription 0780 auAcres 0792 SCentaresDescription 07af auCentares 07c1 SAresDescription 07de auAres 07f0 SHectaresDescription 080d auHectares 0822 SSquareRodsDescription 083f auSquareRods 084a SVolumeDescription 0872 SCubicMillimetersDescription 088b vuCubicMillimeters 08a0 SCubicCentimetersDescription 08b9 vuCubicCentimeters 08ce SCubicDecimetersDescription 08e7 vuCubicDecimeters 08f9 SCubicMetersDescription 0912 vuCubicMeters 0924 SCubicDecametersDescription 093d vuCubicDecameters 094f SCubicHectometersDescription 0968 vuCubicHectometers 097a SCubicKilometersDescription 0993 vuCubicKilometers 09a8 SCubicInchesDescription 09c1 vuCubicInches 09d6 SCubicFeetDescription 09ef vuCubicFeet 0a04 SCubicYardsDescription 0a1d vuCubicYards 0a32 SCubicMilesDescription 0a4b vuCubicMiles 0a60 SMilliLitersDescription 0a79 vuMilliLiters 0a8e SCentiLitersDescription 0aa7 vuCentiLiters 0abc SDeciLitersDescription 0ad5 vuDeciLiters 0aea SLitersDescription 0b03 vuLiters 0b18 SDecaLitersDescription 0b31 vuDecaLiters 0b46 SHectoLitersDescription 0b5f vuHectoLiters 0b71 SKiloLitersDescription 0b8a vuKiloLiters 0b9f SAcreFeetDescription 0bb8 vuAcreFeet 0bcd SAcreInchesDescription 0be6 vuAcreInches 0bfb SCordsDescription 0c14 vuCords 0c29 SCordFeetDescription 0c42 vuCordFeet 0c57 SDecisteresDescription 0c70 vuDecisteres 0c82 SSteresDescription 0c9b vuSteres 0cad SDecasteresDescription 0cc6 vuDecasteres 0cdb SFluidGallonsDescription 0cf4 vuFluidGallons 0d09 SFluidQuartsDescription 0d22 vuFluidQuarts 0d37 SFluidPintsDescription 0d50 vuFluidPints 0d65 SFluidCupsDescription 0d7e vuFluidCups 0d93 SFluidGillsDescription 0dac vuFluidGills 0dc1 SFluidOuncesDescription 0dda vuFluidOunces 0def SFluidTablespoonsDescription 0e08 vuFluidTablespoons 0e1d SFluidTeaspoonsDescription 0e36 vuFluidTeaspoons 0e4b SDryGallonsDescription 0e64 vuDryGallons 0e79 SDryQuartsDescription 0e92 vuDryQuarts 0ea7 SDryPintsDescription 0ec0 vuDryPints 0ed5 SDryPecksDescription 0eee vuDryPecks 0f03 SDryBucketsDescription 0f1c vuDryBuckets 0f31 SDryBushelsDescription 0f4a vuDryBushels 0f5f SUKGallonsDescription 0f78 vuUKGallons 0f8d SUKPottlesDescription 0fa6 vuUKPottles 0fbb SUKQuartsDescription 0fd4 vuUKQuarts 0fe9 SUKPintsDescription 1002 vuUKPints 1017 SUKGillsDescription 1030 vuUKGills 1045 SUKOuncesDescription 105e vuUKOunces 1073 SUKPecksDescription 108c vuUKPecks 10a1 SUKBucketsDescription 10ba vuUKBuckets 10cf SUKBushelsDescription 10e8 vuUKBushels 10f3 SMassDescription 111b SNanogramsDescription 1134 muNanograms 1149 SMicrogramsDescription 1162 muMicrograms 1177 SMilligramsDescription 1190 muMilligrams 11a5 SCentigramsDescription 11be muCentigrams 11d3 SDecigramsDescription 11ec muDecigrams 11fe SGramsDescription 1217 muGrams 1229 SDecagramsDescription 1242 muDecagrams 1254 SHectogramsDescription 126d muHectograms 127f SKilogramsDescription 1298 muKilograms 12aa SMetricTonsDescription 12c3 muMetricTons 12d8 SDramsDescription 12f1 muDrams 1306 SGrainsDescription 131f muGrains 1334 STonsDescription 134d muTons 1362 SLongTonsDescription 137b muLongTons 1390 SOuncesDescription 13a9 muOunces 13be SPoundsDescription 13d7 muPounds 13ec SStonesDescription 1405 muStones 1410 STemperatureDescription 1426 cbTemperature 1438 SCelsiusDescription 1455 tuCelsius 145a CelsiusToKelvin 1465 SKelvinDescription 1475 KelvinToCelsius 1487 tuKelvin 148c CelsiusToFahrenheit 1497 SFahrenheitDescription 14a7 FahrenheitToCelsius 14b9 tuFahrenheit 14be CelsiusToRankine 14c9 SRankineDescription 14d9 RankineToCelsius 14eb tuRankine 14f0 CelsiusToReaumur 14fb SReaumurDescription 150b ReaumurToCelsius 151d tuReaumur 1528 STimeDescription 153e cbTime 1553 SMilliSecondsDescription 1570 tuMilliSeconds 1585 SSecondsDescription 15a2 tuSeconds 15b7 SMinutesDescription 15d4 tuMinutes 15e9 SHoursDescription 1606 tuHours 1618 SDaysDescription 1635 tuDays 1647 SWeeksDescription 1664 tuWeeks 1676 SFortnightsDescription 1693 tuFortnights 1698 ApproxDaysPerMonth 16a8 SMonthsDescription 16c5 tuMonths 16ca ApproxDaysPerYear 16da SYearsDescription 16f7 tuYears 1716 SDecadesDescription 1733 tuDecades 1752 SCenturiesDescription 176f tuCenturies 178e SMillenniaDescription 17ab tuMillennia 17bd SDateTimeDescription 17da tuDateTime 17df ConvDateTimeToJulianDate 17ea SJulianDateDescription 17fa ConvJulianDateToDateTime 180c tuJulianDate 1811 ConvDateTimeToModifiedJulianDate 181c SModifiedJulianDateDescription 182c ConvModifiedJulianDateToDateTime 183e tuModifiedJulianDate 185b @UStrArrayClr 1871 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 45 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 BB ?? ?? ?? ?? BE ?? ?? ?? ?? BF ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 0F 83 06 18 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 66 89 06 68 99 97 71 3D 68 11 EA 2D 81 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 DF 7C DB 3D 68 BB BD D7 D9 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 0B 2E 11 3E 68 95 D6 26 E8 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 F7 C6 B0 3E 68 8D ED B5 A0 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 4D 62 50 3F 68 FC A9 F1 D2 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 E1 7A 84 3F 68 7B 14 AE 47 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 99 99 B9 3F 68 9A 99 99 99 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 00 00 F0 3F 6A 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 00 00 24 40 6A 00 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 00 00 59 40 6A 00 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 00 40 8F 40 6A 00 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 80 84 2E 41 6A 00 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 65 CD CD 41 6A 00 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 75 02 9A 3F 68 A6 0A 46 25 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 D7 81 D3 3F 68 FD 87 F4 DB 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 C3 42 ED 3F 68 FB CB EE C9 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 60 25 99 40 68 4C 37 89 41 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B8 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 00 F0 9C 40 6A 00 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 5E 6A 41 42 68 00 00 C0 29 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 26 CE 40 43 68 FF EB 7A 75 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 06 68 5B 43 68 FB 47 C1 4B 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 C3 42 DD 3F 68 FB CB EE C9 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 C3 42 FD 3F 68 FB CB EE C9 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 60 25 69 40 68 4C 37 89 41 8D 55 9C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 75 02 BA 3F 68 A6 0A 46 25 8D 55 98 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 98 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 4D 62 E8 3F 68 FC A9 F1 D2 8D 55 94 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 E6 1D 14 40 68 3D 2C D4 9A 8D 55 90 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 90 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 E6 1D 34 40 68 3D 2C D4 9A 8D 55 8C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 8C 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 DF BF C9 3F 68 A0 38 80 7E 8D 55 88 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 88 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 63 46 71 3F 68 82 CC 98 42 8D 55 84 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 84 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 84 08 37 3F 68 58 BB CB 58 8D 55 80 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 80 0F B7 06 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 8D 95 7C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 7C FF FF FF E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 F7 C6 B0 3E 68 8D ED B5 A0 8D 95 78 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 E2 36 1A 3F 68 2D 43 1C EB 8D 95 74 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 E1 7A 84 3F 68 7B 14 AE 47 8D 95 70 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 00 00 F0 3F 6A 00 8D 95 6C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 00 00 59 40 6A 00 8D 95 68 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 00 88 C3 40 6A 00 8D 95 64 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 64 FF FF FF 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 80 84 2E 41 6A 00 8D 95 60 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 FE 23 45 3F 68 CB 52 E3 8C 8D 95 5C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 5C FF FF FF 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 7E C8 B7 3F 68 25 BD 7F 5E 8D 95 58 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 58 FF FF FF 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 8E C1 EA 3F 68 C9 B4 4F 2A 8D 95 54 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 54 FF FF FF 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 92 C2 43 41 68 74 7D 1F 0E 8D 95 50 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 B6 9D AF 40 68 20 2F FF 7C 8D 95 4C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 4C FF FF FF 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 00 00 F0 3F 6A 00 8D 95 48 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 48 FF FF FF 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 00 00 59 40 6A 00 8D 95 44 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 44 FF FF FF 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 00 88 C3 40 6A 00 8D 95 40 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 40 FF FF FF 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 F8 4A 39 40 68 E6 58 FF 63 8D 95 3C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 3C FF FF FF 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 8D 95 38 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 38 FF FF FF E8 ?? ?? ?? ?? 66 89 03 68 0B 2E 11 3E 68 95 D6 26 E8 8D 95 34 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 34 FF FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 F7 C6 B0 3E 68 8D ED B5 A0 8D 95 30 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 30 FF FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 4D 62 50 3F 68 FC A9 F1 D2 8D 95 2C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 2C FF FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 00 00 F0 3F 6A 00 8D 95 28 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 28 FF FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 00 40 8F 40 6A 00 8D 95 24 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 24 FF FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 80 84 2E 41 6A 00 8D 95 20 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 20 FF FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 65 CD CD 41 6A 00 8D 95 1C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 1C FF FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 DE 2E F1 3E 68 B2 18 9C 76 8D 95 18 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 18 FF FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 17 FF 9C 3F 68 AD 69 27 68 8D 95 14 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 14 FF FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 3B 77 E8 3F 68 2A 41 E1 BF 8D 95 10 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 10 FF FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 2D 0E EF 41 68 3A 19 2E 08 8D 95 0C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 0C FF FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 F7 C6 B0 3E 68 8D ED B5 A0 8D 95 08 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 08 FF FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 B5 F8 E4 3E 68 F1 68 E3 88 8D 95 04 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 04 FF FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 E2 36 1A 3F 68 2D 43 1C EB 8D 95 00 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 00 FF FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 4D 62 50 3F 68 FC A9 F1 D2 8D 95 FC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 FC FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 E1 7A 84 3F 68 7B 14 AE 47 8D 95 F8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 99 99 B9 3F 68 9A 99 99 99 8D 95 F4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 00 00 F0 3F 6A 00 8D 95 F0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F0 FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 ED 45 93 40 68 55 72 D2 66 8D 95 EC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 EC FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 91 B2 59 40 68 C7 ED 6D DE 8D 95 E8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 E8 FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 17 FF 0C 40 68 AD 69 27 68 8D 95 E4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 E4 FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 17 FF DC 3F 68 AD 69 27 68 8D 95 E0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 E0 FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 99 99 B9 3F 68 9A 99 99 99 8D 95 DC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 DC FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 00 00 F0 3F 6A 00 8D 95 D8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 D8 FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 00 00 24 40 6A 00 8D 95 D4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 D4 FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 95 02 6F 3F 68 92 B4 0D 7A 8D 95 D0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 D0 FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 95 02 4F 3F 68 92 B4 0D 7A 8D 95 CC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 CC FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 95 02 3F 3F 68 92 B4 0D 7A 8D 95 C8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 C8 FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 95 02 2F 3F 68 92 B4 0D 7A 8D 95 C4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 C4 FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 95 02 1F 3F 68 92 B4 0D 7A 8D 95 C0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 C0 FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 95 02 FF 3E 68 92 B4 0D 7A 8D 95 BC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 BC FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 95 02 EF 3E 68 92 B4 0D 7A 8D 95 B8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 B8 FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 63 AC D4 3E 68 B6 CD B3 A6 8D 95 B4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 B4 FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 DA 0A 72 3F 68 71 FF D0 FB 8D 95 B0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 B0 FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 DA 0A 52 3F 68 71 FF D0 FB 8D 95 AC FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 AC FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 DA 0A 42 3F 68 71 FF D0 FB 8D 95 A8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 A8 FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 DA 0A 82 3F 68 71 FF D0 FB 8D 95 A4 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 A4 FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 DA 0A 92 3F 68 71 FF D0 FB 8D 95 A0 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 A0 FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 DA 0A A2 3F 68 71 FF D0 FB 8D 95 9C FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 9C FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 EB 9E 72 3F 68 BD A8 FE BD 8D 95 98 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 98 FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 EB 9E 62 3F 68 BD A8 FE BD 8D 95 94 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 94 FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 EB 9E 52 3F 68 BD A8 FE BD 8D 95 90 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 90 FE FF FF 0F B7 03 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 EB 9E 42 3F 68 BD A8 FE BD 8D 95 8C FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 8C FE FF FF 0F B7 03 E8 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_68626_0 {
	meta:
		name = "ResemblesText"
		size = 22
		refs = "0004 ResemblesProc"
	strings:
		$1 = { 33 C9 83 3D ?? ?? ?? ?? 00 74 08 FF 15 ?? ?? ?? ?? 8B C8 8B C1 C3 }
	condition:
		$1
}

rule function_68627_0 {
	meta:
		name = "AnsiResemblesText"
		size = 22
		refs = "0004 AnsiResemblesProc"
	strings:
		$1 = { 33 C9 83 3D ?? ?? ?? ?? 00 74 08 FF 15 ?? ?? ?? ?? 8B C8 8B C1 C3 }
	condition:
		$1
}

rule function_68631_0 {
	meta:
		name = "AnsiStartsText"
		size = 83
		refs = "000b @UStrToPWChar 0044 CompareString"
	strings:
		$1 = { 53 56 57 55 8B F2 8B F8 8B C6 E8 ?? ?? ?? ?? 8B E8 8B C7 85 C0 74 05 83 E8 04 8B 00 8B D8 8B C6 85 C0 74 05 83 E8 04 8B 00 3B C3 7D 04 33 C0 EB 1D 53 8B C7 E8 ?? ?? ?? ?? 50 53 55 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 F8 02 0F 94 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68633_0 {
	meta:
		name = "AnsiEndsText"
		size = 104
		refs = "002f ByteType 003a @UStrToPWChar 0054 CompareStringW"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C7 85 C0 74 05 83 E8 04 8B 00 8B D6 85 D2 74 05 83 EA 04 8B 12 8B D8 2B DA 43 85 DB 7E 3C 85 F6 74 38 8B D3 8B C7 E8 ?? ?? ?? ?? 3C 02 74 2B 8B C6 E8 ?? ?? ?? ?? 8B F0 8D 44 5F FE 8B D8 6A FF 53 6A FF 56 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 85 C0 0F 94 C0 EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68641_0 {
	meta:
		name = "AnsiIndexText"
		size = 153
		refs = "001b AnsiIndexText 003f @UStrLAsg 0054 AnsiCompareText 0083 @UStrArrayClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 EC FF FF FF FF 8B F1 85 F6 7C 3B 46 33 FF 8B 5D F0 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 13 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 05 89 7D EC EB 07 47 83 C3 04 4E 75 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 EC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68651_0 {
	meta:
		name = "AnsiIndexStr"
		size = 153
		refs = "001b AnsiIndexStr 003f @UStrLAsg 0054 AnsiCompareStr 0083 @UStrArrayClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 EC FF FF FF FF 8B F1 85 F6 7C 3B 46 33 FF 8B 5D F0 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 13 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 05 89 7D EC EB 07 47 83 C3 04 4E 75 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 EC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68645_0 {
	meta:
		name = "AnsiStartsStr"
		size = 128
		refs = "0012 AnsiStartsStr 002d @UStrLAsg 003f @UStrCopy 004a AnsiCompareStr 006b @UStrArrayClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DE 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 45 F8 50 8B CB BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68647_0 {
	meta:
		name = "AnsiEndsStr"
		size = 104
		refs = "002f ByteType 003a @UStrToPWChar 0054 CompareStringW"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C7 85 C0 74 05 83 E8 04 8B 00 8B D6 85 D2 74 05 83 EA 04 8B 12 8B D8 2B DA 43 85 DB 7E 3C 85 F6 74 38 8B D3 8B C7 E8 ?? ?? ?? ?? 3C 02 74 2B 8B C6 E8 ?? ?? ?? ?? 8B F0 8D 44 5F FE 8B D8 6A FF 53 6A FF 56 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 85 C0 0F 94 C0 EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68652_0 {
	meta:
		name = "DupeString"
		size = 74
		refs = "001f @UStrSetLength 0036 Move"
	strings:
		$1 = { 53 56 57 55 8B D9 8B FA 8B E8 8B C5 85 C0 74 05 83 E8 04 8B 00 8B F0 8B D6 0F AF D7 8B C3 E8 ?? ?? ?? ?? 8B 1B 85 DB 74 1C 85 FF 7E 18 8B CE 03 C9 8B D3 8B C5 E8 ?? ?? ?? ?? 8B C6 03 C0 03 D8 4F 85 FF 7F E8 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68653_0 {
	meta:
		name = "ReverseString"
		size = 73
		refs = "0018 @UStrSetLength 001f @UStrToPWChar"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B FB 8B C7 85 C0 74 05 83 E8 04 8B 00 8B D6 92 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B D0 8B C7 85 C0 74 05 83 E8 04 8B 00 83 F8 01 7C 10 0F B7 4C 43 FE 66 89 0A 83 C2 02 48 85 C0 75 F0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68654_0 {
	meta:
		name = "AnsiReverseString"
		size = 179
		refs = "000e @UStrClr 002c @UStrSetLength 0033 @UStrToPWChar 0070 StrNextChar"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F2 8B F8 8B C6 E8 ?? ?? ?? ?? 8B C7 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 0F 8E 85 00 00 00 8B C6 8B D3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F8 8B 06 E8 ?? ?? ?? ?? 8B E8 8B C3 03 C0 03 E8 8B C3 03 C0 03 C7 89 44 24 04 3B 7C 24 04 73 54 C7 04 24 01 00 00 00 66 81 3F 00 D8 72 1A 66 81 3F FF DF 77 13 8B C7 E8 ?? ?? ?? ?? 2B C7 D1 F8 79 03 83 D0 00 89 04 24 8B 04 24 03 C0 2B E8 8B 34 24 4E 85 F6 7C 10 46 33 DB 0F B7 04 5F 66 89 44 5D 00 43 4E 75 F3 8B 04 24 03 C0 03 F8 3B 7C 24 04 72 AC 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68657_0 {
	meta:
		name = "IfThen"
		size = 101
		refs = "0015 @UStrAddRef 001d IfThen 0030 @UStrAsg 0051 @UStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 0B 8B C6 8B D7 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_68658_0 {
	meta:
		name = "SplitString"
		size = 225
		refs = "0016 TStringDynArray 001b @DynArrayClear 004b IsDelimiter 0071 @DynArraySetLength 0087 FindDelimiter 00a4 @UStrCopy"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 89 14 24 8B D8 8B 44 24 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 0F 84 B2 00 00 00 33 C0 89 44 24 08 8B C3 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 1D BF 01 00 00 00 8B CF 8B D3 8B 04 24 E8 ?? ?? ?? ?? 84 C0 74 04 FF 44 24 08 47 4E 75 E8 8B 44 24 08 40 50 8B 44 24 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 BE 01 00 00 00 33 ED 8B CE 8B D3 8B 04 24 E8 ?? ?? ?? ?? 8B F8 85 FF 74 1B 8B 44 24 04 8B 00 8D 04 A8 50 8B CF 2B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 45 8D 77 01 3B 6C 24 08 75 CD 8B FB 85 FF 74 05 83 EF 04 8B 3F 8B 44 24 04 8B 00 8B 54 24 08 8D 04 90 50 8B CF 2B CE 41 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68661_0 {
	meta:
		name = "RightBStr"
		size = 47
		refs = "0025 @LStrCopy"
		altNames = "RightStr"
	strings:
		$1 = { 53 56 57 55 51 8B E9 8B FA 8B F0 89 34 24 8B 1C 24 85 DB 74 05 83 EB 04 8B 1B 55 8D 53 01 2B D7 8B CF 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68662_0 {
	meta:
		name = "RightStr"
		size = 45
		refs = "0024 @WStrCopy"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 8B DE 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 55 8D 53 01 2B D7 8B CF 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68668_0 {
	meta:
		name = "AnsiCountElems"
		size = 145
		refs = "002d @UStrToPWChar 0057 StrNextChar"
	strings:
		$1 = { 53 56 57 55 51 8B E9 8B DA 8B F0 33 D2 85 DB 7F 05 BB 01 00 00 00 8B C6 85 C0 74 05 83 E8 04 8B 00 8B F8 2B FB 47 85 FF 7E 5F 8B C6 E8 ?? ?? ?? ?? 8B D3 03 D2 03 C2 83 E8 02 8B F0 89 34 24 EB 34 BB 01 00 00 00 66 81 3E 00 D8 72 19 66 81 3E FF DF 77 12 8B C6 E8 ?? ?? ?? ?? 8B D8 2B DE D1 FB 79 03 83 D3 00 3B FB 7D 02 8B DF 8B C3 03 C0 03 F0 2B FB 4D 85 FF 7E 04 85 ED 7F C4 8B D6 2B 14 24 D1 FA 79 03 83 D2 00 8B C2 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68669_0 {
	meta:
		name = "AnsiCountChars"
		size = 112
		refs = "0020 @UStrToPWChar 0043 StrNextChar"
	strings:
		$1 = { 53 56 57 55 51 8B D8 33 C0 89 04 24 8B C3 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 4A 8B C3 E8 ?? ?? ?? ?? 8B F8 85 F6 7E 3D BB 01 00 00 00 0F B7 2F 66 81 FD 00 D8 72 19 66 81 FD FF DF 77 12 8B C7 E8 ?? ?? ?? ?? 8B D8 2B DF D1 FB 79 03 83 D3 00 3B F3 7D 02 8B DE 8B C3 03 C0 03 F8 2B F3 FF 04 24 85 F6 7F C3 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68670_0 {
	meta:
		name = "AnsiLeftStr"
		size = 70
		refs = "000c @UStrClr 002d AnsiCountElems 003e @UStrCopy"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 8B F8 8B C6 E8 ?? ?? ?? ?? 85 DB 7E 2E 8B C7 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1F 8B CB BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D8 56 8B CB BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68673_0 {
	meta:
		name = "FindNextWordStart"
		size = 131
		refs = "0030 WordDelimiters"
	strings:
		$1 = { 55 8B EC 53 56 8B 55 08 81 C2 F8 FE FF FF 8B 75 08 81 C6 F7 FE FF FF EB 07 0F BE 0E 01 08 FF 0A 83 3A 00 7E 25 8B 08 0F B6 09 0F B6 C9 0F A3 0D ?? ?? ?? ?? 0F 92 C1 80 3E 01 0F 94 C3 32 CB 75 D8 EB 07 0F BE 0E 01 08 FF 0A 83 3A 00 7E 1C 8B 08 0F B6 09 0F B6 C9 0F A3 0D ?? ?? ?? ?? 0F 92 C1 80 3E FF 0F 94 C3 32 CB 75 D8 83 3A 00 0F 9F C1 80 3E FF 75 07 0F BE 1E 29 18 FF 02 8B C1 5E 5B 5D C3 }
	condition:
		$1
}

rule function_68674_0 {
	meta:
		name = "SearchBuf"
		size = 532
		refs = "0021 @LStrAddRef 0029 SearchBuf 0111 CharUpperBuffA 0119 @UniqueStringA 0162 FindNextWordStart 019e WordDelimiters 01f9 @LStrClr 01ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FE FF FF 53 56 57 89 8D EC FE FF FF 8B F2 89 85 F0 FE FF FF 8B 5D 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 85 E8 FE FF FF 85 F6 0F 8E A5 01 00 00 F6 C3 01 74 50 C6 85 F7 FE FF FF 01 8B 45 10 01 85 EC FE FF FF 8B 45 0C 85 C0 74 05 83 E8 04 8B 00 8B D6 2B 95 EC FE FF FF 2B D0 42 89 95 F8 FE FF FF 83 BD F8 FE FF FF 00 0F 8C 66 01 00 00 8B 85 EC FE FF FF 03 85 F8 FE FF FF 3B F0 0F 8C 52 01 00 00 EB 26 C6 85 F7 FE FF FF FF 8B 45 0C 85 C0 74 05 83 E8 04 8B 00 29 85 EC FE FF FF 8B 85 EC FE FF FF 40 89 85 F8 FE FF FF 83 BD EC FE FF FF 00 0F 8C 1D 01 00 00 3B B5 EC FE FF FF 0F 8C 11 01 00 00 8B 85 F0 FE FF FF 8B 95 EC FE FF FF 03 C2 89 85 E8 FE FF FF 33 D2 8D 85 FF FE FF FF 88 10 42 40 84 D2 75 F8 C6 45 FF 00 F6 C3 02 75 2E 68 00 01 00 00 8D 85 FF FE FF FF 50 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B D0 8B 45 0C 85 C0 74 05 83 E8 04 8B 00 50 52 E8 ?? ?? ?? ?? 83 BD F8 FE FF FF 00 0F 8E A1 00 00 00 F6 C3 04 74 27 8B 85 F0 FE FF FF 8B 95 EC FE FF FF 03 C2 3B 85 E8 FE FF FF 74 11 55 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 59 84 C0 74 75 33 FF EB 37 47 8B 75 0C 85 F6 74 05 83 EE 04 8B 36 3B F7 7F 26 F6 C3 04 74 63 83 BD F8 FE FF FF 00 74 5A 8B 85 E8 FE FF FF 0F B6 04 38 0F B6 C0 0F A3 05 ?? ?? ?? ?? 72 44 EB 1A 8B 85 E8 FE FF FF 0F B6 04 38 0F B6 84 05 FF FE FF FF 8B 55 0C 3A 04 3A 74 AF 0F BE 85 F7 FE FF FF 01 85 E8 FE FF FF FF 8D F8 FE FF FF 83 BD F8 FE FF FF 00 0F 8F 5F FF FF FF 33 C0 89 85 E8 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 85 E8 FE FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_68675_0 {
	meta:
		name = "FindNextWordStart"
		size = 121
		refs = "002a TCharacter.IsLetterOrDigit"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B 75 08 83 C6 FC 8B 7D 08 83 C7 FB EB 09 0F BE 07 03 C0 01 03 FF 0E 83 3E 00 7E 21 8B 03 0F B7 00 E8 ?? ?? ?? ?? 34 01 80 3F 01 0F 94 C2 32 C2 75 DC EB 09 0F BE 07 03 C0 01 03 FF 0E 83 3E 00 7E 16 8B 03 0F B7 00 E8 ?? ?? ?? ?? 34 01 80 3F FF 0F 94 C2 32 C2 75 DC 83 3E 00 0F 9F C0 80 3F FF 75 09 0F BE 17 03 D2 29 13 FF 06 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_68676_0 {
	meta:
		name = "NextChar"
		size = 41
		refs = "0017 TCharacter.ToUpper"
	strings:
		$1 = { 55 8B EC 8B 55 08 F6 42 08 02 75 11 8B 55 08 8B 52 F4 0F B7 04 50 E8 ?? ?? ?? ?? 5D C3 8B 55 08 8B 52 F4 0F B7 04 50 5D C3 }
	condition:
		$1
}

rule function_68677_0 {
	meta:
		name = "SearchBuf"
		size = 382
		refs = "0019 @UStrAddRef 0024 SearchBuf 00b5 TCharacter.ToUpper 00c0 @UStrLAsg 00e0 FindNextWordStart 0117 TCharacter.IsLetterOrDigit 0126 NextChar 015e @UStrClr 016c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 8B F9 8B DA 89 45 F0 8B 45 0C E8 ?? ?? ?? ?? 8D 75 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 85 DB 0F 8E 12 01 00 00 F6 45 08 01 74 36 C6 45 FB 01 03 7D 10 8B 45 0C 85 C0 74 05 83 E8 04 8B 00 8B D3 2B D7 2B D0 42 89 55 FC 83 7D FC 00 0F 8C E5 00 00 00 8B C7 03 45 FC 3B D8 0F 8C D8 00 00 00 EB 18 C6 45 FB FF 8B 45 0C 85 C0 74 05 83 E8 04 8B 00 2B F8 8D 47 01 89 45 FC 85 FF 0F 8C B6 00 00 00 3B DF 0F 8C AE 00 00 00 8B 45 F0 8D 04 78 89 45 EC F6 45 08 02 75 16 8D 55 E8 8B 45 0C E8 ?? ?? ?? ?? 8B 55 E8 8D 45 0C E8 ?? ?? ?? ?? 83 7D FC 00 7E 7E F6 45 08 04 74 19 8B 45 F0 8D 04 78 3B 45 EC 74 0E 55 8D 45 EC E8 ?? ?? ?? ?? 59 84 C0 74 5F 33 C0 89 06 EB 32 FF 06 8B 5D 0C 85 DB 74 05 83 EB 04 8B 1B 3B 1E 7F 20 F6 45 08 04 74 46 83 7D FC 00 74 40 8B 45 EC 8B 16 0F B7 04 50 E8 ?? ?? ?? ?? 84 C0 74 2E EB 15 55 8B 45 EC E8 ?? ?? ?? ?? 59 8B 55 0C 8B 0E 66 3B 04 4A 74 B9 0F BE 45 FB 03 C0 01 45 EC FF 4D FC 83 7D FC 00 7F 82 33 C0 89 45 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 EC 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_68678_0 {
	meta:
		name = "PosEx"
		size = 305
		refs = "002e @UStrFromLStr 00b5 @UStrArrayClr"
	strings:
		$1 = { 85 C0 0F 84 B6 00 00 00 85 D2 0F 84 AE 00 00 00 49 0F 8C A7 00 00 00 56 53 6A 00 6A 00 89 CE 66 83 78 F6 02 74 10 52 89 C2 8D 44 24 04 E8 ?? ?? ?? ?? 5A 8B 04 24 66 83 7A F6 02 74 0F 50 8D 44 24 08 E8 ?? ?? ?? ?? 58 8B 54 24 04 89 F1 8B 72 FC 8B 58 FC 29 CE D1 E1 01 CA 39 DE 7C 46 85 DB 7E 42 83 C4 F4 83 C3 FF D1 E6 01 D6 D1 E3 01 DA 89 74 24 08 01 D8 29 D1 F7 DB 89 4C 24 04 89 1C 24 0F B7 08 66 3B 0A 74 4A 66 3B 4A 02 74 47 83 C2 08 3B 54 24 08 72 29 83 C2 FC 3B 54 24 08 72 E3 83 C4 0C 8B 04 24 0B 44 24 04 74 0C 89 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 83 C4 08 5B 5E 31 C0 C3 66 3B 4A FC 74 09 66 3B 4A FE 75 B7 83 C2 02 83 C2 FC 83 C2 FE 8B 34 24 85 F6 74 1D 8B 1C 30 3B 5C 32 02 75 A9 83 FE FC 7D 0F 8B 5C 30 04 3B 5C 32 06 75 9A 83 C6 08 7C E3 8B 44 24 04 83 C2 04 3B 54 24 08 77 9A 83 C4 0C 8B 0C 24 0B 4C 24 04 74 14 89 C3 89 D6 89 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 89 D8 89 F2 01 D0 D1 E8 83 C4 08 5B 5E C3 }
	condition:
		$1
}

rule function_68679_0 {
	meta:
		name = "Score"
		size = 22
		refs = "000f CSoundexTable"
	strings:
		$1 = { 33 D2 83 F8 41 7C 0C 83 F8 7A 7F 07 8B 14 85 ?? ?? ?? ?? 8B C2 C3 }
	condition:
		$1
}

rule function_68680_0 {
	meta:
		name = "Soundex"
		size = 344
		refs = "001f Soundex 002c @UStrClr 0061 @UStrFromWChar 0069 Score 009f IntToStr 00a9 @UStrCat 00f5 DupeString 0102 @UStrCat3 0112 @UStrCopy 012c @UStrArrayClr 013a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D E0 89 5D DC 89 5D E8 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 DB 0F 84 DE 00 00 00 8D 43 02 89 45 F0 0F B7 3B 66 89 7D EE 8B C7 83 C0 9F 66 83 E8 1A 73 0A 8B C7 66 25 DF FF 66 89 45 EE 8B C6 0F B7 55 EE E8 ?? ?? ?? ?? 0F B7 C7 E8 ?? ?? ?? ?? 89 45 F4 8B C3 85 C0 74 05 83 E8 04 8B 00 8B F8 83 EF 02 7C 50 47 8B 45 F0 0F B7 00 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 2F 3B 5D F4 74 2A 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 06 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 3B 45 FC 74 0F 83 FB FF 74 03 89 5D F4 83 45 F0 02 4F 75 B1 8B 06 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 3B 45 FC 7D 2E 56 8D 4D DC 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC 8B 16 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 8B 4D FC BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_68681_0 {
	meta:
		name = "SoundexInt"
		size = 215
		refs = "0015 SoundexInt 002f Soundex 004d @UStrFromWChar 0055 StrToInt 00ba @UStrArrayClr 00c2 @UStrClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 88 55 FB 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 85 F6 74 7F 8D 4D FC 0F B6 55 FB 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 18 83 EB 41 80 7D FB 01 76 57 8D 45 F4 8B 55 FC 0F B7 52 02 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 6B D3 1A 03 C2 8B D8 0F B6 75 FB 83 EE 03 7C 30 46 BF 03 00 00 00 8D 45 F0 8B 55 FC 0F B7 54 7A FE E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D3 03 D2 03 D2 03 D2 2B D3 03 C2 8B D8 47 4E 75 D6 8D 04 DB 0F B6 55 FB 03 C2 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68682_0 {
	meta:
		name = "DecodeSoundexInt"
		size = 234
		refs = "0014 DecodeSoundexInt 0021 @UStrClr 0056 IntToStr 0062 @UStrCat3 00b1 @UStrFromWChar 00d7 @UStrArrayClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C3 B9 09 00 00 00 99 F7 F9 89 55 FC B9 09 00 00 00 8B C3 99 F7 F9 89 C3 8B 7D FC 83 FF 03 7C 32 8B C3 B9 07 00 00 00 99 F7 F9 8B C2 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 0E 8B C6 E8 ?? ?? ?? ?? B9 07 00 00 00 8B C3 99 F7 F9 89 C3 4F 83 FF 02 75 CE 83 7D FC 02 7E 20 8B C3 B9 1A 00 00 00 99 F7 F9 8B C2 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 0E 8B C6 E8 ?? ?? ?? ?? B9 1A 00 00 00 8B C3 99 F7 F9 89 C3 8D 45 F0 8D 53 41 E8 ?? ?? ?? ?? 8B 55 F0 8B 0E 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68683_0 {
	meta:
		name = "SoundexWord"
		size = 200
		refs = "0010 SoundexWord 0025 Soundex 003e @UStrFromWChar 0046 StrToInt 00b5 @UStrArrayClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 18 66 83 EB 41 8D 45 F8 8B 55 FC 0F B7 52 02 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 66 6B D3 1A 66 03 C2 8B D8 8D 45 F4 8B 55 FC 0F B7 52 04 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D3 03 D2 03 D2 03 D2 2B D3 66 03 C2 8B D8 8D 45 F0 8B 55 FC 0F B7 52 06 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D3 03 D2 03 D2 03 D2 2B D3 66 03 C2 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68684_0 {
	meta:
		name = "DecodeSoundexWord"
		size = 244
		refs = "0014 DecodeSoundexWord 0032 IntToStr 003e @UStrCat3 00bb @UStrFromWChar 00e1 @UStrArrayClr 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 FB 8B C7 B9 07 00 00 00 33 D2 F7 F1 8B C2 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 0E 8B C6 E8 ?? ?? ?? ?? 8B C7 B9 07 00 00 00 33 D2 F7 F1 8B D8 0F B7 FB 8B C7 B9 07 00 00 00 33 D2 F7 F1 8B C2 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 0E 8B C6 E8 ?? ?? ?? ?? 8B C7 B9 07 00 00 00 33 D2 F7 F1 8B D8 0F B7 FB 8B C7 B9 1A 00 00 00 33 D2 F7 F1 8B C2 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 0E 8B C6 E8 ?? ?? ?? ?? 8B C7 B9 1A 00 00 00 33 D2 F7 F1 8B D8 8D 45 F0 0F B7 D3 83 C2 41 E8 ?? ?? ?? ?? 8B 55 F0 8B 0E 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68685_0 {
	meta:
		name = "SoundexSimilar"
		size = 115
		refs = "0014 SoundexSimilar 0026 Soundex 003f @UStrEqual 005e @UStrArrayClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 4D F8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68686_0 {
	meta:
		name = "SoundexCompare"
		size = 112
		refs = "0014 SoundexCompare 0026 Soundex 003f AnsiCompareStr 005b @UStrArrayClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68687_0 {
	meta:
		name = "SoundexProc"
		size = 11
		refs = "0006 SoundexSimilar"
	strings:
		$1 = { B9 04 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90578_0 {
	meta:
		name = "EditChartLegend"
		size = 11
		refs = "0006 EditChartPage"
	strings:
		$1 = { B9 04 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68690_0 {
	meta:
		name = "GetOleThreadWindow"
		size = 212
		refs = "0004 @GetTls 000a OleThreadWnd 001e IsWindow 0027 Win32Platform 0031 Win32MajorVersion 0048 GetOleThreadWindow 004f FindWindowEx 0088 GetWindowThreadProcessId 008f GetCurrentThreadId"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 74 15 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 71 A1 ?? ?? ?? ?? 83 38 02 75 11 A1 ?? ?? ?? ?? 83 38 05 7C 07 BE FD FF FF FF EB 02 33 F6 33 DB 6A 00 68 ?? ?? ?? ?? 53 56 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 98 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 74 1E 6A 00 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 3B F8 75 AE E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 5F 5E 5B C3 00 00 4F 00 6C 00 65 00 4D 00 61 00 69 00 6E 00 54 00 68 00 72 00 65 00 61 00 64 00 57 00 6E 00 64 00 43 00 6C 00 61 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_68691_0 {
	meta:
		name = "InternalCoWaitForMultipleHandles"
		size = 226
		refs = "0012 GetOleThreadWindow 002f MsgWaitForMultipleObjectsEx 004a PeekMessage 0057 TranslateMessage 0060 DispatchMessage 008c WaitForMultipleObjectsEx"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 75 10 8B 7D 08 33 DB E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 47 57 68 BF 04 00 00 8B 45 0C 50 8B 45 14 50 56 E8 ?? ?? ?? ?? 8B D8 8D 06 3B D8 75 57 6A 01 6A 00 6A 00 8B 45 FC 50 8D 45 E0 50 E8 ?? ?? ?? ?? 85 C0 74 CD 8D 45 E0 50 E8 ?? ?? ?? ?? 8D 45 E0 50 E8 ?? ?? ?? ?? EB B9 F7 C7 02 00 00 00 0F 95 C0 F6 D8 1B C0 50 8B 45 0C 50 F7 C7 01 00 00 00 0F 95 C0 F6 D8 1B C0 50 8B 45 14 50 56 E8 ?? ?? ?? ?? 8B D8 81 FB 02 01 00 00 75 07 B8 1F 01 01 80 EB 38 81 FB C0 00 00 00 75 07 B8 15 01 01 80 EB 29 33 C0 81 FB 80 00 00 00 72 17 81 C6 80 00 00 00 3B DE 73 0D 81 EB 80 00 00 00 8B 55 18 89 1A EB 08 83 EB 00 8B 55 18 89 1A 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_68692_0 {
	meta:
		name = "LookupProc"
		size = 128
		refs = "0002 LookupProc 0007 GetModuleHandle 0018 GetProcAddress 001d CoWaitForMultipleHandlesProc 0030 InternalCoWaitForMultipleHandles"
	strings:
		$1 = { 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 10 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0A C7 05 ?? ?? ?? ?? ?? ?? ?? ?? 5B C3 00 00 6F 00 6C 00 65 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 43 00 6F 00 57 00 61 00 69 00 74 00 46 00 6F 00 72 00 4D 00 75 00 6C 00 74 00 69 00 70 00 6C 00 65 00 48 00 61 00 6E 00 64 00 6C 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_68693_0 {
	meta:
		name = "CoWaitForMultipleHandles"
		size = 50
		refs = "000e CoWaitForMultipleHandlesProc 0016 LookupProc"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 0C 50 57 56 53 FF 15 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_68694_0 {
	meta:
		name = "TSynchroObject.Acquire"
		size = 9
	strings:
		$1 = { 83 CA FF 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_68697_0 {
	meta:
		name = "TSynchroObject.WaitFor"
		size = 184
		refs = "0015 TSynchroObject.WaitFor 0022 TTimeSpan.GetTotalMilliseconds 0027 @TRUNC 005a TTimeSpan.&op_Explicit 0070 sInvalidTimeoutValue 0077 _Dn_EArgumentOutOfRangeException 007c Exception.CreateResFmt 0081 @RaiseExcept 00a4 @UStrClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 83 7D FC 00 75 08 83 7D F8 00 72 17 EB 02 7C 13 83 7D FC 00 75 0B 81 7D F8 FF FF FF 7F 76 35 EB 02 7E 31 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D0 8B C3 8B 08 FF 51 08 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68698_0 {
	meta:
		name = "THandleObject.Create"
		size = 67
		refs = "000e @ClassCreate 001e TObject.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 0C 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68699_0 {
	meta:
		name = "THandleObject.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 CloseHandle 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103503_0 {
	meta:
		name = "TGPBrush.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 GdipDeleteBrush 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103452_0 {
	meta:
		name = "TGPCachedBitmap.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 GdipDeleteCachedBitmap 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103433_0 {
	meta:
		name = "TGPCustomLineCap.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 GdipDeleteCustomLineCap 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103862_0 {
	meta:
		name = "TGPFont.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 GdipDeleteFont 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103838_0 {
	meta:
		name = "TGPFontFamily.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 GdipDeleteFontFamily 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103648_0 {
	meta:
		name = "TGPGraphics.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 GdipDeleteGraphics 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103889_0 {
	meta:
		name = "TGPGraphicsPath.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 GdipDeletePath 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103972_0 {
	meta:
		name = "TGPGraphicsPathIterator.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 GdipDeletePathIter 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103572_0 {
	meta:
		name = "TGPImage.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 GdipDisposeImage 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103250_0 {
	meta:
		name = "TGPImageAttributes.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 GdipDisposeImageAttributes 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103284_0 {
	meta:
		name = "TGPMatrix.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 GdipDeleteMatrix 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103456_0 {
	meta:
		name = "TGPPen.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 GdipDeletePen 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103382_0 {
	meta:
		name = "TGPRegion.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 GdipDeleteRegion 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103314_0 {
	meta:
		name = "TGPStringFormat.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 GdipDeleteStringFormat 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68700_0 {
	meta:
		name = "THandleObject.WaitFor"
		size = 147
		refs = "001c CoWaitForMultipleHandles 0042 GetLastError 0057 WaitForMultipleObjectsEx"
	strings:
		$1 = { 53 56 51 8B F0 80 7E 0C 00 74 40 8D 46 04 50 8D 44 24 04 50 B9 01 00 00 00 33 C0 E8 ?? ?? ?? ?? 2D 15 01 01 80 74 10 83 E8 0A 74 0F 2D E1 FE FE 7F 75 0C 33 DB EB 56 B3 04 EB 52 B3 01 EB 4E B3 03 E8 ?? ?? ?? ?? 89 46 08 EB 42 6A 00 52 6A FF 8D 46 04 50 6A 01 E8 ?? ?? ?? ?? 83 E8 FF 74 1F 48 74 14 2D 80 00 00 00 74 09 2D 82 00 00 00 74 0A EB 18 B3 02 EB 16 33 DB EB 12 B3 01 EB 0E B3 03 E8 ?? ?? ?? ?? 89 46 08 EB 02 B3 03 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_68701_0 {
	meta:
		name = "THandleObject.WaitForMultiple"
		size = 418
		refs = "0019 THandleObject.WaitForMultiple 002a @DynArrayLength 004c :THandleObject.:1 0051 @DynArraySetLength 005c @DynArrayHigh 00a5 CoWaitForMultipleHandles 0110 WaitForMultipleObjectsEx 0189 @DynArrayClear 018f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F1 8B DA 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7E 11 8B C3 E8 ?? ?? ?? ?? 3B C7 7E 02 8B C7 8B F8 EB 09 8B C3 E8 ?? ?? ?? ?? 8B F8 57 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B D0 85 D2 7C 13 42 33 C0 8B 0C 83 8B 49 04 8B 7D FC 89 0C 87 40 4A 75 F0 80 7D 0C 00 74 78 80 7D 14 00 74 07 BF 01 00 00 00 EB 02 33 FF 8B 45 FC 50 8D 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? 2D 15 01 01 80 74 12 83 E8 0A 74 13 2D E1 FE FE 7F 75 12 C6 45 FB 00 EB 10 C6 45 FB 04 EB 0A C6 45 FB 01 EB 04 C6 45 FB 03 80 7D 14 00 75 16 80 7D FB 00 75 10 8B 45 F4 8B 04 83 8B 55 10 89 02 E9 84 00 00 00 8B 45 10 33 D2 89 10 EB 7B 6A 00 56 80 7D 14 01 F5 1B C0 50 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 81 FA 80 00 00 00 7D 0D 83 EA FF 74 31 4A 83 EA 40 72 37 EB 43 83 C2 80 83 EA 40 72 09 74 25 83 EA 42 74 14 EB 32 C6 45 FB 02 8B 84 83 00 FE FF FF 8B 55 10 89 02 EB 24 C6 45 FB 01 EB 1E C6 45 FB 03 EB 18 C6 45 FB 04 EB 12 C6 45 FB 00 8B 04 83 8B 55 10 89 02 EB 04 C6 45 FB 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_68702_0 {
	meta:
		name = "TEvent.Create"
		size = 101
		refs = "000e @ClassCreate 0021 THandleObject.Create 0029 @UStrToPWChar 0040 CreateEvent 004e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 0F B6 4D 08 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 50 80 7D 10 01 F5 1B C0 50 80 7D 14 01 F5 1B C0 50 56 E8 ?? ?? ?? ?? 89 47 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_68703_0 {
	meta:
		name = "TEvent.Create"
		size = 62
		refs = "000a @ClassCreate 0020 TEvent.Create 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 01 6A 00 6A 00 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_68704_0 {
	meta:
		name = "TEvent.SetEvent"
		size = 10
		refs = "0005 SetEvent"
	strings:
		$1 = { 8B 40 04 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68705_0 {
	meta:
		name = "TEvent.ResetEvent"
		size = 10
		refs = "0005 ResetEvent"
	strings:
		$1 = { 8B 40 04 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68712_0 {
	meta:
		name = "TCriticalSection.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TObject.Create 0020 InitializeCriticalSection 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 04 50 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_68713_0 {
	meta:
		name = "TCriticalSection.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 DeleteCriticalSection 001b TObject.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 04 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103883_0 {
	meta:
		name = "TGPPrivateFontCollection.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 GdipDeletePrivateFontCollection 001b TGPFontCollection.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 04 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68714_0 {
	meta:
		name = "TCriticalSection.Acquire"
		size = 10
		refs = "0005 EnterCriticalSection"
	strings:
		$1 = { 83 C0 04 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68715_0 {
	meta:
		name = "TCriticalSection.Release"
		size = 10
		refs = "0005 LeaveCriticalSection"
	strings:
		$1 = { 83 C0 04 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68716_0 {
	meta:
		name = "TCriticalSection.TryEnter"
		size = 18
		refs = "0006 TryEnterCriticalSection"
	strings:
		$1 = { 53 8D 58 04 53 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5B C3 }
	condition:
		$1
}

rule function_68719_0 {
	meta:
		name = "TMutex.Acquire"
		size = 24
		refs = "0012 RaiseLastOSError"
		altNames = "TSemaphore.Acquire"
	strings:
		$1 = { 53 8B D8 83 CA FF 8B C3 8B 08 FF 51 08 3C 03 75 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68720_0 {
	meta:
		name = "TMutex.Create"
		size = 60
		refs = "000a @ClassCreate 001e TMutex.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 6A 00 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_68721_0 {
	meta:
		name = "TMutex.Create"
		size = 128
		refs = "0011 @ClassCreate 0029 THandleObject.Create 0034 @UStrToPWChar 004c CreateMutex 005a RaiseLastOSError 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 8B 75 0C 0F B6 4D 08 33 D2 8B C3 E8 ?? ?? ?? ?? 85 F6 74 0B 8B C6 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 56 80 7D 10 01 F5 1B C0 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F8 89 7B 04 85 FF 75 05 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_68722_0 {
	meta:
		name = "TMutex.Create"
		size = 128
		refs = "0011 @ClassCreate 0029 THandleObject.Create 0034 @UStrToPWChar 004c OpenMutex 005a RaiseLastOSError 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 8B 75 0C 0F B6 4D 08 33 D2 8B C3 E8 ?? ?? ?? ?? 85 F6 74 0B 8B C6 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 56 80 7D 10 01 F5 1B C0 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F8 89 7B 04 85 FF 75 05 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_68726_0 {
	meta:
		name = "TSemaphore.Create"
		size = 128
		refs = "0011 @ClassCreate 0029 THandleObject.Create 0034 @UStrToPWChar 004c OpenSemaphore 005a RaiseLastOSError 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 8B 75 0C 0F B6 4D 08 33 D2 8B C3 E8 ?? ?? ?? ?? 85 F6 74 0B 8B C6 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 56 80 7D 10 01 F5 1B C0 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F8 89 7B 04 85 FF 75 05 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_68723_0 {
	meta:
		name = "TMutex.Release"
		size = 23
		refs = "0008 ReleaseMutex 0011 RaiseLastOSError"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68725_0 {
	meta:
		name = "TSemaphore.Create"
		size = 62
		refs = "000a @ClassCreate 0020 TSemaphore.Create 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 01 6A 01 6A 00 51 33 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_68727_0 {
	meta:
		name = "TSemaphore.Create"
		size = 128
		refs = "0011 @ClassCreate 0029 THandleObject.Create 0034 @UStrToPWChar 004c CreateSemaphore 005a RaiseLastOSError 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 8B 75 0C 0F B6 4D 08 33 D2 8B C3 E8 ?? ?? ?? ?? 85 F6 74 0B 8B C6 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 56 8B 45 10 50 8B 45 14 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F8 89 7B 04 85 FF 75 05 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_68728_0 {
	meta:
		name = "TSemaphore.Release"
		size = 34
		refs = "000e ReleaseSemaphore 0017 RaiseLastOSError"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 56 8B 43 04 50 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_68731_0 {
	meta:
		name = "TConditionVariableMutex.Create"
		size = 121
		refs = "000a @ClassCreate 0017 TObject.Create 001e _DV_TCriticalSection 0023 TCriticalSection.Create 003a _DV_TSemaphore 003f TSemaphore.Create 0053 _DV_TEvent 0058 TEvent.Create 0066 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 6A 00 68 FF FF FF 7F 6A 00 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 6A 00 6A 00 6A 00 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_68732_0 {
	meta:
		name = "TConditionVariableMutex.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000f TObject.Free 002a TObject.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68733_0 {
	meta:
		name = "TConditionVariableMutex.Release"
		size = 97
		refs = "0017 TConditionVariableMutex.Release 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 08 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 04 00 0F 9F 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 80 7D FB 00 74 0B 8B 45 FC 8B 40 0C 8B 10 FF 52 04 59 59 5D C3 }
	condition:
		$1
}

rule function_68734_0 {
	meta:
		name = "TConditionVariableMutex.ReleaseAll"
		size = 148
		refs = "001b TConditionVariableMutex.ReleaseAll 0042 TSemaphore.Release 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC C6 45 FB 00 8B 45 FC 8B 40 08 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 04 00 7E 3C 8B 45 FC C6 40 14 01 8B 45 FC 8B 50 04 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? C6 45 FB 01 8B 45 FC 8B 40 08 8B 10 FF 52 04 8B 45 FC 8B 40 10 83 CA FF 8B 08 FF 51 08 8B 45 FC C6 40 14 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 75 0B 8B 45 FC 8B 40 08 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB E7 59 59 5D C3 }
	condition:
		$1
}

rule function_68735_0 {
	meta:
		name = "TConditionVariableMutex.WaitFor"
		size = 396
		refs = "0017 SArgumentNil 001e _Dn_EArgumentNilException 0023 Exception.CreateRes 0028 @RaiseExcept 003a TConditionVariableMutex.WaitFor 0064 @HandleFinally 0082 SignalObjectAndWait"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 83 7D F8 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC FF 40 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 6A 00 8B 45 F4 50 8B 45 FC 8B 40 0C 8B 40 04 50 8B 45 F8 8B 40 04 50 E8 ?? ?? ?? ?? 83 E8 FF 74 13 2D 81 00 00 00 74 12 83 E8 40 74 07 83 E8 42 74 0E EB 12 C6 45 F3 03 EB 10 C6 45 F3 02 EB 0A C6 45 F3 01 EB 04 C6 45 F3 00 8B 45 FC 8B 40 08 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC FF 48 04 8B 45 FC 80 78 14 00 74 09 8B 45 FC 83 78 04 00 74 04 33 C0 EB 02 B0 01 88 45 F2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 80 7D F3 00 74 13 80 7D F3 01 75 6B 83 CA FF 8B 45 F8 8B 08 FF 51 08 EB 5E 80 7D F2 00 74 4A 6A 00 6A FF 8B 45 F8 8B 40 04 50 8B 45 FC 8B 40 10 8B 40 04 50 E8 ?? ?? ?? ?? 83 E8 FF 74 13 2D 81 00 00 00 74 12 83 E8 40 74 07 83 E8 42 74 0E EB 12 C6 45 F3 03 EB 20 C6 45 F3 02 EB 1A C6 45 F3 01 EB 14 C6 45 F3 00 EB 0E 83 CA FF 8B 45 F8 8B 08 FF 51 08 88 45 F3 0F B6 45 F3 8B E5 5D C3 }
	condition:
		$1
}

rule function_68736_0 {
	meta:
		name = "TConditionVariableHelper.Create"
		size = 13
		refs = "0004 InitializeConditionVariableProc"
	strings:
		$1 = { 51 54 FF 15 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_68738_0 {
	meta:
		name = "TConditionVariableHelper.SleepCS"
		size = 28
		refs = "000e SleepConditionVariableCSProc"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 53 FF 15 ?? ?? ?? ?? 83 F8 01 1B C0 40 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68739_0 {
	meta:
		name = "TConditionVariableHelper.Wake"
		size = 8
		refs = "0003 WakeConditionVariableProc"
	strings:
		$1 = { 50 FF 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68740_0 {
	meta:
		name = "TConditionVariableHelper.WakeAll"
		size = 8
		refs = "0003 WakeAllConditionVariableProc"
	strings:
		$1 = { 50 FF 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68741_0 {
	meta:
		name = "InternalInitConditionVariable"
		size = 14
	strings:
		$1 = { 55 8B EC 8B 45 08 33 D2 89 10 5D C2 04 00 }
	condition:
		$1
}

rule function_68744_0 {
	meta:
		name = "InternalSleepConditionVariableCS"
		size = 25
		refs = "000d TInternalConditionVariable.SleepCriticalSection"
	strings:
		$1 = { 55 8B EC 8B 55 0C 8B 45 08 8B 4D 10 E8 ?? ?? ?? ?? F6 D8 1B C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_68746_0 {
	meta:
		name = "TConditionVariableCS.Release"
		size = 11
		refs = "0006 WakeConditionVariableProc"
	strings:
		$1 = { 83 C0 04 50 FF 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68747_0 {
	meta:
		name = "TConditionVariableCS.ReleaseAll"
		size = 11
		refs = "0006 WakeAllConditionVariableProc"
	strings:
		$1 = { 83 C0 04 50 FF 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68748_0 {
	meta:
		name = "TConditionVariableCS.WaitFor"
		size = 62
		refs = "0011 SleepConditionVariableCSProc 001e GetLastError"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8D 43 04 50 FF 15 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 1D E8 ?? ?? ?? ?? 2D 80 00 00 00 74 0B 2D 34 05 00 00 75 08 B0 01 EB 06 B0 02 EB 02 B0 03 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68749_0 {
	meta:
		name = "TConditionVariableCS.WaitFor"
		size = 52
		refs = "000f SArgumentNil 0016 _Dn_EArgumentNilException 001b Exception.CreateRes 0020 @RaiseExcept 002c TConditionVariableCS.WaitFor"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 56 04 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68750_0 {
	meta:
		name = "TInternalConditionVariable.Create"
		size = 11
	strings:
		$1 = { 51 33 C0 89 04 24 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_68751_0 {
	meta:
		name = "TInternalConditionVariable.DequeueWaiter"
		size = 87
		refs = "000d TInternalConditionVariable.LockQueue 0018 TInternalConditionVariable.DequeueWaiter 0029 TInternalConditionVariable.DequeueWaiterNoLock 0044 TInternalConditionVariable.UnlockQueue 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_68752_0 {
	meta:
		name = "TInternalConditionVariable.DequeueWaiterNoLock"
		size = 28
	strings:
		$1 = { 8B 02 85 C0 74 04 3B 00 75 05 33 C9 89 0A C3 8B 02 8B 08 8B C1 8B 09 8B 12 89 0A C3 }
	condition:
		$1
}

rule function_68753_0 {
	meta:
		name = "TInternalConditionVariable.LockQueue"
		size = 118
		refs = "000a CPUCount 0045 InterlockedCompareExchange 0052 SwitchToThread"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B F8 A1 ?? ?? ?? ?? 83 38 01 0F 9F 04 24 80 3C 24 00 74 07 BE A0 0F 00 00 EB 03 83 CE FF 8B 1F 83 E3 FE 8B EF 8B C3 83 C8 01 89 44 24 04 89 5C 24 08 8B 44 24 08 50 8B 44 24 08 50 55 E8 ?? ?? ?? ?? 3B D8 74 1F 85 F6 7D 16 E8 ?? ?? ?? ?? 80 3C 24 00 74 07 BE A0 0F 00 00 EB 06 33 F6 EB 02 F3 90 4E EB B9 8B C3 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68754_0 {
	meta:
		name = "TInternalConditionVariable.QueueWaiter"
		size = 102
		refs = "0010 TInternalConditionVariable.LockQueue 001b TInternalConditionVariable.QueueWaiter 0055 TInternalConditionVariable.UnlockQueue 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 75 07 89 5D F8 89 1B EB 0F 8B 45 F8 8B 00 89 03 8B 45 F8 89 18 89 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68755_0 {
	meta:
		name = "TInternalConditionVariable.RemoveWaiter"
		size = 147
		refs = "001d TInternalConditionVariable.LockQueue 0028 TInternalConditionVariable.RemoveWaiter 0081 TInternalConditionVariable.UnlockQueue 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B DA 89 45 FC 8B 45 FC 8B 00 83 E0 FE 85 C0 74 74 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 F6 55 68 ?? ?? ?? ?? 64 FF 36 64 89 26 8B 55 F8 8B 02 3B 45 F8 74 13 3B C3 75 06 8B 08 89 0A EB 09 8B D0 8B 00 3B 45 F8 75 ED 3B 45 F8 75 19 3B C3 75 15 8B 08 3B C1 75 07 33 C0 89 45 F8 EB 08 89 4D F8 8B 45 F8 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68756_0 {
	meta:
		name = "TInternalConditionVariable.SleepCriticalSection"
		size = 247
		refs = "0011 GetCurrentThreadId 0032 CreateEvent 003d TInternalConditionVariable.SleepCriticalSection 0050 TInternalConditionVariable.QueueWaiter 0066 InterlockedExchangeAdd 006c LeaveCriticalSection 0079 WaitForSingleObject 0093 SetLastError 00ac EnterCriticalSection 00b6 TInternalConditionVariable.RemoveWaiter 00dc CloseHandle 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B DA 8B F8 E8 ?? ?? ?? ?? 3B 43 0C 0F 85 CA 00 00 00 33 C0 89 45 EC 8B 43 0C 89 45 F0 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 08 8D 55 EC 8B C7 E8 ?? ?? ?? ?? C7 43 08 01 00 00 00 8B C6 48 F7 D8 50 8D 43 04 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 F4 50 E8 ?? ?? ?? ?? 83 E8 01 72 17 2D 01 01 00 00 75 16 C6 45 FB 00 68 B4 05 00 00 E8 ?? ?? ?? ?? EB 11 C6 45 FB 01 EB 0B C6 45 FB 00 6A 00 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 8B C6 48 50 8D 43 04 50 E8 ?? ?? ?? ?? 89 73 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF C6 45 FB 00 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68757_0 {
	meta:
		name = "TInternalConditionVariable.UnlockQueue"
		size = 6
	strings:
		$1 = { 83 E2 FE 89 10 C3 }
	condition:
		$1
}

rule function_68758_0 {
	meta:
		name = "TInternalConditionVariable.Wake"
		size = 19
		refs = "0001 TInternalConditionVariable.DequeueWaiter 000e SetEvent"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 09 8B 40 08 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68759_0 {
	meta:
		name = "TInternalConditionVariable.WakeAll"
		size = 115
		refs = "000e TInternalConditionVariable.LockQueue 0019 TInternalConditionVariable.WakeAll 002a TInternalConditionVariable.DequeueWaiterNoLock 0039 SetEvent 0062 TInternalConditionVariable.UnlockQueue 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 8B 43 08 50 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68760_0 {
	meta:
		name = "TInterlocked.Add"
		size = 10
	strings:
		$1 = { 89 D1 92 F0 0F C1 02 01 C8 C3 }
	condition:
		$1
}

rule function_68761_0 {
	meta:
		name = "TInterlocked.Add"
		size = 40
	strings:
		$1 = { 55 8B EC 53 56 89 C6 8B 06 8B 56 04 89 C3 89 D1 03 5D 08 13 4D 0C F0 0F C7 0E 75 F0 03 45 08 13 55 0C 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_68762_0 {
	meta:
		name = "TInterlocked.BitTestAndSet"
		size = 11
	strings:
		$1 = { 83 E2 1F F0 0F AB 10 0F 92 C0 C3 }
	condition:
		$1
}

rule function_68763_0 {
	meta:
		name = "TInterlocked.BitTestAndClear"
		size = 11
	strings:
		$1 = { 83 E2 1F F0 0F B3 10 0F 92 C0 C3 }
	condition:
		$1
}

rule function_68764_0 {
	meta:
		name = "TInterlocked.CompareExchange"
		size = 7
	strings:
		$1 = { 92 91 F0 0F B1 0A C3 }
	condition:
		$1
}

rule function_68765_0 {
	meta:
		name = "TInterlocked.CompareExchange"
		size = 24
		refs = "0010 TInterlocked.CompareExchange"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68766_0 {
	meta:
		name = "TInterlocked.CompareExchange"
		size = 29
	strings:
		$1 = { 55 8B EC 53 56 89 C6 8B 55 0C 8B 45 08 8B 4D 14 8B 5D 10 F0 0F C7 0E 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_68768_0 {
	meta:
		name = "TInterlocked.CompareExchange"
		size = 20
	strings:
		$1 = { 55 8B EC 92 91 F0 0F B1 0A 8B 4C 24 04 0F 94 01 5D C2 04 00 }
	condition:
		$1
}

rule function_68769_0 {
	meta:
		name = "TInterlocked.CompareExchange"
		size = 43
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 C6 8B 55 0C 8B 45 08 8B 4D 14 8B 5D 10 F0 0F C7 0E 89 55 FC 89 45 F8 5E 5B DD 45 F8 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_68770_0 {
	meta:
		name = "TInterlocked.CompareExchange"
		size = 27
	strings:
		$1 = { 55 8B EC 51 89 C2 8B 45 08 8B 4D 0C F0 0F B1 0A 89 45 FC D9 45 FC 59 5D C2 08 00 }
	condition:
		$1
}

rule function_68772_0 {
	meta:
		name = "TInterlocked.Decrement"
		size = 29
		refs = "0008 TInterlocked.Add"
	strings:
		$1 = { 83 C4 F8 6A FF 6A FF E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_68774_0 {
	meta:
		name = "TInterlocked.Exchange"
		size = 30
	strings:
		$1 = { 55 8B EC 53 56 89 C6 8B 5D 08 8B 4D 0C 8B 06 8B 56 04 F0 0F C7 0E 75 FA 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_68777_0 {
	meta:
		name = "TInterlocked.Exchange"
		size = 6
	strings:
		$1 = { F0 87 10 89 D0 C3 }
	condition:
		$1
}

rule function_68778_0 {
	meta:
		name = "TInterlocked.Exchange"
		size = 28
	strings:
		$1 = { 55 8B EC 51 89 C1 8B 01 8B 55 08 F0 0F B1 01 75 FA 89 45 FC D9 45 FC 59 5D C2 04 00 }
	condition:
		$1
}

rule function_68779_0 {
	meta:
		name = "TInterlocked.Exchange"
		size = 45
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 C6 8B 55 0C 8B 45 08 8B 4D 0C 8B 5D 08 F0 0F C7 0E 75 FA 89 55 FC 89 45 F8 5E 5B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_68782_0 {
	meta:
		name = "TInterlocked.Increment"
		size = 29
		refs = "0008 TInterlocked.Add"
	strings:
		$1 = { 83 C4 F8 6A 00 6A 01 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_68783_0 {
	meta:
		name = "InitConditionVariableProcs"
		size = 364
		refs = "0002 InitConditionVariableProcs 0007 GetModuleHandle 0014 GetProcAddress 0019 InitializeConditionVariableProc 002c InternalInitConditionVariable 0032 WakeConditionVariableProc 0036 InternalWakeConditionVariable 003c WakeAllConditionVariableProc 0040 InternalWakeAllConditionVariable 0046 SleepConditionVariableCSProc 004a InternalSleepConditionVariableCS"
	strings:
		$1 = { 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 2A C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? 5B C3 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 5B C3 00 00 6B 00 65 00 72 00 6E 00 65 00 6C 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 49 00 6E 00 69 00 74 00 69 00 61 00 6C 00 69 00 7A 00 65 00 43 00 6F 00 6E 00 64 00 69 00 74 00 69 00 6F 00 6E 00 56 00 61 00 72 00 69 00 61 00 62 00 6C 00 65 00 00 00 57 00 61 00 6B 00 65 00 43 00 6F 00 6E 00 64 00 69 00 74 00 69 00 6F 00 6E 00 56 00 61 00 72 00 69 00 61 00 62 00 6C 00 65 00 00 00 57 00 61 00 6B 00 65 00 41 00 6C 00 6C 00 43 00 6F 00 6E 00 64 00 69 00 74 00 69 00 6F 00 6E 00 56 00 61 00 72 00 69 00 61 00 62 00 6C 00 65 00 00 00 00 00 53 00 6C 00 65 00 65 00 70 00 43 00 6F 00 6E 00 64 00 69 00 74 00 69 00 6F 00 6E 00 56 00 61 00 72 00 69 00 61 00 62 00 6C 00 65 00 43 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_68784_0 {
	meta:
		name = "TSpinWait.GetNextSpinCycleWillYield"
		size = 21
		refs = "0006 CPUCount"
	strings:
		$1 = { 83 38 0A 7F 0D A1 ?? ?? ?? ?? 83 38 01 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_68786_0 {
	meta:
		name = "TSpinWait.SpinCycle"
		size = 119
		refs = "0007 TSpinWait.GetNextSpinCycleWillYield 0034 TThread.Sleep 0053 TThread.Yield 0063 TThread.SpinWait"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4A 8B 03 83 F8 0A 7C 07 8B C8 83 E9 0A EB 02 8B C8 8B C1 BE 14 00 00 00 99 F7 FE 83 FA 13 75 0C B8 01 00 00 00 E8 ?? ?? ?? ?? EB 2D 8B C1 B9 05 00 00 00 99 F7 F9 83 FA 04 75 09 33 C0 E8 ?? ?? ?? ?? EB 15 E8 ?? ?? ?? ?? EB 0E 8B 0B B8 04 00 00 00 D3 E0 E8 ?? ?? ?? ?? FF 03 83 3B 00 7D 06 C7 03 0B 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_68788_0 {
	meta:
		name = "TSpinWait.SpinUntil"
		size = 154
		refs = "0012 SArgumentNil 0019 _Dn_EArgumentNilException 001e Exception.CreateRes 0023 @RaiseExcept 002c TStopwatch.StartNew 0035 TSpinWait.Reset 0048 TSpinWait.SpinCycle 0056 TSpinWait.GetNextSpinCycleWillYield 0063 TStopwatch.GetElapsedMilliseconds"
	strings:
		$1 = { 53 56 83 C4 E0 8B F2 89 04 24 8B C4 85 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 44 24 08 E8 ?? ?? ?? ?? 8D 44 24 04 E8 ?? ?? ?? ?? EB 49 85 F6 75 04 33 DB EB 4F 8D 44 24 04 E8 ?? ?? ?? ?? 83 FE FF 74 33 8D 44 24 04 E8 ?? ?? ?? ?? 84 C0 74 26 8D 44 24 08 E8 ?? ?? ?? ?? 52 50 8B C6 33 D2 3B 54 24 04 75 09 3B 04 24 5A 58 77 0A EB 04 5A 58 7F 04 33 DB EB 0E 8B 04 24 8B 10 FF 52 0C 84 C0 74 AB B3 01 8B C3 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_68789_0 {
	meta:
		name = "TSpinWait.SpinUntil"
		size = 184
		refs = "0015 TSpinWait.SpinUntil 0022 TTimeSpan.GetTotalMilliseconds 0027 @TRUNC 005a TTimeSpan.&op_Explicit 0070 sInvalidTimeoutValue 0077 _Dn_EArgumentOutOfRangeException 007c Exception.CreateResFmt 0081 @RaiseExcept 00a4 @UStrClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 83 7D FC 00 75 08 83 7D F8 00 72 17 EB 02 7C 13 83 7D FC 00 75 0B 81 7D F8 FF FF FF 7F 76 35 EB 02 7E 31 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68790_0 {
	meta:
		name = "TSpinLock.Create"
		size = 17
	strings:
		$1 = { 84 D2 74 06 33 D2 89 10 EB 06 C7 00 00 00 00 80 C3 }
	condition:
		$1
}

rule function_68792_0 {
	meta:
		name = "TSpinLock.Exit"
		size = 112
		refs = "0009 TSpinLock.GetIsThreadTrackingEnabled 0014 TSpinLock.GetIsLockedByCurrentThread 001e SSpinLockNotOwned 0025 _DV_ELockException 002a Exception.CreateRes 002f @RaiseExcept 0047 TInterlocked.Exchange 0053 TInterlocked.Add"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 22 8B C6 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 23 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C6 33 D2 E8 ?? ?? ?? ?? EB 20 8B C6 83 CA FF E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 33 C0 89 06 EB 02 FF 0E 5E 5B C3 }
	condition:
		$1
}

rule function_68793_0 {
	meta:
		name = "TSpinLock.GetIsLocked"
		size = 33
		refs = "0006 TSpinLock.GetIsThreadTrackingEnabled"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 08 83 3B 00 0F 95 C0 5B C3 8B 03 83 E0 01 48 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_68794_0 {
	meta:
		name = "TSpinLock.GetIsLockedByCurrentThread"
		size = 60
		refs = "0006 TSpinLock.GetIsThreadTrackingEnabled 0010 SSpinLockInvalidOperation 0017 _Dn_EInvalidOpException 001c Exception.CreateRes 0021 @RaiseExcept 0026 TThread.GetCurrentThread"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 08 8B 13 81 E2 FF FF FF 7F 3B C2 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_68795_0 {
	meta:
		name = "TSpinLock.GetIsThreadTrackingEnabled"
		size = 8
	strings:
		$1 = { F6 40 03 80 0F 94 C0 C3 }
	condition:
		$1
}

rule function_68796_0 {
	meta:
		name = "TSpinLock.InternalTryEnter$1713$ActRec.$0$Body"
		size = 38
		refs = "0014 TInterlocked.CompareExchange"
	strings:
		$1 = { 53 56 8B D8 8B 73 14 83 3E 00 75 10 8B C6 33 C9 8B 53 10 E8 ?? ?? ?? ?? 85 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_68797_0 {
	meta:
		name = "TSpinLock.InternalTryEnter$1713$ActRec.$1$Body"
		size = 65
		refs = "0031 TInterlocked.CompareExchange"
	strings:
		$1 = { 53 8B D8 8B 43 14 8B 00 89 43 0C A8 01 75 2E A9 FE FF FF 7F 75 08 83 C8 01 89 43 10 EB 09 83 E8 02 83 C8 01 89 43 10 8B 43 14 8B 4B 0C 8B 53 10 E8 ?? ?? ?? ?? 3B 43 0C 0F 94 C0 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_68798_0 {
	meta:
		name = "TSpinLock.InternalTryEnter"
		size = 386
		refs = "0017 TSpinLock.InternalTryEnter 0024 _DV_TSpinLock.InternalTryEnter$1713$ActRec 0029 TObject.Create 003c @IntfCopy 0046 TSpinLock.GetIsThreadTrackingEnabled 004f TThread.GetCurrentThread 005f SSpinLockReEntered 0066 _DV_ELockRecursionException 006b Exception.CreateRes 0070 @RaiseExcept 0081 TSpinWait.SpinUntil 0090 TStopwatch.StartNew 0098 TSpinWait.Reset 00b3 TInterlocked.CompareExchange 00c1 TSpinLock.Exit 00ef TSpinWait.SpinCycle 0105 TStopwatch.GetElapsedMilliseconds 0126 TSpinLock.RemoveWaiter 016d @IntfClear 0173 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 14 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3E E8 ?? ?? ?? ?? 8B 78 08 89 7B 10 3B 3E 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 E4 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 E9 D0 00 00 00 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B 3E 89 7B 0C F7 C7 01 00 00 00 75 1E 8B D7 83 CA 01 8B C6 8B CF E8 ?? ?? ?? ?? 3B 43 0C 75 2F 8B C6 B2 01 E8 ?? ?? ?? ?? EB 24 8B 43 0C 25 FE FF FF 7F 3D FE FF FF 7F 74 1F 8B 53 0C 83 C2 02 8B C6 8B 4B 0C E8 ?? ?? ?? ?? 3B 43 0C 74 0A 8D 45 F4 E8 ?? ?? ?? ?? EB A7 83 7D F8 00 74 28 83 7D F8 FF 74 32 8D 45 D8 E8 ?? ?? ?? ?? 52 50 8B 45 F8 33 D2 3B 54 24 04 75 09 3B 04 24 5A 58 77 16 EB 04 5A 58 7F 10 8B C6 E8 ?? ?? ?? ?? 8B C6 33 D2 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 29 45 F8 8B C3 85 C0 74 03 83 E8 E8 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 84 DB 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68799_0 {
	meta:
		name = "TSpinLock.RemoveWaiter"
		size = 62
		refs = "0008 TSpinWait.Reset 0020 TInterlocked.CompareExchange 002d TSpinLock.Exit 0034 TSpinWait.SpinCycle"
	strings:
		$1 = { 53 56 51 8B F0 8B C4 E8 ?? ?? ?? ?? 8B 1E F7 C3 FE FF FF 7F 74 12 8B D3 83 EA 02 8B C6 8B CB E8 ?? ?? ?? ?? 3B D8 75 09 8B C6 B2 01 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? EB D2 5A 5E 5B C3 }
	condition:
		$1
}

rule function_68801_0 {
	meta:
		name = "TSpinLock.TryEnter"
		size = 184
		refs = "0015 TSpinLock.TryEnter 0022 TTimeSpan.GetTotalMilliseconds 0027 @TRUNC 005a TTimeSpan.&op_Explicit 0070 sInvalidTimeoutValue 0077 _Dn_EArgumentOutOfRangeException 007c Exception.CreateResFmt 0081 @RaiseExcept 00a4 @UStrClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 83 7D FC 00 75 08 83 7D F8 00 72 17 EB 02 7C 13 83 7D FC 00 75 0B 81 7D F8 FF FF FF 7F 76 35 EB 02 7E 31 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68802_0 {
	meta:
		name = "TSpinLock.TryEnter"
		size = 94
		refs = "000f TSpinLock.GetIsThreadTrackingEnabled 001c TThread.GetCurrentThread 003f TInterlocked.CompareExchange 004c TSpinLock.Exit 0055 TSpinLock.InternalTryEnter"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 33 33 FF 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 85 F6 75 19 E8 ?? ?? ?? ?? 8B 78 08 EB 0F F7 C6 01 00 00 00 75 07 BF 01 00 00 00 0B FE 85 FF 74 18 8B C3 8B CE 8B D7 E8 ?? ?? ?? ?? 3B F0 75 09 8B C3 B2 01 E8 ?? ?? ?? ?? 8B C3 8B D5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68804_0 {
	meta:
		name = "TLightweightEvent.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TLightweightEvent.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 0A 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_68805_0 {
	meta:
		name = "TLightweightEvent.Create"
		size = 188
		refs = "0011 @ClassCreate 0025 TObject.Create 002c _Dn_TObject 0042 TMonitor.SetSpinCount 0072 sSpinCountOutOfRange 0079 _Dn_EArgumentOutOfRangeException 007e Exception.CreateResFmt 0083 @RaiseExcept 0088 CPUCount 00a3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FE 88 55 FF 8B D8 8B 75 08 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 04 8B C7 BA 0A 00 00 00 E8 ?? ?? ?? ?? 80 7D FE 00 74 07 C7 43 08 00 00 00 80 85 F6 7C 08 81 FE FF 0F 00 00 7E 28 C7 45 F4 FF 0F 00 00 C6 45 F8 00 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 01 75 06 83 4B 08 01 EB 03 09 73 08 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_68807_0 {
	meta:
		name = "TLightweightEvent.GetIsSet"
		size = 17
	strings:
		$1 = { 8B 40 08 25 00 00 00 80 3D 00 00 00 80 0F 94 C0 C3 }
	condition:
		$1
}

rule function_68808_0 {
	meta:
		name = "TLightweightEvent.GetSpinCount"
		size = 9
	strings:
		$1 = { 8B 40 08 25 FF 0F 00 00 C3 }
	condition:
		$1
}

rule function_68809_0 {
	meta:
		name = "TLightweightEvent.ResetEvent"
		size = 13
		refs = "0008 TLightweightEvent.SetNewStateAtomically"
	strings:
		$1 = { B9 00 00 00 80 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_68810_0 {
	meta:
		name = "TLightweightEvent.SetEvent"
		size = 122
		refs = "0016 TLightweightEvent.SetNewStateAtomically 002a TMonitor.CheckMonitorSupport 0031 TMonitor.GetMonitor 0039 TMonitor.Enter 0041 TLightweightEvent.SetEvent 0052 TMonitor.PulseAll 006a TMonitor.Exit 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC B9 00 00 00 80 BA 00 00 00 80 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 78 0C 00 7E 53 8B 45 FC 8B 58 04 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_68811_0 {
	meta:
		name = "TLightweightEvent.SetNewStateAtomically"
		size = 69
		refs = "0013 TSpinWait.Reset 002b TInterlocked.CompareExchange 0038 TSpinWait.SpinCycle"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 0C 24 8B EA 8B F0 8D 44 24 04 E8 ?? ?? ?? ?? 8B 5E 08 8B 3C 24 F7 D7 23 FB 0B FD 8D 46 08 8B CB 8B D7 E8 ?? ?? ?? ?? 3B D8 74 0B 8D 44 24 04 E8 ?? ?? ?? ?? EB D9 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68812_0 {
	meta:
		name = "TLightweightEvent.WaitFor"
		size = 389
		refs = "0011 TLightweightEvent.GetIsSet 002e TSpinWait.Reset 0036 TLightweightEvent.GetSpinCount 0047 TStopwatch.StartNew 005f TSpinWait.SpinCycle 0084 TStopwatch.GetElapsedMilliseconds 00c6 TMonitor.CheckMonitorSupport 00cd TMonitor.GetMonitor 00d5 TMonitor.Enter 00dd TLightweightEvent.WaitFor 00f3 TInterlocked.Add 012a TMonitor.Wait 0151 @HandleFinally 016b TMonitor.Exit"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 5A 01 00 00 85 F6 75 09 C6 45 FB 01 E9 51 01 00 00 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 3D 83 FE FF 73 08 8D 45 D0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 21 43 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 09 C6 45 FB 00 E9 03 01 00 00 4B 75 E0 83 FE FF 73 3F 8D 45 D0 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 83 7D EC 00 75 0B 81 7D E8 FF FF FF 7F 77 16 EB 02 7F 12 8B C6 33 D2 3B 55 EC 75 07 3B 45 E8 77 0D EB 02 7F 09 C6 45 FB 01 E9 BF 00 00 00 2B 75 E8 8B 45 FC 8B 58 04 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 C0 0C BA 01 00 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 C0 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 11 8B 45 FC 8B 40 04 8B D6 E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 FB 00 EB 04 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FF 48 0C C3 E9 ?? ?? ?? ?? EB F2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED C6 45 FB 00 0F B6 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68813_0 {
	meta:
		name = "TLightweightSemaphore.Create"
		size = 196
		refs = "0011 @ClassCreate 0024 TObject.Create 003f sInvalidInitialSemaphoreCount 0046 _Dn_EArgumentOutOfRangeException 004b Exception.CreateResFmt 0050 @RaiseExcept 0067 sInvalidMaxSemaphoreCount 0085 _Dn_TObject 009b TMonitor.SetSpinCount 00ab @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 08 33 D2 8B C3 E8 ?? ?? ?? ?? 85 F6 7C 04 3B FE 7D 24 89 75 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 7F 24 89 7D F4 C6 45 F8 00 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 0C 89 7B 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 04 8B C7 BA 0A 00 00 00 E8 ?? ?? ?? ?? 89 73 08 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_68815_0 {
	meta:
		name = "TLightweightSemaphore.Release"
		size = 246
		refs = "0025 sInvalidSemaphoreReleaseCount 002c _Dn_EArgumentOutOfRangeException 0031 Exception.CreateResFmt 0036 @RaiseExcept 0041 TMonitor.CheckMonitorSupport 0048 TMonitor.GetMonitor 0050 TMonitor.Enter 0058 TLightweightSemaphore.Release 0074 sSemaphoreReachedMaxCount 007b _DV_ESyncObjectException 0080 Exception.CreateRes 00a8 TMonitor.Pulse 00be TMonitor.PulseAll 00e1 TMonitor.Exit 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B DA 89 45 FC 33 C0 89 45 F8 85 DB 7D 24 89 5D F0 C6 45 F4 00 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 70 04 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 10 8B 55 FC 2B 42 08 3B D8 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 01 58 08 8B 45 FC 83 78 08 01 74 09 8B 45 FC 83 78 14 01 75 0D 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? EB 14 8B 45 FC 83 78 14 01 7E 0B 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 2B C3 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68816_0 {
	meta:
		name = "UpdateTimeout"
		size = 63
		refs = "000a TStopwatch.GetElapsedMilliseconds"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 83 7D FC 00 75 0B 81 7D F8 FF FF FF 7F 76 08 EB 02 7E 04 33 C0 EB 09 8B 45 F8 50 8B C3 5A 2B C2 85 C0 7D 02 33 C0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68817_0 {
	meta:
		name = "TLightweightSemaphore.WaitFor"
		size = 331
		refs = "0012 TStopwatch.Create 001a TSpinWait.Reset 0029 TStopwatch.Start 003d TMonitor.TryEnter 0049 TSpinWait.GetNextSpinCycleWillYield 0069 UpdateTimeout 0085 TMonitor.Enter 009a TSpinWait.SpinCycle 00aa TLightweightSemaphore.WaitFor 00d0 @TryFinallyExit 00e4 TInterlocked.Add 00f4 TMonitor.Wait 0130 TMonitor.Exit 0136 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B F2 89 45 FC 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B DE 83 FE FF 73 08 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 FC 83 78 08 00 7E 0F 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 84 C0 75 5B 8D 45 F4 E8 ?? ?? ?? ?? 84 C0 74 45 85 F6 75 09 C6 45 FB 01 E9 E2 00 00 00 83 FE FF 73 19 8D 45 D8 8B D6 E8 ?? ?? ?? ?? 8B D8 85 DB 7F 09 C6 45 FB 01 E9 C4 00 00 00 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 84 C0 75 13 C6 45 FB 01 E9 AA 00 00 00 8D 45 F4 E8 ?? ?? ?? ?? EB 8D 8B 45 FC FF 40 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 51 83 FE FF 73 1B 8D 45 D8 8B D6 E8 ?? ?? ?? ?? 8B D8 85 DB 7F 0B C6 45 FB 01 E8 ?? ?? ?? ?? EB 6A 8B 45 FC 8D 78 18 8B C7 BA 01 00 00 00 E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 84 C0 75 0B C6 45 FB 01 E8 ?? ?? ?? ?? EB 39 8B 45 FC 83 78 08 00 74 A6 8B 45 FC FF 48 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FF 48 14 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 C6 45 FB 00 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68818_0 {
	meta:
		name = "TCountdownEvent.Create"
		size = 143
		refs = "0011 @ClassCreate 0021 TObject.Create 0038 sInvalidInitialCount 003f _Dn_EArgumentOutOfRangeException 0044 Exception.CreateResFmt 0049 @RaiseExcept 0056 _DV_TLightweightEvent 005b TLightweightEvent.Create 006b TLightweightEvent.SetEvent 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 85 F6 7D 24 89 75 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 08 89 73 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 04 85 F6 75 07 8B C7 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68819_0 {
	meta:
		name = "TCountdownEvent.Signal"
		size = 169
		refs = "0021 sInvalidDecrementCount 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateResFmt 0032 @RaiseExcept 003b TSpinWait.Reset 0061 sInvalidDecrementOperation 0068 _Dn_EInvalidOperation 0080 TInterlocked.CompareExchange 008b TSpinWait.SpinCycle 0099 TLightweightEvent.SetEvent"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 8B F2 8B F8 85 F6 7F 27 89 74 24 04 C6 44 24 08 00 8D 44 24 04 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 8B C4 E8 ?? ?? ?? ?? 8B 6F 0C 3B F5 7E 30 89 74 24 0C C6 44 24 10 00 89 6C 24 14 C6 44 24 18 00 8D 44 24 0C 50 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D5 2B D6 8D 47 0C 8B CD E8 ?? ?? ?? ?? 3B E8 74 09 8B C4 E8 ?? ?? ?? ?? EB AE 3B F5 75 0A 8B 47 04 E8 ?? ?? ?? ?? B3 01 8B C3 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68821_0 {
	meta:
		name = "TCountdownEvent.GetIsSet"
		size = 8
	strings:
		$1 = { 83 78 0C 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_68822_0 {
	meta:
		name = "TCountdownEvent.AddCount"
		size = 45
		refs = "000b TCountdownEvent.TryAddCount 0015 sCountdownAlreadyZero 001c _Dn_EInvalidOperation 0021 Exception.CreateRes 0026 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68823_0 {
	meta:
		name = "TCountdownEvent.Reset"
		size = 76
		refs = "0017 sInvalidResetCount 001e _Dn_EArgumentOutOfRangeException 0023 Exception.CreateResFmt 0028 @RaiseExcept 003a TLightweightEvent.SetEvent 0044 TLightweightEvent.ResetEvent"
	strings:
		$1 = { 53 83 C4 F8 8B DA 85 DB 7D 22 89 1C 24 C6 44 24 04 00 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 58 0C 89 58 08 85 DB 75 0A 8B 40 04 E8 ?? ?? ?? ?? EB 08 8B 40 04 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_68825_0 {
	meta:
		name = "TCountdownEvent.TryAddCount"
		size = 169
		refs = "0021 sInvalidIncrementCount 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateResFmt 0032 @RaiseExcept 0039 TSpinWait.Reset 006e sInvalidIncrementOperation 0075 _Dn_EInvalidOperation 008c TInterlocked.CompareExchange 0097 TSpinWait.SpinCycle"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 8B F2 8B F8 85 F6 7F 27 89 74 24 04 C6 44 24 08 00 8D 44 24 04 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B 6F 0C 85 ED 75 04 33 DB EB 57 B8 FF FF FF 7F 2B C6 3B E8 7E 30 89 74 24 0C C6 44 24 10 00 89 6C 24 14 C6 44 24 18 00 8D 44 24 0C 50 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 2E 8D 47 0C 8B CD E8 ?? ?? ?? ?? 3B E8 74 09 8B C4 E8 ?? ?? ?? ?? EB A0 B3 01 8B C3 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68826_0 {
	meta:
		name = "TCountdownEvent.WaitFor"
		size = 35
		refs = "0009 TCountdownEvent.GetIsSet"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0D 8B D6 8B 43 04 8B 08 FF 51 08 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_68850_0 {
	meta:
		name = "InternalEncodeDateTime"
		size = 112
		refs = "0014 TryEncodeDate 0032 TryEncodeTime 003f InternalEncodeDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F8 89 5D FC 8D 5D F8 53 E8 ?? ?? ?? ?? 84 C0 74 43 0F B7 45 08 50 8D 45 F0 50 0F B7 4D 0C 0F B7 55 10 0F B7 45 14 E8 ?? ?? ?? ?? 84 C0 74 25 DD 45 F8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 0C DD 45 F8 DC 45 F0 DD 5D F8 9B EB 0A DD 45 F8 DC 65 F0 DD 5D F8 9B DD 45 F8 5B 8B E5 5D C2 10 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_68851_0 {
	meta:
		name = "InternalFileTimeToDateTime"
		size = 115
		refs = "0021 FileTimeToLocalFileTime 0030 FileTimeToSystemTime 0060 InternalEncodeDateTime"
	strings:
		$1 = { 56 57 83 C4 D8 8B F0 8D 3C 24 A5 A5 33 C0 89 44 24 08 89 44 24 0C 8D 44 24 10 50 8D 44 24 04 50 E8 ?? ?? ?? ?? 8D 44 24 18 50 8D 44 24 14 50 E8 ?? ?? ?? ?? 85 C0 74 31 0F B7 44 24 20 50 0F B7 44 24 26 50 0F B7 44 24 2C 50 0F B7 44 24 32 50 0F B7 4C 24 2E 0F B7 54 24 2A 0F B7 44 24 28 E8 ?? ?? ?? ?? DD 5C 24 08 9B DD 44 24 08 83 C4 28 5F 5E C3 }
	condition:
		$1
}

rule function_68852_0 {
	meta:
		name = "ExpandVolumeName"
		size = 311
		refs = "0027 ExpandVolumeName 003e GetLogicalDriveStrings 0068 QueryDosDevice 0081 @UStrFromWArray 008c Pos 00c0 @UStrCopy 00d4 @UStrFromPWChar 00e3 @UStrCat3 011c @UStrArrayClr 0124 @UStrClr 012a @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 D4 FB FF FF 53 56 57 33 C9 89 8D D8 FB FF FF 89 8D D4 FB FF FF 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 E8 FD FF FF 50 68 04 01 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 8E B7 00 00 00 8D 9D E8 FD FF FF 8D 43 04 66 C7 00 00 00 68 04 01 00 00 8D 85 DC FB FF FF 50 53 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 7A 8D 45 FC 8D 95 DC FB FF FF B9 06 01 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 58 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 8B 7D F8 85 FF 74 05 83 EF 04 8B 3F 8D 85 D8 FB FF FF 50 8B CF 2B CE 8D 56 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 85 D8 FB FF FF 50 8D 85 D4 FB FF FF 8B D3 E8 ?? ?? ?? ?? 8B 95 D4 FB FF FF 8B 45 F4 59 E8 ?? ?? ?? ?? EB 1A 83 C3 02 66 83 3B 00 75 F7 83 C3 04 85 DB 74 04 66 83 3B 00 0F 85 4F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D4 FB FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68853_0 {
	meta:
		name = "GetObjectInfoName"
		size = 228
		refs = "000f @UStrClr 0015 NTQueryObject 001d GetObjectInfoName 0027 GetModuleHandle 002d GetProcAddress 0054 @GetMem 008b @UStrFromPWChar 00a0 @FreeMem 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 1A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 6D 8D 45 F8 50 6A 00 6A 00 6A 01 53 FF 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F8 50 8B 45 F8 50 8B 45 FC 50 6A 01 53 FF 15 ?? ?? ?? ?? 85 C0 75 0D 8B C6 8B 55 FC 8B 52 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 4E 00 74 00 51 00 75 00 65 00 72 00 79 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 4E 00 54 00 44 00 4C 00 4C 00 2E 00 44 00 4C 00 4C 00 00 00 }
	condition:
		$1
}

rule function_68854_0 {
	meta:
		name = "InternalGetFileNameFromHandle"
		size = 589
		refs = "003a InternalGetFileNameFromHandle 004c @UStrClr 005e GetFileSize 0076 CheckWin32Version 0091 GetFinalPathNameByHandle 00ab @UStrFromWArray 00bc ExpandVolumeName 00ca @UStrAsg 00f4 CreateFileMapping 0123 MapViewOfFile 0148 GetCurrentProcess 0156 GetMappedFileName 01a9 UnmapViewOfFile 01af @HandleFinally 01c7 CloseHandle 01e3 GetObjectInfoName 0238 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 C4 FD FF FF 53 33 DB 89 9D C4 FD FF FF 89 9D C8 FD FF FF 89 9D D0 FD FF FF 89 9D CC FD FF FF 89 9D D8 FD FF FF 89 9D D4 FD FF FF 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 EC 8D 45 EC 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 85 DB 75 6F 83 7D EC 00 75 69 33 D2 B8 06 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 59 6A 02 68 04 01 00 00 8D 85 DC FD FF FF 50 8B 45 FC 50 E8 ?? ?? ?? ?? 85 C0 76 3E 8D 85 D4 FD FF FF 8D 95 DC FD FF FF B9 06 01 00 00 E8 ?? ?? ?? ?? 8B 85 D4 FD FF FF 8D 95 D8 FD FF FF E8 ?? ?? ?? ?? 8B 95 D8 FD FF FF 8B 45 F8 E8 ?? ?? ?? ?? C6 45 F7 01 E9 48 01 00 00 85 DB 75 0A 83 7D EC 00 0F 84 EE 00 00 00 6A 00 6A 01 6A 00 6A 02 6A 00 8B 45 FC 50 E8 ?? ?? ?? ?? 89 45 F0 81 7D F0 EE 03 00 00 0F 84 CB 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 6A 00 6A 00 6A 04 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 0F 84 81 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 04 01 00 00 E8 ?? ?? ?? ?? 8D 8D DC FD FF FF 8B 55 E8 E8 ?? ?? ?? ?? 85 C0 76 39 8D 85 CC FD FF FF 8D 95 DC FD FF FF B9 06 01 00 00 E8 ?? ?? ?? ?? 8B 85 CC FD FF FF 8D 95 D0 FD FF FF E8 ?? ?? ?? ?? 8B 95 D0 FD FF FF 8B 45 F8 E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 80 7D F7 00 75 46 8D 95 C8 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 C8 FD FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 83 38 00 74 22 8D 95 C4 FD FF FF 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 95 C4 FD FF FF 8B 45 F8 E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 C4 FD FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F7 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68855_0 {
	meta:
		name = "InternalGetFileNameFromSymLink"
		size = 211
		refs = "0019 CheckWin32Version 002a FileExists 0039 FileSystemAttributes 0048 @UStrToPWChar 004e GetFileAttributes 0080 CreateFile 0091 InternalGetFileNameFromSymLink 00a3 InternalGetFileNameFromHandle 00bc CloseHandle 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F2 8B D8 C6 45 FF 00 33 D2 B8 06 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 A3 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 92 00 00 00 8B C3 E8 ?? ?? ?? ?? A8 20 0F 84 83 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 FF 74 71 F6 C4 04 74 6C A8 10 74 07 BF 00 00 00 02 EB 02 33 FF 6A 00 57 6A 03 6A 00 6A 01 68 00 00 00 80 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 FF 74 3B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B CF 8B 45 F8 E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 0F B6 45 FF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68856_0 {
	meta:
		name = "TSearchRec.GetTimeStamp"
		size = 21
		refs = "0007 InternalFileTimeToDateTime"
	strings:
		$1 = { 83 C4 F8 83 C0 34 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_68858_0 {
	meta:
		name = "TDateTimeInfoRec.GetLastAccessTime"
		size = 21
		refs = "0007 InternalFileTimeToDateTime"
	strings:
		$1 = { 83 C4 F8 83 C0 0C E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_68859_0 {
	meta:
		name = "TDateTimeInfoRec.GetTimeStamp"
		size = 21
		refs = "0007 InternalFileTimeToDateTime"
	strings:
		$1 = { 83 C4 F8 83 C0 14 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_68860_0 {
	meta:
		name = "TSymLinkRec.GetTimeStamp"
		size = 21
		refs = "0007 InternalFileTimeToDateTime"
	strings:
		$1 = { 83 C4 F8 83 C0 24 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_68864_0 {
	meta:
		name = "InvalidGUID"
		size = 38
		refs = "0017 SInvalidGUID 001e ConvertErrorFmt"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 08 8B 40 FC 89 45 F8 C6 45 FC 11 8D 55 F8 A1 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_68865_0 {
	meta:
		name = "HexChar"
		size = 64
		refs = "0037 InvalidGUID"
	strings:
		$1 = { 55 8B EC 8B D0 83 C2 D0 66 83 EA 0A 72 14 83 C2 F9 66 83 EA 06 72 15 83 C2 E6 66 83 EA 06 72 06 EB 10 2C 30 5D C3 2C 61 04 0A 5D C3 2C 41 04 0A 5D C3 8B 45 08 50 E8 ?? ?? ?? ?? 59 33 C0 5D C3 }
	condition:
		$1
}

rule function_68866_0 {
	meta:
		name = "HexByte"
		size = 45
		refs = "000e HexChar"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 50 0F B7 03 E8 ?? ?? ?? ?? 59 C1 E0 04 50 8B 45 08 50 0F B7 43 02 E8 ?? ?? ?? ?? 59 8B D0 58 02 C2 5B 5D C3 }
	condition:
		$1
}

rule function_68867_0 {
	meta:
		name = "StringToGUID"
		size = 249
		refs = "0031 InvalidGUID 003c @UStrToPWChar 0056 HexByte"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 26 74 04 B0 01 EB 0A 8B 45 FC 66 83 38 7B 0F 95 C0 84 C0 74 07 55 E8 ?? ?? ?? ?? 59 8B FB 8B 45 FC E8 ?? ?? ?? ?? 8B D8 83 C3 02 33 F6 55 B8 03 00 00 00 2B C6 03 C0 03 C0 03 C3 E8 ?? ?? ?? ?? 59 88 04 37 46 83 FE 04 75 E3 83 C3 10 83 C7 04 66 83 3B 2D 74 07 55 E8 ?? ?? ?? ?? 59 83 C3 02 BE 02 00 00 00 55 8D 43 04 E8 ?? ?? ?? ?? 59 88 07 47 55 8B C3 E8 ?? ?? ?? ?? 59 88 07 47 83 C3 08 66 83 3B 2D 74 07 55 E8 ?? ?? ?? ?? 59 83 C3 02 4E 75 D1 55 8B C3 E8 ?? ?? ?? ?? 59 88 07 47 83 C3 04 55 8B C3 E8 ?? ?? ?? ?? 59 88 07 47 83 C3 04 66 83 3B 2D 74 07 55 E8 ?? ?? ?? ?? 59 83 C3 02 BE 06 00 00 00 55 8B C3 E8 ?? ?? ?? ?? 59 88 07 47 83 C3 04 4E 75 EE 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_68868_0 {
	meta:
		name = "GUIDToString"
		size = 296
		refs = "0011 @UStrSetLength 00a7 @UStrToPWChar 00ac GUIDToString 00b6 StrLFmt"
	strings:
		$1 = { 53 56 83 C4 A8 8B F2 8B D8 8B C6 BA 26 00 00 00 E8 ?? ?? ?? ?? 8B 03 89 04 24 C6 44 24 04 00 0F B7 43 04 89 44 24 08 C6 44 24 0C 00 0F B7 43 06 89 44 24 10 C6 44 24 14 00 0F B6 43 08 89 44 24 18 C6 44 24 1C 00 0F B6 43 09 89 44 24 20 C6 44 24 24 00 0F B6 43 0A 89 44 24 28 C6 44 24 2C 00 0F B6 43 0B 89 44 24 30 C6 44 24 34 00 0F B6 43 0C 89 44 24 38 C6 44 24 3C 00 0F B6 43 0D 89 44 24 40 C6 44 24 44 00 0F B6 43 0E 89 44 24 48 C6 44 24 4C 00 0F B6 43 0F 89 44 24 50 C6 44 24 54 00 54 6A 0A 8B 06 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA 26 00 00 00 E8 ?? ?? ?? ?? 83 C4 58 5E 5B C3 7B 00 25 00 2E 00 38 00 78 00 2D 00 25 00 2E 00 34 00 78 00 2D 00 25 00 2E 00 34 00 78 00 2D 00 25 00 2E 00 32 00 78 00 25 00 2E 00 32 00 78 00 2D 00 25 00 2E 00 32 00 78 00 25 00 2E 00 32 00 78 00 25 00 2E 00 32 00 78 00 25 00 2E 00 32 00 78 00 25 00 2E 00 32 00 78 00 25 00 2E 00 32 00 78 00 7D 00 00 00 00 00 }
	condition:
		$1
}

rule function_68871_0 {
	meta:
		name = "TGuidHelper.Create"
		size = 78
		refs = "000c @DynArrayLength 0026 SInvalidGuidArray 002d _DV_EArgumentException 0032 Exception.CreateResFmt 0037 @RaiseExcept 0045 Move"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 83 F8 10 74 26 C7 04 24 10 00 00 00 C6 44 24 04 00 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B D6 B9 10 00 00 00 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_68872_0 {
	meta:
		name = "TGuidHelper.Create"
		size = 119
		refs = "001c @DynArrayLength 0038 SInvalidGuidArray 003f _DV_EArgumentException 0044 Exception.CreateResFmt 0049 @RaiseExcept 006a Move"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 66 89 4D FC 66 89 55 FE 8B F8 8B 5D 08 8B 75 0C 8B C6 E8 ?? ?? ?? ?? 83 F8 10 74 28 C7 45 F4 08 00 00 00 C6 45 F8 00 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 3B 0F B7 45 FE 66 89 43 04 0F B7 45 FC 66 89 43 06 8B C6 8D 53 08 B9 08 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_68873_0 {
	meta:
		name = "TGuidHelper.Create"
		size = 78
	strings:
		$1 = { 55 8B EC 56 8B 75 08 89 06 66 89 56 04 66 89 4E 06 0F B6 45 28 88 46 08 0F B6 45 24 88 46 09 0F B6 45 20 88 46 0A 0F B6 45 1C 88 46 0B 0F B6 45 18 88 46 0C 0F B6 45 14 88 46 0D 0F B6 45 10 88 46 0E 0F B6 45 0C 88 46 0F 5E 5D C2 24 00 }
	condition:
		$1
}

rule function_68875_0 {
	meta:
		name = "TGuidHelper.NewGuid"
		size = 21
		refs = "0006 CreateGUID 000f RaiseLastOSError"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68876_0 {
	meta:
		name = "TGuidHelper.ToByteArray"
		size = 46
		refs = "0011 TArray<System.Byte> 0016 @DynArraySetLength 0027 Move"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 10 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 16 8B C3 B9 10 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68878_0 {
	meta:
		name = "DoExitProc"
		size = 42
		refs = "0002 ExitProcList 0010 ExitProc 0022 @FreeMem"
	strings:
		$1 = { 53 A1 ?? ?? ?? ?? 8B 10 89 15 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 48 04 89 0A 8B 58 08 BA 0C 00 00 00 E8 ?? ?? ?? ?? FF D3 5B C3 }
	condition:
		$1
}

rule function_68879_0 {
	meta:
		name = "AddExitProc"
		size = 53
		refs = "0009 @GetMem 000f ExitProcList 0017 ExitProc 002f DoExitProc"
	strings:
		$1 = { 53 8B D8 B8 0C 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 8B 15 ?? ?? ?? ?? 8B 12 89 50 04 89 58 08 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68880_0 {
	meta:
		name = "IsLeadChar"
		size = 14
		refs = "0006 LeadBytes"
	strings:
		$1 = { 0F B6 C0 0F A3 05 ?? ?? ?? ?? 0F 92 C0 C3 }
	condition:
		$1
}

rule function_68881_0 {
	meta:
		name = "IsLeadChar"
		size = 18
	strings:
		$1 = { 66 3D 00 D8 72 06 66 3D FF DF 76 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_68882_0 {
	meta:
		name = "CharInSet"
		size = 10
	strings:
		$1 = { 0F B6 C0 0F A3 02 0F 92 C0 C3 }
	condition:
		$1
}

rule function_68883_0 {
	meta:
		name = "CharInSet"
		size = 16
	strings:
		$1 = { 66 3D FF 00 77 06 0F B7 C0 0F A3 02 0F 92 C0 C3 }
	condition:
		$1
}

rule function_68884_0 {
	meta:
		name = "NewStr"
		size = 48
		refs = "000a NullAnsiStr 0012 AnsiString 001c @New 0027 @LStrAsg"
	strings:
		$1 = { 53 56 8B F0 85 F6 75 08 8B 1D ?? ?? ?? ?? EB 1B 8B 15 ?? ?? ?? ?? B8 04 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_68885_0 {
	meta:
		name = "DisposeStr"
		size = 27
		refs = "000e AnsiString 0015 @Dispose"
	strings:
		$1 = { 53 8B D8 85 DB 74 12 83 3B 00 74 0D 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_68886_0 {
	meta:
		name = "AssignStr"
		size = 29
		refs = "000c NewStr 0015 DisposeStr"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 33 8B C7 E8 ?? ?? ?? ?? 89 03 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68888_0 {
	meta:
		name = "UpperCase"
		size = 78
		refs = "0019 @UStrSetLength"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 85 C0 74 05 83 E8 04 8B 00 8B F0 8B C7 8B D6 E8 ?? ?? ?? ?? 85 F6 7E 29 8B 0F 8B D6 83 FA 01 7C 20 0F B7 03 8B F0 83 C6 9F 66 83 EE 1A 73 04 66 83 F0 20 66 89 01 83 C1 02 83 C3 02 4A 85 D2 75 E0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68890_0 {
	meta:
		name = "LowerCase"
		size = 78
		refs = "0019 @UStrSetLength"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 85 C0 74 05 83 E8 04 8B 00 8B F0 8B C7 8B D6 E8 ?? ?? ?? ?? 85 F6 7E 29 8B 0F 8B D6 83 FA 01 7C 20 0F B7 03 8B F0 83 C6 BF 66 83 EE 1A 73 04 66 83 C8 20 66 89 01 83 C1 02 83 C3 02 4A 85 D2 75 E0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68892_0 {
	meta:
		name = "CompareStr"
		size = 108
	strings:
		$1 = { 39 D0 74 55 85 D0 74 54 0F B7 0A 66 3B 08 74 07 0F B7 00 29 C8 EB 27 53 8B 58 FC 31 C9 2B 5A FC 53 83 D1 FF 21 D9 2B 48 FC D1 E1 29 C8 29 CA 8B 1C 01 33 1C 11 75 08 83 C1 04 78 F3 58 5B C3 0F BC DB C1 EB 04 01 DB 01 D9 79 F1 0F B7 04 01 0F B7 14 11 29 D0 5B 5B EB E5 31 C0 C3 85 C0 74 08 85 D2 75 A4 8B 40 FC C3 2B 42 FC C3 }
	condition:
		$1
}

rule function_68894_0 {
	meta:
		name = "SameStr"
		size = 45
		refs = "0021 CompareStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B DE 75 05 B0 01 5E 5B C3 85 DB 74 04 85 F6 75 05 33 C0 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_68899_0 {
	meta:
		name = "SameText"
		size = 45
		refs = "0021 CompareText"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B DE 75 05 B0 01 5E 5B C3 85 DB 74 04 85 F6 75 05 33 C0 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_68895_0 {
	meta:
		name = "SameStr"
		size = 153
		refs = "0011 SameStr 0025 AnsiSameStr 0033 @UStrLAsg 0064 CompareStr 0085 @UStrArrayClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 F9 01 75 0D 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 42 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68900_0 {
	meta:
		name = "SameText"
		size = 153
		refs = "0011 SameText 0025 AnsiSameText 0033 @UStrLAsg 0064 CompareText 0085 @UStrArrayClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 F9 01 75 0D 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 42 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68896_0 {
	meta:
		name = "CompareMem"
		size = 145
	strings:
		$1 = { 01 C8 01 CA 83 F1 FF 83 C0 F8 83 C2 F8 83 C1 09 53 7F 43 8B 1C 01 3B 1C 11 75 72 8D 1C 01 83 C1 04 83 E3 03 29 D9 7F 2E 8B 1C 01 3B 1C 11 75 5D 8B 5C 01 04 3B 5C 11 04 75 53 83 C1 08 7F 17 8B 1C 01 3B 1C 11 75 46 8B 5C 01 04 3B 5C 11 04 75 3C 83 C1 08 7E D2 83 F9 04 7F 0B 8B 1C 01 3B 1C 11 75 2A 83 C1 04 83 F9 06 7F 0D 0F B7 1C 01 66 3B 1C 11 75 18 83 C1 02 83 F9 07 7F 09 0F B6 58 07 3A 5A 07 75 07 B8 01 00 00 00 5B C3 31 C0 5B C3 }
	condition:
		$1
}

rule function_68897_0 {
	meta:
		name = "CompareText"
		size = 174
	strings:
		$1 = { 85 C0 75 0A 85 D2 74 05 8B 42 FC F7 D8 C3 85 D2 75 04 8B 40 FC C3 53 55 56 8B 68 FC 8B 5A FC 29 DD 19 C9 21 E9 01 D9 8D 34 48 01 CA 01 CA F7 D9 74 76 8B 04 4E 8B 1C 4A 39 D8 74 67 66 39 D8 74 3E 25 FF FF 00 00 81 E3 FF FF 00 00 83 F8 61 7C 08 83 F8 7A 7F 03 83 E8 20 83 FB 61 7C 08 83 FB 7A 7F 03 83 EB 20 29 D8 75 40 8B 04 4E 8B 1C 4A 25 00 00 FF FF 81 E3 00 00 FF FF 39 D8 74 24 C1 E8 10 C1 EB 10 83 F8 61 7C 08 83 F8 7A 7F 03 83 E8 20 83 FB 61 7C 08 83 FB 7A 7F 03 83 EB 20 29 D8 75 07 83 C1 02 7C 8A 89 E8 5E 5D 5B C3 }
	condition:
		$1
}

rule function_68901_0 {
	meta:
		name = "AnsiUpperCase"
		size = 60
		refs = "0017 @UStrToPWChar 0022 @UStrFromPWCharLen 0034 CharUpperBuff"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 8B CB E8 ?? ?? ?? ?? 85 DB 7E 0E 53 8B 07 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68902_0 {
	meta:
		name = "AnsiLowerCase"
		size = 60
		refs = "0017 @UStrToPWChar 0022 @UStrFromPWCharLen 0034 CharLowerBuff"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 8B CB E8 ?? ?? ?? ?? 85 DB 7E 0E 53 8B 07 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68903_0 {
	meta:
		name = "AnsiCompareStr"
		size = 68
		refs = "0022 @UStrToPWChar 0038 CompareString"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B DF 85 DB 74 05 83 EB 04 8B 1B 8B F5 85 F6 74 05 83 EE 04 8B 36 56 8B C5 E8 ?? ?? ?? ?? 50 53 8B C7 E8 ?? ?? ?? ?? 50 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68905_0 {
	meta:
		name = "AnsiCompareText"
		size = 68
		refs = "0022 @UStrToPWChar 0038 CompareString"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B DF 85 DB 74 05 83 EB 04 8B 1B 8B F5 85 F6 74 05 83 EE 04 8B 36 56 8B C5 E8 ?? ?? ?? ?? 50 53 8B C7 E8 ?? ?? ?? ?? 50 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68907_0 {
	meta:
		name = "AnsiStrComp"
		size = 30
		refs = "0014 CompareStringA"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A FF 56 6A FF 53 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5E 5B C3 }
	condition:
		$1
}

rule function_68908_0 {
	meta:
		name = "AnsiStrComp"
		size = 30
		refs = "0014 CompareStringW"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A FF 56 6A FF 53 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5E 5B C3 }
	condition:
		$1
}

rule function_68909_0 {
	meta:
		name = "AnsiStrIComp"
		size = 30
		refs = "0014 CompareStringA"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A FF 56 6A FF 53 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5E 5B C3 }
	condition:
		$1
}

rule function_68910_0 {
	meta:
		name = "AnsiStrIComp"
		size = 30
		refs = "0014 CompareStringW"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A FF 56 6A FF 53 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5E 5B C3 }
	condition:
		$1
}

rule function_68911_0 {
	meta:
		name = "AnsiStrLComp"
		size = 32
		refs = "0015 CompareStringA"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 53 57 53 56 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68912_0 {
	meta:
		name = "AnsiStrLComp"
		size = 32
		refs = "0015 CompareStringW"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 53 57 53 56 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68913_0 {
	meta:
		name = "AnsiStrLIComp"
		size = 32
		refs = "0015 CompareStringA"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 53 57 53 56 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68914_0 {
	meta:
		name = "AnsiStrLIComp"
		size = 32
		refs = "0015 CompareStringW"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 53 57 53 56 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68919_0 {
	meta:
		name = "WideUpperCase"
		size = 57
		refs = "0019 @WStrToPWChar 0024 @WStrFromPWCharLen 0031 CharUpperBuffW"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 8B CB E8 ?? ?? ?? ?? 85 DB 7E 09 53 8B 07 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68920_0 {
	meta:
		name = "WideLowerCase"
		size = 57
		refs = "0019 @WStrToPWChar 0024 @WStrFromPWCharLen 0031 CharLowerBuffW"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 8B CB E8 ?? ?? ?? ?? 85 DB 7E 09 53 8B 07 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68921_0 {
	meta:
		name = "WideCompareStr"
		size = 101
		refs = "000b SetLastError 0031 @WStrToPWChar 0047 CompareStringW 0051 GetLastError 005a RaiseLastOSError"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 6A 00 E8 ?? ?? ?? ?? 8B DF 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8B F5 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 56 8B C5 E8 ?? ?? ?? ?? 50 53 8B C7 E8 ?? ?? ?? ?? 50 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 8B D8 E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68923_0 {
	meta:
		name = "WideCompareText"
		size = 101
		refs = "000b SetLastError 0031 @WStrToPWChar 0047 CompareStringW 0051 GetLastError 005a RaiseLastOSError"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 6A 00 E8 ?? ?? ?? ?? 8B DF 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8B F5 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 56 8B C5 E8 ?? ?? ?? ?? 50 53 8B C7 E8 ?? ?? ?? ?? 50 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 8B D8 E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68925_0 {
	meta:
		name = "Trim"
		size = 112
		refs = "0033 @UStrAsg 004d @UStrClr 0067 @UStrCopy"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 85 C0 74 05 83 E8 04 8B 00 8B F0 BB 01 00 00 00 85 F6 7E 1C 66 83 7C 5F FE 20 76 14 66 83 7C 77 FE 20 76 0C 8B C5 8B D7 E8 ?? ?? ?? ?? EB 32 43 3B F3 7C 08 66 83 7C 5F FE 20 76 F3 3B F3 7D 0A 8B C5 E8 ?? ?? ?? ?? EB 18 4E 66 83 7C 77 FE 20 76 F7 55 8B CE 2B CB 41 8B D3 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68926_0 {
	meta:
		name = "TrimLeft"
		size = 73
		refs = "0030 @UStrAsg 0041 @UStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 85 C0 74 05 83 E8 04 8B 00 BB 01 00 00 00 EB 01 43 3B C3 7C 08 66 83 7C 5E FE 20 76 F3 83 FB 01 75 0B 8B C7 8B D6 E8 ?? ?? ?? ?? EB 0F 57 B9 FF FF FF 7F 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68927_0 {
	meta:
		name = "TrimRight"
		size = 75
		refs = "0025 @UStrAsg 0043 @UStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 14 66 83 7C 5E FE 20 76 0C 8B C7 8B D6 E8 ?? ?? ?? ?? EB 1C 4B 85 DB 7E 08 66 83 7C 5E FE 20 76 F3 57 8B CB BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68928_0 {
	meta:
		name = "QuotedStr"
		size = 116
		refs = "000c @UStrAsg 0037 QuotedStr 003c @UStrInsert 0059 @UStrCatN"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 8B 06 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 7C 1D 8B 06 66 83 7C 58 FE 27 75 0E 8B D6 8B CB B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 85 DB 75 E3 68 ?? ?? ?? ?? FF 36 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 }
	condition:
		$1
}

rule function_68929_0 {
	meta:
		name = "AnsiQuotedStr"
		size = 372
		refs = "001e AnsiQuotedStr 002e @UStrToPWChar 0037 AnsiStrScan 0062 @UStrFromWChar 0083 @UStrCatN 009f @UStrSetLength 00e4 Move 0117 StrEnd 0161 @UStrArrayClr 0167 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F4 89 5D F0 8B F9 66 89 55 FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 FC E8 ?? ?? ?? ?? 0F B7 55 FA E8 ?? ?? ?? ?? 8B D8 85 DB 74 15 83 C3 02 46 0F B7 55 FA 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 EB 85 F6 75 32 8D 45 F4 0F B7 55 FA E8 ?? ?? ?? ?? FF 75 F4 FF 75 FC 8D 45 F0 0F B7 55 FA E8 ?? ?? ?? ?? FF 75 F0 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 BF 00 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 54 06 02 8B C7 E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 8B F8 0F B7 45 FA 66 89 07 83 C7 02 8B 45 FC E8 ?? ?? ?? ?? 8B F0 0F B7 55 FA 8B C6 E8 ?? ?? ?? ?? 8B D8 83 C3 02 8B C3 2B C6 D1 F8 79 03 83 D0 00 8B C8 03 C9 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C3 2B C6 D1 F8 79 03 83 D0 00 03 C0 03 F8 0F B7 45 FA 66 89 07 83 C7 02 8B F3 0F B7 55 FA 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 B9 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 2B C6 D1 F8 79 03 83 D0 00 8B C8 03 C9 8B D7 8B C6 E8 ?? ?? ?? ?? 2B DE D1 FB 79 03 83 D3 00 8B C3 03 C0 03 F8 0F B7 45 FA 66 89 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68930_0 {
	meta:
		name = "AnsiExtractQuotedStr"
		size = 308
		refs = "0012 @LStrClr 0037 AnsiStrScan 006f StrEnd 00ad @LStrFromPCharLen 00c1 @LStrSetLength 00cb @LStrToPChar 00ef Move"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 0C 24 8B DA 8B F8 8B 04 24 E8 ?? ?? ?? ?? 83 3F 00 0F 84 0E 01 00 00 8B 07 3A 18 0F 85 04 01 00 00 FF 07 BD 01 00 00 00 8B 37 8B 07 8B D3 E8 ?? ?? ?? ?? 89 07 EB 16 FF 07 8B 07 3A 18 75 13 FF 07 45 8B 07 8B D3 E8 ?? ?? ?? ?? 89 07 83 3F 00 75 E5 83 3F 00 0F 94 C0 83 E0 7F 89 44 24 04 83 3F 00 75 09 8B C6 E8 ?? ?? ?? ?? 89 07 8B 07 2B C6 BA 01 00 00 00 2B 54 24 04 3B C2 0F 8E A3 00 00 00 8B D0 2B D5 3B 54 24 04 0F 84 95 00 00 00 83 FD 01 75 16 6A 00 8B C8 49 03 4C 24 08 8B 44 24 04 8B D6 E8 ?? ?? ?? ?? EB 7A 8B D0 2B D5 03 54 24 04 8B 04 24 33 C9 E8 ?? ?? ?? ?? 8B 04 24 8B 00 E8 ?? ?? ?? ?? 8B E8 8B D3 8B C6 E8 ?? ?? ?? ?? 89 07 EB 2A FF 07 8B 07 3A 18 75 27 8B 0F 2B CE 8B D5 8B C6 E8 ?? ?? ?? ?? 8B 07 2B C6 03 E8 FF 07 8B 37 8B 07 8B D3 E8 ?? ?? ?? ?? 89 07 83 3F 00 75 D1 83 3F 00 75 09 8B C6 E8 ?? ?? ?? ?? 89 07 8B 0F 2B CE 49 03 4C 24 04 8B D5 8B C6 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68931_0 {
	meta:
		name = "AnsiExtractQuotedStr"
		size = 352
		refs = "0012 @UStrClr 0039 AnsiStrScan 0074 StrEnd 00b6 @UStrFromPWCharLen 00cb @UStrSetLength 00d5 @UStrToPWChar 0106 Move"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 0C 24 8B FA 8B D8 8B 04 24 E8 ?? ?? ?? ?? 83 3B 00 0F 84 3A 01 00 00 8B 03 66 3B 38 0F 85 2F 01 00 00 83 03 02 BD 01 00 00 00 8B 33 8B 03 8B D7 E8 ?? ?? ?? ?? 89 03 EB 19 83 03 02 8B 03 66 3B 38 75 14 83 03 02 45 8B 03 8B D7 E8 ?? ?? ?? ?? 89 03 83 3B 00 75 E2 83 3B 00 0F 94 C0 83 E0 7F 89 44 24 04 83 3B 00 75 09 8B C6 E8 ?? ?? ?? ?? 89 03 8B 03 2B C6 D1 F8 79 03 83 D0 00 BA 01 00 00 00 2B 54 24 04 3B C2 0F 8E C3 00 00 00 8B D0 2B D5 3B 54 24 04 0F 84 B5 00 00 00 83 FD 01 75 16 8B C8 49 03 4C 24 04 8B 04 24 8B D6 E8 ?? ?? ?? ?? E9 9A 00 00 00 8B D0 2B D5 03 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 8B 04 24 8B 00 E8 ?? ?? ?? ?? 8B E8 8B D7 8B C6 E8 ?? ?? ?? ?? 89 03 EB 41 83 03 02 8B 03 66 3B 38 75 3C 8B 03 2B C6 D1 F8 79 03 83 D0 00 8B C8 03 C9 8B D5 8B C6 E8 ?? ?? ?? ?? 8B 03 2B C6 D1 F8 79 03 83 D0 00 03 C0 03 E8 83 03 02 8B 33 8B 03 8B D7 E8 ?? ?? ?? ?? 89 03 83 3B 00 75 BA 83 3B 00 75 09 8B C6 E8 ?? ?? ?? ?? 89 03 8B 03 2B C6 D1 F8 79 03 83 D0 00 48 03 44 24 04 8B C8 03 C9 8B D5 8B C6 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68932_0 {
	meta:
		name = "AnsiDequotedStr"
		size = 115
		refs = "000d @UStrToPWChar 001b AnsiExtractQuotedStr 006a @UStrAsg"
	strings:
		$1 = { 53 56 57 51 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B CE 8B C4 8B D7 E8 ?? ?? ?? ?? 83 3E 00 74 09 8B 04 24 66 83 38 00 75 12 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C0 EB 02 33 C0 84 C0 74 29 66 3B 3B 74 04 B0 01 EB 13 8B C3 85 C0 74 05 83 E8 04 8B 00 66 3B 7C 43 FE 0F 95 C0 84 C0 74 09 8B C6 8B D3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68933_0 {
	meta:
		name = "AdjustLineBreaks"
		size = 273
		refs = "007e @PWCharLen 008e @UStrAsg 00a0 @UStrFromPWCharLen"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 0C 24 8B DA 8B E8 8B FD 8B D5 8B C2 85 C0 74 05 83 E8 04 8B 00 8B F0 03 F6 03 F7 8B C2 85 C0 74 05 83 E8 04 8B 00 89 44 24 04 3B F7 76 45 0F B7 07 66 83 E8 0A 74 08 66 83 E8 03 74 0D EB 2D 80 FB 01 75 28 FF 44 24 04 EB 22 80 FB 01 75 12 66 83 7F 02 0A 75 05 83 C7 02 EB 11 FF 44 24 04 EB 0B 66 83 7F 02 0A 75 04 FF 4C 24 04 83 C7 02 3B F7 77 BB 8B C7 E8 ?? ?? ?? ?? 3B 44 24 04 75 0C 8B 04 24 8B D5 E8 ?? ?? ?? ?? EB 76 8B FD 8B 04 24 8B 4C 24 04 33 D2 E8 ?? ?? ?? ?? 8B 04 24 8B 00 3B F7 76 5D 0F B7 17 8B CA 66 83 E9 0A 74 08 66 83 E9 03 74 1C EB 3D 80 FB 01 75 08 66 C7 00 0D 00 83 C0 02 66 C7 00 0A 00 83 C0 02 83 C7 02 EB 2C 80 FB 01 75 08 66 C7 00 0D 00 83 C0 02 66 C7 00 0A 00 83 C0 02 83 C7 02 66 83 3F 0A 75 0E 83 C7 02 EB 09 66 89 10 83 C0 02 83 C7 02 3B F7 77 A3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68936_0 {
	meta:
		name = "AlphaNumericDot"
		size = 34
		refs = "0006 TCharacter.IsLetterOrDigit"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 66 83 FB 5F 74 0A 66 83 FB 2E 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_68937_0 {
	meta:
		name = "IsValidIdent"
		size = 215
		refs = "0027 TCharacter.IsLetter 0069 TCharacter.IsLetterOrDigit"
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B E8 C6 04 24 00 8B C5 85 C0 74 05 83 E8 04 8B 00 85 C0 75 04 B0 01 EB 1D 0F B7 75 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0A 66 83 FE 5F 74 04 33 C0 EB 02 B0 01 34 01 84 C0 0F 85 88 00 00 00 84 DB 74 44 8B C5 85 C0 74 05 83 E8 04 8B 00 8B D8 83 EB 02 7C 6E 43 BE 02 00 00 00 0F B7 7C 75 FE 8B C7 E8 ?? ?? ?? ?? 84 C0 75 10 66 83 FF 5F 74 0A 66 83 FF 2E 74 04 33 C0 EB 02 B0 01 84 C0 74 46 46 4B 75 D6 EB 3C 8B C5 85 C0 74 05 83 E8 04 8B 00 8B D8 83 EB 02 7C 2A 43 BE 02 00 00 00 0F B7 7C 75 FE 8B C7 E8 ?? ?? ?? ?? 84 C0 75 0A 66 83 FF 5F 74 04 33 C0 EB 02 B0 01 84 C0 74 08 46 4B 75 DC C6 04 24 01 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68938_0 {
	meta:
		name = "CvtInt"
		size = 76
		refs = "000b CvtInt"
	strings:
		$1 = { 08 C9 75 17 09 C0 79 0E F7 D8 E8 ?? ?? ?? ?? B0 2D 41 4E 88 06 C3 B9 0A 00 00 00 52 56 31 D2 F7 F1 4E 80 C2 30 80 FA 3A 72 03 80 C2 07 88 16 09 C0 75 EA 59 5A 29 F1 29 CA 76 10 01 D1 B0 30 29 D6 EB 03 88 04 32 4A 75 FA 88 06 C3 }
	condition:
		$1
}

rule function_68939_0 {
	meta:
		name = "CvtIntW"
		size = 96
		refs = "000b CvtIntW"
	strings:
		$1 = { 08 C9 75 1D 09 C0 79 14 F7 D8 E8 ?? ?? ?? ?? 66 B8 2D 00 66 89 46 FE 83 EE 02 41 C3 B9 0A 00 00 00 52 56 31 D2 F7 F1 66 83 C2 30 83 EE 02 66 83 FA 3A 72 04 66 83 C2 07 66 89 16 09 C0 75 E4 59 5A 29 F1 D1 E9 29 CA 76 16 01 D1 29 D6 66 B8 30 00 29 D6 EB 04 66 89 04 56 4A 75 F9 66 89 06 C3 }
	condition:
		$1
}

rule function_68940_0 {
	meta:
		name = "_IntToStr32"
		size = 249
		refs = "0088 @UStrSetLength 0090 @UStrToPWChar 00c3 TwoDigitLookup"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F8 81 FF 10 27 00 00 72 49 81 FF 40 42 0F 00 72 2E 81 FF 00 E1 F5 05 72 13 81 FF 00 CA 9A 3B 0F 93 C0 8B F0 83 E6 7F 83 C6 09 EB 4A 81 FF 80 96 98 00 0F 93 C0 8B F0 83 E6 7F 83 C6 07 EB 37 81 FF A0 86 01 00 0F 93 C0 8B F0 83 E6 7F 83 C6 05 EB 24 83 FF 64 72 13 81 FF E8 03 00 00 0F 93 C0 8B F0 83 E6 7F 83 C6 03 EB 0C 83 FF 0A 0F 93 C0 8B F0 83 E6 7F 46 0F B6 C3 03 C6 8B D5 92 E8 ?? ?? ?? ?? 8B 45 00 E8 ?? ?? ?? ?? 8B C8 66 C7 01 2D 00 0F B6 C3 03 C0 03 C8 83 FE 02 7E 2D 8B C7 BB 64 00 00 00 33 D2 F7 F3 8B D0 6B C2 64 2B F8 8B C7 8B FA 83 EE 02 8B 04 85 ?? ?? ?? ?? 8B D6 03 D2 03 D1 89 02 83 FE 02 7F D3 83 FE 02 75 14 8B 04 BD ?? ?? ?? ?? 8B D6 03 D2 03 CA 83 E9 04 89 01 EB 07 66 83 CF 30 66 89 39 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68941_0 {
	meta:
		name = "_IntToStr64"
		size = 782
		refs = "003f _IntToStr32 0137 @UStrSetLength 013e @UStrToPWChar 01df @_lludiv 01ff @_llmul 022e TwoDigitLookup"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F2 88 45 FF 80 7D FF 00 74 0F 83 7D 0C 00 75 07 81 7D 08 FF FF FF 7F 76 12 80 7D FF 00 75 1F 83 7D 0C 00 75 04 83 7D 08 FF 77 13 8B CE 0F B6 55 FF 8B 45 08 E8 ?? ?? ?? ?? E9 BD 02 00 00 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 81 7D F4 F3 5A 00 00 75 07 81 7D F0 00 40 7A 10 72 74 81 7D F4 F2 86 23 00 75 07 81 7D F0 00 00 C1 6F 72 4A 81 7D F4 B3 B6 E0 0D 75 07 81 7D F0 00 00 64 A7 72 20 81 7D F4 04 23 C7 8A 75 07 81 7D F0 00 00 E8 89 72 07 B3 14 E9 87 00 00 00 B3 13 E9 80 00 00 00 81 7D F4 78 45 63 01 75 07 81 7D F0 00 00 8A 5D 0F 93 C3 80 C3 11 EB 68 81 7D F4 7E 8D 03 00 75 07 81 7D F0 00 80 C6 A4 0F 93 C3 80 C3 0F EB 50 81 7D F4 E8 00 00 00 75 07 81 7D F0 00 10 A5 D4 72 18 81 7D F4 18 09 00 00 75 07 81 7D F0 00 A0 72 4E 0F 93 C3 80 C3 0D EB 26 83 7D F4 02 75 07 81 7D F0 00 E4 0B 54 72 15 83 7D F4 17 75 07 81 7D F0 00 E8 76 48 0F 93 C3 80 C3 0B EB 02 B3 0A 0F B6 C3 0F B6 7D FF 03 C7 8B D6 92 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B F0 66 C7 06 2D 00 8B C7 03 C0 03 F0 80 FB 14 75 17 66 C7 06 31 00 83 C6 02 81 6D F0 00 00 E8 89 81 5D F4 04 23 C7 8A 4B 80 FB 11 76 61 80 FB 13 75 2D 66 C7 06 30 00 EB 11 81 6D F0 00 00 64 A7 81 5D F4 B3 B6 E0 0D 66 FF 06 81 7D F4 B3 B6 E0 0D 75 07 81 7D F0 00 00 64 A7 73 DD 83 C6 02 66 C7 06 30 00 EB 11 81 6D F0 00 00 8A 5D 81 5D F4 78 45 63 01 66 FF 06 81 7D F4 78 45 63 01 75 07 81 7D F0 00 00 8A 5D 73 DD 83 C6 02 B3 11 6A 00 68 00 E1 F5 05 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 8B 45 F0 8B 55 F4 52 50 6A 00 68 00 E1 F5 05 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 89 45 E0 89 55 E4 8B 4D E0 8B C1 BF 64 00 00 00 33 D2 F7 F7 89 45 DC 6B 45 DC 64 2B C8 8B C1 8B 04 85 ?? ?? ?? ?? 0F B6 D3 03 D2 03 D6 83 EA 04 89 02 8B 45 DC B9 64 00 00 00 33 D2 F7 F1 8B C8 6B C1 64 8B 55 DC 2B D0 8B C2 8B 04 85 ?? ?? ?? ?? 0F B6 D3 03 D2 03 D6 83 EA 08 89 02 8B C1 BF 64 00 00 00 33 D2 F7 F7 89 45 DC 6B 45 DC 64 2B C8 8B C1 8B 04 85 ?? ?? ?? ?? 0F B6 D3 03 D2 03 D6 83 EA 0C 89 02 8B 45 DC 8B 04 85 ?? ?? ?? ?? 0F B6 D3 03 D2 03 D6 83 EA 10 89 02 80 EB 08 8B 4D E8 80 FB 02 76 31 8B C1 BF 64 00 00 00 33 D2 F7 F7 89 45 DC 6B 45 DC 64 2B C8 8B C1 8B 4D DC 80 EB 02 8B 04 85 ?? ?? ?? ?? 0F B6 D3 03 D2 03 D6 89 02 80 FB 02 77 CF 80 FB 02 75 15 8B 04 8D ?? ?? ?? ?? 0F B6 D3 03 D2 03 F2 83 EE 04 89 06 EB 07 66 83 C9 30 66 89 0E 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_68942_0 {
	meta:
		name = "IntToStr"
		size = 40
		refs = "0013 _IntToStr32"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 DB 7D 10 8B CE 8B C3 F7 D8 B2 01 E8 ?? ?? ?? ?? 5E 5B C3 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68943_0 {
	meta:
		name = "IntToStr"
		size = 68
		refs = "002a _IntToStr64"
	strings:
		$1 = { 55 8B EC 53 8B D8 83 7D 0C 00 75 08 83 7D 08 00 73 1E EB 02 7D 1A 8B 45 08 8B 55 0C F7 D8 83 D2 00 F7 DA 52 50 8B D3 B0 01 E8 ?? ?? ?? ?? EB 0F FF 75 0C FF 75 08 8B D3 33 C0 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_68946_0 {
	meta:
		name = "_IntToHex"
		size = 290
		refs = "0053 @UStrSetLength 006a @UniqueStringU 009b @UStrToPWChar 00e2 TwoHexLookup"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B FA 89 45 FC BB 01 00 00 00 8B 45 08 8B 55 0C 0F AC D0 04 C1 EA 04 89 45 F0 89 55 F4 EB 14 43 8B 45 F0 8B 55 F4 0F AC D0 04 C1 EA 04 89 45 F0 89 55 F4 83 7D F4 00 75 04 83 7D F0 00 77 E0 3B 5D FC 7D 42 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B 75 FC 2B F3 85 F6 7E 1E C7 45 F8 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 66 C7 44 50 FE 30 00 FF 45 F8 4E 75 E9 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 2B D3 8D 0C 50 EB 12 8B C7 8B D3 E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 8B C8 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 83 FB 02 7E 41 8B 45 F0 8B 55 F4 81 E0 FF 00 00 00 33 D2 89 45 E8 89 55 EC 8B 45 F0 8B 55 F4 0F AC D0 08 C1 EA 08 89 45 F0 89 55 F4 83 EB 02 8B 45 E8 8B 04 85 ?? ?? ?? ?? 8B D3 03 D2 03 D1 89 02 83 FB 02 7F BF 83 FB 02 75 0E 8B 45 F0 8B 04 85 ?? ?? ?? ?? 89 01 EB 13 8B 45 F0 8D 04 85 ?? ?? ?? ?? 83 C0 02 0F B7 00 66 89 01 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_68947_0 {
	meta:
		name = "IntToHex"
		size = 28
		refs = "0014 _IntToHex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 33 D2 52 50 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68950_0 {
	meta:
		name = "CvtInt64W"
		size = 227
		refs = "0026 CvtInt64W"
	strings:
		$1 = { 08 C9 75 34 B9 0A 00 00 00 F7 40 04 00 00 00 80 74 26 FF 70 04 FF 30 89 E0 F7 1C 24 83 54 24 04 00 F7 5C 24 04 E8 ?? ?? ?? ?? 41 66 C7 46 FE 2D 00 83 EE 02 83 C4 08 C3 56 83 EC 04 D9 7C 24 02 D9 3C 24 66 81 0C 24 00 0F D9 2C 24 66 89 0C 24 D9 E8 F7 40 04 00 00 00 80 74 27 FF 70 04 FF 30 81 64 24 04 FF FF FF 7F 68 FF FF FF 7F 68 FF FF FF FF DF 6C 24 08 DF 2C 24 D8 C2 DE C1 83 C4 10 EB 02 DF 28 DF 04 24 D9 C1 83 EE 02 D9 F8 DF 1E DC F9 66 8B 06 66 05 30 00 66 3D 3A 00 72 04 66 05 07 00 66 89 06 D9 C1 D8 D3 9B DF E0 9E 73 D9 D9 6C 24 02 83 C4 04 DD C3 DD C2 DD C1 DD C0 59 29 F1 D1 E9 09 D2 78 1A 29 CA 76 16 29 D6 66 B8 30 00 29 D6 01 D1 EB 04 66 89 04 56 4A 75 F9 66 89 06 C3 }
	condition:
		$1
}

rule function_68951_0 {
	meta:
		name = "CvtInt64"
		size = 203
		refs = "0026 CvtInt64"
	strings:
		$1 = { 08 C9 75 30 B9 0A 00 00 00 F7 40 04 00 00 00 80 74 22 FF 70 04 FF 30 89 E0 F7 1C 24 83 54 24 04 00 F7 5C 24 04 E8 ?? ?? ?? ?? C6 46 FF 2D 4E 41 83 C4 08 C3 56 83 EC 04 D9 7C 24 02 D9 3C 24 66 81 0C 24 00 0F D9 2C 24 66 89 0C 24 D9 E8 F7 40 04 00 00 00 80 74 27 FF 70 04 FF 30 81 64 24 04 FF FF FF 7F 68 FF FF FF 7F 68 FF FF FF FF DF 6C 24 08 DF 2C 24 D8 C2 DE C1 83 C4 10 EB 02 DF 28 DF 04 24 D9 C1 4E D9 F8 DF 1C 24 DC F9 8A 04 24 04 30 3C 3A 72 02 04 07 88 06 D9 C1 D8 D3 9B DF E0 9E 73 E1 D9 6C 24 02 83 C4 04 DD C3 DD C2 DD C1 DD C0 59 29 F1 29 CA 76 10 29 D6 B0 30 01 D1 EB 03 88 04 32 4A 75 FA 88 06 C3 }
	condition:
		$1
}

rule function_68952_0 {
	meta:
		name = "StrToInt"
		size = 57
		refs = "000c @ValLong 0026 SInvalidInteger 002d ConvertErrorFmt"
	strings:
		$1 = { 53 56 83 C4 F4 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B F0 83 3C 24 00 74 19 89 5C 24 04 C6 44 24 08 11 8D 54 24 04 A1 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 8B C6 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_68953_0 {
	meta:
		name = "StrToIntDef"
		size = 22
		refs = "0007 @ValLong"
	strings:
		$1 = { 53 51 8B DA 8B D4 E8 ?? ?? ?? ?? 83 3C 24 00 74 02 8B C3 5A 5B C3 }
	condition:
		$1
}

rule function_68954_0 {
	meta:
		name = "TryStrToInt"
		size = 29
		refs = "000c @ValLong"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 89 06 83 3C 24 00 0F 94 C0 5A 5E 5B C3 }
	condition:
		$1
}

rule function_68955_0 {
	meta:
		name = "StrToInt64"
		size = 68
		refs = "000d @ValInt64 002d SInvalidInteger 0034 ConvertErrorFmt"
	strings:
		$1 = { 53 83 C4 EC 8B D8 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 83 7C 24 08 00 74 19 89 5C 24 0C C6 44 24 10 11 8D 54 24 0C A1 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 8B 04 24 8B 54 24 04 83 C4 14 5B C3 }
	condition:
		$1
}

rule function_68956_0 {
	meta:
		name = "StrToInt64Def"
		size = 50
		refs = "000a @ValInt64"
	strings:
		$1 = { 55 8B EC 83 C4 F4 8D 55 F4 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 83 7D F4 00 74 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 8B 45 F8 8B 55 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_68957_0 {
	meta:
		name = "TryStrToInt64"
		size = 32
		refs = "000c @ValInt64"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 89 06 89 56 04 83 3C 24 00 0F 94 C0 5A 5E 5B C3 }
	condition:
		$1
}

rule function_68958_0 {
	meta:
		name = "VerifyBoolStrArray"
		size = 160
		refs = "0001 TrueBoolStrs 0006 @DynArrayLength 001c :65 0021 @DynArraySetLength 002e VerifyBoolStrArray 0033 @UStrAsg 0038 FalseBoolStrs 0053 :75"
	strings:
		$1 = { A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 29 6A 01 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 29 6A 01 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 61 00 6C 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_68959_0 {
	meta:
		name = "StrToBool"
		size = 53
		refs = "000b TryStrToBool 0021 SInvalidBoolean 0028 ConvertErrorFmt"
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 19 89 5C 24 04 C6 44 24 08 11 8D 54 24 04 A1 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 0F B6 04 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_68960_0 {
	meta:
		name = "StrToBoolDef"
		size = 31
		refs = "000c TryStrToBool"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? 84 C0 75 03 88 1C 24 0F B6 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_68961_0 {
	meta:
		name = "CompareWith"
		size = 140
		refs = "0010 CompareWith 0031 @UStrLAsg 0046 AnsiCompareText 0075 @UStrArrayClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 C6 45 F7 00 8B F2 85 F6 7C 3B 46 8B D8 8D 45 FC 8B 55 08 8B 52 FC E8 ?? ?? ?? ?? 8D 45 F8 8B 13 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 06 C6 45 F7 01 EB 06 83 C3 04 4E 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68962_0 {
	meta:
		name = "TryStrToBool"
		size = 132
		refs = "0013 TryStrToFloat 0022 TryStrToBool 0030 VerifyBoolStrArray 0036 TrueBoolStrs 003b @DynArrayHigh 0047 CompareWith 0059 FalseBoolStrs"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B DA 89 45 FC 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B D0 84 D2 74 12 DB 6D F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 03 EB 49 E8 ?? ?? ?? ?? 55 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B D0 84 D2 74 05 C6 03 01 EB 21 55 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B D0 84 D2 74 03 C6 03 00 8B C2 5B 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_68963_0 {
	meta:
		name = "BoolToStr"
		size = 74
		refs = "000b VerifyBoolStrArray 0017 TrueBoolStrs 001e @UStrAsg 0028 FalseBoolStrs 003e cSimpleBoolStrs"
	strings:
		$1 = { 53 56 8B F1 8B D8 84 D2 74 2C E8 ?? ?? ?? ?? 84 DB 74 11 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? EB 23 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 0F B6 D3 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_68964_0 {
	meta:
		name = "EnumStringModules"
		size = 59
		refs = "001b LoadString 0027 @UStrFromPWCharLen"
	strings:
		$1 = { 53 56 81 C4 00 F8 FF FF 8B F0 8B DA 68 00 04 00 00 8D 44 24 04 50 8B 03 50 56 E8 ?? ?? ?? ?? 8B C8 8B D4 8D 43 04 E8 ?? ?? ?? ?? 83 7B 04 00 0F 94 C0 81 C4 00 08 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_68965_0 {
	meta:
		name = "FindStringResource"
		size = 115
		refs = "0011 TStrData 0016 @InitializeRecord 001e FindStringResource 002f @UStrClr 0037 EnumStringModules 003c EnumResourceModules 0046 @UStrAsg 0061 @FinalizeRecord 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F8 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70789_0 {
	meta:
		name = "FindWideStringResource"
		size = 115
		refs = "0011 TWideStrData 0016 @InitializeRecord 001e FindWideStringResource 002f @WStrClr 0037 EnumWideStringModules 003c EnumResourceModules 0046 @WStrAsg 0061 @FinalizeRecord 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F8 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68967_0 {
	meta:
		name = "FmtLoadStr"
		size = 89
		refs = "0012 FmtLoadStr 0023 FindStringResource 0030 FmtStr 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_68968_0 {
	meta:
		name = "FileOpen"
		size = 88
		refs = "003a ShareMode 0042 AccessMode 004a @UStrToPWChar 0050 CreateFile"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 83 C8 FF BE 03 00 00 00 23 F3 83 FE 02 77 3E BA F0 00 00 00 23 D3 83 FA 40 77 32 6A 00 68 80 00 00 00 6A 03 6A 00 B8 F0 00 00 00 23 C3 C1 E8 04 8B 04 85 ?? ?? ?? ?? 50 8B 04 B5 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68971_0 {
	meta:
		name = "FileCreate"
		size = 82
		refs = "002a Exclusive 0037 ShareMode 0044 @UStrToPWChar 004a CreateFile"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 83 C8 FF BE F0 00 00 00 23 F3 83 FE 40 77 38 6A 00 68 80 00 00 00 B8 04 00 00 00 23 C3 C1 E8 02 8B 04 85 ?? ?? ?? ?? 50 6A 00 C1 EE 04 8B 04 B5 ?? ?? ?? ?? 50 68 00 00 00 C0 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68972_0 {
	meta:
		name = "FileCreateSymLink"
		size = 245
		refs = "0012 FileCreateSymLink 0036 CheckWin32Version 0048 ExtractFilePath 0050 FileSystemAttributes 005b IsRelativePath 006a IncludeTrailingPathDelimiter 0074 @UStrCat 007c @UStrToPWChar 0082 GetFileAttributes 00be CreateSymbolicLink 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 85 F6 0F 84 A4 00 00 00 85 FF 0F 84 9C 00 00 00 33 D2 B8 06 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 88 00 00 00 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? A8 20 74 72 8B C6 E8 ?? ?? ?? ?? 84 C0 74 27 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 EB 0F 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 0C F6 C3 10 74 07 BB 01 00 00 00 EB 02 33 DB 53 8B C6 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68973_0 {
	meta:
		name = "FileGetSymLinkTarget"
		size = 359
		refs = "002c TSearchRec 0031 @InitializeRecord 0039 FileGetSymLinkTarget 004d CheckWin32Version 005c FileSystemAttributes 006e InternalGetFileNameFromSymLink 007e IsRelativePath 008f ExtractFilePath 00a0 IncludeTrailingPathDelimiter 00b1 @UStrCat3 00be @UStrLAsg 00d1 FindFirst 00df @UStrAsg 0115 FindClose 0134 @UStrArrayClr 0145 @FinalizeRecord 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 80 FD FF FF 53 56 57 33 C9 89 8D 84 FD FF FF 89 8D 80 FD FF FF 89 4D FC 89 4D F8 8B FA 8B F0 8D 85 88 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 D2 B8 06 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 C2 00 00 00 8B C6 E8 ?? ?? ?? ?? A8 20 0F 84 B3 00 00 00 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 A1 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 31 8D 95 80 FD FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 80 FD FF FF 8D 95 84 FD FF FF E8 ?? ?? ?? ?? 8B 95 84 FD FF FF 8D 45 F8 8B 4D FC E8 ?? ?? ?? ?? EB 0B 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 8D 88 FD FF FF BA FF 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 42 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B 85 98 FD FF FF 89 47 04 8B 85 90 FD FF FF 89 47 08 8B 85 94 FD FF FF 89 47 0C 83 C7 10 8D B5 A8 FD FF FF B9 94 00 00 00 F3 A5 8D 85 88 FD FF FF E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 80 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 88 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68974_0 {
	meta:
		name = "FileGetSymLinkTarget"
		size = 124
		refs = "0017 TSymLinkRec 001c @InitializeRecord 0024 FileGetSymLinkTarget 004a @UStrAsg 0068 @FinalizeRecord 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 A0 FD FF FF 53 56 8B F2 8B D8 8D 85 A0 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 A0 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8B D8 84 DB 74 0D 8B C6 8B 95 A0 FD FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A0 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68975_0 {
	meta:
		name = "FileSystemAttributes"
		size = 328
		refs = "0022 FileSystemAttributes 0038 DirectoryExists 0045 FileExists 005a ExtractFileDrive 0068 IncludeTrailingPathDelimiter 0094 @UStrToPWChar 009c GetVolumeInformation 00c1 GetDriveType 00e3 RaiseLastOSError 00ee SDriveNotFound 00f3 LoadResString 0100 _DV_EDirectoryNotFoundException 0105 Exception.Create 010a @RaiseExcept 0127 @UStrArrayClr 012f @UStrClr 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 D8 FB FF FF 53 56 33 D2 89 95 D8 FB FF FF 89 95 DC FB FF FF 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 1D ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 75 11 B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 96 00 00 00 8D 95 DC FB FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 DC FB FF FF 8D 55 FC E8 ?? ?? ?? ?? 68 04 01 00 00 8D 85 E0 FB FF FF 50 8D 45 F4 50 8D 45 F0 50 8D 45 F8 50 68 04 01 00 00 8D 85 E8 FD FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 8B F0 56 E8 ?? ?? ?? ?? 85 C0 74 3E F6 45 F4 01 74 03 80 CB 01 F6 45 F4 02 74 03 80 CB 02 F6 45 F4 80 74 03 80 CB 20 56 E8 ?? ?? ?? ?? 83 E8 02 74 09 48 74 0B 48 74 0D 48 75 3B 80 CB 10 EB 36 80 CB 04 EB 31 80 CB 08 EB 2C E8 ?? ?? ?? ?? 8D 95 D8 FB FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D D8 FB FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D8 FB FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5E 5B 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_68976_0 {
	meta:
		name = "FileRead"
		size = 44
		refs = "0015 ReadFile"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 6A 00 8D 44 24 04 50 57 56 53 E8 ?? ?? ?? ?? 85 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68977_0 {
	meta:
		name = "FileWrite"
		size = 44
		refs = "0015 WriteFile"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 6A 00 8D 44 24 04 50 57 56 53 E8 ?? ?? ?? ?? 85 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68979_0 {
	meta:
		name = "FileSeek"
		size = 78
		refs = "0023 SetFilePointer 0031 GetLastError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 56 8D 45 FC 50 8B 45 F8 50 53 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 FF 75 10 E8 ?? ?? ?? ?? 85 C0 74 07 C7 45 FC FF FF FF FF 8B 45 F8 8B 55 FC 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_68981_0 {
	meta:
		name = "GetFileAttributesExEmulated"
		size = 74
		refs = "0015 FindFirstFile 0020 FindClose 0039 Move"
	strings:
		$1 = { 55 8B EC 81 C4 B0 FD FF FF 8D 85 B0 FD FF FF 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 F8 FF 74 24 50 E8 ?? ?? ?? ?? 83 7D 10 00 74 18 8B 55 10 8D 85 B0 FD FF FF B9 24 00 00 00 E8 ?? ?? ?? ?? 83 C8 FF EB 02 33 C0 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_68982_0 {
	meta:
		name = "FileAgeInternal"
		size = 316
		refs = "0020 FileAgeInternal 0035 @UStrToPWChar 003b GetFileAttributesEx 0057 InternalGetFileNameFromSymLink 0063 IsRelativePath 0071 ExtractFilePath 007c IncludeTrailingPathDelimiter 008a @UStrCat3 00ad GetLastError 00cc GetFileAttributesExEmulated 00f0 FileTimeToLocalFileTime 011f @UStrArrayClr 0127 @UStrClr 012d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D CC 89 5D C8 89 5D FC 88 4D F7 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8D 45 D0 50 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 F6 45 D1 04 0F 95 C0 22 45 F7 74 57 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 84 C0 74 49 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 23 8D 55 C8 8B C7 E8 ?? ?? ?? ?? 8B 45 C8 8D 55 CC E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC 8B 4D FC E8 ?? ?? ?? ?? 8D 45 D0 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 84 DB 75 31 E8 ?? ?? ?? ?? 8B F0 8B C6 83 C0 E0 83 E8 02 73 20 8D 45 D0 50 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 07 BE 20 00 00 00 EB 02 33 F6 85 F6 75 23 F6 45 D0 10 75 18 8D 45 E4 8B 55 F8 52 50 E8 ?? ?? ?? ?? 85 C0 75 0C BE 20 00 00 00 EB 05 BE 20 00 00 00 85 F6 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68983_0 {
	meta:
		name = "FileAge"
		size = 72
		refs = "0011 FileAgeInternal 002a FileTimeToDosDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D8 8D 55 F4 B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 B0 01 EB 18 8D 45 FE 8D 55 FC 52 50 8D 45 F4 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 F7 D8 84 C0 74 07 C7 45 FC FF FF FF FF 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68984_0 {
	meta:
		name = "FileAge"
		size = 74
		refs = "0013 FileAgeInternal 0026 FileTimeToSystemTime 003f TrySystemTimeToDateTime"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B D9 8B FA 8B F0 8B D4 8B CB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 8D 44 24 08 50 8D 44 24 04 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 EB 02 33 C0 84 C0 74 0B 8B D7 8D 44 24 08 E8 ?? ?? ?? ?? 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68985_0 {
	meta:
		name = "ExistsLockedOrShared"
		size = 62
		refs = "0016 @UStrToPWChar 001c FindFirstFile 0027 FindClose"
	strings:
		$1 = { 55 8B EC 81 C4 B0 FD FF FF 53 8B D8 8D 85 B0 FD FF FF 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 FF 74 12 50 E8 ?? ?? ?? ?? F6 85 B0 FD FF FF 10 0F 94 C0 EB 02 33 C0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68986_0 {
	meta:
		name = "FileExists"
		size = 149
		refs = "000a @UStrToPWChar 0012 GetFileAttributes 0041 CreateFile 004c CloseHandle 0055 GetLastError 0083 ExistsLockedOrShared"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 57 E8 ?? ?? ?? ?? 83 F8 FF 74 4F F6 C4 04 74 43 84 DB 75 04 B0 01 EB 69 A8 10 74 04 33 C0 EB 61 6A 00 6A 00 6A 03 6A 00 6A 01 68 00 00 00 80 57 E8 ?? ?? ?? ?? 83 F8 FF 74 0A 50 E8 ?? ?? ?? ?? B0 01 EB 3D E8 ?? ?? ?? ?? 8B D8 83 FB 20 0F 94 C0 EB 2E A8 10 0F 94 C0 EB 27 E8 ?? ?? ?? ?? 8B D8 83 FB 02 74 15 83 FB 03 74 10 83 FB 7B 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68987_0 {
	meta:
		name = "DirectoryExists"
		size = 206
		refs = "000f @UStrToPWChar 0017 GetFileAttributes 0056 CreateFile 0061 CloseHandle 00a8 GetLastError"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B F8 33 DB 8B C7 E8 ?? ?? ?? ?? 8B E8 55 E8 ?? ?? ?? ?? 8B F0 83 FE FF 0F 84 81 00 00 00 F7 C6 00 04 00 00 75 0E F7 C6 10 00 00 00 0F 95 C3 E9 8A 00 00 00 80 3C 24 00 74 2E 6A 00 68 00 00 00 02 6A 03 6A 00 6A 01 68 00 00 00 80 55 E8 ?? ?? ?? ?? 83 F8 FF 74 67 50 E8 ?? ?? ?? ?? F7 C6 10 00 00 00 0F 95 C3 EB 56 F7 C6 10 00 00 00 74 04 B3 01 EB 4A 6A 00 68 00 00 00 02 6A 03 6A 00 6A 01 68 00 00 00 80 55 E8 ?? ?? ?? ?? 83 F8 FF 74 0A 50 E8 ?? ?? ?? ?? 33 DB EB 23 B3 01 EB 1F E8 ?? ?? ?? ?? 83 F8 02 74 0F 83 F8 03 74 0A 83 F8 7B 74 05 83 F8 35 75 04 33 DB EB 02 B3 01 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68988_0 {
	meta:
		name = "ForceDirectories"
		size = 249
		refs = "0011 @UStrAddRef 0019 ForceDirectories 002d SCannotCreateDir 0034 _DV_EInOutError 0039 Exception.CreateRes 0049 @RaiseExcept 0054 ExcludeTrailingPathDelimiter 005f @UStrLAsg 007e DirectoryExists 0091 ExtractFilePath 009c @UStrEqual 00c2 CreateDir 00e6 @UStrArrayClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 83 7D FC 00 75 22 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 C7 42 18 03 00 00 00 8B C2 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 03 7D 04 B0 01 EB 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 19 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 0F 94 C0 84 C0 75 29 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68989_0 {
	meta:
		name = "FileGetDate"
		size = 90
		refs = "0013 GetFileTime 0024 FileTimeToLocalFileTime 0043 FileTimeToDosDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D8 8D 45 F4 50 6A 00 6A 00 53 E8 ?? ?? ?? ?? 85 C0 74 15 8D 45 EC 50 8D 45 F4 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 EB 02 33 C0 84 C0 74 15 8D 45 FE 8D 55 FC 52 50 8D 45 EC 50 E8 ?? ?? ?? ?? 85 C0 75 07 C7 45 FC FF FF FF FF 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68990_0 {
	meta:
		name = "FileGetDateTimeInfo"
		size = 182
		refs = "001c FileGetDateTimeInfo 002b SetLastError 003b @UStrToPWChar 0041 GetFileAttributesEx 005e InternalGetFileNameFromSymLink 00a1 @UStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 A8 FD FF FF 53 56 57 33 DB 89 5D FC 88 4D FB 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 6A 00 E8 ?? ?? ?? ?? 8D 85 A8 FD FF FF 50 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 47 F6 85 A9 FD FF FF 04 74 2F 80 7D FB 00 74 38 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2A 8D 85 A8 FD FF FF 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0F 8D B5 A8 FD FF FF B9 94 00 00 00 F3 A5 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68991_0 {
	meta:
		name = "FileSetDate"
		size = 54
		refs = "000a FileOpen 0016 GetLastError 0023 FileSetDate 002d CloseHandle"
	strings:
		$1 = { 53 56 8B F2 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 83 FB FF 75 09 E8 ?? ?? ?? ?? 8B F0 EB 13 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 50 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_68992_0 {
	meta:
		name = "FileSetDate"
		size = 98
		refs = "001e DosDateTimeToFileTime 002f LocalFileTimeToFileTime 004b SetFileTime 0054 GetLastError"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 55 FC 8B F0 33 DB 8D 45 F4 50 0F B7 45 FC 50 0F B7 45 FE 50 E8 ?? ?? ?? ?? 85 C0 74 15 8D 45 EC 50 8D 45 F4 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 EB 02 33 C0 84 C0 74 12 8D 45 EC 50 6A 00 6A 00 56 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? 8B D8 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68993_0 {
	meta:
		name = "FileGetAttr"
		size = 181
		refs = "0014 FileGetAttr 0021 @UStrToPWChar 0027 GetFileAttributes 0043 InternalGetFileNameFromSymLink 004f IsRelativePath 005d ExtractFilePath 0068 IncludeTrailingPathDelimiter 0076 @UStrCat3 00a0 @UStrArrayClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 F7 C7 00 04 00 00 0F 95 C0 84 D8 74 50 83 CF FF 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3F 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 23 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68994_0 {
	meta:
		name = "FileSetAttr"
		size = 227
		refs = "001b FileSetAttr 002d @UStrLAsg 003a @UStrToPWChar 0040 GetFileAttributes 004f InternalGetFileNameFromSymLink 005b IsRelativePath 0069 ExtractFilePath 0074 IncludeTrailingPathDelimiter 0082 @UStrCat3 009c SetFileAttributes 00a5 GetLastError 00c1 @UStrArrayClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 88 4D F7 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 80 7D F7 00 74 5A 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 C4 04 74 48 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3A 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 23 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F8 8B 4D F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 57 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68995_0 {
	meta:
		name = "FileIsReadOnly"
		size = 187
		refs = "0012 FileIsReadOnly 0021 @UStrToPWChar 0027 GetFileAttributes 0040 InternalGetFileNameFromSymLink 004c IsRelativePath 005a ExtractFilePath 0065 IncludeTrailingPathDelimiter 0073 @UStrCat3 00a6 @UStrArrayClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 83 FF FF 74 5E F7 C7 00 04 00 00 74 4D 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3F 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 23 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 F7 C7 01 00 00 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_68996_0 {
	meta:
		name = "FileSetReadOnly"
		size = 183
		refs = "0017 FileSetReadOnly 0026 @UStrToPWChar 002c GetFileAttributes 0045 InternalGetFileNameFromSymLink 006a @UStrLAsg 0087 SetFileAttributes 00a2 @UStrClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 88 55 FB 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 83 FF FF 74 5A F7 C7 00 04 00 00 74 25 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 83 FF FF 74 2F EB 0A 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 80 7D FB 00 74 05 83 CF 01 EB 03 83 E7 FE 57 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_68997_0 {
	meta:
		name = "FindMatchingFile"
		size = 133
		refs = "0012 FindNextFile 001b GetLastError 0031 FileTimeToLocalFileTime 0042 FileTimeToDosDateTime 0078 @UStrFromWArray"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 EB 1A 8D 43 20 50 8B 43 1C 50 E8 ?? ?? ?? ?? 85 C0 75 09 E8 ?? ?? ?? ?? 8B F0 EB 5B 8B 43 20 23 43 18 75 DE 8D 43 34 54 50 E8 ?? ?? ?? ?? 8D 43 02 8B D3 52 50 8D 44 24 08 50 E8 ?? ?? ?? ?? 8B 43 40 33 D2 52 50 8B 43 3C 33 D2 8B D0 33 C0 0B 04 24 0B 54 24 04 83 C4 08 89 43 08 89 53 0C 8B 43 20 89 43 10 8D 43 14 8D 53 4C B9 04 01 00 00 E8 ?? ?? ?? ?? 33 F6 8B C6 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_68998_0 {
	meta:
		name = "FindFirst"
		size = 77
		refs = "0016 @UStrToPWChar 001c FindFirstFile 002d FindMatchingFile 003a FindClose 0041 GetLastError"
	strings:
		$1 = { 53 56 57 8B D9 8B F8 F7 D2 83 E2 16 89 53 18 8D 43 20 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 89 73 1C 83 FE FF 74 16 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 10 8B C3 E8 ?? ?? ?? ?? EB 07 E8 ?? ?? ?? ?? 8B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_68999_0 {
	meta:
		name = "FindNext"
		size = 36
		refs = "000c FindNextFile 0017 FindMatchingFile 001e GetLastError"
	strings:
		$1 = { 53 8B D8 8D 43 20 50 8B 43 1C 50 E8 ?? ?? ?? ?? 85 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69000_0 {
	meta:
		name = "FindClose"
		size = 26
		refs = "000d FindClose"
	strings:
		$1 = { 53 8B D8 8B 43 1C 83 F8 FF 74 0D 50 E8 ?? ?? ?? ?? C7 43 1C FF FF FF FF 5B C3 }
	condition:
		$1
}

rule function_69001_0 {
	meta:
		name = "DeleteFile"
		size = 92
		refs = "0009 @UStrToPWChar 0011 DeleteFile 0020 GetLastError 0028 GetFileAttributes 0043 RemoveDirectory 0051 SetLastError"
	strings:
		$1 = { 53 56 57 55 8B F0 8B C6 E8 ?? ?? ?? ?? 8B E8 55 E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 84 DB 75 36 E8 ?? ?? ?? ?? 8B F8 55 E8 ?? ?? ?? ?? 83 F8 FF 74 1E F6 C4 04 74 19 A8 10 74 15 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 EB 06 57 E8 ?? ?? ?? ?? 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69002_0 {
	meta:
		name = "RenameFile"
		size = 36
		refs = "0009 @UStrToPWChar 0017 MoveFile"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_69003_0 {
	meta:
		name = "IsAssembly"
		size = 205
		refs = "0022 @UStrToPWChar 0028 CreateFile 003e CreateFileMapping 0052 MapViewOfFile 0060 IsAssembly 007b ImageDirectoryEntryToData 0084 @TryFinallyExit 00a6 UnmapViewOfFile 00af CloseHandle 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D8 C6 45 FF 00 6A 00 68 80 00 00 00 6A 03 6A 00 6A 01 68 00 00 00 80 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F4 6A 00 6A 00 6A 00 6A 02 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 F0 6A 00 6A 00 6A 00 6A 04 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 F8 8B 5D F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 15 8D 45 EC 50 6A 0E 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? EB 3A C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 1B 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 0F B6 45 FF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69004_0 {
	meta:
		name = "AnsiStrLastChar"
		size = 38
		refs = "0008 StrLen 0017 StrByteType"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 8D 3C 33 8B D6 8B C3 E8 ?? ?? ?? ?? 3C 02 75 01 4F 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69005_0 {
	meta:
		name = "AnsiStrLastChar"
		size = 54
		refs = "0006 StrLen"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 44 53 FE 4A 7E 21 66 81 38 00 DC 72 1A 66 81 38 FF DF 77 13 66 81 78 FE 00 D8 72 0B 66 81 78 FE FF DB 77 03 83 E8 02 5B C3 }
	condition:
		$1
}

rule function_69007_0 {
	meta:
		name = "AnsiLastChar"
		size = 66
	strings:
		$1 = { 53 8B D8 85 DB 75 04 33 C0 5B C3 8B C3 85 C0 74 05 83 E8 04 8B 00 8B D0 8D 44 53 FE 4A 7E 21 66 81 38 00 DC 72 1A 66 81 38 FF DF 77 13 66 81 78 FE 00 D8 72 0B 66 81 78 FE FF DB 77 03 83 E8 02 5B C3 }
	condition:
		$1
}

rule function_69008_0 {
	meta:
		name = "LastDelimiter"
		size = 69
		refs = "0018 @UStrToPWChar 0031 StrScan"
	strings:
		$1 = { 53 56 57 55 8B F2 8B F8 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D8 8B C7 E8 ?? ?? ?? ?? 8B E8 85 DB 7E 1C 0F B7 7C 5E FE 66 85 FF 74 0D 8B D7 8B C5 E8 ?? ?? ?? ?? 85 C0 75 05 4B 85 DB 7F E4 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69009_0 {
	meta:
		name = "FindDelimiter"
		size = 81
		refs = "002d IsDelimiter"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F1 8B FA 89 04 24 33 C0 89 44 24 04 8B C7 85 C0 74 05 83 E8 04 8B 00 8B E8 33 DB EB 19 8B CE 8B D7 8B 04 24 E8 ?? ?? ?? ?? 84 C0 74 08 89 74 24 04 B3 01 EB 01 46 84 DB 75 04 3B EE 7D DF 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69010_0 {
	meta:
		name = "ChangeFileExt"
		size = 156
		refs = "0019 ChangeFileExt 002b LastDelimiter 0051 @UStrCopy 005e @UStrCat3 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 08 66 83 7C 5E FE 2E 74 05 BB FF FF FF 7F 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B CF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 5C 00 3A 00 00 00 }
	condition:
		$1
}

rule function_69012_0 {
	meta:
		name = "ExtractFilePath"
		size = 60
		refs = "000a ExtractFilePath 000f LastDelimiter 0020 @UStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 57 8B CE BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 3A 00 00 00 00 00 }
	condition:
		$1
}

rule function_69013_0 {
	meta:
		name = "ExtractFileDir"
		size = 96
		refs = "000a ExtractFileDir 000f LastDelimiter 002d IsDelimiter 0041 @UStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 FB 01 7E 1C 66 83 7C 5E FE 5C 75 14 8B CB 49 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 01 4B 57 8B CB BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 3A 00 00 00 00 00 }
	condition:
		$1
}

rule function_69014_0 {
	meta:
		name = "ExtractFileDrive"
		size = 187
		refs = "0038 @UStrCopy 0088 @UStrLen 00b2 @UStrClr"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D3 8B C2 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7C 0A 66 83 7B 02 3A 0F 94 C0 EB 02 33 C0 84 C0 74 14 57 B9 02 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 78 8B C2 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7C 09 66 83 3B 5C 0F 94 C0 EB 02 33 C0 84 C0 74 0A 66 83 7B 02 5C 0F 94 C0 EB 02 33 C0 84 C0 74 42 33 ED BE 03 00 00 00 EB 0F 66 83 7C 73 FE 5C 75 01 45 83 FD 02 7D 01 46 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 05 83 FD 02 7C E1 66 83 7C 73 FE 5C 75 01 4E 57 8B CE BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69015_0 {
	meta:
		name = "ExtractFileName"
		size = 64
		refs = "000a ExtractFileName 000f LastDelimiter 0021 @UStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 57 8D 56 01 B9 FF FF FF 7F 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5C 00 3A 00 00 00 00 00 }
	condition:
		$1
}

rule function_69016_0 {
	meta:
		name = "ExtractFileExt"
		size = 84
		refs = "000a ExtractFileExt 000f LastDelimiter 002c @UStrCopy 0035 @UStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 19 66 83 7C 5E FE 2E 75 11 57 B9 FF FF FF 7F 8B D3 8B C6 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 5C 00 3A 00 00 00 }
	condition:
		$1
}

rule function_69017_0 {
	meta:
		name = "GetHomePath"
		size = 56
		refs = "000c SetLastError 001a SHGetFolderPath 002c @UStrFromWArray"
	strings:
		$1 = { 53 81 C4 F4 FD FF FF 8B D8 6A 00 E8 ?? ?? ?? ?? 54 6A 00 6A 00 6A 1A 6A 00 E8 ?? ?? ?? ?? 85 C0 75 0E 8B C3 8B D4 B9 05 01 00 00 E8 ?? ?? ?? ?? 81 C4 0C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_69018_0 {
	meta:
		name = "ExpandFileName"
		size = 145
		refs = "001c @UStrToPWChar 0024 GetFullPathName 003b @UStrFromPWCharLen 004a @UStrSetLength"
	strings:
		$1 = { 53 56 57 55 81 C4 F0 FD FF FF 8B F2 8B F8 54 8D 44 24 08 50 68 04 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B E8 55 E8 ?? ?? ?? ?? 8B D8 81 FB 04 01 00 00 7F 0F 8D 54 24 04 8B C6 8B CB E8 ?? ?? ?? ?? EB 45 85 DB 7E 41 8B C6 8B D3 E8 ?? ?? ?? ?? 54 8B 06 E8 ?? ?? ?? ?? 50 53 55 E8 ?? ?? ?? ?? 8B D8 8B 06 89 84 24 0C 02 00 00 8B 84 24 0C 02 00 00 85 C0 74 05 83 E8 04 8B 00 3B C3 7E 09 8B C6 8B D3 E8 ?? ?? ?? ?? 81 C4 10 02 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69019_0 {
	meta:
		name = "ExpandFileNameCase"
		size = 559
		refs = "004c TSearchRec 0051 @InitializeRecord 0059 ExpandFileNameCase 0068 ExpandFileName 007d ExtractFilePath 0087 ExtractFileName 0095 ExtractFileDrive 00a6 IncludeTrailingPathDelimiter 00b4 SameFileName 00ca ExcludeTrailingPathDelimiter 00e0 FindFirst 00ed FindClose 010d @UStrLAsg 016f @UStrCat3 01a0 @UStrEqual 01bf @TryFinallyExit 01df @HandleFinally 01fe @UStrArrayClr 020f @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 81 C4 6C FD FF FF 53 56 57 33 DB 89 9D 6C FD FF FF 89 9D 70 FD FF FF 89 9D 74 FD FF FF 89 9D 78 FD FF FF 89 9D 7C FD FF FF 89 9D 84 FD FF FF 89 9D 80 FD FF FF 89 5D FC 89 5D F8 8B D9 8B F2 8B F8 8D 85 88 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C7 E8 ?? ?? ?? ?? C6 06 00 85 FF 0F 84 6E 01 00 00 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8D 95 80 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 80 FD FF FF 8D 95 84 FD FF FF E8 ?? ?? ?? ?? 8B 95 84 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 94 00 00 00 8D 95 7C FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 7C FD FF FF 8D 8D 88 FD FF FF BA FF 01 00 00 E8 ?? ?? ?? ?? 8B F8 8D 85 88 FD FF FF E8 ?? ?? ?? ?? 85 FF 74 5F 8D 95 78 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 78 FD FF FF 8D 45 FC E8 ?? ?? ?? ?? 8D 8D 74 FD FF FF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 95 74 FD FF FF 8D 45 FC E8 ?? ?? ?? ?? 80 3E 00 0F 84 AD 00 00 00 8D 95 70 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 70 FD FF FF 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 6C FD FF FF 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 8B 85 6C FD FF FF 8D 8D 88 FD FF FF BA FF 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 38 0F B6 06 04 FE 2C 02 72 18 8B 45 F8 8B 95 9C FD FF FF E8 ?? ?? ?? ?? 75 05 C6 06 01 EB 03 C6 06 02 8B C3 8B 8D 9C FD FF FF 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 88 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 6C FD FF FF BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 85 88 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69020_0 {
	meta:
		name = "GetUniversalName"
		size = 704
		refs = "0024 GetUniversalName 0035 @UStrAsg 003b Win32Platform 0044 Win32MajorVersion 0063 @UStrToPWChar 0069 WNetGetUniversalName 0081 @UStrFromPWChar 0106 WNetOpenEnum 012b @GetMem 015e WNetEnumResource 017b @ReallocMem 0188 @TryFinallyExit 0215 @UStrCopy 0239 @UStrCat3 026a @FreeMem 0270 @HandleFinally 0288 WNetCloseEnum 02ad @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 CC FB FF FF 53 56 57 33 C9 89 8D D0 FB FF FF 89 8D CC FB FF FF 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 01 75 09 83 3D ?? ?? ?? ?? 04 7E 3F C7 45 E8 00 04 00 00 8D 45 E8 50 8D 85 D4 FB FF FF 50 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 85 1F 02 00 00 8B 45 F8 8D 95 D4 FB FF FF 8B 12 E8 ?? ?? ?? ?? E9 0A 02 00 00 8B 45 FC 0F B7 10 8B C2 8B CA 83 C1 9F 66 83 E9 1A 73 06 8B C2 66 25 DF FF 66 89 45 E6 66 83 7D E6 41 72 07 66 83 7D E6 5A 76 04 B0 01 EB 12 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 03 0F 9C C0 84 C0 74 04 B0 01 EB 0B 8B 45 FC 66 83 78 02 3A 0F 95 C0 84 C0 74 04 B0 01 EB 0B 8B 45 FC 66 83 78 04 5C 0F 95 C0 84 C0 0F 85 9B 01 00 00 8D 45 E0 50 6A 00 6A 00 6A 01 6A 01 E8 ?? ?? ?? ?? 85 C0 0F 85 82 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 40 06 00 00 8B 45 F4 E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 EC FF FF FF FF 8B 45 F4 89 45 E8 8D 45 E8 50 8B 45 DC 50 8D 45 EC 50 8B 45 E0 50 E8 ?? ?? ?? ?? 89 45 F0 81 7D F0 EA 00 00 00 75 13 8B 45 E8 89 45 F4 8D 45 DC 8B 55 F4 E8 ?? ?? ?? ?? EB BF 83 7D F0 00 74 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FE 00 00 00 8B 75 EC 4E 85 F6 7C A2 46 33 FF 8B C7 03 C0 03 C0 8B 55 DC 8D 1C C2 83 7B 10 00 0F 84 92 00 00 00 8B 43 10 0F B7 00 66 89 45 DA 8B 43 10 0F B7 00 83 C0 9F 66 83 E8 1A 73 0E 8B 43 10 0F B7 00 66 25 DF FF 66 89 45 DA 0F B7 45 E6 66 3B 45 DA 75 61 8B 45 FC 89 45 D4 83 7D D4 00 74 0B 8B 45 D4 83 E8 04 8B 00 89 45 D4 8D 85 D0 FB FF FF 50 8B 4D D4 83 E9 02 BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 85 D0 FB FF FF 50 8D 85 CC FB FF FF 8B 53 14 E8 ?? ?? ?? ?? 8B 95 CC FB FF FF 8B 45 F8 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4B 47 4E 0F 85 50 FF FF FF E9 EA FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 CC FB FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69021_0 {
	meta:
		name = "ExpandUNCFileName"
		size = 206
		refs = "0015 ExpandUNCFileName 0024 ExpandFileName 009d GetUniversalName 00a7 @UStrAsg 00bc @UStrClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 03 89 45 FC 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 03 7C 0C 8B 03 66 83 78 02 3A 0F 94 C0 EB 02 33 C0 84 C0 74 22 8B 03 0F B7 00 8B D0 8B C8 83 C1 9F 66 83 E9 1A 73 07 8B D0 66 81 E2 DF FF 66 83 FA 41 0F 93 C0 EB 02 33 C0 84 C0 74 33 8B 03 0F B7 00 8B D0 8B C8 83 C1 9F 66 83 E9 1A 73 07 8B D0 66 81 E2 DF FF 66 83 FA 5A 77 14 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_69023_0 {
	meta:
		name = "Next"
		size = 43
		refs = "0011 AnsiStrScan"
	strings:
		$1 = { 53 56 8B D8 8B 33 85 F6 74 1C 8B 03 66 BA 5C 00 E8 ?? ?? ?? ?? 89 03 83 3B 00 74 0A 8B 03 66 C7 00 00 00 83 03 02 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_69024_0 {
	meta:
		name = "ExtractRelativePath"
		size = 468
		refs = "0022 ExtractRelativePath 0033 ExtractFileDrive 004a SameFileName 005c ExtractFilePathNoDrive 0064 UniqueString 0085 Next 00bf @UStrFromPWChar 00e1 @UStrClr 00ff @UStrCatN 0152 @UStrCat 015d ExtractFileName 0173 @UStrAsg 018d @UStrArrayClr 01a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 5A E8 ?? ?? ?? ?? 84 C0 0F 84 17 01 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F0 8D 45 F0 E8 ?? ?? ?? ?? 8B F8 8B 45 F8 89 45 EC 8D 45 EC E8 ?? ?? ?? ?? 8B D8 EB 14 8D 45 F0 E8 ?? ?? ?? ?? 8B F8 8D 45 EC E8 ?? ?? ?? ?? 8B D8 85 FF 74 29 85 DB 74 25 8D 45 E0 8B D3 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 45 DC 8B D7 E8 ?? ?? ?? ?? 8B 45 DC 5A E8 ?? ?? ?? ?? 84 C0 75 BF 8B C6 E8 ?? ?? ?? ?? 83 7D F0 00 74 26 FF 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 83 7D F0 00 75 DA 85 DB 74 26 66 83 3B 00 74 20 FF 36 8D 45 D8 8B D3 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7D EC 00 74 15 8D 45 D4 8B 55 EC E8 ?? ?? ?? ?? 8B 55 D4 8B C6 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D0 8B C6 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_69025_0 {
	meta:
		name = "IsRelativePath"
		size = 37
	strings:
		$1 = { 8B D0 85 D2 74 05 83 EA 04 8B 12 85 D2 7E 10 66 83 38 5C 74 0A 4A 7E 07 66 83 78 02 3A 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_69026_0 {
	meta:
		name = "ExtractShortPathName"
		size = 141
		refs = "001b @UStrToPWChar 0023 GetShortPathName 0038 @UStrFromPWCharLen 0047 @UStrSetLength"
	strings:
		$1 = { 53 56 57 55 81 C4 F4 FD FF FF 8B F2 8B F8 68 04 01 00 00 8D 44 24 04 50 8B C7 E8 ?? ?? ?? ?? 8B E8 55 E8 ?? ?? ?? ?? 8B D8 81 FB 04 01 00 00 7F 0D 8B D4 8B C6 8B CB E8 ?? ?? ?? ?? EB 44 85 DB 7E 40 8B C6 8B D3 E8 ?? ?? ?? ?? 53 8B 06 E8 ?? ?? ?? ?? 50 55 E8 ?? ?? ?? ?? 8B D8 8B 06 89 84 24 08 02 00 00 8B 84 24 08 02 00 00 85 C0 74 05 83 E8 04 8B 00 3B C3 7E 09 8B C6 8B D3 E8 ?? ?? ?? ?? 81 C4 0C 02 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69027_0 {
	meta:
		name = "FileSearch"
		size = 284
		refs = "0018 @UStrAsg 0044 FileExists 0085 NextCharIndex 00ac @UStrCopy 00b7 AnsiLastChar 00d8 FileSearch 00dd @UStrCat 00ff @UStrClr"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 4C 24 04 8B F2 89 04 24 8B 44 24 04 8B 14 24 E8 ?? ?? ?? ?? 8B 44 24 04 83 38 00 0F 84 DA 00 00 00 BB 01 00 00 00 8B C6 85 C0 74 05 83 E8 04 8B 00 8B F8 8B 44 24 04 8B 00 B2 01 E8 ?? ?? ?? ?? 84 C0 0F 85 B3 00 00 00 EB 01 43 3B FB 7C 08 66 83 7C 5E FE 3B 74 F3 3B FB 0F 8C 93 00 00 00 89 5C 24 08 EB 21 0F B7 6C 5E FE 66 81 FD 00 D8 72 14 66 81 FD FF DF 77 0D 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 01 43 3B FB 7C 08 66 83 7C 5E FE 3B 75 D3 8B 44 24 04 50 8B CB 2B 4C 24 0C 8B 54 24 0C 8B C6 E8 ?? ?? ?? ?? 8B 44 24 04 8B 00 E8 ?? ?? ?? ?? 0F B7 00 66 89 44 24 0C 66 83 7C 24 0C 3A 74 1A 66 83 7C 24 0C 5C 74 12 8B 44 24 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 04 8B 44 24 04 8B 14 24 E8 ?? ?? ?? ?? 8B 44 24 04 E9 41 FF FF FF 8B 44 24 04 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_69028_0 {
	meta:
		name = "BackfillGetDiskFreeSpaceEx"
		size = 115
		refs = "0022 GetDiskFreeSpace 0044 @_llmul"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B 45 08 85 C0 75 02 33 C0 8D 55 F0 52 8D 55 F4 52 8D 55 F8 52 8D 55 FC 52 50 E8 ?? ?? ?? ?? 8B D8 8B 45 FC F7 6D F8 33 D2 89 45 E8 89 55 EC 8B 45 F4 33 D2 52 50 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 8B 4D 0C 89 01 89 51 04 8B 45 F0 33 D2 52 50 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 8B 4D 10 89 01 89 51 04 8B C3 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_69029_0 {
	meta:
		name = "InternalGetDiskSpace"
		size = 60
		refs = "0033 GetDiskFreeSpaceEx"
	strings:
		$1 = { 56 83 C4 F4 33 F6 84 C0 76 22 0F B6 C0 66 83 C0 40 66 89 04 24 66 C7 44 24 02 3A 00 66 C7 44 24 04 5C 00 66 C7 44 24 06 00 00 8B F4 6A 00 52 51 56 FF 15 ?? ?? ?? ?? 83 C4 0C 5E C3 }
	condition:
		$1
}

rule function_69030_0 {
	meta:
		name = "DiskFree"
		size = 50
		refs = "000f InternalGetDiskSpace"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B CC 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0F C7 04 24 FF FF FF FF C7 44 24 04 FF FF FF FF 8B 04 24 8B 54 24 04 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_69031_0 {
	meta:
		name = "DiskSize"
		size = 50
		refs = "000f InternalGetDiskSpace"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8D 4C 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0F C7 04 24 FF FF FF FF C7 44 24 04 FF FF FF FF 8B 04 24 8B 54 24 04 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_69032_0 {
	meta:
		name = "FileDateToDateTime"
		size = 105
		refs = "002d EncodeDate 0054 EncodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 45 FC 0F B7 75 FE 8B CE 66 83 E1 1F 0F B7 5D FE 8B D3 C1 EA 05 66 83 E2 0F 8B C3 C1 E8 09 66 05 BC 07 E8 ?? ?? ?? ?? DD 5D E8 9B 6A 00 0F B7 4D FC 66 83 E1 1F 03 C9 0F B7 7D FC 8B D7 C1 EA 05 66 83 E2 3F 8B C7 C1 E8 0B E8 ?? ?? ?? ?? DC 45 E8 DD 5D F0 9B DD 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69033_0 {
	meta:
		name = "DateTimeToFileDate"
		size = 142
		refs = "0016 DecodeDate 0045 DecodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 EC FF 75 0C FF 75 08 8D 4D F6 8D 55 F8 8D 45 FA E8 ?? ?? ?? ?? 66 81 7D FA BC 07 72 08 66 81 7D FA 3B 08 76 07 33 C0 89 45 FC EB 54 FF 75 0C FF 75 08 8D 45 EE 50 8D 4D F0 8D 55 F2 8D 45 F4 E8 ?? ?? ?? ?? 0F B7 45 F0 D1 E8 0F B7 55 F2 C1 E2 05 66 0B C2 0F B7 55 F4 C1 E2 0B 66 0B C2 66 89 45 FC 0F B7 45 F8 C1 E0 05 66 0B 45 F6 0F B7 55 FA 66 81 EA BC 07 C1 E2 09 66 0B C2 66 89 45 FE 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_69034_0 {
	meta:
		name = "GetCurrentDir"
		size = 10
		refs = "0005 @UGetDir"
	strings:
		$1 = { 8B D0 33 C0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69035_0 {
	meta:
		name = "SetCurrentDir"
		size = 24
		refs = "0006 @UStrToPWChar 000c SetCurrentDirectory"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5B C3 }
	condition:
		$1
}

rule function_69037_0 {
	meta:
		name = "RemoveDir"
		size = 24
		refs = "0006 @UStrToPWChar 000c RemoveDirectory"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5B C3 }
	condition:
		$1
}

rule function_80716_0 {
	meta:
		name = "TInplaceEdit.Visible"
		size = 24
		refs = "0006 TWinControl.GetHandle 000c IsWindowVisible"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5B C3 }
	condition:
		$1
}

rule function_69036_0 {
	meta:
		name = "CreateDir"
		size = 26
		refs = "0008 @UStrToPWChar 000e CreateDirectory"
	strings:
		$1 = { 53 8B D8 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5B C3 }
	condition:
		$1
}

rule function_69040_0 {
	meta:
		name = "StrEnd"
		size = 16
	strings:
		$1 = { 80 38 00 74 0A 40 8A 08 40 84 C9 75 F9 48 C3 C3 }
	condition:
		$1
}

rule function_69041_0 {
	meta:
		name = "StrEnd"
		size = 25
	strings:
		$1 = { 66 83 38 00 74 12 83 C0 02 66 8B 08 83 C0 02 66 85 C9 75 F5 83 E8 02 C3 C3 }
	condition:
		$1
}

rule function_69042_0 {
	meta:
		name = "StrMove"
		size = 13
		refs = "0005 Move"
	strings:
		$1 = { 56 8B F0 92 E8 ?? ?? ?? ?? 8B C6 5E C3 }
	condition:
		$1
}

rule function_69043_0 {
	meta:
		name = "StrMove"
		size = 15
		refs = "0007 Move"
		altNames = "WStrMove"
	strings:
		$1 = { 56 8B F0 03 C9 92 E8 ?? ?? ?? ?? 8B C6 5E C3 }
	condition:
		$1
}

rule function_69044_0 {
	meta:
		name = "StrCopy"
		size = 53
	strings:
		$1 = { 29 C2 A9 01 00 00 00 50 74 0B 0F B6 0C 02 88 08 85 C9 74 1B 40 0F B6 0C 02 85 C9 74 14 0F B7 0C 02 66 89 08 83 C0 02 81 F9 FF 00 00 00 77 E6 58 C3 88 08 58 C3 }
	condition:
		$1
}

rule function_69045_0 {
	meta:
		name = "StrCopy"
		size = 55
	strings:
		$1 = { 29 C2 A9 03 00 00 00 50 74 0E 0F B7 0C 02 66 89 08 85 C9 74 1B 83 C0 02 0F B7 0C 02 85 C9 74 12 8B 0C 02 89 08 83 C0 04 81 F9 FF FF 00 00 77 E8 58 C3 66 89 08 58 C3 }
	condition:
		$1
}

rule function_69046_0 {
	meta:
		name = "StrECopy"
		size = 41
	strings:
		$1 = { 57 56 89 C6 89 D7 B9 FF FF FF FF 32 C0 F2 AE F7 D1 89 F7 89 D6 89 CA C1 E9 02 F3 A5 89 D1 83 E1 03 F3 A4 8D 47 FF 5E 5F C3 }
	condition:
		$1
}

rule function_69047_0 {
	meta:
		name = "StrECopy"
		size = 42
		refs = "000a @PWCharLen 001c Move"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C7 E8 ?? ?? ?? ?? 8B D8 8D 43 01 8B C8 03 C9 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C3 03 C0 03 C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69048_0 {
	meta:
		name = "StrLCopy"
		size = 49
	strings:
		$1 = { 57 56 53 89 C6 89 D7 89 CB 32 C0 85 C9 74 05 F2 AE 75 01 41 29 CB 89 F7 89 D6 89 FA 89 D9 C1 E9 02 F3 A5 89 D9 83 E1 03 F3 A4 AA 89 D0 5B 5E 5F C3 }
	condition:
		$1
}

rule function_69049_0 {
	meta:
		name = "StrLCopy"
		size = 57
		refs = "0011 @PWCharLen 0026 Move"
	strings:
		$1 = { 53 56 57 55 51 8B E9 8B FA 8B F0 89 34 24 8B C7 E8 ?? ?? ?? ?? 8B D8 3B EB 73 02 8B DD 8B CB 03 C9 8B D6 8B C7 E8 ?? ?? ?? ?? 66 C7 04 5E 00 00 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69050_0 {
	meta:
		name = "StrPCopy"
		size = 46
		refs = "001a @LStrToPChar 0025 StrLCopy"
	strings:
		$1 = { 53 56 57 51 8B F2 8B F8 89 34 24 8B 1C 24 85 DB 74 05 83 EB 04 8B 1B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69051_0 {
	meta:
		name = "StrPCopy"
		size = 40
		refs = "0015 @UStrToPWChar 0020 StrLCopy"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B DE 85 DB 74 05 83 EB 04 8B 1B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69052_0 {
	meta:
		name = "StrPLCopy"
		size = 31
		refs = "000c @LStrToPChar 0017 StrLCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69053_0 {
	meta:
		name = "StrPLCopy"
		size = 31
		refs = "000c @UStrToPWChar 0017 StrLCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70765_0 {
	meta:
		name = "WStrPLCopy"
		size = 31
		refs = "000c @WStrToPWChar 0017 WStrLCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69054_0 {
	meta:
		name = "StrCat"
		size = 25
		refs = "0009 StrEnd 0010 StrCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_70761_0 {
	meta:
		name = "WStrCat"
		size = 25
		refs = "0009 WStrEnd 0010 WStrCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_69056_0 {
	meta:
		name = "StrLCat"
		size = 35
		refs = "000a StrEnd 0019 StrLCopy"
	strings:
		$1 = { 57 56 53 89 C7 89 D6 89 CB E8 ?? ?? ?? ?? 89 F9 01 D9 29 C1 76 07 89 F2 E8 ?? ?? ?? ?? 89 F8 5B 5E 5F C3 }
	condition:
		$1
}

rule function_69057_0 {
	meta:
		name = "StrLCat"
		size = 44
		refs = "000f @PWCharLen 0021 StrLCopy"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 8B D8 8B F3 8B C3 E8 ?? ?? ?? ?? 3B F8 76 0E 8B CF 2B C8 8D 04 43 8B D5 E8 ?? ?? ?? ?? 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69058_0 {
	meta:
		name = "StrComp"
		size = 139
	strings:
		$1 = { 29 C2 75 03 31 C0 C3 0F B6 0C 02 3A 08 75 76 84 C9 74 72 0F B6 4C 02 01 3A 48 01 75 65 84 C9 74 61 0F B6 4C 02 02 3A 48 02 75 54 84 C9 74 50 0F B6 4C 02 03 3A 48 03 75 43 83 C0 04 84 C9 74 39 0F B6 0C 02 3A 08 75 3D 84 C9 74 39 0F B6 4C 02 01 3A 48 01 75 2C 84 C9 74 28 0F B6 4C 02 02 3A 48 02 75 1B 84 C9 74 17 0F B6 4C 02 03 3A 48 03 75 0A 83 C0 04 84 C9 75 8E 83 E8 04 83 C0 01 83 C0 01 83 C0 01 0F B6 00 29 C8 C3 }
	condition:
		$1
}

rule function_69059_0 {
	meta:
		name = "StrComp"
		size = 41
	strings:
		$1 = { 56 57 0F B7 32 0F B7 08 66 3B F1 75 05 66 85 C9 75 0A 0F B7 F9 0F B7 C6 2B F8 EB 08 83 C0 02 83 C2 02 EB DE 8B C7 5F 5E C3 }
	condition:
		$1
}

rule function_69060_0 {
	meta:
		name = "StrIComp"
		size = 61
	strings:
		$1 = { 57 56 89 D7 89 C6 B9 FF FF FF FF 31 C0 F2 AE F7 D1 89 D7 31 D2 F3 A6 74 21 8A 46 FF 3C 61 72 06 3C 7A 77 02 2C 20 8A 57 FF 80 FA 61 72 08 80 FA 7A 77 03 80 EA 20 29 D0 74 DB 5E 5F C3 }
	condition:
		$1
}

rule function_69061_0 {
	meta:
		name = "StrIComp"
		size = 94
	strings:
		$1 = { 56 57 55 51 8B F0 0F B7 2E 8B C5 83 C0 9F 66 83 E8 1A 73 09 0F B7 06 66 83 F0 20 EB 02 8B C5 0F B7 0A 83 C1 9F 66 83 E9 1A 73 09 0F B7 3A 66 83 F7 20 EB 03 0F B7 3A 66 3B F8 75 05 66 85 C0 75 0D 0F B7 C0 0F B7 D7 2B C2 89 04 24 EB 08 83 C6 02 83 C2 02 EB B0 8B 04 24 5A 5D 5F 5E C3 }
	condition:
		$1
}

rule function_69062_0 {
	meta:
		name = "StrLComp"
		size = 39
	strings:
		$1 = { 57 56 53 89 D7 89 C6 89 CB 31 C0 09 C9 74 14 F2 AE 29 CB 89 D9 89 D7 31 D2 F3 A6 8A 46 FF 8A 57 FF 29 D0 5B 5E 5F C3 }
	condition:
		$1
}

rule function_69063_0 {
	meta:
		name = "StrLComp"
		size = 72
	strings:
		$1 = { 56 57 83 C4 F8 89 0C 24 33 FF 3B 3C 24 73 2A 0F B7 0A 0F B7 30 66 3B CE 75 05 66 85 F6 75 0E 0F B7 C6 0F B7 D1 2B C2 89 44 24 04 EB 12 83 C0 02 83 C2 02 47 3B 3C 24 72 D6 33 C0 89 44 24 04 8B 44 24 04 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_69064_0 {
	meta:
		name = "StrLIComp"
		size = 66
	strings:
		$1 = { 57 56 53 89 D7 89 C6 89 CB 31 C0 09 C9 74 2F F2 AE 29 CB 89 D9 89 D7 31 D2 F3 A6 74 21 8A 46 FF 3C 61 72 06 3C 7A 77 02 2C 20 8A 57 FF 80 FA 61 72 08 80 FA 7A 77 03 80 EA 20 29 D0 74 DB 5B 5E 5F C3 }
	condition:
		$1
}

rule function_69065_0 {
	meta:
		name = "StrLIComp"
		size = 120
	strings:
		$1 = { 56 57 55 83 C4 F8 89 0C 24 8B F0 8B FA 33 D2 3B 14 24 73 54 0F B7 06 83 C0 9F 66 83 E8 1A 73 09 0F B7 06 66 83 F0 20 EB 03 0F B7 06 0F B7 0F 83 C1 9F 66 83 E9 1A 73 09 0F B7 2F 66 83 F5 20 EB 03 0F B7 2F 66 3B E8 75 05 66 85 C0 75 0E 0F B7 C0 0F B7 D5 2B C2 89 44 24 04 EB 12 83 C6 02 83 C7 02 42 3B 14 24 72 AC 33 C0 89 44 24 04 8B 44 24 04 59 5A 5D 5F 5E C3 }
	condition:
		$1
}

rule function_69066_0 {
	meta:
		name = "StrScan"
		size = 21
	strings:
		$1 = { EB 05 3A D1 74 0E 40 0F B6 08 84 C9 75 F4 84 D2 74 02 33 C0 C3 }
	condition:
		$1
}

rule function_69067_0 {
	meta:
		name = "StrScan"
		size = 26
	strings:
		$1 = { EB 08 66 3B D1 74 12 83 C0 02 0F B7 08 66 85 C9 75 F0 66 85 D2 74 02 33 C0 C3 }
	condition:
		$1
}

rule function_69068_0 {
	meta:
		name = "StrRScan"
		size = 39
		refs = "0006 StrEnd"
	strings:
		$1 = { 56 84 D2 75 09 E8 ?? ?? ?? ?? 8B F0 EB 15 33 F6 EB 05 84 C9 74 0D 40 0F B6 08 3A D1 75 F4 8B F0 40 EB F4 8B C6 5E C3 }
	condition:
		$1
}

rule function_69069_0 {
	meta:
		name = "StrRScan"
		size = 46
		refs = "0007 StrEnd"
	strings:
		$1 = { 56 66 85 D2 75 09 E8 ?? ?? ?? ?? 8B F0 EB 1B 33 F6 EB 08 66 85 C9 74 12 83 C0 02 0F B7 08 66 3B D1 75 F0 8B F0 83 C0 02 EB F1 8B C6 5E C3 }
	condition:
		$1
}

rule function_69070_0 {
	meta:
		name = "StrPos"
		size = 81
	strings:
		$1 = { 57 56 53 09 C0 74 44 09 D2 74 40 89 C3 89 D7 32 C0 B9 FF FF FF FF F2 AE F7 D1 49 74 2E 89 CE 89 DF B9 FF FF FF FF F2 AE F7 D1 29 F1 76 1D 89 DF 8D 5E FF 89 D6 AC F2 AE 75 11 89 C8 57 89 D9 F3 A6 5F 89 C1 75 ED 8D 47 FF EB 02 31 C0 5B 5E 5F C3 }
	condition:
		$1
}

rule function_69071_0 {
	meta:
		name = "StrPos"
		size = 87
	strings:
		$1 = { 57 56 53 09 C0 74 4A 09 D2 74 46 89 C3 89 D7 66 31 C0 B9 FF FF FF FF F2 66 AF F7 D1 49 74 32 89 CE 89 DF B9 FF FF FF FF F2 66 AF F7 D1 29 F1 76 20 89 DF 8D 5E FF 89 D6 66 AD F2 66 AF 75 12 89 C8 57 89 D9 F3 66 A7 5F 89 C1 75 EA 8D 47 FE EB 02 31 C0 5B 5E 5F C3 }
	condition:
		$1
}

rule function_69072_0 {
	meta:
		name = "StrPosLen"
		size = 96
		refs = "003d StrLComp"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B F0 33 C0 89 45 F8 85 C9 74 3D 83 7D 08 00 74 37 8B F9 2B 7D 08 85 FF 7C 2E 47 33 DB 66 83 3C 5E 00 74 20 8B C3 03 C0 03 C6 8B 4D 08 8B 55 FC E8 ?? ?? ?? ?? 85 C0 75 0B 8B C3 03 C0 03 C6 89 45 F8 EB 04 43 4F 75 D5 8B 45 F8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_69073_0 {
	meta:
		name = "StrUpper"
		size = 28
	strings:
		$1 = { 56 89 C6 89 C2 AC 08 C0 74 0F 3C 61 72 F7 3C 7A 77 F3 2C 20 88 46 FF EB EC 92 5E C3 }
	condition:
		$1
}

rule function_69074_0 {
	meta:
		name = "StrUpper"
		size = 33
	strings:
		$1 = { 56 8B F0 EB 10 83 C2 9F 66 83 EA 1A 73 04 66 83 28 20 83 C0 02 0F B7 10 66 85 D2 75 E8 8B C6 5E C3 }
	condition:
		$1
}

rule function_69075_0 {
	meta:
		name = "StrLower"
		size = 28
	strings:
		$1 = { 56 89 C6 89 C2 AC 08 C0 74 0F 3C 41 72 F7 3C 5A 77 F3 04 20 88 46 FF EB EC 92 5E C3 }
	condition:
		$1
}

rule function_69076_0 {
	meta:
		name = "StrLower"
		size = 33
	strings:
		$1 = { 56 8B F0 EB 10 83 C2 BF 66 83 EA 1A 73 04 66 83 00 20 83 C0 02 0F B7 10 66 85 D2 75 E8 8B C6 5E C3 }
	condition:
		$1
}

rule function_69079_0 {
	meta:
		name = "AnsiStrAlloc"
		size = 20
		refs = "0009 @GetMem"
	strings:
		$1 = { 53 8B D8 83 C3 04 8B C3 E8 ?? ?? ?? ?? 89 18 83 C0 04 5B C3 }
	condition:
		$1
}

rule function_69080_0 {
	meta:
		name = "WStrAlloc"
		size = 22
		refs = "000b @GetMem"
		altNames = "WideStrAlloc"
	strings:
		$1 = { 53 8B D8 03 DB 83 C3 04 8B C3 E8 ?? ?? ?? ?? 89 18 83 C0 04 5B C3 }
	condition:
		$1
}

rule function_69082_0 {
	meta:
		name = "StrBufSize"
		size = 9
	strings:
		$1 = { 83 E8 04 8B 00 83 E8 04 C3 }
	condition:
		$1
}

rule function_69083_0 {
	meta:
		name = "StrBufSize"
		size = 11
		altNames = "WStrBufSize"
	strings:
		$1 = { 83 E8 04 8B 00 83 E8 04 D1 E8 C3 }
	condition:
		$1
}

rule function_69084_0 {
	meta:
		name = "StrNew"
		size = 42
		refs = "0010 @PCharLen 001a AnsiStrAlloc 0023 StrMove"
	strings:
		$1 = { 53 56 8B D8 85 DB 75 05 33 C0 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8D 70 01 8B C6 E8 ?? ?? ?? ?? 8B CE 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69085_0 {
	meta:
		name = "StrNew"
		size = 42
		refs = "0010 @PWCharLen 001a WideStrAlloc 0023 StrMove"
	strings:
		$1 = { 53 56 8B D8 85 DB 75 05 33 C0 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8D 70 01 8B C6 E8 ?? ?? ?? ?? 8B CE 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69086_0 {
	meta:
		name = "StrDispose"
		size = 15
		refs = "000a @FreeMem"
		altNames = "WStrDispose"
	strings:
		$1 = { 85 C0 74 0A 83 E8 04 8B 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69088_0 {
	meta:
		name = "FormatError"
		size = 90
		refs = "001c StrByteType 002c StrMove 0048 FormatErrorStrs 004f ConvertErrorFmt"
	strings:
		$1 = { 53 56 57 83 C4 B8 8B D9 8B F2 8B F8 83 FB 1F 76 05 BB 1F 00 00 00 8B D3 4A 8B C6 E8 ?? ?? ?? ?? 3C 01 75 01 4B 8B C4 8B CB 8B D6 E8 ?? ?? ?? ?? 66 C7 04 5C 00 00 8B C4 89 44 24 40 C6 44 24 44 0A 8D 54 24 40 8B 04 BD ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 83 C4 48 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69089_0 {
	meta:
		name = "WideFormatError"
		size = 126
		refs = "0014 WideFormatError 0024 @WStrSetLength 0030 @WStrFromPWCharLen 003b @UStrFromWStr 0043 @UStrToPWChar 004e FormatError 0063 @UStrClr 006b @WStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 FC 8B CB 8B D7 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_69090_0 {
	meta:
		name = "AnsiFormatError"
		size = 92
		refs = "0012 AnsiFormatError 0022 UTF8ToUnicodeString 002a @UStrToPWChar 0035 FormatError 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69091_0 {
	meta:
		name = "FormatVarToStr"
		size = 33
		refs = "0003 VarToLStrProc 001b Error"
	strings:
		$1 = { 53 8B 0D ?? ?? ?? ?? 83 39 00 74 0C 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 B0 10 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69110_0 {
	meta:
		name = "WideFormatVarToStr"
		size = 33
		refs = "0003 VarToWStrProc 001b Error"
	strings:
		$1 = { 53 8B 0D ?? ?? ?? ?? 83 39 00 74 0C 8B 1D ?? ?? ?? ?? 8B 1B FF D3 5B C3 B0 10 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69093_0 {
	meta:
		name = "FormatBuf"
		size = 31
		refs = "0011 CurrencyString 0016 FormatBuf"
	strings:
		$1 = { 55 8B EC 53 8B 5D 10 53 8B 5D 0C 53 8B 5D 08 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_69114_0 {
	meta:
		name = "WideFormatBuf"
		size = 31
		refs = "0011 CurrencyString 0016 WideFormatBuf"
	strings:
		$1 = { 55 8B EC 53 8B 5D 10 53 8B 5D 0C 53 8B 5D 08 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_69098_0 {
	meta:
		name = "StrFmt"
		size = 23
		refs = "0009 CurrencyString 000e StrFmt"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_69141_0 {
	meta:
		name = "FloatToTextFmt"
		size = 23
		refs = "0009 CurrencyString 000e FloatToTextFmt"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_69108_0 {
	meta:
		name = "FmtStr"
		size = 23
		refs = "0009 CurrencyString 000e FmtStr"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_69123_0 {
	meta:
		name = "WideFmtStr"
		size = 23
		refs = "0009 CurrencyString 000e WideFmtStr"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_69100_0 {
	meta:
		name = "StrFmt"
		size = 76
		refs = "0019 @PCharLen 0036 FormatBuf"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 85 DB 74 30 85 F6 74 2C 8B C6 E8 ?? ?? ?? ?? 8B F8 57 8B 45 FC 50 8B 45 0C 50 8B 45 08 50 8B CE 8B C3 BA FF FF FF 7F E8 ?? ?? ?? ?? C6 04 03 00 8B C3 EB 02 33 C0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69101_0 {
	meta:
		name = "StrFmt"
		size = 78
		refs = "0019 @PWCharLen 0036 WideFormatBuf"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 85 DB 74 32 85 F6 74 2E 8B C6 E8 ?? ?? ?? ?? 8B F8 57 8B 45 FC 50 8B 45 0C 50 8B 45 08 50 8B CE 8B C3 BA FF FF FF 7F E8 ?? ?? ?? ?? 66 C7 04 43 00 00 8B C3 EB 02 33 C0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69102_0 {
	meta:
		name = "StrLFmt"
		size = 27
		refs = "000d CurrencyString 0012 StrLFmt"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 53 8B 5D 08 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69104_0 {
	meta:
		name = "StrLFmt"
		size = 74
		refs = "0019 @PCharLen 0034 FormatBuf"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 85 DB 74 2E 85 F6 74 2A 8B C6 E8 ?? ?? ?? ?? 8B F8 57 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CE 8B C3 8B 55 FC E8 ?? ?? ?? ?? C6 04 03 00 8B C3 EB 02 33 C0 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_69105_0 {
	meta:
		name = "StrLFmt"
		size = 76
		refs = "0019 @PWCharLen 0034 WideFormatBuf"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 85 DB 74 30 85 F6 74 2C 8B C6 E8 ?? ?? ?? ?? 8B F8 57 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CE 8B C3 8B 55 FC E8 ?? ?? ?? ?? 66 C7 04 43 00 00 8B C3 EB 02 33 C0 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_69106_0 {
	meta:
		name = "Format"
		size = 39
		refs = "000d CurrencyString 001c Format"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 68 ?? ?? ?? ?? 8B 45 08 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_69125_0 {
	meta:
		name = "WideFormat"
		size = 39
		refs = "000d CurrencyString 001c WideFormat"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 68 ?? ?? ?? ?? 8B 45 08 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_69109_0 {
	meta:
		name = "FmtStr"
		size = 245
		refs = "0065 FormatBuf 008d @UStrClr 0096 @UStrSetLength 00b6 @UStrToPWChar 00e8 @UStrFromPWCharLen"
	strings:
		$1 = { 55 8B EC 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F8 BB 00 10 00 00 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 3D 00 0C 00 00 7D 30 8B C2 85 C0 74 05 83 E8 04 8B 00 50 8B 45 F8 50 8B 45 0C 50 8B 45 08 50 8B 4D FC 8D 85 F4 DF FF FF BA FF 0F 00 00 E8 ?? ?? ?? ?? 89 45 F4 EB 10 8B C2 85 C0 74 05 83 E8 04 8B 00 8B D8 89 5D F4 8B C3 48 3B 45 F4 7F 56 EB 40 03 DB 8B C7 E8 ?? ?? ?? ?? 8B C7 8B D3 E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 56 8B 45 F8 50 8B 45 0C 50 8B 45 08 50 8B 07 E8 ?? ?? ?? ?? 8B 4D FC 8B D3 4A E8 ?? ?? ?? ?? 89 45 F4 8B C3 48 3B 45 F4 7E B8 8B C7 8B 55 F4 E8 ?? ?? ?? ?? EB 10 8D 95 F4 DF FF FF 8B C7 8B 4D F4 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_69111_0 {
	meta:
		name = "WideFloatToText"
		size = 27
		refs = "0012 FloatToText"
	strings:
		$1 = { 55 8B EC 53 0F B6 5D 10 53 8B 5D 0C 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_69112_0 {
	meta:
		name = "AnsiFloatToTextEx"
		size = 31
		refs = "0016 FloatToText"
		altNames = "FloatToTextEx WideFloatToTextFmtSettings"
	strings:
		$1 = { 55 8B EC 53 0F B6 5D 14 53 8B 5D 10 53 8B 5D 0C 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_69115_0 {
	meta:
		name = "ApplyWidth"
		size = 115
	strings:
		$1 = { 55 8B EC 53 56 33 C9 8B 5D 08 3B 43 FC 7D 10 8B 5D 08 66 83 7B FA 53 74 06 8B 45 08 8B 40 FC 8B 5D 08 83 7B F4 FF 74 45 8B 5D 08 8B 5B F4 8D 34 02 3B DE 7E 38 8D 54 02 01 8B 45 08 8B 40 F4 2B C2 7C 2A 40 8B 5D 08 83 7B F0 00 75 04 B1 01 EB 1C 8B 55 08 8B 52 EC 66 C7 02 20 00 8B 55 08 83 42 EC 02 8B 55 08 83 6A F0 02 48 75 D7 8B C1 5E 5B 5D C3 }
	condition:
		$1
}

rule function_69116_0 {
	meta:
		name = "AddBuf"
		size = 382
		refs = "0021 @PWCharLen 007f ApplyWidth 013f Move"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B DA 8B F8 89 7D F4 85 FF 74 17 83 7D FC FF 75 0C 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 EB 07 8B 75 FC EB 02 33 F6 83 FB FF 7E 06 3B DE 7D 02 8B F3 8B C6 03 C0 89 45 F8 85 FF 74 21 8B 45 F4 66 83 38 2D 75 18 8B 45 08 66 83 78 FA 53 74 0E 83 6D F8 02 4E C7 45 F0 01 00 00 00 EB 05 33 C0 89 45 F0 8B 45 08 80 78 EB 00 75 19 8B 45 08 50 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 59 8B D8 84 DB 0F 85 E7 00 00 00 83 7D F0 01 75 2D 8B 45 08 83 78 F0 00 75 07 B3 01 E9 D1 00 00 00 83 45 F4 02 8B 45 08 8B 40 EC 66 C7 00 2D 00 8B 45 08 83 40 EC 02 8B 45 08 83 68 F0 02 8B 45 08 83 78 FC FF 74 4A 8B 45 08 3B 70 FC 7D 42 8B 45 08 66 83 78 FA 53 74 38 8D 46 01 8B 55 08 8B 52 FC 2B D0 7C 2B 42 92 8B 55 08 83 7A F0 00 75 04 B3 01 EB 7D 8B 55 08 8B 52 EC 66 C7 02 30 00 8B 55 08 83 42 EC 02 8B 55 08 83 6A F0 02 48 75 D7 85 FF 74 41 8B 45 08 8B 40 F0 3B 45 F8 0F 92 C3 84 DB 74 08 8B 45 08 8B 78 F0 EB 03 8B 7D F8 8B 45 08 8B 50 EC 8B 45 F4 8B CF E8 ?? ?? ?? ?? 8B 45 08 8B 40 EC 03 C7 8B 55 08 89 42 EC 8B 45 08 29 78 F0 EB 02 33 DB 8B 45 08 80 78 EB 00 74 11 8B 45 08 50 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 59 8B D8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69117_0 {
	meta:
		name = "VariantToUnicodeString"
		size = 75
		refs = "0017 @UStrClr 0023 VarToUStrProc 0040 Error"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F0 8D 7D F0 A5 A5 A5 A5 8B DA 8B C3 E8 ?? ?? ?? ?? 66 83 7D F0 01 74 22 A1 ?? ?? ?? ?? 83 38 00 74 11 8B 35 ?? ?? ?? ?? 8B 36 8D 55 F0 8B C3 FF D6 EB 07 B0 10 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69118_0 {
	meta:
		name = "WideFormatBuf"
		size = 2532
		refs = "0042 WideFormatBuf 00c6 FormatError 00ef TCharacter.IsNumber 012e StrLCopy 0144 @UStrFromWArray 0152 TryStrToInt 02ba TCharacter.IsLetter 0468 IntToStr 0475 UIntToStr 0484 IntToHex 049c @UStrToPWChar 04a7 AddBuf 04c9 @UStrFromWChar 05b3 FloatToText 0697 @UStrFromString 0724 @UStrFromPChar 0798 @UStrFromLStr 07f4 VariantToUnicodeString 09c4 @UStrArrayClr 09cc @UStrClr 09d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 00 FF FF FF 53 56 57 33 DB 89 9D 00 FF FF FF 89 9D 04 FF FF FF 89 9D 08 FF FF FF 89 9D 0C FF FF FF 89 9D 10 FF FF FF 89 9D 14 FF FF FF 89 5D E4 89 4D D8 89 55 DC 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 85 C0 74 07 8B 55 D8 85 D2 75 0A 33 C0 89 45 D4 E9 47 09 00 00 83 CF FF 8B 55 0C 42 89 55 CC 89 45 EC 8B 5D D8 81 7D DC FF FF FF 7F 73 0A 8B 45 DC 03 C0 89 45 F0 EB 06 8B 45 DC 89 45 F0 8B 75 14 03 F6 03 F3 3B F3 0F 86 FD 08 00 00 66 83 3B 25 0F 85 BD 08 00 00 83 C3 02 3B F3 0F 86 E8 08 00 00 66 83 3B 25 75 2C 83 7D F0 00 75 0D 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? 8B 45 EC 0F B7 13 66 89 10 83 C3 02 83 45 EC 02 83 6D F0 02 E9 AE 08 00 00 C7 45 F4 FF FF FF FF 47 0F B7 03 E8 ?? ?? ?? ?? 84 C0 0F 84 82 00 00 00 89 5D D0 EB 03 83 C3 02 3B F3 76 0C 0F B7 03 E8 ?? ?? ?? ?? 84 C0 75 ED 3B 5D D0 74 70 8B CB 2B 4D D0 D1 F9 79 03 83 D1 00 8D 85 1A FF FF FF 8B 55 D0 E8 ?? ?? ?? ?? 8D 85 14 FF FF FF 8D 95 1A FF FF FF B9 41 00 00 00 E8 ?? ?? ?? ?? 8B 85 14 FF FF FF 8D 55 C0 E8 ?? ?? ?? ?? 84 C0 75 0D 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? 66 83 3B 3A 75 08 83 C3 02 8B 7D C0 EB 13 8B 45 C0 89 45 F4 EB 0B 66 83 3B 3A 75 05 33 FF 83 C3 02 66 83 3B 2D 75 09 C6 45 EB 01 83 C3 02 EB 04 C6 45 EB 00 89 5D D0 66 83 3B 2A 75 0C C7 45 F4 FE FF FF FF 83 C3 02 EB 75 0F B7 03 E8 ?? ?? ?? ?? 84 C0 74 69 EB 03 83 C3 02 3B F3 76 0C 0F B7 03 E8 ?? ?? ?? ?? 84 C0 75 ED 3B 5D D0 74 4F 8B CB 2B 4D D0 D1 F9 79 03 83 D1 00 8D 85 1A FF FF FF 8B 55 D0 E8 ?? ?? ?? ?? 8D 85 10 FF FF FF 8D 95 1A FF FF FF B9 41 00 00 00 E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 8D 55 F4 E8 ?? ?? ?? ?? 84 C0 75 0D 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? 66 83 3B 2E 0F 85 80 00 00 00 83 C3 02 3B F3 0F 86 5F 07 00 00 66 83 3B 2A 75 0C C7 45 FC FE FF FF FF 83 C3 02 EB 6A 89 5D D0 EB 03 83 C3 02 3B F3 76 0C 0F B7 03 E8 ?? ?? ?? ?? 84 C0 75 ED 8B CB 2B 4D D0 D1 F9 79 03 83 D1 00 8D 85 1A FF FF FF 8B 55 D0 E8 ?? ?? ?? ?? 8D 85 0C FF FF FF 8D 95 1A FF FF FF B9 41 00 00 00 E8 ?? ?? ?? ?? 8B 85 0C FF FF FF 8D 55 FC E8 ?? ?? ?? ?? 84 C0 75 10 C7 45 FC FF FF FF FF EB 07 C7 45 FC FF FF FF FF 0F B7 03 E8 ?? ?? ?? ?? 84 C0 0F 84 D3 06 00 00 0F B7 03 83 C0 9F 66 83 E8 1A 73 0D 0F B7 03 66 83 F0 20 66 89 45 FA EB 07 0F B7 03 66 89 45 FA 83 C3 02 83 7D F4 FE 75 5F 3B 7D CC 7C 10 8B 55 D8 8B 4D 14 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 10 80 7C F8 04 00 75 33 3B 7D CC 7C 10 8B 55 D8 8B 4D 14 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 10 8B 04 F8 89 45 F4 83 7D F4 00 7D 0C 0F B6 45 EB 34 01 88 45 EB F7 5D F4 47 EB 0D 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? 83 7D FC FE 75 4D 3B 7D CC 7C 10 8B 55 D8 8B 4D 14 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 10 80 7C F8 04 00 75 21 3B 7D CC 7C 10 8B 55 D8 8B 4D 14 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 10 8B 04 F8 89 45 FC 47 EB 0D 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? 3B 7D CC 7C 10 8B 55 D8 8B 4D 14 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 10 8B 14 F8 89 55 B8 8B 54 F8 04 89 55 BC C6 45 CB 00 0F B6 45 BC 83 F8 11 0F 87 72 05 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? E9 11 05 00 00 83 7D FC 10 7F 06 83 7D FC FF 75 05 33 C0 89 45 FC 0F B7 45 FA 66 83 E8 44 74 0E 66 83 E8 11 74 15 66 83 E8 03 74 1C EB 29 8D 55 E4 8B 45 B8 E8 ?? ?? ?? ?? EB 29 8D 55 E4 8B 45 B8 E8 ?? ?? ?? ?? EB 1C 8D 4D E4 33 D2 8B 45 B8 E8 ?? ?? ?? ?? EB 0D 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? 55 8B 45 E4 E8 ?? ?? ?? ?? 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 59 88 45 CB E9 95 04 00 00 66 83 7D FA 53 75 3D 80 7D BC 02 75 0E 8D 45 E4 0F B6 55 B8 E8 ?? ?? ?? ?? EB 0C 8D 45 E4 0F B7 55 B8 E8 ?? ?? ?? ?? 55 8B 45 E4 E8 ?? ?? ?? ?? 83 C9 FF 8B 55 FC E8 ?? ?? ?? ?? 59 88 45 CB E9 51 04 00 00 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? E9 3F 04 00 00 80 7D BC 03 75 06 C6 45 B7 00 EB 04 C6 45 B7 01 33 C0 89 45 C4 66 83 7D FA 47 74 07 66 83 7D FA 45 75 0F 83 7D FC 12 76 27 C7 45 FC 0F 00 00 00 EB 1E 83 7D FC 12 76 18 C7 45 FC 02 00 00 00 66 83 7D FA 4D 75 0A 8B 45 08 0F B6 40 05 89 45 FC 0F B7 45 FA 83 C0 BB 83 F8 09 0F 87 E1 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 6A 00 8B 45 FC 50 6A 03 8B 45 08 50 0F B6 4D B7 8B 55 B8 8D 85 1A FF FF FF E8 ?? ?? ?? ?? 89 45 C4 E9 99 00 00 00 6A 01 8B 45 FC 50 6A 03 8B 45 08 50 0F B6 4D B7 8B 55 B8 8D 85 1A FF FF FF E8 ?? ?? ?? ?? 89 45 C4 EB 76 6A 02 6A 12 8B 45 FC 50 8B 45 08 50 0F B6 4D B7 8B 55 B8 8D 85 1A FF FF FF E8 ?? ?? ?? ?? 89 45 C4 EB 53 6A 03 6A 12 8B 45 FC 50 8B 45 08 50 0F B6 4D B7 8B 55 B8 8D 85 1A FF FF FF E8 ?? ?? ?? ?? 89 45 C4 EB 30 6A 04 6A 12 8B 45 FC 50 8B 45 08 50 0F B6 4D B7 8B 55 B8 8D 85 1A FF FF FF E8 ?? ?? ?? ?? 89 45 C4 EB 0D 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? 8B 45 C4 66 C7 84 45 1A FF FF FF 00 00 33 C0 89 45 FC 55 8D 85 1A FF FF FF 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 59 88 45 CB E9 C4 02 00 00 66 83 7D FA 53 75 2E 55 8D 85 08 FF FF FF 8B 55 B8 E8 ?? ?? ?? ?? 8B 85 08 FF FF FF E8 ?? ?? ?? ?? 83 C9 FF 8B 55 FC E8 ?? ?? ?? ?? 59 88 45 CB E9 8F 02 00 00 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? E9 7D 02 00 00 66 83 7D FA 50 75 2D 8D 4D E4 BA 08 00 00 00 8B 45 B8 E8 ?? ?? ?? ?? 55 8B 45 E4 E8 ?? ?? ?? ?? 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 59 88 45 CB E9 49 02 00 00 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? E9 37 02 00 00 66 83 7D FA 53 75 2E 55 8D 85 04 FF FF FF 8B 55 B8 E8 ?? ?? ?? ?? 8B 85 04 FF FF FF E8 ?? ?? ?? ?? 83 C9 FF 8B 55 FC E8 ?? ?? ?? ?? 59 88 45 CB E9 02 02 00 00 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? E9 F0 01 00 00 66 83 7D FA 53 75 18 55 83 C9 FF 8B 55 FC 8B 45 B8 E8 ?? ?? ?? ?? 59 88 45 CB E9 D1 01 00 00 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? E9 BF 01 00 00 66 83 7D FA 53 75 3F 8D 45 E4 8B 55 B8 E8 ?? ?? ?? ?? 8B 45 E4 89 45 A4 83 7D A4 00 74 0B 8B 45 A4 83 E8 04 8B 00 89 45 A4 55 8B 45 E4 E8 ?? ?? ?? ?? 8B 4D A4 8B 55 FC E8 ?? ?? ?? ?? 59 88 45 CB E9 79 01 00 00 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? E9 67 01 00 00 66 83 7D FA 53 75 2E 55 8D 95 00 FF FF FF 8B 45 B8 E8 ?? ?? ?? ?? 8B 85 00 FF FF FF E8 ?? ?? ?? ?? 83 C9 FF 8B 55 FC E8 ?? ?? ?? ?? 59 88 45 CB E9 32 01 00 00 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? E9 20 01 00 00 66 83 7D FA 53 75 31 8B 45 B8 89 45 A0 83 7D A0 00 74 0D 8B 45 A0 83 E8 04 8B 00 D1 E8 89 45 A0 55 8B 4D A0 8B 55 FC 8B 45 B8 E8 ?? ?? ?? ?? 59 88 45 CB E9 E8 00 00 00 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? E9 D6 00 00 00 83 7D FC 20 7F 06 83 7D FC FF 75 05 33 C0 89 45 FC 0F B7 45 FA 66 83 E8 44 74 0E 66 83 E8 11 74 1A 66 83 E8 03 74 34 EB 46 8B 45 B8 FF 70 04 FF 30 8D 45 E4 E8 ?? ?? ?? ?? EB 41 8B 45 B8 8B 10 89 55 A8 8B 50 04 89 55 AC 8B 45 A8 8B 55 AC 52 50 8D 45 E4 E8 ?? ?? ?? ?? EB 21 8B 45 B8 FF 70 04 FF 30 8D 55 E4 33 C0 E8 ?? ?? ?? ?? EB 0D 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? 55 8B 45 E4 E8 ?? ?? ?? ?? 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 59 88 45 CB EB 40 66 83 7D FA 53 75 2C 8B 45 B8 89 45 9C 83 7D 9C 00 74 0B 8B 45 9C 83 E8 04 8B 00 89 45 9C 55 8B 4D 9C 8B 55 FC 8B 45 B8 E8 ?? ?? ?? ?? 59 88 45 CB EB 0D 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? 80 7D CB 00 74 42 8B 45 E0 8B 55 EC 2B D0 D1 FA 79 03 83 D2 00 89 55 D4 EB 48 83 7D F0 00 75 14 8B 45 E0 8B 55 EC 2B D0 D1 FA 79 03 83 D2 00 89 55 D4 EB 2E 8B 45 EC 0F B7 13 66 89 10 83 C3 02 83 45 EC 02 83 6D F0 02 3B F3 0F 87 03 F7 FF FF 8B 45 E0 8B 55 EC 2B D0 D1 FA 79 03 83 D2 00 89 55 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 00 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B 45 D4 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_69119_0 {
	meta:
		name = "ApplyWidth"
		size = 110
	strings:
		$1 = { 55 8B EC 53 56 33 C9 8B 5D 08 3B 43 FC 7D 0F 8B 5D 08 80 7B FB 53 74 06 8B 45 08 8B 40 FC 8B 5D 08 83 7B F4 00 74 41 8B 5D 08 8B 5B F4 8D 34 02 3B DE 7E 34 8D 54 02 01 8B 45 08 8B 40 F4 2B C2 7C 26 40 8B 5D 08 83 7B F0 00 75 04 B1 01 EB 18 8B 55 08 8B 52 EC C6 02 20 8B 55 08 FF 42 EC 8B 55 08 FF 4A F0 48 75 DB 8B C1 5E 5B 5D C3 }
	condition:
		$1
}

rule function_69120_0 {
	meta:
		name = "AddBuf"
		size = 353
		refs = "0018 @PCharLen 006c ApplyWidth 0122 Move"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B DA 8B F8 89 7D F8 85 FF 74 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 83 FB FF 7E 06 3B DE 7D 02 8B F3 8B C6 89 45 FC 85 FF 74 1E 8B 45 F8 80 38 2D 75 16 8B 45 08 80 78 FB 53 74 0D FF 4D FC 4E C7 45 F4 01 00 00 00 EB 05 33 C0 89 45 F4 8B 45 08 80 78 EB 00 75 19 8B 45 08 50 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 59 8B D8 84 DB 0F 85 DD 00 00 00 83 7D F4 01 75 28 8B 45 08 83 78 F0 00 75 07 B3 01 E9 C7 00 00 00 FF 45 F8 8B 45 08 8B 40 EC C6 00 2D 8B 45 08 FF 40 EC 8B 45 08 FF 48 F0 8B 45 08 83 78 FC FF 74 45 8B 45 08 3B 70 FC 7D 3D 8B 45 08 80 78 FB 53 74 34 8D 46 01 8B 55 08 8B 52 FC 2B D0 7C 27 42 92 8B 55 08 83 7A F0 00 75 04 B3 01 EB 79 8B 55 08 8B 52 EC C6 02 30 8B 55 08 FF 42 EC 8B 55 08 FF 4A F0 48 75 DB 85 FF 74 41 8B 45 08 8B 40 F0 3B 45 FC 0F 92 C3 84 DB 74 08 8B 45 08 8B 78 F0 EB 03 8B 7D FC 8B 45 08 8B 50 EC 8B 45 F8 8B CF E8 ?? ?? ?? ?? 8B 45 08 8B 40 EC 03 C7 8B 55 08 89 42 EC 8B 45 08 29 78 F0 EB 02 33 DB 8B 45 08 80 78 EB 00 74 11 8B 45 08 50 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 59 8B D8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69121_0 {
	meta:
		name = "VariantToAnsiString"
		size = 68
		refs = "0017 @LStrClr 001c VarToLStrProc 0039 Error"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F0 8D 7D F0 A5 A5 A5 A5 8B DA 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 74 11 8B 35 ?? ?? ?? ?? 8B 36 8D 55 F0 8B C3 FF D6 EB 07 B0 10 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69122_0 {
	meta:
		name = "FormatBuf"
		size = 2356
		refs = "0024 FormatBuf 00a0 AnsiFormatError 00c2 TCharacter.IsNumber 00f4 StrLCopy 010a @UStrFromArray 0118 TryStrToInt 025e TCharacter.IsLetter 0400 IntToStr 0413 @LStrFromUStr 0423 UIntToStr 0448 IntToHex 0473 @LStrToPChar 047b AddBuf 049b @LStrFromChar 0571 FloatToText 0654 @LStrFromString 069c @LStrFromPWChar 06df VariantToAnsiString 08f4 @UStrArrayClr 0904 @LStrArrayClr 091c @LStrClr 0922 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 19 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D D8 89 55 DC 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 85 C0 74 07 8B 55 D8 85 D2 75 0A 33 C0 89 45 D4 E9 95 08 00 00 83 CF FF 8B 55 0C 42 89 55 CC 89 45 EC 8B 5D D8 81 7D DC FF FF FF 7F 73 08 8B 45 DC 89 45 F0 EB 06 8B 45 DC 89 45 F0 8B F3 03 75 14 3B F3 0F 86 56 08 00 00 80 3B 25 0F 85 23 08 00 00 43 3B F3 0F 86 44 08 00 00 80 3B 25 75 27 83 7D F0 00 75 0D 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? 8B 45 EC 0F B6 13 88 10 43 FF 45 EC FF 4D F0 E9 10 08 00 00 33 C0 89 45 F4 47 0F B6 03 E8 ?? ?? ?? ?? 84 C0 74 76 89 5D D0 EB 01 43 3B F3 76 0C 0F B6 03 E8 ?? ?? ?? ?? 84 C0 75 EF 3B 5D D0 74 63 8B CB 2B 4D D0 8D 85 67 FF FF FF 8B 55 D0 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 8D 95 67 FF FF FF B9 41 00 00 00 E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 8D 55 C0 E8 ?? ?? ?? ?? 84 C0 75 0D 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? 80 3B 3A 75 06 43 8B 7D C0 EB 10 8B 45 C0 89 45 F4 EB 08 80 3B 3A 75 03 33 FF 43 80 3B 2D 75 07 C6 45 EB 01 43 EB 04 C6 45 EB 00 89 5D D0 80 3B 2A 75 0A C7 45 F4 FE FF FF FF 43 EB 6C 0F B6 03 E8 ?? ?? ?? ?? 84 C0 74 60 EB 01 43 3B F3 76 0C 0F B6 03 E8 ?? ?? ?? ?? 84 C0 75 EF 3B 5D D0 74 48 8B CB 2B 4D D0 8D 85 67 FF FF FF 8B 55 D0 E8 ?? ?? ?? ?? 8D 85 5C FF FF FF 8D 95 67 FF FF FF B9 41 00 00 00 E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 8D 55 F4 E8 ?? ?? ?? ?? 84 C0 75 0D 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? 80 3B 2E 75 78 43 3B F3 0F 86 EC 06 00 00 80 3B 2A 75 0A C7 45 FC FE FF FF FF 43 EB 67 89 5D D0 EB 01 43 3B F3 76 0C 0F B6 03 E8 ?? ?? ?? ?? 84 C0 75 EF 8B CB 2B 4D D0 8D 85 67 FF FF FF 8B 55 D0 E8 ?? ?? ?? ?? 8D 85 58 FF FF FF 8D 95 67 FF FF FF B9 41 00 00 00 E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 8D 55 FC E8 ?? ?? ?? ?? 84 C0 75 16 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? EB 07 C7 45 FC FF FF FF FF 0F B6 03 E8 ?? ?? ?? ?? 84 C0 0F 84 66 06 00 00 0F B6 03 04 9F 2C 1A 73 0A 0F B6 03 34 20 88 45 FB EB 06 0F B6 03 88 45 FB 43 83 7D F4 FE 75 5F 3B 7D CC 7C 10 8B 55 D8 8B 4D 14 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 10 80 7C F8 04 00 75 33 3B 7D CC 7C 10 8B 55 D8 8B 4D 14 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 10 8B 04 F8 89 45 F4 83 7D F4 00 7D 0C 0F B6 45 EB 34 01 88 45 EB F7 5D F4 47 EB 0D 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? 83 7D FC FE 75 4D 3B 7D CC 7C 10 8B 55 D8 8B 4D 14 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 10 80 7C F8 04 00 75 21 3B 7D CC 7C 10 8B 55 D8 8B 4D 14 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 10 8B 04 F8 89 45 FC 47 EB 0D 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? 3B 7D CC 7C 10 8B 55 D8 8B 4D 14 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 10 8B 14 F8 89 55 B8 8B 54 F8 04 89 55 BC C6 45 CB 00 0F B6 45 BC 83 F8 11 0F 87 21 05 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? E9 C0 04 00 00 83 7D FC 10 7F 06 83 7D FC FF 75 05 33 C0 89 45 FC 0F B6 45 FB 2C 44 74 0A 2C 11 74 29 2C 03 74 48 EB 6B 8D 95 54 FF FF FF 8B 45 B8 E8 ?? ?? ?? ?? 8B 95 54 FF FF FF 8D 45 E4 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 55 8D 95 50 FF FF FF 8B 45 B8 E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8D 45 E4 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 32 8D 8D 4C FF FF FF 33 D2 8B 45 B8 E8 ?? ?? ?? ?? 8B 95 4C FF FF FF 8D 45 E4 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 0D 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? 55 8B 45 E4 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 59 88 45 CB E9 0B 04 00 00 80 7D FB 53 75 2B 8D 45 E4 0F B6 55 B8 B9 00 00 00 00 E8 ?? ?? ?? ?? 55 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 59 88 45 CB E9 DA 03 00 00 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? E9 C8 03 00 00 80 7D BC 03 75 06 C6 45 B7 00 EB 04 C6 45 B7 01 33 C0 89 45 C4 80 7D FB 47 74 06 80 7D FB 45 75 0F 83 7D FC 12 76 26 C7 45 FC 0F 00 00 00 EB 1D 83 7D FC 12 76 17 C7 45 FC 02 00 00 00 80 7D FB 4D 75 0A 8B 45 08 0F B6 40 05 89 45 FC 0F B6 45 FB 83 C0 BB 83 F8 09 0F 87 E1 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 6A 00 8B 45 FC 50 6A 03 8B 45 08 50 0F B6 4D B7 8B 55 B8 8D 85 67 FF FF FF E8 ?? ?? ?? ?? 89 45 C4 E9 99 00 00 00 6A 01 8B 45 FC 50 6A 03 8B 45 08 50 0F B6 4D B7 8B 55 B8 8D 85 67 FF FF FF E8 ?? ?? ?? ?? 89 45 C4 EB 76 6A 02 6A 12 8B 45 FC 50 8B 45 08 50 0F B6 4D B7 8B 55 B8 8D 85 67 FF FF FF E8 ?? ?? ?? ?? 89 45 C4 EB 53 6A 03 6A 12 8B 45 FC 50 8B 45 08 50 0F B6 4D B7 8B 55 B8 8D 85 67 FF FF FF E8 ?? ?? ?? ?? 89 45 C4 EB 30 6A 04 6A 12 8B 45 FC 50 8B 45 08 50 0F B6 4D B7 8B 55 B8 8D 85 67 FF FF FF E8 ?? ?? ?? ?? 89 45 C4 EB 0D 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? 8B 45 C4 C6 84 05 67 FF FF FF 00 33 C0 89 45 FC 55 8D 85 67 FF FF FF 83 CA FF E8 ?? ?? ?? ?? 59 88 45 CB E9 55 02 00 00 80 7D FB 53 75 30 55 8D 85 48 FF FF FF 8B 55 B8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 48 FF FF FF E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 59 88 45 CB E9 1F 02 00 00 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? E9 0D 02 00 00 80 7D FB 53 75 30 55 8D 85 44 FF FF FF 8B 55 B8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 44 FF FF FF E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 59 88 45 CB E9 D7 01 00 00 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? E9 C5 01 00 00 80 7D FB 53 75 2B 55 8D 95 40 FF FF FF 8B 45 B8 E8 ?? ?? ?? ?? 8B 85 40 FF FF FF E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 59 88 45 CB E9 94 01 00 00 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? E9 82 01 00 00 80 7D FB 50 75 40 8D 8D 3C FF FF FF BA 08 00 00 00 8B 45 B8 E8 ?? ?? ?? ?? 8B 95 3C FF FF FF 8D 45 E4 B9 00 00 00 00 E8 ?? ?? ?? ?? 55 8B 45 E4 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 59 88 45 CB E9 3C 01 00 00 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? E9 2A 01 00 00 80 7D FB 53 75 15 55 8B 55 FC 8B 45 B8 E8 ?? ?? ?? ?? 59 88 45 CB E9 0F 01 00 00 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? E9 FD 00 00 00 80 7D FB 53 75 15 55 8B 55 FC 8B 45 B8 E8 ?? ?? ?? ?? 59 88 45 CB E9 E2 00 00 00 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? E9 D0 00 00 00 83 7D FC 20 7F 06 83 7D FC FF 75 05 33 C0 89 45 FC 0F B6 45 FB 2C 44 74 0D 2C 11 74 31 2C 03 74 63 E9 88 00 00 00 8B 45 B8 FF 70 04 FF 30 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8B 95 38 FF FF FF 8D 45 E4 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 6D 8B 45 B8 8B 10 89 55 A8 8B 50 04 89 55 AC 8B 45 A8 8B 55 AC 52 50 8D 85 34 FF FF FF E8 ?? ?? ?? ?? 8B 95 34 FF FF FF 8D 45 E4 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 37 8B 45 B8 FF 70 04 FF 30 8D 95 30 FF FF FF 33 C0 E8 ?? ?? ?? ?? 8B 95 30 FF FF FF 8D 45 E4 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 0D 8B 55 D8 8B 4D 14 33 C0 E8 ?? ?? ?? ?? 55 8B 45 E4 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 59 88 45 CB 80 7D CB 00 74 2F 8B 45 E0 8B 55 EC 2B D0 89 55 D4 EB 35 83 7D F0 00 75 0D 8B 45 E0 8B 55 EC 2B D0 89 55 D4 EB 22 8B 45 EC 0F B6 13 88 10 43 FF 45 EC FF 4D F0 3B F3 0F 87 AA F7 FF FF 8B 45 E0 8B 55 EC 2B D0 89 55 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 30 FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 85 40 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 4C FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 8B 45 D4 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_69124_0 {
	meta:
		name = "WideFmtStr"
		size = 236
		refs = "005d WideFormatBuf 0078 @WStrFromPWCharLen 0097 @WStrClr 00a0 @WStrSetLength"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F8 8B 55 FC 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 3D 00 06 00 00 7D 4F BB 00 08 00 00 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 50 8B 45 F8 50 8B 45 0C 50 8B 45 08 50 8B 4D FC 8D 85 F4 EF FF FF BA FF 07 00 00 E8 ?? ?? ?? ?? 89 45 F4 8B C3 48 3B 45 F4 7E 65 8D 95 F4 EF FF FF 8B C7 8B 4D F4 E8 ?? ?? ?? ?? EB 65 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 89 5D F4 EB 3F 03 DB 8B C7 E8 ?? ?? ?? ?? 8B C7 8B D3 E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 56 8B 45 F8 50 8B 45 0C 50 8B 45 08 50 8B 4D FC 8B D3 4A 8B 07 E8 ?? ?? ?? ?? 89 45 F4 8B C3 48 3B 45 F4 7E B9 8B C7 8B 55 F4 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_69127_0 {
	meta:
		name = "PutExponent"
		size = 98
		refs = "003a DCon10"
	strings:
		$1 = { 56 31 F6 AA 80 FF 00 74 03 32 C0 AA 08 DB 75 04 31 D2 EB 0A 09 D2 7D 06 B0 2D F7 DA EB 06 08 E4 74 0B 88 E0 AA 80 FF 00 74 03 32 C0 AA 92 50 53 89 E3 83 EB 08 53 31 D2 F7 B6 ?? ?? ?? ?? 80 C2 30 88 13 43 49 09 C0 75 ED 09 C9 7F E9 5A 59 4B 8A 03 AA 80 FD 00 74 03 32 C0 AA 39 D3 75 F0 58 5E C3 }
	condition:
		$1
}

rule function_69128_0 {
	meta:
		name = "FloatToText"
		size = 32
		refs = "0012 CurrencyString 0017 FloatToText"
	strings:
		$1 = { 55 8B EC 53 0F B6 5D 10 53 8B 5D 0C 53 8B 5D 08 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_69131_0 {
	meta:
		name = "AppendChar"
		size = 52
	strings:
		$1 = { 55 8B EC 8B 55 08 80 7A FF 00 74 12 8B 55 08 8B 52 F8 66 89 02 8B 45 08 83 40 F8 02 EB 0E 8B 55 08 8B 52 F8 88 02 8B 45 08 FF 40 F8 8B 45 08 FF 40 F4 5D C3 }
	condition:
		$1
}

rule function_69132_0 {
	meta:
		name = "AppendAnsiChar"
		size = 55
	strings:
		$1 = { 55 8B EC 8B 55 08 80 7A FF 00 74 15 0F B6 C0 8B 55 08 8B 52 F8 66 89 02 8B 45 08 83 40 F8 02 EB 0E 8B 55 08 8B 52 F8 88 02 8B 45 08 FF 40 F8 8B 45 08 FF 40 F4 5D C3 }
	condition:
		$1
}

rule function_69133_0 {
	meta:
		name = "AppendShortString"
		size = 85
		refs = "003f Move"
	strings:
		$1 = { 55 8B EC 53 56 0F B6 18 85 DB 7E 45 8B 55 08 80 7A FF 00 74 20 8B D3 85 D2 7E 30 40 0F B6 08 8B 75 08 8B 76 F8 66 89 0E 8B 4D 08 83 41 F8 02 40 4A 75 E9 EB 16 8B 55 08 8B 52 F8 40 8B CB E8 ?? ?? ?? ?? 8B C3 8B 55 08 01 42 F8 8B 45 08 01 58 F4 5E 5B 5D C3 }
	condition:
		$1
}

rule function_69134_0 {
	meta:
		name = "AppendString"
		size = 115
		refs = "0025 @UStrToPWChar 0036 Move"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 55 8B 45 08 80 78 FF 00 74 24 8B C6 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 8B F3 8B CE 03 C9 E8 ?? ?? ?? ?? 8B C3 03 C0 8B 55 08 01 42 F8 EB 22 8B C3 85 C0 7E 1C BA 01 00 00 00 0F B6 4C 56 FE 8B 7D 08 8B 7F F8 88 0F 8B 4D 08 FF 41 F8 42 48 75 E9 8B 45 08 01 58 F4 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_69135_0 {
	meta:
		name = "GetDigit"
		size = 33
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 D8 8B 55 08 0F B6 44 02 DF 84 C0 75 04 B0 30 5D C3 8B 55 08 FF 42 D8 5D C3 }
	condition:
		$1
}

rule function_69136_0 {
	meta:
		name = "FormatNumber"
		size = 285
		refs = "005b GetDigit 0061 AppendAnsiChar 009b AppendChar 00ad CZero"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 83 C6 D4 8B 45 08 83 78 0C 12 7E 08 C7 06 12 00 00 00 EB 08 8B 45 08 8B 40 0C 89 06 8B 45 08 0F BF 58 DC 85 DB 7E 77 8B 45 08 33 D2 89 50 D0 8B 45 08 80 78 14 02 74 12 8B C3 48 B9 03 00 00 00 99 F7 F9 42 8B 45 08 89 50 D0 8B 45 08 50 8B 45 08 50 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 59 4B 8B 45 08 FF 48 D0 8B 45 08 83 78 D0 00 75 2A 85 DB 7E 26 8B 45 08 C7 40 D0 03 00 00 00 8B 45 08 8B 40 08 0F B7 80 BC 00 00 00 66 85 C0 74 0A 8B 55 08 52 E8 ?? ?? ?? ?? 59 85 DB 75 AE EB 11 8B 45 08 50 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 83 3E 00 74 5D 8B 45 08 8B 40 08 0F B7 80 BE 00 00 00 66 85 C0 74 0A 8B 55 08 52 E8 ?? ?? ?? ?? 59 85 DB 7D 1D 8B 45 08 50 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 43 FF 0E 85 DB 74 05 83 3E 00 75 E3 83 3E 00 7E 1B 8B 45 08 50 8B 45 08 50 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 59 FF 0E 83 3E 00 7F E5 5E 5B 5D C3 }
	condition:
		$1
}

rule function_69137_0 {
	meta:
		name = "FormatExponent"
		size = 220
		refs = "002f AppendChar 004a CMinusSign 0066 CPlusSign 0097 @Str0Long 00a7 @PStrNCpy 00ba CZero 00d1 AppendShortString"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 8B 45 08 83 78 0C 04 7E 04 33 F6 EB 06 8B 45 08 8B 70 0C 8B 45 08 0F BF 58 DC 4B 8B 45 08 50 66 B8 45 00 E8 ?? ?? ?? ?? 59 8B 45 08 80 78 DF 00 74 35 85 DB 7D 15 F7 DB 8B 45 08 50 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 38 8B 45 08 80 78 14 00 74 2F 8B 45 08 50 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 1C 8B 45 08 80 78 14 00 74 11 8B 45 08 50 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 33 DB 8D 95 F4 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8D 95 F4 FE FF FF 8D 45 F7 B1 08 E8 ?? ?? ?? ?? 0F B6 5D F7 3B F3 7E 16 8B 45 08 50 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 43 3B F3 7F EA 8B 45 08 50 8D 45 F7 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69138_0 {
	meta:
		name = "InternalFloatToText"
		size = 834
		refs = "0069 FloatToDecimal 0086 CMinusSign 008b AppendChar 0094 CSpecial 0099 AppendShortString 0123 GetDigit 0129 AppendAnsiChar 0178 FormatExponent 0186 CZero 0253 FormatNumber 0276 CNegCurrencyFormats 027d @PStrNCpy 02ac CCurrencyFormats 0306 EmptyStr 030b @UStrEqual 0318 AppendString"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 89 4D CC 88 55 FF 89 45 F8 8B 5D 10 8B 45 18 33 D2 89 55 D8 33 D2 89 55 F4 84 C0 75 18 83 FB 02 7D 07 BB 02 00 00 00 EB 11 83 FB 12 7E 0C BB 12 00 00 00 EB 05 BB 13 00 00 00 0F B6 55 14 80 EA 02 73 09 C7 45 D4 0F 27 00 00 EB 06 8B 55 0C 89 55 D4 53 8B 55 D4 52 8B C8 8B 55 CC 8D 45 DC E8 ?? ?? ?? ?? 0F BF 75 DC 81 EE FF 7F 00 00 83 FE 02 73 27 80 7D DE 00 74 0E 55 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 04 B5 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 93 02 00 00 0F B6 45 14 2C 05 73 0E 0F BF 45 DC 3B D8 7D 0A 80 7D 14 01 74 04 C6 45 14 00 0F B6 45 14 2C 01 72 1A 0F 84 1F 01 00 00 48 2C 02 0F 82 69 01 00 00 0F 84 83 01 00 00 E9 57 02 00 00 80 7D DE 00 74 0E 55 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 C6 45 CB 00 0F BF 45 DC 89 45 D4 3B 5D D4 7C 06 83 7D D4 FD 7D 0B C7 45 D4 01 00 00 00 C6 45 CB 01 83 7D D4 00 7E 68 83 7D D4 00 7E 17 55 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 59 FF 4D D4 83 7D D4 00 7F E9 8B 45 D8 80 7C 05 DF 00 74 2B 55 8B 45 08 0F B7 80 BE 00 00 00 E8 ?? ?? ?? ?? 59 EB 0E 55 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 59 8B 45 D8 80 7C 05 DF 00 75 E8 80 7D CB 00 0F 84 C0 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 B4 01 00 00 55 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 80 7D DF 00 0F 84 9C 01 00 00 55 8B 45 08 0F B7 80 BE 00 00 00 E8 ?? ?? ?? ?? 59 F7 5D D4 83 7D D4 00 7E 27 55 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 FF 4D D4 83 7D D4 00 7F E9 EB 0E 55 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 59 8B 45 D8 80 7C 05 DF 00 75 E8 E9 4C 01 00 00 80 7D DE 00 74 0E 55 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 59 55 8B 45 08 0F B7 80 BE 00 00 00 E8 ?? ?? ?? ?? 59 4B 55 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 59 4B 85 DB 75 ED 55 E8 ?? ?? ?? ?? 59 E9 F9 00 00 00 80 7D DE 00 74 0E 55 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 E9 D9 00 00 00 80 7D DE 00 74 39 8B 5D 08 0F B6 9B C2 00 00 00 80 FB 0F 76 11 8D 45 C5 BA ?? ?? ?? ?? B1 05 E8 ?? ?? ?? ?? EB 4D 8D 45 C5 0F B6 D3 8D 14 52 8D 14 55 ?? ?? ?? ?? B1 05 E8 ?? ?? ?? ?? EB 34 8B 5D 08 0F B6 5B 04 80 FB 03 76 11 8D 45 C5 BA ?? ?? ?? ?? B1 05 E8 ?? ?? ?? ?? EB 17 8D 45 C5 0F B6 D3 8D 14 52 8D 14 55 ?? ?? ?? ?? B1 05 E8 ?? ?? ?? ?? 8D 45 BF 8D 55 C5 B1 05 E8 ?? ?? ?? ?? BF 01 00 00 00 0F B6 75 BF 3B F7 7C 4C 0F B6 5C 3D BF 8B C3 2C 24 74 0A 2C 06 74 26 2C 16 75 2B EB 37 8B 45 08 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 20 55 8B 45 08 8B 00 E8 ?? ?? ?? ?? 59 EB 12 55 E8 ?? ?? ?? ?? 59 EB 09 55 8B C3 E8 ?? ?? ?? ?? 59 47 3B F7 7D B4 8B 45 F4 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_69139_0 {
	meta:
		name = "FloatToText"
		size = 800
		refs = "0084 FloatToDecimal 009c FloatToText 01d2 PutExponent"
	strings:
		$1 = { 55 8B EC 83 C4 D4 57 56 53 89 45 FC C7 45 F8 00 00 00 00 8B 45 08 8B 00 89 45 F4 8B 45 08 66 8B 80 BE 00 00 00 66 89 45 F2 8B 45 08 66 8B 80 BC 00 00 00 66 89 45 F0 8B 45 08 8A 40 04 88 45 EF 8B 45 08 8A 80 C2 00 00 00 88 45 EE B8 13 00 00 00 80 F9 00 75 17 8B 45 10 83 F8 02 7D 05 B8 02 00 00 00 83 F8 12 7E 05 B8 12 00 00 00 89 45 10 50 B8 0F 27 00 00 80 7D 14 02 72 03 8B 45 0C 50 8D 45 D6 E8 ?? ?? ?? ?? 8B 7D FC 0F B7 45 D6 2D FF 7F 00 00 83 F8 02 73 1D 89 C1 E8 ?? ?? ?? ?? D1 E1 8D B4 49 ?? ?? ?? ?? 03 75 F8 B9 03 00 00 00 F3 66 A5 EB 2D 8D 75 D9 0F B6 5D 14 80 FB 01 74 10 80 FB 04 77 09 0F BF 45 D6 3B 45 10 7E 02 B3 00 8D 1C 9D ?? ?? ?? ?? 03 5D F8 8B 1B 03 5D F8 FF D3 89 F8 2B 45 FC D1 E8 5B 5E 5F E9 28 02 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 49 00 4E 00 46 00 4E 00 41 00 4E 00 AC 08 C0 75 03 B0 30 4E 32 E4 C3 80 7D D8 00 74 06 66 B8 2D 00 66 AB C3 E8 ?? ?? ?? ?? 0F BF 4D D6 31 D2 3B 4D 10 7F 25 83 F9 FD 7C 20 09 C9 7F 22 66 B8 30 00 66 AB 80 3E 00 74 4B 66 8B 45 F2 66 AB F7 D9 66 B8 30 00 F3 66 AB EB 20 B9 01 00 00 00 42 AC 08 C0 74 20 32 E4 66 AB E2 F5 AC 08 C0 74 1C 32 E4 C1 E0 10 66 8B 45 F2 AB AC 08 C0 74 0D 32 E4 66 AB EB F5 66 B8 30 00 F3 66 AB 09 D2 74 04 31 C0 EB 22 C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 AB 66 8B 45 F2 66 AB 8B 4D 10 49 E8 ?? ?? ?? ?? 66 AB E2 F7 B4 2B 8B 4D 0C 83 F9 04 76 02 31 C9 B0 45 8A 5D D9 B7 01 0F BF 55 D6 4A E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? 8B 55 0C 83 FA 12 72 05 BA 12 00 00 00 0F BF 4D D6 09 C9 7F 08 66 B8 30 00 66 AB EB 2E 31 DB 80 7D 14 02 74 0A 89 C8 48 B3 03 F6 F3 88 E3 43 E8 ?? ?? ?? ?? 66 AB 49 74 12 4B 75 F3 66 8B 45 F0 66 85 C0 74 EA 66 AB B3 03 EB E4 09 D2 74 23 66 8B 45 F2 66 85 C0 74 02 66 AB E3 0C 66 B8 30 00 66 AB 4A 74 0D 41 75 F8 E8 ?? ?? ?? ?? 66 AB 4A 75 F6 C3 31 DB 8A 5D EF B9 03 00 00 00 80 7D D8 00 74 08 8A 5D EE B9 0F 04 00 00 38 CB 76 02 88 CB 00 EB 8D 9C 9B ?? ?? ?? ?? 03 5D F8 B9 05 00 00 00 8A 03 3C 40 74 21 51 53 3C 24 74 0A 3C 2A 74 0D 32 E4 66 AB EB 0C E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5B 59 43 E2 D9 C3 56 8B 75 F4 85 F6 74 06 8B 4E FC F3 66 A5 5E C3 24 2A 40 40 40 2A 24 40 40 40 24 20 2A 40 40 2A 20 24 40 40 28 24 2A 29 40 2D 24 2A 40 40 24 2D 2A 40 40 24 2A 2D 40 40 28 2A 24 29 40 2D 2A 24 40 40 2A 2D 24 40 40 2A 24 2D 40 40 2D 2A 20 24 40 2D 24 20 2A 40 2A 20 24 2D 40 24 20 2A 2D 40 24 20 2D 2A 40 2A 2D 20 24 40 28 24 20 2A 29 28 2A 20 24 29 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_69140_0 {
	meta:
		name = "FloatToText"
		size = 781
		refs = "001d DefaultSystemCodePage 002a @LStrFromUStr 009b FloatToDecimal 00b3 FloatToText 01c1 PutExponent 0300 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 33 DB 89 5D F4 57 56 53 89 45 FC C7 45 F8 00 00 00 00 51 52 8B 0D ?? ?? ?? ?? 8D 45 F4 8B 55 08 8B 12 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F0 5A 59 8B 45 08 8A 80 BE 00 00 00 88 45 EF 8B 45 08 8A 80 BC 00 00 00 88 45 EE 8B 45 08 8A 40 04 88 45 ED 8B 45 08 8A 80 C2 00 00 00 88 45 EC B8 13 00 00 00 80 F9 00 75 17 8B 45 10 83 F8 02 7D 05 B8 02 00 00 00 83 F8 12 7E 05 B8 12 00 00 00 89 45 10 50 B8 0F 27 00 00 80 7D 14 02 72 03 8B 45 0C 50 8D 45 D4 E8 ?? ?? ?? ?? 8B 7D FC 0F B7 45 D4 2D FF 7F 00 00 83 F8 02 73 1A 89 C1 E8 ?? ?? ?? ?? 8D B4 49 ?? ?? ?? ?? 03 75 F8 B9 03 00 00 00 F3 A4 EB 2D 8D 75 D7 0F B6 5D 14 80 FB 01 74 10 80 FB 04 77 09 0F BF 45 D4 3B 45 10 7E 02 B3 00 8D 1C 9D ?? ?? ?? ?? 03 5D F8 8B 1B 03 5D F8 FF D3 89 F8 2B 45 FC 5B 5E 5F E9 F3 01 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 49 4E 46 4E 41 4E AC 08 C0 75 03 B0 30 4E C3 80 7D D6 00 74 03 B0 2D AA C3 E8 ?? ?? ?? ?? 0F BF 4D D4 31 D2 3B 4D 10 7F 1D 83 F9 FD 7C 18 09 C9 7F 1A B0 30 AA 80 3E 00 74 3A 8A 45 EF AA F7 D9 B0 30 F3 AA EB 1A B9 01 00 00 00 42 AC 08 C0 74 17 AA E2 F8 AC 08 C0 74 13 88 C4 8A 45 EF 66 AB AC 08 C0 74 07 AA EB F8 B0 30 F3 AA 09 D2 74 04 31 C0 EB 1E C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 65 EF 66 AB 8B 4D 10 49 E8 ?? ?? ?? ?? AA E2 F8 B4 2B 8B 4D 0C 83 F9 04 76 02 31 C9 B0 45 8A 5D D7 32 FF 0F BF 55 D4 4A E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? 8B 55 0C 83 FA 12 72 05 BA 12 00 00 00 0F BF 4D D4 09 C9 7F 05 B0 30 AA EB 2A 31 DB 80 7D 14 02 74 0A 89 C8 48 B3 03 F6 F3 88 E3 43 E8 ?? ?? ?? ?? AA 49 74 0F 4B 75 F4 8A 45 EE 84 C0 74 ED AA B3 03 EB E8 09 D2 74 1C 8A 45 EF 84 C0 74 01 AA E3 09 B0 30 AA 4A 74 0C 41 75 F9 E8 ?? ?? ?? ?? AA 4A 75 F7 C3 31 DB 8A 5D ED B9 03 00 00 00 80 7D D6 00 74 08 8A 5D EC B9 0F 04 00 00 38 CB 76 02 88 CB 00 EB 8D 9C 9B ?? ?? ?? ?? 03 5D F8 B9 05 00 00 00 8A 03 3C 40 74 1E 51 53 3C 24 74 07 3C 2A 74 0A AA EB 0C E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5B 59 43 E2 DC C3 56 8B 75 F0 85 F6 74 05 8B 4E FC F3 A4 5E C3 24 2A 40 40 40 2A 24 40 40 40 24 20 2A 40 40 2A 20 24 40 40 28 24 2A 29 40 2D 24 2A 40 40 24 2D 2A 40 40 24 2A 2D 40 40 28 2A 24 29 40 2D 2A 24 40 40 2A 2D 24 40 40 2A 24 2D 40 40 2D 2A 20 24 40 2D 24 20 2A 40 2A 20 24 2D 40 24 20 2A 2D 40 24 20 2D 2A 40 2A 2D 20 24 40 28 24 20 2A 29 28 2A 20 24 29 50 53 8D 45 F4 8B 5D F8 E8 ?? ?? ?? ?? 5B 58 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_69142_0 {
	meta:
		name = "FloatToTextFmt"
		size = 761
		refs = "0054 FloatToTextFmt 0081 FloatToDecimal 00b8 AnsiFloatToTextEx 027d PutExponent"
	strings:
		$1 = { 55 8B EC 83 C4 BC 57 56 53 89 45 FC 89 D7 89 CB 8B 45 08 8A 80 BE 00 00 00 88 45 FB 8B 45 08 8A 80 BC 00 00 00 88 45 FA B9 02 00 00 00 80 FB 00 74 0F 8B 07 0B 47 04 74 1A 8B 4F 04 C1 E9 1F EB 12 0F B7 47 08 0B 07 0B 47 04 74 07 0F B7 4F 08 C1 E9 0F E8 ?? ?? ?? ?? 74 4C E8 ?? ?? ?? ?? 8B 45 F4 BA 0F 27 00 00 80 7D F3 00 75 0A 2B 45 EC 89 C2 B8 12 00 00 00 50 52 8D 45 D4 89 FA 89 D9 E8 ?? ?? ?? ?? 66 8B 45 D4 66 3D 00 80 74 17 66 3D FF 7F 74 11 80 FB 00 75 27 66 3D 12 00 7E 21 80 7D F3 00 75 1B 6A 00 6A 0F 6A 00 8B 45 08 50 8B 45 FC 89 FA 89 D9 E8 ?? ?? ?? ?? E9 2F 02 00 00 80 7D D7 00 75 16 B9 02 00 00 00 E8 ?? ?? ?? ?? 74 D3 3B 75 D0 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 09 02 00 00 8B 75 0C E3 1D AC 3C 27 74 24 3C 22 74 20 08 C0 74 10 3C 3B 75 EF E2 ED 8A 06 08 C0 74 04 3C 3B 75 0B 8B 75 0C 8A 06 08 C0 74 02 3C 3B C3 88 C4 AC 38 E0 74 D0 08 C0 75 F7 EB E7 53 89 75 D0 BB FF 7F 00 00 31 C9 31 D2 C7 45 EC FF FF FF FF 88 55 CF 88 55 F3 AC 3C 23 74 26 3C 30 74 25 3C 2E 74 2C 3C 2C 74 33 3C 27 74 35 3C 22 74 31 3C 45 74 3A 3C 65 74 36 3C 3B 74 46 08 C0 75 D7 EB 40 42 EB D2 39 DA 7D 02 89 D3 42 89 D1 EB C7 83 7D EC FF 75 C1 89 55 EC EB BC C6 45 CF 01 EB B6 88 C4 AC 38 E0 74 AF 08 C0 75 F7 EB 14 AC 3C 2D 74 04 3C 2B 75 A1 C6 45 F3 01 AC 3C 30 74 FB EB 96 89 55 F4 83 7D EC FF 75 03 89 55 EC 8B 45 EC 29 C8 7E 02 31 C0 89 45 C8 8B 45 EC 29 D8 7D 02 31 C0 89 45 C4 5B C3 80 7D F3 00 74 07 8B 45 EC 31 D2 EB 13 0F BF 45 D4 3B 45 EC 7F 03 8B 45 EC 0F BF 55 D4 2B 55 EC 89 45 C0 89 55 BC 8B 75 D0 8B 7D FC 8D 5D D7 80 7D D6 00 74 08 3B 75 0C 75 03 B0 2D AA AC 3C 23 74 27 3C 30 74 23 3C 2E 74 F3 3C 2C 74 EF 3C 27 74 1E 3C 22 74 1A 3C 45 74 24 3C 65 74 20 3C 3B 74 55 08 C0 74 51 AA EB D4 E8 ?? ?? ?? ?? EB CD 88 C4 AC 38 E0 74 C6 08 C0 74 3C AA EB F4 8A 26 80 FC 2B 74 07 80 FC 2D 75 DC 32 E4 B9 FF FF FF FF 41 46 80 3E 30 74 F9 83 F9 04 72 05 B9 04 00 00 00 53 8A 5D D7 32 FF 0F BF 55 D4 2B 55 EC E8 ?? ?? ?? ?? 5B EB 86 89 F8 2B 45 FC C3 83 7D BC 00 74 1B 7C 0C E8 ?? ?? ?? ?? FF 4D BC 75 F6 EB 0D FF 45 BC 8B 45 C0 3B 45 C4 7E 12 EB 41 8A 03 43 08 C0 75 0B 4B 8B 45 C0 3B 45 C8 7E 31 B0 30 83 7D C0 00 75 09 88 C4 8A 45 FB 66 AB EB 20 AA 80 7D CF 00 74 19 8B 45 C0 83 F8 01 7E 11 B2 03 F6 F2 80 FC 01 75 08 8A 45 FA 84 C0 74 01 AA FF 4D C0 C3 5B 5E 5F 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_69144_0 {
	meta:
		name = "FloatToTextFmt"
		size = 881
		refs = "0058 FloatToTextFmt 0085 FloatToDecimal 00bc WideFloatToTextFmtSettings 02e7 PutExponent"
	strings:
		$1 = { 55 8B EC 83 C4 BC 57 56 53 89 45 FC 89 D7 89 CB 8B 45 08 66 8B 80 BE 00 00 00 66 89 45 FA 8B 45 08 66 8B 80 BC 00 00 00 66 89 45 F8 B9 02 00 00 00 80 FB 00 74 0F 8B 07 0B 47 04 74 1A 8B 4F 04 C1 E9 1F EB 12 0F B7 47 08 0B 07 0B 47 04 74 07 0F B7 4F 08 C1 E9 0F E8 ?? ?? ?? ?? 74 4C E8 ?? ?? ?? ?? 8B 45 F4 BA 0F 27 00 00 80 7D F3 00 75 0A 2B 45 EC 89 C2 B8 12 00 00 00 50 52 8D 45 D4 89 FA 89 D9 E8 ?? ?? ?? ?? 66 8B 45 D4 66 3D 00 80 74 17 66 3D FF 7F 74 11 80 FB 00 75 27 66 3D 12 00 7E 21 80 7D F3 00 75 1B 6A 00 6A 0F 6A 00 8B 45 08 50 8B 45 FC 89 FA 89 D9 E8 ?? ?? ?? ?? E9 A3 02 00 00 80 7D D7 00 75 16 B9 02 00 00 00 E8 ?? ?? ?? ?? 74 D3 3B 75 D0 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7D 02 00 00 8B 75 0C E3 29 66 AD 66 3D 27 00 74 31 66 3D 22 00 74 2B 66 09 C0 74 16 66 3D 3B 00 75 E7 E2 E5 66 8B 06 66 09 C0 74 06 66 3D 3B 00 75 0F 8B 75 0C 66 8B 06 66 09 C0 74 04 66 3D 3B 00 C3 66 89 C2 66 AD 66 39 D0 74 BD 66 09 C0 75 F4 EB DF 53 89 75 D0 BB FF 7F 00 00 31 C9 31 D2 C7 45 EC FF FF FF FF 88 55 CF 88 55 F3 66 AD 66 3D 23 00 74 37 66 3D 30 00 74 34 66 3D 2E 00 74 39 66 3D 2C 00 74 3E 66 3D 27 00 74 3E 66 3D 22 00 74 38 66 3D 45 00 74 48 66 3D 65 00 74 42 66 3D 3B 00 74 5B 66 09 C0 75 C3 EB 54 42 EB BE 39 DA 7D 02 89 D3 42 89 D1 EB B3 83 7D EC FF 75 AD 89 55 EC EB A8 C6 45 CF 01 EB A2 53 66 89 C3 66 AD 66 39 D8 75 03 5B 74 94 66 09 C0 75 F1 5B EB 1F 66 AD 66 3D 2D 00 74 06 66 3D 2B 00 75 80 C6 45 F3 01 66 AD 66 3D 30 00 74 F8 E9 6F FF FF FF 89 55 F4 83 7D EC FF 75 03 89 55 EC 8B 45 EC 29 C8 7E 02 31 C0 89 45 C8 8B 45 EC 29 D8 7D 02 31 C0 89 45 C4 5B C3 80 7D F3 00 74 07 8B 45 EC 31 D2 EB 13 0F BF 45 D4 3B 45 EC 7F 03 8B 45 EC 0F BF 55 D4 2B 55 EC 89 45 C0 89 55 BC 8B 75 D0 8B 7D FC 8D 5D D7 80 7D D6 00 74 0B 3B 75 0C 75 06 66 B8 2D 00 66 AB 66 AD 66 3D 23 00 74 39 66 3D 30 00 74 33 66 3D 2E 00 74 EC 66 3D 2C 00 74 E6 66 3D 27 00 74 28 66 3D 22 00 74 22 66 3D 45 00 74 36 66 3D 65 00 74 30 66 3D 3B 00 74 6C 66 09 C0 74 67 66 AB EB BF E8 ?? ?? ?? ?? EB B8 53 66 89 C3 66 AD 66 39 D8 75 03 5B 74 AA 66 09 C0 75 03 5B EB 46 66 AB EB EA 8A 26 80 FC 2B 74 0B 80 FC 2D 74 04 32 E4 EB CB 32 E4 B9 FF FF FF FF 41 46 46 66 83 3E 30 74 F7 83 F9 04 72 05 B9 04 00 00 00 53 8A 5D D7 B7 01 0F BF 55 D4 2B 55 EC E8 ?? ?? ?? ?? 5B E9 5C FF FF FF 89 F8 2B 45 FC D1 E8 C3 83 7D BC 00 74 1B 7C 0C E8 ?? ?? ?? ?? FF 4D BC 75 F6 EB 0D FF 45 BC 8B 45 C0 3B 45 C4 7E 14 EB 4A 32 E4 8A 03 43 08 C0 75 0D 4B 8B 45 C0 3B 45 C8 7E 38 66 B8 30 00 83 7D C0 00 75 0A C1 E0 10 66 8B 45 FA AB EB 24 66 AB 80 7D CF 00 74 1C 8B 45 C0 83 F8 01 7E 14 B2 03 F6 F2 80 FC 01 75 0B 66 8B 45 F8 66 85 C0 74 02 66 AB FF 4D C0 C3 5B 5E 5F 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_69145_0 {
	meta:
		name = "FloatToDecimal"
		size = 556
		refs = "001a FloatToDecimal 0086 FPower10 0092 FCon1E18 00a7 DCon10"
	strings:
		$1 = { 55 8B EC 83 C4 D8 57 56 53 89 C3 89 D6 C7 45 FC 00 00 00 00 80 F9 00 74 0A E8 ?? ?? ?? ?? E9 00 02 00 00 E8 ?? ?? ?? ?? E9 F6 01 00 00 66 8B 46 08 89 C2 25 FF 7F 00 00 74 1E 3D FF 7F 00 00 75 22 66 F7 46 06 00 80 74 11 83 3E 00 75 09 81 7E 04 00 00 00 80 74 03 40 31 D2 C6 43 03 00 E9 CD 00 00 00 DB 2E 2D FF 3F 00 00 69 C0 10 4D 00 00 C1 F8 10 40 89 45 F8 B8 12 00 00 00 2B 45 F8 D9 E1 53 8B 5D FC E8 ?? ?? ?? ?? 5B D9 FC 8B 7D FC DB AF ?? ?? ?? ?? D8 D9 9B DD 7D F6 9B 66 F7 45 F6 00 41 74 09 DA B7 ?? ?? ?? ?? FF 45 F8 DF 75 E0 8D 7B 03 BA 09 00 00 00 9B 8A 44 2A DF 88 C4 C0 E8 04 80 E4 0F 66 05 30 30 66 AB 4A 75 EB 32 C0 AA 8B 7D F8 03 7D 08 79 07 31 C0 E9 77 FF FF FF 3B 7D 0C 72 03 8B 7D 0C 83 FF 12 73 27 80 7C 3B 03 35 72 25 C6 44 3B 03 00 4F 78 0D FE 44 3B 03 80 7C 3B 03 39 77 ED EB 1F 66 C7 43 03 31 00 FF 45 F8 EB 14 BF 12 00 00 00 C6 44 3B 03 00 4F 78 19 80 7C 3B 03 30 74 F1 66 8B 56 08 8B 45 F8 66 C1 EA 0F 66 89 03 88 53 02 C3 31 D2 EB EE 0A 00 00 00 64 00 00 00 E8 03 00 00 10 27 00 00 8B 06 8B 56 04 89 C1 09 D1 0F 84 B7 00 00 00 09 D2 79 07 F7 DA F7 D8 83 DA 00 31 C9 8B 7D 08 09 FF 7D 02 31 FF 83 FF 04 7C 1F BF 04 00 00 00 41 2D 00 00 64 A7 81 DA B3 B6 E0 0D 73 F2 49 05 00 00 64 A7 81 D2 B3 B6 E0 0D 89 45 D8 89 55 DC DF 6D D8 89 FA B8 04 00 00 00 29 D0 74 0A 8B 7D FC DA B4 87 ?? ?? ?? ?? DF 75 E0 8D 7B 03 9B 09 C9 75 1B B9 09 00 00 00 8A 44 29 DF 88 C4 C0 E8 04 75 1E 88 E0 24 0F 75 1F 49 75 EC EB 39 88 C8 04 30 AA B9 09 00 00 00 8A 44 29 DF 88 C4 C0 E8 04 04 30 AA 88 E0 24 0F 04 30 AA 49 75 EA 89 F8 8D 4C 13 03 29 C8 C6 07 00 4F 80 3F 30 74 F7 8B 56 04 C1 EA 1F EB 07 31 C0 31 D2 88 43 03 66 89 03 88 53 02 C3 5B 5E 5F 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_69146_0 {
	meta:
		name = "TestAndClearFPUExceptions"
		size = 25
	strings:
		$1 = { 51 66 89 C1 9B DF E0 66 85 C8 75 05 31 C0 40 EB 02 31 C0 59 9B DB E2 C3 C3 }
	condition:
		$1
}

rule function_69148_0 {
	meta:
		name = "TextToFloat"
		size = 331
		refs = "002e CWNear 0035 TextToFloat 009f FPower10 00f5 DCon10"
	strings:
		$1 = { 55 8B EC 83 C4 F0 57 56 53 89 C6 89 D7 88 4D FF C7 45 F8 00 00 00 00 8B 45 08 66 8B 80 BE 00 00 00 66 89 45 F6 9B D9 7D F4 9B DB E2 D9 2D ?? ?? ?? ?? D9 EE E8 ?? ?? ?? ?? 66 8B 1E 66 83 FB 2B 74 06 66 83 FB 2D 75 03 83 C6 02 89 F1 E8 ?? ?? ?? ?? 31 D2 66 8B 06 66 3B 45 F6 75 0A 83 C6 02 E8 ?? ?? ?? ?? F7 DA 39 F1 74 5A 66 8B 06 66 25 DF 00 66 3D 45 00 75 0C 83 C6 02 52 E8 ?? ?? ?? ?? 58 01 C2 E8 ?? ?? ?? ?? 66 83 3E 00 75 36 89 D0 80 7D FF 01 75 03 83 C0 04 53 8B 5D F8 E8 ?? ?? ?? ?? 5B 66 83 FB 2D 75 02 D9 E0 80 7D FF 00 74 04 DF 3F EB 02 DB 3F 9B DF E0 66 A9 09 00 75 06 B0 01 EB 04 DD D8 31 C0 9B DB E2 D9 6D F4 9B EB 70 66 AD 66 09 C0 74 06 66 3D 20 00 74 F3 83 EE 02 C3 31 C0 31 D2 66 AD 66 2D 3A 00 66 05 0A 00 73 0F DA 0D ?? ?? ?? ?? 89 45 F0 DA 45 F0 42 EB E5 83 EE 02 C3 31 C0 31 D2 66 8B 0E 66 83 F9 2B 74 06 66 83 F9 2D 75 03 83 C6 02 66 8B 06 66 2D 3A 00 66 05 0A 00 73 10 83 C6 02 6B D2 0A 01 C2 81 FA F4 01 00 00 72 E3 66 83 F9 2D 75 02 F7 DA C3 5B 5E 5F 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_69150_0 {
	meta:
		name = "TextToFloat"
		size = 282
		refs = "002b CWNear 0032 TextToFloat 008a FPower10 00d3 DCon10"
	strings:
		$1 = { 55 8B EC 83 C4 F4 57 56 53 89 C6 89 D7 C7 45 FC 00 00 00 00 89 CB 8B 45 08 8A 80 BE 00 00 00 88 45 FB 9B D9 7D F8 9B DB E2 D9 2D ?? ?? ?? ?? D9 EE E8 ?? ?? ?? ?? 8A 3E 80 FF 2B 74 05 80 FF 2D 75 01 46 89 F1 E8 ?? ?? ?? ?? 31 D2 8A 06 3A 45 FB 75 08 46 E8 ?? ?? ?? ?? F7 DA 39 F1 74 4F 8A 06 24 DF 3C 45 75 0A 46 52 E8 ?? ?? ?? ?? 58 01 C2 E8 ?? ?? ?? ?? 80 3E 00 75 33 89 D0 80 FB 01 75 03 83 C0 04 53 8B 5D FC E8 ?? ?? ?? ?? 5B 80 FF 2D 75 02 D9 E0 80 FB 00 74 04 DF 3F EB 02 DB 3F 9B DF E0 66 A9 09 00 75 06 B0 01 EB 04 DD D8 31 C0 9B DB E2 D9 6D F8 9B EB 56 AC 08 C0 74 04 3C 20 74 F7 4E C3 31 C0 31 D2 AC 2C 3A 04 0A 73 0F DA 0D ?? ?? ?? ?? 89 45 F4 DA 45 F4 42 EB EA 4E C3 31 C0 31 D2 8A 0E 80 F9 2B 74 05 80 F9 2D 75 01 46 8A 06 2C 3A 04 0A 73 0E 46 6B D2 0A 01 C2 81 FA F4 01 00 00 72 EA 80 F9 2D 75 02 F7 DA C3 5B 5E 5F 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_69151_0 {
	meta:
		name = "FloatToStr"
		size = 34
		refs = "0014 CurrencyString 0019 FloatToStr"
	strings:
		$1 = { 55 8B EC 53 8B D8 0F B7 45 10 50 FF 75 0C FF 75 08 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_69152_0 {
	meta:
		name = "FloatToStr"
		size = 52
		refs = "001c FloatToText 0028 @UStrFromPWCharLen"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 56 8B F2 8B D8 6A 00 6A 0F 6A 00 53 8D 55 08 8D 45 80 33 C9 E8 ?? ?? ?? ?? 8B C8 8D 55 80 8B C6 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_69153_0 {
	meta:
		name = "CurrToStr"
		size = 29
		refs = "000f CurrencyString 0014 CurrToStr"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69226_0 {
	meta:
		name = "DateTimeToStr"
		size = 29
		refs = "000f CurrencyString 0014 DateTimeToStr"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69222_0 {
	meta:
		name = "DateToStr"
		size = 29
		refs = "000f CurrencyString 0014 DateToStr"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69688_0 {
	meta:
		name = "TTimeSpan.FromDays"
		size = 29
		refs = "0014 TTimeSpan.GetScaledInterval"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B D3 B8 00 5C 26 05 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69689_0 {
	meta:
		name = "TTimeSpan.FromHours"
		size = 29
		refs = "0014 TTimeSpan.GetScaledInterval"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B D3 B8 80 EE 36 00 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69690_0 {
	meta:
		name = "TTimeSpan.FromMilliseconds"
		size = 29
		refs = "0014 TTimeSpan.GetScaledInterval"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B D3 B8 01 00 00 00 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69691_0 {
	meta:
		name = "TTimeSpan.FromMinutes"
		size = 29
		refs = "0014 TTimeSpan.GetScaledInterval"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B D3 B8 60 EA 00 00 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69692_0 {
	meta:
		name = "TTimeSpan.FromSeconds"
		size = 29
		refs = "0014 TTimeSpan.GetScaledInterval"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B D3 B8 E8 03 00 00 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69224_0 {
	meta:
		name = "TimeToStr"
		size = 29
		refs = "000f CurrencyString 0014 TimeToStr"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69154_0 {
	meta:
		name = "CurrToStr"
		size = 52
		refs = "001c FloatToText 0028 @UStrFromPWCharLen"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 56 8B F2 8B D8 6A 00 6A 00 6A 00 53 8D 55 08 8D 45 80 B1 01 E8 ?? ?? ?? ?? 8B C8 8D 55 80 8B C6 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_69155_0 {
	meta:
		name = "TryFloatToCurr"
		size = 84
		refs = "000a TryFloatToCurr 0010 MinCurrency 0027 MaxCurrency"
	strings:
		$1 = { 55 8B EC 8B D0 DB 6D 08 D8 0D ?? ?? ?? ?? DF 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 77 17 DB 6D 08 D8 0D ?? ?? ?? ?? DF 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 73 04 33 C0 EB 02 B0 01 84 C0 74 0C DB 6D 08 D8 0D ?? ?? ?? ?? DF 3A 9B 5D C2 0C 00 00 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_69156_0 {
	meta:
		name = "FloatToCurr"
		size = 155
		refs = "000f FloatToCurr 0028 TryFloatToCurr 0053 CurrencyString 0058 FloatToStr 006a SInvalidCurrency 0071 ConvertErrorFmt 0086 @UStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 45 10 50 FF 75 0C FF 75 08 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 45 8B 45 08 89 45 E0 8B 45 0C 89 45 E4 66 8B 45 10 66 89 45 E8 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 45 D8 C6 45 DC 11 8D 55 D8 A1 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DF 6D F0 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_69157_0 {
	meta:
		name = "FloatToStrF"
		size = 50
		refs = "0018 CurrencyString 0027 FloatToStrF"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 0F B7 45 14 50 FF 75 10 FF 75 0C 68 ?? ?? ?? ?? 8B 45 08 50 8B C3 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_69158_0 {
	meta:
		name = "FloatToStrF"
		size = 57
		refs = "001f FloatToText 002c @UStrFromPWCharLen"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 56 57 8B F9 8B F2 8B D8 53 56 57 8B 45 0C 50 8D 55 10 8D 45 80 33 C9 E8 ?? ?? ?? ?? 8B C8 8D 55 80 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_69159_0 {
	meta:
		name = "CurrToStrF"
		size = 40
		refs = "0016 CurrencyString 001d CurrToStrF"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 FF 75 0C FF 75 08 57 8B C3 B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69160_0 {
	meta:
		name = "CurrToStrF"
		size = 55
		refs = "001d FloatToText 002a @UStrFromPWCharLen"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 56 57 8B F9 8B F2 8B D8 53 6A 00 56 57 8D 55 0C 8D 45 80 B1 01 E8 ?? ?? ?? ?? 8B C8 8D 55 80 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_69161_0 {
	meta:
		name = "FormatFloat"
		size = 40
		refs = "0017 CurrencyString 001e FormatFloat"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 0F B7 45 10 50 FF 75 0C FF 75 08 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_69162_0 {
	meta:
		name = "FormatFloat"
		size = 95
		refs = "0025 SFormatTooLong 002a ConvertError 0031 @UStrToPWChar 0043 FloatToTextFmt 0053 @UStrFromPWCharLen"
	strings:
		$1 = { 55 8B EC 81 C4 FC FD FF FF 53 56 89 4D FC 8B F2 8B D8 8B C3 85 C0 74 05 83 E8 04 8B 00 3D E0 00 00 00 7E 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 56 8D 55 08 8D 85 FC FD FF FF 33 C9 E8 ?? ?? ?? ?? 8B C8 8D 95 FC FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_69163_0 {
	meta:
		name = "FormatCurr"
		size = 35
		refs = "0012 CurrencyString 0019 FormatCurr"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69228_0 {
	meta:
		name = "FormatDateTime"
		size = 35
		refs = "0012 CurrencyString 0019 FormatDateTime"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69164_0 {
	meta:
		name = "FormatCurr"
		size = 95
		refs = "0025 SFormatTooLong 002a ConvertError 0031 @UStrToPWChar 0043 FloatToTextFmt 0053 @UStrFromPWCharLen"
	strings:
		$1 = { 55 8B EC 81 C4 FC FD FF FF 53 56 89 4D FC 8B F2 8B D8 8B C3 85 C0 74 05 83 E8 04 8B 00 3D E0 00 00 00 7E 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 56 8D 55 08 8D 85 FC FD FF FF B1 01 E8 ?? ?? ?? ?? 8B C8 8D 95 FC FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_69165_0 {
	meta:
		name = "StrToFloat"
		size = 24
		refs = "0004 CurrencyString 0009 StrToFloat"
	strings:
		$1 = { 83 C4 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 3C 24 9B DB 2C 24 83 C4 0C C3 }
	condition:
		$1
}

rule function_69166_0 {
	meta:
		name = "StrToFloat"
		size = 66
		refs = "000d @UStrToPWChar 0018 TextToFloat 002e SInvalidFloat 0035 ConvertErrorFmt"
	strings:
		$1 = { 53 56 83 C4 EC 8B F2 8B D8 56 8B C3 E8 ?? ?? ?? ?? 8D 54 24 04 33 C9 E8 ?? ?? ?? ?? 84 C0 75 19 89 5C 24 0C C6 44 24 10 11 8D 54 24 0C A1 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? DB 2C 24 83 C4 14 5E 5B C3 }
	condition:
		$1
}

rule function_69167_0 {
	meta:
		name = "StrToFloatDef"
		size = 40
		refs = "0012 CurrencyString 0017 StrToFloatDef"
	strings:
		$1 = { 55 8B EC 83 C4 F0 0F B7 55 10 52 FF 75 0C FF 75 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_69168_0 {
	meta:
		name = "StrToFloatDef"
		size = 65
		refs = "0010 @UStrToPWChar 001a TextToFloat"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 8B D8 56 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 33 C9 E8 ?? ?? ?? ?? 84 C0 75 14 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 66 8B 45 10 66 89 45 F8 DB 6D F0 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_69170_0 {
	meta:
		name = "TryStrToFloat"
		size = 30
		refs = "000d @UStrToPWChar 0016 TextToFloat"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B C3 E8 ?? ?? ?? ?? 8B D6 33 C9 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69172_0 {
	meta:
		name = "TryStrToFloat"
		size = 116
		refs = "0010 @UStrToPWChar 001b TextToFloat 002a TryStrToFloat"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F1 8B FA 8B D8 56 8B C3 E8 ?? ?? ?? ?? 8D 54 24 04 33 C9 E8 ?? ?? ?? ?? 8B D0 84 D2 74 24 DB 2C 24 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 77 11 DB 2C 24 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 73 02 33 D2 84 D2 74 06 DB 2C 24 DD 1F 9B 8B C2 83 C4 0C 5F 5E 5B C3 73 B2 DB B9 83 89 16 F2 FE C3 00 00 73 B2 DB B9 83 89 16 F2 FE 43 00 00 }
	condition:
		$1
}

rule function_69174_0 {
	meta:
		name = "TryStrToFloat"
		size = 116
		refs = "0010 @UStrToPWChar 001b TextToFloat 002a TryStrToFloat"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F1 8B FA 8B D8 56 8B C3 E8 ?? ?? ?? ?? 8D 54 24 04 33 C9 E8 ?? ?? ?? ?? 8B D0 84 D2 74 24 DB 2C 24 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 77 11 DB 2C 24 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 73 02 33 D2 84 D2 74 06 DB 2C 24 D9 1F 9B 8B C2 83 C4 0C 5F 5E 5B C3 D2 68 FD 66 3C 9E C9 FF 7E C0 00 00 D2 68 FD 66 3C 9E C9 FF 7E 40 00 00 }
	condition:
		$1
}

rule function_69175_0 {
	meta:
		name = "StrToCurr"
		size = 23
		refs = "0004 CurrencyString 0009 StrToCurr"
	strings:
		$1 = { 83 C4 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? DF 3C 24 9B DF 2C 24 59 5A C3 }
	condition:
		$1
}

rule function_69176_0 {
	meta:
		name = "StrToCurr"
		size = 66
		refs = "000d @UStrToPWChar 0018 TextToFloat 002e SInvalidFloat 0035 ConvertErrorFmt"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 56 8B C3 E8 ?? ?? ?? ?? 8D 54 24 04 B1 01 E8 ?? ?? ?? ?? 84 C0 75 19 89 5C 24 08 C6 44 24 0C 11 8D 54 24 08 A1 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? DF 2C 24 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_69177_0 {
	meta:
		name = "StrToCurrDef"
		size = 35
		refs = "000d CurrencyString 0012 StrToCurrDef"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? DF 7D F8 9B DF 6D F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69178_0 {
	meta:
		name = "StrToCurrDef"
		size = 57
		refs = "0010 @UStrToPWChar 001a TextToFloat"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 56 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 B1 01 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DF 6D F8 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69180_0 {
	meta:
		name = "TryStrToCurr"
		size = 30
		refs = "000d @UStrToPWChar 0016 TextToFloat"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B C3 E8 ?? ?? ?? ?? 8B D6 B1 01 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69181_0 {
	meta:
		name = "ValidateTimeStampDate"
		size = 88
		refs = "0009 ValidateTimeStampDate 001b SInvalidOp 0020 LoadResString 002a _DV_EInvalidOp 002f Exception.Create 0034 @RaiseExcept 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 C0 7F 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_69182_0 {
	meta:
		name = "DateTimeToTimeStamp"
		size = 75
		refs = "000d FMSecsPerDay 0027 IMSecsPerDay 0041 ValidateTimeStampDate"
	strings:
		$1 = { 55 8B EC 53 31 DB 89 C1 DD 45 08 D8 8B ?? ?? ?? ?? 83 EC 08 DF 3C 24 9B 58 5A 09 D2 79 11 F7 DA F7 D8 83 DA 00 F7 B3 ?? ?? ?? ?? F7 D8 EB 06 F7 B3 ?? ?? ?? ?? 05 5A 95 0A 00 89 11 89 41 04 50 E8 ?? ?? ?? ?? 58 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69183_0 {
	meta:
		name = "ValidateTimeStamp"
		size = 70
		refs = "0012 IMSecsPerDay 001a SInvalidTimeStamp 003d ConvertErrorFmt"
	strings:
		$1 = { 53 83 C4 F0 8B 10 85 D2 7C 0E 83 78 04 00 7E 08 3B 15 ?? ?? ?? ?? 7C 29 8B 0D ?? ?? ?? ?? 8B 58 04 89 1C 24 C6 44 24 04 00 89 54 24 08 C6 44 24 0C 00 8B C4 8B D0 B8 01 00 00 00 91 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_69184_0 {
	meta:
		name = "ValidateMSec"
		size = 68
		refs = "000b ValidateMSec 002b SInvalidTimeStamp 0035 ConvertErrorFmt"
	strings:
		$1 = { 55 8B EC 83 C4 F0 DF 6D 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 24 33 C0 89 45 F0 C6 45 F4 00 33 C0 89 45 F8 C6 45 FC 00 8D 55 F0 A1 ?? ?? ?? ?? B9 01 00 00 00 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_69185_0 {
	meta:
		name = "TimeStampToDateTime"
		size = 58
		refs = "0005 ValidateTimeStamp 0016 IMSecsPerDay 0031 FMSecsPerDay"
	strings:
		$1 = { 53 31 DB 50 E8 ?? ?? ?? ?? 58 8B 08 8B 40 04 2D 5A 95 0A 00 F7 AB ?? ?? ?? ?? 09 D2 79 07 29 C8 83 DA 00 EB 05 01 C8 83 D2 00 52 50 DF 2C 24 D8 B3 ?? ?? ?? ?? 83 C4 08 5B C3 }
	condition:
		$1
}

rule function_69186_0 {
	meta:
		name = "MSecsToTimeStamp"
		size = 43
		refs = "0011 ValidateMSec 001d IMSecsPerDay"
	strings:
		$1 = { 55 8B EC 53 31 DB 89 C1 8B 45 08 50 8B 45 0C 50 E8 ?? ?? ?? ?? 8B 45 08 8B 55 0C F7 B3 ?? ?? ?? ?? 89 11 89 41 04 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69187_0 {
	meta:
		name = "TimeStampToMSecs"
		size = 23
		refs = "0005 ValidateTimeStamp 000f FMSecsPerDay"
	strings:
		$1 = { 53 31 DB 50 E8 ?? ?? ?? ?? 58 DB 40 04 D8 8B ?? ?? ?? ?? DA 00 5B C3 }
	condition:
		$1
}

rule function_69188_0 {
	meta:
		name = "TryEncodeTime"
		size = 117
		refs = "005c TimeStampToDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 8B 75 0C C6 45 FF 00 66 83 F8 18 73 56 66 83 FA 3C 73 50 66 83 F9 3C 73 4A 66 81 FE E8 03 73 43 0F B7 C0 69 C0 80 EE 36 00 0F B7 D2 6B D2 3C 69 D2 E8 03 00 00 03 C2 0F B7 D1 69 D2 E8 03 00 00 03 C2 0F B7 D6 03 C2 89 45 F4 C7 45 F8 5A 95 0A 00 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 08 DD 18 9B C6 45 FF 01 0F B6 45 FF 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_69189_0 {
	meta:
		name = "EncodeTime"
		size = 61
		refs = "001f TryEncodeTime 0028 STimeEncodeError 002d ConvertError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 0F B7 45 08 50 8D 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 45 F8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_69190_0 {
	meta:
		name = "DecodeTime"
		size = 92
		refs = "001d DateTimeToTimeStamp 002c DivMod"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 8D 45 FC 50 FF 75 10 FF 75 0C 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8D 4D FE 66 BA 60 EA E8 ?? ?? ?? ?? 56 8B CB 0F B7 45 FE 66 BA 3C 00 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 0F B7 45 FC 66 BA E8 03 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_69191_0 {
	meta:
		name = "IsLeapYear"
		size = 57
	strings:
		$1 = { 53 56 8B C8 0F B7 C1 83 E0 03 85 C0 75 21 0F B7 D9 8B C3 BE 64 00 00 00 33 D2 F7 F6 85 D2 75 14 8B C3 B9 90 01 00 00 33 D2 F7 F1 85 D2 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_69192_0 {
	meta:
		name = "TryEncodeDate"
		size = 201
		refs = "001a IsLeapYear 0027 MonthDays"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 8B FA 66 89 45 FE C6 45 FD 00 0F B7 45 FE E8 ?? ?? ?? ?? 83 E0 7F 8D 04 40 8D 34 C5 ?? ?? ?? ?? 66 83 7D FE 01 0F 82 86 00 00 00 66 81 7D FE 0F 27 77 7E 66 83 FF 01 72 78 66 83 FF 0C 77 72 66 83 FB 01 72 6C 0F B7 C7 66 3B 5C 46 FE 77 62 0F B7 C7 48 85 C0 7E 0E B9 01 00 00 00 66 03 5C 4E FE 41 48 75 F7 0F B7 4D FE 49 8B C1 BE 64 00 00 00 99 F7 FE 69 F1 6D 01 00 00 8B D1 85 D2 79 03 83 C2 03 C1 FA 02 03 F2 2B F0 8B C1 B9 90 01 00 00 99 F7 F9 03 F0 0F B7 C3 03 F0 81 EE 5A 95 0A 00 89 75 F8 DB 45 F8 8B 45 08 DD 18 9B C6 45 FD 01 0F B6 45 FD 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_69193_0 {
	meta:
		name = "EncodeDate"
		size = 47
		refs = "0014 TryEncodeDate 001d SDateEncodeError 0022 ConvertError"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 54 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 04 24 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69194_0 {
	meta:
		name = "DecodeDateFully"
		size = 329
		refs = "001e DateTimeToTimeStamp 0088 DivMod 00f0 IsLeapYear 00ff MonthDays"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 4D F4 89 55 F8 89 45 FC 8B 5D 08 FF 75 10 FF 75 0C 8D 45 E8 E8 ?? ?? ?? ?? 8B 4D EC 85 C9 7F 24 8B 45 FC 66 C7 00 00 00 8B 45 F8 66 C7 00 00 00 8B 45 F4 66 C7 00 00 00 66 C7 03 00 00 33 D2 E9 F2 00 00 00 8B C1 BE 07 00 00 00 99 F7 FE 42 66 89 13 49 66 BB 01 00 81 F9 B1 3A 02 00 7C 13 81 E9 B1 3A 02 00 66 81 C3 90 01 81 F9 B1 3A 02 00 7D ED 8D 45 F2 50 8D 45 F0 66 BA AC 8E 91 E8 ?? ?? ?? ?? 66 83 7D F0 04 75 0A 66 FF 4D F0 66 81 45 F2 AC 8E 66 6B 45 F0 64 66 03 D8 8D 45 F2 50 8D 4D F0 0F B7 45 F2 66 BA B5 05 E8 ?? ?? ?? ?? 0F B7 45 F0 03 C0 03 C0 66 03 D8 8D 45 F2 50 8D 4D F0 0F B7 45 F2 66 BA 6D 01 E8 ?? ?? ?? ?? 66 83 7D F0 04 75 0A 66 FF 4D F0 66 81 45 F2 6D 01 66 03 5D F0 8B C3 E8 ?? ?? ?? ?? 8B D0 0F B6 C2 8D 04 40 8D 34 C5 ?? ?? ?? ?? 66 B8 01 00 0F B7 C8 0F B7 4C 4E FE 66 89 4D F0 0F B7 4D F2 66 3B 4D F0 72 0B 0F B7 4D F0 66 29 4D F2 40 EB DF 8B 4D FC 66 89 19 8B 4D F8 66 89 01 0F B7 45 F2 40 8B 4D F4 66 89 01 8B C2 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_69195_0 {
	meta:
		name = "DecodeDate"
		size = 30
		refs = "0014 DecodeDateFully"
	strings:
		$1 = { 55 8B EC 51 56 8B F0 FF 75 0C FF 75 08 8D 45 FE 50 8B C6 E8 ?? ?? ?? ?? 5E 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69196_0 {
	meta:
		name = "DateTimeToSystemTime"
		size = 62
		refs = "0019 DecodeDateFully 0035 DecodeTime"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8D 43 04 50 8D 4B 06 8D 53 02 8B C3 E8 ?? ?? ?? ?? 66 FF 4B 04 FF 75 0C FF 75 08 8D 43 0E 50 8D 4B 0C 8D 53 0A 8D 43 08 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69197_0 {
	meta:
		name = "SystemTimeToDateTime"
		size = 112
		refs = "0012 EncodeDate 001f SystemTimeToDateTime 003b EncodeTime"
	strings:
		$1 = { 53 83 C4 F8 8B D8 0F B7 4B 06 0F B7 53 02 0F B7 03 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 1F 0F B7 43 0E 50 0F B7 4B 0C 0F B7 53 0A 0F B7 43 08 E8 ?? ?? ?? ?? DC 04 24 DD 1C 24 9B EB 1D 0F B7 43 0E 50 0F B7 4B 0C 0F B7 53 0A 0F B7 43 08 E8 ?? ?? ?? ?? DC 2C 24 DD 1C 24 9B DD 04 24 59 5A 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_69198_0 {
	meta:
		name = "TrySystemTimeToDateTime"
		size = 104
		refs = "0016 TryEncodeDate 0037 TryEncodeTime 0041 TrySystemTimeToDateTime"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 56 0F B7 4B 06 0F B7 53 02 0F B7 03 E8 ?? ?? ?? ?? 8B D0 84 D2 74 3D 0F B7 43 0E 50 8D 44 24 04 50 0F B7 4B 0C 0F B7 53 0A 0F B7 43 08 E8 ?? ?? ?? ?? 8B D0 DD 06 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 0A DD 06 DC 04 24 DD 1E 9B EB 08 DD 06 DC 24 24 DD 1E 9B 8B C2 59 5A 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_69199_0 {
	meta:
		name = "DayOfWeek"
		size = 40
		refs = "0010 DateTimeToTimeStamp"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC B9 07 00 00 00 99 F7 F9 8B C2 40 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69200_0 {
	meta:
		name = "Date"
		size = 44
		refs = "0009 GetLocalTime 001d EncodeDate"
	strings:
		$1 = { 83 C4 E8 8D 44 24 08 50 E8 ?? ?? ?? ?? 0F B7 4C 24 0E 0F B7 54 24 0A 0F B7 44 24 08 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 18 C3 }
	condition:
		$1
}

rule function_69201_0 {
	meta:
		name = "Time"
		size = 50
		refs = "0009 GetLocalTime 0023 EncodeTime"
	strings:
		$1 = { 83 C4 E8 8D 44 24 08 50 E8 ?? ?? ?? ?? 0F B7 44 24 16 50 0F B7 4C 24 18 0F B7 54 24 16 0F B7 44 24 14 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 18 C3 }
	condition:
		$1
}

rule function_69203_0 {
	meta:
		name = "Now"
		size = 79
		refs = "0009 GetLocalTime 001d EncodeDate 003c EncodeTime"
	strings:
		$1 = { 83 C4 E0 8D 44 24 08 50 E8 ?? ?? ?? ?? 0F B7 4C 24 0E 0F B7 54 24 0A 0F B7 44 24 08 E8 ?? ?? ?? ?? DD 5C 24 18 9B 0F B7 44 24 16 50 0F B7 4C 24 18 0F B7 54 24 16 0F B7 44 24 14 E8 ?? ?? ?? ?? DC 44 24 18 DD 1C 24 9B DD 04 24 83 C4 20 C3 }
	condition:
		$1
}

rule function_69204_0 {
	meta:
		name = "IncMonth"
		size = 89
		refs = "0019 DecodeDate 0028 IncAMonth 0039 EncodeDate 004b ReplaceTime"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 FF 75 0C FF 75 08 8D 4D F2 8D 55 F4 8D 45 F6 E8 ?? ?? ?? ?? 53 8D 4D F2 8D 55 F4 8D 45 F6 E8 ?? ?? ?? ?? 0F B7 4D F2 0F B7 55 F4 0F B7 45 F6 E8 ?? ?? ?? ?? DD 5D F8 9B FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? DD 45 F8 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_69205_0 {
	meta:
		name = "IncAMonth"
		size = 144
		refs = "0060 IsLeapYear 006d MonthDays"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 75 08 85 F6 7C 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 FF FF FF FF 8B C6 B9 0C 00 00 00 99 F7 F9 66 01 07 B9 0C 00 00 00 8B C6 99 F7 F9 89 D6 66 01 33 0F B7 03 48 66 83 F8 0B 76 0F 0F B7 45 F8 66 01 07 66 69 C0 F4 FF 66 01 03 0F B7 07 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 40 8D 04 C5 ?? ?? ?? ?? 0F B7 13 0F B7 54 50 FE 8B 4D FC 66 3B 11 73 06 8B 45 FC 66 89 10 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_69206_0 {
	meta:
		name = "ReplaceTime"
		size = 100
		refs = "000c @TRUNC 0020 ReplaceTime 0035 Frac"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 DD 03 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC DF 6D F8 DD 1B 9B DD 03 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 18 DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 E1 DC 03 DD 1B 9B EB 16 DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 E1 DC 2B DD 1B 9B 5B 59 59 5D C2 08 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_69207_0 {
	meta:
		name = "ReplaceDate"
		size = 52
		refs = "001e ReplaceTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B 45 08 89 45 F8 8B 45 0C 89 45 FC FF 73 04 FF 33 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 03 8B 45 FC 89 43 04 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69208_0 {
	meta:
		name = "CurrentYear"
		size = 17
		refs = "0005 GetLocalTime"
	strings:
		$1 = { 83 C4 F0 54 E8 ?? ?? ?? ?? 0F B7 04 24 83 C4 10 C3 }
	condition:
		$1
}

rule function_69209_0 {
	meta:
		name = "DateTimeToString"
		size = 23
		refs = "000a CurrencyString 000f DateTimeToString"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_69210_0 {
	meta:
		name = "AppendChars"
		size = 226
		refs = "0058 Move 007b @DynArrayLength 0099 :47 009e @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B F8 85 F6 0F 8E CB 00 00 00 8B 45 08 80 B8 FB FD FF FF 00 74 47 BB 00 01 00 00 8B 45 08 8B 80 F4 FD FF FF 03 C6 3B D8 7D 0C 8B 45 08 C6 80 FB FD FF FF 00 EB 27 8B 45 08 8B 80 F4 FD FF FF 8B 55 08 8D 94 42 00 FE FF FF 8B CE 03 C9 8B C7 E8 ?? ?? ?? ?? 8B 45 08 01 B0 F4 FD FF FF 8B 45 08 80 B8 FB FD FF FF 00 75 6C 8B 45 08 8B 80 FC FD FF FF E8 ?? ?? ?? ?? 8B D8 EB 22 81 C3 00 01 00 00 53 8B 45 08 05 FC FD FF FF B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 80 F0 FD FF FF 03 C6 3B D8 7C CF 8B 45 08 8B 80 F0 FD FF FF 8B 55 08 8B 92 FC FD FF FF 8D 14 42 8B CE 03 C9 8B C7 E8 ?? ?? ?? ?? 8B 45 08 01 B0 F0 FD FF FF 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_69211_0 {
	meta:
		name = "AppendString"
		size = 26
		refs = "0013 AppendChars"
	strings:
		$1 = { 55 8B EC 8B D0 85 D2 74 05 83 EA 04 8B 12 8B 4D 08 51 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_69212_0 {
	meta:
		name = "AppendNumber"
		size = 73
		refs = "0027 Format 0034 FormatBuf 003e AppendChars"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 8B F2 8B D8 8B 45 08 50 6A 04 89 75 D0 C6 45 D4 00 89 5D D8 C6 45 DC 00 8D 45 D0 50 6A 01 B9 ?? ?? ?? ?? 8D 45 E0 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B D0 8D 45 E0 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69213_0 {
	meta:
		name = "GetCount"
		size = 52
	strings:
		$1 = { 55 8B EC 53 8B 45 08 83 C0 EC 8B 10 EB 03 83 00 02 8B 08 0F B7 09 8B 5D 08 66 3B 4B EA 74 EF 8B 00 2B C2 D1 F8 79 03 83 D0 00 40 8B 55 08 89 42 E4 5B 5D C3 }
	condition:
		$1
}

rule function_69214_0 {
	meta:
		name = "GetDate"
		size = 56
		refs = "002b DecodeDate"
	strings:
		$1 = { 55 8B EC 8B 45 08 80 78 E3 00 75 2A 8B 45 08 8B 40 08 FF 70 0C FF 70 08 8B 45 08 8D 48 FA 8B 45 08 8D 50 FC 8B 45 08 83 C0 FE E8 ?? ?? ?? ?? 8B 45 08 C6 40 E3 01 5D C3 }
	condition:
		$1
}

rule function_69215_0 {
	meta:
		name = "GetTime"
		size = 63
		refs = "0032 DecodeTime"
	strings:
		$1 = { 55 8B EC 8B 45 08 80 78 E2 00 75 31 8B 45 08 8B 40 08 FF 70 0C FF 70 08 8B 45 08 83 C0 F2 50 8B 45 08 8D 48 F4 8B 45 08 8D 50 F6 8B 45 08 83 C0 F8 E8 ?? ?? ?? ?? 8B 45 08 C6 40 E2 01 5D C3 }
	condition:
		$1
}

rule function_69216_0 {
	meta:
		name = "ConvertEraString"
		size = 392
		refs = "001e ConvertEraString 002b @UStrClr 0059 @UStrLAsg 006d @UStrToPWChar 0079 GetThreadLocale 007f GetDateFormat 0099 @UStrFromWArray 00a5 SysLocale 00c0 CharToByteLen 00ce @UStrCopy 00f9 ByteToCharLen 010a CharToByteIndex 0126 @UStrFromPWChar 0141 @UStrFromPWCharLen 0167 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E4 FD FF FF 53 56 33 C9 89 8D E4 FD FF FF 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 08 0F B7 40 FE 66 89 45 EC 8B 45 08 0F B7 40 FC 66 89 45 EE 8B 45 08 0F B7 40 FA 66 89 45 F2 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 00 02 00 00 8D 85 EC FD FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 EC 50 6A 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 BA 00 00 00 8B C3 8D 95 EC FD FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 4E 0F 85 A1 00 00 00 A1 ?? ?? ?? ?? 83 E8 04 74 26 83 E8 0D 0F 85 8E 00 00 00 53 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 71 83 3D ?? ?? ?? ?? 01 75 68 8B 03 89 85 E8 FD FF FF 8B B5 E8 FD FF FF 85 F6 74 05 83 EE 04 8B 36 8B 03 8B D6 E8 ?? ?? ?? ?? 83 F8 04 75 43 8B 03 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B F0 03 F6 8D 85 EC FD FF FF 03 F0 83 EE 02 8D 85 E4 FD FF FF 8B D6 E8 ?? ?? ?? ?? 8B 85 E4 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B C3 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E4 FD FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 67 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_69217_0 {
	meta:
		name = "ConvertYearString"
		size = 296
		refs = "0018 ConvertYearString 0025 @UStrClr 0058 @UStrLAsg 007b @UStrToPWChar 0087 GetThreadLocale 008d GetDateFormat 00a3 @UStrFromWArray 00d5 @UStrCopy 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FD FF FF 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 08 0F B7 40 FE 66 89 45 EC 8B 45 08 0F B7 40 FC 66 89 45 EE 8B 45 08 0F B7 40 FA 66 89 45 F2 83 FE 02 7F 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 00 02 00 00 8D 85 EC FD FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 EC 50 6A 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 44 8B C3 8D 95 EC FD FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 4E 75 2F 8B 03 66 83 38 30 75 27 8B 03 89 85 E8 FD FF FF 8B B5 E8 FD FF FF 85 F6 74 05 83 EE 04 8B 36 53 8B CE 49 8B 03 BA 02 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 79 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 79 00 79 00 79 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_69218_0 {
	meta:
		name = "AppendFormat"
		size = 2204
		refs = "0018 AppendFormat 0078 StrCharLength 0089 AppendChars 0092 StrNextChar 017a GetCount 0181 GetDate 01a5 AppendNumber 01e1 ConvertEraString 01ea AppendString 020e ConvertYearString 02de DayOfWeek 036f GetTime 03d3 StrLIComp 084f @UStrArrayClr 0855 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 D2 89 55 D4 89 55 D8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D EC 00 0F 84 0D 08 00 00 8B 45 08 83 B8 EC FD FF FF 02 0F 8D FD 07 00 00 8B 45 08 FF 80 EC FD FF FF 66 C7 45 E0 20 00 C6 45 E3 00 C6 45 E2 00 C6 45 DF 00 E9 C5 07 00 00 66 89 7D EA 66 81 7D EA 00 D8 72 3C 66 81 7D EA FF DF 77 34 8B 45 08 50 8B 45 EC E8 ?? ?? ?? ?? 8B D0 D1 FA 79 03 83 D2 00 8B 45 EC E8 ?? ?? ?? ?? 59 8B 45 EC E8 ?? ?? ?? ?? 89 45 EC 66 C7 45 E0 20 00 E9 7D 07 00 00 8B 45 EC E8 ?? ?? ?? ?? 89 45 EC 0F B7 5D EA 8B C3 83 C0 9F 66 83 E8 1A 73 04 66 83 EB 20 8B C3 83 C0 BF 66 83 E8 1A 73 15 66 83 FB 4D 75 0B 66 83 7D E0 48 75 04 66 BB 4E 00 66 89 5D E0 0F B7 C3 83 C0 DE 83 F8 38 0F 87 1E 07 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 0F 00 00 00 00 0F 00 00 00 00 00 00 00 0D 00 00 00 00 00 00 00 00 00 00 0E 00 00 00 00 00 00 0B 00 0C 05 03 00 02 06 00 00 00 00 04 07 00 00 00 00 08 09 00 00 00 00 01 0A ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 83 7D E4 02 7F 23 8B 45 08 50 0F B7 45 FE B9 64 00 00 00 33 D2 F7 F1 8B C2 BA 02 00 00 00 E8 ?? ?? ?? ?? 59 E9 72 06 00 00 8B 45 08 50 0F B7 45 FE BA 04 00 00 00 E8 ?? ?? ?? ?? 59 E9 5A 06 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 8B 45 08 50 55 8D 55 D8 8B 45 E4 E8 ?? ?? ?? ?? 59 8B 45 D8 E8 ?? ?? ?? ?? 59 E9 2D 06 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 8B 45 08 50 55 8D 55 D4 8B 45 E4 E8 ?? ?? ?? ?? 59 8B 45 D4 E8 ?? ?? ?? ?? 59 E9 00 06 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 8B 45 E4 48 83 E8 02 72 04 74 18 EB 36 8B 45 08 50 0F B7 45 FC 8B 55 E4 E8 ?? ?? ?? ?? 59 E9 CF 05 00 00 8B 45 08 50 0F B7 45 FC 8B 55 08 8B 92 E8 FD FF FF 8B 44 82 20 E8 ?? ?? ?? ?? 59 E9 AF 05 00 00 8B 45 08 50 0F B7 45 FC 8B 55 08 8B 92 E8 FD FF FF 8B 44 82 50 E8 ?? ?? ?? ?? 59 E9 8F 05 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 E4 48 83 E8 02 72 11 74 2C 48 74 59 48 0F 84 82 00 00 00 E9 98 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 08 50 0F B7 45 FA 8B 55 E4 E8 ?? ?? ?? ?? 59 E9 51 05 00 00 8B 45 08 50 8B 45 08 FF 70 0C FF 70 08 E8 ?? ?? ?? ?? 0F B7 C0 8B 55 08 8B 92 E8 FD FF FF 8B 84 82 80 00 00 00 E8 ?? ?? ?? ?? 59 E9 21 05 00 00 8B 45 08 50 8B 45 08 FF 70 0C FF 70 08 E8 ?? ?? ?? ?? 0F B7 C0 8B 55 08 8B 92 E8 FD FF FF 8B 84 82 9C 00 00 00 E8 ?? ?? ?? ?? 59 E9 F1 04 00 00 8B 45 08 50 8B 45 08 8B 80 E8 FD FF FF 8B 40 0C E8 ?? ?? ?? ?? 59 E9 D6 04 00 00 8B 45 08 50 8B 45 08 8B 80 E8 FD FF FF 8B 40 10 E8 ?? ?? ?? ?? 59 E9 BB 04 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 C6 45 DE 00 8B 75 EC E9 97 00 00 00 66 81 3E 00 D8 72 12 66 81 3E FF DF 77 0B 8B C6 E8 ?? ?? ?? ?? 8B F0 EB 7E 0F B7 06 83 F8 48 7F 13 74 7E 83 E8 22 74 63 83 E8 05 74 5E 83 E8 1A 74 0E EB 60 83 E8 61 74 07 83 E8 07 74 63 EB 54 80 7D DE 00 75 4E BA ?? ?? ?? ?? B9 05 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 2A BA ?? ?? ?? ?? B9 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 15 BA ?? ?? ?? ?? B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 1C C6 45 DF 01 EB 16 0F B6 45 DE 34 01 88 45 DE 83 C6 02 66 83 3E 00 0F 85 5F FF FF FF 0F B7 45 F8 66 89 45 DC 80 7D DF 00 74 1B 66 83 7D DC 00 75 08 66 C7 45 DC 0C 00 EB 0C 66 83 7D DC 0C 76 05 66 83 6D DC 0C 83 7D E4 02 7E 07 C7 45 E4 02 00 00 00 8B 45 08 50 0F B7 45 DC 8B 55 E4 E8 ?? ?? ?? ?? 59 E9 B4 03 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 83 7D E4 02 7E 07 C7 45 E4 02 00 00 00 8B 45 08 50 0F B7 45 F6 8B 55 E4 E8 ?? ?? ?? ?? 59 E9 83 03 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 83 7D E4 02 7E 07 C7 45 E4 02 00 00 00 8B 45 08 50 0F B7 45 F4 8B 55 E4 E8 ?? ?? ?? ?? 59 E9 52 03 00 00 55 E8 ?? ?? ?? ?? 59 83 7D E4 01 75 1B 8B 45 08 50 8B 45 08 8B 80 E8 FD FF FF 8B 40 1C E8 ?? ?? ?? ?? 59 E9 2A 03 00 00 8B 45 08 50 8B 45 08 8B 80 E8 FD FF FF 8B 40 20 E8 ?? ?? ?? ?? 59 E9 0F 03 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 83 7D E4 03 7E 07 C7 45 E4 03 00 00 00 8B 45 08 50 0F B7 45 F2 8B 55 E4 E8 ?? ?? ?? ?? 59 E9 DE 02 00 00 55 E8 ?? ?? ?? ?? 59 8B 75 EC 83 EE 02 BA ?? ?? ?? ?? B9 05 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 28 66 83 7D F8 0C 72 03 83 C6 06 8B 45 08 50 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 59 83 45 EC 08 C6 45 DF 01 E9 94 02 00 00 BA ?? ?? ?? ?? B9 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 28 66 83 7D F8 0C 72 03 83 C6 04 8B 45 08 50 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 59 83 45 EC 04 C6 45 DF 01 E9 57 02 00 00 BA ?? ?? ?? ?? B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 42 66 83 7D F8 0C 73 18 8B 45 08 50 8B 45 08 8B 80 E8 FD FF FF 8B 40 14 E8 ?? ?? ?? ?? 59 EB 16 8B 45 08 50 8B 45 08 8B 80 E8 FD FF FF 8B 40 18 E8 ?? ?? ?? ?? 59 83 45 EC 06 C6 45 DF 01 E9 00 02 00 00 BA ?? ?? ?? ?? B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 3B 55 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 08 FF 70 0C FF 70 08 E8 ?? ?? ?? ?? 0F B7 C0 8B 55 08 8B 92 E8 FD FF FF 8B 84 82 9C 00 00 00 E8 ?? ?? ?? ?? 59 83 45 EC 06 E9 B0 01 00 00 BA ?? ?? ?? ?? B9 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 3B 55 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 08 FF 70 0C FF 70 08 E8 ?? ?? ?? ?? 0F B7 C0 8B 55 08 8B 92 E8 FD FF FF 8B 84 82 80 00 00 00 E8 ?? ?? ?? ?? 59 83 45 EC 04 E9 60 01 00 00 8B 45 08 50 8D 45 EA BA 01 00 00 00 E8 ?? ?? ?? ?? 59 E9 49 01 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 08 8B 80 E8 FD FF FF 8B 40 0C E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 66 83 7D F8 00 75 12 66 83 7D F6 00 75 0B 66 83 7D F4 00 0F 84 0C 01 00 00 8B 45 08 50 B8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 08 8B 80 E8 FD FF FF 8B 40 20 E8 ?? ?? ?? ?? 59 E9 DD 00 00 00 8B 45 08 8B 80 E8 FD FF FF 66 83 78 06 00 0F 84 C9 00 00 00 8B 45 08 50 8B 45 08 8B 80 E8 FD FF FF 83 C0 06 BA 01 00 00 00 E8 ?? ?? ?? ?? 59 E9 A9 00 00 00 8B 45 08 8B 80 E8 FD FF FF 66 83 78 08 00 0F 84 95 00 00 00 8B 45 08 50 8B 45 08 8B 80 E8 FD FF FF 83 C0 08 BA 01 00 00 00 E8 ?? ?? ?? ?? 59 EB 78 8B 75 EC EB 25 8B 45 EC 66 81 38 00 D8 72 17 8B 45 EC 66 81 38 FF DF 77 0D 8B 45 EC E8 ?? ?? ?? ?? 89 45 EC EB 04 83 45 EC 02 8B 45 EC 66 83 38 00 74 0C 8B 45 EC 0F B7 00 66 3B 45 EA 75 C6 8B 45 08 50 8B 55 EC 2B D6 D1 FA 79 03 83 D2 00 8B C6 E8 ?? ?? ?? ?? 59 8B 45 EC 66 83 38 00 74 18 83 45 EC 02 EB 12 8B 45 08 50 8D 45 EA BA 01 00 00 00 E8 ?? ?? ?? ?? 59 8B 45 EC 0F B7 38 66 85 FF 0F 85 2C F8 FF FF 8B 45 08 FF 88 EC FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 41 00 4D 00 2F 00 50 00 4D 00 00 00 41 00 2F 00 50 00 00 00 41 00 4D 00 50 00 4D 00 00 00 00 00 41 00 41 00 41 00 41 00 00 00 00 00 41 00 41 00 41 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_69219_0 {
	meta:
		name = "DateTimeToString"
		size = 304
		refs = "0028 DateTimeToString 0058 :47 005d @DynArraySetLength 0074 AppendFormat 0096 @UStrFromPWCharLen 00c2 @UStrFromWChar 00cf @UStrCat 0106 @UStrClr 0117 @DynArrayClear 011d @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E4 FD FF FF 53 56 57 33 DB 89 9D E4 FD FF FF 89 9D FC FD FF FF 89 8D E8 FD FF FF 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 85 F4 FD FF FF 33 C0 89 85 F0 FD FF FF C6 85 FB FD FF FF 01 6A 00 8D 85 FC FD FF FF B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 85 EC FD FF FF 85 DB 74 0B 55 8B C3 E8 ?? ?? ?? ?? 59 EB 0C 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 95 00 FE FF FF 8B C6 8B 8D F4 FD FF FF E8 ?? ?? ?? ?? 83 BD F0 FD FF FF 00 7E 4F 8B 9D F0 FD FF FF 4B 85 DB 7C 29 43 33 FF 8D 85 E4 FD FF FF 8B 95 FC FD FF FF 0F B7 14 7A E8 ?? ?? ?? ?? 8B 95 E4 FD FF FF 8B C6 E8 ?? ?? ?? ?? 47 4B 75 DA 6A 00 8D 85 FC FD FF FF B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E4 FD FF FF E8 ?? ?? ?? ?? 8D 85 FC FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C2 08 00 43 00 00 00 }
	condition:
		$1
}

rule function_69220_0 {
	meta:
		name = "TryFloatToDateTime"
		size = 84
		refs = "000b MinDateTime 0017 MaxDateTime 0023 Int 0029 TryFloatToDateTime"
	strings:
		$1 = { 55 8B EC 53 8B D8 DB 6D 08 DC 1D ?? ?? ?? ?? 9B DF E0 9E 72 23 DD 05 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 05 ?? ?? ?? ?? DB 6D 08 DE D9 9B DF E0 9E 72 04 33 C0 EB 02 B0 01 84 C0 74 06 DB 6D 08 DD 1B 9B 5B 5D C2 0C 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_69221_0 {
	meta:
		name = "FloatToDateTime"
		size = 63
		refs = "0015 TryFloatToDateTime 002b SInvalidDateTimeFloat 0032 ConvertErrorFmt"
	strings:
		$1 = { 55 8B EC 83 C4 F0 0F B7 45 10 50 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 84 C0 75 19 8D 45 08 89 45 F0 C6 45 F4 03 8D 55 F0 A1 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? DD 45 F8 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_69223_0 {
	meta:
		name = "DateToStr"
		size = 24
		refs = "0010 DateTimeToString"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B C8 8B 40 0C 92 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_69225_0 {
	meta:
		name = "TimeToStr"
		size = 24
		refs = "0010 DateTimeToString"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B C8 8B 40 20 92 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_69227_0 {
	meta:
		name = "DateTimeToStr"
		size = 24
		refs = "0010 DateTimeToString"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B C8 8B C2 33 D2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_69229_0 {
	meta:
		name = "FormatDateTime"
		size = 28
		refs = "0013 DateTimeToString"
	strings:
		$1 = { 55 8B EC 56 8B F0 FF 75 0C FF 75 08 8B C1 8B CA 8B D6 E8 ?? ?? ?? ?? 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_69230_0 {
	meta:
		name = "ScanBlanks"
		size = 37
		refs = "000f @UStrLen"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 1F EB 01 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 08 66 83 7C 5E FE 20 74 EC 89 1F 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69231_0 {
	meta:
		name = "ScanNumber"
		size = 149
		refs = "0021 ScanBlanks 0047 @UStrLen"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F8 C6 45 F7 00 8B 45 08 C6 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 5D FC 8B 1B 33 F6 EB 16 8B C6 03 C0 8D 04 80 0F B7 54 5F FE 66 83 EA 30 66 03 C2 8B F0 43 8B C7 E8 ?? ?? ?? ?? 3B D8 7F 15 0F B7 44 5F FE 83 C0 D0 66 83 E8 0A 73 07 66 81 FE E8 03 72 CA 8B 45 FC 3B 18 7E 1D 8B C3 8B 55 FC 8B 12 2A C2 8B 55 08 88 02 8B 45 FC 89 18 8B 45 F8 66 89 30 C6 45 F7 01 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_69232_0 {
	meta:
		name = "ScanString"
		size = 151
		refs = "0019 ScanString 0031 ScanBlanks 004c @UStrCopy 0056 AnsiCompareText 0080 @UStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 85 DB 74 44 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B F3 85 F6 74 05 83 EE 04 8B 36 8D 45 F4 50 8B 17 8B CE 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 85 C0 75 11 8B C3 85 C0 74 05 83 E8 04 8B 00 01 07 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69233_0 {
	meta:
		name = "ScanChar"
		size = 56
		refs = "0011 ScanBlanks"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 33 DB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 3B 07 7C 0D 8B 07 66 3B 6C 46 FE 75 04 FF 07 B3 01 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69234_0 {
	meta:
		name = "GetDateOrder"
		size = 82
		refs = "0044 @UStrLen"
	strings:
		$1 = { 53 56 57 8B F0 33 DB BF 01 00 00 00 EB 33 0F B7 44 7E FE 66 25 DF 00 66 83 E8 44 74 1F 66 FF C8 74 0E 66 83 E8 08 74 10 66 83 E8 0C 74 06 EB 10 B3 02 EB 18 B3 02 EB 14 33 DB EB 10 B3 01 EB 0C 47 8B C6 E8 ?? ?? ?? ?? 3B F8 7E C2 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69235_0 {
	meta:
		name = "ScanToNumber"
		size = 94
		refs = "0030 NextCharIndex 003f @UStrLen"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 EB 32 8B 45 00 0F B7 7C 46 FE 66 81 FF 00 D8 72 07 66 81 FF FF DF 76 04 33 DB EB 02 B3 01 84 DB 74 0F 8B 55 00 8B C6 E8 ?? ?? ?? ?? 89 45 00 EB 03 FF 45 00 8B C6 E8 ?? ?? ?? ?? 3B 45 00 7C 11 8B 45 00 0F B7 44 46 FE 83 C0 D0 66 83 E8 0A 73 B1 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69236_0 {
	meta:
		name = "GetEraYearOffset"
		size = 82
		refs = "0012 EraNames 0017 EraYearOffsets 0023 @UStrToPWChar 0031 AnsiStrPos"
	strings:
		$1 = { 53 56 57 55 51 8B E8 33 C0 89 04 24 BF 07 00 00 00 BB ?? ?? ?? ?? BE ?? ?? ?? ?? 83 3B 00 74 29 8B C5 E8 ?? ?? ?? ?? 50 8B 03 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 85 C0 74 07 8B 06 89 04 24 EB 09 83 C6 04 83 C3 04 4F 75 D2 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69237_0 {
	meta:
		name = "EraToYear"
		size = 90
		refs = "0008 SysLocale 0015 CurrentYear"
	strings:
		$1 = { 55 8B EC 53 8B D8 83 3D ?? ?? ?? ?? 12 75 3A 83 FB 63 7F 24 E8 ?? ?? ?? ?? 0F B7 C8 8B 45 08 8B 40 FC 99 33 C2 2B C2 03 C8 8B C1 B9 64 00 00 00 99 F7 F9 6B C0 64 03 D8 8B 45 08 83 78 FC 00 7E 0E 8B 45 08 F7 58 FC EB 06 8B 45 08 FF 48 FC 8B 45 08 8B 40 FC 03 C3 5B 5D C3 }
	condition:
		$1
}

rule function_69238_0 {
	meta:
		name = "ScanDate"
		size = 860
		refs = "0025 ScanDate 004d GetDateOrder 0067 ScanToNumber 007a @UStrCopy 0085 Trim 008d GetEraYearOffset 009f AnsiPos 00a8 EraYearOffsets 00bb ScanNumber 00d0 ScanChar 019e EraToYear 01b0 CurrentYear 0230 ScanBlanks 0236 SysLocale 024a Pos 0277 @UStrLen 02bb AnsiCompareText 02fa TryEncodeDate 0317 @UStrArrayClr 031f @UStrClr 0325 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 89 5D DC 89 5D F8 89 4D F4 8B DA 8B F0 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 45 EA 00 00 66 C7 45 E8 00 00 66 C7 45 E6 00 00 C6 45 E2 00 C6 45 F3 00 8B 47 0C E8 ?? ?? ?? ?? 88 45 F2 33 C0 89 45 FC 8B 47 0C 66 83 38 67 75 34 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 0B 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 DC 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC EB 19 8B 57 0C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 08 A1 ?? ?? ?? ?? 89 45 FC 8D 45 E5 50 8D 4D F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 3A 02 00 00 0F B7 4F 06 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 25 02 00 00 8D 45 E4 50 8D 4D EE 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 0D 02 00 00 0F B7 4F 06 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 E4 00 00 00 8D 45 E3 50 8D 4D EC 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 E0 01 00 00 0F B6 45 F2 2C 01 72 08 74 27 FE C8 74 44 EB 61 0F B7 45 EC 66 89 45 EA 0F B6 45 E3 88 45 E2 0F B7 45 F0 66 89 45 E8 0F B7 45 EE 66 89 45 E6 EB 40 0F B7 45 EC 66 89 45 EA 0F B6 45 E3 88 45 E2 0F B7 45 EE 66 89 45 E8 0F B7 45 F0 66 89 45 E6 EB 1F 0F B7 45 F0 66 89 45 EA 0F B6 45 E5 88 45 E2 0F B7 45 EE 66 89 45 E8 0F B7 45 EC 66 89 45 E6 83 7D FC 00 7E 11 55 0F B7 45 EA E8 ?? ?? ?? ?? 59 66 89 45 EA EB 75 80 7D E2 02 77 6F E8 ?? ?? ?? ?? 0F B7 C8 0F B7 87 C0 00 00 00 2B C8 8B C1 51 B9 64 00 00 00 99 F7 F9 59 66 6B C0 64 66 01 45 EA 66 83 BF C0 00 00 00 00 76 40 0F B7 45 EA 3B C8 7E 38 66 83 45 EA 64 EB 31 E8 ?? ?? ?? ?? 66 89 45 EA 80 7D F2 01 75 12 0F B7 45 F0 66 89 45 E6 0F B7 45 EE 66 89 45 E8 EB 10 0F B7 45 F0 66 89 45 E8 0F B7 45 EE 66 89 45 E6 0F B7 4F 06 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 0F 84 A8 00 00 00 8B 57 0C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 93 00 00 00 8B 47 1C 0F B7 00 83 C0 D0 66 83 E8 0A 73 0F 8B D3 8B C6 E8 ?? ?? ?? ?? EB 79 EB 02 FF 03 8B C6 E8 ?? ?? ?? ?? 3B 03 7C 0A 8B 03 66 83 7C 46 FE 20 75 E9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B 03 7C 4C 8D 45 D8 50 8B 47 14 E8 ?? ?? ?? ?? 8B C8 8B 13 8B C6 E8 ?? ?? ?? ?? 8B 55 D8 8B 47 14 E8 ?? ?? ?? ?? 85 C0 74 26 8D 45 D4 50 8B 47 18 E8 ?? ?? ?? ?? 8B C8 8B 13 8B C6 E8 ?? ?? ?? ?? 8B 55 D4 8B 47 18 E8 ?? ?? ?? ?? 85 C0 75 8B 8B 45 F4 50 0F B7 4D E6 0F B7 55 E8 0F B7 45 EA E8 ?? ?? ?? ?? 88 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 64 00 64 00 00 00 }
	condition:
		$1
}

rule function_69239_0 {
	meta:
		name = "ScanTime"
		size = 512
		refs = "0022 ScanString 002d ScanTime 0073 ScanBlanks 0083 ScanNumber 00ad ScanChar 01c1 TryEncodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B F2 8B D8 C6 45 FB 00 83 CF FF 8B 4D 08 8B 49 14 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 12 8B D6 B9 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 FF EB 2A 8B 4D 08 8B 49 18 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 12 8B D6 B9 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 BF 0C 00 00 00 85 FF 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 F1 50 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 39 01 00 00 66 C7 45 F6 00 00 66 C7 45 F4 00 00 66 C7 45 F2 00 00 8B 4D 08 0F B7 49 08 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 73 8D 45 F1 50 8D 4D F6 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 FB 00 00 00 8B 4D 08 0F B7 49 08 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 47 8D 45 F1 50 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 CF 00 00 00 8B 4D 08 0F B7 89 BE 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8D 45 F1 50 8D 4D F2 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A0 00 00 00 85 FF 7D 53 8B 4D 08 8B 49 14 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 12 8B D6 B9 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 FF EB 2A 8B 4D 08 8B 49 18 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 12 8B D6 B9 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 BF 0C 00 00 00 85 FF 7C 1F 66 83 7D F8 00 74 3E 66 83 7D F8 0C 77 37 66 83 7D F8 0C 75 06 66 C7 45 F8 00 00 66 01 7D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B7 45 F2 50 8B 45 FC 50 0F B7 4D F4 0F B7 55 F6 0F B7 45 F8 E8 ?? ?? ?? ?? 88 45 FB 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 41 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 50 00 4D 00 00 00 00 00 }
	condition:
		$1
}

rule function_69240_0 {
	meta:
		name = "StrToDate"
		size = 23
		refs = "0004 CurrencyString 0009 StrToDate"
		altNames = "StrToDateTime"
	strings:
		$1 = { 83 C4 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_69246_0 {
	meta:
		name = "StrToTime"
		size = 23
		refs = "0004 CurrencyString 0009 StrToTime"
	strings:
		$1 = { 83 C4 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_69241_0 {
	meta:
		name = "StrToDate"
		size = 58
		refs = "0010 TryStrToDate 0026 SInvalidDate 002d ConvertErrorFmt"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B CE 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 19 89 5C 24 08 C6 44 24 0C 11 8D 54 24 08 A1 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? DD 04 24 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_69253_0 {
	meta:
		name = "StrToDateTime"
		size = 58
		refs = "0010 TryStrToDateTime 0026 SInvalidDateTime 002d ConvertErrorFmt"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B CE 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 19 89 5C 24 08 C6 44 24 0C 11 8D 54 24 08 A1 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? DD 04 24 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_69247_0 {
	meta:
		name = "StrToTime"
		size = 58
		refs = "0010 TryStrToTime 0026 SInvalidTime 002d ConvertErrorFmt"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B CE 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 19 89 5C 24 08 C6 44 24 0C 11 8D 54 24 08 A1 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? DD 04 24 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_69242_0 {
	meta:
		name = "StrToDateDef"
		size = 35
		refs = "000d CurrencyString 0012 StrToDateDef"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69254_0 {
	meta:
		name = "StrToDateTimeDef"
		size = 35
		refs = "000d CurrencyString 0012 StrToDateTimeDef"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69248_0 {
	meta:
		name = "StrToTimeDef"
		size = 35
		refs = "000d CurrencyString 0012 StrToTimeDef"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69243_0 {
	meta:
		name = "StrToDateDef"
		size = 51
		refs = "0014 TryStrToDate"
		altNames = "StrToDateTimeDef"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8B CE 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69249_0 {
	meta:
		name = "StrToTimeDef"
		size = 51
		refs = "0014 TryStrToTime"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8B CE 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69245_0 {
	meta:
		name = "TryStrToDate"
		size = 61
		refs = "001b ScanDate"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 C7 04 24 01 00 00 00 57 8B CE 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 8B C3 85 C0 74 05 83 E8 04 8B 00 3B 04 24 0F 9C C0 EB 02 33 C0 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69251_0 {
	meta:
		name = "TryStrToTime"
		size = 61
		refs = "001b ScanTime"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 C7 04 24 01 00 00 00 57 8B CE 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 8B C3 85 C0 74 05 83 E8 04 8B 00 3B 04 24 0F 9C C0 EB 02 33 C0 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69257_0 {
	meta:
		name = "TryStrToDateTime"
		size = 540
		refs = "0029 ScanToNumber 0039 ScanDate 00a4 ScanString 00b1 TryStrToDateTime 0111 @UStrLen 018c ScanTime 01e0 TryStrToTime"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B F9 89 14 24 8B F0 B3 01 C7 44 24 04 01 00 00 00 33 C0 89 44 24 20 89 44 24 24 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 57 8D 4C 24 1C 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 93 01 00 00 8B 44 24 04 89 44 24 08 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 3B 44 24 08 0F 8E 59 01 00 00 8B 44 24 04 48 89 44 24 0C 33 DB E9 B6 00 00 00 83 7C 24 0C 00 7E 72 8B 44 24 0C 3B 44 24 08 7D 68 FF 44 24 0C 8B 44 24 0C 89 44 24 10 8B 4F 14 8D 54 24 0C 8B C6 E8 ?? ?? ?? ?? 84 C0 75 3E 8D 54 24 0C B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 2A 8B 4F 18 8D 54 24 0C 8B C6 E8 ?? ?? ?? ?? 84 C0 75 18 8D 54 24 0C B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 8B 44 24 10 89 44 24 0C EB 02 B3 01 84 DB 75 37 EB 04 FF 44 24 0C 8B 44 24 0C 66 83 7C 46 FE 20 74 0D 8B C6 E8 ?? ?? ?? ?? 3B 44 24 0C 7D E3 8B EE 85 ED 74 06 83 ED 04 8B 6D 00 3B 6C 24 0C 7D 06 33 C0 89 44 24 0C 84 DB 75 0E 8B 44 24 0C 3B 44 24 08 0F 8C 38 FF FF FF 84 DB 74 2F 83 7C 24 0C 00 7E 1E 8B 44 24 0C 3B 44 24 08 7D 0A 8B 44 24 0C 89 44 24 04 EB 1C 8B 44 24 08 89 44 24 04 EB 12 8B 44 24 08 89 44 24 04 EB 08 8B 44 24 08 89 44 24 04 57 8D 4C 24 24 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 50 DD 44 24 18 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 10 DD 44 24 18 DC 44 24 20 8B 04 24 DD 18 9B EB 30 DD 44 24 18 DC 64 24 20 8B 04 24 DD 18 9B EB 20 8B 04 24 8B 54 24 18 89 10 8B 54 24 1C 89 50 04 EB 0E 8B CF 8B 14 24 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 83 C4 28 5D 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 02 00 00 00 41 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 50 00 4D 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_69258_0 {
	meta:
		name = "SysErrorMessage"
		size = 156
		refs = "001b FormatMessage 0025 SysErrorMessage 0044 CharInSet 0054 @UStrFromPWCharLen 006a LocalFree 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 6A 00 6A 00 8D 55 FC 52 6A 00 50 6A 00 68 00 33 00 00 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 01 4B 85 DB 7E 16 8B 45 FC 0F B7 44 58 FE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 E5 8B C6 8B CB 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5E 5B 59 5D C3 00 FF FF FF FF 01 40 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_69259_0 {
	meta:
		name = "GetLocaleStr"
		size = 74
		refs = "001f GetLocaleInfo 0033 @UStrFromPWCharLen 003e @UStrAsg"
	strings:
		$1 = { 55 8B EC 81 C4 00 FE FF FF 53 56 8B F1 8B 5D 08 68 00 01 00 00 8D 8D 00 FE FF FF 51 52 50 E8 ?? ?? ?? ?? 85 C0 7E 12 8B C8 49 8D 95 00 FE FF FF 8B C3 E8 ?? ?? ?? ?? EB 09 8B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_69260_0 {
	meta:
		name = "GetLocaleChar"
		size = 41
		refs = "0014 GetLocaleInfo"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 6A 02 8D 44 24 04 50 56 53 E8 ?? ?? ?? ?? 85 C0 7E 06 0F B7 04 24 EB 02 8B C7 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69261_0 {
	meta:
		name = "TFormatSettings.Create"
		size = 988
		refs = "001a TFormatSettings.Create 0028 IsValidLocale 0031 GetThreadLocale 003c TFormatSettings.GetDayNames 0045 TFormatSettings.GetMonthNames 0057 GetLocaleStr 0061 @UStrAsg 0080 StrToIntDef 00b8 GetLocaleChar 0124 TFormatSettings.TranslateDateFormat 01b0 @UStrClr 01e8 @UStrLAsg 0274 @UStrCatN 02c6 @UStrArrayClr 02cc @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 56 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 F0 50 33 C9 BA 14 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 EC 50 B9 ?? ?? ?? ?? BA 1B 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 88 43 04 8D 45 E8 50 B9 ?? ?? ?? ?? BA 1C 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 E8 ?? ?? ?? ?? 88 83 C2 00 00 00 66 B9 2C 00 BA 0F 00 00 00 8B C6 E8 ?? ?? ?? ?? 66 89 83 BC 00 00 00 66 B9 2E 00 BA 0E 00 00 00 8B C6 E8 ?? ?? ?? ?? 66 89 83 BE 00 00 00 8D 45 E4 50 B9 ?? ?? ?? ?? BA 19 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 33 D2 E8 ?? ?? ?? ?? 88 43 05 66 B9 2F 00 BA 1D 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 66 89 7B 06 57 8D 45 E0 50 B9 ?? ?? ?? ?? BA 1F 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 8D 43 0C E8 ?? ?? ?? ?? 0F B7 43 06 50 8D 45 DC 50 B9 ?? ?? ?? ?? BA 20 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 DC 8D 43 10 E8 ?? ?? ?? ?? 66 B9 3A 00 BA 1E 00 00 00 8B C6 E8 ?? ?? ?? ?? 66 89 43 08 8D 45 D8 50 B9 ?? ?? ?? ?? BA 28 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 D8 8D 43 14 E8 ?? ?? ?? ?? 8D 45 D4 50 B9 ?? ?? ?? ?? BA 29 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 D4 8D 43 18 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 D0 50 B9 ?? ?? ?? ?? BA 25 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 D0 33 D2 E8 ?? ?? ?? ?? 85 C0 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC 50 B9 ?? ?? ?? ?? BA 23 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 CC 33 D2 E8 ?? ?? ?? ?? 85 C0 75 3F 8D 45 C8 50 B9 ?? ?? ?? ?? BA 05 10 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 C8 33 D2 E8 ?? ?? ?? ?? 85 C0 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? FF 75 F4 8D 43 1C BA 04 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 FF 75 FC 68 ?? ?? ?? ?? FF 75 F4 8D 43 20 BA 04 00 00 00 E8 ?? ?? ?? ?? 66 B9 2C 00 BA 0C 00 00 00 8B C6 E8 ?? ?? ?? ?? 66 89 43 0A 66 C7 83 C0 00 00 00 32 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 0E 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6D 00 2F 00 64 00 2F 00 79 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6D 00 6D 00 6D 00 6D 00 20 00 64 00 2C 00 20 00 79 00 79 00 79 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 61 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 70 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 68 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 68 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 41 00 4D 00 50 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 4D 00 50 00 4D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 6D 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3A 00 6D 00 6D 00 3A 00 73 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_69262_0 {
	meta:
		name = "TFormatSettings.Create"
		size = 167
		refs = "0011 TFormatSettings.Create 0021 Win32MajorVersion 0030 TFormatSettings.AdjustLocaleName 0038 @UStrToPWChar 003e LocaleNameToLCID 0055 Languages 005b TLanguages.IndexOf 0067 TLanguages.GetLocaleID 0070 GetThreadLocale 0095 @UStrArrayClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 50 83 3D ?? ?? ?? ?? 06 7C 1E 6A 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 EB 30 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D8 EB 07 E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_69263_0 {
	meta:
		name = "TFormatSettings.Create"
		size = 14
		refs = "0008 TFormatSettings.Create"
	strings:
		$1 = { 53 8B D8 8B D3 33 C0 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69264_0 {
	meta:
		name = "TFormatSettings.AdjustLocaleName"
		size = 52
		refs = "000b @UStrAsg 0012 @UStrToPWChar"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? EB 11 66 83 FA 5F 75 08 66 C7 00 2D 00 5E 5B C3 83 C0 02 0F B7 10 66 85 D2 75 E7 5E 5B C3 }
	condition:
		$1
}

rule function_69265_0 {
	meta:
		name = "TFormatSettings.GetDayNames"
		size = 185
		refs = "001b TFormatSettings.GetDayNames 0041 DefShortDayNames 0055 TFormatSettings.GetString 005f @UStrAsg 0064 DefLongDayNames 00a6 @UStrArrayClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 8B 5D F8 81 C3 84 00 00 00 8D 46 05 B9 07 00 00 00 99 F7 F9 8B FA 68 ?? ?? ?? ?? 6A 06 8D 45 F4 50 8B CE 49 8D 57 31 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 06 8D 45 F0 50 8B CE 49 8D 57 2A 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 43 1C E8 ?? ?? ?? ?? 46 83 C3 04 83 FE 08 75 A3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69266_0 {
	meta:
		name = "TFormatSettings.GetMonthNames"
		size = 163
		refs = "0015 TFormatSettings.GetMonthNames 002b DefShortMonthNames 003f TFormatSettings.GetString 0049 @UStrAsg 004e DefLongMonthNames 0090 @UStrArrayClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 8B 5D FC 83 C3 24 68 ?? ?? ?? ?? 6A 0B 8D 45 F8 50 8B CE 49 8D 56 44 4A 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 0B 8D 45 F4 50 8B CE 49 8D 56 38 4A 8B C7 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 30 E8 ?? ?? ?? ?? 46 83 C3 04 83 FE 0D 75 B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69267_0 {
	meta:
		name = "TFormatSettings.GetString"
		size = 58
		refs = "0019 GetLocaleStr 002e LoadResString"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 53 33 C9 8B D7 8B C6 E8 ?? ?? ?? ?? 83 3B 00 75 10 8B 45 10 8B 55 FC 8B 04 90 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_69268_0 {
	meta:
		name = "FixDateSeparator"
		size = 47
		refs = "0009 @UStrToPWChar"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 03 E8 ?? ?? ?? ?? 85 C0 74 1B EB 11 8B 4D 08 66 3B 51 0C 75 05 66 C7 00 2F 00 83 C0 02 0F B7 10 66 85 D2 75 E7 5B 5D C3 }
	condition:
		$1
}

rule function_69269_0 {
	meta:
		name = "TFormatSettings.TranslateDateFormat"
		size = 716
		refs = "0025 TFormatSettings.TranslateDateFormat 0037 @UStrClr 0048 GetLocaleStr 006a StrToIntDef 007b SysLocale 00b4 @UStrFromWChar 00be @UStrCat 00c7 @UStrLen 00d7 @UStrAsg 00df FixDateSeparator 0105 CharLength 0120 @UStrCopy 013a @UniqueStringU 014d StrLIComp 0231 @UStrArrayClr 023f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 89 55 F8 8B F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 4D F4 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8D 45 EC 50 B9 ?? ?? ?? ?? BA 09 10 00 00 8B C7 E8 ?? ?? ?? ?? 8B 45 EC BA 01 00 00 00 E8 ?? ?? ?? ?? 83 C0 FD 83 E8 03 0F 82 88 01 00 00 A1 ?? ?? ?? ?? 83 E8 04 74 0C 83 C0 F3 83 E8 02 72 04 33 C0 EB 02 B0 01 84 C0 74 3B EB 2B 8B 45 FC 0F B7 7C 58 FE 8B C7 66 83 E8 47 74 1A 66 83 E8 20 74 14 8D 45 E8 8B D7 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7E C9 EB 0A 8B C6 8B 55 FC E8 ?? ?? ?? ?? 55 8B C6 E8 ?? ?? ?? ?? 59 E9 32 01 00 00 8B 45 FC 0F B7 7C 58 FE 66 81 FF 00 D8 72 3E 66 81 FF FF DF 77 37 8B D3 8B 45 FC E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 89 45 F0 8D 45 E4 50 8B 4D F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 03 5D F0 E9 CC 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8D 44 58 FE BA ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 12 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 E9 9A 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8D 44 58 FE BA ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C3 03 EB 6A 8D 45 FC E8 ?? ?? ?? ?? 8D 44 58 FE BA ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 EB 3C 8B 45 FC 0F B7 44 58 FE 66 83 E8 59 74 06 66 83 E8 20 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8D 45 E0 8B 55 FC 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 0F 8E D7 FE FF FF 55 8B C6 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 67 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 67 00 67 00 67 00 00 00 79 00 79 00 79 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 65 00 65 00 65 00 00 00 00 00 79 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 65 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 65 00 00 00 }
	condition:
		$1
}

rule function_69270_0 {
	meta:
		name = "EnumEraNames"
		size = 58
		refs = "0017 EraNames 0029 @UStrFromPWChar"
	strings:
		$1 = { 55 8B EC 53 56 33 F6 BB 01 00 00 00 EB 06 83 FB 07 74 1F 43 83 3C 9D ?? ?? ?? ?? 00 75 F0 8D 04 9D ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? BE 01 00 00 00 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_69271_0 {
	meta:
		name = "EnumEraYearOffsets"
		size = 117
		refs = "000b EnumEraYearOffsets 0027 EraYearOffsets 0035 @UStrFromPWChar 003f StrToIntDef 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 BB 01 00 00 00 EB 06 83 FB 07 74 2C 43 83 3C 9D ?? ?? ?? ?? FF 75 F0 8D 45 FC 8B 55 08 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 89 04 9D ?? ?? ?? ?? BE 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_69272_0 {
	meta:
		name = "GetEraNamesAndYearOffsets"
		size = 180
		refs = "000a GetEraNamesAndYearOffsets 0019 GetThreadLocale 0028 GetLocaleStr 0035 StrToIntDef 004f EnumEraNames 0054 EnumCalendarInfo 005e EraYearOffsets 0078 EnumEraYearOffsets 0092 @UStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA 0B 10 00 00 E8 ?? ?? ?? ?? 8B 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 83 C0 FD 83 E8 03 73 3C 6A 04 56 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 07 00 00 00 B8 ?? ?? ?? ?? C7 00 FF FF FF FF 83 C0 04 4A 75 F4 6A 03 56 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 }
	condition:
		$1
}

rule function_69273_0 {
	meta:
		name = "ConvertAddr"
		size = 10
	strings:
		$1 = { 85 C0 74 05 2D 00 10 00 00 C3 }
	condition:
		$1
}

rule function_69274_0 {
	meta:
		name = "ExceptionErrorMessage"
		size = 456
		refs = "001f ExceptionErrorMessage 0034 VirtualQuery 0058 GetModuleFileName 006d HInstance 007a ConvertAddr 0097 AnsiStrRScan 00ac StrLCopy 00be _DV_Exception 00c3 @IsClass 00cf @UStrToPWChar 00d8 @PWCharLen 00fa SException 0108 FindResourceHInstance 010e LoadString 011b TObject.ClassName 0185 StrLFmt 01a7 @UStrClr 01ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 9C F9 FF FF 53 56 57 33 DB 89 9D 9C F9 FF FF 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 1C 8D 85 C8 F9 FF FF 50 53 E8 ?? ?? ?? ?? 81 BD D8 F9 FF FF 00 10 00 00 75 1C 68 05 01 00 00 8D 85 E4 FB FF FF 50 8B 85 CC F9 FF FF 50 E8 ?? ?? ?? ?? 85 C0 75 23 68 05 01 00 00 8D 85 E4 FB FF FF 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F8 EB 09 2B 9D CC F9 FF FF 89 5D F8 8D 85 E4 FB FF FF 66 BA 5C 00 E8 ?? ?? ?? ?? 8B D0 83 C2 02 8D 85 EE FD FF FF B9 04 01 00 00 E8 ?? ?? ?? ?? BB ?? ?? ?? ?? BF ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B 46 04 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0D 66 83 7C 43 FE 2E 74 05 BF ?? ?? ?? ?? 68 00 01 00 00 8D 85 E4 F9 FF FF 50 A1 ?? ?? ?? ?? 8B 40 04 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 95 9C F9 FF FF 8B 06 E8 ?? ?? ?? ?? 8B 85 9C F9 FF FF 89 85 A0 F9 FF FF C6 85 A4 F9 FF FF 11 8D 85 EE FD FF FF 89 85 A8 F9 FF FF C6 85 AC F9 FF FF 0A 8B 45 F8 89 85 B0 F9 FF FF C6 85 B4 F9 FF FF 05 89 9D B8 F9 FF FF C6 85 BC F9 FF FF 0A 89 BD C0 F9 FF FF C6 85 C4 F9 FF FF 0A 8D 85 A0 F9 FF FF 50 6A 04 8D 8D E4 F9 FF FF 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 9C F9 FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_69275_0 {
	meta:
		name = "ShowException"
		size = 324
		refs = "0014 ShowException 002a ExceptionErrorMessage 0031 IsConsole 003f Output 0044 Flush 0049 @_IOTest 0062 WideCharToMultiByte 0073 :57 0078 @DynArraySetLength 00a7 GetStdHandle 00ad WriteFile 00d7 SExceptTitle 00e0 HInstance 00e5 FindResourceHInstance 00eb LoadString 0105 MessageBox 0120 @DynArrayClear 0126 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 78 F7 FF FF 53 56 33 C9 89 4D FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 68 00 04 00 00 8D 8D 78 F7 FF FF E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 80 38 00 0F 84 8F 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 56 8D 85 78 F7 FF FF 50 6A 00 6A 01 E8 ?? ?? ?? ?? 8B D8 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 00 53 8B 45 FC 50 56 8D 85 78 F7 FF FF 50 6A 00 6A 01 E8 ?? ?? ?? ?? 6A 00 8D 45 F8 50 53 8B 45 FC 50 6A F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8D 45 F8 50 6A 02 68 ?? ?? ?? ?? 6A F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 3C 6A 40 8D 85 78 FF FF FF 50 A1 ?? ?? ?? ?? 8B 40 04 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 10 20 00 00 8D 85 78 FF FF FF 50 8D 85 78 F7 FF FF 50 6A 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_69276_0 {
	meta:
		name = "Abort"
		size = 31
		refs = "0008 SOperationAborted 000f _DV_EAbort 0014 Exception.CreateRes 0019 @RaiseExcept"
	strings:
		$1 = { 55 8B EC FF 75 04 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_69279_0 {
	meta:
		name = "Exception.CreateFmt"
		size = 128
		refs = "0010 @ClassCreate 001e Exception.CreateFmt 0035 Format 0040 @UStrAsg 0055 @UStrClr 005b @HandleFinally 0068 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 55 0C 8B 4D 08 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69280_0 {
	meta:
		name = "Exception.CreateRes"
		size = 119
		refs = "0010 @ClassCreate 001e Exception.CreateRes 002e LoadStr 0039 @UStrAsg 004e @UStrClr 0054 @HandleFinally 0061 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69281_0 {
	meta:
		name = "Exception.CreateRes"
		size = 58
		refs = "000b @ClassCreate 001b LoadResString 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 57 04 8B C6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69282_0 {
	meta:
		name = "Exception.CreateResFmt"
		size = 147
		refs = "0012 @ClassCreate 0020 Exception.CreateResFmt 0034 LoadStr 0042 Format 004d @UStrAsg 0067 @UStrArrayClr 006d @HandleFinally 007a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 0C 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69283_0 {
	meta:
		name = "Exception.CreateResFmt"
		size = 147
		refs = "0012 @ClassCreate 0020 Exception.CreateResFmt 0034 LoadResString 0042 Format 004d @UStrAsg 0067 @UStrArrayClr 006d @HandleFinally 007a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 0C 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69284_0 {
	meta:
		name = "Exception.CreateHelp"
		size = 70
		refs = "000e @ClassCreate 001e @UStrAsg 002f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8B 45 08 89 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_69285_0 {
	meta:
		name = "Exception.CreateFmtHelp"
		size = 134
		refs = "0010 @ClassCreate 001e Exception.CreateFmtHelp 0035 Format 0040 @UStrAsg 005b @UStrClr 0061 @HandleFinally 006e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 55 10 8B 4D 0C 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 E8 ?? ?? ?? ?? 8B 45 08 89 47 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_69286_0 {
	meta:
		name = "Exception.CreateResHelp"
		size = 127
		refs = "0010 @ClassCreate 001e Exception.CreateResHelp 002e LoadStr 0039 @UStrAsg 0054 @UStrClr 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 E8 ?? ?? ?? ?? 8B 45 08 89 47 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_69287_0 {
	meta:
		name = "Exception.CreateResHelp"
		size = 70
		refs = "000e @ClassCreate 001e LoadResString 002f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 57 04 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_69288_0 {
	meta:
		name = "Exception.CreateResFmtHelp"
		size = 153
		refs = "0012 @ClassCreate 0020 Exception.CreateResFmtHelp 0034 LoadStr 0042 Format 004d @UStrAsg 006d @UStrArrayClr 0073 @HandleFinally 0080 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 10 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 E8 ?? ?? ?? ?? 8B 45 08 89 47 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_69289_0 {
	meta:
		name = "Exception.CreateResFmtHelp"
		size = 153
		refs = "0012 @ClassCreate 0020 Exception.CreateResFmtHelp 0034 LoadResString 0042 Format 004d @UStrAsg 006d @UStrArrayClr 0073 @HandleFinally 0080 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 10 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 FC 8D 47 04 E8 ?? ?? ?? ?? 8B 45 08 89 47 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_69290_0 {
	meta:
		name = "Exception.Destroy"
		size = 67
		refs = "0003 @BeforeDestruction 000f FreeAndNil 0015 Exception.CleanUpStackInfoProc 0031 TObject.Destroy 003c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 09 8B 46 10 FF 15 ?? ?? ?? ?? 33 C0 89 46 10 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69291_0 {
	meta:
		name = "Exception.GetBaseException"
		size = 12
	strings:
		$1 = { EB 02 8B C2 8B 50 0C 85 D2 75 F7 C3 }
	condition:
		$1
}

rule function_69292_0 {
	meta:
		name = "Exception.GetStackTrace"
		size = 39
		refs = "0008 Exception.GetStackInfoStringProc 0020 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 3D ?? ?? ?? ?? 00 74 0E 8B D6 8B 43 10 FF 15 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69293_0 {
	meta:
		name = "Exception.RaiseOuterException"
		size = 18
		refs = "0004 @RaiseExcept"
		altNames = "Exception.ThrowOuterException"
	strings:
		$1 = { 85 C0 0F 84 ?? ?? ?? ?? C6 40 14 01 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69295_0 {
	meta:
		name = "Exception.RaisingException"
		size = 42
		refs = "0009 Exception.SetInnerException 000f Exception.GetExceptionStackInfoProc 0023 Exception.SetStackInfo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 11 8B C6 FF 15 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69296_0 {
	meta:
		name = "Exception.SetInnerException"
		size = 39
		refs = "000a ExceptObject 0010 _DV_Exception 0015 @IsClass 001e AcquireExceptionObject"
	strings:
		$1 = { 53 8B D8 80 7B 14 00 74 1C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 E8 ?? ?? ?? ?? 89 43 0C 5B C3 }
	condition:
		$1
}

rule function_69298_0 {
	meta:
		name = "Exception.ToString"
		size = 88
		refs = "0009 @UStrClr 0019 Exception.ToString 0028 @UStrCatN 0034 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 2E 83 3E 00 74 18 FF 36 68 ?? ?? ?? ?? FF 73 04 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 04 E8 ?? ?? ?? ?? 8B 5B 0C 85 DB 75 D2 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_69299_0 {
	meta:
		name = "EHeapException.FreeInstance"
		size = 12
		refs = "0007 TObject.FreeInstance"
	strings:
		$1 = { 80 78 18 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69301_0 {
	meta:
		name = "CreateInOutError"
		size = 94
		refs = "0008 IOResult 0019 ErrorMap 002e _DV_EInOutError 0033 Exception.Create 0046 SInOutError 0052 Exception.CreateResFmt"
	strings:
		$1 = { 53 56 83 C4 F8 33 DB E8 ?? ?? ?? ?? 8B F0 EB 01 43 83 FB 06 7F 09 3B 34 DD ?? ?? ?? ?? 75 F1 83 FB 06 7F 15 8B 0C DD ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1D 89 34 24 C6 44 24 04 00 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 70 18 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_69302_0 {
	meta:
		name = "ErrorHandler"
		size = 107
		refs = "0017 OutOfMemory 001f InvalidPointer 002a ExceptMap 0037 ExceptTypes 0045 Exception.Create 004e CreateInOutError 005c @RaiseExcept"
	strings:
		$1 = { 53 8B DA 8B D0 FE CA 74 0C FE CA 74 10 4A 80 EA 19 72 12 EB 38 8B 15 ?? ?? ?? ?? EB 37 8B 15 ?? ?? ?? ?? EB 2F 0F B6 C0 8B 15 ?? ?? ?? ?? 8D 44 C2 E8 0F B6 10 8B 0D ?? ?? ?? ?? 8B 14 91 8B 48 04 B0 01 92 E8 ?? ?? ?? ?? 8B D0 EB 07 E8 ?? ?? ?? ?? 8B D0 85 DB 74 0A 53 8B C2 E9 ?? ?? ?? ?? 5B C3 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69303_0 {
	meta:
		name = "AssertErrorHandler"
		size = 231
		refs = "001e AssertErrorHandler 004e SAssertError 0053 LoadResString 005d _DV_EAssertionFailed 0062 Exception.CreateFmt 0067 @RaiseExcept 0074 SAssertionFailed 00d2 @UStrArrayClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D E0 89 5D DC 89 5D E4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 41 FF 75 08 89 5D E8 C6 45 EC 11 89 75 F0 C6 45 F4 11 89 7D F8 C6 45 FC 00 8D 45 E8 50 6A 02 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? EB 4F FF 75 08 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 89 45 E8 C6 45 EC 11 89 75 F0 C6 45 F4 11 89 7D F8 C6 45 FC 00 8D 45 E8 50 6A 02 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_69305_0 {
	meta:
		name = "MapException"
		size = 127
	strings:
		$1 = { 8B 00 3D 92 00 00 C0 7F 2C 74 59 3D 8E 00 00 C0 7F 15 74 53 2D 05 00 00 C0 74 55 2D 87 00 00 00 74 3C 48 74 48 EB 55 05 71 FF FF 3F 83 E8 02 72 33 74 37 EB 47 3D 96 00 00 C0 7F 11 74 35 2D 93 00 00 C0 74 28 48 74 13 48 74 16 EB 2F 2D FD 00 00 C0 74 25 83 E8 3D 74 1D EB 21 B0 03 C3 B0 04 C3 B0 05 C3 B0 06 C3 B0 07 C3 B0 08 C3 B0 09 C3 B0 0B C3 B0 0C C3 B0 0D C3 B0 0E C3 B0 16 C3 }
	condition:
		$1
}

rule function_69306_0 {
	meta:
		name = "GetExceptionClass"
		size = 35
		refs = "0006 MapException 000f ExceptMap 001a ExceptTypes"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 C0 8B 15 ?? ?? ?? ?? 0F B6 44 C2 E8 8B 15 ?? ?? ?? ?? 8B 04 82 5B C3 }
	condition:
		$1
}

rule function_69307_0 {
	meta:
		name = "CreateAVObject"
		size = 458
		refs = "002c CreateAVObject 0046 SReadAccess 004b LoadResString 0055 SWriteAccess 006c VirtualQuery 008e GetModuleFileName 00bc @UStrFromWArray 00cd ExtractFileName 0111 SModuleAccessViolation 0123 _DV_EAccessViolation 0128 Exception.CreateFmt 016d SAccessViolationArg3 019e @UStrClr 01ae @UStrArrayClr 01bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 8C FD FF FF 53 56 33 C0 89 85 8C FD FF FF 89 85 B0 FD FF FF 89 85 A8 FD FF FF 89 85 AC FD FF FF 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 58 FC 83 7B 14 00 75 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 18 6A 1C 8D 45 E0 50 8B 43 0C 50 E8 ?? ?? ?? ?? 81 7D F0 00 10 00 00 0F 85 B3 00 00 00 68 05 01 00 00 8D 85 D6 FD FF FF 50 8B 45 E4 50 E8 ?? ?? ?? ?? 85 C0 0F 84 96 00 00 00 8B 43 0C 89 85 B4 FD FF FF C6 85 B8 FD FF FF 05 8D 85 AC FD FF FF 8D 95 D6 FD FF FF B9 05 01 00 00 E8 ?? ?? ?? ?? 8B 85 AC FD FF FF 8D 95 B0 FD FF FF E8 ?? ?? ?? ?? 8B 85 B0 FD FF FF 89 85 BC FD FF FF C6 85 C0 FD FF FF 11 8B 45 FC 89 85 C4 FD FF FF C6 85 C8 FD FF FF 11 89 B5 CC FD FF FF C6 85 D0 FD FF FF 05 8D 85 B4 FD FF FF 50 6A 03 8D 95 A8 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D A8 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 5A 8B 43 0C 89 85 90 FD FF FF C6 85 94 FD FF FF 05 8B 45 FC 89 85 98 FD FF FF C6 85 9C FD FF FF 11 89 B5 A0 FD FF FF C6 85 A4 FD FF FF 05 8D 85 90 FD FF FF 50 6A 02 8D 95 8C FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 8C FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 8C FD FF FF E8 ?? ?? ?? ?? 8D 85 A8 FD FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69308_0 {
	meta:
		name = "GetExceptionObject"
		size = 222
		refs = "0013 GetExceptionObject 0021 MapException 003c ExceptMap 0049 ExceptTypes 0057 Exception.Create 0061 CreateAVObject 0080 SExternalException 0085 LoadResString 008f _DV_EExternalException 0094 Exception.CreateFmt 009e _DV_EExternal 00a3 @IsClass 00cb @UStrClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 0F B6 C0 8B D0 83 C2 FD 83 EA 08 72 08 74 2B 4A 83 EA 0A 73 30 8B 15 ?? ?? ?? ?? 8D 44 C2 E8 0F B6 10 8B 0D ?? ?? ?? ?? 8B 14 91 8B 48 04 B0 01 92 E8 ?? ?? ?? ?? 8B D8 EB 3B 55 E8 ?? ?? ?? ?? 59 8B D8 EB 30 8B 45 FC 8B 00 89 45 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 45 FC 89 43 18 8B 55 FC 8B C3 8B 08 FF 11 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69309_0 {
	meta:
		name = "RaiseExceptObject"
		size = 35
		refs = "000b _DV_Exception 0010 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 18 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B D3 8B C6 8B 08 FF 11 5E 5B C3 }
	condition:
		$1
}

rule function_69310_0 {
	meta:
		name = "ExceptHandler"
		size = 16
		refs = "0001 ShowException 000b @Halt"
	strings:
		$1 = { E8 ?? ?? ?? ?? B8 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69311_0 {
	meta:
		name = "InitExceptions"
		size = 141
		refs = "0002 SOutOfMemory 0009 _DV_EOutOfMemory 000e Exception.CreateRes 0013 OutOfMemory 0019 SInvalidPointer 0020 _DV_EInvalidPointer 002a InvalidPointer 002f ErrorProc 0035 ErrorHandler 003a ExceptProc 0040 ExceptHandler 0045 ExceptionClass 004b _DV_Exception 0052 ExceptClsProc 0058 GetExceptionClass 005d ExceptObjProc 0063 GetExceptionObject 0068 RaiseExceptObjProc 006e RaiseExceptObject 0073 AssertErrorHandler 0079 AssertErrorProc 0080 AbstractErrorHandler 0086 AbstractErrorProc"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 C3 }
	condition:
		$1
}

rule function_69312_0 {
	meta:
		name = "DoneExceptions"
		size = 125
		refs = "0002 OutOfMemory 0025 InvalidPointer 003b TObject.Free 0047 ErrorProc 0050 ExceptProc 0059 ExceptionClass 0062 ExceptClsProc 006b ExceptObjProc 0074 AssertErrorProc"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 1A A1 ?? ?? ?? ?? C6 40 18 01 A1 ?? ?? ?? ?? 8B 10 FF 52 F8 33 C0 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1A A1 ?? ?? ?? ?? C6 40 18 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 C3 }
	condition:
		$1
}

rule function_69315_0 {
	meta:
		name = "NewSyncWaitObj"
		size = 14
		refs = "0009 CreateEvent"
	strings:
		$1 = { 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69319_0 {
	meta:
		name = "WaitForSyncWaitObj"
		size = 8
		refs = "0003 WaitForSingleObject"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_107764_0 {
	meta:
		name = "CompareFileTime"
		size = 8
		refs = "0003 CompareFileTime"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_101046_0 {
	meta:
		name = "D3DXVec2Normalize"
		size = 8
		refs = "0003 D3DXVec2Normalize"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106646_0 {
	meta:
		name = "DAD_DragEnterEx"
		size = 8
		refs = "0003 DAD_DragEnterEx"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_107914_0 {
	meta:
		name = "FileTimeToLocalFileTime"
		size = 8
		refs = "0003 FileTimeToLocalFileTime"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_107916_0 {
	meta:
		name = "FileTimeToSystemTime"
		size = 8
		refs = "0003 FileTimeToSystemTime"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_109382_0 {
	meta:
		name = "GetClassLong"
		size = 8
		refs = "0003 GetClassLongPtr"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_109383_0 {
	meta:
		name = "GetClassLongA"
		size = 8
		refs = "0003 GetClassLongPtr"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_109384_0 {
	meta:
		name = "GetClassLongW"
		size = 8
		refs = "0003 GetClassLongPtr"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_109516_0 {
	meta:
		name = "GetWindowLong"
		size = 8
		refs = "0003 GetWindowLongPtr"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_109517_0 {
	meta:
		name = "GetWindowLongA"
		size = 8
		refs = "0003 GetWindowLongPtr"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_109518_0 {
	meta:
		name = "GetWindowLongW"
		size = 8
		refs = "0003 GetWindowLongPtr"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_108307_0 {
	meta:
		name = "LocalFileTimeToFileTime"
		size = 8
		refs = "0003 LocalFileTimeToFileTime"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_108434_0 {
	meta:
		name = "SetConsoleCursorInfo"
		size = 8
		refs = "0003 SetConsoleCursorInfo"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106944_0 {
	meta:
		name = "StrCatA"
		size = 8
		refs = "0003 lstrcatA"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106947_0 {
	meta:
		name = "StrCmpA"
		size = 8
		refs = "0003 lstrcmpA"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106950_0 {
	meta:
		name = "StrCmpIA"
		size = 8
		refs = "0003 lstrcmpiA"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106953_0 {
	meta:
		name = "StrCpyA"
		size = 8
		refs = "0003 lstrcpyA"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91561_0 {
	meta:
		name = "TeeGetDeviceCaps"
		size = 8
		refs = "0003 GetDeviceCaps"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69320_0 {
	meta:
		name = "Push"
		size = 30
		refs = "0012 InterlockedCompareExchangePointer"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 1E 89 1F 8B C6 8B CB 8B D7 E8 ?? ?? ?? ?? 3B D8 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69321_0 {
	meta:
		name = "Pop"
		size = 30
		refs = "0011 InterlockedCompareExchangePointer"
	strings:
		$1 = { 53 56 8B F0 8B 1E 85 DB 74 0F 8B 13 8B C6 8B CB E8 ?? ?? ?? ?? 3B D8 75 EB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_69322_0 {
	meta:
		name = "NewSyncObj"
		size = 104
		refs = "000b SyncEventCache 001e InterlockedCompareExchange 0035 CreateEvent 005e ResetEvent"
	strings:
		$1 = { 53 56 57 33 FF BE 20 00 00 00 BB ?? ?? ?? ?? 83 3B 00 75 2D 8B C3 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 1B 83 7B 04 00 75 10 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 89 43 04 8B 7B 04 EB 21 83 C3 08 4E 75 C8 85 FF 75 0F 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F8 8B C7 50 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69323_0 {
	meta:
		name = "FreeSyncObj"
		size = 38
		refs = "0006 SyncEventCache 0014 InterlockedExchange 0021 CloseHandle"
	strings:
		$1 = { B9 20 00 00 00 BA ?? ?? ?? ?? 3B 02 75 0B 8D 42 FC 33 D2 E8 ?? ?? ?? ?? C3 83 C2 08 49 75 EB 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69324_0 {
	meta:
		name = "NewWaitObj"
		size = 63
		refs = "0002 EventCache 0007 Pop 0018 EventItemHolders 001e Push 002d CreateEvent 0037 ResetEvent"
	strings:
		$1 = { 53 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 15 8B 58 04 33 D2 89 50 04 BA ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? EB 0F 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 8B D8 8B C3 50 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_69325_0 {
	meta:
		name = "FreeWaitObj"
		size = 43
		refs = "0004 EventItemHolders 0009 Pop 0017 @GetMem 001f EventCache 0025 Push"
	strings:
		$1 = { 53 8B D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0A B8 08 00 00 00 E8 ?? ?? ?? ?? 89 58 04 BA ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69326_0 {
	meta:
		name = "WaitOrSignalObj"
		size = 49
		refs = "000d SetEvent 0020 WaitForSyncWaitObj"
	strings:
		$1 = { 53 85 C0 74 0E 85 D2 75 0A 33 DB 50 E8 ?? ?? ?? ?? EB 1A 85 D2 74 11 85 C0 75 0D 8B C2 8B D1 E8 ?? ?? ?? ?? 8B D8 EB 05 BB 01 00 00 00 8B C3 5B C3 }
	condition:
		$1
}

rule function_69328_0 {
	meta:
		name = "CleanStack"
		size = 50
		refs = "0018 CloseHandle 0024 @FreeMem"
	strings:
		$1 = { 53 56 57 8B F0 8B DE 85 DB 74 23 8B 33 83 7B 04 00 74 09 8B 7B 04 57 E8 ?? ?? ?? ?? BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B DE 85 DB 75 DD 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69329_0 {
	meta:
		name = "CleanEventList"
		size = 47
		refs = "0015 InterlockedCompareExchange 0022 CloseHandle"
	strings:
		$1 = { 53 56 8B F2 85 F6 7C 24 46 8B D8 8B C3 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 EE 8B 43 04 50 E8 ?? ?? ?? ?? 83 C3 08 4E 75 DF 5E 5B C3 }
	condition:
		$1
}

rule function_69330_0 {
	meta:
		name = "DoneMonitorSupport"
		size = 50
		refs = "0001 EventCache 0008 InterlockedExchangePointer 000d CleanStack 0012 EventItemHolders 0023 SyncEventCache 002d CleanEventList"
	strings:
		$1 = { B8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA 1F 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69331_0 {
	meta:
		name = "InitPlatformId"
		size = 110
		refs = "000f GetVersionEx 001c Win32Platform 0025 Win32MajorVersion 002e Win32MinorVersion 0045 Win32BuildNumber 0055 Win32CSDVersion 0063 @UStrFromWArray"
	strings:
		$1 = { 81 C4 EC FE FF FF C7 04 24 14 01 00 00 54 E8 ?? ?? ?? ?? 85 C0 74 50 8B 44 24 10 A3 ?? ?? ?? ?? 8B 44 24 04 A3 ?? ?? ?? ?? 8B 44 24 08 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 01 75 10 8B 44 24 0C 25 FF FF 00 00 A3 ?? ?? ?? ?? EB 09 8B 44 24 0C A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8D 54 24 14 B9 80 00 00 00 E8 ?? ?? ?? ?? 81 C4 14 01 00 00 C3 }
	condition:
		$1
}

rule function_69332_0 {
	meta:
		name = "CheckWin32Version"
		size = 30
		refs = "0002 Win32MajorVersion 0012 Win32MinorVersion"
	strings:
		$1 = { 3B 05 ?? ?? ?? ?? 7C 13 3B 05 ?? ?? ?? ?? 75 08 3B 15 ?? ?? ?? ?? 7E 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_69663_0 {
	meta:
		name = "TOSVersion.Check"
		size = 30
		refs = "0002 TOSVersion.FMajor 0012 TOSVersion.FMinor"
	strings:
		$1 = { 3B 05 ?? ?? ?? ?? 7C 13 3B 05 ?? ?? ?? ?? 75 08 3B 15 ?? ?? ?? ?? 7E 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_69333_0 {
	meta:
		name = "GetFileVersion"
		size = 236
		refs = "0012 GetFileVersion 0029 @UStrLAsg 0031 UniqueString 003d @UStrToPWChar 0043 GetFileVersionInfoSize 0050 @GetMem 0078 GetFileVersionInfo 0092 VerQueryValue 00b4 @FreeMem 00ba @HandleFinally 00d1 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 FF FF FF FF 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 73 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 50 53 8B 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 23 8D 45 E8 50 8D 45 EC 50 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 85 C0 74 09 8B 45 EC 8B 40 08 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 8B E5 5D C3 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_69335_0 {
	meta:
		name = "ByteTypeTest"
		size = 115
		refs = "0021 LeadBytes 003a IsLeadChar"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 33 DB 85 F6 74 5E 80 3C 3E 00 74 58 85 FF 75 13 0F B6 06 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 45 B3 01 EB 41 8B EF 4D EB 01 4D 85 ED 7C 0D 0F B6 04 2E E8 ?? ?? ?? ?? 84 C0 75 EE 8B C7 2B C5 25 01 00 00 80 79 05 48 83 C8 FE 40 85 C0 75 04 B3 02 EB 12 0F B6 04 3E 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 02 B3 01 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69336_0 {
	meta:
		name = "ByteType"
		size = 35
		refs = "000a SysLocale 0014 @LStrToPChar 001c ByteTypeTest"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 80 3D ?? ?? ?? ?? 00 74 0F 8B C3 E8 ?? ?? ?? ?? 8B D6 4A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69337_0 {
	meta:
		name = "ByteType"
		size = 77
	strings:
		$1 = { 56 8B F0 33 C0 85 D2 7E 12 8B CE 85 C9 74 05 83 E9 04 8B 09 3B CA 0F 9D C1 EB 02 33 C9 84 C9 74 2A 0F B7 4C 56 FE 66 81 F9 00 D8 72 1E 66 81 F9 FF DF 77 17 0F B7 44 56 FE 66 3D 00 D8 72 0A 66 3D FF DB 77 04 B0 01 EB 02 B0 02 5E C3 }
	condition:
		$1
}

rule function_69338_0 {
	meta:
		name = "StrByteType"
		size = 29
		refs = "000a SysLocale 0016 ByteTypeTest"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 80 3D ?? ?? ?? ?? 00 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69339_0 {
	meta:
		name = "StrByteType"
		size = 51
	strings:
		$1 = { 56 33 C9 0F B7 74 50 FE 66 81 FE 00 D8 72 20 66 81 FE FF DF 77 19 0F B7 4C 50 FE 66 81 F9 00 D8 72 0B 66 81 F9 FF DB 77 04 B1 01 EB 02 B1 02 8B C1 5E C3 }
	condition:
		$1
}

rule function_69340_0 {
	meta:
		name = "ElementToCharLen"
		size = 42
		refs = "0023 ByteToCharIndex"
	strings:
		$1 = { 53 51 89 04 24 8B 1C 24 8B CB 85 C9 74 05 83 E9 04 8B 09 3B D1 7E 0B 8B D3 85 D2 74 05 83 EA 04 8B 12 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_69341_0 {
	meta:
		name = "ElementToCharLen"
		size = 36
		refs = "001e ByteToCharIndex"
	strings:
		$1 = { 53 8B D8 8B CB 85 C9 74 05 83 E9 04 8B 09 3B D1 7E 0B 8B D3 85 D2 74 05 83 EA 04 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69344_0 {
	meta:
		name = "ElementToCharIndex"
		size = 109
		refs = "002f SysLocale 004c LeadBytes 0057 NextCharIndex"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 33 F6 85 ED 7F 04 B0 01 EB 14 89 3C 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 3B C5 0F 9C C0 84 C0 75 3A 8B F5 80 3D ?? ?? ?? ?? 00 74 2F BB 01 00 00 00 33 F6 3B EB 7C 24 0F B6 44 1F FF 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 0D 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D8 EB 01 43 46 3B EB 7D DC 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69345_0 {
	meta:
		name = "ElementToCharIndex"
		size = 100
		refs = "004b NextCharIndex"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F0 33 C0 89 04 24 85 ED 7F 04 B0 01 EB 10 8B C6 85 C0 74 05 83 E8 04 8B 00 3B C5 0F 9C C0 84 C0 75 31 BB 01 00 00 00 3B EB 7C 28 0F B7 7C 5E FE 66 81 FF 00 D8 72 14 66 81 FF FF DF 77 0D 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 01 43 FF 04 24 3B EB 7D D8 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69348_0 {
	meta:
		name = "CountChars"
		size = 149
		refs = "003d LeadBytes 0048 NextCharIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 55 FC 8B F8 89 7D F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 03 C0 89 45 F4 BE 01 00 00 00 BB 01 00 00 00 EB 20 46 0F B6 44 1F FF 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 0D 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D8 EB 01 43 3B 5D F4 7D 05 3B 75 FC 7C D6 3B 75 FC 75 22 3B 5D F4 7D 1D 0F B6 44 1F FF 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 0C 8B D3 8B C7 E8 ?? ?? ?? ?? 48 8B D8 8B 45 F8 89 30 8B 45 08 89 18 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_69349_0 {
	meta:
		name = "CountChars"
		size = 138
		refs = "0070 NextCharIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F8 8B C7 85 C0 74 05 83 E8 04 8B 00 BE 01 00 00 00 BB 01 00 00 00 EB 20 46 0F B7 54 5F FE 66 81 FA 00 D8 72 12 66 81 FA FF DF 77 0B 83 C3 02 3B C3 7D 05 4E 4B EB 01 43 3B C3 7E 05 3B 75 FC 7C D7 3B 75 FC 75 21 3B C3 7E 1D 0F B7 44 5F FE 66 3D 00 D8 72 12 66 3D FF DF 77 0C 8B D3 8B C7 E8 ?? ?? ?? ?? 48 8B D8 8B 45 F8 89 30 8B 45 08 89 18 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_69350_0 {
	meta:
		name = "CharToElementIndex"
		size = 142
		refs = "0038 SysLocale 004c CountChars"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B DA 8B F0 33 C0 89 04 24 85 DB 7F 04 B0 01 EB 16 89 74 24 08 8B 44 24 08 85 C0 74 05 83 E8 04 8B 00 3B C3 0F 9C C0 84 C0 75 53 83 FB 01 7E 4B 80 3D ?? ?? ?? ?? 00 74 42 54 8D 4C 24 08 8B FB 4F 8B D7 8B C6 E8 ?? ?? ?? ?? 3B 7C 24 04 7E 04 B0 01 EB 17 89 74 24 08 8B 44 24 08 85 C0 74 05 83 E8 04 8B 00 3B 04 24 0F 9E C0 84 C0 74 07 33 C0 89 04 24 EB 08 FF 04 24 EB 03 89 1C 24 8B 04 24 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69351_0 {
	meta:
		name = "CharToElementIndex"
		size = 113
		refs = "0038 CountChars"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B DA 8B F0 33 C0 89 04 24 85 DB 7F 04 B0 01 EB 10 8B C6 85 C0 74 05 83 E8 04 8B 00 3B C3 0F 9C C0 84 C0 75 3D 54 8D 4C 24 08 8B FB 4F 8B D7 8B C6 E8 ?? ?? ?? ?? 3B 7C 24 04 7E 04 B0 01 EB 11 8B C6 85 C0 74 05 83 E8 04 8B 00 3B 04 24 0F 9E C0 84 C0 74 07 33 C0 89 04 24 EB 06 4B 7E 03 FF 04 24 8B 04 24 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69354_0 {
	meta:
		name = "CharToElementLen"
		size = 117
		refs = "0036 SysLocale 0045 CountChars"
	strings:
		$1 = { 53 56 83 C4 F4 8B D8 33 C0 89 04 24 85 D2 7E 5C 89 5C 24 08 8B 74 24 08 8B C6 85 C0 74 05 83 E8 04 8B 00 3B C2 7D 0D 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D0 80 3D ?? ?? ?? ?? 00 74 2C 54 8D 4C 24 08 8B C3 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 3B 04 24 7D 13 8B C6 85 C0 74 05 83 E8 04 8B 00 89 04 24 EB 03 89 14 24 8B 04 24 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_69355_0 {
	meta:
		name = "CharToElementLen"
		size = 100
		refs = "0036 CountChars"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 33 C0 89 04 24 85 D2 7E 4C 8B F3 8B C6 85 C0 74 05 83 E8 04 8B 00 3B C2 7D 0D 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D0 54 8D 4C 24 08 8B C3 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 03 C0 3B 04 24 7D 10 8B C6 85 C0 74 05 83 E8 04 8B 00 03 C0 89 04 24 8B 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_69358_0 {
	meta:
		name = "StrCharLength"
		size = 34
		refs = "0005 SysLocale 0013 CharNextA"
	strings:
		$1 = { 53 8B D8 80 3D ?? ?? ?? ?? 00 74 0F 80 3B 00 74 0A 53 E8 ?? ?? ?? ?? 2B C3 5B C3 B8 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_69359_0 {
	meta:
		name = "StrCharLength"
		size = 45
	strings:
		$1 = { 0F B7 10 66 81 FA 00 D8 72 1D 66 81 FA FF DB 77 16 66 81 78 02 00 DC 72 0E 66 81 78 02 FF DF 77 06 B8 04 00 00 00 C3 B8 02 00 00 00 C3 }
	condition:
		$1
}

rule function_69361_0 {
	meta:
		name = "StrNextChar"
		size = 46
	strings:
		$1 = { 0F B7 10 66 81 FA 00 D8 72 1B 66 81 FA FF DB 77 14 66 81 78 02 00 DC 72 0C 66 81 78 02 FF DF 77 04 83 C0 04 C3 66 85 D2 74 03 83 C0 02 C3 }
	condition:
		$1
}

rule function_69362_0 {
	meta:
		name = "CharLength"
		size = 56
		refs = "001f @UStrToPWChar 002d StrCharLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 02 00 00 00 0F B7 44 73 FE 66 3D 00 D8 72 1D 66 3D FF DF 77 17 8B C3 E8 ?? ?? ?? ?? 8B D6 03 D2 03 C2 83 E8 02 E8 ?? ?? ?? ?? 8B D0 8B C2 5E 5B C3 }
	condition:
		$1
}

rule function_69363_0 {
	meta:
		name = "CharLength"
		size = 46
		refs = "0016 LeadBytes 001f @LStrToPChar 0027 StrCharLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 01 00 00 00 0F B6 54 33 FF 0F B6 D2 0F A3 15 ?? ?? ?? ?? 73 0F 8B C3 E8 ?? ?? ?? ?? 03 C6 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69364_0 {
	meta:
		name = "NextCharIndex"
		size = 63
		refs = "001d @UStrToPWChar 002b StrCharLength"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 53 01 0F B7 44 5E FE 66 3D 00 D8 72 26 66 3D FF DF 77 20 8B C6 E8 ?? ?? ?? ?? 8B D3 03 D2 03 C2 83 E8 02 E8 ?? ?? ?? ?? 8B D0 D1 FA 79 03 83 D2 00 03 D3 8B C2 5E 5B C3 }
	condition:
		$1
}

rule function_69365_0 {
	meta:
		name = "NextCharIndex"
		size = 46
		refs = "0014 LeadBytes 001d @LStrToPChar 0025 StrCharLength"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 43 01 0F B6 54 1E FF 0F B6 D2 0F A3 15 ?? ?? ?? ?? 73 11 8B C6 E8 ?? ?? ?? ?? 03 C3 48 E8 ?? ?? ?? ?? 03 C3 5E 5B C3 }
	condition:
		$1
}

rule function_69366_0 {
	meta:
		name = "IsPathDelimiter"
		size = 73
		refs = "0038 ByteType"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 7E 12 8B C6 85 C0 74 05 83 E8 04 8B 00 3B C3 0F 9D C0 EB 02 33 C0 84 C0 74 0B 66 83 7C 5E FE 5C 0F 94 C0 EB 02 33 C0 84 C0 74 11 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 94 C0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_69367_0 {
	meta:
		name = "IsDelimiter"
		size = 91
		refs = "0031 ByteType 0041 @UStrToPWChar 004b StrScan"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B E8 33 DB 85 FF 7F 04 B0 01 EB 10 8B C6 85 C0 74 05 83 E8 04 8B 00 3B C7 0F 9C C0 84 C0 74 04 B0 01 EB 0E 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 95 C0 84 C0 75 16 8B C5 E8 ?? ?? ?? ?? 0F B7 54 7E FE E8 ?? ?? ?? ?? 85 C0 0F 95 C3 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69369_0 {
	meta:
		name = "IncludeTrailingPathDelimiter"
		size = 80
		refs = "000c @UStrAsg 0026 IsPathDelimiter 0031 IncludeTrailingPathDelimiter 0036 @UStrCat"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 03 89 04 24 8B 34 24 85 F6 74 05 83 EE 04 8B 36 8B 03 8B D6 E8 ?? ?? ?? ?? 84 C0 75 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_69371_0 {
	meta:
		name = "ExcludeTrailingPathDelimiter"
		size = 77
		refs = "000c @UStrAsg 0026 IsPathDelimiter 0045 @UStrSetLength"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 03 89 04 24 8B 34 24 85 F6 74 05 83 EE 04 8B 36 8B 03 8B D6 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 03 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_69372_0 {
	meta:
		name = "AnsiPos"
		size = 95
		refs = "0028 @UStrToPWChar 0038 StrPosLen"
	strings:
		$1 = { 53 56 57 55 51 8B FA 8B E8 33 C0 89 04 24 8B DF 85 DB 74 05 83 EB 04 8B 1B 8B F5 85 F6 74 05 83 EE 04 8B 36 56 8B C5 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 8B CB 5A E8 ?? ?? ?? ?? 8B D8 85 DB 74 14 8B C7 E8 ?? ?? ?? ?? 2B D8 D1 FB 79 03 83 D3 00 43 89 1C 24 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69373_0 {
	meta:
		name = "IsVolumeCaseSensitive"
		size = 168
		refs = "0011 @UStrAddRef 0019 IsVolumeCaseSensitive 002d GetCurrentDir 003a ExcludeTrailingPathDelimiter 0045 ExtractFilePath 0050 @UStrLAsg 0060 DirectoryExists 0072 FileSystemAttributes 0095 @UStrArrayClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 2B 8D 45 FC E8 ?? ?? ?? ?? EB 21 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 0E B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 CB 83 7D FC 00 74 0F 8B 45 FC E8 ?? ?? ?? ?? A8 01 0F 95 C3 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69374_0 {
	meta:
		name = "AnsiCompareFileName"
		size = 198
		refs = "0015 AnsiCompareFileName 0029 ExtractFilePath 0031 IsVolumeCaseSensitive 0055 @UStrLAsg 006b AnsiLowerCase 0096 CompareStr 00b2 @UStrArrayClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 C9 74 58 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 16 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 16 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? EB 2A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? EB 14 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69375_0 {
	meta:
		name = "SameFileName"
		size = 25
		refs = "000d AnsiCompareFileName"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_69378_0 {
	meta:
		name = "TextPos"
		size = 138
		refs = "0014 StrNew 0019 StrLower 0024 TextPos 0044 StrPos 006d StrDispose 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F2 8B D8 33 C0 89 45 F4 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 0B 8B 45 FC 2B 45 F8 03 C3 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69380_0 {
	meta:
		name = "AnsiStrPos"
		size = 159
		refs = "0027 @PCharLen 003c StrPos 004b StrByteType 0066 CompareStringA"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B EA 8B F0 33 DB 85 F6 0F 84 81 00 00 00 80 3E 00 74 7C 85 ED 74 78 80 7D 00 00 74 72 8B C6 E8 ?? ?? ?? ?? 89 04 24 8B C5 E8 ?? ?? ?? ?? 8B F8 8B D5 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 3F 8B D3 2B D6 8B C6 E8 ?? ?? ?? ?? 88 44 24 04 80 7C 24 04 02 74 15 57 55 57 53 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 F8 02 74 27 80 7C 24 04 01 75 01 43 43 8B D5 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0D 8B C3 2B C6 8B 14 24 2B D0 3B FA 76 B0 33 DB 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69382_0 {
	meta:
		name = "AnsiStrRScan"
		size = 52
		refs = "000c AnsiStrScan"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F0 8B FE 84 DB 74 16 85 F6 74 12 8B FE 46 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 75 EE 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69384_0 {
	meta:
		name = "AnsiStrScan"
		size = 64
		refs = "000c StrScan 001d StrByteType"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 74 24 8B D7 2B D6 8B C6 E8 ?? ?? ?? ?? 2C 01 72 15 74 02 EB 01 47 47 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F8 85 FF 75 DC 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69386_0 {
	meta:
		name = "LCIDToCodePage"
		size = 114
		refs = "0010 LCIDToCodePage 0027 GetLocaleInfo 0037 @UStrFromWArray 0040 GetACP 0048 StrToIntDef 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 07 8D 55 F2 52 68 04 10 00 00 50 E8 ?? ?? ?? ?? 8D 45 EC 8D 55 F2 B9 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 50 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69387_0 {
	meta:
		name = "InitLeadBytes"
		size = 89
		refs = "0011 GetCPInfo 0035 LeadBytes"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 08 83 C7 EC 57 6A 00 E8 ?? ?? ?? ?? 33 F6 EB 2A 0F B6 44 37 06 0F B6 5C 37 07 2A D8 72 19 43 88 45 FF 0F B6 45 FF 0F B6 C0 0F AB 05 ?? ?? ?? ?? FE 45 FF FE CB 75 EB 83 C6 02 83 FE 0C 7D 0B 0F B6 44 37 06 0A 44 37 07 75 C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69388_0 {
	meta:
		name = "InitSysLocale"
		size = 148
		refs = "000a SysLocale 0023 GetThreadLocale 0049 InitSysLocale 004e LeadBytes 0068 InitLeadBytes"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 BB ?? ?? ?? ?? C7 03 09 04 00 00 C7 43 04 09 00 00 00 C7 43 08 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 02 89 03 66 85 C0 74 16 66 BA FF 03 66 23 D0 0F B7 D2 89 53 04 0F B7 C0 C1 E8 0A 89 43 08 BE ?? ?? ?? ?? BF ?? ?? ?? ?? B9 08 00 00 00 F3 A5 C6 43 0D 01 B0 01 88 43 0C 84 C0 74 07 55 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_69389_0 {
	meta:
		name = "GetFormatSettings"
		size = 461
		refs = "0014 TFormatSettings 0019 @InitializeRecord 0021 GetFormatSettings 002c InitSysLocale 0032 SysLocale 003a GetEraNamesAndYearOffsets 0047 TFormatSettings.Create 0053 CurrencyFormat 005c NegCurrFormat 0066 ThousandSeparator 0070 DecimalSeparator 007c CurrencyDecimals 0089 DateSeparator 0096 TimeSeparator 00a3 ListSeparator 00a8 CurrencyString 00b3 @UStrAsg 00b8 ShortDateFormat 00c8 LongDateFormat 00d8 TimeAMString 00e8 TimePMString 00f8 ShortTimeFormat 0108 LongTimeFormat 0123 ShortMonthNames 012d LongMonthNames 0161 ShortDayNames 016b LongDayNames 019c TwoDigitYearCenturyWindow 01ba @FinalizeRecord 01c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 34 FF FF FF 53 56 57 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 05 E8 ?? ?? ?? ?? 8D 95 3C FF FF FF 33 C0 E8 ?? ?? ?? ?? 0F B6 85 40 FF FF FF A2 ?? ?? ?? ?? 0F B6 45 FE A2 ?? ?? ?? ?? 0F B7 45 F8 66 A3 ?? ?? ?? ?? 0F B7 45 FA 66 A3 ?? ?? ?? ?? 0F B6 85 41 FF FF FF A2 ?? ?? ?? ?? 0F B7 85 42 FF FF FF 66 A3 ?? ?? ?? ?? 0F B7 85 44 FF FF FF 66 A3 ?? ?? ?? ?? 0F B7 85 46 FF FF FF 66 A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 95 3C FF FF FF E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 95 48 FF FF FF E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 95 4C FF FF FF E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 95 50 FF FF FF E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 95 54 FF FF FF E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 95 58 FF FF FF E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 95 5C FF FF FF E8 ?? ?? ?? ?? BE 0C 00 00 00 8D 9D 60 FF FF FF BF ?? ?? ?? ?? C7 85 38 FF FF FF ?? ?? ?? ?? 8B C7 8B 13 E8 ?? ?? ?? ?? 8B 85 38 FF FF FF 8B 53 30 E8 ?? ?? ?? ?? 83 85 38 FF FF FF 04 83 C7 04 83 C3 04 4E 75 D9 BE 07 00 00 00 8D 5D C0 BF ?? ?? ?? ?? C7 85 34 FF FF FF ?? ?? ?? ?? 8B C7 8B 13 E8 ?? ?? ?? ?? 8B 85 34 FF FF FF 8B 53 1C E8 ?? ?? ?? ?? 83 85 34 FF FF FF 04 83 C7 04 83 C3 04 4E 75 D9 0F B7 45 FC 66 A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69390_0 {
	meta:
		name = "GetLocaleFormatSettings"
		size = 112
		refs = "001a GetLocaleFormatSettings 002d TFormatSettings.Create 003b TFormatSettings 0040 @CopyRecord 005e @FinalizeRecord 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 18 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 3C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 95 3C FF FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 3C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69392_0 {
	meta:
		name = "WrapText"
		size = 608
		refs = "001d WrapText 006a @UStrClr 008f CharLength 00e3 @UStrToPWChar 00ef StrLComp 0177 @UStrCopy 0182 @UStrCat 0243 @UStrArrayClr 0249 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 01 00 00 00 BB 01 00 00 00 C7 45 F0 01 00 00 00 33 C0 89 45 E4 66 C7 45 E2 00 00 C6 45 E1 00 8B C7 85 C0 74 05 83 E8 04 8B 00 89 45 EC 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 89 45 E8 8B 45 08 E8 ?? ?? ?? ?? 3B 5D EC 0F 8F 95 01 00 00 0F B7 74 5F FE 66 81 FE 00 D8 72 26 66 81 FE FF DF 77 1F 8B D3 8B C7 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 48 89 45 DC 03 5D DC 8B 45 DC 01 45 F4 EB 7C 8B C6 66 83 E8 22 74 06 66 83 E8 05 75 19 66 83 7D E2 00 75 06 66 89 75 E2 EB 0C 66 3B 75 E2 75 06 66 C7 45 E2 00 00 66 83 7D E2 00 75 4E 8B 45 FC 66 3B 30 75 29 8B 45 FC E8 ?? ?? ?? ?? 8D 54 5F FE 8B 4D E8 E8 ?? ?? ?? ?? 85 C0 0F 94 45 E1 80 7D E1 00 74 09 8B 45 E8 48 03 D8 89 5D E4 80 7D E1 00 75 17 8B 45 F8 8B D6 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 73 03 89 5D E4 43 FF 45 F4 0F B7 45 E2 66 83 E8 22 0F 84 CC 00 00 00 66 83 E8 05 0F 84 C2 00 00 00 80 7D E1 00 75 18 8B 45 F4 3B 45 0C 0F 8E B0 00 00 00 8B 45 E4 3B 45 F0 0F 8E A4 00 00 00 C7 45 F4 01 00 00 00 8D 45 D8 50 8B 4D E4 2B 4D F0 41 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 66 83 EE 22 74 4B 66 83 EE 05 74 45 3B 5D EC 7F 40 0F B7 44 5F FE 8B 55 F8 66 3D FF 00 77 06 0F B7 C0 0F A3 02 73 07 43 C6 45 E1 00 EB 1E BA ?? ?? ?? ?? 8D 44 5F FE B9 02 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 0C 83 C3 02 C6 45 E1 01 3B 5D EC 7E C0 3B 5D EC 7F 14 80 7D E1 00 75 0E 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 FF 45 E4 8B 45 E4 89 45 F0 8B 5D F0 C6 45 E1 00 3B 5D EC 0F 8E 6B FE FF FF 8D 45 D4 50 B9 FF FF FF 7F 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_69393_0 {
	meta:
		name = "WrapText"
		size = 84
		refs = "000c WrapText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 02 00 00 01 20 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_69394_0 {
	meta:
		name = "FindCmdLineSwitch"
		size = 288
		refs = "001c FindCmdLineSwitch 0027 ParamCount 0040 ParamStr 004e @SetEq 0080 @UStrCopy 008b AnsiCompareText 00b4 AnsiCompareStr 00e0 @UStrArrayClr 00e8 @UStrClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 88 4D F7 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E 93 00 00 00 BF 01 00 00 00 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 74 14 8B 45 FC 0F B7 00 66 3D FF 00 77 06 0F B7 C0 0F A3 06 73 58 80 7D F7 00 74 29 8D 45 F0 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 75 2D B3 01 EB 33 8D 45 EC 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 75 04 B3 01 EB 0A 47 4B 0F 85 72 FF FF FF 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_69396_0 {
	meta:
		name = "FindCmdLineSwitch"
		size = 48
		refs = "0001 FindCmdLineSwitch"
	strings:
		$1 = { B9 ?? ?? ?? ?? 87 CA E8 ?? ?? ?? ?? C3 00 00 00 00 00 00 00 00 A0 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_69397_0 {
	meta:
		name = "FindCmdLineSwitch"
		size = 424
		refs = "001f FindCmdLineSwitch 0031 @UStrClr 003c SameText 0045 SameStr 0059 ParamCount 0072 ParamStr 00a9 @UStrCopy 0166 @UStrArrayClr 0174 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D E0 89 5D E4 89 5D FC 8B D9 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8B 45 F4 E8 ?? ?? ?? ?? 84 DB 74 09 C7 45 E8 ?? ?? ?? ?? EB 07 C7 45 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 89 45 EC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E E9 00 00 00 BE 01 00 00 00 8D 55 FC 8B C6 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 55 FC 0F B7 12 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 84 C0 0F 84 AF 00 00 00 8D 45 E4 50 8B 4D EC BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 8B 55 F8 FF 55 E8 84 C0 0F 84 8A 00 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 EC 42 3B C2 7E 2D F6 45 08 02 74 70 8B 5D EC 83 C3 02 8B 45 FC 66 83 7C 58 FE 3A 75 01 43 8B 45 F4 50 B9 FF FF FF 7F 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 43 F6 45 08 01 74 3D E8 ?? ?? ?? ?? 3B F0 7D 34 8D 55 E0 8D 46 01 E8 ?? ?? ?? ?? 8B 45 E0 0F B7 00 BA ?? ?? ?? ?? 66 3D FF 00 77 06 0F B7 C0 0F A3 02 0F 92 C0 84 C0 75 0B 8B 55 F4 8D 46 01 E8 ?? ?? ?? ?? C6 45 F3 01 EB 08 46 4B 0F 85 1C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F3 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 00 A0 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_69398_0 {
	meta:
		name = "HashNameMBCS"
		size = 150
		refs = "000f @PCharLen 0024 UnicodeFromLocaleChars 0037 @GetMem 0056 CharUpperW 0085 @FreeMem"
	strings:
		$1 = { 53 56 57 55 81 C4 F8 FD FF FF 8B D8 8B C3 E8 ?? ?? ?? ?? 8B E8 55 6A 00 6A 00 8B CB 33 D2 B8 E9 FD 00 00 E8 ?? ?? ?? ?? 8B F8 81 FF 04 01 00 00 76 0D 8B C7 03 C0 E8 ?? ?? ?? ?? 8B F0 EB 02 8B F4 55 56 57 8B CB 33 D2 B8 E9 FD 00 00 E8 ?? ?? ?? ?? 8B C6 50 E8 ?? ?? ?? ?? 33 DB 8B C7 48 85 C0 7C 19 40 33 D2 8B CB C1 E1 05 C1 EB 1B 0B CB 8B D9 0F B7 0C 56 33 D9 42 48 75 EA 8B C4 3B F0 74 07 8B C6 E8 ?? ?? ?? ?? 8B C3 81 C4 08 02 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69399_0 {
	meta:
		name = "HashName"
		size = 53
		refs = "0030 HashNameMBCS"
	strings:
		$1 = { 56 53 89 C6 31 C0 56 C1 C0 05 8A 1E F6 C3 80 75 1B 80 FB 00 74 12 80 FB 41 7C 08 80 FB 5A 7F 03 80 CB 20 32 C3 46 EB DF 59 5B 5E C3 58 5B 5E E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69400_0 {
	meta:
		name = "FindLibModule"
		size = 28
		refs = "0002 LibModuleList"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 85 D2 74 0D 8B 4A 04 3B C8 74 06 8B 12 85 D2 75 F3 8B C2 C3 }
	condition:
		$1
}

rule function_69401_0 {
	meta:
		name = "ModuleUnloaded"
		size = 282
		refs = "0009 LibModuleList 0049 ValidatedUnitHashBuckets 0053 UnitHashBuckets 005b @DynArrayHigh 00a2 HashName 00ff TModuleInfo 0106 @Dispose"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B 15 ?? ?? ?? ?? 8B 12 85 D2 74 0D 8B 4A 04 3B C8 74 06 8B 12 85 D2 75 F3 89 14 24 83 3C 24 00 0F 84 E5 00 00 00 8B 04 24 83 78 18 00 0F 84 D8 00 00 00 8B 04 24 8B 58 18 80 3B 00 74 0A C7 44 24 08 ?? ?? ?? ?? EB 08 C7 44 24 08 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8B E8 85 ED 0F 8C 94 00 00 00 45 33 F6 8D 3C 76 8B 43 04 83 7C F8 04 00 74 14 8B 43 04 8B 04 F8 8D 14 76 8B 4B 04 8B 54 D1 04 89 02 EB 4C 8B 43 04 83 7C F8 0C 00 74 42 8D 04 76 8B 53 04 8B 44 C2 0C E8 ?? ?? ?? ?? B9 FD 03 00 00 33 D2 F7 F1 89 54 24 04 8B 44 24 08 8B 54 24 04 8B 04 90 8B 53 04 8D 14 FA 3B C2 75 11 8B 43 04 8B 04 F8 8B 54 24 08 8B 4C 24 04 89 04 8A 8B 43 04 83 3C F8 00 74 13 8B 43 04 8B 44 F8 04 8D 14 76 8B 4B 04 8B 14 D1 89 42 04 46 4D 0F 85 6F FF FF FF 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 04 24 33 D2 89 50 18 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69402_0 {
	meta:
		name = "PackageInfoTable"
		size = 136
		refs = "0011 PackageInfoTable 0017 FindResource 0022 LoadResource 0042 LockResource 005b FreeResource 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 33 C0 89 45 FC 6A 0A 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 74 48 50 53 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 38 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC 5B 59 59 5D C3 00 50 00 41 00 43 00 4B 00 41 00 47 00 45 00 49 00 4E 00 46 00 4F 00 00 00 }
	condition:
		$1
}

rule function_69403_0 {
	meta:
		name = "GetModuleName"
		size = 48
		refs = "0018 GetModuleFileName 0023 @UStrFromPWCharLen"
	strings:
		$1 = { 53 56 81 C4 F4 FD FF FF 8B F2 8B D8 68 05 01 00 00 8D 44 24 04 50 53 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 0C 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_69404_0 {
	meta:
		name = "IsUnitPresent"
		size = 264
		refs = "0016 IsUnitPresent 0022 SysInitHC 0030 StrIComp 0045 @LStrToPChar 0097 GetModuleName 00a2 ExtractFileName 00af ChangeFileExt 00ba @UStrAsg 00e4 @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 35 ?? ?? ?? ?? 75 14 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 84 8E 00 00 00 3B 75 08 75 15 8B 45 10 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 85 C0 74 74 8B C6 B9 FD 03 00 00 33 D2 F7 F1 8B 45 14 8B 1C 90 85 DB 74 5F 8B 45 18 F6 40 FC 08 0F 95 C0 3A 43 10 75 4A 3B 73 14 75 45 8B 53 0C 8B C7 E8 ?? ?? ?? ?? 85 C0 75 37 8D 55 F0 8B 43 08 8B 40 04 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 8D 4D F8 33 D2 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 0C E8 ?? ?? ?? ?? C6 45 FF 01 EB 0A 8B 1B 85 DB 75 A1 C6 45 FF 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 53 79 73 49 6E 69 74 00 }
	condition:
		$1
}

rule function_69405_0 {
	meta:
		name = "InternalUnitCheck"
		size = 1016
		refs = "002c InternalUnitCheck 0039 PackageInfoTable 0074 LibModuleList 00c7 GetModuleName 00d2 ExtractFileName 00df ChangeFileExt 00ef @LStrFromUStr 0119 UTF8ToString 0131 @UStrToPWChar 0137 GetModuleHandle 0145 @PCharLen 0167 TModuleInfo 0171 @New 0186 ValidatedUnitHashBuckets 018f UnitHashBuckets 01a7 TArray<System.SysUtils.TUnitHashEntry> 01ac @DynArraySetLength 01bc HashName 01e6 SysInitHC 01f8 StrIComp 0231 IsUnitPresent 0275 @UStrFromLStr 02b2 SDuplicatePackageUnit 02b9 _DV_EPackageError 02be Exception.CreateResFmt 02c3 @RaiseExcept 03a7 @UStrArrayClr 03bc @LStrClr 03c4 @UStrClr 03ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 D2 89 55 A0 89 55 9C 89 55 C0 89 55 BC 89 55 CC 89 55 C8 89 55 C4 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 0F 84 47 03 00 00 8B 45 F0 8B 00 25 00 00 00 C0 3D 00 00 00 40 0F 85 32 03 00 00 8B 45 08 83 78 FC 00 75 0B 8B 45 F0 8B 00 8B 55 08 89 42 FC A1 ?? ?? ?? ?? 8B 00 85 C0 74 0D 8B 50 04 3B D3 74 06 8B 00 85 C0 75 F3 89 45 E8 83 7D E8 00 74 0D 8B 45 E8 83 78 18 00 0F 85 F0 02 00 00 8B 45 08 83 78 F8 00 74 0E 8B 45 08 8B 70 F8 8B C3 FF D6 84 C0 75 04 33 C0 EB 02 B0 01 88 45 E7 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8B 45 C4 8D 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 8D 4D CC 33 D2 E8 ?? ?? ?? ?? 8B 55 CC 8D 45 F8 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 7D F0 83 C7 08 8B 45 F0 8B 70 04 4E 85 F6 7C 4D 46 89 7D D4 8B 45 08 50 8D 4D BC 8B 45 D4 40 BA FF 00 00 00 E8 ?? ?? ?? ?? 8B 45 BC 8D 4D C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 47 01 E8 ?? ?? ?? ?? 83 C0 02 01 C7 4E 75 B4 8B C7 8B 30 83 C0 04 89 45 EC 83 7D E8 00 0F 84 2C 02 00 00 8B 15 ?? ?? ?? ?? B8 08 00 00 00 E8 ?? ?? ?? ?? 8B F8 0F B6 45 E7 88 07 80 7D E7 00 74 09 C7 45 DC ?? ?? ?? ?? EB 07 C7 45 DC ?? ?? ?? ?? 8B 45 E8 89 78 18 8B C6 48 50 8D 47 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 F4 8B 45 F8 E8 ?? ?? ?? ?? 89 45 D8 4E 85 F6 0F 8C C5 01 00 00 46 8B 45 EC 83 C0 02 E8 ?? ?? ?? ?? 89 45 E0 8B 45 EC 89 45 D0 8B 45 E0 3B 05 ?? ?? ?? ?? 75 18 BA ?? ?? ?? ?? 8B 45 D0 83 C0 02 E8 ?? ?? ?? ?? 85 C0 0F 84 75 01 00 00 8B 45 D0 F6 00 06 0F 85 69 01 00 00 8B 45 08 50 68 ?? ?? ?? ?? 8B 45 F8 50 8D 45 FC 50 8B 45 D8 50 8B 45 D0 83 C0 02 8B CB 8B 55 E0 E8 ?? ?? ?? ?? 59 84 C0 75 34 80 7D E7 00 0F 85 83 00 00 00 8B 45 08 50 68 ?? ?? ?? ?? 8B 45 F8 50 8D 45 FC 50 8B 45 D8 50 8B 45 D0 83 C0 02 8B CB 8B 55 E0 E8 ?? ?? ?? ?? 59 84 C0 74 59 8D 45 A0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 A0 89 45 A4 C6 45 A8 11 8D 4D 9C 8B 45 D0 83 C0 02 BA FF 00 00 00 E8 ?? ?? ?? ?? 8B 45 9C 89 45 AC C6 45 B0 11 8B 45 FC 89 45 B4 C6 45 B8 11 8D 45 A4 50 6A 02 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8D 04 40 8B 57 04 8B 4D EC 83 C1 02 89 4C C2 0C 8B 45 F4 8D 04 40 8B 57 04 8B 4D E8 89 4C C2 08 8B 45 F4 8D 04 40 8B 57 04 8B 4D F0 F6 01 08 0F 95 C1 88 4C C2 10 8B 45 F4 8D 04 40 8B 57 04 33 C9 89 4C C2 04 8B 45 F4 8D 04 40 8B 57 04 8B 4D E0 89 4C C2 14 B9 FD 03 00 00 8B 45 E0 33 D2 F7 F1 89 55 E0 8B 45 DC 8B 55 E0 8B 04 90 8B 55 F4 8D 14 52 8B 4F 04 89 04 D1 8B 45 F4 8D 04 40 8B 57 04 8D 04 C2 8B 55 DC 8B 4D E0 89 04 8A 8B 55 F4 8D 14 52 8B 4F 04 83 3C D1 00 74 0F 8B 55 F4 8D 14 52 8B 4F 04 8B 14 D1 89 42 04 FF 45 F4 8B 45 EC 83 C0 02 E8 ?? ?? ?? ?? 83 C0 03 01 45 EC 4E 0F 85 3C FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 62 00 70 00 6C 00 00 00 00 00 53 79 73 49 6E 69 74 00 }
	condition:
		$1
}

rule function_69406_0 {
	meta:
		name = "CheckForDuplicateUnits"
		size = 64
		refs = "000e SysInitHC 0016 CheckForDuplicateUnits 001b HashName 002d InternalUnitCheck"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 8B D8 83 3D ?? ?? ?? ?? 00 75 0F B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 89 45 FC 55 8B C3 E8 ?? ?? ?? ?? 59 5B 59 59 5D C3 00 53 79 73 49 6E 69 74 00 }
	condition:
		$1
}

rule function_69409_0 {
	meta:
		name = "InitializePackage"
		size = 188
		refs = "0017 InitializePackage 0024 CheckForDuplicateUnits 002f GetProcAddress 0045 GetModuleName 005d SInvalidPackageFile 0062 LoadResString 006c _DV_EPackageError 0071 Exception.CreateFmt 0076 @RaiseExcept 0090 @UStrArrayClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F8 89 FE 85 FF 74 04 FF D6 EB 3B 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 49 00 6E 00 69 00 74 00 69 00 61 00 6C 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_69410_0 {
	meta:
		name = "FinalizePackage"
		size = 76
		refs = "0006 FinalizePackage 000c GetProcAddress 001e SInvalidPackageHandle 0025 _DV_EPackageError 002a Exception.CreateRes 002f @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B F8 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B F0 89 F3 85 F6 74 04 FF D3 EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 00 46 00 69 00 6E 00 61 00 6C 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_69412_0 {
	meta:
		name = "LoadPackage"
		size = 209
		refs = "0016 LoadPackage 0028 SafeLoadLibrary 003d GetLastError 0045 SysErrorMessage 005b sErrorLoadingPackage 0062 _DV_EPackageError 0067 Exception.CreateResFmt 006c @RaiseExcept 0084 InitializePackage 0093 @HandleAnyException 009c FreeLibrary 00a1 @RaiseAgain 00a6 @DoneExcept 00bb @UStrClr 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 00 80 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 3B 89 5D EC C6 45 F0 11 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 C6 45 F8 11 8D 45 EC 50 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69413_0 {
	meta:
		name = "UnloadPackage"
		size = 18
		refs = "0006 FinalizePackage 000c FreeLibrary"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_103206_0 {
	meta:
		name = "TGdiplusBase.FreeInstance"
		size = 18
		refs = "0006 TObject.CleanupInstance 000c GdipFree"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69414_0 {
	meta:
		name = "GetPackageInfo"
		size = 341
		refs = "0021 GetPackageInfo 002e PackageInfoTable 003c GetModuleName 0047 ExtractFileName 005f SCannotReadPackageInfo 0064 LoadResString 006e _DV_EPackageError 0073 Exception.CreateFmt 0078 @RaiseExcept 00a6 UTF8ToString 00b8 @PCharLen 0141 @UStrArrayClr 0147 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 75 46 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 89 16 89 45 F8 8B F0 83 C6 08 8B 45 F8 8B 40 04 8B D8 4B 85 DB 7C 2F 43 8B 45 FC 50 8D 4D E0 8D 46 01 BA FF 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 33 C9 B2 01 FF 55 08 8D 46 01 E8 ?? ?? ?? ?? 83 C0 02 01 C6 4B 75 D2 8B D6 8B 02 83 C2 04 8B F2 8B D8 4B 85 DB 7C 30 43 8B 45 FC 50 8D 4D DC 8D 46 02 BA FF 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC 0F B6 0E 33 D2 FF 55 08 8D 46 02 E8 ?? ?? ?? ?? 83 C0 03 01 C6 4B 75 D1 8B 45 F8 F6 40 03 40 74 1E 8B 45 FC 50 8D 4D D8 8D 46 01 BA FF 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 33 C9 B2 02 FF 55 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_69415_0 {
	meta:
		name = "GetPackageDescription"
		size = 372
		refs = "0015 GetPackageDescription 0022 @UStrClr 002f LoadResourceModule 003e GetModuleHandle 0051 LoadLibraryEx 006c GetLastError 0074 SysErrorMessage 008a sErrorLoadingPackage 0091 _DV_EPackageError 0096 Exception.CreateResFmt 009b @RaiseExcept 00b9 FindResource 00c7 LoadResource 00e7 LockResource 00f0 @UStrFromPWChar 0106 FreeResource 010c @HandleFinally 012a FreeLibrary"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? C6 45 F7 01 B2 01 8B C3 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 63 53 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 0F 6A 02 6A 00 53 E8 ?? ?? ?? ?? 89 45 FC EB 04 C6 45 F7 00 83 7D FC 00 75 3B 89 5D E4 C6 45 E8 0A E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 89 45 EC C6 45 F0 11 8D 45 E4 50 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 0A 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 85 C0 74 51 50 8B 45 FC 50 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 3E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F7 00 74 09 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 44 00 45 00 53 00 43 00 52 00 49 00 50 00 54 00 49 00 4F 00 4E 00 00 00 }
	condition:
		$1
}

rule function_69416_0 {
	meta:
		name = "GetPackageTargets"
		size = 156
		refs = "0016 GetPackageTargets 001c FindResource 0027 LoadResource 0047 LockResource 0064 FreeResource 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 66 C7 45 FE 00 00 85 DB 74 5D 6A 0A 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 74 4C 50 53 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 3C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 E8 ?? ?? ?? ?? 0F B7 00 66 89 45 FE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 0F B7 45 FE 5B 59 59 5D C3 00 00 00 50 00 4C 00 41 00 54 00 46 00 4F 00 52 00 4D 00 54 00 41 00 52 00 47 00 45 00 54 00 53 00 00 00 }
	condition:
		$1
}

rule function_69418_0 {
	meta:
		name = "RaiseLastOSError"
		size = 151
		refs = "0012 RaiseLastOSError 002d SysErrorMessage 0043 SOSError 004a _DV_EOSError 004f Exception.CreateResFmt 0059 SUnkOSError 0065 Exception.CreateRes 0071 @RaiseExcept 0086 @UStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 37 89 5D F0 C6 45 F4 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 EB 14 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 89 5A 18 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69419_0 {
	meta:
		name = "CheckOSError"
		size = 10
		refs = "0005 RaiseLastOSError"
	strings:
		$1 = { 85 C0 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70278_0 {
	meta:
		name = "VarResultCheck"
		size = 10
		refs = "0005 TranslateResult"
	strings:
		$1 = { 85 C0 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69421_0 {
	meta:
		name = "Win32Check"
		size = 16
		refs = "0008 RaiseLastOSError"
	strings:
		$1 = { 53 8B D8 85 DB 75 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_80353_0 {
	meta:
		name = "GDICheck"
		size = 16
		refs = "0008 GDIError"
	strings:
		$1 = { 53 8B D8 85 DB 75 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_69423_0 {
	meta:
		name = "CallTerminateProcs"
		size = 32
		refs = "0006 TerminateProcList"
	strings:
		$1 = { 53 56 B3 01 8B 35 ?? ?? ?? ?? EB 07 FF 56 04 8B D8 8B 36 84 DB 74 04 85 F6 75 F1 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_69424_0 {
	meta:
		name = "FreeTerminateProcs"
		size = 35
		refs = "0003 TerminateProcList 0017 @FreeMem"
	strings:
		$1 = { 53 56 BE ?? ?? ?? ?? EB 12 8B 1E 8B 03 89 06 BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 3E 00 75 E9 5E 5B C3 }
	condition:
		$1
}

rule function_69425_0 {
	meta:
		name = "AL1"
		size = 14
	strings:
		$1 = { 8B 10 33 50 04 33 50 08 33 50 0C 8B C2 C3 }
	condition:
		$1
}

rule function_69426_0 {
	meta:
		name = "AL2"
		size = 50
	strings:
		$1 = { 8B 10 8B CA C1 E9 05 C1 E2 1B 0B CA 8B D1 33 50 04 8B CA C1 E9 05 C1 E2 1B 0B CA 8B D1 33 50 08 8B CA C1 E9 05 C1 E2 1B 0B CA 8B D1 33 50 0C 8B C2 C3 }
	condition:
		$1
}

rule function_69428_0 {
	meta:
		name = "ALR"
		size = 128
		refs = "0005 MainInstance 0011 ALR 001e FindResource 002c LoadResource 0038 LibModuleList"
	strings:
		$1 = { 53 56 57 55 A1 ?? ?? ?? ?? 83 38 00 74 26 6A 0A 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B F8 EB 33 33 FF 8B 1D ?? ?? ?? ?? 8B 1B 85 DB 74 25 8B F3 6A 0A 68 ?? ?? ?? ?? 8B 6E 04 55 E8 ?? ?? ?? ?? 50 55 E8 ?? ?? ?? ?? 8B F8 85 FF 75 06 8B 1B 85 DB 75 DB 8B C7 5D 5F 5E 5B C3 00 00 44 00 56 00 43 00 4C 00 41 00 4C 00 00 00 00 00 }
	condition:
		$1
}

rule function_69429_0 {
	meta:
		name = "GDAL"
		size = 116
		refs = "0006 ALR 0015 AL1 001e AL2 0025 AL1s 002a AL2s 0055 FreeResource 0060 ALV"
	strings:
		$1 = { 53 56 57 55 51 E8 ?? ?? ?? ?? 8B D8 85 DB 74 56 8B FB 8B C7 E8 ?? ?? ?? ?? 8B F0 8B C7 E8 ?? ?? ?? ?? 8B EE BA ?? ?? ?? ?? BF ?? ?? ?? ?? 3B 32 75 04 3B 07 74 18 3B 72 04 75 05 3B 47 04 74 0E 3B 72 08 75 05 3B 47 08 74 04 33 C0 EB 02 B0 01 88 04 24 53 E8 ?? ?? ?? ?? 80 3C 24 00 75 0D E8 ?? ?? ?? ?? EB 06 8B 2D ?? ?? ?? ?? 8B C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69430_0 {
	meta:
		name = "RCS"
		size = 75
		refs = "0003 ALR 0012 AL1 0018 AL1s 0021 AL2 0027 AL2s 0037 FreeResource 0044 ALV"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B F0 85 F6 74 30 8B DE 8B C3 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 0F 8B C3 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 8B D8 56 E8 ?? ?? ?? ?? EB 02 33 DB 84 DB 75 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69431_0 {
	meta:
		name = "RPR"
		size = 27
		refs = "0001 GDAL 0007 AL1s 0016 ALV"
	strings:
		$1 = { E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 74 0D 3B 05 ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69432_0 {
	meta:
		name = "InitDriveSpacePtr"
		size = 124
		refs = "0002 InitDriveSpacePtr 0007 GetModuleHandle 0018 GetProcAddress 001d GetDiskFreeSpaceEx 002b BackfillGetDiskFreeSpaceEx"
	strings:
		$1 = { 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 10 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0A B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 5B C3 00 00 6B 00 65 00 72 00 6E 00 65 00 6C 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 47 00 65 00 74 00 44 00 69 00 73 00 6B 00 46 00 72 00 65 00 65 00 53 00 70 00 61 00 63 00 65 00 45 00 78 00 57 00 00 00 }
	condition:
		$1
}

rule function_69435_0 {
	meta:
		name = "TSimpleRWSync.BeginWrite"
		size = 14
		refs = "0007 TMonitor.Enter"
	strings:
		$1 = { 8B 40 0C 83 CA FF E8 ?? ?? ?? ?? B0 01 C3 }
	condition:
		$1
}

rule function_69437_0 {
	meta:
		name = "TSimpleRWSync.BeginRead"
		size = 12
		refs = "0007 TMonitor.Enter"
	strings:
		$1 = { 8B 40 0C 83 CA FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69439_0 {
	meta:
		name = "TThreadLocalCounter.Destroy"
		size = 85
		refs = "0006 @BeforeDestruction 0026 @FreeMem 003e TObject.Destroy 004b @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 51 E8 ?? ?? ?? ?? 88 14 24 8B E8 33 FF 8B 5C BD 04 33 C0 89 44 BD 04 85 DB 74 0F 8B F3 8B 1B 8B C6 E8 ?? ?? ?? ?? 85 DB 75 F1 47 83 FF 10 75 DD 0F B6 14 24 80 E2 FC 8B C5 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C5 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69440_0 {
	meta:
		name = "TThreadLocalCounter.HashIndex"
		size = 25
		refs = "0005 GetCurrentThreadId"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 66 89 45 FE 0F B6 45 FE 32 45 FF 24 0F 59 5D C3 }
	condition:
		$1
}

rule function_69441_0 {
	meta:
		name = "TThreadLocalCounter.Open"
		size = 117
		refs = "000d TThreadLocalCounter.HashIndex 0014 GetCurrentThreadId 0036 TThreadLocalCounter.Recycle 0046 AllocMem 0063 InterlockedExchangePointer"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B F0 0F B6 C3 8B 6C 87 04 EB 03 8B 6D 00 85 ED 74 05 3B 75 04 75 F4 85 ED 75 37 8B C7 E8 ?? ?? ?? ?? 8B E8 85 ED 75 2A B8 10 00 00 00 E8 ?? ?? ?? ?? 8B E8 89 75 04 C7 45 08 FF FF FF 7F 89 6D 00 0F B6 C3 8D 44 87 04 8B D5 E8 ?? ?? ?? ?? 89 45 00 8B 04 24 89 28 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69443_0 {
	meta:
		name = "TThreadLocalCounter.Delete"
		size = 15
	strings:
		$1 = { 8B 02 33 C9 89 48 04 8B 02 33 D2 89 50 08 C3 }
	condition:
		$1
}

rule function_69444_0 {
	meta:
		name = "TThreadLocalCounter.Recycle"
		size = 66
		refs = "0007 TThreadLocalCounter.HashIndex 001f InterlockedExchange 002e GetCurrentThreadId"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 C0 8B 5C 83 04 85 DB 74 27 8D 43 08 BA FF FF FF 7F E8 ?? ?? ?? ?? 8B F0 81 FE FF FF FF 7F 74 0A E8 ?? ?? ?? ?? 89 43 04 EB 06 8B 1B 85 DB 75 D9 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_69445_0 {
	meta:
		name = "TMultiReadExclusiveWriteSynchronizer.Create"
		size = 114
		refs = "000a @ClassCreate 0017 TObject.Create 002b CreateEvent 004c _DV_TThreadLocalCounter 005f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 0C FF FF 00 00 6A 00 6A FF 6A FF 6A 00 E8 ?? ?? ?? ?? 89 46 10 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 89 46 14 C7 46 18 FF FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_69446_0 {
	meta:
		name = "TMultiReadExclusiveWriteSynchronizer.Destroy"
		size = 69
		refs = "0003 @BeforeDestruction 000e TMultiReadExclusiveWriteSynchronizer.BeginWrite 0019 TObject.Destroy 0022 CloseHandle 0033 TObject.Free 003e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 10 50 E8 ?? ?? ?? ?? 8B 46 14 50 E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69447_0 {
	meta:
		name = "TMultiReadExclusiveWriteSynchronizer.BlockReaders"
		size = 10
		refs = "0005 ResetEvent"
	strings:
		$1 = { 8B 40 10 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69448_0 {
	meta:
		name = "TMultiReadExclusiveWriteSynchronizer.UnblockReaders"
		size = 10
		refs = "0005 SetEvent"
	strings:
		$1 = { 8B 40 10 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69449_0 {
	meta:
		name = "TMultiReadExclusiveWriteSynchronizer.UnblockOneWriter"
		size = 10
		refs = "0005 SetEvent"
	strings:
		$1 = { 8B 40 14 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69450_0 {
	meta:
		name = "TMultiReadExclusiveWriteSynchronizer.WaitForReadSignal"
		size = 14
		refs = "0009 WaitForSingleObject"
	strings:
		$1 = { 8B 50 18 52 8B 40 10 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69451_0 {
	meta:
		name = "TMultiReadExclusiveWriteSynchronizer.WaitForWriteSignal"
		size = 14
		refs = "0009 WaitForSingleObject"
	strings:
		$1 = { 8B 50 18 52 8B 40 14 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69452_0 {
	meta:
		name = "TMultiReadExclusiveWriteSynchronizer.BeginWrite"
		size = 184
		refs = "000e GetCurrentThreadId 0020 TMultiReadExclusiveWriteSynchronizer.BlockReaders 002f TThreadLocalCounter.Open 004b InterlockedIncrement 005b InterlockedExchangeAdd 0068 TMultiReadExclusiveWriteSynchronizer.WaitForWriteSignal 0093 InterlockedDecrement"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B D8 C6 04 24 01 E8 ?? ?? ?? ?? 8B F8 3B 7B 24 0F 84 8C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 6B 28 8D 54 24 04 8B 43 20 E8 ?? ?? ?? ?? 8B 44 24 04 83 78 0C 00 0F 97 44 24 08 80 7C 24 08 00 74 25 8D 43 0C E8 ?? ?? ?? ?? EB 1B 68 FF FF 00 00 8D 43 0C 50 E8 ?? ?? ?? ?? 8B F0 85 F6 74 07 8B C3 E8 ?? ?? ?? ?? 68 01 00 FF FF 8D 43 0C 50 E8 ?? ?? ?? ?? 3D FF FF 00 00 75 D0 8B C3 E8 ?? ?? ?? ?? 80 7C 24 08 00 74 08 8D 43 0C E8 ?? ?? ?? ?? 89 7B 24 8D 43 28 E8 ?? ?? ?? ?? 48 3B C5 0F 94 04 24 FF 43 1C 0F B6 04 24 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69453_0 {
	meta:
		name = "TMultiReadExclusiveWriteSynchronizer.EndWrite"
		size = 78
		refs = "000a TThreadLocalCounter.Open 0026 InterlockedExchangeAdd 002d TMultiReadExclusiveWriteSynchronizer.UnblockOneWriter 0034 TMultiReadExclusiveWriteSynchronizer.UnblockReaders 0047 TThreadLocalCounter.Delete"
	strings:
		$1 = { 53 51 8B D8 8B D4 8B 43 20 E8 ?? ?? ?? ?? FF 4B 1C 83 7B 1C 00 75 21 33 C0 89 43 24 68 FF FF 00 00 8D 43 0C 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 04 24 83 78 0C 00 75 0A 8B D4 8B 43 20 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_69454_0 {
	meta:
		name = "TMultiReadExclusiveWriteSynchronizer.BeginRead"
		size = 111
		refs = "000c TThreadLocalCounter.Open 0021 GetCurrentThreadId 0031 TMultiReadExclusiveWriteSynchronizer.WaitForReadSignal 003b InterlockedIncrement 004c TMultiReadExclusiveWriteSynchronizer.UnblockOneWriter 0053 Sleep 0062 InterlockedDecrement"
	strings:
		$1 = { 53 56 57 51 8B F8 8B D4 8B 47 20 E8 ?? ?? ?? ?? 8B 04 24 FF 40 0C 8B 04 24 83 78 0C 01 0F 97 C3 E8 ?? ?? ?? ?? 3B 47 24 74 40 84 DB 75 3C 8B C7 E8 ?? ?? ?? ?? EB 27 8D 47 0C E8 ?? ?? ?? ?? 8B F0 81 FE FF FF 00 00 75 07 8B C7 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8D 47 0C E8 ?? ?? ?? ?? 85 C0 7E CD 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69455_0 {
	meta:
		name = "TMultiReadExclusiveWriteSynchronizer.EndRead"
		size = 104
		refs = "000a TThreadLocalCounter.Open 0023 TThreadLocalCounter.Delete 0028 GetCurrentThreadId 0035 InterlockedIncrement 0046 TMultiReadExclusiveWriteSynchronizer.UnblockOneWriter"
	strings:
		$1 = { 53 51 8B D8 8B D4 8B 43 20 E8 ?? ?? ?? ?? 8B 04 24 FF 48 0C 8B 04 24 83 78 0C 00 75 48 8B D4 8B 43 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 43 24 74 34 8D 43 0C E8 ?? ?? ?? ?? 8B C8 81 F9 FF FF 00 00 75 09 8B C3 E8 ?? ?? ?? ?? EB 19 85 C9 7F 15 8B C1 B9 FF FF 00 00 99 F7 F9 85 D2 75 07 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_69456_0 {
	meta:
		name = "FreeAndNil"
		size = 14
		refs = "0009 TObject.Free"
	strings:
		$1 = { 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69457_0 {
	meta:
		name = "Supports"
		size = 34
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 DB 74 0B 57 56 53 8B 03 FF 10 85 C0 74 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69458_0 {
	meta:
		name = "Supports"
		size = 152
		refs = "0012 Supports 0024 @IntfClear 0032 TObject.GetInterface 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 39 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 13 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_69459_0 {
	meta:
		name = "Supports"
		size = 82
		refs = "000f Supports 001d @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69462_0 {
	meta:
		name = "EnumLocalesCallback"
		size = 26
		refs = "0004 @GetTls 000a FTempLanguages 0012 TLanguages.LocalesCallback"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_69463_0 {
	meta:
		name = "GetLocaleDataW"
		size = 54
		refs = "001c GetLocaleInfoW 002a @UStrFromWArray"
	strings:
		$1 = { 53 81 C4 00 F8 FF FF 8B D9 66 C7 04 24 00 00 68 00 04 00 00 8D 4C 24 04 51 52 50 E8 ?? ?? ?? ?? 8B C3 8B D4 B9 00 04 00 00 E8 ?? ?? ?? ?? 81 C4 00 08 00 00 5B C3 }
	condition:
		$1
}

rule function_69464_0 {
	meta:
		name = "TLanguages.LocalesCallback"
		size = 392
		refs = "0019 TLanguages.LocalesCallback 002d @UStrFromPWChar 003f @UStrCopy 004f @UStrCat3 0057 StrToInt 0068 GetLocaleDataW 007a @DynArrayLength 008a TArray<System.SysUtils.TLangRec> 008f @DynArraySetLength 009a @DynArrayHigh 00bd @UStrAsg 0113 Format 013d @UStrArrayClr 0150 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8B 45 F0 B9 04 00 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8D 4D FC BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 AC 00 00 00 8B 46 04 E8 ?? ?? ?? ?? 40 50 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 04 E8 ?? ?? ?? ?? 03 C0 8B 56 04 8D 04 C2 8B F0 8D 4D EC BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 89 5E 04 8D 46 08 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E8 50 8D 4D D4 BA 59 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 89 45 D8 C6 45 DC 11 8D 4D D0 BA 5A 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 D0 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 46 0C E8 ?? ?? ?? ?? BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2D 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_69465_0 {
	meta:
		name = "TLanguages.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TObject.Create 001c @GetTls 0022 FTempLanguages 0029 EnumLocalesCallback 002e EnumSystemLocales 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 B0 ?? ?? ?? ?? 6A 02 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_69468_0 {
	meta:
		name = "TLanguages.GetExt"
		size = 31
		refs = "0017 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 8B D6 03 D2 8B 4B 04 8B 54 D1 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69469_0 {
	meta:
		name = "TLanguages.GetID"
		size = 107
		refs = "0012 TLanguages.GetID 0034 IntToHex 003f HexDisplayPrefix 0044 @UStrCat3 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 03 C0 8B 53 04 8B 44 C2 04 33 D2 52 50 8D 55 FC B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69470_0 {
	meta:
		name = "TLanguages.GetLocaleID"
		size = 10
	strings:
		$1 = { 03 D2 8B 40 04 8B 44 D0 04 C3 }
	condition:
		$1
}

rule function_69471_0 {
	meta:
		name = "TLanguages.GetLocaleName"
		size = 31
		refs = "0017 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 8B D6 03 D2 8B 4B 04 8B 54 D1 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69472_0 {
	meta:
		name = "TLanguages.GetName"
		size = 30
		refs = "0016 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 8B D6 03 D2 8B 4B 04 8B 14 D1 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69473_0 {
	meta:
		name = "TLanguages.GetNameFromLocaleID"
		size = 69
		refs = "000c SUnknown 0011 LoadResString 001a TLanguages.IndexOf 002c TLanguages.GetName"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B F8 83 FF FF 74 0B 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 83 3B 00 75 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69475_0 {
	meta:
		name = "TLanguages.GetNameFromLCID"
		size = 33
		refs = "000e StrToIntDef 0019 TLanguages.GetNameFromLocaleID"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69476_0 {
	meta:
		name = "TLanguages.IndexOf"
		size = 48
		refs = "000b @DynArrayHigh"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 85 C0 7C 14 40 33 D2 8B CA 03 C9 8B 7B 04 3B 74 CF 04 74 07 42 48 75 EF 83 CA FF 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69477_0 {
	meta:
		name = "TLanguages.IndexOf"
		size = 61
		refs = "000c @DynArrayHigh 0027 CompareText"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 04 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 1D 43 33 F6 8B C6 03 C0 8B 57 04 8B 44 C2 0C 8B D5 E8 ?? ?? ?? ?? 85 C0 74 07 46 4B 75 E6 83 CE FF 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69480_0 {
	meta:
		name = "SafeLoadLibrary"
		size = 129
		refs = "000b SetErrorMode 0016 SafeLoadLibrary 0034 @UStrToPWChar 003a LoadLibrary 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D8 52 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 D9 7D FE 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? DB E2 D9 6D FE C3 E9 ?? ?? ?? ?? EB F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69481_0 {
	meta:
		name = "GetEnvironmentVariable"
		size = 105
		refs = "0011 @UStrClr 0022 @UStrToPWChar 002a GetEnvironmentVariable 003f @UStrFromPWCharLen 004b @UStrSetLength"
	strings:
		$1 = { 53 56 57 55 81 C4 00 F8 FF FF 8B F2 8B F8 8B C6 E8 ?? ?? ?? ?? 68 00 04 00 00 8D 44 24 04 50 8B C7 E8 ?? ?? ?? ?? 8B E8 55 E8 ?? ?? ?? ?? 8B D8 81 FB 00 04 00 00 7D 0D 8B D4 8B C6 8B CB E8 ?? ?? ?? ?? EB 19 8B D3 4A 8B C6 E8 ?? ?? ?? ?? 53 8B 06 E8 ?? ?? ?? ?? 50 55 E8 ?? ?? ?? ?? 81 C4 00 08 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69482_0 {
	meta:
		name = "ClearHashTables"
		size = 46
		refs = "0003 LibModuleList 0015 TModuleInfo 001d @Dispose"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 8B 1B 85 DB 74 1F 83 7B 18 00 74 13 8B 15 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 33 C0 89 43 18 8B 1B 85 DB 75 E1 5B C3 }
	condition:
		$1
}

rule function_69484_0 {
	meta:
		name = "ByteLength"
		size = 12
	strings:
		$1 = { 85 C0 74 05 83 E8 04 8B 00 03 C0 C3 }
	condition:
		$1
}

rule function_69486_0 {
	meta:
		name = "TStringBuilder.Append"
		size = 83
		refs = "000c TStringBuilder.Append 0020 UIntToStr 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69503_0 {
	meta:
		name = "TStringBuilder.Append"
		size = 83
		refs = "000c TStringBuilder.Append 0020 IntToStr 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69487_0 {
	meta:
		name = "TStringBuilder.Append"
		size = 53
		refs = "000c @DynArrayLength 002b TStringBuilder.Append"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B F7 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 0E 40 33 D2 66 83 3C 53 00 74 04 42 48 75 F5 52 33 C9 8B C7 8B D3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69488_0 {
	meta:
		name = "TStringBuilder.Append"
		size = 107
		refs = "0012 TStringBuilder.Append 0032 CurrencyString 0037 FloatToStr 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 D9 45 08 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_69489_0 {
	meta:
		name = "TStringBuilder.Append"
		size = 87
		refs = "001d TStringBuilder.SetLength 0038 @UStrToPWChar 004c Move"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B FD 8B C7 85 C0 74 05 83 E8 04 8B 00 8B 53 08 03 D0 8B C3 E8 ?? ?? ?? ?? 8B F7 85 F6 74 05 83 EE 04 8B 36 85 FF 74 05 83 EF 04 8B 3F 8B C5 E8 ?? ?? ?? ?? 8B 53 08 2B D6 8B 4B 04 8D 14 51 8B CF 03 C9 E8 ?? ?? ?? ?? 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69490_0 {
	meta:
		name = "TStringBuilder.Append"
		size = 82
		refs = "000f TStringBuilder.Append 0020 IntToStr 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 0F B7 C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69491_0 {
	meta:
		name = "TStringBuilder.Append"
		size = 159
		refs = "0017 @DynArrayLength 0031 SListIndexError 0038 _DV_ERangeError 003d Exception.CreateResFmt 0042 @RaiseExcept 0076 TStringBuilder.SetLength 0090 Move"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 08 8B 45 FC E8 ?? ?? ?? ?? 8D 14 37 3B C2 7D 24 89 75 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7D 24 89 75 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 03 D7 8B C3 E8 ?? ?? ?? ?? 8B 43 08 2B C7 8B 53 04 8D 14 42 8B CF 03 C9 8B 45 FC 8D 04 70 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_69492_0 {
	meta:
		name = "TStringBuilder.Append"
		size = 163
		refs = "0035 SListIndexError 003c _DV_ERangeError 0041 Exception.CreateResFmt 0046 @RaiseExcept 007a TStringBuilder.SetLength 0094 Move"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 08 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 14 37 3B C2 7D 24 89 75 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7D 24 89 75 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 03 D7 8B C3 E8 ?? ?? ?? ?? 8B 43 08 2B C7 8B 53 04 8D 14 42 8B CF 03 C9 8B 45 FC 8D 04 70 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_69493_0 {
	meta:
		name = "TStringBuilder.Append"
		size = 81
		refs = "000f TStringBuilder.Append 001f @UStrFromPChar 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69494_0 {
	meta:
		name = "TStringBuilder.Append"
		size = 81
		refs = "000f TStringBuilder.Append 001f @UStrFromLStr 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69495_0 {
	meta:
		name = "TStringBuilder.Append"
		size = 81
		refs = "000f TStringBuilder.Append 001f UIntToStr 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69506_0 {
	meta:
		name = "TStringBuilder.Append"
		size = 81
		refs = "000f TStringBuilder.Append 001f IntToStr 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69496_0 {
	meta:
		name = "TStringBuilder.Append"
		size = 87
		refs = "0012 TStringBuilder.Append 0024 StringOfChar 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69497_0 {
	meta:
		name = "TStringBuilder.Append"
		size = 84
		refs = "000f TStringBuilder.Append 0020 IntToStr 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 0F BE C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69498_0 {
	meta:
		name = "TStringBuilder.Append"
		size = 33
		refs = "000d TStringBuilder.SetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 04 8B 53 08 66 89 74 50 FE 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_69499_0 {
	meta:
		name = "TStringBuilder.Append"
		size = 107
		refs = "0012 TStringBuilder.Append 0032 CurrencyString 0037 CurrToStr 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 FF 75 F4 FF 75 F0 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_69500_0 {
	meta:
		name = "TStringBuilder.Append"
		size = 85
		refs = "000f TStringBuilder.Append 0021 BoolToStr 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69501_0 {
	meta:
		name = "TStringBuilder.Append"
		size = 84
		refs = "000f TStringBuilder.Append 0020 IntToStr 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 0F B6 C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69502_0 {
	meta:
		name = "TStringBuilder.Append"
		size = 107
		refs = "0012 TStringBuilder.Append 0032 CurrencyString 0037 FloatToStr 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_69504_0 {
	meta:
		name = "TStringBuilder.Append"
		size = 81
		refs = "000f TStringBuilder.Append 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 51 DC 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69505_0 {
	meta:
		name = "TStringBuilder.Append"
		size = 82
		refs = "000f TStringBuilder.Append 0020 IntToStr 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 0F BF C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69507_0 {
	meta:
		name = "TStringBuilder.AppendFormat"
		size = 93
		refs = "0012 TStringBuilder.AppendFormat 0028 Format 0032 TStringBuilder.Append 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B D7 8B 4D 08 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_69508_0 {
	meta:
		name = "TStringBuilder.AppendLine"
		size = 36
		refs = "0004 TStringBuilder.AppendLine 000b TStringBuilder.Append"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 5B C3 00 E4 04 01 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_69509_0 {
	meta:
		name = "TStringBuilder.AppendLine"
		size = 21
		refs = "0006 TStringBuilder.Append 000d TStringBuilder.AppendLine"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_69510_0 {
	meta:
		name = "TStringBuilder.Clear"
		size = 26
		refs = "0008 TStringBuilder.SetLength 0014 TStringBuilder.SetCapacity"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? BA 10 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69511_0 {
	meta:
		name = "TStringBuilder.CheckBounds"
		size = 49
		refs = "0018 SListIndexError 001f _DV_ERangeError 0024 Exception.CreateResFmt 0029 @RaiseExcept"
	strings:
		$1 = { 53 83 C4 F8 8B DA 3B 58 08 72 22 89 1C 24 C6 44 24 04 00 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_69512_0 {
	meta:
		name = "TStringBuilder.CopyTo"
		size = 328
		refs = "001c TStringBuilder.CopyTo 002f SParamIsNegative 0036 _DV_ERangeError 003b Exception.CreateResFmt 0040 @RaiseExcept 0075 @DynArrayLength 00ae SInputBufferExceed 00cd TStringBuilder.CheckBounds 00f2 Move"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 89 4D F8 89 55 FC 8B F8 8B 5D 08 8B 75 0C 85 DB 7D 29 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7D 29 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 14 33 3B C2 7D 43 B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 89 75 D8 C6 45 DC 00 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 89 5D E8 C6 45 EC 00 8D 45 D0 50 6A 03 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7E 2F 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 03 D3 4A 8B C7 E8 ?? ?? ?? ?? 8B 47 04 8B 55 FC 8D 04 50 8B CB 03 C9 8B 55 F8 8D 14 72 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6F 00 75 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 44 00 65 00 73 00 74 00 69 00 6E 00 61 00 74 00 69 00 6F 00 6E 00 49 00 6E 00 64 00 65 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_69513_0 {
	meta:
		name = "TStringBuilder.Create"
		size = 77
		refs = "000a @ClassCreate 0017 TObject.Create 002a TStringBuilder.SetCapacity 003a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 0C FF FF FF 7F BA 10 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_69514_0 {
	meta:
		name = "TStringBuilder.Create"
		size = 94
		refs = "000e @ClassCreate 001d TObject.Create 002e TStringBuilder.SetCapacity 003c TStringBuilder.Append 0047 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C FF FF FF 7F 8B 55 08 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 08 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_69515_0 {
	meta:
		name = "TStringBuilder.Create"
		size = 134
		refs = "0010 @ClassCreate 001e TStringBuilder.Create 003a @UStrCopy 005b @UStrClr 0061 @HandleFinally 006e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 45 FC 50 8B 55 10 42 8B 4D 0C 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_69517_0 {
	meta:
		name = "TStringBuilder.Create"
		size = 78
		refs = "000b @ClassCreate 001a TObject.Create 002a TStringBuilder.SetCapacity 003a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 0C FF FF FF 7F 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69519_0 {
	meta:
		name = "TStringBuilder.EnsureCapacity"
		size = 86
		refs = "000c TStringBuilder.GetMaxCapacity 0021 SListIndexError 0028 _DV_ERangeError 002d Exception.CreateResFmt 0032 @RaiseExcept 0039 TStringBuilder.GetCapacity 0046 TStringBuilder.SetCapacity"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B C6 73 22 89 34 24 C6 44 24 04 00 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_69520_0 {
	meta:
		name = "TStringBuilder.Equals"
		size = 81
		refs = "001f TStringBuilder.GetMaxCapacity 0045 CompareMem"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 74 0B 8B 43 08 3B 46 08 0F 94 C0 EB 02 33 C0 84 C0 74 17 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 0F 94 C0 EB 02 33 C0 84 C0 74 12 8B 4B 08 03 C9 8B 56 04 8B 43 04 E8 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69521_0 {
	meta:
		name = "TStringBuilder.ExpandCapacity"
		size = 65
		refs = "0007 TStringBuilder.GetCapacity 001d TStringBuilder.GetMaxCapacity 003a TStringBuilder.SetCapacity"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 03 F6 8B 43 08 3B F0 7D 04 8B F0 03 F6 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 03 8B 73 08 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69523_0 {
	meta:
		name = "TStringBuilder.GetChars"
		size = 100
		refs = "000e TStringBuilder.GetChars 001f SParamIsNegative 0026 _DV_ERangeError 002b Exception.CreateResFmt 0030 @RaiseExcept 0039 TStringBuilder.CheckBounds"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 85 F6 7D 27 B8 ?? ?? ?? ?? 89 04 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 04 0F B7 04 70 59 5A 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 64 00 65 00 78 00 00 00 }
	condition:
		$1
}

rule function_69525_0 {
	meta:
		name = "TStringBuilder.Insert"
		size = 87
		refs = "0012 TStringBuilder.Insert 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 DC 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69526_0 {
	meta:
		name = "TStringBuilder.Insert"
		size = 89
		refs = "000f TStringBuilder.Insert 0023 IntToStr 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69542_0 {
	meta:
		name = "TStringBuilder.Insert"
		size = 89
		refs = "000f TStringBuilder.Insert 0023 UIntToStr 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69527_0 {
	meta:
		name = "TStringBuilder.Insert"
		size = 113
		refs = "0015 TStringBuilder.Insert 0035 CurrencyString 003a FloatToStr 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 D9 45 08 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_69528_0 {
	meta:
		name = "TStringBuilder.Insert"
		size = 236
		refs = "0012 TStringBuilder.Insert 0023 SParamIsNegative 002a _DV_ERangeError 002f Exception.CreateResFmt 0034 @RaiseExcept 004a SListIndexError 0072 TStringBuilder.SetLength 00a5 Move 00b8 @UStrToPWChar"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F9 8B F2 8B D8 85 F6 7D 27 B8 ?? ?? ?? ?? 89 04 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 73 08 7E 22 89 34 24 C6 44 24 04 00 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 85 C0 74 05 83 E8 04 8B 00 8B 53 08 03 D0 8B C3 E8 ?? ?? ?? ?? 8B C7 85 C0 74 05 83 E8 04 8B 00 8B D7 85 D2 74 05 83 EA 04 8B 12 03 C6 8B 4B 04 8D 04 41 8B 4B 08 2B CA 2B CE 03 C9 8B 53 04 8D 14 72 92 E8 ?? ?? ?? ?? 8B EF 85 ED 74 06 83 ED 04 8B 6D 00 8B C7 E8 ?? ?? ?? ?? 8B CD 03 C9 8B 53 04 8D 14 72 E8 ?? ?? ?? ?? 8B C3 59 5A 5D 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 64 00 65 00 78 00 00 00 }
	condition:
		$1
}

rule function_69529_0 {
	meta:
		name = "TStringBuilder.Insert"
		size = 88
		refs = "0012 TStringBuilder.Insert 0023 IntToStr 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 0F B7 C7 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69530_0 {
	meta:
		name = "TStringBuilder.Insert"
		size = 90
		refs = "0012 TStringBuilder.Insert 0023 IntToStr 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 0F BE C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C7 E8 ?? ?? ?? ?? 8B DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69531_0 {
	meta:
		name = "TStringBuilder.Insert"
		size = 208
		refs = "0011 TStringBuilder.Insert 0022 SParamIsNegative 0029 _DV_ERangeError 002e Exception.CreateResFmt 0033 @RaiseExcept 0049 SListIndexError 0061 @DynArrayLength 006d TStringBuilder.SetLength 0094 Move"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 85 F6 7D 27 B8 ?? ?? ?? ?? 89 04 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 73 08 7E 22 89 34 24 C6 44 24 04 00 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 03 53 08 8B C3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 03 C6 8B 53 04 8D 04 42 50 8B C7 E8 ?? ?? ?? ?? 8B C8 03 C9 8B 43 04 8D 04 70 5A E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 03 C0 50 8B C7 8B 53 04 8D 14 72 59 E8 ?? ?? ?? ?? 8B C3 59 5A 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 64 00 65 00 78 00 00 00 }
	condition:
		$1
}

rule function_69532_0 {
	meta:
		name = "TStringBuilder.Insert"
		size = 113
		refs = "0015 TStringBuilder.Insert 0035 CurrencyString 003a CurrToStr 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 FF 75 F4 FF 75 F0 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_69533_0 {
	meta:
		name = "TStringBuilder.Insert"
		size = 172
		refs = "0011 TStringBuilder.Insert 0022 SParamIsNegative 0029 _DV_ERangeError 002e Exception.CreateResFmt 0033 @RaiseExcept 0049 SListIndexError 0065 TStringBuilder.SetLength 0081 Move"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 85 F6 7D 27 B8 ?? ?? ?? ?? 89 04 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 73 08 7E 22 89 34 24 C6 44 24 04 00 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 2B C6 48 8B C8 03 C9 8B 43 04 8D 54 70 02 8B 43 04 8D 04 70 E8 ?? ?? ?? ?? 8B 43 04 66 89 3C 70 8B C3 59 5A 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 64 00 65 00 78 00 00 00 }
	condition:
		$1
}

rule function_69534_0 {
	meta:
		name = "TStringBuilder.Insert"
		size = 90
		refs = "0012 TStringBuilder.Insert 0023 IntToStr 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 0F B6 C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C7 E8 ?? ?? ?? ?? 8B DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69535_0 {
	meta:
		name = "TStringBuilder.Insert"
		size = 113
		refs = "0015 TStringBuilder.Insert 0035 CurrencyString 003a FloatToStr 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_69536_0 {
	meta:
		name = "TStringBuilder.Insert"
		size = 87
		refs = "0012 TStringBuilder.Insert 0022 IntToStr 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69537_0 {
	meta:
		name = "TStringBuilder.Insert"
		size = 88
		refs = "0012 TStringBuilder.Insert 0023 IntToStr 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 0F BF C7 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69538_0 {
	meta:
		name = "TStringBuilder.Insert"
		size = 91
		refs = "0012 TStringBuilder.Insert 0024 BoolToStr 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C7 E8 ?? ?? ?? ?? 8B DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69539_0 {
	meta:
		name = "TStringBuilder.Insert"
		size = 48
		refs = "001f TStringBuilder.Insert"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 4B 85 DB 7C 10 43 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 4B 75 F1 8B C6 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_69540_0 {
	meta:
		name = "TStringBuilder.Insert"
		size = 432
		refs = "002a SListIndexError 0031 _DV_ERangeError 0036 Exception.CreateResFmt 003b @RaiseExcept 0070 TStringBuilder.Insert 0083 SParamIsNegative 00c9 @DynArrayLength 0107 SInputBufferExceed 0124 TStringBuilder.SetLength 0145 Move"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B C6 48 3B 43 08 7C 26 89 75 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 85 F6 7D 24 89 75 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 0C 00 7D 29 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 7D 29 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 0C 03 D7 3B C2 7D 46 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8B 45 0C 89 45 DC C6 45 E0 00 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 89 7D EC C6 45 F0 00 8D 45 D4 50 6A 03 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 03 D7 8B C3 E8 ?? ?? ?? ?? 8B 43 08 2B C6 85 C0 7E 18 8D 14 37 8B 4B 04 8D 14 51 03 C0 50 8B 43 04 8D 04 70 59 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 0C 8D 04 50 8B CF 03 C9 8B 53 04 8D 14 72 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 74 00 61 00 72 00 74 00 49 00 6E 00 64 00 65 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 68 00 61 00 72 00 43 00 6F 00 75 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_69541_0 {
	meta:
		name = "TStringBuilder.Insert"
		size = 91
		refs = "0012 TStringBuilder.Insert 0026 IntToStr 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 33 D2 52 50 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69543_0 {
	meta:
		name = "TStringBuilder.ReduceCapacity"
		size = 59
		refs = "0006 TStringBuilder.GetCapacity 0035 TStringBuilder.SetCapacity"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 79 03 83 C0 03 C1 F8 02 3B 43 08 7C 20 8B C3 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 53 08 3B C2 7D 02 8B C2 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69544_0 {
	meta:
		name = "TStringBuilder.Remove"
		size = 268
		refs = "001a TStringBuilder.Remove 002b SParamIsNegative 0032 _DV_ERangeError 0037 Exception.CreateResFmt 003c @RaiseExcept 0070 TStringBuilder.CheckBounds 00a5 Move 00b1 TStringBuilder.SetLength 00b8 TStringBuilder.ReduceCapacity"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F1 8B FA 8B D8 85 F6 0F 84 A7 00 00 00 85 FF 7D 27 B8 ?? ?? ?? ?? 89 04 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7D 27 B8 ?? ?? ?? ?? 89 04 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 2C 3E 8B D5 4A 8B C3 E8 ?? ?? ?? ?? 8B 43 08 2B C5 85 C0 7E 1F 8D 04 3E 8B 53 08 2B D0 8B CA 03 C9 8B 43 04 8D 04 78 50 8B 43 04 8D 04 68 5A E8 ?? ?? ?? ?? 8B 53 08 2B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 59 5A 5D 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 74 00 61 00 72 00 74 00 49 00 6E 00 64 00 65 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 52 00 65 00 6D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_69545_0 {
	meta:
		name = "TStringBuilder.Replace"
		size = 464
		refs = "0024 TStringBuilder.Replace 0037 SParamIsNegative 003e _DV_ERangeError 0043 Exception.CreateResFmt 0048 @RaiseExcept 00ba SInputBufferExceed 011d @UStrToPWChar 0129 StrLComp 013d TStringBuilder._Replace"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 89 4D FC 8B FA 8B F0 89 75 F8 83 7D 08 00 0F 84 6B 01 00 00 83 7D 0C 00 7D 29 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8D 45 DC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 08 00 7D 29 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8D 45 DC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 03 45 08 3B 46 08 7E 49 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 8B 45 0C 89 45 C4 C6 45 C8 00 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8B 45 08 89 45 D4 C6 45 D8 00 8D 45 BC 50 6A 03 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 85 D2 74 05 83 EA 04 8B 12 89 55 E8 8B 55 FC 85 D2 74 05 83 EA 04 8B 12 89 55 E4 8B 55 0C 89 55 F0 8B 56 04 8B 4D 0C 8D 1C 4A 2B 45 E8 89 45 EC 8B 46 04 8B 55 EC 8D 04 50 89 45 F4 3B 5D F4 77 76 0F B7 07 66 3B 03 75 63 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 4D E8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 4C 8B 45 FC 50 8B CF 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 15 8B 46 04 8B 55 F0 8D 1C 50 8B 46 04 8B 55 EC 8D 04 50 89 45 F4 8B 45 E4 48 03 C0 03 D8 8B 45 E4 48 01 45 F0 8B 45 E4 2B 45 E8 03 C0 01 45 F4 8B 45 E4 2B 45 E8 01 45 EC 83 C3 02 FF 45 F0 3B 5D F4 76 8A 8B 45 F8 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 74 00 61 00 72 00 74 00 49 00 6E 00 64 00 65 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6F 00 75 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_69546_0 {
	meta:
		name = "TStringBuilder.Replace"
		size = 256
		refs = "0026 TStringBuilder.Replace 0039 SParamIsNegative 0040 _DV_ERangeError 0045 Exception.CreateResFmt 004a @RaiseExcept 0080 TStringBuilder.CheckBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 66 89 4D FC 66 89 55 FE 8B D8 8B 7D 08 8B 75 0C 85 FF 0F 84 98 00 00 00 85 F6 7D 29 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 7D 29 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 14 37 4A 8B C3 E8 ?? ?? ?? ?? 03 FE 8B 43 04 8D 54 78 FE 8B 43 04 8D 04 70 3B D0 72 17 0F B7 08 66 3B 4D FE 75 07 0F B7 4D FC 66 89 08 83 C0 02 3B D0 73 E9 8B C3 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 74 00 61 00 72 00 74 00 49 00 6E 00 64 00 65 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6F 00 75 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_69547_0 {
	meta:
		name = "TStringBuilder.Replace"
		size = 39
	strings:
		$1 = { 53 56 57 8B 58 04 8B 70 08 8D 7C 73 FE 8B 70 04 3B FE 72 0F 66 3B 16 75 03 66 89 0E 83 C6 02 3B FE 73 F1 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69548_0 {
	meta:
		name = "TStringBuilder.Replace"
		size = 20
		refs = "000b TStringBuilder.Replace"
	strings:
		$1 = { 53 56 8B F0 6A 00 8B 58 08 53 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_69549_0 {
	meta:
		name = "TStringBuilder.SetCapacity"
		size = 115
		refs = "001b SListCapacityError 0022 _DV_ERangeError 0027 Exception.CreateResFmt 002c @RaiseExcept 0062 TArray<System.Char> 0067 @DynArraySetLength"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 3B 5E 08 7D 22 89 1C 24 C6 44 24 04 00 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 5E 0C 7E 22 89 1C 24 C6 44 24 04 00 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_69550_0 {
	meta:
		name = "TStringBuilder.SetChars"
		size = 104
		refs = "0011 TStringBuilder.SetChars 0022 SParamIsNegative 0029 _DV_ERangeError 002e Exception.CreateResFmt 0033 @RaiseExcept 003c TStringBuilder.CheckBounds"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 85 F6 7D 27 B8 ?? ?? ?? ?? 89 04 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 04 66 89 3C 70 59 5A 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6E 00 64 00 65 00 78 00 00 00 }
	condition:
		$1
}

rule function_69551_0 {
	meta:
		name = "TStringBuilder.SetLength"
		size = 236
		refs = "0013 TStringBuilder.SetLength 0026 SParamIsNegative 002d _DV_ERangeError 0032 Exception.CreateResFmt 0037 @RaiseExcept 003f TStringBuilder.GetMaxCapacity 0056 SListCapacityError 008e TStringBuilder.GetCapacity 009a TStringBuilder.ExpandCapacity 00a9 @HandleOnException 00b1 _DV_EOutOfMemory 00c3 @RaiseAgain 00c8 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B DA 89 45 FC 85 DB 7D 29 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7E 24 89 5D F0 C6 45 F4 00 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B F3 89 70 08 8B 45 FC E8 ?? ?? ?? ?? 3B F0 7E 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 24 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 50 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 61 00 6C 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_69552_0 {
	meta:
		name = "TStringBuilder.ToString"
		size = 41
		refs = "000c @UStrSetLength 0013 @UniqueStringU 0022 Move"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 4B 08 03 C9 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69553_0 {
	meta:
		name = "TStringBuilder.ToString"
		size = 256
		refs = "001c TStringBuilder.ToString 002f SParamIsNegative 0036 _DV_ERangeError 003b Exception.CreateResFmt 0040 @RaiseExcept 0076 TStringBuilder.CheckBounds 008b @UStrSetLength 0093 @UniqueStringU 00a4 Move 00ae @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 8B FA 8B F0 85 DB 0F 84 93 00 00 00 85 FF 7D 29 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7D 29 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 14 3B 4A 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B D3 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 8B D0 8B 46 04 8D 04 78 8B CB 03 C9 E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 74 00 61 00 72 00 74 00 49 00 6E 00 64 00 65 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 74 00 72 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_69554_0 {
	meta:
		name = "TStringBuilder._Replace"
		size = 296
		refs = "0045 @UStrToPWChar 0057 Move 006d TStringBuilder.GetCapacity 007b TStringBuilder.SetLength"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F8 89 55 FC 8B D8 C6 45 F7 00 8B 45 08 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 85 D2 74 05 83 EA 04 8B 12 8B F0 2B F2 85 F6 75 2B 8B 75 08 85 F6 74 05 83 EE 04 8B 36 8B 45 08 E8 ?? ?? ?? ?? 8B 53 04 8B 4D FC 8D 14 4A 8B CE 03 C9 E8 ?? ?? ?? ?? E9 BB 00 00 00 8B 43 08 89 45 F0 85 F6 7E 24 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 53 08 03 D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F8 74 04 C6 45 F7 01 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B 55 08 85 D2 74 05 83 EA 04 8B 12 8B 4D F8 89 4D EC 83 7D EC 00 74 0B 8B 4D EC 83 E9 04 8B 09 89 4D EC 8B 4D EC 03 4D FC 8B 7D F0 2B F9 8B CF 03 C9 51 03 45 FC 8B 4B 04 8D 04 41 03 55 FC 8B 4B 04 8D 14 51 59 E8 ?? ?? ?? ?? 8B 7D 08 85 FF 74 05 83 EF 04 8B 3F 8B 45 08 E8 ?? ?? ?? ?? 8B 53 04 8B 4D FC 8D 14 4A 8B CF 03 C9 E8 ?? ?? ?? ?? 85 F6 7D 0C 8B 53 08 03 D6 8B C3 E8 ?? ?? ?? ?? 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_69555_0 {
	meta:
		name = "GetEncodingHashIndex"
		size = 38
		refs = "0004 EncodingHashList"
	strings:
		$1 = { 57 51 8D 3D ?? ?? ?? ?? B9 FB 00 00 00 F2 AF 75 0C F7 D1 81 C1 FB 00 00 00 89 C8 EB 05 B8 FF FF FF FF 59 5F C3 C3 }
	condition:
		$1
}

rule function_69556_0 {
	meta:
		name = "GetCodePageFromEncodingName"
		size = 308
		refs = "001e GetCodePageFromEncodingName 0036 @LStrFromUStr 003e @LStrToPChar 0047 HashName 004c GetEncodingHashIndex 0058 EncodingNameList 0060 EncodingDataList 006b StrComp 00a0 @UStrCopy 00ad @UStrEqual 00dc @ValInt64 0102 @UStrArrayClr 010a @LStrClr 0110 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 F0 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 83 FF FF 74 37 BB ?? ?? ?? ?? 0F B7 04 BD ?? ?? ?? ?? 03 D8 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 84 DB 74 72 8B 04 BD ?? ?? ?? ?? C1 E8 10 0F B7 C0 8B 55 F8 89 02 EB 5E 8D 45 EC 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 39 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 E8 50 8B CB 83 E9 02 BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F8 89 02 83 7D F4 00 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 63 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_69558_0 {
	meta:
		name = "TEncoding.Convert"
		size = 127
		refs = "0011 TEncoding.Convert 0024 TEncoding.GetChars 0031 TEncoding.GetBytes 003d TArray<System.Byte> 0042 @DynArrayAsg 0058 TArray<System.Char> 005d @DynArrayClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69559_0 {
	meta:
		name = "TEncoding.Convert"
		size = 135
		refs = "0011 TEncoding.Convert 002c TEncoding.GetChars 0039 TEncoding.GetBytes 0045 TArray<System.Byte> 004a @DynArrayAsg 0060 TArray<System.Char> 0065 @DynArrayClear 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8D 45 F8 50 8B 4D 10 8B 55 14 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_69561_0 {
	meta:
		name = "TEncoding.FreeEncodings"
		size = 109
		refs = "0001 TEncoding.FANSIEncoding 000e TObject.Free 0013 TEncoding.FASCIIEncoding 0025 TEncoding.FUTF7Encoding 0037 TEncoding.FUTF8Encoding 0049 TEncoding.FUnicodeEncoding 005b TEncoding.FBigEndianUnicodeEncoding"
	strings:
		$1 = { A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69562_0 {
	meta:
		name = "TEncoding.GetANSI"
		size = 67
		refs = "0003 TEncoding.FANSIEncoding 000f GetACP 0018 _DV_TMBCSEncoding 001d TMBCSEncoding.Create 002d InterlockedCompareExchangePointer 0038 TObject.Free"
	strings:
		$1 = { 53 83 3D ?? ?? ?? ?? 00 75 32 6A 00 6A 00 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69563_0 {
	meta:
		name = "TEncoding.GetASCII"
		size = 111
		refs = "0006 TEncoding.FASCIIEncoding 0014 GetCPInfo 0028 _DV_TMBCSEncoding 002d TMBCSEncoding.Create 0056 InterlockedCompareExchangePointer 0061 TObject.Free"
	strings:
		$1 = { 53 83 C4 EC 83 3D ?? ?? ?? ?? 00 75 58 54 68 9F 4E 00 00 E8 ?? ?? ?? ?? 85 C0 74 19 6A 00 6A 00 B9 9F 4E 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 17 6A 00 6A 00 B9 B5 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 C4 14 5B C3 }
	condition:
		$1
}

rule function_69564_0 {
	meta:
		name = "TEncoding.GetBigEndianUnicode"
		size = 56
		refs = "0003 TEncoding.FBigEndianUnicodeEncoding 000d _DV_TBigEndianUnicodeEncoding 0012 TUnicodeEncoding.Create 0022 InterlockedCompareExchangePointer 002d TObject.Free"
	strings:
		$1 = { 53 83 3D ?? ?? ?? ?? 00 75 27 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69590_0 {
	meta:
		name = "TEncoding.GetUTF7"
		size = 56
		refs = "0003 TEncoding.FUTF7Encoding 000d _DV_TUTF7Encoding 0012 TUTF7Encoding.Create 0022 InterlockedCompareExchangePointer 002d TObject.Free"
	strings:
		$1 = { 53 83 3D ?? ?? ?? ?? 00 75 27 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69591_0 {
	meta:
		name = "TEncoding.GetUTF8"
		size = 56
		refs = "0003 TEncoding.FUTF8Encoding 000d _DV_TUTF8Encoding 0012 TUTF8Encoding.Create 0022 InterlockedCompareExchangePointer 002d TObject.Free"
	strings:
		$1 = { 53 83 3D ?? ?? ?? ?? 00 75 27 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69589_0 {
	meta:
		name = "TEncoding.GetUnicode"
		size = 56
		refs = "0003 TEncoding.FUnicodeEncoding 000d _DV_TUnicodeEncoding 0012 TUnicodeEncoding.Create 0022 InterlockedCompareExchangePointer 002d TObject.Free"
	strings:
		$1 = { 53 83 3D ?? ?? ?? ?? 00 75 27 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69565_0 {
	meta:
		name = "TEncoding.GetBufferEncoding"
		size = 25
		refs = "0007 TEncoding.GetDefault 0012 TEncoding.GetBufferEncoding"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69566_0 {
	meta:
		name = "ContainsPreamble"
		size = 90
		refs = "0012 @DynArrayLength"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B F8 C6 45 FF 01 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 3B D8 7C 29 8B C6 E8 ?? ?? ?? ?? 8B D0 85 D2 7E 20 B8 01 00 00 00 0F B6 4C 07 FF 3A 4C 06 FF 74 06 C6 45 FF 00 EB 0A 40 4A 75 EB EB 04 C6 45 FF 00 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69567_0 {
	meta:
		name = "TEncoding.GetBufferEncoding"
		size = 284
		refs = "001d TEncoding.GetBufferEncoding 0033 TEncoding.GetUTF8 0045 ContainsPreamble 0057 TEncoding.GetUnicode 007b TEncoding.GetBigEndianUnicode 00b3 @DynArrayLength 00ef TArray<System.Byte> 00f9 @FinalizeArray 0107 @DynArrayClear 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 83 3B 00 0F 85 89 00 00 00 E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 51 24 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 74 09 E8 ?? ?? ?? ?? 89 03 EB 4F E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 51 24 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 84 C0 74 09 E8 ?? ?? ?? ?? 89 03 EB 2B E8 ?? ?? ?? ?? 8D 55 EC 8B 08 FF 51 24 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 84 C0 74 09 E8 ?? ?? ?? ?? 89 03 EB 07 8B 45 F8 89 03 EB 38 8D 55 E8 8B 03 8B 08 FF 51 24 8B 45 E8 E8 ?? ?? ?? ?? 8B F0 EB 22 8D 55 FC 8B 03 8B 08 FF 51 24 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 FC E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69568_0 {
	meta:
		name = "TEncoding.GetByteCount"
		size = 28
		refs = "0009 @DynArrayLength 0015 TEncoding.GetByteCount"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69577_0 {
	meta:
		name = "TEncoding.GetCharCount"
		size = 28
		refs = "0009 @DynArrayLength 0015 TEncoding.GetCharCount"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69569_0 {
	meta:
		name = "TEncoding.GetByteCount"
		size = 172
		refs = "0026 SCharIndexOutOfBounds 002d _DV_EEncodingError 0032 Exception.CreateResFmt 0037 @RaiseExcept 004e SInvalidCharCount 0067 @DynArrayLength"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 89 55 FC 8B F8 8B 5D 08 85 F6 7D 24 89 75 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7D 24 89 5D F4 C6 45 F8 00 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 2B C6 3B D8 7E 24 89 5D F4 C6 45 F8 00 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8D 14 70 8B CB 8B C7 8B 18 FF 13 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_69570_0 {
	meta:
		name = "TEncoding.GetByteCount"
		size = 39
		refs = "0015 @UStrToPWChar"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B DF 85 DB 74 05 83 EB 04 8B 1B 8B C7 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C6 8B 18 FF 13 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69571_0 {
	meta:
		name = "TEncoding.GetByteCount"
		size = 175
		refs = "0026 SCharIndexOutOfBounds 002d _DV_EEncodingError 0032 Exception.CreateResFmt 0037 @RaiseExcept 004e SInvalidCharCount"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D FC 8B 75 08 83 7D FC 01 7D 27 8B 45 FC 89 45 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7D 24 89 75 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CA 85 C9 74 05 83 E9 04 8B 09 2B 4D FC 41 3B F1 7E 24 89 75 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8D 54 4A FE 8B CE 8B 18 FF 13 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_69572_0 {
	meta:
		name = "TEncoding.GetBytes"
		size = 88
		refs = "0018 TEncoding.GetByteCount 002d TArray<System.Byte> 0032 @DynArraySetLength 004c TEncoding.GetBytes"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 50 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 0C 50 8B 45 08 8B 00 50 6A 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69573_0 {
	meta:
		name = "TEncoding.GetBytes"
		size = 72
		refs = "000f TEncoding.GetByteCount 001f TArray<System.Byte> 0024 @DynArraySetLength 002e @DynArrayLength 003f TEncoding.GetBytes"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B E8 55 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 E8 ?? ?? ?? ?? 50 8B 07 50 6A 00 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69574_0 {
	meta:
		name = "TEncoding.GetBytes"
		size = 358
		refs = "0023 SInvalidSourceArray 002a _DV_EEncodingError 002f Exception.CreateRes 0034 @RaiseExcept 0044 SInvalidDestinationArray 006c SCharIndexOutOfBounds 0078 Exception.CreateResFmt 0094 SInvalidCharCount 00ad @DynArrayLength 00fe SInvalidDestinationIndex 011d TEncoding.GetByteCount"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 89 55 F8 89 45 FC 8B 75 08 8B 5D 10 83 7D F8 00 75 1B 85 DB 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 0C 00 75 1B 85 DB 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 7D 24 89 7D EC C6 45 F0 00 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7D 24 89 5D EC C6 45 F0 00 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 2B C7 3B D8 7E 24 89 5D EC C6 45 F0 00 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 89 45 F4 85 F6 7C 05 3B 75 F4 7E 24 89 75 EC C6 45 F0 00 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 8B CF 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 2B D6 3B C2 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 03 C6 50 8B 45 F4 2B C6 50 8B 45 F8 8D 14 78 8B CB 8B 45 FC 8B 18 FF 53 04 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_69575_0 {
	meta:
		name = "TEncoding.GetBytes"
		size = 79
		refs = "000f TEncoding.GetByteCount 001f TArray<System.Byte> 0024 @DynArraySetLength 0046 TEncoding.GetBytes"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B E8 55 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 85 C0 74 05 83 E8 04 8B 00 50 8B 07 50 6A 00 B9 01 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69576_0 {
	meta:
		name = "TEncoding.GetBytes"
		size = 332
		refs = "0023 SInvalidSourceArray 002a _DV_EEncodingError 002f Exception.CreateRes 0034 @RaiseExcept 004c SCharIndexOutOfBounds 0058 Exception.CreateResFmt 0074 SInvalidCharCount 00c4 @DynArrayLength 00e3 SInvalidDestinationIndex 0102 TEncoding.GetByteCount 0111 SInvalidDestinationArray"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 89 55 F8 89 45 FC 8B 75 08 8B 5D 10 83 7D 0C 00 75 1B 85 DB 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FF 01 7D 24 89 7D EC C6 45 F0 00 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7D 24 89 5D EC C6 45 F0 00 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 2B C7 40 3B D8 7E 24 89 5D EC C6 45 F0 00 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 89 45 F4 85 F6 7C 05 3B 75 F4 7E 24 89 75 EC C6 45 F0 00 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 8B CF 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 2B D6 3B C2 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 03 C6 50 8B 45 F4 2B C6 50 8B 45 F8 8D 54 78 FE 8B CB 8B 45 FC 8B 18 FF 53 04 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_69578_0 {
	meta:
		name = "TEncoding.GetCharCount"
		size = 201
		refs = "001d SInvalidSourceArray 0024 _DV_EEncodingError 0029 Exception.CreateRes 002e @RaiseExcept 0045 SByteIndexOutOfBounds 0051 Exception.CreateResFmt 006d SInvalidCharCount 0085 @DynArrayLength"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8B FA 89 45 FC 8B 5D 08 85 FF 75 1B 85 DB 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7D 24 89 75 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7D 24 89 5D F4 C6 45 F8 00 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 2B C6 3B D8 7E 24 89 5D F4 C6 45 F8 00 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 14 37 8B CB 8B 45 FC 8B 18 FF 53 08 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_69579_0 {
	meta:
		name = "TEncoding.GetChars"
		size = 108
		refs = "0012 TEncoding.GetChars 001f @DynArrayLength 003a TArray<System.Char> 003f @DynArrayAsg 005a @DynArrayClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 45 FC 50 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69580_0 {
	meta:
		name = "TEncoding.GetChars"
		size = 253
		refs = "001d SInvalidSourceArray 0024 _DV_EEncodingError 0029 Exception.CreateRes 002e @RaiseExcept 0045 SByteIndexOutOfBounds 0051 Exception.CreateResFmt 006d SInvalidCharCount 0085 @DynArrayLength 00bc TEncoding.GetCharCount 00d1 TArray<System.Char> 00d6 @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8B FA 89 45 FC 8B 5D 0C 85 FF 75 1B 85 DB 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7D 24 89 75 F0 C6 45 F4 00 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7D 24 89 5D F0 C6 45 F4 00 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 2B C6 3B D8 7E 24 89 5D F0 C6 45 F4 00 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 50 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 00 50 8B 45 F8 50 8D 14 37 8B CB 8B 45 FC 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_69581_0 {
	meta:
		name = "TEncoding.GetChars"
		size = 331
		refs = "0023 SInvalidSourceArray 002a _DV_EEncodingError 002f Exception.CreateRes 0034 @RaiseExcept 004b SByteIndexOutOfBounds 0057 Exception.CreateResFmt 0073 SInvalidCharCount 008c @DynArrayLength 00c4 TEncoding.GetCharCount 00ea SInvalidDestinationIndex 0112 SInvalidDestinationArray"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 89 55 F8 89 45 FC 8B 7D 08 8B 5D 10 83 7D F8 00 75 1B 85 DB 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7D 24 89 75 EC C6 45 F0 00 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7D 24 89 5D EC C6 45 F0 00 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 2B C6 3B D8 7E 24 89 5D EC C6 45 F0 00 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 8B CE 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 85 FF 7C 0C 8B 45 0C E8 ?? ?? ?? ?? 3B F8 7E 24 89 7D EC C6 45 F0 00 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B D7 03 55 F4 3B C2 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 8D 04 78 50 8B 45 F4 50 8B 45 F8 8D 14 30 8B CB 8B 45 FC 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_69584_0 {
	meta:
		name = "TEncoding.GetEncoding"
		size = 93
		refs = "001d _DV_TUnicodeEncoding 0022 TUnicodeEncoding.Create 002a _DV_TBigEndianUnicodeEncoding 0037 _DV_TUTF7Encoding 003c TUTF7Encoding.Create 0044 _DV_TUTF8Encoding 0049 TUTF8Encoding.Create 0053 _DV_TMBCSEncoding 0058 TMBCSEncoding.Create"
	strings:
		$1 = { 8B D0 81 EA B0 04 00 00 74 10 4A 74 1A 81 EA 37 F9 00 00 74 1F 4A 74 29 EB 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69585_0 {
	meta:
		name = "TEncoding.GetEncoding"
		size = 124
		refs = "0012 TEncoding.GetEncoding 0022 LowerCase 002d GetCodePageFromEncodingName 0043 SInvalidEncodingName 004a _DV_EEncodingError 004f Exception.CreateRes 0054 @RaiseExcept 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_69587_0 {
	meta:
		name = "TEncoding.GetString"
		size = 33
		refs = "000c @DynArrayLength 0019 TEncoding.GetString"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 57 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69588_0 {
	meta:
		name = "TEncoding.GetString"
		size = 111
		refs = "0012 TEncoding.GetString 002b TEncoding.GetChars 0033 @DynArrayLength 0040 @UStrFromPWCharLen 0056 TArray<System.Char> 005b @DynArrayClear 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69592_0 {
	meta:
		name = "TEncoding.IsStandardEncoding"
		size = 58
		refs = "0006 TEncoding.FANSIEncoding 000e TEncoding.FUTF8Encoding 0016 TEncoding.FUnicodeEncoding 001e TEncoding.FASCIIEncoding 0026 TEncoding.FUTF7Encoding 002e TEncoding.FBigEndianUnicodeEncoding"
	strings:
		$1 = { 85 C0 74 30 3B 05 ?? ?? ?? ?? 74 2B 3B 05 ?? ?? ?? ?? 74 23 3B 05 ?? ?? ?? ?? 74 1B 3B 05 ?? ?? ?? ?? 74 13 3B 05 ?? ?? ?? ?? 74 0B 3B 05 ?? ?? ?? ?? 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_69593_0 {
	meta:
		name = "TMBCSEncoding.Create"
		size = 66
		refs = "000b @ClassCreate 0018 GetACP 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 6A 00 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 8B 38 FF 57 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69594_0 {
	meta:
		name = "TMBCSEncoding.Create"
		size = 69
		refs = "000e @ClassCreate 0030 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 89 4B 0C 6A 00 6A 00 33 D2 8B C3 8B 30 FF 56 30 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69595_0 {
	meta:
		name = "TMBCSEncoding.Create"
		size = 137
		refs = "0010 @ClassCreate 001d GetACP 003e GetCPInfo 0048 SInvalidCodePage 004f _DV_EEncodingError 0054 Exception.CreateRes 0059 @RaiseExcept 0071 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 85 C9 75 0A E8 ?? ?? ?? ?? 89 46 0C EB 03 89 4E 0C 8B 45 0C 89 46 10 8B 45 08 89 46 14 8D 45 EC 50 8B 46 0C 50 E8 ?? ?? ?? ?? 85 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 89 46 08 48 0F 94 C0 88 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_69596_0 {
	meta:
		name = "TMBCSEncoding.Clone"
		size = 34
		refs = "0017 _DV_TMBCSEncoding 001c TMBCSEncoding.Create"
	strings:
		$1 = { 53 8B D8 8B 43 10 50 8B 43 14 50 8B C3 8B 10 FF 52 10 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69597_0 {
	meta:
		name = "TMBCSEncoding.GetByteCount"
		size = 24
		refs = "0013 LocaleCharsFromUnicode"
	strings:
		$1 = { 51 6A 00 6A 00 6A 00 6A 00 8B 48 0C 8B 40 14 91 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69598_0 {
	meta:
		name = "TMBCSEncoding.GetBytes"
		size = 34
		refs = "001a LocaleCharsFromUnicode"
	strings:
		$1 = { 55 8B EC 51 8B 4D 0C 51 8B 4D 08 51 6A 00 6A 00 8B 48 0C 8B 40 14 91 87 CA E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_69599_0 {
	meta:
		name = "TMBCSEncoding.GetCharCount"
		size = 20
		refs = "000f UnicodeFromLocaleChars"
	strings:
		$1 = { 51 6A 00 6A 00 8B 48 0C 8B 40 10 91 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69600_0 {
	meta:
		name = "TMBCSEncoding.GetChars"
		size = 30
		refs = "0016 UnicodeFromLocaleChars"
	strings:
		$1 = { 55 8B EC 51 8B 4D 0C 51 8B 4D 08 51 8B 48 0C 8B 40 10 91 87 CA E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_69602_0 {
	meta:
		name = "TMBCSEncoding.GetEncodingName"
		size = 62
		refs = "0014 GetCPInfoEx 0028 @UStrFromWArray 0031 @UStrClr"
	strings:
		$1 = { 53 56 81 C4 E0 FD FF FF 8B F2 8B D8 54 6A 00 8B 43 0C 50 E8 ?? ?? ?? ?? 85 C0 74 12 8B C6 8D 54 24 18 B9 04 01 00 00 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 81 C4 20 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_69603_0 {
	meta:
		name = "TMBCSEncoding.GetMaxByteCount"
		size = 8
	strings:
		$1 = { 42 0F AF 50 08 8B C2 C3 }
	condition:
		$1
}

rule function_69605_0 {
	meta:
		name = "TMBCSEncoding.GetPreamble"
		size = 342
		refs = "0010 TMBCSEncoding.GetPreamble 003e TArray<System.Byte> 0043 @DynArrayClear 0058 @DynArraySetLength 0078 @DynArrayAsg 0145 @FinalizeArray 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 10 FF 52 10 2D B0 04 00 00 74 13 48 74 58 2D 38 F9 00 00 0F 84 92 00 00 00 E9 D9 00 00 00 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC C6 00 FF 8B 45 FC C6 40 01 FE 8B 55 FC 8B C3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A8 00 00 00 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 C6 00 FE 8B 45 F8 C6 40 01 FF 8B 55 F8 8B C3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 63 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 C6 00 EF 8B 45 F4 C6 40 01 BB 8B 45 F4 C6 40 02 BF 8B 55 F4 8B C3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 6A 00 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69606_0 {
	meta:
		name = "TUTF7Encoding.Create"
		size = 62
		refs = "000a @ClassCreate 001c TMBCSEncoding.Create 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B9 E8 FD 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 04 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_69608_0 {
	meta:
		name = "TUTF7Encoding.GetMaxByteCount"
		size = 7
	strings:
		$1 = { 8D 04 52 83 C0 02 C3 }
	condition:
		$1
}

rule function_69610_0 {
	meta:
		name = "TUTF8Encoding.Create"
		size = 66
		refs = "000a @ClassCreate 0020 TMBCSEncoding.Create 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 08 6A 00 B9 E9 FD 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 04 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_69612_0 {
	meta:
		name = "TUTF8Encoding.GetMaxByteCount"
		size = 5
	strings:
		$1 = { 42 8D 04 52 C3 }
	condition:
		$1
}

rule function_69613_0 {
	meta:
		name = "TUTF8Encoding.GetMaxCharCount"
		size = 4
	strings:
		$1 = { 8D 42 01 C3 }
	condition:
		$1
}

rule function_69614_0 {
	meta:
		name = "TUTF8Encoding.GetPreamble"
		size = 135
		refs = "000c TUTF8Encoding.GetPreamble 001b TArray<System.Byte> 0020 @DynArrayClear 0035 @DynArraySetLength 005c @DynArrayAsg 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC C6 00 EF 8B 45 FC C6 40 01 BB 8B 45 FC C6 40 02 BF 8B 55 FC 8B C3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_69615_0 {
	meta:
		name = "TUnicodeEncoding.Create"
		size = 43
		refs = "0008 @ClassCreate 001c @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? C6 40 04 00 C7 40 08 04 00 00 00 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_69617_0 {
	meta:
		name = "TUnicodeEncoding.GetByteCount"
		size = 5
	strings:
		$1 = { 8B C1 03 C0 C3 }
	condition:
		$1
}

rule function_69618_0 {
	meta:
		name = "TUnicodeEncoding.GetBytes"
		size = 27
		refs = "0010 Move"
	strings:
		$1 = { 55 8B EC 53 8B D9 03 DB 8B C2 8B 55 0C 8B CB E8 ?? ?? ?? ?? 8B C3 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69619_0 {
	meta:
		name = "TUnicodeEncoding.GetCharCount"
		size = 10
	strings:
		$1 = { 8B C1 D1 F8 79 03 83 D0 00 C3 }
	condition:
		$1
}

rule function_69620_0 {
	meta:
		name = "TUnicodeEncoding.GetChars"
		size = 30
		refs = "0013 Move"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B D8 8B C8 03 C9 8B C2 8B 55 0C E8 ?? ?? ?? ?? 8B C3 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69621_0 {
	meta:
		name = "TUnicodeEncoding.GetCodePage"
		size = 6
	strings:
		$1 = { B8 B0 04 00 00 C3 }
	condition:
		$1
}

rule function_69622_0 {
	meta:
		name = "TUnicodeEncoding.GetEncodingName"
		size = 64
		refs = "0006 TUnicodeEncoding.GetEncodingName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 31 00 32 00 30 00 30 00 20 00 20 00 28 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 29 00 00 00 }
	condition:
		$1
}

rule function_69623_0 {
	meta:
		name = "TUnicodeEncoding.GetMaxByteCount"
		size = 6
	strings:
		$1 = { 42 8B C2 03 C0 C3 }
	condition:
		$1
}

rule function_69624_0 {
	meta:
		name = "TUnicodeEncoding.GetMaxCharCount"
		size = 16
	strings:
		$1 = { 8B C2 D1 F8 79 03 83 D0 00 83 E2 01 03 C2 40 C3 }
	condition:
		$1
}

rule function_69625_0 {
	meta:
		name = "TUnicodeEncoding.GetPreamble"
		size = 128
		refs = "000c TUnicodeEncoding.GetPreamble 001b TArray<System.Byte> 0020 @DynArrayClear 0035 @DynArraySetLength 0055 @DynArrayAsg 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC C6 00 FF 8B 45 FC C6 40 01 FE 8B 55 FC 8B C3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_69627_0 {
	meta:
		name = "TBigEndianUnicodeEncoding.GetBytes"
		size = 51
	strings:
		$1 = { 55 8B EC 53 56 8B 45 0C 8B F1 4E 85 F6 7C 1A 46 0F B7 1A 66 C1 EB 08 88 18 40 0F B6 1A 80 E3 FF 88 18 40 83 C2 02 4E 75 E7 8B C1 03 C0 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69628_0 {
	meta:
		name = "TBigEndianUnicodeEncoding.GetChars"
		size = 58
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 0C 8B C2 40 8B 4D 08 49 85 C9 7C 1C 41 0F B6 30 0F B6 3A C1 E7 08 66 0B F7 66 89 33 83 C2 02 83 C0 02 83 C3 02 49 75 E5 8B 45 08 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69629_0 {
	meta:
		name = "TBigEndianUnicodeEncoding.GetCodePage"
		size = 6
	strings:
		$1 = { B8 B1 04 00 00 C3 }
	condition:
		$1
}

rule function_69630_0 {
	meta:
		name = "TBigEndianUnicodeEncoding.GetEncodingName"
		size = 92
		refs = "0006 TBigEndianUnicodeEncoding.GetEncodingName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 31 00 32 00 30 00 31 00 20 00 20 00 28 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 20 00 2D 00 20 00 42 00 69 00 67 00 2D 00 45 00 6E 00 64 00 69 00 61 00 6E 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_69631_0 {
	meta:
		name = "TBigEndianUnicodeEncoding.GetPreamble"
		size = 128
		refs = "000c TBigEndianUnicodeEncoding.GetPreamble 001b TArray<System.Byte> 0020 @DynArrayClear 0035 @DynArraySetLength 0055 @DynArrayAsg 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC C6 00 FE 8B 45 FC C6 40 01 FF 8B 55 FC 8B C3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_69632_0 {
	meta:
		name = "BytesOf"
		size = 70
		refs = "0023 TArray<System.Byte> 0028 @DynArraySetLength 0035 @LStrToPChar 003d Move"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 89 34 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B D8 53 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 07 50 8B C6 E8 ?? ?? ?? ?? 8B CB 5A E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69636_0 {
	meta:
		name = "StringOf"
		size = 47
		refs = "000d @DynArrayHigh 0015 TEncoding.GetANSI 001e TEncoding.GetString 0028 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 DB 74 1B 8B C3 E8 ?? ?? ?? ?? 40 50 56 E8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69638_0 {
	meta:
		name = "PlatformStringOf"
		size = 47
		refs = "000d @DynArrayHigh 0015 TEncoding.GetUnicode 001e TEncoding.GetString 0028 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 DB 74 1B 8B C3 E8 ?? ?? ?? ?? 40 50 56 E8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69639_0 {
	meta:
		name = "WideStringOf"
		size = 47
		refs = "000d @DynArrayHigh 0015 TEncoding.GetUnicode 001e TEncoding.GetString 0028 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 DB 74 1B 8B C3 E8 ?? ?? ?? ?? 40 50 56 E8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69642_0 {
	meta:
		name = "AddNewLanguages"
		size = 328
		refs = "0013 @UStrAddRef 0018 LanguageArray 0020 AddNewLanguages 0031 UpperCase 003c @UStrLAsg 004e Pos 0068 @UStrCopy 0091 @UStrClr 009e @DynArrayLength 00b5 @UStrEqual 00e1 TArray<System.string> 00e6 @DynArraySetLength 00fe @UStrAsg 0122 @UStrArrayClr 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? BF ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? E9 BD 00 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 2A 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 50 8D 53 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? EB 13 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 74 2E 8B 07 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 20 46 33 DB 8B 07 8B 04 98 8B 55 F8 E8 ?? ?? ?? ?? 75 0A 8D 45 F8 E8 ?? ?? ?? ?? EB 04 43 4E 75 E3 83 7D F8 00 74 33 8B 07 E8 ?? ?? ?? ?? 40 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 07 E8 ?? ?? ?? ?? 8B 17 8D 44 82 FC 8B 55 F8 E8 ?? ?? ?? ?? 83 7D FC 00 0F 85 39 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_69643_0 {
	meta:
		name = "InitLanguageList"
		size = 121
		refs = "0009 InitLanguageList 0014 LanguageArray 0019 @DynArrayLength 0027 GetLocaleOverride 0032 GetUserDefaultUILanguage 003a GetUILanguages 0042 AddNewLanguages 0048 DefaultFallbackLanguages 006a @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 38 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 83 7D FC 00 75 0D E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_69645_0 {
	meta:
		name = "SetDefaultFallbackLanguages"
		size = 142
		refs = "000e SetDefaultFallbackLanguages 001e UpperCase 0026 DefaultFallbackLanguages 002b @UStrEqual 0044 @UStrAsg 004b LanguageArray 0056 TArray<System.string> 005b @DynArraySetLength 0063 InitLanguageList 007d @UStrArrayClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 36 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_69646_0 {
	meta:
		name = "PreferredUILanguages"
		size = 216
		refs = "0011 PreferredUILanguages 001c InitLanguageList 0023 @UStrClr 0034 LanguageArray 003a TArray<System.string> 003f @DynArrayAsg 0051 @UStrLAsg 0065 @UStrCatN 007b @DynArrayLength 008d @DynArrayClear 00b5 @UStrArrayClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 30 8D 45 FC 8B 55 F4 8B 14 9A E8 ?? ?? ?? ?? FF 36 FF 75 F8 FF 75 FC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 F4 E8 ?? ?? ?? ?? 3B D8 7C C4 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_69647_0 {
	meta:
		name = "TLanguageListEnumerator.Create"
		size = 154
		refs = "000e @ClassCreate 001d @DynArrayAddRef 0025 TLanguageListEnumerator.Create 0034 TObject.Create 0040 TArray<System.string> 0045 @DynArrayAsg 004d @DynArrayLength 0072 @DynArrayClear 0078 @HandleFinally 0085 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 0C 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 89 46 10 C7 46 14 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69648_0 {
	meta:
		name = "TLanguageListEnumerator.GetCurrent"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C 8B 4B 14 8B 14 8A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69649_0 {
	meta:
		name = "TLanguageListEnumerator.MoveNext"
		size = 13
	strings:
		$1 = { FF 40 14 8B 50 14 3B 50 10 0F 9C C0 C3 }
	condition:
		$1
}

rule function_69650_0 {
	meta:
		name = "TLanguageEnumerable.GetEnumerator"
		size = 39
		refs = "0005 LanguageArray 000c _DV_TLanguageListEnumerator 0011 TLanguageListEnumerator.Create 0021 @IntfCopy"
	strings:
		$1 = { 53 8B DA 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69651_0 {
	meta:
		name = "PreferredUILanguageList"
		size = 38
		refs = "0004 InitLanguageList 000b _DV_TLanguageEnumerable 0010 TObject.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69652_0 {
	meta:
		name = "TraverseDirectory"
		size = 328
		refs = "001f @IntfAddRef 0027 TraverseDirectory 0034 @UStrToPWChar 006f @UStrCopy 008a PreferredUILanguageList 00c1 @UStrCatN 00e3 @IntfClear 00f3 @UStrClr 011d @UStrArrayClr 012b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 E8 8B C7 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 0F 8C 9F 00 00 00 8B 45 E8 66 83 7C 58 FE 5C 0F 85 87 00 00 00 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 53 01 B9 FF FF FF 7F 8B C7 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 EC 8B 08 FF 51 0C EB 38 8D 55 F0 8B 45 EC 8B 08 FF 51 10 FF 75 F8 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? FF 75 F4 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 16 8B 45 FC 8B 08 FF 51 0C 84 C0 75 24 8B 45 EC 8B 10 FF 52 0C 84 C0 75 BC 8D 45 EC E8 ?? ?? ?? ?? 4B 85 DB 0F 85 61 FF FF FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_69653_0 {
	meta:
		name = "LocaleFileExists$933$ActRec.$0$Body"
		size = 86
		refs = "000f LocaleFileExists$933$ActRec.$0$Body 0022 @UStrCat3 002c FileExists 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 4B 0C 8B D6 E8 ?? ?? ?? ?? 8B 45 FC B2 01 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69655_0 {
	meta:
		name = "GetLocaleFile$935$ActRec.$0$Body"
		size = 86
		refs = "000f GetLocaleFile$935$ActRec.$0$Body 0022 @UStrCat3 002c FileExists 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 4B 0C 8B D6 E8 ?? ?? ?? ?? 8B 45 FC B2 01 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69654_0 {
	meta:
		name = "LocaleFileExists"
		size = 222
		refs = "0013 LocaleFileExists 0020 _DV_LocaleFileExists$933$ActRec 0025 TObject.Create 0038 @IntfCopy 0042 ExpandFileName 004d ExtractFilePath 0058 ExtractFileName 0063 @UStrAsg 006e IncludeTrailingPathDelimiter 0082 TraverseDirectory 0099 FileExists 00b5 @UStrArrayClr 00bd @IntfClear 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 0C E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 8D 4D EC 8B D3 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 83 7D EC 00 0F 95 C0 8B D8 84 DB 75 0C B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69656_0 {
	meta:
		name = "GetLocaleFile"
		size = 224
		refs = "0015 GetLocaleFile 0022 _DV_GetLocaleFile$935$ActRec 0027 TObject.Create 003a @IntfCopy 0044 ExpandFileName 004f ExtractFilePath 005a ExtractFileName 0065 @UStrAsg 0070 IncludeTrailingPathDelimiter 0083 TraverseDirectory 009e @UStrCat 00b8 @UStrArrayClr 00c0 @IntfClear 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 0C E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8B CE 8B D3 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 83 3E 00 75 0C 8B C6 8B 55 F8 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69658_0 {
	meta:
		name = "LocaleDirectoryExists"
		size = 182
		refs = "0011 LocaleDirectoryExists 001e _DV_LocaleDirectoryExists$937$ActRec 0023 TObject.Create 0036 @IntfCopy 0040 ExpandFileName 004b IncludeTrailingPathDelimiter 005f TraverseDirectory 0076 DirectoryExists 0092 @UStrArrayClr 009a @IntfClear 00a2 @UStrClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 FC E8 ?? ?? ?? ?? 8D 4D F0 8B D3 85 D2 74 03 83 EA F4 8B 45 FC E8 ?? ?? ?? ?? 83 7D F0 00 0F 95 C0 8B D8 84 DB 75 0C B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69660_0 {
	meta:
		name = "GetLocaleDirectory"
		size = 168
		refs = "0014 GetLocaleDirectory 0021 _DV_GetLocaleDirectory$939$ActRec 0026 TObject.Create 0039 @IntfCopy 0043 ExpandFileName 004e IncludeTrailingPathDelimiter 0061 TraverseDirectory 0070 @UStrAsg 0085 @UStrClr 008d @IntfClear 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 FC E8 ?? ?? ?? ?? 8B CE 8B D3 85 D2 74 03 83 EA F4 8B 45 FC E8 ?? ?? ?? ?? 83 3E 00 75 0A 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69661_0 {
	meta:
		name = "TOSVersion.Create@"
		size = 459
		refs = "0008 TOSVersion.$ClassInitFlag 001f @FillChar 0031 GetVersionEx 0037 TOSVersion.FPlatform 0041 TOSVersion.FMajor 004a TOSVersion.FMinor 0053 TOSVersion.FBuild 0060 TOSVersion.FServicePackMajor 006d TOSVersion.FServicePackMinor 008a TOSVersion.Check 0094 GetNativeSystemInfo 00a6 CArchitectures 00ab TOSVersion.FArchitecture 00b0 TOSVersion.FName 00b5 SWindows 00ba LoadResString 00f0 SWindowsVista 0104 SWindowsServer2008 0122 SWindows7 0136 SWindowsServer2008R2 015b SWindows2000 016c SWindowsXP 019c GetSystemMetrics 01aa SWindowsServer2003 01bb SWindowsServer2003R2"
	strings:
		$1 = { 81 C4 C0 FE FF FF 83 2D ?? ?? ?? ?? 01 0F 83 B1 01 00 00 8D 44 24 24 33 C9 BA 1C 01 00 00 E8 ?? ?? ?? ?? C7 44 24 24 1C 01 00 00 8D 44 24 24 50 E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 8B 44 24 28 A3 ?? ?? ?? ?? 8B 44 24 2C A3 ?? ?? ?? ?? 8B 44 24 30 A3 ?? ?? ?? ?? 0F B7 84 24 38 01 00 00 A3 ?? ?? ?? ?? 0F B7 84 24 3A 01 00 00 A3 ?? ?? ?? ?? 8B C4 33 C9 BA 24 00 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 06 54 E8 ?? ?? ?? ?? 66 83 3C 24 09 0F 94 C0 83 E0 7F 0F B6 80 ?? ?? ?? ?? A2 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 E8 05 74 7C 48 0F 85 F5 00 00 00 A1 ?? ?? ?? ?? 83 E8 01 72 07 74 37 E9 E4 00 00 00 80 BC 24 3E 01 00 00 01 75 14 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C6 00 00 00 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B2 00 00 00 80 BC 24 3E 01 00 00 01 75 14 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 94 00 00 00 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 80 00 00 00 A1 ?? ?? ?? ?? 83 E8 01 72 07 74 16 48 74 24 EB 6F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5E BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4D 80 BC 24 3E 01 00 00 01 75 18 66 83 3C 24 09 75 11 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 6A 59 E8 ?? ?? ?? ?? 85 C0 75 11 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0F BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 81 C4 40 01 00 00 C3 }
	condition:
		$1
}

rule function_69662_0 {
	meta:
		name = "TOSVersion.Check"
		size = 10
		refs = "0002 TOSVersion.FMajor"
	strings:
		$1 = { 3B 05 ?? ?? ?? ?? 0F 9E C0 C3 }
	condition:
		$1
}

rule function_69664_0 {
	meta:
		name = "TOSVersion.Check"
		size = 54
		refs = "0002 TOSVersion.FMajor 0012 TOSVersion.FMinor 002a TOSVersion.FServicePackMajor"
	strings:
		$1 = { 3B 05 ?? ?? ?? ?? 7C 2B 3B 05 ?? ?? ?? ?? 75 08 3B 15 ?? ?? ?? ?? 7C 1B 3B 05 ?? ?? ?? ?? 75 10 3B 15 ?? ?? ?? ?? 75 08 3B 0D ?? ?? ?? ?? 7E 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_69665_0 {
	meta:
		name = "TOSVersion.ToString"
		size = 215
		refs = "0015 TOSVersion.ToString 0021 TOSVersion.FName 002d TOSVersion.FMajor 0039 TOSVersion.FMinor 0045 TOSVersion.FBuild 0051 TOSVersion.FServicePackMajor 005e TOSVersion.FArchitecture 006c CEditionStr 0074 LoadResString 0096 CVersionStr 00ac Format 00c6 @UStrArrayClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 33 D2 89 55 CC 89 55 C8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 A1 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 A1 ?? ?? ?? ?? 89 45 D8 C6 45 DC 00 A1 ?? ?? ?? ?? 89 45 E0 C6 45 E4 00 A1 ?? ?? ?? ?? 89 45 E8 C6 45 EC 00 A1 ?? ?? ?? ?? 89 45 F0 C6 45 F4 00 80 3D ?? ?? ?? ?? 01 0F 94 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8B 45 CC 89 45 F8 C6 45 FC 11 8D 45 D0 50 83 3D ?? ?? ?? ?? 00 0F 95 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8D 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 B9 05 00 00 00 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69666_0 {
	meta:
		name = "Finalization"
		size = 412
		refs = "0007 Finalization 0013 _DV_07 001e ModuleUnloaded 0023 RemoveModuleUnloadProc 0028 ClearHashTables 002d FreeTerminateProcs 0032 DoneMonitorSupport 0037 EmptyStr 003c @UStrClr 0041 EmptyWideStr 0046 @WStrClr 004b EmptyAnsiStr 0050 @LStrClr 0055 Win32CSDVersion 005f CurrencyString 0069 ShortDateFormat 0073 LongDateFormat 007d TimeAMString 0087 TimePMString 0091 ShortTimeFormat 009b LongTimeFormat 00a5 ShortMonthNames 00b0 string 00b5 @FinalizeArray 00ba LongMonthNames 00cf ShortDayNames 00e4 LongDayNames 00f9 EraNames 010e TrueBoolStrs 0114 :65 0119 @DynArrayClear 011e FalseBoolStrs 0124 :75 012e HexDisplayPrefix 0138 TOSVersion.FName 0142 cSimpleBoolStrs 0157 ErrorMap 0162 TErrorRec 016c LanguageArray 0172 TArray<System.string> 017c DefaultFallbackLanguages 0194 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 68 01 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_69667_0 {
	meta:
		name = "System.SysUtils"
		size = 164
		refs = "0007 System.SysUtils 0013 _DV_07 001b _Nn__1588 0020 @InitResStringImports 0025 _Nn__1589 002a @InitImports 0030 ModuleIsCpp 0038 HexDisplayPrefix 0042 @UStrAsg 0047 InitMonitorSupport 004c ModuleUnloaded 0051 AddModuleUnloadProc 0056 InitPlatformId 005b InitDriveSpacePtr 0060 DefaultFallbackLanguages 0067 GetLocaleOverride 006e NTQueryObject 0073 GetFormatSettings 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 5D B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 0F B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 30 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_69669_0 {
	meta:
		name = "TTimeSpanParser.CurrentChar"
		size = 38
	strings:
		$1 = { 51 8B 10 89 14 24 8B 14 24 85 D2 74 05 83 EA 04 8B 12 8B 48 04 3B D1 7C 09 8B 00 0F B7 44 48 FE 5A C3 33 C0 5A C3 }
	condition:
		$1
}

rule function_69670_0 {
	meta:
		name = "TTimeSpanParser.NextChar"
		size = 63
	strings:
		$1 = { 51 8B 10 89 14 24 8B 14 24 85 D2 74 05 83 EA 04 8B 12 3B 50 04 7C 03 FF 40 04 8B 10 89 14 24 8B 14 24 85 D2 74 05 83 EA 04 8B 12 8B 48 04 3B D1 7C 09 8B 00 0F B7 44 48 FE 5A C3 33 C0 5A C3 }
	condition:
		$1
}

rule function_69671_0 {
	meta:
		name = "TTimeSpanParser.NextNonDigit"
		size = 61
	strings:
		$1 = { 56 51 8B 48 04 8B 10 89 14 24 8B 14 24 85 D2 74 05 83 EA 04 8B 12 8B F1 8B CA 2B CE 7C 18 41 8B 10 0F B7 54 72 FE 66 83 FA 30 72 0C 66 83 FA 39 77 06 46 49 75 E9 33 D2 8B C2 5A 5E C3 }
	condition:
		$1
}

rule function_69672_0 {
	meta:
		name = "TTimeSpanParser.Convert"
		size = 207
		refs = "000e TTimeSpanParser.Convert 002a TTimeSpanParser.TryConvert 0040 sInvalidTimespanFormat 0045 LoadResString 004f _Dn_Exception 0054 Exception.Create 0059 @RaiseExcept 0063 sTimespanTooLong 0072 _Dn_EIntOverflow 0086 sTimespanElementTooLong 00b9 @UStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? FE C8 74 0A FE C8 74 29 FE C8 74 48 EB 67 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 8B 55 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_69673_0 {
	meta:
		name = "TTimeSpanParser.NextInt"
		size = 262
	strings:
		$1 = { 53 56 57 83 C4 E0 89 14 24 33 D2 89 11 8B 50 04 89 54 24 08 8B 18 89 5C 24 1C 8B 74 24 1C 85 F6 74 05 83 EE 04 8B 36 3B F2 7C 09 8B 18 0F B7 54 53 FE EB 02 33 D2 8B F2 E9 8A 00 00 00 F6 41 03 F0 74 0A C6 44 24 04 02 E9 AD 00 00 00 8B 11 03 D2 8D 14 92 0F B7 DE 83 EB 30 03 D3 89 11 83 39 00 7D 0A C6 44 24 04 02 E9 8D 00 00 00 8B 10 89 54 24 10 8B 7C 24 10 85 FF 74 05 83 EF 04 8B 3F 3B 78 04 7C 03 FF 40 04 8B 10 89 54 24 18 8B 54 24 18 85 D2 74 05 83 EA 04 8B 12 3B 50 04 7C 11 8B 50 04 8B 18 0F B7 54 53 FE 66 89 54 24 14 EB 07 66 C7 44 24 14 00 00 0F B7 54 24 14 66 89 54 24 0C 0F B7 74 24 0C 66 83 FE 30 72 0A 66 83 FE 39 0F 86 66 FF FF FF 8B 40 04 3B 44 24 08 75 07 C6 44 24 04 01 EB 13 8B 01 3B 04 24 7E 07 C6 44 24 04 02 EB 05 C6 44 24 04 00 0F B6 44 24 04 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69674_0 {
	meta:
		name = "TTimeSpanParser.ConvertTime"
		size = 790
		refs = "0022 TTimeSpanParser.NextInt 0046 @_llmul"
	strings:
		$1 = { 53 56 57 55 83 C4 BC 8B F2 8B D8 C7 06 00 00 00 00 C7 46 04 00 00 00 00 8B CC 8B C3 BA 17 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 0F 3C 02 0F 85 DC 02 00 00 B0 03 E9 D5 02 00 00 6A 08 68 00 68 C4 61 8B 44 24 08 99 E8 ?? ?? ?? ?? 89 06 89 56 04 8B 13 8B C2 89 44 24 40 8B 7C 24 40 85 FF 74 05 83 EF 04 8B 3F 8B 43 04 3B F8 7C 09 8B 0B 0F B7 4C 41 FE EB 02 33 C9 66 83 F9 3A 74 07 B0 01 E9 8B 02 00 00 89 54 24 40 8B 54 24 40 85 D2 74 05 83 EA 04 8B 12 3B D0 7C 03 FF 43 04 8B 03 89 44 24 40 8B 44 24 40 85 C0 74 05 83 E8 04 8B 00 3B 43 04 7C 0C 8B 43 04 8B 13 0F B7 44 42 FE EB 02 33 C0 8B CC 8B C3 BA 3B 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 0F 3C 02 0F 85 33 02 00 00 B0 03 E9 2C 02 00 00 6A 00 68 00 46 C3 23 8B 44 24 08 99 E8 ?? ?? ?? ?? 03 06 13 56 04 89 06 89 56 04 8B 03 89 44 24 40 8B 54 24 40 85 D2 74 05 83 EA 04 8B 12 8B 43 04 3B D0 7C 09 8B 13 0F B7 54 42 FE EB 02 33 D2 66 83 FA 3A 0F 85 E0 01 00 00 8B 13 89 54 24 08 8B 54 24 08 85 D2 74 05 83 EA 04 8B 12 3B D0 7C 03 FF 43 04 8B 03 89 44 24 10 8B 44 24 10 85 C0 74 05 83 E8 04 8B 00 3B 43 04 7C 11 8B 43 04 8B 13 0F B7 44 42 FE 66 89 44 24 0C EB 07 66 C7 44 24 0C 00 00 0F B7 44 24 0C 66 89 44 24 04 66 83 7C 24 04 2E 74 3C 8B CC 8B C3 BA 3B 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 0F 3C 02 0F 85 6C 01 00 00 B0 03 E9 65 01 00 00 6A 00 68 80 96 98 00 8B 44 24 08 99 E8 ?? ?? ?? ?? 03 06 13 56 04 89 06 89 56 04 8B 03 89 44 24 18 8B 44 24 18 85 C0 74 05 83 E8 04 8B 00 3B 43 04 7C 11 8B 43 04 8B 13 0F B7 44 42 FE 66 89 44 24 14 EB 07 66 C7 44 24 14 00 00 66 83 7C 24 14 2E 0F 85 0C 01 00 00 8B 03 89 44 24 20 8B 44 24 20 85 C0 74 05 83 E8 04 8B 00 3B 43 04 7C 03 FF 43 04 8B 03 89 44 24 28 8B 44 24 28 85 C0 74 05 83 E8 04 8B 00 3B 43 04 7C 11 8B 43 04 8B 13 0F B7 44 42 FE 66 89 44 24 24 EB 07 66 C7 44 24 24 00 00 0F B7 44 24 24 66 89 44 24 1C 0F B7 7C 24 1C C7 04 24 80 96 98 00 E9 90 00 00 00 B9 0A 00 00 00 8B 04 24 99 F7 F9 89 04 24 0F B7 C7 83 E8 30 F7 2C 24 99 03 06 13 56 04 89 06 89 56 04 8B 03 89 44 24 30 8B 6C 24 30 85 ED 74 06 83 ED 04 8B 6D 00 3B 6B 04 7C 03 FF 43 04 8B 03 89 44 24 38 8B 44 24 38 89 44 24 3C 83 7C 24 3C 00 74 0D 8B 44 24 3C 83 E8 04 8B 00 89 44 24 3C 8B 43 04 3B 44 24 3C 7F 11 8B 43 04 8B 13 0F B7 44 42 FE 66 89 44 24 34 EB 07 66 C7 44 24 34 00 00 0F B7 44 24 34 66 89 44 24 2C 0F B7 7C 24 2C 83 3C 24 01 7E 10 66 83 FF 30 72 0A 66 83 FF 39 0F 86 5A FF FF FF 33 C0 83 C4 44 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69675_0 {
	meta:
		name = "TTimeSpanParser.SkipWhite"
		size = 137
	strings:
		$1 = { 56 57 83 C4 F0 8B 10 89 54 24 0C 8B 4C 24 0C 85 C9 74 05 83 E9 04 8B 09 8B 50 04 3B CA 7C 09 8B 08 0F B7 54 51 FE EB 02 33 D2 8B F2 EB 49 8B 10 89 54 24 04 8B 54 24 04 85 D2 74 05 83 EA 04 8B 12 3B 50 04 7C 03 FF 40 04 8B 10 89 54 24 08 8B 4C 24 08 85 C9 74 05 83 E9 04 8B 09 3B 48 04 7C 0C 8B 50 04 8B 08 0F B7 7C 51 FE EB 02 33 FF 66 89 3C 24 0F B7 34 24 66 83 FE 20 74 B1 66 83 FE 09 74 AB 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_69676_0 {
	meta:
		name = "TTimeSpanParser.TryConvert"
		size = 617
		refs = "002e @UStrAsg 0079 TTimeSpanParser.SkipWhite 00f0 TTimeSpanParser.NextNonDigit 00ff TTimeSpanParser.ConvertTime 011c TTimeSpanParser.NextInt 0138 @_llmul"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B F9 8B DA 8B F0 C7 04 24 00 00 00 00 C7 44 24 04 00 00 00 00 C7 07 00 00 00 00 C7 47 04 00 00 00 00 8B C6 8B D3 E8 ?? ?? ?? ?? 33 D2 89 56 04 8B 06 89 44 24 24 8B 44 24 24 85 C0 74 05 83 E8 04 8B 00 3B C2 7C 03 FF 46 04 8B 06 89 44 24 24 8B 54 24 24 85 D2 74 05 83 EA 04 8B 12 8B 46 04 3B D0 7C 09 8B 16 0F B7 44 42 FE EB 02 33 C0 8B C6 E8 ?? ?? ?? ?? 33 DB 8B 16 8B C2 89 44 24 24 8B 6C 24 24 85 ED 74 06 83 ED 04 8B 6D 00 8B 46 04 3B E8 7C 09 8B 0E 0F B7 4C 41 FE EB 02 33 C9 66 83 F9 2D 75 40 B3 01 89 54 24 24 8B 54 24 24 85 D2 74 05 83 EA 04 8B 12 3B D0 7C 03 FF 46 04 8B 06 89 44 24 24 8B 44 24 24 85 C0 74 05 83 E8 04 8B 00 3B 46 04 7C 0C 8B 46 04 8B 16 0F B7 44 42 FE EB 02 33 C0 8B C6 E8 ?? ?? ?? ?? 66 83 F8 3A 75 16 8B D4 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 56 01 00 00 E9 DD 00 00 00 8D 4C 24 10 8B C6 BA FF E3 A2 00 E8 ?? ?? ?? ?? 84 C0 0F 85 39 01 00 00 68 C9 00 00 00 68 00 C0 69 2A 8B 44 24 18 99 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 06 89 44 24 24 8B 44 24 24 85 C0 74 05 83 E8 04 8B 00 3B 46 04 7C 0C 8B 46 04 8B 16 0F B7 44 42 FE EB 02 33 C0 66 83 F8 2E 75 7E 8B 06 89 44 24 18 8B 44 24 18 85 C0 74 05 83 E8 04 8B 00 3B 46 04 7C 03 FF 46 04 8B 06 89 44 24 20 8B 44 24 20 85 C0 74 05 83 E8 04 8B 00 3B 46 04 7C 11 8B 46 04 8B 16 0F B7 44 42 FE 66 89 44 24 1C EB 07 66 C7 44 24 1C 00 00 0F B7 44 24 1C 66 89 44 24 14 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 8A 00 00 00 8B 04 24 8B 54 24 04 03 44 24 08 13 54 24 0C 89 04 24 89 54 24 04 84 DB 74 2A 8B 04 24 8B 54 24 04 F7 D8 83 D2 00 F7 DA 89 04 24 89 54 24 04 83 7C 24 04 00 75 08 83 3C 24 00 76 1D EB 02 7E 19 B0 02 EB 46 83 7C 24 04 00 75 08 83 3C 24 00 73 08 EB 02 7D 04 B0 02 EB 31 8B C6 E8 ?? ?? ?? ?? 8B 06 89 44 24 24 8B 44 24 24 85 C0 74 05 83 E8 04 8B 00 3B 46 04 7C 04 B0 01 EB 0E 8B 04 24 89 07 8B 44 24 04 89 47 04 33 C0 83 C4 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69677_0 {
	meta:
		name = "TTimeSpan.Create"
		size = 18
	strings:
		$1 = { 55 8B EC 8B 55 08 89 10 8B 55 0C 89 50 04 5D C2 08 00 }
	condition:
		$1
}

rule function_69678_0 {
	meta:
		name = "TTimeSpan.Create"
		size = 224
		refs = "0012 TTimeSpan.Create 0027 @_llmul 0086 sTimespanTooLong 008b LoadResString 0095 _Dn_EArgumentOutOfRangeException 009a Exception.Create 009f @RaiseExcept 00ca @UStrClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 68 10 0E 00 00 8B C6 99 E8 ?? ?? ?? ?? 52 50 6A 00 6A 3C 8B C7 99 E8 ?? ?? ?? ?? 03 04 24 13 54 24 04 83 C4 08 52 50 8B 45 08 99 03 04 24 13 54 24 04 83 C4 08 89 03 89 53 04 81 7B 04 D6 00 00 00 75 0A 81 3B E5 D5 94 BF 77 19 EB 02 7F 15 81 7B 04 29 FF FF FF 75 0A 81 3B 1B 2A 6B 40 73 25 EB 02 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 68 80 96 98 00 8B 03 8B 53 04 E8 ?? ?? ?? ?? 89 03 89 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_69679_0 {
	meta:
		name = "TTimeSpan.Create"
		size = 30
		refs = "0013 TTimeSpan.Create"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 0C 50 8B 45 08 50 6A 00 8B C3 E8 ?? ?? ?? ?? 8B C3 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69680_0 {
	meta:
		name = "TTimeSpan.Create"
		size = 300
		refs = "0018 TTimeSpan.Create 0038 @_llmul 00d0 sTimespanTooLong 00d5 LoadResString 00df _Dn_EArgumentOutOfRangeException 00e4 Exception.Create 00e9 @RaiseExcept 0115 @UStrClr 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 68 E8 03 00 00 6A 00 6A 18 6A 00 68 10 0E 00 00 8B C6 99 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 52 50 6A 00 68 10 0E 00 00 8B C7 99 E8 ?? ?? ?? ?? 03 04 24 13 54 24 04 83 C4 08 52 50 6A 00 6A 3C 8B 45 10 99 E8 ?? ?? ?? ?? 03 04 24 13 54 24 04 83 C4 08 52 50 8B 45 0C 99 03 04 24 13 54 24 04 83 C4 08 E8 ?? ?? ?? ?? 52 50 8B 45 08 99 03 04 24 13 54 24 04 83 C4 08 89 45 F8 89 55 FC 81 7D FC DC 46 03 00 75 0B 81 7D F8 65 88 63 5D 77 1A EB 02 7F 16 81 7D FC 23 B9 FC FF 75 0B 81 7D F8 9B 77 9C A2 73 25 EB 02 7D 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 68 10 27 00 00 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 89 03 89 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_69681_0 {
	meta:
		name = "TTimeSpan.Add"
		size = 204
		refs = "0017 TTimeSpan.Add 007f sTimespanTooLong 0084 LoadResString 008e _Dn_EArgumentOutOfRangeException 0093 Exception.Create 0098 @RaiseExcept 00a5 TTimeSpan.Create 00ba @UStrClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B F1 8B DA 8B C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 01 8B 51 04 52 50 8B 03 8B 53 04 03 04 24 13 54 24 04 83 C4 08 89 45 F8 89 55 FC 8B 41 04 C1 E8 1F 33 D2 52 50 8B 43 04 C1 E8 1F 33 D2 3B 54 24 04 75 03 3B 04 24 5A 58 75 40 8B 41 04 C1 E8 1F 33 D2 52 50 8B 45 FC C1 E8 1F 33 D2 3B 54 24 04 75 03 3B 04 24 5A 58 74 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69683_0 {
	meta:
		name = "TTimeSpan.&op_Addition"
		size = 106
		refs = "0019 DateTimeToTimeStamp 0021 TimeStampToMSecs 002d TTimeSpan.GetTotalMilliseconds 0032 @TRUNC 004f MSecsToTimeStamp 0057 TimeStampToDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 D8 56 57 8B F0 8D 7D F8 A5 A5 FF 75 0C FF 75 08 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? DF 7D E0 9B 8D 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 89 55 DC DF 6D D8 DF 6D E0 DE C1 83 C4 F8 DF 3C 24 9B 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? DD 5D F0 9B DD 45 F0 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_69685_0 {
	meta:
		name = "TTimeSpan.Duration"
		size = 163
		refs = "000f TTimeSpan.Duration 0020 TTimeSpan.FMinValue 0032 sInvalidTimespanDuration 0037 LoadResString 0041 _Dn_EIntOverflow 0046 Exception.Create 004b @RaiseExcept 006f TTimeSpan.Create 0092 @UStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B 53 04 3B 15 ?? ?? ?? ?? 75 29 3B 05 ?? ?? ?? ?? 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 04 00 75 07 83 3B 00 73 1B EB 02 7D 17 8B 03 8B 53 04 F7 D8 83 D2 00 F7 DA 52 50 8B C6 E8 ?? ?? ?? ?? EB 0C FF 73 04 FF 33 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69686_0 {
	meta:
		name = "TTimeSpan.&op_Equality"
		size = 22
	strings:
		$1 = { 53 8B DA 8B C8 8B 01 8B 51 04 3B 53 04 75 02 3B 03 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_69693_0 {
	meta:
		name = "TTimeSpan.FromTicks"
		size = 24
		refs = "000f TTimeSpan.Create"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69694_0 {
	meta:
		name = "TTimeSpan.GetDays"
		size = 25
		refs = "0013 @_lldiv"
	strings:
		$1 = { 53 8B D8 68 C9 00 00 00 68 00 C0 69 2A 8B 03 8B 53 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69695_0 {
	meta:
		name = "TTimeSpan.GetHours"
		size = 31
		refs = "0014 @_lldiv 0019 @_llmod"
	strings:
		$1 = { 53 8B D8 6A 00 6A 18 6A 08 68 00 68 C4 61 8B 03 8B 53 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69696_0 {
	meta:
		name = "TTimeSpan.GetMilliseconds"
		size = 34
		refs = "0017 @_lldiv 001c @_llmod"
	strings:
		$1 = { 53 8B D8 6A 00 68 E8 03 00 00 6A 00 68 10 27 00 00 8B 03 8B 53 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69697_0 {
	meta:
		name = "TTimeSpan.GetMinutes"
		size = 31
		refs = "0014 @_lldiv 0019 @_llmod"
	strings:
		$1 = { 53 8B D8 6A 00 6A 3C 6A 00 68 00 46 C3 23 8B 03 8B 53 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69698_0 {
	meta:
		name = "TTimeSpan.GetSeconds"
		size = 31
		refs = "0014 @_lldiv 0019 @_llmod"
	strings:
		$1 = { 53 8B D8 6A 00 6A 3C 6A 00 68 80 96 98 00 8B 03 8B 53 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69699_0 {
	meta:
		name = "TTimeSpan.GetTotalDays"
		size = 40
		refs = "0009 TTimeSpan.GetTotalDays"
	strings:
		$1 = { 83 C4 F8 8B C8 DF 29 DB 2D ?? ?? ?? ?? DE C9 DD 1C 24 9B DD 04 24 59 5A C3 00 00 00 98 81 05 E2 1D FF E3 A2 D7 3F 00 00 }
	condition:
		$1
}

rule function_69700_0 {
	meta:
		name = "TTimeSpan.GetTotalHours"
		size = 40
		refs = "0009 TTimeSpan.GetTotalHours"
	strings:
		$1 = { 83 C4 F8 8B C8 DF 29 DB 2D ?? ?? ?? ?? DE C9 DD 1C 24 9B DD 04 24 59 5A C3 00 00 00 E7 40 08 D3 AC FE 55 F4 DB 3F 00 00 }
	condition:
		$1
}

rule function_69701_0 {
	meta:
		name = "TTimeSpan.GetTotalMilliseconds"
		size = 124
		refs = "0009 TTimeSpan.GetTotalMilliseconds"
	strings:
		$1 = { 83 C4 F8 8B C8 DF 29 DB 2D ?? ?? ?? ?? DE C9 DD 1C 24 9B DB 2D ?? ?? ?? ?? DC 1C 24 9B DF E0 9E 73 11 C7 04 24 28 43 1C EB C7 44 24 04 E2 36 0A 43 EB 1E DB 2D ?? ?? ?? ?? DC 1C 24 9B DF E0 9E 76 0F C7 04 24 28 43 1C EB C7 44 24 04 E2 36 0A C3 DD 04 24 59 5A C3 00 2C 65 19 E2 58 17 B7 D1 F1 3F 00 00 00 40 19 E2 58 17 B7 D1 30 40 00 00 00 40 19 E2 58 17 B7 D1 30 C0 00 00 }
	condition:
		$1
}

rule function_69702_0 {
	meta:
		name = "TTimeSpan.GetTotalMinutes"
		size = 40
		refs = "0009 TTimeSpan.GetTotalMinutes"
	strings:
		$1 = { 83 C4 F8 8B C8 DF 29 DB 2D ?? ?? ?? ?? DE C9 DD 1C 24 9B DD 04 24 59 5A C3 00 00 00 F1 BF D7 05 C2 9E 10 E5 E1 3F 00 00 }
	condition:
		$1
}

rule function_69703_0 {
	meta:
		name = "TTimeSpan.GetTotalSeconds"
		size = 40
		refs = "0009 TTimeSpan.GetTotalSeconds"
	strings:
		$1 = { 83 C4 F8 8B C8 DF 29 DB 2D ?? ?? ?? ?? DE C9 DD 1C 24 9B DD 04 24 59 5A C3 00 00 00 BC 42 7A E5 D5 94 BF D6 E7 3F 00 00 }
	condition:
		$1
}

rule function_69704_0 {
	meta:
		name = "TTimeSpan.&op_GreaterThan"
		size = 27
	strings:
		$1 = { 53 8B DA 8B C8 8B 01 8B 51 04 3B 53 04 75 07 3B 03 0F 97 C0 5B C3 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_69705_0 {
	meta:
		name = "TTimeSpan.&op_GreaterThanOrEqual"
		size = 27
	strings:
		$1 = { 53 8B DA 8B C8 8B 01 8B 51 04 3B 53 04 75 07 3B 03 0F 93 C0 5B C3 0F 9D C0 5B C3 }
	condition:
		$1
}

rule function_69707_0 {
	meta:
		name = "TTimeSpan.Create@"
		size = 50
		refs = "0002 TTimeSpan.$ClassInitFlag 000b TTimeSpan.FMinValue 001f TTimeSpan.FMaxValue"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 28 C7 05 ?? ?? ?? ?? 00 00 00 00 C7 05 ?? ?? ?? ?? 00 00 00 80 C7 05 ?? ?? ?? ?? FF FF FF FF C7 05 ?? ?? ?? ?? FF FF FF 7F C3 }
	condition:
		$1
}

rule function_69708_0 {
	meta:
		name = "TTimeSpan.GetScaledInterval"
		size = 308
		refs = "0018 TTimeSpan.GetScaledInterval 0029 IsNan 0035 sTimespanValueCannotBeNan 003a LoadResString 0044 _Dn_EArgumentException 0049 Exception.Create 004e @RaiseExcept 00ac sTimespanTooLong 00bb _Dn_EArgumentOutOfRangeException 00d4 @TRUNC 00d9 @_llmul 00e2 TTimeSpan.Create 00f7 @UStrClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5D F0 DB 45 F0 DC 4D 08 DD 5D F8 9B DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 0F DD 45 F8 D8 05 ?? ?? ?? ?? DD 5D F8 9B EB 0D DD 45 F8 D8 25 ?? ?? ?? ?? DD 5D F8 9B DB 2D ?? ?? ?? ?? DC 5D F8 9B DF E0 9E 72 0F DB 2D ?? ?? ?? ?? DC 5D F8 9B DF E0 9E 76 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 68 10 27 00 00 DD 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 52 50 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 00 00 3F 00 40 19 E2 58 17 B7 D1 30 40 00 00 00 40 19 E2 58 17 B7 D1 30 C0 00 00 }
	condition:
		$1
}

rule function_69709_0 {
	meta:
		name = "TTimeSpan.&op_LessThan"
		size = 27
	strings:
		$1 = { 53 8B DA 8B C8 8B 01 8B 51 04 3B 53 04 75 07 3B 03 0F 92 C0 5B C3 0F 9C C0 5B C3 }
	condition:
		$1
}

rule function_69710_0 {
	meta:
		name = "TTimeSpan.&op_LessThanOrEqual"
		size = 27
	strings:
		$1 = { 53 8B DA 8B C8 8B 01 8B 51 04 3B 53 04 75 07 3B 03 0F 96 C0 5B C3 0F 9E C0 5B C3 }
	condition:
		$1
}

rule function_69711_0 {
	meta:
		name = "TTimeSpan.Negate"
		size = 134
		refs = "000f TTimeSpan.Negate 0020 TTimeSpan.FMinValue 0032 sCannotNegateTimespan 0037 LoadResString 0041 _Dn_EIntOverflow 0046 Exception.Create 004b @RaiseExcept 0060 TTimeSpan.Create 0075 @UStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B 53 04 3B 15 ?? ?? ?? ?? 75 29 3B 05 ?? ?? ?? ?? 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 53 04 F7 D8 83 D2 00 F7 DA 52 50 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69713_0 {
	meta:
		name = "TTimeSpan.&op_Inequality"
		size = 22
	strings:
		$1 = { 53 8B DA 8B C8 8B 01 8B 51 04 3B 53 04 75 02 3B 03 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_69714_0 {
	meta:
		name = "TTimeSpan.Parse"
		size = 100
		refs = "0011 TTimeSpanParser 0016 @InitializeRecord 001e TTimeSpan.Parse 002e TTimeSpanParser.Convert 0037 TTimeSpan.Create 0052 @FinalizeRecord 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 52 50 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_69715_0 {
	meta:
		name = "TRect.GetLocation"
		size = 11
		altNames = "TRectF.GetLocation TTimeSpan.&op_UnaryPlus"
	strings:
		$1 = { 8B 08 89 0A 8B 48 04 89 4A 04 C3 }
	condition:
		$1
}

rule function_69717_0 {
	meta:
		name = "TTimeSpan.Subtract"
		size = 203
		refs = "0017 TTimeSpan.Subtract 007e sTimespanTooLong 0083 LoadResString 008d _Dn_EArgumentOutOfRangeException 0092 Exception.Create 0097 @RaiseExcept 00a4 TTimeSpan.Create 00b9 @UStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B F1 8B DA 8B C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 01 8B 51 04 52 50 8B 03 8B 53 04 29 04 24 19 54 24 04 58 5A 89 45 F8 89 55 FC 8B 41 04 C1 E8 1F 33 D2 52 50 8B 43 04 C1 E8 1F 33 D2 3B 54 24 04 75 03 3B 04 24 5A 58 74 40 8B 41 04 C1 E8 1F 33 D2 52 50 8B 45 FC C1 E8 1F 33 D2 3B 54 24 04 75 03 3B 04 24 5A 58 74 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69718_0 {
	meta:
		name = "TTimeSpan.ToString"
		size = 488
		refs = "0016 TTimeSpan.ToString 0029 @UStrLAsg 003d @_lldiv 0053 @_llmod 008f @UStrCat3 00b4 @UStrCat 0154 Format 0169 @UStrClr 016f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 C9 00 00 00 68 00 C0 69 2A 8B 03 8B 53 04 E8 ?? ?? ?? ?? 8B F0 68 C9 00 00 00 68 00 C0 69 2A 8B 03 8B 53 04 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 83 7B 04 00 75 07 83 3B 00 73 17 EB 02 7D 13 8B 45 F0 8B 55 F4 F7 D8 83 D2 00 F7 DA 89 45 F0 89 55 F4 85 F6 74 10 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 68 80 96 98 00 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 57 89 75 C8 C6 45 CC 00 6A 00 6A 18 6A 08 68 00 68 C4 61 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C0 89 55 C4 8D 45 C0 89 45 D0 C6 45 D4 10 6A 00 6A 3C 6A 00 68 00 46 C3 23 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B8 89 55 BC 8D 45 B8 89 45 D8 C6 45 DC 10 6A 00 6A 3C 6A 00 68 80 96 98 00 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B0 89 55 B4 8D 45 B0 89 45 E0 C6 45 E4 10 89 5D E8 C6 45 EC 00 8D 55 C8 B9 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 14 00 00 00 25 00 31 00 3A 00 2E 00 32 00 64 00 3A 00 25 00 32 00 3A 00 2E 00 32 00 64 00 3A 00 25 00 33 00 3A 00 2E 00 32 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 30 00 3A 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 2E 00 25 00 34 00 3A 00 2E 00 37 00 64 00 00 00 }
	condition:
		$1
}

rule function_69719_0 {
	meta:
		name = "TTimeSpan.TryParse"
		size = 148
		refs = "0011 TTimeSpanParser 0016 @InitializeRecord 001e TTimeSpan.TryParse 0031 TTimeSpanParser.TryConvert 0043 TTimeSpan.Create 0058 TTimeSpan.FZero 0080 @FinalizeRecord 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B DA 8B F0 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 84 C0 75 1D FF 75 F4 FF 75 F0 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 03 8B 45 EC 89 43 04 B3 01 EB 13 8B 05 ?? ?? ?? ?? 89 03 8B 05 ?? ?? ?? ?? 89 43 04 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69720_0 {
	meta:
		name = "TTimeSpan.Subtract"
		size = 95
		refs = "001a DateTimeToTimeStamp 0022 TimeStampToMSecs 0046 @TRUNC 004b @_llmul 0054 TTimeSpan.Create"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 6A 00 68 10 27 00 00 FF 75 14 FF 75 10 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? DF 7D F8 9B FF 75 0C FF 75 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? DF 6D F8 DE E1 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 52 50 8B C3 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_69721_0 {
	meta:
		name = "TTimeSpan.&op_Subtraction"
		size = 106
		refs = "0019 DateTimeToTimeStamp 0021 TimeStampToMSecs 002d TTimeSpan.GetTotalMilliseconds 0032 @TRUNC 004f MSecsToTimeStamp 0057 TimeStampToDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 D8 56 57 8B F0 8D 7D F8 A5 A5 FF 75 0C FF 75 08 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? DF 7D E0 9B 8D 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 89 55 DC DF 6D D8 DF 6D E0 DE E1 83 C4 F8 DF 3C 24 9B 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? DD 5D F0 9B DD 45 F0 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_69728_0 {
	meta:
		name = "SameValue"
		size = 136
		refs = "0008 SameValue 002b Max 0031 SingleResolution 0049 SingleZero"
	strings:
		$1 = { 55 8B EC D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 27 D9 45 10 D9 E1 83 C4 FC D9 1C 24 9B D9 45 0C D9 E1 83 C4 FC D9 1C 24 9B E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D9 5D 08 9B D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 08 A1 ?? ?? ?? ?? 89 45 08 D9 45 10 D8 5D 0C 9B DF E0 9E 76 12 D9 45 10 D8 65 0C D8 5D 08 9B DF E0 9E 0F 96 C0 EB 10 D9 45 0C D8 65 10 D8 5D 08 9B DF E0 9E 0F 96 C0 5D C2 0C 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_69731_0 {
	meta:
		name = "TPoint.&op_Inequality"
		size = 20
	strings:
		$1 = { 8B 08 3B 0A 75 0B 8B 40 04 3B 42 04 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_69732_0 {
	meta:
		name = "TPoint.&op_Addition"
		size = 18
		altNames = "TSize.&op_Addition TSize.Add"
	strings:
		$1 = { 53 8B 18 03 1A 89 19 8B 40 04 03 42 04 89 41 04 5B C3 }
	condition:
		$1
}

rule function_69733_0 {
	meta:
		name = "TPoint.&op_Subtraction"
		size = 18
		altNames = "TSize.&op_Subtraction TSize.Subtract"
	strings:
		$1 = { 53 8B 18 2B 1A 89 19 8B 40 04 2B 42 04 89 41 04 5B C3 }
	condition:
		$1
}

rule function_69734_0 {
	meta:
		name = "SmallPointToPoint"
		size = 20
		altNames = "TPoint.&op_Implicit"
	strings:
		$1 = { 51 89 04 24 0F BF 04 24 89 02 0F BF 44 24 02 89 42 04 5A C3 }
	condition:
		$1
}

rule function_69735_0 {
	meta:
		name = "TPoint.&op_Explicit"
		size = 113
	strings:
		$1 = { 56 57 83 C4 F4 8B F0 8D 3C 24 A5 A5 8B 04 24 3D 00 80 FF FF 7D 09 66 C7 44 24 08 00 80 EB 1A 3D FF 7F 00 00 7E 09 66 C7 44 24 08 FF 7F EB 0A 0F B7 44 24 08 66 89 44 24 08 8B 44 24 04 3D 00 80 FF FF 7D 09 66 C7 44 24 0A 00 80 EB 1A 3D FF 7F 00 00 7E 09 66 C7 44 24 0A FF 7F EB 0A 0F B7 44 24 0A 66 89 44 24 0A 8B 44 24 08 83 C4 0C 5F 5E C3 }
	condition:
		$1
}

rule function_69736_0 {
	meta:
		name = "TPoint.Create"
		size = 29
		altNames = "TSize.Create TSizeF.Create"
	strings:
		$1 = { 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 8B 14 24 89 10 8B 54 24 04 89 50 04 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_69738_0 {
	meta:
		name = "TPoint.Distance"
		size = 60
		refs = "002b Sqrt"
		altNames = "TSize.Distance"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B 03 2B 06 F7 E8 8B C8 8B 43 04 2B 46 04 F7 E8 03 C8 89 4C 24 08 DB 44 24 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_69740_0 {
	meta:
		name = "TPoint.SetLocation"
		size = 11
		altNames = "TPointF.SetLocation"
	strings:
		$1 = { 8B 0A 89 08 8B 4A 04 89 48 04 C3 }
	condition:
		$1
}

rule function_69741_0 {
	meta:
		name = "TPoint.Offset"
		size = 6
	strings:
		$1 = { 01 10 01 48 04 C3 }
	condition:
		$1
}

rule function_69742_0 {
	meta:
		name = "TPoint.Offset"
		size = 11
		refs = "0006 TPoint.Offset"
	strings:
		$1 = { 8B 4A 04 8B 12 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93528_0 {
	meta:
		name = "TChartAxisTitle.Clicked"
		size = 11
		refs = "0006 TChartAxisTitle.Clicked"
	strings:
		$1 = { 8B 4A 04 8B 12 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69743_0 {
	meta:
		name = "TPoint.Add"
		size = 26
		refs = "0014 TPoint.SetLocation"
	strings:
		$1 = { 53 8B 18 03 1A 8B 40 04 03 42 04 8B D1 87 DA 8B C8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69744_0 {
	meta:
		name = "TPoint.Subtract"
		size = 26
		refs = "0014 TPoint.SetLocation"
	strings:
		$1 = { 53 8B 18 2B 1A 8B 40 04 2B 42 04 8B D1 87 DA 8B C8 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69745_0 {
	meta:
		name = "TPoint.IsZero"
		size = 17
		altNames = "TSize.IsZero"
	strings:
		$1 = { 83 38 00 75 06 83 78 04 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_69746_0 {
	meta:
		name = "TRect.Empty"
		size = 20
		refs = "000e TRect.Create"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 8B C3 33 C9 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69747_0 {
	meta:
		name = "TRect.Create"
		size = 29
		refs = "0014 TRect.Create"
	strings:
		$1 = { 53 56 8B D8 8B 02 50 8B 72 04 56 8B CE 8B F3 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_69748_0 {
	meta:
		name = "TRect.Create"
		size = 44
		refs = "001f TRect.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B 32 03 CE 51 8B 7A 04 8B C7 03 45 08 50 8B C3 8B CE 8B D7 87 CA E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_69749_0 {
	meta:
		name = "TRect.Create"
		size = 24
	strings:
		$1 = { 55 8B EC 89 10 89 48 04 8B 55 0C 89 50 08 8B 55 08 89 50 0C 5D C2 08 00 }
	condition:
		$1
}

rule function_69750_0 {
	meta:
		name = "TRect.Create"
		size = 51
		refs = "0027 TRect.NormalizeRect"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B 02 89 03 8B 42 04 89 43 04 8B 06 89 43 08 8B 46 04 89 43 0C 80 7D 08 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_69854_0 {
	meta:
		name = "TRectF.Create"
		size = 51
		refs = "0027 TRectF.NormalizeRect"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B 02 89 03 8B 42 04 89 43 04 8B 06 89 43 08 8B 46 04 89 43 0C 80 7D 08 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_69751_0 {
	meta:
		name = "TRect.Create"
		size = 44
		refs = "0023 TRect.NormalizeRect"
	strings:
		$1 = { 53 56 8B D9 8B F0 8B 02 89 06 8B 42 04 89 46 04 8B 42 08 89 46 08 8B 42 0C 89 46 0C 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_69753_0 {
	meta:
		name = "TRect.SetWidth"
		size = 6
	strings:
		$1 = { 03 10 89 50 08 C3 }
	condition:
		$1
}

rule function_69754_0 {
	meta:
		name = "RectWidth"
		size = 8
		altNames = "TRect.GetWidth"
	strings:
		$1 = { 8B 50 08 2B 10 8B C2 C3 }
	condition:
		$1
}

rule function_69755_0 {
	meta:
		name = "TRect.SetHeight"
		size = 7
	strings:
		$1 = { 03 50 04 89 50 0C C3 }
	condition:
		$1
}

rule function_69756_0 {
	meta:
		name = "RectHeight"
		size = 9
		altNames = "TRect.GetHeight"
	strings:
		$1 = { 8B 50 0C 2B 50 04 8B C2 C3 }
	condition:
		$1
}

rule function_69757_0 {
	meta:
		name = "TRect.GetSize"
		size = 28
		refs = "0009 TRect.GetWidth 0012 TRect.GetHeight"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 06 8B C3 E8 ?? ?? ?? ?? 89 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_69758_0 {
	meta:
		name = "TRect.SetSize"
		size = 28
		refs = "000b TRect.SetWidth 0015 TRect.SetHeight"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 16 8B C3 E8 ?? ?? ?? ?? 8B 56 04 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69759_0 {
	meta:
		name = "EqualRect"
		size = 36
		altNames = "TRect.&op_Equality"
	strings:
		$1 = { 8B 08 3B 0A 75 18 8B 48 08 3B 4A 08 75 10 8B 48 04 3B 4A 04 75 08 8B 40 0C 3B 42 0C 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_69763_0 {
	meta:
		name = "TRect.NormalizeRect"
		size = 43
	strings:
		$1 = { 8B 50 0C 3B 50 04 7D 0F 31 50 04 8B 50 04 31 50 0C 8B 50 0C 31 50 04 8B 50 08 3B 10 7D 0C 31 10 8B 10 31 50 08 8B 50 08 31 10 C3 }
	condition:
		$1
}

rule function_69766_0 {
	meta:
		name = "TRect.Contains"
		size = 43
		refs = "000b TRect.Contains"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8D 56 08 8B C3 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_69861_0 {
	meta:
		name = "TRectF.Contains"
		size = 43
		refs = "000b TRectF.Contains"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8D 56 08 8B C3 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_69767_0 {
	meta:
		name = "TRect.IntersectsWith"
		size = 36
	strings:
		$1 = { 8B 48 08 3B 0A 7C 17 8B 48 0C 3B 4A 04 7C 0F 8B 4A 08 3B 08 7C 08 8B 52 0C 3B 50 04 7D 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_69769_0 {
	meta:
		name = "TRect.Intersect"
		size = 36
		refs = "0011 TRect.Intersect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F4 8B FB A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69771_0 {
	meta:
		name = "TRect.Union"
		size = 36
		refs = "0011 TRect.Union"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F4 8B FB A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69884_0 {
	meta:
		name = "TRectF.Intersect"
		size = 36
		refs = "0011 TRectF.Intersect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F4 8B FB A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69886_0 {
	meta:
		name = "TRectF.Union"
		size = 36
		refs = "0011 TRectF.Union"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F4 8B FB A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69772_0 {
	meta:
		name = "TRect.Union"
		size = 154
		refs = "0072 TRect.Create"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B D9 8D 72 01 85 F6 7E 69 8B 08 89 0C 24 8B 48 04 89 4C 24 04 8B 08 89 4C 24 08 8B 48 04 89 4C 24 0C 4E 7E 3A 8B F2 85 F6 7E 34 83 C0 08 8B 10 3B 14 24 7D 03 89 14 24 3B 54 24 08 7E 04 89 54 24 08 8B 50 04 3B 54 24 04 7D 04 89 54 24 04 3B 54 24 0C 7E 04 89 54 24 0C 83 C0 08 4E 75 CF 6A 00 8D 4C 24 0C 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? EB 1B 6A 00 6A 00 33 C9 33 D2 8D 44 24 18 E8 ?? ?? ?? ?? 8B FB 8D 74 24 10 A5 A5 A5 A5 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69773_0 {
	meta:
		name = "TRect.Offset"
		size = 36
		refs = "0010 TPoint.Offset"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B CF 8B D6 E8 ?? ?? ?? ?? 8D 43 08 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69774_0 {
	meta:
		name = "TRect.Offset"
		size = 28
		refs = "000b TPoint.Offset"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8D 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69872_0 {
	meta:
		name = "TRectF.Offset"
		size = 28
		refs = "000b TPointF.Offset"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8D 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69775_0 {
	meta:
		name = "TRect.SetLocation"
		size = 11
		refs = "0006 TRect.Offset"
	strings:
		$1 = { 2B 10 2B 48 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69776_0 {
	meta:
		name = "TRect.SetLocation"
		size = 16
		refs = "000b TRect.Offset"
	strings:
		$1 = { 8B 4A 04 2B 48 04 8B 12 2B 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69777_0 {
	meta:
		name = "TRect.Inflate"
		size = 40
		refs = "0014 TPoint.Offset"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF F7 D9 8B D6 F7 DA 8B C3 E8 ?? ?? ?? ?? 8D 43 08 8B CF 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69778_0 {
	meta:
		name = "TRect.Inflate"
		size = 36
		refs = "000d TPoint.Offset"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 F7 DA F7 D9 E8 ?? ?? ?? ?? 8D 43 08 8B 4D 08 8B 55 0C E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69779_0 {
	meta:
		name = "CenterPoint"
		size = 41
		altNames = "TRect.CenterPoint"
	strings:
		$1 = { 53 8B 58 08 8B 08 2B D9 D1 FB 79 03 83 D3 00 03 D9 89 1A 8B 58 0C 8B 48 04 2B D9 D1 FB 79 03 83 D3 00 03 D9 89 5A 04 5B C3 }
	condition:
		$1
}

rule function_69780_0 {
	meta:
		name = "SplitRect"
		size = 86
		altNames = "TRect.SplitRect"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B 5D 08 8B F0 8B FB A5 A5 A5 A5 80 EA 01 72 0C 74 14 FE CA 74 1A FE CA 74 21 EB 28 8B 00 03 45 FC 89 43 08 EB 1E 8B 40 08 2B 45 FC 89 03 EB 14 8B 40 04 03 45 FC 89 43 0C EB 09 8B 40 0C 2B 45 FC 89 43 04 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_69781_0 {
	meta:
		name = "TRect.SplitRect"
		size = 162
		refs = "0029 TRect.GetWidth 0037 @TRUNC 0063 TRect.GetHeight"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B D8 56 8B FE 8B F3 A5 A5 A5 A5 5E 80 EA 01 72 0C 74 26 FE CA 74 40 FE CA 74 59 EB 74 8B C3 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC DC 4D 08 E8 ?? ?? ?? ?? 03 03 89 46 08 EB 58 8B C3 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC DC 4D 08 E8 ?? ?? ?? ?? 8B 53 08 2B D0 89 16 EB 3A 8B C3 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC DC 4D 08 E8 ?? ?? ?? ?? 03 43 04 89 46 0C EB 1D 8B C3 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC DC 4D 08 E8 ?? ?? ?? ?? 8B 53 0C 2B D0 89 56 04 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69783_0 {
	meta:
		name = "SplitRect"
		size = 162
		refs = "0029 RectWidth 0037 @TRUNC 0063 RectHeight"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B D8 56 8B FE 8B F3 A5 A5 A5 A5 5E 80 EA 01 72 0C 74 26 FE CA 74 40 FE CA 74 59 EB 74 8B C3 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC DC 4D 08 E8 ?? ?? ?? ?? 03 03 89 46 08 EB 58 8B C3 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC DC 4D 08 E8 ?? ?? ?? ?? 8B 53 08 2B D0 89 16 EB 3A 8B C3 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC DC 4D 08 E8 ?? ?? ?? ?? 03 43 04 89 46 0C EB 1D 8B C3 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC DC 4D 08 E8 ?? ?? ?? ?? 8B 53 0C 2B D0 89 56 04 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_69784_0 {
	meta:
		name = "CenteredRect"
		size = 124
		refs = "000f RectWidth 0018 RectHeight 0072 Rect"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B FA 8B D8 8B C7 E8 ?? ?? ?? ?? 8B F0 8B C7 E8 ?? ?? ?? ?? 8B F8 8B 6B 08 03 2B D1 FD 79 03 83 D5 00 8B 43 04 03 43 0C D1 F8 79 03 83 D0 00 8B D8 8D 47 01 D1 F8 79 03 83 D0 00 03 C3 50 8B 44 24 04 50 D1 FF 79 03 83 D7 00 8B D3 2B D7 8B C6 D1 F8 79 03 83 D0 00 50 8B C5 59 2B C1 8D 4E 01 D1 F9 79 03 83 D1 00 03 CD E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69785_0 {
	meta:
		name = "MinPoint"
		size = 63
	strings:
		$1 = { 53 56 8B F1 8B D8 8B 03 89 06 8B 43 04 89 46 04 D9 42 04 D8 5B 04 9B DF E0 9E 72 16 D9 42 04 D8 5B 04 9B DF E0 9E 75 14 D9 02 D8 1B 9B DF E0 9E 73 0A 8B 02 89 06 8B 42 04 89 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_69786_0 {
	meta:
		name = "MinPoint"
		size = 47
	strings:
		$1 = { 53 8B D9 8B 08 89 0B 8B 48 04 89 4B 04 8B 4A 04 3B 48 04 7C 0E 8B 4A 04 3B 48 04 75 10 8B 0A 3B 08 7D 0A 8B 02 89 03 8B 42 04 89 43 04 5B C3 }
	condition:
		$1
}

rule function_69787_0 {
	meta:
		name = "MultiplyRect"
		size = 45
	strings:
		$1 = { 55 8B EC D9 00 D8 4D 0C D9 18 9B D9 40 08 D8 4D 0C D9 58 08 9B D9 40 04 D8 4D 08 D9 58 04 9B D9 40 0C D8 4D 08 D9 58 0C 9B 5D C2 08 00 }
	condition:
		$1
}

rule function_69788_0 {
	meta:
		name = "NormalizeRectF"
		size = 141
	strings:
		$1 = { 53 56 57 83 C4 F4 8B D9 89 14 24 8B D0 8D 7C 24 04 C7 03 00 00 70 47 C7 43 04 00 00 70 47 C7 43 08 00 00 70 C7 C7 43 0C 00 00 70 C7 33 F6 EB 4F 8B 04 F2 89 07 8B 44 F2 04 89 47 04 D9 07 D8 1B 9B DF E0 9E 73 04 8B 07 89 03 D9 47 04 D8 5B 04 9B DF E0 9E 73 06 8B 47 04 89 43 04 D9 07 D8 5B 08 9B DF E0 9E 76 05 8B 07 89 43 08 D9 47 04 D8 5B 0C 9B DF E0 9E 76 06 8B 47 04 89 43 0C 46 8B 04 24 3B F0 7E AA 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69789_0 {
	meta:
		name = "NormalizeRect"
		size = 150
		refs = "0013 TPointF.Create 008c NormalizeRectF"
	strings:
		$1 = { 53 56 83 C4 C0 8B F2 8B D8 FF 33 FF 73 04 8D 44 24 28 E8 ?? ?? ?? ?? 8B 44 24 20 89 04 24 8B 44 24 24 89 44 24 04 FF 73 08 FF 73 04 8D 44 24 30 E8 ?? ?? ?? ?? 8B 44 24 28 89 44 24 08 8B 44 24 2C 89 44 24 0C FF 73 08 FF 73 0C 8D 44 24 38 E8 ?? ?? ?? ?? 8B 44 24 30 89 44 24 10 8B 44 24 34 89 44 24 14 FF 33 FF 73 0C 8D 44 24 40 E8 ?? ?? ?? ?? 8B 44 24 38 89 44 24 18 8B 44 24 3C 89 44 24 1C 8B C4 8B CE BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C4 40 5E 5B C3 }
	condition:
		$1
}

rule function_69790_0 {
	meta:
		name = "ScalePoint"
		size = 25
	strings:
		$1 = { 55 8B EC D9 00 D8 4D 0C D9 1A 9B D9 40 04 D8 4D 08 D9 5A 04 9B 5D C2 08 00 }
	condition:
		$1
}

rule function_69791_0 {
	meta:
		name = "ScalePoint"
		size = 41
		refs = "000f @ROUND"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 DB 03 D8 4D 0C E8 ?? ?? ?? ?? 89 06 DB 43 04 D8 4D 08 E8 ?? ?? ?? ?? 89 46 04 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69793_0 {
	meta:
		name = "EqualRect"
		size = 54
	strings:
		$1 = { 8B C8 D9 01 D8 1A 9B DF E0 9E 75 24 D9 41 08 D8 5A 08 9B DF E0 9E 75 18 D9 41 04 D8 5A 04 9B DF E0 9E 75 0C D9 41 0C D8 5A 0C 9B DF E0 9E 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_69794_0 {
	meta:
		name = "Rect"
		size = 26
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 89 03 89 53 04 8B 45 0C 89 43 0C 89 4B 08 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69795_0 {
	meta:
		name = "RectF"
		size = 30
	strings:
		$1 = { 55 8B EC 8B 55 14 89 10 8B 55 10 89 50 04 8B 55 08 89 50 0C 8B 55 0C 89 50 08 5D C2 10 00 }
	condition:
		$1
}

rule function_69798_0 {
	meta:
		name = "RectWidth"
		size = 15
		altNames = "TRectF.GetWidth"
	strings:
		$1 = { 51 D9 40 08 D8 20 D9 1C 24 9B D9 04 24 5A C3 }
	condition:
		$1
}

rule function_69799_0 {
	meta:
		name = "RectHeight"
		size = 16
		altNames = "TRectF.GetHeight"
	strings:
		$1 = { 51 D9 40 0C D8 60 04 D9 1C 24 9B D9 04 24 5A C3 }
	condition:
		$1
}

rule function_69800_0 {
	meta:
		name = "RectCenter"
		size = 94
		refs = "0015 OffsetRect"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 4B 04 F7 D9 8B 13 F7 DA 8B C3 E8 ?? ?? ?? ?? 8B 4E 0C 2B 4E 04 8B 43 0C 2B 43 04 2B C8 D1 F9 79 03 83 D1 00 8B 56 08 2B 16 8B 43 08 2B 03 2B D0 D1 FA 79 03 83 D2 00 8B C3 E8 ?? ?? ?? ?? 8B 4E 04 8B 16 8B C3 E8 ?? ?? ?? ?? 8B F3 A5 A5 A5 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69801_0 {
	meta:
		name = "RectCenter"
		size = 196
		refs = "0026 OffsetRect 005c RectCenter 0061 @ROUND"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F9 8B F2 8B D8 D9 03 D9 E0 83 C4 FC D9 1C 24 9B D9 43 04 D9 E0 83 C4 FC D9 1C 24 9B 8B C3 E8 ?? ?? ?? ?? D9 46 08 D8 26 D9 1C 24 9B D9 43 08 D8 23 D9 5C 24 04 9B D9 46 0C D8 66 04 D9 5C 24 08 9B D9 43 0C D8 63 04 D9 5C 24 0C 9B D9 04 24 D8 64 24 04 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 10 89 54 24 14 DF 6C 24 10 83 C4 FC D9 1C 24 9B D9 44 24 0C D8 64 24 10 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 1C 89 54 24 20 DF 6C 24 1C 83 C4 FC D9 1C 24 9B 8B C3 E8 ?? ?? ?? ?? FF 36 FF 76 04 8B C3 E8 ?? ?? ?? ?? 8B F3 A5 A5 A5 A5 83 C4 20 5F 5E 5B C3 00 00 00 00 00 40 }
	condition:
		$1
}

rule function_69803_0 {
	meta:
		name = "D2D1PointF"
		size = 18
		altNames = "D2D1SizeF D3DXVECTOR2.Create D3DXVector2 MakePoint MakeSize PointF TPointF.Create TPointF.SetLocation TSizeF.Create"
	strings:
		$1 = { 55 8B EC 8B 55 0C 89 10 8B 55 08 89 50 04 5D C2 08 00 }
	condition:
		$1
}

rule function_69804_0 {
	meta:
		name = "PointF"
		size = 11
		altNames = "TSizeF.&op_Implicit"
	strings:
		$1 = { 8B 08 89 0A 8B 40 04 89 42 04 C3 }
	condition:
		$1
}

rule function_69806_0 {
	meta:
		name = "SmallPoint"
		size = 24
	strings:
		$1 = { 51 8B D0 66 83 E2 FF 66 89 14 24 C1 E8 10 66 89 44 24 02 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_69807_0 {
	meta:
		name = "PtInRect"
		size = 33
	strings:
		$1 = { 8B 0A 3B 08 7C 15 3B 48 08 7D 10 8B 4A 04 3B 48 04 7C 08 8B 52 04 3B 50 0C 7C 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_69808_0 {
	meta:
		name = "PtInRect"
		size = 53
	strings:
		$1 = { 8B C8 D9 02 D8 19 9B DF E0 9E 72 23 D9 02 D8 59 08 9B DF E0 9E 73 18 D9 42 04 D8 59 04 9B DF E0 9E 72 0C D9 42 04 D8 59 0C 9B DF E0 9E 72 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_69809_0 {
	meta:
		name = "PtInCircle"
		size = 104
		refs = "004d PtInCircle"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B D9 8B FA 8B F0 85 DB 7E 4A 8B 06 2B 07 89 04 24 DB 04 24 89 5C 24 04 DB 44 24 04 DE F9 D8 C8 DB 7C 24 08 9B 8B 46 04 2B 47 04 89 44 24 14 DB 44 24 14 89 5C 24 18 DB 44 24 18 DE F9 D8 C8 DB 6C 24 08 DE C1 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 96 C0 EB 02 33 C0 83 C4 1C 5F 5E 5B C3 00 00 00 80 3F }
	condition:
		$1
}

rule function_69810_0 {
	meta:
		name = "IntersectRect"
		size = 36
	strings:
		$1 = { 8B 08 3B 4A 08 7F 17 8B 48 08 3B 0A 7C 10 8B 48 04 3B 4A 0C 7F 08 8B 40 0C 3B 42 04 7D 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_69811_0 {
	meta:
		name = "IntersectRect"
		size = 94
		refs = "003d IsRectEmpty 0054 @FillChar"
	strings:
		$1 = { 53 56 57 8B D9 8B F0 56 8B FE 8B F2 A5 A5 A5 A5 5E 8B 03 3B 02 7E 02 89 06 8B 43 04 3B 42 04 7E 03 89 46 04 8B 43 08 3B 42 08 7D 03 89 46 08 8B 43 0C 3B 42 0C 7D 03 89 46 0C 8B C6 E8 ?? ?? ?? ?? 8B D8 80 F3 01 84 DB 75 0E 8B C6 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69812_0 {
	meta:
		name = "IntersectRect"
		size = 54
	strings:
		$1 = { 8B C8 D9 01 D8 5A 08 9B DF E0 9E 77 23 D9 41 08 D8 1A 9B DF E0 9E 72 18 D9 41 04 D8 5A 0C 9B DF E0 9E 77 0C D9 41 0C D8 5A 04 9B DF E0 9E 73 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_69813_0 {
	meta:
		name = "IntersectRect"
		size = 121
		refs = "0058 IsRectEmpty 006f @FillChar"
	strings:
		$1 = { 53 56 57 8B D9 8B F0 56 8B FE 8B F2 A5 A5 A5 A5 5E D9 03 D8 1A 9B DF E0 9E 76 04 8B 03 89 06 D9 43 04 D8 5A 04 9B DF E0 9E 76 06 8B 43 04 89 46 04 D9 43 08 D8 5A 08 9B DF E0 9E 73 06 8B 43 08 89 46 08 D9 43 0C D8 5A 0C 9B DF E0 9E 73 06 8B 43 0C 89 46 0C 8B C6 E8 ?? ?? ?? ?? 8B D8 80 F3 01 84 DB 75 0E 8B C6 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69814_0 {
	meta:
		name = "UnionRect"
		size = 111
		refs = "001a IsRectEmpty 0065 @FillChar"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 56 57 8B C7 8B FE 8B F0 A5 A5 A5 A5 5F 5E 8B C3 E8 ?? ?? ?? ?? 84 C0 75 29 8B 03 3B 07 7D 02 89 06 8B 43 04 3B 47 04 7D 03 89 46 04 8B 43 08 3B 47 08 7E 03 89 46 08 8B 43 0C 3B 47 0C 7E 03 89 46 0C 8B C6 E8 ?? ?? ?? ?? 8B D8 80 F3 01 84 DB 75 0E 8B C6 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69815_0 {
	meta:
		name = "UnionRect"
		size = 138
		refs = "001a IsRectEmpty 0080 @FillChar"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 56 57 8B C7 8B FE 8B F0 A5 A5 A5 A5 5F 5E 8B C3 E8 ?? ?? ?? ?? 84 C0 75 44 D9 03 D8 1F 9B DF E0 9E 73 04 8B 03 89 06 D9 43 04 D8 5F 04 9B DF E0 9E 73 06 8B 43 04 89 46 04 D9 43 08 D8 5F 08 9B DF E0 9E 76 06 8B 43 08 89 46 08 D9 43 0C D8 5F 0C 9B DF E0 9E 76 06 8B 43 0C 89 46 0C 8B C6 E8 ?? ?? ?? ?? 8B D8 80 F3 01 84 DB 75 0E 8B C6 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69818_0 {
	meta:
		name = "InflateRect"
		size = 45
	strings:
		$1 = { 55 8B EC D9 00 D8 65 0C D9 18 9B D9 40 08 D8 45 0C D9 58 08 9B D9 40 04 D8 65 08 D9 58 04 9B D9 40 0C D8 45 08 D9 58 0C 9B 5D C2 08 00 }
	condition:
		$1
}

rule function_69819_0 {
	meta:
		name = "InflateRect"
		size = 12
	strings:
		$1 = { 29 10 01 50 08 29 48 04 01 48 0C C3 }
	condition:
		$1
}

rule function_69820_0 {
	meta:
		name = "IsRectEmpty"
		size = 21
	strings:
		$1 = { 8B 50 08 3B 10 7E 0B 8B 50 0C 3B 50 04 7E 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_69821_0 {
	meta:
		name = "IsRectEmpty"
		size = 31
	strings:
		$1 = { 8B D0 D9 42 08 D8 1A 9B DF E0 9E 76 0F D9 42 0C D8 5A 04 9B DF E0 9E 76 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_69822_0 {
	meta:
		name = "OffsetRect"
		size = 21
	strings:
		$1 = { 85 C0 74 0E 01 10 01 50 08 01 48 04 01 48 0C B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_69823_0 {
	meta:
		name = "OffsetRect"
		size = 55
	strings:
		$1 = { 55 8B EC 85 C0 74 2A D9 00 D8 45 0C D9 18 9B D9 40 08 D8 45 0C D9 58 08 9B D9 40 04 D8 45 08 D9 58 04 9B D9 40 0C D8 45 08 D9 58 0C 9B B0 01 EB 02 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_69824_0 {
	meta:
		name = "Bounds"
		size = 28
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 89 03 89 53 04 03 C8 89 4B 08 03 55 0C 89 53 0C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69826_0 {
	meta:
		name = "IntersectRectF"
		size = 121
		refs = "0058 TRectF.IsEmpty"
	strings:
		$1 = { 53 56 57 8B F1 8B D8 56 8B F2 8B FB A5 A5 A5 A5 5E D9 06 D8 1A 9B DF E0 9E 76 04 8B 06 89 03 D9 46 04 D8 5A 04 9B DF E0 9E 76 06 8B 46 04 89 43 04 D9 46 08 D8 5A 08 9B DF E0 9E 73 06 8B 46 08 89 43 08 D9 46 0C D8 5A 0C 9B DF E0 9E 73 06 8B 46 0C 89 43 0C 8B C3 E8 ?? ?? ?? ?? 34 01 84 C0 75 13 33 D2 89 53 04 33 D2 89 53 0C 33 D2 89 13 33 D2 89 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69827_0 {
	meta:
		name = "UnionRectF"
		size = 136
		refs = "0018 TRectF.IsEmpty"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 56 57 8B F7 8B FB A5 A5 A5 A5 5F 5E 8B C6 E8 ?? ?? ?? ?? 84 C0 75 44 D9 06 D8 1F 9B DF E0 9E 73 04 8B 06 89 03 D9 46 04 D8 5F 04 9B DF E0 9E 73 06 8B 46 04 89 43 04 D9 46 08 D8 5F 08 9B DF E0 9E 76 06 8B 46 08 89 43 08 D9 46 0C D8 5F 0C 9B DF E0 9E 76 06 8B 46 0C 89 43 0C 8B C3 E8 ?? ?? ?? ?? 34 01 84 C0 75 13 33 D2 89 53 04 33 D2 89 53 0C 33 D2 89 13 33 D2 89 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69828_0 {
	meta:
		name = "D3DXVec2Add"
		size = 18
		altNames = "TPointF.&op_Addition TPointF.Add TSizeF.&op_Addition TSizeF.Add"
	strings:
		$1 = { D9 00 D8 02 D9 19 9B D9 40 04 D8 42 04 D9 59 04 9B C3 }
	condition:
		$1
}

rule function_69829_0 {
	meta:
		name = "TPointF.Add"
		size = 18
	strings:
		$1 = { DB 02 D8 00 D9 19 9B DB 42 04 D8 40 04 D9 59 04 9B C3 }
	condition:
		$1
}

rule function_69831_0 {
	meta:
		name = "TPointF.Create"
		size = 11
	strings:
		$1 = { 8B 0A 89 08 8B 52 04 89 50 04 C3 }
	condition:
		$1
}

rule function_69833_0 {
	meta:
		name = "TPointF.Create"
		size = 31
	strings:
		$1 = { 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 DB 04 24 D9 18 9B DB 44 24 04 D9 58 04 9B 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_69834_0 {
	meta:
		name = "TPointF.Distance"
		size = 59
		refs = "002a Sqrt"
		altNames = "TSizeF.Distance"
	strings:
		$1 = { 53 56 83 C4 EC 8B F2 8B D8 D9 03 D8 26 D8 C8 DB 7C 24 08 9B D9 43 04 D8 66 04 D8 C8 DB 6C 24 08 DE C1 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 14 5E 5B C3 }
	condition:
		$1
}

rule function_69835_0 {
	meta:
		name = "TPointF.&op_Equality"
		size = 48
		refs = "000d SameValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 FF 33 FF 36 6A 00 E8 ?? ?? ?? ?? 84 C0 74 11 FF 73 04 FF 76 04 6A 00 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_69837_0 {
	meta:
		name = "TPointF.IsZero"
		size = 42
		refs = "000a SameValue"
		altNames = "TSizeF.IsZero"
	strings:
		$1 = { 53 8B D8 FF 33 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 10 FF 73 04 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_69838_0 {
	meta:
		name = "TPointF.Offset"
		size = 18
	strings:
		$1 = { DB 02 D8 00 D9 18 9B DB 42 04 D8 40 04 D9 58 04 9B C3 }
	condition:
		$1
}

rule function_69839_0 {
	meta:
		name = "TPointF.Offset"
		size = 25
	strings:
		$1 = { 55 8B EC D9 00 D8 45 0C D9 18 9B D9 40 04 D8 45 08 D9 58 04 9B 5D C2 08 00 }
	condition:
		$1
}

rule function_69840_0 {
	meta:
		name = "TPointF.Offset"
		size = 18
	strings:
		$1 = { D9 00 D8 02 D9 18 9B D9 40 04 D8 42 04 D9 58 04 9B C3 }
	condition:
		$1
}

rule function_69841_0 {
	meta:
		name = "TPointF.SetLocation"
		size = 13
	strings:
		$1 = { DB 02 D9 18 9B DB 42 04 D9 58 04 9B C3 }
	condition:
		$1
}

rule function_69844_0 {
	meta:
		name = "D3DXVec2Subtract"
		size = 18
		altNames = "TPointF.&op_Subtraction TPointF.Subtract TSizeF.&op_Subtraction TSizeF.Subtract"
	strings:
		$1 = { D9 00 D8 22 D9 19 9B D9 40 04 D8 62 04 D9 59 04 9B C3 }
	condition:
		$1
}

rule function_69846_0 {
	meta:
		name = "TPointF.Subtract"
		size = 18
	strings:
		$1 = { DB 02 D8 28 D9 19 9B DB 42 04 D8 68 04 D9 59 04 9B C3 }
	condition:
		$1
}

rule function_69847_0 {
	meta:
		name = "TPointF.Ceiling"
		size = 29
		refs = "0009 Ceil"
		altNames = "TSizeF.Ceiling"
	strings:
		$1 = { 53 56 8B F2 8B D8 FF 33 E8 ?? ?? ?? ?? 89 06 FF 73 04 E8 ?? ?? ?? ?? 89 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_69848_0 {
	meta:
		name = "TPointF.Truncate"
		size = 29
		refs = "0009 @TRUNC"
		altNames = "TSizeF.Truncate"
	strings:
		$1 = { 53 56 8B F2 8B D8 D9 03 E8 ?? ?? ?? ?? 89 06 D9 43 04 E8 ?? ?? ?? ?? 89 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_69849_0 {
	meta:
		name = "TPointF.Round"
		size = 29
		refs = "0009 @ROUND"
	strings:
		$1 = { 53 56 8B F2 8B D8 D9 03 E8 ?? ?? ?? ?? 89 06 D9 43 04 E8 ?? ?? ?? ?? 89 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_69850_0 {
	meta:
		name = "TRectF.Create"
		size = 34
		refs = "0018 TRectF.NormalizeRect"
	strings:
		$1 = { 53 56 57 8B D9 8B F0 56 8B FE 8B F2 A5 A5 A5 A5 5E 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69851_0 {
	meta:
		name = "TRectF.Create"
		size = 44
		refs = "0024 TRectF.NormalizeRect"
	strings:
		$1 = { 53 8B D8 DB 02 D9 1B 9B DB 42 04 D9 5B 04 9B DB 42 08 D9 5B 08 9B DB 42 0C D9 5B 0C 9B 84 C9 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_69852_0 {
	meta:
		name = "TRectF.Create"
		size = 22
	strings:
		$1 = { 8B 0A 89 08 8B 4A 04 89 48 04 8B 0A 89 48 08 8B 4A 04 89 48 0C C3 }
	condition:
		$1
}

rule function_69853_0 {
	meta:
		name = "ColorArray"
		size = 30
		altNames = "D2D1ColorF D2D1RectF D3DXColor D3DXPLANE.Create D3DXPlane D3DXQUATERNION.Create D3DXQuaternion D3DXVECTOR4.Create D3DXVector4 MakeRect TRectF.Create _D3DCOLORVALUE.Create"
	strings:
		$1 = { 55 8B EC 8B 55 14 89 10 8B 55 10 89 50 04 8B 55 0C 89 50 08 8B 55 08 89 50 0C 5D C2 10 00 }
	condition:
		$1
}

rule function_69855_0 {
	meta:
		name = "TRectF.Create"
		size = 43
		refs = "0016 TRectF.SetWidth 0020 TRectF.SetHeight"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 02 89 03 8B 42 04 89 43 04 FF 75 0C 8B C3 E8 ?? ?? ?? ?? FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B C3 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69856_0 {
	meta:
		name = "TRectF.&op_Equality"
		size = 44
		refs = "000b TPointF.&op_Equality"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8D 56 08 8D 43 08 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_69860_0 {
	meta:
		name = "TRectF.CenterPoint"
		size = 40
		refs = "0007 TRectF.CenterPoint"
	strings:
		$1 = { D9 40 08 D8 20 D8 35 ?? ?? ?? ?? D8 00 D9 1A 9B D9 40 0C D8 60 04 D8 35 ?? ?? ?? ?? D8 40 04 D9 5A 04 9B C3 00 00 00 40 }
	condition:
		$1
}

rule function_69862_0 {
	meta:
		name = "TRectF.Contains"
		size = 93
		refs = "0017 SameValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 D9 06 D8 1B 9B DF E0 9E 77 0F FF 36 FF 33 6A 00 E8 ?? ?? ?? ?? 84 C0 74 34 D9 06 D8 5B 08 9B DF E0 9E 73 29 D9 46 04 D8 5B 04 9B DF E0 9E 77 11 FF 76 04 FF 73 04 6A 00 E8 ?? ?? ?? ?? 84 C0 74 0C D9 46 04 D8 5B 0C 9B DF E0 9E 72 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_69863_0 {
	meta:
		name = "TRectF.Empty"
		size = 20
		refs = "000e TRectF.Create"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_69865_0 {
	meta:
		name = "TRectF.SetHeight"
		size = 17
	strings:
		$1 = { 55 8B EC D9 40 04 D8 45 08 D9 58 0C 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_69867_0 {
	meta:
		name = "TRectF.SetWidth"
		size = 16
	strings:
		$1 = { 55 8B EC D9 00 D8 45 08 D9 58 08 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_69868_0 {
	meta:
		name = "TRectF.GetSize"
		size = 30
		refs = "0009 TRectF.GetWidth 0013 TRectF.GetHeight"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? D9 1E 9B 8B C3 E8 ?? ?? ?? ?? D9 5E 04 9B 5E 5B C3 }
	condition:
		$1
}

rule function_69869_0 {
	meta:
		name = "TRectF.SetSize"
		size = 28
		refs = "000b TRectF.SetWidth 0015 TRectF.SetHeight"
	strings:
		$1 = { 53 56 8B F2 8B D8 FF 36 8B C3 E8 ?? ?? ?? ?? FF 76 04 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69870_0 {
	meta:
		name = "TRectF.Inflate"
		size = 56
		refs = "0021 TPointF.Offset"
	strings:
		$1 = { 55 8B EC 53 8B D8 D9 45 0C D9 E0 83 C4 FC D9 1C 24 9B D9 45 08 D9 E0 83 C4 FC D9 1C 24 9B 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 43 08 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69871_0 {
	meta:
		name = "TRectF.Inflate"
		size = 56
		refs = "0021 TPointF.Offset"
	strings:
		$1 = { 55 8B EC 53 8B D8 D9 45 14 D9 E0 83 C4 FC D9 1C 24 9B D9 45 10 D9 E0 83 C4 FC D9 1C 24 9B 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 43 08 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_69873_0 {
	meta:
		name = "TRectF.Offset"
		size = 38
		refs = "000f TPointF.Offset"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 43 08 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69875_0 {
	meta:
		name = "TRectF.SetLocation"
		size = 30
		refs = "0019 TRectF.Offset"
	strings:
		$1 = { D9 02 D8 20 83 C4 FC D9 1C 24 9B D9 42 04 D8 60 04 83 C4 FC D9 1C 24 9B E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69876_0 {
	meta:
		name = "TRectF.SetLocation"
		size = 37
		refs = "001d TRectF.Offset"
	strings:
		$1 = { 55 8B EC D9 45 0C D8 20 83 C4 FC D9 1C 24 9B D9 45 08 D8 60 04 83 C4 FC D9 1C 24 9B E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_69877_0 {
	meta:
		name = "TRectF.IntersectsWith"
		size = 54
	strings:
		$1 = { 8B C8 D9 41 08 D8 1A 9B DF E0 9E 72 23 D9 41 0C D8 5A 04 9B DF E0 9E 72 17 D9 42 08 D8 19 9B DF E0 9E 72 0C D9 42 0C D8 59 04 9B DF E0 9E 73 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_69878_0 {
	meta:
		name = "TRectF.IsEmpty"
		size = 67
		refs = "0016 SameValue"
	strings:
		$1 = { 53 8B D8 D9 43 08 D8 1B 9B DF E0 9E 72 31 FF 73 08 FF 33 6A 00 E8 ?? ?? ?? ?? 84 C0 75 21 D9 43 0C D8 5B 04 9B DF E0 9E 72 15 FF 73 0C FF 73 04 6A 00 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_69879_0 {
	meta:
		name = "TRectF.NormalizeRect"
		size = 62
	strings:
		$1 = { 51 8B D0 D9 42 04 D8 5A 0C 9B DF E0 9E 76 12 8B 42 04 89 04 24 8B 42 0C 89 42 04 8B 04 24 89 42 0C D9 02 D8 5A 08 9B DF E0 9E 76 10 8B 02 89 04 24 8B 42 08 89 02 8B 04 24 89 42 08 5A C3 }
	condition:
		$1
}

rule function_69880_0 {
	meta:
		name = "TRectF.Ceiling"
		size = 58
		refs = "000e TPointF.Ceiling"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 06 8B 44 24 04 89 46 04 8B D4 8D 43 08 E8 ?? ?? ?? ?? 8B 04 24 89 46 08 8B 44 24 04 89 46 0C 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_69882_0 {
	meta:
		name = "TRectF.Round"
		size = 58
		refs = "000e TPointF.Round"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 06 8B 44 24 04 89 46 04 8B D4 8D 43 08 E8 ?? ?? ?? ?? 8B 04 24 89 46 08 8B 44 24 04 89 46 0C 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_69881_0 {
	meta:
		name = "TRectF.Truncate"
		size = 58
		refs = "000e TPointF.Truncate"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 06 8B 44 24 04 89 46 04 8B D4 8D 43 08 E8 ?? ?? ?? ?? 8B 04 24 89 46 08 8B 44 24 04 89 46 0C 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_69887_0 {
	meta:
		name = "TRectF.Union"
		size = 189
		refs = "0095 TRectF.Create"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F1 8D 5A 01 85 DB 0F 8E 88 00 00 00 8B 08 89 0C 24 8B 48 04 89 4C 24 04 8B 08 89 4C 24 08 8B 48 04 89 4C 24 0C 4B 7E 59 8B CA 85 C9 7E 53 8D 50 08 D9 02 D8 1C 24 9B DF E0 9E 73 05 8B 02 89 04 24 D9 02 D8 5C 24 08 9B DF E0 9E 76 06 8B 02 89 44 24 08 D9 42 04 D8 5C 24 04 9B DF E0 9E 73 07 8B 42 04 89 44 24 04 D9 42 04 D8 5C 24 0C 9B DF E0 9E 76 07 8B 42 04 89 44 24 0C 83 C2 08 49 75 B0 6A 00 8D 4C 24 0C 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? EB 1B 6A 00 6A 00 6A 00 6A 00 8D 44 24 20 E8 ?? ?? ?? ?? 8B FE 8D 74 24 10 A5 A5 A5 A5 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69906_0 {
	meta:
		name = "D3DXVECTOR2.&op_Equality"
		size = 30
		altNames = "D3DXVector2Equal TSizeF.&op_Equality"
	strings:
		$1 = { 8B C8 D9 01 D8 1A 9B DF E0 9E 75 0C D9 41 04 D8 5A 04 9B DF E0 9E 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_69911_0 {
	meta:
		name = "TSizeF.Round"
		size = 48
		refs = "000a TSizeF.Round 000f @TRUNC"
	strings:
		$1 = { 53 56 8B F2 8B D8 D9 03 D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 06 D9 43 04 D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 5E 5B C3 00 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_69913_0 {
	meta:
		name = "TSizeF.&op_Implicit"
		size = 13
	strings:
		$1 = { DB 00 D9 1A 9B DB 40 04 D9 5A 04 9B C3 }
	condition:
		$1
}

rule function_69914_0 {
	meta:
		name = "TSmallPoint.Create"
		size = 22
	strings:
		$1 = { 51 89 14 24 0F B7 14 24 66 89 10 0F B7 54 24 02 66 89 50 02 5A C3 }
	condition:
		$1
}

rule function_69915_0 {
	meta:
		name = "TSmallPoint.Create"
		size = 8
	strings:
		$1 = { 66 89 10 66 89 48 02 C3 }
	condition:
		$1
}

rule function_69917_0 {
	meta:
		name = "TSmallPoint.Add"
		size = 39
	strings:
		$1 = { 83 C4 F8 89 14 24 0F B7 10 66 03 14 24 66 89 54 24 04 0F B7 40 02 66 03 44 24 02 66 89 44 24 06 8B 44 24 04 59 5A C3 }
	condition:
		$1
}

rule function_69918_0 {
	meta:
		name = "TSmallPoint.&op_Addition"
		size = 47
	strings:
		$1 = { 83 C4 F4 89 54 24 04 89 04 24 0F B7 04 24 66 03 44 24 04 66 89 44 24 08 0F B7 44 24 02 66 03 44 24 06 66 89 44 24 0A 8B 44 24 08 83 C4 0C C3 }
	condition:
		$1
}

rule function_69919_0 {
	meta:
		name = "TSmallPoint.Subtract"
		size = 39
	strings:
		$1 = { 83 C4 F8 89 14 24 0F B7 10 66 2B 14 24 66 89 54 24 04 0F B7 40 02 66 2B 44 24 02 66 89 44 24 06 8B 44 24 04 59 5A C3 }
	condition:
		$1
}

rule function_69920_0 {
	meta:
		name = "TSmallPoint.&op_Subtraction"
		size = 47
	strings:
		$1 = { 83 C4 F4 89 54 24 04 89 04 24 0F B7 04 24 66 2B 44 24 04 66 89 44 24 08 0F B7 44 24 02 66 2B 44 24 06 66 89 44 24 0A 8B 44 24 08 83 C4 0C C3 }
	condition:
		$1
}

rule function_69921_0 {
	meta:
		name = "TSmallPoint.Distance"
		size = 71
		refs = "0035 Sqrt"
	strings:
		$1 = { 53 83 C4 EC 89 14 24 8B D8 0F BF 03 0F BF 14 24 2B C2 F7 E8 8B C8 0F BF 43 02 0F BF 54 24 02 2B C2 F7 E8 03 C8 89 4C 24 10 DB 44 24 10 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5C 24 08 9B DD 44 24 08 83 C4 14 5B C3 }
	condition:
		$1
}

rule function_69923_0 {
	meta:
		name = "TSmallPoint.&op_Inequality"
		size = 27
		refs = "0012 TSmallPoint.&op_Equality"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 34 01 59 5A C3 }
	condition:
		$1
}

rule function_69924_0 {
	meta:
		name = "TSmallPoint.IsZero"
		size = 19
	strings:
		$1 = { 66 83 38 00 75 07 66 83 78 02 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_69930_0 {
	meta:
		name = "PropIsType"
		size = 27
		refs = "000e PropType"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 3A D8 0F 94 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69932_0 {
	meta:
		name = "PropType"
		size = 20
		refs = "000d PropType"
	strings:
		$1 = { 53 56 8B F2 8B 00 89 C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_69933_0 {
	meta:
		name = "FindPropInfo"
		size = 97
		refs = "000f FindPropInfo 001f UTF8Encode 002c InternalGetPropInfo 0039 PropertyNotFound 004e @LStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 83 C3 B8 8B 03 E8 ?? ?? ?? ?? 8B D8 85 DB 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69934_0 {
	meta:
		name = "FindPropInfo"
		size = 99
		refs = "000f FindPropInfo 001f UTF8Encode 002e InternalGetPropInfo 003b PropertyNotFound 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 03 83 C0 B8 8B 00 E8 ?? ?? ?? ?? 8B D8 85 DB 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69935_0 {
	meta:
		name = "PropType"
		size = 25
		refs = "000b FindPropInfo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 00 8B 00 0F B6 00 5E 5B C3 }
	condition:
		$1
}

rule function_69938_0 {
	meta:
		name = "SetOrdProp"
		size = 33
		refs = "000e FindPropInfo 0019 SetOrdProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69948_0 {
	meta:
		name = "GetAnsiStrProp"
		size = 33
		refs = "000e FindPropInfo 0019 GetAnsiStrProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69939_0 {
	meta:
		name = "GetEnumProp"
		size = 33
		refs = "000e FindPropInfo 0019 GetEnumProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70045_0 {
	meta:
		name = "GetInterfaceProp"
		size = 33
		refs = "000e FindPropInfo 0019 GetInterfaceProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69958_0 {
	meta:
		name = "GetMethodProp"
		size = 33
		refs = "000e FindPropInfo 0019 GetMethodProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69943_0 {
	meta:
		name = "GetObjectProp"
		size = 33
		refs = "000e FindPropInfo 0019 GetObjectProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69952_0 {
	meta:
		name = "GetUnicodeStrProp"
		size = 33
		refs = "000e FindPropInfo 0019 GetUnicodeStrProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69956_0 {
	meta:
		name = "GetVariantProp"
		size = 33
		refs = "000e FindPropInfo 0019 GetVariantProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69950_0 {
	meta:
		name = "GetWideStrProp"
		size = 33
		refs = "000e FindPropInfo 0019 GetWideStrProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69949_0 {
	meta:
		name = "SetAnsiStrProp"
		size = 33
		refs = "000e FindPropInfo 0019 SetAnsiStrProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70050_0 {
	meta:
		name = "SetDynArrayProp"
		size = 33
		refs = "000e FindPropInfo 0019 SetDynArrayProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69940_0 {
	meta:
		name = "SetEnumProp"
		size = 33
		refs = "000e FindPropInfo 0019 SetEnumProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70046_0 {
	meta:
		name = "SetInterfaceProp"
		size = 33
		refs = "000e FindPropInfo 0019 SetInterfaceProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69959_0 {
	meta:
		name = "SetMethodProp"
		size = 33
		refs = "000e FindPropInfo 0019 SetMethodProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69965_0 {
	meta:
		name = "SetPropValue"
		size = 33
		refs = "000e FindPropInfo 0019 SetPropValue"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69942_0 {
	meta:
		name = "SetSetProp"
		size = 33
		refs = "000e FindPropInfo 0019 SetSetProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69953_0 {
	meta:
		name = "SetUnicodeStrProp"
		size = 33
		refs = "000e FindPropInfo 0019 SetUnicodeStrProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69957_0 {
	meta:
		name = "SetVariantProp"
		size = 33
		refs = "000e FindPropInfo 0019 SetVariantProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69951_0 {
	meta:
		name = "SetWideStrProp"
		size = 33
		refs = "000e FindPropInfo 0019 SetWideStrProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69941_0 {
	meta:
		name = "GetSetProp"
		size = 43
		refs = "0015 FindPropInfo 0020 GetSetProp"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 8B 45 08 50 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_69963_0 {
	meta:
		name = "GetPropValue"
		size = 43
		refs = "0015 FindPropInfo 0020 GetPropValue"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 8B 45 08 50 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_69944_0 {
	meta:
		name = "SetObjectProp"
		size = 35
		refs = "0010 FindPropInfo 001b SetObjectProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69954_0 {
	meta:
		name = "GetFloatProp"
		size = 40
		refs = "000e FindPropInfo 0017 GetFloatProp"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? DB 3C 24 9B DB 2C 24 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_69955_0 {
	meta:
		name = "SetFloatProp"
		size = 44
		refs = "0019 FindPropInfo 0022 SetFloatProp"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 0F B7 45 10 50 FF 75 0C FF 75 08 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_69960_0 {
	meta:
		name = "GetInt64Prop"
		size = 46
		refs = "000e FindPropInfo 0017 GetInt64Prop"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_69961_0 {
	meta:
		name = "SetInt64Prop"
		size = 39
		refs = "0014 FindPropInfo 001d SetInt64Prop"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_69962_0 {
	meta:
		name = "GetPropName"
		size = 80
		refs = "000d GetPropName 0020 UTF8ToUnicodeString 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 58 1A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69964_0 {
	meta:
		name = "GetPropValue"
		size = 642
		refs = "0025 GetPropValue 0032 Null 009e GetOrdProp 00a9 @VarFromInt 00c0 GetEnumProp 00ca @VarFromUStr 00d8 GetTypeData 00e3 Boolean 00f7 @VarFromBool 012a GetSetProp 015b GetFloatProp 0162 @VarFromReal 0173 GetTypeName 018e GetStrProp 01a9 GetWideStrProp 01b3 @VarFromWStr 01c4 GetUnicodeStrProp 01db GetVariantProp 01e6 GetInt64Prop 01ef @VarFromInt64 01fa GetDynArrayProp 0206 DynArrayToVariant 022a SInvalidPropertyType 0231 _DV_EPropertyConvertError 0236 Exception.CreateResFmt 023b @RaiseExcept 0250 @UStrClr 0260 @WStrClr 026d @UStrArrayClr 0273 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 88 4D FF 8B DA 8B F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 03 8B 00 0F B6 00 83 F8 12 0F 87 C6 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 B1 FC E8 ?? ?? ?? ?? E9 8D 01 00 00 80 7D FF 00 74 1B 8D 4D F8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? E9 6C 01 00 00 8B 03 8B 00 E8 ?? ?? ?? ?? 8B 40 09 8B 00 3B 05 ?? ?? ?? ?? 75 17 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? E9 3F 01 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 B1 FC E8 ?? ?? ?? ?? E9 26 01 00 00 80 7D FF 00 74 1E 8D 45 F4 50 33 C9 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? E9 02 01 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 B1 FC E8 ?? ?? ?? ?? E9 E9 00 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 D4 00 00 00 8D 55 F0 8B 03 8B 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? E9 B9 00 00 00 8D 4D EC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? E9 9E 00 00 00 8D 4D E8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? E9 83 00 00 00 8D 4D E4 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? EB 6B 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? EB 5E 8B D3 8B C7 E8 ?? ?? ?? ?? 52 50 8B C6 E8 ?? ?? ?? ?? EB 4A 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 13 8B 0A 8B D6 92 E8 ?? ?? ?? ?? EB 33 8D 55 D8 8B 03 8B 00 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 8D 45 DC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_69966_0 {
	meta:
		name = "RangedValue"
		size = 85
		refs = "000d @VarToReal 0012 @TRUNC 0045 RangeError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 18 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 3B 55 14 75 07 3B 45 10 72 18 EB 02 7C 14 8B 45 F8 8B 55 FC 3B 55 0C 75 07 3B 45 08 76 09 EB 02 7E 05 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_69967_0 {
	meta:
		name = "RangedCharValue"
		size = 387
		refs = "0012 RangedCharValue 004a @VarToUStr 0119 @VarToReal 011e @TRUNC 0151 RangeError 016b @UStrArrayClr 0171 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C0 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 8B 40 FC 0F B7 00 66 83 E8 08 0F 84 9F 00 00 00 66 2D F8 00 74 0B 66 83 E8 02 74 4F E9 D2 00 00 00 8D 45 FC 8B 55 18 8B 52 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 48 75 16 8B 45 FC 0F B7 00 0F B7 C0 33 D2 89 45 F0 89 55 F4 E9 B5 00 00 00 8B 45 10 8B 55 14 83 E8 01 83 DA 00 89 45 F0 89 55 F4 E9 9E 00 00 00 8D 45 FC 8B 55 18 8B 52 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 48 75 13 8B 45 FC 0F B7 00 0F B7 C0 33 D2 89 45 F0 89 55 F4 EB 6E 8B 45 10 8B 55 14 83 E8 01 83 DA 00 89 45 F0 89 55 F4 EB 5A 8D 45 F8 8B 55 18 8B 52 FC E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 48 75 13 8B 45 F8 0F B7 00 0F B7 C0 33 D2 89 45 F0 89 55 F4 EB 2A 8B 45 10 8B 55 14 83 E8 01 83 DA 00 89 45 F0 89 55 F4 EB 16 8B 45 18 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 8B 45 F0 8B 55 F4 3B 55 14 75 07 3B 45 10 72 18 EB 02 7C 14 8B 45 F0 8B 55 F4 3B 55 0C 75 07 3B 45 08 76 09 EB 02 7E 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 8B 55 F4 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_69968_0 {
	meta:
		name = "SetPropValue"
		size = 789
		refs = "0022 SetPropValue 0031 GetTypeData 00a8 RangedCharValue 00b4 SetOrdProp 00d3 RangedValue 013e VarToStr 014a SetEnumProp 015d @VarToReal 0162 @TRUNC 01b1 @VarToInteger 01d8 SetSetProp 01f5 SetFloatProp 0211 SetStrProp 0221 VarToWideStr 022d SetWideStrProp 0249 SetUnicodeStrProp 025a SetVariantProp 0279 SetInt64Prop 028f DynArrayFromVariant 029b SetDynArrayProp 02a9 GetTypeName 02bf SInvalidPropertyType 02c6 _DV_EPropertyConvertError 02cb Exception.CreateResFmt 02d0 @RaiseExcept 02e5 @UStrClr 02f5 @WStrClr 0302 @UStrArrayClr 0308 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D FC 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B 00 E8 ?? ?? ?? ?? 8B F0 8B 03 8B 00 0F B6 00 83 F8 12 0F 87 5A 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 8B 46 01 99 52 50 8B 46 05 99 52 50 E8 ?? ?? ?? ?? 59 8B C8 8B D3 8B C7 E8 ?? ?? ?? ?? E9 17 02 00 00 8B 46 05 3B 46 01 7E 23 55 8B 46 01 99 52 50 8B 46 05 99 52 50 E8 ?? ?? ?? ?? 59 8B C8 8B D3 8B C7 E8 ?? ?? ?? ?? E9 EC 01 00 00 55 8B 46 01 33 D2 52 50 8B 46 05 33 D2 52 50 E8 ?? ?? ?? ?? 59 8B C8 8B D3 8B C7 E8 ?? ?? ?? ?? E9 C7 01 00 00 8B 45 FC 0F B7 00 66 3D 00 01 75 04 B2 01 EB 07 66 83 F8 08 0F 94 C2 84 D2 74 04 B2 01 EB 07 66 3D 02 01 0F 94 C2 84 D2 74 1C 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F4 8B D3 8B C7 E8 ?? ?? ?? ?? E9 81 01 00 00 66 83 F8 0B 75 28 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 D2 7D 07 F7 D8 83 D2 00 F7 DA 8B C8 8B D3 8B C7 E8 ?? ?? ?? ?? E9 53 01 00 00 55 8B 46 01 99 52 50 8B 46 05 99 52 50 E8 ?? ?? ?? ?? 59 8B C8 8B D3 8B C7 E8 ?? ?? ?? ?? E9 30 01 00 00 8B 45 FC 66 83 38 03 75 18 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B D3 8B C7 E8 ?? ?? ?? ?? E9 0F 01 00 00 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 8B D3 8B C7 E8 ?? ?? ?? ?? E9 F3 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 8B D3 8B C7 E8 ?? ?? ?? ?? E9 D6 00 00 00 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D EC 8B D3 8B C7 E8 ?? ?? ?? ?? E9 BA 00 00 00 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D E8 8B D3 8B C7 E8 ?? ?? ?? ?? E9 9E 00 00 00 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 4D E4 8B D3 8B C7 E8 ?? ?? ?? ?? E9 82 00 00 00 8B 4D FC 8B D3 8B C7 E8 ?? ?? ?? ?? EB 74 55 FF 76 04 FF 36 FF 76 0C FF 76 08 E8 ?? ?? ?? ?? 59 52 50 8B D3 8B C7 E8 ?? ?? ?? ?? EB 55 33 C0 89 45 F8 8B 03 8B 08 8B 55 FC 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B C7 E8 ?? ?? ?? ?? EB 33 8D 55 D8 8B 03 8B 00 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 8D 45 DC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69969_0 {
	meta:
		name = "FreeAndNilProperties"
		size = 161
		refs = "0013 GetPropList 001f FreeAndNilProperties 0056 GetObjectProp 006d SetObjectProp 0075 TObject.Free 008e @FreeMem 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 7F 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B F0 4E 85 F6 7C 4D 46 33 FF 8B 45 F8 8B 1C B8 8B 03 8B 00 80 38 07 75 37 83 7B 04 00 74 31 83 7B 08 00 74 2B 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 16 6A 01 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 47 4E 75 B6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69970_0 {
	meta:
		name = "TPublishableVariantType.GetProperty"
		size = 109
		refs = "0018 TPublishableVariantType.GetProperty 0035 GetPropValue 003f @VarCopy 0056 @VarClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B D7 8B C3 8B 08 FF 51 50 B1 01 8B 55 08 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_69971_0 {
	meta:
		name = "TPublishableVariantType.SetProperty"
		size = 40
		refs = "001b SetPropValue"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 50 8B 4D 08 8B D7 E8 ?? ?? ?? ?? B0 01 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_69972_0 {
	meta:
		name = "GetTypeName"
		size = 80
		refs = "000d GetTypeName 0020 UTF8ToUnicodeString 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 58 01 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69974_0 {
	meta:
		name = "GetTypeData"
		size = 10
	strings:
		$1 = { 31 D2 8A 50 01 8D 44 10 02 C3 }
	condition:
		$1
}

rule function_69975_0 {
	meta:
		name = "GetEnumName"
		size = 308
		refs = "0018 GetEnumName 002c IntToStr 0038 GetTypeData 0048 Boolean 0061 BooleanIdents 0066 @UStrAsg 006f HexDisplayPrefix 0076 @UStrLAsg 00aa CompareText 00bd LowerCase 00e9 UTF8ToUnicodeString 010d @UStrArrayClr 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 3E 01 75 0E 8B D7 8B C3 E8 ?? ?? ?? ?? E9 C2 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 40 09 8B 00 E8 ?? ?? ?? ?? 3B 35 ?? ?? ?? ?? 74 06 83 78 01 00 7D 79 8B C7 85 DB 0F 95 C2 83 E2 7F 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 40 8D 55 F0 8B 07 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? EB 2A 83 C0 0D 85 DB 74 0D 0F B6 10 03 D0 42 8B C2 4B 85 DB 75 F3 8B D8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B C7 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 30 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_69976_0 {
	meta:
		name = "UTF8Compare"
		size = 94
		refs = "001b Utf8ToUnicode 004e CompareStringW"
	strings:
		$1 = { 53 56 81 C4 00 F8 FF FF 8B DA 0F B6 10 52 8D 48 01 8D 44 24 04 BA 00 02 00 00 E8 ?? ?? ?? ?? 0F B6 03 50 8D 4B 01 8D 84 24 04 04 00 00 BA 00 02 00 00 E8 ?? ?? ?? ?? 8B DC 8D B4 24 00 04 00 00 6A FF 56 6A FF 53 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 81 C4 00 08 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_69977_0 {
	meta:
		name = "UTF8SameText"
		size = 96
		refs = "001b Utf8ToUnicode 004b CompareStringW"
	strings:
		$1 = { 53 56 81 C4 00 F8 FF FF 8B DA 0F B6 10 52 8D 48 01 8D 44 24 04 BA 00 02 00 00 E8 ?? ?? ?? ?? 6A FF 8D 84 24 04 04 00 00 8B CB BA 00 02 00 00 E8 ?? ?? ?? ?? 8B DC 8D B4 24 00 04 00 00 6A FF 56 6A FF 53 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 85 C0 0F 94 C0 81 C4 00 08 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_69978_0 {
	meta:
		name = "HasExtendedChars"
		size = 44
	strings:
		$1 = { 51 89 04 24 8B 14 24 85 D2 74 05 83 EA 04 8B 12 85 D2 7E 14 B9 01 00 00 00 F6 44 08 FF 80 74 04 B0 01 5A C3 41 4A 75 F1 33 C0 5A C3 }
	condition:
		$1
}

rule function_69979_0 {
	meta:
		name = "GetEnumNameValue"
		size = 119
		refs = "0059 UTF8SameText"
	strings:
		$1 = { 53 56 57 6A 00 85 D2 74 66 31 C9 8A 48 01 8B 44 08 0B 8B 00 8A 48 01 8D 74 08 0F 8B 7C 08 07 31 C0 0F B6 0E 3B 4A FC 75 3D F7 04 24 01 00 00 00 75 22 8A 5C 11 FF F6 C3 80 75 12 32 1C 31 F6 C3 80 75 11 F6 C3 DF 75 1B 49 75 DE EB 25 C7 04 24 01 00 00 00 50 52 89 F0 E8 ?? ?? ?? ?? 84 C0 5A 58 75 0F 0F B6 0E 40 8D 74 31 01 39 F8 7E B2 83 C8 FF 5F 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69980_0 {
	meta:
		name = "GetEnumValue"
		size = 302
		refs = "0014 GetEnumValue 0026 StrToInt 0034 GetTypeData 0048 @UStrLAsg 0051 BooleanIdents 007d CompareText 00ec UTF8Encode 00f6 GetEnumNameValue 010d @LStrClr 011a @UStrArrayClr 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 3E 01 75 0E 8B C3 E8 ?? ?? ?? ?? 8B D8 E9 CB 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 78 01 00 0F 8D A4 00 00 00 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 33 DB EB 6E 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 05 83 CB FF EB 21 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 16 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_69981_0 {
	meta:
		name = "InternalGetPropInfo"
		size = 178
		refs = "00a0 UTF8SameText"
	strings:
		$1 = { 53 56 57 6A 00 85 C0 0F 84 A0 00 00 00 89 D1 09 D2 74 05 8A 4A FC 8A 2A 31 DB 8A 58 01 8D 74 18 02 8A 5E 0A 0F B7 7C 1E 0B 85 FF 74 31 8D 44 1E 0D F7 04 24 01 00 00 00 75 5E 66 8B 58 1A F6 C7 80 75 55 F6 C5 80 75 49 81 E1 FF DF 00 00 80 E7 DF 39 CB 74 1E B7 00 4F 8D 44 18 1B 75 D3 8B 46 04 85 C0 74 48 8B 00 EB AF 8A 2A 80 E5 DF 8A 58 1A EB E2 B7 00 8A 6C 13 FF F6 C5 80 75 13 32 6C 18 1A F6 C5 80 75 11 F6 C5 DF 75 DD 4B 75 E6 EB 1C C7 04 24 01 00 00 00 B7 00 50 52 8D 40 1A E8 ?? ?? ?? ?? 5A 8A 4A FC 84 C0 58 74 BC 5F 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69982_0 {
	meta:
		name = "GetPropInfo"
		size = 83
		refs = "000f GetPropInfo 001f UTF8Encode 0029 InternalGetPropInfo 0040 @LStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96198_0 {
	meta:
		name = "TDispatchFileRequest.CanDispatchFileName"
		size = 83
		refs = "000f TDispatchFileRequest.CanDispatchFileName 001f ExtractFilePath 0029 TDispatchFileRequest.IsIncludeDirectory 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69983_0 {
	meta:
		name = "GetPropInfo"
		size = 136
		refs = "0018 GetPropInfo 0028 UTF8Encode 0032 InternalGetPropInfo 006d @LStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 20 A1 ?? ?? ?? ?? 3B 45 FC 74 16 8B 03 8B 00 0F B6 00 3C 1F 77 07 83 E0 7F 0F A3 45 FC 72 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_69984_0 {
	meta:
		name = "IsPublishedProp"
		size = 93
		refs = "000f IsPublishedProp 001f UTF8Encode 002e InternalGetPropInfo 004a @LStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 03 83 C0 B8 8B 00 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69985_0 {
	meta:
		name = "IsPublishedProp"
		size = 91
		refs = "000f IsPublishedProp 001f UTF8Encode 002c InternalGetPropInfo 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 83 C3 B8 8B 03 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_69986_0 {
	meta:
		name = "GetPropInfo"
		size = 21
		refs = "000f GetPropInfo"
	strings:
		$1 = { 51 89 0C 24 8B 00 83 C0 B8 8B 00 8B 0C 24 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_69987_0 {
	meta:
		name = "GetPropInfo"
		size = 19
		refs = "000d GetPropInfo"
	strings:
		$1 = { 51 89 0C 24 83 C0 B8 8B 00 8B 0C 24 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_69988_0 {
	meta:
		name = "GetPropInfos"
		size = 84
	strings:
		$1 = { 53 56 57 31 C9 89 C6 8A 48 01 89 D7 31 C0 0F B7 4C 0E 0A F3 AB 8A 4E 01 8D 74 0E 02 8A 4E 0A 0F B7 44 0E 0B 85 C0 74 1B 8D 7C 0E 0D 0F B7 5F 18 8A 4F 1A 83 3C 9A 00 75 03 89 3C 9A 8D 7C 0F 1B 48 75 E9 8B 76 04 31 C9 85 F6 74 04 8B 36 EB C5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69989_0 {
	meta:
		name = "SortPropList"
		size = 194
		refs = "0009 SortPropList 00b7 UTF8Compare"
	strings:
		$1 = { 53 56 57 89 C1 31 C0 4A E8 ?? ?? ?? ?? 5F 5E 5B C3 50 52 8D 3C 02 D1 EF 8B 3C B9 83 C7 1A E8 ?? ?? ?? ?? 73 03 40 EB F6 92 E8 ?? ?? ?? ?? 76 03 48 EB F6 92 39 D0 7F 12 8B 1C 81 8B 34 91 89 1C 91 89 34 81 40 4A 39 D0 7E D4 5E 5B 39 F0 7C 09 39 DA 7F 01 C3 89 D8 EB B8 39 D8 7F 04 89 F2 EB B0 50 56 89 D8 E8 ?? ?? ?? ?? 5A 58 EB A3 50 57 8B 34 81 83 C6 1A 56 31 DB 8A 1E 46 3A 1F 76 02 8A 1F 47 84 DB 74 19 8A 06 8A 27 A9 80 80 00 00 75 1C 25 DF DF 00 00 38 E0 75 0F 46 47 4B 75 E7 5E 5F 8A 06 8A 27 38 E0 58 C3 5E 5F 58 C3 5E 5F 51 52 89 F0 89 FA E8 ?? ?? ?? ?? 5A 59 85 C0 58 C3 C3 }
	condition:
		$1
}

rule function_69990_0 {
	meta:
		name = "GetPropList"
		size = 162
		refs = "0016 GetPropList 0076 SortPropList 008b @FreeMem 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 57 8B F9 89 55 FC 33 D2 89 55 F8 8D 55 F4 E8 ?? ?? ?? ?? 85 C0 7E 79 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 48 85 C0 7C 2F 40 33 F6 8B 55 F4 8B 14 B2 8B 0A 8B 09 0F B6 09 80 F9 1F 77 07 83 E1 7F 0F A3 4D FC 73 0D 85 FF 74 06 8B 4D F8 89 14 8F FF 45 F8 46 48 75 D4 80 7D 08 00 74 14 85 FF 74 10 83 7D F8 01 7E 0A 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_69991_0 {
	meta:
		name = "GetPropList"
		size = 50
		refs = "000a GetTypeData 001d @GetMem 0028 GetPropInfos"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 0F BF 58 08 85 DB 7E 16 8B C3 03 C0 03 C0 E8 ?? ?? ?? ?? 89 07 8B 17 8B C6 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_69992_0 {
	meta:
		name = "GetPropList"
		size = 13
		refs = "0008 GetPropList"
	strings:
		$1 = { 8B 00 83 C0 B8 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_69993_0 {
	meta:
		name = "IsField"
		size = 14
	strings:
		$1 = { 25 00 00 00 FF 3D 00 00 00 FF 0F 94 C0 C3 }
	condition:
		$1
}

rule function_69994_0 {
	meta:
		name = "GetField"
		size = 11
	strings:
		$1 = { 81 E2 FF FF FF 00 03 D0 8B C2 C3 }
	condition:
		$1
}

rule function_69995_0 {
	meta:
		name = "GetCodePointer"
		size = 37
	strings:
		$1 = { 53 8B CA 8B D9 81 E3 00 00 00 FF 81 FB 00 00 00 FE 75 0E 8B 00 81 E1 FF FF 00 00 03 C1 8B 00 5B C3 8B C2 5B C3 }
	condition:
		$1
}

rule function_69998_0 {
	meta:
		name = "IsStoredProp"
		size = 45
	strings:
		$1 = { 8B 4A 0C F7 C1 00 FF FF FF 74 1F 80 7A 0F FE 8B 52 10 72 0A 77 0B 0F BF C9 03 08 FF 11 C3 FF D1 C3 81 E1 FF FF FF 00 8A 0C 01 88 C8 C3 }
	condition:
		$1
}

rule function_69999_0 {
	meta:
		name = "GetOrdProp"
		size = 113
	strings:
		$1 = { 53 57 8B 3A 8B 3F B3 04 80 3F 07 74 09 31 C9 8A 4F 01 8A 5C 0F 02 8B 4A 04 80 7A 07 FE 8B 52 10 72 0B 77 0D 0F BF C9 03 08 FF 11 EB 1D FF D1 EB 19 81 E1 FF FF FF 00 01 C1 8A 01 80 FB 02 72 0A 66 8B 01 80 FB 04 72 02 8B 01 80 FB 04 73 1F 80 FB 02 73 10 80 FB 00 0F BE C0 74 12 25 FF 00 00 00 5F 5B C3 0F BF C0 74 05 25 FF FF 00 00 5F 5B C3 }
	condition:
		$1
}

rule function_70000_0 {
	meta:
		name = "SetOrdProp"
		size = 91
	strings:
		$1 = { 53 56 57 89 D7 8B 37 8B 36 B3 04 80 3E 07 74 09 31 DB 8A 5E 01 8A 5C 1E 02 8B 57 10 81 FA 00 00 00 80 75 02 89 CA 8B 77 08 80 7F 0B FE 77 0F 72 09 0F BF F6 03 30 FF 16 EB 1D FF D6 EB 19 81 E6 FF FF FF 00 01 F0 88 08 80 FB 02 72 0A 66 89 08 80 FB 04 72 02 89 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70001_0 {
	meta:
		name = "GetSetElementName"
		size = 148
		refs = "0012 GetSetElementName 0032 IntToStr 004d @UStrCat3 005a GetEnumName 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 03 FE C8 74 0A FE C8 74 11 2C 07 74 0D EB 26 8B D7 8B C6 E8 ?? ?? ?? ?? EB 26 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_70002_0 {
	meta:
		name = "GetSetElementValue"
		size = 158
		refs = "0010 GetSetElementValue 001d GetTypeData 0038 StrToInt 005c @UStrCopy 0073 GetEnumValue 008a @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 70 01 0F B6 03 FE C8 74 0A FE C8 74 13 2C 07 74 0F EB 39 8B C7 E8 ?? ?? ?? ?? 8B D8 2B DE EB 37 8B DF 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC 50 8B CB 49 BA 02 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 2B DE EB 0B 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70003_0 {
	meta:
		name = "GetEnumProp"
		size = 35
		refs = "000e GetOrdProp 001b GetEnumName"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B 03 8B 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70004_0 {
	meta:
		name = "SetEnumProp"
		size = 78
		refs = "0013 GetEnumValue 0028 SInvalidPropertyElement 002f _DV_EPropertyConvertError 0034 Exception.CreateResFmt 0039 @RaiseExcept 0044 SetOrdProp"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F1 8B DA 8B F8 8B 03 8B 00 8B D6 E8 ?? ?? ?? ?? 85 C0 7D 22 89 34 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D3 8B C7 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70005_0 {
	meta:
		name = "GetSetProp"
		size = 43
		refs = "0015 GetOrdProp 0020 SetToString"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B FA 8B F0 8B 45 08 50 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_70006_0 {
	meta:
		name = "SetToString"
		size = 36
		refs = "0019 SetToString"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 8B 45 08 50 8B 07 8B 00 8B CB 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_70007_0 {
	meta:
		name = "SetToString"
		size = 240
		refs = "001d SetToString 002a @UStrClr 0034 GetTypeData 005b @UStrCat 0068 GetEnumName 0096 @UStrCatN 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 88 4D FB 8B DA 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 89 DF 8B 45 FC E8 ?? ?? ?? ?? 8B 40 01 8B 00 89 45 FC 33 DB 8B C3 83 F8 1F 77 03 0F A3 C7 73 28 83 3E 00 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 43 83 FB 20 75 C6 80 7D FB 00 74 18 68 ?? ?? ?? ?? FF 36 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 }
	condition:
		$1
}

rule function_70008_0 {
	meta:
		name = "StringToSet"
		size = 10
		refs = "0005 StringToSet"
	strings:
		$1 = { 8B 00 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70009_0 {
	meta:
		name = "NextWord"
		size = 85
		refs = "002d @UStrFromPWCharLen"
	strings:
		$1 = { 53 56 8B F0 33 DB EB 01 43 8B 06 0F B7 04 58 66 85 C0 74 12 66 83 E8 20 74 0C 66 83 E8 0C 74 06 66 83 E8 31 75 E2 8B C2 8B 16 8B CB E8 ?? ?? ?? ?? EB 01 43 8B 06 0F B7 04 58 66 83 E8 20 74 F3 66 83 E8 0C 74 ED 66 83 E8 31 74 E7 8B C3 03 C0 01 06 5E 5B C3 }
	condition:
		$1
}

rule function_70010_0 {
	meta:
		name = "StringToSet"
		size = 219
		refs = "0016 StringToSet 002d @UStrToPWChar 004f GetTypeData 005f NextWord 006b GetEnumValue 0087 SInvalidPropertyElement 008e _DV_EPropertyConvertError 0093 Exception.CreateResFmt 0098 @RaiseExcept 00c6 @UStrClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 85 FF 0F 84 8B 00 00 00 8B C7 E8 ?? ?? ?? ?? 89 45 F8 EB 04 83 45 F8 02 8B 45 F8 0F B7 00 66 83 E8 20 74 F0 66 83 E8 3B 74 EA 8B C3 E8 ?? ?? ?? ?? 8B 40 01 8B 38 8D 55 FC 8D 45 F8 E8 ?? ?? ?? ?? EB 4A 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 27 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FB 1F 77 03 0F AB DE 8D 55 FC 8D 45 F8 E8 ?? ?? ?? ?? 83 7D FC 00 75 B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70011_0 {
	meta:
		name = "SetSetProp"
		size = 33
		refs = "000e StringToSet 0019 SetOrdProp"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70012_0 {
	meta:
		name = "GetObjectProp"
		size = 49
		refs = "000e GetOrdProp 0021 @IsClass"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 13 85 F6 74 0F 8B C3 8B D6 E8 ?? ?? ?? ?? 84 C0 75 02 33 DB 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70013_0 {
	meta:
		name = "SetObjectProp"
		size = 60
		refs = "0019 GetObjectPropClass 0022 @IsClass 0031 SetOrdProp"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 85 DB 74 1A 80 7D 08 00 74 14 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_70015_0 {
	meta:
		name = "GetObjectPropClass"
		size = 39
		refs = "0005 GetTypeData 000f SInvalidPropertyValue 0016 _DV_EPropertyError 001b Exception.CreateRes 0020 @RaiseExcept"
	strings:
		$1 = { 8B 00 8B 00 E8 ?? ?? ?? ?? 85 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 C3 }
	condition:
		$1
}

rule function_70016_0 {
	meta:
		name = "GetShortStrProp"
		size = 67
		refs = "0039 @PStrCpy"
	strings:
		$1 = { 55 8B EC 56 57 89 D7 8B 57 10 81 FA 00 00 00 80 75 02 89 CA 8B 77 04 80 7F 07 FE 77 0F 72 09 0F BF F6 03 30 FF 16 EB 15 FF D6 EB 11 81 E6 FF FF FF 00 89 C2 01 F2 89 C8 E8 ?? ?? ?? ?? 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_70017_0 {
	meta:
		name = "SetShortStrProp"
		size = 81
	strings:
		$1 = { 56 57 89 D6 8B 56 10 81 FA 00 00 00 80 75 02 89 CA 8B 7E 08 80 7E 0B FE 77 11 72 0A 0F BF FF 03 38 FF 17 5F 5E C3 FF D7 5F 5E C3 81 E7 FF FF FF 00 01 C7 8B 06 8B 00 89 CE 31 C9 8A 48 01 8A 4C 08 02 AC 38 C8 72 02 88 C8 AA 88 C1 F3 A4 5F 5E C3 }
	condition:
		$1
}

rule function_70018_0 {
	meta:
		name = "GetShortStrPropAsLongStr"
		size = 45
		refs = "0013 GetShortStrProp 0021 @LStrFromString"
	strings:
		$1 = { 53 81 C4 00 FF FF FF 8B D9 68 FF 00 00 00 8D 4C 24 04 E8 ?? ?? ?? ?? 8B C3 8B D4 B9 00 00 00 00 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5B C3 }
	condition:
		$1
}

rule function_70019_0 {
	meta:
		name = "SetShortStrPropAsLongStr"
		size = 50
		refs = "0019 @LStrToString 0024 SetShortStrProp"
	strings:
		$1 = { 53 56 57 81 C4 00 FF FF FF 8B F9 8B F2 8B D8 8B C4 8B D7 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70020_0 {
	meta:
		name = "GetLongStrProp"
		size = 62
		refs = "0037 @LStrAsg"
	strings:
		$1 = { 56 57 89 D7 8B 57 10 81 FA 00 00 00 80 75 02 89 CA 8B 77 04 80 7F 07 FE 77 11 72 0A 0F BF F6 03 30 FF 16 5F 5E C3 FF D6 5F 5E C3 81 E6 FF FF FF 00 8B 14 06 89 C8 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_70021_0 {
	meta:
		name = "SetLongStrProp"
		size = 61
		refs = "0036 @LStrAsg"
	strings:
		$1 = { 56 57 89 D6 8B 56 10 81 FA 00 00 00 80 75 02 89 CA 8B 7E 08 80 7E 0B FE 77 11 72 0A 0F BF FF 03 38 FF 17 5F 5E C3 FF D7 5F 5E C3 81 E7 FF FF FF 00 01 F8 89 CA E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_70040_0 {
	meta:
		name = "SetVariantProp"
		size = 61
		refs = "0036 AssignVariant"
	strings:
		$1 = { 56 57 89 D6 8B 56 10 81 FA 00 00 00 80 75 02 89 CA 8B 7E 08 80 7E 0B FE 77 11 72 0A 0F BF FF 03 38 FF 17 5F 5E C3 FF D7 5F 5E C3 81 E7 FF FF FF 00 01 F8 89 CA E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_70022_0 {
	meta:
		name = "SetLongStrPropAsUnicodeString"
		size = 90
		refs = "0012 SetLongStrPropAsUnicodeString 0027 @LStrFromUStr 0033 SetLongStrProp 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70024_0 {
	meta:
		name = "SetWideStrPropAsLongStr"
		size = 85
		refs = "0012 SetWideStrPropAsLongStr 0022 @WStrFromLStr 002e SetWideStrProp 0043 @WStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70026_0 {
	meta:
		name = "SetUnicodeStrPropAsLongStr"
		size = 85
		refs = "0012 SetUnicodeStrPropAsLongStr 0022 @UStrFromLStr 002e SetUnicodeStrProp 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70029_0 {
	meta:
		name = "GetAnsiStrProp"
		size = 76
		refs = "0022 GetShortStrPropAsLongStr 002b GetLongStrProp 0034 GetWideStrPropAsLongStr 003d GetUnicodeStrPropAsLongStr 0046 @LStrClr"
	strings:
		$1 = { 53 8B D9 8B 0A 8B 09 0F B6 09 80 E9 05 74 10 80 E9 05 74 14 FE C9 74 19 80 E9 07 74 1D EB 24 8B CB E8 ?? ?? ?? ?? 5B C3 8B CB E8 ?? ?? ?? ?? 5B C3 8B CB E8 ?? ?? ?? ?? 5B C3 8B CB E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70030_0 {
	meta:
		name = "SetAnsiStrProp"
		size = 57
		refs = "001e SetShortStrPropAsLongStr 0025 SetLongStrProp 002c SetWideStrPropAsLongStr 0033 SetUnicodeStrPropAsLongStr"
	strings:
		$1 = { 53 8B 1A 8B 1B 0F B6 1B 80 EB 05 74 10 80 EB 05 74 12 FE CB 74 15 80 EB 07 74 17 EB 1A E8 ?? ?? ?? ?? 5B C3 E8 ?? ?? ?? ?? 5B C3 E8 ?? ?? ?? ?? 5B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70031_0 {
	meta:
		name = "GetWideStrProp"
		size = 168
		refs = "0014 GetWideStrProp 003f GetUnicodeStrProp 0049 @WStrFromUStr 006d _DV_TPropSet<System.WideString> 0072 TPropSet<System.WideString>.GetProc 007b @WStrClr 0095 @UStrArrayClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B 00 0F B6 00 2C 05 74 0E 2C 05 74 0A FE C8 74 36 2C 07 74 1A EB 41 8D 4D FC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 30 8D 4D F8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 18 56 8B CB 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70032_0 {
	meta:
		name = "SetWideStrProp"
		size = 159
		refs = "0014 SetWideStrProp 003d @UStrFromWStr 0049 SetUnicodeStrProp 006d _DV_TPropSet<System.WideString> 0072 TPropSet<System.WideString>.SetProc 008c @UStrArrayClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B 00 0F B6 00 2C 05 74 0E 2C 05 74 0A FE C8 74 36 2C 07 74 1A EB 3F 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? EB 27 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? EB 0F 57 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70033_0 {
	meta:
		name = "GetUnicodeStrProp"
		size = 171
		refs = "0014 GetUnicodeStrProp 003f GetAnsiStrProp 0049 @UStrFromLStr 0057 GetWideStrProp 0061 @UStrFromWStr 006d _DV_TPropSet<System.string> 0072 TPropSet<System.string>.GetProc 007b @UStrClr 0090 @WStrClr 0098 @LStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B 00 0F B6 00 2C 05 74 0E 2C 05 74 0A FE C8 74 1E 2C 07 74 32 EB 41 8D 4D FC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 30 8D 4D F8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 18 56 8B CB 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70034_0 {
	meta:
		name = "SetRawByteStrProp"
		size = 268
		refs = "001d SetRawByteStrProp 002f GetTypeData 0056 @UStrToPWChar 0062 LocaleCharsFromUnicode 0072 @LStrSetLength 0086 @LStrToPChar 00af SetCodePage 00bd SetAnsiStrProp 00ce @LStrFromUStr 00f1 @LStrClr 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D FC 8B F1 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 00 8B 00 E8 ?? ?? ?? ?? 8B D8 66 83 3B 00 0F 84 84 00 00 00 8B FE 85 FF 74 05 83 EF 04 8B 3F 57 6A 00 6A 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 8B C8 0F B7 03 33 D2 E8 ?? ?? ?? ?? 89 45 F0 8D 45 FC 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 8B FE 85 FF 74 05 83 EF 04 8B 3F 57 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F0 50 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 8B C8 0F B7 03 33 D2 E8 ?? ?? ?? ?? 8D 45 FC 33 C9 0F B7 13 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? EB 1D 8D 45 EC 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D EC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70035_0 {
	meta:
		name = "SetUnicodeStrProp"
		size = 197
		refs = "001e SetUnicodeStrProp 004f @UStrToString 005e SetShortStrProp 006b SetRawByteStrProp 007a @WStrFromUStr 0089 SetWideStrProp 0095 _DV_TPropSet<System.string> 009a TPropSet<System.string>.SetProc 00b2 @WStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 57 33 DB 89 9D FC FE FF FF 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B 00 0F B6 00 2C 05 74 0E 2C 05 74 2D FE C8 74 36 2C 07 74 50 EB 5D 8D 85 00 FF FF FF 8B D7 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 8D 00 FF FF FF 8B D3 8B C6 E8 ?? ?? ?? ?? EB 3A 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? EB 2D 8D 85 FC FE FF FF 8B D7 E8 ?? ?? ?? ?? 8B 8D FC FE FF FF 8B D3 8B C6 E8 ?? ?? ?? ?? EB 0F 57 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70036_0 {
	meta:
		name = "GetFloatProp"
		size = 192
		refs = "000e GetTypeData 0021 GetFloatProp 003e _DV_TPropSet<System.Single> 0043 TPropSet<System.Single>.GetProc 0052 _DV_TPropSet<System.Double> 0057 TPropSet<System.Double>.GetProc 0066 _DV_TPropSet<System.Extended> 006b TPropSet<System.Extended>.GetProc 007a _DV_TPropSet<System.Comp> 007f TPropSet<System.Comp>.GetProc 008e _DV_TPropSet<System.Currency> 0093 TPropSet<System.Currency>.GetProc"
	strings:
		$1 = { 53 56 83 C4 F4 8B DA 8B F0 8B 03 8B 00 E8 ?? ?? ?? ?? 0F B6 00 83 F8 04 0F 87 85 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 3C 24 9B EB 64 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 3C 24 9B EB 50 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 3C 24 9B EB 3C 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 3C 24 9B EB 28 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DB 3C 24 9B EB 0E 33 C0 89 04 24 89 44 24 04 66 89 44 24 08 DB 2C 24 83 C4 0C 5E 5B C3 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_70037_0 {
	meta:
		name = "SetFloatProp"
		size = 204
		refs = "000e GetTypeData 0021 SetFloatProp 0048 _DV_TPropSet<System.Single> 004d TPropSet<System.Single>.SetProc 0062 _DV_TPropSet<System.Double> 0067 TPropSet<System.Double>.SetProc 007d _DV_TPropSet<System.Extended> 0082 TPropSet<System.Extended>.SetProc 0097 _DV_TPropSet<System.Comp> 009c TPropSet<System.Comp>.SetProc 00b7 _DV_TPropSet<System.Currency> 00bc TPropSet<System.Currency>.SetProc"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B F0 8B 03 8B 00 E8 ?? ?? ?? ?? 0F B6 00 83 F8 04 0F 87 A2 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DB 6D 08 83 C4 FC D9 1C 24 9B 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6D DB 6D 08 83 C4 F8 DD 1C 24 9B 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 53 0F B7 45 10 50 FF 75 0C FF 75 08 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 38 DB 6D 08 83 C4 F8 DF 3C 24 9B 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1E DB 6D 08 D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C2 0C 00 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_70039_0 {
	meta:
		name = "GetVariantProp"
		size = 62
		refs = "0037 AssignVariant"
	strings:
		$1 = { 56 57 89 D7 8B 57 10 81 FA 00 00 00 80 75 02 89 CA 8B 77 04 80 7F 07 FE 77 11 72 0A 0F BF F6 03 30 FF 16 5F 5E C3 FF D6 5F 5E C3 81 E6 FF FF FF 00 8D 14 06 89 C8 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_70041_0 {
	meta:
		name = "GetMethodProp"
		size = 64
	strings:
		$1 = { 53 56 89 D6 8B 56 10 81 FA 00 00 00 80 75 02 89 CA 8B 5E 04 80 7E 07 FE 77 11 72 0A 0F BF DB 03 18 FF 13 5E 5B C3 FF D3 5E 5B C3 81 E3 FF FF FF 00 01 D8 8B 10 8B 58 04 89 11 89 59 04 5E 5B C3 }
	condition:
		$1
}

rule function_70042_0 {
	meta:
		name = "SetMethodProp"
		size = 53
	strings:
		$1 = { 53 8B 5A 08 80 7A 0B FE 77 17 8B 52 10 FF 71 04 FF 31 72 09 0F BF DB 03 18 FF 13 5B C3 FF D3 5B C3 81 E3 FF FF FF 00 01 D8 8B 11 8B 59 04 89 10 89 58 04 5B C3 }
	condition:
		$1
}

rule function_70043_0 {
	meta:
		name = "GetInt64Prop"
		size = 39
	strings:
		$1 = { 80 7A 07 FE 8B 4A 04 8B 52 10 77 0D 72 08 0F BF C9 03 08 FF 11 C3 FF D1 C3 81 E1 FF FF FF 00 01 C8 8B 50 04 8B 00 C3 }
	condition:
		$1
}

rule function_70044_0 {
	meta:
		name = "SetInt64Prop"
		size = 59
	strings:
		$1 = { 55 8B EC 80 7A 0B FE 8B 4A 08 77 18 8B 52 10 FF 75 0C FF 75 08 72 09 0F BF C9 03 08 FF 11 EB 17 FF D1 EB 13 81 E1 FF FF FF 00 01 C8 8B 55 08 8B 4D 0C 89 10 89 48 04 5D C2 08 00 }
	condition:
		$1
}

rule function_70047_0 {
	meta:
		name = "GetInterfaceProp"
		size = 28
		refs = "000f _DV_TPropSet<System.IInterface> 0014 TPropSet<System.IInterface>.GetProc"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B CE 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70048_0 {
	meta:
		name = "SetInterfaceProp"
		size = 16
		refs = "0003 _DV_TPropSet<System.IInterface> 000b TPropSet<System.IInterface>.SetProc"
	strings:
		$1 = { 51 8B 0D ?? ?? ?? ?? 91 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70051_0 {
	meta:
		name = "GetDynArrayProp"
		size = 82
		refs = "000a GetDynArrayProp 001c _DV_TPropSet<System.TypInfo.TDynamicArray> 0022 TPropSet<System.TypInfo.TDynamicArray>.GetProc 003b TDynamicArray 0040 @DynArrayClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 4D FC 51 8B CA 8B 15 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_70052_0 {
	meta:
		name = "SetDynArrayProp"
		size = 132
		refs = "0034 CopyArray"
	strings:
		$1 = { 53 56 83 C4 F4 89 0C 24 8B 72 08 8B CE 8B D9 81 E3 00 00 00 FF 81 FB 00 00 00 FF 75 1D 6A 01 81 E1 FF FF FF 00 03 C8 8B C1 8D 4C 24 04 8B 12 8B 12 87 CA E8 ?? ?? ?? ?? EB 44 81 FB 00 00 00 FE 75 0E 8B 18 81 E1 FF FF 00 00 03 D9 8B 0B EB 02 8B CE 89 4C 24 04 89 44 24 08 8B 42 10 3D 00 00 00 80 75 0D 8B 14 24 8B 44 24 08 FF 54 24 04 EB 0D 8B 0C 24 8B D0 8B 44 24 08 FF 54 24 04 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_70053_0 {
	meta:
		name = "SameUTF8Text"
		size = 117
		refs = "001d Utf8ToUnicode 0060 CompareStringW"
	strings:
		$1 = { 53 56 81 C4 00 F8 FF FF 8B F2 8B D8 0F B6 03 50 8D 4B 01 8D 44 24 04 BA 00 02 00 00 E8 ?? ?? ?? ?? 66 C7 04 44 00 00 0F B6 06 50 8D 4E 01 8D 84 24 04 04 00 00 BA 00 02 00 00 E8 ?? ?? ?? ?? 66 C7 84 44 00 04 00 00 00 00 8B DC 8D B4 24 00 04 00 00 6A FF 56 6A FF 53 6A 01 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 85 C0 0F 94 C0 81 C4 00 08 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_70054_0 {
	meta:
		name = "SamePropTypeName"
		size = 128
		refs = "0074 SameUTF8Text"
	strings:
		$1 = { 8A 28 8A 0A 38 CD 74 03 31 C0 C3 50 52 0F B6 C9 56 57 51 89 C6 89 D7 46 47 C1 E9 02 74 25 8B 06 A9 80 80 80 80 75 47 8B 17 F7 C2 80 80 80 80 75 3D 31 D0 25 5F 5F 5F 5F 75 3E 83 C6 04 83 C7 04 49 75 DB 8B 0C 24 83 E1 03 74 18 8A 06 A8 80 75 1D 8A 17 F6 C2 80 75 16 32 C2 24 5F 75 1A 46 47 49 75 E8 59 5F 5E 5A 58 B8 01 00 00 00 C3 59 5F 5E 5A 58 E9 ?? ?? ?? ?? 59 5F 5E 5A 58 31 C0 C3 }
	condition:
		$1
}

rule function_70055_0 {
	meta:
		name = "Finalization"
		size = 79
		refs = "0007 Finalization 0013 _DV_5 001a BooleanIdents 0025 string 002a @FinalizeArray 002f DotSep 0034 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1F B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_70059_0 {
	meta:
		name = "TPropSet<System.WideString>.GetProc"
		size = 135
		refs = "0032 @WStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D9 8B 73 04 8B C6 25 00 00 00 FF 3D 00 00 00 FF 0F 94 C0 84 C0 74 18 8B C6 8B D8 81 E3 FF FF FF 00 03 DA 8B 45 08 8B 13 E8 ?? ?? ?? ?? EB 47 8B C6 8B C8 8B F1 81 E6 00 00 00 FF 81 FE 00 00 00 FE 75 0C 8B 32 81 E1 FF FF 00 00 03 F1 8B 06 89 45 F8 89 55 FC 8B 73 10 81 FE 00 00 00 80 75 0B 8B 55 08 8B 45 FC FF 55 F8 EB 0B 8B 4D 08 8B D6 8B 45 FC FF 55 F8 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_70073_0 {
	meta:
		name = "TPropSet<System.IInterface>.GetProc"
		size = 135
		refs = "0032 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D9 8B 73 04 8B C6 25 00 00 00 FF 3D 00 00 00 FF 0F 94 C0 84 C0 74 18 8B C6 8B D8 81 E3 FF FF FF 00 03 DA 8B 45 08 8B 13 E8 ?? ?? ?? ?? EB 47 8B C6 8B C8 8B F1 81 E6 00 00 00 FF 81 FE 00 00 00 FE 75 0C 8B 32 81 E1 FF FF 00 00 03 F1 8B 06 89 45 F8 89 55 FC 8B 73 10 81 FE 00 00 00 80 75 0B 8B 55 08 8B 45 FC FF 55 F8 EB 0B 8B 4D 08 8B D6 8B 45 FC FF 55 F8 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_70061_0 {
	meta:
		name = "TPropSet<System.string>.GetProc"
		size = 135
		refs = "0032 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D9 8B 73 04 8B C6 25 00 00 00 FF 3D 00 00 00 FF 0F 94 C0 84 C0 74 18 8B C6 8B D8 81 E3 FF FF FF 00 03 DA 8B 45 08 8B 13 E8 ?? ?? ?? ?? EB 47 8B C6 8B C8 8B F1 81 E6 00 00 00 FF 81 FE 00 00 00 FE 75 0C 8B 32 81 E1 FF FF 00 00 03 F1 8B 06 89 45 F8 89 55 FC 8B 73 10 81 FE 00 00 00 80 75 0B 8B 55 08 8B 45 FC FF 55 F8 EB 0B 8B 4D 08 8B D6 8B 45 FC FF 55 F8 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_70060_0 {
	meta:
		name = "TPropSet<System.WideString>.SetProc"
		size = 131
		refs = "0033 @WStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 75 08 8B 79 08 8B C7 25 00 00 00 FF 3D 00 00 00 FF 0F 94 C0 84 C0 74 17 8B C7 8B D8 81 E3 FF FF FF 00 03 DA 8B C3 8B D6 E8 ?? ?? ?? ?? EB 41 8B C7 8B D8 81 E3 00 00 00 FF 81 FB 00 00 00 FE 75 0B 8B 1A 25 FF FF 00 00 03 D8 8B 03 89 45 F8 89 55 FC 8B 41 10 3D 00 00 00 80 75 0A 8B D6 8B 45 FC FF 55 F8 EB 0A 8B D0 8B CE 8B 45 FC FF 55 F8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_70074_0 {
	meta:
		name = "TPropSet<System.IInterface>.SetProc"
		size = 131
		refs = "0033 @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 75 08 8B 79 08 8B C7 25 00 00 00 FF 3D 00 00 00 FF 0F 94 C0 84 C0 74 17 8B C7 8B D8 81 E3 FF FF FF 00 03 DA 8B C3 8B D6 E8 ?? ?? ?? ?? EB 41 8B C7 8B D8 81 E3 00 00 00 FF 81 FB 00 00 00 FE 75 0B 8B 1A 25 FF FF 00 00 03 D8 8B 03 89 45 F8 89 55 FC 8B 41 10 3D 00 00 00 80 75 0A 8B D6 8B 45 FC FF 55 F8 EB 0A 8B D0 8B CE 8B 45 FC FF 55 F8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_70062_0 {
	meta:
		name = "TPropSet<System.string>.SetProc"
		size = 131
		refs = "0033 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 75 08 8B 79 08 8B C7 25 00 00 00 FF 3D 00 00 00 FF 0F 94 C0 84 C0 74 17 8B C7 8B D8 81 E3 FF FF FF 00 03 DA 8B C3 8B D6 E8 ?? ?? ?? ?? EB 41 8B C7 8B D8 81 E3 00 00 00 FF 81 FB 00 00 00 FE 75 0B 8B 1A 25 FF FF 00 00 03 D8 8B 03 89 45 F8 89 55 FC 8B 41 10 3D 00 00 00 80 75 0A 8B D6 8B 45 FC FF 55 F8 EB 0A 8B D0 8B CE 8B 45 FC FF 55 F8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_70063_0 {
	meta:
		name = "TPropSet<System.Single>.GetProc"
		size = 130
	strings:
		$1 = { 53 56 83 C4 F4 8B 71 04 8B C6 25 00 00 00 FF 3D 00 00 00 FF 0F 94 C0 84 C0 74 10 8B C6 25 FF FF FF 00 03 C2 8B 00 89 04 24 EB 4E 8B C6 8B D8 8B F3 81 E6 00 00 00 FF 81 FE 00 00 00 FE 75 0C 8B 32 81 E3 FF FF 00 00 03 F3 8B 06 89 44 24 04 89 54 24 08 8B 41 10 3D 00 00 00 80 75 0E 8B 44 24 08 FF 54 24 04 D9 1C 24 9B EB 0E 8B D0 8B 44 24 08 FF 54 24 04 D9 1C 24 9B D9 04 24 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_70064_0 {
	meta:
		name = "TPropSet<System.Single>.SetProc"
		size = 124
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B 71 08 8B C6 25 00 00 00 FF 3D 00 00 00 FF 0F 94 C0 84 C0 74 10 8B C6 25 FF FF FF 00 03 C2 8B 55 08 89 10 EB 46 8B C6 8B D8 8B F3 81 E6 00 00 00 FF 81 FE 00 00 00 FE 75 0C 8B 32 81 E3 FF FF 00 00 03 F3 8B 06 89 45 F8 89 55 FC 8B 41 10 3D 00 00 00 80 75 0B FF 75 08 8B 45 FC FF 55 F8 EB 0B FF 75 08 8B D0 8B 45 FC FF 55 F8 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_70065_0 {
	meta:
		name = "TPropSet<System.Double>.GetProc"
		size = 137
	strings:
		$1 = { 53 56 83 C4 F0 8B 71 04 8B C6 25 00 00 00 FF 3D 00 00 00 FF 0F 94 C0 84 C0 74 17 8B C6 25 FF FF FF 00 03 C2 8B 10 89 14 24 8B 50 04 89 54 24 04 EB 4E 8B C6 8B D8 8B F3 81 E6 00 00 00 FF 81 FE 00 00 00 FE 75 0C 8B 32 81 E3 FF FF 00 00 03 F3 8B 06 89 44 24 08 89 54 24 0C 8B 41 10 3D 00 00 00 80 75 0E 8B 44 24 0C FF 54 24 08 DD 1C 24 9B EB 0E 8B D0 8B 44 24 0C FF 54 24 08 DD 1C 24 9B DD 04 24 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_70066_0 {
	meta:
		name = "TPropSet<T>.SetProc"
		size = 136
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B 71 08 8B C6 25 00 00 00 FF 3D 00 00 00 FF 0F 94 C0 84 C0 74 16 8B C6 25 FF FF FF 00 03 C2 8B 55 08 89 10 8B 55 0C 89 50 04 EB 4C 8B C6 8B D8 8B F3 81 E6 00 00 00 FF 81 FE 00 00 00 FE 75 0C 8B 32 81 E3 FF FF 00 00 03 F3 8B 06 89 45 F8 89 55 FC 8B 41 10 3D 00 00 00 80 75 0E FF 75 0C FF 75 08 8B 45 FC FF 55 F8 EB 0E FF 75 0C FF 75 08 8B D0 8B 45 FC FF 55 F8 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_70067_0 {
	meta:
		name = "TPropSet<System.Extended>.GetProc"
		size = 146
	strings:
		$1 = { 53 56 83 C4 EC 8B 71 04 8B C6 25 00 00 00 FF 3D 00 00 00 FF 0F 94 C0 84 C0 74 20 8B C6 25 FF FF FF 00 03 C2 8B 10 89 14 24 8B 50 04 89 54 24 04 66 8B 50 08 66 89 54 24 08 EB 4E 8B C6 8B D8 8B F3 81 E6 00 00 00 FF 81 FE 00 00 00 FE 75 0C 8B 32 81 E3 FF FF 00 00 03 F3 8B 06 89 44 24 0C 89 54 24 10 8B 41 10 3D 00 00 00 80 75 0E 8B 44 24 10 FF 54 24 0C DB 3C 24 9B EB 0E 8B D0 8B 44 24 10 FF 54 24 0C DB 3C 24 9B DB 2C 24 83 C4 14 5E 5B C3 }
	condition:
		$1
}

rule function_70068_0 {
	meta:
		name = "TPropSet<System.Extended>.SetProc"
		size = 154
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B 71 08 8B C6 25 00 00 00 FF 3D 00 00 00 FF 0F 94 C0 84 C0 74 1E 8B C6 25 FF FF FF 00 03 C2 8B 55 08 89 10 8B 55 0C 89 50 04 66 8B 55 10 66 89 50 08 EB 56 8B C6 8B D8 8B F3 81 E6 00 00 00 FF 81 FE 00 00 00 FE 75 0C 8B 32 81 E3 FF FF 00 00 03 F3 8B 06 89 45 F8 89 55 FC 8B 41 10 3D 00 00 00 80 75 13 0F B7 45 10 50 FF 75 0C FF 75 08 8B 45 FC FF 55 F8 EB 13 0F B7 55 10 52 FF 75 0C FF 75 08 8B D0 8B 45 FC FF 55 F8 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_70069_0 {
	meta:
		name = "TPropSet<T>.GetProc"
		size = 137
	strings:
		$1 = { 53 56 83 C4 F0 8B 71 04 8B C6 25 00 00 00 FF 3D 00 00 00 FF 0F 94 C0 84 C0 74 17 8B C6 25 FF FF FF 00 03 C2 8B 10 89 14 24 8B 50 04 89 54 24 04 EB 4E 8B C6 8B D8 8B F3 81 E6 00 00 00 FF 81 FE 00 00 00 FE 75 0C 8B 32 81 E3 FF FF 00 00 03 F3 8B 06 89 44 24 08 89 54 24 0C 8B 41 10 3D 00 00 00 80 75 0E 8B 44 24 0C FF 54 24 08 DF 3C 24 9B EB 0E 8B D0 8B 44 24 0C FF 54 24 08 DF 3C 24 9B DF 2C 24 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_70075_0 {
	meta:
		name = "TPropSet<System.TypInfo.TDynamicArray>.GetProc"
		size = 141
		refs = "0033 TDynamicArray 0038 @DynArrayAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D9 8B 73 04 8B C6 25 00 00 00 FF 3D 00 00 00 FF 0F 94 C0 84 C0 74 1E 8B C6 8B D8 81 E3 FF FF FF 00 03 DA 8B 45 08 8B 13 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 47 8B C6 8B C8 8B F1 81 E6 00 00 00 FF 81 FE 00 00 00 FE 75 0C 8B 32 81 E1 FF FF 00 00 03 F1 8B 06 89 45 F8 89 55 FC 8B 73 10 81 FE 00 00 00 80 75 0B 8B 55 08 8B 45 FC FF 55 F8 EB 0B 8B 4D 08 8B D6 8B 45 FC FF 55 F8 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_70076_0 {
	meta:
		name = "TPropSet<System.TypInfo.TDynamicArray>.SetProc"
		size = 137
		refs = "0034 TDynamicArray 0039 @DynArrayAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 75 08 8B 79 08 8B C7 25 00 00 00 FF 3D 00 00 00 FF 0F 94 C0 84 C0 74 1D 8B C7 8B D8 81 E3 FF FF FF 00 03 DA 8B C3 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 41 8B C7 8B D8 81 E3 00 00 00 FF 81 FB 00 00 00 FE 75 0B 8B 1A 25 FF FF 00 00 03 D8 8B 03 89 45 F8 89 55 FC 8B 41 10 3D 00 00 00 80 75 0A 8B D6 8B 45 FC FF 55 F8 EB 0A 8B D0 8B CE 8B 45 FC FF 55 F8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_70077_0 {
	meta:
		name = "CursorToString"
		size = 80
		refs = "0012 CursorToIdent 002c CursorToString 0031 FmtStr"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B D6 0F BF FB 8B C7 E8 ?? ?? ?? ?? 84 C0 75 1B 6A 00 89 7C 24 04 C6 44 24 08 00 8D 4C 24 04 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 25 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_70078_0 {
	meta:
		name = "StringToCursor"
		size = 34
		refs = "0009 IdentToCursor 0014 StrToInt"
	strings:
		$1 = { 53 51 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A 8B C3 E8 ?? ?? ?? ?? 89 04 24 0F B7 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_70079_0 {
	meta:
		name = "GetCursorValues"
		size = 35
		refs = "000b Cursors"
	strings:
		$1 = { 55 8B EC 53 56 BE 15 00 00 00 BB ?? ?? ?? ?? 8B 13 8B 45 0C FF 55 08 83 C3 08 4E 75 F2 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70080_0 {
	meta:
		name = "CursorToIdent"
		size = 13
		refs = "0003 Cursors 0008 IntToIdent"
	strings:
		$1 = { 6A 15 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70081_0 {
	meta:
		name = "IdentToCursor"
		size = 13
		refs = "0003 Cursors 0008 IdentToInt"
	strings:
		$1 = { 6A 15 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70082_0 {
	meta:
		name = "RegisterCursorIntegerConsts"
		size = 35
		refs = "0001 TCursor 0006 FindIntToIdent 000f CursorToIdent 0014 IdentToCursor 001e RegisterIntegerConsts"
	strings:
		$1 = { A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70094_0 {
	meta:
		name = "RegisterAlphaColorIntegerConsts"
		size = 35
		refs = "0001 TAlphaColor 0006 FindIntToIdent 000f AlphaColorToIdent 0014 IdentToAlphaColor 001e RegisterIntegerConsts"
	strings:
		$1 = { A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70088_0 {
	meta:
		name = "RegisterColorIntegerConsts"
		size = 35
		refs = "0001 TColor 0006 FindIntToIdent 000f ColorToIdent 0014 IdentToColor 001e RegisterIntegerConsts"
	strings:
		$1 = { A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70083_0 {
	meta:
		name = "ColorToString"
		size = 100
		refs = "000e ColorToIdent 0019 HexDisplayPrefix 0038 ColorToString 003d FmtStr"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2B 6A 01 A1 ?? ?? ?? ?? 8B 00 89 44 24 04 C6 44 24 08 11 89 5C 24 0C C6 44 24 10 00 8D 4C 24 04 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 25 00 30 00 2E 00 38 00 78 00 00 00 }
	condition:
		$1
}

rule function_70085_0 {
	meta:
		name = "GetColorValues"
		size = 35
		refs = "000b Colors"
	strings:
		$1 = { 55 8B EC 53 56 BE 34 00 00 00 BB ?? ?? ?? ?? 8B 13 8B 45 0C FF 55 08 83 C3 08 4E 75 F2 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70086_0 {
	meta:
		name = "ColorToIdent"
		size = 13
		refs = "0003 Colors 0008 IntToIdent"
	strings:
		$1 = { 6A 33 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70087_0 {
	meta:
		name = "IdentToColor"
		size = 13
		refs = "0003 Colors 0008 IdentToInt"
	strings:
		$1 = { 6A 33 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70089_0 {
	meta:
		name = "GetAlphaColorValues"
		size = 92
		refs = "000b GetAlphaColorValues 001b AlphaColors 0025 AlphaColorToString 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 94 00 00 00 BB ?? ?? ?? ?? 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C FF 55 08 83 C3 08 4E 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_70090_0 {
	meta:
		name = "AlphaColorToString"
		size = 51
		refs = "0006 AlphaColorToIdent 0015 @UniqueStringU 002d @UStrDelete"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 8B 03 66 83 38 78 75 0E 8B C3 E8 ?? ?? ?? ?? 66 C7 00 23 00 5B C3 8B C3 B9 03 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70091_0 {
	meta:
		name = "StringToAlphaColor"
		size = 264
		refs = "0010 StringToAlphaColor 0020 @UStrLAsg 002d @UStrEqual 005e @UniqueStringU 0073 @UStrCat3 007e IdentToAlphaColor 0099 StrToInt64 00b5 @UStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 25 83 7D FC 00 74 1F 8B 45 FC 0F B7 18 66 83 FB 23 74 06 66 83 FB 78 75 0D 8D 45 FC E8 ?? ?? ?? ?? 66 C7 00 24 00 8D 45 F4 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 84 C0 75 1B 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0C 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 03 8B 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 24 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 63 00 6C 00 61 00 00 00 }
	condition:
		$1
}

rule function_70092_0 {
	meta:
		name = "AlphaColorToIdent"
		size = 136
		refs = "0010 AlphaColorToIdent 0020 AlphaColors 0029 IntToIdent 003e IntToHex 004d @UStrCat3 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 93 00 00 00 B9 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 20 8D 4D FC BA 08 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule function_70093_0 {
	meta:
		name = "IdentToAlphaColor"
		size = 220
		refs = "000f IdentToAlphaColor 001f @UStrLAsg 0049 StringToAlphaColor 0059 AlphaColors 0063 IdentToInt 008c @UStrInsert 00b7 @UStrClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0C 8B 45 FC 66 83 38 78 0F 94 C0 EB 02 33 C0 84 C0 74 0E 8B 45 FC E8 ?? ?? ?? ?? 89 06 B3 01 EB 16 68 93 00 00 00 B9 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 75 39 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 03 7E 28 8D 55 FC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 93 00 00 00 B9 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 61 00 00 00 }
	condition:
		$1
}

rule function_70095_0 {
	meta:
		name = "Finalization"
		size = 111
		refs = "0007 Finalization 0013 _DV_1 001a Cursors 0025 TIdentMapEntry 002a @FinalizeArray 002f Colors 0044 AlphaColors 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 3F B8 ?? ?? ?? ?? B9 16 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 34 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 94 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_70097_0 {
	meta:
		name = "IsPositiveResult"
		size = 25
	strings:
		$1 = { 48 74 10 83 E8 05 74 0B 83 C0 FB 83 E8 02 72 03 48 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_70098_0 {
	meta:
		name = "IsNegativeResult"
		size = 21
	strings:
		$1 = { 83 E8 07 74 0A 83 E8 03 74 05 83 E8 03 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_70099_0 {
	meta:
		name = "IsAbortResult"
		size = 14
	strings:
		$1 = { 83 C0 FE 83 E8 02 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_70100_0 {
	meta:
		name = "IsAnAllResult"
		size = 14
	strings:
		$1 = { 83 C0 F4 83 E8 03 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_70101_0 {
	meta:
		name = "StripAllFromResult"
		size = 33
	strings:
		$1 = { 8B D0 83 EA 0C 74 08 4A 74 0B 4A 74 0E EB 11 B8 01 00 00 00 C3 B8 07 00 00 00 C3 B8 06 00 00 00 C3 }
	condition:
		$1
}

rule function_70104_0 {
	meta:
		name = "TComplexData.Create"
		size = 76
		refs = "000d @ClassCreate 001a TObject.Create 002b TComplexData.SetValue 0036 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70105_0 {
	meta:
		name = "TComplexData.Create"
		size = 78
		refs = "000d @ClassCreate 001a TObject.Create 002d TComplexData.SetValue 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_70107_0 {
	meta:
		name = "TComplexData.Create"
		size = 76
		refs = "000b @ClassCreate 001a TObject.Create 002d TComplexData.SetValue 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? FF 76 0C FF 76 08 FF 76 14 FF 76 10 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70108_0 {
	meta:
		name = "TComplexData.GetAsString"
		size = 144
		refs = "000b ComplexNumberSymbol 001d TComplexData.GetAsString 002e cSign 006e ComplexNumberSymbolBeforeImaginary 0075 cFormats 007f Format"
	strings:
		$1 = { 53 56 83 C4 C8 8B F2 8B D8 56 A1 ?? ?? ?? ?? 89 44 24 04 C6 44 24 08 11 DD 43 10 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 93 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 89 44 24 0C C6 44 24 10 11 DD 43 08 DB 7C 24 24 9B 8D 44 24 24 89 44 24 14 C6 44 24 18 03 DD 43 10 D9 E1 DB 7C 24 30 9B 8D 44 24 30 89 44 24 1C C6 44 24 20 03 8D 54 24 04 0F B6 05 ?? ?? ?? ?? 8B 04 85 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 83 C4 38 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_70109_0 {
	meta:
		name = "TComplexData.DoNegate"
		size = 30
		refs = "0019 TComplexData.SetValue"
	strings:
		$1 = { DD 40 08 D9 E0 83 C4 F8 DD 1C 24 9B DD 40 10 D9 E0 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70110_0 {
	meta:
		name = "TComplexData.DoSign"
		size = 119
		refs = "000a TComplexData.IsZero 002a _DV_TComplexData 002f TComplexData.Create 003a TComplexData.DoSign 0048 TComplexData.DoSqrt 0052 TComplexData.DoDivide 0067 TObject.Free 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 61 DD 43 08 DC 4B 08 DD 43 10 DC 4B 10 DE C1 83 C4 F8 DD 1C 24 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_70111_0 {
	meta:
		name = "ParseNumber"
		size = 166
		refs = "0024 ParseNumber 0036 @ValExt 0052 @UStrCopy 0091 @UStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F1 89 55 F8 8B F8 8B 45 F8 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8D 55 F4 8B C7 E8 ?? ?? ?? ?? DD 1E 9B 83 7D F4 00 74 3D 8B 45 F8 50 B9 FF FF FF 7F 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 4D F4 49 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? DD 1E 9B 83 7D F4 00 74 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70112_0 {
	meta:
		name = "ParseWhiteSpace"
		size = 64
		refs = "0031 @UStrCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 85 FF 74 04 33 C0 89 07 BB 01 00 00 00 85 F6 74 1A EB 01 43 66 83 7C 5E FE 20 74 F7 57 B9 FF FF FF 7F 8B D3 8B C6 E8 ?? ?? ?? ?? 83 3F 00 0F 95 C0 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_70113_0 {
	meta:
		name = "ParseError"
		size = 284
		refs = "001a ParseError 0028 SCmplxErrorSuffix 002d LoadResString 006f @UStrCopy 00dd _Dn_EConvertError 00e2 Exception.CreateFmt 00e7 @RaiseExcept 00fc @UStrClr 0109 @UStrArrayClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 D8 89 55 FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 89 45 F4 8B 5D F4 85 DB 74 05 83 EB 04 8B 1B 8B 45 08 8B 40 F8 89 45 F4 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 8D 45 FC 50 8B CB 2B CE 8B 45 08 8B 40 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 89 45 F4 8B 5D F4 85 DB 74 05 83 EB 04 8B 1B 8B 45 08 8B 40 F8 89 45 F4 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 89 7D DC C6 45 E0 11 8B 45 FC 89 45 E4 C6 45 E8 11 8D 45 D8 50 8B D3 2B D6 42 8B 45 08 8B 40 FC B9 FF FF FF 7F E8 ?? ?? ?? ?? 8B 45 D8 89 45 EC C6 45 F0 11 8D 45 DC 50 6A 02 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70114_0 {
	meta:
		name = "ParseErrorEOS"
		size = 110
		refs = "000f ParseErrorEOS 0030 SCmplxUnexpectedEOS 0035 LoadResString 003f _Dn_EConvertError 0044 Exception.CreateFmt 0049 @RaiseExcept 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_70115_0 {
	meta:
		name = "TComplexData.SetAsString"
		size = 835
		refs = "001c TComplexData.SetAsString 002d @UStrLAsg 0035 @UStrClr 0042 ParseNumber 004f SCmplxCouldNotParseReal 0054 LoadResString 005c ParseError 006f ParseWhiteSpace 0084 TComplexData.SetValue 00ae SCmplxCouldNotParsePlus 00d2 @UStrCopy 00ea ComplexNumberSymbolBeforeImaginary 00f6 ComplexNumberSymbol 0131 AnsiCompareText 0147 SCmplxCouldNotParseSymbol 0167 Format 01cc SCmplxCouldNotParseImaginary 02ce SCmplxUnexpectedChars 0309 @UStrArrayClr 0336 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B D0 8D 4D D8 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 17 55 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 59 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 16 FF 75 DC FF 75 D8 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? E9 66 02 00 00 BE 01 00 00 00 8B 45 F8 0F B7 00 66 83 F8 2D 75 05 83 CE FF EB 1D 66 83 F8 2B 74 17 55 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 59 8D 45 F4 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 0F 84 B9 00 00 00 A1 ?? ?? ?? ?? 89 45 C4 8B 7D C4 85 FF 74 05 83 EF 04 8B 3F 8D 45 F0 50 8B CF BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 36 55 8D 45 C0 50 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 50 A1 ?? ?? ?? ?? 89 45 B4 C6 45 B8 11 8D 55 B4 33 C9 58 E8 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 59 A1 ?? ?? ?? ?? 89 45 C4 8B 7D C4 85 FF 74 05 83 EF 04 8B 3F 8D 45 F4 50 8D 57 01 B9 FF FF FF 7F 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B D0 8D 4D D0 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 17 55 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? 59 89 75 C4 DB 45 C4 DC 4D D0 DD 5D D0 9B 80 3D ?? ?? ?? ?? 00 0F 85 B9 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 C4 8B 75 C4 85 F6 74 05 83 EE 04 8B 36 8D 45 E8 50 8B CE BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 36 55 8D 45 AC 50 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 50 A1 ?? ?? ?? ?? 89 45 B4 C6 45 B8 11 8D 55 B4 33 C9 58 E8 ?? ?? ?? ?? 8B 45 AC E8 ?? ?? ?? ?? 59 A1 ?? ?? ?? ?? 89 45 C4 8B 75 C4 85 F6 74 05 83 EE 04 8B 36 8D 45 F4 50 8D 56 01 B9 FF FF FF 7F 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 83 7D F8 00 74 17 55 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A4 E8 ?? ?? ?? ?? 59 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70116_0 {
	meta:
		name = "TComplexData.DoAdd"
		size = 32
		refs = "001b TComplexData.SetValue"
	strings:
		$1 = { DD 40 08 DC 42 08 83 C4 F8 DD 1C 24 9B DD 40 10 DC 42 10 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70117_0 {
	meta:
		name = "TComplexData.DoAdd"
		size = 38
		refs = "001e TComplexData.SetValue"
	strings:
		$1 = { 55 8B EC DD 40 08 DC 45 10 83 C4 F8 DD 1C 24 9B DD 40 10 DC 45 08 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_70118_0 {
	meta:
		name = "TComplexData.DoInvAdd"
		size = 38
		refs = "001e TComplexData.SetValue"
	strings:
		$1 = { 55 8B EC DD 45 10 DC 40 08 83 C4 F8 DD 1C 24 9B DD 45 08 DC 40 10 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_70119_0 {
	meta:
		name = "TComplexData.DoSubtract"
		size = 32
		refs = "001b TComplexData.SetValue"
	strings:
		$1 = { DD 40 08 DC 62 08 83 C4 F8 DD 1C 24 9B DD 40 10 DC 62 10 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70120_0 {
	meta:
		name = "TComplexData.DoSubtract"
		size = 38
		refs = "001e TComplexData.SetValue"
	strings:
		$1 = { 55 8B EC DD 40 08 DC 65 10 83 C4 F8 DD 1C 24 9B DD 40 10 DC 65 08 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_70121_0 {
	meta:
		name = "TComplexData.DoInvSubtract"
		size = 38
		refs = "001e TComplexData.SetValue"
	strings:
		$1 = { 55 8B EC DD 45 10 DC 60 08 83 C4 F8 DD 1C 24 9B DD 45 08 DC 60 10 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_70122_0 {
	meta:
		name = "TComplexData.DoMultiply"
		size = 18
		refs = "000d TComplexData.DoMultiply"
	strings:
		$1 = { FF 72 0C FF 72 08 FF 72 14 FF 72 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70125_0 {
	meta:
		name = "TComplexData.DoDivide"
		size = 18
		refs = "000d TComplexData.DoDivide"
	strings:
		$1 = { FF 72 0C FF 72 08 FF 72 14 FF 72 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70123_0 {
	meta:
		name = "TComplexData.DoMultiply"
		size = 54
		refs = "002e TComplexData.SetValue"
	strings:
		$1 = { 55 8B EC DD 40 08 DC 4D 10 DD 40 10 DC 4D 08 DE E9 83 C4 F8 DD 1C 24 9B DD 40 08 DC 4D 08 DD 40 10 DC 4D 10 DE C1 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_70124_0 {
	meta:
		name = "TComplexData.DoInvMultiply"
		size = 54
		refs = "002e TComplexData.SetValue"
	strings:
		$1 = { 55 8B EC DD 45 10 DC 48 08 DD 45 08 DC 48 10 DE E9 83 C4 F8 DD 1C 24 9B DD 45 10 DC 48 10 DD 45 08 DC 48 08 DE C1 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_70126_0 {
	meta:
		name = "TComplexData.DoDivide"
		size = 189
		refs = "0012 TComplexData.DoDivide 0039 IsZero 0045 SDivByZero 004a LoadResString 0054 _Dn_EZeroDivide 0059 Exception.Create 005e @RaiseExcept 0095 TComplexData.SetValue 00aa @UStrClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 10 DC 4D 10 DD 45 08 DC 4D 08 DE C1 DD 5D F8 9B FF 75 FC FF 75 F8 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 43 08 DC 4D 10 DD 43 10 DC 4D 08 DE C1 DC 75 F8 83 C4 F8 DD 1C 24 9B DD 43 10 DC 4D 10 DD 43 08 DC 4D 08 DE E9 DC 75 F8 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_70127_0 {
	meta:
		name = "TComplexData.DoInvDivide"
		size = 182
		refs = "0012 TComplexData.DoInvDivide 001f TComplexData.GetAbsSqr 0032 IsZero 003e SDivByZero 0043 LoadResString 004d _Dn_EZeroDivide 0052 Exception.Create 0057 @RaiseExcept 008e TComplexData.SetValue 00a3 @UStrClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? DD 5D F8 9B FF 75 FC FF 75 F8 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 45 10 DC 4B 08 DD 45 08 DC 4B 10 DE C1 DC 75 F8 83 C4 F8 DD 1C 24 9B DD 45 08 DC 4B 08 DD 45 10 DC 4B 10 DE E9 DC 75 F8 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_70128_0 {
	meta:
		name = "TComplexData.SetValueToComplexInfinity"
		size = 25
	strings:
		$1 = { 33 D2 89 50 08 C7 40 0C 00 00 F8 FF 33 D2 89 50 10 C7 40 14 00 00 F8 FF C3 }
	condition:
		$1
}

rule function_70129_0 {
	meta:
		name = "TComplexData.SetReal"
		size = 59
		refs = "0014 ComplexNumberDefuzzAtZero 0026 IsZero"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 89 43 08 8B 45 0C 89 43 0C 80 3D ?? ?? ?? ?? 00 74 1B FF 73 0C FF 73 08 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 08 33 C0 89 43 08 89 43 0C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70130_0 {
	meta:
		name = "TComplexData.SetImaginary"
		size = 59
		refs = "0014 ComplexNumberDefuzzAtZero 0026 IsZero"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 89 43 10 8B 45 0C 89 43 14 80 3D ?? ?? ?? ?? 00 74 1B FF 73 14 FF 73 10 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 08 33 C0 89 43 10 89 43 14 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70131_0 {
	meta:
		name = "TComplexData.SetValue"
		size = 37
		refs = "000f TComplexData.SetReal 001c TComplexData.SetImaginary"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 14 FF 75 10 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_70132_0 {
	meta:
		name = "TComplexData.SetValue"
		size = 35
		refs = "000f TComplexData.SetReal 001c TComplexData.SetImaginary"
	strings:
		$1 = { 53 56 8B F2 8B D8 FF 76 0C FF 76 08 8B C3 E8 ?? ?? ?? ?? FF 76 14 FF 76 10 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70133_0 {
	meta:
		name = "TComplexData.GetAbs"
		size = 36
		refs = "0009 TComplexData.GetAbsSqr 0015 Sqrt"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_70134_0 {
	meta:
		name = "TComplexData.GetAbsSqr"
		size = 27
	strings:
		$1 = { 83 C4 F8 DD 40 08 DC 48 08 DD 40 10 DC 48 10 DE C1 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_70135_0 {
	meta:
		name = "TComplexData.GetAngle"
		size = 30
		refs = "0010 ArcTan2"
	strings:
		$1 = { 83 C4 F8 FF 70 14 FF 70 10 FF 70 0C FF 70 08 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_70136_0 {
	meta:
		name = "TComplexData.DoCos"
		size = 106
		refs = "0011 Cos 0020 Cosh 003b Sin 004d Sinh 0061 TComplexData.SetValue"
	strings:
		$1 = { 53 83 C4 E8 8B D8 DD 43 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 3C 24 9B FF 73 14 FF 73 10 E8 ?? ?? ?? ?? DB 2C 24 DE C9 83 C4 F8 DD 1C 24 9B DD 43 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 E0 DB 7C 24 14 9B FF 73 14 FF 73 10 E8 ?? ?? ?? ?? DB 6C 24 14 DE C9 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_70137_0 {
	meta:
		name = "TComplexData.DoSin"
		size = 104
		refs = "0011 Sin 0020 Cosh 003b Cos 004b Sinh 005f TComplexData.SetValue"
	strings:
		$1 = { 53 83 C4 E8 8B D8 DD 43 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 3C 24 9B FF 73 14 FF 73 10 E8 ?? ?? ?? ?? DB 2C 24 DE C9 83 C4 F8 DD 1C 24 9B DD 43 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7C 24 14 9B FF 73 14 FF 73 10 E8 ?? ?? ?? ?? DB 6C 24 14 DE C9 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_70138_0 {
	meta:
		name = "TComplexData.DoTan"
		size = 272
		refs = "0012 TComplexData.DoTan 002d TComplexData.Equals 0038 TComplexData.SetValueToComplexInfinity 005f Cos 006e Cosh 0086 IsZero 0092 SDivByZero 0097 LoadResString 00a1 _Dn_EZeroDivide 00a6 Exception.Create 00ab @RaiseExcept 00c0 Sin 00d5 Sinh 00e6 TComplexData.SetValue 00fb @UStrClr 0101 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 D2 89 55 E0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 FB 21 F9 3F 68 18 2D 44 54 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? E9 A9 00 00 00 D9 05 ?? ?? ?? ?? DC 4B 10 DD 5D F8 9B D9 05 ?? ?? ?? ?? DC 4B 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D E4 9B FF 75 FC FF 75 F8 E8 ?? ?? ?? ?? DB 6D E4 DE C1 DD 5D F0 9B FF 75 F4 FF 75 F0 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? D9 05 ?? ?? ?? ?? DC 4B 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DC 75 F0 83 C4 F8 DD 1C 24 9B FF 75 FC FF 75 F8 E8 ?? ?? ?? ?? DC 75 F0 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 00 40 }
	condition:
		$1
}

rule function_70139_0 {
	meta:
		name = "TComplexData.DoCot"
		size = 116
		refs = "000a TComplexData.IsZero 0015 TComplexData.SetValueToComplexInfinity 0020 _DV_TComplexData 0025 TComplexData.Create 0030 TComplexData.DoCot 003e TComplexData.DoSin 0045 TComplexData.DoCos 004f TComplexData.DoDivide 0064 TObject.Free 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 55 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_70140_0 {
	meta:
		name = "TComplexData.DoCsc"
		size = 50
		refs = "0006 TComplexData.IsZero 0011 TComplexData.SetValueToComplexInfinity 001a TComplexData.DoSin 002c TComplexData.DoInvDivide"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 68 00 00 F0 3F 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70141_0 {
	meta:
		name = "TComplexData.DoSec"
		size = 64
		refs = "0014 TComplexData.Equals 001f TComplexData.SetValueToComplexInfinity 0028 TComplexData.DoCos 003a TComplexData.DoInvDivide"
	strings:
		$1 = { 53 8B D8 68 FB 21 F9 3F 68 18 2D 44 54 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 68 00 00 F0 3F 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70142_0 {
	meta:
		name = "TComplexData.DoArcCos"
		size = 172
		refs = "000c _DV_TComplexData 0011 TComplexData.Create 001c TComplexData.DoArcCos 002a TComplexData.DoSqr 003d TComplexData.DoInvSubtract 0045 TComplexData.DoSqrt 0053 TComplexData.DoTimesImaginary 005d TComplexData.DoAdd 0064 TComplexData.DoLn 0087 TComplexData.DoInvAdd 009c TObject.Free 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 68 00 00 F0 3F 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 68 00 00 F0 3F 6A 00 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 00 00 F0 3F 6A 00 8B C3 E8 ?? ?? ?? ?? 68 FB 21 F9 3F 68 18 2D 44 54 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_70143_0 {
	meta:
		name = "TComplexData.DoArcSin"
		size = 151
		refs = "000c _DV_TComplexData 0011 TComplexData.Create 001c TComplexData.DoArcSin 002a TComplexData.DoSqr 003d TComplexData.DoInvSubtract 0045 TComplexData.DoSqrt 0053 TComplexData.DoTimesImaginary 005d TComplexData.DoAdd 0064 TComplexData.DoLn 0087 TObject.Free 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 68 00 00 F0 3F 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 68 00 00 F0 3F 6A 00 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 00 00 F0 BF 6A 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_70144_0 {
	meta:
		name = "TComplexData.DoArcTan"
		size = 326
		refs = "0017 TComplexData.Equals 002d TComplexData.SetValue 0071 TComplexData.DoArcTan 0080 _DV_TComplexData 0085 TComplexData.Create 0097 TComplexData.DoTimesImaginary 00bc TComplexData.DoInvSubtract 00c4 TComplexData.DoLn 00d7 TComplexData.DoInvAdd 00ea TComplexData.DoSubtract 010e TComplexData.DoDivide 0118 TComplexData.DoMultiply 012d TObject.Free 013b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 6A 00 6A 00 68 00 00 F0 3F 6A 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 6A 00 6A 00 68 00 00 F0 7F 6A 00 8B C3 E8 ?? ?? ?? ?? E9 0B 01 00 00 6A 00 6A 00 68 00 00 F0 BF 6A 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 6A 00 6A 00 68 00 00 F0 FF 6A 00 8B C3 E8 ?? ?? ?? ?? E9 DE 00 00 00 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 68 00 00 F0 3F 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 68 00 00 F0 3F 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 68 00 00 F0 3F 6A 00 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 68 00 00 F0 3F 6A 00 8B C3 E8 ?? ?? ?? ?? 68 00 00 00 40 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70146_0 {
	meta:
		name = "TComplexData.DoArcCsc"
		size = 39
		refs = "0006 TComplexData.IsZero 0011 TComplexData.SetValueToComplexInfinity 001a TComplexData.DoInverse 0021 TComplexData.DoArcSin"
		altNames = "TComplexData.DoArcCscH"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70147_0 {
	meta:
		name = "TComplexData.DoArcSec"
		size = 39
		refs = "0006 TComplexData.IsZero 0011 TComplexData.SetValueToComplexInfinity 001a TComplexData.DoInverse 0021 TComplexData.DoArcCos"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70151_0 {
	meta:
		name = "TComplexData.DoCotH"
		size = 39
		refs = "0006 TComplexData.IsZero 0011 TComplexData.SetValueToComplexInfinity 001a TComplexData.DoTanH 0021 TComplexData.DoInverse"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70152_0 {
	meta:
		name = "TComplexData.DoCscH"
		size = 39
		refs = "0006 TComplexData.IsZero 0011 TComplexData.SetValueToComplexInfinity 001a TComplexData.DoSinH 0021 TComplexData.DoInverse"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70148_0 {
	meta:
		name = "TComplexData.DoCosH"
		size = 104
		refs = "0011 Cos 0020 Cosh 003b Sin 004b Sinh 005f TComplexData.SetValue"
	strings:
		$1 = { 53 83 C4 E8 8B D8 DD 43 10 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 3C 24 9B FF 73 0C FF 73 08 E8 ?? ?? ?? ?? DB 2C 24 DE C9 83 C4 F8 DD 1C 24 9B DD 43 10 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7C 24 14 9B FF 73 0C FF 73 08 E8 ?? ?? ?? ?? DB 6C 24 14 DE C9 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_70149_0 {
	meta:
		name = "TComplexData.DoSinH"
		size = 104
		refs = "0011 Cos 0020 Sinh 003b Sin 004b Cosh 005f TComplexData.SetValue"
	strings:
		$1 = { 53 83 C4 E8 8B D8 DD 43 10 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 3C 24 9B FF 73 0C FF 73 08 E8 ?? ?? ?? ?? DB 2C 24 DE C9 83 C4 F8 DD 1C 24 9B DD 43 10 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7C 24 14 9B FF 73 0C FF 73 08 E8 ?? ?? ?? ?? DB 6C 24 14 DE C9 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_70150_0 {
	meta:
		name = "TComplexData.DoTanH"
		size = 124
		refs = "000a TComplexData.IsZero 001d TComplexData.SetValue 0028 _DV_TComplexData 002d TComplexData.Create 0038 TComplexData.DoTanH 0046 TComplexData.DoCosH 004d TComplexData.DoSinH 0057 TComplexData.DoDivide 006c TObject.Free 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 6A 00 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? EB 55 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_70154_0 {
	meta:
		name = "TComplexData.DoArcCosH"
		size = 191
		refs = "0017 TComplexData.DoArcCosH 0026 _DV_TComplexData 002b TComplexData.Create 0041 TComplexData.DoAdd 0049 TComplexData.DoSqrt 006d TComplexData.DoSubtract 0080 TComplexData.DoMultiply 0091 TComplexData.DoLn 00a6 TObject.Free 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 68 00 00 F0 3F 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 68 00 00 F0 3F 6A 00 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70155_0 {
	meta:
		name = "TComplexData.DoArcSinH"
		size = 40
		refs = "000d TComplexData.DoTimesImaginary 0014 TComplexData.DoArcSin"
	strings:
		$1 = { 53 8B D8 68 00 00 F0 3F 6A 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 00 00 F0 BF 6A 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70156_0 {
	meta:
		name = "TComplexData.DoArcTanH"
		size = 124
		refs = "0011 TComplexData.Equals 0027 TComplexData.SetValue 0061 TComplexData.DoTimesImaginary 0068 TComplexData.DoArcTan"
	strings:
		$1 = { 53 8B D8 68 00 00 F0 3F 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 68 00 00 F0 7F 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 5B C3 68 00 00 F0 BF 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 68 00 00 F0 FF 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? EB 23 68 00 00 F0 3F 6A 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 00 00 F0 BF 6A 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70157_0 {
	meta:
		name = "TComplexData.DoArcCotH"
		size = 103
		refs = "0011 TComplexData.Equals 0027 TComplexData.SetValue 005a TComplexData.DoInverse 0061 TComplexData.DoArcTanH"
	strings:
		$1 = { 53 8B D8 68 00 00 F0 3F 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 68 00 00 F0 7F 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 5B C3 68 00 00 F0 BF 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 68 00 00 F0 FF 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? EB 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70159_0 {
	meta:
		name = "TComplexData.DoArcSecH"
		size = 50
		refs = "0006 TComplexData.IsZero 001c TComplexData.SetValue 0025 TComplexData.DoInverse 002c TComplexData.DoArcCosH"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 68 00 00 F0 7F 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70160_0 {
	meta:
		name = "TComplexData.DoConjugate"
		size = 18
		refs = "000d TComplexData.SetImaginary"
	strings:
		$1 = { DD 40 10 D9 E0 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70161_0 {
	meta:
		name = "TComplexData.DoExp"
		size = 87
		refs = "0011 Exp 0024 Cos 003d Sin 004f TComplexData.SetValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 DD 43 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 1C 24 9B DD 43 10 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DC 0C 24 83 C4 F8 DD 1C 24 9B DD 43 10 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DC 4C 24 08 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_70162_0 {
	meta:
		name = "TComplexData.DoInverse"
		size = 160
		refs = "0012 TComplexData.DoInverse 001f TComplexData.GetAbsSqr 0032 IsZero 003e SDivByZero 0043 LoadResString 004d _Dn_EZeroDivide 0052 Exception.Create 0057 @RaiseExcept 007a TComplexData.SetValue 008f @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? DD 5D F8 9B FF 75 FC FF 75 F8 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 43 08 DC 75 F8 83 C4 F8 DD 1C 24 9B DD 43 10 DC 75 F8 D9 E0 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70163_0 {
	meta:
		name = "TComplexData.DoLn"
		size = 96
		refs = "0009 TComplexData.IsZero 001f TComplexData.SetValue 0032 TComplexData.GetAsPolar 0041 Ln"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 68 00 00 F0 FF 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? EB 36 6A 01 8D 4C 24 0C 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? DD 04 24 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B FF 74 24 14 FF 74 24 14 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_70164_0 {
	meta:
		name = "TComplexData.DoLog10"
		size = 131
		refs = "0009 TComplexData.IsZero 001f TComplexData.SetValue 0032 TComplexData.GetAsPolar 0041 Ln 007a TComplexData.DoDivide"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 68 00 00 F0 FF 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? EB 59 6A 01 8D 4C 24 0C 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? DD 04 24 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B FF 74 24 14 FF 74 24 14 8B C3 E8 ?? ?? ?? ?? 68 02 40 00 00 68 00 00 00 A0 6A 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_70165_0 {
	meta:
		name = "TComplexData.DoLog2"
		size = 131
		refs = "0009 TComplexData.IsZero 001f TComplexData.SetValue 0032 TComplexData.GetAsPolar 0041 Ln 007a TComplexData.DoDivide"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 68 00 00 F0 FF 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? EB 59 6A 01 8D 4C 24 0C 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? DD 04 24 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B FF 74 24 14 FF 74 24 14 8B C3 E8 ?? ?? ?? ?? 68 00 40 00 00 68 00 00 00 80 6A 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_70166_0 {
	meta:
		name = "TComplexData.DoLogN"
		size = 220
		refs = "000c TComplexData.IsZero 0019 TComplexData.DoLogN 0040 TComplexData.SetValue 0052 _DV_TComplexData 0057 TComplexData.Create 0070 TComplexData.DoLn 007f TComplexData.GetAsPolar 008e Ln 00ac TComplexData.DoDivide 00c1 TObject.Free 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 35 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 26 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 17 68 00 00 F0 FF 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? E9 84 00 00 00 FF 75 0C FF 75 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? 6A 01 8D 4D F0 8D 55 F8 8B C3 E8 ?? ?? ?? ?? DD 45 F8 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B FF 75 F4 FF 75 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_70167_0 {
	meta:
		name = "TComplexData.DoSqr"
		size = 48
		refs = "002b TComplexData.SetValue"
	strings:
		$1 = { DD 40 08 DC 48 08 DD 40 10 DC 48 10 DE E9 83 C4 F8 DD 1C 24 9B DD 40 08 DC 48 10 DD 40 10 DC 48 08 DE C1 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70168_0 {
	meta:
		name = "TComplexData.DoSqrt"
		size = 328
		refs = "0009 TComplexData.IsZero 001a TComplexData.DoSqrt 0027 TComplexData.GetAbs 0043 Sqrt 0071 TComplexData.SetValue"
	strings:
		$1 = { 53 83 C4 EC 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 26 01 00 00 DD 43 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 56 8B C3 E8 ?? ?? ?? ?? DC 43 08 DD 1C 24 9B DD 04 24 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B DD 44 24 08 D8 0D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DC 7B 10 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 C1 00 00 00 8B C3 E8 ?? ?? ?? ?? DC 63 08 DD 1C 24 9B DD 43 10 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 54 DD 04 24 D8 0D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7C 24 08 9B DD 43 10 D9 E1 DB 6C 24 08 DE F9 83 C4 F8 DD 1C 24 9B DD 44 24 08 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 E0 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 50 DD 04 24 D8 0D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7C 24 08 9B DD 43 10 D9 E1 DB 6C 24 08 DE F9 83 C4 F8 DD 1C 24 9B DD 44 24 08 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5B C3 00 00 00 00 00 00 00 40 }
	condition:
		$1
}

rule function_70169_0 {
	meta:
		name = "TComplexData.DoTimesImaginary"
		size = 40
		refs = "0020 TComplexData.SetValue"
	strings:
		$1 = { 55 8B EC DD 45 08 D9 E0 DC 48 10 83 C4 F8 DD 1C 24 9B DD 45 08 DC 48 08 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_70170_0 {
	meta:
		name = "TComplexData.DoTimesReal"
		size = 38
		refs = "001e TComplexData.SetValue"
	strings:
		$1 = { 55 8B EC DD 45 08 DC 48 08 83 C4 F8 DD 1C 24 9B DD 45 08 DC 48 10 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_70171_0 {
	meta:
		name = "TComplexData.IsZero"
		size = 49
		refs = "000e IsZero"
	strings:
		$1 = { 53 8B D8 FF 73 0C FF 73 08 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 13 FF 73 14 FF 73 10 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_70172_0 {
	meta:
		name = "TComplexData.Equals"
		size = 66
		refs = "0017 SameValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 FF 73 0C FF 73 08 FF 76 0C FF 76 08 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 19 FF 73 14 FF 73 10 FF 76 14 FF 76 10 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_70173_0 {
	meta:
		name = "TComplexData.Equals"
		size = 67
		refs = "0017 SameValue"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 73 0C FF 73 08 FF 75 14 FF 75 10 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 19 FF 73 14 FF 73 10 FF 75 0C FF 75 08 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_70174_0 {
	meta:
		name = "TComplexData.Equals"
		size = 107
		refs = "0011 TComplexData.Equals 0021 TComplexData.GetAsString 002b @UStrLAsg 0036 AnsiCompareText 0057 @UStrArrayClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70175_0 {
	meta:
		name = "TComplexData.DoPower"
		size = 124
		refs = "0009 TComplexData.GetAbsSqr 0019 IsZero 004a TComplexData.SetValue 0065 TComplexData.DoLn 006e TComplexData.DoMultiply 0075 TComplexData.DoExp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 41 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 14 68 00 00 F0 3F 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? EB 29 6A 00 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70176_0 {
	meta:
		name = "TComplexData.GetAsPolar"
		size = 164
		refs = "0019 ArcTan2 0036 Sqrt 0047 TComplexData.GetAsPolar"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B FA 8B F0 FF 76 14 FF 76 10 FF 76 0C FF 76 08 E8 ?? ?? ?? ?? DD 1B 9B DD 46 08 DC 4E 08 DD 46 10 DC 4E 10 DE C1 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 1F 9B 80 7D 08 00 74 36 EB 0B DB 2D ?? ?? ?? ?? DC 2B DD 1B 9B DB 2D ?? ?? ?? ?? DC 1B 9B DF E0 9E 72 E7 EB 0B DB 2D ?? ?? ?? ?? DC 03 DD 1B 9B DB 2D ?? ?? ?? ?? DC 1B 9B DF E0 9E 73 E7 5F 5E 5B 5D C2 04 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 35 C2 68 21 A2 DA 0F C9 00 40 00 00 35 C2 68 21 A2 DA 0F C9 00 C0 00 00 }
	condition:
		$1
}

rule function_70177_0 {
	meta:
		name = "TComplexData.SetAsPolar"
		size = 68
		refs = "0011 Cos 002a Sin 003b TComplexData.SetValue"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DC 4D 10 83 C4 F8 DD 1C 24 9B DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DC 4D 10 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_70178_0 {
	meta:
		name = "TComplexData.GetRadius"
		size = 25
		refs = "000e TComplexData.GetAsPolar"
	strings:
		$1 = { 83 C4 F0 6A 01 8D 4C 24 0C 8D 54 24 04 E8 ?? ?? ?? ?? DD 04 24 83 C4 10 C3 }
	condition:
		$1
}

rule function_70179_0 {
	meta:
		name = "TComplexData.GetTheta"
		size = 25
		refs = "000e TComplexData.GetAsPolar"
	strings:
		$1 = { 83 C4 F0 6A 00 8D 4C 24 04 8D 54 24 0C E8 ?? ?? ?? ?? DD 04 24 83 C4 10 C3 }
	condition:
		$1
}

rule function_70180_0 {
	meta:
		name = "TComplexData.GetFixedTheta"
		size = 25
		refs = "000e TComplexData.GetAsPolar"
	strings:
		$1 = { 83 C4 F0 6A 01 8D 4C 24 04 8D 54 24 0C E8 ?? ?? ?? ?? DD 04 24 83 C4 10 C3 }
	condition:
		$1
}

rule function_70181_0 {
	meta:
		name = "TComplexVariantType.BinaryOp"
		size = 289
		refs = "001e TComplexVariantType.BinaryOp 0052 @VarCopy 005d TComplexData.GetAsString 0068 @VarFromUStr 0073 @VarAdd 0084 TCustomVariantType.RaiseInvalidOp 00a8 TComplexData.DoAdd 00b5 TComplexData.DoSubtract 00c2 TComplexData.DoMultiply 00cf TComplexData.DoDivide 00f9 @UStrClr 0102 Variant 010c @FinalizeArray 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B7 13 0F B7 78 04 66 3B D7 0F 85 AB 00 00 00 0F B7 16 8B CA 66 81 E9 00 01 75 46 8B 55 08 83 EA 01 73 37 8B D6 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 DC 8B 43 08 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? EB 65 E8 ?? ?? ?? ?? EB 5E 66 3B FA 75 4D 8B 55 08 83 EA 01 72 0A 74 15 4A 74 1F 4A 74 29 EB 34 8B 53 08 8B 46 08 E8 ?? ?? ?? ?? EB 3A 8B 53 08 8B 46 08 E8 ?? ?? ?? ?? EB 2D 8B 53 08 8B 46 08 E8 ?? ?? ?? ?? EB 20 8B 53 08 8B 46 08 E8 ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? EB 0C E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_70182_0 {
	meta:
		name = "TComplexVariantType.Cast"
		size = 311
		refs = "0018 TComplexVariantType.Cast 0029 TCustomVariantType.VarDataInit 0044 TCustomVariantType.VarDataCopyNoInd 004f TCustomVariantType.VarDataClear 005a TCustomVariantType.VarDataIsStr 006c TCustomVariantType.VarDataToStr 0076 _DV_TComplexData 007b TComplexData.Create 00ac TCustomVariantType.VarDataCastTo 00e2 @HandleFinally 0126 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 33 DB 89 5D D4 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 25 8D 4D D4 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 08 EB 61 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 05 8D 4D E8 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? FF 75 E4 FF 75 E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 0F B7 40 04 8B 55 F8 66 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70183_0 {
	meta:
		name = "TComplexVariantType.CastTo"
		size = 371
		refs = "0028 TComplexVariantType.CastTo 005f TComplexData.GetAsString 006a @WStrFromUStr 0077 TCustomVariantType.VarDataFromOleStr 0094 TCustomVariantType.VarDataFromStr 00b4 @LStrFromUStr 00c1 TCustomVariantType.VarDataFromLStr 00ce TCustomVariantType.VarDataInit 00ff TCustomVariantType.VarDataCastTo 0117 TCustomVariantType.VarDataClear 011d @HandleFinally 012c TCustomVariantType.CastTo 0141 @UStrClr 0149 @LStrClr 0156 @UStrArrayClr 015e @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D DC 89 5D D8 89 5D E0 89 5D E8 89 5D E4 8B D9 8B FA 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 03 8B 55 FC 66 3B 42 04 0F 85 E1 00 00 00 8B C6 66 83 E8 08 74 0E 66 2D F8 00 74 4D 66 83 E8 02 74 2A EB 6F 8D 55 E4 8B 43 08 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 4D E8 8B D7 8B 45 FC E8 ?? ?? ?? ?? E9 B0 00 00 00 8D 55 E0 8B 43 08 E8 ?? ?? ?? ?? 8B 4D E0 8B D7 8B 45 FC E8 ?? ?? ?? ?? E9 93 00 00 00 8D 55 D8 8B 43 08 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 DC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D DC 8B D7 8B 45 FC E8 ?? ?? ?? ?? EB 69 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 45 EC 05 00 8B 43 08 8B 50 08 89 55 F4 8B 50 0C 89 55 F8 56 8D 4D EC 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 56 8B CB 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_70185_0 {
	meta:
		name = "TComplexVariantType.CompareOp"
		size = 101
		refs = "0033 TComplexData.Equals 004f TCustomVariantType.RaiseInvalidOp"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA C6 45 FF 00 0F B7 0B 0F B7 50 04 66 3B CA 75 3B 66 3B 16 75 36 8B 55 08 83 EA 0E 74 05 4A 74 12 EB 22 8B 56 08 8B 43 08 E8 ?? ?? ?? ?? 88 45 FF EB 1E 8B 56 08 8B 43 08 E8 ?? ?? ?? ?? 34 01 88 45 FF EB 0C E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 0F B6 45 FF 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_70188_0 {
	meta:
		name = "TComplexVariantType.IsClear"
		size = 32
		refs = "000e TComplexData.IsZero"
	strings:
		$1 = { 53 56 8B DA 8B 73 08 85 F6 74 10 8B C6 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_70189_0 {
	meta:
		name = "TComplexVariantType.LeftPromotion"
		size = 60
		refs = "001c TCustomVariantType.VarDataIsStr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 83 7D FC 00 75 14 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 66 C7 06 00 01 EB 07 0F B7 43 04 66 89 06 B0 01 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_70190_0 {
	meta:
		name = "TComplexVariantType.StreamIn"
		size = 138
		refs = "0010 _Dn_TReader 0015 TFiler.Create 0020 TComplexVariantType.StreamIn 002d _DV_TComplexData 0032 TObject.Create 003f TReader.ReadFloat 004d TComplexData.SetReal 0064 TComplexData.SetImaginary 0079 TObject.Free 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 68 00 04 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 08 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 43 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70191_0 {
	meta:
		name = "TComplexVariantType.StreamOut"
		size = 116
		refs = "000f _Dn_TWriter 0014 TFiler.Create 001f TComplexVariantType.StreamOut 003a TWriter.WriteFloat 0064 TObject.Free 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 68 00 04 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 DD 40 08 83 C4 F4 DB 3C 24 9B 8B 45 FC E8 ?? ?? ?? ?? 8B 43 08 DD 40 10 83 C4 F4 DB 3C 24 9B 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_70192_0 {
	meta:
		name = "TComplexVariantType.UnaryOp"
		size = 39
		refs = "0013 TComplexData.DoNegate 001a TCustomVariantType.RaiseInvalidOp"
	strings:
		$1 = { 53 0F B7 1A 66 3B 58 04 75 16 83 E9 0C 75 0A 8B 42 08 E8 ?? ?? ?? ?? EB 0C E8 ?? ?? ?? ?? 5B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70193_0 {
	meta:
		name = "VarComplexCreateInto"
		size = 27
		refs = "0009 @VarClear 000e VarComplex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 03 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_70194_0 {
	meta:
		name = "VarComplexCreate"
		size = 30
		refs = "000a _DV_TComplexData 000f TComplexData.Create 0018 VarComplexCreateInto"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70195_0 {
	meta:
		name = "VarComplexCreate"
		size = 38
		refs = "000f _DV_TComplexData 0014 TComplexData.Create 001d VarComplexCreateInto"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70196_0 {
	meta:
		name = "VarComplexCreate"
		size = 44
		refs = "0015 _DV_TComplexData 001a TComplexData.Create 0023 VarComplexCreateInto"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 14 FF 75 10 FF 75 0C FF 75 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_70197_0 {
	meta:
		name = "VarComplexCreate"
		size = 32
		refs = "000b _DV_TComplexData 0010 TComplexData.Create 0019 VarComplexCreateInto"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70199_0 {
	meta:
		name = "VarIsComplex"
		size = 24
		refs = "0004 VarComplex"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 0F B7 13 66 81 E2 FF 0F 66 3B C2 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_70252_0 {
	meta:
		name = "VarIsConvert"
		size = 24
		refs = "0004 VarConvert"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 0F B7 13 66 81 E2 FF 0F 66 3B C2 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_70200_0 {
	meta:
		name = "VarAsComplex"
		size = 49
		refs = "0009 VarIsComplex 0012 VarComplex 001e @VarCast 002a @VarCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 14 E8 ?? ?? ?? ?? 0F B7 C8 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70253_0 {
	meta:
		name = "VarAsConvert"
		size = 49
		refs = "0009 VarIsConvert 0012 VarConvert 001e @VarCast 002a @VarCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 14 E8 ?? ?? ?? ?? 0F B7 C8 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70201_0 {
	meta:
		name = "VarComplexSimplify"
		size = 67
		refs = "0009 VarIsComplex 001f IsZero 0030 @VarFromReal 003c @VarCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 26 8B 43 08 FF 70 14 FF 70 10 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 10 8B 43 08 DD 40 08 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70202_0 {
	meta:
		name = "VarComplexAbsSqr"
		size = 95
		refs = "0012 VarComplexAbsSqr 001d VarComplex 002a @VarCast 0032 TComplexData.GetAbsSqr 004b @VarClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 0F B7 C8 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DD 5D E8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70203_0 {
	meta:
		name = "VarComplexAbs"
		size = 95
		refs = "0012 VarComplexAbs 001d VarComplex 002a @VarCast 0032 TComplexData.GetAbs 004b @VarClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 0F B7 C8 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DD 5D E8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70204_0 {
	meta:
		name = "VarComplexAngle"
		size = 95
		refs = "0012 VarComplexAngle 001d VarComplex 002a @VarCast 0032 TComplexData.GetAngle 004b @VarClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 0F B7 C8 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DD 5D E8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70205_0 {
	meta:
		name = "VarComplexSign"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoSign"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70226_0 {
	meta:
		name = "VarComplexArcCos"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoArcCos"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70238_0 {
	meta:
		name = "VarComplexArcCosH"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoArcCosH"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70229_0 {
	meta:
		name = "VarComplexArcCot"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoArcCot"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70241_0 {
	meta:
		name = "VarComplexArcCotH"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoArcCotH"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70231_0 {
	meta:
		name = "VarComplexArcCsc"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoArcCsc"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70243_0 {
	meta:
		name = "VarComplexArcCscH"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoArcCscH"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70230_0 {
	meta:
		name = "VarComplexArcSec"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoArcSec"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70242_0 {
	meta:
		name = "VarComplexArcSecH"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoArcSecH"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70227_0 {
	meta:
		name = "VarComplexArcSin"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoArcSin"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70239_0 {
	meta:
		name = "VarComplexArcSinH"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoArcSinH"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70228_0 {
	meta:
		name = "VarComplexArcTan"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoArcTan"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70240_0 {
	meta:
		name = "VarComplexArcTanH"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoArcTanH"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70206_0 {
	meta:
		name = "VarComplexConjugate"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoConjugate"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70220_0 {
	meta:
		name = "VarComplexCos"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoCos"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70232_0 {
	meta:
		name = "VarComplexCosH"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoCosH"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70223_0 {
	meta:
		name = "VarComplexCot"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoCot"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70235_0 {
	meta:
		name = "VarComplexCotH"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoCotH"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70225_0 {
	meta:
		name = "VarComplexCsc"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoCsc"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70237_0 {
	meta:
		name = "VarComplexCscH"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoCscH"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70208_0 {
	meta:
		name = "VarComplexExp"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoExp"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70207_0 {
	meta:
		name = "VarComplexInverse"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoInverse"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70209_0 {
	meta:
		name = "VarComplexLn"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoLn"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70210_0 {
	meta:
		name = "VarComplexLog10"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoLog10"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70211_0 {
	meta:
		name = "VarComplexLog2"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoLog2"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70224_0 {
	meta:
		name = "VarComplexSec"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoSec"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70236_0 {
	meta:
		name = "VarComplexSecH"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoSecH"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70221_0 {
	meta:
		name = "VarComplexSin"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoSin"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70233_0 {
	meta:
		name = "VarComplexSinH"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoSinH"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70213_0 {
	meta:
		name = "VarComplexSqr"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoSqr"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70214_0 {
	meta:
		name = "VarComplexSqrt"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoSqrt"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70222_0 {
	meta:
		name = "VarComplexTan"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoTan"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70234_0 {
	meta:
		name = "VarComplexTanH"
		size = 34
		refs = "0007 VarComplex 0013 @VarCast 001b TComplexData.DoTanH"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70212_0 {
	meta:
		name = "VarComplexLogN"
		size = 46
		refs = "000a VarComplex 0016 @VarCast 0024 TComplexData.DoLogN"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B 43 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70217_0 {
	meta:
		name = "VarComplexTimesImaginary"
		size = 46
		refs = "000a VarComplex 0016 @VarCast 0024 TComplexData.DoTimesImaginary"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B 43 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70218_0 {
	meta:
		name = "VarComplexTimesReal"
		size = 46
		refs = "000a VarComplex 0016 @VarCast 0024 TComplexData.DoTimesReal"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B 43 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70215_0 {
	meta:
		name = "VarComplexTimesPosI"
		size = 41
		refs = "0007 VarComplex 0013 @VarCast 0022 TComplexData.DoTimesImaginary"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 68 00 00 F0 3F 6A 00 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70216_0 {
	meta:
		name = "VarComplexTimesNegI"
		size = 41
		refs = "0007 VarComplex 0013 @VarCast 0022 TComplexData.DoTimesImaginary"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? 68 00 00 F0 BF 6A 00 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70219_0 {
	meta:
		name = "VarComplexPower"
		size = 116
		refs = "0018 VarComplexPower 0023 VarComplex 002f @VarCast 004c TComplexData.DoPower 0061 @VarClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 0F B7 C8 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 C8 8B D7 8D 45 F0 E8 ?? ?? ?? ?? 8B 43 08 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70244_0 {
	meta:
		name = "VarComplexToPolar"
		size = 107
		refs = "0018 VarComplexToPolar 0023 VarComplex 0030 @VarCast 0041 TComplexData.GetAsPolar 0056 @VarClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 0F B7 C8 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 0F B6 45 08 50 8B CF 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_70245_0 {
	meta:
		name = "VarComplexFromPolar"
		size = 38
		refs = "0009 VarComplexCreate 001d TComplexData.SetAsPolar"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B 43 08 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_70246_0 {
	meta:
		name = "Finalization"
		size = 118
		refs = "0007 Finalization 0013 _DV_1 001a ComplexVariantType 0027 TObject.Free 002c ComplexNumberSymbol 0031 @UStrClr 0036 cFormats 0041 string 0046 @FinalizeArray 004b cSign 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 46 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_70248_0 {
	meta:
		name = "VarConvertCreateInto"
		size = 46
		refs = "000c @VarClear 0011 VarConvert"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 03 66 89 73 02 8B 45 08 89 43 08 8B 45 0C 89 43 0C 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70249_0 {
	meta:
		name = "VarConvertCreate"
		size = 19
		refs = "000b VarConvertCreateInto"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 92 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_70250_0 {
	meta:
		name = "VarConvertCreate"
		size = 62
		refs = "0012 TryStrToConvUnit 001b ConvertVariantType 0020 TCustomVariantType.RaiseCastError 0034 VarConvertCreateInto"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8D 4C 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8B C6 0F B7 54 24 10 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_70254_0 {
	meta:
		name = "VarAsConvert"
		size = 58
		refs = "000c VarIsConvert 0017 @VarToReal 0027 VarConvertCreate 0032 @VarCopy"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 19 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 09 8B C6 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70255_0 {
	meta:
		name = "TConvertVariantType.BinaryOp"
		size = 1185
		refs = "0021 TConvertVariantType.BinaryOp 006f @VarToUStr 007d TryStrToConvUnit 0086 CIllegalConvType 00a8 @VarCopy 00ba VarConvertCreate 00c5 @VarAdd 00db TCustomVariantType.RaiseCastError 0140 @VarSub 019b TCustomVariantType.RaiseInvalidOp 020c @VarRDiv 0263 Int 029f @VarDiv 038c ConvUnitInc 03ab ConvUnitDec 03c4 Convert 03ce @VarFromReal 0424 Variant 042e @FinalizeArray 0436 @UStrClr 0456 @UStrArrayClr 0492 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 13 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 03 66 83 E8 05 0F 84 95 02 00 00 66 2D FB 00 0F 85 11 03 00 00 8B 45 08 83 F8 04 0F 87 73 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8B 45 F0 8D 4D F6 8D 55 F8 E8 ?? ?? ?? ?? 84 C0 74 53 A1 ?? ?? ?? ?? 0F B7 00 66 3B 45 F6 75 0F DD 47 08 DC 45 F8 DD 5F 08 9B E9 6D 03 00 00 8B D7 8D 45 E0 E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 8D 55 D0 0F B7 45 F6 E8 ?? ?? ?? ?? 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 E0 8B C7 E8 ?? ?? ?? ?? E9 37 03 00 00 8B C6 E8 ?? ?? ?? ?? E9 2B 03 00 00 8D 45 CC 8B D3 E8 ?? ?? ?? ?? 8B 45 CC 8D 4D F6 8D 55 F8 E8 ?? ?? ?? ?? 84 C0 74 53 A1 ?? ?? ?? ?? 0F B7 00 66 3B 45 F6 75 0F DD 47 08 DC 45 F8 DD 5F 08 9B E9 F2 02 00 00 8B D7 8D 45 BC E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 8D 55 AC 0F B7 45 F6 E8 ?? ?? ?? ?? 8D 55 AC 8D 45 BC E8 ?? ?? ?? ?? 8D 55 BC 8B C7 E8 ?? ?? ?? ?? E9 BC 02 00 00 8B C6 E8 ?? ?? ?? ?? E9 B0 02 00 00 8D 45 A8 8B D3 E8 ?? ?? ?? ?? 8B 45 A8 8D 4D F6 8D 55 F8 E8 ?? ?? ?? ?? 84 C0 74 29 A1 ?? ?? ?? ?? 0F B7 00 66 3B 45 F6 75 0F DD 47 08 DC 4D F8 DD 5F 08 9B E9 77 02 00 00 8B C6 E8 ?? ?? ?? ?? E9 6B 02 00 00 8B C6 E8 ?? ?? ?? ?? E9 5F 02 00 00 8D 45 A4 8B D3 E8 ?? ?? ?? ?? 8B 45 A4 8D 4D F6 8D 55 F8 E8 ?? ?? ?? ?? 84 C0 74 53 A1 ?? ?? ?? ?? 0F B7 00 66 3B 45 F6 75 0F DD 47 08 DC 75 F8 DD 5F 08 9B E9 26 02 00 00 8B D7 8D 45 94 E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 8D 55 84 0F B7 45 F6 E8 ?? ?? ?? ?? 8D 55 84 8D 45 94 E8 ?? ?? ?? ?? 8D 55 94 8B C7 E8 ?? ?? ?? ?? E9 F0 01 00 00 8B C6 E8 ?? ?? ?? ?? E9 E4 01 00 00 8D 45 80 8B D3 E8 ?? ?? ?? ?? 8B 45 80 8D 4D F6 8D 55 F8 E8 ?? ?? ?? ?? 84 C0 74 6E A1 ?? ?? ?? ?? 0F B7 00 66 3B 45 F6 75 1B DD 47 08 DC 75 F8 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5F 08 9B E9 9F 01 00 00 8B D7 8D 85 70 FF FF FF E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 8D 95 60 FF FF FF 0F B7 45 F6 E8 ?? ?? ?? ?? 8D 95 60 FF FF FF 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 95 70 FF FF FF 8B C7 E8 ?? ?? ?? ?? E9 5A 01 00 00 8B C6 E8 ?? ?? ?? ?? E9 4E 01 00 00 8B C6 E8 ?? ?? ?? ?? E9 42 01 00 00 8B 45 08 83 F8 04 77 72 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? DD 47 08 DC 43 08 DD 5F 08 9B E9 10 01 00 00 DD 47 08 DC 63 08 DD 5F 08 9B E9 01 01 00 00 DD 47 08 DC 4B 08 DD 5F 08 9B E9 F2 00 00 00 DD 47 08 DC 73 08 DD 5F 08 9B E9 E3 00 00 00 DD 47 08 DC 73 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5F 08 9B E9 C8 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 BC 00 00 00 0F B7 07 66 3B 46 04 0F 85 A8 00 00 00 8B 45 08 83 E8 01 72 0F 74 2C 83 E8 02 74 46 48 74 62 E9 88 00 00 00 FF 77 0C FF 77 08 FF 73 0C FF 73 08 0F B7 53 02 0F B7 47 02 E8 ?? ?? ?? ?? DD 5F 08 9B EB 79 FF 77 0C FF 77 08 FF 73 0C FF 73 08 0F B7 53 02 0F B7 47 02 E8 ?? ?? ?? ?? DD 5F 08 9B EB 5A FF 73 0C FF 73 08 0F B7 57 02 0F B7 43 02 E8 ?? ?? ?? ?? DC 7F 08 8B C7 E8 ?? ?? ?? ?? EB 3B FF 73 0C FF 73 08 0F B7 57 02 0F B7 43 02 E8 ?? ?? ?? ?? DC 7F 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 60 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 84 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 84 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_70256_0 {
	meta:
		name = "TConvertVariantType.Cast"
		size = 145
		refs = "0018 TConvertVariantType.Cast 002a TCustomVariantType.VarDataToStr 0038 TryStrToConvUnit 0045 TCustomVariantType.VarDataClear 0069 TCustomVariantType.RaiseCastError 007e @UStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 4D F6 8D 55 F8 E8 ?? ?? ?? ?? 84 C0 74 26 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 89 46 08 8B 45 FC 89 46 0C 0F B7 45 F6 66 89 46 02 0F B7 43 04 66 89 06 EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70257_0 {
	meta:
		name = "TConvertVariantType.CastTo"
		size = 305
		refs = "001e TConvertVariantType.CastTo 0058 ConvUnitToStr 0063 @WStrFromUStr 0070 TCustomVariantType.VarDataFromOleStr 0094 TCustomVariantType.VarDataFromStr 00a1 TCustomVariantType.VarDataInit 00d3 TCustomVariantType.VarDataCastTo 00eb TCustomVariantType.VarDataClear 00f1 @HandleFinally 00fb TCustomVariantType.RaiseCastError 0115 @UStrArrayClr 011d @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D E0 89 5D E8 89 5D E4 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 03 8B 55 FC 66 3B 42 04 0F 85 BF 00 00 00 0F B7 45 08 66 83 E8 08 74 08 66 2D F8 00 74 31 EB 50 FF 73 0C FF 73 08 8D 55 E4 0F B7 43 02 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 4D E8 8B D6 8B 45 FC E8 ?? ?? ?? ?? E9 86 00 00 00 FF 73 0C FF 73 08 8D 55 E0 0F B7 43 02 E8 ?? ?? ?? ?? 8B 4D E0 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 65 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 45 EC 05 00 8B 43 08 89 45 F4 8B 43 0C 89 45 F8 0F B7 45 08 50 8D 4D EC 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_70259_0 {
	meta:
		name = "TConvertVariantType.Compare"
		size = 305
		refs = "0019 TConvertVariantType.Compare 003e @VarToUStr 004c TryStrToConvUnit 0055 CIllegalConvType 0076 CompareValue 0099 ConvUnitCompareValue 00a4 TCustomVariantType.RaiseCastError 00f8 TCustomVariantType.RaiseInvalidOp 0102 CRelationshipToRelationship 011c @UStrClr 0122 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 8B F1 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 0F B7 06 66 83 E8 05 74 7C 66 2D FB 00 0F 85 8E 00 00 00 8D 45 E8 8B D6 E8 ?? ?? ?? ?? 8B 45 E8 8D 4D EE 8D 55 F0 E8 ?? ?? ?? ?? 84 C0 74 4D A1 ?? ?? ?? ?? 0F B7 00 66 3B 45 EE 75 1C 8B 45 FC FF 70 0C FF 70 08 FF 75 F4 FF 75 F0 6A 00 6A 00 E8 ?? ?? ?? ?? 8B D8 EB 7E 8B 45 FC FF 70 0C FF 70 08 FF 75 F4 FF 75 F0 8B 45 FC 0F B7 40 02 0F B7 55 EE E8 ?? ?? ?? ?? 8B D8 EB 5B 8B C7 E8 ?? ?? ?? ?? EB 52 8B 45 FC FF 70 0C FF 70 08 FF 76 0C FF 76 08 6A 00 6A 00 E8 ?? ?? ?? ?? 8B D8 EB 36 8B 45 FC 0F B7 00 66 3B 47 04 75 23 8B 45 FC FF 70 0C FF 70 08 FF 76 0C FF 76 08 0F B7 56 02 8B 45 FC 0F B7 40 02 E8 ?? ?? ?? ?? 8B D8 EB 07 8B C7 E8 ?? ?? ?? ?? 0F BE C3 0F B6 80 ?? ?? ?? ?? 8B 55 08 88 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_70260_0 {
	meta:
		name = "TConvertVariantType.Copy"
		size = 19
		refs = "000a TCustomVariantType.SimplisticCopy"
	strings:
		$1 = { 55 8B EC 53 0F B6 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_97843_0 {
	meta:
		name = "TCustomPageDispatcher.DispatchPageName"
		size = 19
		refs = "000a TCustomPageDispatcher.ImplDispatchPageName"
	strings:
		$1 = { 55 8B EC 53 0F B6 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_70261_0 {
	meta:
		name = "TConvertVariantType.GetProperty"
		size = 576
		refs = "001e TConvertVariantType.GetProperty 0032 @UStrEqual 003f @VarFromReal 0060 @VarFromInt 007f ConvTypeToDescription 008a @VarFromUStr 00a6 ConvTypeToFamily 00d7 ConvFamilyToDescription 00fc @UStrCopy 0136 DescriptionToConvType 014d Convert 0160 VarConvertCreateInto 0182 @UStrArrayClr 0188 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 FC 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 10 DD 46 08 8B 45 FC E8 ?? ?? ?? ?? E9 24 01 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 13 8B 45 FC 0F B7 56 02 B1 02 E8 ?? ?? ?? ?? E9 03 01 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1C 8D 55 F4 0F B7 46 02 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? E9 D9 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1B 0F B7 46 02 E8 ?? ?? ?? ?? 0F B7 D0 8B 45 FC B1 02 E8 ?? ?? ?? ?? E9 B0 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 21 0F B7 46 02 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? E9 81 00 00 00 8D 45 EC 50 B9 02 00 00 00 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5B 8D 45 E8 50 B9 FF FF FF 7F BA 03 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 45 E8 50 0F B7 46 02 E8 ?? ?? ?? ?? 8D 4D FA 5A E8 ?? ?? ?? ?? 84 C0 74 28 FF 76 0C FF 76 08 0F B7 46 02 0F B7 55 FA E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 FC 0F B7 55 FA E8 ?? ?? ?? ?? EB 06 33 DB EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 41 00 4C 00 55 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 59 00 50 00 45 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 46 00 41 00 4D 00 49 00 4C 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 46 00 41 00 4D 00 49 00 4C 00 59 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 41 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_70262_0 {
	meta:
		name = "TConvertVariantType.IsClear"
		size = 17
		refs = "0006 CIllegalConvType"
	strings:
		$1 = { 0F B7 42 02 8B 15 ?? ?? ?? ?? 66 3B 02 0F 94 C0 C3 }
	condition:
		$1
}

rule function_70263_0 {
	meta:
		name = "TConvertVariantType.RightPromotion"
		size = 149
		refs = "0023 TCustomVariantType.VarDataIsNumeric 003a TCustomVariantType.VarDataIsStr 007f TCustomVariantType.RaiseCastError 0088 TCustomVariantType.RaiseInvalidOp"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B F8 B3 01 83 E9 02 72 0D 74 45 49 83 E9 02 72 05 83 E9 06 75 67 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 08 66 C7 00 05 00 EB 57 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 08 66 C7 00 00 01 EB 40 8B 45 08 0F B7 57 04 66 89 10 EB 34 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 75 0D 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 08 66 C7 00 05 00 EB 10 8B C7 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_70264_0 {
	meta:
		name = "TConvertVariantType.SetProperty"
		size = 76
		refs = "000f TConvertVariantType.SetProperty 0014 @UStrEqual 001e @VarToReal"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA B3 01 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B 45 08 E8 ?? ?? ?? ?? DD 5F 08 9B EB 02 33 DB 8B C3 5F 5E 5B 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 41 00 4C 00 55 00 45 00 00 00 }
	condition:
		$1
}

rule function_70265_0 {
	meta:
		name = "TConvertVariantType.UnaryOp"
		size = 21
		refs = "0010 TCustomVariantType.RaiseInvalidOp"
	strings:
		$1 = { 83 E9 0C 75 0A DD 42 08 D9 E0 DD 5A 08 9B C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70271_0 {
	meta:
		name = "VarCastError"
		size = 156
		refs = "001b VarCastError 002b VarTypeAsText 0057 SVarTypeCouldNotConvert 005c LoadResString 0066 _DV_EVariantTypeCastError 006b Exception.CreateFmt 0070 @RaiseExcept 008a @UStrArrayClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D EC 89 4D E8 89 4D E4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70274_0 {
	meta:
		name = "VarOverflowError"
		size = 156
		refs = "001b VarOverflowError 002b VarTypeAsText 0057 SVarTypeConvertOverflow 005c LoadResString 0066 _DV_EVariantOverflowError 006b Exception.CreateFmt 0070 @RaiseExcept 008a @UStrArrayClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D EC 89 4D E8 89 4D E4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70275_0 {
	meta:
		name = "VarRangeCheckError"
		size = 241
		refs = "0021 VarRangeCheckError 0036 VarTypeAsText 004e SVarTypeRangeCheck1 0053 LoadResString 005d _DV_EVariantRangeCheckError 0062 Exception.CreateFmt 0067 @RaiseExcept 009f SVarTypeRangeCheck2 00d2 @UStrArrayClr 00e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 C9 89 4D DC 89 4D D8 89 4D D4 89 4D F4 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 3B F3 75 3D 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4F 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 8D 55 D8 8B C6 E8 ?? ?? ?? ?? 8B 45 D8 89 45 E8 C6 45 EC 11 8D 45 E0 50 6A 01 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70277_0 {
	meta:
		name = "TranslateResult"
		size = 593
		refs = "0016 TranslateResult 0090 VarCastError 009d SVarBadType 00a2 LoadResString 00ac _DV_EVariantBadVarTypeError 00b1 Exception.Create 00b6 @RaiseExcept 00c0 VarInvalidOp 00cd SVarOverflow 00dc _DV_EVariantOverflowError 00f3 SVarArrayBounds 0102 _DV_EVariantBadIndexError 0119 SVarArrayLocked 0128 _DV_EVariantArrayLockedError 013f SVarNotImplemented 014e _DV_EVariantNotImplError 0165 SOutOfMemory 0174 _DV_EVariantOutOfMemoryError 018b SVarInvalid 019a _DV_EVariantInvalidArgError 01ae SVarUnexpected 01bd _DV_EVariantUnexpectedError 01ce HexDisplayPrefix 01e8 SysErrorMessage 0200 SInvalidVarOpWithHResultWithPrefix 020f _Dn_EVariantError 0214 Exception.CreateFmt 0233 @UStrArrayClr 0246 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 3D 0A 00 02 80 7F 39 0F 84 9A 00 00 00 3D 05 00 02 80 7F 1D 74 57 2D 01 40 00 80 0F 84 F8 00 00 00 2D FE BF 00 00 0F 84 5C 01 00 00 E9 7A 01 00 00 2D 08 00 02 80 74 3F 48 74 62 E9 6B 01 00 00 2D 0B 00 02 80 0F 84 82 00 00 00 83 E8 02 0F 84 9F 00 00 00 2D 01 00 05 00 0F 84 E0 00 00 00 83 E8 49 0F 84 FD 00 00 00 E9 3E 01 00 00 E8 ?? ?? ?? ?? E9 84 01 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5E 01 00 00 E8 ?? ?? ?? ?? E9 54 01 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2E 01 00 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 08 01 00 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E2 00 00 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BC 00 00 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 96 00 00 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 73 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 50 A1 ?? ?? ?? ?? 8B 00 89 45 C8 C6 45 CC 11 89 5D D0 C6 45 D4 00 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8B 45 C4 89 45 D8 C6 45 DC 11 8D 45 C8 50 6A 02 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70279_0 {
	meta:
		name = "VarResultCheck"
		size = 51
		refs = "001b VarCastError 0026 VarOverflowError 002d TranslateResult"
	strings:
		$1 = { 53 85 C0 74 2C 8B D8 81 EB 05 00 02 80 74 07 83 EB 05 74 0D EB 16 8B C2 8B D1 E8 ?? ?? ?? ?? EB 10 8B C2 8B D1 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70280_0 {
	meta:
		name = "HandleConversionException"
		size = 132
		refs = "0007 ExceptObject 000d _Dn_ERangeError 0012 @IsClass 0024 VarResultCheck 0032 _Dn_EOverflow 0056 _Dn_EConvertError 0074 AcquireExceptionObject 007d @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B CE 8B D3 B8 0A 00 02 80 E8 ?? ?? ?? ?? 5E 5B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B CE 8B D3 B8 0A 00 02 80 E8 ?? ?? ?? ?? EB 32 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B CE 8B D3 B8 05 00 02 80 E8 ?? ?? ?? ?? EB 0E E8 ?? ?? ?? ?? 8B D0 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70282_0 {
	meta:
		name = "@VarNull"
		size = 17
		refs = "0006 @VarClear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 C7 03 01 00 5B C3 }
	condition:
		$1
}

rule function_70283_0 {
	meta:
		name = "ElementCount"
		size = 57
		refs = "0013 SafeArrayGetLBound 0018 VarResultCheck 0023 SafeArrayGetUBound"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8D 45 FC 50 56 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 56 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 2B 45 FC 40 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70284_0 {
	meta:
		name = "VarArrayClear"
		size = 156
		refs = "0013 VarResultCheck 004a ElementCount 0081 @VarClear 008d VariantClear"
	strings:
		$1 = { 53 56 57 55 51 8B F8 F6 47 01 20 75 0A B8 57 00 07 80 E8 ?? ?? ?? ?? 0F B7 07 8B D0 66 81 E2 FF 0F 66 83 FA 0C 75 64 F6 C4 40 74 07 8B 47 08 8B 28 EB 03 8B 6F 08 33 C0 89 04 24 66 83 7D 00 00 76 32 BA 01 00 00 00 8B C5 E8 ?? ?? ?? ?? 89 04 24 0F B7 5D 00 83 EB 02 7C 1A 43 BE 02 00 00 00 8B D6 8B C5 E8 ?? ?? ?? ?? 0F AF 04 24 89 04 24 46 4B 75 EC 8B 75 0C 8B 1C 24 85 DB 7E 0D 8B C6 E8 ?? ?? ?? ?? 83 C6 10 4B 75 F3 57 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70285_0 {
	meta:
		name = "VarClearDeep"
		size = 145
		refs = "0010 VariantClear 0015 VarResultCheck 002b @LStrClr 0041 @UStrClr 0052 ClearAnyProc 0062 VarArrayClear 006d FindCustomVariantType 0089 VariantInit"
	strings:
		$1 = { 53 56 51 8B D8 0F B7 33 66 83 FE 14 73 0D 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 72 66 81 FE 00 01 75 0F 66 C7 03 00 00 8D 43 08 E8 ?? ?? ?? ?? EB 5C 66 81 FE 02 01 75 0F 66 C7 03 00 00 8D 43 08 E8 ?? ?? ?? ?? EB 46 66 81 FE 01 01 75 0A 8B C3 FF 15 ?? ?? ?? ?? EB 35 66 F7 C6 00 20 74 09 8B C3 E8 ?? ?? ?? ?? EB 25 8B D4 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B 04 24 8B 08 FF 51 24 EB 0C 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_70286_0 {
	meta:
		name = "@VarClear"
		size = 19
		refs = "000e VarClearDeep"
	strings:
		$1 = { 66 F7 00 E8 BF 75 06 66 C7 00 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70287_0 {
	meta:
		name = "@VarClr"
		size = 8
		refs = "0002 @VarClear"
	strings:
		$1 = { 50 E8 ?? ?? ?? ?? 58 C3 }
	condition:
		$1
}

rule function_70288_0 {
	meta:
		name = "@DispInvoke"
		size = 257
		refs = "0023 @DispInvoke 0041 VariantInit 0082 VarDispProc 00a7 FindCustomVariantType 00c7 VarInvalidOp 00e7 @VarCopy 00ef @VarClear 00f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B 5D 0C 66 81 3B 0C 40 75 1D 8B 45 14 50 8B 45 10 50 8B 43 08 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 E9 CC 00 00 00 83 7D 08 00 75 07 33 C0 89 45 F8 EB 0F 8D 45 E8 50 E8 ?? ?? ?? ?? 8D 45 E8 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 33 0F B7 C6 3D 01 01 00 00 7F 0E 74 18 83 E8 09 74 13 83 E8 04 74 0E EB 2D 2D 09 40 00 00 74 05 83 E8 04 75 21 83 3D ?? ?? ?? ?? 00 74 42 8D 45 14 50 8B 45 10 50 53 8B 45 F8 50 FF 15 ?? ?? ?? ?? 83 C4 10 EB 2A 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 8B 45 10 50 8D 45 14 50 8B CB 8B 55 F8 8B 45 FC 8B 18 FF 53 10 EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 15 8B 45 F8 8B D0 8B 45 08 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70289_0 {
	meta:
		name = "TStringRef.FromAnsi"
		size = 28
		refs = "0013 @WStrFromLStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 89 73 04 33 C0 89 43 08 8B C3 8B 16 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_70290_0 {
	meta:
		name = "TStringRef.FromUnicode"
		size = 28
		refs = "0013 @WStrFromUStr"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 89 43 04 89 73 08 8B C3 8B 16 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_70291_0 {
	meta:
		name = "InitEmptyBSTR"
		size = 22
		refs = "0002 @EmptyBSTR 000c StringToOleStr"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 0C 33 C0 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70292_0 {
	meta:
		name = "GetDispatchInvokeArgs"
		size = 1086
		refs = "0013 InitEmptyBSTR 002e TVarDataArray 0033 @DynArraySetLength 00ab TStringRef.FromAnsi 00d2 TStringRef.FromUnicode 010d @VarCast 0144 GetDispatchInvokeArgs 029c @VarCopy 02d0 DispatchUnsignedAsSigned 038c @WStrToPWChar 03a8 @EmptyBSTR 03fb @DispInvokeError"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F4 89 55 F8 89 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F0 8B 45 FC 0F B6 40 01 50 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 0F B6 40 01 48 85 C0 0F 8C EB 03 00 00 40 89 45 EC 33 FF 8B 45 FC 0F B6 5C 38 03 80 7D 0C 00 74 0E 8B C7 03 C0 8B 55 08 8B 12 8D 34 C2 EB 14 8B 45 FC 0F B6 40 01 2B C7 03 C0 8B 55 08 8B 12 8D 74 C2 F0 B0 80 22 C3 3C 80 0F 85 A3 00 00 00 B0 7F 22 C3 3C 48 75 23 66 C7 06 08 40 8B 45 F0 8D 04 40 8B 55 F4 8D 04 82 8B 55 F8 8B 12 E8 ?? ?? ?? ?? 89 46 08 FF 45 F0 EB 6F 3C 4A 75 23 66 C7 06 08 40 8B 45 F0 8D 04 40 8B 55 F4 8D 04 82 8B 55 F8 8B 12 E8 ?? ?? ?? ?? 89 46 08 FF 45 F0 EB 48 B2 7F 22 D3 80 FA 0C 75 2A 8B 45 F8 8B 00 0F B7 00 66 3D 00 01 74 06 66 3D 02 01 75 16 8B 45 F8 8B 00 8B D0 8B 45 F8 8B 00 B9 08 00 00 00 E8 ?? ?? ?? ?? 80 E3 7F 0F B6 C3 66 0D 00 40 66 89 06 8B 45 F8 8B 00 89 46 08 83 45 F8 04 E9 FC 02 00 00 0F B6 C3 66 89 06 0F B6 C3 83 F8 4A 0F 87 B9 02 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 01 02 03 04 05 06 07 08 09 0A 0B 0C 0D 00 00 0E 0F 10 11 12 13 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 14 00 15 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 08 02 00 00 8B 45 F8 0F B7 00 66 89 46 08 E9 F9 01 00 00 8B 45 F8 8B 00 89 46 08 E9 EC 01 00 00 8B 45 F8 8B 00 89 46 08 E9 DF 01 00 00 8B 45 F8 8B 10 89 56 08 8B 50 04 89 56 0C E9 CC 01 00 00 8B 45 F8 8B 10 89 56 08 8B 50 04 89 56 0C E9 B9 01 00 00 8B 45 F8 8B 10 89 56 08 8B 50 04 89 56 0C E9 A6 01 00 00 8B 45 F8 8B 00 89 46 08 E9 99 01 00 00 8B 45 F8 8B 00 89 46 08 E9 8C 01 00 00 C7 46 08 04 00 02 80 E9 80 01 00 00 8B 45 F8 80 38 01 F5 1B C0 66 89 46 08 E9 6E 01 00 00 66 C7 06 00 00 8B C6 8B 55 F8 E8 ?? ?? ?? ?? E9 5A 01 00 00 8B 45 F8 8B 00 89 46 08 E9 4D 01 00 00 8B 45 F8 0F B6 00 88 46 08 E9 3F 01 00 00 8B 45 F8 0F B6 00 88 46 08 E9 31 01 00 00 80 3D ?? ?? ?? ?? 00 74 13 66 C7 06 03 00 8B 45 F8 0F B7 00 89 46 08 E9 15 01 00 00 8B 45 F8 0F B7 00 66 89 46 08 E9 06 01 00 00 80 3D ?? ?? ?? ?? 00 74 12 66 C7 06 03 00 8B 45 F8 8B 00 89 46 08 E9 EB 00 00 00 8B 45 F8 8B 00 89 46 08 E9 DE 00 00 00 8B 45 F8 8B 10 89 56 08 8B 50 04 89 56 0C E9 CB 00 00 00 80 3D ?? ?? ?? ?? 00 74 18 66 C7 06 14 00 8B 45 F8 8B 10 89 56 08 8B 50 04 89 56 0C E9 AA 00 00 00 8B 45 F8 8B 10 89 56 08 8B 50 04 89 56 0C E9 97 00 00 00 66 C7 06 08 00 8B 45 F8 83 38 00 74 32 8B 45 F0 8D 04 40 8B 55 F4 8D 04 82 8B 55 F8 E8 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 89 46 08 8B 45 F0 8D 04 40 8B 55 F4 33 C9 89 4C 82 04 FF 45 F0 EB 58 A1 ?? ?? ?? ?? 89 46 08 EB 4E 66 C7 06 08 00 8B 45 F8 83 38 00 74 32 8B 45 F0 8D 04 40 8B 55 F4 8D 04 82 8B 55 F8 E8 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 89 46 08 8B 45 F0 8D 04 40 8B 55 F4 33 C9 89 4C 82 08 FF 45 F0 EB 0F A1 ?? ?? ?? ?? 89 46 08 EB 05 E8 ?? ?? ?? ?? 80 C3 FB 80 EB 03 72 14 80 EB 02 74 1F 80 EB 02 74 10 80 C3 F8 80 EB 02 72 02 EB 0C 83 45 F8 08 EB 0A 83 45 F8 10 EB 04 83 45 F8 04 47 FF 4D EC 0F 85 1B FC FF FF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_70293_0 {
	meta:
		name = "InBounds"
		size = 47
	strings:
		$1 = { 55 8B EC 53 8B 4D 08 81 C1 00 FD FF FF 8B 54 C1 04 03 14 C1 8B 5D 08 3B 94 83 00 FF FF FF 0F 9F C2 48 84 D2 74 04 85 C0 7D E3 8B C2 5B 5D C3 }
	condition:
		$1
}

rule function_70294_0 {
	meta:
		name = "Increment"
		size = 88
		refs = "004b Increment"
	strings:
		$1 = { 55 8B EC 53 56 B2 01 8B 4D 08 FF 84 81 00 FF FF FF 8B 4D 08 8B 8C C1 04 FD FF FF 8B D9 8B 75 08 03 9C C6 00 FD FF FF 8B 75 08 3B 9C 86 00 FF FF FF 7F 1F 85 C0 75 04 33 D2 EB 17 8B 55 08 89 8C 82 00 FF FF FF 8B 55 08 52 48 E8 ?? ?? ?? ?? 59 8B D0 8B C2 5E 5B 5D C3 }
	condition:
		$1
}

rule function_70295_0 {
	meta:
		name = "VarArrayCopyForEach"
		size = 458
		refs = "0026 VarResultCheck 009a SafeArrayGetLBound 00b6 SafeArrayGetUBound 00ef SafeArrayCreate 00fa VarArrayCreateError 0105 @VarClear 014d InBounds 016c SafeArrayPtrOfIndex 01a6 Increment 01ba VariantCopy"
	strings:
		$1 = { 55 8B EC 81 C4 E0 FC FF FF 53 56 57 89 8D F8 FC FF FF 8B DA 89 85 FC FC FF FF F6 43 01 20 75 0A B8 57 00 07 80 E8 ?? ?? ?? ?? 0F B7 03 8B D0 66 81 E2 FF 0F 66 83 FA 0C 0F 85 73 01 00 00 F6 C4 40 74 0D 8B 43 08 8B 00 89 85 EC FC FF FF EB 09 8B 43 08 89 85 EC FC FF FF 8B 85 EC FC FF FF 0F B7 00 89 85 F0 FC FF FF 8B 9D F0 FC FF FF 4B 85 DB 7C 6B 43 33 FF 8D B5 00 FD FF FF 8B C6 89 85 E0 FC FF FF 8B 85 E0 FC FF FF 83 C0 04 50 8D 47 01 50 8B 85 EC FC FF FF 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 F4 FC FF FF 50 8D 47 01 50 8B 85 EC FC FF FF 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E0 FC FF FF 8B 95 F4 FC FF FF 2B 50 04 42 8B 85 E0 FC FF FF 89 10 47 83 C6 08 4B 75 9E 8D 85 00 FD FF FF 50 8B 85 F0 FC FF FF 50 6A 0C E8 ?? ?? ?? ?? 8B F0 85 F6 75 05 E8 ?? ?? ?? ?? 8B 85 FC FC FF FF E8 ?? ?? ?? ?? 8B 85 FC FC FF FF 66 C7 00 0C 20 8B 85 FC FC FF FF 89 70 08 8B 9D F0 FC FF FF 4B 85 DB 7C 1A 43 8D 85 04 FD FF FF 8D 95 00 FF FF FF 8B 08 89 0A 83 C2 04 83 C0 08 4B 75 F3 55 8B 9D F0 FC FF FF 4B 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 4C 8D 85 E8 FC FF FF 50 8D 85 00 FF FF FF 50 8B 85 EC FC FF FF 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 E4 FC FF FF 50 8D 85 00 FF FF FF 50 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E8 FC FF FF 8B D0 8B 85 E4 FC FF FF FF 95 F8 FC FF FF 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 75 93 EB 12 53 8B 85 FC FC FF FF 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70297_0 {
	meta:
		name = "VarCopyDeep"
		size = 233
		refs = "0012 VarClearDeep 0022 VariantCopy 0027 VarResultCheck 0047 @LStrAsg 0067 @UStrAsg 009d RefAnyProc 00ab VarCopyCopyProc 00b4 VarArrayCopyForEach 00bf FindCustomVariantType"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 0F B7 06 66 83 F8 14 73 11 56 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B4 00 00 00 66 3D 00 01 75 1A 66 C7 03 00 01 33 C0 89 43 08 8D 43 08 8B 56 08 E8 ?? ?? ?? ?? E9 94 00 00 00 66 3D 02 01 75 17 66 C7 03 02 01 33 C0 89 43 08 8D 43 08 8B 56 08 E8 ?? ?? ?? ?? EB 77 0F B7 3E 66 81 FF 02 41 74 07 66 81 FF 00 41 75 0B 66 89 3B 8B 46 08 89 43 08 EB 5B 66 81 FF 01 01 75 13 66 89 3B 8B 46 08 89 43 08 8B C3 FF 15 ?? ?? ?? ?? EB 41 66 F7 C7 00 20 74 10 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? EB 2A 8B D4 8B C7 E8 ?? ?? ?? ?? 84 C0 74 11 6A 00 8B CE 8B D3 8B 44 24 04 8B 18 FF 53 28 EB 0C 56 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70298_0 {
	meta:
		name = "@VarCopy"
		size = 59
		refs = "001b VarClearDeep 0029 Move 0034 VarCopyDeep"
	strings:
		$1 = { 53 56 8B DA 8B F0 3B F3 74 2E 66 F7 03 E8 BF 75 1E 66 F7 06 E8 BF 74 07 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C3 B9 10 00 00 00 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70299_0 {
	meta:
		name = "VarCopyNoIndViaOS"
		size = 32
		refs = "000d @VarClear 0014 VariantCopyInd 0019 VarResultCheck"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B DE 74 07 8B C3 E8 ?? ?? ?? ?? 56 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70302_0 {
	meta:
		name = "VarCopyNoIndDeep"
		size = 51
		refs = "000d FindCustomVariantType 002b VarCopyNoIndViaOS"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 8B D4 0F B7 03 E8 ?? ?? ?? ?? 84 C0 74 11 6A 01 8B CB 8B D6 8B 44 24 04 8B 18 FF 53 28 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_70303_0 {
	meta:
		name = "VarCopyByRef"
		size = 495
		refs = "000f VarCopyByRef 0098 @VarFromInt 00bc @VarFromReal 00de @VarFromCurr 00fe VarCopyNoIndOleStr 0108 @VarFromWStr 0121 @VarFromBool 017d @VarFromInt64 0190 @VarFromUInt64 019e @VarCopyNoInd 01a9 VarCopyNoIndViaOS 01b5 VarCopyNoIndCopyProc 01be VarArrayCopyForEach 01c9 VarCopyNoIndDeep 01de @WStrClr 01e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 03 0F B7 D0 81 E2 FF BF FF FF 83 FA 15 0F 87 81 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 8B 53 08 0F BF 12 B1 FE E8 ?? ?? ?? ?? E9 2C 01 00 00 8B C6 8B 53 08 8B 12 B1 FC E8 ?? ?? ?? ?? E9 19 01 00 00 8B 43 08 D9 00 8B C6 E8 ?? ?? ?? ?? E9 08 01 00 00 8B 43 08 DD 00 8B C6 E8 ?? ?? ?? ?? E9 F7 00 00 00 8B 43 08 DF 28 8B C6 E8 ?? ?? ?? ?? E9 E6 00 00 00 8B 43 08 DD 00 8B C6 E8 ?? ?? ?? ?? E9 D5 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? E9 BC 00 00 00 8B C6 8B 53 08 0F B7 12 66 F7 DA 1B D2 F7 DA E8 ?? ?? ?? ?? E9 A3 00 00 00 8B C6 8B 53 08 0F BE 12 B1 FF E8 ?? ?? ?? ?? E9 8F 00 00 00 8B C6 8B 53 08 0F B6 12 B1 01 E8 ?? ?? ?? ?? EB 7E 8B C6 8B 53 08 0F B7 12 B1 02 E8 ?? ?? ?? ?? EB 6D 8B C6 8B 53 08 8B 12 B1 04 E8 ?? ?? ?? ?? EB 5D 8B 43 08 8B 50 04 8B 00 52 50 8B C6 E8 ?? ?? ?? ?? EB 4A 8B 43 08 8B 50 04 8B 00 52 50 8B C6 E8 ?? ?? ?? ?? EB 37 8B 43 08 8B D0 8B C6 E8 ?? ?? ?? ?? EB 29 8B D3 8B C6 E8 ?? ?? ?? ?? EB 1E F6 C4 20 74 10 B9 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70304_0 {
	meta:
		name = "@VarCopyNoInd"
		size = 18
		refs = "0007 @VarCopy 000d VarCopyByRef"
	strings:
		$1 = { F6 42 01 40 75 06 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70306_0 {
	meta:
		name = "VarInt64FromVar"
		size = 27
		refs = "000e @VarToInt64"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 C7 03 14 00 8B C6 E8 ?? ?? ?? ?? 89 43 08 89 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_70307_0 {
	meta:
		name = "@VarOleStrToString"
		size = 45
		refs = "0013 OleStrToStrVar 001a @VarClear"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 33 C0 89 45 FC 8B 42 08 8D 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 C7 03 00 01 8B 45 FC 89 43 08 5B 59 5D C3 }
	condition:
		$1
}

rule function_70309_0 {
	meta:
		name = "@VarStringToOleStr"
		size = 51
		refs = "000f StringToOleStr 0024 @VarClear"
	strings:
		$1 = { 53 56 8B D8 66 81 3A 00 01 75 0C 8B 42 08 E8 ?? ?? ?? ?? 8B F0 EB 0A 8B 42 08 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 66 C7 03 08 00 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_70311_0 {
	meta:
		name = "VarCastAsAny"
		size = 106
		refs = "0014 VariantInit 001c VarCastAsAny 002c @VarCopy 0035 ChangeAnyProc 0042 @VarCast 0057 @VarClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 8D 45 F0 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 FF 15 ?? ?? ?? ?? 0F B7 CF 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70312_0 {
	meta:
		name = "VarCastAsOleStr"
		size = 73
		refs = "000c VarCastAsOleStr 001a @VarToWStr 0024 @VarFromWStr 0039 @WStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_70315_0 {
	meta:
		name = "VarCastAsDispatch"
		size = 73
		refs = "000c VarCastAsDispatch 001a @VarToDisp 0024 @VarFromDisp 0039 @IntfClear 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_70316_0 {
	meta:
		name = "VarCastAsInterface"
		size = 73
		refs = "000c VarCastAsInterface 001a @VarToIntf 0024 @VarFromIntf 0039 @IntfClear 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_70313_0 {
	meta:
		name = "VarCastAsString"
		size = 73
		refs = "000c VarCastAsString 001a @VarToLStr 0024 @VarFromLStr 0039 @LStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_70314_0 {
	meta:
		name = "VarCastAsUString"
		size = 73
		refs = "000c VarCastAsUString 001a @VarToUStr 0024 @VarFromUStr 0039 @UStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_70317_0 {
	meta:
		name = "VarCastViaOS"
		size = 125
		refs = "0023 @VarCast 0032 VariantChangeTypeEx 0040 VarResultCheck 0075 VarCastError"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 8B F8 0F B7 03 8B D0 66 81 E2 FF 0F 66 83 FA 14 72 2D 8B D3 8B C7 B9 08 00 00 00 E8 ?? ?? ?? ?? 56 6A 00 68 00 04 00 00 57 57 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B7 13 8B CE E8 ?? ?? ?? ?? EB 33 66 BA FF 0F 66 23 D6 66 83 FA 14 73 1F 56 6A 00 68 00 04 00 00 53 57 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B7 13 8B CE E8 ?? ?? ?? ?? EB 07 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70318_0 {
	meta:
		name = "VarCastRare"
		size = 107
		refs = "001c VarCastAsAny 0027 FindCustomVariantType 0061 VarCastViaOS"
	strings:
		$1 = { 53 56 57 55 51 8B F1 8B DA 8B F8 0F B7 2B 66 81 FD 01 01 75 0D 8B D3 8B C7 8B CE E8 ?? ?? ?? ?? EB 43 8B D4 8B C5 E8 ?? ?? ?? ?? 84 C0 74 10 56 8B CB 8B D7 8B 44 24 04 8B 18 FF 53 1C EB 26 8B D4 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0E 8B CB 8B D7 8B 04 24 8B 18 FF 53 18 EB 0B 8B D3 8B C7 8B CE E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70319_0 {
	meta:
		name = "@VarCast"
		size = 595
		refs = "0015 @VarCopy 002a @VarCast 00a5 NullStrictConvert 00b3 VarCastError 00bf @VarClear 00cb @VarNull 00d7 @VarToSmallInt 00e0 @VarFromSmallInt 00ec @VarToInteger 00f5 @VarFromInteger 0101 @VarToSingle 010f @VarFromSingle 011b @VarToDouble 0129 @VarFromDouble 0135 @VarToCurrency 0143 @VarFromCurrency 014f @VarToDate 015d @VarFromDate 016b VarCastAsOleStr 0177 @VarToBoolean 0180 @VarFromBool 018c @VarToShortInt 0195 @VarFromShortInt 01a1 @VarToByte 01aa @VarFromByte 01b6 @VarToWord 01bf @VarFromWord 01cb @VarToLongWord 01d4 @VarFromLongWord 01dd @VarToInt64 01e6 @VarFromInt64 01ef @VarToUInt64 01f8 @VarFromUInt64 0203 VarCastAsDispatch 020e VarCastAsInterface 022b VarCastAsString 0236 VarCastAsUString 024c VarCastRare"
	strings:
		$1 = { 53 56 8B DA 8B F0 0F B7 03 0F B7 D0 3B CA 75 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 66 3D 0C 40 75 11 8B 43 08 8B D0 8B C6 E8 ?? ?? ?? ?? E9 1D 02 00 00 8B D1 83 FA 15 0F 87 D6 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 83 3B 01 75 19 80 3D ?? ?? ?? ?? 00 74 10 33 D2 66 B8 01 00 E8 ?? ?? ?? ?? E9 94 01 00 00 8B C6 E8 ?? ?? ?? ?? E9 88 01 00 00 8B C6 E8 ?? ?? ?? ?? E9 7C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? E9 67 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? E9 52 01 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8B C6 E8 ?? ?? ?? ?? E9 38 01 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? E9 1E 01 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C6 E8 ?? ?? ?? ?? E9 04 01 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? E9 EA 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? E9 DC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? E9 C7 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? E9 B2 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? E9 9D 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? E9 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 76 8B C3 E8 ?? ?? ?? ?? 52 50 8B C6 E8 ?? ?? ?? ?? EB 64 8B C3 E8 ?? ?? ?? ?? 52 50 8B C6 E8 ?? ?? ?? ?? EB 52 8B D3 8B C6 E8 ?? ?? ?? ?? EB 47 8B D3 8B C6 E8 ?? ?? ?? ?? EB 3C 8B D1 81 EA 00 01 00 00 74 08 4A 74 1B 4A 74 0D EB 21 8B D3 8B C6 E8 ?? ?? ?? ?? EB 1F 8B D3 8B C6 E8 ?? ?? ?? ?? EB 14 66 BA 01 01 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70320_0 {
	meta:
		name = "@VarCastOle"
		size = 115
		refs = "001b @VarCastOle 003f VarCastError 004b FindCustomVariantType 006a @VarCast"
	strings:
		$1 = { 53 56 57 51 8B D9 8B F2 8B F8 66 81 3E 0C 40 75 10 8B 46 08 8B D0 8B C7 8B CB E8 ?? ?? ?? ?? EB 4D 81 FB 00 01 00 00 74 10 81 FB 02 01 00 00 74 08 81 FB 01 01 00 00 75 0C 0F B7 06 8B D3 E8 ?? ?? ?? ?? EB 29 8B D4 0F B7 06 E8 ?? ?? ?? ?? 84 C0 74 10 53 8B CE 8B D7 8B 44 24 04 8B 18 FF 53 1C EB 0B 8B D6 8B C7 8B CB E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70321_0 {
	meta:
		name = "VarToIntAsString"
		size = 178
		refs = "0010 VarToIntAsString 0020 @VarToWStr 0034 VarI4FromStr 0057 @UStrFromWStr 0062 TryStrToInt 006d @VarToBoolean 0081 VarResultCheck 0096 @UStrClr 009e @WStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 6A 00 68 00 04 00 00 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 81 EA 05 00 02 80 74 0A 81 EA FB FF FD 7F 75 2B EB 35 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 84 C0 75 1B 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 89 45 F8 EB 0C 0F B7 13 66 B9 03 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70322_0 {
	meta:
		name = "VarToIntViaOS"
		size = 57
		refs = "0008 VariantInit 001c VariantChangeTypeEx 002c VarResultCheck"
	strings:
		$1 = { 53 83 C4 F0 8B D8 54 E8 ?? ?? ?? ?? 6A 03 6A 00 68 00 04 00 00 53 8D 44 24 10 50 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B7 13 66 B9 03 00 E8 ?? ?? ?? ?? 8B 44 24 08 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_70323_0 {
	meta:
		name = "VarToIntAny"
		size = 99
		refs = "000e VariantInit 0016 VarToIntAny 0026 @VarCopy 002f ChangeAnyProc 0037 @VarToInteger 004f @VarClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D8 8D 45 EC 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 EC E8 ?? ?? ?? ?? 8D 45 EC FF 15 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70324_0 {
	meta:
		name = "VarToIntCustom"
		size = 68
		refs = "0010 FindCustomVariantType 0020 VariantInit"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B FA 8B F0 8B D4 0F B7 06 E8 ?? ?? ?? ?? 8B D8 84 DB 74 21 8D 44 24 04 50 E8 ?? ?? ?? ?? 6A 03 8B CE 8D 54 24 08 8B 44 24 04 8B 30 FF 56 1C 8B 44 24 0C 89 07 8B C3 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70325_0 {
	meta:
		name = "@VarToInteger"
		size = 1188
		refs = "0010 @VarToInteger 0097 NullStrictConvert 00a7 VarCastError 00d9 @ROUND 00e7 @BoundErr 0160 VarToIntAsString 0214 VarToIntViaOS 0259 VarToIntAny 045b VarToIntCustom 0479 @HandleAnyException 0488 HandleConversionException 0492 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 0F B7 00 0F B7 D0 83 FA 15 0F 87 F4 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 45 F8 E9 D9 03 00 00 80 3D ?? ?? ?? ?? 00 74 0D 66 BA 03 00 66 B8 01 00 E8 ?? ?? ?? ?? 33 C0 89 45 F8 E9 B9 03 00 00 8B 45 FC 0F BF 40 08 89 45 F8 E9 AA 03 00 00 8B 45 FC 8B 40 08 89 45 F8 E9 9C 03 00 00 8B 45 FC D9 40 08 E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F8 E9 7B 03 00 00 8B 45 FC DD 40 08 E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F8 E9 5A 03 00 00 8B 45 FC DF 68 08 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F8 E9 33 03 00 00 8B 45 FC DD 40 08 E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F8 E9 12 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 E9 02 03 00 00 8B 45 FC 0F BF 40 08 89 45 F8 E9 F3 02 00 00 8B 45 FC 0F BE 40 08 89 45 F8 E9 E4 02 00 00 8B 45 FC 0F B6 40 08 89 45 F8 E9 D5 02 00 00 8B 45 FC 0F B7 40 08 89 45 F8 E9 C6 02 00 00 8B 45 FC 8B 40 08 85 C0 79 05 E8 ?? ?? ?? ?? 89 45 F8 E9 AF 02 00 00 8B 45 FC 8B 50 0C 8B 40 08 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F8 E9 90 02 00 00 8B 45 FC 8B 50 0C 8B 40 08 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F8 E9 71 02 00 00 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 89 45 F8 E9 5E 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 E9 4E 02 00 00 8B D0 66 81 EA 00 01 74 0C 66 FF CA 74 27 66 FF CA 74 12 EB 30 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 E9 29 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 E9 19 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 E9 09 02 00 00 F6 C4 40 0F 84 E6 01 00 00 0F B7 C0 25 FF BF FF FF 83 F8 15 0F 87 C8 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 40 08 0F BF 00 89 45 F8 E9 7F 01 00 00 8B 45 FC 8B 40 08 8B 00 89 45 F8 E9 6F 01 00 00 8B 45 FC 8B 40 08 D9 00 E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F8 E9 4C 01 00 00 8B 45 FC 8B 40 08 DD 00 E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F8 E9 29 01 00 00 8B 45 FC 8B 40 08 DF 28 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F8 E9 00 01 00 00 8B 45 FC 8B 40 08 DD 00 E8 ?? ?? ?? ?? 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F8 E9 DD 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 E9 CD 00 00 00 8B 45 FC 8B 40 08 0F BF 00 89 45 F8 E9 BC 00 00 00 8B 45 FC 8B 40 08 0F BE 00 89 45 F8 E9 AB 00 00 00 8B 45 FC 8B 40 08 0F B6 00 89 45 F8 E9 9A 00 00 00 8B 45 FC 8B 40 08 0F B7 00 89 45 F8 E9 89 00 00 00 8B 45 FC 8B 40 08 8B 00 85 C0 79 05 E8 ?? ?? ?? ?? 89 45 F8 EB 73 8B 45 FC 8B 40 08 8B 50 04 8B 00 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F8 EB 55 8B 45 FC 8B 40 08 8B 50 04 8B 00 50 C1 F8 1F 3B C2 58 74 05 E8 ?? ?? ?? ?? 89 45 F8 EB 37 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 89 45 F8 EB 27 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 EB 1A 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0B 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 BA 03 00 E8 ?? ?? ?? ?? 33 C0 89 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 59 59 5D C3 00 40 1C 46 }
	condition:
		$1
}

rule function_70326_0 {
	meta:
		name = "@VarToShortInt"
		size = 177
		refs = "002c NullStrictConvert 003c VarCastError 005a @VarToShortInt 0068 @VarToInteger 007d @BoundErr 008f @HandleAnyException 009e HandleConversionException 00a5 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 0F B7 00 66 83 E8 01 72 10 74 12 66 83 E8 0A 74 26 66 83 E8 05 74 29 EB 30 33 DB EB 7F 80 3D ?? ?? ?? ?? 00 74 0D 66 BA 10 00 66 B8 01 00 E8 ?? ?? ?? ?? 33 DB EB 65 8B 5D FC 0F B6 5B 08 EB 5C 8B 5D FC 0F B6 5B 08 EB 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 81 C3 80 00 00 00 81 FB FF 00 00 00 76 05 E8 ?? ?? ?? ?? 83 C3 80 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 BA 10 00 E8 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70327_0 {
	meta:
		name = "@VarToByte"
		size = 168
		refs = "002c NullStrictConvert 003c VarCastError 005a @VarToByte 0068 @VarToInteger 0077 @BoundErr 0086 @HandleAnyException 0095 HandleConversionException 009c @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 0F B7 00 66 83 E8 01 72 10 74 12 66 83 E8 0A 74 26 66 83 E8 06 74 29 EB 30 33 DB EB 76 80 3D ?? ?? ?? ?? 00 74 0D 66 BA 11 00 66 B8 01 00 E8 ?? ?? ?? ?? 33 DB EB 5C 8B 5D FC 0F B6 5B 08 EB 53 8B 5D FC 0F B6 5B 08 EB 4A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 81 FB FF 00 00 00 76 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 BA 11 00 E8 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70328_0 {
	meta:
		name = "@VarToSmallInt"
		size = 248
		refs = "001c @VarToSmallInt 005e NullStrictConvert 006e VarCastError 00ac @VarToInteger 00c1 @BoundErr 00d6 @HandleAnyException 00e5 HandleConversionException 00ec @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 0F B7 00 83 F8 11 0F 87 81 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 02 03 00 00 00 00 00 00 00 00 04 00 00 00 00 05 06 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 DB E9 94 00 00 00 80 3D ?? ?? ?? ?? 00 74 0D 66 BA 02 00 66 B8 01 00 E8 ?? ?? ?? ?? 33 DB EB 7A 8B 5D FC 0F B7 5B 08 EB 71 8B 5D FC 0F B7 5B 08 EB 68 8B 5D FC 0F BE 5B 08 EB 5F 8B 5D FC 0F B6 5B 08 EB 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 81 C3 00 80 00 00 81 FB FF FF 00 00 76 05 E8 ?? ?? ?? ?? 81 C3 00 80 FF FF 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 BA 02 00 E8 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70329_0 {
	meta:
		name = "@VarToWord"
		size = 217
		refs = "0018 @VarToWord 0054 NullStrictConvert 0064 VarCastError 0099 @VarToInteger 00a8 @BoundErr 00b7 @HandleAnyException 00c6 HandleConversionException 00cd @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 0F B7 00 83 F8 12 77 72 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 02 00 00 00 00 00 00 00 00 00 03 00 00 00 00 00 04 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 DB EB 7F 80 3D ?? ?? ?? ?? 00 74 0D 66 BA 12 00 66 B8 01 00 E8 ?? ?? ?? ?? 33 DB EB 65 8B 5D FC 0F B7 5B 08 EB 5C 8B 5D FC 0F B6 5B 08 EB 53 8B 5D FC 0F B7 5B 08 EB 4A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 81 FB FF FF 00 00 76 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 BA 12 00 E8 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70330_0 {
	meta:
		name = "@VarToLongWord"
		size = 233
		refs = "001c @VarToLongWord 0060 NullStrictConvert 0070 VarCastError 00ad @VarToInt64 00b6 @BoundErr 00c7 @HandleAnyException 00d6 HandleConversionException 00dd @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 0F B7 00 83 F8 13 0F 87 82 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 02 00 00 00 00 00 00 00 00 00 03 00 00 00 00 00 04 05 06 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 DB E9 83 00 00 00 80 3D ?? ?? ?? ?? 00 74 0D 66 BA 13 00 66 B8 01 00 E8 ?? ?? ?? ?? 33 DB EB 69 8B 5D FC 0F BF 5B 08 EB 60 8B 5D FC 0F B6 5B 08 EB 57 8B 5D FC 0F B7 5B 08 EB 4E 8B 5D FC 8B 5B 08 EB 46 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 85 D2 74 05 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 BA 13 00 E8 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70331_0 {
	meta:
		name = "VarToInt64ViaOS"
		size = 171
		refs = "000c VariantInit 0020 VariantChangeTypeEx 005b @ROUND 0072 @VarToBoolean 008c VarResultCheck"
	strings:
		$1 = { 53 83 C4 E8 8B D8 8D 44 24 08 50 E8 ?? ?? ?? ?? 6A 03 6A 00 68 00 04 00 00 53 8D 44 24 18 50 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 75 0E 8B 44 24 10 99 89 04 24 89 54 24 04 EB 65 6A 05 6A 00 68 00 04 00 00 53 8D 44 24 18 50 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 75 12 DD 44 24 10 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 EB 37 3D 05 00 02 80 75 15 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 33 D2 89 04 24 89 54 24 04 EB 1B 0F B7 13 66 B9 14 00 E8 ?? ?? ?? ?? C7 04 24 00 00 00 00 C7 44 24 04 00 00 00 00 8B 04 24 8B 54 24 04 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_70332_0 {
	meta:
		name = "VarToInt64AsString"
		size = 256
		refs = "0015 VarToInt64AsString 0025 @VarToWStr 0030 @UStrFromWStr 003b TryStrToInt64 0057 VarI4FromStr 007f VarR8FromStr 008f @ROUND 00a5 @VarToBoolean 00be VarResultCheck 00e1 @UStrClr 00e9 @WStrClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 D2 89 55 DC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 FC E8 ?? ?? ?? ?? 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 DC 8D 55 F0 E8 ?? ?? ?? ?? 84 C0 0F 85 89 00 00 00 8D 45 EC 50 6A 00 68 00 04 00 00 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 75 0C 8B 45 EC 99 89 45 F0 89 55 F4 EB 61 8D 45 E0 50 6A 00 68 00 04 00 00 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 75 10 DD 45 E0 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 EB 35 3D 05 00 02 80 75 14 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 33 D2 89 45 F0 89 55 F4 EB 1A 0F B7 13 66 B9 14 00 E8 ?? ?? ?? ?? C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F0 8B 55 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70333_0 {
	meta:
		name = "VarToInt64Any"
		size = 105
		refs = "000e VariantInit 0016 VarToInt64Any 0026 @VarCopy 002f ChangeAnyProc 0037 @VarToInt64 0052 @VarClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B D8 8D 45 E8 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 FF 15 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 55 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70334_0 {
	meta:
		name = "VarToInt64Custom"
		size = 75
		refs = "0010 FindCustomVariantType 0020 VariantInit"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B FA 8B F0 8B D4 0F B7 06 E8 ?? ?? ?? ?? 8B D8 84 DB 74 28 8D 44 24 04 50 E8 ?? ?? ?? ?? 6A 14 8B CE 8D 54 24 08 8B 44 24 04 8B 30 FF 56 1C 8B 44 24 0C 89 07 8B 44 24 10 89 47 04 8B C3 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70335_0 {
	meta:
		name = "@VarToInt64"
		size = 1160
		refs = "0010 @VarToInt64 00a0 NullStrictConvert 00b0 VarCastError 00f3 @ROUND 014e VarToInt64AsString 0200 VarToInt64ViaOS 024e VarToInt64Any 042d VarToInt64Custom 044e @HandleAnyException 045d HandleConversionException 0470 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 0F B7 00 0F B7 D0 83 FA 15 0F 87 E3 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 E9 A5 03 00 00 80 3D ?? ?? ?? ?? 00 74 0D 66 BA 14 00 66 B8 01 00 E8 ?? ?? ?? ?? C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 E9 7C 03 00 00 8B 45 FC 0F BF 40 08 99 89 45 F0 89 55 F4 E9 69 03 00 00 8B 45 FC 8B 40 08 99 89 45 F0 89 55 F4 E9 57 03 00 00 8B 45 FC D9 40 08 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 E9 41 03 00 00 8B 45 FC DD 40 08 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 E9 2B 03 00 00 8B 45 FC DF 68 08 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 E9 0F 03 00 00 8B 45 FC DD 40 08 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 E9 F9 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 E9 E6 02 00 00 8B 45 FC 0F BF 40 08 99 89 45 F0 89 55 F4 E9 D3 02 00 00 8B 45 FC 0F BE 40 08 99 89 45 F0 89 55 F4 E9 C0 02 00 00 8B 45 FC 0F B6 40 08 33 D2 89 45 F0 89 55 F4 E9 AC 02 00 00 8B 45 FC 0F B7 40 08 33 D2 89 45 F0 89 55 F4 E9 98 02 00 00 8B 45 FC 8B 40 08 33 D2 89 45 F0 89 55 F4 E9 85 02 00 00 8B 45 FC 8B 50 08 89 55 F0 8B 50 0C 89 55 F4 E9 71 02 00 00 8B 45 FC 8B 50 08 89 55 F0 8B 50 0C 89 55 F4 E9 5D 02 00 00 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 E9 47 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 E9 34 02 00 00 8B D0 66 81 EA 00 01 74 0C 66 FF CA 74 2D 66 FF CA 74 15 EB 39 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 E9 0C 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 E9 F9 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 E9 E6 01 00 00 F6 C4 40 0F 84 C0 01 00 00 0F B7 C0 25 FF BF FF FF 83 F8 15 0F 87 9F 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 40 08 0F BF 00 99 89 45 F0 89 55 F4 E9 58 01 00 00 8B 45 FC 8B 40 08 8B 00 99 89 45 F0 89 55 F4 E9 44 01 00 00 8B 45 FC 8B 40 08 D9 00 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 E9 2C 01 00 00 8B 45 FC 8B 40 08 DD 00 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 E9 14 01 00 00 8B 45 FC 8B 40 08 DF 28 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 E9 F6 00 00 00 8B 45 FC 8B 40 08 DD 00 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 E9 DE 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 E9 CB 00 00 00 8B 45 FC 8B 40 08 0F BF 00 99 89 45 F0 89 55 F4 E9 B6 00 00 00 8B 45 FC 8B 40 08 0F BE 00 99 89 45 F0 89 55 F4 E9 A1 00 00 00 8B 45 FC 8B 40 08 0F B6 00 33 D2 89 45 F0 89 55 F4 E9 8B 00 00 00 8B 45 FC 8B 40 08 0F B7 00 33 D2 89 45 F0 89 55 F4 EB 78 8B 45 FC 8B 40 08 8B 00 33 D2 89 45 F0 89 55 F4 EB 66 8B 45 FC 8B 40 08 8B 10 89 55 F0 8B 50 04 89 55 F4 EB 53 8B 45 FC 8B 40 08 8B 10 89 55 F0 8B 50 04 89 55 F4 EB 40 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 EB 2D 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 EB 1D 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0E 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 33 C0 5A 59 59 64 89 10 EB 27 E9 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 BA 14 00 E8 ?? ?? ?? ?? C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F4 5F 5E 5B 8B E5 5D C3 00 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_70336_0 {
	meta:
		name = "@VarToUInt64"
		size = 367
		refs = "006a NullStrictConvert 007a VarCastError 0107 @VarToUInt64 0115 @VarToInt64 0127 @BoundErr 013c @HandleAnyException 014b HandleConversionException 015e @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC 8B 45 FC 0F B7 00 83 F8 12 7F 1C 0F 84 9B 00 00 00 83 E8 01 72 33 74 44 83 E8 0A 74 68 83 E8 06 74 76 E9 D0 00 00 00 83 E8 13 0F 84 90 00 00 00 83 E8 02 0F 84 9A 00 00 00 2D 00 40 00 00 0F 84 A0 00 00 00 E9 AE 00 00 00 C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 E9 FA 00 00 00 80 3D ?? ?? ?? ?? 00 74 0D 66 BA 13 00 66 B8 01 00 E8 ?? ?? ?? ?? C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 E9 D1 00 00 00 8B 45 FC 0F BF 40 08 99 89 45 F0 89 55 F4 E9 BE 00 00 00 8B 45 FC 0F B6 40 08 33 D2 89 45 F0 89 55 F4 E9 AA 00 00 00 8B 45 FC 0F B7 40 08 33 D2 89 45 F0 89 55 F4 E9 96 00 00 00 8B 45 FC 8B 40 08 33 D2 89 45 F0 89 55 F4 E9 83 00 00 00 8B 45 FC 8B 50 08 89 55 F0 8B 50 0C 89 55 F4 EB 72 8B 45 FC 8B 40 08 8B 10 89 55 F0 8B 50 04 89 55 F4 EB 5F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 81 FA FF FF FF 7F 75 03 83 F8 FF 76 05 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 33 C0 5A 59 59 64 89 10 EB 27 E9 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 BA 15 00 E8 ?? ?? ?? ?? C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70337_0 {
	meta:
		name = "VarToBoolAsString"
		size = 194
		refs = "0010 VarToBoolAsString 0020 @VarToWStr 0034 VarBoolFromStr 0062 @UStrFromWStr 006d TryStrToBool 0082 VarResultCheck 00a5 @UStrClr 00ad @WStrClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 6A 00 68 00 04 00 00 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 81 EA 05 00 02 80 74 15 81 EA FB FF FD 7F 75 3A 66 83 7D F8 01 1B C0 40 88 45 FB EB 39 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 FB E8 ?? ?? ?? ?? 84 C0 75 1F 0F B7 13 66 B9 0B 00 B8 05 00 02 80 E8 ?? ?? ?? ?? EB 0C 0F B7 13 66 B9 0B 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70338_0 {
	meta:
		name = "VarToBoolViaOS"
		size = 62
		refs = "0008 VariantInit 001c VariantChangeTypeEx 002c VarResultCheck"
	strings:
		$1 = { 53 83 C4 F0 8B D8 54 E8 ?? ?? ?? ?? 6A 0B 6A 00 68 00 04 00 00 53 8D 44 24 10 50 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B7 13 66 B9 0B 00 E8 ?? ?? ?? ?? 66 83 7C 24 08 01 1B C0 40 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_70339_0 {
	meta:
		name = "VarToBoolAny"
		size = 100
		refs = "000e VariantInit 0016 VarToBoolAny 0026 @VarCopy 002f ChangeAnyProc 0037 @VarToBoolean 004f @VarClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D8 8D 45 EF 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 EF E8 ?? ?? ?? ?? 8D 45 EF FF 15 ?? ?? ?? ?? 8D 45 EF E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70340_0 {
	meta:
		name = "VarToBoolCustom"
		size = 73
		refs = "0010 FindCustomVariantType 0020 VariantInit"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B FA 8B F0 8B D4 0F B7 06 E8 ?? ?? ?? ?? 8B D8 84 DB 74 26 8D 44 24 04 50 E8 ?? ?? ?? ?? 6A 0B 8B CE 8D 54 24 08 8B 44 24 04 8B 30 FF 56 1C 66 83 7C 24 0C 01 1B C0 40 88 07 8B C3 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70341_0 {
	meta:
		name = "@VarToBoolean"
		size = 924
		refs = "0016 @VarToBoolean 007d NullStrictConvert 008d VarCastError 0110 VarToBoolAsString 019e VarToBoolViaOS 01e0 VarToBoolAny 037c VarToBoolCustom"
	strings:
		$1 = { 53 51 8B D8 0F B7 03 0F B7 D0 83 FA 15 0F 87 97 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C6 04 24 00 E9 13 03 00 00 80 3D ?? ?? ?? ?? 00 74 0D 66 BA 0B 00 66 B8 01 00 E8 ?? ?? ?? ?? C6 04 24 00 E9 F4 02 00 00 66 83 7B 08 00 0F 95 04 24 E9 E6 02 00 00 83 7B 08 00 0F 95 04 24 E9 D9 02 00 00 D9 43 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 04 24 E9 C3 02 00 00 DD 43 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 04 24 E9 AD 02 00 00 DF 6B 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 04 24 E9 97 02 00 00 DD 43 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 04 24 E9 81 02 00 00 8B C3 E8 ?? ?? ?? ?? 88 04 24 E9 72 02 00 00 66 83 7B 08 01 1B C0 40 88 04 24 E9 62 02 00 00 80 7B 08 00 0F 95 04 24 E9 55 02 00 00 80 7B 08 00 0F 95 04 24 E9 48 02 00 00 66 83 7B 08 00 0F 95 04 24 E9 3A 02 00 00 83 7B 08 00 0F 95 04 24 E9 2D 02 00 00 83 7B 0C 00 75 04 83 7B 08 00 0F 95 C0 88 04 24 E9 18 02 00 00 83 7B 0C 00 75 04 83 7B 08 00 0F 95 C0 88 04 24 E9 03 02 00 00 8B 43 08 E8 ?? ?? ?? ?? 88 04 24 E9 F3 01 00 00 8B C3 E8 ?? ?? ?? ?? 88 04 24 E9 E4 01 00 00 8B D0 66 81 EA 00 01 74 0C 66 FF CA 74 25 66 FF CA 74 11 EB 2D 8B C3 E8 ?? ?? ?? ?? 88 04 24 E9 C0 01 00 00 8B C3 E8 ?? ?? ?? ?? 88 04 24 E9 B1 01 00 00 8B C3 E8 ?? ?? ?? ?? 88 04 24 E9 A2 01 00 00 F6 C4 40 0F 84 82 01 00 00 0F B7 C0 25 FF BF FF FF 83 F8 15 0F 87 65 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 43 08 66 83 38 00 0F 95 04 24 E9 19 01 00 00 8B 43 08 83 38 00 0F 95 04 24 E9 0A 01 00 00 8B 43 08 D9 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 04 24 E9 F2 00 00 00 8B 43 08 DD 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 04 24 E9 DA 00 00 00 8B 43 08 DF 28 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 04 24 E9 C2 00 00 00 8B 43 08 DD 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 04 24 E9 AA 00 00 00 8B C3 E8 ?? ?? ?? ?? 88 04 24 E9 9B 00 00 00 8B 43 08 66 83 38 01 1B C0 40 88 04 24 E9 89 00 00 00 8B 43 08 80 38 00 0F 95 04 24 EB 7D 8B 43 08 80 38 00 0F 95 04 24 EB 71 8B 43 08 66 83 38 00 0F 95 04 24 EB 64 8B 43 08 83 38 00 0F 95 04 24 EB 58 8B 43 08 83 78 04 00 75 03 83 38 00 0F 95 C0 88 04 24 EB 44 8B 43 08 83 78 04 00 75 03 83 38 00 0F 95 C0 88 04 24 EB 30 8B 43 08 E8 ?? ?? ?? ?? 88 04 24 EB 23 8B C3 E8 ?? ?? ?? ?? 88 04 24 EB 17 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A 8B C3 E8 ?? ?? ?? ?? 88 04 24 0F B6 04 24 5A 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_70342_0 {
	meta:
		name = "@VarToBool"
		size = 12
		refs = "0001 @VarToBoolean"
	strings:
		$1 = { E8 ?? ?? ?? ?? F6 D8 19 C0 F7 D8 C3 }
	condition:
		$1
}

rule function_70343_0 {
	meta:
		name = "VarToDoubleAsString"
		size = 202
		refs = "0015 VarToDoubleAsString 0025 @VarToWStr 0039 VarR8FromStr 005c @UStrFromWStr 0062 CurrencyString 006d TryStrToFloat 008b VarResultCheck 00ae @UStrClr 00b6 @WStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F0 50 6A 00 68 00 04 00 00 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 81 EA 05 00 02 80 74 0A 81 EA FB FF FD 7F 75 3E EB 48 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 09 DB 6D E0 DD 5D F0 9B EB 1F 0F B7 13 66 B9 05 00 B8 05 00 02 80 E8 ?? ?? ?? ?? EB 0C 0F B7 13 66 B9 05 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 DD 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70344_0 {
	meta:
		name = "VarToDoubleViaOS"
		size = 75
		refs = "000c VariantInit 0020 VariantChangeTypeEx 0030 VarResultCheck"
	strings:
		$1 = { 53 83 C4 E8 8B D8 8D 44 24 08 50 E8 ?? ?? ?? ?? 6A 05 6A 00 68 00 04 00 00 53 8D 44 24 18 50 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B7 13 66 B9 05 00 E8 ?? ?? ?? ?? 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 DD 04 24 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_70345_0 {
	meta:
		name = "VarToDoubleAny"
		size = 100
		refs = "000e VariantInit 0016 VarToDoubleAny 0026 @VarCopy 002f ChangeAnyProc 0037 @VarToDouble 0050 @VarClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B D8 8D 45 E8 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 FF 15 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70353_0 {
	meta:
		name = "VarToDateAny"
		size = 100
		refs = "000e VariantInit 0016 VarToDateAny 0026 @VarCopy 002f ChangeAnyProc 0037 @VarToDate 0050 @VarClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B D8 8D 45 E8 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 FF 15 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70346_0 {
	meta:
		name = "VarToDoubleCustom"
		size = 75
		refs = "0010 FindCustomVariantType 0020 VariantInit"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B FA 8B F0 8B D4 0F B7 06 E8 ?? ?? ?? ?? 8B D8 84 DB 74 28 8D 44 24 04 50 E8 ?? ?? ?? ?? 6A 05 8B CE 8D 54 24 08 8B 44 24 04 8B 30 FF 56 1C 8B 44 24 0C 89 07 8B 44 24 10 89 47 04 8B C3 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70347_0 {
	meta:
		name = "@VarToDouble"
		size = 1008
		refs = "0018 @VarToDouble 0084 NullStrictConvert 0094 VarCastError 0103 VarToDoubleAsString 01c5 VarToDoubleViaOS 020a VarToDoubleAny 03c9 VarToDoubleCustom"
	strings:
		$1 = { 53 83 C4 EC 8B D8 0F B7 03 0F B7 D0 83 FA 15 0F 87 BD 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 04 24 89 44 24 04 E9 5A 03 00 00 80 3D ?? ?? ?? ?? 00 74 0D 66 BA 05 00 66 B8 01 00 E8 ?? ?? ?? ?? 33 C0 89 04 24 89 44 24 04 E9 36 03 00 00 DF 43 08 DD 1C 24 9B E9 2A 03 00 00 DB 43 08 DD 1C 24 9B E9 1E 03 00 00 D9 43 08 DD 1C 24 9B E9 12 03 00 00 8B 43 08 89 04 24 8B 43 0C 89 44 24 04 E9 00 03 00 00 DF 6B 08 D8 35 ?? ?? ?? ?? DD 1C 24 9B E9 EE 02 00 00 8B 43 08 89 04 24 8B 43 0C 89 44 24 04 E9 DC 02 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B E9 CC 02 00 00 0F BF 43 08 89 44 24 08 DB 44 24 08 DD 1C 24 9B E9 B7 02 00 00 0F BE 43 08 89 44 24 08 DB 44 24 08 DD 1C 24 9B E9 A2 02 00 00 0F B6 43 08 89 44 24 08 DB 44 24 08 DD 1C 24 9B E9 8D 02 00 00 0F B7 43 08 89 44 24 08 DB 44 24 08 DD 1C 24 9B E9 78 02 00 00 8B 43 08 89 44 24 0C 33 C0 89 44 24 10 DF 6C 24 0C DD 1C 24 9B E9 5E 02 00 00 DF 6B 08 DD 1C 24 9B E9 52 02 00 00 8B 43 08 8B 53 0C 89 44 24 0C 81 EA 00 00 00 80 89 54 24 10 DF 6C 24 0C DC 05 ?? ?? ?? ?? DD 1C 24 9B E9 2B 02 00 00 8B 43 08 E8 ?? ?? ?? ?? DD 1C 24 9B E9 1A 02 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B E9 0A 02 00 00 8B D0 66 81 EA 00 01 74 0C 66 FF CA 74 27 66 FF CA 74 12 EB 30 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B E9 E5 01 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B E9 D5 01 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B E9 C5 01 00 00 F6 C4 40 0F 84 A4 01 00 00 0F B7 C0 25 FF BF FF FF 83 F8 15 0F 87 86 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 43 08 DF 00 DD 1C 24 9B E9 3E 01 00 00 8B 43 08 DB 00 DD 1C 24 9B E9 30 01 00 00 8B 43 08 D9 00 DD 1C 24 9B E9 22 01 00 00 8B 43 08 8B 10 89 14 24 8B 50 04 89 54 24 04 E9 0E 01 00 00 8B 43 08 DF 28 D8 35 ?? ?? ?? ?? DD 1C 24 9B E9 FA 00 00 00 8B 43 08 8B 10 89 14 24 8B 50 04 89 54 24 04 E9 E6 00 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B E9 D6 00 00 00 8B 43 08 0F BF 00 89 44 24 08 DB 44 24 08 DD 1C 24 9B E9 BF 00 00 00 8B 43 08 0F BE 00 89 44 24 08 DB 44 24 08 DD 1C 24 9B E9 A8 00 00 00 8B 43 08 0F B6 00 89 44 24 08 DB 44 24 08 DD 1C 24 9B E9 91 00 00 00 8B 43 08 0F B7 00 89 44 24 08 DB 44 24 08 DD 1C 24 9B EB 7D 8B 43 08 8B 00 89 44 24 0C 33 C0 89 44 24 10 DF 6C 24 0C DD 1C 24 9B EB 64 8B 43 08 DF 28 DD 1C 24 9B EB 59 8B 43 08 8B 50 04 8B 00 89 44 24 0C 81 EA 00 00 00 80 89 54 24 10 DF 6C 24 0C DC 05 ?? ?? ?? ?? DD 1C 24 9B EB 33 8B 43 08 E8 ?? ?? ?? ?? DD 1C 24 9B EB 25 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B EB 18 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 14 5B C3 00 40 1C 46 00 00 00 00 00 00 E0 43 }
	condition:
		$1
}

rule function_70348_0 {
	meta:
		name = "@VarToReal"
		size = 25
		refs = "0009 @VarToDouble"
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 E8 ?? ?? ?? ?? DB 3C 24 9B DB 2C 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_70349_0 {
	meta:
		name = "@VarToSingle"
		size = 452
		refs = "001e @VarToSingle 0086 NullStrictConvert 0096 VarCastError 0181 @VarToDouble 0194 @HandleAnyException 01a3 HandleConversionException 01ad @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC 8B 45 FC 0F B7 00 83 F8 15 0F 87 54 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 45 F8 E9 2D 01 00 00 80 3D ?? ?? ?? ?? 00 74 0D 66 BA 04 00 66 B8 01 00 E8 ?? ?? ?? ?? 33 C0 89 45 F8 E9 0D 01 00 00 8B 45 FC DF 40 08 D9 5D F8 9B E9 FE 00 00 00 8B 45 FC DB 40 08 D9 5D F8 9B E9 EF 00 00 00 8B 45 FC 8B 40 08 89 45 F8 E9 E1 00 00 00 8B 45 FC 0F BF 40 08 89 45 F4 DB 45 F4 D9 5D F8 9B E9 CB 00 00 00 8B 45 FC 0F BE 40 08 89 45 F4 DB 45 F4 D9 5D F8 9B E9 B5 00 00 00 8B 45 FC 0F B6 40 08 89 45 F4 DB 45 F4 D9 5D F8 9B E9 9F 00 00 00 8B 45 FC 0F B7 40 08 89 45 F4 DB 45 F4 D9 5D F8 9B E9 89 00 00 00 8B 45 FC 8B 40 08 89 45 EC 33 C0 89 45 F0 DF 6D EC D9 5D F8 9B EB 72 8B 45 FC 8B 50 0C 8B 40 08 89 45 EC 81 EA 00 00 00 80 89 55 F0 DF 6D EC DC 05 ?? ?? ?? ?? D9 5D F8 9B EB 4E 8B 45 FC DF 68 08 D9 5D F8 9B EB 42 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? D9 5D F8 9B 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 BA 04 00 E8 ?? ?? ?? ?? 33 C0 89 45 F8 E8 ?? ?? ?? ?? D9 45 F8 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 E0 43 }
	condition:
		$1
}

rule function_70350_0 {
	meta:
		name = "VarToDateAsString"
		size = 247
		refs = "0018 VarToDateAsString 0028 @VarToWStr 003c VarDateFromStr 005f @UStrFromWStr 0065 CurrencyString 0070 TryStrToDate 0090 TryStrToFloat 00b3 VarResultCheck 00db @UStrArrayClr 00e3 @WStrClr 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 D2 89 55 FC 89 55 F8 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 FC E8 ?? ?? ?? ?? 8D 45 E8 50 6A 00 68 00 04 00 00 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 81 EA 05 00 02 80 74 0A 81 EA FB FF FD 7F 75 63 EB 6D 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 4D 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8D 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 E0 89 45 E8 8B 45 E4 89 45 EC EB 1F 0F B7 13 66 B9 07 00 B8 05 00 02 80 E8 ?? ?? ?? ?? EB 0C 0F B7 13 66 B9 07 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 DD 45 E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70351_0 {
	meta:
		name = "VarToDateAsDouble"
		size = 96
		refs = "000e VariantInit 0036 VariantChangeTypeEx 0046 VarResultCheck"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B D8 8D 45 E8 50 E8 ?? ?? ?? ?? 66 C7 45 E8 05 00 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 6A 07 6A 00 68 00 04 00 00 8D 45 E8 50 8D 45 E8 50 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B7 13 66 B9 07 00 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F8 8B 45 F4 89 45 FC DD 45 F8 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_70352_0 {
	meta:
		name = "VarToDateViaOS"
		size = 75
		refs = "000c VariantInit 0020 VariantChangeTypeEx 0030 VarResultCheck"
	strings:
		$1 = { 53 83 C4 E8 8B D8 8D 44 24 08 50 E8 ?? ?? ?? ?? 6A 07 6A 00 68 00 04 00 00 53 8D 44 24 18 50 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B7 13 66 B9 07 00 E8 ?? ?? ?? ?? 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 DD 04 24 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_70354_0 {
	meta:
		name = "VarToDateCustom"
		size = 75
		refs = "0010 FindCustomVariantType 0020 VariantInit"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B FA 8B F0 8B D4 0F B7 06 E8 ?? ?? ?? ?? 8B D8 84 DB 74 28 8D 44 24 04 50 E8 ?? ?? ?? ?? 6A 07 8B CE 8D 54 24 08 8B 44 24 04 8B 30 FF 56 1C 8B 44 24 0C 89 07 8B 44 24 10 89 47 04 8B C3 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70355_0 {
	meta:
		name = "@VarToDate"
		size = 996
		refs = "0018 @VarToDate 0084 NullStrictConvert 0094 VarCastError 00c1 VarToDateViaOS 00e3 VarToDateAsString 016b VarToDateAsDouble 0206 VarToDateAny 03c1 VarToDateCustom"
	strings:
		$1 = { 53 83 C4 EC 8B D8 0F B7 03 0F B7 D0 83 FA 15 0F 87 B9 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 04 24 89 44 24 04 E9 52 03 00 00 80 3D ?? ?? ?? ?? 00 74 0D 66 BA 07 00 66 B8 01 00 E8 ?? ?? ?? ?? 33 C0 89 04 24 89 44 24 04 E9 2E 03 00 00 DF 43 08 DD 1C 24 9B E9 22 03 00 00 DB 43 08 DD 1C 24 9B E9 16 03 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B E9 06 03 00 00 8B 43 08 89 04 24 8B 43 0C 89 44 24 04 E9 F4 02 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B E9 E4 02 00 00 0F BF 43 08 89 44 24 08 DB 44 24 08 DD 1C 24 9B E9 CF 02 00 00 0F BE 43 08 89 44 24 08 DB 44 24 08 DD 1C 24 9B E9 BA 02 00 00 0F B6 43 08 89 44 24 08 DB 44 24 08 DD 1C 24 9B E9 A5 02 00 00 0F B7 43 08 89 44 24 08 DB 44 24 08 DD 1C 24 9B E9 90 02 00 00 8B 43 08 89 44 24 0C 33 C0 89 44 24 10 DF 6C 24 0C DD 1C 24 9B E9 76 02 00 00 DF 6B 08 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B E9 5C 02 00 00 8B 43 08 8B 53 0C 89 44 24 0C 81 EA 00 00 00 80 89 54 24 10 DF 6C 24 0C DC 05 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B E9 27 02 00 00 8B 43 08 E8 ?? ?? ?? ?? DD 1C 24 9B E9 16 02 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B E9 06 02 00 00 8B D0 66 81 EA 00 01 74 0C 66 FF CA 74 27 66 FF CA 74 12 EB 30 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B E9 E1 01 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B E9 D1 01 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B E9 C1 01 00 00 F6 C4 40 0F 84 A0 01 00 00 0F B7 C0 25 FF BF FF FF 83 F8 15 0F 87 82 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 43 08 DF 00 DD 1C 24 9B E9 3A 01 00 00 8B 43 08 DB 00 DD 1C 24 9B E9 2C 01 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B E9 1C 01 00 00 8B 43 08 8B 10 89 14 24 8B 50 04 89 54 24 04 E9 08 01 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B E9 F8 00 00 00 8B 43 08 0F BF 00 89 44 24 08 DB 44 24 08 DD 1C 24 9B E9 E1 00 00 00 8B 43 08 0F BE 00 89 44 24 08 DB 44 24 08 DD 1C 24 9B E9 CA 00 00 00 8B 43 08 0F B6 00 89 44 24 08 DB 44 24 08 DD 1C 24 9B E9 B3 00 00 00 8B 43 08 0F B7 00 89 44 24 08 DB 44 24 08 DD 1C 24 9B E9 9C 00 00 00 8B 43 08 8B 00 89 44 24 0C 33 C0 89 44 24 10 DF 6C 24 0C DD 1C 24 9B E9 80 00 00 00 8B 43 08 DF 28 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B EB 67 8B 43 08 8B 50 04 8B 00 89 44 24 0C 81 EA 00 00 00 80 89 54 24 10 DF 6C 24 0C DC 05 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B EB 33 8B 43 08 E8 ?? ?? ?? ?? DD 1C 24 9B EB 25 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B EB 18 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 14 5B C3 00 00 00 00 00 00 E0 43 }
	condition:
		$1
}

rule function_70356_0 {
	meta:
		name = "VarToCurrencyAsString"
		size = 193
		refs = "0015 VarToCurrencyAsString 0025 @VarToWStr 0039 VarCyFromStr 005c @UStrFromWStr 0062 CurrencyString 006d TryStrToCurr 0082 VarResultCheck 00a5 @UStrClr 00ad @WStrClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F0 50 6A 00 68 00 04 00 00 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 81 EA 05 00 02 80 74 0A 81 EA FB FF FD 7F 75 35 EB 3F 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 1F 0F B7 13 66 B9 06 00 B8 05 00 02 80 E8 ?? ?? ?? ?? EB 0C 0F B7 13 66 B9 06 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 DF 6D F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70357_0 {
	meta:
		name = "VarToCurrencyAsDouble"
		size = 96
		refs = "000e VariantInit 0036 VariantChangeTypeEx 0046 VarResultCheck"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B D8 8D 45 E8 50 E8 ?? ?? ?? ?? 66 C7 45 E8 05 00 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 6A 06 6A 00 68 00 04 00 00 8D 45 E8 50 8D 45 E8 50 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B7 13 66 B9 06 00 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F8 8B 45 F4 89 45 FC DF 6D F8 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_70358_0 {
	meta:
		name = "VarToCurrencyViaOS"
		size = 75
		refs = "000c VariantInit 0020 VariantChangeTypeEx 0030 VarResultCheck"
	strings:
		$1 = { 53 83 C4 E8 8B D8 8D 44 24 08 50 E8 ?? ?? ?? ?? 6A 06 6A 00 68 00 04 00 00 53 8D 44 24 18 50 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B7 13 66 B9 06 00 E8 ?? ?? ?? ?? 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 DF 2C 24 83 C4 18 5B C3 }
	condition:
		$1
}

rule function_70359_0 {
	meta:
		name = "VarToCurrencyAny"
		size = 100
		refs = "000e VariantInit 0016 VarToCurrencyAny 0026 @VarCopy 002f ChangeAnyProc 0037 @VarToCurrency 0050 @VarClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B D8 8D 45 E8 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 FF 15 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? DF 7D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DF 6D F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70360_0 {
	meta:
		name = "VarToCurrencyCustom"
		size = 75
		refs = "0010 FindCustomVariantType 0020 VariantInit"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B FA 8B F0 8B D4 0F B7 06 E8 ?? ?? ?? ?? 8B D8 84 DB 74 28 8D 44 24 04 50 E8 ?? ?? ?? ?? 6A 06 8B CE 8D 54 24 08 8B 44 24 04 8B 30 FF 56 1C 8B 44 24 0C 89 07 8B 44 24 10 89 47 04 8B C3 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70361_0 {
	meta:
		name = "@VarToCurrency"
		size = 1116
		refs = "0018 @VarToCurrency 0084 NullStrictConvert 0094 VarCastError 00cd VarToCurrencyViaOS 00ff VarToCurrencyAsString 01a5 VarToCurrencyAsDouble 0240 VarToCurrencyAny 0435 VarToCurrencyCustom"
	strings:
		$1 = { 53 83 C4 EC 8B D8 0F B7 03 0F B7 D0 83 FA 15 0F 87 F3 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 04 24 89 44 24 04 E9 C6 03 00 00 80 3D ?? ?? ?? ?? 00 74 0D 66 BA 06 00 66 B8 01 00 E8 ?? ?? ?? ?? 33 C0 89 04 24 89 44 24 04 E9 A2 03 00 00 DF 43 08 D8 0D ?? ?? ?? ?? DF 3C 24 9B E9 90 03 00 00 DB 43 08 D8 0D ?? ?? ?? ?? DF 3C 24 9B E9 7E 03 00 00 8B C3 E8 ?? ?? ?? ?? DF 3C 24 9B E9 6E 03 00 00 8B 43 08 89 04 24 8B 43 0C 89 44 24 04 E9 5C 03 00 00 8B C3 E8 ?? ?? ?? ?? DF 3C 24 9B E9 4C 03 00 00 8B C3 E8 ?? ?? ?? ?? DF 3C 24 9B E9 3C 03 00 00 0F BF 43 08 89 44 24 08 DB 44 24 08 D8 0D ?? ?? ?? ?? DF 3C 24 9B E9 21 03 00 00 0F BE 43 08 89 44 24 08 DB 44 24 08 D8 0D ?? ?? ?? ?? DF 3C 24 9B E9 06 03 00 00 0F B6 43 08 89 44 24 08 DB 44 24 08 D8 0D ?? ?? ?? ?? DF 3C 24 9B E9 EB 02 00 00 0F B7 43 08 89 44 24 08 DB 44 24 08 D8 0D ?? ?? ?? ?? DF 3C 24 9B E9 D0 02 00 00 8B 43 08 89 44 24 0C 33 C0 89 44 24 10 DF 6C 24 0C D8 0D ?? ?? ?? ?? DF 3C 24 9B E9 B0 02 00 00 DF 6B 08 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? DF 3C 24 9B E9 96 02 00 00 8B 43 08 8B 53 0C 89 44 24 0C 81 EA 00 00 00 80 89 54 24 10 DF 6C 24 0C DC 05 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? DF 3C 24 9B E9 61 02 00 00 8B 43 08 E8 ?? ?? ?? ?? DF 3C 24 9B E9 50 02 00 00 8B C3 E8 ?? ?? ?? ?? DF 3C 24 9B E9 40 02 00 00 8B D0 66 81 EA 00 01 74 0C 66 FF CA 74 27 66 FF CA 74 12 EB 30 8B C3 E8 ?? ?? ?? ?? DF 3C 24 9B E9 1B 02 00 00 8B C3 E8 ?? ?? ?? ?? DF 3C 24 9B E9 0B 02 00 00 8B C3 E8 ?? ?? ?? ?? DF 3C 24 9B E9 FB 01 00 00 F6 C4 40 0F 84 DA 01 00 00 0F B7 C0 25 FF BF FF FF 83 F8 15 0F 87 BC 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 43 08 DF 00 D8 0D ?? ?? ?? ?? DF 3C 24 9B E9 6E 01 00 00 8B 43 08 DB 00 D8 0D ?? ?? ?? ?? DF 3C 24 9B E9 5A 01 00 00 8B C3 E8 ?? ?? ?? ?? DF 3C 24 9B E9 4A 01 00 00 8B 43 08 8B 10 89 14 24 8B 50 04 89 54 24 04 E9 36 01 00 00 8B C3 E8 ?? ?? ?? ?? DF 3C 24 9B E9 26 01 00 00 8B C3 E8 ?? ?? ?? ?? DF 3C 24 9B E9 16 01 00 00 8B 43 08 0F BF 00 89 44 24 08 DB 44 24 08 D8 0D ?? ?? ?? ?? DF 3C 24 9B E9 F9 00 00 00 8B 43 08 0F BE 00 89 44 24 08 DB 44 24 08 D8 0D ?? ?? ?? ?? DF 3C 24 9B E9 DC 00 00 00 8B 43 08 0F B6 00 89 44 24 08 DB 44 24 08 D8 0D ?? ?? ?? ?? DF 3C 24 9B E9 BF 00 00 00 8B 43 08 0F B7 00 89 44 24 08 DB 44 24 08 D8 0D ?? ?? ?? ?? DF 3C 24 9B E9 A2 00 00 00 8B 43 08 8B 00 89 44 24 0C 33 C0 89 44 24 10 DF 6C 24 0C D8 0D ?? ?? ?? ?? DF 3C 24 9B E9 80 00 00 00 8B 43 08 DF 28 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? DF 3C 24 9B EB 67 8B 43 08 8B 50 04 8B 00 89 44 24 0C 81 EA 00 00 00 80 89 54 24 10 DF 6C 24 0C DC 05 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? DF 3C 24 9B EB 33 8B 43 08 E8 ?? ?? ?? ?? DF 3C 24 9B EB 25 8B C3 E8 ?? ?? ?? ?? DF 3C 24 9B EB 18 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? DF 3C 24 9B DF 2C 24 83 C4 14 5B C3 00 40 1C 46 00 00 00 00 00 00 E0 43 }
	condition:
		$1
}

rule function_70362_0 {
	meta:
		name = "CurrToWStrViaOS"
		size = 54
		refs = "0009 @WStrClr 001c VarBstrFromCy 002d VarResultCheck"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 6A 00 68 00 04 00 00 FF 75 0C FF 75 08 A1 ?? ?? ?? ?? 8B 00 FF D0 66 B9 08 00 66 BA 06 00 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70363_0 {
	meta:
		name = "DateToWStrViaOS"
		size = 54
		refs = "0009 @WStrClr 001c VarBstrFromDate 002d VarResultCheck"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 6A 00 68 00 04 00 00 FF 75 0C FF 75 08 A1 ?? ?? ?? ?? 8B 00 FF D0 66 B9 08 00 66 BA 07 00 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70364_0 {
	meta:
		name = "BoolToWStrViaOS"
		size = 197
		refs = "0013 BoolToWStrViaOS 0020 @WStrClr 002e VarBstrFromBool 003f VarResultCheck 0046 BooleanToStringRule 005c @UStrFromWStr 0067 LowerCase 0071 @WStrFromUStr 0088 UpperCase 0099 VarInvalidOp 00b3 @UStrArrayClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 6A 00 68 00 04 00 00 56 A1 ?? ?? ?? ?? 8B 00 FF D0 66 B9 08 00 66 BA 0B 00 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 2C 01 72 4F 74 06 FE C8 74 23 EB 42 8D 45 F8 8B 13 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 26 8D 45 F0 8B 13 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70365_0 {
	meta:
		name = "VarToLStrViaOS"
		size = 183
		refs = "0015 VarToLStrViaOS 0024 VariantInit 0045 VariantChangeTypeEx 0055 VarResultCheck 0061 @UStrFromPWChar 0073 @UStrCopy 0088 @VarClear 008e @HandleFinally 00a5 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 08 6A 00 68 00 04 00 00 53 8D 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B7 13 66 B9 00 01 E8 ?? ?? ?? ?? 56 8D 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 EC B9 FF FF FF 7F BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70366_0 {
	meta:
		name = "VarToLStrAny"
		size = 99
		refs = "0011 VariantInit 0019 VarToLStrAny 0029 @VarCopy 0032 ChangeAnyProc 003c @VarToLStr 0051 @VarClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 8B D8 8D 45 F0 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 FF 15 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70374_0 {
	meta:
		name = "VarToUStrAny"
		size = 99
		refs = "0011 VariantInit 0019 VarToUStrAny 0029 @VarCopy 0032 ChangeAnyProc 003c @VarToUStr 0051 @VarClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 8B D8 8D 45 F0 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 FF 15 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70371_0 {
	meta:
		name = "VarToWStrAny"
		size = 99
		refs = "0011 VariantInit 0019 VarToWStrAny 0029 @VarCopy 0032 ChangeAnyProc 003c @VarToWStr 0051 @VarClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 8B D8 8D 45 F0 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 FF 15 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70367_0 {
	meta:
		name = "VarToLStrCustom"
		size = 133
		refs = "001e FindCustomVariantType 0030 VariantInit 0038 VarToLStrCustom 005b @LStrAsg 0070 @VarClear 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 89 55 FC 8B D8 8B 45 FC 85 C0 74 04 33 D2 89 10 8D 55 F4 0F B7 03 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 51 8D 45 E4 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 01 00 00 8B CB 8D 55 E4 8B 45 F4 8B 18 FF 53 1C 8B 45 FC 8B 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70368_0 {
	meta:
		name = "@VarToLStr"
		size = 1876
		refs = "001a @VarToLStr 0095 @LStrClr 00a0 NullStrictConvert 00b0 VarCastError 00b8 NullAsStringValue 00c2 @LStrFromUStr 00d3 IntToStr 0120 CurrencyString 0125 FloatToStr 017a CurrToWStrViaOS 0189 @LStrFromWStr 019c DateToWStrViaOS 01c6 @WStrCopy 01e6 BoolToWStrViaOS 02ad UIntToStr 02df VarToLStrViaOS 0315 @LStrAsg 033b VarToLStrAny 0517 @LStrFromPWChar 064c @LStrFromPChar 06a0 VarToLStrCustom 06e0 @UStrArrayClr 06f0 @WStrArrayClr 0748 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 17 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 03 0F B7 D0 83 FA 15 0F 87 C7 02 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 29 06 00 00 80 3D ?? ?? ?? ?? 00 74 0D 66 BA 00 01 66 B8 01 00 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? B9 00 00 00 00 E8 ?? ?? ?? ?? E9 FC 05 00 00 8D 55 AC 0F BF 43 08 E8 ?? ?? ?? ?? 8B 55 AC 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 DC 05 00 00 8D 55 A8 8B 43 08 E8 ?? ?? ?? ?? 8B 55 A8 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 BD 05 00 00 D9 43 08 DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? E9 8A 05 00 00 DD 43 08 DB 7D D0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 57 05 00 00 FF 73 0C FF 73 08 8D 45 A4 E8 ?? ?? ?? ?? 8B 55 A4 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 35 05 00 00 FF 73 0C FF 73 08 8D 45 A0 E8 ?? ?? ?? ?? 8B 55 A0 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 13 05 00 00 8D 45 9C 50 8B 43 08 B9 FF FF FF 7F BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 9C 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 E9 04 00 00 8D 55 98 0F B7 43 08 E8 ?? ?? ?? ?? 8B 55 98 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 C9 04 00 00 8D 55 94 0F BE 43 08 E8 ?? ?? ?? ?? 8B 55 94 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 A9 04 00 00 8D 55 90 0F B6 43 08 E8 ?? ?? ?? ?? 8B 55 90 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 89 04 00 00 8D 55 8C 0F B7 43 08 E8 ?? ?? ?? ?? 8B 55 8C 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 69 04 00 00 8B 43 08 33 D2 52 50 8D 45 88 E8 ?? ?? ?? ?? 8B 55 88 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 46 04 00 00 FF 73 0C FF 73 08 8D 45 84 E8 ?? ?? ?? ?? 8B 55 84 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 24 04 00 00 FF 73 0C FF 73 08 8D 45 80 E8 ?? ?? ?? ?? 8B 55 80 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 02 04 00 00 8B 43 08 8B D0 8B C6 E8 ?? ?? ?? ?? E9 F1 03 00 00 8D 95 7C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 CD 03 00 00 8B D0 66 81 EA 00 01 74 0C 66 FF CA 74 2A 66 FF CA 74 11 EB 42 8B C6 8B 53 08 E8 ?? ?? ?? ?? E9 A9 03 00 00 8B C6 8B 53 08 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 95 03 00 00 8D 95 78 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 76 03 00 00 F6 C4 40 0F 84 3A 03 00 00 0F B7 C0 25 FF BF FF FF 83 F8 0C 7F 46 0F 84 F8 02 00 00 83 F8 0B 0F 87 FD 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 14 7F 29 0F 84 33 02 00 00 83 E8 10 0F 84 87 01 00 00 48 0F 84 A8 01 00 00 48 0F 84 C9 01 00 00 48 0F 84 EA 01 00 00 E9 98 02 00 00 83 E8 15 0F 84 31 02 00 00 2D EB 00 00 00 0F 84 50 02 00 00 83 E8 02 0F 84 5A 02 00 00 E9 76 02 00 00 8D 95 74 FF FF FF 8B 43 08 0F BF 00 E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 A2 02 00 00 8D 95 70 FF FF FF 8B 43 08 8B 00 E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 7B 02 00 00 8B 43 08 D9 00 DB 7D C0 9B 0F B7 45 C8 50 FF 75 C4 FF 75 C0 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 46 02 00 00 8B 43 08 DD 00 DB 7D B0 9B 0F B7 45 B8 50 FF 75 B4 FF 75 B0 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F0 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 11 02 00 00 8B 43 08 FF 70 04 FF 30 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 E7 01 00 00 8B 43 08 FF 70 04 FF 30 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 BD 01 00 00 8B C6 8B 53 08 8B 12 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 A7 01 00 00 8D 95 64 FF FF FF 8B 43 08 0F B7 00 E8 ?? ?? ?? ?? 8B 95 64 FF FF FF 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 7F 01 00 00 8D 95 60 FF FF FF 8B 43 08 0F BE 00 E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 57 01 00 00 8D 95 5C FF FF FF 8B 43 08 0F B6 00 E8 ?? ?? ?? ?? 8B 95 5C FF FF FF 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 2F 01 00 00 8D 95 58 FF FF FF 8B 43 08 0F B7 00 E8 ?? ?? ?? ?? 8B 95 58 FF FF FF 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 07 01 00 00 8B 43 08 8B 00 33 D2 52 50 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 8B 95 54 FF FF FF 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 DC 00 00 00 8B 43 08 FF 70 04 FF 30 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 B2 00 00 00 8B 43 08 FF 70 04 FF 30 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 8B 95 4C FF FF FF 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 88 00 00 00 8B C6 8B 53 08 8B 12 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 75 8B C6 8B 53 08 8B 12 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 62 8B 43 08 8B D0 8B C6 E8 ?? ?? ?? ?? EB 54 8D 95 48 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 48 FF FF FF 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 33 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8D 95 44 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 44 FF FF FF 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 44 FF FF FF BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 85 64 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 98 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 86 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70369_0 {
	meta:
		name = "@VarToPStr"
		size = 78
		refs = "000c @VarToPStr 001a @VarToLStr 0029 @LStrToString 003e @LStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C3 8B 55 FC B9 FF 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_70370_0 {
	meta:
		name = "VarToWStrViaOS"
		size = 204
		refs = "0018 VarToWStrViaOS 0027 VariantInit 0048 VariantChangeTypeEx 0058 VarResultCheck 0067 @UStrFromPWChar 0079 @UStrCopy 0083 @WStrFromUStr 0098 @VarClear 009e @HandleFinally 00ba @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D EC 89 4D E8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 08 6A 00 68 00 04 00 00 53 8D 45 F0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 0F B7 13 66 B9 08 00 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 E8 B9 FF FF FF 7F BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70372_0 {
	meta:
		name = "VarToWStrCustom"
		size = 219
		refs = "0023 VarToWStrCustom 0034 FindCustomVariantType 0046 VariantInit 0072 @UStrFromPWChar 0084 @UStrCopy 008f @WStrFromUStr 00a4 @VarClear 00aa @HandleFinally 00c6 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 C9 89 4D E0 89 4D DC 89 55 FC 8B D8 8B 45 FC 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 0F B7 03 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 6F 8D 45 E4 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 08 8B CB 8D 55 E4 8B 45 F4 8B 18 FF 53 1C 8D 45 E0 50 8D 45 DC 8B 55 EC E8 ?? ?? ?? ?? 8B 45 DC B9 FF FF FF 7F BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70373_0 {
	meta:
		name = "@VarToWStr"
		size = 1699
		refs = "0019 @VarToWStr 0094 @WStrClr 009f NullStrictConvert 00af VarCastError 00b7 NullAsStringValue 00bc @WStrFromUStr 00cd IntToStr 0110 CurrencyString 0115 FloatToStr 0160 CurrToWStrViaOS 016a @WStrAsg 017d DateToWStrViaOS 019f @WStrCopy 01b0 BoolToWStrViaOS 0259 UIntToStr 0283 VarToWStrViaOS 02b1 @WStrFromLStr 02d2 VarToWStrAny 048b @WStrFromPWChar 0595 @WStrFromPChar 05df VarToWStrCustom 061a @WStrArrayClr 062a @UStrArrayClr 0694 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 17 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 03 0F B7 D0 83 FA 15 0F 87 64 02 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 64 05 00 00 80 3D ?? ?? ?? ?? 00 74 0D 66 BA 08 00 66 B8 01 00 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3C 05 00 00 8D 55 AC 0F BF 43 08 E8 ?? ?? ?? ?? 8B 55 AC 8B C6 E8 ?? ?? ?? ?? E9 21 05 00 00 8D 55 A8 8B 43 08 E8 ?? ?? ?? ?? 8B 55 A8 8B C6 E8 ?? ?? ?? ?? E9 07 05 00 00 D9 43 08 DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? E9 D9 04 00 00 DD 43 08 DB 7D D0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? E9 AB 04 00 00 FF 73 0C FF 73 08 8D 45 A4 E8 ?? ?? ?? ?? 8B 55 A4 8B C6 E8 ?? ?? ?? ?? E9 8E 04 00 00 FF 73 0C FF 73 08 8D 45 A0 E8 ?? ?? ?? ?? 8B 55 A0 8B C6 E8 ?? ?? ?? ?? E9 71 04 00 00 56 8B 43 08 B9 FF FF FF 7F BA 01 00 00 00 E8 ?? ?? ?? ?? E9 59 04 00 00 8D 55 9C 0F B7 43 08 E8 ?? ?? ?? ?? 8B 55 9C 8B C6 E8 ?? ?? ?? ?? E9 3E 04 00 00 8D 55 98 0F BE 43 08 E8 ?? ?? ?? ?? 8B 55 98 8B C6 E8 ?? ?? ?? ?? E9 23 04 00 00 8D 55 94 0F B6 43 08 E8 ?? ?? ?? ?? 8B 55 94 8B C6 E8 ?? ?? ?? ?? E9 08 04 00 00 8D 55 90 0F B7 43 08 E8 ?? ?? ?? ?? 8B 55 90 8B C6 E8 ?? ?? ?? ?? E9 ED 03 00 00 8B 43 08 33 D2 52 50 8D 45 8C E8 ?? ?? ?? ?? 8B 55 8C 8B C6 E8 ?? ?? ?? ?? E9 CF 03 00 00 FF 73 0C FF 73 08 8D 45 88 E8 ?? ?? ?? ?? 8B 55 88 8B C6 E8 ?? ?? ?? ?? E9 B2 03 00 00 FF 73 0C FF 73 08 8D 45 84 E8 ?? ?? ?? ?? 8B 55 84 8B C6 E8 ?? ?? ?? ?? E9 95 03 00 00 8B 43 08 8B D0 8B C6 E8 ?? ?? ?? ?? E9 84 03 00 00 8D 55 80 8B C3 E8 ?? ?? ?? ?? 8B 55 80 8B C6 E8 ?? ?? ?? ?? E9 6B 03 00 00 8B D0 66 81 EA 00 01 74 0C 66 FF CA 74 25 66 FF CA 74 11 EB 3D 8B C6 8B 53 08 E8 ?? ?? ?? ?? E9 47 03 00 00 8B C6 8B 53 08 E8 ?? ?? ?? ?? E9 38 03 00 00 8D 95 7C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 19 03 00 00 F6 C4 40 0F 84 E2 02 00 00 0F B7 C0 25 FF BF FF FF 83 F8 0C 7F 46 0F 84 A5 02 00 00 83 F8 0B 0F 87 AA 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 14 7F 29 0F 84 F7 01 00 00 83 E8 10 0F 84 5F 01 00 00 48 0F 84 7B 01 00 00 48 0F 84 97 01 00 00 48 0F 84 B3 01 00 00 E9 45 02 00 00 83 E8 15 0F 84 F0 01 00 00 2D EB 00 00 00 0F 84 07 02 00 00 83 E8 02 0F 84 0C 02 00 00 E9 23 02 00 00 8D 95 78 FF FF FF 8B 43 08 0F BF 00 E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 4A 02 00 00 8D 95 74 FF FF FF 8B 43 08 8B 00 E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 28 02 00 00 8B 43 08 D9 00 DB 7D C0 9B 0F B7 45 C8 50 FF 75 C4 FF 75 C0 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F4 E8 ?? ?? ?? ?? E9 F8 01 00 00 8B 43 08 DD 00 DB 7D B0 9B 0F B7 45 B8 50 FF 75 B4 FF 75 B0 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F0 E8 ?? ?? ?? ?? E9 C8 01 00 00 8B 43 08 FF 70 04 FF 30 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 A3 01 00 00 8B 43 08 FF 70 04 FF 30 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 7E 01 00 00 8B C6 8B 53 08 8B 12 E8 ?? ?? ?? ?? E9 6D 01 00 00 8D 95 68 FF FF FF 8B 43 08 0F B7 00 E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 4A 01 00 00 8D 95 64 FF FF FF 8B 43 08 0F BE 00 E8 ?? ?? ?? ?? 8B 95 64 FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 27 01 00 00 8D 95 60 FF FF FF 8B 43 08 0F B6 00 E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 04 01 00 00 8D 95 5C FF FF FF 8B 43 08 0F B7 00 E8 ?? ?? ?? ?? 8B 95 5C FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 E1 00 00 00 8B 43 08 8B 00 33 D2 52 50 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 8B 95 58 FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 BB 00 00 00 8B 43 08 FF 70 04 FF 30 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 8B 95 54 FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 96 00 00 00 8B 43 08 FF 70 04 FF 30 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8B C6 E8 ?? ?? ?? ?? EB 74 8B C6 8B 53 08 8B 12 E8 ?? ?? ?? ?? EB 66 8B C6 8B 53 08 8B 12 E8 ?? ?? ?? ?? EB 58 8B 43 08 8B D0 8B C6 E8 ?? ?? ?? ?? EB 4A 8D 95 4C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 4C FF FF FF 8B C6 E8 ?? ?? ?? ?? EB 2E 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1A 8D 95 48 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 48 FF FF FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 48 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 50 FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 85 68 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 74 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 84 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 9C BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 71 FF FF FF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70375_0 {
	meta:
		name = "VarToUStrCustom"
		size = 200
		refs = "0020 VarToUStrCustom 0031 FindCustomVariantType 0043 VariantInit 006f @UStrFromPWChar 0081 @UStrCopy 0096 @VarClear 009c @HandleFinally 00b3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 C9 89 4D E0 89 55 FC 8B D8 8B 45 FC 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 0F B7 03 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 64 8D 45 E4 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 08 8B CB 8D 55 E4 8B 45 F4 8B 18 FF 53 1C 8B 45 FC 50 8D 45 E0 8B 55 EC E8 ?? ?? ?? ?? 8B 45 E0 B9 FF FF FF 7F BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70376_0 {
	meta:
		name = "@VarToUStr"
		size = 1714
		refs = "001a @VarToUStr 0095 @UStrClr 00a0 NullStrictConvert 00b0 VarCastError 00b8 NullAsStringValue 00bd @UStrAsg 00ce IntToStr 0111 CurrencyString 0116 FloatToStr 0161 CurrToWStrViaOS 016b @UStrFromWStr 017e DateToWStrViaOS 01a3 @WStrCopy 01be BoolToWStrViaOS 0267 UIntToStr 0294 VarToWStrViaOS 02c5 @UStrFromLStr 02e6 VarToUStrAny 049f @UStrFromPWChar 05a9 @UStrFromPChar 05f3 VarToUStrCustom 062e @WStrArrayClr 063e @UStrArrayClr 0669 @WStrClr 06a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 17 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 03 0F B7 D0 83 FA 15 0F 87 77 02 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 77 05 00 00 80 3D ?? ?? ?? ?? 00 74 0D 66 BA 08 00 66 B8 01 00 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4F 05 00 00 8D 55 AC 0F BF 43 08 E8 ?? ?? ?? ?? 8B 55 AC 8B C6 E8 ?? ?? ?? ?? E9 34 05 00 00 8D 55 A8 8B 43 08 E8 ?? ?? ?? ?? 8B 55 A8 8B C6 E8 ?? ?? ?? ?? E9 1A 05 00 00 D9 43 08 DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? E9 EC 04 00 00 DD 43 08 DB 7D D0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? E9 BE 04 00 00 FF 73 0C FF 73 08 8D 45 A4 E8 ?? ?? ?? ?? 8B 55 A4 8B C6 E8 ?? ?? ?? ?? E9 A1 04 00 00 FF 73 0C FF 73 08 8D 45 A0 E8 ?? ?? ?? ?? 8B 55 A0 8B C6 E8 ?? ?? ?? ?? E9 84 04 00 00 8D 45 9C 50 8B 43 08 B9 FF FF FF 7F BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 9C 8B C6 E8 ?? ?? ?? ?? E9 5F 04 00 00 8D 55 98 0F B7 43 08 E8 ?? ?? ?? ?? 8B 55 98 8B C6 E8 ?? ?? ?? ?? E9 44 04 00 00 8D 55 94 0F BE 43 08 E8 ?? ?? ?? ?? 8B 55 94 8B C6 E8 ?? ?? ?? ?? E9 29 04 00 00 8D 55 90 0F B6 43 08 E8 ?? ?? ?? ?? 8B 55 90 8B C6 E8 ?? ?? ?? ?? E9 0E 04 00 00 8D 55 8C 0F B7 43 08 E8 ?? ?? ?? ?? 8B 55 8C 8B C6 E8 ?? ?? ?? ?? E9 F3 03 00 00 8B 43 08 33 D2 52 50 8D 45 88 E8 ?? ?? ?? ?? 8B 55 88 8B C6 E8 ?? ?? ?? ?? E9 D5 03 00 00 FF 73 0C FF 73 08 8D 45 84 E8 ?? ?? ?? ?? 8B 55 84 8B C6 E8 ?? ?? ?? ?? E9 B8 03 00 00 FF 73 0C FF 73 08 8D 45 80 E8 ?? ?? ?? ?? 8B 55 80 8B C6 E8 ?? ?? ?? ?? E9 9B 03 00 00 8B 43 08 8B D0 8B C6 E8 ?? ?? ?? ?? E9 8A 03 00 00 8D 95 7C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 6B 03 00 00 8B D0 66 81 EA 00 01 74 0C 66 FF CA 74 25 66 FF CA 74 11 EB 3D 8B C6 8B 53 08 E8 ?? ?? ?? ?? E9 47 03 00 00 8B C6 8B 53 08 E8 ?? ?? ?? ?? E9 38 03 00 00 8D 95 78 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 19 03 00 00 F6 C4 40 0F 84 E2 02 00 00 0F B7 C0 25 FF BF FF FF 83 F8 0C 7F 46 0F 84 A5 02 00 00 83 F8 0B 0F 87 AA 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 14 7F 29 0F 84 F7 01 00 00 83 E8 10 0F 84 5F 01 00 00 48 0F 84 7B 01 00 00 48 0F 84 97 01 00 00 48 0F 84 B3 01 00 00 E9 45 02 00 00 83 E8 15 0F 84 F0 01 00 00 2D EB 00 00 00 0F 84 07 02 00 00 83 E8 02 0F 84 0C 02 00 00 E9 23 02 00 00 8D 95 74 FF FF FF 8B 43 08 0F BF 00 E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 4A 02 00 00 8D 95 70 FF FF FF 8B 43 08 8B 00 E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 28 02 00 00 8B 43 08 D9 00 DB 7D C0 9B 0F B7 45 C8 50 FF 75 C4 FF 75 C0 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F4 E8 ?? ?? ?? ?? E9 F8 01 00 00 8B 43 08 DD 00 DB 7D B0 9B 0F B7 45 B8 50 FF 75 B4 FF 75 B0 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F0 E8 ?? ?? ?? ?? E9 C8 01 00 00 8B 43 08 FF 70 04 FF 30 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 A3 01 00 00 8B 43 08 FF 70 04 FF 30 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 7E 01 00 00 8B C6 8B 53 08 8B 12 E8 ?? ?? ?? ?? E9 6D 01 00 00 8D 95 64 FF FF FF 8B 43 08 0F B7 00 E8 ?? ?? ?? ?? 8B 95 64 FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 4A 01 00 00 8D 95 60 FF FF FF 8B 43 08 0F BE 00 E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 27 01 00 00 8D 95 5C FF FF FF 8B 43 08 0F B6 00 E8 ?? ?? ?? ?? 8B 95 5C FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 04 01 00 00 8D 95 58 FF FF FF 8B 43 08 0F B7 00 E8 ?? ?? ?? ?? 8B 95 58 FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 E1 00 00 00 8B 43 08 8B 00 33 D2 52 50 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 8B 95 54 FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 BB 00 00 00 8B 43 08 FF 70 04 FF 30 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 96 00 00 00 8B 43 08 FF 70 04 FF 30 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 8B 95 4C FF FF FF 8B C6 E8 ?? ?? ?? ?? EB 74 8B C6 8B 53 08 8B 12 E8 ?? ?? ?? ?? EB 66 8B C6 8B 53 08 8B 12 E8 ?? ?? ?? ?? EB 58 8B 43 08 8B D0 8B C6 E8 ?? ?? ?? ?? EB 4A 8D 95 48 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 48 FF FF FF 8B C6 E8 ?? ?? ?? ?? EB 2E 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1A 8D 95 44 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 44 FF FF FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 44 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 4C FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 85 64 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 98 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 76 FF FF FF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70377_0 {
	meta:
		name = "AnyToIntf"
		size = 119
		refs = "0011 VariantInit 0019 AnyToIntf 0029 @VarCopy 0032 ChangeAnyProc 0046 VarCastError 0050 @IntfCopy 0065 @VarClear 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 8B D8 8D 45 F0 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 FF 15 ?? ?? ?? ?? 66 83 7D F0 0D 74 0D 66 BA 0D 00 66 B8 01 01 E8 ?? ?? ?? ?? 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70378_0 {
	meta:
		name = "@VarToIntf"
		size = 204
		refs = "0037 @IntfClear 003f NullStrictConvert 004f VarCastError 0062 @IntfCopy 007b AnyToIntf 0087 FindCustomVariantType 0099 @VarToIntf 00a1 TObject.GetInterface"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 0F B7 03 83 F8 0D 7F 10 74 4B 83 E8 01 72 1E 74 25 83 E8 08 74 3F EB 62 2D 01 01 00 00 74 50 2D 08 3F 00 00 74 3B 83 E8 04 74 36 EB 4D 8B C6 E8 ?? ?? ?? ?? EB 78 80 3D ?? ?? ?? ?? 00 74 0D 66 BA 0D 00 66 B8 01 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 59 8B C6 8B 53 08 E8 ?? ?? ?? ?? EB 4D 8B C6 8B 53 08 8B 12 E8 ?? ?? ?? ?? EB 3F 8B D3 8B C6 E8 ?? ?? ?? ?? EB 34 8B D4 0F B7 03 E8 ?? ?? ?? ?? 84 C0 74 1A 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 0C 0F B7 03 66 BA 0D 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_70379_0 {
	meta:
		name = "@VarToDisp"
		size = 172
		refs = "0023 @IntfClear 002b NullStrictConvert 003b VarCastError 004e @IntfCopy 0068 FindCustomVariantType 007a @VarToDisp 0082 TObject.GetInterface"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 0F B7 03 66 83 E8 01 72 10 74 17 66 83 E8 08 74 30 66 2D 00 40 74 36 EB 42 8B C6 E8 ?? ?? ?? ?? EB 6D 80 3D ?? ?? ?? ?? 00 74 0D 66 BA 09 00 66 B8 01 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 4E 8B C6 8B 53 08 E8 ?? ?? ?? ?? EB 42 8B C6 8B 53 08 8B 12 E8 ?? ?? ?? ?? EB 34 8B D4 0F B7 03 E8 ?? ?? ?? ?? 84 C0 74 1A 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 0C 0F B7 03 66 BA 09 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_70380_0 {
	meta:
		name = "@VarToDynArray"
		size = 15
		refs = "0001 DynArrayFromVariant 000a VarCastError"
	strings:
		$1 = { E8 ?? ?? ?? ?? 09 C0 75 05 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70381_0 {
	meta:
		name = "@VarFromInt"
		size = 60
		refs = "0013 VarClearDeep 0019 PackVarCreation 0027 CRangeToType"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 66 F7 07 E8 BF 74 07 8B C7 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 10 0F BE C3 0F B7 04 45 ?? ?? ?? ?? 66 89 07 EB 05 66 C7 07 03 00 89 77 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70382_0 {
	meta:
		name = "@OleVarFromInt"
		size = 31
		refs = "0010 VarClearDeep"
		altNames = "@VarFromInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 66 C7 03 03 00 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_70384_0 {
	meta:
		name = "@OleVarFromInt64"
		size = 65
		refs = "0010 VarClearDeep 0016 OleVariantInt64AsDouble"
	strings:
		$1 = { 55 8B EC 53 8B D8 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 75 13 66 C7 03 14 00 8B 45 08 89 43 08 8B 45 0C 89 43 0C EB 0C 66 C7 03 05 00 DF 6D 08 DD 5B 08 9B 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70385_0 {
	meta:
		name = "@OleVarFromUInt64"
		size = 104
		refs = "0013 VarClearDeep 0019 OleVariantInt64AsDouble 004f @OleVarFromUInt64"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 75 13 66 C7 03 15 00 8B 45 08 89 43 08 8B 45 0C 89 43 0C EB 24 66 C7 03 05 00 8B 45 08 8B 55 0C 89 45 F8 81 EA 00 00 00 80 89 55 FC DF 6D F8 DC 05 ?? ?? ?? ?? DD 5B 08 9B 5B 59 59 5D C2 08 00 00 00 00 00 00 00 00 00 E0 43 }
	condition:
		$1
}

rule function_70386_0 {
	meta:
		name = "@VarFromByte"
		size = 31
		refs = "0010 VarClearDeep"
	strings:
		$1 = { 53 56 8B DA 8B F0 66 F7 06 E8 BF 74 07 8B C6 E8 ?? ?? ?? ?? 66 C7 06 11 00 88 5E 08 5E 5B C3 }
	condition:
		$1
}

rule function_70387_0 {
	meta:
		name = "@VarFromWord"
		size = 32
		refs = "0010 VarClearDeep"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 66 C7 03 12 00 66 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_70388_0 {
	meta:
		name = "@VarFromLongWord"
		size = 31
		refs = "0010 VarClearDeep"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 66 C7 03 13 00 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_70389_0 {
	meta:
		name = "@VarFromUInt64"
		size = 42
		refs = "0010 VarClearDeep"
	strings:
		$1 = { 55 8B EC 53 8B D8 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 66 C7 03 15 00 8B 45 08 89 43 08 8B 45 0C 89 43 0C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70390_0 {
	meta:
		name = "@VarFromShortInt"
		size = 31
		refs = "0010 VarClearDeep"
	strings:
		$1 = { 53 56 8B DA 8B F0 66 F7 06 E8 BF 74 07 8B C6 E8 ?? ?? ?? ?? 66 C7 06 10 00 88 5E 08 5E 5B C3 }
	condition:
		$1
}

rule function_70391_0 {
	meta:
		name = "@VarFromSmallInt"
		size = 32
		refs = "0010 VarClearDeep"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 66 C7 03 02 00 66 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_70392_0 {
	meta:
		name = "@VarFromInt64"
		size = 42
		refs = "0010 VarClearDeep"
	strings:
		$1 = { 55 8B EC 53 8B D8 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 66 C7 03 14 00 8B 45 08 89 43 08 8B 45 0C 89 43 0C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70393_0 {
	meta:
		name = "@VarFromSingle"
		size = 36
		refs = "0010 VarClearDeep"
	strings:
		$1 = { 55 8B EC 53 8B D8 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 43 08 66 C7 03 04 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_70394_0 {
	meta:
		name = "@VarFromDouble"
		size = 42
		refs = "0010 VarClearDeep"
	strings:
		$1 = { 55 8B EC 53 8B D8 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 43 08 8B 45 0C 89 43 0C 66 C7 03 05 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70395_0 {
	meta:
		name = "@VarFromCurrency"
		size = 42
		refs = "0010 VarClearDeep"
	strings:
		$1 = { 55 8B EC 53 8B D8 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 43 08 8B 45 0C 89 43 0C 66 C7 03 06 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70396_0 {
	meta:
		name = "@VarFromDate"
		size = 42
		refs = "0010 VarClearDeep"
	strings:
		$1 = { 55 8B EC 53 8B D8 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 43 08 8B 45 0C 89 43 0C 66 C7 03 07 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70397_0 {
	meta:
		name = "@VarFromBool"
		size = 38
		refs = "0010 VarClearDeep"
	strings:
		$1 = { 53 56 8B DA 8B F0 66 F7 06 E8 BF 74 07 8B C6 E8 ?? ?? ?? ?? 66 C7 06 0B 00 80 FB 01 F5 1B C0 66 89 46 08 5E 5B C3 }
	condition:
		$1
}

rule function_70398_0 {
	meta:
		name = "@VarFromReal"
		size = 30
		refs = "0009 @VarClear"
	strings:
		$1 = { 83 EC 08 DD 1C 24 9B 50 E8 ?? ?? ?? ?? 58 66 C7 00 05 00 DD 04 24 DD 58 08 9B 83 C4 08 C3 }
	condition:
		$1
}

rule function_70399_0 {
	meta:
		name = "@VarFromTDateTime"
		size = 30
		refs = "0009 @VarClear"
	strings:
		$1 = { 83 EC 08 DD 1C 24 9B 50 E8 ?? ?? ?? ?? 58 66 C7 00 07 00 DD 04 24 DD 58 08 9B 83 C4 08 C3 }
	condition:
		$1
}

rule function_70400_0 {
	meta:
		name = "@VarFromCurr"
		size = 30
		refs = "0009 @VarClear"
	strings:
		$1 = { 83 EC 08 DF 3C 24 9B 50 E8 ?? ?? ?? ?? 58 66 C7 00 06 00 DF 2C 24 DF 78 08 9B 83 C4 08 C3 }
	condition:
		$1
}

rule function_70401_0 {
	meta:
		name = "@VarFromLStr"
		size = 43
		refs = "0010 VarClearDeep 0024 @LStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 08 66 C7 03 00 01 8D 43 08 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70402_0 {
	meta:
		name = "@VarFromPStr"
		size = 84
		refs = "000f @VarFromPStr 0024 @LStrFromString 002e @VarFromLStr 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70411_0 {
	meta:
		name = "@OleVarFromPStr"
		size = 84
		refs = "000f @OleVarFromPStr 0024 @LStrFromString 002e @OleVarFromLStr 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70403_0 {
	meta:
		name = "@VarFromWStr"
		size = 54
		refs = "0010 VarClearDeep 002f @WStrCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 08 66 C7 03 08 00 8D 43 08 50 B9 FF FF FF 7F BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70404_0 {
	meta:
		name = "@VarFromUStr"
		size = 43
		refs = "0010 VarClearDeep 0024 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 08 66 C7 03 02 01 8D 43 08 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70406_0 {
	meta:
		name = "@VarFromIntf"
		size = 43
		refs = "0010 VarClearDeep 0024 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 08 66 C7 03 0D 00 8D 43 08 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70407_0 {
	meta:
		name = "@VarFromDisp"
		size = 43
		refs = "0010 VarClearDeep 0024 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 08 66 C7 03 09 00 8D 43 08 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70408_0 {
	meta:
		name = "@VarFromDynArray"
		size = 19
		refs = "0002 DynArrayToVariant 000e VarCastError"
	strings:
		$1 = { 50 E8 ?? ?? ?? ?? 58 66 83 38 00 75 05 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70412_0 {
	meta:
		name = "OleVarFromAny"
		size = 99
		refs = "0011 VariantInit 0019 OleVarFromAny 0029 @VarCopy 0032 ChangeAnyProc 0051 @VarClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 8B D8 8D 45 F0 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 FF 15 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70414_0 {
	meta:
		name = "@OleVarFromVar"
		size = 455
		refs = "0016 @OleVarFromVar 0042 VarClearDeep 008c @VarCast 00fc OleVariantInt64AsDouble 012c @OleVarFromLStr 0139 @WStrFromUStr 0143 @VarFromWStr 014e OleVarFromAny 015c OleVarFromVarArrayProc 0165 VarArrayCopyForEach 017c @VarCopy 0188 FindCustomVariantType 019f VarCastError 01b4 @WStrClr 01ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 3B 0C 40 75 11 8B 43 08 8B D0 8B C6 E8 ?? ?? ?? ?? E9 6B 01 00 00 66 F7 06 E8 BF 74 07 8B C6 E8 ?? ?? ?? ?? 0F B7 3B 0F B7 C7 3D 00 01 00 00 7F 18 0F 84 CD 00 00 00 83 C0 F0 83 E8 03 72 21 74 32 48 74 5B E9 E9 00 00 00 2D 01 01 00 00 0F 84 D3 00 00 00 48 0F 84 B5 00 00 00 E9 D2 00 00 00 8B D3 8B C6 B9 03 00 00 00 E8 ?? ?? ?? ?? E9 0E 01 00 00 F6 43 0B 80 74 13 8B D3 8B C6 B9 05 00 00 00 E8 ?? ?? ?? ?? E9 F5 00 00 00 8B D3 8B C6 B9 03 00 00 00 E8 ?? ?? ?? ?? E9 E2 00 00 00 83 7B 0C 00 75 0B 81 7B 08 FF FF FF 7F 77 2A EB 02 7F 26 83 7B 0C FF 75 0B 81 7B 08 00 00 00 80 72 17 EB 02 7C 13 8B D3 8B C6 B9 03 00 00 00 E8 ?? ?? ?? ?? E9 A9 00 00 00 80 3D ?? ?? ?? ?? 00 75 13 8B D3 8B C6 B9 14 00 00 00 E8 ?? ?? ?? ?? E9 8D 00 00 00 8B D3 8B C6 B9 05 00 00 00 E8 ?? ?? ?? ?? EB 7D 8B 53 08 8B C6 E8 ?? ?? ?? ?? EB 71 8D 45 F8 8B 53 08 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 5A 8B D3 8B C6 E8 ?? ?? ?? ?? EB 4F 66 F7 C7 00 20 74 10 B9 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? EB 38 8B C7 66 25 FF 0F 66 3D 0F 01 73 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 21 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0E 8B CB 8B D6 8B 45 FC 8B 18 FF 53 20 EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70415_0 {
	meta:
		name = "VarStrCat"
		size = 245
		refs = "0015 VarStrCat 002e @VarToLStr 0045 @LStrCat 004f @VarFromLStr 0061 @VarToUStr 0078 @UStrCat 0082 @VarFromUStr 008e @VarToWStr 00a5 @WStrCat 00af @VarFromWStr 00c9 @WStrArrayClr 00d6 @UStrArrayClr 00e3 @LStrArrayClr 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 03 66 3D 00 01 75 2D 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 5E 66 3D 02 01 75 2D 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 58 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? EB 2B 8D 45 EC 8B D3 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 45 E8 8B D6 E8 ?? ?? ?? ?? 8B 55 E8 58 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70416_0 {
	meta:
		name = "VarOpRare"
		size = 836
		refs = "0030 FindCustomVariantType 0039 VarInvalidOp 006d VariantInit 0075 VarOpRare 008a @VarCast 0095 @VarCopy 00a6 VarCastError 00bb @VarClear 00c1 @HandleFinally 0121 @VarOp"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 89 4D F4 89 55 F8 89 45 FC 8B 5D FC 0F B7 1B 8B C3 66 25 FF 0F 66 3D 0F 01 0F 83 1C 01 00 00 8D 55 E8 8B 45 F8 0F B7 00 E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 FD 02 00 00 8D 45 F2 50 8B 55 FC 8B 4D F4 8B 45 E8 8B 18 FF 53 04 84 C0 0F 84 82 00 00 00 8B 45 FC 0F B7 00 66 3B 45 F2 74 5F 8D 45 D8 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 4D F2 8B 55 FC 8D 45 D8 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 3B 45 F2 74 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 50 8B 4D F8 8B 55 FC 8B 45 E8 8B 18 FF 53 2C E9 61 02 00 00 8D 45 D8 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 0F B7 09 8B 55 F8 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 3B 45 D8 74 05 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 4D F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 05 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 55 F8 8B 4D F4 8B 45 EC 8B 18 FF 53 08 84 C0 0F 84 87 00 00 00 8B 45 F8 0F B7 00 66 3B 45 F0 74 64 8D 45 D8 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 4D F0 8B 55 F8 8D 45 D8 E8 ?? ?? ?? ?? 0F B7 45 D8 66 3B 45 F0 74 05 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 4D D8 8B 55 FC 8B 45 EC 8B 18 FF 53 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 50 8B 4D F8 8B 55 FC 8B 45 EC 8B 18 FF 53 2C E9 49 01 00 00 8B 5D F8 0F B7 1B 8B C3 66 25 FF 0F 66 3D 0F 01 0F 83 81 00 00 00 8B 45 F8 8B 45 FC 66 3B 18 74 63 8D 45 D8 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 0F B7 09 8B 55 FC 8D 45 D8 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 0F B7 00 8B 55 F8 66 3B 02 74 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F8 8B 45 FC 8B 4D F4 E8 ?? ?? ?? ?? E9 B2 00 00 00 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 9A 00 00 00 8D 45 F2 50 8B 55 FC 8B 4D F4 8B 45 E8 8B 18 FF 53 04 84 C0 74 7F 8B 45 FC 0F B7 00 66 3B 45 F2 74 5F 8D 45 D8 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 4D F2 8B 55 FC 8D 45 D8 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 3B 45 F2 74 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 50 8B 4D F8 8B 55 FC 8B 45 E8 8B 18 FF 53 2C EB 05 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70417_0 {
	meta:
		name = "CheckType"
		size = 43
		refs = "0023 VarInvalidOp"
	strings:
		$1 = { 53 66 BB FF 0F 66 23 D8 66 83 FB 15 76 19 66 81 FB 00 01 74 07 66 81 FB 02 01 75 06 66 BB 08 00 EB 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_70418_0 {
	meta:
		name = "AnyOp"
		size = 138
		refs = "001a ChangeAnyProc 002a VariantInit 0032 AnyOp 0042 @VarCopy 0057 @VarOp 006c @VarClear 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 66 81 3B 01 01 75 08 8B C3 FF 15 ?? ?? ?? ?? 66 81 3E 01 01 75 53 8D 45 F0 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 FF 15 ?? ?? ?? ?? 8D 55 F0 8B C3 8B CF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 8B CF E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70419_0 {
	meta:
		name = "RealOp"
		size = 146
		refs = "000f @VarToDouble 0067 VarInvalidOp 0075 VarClearDeep"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? DD 5C 24 08 9B 83 EF 01 72 0A 74 15 4F 74 1F 4F 74 29 EB 34 DD 04 24 DC 44 24 08 DD 1C 24 9B EB 2C DD 04 24 DC 64 24 08 DD 1C 24 9B EB 1F DD 04 24 DC 4C 24 08 DD 1C 24 9B EB 12 DD 04 24 DC 74 24 08 DD 1C 24 9B EB 05 E8 ?? ?? ?? ?? 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 43 08 8B 44 24 04 89 43 0C 66 C7 03 05 00 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70420_0 {
	meta:
		name = "DateOp"
		size = 114
		refs = "000f @VarToDate 0047 VarInvalidOp 0055 VarClearDeep"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? DD 5C 24 08 9B 83 EF 01 72 04 74 0F EB 1A DD 04 24 DC 44 24 08 DD 1C 24 9B EB 12 DD 04 24 DC 64 24 08 DD 1C 24 9B EB 05 E8 ?? ?? ?? ?? 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 43 08 8B 44 24 04 89 43 0C 66 C7 03 07 00 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70421_0 {
	meta:
		name = "IntOp"
		size = 282
		refs = "0016 @VarToInteger 0035 IntOp 00e3 VarInvalidOp 00f4 RealOp 0104 VarClearDeep"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 C6 45 F7 00 8B C3 E8 ?? ?? ?? ?? 89 45 FC 8B C6 E8 ?? ?? ?? ?? 89 45 F8 8B C7 83 F8 0A 0F 87 B0 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 55 F8 01 D0 0F 90 45 F7 89 45 FC EB 71 8B 45 FC 8B 55 F8 29 D0 0F 90 45 F7 89 45 FC EB 60 8B 45 FC 8B 55 F8 F7 EA 0F 90 45 F7 89 45 FC EB 4F C6 45 F7 01 EB 49 8B 4D F8 8B 45 FC 99 F7 F9 89 45 FC EB 3B 8B 4D F8 8B 45 FC 99 F7 F9 89 55 FC EB 2D 8B 4D F8 D3 65 FC EB 25 8B 4D F8 D3 6D FC EB 1D 8B 45 F8 21 45 FC EB 15 8B 45 F8 09 45 FC EB 0D 8B 45 F8 31 45 FC EB 05 E8 ?? ?? ?? ?? 80 7D F7 00 74 0D 8B D6 8B C3 8B CF E8 ?? ?? ?? ?? EB 19 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 43 08 66 C7 03 03 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70422_0 {
	meta:
		name = "Int64Op"
		size = 501
		refs = "0018 @VarToInt64 003f Int64Op 00c1 @_llmul 00d9 @HandleOnException 00e1 _Dn_EOverflow 00f6 @RaiseAgain 00fb @DoneExcept 0118 @_lldiv 0134 @_llmod 014c @_llshl 0164 @_llushr 01ad VarInvalidOp 01bf RealOp 01d3 VarClearDeep"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 DB 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 8B 45 F4 83 F8 0A 0F 87 70 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 E8 01 72 07 74 19 48 74 2A EB 3F 8B 45 E8 8B 55 EC 03 45 E0 13 55 E4 89 45 E8 89 55 EC EB 2B 8B 45 E8 8B 55 EC 2B 45 E0 1B 55 E4 89 45 E8 89 55 EC EB 17 FF 75 E4 FF 75 E0 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 33 C0 5A 59 59 64 89 10 E9 D9 00 00 00 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? B3 01 EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AD 00 00 00 B3 01 E9 A6 00 00 00 FF 75 E4 FF 75 E0 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 89 45 E8 89 55 EC E9 8A 00 00 00 FF 75 E4 FF 75 E0 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 89 45 E8 89 55 EC EB 71 8B 45 E0 8B C8 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 89 45 E8 89 55 EC EB 59 8B 45 E0 8B C8 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 89 45 E8 89 55 EC EB 41 8B 45 E8 8B 55 EC 23 45 E0 23 55 E4 89 45 E8 89 55 EC EB 2D 8B 45 E8 8B 55 EC 0B 45 E0 0B 55 E4 89 45 E8 89 55 EC EB 19 8B 45 E8 8B 55 EC 33 45 E0 33 55 E4 89 45 E8 89 55 EC EB 05 E8 ?? ?? ?? ?? 84 DB 74 10 8B 55 F8 8B 45 FC 8B 4D F4 E8 ?? ?? ?? ?? EB 29 8B 45 FC 66 F7 00 E8 BF 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 55 E8 89 50 08 8B 55 EC 89 50 0C 8B 45 FC 66 C7 00 14 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70423_0 {
	meta:
		name = "UInt64Op"
		size = 501
		refs = "0018 @VarToUInt64 003f UInt64Op 00c1 @_llmul 00d9 @HandleOnException 00e1 _Dn_EOverflow 00f6 @RaiseAgain 00fb @DoneExcept 0118 @_lludiv 0134 @_llumod 014c @_llshl 0164 @_llushr 01ad VarInvalidOp 01bf RealOp 01d3 VarClearDeep"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 DB 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 8B 45 F4 83 F8 0A 0F 87 70 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 E8 01 72 07 74 19 48 74 2A EB 3F 8B 45 E8 8B 55 EC 03 45 E0 13 55 E4 89 45 E8 89 55 EC EB 2B 8B 45 E8 8B 55 EC 2B 45 E0 1B 55 E4 89 45 E8 89 55 EC EB 17 FF 75 E4 FF 75 E0 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 33 C0 5A 59 59 64 89 10 E9 D9 00 00 00 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? B3 01 EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AD 00 00 00 B3 01 E9 A6 00 00 00 FF 75 E4 FF 75 E0 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 89 45 E8 89 55 EC E9 8A 00 00 00 FF 75 E4 FF 75 E0 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 89 45 E8 89 55 EC EB 71 8B 45 E0 8B C8 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 89 45 E8 89 55 EC EB 59 8B 45 E0 8B C8 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 89 45 E8 89 55 EC EB 41 8B 45 E8 8B 55 EC 23 45 E0 23 55 E4 89 45 E8 89 55 EC EB 2D 8B 45 E8 8B 55 EC 0B 45 E0 0B 55 E4 89 45 E8 89 55 EC EB 19 8B 45 E8 8B 55 EC 33 45 E0 33 55 E4 89 45 E8 89 55 EC EB 05 E8 ?? ?? ?? ?? 84 DB 74 10 8B 55 F8 8B 45 FC 8B 4D F4 E8 ?? ?? ?? ?? EB 29 8B 45 FC 66 F7 00 E8 BF 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 55 E8 89 50 08 8B 55 EC 89 50 0C 8B 45 FC 66 C7 00 15 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70424_0 {
	meta:
		name = "NullOp"
		size = 169
		refs = "0022 @VarToBoolean 002d @VarNull 0038 @VarCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 E9 08 74 08 49 74 4B E9 8C 00 00 00 66 83 3B 01 75 25 66 83 3E 01 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 73 8B D6 8B C3 E8 ?? ?? ?? ?? EB 68 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5D 66 83 3E 01 75 57 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 66 83 3B 01 75 25 66 83 3E 01 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 09 8B C3 E8 ?? ?? ?? ?? EB 2D 8B D6 8B C3 E8 ?? ?? ?? ?? EB 22 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 66 83 3E 01 75 11 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70425_0 {
	meta:
		name = "EmptyOp"
		size = 149
		refs = "000c EmptyOp 0027 SZeroDivide 002c LoadResString 0036 _Dn_EZeroDivide 003b Exception.Create 0040 @RaiseExcept 004a SDivByZero 0059 _Dn_EDivByZero 006a @VarClear 0084 @UStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 E9 03 74 08 49 83 E9 02 72 25 EB 46 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70426_0 {
	meta:
		name = "CurrOp"
		size = 392
		refs = "0023 @VarToCurrency 008a CurrOp 00cb @VarToDouble 00ed VarClearDeep 0157 IntOp"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 8B D8 8B C1 83 E8 01 72 0D 74 2B 48 83 E8 02 72 45 E9 32 01 00 00 8B C3 E8 ?? ?? ?? ?? DF 7D F0 9B 8B C6 E8 ?? ?? ?? ?? DF 6D F0 DE C1 DF 7D F8 9B E9 1D 01 00 00 8B C3 E8 ?? ?? ?? ?? DF 7D F0 9B 8B C6 E8 ?? ?? ?? ?? DF 6D F0 DE E1 DF 7D F8 9B E9 FD 00 00 00 80 7D 0C 05 75 57 80 7D 08 05 75 51 83 F9 02 75 26 8B C3 E8 ?? ?? ?? ?? DF 7D F0 9B 8B C6 E8 ?? ?? ?? ?? DF 6D F0 DE C9 D8 35 ?? ?? ?? ?? DF 7D F8 9B E9 C6 00 00 00 8B C3 E8 ?? ?? ?? ?? DF 7D F0 9B 8B C6 E8 ?? ?? ?? ?? DF 6D F0 DE F1 D8 0D ?? ?? ?? ?? DF 7D F8 9B E9 A0 00 00 00 80 7D 08 05 75 50 83 F9 02 75 1B 8B C3 E8 ?? ?? ?? ?? DD 5D F0 9B 8B C6 E8 ?? ?? ?? ?? DC 4D F0 DF 7D F8 9B EB 7A 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? DF 7D F0 9B 8B C6 E8 ?? ?? ?? ?? DF 6D F0 DE F1 DD 5B 08 9B 66 C7 03 05 00 EB 69 83 F9 02 75 1D 8B C3 E8 ?? ?? ?? ?? DF 7D F0 9B 8B C6 E8 ?? ?? ?? ?? DF 6D F0 DE C9 DF 7D F8 9B EB 28 8B C3 E8 ?? ?? ?? ?? DF 7D F0 9B 8B C6 E8 ?? ?? ?? ?? DF 6D F0 DE F1 DF 7D F8 9B EB 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 1F 66 F7 03 E8 BF 74 07 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 89 43 08 8B 45 FC 89 43 0C 66 C7 03 06 00 5E 5B 8B E5 5D C2 08 00 00 40 1C 46 }
	condition:
		$1
}

rule function_70427_0 {
	meta:
		name = "SimpleVarOp"
		size = 673
		refs = "000f CheckType 0019 BaseTypeMap 003f OpTypeMap 0053 SimpleVarOp 0088 VarInvalidOp 0098 NullOp 00a8 EmptyOp 00bd RealOp 00cd IntOp 0109 CurrOp 011b VarStrCat 0186 @VarToBoolean 01a2 @VarFromBool 020b DateOp 0264 Int64Op 0283 UInt64Op 0290 AnyOp"
	strings:
		$1 = { 53 56 57 55 51 8B E9 8B FA 8B F0 0F B7 06 E8 ?? ?? ?? ?? 0F B7 C0 0F B6 98 ?? ?? ?? ?? 0F B7 07 E8 ?? ?? ?? ?? 0F B7 C0 0F B6 80 ?? ?? ?? ?? 88 04 24 0F B6 04 24 0F B6 D3 8D 14 52 8D 14 95 ?? ?? ?? ?? 0F B6 04 02 83 F8 0B 0F 87 46 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0A 02 00 00 8B D7 8B C6 8B CD E8 ?? ?? ?? ?? E9 FA 01 00 00 8B D7 8B C6 8B CD E8 ?? ?? ?? ?? E9 EA 01 00 00 83 FD 03 75 10 8B D7 8B C6 8B CD E8 ?? ?? ?? ?? E9 D5 01 00 00 8B D7 8B C6 8B CD E8 ?? ?? ?? ?? E9 C5 01 00 00 83 FD 04 7C 10 8B D7 8B C6 8B CD E8 ?? ?? ?? ?? E9 B0 01 00 00 8B D7 8B C6 8B CD E8 ?? ?? ?? ?? E9 A0 01 00 00 53 0F B6 44 24 04 50 8B D7 8B C6 8B CD E8 ?? ?? ?? ?? E9 89 01 00 00 85 ED 75 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E9 77 01 00 00 83 FD 04 7C 10 8B D7 8B C6 8B CD E8 ?? ?? ?? ?? E9 62 01 00 00 8B D7 8B C6 8B CD E8 ?? ?? ?? ?? E9 52 01 00 00 83 FD 08 7D 25 83 FD 04 7C 10 8B D7 8B C6 8B CD E8 ?? ?? ?? ?? E9 38 01 00 00 8B D7 8B C6 8B CD E8 ?? ?? ?? ?? E9 28 01 00 00 83 ED 08 74 0B 4D 74 30 4D 74 55 E9 18 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C7 E8 ?? ?? ?? ?? 84 C0 75 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? E9 F0 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C7 E8 ?? ?? ?? ?? 84 C0 75 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? E9 C8 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 32 D8 8B D3 8B C6 E8 ?? ?? ?? ?? E9 A8 00 00 00 8B C5 83 E8 01 72 0A 74 18 48 83 E8 02 72 2F EB 3A 8B D7 8B C6 8B CD E8 ?? ?? ?? ?? E9 87 00 00 00 8B D7 8B C6 8B CD E8 ?? ?? ?? ?? 80 FB 08 75 77 80 3C 24 08 75 71 66 C7 06 05 00 EB 6A 8B D7 8B C6 8B CD E8 ?? ?? ?? ?? EB 5D 8B D7 8B C6 8B CD E8 ?? ?? ?? ?? EB 50 83 FD 03 75 0D 8B D7 8B C6 8B CD E8 ?? ?? ?? ?? EB 3E 8B D7 8B C6 8B CD E8 ?? ?? ?? ?? EB 31 83 FD 03 75 0D 8B D7 8B C6 8B CD E8 ?? ?? ?? ?? EB 1F 8B D7 8B C6 8B CD E8 ?? ?? ?? ?? EB 12 8B D7 8B C6 8B CD E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70428_0 {
	meta:
		name = "@VarOp"
		size = 142
		refs = "0023 SimpleVarOp 0034 @VarCopyNoInd 003f @VarOp 0086 VarOpRare"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 0F B7 03 0F B7 16 66 3D 0F 01 73 14 66 81 FA 0F 01 73 0D 8B D6 8B C3 8B CF E8 ?? ?? ?? ?? EB 61 66 3D 0C 40 75 16 8B D3 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B CF E8 ?? ?? ?? ?? EB 45 66 81 FA 0C 40 75 10 8B 46 08 8B D0 8B C3 8B CF E8 ?? ?? ?? ?? EB 2E 66 25 FF 0F 66 3D 0F 01 73 19 66 81 E2 FF 0F 66 81 FA 0F 01 73 0D 8B D6 8B C3 8B CF E8 ?? ?? ?? ?? EB 0B 8B D6 8B C3 8B CF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70429_0 {
	meta:
		name = "VarCompareAny"
		size = 213
		refs = "0014 VariantInit 001c VarCompareAny 002c @VarCopy 003c ChangeAnyProc 007a VarCompare 0092 @VarClear 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F9 8B DA 8B F0 8D 45 EF 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8D 45 EF E8 ?? ?? ?? ?? 66 81 3E 01 01 75 09 8D 45 EF FF 15 ?? ?? ?? ?? 66 81 3B 01 01 75 57 8D 45 DF 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 DF E8 ?? ?? ?? ?? 8D 45 DF FF 15 ?? ?? ?? ?? 8D 55 DF 8D 45 EF 8B CF E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D3 8D 45 EF 8B CF E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70430_0 {
	meta:
		name = "EmptyCompare"
		size = 19
	strings:
		$1 = { 3C 01 75 0C 80 FA 01 75 04 B0 01 EB 05 33 C0 C3 B0 02 C3 }
	condition:
		$1
}

rule function_70431_0 {
	meta:
		name = "NullCompare"
		size = 241
		refs = "0023 NullEqualityRule 0038 VarInvalidNullOp 0044 CBooleanToRelationship 00af NullMagnitudeRule 00e8 VarInvalidOp"
	strings:
		$1 = { 53 51 88 14 24 B3 01 8B D1 83 EA 0E 74 12 4A 74 5B 4A 83 EA 04 0F 82 91 00 00 00 E9 C7 00 00 00 0F B6 15 ?? ?? ?? ?? 80 EA 01 72 0B 74 13 FE CA 74 1B E9 B5 00 00 00 E8 ?? ?? ?? ?? E9 AB 00 00 00 0F B6 1D ?? ?? ?? ?? E9 9F 00 00 00 3C 02 75 06 80 3C 24 02 74 04 33 C0 EB 02 B0 01 83 E0 7F 0F B6 98 ?? ?? ?? ?? E9 80 00 00 00 0F B6 15 ?? ?? ?? ?? 80 EA 01 72 08 74 0D FE CA 74 12 EB 6C E8 ?? ?? ?? ?? EB 65 0F B6 1D ?? ?? ?? ?? EB 5C 3C 02 75 0A 80 3C 24 02 75 04 33 C0 EB 02 B0 01 83 E0 7F 0F B6 98 ?? ?? ?? ?? EB 40 0F B6 15 ?? ?? ?? ?? 80 EA 01 72 08 74 0D FE CA 74 13 EB 2C E8 ?? ?? ?? ?? EB 25 0F B6 1C 4D ?? ?? ?? ?? EB 1B 3C 02 75 0E 80 3C 24 02 75 04 B3 01 EB 0D 33 DB EB 09 B3 02 EB 05 E8 ?? ?? ?? ?? 8B C3 5A 5B C3 }
	condition:
		$1
}

rule function_70432_0 {
	meta:
		name = "IntCompare"
		size = 18
	strings:
		$1 = { 3B D0 7E 03 33 C0 C3 3B D0 7D 04 B0 02 EB 02 B0 01 C3 }
	condition:
		$1
}

rule function_70433_0 {
	meta:
		name = "Int64Compare"
		size = 57
	strings:
		$1 = { 55 8B EC 8B 45 10 8B 55 14 3B 55 0C 75 07 3B 45 08 73 08 EB 02 7D 04 33 C0 EB 1A 8B 45 10 8B 55 14 3B 55 0C 75 07 3B 45 08 76 08 EB 02 7E 04 B0 02 EB 02 B0 01 5D C2 10 00 }
	condition:
		$1
}

rule function_70434_0 {
	meta:
		name = "UInt64Compare"
		size = 49
	strings:
		$1 = { 55 8B EC 8B 45 10 8B 55 14 3B 55 0C 75 03 3B 45 08 73 04 33 C0 EB 16 8B 45 10 8B 55 14 3B 55 0C 75 03 3B 45 08 76 04 B0 02 EB 02 B0 01 5D C2 10 00 }
	condition:
		$1
}

rule function_70435_0 {
	meta:
		name = "DateCompare"
		size = 41
		altNames = "RealCompare"
	strings:
		$1 = { 55 8B EC DD 45 10 DC 5D 08 9B DF E0 9E 73 04 33 C0 EB 12 DD 45 10 DC 5D 08 9B DF E0 9E 76 04 B0 02 EB 02 B0 01 5D C2 10 00 }
	condition:
		$1
}

rule function_70437_0 {
	meta:
		name = "CurrCompare"
		size = 45
	strings:
		$1 = { 55 8B EC DF 6D 10 DF 6D 08 DE D9 9B DF E0 9E 76 04 33 C0 EB 14 DF 6D 10 DF 6D 08 DE D9 9B DF E0 9E 73 04 B0 02 EB 02 B0 01 5D C2 10 00 }
	condition:
		$1
}

rule function_70438_0 {
	meta:
		name = "StringCompare"
		size = 105
		refs = "000e StringCompare 001e @VarToUStr 0033 CompareStr 003a IntCompare 0056 @UStrArrayClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8D 45 FC E8 ?? ?? ?? ?? 8B D3 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70439_0 {
	meta:
		name = "VarCompareSimple"
		size = 437
		refs = "000f CheckType 0019 BaseTypeMap 003f CmpTypeMap 0053 VarCompareSimple 0088 VarInvalidOp 009a EmptyCompare 00ac NullCompare 00b8 @VarToInteger 00c6 IntCompare 00d2 @VarToInt64 00e2 Int64Compare 00ee @VarToUInt64 00fe UInt64Compare 010a @VarToDouble 0124 RealCompare 0130 @VarToDate 014a DateCompare 0153 @VarToCurrency 016d CurrCompare 0178 StringCompare 0181 @VarToBoolean 01a2 VarCompareAny"
	strings:
		$1 = { 53 56 57 55 51 8B E9 8B FA 8B F0 0F B7 06 E8 ?? ?? ?? ?? 0F B7 C0 0F B6 98 ?? ?? ?? ?? 0F B7 07 E8 ?? ?? ?? ?? 0F B7 C0 0F B6 80 ?? ?? ?? ?? 88 04 24 0F B6 04 24 0F B6 D3 8D 14 52 8D 14 95 ?? ?? ?? ?? 0F B6 04 02 83 F8 0B 0F 87 58 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 E9 1C 01 00 00 0F B6 14 24 8B C3 E8 ?? ?? ?? ?? E9 0C 01 00 00 0F B6 14 24 8B C3 8B CD E8 ?? ?? ?? ?? E9 FA 00 00 00 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? E9 E0 00 00 00 8B C6 E8 ?? ?? ?? ?? 52 50 8B C7 E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? E9 C4 00 00 00 8B C6 E8 ?? ?? ?? ?? 52 50 8B C7 E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? E9 A8 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C7 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? E9 82 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C7 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? EB 5F 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B C7 E8 ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B E8 ?? ?? ?? ?? EB 3C 8B D7 8B C6 E8 ?? ?? ?? ?? EB 31 8B C7 E8 ?? ?? ?? ?? 83 E0 7F 50 8B C6 E8 ?? ?? ?? ?? 83 E0 7F 5A E8 ?? ?? ?? ?? EB 14 8B D7 8B C6 8B CD E8 ?? ?? ?? ?? EB 07 E8 ?? ?? ?? ?? B0 01 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70440_0 {
	meta:
		name = "VarCompareRare"
		size = 1054
		refs = "0031 EmptyCompare 004b NullCompare 0061 FindCustomVariantType 006a VarInvalidOp 009c VariantInit 00a4 VarCompareRare 00b8 @VarCast 00cb VarCastError 00ea CBooleanToRelationship 0107 @VarClear 010d @HandleFinally 017e VarCompareSimple"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 89 4D F8 89 55 FC 8B D8 C6 45 F7 01 0F B7 33 8B C6 66 25 FF 0F 66 3D 0F 01 0F 83 7B 01 00 00 66 85 F6 75 11 33 D2 B0 01 E8 ?? ?? ?? ?? 88 45 F7 E9 D7 03 00 00 66 83 FE 01 75 14 8B 4D F8 33 D2 B0 02 E8 ?? ?? ?? ?? 88 45 F7 E9 BD 03 00 00 8D 55 E8 8B 45 FC 0F B7 00 E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 A1 03 00 00 8D 45 F4 50 8B D3 B9 0B 00 00 00 8B 45 E8 8B 30 FF 56 04 84 C0 0F 84 B0 00 00 00 0F B7 03 66 3B 45 F4 74 7C 8D 45 D8 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 4D F4 8B D3 8D 45 D8 E8 ?? ?? ?? ?? 0F B7 45 D8 66 25 FF 0F 66 3B 45 F4 74 05 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D FC 8D 55 D8 8B 45 E8 8B 18 FF 53 34 83 E0 7F 8B 55 F8 8D 14 55 ?? ?? ?? ?? 0F B6 44 02 E4 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 50 8B 4D FC 8B D3 8B 45 E8 8B 18 FF 53 34 83 E0 7F 8B 55 F8 8D 14 55 ?? ?? ?? ?? 0F B6 44 02 E4 88 45 F7 E9 D6 02 00 00 8D 45 D8 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 0B 8B 55 FC 8D 45 D8 E8 ?? ?? ?? ?? 0F B7 45 D8 66 25 FF 0F 66 3B 03 74 05 E8 ?? ?? ?? ?? 8D 55 D8 8B C3 8B 4D F8 E8 ?? ?? ?? ?? 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 0F B7 00 66 85 C0 75 11 B2 01 33 C0 E8 ?? ?? ?? ?? 88 45 F7 E9 56 02 00 00 66 83 F8 01 75 14 8B 4D F8 B2 02 33 C0 E8 ?? ?? ?? ?? 88 45 F7 E9 3C 02 00 00 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 24 02 00 00 8D 45 F2 50 8B 55 FC B9 0B 00 00 00 8B 45 EC 8B 30 FF 56 08 84 C0 0F 84 AF 00 00 00 8B 45 FC 0F B7 00 66 3B 45 F2 74 78 8D 45 D8 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 4D F2 8B 55 FC 8D 45 D8 E8 ?? ?? ?? ?? 0F B7 45 D8 66 3B 45 F2 74 05 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 4D D8 8B D3 8B 45 EC 8B 18 FF 53 34 83 E0 7F 8B 55 F8 8D 14 55 ?? ?? ?? ?? 0F B6 44 02 E4 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 50 8B 4D FC 8B D3 8B 45 EC 8B 18 FF 53 34 83 E0 7F 8B 55 F8 8D 14 55 ?? ?? ?? ?? 0F B6 44 02 E4 88 45 F7 E9 59 01 00 00 8B 75 FC 0F B7 36 8B C6 66 25 FF 0F 66 3D 0F 01 73 66 8D 45 D8 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 0F B7 09 8B D3 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 3B 45 D8 74 05 E8 ?? ?? ?? ?? 8B 55 FC 8D 45 D8 8B 4D F8 E8 ?? ?? ?? ?? 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 C9 00 00 00 8D 45 F4 50 8B D3 B9 0B 00 00 00 8B 45 E8 8B 30 FF 56 04 84 C0 0F 84 A9 00 00 00 0F B7 03 66 3B 45 F4 74 78 8D 45 D8 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 4D F4 8B D3 8D 45 D8 E8 ?? ?? ?? ?? 0F B7 45 D8 66 3B 45 F4 74 05 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D FC 8D 55 D8 8B 45 E8 8B 18 FF 53 34 83 E0 7F 8B 55 F8 8D 14 55 ?? ?? ?? ?? 0F B6 44 02 E4 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 50 8B 4D FC 8B D3 8B 45 E8 8B 18 FF 53 34 83 E0 7F 8B 55 F8 8D 14 55 ?? ?? ?? ?? 0F B6 44 02 E4 88 45 F7 EB 05 E8 ?? ?? ?? ?? 0F B6 45 F7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70441_0 {
	meta:
		name = "VarCompare"
		size = 140
		refs = "0025 VarCompareSimple 003a VarCompare 0084 VarCompareRare"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 0F B7 03 0F B7 16 66 3D 0F 01 73 15 66 81 FA 0F 01 73 0E 8B D6 8B C3 8B 0C 24 E8 ?? ?? ?? ?? EB 5D 66 3D 0C 40 75 0F 8B D6 8B 43 08 8B 0C 24 E8 ?? ?? ?? ?? EB 48 66 81 FA 0C 40 75 11 8B 46 08 8B D0 8B C3 8B 0C 24 E8 ?? ?? ?? ?? EB 30 66 25 FF 0F 66 3D 0F 01 73 1A 66 81 E2 FF 0F 66 81 FA 0F 01 73 0E 8B D6 8B C3 8B 0C 24 E8 ?? ?? ?? ?? EB 0C 8B D6 8B C3 8B 0C 24 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_70442_0 {
	meta:
		name = "NegateAsDouble"
		size = 21
		refs = "0006 @VarToDouble 000f @VarFromReal"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? D9 E0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70443_0 {
	meta:
		name = "NegateViaOS"
		size = 21
		refs = "0006 VarNeg 000f VarResultCheck"
	strings:
		$1 = { 53 8B D8 53 53 A1 ?? ?? ?? ?? 8B 00 FF D0 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70454_0 {
	meta:
		name = "NotViaOS"
		size = 21
		refs = "0006 VarNot 000f VarResultCheck"
	strings:
		$1 = { 53 8B D8 53 53 A1 ?? ?? ?? ?? 8B 00 FF D0 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70445_0 {
	meta:
		name = "NegateByte"
		size = 16
	strings:
		$1 = { 0F B6 C0 66 F7 D8 66 89 42 08 66 C7 02 02 00 C3 }
	condition:
		$1
}

rule function_70446_0 {
	meta:
		name = "NegateWord"
		size = 14
	strings:
		$1 = { 0F B7 C0 F7 D8 89 42 08 66 C7 02 03 00 C3 }
	condition:
		$1
}

rule function_70447_0 {
	meta:
		name = "NegateLongWord"
		size = 49
	strings:
		$1 = { 53 8B CA 8B D8 F7 C3 00 00 00 80 74 18 8B C3 33 D2 F7 D8 83 D2 00 F7 DA 89 41 08 89 51 0C 66 C7 01 14 00 5B C3 F7 DB 89 59 08 66 C7 01 03 00 5B C3 }
	condition:
		$1
}

rule function_70448_0 {
	meta:
		name = "NegateUInt64"
		size = 33
	strings:
		$1 = { 55 8B EC 8B C8 8B 45 08 8B 55 0C F7 D8 83 D2 00 F7 DA 89 41 08 89 51 0C 66 C7 01 14 00 5D C2 08 00 }
	condition:
		$1
}

rule function_70449_0 {
	meta:
		name = "NegateAny"
		size = 20
		refs = "0007 ChangeAnyProc 000e @VarNeg"
	strings:
		$1 = { 53 8B D8 8B C3 FF 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70456_0 {
	meta:
		name = "NotAny"
		size = 20
		refs = "0007 ChangeAnyProc 000e @VarNot"
	strings:
		$1 = { 53 8B D8 8B C3 FF 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70450_0 {
	meta:
		name = "NegateCustom"
		size = 42
		refs = "000b FindCustomVariantType"
	strings:
		$1 = { 53 56 51 8B F0 8B D4 0F B7 06 E8 ?? ?? ?? ?? 8B D8 84 DB 74 0F 8B D6 B9 0C 00 00 00 8B 04 24 8B 30 FF 56 30 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_70451_0 {
	meta:
		name = "@VarNeg"
		size = 813
		refs = "0015 @VarNeg 0076 NegateByte 00b6 NegateAsDouble 00cf CTruth 00f5 NegateWord 0101 NegateLongWord 0125 NegateUInt64 0131 NegateVariant 013a NegateViaOS 0170 NegateAny 01ff @VarFromInt 0227 @VarFromReal 024d @VarFromCurr 02ed @VarFromInt64 031c NegateCustom"
	strings:
		$1 = { 53 8B D8 0F B7 03 0F B7 D0 83 FA 15 0F 87 2E 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D3 33 C0 E8 ?? ?? ?? ?? 5B C3 66 F7 5B 08 5B C3 F7 5B 08 5B C3 D9 43 08 D9 E0 D9 5B 08 9B 5B C3 DD 43 08 D9 E0 DD 5B 08 9B 5B C3 DF 6B 08 D9 E0 DF 7B 08 9B 5B C3 DD 43 08 D9 E0 DD 5B 08 9B 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 66 83 7B 08 01 1B C0 40 3C 01 0F 94 C0 83 E0 7F 0F B6 80 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5B C3 F6 5B 08 5B C3 8B D3 0F B6 43 08 E8 ?? ?? ?? ?? 5B C3 8B D3 0F B7 43 08 E8 ?? ?? ?? ?? 5B C3 8B D3 8B 43 08 E8 ?? ?? ?? ?? 5B C3 8B 43 08 8B 53 0C F7 D8 83 D2 00 F7 DA 89 43 08 89 53 0C 5B C3 FF 73 0C FF 73 08 8B C3 E8 ?? ?? ?? ?? 5B C3 8B D3 8B 43 08 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 8B D0 66 81 EA 00 01 74 0C 66 FF CA 74 1F 66 FF CA 74 0E EB 24 8B C3 E8 ?? ?? ?? ?? E9 CA 01 00 00 8B C3 E8 ?? ?? ?? ?? E9 BE 01 00 00 8B C3 E8 ?? ?? ?? ?? E9 B2 01 00 00 F6 C4 40 0F 84 97 01 00 00 0F B7 C0 25 FF BF FF FF 83 F8 15 0F 87 7D 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 8B 53 08 0F BF 12 F7 DA B1 FC E8 ?? ?? ?? ?? E9 23 01 00 00 8B C3 8B 53 08 8B 12 F7 DA B1 FC E8 ?? ?? ?? ?? E9 0E 01 00 00 8B 43 08 D9 00 D9 E0 8B C3 E8 ?? ?? ?? ?? E9 FB 00 00 00 8B 43 08 DD 00 D9 E0 8B C3 E8 ?? ?? ?? ?? E9 E8 00 00 00 8B 43 08 DF 28 D9 E0 8B C3 E8 ?? ?? ?? ?? E9 D5 00 00 00 8B 43 08 DD 00 D9 E0 8B C3 E8 ?? ?? ?? ?? E9 C2 00 00 00 8B C3 E8 ?? ?? ?? ?? E9 B6 00 00 00 8B 43 08 66 83 38 01 1B C0 40 3C 01 0F 94 C0 83 E0 7F 0F B6 80 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? E9 91 00 00 00 8B C3 8B 53 08 0F BE 12 F7 DA B1 FC E8 ?? ?? ?? ?? EB 7E 8B D3 8B 43 08 0F B6 00 E8 ?? ?? ?? ?? EB 6F 8B D3 8B 43 08 0F B7 00 E8 ?? ?? ?? ?? EB 60 8B D3 8B 43 08 8B 00 E8 ?? ?? ?? ?? EB 52 8B 43 08 8B 50 04 8B 00 F7 D8 83 D2 00 F7 DA 52 50 8B C3 E8 ?? ?? ?? ?? EB 38 8B 43 08 FF 70 04 FF 30 8B C3 E8 ?? ?? ?? ?? EB 27 8B D3 8B 43 08 E8 ?? ?? ?? ?? EB 1B 8B C3 E8 ?? ?? ?? ?? EB 12 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70452_0 {
	meta:
		name = "NotAsString"
		size = 211
		refs = "0010 NotAsString 0020 @VarToWStr 0034 VarI4FromStr 0058 @VarFromInt 0065 @UStrFromWStr 0070 TryStrToInt 008b @VarToBoolean 0097 @VarFromBool 00a5 VarResultCheck 00ba @UStrClr 00c2 @WStrClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 6A 00 68 00 04 00 00 8B 45 FC 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D0 81 EA 05 00 02 80 74 18 81 EA FB FF FD 7F 75 4F 8B C3 8B 55 F8 F7 D2 B1 FC E8 ?? ?? ?? ?? EB 4B 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 8B 55 F8 F7 D2 B1 FC E8 ?? ?? ?? ?? EB 21 8B C3 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B C3 E8 ?? ?? ?? ?? EB 0C 0F B7 13 66 B9 03 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70453_0 {
	meta:
		name = "NotAsOrdinal"
		size = 102
		refs = "0009 @VarToInt64 0048 @VarFromInt 005e @VarFromInt64"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 83 7C 24 04 00 75 0B 81 3C 24 FF FF FF 7F 77 2A EB 02 7F 26 83 7C 24 04 FF 75 0B 81 3C 24 00 00 00 80 72 16 EB 02 7C 12 8B 04 24 8B D0 F7 D2 8B C3 B1 FC E8 ?? ?? ?? ?? EB 14 8B 04 24 8B 54 24 04 F7 D0 F7 D2 52 50 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_70457_0 {
	meta:
		name = "NotCustom"
		size = 42
		refs = "000b FindCustomVariantType"
	strings:
		$1 = { 53 56 51 8B F0 8B D4 0F B7 06 E8 ?? ?? ?? ?? 8B D8 84 DB 74 0F 8B D6 B9 0D 00 00 00 8B 04 24 8B 30 FF 56 30 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_70458_0 {
	meta:
		name = "@VarNot"
		size = 708
		refs = "0015 @VarNot 007b @VarFromInt 008f NotAsOrdinal 0098 NotAsString 00f3 NotVariant 00fc NotViaOS 0132 NotAny 020c @VarFromBool 027e @VarFromInt64 0295 @VarFromUInt64 02b3 NotCustom"
	strings:
		$1 = { 53 8B D8 0F B7 03 0F B7 D0 83 FA 15 0F 87 F0 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA FF FF FF FF B1 FF E8 ?? ?? ?? ?? 5B C3 66 F7 53 08 5B C3 F7 53 08 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 0F B7 43 08 66 83 F8 01 1B C0 F7 D8 F6 D8 1B C0 66 89 43 08 5B C3 F6 53 08 5B C3 F6 53 08 5B C3 66 F7 53 08 5B C3 F7 53 08 5B C3 8B 43 08 8B 53 0C F7 D0 F7 D2 89 43 08 89 53 0C 5B C3 8B 43 08 8B 53 0C F7 D0 F7 D2 89 43 08 89 53 0C 5B C3 8B D3 8B 43 08 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 8B D0 66 81 EA 00 01 74 0C 66 FF CA 74 1F 66 FF CA 74 0E EB 24 8B C3 E8 ?? ?? ?? ?? E9 9F 01 00 00 8B C3 E8 ?? ?? ?? ?? E9 93 01 00 00 8B C3 E8 ?? ?? ?? ?? E9 87 01 00 00 F6 C4 40 0F 84 6C 01 00 00 0F B7 C0 25 FF BF FF FF 83 F8 15 0F 87 52 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 8B 53 08 0F B7 12 66 F7 D2 0F BF D2 B1 FE E8 ?? ?? ?? ?? E9 F4 00 00 00 8B C3 8B 53 08 8B 12 F7 D2 B1 FC E8 ?? ?? ?? ?? E9 DF 00 00 00 8B C3 E8 ?? ?? ?? ?? E9 D3 00 00 00 8B C3 E8 ?? ?? ?? ?? E9 C7 00 00 00 8B C3 8B 53 08 0F B7 12 66 83 FA 01 1B D2 F7 DA E8 ?? ?? ?? ?? E9 AD 00 00 00 8B C3 8B 53 08 0F B6 12 F6 D2 0F BE D2 B1 FF E8 ?? ?? ?? ?? E9 94 00 00 00 8B C3 8B 53 08 0F B6 12 F6 D2 0F B6 D2 B1 01 E8 ?? ?? ?? ?? EB 7E 8B C3 8B 53 08 0F B7 12 66 F7 D2 0F B7 D2 B1 02 E8 ?? ?? ?? ?? EB 67 8B C3 8B 53 08 8B 12 F7 D2 B1 04 E8 ?? ?? ?? ?? EB 55 8B 43 08 8B 50 04 8B 00 F7 D0 F7 D2 52 50 8B C3 E8 ?? ?? ?? ?? EB 3E 8B 43 08 8B 50 04 8B 00 F7 D0 F7 D2 52 50 8B C3 E8 ?? ?? ?? ?? EB 27 8B D3 8B 43 08 E8 ?? ?? ?? ?? EB 1B 8B C3 E8 ?? ?? ?? ?? EB 12 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70459_0 {
	meta:
		name = "@VarAddRef"
		size = 33
		refs = "0019 @VarCopy"
	strings:
		$1 = { 66 83 38 08 72 1A FF 70 0C FF 70 08 FF 70 04 FF 30 66 C7 00 00 00 89 E2 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_70460_0 {
	meta:
		name = "VarTypeAsText"
		size = 436
		refs = "0014 VarTypeAsText 0033 CText 0038 @UStrAsg 0086 FindCustomVariantType 0098 TObject.ClassName 00aa @UStrCopy 00bc IntToHex 00c5 HexDisplayPrefix 00ce @UStrCat3 010e @UStrArrayClr 0114 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 BF FF 0F 66 23 FB 66 83 FF 15 77 16 8B C6 0F B7 D7 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 91 00 00 00 66 81 FB 00 01 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7C 66 81 FB 02 01 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 66 81 FB 01 01 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 52 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 56 8D 55 F8 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 45 F8 B9 FF FF FF 7F BA 02 00 00 00 E8 ?? ?? ?? ?? EB 22 8D 4D F4 0F B7 C7 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 8B 15 ?? ?? ?? ?? 8B 12 8B C6 E8 ?? ?? ?? ?? F6 C7 20 74 0E 8B 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 C7 40 74 0E 8B 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 6E 00 79 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 72 00 72 00 61 00 79 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 79 00 52 00 65 00 66 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_70461_0 {
	meta:
		name = "VarType"
		size = 4
	strings:
		$1 = { 0F B7 00 C3 }
	condition:
		$1
}

rule function_70462_0 {
	meta:
		name = "FindVarData"
		size = 13
	strings:
		$1 = { EB 03 8B 40 08 66 81 38 0C 40 74 F6 C3 }
	condition:
		$1
}

rule function_70463_0 {
	meta:
		name = "VarAsType"
		size = 12
		refs = "0007 @VarCast"
	strings:
		$1 = { 0F B7 D2 91 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70464_0 {
	meta:
		name = "VarIsType"
		size = 22
		refs = "0009 FindVarData"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 66 3B 30 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_70465_0 {
	meta:
		name = "VarIsType"
		size = 55
		refs = "000f FindVarData"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 8B F0 8B D5 85 D2 7C 15 42 8B C7 0F B7 0E 66 3B 08 75 04 B3 01 EB 06 83 C0 02 4A 75 EE 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70466_0 {
	meta:
		name = "VarIsClear"
		size = 113
		refs = "000b FindVarData 0052 FindCustomVariantType"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 7C 24 04 A5 A5 A5 A5 0F B7 5C 24 04 66 81 FB 0F 01 73 28 66 83 7C 24 04 00 74 1C 0F B7 44 24 04 66 83 F8 09 74 06 66 83 F8 0D 75 07 83 7C 24 0C 00 74 04 33 C0 EB 21 B0 01 EB 1D 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8D 54 24 04 8B 04 24 8B 08 FF 51 14 EB 02 33 C0 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70468_0 {
	meta:
		name = "VarIsCustom"
		size = 20
		refs = "0006 FindVarData 000e VarTypeIsCustom"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70472_0 {
	meta:
		name = "VarIsFloat"
		size = 20
		refs = "0006 FindVarData 000e VarTypeIsFloat"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70474_0 {
	meta:
		name = "VarIsNumeric"
		size = 20
		refs = "0006 FindVarData 000e VarTypeIsNumeric"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70470_0 {
	meta:
		name = "VarIsOrdinal"
		size = 20
		refs = "0006 FindVarData 000e VarTypeIsOrdinal"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70476_0 {
	meta:
		name = "VarIsStr"
		size = 20
		refs = "0006 FindVarData 000e VarTypeIsStr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70469_0 {
	meta:
		name = "VarTypeIsOrdinal"
		size = 30
	strings:
		$1 = { 83 C0 FE 66 83 E8 02 72 12 66 83 E8 07 74 0C 83 C0 FB 66 83 E8 06 72 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_70471_0 {
	meta:
		name = "VarTypeIsFloat"
		size = 11
	strings:
		$1 = { 83 C0 FC 66 83 E8 03 0F 92 C0 C3 }
	condition:
		$1
}

rule function_70473_0 {
	meta:
		name = "VarTypeIsNumeric"
		size = 33
		refs = "0006 VarTypeIsOrdinal 0011 VarTypeIsFloat"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_114369_0 {
	meta:
		name = "IsXmlLetter"
		size = 33
		refs = "0006 IsXmlIdeographic 0011 IsXmlBaseChar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_114354_0 {
	meta:
		name = "IsXmlLetterCodePoint"
		size = 33
		refs = "0006 IsXmlIdeographicCodePoint 0011 IsXmlBaseCharCodePoint"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_114409_0 {
	meta:
		name = "IsXmlNSAttName"
		size = 33
		refs = "0006 IsXmlPrefixedAttName 0011 IsXmlDefaultAttName"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_70475_0 {
	meta:
		name = "VarTypeIsStr"
		size = 24
	strings:
		$1 = { 66 83 F8 08 74 0F 66 3D 00 01 74 09 66 3D 02 01 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_70477_0 {
	meta:
		name = "VarIsEmpty"
		size = 19
		refs = "0006 FindVarData"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 38 00 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_70478_0 {
	meta:
		name = "VarCheckEmpty"
		size = 99
		refs = "000c VarCheckEmpty 0019 VarIsEmpty 0025 SVarIsEmpty 002a LoadResString 0034 _Dn_EVariantError 0039 Exception.Create 003e @RaiseExcept 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_70479_0 {
	meta:
		name = "VarIsNull"
		size = 19
		refs = "0006 FindVarData"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 38 01 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_70480_0 {
	meta:
		name = "VarToStr"
		size = 24
		refs = "000c NullAsStringValue 0011 VarToStrDef"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70481_0 {
	meta:
		name = "VarToStrDef"
		size = 44
		refs = "000c VarIsNull 0019 @VarToUStr 0024 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C6 8B D3 E8 ?? ?? ?? ?? EB 09 8B C6 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70483_0 {
	meta:
		name = "VarToWideStrDef"
		size = 44
		refs = "000c VarIsNull 0019 @VarToWStr 0024 @WStrAsg"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C6 8B D3 E8 ?? ?? ?? ?? EB 09 8B C6 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70482_0 {
	meta:
		name = "VarToWideStr"
		size = 85
		refs = "000f VarToWideStr 001e NullAsStringValue 0023 @WStrFromUStr 002f VarToWideStrDef 0044 @WStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70484_0 {
	meta:
		name = "VarFromDateTime"
		size = 35
		refs = "0009 @VarClear"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 C7 03 07 00 8B 45 08 89 43 08 8B 45 0C 89 43 0C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70486_0 {
	meta:
		name = "VarInRange"
		size = 41
		refs = "000e @VarCmpGE 0019 @VarCmpLE"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 7C 0B 8B C3 8B D7 E8 ?? ?? ?? ?? 7E 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70487_0 {
	meta:
		name = "VarEnsureRange"
		size = 75
		refs = "0017 @VarCopy 0020 @VarCmpLT 0034 @VarCmpGT"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 5D 08 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B C3 8B D6 E8 ?? ?? ?? ?? 7D 09 8B C3 8B D6 E8 ?? ?? ?? ?? 8B C3 8B D7 E8 ?? ?? ?? ?? 7E 09 8B C3 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_70488_0 {
	meta:
		name = "VarSameValue"
		size = 119
		refs = "000d FindVarData 0069 @VarCmpEQ"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 56 8B F0 8D 7C 24 04 A5 A5 A5 A5 5E 8B C6 E8 ?? ?? ?? ?? 56 8B F0 8D 7C 24 14 A5 A5 A5 A5 5E 0F B7 04 24 66 85 C0 75 0B 66 83 7C 24 10 00 0F 94 C0 EB 2C 66 83 F8 01 75 0B 66 83 7C 24 10 01 0F 94 C0 EB 1B 0F B7 44 24 10 66 83 E8 02 73 04 33 C0 EB 0C 8B C3 8B D6 E8 ?? ?? ?? ?? 0F 94 C0 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70489_0 {
	meta:
		name = "VarCompareValue"
		size = 159
		refs = "000d FindVarData 0048 CTruth 007d @VarCmpEQ 008c @VarCmpLT"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 56 8B F0 8D 7C 24 04 A5 A5 A5 A5 5E 8B C6 E8 ?? ?? ?? ?? 56 8B F0 8D 7C 24 14 A5 A5 A5 A5 5E 0F B7 04 24 66 85 C0 75 15 66 83 7C 24 10 00 0F 94 C0 83 E0 7F 0F B6 80 ?? ?? ?? ?? EB 4A 66 83 F8 01 75 15 66 83 7C 24 10 01 0F 94 C0 83 E0 7F 0F B6 80 ?? ?? ?? ?? EB 2F 0F B7 44 24 10 66 83 E8 02 73 04 B0 03 EB 20 8B C3 8B D6 E8 ?? ?? ?? ?? 75 04 33 C0 EB 11 8B C3 8B D6 E8 ?? ?? ?? ?? 7D 04 B0 01 EB 02 B0 02 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70490_0 {
	meta:
		name = "SetVarAsError"
		size = 24
		refs = "0009 @VarClear"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 66 C7 03 0A 00 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_70491_0 {
	meta:
		name = "VarIsEmptyParam"
		size = 36
		refs = "0009 VarIsError"
	strings:
		$1 = { 53 51 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 81 3C 24 04 00 02 80 74 05 33 C0 5A 5B C3 B0 01 5A 5B C3 }
	condition:
		$1
}

rule function_70492_0 {
	meta:
		name = "SetClearVarToEmptyParam"
		size = 11
		refs = "0006 SetVarAsError"
	strings:
		$1 = { BA 04 00 02 80 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70493_0 {
	meta:
		name = "VarIsError"
		size = 37
		refs = "0004 FindVarData"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 85 C0 74 06 66 83 38 0A 74 04 33 D2 EB 02 B2 01 84 D2 74 05 8B 40 08 89 03 8B C2 5B C3 }
	condition:
		$1
}

rule function_70496_0 {
	meta:
		name = "VarIsByRef"
		size = 8
	strings:
		$1 = { F6 40 01 40 0F 95 C0 C3 }
	condition:
		$1
}

rule function_70497_0 {
	meta:
		name = "VarSupports"
		size = 200
		refs = "0016 VarSupports 0024 @IntfClear 002f @VarToIntf 003d Supports 0090 IInterface 009a @FinalizeArray 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 84 C0 74 17 8B D3 8B 45 FC 8B 08 FF 51 0C 8B CF 8B D6 E8 ?? ?? ?? ?? 84 C0 75 1E 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 45 F4 8B CF 8B D6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C3 00 02 68 17 5C 89 3F 8D 42 85 0E 9F 54 F5 0C 22 93 }
	condition:
		$1
}

rule function_70498_0 {
	meta:
		name = "VarSupports"
		size = 216
		refs = "0013 VarSupports 0021 @IntfClear 002c @VarToIntf 003a Supports 009f IInterface 00a9 @FinalizeArray 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 84 C0 74 21 8B D3 8B 45 FC 8B 08 FF 51 0C 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8B D6 58 E8 ?? ?? ?? ?? 84 C0 75 26 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8B 45 F0 8B D6 59 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5E 5B 8B E5 5D C3 00 00 00 02 68 17 5C 89 3F 8D 42 85 0E 9F 54 F5 0C 22 93 }
	condition:
		$1
}

rule function_70499_0 {
	meta:
		name = "GetVarDataArrayInfo"
		size = 67
		refs = "000f GetVarDataArrayInfo"
	strings:
		$1 = { 53 0F B7 18 66 81 FB 0C 40 75 0C 8B 40 08 E8 ?? ?? ?? ?? 8B D8 EB 28 66 89 1A F6 42 01 20 0F 95 C3 84 DB 74 16 F6 42 01 40 74 09 8B 40 08 8B 00 89 01 EB 0B 8B 40 08 89 01 EB 04 33 C0 89 01 8B C3 5B C3 }
	condition:
		$1
}

rule function_70500_0 {
	meta:
		name = "VarArrayCreate"
		size = 175
		refs = "0028 VarTypeIsValidArrayType 0031 VarArrayCreateError 007b SafeArrayCreate 008e @VarClear"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FD FF FF 53 56 57 66 89 4D FE 8B DA 8B F0 8B FB F7 C7 01 00 00 00 74 12 83 FF 7F 7F 0D 0F B7 45 FE E8 ?? ?? ?? ?? 84 C0 75 05 E8 ?? ?? ?? ?? 47 D1 FF 79 03 83 D7 00 89 7D F8 8B 5D F8 4B 85 DB 7C 22 43 8D 95 F8 FD FF FF 8B C6 8B CA 8B 30 89 71 04 8B 70 04 2B 71 04 46 89 31 83 C0 08 83 C2 08 4B 75 E7 8D 85 F8 FD FF FF 50 8B 45 F8 50 0F B7 45 FE 50 E8 ?? ?? ?? ?? 8B D8 85 DB 75 05 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 0F B7 45 FE 66 0D 00 20 8B 55 08 66 89 02 8B 45 08 89 58 08 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_70501_0 {
	meta:
		name = "VarArrayOf"
		size = 83
		refs = "0029 VarArrayCreate 003d @VarArrayPut"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B E9 8B DA 89 04 24 55 33 C0 89 44 24 08 8B F3 89 74 24 0C 8D 44 24 08 66 B9 0C 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 85 F6 7C 1A 46 33 FF 8B 1C 24 57 6A 01 53 55 E8 ?? ?? ?? ?? 83 C4 10 47 83 C3 10 4E 75 EC 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70502_0 {
	meta:
		name = "@VarArrayRedim"
		size = 81
		refs = "0014 GetVarDataArrayInfo 0022 VarResultCheck 003e SafeArrayRedim 0047 VarArrayCreateError"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8D 4C 24 0C 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A B8 57 00 07 80 E8 ?? ?? ?? ?? 8B 44 24 0C 8B 40 14 89 44 24 04 2B F0 46 89 34 24 54 8B 44 24 10 50 E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_70503_0 {
	meta:
		name = "VarArrayAsPSafeArray"
		size = 40
		refs = "000f GetVarDataArrayInfo 001d VarResultCheck"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B CC 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A B8 57 00 07 80 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_70504_0 {
	meta:
		name = "VarArrayDimCount"
		size = 38
		refs = "000f GetVarDataArrayInfo"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B 44 24 04 0F B7 00 EB 02 33 C0 59 5A 5B C3 }
	condition:
		$1
}

rule function_70505_0 {
	meta:
		name = "VarArrayLowBound"
		size = 34
		refs = "000c VarArrayAsPSafeArray 0012 SafeArrayGetLBound 0017 VarResultCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_70506_0 {
	meta:
		name = "VarArrayHighBound"
		size = 34
		refs = "000c VarArrayAsPSafeArray 0012 SafeArrayGetUBound 0017 VarResultCheck"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_70507_0 {
	meta:
		name = "VarArrayLock"
		size = 29
		refs = "0008 VarArrayAsPSafeArray 000e SafeArrayAccessData 0013 VarResultCheck"
	strings:
		$1 = { 53 51 8B D8 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_70508_0 {
	meta:
		name = "VarArrayUnlock"
		size = 23
		refs = "0006 VarArrayAsPSafeArray 000c SafeArrayUnaccessData 0011 VarResultCheck"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84451_0 {
	meta:
		name = "DesktopShellFolder"
		size = 23
		refs = "0006 @IntfClear 000c SHGetDesktopFolder 0011 OleCheck"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70509_0 {
	meta:
		name = "VarArrayRef"
		size = 63
		refs = "0012 VarResultCheck 0019 @VarClear"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 01 20 75 0A B8 57 00 07 80 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B7 03 66 0D 00 40 66 89 06 F6 43 01 40 74 09 8B 43 08 89 46 08 5E 5B C3 8D 43 08 89 46 08 5E 5B C3 }
	condition:
		$1
}

rule function_70511_0 {
	meta:
		name = "VarIsArray"
		size = 38
		refs = "000e GetVarDataArrayInfo"
	strings:
		$1 = { 83 C4 F8 84 D2 74 0E 8D 4C 24 04 8B D4 E8 ?? ?? ?? ?? 59 5A C3 0F B7 00 66 25 00 20 66 3D 00 20 0F 94 C0 59 5A C3 }
	condition:
		$1
}

rule function_70512_0 {
	meta:
		name = "VarTypeIsValidArrayType"
		size = 32
		refs = "0010 CVarTypeToElementInfo"
	strings:
		$1 = { 8B D0 66 83 EA 16 73 12 0F B7 C0 8D 04 40 8B 15 ?? ?? ?? ?? 80 3C 82 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_70513_0 {
	meta:
		name = "VarTypeIsValidElementType"
		size = 57
		refs = "0019 CVarTypeToElementInfo 0027 VarTypeIsCustom"
	strings:
		$1 = { 53 56 8B D8 0F B7 F3 81 E6 FF BF FF FF 8B C6 83 E8 16 73 10 8D 04 76 8B 15 ?? ?? ?? ?? 80 7C 82 01 00 75 10 8B C3 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_70514_0 {
	meta:
		name = "@VarArrayGet"
		size = 204
		refs = "0011 GetVarDataArrayInfo 001f VarResultCheck 003d VariantInit 0045 @VarArrayGet 006d SafeArrayPtrOfIndex 007f @VarCopy 0092 SafeArrayGetElement 00bb @VarClear 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 8D 4D F8 8D 55 FE 8B 45 0C E8 ?? ?? ?? ?? 84 C0 75 0A B8 57 00 07 80 E8 ?? ?? ?? ?? 8B 45 F8 0F B7 00 3B 45 10 74 0A B8 0B 00 02 80 E8 ?? ?? ?? ?? 8D 45 E4 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 5D FE 66 81 E3 FF 0F 0F B7 DB 83 FB 0C 75 25 8D 45 F4 50 8D 45 14 50 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B D0 8D 45 E4 E8 ?? ?? ?? ?? EB 1A 8D 45 EC 50 8D 45 14 50 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 5D E4 8D 55 E4 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70515_0 {
	meta:
		name = "VarArrayGet"
		size = 35
		refs = "0016 @VarArrayGet"
	strings:
		$1 = { 55 8B EC 53 89 CB 43 7E 06 FF 34 8A 49 79 FA 53 50 8B 45 08 50 E8 ?? ?? ?? ?? 8D 64 9C 0C 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_70516_0 {
	meta:
		name = "@VarArrayPut"
		size = 341
		refs = "0015 GetVarDataArrayInfo 0023 VarResultCheck 003d VarTypeIsValidElementType 009a VarTypeIsCustom 00af SafeArrayPtrOfIndex 00be @VarCopy 00cc VariantInit 00d4 @VarArrayPut 00e9 VarStringToOleStr 00fd @VarCast 0129 SafeArrayPutElement 0143 @VarClear 0149 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 8B 75 0C 8D 4D E8 8D 55 EE 8B 45 08 E8 ?? ?? ?? ?? 84 C0 75 0A B8 57 00 07 80 E8 ?? ?? ?? ?? 8D 4D E0 8D 55 E6 8B C6 E8 ?? ?? ?? ?? 84 C0 75 27 0F B7 45 E6 E8 ?? ?? ?? ?? 84 C0 75 1A 66 81 7D E6 00 01 74 12 66 81 7D E6 02 01 74 0A B8 05 00 02 80 E8 ?? ?? ?? ?? 8B 45 E8 0F B7 00 3B 45 10 74 0A B8 0B 00 02 80 E8 ?? ?? ?? ?? 0F B7 5D EE 66 81 E3 FF 0F 0F B7 DB 83 FB 0C 75 42 66 81 7D E6 00 01 74 08 66 81 7D E6 02 01 75 0D 0F B7 45 E6 E8 ?? ?? ?? ?? 84 C0 74 25 8D 45 DC 50 8D 45 14 50 8B 45 E8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B D6 E8 ?? ?? ?? ?? E9 88 00 00 00 8D 45 F0 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FB 0C 75 12 8B D6 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 89 45 DC EB 27 8B D6 8D 45 F0 8B CB E8 ?? ?? ?? ?? 83 C3 F8 83 EB 02 72 05 83 EB 03 75 08 8B 45 F8 89 45 DC EB 06 8D 45 F8 89 45 DC 8B 45 DC 50 8D 45 14 50 8B 45 E8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70517_0 {
	meta:
		name = "VarArrayPut"
		size = 38
		refs = "0019 @VarArrayPut"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 85 DB 78 06 FF 34 99 4B 79 FA 8B 5D 08 43 53 52 50 E8 ?? ?? ?? ?? 8D 64 9C 0C 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_70519_0 {
	meta:
		name = "DynArrayVariantBounds"
		size = 99
		refs = "000b DynArrayDim 001f TVariantBoundArray 0024 @DynArraySetLength 003e DynArraySize"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F0 8B C2 E8 ?? ?? ?? ?? 8B E8 8B C5 03 C0 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB EB 27 8B 07 33 D2 89 14 98 43 85 F6 74 11 8B C6 E8 ?? ?? ?? ?? 48 8B 17 89 04 9A 8B 36 EB 09 8B 07 C7 04 98 FF FF FF FF 43 8B C5 03 C0 3B D8 7C D1 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70520_0 {
	meta:
		name = "DynArrayVarType"
		size = 89
		refs = "0051 VarCastError"
	strings:
		$1 = { 53 BB 01 00 00 00 85 C0 74 22 80 38 11 75 1D 0F B6 50 01 01 D0 8B 58 0A 83 FB 48 75 05 BB 00 01 00 00 83 FB 4A 75 05 BB 02 01 00 00 83 FB 01 7E 1F 83 FB 0E 74 1A 83 FB 0F 74 15 83 FB 14 7E 15 81 FB 00 01 00 00 74 0D 81 FB 02 01 00 00 74 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_70521_0 {
	meta:
		name = "DynArrayToVariant"
		size = 983
		refs = "0023 DynArrayToVariant 0032 TVariantBoundArray 0037 @DynArrayClear 004d @VarClear 0055 DynArrayVarType 007e DynArrayDim 008b IsDynArrayRectangular 00a1 DynArrayVariantBounds 00af DynArrayBounds 00b7 @DynArrayLength 00cb @DynArraySetLength 00d6 @DynArrayHigh 0100 @DynArrayCopy 0118 VarArrayCreate 0123 @VarCopy 012b VarArrayLock 0152 DynArrayIndex 0210 @VarFromInt 0230 @VarFromReal 024e @VarFromCurr 026c @VarFromWStr 027b @VarFromDisp 02a3 @VarFromBool 02c1 @VarFromIntf 030d @VarFromInt64 031e @VarFromUInt64 032a @VarFromLStr 0336 @VarFromUStr 0357 VarArrayPut 0362 DecIndices 037f VarArrayUnlock 0385 @HandleFinally 039c @VarClr 03ad TBoundArray 03c5 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D D4 89 55 D8 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 89 45 D0 81 7D D0 00 01 00 00 74 09 81 7D D0 02 01 00 00 75 07 BB 08 00 00 00 EB 03 8B 5D D0 8B 75 D4 8B C6 E8 ?? ?? ?? ?? 48 7E 12 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 0F 84 F4 02 00 00 8D 4D FC 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 8D 4D F0 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 85 D2 7C 13 42 33 C0 8B 4D F0 8B 0C 81 8B 75 F8 89 0C 86 40 4A 75 F0 8D 4D F4 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B CB 8B 45 FC E8 ?? ?? ?? ?? 8D 55 C0 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D4 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 D8 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 FB 01 00 00 8B 45 D0 83 F8 0C 7F 46 0F 84 3E 01 00 00 83 F8 0B 0F 87 C5 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 13 7F 2B 0F 84 3B 01 00 00 83 E8 0D 0F 84 F9 00 00 00 83 E8 03 0F 84 FC 00 00 00 48 0F 84 04 01 00 00 48 0F 84 0C 01 00 00 E9 5E 01 00 00 83 E8 14 0F 84 1B 01 00 00 48 0F 84 25 01 00 00 2D EB 00 00 00 0F 84 2B 01 00 00 83 E8 02 0F 84 2E 01 00 00 E9 35 01 00 00 8D 45 E0 0F BF 13 B1 FE E8 ?? ?? ?? ?? E9 2B 01 00 00 8D 45 E0 8B 13 B1 FC E8 ?? ?? ?? ?? E9 1A 01 00 00 D9 03 8D 45 E0 E8 ?? ?? ?? ?? E9 0B 01 00 00 DD 03 8D 45 E0 E8 ?? ?? ?? ?? E9 FC 00 00 00 DF 2B 8D 45 E0 E8 ?? ?? ?? ?? E9 ED 00 00 00 DD 03 8D 45 E0 E8 ?? ?? ?? ?? E9 DE 00 00 00 8D 45 E0 8B 13 E8 ?? ?? ?? ?? E9 CF 00 00 00 8D 45 E0 8B 13 E8 ?? ?? ?? ?? E9 C0 00 00 00 8D 45 E0 8B 13 B1 FC E8 ?? ?? ?? ?? E9 AF 00 00 00 8D 45 E0 0F B7 13 66 F7 DA 1B D2 F7 DA E8 ?? ?? ?? ?? E9 98 00 00 00 8D 45 E0 8B D3 E8 ?? ?? ?? ?? E9 89 00 00 00 8D 45 E0 8B 13 E8 ?? ?? ?? ?? EB 7D 8D 45 E0 0F BE 13 B1 FF E8 ?? ?? ?? ?? EB 6E 8D 45 E0 0F B6 13 B1 01 E8 ?? ?? ?? ?? EB 5F 8D 45 E0 0F B7 13 B1 02 E8 ?? ?? ?? ?? EB 50 8D 45 E0 8B 13 B1 04 E8 ?? ?? ?? ?? EB 42 8B 03 8B 53 04 52 50 8D 45 E0 E8 ?? ?? ?? ?? EB 31 8B 03 8B 53 04 52 50 8D 45 E0 E8 ?? ?? ?? ?? EB 20 8D 45 E0 8B 13 E8 ?? ?? ?? ?? EB 14 8D 45 E0 8B 13 E8 ?? ?? ?? ?? EB 08 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 8D 55 E0 8B 45 DC 8B 4D F4 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 CF FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70522_0 {
	meta:
		name = "DynArrayFromVariant"
		size = 927
		refs = "0023 DynArrayFromVariant 0031 VarArrayDimCount 0044 VarResultCheck 004c VarArrayLock 006c :02 0071 @DynArraySetLength 008a VarArrayHighBound 0096 VarArrayLowBound 00b7 DynArraySetLength 00be DynArrayDim 00c5 DynArrayVarType 00d7 DynArrayBounds 00df @DynArrayLength 00ee TVariantBoundArray 00fe @DynArrayHigh 0128 @DynArrayCopy 0141 VarArrayGet 0159 DynArrayIndex 020a @VarToInteger 0229 @VarToReal 0249 @VarToCurrency 026b @VarToWStr 027a @VarToDisp 0287 @VarToInt64 0296 @VarToBool 02a5 @VarCopy 02b1 @VarToIntf 02fb @VarToUInt64 030c @VarToLStr 0318 @VarToUStr 0323 DecIndices 0340 VarArrayUnlock 0346 @HandleFinally 035d @VarClr 0370 @FinalizeArray 0379 TBoundArray 037e @DynArrayClear"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 89 55 D8 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D8 E8 ?? ?? ?? ?? 89 45 D4 83 7D D4 00 75 0A B8 57 00 07 80 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 D4 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 75 D4 4E 85 F6 7C 28 46 33 DB 8D 53 01 8B 45 D8 E8 ?? ?? ?? ?? 50 8D 53 01 8B 45 D8 E8 ?? ?? ?? ?? 5A 2B D0 42 8B 45 FC 89 14 98 43 4E 75 DB 8B 45 FC 50 8B 45 DC 8B 4D D4 8B DF 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 D0 8D 4D F8 8B 45 DC 8B 00 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 13 46 33 DB 8B 45 F8 8B 04 98 8B 55 F4 89 04 9A 43 4E 75 F0 8D 4D F0 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8B 45 D8 8B 55 F0 E8 ?? ?? ?? ?? 57 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8B 45 DC 8B 00 8B 55 F0 E8 ?? ?? ?? ?? 8B D8 8B 45 D0 83 F8 0C 7F 46 0F 84 32 01 00 00 83 F8 0B 0F 87 A6 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 13 7F 2B 0F 84 24 01 00 00 83 E8 0D 0F 84 EA 00 00 00 83 E8 03 0F 84 ED 00 00 00 48 0F 84 F2 00 00 00 48 0F 84 F7 00 00 00 E9 3F 01 00 00 83 E8 14 0F 84 02 01 00 00 48 0F 84 0A 01 00 00 2D EB 00 00 00 0F 84 0E 01 00 00 83 E8 02 0F 84 11 01 00 00 E9 16 01 00 00 8D 45 E0 E8 ?? ?? ?? ?? 66 89 03 E9 06 01 00 00 8D 45 E0 E8 ?? ?? ?? ?? 89 03 E9 F7 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? D9 1B 9B E9 E7 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? DD 1B 9B E9 D7 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? DF 3B 9B E9 C7 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? DD 1B 9B E9 B7 00 00 00 8B C3 8D 55 E0 E8 ?? ?? ?? ?? E9 A8 00 00 00 8B C3 8D 55 E0 E8 ?? ?? ?? ?? E9 99 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? 89 03 E9 8A 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? 66 89 03 EB 7D 8B C3 8D 55 E0 E8 ?? ?? ?? ?? EB 71 8B C3 8D 55 E0 E8 ?? ?? ?? ?? EB 65 8D 45 E0 E8 ?? ?? ?? ?? 88 03 EB 59 8D 45 E0 E8 ?? ?? ?? ?? 88 03 EB 4D 8D 45 E0 E8 ?? ?? ?? ?? 66 89 03 EB 40 8D 45 E0 E8 ?? ?? ?? ?? 89 03 EB 34 8D 45 E0 E8 ?? ?? ?? ?? 89 03 89 53 04 EB 25 8D 45 E0 E8 ?? ?? ?? ?? 89 03 89 53 04 EB 16 8B C3 8D 55 E0 E8 ?? ?? ?? ?? EB 0A 8B C3 8D 55 E0 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 84 C0 0F 85 FD FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C1 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70523_0 {
	meta:
		name = "ClearVariantTypeList"
		size = 111
		refs = "0006 LVarTypes 000b LVarTypeSync 0013 TMonitor.Enter 001b ClearVariantTypeList 0028 @DynArrayLength 003b CInvalidCustomVariantType 0042 TObject.Free 005f TMonitor.Exit 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 BE ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 06 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 18 8B 06 8B 04 98 3B 05 ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 4B 83 FB FF 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5E 5B 5D C3 }
	condition:
		$1
}

rule function_70525_0 {
	meta:
		name = "TCustomVariantType.Cast"
		size = 56
		refs = "0010 FindCustomVariantType 002f TCustomVariantType.RaiseCastError"
	strings:
		$1 = { 53 56 57 51 8B F1 8B FA 8B D8 8B D4 0F B7 06 E8 ?? ?? ?? ?? 84 C0 74 14 0F B7 43 04 50 8B CE 8B D7 8B 44 24 04 8B 18 FF 53 1C EB 07 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70526_0 {
	meta:
		name = "TCustomVariantType.CastTo"
		size = 72
		refs = "0020 FindCustomVariantType 003b TCustomVariantType.RaiseCastError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 08 66 3B 7B 04 74 1F 8D 55 F8 0F B7 06 E8 ?? ?? ?? ?? 84 C0 74 10 57 8B CE 8B 55 FC 8B 45 F8 8B 18 FF 53 1C EB 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_70528_0 {
	meta:
		name = "TCustomVariantType.CompareOp"
		size = 53
		refs = "0024 CRelationshipToBoolean"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B F0 8D 45 FF 50 8B D7 8B C6 8B 18 FF 53 38 0F B6 45 FF 8B 55 08 8D 14 52 81 C2 ?? ?? ?? ?? 0F B6 44 02 D6 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_70529_0 {
	meta:
		name = "TCustomVariantType.CastToOle"
		size = 57
		refs = "002f TCustomVariantType.RaiseCastError"
	strings:
		$1 = { 53 56 57 55 51 8B F1 8B FA 8B D8 8B CC 8B D6 8B C3 8B 28 FF 55 0C 84 C0 74 12 0F B7 04 24 50 8B CE 8B D7 8B C3 8B 18 FF 53 1C EB 07 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70530_0 {
	meta:
		name = "TCustomVariantType.Create"
		size = 66
		refs = "000a @ClassCreate 0015 LNextVarType 001e TCustomVariantType.Create 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B7 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? FF 05 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_70531_0 {
	meta:
		name = "TCustomVariantType.Create"
		size = 636
		refs = "0022 @ClassCreate 0034 TCustomVariantType.Create 0044 TObject.Create 0049 LVarTypeSync 0051 TMonitor.Enter 007a HexDisplayPrefix 009c SVarTypeOutOfRangeWithPrefix 00a1 LoadResString 00ab _Dn_EVariantError 00b0 Exception.CreateFmt 00b5 @RaiseExcept 00ba LVarTypes 00bf @DynArrayLength 00e7 SVarTypeTooManyCustom 00fb Exception.Create 0111 :12 0116 @DynArraySetLength 0152 CInvalidCustomVariantType 017b SVarTypeNotUsableWithPrefix 01c1 TObject.ClassName 01d9 SVarTypeAlreadyUsedWithPrefix 021f TMonitor.Exit 0225 @HandleFinally 0241 @UStrArrayClr 0264 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D C0 89 5D BC 89 5D DC 89 5D E0 89 5D E4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 66 89 4D F8 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 0F B7 5D F8 81 EB 00 01 00 00 85 DB 7C 08 66 81 7D F8 0F 01 73 40 A1 ?? ?? ?? ?? 8B 00 89 45 E8 C6 45 EC 11 0F B7 45 F8 89 45 F0 C6 45 F4 00 8D 45 E8 50 6A 01 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 3B F3 7F 77 8B C3 B9 0F 00 00 00 99 F7 F9 40 8B F8 C1 E7 04 2B F8 81 FF FF 07 00 00 7E 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 57 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D6 52 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 5A 2B C2 7C 10 40 8B 0D ?? ?? ?? ?? 33 F6 89 34 91 42 48 75 F1 A1 ?? ?? ?? ?? 8B 04 98 85 C0 0F 84 A6 00 00 00 3B 05 ?? ?? ?? ?? 75 42 A1 ?? ?? ?? ?? 8B 00 89 45 E8 C6 45 EC 11 0F B7 45 F8 89 45 F0 C6 45 F4 00 8D 45 E8 50 6A 01 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5C A1 ?? ?? ?? ?? 8B 00 89 45 C4 C6 45 C8 11 0F B7 45 F8 89 45 CC C6 45 D0 00 A1 ?? ?? ?? ?? 8B 04 98 8B 00 8D 55 C0 E8 ?? ?? ?? ?? 8B 45 C0 89 45 D4 C6 45 D8 11 8D 45 C4 50 6A 02 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 55 FC 89 14 98 8B 45 FC 0F B7 55 F8 66 89 50 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70532_0 {
	meta:
		name = "TCustomVariantType.Destroy"
		size = 142
		refs = "0007 @BeforeDestruction 0012 LVarTypeSync 001a TMonitor.Enter 0022 TCustomVariantType.Destroy 003d LVarTypes 0043 CInvalidCustomVariantType 0061 TMonitor.Exit 0067 @HandleFinally 0078 TObject.Destroy 0086 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC A1 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 0F B7 40 04 66 85 C0 74 16 0F B7 C0 8B 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 89 8C 82 00 FC FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_70534_0 {
	meta:
		name = "TCustomVariantType.LeftPromotion"
		size = 19
		altNames = "TCustomVariantType.RightPromotion"
	strings:
		$1 = { 55 8B EC 8B 55 08 0F B7 40 04 66 89 02 B0 01 5D C2 04 00 }
	condition:
		$1
}

rule function_70535_0 {
	meta:
		name = "TCustomVariantType.OlePromotion"
		size = 8
	strings:
		$1 = { 66 C7 01 08 00 B0 01 C3 }
	condition:
		$1
}

rule function_70541_0 {
	meta:
		name = "TCustomVariantType.SimplisticCopy"
		size = 55
		refs = "0017 TCustomVariantType.VarDataIsByRef 0026 TCustomVariantType.VarDataCopyNoInd"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 80 7D 08 00 74 1A 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? EB 04 A5 A5 A5 A5 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_70547_0 {
	meta:
		name = "TCustomVariantType.VarDataCast"
		size = 13
		refs = "0007 TCustomVariantType.VarDataCastTo"
	strings:
		$1 = { 53 0F B7 58 04 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70548_0 {
	meta:
		name = "TCustomVariantType.VarDataCastTo"
		size = 20
		refs = "000c @VarCast"
	strings:
		$1 = { 55 8B EC 8B C2 8B D1 0F B7 4D 08 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_70549_0 {
	meta:
		name = "TCustomVariantType.VarDataCastTo"
		size = 9
		refs = "0004 TCustomVariantType.VarDataCastTo"
	strings:
		$1 = { 51 8B CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70550_0 {
	meta:
		name = "TCustomVariantType.VarDataCastToOleStr"
		size = 35
		refs = "0014 @VarStringToOleStr 001e TCustomVariantType.VarDataCastTo"
	strings:
		$1 = { 0F B7 0A 66 81 F9 00 01 74 07 66 81 F9 02 01 75 08 8B C2 E8 ?? ?? ?? ?? C3 6A 08 8B CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70551_0 {
	meta:
		name = "TCustomVariantType.VarDataIsArray"
		size = 8
	strings:
		$1 = { F6 42 01 20 0F 95 C0 C3 }
	condition:
		$1
}

rule function_70552_0 {
	meta:
		name = "TCustomVariantType.VarDataIsByRef"
		size = 8
	strings:
		$1 = { F6 42 01 40 0F 95 C0 C3 }
	condition:
		$1
}

rule function_70561_0 {
	meta:
		name = "TCustomVariantType.VarDataIsNumeric"
		size = 9
		refs = "0004 VarTypeIsNumeric"
	strings:
		$1 = { 0F B7 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70564_0 {
	meta:
		name = "TCustomVariantType.VarDataIsFloat"
		size = 9
		refs = "0004 VarTypeIsFloat"
	strings:
		$1 = { 0F B7 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70562_0 {
	meta:
		name = "TCustomVariantType.VarDataIsOrdinal"
		size = 9
		refs = "0004 VarTypeIsOrdinal"
	strings:
		$1 = { 0F B7 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70563_0 {
	meta:
		name = "TCustomVariantType.VarDataIsStr"
		size = 9
		refs = "0004 VarTypeIsStr"
	strings:
		$1 = { 0F B7 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70567_0 {
	meta:
		name = "TInvokeableVariantType.DispInvoke"
		size = 811
		refs = "0042 TStringRef 0047 @InitializeArray 004f TInvokeableVariantType.DispInvoke 006d @LStrFromPChar 007e @UStrFromLStr 00a4 @FillChar 00ba GetDispatchInvokeArgs 0114 TCustomVariantType.VarDataInit 012d SetClearVarToEmptyParam 015b TCustomVariantType.RaiseDispError 0179 TCustomVariantType.VarDataClear 017f @HandleFinally 02af @LStrFromWStr 02c1 @UStrFromWStr 02df @LStrClr 02ea @UStrClr 0300 @FinalizeArray 0309 TVarDataArray 030e @DynArrayClear"
	strings:
		$1 = { 55 8B EC 81 C4 D4 FC FF FF 53 56 57 33 DB 89 9D D8 FC FF FF 89 9D D4 FC FF FF 89 5D FC 89 5D F8 89 8D EC FC FF FF 89 95 F0 FC FF FF 89 85 F4 FC FF FF 8B 5D 0C B9 40 00 00 00 8D 85 F8 FC FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 73 01 8D 85 D4 FC FF FF 8D 54 33 03 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 D4 FC FF FF 8D 85 D8 FC FF FF E8 ?? ?? ?? ?? 8B 95 D8 FC FF FF 8D 4D FC 8B 85 F4 FC FF FF 8B 38 FF 57 3C 8D 85 F8 FC FF FF 33 C9 BA 00 03 00 00 E8 ?? ?? ?? ?? 6A 01 8D 45 F8 50 8D 8D F8 FC FF FF 8B 55 08 8B C3 E8 ?? ?? ?? ?? 0F B6 03 FE C8 74 15 FE C8 0F 84 48 01 00 00 2C 02 0F 84 79 01 00 00 E9 A9 01 00 00 83 BD F0 FC FF FF 00 0F 85 9E 00 00 00 8B 45 F8 50 8B 95 EC FC FF FF 8B 4D FC 8B 85 F4 FC FF FF 8B 18 FF 53 44 84 C0 0F 85 87 01 00 00 8D 95 DC FC FF FF 8B 85 F4 FC FF FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 DC FC FF FF E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 F8 50 8B 8D EC FC FF FF 8D 95 DC FC FF FF 8B 85 F4 FC FF FF 8B 18 FF 53 40 84 C0 75 0B 8B 85 F4 FC FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 95 DC FC FF FF 8B 85 F4 FC FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 85 F6 75 58 8B 45 FC 50 8B 8D EC FC FF FF 8B 9D F0 FC FF FF 8B D3 8B 85 F4 FC FF FF 8B 30 FF 56 48 84 C0 0F 85 E0 00 00 00 8B 45 FC 50 8B 45 F8 50 8B 8D EC FC FF FF 8B D3 8B 85 F4 FC FF FF 8B 18 FF 53 40 84 C0 0F 85 BD 00 00 00 8B 85 F4 FC FF FF E8 ?? ?? ?? ?? E9 AD 00 00 00 8B 45 FC 50 8B 45 F8 50 8B 8D EC FC FF FF 8B 95 F0 FC FF FF 8B 85 F4 FC FF FF 8B 18 FF 53 40 84 C0 0F 85 86 00 00 00 8B 85 F4 FC FF FF E8 ?? ?? ?? ?? EB 79 83 BD F0 FC FF FF 00 74 23 85 F6 75 1F 8B 45 FC 50 8B 8D EC FC FF FF 8B 95 F0 FC FF FF 8B 85 F4 FC FF FF 8B 18 FF 53 48 84 C0 75 4D 8B 85 F4 FC FF FF E8 ?? ?? ?? ?? EB 40 83 BD F0 FC FF FF 00 75 1F 4E 75 1C 8B 45 F8 50 8B 95 EC FC FF FF 8B 4D FC 8B 85 F4 FC FF FF 8B 18 FF 53 4C 84 C0 75 18 8B 85 F4 FC FF FF E8 ?? ?? ?? ?? EB 0B 8B 85 F4 FC FF FF E8 ?? ?? ?? ?? BE 40 00 00 00 8D 9D F8 FC FF FF 83 3B 00 74 2D 8B 7B 04 85 FF 74 10 8B C7 8B 13 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 10 8B 7B 08 85 FF 74 09 8B C7 8B 13 E8 ?? ?? ?? ?? 83 C3 0C 4E 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D4 FC FF FF E8 ?? ?? ?? ?? 8D 85 D8 FC FF FF E8 ?? ?? ?? ?? 8D 85 F8 FC FF FF B9 40 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B6 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_70572_0 {
	meta:
		name = "FindCustomVariantType"
		size = 192
		refs = "000d LVarTypes 0036 LVarTypeSync 003e TMonitor.Enter 0046 FindCustomVariantType 0056 @DynArrayLength 0088 CInvalidCustomVariantType 00aa TMonitor.Exit 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 83 3D ?? ?? ?? ?? 00 74 0E 66 81 FB 00 01 72 07 66 81 FB FF 07 76 04 33 C0 EB 02 B0 01 88 45 FF 80 7D FF 00 0F 84 81 00 00 00 A1 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 FB 8B D7 81 EA 00 01 00 00 3B C2 0F 9F 45 FF 80 7D FF 00 74 26 A1 ?? ?? ?? ?? 8B 84 B8 00 FC FF FF 89 06 83 3E 00 74 0A 8B 06 3B 05 ?? ?? ?? ?? 75 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70573_0 {
	meta:
		name = "FindCustomVariantType"
		size = 275
		refs = "001a FindCustomVariantType 0029 LVarTypeSync 0031 TMonitor.Enter 0044 LVarTypes 0049 @DynArrayHigh 006c CInvalidCustomVariantType 0078 TObject.ClassName 0082 @UStrLAsg 00a9 CompareText 00da TMonitor.Exit 00e0 @HandleFinally 00fc @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 89 4D F8 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 A1 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7C 74 46 C7 45 EC 00 00 00 00 A1 ?? ?? ?? ?? 8B 55 EC 8B 1C 90 85 DB 74 57 3B 1D ?? ?? ?? ?? 74 4F 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0B 8B 45 F4 89 18 C6 45 F3 01 EB 06 FF 45 EC 4E 75 94 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70579_0 {
	meta:
		name = "@VarMul"
		size = 11
		refs = "0006 @VarOp"
	strings:
		$1 = { B9 02 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70580_0 {
	meta:
		name = "@VarDiv"
		size = 11
		refs = "0006 @VarOp"
	strings:
		$1 = { B9 04 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70581_0 {
	meta:
		name = "@VarMod"
		size = 11
		refs = "0006 @VarOp"
	strings:
		$1 = { B9 05 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70582_0 {
	meta:
		name = "@VarAnd"
		size = 11
		refs = "0006 @VarOp"
	strings:
		$1 = { B9 08 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70583_0 {
	meta:
		name = "@VarOr"
		size = 11
		refs = "0006 @VarOp"
	strings:
		$1 = { B9 09 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70584_0 {
	meta:
		name = "@VarXor"
		size = 11
		refs = "0006 @VarOp"
	strings:
		$1 = { B9 0A 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70585_0 {
	meta:
		name = "@VarShl"
		size = 11
		refs = "0006 @VarOp"
	strings:
		$1 = { B9 06 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70586_0 {
	meta:
		name = "@VarShr"
		size = 11
		refs = "0006 @VarOp"
	strings:
		$1 = { B9 07 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70587_0 {
	meta:
		name = "@VarRDiv"
		size = 11
		refs = "0006 @VarOp"
	strings:
		$1 = { B9 03 00 00 00 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70588_0 {
	meta:
		name = "@VarCmpEQ"
		size = 13
		refs = "0006 VarCompare"
	strings:
		$1 = { B9 0E 00 00 00 E8 ?? ?? ?? ?? 3C 01 C3 }
	condition:
		$1
}

rule function_70589_0 {
	meta:
		name = "@VarCmpNE"
		size = 13
		refs = "0006 VarCompare"
	strings:
		$1 = { B9 0F 00 00 00 E8 ?? ?? ?? ?? 3C 01 C3 }
	condition:
		$1
}

rule function_70590_0 {
	meta:
		name = "@VarCmpLT"
		size = 13
		refs = "0006 VarCompare"
	strings:
		$1 = { B9 10 00 00 00 E8 ?? ?? ?? ?? 3C 01 C3 }
	condition:
		$1
}

rule function_70591_0 {
	meta:
		name = "@VarCmpLE"
		size = 13
		refs = "0006 VarCompare"
	strings:
		$1 = { B9 11 00 00 00 E8 ?? ?? ?? ?? 3C 01 C3 }
	condition:
		$1
}

rule function_70592_0 {
	meta:
		name = "@VarCmpGT"
		size = 13
		refs = "0006 VarCompare"
	strings:
		$1 = { B9 12 00 00 00 E8 ?? ?? ?? ?? 3C 01 C3 }
	condition:
		$1
}

rule function_70593_0 {
	meta:
		name = "@VarCmpGE"
		size = 13
		refs = "0006 VarCompare"
	strings:
		$1 = { B9 13 00 00 00 E8 ?? ?? ?? ?? 3C 01 C3 }
	condition:
		$1
}

rule function_70594_0 {
	meta:
		name = "Finalization"
		size = 110
		refs = "0007 Finalization 0013 _DV_81 001a ClearVariantTypeList 001f LVarTypeSync 0024 TObject.Free 0029 NullAsStringValue 002e @UStrClr 0033 CText 003e string 0043 @FinalizeArray 0048 LVarTypes 004e :12 0053 @DynArrayClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 3E E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 16 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_70595_0 {
	meta:
		name = "System.Variants"
		size = 184
		refs = "0007 System.Variants 0013 _DV_81 001f @DispInvokeError 0024 VarDispProc 0029 VarInvalidOp 002e ClearAnyProc 0033 VarCastError 0039 ChangeAnyProc 003e RefAnyProc 0043 @VarClr 0049 VarClearProc 0050 @VarAddRef 0056 VarAddRefProc 005d @VarCopy 0063 VarCopyProc 006a @VarToLStr 0070 VarToLStrProc 0077 @VarToWStr 007d VarToWStrProc 0084 @VarToUStr 008a VarToUStrProc 0093 _Dn_TObject 0098 TObject.Create 009d LVarTypeSync 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 0F 83 83 00 00 00 B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? BA ?? ?? ?? ?? 89 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_70596_0 {
	meta:
		name = "VarExceptionToResult"
		size = 154
		refs = "0007 _Dn_EConvertError 000c @IsClass 001f _Dn_EOverflow 0037 _Dn_EUnderflow 004f _Dn_ERangeError 0067 _Dn_EIntOverflow 007f _Dn_EOutOfMemory"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 B8 05 00 02 80 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 B8 0A 00 02 80 EB 65 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 B8 0A 00 02 80 EB 4D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 B8 0A 00 02 80 EB 35 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 B8 0A 00 02 80 EB 1D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 B8 0E 00 07 80 EB 05 B8 57 00 07 80 5B C3 }
	condition:
		$1
}

rule function_70602_0 {
	meta:
		name = "BackupVariantChangeTypeEx"
		size = 71
		refs = "0026 VariantChangeType"
	strings:
		$1 = { 55 8B EC 53 8B 5D 18 81 7D 10 00 04 00 00 74 07 B8 01 40 00 80 EB 2B 53 0F B7 45 14 50 8B 45 0C 50 8B 45 08 50 E8 ?? ?? ?? ?? 3D 05 00 02 80 75 11 66 81 E3 00 20 66 81 FB 00 20 75 05 B8 08 00 02 80 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_70604_0 {
	meta:
		name = "BiUnimplemented"
		size = 12
		altNames = "TActiveXControl.GetCanonicalFormatEtc TActiveXControl.GetDataHere TActiveXControl.SetMoniker TDownLoadURL.GetBindInfo TDownLoadURL.OnStopBinding TElementNamespaceFactory.CreateWithImplementation TOleContainer.ConvertObject TOleContainer.Scroll TOleControl.OleControlSite_TranslateAccelerator TOleControl.Scroll TOleLinkStub.BindToSource TOleLinkStub.SetSourceMoniker"
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 0C 00 }
	condition:
		$1
}

rule function_70606_0 {
	meta:
		name = "BackupVarI4FromStr"
		size = 105
		refs = "000a BackupVarI4FromStr 002b @UStrFromWStr 0036 TryStrToInt 0040 CResult 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 7D 0C 00 04 00 00 74 07 BB 01 40 00 80 EB 20 8D 45 FC 8B 55 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 14 E8 ?? ?? ?? ?? 83 E0 7F 8B 1C 85 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_70607_0 {
	meta:
		name = "BackupVarR4FromStr"
		size = 111
		refs = "000a BackupVarR4FromStr 002b @UStrFromWStr 0031 CurrencyString 003c TryStrToFloat 0046 CResult 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 7D 0C 00 04 00 00 74 07 BB 01 40 00 80 EB 26 8D 45 FC 8B 55 08 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 55 14 8B 45 FC E8 ?? ?? ?? ?? 83 E0 7F 8B 1C 85 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_70610_0 {
	meta:
		name = "BackupVarCyFromStr"
		size = 111
		refs = "000a BackupVarCyFromStr 002b @UStrFromWStr 0031 CurrencyString 003c TryStrToCurr 0046 CResult 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 7D 0C 00 04 00 00 74 07 BB 01 40 00 80 EB 26 8D 45 FC 8B 55 08 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 55 14 8B 45 FC E8 ?? ?? ?? ?? 83 E0 7F 8B 1C 85 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_70609_0 {
	meta:
		name = "BackupVarDateFromStr"
		size = 111
		refs = "000a BackupVarDateFromStr 002b @UStrFromWStr 0031 CurrencyString 003c TryStrToDateTime 0046 CResult 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 7D 0C 00 04 00 00 74 07 BB 01 40 00 80 EB 26 8D 45 FC 8B 55 08 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 55 14 8B 45 FC E8 ?? ?? ?? ?? 83 E0 7F 8B 1C 85 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_70608_0 {
	meta:
		name = "BackupVarR8FromStr"
		size = 111
		refs = "000a BackupVarR8FromStr 002b @UStrFromWStr 0031 CurrencyString 003c TryStrToFloat 0046 CResult 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 7D 0C 00 04 00 00 74 07 BB 01 40 00 80 EB 26 8D 45 FC 8B 55 08 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 55 14 8B 45 FC E8 ?? ?? ?? ?? 83 E0 7F 8B 1C 85 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_70611_0 {
	meta:
		name = "BackupVarBoolFromStr"
		size = 125
		refs = "0010 BackupVarBoolFromStr 0031 @UStrFromWStr 003c TryStrToBool 0046 CResult 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 7D 0C 00 04 00 00 74 07 BB 01 40 00 80 EB 2D 8D 45 F8 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FF E8 ?? ?? ?? ?? 83 E0 7F 8B 1C 85 ?? ?? ?? ?? 80 7D FF 01 F5 1B C0 8B 55 14 66 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_70612_0 {
	meta:
		name = "BackupVarBStrFromCy"
		size = 135
		refs = "001b BackupVarBStrFromCy 004b CurrencyString 0050 CurrToStr 005b @WStrFromUStr 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 FC 8B 45 18 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 7D 10 00 04 00 00 74 07 BB 01 40 00 80 EB 2C 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 18 8B 55 FC E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_70613_0 {
	meta:
		name = "BackupVarBStrFromDate"
		size = 135
		refs = "001b BackupVarBStrFromDate 004b CurrencyString 0050 DateTimeToStr 005b @WStrFromUStr 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C0 89 45 FC 8B 45 18 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 7D 10 00 04 00 00 74 07 BB 01 40 00 80 EB 2C 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 18 8B 55 FC E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_70614_0 {
	meta:
		name = "BackupVarBStrFromBool"
		size = 115
		refs = "0015 BackupVarBStrFromBool 003d BoolToStr 0048 @WStrFromUStr 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B 45 14 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 7D 0C 00 04 00 00 74 07 BB 01 40 00 80 EB 1F 66 83 7D 08 01 1B C0 40 8D 4D FC B2 01 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 14 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_70615_0 {
	meta:
		name = "SafeArrayCreate"
		size = 24
		refs = "0010 SafeArrayCreate"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 45 0C 50 8B 45 08 50 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_70616_0 {
	meta:
		name = "SafeArrayRedim"
		size = 20
		refs = "000c SafeArrayRedim"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 45 08 50 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_70638_0 {
	meta:
		name = "SafeArrayCheck"
		size = 13
		refs = "0008 SafeArrayError"
	strings:
		$1 = { A9 00 00 00 80 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70891_0 {
	meta:
		name = "OleCheck"
		size = 13
		refs = "0008 OleError"
	strings:
		$1 = { A9 00 00 00 80 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70639_0 {
	meta:
		name = "SafeArrayError"
		size = 176
		refs = "000e SafeArrayError 002c SVarArrayBounds 0031 LoadResString 003e _DV_ESafeArrayBoundsError 0043 ESafeArrayError.CreateHResult 0048 @RaiseExcept 0052 SVarArrayLocked 0064 _DV_ESafeArrayLockedError 007b _DV_ESafeArrayError 009f @UStrArrayClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 2D 0B 00 02 80 74 07 83 E8 02 74 28 EB 4C 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3B 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70640_0 {
	meta:
		name = "ESafeArrayError.CreateHResult"
		size = 203
		refs = "0019 @ClassCreate 0027 ESafeArrayError.CreateHResult 0038 @UStrLAsg 004a SVarArrayWithHResult 004f LoadResString 0058 HexDisplayPrefix 0076 Format 0082 Exception.Create 009f @UStrArrayClr 00a5 @HandleFinally 00b2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D F8 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 E8 ?? ?? ?? ?? 83 7D FC 00 75 38 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 A1 ?? ?? ?? ?? 8B 00 89 45 E8 C6 45 EC 11 89 75 F0 C6 45 F4 00 8D 55 E8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_70641_0 {
	meta:
		name = "FindProc"
		size = 43
		refs = "001a GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 8B DA 8B D3 8B 4D 08 83 79 FC 00 74 15 50 8B 45 08 8B 40 FC 50 E8 ?? ?? ?? ?? 8B D0 85 D2 75 02 8B D3 8B C2 5B 5D C3 }
	condition:
		$1
}

rule function_70642_0 {
	meta:
		name = "InitializeVarUtils"
		size = 792
		refs = "0005 InitializeVarUtils 000a GetModuleHandle 0013 BackupVariantChangeTypeEx 001d FindProc 0023 VariantChangeTypeEx 0029 UniUnimplemented 0039 VarNeg 004f VarNot 0055 BiUnimplemented 0065 VarAdd 007b VarSub 0091 VarMul 00a7 VarDiv 00bd VarIDiv 00d3 VarMod 00e9 VarAnd 00ff VarOr 0115 VarXor 011b CmpUnimplemented 012b VarCmp 0131 BackupVarI4FromStr 0141 VarI4FromStr 0147 BackupVarR4FromStr 0157 VarR4FromStr 015d BackupVarR8FromStr 016d VarR8FromStr 0173 BackupVarDateFromStr 0183 VarDateFromStr 0189 BackupVarCyFromStr 0199 VarCyFromStr 019f BackupVarBoolFromStr 01af VarBoolFromStr 01b5 BackupVarBStrFromCy 01c5 VarBstrFromCy 01cb BackupVarBStrFromDate 01db VarBstrFromDate 01e1 BackupVarBStrFromBool 01f1 VarBstrFromBool"
	strings:
		$1 = { 55 8B EC 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 55 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 59 5D C3 6F 00 6C 00 65 00 61 00 75 00 74 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 56 61 72 69 61 6E 74 43 68 61 6E 67 65 54 79 70 65 45 78 00 56 61 72 4E 65 67 00 00 56 61 72 4E 6F 74 00 00 56 61 72 41 64 64 00 00 56 61 72 53 75 62 00 00 56 61 72 4D 75 6C 00 00 56 61 72 44 69 76 00 00 56 61 72 49 64 69 76 00 56 61 72 4D 6F 64 00 00 56 61 72 41 6E 64 00 00 56 61 72 4F 72 00 00 00 56 61 72 58 6F 72 00 00 56 61 72 43 6D 70 00 00 56 61 72 49 34 46 72 6F 6D 53 74 72 00 00 00 00 56 61 72 52 34 46 72 6F 6D 53 74 72 00 00 00 00 56 61 72 52 38 46 72 6F 6D 53 74 72 00 00 00 00 56 61 72 44 61 74 65 46 72 6F 6D 53 74 72 00 00 56 61 72 43 79 46 72 6F 6D 53 74 72 00 00 00 00 56 61 72 42 6F 6F 6C 46 72 6F 6D 53 74 72 00 00 56 61 72 42 73 74 72 46 72 6F 6D 43 79 00 00 00 56 61 72 42 73 74 72 46 72 6F 6D 44 61 74 65 00 56 61 72 42 73 74 72 46 72 6F 6D 42 6F 6F 6C 00 }
	condition:
		$1
}

rule function_70654_0 {
	meta:
		name = "TWideStrings.Add"
		size = 33
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 8B 10 FF 52 14 8B F0 8B CF 8B D6 8B C3 8B 18 FF 53 64 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70657_0 {
	meta:
		name = "TWideStrings.AddStrings"
		size = 203
		refs = "001b TWideStrings.AddStrings 0029 TWideStrings.BeginUpdate 0061 @WStrFromUStr 0093 TWideStrings.EndUpdate 0099 @HandleFinally 00b0 @UStrClr 00b8 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 38 46 33 DB 8D 4D F0 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B D3 8B 45 F8 8B 08 FF 51 18 8B C8 8B 45 FC 5A 8B 38 FF 57 3C 43 4E 75 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70659_0 {
	meta:
		name = "CharToWideChar"
		size = 123
		refs = "000e CharToWideChar 0023 @LStrFromChar 002e @WStrFromLStr 0060 @LStrClr 0068 @WStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 48 75 08 8B 45 FC 0F B7 18 EB 04 66 BB 3F 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70660_0 {
	meta:
		name = "TWideStrings.Assign"
		size = 407
		refs = "0016 TWideStrings.Assign 0024 _DV_TWideStrings 0029 @IsClass 0039 TWideStrings.BeginUpdate 008a @WStrAsg 00b3 TWideStrings.EndUpdate 00b9 @HandleFinally 00c3 _Dn_TStrings 00f7 TStrings.GetNameValueSeparator 0105 TStrings.GetQuoteChar 0113 TStrings.GetDelimiter 0124 TStrings.GetLineBreak 0132 @WStrFromUStr 0139 TStrings.GetStrictDelimiter 0170 TPersistent.Assign 0185 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 8A 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 48 8B F3 0F B6 46 04 8B 55 FC 88 42 04 0F B7 46 0E 8B 55 FC 66 89 42 0E 0F B7 46 0C 8B 55 FC 66 89 42 0C 0F B7 46 06 8B 55 FC 66 89 42 06 8B 45 FC 83 C0 08 8B 56 08 E8 ?? ?? ?? ?? 0F B6 46 10 8B 55 FC 88 42 10 8B D6 8B 45 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 96 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 48 8B F3 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 66 89 42 0E 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 66 89 42 0C 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 66 89 42 06 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 88 42 10 8B D6 8B 45 FC 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70661_0 {
	meta:
		name = "WideCharToChar"
		size = 119
		refs = "000e WideCharToChar 001e @WStrFromWChar 002e @LStrFromWStr 005c @WStrClr 0064 @LStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 48 75 08 8B 45 FC 0F B6 18 EB 02 B3 3F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70662_0 {
	meta:
		name = "TWideStrings.AssignTo"
		size = 384
		refs = "0017 TWideStrings.AssignTo 0026 _DV_TWideStrings 002b @IsClass 0047 _Dn_TStrings 005e TStrings.BeginUpdate 007a TWideStrings.GetNameValueSeparator 0083 TStrings.SetNameValueSeparator 008a TWideStrings.GetQuoteChar 0093 TStrings.SetQuoteChar 009a TWideStrings.GetDelimiter 00a3 TStrings.SetDelimiter 00ad TWideStrings.GetLineBreak 00b8 @UStrFromWStr 00c2 TStrings.SetLineBreak 00c9 TWideStrings.GetStrictDelimiter 00d2 TStrings.SetStrictDelimiter 012e TStrings.EndUpdate 0134 @HandleFinally 0140 TPersistent.AssignTo 0155 @WStrClr 015d @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B D3 8B 45 FC 8B 08 FF 51 08 E9 02 01 00 00 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 E2 00 00 00 8B 75 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 44 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 48 85 C0 7C 3B 40 89 45 F8 33 F6 8D 4D E8 8B D6 8B C3 8B 38 FF 57 0C 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 50 8B D6 8B C3 8B 08 FF 51 18 8B C8 8B 45 FC 5A 8B 38 FF 57 3C 46 FF 4D F8 75 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70663_0 {
	meta:
		name = "TWideStrings.BeginUpdate"
		size = 23
	strings:
		$1 = { 53 8B D8 83 7B 14 00 75 09 B2 01 8B C3 8B 08 FF 51 30 FF 43 14 5B C3 }
	condition:
		$1
}

rule function_70666_0 {
	meta:
		name = "TWideStrings.EndUpdate"
		size = 17
	strings:
		$1 = { FF 48 14 83 78 14 00 75 07 33 D2 8B 08 FF 51 30 C3 }
	condition:
		$1
}

rule function_70668_0 {
	meta:
		name = "TWideStrings.Error"
		size = 116
		refs = "0016 TWideStrings.Error 003a @UStrFromWStr 0044 _Dn_EStringListError 0049 Exception.CreateFmt 004e @RaiseExcept 0063 @UStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 89 4D F8 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 04 8B 45 F8 89 45 F0 C6 45 F4 00 8D 45 F0 50 6A 00 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70673_0 {
	meta:
		name = "TWideStrings.GetCommaText"
		size = 150
		refs = "0034 TWideStrings.SetDelimiter 0040 TWideStrings.SetQuoteChar 0048 TWideStrings.GetCommaText 0058 TWideStrings.GetDelimitedText 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B DA 89 45 FC 8B 45 FC 0F B6 40 04 88 45 FB 8B 45 FC 0F B7 40 06 66 89 45 F8 8B 45 FC 0F B7 40 0C 66 89 45 F6 66 BA 2C 00 8B 45 FC E8 ?? ?? ?? ?? 66 BA 22 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B7 55 F8 66 89 50 06 8B 45 FC 0F B7 55 F6 66 89 50 0C 8B 45 FC 0F B6 55 FB 88 50 04 C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70697_0 {
	meta:
		name = "TWideStrings.SetCommaText"
		size = 150
		refs = "0034 TWideStrings.SetDelimiter 0040 TWideStrings.SetQuoteChar 0048 TWideStrings.SetCommaText 0058 TWideStrings.SetDelimitedText 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B DA 89 45 FC 8B 45 FC 0F B6 40 04 88 45 FB 8B 45 FC 0F B7 40 06 66 89 45 F8 8B 45 FC 0F B7 40 0C 66 89 45 F6 66 BA 2C 00 8B 45 FC E8 ?? ?? ?? ?? 66 BA 22 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B7 55 F8 66 89 50 06 8B 45 FC 0F B7 55 F6 66 89 50 0C 8B 45 FC 0F B6 55 FB 88 50 04 C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70674_0 {
	meta:
		name = "IsDelimiter"
		size = 75
		refs = "0010 TWideStrings.GetStrictDelimiter 0025 TWideStrings.GetQuoteChar 0035 TWideStrings.GetDelimiter"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 B3 01 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 75 06 66 83 FE 20 76 27 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 66 3B F0 74 17 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 66 3B F0 74 07 66 85 F6 74 02 33 DB 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_70675_0 {
	meta:
		name = "TWideStrings.GetDelimitedText"
		size = 452
		refs = "001b TWideStrings.GetDelimitedText 0047 @WStrEqual 0051 TWideStrings.GetQuoteChar 005b @UStrFromWChar 007a @UStrCat 0084 @WStrFromUStr 0090 @WStrClr 00ba @WStrToPWChar 00c4 CharNextW 00cf IsDelimiter 00ef WideQuotedStr 00fa @WStrLAsg 0107 @WStrCat3 0112 @UStrFromWStr 011e TWideStrings.GetDelimiter 0167 @WStrDelete 017c @UStrClr 01a1 @UStrArrayClr 01b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B D8 83 FB 01 75 59 8D 4D EC 33 D2 8B 45 FC 8B 38 FF 57 0C 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 75 40 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 58 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? E9 DE 00 00 00 8B C6 E8 ?? ?? ?? ?? 4B 85 DB 0F 8C AE 00 00 00 43 89 5D F0 C7 45 F4 00 00 00 00 8D 4D F8 8B 55 F4 8B 45 FC 8B 18 FF 53 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 EB 08 53 E8 ?? ?? ?? ?? 8B D8 55 0F B7 03 E8 ?? ?? ?? ?? 59 84 C0 74 EA 66 83 3B 00 74 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 4D E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F8 E8 ?? ?? ?? ?? 8B 16 8D 45 D8 8B 4D F8 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 DC E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 58 E8 ?? ?? ?? ?? 8B 55 DC 8B C6 E8 ?? ?? ?? ?? FF 45 F4 FF 4D F0 0F 85 5D FF FF FF 8B 06 89 45 D0 8B 45 D0 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D6 B9 01 00 00 00 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70680_0 {
	meta:
		name = "TWideStrings.GetTextStr"
		size = 330
		refs = "001d TWideStrings.GetTextStr 003e TWideStrings.GetLineBreak 0096 @WStrFromPWCharLen 00df Move 012b @WStrClr 0138 @WStrArrayClr 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D DC 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 14 89 45 E4 33 C0 89 45 E8 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 75 E4 4E 85 F6 7C 43 46 C7 45 EC 00 00 00 00 8D 4D DC 8B 55 EC 8B 45 F4 8B 18 FF 53 0C 8B 45 DC 89 45 D8 8B 45 D8 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B 55 F8 85 D2 74 07 83 EA 04 8B 12 D1 EA 03 D0 01 55 E8 FF 45 EC 4E 75 C5 8B 45 F0 8B 4D E8 33 D2 E8 ?? ?? ?? ?? 8B 45 F0 8B 00 89 45 E0 8B 75 E4 4E 85 F6 7C 70 46 C7 45 EC 00 00 00 00 8D 4D FC 8B 55 EC 8B 45 F4 8B 18 FF 53 0C 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 85 DB 74 16 8B CB 03 C9 8B 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B C3 03 C0 01 45 E0 8B 45 F8 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 85 DB 74 16 8B CB 03 C9 8B 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 03 C0 01 45 E0 FF 45 EC 4E 75 98 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70681_0 {
	meta:
		name = "TWideStrings.GetValue"
		size = 144
		refs = "0019 TWideStrings.GetValue 005f @WStrCopy 0069 @WStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F4 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 8B 08 FF 51 5C 8B F0 85 F6 7C 32 8D 4D FC 8B D6 8B C3 8B 18 FF 53 0C 8B 5D F8 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8B 45 F4 50 8D 53 02 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70685_0 {
	meta:
		name = "TWideStrings.InsertObject"
		size = 46
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F0 8B 4D FC 8B D3 8B C6 8B 38 FF 57 64 8B 4D 08 8B D3 8B C6 8B 18 FF 53 24 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_70686_0 {
	meta:
		name = "TWideStrings.LoadFromFile"
		size = 149
		refs = "0015 TWideStrings.LoadFromFile 0027 @UStrFromWStr 0031 _Dn_TFileStream 0036 TFileStream.Create 0066 TObject.Free 006c @HandleFinally 0083 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 20 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70687_0 {
	meta:
		name = "TWideStrings.LoadFromStream"
		size = 10
	strings:
		$1 = { 53 33 C9 8B 18 FF 53 78 5B C3 }
	condition:
		$1
}

rule function_70688_0 {
	meta:
		name = "TWideStrings.Move"
		size = 179
		refs = "0019 TWideStrings.Move 002b TWideStrings.BeginUpdate 0083 TWideStrings.EndUpdate 0089 @HandleFinally 00a0 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B FE 74 68 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B 45 F8 8B 18 FF 53 0C 8B D6 8B 45 F8 8B 08 FF 51 18 89 45 F4 8B D6 8B 45 F8 8B 08 FF 51 4C 8B 45 F4 50 8B 4D FC 8B D7 8B 45 F8 8B 18 FF 53 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70689_0 {
	meta:
		name = "TWideStrings.Put"
		size = 47
	strings:
		$1 = { 53 56 57 55 8B E9 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 18 8B F8 8B D6 8B C3 8B 08 FF 51 4C 57 8B CD 8B D6 8B C3 8B 18 FF 53 68 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70691_0 {
	meta:
		name = "TWideStrings.ReadData"
		size = 179
		refs = "0015 TWideStrings.ReadData 0025 TReader.CheckValue 002d TWideStrings.BeginUpdate 0050 TReader.ReadWideString 0063 TReader.EndOfList 007c TWideStrings.EndUpdate 0082 @HandleFinally 00a3 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 48 EB 16 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 38 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_70692_0 {
	meta:
		name = "TWideStrings.SaveToFile"
		size = 13
	strings:
		$1 = { 53 33 C9 8B 18 FF 93 84 00 00 00 5B C3 }
	condition:
		$1
}

rule function_70693_0 {
	meta:
		name = "TWideStrings.SaveToFile"
		size = 161
		refs = "0018 TWideStrings.SaveToFile 002d @UStrFromWStr 0037 _Dn_TFileStream 003c TFileStream.Create 0071 TObject.Free 0077 @HandleFinally 008e @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 FF 00 00 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 8B 55 FC 8B C3 8B 18 FF 93 8C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70694_0 {
	meta:
		name = "TWideStrings.SaveToStream"
		size = 204
		refs = "0018 TWideStrings.SaveToStream 0027 TEncoding.GetUnicode 003e @UStrFromWStr 004b TEncoding.GetBytes 005d @DynArrayLength 0075 TStream.WriteBuffer 009e @WStrClr 00a6 @UStrClr 00af TArray<System.Byte> 00b9 @FinalizeArray 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 07 E8 ?? ?? ?? ?? 8B D8 8D 55 F0 8B C6 8B 08 FF 51 1C 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 8B 08 FF 51 24 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 14 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70695_0 {
	meta:
		name = "TWideStrings.SaveToStream"
		size = 13
	strings:
		$1 = { 53 33 C9 8B 18 FF 93 8C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_70698_0 {
	meta:
		name = "TWideStrings.SetStringsAdapter"
		size = 49
		refs = "001a @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 18 00 74 08 8B 43 18 8B 10 FF 52 10 8D 43 18 8B D6 E8 ?? ?? ?? ?? 83 7B 18 00 74 0A 8B D3 8B 43 18 8B 08 FF 51 0C 5E 5B C3 }
	condition:
		$1
}

rule function_70700_0 {
	meta:
		name = "TWideStrings.SetTextStr"
		size = 460
		refs = "0018 TWideStrings.SetTextStr 0026 TWideStrings.BeginUpdate 0043 @WStrToPWChar 0058 TWideStrings.GetLineBreak 0065 WideCompareStr 007f InOpSet 0098 @WStrFromPWCharLen 0102 AnsiStrPos 0159 TWideStrings.EndUpdate 015f @HandleFinally 0176 @WStrClr 0183 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 10 FF 52 48 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 F7 00 00 00 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 57 EB 4A 8B F3 EB 03 83 C3 02 BA ?? ?? ?? ?? 0F B7 03 E8 ?? ?? ?? ?? 84 C0 74 EC 8B CB 2B CE D1 F9 79 03 83 D1 00 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 51 38 66 83 3B 0D 75 03 83 C3 02 66 83 3B 0A 75 03 83 C3 02 66 83 3B 00 75 B0 E9 84 00 00 00 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC 89 45 E8 8B 45 E8 85 C0 74 07 83 E8 04 8B 00 D1 E8 89 45 F4 EB 5A 8B F3 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 03 83 C3 02 66 83 3B 00 74 04 3B FB 75 F3 8B CB 2B CE D1 F9 79 03 83 D1 00 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 51 38 3B FB 75 07 8B 45 F4 03 C0 03 D8 66 83 3B 00 75 A0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 04 00 00 00 0D 00 0A 00 00 00 00 00 01 24 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_70702_0 {
	meta:
		name = "TWideStrings.SetValue"
		size = 229
		refs = "0020 TWideStrings.SetValue 003c @WStrEqual 0058 @UStrFromWStr 0062 TWideStrings.GetNameValueSeparator 006c @UStrFromWChar 008a @UStrCatN 0095 @WStrFromUStr 00ca @UStrArrayClr 00d2 @WStrClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 5C 8B F8 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 74 65 85 FF 7D 0B 33 D2 8B C6 8B 08 FF 51 38 8B F8 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? FF 75 EC 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 45 E8 E8 ?? ?? ?? ?? FF 75 E8 8D 45 E4 8B 55 F8 E8 ?? ?? ?? ?? FF 75 E4 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 8B D7 8B C6 8B 18 FF 53 20 EB 0D 85 FF 7C 09 8B D7 8B C6 8B 08 FF 51 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70703_0 {
	meta:
		name = "TWideStrings.WriteData"
		size = 158
		refs = "001b TWideStrings.WriteData 002b TWriter.WriteValue 0055 @UStrFromWStr 0060 TWriter.WriteWideString 0083 @WStrClr 008b @UStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 2A 43 33 F6 8D 4D F0 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 46 4B 75 D9 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70704_0 {
	meta:
		name = "TWideStrings.SetDelimitedText"
		size = 488
		refs = "001a TWideStrings.SetDelimitedText 0028 TWideStrings.BeginUpdate 0045 @WStrToPWChar 004f TWideStrings.GetStrictDelimiter 0061 CharNextW 0072 InOpSet 0083 TWideStrings.GetQuoteChar 009c WideExtractQuotedStr 00d6 TWideStrings.GetDelimiter 00f2 @WStrFromPWCharLen 0195 TWideStrings.EndUpdate 019b @HandleFinally 01b2 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B F2 89 45 F8 8D 5D F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 48 8B C6 E8 ?? ?? ?? ?? 89 03 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 1B 01 00 00 EB 0A 8B 03 50 E8 ?? ?? ?? ?? 89 03 BA ?? ?? ?? ?? 8B 03 0F B7 00 E8 ?? ?? ?? ?? 84 C0 75 E3 E9 F7 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 66 3B F8 75 16 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 4D FC 8B C3 E8 ?? ?? ?? ?? EB 54 8B 33 EB 0A 8B 03 50 E8 ?? ?? ?? ?? 89 03 8B 45 F8 80 78 10 00 75 08 8B 03 66 83 38 20 77 11 8B 45 F8 80 78 10 00 74 17 8B 03 66 83 38 00 74 0F 8B 45 F8 E8 ?? ?? ?? ?? 8B 13 66 3B 02 75 C5 8B 0B 2B CE D1 F9 79 03 83 D1 00 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 51 38 8B 45 F8 80 78 10 00 75 1F EB 0A 8B 03 50 E8 ?? ?? ?? ?? 89 03 BA ?? ?? ?? ?? 8B 03 0F B7 00 E8 ?? ?? ?? ?? 84 C0 75 E3 8B 45 F8 E8 ?? ?? ?? ?? 8B 13 66 3B 02 75 3E 8B 33 56 E8 ?? ?? ?? ?? 66 83 38 00 75 0A 33 D2 8B 45 F8 8B 08 FF 51 38 8B 03 50 E8 ?? ?? ?? ?? 89 03 8B 45 F8 80 78 10 00 75 13 BA ?? ?? ?? ?? 8B 03 0F B7 00 E8 ?? ?? ?? ?? 84 C0 75 DA 8B 03 0F B7 38 66 85 FF 0F 85 FB FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 FE FF FF FF 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_70705_0 {
	meta:
		name = "TWideStrings.GetDelimiter"
		size = 26
		refs = "0010 TWideStrings.SetDelimiter"
	strings:
		$1 = { 53 8B D8 F6 43 04 01 75 0B 66 BA 2C 00 8B C3 E8 ?? ?? ?? ?? 0F B7 43 06 5B C3 }
	condition:
		$1
}

rule function_70706_0 {
	meta:
		name = "TWideStrings.GetLineBreak"
		size = 52
		refs = "000d TWideStrings.GetLineBreak 0014 TWideStrings.SetLineBreak 001e @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 04 08 75 0C BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 08 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 04 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_70707_0 {
	meta:
		name = "TWideStrings.GetQuoteChar"
		size = 26
		refs = "0010 TWideStrings.SetQuoteChar"
	strings:
		$1 = { 53 8B D8 F6 43 04 02 75 0B 66 BA 22 00 8B C3 E8 ?? ?? ?? ?? 0F B7 43 0C 5B C3 }
	condition:
		$1
}

rule function_70708_0 {
	meta:
		name = "TWideStrings.GetStrictDelimiter"
		size = 24
		refs = "000e TWideStrings.SetStrictDelimiter"
	strings:
		$1 = { 53 8B D8 F6 43 04 10 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B6 43 10 5B C3 }
	condition:
		$1
}

rule function_70709_0 {
	meta:
		name = "TWideStrings.SetDelimiter"
		size = 29
	strings:
		$1 = { 53 56 8B F2 8B D8 66 3B 73 06 75 06 F6 43 04 01 75 08 80 4B 04 01 66 89 73 06 5E 5B C3 }
	condition:
		$1
}

rule function_70710_0 {
	meta:
		name = "TWideStrings.SetLineBreak"
		size = 41
		refs = "000c @WStrEqual 0022 @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 8B D6 E8 ?? ?? ?? ?? 75 06 F6 43 04 08 75 0E 80 4B 04 08 8D 43 08 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70711_0 {
	meta:
		name = "TWideStrings.SetQuoteChar"
		size = 29
	strings:
		$1 = { 53 56 8B F2 8B D8 66 3B 73 0C 75 06 F6 43 04 02 75 08 80 4B 04 02 66 89 73 0C 5E 5B C3 }
	condition:
		$1
}

rule function_70712_0 {
	meta:
		name = "TWideStrings.SetStrictDelimiter"
		size = 27
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 10 75 06 F6 46 04 10 75 07 80 4E 04 10 88 5E 10 5E 5B C3 }
	condition:
		$1
}

rule function_70714_0 {
	meta:
		name = "TWideStrings.GetNameValueSeparator"
		size = 26
		refs = "0010 TWideStrings.SetNameValueSeparator"
	strings:
		$1 = { 53 8B D8 F6 43 04 04 75 0B 66 BA 3D 00 8B C3 E8 ?? ?? ?? ?? 0F B7 43 0E 5B C3 }
	condition:
		$1
}

rule function_70715_0 {
	meta:
		name = "TWideStrings.SetNameValueSeparator"
		size = 29
	strings:
		$1 = { 53 56 8B F2 8B D8 66 3B 73 0E 75 06 F6 43 04 04 75 08 80 4B 04 04 66 89 73 0E 5E 5B C3 }
	condition:
		$1
}

rule function_70716_0 {
	meta:
		name = "TWideStrings.GetValueFromIndex"
		size = 162
		refs = "001c TWideStrings.GetValueFromIndex 003e TWideStrings.GetName 0068 @WStrCopy 0072 @WStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F4 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 44 8D 4D FC 8B D6 8B C3 8B 38 FF 57 0C 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F0 8B 5D F0 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8B 45 F8 50 8D 53 02 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70717_0 {
	meta:
		name = "TWideStrings.SetValueFromIndex"
		size = 249
		refs = "001f TWideStrings.SetValueFromIndex 002f @WStrEqual 004c TWideStrings.GetName 0057 @UStrFromWStr 0061 TWideStrings.GetNameValueSeparator 006b @UStrFromWChar 0089 @UStrCatN 0094 @WStrFromUStr 00c9 @UStrArrayClr 00d1 @WStrClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 74 71 85 FF 7D 0B 33 D2 8B C6 8B 08 FF 51 38 8B F8 8D 4D EC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? FF 75 F0 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 45 E8 E8 ?? ?? ?? ?? FF 75 E8 8D 45 E4 8B 55 FC E8 ?? ?? ?? ?? FF 75 E4 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D F8 8B D7 8B C6 8B 18 FF 53 20 EB 0D 85 FF 7C 09 8B D7 8B C6 8B 08 FF 51 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70718_0 {
	meta:
		name = "TWideStrings.LoadFromFile"
		size = 155
		refs = "0018 TWideStrings.LoadFromFile 002a @UStrFromWStr 0034 _Dn_TFileStream 0039 TFileStream.Create 006b TObject.Free 0071 @HandleFinally 0088 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 20 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 8B 55 FC 8B C3 8B 18 FF 53 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70719_0 {
	meta:
		name = "TWideStrings.LoadFromStream"
		size = 272
		refs = "001b TWideStrings.LoadFromStream 0029 TWideStrings.BeginUpdate 0046 TStream.GetPosition 0057 TArray<System.Byte> 005c @DynArraySetLength 0076 TEncoding.GetBufferEncoding 0081 TEncoding.GetUnicode 008c @DynArrayLength 00a0 TEncoding.GetString 00ab @WStrFromUStr 00cb TWideStrings.EndUpdate 00d1 @HandleFinally 00e8 @UStrClr 00f0 @WStrClr 00fe @DynArrayClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F4 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 12 8B D8 8B C6 E8 ?? ?? ?? ?? 2B D8 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B CB 8B C6 8B 18 FF 53 0C 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 75 08 E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 2B C3 50 8D 45 EC 50 8B CB 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70720_0 {
	meta:
		name = "TWideStringList.Destroy"
		size = 115
		refs = "0005 @BeforeDestruction 003d TObject.Free 004f TWideStrings.Destroy 006a @ClassDestroy"
	strings:
		$1 = { 53 56 57 51 E8 ?? ?? ?? ?? 88 14 24 8B D8 33 C0 89 43 30 89 43 34 33 C0 89 43 38 89 43 3C 80 7B 40 00 74 21 8B 73 20 4E 85 F6 7C 19 46 33 FF 8B D7 8B C3 8B 08 FF 51 18 85 C0 74 05 E8 ?? ?? ?? ?? 47 4E 75 EA 0F B6 14 24 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 20 33 D2 8B C3 8B 08 FF 51 28 80 3C 24 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70722_0 {
	meta:
		name = "TWideStringList.AddObject"
		size = 98
		refs = "003b SDuplicateString 0044 TWideStrings.Error"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B F2 8B D8 80 7B 28 00 75 08 8B 43 20 89 04 24 EB 2F 8B CC 8B D6 8B C3 8B 28 FF 95 A0 00 00 00 84 C0 74 1D 0F B6 43 29 2C 01 72 26 FE C8 74 02 EB 0F 8B 15 ?? ?? ?? ?? 33 C9 8B C3 E8 ?? ?? ?? ?? 57 8B CE 8B 54 24 04 8B C3 8B 18 FF 93 9C 00 00 00 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70723_0 {
	meta:
		name = "TWideStringList.Changed"
		size = 26
	strings:
		$1 = { 53 83 78 14 00 75 11 66 83 78 32 00 74 0A 8B D8 8B D0 8B 43 34 FF 53 30 5B C3 }
	condition:
		$1
}

rule function_70724_0 {
	meta:
		name = "TWideStringList.Changing"
		size = 26
	strings:
		$1 = { 53 83 78 14 00 75 11 66 83 78 3A 00 74 0A 8B D8 8B D0 8B 43 3C FF 53 38 5B C3 }
	condition:
		$1
}

rule function_70725_0 {
	meta:
		name = "TWideStringList.Clear"
		size = 88
		refs = "0034 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D8 83 7B 20 00 74 49 8B C3 8B 10 FF 92 98 00 00 00 80 7B 40 00 74 21 8B 73 20 4E 85 F6 7C 19 46 33 FF 8B D7 8B C3 8B 08 FF 51 18 85 C0 74 05 E8 ?? ?? ?? ?? 47 4E 75 EA 33 C0 89 43 20 33 D2 8B C3 8B 08 FF 51 28 8B C3 8B 10 FF 92 94 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70726_0 {
	meta:
		name = "TWideStringList.Delete"
		size = 145
		refs = "0011 SListIndexError 001a TWideStrings.Error 003c TObject.Free 0048 TWideStringItem 004d @Finalize 0073 Move"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 05 3B 73 20 7C 0F 8B 15 ?? ?? ?? ?? 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 98 00 00 00 80 7B 40 00 74 12 8B D6 8B C3 8B 08 FF 51 18 85 C0 74 05 E8 ?? ?? ?? ?? 8B 43 1C 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 4B 20 8B 43 20 3B F0 7D 29 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 1C 8D 14 F0 8B 43 1C 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 1C 8B 53 20 8D 04 D0 33 D2 89 10 8B C3 8B 10 FF 92 94 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_70727_0 {
	meta:
		name = "TWideStringList.Exchange"
		size = 92
		refs = "0014 SListIndexError 001d TWideStrings.Error 004a TWideStringList.ExchangeItems"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 20 7C 0F 8B 15 ?? ?? ?? ?? 8B CE 8B C3 E8 ?? ?? ?? ?? 85 FF 7C 05 3B 7B 20 7C 0F 8B 15 ?? ?? ?? ?? 8B CF 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 98 00 00 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 94 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70728_0 {
	meta:
		name = "TWideStringList.ExchangeItems"
		size = 35
	strings:
		$1 = { 53 8B 58 1C 8D 14 D3 8B 40 1C 8D 04 C8 8B 0A 8B 18 89 1A 89 08 8B 4A 04 8B 58 04 89 5A 04 89 48 04 5B C3 }
	condition:
		$1
}

rule function_70729_0 {
	meta:
		name = "TWideStringList.Find"
		size = 129
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 4C 24 04 89 14 24 8B F8 C6 44 24 08 00 33 F6 8B 47 20 48 89 44 24 0C 3B 74 24 0C 7F 49 8B DE 03 5C 24 0C D1 EB 8B 47 1C 8B 14 D8 8B 0C 24 8B C7 8B 28 FF 55 34 89 44 24 10 83 7C 24 10 00 7D 05 8D 73 01 EB 1B 8B C3 48 89 44 24 0C 83 7C 24 10 00 75 0D C6 44 24 08 01 80 7F 29 01 74 02 8B F3 3B 74 24 0C 7E B7 8B 44 24 04 89 30 0F B6 44 24 08 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70730_0 {
	meta:
		name = "TWideStringList.Get"
		size = 50
		refs = "0014 SListIndexError 001d TWideStrings.Error 002a @WStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 20 7C 0F 8B 15 ?? ?? ?? ?? 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C7 8B 53 1C 8B 14 F2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70733_0 {
	meta:
		name = "TWideStringList.GetObject"
		size = 40
		refs = "0011 SListIndexError 001a TWideStrings.Error"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 05 3B 73 20 7C 0F 8B 15 ?? ?? ?? ?? 8B CE 8B C3 E8 ?? ?? ?? ?? 8B 43 1C 8B 44 F0 04 5E 5B C3 }
	condition:
		$1
}

rule function_70734_0 {
	meta:
		name = "TWideStringList.Grow"
		size = 51
	strings:
		$1 = { 56 8B 50 24 83 FA 40 7E 0E 8B F2 85 F6 79 03 83 C6 03 C1 FE 02 EB 11 83 FA 08 7E 07 BE 10 00 00 00 EB 05 BE 04 00 00 00 03 F2 8B D6 8B 08 FF 51 28 5E C3 }
	condition:
		$1
}

rule function_70735_0 {
	meta:
		name = "TWideStringList.IndexOf"
		size = 59
		refs = "0012 TWideStrings.IndexOf"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 80 7B 28 00 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? 89 04 24 EB 19 8B CC 8B D6 8B C3 8B 18 FF 93 A0 00 00 00 84 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_70736_0 {
	meta:
		name = "TUtilsWideStringList.Insert"
		size = 16
		altNames = "TWideStringList.Insert"
	strings:
		$1 = { 53 56 8B F0 6A 00 8B C6 8B 18 FF 53 68 5E 5B C3 }
	condition:
		$1
}

rule function_70737_0 {
	meta:
		name = "TWideStringList.InsertObject"
		size = 82
		refs = "0014 SSortedListError 001d TWideStrings.Error 002c SListIndexError"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 80 7B 28 00 74 0F 8B 15 ?? ?? ?? ?? 33 C9 8B C3 E8 ?? ?? ?? ?? 85 F6 7C 05 3B 73 20 7E 0F 8B 15 ?? ?? ?? ?? 8B CE 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B C3 8B 18 FF 93 9C 00 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_70738_0 {
	meta:
		name = "TWideStringList.InsertItem"
		size = 123
		refs = "0021 TWideStringList.Grow 0048 Move 0063 @WStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 92 98 00 00 00 8B 43 20 3B 43 24 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 20 3B F0 7D 20 8B 53 1C 8D 54 F2 08 52 8B 53 1C 8D 14 F2 2B C6 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 1C 8D 04 F0 8B F0 33 C0 89 06 8B 45 08 89 46 04 8B C6 8B D7 E8 ?? ?? ?? ?? FF 43 20 8B C3 8B 10 FF 92 94 00 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_70739_0 {
	meta:
		name = "TWideStringList.Put"
		size = 91
		refs = "0011 SSortedListError 001a TWideStrings.Error 0029 SListIndexError 0049 @WStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 7B 28 00 74 0F 8B 15 ?? ?? ?? ?? 33 C9 8B C3 E8 ?? ?? ?? ?? 85 F6 7C 05 3B 73 20 7C 0F 8B 15 ?? ?? ?? ?? 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 98 00 00 00 8B 43 1C 8D 04 F0 8B D7 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 94 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70740_0 {
	meta:
		name = "TWideStringList.PutObject"
		size = 64
		refs = "0014 SListIndexError 001d TWideStrings.Error"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 20 7C 0F 8B 15 ?? ?? ?? ?? 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 98 00 00 00 8B 43 1C 89 7C F0 04 8B C3 8B 10 FF 92 94 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70741_0 {
	meta:
		name = "TWideStringList.QuickSort"
		size = 148
		refs = "0052 TWideStringList.ExchangeItems 0080 TWideStringList.QuickSort"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 89 55 F8 89 45 FC 8B 5D F8 8B 75 F4 8B 45 F8 03 45 F4 D1 E8 89 45 F0 EB 01 43 8B 4D F0 8B D3 8B 45 FC FF 55 08 85 C0 7C F0 EB 01 4E 8B 4D F0 8B D6 8B 45 FC FF 55 08 85 C0 7F F0 3B F3 7C 20 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 3B 5D F0 75 05 89 75 F0 EB 08 3B 75 F0 75 03 89 5D F0 43 4E 3B F3 7D B7 3B 75 F8 7E 11 8B 45 08 50 8B CE 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 5D F8 3B 5D F4 7C 85 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_82070_0 {
	meta:
		name = "TListControlItems.QuickSort"
		size = 148
		refs = "0052 TListControlItems.ExchangeItems 0080 TListControlItems.QuickSort"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 89 55 F8 89 45 FC 8B 5D F8 8B 75 F4 8B 45 F8 03 45 F4 D1 E8 89 45 F0 EB 01 43 8B 4D F0 8B D3 8B 45 FC FF 55 08 85 C0 7C F0 EB 01 4E 8B 4D F0 8B D6 8B 45 FC FF 55 08 85 C0 7F F0 3B F3 7C 20 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 3B 5D F0 75 05 89 75 F0 EB 08 3B 75 F0 75 03 89 5D F0 43 4E 3B F3 7D B7 3B 75 F8 7E 11 8B 45 08 50 8B CE 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 5D F8 3B 5D F4 7C 85 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_70742_0 {
	meta:
		name = "TWideStringList.SetCapacity"
		size = 35
		refs = "0011 TWideStringItemList 0016 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8D 43 1C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 89 73 24 5E 5B C3 }
	condition:
		$1
}

rule function_70743_0 {
	meta:
		name = "TWideStringList.SetSorted"
		size = 31
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 28 74 11 84 DB 74 0A 8B C6 8B 10 FF 92 A4 00 00 00 88 5E 28 5E 5B C3 }
	condition:
		$1
}

rule function_70744_0 {
	meta:
		name = "TWideStringList.SetUpdateState"
		size = 31
	strings:
		$1 = { 56 8B F0 84 D2 74 0C 8B C6 8B 10 FF 92 98 00 00 00 5E C3 8B C6 8B 10 FF 92 94 00 00 00 5E C3 }
	condition:
		$1
}

rule function_70745_0 {
	meta:
		name = "StringListCompareStrings"
		size = 30
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 1C 8B 0C C8 8B 46 1C 8B 14 F8 8B C6 8B 18 FF 53 34 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70746_0 {
	meta:
		name = "TWideStringList.Sort"
		size = 14
		refs = "0001 StringListCompareStrings"
	strings:
		$1 = { BA ?? ?? ?? ?? 8B 08 FF 91 A8 00 00 00 C3 }
	condition:
		$1
}

rule function_70747_0 {
	meta:
		name = "TWideStringList.CustomSort"
		size = 55
		refs = "0026 TWideStringList.QuickSort"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 28 00 75 28 83 7B 20 01 7E 22 8B C3 8B 10 FF 92 98 00 00 00 56 8B 4B 20 49 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 94 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_70748_0 {
	meta:
		name = "TWideStringList.CompareStrings"
		size = 26
		refs = "000b WideCompareStr 0015 WideCompareText"
	strings:
		$1 = { 80 78 2A 00 74 0A 8B C2 8B D1 E8 ?? ?? ?? ?? C3 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70750_0 {
	meta:
		name = "TWideStringList.Create"
		size = 67
		refs = "000e @ClassCreate 001e TObject.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 40 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70751_0 {
	meta:
		name = "TWideStringList.SetCaseSensitive"
		size = 23
	strings:
		$1 = { 3A 50 2A 74 11 88 50 2A 80 78 28 00 74 08 8B 10 FF 92 A4 00 00 00 C3 }
	condition:
		$1
}

rule function_70757_0 {
	meta:
		name = "WStrNew"
		size = 42
		refs = "0010 WStrLen 001a WStrAlloc 0023 WStrMove"
	strings:
		$1 = { 53 56 8B D8 85 DB 75 05 33 C0 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8B F0 46 8B C6 E8 ?? ?? ?? ?? 8B CE 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70759_0 {
	meta:
		name = "WStrLen"
		size = 25
	strings:
		$1 = { 8B D0 EB 03 83 C2 02 66 83 3A 00 75 F7 2B D0 D1 FA 79 03 83 D2 00 8B C2 C3 }
	condition:
		$1
}

rule function_70760_0 {
	meta:
		name = "WStrEnd"
		size = 12
	strings:
		$1 = { EB 03 83 C0 02 66 83 38 00 75 F7 C3 }
	condition:
		$1
}

rule function_70762_0 {
	meta:
		name = "WStrCopy"
		size = 31
	strings:
		$1 = { 53 8B D8 EB 09 66 89 08 83 C2 02 83 C0 02 0F B7 0A 66 85 C9 75 EF 66 C7 00 00 00 8B C3 5B C3 }
	condition:
		$1
}

rule function_70763_0 {
	meta:
		name = "WStrLCopy"
		size = 38
	strings:
		$1 = { 56 57 8B F8 EB 0A 66 89 30 83 C2 02 83 C0 02 49 0F B7 32 66 85 F6 74 04 85 C9 77 EA 66 C7 00 00 00 8B C7 5F 5E C3 }
	condition:
		$1
}

rule function_70764_0 {
	meta:
		name = "WStrPCopy"
		size = 44
		refs = "0019 @WStrToPWChar 0024 WStrLCopy"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B DE 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70766_0 {
	meta:
		name = "WStrScan"
		size = 22
	strings:
		$1 = { EB 0B 66 85 C9 75 03 33 C0 C3 83 C0 02 0F B7 08 66 3B D1 75 ED C3 }
	condition:
		$1
}

rule function_70767_0 {
	meta:
		name = "WStrComp"
		size = 36
	strings:
		$1 = { 56 33 F6 0F B7 08 66 3B 0A 75 0D 66 85 C9 74 10 83 C0 02 83 C2 02 EB EB 0F B7 30 0F B7 02 2B F0 8B C6 5E C3 }
	condition:
		$1
}

rule function_70768_0 {
	meta:
		name = "WStrPos"
		size = 97
	strings:
		$1 = { 56 57 55 51 33 F6 85 C0 74 50 66 83 38 00 74 4A 85 D2 74 46 66 83 3A 00 74 40 8B F0 0F B7 02 66 89 04 24 0F B7 06 66 3B 04 24 75 23 8B C6 8B CA 83 C0 02 83 C1 02 0F B7 29 66 85 ED 74 1C 0F B7 38 66 85 FF 75 04 33 F6 EB 10 66 3B EF 74 E1 83 C6 02 66 83 3E 00 75 CB 33 F6 8B C6 5A 5D 5F 5E C3 }
	condition:
		$1
}

rule function_70769_0 {
	meta:
		name = "UTF8LowerCase"
		size = 98
		refs = "0011 UTF8LowerCase 0021 UTF8Decode 002c WideLowerCase 0036 UTF8Encode 0050 @WStrArrayClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70770_0 {
	meta:
		name = "UTF8UpperCase"
		size = 98
		refs = "0011 UTF8UpperCase 0021 UTF8Decode 002c WideUpperCase 0036 UTF8Encode 0050 @WStrArrayClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70771_0 {
	meta:
		name = "AnsiToUtf8Ex"
		size = 341
		refs = "001a AnsiToUtf8Ex 0033 @UStrFromLStr 0043 @LStrFromUStr 0050 @LStrClr 006b @LStrToPChar 0077 UnicodeFromLocaleChars 008b GetMemory 00dd LocaleCharsFromUnicode 00ee @LStrSetLength 0124 FreeMemory 012b @HandleFinally 0142 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 7D FC E9 FD 00 00 75 1F 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 B9 E9 FD 00 00 E8 ?? ?? ?? ?? E9 E5 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 89 75 EC 8B 5D EC 85 DB 74 05 83 EB 04 8B 1B 53 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 8B C8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 AC 00 00 00 8B C3 03 C0 50 E8 ?? ?? ?? ?? 59 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 75 EC 8B 7D EC 85 FF 74 05 83 EF 04 8B 3F 57 8B 45 F4 50 53 8B C6 E8 ?? ?? ?? ?? 8B C8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 53 6A 00 6A 00 6A 00 6A 00 8B 4D F4 33 D2 B8 E9 FD 00 00 E8 ?? ?? ?? ?? 8B F0 8B 45 F8 B9 E9 FD 00 00 8B D6 E8 ?? ?? ?? ?? 53 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 50 56 6A 00 6A 00 8B 4D F4 33 D2 B8 E9 FD 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 59 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70772_0 {
	meta:
		name = "Utf8ToAnsiEx"
		size = 338
		refs = "001a Utf8ToAnsiEx 0033 @UStrFromLStr 0043 @LStrFromUStr 0050 @LStrClr 006b @LStrToPChar 0079 UnicodeFromLocaleChars 008d GetMemory 00df LocaleCharsFromUnicode 00ed @LStrSetLength 0121 FreeMemory 0128 @HandleFinally 013f @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 7D FC E9 FD 00 00 75 1F 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 E2 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 89 75 EC 8B 5D EC 85 DB 74 05 83 EB 04 8B 1B 53 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 8B C8 33 D2 B8 E9 FD 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 A7 00 00 00 8B C3 03 C0 50 E8 ?? ?? ?? ?? 59 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 75 EC 8B 7D EC 85 FF 74 05 83 EF 04 8B 3F 57 8B 45 F4 50 53 8B C6 E8 ?? ?? ?? ?? 8B C8 33 D2 B8 E9 FD 00 00 E8 ?? ?? ?? ?? 53 6A 00 6A 00 6A 00 6A 00 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 F8 33 C9 8B D6 E8 ?? ?? ?? ?? 53 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 50 56 6A 00 6A 00 8B 4D F4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 59 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70773_0 {
	meta:
		name = "DetectUTF8Encoding"
		size = 485
		refs = "000b @LStrToPChar"
	strings:
		$1 = { 53 56 57 51 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 89 34 24 8B 14 24 85 D2 74 05 83 EA 04 8B 12 8D 34 02 3B F0 76 0A 80 38 80 73 05 40 3B F0 77 F6 3B F0 0F 84 A7 01 00 00 3B F0 0F 86 95 01 00 00 0F B6 10 0F B6 D2 81 FA E1 00 00 00 7D 17 81 EA 80 00 00 00 72 35 83 C2 BE 83 EA 1E 72 33 74 53 E9 70 01 00 00 81 C2 1F FF FF FF 83 EA 0F 72 7A 0F 84 AB 00 00 00 4A 83 EA 03 0F 82 E3 00 00 00 0F 84 13 01 00 00 E9 4A 01 00 00 40 E9 3C 01 00 00 8D 78 01 3B F7 0F 86 39 01 00 00 0F B6 17 80 C2 80 80 EA 40 0F 83 2A 01 00 00 83 C0 02 E9 1A 01 00 00 8D 50 02 3B F2 0F 86 17 01 00 00 8D 50 01 0F B6 12 80 C2 60 80 EA 20 0F 83 05 01 00 00 8D 50 02 0F B6 12 80 C2 80 80 EA 40 0F 83 F3 00 00 00 83 C0 03 E9 E3 00 00 00 8D 50 02 3B F2 0F 86 E0 00 00 00 8D 50 01 0F B6 12 80 C2 80 80 EA 40 0F 83 CE 00 00 00 8D 50 02 0F B6 12 80 C2 80 80 EA 40 0F 83 BC 00 00 00 83 C0 03 E9 AC 00 00 00 8D 50 03 3B F2 0F 86 A9 00 00 00 8D 50 01 0F B6 12 80 C2 70 80 EA 30 0F 83 97 00 00 00 8D 50 02 0F B6 12 80 C2 80 80 EA 40 0F 83 85 00 00 00 8D 50 03 0F B6 12 80 C2 80 80 EA 40 73 77 83 C0 04 EB 6A 8D 50 03 3B F2 76 6B 8D 50 01 0F B6 12 80 C2 80 80 EA 40 73 5D 8D 50 02 0F B6 12 80 C2 80 80 EA 40 73 4F 8D 50 03 0F B6 12 80 C2 80 80 EA 40 73 41 83 C0 04 EB 34 8D 50 03 3B F2 76 35 8D 50 01 0F B6 12 80 C2 80 80 EA 10 73 27 8D 50 02 0F B6 12 80 C2 80 80 EA 40 73 19 8D 50 03 0F B6 12 80 C2 80 80 EA 40 73 0B 83 C0 04 3B F0 0F 87 6B FE FF FF 3B F0 75 04 B3 01 EB 02 B3 02 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70775_0 {
	meta:
		name = "HasExtendCharacter"
		size = 51
		refs = "0007 @LStrToPChar"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 89 1C 24 8B 14 24 85 D2 74 05 83 EA 04 8B 12 03 D0 B1 01 3B D0 76 0A 80 38 80 73 07 40 3B D0 77 F6 33 C9 8B C1 5A 5B C3 }
	condition:
		$1
}

rule function_70776_0 {
	meta:
		name = "HasUTF8BOM"
		size = 166
		refs = "000e TStream.GetPosition 0020 HasUTF8BOM 0053 sUTF8BOMString 0091 TStream.SetPosition 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 C6 45 FB 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 33 D2 8B 45 FC 8B 08 FF 51 18 8D 55 ED B9 03 00 00 00 8B 45 FC 8B 18 FF 53 0C 83 F8 03 75 2D 0F B6 45 ED 3A 05 ?? ?? ?? ?? 75 18 0F B6 45 EE 3A 05 ?? ?? ?? ?? 75 0C 0F B6 45 EF 3A 05 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? FF 75 F4 FF 75 F0 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70777_0 {
	meta:
		name = "HasUTF8BOM"
		size = 64
		refs = "001c sUTF8BOMString"
	strings:
		$1 = { 51 33 C9 89 04 24 8B 14 24 85 D2 74 05 83 EA 04 8B 12 83 FA 03 7C 25 0F B6 10 3A 15 ?? ?? ?? ?? 75 1A 0F B6 50 01 3A 15 ?? ?? ?? ?? 75 0E 0F B6 40 02 3A 05 ?? ?? ?? ?? 75 02 B1 01 8B C1 5A C3 }
	condition:
		$1
}

rule function_70778_0 {
	meta:
		name = "ConvertStreamFromAnsiToUTF8"
		size = 443
		refs = "0021 ConvertStreamFromAnsiToUTF8 0030 _Dn_TStringStream 0035 @IsClass 0044 TStringStream.GetDataString 0054 @LStrFromUStr 0061 AnsiToUtf8Ex 0071 TStringStream.Create 008e TStream.SetPosition 009d TStream.CopyFrom 00da TObject.Free 00e0 @HandleFinally 00ff @UStrFromLStr 010a TStringStream.WriteString 018a @UStrArrayClr 0192 @LStrClr 019a @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 8B D9 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 8D 4D FC 8B D3 E8 ?? ?? ?? ?? EB 7F 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8D 45 D8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F4 E8 ?? ?? ?? ?? EB 4C 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70779_0 {
	meta:
		name = "ConvertStreamFromUTF8ToAnsi"
		size = 454
		refs = "0021 ConvertStreamFromUTF8ToAnsi 0030 _Dn_TStringStream 0035 @IsClass 0044 TStringStream.GetDataString 0054 @LStrFromUStr 0061 Utf8ToAnsiEx 006b TEncoding.GetUTF8 007c TStringStream.Create 0099 TStream.SetPosition 00a8 TStream.CopyFrom 00e5 TObject.Free 00eb @HandleFinally 010a @UStrFromLStr 0115 TStringStream.WriteString 0195 @UStrArrayClr 019d @LStrClr 01a5 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 8B D9 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 45 E8 8D 4D FC 8B D3 E8 ?? ?? ?? ?? E9 87 00 00 00 E8 ?? ?? ?? ?? 50 6A 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8D 55 DC 8B 45 EC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 45 E0 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8D 45 D8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F4 E8 ?? ?? ?? ?? EB 4C 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70780_0 {
	meta:
		name = "WideLastChar"
		size = 37
		refs = "0008 @WStrEqual"
	strings:
		$1 = { 53 8B D8 8B C3 33 D2 E8 ?? ?? ?? ?? 75 04 33 C0 5B C3 8B C3 85 C0 74 07 83 E8 04 8B 00 D1 E8 8D 44 43 FE 5B C3 }
	condition:
		$1
}

rule function_70781_0 {
	meta:
		name = "WideQuotedStr"
		size = 383
		refs = "001f WideQuotedStr 002f @WStrToPWChar 0038 WStrScan 0063 @UStrFromWChar 0071 @UStrFromWStr 0090 @UStrCatN 009a @WStrFromUStr 00b8 @WStrSetLength 00ef Move 0122 WStrEnd 016c @UStrArrayClr 0172 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 66 89 55 FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 FC E8 ?? ?? ?? ?? 0F B7 55 FA E8 ?? ?? ?? ?? 8B D8 85 DB 74 15 83 C3 02 46 0F B7 55 FA 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 EB 85 F6 75 48 8D 45 F0 0F B7 55 FA E8 ?? ?? ?? ?? FF 75 F0 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? FF 75 EC 8D 45 E8 0F B7 55 FA E8 ?? ?? ?? ?? FF 75 E8 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? E9 B3 00 00 00 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8D 54 06 02 8B C7 E8 ?? ?? ?? ?? 8B 3F 0F B7 45 FA 66 89 07 83 C7 02 8B 75 FC 0F B7 55 FA 8B C6 E8 ?? ?? ?? ?? 8B D8 83 C3 02 8B C3 2B C6 D1 F8 79 03 83 D0 00 8B C8 03 C9 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C3 2B C6 D1 F8 79 03 83 D0 00 03 C0 03 F8 0F B7 45 FA 66 89 07 83 C7 02 8B F3 0F B7 55 FA 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 B9 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 2B C6 D1 F8 79 03 83 D0 00 8B C8 03 C9 8B D7 8B C6 E8 ?? ?? ?? ?? 2B DE D1 FB 79 03 83 D3 00 8B C3 03 C0 03 F8 0F B7 45 FA 66 89 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70782_0 {
	meta:
		name = "WideExtractQuotedStr"
		size = 312
		refs = "0010 @WStrClr 0037 WStrScan 0065 WStrEnd 0097 @WStrFromPWCharLen 00a8 @WStrSetLength 00b2 @WStrToPWChar 00e3 Move"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B FA 8B D8 8B 04 24 E8 ?? ?? ?? ?? 83 3B 00 0F 84 15 01 00 00 8B 03 66 3B 38 0F 85 0A 01 00 00 83 03 02 BD 01 00 00 00 8B 33 8B 03 8B D7 E8 ?? ?? ?? ?? 89 03 EB 19 83 03 02 8B 03 66 3B 38 75 14 83 03 02 45 8B 03 8B D7 E8 ?? ?? ?? ?? 89 03 83 3B 00 75 E2 83 3B 00 75 09 8B C6 E8 ?? ?? ?? ?? 89 03 8B 03 2B C6 D1 F8 79 03 83 D0 00 83 F8 01 0F 8E B3 00 00 00 8B D0 2B D5 0F 84 A9 00 00 00 83 FD 01 75 12 8B C8 49 8B 04 24 8B D6 E8 ?? ?? ?? ?? E9 92 00 00 00 8B D0 2B D5 8B 04 24 E8 ?? ?? ?? ?? 8B 04 24 8B 00 E8 ?? ?? ?? ?? 8B E8 8B D7 8B C6 E8 ?? ?? ?? ?? 89 03 EB 41 83 03 02 8B 03 66 3B 38 75 3C 8B 03 2B C6 D1 F8 79 03 83 D0 00 8B C8 03 C9 8B D5 8B C6 E8 ?? ?? ?? ?? 8B 03 2B C6 D1 F8 79 03 83 D0 00 03 C0 03 E8 83 03 02 8B 33 8B 03 8B D7 E8 ?? ?? ?? ?? 89 03 83 3B 00 75 BA 83 3B 00 75 09 8B C6 E8 ?? ?? ?? ?? 89 03 8B 03 2B C6 D1 F8 79 03 83 D0 00 48 8B C8 03 C9 8B D5 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70783_0 {
	meta:
		name = "WideDequotedStr"
		size = 56
		refs = "000d @WStrToPWChar 001b WideExtractQuotedStr 0024 @WStrEqual 002f @WStrAsg"
	strings:
		$1 = { 53 56 57 51 8B D9 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 89 04 24 8B CB 8B C4 8B D7 E8 ?? ?? ?? ?? 8B 03 33 D2 E8 ?? ?? ?? ?? 75 09 8B C3 8B D6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70784_0 {
	meta:
		name = "WideAdjustLineBreaks"
		size = 277
		refs = "0082 @PWCharLen 0092 @WStrAsg 00a4 @WStrFromPWCharLen"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 0C 24 8B DA 8B E8 8B FD 8B D5 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 03 F6 03 F7 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 89 44 24 04 3B F7 76 45 0F B7 07 66 83 E8 0A 74 08 66 83 E8 03 74 0D EB 2D 80 FB 01 75 28 FF 44 24 04 EB 22 80 FB 01 75 12 66 83 7F 02 0A 75 05 83 C7 02 EB 11 FF 44 24 04 EB 0B 66 83 7F 02 0A 75 04 FF 4C 24 04 83 C7 02 3B F7 77 BB 8B C7 E8 ?? ?? ?? ?? 3B 44 24 04 75 0C 8B 04 24 8B D5 E8 ?? ?? ?? ?? EB 76 8B FD 8B 04 24 8B 4C 24 04 33 D2 E8 ?? ?? ?? ?? 8B 04 24 8B 00 3B F7 76 5D 0F B7 17 8B CA 66 83 E9 0A 74 08 66 83 E9 03 74 1C EB 3D 80 FB 01 75 08 66 C7 00 0D 00 83 C0 02 66 C7 00 0A 00 83 C0 02 83 C7 02 EB 2C 80 FB 01 75 08 66 C7 00 0D 00 83 C0 02 66 C7 00 0A 00 83 C0 02 83 C7 02 66 83 3F 0A 75 0E 83 C7 02 EB 09 66 89 10 83 C0 02 83 C7 02 3B F7 77 A3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70785_0 {
	meta:
		name = "WideStringReplace"
		size = 357
		refs = "0023 WideStringReplace 0039 WideUpperCase 0050 @WStrLAsg 006c @WStrClr 007c Pos 008c @WStrCat 00a7 @WStrCopy 00b9 @WStrCatN 0128 @WStrEqual 0150 @WStrArrayClr 0156 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D EC 89 55 F0 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 0C 02 74 17 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? EB 15 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 AD 00 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0F 8B C6 8B 55 F4 E8 ?? ?? ?? ?? E9 9D 00 00 00 FF 36 8D 45 E4 50 8B CB 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? FF 75 E4 FF 75 EC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 7D F0 85 FF 74 09 83 EF 04 8B 07 D1 E8 8B F8 8D 45 F4 50 8D 14 1F B9 FF FF FF 7F 8B 45 F4 E8 ?? ?? ?? ?? F6 45 0C 01 75 0C 8B C6 8B 55 F4 E8 ?? ?? ?? ?? EB 3F 8B 45 F8 89 45 E8 83 7D E8 00 74 0D 8B 45 E8 83 E8 04 8B 00 D1 E8 89 45 E8 8D 45 FC 50 8B D3 03 55 E8 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 0F 85 43 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_70788_0 {
	meta:
		name = "EnumWideStringModules"
		size = 65
		refs = "001b LoadStringW 0027 @WStrFromPWCharLen 0031 @WStrEqual"
	strings:
		$1 = { 53 56 81 C4 00 F8 FF FF 8B F0 8B DA 68 00 04 00 00 8D 44 24 04 50 8B 03 50 56 E8 ?? ?? ?? ?? 8B C8 8B D4 8D 43 04 E8 ?? ?? ?? ?? 8B 43 04 33 D2 E8 ?? ?? ?? ?? 0F 94 C0 81 C4 00 08 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_70791_0 {
	meta:
		name = "LoadResWideString"
		size = 119
		refs = "000c @WStrClr 0025 @WStrSetLength 002e FindResourceHInstance 004d @WStrToPWChar 0058 LoadStringW 006d @WStrFromPWChar"
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 85 F6 74 5D 81 7E 04 00 00 01 00 73 4A 8B C3 BA 00 04 00 00 E8 ?? ?? ?? ?? 8B 06 8B 00 E8 ?? ?? ?? ?? 8B E8 8B 03 89 04 24 8B 3C 24 85 FF 74 09 83 EF 04 8B 07 D1 E8 8B F8 57 8B 03 E8 ?? ?? ?? ?? 50 8B 46 04 50 55 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 0A 8B C3 8B 56 04 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70792_0 {
	meta:
		name = "InOpSet"
		size = 19
	strings:
		$1 = { 66 3D FF 00 77 0A 0F B6 C0 0F A3 02 0F 92 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_70793_0 {
	meta:
		name = "InOpArray"
		size = 25
	strings:
		$1 = { 56 8B F0 B0 01 85 C9 7C 0C 41 66 3B 32 74 08 83 C2 02 49 75 F5 33 C0 5E C3 }
	condition:
		$1
}

rule function_70794_0 {
	meta:
		name = "IsUTF8LeadByte"
		size = 22
	strings:
		$1 = { 3C 7F 76 0F 8B D0 80 FA C2 72 05 80 FA FD 76 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_70795_0 {
	meta:
		name = "IsUTF8TrailByte"
		size = 18
	strings:
		$1 = { 8B D0 80 FA 80 72 05 80 FA BF 76 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_70796_0 {
	meta:
		name = "UTF8CharSize"
		size = 93
	strings:
		$1 = { 0F B6 C0 3D F0 00 00 00 7D 16 2D 80 00 00 00 72 25 83 C0 BE 83 E8 1E 72 23 83 E8 10 72 24 EB 3A 05 10 FF FF FF 83 E8 08 72 1E 83 E8 04 72 1F 83 E8 02 72 20 EB 24 B8 01 00 00 00 C3 B8 02 00 00 00 C3 B8 03 00 00 00 C3 B8 04 00 00 00 C3 B8 05 00 00 00 C3 B8 06 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_70797_0 {
	meta:
		name = "UTF8CharLength"
		size = 23
		refs = "000e UTF8CharSize"
	strings:
		$1 = { BA 01 00 00 00 3C C2 72 0B 3C FD 77 07 E8 ?? ?? ?? ?? 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_70812_0 {
	meta:
		name = "DoSetErrorInfo"
		size = 296
		refs = "0017 DoSetErrorInfo 002a @IntfClear 0030 CreateErrorInfo 0057 @WStrEqual 0061 @WStrToPWChar 00e1 SetErrorInfo 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB FF FF 00 80 8D 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A9 00 00 00 80 0F 94 C0 84 C0 0F 84 A1 00 00 00 8B 45 10 50 8B 45 FC 50 8B 00 FF 50 0C 8B 45 0C 33 D2 E8 ?? ?? ?? ?? 74 12 8B 45 0C E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 10 8B 45 08 33 D2 E8 ?? ?? ?? ?? 74 12 8B 45 08 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 18 8B C6 33 D2 E8 ?? ?? ?? ?? 74 11 8B C6 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 14 85 FF 74 0A 57 8B 45 FC 50 8B 00 FF 50 1C 83 7D F4 00 74 03 8B 5D F4 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 85 C0 75 0B 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 20 B1 F2 1C 7D 54 1B 10 8E 65 08 00 2B 2B D1 19 }
	condition:
		$1
}

rule function_70813_0 {
	meta:
		name = "HandleSafeCallException"
		size = 190
		refs = "000e HandleSafeCallException 001e _Dn_Exception 0023 @IsClass 0034 @WStrFromUStr 003f _DV_EOleSysError 005b _Dn_EAbort 0077 @WStrClr 0091 DoSetErrorInfo 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 48 8D 45 FC 8B F3 8B 56 04 E8 ?? ?? ?? ?? 8B 76 08 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 83 7B 18 00 7D 05 8B 43 18 EB 29 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 B8 04 40 00 A0 EB 11 33 C0 EB 0D 8D 45 FC E8 ?? ?? ?? ?? 83 CE FF 33 C0 57 8B 55 0C 52 8B 55 08 52 8B C8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_70814_0 {
	meta:
		name = "TDispatchSilencer.Create"
		size = 154
		refs = "000f @ClassCreate 0021 @IntfAddRef 0029 TDispatchSilencer.Create 0038 TObject.Create 004b @IntfClear 005a OleCheck 0075 @HandleFinally 0082 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 56 57 83 C7 10 A5 A5 A5 A5 5F 5E 8D 47 0C E8 ?? ?? ?? ?? 50 56 8B 45 FC 50 8B 00 FF 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_70815_0 {
	meta:
		name = "TDispatchSilencer.QueryInterface"
		size = 81
		refs = "0013 TInterfacedObject.QueryInterface 0024 IsEqualGUID 0038 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 57 56 53 E8 ?? ?? ?? ?? 3D 02 40 00 80 75 2C 8D 53 10 8B C6 E8 ?? ?? ?? ?? 84 C0 74 14 8B C7 8B D3 85 D2 74 03 83 EA E0 E8 ?? ?? ?? ?? 33 C0 EB 0A 57 56 8B 43 0C 50 8B 00 FF 10 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_70819_0 {
	meta:
		name = "TDispatchSilencer.Invoke"
		size = 54
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 28 52 8B 55 24 52 8B 55 20 52 8B 55 1C 52 0F B7 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 0C 50 8B 00 FF 50 18 33 C0 5D C2 24 00 }
	condition:
		$1
}

rule function_70822_0 {
	meta:
		name = "TComClassManager.AddObjectFactory"
		size = 86
		refs = "0011 TMultiReadExclusiveWriteSynchronizer.BeginWrite 0019 TComClassManager.AddObjectFactory 0046 TMultiReadExclusiveWriteSynchronizer.EndWrite 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 43 04 8B 45 FC 89 58 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_70823_0 {
	meta:
		name = "TComClassManager.ForEachFactory"
		size = 109
		refs = "0013 TMultiReadExclusiveWriteSynchronizer.BeginWrite 001b TComClassManager.ForEachFactory 0059 TMultiReadExclusiveWriteSynchronizer.EndWrite 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 89 45 FC 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 04 85 DB 74 16 8B 73 04 3B 7B 08 75 08 8B D3 8B 45 0C FF 55 08 8B DE 85 DB 75 EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_70824_0 {
	meta:
		name = "TComClassManager.GetFactoryFromClass"
		size = 219
		refs = "0015 TComClassManager.GetFactoryFromClass 0026 TMultiReadExclusiveWriteSynchronizer.BeginRead 0050 @TryFinallyExit 006b TObject.ClassName 0081 SObjectFactoryMissing 0088 _DV_EOleError 008d Exception.CreateResFmt 0092 @RaiseExcept 00aa TMultiReadExclusiveWriteSynchronizer.EndRead 00b0 @HandleFinally 00c7 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F8 83 7D F8 00 74 1E 8B 45 F8 3B 58 0C 75 07 E8 ?? ?? ?? ?? EB 60 8B 45 F8 8B 40 04 89 45 F8 83 7D F8 00 75 E2 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70825_0 {
	meta:
		name = "TComClassManager.GetFactoryFromClassID"
		size = 131
		refs = "0013 TMultiReadExclusiveWriteSynchronizer.BeginRead 001b TComClassManager.GetFactoryFromClassID 003d IsEqualGUID 0046 @TryFinallyExit 006f TMultiReadExclusiveWriteSynchronizer.EndRead 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F8 83 7D F8 00 74 27 8B D3 8B 45 F8 83 C0 10 E8 ?? ?? ?? ?? 84 C0 74 07 E8 ?? ?? ?? ?? EB 2F 8B 45 F8 8B 40 04 89 45 F8 83 7D F8 00 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70826_0 {
	meta:
		name = "TComClassManager.RemoveObjectFactory"
		size = 124
		refs = "0011 TMultiReadExclusiveWriteSynchronizer.BeginWrite 0019 TComClassManager.RemoveObjectFactory 0049 @TryFinallyExit 006c TMultiReadExclusiveWriteSynchronizer.EndWrite 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 D2 8B 45 FC 8B 40 04 85 C0 74 29 3B D8 75 1C 85 D2 74 08 8B 40 04 89 42 04 EB 09 8B 40 04 8B 55 FC 89 42 04 E8 ?? ?? ?? ?? EB 29 8B D0 8B 40 04 85 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_70827_0 {
	meta:
		name = "TComObject.Create"
		size = 92
		refs = "000f @ClassCreate 001d ComClassManager 002e TComClassManager.GetFactoryFromClass 0039 TComObject.CreateFromFactory 0046 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 C6 43 0C 01 E8 ?? ?? ?? ?? 8B F0 8B 03 89 C7 6A 00 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70828_0 {
	meta:
		name = "TComObject.CreateAggregated"
		size = 100
		refs = "0011 @ClassCreate 0022 ComClassManager 0035 TComClassManager.GetFactoryFromClass 0040 TComObject.CreateFromFactory 004d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 C6 43 0C 01 E8 ?? ?? ?? ?? 8B F0 8B 03 89 C7 8B 45 F8 50 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70829_0 {
	meta:
		name = "TComObject.CreateFromFactory"
		size = 93
		refs = "000d @ClassCreate 0047 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C7 46 10 01 00 00 00 89 4E 08 8B 45 08 89 46 04 80 7E 0C 00 75 0C 8B 46 08 8B 40 08 B2 01 8B 08 FF 11 8B C6 8B 10 FF 12 FF 4E 10 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_70830_0 {
	meta:
		name = "TComObject.Destroy"
		size = 79
		refs = "0003 @BeforeDestruction 000d OleUninitializing 003d CoDisconnectObject 0048 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 3D ?? ?? ?? ?? 00 75 2D 8B 46 08 85 C0 74 0F 80 7E 0C 00 75 09 8B 40 08 33 D2 8B 08 FF 11 83 7E 10 00 7E 11 6A 00 8B C6 85 C0 74 03 83 E8 E4 50 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70833_0 {
	meta:
		name = "TComObject.SafeCallException"
		size = 448
		refs = "0021 TComObject.SafeCallException 003e _Dn_Exception 0043 @IsClass 0052 @UStrLAsg 0062 @WStrFromUStr 0078 GUIDToString 00b2 TObject.ClassName 012d HandleSafeCallException 0145 @UStrClr 014d @WStrClr 01a2 @WStrArrayClr 01b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 83 7B 14 00 0F 84 AC 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8D 45 FC 8B 56 04 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 50 8D 55 E4 8B 43 08 83 C0 28 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 55 DC 8B 43 08 8B 08 FF 11 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 45 F0 50 8D 45 F4 50 8D 55 D4 8B 06 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 50 8D 55 CC 8B 03 E8 ?? ?? ?? ?? 8B 55 CC 8D 45 D0 E8 ?? ?? ?? ?? 8B 55 D0 8B 43 14 59 8B 38 FF 57 0C 83 7D F0 00 75 48 8D 55 C4 8B 7B 08 8B C7 8B 08 FF 11 8B 55 C4 8D 45 C8 E8 ?? ?? ?? ?? 8B 45 C8 50 8D 55 BC 8B 43 08 8B 40 08 8B 08 FF 51 08 8B 55 BC 8D 45 C0 E8 ?? ?? ?? ?? 8B 45 C0 50 8D 4F 28 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8B 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70834_0 {
	meta:
		name = "TComObject.Error"
		size = 188
		refs = "0013 TComObject.Error 0034 @WStrFromUStr 006f DoSetErrorInfo 0086 @WStrClr 008e @UStrClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 08 8D 46 28 50 8D 55 F8 8B C6 8B 08 FF 11 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F0 8B 43 08 8B 40 08 8B 08 FF 51 08 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 EC 8B 55 0C E8 ?? ?? ?? ?? 8B 45 EC B9 09 00 02 80 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B C3 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_70835_0 {
	meta:
		name = "TComObject.Error"
		size = 182
		refs = "0012 TComObject.Error 0031 @WStrFromUStr 006a DoSetErrorInfo 0081 @WStrClr 0089 @UStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8D 55 F8 8B 43 08 8B 08 FF 11 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F0 8B 43 08 8B 40 08 8B 08 FF 51 08 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 EC 8B 55 0C E8 ?? ?? ?? ?? 8B 45 EC 8B 4D 14 33 D2 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B C3 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_70836_0 {
	meta:
		name = "TComObject.Error"
		size = 113
		refs = "000c TComObject.Error 0023 @WStrFromUStr 0040 DoSetErrorInfo 005c @WStrArrayClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 6A 00 8D 45 FC 8B 55 10 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F8 8B 4D 18 8B 55 0C E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C2 14 00 }
	condition:
		$1
}

rule function_70838_0 {
	meta:
		name = "TComObject.ObjAddRef"
		size = 19
		refs = "000b InterlockedIncrement"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 C0 10 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_70839_0 {
	meta:
		name = "TComObject.ObjRelease"
		size = 40
		refs = "000d InterlockedDecrement"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8D 43 10 50 E8 ?? ?? ?? ?? 8B F0 85 F6 75 09 B2 01 8B C3 8B 08 FF 51 FC 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_70840_0 {
	meta:
		name = "TComObject.QueryInterface"
		size = 44
	strings:
		$1 = { 55 8B EC 56 8B 75 10 8B 55 0C 8B 45 08 83 78 04 00 74 0C 56 52 8B 40 04 50 8B 00 FF 10 EB 08 56 52 50 8B 00 FF 50 08 5E 5D C2 0C 00 }
	condition:
		$1
}

rule function_70841_0 {
	meta:
		name = "TComObject._AddRef"
		size = 33
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 04 00 74 0B 8B 40 04 50 8B 00 FF 50 04 EB 06 50 8B 00 FF 50 04 5D C2 04 00 }
	condition:
		$1
}

rule function_70842_0 {
	meta:
		name = "TComObject._Release"
		size = 33
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 04 00 74 0B 8B 40 04 50 8B 00 FF 50 08 EB 06 50 8B 00 FF 50 0C 5D C2 04 00 }
	condition:
		$1
}

rule function_70843_0 {
	meta:
		name = "TComObject.InterfaceSupportsErrorInfo"
		size = 35
		refs = "000d TObject.GetInterfaceEntry"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 55 0C 8B 03 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 05 B8 01 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70844_0 {
	meta:
		name = "TComObjectFactory.Create"
		size = 240
		refs = "000f @ClassCreate 001e IsMultiThread 0044 CoInitFlags 0063 ComClassManager 006a TComClassManager.AddObjectFactory 008c @UStrAsg 00a7 TComObjectFactory.Create 00c7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B F0 8B 5D 08 A1 ?? ?? ?? ?? 80 38 00 75 08 84 DB 75 04 33 C0 EB 02 B0 01 8B 15 ?? ?? ?? ?? 88 02 8B C3 04 FE 2C 02 73 09 33 C0 A3 ?? ?? ?? ?? EB 18 80 FB 01 75 13 83 3D ?? ?? ?? ?? 00 74 0A C7 05 ?? ?? ?? ?? 02 00 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 89 7E 08 8B 45 1C 89 46 0C 8B 45 18 56 8D 7E 10 8B F0 A5 A5 A5 A5 5E 8D 46 20 8B 55 14 E8 ?? ?? ?? ?? 8D 46 24 8B 55 10 E8 ?? ?? ?? ?? 0F B6 45 0C 88 46 38 56 8D 7E 28 BE ?? ?? ?? ?? A5 A5 A5 A5 5E C6 46 44 01 88 5E 46 C7 46 40 FF FF FF FF 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C2 18 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_70845_0 {
	meta:
		name = "TComObjectFactory.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 0015 CoRevokeClassObject 001a ComClassManager 0021 TComClassManager.RemoveObjectFactory 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 40 83 F8 FF 74 06 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70846_0 {
	meta:
		name = "TComObjectFactory.CreateComObject"
		size = 14
		refs = "0009 TComObject.CreateFromFactory"
	strings:
		$1 = { 52 8B C8 8B 40 0C B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70847_0 {
	meta:
		name = "TComObjectFactory.GetProgID"
		size = 124
		refs = "000f TComObjectFactory.GetProgID 003d @UStrCatN 0046 @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 20 00 74 24 8D 55 FC 8B 43 08 8B 08 FF 51 14 FF 75 FC 68 ?? ?? ?? ?? FF 73 20 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_70848_0 {
	meta:
		name = "TComObjectFactory.RegisterClassObject"
		size = 74
		refs = "001e SuspendedFlag 0028 RegFlags 003e CoRegisterClassObject 0043 OleCheck"
	strings:
		$1 = { 53 56 8B F0 0F B6 5E 38 84 DB 74 3B 8D 46 40 50 8B 46 08 8B 10 FF 52 18 83 E0 7F 8B 04 85 ?? ?? ?? ?? 0F B6 D3 0B 04 95 ?? ?? ?? ?? 50 6A 04 8B C6 85 C0 74 03 83 E8 B8 50 8D 46 10 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70849_0 {
	meta:
		name = "TComObjectFactory.UpdateRegistry"
		size = 784
		refs = "0019 TComObjectFactory.UpdateRegistry 0039 TComServerObject.GetRegRootAndPrefix 0044 GUIDToString 0078 @UStrCatN 00a9 CreateRegKey 00c1 AnsiPos 00d0 ExtractShortPathName 00db @UStrLAsg 00fa IsLibrary 010d ThreadStrs 0136 @UStrCat3 01cd DeleteRegKey 0251 @UStrArrayClr 0264 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 38 00 0F 84 0E 02 00 00 8D 4D EC 8D 55 E8 8B 46 08 8B 00 E8 ?? ?? ?? ?? 8D 55 FC 8D 46 10 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 8B 08 FF 11 FF 75 EC 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 E4 8B 46 08 8B 08 FF 51 10 FF 75 E4 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? 84 DB 0F 84 1F 01 00 00 8B 45 E8 50 FF 75 EC 68 ?? ?? ?? ?? FF 75 FC 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 8B 4E 24 33 D2 E8 ?? ?? ?? ?? 8D 55 F0 8B 46 08 8B 08 FF 51 0C 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 16 8D 55 DC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 4D F0 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 0F B6 46 46 84 C0 74 26 8B 15 ?? ?? ?? ?? 80 3A 00 74 1B 8B 55 E8 52 83 E0 7F 8B 0C 85 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 13 01 00 00 8B 45 E8 50 8D 45 D8 8B 4D F8 8B 55 EC E8 ?? ?? ?? ?? 8B 45 D8 8B 4E 24 33 D2 E8 ?? ?? ?? ?? 8B 45 E8 50 FF 75 EC FF 75 F8 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 8B 4D FC 33 D2 E8 ?? ?? ?? ?? 8B 45 E8 50 FF 75 EC 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F8 33 D2 E8 ?? ?? ?? ?? E9 98 00 00 00 83 7D F8 00 74 64 FF 75 EC 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 CC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 CC 8B 55 E8 E8 ?? ?? ?? ?? FF 75 EC FF 75 F8 68 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 8B 55 E8 E8 ?? ?? ?? ?? 8D 45 C4 8B 4D F8 8B 55 EC E8 ?? ?? ?? ?? 8B 45 C4 8B 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? FF 75 FC 8D 45 C0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 8B 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 54 00 68 00 72 00 65 00 61 00 64 00 69 00 6E 00 67 00 4D 00 6F 00 64 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5C 00 43 00 6C 00 73 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 5C 00 50 00 72 00 6F 00 67 00 49 00 44 00 00 00 }
	condition:
		$1
}

rule function_70850_0 {
	meta:
		name = "TComObjectFactory.GetLicenseString"
		size = 35
		refs = "0012 @WStrAsg 001c @WStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 45 00 74 0D 8B C6 8B 53 3C E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70852_0 {
	meta:
		name = "TComObjectFactory.ValidateUserLicense"
		size = 110
		refs = "0011 TComObjectFactory.ValidateUserLicense 0022 @UStrFromWStr 0039 AnsiCompareText 005a @UStrArrayClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 3C E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70854_0 {
	meta:
		name = "TComObjectFactory._AddRef"
		size = 20
	strings:
		$1 = { 55 8B EC 8B 45 08 B2 01 8B 40 08 8B 08 FF 51 04 5D C2 04 00 }
	condition:
		$1
}

rule function_70855_0 {
	meta:
		name = "TComObjectFactory._Release"
		size = 20
	strings:
		$1 = { 55 8B EC 8B 45 08 33 D2 8B 40 08 8B 08 FF 51 04 5D C2 04 00 }
	condition:
		$1
}

rule function_70856_0 {
	meta:
		name = "TComObjectFactory.CreateInstance"
		size = 32
		refs = "0018 TComObjectFactory.CreateInstanceLic"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 14 52 6A 00 8B 55 10 52 6A 00 8B 55 0C 52 50 E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_70857_0 {
	meta:
		name = "TComObjectFactory.LockServer"
		size = 54
		refs = "001a CoLockObjectExternal"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 6A FF 56 8B C3 85 C0 74 03 83 E8 B8 50 E8 ?? ?? ?? ?? 8B F8 83 FE 01 1B D2 42 8B 43 08 8B 08 FF 11 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70858_0 {
	meta:
		name = "TComObjectFactory.GetLicInfo"
		size = 185
		refs = "0012 TComObjectFactory.GetLicInfo 0048 @WStrEqual 0084 @HandleAnyException 008e @DoneExcept 00a3 @WStrClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 75 0C 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 06 0C 00 00 00 80 7B 45 00 74 1A 8D 55 FC 8B C3 8B 08 FF 51 04 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 75 04 33 C0 EB 02 B0 01 F6 D8 1B C0 89 46 04 80 7B 45 00 74 0F 8B C3 8B 10 FF 52 08 84 C0 75 04 33 C0 EB 02 B0 01 F6 D8 1B C0 89 46 08 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BF FF FF 00 80 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_70859_0 {
	meta:
		name = "TComObjectFactory.RequestLicKey"
		size = 54
		refs = "002b @WStrAsg"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 8B C3 8B 10 FF 52 08 84 C0 75 07 B8 12 01 04 80 EB 0D 8B 45 10 8B 53 3C E8 ?? ?? ?? ?? 33 C0 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_70860_0 {
	meta:
		name = "TComObjectFactory.CreateInstanceLic"
		size = 516
		refs = "0027 TComObjectFactory.CreateInstanceLic 0051 @WStrEqual 0094 IsEqualIID 00ce @HandleAnyException 00e0 ExceptObject 00e6 _Dn_Exception 00eb @IsClass 0113 @LStrFromUStr 011e AnsiLastChar 012b @_CToPasStr 013b @PStrCmp 014a @UStrCat 015a SDAXError 015f LoadResString 016a @UStrToPWChar 017b MessageBox 0185 @DoneExcept 01a6 TObject.Free 01be @UStrClr 01c9 @LStrClr 01cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 56 57 33 C0 89 85 F8 FE FF FF 89 85 FC FE FF FF 8B 7D 1C 8B 5D 18 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 75 0A BB 03 40 00 80 E9 6B 01 00 00 33 C0 89 07 8B 45 08 80 78 45 00 74 19 8B C3 33 D2 E8 ?? ?? ?? ?? 74 0E 8B D3 8B 45 08 8B 08 FF 51 0C 84 C0 74 17 8B C3 33 D2 E8 ?? ?? ?? ?? 75 16 8B 45 08 8B 10 FF 52 08 84 C0 75 0A BB 12 01 04 80 E9 24 01 00 00 85 F6 74 1C 68 ?? ?? ?? ?? 8B 45 14 50 E8 ?? ?? ?? ?? 84 C0 75 0A BB 10 01 04 80 E9 04 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 08 8B 08 FF 51 10 8B F0 33 C0 5A 59 59 64 89 10 E9 C3 00 00 00 E9 ?? ?? ?? ?? 8B 45 08 80 78 44 00 0F 84 A0 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 88 00 00 00 E8 ?? ?? ?? ?? 8B D8 83 7B 04 00 74 4A 8D 85 FC FE FF FF 8B 53 04 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 FC FE FF FF E8 ?? ?? ?? ?? 8B D0 8D 85 00 FF FF FF E8 ?? ?? ?? ?? 8D 85 00 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 76 0D 8D 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 10 00 01 00 8D 95 F8 FE FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF E8 ?? ?? ?? ?? 50 8B 43 04 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? BB FF FF 00 80 E8 ?? ?? ?? ?? EB 1F E8 ?? ?? ?? ?? 57 8B 45 14 50 56 8B 06 FF 50 08 8B D8 83 7E 10 00 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 85 FC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5F 5E 5B 8B E5 5D C2 18 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 01 2E 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_70864_0 {
	meta:
		name = "TTypedComObject.GetClassInfo"
		size = 39
		refs = "001c @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 0C 8B 53 08 8B 52 4C E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70865_0 {
	meta:
		name = "TTypedComObjectFactory.Create"
		size = 315
		refs = "001d @ClassCreate 002c TTypedComObjectFactory.Create 003a @IntfClear 0061 TObject.ClassName 0077 STypeInfoMissing 007e _DV_EOleError 0083 Exception.CreateResFmt 0088 @RaiseExcept 00a4 OleCheck 00b7 @UStrFromWStr 00df TComObjectFactory.Create 00f9 @UStrArrayClr 010e @WStrArrayClr 0114 @HandleFinally 0123 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 F7 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 4C E8 ?? ?? ?? ?? 50 8B 45 10 50 8D 55 F0 8B C6 8B 08 FF 51 1C 8B 45 F0 50 8B 00 FF 50 18 85 C0 74 32 8D 55 E4 8B 45 14 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 F8 50 8D 45 FC 50 6A FF 8B 43 4C 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 8D 45 E0 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E0 50 8D 45 DC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 DC 50 0F B6 45 0C 50 0F B6 45 08 50 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B C3 80 7D F7 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_70866_0 {
	meta:
		name = "TTypedComObjectFactory.GetInterfaceTypeInfo"
		size = 166
		refs = "001d OleCheck 0078 @IntfClear"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 0C 24 8B EA 8B D8 8D 44 24 04 50 8B 43 4C 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 44 24 04 0F B7 70 30 8B 44 24 04 50 8B 43 4C 50 8B 00 FF 50 4C 8B FE 4F 85 FF 7C 58 47 33 F6 8D 44 24 08 50 56 8B 43 4C 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 44 24 08 83 E0 03 3B E8 75 32 8D 44 24 0C 50 56 8B 43 4C 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 50 8B 44 24 10 50 8B 43 4C 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? EB 0C 46 4F 75 AB 8B 04 24 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70867_0 {
	meta:
		name = "TTypedComObjectFactory.UpdateRegistry"
		size = 564
		refs = "0019 TTypedComObjectFactory.UpdateRegistry 002f TComServerObject.GetRegRootAndPrefix 0042 GUIDToString 0052 @UStrCatN 0063 TComObjectFactory.UpdateRegistry 0080 OleCheck 00c4 Format 00d8 @UStrCat3 00e3 CreateRegKey 0131 @HandleFinally 014e DeleteRegKey 018c @UStrArrayClr 01a1 @IntfClear"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8D 55 EC 8B 46 08 8B 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 E8 8D 46 10 E8 ?? ?? ?? ?? FF 75 E8 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 84 DB 0F 84 D9 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 46 08 8B 08 FF 51 1C 8D 45 F0 50 8B 45 F4 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 50 8D 45 E4 50 8B 45 F0 0F B7 40 18 89 45 D4 C6 45 D8 00 8B 45 F0 0F B7 40 1A 89 45 DC C6 45 E0 00 8D 55 D4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8D 45 D0 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 D0 33 D2 59 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 CC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 CC 50 8D 45 C8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 C8 33 D2 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F4 50 8B 00 FF 50 30 C3 E9 ?? ?? ?? ?? EB EB 8D 45 C4 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 C4 8B 55 EC E8 ?? ?? ?? ?? 8D 45 C0 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 C0 8B 55 EC E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 64 00 2E 00 25 00 64 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5C 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5C 00 54 00 79 00 70 00 65 00 4C 00 69 00 62 00 00 00 00 00 }
	condition:
		$1
}

rule function_70871_0 {
	meta:
		name = "TAutoObject.EventConnect"
		size = 96
		refs = "000e @IntfClear 0020 OleCheck 0030 _DV_TDispatchSilencer 0035 TDispatchSilencer.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 84 C9 74 42 8D 43 24 E8 ?? ?? ?? ?? 50 8B 43 28 83 C0 58 50 56 8B 06 FF 10 E8 ?? ?? ?? ?? 8B 43 28 83 C0 58 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E0 8B C3 8B 08 FF 51 20 5E 5B C3 8D 43 24 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 20 5E 5B C3 }
	condition:
		$1
}

rule function_70873_0 {
	meta:
		name = "TAutoObject.Initialize"
		size = 29
		refs = "0008 _DV_TAutoObjectFactory 000d @AsClass 0017 TComObject.Initialize"
	strings:
		$1 = { 53 8B D8 8B 43 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70874_0 {
	meta:
		name = "TAutoObject.GetIDsOfNames"
		size = 34
		refs = "001a DispGetIDsOfNames"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 1C 52 8B 55 14 52 8B 55 10 52 8B 40 28 8B 40 50 50 E8 ?? ?? ?? ?? 5D C2 18 00 }
	condition:
		$1
}

rule function_70875_0 {
	meta:
		name = "TAutoObject.GetTypeInfo"
		size = 49
		refs = "0025 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 14 8B 5D 08 33 C0 89 06 83 7D 0C 00 74 07 B8 0B 00 02 80 EB 0F 8B C6 8B 53 08 8B 52 50 E8 ?? ?? ?? ?? 33 C0 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_70876_0 {
	meta:
		name = "TAutoIntfObject.GetTypeInfoCount"
		size = 18
		altNames = "TAutoObject.GetTypeInfoCount"
	strings:
		$1 = { 55 8B EC 8B 45 0C C7 00 01 00 00 00 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_70877_0 {
	meta:
		name = "TAutoObject.Invoke"
		size = 66
	strings:
		$1 = { 55 8B EC 56 8B 55 18 8B 45 08 F6 C2 0C 74 04 66 BA 0C 00 8B 4D 28 51 8B 4D 24 51 8B 4D 20 51 8B 4D 1C 51 52 8B 55 0C 52 8B 70 08 8B 56 54 8B 52 14 03 D0 52 8B 46 50 50 8B 00 FF 50 2C 5E 5D C2 24 00 }
	condition:
		$1
}

rule function_70878_0 {
	meta:
		name = "TAutoObjectFactory.Create"
		size = 438
		refs = "001f @ClassCreate 002f TAutoObjectFactory.Create 004d TTypedComObjectFactory.Create 005c TTypedComObjectFactory.GetInterfaceTypeInfo 0067 @IntfCopy 0077 TObject.ClassName 008d SBadTypeInfo 0094 _DV_EOleError 0099 Exception.CreateResFmt 009e @RaiseExcept 00b0 OleCheck 00f2 SDispIntfMissing 0173 @IntfClear 0180 @UStrArrayClr 018e @HandleFinally 019d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 8B 5D 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 10 50 0F B6 45 0C 50 0F B6 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 4D F4 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 46 50 E8 ?? ?? ?? ?? 83 7E 50 00 75 31 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8B 46 50 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 F8 8B D0 8B C6 8B 08 FF 51 18 89 46 54 8B 45 F8 50 8B 46 50 50 8B 00 FF 50 4C 83 7E 54 00 75 31 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 54 56 8D 7E 28 8B F0 A5 A5 A5 A5 5E 8D 4D E0 BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 8D 46 68 E8 ?? ?? ?? ?? 83 7E 68 00 74 2D 8D 45 F8 50 8B 46 68 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 F8 56 8D 7E 58 8B F0 A5 A5 A5 A5 5E 8B 45 F8 50 8B 46 68 50 8B 00 FF 50 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_70879_0 {
	meta:
		name = "TAutoObjectFactory.GetIntfEntry"
		size = 30
		refs = "0014 TObject.GetInterfaceEntry"
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B D4 8B 40 0C E8 ?? ?? ?? ?? 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_70880_0 {
	meta:
		name = "TAutoIntfObject.Create"
		size = 111
		refs = "000f @ClassCreate 0022 TObject.Create 002a @IntfClear 0037 OleCheck 0040 TObject.GetInterfaceEntry 0057 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 0C E8 ?? ?? ?? ?? 50 56 57 8B 07 FF 50 18 E8 ?? ?? ?? ?? 8B D6 8B 03 E8 ?? ?? ?? ?? 89 43 10 8D 7B 14 A5 A5 A5 A5 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_70881_0 {
	meta:
		name = "TAutoIntfObject.GetIDsOfNames"
		size = 31
		refs = "0017 DispGetIDsOfNames"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 1C 52 8B 55 14 52 8B 55 10 52 8B 40 0C 50 E8 ?? ?? ?? ?? 5D C2 18 00 }
	condition:
		$1
}

rule function_70882_0 {
	meta:
		name = "TAutoIntfObject.GetTypeInfo"
		size = 46
		refs = "0022 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 14 8B 5D 08 33 C0 89 06 83 7D 0C 00 74 07 B8 0B 00 02 80 EB 0C 8B C6 8B 53 0C E8 ?? ?? ?? ?? 33 C0 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_70884_0 {
	meta:
		name = "TAutoIntfObject.Invoke"
		size = 61
	strings:
		$1 = { 55 8B EC 8B 55 18 8B 45 08 F6 C2 0C 74 04 66 BA 0C 00 8B 4D 28 51 8B 4D 24 51 8B 4D 20 51 8B 4D 1C 51 52 8B 55 0C 52 8B 50 10 8B 52 14 03 D0 52 8B 40 0C 50 8B 00 FF 50 2C 5D C2 24 00 }
	condition:
		$1
}

rule function_70885_0 {
	meta:
		name = "TAutoIntfObject.InterfaceSupportsErrorInfo"
		size = 36
		refs = "000e IsEqualGUID"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 55 0C 8D 43 14 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 05 B8 01 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70886_0 {
	meta:
		name = "TAutoIntfObject.SafeCallException"
		size = 15
		refs = "000a HandleSafeCallException"
	strings:
		$1 = { 6A 00 6A 00 83 C0 14 91 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70887_0 {
	meta:
		name = "TrimPunctuation"
		size = 124
		refs = "000b @UStrAsg 0012 AnsiLastChar 001d @UStrToPWChar 002f @UStrSetLength 003f @UStrLen 0048 TrimPunctuation 0050 CharInSet"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B F0 EB 22 8B 03 E8 ?? ?? ?? ?? 8B D6 2B D0 D1 FA 79 03 83 D2 00 8B C3 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B F0 8B 03 E8 ?? ?? ?? ?? 85 C0 7E 11 BA ?? ?? ?? ?? 0F B7 06 E8 ?? ?? ?? ?? 84 C0 75 C2 5E 5B C3 00 FF FF FF FF 01 40 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_70888_0 {
	meta:
		name = "EOleSysError.Create"
		size = 211
		refs = "0019 @ClassCreate 002b EOleSysError.Create 003b @UStrLAsg 004b SysErrorMessage 005b SOleError 0060 LoadResString 0075 FmtStr 0085 Exception.CreateHelp 009d @UStrClr 00ab @HandleFinally 00ba @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F4 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FB 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 83 7D FC 00 75 34 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 75 24 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 75 EC C6 45 F0 00 8D 4D EC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_70889_0 {
	meta:
		name = "EOleException.Create"
		size = 152
		refs = "0010 @ClassCreate 001e EOleException.Create 0036 TrimPunctuation 0042 EOleSysError.Create 004d @UStrAsg 006d @UStrClr 0073 @HandleFinally 0080 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 8B 45 08 50 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 1C 8B 55 10 E8 ?? ?? ?? ?? 8D 47 20 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_70890_0 {
	meta:
		name = "OleError"
		size = 27
		refs = "000b _DV_EOleSysError 0010 EOleSysError.Create 0015 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 53 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70892_0 {
	meta:
		name = "StringToGUID"
		size = 89
		refs = "000f StringToGUID 0020 @WStrFromUStr 0028 @WStrToPWChar 002e CLSIDFromString 0033 OleCheck 0048 @WStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70894_0 {
	meta:
		name = "ProgIDToClassID"
		size = 89
		refs = "000f ProgIDToClassID 0020 @WStrFromUStr 0028 @WStrToPWChar 002e CLSIDFromProgID 0033 OleCheck 0048 @WStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70893_0 {
	meta:
		name = "GUIDToString"
		size = 42
		refs = "000a StringFromCLSID 000f OleCheck 0019 @UStrFromPWChar 0022 CoTaskMemFree"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_70895_0 {
	meta:
		name = "ClassIDToProgID"
		size = 42
		refs = "000a ProgIDFromCLSID 000f OleCheck 0019 @UStrFromPWChar 0022 CoTaskMemFree"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_70896_0 {
	meta:
		name = "CreateRegKey"
		size = 160
		refs = "0021 CreateRegKey 002a @UStrToPWChar 0034 RegCreateKeyEx 0068 RegSetValueEx 0073 RegCloseKey 007d SCreateRegKeyError 0084 _DV_EOleRegistrationError 0089 Exception.CreateRes 008e @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 50 8D 45 FC 50 6A 00 68 1F 00 02 00 6A 00 68 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? 8B D8 85 DB 75 39 8B DE 85 DB 74 05 83 EB 04 8B 1B 43 8B C3 03 C0 50 8B C6 E8 ?? ?? ?? ?? 50 6A 01 6A 00 8B C7 E8 ?? ?? ?? ?? 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 50 E8 ?? ?? ?? ?? 85 DB 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_70897_0 {
	meta:
		name = "DeleteRegKey"
		size = 23
		refs = "0009 @UStrToPWChar 0010 RegDeleteKey"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70898_0 {
	meta:
		name = "GetRegStringValue"
		size = 197
		refs = "0016 @UStrClr 0028 @UStrToPWChar 002f RegOpenKeyEx 003f GetRegStringValue 0056 @UStrSetLength 0080 RegQueryValueEx 00b0 RegCloseKey 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 89 55 FC 8B F0 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 50 68 19 00 02 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 85 C0 0F 85 81 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 00 01 00 00 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 03 C0 89 45 F8 8D 45 F8 50 8B 03 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F4 50 E8 ?? ?? ?? ?? 85 C0 75 0F 8B 55 F8 D1 EA 4A 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_70899_0 {
	meta:
		name = "CreateComObject"
		size = 300
		refs = "001a CreateComObject 0035 @IntfClear 0048 CoCreateInstance 004d OleCheck 005c @HandleOnException 0064 _DV_EOleSysError 0089 GUIDToString 00a5 Format 00b4 EOleSysError.Create 00b9 @RaiseExcept 00be @DoneExcept 00d3 @UStrClr 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D F8 89 4D E4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 05 6A 00 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 67 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 43 18 50 6A 00 8D 45 F8 50 8B 43 04 89 45 E8 C6 45 EC 11 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 B0 04 02 00 FF FF FF FF 0F 00 00 00 25 00 73 00 2C 00 20 00 43 00 6C 00 61 00 73 00 73 00 49 00 44 00 3A 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_70900_0 {
	meta:
		name = "CreateRemoteComObject"
		size = 360
		refs = "001d tagMULTI_QI 0022 @InitializeRecord 002a CreateRemoteComObject 0036 CoCreateInstanceEx 003f SDCOMNotInstalled 0046 _Dn_Exception 004b Exception.CreateRes 0050 @RaiseExcept 005f @FillChar 0066 @WStrToPWChar 0085 @IntfClear 00af GetComputerName 00bd @UStrFromWStr 00d1 @UStrFromWArray 00da AnsiCompareText 010a OleCheck 011d @IntfCopy 0137 @UStrArrayClr 0145 @FinalizeRecord 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 33 DB 89 5D A8 89 5D A4 89 4D F0 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E0 56 BE ?? ?? ?? ?? 8D 7D CC A5 A5 A5 A5 5E 8D 45 CC 89 45 F4 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 FC 8B C3 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 7E 51 C7 45 EC 20 00 00 00 8D 45 EC 50 8D 45 AC 50 E8 ?? ?? ?? ?? 85 C0 74 32 8D 45 A8 8B D3 E8 ?? ?? ?? ?? 8B 45 A8 50 8D 45 A4 8D 55 AC B9 10 00 00 00 E8 ?? ?? ?? ?? 8B 45 A4 5A E8 ?? ?? ?? ?? 85 C0 75 07 BB 15 00 00 00 EB 0C BB 10 00 00 00 EB 05 BB 15 00 00 00 8D 45 F4 50 6A 01 8D 45 DC 50 53 6A 00 56 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_70901_0 {
	meta:
		name = "CreateOleObject"
		size = 292
		refs = "0017 CreateOleObject 0036 ProgIDToClassID 003d @IntfClear 0050 CoCreateInstance 0055 OleCheck 0064 @HandleOnException 006c _DV_EOleSysError 00a2 Format 00b1 EOleSysError.Create 00b6 @RaiseExcept 00bb @DoneExcept 00d0 @UStrClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D E8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 05 6A 00 8D 45 EC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 5C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 43 18 50 6A 00 8D 45 E8 50 8B 43 04 89 45 D8 C6 45 DC 11 8B 45 FC 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 B0 04 02 00 FF FF FF FF 10 00 00 00 25 00 73 00 2C 00 20 00 50 00 72 00 6F 00 67 00 49 00 44 00 3A 00 20 00 22 00 25 00 73 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_70902_0 {
	meta:
		name = "GetActiveOleObject"
		size = 144
		refs = "0015 GetActiveOleObject 0025 ProgIDToClassID 002d @IntfClear 0039 GetActiveObject 003e OleCheck 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 8D 45 EC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_70903_0 {
	meta:
		name = "StringToLPOLESTR"
		size = 52
		refs = "001c CoTaskMemAlloc 0029 StringToWideChar"
	strings:
		$1 = { 53 56 57 55 8B F8 8B C7 85 C0 74 05 83 E8 04 8B 00 8B D8 8D 6B 01 8B C5 03 C0 50 E8 ?? ?? ?? ?? 8B F0 8B CD 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70904_0 {
	meta:
		name = "CreateClassID"
		size = 51
		refs = "000c CoCreateGuid 0017 StringFromCLSID 0021 @UStrFromPWChar 002a CoTaskMemFree"
	strings:
		$1 = { 53 83 C4 EC 8B D8 8D 44 24 04 50 E8 ?? ?? ?? ?? 54 8D 44 24 08 50 E8 ?? ?? ?? ?? 8B C3 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 83 C4 14 5B C3 }
	condition:
		$1
}

rule function_70905_0 {
	meta:
		name = "RegisterComServer"
		size = 284
		refs = "0012 RegisterComServer 0024 SafeLoadLibrary 0032 GetLastError 003a SysErrorMessage 005d _Dn_Exception 0062 Exception.CreateFmt 0067 @RaiseExcept 0083 GetProcAddress 0090 OleCheck 0097 RaiseLastOSError 00ad FreeLibrary 00b3 @HandleFinally 00ca @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 E8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 00 80 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 20 77 3A E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 89 5D F4 C6 45 F8 11 8D 45 EC 50 6A 01 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 09 FF D3 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 3A 00 20 00 25 00 73 00 00 00 00 00 44 00 6C 00 6C 00 52 00 65 00 67 00 69 00 73 00 74 00 65 00 72 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_70906_0 {
	meta:
		name = "RegisterAsService"
		size = 260
		refs = "0011 RegisterAsService 002b @UStrCat3 003a CreateRegKey 0077 @UStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 00 00 80 8D 45 FC 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 00 00 00 80 8D 45 F8 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 70 00 70 00 49 00 44 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4C 00 6F 00 63 00 61 00 6C 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 70 00 70 00 49 00 44 00 00 00 }
	condition:
		$1
}

rule function_70907_0 {
	meta:
		name = "InterfaceConnect"
		size = 180
		refs = "001a InterfaceConnect 002c @IntfClear 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B F2 8B F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 03 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 57 8B 07 FF 10 A9 00 00 00 80 0F 94 C0 84 C0 74 2D 8D 45 F8 E8 ?? ?? ?? ?? 50 56 8B 45 FC 50 8B 00 FF 50 10 A9 00 00 00 80 0F 94 C0 84 C0 74 0E 53 8B 45 F4 50 8B 45 F8 50 8B 00 FF 50 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 00 84 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_70908_0 {
	meta:
		name = "InterfaceDisconnect"
		size = 188
		refs = "0014 InterfaceDisconnect 0027 @IntfClear 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3B 00 74 5A 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 57 8B 07 FF 10 A9 00 00 00 80 0F 94 C0 84 C0 74 3B 8D 45 F8 E8 ?? ?? ?? ?? 50 56 8B 45 FC 50 8B 00 FF 50 10 A9 00 00 00 80 0F 94 C0 84 C0 74 1C 8B 03 50 8B 45 F8 50 8B 00 FF 50 18 A9 00 00 00 80 0F 94 C0 84 C0 74 04 33 C0 89 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 00 00 84 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_70909_0 {
	meta:
		name = "LoadComExProcs"
		size = 388
		refs = "0002 LoadComExProcs 0007 GetModuleHandle 0018 GetProcAddress 001d CoCreateInstanceEx 002d CoInitializeEx 003d CoAddRefServerProcess 004d CoReleaseServerProcess 005d CoResumeClassObjects 006d CoSuspendClassObjects"
	strings:
		$1 = { 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 60 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 5B C3 00 6F 00 6C 00 65 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 43 00 6F 00 43 00 72 00 65 00 61 00 74 00 65 00 49 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 45 00 78 00 00 00 00 00 43 00 6F 00 49 00 6E 00 69 00 74 00 69 00 61 00 6C 00 69 00 7A 00 65 00 45 00 78 00 00 00 00 00 43 00 6F 00 41 00 64 00 64 00 52 00 65 00 66 00 53 00 65 00 72 00 76 00 65 00 72 00 50 00 72 00 6F 00 63 00 65 00 73 00 73 00 00 00 43 00 6F 00 52 00 65 00 6C 00 65 00 61 00 73 00 65 00 53 00 65 00 72 00 76 00 65 00 72 00 50 00 72 00 6F 00 63 00 65 00 73 00 73 00 00 00 00 00 43 00 6F 00 52 00 65 00 73 00 75 00 6D 00 65 00 43 00 6C 00 61 00 73 00 73 00 4F 00 62 00 6A 00 65 00 63 00 74 00 73 00 00 00 00 00 43 00 6F 00 53 00 75 00 73 00 70 00 65 00 6E 00 64 00 43 00 6C 00 61 00 73 00 73 00 4F 00 62 00 6A 00 65 00 63 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_70910_0 {
	meta:
		name = "CreateSafeCallErrorExceptionObject"
		size = 292
		refs = "0017 CreateSafeCallErrorExceptionObject 002a @IntfClear 0032 GetErrorInfo 003e @WStrClr 0090 @UStrFromWStr 009a _Dn_EAbort 009f Exception.CreateHelp 00db _DV_EOleException 00e0 EOleException.Create 00fc @UStrArrayClr 0109 @WStrArrayClr 0117 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 85 C0 75 43 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 10 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 14 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 18 8D 45 EC 50 8B 45 FC 50 8B 00 FF 50 1C 81 FB 04 40 00 A0 75 22 8B 45 EC 50 8D 45 E8 8B 55 F4 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 3F 53 8D 45 E4 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 45 E0 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 EC 50 8D 45 DC 8B 55 F4 E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70911_0 {
	meta:
		name = "SafeCallError"
		size = 20
		refs = "0004 CreateSafeCallErrorExceptionObject 000e @RaiseExcept"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 8B D0 53 8B C2 E9 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70912_0 {
	meta:
		name = "DispatchInvoke"
		size = 487
		refs = "0020 tagEXCEPINFO 0025 @InitializeRecord 0036 TStringRef 003b @InitializeArray 0043 DispatchInvoke 005b @FillChar 0071 GetDispatchInvokeArgs 0136 GUID_NULL 0156 DispatchInvokeError 017b @LStrFromWStr 018d @UStrFromWStr 01b6 @FinalizeArray 01c4 @FinalizeRecord 01cd TVarDataArray 01d2 @DynArrayClear 01d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 C4 FC FF FF 53 56 57 33 DB 89 5D FC 8B F9 8B DA 89 85 D8 FC FF FF 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 40 00 00 00 8D 85 DC FC FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 DC FC FF FF 33 C9 BA 00 03 00 00 E8 ?? ?? ?? ?? 6A 00 8D 45 FC 50 8D 8D DC FC FF FF 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 0F B6 43 01 0F B6 D0 89 95 CC FC FF FF 84 C0 76 0B 8B 45 FC 89 85 C4 FC FF FF EB 08 33 C0 89 85 C4 FC FF FF 0F B6 43 02 84 C0 76 0B 8D 57 04 89 95 C8 FC FF FF EB 08 33 D2 89 95 C8 FC FF FF 0F B6 C0 89 85 D0 FC FF FF 8B 07 89 85 D4 FC FF FF 0F B6 33 83 FE 04 75 2F 8B 45 FC 0F B7 00 66 25 FF 0F 66 83 F8 09 74 06 66 83 F8 0D 75 05 BE 08 00 00 00 C7 07 FD FF FF FF 89 BD C8 FC FF FF FF 85 D0 FC FF FF EB 16 83 FE 01 75 11 80 7B 01 00 75 0B 83 7D 08 00 74 05 BE 03 00 00 00 8D 45 DC 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 6A 00 8D 45 DC 50 8B 45 08 50 8D 85 C4 FC FF FF 50 56 6A 00 A1 ?? ?? ?? ?? 50 8B 85 D4 FC FF FF 50 8B 85 D8 FC FF FF 50 8B 00 FF 50 18 85 C0 74 08 8D 55 DC E8 ?? ?? ?? ?? BE 40 00 00 00 8D 9D DC FC FF FF 83 3B 00 74 2D 8B 7B 04 85 FF 74 10 8B C7 8B 13 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 10 8B 7B 08 85 FF 74 09 8B C7 8B 13 E8 ?? ?? ?? ?? 83 C3 0C 4E 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 DC FC FF FF B9 40 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_70913_0 {
	meta:
		name = "GetIDsOfNames"
		size = 350
		refs = "0027 GetIDsOfNames 003f :91 0044 @DynArraySetLength 0068 @LStrFromPChar 0073 UTF8Decode 0081 @WStrAsg 00b7 @PCharLen 00c7 GetThreadLocale 00d5 GUID_NULL 00fc SNoMethod 0103 _DV_EOleError 0108 Exception.CreateResFmt 010d @RaiseExcept 0114 OleCheck 012e @WStrArrayClr 013b @LStrArrayClr 0149 @DynArrayClear 014f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F0 89 5D F4 89 5D EC 89 4D E0 89 55 E4 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 5D E4 8B 7D E0 4F 85 FF 7C 6C 47 33 F6 85 F6 75 2A 8D 45 F8 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 B0 8B 55 F0 E8 ?? ?? ?? ?? EB 2D 8D 45 F4 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E0 2B C6 8B 55 FC 8D 04 82 8B 55 EC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 40 03 D8 46 4F 75 97 8B 45 08 50 E8 ?? ?? ?? ?? 50 8B 45 E0 50 8B 45 FC 50 A1 ?? ?? ?? ?? 50 8B 45 E8 50 8B 00 FF 50 14 3D 06 00 02 80 75 29 8B 45 E4 89 45 D8 C6 45 DC 06 8D 45 D8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_70914_0 {
	meta:
		name = "GetIDsOfNames"
		size = 103
		refs = "0012 GetIDsOfNames 002b @LStrFromPWChar 0033 @LStrToPChar 0053 @LStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 45 FC 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_70916_0 {
	meta:
		name = "VarDispInvoke"
		size = 154
		refs = "001c STooManyParams 0023 _DV_EOleError 0028 Exception.CreateRes 002d @RaiseExcept 0054 RaiseException 0070 GetIDsOfNames 007b @VarClear 0090 DispatchInvoke"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 8B 5D 10 8B 45 0C 8B 75 08 80 7B 01 40 76 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 10 66 83 FA 09 75 08 8B 40 08 89 45 FC EB 16 66 81 FA 09 40 75 0A 8B 40 08 8B 00 89 45 FC EB 05 E8 ?? ?? ?? ?? 8D 85 FC FE FF FF 50 0F B6 4B 02 41 0F B6 43 01 8D 54 03 03 8B 45 FC E8 ?? ?? ?? ?? 85 F6 74 07 8B C6 E8 ?? ?? ?? ?? 8B 45 14 50 56 8D 8D FC FE FF FF 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70917_0 {
	meta:
		name = "DispatchInvokeError"
		size = 166
		refs = "0010 DispatchInvokeError 002c @UStrFromWStr 0058 _DV_EOleException 005d EOleException.Create 006d _DV_EOleSysError 0072 EOleSysError.Create 007b @RaiseExcept 0095 @UStrArrayClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 3D 09 00 02 80 75 44 8B 43 1C 50 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B 53 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 10 50 8D 45 F4 8B 53 08 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 EB 13 50 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70921_0 {
	meta:
		name = "DispCallByID"
		size = 667
		refs = "0013 VariantInit 002e DispatchInvoke 004a DispCallByID 0159 SysFreeString 0183 @VarClear 0192 Move 020c _DispReturnInteger 0270 _DispReturnInt64 0287 _DispReturnPointer"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B 5D 10 8B 75 08 8D 45 F0 50 E8 ?? ?? ?? ?? 8B 03 89 45 E8 8D 45 14 50 8D 45 F0 50 8D 4D E8 8D 53 05 8B 45 0C E8 ?? ?? ?? ?? 85 F6 0F 84 61 01 00 00 0F B6 43 04 83 F8 15 0F 87 4E 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B7 45 F8 66 89 06 E9 E3 01 00 00 8B 45 F8 89 06 E9 D9 01 00 00 8B 45 F8 89 06 E9 CF 01 00 00 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 BF 01 00 00 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 AF 01 00 00 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 9F 01 00 00 0F B7 45 F8 66 89 06 E9 93 01 00 00 0F B6 45 F8 88 06 E9 88 01 00 00 0F B6 45 F8 88 06 E9 7D 01 00 00 0F B7 45 F8 66 89 06 E9 71 01 00 00 8B 45 F8 89 06 E9 67 01 00 00 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 57 01 00 00 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 47 01 00 00 8B DE 83 3B 00 74 08 8B 06 50 E8 ?? ?? ?? ?? 8B 45 F8 89 03 E9 2E 01 00 00 8B DE 83 3B 00 74 08 8B 06 50 8B 00 FF 50 08 8B 45 F8 89 03 E9 15 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B D6 8D 45 F0 B9 10 00 00 00 E8 ?? ?? ?? ?? E9 FA 00 00 00 0F B6 43 04 83 F8 15 0F 87 ED 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F BF 45 F8 E8 ?? ?? ?? ?? E9 80 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 76 D9 45 F8 EB 71 DD 45 F8 EB 6C DF 6D F8 EB 67 DD 45 F8 EB 62 0F BF 45 F8 E8 ?? ?? ?? ?? EB 57 0F BE 45 F8 E8 ?? ?? ?? ?? EB 4C 0F B6 45 F8 E8 ?? ?? ?? ?? EB 41 0F B7 45 F8 E8 ?? ?? ?? ?? EB 36 8B 45 F8 E8 ?? ?? ?? ?? EB 2C FF 75 FC FF 75 F8 E8 ?? ?? ?? ?? EB 1F FF 75 FC FF 75 F8 E8 ?? ?? ?? ?? EB 12 8B 45 F8 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70922_0 {
	meta:
		name = "GetDispatchPropValue"
		size = 140
		refs = "0014 tagEXCEPINFO 0019 @InitializeRecord 0021 GetDispatchPropValue 0036 @FillChar 004a GUID_NULL 005e DispatchInvokeError 0079 @FinalizeRecord 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F9 8B F2 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D0 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 6A 00 8D 45 E0 50 57 8D 45 D0 50 6A 02 6A 00 A1 ?? ?? ?? ?? 50 56 53 8B 03 FF 50 18 85 C0 74 08 8D 55 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70923_0 {
	meta:
		name = "GetDispatchPropValue"
		size = 113
		refs = "0013 @WStrAddRef 001b GetDispatchPropValue 0032 GUID_NULL 003e OleCheck 005f @WStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 6A 00 6A 01 8D 45 FC 50 A1 ?? ?? ?? ?? 50 53 8B 03 FF 50 14 E8 ?? ?? ?? ?? 8B CE 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70925_0 {
	meta:
		name = "SetDispatchPropValue"
		size = 113
		refs = "0013 @WStrAddRef 001b SetDispatchPropValue 0032 GUID_NULL 003e OleCheck 005f @WStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 6A 00 6A 01 8D 45 FC 50 A1 ?? ?? ?? ?? 50 53 8B 03 FF 50 14 E8 ?? ?? ?? ?? 8B CE 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70924_0 {
	meta:
		name = "SetDispatchPropValue"
		size = 150
		refs = "0014 tagEXCEPINFO 0019 @InitializeRecord 0021 SetDispatchPropValue 0031 DispIDArgs 0054 GUID_NULL 0068 DispatchInvokeError 0083 @FinalizeRecord 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F9 8B F2 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 7D D0 C7 45 D4 ?? ?? ?? ?? C7 45 D8 01 00 00 00 C7 45 DC 01 00 00 00 6A 00 8D 45 E0 50 6A 00 8D 45 D0 50 6A 04 6A 00 A1 ?? ?? ?? ?? 50 56 53 8B 03 FF 50 18 85 C0 74 08 8D 55 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70926_0 {
	meta:
		name = "EventDispatchInvoke"
		size = 282
		refs = "001b @IntfAddRef 0023 EventDispatchInvoke 003e TOleVariantArray 0043 @DynArraySetLength 0050 @DynArrayHigh 0088 @VarCopy 00fd @DynArrayClear 0105 @IntfClear 010b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F8 89 4D FC 89 55 F0 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 40 08 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EC 8B 45 F0 83 78 0C 00 7E 32 8B 75 EC 2B F3 7C 57 46 8B C3 03 C0 8B 55 F0 8B 12 8D 3C C2 8B 45 F0 8B 40 04 8B 04 98 03 C0 8B 55 F8 8D 04 C2 8B D7 E8 ?? ?? ?? ?? 43 4E 75 D8 EB 2C 8B 75 EC 2B F3 7C 25 46 8B C3 03 C0 8B 55 F0 8B 12 8D 3C C2 8B 45 EC 2B C3 03 C0 8B 55 F8 8D 04 C2 8B D7 E8 ?? ?? ?? ?? 43 4E 75 DC 8D 4D F8 8B 55 F4 8B 45 FC 8B 18 FF 53 0C 6A 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70928_0 {
	meta:
		name = "InitComObj"
		size = 145
		refs = "0002 InitComObjCalled 000f SaveInitProc 001e CoInitFlags 0027 CoInitializeEx 0045 NeedToUninitialize 004a IsMultiThread 0078 CoInitialize"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 00 0F 85 83 00 00 00 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 74 50 83 3D ?? ?? ?? ?? 00 74 47 A1 ?? ?? ?? ?? 50 6A 00 FF 15 ?? ?? ?? ?? A9 00 00 00 80 0F 94 C0 A2 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 75 16 F6 05 ?? ?? ?? ?? 02 75 0D 83 3D ?? ?? ?? ?? 00 74 04 33 C0 EB 02 B0 01 8B 15 ?? ?? ?? ?? 88 02 EB 14 6A 00 E8 ?? ?? ?? ?? A9 00 00 00 80 0F 94 C0 A2 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_70929_0 {
	meta:
		name = "HandleException"
		size = 43
		refs = "0002 ExceptObject 000c _DV_EOleSysError 0011 @IsClass"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 83 7B 18 00 7D 05 8B 43 18 5B C3 B8 FF FF 00 80 5B C3 }
	condition:
		$1
}

rule function_73345_0 {
	meta:
		name = "HandleException"
		size = 43
		refs = "0002 ExceptObject 000c _Dn_EOleSysError 0011 @IsClass"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 83 7B 18 00 7D 05 8B 43 18 5B C3 B8 FF FF 00 80 5B C3 }
	condition:
		$1
}

rule function_70930_0 {
	meta:
		name = "FreeObjects"
		size = 36
		refs = "0012 TList.Get 0017 TObject.Free"
	strings:
		$1 = { 53 56 8B F0 8B 5E 08 4B 83 FB 00 7C 14 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 75 EC 5E 5B C3 }
	condition:
		$1
}

rule function_70931_0 {
	meta:
		name = "FreeObjectList"
		size = 23
		refs = "000a FreeObjects 0011 TObject.Free"
	strings:
		$1 = { 53 8B D8 85 DB 74 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70932_0 {
	meta:
		name = "TEnumConnections.Create"
		size = 98
		refs = "000f @ClassCreate 001f TObject.Create 002e TAggregatedObject.GetController 004a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B FE 89 7B 0C 8D 53 10 8B C7 E8 ?? ?? ?? ?? 8B 45 08 89 43 14 8B 46 20 8B 40 08 89 43 18 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_70933_0 {
	meta:
		name = "TEnumConnections.Next"
		size = 114
		refs = "001b TList.Get 0034 @IntfCopy"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 10 8B 5D 08 33 F6 EB 33 8B 43 0C 8B 40 20 8B 53 14 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 19 33 C0 89 04 F7 8D 04 F7 8B 55 FC E8 ?? ?? ?? ?? 8B 43 14 40 89 44 F7 04 46 FF 43 14 3B 75 0C 7D 08 8B 43 14 3B 43 18 7C C0 83 7D 14 00 74 05 8B 45 14 89 30 3B 75 0C 75 04 33 C0 EB 05 B8 01 00 00 00 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_70934_0 {
	meta:
		name = "TEnumConnections.Skip"
		size = 68
		refs = "001d TList.Get"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 BF 01 00 00 00 EB 16 8B 43 0C 8B 40 20 8B 53 14 E8 ?? ?? ?? ?? 85 C0 74 01 4E FF 43 14 85 F6 7E 08 8B 43 14 3B 43 18 7C DE 85 F6 75 02 33 FF 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70935_0 {
	meta:
		name = "TEnumConnections.Reset"
		size = 17
		altNames = "TEnumFormatEtc.Reset"
	strings:
		$1 = { 55 8B EC 8B 45 08 33 D2 89 50 14 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_70936_0 {
	meta:
		name = "TEnumConnections.Clone"
		size = 106
		refs = "0018 TEnumConnections.Clone 002c _DV_TEnumConnections 0031 TEnumConnections.Create 0042 @IntfCopy 0053 @HandleAnyException 005d @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 14 50 8B 4B 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8B 45 0C E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB FF FF 00 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70937_0 {
	meta:
		name = "TConnectionPoint.Create"
		size = 132
		refs = "000f @ClassCreate 0022 TAggregatedObject.Create 0031 TList.Add 0038 _Dn_TList 003d TObject.Create 006c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 4E 04 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 89 43 0C 8B 40 08 8B D3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 8B 45 14 8B F0 8D 7B 10 A5 A5 A5 A5 0F B6 45 10 88 43 30 8B 45 08 89 43 28 8B 45 0C 89 43 2C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_70938_0 {
	meta:
		name = "TConnectionPoint.Destroy"
		size = 112
		refs = "0005 @BeforeDestruction 001c TList.RemoveItem 0038 TList.Get 0045 TConnectionPoint.RemoveSink 0051 TObject.Free 005c TObject.Destroy 0067 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 0C 85 C0 74 0C 8B 40 08 8B D5 33 C9 E8 ?? ?? ?? ?? 8B 45 20 85 C0 74 2E 8B 78 08 4F 85 FF 7C 1E 47 33 F6 8B 45 20 8B D6 E8 ?? ?? ?? ?? 85 C0 74 09 8B D6 8B C5 E8 ?? ?? ?? ?? 46 4F 75 E5 8B 45 20 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70939_0 {
	meta:
		name = "TConnectionPoint.GetSink"
		size = 52
		refs = "000f TList.Get 0026 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 20 E8 ?? ?? ?? ?? 85 C0 74 17 8B D6 8B 43 20 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? B0 01 EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70940_0 {
	meta:
		name = "TConnectionPoint.GetCount"
		size = 7
	strings:
		$1 = { 8B 40 20 8B 40 08 C3 }
	condition:
		$1
}

rule function_70941_0 {
	meta:
		name = "TConnectionPoint.AddSink"
		size = 74
		refs = "0011 TList.Get 002d TList.Add 0038 TList.Put"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 33 DB EB 0E 8B D3 8B C7 E8 ?? ?? ?? ?? 85 C0 74 09 43 8B 7E 20 3B 5F 08 7C EA 8B 46 20 3B 58 08 7C 09 8B D5 E8 ?? ?? ?? ?? EB 09 8B CD 8B D3 E8 ?? ?? ?? ?? 55 8B 45 00 FF 50 04 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70942_0 {
	meta:
		name = "TConnectionPoint.RemoveSink"
		size = 49
		refs = "0010 TList.Get 001f TList.Put"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B D6 8B 43 20 E8 ?? ?? ?? ?? 89 45 FC 33 C9 8B D6 8B 43 20 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 08 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70943_0 {
	meta:
		name = "TConnectionPoint.GetConnectionInterface"
		size = 28
	strings:
		$1 = { 55 8B EC 56 57 8B 45 08 8B 55 0C 8B FA 8D 70 10 A5 A5 A5 A5 33 C0 5F 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_70944_0 {
	meta:
		name = "TConnectionPoint.GetConnectionPointContainer"
		size = 60
		refs = "001c TConnectionPoint.GetConnectionPointContainer 0021 @IntfCast"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 0C 8B 53 0C 8B 52 04 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 84 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_70945_0 {
	meta:
		name = "TConnectionPoint.Advise"
		size = 132
		refs = "0021 TList.Get 0034 TConnectionPoint.Advise 0054 TConnectionPoint.AddSink 006b @HandleAnyException 0070 HandleException 0077 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 80 7B 30 00 75 1E 8B 43 20 83 78 08 00 7E 15 8B 43 20 33 D2 E8 ?? ?? ?? ?? 85 C0 74 07 BB 02 02 04 80 EB 4B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 2A 00 74 0A B1 01 8B D6 8B 43 2C FF 53 28 8B D6 8B C3 E8 ?? ?? ?? ?? 40 8B 55 10 89 02 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_70946_0 {
	meta:
		name = "TConnectionPoint.Unadvise"
		size = 134
		refs = "001f TList.Get 0032 TConnectionPoint.Unadvise 005c TConnectionPoint.RemoveSink 006d @HandleAnyException 0072 HandleException 0079 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 4E 85 F6 7C 16 8B 43 20 3B 70 08 7D 0E 8B 43 20 8B D6 E8 ?? ?? ?? ?? 85 C0 75 07 BB 00 02 04 80 EB 4F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 2A 00 74 14 8B 43 20 8B D6 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 43 2C FF 53 28 8B D6 8B C3 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70947_0 {
	meta:
		name = "TConnectionPoint.EnumConnections"
		size = 105
		refs = "0018 TConnectionPoint.EnumConnections 0029 _DV_TEnumConnections 002e TEnumConnections.Create 003f @IntfCopy 0050 @HandleAnyException 0055 HandleException 005c @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8B 45 0C E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70948_0 {
	meta:
		name = "TEnumConnectionPoints.Create"
		size = 75
		refs = "000e @ClassCreate 0020 TAggregatedObject.Create 0034 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4E 04 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B 45 08 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_70949_0 {
	meta:
		name = "TEnumConnectionPoints.Next"
		size = 113
		refs = "001b TList.Get"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 0C 8B 5D 08 33 F6 EB 2E 8B 43 0C 8B 40 08 8B 53 10 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 89 45 FC 8B 45 FC 50 8B 00 FF 50 04 8B 45 10 8B 55 FC 89 14 B0 46 FF 43 10 3B FE 7E 0E 8B 43 0C 8B 40 08 8B 40 08 3B 43 10 7F C0 83 7D 14 00 74 05 8B 45 14 89 30 3B FE 75 04 33 C0 EB 05 B8 01 00 00 00 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_70950_0 {
	meta:
		name = "TEnumConnectionPoints.Skip"
		size = 48
	strings:
		$1 = { 55 8B EC 53 8B 55 0C 8B 45 08 8B 48 0C 8B 49 08 8B 49 08 8B 58 10 03 DA 3B CB 7C 07 01 50 10 33 C0 EB 08 89 48 10 B8 01 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70951_0 {
	meta:
		name = "TComboBoxExEnumerator.Reset"
		size = 17
		altNames = "TEnumConnectionPoints.Reset"
	strings:
		$1 = { 55 8B EC 8B 45 08 33 D2 89 50 10 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_70952_0 {
	meta:
		name = "TEnumConnectionPoints.Clone"
		size = 106
		refs = "0018 TEnumConnectionPoints.Clone 002c _DV_TEnumConnectionPoints 0031 TEnumConnectionPoints.Create 0042 @IntfCopy 0053 @HandleAnyException 005d @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 50 8B 4B 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B 45 0C E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB FF FF 00 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70955_0 {
	meta:
		name = "TConnectionPoints.CreateConnectionPoint"
		size = 31
		refs = "000d _DV_TConnectionPoint 0017 TConnectionPoint.Create"
	strings:
		$1 = { 55 8B EC 52 51 FF 75 0C FF 75 08 8B 15 ?? ?? ?? ?? B1 01 92 87 CA E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_70956_0 {
	meta:
		name = "TConnectionPoints.EnumConnectionPoints"
		size = 103
		refs = "0018 TConnectionPoints.EnumConnectionPoints 0029 _DV_TEnumConnectionPoints 002e TEnumConnectionPoints.Create 003f @IntfCopy 0050 @HandleAnyException 005a @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B 45 0C E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB FF FF 00 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_70957_0 {
	meta:
		name = "TConnectionPoints.FindConnectionPoint"
		size = 101
		refs = "002b TList.Get 0038 IsEqualGUID 004d @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 10 85 C0 74 04 33 D2 89 10 8B 45 08 8B 40 08 8B 70 08 4E 85 F6 7C 3A 46 33 FF 8B 45 08 8B 40 08 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 55 0C 8D 43 10 E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 10 8B D3 85 D2 74 03 83 EA CC E8 ?? ?? ?? ?? 33 C0 EB 09 47 4E 75 C9 B8 00 02 04 80 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_70960_0 {
	meta:
		name = "TAutoObjectEvent.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TComObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 30 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91229_0 {
	meta:
		name = "TTeeCanvas.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 30 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70963_0 {
	meta:
		name = "TAutoObjectEvent.Initialize"
		size = 79
		refs = "0008 TAutoObject.Initialize 0018 _DV_TConnectionPoints 001d TConnectionPoints.Create 0031 TAutoObject.EventConnect 003d TConnectionPoints.CreateConnectionPoint"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 30 8B 7B 28 83 7F 68 00 74 17 53 68 ?? ?? ?? ?? 8D 57 58 B1 01 8B C6 E8 ?? ?? ?? ?? 89 43 34 EB 05 33 C0 89 43 34 5F 5E 5B C3 }
	condition:
		$1
}

rule function_70965_0 {
	meta:
		name = "TComServerObject.GetRegRootAndPrefix"
		size = 96
		refs = "0005 TComServerObject.FPerUserRegistration 0015 TComServerObject.GetRegRootAndPrefix 001a @UStrAsg 0029 @UStrClr"
	strings:
		$1 = { 53 8B D9 80 3D ?? ?? ?? ?? 00 74 14 C7 02 01 00 00 80 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 C7 02 00 00 00 80 8B C3 E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 43 00 6C 00 61 00 73 00 73 00 65 00 73 00 5C 00 00 00 }
	condition:
		$1
}

rule function_70966_0 {
	meta:
		name = "Finalization"
		size = 127
		refs = "0007 Finalization 0013 _DV_71 001b OleUninitializing 0021 ComClassManagerVar 0026 TObject.Free 002b SafeCallErrorProc 0034 DispCallByIDProc 003d VarDispProc 0047 NeedToUninitialize 004f CoUninitialize 0054 ThreadStrs 005f string 0064 @FinalizeArray 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 4F C6 05 ?? ?? ?? ?? 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 80 3D ?? ?? ?? ?? 00 74 05 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_70967_0 {
	meta:
		name = "System.Win.ComObj"
		size = 85
		refs = "0002 _DV_71 000a LoadComExProcs 000f VarDispInvoke 0015 VarDispProc 001c DispCallByIDProc 0022 DispCallByID 0027 SafeCallError 002d SafeCallErrorProc 0034 IsLibrary 003e InitProc 0045 SaveInitProc 0050 InitComObj"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 4B E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 A1 ?? ?? ?? ?? 80 38 00 75 17 A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70968_0 {
	meta:
		name = "CheckForDuplicateGUID"
		size = 328
		refs = "001e CheckForDuplicateGUID 002a COMComponents 0035 SNoCOMClassesRegistered 003a LoadResString 0044 _Dn_Exception 0049 Exception.Create 004e @RaiseExcept 0058 TThreadList.LockList 0081 TList.Get 0091 TComComponent.GetGUIDString 009c StringToGUID 00a5 IsEqualGUID 00b4 GUIDToString 00cc SGUIDAlreadyDefined 00e0 Exception.CreateFmt 0103 TMonitor.Exit 0109 @HandleFinally 0125 @UStrArrayClr 012d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 D2 89 55 D4 89 55 D0 89 55 E0 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 58 08 4B 85 DB 7C 75 43 33 F6 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 50 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8D 45 E4 50 E8 ?? ?? ?? ?? 84 C0 74 3C 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 89 45 D8 C6 45 DC 11 8D 45 D8 50 6A 00 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 8E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70969_0 {
	meta:
		name = "ShortToLongFileName"
		size = 292
		refs = "0029 @UStrAddRef 0031 ShortToLongFileName 003e @UStrClr 004d @UStrToPWChar 0053 FindFirstFile 0075 @UStrFromWArray 0089 @UStrCatN 0097 ExtractFileDir 00a5 @UStrLAsg 00ab FindClose 00ca ExtractFileDrive 00d9 @UStrCat3 00f6 @UStrArrayClr 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 A0 FD FF FF 53 56 57 33 C9 89 8D A0 FD FF FF 89 8D A4 FD FF FF 89 8D A8 FD FF FF 8B FA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8D 85 AC FD FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 62 68 ?? ?? ?? ?? 8D 85 A8 FD FF FF 8D 95 D8 FD FF FF B9 04 01 00 00 E8 ?? ?? ?? ?? FF B5 A8 FD FF FF FF 37 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 95 A4 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 A4 FD FF FF 8D 45 FC E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 83 FB 02 7F 82 8D 95 A0 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 A0 FD FF FF 8B 0F 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A0 FD FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_70970_0 {
	meta:
		name = "GetModuleFileName"
		size = 137
		refs = "0018 GetModuleFileName 002f MainInstance 0046 @UStrFromPWCharLen 0053 ShortToLongFileName 0060 @UStrAsg 0078 @UStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FD FF FF 53 33 D2 89 95 F0 FD FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 06 01 00 00 8D 85 F4 FD FF FF 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B C8 8D 95 F4 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8D 95 F0 FD FF FF 8B 03 E8 ?? ?? ?? ?? 8B 95 F0 FD FF FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70971_0 {
	meta:
		name = "GetModuleName"
		size = 94
		refs = "000e GetModuleName 001c GetModuleFileName 0027 ExtractFileName 0033 ChangeFileExt 004d @UStrArrayClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B CB 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70972_0 {
	meta:
		name = "COMServer"
		size = 224
		refs = "000d COMServer 001f SNoCOMClassSpecified 0024 LoadResString 002e _Dn_Exception 0033 Exception.Create 0038 @RaiseExcept 003e COMClassesList 0048 _Dn_TClassList 004d TObject.Create 005e TList.IndexOf 006f TList.Add 0076 _DV_TCOMServer 0083 COMServersList 008d _Dn_TObjectList 0092 TObjectList.Create 00b6 TList.Get 00cd @UStrClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 83 F8 FF 75 42 A1 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? EB 13 8B 1D ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_70973_0 {
	meta:
		name = "TCOMServer.CountFactory"
		size = 24
		refs = "0009 InterlockedIncrement 0013 InterlockedDecrement"
		altNames = "TComServer.CountFactory"
	strings:
		$1 = { 84 D2 74 0A 83 C0 08 50 E8 ?? ?? ?? ?? C3 83 C0 08 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70974_0 {
	meta:
		name = "TCOMServer.CountObject"
		size = 24
		refs = "0009 InterlockedIncrement 0013 InterlockedDecrement"
	strings:
		$1 = { 84 D2 74 0A 83 C0 04 50 E8 ?? ?? ?? ?? C3 83 C0 04 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_70975_0 {
	meta:
		name = "TCOMServer.Destroy"
		size = 54
		refs = "0003 @BeforeDestruction 000d TCOMServer.FactoryFree 0012 ComClassManager 0019 TComClassManager.ForEachFactory 0024 TObject.Destroy 002f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 56 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70979_0 {
	meta:
		name = "TCOMServer.GetServerKey"
		size = 60
		refs = "0006 TCOMServer.GetServerKey 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4C 00 6F 00 63 00 61 00 6C 00 53 00 65 00 72 00 76 00 65 00 72 00 33 00 32 00 00 00 }
	condition:
		$1
}

rule function_70984_0 {
	meta:
		name = "TComComponent.Create"
		size = 192
		refs = "0010 @ClassCreate 0020 TComponent.Create 0026 COMComponents 0030 _Dn_TThreadList 0035 TThreadList.Create 0045 TComComponent.Create 0053 TThreadList.LockList 0069 TList.Add 0083 TMonitor.Exit 0089 @HandleFinally 0099 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 FC 8D 78 3C BE ?? ?? ?? ?? A5 A5 A5 A5 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 59 59 5D C3 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_70985_0 {
	meta:
		name = "TComComponent.CreateObject"
		size = 104
		refs = "0015 TComComponent.CreateObject 002c TComComponent.GetGUIDString 0037 StringToGUID 0041 CreateComObject 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 40 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70986_0 {
	meta:
		name = "TComComponent.Destroy"
		size = 135
		refs = "0007 @BeforeDestruction 001b COMComponents 0028 TThreadList.LockList 0030 TComComponent.Destroy 0040 TList.RemoveItem 005a TMonitor.Exit 0060 @HandleFinally 0071 TComponent.Destroy 007f @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 10 FF 52 44 83 3D ?? ?? ?? ?? 00 74 44 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 55 FC 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_70989_0 {
	meta:
		name = "TComComponent.GetComClass"
		size = 32
	strings:
		$1 = { 53 51 33 D2 89 14 24 66 83 78 52 00 74 0C 8B CC 8B D8 8B D0 8B 43 54 FF 53 50 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_70990_0 {
	meta:
		name = "TComComponent.GetGUIDString"
		size = 19
		refs = "000c GUIDToString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8D 43 3C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_70991_0 {
	meta:
		name = "TComComponent.RegisterClass"
		size = 368
		refs = "0022 TComComponent.RegisterClass 0046 TComComponent.GetGUIDString 0051 StringToGUID 005f IsEqualGUID 0085 ComClassManager 008b TComClassManager.GetFactoryFromClassID 00c4 TObject.ClassName 00d7 COMServer 00e0 _Dn_TComObjectFactory 00e5 TComObjectFactory.Create 00ea TComObjectFactory.RegisterClassObject 010e SNoComClass 0113 LoadResString 011d _Dn_Exception 0122 Exception.CreateFmt 0127 @RaiseExcept 0141 @UStrArrayClr 0154 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 D2 89 55 D4 89 55 D0 89 55 E0 89 55 E4 89 55 E8 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 1C 10 0F 85 F5 00 00 00 F6 43 1C 01 0F 85 EB 00 00 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 C0 00 00 00 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 85 C0 0F 85 94 00 00 00 8B C3 8B 10 FF 52 50 8B F0 85 F6 74 4C 56 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 E0 8B 03 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 43 38 50 6A 02 6A 01 8B C6 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3B 8D 55 D4 8B 03 E8 ?? ?? ?? ?? 8B 45 D4 89 45 D8 C6 45 DC 11 8D 45 D8 50 6A 00 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_70992_0 {
	meta:
		name = "TComComponent.SetGUIDString"
		size = 252
		refs = "0016 TComComponent.SetGUIDString 0026 TComComponent.GetGUIDString 0030 CompareText 0046 IsEqualGUID 007e StringToGUID 009d CheckForDuplicateGUID 00d8 @UStrClr 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 84 8B 00 00 00 68 ?? ?? ?? ?? 8D 43 3C 50 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 8B 10 FF 52 44 F6 43 1C 10 75 12 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C0 EB 02 33 C0 84 C0 74 2E 68 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 45 EC 50 E8 ?? ?? ?? ?? 84 C0 75 12 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 85 F6 75 0E BE ?? ?? ?? ?? 8D 7B 3C A5 A5 A5 A5 EB 14 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 75 EC 8D 7B 3C A5 A5 A5 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_70993_0 {
	meta:
		name = "TComComponent.UnregisterClass"
		size = 68
		refs = "000a TComComponent.UnregisterClass 0013 IsEqualGUID 001c ComClassManager 0024 TComClassManager.GetFactoryFromClassID 002d TObject.Free"
	strings:
		$1 = { 53 8B D8 F6 43 1C 01 75 28 68 ?? ?? ?? ?? 8D 43 3C 50 E8 ?? ?? ?? ?? 84 C0 75 16 E8 ?? ?? ?? ?? 8D 53 3C E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 5B C3 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_70994_0 {
	meta:
		name = "TWrappedComObject.AfterConstruction"
		size = 26
		refs = "0006 TObject.AfterConstruction"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 20 85 C0 74 07 8B D3 8B 08 FF 51 48 5B C3 }
	condition:
		$1
}

rule function_70995_0 {
	meta:
		name = "TWrappedComObject.Destroy"
		size = 233
		refs = "0008 @BeforeDestruction 0025 COMComponents 0032 TThreadList.LockList 003c TWrappedComObject.Destroy 004f TList.IndexOf 006f TMonitor.Exit 0075 @HandleFinally 009a TComObject.Destroy 00a1 SafeCallErrorProc 00c1 CoDisconnectObject 00e0 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 83 78 20 00 0F 84 A8 00 00 00 C6 45 FA 00 83 3D ?? ?? ?? ?? 00 74 4F A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 50 20 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D 45 FA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 80 7D FA 00 74 1F 8B 45 FC 8B 40 20 8B 55 FC 8B 08 FF 51 4C 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? EB 36 A1 ?? ?? ?? ?? 83 38 00 74 2C 8B 45 FC 83 78 10 00 7E 23 6A 00 8B 45 FC 85 C0 74 03 83 E8 E4 50 E8 ?? ?? ?? ?? EB 0F 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_70996_0 {
	meta:
		name = "TWrappedComObject.Initialize"
		size = 274
		refs = "0017 TWrappedComObject.Initialize 0024 TComObject.Initialize 0029 COMComponents 002e TThreadList.LockList 005d TList.Get 006f IsEqualGUID 0092 GUIDToString 00aa SNoComComponent 00af LoadResString 00b9 _Dn_Exception 00be Exception.CreateFmt 00c3 @RaiseExcept 00dd TMonitor.Exit 00e3 @HandleFinally 00ff @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 EC 89 55 E8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 70 08 4E 85 F6 7C 34 46 C7 45 FC 00 00 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8D 43 3C 50 8B 47 08 83 C0 10 50 E8 ?? ?? ?? ?? 84 C0 74 05 89 5F 20 EB 06 FF 45 FC 4E 75 D4 83 7F 20 00 75 3F 8D 55 EC 8B 47 08 83 C0 10 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_70997_0 {
	meta:
		name = "Finalization"
		size = 87
		refs = "0002 COMServersList 0008 _DV_3 000f COMComponents 001c TObject.Free 002c TList.Delete 0044 COMClassesList"
	strings:
		$1 = { 53 BB ?? ?? ?? ?? FF 05 ?? ?? ?? ?? 75 47 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3B 00 74 13 EB 09 33 D2 8B 03 E8 ?? ?? ?? ?? 8B 03 83 78 08 00 7F EF 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_70999_0 {
	meta:
		name = "ShortToLongFileName"
		size = 372
		refs = "0029 @UStrAddRef 0031 ShortToLongFileName 003d GetLongPathName 004c @UStrSetLength 0058 @UniqueStringU 0061 @UStrToPWChar 007d @UStrClr 0092 FindFirstFile 00bd @UStrFromWArray 00d1 @UStrCatN 00df ExtractFileDir 00ed @UStrLAsg 00f3 FindClose 011b ExtractFileDrive 012a @UStrCat3 0147 @UStrArrayClr 0155 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 A0 FD FF FF 53 56 57 33 C9 89 8D A0 FD FF FF 89 8D A4 FD FF FF 89 8D A8 FD FF FF 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 36 8B C3 BA 05 01 00 00 E8 ?? ?? ?? ?? 68 04 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E9 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 85 AC FD FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 83 FF FF 75 09 8B C3 E8 ?? ?? ?? ?? EB 66 68 ?? ?? ?? ?? 8D 85 A8 FD FF FF 8D 95 D8 FD FF FF B9 04 01 00 00 E8 ?? ?? ?? ?? FF B5 A8 FD FF FF FF 33 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 95 A4 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 A4 FD FF FF 8D 45 FC E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 83 FE 02 0F 8F 75 FF FF FF 83 3B 00 74 1D 8D 95 A0 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 95 A0 FD FF FF 8B 0B 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A0 FD FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_71000_0 {
	meta:
		name = "GetModuleFileName"
		size = 129
		refs = "0015 GetModuleFileName 002c HInstance 0041 @UStrFromPWCharLen 004b ShortToLongFileName 005b @UStrAsg 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FD FF FF 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 06 01 00 00 8D 85 F0 FD FF FF 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8D 95 F0 FD FF FF 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 83 7D FC 00 74 0A 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71002_0 {
	meta:
		name = "LoadTypeLibrary"
		size = 98
		refs = "000f LoadTypeLibrary 001c @IntfClear 0029 @WStrFromUStr 0031 @WStrToPWChar 0037 LoadTypeLibEx 003c OleCheck 0051 @WStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 6A 02 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71003_0 {
	meta:
		name = "RegisterTypeLibrary"
		size = 284
		refs = "0016 RegisterTypeLibrary 0026 @WStrFromUStr 0030 ExtractFilePath 0049 GetModuleHandle 005a GetProcAddress 0068 @WStrToPWChar 007a OleCheck 0094 RegisterTypeLib 00ae @UStrClr 00bb @WStrArrayClr 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 84 DB 74 3D 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 2D 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 89 C7 85 FF 74 1C 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 56 FF D7 E8 ?? ?? ?? ?? EB 1D 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 4F 00 4C 00 45 00 41 00 55 00 54 00 33 00 32 00 2E 00 44 00 4C 00 4C 00 00 00 00 00 52 00 65 00 67 00 69 00 73 00 74 00 65 00 72 00 54 00 79 00 70 00 65 00 4C 00 69 00 62 00 46 00 6F 00 72 00 55 00 73 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_71004_0 {
	meta:
		name = "UnregisterTypeLibrary"
		size = 332
		refs = "0012 UnregisterTypeLibrary 0022 GetModuleHandle 003b GetProcAddress 005e ComServer 0071 OleCheck 00b9 ITypeLib 00c3 @FinalizeArray 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 74 7B 33 C0 89 C6 84 DB 74 0D 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 89 C6 85 F6 75 0D 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 89 C6 85 F6 74 51 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? 8B 08 FF 51 1C 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 FC 8B 50 14 52 8B 50 10 52 0F B7 50 1A 52 0F B7 50 18 52 50 FF D6 8B 45 FC 50 8D 55 F4 A1 ?? ?? ?? ?? 8B 08 FF 51 1C 8B 45 F4 50 8B 00 FF 50 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 00 00 4F 00 4C 00 45 00 41 00 55 00 54 00 33 00 32 00 2E 00 44 00 4C 00 4C 00 00 00 00 00 55 00 6E 00 52 00 65 00 67 00 69 00 73 00 74 00 65 00 72 00 54 00 79 00 70 00 65 00 4C 00 69 00 62 00 46 00 6F 00 72 00 55 00 73 00 65 00 72 00 00 00 00 00 55 00 6E 00 52 00 65 00 67 00 69 00 73 00 74 00 65 00 72 00 54 00 79 00 70 00 65 00 4C 00 69 00 62 00 00 00 }
	condition:
		$1
}

rule function_71005_0 {
	meta:
		name = "GetTypeLibName"
		size = 92
		refs = "000f GetTypeLibName 002c OleCheck 0036 @UStrFromWStr 004b @WStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 8D 45 FC 50 6A FF 53 8B 03 FF 50 24 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71006_0 {
	meta:
		name = "DllGetClassObject"
		size = 69
		refs = "0009 ComClassManager 0011 TComClassManager.GetFactoryFromClassID 0023 TObject.GetInterface"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 10 E8 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1B 8B CE 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 10 B8 02 40 00 80 EB 09 33 C0 89 06 B8 11 01 04 80 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_71007_0 {
	meta:
		name = "DllCanUnloadNow"
		size = 40
		refs = "0002 ComServer"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 16 A1 ?? ?? ?? ?? 83 78 04 00 75 0E A1 ?? ?? ?? ?? 83 78 08 00 75 03 33 C0 C3 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_71008_0 {
	meta:
		name = "DllRegisterServer"
		size = 66
		refs = "000c DllRegisterServer 0019 ComServer 001e TComServer.UpdateRegistry 002d @HandleAnyException 0037 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 DB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB 05 40 00 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_71009_0 {
	meta:
		name = "DllUnregisterServer"
		size = 66
		refs = "000c DllUnregisterServer 0019 ComServer 001e TComServer.UpdateRegistry 002d @HandleAnyException 0037 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 DB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB 05 40 00 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_71010_0 {
	meta:
		name = "DllInstall"
		size = 112
		refs = "0007 TComServerObject.FPerUserRegistration 000f DllInstall 0017 StrIComp 0039 DllRegisterServer 0048 DllUnregisterServer"
	strings:
		$1 = { 55 8B EC 53 56 8B 1D ?? ?? ?? ?? 0F B6 1B BA ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 85 C0 75 0A A1 ?? ?? ?? ?? C6 00 01 EB 08 A1 ?? ?? ?? ?? C6 00 00 66 83 7D 08 00 74 16 E8 ?? ?? ?? ?? 8B F0 81 FE 05 40 00 80 75 0E E8 ?? ?? ?? ?? EB 07 E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 88 18 8B C6 5E 5B 5D C2 08 00 75 00 73 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_71011_0 {
	meta:
		name = "AutomationTerminateProc"
		size = 186
		refs = "000e AutomationTerminateProc 001c ComServer 0042 SAutomationWarning 0047 LoadResString 004f @UStrToPWChar 0058 SNoCloseActiveServer1 0069 SNoCloseActiveServer2 0077 @UStrCat 0087 MessageBox 00a7 @UStrArrayClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 83 3D ?? ?? ?? ?? 00 74 6E A1 ?? ?? ?? ?? 83 78 04 00 7E 63 A1 ?? ?? ?? ?? 80 78 1C 00 74 58 68 34 21 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 58 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 83 F8 06 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71015_0 {
	meta:
		name = "TComServer.Create"
		size = 456
		refs = "000a @ClassCreate 0016 @IntfClear 001b DefaultTermProc 0025 ModuleIsLib 002d TComServer.Create 0032 FindSwitch 005d TComServerObject.FPerUserRegistration 00c7 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 0C E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 46 28 0F B6 05 ?? ?? ?? ?? 88 46 18 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0E B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 C6 46 19 01 EB 6E B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E A1 ?? ?? ?? ?? C6 00 00 C6 46 19 02 EB 52 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E A1 ?? ?? ?? ?? C6 00 00 C6 46 19 03 EB 36 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E A1 ?? ?? ?? ?? C6 00 01 C6 46 19 02 EB 1A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C A1 ?? ?? ?? ?? C6 00 01 C6 46 19 03 C6 46 1C 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 41 00 55 00 54 00 4F 00 4D 00 41 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 4D 00 42 00 45 00 44 00 44 00 49 00 4E 00 47 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 52 00 45 00 47 00 53 00 45 00 52 00 56 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 4E 00 52 00 45 00 47 00 53 00 45 00 52 00 56 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 52 00 45 00 47 00 53 00 45 00 52 00 56 00 45 00 52 00 50 00 45 00 52 00 55 00 53 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 55 00 4E 00 52 00 45 00 47 00 53 00 45 00 52 00 56 00 45 00 52 00 50 00 45 00 52 00 55 00 53 00 45 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_71016_0 {
	meta:
		name = "TComServer.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000d TComServer.FactoryFree 0012 ComClassManager 0019 TComClassManager.ForEachFactory 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 56 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71017_0 {
	meta:
		name = "TComServer.CountObject"
		size = 123
		refs = "000d InterlockedIncrement 0020 CoAddRefServerProcess 0039 InterlockedDecrement 004c CoReleaseServerProcess 0065 TComServer.LastReleased"
	strings:
		$1 = { 53 56 8B D8 84 D2 74 2C 8D 43 04 50 E8 ?? ?? ?? ?? 8B F0 80 7B 18 00 75 5D 80 7B 19 01 75 57 A1 ?? ?? ?? ?? 83 38 00 74 4D A1 ?? ?? ?? ?? 8B 00 FF D0 EB 42 8D 43 04 50 E8 ?? ?? ?? ?? 8B F0 80 7B 18 00 75 26 80 7B 19 01 75 20 A1 ?? ?? ?? ?? 83 38 00 74 16 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 75 14 8B C3 E8 ?? ?? ?? ?? EB 0B 85 F6 75 07 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_71021_0 {
	meta:
		name = "TComServer.FactoryUpdateRegistry"
		size = 22
	strings:
		$1 = { 56 8B F0 80 7A 38 00 74 0B 8B C2 0F B6 56 1B 8B 08 FF 51 14 5E C3 }
	condition:
		$1
}

rule function_71024_0 {
	meta:
		name = "TComServer.GetServerKey"
		size = 124
		refs = "000c TComServer.GetServerKey 0011 @UStrAsg"
	strings:
		$1 = { 53 8B DA 80 78 18 00 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 6E 00 70 00 72 00 6F 00 63 00 53 00 65 00 72 00 76 00 65 00 72 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4C 00 6F 00 63 00 61 00 6C 00 53 00 65 00 72 00 76 00 65 00 72 00 33 00 32 00 00 00 }
	condition:
		$1
}

rule function_71025_0 {
	meta:
		name = "TComServer.GetServerName"
		size = 53
		refs = "0012 @UStrAsg 0025 GetTypeLibName 002e GetModuleName"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 10 00 74 0D 8B C6 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 83 7B 0C 00 74 0C 8B D6 8B 43 0C E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71026_0 {
	meta:
		name = "TComServer.SetServerName"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 0C 00 75 0A 8D 43 10 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71027_0 {
	meta:
		name = "TComServer.GetTypeLib"
		size = 26
		refs = "0009 TComServer.LoadTypeLib 0013 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71028_0 {
	meta:
		name = "TComServer.Initialize"
		size = 154
		refs = "000e TComServer.Initialize 0030 TComServer.UpdateRegistry 003f @HandleOnException 0047 _Dn_EOleRegistrationError 0062 @RaiseAgain 0067 @DoneExcept 0083 TComServer.FactoryRegisterClassObject 0088 ComClassManager 0090 TComClassManager.ForEachFactory"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 0F B6 40 19 3C 02 74 04 3C 03 75 0D 3C 03 0F 95 C2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 81 78 18 1C 80 02 80 75 09 8B 45 FC 80 78 19 02 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 19 04 FE 2C 02 73 06 8B 5D FC FF 53 28 8B 45 FC 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71029_0 {
	meta:
		name = "TComServer.LastReleased"
		size = 101
		refs = "0017 TComServer.LastReleased 004d MainThreadID 0055 PostThreadMessage 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 80 78 18 00 75 56 80 78 19 01 0F 94 45 FF 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 83 78 22 00 74 0B 8D 55 FF 8B D8 8B 43 24 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FF 00 74 13 6A 00 6A 00 6A 12 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 5B 59 5D C3 }
	condition:
		$1
}

rule function_71030_0 {
	meta:
		name = "TComServer.LoadTypeLib"
		size = 111
		refs = "000f TComServer.LoadTypeLib 0023 GetModuleFileName 002e LoadTypeLibrary 003d InterlockedExchange 0055 @UStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 75 25 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8D 43 0C 8B D8 8B 75 FC 56 53 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71031_0 {
	meta:
		name = "TComServer.UpdateRegistry"
		size = 137
		refs = "000f TComServer.UpdateRegistry 0027 GetModuleFileName 0030 TComServerObject.FPerUserRegistration 003b RegisterTypeLibrary 004e UnregisterTypeLibrary 0057 TComServer.FactoryUpdateRegistry 005c ComClassManager 0063 TComClassManager.ForEachFactory 0078 @UStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 0C 00 74 33 84 DB 74 1E 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 0D ?? ?? ?? ?? 0F B6 09 8B 46 0C E8 ?? ?? ?? ?? EB 11 8B 15 ?? ?? ?? ?? 0F B6 12 8B 46 0C E8 ?? ?? ?? ?? 88 5E 1B 56 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71032_0 {
	meta:
		name = "InitComServer"
		size = 91
		refs = "0002 SaveInitProc 0010 CoInitFlags 001a CoInitializeEx 0024 CoResumeClassObjects 0035 ComServer 0042 TComServer.Initialize"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 FF 74 14 A1 ?? ?? ?? ?? 83 38 00 74 0A A1 ?? ?? ?? ?? 83 38 00 75 04 33 C0 EB 02 B0 01 8B 15 ?? ?? ?? ?? 88 42 1A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 1A 00 74 09 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 }
	condition:
		$1
}

rule function_71033_0 {
	meta:
		name = "TComServer.GetStartSuspended"
		size = 5
	strings:
		$1 = { 0F B6 40 1A C3 }
	condition:
		$1
}

rule function_71035_0 {
	meta:
		name = "Finalization"
		size = 37
		refs = "0002 _DV_2 0009 ComServer 000e TObject.Free 001a OleAutHandle 0020 FreeLibrary"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 1C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71036_0 {
	meta:
		name = "System.Win.ComServ"
		size = 220
		refs = "0003 _DV_2 0010 System.Win.ComServ 0015 SafeLoadLibrary 001a OleAutHandle 0021 _DV_TComServer 0026 TComServer.Create 002b ComServer 0031 ModuleIsLib 0039 InitProc 0040 SaveInitProc 004b InitComServer 0050 AutomationTerminateProc 0055 AddTerminateProc 005f GetModuleHandle 0070 GetProcAddress 0075 GetLongPathName"
	strings:
		$1 = { 53 83 2D ?? ?? ?? ?? 01 73 6F BA 00 80 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 75 21 A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 10 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4F 00 4C 00 45 00 41 00 55 00 54 00 33 00 32 00 2E 00 44 00 4C 00 4C 00 00 00 00 00 4B 00 45 00 52 00 4E 00 45 00 4C 00 33 00 32 00 00 00 00 00 47 00 65 00 74 00 4C 00 6F 00 6E 00 67 00 50 00 61 00 74 00 68 00 4E 00 61 00 6D 00 65 00 57 00 00 00 00 00 }
	condition:
		$1
}

rule function_71153_0 {
	meta:
		name = "_realloc"
		size = 19
		refs = "000a @ReallocMem"
		altNames = "realloc"
	strings:
		$1 = { 55 8B EC 8D 45 08 8B 55 0C E8 ?? ?? ?? ?? 8B 45 08 5D C3 }
	condition:
		$1
}

rule function_71159_0 {
	meta:
		name = "SysFreeMem2"
		size = 18
		refs = "0008 FreeMemory"
	strings:
		$1 = { 33 D2 85 C0 74 09 50 E8 ?? ?? ?? ?? 59 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_71160_0 {
	meta:
		name = "__atold"
		size = 161
		refs = "001a __atold 002a @UStrFromPChar 003b @UStrLAsg 0041 CurrencyString 004c TryStrToFloat 008c @UStrArrayClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C0 89 45 FC 89 45 F8 8B 5D 0C 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 85 DB 74 02 89 33 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 0E 33 C0 89 45 E0 89 45 E4 66 89 45 E8 EB 14 85 DB 74 10 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 03 C6 89 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB DB 6D E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71162_0 {
	meta:
		name = "_ftol"
		size = 48
	strings:
		$1 = { 55 8B EC 8D 65 F4 9B D9 7D FC 9B 66 8B 45 FC 81 4D FC 01 0C 00 00 D9 6D FC DF 7D F4 66 89 45 FC 9B DB E2 D9 6D FC 8B 45 F4 8B 55 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_71163_0 {
	meta:
		name = "__ftoul"
		size = 43
	strings:
		$1 = { 83 C4 F4 9B D9 3C 24 9B 8A 44 24 01 80 4C 24 01 0C D9 2C 24 DF 7C 24 04 88 44 24 01 D9 2C 24 8B 44 24 04 8B 54 24 08 83 C4 0C C3 }
	condition:
		$1
}

rule function_71166_0 {
	meta:
		name = "TMtsAutoObject.Activate"
		size = 88
		refs = "0010 TMtsAutoObject.Activate 001e GetObjectContext 0029 @IntfCopy 0042 @HandleAutoException 004a @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 30 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 28 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_71168_0 {
	meta:
		name = "TMtsAutoObject.Deactivate"
		size = 27
		refs = "0012 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B C3 8B 10 FF 52 2C 8D 43 30 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_71170_0 {
	meta:
		name = "TMtsAutoObject.CanBePooled"
		size = 17
	strings:
		$1 = { 55 8B EC 8B 45 08 80 78 34 01 F5 1B C0 5D C2 04 00 }
	condition:
		$1
}

rule function_71171_0 {
	meta:
		name = "TMtsAutoObject.SetComplete"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 83 78 30 00 74 0E 8B 40 30 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71172_0 {
	meta:
		name = "TMtsAutoObject.SetAbort"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 83 78 30 00 74 0E 8B 40 30 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71173_0 {
	meta:
		name = "TMtsAutoObject.EnableCommit"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 83 78 30 00 74 0E 8B 40 30 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71174_0 {
	meta:
		name = "TMtsAutoObject.DisableCommit"
		size = 21
		refs = "0010 @CheckAutoResult"
	strings:
		$1 = { 83 78 30 00 74 0E 8B 40 30 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71175_0 {
	meta:
		name = "TMtsAutoObject.IsInTransaction"
		size = 19
	strings:
		$1 = { 83 78 30 00 74 0A 8B 40 30 50 8B 00 FF 50 20 C3 33 C0 C3 }
	condition:
		$1
}

rule function_71176_0 {
	meta:
		name = "TMtsAutoObject.IsSecurityEnabled"
		size = 19
	strings:
		$1 = { 83 78 30 00 74 0A 8B 40 30 50 8B 00 FF 50 24 C3 33 C0 C3 }
	condition:
		$1
}

rule function_71177_0 {
	meta:
		name = "TMtsAutoObject.IsCallerInRole"
		size = 32
		refs = "0013 @CheckAutoResult"
	strings:
		$1 = { 51 83 78 30 00 74 15 54 52 8B 40 30 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 04 24 5A C3 33 C0 5A C3 }
	condition:
		$1
}

rule function_71180_0 {
	meta:
		name = "SameText"
		size = 44
		refs = "001a StrLIComp"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 0F B6 1E 0F B6 07 3B D8 75 11 8D 57 01 8D 46 01 8B CB E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71181_0 {
	meta:
		name = "TObjectDispatch.AllocDispID"
		size = 145
		refs = "003b @DynArrayLength 005a TDispatchInfos 005f @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B DA 8B F0 8B 46 0C 48 83 F8 00 7C 21 8D 14 40 8B 4E 10 8D 14 91 3A 5A 04 75 0D 8B 52 08 3B 55 FC 75 05 8D 50 64 EB 57 48 83 F8 FF 75 DF 8B 46 10 E8 ?? ?? ?? ?? 3B 46 0C 75 22 8B 46 10 E8 ?? ?? ?? ?? 83 C0 0A 50 8D 46 10 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 0C 8B D0 83 C2 64 8D 04 40 8B 4E 10 8D 04 81 8B 4D 08 89 08 88 58 04 8B 4D FC 89 48 08 FF 46 0C 8B C2 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_71182_0 {
	meta:
		name = "TObjectDispatch.Create"
		size = 73
		refs = "000e @ClassCreate 001d TObject.Create 0032 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 14 0F B6 45 08 88 47 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_71183_0 {
	meta:
		name = "TObjectDispatch.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0015 TObject.Free 0020 TObject.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 18 00 74 08 8B 46 14 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71184_0 {
	meta:
		name = "WideCharToShortString"
		size = 29
		refs = "0013 UnicodeToUtf8"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A FF 8D 43 01 8B CE BA FF 00 00 00 E8 ?? ?? ?? ?? 48 88 03 5E 5B C3 }
	condition:
		$1
}

rule function_71185_0 {
	meta:
		name = "TObjectDispatch.GetIDsOfNames"
		size = 508
		refs = "0018 TObjectDispatch.GetIDsOfNames 0038 WideCharToShortString 005e @FillChar 0070 UTF8ToUnicodeString 0096 TObjectDispatch.AllocDispID 0174 SameText 01db @UStrClr 01e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E4 FE FF FF 53 56 57 33 C0 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8D 95 E4 FE FF FF 8B 45 10 8B 00 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 4D E8 8D 95 E4 FE FF FF 8B C6 8B 18 FF 53 04 8B D8 8B 55 14 03 D2 03 D2 8B 45 1C B9 FF 00 00 00 E8 ?? ?? ?? ?? 85 DB 75 6A 8D 55 FC 8D 85 E4 FE FF FF E8 ?? ?? ?? ?? 8D 45 EC 50 8D 4D E8 8B 55 FC 8B C6 8B 18 FF 53 08 8B D8 85 DB 74 19 8B 45 E8 50 8B CB B2 01 8B C6 E8 ?? ?? ?? ?? 8B 55 1C 89 02 E9 26 01 00 00 83 7D EC FF 7E 1A 8B 45 E8 50 8B 4D EC B2 02 8B C6 E8 ?? ?? ?? ?? 8B 55 1C 89 02 E9 06 01 00 00 C7 45 F8 06 00 02 80 E9 FA 00 00 00 0F B7 03 0F B6 53 06 83 C2 07 3B C2 77 0C C7 45 F8 06 00 02 80 E9 E0 00 00 00 8B 45 E8 50 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 55 1C 89 02 33 C0 89 45 F8 83 7D 14 01 0F 8E BD 00 00 00 0F B7 33 8B C3 03 F0 05 06 01 00 00 2D 00 01 00 00 40 83 C0 09 0F B6 53 06 03 C2 89 45 F4 8B 45 14 48 85 C0 0F 8E 93 00 00 00 89 45 E4 C7 45 F0 01 00 00 00 8B 45 10 8B 55 F0 8B 04 90 8D 95 E4 FE FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B 5D F4 33 FF EB 4E 8B 43 01 8B 00 80 38 07 75 11 BA ?? ?? ?? ?? 8D 43 07 E8 ?? ?? ?? ?? 84 C0 75 1D 8D 95 E4 FE FF FF 8D 43 07 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 1C 8B 55 F0 89 3C 90 EB 1A 47 8B C3 05 07 01 00 00 2D 00 01 00 00 40 0F B6 53 07 03 C2 8B D8 3B DE 7C AE 3B DE 7C 07 C7 45 F8 06 00 02 80 FF 45 F0 FF 4D E4 0F 85 77 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 18 00 00 04 53 45 4C 46 00 00 00 }
	condition:
		$1
}

rule function_71186_0 {
	meta:
		name = "TObjectDispatch.GetMethodInfo"
		size = 26
		refs = "000a GetMethodInfo"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B 43 14 E8 ?? ?? ?? ?? 85 C0 74 05 8B 53 14 89 16 5E 5B C3 }
	condition:
		$1
}

rule function_71188_0 {
	meta:
		name = "TObjectDispatch.GetPropInfo"
		size = 136
		refs = "0019 TObjectDispatch.GetPropInfo 0023 GetPropInfo 0032 _Dn_TComponent 0037 @IsClass 0045 TComponent.FindComponent 005a TComponent.GetComponentIndex"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 45 08 C7 00 FF FF FF FF 8B 0D ?? ?? ?? ?? 8B D7 8B 43 14 E8 ?? ?? ?? ?? 8B F0 85 F6 75 38 8B 43 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 26 8B D7 8B 43 14 E8 ?? ?? ?? ?? 8B F8 85 FF 74 2B 8B 45 FC 8B 53 14 89 10 8B C7 E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 15 85 F6 74 0A 8B 45 FC 8B 53 14 89 10 EB 07 8B 45 FC 33 D2 89 10 8B C6 5F 5E 5B 59 5D C2 04 00 00 00 00 00 }
	condition:
		$1
}

rule function_71191_0 {
	meta:
		name = "TObjectDispatch.Invoke"
		size = 840
		refs = "0019 TObjectDispatch.Invoke 00d2 SetPropValue 0100 GetOrdProp 011f @IntfCast 012a @VarFromDisp 013f GetPropValue 014a @OleVarFromVar 01a2 ObjectInvoke 01aa @VarToInteger 0219 TComponent.GetComponent 0259 @HandleAnyException 026e @FillChar 0280 TObject.ClassName 0288 StringToOleStr 0292 @WStrFromPWChar 0297 ExceptObject 029d _Dn_Exception 02a2 @IsClass 02ce @DoneExcept 02e3 @UStrClr 02eb @IntfClear 02f4 Variant 02fe @FinalizeArray 030e @VarClr 0324 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0C 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 1C 89 45 EC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 7D 20 00 75 06 8D 45 F0 89 45 20 8B C6 83 E8 64 85 C0 0F 8C F7 01 00 00 8B 55 08 3B 42 0C 0F 8D EB 01 00 00 8D 04 76 8B 55 08 8B 52 10 8B 8C 82 50 FB FF FF 89 4D E0 8B 8C 82 54 FB FF FF 89 4D E4 8B 8C 82 58 FB FF FF 89 4D E8 0F B6 45 E4 2C 01 0F 82 C2 00 00 00 74 0D FE C8 0F 84 77 01 00 00 E9 AE 01 00 00 F6 45 18 0C 74 35 8B 45 EC 83 78 0C 01 75 0B 8B 45 EC 8B 40 04 83 38 FD 74 0A BB 03 00 02 80 E9 8A 01 00 00 8B 45 EC 8B 00 8B C8 8B 55 E8 8B 45 E0 E8 ?? ?? ?? ?? E9 73 01 00 00 8B 45 EC 83 78 08 00 74 0A BB 0E 00 02 80 E9 60 01 00 00 8B 75 E8 8B 06 8B 00 80 38 07 75 39 8B D6 8B 45 E0 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 08 FF 11 8B D0 85 D2 74 03 83 EA F8 8D 45 DC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 20 E8 ?? ?? ?? ?? E9 1B 01 00 00 8D 45 CC 50 33 C9 8B D6 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 20 E8 ?? ?? ?? ?? E9 FB 00 00 00 8B 45 E8 8B D0 81 C2 06 01 00 00 81 EA 00 01 00 00 42 0F B6 40 06 03 D0 8B C2 8B 50 02 85 D2 74 66 8B 02 80 38 07 75 5F 8B 45 EC 8B 40 0C 48 50 8B 45 EC 8B 00 50 8B 45 EC 8B 40 08 48 50 8D 45 B8 50 8B 45 EC 8B 48 04 8B 55 E8 8B 45 E0 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 08 FF 11 8B D0 85 D2 74 03 83 EA F8 8D 45 C8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B 45 20 E8 ?? ?? ?? ?? EB 74 8B 45 EC 8B 40 0C 48 50 8B 45 EC 8B 00 50 8B 45 EC 8B 40 08 48 50 8D 45 A8 50 8B 45 EC 8B 48 04 8B 55 E8 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 A8 8B 45 20 E8 ?? ?? ?? ?? EB 3C 8B 55 E8 8B 45 E0 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 08 FF 11 8B D0 85 D2 74 03 83 EA F8 8D 45 A4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8B 45 20 E8 ?? ?? ?? ?? EB 05 BB 03 00 02 80 33 C0 5A 59 59 64 89 10 EB 7A E9 ?? ?? ?? ?? 83 7D 24 00 74 65 8B 45 24 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 8B 45 24 8B D8 8D 55 A0 8B 45 08 8B 00 E8 ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? 8B D0 8D 43 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 E8 ?? ?? ?? ?? 8B 40 04 E8 ?? ?? ?? ?? 8B D0 8D 43 08 E8 ?? ?? ?? ?? C7 43 1C 05 40 00 80 BB 09 00 02 80 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 8B C3 5F 5E 5B 8B E5 5D C2 24 00 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_71192_0 {
	meta:
		name = "CreateMethodPointer"
		size = 60
		refs = "0012 _DV_TComMethodHandler 0017 TComMethodHandler.Create 0026 GetTypeData 0031 CreateMethodPointer"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 EC 50 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 4D 08 58 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_71193_0 {
	meta:
		name = "CreateMethodPointer"
		size = 138
		refs = "0018 CreateMethodPointer 0028 @WStrFromUStr 0030 @WStrToPWChar 0044 GUID_NULL 0050 OleCheck 0075 @WStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8D 45 F4 50 6A 00 6A 01 8D 45 F8 50 A1 ?? ?? ?? ?? 50 53 8B 03 FF 50 14 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71194_0 {
	meta:
		name = "ReleaseMethodPointer"
		size = 24
		refs = "000f ReleaseMethodPointer"
	strings:
		$1 = { 56 57 83 C4 F8 8B F0 8D 3C 24 A5 A5 8B C4 E8 ?? ?? ?? ?? 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_71195_0 {
	meta:
		name = "TComMethodHandler.Create"
		size = 79
		refs = "000e @ClassCreate 001d TObject.Create 0027 @IntfCopy 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 E8 ?? ?? ?? ?? 8B 45 08 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_71196_0 {
	meta:
		name = "WashVariant"
		size = 102
		refs = "000f WashVariant 002b @UStrCat3 0035 @OleVarFromUStr 0040 @OleVarFromVar 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 3B 00 41 75 1B 8B 43 08 8B 10 8D 45 FC 33 C9 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 09 8B C6 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71197_0 {
	meta:
		name = "TComMethodHandler.Execute"
		size = 273
		refs = "0028 tagEXCEPINFO 002d @InitializeRecord 0035 TComMethodHandler.Execute 0050 :TComMethodHandler.:1 0055 @DynArraySetLength 006e WashVariant 0080 @VarCopy 00b7 GUID_NULL 00e0 @VarClr 00ee @FinalizeRecord 00fc @DynArrayClear 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 DB 89 5D AC 89 5D B0 89 5D B4 89 5D B8 89 5D FC 89 4D D0 89 55 D4 89 45 D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D D0 8B C3 40 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B F3 85 F6 7C 29 46 33 FF 8B 5D D4 8D 55 AC 8B C3 E8 ?? ?? ?? ?? 8D 55 AC 8B C7 03 C0 8B 4D FC 8D 04 C1 E8 ?? ?? ?? ?? 47 83 C3 10 4E 75 DD 8B 45 FC 89 45 BC 8B 45 D0 40 89 45 C4 33 C0 89 45 C0 33 C0 89 45 C8 8D 45 CC 50 8D 45 DC 50 8B 45 08 50 8D 45 BC 50 6A 01 6A 00 A1 ?? ?? ?? ?? 50 8B 45 D8 8B 40 10 50 8B 45 D8 8B 40 0C 50 8B 00 FF 50 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71198_0 {
	meta:
		name = "TComMethodHandler.InstanceToVariant"
		size = 124
		refs = "000f TComMethodHandler.InstanceToVariant 0020 _DV_TObjectDispatch 0025 TObjectDispatch.Create 003b @IntfCast 0045 @VarFromDisp 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_71203_0 {
	meta:
		name = "IsRelative"
		size = 21
	strings:
		$1 = { 53 8B D8 85 DB 74 0A 66 83 3B 5C 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_71204_0 {
	meta:
		name = "RegDataToDataType"
		size = 45
	strings:
		$1 = { FE C8 74 0E FE C8 74 10 FE C8 74 12 FE C8 74 14 EB 18 B8 01 00 00 00 C3 B8 02 00 00 00 C3 B8 04 00 00 00 C3 B8 03 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_71205_0 {
	meta:
		name = "DataTypeToRegData"
		size = 38
	strings:
		$1 = { 83 F8 01 75 03 B0 01 C3 83 F8 02 75 04 B0 02 EB 14 83 F8 04 75 04 B0 03 EB 0B 83 F8 03 75 04 B0 04 EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_71206_0 {
	meta:
		name = "BinaryToHexString"
		size = 225
		refs = "001d BinaryToHexString 0032 @UStrAsg 0056 @UStrSetLength 005d @UStrToPWChar 0085 IntToHex 00cc @UStrClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 8B F9 89 55 F4 89 45 F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 85 FF 74 16 8B C3 8B D7 E8 ?? ?? ?? ?? 8B C7 85 C0 74 05 83 E8 04 8B 00 03 F0 8B 45 F4 40 89 45 F0 8B 55 F0 8D 14 52 03 D6 4A 8B C3 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B F8 8B 45 F0 48 85 C0 7C 50 40 89 45 E8 C7 45 EC 00 00 00 00 8B 5D F8 8D 4D FC 0F B6 03 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 89 04 77 8B 45 FC 0F B7 40 02 66 89 44 77 02 8B 45 F0 48 3B 45 EC 7E 07 66 C7 44 77 04 2C 00 83 C6 03 FF 45 EC 43 FF 4D E8 75 BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71207_0 {
	meta:
		name = "TRegistry.Create"
		size = 67
		refs = "000a @ClassCreate 001a TRegistry.SetRootKey 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 BA 01 00 00 80 8B C6 E8 ?? ?? ?? ?? C7 46 18 3F 00 0F 00 C6 46 0C 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_71209_0 {
	meta:
		name = "TRegistry.Create@"
		size = 152
		refs = "0002 TRegistry.$ClassInitFlag 000e TOSVersion.FMajor 0030 TOSVersion.FMinor 004e TOSVersion.FServicePackMajor 0084 TOSVersion.FArchitecture 0093 TRegistry.FUseRegDeleteKeyEx"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 0F 83 8A 00 00 00 A1 ?? ?? ?? ?? 83 38 06 7C 04 B0 01 EB 42 A1 ?? ?? ?? ?? 83 38 05 7F 36 A1 ?? ?? ?? ?? 83 38 05 75 0A A1 ?? ?? ?? ?? 83 38 02 7F 22 A1 ?? ?? ?? ?? 83 38 05 75 14 A1 ?? ?? ?? ?? 83 38 02 75 0A A1 ?? ?? ?? ?? 83 38 01 7D 04 33 C0 EB 02 B0 01 84 C0 74 04 B0 01 EB 2D A1 ?? ?? ?? ?? 83 38 05 7F 14 A1 ?? ?? ?? ?? 83 38 05 75 17 A1 ?? ?? ?? ?? 83 38 02 7C 0D A1 ?? ?? ?? ?? 80 38 01 0F 94 C0 EB 02 33 C0 A2 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71211_0 {
	meta:
		name = "TRegistry.CheckResult"
		size = 9
	strings:
		$1 = { 89 50 1C 85 D2 0F 94 C0 C3 }
	condition:
		$1
}

rule function_71212_0 {
	meta:
		name = "TRegistry.CloseKey"
		size = 46
		refs = "0012 RegFlushKey 001b RegCloseKey 0028 @UStrClr"
	strings:
		$1 = { 53 8B D8 8B 43 04 85 C0 74 22 80 7B 0C 00 75 06 50 E8 ?? ?? ?? ?? 8B 43 04 50 E8 ?? ?? ?? ?? 33 C0 89 43 04 8D 43 10 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_71213_0 {
	meta:
		name = "TRegistry.SetRootKey"
		size = 42
		refs = "0015 RegCloseKey 0023 TRegistry.CloseKey"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 3B F0 74 1A 80 7B 14 00 74 0A 50 E8 ?? ?? ?? ?? C6 43 14 00 89 73 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71214_0 {
	meta:
		name = "TRegistry.ChangeKey"
		size = 33
		refs = "000c TRegistry.CloseKey 0019 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 73 04 8D 43 10 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71215_0 {
	meta:
		name = "TRegistry.GetBaseKey"
		size = 18
	strings:
		$1 = { 8B 48 04 85 C9 74 04 84 D2 75 04 8B 40 08 C3 8B C1 C3 }
	condition:
		$1
}

rule function_71217_0 {
	meta:
		name = "TRegistry.CreateKey"
		size = 240
		refs = "0017 TRegistry.CreateKey 002d @UStrLAsg 0035 IsRelative 004d @UStrDelete 0075 @UStrToPWChar 007f TRegistry.GetBaseKey 0085 RegCreateKeyEx 008e TRegistry.CheckResult 009d RegCloseKey 00b5 SRegCreateFailed 00bc _DV_ERegistryException 00c1 Exception.CreateResFmt 00c6 @RaiseExcept 00db @UStrClr 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 75 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 7E 18 81 E7 00 03 00 00 8D 45 F0 50 8D 45 F4 50 6A 00 81 CF 3F 00 0F 00 57 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8B 45 F4 50 E8 ?? ?? ?? ?? EB 27 8B 45 F8 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71218_0 {
	meta:
		name = "TRegistry.OpenKey"
		size = 308
		refs = "0018 TRegistry.OpenKey 0028 @UStrLAsg 0030 IsRelative 0048 @UStrDelete 006b @UStrToPWChar 0075 TRegistry.GetBaseKey 007b RegOpenKeyEx 0084 TRegistry.CheckResult 00b5 RegCreateKeyEx 00ea @UStrCatN 00f7 TRegistry.ChangeKey 010c @UStrClr 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 88 4D FB 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 75 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 F4 80 7D FB 00 74 06 83 7D FC 00 75 30 8D 45 F4 50 8B 46 18 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 88 45 FA EB 38 8D 45 F0 50 8D 45 F4 50 6A 00 8B 46 18 50 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 88 45 FA 80 7D FA 00 74 30 83 7E 04 00 0F 95 C0 84 D8 74 18 FF 76 10 68 ?? ?? ?? ?? FF 75 FC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FA 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_71219_0 {
	meta:
		name = "TRegistry.OpenKeyReadOnly"
		size = 488
		refs = "0016 TRegistry.OpenKeyReadOnly 0026 @UStrLAsg 002e IsRelative 0046 @UStrDelete 006a @UStrToPWChar 0074 TRegistry.GetBaseKey 007a RegOpenKeyEx 0083 TRegistry.CheckResult 00b8 @UStrCatN 00c5 TRegistry.ChangeKey 01be @UStrClr 01c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 75 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8B 7E 18 81 E7 00 03 00 00 8D 45 F4 50 8B C7 0D 19 00 02 00 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 3E 81 CF 19 00 02 00 89 7E 18 83 7E 04 00 0F 95 C0 84 D8 74 18 FF 76 10 68 ?? ?? ?? ?? FF 75 FC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F4 8B C6 E8 ?? ?? ?? ?? E9 DF 00 00 00 8D 45 F4 50 8B C7 0D 09 00 02 00 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 3B 81 CF 09 00 02 00 89 7E 18 83 7E 04 00 0F 95 C0 84 D8 74 18 FF 76 10 68 ?? ?? ?? ?? FF 75 FC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F4 8B C6 E8 ?? ?? ?? ?? EB 6C 8D 45 F4 50 8B C7 83 C8 01 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 36 83 CF 01 89 7E 18 83 7E 04 00 0F 95 C0 84 D8 74 18 FF 76 10 68 ?? ?? ?? ?? FF 75 FC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_71220_0 {
	meta:
		name = "TRegistry.DeleteKey"
		size = 457
		refs = "001b TRegistry.DeleteKey 002b @UStrLAsg 0033 IsRelative 004e @UStrDelete 0061 TRegistry.GetKey 0087 TRegistry.SetCurrentKey 0092 TRegistry.GetKeyInfo 00a4 @UStrFromPWCharLen 00c8 @UStrToPWChar 00d3 RegEnumKeyEx 00dd TRegistry.CheckResult 00f3 @UStrFromPWChar 0125 RegCloseKey 012b @HandleFinally 0133 TRegistry.FUseRegDeleteKeyEx 0159 TRegistry.GetBaseKey 015f RegDeleteKeyEx 0188 RegDeleteKey 01a9 @UStrClr 01b6 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 33 C9 89 4D C4 89 4D FC 89 4D F8 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 88 45 EF 80 7D EF 00 75 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 04 89 45 E8 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 0F 84 BF 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 6E 8B 4D CC 41 8D 45 F8 33 D2 E8 ?? ?? ?? ?? 8B 5D C8 4B 83 FB 00 7C 57 8B 45 CC 40 89 45 F0 6A 00 6A 00 6A 00 6A 00 8D 45 F0 50 8B 45 F8 E8 ?? ?? ?? ?? 50 53 8B 45 E4 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 45 C4 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 F4 E8 ?? ?? ?? ?? 4B 83 FB FF 75 A9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 80 3D ?? ?? ?? ?? 00 74 37 6A 00 8B 45 F4 8B 40 18 25 00 03 00 00 50 8B 45 FC E8 ?? ?? ?? ?? 50 0F B6 55 EF 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 EB 27 8B 45 FC E8 ?? ?? ?? ?? 50 0F B6 55 EF 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71221_0 {
	meta:
		name = "TRegistry.DeleteValue"
		size = 35
		refs = "0009 @UStrToPWChar 0013 RegDeleteValue 001c TRegistry.CheckResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71222_0 {
	meta:
		name = "TRegistry.GetKeyInfo"
		size = 107
		refs = "0010 @FillChar 0038 RegQueryInfoKey 0041 TRegistry.CheckResult 0047 SysLocale 0053 Win32Platform"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 8D 43 14 50 6A 00 8D 43 10 50 8D 43 0C 50 8D 43 08 50 6A 00 8D 43 04 50 53 6A 00 6A 00 6A 00 8B 46 04 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 80 7A 0C 00 74 17 8B 15 ?? ?? ?? ?? 83 3A 02 75 0C 8B 53 04 01 53 04 8B 53 0C 01 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_71223_0 {
	meta:
		name = "TRegistry.GetKeyNames"
		size = 198
		refs = "001a TRegistry.GetKeyNames 0032 TRegistry.GetKeyInfo 0044 @UStrFromPWCharLen 006a @UStrToPWChar 0075 RegEnumKeyEx 0087 @UStrFromPWChar 00ab @UStrClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D D4 89 4D FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 44 8D 55 D8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 60 8B 4D DC 41 8D 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 5D D8 4B 85 DB 7C 4A 43 33 F6 8B 45 DC 40 89 45 F4 6A 00 6A 00 6A 00 6A 00 8D 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 50 56 8B 47 04 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F8 8B 08 FF 51 38 46 4B 75 B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71224_0 {
	meta:
		name = "TRegistry.GetLastErrorMsg"
		size = 36
		refs = "0013 SysErrorMessage 001c @UStrClr"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 1C 85 FF 74 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71225_0 {
	meta:
		name = "TRegistry.GetRootKeyName"
		size = 53
		refs = "001f KeyNames 0024 @UStrAsg 002d @UStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 08 81 FE 00 00 00 80 72 18 81 FE 06 00 00 80 77 10 8B C7 8B 14 B5 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71226_0 {
	meta:
		name = "TRegistry.GetValueNames"
		size = 198
		refs = "001a TRegistry.GetValueNames 0032 TRegistry.GetKeyInfo 0044 @UStrFromPWCharLen 006a @UStrToPWChar 0075 RegEnumValue 0087 @UStrFromPWChar 00ab @UStrClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D D4 89 4D FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 44 8D 55 D8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 60 8B 4D E4 41 8D 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 5D E0 4B 85 DB 7C 4A 43 33 F6 8B 45 E4 40 89 45 F4 6A 00 6A 00 6A 00 6A 00 8D 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 50 56 8B 47 04 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F8 8B 08 FF 51 38 46 4B 75 B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71227_0 {
	meta:
		name = "TRegistry.GetDataInfo"
		size = 82
		refs = "0014 @FillChar 0028 @UStrToPWChar 0032 RegQueryValueEx 003b TRegistry.CheckResult 0045 DataTypeToRegData"
	strings:
		$1 = { 53 56 57 51 8B F1 8B FA 8B D8 8B C6 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 46 04 50 6A 00 8D 44 24 08 50 6A 00 8B C7 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 04 24 E8 ?? ?? ?? ?? 88 06 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71228_0 {
	meta:
		name = "TRegistry.GetDataSize"
		size = 38
		refs = "0010 TRegistry.GetDataInfo"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 8B 44 24 04 EB 03 83 C8 FF 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_71229_0 {
	meta:
		name = "TRegistry.GetDataType"
		size = 37
		refs = "0010 TRegistry.GetDataInfo"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 0F B6 04 24 EB 02 33 C0 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_71230_0 {
	meta:
		name = "TRegistry.WriteString"
		size = 52
		refs = "0020 @UStrToPWChar 002b TRegistry.PutData"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 8B F0 8B DF 85 DB 74 05 83 EB 04 8B 1B 43 8B C3 03 C0 50 6A 01 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D5 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71231_0 {
	meta:
		name = "TRegistry.WriteExpandString"
		size = 52
		refs = "0020 @UStrToPWChar 002b TRegistry.PutData"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 8B F0 8B DF 85 DB 74 05 83 EB 04 8B 1B 43 8B C3 03 C0 50 6A 02 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D5 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71232_0 {
	meta:
		name = "TRegistry.ReadString"
		size = 124
		refs = "0010 TRegistry.GetDataSize 0028 @UStrFromPWCharLen 0035 @UStrToPWChar 0040 TRegistry.GetData 0058 @PWCharLen 0060 @UStrSetLength 0069 ReadError 0072 @UStrClr"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B EA 8B F0 8B D5 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 55 8B CB D1 F9 79 03 83 D1 00 8B C7 33 D2 E8 ?? ?? ?? ?? 53 8D 44 24 04 50 8B 07 E8 ?? ?? ?? ?? 8B C8 8B D5 8B C6 E8 ?? ?? ?? ?? 80 3C 24 01 74 06 80 3C 24 02 75 16 8B 07 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 92 E8 ?? ?? ?? ?? EB 10 8B C5 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71233_0 {
	meta:
		name = "TRegistry.GetDataAsString"
		size = 436
		refs = "001f TRegistry.GetDataAsString 002c @UStrClr 0038 TRegistry.GetDataInfo 0075 @UStrFromPWCharLen 0084 @UStrToPWChar 008f TRegistry.GetData 009b @PWCharLen 00a3 @UStrSetLength 00b7 TRegistry.ReadInteger 00c4 IntToHex 00d3 @UStrCat3 00e5 IntToStr 00f9 :TRegistry.:2 00fe @DynArraySetLength 0111 TRegistry.ReadBinaryData 0120 @DynArrayHigh 012f BinaryToHexString 0169 @DynArrayClear 016f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D FC 88 4D FB 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 4D F0 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 06 01 00 00 83 7D F4 00 0F 8E FC 00 00 00 0F B6 45 F0 2C 01 0F 82 91 00 00 00 2C 02 72 0F 74 4C FE C8 0F 84 83 00 00 00 E9 DD 00 00 00 8B C6 8B 4D F4 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F0 50 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 92 E8 ?? ?? ?? ?? E9 9E 00 00 00 80 7D FB 00 74 27 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 4D EC BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 4D EC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 71 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? EB 5F 8B 45 F4 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 80 7D FB 00 74 1A 56 8B 45 FC E8 ?? ?? ?? ?? 8B D0 B9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 15 56 8B 45 FC E8 ?? ?? ?? ?? 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 77 00 6F 00 72 00 64 00 3A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 65 00 78 00 3A 00 00 00 00 00 }
	condition:
		$1
}

rule function_71234_0 {
	meta:
		name = "TRegistry.WriteInteger"
		size = 19
		refs = "000d TRegistry.PutData"
	strings:
		$1 = { 51 89 0C 24 6A 04 6A 03 8D 4C 24 08 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_71235_0 {
	meta:
		name = "TRegistry.ReadInteger"
		size = 45
		refs = "0014 TRegistry.GetData 0022 ReadError"
	strings:
		$1 = { 53 83 C4 F8 8B DA 6A 04 8D 54 24 08 52 8D 4C 24 08 8B D3 E8 ?? ?? ?? ?? 80 7C 24 04 03 74 07 8B C3 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_71236_0 {
	meta:
		name = "TRegistry.WriteBool"
		size = 9
		refs = "0004 TRegistry.WriteInteger"
	strings:
		$1 = { 83 E1 7F E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71238_0 {
	meta:
		name = "TRegistry.WriteCurrency"
		size = 19
		refs = "000b TRegistry.PutData"
		altNames = "TRegistry.WriteDateTime TRegistry.WriteFloat"
	strings:
		$1 = { 55 8B EC 6A 08 6A 04 8D 4D 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_71239_0 {
	meta:
		name = "TRegistry.ReadDateTime"
		size = 51
		refs = "0014 TRegistry.GetData 0027 ReadError"
		altNames = "TRegistry.ReadFloat"
	strings:
		$1 = { 53 83 C4 F4 8B DA 6A 08 8D 54 24 0C 52 8D 4C 24 08 8B D3 E8 ?? ?? ?? ?? 80 7C 24 08 04 75 05 83 F8 08 74 07 8B C3 E8 ?? ?? ?? ?? DD 04 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_71241_0 {
	meta:
		name = "TRegistry.ReadCurrency"
		size = 51
		refs = "0014 TRegistry.GetData 0027 ReadError"
	strings:
		$1 = { 53 83 C4 F4 8B DA 6A 08 8D 54 24 0C 52 8D 4C 24 08 8B D3 E8 ?? ?? ?? ?? 80 7C 24 08 04 75 05 83 F8 08 74 07 8B C3 E8 ?? ?? ?? ?? DF 2C 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_71248_0 {
	meta:
		name = "TRegistry.WriteBinaryData"
		size = 20
		refs = "000b TRegistry.PutData"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 6A 04 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_71249_0 {
	meta:
		name = "TRegistry.ReadBinaryData"
		size = 100
		refs = "0018 TRegistry.GetDataInfo 0048 TRegistry.GetData 0051 ReadError"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B FA 8B D8 8D 4D F0 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 74 37 8B 75 F4 0F B6 45 F0 88 45 FB 80 7D FB 04 74 06 80 7D FB 00 75 18 3B 75 08 7F 13 56 8D 45 FB 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? EB 0B 8B C7 E8 ?? ?? ?? ?? EB 02 33 F6 8B C6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71250_0 {
	meta:
		name = "TRegistry.PutData"
		size = 113
		refs = "0015 RegDataToDataType 0029 @UStrToPWChar 0033 RegSetValueEx 003c TRegistry.CheckResult 0053 SRegSetDataFailed 005a _DV_ERegistryException 005f Exception.CreateResFmt 0064 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B D8 0F B6 45 08 E8 ?? ?? ?? ?? 8B F0 8B 45 0C 50 8B 45 FC 50 56 6A 00 8B C7 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 75 24 89 7D F4 C6 45 F8 11 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_71251_0 {
	meta:
		name = "TRegistry.GetData"
		size = 124
		refs = "0022 @UStrToPWChar 002c RegQueryValueEx 0035 TRegistry.CheckResult 004c SRegGetDataFailed 0053 _DV_ERegistryException 0058 Exception.CreateResFmt 005d @RaiseExcept 0068 DataTypeToRegData"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 33 C0 89 45 FC 8D 45 0C 50 57 8D 45 FC 50 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 75 24 89 75 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 88 02 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_71252_0 {
	meta:
		name = "TRegistry.HasSubKeys"
		size = 36
		refs = "000b TRegistry.GetKeyInfo"
	strings:
		$1 = { 53 83 C4 E4 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 83 3C 24 00 7F 04 33 C0 EB 02 B0 01 83 C4 1C 5B C3 }
	condition:
		$1
}

rule function_71253_0 {
	meta:
		name = "TRegistry.ValueExists"
		size = 13
		refs = "0006 TRegistry.GetDataInfo"
	strings:
		$1 = { 83 C4 F8 8B CC E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_71254_0 {
	meta:
		name = "TRegistry.GetKey"
		size = 150
		refs = "0015 TRegistry.GetKey 0025 @UStrLAsg 002d IsRelative 0045 @UStrDelete 005c @UStrToPWChar 0066 TRegistry.GetBaseKey 006c RegOpenKeyEx 0081 @UStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 75 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 F8 8D 45 F8 50 8B 46 18 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71255_0 {
	meta:
		name = "TRegistry.RegistryConnect"
		size = 60
		refs = "000f @UStrToPWChar 0015 RegConnectRegistry 001e TRegistry.CheckResult 002e TRegistry.SetRootKey"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 54 8B 46 08 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 0E 8B 14 24 8B C6 E8 ?? ?? ?? ?? C6 46 14 01 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_71256_0 {
	meta:
		name = "TRegistry.LoadKey"
		size = 142
		refs = "0012 TRegistry.LoadKey 0022 @UStrLAsg 002a IsRelative 0040 @UStrDelete 0047 @UStrToPWChar 005a RegLoadKey 0063 TRegistry.CheckResult 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 08 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71257_0 {
	meta:
		name = "TRegistry.UnLoadKey"
		size = 130
		refs = "000f TRegistry.UnLoadKey 001f @UStrLAsg 0027 IsRelative 003d @UStrDelete 0045 @UStrToPWChar 004f RegUnLoadKey 0058 TRegistry.CheckResult 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 08 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71258_0 {
	meta:
		name = "TRegistry.RestoreKey"
		size = 117
		refs = "0013 TRegistry.GetKey 0024 TRegistry.RestoreKey 0033 @UStrToPWChar 003d RegRestoreKey 0046 TRegistry.CheckResult 005f RegCloseKey 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 8B D8 C6 45 FF 00 8B C3 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 4B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 0F B6 45 FF 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71260_0 {
	meta:
		name = "TRegistry.SaveKey"
		size = 117
		refs = "0013 TRegistry.GetKey 0024 TRegistry.SaveKey 0033 @UStrToPWChar 003d RegSaveKey 0046 TRegistry.CheckResult 005f RegCloseKey 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 8B D8 C6 45 FF 00 8B C3 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 4B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 0F B6 45 FF 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71259_0 {
	meta:
		name = "TRegistry.ReplaceKey"
		size = 161
		refs = "0012 TRegistry.ReplaceKey 0022 @UStrLAsg 002a IsRelative 0042 @UStrDelete 004a @UStrToPWChar 0065 TRegistry.GetBaseKey 006b RegReplaceKey 0074 TRegistry.CheckResult 008b @UStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 75 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_71261_0 {
	meta:
		name = "TRegistry.KeyExists"
		size = 117
		refs = "0017 TRegistry.KeyExists 0038 TRegistry.GetKey 0044 RegCloseKey 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 45 FC 8B 45 FC 8B 40 18 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 25 00 03 00 00 0D 09 00 02 00 8B 4D FC 89 41 18 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 06 53 E8 ?? ?? ?? ?? 85 DB 0F 95 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 50 18 C3 E9 ?? ?? ?? ?? EB EF 0F B6 45 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71262_0 {
	meta:
		name = "TRegistry.RenameValue"
		size = 153
		refs = "0015 TRegistry.ValueExists 0023 TRegistry.GetDataSize 0030 AllocMem 003b TRegistry.RenameValue 0053 TRegistry.GetData 005f TRegistry.DeleteValue 0071 TRegistry.PutData 0086 @FreeMem 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 89 55 FC 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 75 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 65 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 FB 50 8B 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 56 0F B6 45 FB 50 8B 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71263_0 {
	meta:
		name = "MoveValue"
		size = 288
		refs = "0021 TRegistry.SetCurrentKey 0029 MoveValue 003c TRegistry.GetDataSize 004d AllocMem 0073 TRegistry.GetData 00b3 TRegistry.PutData 00d4 @HandleFinally 00eb @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B F1 89 55 FC 8B 55 08 8B 52 FC 8B 52 04 89 55 F8 8B 55 08 8B 52 FC 92 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E AD 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8D 45 EF 50 8B 45 08 8B 40 FC 8B 4D F0 8B D6 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 40 04 89 45 F4 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 0F B6 45 EF 50 8B 45 08 8B 40 FC 8B 4D F0 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71264_0 {
	meta:
		name = "CopyValues"
		size = 310
		refs = "001a CopyValues 0039 TRegistry.SetCurrentKey 0055 TRegistry.GetKeyInfo 006d MoveValue 007c @UStrFromPWCharLen 00a2 @UStrToPWChar 00aa RegEnumValue 00b7 TRegistry.CheckResult 00d1 @UStrFromPWChar 0104 @HandleFinally 011b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D D0 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 04 89 45 F0 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 0F 84 86 00 00 00 8B 45 08 50 33 C9 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 59 8B 4D E0 41 8D 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 5D DC 4B 85 DB 7C 5F 43 33 FF 8B 45 E0 40 89 45 F4 6A 00 6A 00 6A 00 6A 00 8D 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 50 57 56 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 24 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 D0 E8 ?? ?? ?? ?? 8B 4D D0 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 59 47 4B 75 A4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71265_0 {
	meta:
		name = "CopyKeys"
		size = 601
		refs = "001e CopyKeys 003e TRegistry.SetCurrentKey 005a TRegistry.GetKeyInfo 0070 @UStrFromPWCharLen 00a2 @UStrToPWChar 00b0 RegEnumKeyEx 00bd TRegistry.CheckResult 00d7 @UStrFromPWChar 00e5 TRegistry.GetKey 0148 TRegistry.CreateKey 0188 CopyValues 01af RegCloseKey 01b5 @HandleFinally 0241 @UStrArrayClr 0249 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B0 33 C9 89 4D B0 89 4D B4 89 4D B8 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 04 89 45 E8 8B 45 08 8B 40 FC 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 BC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 0F 84 A2 01 00 00 8B 4D C0 41 8D 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 45 BC 48 85 C0 0F 8C 88 01 00 00 40 89 45 D8 C7 45 EC 00 00 00 00 8B 45 C0 40 89 45 F0 6A 00 6A 00 6A 00 6A 00 8D 45 F0 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 0F 84 33 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 B8 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 E0 83 7D E0 00 0F 84 06 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 04 89 45 E4 8B 45 08 8B 40 FC 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 B4 E8 ?? ?? ?? ?? 8B 55 B4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 B0 E8 ?? ?? ?? ?? 8B 55 B0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF FF 45 EC FF 4D D8 0F 85 83 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 }
	condition:
		$1
}

rule function_71266_0 {
	meta:
		name = "TRegistry.MoveKey"
		size = 241
		refs = "0015 TRegistry.KeyExists 0039 TRegistry.GetKey 004e TRegistry.MoveKey 005e TRegistry.CreateKey 008b CopyValues 0098 CopyKeys 00a9 TRegistry.DeleteKey 00bf RegCloseKey 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B DA 89 45 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 C8 00 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 B6 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 84 9F 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 59 55 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 59 80 7D 08 00 74 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71268_0 {
	meta:
		name = "TRegIniFile.Create"
		size = 87
		refs = "000e @ClassCreate 0020 TRegistry.Create 002a @UStrAsg 0035 TRegistry.OpenKey 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 08 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 20 8B D6 E8 ?? ?? ?? ?? B1 01 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_71269_0 {
	meta:
		name = "TRegIniFile.ReadString"
		size = 211
		refs = "0018 TRegistry.GetKey 002d TRegIniFile.ReadString 0047 TRegistry.SetCurrentKey 0064 TRegistry.ValueExists 0075 TRegistry.ReadString 0080 @UStrAsg 009e @HandleFinally 00b6 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F8 89 45 FC 8B 75 08 8B 5D 0C 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 99 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 0F 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0F 8B CE 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 09 8B C6 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_71270_0 {
	meta:
		name = "TRegIniFile.WriteString"
		size = 175
		refs = "0015 TRegistry.CreateKey 001f TRegistry.GetKey 0030 TRegIniFile.WriteString 004a TRegistry.SetCurrentKey 0065 TRegistry.WriteString 0083 @HandleFinally 009b RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B DA 89 45 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 7B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71271_0 {
	meta:
		name = "TRegIniFile.ReadInteger"
		size = 235
		refs = "0019 TRegIniFile.ReadInteger 0027 TRegistry.GetKey 0056 TRegistry.SetCurrentKey 0071 TRegistry.ReadString 007b StrToIntDef 009c @HandleFinally 00b4 RegCloseKey 00d4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D FC 8B F1 89 45 F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 0F 84 88 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 04 89 45 EC 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 89 5D F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71272_0 {
	meta:
		name = "TRegIniFile.WriteInteger"
		size = 238
		refs = "0018 TRegIniFile.WriteInteger 0028 TRegistry.CreateKey 0032 TRegistry.GetKey 0061 TRegistry.SetCurrentKey 007a IntToStr 0087 TRegistry.WriteString 00a5 @HandleFinally 00bd RegCloseKey 00da @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 84 86 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 08 E8 ?? ?? ?? ?? 8B 4D F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71273_0 {
	meta:
		name = "TRegIniFile.ReadBool"
		size = 40
		refs = "0018 TRegIniFile.ReadInteger"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 0F B6 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_71274_0 {
	meta:
		name = "TRegIniFile.WriteBool"
		size = 187
		refs = "0015 TRegistry.CreateKey 001f TRegistry.GetKey 0034 TRegIniFile.WriteBool 004e TRegistry.SetCurrentKey 0067 Values 0071 TRegistry.WriteString 008f @HandleFinally 00a7 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B DA 89 45 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 84 83 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 08 8B 0C 85 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71275_0 {
	meta:
		name = "TRegIniFile.ReadSection"
		size = 154
		refs = "0010 TRegistry.GetKey 0021 TRegIniFile.ReadSection 003b TRegistry.SetCurrentKey 0053 TRegistry.GetValueNames 0071 @HandleFinally 0089 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D9 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 78 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71279_0 {
	meta:
		name = "TRegIniFile.DeleteKey"
		size = 154
		refs = "0010 TRegistry.GetKey 0021 TRegIniFile.DeleteKey 003b TRegistry.SetCurrentKey 0053 TRegistry.DeleteValue 0071 @HandleFinally 0089 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D9 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 78 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71277_0 {
	meta:
		name = "TRegIniFile.ReadSectionValues"
		size = 363
		refs = "001b TRegIniFile.ReadSectionValues 0029 TRegistry.GetKey 0058 TRegistry.SetCurrentKey 006d _Dn_TStringList 0072 TStringList.Create 007d TStrings.BeginUpdate 0096 TRegistry.GetValueNames 00c6 TRegistry.GetDataAsString 00d4 TStrings.SetValue 00ed TStrings.EndUpdate 00f5 TObject.Free 00fb @HandleFinally 0133 RegCloseKey 0150 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D FC 89 4D F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 0F 84 05 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 04 89 45 EC 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 33 43 33 F6 8D 4D FC 8B D6 8B 45 E8 8B 38 FF 57 0C 8D 45 E4 50 B1 01 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D E4 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 46 4B 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71281_0 {
	meta:
		name = "TRegistryIniFile.Create"
		size = 86
		refs = "000e @ClassCreate 001f TCustomIniFile.Create 002c _DV_TRegIniFile 0031 TRegIniFile.Create 003f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 08 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_71283_0 {
	meta:
		name = "TRegistryIniFile.ReadString"
		size = 39
		refs = "001c TRegIniFile.ReadString"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B 43 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_71284_0 {
	meta:
		name = "TRegistryIniFile.ReadDate"
		size = 210
		refs = "0013 TRegistry.GetKey 0028 TRegistryIniFile.ReadDate 0042 TRegistry.SetCurrentKey 005a TRegistry.ValueExists 0068 TRegistry.ReadDate 0098 @HandleFinally 00b0 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D9 8B 40 08 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 98 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 04 89 45 F0 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 10 8B D3 8B 45 EC E8 ?? ?? ?? ?? DD 5D F8 9B EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_71285_0 {
	meta:
		name = "TRegistryIniFile.ReadDateTime"
		size = 210
		refs = "0013 TRegistry.GetKey 0028 TRegistryIniFile.ReadDateTime 0042 TRegistry.SetCurrentKey 005a TRegistry.ValueExists 0068 TRegistry.ReadDateTime 0098 @HandleFinally 00b0 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D9 8B 40 08 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 98 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 04 89 45 F0 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 10 8B D3 8B 45 EC E8 ?? ?? ?? ?? DD 5D F8 9B EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_71286_0 {
	meta:
		name = "TRegistryIniFile.ReadFloat"
		size = 210
		refs = "0013 TRegistry.GetKey 0028 TRegistryIniFile.ReadFloat 0042 TRegistry.SetCurrentKey 005a TRegistry.ValueExists 0068 TRegistry.ReadFloat 0098 @HandleFinally 00b0 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D9 8B 40 08 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 98 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 04 89 45 F0 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 10 8B D3 8B 45 EC E8 ?? ?? ?? ?? DD 5D F8 9B EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_71288_0 {
	meta:
		name = "TRegistryIniFile.ReadTime"
		size = 210
		refs = "0013 TRegistry.GetKey 0028 TRegistryIniFile.ReadTime 0042 TRegistry.SetCurrentKey 005a TRegistry.ValueExists 0068 TRegistry.ReadTime 0098 @HandleFinally 00b0 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D9 8B 40 08 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 98 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 04 89 45 F0 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 10 8B D3 8B 45 EC E8 ?? ?? ?? ?? DD 5D F8 9B EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_71287_0 {
	meta:
		name = "TRegistryIniFile.ReadInteger"
		size = 281
		refs = "0016 TRegistryIniFile.ReadInteger 002a TRegistry.GetKey 0059 TRegistry.SetCurrentKey 0078 TRegistry.GetDataInfo 0090 TRegistry.ReadString 009a StrToIntDef 00aa TRegistry.ReadInteger 00cb @HandleFinally 00e3 RegCloseKey 0103 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 DB 89 5D E0 89 4D FC 8B 5D 08 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 40 08 89 45 E4 8B 45 E4 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 B4 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 8B 40 04 89 45 F0 8B 55 F4 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F8 8D 4D E8 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 31 80 7D E8 01 75 1D 8D 4D E0 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 8B D3 E8 ?? ?? ?? ?? 89 45 F8 EB 0E 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 89 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71289_0 {
	meta:
		name = "TRegistryIniFile.ReadBinaryStream"
		size = 419
		refs = "001c TRegistry.GetKey 0031 TRegistryIniFile.ReadBinaryStream 004b TRegistry.SetCurrentKey 0066 TRegistry.GetDataInfo 0081 _Dn_TMemoryStream 0086 @IsClass 009e TObject.Create 00c0 TStream.GetPosition 00da TStream.SetSize64 00fc TRegistry.ReadBinaryData 012e TStream.CopyFrom 014b TObject.Free 0151 @HandleFinally 018c RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 89 4D F8 89 45 FC 33 C0 89 45 F4 8B 45 FC 8B 40 08 8B F0 E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 0F 84 6B 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 89 45 E4 8B 45 FC 8B 40 08 8B 55 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D EC 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 E5 00 00 00 8B 45 F0 89 45 F4 0F B6 5D EC 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 08 89 45 E0 EB 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 FB 04 74 04 84 DB 75 76 8B 45 E0 E8 ?? ?? ?? ?? 52 50 8B 45 F0 99 03 04 24 13 54 24 04 83 C4 08 52 50 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 12 50 8B 45 E0 E8 ?? ?? ?? ?? 8B C8 8B 45 E0 03 48 04 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 89 45 F4 8B 45 E0 3B 45 08 74 27 8B 45 E0 8B 10 FF 12 52 50 8B 45 E0 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 8B 55 E0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 3B 45 08 74 08 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 55 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 F4 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71290_0 {
	meta:
		name = "TRegistryIniFile.WriteDate"
		size = 181
		refs = "0018 TRegistry.CreateKey 0022 TRegistry.GetKey 0033 TRegistryIniFile.WriteDate 004d TRegistry.SetCurrentKey 006b TRegistry.WriteDate 0089 @HandleFinally 00a1 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B DA 8B 40 08 89 45 F4 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 7E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 04 89 45 F8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_71291_0 {
	meta:
		name = "TRegistryIniFile.WriteDateTime"
		size = 181
		refs = "0018 TRegistry.CreateKey 0022 TRegistry.GetKey 0033 TRegistryIniFile.WriteDateTime 004d TRegistry.SetCurrentKey 006b TRegistry.WriteDateTime 0089 @HandleFinally 00a1 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B DA 8B 40 08 89 45 F4 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 7E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 04 89 45 F8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_71292_0 {
	meta:
		name = "TRegistryIniFile.WriteFloat"
		size = 181
		refs = "0018 TRegistry.CreateKey 0022 TRegistry.GetKey 0033 TRegistryIniFile.WriteFloat 004d TRegistry.SetCurrentKey 006b TRegistry.WriteFloat 0089 @HandleFinally 00a1 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B DA 8B 40 08 89 45 F4 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 7E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 04 89 45 F8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_71294_0 {
	meta:
		name = "TRegistryIniFile.WriteTime"
		size = 181
		refs = "0018 TRegistry.CreateKey 0022 TRegistry.GetKey 0033 TRegistryIniFile.WriteTime 004d TRegistry.SetCurrentKey 006b TRegistry.WriteTime 0089 @HandleFinally 00a1 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B DA 8B 40 08 89 45 F4 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 7E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 04 89 45 F8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_71293_0 {
	meta:
		name = "TRegistryIniFile.WriteInteger"
		size = 279
		refs = "0015 TRegistryIniFile.WriteInteger 002b TRegistry.CreateKey 0035 TRegistry.GetKey 0064 TRegistry.SetCurrentKey 007f TRegistry.GetDataInfo 0094 IntToStr 00a1 TRegistry.WriteString 00b0 TRegistry.WriteInteger 00ce @HandleFinally 00e6 RegCloseKey 0103 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 8B D9 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 08 89 45 EC 8B D6 8B 45 EC E8 ?? ?? ?? ?? 8B D6 8B 45 EC E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 84 AC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 04 89 45 F8 8B 55 FC 8B 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B D3 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 20 80 7D F0 01 75 1A 8D 55 E8 8B 45 08 E8 ?? ?? ?? ?? 8B 4D E8 8B D3 8B 45 EC E8 ?? ?? ?? ?? EB 0D 8B 4D 08 8B D3 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71295_0 {
	meta:
		name = "TRegistryIniFile.WriteBinaryStream"
		size = 375
		refs = "001b TRegistry.CreateKey 0028 TRegistry.GetKey 003d TRegistryIniFile.WriteBinaryStream 0052 _Dn_TMemoryStream 0057 @IsClass 006f TObject.Create 0099 TStream.GetPosition 00af TStream.CopyFrom 00bb TStream.SetPosition 00c9 TRegistry.SetCurrentKey 0104 TRegistry.WriteBinaryData 0125 @HandleFinally 0144 TObject.Free 0162 RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8B FA 89 45 FC 8B 45 FC 8B 58 08 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B D7 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 84 35 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 89 45 F4 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 08 89 45 F0 EB 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 3B 45 08 74 33 8B 45 08 8B 10 FF 12 52 50 8B 45 08 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 8B 55 08 8B 45 F0 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 10 FF 12 8B F8 8B 45 F0 E8 ?? ?? ?? ?? 2B F8 57 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8B 45 F0 03 48 04 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 3B 45 F0 74 08 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71296_0 {
	meta:
		name = "TRegistryIniFile.WriteString"
		size = 21
		refs = "000c TRegIniFile.WriteString"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 40 08 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_71299_0 {
	meta:
		name = "TRegistryIniFile.ReadSections"
		size = 164
		refs = "0013 TRegistry.GetKey 0024 TRegistryIniFile.ReadSections 003e TRegistry.SetCurrentKey 0056 TRegistry.GetKeyNames 0074 @HandleFinally 008c RegCloseKey"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 8B F1 8B 40 08 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 78 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 04 89 45 F8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B C6 8B 10 FF 52 44 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_71300_0 {
	meta:
		name = "AddSubSection"
		size = 334
		refs = "0016 AddSubSection 003a TStrings.GetEnumerator 006c @UStrLAsg 007a TCustomIniFile.SectionNameSeparator 008c @UStrCatN 00ed TStringsEnumerator.MoveNext 0118 @HandleFinally 012f @UStrClr 013c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 48 F8 8B 45 08 8B 40 FC 8B D6 8B 18 FF 53 4C 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 95 00 00 00 8B 5D EC 8D 4D F4 8B 53 04 8B 43 08 8B 18 FF 53 0C 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 83 7D F0 00 74 1C FF 75 F0 A1 ?? ?? ?? ?? FF 30 FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0B 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 F8 8B 08 FF 51 38 85 F6 74 2A 8B 45 08 50 56 A1 ?? ?? ?? ?? FF 30 FF 75 FC 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 59 EB 10 8B 45 08 50 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 EC E8 ?? ?? ?? ?? 84 C0 0F 85 5B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71301_0 {
	meta:
		name = "TRegistryIniFile.ReadSubSections"
		size = 126
		refs = "0019 TStrings.BeginUpdate 0020 _Dn_TStringList 0025 TStringList.Create 0030 TRegistryIniFile.ReadSubSections 0040 AddSubSection 0056 TObject.Free 005e TStrings.EndUpdate 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F4 8B DA 89 45 FC 80 7D 08 00 74 55 8B 45 F4 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8B D3 33 C0 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 4D F4 8B D3 8B 45 FC 8B 18 FF 53 4C 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71306_0 {
	meta:
		name = "Finalization"
		size = 90
		refs = "0007 Finalization 0013 _DV_5 001a KeyNames 0025 string 002a @FinalizeArray 002f Values 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2A B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_71312_0 {
	meta:
		name = "CheckSocketResult"
		size = 183
		refs = "0013 CheckSocketResult 0022 WSAGetLastError 0031 @GetTls 0037 SocketErrorProc 0055 SysErrorMessage 0079 sWindowsSocketError 0080 _DV_ESocketError 0085 Exception.CreateResFmt 008a @RaiseExcept 00a3 @UStrClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D E4 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 C0 74 6F E8 ?? ?? ?? ?? 8B D8 81 FB 33 27 00 00 74 62 E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 74 11 E8 ?? ?? ?? ?? 8B B0 ?? ?? ?? ?? 8B C3 FF D6 EB 43 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 89 5D F0 C6 45 F4 00 89 75 F8 C6 45 FC 11 8D 45 E8 50 6A 02 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71313_0 {
	meta:
		name = "Startup"
		size = 188
		refs = "0010 Startup 001b WSAData 0025 WSAStartup 0035 SysErrorMessage 005e sWindowsSocketError 0065 _DV_ESocketError 006a Exception.CreateResFmt 006f @RaiseExcept 0084 @UStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 C0 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 68 01 01 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 44 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 89 5D F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 E8 50 6A 02 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 53 00 41 00 53 00 74 00 61 00 72 00 74 00 75 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_71314_0 {
	meta:
		name = "Cleanup"
		size = 176
		refs = "0010 Cleanup 001b WSACleanup 002b SysErrorMessage 0054 sWindowsSocketError 005b _DV_ESocketError 0060 Exception.CreateResFmt 0065 @RaiseExcept 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 C0 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D8 85 DB 74 44 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 89 5D F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 E8 50 6A 02 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 53 00 41 00 43 00 6C 00 65 00 61 00 6E 00 75 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_71315_0 {
	meta:
		name = "TCustomWinSocket.Create"
		size = 124
		refs = "000b @ClassCreate 001a TObject.Create 001f Startup 0026 _Dn_TCriticalSection 002b TCriticalSection.Create 0035 TCustomWinSocket.Create 0061 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 40 0F B6 05 ?? ?? ?? ?? 88 47 28 89 77 04 66 C7 47 18 02 00 33 C0 89 47 1C 66 C7 47 1A 00 00 83 7F 04 FF 0F 95 C0 88 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 00 33 00 00 00 }
	condition:
		$1
}

rule function_71316_0 {
	meta:
		name = "TCustomWinSocket.Destroy"
		size = 104
		refs = "0003 @BeforeDestruction 0031 DeallocateHWnd 0039 TObject.Free 003e Cleanup 0046 @FreeMem 0056 TObject.Destroy 0061 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 30 89 46 34 80 7E 08 00 74 10 83 7E 04 FF 74 0A 8B 56 04 8B C6 8B 08 FF 51 08 8B 46 14 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? 33 C0 89 46 44 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71318_0 {
	meta:
		name = "TCustomWinSocket.AsyncInitSocket"
		size = 852
		refs = "001e TCustomWinSocket.AsyncInitSocket 0083 AllocMem 00a4 @LStrFromUStr 00ac @LStrToPChar 00ba TCustomWinSocket.GetHandle 00c0 WSAAsyncGetHostByName 00da CheckSocketResult 00e8 @UStrAsg 013e inet_addr 0165 @CallDynaInst 017f sNoAddress 0186 _DV_ESocketError 018b Exception.CreateRes 0190 @RaiseExcept 01fd WSAAsyncGetServByName 023c htons 0258 TCustomWinSocket.DoOpen 0265 TCustomWinSocket.DoListen 0297 @HandleAnyException 02aa @RaiseAgain 02af @DoneExcept 02c9 @LStrArrayClr 02cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 0F B6 40 29 2C 01 72 13 0F 84 5A 01 00 00 FE C8 0F 84 FA 01 00 00 E9 15 02 00 00 84 DB 75 14 8B 45 FC C6 40 29 01 8B 45 FC 33 D2 89 50 1C E9 FD 01 00 00 85 F6 0F 84 A6 00 00 00 8B 45 FC 83 78 44 00 75 10 B8 00 04 00 00 E8 ?? ?? ?? ?? 8B 55 FC 89 42 44 68 00 04 00 00 8B 45 FC 8B 40 44 50 8D 45 F4 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 68 03 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 89 78 2C 85 FF 0F 94 C0 83 E0 7F BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 C0 4C 8B 55 14 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 55 10 66 89 50 50 8B 45 FC 8B 55 0C 89 50 54 8B 45 FC 88 58 52 8B 45 FC C6 40 29 01 33 C0 5A 59 59 64 89 10 E9 99 01 00 00 85 FF 74 2F 8B 45 FC C6 40 29 01 8D 45 F0 8B D7 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C E9 1C 01 00 00 C7 45 F8 56 04 00 00 8D 45 F8 50 B1 06 8B 55 FC 8B 45 FC 66 BE FE FF E8 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 45 FC 8B 08 FF 51 08 83 7D F8 00 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 12 01 00 00 83 7D 14 00 0F 84 84 00 00 00 8B 45 FC 83 78 44 00 75 10 B8 00 04 00 00 E8 ?? ?? ?? ?? 8B 55 FC 89 42 44 68 00 04 00 00 8B 45 FC 8B 40 44 50 68 ?? ?? ?? ?? 8D 45 EC 8B 55 14 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 50 68 03 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 2C 85 DB 0F 94 C0 83 E0 7F BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 40 29 02 33 C0 5A 59 59 64 89 10 E9 84 00 00 00 8B 45 FC C6 40 29 02 0F B7 45 10 50 E8 ?? ?? ?? ?? 8B 55 FC 66 89 42 1A EB 20 8B 45 FC C6 40 29 00 84 DB 74 0A 8B 45 FC E8 ?? ?? ?? ?? EB 0B 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 29 00 74 1A 8B 45 14 50 0F B7 45 10 50 8B 45 0C 50 53 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 45 FC 8B 08 FF 51 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 10 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 57 00 53 00 41 00 41 00 53 00 79 00 6E 00 63 00 47 00 65 00 74 00 48 00 6F 00 73 00 74 00 42 00 79 00 4E 00 61 00 6D 00 65 00 00 00 74 63 70 00 B0 04 02 00 FF FF FF FF 15 00 00 00 57 00 53 00 41 00 41 00 53 00 79 00 6E 00 63 00 47 00 65 00 74 00 53 00 65 00 72 00 76 00 42 00 79 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_71319_0 {
	meta:
		name = "TCustomWinSocket.Close"
		size = 9
	strings:
		$1 = { 8B 50 04 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_71320_0 {
	meta:
		name = "TCustomWinSocket.Close"
		size = 188
		refs = "000c TCustomWinSocket.Close 001a InterlockedExchange 0027 WSACancelAsyncRequest 0031 CheckSocketResult 004d closesocket"
	strings:
		$1 = { 53 56 57 8B D8 84 D2 75 09 8B C3 E8 ?? ?? ?? ?? EB 49 8D 73 2C 33 FF 57 56 E8 ?? ?? ?? ?? 85 C0 74 13 8B 43 2C 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 04 8B D8 83 CE FF 56 53 E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 10 53 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 15 00 00 00 57 00 53 00 41 00 43 00 61 00 6E 00 63 00 65 00 6C 00 41 00 53 00 79 00 6E 00 63 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 6C 00 6F 00 73 00 65 00 73 00 6F 00 63 00 6B 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_71322_0 {
	meta:
		name = "TCustomWinSocket.Lock"
		size = 8
	strings:
		$1 = { 8B 40 40 8B 10 FF 12 C3 }
	condition:
		$1
}

rule function_71323_0 {
	meta:
		name = "TCustomWinSocket.Unlock"
		size = 9
	strings:
		$1 = { 8B 40 40 8B 10 FF 52 04 C3 }
	condition:
		$1
}

rule function_71324_0 {
	meta:
		name = "CheckError"
		size = 178
		refs = "0075 @CallDynaInst 0091 sAsyncSocketError 0098 _DV_ESocketError 009d Exception.CreateResFmt 00a2 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B 45 08 8B 40 FC 0F B7 40 0A 66 85 C0 0F 84 8D 00 00 00 33 DB 0F B7 C0 89 45 FC 8B 45 08 8B 40 FC 0F B7 40 08 83 F8 08 7F 0A 74 24 48 74 19 48 74 1A EB 20 83 E8 10 74 07 83 E8 10 74 06 EB 14 B0 03 EB 12 B0 04 EB 0E B0 02 EB 0A B0 01 EB 06 B0 05 EB 02 33 C0 8D 55 FC 52 8B C8 8B 45 08 8B 50 F8 8B 45 08 8B 40 F8 66 BE FE FF E8 ?? ?? ?? ?? 83 7D FC 00 74 2B 8B 45 FC 89 45 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 B3 01 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71325_0 {
	meta:
		name = "TCustomWinSocket.CMSocketMessage"
		size = 138
		refs = "000e CheckError"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 89 45 F8 55 E8 ?? ?? ?? ?? 59 84 C0 74 6F 8B 45 FC 0F B7 40 08 83 F8 08 7F 0A 74 54 48 74 31 48 74 3E EB 59 83 E8 10 74 07 83 E8 10 74 12 EB 4D 8B 55 FC 8B 52 04 8B 45 F8 8B 08 FF 51 04 EB 3D 8B 55 FC 8B 52 04 8B 45 F8 8B 08 FF 51 08 EB 2D 8B 55 FC 8B 52 04 8B 45 F8 8B 08 FF 51 0C EB 1D 8B 55 FC 8B 52 04 8B 45 F8 8B 08 FF 51 10 EB 0D 8B 55 FC 8B 52 04 8B 45 F8 8B 08 FF 11 59 59 5D C3 }
	condition:
		$1
}

rule function_71327_0 {
	meta:
		name = "TCustomWinSocket.DeferFree"
		size = 23
		refs = "0012 PostMessage"
	strings:
		$1 = { 8B 50 14 85 D2 74 0F 6A 00 6A 00 68 02 04 00 00 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71328_0 {
	meta:
		name = "TCustomWinSocket.DoSetAsyncStyles"
		size = 96
		refs = "000d TCustomWinSocket.DoSetAsyncStyles 001e TCustomWinSocket.GetHandle 0030 WSAAsyncSelect 0050 ioctlsocket"
	strings:
		$1 = { 53 56 57 51 8B D8 33 F6 33 FF 0F B6 05 ?? ?? ?? ?? 3A 43 28 74 0E BE 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 0F B6 43 28 50 56 57 8B 43 04 50 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 3A 43 28 75 14 33 C0 89 04 24 54 68 7E 66 04 80 8B 43 04 50 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_71329_0 {
	meta:
		name = "TCustomWinSocket.DoListen"
		size = 148
		refs = "0012 bind 0017 TCustomWinSocket.DoListen 001c CheckSocketResult 0023 TCustomWinSocket.DoSetAsyncStyles 003c @CallDynaInst 0046 listen"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 6A 10 8D 43 18 50 8B 43 04 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 FF 05 7E 05 BF 05 00 00 00 B1 04 8B D3 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 57 8B 43 04 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 29 00 C6 43 08 01 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 69 00 6E 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6C 00 69 00 73 00 74 00 65 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_71330_0 {
	meta:
		name = "TCustomWinSocket.DoOpen"
		size = 120
		refs = "0007 TCustomWinSocket.DoSetAsyncStyles 0016 @CallDynaInst 0025 connect 002a TCustomWinSocket.DoOpen 002f CheckSocketResult"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? B1 01 8B D3 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 6A 10 8D 43 18 50 8B 43 04 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 29 00 F6 43 28 10 75 19 83 7B 04 FF 0F 95 C0 88 43 08 B1 02 8B D3 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 6E 00 65 00 63 00 74 00 00 00 }
	condition:
		$1
}

rule function_71331_0 {
	meta:
		name = "TCustomWinSocket.GetHandle"
		size = 28
		refs = "000b TCustomWinSocket.WndProc 0010 AllocateHWnd"
	strings:
		$1 = { 53 8B D8 83 7B 14 00 75 0E 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 14 8B 43 14 5B C3 }
	condition:
		$1
}

rule function_71332_0 {
	meta:
		name = "TCustomWinSocket.GetLocalAddress"
		size = 139
		refs = "0010 TCustomWinSocket.Lock 0018 TCustomWinSocket.GetLocalAddress 0025 @UStrClr 0033 @TryFinallyExit 0050 getsockname 005c inet_ntoa 0065 @UStrFromPChar 007a TCustomWinSocket.Unlock 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 78 04 FF 75 07 E8 ?? ?? ?? ?? EB 4D C7 45 F8 10 00 00 00 8D 45 F8 50 8D 45 E8 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 85 C0 75 11 FF 75 EC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71333_0 {
	meta:
		name = "TCustomWinSocket.GetLocalHost"
		size = 133
		refs = "0013 TCustomWinSocket.Lock 001b TCustomWinSocket.GetLocalHost 0028 @UStrClr 0036 @TryFinallyExit 0049 gethostname 005f @UStrFromArray 0074 TCustomWinSocket.Unlock 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 78 04 FF 75 07 E8 ?? ?? ?? ?? EB 44 68 00 01 00 00 8D 85 FC FE FF FF 50 E8 ?? ?? ?? ?? 85 C0 75 12 8B C3 8D 95 FC FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71334_0 {
	meta:
		name = "TCustomWinSocket.GetLocalPort"
		size = 137
		refs = "000d TCustomWinSocket.Lock 0015 TCustomWinSocket.GetLocalPort 0030 @TryFinallyExit 004d getsockname 005b ntohs 0076 TCustomWinSocket.Unlock 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 FF FF FF FF 8B 45 FC 83 78 04 FF 75 07 E8 ?? ?? ?? ?? EB 4C C7 45 F4 10 00 00 00 8D 45 F4 50 8D 45 E4 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 85 C0 75 10 0F B7 45 E6 50 E8 ?? ?? ?? ?? 0F B7 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_71335_0 {
	meta:
		name = "TCustomWinSocket.GetRemoteHost"
		size = 196
		refs = "0011 TCustomWinSocket.Lock 0019 TCustomWinSocket.GetRemoteHost 0026 @UStrClr 0034 @TryFinallyExit 0051 getpeername 005b CheckSocketResult 0068 gethostbyaddr 0077 @UStrFromPChar 008c TCustomWinSocket.Unlock 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 80 78 08 00 75 07 E8 ?? ?? ?? ?? EB 5E C7 45 F8 10 00 00 00 8D 45 F8 50 8D 45 E8 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 6A 04 8D 45 EC 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 09 8B C6 8B 13 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 67 00 65 00 74 00 70 00 65 00 65 00 72 00 6E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_71336_0 {
	meta:
		name = "TCustomWinSocket.GetRemoteAddress"
		size = 184
		refs = "0010 TCustomWinSocket.Lock 0018 TCustomWinSocket.GetRemoteAddress 0025 @UStrClr 0033 @TryFinallyExit 0050 getpeername 005a CheckSocketResult 0062 inet_ntoa 006b @UStrFromPChar 0080 TCustomWinSocket.Unlock 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 80 78 08 00 75 07 E8 ?? ?? ?? ?? EB 53 C7 45 F8 10 00 00 00 8D 45 F8 50 8D 45 E8 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 EC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 67 00 65 00 74 00 70 00 65 00 65 00 72 00 6E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_71337_0 {
	meta:
		name = "TCustomWinSocket.GetRemotePort"
		size = 180
		refs = "000d TCustomWinSocket.Lock 0015 TCustomWinSocket.GetRemotePort 002e @TryFinallyExit 004b getpeername 0055 CheckSocketResult 005f ntohs 007a TCustomWinSocket.Unlock 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 80 78 08 00 75 07 E8 ?? ?? ?? ?? EB 52 C7 45 F4 10 00 00 00 8D 45 F4 50 8D 45 E4 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 E6 50 E8 ?? ?? ?? ?? 0F B7 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 67 00 65 00 74 00 70 00 65 00 65 00 72 00 6E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_71338_0 {
	meta:
		name = "TCustomWinSocket.GetRemoteAddr"
		size = 140
		refs = "0010 TCustomWinSocket.Lock 0018 TCustomWinSocket.GetRemoteAddr 002c @FillChar 003a @TryFinallyExit 0054 getpeername 007b TCustomWinSocket.Unlock 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 78 08 00 75 07 E8 ?? ?? ?? ?? EB 47 C7 45 F8 10 00 00 00 8D 45 F8 50 53 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C3 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71339_0 {
	meta:
		name = "TCustomWinSocket.LookupName"
		size = 155
		refs = "0012 TCustomWinSocket.LookupName 0027 @LStrFromUStr 002f @LStrToPChar 0035 gethostbyname 0046 @FillChar 0087 @LStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 85 DB 74 22 8B C3 8B 50 0C 8B 12 0F B6 0A 88 4D F8 0F B6 4A 01 88 4D F9 0F B6 4A 02 88 4D FA 0F B6 42 03 88 45 FB 8B 45 F8 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71340_0 {
	meta:
		name = "TCustomWinSocket.LookupService"
		size = 120
		refs = "000c TCustomWinSocket.LookupService 0026 @LStrFromUStr 002e @LStrToPChar 0034 getservbyname 0044 ntohs 0062 @LStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 45 FC 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 11 0F B7 43 08 50 E8 ?? ?? ?? ?? 0F B7 C0 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 74 63 70 00 }
	condition:
		$1
}

rule function_71341_0 {
	meta:
		name = "TCustomWinSocket.InitSocket"
		size = 218
		refs = "001c TCustomWinSocket.InitSocket 0034 TCustomWinSocket.LookupName 004f @LStrFromUStr 0057 @LStrToPChar 005d inet_addr 0075 sNoAddress 007c _DV_ESocketError 0081 Exception.CreateRes 0086 @RaiseExcept 0096 TCustomWinSocket.LookupService 009c htons 00c5 @LStrClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 03 02 00 85 FF 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? 89 43 04 EB 4D 83 7D FC 00 74 23 8D 45 F8 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 43 04 EB 24 80 7D 0C 00 75 07 33 C0 89 43 04 EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 14 00 74 16 8B 55 14 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 89 43 02 EB 0E 0F B7 45 10 50 E8 ?? ?? ?? ?? 66 89 43 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_71342_0 {
	meta:
		name = "TCustomWinSocket.Listen"
		size = 261
		refs = "001c sCannotListenOnOpen 0023 _DV_ESocketError 0028 Exception.CreateRes 002d @RaiseExcept 0038 socket 0049 sCannotCreateSocket 0062 TCustomWinSocket.Listen 0079 @CallDynaInst 009b TCustomWinSocket.InitSocket 00b3 TCustomWinSocket.DoListen 00d1 TCustomWinSocket.AsyncInitSocket 00e0 @HandleAnyException 00f3 @RaiseAgain 00f8 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D F8 8B FA 89 45 FC 8B 45 FC 80 78 08 00 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 01 6A 02 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 04 43 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B 55 FC 8B 45 FC 66 BE FF FF E8 ?? ?? ?? ?? 80 7D 08 00 74 36 8B 45 14 50 0F B7 45 10 50 6A 00 8D 45 E8 50 8B 4D F8 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8D 75 E8 8D 78 18 A5 A5 A5 A5 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? EB 1C 8B 45 14 50 0F B7 45 10 50 8B 45 0C 50 6A 00 8B 4D F8 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 45 FC 8B 08 FF 51 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_71343_0 {
	meta:
		name = "TCustomWinSocket.Open"
		size = 256
		refs = "001c sSocketAlreadyOpen 0023 _DV_ESocketError 0028 Exception.CreateRes 002d @RaiseExcept 0038 socket 0049 sCannotCreateSocket 0062 TCustomWinSocket.Open 0079 @CallDynaInst 009b TCustomWinSocket.InitSocket 00b0 TCustomWinSocket.DoOpen 00cc TCustomWinSocket.AsyncInitSocket 00db @HandleAnyException 00ee @RaiseAgain 00f3 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D F8 8B FA 89 45 FC 8B 45 FC 80 78 08 00 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 01 6A 02 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 04 43 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B 55 FC 8B 45 FC 66 BE FF FF E8 ?? ?? ?? ?? 80 7D 08 00 74 33 8B 45 10 50 0F B7 45 0C 50 6A 01 8D 45 E8 50 8B 4D F8 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8D 75 E8 8D 78 18 A5 A5 A5 A5 8B 45 FC E8 ?? ?? ?? ?? EB 1A 8B 45 10 50 0F B7 45 0C 50 6A 00 6A 01 8B 4D F8 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 45 FC 8B 08 FF 51 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_71344_0 {
	meta:
		name = "TCustomWinSocket.Disconnect"
		size = 320
		refs = "000f TCustomWinSocket.Lock 0017 TCustomWinSocket.Disconnect 002d WSACancelAsyncRequest 0037 CheckSocketResult 0051 @TryFinallyExit 0067 @CallDynaInst 0073 closesocket 00bb TObject.Free 00d0 TCustomWinSocket.Unlock 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 70 2C 85 F6 74 10 56 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 2C 83 FB FF 74 08 8B 45 FC 3B 58 04 74 0A E8 ?? ?? ?? ?? E9 82 00 00 00 B1 03 8B 55 FC 8B 45 FC 66 BE FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C7 40 04 FF FF FF FF 8B 45 FC 66 C7 40 18 02 00 8B 45 FC 33 D2 89 50 1C 8B 45 FC 66 C7 40 1A 00 00 8B 45 FC C6 40 08 00 8B 45 FC 83 C0 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 57 00 53 00 41 00 43 00 61 00 6E 00 63 00 65 00 6C 00 41 00 53 00 79 00 6E 00 63 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 6C 00 6F 00 73 00 65 00 73 00 6F 00 63 00 6B 00 65 00 74 00 00 00 }
	condition:
		$1
}

rule function_71345_0 {
	meta:
		name = "TCustomWinSocket.DefaultHandler"
		size = 43
		refs = "001b DefWindowProc 0020 CallWindowProc"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 14 85 FF 74 19 8B 46 08 50 8B 46 04 50 8B 06 50 57 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71346_0 {
	meta:
		name = "TCustomWinSocket.Event"
		size = 23
	strings:
		$1 = { 53 66 83 78 32 00 74 0D 51 8B D8 8B CA 8B D0 8B 43 34 FF 53 30 5B C3 }
	condition:
		$1
}

rule function_71347_0 {
	meta:
		name = "TCustomWinSocket.Error"
		size = 33
	strings:
		$1 = { 55 8B EC 53 66 83 78 3A 00 74 11 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 43 3C FF 53 38 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_71349_0 {
	meta:
		name = "DropStream"
		size = 72
		refs = "0037 TObject.Free"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 80 78 10 00 74 14 8B 45 08 8B 40 FC 8B 50 04 8B 45 08 8B 40 FC 8B 08 FF 51 08 8B 45 08 8B 40 FC C6 40 10 00 8B 45 08 8B 40 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 33 D2 89 50 0C 5D C3 }
	condition:
		$1
}

rule function_71350_0 {
	meta:
		name = "TCustomWinSocket.SendStreamPiece"
		size = 396
		refs = "0017 TCustomWinSocket.Lock 001f TCustomWinSocket.SendStreamPiece 004d @TryFinallyExit 005d TStream.GetPosition 0096 send 00a2 WSAGetLastError 00c3 @CallDynaInst 00d7 DropStream 00ec Abort 00ff TStream.SetPosition 016e TCustomWinSocket.Unlock 0174 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F0 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 FC 83 78 0C 00 0F 84 23 01 00 00 8B 45 FC 83 78 04 FF 74 09 8B 45 FC 80 78 08 00 75 0A E8 ?? ?? ?? ?? E9 24 01 00 00 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 89 45 F4 8D 95 F0 EF FF FF 8B 45 FC 8B 40 0C B9 00 10 00 00 8B 18 FF 53 0C 8B D8 85 DB 0F 8E CE 00 00 00 6A 00 53 8D 85 F0 EF FF FF 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 8B F8 83 FF FF 75 64 E8 ?? ?? ?? ?? 89 45 F0 81 7D F0 33 27 00 00 74 40 8D 45 F0 50 B1 01 8B 55 FC 8B 45 FC 66 BE FE FF E8 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 45 FC 8B 08 FF 51 08 55 E8 ?? ?? ?? ?? 59 8B 45 FC 0F B6 15 ?? ?? ?? ?? 3A 50 28 74 6E E8 ?? ?? ?? ?? EB 67 8B 45 F4 99 52 50 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? EB 54 3B FB 7D 18 8B 45 F4 03 C7 99 52 50 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? E9 35 FF FF FF 8B 45 FC 8B 40 0C 8B 10 FF 12 52 50 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 3B 54 24 04 75 03 3B 04 24 5A 58 0F 85 0D FF FF FF 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_71351_0 {
	meta:
		name = "TCustomWinSocket.SendStream"
		size = 21
		refs = "000c TCustomWinSocket.SendStreamPiece"
	strings:
		$1 = { 33 C9 83 78 0C 00 75 0A 89 50 0C E8 ?? ?? ?? ?? 8B C8 8B C1 C3 }
	condition:
		$1
}

rule function_71352_0 {
	meta:
		name = "TCustomWinSocket.SendStreamThenDrop"
		size = 24
		refs = "000a TCustomWinSocket.SendStream"
	strings:
		$1 = { 53 8B D8 C6 43 10 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 C6 43 10 00 5B C3 }
	condition:
		$1
}

rule function_71353_0 {
	meta:
		name = "TCustomWinSocket.SendBuf"
		size = 332
		refs = "0018 TCustomWinSocket.SendBuf 0026 TCustomWinSocket.Lock 0047 @TryFinallyExit 005c send 006e WSAGetLastError 008f @CallDynaInst 00ae SysErrorMessage 00da sWindowsSocketError 00e1 _DV_ESocketError 00e6 Exception.CreateResFmt 00eb @RaiseExcept 0100 TCustomWinSocket.Unlock 0106 @HandleFinally 011d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 DB 89 5D D8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 80 78 08 00 75 0A E8 ?? ?? ?? ?? E9 BC 00 00 00 6A 00 56 53 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 FF 0F 85 82 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 81 7D F4 33 27 00 00 74 71 8D 45 F4 50 B1 01 8B 55 FC 8B 45 FC 66 BE FE FF E8 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 45 FC 8B 08 FF 51 08 83 7D F4 00 74 48 8D 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 8B 45 F4 89 45 E4 C6 45 E8 00 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 DC 50 6A 02 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 65 00 6E 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_71354_0 {
	meta:
		name = "TCustomWinSocket.SetAsyncStyles"
		size = 39
		refs = "0020 TCustomWinSocket.DoSetAsyncStyles"
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 43 28 3A 04 24 74 14 0F B6 04 24 88 43 28 83 7B 04 FF 74 07 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_71355_0 {
	meta:
		name = "TCustomWinSocket.Read"
		size = 28
		refs = "0016 @CallDynaInst"
	strings:
		$1 = { 56 8B 48 04 83 F9 FF 74 11 3B CA 75 0D B1 07 8B D0 66 BE FF FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_71356_0 {
	meta:
		name = "TCustomWinSocket.ReceiveBuf"
		size = 412
		refs = "0018 TCustomWinSocket.ReceiveBuf 0026 TCustomWinSocket.Lock 005c ioctlsocket 006f @TryFinallyExit 00ab recv 00bd WSAGetLastError 00de @CallDynaInst 00fd SysErrorMessage 0129 sWindowsSocketError 0130 _DV_ESocketError 0135 Exception.CreateResFmt 013a @RaiseExcept 014f TCustomWinSocket.Unlock 0155 @HandleFinally 016c @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 DB 89 5D D4 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 83 FB FF 75 23 8B 45 FC 80 78 08 00 74 1A 8D 45 F8 50 68 7F 66 04 40 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? E9 D9 00 00 00 8B 45 FC 80 78 08 00 75 0A E8 ?? ?? ?? ?? E9 E3 00 00 00 8D 45 F0 50 68 7F 66 04 40 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 85 C0 75 0E 83 7D F0 00 7E 08 3B 5D F0 7E 03 8B 5D F0 6A 00 53 56 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 FF 0F 85 82 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 81 7D F4 33 27 00 00 74 71 8D 45 F4 50 B1 02 8B 55 FC 8B 45 FC 66 BE FE FF E8 ?? ?? ?? ?? 8B 45 FC 8B 50 04 8B 45 FC 8B 08 FF 51 08 83 7D F4 00 74 48 8D 55 D4 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D4 89 45 D8 C6 45 DC 11 8B 45 F4 89 45 E0 C6 45 E4 00 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8D 45 D8 50 6A 02 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 72 00 65 00 63 00 76 00 00 00 00 00 }
	condition:
		$1
}

rule function_71357_0 {
	meta:
		name = "TCustomWinSocket.ReceiveLength"
		size = 11
		refs = "0006 TCustomWinSocket.ReceiveBuf"
	strings:
		$1 = { 83 C9 FF 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74609_0 {
	meta:
		name = "THeaderSections.Add"
		size = 11
		refs = "0006 THeaderSections.AddItem"
	strings:
		$1 = { 83 C9 FF 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75195_0 {
	meta:
		name = "TListItems.Add"
		size = 11
		refs = "0006 TListItems.AddItem"
	strings:
		$1 = { 83 C9 FF 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71358_0 {
	meta:
		name = "TCustomWinSocket.ReceiveText"
		size = 79
		refs = "0011 TCustomWinSocket.ReceiveBuf 001c @LStrSetLength"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B F8 83 C9 FF 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 33 C9 E8 ?? ?? ?? ?? 8B 2E 8B C5 89 04 24 8B 1C 24 85 DB 74 05 83 EB 04 8B 1B 8B D5 8B CB 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 33 C9 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71359_0 {
	meta:
		name = "TCustomWinSocket.WndProc"
		size = 84
		refs = "000e TCustomWinSocket.WndProc 002b @HandleAnyException 0030 ApplicationHandleException 004a @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 08 FF 51 EC 33 C0 5A 59 59 64 89 10 EB 24 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 66 83 78 02 00 74 0E 8B 1D ?? ?? ?? ?? 8B 55 FC 8B 43 04 FF 13 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71360_0 {
	meta:
		name = "TCustomWinSocket.Write"
		size = 45
		refs = "0013 TCustomWinSocket.SendStreamPiece 0026 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B 43 04 83 F8 FF 74 1E 3B C2 75 1A 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0F B1 06 8B D3 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71361_0 {
	meta:
		name = "TCustomWinSocket.CMLookupComplete"
		size = 360
		refs = "0016 TCustomWinSocket.CMLookupComplete 004f @CallDynaInst 006f SysErrorMessage 009c sWindowsSocketError 00a3 _DV_ESocketError 00a8 Exception.CreateResFmt 00ad @RaiseExcept 00e1 TCustomWinSocket.AsyncInitSocket 0100 @UStrClr 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 3B 43 2C 0F 85 F0 00 00 00 33 C0 89 43 2C 0F B7 47 0A 66 85 C0 74 79 0F B7 C0 89 45 FC 8D 45 FC 50 B1 06 8B D3 8B C3 66 BE FE FF E8 ?? ?? ?? ?? 8B 53 04 8B C3 8B 08 FF 51 08 83 7D FC 00 0F 84 B5 00 00 00 8D 55 E0 0F B7 47 0A E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 11 0F B7 47 0A 89 45 EC C6 45 F0 00 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 E4 50 6A 02 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 69 0F B6 43 29 3C 01 75 2C 8B 43 44 8B 40 0C 8B 00 8B 00 89 43 1C 8B 43 4C 50 0F B7 43 50 50 8B 43 54 50 0F B6 43 52 50 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? EB 35 3C 02 75 31 8B 43 44 0F B7 40 08 66 89 43 1A 66 C7 43 50 00 00 8D 43 4C E8 ?? ?? ?? ?? 6A 00 6A 00 8B 43 54 50 0F B6 43 52 50 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 41 00 53 00 79 00 6E 00 63 00 20 00 4C 00 6F 00 6F 00 6B 00 75 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_71362_0 {
	meta:
		name = "TClientWinSocket.Connect"
		size = 20
		refs = "000e @CallDynaInst"
	strings:
		$1 = { 56 C6 40 08 01 B1 02 8B D0 66 BE FF FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_71363_0 {
	meta:
		name = "TClientWinSocket.SetClientType"
		size = 84
		refs = "0018 TClientWinSocket.SetClientType 001d TCustomWinSocket.SetAsyncStyles 0033 sCantChangeWhileActive 003a _DV_ESocketError 003f Exception.CreateRes 0044 @RaiseExcept"
	strings:
		$1 = { 3A 50 58 74 43 80 78 08 00 75 26 8B CA 88 48 58 80 F9 01 75 0E 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 25 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 00 00 00 00 33 00 00 00 }
	condition:
		$1
}

rule function_71364_0 {
	meta:
		name = "TServerClientWinSocket.Create"
		size = 172
		refs = "000f @ClassCreate 0027 TServerWinSocket.AddClient 0031 TServerClientWinSocket.Create 0040 TServerWinSocket.ClientEvent 004d TServerWinSocket.ClientError 0058 TCustomWinSocket.Create 006e TCustomWinSocket.DoSetAsyncStyles 0083 @CallDynaInst 0090 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 45 08 89 43 58 85 C0 74 2D 8B D3 E8 ?? ?? ?? ?? 8B 7B 58 0F B6 05 ?? ?? ?? ?? 3A 47 28 74 17 89 7B 34 C7 43 30 ?? ?? ?? ?? 8B 43 58 89 43 3C C7 43 38 ?? ?? ?? ?? 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 58 0F B6 15 ?? ?? ?? ?? 3A 50 28 74 07 8B C3 E8 ?? ?? ?? ?? 80 7B 08 00 74 0F B1 02 8B D3 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 00 00 00 00 }
	condition:
		$1
}

rule function_71365_0 {
	meta:
		name = "TServerClientWinSocket.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0015 TServerWinSocket.RemoveClient 0020 TCustomWinSocket.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 58 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71366_0 {
	meta:
		name = "TServerWinSocket.Create"
		size = 120
		refs = "000b @ClassCreate 0018 _Dn_TList 001d TObject.Create 0036 _Dn_TCriticalSection 003b TCriticalSection.Create 0049 TCustomWinSocket.Create 0050 TServerWinSocket.Create 005e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 60 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 64 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 68 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 47 28 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_71367_0 {
	meta:
		name = "TServerWinSocket.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 0012 TCustomWinSocket.Destroy 001a TObject.Free 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 60 E8 ?? ?? ?? ?? 8B 46 64 E8 ?? ?? ?? ?? 8B 46 68 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71368_0 {
	meta:
		name = "TServerWinSocket.AddClient"
		size = 100
		refs = "0018 TServerWinSocket.AddClient 002b TList.IndexOf 003c TList.Add 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 68 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 60 8B D3 E8 ?? ?? ?? ?? 85 C0 7D 0D 8B 45 FC 8B 40 60 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 68 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_71369_0 {
	meta:
		name = "TServerWinSocket.RemoveClient"
		size = 85
		refs = "0018 TServerWinSocket.RemoveClient 002d TList.RemoveItem 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 68 8B 10 FF 12 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 40 60 8B D3 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 68 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_71370_0 {
	meta:
		name = "TServerWinSocket.AddThread"
		size = 121
		refs = "0018 TServerWinSocket.AddThread 002b TList.IndexOf 003c TList.Add 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 68 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 64 8B D3 E8 ?? ?? ?? ?? 85 C0 7D 22 8B 45 FC 8B 40 64 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 64 8B 40 08 8B 55 FC 3B 42 5C 7F 04 C6 43 50 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 68 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_71371_0 {
	meta:
		name = "TServerWinSocket.RemoveThread"
		size = 85
		refs = "0018 TServerWinSocket.RemoveThread 002d TList.RemoveItem 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 68 8B 10 FF 12 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 40 64 8B D3 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 68 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_71372_0 {
	meta:
		name = "TServerWinSocket.ClientEvent"
		size = 83
		refs = "0023 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 56 0F B6 55 08 80 EA 02 74 0F FE CA 74 18 80 EA 03 74 2D FE CA 74 1C EB 32 8B D1 66 BE F7 FF E8 ?? ?? ?? ?? EB 25 8B D1 66 BE F6 FF E8 ?? ?? ?? ?? EB 18 8B D1 66 BE F9 FF E8 ?? ?? ?? ?? EB 0B 8B D1 66 BE F8 FF E8 ?? ?? ?? ?? 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_71373_0 {
	meta:
		name = "TServerWinSocket.ClientError"
		size = 28
		refs = "0013 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 56 8B 55 08 52 0F B6 55 0C 87 D1 66 BE F5 FF E8 ?? ?? ?? ?? 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_71375_0 {
	meta:
		name = "TScreen.GetMonitor"
		size = 19
		refs = "000c TList.Get"
		altNames = "TServerWinSocket.GetConnections"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 60 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71376_0 {
	meta:
		name = "TServerWinSocket.GetActiveThreads"
		size = 124
		refs = "0019 TServerWinSocket.GetActiveThreads 0042 TList.Get 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC 8B 45 FC 8B 40 68 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 8B 40 64 8B 58 08 4B 85 DB 7C 1D 43 33 F6 8B 45 FC 8B 40 64 8B D6 E8 ?? ?? ?? ?? 83 78 40 00 74 03 FF 45 F8 46 4B 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 68 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71377_0 {
	meta:
		name = "TServerWinSocket.GetIdleThreads"
		size = 124
		refs = "0019 TServerWinSocket.GetIdleThreads 0042 TList.Get 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC 8B 45 FC 8B 40 68 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 8B 40 64 8B 58 08 4B 85 DB 7C 1D 43 33 F6 8B 45 FC 8B 40 64 8B D6 E8 ?? ?? ?? ?? 83 78 40 00 75 03 FF 45 F8 46 4B 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 68 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71378_0 {
	meta:
		name = "TServerWinSocket.Accept"
		size = 336
		refs = "0029 getsockopt 0039 TServerWinSocket.Accept 0065 setsockopt 007a accept 0090 @CallDynaInst 00b9 TCustomWinSocket.SetAsyncStyles 00e3 @HandleOnException 00eb _Dn_Exception 00f9 _Dn_EAbort 00fe @IsClass 0107 @RaiseAgain 010c @DoneExcept 013f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F2 8B D8 C7 45 FC 04 00 00 00 8D 45 FC 50 8D 45 F8 50 68 08 70 00 00 68 FF FF 00 00 6A FF E8 ?? ?? ?? ?? 85 C0 0F 85 10 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7B 58 01 75 20 C7 45 F4 20 00 00 00 8B 45 FC 50 8D 45 F4 50 68 08 70 00 00 68 FF FF 00 00 6A FF E8 ?? ?? ?? ?? C7 45 FC 10 00 00 00 8D 45 FC 50 8D 45 E4 50 56 E8 ?? ?? ?? ?? 83 F8 FF 0F 84 89 00 00 00 8B D0 8B C3 66 BE FB FF E8 ?? ?? ?? ?? 8B F0 66 83 7B 32 00 74 0C 6A 05 8B CE 8B D3 8B 43 34 FF 53 30 80 7B 58 01 75 61 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 66 BE FA FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C7 45 FC 04 00 00 00 8B 45 FC 50 8D 45 F8 50 68 08 70 00 00 68 FF FF 00 00 6A FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_71379_0 {
	meta:
		name = "TServerWinSocket.Disconnect"
		size = 285
		refs = "0013 TCustomWinSocket.Lock 001b TServerWinSocket.Disconnect 0042 TServerWinSocket.SetThreadCacheSize 004b TList.Last 0058 TThread.Terminate 0060 TEvent.SetEvent 0074 TCustomWinSocket.Close 007b TThread.WaitFor 0082 TObject.Free 00c2 TCustomWinSocket.Disconnect 00f3 @HandleFinally 010a TCustomWinSocket.Unlock"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 5C 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 3E 8B C7 E8 ?? ?? ?? ?? 8B D8 C6 43 0F 00 8B C3 E8 ?? ?? ?? ?? 8B 43 4C E8 ?? ?? ?? ?? 8B 73 40 85 F6 74 0D 80 7E 08 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 78 64 83 7F 08 00 7F B6 EB 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 58 60 83 7B 08 00 7F E8 8B 45 FC 8B 40 6C 85 C0 74 05 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 6C E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71380_0 {
	meta:
		name = "TServerWinSocket.DoCreateThread"
		size = 16
		refs = "0004 _DV_TServerClientThread 000b TServerClientThread.Create"
	strings:
		$1 = { 52 33 C9 A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71381_0 {
	meta:
		name = "TServerWinSocket.Listen"
		size = 75
		refs = "0024 TCustomWinSocket.Listen 003a _DV_TServerAcceptThread 003f TServerAcceptThread.Create"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 10 8B 00 50 0F B7 45 0C 50 8B 45 08 50 80 7B 58 01 0F 94 C0 50 8B 12 8B 09 8B C3 E8 ?? ?? ?? ?? 80 7B 08 00 74 18 80 7B 58 01 75 12 53 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 6C 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_71382_0 {
	meta:
		name = "TServerWinSocket.SetServerType"
		size = 84
		refs = "0018 TServerWinSocket.SetServerType 001d TCustomWinSocket.SetAsyncStyles 0033 sCantChangeWhileActive 003a _DV_ESocketError 003f Exception.CreateRes 0044 @RaiseExcept"
	strings:
		$1 = { 3A 50 58 74 43 80 78 08 00 75 26 8B CA 88 48 58 80 F9 01 75 0E 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 25 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 00 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_71383_0 {
	meta:
		name = "TServerWinSocket.SetThreadCacheSize"
		size = 152
		refs = "003d TServerWinSocket.SetThreadCacheSize 0061 TList.Get 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC 8B 40 5C 3B 45 F8 74 77 3B 45 F8 7E 05 8B 7D F8 EB 02 8B F8 8B 45 FC 8B 55 F8 89 50 5C 8B 45 FC 8B 40 68 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 64 8B 70 08 4E 85 F6 7C 1C 46 33 DB 8B 45 FC 8B 40 64 8B D3 E8 ?? ?? ?? ?? 3B FB 0F 9F C2 88 50 50 43 4E 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 68 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71384_0 {
	meta:
		name = "TServerWinSocket.GetClientSocket"
		size = 61
		refs = "002a _DV_TServerClientWinSocket 002f TServerClientWinSocket.Create"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 33 C0 89 04 24 66 83 7B 72 00 74 0B 54 8B CE 8B D3 8B 43 74 FF 53 70 83 3C 24 00 75 12 53 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_71385_0 {
	meta:
		name = "TCustomScreenTipsManager.DoDuplicateCreateError"
		size = 31
		altNames = "TServerWinSocket.ThreadEnd"
	strings:
		$1 = { 53 66 83 B8 8A 00 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 8C 00 00 00 FF 93 88 00 00 00 5B C3 }
	condition:
		$1
}

rule function_71387_0 {
	meta:
		name = "TServerWinSocket.GetServerThread"
		size = 208
		refs = "0021 TServerWinSocket.GetServerThread 0045 TList.Get 0066 TServerClientThread.ReActivate 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 55 F8 89 45 FC 33 C0 89 45 F4 8B 45 FC 8B 40 68 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 64 8B 70 08 4E 85 F6 7C 37 46 33 DB 8B 45 FC 8B 40 64 8B D3 E8 ?? ?? ?? ?? 83 78 40 00 75 1D 8B 45 FC 8B 40 64 8B D3 E8 ?? ?? ?? ?? 89 45 F4 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? EB 04 43 4E 75 CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 68 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 83 7D F4 00 75 31 8B 45 FC 66 83 78 7A 00 74 13 8D 45 F4 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 7C FF 53 78 83 7D F4 00 75 0E 8B 55 F8 8B 45 FC 8B 08 FF 51 14 89 45 F4 8B 45 F4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71388_0 {
	meta:
		name = "TServerWinSocket.GetClientThread"
		size = 142
		refs = "0021 TServerWinSocket.GetClientThread 0045 TList.Get 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 89 45 FC 33 C0 89 45 F8 8B 45 FC 8B 40 68 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 64 8B 70 08 4E 85 F6 7C 2B 46 33 DB 8B 45 FC 8B 40 64 8B D3 E8 ?? ?? ?? ?? 3B 78 40 75 12 8B 45 FC 8B 40 64 8B D3 E8 ?? ?? ?? ?? 89 45 F8 EB 04 43 4E 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 68 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71389_0 {
	meta:
		name = "TCustomTcpServer.DoAccept"
		size = 31
		altNames = "TServerWinSocket.ClientConnect"
	strings:
		$1 = { 53 66 83 B8 92 00 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 94 00 00 00 FF 93 90 00 00 00 5B C3 }
	condition:
		$1
}

rule function_71390_0 {
	meta:
		name = "TServerWinSocket.ClientDisconnect"
		size = 48
		refs = "0029 TCustomWinSocket.DeferFree"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 BB 9A 00 00 00 00 74 10 8B CE 8B D3 8B 83 9C 00 00 00 FF 93 98 00 00 00 80 7B 58 00 75 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71391_0 {
	meta:
		name = "TServerWinSocket.ClientRead"
		size = 31
	strings:
		$1 = { 53 66 83 B8 A2 00 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 A4 00 00 00 FF 93 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_71392_0 {
	meta:
		name = "TServerWinSocket.ClientWrite"
		size = 31
	strings:
		$1 = { 53 66 83 B8 AA 00 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 AC 00 00 00 FF 93 A8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_71393_0 {
	meta:
		name = "TServerWinSocket.ClientErrorEvent"
		size = 42
	strings:
		$1 = { 55 8B EC 53 66 83 B8 B2 00 00 00 00 74 17 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 B4 00 00 00 FF 93 B0 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_71394_0 {
	meta:
		name = "TServerAcceptThread.Create"
		size = 65
		refs = "000d @ClassCreate 0020 TThread.Create 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 89 46 40 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_71395_0 {
	meta:
		name = "TServerAcceptThread.Execute"
		size = 27
	strings:
		$1 = { 53 56 8B D8 EB 0C 8B 73 40 8B 56 04 8B C6 8B 08 FF 11 80 7B 0D 00 74 EE 5E 5B C3 }
	condition:
		$1
}

rule function_71396_0 {
	meta:
		name = "TServerClientThread.Create"
		size = 119
		refs = "000e @ClassCreate 0022 _Dn_TSimpleEvent 0027 TEvent.Create 0035 TThread.Create 003e TThread.SetPriority 0048 TServerClientThread.ReActivate 0053 TThread.Resume 0060 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 C6 46 0F 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C B1 01 33 D2 8B C6 E8 ?? ?? ?? ?? B2 04 8B C6 E8 ?? ?? ?? ?? 8B 55 08 8B C6 E8 ?? ?? ?? ?? 84 DB 75 07 8B C6 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_71397_0 {
	meta:
		name = "TServerClientThread.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TThread.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 40 E8 ?? ?? ?? ?? 8B 46 4C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71398_0 {
	meta:
		name = "TServerClientThread.ReActivate"
		size = 60
		refs = "0017 TServerWinSocket.AddThread 0024 TServerClientThread.HandleEvent 002e TServerClientThread.HandleError 0036 TEvent.SetEvent"
	strings:
		$1 = { 53 8B D8 8B C2 89 43 40 85 C0 74 2E 8B 50 58 89 53 44 8B C2 8B D3 E8 ?? ?? ?? ?? 8B 43 40 89 58 34 C7 40 30 ?? ?? ?? ?? 89 58 3C C7 40 38 ?? ?? ?? ?? 8B 43 4C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_71399_0 {
	meta:
		name = "TServerClientThread.DoHandleException"
		size = 76
		refs = "0005 GetCapture 001a SendMessage 0027 ApplicationShowException 0045 ShowException"
	strings:
		$1 = { 53 56 8B D8 E8 ?? ?? ?? ?? 85 C0 74 11 6A 00 6A 00 6A 1F E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 48 85 C0 74 1D 8B 15 ?? ?? ?? ?? 66 83 7A 02 00 74 17 8B 35 ?? ?? ?? ?? 8B D0 8B 46 04 FF 16 5E 5B C3 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71400_0 {
	meta:
		name = "TServerClientThread.DoRead"
		size = 26
		refs = "0013 @CallDynaInst"
	strings:
		$1 = { 53 56 8B 50 40 8B 4A 58 B3 07 8B C1 8B CB 66 BE FF FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71401_0 {
	meta:
		name = "TServerClientThread.DoTerminate"
		size = 26
		refs = "0006 TThread.DoTerminate 0014 TServerWinSocket.RemoveThread"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 44 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_71402_0 {
	meta:
		name = "TServerClientThread.DoWrite"
		size = 20
		refs = "000e @CallDynaInst"
	strings:
		$1 = { 56 B1 06 8B 50 40 8B 40 44 66 BE FF FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_71403_0 {
	meta:
		name = "TServerClientThread.HandleEvent"
		size = 16
	strings:
		$1 = { 55 8B EC 0F B6 55 08 8B 08 FF 51 10 5D C2 04 00 }
	condition:
		$1
}

rule function_71404_0 {
	meta:
		name = "TServerClientThread.HandleError"
		size = 21
	strings:
		$1 = { 55 8B EC 53 0F B6 55 0C 8B 4D 08 8B 18 FF 53 14 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_71405_0 {
	meta:
		name = "TServerClientThread.Event"
		size = 14
		refs = "0009 TServerWinSocket.ClientEvent"
	strings:
		$1 = { 52 8B 48 40 8B 50 44 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71406_0 {
	meta:
		name = "TServerClientThread.Error"
		size = 19
		refs = "000e TServerWinSocket.ClientError"
	strings:
		$1 = { 52 51 8B 50 44 8B C8 8B 40 40 92 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71407_0 {
	meta:
		name = "TServerClientThread.HandleException"
		size = 102
		refs = "0009 ExceptObject 0019 TServerClientThread.HandleException 0027 _Dn_EAbort 002c @IsClass 0039 TServerClientThread.DoHandleException 0041 TThread.Synchronize 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 48 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 48 C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_71408_0 {
	meta:
		name = "TServerClientThread.Execute"
		size = 168
		refs = "0018 @CallDynaInst 0020 TServerClientThread.Execute 003c TServerClientThread.StartConnect 0050 TServerClientThread.EndConnect 0063 @HandleAnyException 0077 @DoneExcept 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 40 44 8B 55 FC 66 BE FC FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 E0 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 18 8B 45 FC C6 40 50 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 55 FC 66 BE FD FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71409_0 {
	meta:
		name = "TServerClientThread.ClientExecute"
		size = 168
		refs = "0016 FD_ZERO 0023 FD_SET 003b select 0052 TCustomWinSocket.ReceiveBuf 005c TServerClientThread.DoRead 0063 TThread.Synchronize 0080 TServerClientThread.DoWrite"
	strings:
		$1 = { 53 56 57 81 C4 F4 FE FF FF 8B D8 8D 74 24 08 8B FC EB 78 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 43 40 8B 40 04 E8 ?? ?? ?? ?? 33 C0 89 07 C7 47 04 F4 01 00 00 57 6A 00 6A 00 56 6A 00 E8 ?? ?? ?? ?? 85 C0 7E 24 80 7B 0D 00 75 1E 8B D6 83 C9 FF 8B 43 40 E8 ?? ?? ?? ?? 85 C0 74 44 53 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 57 6A 00 56 6A 00 6A 00 E8 ?? ?? ?? ?? 85 C0 7E 13 80 7B 0D 00 75 0D 53 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7B 0D 00 75 0D 8B 43 40 80 78 08 00 0F 85 75 FF FF FF 81 C4 0C 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71410_0 {
	meta:
		name = "TServerClientThread.StartConnect"
		size = 34
		refs = "0016 TEvent.ResetEvent"
	strings:
		$1 = { 53 8B D8 83 CA FF 8B 43 4C 8B 08 FF 51 08 84 C0 75 08 8B 43 4C E8 ?? ?? ?? ?? 0F B6 43 0D 34 01 5B C3 }
	condition:
		$1
}

rule function_71411_0 {
	meta:
		name = "TServerClientThread.EndConnect"
		size = 36
		refs = "0007 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 40 E8 ?? ?? ?? ?? 33 C0 89 43 40 80 7B 0D 00 75 0A 80 7B 50 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_71412_0 {
	meta:
		name = "TAbstractSocket.DoEvent"
		size = 20
	strings:
		$1 = { 55 8B EC 53 0F B6 55 08 87 D1 8B 18 FF 53 40 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_71413_0 {
	meta:
		name = "TAbstractSocket.DoError"
		size = 24
	strings:
		$1 = { 55 8B EC 53 8B 55 08 52 0F B6 55 0C 87 D1 8B 18 FF 53 44 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_71414_0 {
	meta:
		name = "TAbstractSocket.SetActive"
		size = 32
	strings:
		$1 = { 3A 50 38 74 1A F6 40 1C 10 75 06 F6 40 1C 01 74 03 88 50 38 F6 40 1C 01 75 05 8B 08 FF 51 48 C3 }
	condition:
		$1
}

rule function_71415_0 {
	meta:
		name = "TAbstractSocket.InitSocket"
		size = 21
		refs = "0006 TAbstractSocket.DoEvent 0010 TAbstractSocket.DoError"
	strings:
		$1 = { 89 42 34 C7 42 30 ?? ?? ?? ?? 89 42 3C C7 42 38 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71416_0 {
	meta:
		name = "TAbstractSocket.Loaded"
		size = 23
		refs = "0006 TComponent.Loaded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 53 38 8B C3 8B 08 FF 51 48 5B C3 }
	condition:
		$1
}

rule function_71417_0 {
	meta:
		name = "TAbstractSocket.SetAddress"
		size = 126
		refs = "000e @UStrAddRef 0016 TAbstractSocket.SetAddress 0027 CompareText 003d sCantChangeWhileActive 0044 _DV_ESocketError 0049 Exception.CreateRes 004e @RaiseExcept 0059 @UStrAsg 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 40 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 2E F6 43 1C 01 75 1D 80 7B 38 00 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 40 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_71418_0 {
	meta:
		name = "TAbstractSocket.SetHost"
		size = 126
		refs = "000e @UStrAddRef 0016 TAbstractSocket.SetHost 0027 CompareText 003d sCantChangeWhileActive 0044 _DV_ESocketError 0049 Exception.CreateRes 004e @RaiseExcept 0059 @UStrAsg 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 44 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 2E F6 43 1C 01 75 1D 80 7B 38 00 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 44 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_71419_0 {
	meta:
		name = "TAbstractSocket.SetPort"
		size = 44
		refs = "0013 sCantChangeWhileActive 001a _DV_ESocketError 001f Exception.CreateRes 0024 @RaiseExcept"
	strings:
		$1 = { 3B 50 3C 74 26 F6 40 1C 01 75 1D 80 78 38 00 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 50 3C C3 }
	condition:
		$1
}

rule function_71420_0 {
	meta:
		name = "TAbstractSocket.SetService"
		size = 126
		refs = "000e @UStrAddRef 0016 TAbstractSocket.SetService 0027 CompareText 003d sCantChangeWhileActive 0044 _DV_ESocketError 0049 Exception.CreateRes 004e @RaiseExcept 0059 @UStrAsg 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 48 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 2E F6 43 1C 01 75 1D 80 7B 38 00 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 48 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_71423_0 {
	meta:
		name = "TCustomSocket.Event"
		size = 262
		refs = "0010 TCustomSocket.Event"
	strings:
		$1 = { 53 83 E1 7F 83 F9 07 0F 87 F7 00 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 83 78 52 00 0F 84 C5 00 00 00 8B D8 8B CA 8B D0 8B 43 54 FF 53 50 5B C3 66 83 78 62 00 0F 84 AC 00 00 00 8B D8 8B CA 8B D0 8B 43 64 FF 53 60 5B C3 C6 40 38 01 66 83 78 5A 00 0F 84 8F 00 00 00 8B D8 8B CA 8B D0 8B 43 5C FF 53 58 5B C3 C6 40 38 01 66 83 78 72 00 74 76 8B D8 8B CA 8B D0 8B 43 74 FF 53 70 5B C3 C6 40 38 00 66 83 78 6A 00 74 5D 8B D8 8B CA 8B D0 8B 43 6C FF 53 68 5B C3 66 83 78 7A 00 74 48 8B D8 8B CA 8B D0 8B 43 7C FF 53 78 5B C3 66 83 B8 82 00 00 00 00 74 30 8B D8 8B CA 8B D0 8B 83 84 00 00 00 FF 93 80 00 00 00 5B C3 66 83 B8 8A 00 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 8C 00 00 00 FF 93 88 00 00 00 5B C3 }
	condition:
		$1
}

rule function_71424_0 {
	meta:
		name = "TCustomSocket.Error"
		size = 42
	strings:
		$1 = { 55 8B EC 53 66 83 B8 92 00 00 00 00 74 17 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 94 00 00 00 FF 93 90 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_71425_0 {
	meta:
		name = "TWinSocketStream.Create"
		size = 128
		refs = "000e @ClassCreate 001b TWinSocketStream.Create 0026 sSocketMustBeBlocking 002d _DV_ESocketError 0032 Exception.CreateRes 0037 @RaiseExcept 0049 _Dn_TSimpleEvent 004e TEvent.Create 005a TObject.Create 0065 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 0F B6 05 ?? ?? ?? ?? 3A 46 28 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 77 04 8B 45 08 89 47 08 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 00 00 00 00 }
	condition:
		$1
}

rule function_71427_0 {
	meta:
		name = "TWinSocketStream.WaitForData"
		size = 100
		refs = "0032 FD_ZERO 0041 FD_SET 0052 select"
	strings:
		$1 = { 53 56 81 C4 F4 FE FF FF 8B CA 8B D8 8B C1 BE E8 03 00 00 99 F7 FE 89 04 24 8B C1 B9 E8 03 00 00 99 F7 F9 69 C2 E8 03 00 00 89 44 24 04 8D 44 24 08 E8 ?? ?? ?? ?? 8D 54 24 08 8B 43 04 8B 40 04 E8 ?? ?? ?? ?? 54 6A 00 6A 00 8D 44 24 14 50 6A 00 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 81 C4 0C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_71428_0 {
	meta:
		name = "TWinSocketStream.Read"
		size = 355
		refs = "001b TWinSocketStream.Read 002c TCustomWinSocket.Lock 0049 @FillChar 006e ReadFile 0077 GetLastError 008d sSocketRead 0092 LoadResString 00ad SysErrorMessage 00c3 sSocketIOError 00ca _DV_ESocketError 00cf Exception.CreateResFmt 00d4 @RaiseExcept 0109 GetOverlappedResult 0114 TEvent.ResetEvent 012c TCustomWinSocket.Unlock 0132 @HandleFinally 014e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 33 DB 89 5D C8 89 5D C4 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 04 89 45 F4 8D 45 E4 50 8D 45 F8 50 56 53 8B 45 FC 8B 40 04 8B 40 04 50 E8 ?? ?? ?? ?? 85 C0 75 62 E8 ?? ?? ?? ?? 3D E5 03 00 00 74 56 E8 ?? ?? ?? ?? 8B D8 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 89 45 CC C6 45 D0 11 89 5D D4 C6 45 D8 00 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8B 45 C4 89 45 DC C6 45 E0 11 8D 45 CC 50 6A 02 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 45 FC 8B 40 0C 8B 08 FF 51 08 84 C0 74 07 33 C0 89 45 F8 EB 24 6A 00 8D 45 F8 50 8D 45 E4 50 8B 45 FC 8B 40 04 8B 40 04 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71429_0 {
	meta:
		name = "TWinSocketStream.Write"
		size = 344
		refs = "001b TWinSocketStream.Write 002c TCustomWinSocket.Lock 0049 @FillChar 006e WriteFile 0077 GetLastError 008d sSocketWrite 0092 LoadResString 00ad SysErrorMessage 00c3 sSocketIOError 00ca _DV_ESocketError 00cf Exception.CreateResFmt 00d4 @RaiseExcept 0109 GetOverlappedResult 0121 TCustomWinSocket.Unlock 0127 @HandleFinally 0143 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 33 DB 89 5D C8 89 5D C4 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 40 04 89 45 F4 8D 45 E4 50 8D 45 F8 50 56 53 8B 45 FC 8B 40 04 8B 40 04 50 E8 ?? ?? ?? ?? 85 C0 75 62 E8 ?? ?? ?? ?? 3D E5 03 00 00 74 56 E8 ?? ?? ?? ?? 8B D8 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 89 45 CC C6 45 D0 11 89 5D D4 C6 45 D8 00 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8B 45 C4 89 45 DC C6 45 E0 11 8D 45 CC 50 6A 02 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 45 FC 8B 40 0C 8B 08 FF 51 08 84 C0 74 07 33 C0 89 45 F8 EB 19 6A 00 8D 45 F8 50 8D 45 E4 50 8B 45 FC 8B 40 04 8B 40 04 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71431_0 {
	meta:
		name = "TClientSocket.Create"
		size = 94
		refs = "000e @ClassCreate 001c TComponent.Create 0026 _DV_TClientWinSocket 002b TCustomWinSocket.Create 003c TAbstractSocket.InitSocket 0049 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 83 C9 FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 98 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71433_0 {
	meta:
		name = "TClientSocket.DoActivate"
		size = 78
		refs = "0034 TClientSocket.GetClientType 0047 TCustomWinSocket.Open"
	strings:
		$1 = { 56 57 8B F0 8B BE 98 00 00 00 0F B6 47 08 3A D0 74 39 F6 46 1C 10 75 33 84 C0 74 0C 8B 57 04 8B C7 8B 08 FF 51 08 EB 23 8B 46 48 50 0F B7 46 3C 50 8B C6 E8 ?? ?? ?? ?? 3C 01 0F 94 C0 50 8B 4E 40 8B 56 44 8B C7 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_71434_0 {
	meta:
		name = "TClientSocket.GetClientType"
		size = 11
		altNames = "TCustomServerSocket.GetServerType"
	strings:
		$1 = { 8B 80 98 00 00 00 0F B6 40 58 C3 }
	condition:
		$1
}

rule function_71437_0 {
	meta:
		name = "TCustomServerSocket.DoActivate"
		size = 67
		refs = "003c TServerWinSocket.Listen"
	strings:
		$1 = { 56 57 8B F0 8B BE 98 00 00 00 0F B6 47 08 3A D0 74 2E F6 46 1C 10 75 28 84 C0 74 0C 8B 57 04 8B C7 8B 08 FF 51 08 EB 18 8D 46 48 50 0F B7 46 3C 50 6A 05 8D 4E 40 8D 56 44 8B C7 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_71440_0 {
	meta:
		name = "TCustomServerSocket.GetGetThreadEvent"
		size = 18
	strings:
		$1 = { 8B 80 98 00 00 00 8B 48 78 89 0A 8B 48 7C 89 4A 04 C3 }
	condition:
		$1
}

rule function_71441_0 {
	meta:
		name = "TCustomServerSocket.SetGetThreadEvent"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 80 98 00 00 00 8B 55 08 89 50 78 8B 55 0C 89 50 7C 5D C2 08 00 }
	condition:
		$1
}

rule function_71442_0 {
	meta:
		name = "TCustomServerSocket.GetGetSocketEvent"
		size = 18
	strings:
		$1 = { 8B 80 98 00 00 00 8B 48 70 89 0A 8B 48 74 89 4A 04 C3 }
	condition:
		$1
}

rule function_71443_0 {
	meta:
		name = "TCustomServerSocket.SetGetSocketEvent"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 80 98 00 00 00 8B 55 08 89 50 70 8B 55 0C 89 50 74 5D C2 08 00 }
	condition:
		$1
}

rule function_71444_0 {
	meta:
		name = "TCustomServerSocket.GetThreadCacheSize"
		size = 10
	strings:
		$1 = { 8B 80 98 00 00 00 8B 40 5C C3 }
	condition:
		$1
}

rule function_71446_0 {
	meta:
		name = "TCustomServerSocket.GetOnThreadStart"
		size = 24
	strings:
		$1 = { 8B 80 98 00 00 00 8B 88 80 00 00 00 89 0A 8B 88 84 00 00 00 89 4A 04 C3 }
	condition:
		$1
}

rule function_71447_0 {
	meta:
		name = "TCustomServerSocket.GetOnThreadEnd"
		size = 24
	strings:
		$1 = { 8B 80 98 00 00 00 8B 88 88 00 00 00 89 0A 8B 88 8C 00 00 00 89 4A 04 C3 }
	condition:
		$1
}

rule function_71448_0 {
	meta:
		name = "TCustomServerSocket.SetOnThreadStart"
		size = 31
	strings:
		$1 = { 55 8B EC 8B 80 98 00 00 00 8B 55 08 89 90 80 00 00 00 8B 55 0C 89 90 84 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_71449_0 {
	meta:
		name = "TCustomServerSocket.SetOnThreadEnd"
		size = 31
	strings:
		$1 = { 55 8B EC 8B 80 98 00 00 00 8B 55 08 89 90 88 00 00 00 8B 55 0C 89 90 8C 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_71450_0 {
	meta:
		name = "TCustomServerSocket.GetOnClientEvent"
		size = 118
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 21 4A 74 37 4A 74 4D EB 62 8B 80 98 00 00 00 8B 90 A0 00 00 00 89 13 8B 90 A4 00 00 00 89 53 04 5B C3 8B 80 98 00 00 00 8B 90 A8 00 00 00 89 13 8B 90 AC 00 00 00 89 53 04 5B C3 8B 80 98 00 00 00 8B 90 90 00 00 00 89 13 8B 90 94 00 00 00 89 53 04 5B C3 8B 80 98 00 00 00 8B 90 98 00 00 00 89 13 8B 90 9C 00 00 00 89 53 04 5B C3 }
	condition:
		$1
}

rule function_71451_0 {
	meta:
		name = "TCustomServerSocket.SetOnClientEvent"
		size = 124
	strings:
		$1 = { 55 8B EC 83 EA 01 72 0A 74 22 4A 74 39 4A 74 50 EB 66 8B 80 98 00 00 00 8B 55 08 89 90 A0 00 00 00 8B 55 0C 89 90 A4 00 00 00 EB 4C 8B 80 98 00 00 00 8B 55 08 89 90 A8 00 00 00 8B 55 0C 89 90 AC 00 00 00 EB 32 8B 80 98 00 00 00 8B 55 08 89 90 90 00 00 00 8B 55 0C 89 90 94 00 00 00 EB 18 8B 80 98 00 00 00 8B 55 08 89 90 98 00 00 00 8B 55 0C 89 90 9C 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_71452_0 {
	meta:
		name = "TCustomServerSocket.GetOnClientError"
		size = 24
	strings:
		$1 = { 8B 80 98 00 00 00 8B 88 B0 00 00 00 89 0A 8B 88 B4 00 00 00 89 4A 04 C3 }
	condition:
		$1
}

rule function_71453_0 {
	meta:
		name = "TCustomServerSocket.SetOnClientError"
		size = 31
	strings:
		$1 = { 55 8B EC 8B 80 98 00 00 00 8B 55 08 89 90 B0 00 00 00 8B 55 0C 89 90 B4 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_71454_0 {
	meta:
		name = "TServerSocket.Create"
		size = 110
		refs = "000e @ClassCreate 001c TComponent.Create 0026 _DV_TServerWinSocket 002b TServerWinSocket.Create 003c TAbstractSocket.InitSocket 004c TServerWinSocket.SetThreadCacheSize 0059 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 83 C9 FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 98 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 98 00 00 00 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71459_0 {
	meta:
		name = "TApartmentThread.Create"
		size = 202
		refs = "0011 @ClassCreate 002a @IntfAddRef 003a TApartmentThread.Create 004b @IntfCopy 006f CreateSemaphore 0081 TThread.Create 0096 @IntfClear 00a4 @HandleFinally 00b1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 08 8D 7D EC A5 A5 A5 A5 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 40 8B 55 FC E8 ?? ?? ?? ?? 8D 46 44 8B 55 0C E8 ?? ?? ?? ?? 56 8D 7E 48 8D 75 EC A5 A5 A5 A5 5E 6A 00 6A 01 6A 00 6A 00 E8 ?? ?? ?? ?? 89 46 58 C6 46 0F 01 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_71460_0 {
	meta:
		name = "TApartmentThread.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 CloseHandle 001b TThread.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 58 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71461_0 {
	meta:
		name = "TApartmentThread.Execute"
		size = 302
		refs = "0014 TApartmentThread.Execute 002f CoInitialize 0045 @IntfClear 008a CoMarshalInterThreadInterfaceInStream 0097 ReleaseSemaphore 00a8 DispatchMessage 00cc GetMessage 00ea CoUninitialize 00f0 @HandleFinally 0101 @HandleAnyException 0106 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 8D 43 48 50 6A 00 8B 43 44 50 8B 43 40 50 8B 00 FF 50 1C 89 43 60 8D 43 44 E8 ?? ?? ?? ?? 8D 43 40 E8 ?? ?? ?? ?? 83 7B 60 00 75 16 8D 43 5C E8 ?? ?? ?? ?? 50 8B 45 FC 50 8D 43 48 50 E8 ?? ?? ?? ?? 6A 00 6A 01 8B 43 58 50 E8 ?? ?? ?? ?? 83 7B 60 00 75 33 EB 1E 8D 45 E0 50 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 04 8B 45 FC 50 8B 00 FF 50 08 48 74 13 6A 00 6A 00 6A 00 8D 45 E0 50 E8 ?? ?? ?? ?? 85 C0 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71462_0 {
	meta:
		name = "TVCLAutoObject.Create"
		size = 67
		refs = "000d @ClassCreate 0022 TAutoObject.CreateFromFactory 002d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 89 46 30 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_71463_0 {
	meta:
		name = "TVCLAutoObject.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 001e TObject.Free 0029 TComObject.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 30 85 C0 74 10 33 D2 89 50 20 80 7E 34 00 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71464_0 {
	meta:
		name = "TVCLAutoObject.FreeOnRelease"
		size = 5
	strings:
		$1 = { C6 40 34 01 C3 }
	condition:
		$1
}

rule function_71465_0 {
	meta:
		name = "TVCLAutoObject.Initialize"
		size = 53
		refs = "0006 TAutoObject.Initialize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 30 00 75 14 8B 43 08 8B 40 0C 33 C9 B2 01 FF 50 38 89 43 30 C6 43 34 01 8B C3 85 C0 74 03 83 E8 C8 8B 53 30 89 42 20 5B C3 }
	condition:
		$1
}

rule function_71466_0 {
	meta:
		name = "TVCLAutoObject.Invoke"
		size = 57
		refs = "0031 DispInvoke"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 4D 28 51 8B 4D 24 51 8B 4D 20 51 8B 4D 1C 51 0F B7 4D 18 51 8B 4D 0C 51 8B 50 08 8B 4A 50 51 8B 52 54 8B 52 14 03 50 30 52 E8 ?? ?? ?? ?? 5D C2 24 00 }
	condition:
		$1
}

rule function_71467_0 {
	meta:
		name = "TVCLAutoObject.ObjQueryInterface"
		size = 63
		refs = "0013 TComObject.ObjQueryInterface 002c TObject.GetInterface"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 0C 8B 5D 08 8B 45 10 50 57 53 E8 ?? ?? ?? ?? 8B F0 85 F6 74 19 83 7B 30 00 74 13 8B 4D 10 8B D7 8B 43 30 E8 ?? ?? ?? ?? 84 C0 74 02 33 F6 8B C6 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_71468_0 {
	meta:
		name = "TComponentFactory.Create"
		size = 77
		refs = "000d @ClassCreate 002c TAutoObjectFactory.Create 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 14 50 8B 45 10 50 0F B6 45 0C 50 0F B6 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_71469_0 {
	meta:
		name = "TComponentFactory.CreateInstance"
		size = 210
		refs = "000d IsLibrary 002e TComObjectFactory.LockServer 0036 TComponentFactory.CreateInstance 004f _DV_TApartmentThread 0054 TApartmentThread.Create 0061 WaitForSingleObject 0076 @TryFinallyExit 0086 CoGetInterfaceAndReleaseStream 00b0 @HandleFinally 00c1 TComObjectFactory.CreateInstance"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 10 8B 5D 0C A1 ?? ?? ?? ?? 80 38 00 0F 85 9C 00 00 00 8B 45 08 80 78 46 01 0F 85 8F 00 00 00 6A FF 8B 45 08 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 56 8B 4D 08 85 C9 74 03 83 E9 B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 6A FF 8B 43 58 50 E8 ?? ?? ?? ?? 85 C0 75 26 8B 43 60 89 45 FC 83 7D FC 00 74 07 E8 ?? ?? ?? ?? EB 4C 8B 45 14 50 56 8B 43 5C 50 E8 ?? ?? ?? ?? 89 45 FC EB 07 C7 45 FC 05 40 00 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 14 50 56 53 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_71470_0 {
	meta:
		name = "TComponentFactory.UpdateRegistry"
		size = 128
		refs = "0011 TComponentFactory.UpdateRegistry 0024 TTypedComObjectFactory.UpdateRegistry 003c GUIDToString 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 8B 08 FF 11 8B 45 FC 50 8D 55 F8 8D 46 10 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B 46 0C FF 50 28 84 DB 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71471_0 {
	meta:
		name = "TComponentFactory.CreateComObject"
		size = 16
		refs = "0004 _DV_TVCLAutoObject 000b TAutoObject.CreateFromFactory"
	strings:
		$1 = { 52 8B C8 A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73574_0 {
	meta:
		name = "TActiveXPropertyPageFactory.CreateComObject"
		size = 16
		refs = "0004 _DV_TActiveXPropertyPage 000b TComObject.CreateFromFactory"
	strings:
		$1 = { 52 8B C8 A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_71472_0 {
	meta:
		name = "CreateVCLComObject"
		size = 44
		refs = "0006 ComClassManager 0016 TComClassManager.GetFactoryFromClass 001f _DV_TVCLAutoObject 0024 TVCLAutoObject.Create"
	strings:
		$1 = { 53 56 57 8B F0 E8 ?? ?? ?? ?? 8B D8 8B 06 89 C7 56 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71487_0 {
	meta:
		name = "VerifyRead"
		size = 60
		refs = "0022 SZipErrorRead 0029 _DV_EZipException 002e Exception.CreateRes 0033 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 89 55 FC 8B F0 8B 55 FC 8B CB 8B C6 8B 30 FF 56 0C 3B D8 74 1A FF 75 04 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71488_0 {
	meta:
		name = "VerifyWrite"
		size = 60
		refs = "0022 SZipErrorWrite 0029 _DV_EZipException 002e Exception.CreateRes 0033 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 89 55 FC 8B F0 8B 55 FC 8B CB 8B C6 8B 30 FF 56 10 3B D8 74 1A FF 75 04 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71489_0 {
	meta:
		name = "TStoredStream.Create"
		size = 71
		refs = "000e @ClassCreate 001f TStream.GetPosition 0032 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B F1 89 73 04 8B C6 E8 ?? ?? ?? ?? 89 43 08 89 53 0C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71494_0 {
	meta:
		name = "TZipCompressionToString"
		size = 968
		refs = "001d TZipCompressionToString 0099 @UStrAsg"
	strings:
		$1 = { 53 8B DA 83 E0 7F 83 F8 08 7F 36 0F 84 F0 00 00 00 83 F8 07 0F 87 65 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 12 7F 2D 0F 84 FB 00 00 00 83 E8 09 0F 84 BA 00 00 00 48 0F 84 C1 00 00 00 83 E8 02 0F 84 C6 00 00 00 83 E8 02 0F 84 CB 00 00 00 E9 0C 01 00 00 83 E8 13 0F 84 D9 00 00 00 83 E8 4E 0F 84 DE 00 00 00 48 0F 84 E5 00 00 00 E9 EE 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 74 00 6F 00 72 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 68 00 72 00 75 00 6E 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 65 00 64 00 75 00 63 00 65 00 64 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 65 00 64 00 75 00 63 00 65 00 64 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 65 00 64 00 75 00 63 00 65 00 64 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 65 00 64 00 75 00 63 00 65 00 64 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 6D 00 70 00 6C 00 6F 00 64 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 6F 00 6B 00 65 00 6E 00 69 00 7A 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 65 00 66 00 6C 00 61 00 74 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 65 00 66 00 6C 00 61 00 74 00 65 00 64 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 6D 00 70 00 6C 00 6F 00 64 00 65 00 64 00 28 00 54 00 45 00 52 00 53 00 45 00 29 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 5A 00 49 00 50 00 32 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 5A 00 4D 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 45 00 52 00 53 00 45 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 5A 00 37 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 61 00 76 00 50 00 61 00 63 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 50 00 50 00 4D 00 64 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 49 00 2C 00 20 00 52 00 65 00 76 00 20 00 31 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 00 00 }
	condition:
		$1
}

rule function_71495_0 {
	meta:
		name = "TZipFile.GetFileComment"
		size = 137
		refs = "0021 TZipFile.GetFileComment 0033 SZipNotOpen 003a _DV_EZipException 003f Exception.CreateRes 0044 @RaiseExcept 0051 TList<System.Zip.TZipHeader>.GetItem 005b @UStrFromLStr 0071 TZipHeader 0076 @FinalizeRecord 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 04 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D C8 8B D6 8B 43 20 E8 ?? ?? ?? ?? 8B 55 FA 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71496_0 {
	meta:
		name = "TZipFile.GetFileCount"
		size = 36
		refs = "0008 SZipNotOpen 000f _DV_EZipException 0014 Exception.CreateRes 0019 @RaiseExcept"
	strings:
		$1 = { 80 78 04 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 20 8B 40 08 C3 }
	condition:
		$1
}

rule function_71497_0 {
	meta:
		name = "TZipFile.GetFileInfo"
		size = 54
		refs = "0011 SZipNotOpen 0018 _DV_EZipException 001d Exception.CreateRes 0022 @RaiseExcept 002e TList<System.Zip.TZipHeader>.GetItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 7B 04 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF 8B D6 8B 43 20 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71498_0 {
	meta:
		name = "TZipFile.GetFileInfos"
		size = 48
		refs = "000e SZipNotOpen 0015 _DV_EZipException 001a Exception.CreateRes 001f @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 04 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 20 8B 08 FF 51 04 5E 5B C3 }
	condition:
		$1
}

rule function_71499_0 {
	meta:
		name = "TZipFile.GetFileName"
		size = 137
		refs = "0021 TZipFile.GetFileName 0033 SZipNotOpen 003a _DV_EZipException 003f Exception.CreateRes 0044 @RaiseExcept 0051 TList<System.Zip.TZipHeader>.GetItem 005b @UStrFromLStr 0071 TZipHeader 0076 @FinalizeRecord 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 04 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D C8 8B D6 8B 43 20 E8 ?? ?? ?? ?? 8B 55 F2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71500_0 {
	meta:
		name = "TZipFile.GetFileNames"
		size = 190
		refs = "001c TZipFile.GetFileNames 002e SZipNotOpen 0035 _DV_EZipException 003a Exception.CreateRes 003f @RaiseExcept 0054 TArray<System.string> 0059 @DynArraySetLength 0066 @DynArrayHigh 007c TList<System.Zip.TZipHeader>.GetItem 008c @UStrFromLStr 00a6 TZipHeader 00ab @FinalizeRecord 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7F 04 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 20 8B 40 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 24 46 33 DB 8D 4D C4 8B 47 20 8B D3 E8 ?? ?? ?? ?? 8B 55 EE 8B 45 FC 8B 00 8D 04 98 E8 ?? ?? ?? ?? 43 4E 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71501_0 {
	meta:
		name = "TZipFile.ReadCentralHeader"
		size = 491
		refs = "0010 TZipHeader 0015 @InitializeRecord 001d TZipFile.ReadCentralHeader 002b TList<System.Zip.TZipHeader>.Clear 004a TZipFile.LocateEndOfCentralHeader 0054 SZipErrorRead 005b _DV_EZipException 0060 Exception.CreateRes 0065 @RaiseExcept 0074 TStream.SetPosition 00a6 SIGNATURE_CENTRALHEADER 00ae SZipInvalidCentralHeader 00cf VerifyRead 00e5 @LStrSetLength 00f9 SetCodePage 0111 @UniqueStringA 013a TArray<System.Byte> 013f @DynArraySetLength 01b6 TList<System.Zip.TZipHeader>.Add 01d8 @FinalizeRecord 01de @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 8B D8 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 E8 ?? ?? ?? ?? 8B 43 08 8B 10 FF 12 83 FA 00 75 09 83 F8 00 0F 84 7D 01 00 00 8D 55 B2 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BE 33 D2 52 50 8B 43 08 E8 ?? ?? ?? ?? 8B 45 BE 33 D2 89 43 18 89 53 1C 0F B7 75 B8 4E 85 F6 0F 8C 31 01 00 00 46 8D 55 C4 B9 04 00 00 00 8B 43 08 8B 38 FF 57 0C 8B 45 C4 3B 05 ?? ?? ?? ?? 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 CA B9 2A 00 00 00 8B 43 08 E8 ?? ?? ?? ?? 0F B7 45 E2 66 85 C0 76 47 0F B7 D0 8D 45 F4 33 C9 E8 ?? ?? ?? ?? F6 45 CF 08 74 10 8D 45 F4 33 C9 66 BA E9 FD E8 ?? ?? ?? ?? EB 0E 8D 45 F4 33 C9 66 BA B5 01 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B D0 0F B7 4D E2 8B 43 08 E8 ?? ?? ?? ?? 0F B7 7D E4 66 85 FF 76 29 0F B7 C7 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 0F B7 4D E4 8B 55 F8 8B 43 08 E8 ?? ?? ?? ?? 0F B7 45 E6 66 85 C0 76 47 0F B7 D0 8D 45 FC 33 C9 E8 ?? ?? ?? ?? F6 45 CF 08 74 10 8D 45 F4 33 C9 66 BA E9 FD E8 ?? ?? ?? ?? EB 0E 8D 45 F4 33 C9 66 BA B5 01 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 0F B7 4D E6 8B 43 08 E8 ?? ?? ?? ?? F6 45 CF 08 75 04 C6 43 28 00 8D 55 CA 8B 43 20 E8 ?? ?? ?? ?? 4E 0F 85 D0 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71502_0 {
	meta:
		name = "TZipFile.SetFileComment"
		size = 242
		refs = "0013 @UStrAddRef 001c TZipHeader 0021 @InitializeRecord 0029 TZipFile.SetFileComment 003f SZipNoWrite 0046 _DV_EZipException 004b Exception.CreateRes 0050 @RaiseExcept 005d TList<System.Zip.TZipHeader>.GetItem 007d @UStrSetLength 008e UTF8Encode 00a0 @LStrFromUStr 00bd TList<System.Zip.TZipHeader>.SetItem 00d8 @FinalizeRecord 00e0 @UStrClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 43 04 04 FE 2C 02 72 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D C6 8B D6 8B 43 20 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 3D FF FF 00 00 7E 0D 8D 45 FC BA FF FF 00 00 E8 ?? ?? ?? ?? 80 7B 28 00 74 0D 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 10 8D 45 F8 8B 55 FC B9 B5 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 66 89 45 E2 8D 4D C6 8B D6 8B 43 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71503_0 {
	meta:
		name = "TZipFile.SetUTF8Support"
		size = 76
		refs = "0013 SZipNoWrite 001a _DV_EZipException 001f Exception.CreateRes 0024 @RaiseExcept 0033 SZipNotEmpty"
	strings:
		$1 = { 3A 50 28 74 46 0F B6 48 04 80 C1 FE 80 E9 02 72 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 48 20 83 79 08 00 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 50 28 C3 }
	condition:
		$1
}

rule function_71504_0 {
	meta:
		name = "TZipFile.Create@$6050$ActRec.$0$Body"
		size = 21
		refs = "0006 _DV_TStoredStream 000d TStoredStream.Create"
		altNames = "TZipFile.Create@$6050$ActRec.$1$Body"
	strings:
		$1 = { 55 8B EC 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_71506_0 {
	meta:
		name = "TZipFile.Create@$6050$ActRec.$2$Body"
		size = 25
		refs = "000a _Dn_TZCompressionStream 0011 TZCompressionStream.Create"
	strings:
		$1 = { 55 8B EC 6A 02 6A F1 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_71507_0 {
	meta:
		name = "TZipFile.Create@$6050$ActRec.$3$Body"
		size = 23
		refs = "0008 _Dn_TZDecompressionStream 000f TZDecompressionStream.Create"
	strings:
		$1 = { 55 8B EC 6A F1 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_71508_0 {
	meta:
		name = "TZipFile.Create@"
		size = 174
		refs = "000a TZipFile.Create@ 0016 TZipFile.$ClassInitFlag 0020 _DV_TZipFile.Create@$6050$ActRec 0025 TObject.Create 0038 @IntfCopy 0041 _DV_TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 0046 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create 004b TZipFile.FCompressionHandler 0065 _DV_TZipFile 006a TZipFile.RegisterCompressionHandler 009e @IntfClear 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 70 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 EC 50 8B CB 85 C9 74 03 83 E9 E8 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 F4 50 8B CB 85 C9 74 03 83 E9 F0 B2 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_71510_0 {
	meta:
		name = "TZipFile.RegisterCompressionHandler"
		size = 132
		refs = "0013 @IntfAddRef 0023 TZipFile.RegisterCompressionHandler 0037 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>.Create 0041 TZipFile.FCompressionHandler 0046 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.AddOrSetValue 005c TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 0061 @FinalizeRecord 0069 @IntfClear 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B 55 FC 8D 45 F4 E8 ?? ?? ?? ?? 8D 4D F4 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71511_0 {
	meta:
		name = "TZipFile.IsValid"
		size = 265
		refs = "0010 @UStrAddRef 0018 TZipFile.IsValid 0037 _DV_TZipFile 003c TZipFile.Create 0059 _Dn_TFileStream 005e TFileStream.Create 007d TZipFile.LocateEndOfCentralHeader 0098 TObject.Free 009e @HandleFinally 00cc @HandleOnException 00d4 _Dn_Exception 00dd @DoneExcept 00f2 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 42 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E2 8B 45 F4 E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71512_0 {
	meta:
		name = "TZipFile.LocateEndOfCentralHeader"
		size = 463
		refs = "008f TStream.SetPosition 00a0 TStream.GetPosition 00ea VerifyRead 0108 SIGNATURE_ZIPENDOFHEADER 011e Move 0174 @UStrSetLength 017c @UniqueStringU 0197 @UStrClr"
	strings:
		$1 = { 53 56 57 81 C4 E8 FB FF FF 89 14 24 8B F0 8B 46 08 8B 10 FF 12 83 FA 00 75 09 3D FF FF 00 00 73 11 EB 02 7D 0D 8B 46 08 8B 10 FF 12 89 44 24 10 EB 08 C7 44 24 10 FF FF 00 00 C7 44 24 08 04 00 00 00 8B 44 24 08 3B 44 24 10 0F 83 6B 01 00 00 8B 44 24 08 05 00 04 00 00 3B 44 24 10 76 0A 8B 44 24 10 89 44 24 08 EB 08 81 44 24 08 00 04 00 00 8B 46 08 8B 10 FF 12 52 50 8B 44 24 10 33 D2 29 04 24 19 54 24 04 58 5A 52 50 8B 46 08 E8 ?? ?? ?? ?? 8B 46 08 8B 10 FF 12 52 50 8B 46 08 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 83 FA 00 75 09 3D 04 04 00 00 76 0E EB 02 7E 0A C7 44 24 0C 04 04 00 00 EB 17 8B 46 08 8B 10 FF 12 8B D8 8B 46 08 E8 ?? ?? ?? ?? 2B D8 89 5C 24 0C 8D 54 24 14 8B 4C 24 0C 8B 46 08 E8 ?? ?? ?? ?? 8B 7C 24 0C 83 EF 04 83 FF 00 0F 8C AF 00 00 00 8D 5C 3C 14 8B C3 8B 00 3B 05 ?? ?? ?? ?? 0F 85 90 00 00 00 8B 14 24 8D 43 04 B9 12 00 00 00 E8 ?? ?? ?? ?? 8B 04 24 66 83 78 10 00 76 67 8B 46 08 8B 10 FF 12 52 50 8B 44 24 10 33 D2 29 04 24 19 54 24 04 58 5A 52 50 8B C7 99 03 04 24 13 54 24 04 83 C4 08 83 C0 04 83 D2 00 83 C0 12 83 D2 00 52 50 8B 46 08 E8 ?? ?? ?? ?? 8B 14 24 0F B7 52 10 8D 46 24 E8 ?? ?? ?? ?? 8D 46 24 E8 ?? ?? ?? ?? 8B D0 8B 0C 24 0F B7 49 10 8B 46 08 8B 18 FF 53 0C EB 08 8D 46 24 E8 ?? ?? ?? ?? C6 44 24 04 01 EB 1E 4F 4B 83 FF FF 0F 85 55 FF FF FF 8B 44 24 08 3B 44 24 10 0F 82 95 FE FF FF C6 44 24 04 00 0F B6 44 24 04 81 C4 18 04 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71513_0 {
	meta:
		name = "TZipFile.ExtractZipFile"
		size = 170
		refs = "0010 @UStrAddRef 0020 TZipFile.ExtractZipFile 002d _DV_TZipFile 0032 TZipFile.Create 0050 TZipFile.Open 005b TZipFile.ExtractAll 0063 TZipFile.Close 0078 TObject.Free 007e @HandleFinally 009a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_71514_0 {
	meta:
		name = "TZipFile.ZipDirectoryContents"
		size = 440
		refs = "0024 @UStrAddRef 0034 TZipFile.ZipDirectoryContents 0041 _DV_TZipFile 0046 TZipFile.Create 0064 TZipFile.Open 0088 @UStrCat 009b TDirectory.GetFiles 00ad @UStrLAsg 00e2 @UStrCopy 00f4 StringReplace 0107 TZipFile.Add 0110 @DynArrayLength 011d TStringDynArray 0122 @DynArrayClear 0137 TObject.Free 013d @HandleFinally 0154 @UStrClr 016f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D F4 89 5D F0 89 5D EC 88 4D EB 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B1 03 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 66 83 7C 42 FE 5C 74 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 B1 01 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 DB EB 69 8D 45 F4 8B 55 EC 8B 14 9A E8 ?? ?? ?? ?? 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 8B 7D F4 85 FF 74 05 83 EF 04 8B 3F 0F B6 05 ?? ?? ?? ?? 50 8D 45 F0 50 8D 45 E0 50 8D 56 01 8B CF 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 EB 50 8B 4D F0 8B 55 F4 8B 45 E4 E8 ?? ?? ?? ?? 43 8B 45 EC E8 ?? ?? ?? ?? 3B D8 7C 8B 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_71515_0 {
	meta:
		name = "TZipFile.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TObject.Create 001e _DV_TList<System.Zip.TZipHeader> 0023 TList<System.Zip.TZipHeader>.Create 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 C6 46 04 00 C6 46 28 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_71516_0 {
	meta:
		name = "TZipFile.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 000e TZipFile.Close 0016 TObject.Free 0021 TObject.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71517_0 {
	meta:
		name = "TZipFile.Open"
		size = 227
		refs = "0014 @UStrAddRef 001c TZipFile.Open 0029 TZipFile.Close 0051 sArgumentInvalid 0058 _DV_EZipException 005d Exception.CreateRes 0062 @RaiseExcept 006d _Dn_TFileStream 0072 TFileStream.Create 00a4 @HandleAnyException 00b1 TObject.Free 00b6 @RaiseAgain 00bb @DoneExcept 00d0 @UStrClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C3 FE C8 74 0A FE C8 74 0A FE C8 74 0D EB 12 33 FF EB 25 BF 02 00 00 00 EB 1E BF 00 FF 00 00 EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 57 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B CB 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 89 46 0C 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 F8 33 D2 89 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71518_0 {
	meta:
		name = "TZipFile.Open"
		size = 191
		refs = "0012 TZipFile.Close 001c sArgumentInvalid 0023 _DV_EZipException 0028 Exception.CreateRes 002d @RaiseExcept 0048 SReadError 0068 TStream.GetPosition 0080 TZipFile.Open 008e TZipFile.ReadCentralHeader 009d @HandleAnyException 00aa @RaiseAgain 00af @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 DB 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 FB 01 75 27 8B C6 8B 10 FF 12 83 FA 00 75 1C 83 F8 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B FE 89 78 08 8B C7 E8 ?? ?? ?? ?? 8B 4D FC 89 41 10 89 51 14 8B C3 48 2C 02 73 37 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 88 58 04 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71519_0 {
	meta:
		name = "TZipFile.Close"
		size = 588
		refs = "0010 TZipHeader 0015 @InitializeRecord 001d TZipFile.Close 0058 TStream.SetPosition 005d SIGNATURE_CENTRALHEADER 0085 TList<System.Zip.TZipHeader>.GetItem 0098 VerifyWrite 00ba @UniqueStringA 011f @FillChar 013c TStream.GetPosition 0170 @UStrSetLength 0188 SIGNATURE_ZIPENDOFHEADER 01c3 @UniqueStringU 01f3 TList<System.Zip.TZipHeader>.Clear 0217 TObject.Free 021d @HandleFinally 023a @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 89 45 C4 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 C4 0F B6 40 04 3C 02 74 08 3C 03 0F 85 90 01 00 00 8B 45 C4 FF 70 1C FF 70 18 8B 45 C4 8B 40 08 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 C0 8B 45 C4 8B 40 20 8B 58 08 4B 85 DB 0F 8C 9E 00 00 00 43 33 F6 8D 4D CA 8B 45 C4 8B 40 20 8B D6 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 C4 8B 40 08 B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 55 CA 8B 45 C4 8B 40 08 B9 2A 00 00 00 E8 ?? ?? ?? ?? 66 83 7D E2 00 74 19 8D 45 F4 E8 ?? ?? ?? ?? 8B D0 0F B7 4D E2 8B 45 C4 8B 40 08 E8 ?? ?? ?? ?? 0F B7 45 E4 66 85 C0 74 14 0F B7 C8 8B 45 F8 8D 50 01 8B 45 C4 8B 40 08 E8 ?? ?? ?? ?? 66 83 7D E6 00 74 19 8D 45 FC E8 ?? ?? ?? ?? 8B D0 0F B7 4D E6 8B 45 C4 8B 40 08 E8 ?? ?? ?? ?? 46 4B 0F 85 65 FF FF FF 8D 45 AE 33 C9 BA 12 00 00 00 E8 ?? ?? ?? ?? 8B 45 C4 8B 40 20 0F B7 40 08 66 89 45 B4 66 89 45 B2 8B 45 C4 8B 40 08 E8 ?? ?? ?? ?? 8B 55 C4 8B 5A 18 2B C3 89 45 B6 89 5D BA 8B 45 C4 8B 40 24 85 C0 74 05 83 E8 04 8B 00 3D FF FF 00 00 7E 10 8B 45 C4 83 C0 24 BA FF FF 00 00 E8 ?? ?? ?? ?? 8B 45 C4 8B 40 24 85 C0 74 05 83 E8 04 8B 00 66 89 45 BE A1 ?? ?? ?? ?? 89 45 C0 8D 55 C0 8B 45 C4 8B 40 08 B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 55 AE 8B 45 C4 8B 40 08 B9 12 00 00 00 E8 ?? ?? ?? ?? 66 83 7D BE 00 76 1C 8B 45 C4 83 C0 24 E8 ?? ?? ?? ?? 8B D0 0F B7 4D BE 8B 45 C4 8B 40 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C4 C6 40 04 00 8B 45 C4 8B 40 20 E8 ?? ?? ?? ?? 8B 45 C4 33 D2 89 50 08 8B 45 C4 83 78 0C 00 74 13 8B 45 C4 83 C0 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71520_0 {
	meta:
		name = "TZipFile.Extract"
		size = 113
		refs = "0013 @UStrAddRef 0023 TZipFile.Extract 0038 TZipFile.IndexOf 005e @UStrArrayClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 08 50 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_71521_0 {
	meta:
		name = "TZipFile.Extract"
		size = 760
		refs = "0021 @UStrAddRef 002a TZipHeader 002f @InitializeRecord 0037 TZipFile.Extract 004b @FinalizeRecord 0058 TZipFile.Read 0076 TList<System.Zip.TZipHeader>.GetItem 0084 @UStrFromLStr 00a5 StringReplace 00b3 @UStrLAsg 00e0 TPath.DoCombine 0103 ExtractFileName 012a ExtractFileDir 014f TDirectory.CreateDirectory 016b @TryFinallyExit 017f _Dn_TFileStream 0184 TFileStream.Create 01d9 TStream.CopyFrom 022e TObject.Free 0234 @HandleFinally 0292 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 23 02 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 A6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 A6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 4D A0 8B D6 8B C3 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 8D 58 EF FF FF 8B 43 20 8B D6 E8 ?? ?? ?? ?? 8B 95 82 EF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 85 54 EF FF FF 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 95 54 EF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 80 7D 08 00 74 34 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 E8 50 B1 01 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 E8 E8 ?? ?? ?? ?? EB 32 8D 45 E4 8B 55 FC E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 DC 50 B1 01 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 DC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 80 7D 08 00 74 1F 83 7D F8 00 74 19 8D 95 50 EF FF FF 8B 45 F4 E8 ?? ?? ?? ?? 8B 85 50 EF FF FF E8 ?? ?? ?? ?? 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B 55 F4 66 83 7C 42 FE 5C 75 0A E8 ?? ?? ?? ?? E9 E3 00 00 00 68 00 FF 00 00 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 9C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 AA 08 75 7E 8D 8D 18 EF FF FF 8B 43 20 8B D6 E8 ?? ?? ?? ?? 83 BD 2C EF FF FF 00 76 27 8D 8D E0 EE FF FF 8B 43 20 8B D6 E8 ?? ?? ?? ?? 8B 85 F4 EE FF FF 33 D2 52 50 8B 55 A0 8B 45 9C E8 ?? ?? ?? ?? EB 3E 8D 95 90 EF FF FF B9 00 10 00 00 8B 45 A0 8B 18 FF 53 0C 99 89 45 90 89 55 94 8D 95 90 EF FF FF 8B 4D 90 8B 45 9C 8B 18 FF 53 10 83 7D 94 00 75 0B 81 7D 90 00 10 00 00 73 C6 EB 02 7D C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 9C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E0 EE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 18 EF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 50 EF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 58 EF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9A 5E 5B 8B E5 5D C2 04 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_71522_0 {
	meta:
		name = "TZipFile.ExtractAll"
		size = 133
		refs = "0010 @UStrAddRef 0018 TZipFile.ExtractAll 002d SZipNoRead 0034 _DV_EZipException 0039 Exception.CreateRes 003e @RaiseExcept 005a TZipFile.Extract 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 47 04 48 2C 02 72 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 20 8B 58 08 4B 85 DB 7C 15 43 33 F6 6A 01 8B 4D FC 8B D6 8B C7 E8 ?? ?? ?? ?? 46 4B 75 EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71523_0 {
	meta:
		name = "TZipFile.Read"
		size = 117
		refs = "0013 @UStrAddRef 0026 TZipFile.Read 0036 TZipFile.IndexOf 003d TArray<System.Byte> 0045 @DynArrayClear 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 50 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B C3 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71524_0 {
	meta:
		name = "TZipFile.Read"
		size = 527
		refs = "002d TZipHeader 0032 @InitializeRecord 003a TZipFile.Read 004e @FinalizeRecord 007f TList<System.Zip.TZipHeader>.GetItem 0091 TArray<System.Byte> 0096 @DynArraySetLength 00c6 VerifyRead 010c @DynArrayLength 01b8 TObject.Free 01be @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 17 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D C4 8B F2 8B D8 8B 45 C4 85 C0 74 04 33 D2 89 10 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? 8D 45 CA E8 ?? ?? ?? ?? 50 8D 4D C0 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 CE 08 75 5C 8D 8D 78 FF FF FF 8B 43 20 8B D6 E8 ?? ?? ?? ?? 8B 45 8C 50 8B 45 C4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 8D 40 FF FF FF 8B 43 20 8B D6 E8 ?? ?? ?? ?? 83 BD 54 FF FF FF 00 0F 86 ED 00 00 00 8B 55 C4 8B 12 8B 4D DE 8B 45 C0 E8 ?? ?? ?? ?? E9 D8 00 00 00 68 00 10 00 00 8B 45 C4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C7 45 B8 00 00 00 00 C7 45 BC 00 00 00 00 C7 45 B0 00 00 00 00 C7 45 B4 00 00 00 00 8B 45 C4 8B 00 E8 ?? ?? ?? ?? 8B C8 2B 4D B8 8B 45 B8 8B 55 C4 8B 12 03 D0 8B 45 C0 8B 18 FF 53 0C 99 89 45 B0 89 55 B4 8B 45 C4 8B 00 E8 ?? ?? ?? ?? 99 2B 45 B8 1B 55 BC 3B 55 B4 75 07 3B 45 B0 76 04 EB 39 7F 37 8B 45 B8 8B 55 BC 03 45 B0 13 55 B4 89 45 B8 89 55 BC 8B 45 C4 8B 00 E8 ?? ?? ?? ?? 03 C0 50 8B 45 C4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 82 8B 45 B8 8B 55 BC 03 45 B0 13 55 B4 50 8B 45 C4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 40 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71525_0 {
	meta:
		name = "TZipFile.Read"
		size = 121
		refs = "0011 @UStrAddRef 001a TZipHeader 001f @InitializeRecord 0027 TZipFile.Read 003b @FinalizeRecord 0046 TZipFile.IndexOf 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_71526_0 {
	meta:
		name = "TZipFile.Read"
		size = 569
		refs = "0023 TZipHeader 0028 @InitializeRecord 0030 TZipFile.Read 0045 SZipNoRead 004c _DV_EZipException 0051 Exception.CreateRes 0056 @RaiseExcept 0068 SFileNotFound 008c @LStrClr 00c4 TList<System.Zip.TZipHeader>.GetItem 00d9 TStream.SetPosition 00f2 SIGNATURE_LOCALHEADER 00fa SZipInvalidLocalHeader 0132 @LStrSetLength 014b TArray<System.Byte> 0150 @DynArraySetLength 016d SetCodePage 018b @UniqueStringA 01d6 TZipFile.FCompressionHandler 01db TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetItem 0208 @FinalizeRecord 0211 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 022a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0F 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D FC 8B F2 8B D8 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 43 04 48 2C 02 72 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7C 08 8B 43 20 3B 70 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 66 C7 00 00 00 8B 45 08 83 C0 32 E8 ?? ?? ?? ?? 8B 45 08 66 C7 40 1C 00 00 8B 45 08 66 C7 40 1E 00 00 8B 45 08 66 C7 40 20 00 00 8B 45 08 33 D2 89 50 22 8B 45 08 33 D2 89 50 26 8D 4D C0 8B D6 8B 43 20 E8 ?? ?? ?? ?? 8B 45 E6 33 D2 03 43 10 13 53 14 52 50 8B 43 08 E8 ?? ?? ?? ?? 8D 55 F8 B9 04 00 00 00 8B 43 08 8B 38 FF 57 0C 8B 45 F8 3B 05 ?? ?? ?? ?? 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 83 C2 02 B9 1A 00 00 00 8B 43 08 8B 38 FF 57 0C 8B 55 08 0F B7 52 18 8B 45 08 83 C0 2A 33 C9 E8 ?? ?? ?? ?? 8B 45 08 0F B7 40 1A 50 8B 45 08 83 C0 2E B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 F6 40 05 08 74 13 8B 45 08 83 C0 2A 33 C9 66 BA E9 FD E8 ?? ?? ?? ?? EB 11 8B 45 08 83 C0 2A 33 C9 66 BA B5 01 E8 ?? ?? ?? ?? 8B 45 08 83 C0 2A E8 ?? ?? ?? ?? 8B D0 8B 4D 08 0F B7 49 18 8B 43 08 8B 38 FF 57 0C 8B 45 08 0F B7 40 1A 66 85 C0 76 11 0F B7 C8 8B 55 08 8B 52 2E 8B 43 08 8B 38 FF 57 0C 8B 45 08 50 8D 4D 80 8B D6 8B 43 20 E8 ?? ?? ?? ?? 0F B6 55 86 8D 4D B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 8B CB 8B 53 08 8B 18 FF 53 0C 8B 55 FC 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 80 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71527_0 {
	meta:
		name = "TZipFile.Add"
		size = 771
		refs = "0043 TZipHeader 0048 @AddRefRecord 0050 TZipFile.Add 006a TStream.SetPosition 00a5 @DynArrayLength 00fa SIGNATURE_LOCALHEADER 0110 VerifyWrite 012b @UniqueStringA 0161 TStream.GetPosition 0195 TZipFile.FCompressionHandler 019a TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetItem 01d1 TStream.CopyFrom 01e6 TObject.Free 01ec @HandleFinally 0233 crc32 02c2 TList<System.Zip.TZipHeader>.Add 02db TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 02e0 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 50 B8 04 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 A0 53 56 57 33 DB 89 9D 9C BF FF FF 89 9D A0 BF FF FF 8B F1 8D 7D CA B9 0D 00 00 00 F3 A5 66 A5 89 55 C0 89 45 C4 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 C4 FF 70 1C FF 70 18 8B 45 C4 8B 40 08 E8 ?? ?? ?? ?? 8B 45 C4 8B 40 18 89 45 F0 66 83 7D CA 14 73 06 66 C7 45 CA 14 00 66 83 7D CC 14 73 06 66 C7 45 CC 14 00 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 66 89 45 E2 8B 45 F8 E8 ?? ?? ?? ?? 66 89 45 E4 83 7D 08 00 75 08 8D 45 CA 89 45 08 EB 28 8B 45 08 8B 40 2A 85 C0 74 05 83 E8 04 8B 00 8B 55 08 66 89 42 18 8B 45 08 8B 40 2E E8 ?? ?? ?? ?? 8B 55 08 66 89 42 1A 8B 45 08 8B 40 32 85 C0 74 05 83 E8 04 8B 00 8B 55 08 66 89 42 1C A1 ?? ?? ?? ?? 89 45 B0 8D 55 B0 8B 45 C4 8B 40 08 B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 C4 8B 40 08 B9 1A 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B D0 0F B7 4D E2 8B 45 C4 8B 40 08 E8 ?? ?? ?? ?? 0F B7 45 E4 66 85 C0 76 11 0F B7 C8 8B 55 F8 8B 45 C4 8B 40 08 E8 ?? ?? ?? ?? 8B 45 C4 8B 40 08 E8 ?? ?? ?? ?? 89 45 A8 89 55 AC 8B 45 C0 E8 ?? ?? ?? ?? 89 45 B8 89 55 BC 8B 45 C0 8B 10 FF 12 2B 45 B8 89 45 DE 8D 45 CA 50 0F B6 55 D0 8D 8D 9C BF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 9C BF FF FF 8B 55 C4 8B 52 08 8B 4D C4 8B 18 FF 53 0C 89 45 B4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DE 33 D2 52 50 8B 55 C0 8B 45 B4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 B4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 C4 8B 40 08 E8 ?? ?? ?? ?? 2B 45 A8 89 45 DA FF 75 BC FF 75 B8 8B 45 C0 E8 ?? ?? ?? ?? EB 2A 8D 95 A7 BF FF FF B9 01 40 00 00 8B 45 C0 8B 18 FF 53 0C 50 8D 85 A7 BF FF FF 50 8B 45 D6 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D6 8B 45 C0 E8 ?? ?? ?? ?? 52 50 8B 45 DE 33 D2 3B 54 24 04 75 09 3B 04 24 5A 58 77 BA EB 04 5A 58 7F B4 8B 45 08 8B 55 DE 89 50 14 8B 45 08 8B 55 DA 89 50 10 8B 45 08 8B 55 D6 89 50 0C 8B 45 C4 8B 40 08 E8 ?? ?? ?? ?? 8B 4D C4 89 41 18 89 51 1C 8B 45 F0 83 C0 04 33 D2 52 50 8B 45 C4 8B 40 08 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 C4 8B 40 08 B9 1A 00 00 00 8B 18 FF 53 10 8B 45 08 8B D0 8B 45 C4 8B 40 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 9C BF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71528_0 {
	meta:
		name = "TZipFile.Add"
		size = 497
		refs = "001c @UStrAddRef 002d TZipHeader 0032 @InitializeRecord 003a TZipFile.Add 0050 SZipNoWrite 0057 _DV_EZipException 005c Exception.CreateRes 0061 @RaiseExcept 0068 TZipFile.FCompressionHandler 006d TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.ContainsKey 007b TZipCompressionToString 0091 SZipNotSupported 009d Exception.CreateResFmt 00b1 @FillChar 00c3 _Dn_TFileStream 00c8 TFileStream.Create 00ee TFile.CheckGetLastWriteTimeParameters 0102 TDirectory.GetDateTimeInfo 0119 DateTimeToFileDate 0142 ExtractFileName 0159 UTF8Encode 016b @LStrFromUStr 01a5 TObject.Free 01ab @HandleFinally 01c2 @UStrClr 01d0 @FinalizeRecord 01dd @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 56 33 DB 89 5D 8C 89 4D F8 89 55 FC 8B F0 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 C2 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 46 04 04 FE 2C 02 72 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 31 8B C3 8D 55 8C E8 ?? ?? ?? ?? 8B 45 8C 89 45 90 C6 45 94 11 8D 45 90 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C2 33 C9 BA 36 00 00 00 E8 ?? ?? ?? ?? 66 C7 45 C6 00 00 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 BC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 C7 45 C6 00 00 0F B6 C3 66 89 45 C8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 A8 50 6A 01 8D 4D 98 8D 55 A0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A8 89 45 B0 8B 45 AC 89 45 B4 FF 75 B4 FF 75 B0 E8 ?? ?? ?? ?? 89 45 CA 8B 45 BC 8B 10 FF 12 89 45 D6 66 C7 45 E2 00 00 33 C0 89 45 E4 83 7D F8 00 75 0B 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 80 7E 28 00 74 13 66 81 4D C6 00 08 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? EB 10 8D 45 EC 8B 55 F8 B9 B5 01 00 00 E8 ?? ?? ?? ?? 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 66 89 45 DA 66 C7 45 DC 00 00 6A 00 8D 4D C2 8B 55 BC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 C2 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71529_0 {
	meta:
		name = "TZipFile.Add"
		size = 286
		refs = "001c @DynArrayAddRef 0024 @UStrAddRef 002c TZipFile.Add 0042 SZipNoWrite 0049 _DV_EZipException 004e Exception.CreateRes 0053 @RaiseExcept 005a TZipFile.FCompressionHandler 005f TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.ContainsKey 006d TZipCompressionToString 0083 SZipNotSupported 008f Exception.CreateResFmt 009e _Dn_TBytesStream 00a3 TBytesStream.Create 00d7 TObject.Free 00dd @HandleFinally 00f4 @UStrClr 0105 TArray<System.Byte> 010a @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 4D F8 89 55 FC 8B F0 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 46 04 04 FE 2C 02 72 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 31 8B C3 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 4D F8 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71530_0 {
	meta:
		name = "TZipFile.Add"
		size = 354
		refs = "001c @UStrAddRef 0025 TZipHeader 002a @InitializeRecord 0032 TZipFile.Add 0048 SZipNoWrite 004f _DV_EZipException 0054 Exception.CreateRes 0059 @RaiseExcept 0060 TZipFile.FCompressionHandler 0065 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.ContainsKey 0073 TZipCompressionToString 0089 SZipNotSupported 0095 Exception.CreateResFmt 00a9 @FillChar 00bb Now 00c7 DateTimeToFileDate 00ec UTF8Encode 00fe @LStrFromUStr 0138 @UStrClr 0146 @FinalizeRecord 0154 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 33 DB 89 5D B4 89 4D FC 89 55 C0 8B F0 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 8D 45 C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 46 04 04 FE 2C 02 72 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 31 8B C3 8D 55 B4 E8 ?? ?? ?? ?? 8B 45 B4 89 45 B8 C6 45 BC 11 8D 45 B8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C6 33 C9 BA 36 00 00 00 E8 ?? ?? ?? ?? 66 C7 45 CA 00 00 0F B6 C3 66 89 45 CC E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 89 45 CE 66 C7 45 E6 00 00 33 C0 89 45 E8 80 7E 28 00 74 13 66 81 4D CA 00 08 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? EB 10 8D 45 F0 8B 55 FC B9 B5 01 00 00 E8 ?? ?? ?? ?? 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 66 89 45 DE 66 C7 45 E0 00 00 6A 00 8D 4D C6 8B 55 C0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71531_0 {
	meta:
		name = "TZipFile.IndexOf"
		size = 174
		refs = "001c @UStrAddRef 0024 TZipFile.IndexOf 004c TList<System.Zip.TZipHeader>.GetItem 0057 @UStrFromLStr 0062 @UStrEqual 0083 TZipHeader 0088 @FinalizeRecord 0090 @UStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 FF FF FF FF 8B 47 20 8B 70 08 4E 85 F6 7C 31 46 33 DB 8D 4D BC 8B 47 20 8B D3 E8 ?? ?? ?? ?? 8B 55 E6 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 75 05 89 5D F8 EB 04 43 4E 75 D2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71535_0 {
	meta:
		name = "TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create"
		size = 29
		refs = "000f TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 0014 @CopyRecord"
	strings:
		$1 = { 53 56 8B F1 8B D8 88 13 8D 43 04 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_71541_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Rehash"
		size = 288
		refs = "0015 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Rehash 0023 @DynArrayLength 0037 OutOfMemoryError 0043 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TItemArray 0048 @DynArrayAsg 005f @DynArraySetLength 00e9 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.RehashAdd 010d @FinalizeArray 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 3B 45 F4 0F 84 C1 00 00 00 83 7D F4 00 7D 05 E8 ?? ?? ?? ?? 8D 45 FC 8B 57 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 15 46 33 DB 8B C3 03 C0 8B 55 F8 C7 04 C2 FF FF FF FF 43 4E 75 EE 8D 47 04 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 D1 E8 8B 55 F4 C1 EA 02 03 C2 89 47 10 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 37 46 33 DB 8B C3 03 C0 8B 55 FC 83 3C C2 FF 74 23 8B 55 FC 8D 54 C2 08 52 8B 55 FC 0F B6 44 C2 04 50 8B C3 03 C0 8B 55 FC 8B 14 C2 8B C7 59 E8 ?? ?? ?? ?? 43 4E 75 CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71543_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetBucketIndex"
		size = 127
		refs = "0013 @DynArrayLength"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 4C 24 04 88 14 24 8B F0 8B 46 04 E8 ?? ?? ?? ?? 85 C0 75 07 BB 00 00 00 80 EB 55 8B 46 04 E8 ?? ?? ?? ?? 48 23 44 24 04 8B D8 8B C3 03 C0 8B 56 04 8B 3C C2 83 FF FF 75 04 F7 D3 EB 33 3B 7C 24 04 75 1C 8B C3 03 C0 8B 56 04 0F B6 54 C2 04 0F B6 0C 24 8B 46 0C 8B 38 FF 57 0C 84 C0 75 11 43 8B 46 04 E8 ?? ?? ?? ?? 3B D8 7C BE 33 DB EB BA 8B C3 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71544_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Hash"
		size = 30
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B 46 0C 8B 08 FF 51 10 25 FF FF FF 7F 40 25 FF FF FF 7F 5E 5B C3 }
	condition:
		$1
}

rule function_71545_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetItem"
		size = 88
		refs = "000f TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Hash 001a TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetBucketIndex 0026 SGenericItemNotFound 002d _Dn_EListError 0032 Exception.CreateRes 0037 @RaiseExcept 004a TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 004f @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C5 8B D6 03 D2 8B 4F 04 8D 54 D1 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71546_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.SetItem"
		size = 210
		refs = "0016 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 001b @InitializeRecord 0023 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.SetItem 0034 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Hash 0041 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetBucketIndex 004d SGenericItemNotFound 0054 _Dn_EListError 0059 Exception.CreateRes 005e @RaiseExcept 0077 @CopyRecord 00bf @FinalizeRecord 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F0 88 55 F7 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 55 F7 8B C3 E8 ?? ?? ?? ?? 8B C8 0F B6 55 F7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B FE 03 FF 8B 53 04 8D 54 FA 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 44 F8 08 8B 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 F8 8B C3 8B 30 FF 56 0C 8B 55 F0 33 C9 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71547_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.RehashAdd"
		size = 89
		refs = "001b TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetBucketIndex 0047 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 004c @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FB 89 55 FC 8B D8 8B 4D FC 0F B6 55 FB 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8B FE 03 FF 8B 43 04 8B 55 FC 89 14 F8 8B 43 04 0F B6 55 FB 88 54 F8 04 8B 43 04 8D 44 F8 08 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_71548_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.DoAdd"
		size = 87
		refs = "002b TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 0030 @CopyRecord"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F0 8B FB 03 FF 8B 46 04 89 14 F8 8B 46 04 0F B6 55 0C 88 54 F8 04 8B 46 04 8D 44 F8 08 8B 55 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 46 08 33 C9 0F B6 55 0C 8B C6 8B 18 FF 53 08 8B 55 08 33 C9 8B C6 8B 18 FF 53 0C 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_71550_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.DoRemove"
		size = 296
		refs = "0015 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetBucketIndex 0024 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 0029 @FinalizeRecord 0058 @CopyRecord 0063 @DynArrayLength 0097 InCircularRange 00b5 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TItem"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 55 FF 8B F0 0F B6 55 FF 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 1A 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 E9 E6 00 00 00 8B FB 03 FF 8B 46 04 C7 04 F8 FF FF FF FF 8B 45 08 8B 56 04 8D 54 FA 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FB 43 8B 46 04 E8 ?? ?? ?? ?? 3B D8 75 02 33 DB 8B C3 03 C0 8B 56 04 8B 04 C2 89 45 F8 83 7D F8 FF 74 50 8B 46 04 E8 ?? ?? ?? ?? 48 23 45 F8 89 45 F4 8B CB 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 75 BF 8B C7 03 C0 8B 56 04 8D 04 C2 8B D3 03 D2 8B 4E 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FB 8B C7 03 C0 8B 56 04 C7 04 C2 FF FF FF FF EB 8E 8B DF 03 DB 8B 46 04 C7 04 D8 FF FF FF FF 8B 46 04 C6 44 D8 04 00 8B 46 04 8D 44 D8 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 FF 4E 08 0F B6 5D 0C 8B CB 0F B6 55 FF 8B C6 8B 38 FF 57 08 8B CB 8B 55 08 8B C6 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_71557_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create"
		size = 236
		refs = "000f @ClassCreate 0020 TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 0025 @InitializeRecord 002d TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create 0048 TEnumerable<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.GetEnumerator 0074 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.AddOrSetValue 007c TEnumerator<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.MoveNext 00a3 @HandleFinally 00c0 @FinalizeRecord 00d6 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 19 8D 55 F4 8B 45 E8 8B 08 FF 11 8D 4D F8 0F B6 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71558_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create"
		size = 240
		refs = "000f @ClassCreate 0020 TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>> 0025 @InitializeRecord 002d TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Create 004a TEnumerable<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.GetEnumerator 0076 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.AddOrSetValue 007e TEnumerator<System.Zip.TPair<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>>.MoveNext 00a5 @HandleFinally 00c2 @FinalizeRecord 00d8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 EF 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 C9 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 19 8D 55 F4 8B 45 E8 8B 08 FF 11 8D 4D F8 0F B6 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F0 80 7D EF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71560_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Add"
		size = 99
		refs = "0016 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Grow 001f TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Hash 002c TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetBucketIndex 0036 SGenericDuplicateItem 003d _Dn_EListError 0042 Exception.CreateRes 0047 @RaiseExcept 005a TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B DA 8B F0 8B 46 08 3B 46 10 7C 07 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71561_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Remove"
		size = 94
		refs = "0011 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Remove 0026 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Hash 0031 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.DoRemove 0047 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 004c @FinalizeRecord 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 F8 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71563_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Clear"
		size = 211
		refs = "0014 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Clear 0026 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TItemArray 002b @DynArrayAsg 0045 @DynArraySetLength 0051 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.SetCapacity 005e @DynArrayLength 00c0 @DynArrayClear 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 42 40 89 45 F8 33 DB 8B C3 03 C0 8B 55 FC 83 3C C2 FF 74 29 8B C3 03 C0 8B 55 FC 0F B6 54 C2 04 B1 01 8B C6 8B 38 FF 57 08 8B C3 03 C0 8B 55 FC 8D 54 C2 08 B1 01 8B C6 8B 38 FF 57 0C 43 FF 4D F8 75 C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71565_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TryGetValue"
		size = 115
		refs = "0013 TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 0018 @InitializeRecord 0021 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Hash 002c TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetBucketIndex 0050 @CopyRecord 0060 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 9D C3 84 DB 74 1B 8B 45 FC 8B D6 03 D2 8B 4F 04 8D 54 D1 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 10 89 50 04 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71566_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.AddOrSetValue"
		size = 90
		refs = "0016 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Grow 001f TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Hash 002c TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetBucketIndex 003c TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.DoSetValue 0051 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.DoAdd"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B DA 8B F0 8B 46 08 3B 46 10 7C 07 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B 0C 24 8B D0 8B C6 E8 ?? ?? ?? ?? EB 13 53 8B 54 24 04 52 8B C8 F7 D1 8B D7 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71567_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.ContainsKey"
		size = 34
		refs = "000b TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.Hash 0016 TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.GetBucketIndex"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_71582_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TKeyEnumerator.GetCurrent"
		size = 17
	strings:
		$1 = { 8B 50 08 03 D2 8B 40 04 8B 40 04 0F B6 44 D0 04 C3 }
	condition:
		$1
}

rule function_71601_0 {
	meta:
		name = "TDictionary<System.Zip.TZipCompression,System.Generics.Collections.TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor>>.TPairEnumerator.GetCurrent"
		size = 56
		refs = "002c TPair<System.Zip.TStreamConstructor,System.Zip.TStreamConstructor> 0031 @CopyRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 03 C0 8B 53 04 8B 52 04 0F B6 44 C2 04 88 06 8D 46 04 8B 53 08 03 D2 8B 4B 04 8B 49 04 8D 54 D1 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71606_0 {
	meta:
		name = "TEnumerable<System.Zip.TZipHeader>.ToArrayImpl"
		size = 223
		refs = "0014 TZipHeader 0019 @InitializeRecord 0021 TEnumerable<System.Zip.TZipHeader>.ToArrayImpl 0036 TArray<System.Zip.TZipHeader> 003b @DynArraySetLength 0047 TEnumerable<System.Zip.TZipHeader>.GetEnumerator 0080 @CopyRecord 0089 TEnumerator<System.Zip.TZipHeader>.MoveNext 00b0 @HandleFinally 00cd @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 89 4D C4 8B DA 8B F0 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 C4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 C0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 27 8D 55 CA 8B 45 C0 8B 08 FF 11 8D 04 5B 8D 04 C0 8B 55 C4 8B 12 8D 04 42 8D 55 CA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 C0 E8 ?? ?? ?? ?? 84 C0 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D C0 00 74 0A B2 01 8B 45 C0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71608_0 {
	meta:
		name = "TEnumerable<System.Zip.TZipHeader>.ToArray"
		size = 245
		refs = "0011 TZipHeader 0016 @InitializeRecord 001e TEnumerable<System.Zip.TZipHeader>.ToArray 002b _DV_TList<System.Zip.TZipHeader> 0030 TList<System.Zip.TZipHeader>.Create 0048 TEnumerable<System.Zip.TZipHeader>.GetEnumerator 0070 TList<System.Zip.TZipHeader>.Add 0078 TEnumerator<System.Zip.TZipHeader>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 89 55 C4 8B D8 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 BC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 CA 8B 45 BC 8B 08 FF 11 8D 55 CA 8B 45 C0 E8 ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D BC 00 74 0A B2 01 8B 45 BC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 C4 8B 45 C0 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71613_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.GetItem"
		size = 70
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 0039 TZipHeader 003e @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8D 14 76 8D 14 D2 8B 4B 04 8D 14 51 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71614_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.SetItem"
		size = 188
		refs = "0015 TZipHeader 001a @InitializeRecord 0022 TList<System.Zip.TZipHeader>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0062 @CopyRecord 00a9 @FinalizeRecord 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 4D C4 8B F2 8B D8 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CA 8D 3C 76 8D 3C FF 8B 53 04 8D 14 7A 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 78 8B 55 C4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 CA 8B C3 8B 30 FF 56 08 8B 55 C4 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71617_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.DoDelete"
		size = 256
		refs = "0015 TZipHeader 001a @InitializeRecord 0022 TList<System.Zip.TZipHeader>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0062 @CopyRecord 0073 @FinalizeRecord 00a9 Move 00c4 @FillChar 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 88 4D C9 8B F2 8B D8 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CA 8D 3C 76 8D 3C FF 8B 53 04 8D 14 7A 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 78 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 0D 00 00 00 F3 AB 66 AB 8B FA FF 4B 08 8B 43 08 3B F0 74 36 8B 53 04 8D 14 7A 52 8B 53 04 8D 54 7A 36 2B C6 6B C8 36 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 8D 04 40 8D 04 C0 8B 53 04 8D 04 42 33 C9 BA 36 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D C9 8D 55 CA 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71624_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.Add"
		size = 72
		refs = "000f TList<System.Zip.TZipHeader>.GrowCheck 0029 TZipHeader 002e @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8D 04 7F 8D 04 C0 8B 53 04 8D 04 42 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71628_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.Insert"
		size = 156
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<System.Zip.TZipHeader>.GrowCheck 005a Move 006c @FillChar 0080 TZipHeader 0085 @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 34 8D 2C 76 8D 6C ED 00 8B 53 04 8D 54 6A 36 52 8B 53 04 8D 14 6A 2B C6 6B C8 36 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 68 33 C9 BA 36 00 00 00 E8 ?? ?? ?? ?? 8D 04 76 8D 04 C0 8B 53 04 8D 04 42 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71629_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.InsertRange"
		size = 247
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<System.Zip.TZipHeader>.GrowCheck 0076 Move 008f @FillChar 00b6 TZipHeader 00bb @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 45 8B D3 03 55 FC 8D 14 52 8D 14 D2 8B 4E 04 8D 14 51 8B 4D FC 8D 0C 49 8D 0C C9 8B 7E 04 8D 0C 4F 2B 45 FC 6B C0 36 91 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 40 8D 04 C0 8B 56 04 8D 04 42 6B D3 36 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 30 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 8D 04 40 8D 04 C0 8B 56 04 8D 04 42 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 36 FF 4D F4 75 D9 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 36 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71630_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.InsertRange"
		size = 154
		refs = "0019 TZipHeader 001e @InitializeRecord 0026 TList<System.Zip.TZipHeader>.InsertRange 004f TList<System.Zip.TZipHeader>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 C6 8B 45 FC 8B 08 FF 51 18 8D 4D C6 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71631_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.InsertRange"
		size = 183
		refs = "0014 TZipHeader 0019 @InitializeRecord 0021 TList<System.Zip.TZipHeader>.InsertRange 002e TEnumerable<System.Zip.TZipHeader>.GetEnumerator 0057 TList<System.Zip.TZipHeader>.Insert 0060 TEnumerator<System.Zip.TZipHeader>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 8B F9 8B DA 8B F0 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 C4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 CA 8B 45 C4 8B 08 FF 11 8D 4D CA 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 C4 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D C4 00 74 0A B2 01 8B 45 C4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71634_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.DeleteRange"
		size = 329
		refs = "0018 TList<System.Zip.TZipHeader>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<System.Zip.TZipHeader>.:3 0068 @DynArraySetLength 0082 Move 00d2 @FillChar 00f5 @DynArrayLength 0136 @DynArrayClear 013c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 C7 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 7F 8D 04 C0 8B 53 04 8D 04 42 6B CE 36 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 44 8D 14 7F 8D 14 D2 8B 4B 04 8D 14 51 52 8D 14 3E 8D 14 52 8D 14 D2 8B 4B 04 8D 14 51 6B C8 36 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 8D 04 40 8D 04 C0 8B 53 04 8D 04 42 6B D6 36 33 C9 E8 ?? ?? ?? ?? EB 16 8D 04 7F 8D 04 C0 8B 53 04 8D 04 42 6B D6 36 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 21 40 89 45 F8 33 F6 8D 04 76 8D 04 C0 8B 55 FC 8D 14 42 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71635_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.Extract"
		size = 92
		refs = "000a TList<System.Zip.TZipHeader>.IndexOf 0018 TZipHeader 001d @FinalizeRecord 0049 @CopyRecord 0054 TList<System.Zip.TZipHeader>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 20 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 0D 00 00 00 F3 AB 66 AB 8B FA EB 24 8B C7 8D 14 76 8D 14 D2 8B 4B 04 8D 14 51 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71636_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.Exchange"
		size = 172
		refs = "0014 TZipHeader 0019 @InitializeRecord 0021 TList<System.Zip.TZipHeader>.Exchange 0041 @CopyRecord 0099 @FinalizeRecord 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 8B F9 8B F2 8B D8 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 CA 8D 14 76 8D 14 D2 8B 4B 04 8D 14 51 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8D 04 C0 8B 53 04 8D 04 42 8D 14 7F 8D 14 D2 8B 4B 04 8D 14 51 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8D 04 C0 8B 53 04 8D 04 42 8D 55 CA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71637_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.Move"
		size = 309
		refs = "0014 TZipHeader 0019 @InitializeRecord 0021 TList<System.Zip.TZipHeader>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 0069 @CopyRecord 0080 @FinalizeRecord 00ba Move 00f3 @FillChar 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 8B F1 8B FA 8B D8 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 D8 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CA 8D 14 7F 8D 14 D2 8B 4B 04 8D 14 51 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8D 04 C0 8B 53 04 8D 04 42 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 0D 00 00 00 F3 AB 66 AB 8B FA 3B F7 7E 27 8D 04 7F 8D 04 C0 8B 53 04 8D 14 42 8D 04 7F 8D 04 C0 8B 4B 04 8D 44 41 36 8B CE 2B CF 6B C9 36 E8 ?? ?? ?? ?? EB 1F 8D 04 76 8D 04 C0 8B 53 04 8D 54 42 36 52 8B 53 04 8D 04 42 2B FE 6B CF 36 5A E8 ?? ?? ?? ?? 8D 3C 76 8D 3C FF 8B 43 04 8D 04 78 33 C9 BA 36 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 78 8D 55 CA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71642_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.IndexOf"
		size = 65
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F0 8B 7E 08 4F 85 FF 7C 26 47 33 DB 8D 04 5B 8D 04 C0 8B 56 04 8D 14 42 8B 0C 24 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 07 43 4F 75 DD 83 C8 FF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71643_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.LastIndexOf"
		size = 61
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B 5E 08 4B 83 FB 00 7C 24 8D 04 5B 8D 04 C0 8B 56 04 8D 14 42 8B CF 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 09 4B 83 FB FF 75 DC 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71644_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.Reverse"
		size = 184
		refs = "0010 TZipHeader 0015 @InitializeRecord 001d TList<System.Zip.TZipHeader>.Reverse 0047 @CopyRecord 00a5 @FinalizeRecord 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 8B D8 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 5D 8D 45 CA 8D 14 76 8D 14 D2 8B 4B 04 8D 14 51 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8D 04 C0 8B 53 04 8D 04 42 8D 14 7F 8D 14 D2 8B 4B 04 8D 14 51 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 7F 8D 04 C0 8B 53 04 8D 04 42 8D 55 CA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F A3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71650_0 {
	meta:
		name = "TList<System.Zip.TZipHeader>.ToArray"
		size = 161
		refs = "001c TList<System.Zip.TZipHeader>.ToArray 0034 TArray<System.Zip.TZipHeader> 0039 @DynArraySetLength 0053 TList<System.Zip.TZipHeader>.GetItem 006a TZipHeader 006f @CopyRecord 008e @FinalizeRecord 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 2F 47 33 DB 8D 4D C4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 C4 8D 04 5B 8D 04 C0 8B 4D FC 8B 09 8D 04 41 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71704_0 {
	meta:
		name = "TEqualityComparer<System.Zip.TZipCompression>.Default"
		size = 28
		refs = "000d _LookupVtableInfo 0016 @IntfCopy"
	strings:
		$1 = { 53 8B D8 B9 01 00 00 00 33 D2 B0 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_71727_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.InsertRange"
		size = 224
		refs = "0022 SArgumentOutOfRange 0029 _Dn_EArgumentOutOfRangeException 002e Exception.CreateRes 0033 @RaiseExcept 0046 TList<System.Zip.TZipCompression>.GrowCheck 0072 Move 0083 @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 08 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8D 7E 01 03 D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 33 8B D7 03 D3 8B 4D FC 8B 49 04 8D 14 11 52 8B 55 FC 8B 52 04 03 D3 2B C3 8B C8 8B C2 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 03 C3 8B D7 33 C9 E8 ?? ?? ?? ?? 4F 85 FF 7C 23 47 89 7D F4 33 D2 8B 45 F8 8D 0C 1A 8B 7D FC 8B 7F 04 8D 0C 0F 51 0F B6 08 5F 88 0F 42 40 FF 4D F4 75 E6 8D 46 01 8B 55 FC 01 42 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 0F B6 13 8B 45 FC 8B 30 FF 56 08 43 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71737_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.Last"
		size = 16
		refs = "000a TList<System.Zip.TZipCompression>.GetItem"
	strings:
		$1 = { 53 8B D8 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_71742_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.Reverse"
		size = 52
	strings:
		$1 = { 53 56 57 33 D2 8B 70 08 4E 3B F2 7E 23 8B 48 04 0F B6 0C 11 8B 58 04 0F B6 1C 33 8B 78 04 88 1C 17 8B 58 04 03 DE 53 5B 88 0B 42 4E 3B F2 7F DD 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71750_0 {
	meta:
		name = "TList<System.Zip.TZipCompression>.TEnumerator.GetCurrent"
		size = 16
		refs = "000a TList<System.Zip.TZipCompression>.GetItem"
	strings:
		$1 = { 53 8B D8 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_71802_0 {
	meta:
		name = "TComparer<System.Zip.TZipHeader>.Default"
		size = 32
		refs = "000a TZipHeader 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 36 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_71805_0 {
	meta:
		name = "TArray.BinarySearch<System.Zip.TZipHeader>"
		size = 187
		refs = "0033 SArgumentOutOfRange 003a _Dn_EArgumentOutOfRangeException 003f Exception.CreateRes 0044 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B 75 08 8B 45 0C 85 C0 7C 1B 3B C1 7E 04 85 F6 7F 13 8D 14 06 4A 3B D1 7F 0B 85 F6 7C 07 8D 14 06 85 D2 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 75 0B 8B 55 14 89 02 C6 45 FB 00 EB 57 C6 45 FB 00 8B D8 03 F0 4E 89 75 F4 3B 5D F4 7F 41 8B 75 F4 2B F3 D1 EE 03 F3 8D 04 76 8D 04 C0 8B 55 FC 8D 14 42 8B 4D 18 8B 45 10 8B 38 FF 57 0C 89 45 F0 83 7D F0 00 7D 05 8D 5E 01 EB 0E 4E 89 75 F4 83 7D F0 00 75 04 C6 45 FB 01 3B 5D F4 7E BF 8B 45 14 89 18 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_71816_0 {
	meta:
		name = "TComparer<System.Zip.TZipCompression>.Default"
		size = 28
		refs = "000d _LookupVtableInfo 0016 @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 01 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_71826_0 {
	meta:
		name = "TArray.QuickSort<System.Zip.TZipHeader>"
		size = 377
		refs = "0017 TZipHeader 001c @InitializeRecord 0032 TArray.QuickSort<System.Zip.TZipHeader> 007d @CopyRecord 0164 @FinalizeArray 016a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 88 53 56 57 89 4D 88 89 55 8C 89 45 90 8D 45 CA 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 94 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 88 40 85 C0 0F 84 00 01 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E F2 00 00 00 8B 5D 0C 8B 75 08 8D 45 CA 8B 55 08 2B 55 0C D1 EA 03 55 0C 8D 14 52 8D 14 D2 8B 4D 8C 8D 14 51 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8D 04 5B 8D 04 C0 8B 55 8C 8D 14 42 8D 4D CA 8B 45 10 8B 38 FF 57 0C 85 C0 7C E4 EB 01 4E 8D 04 76 8D 04 C0 8B 55 8C 8D 14 42 8D 4D CA 8B 45 10 8B 38 FF 57 0C 85 C0 7F E4 3B F3 7C 57 3B F3 74 51 8D 45 94 8D 3C 5B 8D 3C FF 8B 55 8C 8D 14 7A 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 8C 8D 04 78 8D 14 76 8D 14 D2 8B 4D 8C 8D 14 51 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 04 76 8D 04 C0 8B 55 8C 8D 04 42 8D 55 94 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 64 FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 8C 8B 4D 88 8B 45 90 E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 0E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_71844_0 {
	meta:
		name = "deflateInit"
		size = 20
		refs = "0004 ZLIB_VERSION 000c deflateInit_"
	strings:
		$1 = { 6A 38 8B 0D ?? ?? ?? ?? 51 52 50 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_71847_0 {
	meta:
		name = "inflateInit2"
		size = 20
		refs = "0004 ZLIB_VERSION 000c inflateInit2_"
	strings:
		$1 = { 6A 38 8B 0D ?? ?? ?? ?? 51 52 50 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_71845_0 {
	meta:
		name = "inflateInit"
		size = 19
		refs = "0004 ZLIB_VERSION 000b inflateInit_"
	strings:
		$1 = { 6A 38 8B 15 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_71846_0 {
	meta:
		name = "deflateInit2"
		size = 41
		refs = "0008 ZLIB_VERSION 001d deflateInit2_"
	strings:
		$1 = { 55 8B EC 53 6A 38 8B 1D ?? ?? ?? ?? 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 51 52 50 E8 ?? ?? ?? ?? 83 C4 20 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_71848_0 {
	meta:
		name = "inflateBackInit"
		size = 23
		refs = "0005 ZLIB_VERSION 000e inflateBackInit_"
	strings:
		$1 = { 53 6A 38 8B 1D ?? ?? ?? ?? 53 51 52 50 E8 ?? ?? ?? ?? 83 C4 14 5B C3 }
	condition:
		$1
}

rule function_71850_0 {
	meta:
		name = "ZCompressCheck"
		size = 107
		refs = "000d ZCompressCheck 002a _z_errmsg 002f @UStrFromPChar 0039 _DV_EZCompressionError 003e Exception.Create 0043 @RaiseExcept 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F3 85 DB 7D 2A 8D 45 FC BA 02 00 00 00 2B D3 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71851_0 {
	meta:
		name = "ZDecompressCheck"
		size = 107
		refs = "000d ZDecompressCheck 002a _z_errmsg 002f @UStrFromPChar 0039 _DV_EZDecompressionError 003e Exception.Create 0043 @RaiseExcept 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F3 85 DB 7D 2A 8D 45 FC BA 02 00 00 00 2B D3 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71852_0 {
	meta:
		name = "ZCompress"
		size = 313
		refs = "001b @FillChar 0043 @GetMem 0050 ZCompress 0077 ZLevels 007f deflateInit 0084 ZCompressCheck 00aa @ReallocMem 00c7 deflate 00e8 deflateEnd 00f4 @HandleFinally 0118 @HandleAnyException 0122 @FreeMem 0127 @RaiseAgain 012c @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 4D FC 8B DA 8B F0 8D 45 C4 33 C9 BA 38 00 00 00 E8 ?? ?? ?? ?? 8B C3 B9 0A 00 00 00 99 F7 F9 03 C3 83 C0 0C 05 FF 00 00 00 25 00 FF FF FF 8B 55 0C 89 02 8B 45 0C 8B 00 E8 ?? ?? ?? ?? 8B 55 FC 89 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 75 C4 89 5D C8 8B 45 FC 8B 00 89 45 D0 8B 45 0C 8B 00 89 45 D4 0F B6 45 08 0F BE 90 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 28 8B 45 0C 81 00 00 01 00 00 8B 55 0C 8B 12 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 00 03 45 D8 89 45 D0 C7 45 D4 00 01 00 00 6A 04 8D 45 C4 50 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? 48 75 C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 50 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 8B 45 FC 8B 55 D8 E8 ?? ?? ?? ?? 8B 45 0C 8B 55 D8 89 10 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 8B 45 FC 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_71853_0 {
	meta:
		name = "ZCompress"
		size = 23
		refs = "000e ZCompress"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 53 0F B6 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_97855_0 {
	meta:
		name = "TCustomPageDispatcher.RedirectToPageName"
		size = 23
		refs = "000e TCustomPageDispatcher.ImplRedirectToPageName"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 53 0F B6 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_71854_0 {
	meta:
		name = "ZCompress2"
		size = 318
		refs = "001b @FillChar 0043 @GetMem 0050 ZCompress2 0084 deflateInit2 0089 ZCompressCheck 00af @ReallocMem 00cc deflate 00ed deflateEnd 00f9 @HandleFinally 011d @HandleAnyException 0127 @FreeMem 012c @RaiseAgain 0131 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 4D FC 8B DA 8B F0 8D 45 C4 33 C9 BA 38 00 00 00 E8 ?? ?? ?? ?? 8B C3 B9 0A 00 00 00 99 F7 F9 03 C3 83 C0 0C 05 FF 00 00 00 25 00 FF FF FF 8B 55 08 89 02 8B 45 08 8B 00 E8 ?? ?? ?? ?? 8B 55 FC 89 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 75 C4 89 5D C8 8B 45 FC 8B 00 89 45 D0 8B 45 08 8B 00 89 45 D4 6A F1 6A 09 6A 00 8D 45 C4 B9 08 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 28 8B 45 08 81 00 00 01 00 00 8B 55 08 8B 12 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 00 03 45 D8 89 45 D0 C7 45 D4 00 01 00 00 6A 04 8D 45 C4 50 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? 48 75 C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 50 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 8B 45 FC 8B 55 D8 E8 ?? ?? ?? ?? 8B 45 08 8B 55 D8 89 10 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 8B 45 FC 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_71855_0 {
	meta:
		name = "ZDecompress"
		size = 299
		refs = "001f @FillChar 0045 @GetMem 0052 ZDecompress 0079 inflateInit 007e ZDecompressCheck 00a0 @ReallocMem 00b9 inflate 00da inflateEnd 00e6 @HandleFinally 010a @HandleAnyException 0114 @FreeMem 0119 @RaiseAgain 011e @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 89 4D F8 8B F2 89 45 FC 8B 7D 08 8D 45 C0 33 C9 BA 38 00 00 00 E8 ?? ?? ?? ?? 8D 9E FF 00 00 00 81 E3 00 FF FF FF 85 FF 75 07 8B 45 0C 89 18 EB 05 8B 45 0C 89 38 8B 45 0C 8B 00 E8 ?? ?? ?? ?? 8B 55 F8 89 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 45 C0 89 75 C4 8B 45 F8 8B 00 89 45 CC 8B 45 0C 8B 00 89 45 D0 8D 45 C0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 20 8B 45 0C 01 18 8B 55 0C 8B 12 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 00 03 45 D4 89 45 CC 89 5D D0 6A 00 8D 45 C0 50 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? 48 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 50 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 8B 45 F8 8B 55 D4 E8 ?? ?? ?? ?? 8B 45 0C 8B 55 D4 89 10 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 8B 45 F8 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_71856_0 {
	meta:
		name = "ZCompressStr"
		size = 106
		refs = "0022 @UStrToPWChar 002f ZCompress 0041 TArray<System.Byte> 0046 @DynArraySetLength 0057 Move 005f @FreeMem"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F9 8B DA 8B F0 8B EE 85 ED 74 06 83 ED 04 8B 6D 00 8D 44 24 04 50 53 8B C6 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D5 03 D2 E8 ?? ?? ?? ?? 8B 44 24 04 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 17 8B 04 24 8B 4C 24 04 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71857_0 {
	meta:
		name = "ZCompressStr"
		size = 97
		refs = "0012 ZCompressStr 002f TArray<System.Byte> 0034 @DynArrayAsg 004f @DynArrayClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8D 4D FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_71858_0 {
	meta:
		name = "ZSendToBrowser"
		size = 82
		refs = "0028 ZCompress2 0033 @UStrSetLength 0041 Move 0049 @FreeMem"
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B 13 8B C2 89 44 24 08 8B 44 24 08 85 C0 74 05 83 E8 04 8B 00 03 C0 8D 4C 24 04 51 8D 4C 24 04 92 E8 ?? ?? ?? ?? 8B C3 8B 54 24 04 E8 ?? ?? ?? ?? 8B 13 8B 04 24 8B 4C 24 04 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_71859_0 {
	meta:
		name = "ZDecompressStr"
		size = 81
		refs = "0013 @DynArrayLength 0020 ZDecompress 0032 @UStrSetLength 0040 Move 0048 @FreeMem"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8D 44 24 04 50 6A 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 4C 24 08 8B C3 E8 ?? ?? ?? ?? 8B 54 24 04 D1 FA 79 03 83 D2 00 8B C6 E8 ?? ?? ?? ?? 8B 16 8B 04 24 8B 4C 24 04 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_71860_0 {
	meta:
		name = "ZCompressStream"
		size = 310
		refs = "0032 @FillChar 003c ZLevels 0043 deflateInit 0048 ZCompressCheck 008a deflate 0122 deflateEnd"
	strings:
		$1 = { 53 56 57 50 B8 10 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 84 24 00 00 01 00 83 C4 C0 8B D9 8B FA 89 04 24 8D 74 24 0C 8B C6 33 C9 BA 38 00 00 00 E8 ?? ?? ?? ?? 0F B6 C3 0F BE 90 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 54 24 44 B9 00 80 00 00 8B 04 24 8B 18 FF 53 0C 89 44 24 08 83 7C 24 08 00 7E 6E 8D 44 24 44 89 06 8B 44 24 08 89 46 04 8D 84 24 44 80 00 00 89 46 0C C7 46 10 00 80 00 00 6A 00 56 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? BB 00 80 00 00 2B 5E 10 8D 94 24 44 80 00 00 8B CB 8B C7 8B 18 FF 53 10 83 7E 04 00 75 C1 83 7E 10 00 76 BB 8D 54 24 44 B9 00 80 00 00 8B 04 24 8B 18 FF 53 0C 89 44 24 08 83 7C 24 08 00 7F 92 8D 84 24 44 80 00 00 89 46 0C C7 46 10 00 80 00 00 6A 04 56 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? 89 44 24 04 BB 00 80 00 00 2B 5E 10 8D 94 24 44 80 00 00 8B CB 8B C7 8B 18 FF 53 10 83 7C 24 04 01 75 BC 83 7E 10 00 76 B6 56 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 81 C4 44 00 01 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71862_0 {
	meta:
		name = "ZDecompressStream"
		size = 298
		refs = "0030 @FillChar 0037 inflateInit 003c ZCompressCheck 007e inflate 0116 inflateEnd"
	strings:
		$1 = { 53 56 57 50 B8 10 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 84 24 00 00 01 00 83 C4 C0 8B FA 89 04 24 8D 74 24 0C 8B C6 33 C9 BA 38 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 54 24 44 B9 00 80 00 00 8B 04 24 8B 18 FF 53 0C 89 44 24 08 83 7C 24 08 00 7E 6E 8D 44 24 44 89 06 8B 44 24 08 89 46 04 8D 84 24 44 80 00 00 89 46 0C C7 46 10 00 80 00 00 6A 00 56 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? BB 00 80 00 00 2B 5E 10 8D 94 24 44 80 00 00 8B CB 8B C7 8B 18 FF 53 10 83 7E 04 00 75 C1 83 7E 10 00 76 BB 8D 54 24 44 B9 00 80 00 00 8B 04 24 8B 18 FF 53 0C 89 44 24 08 83 7C 24 08 00 7F 92 8D 84 24 44 80 00 00 89 46 0C C7 46 10 00 80 00 00 6A 04 56 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? 89 44 24 04 BB 00 80 00 00 2B 5E 10 8D 94 24 44 80 00 00 8B CB 8B C7 8B 18 FF 53 10 83 7C 24 04 01 75 BC 83 7E 10 00 76 B6 56 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 81 C4 44 00 01 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71863_0 {
	meta:
		name = "TCustomZStream.Create"
		size = 85
		refs = "000b @ClassCreate 001a TObject.Create 0024 TStream.GetPosition 0041 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 8B C6 E8 ?? ?? ?? ?? 89 47 08 89 57 0C 8B 47 08 89 47 10 8B 47 0C 89 47 14 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71865_0 {
	meta:
		name = "TZCompressionStream.Create"
		size = 57
		refs = "000a @ClassCreate 001b TZCompressionStream.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 02 6A 0F 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_71866_0 {
	meta:
		name = "TZCompressionStream.Create"
		size = 109
		refs = "000d @ClassCreate 001a TCustomZStream.Create 003a ZLevels 0047 deflateInit2 004c ZCompressCheck 0057 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 58 89 46 2C C7 46 30 00 00 01 00 8B 45 08 50 6A 08 6A 00 0F B6 45 0C 0F BE 90 ?? ?? ?? ?? 8D 46 20 B9 08 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_71867_0 {
	meta:
		name = "TZCompressionStream.Create"
		size = 65
		refs = "000d @ClassCreate 0020 TZCompressionStream.Create 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 51 6A 0F 33 D2 8B C6 8B 4D 08 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_71868_0 {
	meta:
		name = "TZCompressionStream.Destroy"
		size = 272
		refs = "0007 @BeforeDestruction 0025 TZCompressionStream.Destroy 0036 TStream.GetPosition 0057 TStream.SetPosition 0075 TStream.WriteBuffer 0099 deflate 00a1 ZCompressCheck 00e2 deflateEnd 00e9 @HandleFinally 00fa TObject.Destroy 0108 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 33 D2 89 50 20 8B 45 FC 33 D2 89 50 24 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 4D FC 3B 51 14 75 03 3B 41 10 74 48 8B 45 FC FF 70 14 FF 70 10 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? EB 32 8B 45 FC B9 00 00 01 00 2B 48 30 8B 45 FC 8D 50 58 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 58 8B 55 FC 89 42 2C 8B 45 FC C7 40 30 00 00 01 00 6A 04 8B 45 FC 83 C0 20 50 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? 48 75 B5 8B 45 FC 8B 40 30 3D 00 00 01 00 73 18 B9 00 00 01 00 2B C8 8B 45 FC 8D 50 58 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 C0 20 50 E8 ?? ?? ?? ?? 59 C3 E9 ?? ?? ?? ?? EB EB 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_71869_0 {
	meta:
		name = "TZCompressionStream.Read"
		size = 92
		refs = "0001 TZCompressionStream.Read 0008 _DV_EZCompressionError 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 5A 00 53 00 74 00 72 00 65 00 61 00 6D 00 20 00 6F 00 70 00 65 00 72 00 61 00 74 00 69 00 6F 00 6E 00 21 00 00 00 00 00 }
	condition:
		$1
}

rule function_71877_0 {
	meta:
		name = "TZDecompressionStream.Write"
		size = 92
		refs = "0001 TZDecompressionStream.Write 0008 _DV_EZDecompressionError 000d Exception.Create 0012 @RaiseExcept"
	strings:
		$1 = { B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 5A 00 53 00 74 00 72 00 65 00 61 00 6D 00 20 00 6F 00 70 00 65 00 72 00 61 00 74 00 69 00 6F 00 6E 00 21 00 00 00 00 00 }
	condition:
		$1
}

rule function_71870_0 {
	meta:
		name = "TZCompressionStream.Write"
		size = 138
		refs = "0011 TStream.GetPosition 0029 TStream.SetPosition 0036 deflate 003e ZCompressCheck 0054 TStream.WriteBuffer 007a @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 89 53 20 89 7B 24 8B 43 04 E8 ?? ?? ?? ?? 3B 53 14 75 03 3B 43 10 74 5F FF 73 14 FF 73 10 8B 43 04 E8 ?? ?? ?? ?? EB 4F 6A 00 8D 43 20 50 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? 83 7B 30 00 75 36 8D 53 58 B9 00 00 01 00 8B 43 04 E8 ?? ?? ?? ?? 8D 43 58 89 43 2C C7 43 30 00 00 01 00 8B 43 04 E8 ?? ?? ?? ?? 89 43 10 89 53 14 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 83 7B 24 00 77 AB 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71871_0 {
	meta:
		name = "TZCompressionStream.Seek"
		size = 108
		refs = "000f TZCompressionStream.Seek 0016 _DV_EZCompressionError 001b Exception.Create 0020 @RaiseExcept"
	strings:
		$1 = { 85 D2 75 0A 66 83 F9 01 75 04 8B 40 28 C3 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 5A 00 53 00 74 00 72 00 65 00 61 00 6D 00 20 00 6F 00 70 00 65 00 72 00 61 00 74 00 69 00 6F 00 6E 00 21 00 00 00 00 00 }
	condition:
		$1
}

rule function_71872_0 {
	meta:
		name = "TZCompressionStream.GetCompressionRate"
		size = 84
		refs = "0034 TZCompressionStream.GetCompressionRate"
	strings:
		$1 = { 83 C4 EC 8B 50 28 85 D2 75 07 33 C0 89 04 24 EB 31 8B 48 34 89 4C 24 04 33 C9 89 4C 24 08 DF 6C 24 04 89 54 24 0C 33 C0 89 44 24 10 DF 6C 24 0C DE F9 D8 2D ?? ?? ?? ?? D8 0D ?? ?? ?? ?? D9 1C 24 9B D9 04 24 83 C4 14 C3 00 00 00 00 00 80 3F 00 00 C8 42 }
	condition:
		$1
}

rule function_71873_0 {
	meta:
		name = "TZDecompressionStream.Create"
		size = 55
		refs = "000a @ClassCreate 0019 TZDecompressionStream.Create 0024 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 0F 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_71874_0 {
	meta:
		name = "TZDecompressionStream.Create"
		size = 86
		refs = "000d @ClassCreate 001a TCustomZStream.Create 0030 inflateInit2 0035 ZDecompressCheck 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 58 89 46 20 33 C0 89 46 24 8D 46 20 8B 55 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_71875_0 {
	meta:
		name = "TZDecompressionStream.Destroy"
		size = 46
		refs = "0003 @BeforeDestruction 0010 inflateEnd 001c TObject.Destroy 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 20 50 E8 ?? ?? ?? ?? 59 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_71876_0 {
	meta:
		name = "TZDecompressionStream.Read"
		size = 250
		refs = "0019 TStream.GetPosition 0031 TStream.SetPosition 0082 @CallDynaInst 008d inflate 0095 ZDecompressCheck"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 0C 24 8B D8 89 53 2C 8B 04 24 89 43 30 8B 43 04 E8 ?? ?? ?? ?? 3B 53 14 75 03 3B 43 10 74 0E FF 73 14 FF 73 10 8B 43 04 E8 ?? ?? ?? ?? 33 FF EB 62 83 7B 24 00 75 47 8D 53 58 B9 00 00 01 00 8B 43 04 8B 30 FF 56 0C 8B E8 89 6B 24 85 ED 75 0F 8B 04 24 2B 43 30 89 44 24 04 E9 88 00 00 00 8D 43 58 89 43 20 8B 43 04 E8 ?? ?? ?? ?? 89 43 10 89 53 14 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 6A 00 8D 43 20 50 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? 8B F8 83 7B 30 00 76 05 83 FF 01 75 93 4F 75 3C 83 7B 24 00 76 36 8B 73 04 8B C6 E8 ?? ?? ?? ?? 52 50 8B 43 24 33 D2 29 04 24 19 54 24 04 58 5A 52 50 8B C6 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 89 43 10 89 53 14 33 C0 89 43 24 8B 04 24 2B 43 30 89 44 24 04 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71878_0 {
	meta:
		name = "TZDecompressionStream.Seek"
		size = 336
		refs = "002f inflateReset 0035 ZDecompressCheck 004e TStream.SetPosition 00a4 TStream.ReadBuffer 00e7 TZDecompressionStream.Seek 00ee _DV_EZDecompressionError 00f3 Exception.Create 00f8 @RaiseExcept"
	strings:
		$1 = { 53 56 57 50 B8 04 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 84 24 00 40 00 00 83 C4 04 8B F2 8B D8 85 F6 75 3E 66 85 C9 75 39 8D 43 20 50 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8D 43 58 89 43 20 33 C0 89 43 24 FF 73 0C FF 73 08 8B 43 04 E8 ?? ?? ?? ?? 8B 43 08 89 43 10 8B 43 0C 89 43 14 E9 99 00 00 00 85 F6 7C 06 66 83 F9 01 74 0C 8B C6 2B 43 34 74 54 66 85 C9 75 4F 66 85 C9 75 05 8B 43 34 2B F0 85 F6 7E 75 8B FE 85 FF 79 06 81 C7 FF 3F 00 00 C1 FF 0E 85 FF 7E 11 8B D4 B9 00 40 00 00 8B C3 E8 ?? ?? ?? ?? 4F 75 EF 8B CE 81 E1 FF 3F 00 80 79 08 49 81 C9 00 C0 FF FF 41 8B D4 8B C3 E8 ?? ?? ?? ?? EB 34 85 F6 75 1A 66 83 F9 02 75 14 8B D4 B9 00 40 00 00 8B C3 8B 30 FF 56 0C 85 C0 7F EE EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 34 81 C4 00 40 00 00 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 5A 00 53 00 74 00 72 00 65 00 61 00 6D 00 20 00 6F 00 70 00 65 00 72 00 61 00 74 00 69 00 6F 00 6E 00 21 00 00 00 00 00 }
	condition:
		$1
}

rule function_71923_0 {
	meta:
		name = "adler32_combine64"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 55 0C 52 8B 4D 08 51 E8 28 FF FF FF 83 C4 0C 5D C3 }
	condition:
		$1
}

rule function_71927_0 {
	meta:
		name = "crc32_combine64"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 55 0C 52 8B 4D 08 51 E8 F8 FE FF FF 83 C4 0C 5D C3 }
	condition:
		$1
}

rule function_71935_0 {
	meta:
		name = "gzread"
		size = 348
		refs = "003b _DV_. 0043 gz_error 00a7 memcpy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 75 10 8B 45 08 85 C0 75 08 83 C8 FF E9 39 01 00 00 8B D8 8D 7B 54 81 3B 4F 1C 00 00 75 06 83 7B 4C 00 74 08 83 C8 FF E9 1E 01 00 00 85 F6 7D 18 68 ?? ?? ?? ?? 6A FB 53 E8 ?? ?? ?? ?? 83 C4 0C 83 C8 FF E9 02 01 00 00 85 F6 75 07 33 C0 E9 F7 00 00 00 83 7B 48 00 74 1D 33 D2 89 53 48 8B 4B 44 51 53 E8 2A FF FF FF 83 C4 08 40 75 08 83 C8 FF E9 D4 00 00 00 33 D2 89 55 FC 8B 43 24 85 C0 74 30 3B F0 73 04 8B D6 EB 03 8B 53 24 89 55 F8 8B 45 F8 50 8B 4B 20 51 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 F8 01 43 20 8B 55 F8 29 53 24 EB 75 83 7B 28 00 74 0A 83 7F 04 00 0F 84 85 00 00 00 83 7B 34 00 74 09 8B 4B 10 03 C9 3B F1 73 11 53 E8 3B FE FF FF 59 40 75 64 83 C8 FF EB 6A EB 45 83 7B 34 01 75 1C 8D 55 F8 52 56 8B 4D 0C 51 53 E8 2B F6 FF FF 83 C4 10 40 75 2A 83 C8 FF EB 48 EB 23 89 77 10 8B 55 0C 89 57 0C 53 E8 83 FC FF FF 59 40 75 05 83 C8 FF EB 2E 8B 53 24 33 C9 89 55 F8 89 4B 24 2B 75 F8 8B 4D F8 01 4D 0C 8B 45 F8 01 45 FC 8B 53 0C 03 55 F8 89 53 0C 85 F6 0F 85 34 FF FF FF 8B 45 FC 5F 5E 5B 59 59 5D C3 90 }
	condition:
		$1
}

rule function_71936_0 {
	meta:
		name = "gzgetc"
		size = 100
	strings:
		$1 = { 55 8B EC 51 8B 55 08 85 D2 75 06 83 C8 FF 59 5D C3 8B C2 81 38 4F 1C 00 00 75 06 83 78 4C 00 74 06 83 C8 FF 59 5D C3 83 78 24 00 74 15 FF 48 24 FF 40 0C 8B 50 20 FF 40 20 33 C9 8A 0A 8B C1 59 5D C3 6A 01 8D 45 FF 50 52 E8 56 FE FF FF 83 C4 0C 48 7D 05 83 CA FF EB 05 33 D2 8A 55 FF 8B C2 59 5D C3 90 }
	condition:
		$1
}

rule function_71937_0 {
	meta:
		name = "gzungetc"
		size = 220
		refs = "008a _DV_. 0092 gz_error"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 0C 8B 75 08 85 C0 75 08 83 C8 FF E9 BF 00 00 00 8B D8 81 3B 4F 1C 00 00 75 06 83 7B 4C 00 74 08 83 C8 FF E9 A7 00 00 00 83 7B 48 00 74 1D 33 D2 89 53 48 8B 4B 44 51 53 E8 98 FD FF FF 83 C4 08 40 75 08 83 C8 FF E9 84 00 00 00 85 F6 7D 05 83 C8 FF EB 7B 83 7B 24 00 75 1E C7 43 24 01 00 00 00 8B 43 10 03 C0 03 43 1C 48 89 43 20 8B D6 88 10 FF 4B 0C 8B C6 EB 57 8B 53 10 03 D2 3B 53 24 75 15 68 ?? ?? ?? ?? 6A FB 53 E8 ?? ?? ?? ?? 83 C4 0C 83 C8 FF EB 38 8B 53 1C 3B 53 20 75 1E 8B C2 8B 4B 10 03 43 24 03 C9 03 CA 8B D1 EB 06 4A 48 8A 08 88 0A 3B 43 1C 77 F5 89 53 20 FF 43 24 FF 4B 20 8B C6 8B 53 20 88 02 8B C6 FF 4B 0C 5E 5B 5D C3 90 90 }
	condition:
		$1
}

rule function_71938_0 {
	meta:
		name = "gzgets"
		size = 260
		refs = "00a9 memchr 00ca memcpy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 75 10 8B 45 08 85 C0 74 0B 83 7D 0C 00 74 05 83 FE 01 7D 07 33 C0 E9 D8 00 00 00 8B D8 81 3B 4F 1C 00 00 75 06 83 7B 4C 00 74 07 33 C0 E9 C1 00 00 00 83 7B 48 00 74 1C 33 D2 89 53 48 8B 4B 44 51 53 E8 AF FC FF FF 83 C4 08 40 75 07 33 C0 E9 9F 00 00 00 8B FE 8B 55 0C 4F 89 55 FC 85 FF 0F 84 85 00 00 00 83 7B 24 00 75 20 53 E8 05 FC FF FF 59 40 75 04 33 C0 EB 7A 83 7B 24 00 75 0C 8B 55 0C 3B 55 FC 75 63 33 C0 EB 68 3B 7B 24 73 04 8B F7 EB 03 8B 73 24 56 6A 0A 8B 43 20 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 83 7D F8 00 74 07 8B 75 F8 2B 73 20 46 56 8B 43 20 50 8B 55 0C 52 E8 ?? ?? ?? ?? 29 73 24 8B C6 01 43 20 83 C4 0C 8B 53 0C 2B FE 03 D6 89 53 0C 01 45 0C 85 FF 74 0A 83 7D F8 00 0F 84 7B FF FF FF 8B 4D 0C C6 01 00 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_71939_0 {
	meta:
		name = "gzdirect"
		size = 56
	strings:
		$1 = { 55 8B EC 53 8B 45 08 85 C0 75 05 33 C0 5B 5D C3 8B D8 81 3B 4F 1C 00 00 74 05 33 C0 5B 5D C3 83 7B 34 00 75 0D 83 7B 24 00 75 07 53 E8 FB F4 FF FF 59 8B 43 38 5B 5D C3 }
	condition:
		$1
}

rule function_71942_0 {
	meta:
		name = "gzwrite"
		size = 324
		refs = "003c _DV_. 0044 gz_error 00c6 memcpy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 75 10 8B 45 08 89 75 FC 85 C0 75 07 33 C0 E9 1F 01 00 00 8B D8 8D 7B 54 81 3B B1 79 00 00 75 06 83 7B 4C 00 74 07 33 C0 E9 05 01 00 00 85 F6 7D 17 68 ?? ?? ?? ?? 6A FB 53 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 E9 EA 00 00 00 85 F6 75 07 33 C0 E9 DF 00 00 00 83 7B 10 00 75 11 53 E8 43 FD FF FF 59 40 75 07 33 C0 E9 C8 00 00 00 83 7B 48 00 74 1C 33 D2 89 53 48 8B 4B 44 51 53 E8 D3 FE FF FF 83 C4 08 40 75 07 33 C0 E9 A6 00 00 00 3B 73 10 73 66 83 7F 04 00 75 05 8B 53 18 89 17 8B 4B 10 2B 4F 04 89 4D F8 3B 75 F8 73 03 89 75 F8 8B 4D F8 51 8B 45 0C 50 8B 17 03 57 04 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D F8 01 4F 04 8B 43 0C 03 45 F8 89 43 0C 8B 55 F8 01 55 0C 2B 75 F8 85 F6 74 12 6A 00 53 E8 87 FD FF FF 83 C4 08 40 75 04 33 C0 EB 41 85 F6 75 9C EB 38 83 7F 04 00 74 12 6A 00 53 E8 69 FD FF FF 83 C4 08 40 75 04 33 C0 EB 23 89 77 04 8B 55 0C 89 17 03 73 0C 89 73 0C 6A 00 53 E8 49 FD FF FF 83 C4 08 40 75 04 33 C0 EB 03 8B 45 FC 5F 5E 5B 59 59 5D C3 90 }
	condition:
		$1
}

rule function_71943_0 {
	meta:
		name = "gzputc"
		size = 156
	strings:
		$1 = { 55 8B EC 51 53 56 57 83 7D 08 00 8B 7D 0C 75 05 83 C8 FF EB 7F 8B 5D 08 8D 73 54 81 3B B1 79 00 00 75 06 83 7B 4C 00 74 05 83 C8 FF EB 66 83 7B 48 00 74 1A 33 D2 89 53 48 8B 4B 44 51 53 E8 D5 FD FF FF 83 C4 08 40 75 05 83 C8 FF EB 46 8B 46 04 3B 43 10 73 1D 85 C0 75 05 8B 53 18 89 16 8B 4E 04 FF 46 04 8B 36 8B C7 88 04 0E FF 43 0C 8B C7 EB 21 8B D7 8D 4D FF 88 55 FF 6A 01 51 8B 45 08 50 E8 35 FE FF FF 83 C4 0C 48 74 05 83 C8 FF EB 02 8B C7 5F 5E 5B 59 5D C3 90 90 }
	condition:
		$1
}

rule function_71944_0 {
	meta:
		name = "gzputs"
		size = 52
		refs = "000a strlen"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 0C 56 E8 ?? ?? ?? ?? 59 8B D8 53 56 8B 45 08 50 E8 04 FE FF FF 83 C4 0C 85 C0 75 09 85 DB 74 05 83 CA FF EB 02 8B D0 8B C2 5E 5B 5D C3 }
	condition:
		$1
}

rule function_71945_0 {
	meta:
		name = "gzprintf"
		size = 192
		refs = "0090 _vsnprintf"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 85 C0 75 08 83 C8 FF E9 A3 00 00 00 8B D8 8D 7B 54 81 3B B1 79 00 00 75 06 83 7B 4C 00 74 07 33 C0 E9 89 00 00 00 83 7B 10 00 75 0E 53 E8 5D FB FF FF 59 40 75 04 33 C0 EB 75 83 7B 48 00 74 19 33 D2 89 53 48 8B 4B 44 51 53 E8 F0 FC FF FF 83 C4 08 40 75 04 33 C0 EB 56 83 7F 04 00 74 12 6A 00 53 E8 F4 FB FF FF 83 C4 08 40 75 04 33 C0 EB 3E 8B 73 10 8B 43 18 8D 55 10 C6 44 30 FF 00 52 8B 4D 0C 51 56 50 E8 ?? ?? ?? ?? 83 C4 10 85 C0 7E 0E 3B F0 7E 0A 8B 53 18 80 7C 32 FF 00 74 04 33 C0 EB 0B 89 47 04 8B 4B 18 89 0F 01 43 0C 5F 5E 5B 5D C3 90 90 90 }
	condition:
		$1
}

rule function_71946_0 {
	meta:
		name = "gzflush"
		size = 108
	strings:
		$1 = { 55 8B EC 53 56 8B 75 0C 8B 45 08 85 C0 75 05 83 C8 FF EB 54 8B D8 81 3B B1 79 00 00 75 06 83 7B 4C 00 74 07 B8 FE FF FF FF EB 3D 85 F6 7C 05 83 FE 04 7E 07 B8 FE FF FF FF EB 2D 83 7B 48 00 74 1A 33 D2 89 53 48 8B 4B 44 51 53 E8 38 FC FF FF 83 C4 08 40 75 05 83 C8 FF EB 0D 56 53 E8 42 FB FF FF 83 C4 08 8B 43 4C 5E 5B 5D C3 }
	condition:
		$1
}

rule function_71947_0 {
	meta:
		name = "gzsetparams"
		size = 168
		refs = "0092 deflateParams"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 10 8B 75 0C 8B 45 08 85 C0 75 0A B8 FE FF FF FF E9 83 00 00 00 8B D8 8D 43 54 89 45 FC 81 3B B1 79 00 00 75 06 83 7B 4C 00 74 07 B8 FE FF FF FF EB 66 3B 73 3C 75 09 3B 7B 40 75 04 33 C0 EB 58 83 7B 48 00 74 1A 33 D2 89 53 48 8B 4B 44 51 53 E8 BE FB FF FF 83 C4 08 40 75 05 83 C8 FF EB 38 83 7B 10 00 74 2A 8B 55 FC 83 7A 04 00 74 13 6A 01 53 E8 B8 FA FF FF 83 C4 08 40 75 05 8B 43 4C EB 16 57 56 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 89 73 3C 89 7B 40 33 C0 5F 5E 5B 59 5D C3 90 }
	condition:
		$1
}

rule function_71950_0 {
	meta:
		name = "gzopen"
		size = 24
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A FF 8B 55 08 52 E8 0A FE FF FF 83 C4 0C 5D C3 90 }
	condition:
		$1
}

rule function_71951_0 {
	meta:
		name = "gzopen64"
		size = 24
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A FF 8B 55 08 52 E8 F2 FD FF FF 83 C4 0C 5D C3 90 }
	condition:
		$1
}

rule function_71952_0 {
	meta:
		name = "gzdopen"
		size = 76
		refs = "0010 malloc 0021 _DV_. 0027 sprintf 0040 free"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 83 FE FF 74 0E 6A 13 E8 ?? ?? ?? ?? 59 8B D8 85 C0 75 04 33 C0 EB 28 56 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 0C 52 56 53 E8 B3 FD FF FF 83 C4 0C 8B F0 53 E8 ?? ?? ?? ?? 59 8B C6 5E 5B 5D C3 90 }
	condition:
		$1
}

rule function_71953_0 {
	meta:
		name = "gzbuffer"
		size = 68
	strings:
		$1 = { 55 8B EC 8B 55 0C 8B 45 08 85 C0 75 05 83 C8 FF 5D C3 8B 08 81 F9 4F 1C 00 00 74 0D 81 F9 B1 79 00 00 74 05 83 C8 FF 5D C3 83 78 10 00 74 05 83 C8 FF 5D C3 85 D2 75 05 83 C8 FF 5D C3 89 50 14 33 C0 5D C3 }
	condition:
		$1
}

rule function_71954_0 {
	meta:
		name = "gzrewind"
		size = 80
		refs = "0032 lseek"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 85 C0 75 06 83 C8 FF 5B 5D C3 8B D8 81 3B 4F 1C 00 00 75 06 83 7B 4C 00 74 06 83 C8 FF 5B 5D C3 6A 00 8B 53 2C 52 8B 4B 04 51 E8 ?? ?? ?? ?? 83 C4 0C 40 75 06 83 C8 FF 5B 5D C3 53 E8 D0 FC FF FF 59 33 C0 5B 5D C3 90 90 }
	condition:
		$1
}

rule function_71955_0 {
	meta:
		name = "gzseek64"
		size = 316
		refs = "0091 lseek"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 10 8B 75 0C 8B 55 08 85 D2 75 08 83 C8 FF E9 1E 01 00 00 8B DA 8B 0B 81 F9 4F 1C 00 00 74 10 81 F9 B1 79 00 00 74 08 83 C8 FF E9 02 01 00 00 83 7B 4C 00 74 08 83 C8 FF E9 F4 00 00 00 85 C0 74 0D 83 F8 01 74 08 83 C8 FF E9 E3 00 00 00 85 C0 75 05 2B 73 0C EB 09 83 7B 48 00 74 03 03 73 44 33 C9 89 4B 48 81 3B 4F 1C 00 00 75 58 83 7B 34 01 75 52 8B 43 0C 03 C6 3B 43 30 7C 48 6A 01 8B D6 2B 53 24 52 8B 4B 04 51 E8 ?? ?? ?? ?? 83 C4 0C 40 75 08 83 C8 FF E9 95 00 00 00 33 D2 89 53 24 33 C9 89 4B 28 33 C9 89 4B 48 6A 00 6A 00 53 E8 2C 02 00 00 83 C4 0C 33 C0 89 43 58 01 73 0C 8B 43 0C EB 6C 85 F6 7D 28 81 3B 4F 1C 00 00 74 05 83 C8 FF EB 5B 03 73 0C 85 F6 7D 05 83 C8 FF EB 4F 52 E8 C1 FE FF FF 59 40 75 05 83 C8 FF EB 40 81 3B 4F 1C 00 00 75 25 81 7B 24 FF FF FF 7F 77 05 3B 73 24 7D 04 8B C6 EB 03 8B 43 24 29 43 24 01 43 20 8B 53 0C 03 D0 2B F0 89 53 0C 85 F6 74 0A C7 43 48 01 00 00 00 89 73 44 8B 43 0C 03 C6 5E 5B 5D C3 }
	condition:
		$1
}

rule function_71956_0 {
	meta:
		name = "gzseek"
		size = 32
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 55 0C 52 8B 4D 08 51 E8 B0 FE FF FF 83 C4 0C 3B C0 74 03 83 C8 FF 5D C3 }
	condition:
		$1
}

rule function_71957_0 {
	meta:
		name = "gztell64"
		size = 60
	strings:
		$1 = { 55 8B EC 8B 45 08 85 C0 75 05 83 C8 FF 5D C3 8B 10 81 FA 4F 1C 00 00 74 0D 81 FA B1 79 00 00 74 05 83 C8 FF 5D C3 83 78 48 00 74 05 8B 50 44 EB 02 33 D2 03 50 0C 8B C2 5D C3 90 90 }
	condition:
		$1
}

rule function_71958_0 {
	meta:
		name = "gztell"
		size = 24
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 B8 FF FF FF 59 3B C0 74 03 83 C8 FF 5D C3 90 90 }
	condition:
		$1
}

rule function_71959_0 {
	meta:
		name = "gzoffset64"
		size = 84
		refs = "0032 lseek"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 85 C0 75 06 83 C8 FF 5B 5D C3 8B D8 8B 03 3D 4F 1C 00 00 74 0D 3D B1 79 00 00 74 06 83 C8 FF 5B 5D C3 6A 01 6A 00 8B 53 04 52 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 FF 75 06 83 C8 FF 5B 5D C3 81 3B 4F 1C 00 00 75 03 2B 43 58 5B 5D C3 90 90 }
	condition:
		$1
}

rule function_71960_0 {
	meta:
		name = "gzoffset"
		size = 24
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 A0 FF FF FF 59 3B C0 74 03 83 C8 FF 5D C3 90 90 }
	condition:
		$1
}

rule function_71961_0 {
	meta:
		name = "gzeof"
		size = 80
	strings:
		$1 = { 55 8B EC 8B 45 08 85 C0 75 04 33 C0 5D C3 8B 10 81 FA 4F 1C 00 00 74 0C 81 FA B1 79 00 00 74 04 33 C0 5D C3 81 FA 4F 1C 00 00 75 1D 83 78 28 00 74 0C 83 78 58 00 75 06 83 78 24 00 74 04 33 D2 EB 09 BA 01 00 00 00 EB 02 33 D2 8B C2 5D C3 90 }
	condition:
		$1
}

rule function_71962_0 {
	meta:
		name = "gzerror"
		size = 68
		refs = "0037 _DV_."
	strings:
		$1 = { 55 8B EC 8B 4D 0C 8B 45 08 85 C0 75 04 33 C0 5D C3 8B 10 81 FA 4F 1C 00 00 74 0C 81 FA B1 79 00 00 74 04 33 C0 5D C3 85 C9 74 05 8B 50 4C 89 11 83 78 50 00 75 07 B9 ?? ?? ?? ?? EB 03 8B 48 50 8B C1 5D C3 }
	condition:
		$1
}

rule function_71963_0 {
	meta:
		name = "gzclearerr"
		size = 56
	strings:
		$1 = { 55 8B EC 8B 45 08 85 C0 74 2C 8B 10 81 FA 4F 1C 00 00 74 08 81 FA B1 79 00 00 75 1A 81 FA 4F 1C 00 00 75 05 33 C9 89 48 28 6A 00 6A 00 50 E8 05 00 00 00 83 C4 0C 5D C3 }
	condition:
		$1
}

rule function_71969_0 {
	meta:
		name = "TTestDecorator.RunTest"
		size = 9
	strings:
		$1 = { 8B 40 5C 8B 08 FF 51 2C C3 }
	condition:
		$1
}

rule function_71970_0 {
	meta:
		name = "TTestDecorator.CountEnabledTestCases"
		size = 28
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 28 84 C0 74 0A 8B 43 5C 8B 10 FF 52 14 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_71971_0 {
	meta:
		name = "TTestDecorator.CountTestCases"
		size = 28
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 28 84 C0 74 0A 8B 43 5C 8B 10 FF 52 10 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_71972_0 {
	meta:
		name = "TTestDecorator.Create"
		size = 232
		refs = "0015 @ClassCreate 0024 @IntfAddRef 002c @UStrAddRef 0034 TTestDecorator.Create 004c TAbstractTest.Create 0070 @IntfCopy 0077 _Dn_TInterfaceList 007c TInterfaceList.Create 00ad @UStrClr 00b5 @IntfClear 00c3 @HandleFinally 00d0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 08 00 74 0E 8B 4D 08 33 D2 8B C6 E8 ?? ?? ?? ?? EB 17 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 8B 4D F8 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 5C 8B 55 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 46 60 E8 ?? ?? ?? ?? 8B 56 5C 8B 46 60 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_71974_0 {
	meta:
		name = "TTestDecorator.LoadConfiguration"
		size = 272
		refs = "0023 TTestDecorator.LoadConfiguration 0037 TAbstractTest.LoadConfiguration 0071 @IntfCast 0098 @UStrCatN 00c2 @UStrArrayClr 00ca @IntfClear 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F0 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 F8 8B 08 FF 51 30 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 57 43 33 F6 8D 4D E8 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 55 E8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 FF 75 F0 68 ?? ?? ?? ?? 8D 55 E0 8B 45 F8 8B 08 FF 51 24 FF 75 E0 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 8B 55 F4 58 8B 38 FF 57 60 46 4B 75 AC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 00 00 00 57 D5 CC 89 E1 7D 14 48 B0 33 AB AF E0 87 0E C7 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_71975_0 {
	meta:
		name = "TTestDecorator.SaveConfiguration"
		size = 272
		refs = "0023 TTestDecorator.SaveConfiguration 0037 TAbstractTest.SaveConfiguration 0071 @IntfCast 0098 @UStrCatN 00c2 @UStrArrayClr 00ca @IntfClear 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F0 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 FC 8B 45 F8 8B 08 FF 51 30 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 57 43 33 F6 8D 4D E8 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 55 E8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 FF 75 F0 68 ?? ?? ?? ?? 8D 55 E0 8B 45 F8 8B 08 FF 51 24 FF 75 E0 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 8B 55 F4 58 8B 38 FF 57 68 46 4B 75 AC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 00 00 00 57 D5 CC 89 E1 7D 14 48 B0 33 AB AF E0 87 0E C7 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_71977_0 {
	meta:
		name = "TTestDecorator.GetName"
		size = 152
		refs = "0018 TTestDecorator.GetName 0029 TTestDecorator.GetTest 004d Format 0062 @IntfClear 006a @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F4 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 8B 08 FF 51 0C 8B 45 F4 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 28 00 64 00 29 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_71978_0 {
	meta:
		name = "TTestSetupStub.SetUp"
		size = 9
	strings:
		$1 = { 8B 40 68 8B 10 FF 52 1C C3 }
	condition:
		$1
}

rule function_71979_0 {
	meta:
		name = "TTestSetupStub.TearDown"
		size = 9
	strings:
		$1 = { 8B 40 68 8B 10 FF 52 20 C3 }
	condition:
		$1
}

rule function_71980_0 {
	meta:
		name = "TTestSetup.Create"
		size = 138
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 @UStrAddRef 002d TTestSetup.Create 0043 TTestDecorator.Create 0058 @IntfClear 0060 @UStrClr 0066 @HandleFinally 0073 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_71981_0 {
	meta:
		name = "TTestSetup.GetName"
		size = 123
		refs = "0018 TTestSetup.GetName 0029 TTestDecorator.GetName 003f sSetupDecorator 0044 LoadResString 004f Format 0069 @UStrArrayClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F4 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71982_0 {
	meta:
		name = "TRepeatedTest.CountEnabledTestCases"
		size = 15
		refs = "0006 TTestDecorator.CountEnabledTestCases"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F7 6B 68 5B C3 }
	condition:
		$1
}

rule function_71983_0 {
	meta:
		name = "TRepeatedTest.CountTestCases"
		size = 15
		refs = "0006 TTestDecorator.CountTestCases"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F7 6B 68 5B C3 }
	condition:
		$1
}

rule function_71984_0 {
	meta:
		name = "TRepeatedTest.Create"
		size = 144
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 @UStrAddRef 002d TRepeatedTest.Create 0043 TTestDecorator.Create 005e @IntfClear 0066 @UStrClr 006c @HandleFinally 0079 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 89 46 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_71986_0 {
	meta:
		name = "TRepeatedTest.SetHaltOnError"
		size = 4
		altNames = "TXMLSchemaDocRef.SetSchemaRefType"
	strings:
		$1 = { 88 50 6C C3 }
	condition:
		$1
}

rule function_71987_0 {
	meta:
		name = "TRepeatedTest.GetName"
		size = 168
		refs = "0018 TRepeatedTest.GetName 0033 TTestDecorator.GetTest 005a Format 006f @IntfClear 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D EC 89 4D E8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 43 68 89 45 F0 C6 45 F4 00 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC 8B 08 FF 51 0C 8B 45 EC 89 45 F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 64 00 20 00 78 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_71988_0 {
	meta:
		name = "TRepeatedTest.RunTest"
		size = 105
		refs = "0036 TRepeatedTest.GetHaltOnError 005b TTestDecorator.RunTest"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 8B F0 8B C3 8B 10 FF 52 48 8B E8 8B C3 8B 10 FF 52 4C 89 44 24 04 8B 7E 68 4F 85 FF 7C 3B 47 8B C3 8B 10 FF 52 40 84 C0 75 2F 8B C6 E8 ?? ?? ?? ?? 84 C0 74 18 8B C3 8B 10 FF 52 48 3B E8 7C 19 8B C3 8B 10 FF 52 4C 3B 44 24 04 7F 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 4F 75 C6 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_71989_0 {
	meta:
		name = "TMemoryTest.GetName"
		size = 141
		refs = "0014 TMemoryTest.GetName 0025 TTestDecorator.GetTest 0046 sTestMemory 004b LoadResString 0056 Format 006b @UStrClr 0073 @IntfClear 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 8B 08 FF 51 0C 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71990_0 {
	meta:
		name = "TMemoryTest.MemoryAllocated"
		size = 18
		refs = "0006 GetHeapStatus"
	strings:
		$1 = { 83 C4 D8 8B C4 E8 ?? ?? ?? ?? 8B 44 24 0C 83 C4 28 C3 }
	condition:
		$1
}

rule function_71991_0 {
	meta:
		name = "TMemoryTest.RunTest"
		size = 240
		refs = "0019 TMemoryTest.RunTest 0026 _Dn_TTestResult 002b TTestResult.Create 0043 TMemoryTest.MemoryAllocated 0073 sMemoryChanged 0078 LoadResString 008c Format 00a6 TTestDecorator.RunTest 00bb TObject.Free 00c1 @HandleFinally 00dd @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F8 89 4D F4 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 43 5C 8B 55 FC 8B 08 FF 51 2C 8B C3 E8 ?? ?? ?? ?? 2B C6 8B F0 8B 45 FC 8B 10 FF 52 54 84 C0 74 36 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 89 75 EC C6 45 F0 00 8D 55 EC 33 C9 E8 ?? ?? ?? ?? 8B 45 F8 50 8B CE 33 D2 8B C3 8B 18 FF 53 5C EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_71994_0 {
	meta:
		name = "TMemLeakMonitor.MemLeakDetected"
		size = 7
	strings:
		$1 = { 33 C0 89 02 33 C0 C3 }
	condition:
		$1
}

rule function_71996_0 {
	meta:
		name = "TDUnitMemLeakMonitor.MemLeakDetected"
		size = 24
		refs = "000a TMemLeakMonitor.MemLeakDetected"
	strings:
		$1 = { 55 8B EC 53 8B DA 8B 55 08 E8 ?? ?? ?? ?? 85 DB 0F 95 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_71997_0 {
	meta:
		name = "TDUnitMemLeakMonitor.MemLeakDetected"
		size = 34
		refs = "000a TMemLeakMonitor.MemLeakDetected"
	strings:
		$1 = { 55 8B EC 53 8B D9 8B 55 08 E8 ?? ?? ?? ?? 33 C0 89 03 8B 45 10 FF 55 0C 85 C0 0F 95 C0 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_71998_0 {
	meta:
		name = "TDUnitMemLeakMonitor.GetMemoryUseMsg"
		size = 28
		refs = "0012 @UStrClr"
	strings:
		$1 = { 55 8B EC 8B 45 08 85 C0 74 04 33 D2 89 10 8B 45 08 E8 ?? ?? ?? ?? B0 01 5D C2 04 00 }
	condition:
		$1
}

rule function_71999_0 {
	meta:
		name = "TDUnitMemLeakMonitor.GetMemoryUseMsg"
		size = 28
		refs = "0012 @UStrClr"
	strings:
		$1 = { 55 8B EC 8B 45 08 85 C0 74 04 33 D2 89 10 8B 45 08 E8 ?? ?? ?? ?? B0 01 5D C2 10 00 }
	condition:
		$1
}

rule function_72000_0 {
	meta:
		name = "MemLeakMonitor"
		size = 37
		refs = "0009 _DV_TMemLeakMonitor 000e TObject.Create 001e @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F4 8B C3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_72001_0 {
	meta:
		name = "PtrToStr"
		size = 64
		refs = "001a PtrToStr 001f Format"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 56 89 5D F8 C6 45 FC 05 8D 55 F8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 25 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_72002_0 {
	meta:
		name = "IsBadPointer"
		size = 69
		refs = "000a IsBadPointer 0033 @HandleAnyException 003a @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 C0 74 0E 8B 10 3B C2 74 04 3B C2 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? B3 01 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72003_0 {
	meta:
		name = "CallerAddr"
		size = 31
		refs = "0003 IsBadPointer"
	strings:
		$1 = { 89 E8 E8 ?? ?? ?? ?? 85 C0 75 11 8B 45 04 83 E8 05 50 E8 ?? ?? ?? ?? 85 C0 58 74 02 31 C0 C3 }
	condition:
		$1
}

rule function_72004_0 {
	meta:
		name = "PointerToLocationInfo"
		size = 16
		refs = "0009 @UStrClr"
	strings:
		$1 = { 55 8B EC 53 8B DA 8B C3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_72005_0 {
	meta:
		name = "PointerToAddressInfo"
		size = 140
		refs = "000f PointerToAddressInfo 0023 PtrToStr 0032 @UStrCat3 0040 @UStrAsg 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 1B 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6E 00 2F 00 61 00 00 00 }
	condition:
		$1
}

rule function_72006_0 {
	meta:
		name = "IsTestMethod"
		size = 208
		refs = "0011 @IntfAddRef 0019 IsTestMethod 0027 @IntfClear 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 10 48 0F 94 C3 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 83 7D F8 00 74 02 33 DB 8D 45 F4 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 83 7D F4 00 74 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5B 8B E5 5D C3 00 EF 38 0E C2 69 73 D9 44 9D 84 08 E8 4E C1 DC F0 29 C2 3F 8B 33 30 90 45 AD 5C 01 91 4C 6E 2C 9F }
	condition:
		$1
}

rule function_72007_0 {
	meta:
		name = "IsDecorator"
		size = 136
		refs = "0013 @IntfAddRef 001b IsDecorator 0029 @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 83 7D F8 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 00 00 29 C2 3F 8B 33 30 90 45 AD 5C 01 91 4C 6E 2C 9F }
	condition:
		$1
}

rule function_72008_0 {
	meta:
		name = "GetDUnitRegistryKey"
		size = 22
		refs = "000a DUnitRegistryKey 000f @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_72189_0 {
	meta:
		name = "RegisteredTests"
		size = 22
		refs = "000a __TestRegistry 000f @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_72009_0 {
	meta:
		name = "SetDUnitRegistryKey"
		size = 21
		refs = "0007 DUnitRegistryKey 000e @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 8B D8 B8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_72010_0 {
	meta:
		name = "ByteAt"
		size = 6
	strings:
		$1 = { 03 D0 0F B6 02 C3 }
	condition:
		$1
}

rule function_72011_0 {
	meta:
		name = "FirstByteDiff"
		size = 116
		refs = "002e ByteAt"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F8 C7 45 F4 FF FF FF FF 83 7D F8 00 76 4A 8B 75 F8 4E 85 F6 7C 42 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5A 3A D0 74 22 89 5D F4 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 0C 88 02 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 88 02 EB 04 43 4E 75 C1 8B 45 F4 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_72012_0 {
	meta:
		name = "TTestResult.Create"
		size = 156
		refs = "000d @ClassCreate 001a TObject.Create 0021 _Dn_TList 003f _Dn_TInterfaceList 0044 TInterfaceList.Create 0055 @IntfCopy 0067 _DV_TStatusToResultAdapter 006c TStatusToResultAdapter.Create 0088 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 46 1C E8 ?? ?? ?? ?? 33 C0 89 46 24 C6 46 28 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 46 34 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72013_0 {
	meta:
		name = "TTestResult.Destroy"
		size = 132
		refs = "0008 @BeforeDestruction 0025 TList.Get 002a TObject.Free 006d TObject.Destroy 007a @ClassDestroy"
	strings:
		$1 = { 55 8B EC 51 53 56 57 E8 ?? ?? ?? ?? 88 55 FF 8B F8 8B 47 14 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 14 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 14 E8 ?? ?? ?? ?? 8B 47 10 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 10 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 10 E8 ?? ?? ?? ?? 0F B6 55 FF 80 E2 FC 8B C7 E8 ?? ?? ?? ?? 80 7D FF 00 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72014_0 {
	meta:
		name = "TTestResult.AddSuccess"
		size = 184
		refs = "001b @IntfAddRef 0023 TTestResult.AddSuccess 005e @IntfCast 0082 @IntfClear 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 1C 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 33 F6 8D 4D F0 8B 45 F8 8B 40 1C 8B D6 8B 38 FF 57 0C 8B 55 F0 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC 8B 08 FF 51 18 46 4B 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 00 BC 85 41 11 6B B3 68 4C BD AB 27 3D BD 45 0F 72 }
	condition:
		$1
}

rule function_72015_0 {
	meta:
		name = "TTestResult.AddError"
		size = 248
		refs = "001d @IntfAddRef 0025 @UStrAddRef 002d TTestResult.AddError 0046 _DV_TTestFailure 004b TTestFailure.Create 005c TList.Add 0091 @IntfCast 00b8 @IntfClear 00d0 @UStrClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 5D EC 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 0C 50 8B 45 08 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 8B 40 14 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 1C 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 33 F6 8D 4D EC 8B 45 F8 8B 40 1C 8B D6 8B 38 FF 57 0C 8B 55 EC 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F4 8B 08 FF 51 1C 46 4B 75 D1 8B 5D F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 BC 85 41 11 6B B3 68 4C BD AB 27 3D BD 45 0F 72 }
	condition:
		$1
}

rule function_72016_0 {
	meta:
		name = "TTestResult.AddFailure"
		size = 232
		refs = "001d @IntfAddRef 0025 TTestResult.AddFailure 003c _DV_TTestFailure 0041 TTestFailure.Create 0052 TList.Add 0087 @IntfCast 00ae @IntfClear 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 5D EC 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 08 50 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 8B 40 10 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 1C 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 33 F6 8D 4D EC 8B 45 F8 8B 40 1C 8B D6 8B 38 FF 57 0C 8B 55 EC 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F4 8B 08 FF 51 20 46 4B 75 D1 8B 5D F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 BC 85 41 11 6B B3 68 4C BD AB 27 3D BD 45 0F 72 }
	condition:
		$1
}

rule function_72017_0 {
	meta:
		name = "TTestResult.AddListener"
		size = 76
		refs = "000e @IntfAddRef 0016 TTestResult.AddListener 003c @IntfClear 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 1C 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_72018_0 {
	meta:
		name = "TTestResult.EndTest"
		size = 228
		refs = "001b @IntfAddRef 0023 TTestResult.EndTest 006c @IntfCast 0098 @HandleFinally 00af @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 1C 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 33 F6 8D 4D F0 8B 45 F8 8B 40 1C 8B D6 8B 38 FF 57 0C 8B 55 F0 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC 8B 08 FF 51 24 46 4B 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 58 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 BC 85 41 11 6B B3 68 4C BD AB 27 3D BD 45 0F 72 }
	condition:
		$1
}

rule function_72019_0 {
	meta:
		name = "TTestResult.Status"
		size = 188
		refs = "001e @IntfAddRef 0026 TTestResult.Status 0061 @IntfCast 0088 @IntfClear 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 5D EC 89 4D F4 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 1C 8B 10 FF 52 14 8B D8 4B 85 DB 7C 35 43 33 F6 8D 4D EC 8B 45 F8 8B 40 1C 8B D6 8B 38 FF 57 0C 8B 55 EC 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 4D F4 8B 55 FC 8B 38 FF 57 0C 46 4B 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 BC 85 41 11 6B B3 68 4C BD AB 27 3D BD 45 0F 72 }
	condition:
		$1
}

rule function_72020_0 {
	meta:
		name = "TTestResult.GetError"
		size = 34
		refs = "000f TList.Get 0015 _DV_TTestFailure 001a @AsClass"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B D6 8B 43 14 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72021_0 {
	meta:
		name = "TTestResult.GetFailure"
		size = 34
		refs = "000f TList.Get 0015 _DV_TTestFailure 001a @AsClass"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B D6 8B 43 10 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72022_0 {
	meta:
		name = "TTestResult.RunTestSetup"
		size = 276
		refs = "0018 @IntfAddRef 0020 TTestResult.RunTestSetup 004d QueryPerformanceCounter 00a9 @HandleOnException 00b1 _Dn_Exception 00bc ExceptAddr 00c5 sFailedSetup 00ca LoadResString 00e0 @DoneExcept 00f5 @UStrClr 00fd @IntfClear 0103 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 45 FC 8B 10 FF 52 4C 8D 45 E8 50 E8 ?? ?? ?? ?? FF 75 EC FF 75 E8 8B 45 FC 8B 10 FF 52 44 8B 45 F8 0F B6 50 2A 8B 45 FC 8B 08 FF 51 78 8B 45 F8 0F B6 50 2D 8B 45 FC 8B 08 FF 91 84 00 00 00 8B 45 F8 0F B6 50 2B 8B 45 FC 8B 08 FF 91 A0 00 00 00 8B 45 FC 8B 10 FF 52 1C C6 45 F7 01 33 C0 5A 59 59 64 89 10 EB 3C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 E8 ?? ?? ?? ?? 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8B CB 8B 55 FC 8B 45 F8 8B 18 FF 53 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72023_0 {
	meta:
		name = "TTestResult.RunTestTearDown"
		size = 201
		refs = "0018 @IntfAddRef 0020 TTestResult.RunTestTearDown 004b @HandleOnException 0053 _Dn_Exception 005e ExceptAddr 0067 sFailedTearDown 006c LoadResString 0082 @DoneExcept 008b QueryPerformanceCounter 00ae @UStrClr 00b6 @IntfClear 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 20 33 C0 5A 59 59 64 89 10 EB 3C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 E8 ?? ?? ?? ?? 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B CB 8B 55 FC 8B 45 F8 8B 18 FF 53 38 E8 ?? ?? ?? ?? 8D 45 F0 50 E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 8B 45 FC 8B 10 FF 52 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72024_0 {
	meta:
		name = "TTestResult.RunTestRun"
		size = 449
		refs = "0018 @IntfAddRef 0020 TTestResult.RunTestRun 0066 @IntfCopy 0092 @HandleOnException 009a _DV_EStopTestsFailure 00a2 _DV_ETestFailure 00aa _DV_EBreakingTestFailure 00b2 _Dn_Exception 00bd ExceptAddr 00cb TTestResult.AddFailure 0126 @DoneExcept 0141 TObject.InheritsFrom 0174 EBreakingTestFailure.Create 0179 @RaiseExcept 0188 @HandleAnyException 01a2 @UStrClr 01aa @IntfClear 01b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 33 D2 8B 45 FC 8B 08 FF 51 38 33 DB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 08 FF 51 30 8B 45 F8 83 78 20 00 75 0E 8B 45 F8 83 C0 20 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 20 8B 10 FF 52 54 33 D2 8B 4D F8 89 41 08 89 51 0C C6 45 F7 01 33 C0 5A 59 59 64 89 10 E9 99 00 00 00 E9 ?? ?? ?? ?? 04 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 E8 ?? ?? ?? ?? 50 8B CB 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 C6 40 28 01 EB 4B 89 C3 E8 ?? ?? ?? ?? 50 8B CB 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 EB 32 89 C3 E8 ?? ?? ?? ?? 50 8B CB 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 EB 19 89 C3 E8 ?? ?? ?? ?? 50 6A 00 8B CB 8B 55 FC 8B 45 F8 8B 18 FF 53 38 8B D8 E8 ?? ?? ?? ?? 8B 45 F8 80 78 29 00 74 5E 85 DB 74 5A 8B 43 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 48 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 10 50 8D 55 F0 8B C3 8B 08 FF 51 0C 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72025_0 {
	meta:
		name = "TTestResult.Run"
		size = 764
		refs = "0025 @IntfAddRef 002d TTestResult.Run 0094 @UStrClr 009b _DV_TDUnitMemLeakMonitor 00a0 TObject.Create 00b1 @IntfCopy 00ed @IntfCast 0116 IsTestMethod 0245 TTestResult.AddFailure 0286 @IntfClear 0294 @HandleFinally 02ac IMemLeakMonitor 02b6 @FinalizeArray 02c7 IDUnitMemLeakMonitor"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 33 C9 89 4D C8 89 4D CC 89 4D D0 89 4D F8 89 4D F4 89 4D F0 89 55 FC 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 10 FF 52 40 84 C0 0F 85 53 02 00 00 8B 55 FC 8B 45 EC 8B 08 FF 51 1C 84 C0 0F 84 40 02 00 00 8B 55 FC 8B 45 EC 8B 08 FF 51 18 33 D2 8B 45 FC 8B 08 FF 91 8C 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB C6 45 E3 00 33 C0 89 45 E4 33 C0 89 45 E8 8D 45 F0 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 45 F4 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 EC 8B 08 FF 51 04 84 C0 74 69 8D 45 D0 8B 55 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 8D 55 DC 8B 08 FF 51 0C 8B 45 F4 8B 10 FF 52 20 8B 55 FC 8B 45 EC 8B 08 FF 51 0C 88 45 E3 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 74 2A 8B 45 FC 8B 10 FF 92 80 00 00 00 84 C0 74 1B 8D 45 CC 8B 55 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 8D 55 E8 8B 08 FF 51 0C 8B 45 F4 8B 10 FF 52 20 8B 55 FC 8B 45 EC 8B 08 FF 51 08 8D 45 C8 8B 55 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 8D 55 D8 8B 08 FF 51 0C 80 7D E3 00 0F 84 E8 00 00 00 84 DB 74 0F 8B 45 FC 8B 10 FF 92 80 00 00 00 84 C0 75 10 8B 55 FC 8B 45 EC 8B 08 FF 51 34 E9 C5 00 00 00 8D 55 C0 8B 45 FC 8B 08 FF 91 A8 00 00 00 FF 75 C4 FF 75 C0 8D 45 E4 50 8B 45 FC 8B 10 FF 92 90 00 00 00 8B D0 8D 4D D4 8B 45 F8 8B 18 FF 53 14 8B D8 8B 45 EC 80 78 2B 00 74 0A 83 7D E8 00 75 04 84 DB 75 04 33 C0 EB 02 B0 01 8B 55 EC 88 42 2C 8B 45 EC 80 78 2C 00 75 4C 84 DB 74 48 8B 45 E8 50 8B 45 D8 50 8B 45 E4 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 10 FF 92 90 00 00 00 8B D0 8B 4D DC 8B 45 F8 8B 18 FF 53 1C 84 C0 75 17 8B 45 F0 50 8B 45 EC 8B 48 30 8B 55 FC 8B 45 EC E8 ?? ?? ?? ?? EB 1F 8B 55 FC 8B 45 EC 8B 08 FF 51 34 83 7D E4 00 74 0E 8B 55 E4 8B 45 FC 8B 08 FF 91 8C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 FC 8B 45 EC 8B 08 FF 51 28 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 5B 8B E5 5D C3 00 00 CC 68 13 04 04 5B 11 41 9E 2E 05 A5 90 8B 3A 58 }
	condition:
		$1
}

rule function_72028_0 {
	meta:
		name = "TTestResult.StartTest"
		size = 196
		refs = "001b @IntfAddRef 0023 TTestResult.StartTest 006c @IntfCast 0090 @IntfClear 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 50 34 8B 45 FC 8B 08 FF 51 58 8B 45 F8 8B 40 1C 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 33 F6 8D 4D F0 8B 45 F8 8B 40 1C 8B D6 8B 38 FF 57 0C 8B 55 F0 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC 8B 08 FF 51 14 46 4B 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 BC 85 41 11 6B B3 68 4C BD AB 27 3D BD 45 0F 72 }
	condition:
		$1
}

rule function_72029_0 {
	meta:
		name = "TGridDataLink.Modified"
		size = 5
		altNames = "TTestResult.Stop"
	strings:
		$1 = { C6 40 28 01 C3 }
	condition:
		$1
}

rule function_72030_0 {
	meta:
		name = "TTestResult.ErrorCount"
		size = 7
	strings:
		$1 = { 8B 40 14 8B 40 08 C3 }
	condition:
		$1
}

rule function_72032_0 {
	meta:
		name = "TTestResult.WasSuccessful"
		size = 49
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 4C 85 C0 75 16 8B C3 8B 10 FF 52 48 85 C0 75 0B 8B C3 8B 10 FF 52 50 84 C0 74 05 33 C0 5B 5D C3 B0 01 5B 5D C3 }
	condition:
		$1
}

rule function_72033_0 {
	meta:
		name = "TTestResult.TestingStarts"
		size = 156
		refs = "0013 TTestResult.TestingStarts 004e @IntfCast 006f @IntfClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 1C 8B 10 FF 52 14 8B D8 4B 85 DB 7C 2F 43 33 F6 8D 4D F4 8B 45 FC 8B 40 1C 8B D6 8B 38 FF 57 0C 8B 55 F4 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 10 46 4B 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 BC 85 41 11 6B B3 68 4C BD AB 27 3D BD 45 0F 72 }
	condition:
		$1
}

rule function_72034_0 {
	meta:
		name = "TTestResult.TestingEnds"
		size = 160
		refs = "0012 TTestResult.TestingEnds 004d @IntfCast 0072 @IntfClear 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 1C 8B 10 FF 52 14 8B F0 4E 85 F6 7C 36 46 C7 45 FC 00 00 00 00 8D 4D F4 8B 55 FC 8B 43 1C 8B 38 FF 57 0C 8B 55 F4 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D3 8B 08 FF 51 28 FF 45 FC 4E 75 D2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 BC 85 41 11 6B B3 68 4C BD AB 27 3D BD 45 0F 72 }
	condition:
		$1
}

rule function_72035_0 {
	meta:
		name = "TTestResult.ShouldRunTest"
		size = 200
		refs = "001b @IntfAddRef 0023 TTestResult.ShouldRunTest 0062 @IntfCast 0090 @IntfClear 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F0 89 4D EC 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 01 8B 45 F8 8B 40 1C 8B 10 FF 52 14 8B D8 4B 85 DB 7C 3C 43 33 F6 8D 4D EC 8B 45 F8 8B 40 1C 8B D6 8B 38 FF 57 0C 8B 55 EC 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC 8B 08 FF 51 2C 84 C0 75 06 C6 45 F7 00 EB 04 46 4B 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 00 BC 85 41 11 6B B3 68 4C BD AB 27 3D BD 45 0F 72 }
	condition:
		$1
}

rule function_72037_0 {
	meta:
		name = "TTestResult.RunSuite"
		size = 143
		refs = "0010 @IntfAddRef 0018 TTestResult.RunSuite 0042 @IntfCopy 0068 @HandleFinally 007f @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 C0 20 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 2C C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_72038_0 {
	meta:
		name = "TTestResult.EndSuite"
		size = 192
		refs = "001b @IntfAddRef 0023 TTestResult.EndSuite 0046 @IntfClear 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 1C 8B 10 FF 52 14 8B D8 4B 85 DB 7C 3C 43 33 F6 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 4D F0 8B 45 F4 8B 40 1C 8B D6 8B 38 FF 57 0C 8B 45 F0 50 8B 00 FF 10 85 C0 75 0B 8B 55 FC 8B 45 F8 8B 08 FF 51 34 46 4B 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 BE B1 28 5C B5 38 6F 4D AA 96 A0 4E 93 02 C3 17 }
	condition:
		$1
}

rule function_72039_0 {
	meta:
		name = "TTestResult.StartSuite"
		size = 192
		refs = "001b @IntfAddRef 0023 TTestResult.StartSuite 0046 @IntfClear 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 1C 8B 10 FF 52 14 8B D8 4B 85 DB 7C 3C 43 33 F6 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 4D F0 8B 45 F4 8B 40 1C 8B D6 8B 38 FF 57 0C 8B 45 F0 50 8B 00 FF 10 85 C0 75 0B 8B 55 FC 8B 45 F8 8B 08 FF 51 30 46 4B 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 BE B1 28 5C B5 38 6F 4D AA 96 A0 4E 93 02 C3 17 }
	condition:
		$1
}

rule function_72040_0 {
	meta:
		name = "TTestResult.AddFailure"
		size = 244
		refs = "001d @IntfAddRef 0025 @UStrAddRef 002d TTestResult.AddFailure 0042 _DV_TTestFailure 0047 TTestFailure.Create 0058 TList.Add 008d @IntfCast 00b4 @IntfClear 00cc @UStrClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 5D EC 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 08 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 8B 40 10 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 1C 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 33 F6 8D 4D EC 8B 45 F8 8B 40 1C 8B D6 8B 38 FF 57 0C 8B 55 EC 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F4 8B 08 FF 51 20 46 4B 75 D1 8B 5D F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 BC 85 41 11 6B B3 68 4C BD AB 27 3D BD 45 0F 72 }
	condition:
		$1
}

rule function_72041_0 {
	meta:
		name = "TStatusToResultAdapter.Create"
		size = 64
		refs = "000e @ClassCreate 001d TObject.Create 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72042_0 {
	meta:
		name = "TStatusToResultAdapter.Status"
		size = 82
		refs = "0011 @IntfAddRef 0019 TStatusToResultAdapter.Status 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B 43 0C 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72043_0 {
	meta:
		name = "TAbstractTest.Create"
		size = 142
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TAbstractTest.Create 0034 TObject.Create 003f @UStrAsg 0066 @UStrClr 006c @HandleFinally 0079 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 0C 8B 55 FC E8 ?? ?? ?? ?? C6 46 10 01 33 C0 33 D2 89 54 86 3C 40 83 F8 04 75 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72044_0 {
	meta:
		name = "TAbstractTest.Destroy"
		size = 56
		refs = "0006 @BeforeDestruction 0012 TObject.Free 001a @IntfClear 0025 TObject.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 2C E8 ?? ?? ?? ?? 8D 46 28 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72045_0 {
	meta:
		name = "TAbstractTest.Invoke"
		size = 11
	strings:
		$1 = { 55 8B EC C6 40 37 00 5D C2 08 00 }
	condition:
		$1
}

rule function_72046_0 {
	meta:
		name = "TAbstractTest.Run"
		size = 62
		refs = "0010 TAbstractTest.SetFailsOnNoChecksExecuted 001b TAbstractTest.SetFailsOnMemoryLeak 0026 TAbstractTest.SetIgnoreSetUpTearDownLeaks 0036 TTestResult.RunSuite"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 0F B6 56 2A 8B C3 E8 ?? ?? ?? ?? 0F B6 56 2D 8B C3 E8 ?? ?? ?? ?? 0F B6 56 2B 8B C3 E8 ?? ?? ?? ?? 8B D3 85 D2 74 03 83 EA AC 8B C6 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72047_0 {
	meta:
		name = "TAbstractTest.CountEnabledTestCases"
		size = 30
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 28 84 C0 74 08 B8 01 00 00 00 5B 5D C3 33 C0 5B 5D C3 }
	condition:
		$1
}

rule function_72050_0 {
	meta:
		name = "TAbstractTest.GetName"
		size = 23
		refs = "000f @UStrAsg"
		altNames = "TTestFailure.ThrownExceptionMessage"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B C6 8B 53 0C E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72051_0 {
	meta:
		name = "TAbstractTest.LoadConfiguration"
		size = 232
		refs = "0015 TAbstractTest.LoadConfiguration 002a DUnitRegistryKey 002f @UStrCat3 0039 _Dn_TRegistryIniFile 003e TRegistryIniFile.Create 0052 _DV_TMemIniFileTrimmed 0057 TMemIniFile.Create 0065 _Dn_TIniFile 006a TCustomIniFile.Create 009f TObject.Free 00a5 @HandleFinally 00bc @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 C9 74 24 8D 45 F8 8B CB 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC EB 2A 80 7D 08 00 74 13 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC EB 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B9 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 18 FF 53 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 65 00 73 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_72052_0 {
	meta:
		name = "TAbstractTest.LoadConfiguration"
		size = 103
		refs = "0018 TAbstractTest.LoadConfiguration 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 55 F8 8B C3 8B 08 FF 51 24 8B 4D F8 8B 55 FC 8B C6 8B 30 FF 56 14 8B D0 8B C3 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_72053_0 {
	meta:
		name = "TAbstractTest.SaveConfiguration"
		size = 230
		refs = "0013 TAbstractTest.SaveConfiguration 0028 DUnitRegistryKey 002d @UStrCat3 0037 _Dn_TRegistryIniFile 003c TRegistryIniFile.Create 0050 _DV_TMemIniFileTrimmed 0055 TMemIniFile.Create 0063 _Dn_TIniFile 0068 TCustomIniFile.Create 0081 sTests 0086 LoadResString 00b0 TObject.Free 00b6 @HandleFinally 00d2 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 C9 74 24 8D 45 F8 8B CE 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC EB 2A 80 7D 08 00 74 13 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC EB 11 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B 55 FC 8B C3 8B 18 FF 53 44 8B 45 FC 8B 10 FF 52 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72054_0 {
	meta:
		name = "TAbstractTest.SaveConfiguration"
		size = 130
		refs = "0014 TAbstractTest.SaveConfiguration 006f @UStrArrayClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 28 84 C0 74 18 8D 55 FC 8B C3 8B 08 FF 51 24 8B 4D FC 8B D7 8B C6 8B 18 FF 53 5C EB 18 6A 00 8D 55 F8 8B C3 8B 08 FF 51 24 8B 4D F8 8B D7 8B C6 8B 18 FF 53 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_72055_0 {
	meta:
		name = "TAbstractTest.Run"
		size = 136
		refs = "000c _DV_TTestResult 0011 TTestResult.Create 001c TAbstractTest.Run 0029 TAbstractTest.GetFailsOnNoChecksExecuted 0036 TAbstractTest.GetFailsOnMemoryLeak 0043 TAbstractTest.GetIgnoreSetUpTearDownLeaks 005a TTestResult.RunSuite 0069 @HandleAnyException 0071 TObject.Free 0076 @RaiseAgain 007b @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 88 42 2A 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 88 42 2D 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 88 42 2B 8B D3 85 D2 74 03 83 EA AC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72057_0 {
	meta:
		name = "TAbstractTest.Tests"
		size = 62
		refs = "0008 EmptyTestList 0012 _Dn_TInterfaceList 0017 TInterfaceList.Create 002a @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B DA 83 3D ?? ?? ?? ?? 00 75 1F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_72059_0 {
	meta:
		name = "TAbstractTest.SetStartTime"
		size = 19
		altNames = "TWebModuleList.SetOnModuleAdded"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 18 8B 55 0C 89 50 1C 5D C2 08 00 }
	condition:
		$1
}

rule function_72060_0 {
	meta:
		name = "TAbstractTest.SetStopTime"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 20 8B 55 0C 89 50 24 5D C2 08 00 }
	condition:
		$1
}

rule function_72065_0 {
	meta:
		name = "TAbstractTest.ElapsedTestTime"
		size = 149
		refs = "003c QueryPerformanceCounter 0067 QueryPerformanceFrequency 0083 @_llmul 0088 @_lldiv"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 83 7B 24 00 75 08 83 7B 20 00 76 12 EB 02 7E 0E 8B 43 20 89 45 F0 8B 43 24 89 45 F4 EB 29 83 7B 1C 00 75 08 83 7B 18 00 76 0F EB 02 7E 0B 8D 45 F0 50 E8 ?? ?? ?? ?? EB 0E C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 8B 45 F0 8B 55 F4 2B 43 18 1B 53 1C 89 45 F0 89 55 F4 8D 45 F8 50 E8 ?? ?? ?? ?? 85 C0 74 1F FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 B8 E8 03 00 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 33 C0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72066_0 {
	meta:
		name = "TAbstractTest.SetStatusListener"
		size = 76
		refs = "000e @IntfAddRef 0016 TAbstractTest.SetStatusListener 0027 @IntfCopy 003c @IntfClear 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 28 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_72067_0 {
	meta:
		name = "TAbstractTest.GetStatus"
		size = 40
		refs = "0014 @UStrClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 8B 7B 2C 85 FF 75 09 8B C6 E8 ?? ?? ?? ?? EB 09 8B D6 8B C7 8B 08 FF 51 1C 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72068_0 {
	meta:
		name = "TAbstractTest.Status"
		size = 69
		refs = "0012 _Dn_TStringList 0017 TStringList.Create"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 83 7B 2C 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B D6 8B 43 2C 8B 08 FF 51 38 83 7B 28 00 74 13 8B D3 85 D2 74 03 83 EA AC 8B CE 8B 43 28 8B 18 FF 53 0C 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72069_0 {
	meta:
		name = "TAbstractTest.RunWithFixture"
		size = 48
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B D3 85 D2 74 03 83 EA AC 8B C6 8B 08 FF 51 1C 84 C0 74 0F 8B D3 85 D2 74 03 83 EA AC 8B C6 8B 08 FF 11 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72070_0 {
	meta:
		name = "TAbstractTest.Check"
		size = 99
		refs = "0013 @UStrAddRef 001b TAbstractTest.Check 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D FC 8B DA 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 C6 40 34 01 84 DB 75 11 8B 4D 04 8B 55 FC 8B 45 F8 8B 18 FF 93 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_72071_0 {
	meta:
		name = "TAbstractTest.CheckTrue"
		size = 198
		refs = "001c @UStrAddRef 0024 TAbstractTest.CheckTrue 004a TAbstractTest.BoolToStr 0055 @WStrFromUStr 0095 @UStrClr 009d @WStrClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D FC 8B DA 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 C6 40 34 01 84 DB 75 4B 8B 45 FC 50 8B 45 04 50 8D 4D F0 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 4D E8 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 59 8B 18 FF 93 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72072_0 {
	meta:
		name = "TAbstractTest.CheckFalse"
		size = 198
		refs = "001c @UStrAddRef 0024 TAbstractTest.CheckFalse 004a TAbstractTest.BoolToStr 0055 @WStrFromUStr 0095 @UStrClr 009d @WStrClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D FC 8B DA 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 C6 40 34 01 84 DB 74 4B 8B 45 FC 50 8B 45 04 50 8D 4D F0 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 4D E8 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 59 8B 18 FF 93 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72073_0 {
	meta:
		name = "TAbstractTest.Fail"
		size = 115
		refs = "000e @UStrAddRef 0016 TAbstractTest.Fail 002d _DV_ETestFailure 0032 ETestFailure.Create 0037 @RaiseExcept 0063 @UStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 19 FF 75 04 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? EB 15 53 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_72074_0 {
	meta:
		name = "TAbstractTest.StopTests"
		size = 81
		refs = "000b @UStrAddRef 0013 TAbstractTest.StopTests 0023 _DV_EStopTestsFailure 0028 ETestFailure.Create 002d @RaiseExcept 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_72075_0 {
	meta:
		name = "TAbstractTest.FailNotEquals"
		size = 174
		refs = "001b @WStrAddRef 002b @UStrAddRef 0033 TAbstractTest.FailNotEquals 004e TAbstractTest.NotEqualsErrorMessage 0059 @UStrFromWStr 007e @WStrClr 0086 @UStrClr 0093 @WStrArrayClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8D 45 F0 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D 08 8B C3 8B 18 FF 93 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_72076_0 {
	meta:
		name = "TAbstractTest.FailEquals"
		size = 174
		refs = "001b @WStrAddRef 002b @UStrAddRef 0033 TAbstractTest.FailEquals 004e TAbstractTest.EqualsErrorMessage 0059 @UStrFromWStr 007e @WStrClr 0086 @UStrClr 0093 @WStrArrayClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F4 89 5D F0 89 4D F8 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8D 45 F0 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D 08 8B C3 8B 18 FF 93 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_72077_0 {
	meta:
		name = "TAbstractTest.FailNotSame"
		size = 212
		refs = "001c @WStrAddRef 002c @UStrAddRef 0034 TAbstractTest.FailNotSame 004d @UStrFromWStr 0067 TAbstractTest.NotSameErrorMessage 009c @UStrArrayClr 00a4 @WStrClr 00ac @UStrClr 00b9 @WStrArrayClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F8 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8D 45 F0 50 8D 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E8 8B C3 59 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D 08 8B C3 8B 18 FF 93 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_72078_0 {
	meta:
		name = "TAbstractTest.CheckEquals"
		size = 372
		refs = "001f @UStrAddRef 0027 TAbstractTest.CheckEquals 00d2 CurrencyString 00d7 FloatToStr 0116 @WStrFromUStr 014e @WStrArrayClr 015b @UStrArrayClr 0161 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 33 C9 89 4D CC 89 4D C8 89 4D F8 89 4D F4 89 55 FC 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 C6 40 34 01 DB 6D 20 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 13 DB 6D 14 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 84 DE 00 00 00 DB 6D 20 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0F DB 6D 14 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 37 DB 6D 20 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 0F DB 6D 14 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 19 DB 6D 20 DB 6D 14 DE E9 D9 E1 DB 6D 08 DE D9 9B DF E0 9E 0F 83 89 00 00 00 8B 45 20 89 45 E0 8B 45 24 89 45 E4 66 8B 45 28 66 89 45 E8 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 14 89 45 D0 8B 45 18 89 45 D4 66 8B 45 1C 66 89 45 D8 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 04 50 8D 45 CC 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 CC 50 8D 45 C8 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F0 59 8B 18 FF 93 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C2 24 00 00 00 00 00 80 7F }
	condition:
		$1
}

rule function_72079_0 {
	meta:
		name = "TAbstractTest.CheckEquals"
		size = 105
		refs = "000e @UStrAddRef 0016 TAbstractTest.CheckEquals 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 45 1C 50 FF 75 18 FF 75 14 0F B7 45 10 50 FF 75 0C FF 75 08 6A 00 6A 00 6A 00 8B 55 FC 8B C3 8B 08 FF 51 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_72080_0 {
	meta:
		name = "TAbstractTest.CheckNotNull"
		size = 118
		refs = "0014 @IntfAddRef 001c @UStrAddRef 0024 TAbstractTest.CheckNotNull 005d @UStrClr 0065 @IntfClear 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 C6 40 34 01 83 7D FC 00 75 11 8B 4D 04 8B 55 F8 8B 45 F4 8B 18 FF 93 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72081_0 {
	meta:
		name = "TAbstractTest.CheckNull"
		size = 118
		refs = "0014 @IntfAddRef 001c @UStrAddRef 0024 TAbstractTest.CheckNull 005d @UStrClr 0065 @IntfClear 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 C6 40 34 01 83 7D FC 00 74 11 8B 4D 04 8B 55 F8 8B 45 F4 8B 18 FF 93 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72082_0 {
	meta:
		name = "TAbstractTest.CheckSame"
		size = 238
		refs = "001f @IntfAddRef 002f @UStrAddRef 0037 TAbstractTest.CheckSame 005f PtrToStr 006a @WStrFromUStr 00a8 @UStrClr 00b0 @WStrClr 00c9 IInterface 00d3 @FinalizeArray 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 C6 40 34 01 8B 45 FC 3B 45 F8 74 47 8B 45 08 50 8B 45 04 50 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 59 8B 18 FF 93 F4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72083_0 {
	meta:
		name = "TAbstractTest.CheckEquals"
		size = 193
		refs = "001c @UStrAddRef 0034 TAbstractTest.CheckEquals 004c @UStrEqual 0061 @WStrFromUStr 0099 @WStrArrayClr 00a6 @UStrArrayClr 00ae @UStrClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F0 89 5D EC 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 C6 40 34 01 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 74 31 8B 45 08 50 8B 45 04 50 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 59 8B 18 FF 93 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72086_0 {
	meta:
		name = "TAbstractTest.CheckEquals"
		size = 193
		refs = "001c @LStrAddRef 002c @UStrAddRef 0034 TAbstractTest.CheckEquals 004c @LStrEqual 0061 @WStrFromLStr 0099 @WStrArrayClr 00a6 @LStrArrayClr 00ae @UStrClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F0 89 5D EC 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 C6 40 34 01 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 74 31 8B 45 08 50 8B 45 04 50 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 59 8B 18 FF 93 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72085_0 {
	meta:
		name = "TAbstractTest.CheckEqualsString"
		size = 193
		refs = "001c @UStrAddRef 0034 TAbstractTest.CheckEqualsString 004c @UStrEqual 0061 @WStrFromUStr 0099 @WStrArrayClr 00a6 @UStrArrayClr 00ae @UStrClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F0 89 5D EC 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 C6 40 34 01 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 74 31 8B 45 08 50 8B 45 04 50 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 59 8B 18 FF 93 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72084_0 {
	meta:
		name = "TAbstractTest.CheckEquals"
		size = 230
		refs = "003d @UStrAddRef 0045 TAbstractTest.CheckEquals 0067 @AStrCmp 0082 @WStrFromString 00c9 @WStrArrayClr 00d1 @UStrClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FD FF FF 53 56 57 33 DB 89 9D F8 FD FF FF 89 9D F4 FD FF FF 8B F1 8D BD FC FD FF FF 0F B6 0E 41 F3 A4 8B F2 8D BD FC FE FF FF 0F B6 0E 41 F3 A4 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 34 01 8D 85 FC FE FF FF 8D 95 FC FD FF FF 0F B6 08 41 E8 ?? ?? ?? ?? 74 43 8B 45 08 50 8B 45 04 50 8D 85 F8 FD FF FF 8D 95 FC FD FF FF E8 ?? ?? ?? ?? 8B 85 F8 FD FF FF 50 8D 85 F4 FD FF FF 8D 95 FC FE FF FF E8 ?? ?? ?? ?? 8B 95 F4 FD FF FF 8B 45 FC 59 8B 18 FF 93 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72087_0 {
	meta:
		name = "TAbstractTest.CheckEqualsWideString"
		size = 148
		refs = "0014 @WStrAddRef 0024 @UStrAddRef 002c TAbstractTest.CheckEqualsWideString 0044 @WStrEqual 0079 @WStrArrayClr 0081 @UStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F8 89 55 FC 89 45 F4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 C6 40 34 01 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 74 19 8B 45 08 50 8B 45 04 50 8B 4D F8 8B 55 FC 8B 45 F4 8B 18 FF 93 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72088_0 {
	meta:
		name = "TAbstractTest.GetMemDiffStr"
		size = 344
		refs = "0024 @UStrAddRef 002c TAbstractTest.GetMemDiffStr 0047 FirstByteDiff 0062 IntToHex 006d @WStrFromUStr 0098 TAbstractTest.NotEqualsErrorMessage 00a2 @UStrFromWStr 00cc @UStrCatN 00e6 @UStrArrayClr 00ee @WStrClr 00f6 @UStrClr 0103 @WStrArrayClr 0111 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FB 50 8D 45 FA 50 8B 4D 10 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B F8 8B 45 0C 50 8D 45 F4 50 8D 4D EC 0F B6 45 FA BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 4D E4 0F B6 45 FB BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 59 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? 8D 4D E0 BA 04 00 00 00 8B C7 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5F 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 20 00 61 00 74 00 20 00 4F 00 66 00 66 00 73 00 65 00 74 00 20 00 3D 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 68 00 00 00 }
	condition:
		$1
}

rule function_72089_0 {
	meta:
		name = "TAbstractTest.CheckEqualsMem"
		size = 157
		refs = "0019 @UStrAddRef 0021 TAbstractTest.CheckEqualsMem 003c CompareMem 005e TAbstractTest.GetMemDiffStr 0082 @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 34 01 8B 4D 0C 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 2D 8B 45 04 50 8B 45 0C 50 8B 45 08 50 8D 45 F0 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 59 8B 18 FF 93 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_72090_0 {
	meta:
		name = "TAbstractTest.CheckNotEquals"
		size = 193
		refs = "001c @UStrAddRef 0034 TAbstractTest.CheckNotEquals 004c @UStrEqual 0061 @WStrFromUStr 0099 @WStrArrayClr 00a6 @UStrArrayClr 00ae @UStrClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F0 89 5D EC 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 C6 40 34 01 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 75 31 8B 45 08 50 8B 45 04 50 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 59 8B 18 FF 93 EC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72093_0 {
	meta:
		name = "TAbstractTest.CheckNotEquals"
		size = 193
		refs = "001c @LStrAddRef 002c @UStrAddRef 0034 TAbstractTest.CheckNotEquals 004c @LStrEqual 0061 @WStrFromLStr 0099 @WStrArrayClr 00a6 @LStrArrayClr 00ae @UStrClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F0 89 5D EC 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 C6 40 34 01 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 75 31 8B 45 08 50 8B 45 04 50 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 59 8B 18 FF 93 EC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72092_0 {
	meta:
		name = "TAbstractTest.CheckNotEqualsString"
		size = 193
		refs = "001c @UStrAddRef 0034 TAbstractTest.CheckNotEqualsString 004c @UStrEqual 0061 @WStrFromUStr 0099 @WStrArrayClr 00a6 @UStrArrayClr 00ae @UStrClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F0 89 5D EC 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 C6 40 34 01 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 75 31 8B 45 08 50 8B 45 04 50 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 59 8B 18 FF 93 EC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72091_0 {
	meta:
		name = "TAbstractTest.CheckNotEquals"
		size = 230
		refs = "003d @UStrAddRef 0045 TAbstractTest.CheckNotEquals 0067 @AStrCmp 0082 @WStrFromString 00c9 @WStrArrayClr 00d1 @UStrClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FD FF FF 53 56 57 33 DB 89 9D F8 FD FF FF 89 9D F4 FD FF FF 8B F1 8D BD FC FD FF FF 0F B6 0E 41 F3 A4 8B F2 8D BD FC FE FF FF 0F B6 0E 41 F3 A4 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 34 01 8D 85 FC FE FF FF 8D 95 FC FD FF FF 0F B6 08 41 E8 ?? ?? ?? ?? 75 43 8B 45 08 50 8B 45 04 50 8D 85 F8 FD FF FF 8D 95 FC FD FF FF E8 ?? ?? ?? ?? 8B 85 F8 FD FF FF 50 8D 85 F4 FD FF FF 8D 95 FC FE FF FF E8 ?? ?? ?? ?? 8B 95 F4 FD FF FF 8B 45 FC 59 8B 18 FF 93 EC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72094_0 {
	meta:
		name = "TAbstractTest.CheckNotEqualsWideString"
		size = 119
		refs = "0014 @UStrAddRef 001c TAbstractTest.CheckNotEqualsWideString 0034 @WStrEqual 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F4 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 34 01 8B 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 75 19 8B 45 08 50 8B 45 04 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 18 FF 93 EC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72095_0 {
	meta:
		name = "TAbstractTest.CheckNotEqualsMem"
		size = 192
		refs = "0018 @UStrAddRef 0020 TAbstractTest.CheckNotEqualsMem 0039 CompareMem 0050 @UStrCat 005c sIdenticalContent 0061 LoadResString 0090 @UStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 34 01 8B 4D 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3E 83 7D 08 00 74 0D 8D 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 04 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 08 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 59 8B 18 FF 93 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_72096_0 {
	meta:
		name = "TAbstractTest.CheckEquals"
		size = 203
		refs = "001f @UStrAddRef 0027 TAbstractTest.CheckEquals 004f IntToStr 005a @WStrFromUStr 0098 @UStrClr 00a0 @WStrClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F4 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 34 01 8B 45 F8 3B 45 F4 74 47 8B 45 08 50 8B 45 04 50 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 59 8B 18 FF 93 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72097_0 {
	meta:
		name = "TAbstractTest.CheckEquals"
		size = 211
		refs = "001f @UStrAddRef 0027 TAbstractTest.CheckEquals 0053 IntToStr 005e @WStrFromUStr 00a0 @UStrClr 00a8 @WStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F4 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 34 01 8B 45 F8 3B 45 F4 74 4F 8B 45 08 50 8B 45 04 50 8B 45 F4 33 D2 52 50 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F8 33 D2 52 50 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 59 8B 18 FF 93 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72098_0 {
	meta:
		name = "TAbstractTest.CheckEquals"
		size = 208
		refs = "0016 @UStrAddRef 001e TAbstractTest.CheckEquals 0051 IntToStr 005c @WStrFromUStr 009d @UStrClr 00a5 @WStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 C6 40 34 01 8B 45 10 8B 55 14 3B 55 0C 75 03 3B 45 08 74 4D 8B 45 FC 50 8B 45 04 50 FF 75 0C FF 75 08 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 FF 75 14 FF 75 10 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 59 8B 18 FF 93 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_72100_0 {
	meta:
		name = "TAbstractTest.CheckNotEquals"
		size = 203
		refs = "001f @UStrAddRef 0027 TAbstractTest.CheckNotEquals 004f IntToStr 005a @WStrFromUStr 0098 @UStrClr 00a0 @WStrClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F4 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 34 01 8B 45 F8 3B 45 F4 75 47 8B 45 08 50 8B 45 04 50 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 59 8B 18 FF 93 EC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72101_0 {
	meta:
		name = "TAbstractTest.CheckNotEquals"
		size = 211
		refs = "001f @UStrAddRef 0027 TAbstractTest.CheckNotEquals 0053 IntToStr 005e @WStrFromUStr 00a0 @UStrClr 00a8 @WStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F4 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 34 01 8B 45 F8 3B 45 F4 75 4F 8B 45 08 50 8B 45 04 50 8B 45 F4 33 D2 52 50 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F8 33 D2 52 50 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 59 8B 18 FF 93 EC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72102_0 {
	meta:
		name = "TAbstractTest.CheckNotEquals"
		size = 208
		refs = "0016 @UStrAddRef 001e TAbstractTest.CheckNotEquals 0051 IntToStr 005c @WStrFromUStr 009d @UStrClr 00a5 @WStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 C6 40 34 01 8B 45 10 8B 55 14 3B 55 0C 75 52 3B 45 08 75 4D 8B 45 FC 50 8B 45 04 50 FF 75 0C FF 75 08 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 FF 75 14 FF 75 10 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 59 8B 18 FF 93 EC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_72103_0 {
	meta:
		name = "TAbstractTest.CheckNotEquals"
		size = 272
		refs = "001f @UStrAddRef 0027 TAbstractTest.CheckNotEquals 0074 CurrencyString 0079 FloatToStr 00b8 @WStrFromUStr 00f0 @WStrArrayClr 00fd @UStrArrayClr 0103 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 33 C9 89 4D CC 89 4D C8 89 4D F8 89 4D F4 89 55 FC 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 C6 40 34 01 DB 6D 20 DB 6D 14 DE E9 D9 E1 DB 6D 08 DE D9 9B DF E0 9E 0F 82 89 00 00 00 8B 45 20 89 45 E0 8B 45 24 89 45 E4 66 8B 45 28 66 89 45 E8 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 14 89 45 D0 8B 45 18 89 45 D4 66 8B 45 1C 66 89 45 D8 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 04 50 8D 45 CC 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 CC 50 8D 45 C8 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F0 59 8B 18 FF 93 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule function_72104_0 {
	meta:
		name = "TAbstractTest.CheckEquals"
		size = 210
		refs = "001d @UStrAddRef 0025 TAbstractTest.CheckEquals 0052 TAbstractTest.BoolToStr 005d @WStrFromUStr 009f @UStrClr 00a7 @WStrClr 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 88 4D FA 88 55 FB 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 34 01 0F B6 45 FB 3A 45 FA 74 4F 8B 45 08 50 8B 45 04 50 8D 4D F0 0F B6 55 FA 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 4D E8 0F B6 55 FB 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 59 8B 18 FF 93 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72105_0 {
	meta:
		name = "TAbstractTest.CheckNotEquals"
		size = 210
		refs = "001d @UStrAddRef 0025 TAbstractTest.CheckNotEquals 0052 TAbstractTest.BoolToStr 005d @WStrFromUStr 009f @UStrClr 00a7 @WStrClr 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 88 4D FA 88 55 FB 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 34 01 0F B6 45 FB 3A 45 FA 75 4F 8B 45 08 50 8B 45 04 50 8D 4D F0 0F B6 55 FA 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 4D E8 0F B6 55 FB 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 59 8B 18 FF 93 EC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72106_0 {
	meta:
		name = "IntToBin"
		size = 184
		refs = "0014 IntToBin 0019 @UStrAsg 0023 @UStrSetLength 0052 @UniqueStringU"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F8 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B C3 48 8B C8 BA 01 00 00 00 D3 E2 89 55 F8 85 FF 74 26 8B F0 85 F6 7C 20 46 33 DB 8B CB 8B 45 F8 D3 E8 85 F8 74 0E 8B 45 FC E8 ?? ?? ?? ?? 66 C7 04 58 31 00 43 4E 75 E3 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 20 00 00 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_72107_0 {
	meta:
		name = "TAbstractTest.CheckEqualsBin"
		size = 209
		refs = "001f @UStrAddRef 0027 TAbstractTest.CheckEqualsBin 0052 IntToBin 005d @WStrFromUStr 009e @UStrClr 00a6 @WStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F4 89 55 F8 89 45 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 34 01 8B 45 F8 3B 45 F4 74 4D 8B 45 0C 50 8B 45 04 50 8D 4D EC 8B 55 08 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 4D E4 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 59 8B 18 FF 93 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_72108_0 {
	meta:
		name = "TAbstractTest.CheckNotEqualsBin"
		size = 209
		refs = "001f @UStrAddRef 0027 TAbstractTest.CheckNotEqualsBin 0052 IntToBin 005d @WStrFromUStr 009e @UStrClr 00a6 @WStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F4 89 55 F8 89 45 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 34 01 8B 45 F8 3B 45 F4 75 4D 8B 45 0C 50 8B 45 04 50 8D 4D EC 8B 55 08 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 4D E4 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 59 8B 18 FF 93 EC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_72109_0 {
	meta:
		name = "TAbstractTest.CheckEqualsHex"
		size = 217
		refs = "001f @UStrAddRef 0027 TAbstractTest.CheckEqualsHex 0056 IntToHex 0061 @WStrFromUStr 00a6 @UStrClr 00ae @WStrClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F4 89 55 F8 89 45 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 34 01 8B 45 F8 3B 45 F4 74 55 8B 45 0C 50 8B 45 04 50 8B 45 F4 33 D2 52 50 8D 55 EC 8B 45 08 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F8 33 D2 52 50 8D 55 E4 8B 45 08 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 59 8B 18 FF 93 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_72110_0 {
	meta:
		name = "TAbstractTest.CheckNotEqualsHex"
		size = 217
		refs = "001f @UStrAddRef 0027 TAbstractTest.CheckNotEqualsHex 0056 IntToHex 0061 @WStrFromUStr 00a6 @UStrClr 00ae @WStrClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F4 89 55 F8 89 45 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 34 01 8B 45 F8 3B 45 F4 75 55 8B 45 0C 50 8B 45 04 50 8B 45 F4 33 D2 52 50 8D 55 EC 8B 45 08 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F8 33 D2 52 50 8D 55 E4 8B 45 08 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 59 8B 18 FF 93 EC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_72111_0 {
	meta:
		name = "TAbstractTest.CheckSame"
		size = 203
		refs = "001f @UStrAddRef 0027 TAbstractTest.CheckSame 004f PtrToStr 005a @WStrFromUStr 0098 @UStrClr 00a0 @WStrClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 89 4D F4 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 34 01 8B 45 F8 3B 45 F4 74 47 8B 45 08 50 8B 45 04 50 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 59 8B 18 FF 93 F4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72112_0 {
	meta:
		name = "TAbstractTest.CheckNotNull"
		size = 180
		refs = "001c @UStrAddRef 0024 TAbstractTest.CheckNotNull 004a PtrToStr 0055 @WStrFromUStr 007d @UStrClr 0085 @WStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F0 89 5D EC 89 4D FC 89 55 F4 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 C6 40 34 01 83 7D F4 00 75 31 8B 45 FC 50 8B 45 04 50 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 93 F4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 00 00 0C 00 00 00 6F 00 62 00 6A 00 65 00 63 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_72113_0 {
	meta:
		name = "TAbstractTest.CheckNull"
		size = 172
		refs = "001c @UStrAddRef 0024 TAbstractTest.CheckNull 004a PtrToStr 0055 @WStrFromUStr 007d @UStrClr 0085 @WStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F0 89 5D EC 89 4D FC 89 55 F4 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 C6 40 34 01 83 7D F4 00 74 31 8B 45 FC 50 8B 45 04 50 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 93 F4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 00 00 06 00 00 00 6E 00 69 00 6C 00 00 00 }
	condition:
		$1
}

rule function_72114_0 {
	meta:
		name = "TAbstractTest.NotEqualsErrorMessage"
		size = 292
		refs = "0016 @WStrAddRef 0026 @UStrAddRef 002e TAbstractTest.NotEqualsErrorMessage 0047 @UStrCat 007b Format 0086 @WStrFromUStr 009b @UStrClr 00a8 @WStrArrayClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 DB 89 5D F4 89 4D F8 89 55 FC 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 0C 00 74 0D 8D 45 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 0C 89 45 DC C6 45 E0 11 8B 45 FC 89 45 E4 C6 45 E8 0F 8B 45 F8 89 45 EC C6 45 F0 0F 8D 55 DC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 25 00 73 00 65 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 3A 00 20 00 3C 00 25 00 73 00 3E 00 20 00 62 00 75 00 74 00 20 00 77 00 61 00 73 00 3A 00 20 00 3C 00 25 00 73 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_72115_0 {
	meta:
		name = "TAbstractTest.EqualsErrorMessage"
		size = 272
		refs = "0013 @WStrAddRef 001b @UStrAddRef 0023 TAbstractTest.EqualsErrorMessage 003c @UStrCat 0066 Format 0071 @WStrFromUStr 0086 @UStrClr 008e @WStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D F8 89 55 FC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 0C 00 74 0D 8D 45 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 0C 89 45 E8 C6 45 EC 11 8B 45 FC 89 45 F0 C6 45 F4 0F 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 25 00 73 00 65 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 20 00 61 00 6E 00 64 00 20 00 61 00 63 00 74 00 75 00 61 00 6C 00 20 00 77 00 65 00 72 00 65 00 3A 00 20 00 3C 00 25 00 73 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_72116_0 {
	meta:
		name = "TAbstractTest.NotSameErrorMessage"
		size = 284
		refs = "0016 @UStrAddRef 002e TAbstractTest.NotSameErrorMessage 0047 @UStrCat 007b Format 0086 @WStrFromUStr 00a0 @UStrArrayClr 00a8 @UStrClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 DB 89 5D F4 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 0C 00 74 0D 8D 45 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 0C 89 45 DC C6 45 E0 11 8B 45 FC 89 45 E4 C6 45 E8 11 8B 45 F8 89 45 EC C6 45 F0 11 8D 55 DC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 25 00 73 00 65 00 78 00 70 00 65 00 63 00 74 00 65 00 64 00 3A 00 20 00 3C 00 25 00 73 00 3E 00 20 00 62 00 75 00 74 00 20 00 77 00 61 00 73 00 3A 00 20 00 3C 00 25 00 73 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_72117_0 {
	meta:
		name = "TAbstractTest.BoolToStr"
		size = 32
		refs = "0010 BooleanIdents 0018 @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B C6 0F B6 D3 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72118_0 {
	meta:
		name = "TAbstractTest.StartExpectingException"
		size = 25
		refs = "000e TAbstractTest.StopExpectingException"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 30 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72119_0 {
	meta:
		name = "TAbstractTest.StopExpectingException"
		size = 241
		refs = "001c @UStrAddRef 0024 TAbstractTest.StopExpectingException 0057 TObject.ClassName 0077 sExpectedException 007c LoadResString 008a Format 00b4 @HandleFinally 00d0 @UStrArrayClr 00d8 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 C9 89 4D F4 89 4D E0 89 4D DC 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 78 30 00 74 58 8B 45 04 50 8D 45 F4 50 8D 55 E0 8B 45 F8 8B 40 30 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 11 8B 45 FC 89 45 EC C6 45 F0 11 8D 45 E4 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 59 8B 18 FF 93 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 33 D2 89 50 30 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72120_0 {
	meta:
		name = "TAbstractTest.CheckMethodIsNotEmpty"
		size = 92
		refs = "000f TAbstractTest.CheckMethodIsNotEmpty 0022 sEmptyTest 0027 LoadResString 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 3E C3 75 1C 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 8B 18 FF 93 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72121_0 {
	meta:
		name = "TAbstractTest.CheckException"
		size = 421
		refs = "0024 @UStrAddRef 002c TAbstractTest.CheckException 0066 @HandleOnException 006e _Dn_Exception 0080 @RaiseAgain 0093 TObject.InheritsFrom 00ac TObject.ClassName 00b7 @WStrFromUStr 00ec @DoneExcept 0102 sExceptionNothig 0107 LoadResString 0150 @UStrClr 0158 @WStrClr 0196 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D FC 89 55 F4 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 C6 40 34 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B 45 F8 8B 10 FF 12 33 C0 5A 59 59 64 89 10 E9 8B 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 45 F0 83 7D F4 00 75 07 E8 ?? ?? ?? ?? EB 65 8B 45 F0 8B 00 89 C3 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 4B 8B 45 FC 50 8B 45 04 50 8D 55 E8 8B 45 F0 8B 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 59 8B 18 FF 93 F0 00 00 00 EB 05 33 C0 89 45 F4 E8 ?? ?? ?? ?? 83 7D F4 00 74 49 8B 45 FC 50 8B 45 04 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8D 45 DC E8 ?? ?? ?? ?? 8B 45 DC 50 8D 55 D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F8 59 8B 18 FF 93 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_72122_0 {
	meta:
		name = "TAbstractTest.CheckEquals"
		size = 372
		refs = "0021 @UStrAddRef 0029 TAbstractTest.CheckEquals 005b TObject.ClassName 0066 @WStrFromUStr 0113 @UStrClr 011b @WStrClr 0159 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 89 4D F4 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 34 01 8B 45 F8 3B 45 F4 0F 84 BC 00 00 00 83 7D F8 00 75 36 8B 45 08 50 8B 45 04 50 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 93 F0 00 00 00 E9 80 00 00 00 83 7D F4 00 75 33 8B 45 08 50 8B 45 04 50 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 B9 ?? ?? ?? ?? 8B 45 FC 8B 18 FF 93 F0 00 00 00 EB 47 8B 45 08 50 8B 45 04 50 8D 55 DC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 D8 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC 59 8B 18 FF 93 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B0 5B 8B E5 5D C2 04 00 00 00 06 00 00 00 6E 00 69 00 6C 00 00 00 }
	condition:
		$1
}

rule function_72123_0 {
	meta:
		name = "TAbstractTest.CheckInherits"
		size = 376
		refs = "0021 @UStrAddRef 0029 TAbstractTest.CheckInherits 004f TObject.ClassName 005a @WStrFromUStr 00b6 TObject.InheritsFrom 0116 @UStrClr 011e @WStrClr 015c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 89 4D F4 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 34 01 83 7D F8 00 75 36 8B 45 08 50 8B 45 04 50 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 93 F0 00 00 00 E9 8F 00 00 00 83 7D F4 00 75 33 8B 45 08 50 8B 45 04 50 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 B9 ?? ?? ?? ?? 8B 45 FC 8B 18 FF 93 F0 00 00 00 EB 56 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 47 8B 45 08 50 8B 45 04 50 8D 55 DC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 D8 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC 59 8B 18 FF 93 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B0 5B 8B E5 5D C2 04 00 00 00 00 06 00 00 00 6E 00 69 00 6C 00 00 00 }
	condition:
		$1
}

rule function_72124_0 {
	meta:
		name = "TAbstractTest.CheckIs"
		size = 308
		refs = "0021 @UStrAddRef 0029 TAbstractTest.CheckIs 004f TObject.ClassName 005a @WStrFromUStr 0080 TObject.InheritsFrom 00e2 @UStrClr 00ea @WStrClr 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 89 4D F4 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 34 01 83 7D F8 00 75 33 8B 45 08 50 8B 45 04 50 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 B9 ?? ?? ?? ?? 8B 45 FC 8B 18 FF 93 F0 00 00 00 EB 5E 8B 45 F8 8B 00 89 C3 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 49 8B 45 08 50 8B 45 04 50 8D 55 E4 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 55 DC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC 59 8B 18 FF 93 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5B 8B E5 5D C2 04 00 00 00 00 06 00 00 00 6E 00 69 00 6C 00 00 00 }
	condition:
		$1
}

rule function_72127_0 {
	meta:
		name = "TAbstractTest.GetFailsOnNoChecksExecuted"
		size = 5
	strings:
		$1 = { 0F B6 40 35 C3 }
	condition:
		$1
}

rule function_72128_0 {
	meta:
		name = "TAbstractTest.SetFailsOnNoChecksExecuted"
		size = 4
	strings:
		$1 = { 88 50 35 C3 }
	condition:
		$1
}

rule function_72129_0 {
	meta:
		name = "TAbstractTest.GetFailsOnMemoryLeak"
		size = 5
	strings:
		$1 = { 0F B6 40 36 C3 }
	condition:
		$1
}

rule function_72130_0 {
	meta:
		name = "TAbstractTest.SetFailsOnMemoryLeak"
		size = 4
	strings:
		$1 = { 88 50 36 C3 }
	condition:
		$1
}

rule function_72131_0 {
	meta:
		name = "TAbstractTest.GetTestMethodInvoked"
		size = 5
	strings:
		$1 = { 0F B6 40 37 C3 }
	condition:
		$1
}

rule function_72132_0 {
	meta:
		name = "TAbstractTest.SetTestMethodInvoked"
		size = 5
	strings:
		$1 = { C6 40 37 01 C3 }
	condition:
		$1
}

rule function_72133_0 {
	meta:
		name = "TAbstractTest.GetAllowedMemoryLeakSize"
		size = 30
	strings:
		$1 = { 8B 48 3C 85 C9 75 14 33 D2 83 78 3C 00 74 06 8B 4C 90 3C EB 06 42 83 FA 04 75 EE 8B C1 C3 }
	condition:
		$1
}

rule function_72137_0 {
	meta:
		name = "TAbstractTest.SetAllowedLeakArray"
		size = 207
		refs = "002c TAbstractTest.SetAllowedLeakArray 0043 sAllowLeakArrayValues 0048 LoadResString 0059 IntToStr 0062 @UStrCat 00b9 @UStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F0 89 5D EC 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 40 83 F8 04 7C 37 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 EC B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 58 E8 ?? ?? ?? ?? 8B 55 F0 33 C9 8B 45 FC 8B 18 FF 93 E8 00 00 00 B8 01 00 00 00 8B 55 F8 8B 4D F4 41 3B C1 7F 0B 8B 4D FC 8B 1A 89 5C 81 3C EB 09 8B 4D FC 33 DB 89 5C 81 3C 40 83 C2 04 83 F8 04 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 75 E4 8B 5D E8 8B E5 5D C3 }
	condition:
		$1
}

rule function_72138_0 {
	meta:
		name = "TAbstractTest.GetAllowedLeaksIterator"
		size = 16
		refs = "000b TAbstractTest.GetAllowedLeak"
	strings:
		$1 = { 66 C7 40 4C 00 00 89 42 04 C7 02 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72139_0 {
	meta:
		name = "TAbstractTest.GetAllowedLeak"
		size = 25
	strings:
		$1 = { 0F B7 50 4C 83 FA 04 7C 05 33 D2 8B C2 C3 8B 54 90 3C 66 FF 40 4C 8B C2 C3 }
	condition:
		$1
}

rule function_72141_0 {
	meta:
		name = "TAbstractTest.SetIgnoreSetUpTearDownLeaks"
		size = 4
	strings:
		$1 = { 88 50 39 C3 }
	condition:
		$1
}

rule function_72142_0 {
	meta:
		name = "TAbstractTest.GetMemoryLeakIgnoredInSetupTearDown"
		size = 5
	strings:
		$1 = { 0F B6 40 3A C3 }
	condition:
		$1
}

rule function_72143_0 {
	meta:
		name = "TAbstractTest.SetMemoryLeakIgnoredInSetupTearDown"
		size = 4
		altNames = "TXmlDomBuilder.SetErrorReportingEnabled"
	strings:
		$1 = { 88 50 3A C3 }
	condition:
		$1
}

rule function_72144_0 {
	meta:
		name = "TTestCase.Create"
		size = 147
		refs = "0010 @ClassCreate 001f @UStrAddRef 0027 TTestCase.Create 0039 TAbstractTest.Create 0043 TObject.MethodAddress 006a @UStrClr 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 06 8B 55 FC E8 ?? ?? ?? ?? 89 45 F4 89 75 F8 8B 45 F4 89 46 58 8B 45 F8 89 46 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72145_0 {
	meta:
		name = "TTestCase.Invoke"
		size = 17
	strings:
		$1 = { 55 8B EC C6 40 37 01 8B 45 0C FF 55 08 5D C2 08 00 }
	condition:
		$1
}

rule function_72146_0 {
	meta:
		name = "TTestCase.RunWithFixture"
		size = 66
		refs = "003a TAbstractTest.RunWithFixture"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 0F B6 46 2A 88 43 35 0F B6 46 2D 88 43 36 0F B6 46 2B 88 43 39 8B D3 85 D2 74 03 83 EA A0 8B C6 8B 08 FF 51 1C 84 C0 74 0C FF 46 24 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72147_0 {
	meta:
		name = "TTestCase.RunTest"
		size = 450
		refs = "0018 TTestCase.RunTest 0050 TAbstractTest.CheckMethodIsNotEmpty 008a sNoChecksExecuted 008f LoadResString 00aa TAbstractTest.StopExpectingException 00bc @HandleOnException 00c4 _DV_ETestFailure 00cc _Dn_Exception 00d5 @RaiseAgain 00f7 TObject.InheritsFrom 0103 sExceptionUnexpected 0111 ExceptAddr 011c TObject.ClassName 0127 @WStrFromUStr 0158 @DoneExcept 0173 @HandleFinally 018a @UStrClr 0192 @WStrClr 01af @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 33 D2 89 50 30 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 50 58 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 58 89 43 30 8B 45 FC C6 40 34 00 8B 45 FC FF 70 5C FF 70 58 8B 45 FC 8B 10 FF 12 8B 45 FC 80 78 35 00 74 27 8B 45 FC 80 78 34 00 75 1E 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 4B 30 8B 45 FC 8B 18 FF 93 E8 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 A1 00 00 00 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7C 89 C3 8B 45 FC 8B 78 30 85 FF 75 07 E8 ?? ?? ?? ?? EB 69 8B 03 89 C6 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 58 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 50 8D 55 EC 8B 03 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 E4 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 59 8B 18 FF 93 F0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 30 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72148_0 {
	meta:
		name = "TTestCase.Run"
		size = 18
		refs = "000c TTestResult.RunSuite"
	strings:
		$1 = { 55 8B EC 85 C0 74 03 83 E8 A0 92 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_72149_0 {
	meta:
		name = "TTestCase.Suite"
		size = 43
		refs = "000e _DV_TTestSuite 0013 TTestSuite.Create 0023 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA A4 8B C6 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72150_0 {
	meta:
		name = "TTestFailure.Create"
		size = 219
		refs = "0016 @ClassCreate 0029 @IntfAddRef 0031 @UStrAddRef 0039 TTestFailure.Create 0048 TObject.Create 0053 @IntfCopy 0068 @UStrCat3 007d TTestFailure.CaptureStackTrace 0088 @UStrAsg 009d @UStrClr 00a5 @IntfClear 00b3 @HandleFinally 00c2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 88 55 FB 8B D8 8B 75 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 04 8B 55 FC E8 ?? ?? ?? ?? 8B 16 89 D0 89 43 08 8D 43 0C 8B 4E 04 8B 55 08 E8 ?? ?? ?? ?? 8B 7D 0C 89 7B 10 8D 45 F4 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_72151_0 {
	meta:
		name = "TTestFailure.Create"
		size = 175
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 @UStrAddRef 002d TTestFailure.Create 003c TObject.Create 0047 @IntfCopy 004c _DV_EPostTestFailure 005a @UStrAsg 0068 @UStrClr 007d @IntfClear 008b @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 08 8D 46 0C 8B 55 08 E8 ?? ?? ?? ?? 8B 45 0C 89 46 10 8D 46 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_72152_0 {
	meta:
		name = "TTestFailure.FailedTest"
		size = 23
		refs = "000f @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B C6 8B 53 04 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72153_0 {
	meta:
		name = "TTestFailure.ThrownExceptionName"
		size = 23
		refs = "000f TObject.ClassName"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72157_0 {
	meta:
		name = "TTestFailure.LocationInfo"
		size = 27
		refs = "0013 PointerToLocationInfo"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 10 8B D6 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72158_0 {
	meta:
		name = "TTestFailure.AddressInfo"
		size = 27
		refs = "0013 PointerToAddressInfo"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 10 8B D6 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72159_0 {
	meta:
		name = "TTestFailure.StackTrace"
		size = 23
		refs = "000f @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B C6 8B 53 14 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72162_0 {
	meta:
		name = "TTestSuite.Create"
		size = 145
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TTestSuite.Create 0037 TAbstractTest.Create 003e _Dn_TInterfaceList 0043 TInterfaceList.Create 0054 @IntfCopy 0069 @UStrClr 006f @HandleFinally 007c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 46 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72163_0 {
	meta:
		name = "TTestSuite.Create"
		size = 132
		refs = "0010 @ClassCreate 001e TTestSuite.Create 002e TObject.ClassName 005b @UStrClr 0061 @HandleFinally 006e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72164_0 {
	meta:
		name = "TTestSuite.Create"
		size = 155
		refs = "0011 @ClassCreate 0021 @UStrAddRef 0029 TTestSuite.Create 006d @UStrClr 0073 @HandleFinally 0082 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 88 55 FB 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 75 08 85 F6 7C 16 46 8B 5D 0C 8B 13 8B C7 8B 08 FF 91 FC 00 00 00 83 C3 04 4E 75 EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_72165_0 {
	meta:
		name = "TTestSuite.AddTest"
		size = 76
		refs = "000e @IntfAddRef 0016 TTestSuite.AddTest 003c @IntfClear 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 58 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_72166_0 {
	meta:
		name = "TTestSuite.AddSuite"
		size = 78
		refs = "000e @IntfAddRef 0016 TTestSuite.AddSuite 003e @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_72167_0 {
	meta:
		name = "TTestSuite.AddTests"
		size = 248
		refs = "001a TTestSuite.AddTests 003d _DV_TMethodEnumerator 0042 TMethodEnumerator.Create 004d TMethodEnumerator.GetMethodCount 0064 TMethodEnumerator.GetNameOfMethod 0088 @IntfCast 00af TObject.Free 00b5 @HandleFinally 00cc @IntfClear 00d4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 46 43 33 F6 8D 4D FC 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 8B 4D FC B2 01 8B 45 F4 FF 90 FC 00 00 00 8B D0 85 D2 74 03 83 EA F8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 08 FF 91 FC 00 00 00 46 4B 75 BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 57 D5 CC 89 E1 7D 14 48 B0 33 AB AF E0 87 0E C7 }
	condition:
		$1
}

rule function_72168_0 {
	meta:
		name = "TTestSuite.CountTestCases"
		size = 172
		refs = "0018 TTestSuite.CountTestCases 0058 @IntfCast 007f @IntfClear 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 F8 8B 40 58 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 33 F6 8D 4D F0 8B 45 F8 8B 40 58 8B D6 8B 38 FF 57 0C 8B 55 F0 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 10 01 45 F4 46 4B 75 D1 8B 5D F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 57 D5 CC 89 E1 7D 14 48 B0 33 AB AF E0 87 0E C7 }
	condition:
		$1
}

rule function_72169_0 {
	meta:
		name = "TTestSuite.CountEnabledTestCases"
		size = 184
		refs = "0017 TTestSuite.CountEnabledTestCases 0062 @IntfCast 008b @IntfClear 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B C6 8B 10 FF 52 28 84 C0 74 46 8B 46 58 8B 10 FF 52 14 8B D8 4B 85 DB 7C 37 43 C7 45 F8 00 00 00 00 8D 4D F0 8B 55 F8 8B 46 58 8B 38 FF 57 0C 8B 55 F0 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 01 45 F4 FF 45 F8 4B 75 D1 8B 5D F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 57 D5 CC 89 E1 7D 14 48 B0 33 AB AF E0 87 0E C7 }
	condition:
		$1
}

rule function_72170_0 {
	meta:
		name = "TTestSuite.RunTest"
		size = 216
		refs = "001a TTestSuite.RunTest 0077 @IntfCast 00ad @IntfClear 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 85 D2 74 03 83 EA A4 8B C3 8B 08 FF 51 14 8B 45 F8 8B 40 58 8B 10 FF 52 14 8B F0 4E 85 F6 7C 44 46 C7 45 F4 00 00 00 00 8B C3 8B 10 FF 52 40 84 C0 75 31 8D 4D F0 8B 45 F8 8B 40 58 8B 55 F4 8B 38 FF 57 0C 8B 55 F0 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 51 2C FF 45 F4 4E 75 C4 8B 55 F8 85 D2 74 03 83 EA A4 8B C3 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 57 D5 CC 89 E1 7D 14 48 B0 33 AB AF E0 87 0E C7 }
	condition:
		$1
}

rule function_72171_0 {
	meta:
		name = "TTestSuite.Tests"
		size = 23
		refs = "000f @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B C6 8B 53 58 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72172_0 {
	meta:
		name = "TTestSuite.LoadConfiguration"
		size = 260
		refs = "001d TTestSuite.LoadConfiguration 002f TAbstractTest.LoadConfiguration 0059 @UStrCatN 0088 @IntfCast 00af @IntfClear 00bf @UStrClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 51 30 56 68 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 51 24 FF 75 F0 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 33 F6 8D 4D E8 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 55 E8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 4D F8 8B 55 F4 8B 38 FF 57 60 46 4B 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 57 D5 CC 89 E1 7D 14 48 B0 33 AB AF E0 87 0E C7 }
	condition:
		$1
}

rule function_72173_0 {
	meta:
		name = "TTestSuite.SaveConfiguration"
		size = 260
		refs = "001d TTestSuite.SaveConfiguration 002f TAbstractTest.SaveConfiguration 0059 @UStrCatN 0088 @IntfCast 00af @IntfClear 00bf @UStrClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 51 30 56 68 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 51 24 FF 75 F0 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 33 F6 8D 4D E8 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 55 E8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 4D F8 8B 55 F4 8B 38 FF 57 68 46 4B 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 57 D5 CC 89 E1 7D 14 48 B0 33 AB AF E0 87 0E C7 }
	condition:
		$1
}

rule function_72174_0 {
	meta:
		name = "EBreakingTestFailure.Create"
		size = 59
		refs = "000d @ClassCreate 001c Exception.Create 0027 @AfterConstruction"
		altNames = "ETestFailure.Create"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72175_0 {
	meta:
		name = "ETestFailure.Create"
		size = 116
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 ETestFailure.Create 0037 Exception.Create 004c @UStrClr 0052 @HandleFinally 005f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72177_0 {
	meta:
		name = "EBreakingTestFailure.Create"
		size = 116
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 EBreakingTestFailure.Create 0037 Exception.Create 004c @UStrClr 0052 @HandleFinally 005f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72178_0 {
	meta:
		name = "TMemIniFileTrimmed.ReadString"
		size = 95
		refs = "0012 TMemIniFileTrimmed.ReadString 002b TMemIniFile.ReadString 0036 Trim 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_72179_0 {
	meta:
		name = "TMethodEnumerator.Create"
		size = 346
		refs = "001c @ClassCreate 002c TMethodEnumerator.Create 003b TObject.Create 007f @PStrCpy 008c @DynArrayHigh 00a1 @UStrFromString 00b2 @UStrEqual 00c8 @DynArrayLength 00d8 :TMethodEnumerator.:1 00dd @DynArraySetLength 0109 TObject.ClassParent 012e @UStrClr 0134 @HandleFinally 0143 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FE FF FF 53 56 57 33 DB 89 9D E8 FE FF FF 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 D1 00 00 00 8B 45 F8 83 C0 C0 8B 00 89 45 F4 83 7D F4 00 0F 84 A7 00 00 00 8B 7D F4 83 C7 02 8B 45 F4 0F BF 00 85 C0 0F 8E 93 00 00 00 89 45 EC 8D 85 EC FE FF FF 8D 57 06 E8 ?? ?? ?? ?? 33 DB EB 01 43 8B 46 04 E8 ?? ?? ?? ?? 3B D8 7F 24 8D 85 E8 FE FF FF 8D 95 EC FE FF FF E8 ?? ?? ?? ?? 8B 85 E8 FE FF FF 8B 56 04 8B 14 9A E8 ?? ?? ?? ?? 75 CF 8B 46 04 E8 ?? ?? ?? ?? 3B D8 7E 31 8B 46 04 E8 ?? ?? ?? ?? 40 50 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 04 8D 04 98 8D 95 EC FE FF FF E8 ?? ?? ?? ?? 0F B7 07 03 C7 8B F8 FF 4D EC 0F 85 70 FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 85 2F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72180_0 {
	meta:
		name = "TMethodEnumerator.GetMethodCount"
		size = 13
		refs = "0007 @DynArrayLength"
	strings:
		$1 = { 55 8B EC 8B 40 04 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_72181_0 {
	meta:
		name = "TMethodEnumerator.GetNameOfMethod"
		size = 30
		refs = "0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72182_0 {
	meta:
		name = "TestSuite"
		size = 105
		refs = "0011 @UStrAddRef 0019 TestSuite 002b _DV_TTestSuite 0030 TTestSuite.Create 0041 @IntfCopy 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 56 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA A4 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_72183_0 {
	meta:
		name = "RegisterTestInSuite"
		size = 620
		refs = "0023 @IntfAddRef 002b @UStrAddRef 003b RegisterTestInSuite 0067 Pos 00a7 @UStrCopy 00d3 @UStrLAsg 00db @UStrClr 00ee @IntfClear 0128 @IntfCast 015a @UStrEqual 0167 @IntfCopy 017d _DV_TTestSuite 0182 TTestSuite.Create 01dd ITest 01e7 @FinalizeArray 01f4 @UStrArrayClr 01fd ITestSuite 020d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E4 89 55 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F0 00 75 13 8B 55 E4 8B 45 FC 8B 08 FF 91 AC 00 00 00 E9 55 01 00 00 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7F 0F 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7F 0F 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 35 8D 45 E8 50 8B CB 49 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 75 F0 85 F6 74 05 83 EE 04 8B 36 8D 45 EC 50 8B CE 2B CB 8D 53 01 8B 45 F0 E8 ?? ?? ?? ?? EB 13 8D 45 E8 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC 8B 08 FF 51 18 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC 8B 08 FF 51 18 8B 45 DC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 65 43 33 F6 8D 4D D8 8B D6 8B 45 DC 8B 38 FF 57 0C 8B 55 D8 8D 45 E0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 10 83 7D F4 00 74 25 8D 55 D4 8B 45 E0 8B 08 FF 51 0C 8B 45 D4 8B 55 E8 E8 ?? ?? ?? ?? 75 0D 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? EB 04 46 4B 75 9E 83 7D F8 00 75 2E 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA A4 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 91 AC 00 00 00 8B 4D E4 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AD 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 57 D5 CC 89 E1 7D 14 48 B0 33 AB AF E0 87 0E C7 EF 38 0E C2 69 73 D9 44 9D 84 08 E8 4E C1 DC F0 }
	condition:
		$1
}

rule function_72184_0 {
	meta:
		name = "CreateRegistry"
		size = 205
		refs = "000e CreateRegistry 0021 @UStrSetLength 0036 @UStrToPWChar 003c HInstance 0042 GetModuleFileName 0054 @UStrFromPWChar 005f Trim 006a @UStrLAsg 0075 ExtractFileName 008a _DV_TTestSuite 008f TTestSuite.Create 009d __TestRegistry 00a2 @IntfCopy 00bc @UStrArrayClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC BA 00 04 00 00 E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 53 8B 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA A4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72185_0 {
	meta:
		name = "RegisterTest"
		size = 113
		refs = "0010 @UStrAddRef 0018 @IntfAddRef 0020 RegisterTest 002c __TestRegistry 0034 CreateRegistry 0044 RegisterTestInSuite 0059 @IntfClear 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_72186_0 {
	meta:
		name = "RegisterTest"
		size = 71
		refs = "000b @IntfAddRef 0013 RegisterTest 0038 @IntfClear 003e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_72187_0 {
	meta:
		name = "RegisterTests"
		size = 90
		refs = "0011 @UStrAddRef 0019 RegisterTests 002e RegisterTest 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 11 46 8B 13 8B 45 FC E8 ?? ?? ?? ?? 83 C3 04 4E 75 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72188_0 {
	meta:
		name = "RegisterTests"
		size = 15
		refs = "0009 RegisterTests"
	strings:
		$1 = { 55 8B EC 8B CA 33 D2 92 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_72190_0 {
	meta:
		name = "RunTest"
		size = 123
		refs = "0012 @IntfAddRef 001a RunTest 0027 _DV_TTestResult 002c TTestResult.Create 0067 @IntfClear 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 F6 7C 10 46 8B 13 8B C7 8B 08 FF 51 30 83 C3 04 4E 75 F1 83 7D FC 00 74 0A 8B D7 8B 45 FC 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72191_0 {
	meta:
		name = "RunRegisteredTests"
		size = 83
		refs = "000f RunRegisteredTests 001d RegisteredTests 0029 RunTest 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D3 8B CE E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72192_0 {
	meta:
		name = "ClearRegistry"
		size = 15
		refs = "0004 __TestRegistry 0009 @IntfClear"
	strings:
		$1 = { 55 8B EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_72202_0 {
	meta:
		name = "Finalization"
		size = 103
		refs = "0007 Finalization 0013 _DV_61 001a ClearRegistry 001f rcs_id 0024 @UStrClr 0029 rcs_version 0033 DUnitRegistryKey 003d EmptyTestList 0042 @IntfClear 0047 __TestRegistry 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 37 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_72203_0 {
	meta:
		name = "TestFramework"
		size = 12
		refs = "0005 _DV_61"
	strings:
		$1 = { 55 8B EC 83 2D ?? ?? ?? ?? 01 5D C3 }
	condition:
		$1
}

rule function_72219_0 {
	meta:
		name = "UseTestTimeout"
		size = 164
		refs = "000e UseTestTimeout 001c AppProperties 002c UpperCase 0046 Pos 0065 @UStrArrayClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 A1 ?? ?? ?? ?? 8B 08 FF 51 1C 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 5A E8 ?? ?? ?? ?? 85 C0 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 2D 00 44 00 69 00 73 00 61 00 62 00 6C 00 65 00 54 00 69 00 6D 00 65 00 6F 00 75 00 74 00 00 00 }
	condition:
		$1
}

rule function_72221_0 {
	meta:
		name = "BuildPropertiesFromCommandLine"
		size = 184
		refs = "000f BuildPropertiesFromCommandLine 001b AppProperties 0025 _Dn_TStringList 002a TStringList.Create 0034 ParamCount 004a ParamStr 005f @UStrCatN 006e Trim 007b TStrings.SetDelimitedText 0095 @UStrArrayClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7C 29 43 33 F6 FF 75 FC 8D 55 F8 8B C6 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 DA 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_72222_0 {
	meta:
		name = "GetPropertyValue"
		size = 80
		refs = "000e @UStrAddRef 0016 GetPropertyValue 0026 AppProperties 002b TStrings.GetValue 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_72223_0 {
	meta:
		name = "SetPropertyValue"
		size = 128
		refs = "0018 @UStrAddRef 0028 SetPropertyValue 0039 Trim 0050 AppProperties 0056 TStrings.SetValue 0070 @UStrArrayClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F4 89 4D F0 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_72224_0 {
	meta:
		name = "CopyAppProperties"
		size = 22
		refs = "0009 AppProperties"
	strings:
		$1 = { 56 8B F0 85 F6 74 0D 8B 15 ?? ?? ?? ?? 8B C6 8B 08 FF 51 40 5E C3 }
	condition:
		$1
}

rule function_72225_0 {
	meta:
		name = "TTestCaseExtension.Create"
		size = 123
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TTestCaseExtension.Create 0037 TTestCase.Create 0053 @UStrClr 0059 @HandleFinally 0066 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 74 30 75 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72226_0 {
	meta:
		name = "TTestCaseExtension.Destroy"
		size = 41
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 68 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72227_0 {
	meta:
		name = "TTestCaseExtension.GetUserToken"
		size = 404
		refs = "0014 TTestCaseExtension.GetUserToken 0027 GetEnvironmentVariable 0032 @WStrFromUStr 0049 @UStrFromWStr 005b StringReplace 0089 LeftStr 0094 @WStrLAsg 00a0 @WStrEqual 00b1 Random 00b9 IntToStr 00de @UStrCatN 00f3 @WStrAsg 010d @UStrArrayClr 0115 @WStrClr 0130 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 F4 50 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 83 F8 08 7E 1D 8D 4D EC BA 08 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? EB 53 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 75 47 68 ?? ?? ?? ?? B8 09 00 00 00 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? FF 75 E4 B8 09 00 00 00 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? FF 75 E0 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 53 00 45 00 52 00 4E 00 41 00 4D 00 45 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 6D 00 70 00 00 00 }
	condition:
		$1
}

rule function_72228_0 {
	meta:
		name = "TTestCaseExtension.Invoke"
		size = 312
		refs = "000c UseTestTimeout 001d _DV_TTestCaseThread 0022 TThread.Create 002d TTestCaseExtension.Invoke 0059 TThread.Start 006f TerminateThread 007b _Dn_Exception 0080 Exception.Create 0085 @RaiseExcept 008c Sleep 0097 CheckSynchronize 00cf ReleaseExceptionObject 00d5 @HandleFinally 00ec TObject.Free"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 C6 43 37 01 E8 ?? ?? ?? ?? 84 C0 0F 84 E0 00 00 00 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 0F 00 8B 45 FC 8B 55 08 89 50 40 8B 55 0C 89 50 44 8B 45 FC 33 D2 89 50 48 8B 45 FC E8 ?? ?? ?? ?? EB 35 83 7B 74 01 7D 24 6A 01 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 0A E8 ?? ?? ?? ?? 83 6B 74 0A 33 C0 E8 ?? ?? ?? ?? 84 C0 74 C0 8B 45 FC 83 78 48 00 74 33 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 0C FF 55 08 5B 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 12 00 00 00 54 00 65 00 73 00 74 00 63 00 61 00 73 00 65 00 20 00 74 00 69 00 6D 00 65 00 64 00 20 00 6F 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_72229_0 {
	meta:
		name = "TTestCaseExtension.ApplyFilter"
		size = 264
		refs = "0013 @UStrAddRef 001b TTestCaseExtension.ApplyFilter 0039 UpperCase 0044 Pos 0070 Output 007a @Write0UString 007f @WriteLn 0084 @_IOTest 009e @UStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 91 0C 01 00 00 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 48 0F 94 C2 8B C3 8B 08 FF 51 2C 8B C3 8B 10 FF 52 28 84 C0 75 2A 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 19 A1 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 2A 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 69 00 6E 00 20 00 2D 00 73 00 3A 00 20 00 70 00 61 00 72 00 61 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_72232_0 {
	meta:
		name = "TTestCaseExtension.GetProperties"
		size = 29
		refs = "000c _Dn_TStringList 0011 TStringList.Create"
	strings:
		$1 = { 53 8B D8 83 7B 68 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 68 8B 43 68 5B C3 }
	condition:
		$1
}

rule function_72233_0 {
	meta:
		name = "TTestCaseExtension.SetProperties"
		size = 44
		refs = "000f _Dn_TStringList 0014 TStringList.Create"
	strings:
		$1 = { 56 57 8B FA 8B F0 83 7E 68 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 68 85 FF 74 0A 8B D7 8B 46 68 8B 08 FF 51 40 5F 5E C3 }
	condition:
		$1
}

rule function_72234_0 {
	meta:
		name = "TTestCaseExtension.Suite"
		size = 39
		refs = "000b _DV_TTestSuiteExtension 0010 TTestSuite.Create 0020 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA A4 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72235_0 {
	meta:
		name = "TTestSuiteExtension.AddTests"
		size = 328
		refs = "0016 TTestSuiteExtension.AddTests 0038 _Dn_TMethodEnumerator 003d TMethodEnumerator.Create 0048 TMethodEnumerator.GetMethodCount 005f TMethodEnumerator.GetNameOfMethod 0082 @IntfCast 008f Supports 00ac AppProperties 00db TObject.Free 00e1 @HandleFinally 0103 @IntfClear 0113 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B FA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 77 43 33 F6 8D 4D FC 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 8B 4D FC B2 01 8B C7 FF 90 FC 00 00 00 8B D0 85 D2 74 03 83 EA F8 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 21 8D 45 EC 8B 55 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 15 ?? ?? ?? ?? 8B 08 FF 91 AC 00 00 00 8B 55 F8 8B 45 F4 8B 08 FF 91 FC 00 00 00 46 4B 75 8C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B 10 FF 92 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 57 D5 CC 89 E1 7D 14 48 B0 33 AB AF E0 87 0E C7 D2 E3 AD 8F E6 D3 41 41 A3 DE 6C 34 80 69 EF 96 }
	condition:
		$1
}

rule function_72236_0 {
	meta:
		name = "TTestSuiteExtension.FilterTests"
		size = 448
		refs = "0019 TTestSuiteExtension.FilterTests 0024 ParamCount 0036 AppProperties 0078 @UStrCatN 0087 UpperCase 0094 Pos 00b4 TTestSuiteExtension.GetRunPattern 00ee @IntfCast 00fb Supports 0136 @IntfClear 014b @UStrArrayClr 016e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 85 C0 0F 8E F5 00 00 00 8D 4D F8 33 D2 A1 ?? ?? ?? ?? 8B 18 FF 53 0C A1 ?? ?? ?? ?? 8B 10 FF 52 14 8B D8 4B 85 DB 7E 30 BE 01 00 00 00 FF 75 F8 68 ?? ?? ?? ?? 8D 4D E8 8B D6 A1 ?? ?? ?? ?? 8B 38 FF 57 0C FF 75 E8 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 D5 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 0F 8E 86 00 00 00 8D 55 FC 8B 45 EC 8B 08 FF 51 30 8D 4D E0 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 53 43 33 F6 8D 4D DC 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 55 DC 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 1E 8D 45 D8 8B 55 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 8B 55 F4 8B 08 FF 91 B4 00 00 00 46 4B 75 B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2D 00 53 00 3A 00 00 00 57 D5 CC 89 E1 7D 14 48 B0 33 AB AF E0 87 0E C7 D2 E3 AD 8F E6 D3 41 41 A3 DE 6C 34 80 69 EF 96 }
	condition:
		$1
}

rule function_72237_0 {
	meta:
		name = "TTestSuiteExtension.GetRunPattern"
		size = 208
		refs = "0015 @UStrAddRef 001d TTestSuiteExtension.GetRunPattern 002e UpperCase 003b Pos 004e @UStrDelete 0081 @UStrAsg 009b @UStrArrayClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 83 C1 03 49 8D 45 F8 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 01 7E 17 8B 55 F8 85 D2 74 05 83 EA 04 8B 12 8D 4D F8 91 87 D1 E8 ?? ?? ?? ?? 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 2D 00 53 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_72238_0 {
	meta:
		name = "TInterval.Clear"
		size = 17
	strings:
		$1 = { 33 D2 89 50 08 89 50 0C 33 D2 89 50 10 89 50 14 C3 }
	condition:
		$1
}

rule function_72240_0 {
	meta:
		name = "TInterval.GetTimeSpan"
		size = 19
	strings:
		$1 = { 83 C4 F8 DD 40 10 DC 60 08 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_72241_0 {
	meta:
		name = "TInterval.GetTotalHours"
		size = 37
		refs = "0010 HoursBetween"
	strings:
		$1 = { 83 C4 F8 FF 70 0C FF 70 08 FF 70 14 FF 70 10 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_72242_0 {
	meta:
		name = "TInterval.GetTotalMinuets"
		size = 37
		refs = "0010 MinutesBetween"
	strings:
		$1 = { 83 C4 F8 FF 70 0C FF 70 08 FF 70 14 FF 70 10 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_72243_0 {
	meta:
		name = "TInterval.GetTotalSeconds"
		size = 37
		refs = "0010 SecondsBetween"
	strings:
		$1 = { 83 C4 F8 FF 70 0C FF 70 08 FF 70 14 FF 70 10 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_72244_0 {
	meta:
		name = "TInterval.Start"
		size = 14
		refs = "0004 Now"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? DD 5B 08 9B 5B C3 }
	condition:
		$1
}

rule function_72245_0 {
	meta:
		name = "TInterval.Stop"
		size = 14
		refs = "0004 Now"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? DD 5B 10 9B 5B C3 }
	condition:
		$1
}

rule function_72246_0 {
	meta:
		name = "TInterval.ToString"
		size = 160
		refs = "0025 DecodeTime 006c TInterval.ToString 0071 Format"
	strings:
		$1 = { 53 83 C4 D8 8B DA DD 40 10 DC 60 08 83 C4 F8 DD 1C 24 9B 8D 44 24 0E 50 8D 4C 24 10 8D 54 24 0E 8D 44 24 0C E8 ?? ?? ?? ?? 53 0F B7 44 24 04 89 44 24 0C C6 44 24 10 00 0F B7 44 24 06 89 44 24 14 C6 44 24 18 00 0F B7 44 24 08 89 44 24 1C C6 44 24 20 00 0F B7 44 24 0A 89 44 24 24 C6 44 24 28 00 8D 54 24 0C B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 28 5B C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 25 00 64 00 3A 00 25 00 64 00 3A 00 25 00 64 00 2E 00 25 00 64 00 00 00 }
	condition:
		$1
}

rule function_72247_0 {
	meta:
		name = "TTestCaseThread.Execute"
		size = 145
		refs = "000e TTestCaseThread.Execute 0023 CoInitialize 004c CoUninitialize 0052 @HandleFinally 005e TThread.Synchronize 006d @HandleAnyException 0072 AcquireExceptionObject 0087 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 33 D2 89 50 48 6A 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 43 44 FF 53 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F3 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 48 33 D2 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72248_0 {
	meta:
		name = "Finalization"
		size = 28
		refs = "0002 _DV_5 000a AppProperties 0017 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 13 83 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72250_0 {
	meta:
		name = "LoadModuleTests"
		size = 740
		refs = "001b @UStrAddRef 0023 LoadModuleTests 0030 @IntfClear 003b ExtractFileExt 0051 ChangeFileExt 005c @UStrLAsg 0066 FileExists 008d @UStrToPWChar 0093 LoadLibrary 00ac GetLastError 00b4 SysErrorMessage 00ca sLoadModule 00cf LoadResString 00dd Format 00e7 _Dn_EDunitException 00ec Exception.Create 00f1 @RaiseExcept 0101 GetProcAddress 0138 sExportFunction 0181 TestSuite 018c @IntfCopy 01b1 sReturnInterface 01ea __Modules 01ef @DynArrayLength 0201 :1 0206 @DynArraySetLength 0213 @DynArrayHigh 0251 @UStrArrayClr 0283 @UStrClr 0289 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 83 7D F4 00 75 44 8D 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 1B 8D 4D EC BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 75 5D 8D 45 E8 50 8B 45 FC 89 45 D8 C6 45 DC 11 E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 89 45 E0 C6 45 E4 11 8D 45 D8 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 41 01 00 00 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F8 85 FF 75 5D 8D 45 CC 50 8B 45 FC 89 45 D8 C6 45 DC 11 E8 ?? ?? ?? ?? 8D 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 89 45 E0 C6 45 E4 11 8D 45 D8 50 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D3 00 00 00 8D 45 F8 FF D7 83 7D F8 00 75 1D 8D 45 C0 50 8D 55 C0 83 C9 FF 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C0 8D 45 F8 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 10 85 C0 74 40 8D 45 BC 50 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 50 8B 45 FC 89 45 B0 C6 45 B4 11 8D 55 B0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 52 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 50 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 1C C2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8D 44 C2 04 8B 16 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B9 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 64 00 74 00 6C 00 00 00 00 00 54 00 65 00 73 00 74 00 00 00 00 00 57 D5 CC 89 E1 7D 14 48 B0 33 AB AF E0 87 0E C7 }
	condition:
		$1
}

rule function_72251_0 {
	meta:
		name = "RegisterModuleTests"
		size = 96
		refs = "0012 @UStrAddRef 001a RegisterModuleTests 002b LoadModuleTests 0033 RegisterTest 0048 @IntfClear 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_72252_0 {
	meta:
		name = "UnloadTestModules"
		size = 75
		refs = "0005 __Modules 000a ClearRegistry 0012 @DynArrayHigh 0029 @IntfClear 0031 FreeLibrary 003d :1 0042 @DynArrayClear"
	strings:
		$1 = { 53 56 57 55 BD ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 1D 46 33 FF 8B 45 00 8D 1C F8 8D 43 04 E8 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? 47 4E 75 E6 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72253_0 {
	meta:
		name = "Finalization"
		size = 79
		refs = "0007 Finalization 0013 _DV_2 001a UnloadTestModules 001f rcs_id 0024 @UStrClr 0029 __Modules 002f :1 0034 @DynArrayClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1F E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_72256_0 {
	meta:
		name = "TTextTestListener.AddError"
		size = 25
		refs = "0001 Output 000a @Write0WChar 000f @Flush 0014 @_IOTest"
	strings:
		$1 = { A1 ?? ?? ?? ?? 66 BA 45 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72257_0 {
	meta:
		name = "TTextTestListener.AddFailure"
		size = 25
		refs = "0001 Output 000a @Write0WChar 000f @Flush 0014 @_IOTest"
	strings:
		$1 = { A1 ?? ?? ?? ?? 66 BA 46 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72258_0 {
	meta:
		name = "TTextTestListener.Report"
		size = 134
		refs = "0019 TTextTestListener.Report 0059 @UStrCatN 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 38 FF 57 30 FF 75 F8 8D 4D F4 8B D6 8B C3 8B 38 FF 57 28 FF 75 F4 8D 4D F0 8B D6 8B C3 8B 18 FF 53 2C FF 75 F0 8B 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72259_0 {
	meta:
		name = "TTextTestListener.PrintErrors"
		size = 316
		refs = "0020 TTextTestListener.PrintErrors 002d @UStrClr 0066 sPrintError 006b LoadResString 0076 Format 008a @UStrCatN 00ac sPrintErrors 00e7 @UStrCat 010d @UStrArrayClr 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 48 85 C0 0F 84 B7 00 00 00 8B C6 8B 10 FF 52 48 48 75 46 FF 33 8D 45 F8 50 8B C6 8B 10 FF 52 48 89 45 F0 C6 45 F4 00 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 44 FF 33 8D 45 E8 50 8B C6 8B 10 FF 52 48 89 45 F0 C6 45 F4 00 8D 45 F0 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 33 C9 5A E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 4D E0 8B D6 8B 45 FC 8B 30 FF 56 38 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_72260_0 {
	meta:
		name = "TTextTestListener.PrintFailureItems"
		size = 352
		refs = "0029 TTextTestListener.PrintFailureItems 0037 @UStrClr 0058 TTestResult.GetFailure 00d3 sFailedTestDetails 00d8 LoadResString 00e6 Format 00fb @UStrCatN 011f @UStrArrayClr 0127 @IntfClear 013d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 33 DB 89 5D F0 89 5D C4 89 5D BC 89 5D B8 89 5D B4 89 5D B0 89 5D C0 89 4D F8 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 4C 48 85 C0 0F 8C BD 00 00 00 40 89 45 F4 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 F8 FF 30 8D 45 F0 50 8D 46 01 89 45 C8 C6 45 CC 00 8D 55 C0 8B C3 8B 08 FF 11 8B 45 C0 8D 55 C4 8B 08 FF 51 0C 8B 45 C4 89 45 D0 C6 45 D4 11 8D 55 BC 8B C3 8B 08 FF 51 08 8B 45 BC 89 45 D8 C6 45 DC 11 8D 55 B8 8B C3 8B 08 FF 51 14 8B 45 B8 89 45 E0 C6 45 E4 11 8D 55 B4 8B C3 8B 08 FF 51 0C 8B 45 B4 89 45 E8 C6 45 EC 11 8D 45 C8 50 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 B9 04 00 00 00 5A E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8B 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 46 FF 4D F4 0F 85 49 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_72261_0 {
	meta:
		name = "TTextTestListener.PrintErrorItems"
		size = 352
		refs = "0029 TTextTestListener.PrintErrorItems 0037 @UStrClr 0058 TTestResult.GetError 00d3 sFailedTestDetails 00d8 LoadResString 00e6 Format 00fb @UStrCatN 011f @UStrArrayClr 0127 @IntfClear 013d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 33 DB 89 5D F0 89 5D C4 89 5D BC 89 5D B8 89 5D B4 89 5D B0 89 5D C0 89 4D F8 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 48 48 85 C0 0F 8C BD 00 00 00 40 89 45 F4 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 F8 FF 30 8D 45 F0 50 8D 46 01 89 45 C8 C6 45 CC 00 8D 55 C0 8B C3 8B 08 FF 11 8B 45 C0 8D 55 C4 8B 08 FF 51 0C 8B 45 C4 89 45 D0 C6 45 D4 11 8D 55 BC 8B C3 8B 08 FF 51 08 8B 45 BC 89 45 D8 C6 45 DC 11 8D 55 B8 8B C3 8B 08 FF 51 14 8B 45 B8 89 45 E0 C6 45 E4 11 8D 55 B4 8B C3 8B 08 FF 51 0C 8B 45 B4 89 45 E8 C6 45 EC 11 8D 45 C8 50 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 B9 04 00 00 00 5A E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8B 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 46 FF 4D F4 0F 85 49 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_72262_0 {
	meta:
		name = "TTextTestListener.PrintFailures"
		size = 316
		refs = "0020 TTextTestListener.PrintFailures 002d @UStrClr 0066 sPrintFailure 006b LoadResString 0076 Format 008a @UStrCatN 00ac sPrintFailures 00e7 @UStrCat 010d @UStrArrayClr 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 4C 85 C0 0F 84 B7 00 00 00 8B C6 8B 10 FF 52 4C 48 75 46 FF 33 8D 45 F8 50 8B C6 8B 10 FF 52 4C 89 45 F0 C6 45 F4 00 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 5A E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 44 FF 33 8D 45 E8 50 8B C6 8B 10 FF 52 4C 89 45 F0 C6 45 F4 00 8D 45 F0 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 33 C9 5A E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 4D E0 8B D6 8B 45 FC 8B 30 FF 56 34 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_72263_0 {
	meta:
		name = "TTextTestListener.PrintHeader"
		size = 456
		refs = "001d TTextTestListener.PrintHeader 002a @UStrClr 0041 @UStrCat 005f sTestResultsOk 0064 LoadResString 007c Format 00a1 sTestResultsFailures 00ba @UStrCatN 00c4 sTestResults 0117 sRunCount 012c sFailureCount 0141 sErrorsCount 018d @UStrArrayClr 01a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 54 84 C0 74 56 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 8B C6 8B 10 FF 52 44 89 45 F4 C6 45 F8 00 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 5A E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 E8 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 33 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 33 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 50 8B C6 8B 10 FF 52 44 89 45 CC C6 45 D0 00 8B C6 8B 10 FF 52 4C 89 45 D4 C6 45 D8 00 8B C6 8B 10 FF 52 48 89 45 DC C6 45 E0 00 8D 45 CC 50 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 BC 68 ?? ?? ?? ?? 8D 45 C8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 B9 02 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_72264_0 {
	meta:
		name = "TTextTestListener.StartTest"
		size = 64
		refs = "0007 TTextTestListener.StartTest 0012 Output 001b @Write0WChar 0020 @Flush 0025 @_IOTest 0038 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 66 BA 2E 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_72266_0 {
	meta:
		name = "TTextTestListener.TruncateString"
		size = 168
		refs = "0019 @UStrAddRef 0021 TTextTestListener.TruncateString 004a @UStrCopy 0059 @UStrCat3 0065 @UStrAsg 007f @UStrArrayClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B D9 89 55 FC 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 3B D8 7D 24 8D 45 F8 50 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 2E 00 2E 00 00 00 }
	condition:
		$1
}

rule function_72267_0 {
	meta:
		name = "TTextTestListener.TestingStarts"
		size = 115
		refs = "000c TTextTestListener.TestingStarts 0017 Output 001c @WriteLn 0021 @_IOTest 0029 sDUnitTesting 002e LoadResString 003b @Write0UString 004a Now 0063 @UStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5B 10 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_72268_0 {
	meta:
		name = "TTextTestListener.TestingEnds"
		size = 293
		refs = "001b TTextTestListener.TestingEnds 0026 Now 0039 Output 003e @WriteLn 0043 @_IOTest 005b DecodeTime 0067 sDecodeTime 006c LoadResString 00a8 Format 00b5 @Write0UString 00cb TTextTestListener.Report 0106 @UStrClr 0113 @UStrArrayClr 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 C9 89 4D CC 89 4D F4 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? DD 5B 18 9B DD 43 18 DC 63 10 DD 5B 20 9B A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 73 24 FF 73 20 8D 45 F8 50 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 0F B7 55 FE 89 55 D0 C6 45 D4 00 0F B7 55 FC 89 55 D8 C6 45 DC 00 0F B7 55 FA 89 55 E0 C6 45 E4 00 0F B7 55 F8 89 55 E8 C6 45 EC 00 8D 55 D0 B9 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D CC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72269_0 {
	meta:
		name = "TTextTestListener.RunTest"
		size = 262
		refs = "0017 @IntfAddRef 001f TTextTestListener.RunTest 002c _DV_TTextTestListener 0031 TObject.Create 0048 RunTest 006b sPressReturn 0070 LoadResString 0078 Output 007d @Write0UString 0082 @WriteLn 0087 @_IOTest 008c Input 0091 @ReadLn 00a5 @HandleAnyException 00aa @DoneExcept 00d3 @Halt 00e8 @UStrClr 00f0 @IntfClear 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 D8 89 45 F4 8D 55 F4 33 C9 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 FE CB 74 06 FE CB 74 59 EB 7E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 33 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 27 8B 45 F8 8B 10 FF 52 54 84 C0 75 1B 8B 45 F8 8B 10 FF 52 48 8B D8 8B 45 F8 8B 10 FF 52 4C 03 D8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72270_0 {
	meta:
		name = "TTextTestListener.RunRegisteredTests"
		size = 83
		refs = "000f TTextTestListener.RunRegisteredTests 001d RegisteredTests 0029 TTextTestListener.RunTest 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B CB 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72271_0 {
	meta:
		name = "RunTest"
		size = 262
		refs = "0017 @IntfAddRef 001f RunTest 002c _DV_TTextTestListener 0031 TObject.Create 006b sPressReturn 0070 LoadResString 0078 Output 007d @Write0UString 0082 @WriteLn 0087 @_IOTest 008c Input 0091 @ReadLn 00a5 @HandleAnyException 00aa @DoneExcept 00d3 @Halt 00e8 @UStrClr 00f0 @IntfClear 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 D8 89 45 F4 8D 55 F4 33 C9 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 FE CB 74 06 FE CB 74 59 EB 7E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 33 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 27 8B 45 F8 8B 10 FF 52 54 84 C0 75 1B 8B 45 F8 8B 10 FF 52 48 8B D8 8B 45 F8 8B 10 FF 52 4C 03 D8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72272_0 {
	meta:
		name = "RunRegisteredTests"
		size = 77
		refs = "000c RunRegisteredTests 001a RegisteredTests 0024 RunTest 003b @IntfClear 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_72273_0 {
	meta:
		name = "TTextTestListener.Status"
		size = 196
		refs = "0018 @IntfAddRef 0020 TTextTestListener.Status 0058 Format 0060 Output 0065 @Write0UString 006a @WriteLn 006f @_IOTest 0084 @UStrClr 0094 @IntfClear 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 DB 89 5D F8 89 5D E4 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 55 E4 8B 45 FC 8B 08 FF 51 0C 8B 45 E4 89 45 E8 C6 45 EC 11 89 5D F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 3A 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_72274_0 {
	meta:
		name = "TTextTestListener.Warning"
		size = 196
		refs = "0018 @IntfAddRef 0020 TTextTestListener.Warning 0058 Format 0060 Output 0065 @Write0UString 006a @WriteLn 006f @_IOTest 0084 @UStrClr 0094 @IntfClear 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 DB 89 5D F8 89 5D E4 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 55 E4 8B 45 FC 8B 08 FF 51 0C 8B 45 E4 89 45 E8 C6 45 EC 11 89 5D F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 3A 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_72284_0 {
	meta:
		name = "TUTF8ContentParser.GetContentFields"
		size = 220
		refs = "000d TUTF8ContentParser.GetContentFields 0020 _Dn_TStringList 0025 TStringList.Create 0044 TEncoding.GetUTF8 005f @LStrToPChar 0070 ExtractHeaderFields 0088 @LStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 10 00 75 57 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 BA 10 00 00 00 8B 43 04 8B 08 FF 51 0C 85 C0 7E 37 8B 43 10 50 6A 01 E8 ?? ?? ?? ?? 50 6A 00 8D 4D FC BA 19 00 00 00 8B 43 04 8B 30 FF 56 04 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5B 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 40 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_72285_0 {
	meta:
		name = "AddString"
		size = 113
		refs = "000e AddString 001e BytesOf 002f TEncoding.GetString 0052 @UStrClr 005b TArray<System.Byte> 0060 @DynArrayClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 8B 45 08 8B 40 0C 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 14 8B 55 F8 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_72286_0 {
	meta:
		name = "DoStripQuotes"
		size = 212
		refs = "0011 @LStrAsg 004a DoStripQuotes 007d @LStrDelete"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? C6 45 FF 00 C6 45 FE 00 8B 45 08 80 78 08 00 0F 84 84 00 00 00 8B 06 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 7C 6C 8B 06 0F B6 44 18 FF BA ?? ?? ?? ?? 89 55 F8 8B 55 F8 0F B6 C0 0F A3 02 0F 92 C0 84 C0 74 48 80 7D FF 00 74 20 8B 06 0F B6 44 18 FF 3A 45 FE 75 14 8B C6 B9 01 00 00 00 8B D3 E8 ?? ?? ?? ?? C6 45 FF 00 EB 22 80 7D FF 00 75 1C 8B 06 0F B6 44 18 FF 88 45 FE C6 45 FF 01 8B C6 B9 01 00 00 00 8B D3 E8 ?? ?? ?? ?? 4B 85 DB 75 94 5E 5B 8B E5 5D C3 00 00 00 00 84 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_72287_0 {
	meta:
		name = "ExtractHeaderFields"
		size = 620
		refs = "0045 ExtractHeaderFields 007e @SetUnion 00d7 CharInSet 0173 @LStrFromPCharLen 0189 DoStripQuotes 019b HTTPDecode 01a6 AddString 01ec @LStrArrayClr 01f4 @LStrClr 01fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 4C FF FF FF 53 56 57 33 DB 89 9D 4C FF FF FF 89 9D 54 FF FF FF 89 9D 50 FF FF FF 89 5D FC 8B F2 8D 7D BA 51 B9 08 00 00 00 F3 A5 59 8B F0 8D 7D DA 51 B9 08 00 00 00 F3 A5 59 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 7C 01 00 00 80 3B 00 0F 84 73 01 00 00 8D 75 BA 8D BD 58 FF FF FF B9 08 00 00 00 F3 A5 8D 85 58 FF FF FF BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 8D B5 58 FF FF FF 8D 7D 9A B9 08 00 00 00 F3 A5 8D 75 DA 8D BD 58 FF FF FF B9 08 00 00 00 F3 A5 8D 85 58 FF FF FF BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 8D B5 58 FF FF FF 8D BD 7A FF FF FF B9 08 00 00 00 F3 A5 8B F3 C6 45 FA 00 EB 01 46 8D 55 9A 0F B6 06 E8 ?? ?? ?? ?? 84 C0 75 F0 8B FE 33 DB C6 45 FB 00 EB 01 46 84 DB 74 11 BA ?? ?? ?? ?? 0F B6 06 E8 ?? ?? ?? ?? 84 C0 74 EA 8D 95 7A FF FF FF 0F B6 06 E8 ?? ?? ?? ?? 84 C0 74 D8 80 3E 22 75 35 80 7D FA 00 74 0E 0F B6 45 FA 3A 06 75 06 C6 45 FA 00 EB 13 3B F7 0F 94 45 FB 0F B6 06 88 45 FA 80 7D FB 00 74 01 47 80 7D FA 00 0F 95 C3 84 DB 74 03 46 EB 9F 80 7D FB 00 75 0B 80 3E 00 74 06 80 3E 22 75 01 46 80 3E 00 0F 94 C3 80 3F 00 74 63 6A 00 8B CE 2B CF 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 80 7D 10 00 74 30 55 55 8D 95 50 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 59 8B 85 50 FF FF FF 8D 95 54 FF FF FF E8 ?? ?? ?? ?? 8B 85 54 FF FF FF E8 ?? ?? ?? ?? 59 EB 1D 55 55 8D 95 4C FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 59 8B 85 4C FF FF FF E8 ?? ?? ?? ?? 59 46 84 DB 0F 84 FD FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 4C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 00 24 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 01 24 00 00 04 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 04 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_72290_0 {
	meta:
		name = "CoWindows.Create"
		size = 100
		refs = "000c CoWindows.Create 001a CLASS_Windows 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 D0 7E 7B F5 AB D8 D1 11 85 DF 00 C0 4F 98 F4 2C }
	condition:
		$1
}

rule function_72291_0 {
	meta:
		name = "CoWindows.CreateRemote"
		size = 128
		refs = "0011 CoWindows.CreateRemote 0021 @WStrFromUStr 002c CLASS_Windows 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 D0 7E 7B F5 AB D8 D1 11 85 DF 00 C0 4F 98 F4 2C }
	condition:
		$1
}

rule function_72292_0 {
	meta:
		name = "CoLinkedWindows.Create"
		size = 100
		refs = "000c CoLinkedWindows.Create 001a CLASS_LinkedWindows 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 6C E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72293_0 {
	meta:
		name = "CoLinkedWindows.CreateRemote"
		size = 128
		refs = "0011 CoLinkedWindows.CreateRemote 0021 @WStrFromUStr 002c CLASS_LinkedWindows 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 6C E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72294_0 {
	meta:
		name = "CoReferencesEvents.Create"
		size = 100
		refs = "000c CoReferencesEvents.Create 001a CLASS_ReferencesEvents 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 1A E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72295_0 {
	meta:
		name = "CoReferencesEvents.CreateRemote"
		size = 128
		refs = "0011 CoReferencesEvents.CreateRemote 0021 @WStrFromUStr 002c CLASS_ReferencesEvents 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 1A E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72296_0 {
	meta:
		name = "CoCommandBarEvents.Create"
		size = 100
		refs = "000c CoCommandBarEvents.Create 001a CLASS_CommandBarEvents 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 30 E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72297_0 {
	meta:
		name = "CoCommandBarEvents.CreateRemote"
		size = 128
		refs = "0011 CoCommandBarEvents.CreateRemote 0021 @WStrFromUStr 002c CLASS_CommandBarEvents 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 30 E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72298_0 {
	meta:
		name = "CoProjectTemplate.Create"
		size = 100
		refs = "000c CoProjectTemplate.Create 001a CLASS_ProjectTemplate 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 59 E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72299_0 {
	meta:
		name = "CoProjectTemplate.CreateRemote"
		size = 128
		refs = "0011 CoProjectTemplate.CreateRemote 0021 @WStrFromUStr 002c CLASS_ProjectTemplate 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 59 E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72300_0 {
	meta:
		name = "CoVBProject.Create"
		size = 100
		refs = "000c CoVBProject.Create 001a CLASS_VBProject 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 15 09 E0 EE 93 E3 D1 11 BB 03 00 C0 4F B6 C4 A6 }
	condition:
		$1
}

rule function_72301_0 {
	meta:
		name = "CoVBProject.CreateRemote"
		size = 128
		refs = "0011 CoVBProject.CreateRemote 0021 @WStrFromUStr 002c CLASS_VBProject 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 15 09 E0 EE 93 E3 D1 11 BB 03 00 C0 4F B6 C4 A6 }
	condition:
		$1
}

rule function_72302_0 {
	meta:
		name = "CoVBProjects.Create"
		size = 100
		refs = "000c CoVBProjects.Create 001a CLASS_VBProjects 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 19 09 E0 EE 93 E3 D1 11 BB 03 00 C0 4F B6 C4 A6 }
	condition:
		$1
}

rule function_72303_0 {
	meta:
		name = "CoVBProjects.CreateRemote"
		size = 128
		refs = "0011 CoVBProjects.CreateRemote 0021 @WStrFromUStr 002c CLASS_VBProjects 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 19 09 E0 EE 93 E3 D1 11 BB 03 00 C0 4F B6 C4 A6 }
	condition:
		$1
}

rule function_72304_0 {
	meta:
		name = "CoComponents.Create"
		size = 100
		refs = "000c CoComponents.Create 001a CLASS_Components 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 61 E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72305_0 {
	meta:
		name = "CoComponents.CreateRemote"
		size = 128
		refs = "0011 CoComponents.CreateRemote 0021 @WStrFromUStr 002c CLASS_Components 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 61 E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72306_0 {
	meta:
		name = "CoVBComponents.Create"
		size = 100
		refs = "000c CoVBComponents.Create 001a CLASS_VBComponents 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 1C 09 E0 EE 93 E3 D1 11 BB 03 00 C0 4F B6 C4 A6 }
	condition:
		$1
}

rule function_72307_0 {
	meta:
		name = "CoVBComponents.CreateRemote"
		size = 128
		refs = "0011 CoVBComponents.CreateRemote 0021 @WStrFromUStr 002c CLASS_VBComponents 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 1C 09 E0 EE 93 E3 D1 11 BB 03 00 C0 4F B6 C4 A6 }
	condition:
		$1
}

rule function_72308_0 {
	meta:
		name = "CoComponent.Create"
		size = 100
		refs = "000c CoComponent.Create 001a CLASS_Component 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 63 E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72309_0 {
	meta:
		name = "CoComponent.CreateRemote"
		size = 128
		refs = "0011 CoComponent.CreateRemote 0021 @WStrFromUStr 002c CLASS_Component 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 63 E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72310_0 {
	meta:
		name = "CoVBComponent.Create"
		size = 100
		refs = "000c CoVBComponent.Create 001a CLASS_VBComponent 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 21 09 E0 EE 93 E3 D1 11 BB 03 00 C0 4F B6 C4 A6 }
	condition:
		$1
}

rule function_72311_0 {
	meta:
		name = "CoVBComponent.CreateRemote"
		size = 128
		refs = "0011 CoVBComponent.CreateRemote 0021 @WStrFromUStr 002c CLASS_VBComponent 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 21 09 E0 EE 93 E3 D1 11 BB 03 00 C0 4F B6 C4 A6 }
	condition:
		$1
}

rule function_72312_0 {
	meta:
		name = "CoProperties.Create"
		size = 100
		refs = "000c CoProperties.Create 001a CLASS_Properties 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 88 E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72313_0 {
	meta:
		name = "CoProperties.CreateRemote"
		size = 128
		refs = "0011 CoProperties.CreateRemote 0021 @WStrFromUStr 002c CLASS_Properties 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 88 E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72314_0 {
	meta:
		name = "CoAddins.Create"
		size = 100
		refs = "000c CoAddins.Create 001a CLASS_Addins 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 62 6B 93 DA 8B AC D1 11 B6 E5 00 A0 C9 0F 27 44 }
	condition:
		$1
}

rule function_72315_0 {
	meta:
		name = "CoAddins.CreateRemote"
		size = 128
		refs = "0011 CoAddins.CreateRemote 0021 @WStrFromUStr 002c CLASS_Addins 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 62 6B 93 DA 8B AC D1 11 B6 E5 00 A0 C9 0F 27 44 }
	condition:
		$1
}

rule function_72316_0 {
	meta:
		name = "CoCodeModule.Create"
		size = 100
		refs = "000c CoCodeModule.Create 001a CLASS_CodeModule 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 6E E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72317_0 {
	meta:
		name = "CoCodeModule.CreateRemote"
		size = 128
		refs = "0011 CoCodeModule.CreateRemote 0021 @WStrFromUStr 002c CLASS_CodeModule 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 6E E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72318_0 {
	meta:
		name = "CoCodePanes.Create"
		size = 100
		refs = "000c CoCodePanes.Create 001a CLASS_CodePanes 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 72 E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72319_0 {
	meta:
		name = "CoCodePanes.CreateRemote"
		size = 128
		refs = "0011 CoCodePanes.CreateRemote 0021 @WStrFromUStr 002c CLASS_CodePanes 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 72 E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72320_0 {
	meta:
		name = "CoCodePane.Create"
		size = 100
		refs = "000c CoCodePane.Create 001a CLASS_CodePane 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 76 E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72321_0 {
	meta:
		name = "CoCodePane.CreateRemote"
		size = 128
		refs = "0011 CoCodePane.CreateRemote 0021 @WStrFromUStr 002c CLASS_CodePane 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 76 E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72322_0 {
	meta:
		name = "CoReferences.Create"
		size = 100
		refs = "000c CoReferences.Create 001a CLASS_References 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 7A E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72323_0 {
	meta:
		name = "CoReferences.CreateRemote"
		size = 128
		refs = "0011 CoReferences.CreateRemote 0021 @WStrFromUStr 002c CLASS_References 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 7A E1 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_72398_0 {
	meta:
		name = "TActionBarAccessibility.accDoDefaultAction"
		size = 67
		refs = "0008 @VarAddRef 0010 TActionBarAccessibility.accDoDefaultAction 0030 @VarClr 0036 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8D 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 03 00 02 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_72399_0 {
	meta:
		name = "TActionBarAccessibility.accHitTest"
		size = 320
		refs = "0024 VariantInit 003b _Dn_TActionBarItem 0040 @IsClass 0061 TControl.ScreenToClient 007a TCollectionItem.GetIndex 0086 @OleVarFromInt 0099 _Dn_TActionClientItem 00da TWinControl.ControlAtPos 0108 TControl.GetBoundsRect 0113 PtInRect"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B 7D 14 8B 5D 08 8B C7 85 FF 74 0D 33 D2 89 57 0C 89 57 08 89 57 04 89 17 57 E8 ?? ?? ?? ?? 66 C7 07 03 00 33 F6 C7 45 FC 01 00 00 00 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4C 8B 45 0C 89 45 EC 8B 45 10 89 45 F0 8D 4D F4 8D 55 EC 8B 43 0C 8B 40 0C E8 ?? ?? ?? ?? 8B 43 0C 8B 70 0C 85 F6 0F 84 C1 00 00 00 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 8B D0 42 8B C7 B1 FC E8 ?? ?? ?? ?? 33 C0 89 45 FC E9 A0 00 00 00 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 58 8B 43 0C 83 78 44 00 74 4F 8B 45 0C 89 45 E4 8B 45 10 89 45 E8 6A 00 6A 00 8D 4D DC 8D 55 E4 8B 43 0C 8B 70 18 8B C6 E8 ?? ?? ?? ?? 8D 55 DC 8B C6 B1 01 E8 ?? ?? ?? ?? 8B F0 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 8B D0 42 8B C7 B1 FC E8 ?? ?? ?? ?? 33 C0 89 45 FC EB 36 85 F6 74 2B 8D 55 CC 8B C6 E8 ?? ?? ?? ?? 8D 45 CC 8D 55 F4 E8 ?? ?? ?? ?? 84 C0 74 12 8B C7 33 D2 B1 01 E8 ?? ?? ?? ?? 33 C0 89 45 FC EB 07 C7 45 FC 01 00 00 00 8B 45 FC 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_72400_0 {
	meta:
		name = "TActionBarAccessibility.accLocation"
		size = 288
		refs = "0019 @VarAddRef 0021 TActionBarAccessibility.accLocation 0038 @OleVarFromInt 0043 @VarCmpEQ 0050 _Dn_TActionBarItem 0055 @IsClass 006b TActionClient.GetItems 0077 @VarCopy 0091 @VarSub 0099 @VarToInteger 00a1 TActionClients.GetActionClient 00bf TControl.ClientToScreen 00f7 OleVariant 0101 @FinalizeArray 0109 @VarClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B 5D 08 8D 45 1C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 8D 45 E8 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 55 E8 8D 45 1C E8 ?? ?? ?? ?? 75 1E 8B 7B 0C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 8B 5F 0C EB 46 8B 5F 44 EB 41 8B 43 0C E8 ?? ?? ?? ?? 50 8D 55 1C 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 C8 BA 01 00 00 00 B1 01 E8 ?? ?? ?? ?? 8D 55 C8 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 8B 58 44 85 DB 74 39 8D 55 B8 8B C3 8B 08 FF 51 60 8D 55 B8 8D 4D F8 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 8B 55 F8 89 10 8B 45 10 8B 55 FC 89 10 8B 45 14 8B 53 50 89 10 8B 45 18 8B 53 54 89 10 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 1C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C6 5F 5E 5B 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule function_72401_0 {
	meta:
		name = "TActionBarAccessibility.accNavigate"
		size = 90
		refs = "0008 @VarAddRef 0027 TActionBarAccessibility.accNavigate 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8D 45 10 E8 ?? ?? ?? ?? 8B 45 20 8B 55 20 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 03 00 02 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_72402_0 {
	meta:
		name = "TActionBarAccessibility.Get_accFocus"
		size = 35
		altNames = "TActionBarAccessibility.Get_accSelection"
	strings:
		$1 = { 55 8B EC 8B 45 0C 8B 55 0C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A B8 03 00 02 80 5D C2 08 00 }
	condition:
		$1
}

rule function_72403_0 {
	meta:
		name = "TActionBarAccessibility.Create"
		size = 78
		refs = "000e @ClassCreate 002c @IntfCopy 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 89 4F 10 8B 75 08 89 77 0C 8D 46 34 8B D7 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_72407_0 {
	meta:
		name = "TActionBarAccessibility.Get_accChild"
		size = 298
		refs = "0018 @VarAddRef 002b TActionBarAccessibility.Get_accChild 003d @OleVarFromInt 0048 @VarCmpEQ 005c TActionClient.GetItems 0079 @VarCmpGT 0083 @IntfClear 00a0 @VarCopy 00ba @VarSub 00c2 @VarToInteger 00ca TActionClients.GetActionClient 00d4 _DV_TActionBarAccessibility 00d9 TActionBarAccessibility.Create 00ea @IntfCopy 0102 OleVariant 010c @FinalizeArray 0114 @VarClr 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 8B 45 1C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 55 F0 8D 45 0C E8 ?? ?? ?? ?? 75 0A BB 57 00 07 80 E9 98 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 8B 40 08 8B 70 08 8D 45 E0 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E0 8D 45 0C E8 ?? ?? ?? ?? 7E 0F 8B 45 1C E8 ?? ?? ?? ?? BB 01 00 00 00 EB 62 8B 73 0C 8B C6 E8 ?? ?? ?? ?? 50 8D 55 0C 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 C0 BA 01 00 00 00 B1 01 E8 ?? ?? ?? ?? 8D 55 C0 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B 45 1C E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_72424_0 {
	meta:
		name = "TActionMenuBarAccessibility.Get_accChild"
		size = 298
		refs = "0018 @VarAddRef 002b TActionMenuBarAccessibility.Get_accChild 003d @OleVarFromInt 0048 @VarCmpEQ 005c TActionClient.GetItems 0079 @VarCmpGT 0083 @IntfClear 00a0 @VarCopy 00ba @VarSub 00c2 @VarToInteger 00ca TActionClients.GetActionClient 00d4 _DV_TActionMenuBarAccessibility 00d9 TActionBarAccessibility.Create 00ea @IntfCopy 0102 OleVariant 010c @FinalizeArray 0114 @VarClr 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 8B 45 1C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 55 F0 8D 45 0C E8 ?? ?? ?? ?? 75 0A BB 57 00 07 80 E9 98 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 8B 40 08 8B 70 08 8D 45 E0 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E0 8D 45 0C E8 ?? ?? ?? ?? 7E 0F 8B 45 1C E8 ?? ?? ?? ?? BB 01 00 00 00 EB 62 8B 73 0C 8B C6 E8 ?? ?? ?? ?? 50 8D 55 0C 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 C0 BA 01 00 00 00 B1 01 E8 ?? ?? ?? ?? 8D 55 C0 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B 45 1C E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_72408_0 {
	meta:
		name = "TActionBarAccessibility.Get_accChildCount"
		size = 31
		refs = "000a TActionClient.GetItems"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B 55 0C 89 02 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_72409_0 {
	meta:
		name = "TActionBarAccessibility.Get_accDefaultAction"
		size = 78
		refs = "0008 @VarAddRef 001b TActionBarAccessibility.Get_accDefaultAction 003b @VarClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8D 45 0C E8 ?? ?? ?? ?? 8B 45 1C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 03 00 02 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_72412_0 {
	meta:
		name = "TActionBarAccessibility.Get_accHelp"
		size = 78
		refs = "0008 @VarAddRef 001b TActionBarAccessibility.Get_accHelp 003b @VarClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8D 45 0C E8 ?? ?? ?? ?? 8B 45 1C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 03 00 02 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_72410_0 {
	meta:
		name = "TActionBarAccessibility.Get_accDescription"
		size = 364
		refs = "0019 @VarAddRef 002c TActionBarAccessibility.Get_accDescription 0043 @OleVarFromInt 004e @VarCmpEQ 005b _Dn_TActionBarItem 0060 @IsClass 0075 GetLongHint 0080 @WStrFromUStr 00a8 TActionClient.GetItems 00b4 @VarCopy 00ce @VarSub 00d6 @VarToInteger 00de TActionClients.GetActionClient 00e3 TActionClientItem.GetAction 012e OleVariant 0138 @FinalizeArray 0145 @UStrArrayClr 014d @VarClr 015b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 8B 45 1C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 8D 45 F0 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 55 F0 8D 45 0C E8 ?? ?? ?? ?? 75 50 8B 7B 0C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8D 55 EC 8B 47 0C 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 1C E8 ?? ?? ?? ?? EB 7A 8D 55 E8 8B 47 44 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 1C E8 ?? ?? ?? ?? EB 5C 8B 43 0C E8 ?? ?? ?? ?? 50 8D 55 0C 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 C4 BA 01 00 00 00 B1 01 E8 ?? ?? ?? ?? 8D 55 C4 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 84 00 00 00 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 1C E8 ?? ?? ?? ?? 8B 45 1C 8B 00 89 45 C0 8B 45 C0 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 7E 02 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 8B C6 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_72413_0 {
	meta:
		name = "TActionBarAccessibility.Get_accHelpTopic"
		size = 186
		refs = "0021 @VarAddRef 0029 TActionBarAccessibility.Get_accHelpTopic 0037 @WStrClr 004c @OleVarFromInt 0057 @VarCmpEQ 0062 _Dn_TActionClientItem 0067 @IsClass 0073 TActionClientItem.GetAction 009b @VarClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B 75 20 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8D 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C E8 ?? ?? ?? ?? 33 C0 89 06 BF 01 00 00 00 8D 45 F0 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 55 F0 8D 45 10 E8 ?? ?? ?? ?? 75 2D 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 8B 43 0C E8 ?? ?? ?? ?? 85 C0 74 0F 8B 43 0C E8 ?? ?? ?? ?? 8B 40 7C 89 06 33 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C7 5F 5E 5B 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule function_72414_0 {
	meta:
		name = "TActionBarAccessibility.Get_accKeyboardShortcut"
		size = 441
		refs = "001a @VarAddRef 002d TActionBarAccessibility.Get_accKeyboardShortcut 0044 @OleVarFromInt 004f @VarCmpEQ 0060 _Dn_TActionBarItem 0065 @IsClass 0071 @WStrClr 007d TActionClientItem.GetAction 008c TActionClientItem.GetCaption 0097 GetHotkey 00a2 @WStrFromUStr 00bb ShortCutToText 00ec TActionClient.GetItems 00f8 @VarCopy 0112 @VarSub 011a @VarToInteger 0122 TActionClients.GetActionClient 0173 OleVariant 017d @FinalizeArray 0185 @UStrClr 0192 @UStrArrayClr 019a @VarClr 01a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 8B 45 1C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 8D 45 F0 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 55 F0 8D 45 0C E8 ?? ?? ?? ?? 0F 85 8F 00 00 00 8B 7B 0C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 1C E8 ?? ?? ?? ?? E9 E7 00 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 75 23 8D 55 E8 8B 43 0C E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 1C E8 ?? ?? ?? ?? EB 22 8B 43 0C E8 ?? ?? ?? ?? 0F B7 80 8C 00 00 00 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 1C E8 ?? ?? ?? ?? 8B 45 1C 8B 00 89 45 E0 8B 45 E0 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 7E 7D 33 F6 EB 79 8B 43 0C E8 ?? ?? ?? ?? 50 8D 55 0C 8D 45 CC E8 ?? ?? ?? ?? 8D 45 BC BA 01 00 00 00 B1 01 E8 ?? ?? ?? ?? 8D 55 BC 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 80 8C 00 00 00 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 1C E8 ?? ?? ?? ?? 8B 45 1C 8B 00 89 45 E0 8B 45 E0 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 7E 02 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 8B C6 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_72415_0 {
	meta:
		name = "TActionBarAccessibility.Get_accName"
		size = 423
		refs = "001a @VarAddRef 002d TActionBarAccessibility.Get_accName 0041 @OleVarFromInt 004c @VarCmpEQ 0059 _Dn_TActionClientItem 005e @IsClass 006c TActionClientItem.GetCaption 0077 StripHotkey 0082 @WStrFromUStr 008f _Dn_TActionBarItem 00a7 TControl.GetText 00b4 TActionClient.GetItems 00d1 @VarCmpGT 00ee @VarCopy 0108 @VarSub 0110 @VarToInteger 0118 TActionClients.GetActionClient 014c OleVariant 0156 @FinalizeArray 0163 @UStrArrayClr 016b @VarClr 0173 @UStrClr 0196 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 8B 45 1C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8D 45 F0 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 55 F0 8D 45 0C E8 ?? ?? ?? ?? 75 5E 8B 7B 0C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 1C E8 ?? ?? ?? ?? E9 AF 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9A 00 00 00 8D 55 E4 8B 47 0C E8 ?? ?? ?? ?? E9 8A 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 8B 40 08 8B 78 08 8D 45 D4 8B D7 B1 FC E8 ?? ?? ?? ?? 8D 55 D4 8D 45 0C E8 ?? ?? ?? ?? 7E 07 BE 01 00 00 00 EB 5C 8B 43 0C E8 ?? ?? ?? ?? 50 8D 55 0C 8D 45 BC E8 ?? ?? ?? ?? 8D 45 AC BA 01 00 00 00 B1 01 E8 ?? ?? ?? ?? 8D 55 AC 8D 45 BC E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AB 8B C6 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_72416_0 {
	meta:
		name = "TActionBarAccessibility.Get_accParent"
		size = 50
		refs = "0026 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 B8 01 00 00 00 8B 73 10 85 F6 74 0D 8B 45 0C 8B 56 34 E8 ?? ?? ?? ?? 33 C0 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_72417_0 {
	meta:
		name = "TActionBarAccessibility.Get_accRole"
		size = 244
		refs = "0013 @VarAddRef 0032 TActionBarAccessibility.Get_accRole 0043 VariantInit 0057 @OleVarFromInt 0062 @VarCmpEQ 006d _Dn_TActionBarItem 0072 @IsClass 0095 _Dn_TCustomActionMainMenuBar 00d5 @VarClr 00e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 8B 45 1C 8B 55 1C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 1C 50 E8 ?? ?? ?? ?? 8B 45 1C 66 C7 00 03 00 8D 45 F0 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 55 F0 8D 45 0C E8 ?? ?? ?? ?? 75 52 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 1C C7 40 08 02 00 00 00 EB 3E 8B 43 0C 8B 78 44 85 FF 74 1E 8B 47 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 1C C7 40 08 0B 00 00 00 EB 16 8B 45 1C C7 40 08 0C 00 00 00 EB 0A 8B 45 1C C7 40 08 0C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_72418_0 {
	meta:
		name = "TActionBarAccessibility.accSelect"
		size = 67
		refs = "0008 @VarAddRef 0010 TActionBarAccessibility.accSelect 0030 @VarClr 0036 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8D 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 03 00 02 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_72419_0 {
	meta:
		name = "TActionBarAccessibility.Get_accState"
		size = 530
		refs = "0019 @VarAddRef 0038 TActionBarAccessibility.Get_accState 0049 VariantInit 005f @OleVarFromInt 006a @VarCmpEQ 0079 _Dn_TActionBarItem 007e @IsClass 0093 _Dn_TActionClientItem 00c5 IsVisible 00dc IsEnabled 00f4 IsChecked 0111 TActionClient.GetItems 011d @VarCopy 0137 @VarSub 013f @VarToInteger 0149 TActionClients.GetActionClient 0173 TActionClient.GetHasItems 017d HasPopup 01e9 OleVariant 01f3 @FinalizeArray 01fb @VarClr 0201 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 8B 45 1C 8B 55 1C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8B 45 1C 50 E8 ?? ?? ?? ?? 8B 45 1C 66 C7 00 03 00 33 F6 8D 45 F0 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 55 F0 8D 45 0C E8 ?? ?? ?? ?? 0F 85 8F 00 00 00 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 0C 8B 70 0C EB 18 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 43 0C 8B 70 44 85 F6 75 0A BF 57 00 07 80 E9 23 01 00 00 8B 45 1C C7 40 08 84 00 10 00 0F B6 46 61 8B 04 85 ?? ?? ?? ?? 8B 55 1C 09 42 08 8B C6 8B 10 FF 52 68 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8B 55 1C 09 42 08 8B C6 8B 10 FF 52 58 0F B6 40 71 8B 04 85 ?? ?? ?? ?? 8B 55 1C 09 42 08 E9 D4 00 00 00 8B 45 1C C7 40 08 84 00 10 00 8B 43 0C E8 ?? ?? ?? ?? 50 8D 55 0C 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 BA 01 00 00 00 B1 01 E8 ?? ?? ?? ?? 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8B F0 8B D6 58 E8 ?? ?? ?? ?? 8B 40 44 0F B6 40 61 8B 04 85 ?? ?? ?? ?? 8B 55 1C 09 42 08 8B 43 0C E8 ?? ?? ?? ?? 50 8B D6 58 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8B 55 1C 09 42 08 8B 43 0C E8 ?? ?? ?? ?? 50 8B D6 58 E8 ?? ?? ?? ?? 8B 40 44 8B 10 FF 52 68 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8B 55 1C 09 42 08 8B 43 0C E8 ?? ?? ?? ?? 50 8B D6 58 E8 ?? ?? ?? ?? 8B 40 44 8B 10 FF 92 EC 00 00 00 84 C0 74 07 8B 45 1C 83 48 08 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C7 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_72420_0 {
	meta:
		name = "TActionBarAccessibility.Get_accValue"
		size = 86
		refs = "0008 @VarAddRef 001b TActionBarAccessibility.Get_accValue 0029 @WStrClr 0043 @VarClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8D 45 0C E8 ?? ?? ?? ?? 8B 45 1C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 1C E8 ?? ?? ?? ?? BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_72422_0 {
	meta:
		name = "TActionBarAccessibility.Set_accName"
		size = 67
		refs = "0008 @VarAddRef 0010 TActionBarAccessibility.Set_accName 0030 @VarClr 0036 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8D 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 03 00 02 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_72423_0 {
	meta:
		name = "TActionBarAccessibility.Set_accValue"
		size = 67
		refs = "0008 @VarAddRef 0010 TActionBarAccessibility.Set_accValue 0030 @VarClr 0036 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8D 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 03 00 02 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_72425_0 {
	meta:
		name = "TActionMenuBarAccessibility.Get_accDescription"
		size = 232
		refs = "0014 @VarAddRef 0027 TActionMenuBarAccessibility.Get_accDescription 003a @WStrClr 0046 @OleVarFromInt 0051 @VarCmpEQ 005e TActionClientItem.GetCaption 006b @UStrCat 0076 @WStrFromUStr 00a7 @UStrClr 00af @VarClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 8B 45 1C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 8B 45 1C E8 ?? ?? ?? ?? 8D 45 F0 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 55 F0 8D 45 0C E8 ?? ?? ?? ?? 75 23 8D 55 EC 8B 43 0C E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 1C E8 ?? ?? ?? ?? 8B 45 1C 8B 00 89 45 E8 8B 45 E8 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 7E 02 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C6 5E 5B 8B E5 5D C2 18 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 20 00 6D 00 65 00 6E 00 75 00 00 00 }
	condition:
		$1
}

rule function_72426_0 {
	meta:
		name = "TActionMenuBarAccessibility.Get_accRole"
		size = 202
		refs = "0012 @VarAddRef 0031 TActionMenuBarAccessibility.Get_accRole 0042 VariantInit 0056 @OleVarFromInt 0061 @VarCmpEQ 006c _Dn_TActionBarItem 0071 @IsClass 00ac @VarClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 8B 45 1C 8B 55 1C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 1C 50 E8 ?? ?? ?? ?? 8B 45 1C 66 C7 00 03 00 8D 45 F0 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 55 F0 8D 45 0C E8 ?? ?? ?? ?? 75 2A 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 1C C7 40 08 02 00 00 00 EB 16 8B 45 1C C7 40 08 0C 00 00 00 EB 0A 8B 45 1C C7 40 08 0C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_72427_0 {
	meta:
		name = "TActionMenuBarAccessibility.Get_accState"
		size = 646
		refs = "0019 @VarAddRef 0038 TActionMenuBarAccessibility.Get_accState 0049 VariantInit 005f @OleVarFromInt 006a @VarCmpEQ 0079 _Dn_TActionBarItem 007e @IsClass 0093 _Dn_TActionClientItem 00bb IsVisible 00d2 IsEnabled 00ec IsChecked 0109 TActionClientItem.GetAction 0153 TActionClient.GetItems 0170 @VarCmpGT 0190 @VarCopy 01aa @VarSub 01b2 @VarToInteger 01bc TActionClients.GetActionClient 01c9 MessageBeep 020e TActionClient.GetHasItems 0218 HasPopup 025d OleVariant 0267 @FinalizeArray 026f @VarClr 0275 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 8B 45 1C 8B 55 1C 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8B 45 1C 50 E8 ?? ?? ?? ?? 8B 45 1C 66 C7 00 03 00 33 F6 8D 45 F0 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 55 F0 8D 45 0C E8 ?? ?? ?? ?? 0F 85 DB 00 00 00 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 0C 8B 70 0C EB 18 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 43 0C 8B 70 44 85 F6 74 51 8B 45 1C C7 40 08 04 00 10 00 0F B6 46 61 8B 04 85 ?? ?? ?? ?? 8B 55 1C 09 42 08 8B C6 8B 10 FF 52 68 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8B 55 1C 09 42 08 8B C6 8B 10 FF 92 EC 00 00 00 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8B 55 1C 09 42 08 E9 50 01 00 00 8B 45 1C C7 40 08 04 00 10 00 8B 43 0C E8 ?? ?? ?? ?? 85 C0 0F 84 36 01 00 00 8B 43 0C E8 ?? ?? ?? ?? 0F B6 80 8E 00 00 00 8B 04 85 ?? ?? ?? ?? 8B 55 1C 09 42 08 8B 43 0C E8 ?? ?? ?? ?? 0F B6 40 72 8B 04 85 ?? ?? ?? ?? 8B 55 1C 09 42 08 E9 FC 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 8B 40 08 8B 70 08 8D 45 E0 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E0 8D 45 0C E8 ?? ?? ?? ?? 7E 0A BF 57 00 07 80 E9 CB 00 00 00 8B 43 0C E8 ?? ?? ?? ?? 50 8D 55 0C 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 C0 BA 01 00 00 00 B1 01 E8 ?? ?? ?? ?? 8D 55 C0 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8B F0 8B D6 58 E8 ?? ?? ?? ?? 83 78 44 00 75 07 6A 00 E8 ?? ?? ?? ?? 8B 45 1C C7 40 08 04 00 10 00 8B 43 0C E8 ?? ?? ?? ?? 50 8B D6 58 E8 ?? ?? ?? ?? 8B 40 44 0F B6 40 61 8B 04 85 ?? ?? ?? ?? 8B 55 1C 09 42 08 8B 43 0C E8 ?? ?? ?? ?? 50 8B D6 58 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8B 55 1C 09 42 08 8B 43 0C E8 ?? ?? ?? ?? 50 8B D6 58 E8 ?? ?? ?? ?? 8B 40 44 8B 10 FF 52 68 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8B 55 1C 09 42 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C7 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_72430_0 {
	meta:
		name = "TStandardColorMap.SetColor"
		size = 53
		refs = "0013 GetHighLightColor 002e TCustomActionBarColorMap.SetColor"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 48 74 1E BA 13 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 43 74 BA 0A 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 43 68 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72431_0 {
	meta:
		name = "TStandardColorMap.UpdateColors"
		size = 248
		refs = "0007 TCustomActionBarColorMap.UpdateColors 001f SystemParametersInfo 00ac GetHighLightColor"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 04 24 6A 00 8D 44 24 04 50 6A 00 68 22 10 00 00 E8 ?? ?? ?? ?? C7 43 40 0F 00 00 FF C7 43 3C 0F 00 00 FF C7 43 44 08 00 00 FF BA 0F 00 00 FF 8B C3 8B 08 FF 51 40 83 3C 24 00 74 09 C7 43 7C 04 00 00 FF EB 07 C7 43 7C 0F 00 00 FF C7 43 50 11 00 00 FF C7 43 54 14 00 00 FF C7 43 4C 00 00 00 20 BA 08 00 00 FF 8B C3 8B 08 FF 51 44 C7 83 80 00 00 00 14 00 00 FF C7 83 84 00 00 00 16 00 00 FF C7 83 88 00 00 00 10 00 00 FF C7 83 8C 00 00 00 15 00 00 FF BA 13 00 00 00 8B 43 48 E8 ?? ?? ?? ?? 89 43 74 C7 43 5C 00 00 00 20 C7 43 64 00 00 00 20 83 3C 24 00 74 09 C7 43 70 1D 00 00 FF EB 07 C7 43 70 0D 00 00 FF C7 43 6C 0E 00 00 FF C7 43 60 10 00 00 FF BA 12 00 00 00 8B 43 48 E8 ?? ?? ?? ?? 89 43 68 5A 5B C3 }
	condition:
		$1
}

rule function_72432_0 {
	meta:
		name = "TXPColorMap.UpdateColors"
		size = 194
		refs = "0006 TCustomActionBarColorMap.UpdateColors 0086 GetHighLightColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA 0F 00 00 FF 8B C3 8B 08 FF 51 40 C7 43 7C 05 00 00 FF C7 43 40 31 69 C6 00 C7 43 3C 0F 00 00 FF C7 43 44 08 00 00 FF C7 43 50 11 00 00 FF C7 43 54 14 00 00 FF C7 43 4C 80 80 80 00 BA 08 00 00 FF 8B C3 8B 08 FF 51 44 C7 83 80 00 00 00 FF FF FF 00 C7 83 84 00 00 00 8A 86 7A 00 C7 83 88 00 00 00 FF FF FF 00 C7 83 8C 00 00 00 8A 86 7A 00 BA 0F 00 00 00 B8 0F 00 00 FF E8 ?? ?? ?? ?? 89 43 74 C7 43 5C 00 00 00 20 C7 43 64 00 00 00 20 C7 43 70 C6 D3 EF 00 33 C0 89 43 6C C7 43 60 15 00 00 FF BA 0F 00 00 00 B8 0F 00 00 FF E8 ?? ?? ?? ?? 89 43 68 5B C3 }
	condition:
		$1
}

rule function_72433_0 {
	meta:
		name = "TTwilightColorMap.UpdateColors"
		size = 146
		refs = "0006 TCustomActionBarColorMap.UpdateColors"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 40 33 C0 89 43 7C C7 43 50 11 00 00 FF 33 C0 89 43 54 C7 43 4C 15 00 00 FF BA FF FF FF 00 8B C3 8B 08 FF 51 44 33 C0 89 83 80 00 00 00 C7 83 84 00 00 00 15 00 00 FF 33 C0 89 83 88 00 00 00 C7 83 8C 00 00 00 15 00 00 FF 33 C0 89 43 74 C7 43 5C 00 00 00 20 C7 43 64 FF FF FF 00 C7 43 3C 15 00 00 FF 33 C0 89 43 44 C7 43 70 15 00 00 FF 33 C0 89 43 6C 33 C0 89 43 60 33 C0 89 43 68 5B C3 }
	condition:
		$1
}

rule function_72434_0 {
	meta:
		name = "TThemedColorMap.UpdateColors"
		size = 572
		refs = "000e TCustomActionBarColorMap.UpdateColors 008b GetHighLightColor 00c6 TStyleManager.GetActiveStyle 00e3 TCustomStyleServices.GetElementColor"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B D8 8B FC 8B C3 E8 ?? ?? ?? ?? BA 1E 00 00 FF 8B C3 8B 08 FF 51 40 C7 43 7C 04 00 00 FF C7 43 40 64 64 64 00 C7 43 3C 1D 00 00 FF C7 43 44 08 00 00 FF C7 43 50 11 00 00 FF C7 43 54 F4 F7 FC 00 C7 43 4C 80 80 80 00 33 D2 8B C3 8B 08 FF 51 44 C7 83 80 00 00 00 F4 F7 FC 00 C7 83 84 00 00 00 64 64 64 00 C7 83 88 00 00 00 F4 F7 FC 00 C7 83 8C 00 00 00 64 64 64 00 BA 0F 00 00 00 B8 0F 00 00 FF E8 ?? ?? ?? ?? 89 43 74 C7 43 5C 00 00 00 20 C7 43 64 00 00 00 20 C7 43 70 1D 00 00 FF 33 C0 89 43 6C C7 43 60 15 00 00 FF BA 0F 00 00 00 B8 0F 00 00 FF E8 ?? ?? ?? ?? 89 43 68 E8 ?? ?? ?? ?? 8B F0 8D 4C 24 04 B2 02 8B C6 8B 28 FF 55 58 57 B1 06 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0D 81 3F FF FF FF 1F 74 05 8B 07 89 43 40 57 B1 02 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 84 C0 74 11 81 3F FF FF FF 1F 74 09 8B 17 8B C3 8B 08 FF 51 44 8D 4C 24 04 B2 0A 8B C6 8B 28 FF 95 9C 00 00 00 57 B1 01 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 84 C0 74 11 81 3F FF FF FF 1F 74 09 8B 17 8B C3 8B 08 FF 51 40 8D 4C 24 04 B2 1D 8B C6 8B 28 FF 95 9C 00 00 00 57 B1 02 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 84 C0 74 12 81 3F FF FF FF 1F 74 0A 8B 07 89 43 44 8B 07 89 43 6C 8D 4C 24 04 B2 1E 8B C6 8B 28 FF 95 9C 00 00 00 57 B1 02 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0D 81 3F FF FF FF 1F 74 05 8B 07 89 43 50 57 B1 04 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0D 81 3F FF FF FF 1F 74 05 8B 07 89 43 54 8D 4C 24 04 B2 12 8B C6 8B 28 FF 95 9C 00 00 00 57 B1 04 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 84 C0 74 18 81 3F FF FF FF 1F 74 10 8B 07 89 83 80 00 00 00 8B 07 89 83 88 00 00 00 57 B1 06 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 84 C0 74 18 81 3F FF FF FF 1F 74 10 8B 07 89 83 84 00 00 00 8B 07 89 83 8C 00 00 00 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72437_0 {
	meta:
		name = "TCustomButtonControl.Create"
		size = 80
		refs = "000a @ClassCreate 0017 TCustomActionControl.Create 001c TCustomButtonControl.Create 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 58 C6 86 FD 01 00 00 01 C6 86 FE 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 80 00 04 00 }
	condition:
		$1
}

rule function_72438_0 {
	meta:
		name = "TCustomButtonControl.CalcBounds"
		size = 23
		refs = "0006 TCustomActionControl.CalcBounds 0011 TControl.SetWidth"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 50 42 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72439_0 {
	meta:
		name = "TCustomButtonControl.Click"
		size = 24
		refs = "0012 TCustomActionControl.Click"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 8B 08 FF 91 04 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73266_0 {
	meta:
		name = "TCustomMenuButton.Keyed"
		size = 24
		refs = "0012 TCustomActionControl.Keyed"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 8B 08 FF 91 04 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72440_0 {
	meta:
		name = "TCustomButtonControl.CMEnabledChanged"
		size = 22
		refs = "0006 TCustomButtonControl.UpdateTracking"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_72441_0 {
	meta:
		name = "TCustomButtonControl.CMTextChanged"
		size = 90
		refs = "0017 TCustomActionControl.GetActionBar 0039 TControl.SetWidth 0047 TControl.SetHeight 0053 TCustomActionControl.CMTextChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 74 3A 8B C3 E8 ?? ?? ?? ?? 85 C0 74 20 8B C3 E8 ?? ?? ?? ?? 0F B6 80 97 02 00 00 2C 02 73 0E BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 18 BA 06 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72442_0 {
	meta:
		name = "TCustomButtonControl.CMMouseEnter"
		size = 67
		refs = "0006 TControl.CMMouseEnter 0028 GetCapture"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB FD 01 00 00 00 74 2E 80 BB FB 01 00 00 00 75 25 8B C3 8B 10 FF 52 68 84 C0 74 1A E8 ?? ?? ?? ?? 85 C0 75 11 C6 83 FB 01 00 00 01 8B C3 8B 10 FF 92 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_72443_0 {
	meta:
		name = "TCustomButtonControl.CMMouseLeave"
		size = 77
		refs = "0006 TControl.CMMouseLeave"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB FD 01 00 00 00 74 38 8B C3 8B 10 FF 52 68 84 C0 74 2D C6 83 FB 01 00 00 00 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 75 07 C6 83 FE 01 00 00 00 C6 83 FA 01 00 00 00 8B C3 8B 10 FF 92 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_72444_0 {
	meta:
		name = "TCustomButtonControl.DrawBackground"
		size = 99
		refs = "0036 GetHighLightColor 003f AllocPatternBitmap 0051 TBrush.SetBitmap 005a TCustomActionControl.DrawBackground"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 3F 80 BB FB 01 00 00 00 75 36 8B 83 B0 01 00 00 8B 40 48 8B 40 10 8B 78 18 8B C7 BA 13 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 83 B0 01 00 00 8B 70 48 8B C6 E8 ?? ?? ?? ?? 8B D5 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72447_0 {
	meta:
		name = "TCustomButtonControl.Loaded"
		size = 47
		refs = "0007 TControl.Loaded 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 58 85 C0 74 16 8B C3 8B 10 FF 52 58 8B D0 B1 01 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72448_0 {
	meta:
		name = "TCustomButtonControl.MouseDown"
		size = 92
		refs = "001f TControl.MouseDown 0040 TCustomButtonControl.SetState"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 8B D3 0F B7 4D FE 8B C6 E8 ?? ?? ?? ?? 84 DB 75 2E 8B C6 8B 10 FF 52 68 84 C0 74 23 80 BE F9 01 00 00 00 75 13 B2 02 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 C6 86 FA 01 00 00 01 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_72449_0 {
	meta:
		name = "TCustomButtonControl.MouseMove"
		size = 167
		refs = "001c TControl.MouseMove 0043 TControl.GetClientWidth 0052 TControl.GetClientHeight 009b TCustomButtonControl.UpdateTracking"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 66 89 55 FE 8B D8 8B 7D 08 57 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 80 BB FA 01 00 00 00 74 66 80 BB F9 01 00 00 00 75 06 C6 45 FD 00 EB 04 C6 45 FD 03 85 F6 7C 2D 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 22 85 FF 7C 1E 8B C3 E8 ?? ?? ?? ?? 3B F8 7F 13 80 BB F9 01 00 00 00 74 06 C6 45 FD 03 EB 04 C6 45 FD 02 0F B6 45 FD 3A 83 FE 01 00 00 74 26 0F B6 45 FD 88 83 FE 01 00 00 8B C3 8B 10 FF 92 9C 00 00 00 EB 10 80 BB FB 01 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_72450_0 {
	meta:
		name = "TCustomButtonControl.MouseUp"
		size = 331
		refs = "0023 TControl.MouseUp 0042 TControl.GetClientWidth 0051 TControl.GetClientHeight 006f TActionClientItem.GetAction 0075 _Dn_TCustomAction 007a @IsClass 00f8 TCustomButtonControl.SetDown 0138 @CallDynaInst 013f TCustomButtonControl.UpdateTracking"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FD 88 55 FF 8B D8 8B 7D 08 8B 75 0C 56 57 0F B6 55 FF 0F B7 4D FD 8B C3 E8 ?? ?? ?? ?? 80 BB FA 01 00 00 00 0F 84 0F 01 00 00 C6 83 FA 01 00 00 00 85 F6 7C 1A 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 0F 85 FF 7C 0B 8B C3 E8 ?? ?? ?? ?? 3B F8 7E 04 33 C0 EB 02 B0 01 88 45 FC 8B B3 BC 01 00 00 85 F6 74 79 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 63 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 83 78 74 00 74 25 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 80 B8 9D 00 00 00 00 74 3E 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 80 78 71 00 74 2D C6 83 FE 01 00 00 00 C6 83 FB 01 00 00 00 80 7D FC 00 74 5F 0F B6 83 FE 01 00 00 04 FE 2C 02 72 52 8B C3 8B 10 FF 92 9C 00 00 00 EB 46 80 7D FC 00 74 26 0F B6 93 F9 01 00 00 80 F2 01 8B C3 E8 ?? ?? ?? ?? 80 BB F9 01 00 00 00 74 26 8B C3 8B 10 FF 92 A0 00 00 00 EB 1A 80 BB F9 01 00 00 00 74 07 C6 83 FE 01 00 00 03 8B C3 8B 10 FF 92 A0 00 00 00 80 7D FC 00 74 0B 8B C3 66 BE EC FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_72451_0 {
	meta:
		name = "TCustomButtonControl.Paint"
		size = 101
		refs = "0009 TCustomActionControl.Paint 002a TPen.SetWidth"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 75 45 8B 83 B0 01 00 00 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 51 60 54 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 75 0D 80 BB FE 01 00 00 02 74 04 33 C9 EB 02 B1 01 8B C3 5A 8B 18 FF 93 10 01 00 00 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_72452_0 {
	meta:
		name = "TCustomButtonControl.SetActionClient"
		size = 63
		refs = "000b TCustomActionControl.SetActionClient"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 68 84 C0 74 12 85 F6 74 0E 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 74 04 33 D2 EB 02 B2 01 8B C3 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_72453_0 {
	meta:
		name = "TCustomButtonControl.SetAllowAllUp"
		size = 15
	strings:
		$1 = { 3A 90 F8 01 00 00 74 06 88 90 F8 01 00 00 C3 }
	condition:
		$1
}

rule function_72454_0 {
	meta:
		name = "TCustomButtonControl.SetDown"
		size = 106
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 92 F0 00 00 00 84 C0 75 02 33 DB 3A 9E F9 01 00 00 74 49 80 BE F9 01 00 00 00 74 09 80 BE F8 01 00 00 00 74 37 88 9E F9 01 00 00 84 DB 74 1C 80 BE FE 01 00 00 00 75 0A 8B C6 8B 10 FF 92 9C 00 00 00 C6 86 FE 01 00 00 03 EB 11 C6 86 FE 01 00 00 00 8B C6 8B 10 FF 92 A0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_72455_0 {
	meta:
		name = "TCustomButtonControl.SetFlat"
		size = 23
	strings:
		$1 = { 3A 90 FD 01 00 00 74 0E 88 90 FD 01 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_72456_0 {
	meta:
		name = "TCustomButtonControl.SetSelected"
		size = 19
		refs = "0006 TCustomActionControl.SetSelected"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 FB 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_72457_0 {
	meta:
		name = "TCustomButtonControl.SetState"
		size = 23
	strings:
		$1 = { 3A 90 FE 01 00 00 74 0E 88 90 FE 01 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_72458_0 {
	meta:
		name = "TCustomButtonControl.SetBounds"
		size = 36
		refs = "0011 TControl.SetBounds"
	strings:
		$1 = { 55 8B EC 56 8B F0 8B 45 0C 50 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 B0 00 00 00 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_72459_0 {
	meta:
		name = "TCustomButtonControl.UpdateTracking"
		size = 105
		refs = "0023 GetCursorPos 002c FindDragTarget 004e TControl.Perform"
	strings:
		$1 = { 53 56 83 C4 F8 8B F0 F6 46 1C 08 75 57 80 BE FD 01 00 00 00 74 4E 8B C6 8B 10 FF 52 68 84 C0 74 43 54 E8 ?? ?? ?? ?? 8B C4 B2 01 E8 ?? ?? ?? ?? 3B F0 0F 94 C3 80 F3 01 88 9E FB 01 00 00 84 DB 74 12 6A 00 33 C9 BA 14 B0 00 00 8B C6 E8 ?? ?? ?? ?? EB 10 6A 00 33 C9 BA 13 B0 00 00 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_72460_0 {
	meta:
		name = "TCustomButtonControl.WMLButtonDblClk"
		size = 34
		refs = "0007 TControl.WMLButtonDblClk 001b @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB F9 01 00 00 00 74 0B 8B C3 66 BE EB FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72461_0 {
	meta:
		name = "TCustomButtonControl.SetGlyphLayout"
		size = 24
		refs = "0006 TCustomActionControl.SetGlyphLayout 0012 TCustomActionControl.SetSpacing"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72462_0 {
	meta:
		name = "TCustomButtonControl.DrawLargeGlyph"
		size = 85
		refs = "004a TCustomActionControl.DrawLargeGlyph"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 8B D8 8B 04 24 89 44 24 08 8B 44 24 04 89 44 24 0C F6 43 1C 10 75 1F 80 BB FE 01 00 00 02 74 0E 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 08 FF 44 24 08 FF 44 24 0C 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72463_0 {
	meta:
		name = "TCustomButtonControl.CMDialogChar"
		size = 12
		altNames = "TCustomForm.CMUIActivate"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 5E C3 }
	condition:
		$1
}

rule function_72464_0 {
	meta:
		name = "TCustomUtilityButton.Create"
		size = 142
		refs = "000e @ClassCreate 001c TCustomButtonControl.Create 003d _Dn_TTimer 0042 TTimer.Create 0053 TTimer.SetEnabled 0059 TCustomUtilityButton.OnDelay 0060 TTimer.SetOnTimer 006c TTimer.SetInterval 0079 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 1C 02 00 00 00 C7 83 00 02 00 00 02 00 00 00 C6 83 1D 02 00 00 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 08 02 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA EE 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72465_0 {
	meta:
		name = "TCustomUtilityButton.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TCustomActionControl.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 08 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72466_0 {
	meta:
		name = "TCustomUtilityButton.Click"
		size = 29
		altNames = "TWinControl.DoExit"
	strings:
		$1 = { 53 66 83 B8 12 02 00 00 00 74 10 8B D8 8B D0 8B 83 14 02 00 00 FF 93 10 02 00 00 5B C3 }
	condition:
		$1
}

rule function_72467_0 {
	meta:
		name = "TCustomUtilityButton.CMMouseEnter"
		size = 34
		refs = "0006 TCustomButtonControl.CMMouseEnter 001c TTimer.SetEnabled"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 1C 02 00 00 00 74 0D B2 01 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72468_0 {
	meta:
		name = "TCustomUtilityButton.CMMouseLeave"
		size = 25
		refs = "0006 TCustomButtonControl.CMMouseLeave 0013 TTimer.SetEnabled"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72469_0 {
	meta:
		name = "TCustomUtilityButton.DrawArrows"
		size = 302
		refs = "0037 Offset 0104 DrawArrow 0123 DrawChevron"
	strings:
		$1 = { 53 56 57 83 C4 E8 33 D2 33 C9 0F B6 98 04 02 00 00 80 EB 02 72 65 80 EB 02 0F 83 BC 00 00 00 8B 58 50 D1 FB 79 03 83 D3 00 8B B0 00 02 00 00 2B DE 83 E1 7F 03 1C 8D ?? ?? ?? ?? 8B CB 8B 78 54 D1 FF 79 03 83 D7 00 D1 FE 79 03 83 D6 00 2B FE 80 FA 02 0F 94 C2 83 E2 7F 03 3C 95 ?? ?? ?? ?? 8B D7 89 4C 24 08 89 54 24 0C 8B 54 24 08 89 14 24 8B 54 24 0C 89 54 24 04 EB 60 8B 48 50 D1 F9 79 03 83 D1 00 8B B0 00 02 00 00 8B DE D1 FB 79 03 83 D3 00 2B CB 80 FA 02 0F 94 C3 83 E3 7F 03 0C 9D ?? ?? ?? ?? 80 FA 02 0F 94 C2 83 E2 7F 8B 14 95 ?? ?? ?? ?? 8B 58 54 D1 FB 79 03 83 D3 00 2B DE 03 D3 89 4C 24 10 89 54 24 14 8B 54 24 10 89 14 24 8B 54 24 14 89 54 24 04 0F B6 90 1D 02 00 00 80 EA 01 72 04 74 21 EB 3C 8B 90 00 02 00 00 52 0F B6 90 04 02 00 00 8D 4C 24 04 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? EB 1D 8B 90 00 02 00 00 52 0F B6 90 04 02 00 00 8D 4C 24 04 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72470_0 {
	meta:
		name = "TCustomUtilityButton.MouseDown"
		size = 59
		refs = "001b TTimer.SetEnabled 0030 TCustomButtonControl.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B DA 8B F0 84 DB 75 0D 33 D2 8B 86 08 02 00 00 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B D3 0F B7 4D FE 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_72471_0 {
	meta:
		name = "TCustomUtilityButton.OnDelay"
		size = 62
		refs = "0012 TTimer.SetEnabled 002c TTimer.SetInterval 0037 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 0F B6 93 1C 02 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 80 BB 1C 02 00 00 00 74 11 8B 93 18 02 00 00 8B 83 08 02 00 00 E8 ?? ?? ?? ?? 8B C3 66 BE EC FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72472_0 {
	meta:
		name = "TCustomUtilityButton.SetArrowSize"
		size = 23
	strings:
		$1 = { 3B 90 00 02 00 00 74 0E 89 90 00 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_72473_0 {
	meta:
		name = "TCustomUtilityButton.SetArrowType"
		size = 23
	strings:
		$1 = { 3A 90 1D 02 00 00 74 0E 88 90 1D 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_72474_0 {
	meta:
		name = "TCustomUtilityButton.SetDirection"
		size = 23
	strings:
		$1 = { 3A 90 04 02 00 00 74 0E 88 90 04 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_72475_0 {
	meta:
		name = "TCustomUtilityButton.Paint"
		size = 51
		refs = "0006 TCustomButtonControl.Paint 000d TCustomActionControl.GetActionBar 0012 TCustomActionBar.GetColorMap 0023 TPen.SetColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 58 8B 83 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 14 01 00 00 5B C3 }
	condition:
		$1
}

rule function_72476_0 {
	meta:
		name = "TCustomToolScrollBtn.CalcBounds"
		size = 67
		refs = "0006 TCustomActionControl.GetActionBar 0026 TControl.SetHeight 0034 TControl.SetWidth 003d TCustomButtonControl.CalcBounds"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 2C 8B C3 E8 ?? ?? ?? ?? 0F B6 40 65 48 2C 02 73 0E BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 15 BA 0B 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72477_0 {
	meta:
		name = "TCustomToolScrollBtn.Create"
		size = 69
		refs = "000a @ClassCreate 0017 TCustomUtilityButton.Create 0022 SMoreButtons 0027 LoadResString 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 96 88 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_72478_0 {
	meta:
		name = "TCustomToolScrollBtn.DrawArrows"
		size = 460
		refs = "0073 _Dn_TCanvas 0078 TCanvas.Create 0086 TCanvas.GetHandle 0090 TCanvas.SetHandle 0098 TCustomToolScrollBtn.DrawArrows 00a3 TStyleManager.GetIsCustomStyleActive 00b7 TStyleManager.GetActiveStyle 00c1 TCustomStyleServices.GetSystemColor 00ce TPen.SetColor 0100 TCustomActionControl.GetActionBar 0105 TCustomActionBar.GetColorMap 013a _DV_TCustomActionToolBar 013f @IsClass 014a TCustomActionToolBar.GetHiddenCount 0167 DrawChevron 0190 ArrowDirection 019b DrawArrow 01ba TObject.Free 01c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 8B D8 0F B6 83 04 02 00 00 2C 02 72 2C 2C 02 73 57 8B 43 50 D1 F8 79 03 83 D0 00 2B 83 00 02 00 00 89 45 EC C7 45 F0 03 00 00 00 8B 45 EC 89 45 F8 8B 45 F0 89 45 FC EB 2F 8B 43 50 D1 F8 79 03 83 D0 00 8B 93 00 02 00 00 D1 FA 79 03 83 D2 00 2B C2 89 45 E4 C7 45 E8 03 00 00 00 8B 45 E4 89 45 F8 8B 45 E8 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 84 C0 74 47 8B C3 8B 10 FF 52 68 84 C0 74 1E E8 ?? ?? ?? ?? BA 12 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 44 E8 ?? ?? ?? ?? EB 5F E8 ?? ?? ?? ?? BA 11 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 44 E8 ?? ?? ?? ?? EB 41 8B C3 8B 10 FF 52 68 84 C0 74 1C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 58 8B 45 F4 8B 40 44 E8 ?? ?? ?? ?? EB 1A 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 50 8B 45 F4 8B 40 44 E8 ?? ?? ?? ?? 8B 73 38 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 19 8B 83 00 02 00 00 50 0F B6 93 04 02 00 00 8D 4D F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 43 50 D1 F8 79 03 83 D0 00 2B 83 00 02 00 00 89 45 DC 8B 43 54 83 E8 08 89 45 E0 6A 02 0F B6 43 65 0F B6 90 ?? ?? ?? ?? 8D 4D DC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72479_0 {
	meta:
		name = "TCustomDropDownButton.CalcBounds"
		size = 34
		refs = "0006 TCustomButtonControl.CalcBounds 001c TControl.SetWidth"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 18 01 00 00 8B D0 03 53 50 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72480_0 {
	meta:
		name = "TCustomDropDownButton.Click"
		size = 38
		refs = "0020 TCustomButtonControl.Click"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 20 01 00 00 84 C0 74 0C 8B C3 8B 10 FF 92 24 01 00 00 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72481_0 {
	meta:
		name = "TCustomDropDownButton.CMMouseleave"
		size = 19
		refs = "0006 TCustomButtonControl.CMMouseLeave"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 00 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_72482_0 {
	meta:
		name = "TCustomDropDownButton.DrawDropDownArrow"
		size = 319
		refs = "000d _Dn_TCanvas 0012 TCanvas.Create 0020 TCanvas.GetHandle 002a TCanvas.SetHandle 0032 TCustomDropDownButton.DrawDropDownArrow 003d TStyleManager.GetIsCustomStyleActive 0051 TStyleManager.GetActiveStyle 005b TCustomStyleServices.GetSystemColor 0068 TPen.SetColor 009a TCustomActionControl.GetActionBar 009f TCustomActionBar.GetColorMap 00e2 TControl.GetClientWidth 00f1 TControl.GetClientHeight 010e DrawArrow 012d TObject.Free 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 84 C0 74 47 8B C3 8B 10 FF 52 68 84 C0 74 1E E8 ?? ?? ?? ?? BA 12 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? EB 5F E8 ?? ?? ?? ?? BA 11 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? EB 41 8B C3 8B 10 FF 52 68 84 C0 74 1C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 58 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? EB 1A 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 50 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 18 01 00 00 D1 F8 79 03 83 D0 00 50 8B C3 E8 ?? ?? ?? ?? 8B F0 58 2B F0 83 EE 03 8B C3 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 48 89 75 F4 89 45 F8 6A 02 8D 4D F4 B2 03 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72483_0 {
	meta:
		name = "TCustomDropDownButton.DrawFrame"
		size = 104
		refs = "0035 TCustomButtonControl.DrawFrame"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B D9 8B F0 83 6C 24 08 09 84 DB 74 0E 8B C6 8B 10 FF 92 20 01 00 00 84 C0 74 04 33 C9 EB 02 B1 01 8B D4 8B C6 E8 ?? ?? ?? ?? 8B 44 24 08 89 04 24 83 44 24 08 09 84 DB 75 0D 80 BE 00 02 00 00 00 75 04 33 C9 EB 02 B1 01 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72484_0 {
	meta:
		name = "TCustomDropDownButton.DropDownClick"
		size = 274
		refs = "001d _Dn_TCustomActionPopupMenu 0022 @AsClass 002d TCustomDropDownButton.DropDownClick 0068 TControl.ClientToScreen 0096 TCustomButtonControl.SetFlat 009e TCustomActionControl.GetActionBar 00a3 TCustomActionBar.GetColorMap 00c4 TCustomActionPopupMenu.Popup 00eb @HandleFinally 0102 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 45 FC 8B 45 FC 8B 10 FF 92 1C 01 00 00 33 C9 B2 01 FF 50 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 BC 01 00 00 8B 45 F8 8B 08 FF 91 4C 01 00 00 8B 45 FC 8B 40 48 89 45 E8 8B 45 FC 8B 40 54 40 89 45 EC 8D 4D F0 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 89 90 30 03 00 00 8B 45 FC C6 80 00 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 91 54 01 00 00 8B 45 FC 8B 55 F0 2B 50 48 8B 4D F4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 00 02 00 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_72485_0 {
	meta:
		name = "TCustomDropDownButton.GetDropDownButtonWidth"
		size = 6
		altNames = "TEncodingInfoIsoLatin1.AliasCount TEncodingInfoIsoLatinArabic.MIBenum TEncodingInfoIsoLatinGreek.AliasCount"
	strings:
		$1 = { B8 09 00 00 00 C3 }
	condition:
		$1
}

rule function_72486_0 {
	meta:
		name = "TCustomDropDownButton.GetPopupClass"
		size = 51
		refs = "0007 TCustomActionControl.GetActionBar 0015 _Dn_TActionBarStyleEx 001a @AsClass"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 78 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 0C 5E 5B C3 }
	condition:
		$1
}

rule function_72487_0 {
	meta:
		name = "TCustomDropDownButton.MouseDown"
		size = 93
		refs = "001f TCustomButtonControl.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 8B D3 0F B7 4D FE 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 20 01 00 00 84 C0 74 07 C6 86 FE 01 00 00 00 8B C6 8B 10 FF 92 20 01 00 00 84 C0 74 04 84 DB 74 04 33 C0 EB 02 B0 01 88 86 00 02 00 00 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_72488_0 {
	meta:
		name = "TCustomDropDownButton.MouseOverDropDown"
		size = 103
		refs = "000b Mouse 0012 TMouse.GetCursorPos 001f TControl.ScreenToClient 0027 TControl.GetClientHeight 003f TControl.GetClientWidth 0054 Rect 005e PtInRect"
	strings:
		$1 = { 53 83 C4 E0 8B D8 8D 54 24 08 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 54 24 08 8B CC 8B C3 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 50 8D 44 24 18 50 8B C3 8B 10 FF 92 18 01 00 00 50 8B C3 E8 ?? ?? ?? ?? 5A 2B C2 50 8B C3 E8 ?? ?? ?? ?? 8B C8 33 D2 58 E8 ?? ?? ?? ?? 8D 44 24 14 5A E8 ?? ?? ?? ?? 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_72489_0 {
	meta:
		name = "TCustomDropDownButton.Paint"
		size = 712
		refs = "0014 TCustomDropDownButton.Paint 0029 TStyleManager.GetIsCustomStyleActive 0067 TCustomActionControl.HasGlyph 0078 TControl.DrawTextBiDiModeFlags 0087 TTextFormatFlags.&op_Implicit 00ac TBrush.SetStyle 00c2 TCustomActionControl.GetActionBar 0119 CheckedState 011f TStyleManager.GetActiveStyle 018d DisabledState 01b2 TCustomStyleServices.GetElementColor 01e1 TControl.GetText 020d @UStrCat 0228 TCanvas.GetHandle 0237 TCustomStyleServices.DrawText 0243 TCustomActionBar.HasItems 0253 TCustomActionBar.GetItems 0284 TCustomButtonControl.Paint 02a3 @UStrClr 02a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B C3 8B 08 FF 51 60 E8 ?? ?? ?? ?? 84 C0 0F 84 4C 02 00 00 8D 55 E4 8B C3 8B 08 FF 91 D0 00 00 00 0F B6 8B F9 01 00 00 8D 55 E4 8B C3 8B 30 FF 96 10 01 00 00 8B C3 8B 10 FF 92 B8 00 00 00 84 C0 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 C8 01 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 81 CE 00 01 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8D B3 E4 01 00 00 8D 7D D4 A5 A5 A5 A5 8B 83 B0 01 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 68 84 C0 0F 84 BE 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 0F 85 A7 00 00 00 80 BB FB 01 00 00 00 75 0E 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 5F 83 BB BC 01 00 00 00 74 56 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 75 0D 80 BB FE 01 00 00 02 74 04 33 C0 EB 02 B0 01 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D C8 5A 8B 30 FF 96 E8 00 00 00 80 BB FB 01 00 00 00 75 6B E8 ?? ?? ?? ?? 8D 4D C8 B2 04 8B 30 FF 96 E8 00 00 00 EB 57 80 BB 00 02 00 00 00 74 14 E8 ?? ?? ?? ?? 8D 4D C8 B2 03 8B 30 FF 96 E8 00 00 00 EB 3A E8 ?? ?? ?? ?? 8D 4D C8 B2 02 8B 30 FF 96 E8 00 00 00 EB 26 8B C3 8B 10 FF 92 EC 00 00 00 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D C8 5A 8B 30 FF 96 E8 00 00 00 8D 45 F4 50 E8 ?? ?? ?? ?? B1 02 8D 55 C8 E8 ?? ?? ?? ?? 84 C0 75 04 B0 01 EB 0A 81 7D F4 FF FF FF 1F 0F 94 C0 84 C0 74 0F 8B 83 B0 01 00 00 8B 40 40 8B 40 18 89 45 F4 8D 55 FC 8B C3 E8 ?? ?? ?? ?? F6 45 F8 02 74 26 83 7D FC 00 74 13 8B 45 FC 66 83 38 26 75 17 8B 45 FC 66 83 78 02 00 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 D4 50 8B 45 F8 50 8B 45 F4 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D C8 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 78 29 00 74 12 8D 93 C4 01 00 00 8B C3 8B 08 FF 91 C8 00 00 00 EB 19 8D 93 C4 01 00 00 8B C3 8B 08 FF 91 CC 00 00 00 EB 07 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 14 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_72490_0 {
	meta:
		name = "TCustomActionCombo.BeginAutoDrag"
		size = 18
		refs = "000c @CallDynaInst"
	strings:
		$1 = { 56 8B 80 20 03 00 00 66 BE EE FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_72491_0 {
	meta:
		name = "TCustomActionCombo.DesignWndProc"
		size = 24
		refs = "0006 TControl.DesignWndProc"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 8B 13 81 EA 01 02 00 00 75 02 B0 01 5B C3 }
	condition:
		$1
}

rule function_72492_0 {
	meta:
		name = "TCustomActionCombo.DragDrop"
		size = 37
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 45 08 50 8B D7 8B 86 20 03 00 00 8B 18 FF 93 B4 00 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_72493_0 {
	meta:
		name = "TCustomActionCombo.DragOver"
		size = 121
		refs = "0023 TControl.DragOver 003a _Dn_TActionDragObject 003f @IsClass 004b _Dn_TActionItemDragObject 005c _Dn_TCategoryDragObject"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F0 8B 7D 08 8B 45 10 50 0F B6 45 0C 50 57 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 86 20 03 00 00 83 B8 BC 01 00 00 00 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 26 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 15 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 07 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_72494_0 {
	meta:
		name = "TCustomComboControl.Create"
		size = 150
		refs = "000e @ClassCreate 001c TCustomActionControl.Create 0025 _DV_TCustomActionCombo 002a TCustomComboBoxEx.Create 003b TWinControl.SetTabStop 004b TControl.SetWidth 0061 TCustomComboControl.ComboClick 0081 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F8 01 00 00 8B C6 33 D2 E8 ?? ?? ?? ?? 8B 83 F8 01 00 00 BA 64 00 00 00 E8 ?? ?? ?? ?? 8B 83 F8 01 00 00 89 98 1C 01 00 00 C7 80 18 01 00 00 ?? ?? ?? ?? 89 98 20 03 00 00 F6 40 1C 10 74 07 B2 01 8B 08 FF 51 7C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72495_0 {
	meta:
		name = "TCustomComboControl.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TCustomActionControl.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 F8 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72496_0 {
	meta:
		name = "TCustomComboControl.CalcBounds"
		size = 78
		refs = "0006 TCustomActionControl.CalcBounds 0011 TWinControl.HandleAllocated 0036 TControl.SetWidth"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 33 8B C3 8B 10 FF 92 B8 00 00 00 84 C0 74 15 8B 83 F8 01 00 00 8B 50 50 03 53 50 8B C3 E8 ?? ?? ?? ?? EB 10 8B 83 F8 01 00 00 8B 50 50 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72497_0 {
	meta:
		name = "TCustomComboControl.Click"
		size = 30
		refs = "0018 TCustomActionControl.Click"
		altNames = "TRibbonCustomControl.Click"
	strings:
		$1 = { 53 8B D8 F6 43 1C 10 74 0C B2 01 8B C3 8B 08 FF 91 04 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72498_0 {
	meta:
		name = "TCustomComboControl.CMVisiblechanged"
		size = 27
		refs = "0006 TControl.CMVisibleChanged 0015 TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 53 61 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72499_0 {
	meta:
		name = "TCustomComboControl.ComboClick"
		size = 48
		refs = "0007 TCustomActionControl.GetActionBar 0029 @CallDynaInst"
		altNames = "TRibbonComboControl.ComboClick"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1E 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 0B 8B C3 66 BE EC FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72500_0 {
	meta:
		name = "TCustomActionCombo.ComboWndProc"
		size = 57
		refs = "000f TControl.GetDragMode 002e TCustomCombo.ComboWndProc"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 01 75 0C 8B 06 05 00 FF FF FF 83 E8 0A 72 0F 8B 45 08 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_72501_0 {
	meta:
		name = "TCustomComboControl.Paint"
		size = 49
		refs = "0007 TCustomActionControl.Paint 0018 TWinControl.HandleAllocated"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 9E F8 01 00 00 85 DB 74 19 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 86 F8 01 00 00 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_72502_0 {
	meta:
		name = "TCustomComboControl.SetActionClient"
		size = 68
		refs = "000c TCustomActionControl.SetActionClient 0024 TActionClientItem.GetAction 003c TControl.SetAction"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 F6 74 2C 8B 83 F8 01 00 00 8B 10 FF 52 58 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 74 14 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 F8 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72503_0 {
	meta:
		name = "TCustomComboControl.SetBounds"
		size = 156
		refs = "0017 TControl.SetBounds"
	strings:
		$1 = { 55 8B EC 53 56 57 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 86 F8 01 00 00 85 C0 74 66 8B 7E 54 D1 FF 79 03 83 D7 00 03 7E 4C 8B 40 54 D1 F8 79 03 83 D0 00 2B F8 8B C6 8B 10 FF 92 B8 00 00 00 84 C0 74 25 8B 86 F8 01 00 00 8B 50 50 52 8B 50 54 52 8B D3 03 96 EC 01 00 00 83 C2 05 8B CF 8B 18 FF 93 A4 00 00 00 EB 1A 8B 56 50 52 8B 86 F8 01 00 00 8B 50 54 52 8B CF 8B D3 8B 18 FF 93 A4 00 00 00 8B C6 8B 10 FF 92 B0 00 00 00 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_72504_0 {
	meta:
		name = "TCustomComboControl.SetDragMode"
		size = 31
		refs = "000b TControl.SetDragMode"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 86 F8 01 00 00 8B 08 FF 51 7C 5E 5B C3 }
	condition:
		$1
}

rule function_72505_0 {
	meta:
		name = "TCustomComboControl.SetParent"
		size = 38
		refs = "001f TControl.SetParent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 F8 01 00 00 85 C0 74 0A 8B D6 8B 08 FF 91 84 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72507_0 {
	meta:
		name = "TCustomActionDockBar.Create"
		size = 117
		refs = "000a @ClassCreate 0017 TCustomActionBar.Create 0020 TControl.SetAlign 0062 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 93 00 00 00 01 C6 86 F8 02 00 00 00 33 C0 89 86 00 03 00 00 C6 86 F0 02 00 00 00 C7 86 FC 02 00 00 7D 00 00 00 33 C0 89 86 08 03 00 00 33 C0 89 86 0C 03 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_72508_0 {
	meta:
		name = "TCustomActionDockBar.CalcDockedWidth"
		size = 59
		refs = "0010 TCustomActionBar.FindFirstVisibleItem 002b TCustomActionBar.FindNextVisibleItem"
	strings:
		$1 = { 53 56 57 8B F0 8B BE C8 02 00 00 03 FF 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1B 8B 43 44 03 78 50 03 BE 98 02 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E5 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72509_0 {
	meta:
		name = "TCustomActionDockBar.CustomAlignPosition"
		size = 417
		refs = "0020 TCustomActionDockBar.ScrollButtonsVisible 0041 TCustomActionBar.CustomAlignPosition 004e _Dn_TCustomActionControl 0053 @IsClass 0068 TControl.GetClientHeight 0087 TControl.GetClientWidth 00af Rect 0112 TCustomActionBar.GetItems"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B 75 08 8D 7D EC A5 A5 A5 A5 89 4D FC 8B FA 8B D8 8B 75 0C 8B C3 E8 ?? ?? ?? ?? 84 C0 75 22 8B 45 18 50 8B 45 14 50 8B 45 10 50 56 8D 45 EC 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? E9 4E 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 39 01 00 00 83 7D F0 00 75 76 8B C3 E8 ?? ?? ?? ?? 2B 83 C4 02 00 00 50 8D 45 DC 50 B2 01 8B C3 8B 08 FF 91 20 01 00 00 50 8B C3 E8 ?? ?? ?? ?? 2B 83 C4 02 00 00 5A 2B C2 50 33 D2 8B C3 8B 08 FF 91 20 01 00 00 03 83 C8 02 00 00 8B 93 C4 02 00 00 59 E8 ?? ?? ?? ?? 56 57 8B FE 8D 75 DC A5 A5 A5 A5 5F 5E 83 BB 00 03 00 00 00 7E 12 8B 83 0C 03 00 00 8B 40 54 03 83 98 02 00 00 01 46 04 8B 45 F0 3B 83 00 03 00 00 0F 8C A5 00 00 00 8B 46 04 8B 55 18 89 02 8B C3 E8 ?? ?? ?? ?? 2B 83 C4 02 00 00 8B 55 18 8B 12 03 57 54 3B C2 7D 04 B0 01 EB 3A 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 48 3B 45 F0 74 25 8B C3 E8 ?? ?? ?? ?? 2B 83 C4 02 00 00 8B 93 08 03 00 00 2B 42 54 8B 55 18 8B 12 03 57 54 3B C2 0F 9C C0 EB 02 33 C0 84 C0 74 0B 8B 45 18 C7 00 01 00 00 80 EB 1A 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 48 3B 45 F0 0F 94 C0 88 83 F8 02 00 00 8B 06 8B 55 FC 89 02 8B 46 08 8B 55 14 89 02 8B 47 54 03 83 98 02 00 00 01 46 04 EB 09 8B 45 18 C7 00 01 00 00 80 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_72510_0 {
	meta:
		name = "TCustomActionDockBar.Dock"
		size = 136
		refs = "0015 TControl.Dock 0031 TActionBarItem.SetAutoSize 0075 TControl.SetWidth 007e TControl.SetHeight"
	strings:
		$1 = { 56 57 83 C4 F0 8B F1 8D 3C 24 A5 A5 A5 A5 8B F0 8B CC 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 6C 84 C0 74 1C 8B 86 80 02 00 00 85 C0 74 07 B2 01 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 7C EB 42 33 D2 8B C6 8B 08 FF 51 7C 8B 86 80 02 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 94 01 00 00 8B 96 C8 02 00 00 03 D2 3B C2 74 09 8B D0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_72511_0 {
	meta:
		name = "TCustomActionDockBar.CreateControls"
		size = 46
		refs = "0006 TCustomActionBar.CreateControls"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB F0 02 00 00 00 74 09 80 BB 97 02 00 00 02 74 04 33 D2 EB 02 B2 01 8B C3 8B 08 FF 91 8C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_72512_0 {
	meta:
		name = "TCustomActionDockBar.CreateScrollButtons"
		size = 343
		refs = "0014 TObject.Free 0037 _Dn_TActionBarStyleEx 003c @AsClass 006d TControl.SetAlign 007d TControl.SetHeight 009a TCustomUtilityButton.SetDirection 00b3 TControl.SetVisible 00c9 TCustomActionDockBar.ScrollDownClickHandler 014f TCustomActionDockBar.ScrollUpClickHandler"
	strings:
		$1 = { 53 56 57 8B D8 8D 83 08 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 83 0C 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 78 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 14 8B F0 8B CB B2 01 8B C6 FF 50 38 8B F8 89 BB 08 03 00 00 8B D3 8B C7 8B 08 FF 91 84 00 00 00 B2 02 8B 83 08 03 00 00 E8 ?? ?? ?? ?? BA 0D 00 00 00 8B 83 08 03 00 00 E8 ?? ?? ?? ?? 83 BB FC 02 00 00 00 0F 9F C2 8B 83 08 03 00 00 88 90 1C 02 00 00 B2 03 E8 ?? ?? ?? ?? 8B 83 08 03 00 00 8B 93 FC 02 00 00 89 90 18 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 83 08 03 00 00 89 98 14 02 00 00 C7 80 10 02 00 00 ?? ?? ?? ?? 8B CB B2 01 8B C6 FF 50 38 8B F8 89 BB 0C 03 00 00 8B D3 8B C7 8B 08 FF 91 84 00 00 00 B2 01 8B 83 0C 03 00 00 E8 ?? ?? ?? ?? BA 0D 00 00 00 8B 83 0C 03 00 00 E8 ?? ?? ?? ?? 83 BB FC 02 00 00 00 0F 9F C2 8B 83 0C 03 00 00 88 90 1C 02 00 00 B2 02 E8 ?? ?? ?? ?? 8B 83 0C 03 00 00 8B 93 FC 02 00 00 89 90 18 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 83 0C 03 00 00 89 98 14 02 00 00 C7 80 10 02 00 00 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72513_0 {
	meta:
		name = "TCustomActionDockBar.DoEndDock"
		size = 41
		refs = "000d TControl.DoEndDock 0018 TObject.Free"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 F4 02 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_72514_0 {
	meta:
		name = "TCustomActionDockBar.DoStartDock"
		size = 44
		refs = "000c TControl.DoStartDock 0015 _Dn_TToolDockObject 001a TToolDockObject.Create"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 BB F4 02 00 00 89 3E 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72515_0 {
	meta:
		name = "TCustomActionDockBar.DoScrollDown"
		size = 22
		refs = "0011 TCustomActionDockBar.SetVisibleIndex"
	strings:
		$1 = { 80 B8 F8 02 00 00 00 75 0C 8B 90 00 03 00 00 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72516_0 {
	meta:
		name = "TCustomActionDockBar.DoScrollUp"
		size = 13
		refs = "0008 TCustomActionDockBar.SetVisibleIndex"
	strings:
		$1 = { 8B 90 00 03 00 00 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72517_0 {
	meta:
		name = "TCustomActionDockBar.GetSiteInfo"
		size = 96
		refs = "0024 TWinControl.GetSiteInfo 0031 _Dn_TCustomActionControl 0036 @IsClass 0042 _Dn_TSpeedButton"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B 75 0C 8D 7D F4 A5 A5 89 4D FC 8B F2 8B 5D 08 8D 55 F4 52 53 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 80 3B 00 74 22 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 15 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 03 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_72518_0 {
	meta:
		name = "TCustomActionDockBar.Loaded"
		size = 53
		refs = "0008 TWinControl.GetControlCount 001b TWinControl.GetControl 0022 TControl.SetHostDockSite 002d TCustomActionBar.Loaded"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 17 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 47 4E 75 EC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72519_0 {
	meta:
		name = "TCustomActionDockBar.MakeLastItemVisible"
		size = 86
		refs = "000c @DynArrayHigh 0015 TCustomActionBar.GetItems 001c TActionClients.GetActionClient 0035 TControl.GetClientHeight 004e TCustomActionDockBar.SetVisibleIndex"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 04 03 00 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 44 8B 78 54 8B 83 04 03 00 00 03 3C B0 EB 01 4E 8B C3 E8 ?? ?? ?? ?? 8B 93 04 03 00 00 8B CF 2B 0C B2 3B C1 7F E9 8D 56 01 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72520_0 {
	meta:
		name = "TCustomActionDockBar.GenerateControlHeightLookup"
		size = 174
		refs = "0009 TCustomActionBar.HasItems 0018 TCustomActionBar.GetItems 0030 :TCustomActionDockBar.:1 0035 @DynArraySetLength 005f TActionClients.GetActionClient"
	strings:
		$1 = { 53 56 57 55 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 94 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 70 08 56 8D 83 04 03 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 ED 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 40 47 33 F6 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 83 78 44 00 74 25 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 44 8B 40 54 8B 93 04 03 00 00 89 2C B2 03 83 98 02 00 00 03 E8 46 4F 75 C3 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B 93 04 03 00 00 89 6C 82 FC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72522_0 {
	meta:
		name = "TCustomActionDockBar.Resize"
		size = 31
		refs = "0006 TCustomActionBar.Resize 000f TWinControl.AlignControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 33 D2 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 90 01 00 00 5B C3 }
	condition:
		$1
}

rule function_72523_0 {
	meta:
		name = "TCustomActionDockBar.ScrollButtonsVisible"
		size = 48
	strings:
		$1 = { 83 B8 08 03 00 00 00 74 21 83 B8 0C 03 00 00 00 74 18 8B 90 08 03 00 00 80 7A 61 00 75 0F 8B 80 0C 03 00 00 80 78 61 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_72524_0 {
	meta:
		name = "TCustomActionDockBar.ScrollDownClickHandler"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 80 01 00 00 C3 }
	condition:
		$1
}

rule function_72525_0 {
	meta:
		name = "TCustomActionDockBar.ScrollUpClickHandler"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 84 01 00 00 C3 }
	condition:
		$1
}

rule function_72526_0 {
	meta:
		name = "TCustomActionDockBar.SetAllowScrolling"
		size = 53
	strings:
		$1 = { 56 8B F0 3A 96 F0 02 00 00 74 28 88 96 F0 02 00 00 80 BE F0 02 00 00 00 74 09 80 BE 97 02 00 00 02 74 04 33 D2 EB 02 B2 01 8B C6 8B 08 FF 91 8C 01 00 00 5E C3 }
	condition:
		$1
}

rule function_72527_0 {
	meta:
		name = "TCustomActionDockBar.SetOrientation"
		size = 46
		refs = "0006 TCustomActionBar.SetOrientation"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 80 BE F0 02 00 00 00 74 09 80 BE 97 02 00 00 02 74 04 33 D2 EB 02 B2 01 8B C6 8B 08 FF 91 8C 01 00 00 5E C3 }
	condition:
		$1
}

rule function_72528_0 {
	meta:
		name = "TCustomActionDockBar.SetupScrolling"
		size = 106
		refs = "0036 :TCustomActionDockBar.:1 003b @DynArraySetLength 0051 TObject.Free"
	strings:
		$1 = { 56 8B F0 84 D2 74 20 8B C6 8B 10 FF 92 7C 01 00 00 8B C6 8B 10 FF 92 88 01 00 00 8B C6 8B 10 FF 92 90 01 00 00 5E C3 6A 00 8D 86 04 03 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 86 0C 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 08 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_72529_0 {
	meta:
		name = "TCustomActionDockBar.SetVisibleIndex"
		size = 38
		refs = "0016 TWinControl.AlignControl"
	strings:
		$1 = { 56 8B F0 3B 96 00 03 00 00 74 19 89 96 00 03 00 00 8B C6 33 D2 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 90 01 00 00 5E C3 }
	condition:
		$1
}

rule function_72530_0 {
	meta:
		name = "TCustomActionDockBar.ShowScrollButtons"
		size = 154
		refs = "0007 TCustomActionBar.GetItems 001a @DynArrayHigh 007e TControl.SetVisible"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 84 00 00 00 8B 83 04 03 00 00 E8 ?? ?? ?? ?? 40 7E 76 8B 83 04 03 00 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 48 3B F0 75 57 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B 93 04 03 00 00 8B 44 82 FC 8B 93 C4 02 00 00 03 D2 8B 4B 54 2B CA 3B C1 7E 09 80 BB F8 02 00 00 00 74 04 33 D2 EB 02 B2 01 8B 83 08 03 00 00 E8 ?? ?? ?? ?? 83 BB 00 03 00 00 00 0F 9F C2 8B 83 0C 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72531_0 {
	meta:
		name = "TCustomActionToolBar.Create"
		size = 140
		refs = "000a @ClassCreate 0017 TCustomActionDockBar.Create 0020 TControl.SetAlign 002c TControl.SetHeight 0038 TCustomActionBar.SetHorzMargin 003f TCustomActionToolBar.Create 0046 TToolWindow.SetEdgeBorders 004f TToolWindow.SetEdgeInner 0058 TToolWindow.SetEdgeOuter 0061 TCustomActionBar.SetHorzSeparator 006a TCustomActionBar.SetVertSeparator 0075 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? BA 1D 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_72532_0 {
	meta:
		name = "TCustomActionToolBar.Destroy"
		size = 75
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0039 TCustomActionBar.Destroy 0044 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 1C 03 00 00 E8 ?? ?? ?? ?? 83 BE 24 03 00 00 00 74 13 8D 86 24 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72533_0 {
	meta:
		name = "TCustomActionToolBar.AutoSizingChanged"
		size = 174
		refs = "0009 TCustomActionBar.AutoSizingChanged 0010 TCustomActionBar.GetAutoSizing 003b TControl.SetVisible 004c TOrderedList.Count 0063 TObject.Free 00a5 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 27 8B C3 8B 10 FF 92 A8 01 00 00 E9 82 00 00 00 8B B3 1C 03 00 00 8B C6 8B 10 FF 52 04 8B F8 B2 01 8B C7 E8 ?? ?? ?? ?? 8B AB 1C 03 00 00 85 ED 74 0B 8B C5 E8 ?? ?? ?? ?? 85 C0 7F D3 8D 83 1C 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 2C 01 00 00 84 C0 75 15 8D 83 24 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? EB 14 8B 83 24 03 00 00 85 C0 74 0A 33 D2 8B 08 FF 91 80 00 00 00 8B C3 66 BE D0 FF E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72534_0 {
	meta:
		name = "TCustomActionToolBar.CalcButtonWidth"
		size = 72
	strings:
		$1 = { 53 56 57 55 8B F8 83 CD FF 8B C7 8B 10 FF 92 3C 01 00 00 8B F0 4E 85 F6 7C 27 46 33 DB 8B D3 8B C7 8B 08 FF 91 30 01 00 00 3B 68 50 7D 0F 8B D3 8B C7 8B 08 FF 91 30 01 00 00 8B 68 50 43 4E 75 DC 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72535_0 {
	meta:
		name = "TCustomActionToolBar.CalcDockedWidth"
		size = 25
		refs = "0006 TCustomActionDockBar.CalcDockedWidth"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 93 24 03 00 00 85 D2 74 03 03 42 50 5B C3 }
	condition:
		$1
}

rule function_72536_0 {
	meta:
		name = "TCustomActionToolBar.CreateControl"
		size = 122
		refs = "000a TCustomActionBar.CreateControl 001c TCustomActionControl.SetSpacing 0037 Rect 0040 TCustomActionControl.SetMargins 0063 TActionClient.GetItems 006e TCustomActionControl.SetSmallIcon"
	strings:
		$1 = { 56 57 83 C4 F0 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 5E BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 6A 04 8D 44 24 04 50 B9 04 00 00 00 BA 04 00 00 00 B8 04 00 00 00 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? 8B 87 80 02 00 00 85 C0 74 24 0F B6 50 3D 8B C6 8B 08 FF 91 00 01 00 00 8B 87 80 02 00 00 E8 ?? ?? ?? ?? 0F B6 50 29 8B C6 E8 ?? ?? ?? ?? 8B C6 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_72537_0 {
	meta:
		name = "TCustomActionToolBar.CreateControls"
		size = 41
		refs = "0012 TObject.Free 0023 TCustomActionDockBar.CreateControls"
	strings:
		$1 = { 53 8B D8 8D 83 24 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A8 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72538_0 {
	meta:
		name = "TCustomActionToolBar.DisableHiding"
		size = 7
	strings:
		$1 = { FF 80 10 03 00 00 C3 }
	condition:
		$1
}

rule function_72539_0 {
	meta:
		name = "TCustomActionBar.GetControlClass"
		size = 27
		altNames = "TCustomActionToolBar.GetControlClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 78 01 00 00 8B CE 8B D3 8B 18 FF 13 5E 5B C3 }
	condition:
		$1
}

rule function_72540_0 {
	meta:
		name = "TCustomActionToolBar.DoDropCategory"
		size = 132
		refs = "0022 TCustomActionBar.FindNearestControl 003a TCollectionItem.GetIndex 0045 TActionDragObject.GetActionCount 0059 TActionDragObject.GetAction 0065 TActionClient.GetItems 006d TCollection.Insert 0073 TActionClientItem.SetAction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B F8 33 C0 89 45 F8 89 4D F0 8B 45 08 89 45 F4 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 85 C0 74 17 83 B8 BC 01 00 00 00 74 0E 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2B 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 50 8B 87 80 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 46 4B 75 D8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72541_0 {
	meta:
		name = "TCustomActionToolBar.DoScrollBtnClick"
		size = 628
		refs = "0016 TActionClient.GetItems 001f _Dn_TCustomizeActionClientItem 0024 TActionClientItem.Create 0071 TActionClients.GetActionClient 007c TList.IndexOf 008c TActionClients.Add 0095 TCustomActionToolBar.DoScrollBtnClick 00c4 TActionClientItem.SetUsageCount 00fc _Dn_TCustomizeActionToolBar 0101 @AsClass 010b TCustomActionBar.GetColorMap 0164 TWinControl.AlignControl 01ab TControl.ClientToScreen 0217 TCustomActionPopupMenu.Popup 0232 TObject.Free 025c @CallDynaInst 0262 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 45 FC 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 8B 45 F8 8B 08 FF 51 2C 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 7C 46 33 DB 8B 45 FC 8B B8 1C 03 00 00 85 FF 74 68 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 50 44 8B 47 04 E8 ?? ?? ?? ?? 40 74 45 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 0F B6 15 ?? ?? ?? ?? 8B C7 8B 08 FF 51 24 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 08 83 CA FF 8B C7 E8 ?? ?? ?? ?? 43 4E 75 87 8B 45 FC 8B 10 FF 92 A0 01 00 00 8B 4D FC B2 01 FF 50 38 8B D8 8B 45 FC 89 98 20 03 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 54 01 00 00 8B 45 FC 8B 80 20 03 00 00 89 83 44 03 00 00 8B 45 FC 8B 80 24 03 00 00 89 83 30 03 00 00 8B 55 FC 8B C3 8B 08 FF 91 84 00 00 00 8B 55 F8 8B C3 8B 08 FF 91 4C 01 00 00 B2 01 8B C3 8B 08 FF 91 B4 01 00 00 8B C3 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 80 97 02 00 00 2C 02 72 63 74 39 FE C8 0F 85 8E 00 00 00 8B 45 FC 8B 80 24 03 00 00 8B 50 48 89 55 E8 8B 40 4C 8B 55 FC 8B 92 20 03 00 00 2B 42 54 89 45 EC 8D 4D F0 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? EB 5D 8B 45 FC 8B 80 24 03 00 00 8B 50 48 89 55 E0 8B 50 4C 03 50 54 89 55 E4 8D 4D F0 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? EB 35 8B 45 FC 8B 80 24 03 00 00 8B 50 48 8B 4D FC 8B 89 20 03 00 00 2B 51 50 03 50 50 89 55 D8 8B 50 4C 03 50 54 89 55 DC 8D 4D F0 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 20 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 20 03 00 00 8B 45 F8 8B 40 44 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 66 BE D0 FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5F 5E 5B 8B E5 5D C3 00 07 00 00 00 }
	condition:
		$1
}

rule function_72542_0 {
	meta:
		name = "TCustomActionToolBar.DrawBackground"
		size = 410
		refs = "000a TStyleManager.GetActiveStyle 001d TCustomStyleServices.GetIsSystemStyle 0030 TCustomStyleServices.GetSystemColor 0040 TBrush.SetColor 0061 TCustomActionBar.DrawBackground 007a TCustomActionBar.GetAutoSizing"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B F0 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 47 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 39 E8 ?? ?? ?? ?? BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 86 8C 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 54 24 04 8B C6 8B 08 FF 51 60 8D 54 24 04 8B 86 8C 02 00 00 8B 08 FF 51 54 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 3C 01 00 00 85 C0 0F 84 1B 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 0C 01 00 00 8B C6 8B 10 FF 92 70 01 00 00 8B F8 8B C6 8B 10 FF 92 14 01 00 00 8B D8 85 FF 0F 84 EC 00 00 00 85 DB 0F 84 E4 00 00 00 83 7F 44 00 0F 84 DA 00 00 00 83 7B 44 00 0F 84 D0 00 00 00 8B 47 44 8B 40 4C 8B 53 44 3B 42 4C 0F 84 BE 00 00 00 80 BE CC 02 00 00 00 74 55 0F B6 86 97 02 00 00 2C 02 73 4A 8B BE C0 02 00 00 4F 85 FF 7E 3F C7 04 24 01 00 00 00 8B 86 C4 02 00 00 03 C0 8B D0 8B 4B 44 03 51 54 83 C0 02 8B 4B 44 03 41 54 8B 0C 24 49 0F AF C1 03 D0 42 B9 02 00 00 00 8B C6 8B 28 FF 95 98 01 00 00 FF 04 24 4F 75 C8 80 BE D8 02 00 00 00 74 57 0F B6 86 97 02 00 00 04 FE 2C 02 73 4A 8B BE BC 02 00 00 4F 85 FF 7E 3F C7 04 24 01 00 00 00 8B 86 C8 02 00 00 03 C0 8B D0 8B 4B 44 03 51 50 83 C0 02 8B 4B 44 03 41 50 8B 0C 24 49 0F AF C1 03 D0 42 B9 02 00 00 00 8B C6 8B 28 FF 95 98 01 00 00 FF 04 24 4F 75 C8 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72543_0 {
	meta:
		name = "TCustomActionToolBar.DrawSeparator"
		size = 467
		refs = "003a TControl.GetClientHeight 0093 TControl.GetClientWidth 00c3 TPen.SetWidth 00c8 TStyleManager.GetActiveStyle 00db TCustomStyleServices.GetIsSystemStyle 00f4 TCustomStyleServices.GetSystemColor 00fe TPen.SetColor 0107 TCustomActionBar.GetColorMap 017a TCustomActionBarColorMap.GetUnusedColor"
	strings:
		$1 = { 53 56 57 55 83 C4 D0 8B F9 8B DA 8B F0 0F B6 86 97 02 00 00 04 FE 2C 02 73 41 8B EB 4D 89 6C 24 10 8B C7 48 89 44 24 14 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 8B C6 E8 ?? ?? ?? ?? 2B C7 40 89 6C 24 18 89 44 24 1C 8B 44 24 18 89 44 24 08 8B 44 24 1C 89 44 24 0C EB 59 33 D2 8B C6 8B 08 FF 91 20 01 00 00 03 C7 89 44 24 20 8B EB 4D 89 6C 24 24 8B 44 24 20 89 04 24 8B 44 24 24 89 44 24 04 B2 01 8B C6 8B 08 FF 91 20 01 00 00 50 8B C6 E8 ?? ?? ?? ?? 2B C7 5A 2B C2 89 44 24 28 89 6C 24 2C 8B 44 24 28 89 44 24 08 8B 44 24 2C 89 44 24 0C 8B 9E 8C 02 00 00 BA 01 00 00 00 8B 43 44 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 EB 02 33 C0 84 C0 74 1B E8 ?? ?? ?? ?? BA 10 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 43 44 E8 ?? ?? ?? ?? EB 12 8B C6 E8 ?? ?? ?? ?? 8B 50 60 8B 43 44 E8 ?? ?? ?? ?? 8B 4C 24 04 8B 3C 24 8B D7 8B C3 8B 28 FF 55 64 8B 4C 24 0C 8B 54 24 08 8B C3 8B 28 FF 55 60 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 EB 02 33 C0 84 C0 74 1B E8 ?? ?? ?? ?? BA 14 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 43 44 E8 ?? ?? ?? ?? EB 16 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 44 E8 ?? ?? ?? ?? 3B 7C 24 08 75 1F 8B F7 46 8B D6 8B 4C 24 04 8B C3 8B 38 FF 57 64 8B D6 8B 4C 24 0C 8B C3 8B 18 FF 53 60 EB 1E 8B 4C 24 04 41 8B D7 8B C3 8B 30 FF 56 64 8B 4C 24 0C 41 8B 54 24 08 8B C3 8B 18 FF 53 60 83 C4 30 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72544_0 {
	meta:
		name = "TCustomActionToolBar.EnableHiding"
		size = 30
		refs = "0019 TCustomActionToolBar.HideUnusedItems"
	strings:
		$1 = { 83 B8 10 03 00 00 00 7E 14 FF 88 10 03 00 00 83 B8 10 03 00 00 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72545_0 {
	meta:
		name = "TCustomActionToolBar.GetHiddenCount"
		size = 24
		refs = "000f TOrderedList.Count"
	strings:
		$1 = { 33 D2 8B 88 1C 03 00 00 85 C9 74 09 8B C1 E8 ?? ?? ?? ?? 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_72546_0 {
	meta:
		name = "HideItem"
		size = 525
		refs = "004a TControl.GetBoundsRect 0101 TControl.GetClientWidth 01bf TControl.GetClientHeight"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B D8 33 C0 85 DB 0F 84 F3 01 00 00 8B 55 08 8B 52 FC 3B 93 BC 01 00 00 0F 85 9A 00 00 00 8B 55 08 8B 52 F8 0F B6 92 97 02 00 00 80 EA 01 72 0C 74 22 FE CA 74 4E FE CA 74 32 EB 5E 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 08 3B 42 E8 0F 9D C0 EB 46 8B 55 08 8B 52 F0 8B 45 08 8B 40 E8 2B D0 03 D0 3B 53 48 0F 9D C0 EB 2E 8B 55 08 8B 52 F4 8B 45 08 8B 40 EC 2B D0 03 D0 3B 53 4C 0F 9D C0 EB 16 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 08 3B 42 EC 0F 9D C0 84 C0 74 0C 8B 83 BC 01 00 00 80 78 30 00 75 07 33 C0 E9 4E 01 00 00 B0 01 E9 47 01 00 00 8B 55 08 8B 52 F8 0F B6 92 97 02 00 00 80 EA 01 72 17 74 7D FE CA 0F 84 DC 00 00 00 FE CA 0F 84 A2 00 00 00 E9 1E 01 00 00 8B 45 08 8B 40 F8 B2 01 8B 08 FF 91 20 01 00 00 50 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 40 F8 2B B0 C8 02 00 00 58 2B F0 8B 45 08 8B 40 F0 8B 55 08 2B 42 E8 2B F0 8D 55 F0 8B 45 08 8B 40 FC 8B 40 44 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 08 8B 52 F8 03 82 98 02 00 00 03 43 50 3B F0 0F 9C C0 E9 B6 00 00 00 8B 55 08 8B 52 FC 8B 52 44 8B 52 48 8B 4D 08 8B 49 F8 2B 91 98 02 00 00 8B 4D 08 8B 49 F0 8B 45 08 8B 40 E8 2B C8 03 C8 2B D1 3B 53 50 0F 9C C0 E9 81 00 00 00 8B 55 08 8B 52 FC 8B 52 44 8B 52 4C 8B 4D 08 8B 49 F8 2B 91 98 02 00 00 8B 4D 08 8B 49 F4 8B 45 08 8B 40 EC 2B C8 03 C8 2B D1 3B 53 54 0F 9C C0 EB 4F 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 40 F8 2B B0 98 02 00 00 8B 45 08 8B 40 F8 2B B0 C4 02 00 00 8B 45 08 8B 40 F4 8B 55 08 2B 42 EC 2B F0 8D 55 F0 8B 45 08 8B 40 FC 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 03 43 54 3B F0 0F 9C C0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72547_0 {
	meta:
		name = "TCustomActionToolBar.HideUnusedItems"
		size = 572
		refs = "000f TCustomActionBar.GetAutoSizing 003e TControl.GetBoundsRect 0051 Rect 0059 TCustomActionBar.FindLastVisibleItem 0072 HideItem 0089 TActionClient.GetItems 0099 TCustomActionBar.FindLeastUsedItem 00ba TCustomActionBar.FindFirstVisibleItem 00d6 _DV_TItemsStack 00db TOrderedList.Create 0104 TCustomActionToolBar.HideUnusedItems 0118 TOrderedList.Push 0122 TControl.SetVisible 013f TOrderedList.Count 01e9 TObject.Free 0207 TCustomActionToolBar.GetHiddenCount"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 16 02 00 00 8B 45 F8 83 B8 10 03 00 00 00 0F 8F 06 02 00 00 8B 45 F8 8B 98 24 03 00 00 85 DB 74 0C 8D 55 E8 8B C3 E8 ?? ?? ?? ?? EB 11 6A 00 8D 45 E8 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 84 83 01 00 00 55 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? 59 84 C0 0F 84 AC 00 00 00 8B 45 F8 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 80 78 2A 00 74 0E B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 EB 03 8B 5D FC 85 DB 0F 84 41 01 00 00 80 7B 30 00 0F 84 37 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 3B 45 FC 0F 84 26 01 00 00 8B 45 F8 83 B8 1C 03 00 00 00 75 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 82 1C 03 00 00 8B 45 F8 8B 10 FF 92 A8 01 00 00 8B 45 F8 F6 40 1C 10 74 0F 8B 73 44 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 8B 45 F8 8B 80 1C 03 00 00 8B 53 44 E8 ?? ?? ?? ?? 33 D2 8B 43 44 E8 ?? ?? ?? ?? E9 C2 00 00 00 8B 45 F8 8B 98 1C 03 00 00 85 DB 0F 84 B1 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E A2 00 00 00 8B 45 F8 8B 80 1C 03 00 00 8B 10 FF 52 08 8B D8 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 0F 85 81 00 00 00 8B 45 F8 F6 40 1C 10 74 1C 8B 45 F8 8B 80 1C 03 00 00 8B 10 FF 52 08 8B D8 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 8B 45 F8 8B 80 1C 03 00 00 8B 10 FF 52 08 8B 80 BC 01 00 00 80 78 30 00 74 15 8B 45 F8 8B 80 1C 03 00 00 8B 10 FF 52 04 B2 01 E8 ?? ?? ?? ?? 8B 45 F8 8B 98 1C 03 00 00 85 DB 74 20 8B C3 E8 ?? ?? ?? ?? 85 C0 75 15 8B 45 F8 05 1C 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 F8 8B 98 24 03 00 00 85 DB 74 37 8B 45 F8 F6 40 1C 10 75 1E 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7F 16 8B 45 F8 8B 80 84 02 00 00 83 B8 98 00 00 00 00 75 04 33 D2 EB 02 B2 01 8B C3 8B 08 FF 91 80 00 00 00 5E 5B 8B E5 5D C3 00 00 04 00 00 }
	condition:
		$1
}

rule function_72548_0 {
	meta:
		name = "TCustomActionToolBar.ScrollBtnClick"
		size = 27
	strings:
		$1 = { 83 B8 20 03 00 00 00 75 11 83 B8 80 02 00 00 00 74 08 8B 10 FF 92 A4 01 00 00 C3 }
	condition:
		$1
}

rule function_72549_0 {
	meta:
		name = "TCustomActionToolBar.SetOrientation"
		size = 225
		refs = "0010 TCustomActionToolBar.DisableHiding 0018 TCustomActionToolBar.SetOrientation 0047 TControl.SetVisible 0055 TOrderedList.Count 006e TObject.Free 0078 TCustomActionDockBar.SetOrientation 0096 ArrowDirection 009b TCustomUtilityButton.SetDirection 00ac BtnAlignment 00ba TControl.SetAlign 00cf TCustomActionToolBar.EnableHiding 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 83 B8 1C 03 00 00 00 74 2F EB 1B 8B 45 FC 8B B8 1C 03 00 00 8B C7 8B 10 FF 52 04 8B F0 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 1C 03 00 00 E8 ?? ?? ?? ?? 85 C0 7F D3 8B 45 FC 05 1C 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 24 03 00 00 85 C0 74 35 8B 55 FC 0F B6 92 97 02 00 00 0F B6 92 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B6 80 97 02 00 00 0F B6 90 ?? ?? ?? ?? 8B 45 FC 8B 80 24 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72550_0 {
	meta:
		name = "TCustomActionToolBar.SetupDropDownBtn"
		size = 250
		refs = "0007 TCustomActionBar.GetAutoSizing 004d SMoreButtons 0052 LoadResString 0060 ArrowDirection 0067 TCustomUtilityButton.SetDirection 0075 BtnAlignment 007c TControl.SetAlign 0089 TCustomActionToolBar.GetHiddenCount 00c1 TControl.SetParentColor 00cc TActionClient.HasBackground 00d5 TCustomActionControl.SetTransparent 00f3 TCustomActionToolBar.ScrollBtnClick"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 E4 00 00 00 83 BB 24 03 00 00 00 0F 85 D7 00 00 00 83 BB 80 02 00 00 00 0F 84 CA 00 00 00 8B C3 8B 10 FF 92 9C 01 00 00 8B CB B2 01 FF 50 38 8B F0 89 B3 24 03 00 00 8D 96 88 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 83 97 02 00 00 0F B6 90 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 83 97 02 00 00 0F B6 90 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? F6 46 1C 10 75 1A 8B C3 E8 ?? ?? ?? ?? 85 C0 7F 13 8B 83 84 02 00 00 83 B8 98 00 00 00 00 75 04 33 D2 EB 02 B2 01 8B C6 8B 08 FF 91 80 00 00 00 8B D3 8B C6 8B 08 FF 91 84 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 24 03 00 00 8B 10 FF 92 08 01 00 00 89 9E 14 02 00 00 C7 86 10 02 00 00 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72551_0 {
	meta:
		name = "TCustomActionToolBar.Reset"
		size = 153
		refs = "000d TCustomActionToolBar.DisableHiding 0015 TCustomActionToolBar.Reset 0044 TControl.SetVisible 0052 TOrderedList.Count 006b TObject.Free 0073 TCustomActionBar.Reset 0088 TCustomActionToolBar.EnableHiding 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 83 B8 1C 03 00 00 00 74 44 EB 1B 8B 45 FC 8B 98 1C 03 00 00 8B C3 8B 10 FF 52 04 8B F0 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 1C 03 00 00 E8 ?? ?? ?? ?? 85 C0 7F D3 8B 45 FC 05 1C 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72552_0 {
	meta:
		name = "TCustomActionToolBar.CMColorchanged"
		size = 54
		refs = "0006 TWinControl.CMColorChanged 0015 ColorAdjustLuma"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C9 BA AB FF FF FF 8B 43 74 E8 ?? ?? ?? ?? 89 83 14 03 00 00 33 C9 BA 55 00 00 00 8B 43 74 E8 ?? ?? ?? ?? 89 83 18 03 00 00 5B C3 }
	condition:
		$1
}

rule function_72553_0 {
	meta:
		name = "TCustomActionToolBar.SetBounds"
		size = 44
		refs = "0011 TCustomActionBar.SetBounds 0018 TCustomActionBar.GetAutoSizing 0023 TCustomActionToolBar.HideUnusedItems"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 0C 50 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_72554_0 {
	meta:
		name = "TCustomActionToolBar.DragDrop"
		size = 74
		refs = "0015 TCustomActionBar.DragDrop 0034 TCustomActionBar.GetAutoSizing 003f TCustomActionToolBar.HideUnusedItems"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B D8 8B 45 08 50 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 43 50 50 8B 43 54 50 8B 4B 4C 8B 53 48 8B C3 8B 30 FF 96 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_72555_0 {
	meta:
		name = "TCustomActionToolBar.GetPopupClass"
		size = 33
		refs = "000f _Dn_TActionBarStyleEx 0014 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 78 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 0C 5B C3 }
	condition:
		$1
}

rule function_72556_0 {
	meta:
		name = "TCustomActionToolBar.GetScrollBtnClass"
		size = 31
		refs = "000f _Dn_TActionBarStyleEx 0014 @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 78 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 14 5B C3 }
	condition:
		$1
}

rule function_72559_0 {
	meta:
		name = "RegisterActions"
		size = 53
		refs = "0006 RegisterActionsProc 001b SInvalidActionRegistration 0022 _Dn_Exception 0027 Exception.CreateRes 002c @RaiseExcept"
	strings:
		$1 = { 55 8B EC 53 83 3D ?? ?? ?? ?? 00 74 0C 8B 5D 08 53 FF 15 ?? ?? ?? ?? EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_72563_0 {
	meta:
		name = "TContainedAction.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0015 TCustomActionList.RemoveAction 0020 TBasicAction.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 64 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72564_0 {
	meta:
		name = "TContainedAction.GetIndex"
		size = 21
		refs = "000c TList.IndexOf"
	strings:
		$1 = { 8B 50 64 85 D2 74 0A 8B 52 38 92 E8 ?? ?? ?? ?? C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_72566_0 {
	meta:
		name = "TContainedAction.GetParentComponent"
		size = 16
		refs = "000b TComponent.GetParentComponent"
	strings:
		$1 = { 8B 50 64 85 D2 74 03 8B C2 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72567_0 {
	meta:
		name = "TContainedAction.HasParent"
		size = 15
		refs = "000a TComponent.HasParent"
	strings:
		$1 = { 83 78 64 00 74 03 B0 01 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72569_0 {
	meta:
		name = "TContainedAction.SetIndex"
		size = 71
		refs = "000a TContainedAction.GetIndex 0030 TList.Delete 003f TList.Insert"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 31 8B 53 64 8B 7A 38 8B 57 08 85 F6 7D 02 33 F6 3B D6 7F 03 8B F2 4E 3B C6 74 17 8B D7 92 E8 ?? ?? ?? ?? 8B 43 64 8B 40 38 8B CB 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72570_0 {
	meta:
		name = "TContainedAction.SetCategory"
		size = 43
		refs = "000c @UStrEqual 0018 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 60 E8 ?? ?? ?? ?? 74 16 8D 43 60 8B D6 E8 ?? ?? ?? ?? 8B 43 64 85 C0 74 05 8B 10 FF 52 40 5E 5B C3 }
	condition:
		$1
}

rule function_72571_0 {
	meta:
		name = "TContainedAction.SetActionList"
		size = 40
		refs = "0014 TCustomActionList.RemoveAction 0021 TCustomActionList.AddAction"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 64 3B F0 74 18 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72572_0 {
	meta:
		name = "TContainedAction.SetParentComponent"
		size = 41
		refs = "0010 _DV_TCustomActionList 0015 @IsClass 0022 TContainedAction.SetActionList"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 01 75 1A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72573_0 {
	meta:
		name = "TContainedAction.Execute"
		size = 85
		refs = "0015 @CallDynaInst 001e Application 0027 TApplication.ExecuteAction 0032 TBasicAction.Execute 0044 SendAppMessage"
	strings:
		$1 = { 53 56 57 8B D8 8B 7B 64 85 FF 74 11 8B D3 8B C7 66 BE F3 FF E8 ?? ?? ?? ?? 84 C0 75 32 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 84 C0 75 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 8B CB 33 D2 B8 40 B0 00 00 E8 ?? ?? ?? ?? 48 74 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72574_0 {
	meta:
		name = "TContainedAction.Update"
		size = 80
		refs = "0019 Application 0022 TApplication.UpdateAction 002d TBasicAction.Update 003f SendAppMessage"
	strings:
		$1 = { 53 56 8B D8 8B 73 64 85 F6 74 0D 8B D3 8B C6 8B 08 FF 51 3C 84 C0 75 33 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 84 C0 75 21 8B C3 E8 ?? ?? ?? ?? 84 C0 75 16 8B CB 33 D2 B8 3F B0 00 00 E8 ?? ?? ?? ?? 48 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_72578_0 {
	meta:
		name = "TCustomActionList.Create"
		size = 108
		refs = "000e @ClassCreate 001c TComponent.Create 0023 _Dn_TList 0028 TObject.Create 0032 _Dn_TChangeLink 0046 TCustomActionList.ImageListChange 0057 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 3C 89 5E 0C C7 46 08 ?? ?? ?? ?? C6 43 60 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72579_0 {
	meta:
		name = "TCustomActionList.Destroy"
		size = 85
		refs = "0004 @BeforeDestruction 0010 TObject.Free 0019 TList.Last 0042 TComponent.Destroy 004d @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 47 3C E8 ?? ?? ?? ?? EB 0C 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 77 38 83 7E 08 00 7F EB 8D 47 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72580_0 {
	meta:
		name = "TCustomActionList.GetChildren"
		size = 71
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 F8 89 45 FC 8B 45 FC 8B 40 38 8B 58 08 4B 85 DB 7C 23 43 33 F6 8B 45 FC 8B 40 38 8B 40 04 8B 04 B0 8B 50 04 3B 55 F8 75 08 8B D0 8B 45 0C FF 55 08 46 4B 75 E0 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_72581_0 {
	meta:
		name = "TCustomActionList.SetChildOrder"
		size = 47
		refs = "000f TList.IndexOf 001b _DV_TContainedAction 0020 @AsClass 0027 TContainedAction.SetIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 38 E8 ?? ?? ?? ?? 85 C0 7C 14 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72582_0 {
	meta:
		name = "TCustomActionList.GetAction"
		size = 19
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 38 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96007_0 {
	meta:
		name = "TCustomWebFileDispatcher.GetRootDirectory"
		size = 19
		refs = "000c TWebFileDispatcherProperties.GetRootDirectory"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 38 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72586_0 {
	meta:
		name = "TCustomActionList.SetImages"
		size = 51
		refs = "0011 TCustomImageList.UnRegisterChanges 0022 TCustomImageList.RegisterChanges 002c TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 40 85 C0 74 08 8B 53 3C E8 ?? ?? ?? ?? 8B C6 89 43 40 85 C0 74 12 8B 53 3C E8 ?? ?? ?? ?? 8B D3 8B 43 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72587_0 {
	meta:
		name = "TCustomActionList.ImageListChange"
		size = 11
	strings:
		$1 = { 3B 50 40 75 05 8B 10 FF 52 40 C3 }
	condition:
		$1
}

rule function_72588_0 {
	meta:
		name = "TCustomActionList.Notification"
		size = 77
		refs = "0010 TComponent.Notification 0033 _DV_TContainedAction 0038 @IsClass 0045 TCustomActionList.RemoveAction"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 30 3B 7E 40 75 0B 33 D2 8B C6 8B 08 FF 51 44 EB 20 83 7E 38 00 74 1A 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72589_0 {
	meta:
		name = "TCustomActionList.AddAction"
		size = 31
		refs = "000c TList.Add 0018 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 38 E8 ?? ?? ?? ?? 89 5E 64 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72590_0 {
	meta:
		name = "TCustomActionList.RemoveAction"
		size = 39
		refs = "000e TList.RemoveItem 001b TComponent.RemoveFreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 8B D6 33 C9 E8 ?? ?? ?? ?? 85 C0 7C 0E 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 64 5E 5B C3 }
	condition:
		$1
}

rule function_72591_0 {
	meta:
		name = "TCustomActionList.Change"
		size = 102
		refs = "0041 _Dn_TForm 0046 @IsClass"
	strings:
		$1 = { 53 56 57 8B D8 66 83 7B 4A 00 74 08 8B D3 8B 43 4C FF 53 48 8B 43 38 8B 70 08 4E 85 F6 7C 15 46 33 FF 8B 43 38 8B 40 04 8B 04 B8 8B 10 FF 52 40 47 4E 75 EE F6 43 1C 10 74 28 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 83 BE C4 02 00 00 00 74 0B 8B 86 C4 02 00 00 8B 10 FF 52 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72592_0 {
	meta:
		name = "TCustomActionList.IsShortCut"
		size = 164
		refs = "0012 IsAltGRPressed 001e KeyDataToShiftState 002b ShortCut 0057 _DV_TCustomAction 005c @IsClass 0079 TCustomAction.GetSecondaryShortCuts 0080 TShortCutList.IndexOfShortCut"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 89 04 24 C6 44 24 04 00 E8 ?? ?? ?? ?? 84 C0 75 7E 8B 43 08 E8 ?? ?? ?? ?? 8B F0 0F B7 43 04 8B D6 E8 ?? ?? ?? ?? 8B E8 66 85 ED 74 62 8B 04 24 8B 40 38 8B 70 08 4E 85 F6 7C 54 46 33 FF 8B 04 24 8B 40 38 8B 40 04 8B 1C B8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 66 3B AB 8C 00 00 00 74 1A 83 BB 98 00 00 00 00 74 1E 8B C3 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 40 74 0D 8B C3 8B 10 FF 52 60 88 44 24 04 EB 04 47 4E 75 AF 0F B6 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72593_0 {
	meta:
		name = "TCustomActionList.ExecuteAction"
		size = 30
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 78 52 00 74 0A 8B CC 8B D8 8B 43 54 FF 53 50 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_72594_0 {
	meta:
		name = "TCustomActionList.UpdateAction"
		size = 30
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 78 5A 00 74 0A 8B CC 8B D8 8B 43 5C FF 53 58 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_72595_0 {
	meta:
		name = "TCustomActionList.SetState"
		size = 163
		refs = "0060 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B D8 0F B6 43 60 3A 04 24 0F 84 86 00 00 00 88 44 24 01 0F B6 04 24 88 43 60 3C 01 74 77 8B 43 38 8B 70 08 4E 85 F6 7C 5D 46 33 ED 8B 43 38 8B 40 04 8B 3C A8 0F B6 04 24 2C 01 72 06 FE C8 74 24 EB 3F 85 FF 74 15 80 7C 24 01 02 75 0E 8B C7 0F B6 90 9C 00 00 00 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 54 EB 1D 85 FF 74 19 80 3C 24 02 75 13 8B C7 0F B6 50 72 88 90 9C 00 00 00 B2 01 E8 ?? ?? ?? ?? 45 4E 75 A6 66 83 7B 6A 00 74 08 8B D3 8B 43 6C FF 53 68 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72596_0 {
	meta:
		name = "TActionLink.IsCaptionLinked"
		size = 19
		refs = "0008 _DV_TCustomAction 000d @IsClass"
		altNames = "TActionLink.IsCheckedLinked TActionLink.IsEnabledLinked TActionLink.IsGroupIndexLinked TActionLink.IsHelpContextLinked TActionLink.IsHelpLinked TActionLink.IsHintLinked TActionLink.IsImageIndexLinked TActionLink.IsShortCutLinked TActionLink.IsVisibleLinked"
	strings:
		$1 = { 53 8B D8 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76240_0 {
	meta:
		name = "TControlActionLink.IsDropdownMenuLinked"
		size = 19
		refs = "0008 _DV_TCustomControlAction 000d @IsClass"
	strings:
		$1 = { 53 8B D8 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76242_0 {
	meta:
		name = "TControlActionLink.IsEnableDropdownLinked"
		size = 19
		refs = "0008 _DV_TCustomControlAction 000d @IsClass"
	strings:
		$1 = { 53 8B D8 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82097_0 {
	meta:
		name = "TListActionLink.IsActiveLinked"
		size = 19
		refs = "0008 _DV_TCustomListAction 000d @IsClass"
	strings:
		$1 = { 53 8B D8 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72618_0 {
	meta:
		name = "TCustomAction.Create"
		size = 82
		refs = "000a @ClassCreate 0017 TBasicAction.Create 003f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 72 01 C7 86 88 00 00 00 FF FF FF FF C6 86 8E 00 00 00 01 33 C0 89 86 98 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_72619_0 {
	meta:
		name = "TCustomAction.Destroy"
		size = 86
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0044 TContainedAction.Destroy 004f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? 8B 86 A4 00 00 00 E8 ?? ?? ?? ?? 83 BE 98 00 00 00 00 74 13 8D 86 98 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72620_0 {
	meta:
		name = "TCustomAction.AssignTo"
		size = 272
		refs = "000b _DV_TCustomAction 0010 @IsClass 0028 TCustomAction.SetAutoCheck 0032 TCustomAction.SetCaption 003d TCustomAction.SetChecked 0048 TCustomAction.SetEnabled 0052 TCustomAction.SetGroupIndex 0074 TCustomAction.SetHelpType 0081 TCustomAction.SetHint 008e TCustomAction.SetImageIndex 0095 TCustomAction.GetSecondaryShortCuts 009e TCustomAction.SetSecondaryShortCuts 00ac TCustomAction.SetShortCut 00ba TCustomAction.SetVisible 0108 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 E7 00 00 00 0F B6 93 9D 00 00 00 8B FE 8B C7 E8 ?? ?? ?? ?? 8B 53 6C 8B C7 E8 ?? ?? ?? ?? 0F B6 53 71 8B C7 E8 ?? ?? ?? ?? 0F B6 53 72 8B C7 E8 ?? ?? ?? ?? 8B 53 74 8B C7 E8 ?? ?? ?? ?? 8B 53 7C 8B C7 8B 08 FF 51 58 8B 93 80 00 00 00 8B C7 8B 08 FF 51 5C 0F B6 53 78 8B C7 E8 ?? ?? ?? ?? 8B 93 84 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 93 88 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 0F B7 93 8C 00 00 00 8B C7 E8 ?? ?? ?? ?? 0F B6 93 8E 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 43 0C 89 47 0C FF 73 4C FF 73 48 8B C7 8B 10 FF 52 44 8B 83 90 00 00 00 89 87 90 00 00 00 8B 83 94 00 00 00 89 87 94 00 00 00 8B 43 50 89 47 50 8B 43 54 89 47 54 8B 43 40 89 47 40 8B 43 44 89 47 44 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72621_0 {
	meta:
		name = "TCustomAction.SetAutoCheck"
		size = 94
		refs = "0024 TList.Get 002a _DV_TActionLink 002f @IsClass"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 3A 9D 9D 00 00 00 74 49 8B 45 58 8B 78 08 4F 85 FF 7C 31 47 33 F6 8B D6 8B 45 58 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B D6 8B 45 58 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 48 46 4F 75 D2 88 9D 9D 00 00 00 8B C5 8B 10 FF 52 40 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72622_0 {
	meta:
		name = "TCustomAction.SetCaption"
		size = 95
		refs = "0010 @UStrEqual 002f _DV_TActionLink 0034 @AsClass 004f @UStrAsg"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B D8 8B 04 24 8B 53 6C E8 ?? ?? ?? ?? 74 44 8B 43 58 8B 70 08 4E 85 F6 7C 27 46 33 FF 8B 43 58 8B 40 04 8B 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 08 8B 14 24 8B 08 FF 51 4C 47 4E 75 DC 8D 43 6C 8B 14 24 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 40 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72623_0 {
	meta:
		name = "TCustomAction.SetChecked"
		size = 261
		refs = "0024 TCustomAction.SetChecked 0059 _DV_TActionLink 005e @AsClass 0090 TCustomActionList.GetActionCount 00a7 TCustomActionList.GetAction 00b6 _DV_TCustomAction 00bb @IsClass 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC 80 78 70 00 0F 85 E6 00 00 00 8B 45 FC C6 40 70 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 3A 58 71 0F 84 A9 00 00 00 8B 45 FC 8B 40 58 8B 78 08 4F 85 FF 7C 29 47 33 F6 8B 45 FC 8B 40 58 8B 40 04 8B 04 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 07 8B D3 8B 08 FF 51 50 46 4F 75 DA 8B 45 FC 88 58 71 8B 45 FC 83 78 74 00 7E 5B 8B 45 FC 80 78 71 00 74 52 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 40 47 33 F6 8B 45 FC 8B 40 64 8B D6 E8 ?? ?? ?? ?? 8B D8 3B 5D FC 74 25 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B 43 74 8B 55 FC 3B 42 74 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 46 4F 75 C3 8B 45 FC 8B 10 FF 52 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 70 00 C3 E9 ?? ?? ?? ?? EB F1 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72624_0 {
	meta:
		name = "TCustomAction.SetEnabled"
		size = 122
		refs = "004d _DV_TActionLink 0052 @AsClass"
	strings:
		$1 = { 53 56 57 51 88 14 24 8B D8 0F B6 04 24 3A 43 72 74 63 8B 43 64 85 C0 74 1B 0F B6 50 60 80 FA 01 75 09 0F B6 04 24 88 43 72 EB 4A 80 FA 02 75 04 C6 04 24 01 8B 43 58 8B 70 08 4E 85 F6 7C 28 46 33 FF 8B 43 58 8B 40 04 8B 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 09 0F B6 14 24 8B 08 FF 51 54 47 4E 75 DB 0F B6 04 24 88 43 72 8B C3 8B 10 FF 52 40 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72625_0 {
	meta:
		name = "TCustomAction.SetGroupIndex"
		size = 85
		refs = "0030 _DV_TActionLink 0035 @AsClass"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B D8 8B 04 24 3B 43 74 74 3F 8B 04 24 89 43 74 8B 43 58 8B 70 08 4E 85 F6 7C 27 46 33 FF 8B 43 58 8B 40 04 8B 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 08 8B 14 24 8B 08 FF 51 58 47 4E 75 DC 8B C3 8B 10 FF 52 40 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72626_0 {
	meta:
		name = "TCustomAction.SetHelpType"
		size = 88
		refs = "0021 TList.Get 0027 _DV_TActionLink 002c @IsClass"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 3A 5D 78 74 46 8B 45 58 8B 78 08 4F 85 FF 7C 31 47 33 F6 8B D6 8B 45 58 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B D6 8B 45 58 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 64 46 4F 75 D2 88 5D 78 8B C5 8B 10 FF 52 40 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72627_0 {
	meta:
		name = "TCustomAction.SetHelpKeyword"
		size = 108
		refs = "0011 @UStrEqual 002b TList.Get 0031 _DV_TActionLink 0036 @IsClass 005c @UStrAsg"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B C5 8B 93 80 00 00 00 E8 ?? ?? ?? ?? 74 50 8B 43 58 8B 78 08 4F 85 FF 7C 31 47 33 F6 8B D6 8B 43 58 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B D6 8B 43 58 E8 ?? ?? ?? ?? 8B D5 8B 08 FF 51 60 46 4F 75 D2 8D 83 80 00 00 00 8B D5 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 40 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72628_0 {
	meta:
		name = "TCustomAction.SetHelpContext"
		size = 85
		refs = "002a _DV_TActionLink 002f @AsClass"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B D8 8B 04 24 3B 43 7C 74 3F 8B 43 58 8B 70 08 4E 85 F6 7C 27 46 33 FF 8B 43 58 8B 40 04 8B 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 08 8B 14 24 8B 08 FF 51 5C 47 4E 75 DC 8B 04 24 89 43 7C 8B C3 8B 10 FF 52 40 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72629_0 {
	meta:
		name = "TCustomAction.SetHint"
		size = 101
		refs = "0013 @UStrEqual 0032 _DV_TActionLink 0037 @AsClass 0055 @UStrAsg"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B D8 8B 04 24 8B 93 84 00 00 00 E8 ?? ?? ?? ?? 74 47 8B 43 58 8B 70 08 4E 85 F6 7C 27 46 33 FF 8B 43 58 8B 40 04 8B 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 08 8B 14 24 8B 08 FF 51 68 47 4E 75 DC 8D 83 84 00 00 00 8B 14 24 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 40 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72630_0 {
	meta:
		name = "TCustomAction.SetImageIndex"
		size = 91
		refs = "002d _DV_TActionLink 0032 @AsClass"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B D8 8B 04 24 3B 83 88 00 00 00 74 42 8B 43 58 8B 70 08 4E 85 F6 7C 27 46 33 FF 8B 43 58 8B 40 04 8B 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 08 8B 14 24 8B 08 FF 51 6C 47 4E 75 DC 8B 04 24 89 83 88 00 00 00 8B C3 8B 10 FF 52 40 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72631_0 {
	meta:
		name = "TCustomAction.SetShortCut"
		size = 97
		refs = "0030 _DV_TActionLink 0035 @AsClass"
	strings:
		$1 = { 53 56 57 51 66 89 14 24 8B D8 0F B7 04 24 66 3B 83 8C 00 00 00 74 45 8B 43 58 8B 70 08 4E 85 F6 7C 28 46 33 FF 8B 43 58 8B 40 04 8B 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 09 0F B7 14 24 8B 08 FF 51 70 47 4E 75 DB 0F B7 04 24 66 89 83 8C 00 00 00 8B C3 8B 10 FF 52 40 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72632_0 {
	meta:
		name = "TCustomAction.SetVisible"
		size = 94
		refs = "002e _DV_TActionLink 0033 @AsClass"
	strings:
		$1 = { 53 56 57 51 88 14 24 8B D8 0F B6 04 24 3A 83 8E 00 00 00 74 44 8B 43 58 8B 70 08 4E 85 F6 7C 28 46 33 FF 8B 43 58 8B 40 04 8B 04 B8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 09 0F B6 14 24 8B 08 FF 51 74 47 4E 75 DB 0F B6 04 24 88 83 8E 00 00 00 8B C3 8B 10 FF 52 40 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72633_0 {
	meta:
		name = "TCustomAction.SetName"
		size = 76
		refs = "000e @UStrEqual 002e TComponent.SetName 0044 TCustomAction.SetCaption"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 08 8B 56 6C E8 ?? ?? ?? ?? 75 0D 8B 5E 04 85 DB 74 0A F6 43 1C 01 74 04 33 C0 EB 02 B0 01 8B D8 8B D7 8B C6 E8 ?? ?? ?? ?? 84 DB 74 12 8B 46 58 83 78 08 00 75 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72634_0 {
	meta:
		name = "TCustomAction.DoHint"
		size = 39
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 92 00 00 00 00 74 10 8B CC 8B D8 8B 83 94 00 00 00 FF 93 90 00 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_72635_0 {
	meta:
		name = "TCustomAction.Execute"
		size = 97
		refs = "0044 TCustomAction.SetChecked 0051 TContainedAction.Execute"
	strings:
		$1 = { 53 8B D8 33 C0 8B 53 64 85 D2 74 06 80 7A 60 00 75 4D 8B C3 8B 10 FF 52 54 80 7B 72 00 74 29 80 BB 9D 00 00 00 00 74 20 80 7B 71 00 74 0C 80 7B 71 00 74 14 83 7B 74 00 75 0E 0F B6 53 71 80 F2 01 8B C3 E8 ?? ?? ?? ?? 80 7B 72 00 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5B C3 }
	condition:
		$1
}

rule function_72636_0 {
	meta:
		name = "TCustomAction.GetSecondaryShortCuts"
		size = 38
		refs = "000f _DV_TShortCutList 0014 TStringList.Create"
	strings:
		$1 = { 53 8B D8 83 BB 98 00 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 98 00 00 00 8B 83 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_72637_0 {
	meta:
		name = "TCustomAction.SetSecondaryShortCuts"
		size = 49
		refs = "0012 _DV_TShortCutList 0017 TStringList.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 98 00 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 98 00 00 00 8B D6 8B 83 98 00 00 00 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_72638_0 {
	meta:
		name = "TCustomAction.IsSecondaryShortCutsStored"
		size = 35
	strings:
		$1 = { 53 56 8B D8 8B B3 98 00 00 00 85 F6 74 0B 8B C6 8B 10 FF 52 14 85 C0 7F 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_72639_0 {
	meta:
		name = "TCustomAction.HandleShortCut"
		size = 12
		refs = "0006 @CallDynaInst"
	strings:
		$1 = { 56 66 BE F0 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_72640_0 {
	meta:
		name = "TShortCutList.Add"
		size = 43
		refs = "000c TStringList.Add 0015 TextToShortCut"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 0F B7 C8 8B D7 8B C3 8B 18 FF 53 24 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72641_0 {
	meta:
		name = "TShortCutList.GetShortCuts"
		size = 18
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 18 5E 5B C3 }
	condition:
		$1
}

rule function_72642_0 {
	meta:
		name = "TAction.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TCustomAction.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 68 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_72643_0 {
	meta:
		name = "TShortCutList.IndexOfShortCut"
		size = 65
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C7 04 24 FF FF FF FF 8B C7 8B 10 FF 52 14 8B F0 4E 85 F6 7C 1A 46 33 DB 8B D3 8B C7 8B 08 FF 51 18 66 3B E8 75 05 89 1C 24 EB 04 43 4E 75 E9 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72645_0 {
	meta:
		name = "Vcl.ActnList"
		size = 62
		refs = "0002 _DV_9 000a _Dn_TControl 000f StartClassGroup 0019 ActivateClassGroup 0024 _DV_TCustomActionList 0029 GroupDescendentsWith 0034 _DV_TContainedAction"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 34 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72649_0 {
	meta:
		name = "TXToolDockForm.CMDialogChar"
		size = 49
		refs = "0008 Application 0029 TWinControl.CMDialogChar"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 A1 ?? ?? ?? ?? 8B 00 8B 78 48 85 FF 74 09 8B D3 8B C7 8B 08 FF 51 EC 83 7B 0C 00 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72650_0 {
	meta:
		name = "NotifyDesigner"
		size = 39
		refs = "0002 ActionBarDesigner"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 1D 85 C0 74 0D 85 C0 74 15 80 B8 94 02 00 00 00 74 0C 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 14 C3 }
	condition:
		$1
}

rule function_72651_0 {
	meta:
		name = "TCustomActionManager.Create"
		size = 360
		refs = "0018 @ClassCreate 0025 TCustomActionManager.Create 0034 TCustomActionList.Create 004a TCustomActionManager.CreateActionBars 0054 _Dn_TStringList 0059 TStringList.Create 0069 cDefaultSchedule 009c TStrings.GetName 00a9 TStrings.GetValue 00b1 StrToInt 00cc _Dn_TChangeLink 00d1 TObject.Create 00e3 TCustomActionManager.ImageListChange 0139 @UStrArrayClr 013f @HandleFinally 014e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F0 89 5D EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? F7 D0 22 46 28 88 46 28 8B C6 E8 ?? ?? ?? ?? 89 46 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E B4 00 00 00 8B C3 8B 15 ?? ?? ?? ?? 8B 08 FF 51 2C 8B 86 B4 00 00 00 8B 10 FF 52 14 48 85 C0 7C 47 40 89 45 F4 C7 45 F8 00 00 00 00 8B 9E B4 00 00 00 8D 4D EC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B C3 8B 18 FF 53 24 FF 45 F8 FF 4D F4 75 C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E A0 00 00 00 89 73 0C C7 43 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E 88 00 00 00 89 73 0C C7 43 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E A8 00 00 00 89 73 0C C7 43 08 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 01 00 00 00 }
	condition:
		$1
}

rule function_72652_0 {
	meta:
		name = "TCustomActionManager.Destroy"
		size = 188
		refs = "0005 @BeforeDestruction 001c TObject.Free 007a TActionBars.GetActionBar 00a8 TCustomActionList.Destroy 00b3 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8D 85 A0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 85 88 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 85 A8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 85 B4 00 00 00 E8 ?? ?? ?? ?? 8B 45 74 E8 ?? ?? ?? ?? 8B 85 98 00 00 00 85 C0 74 2F 8B 40 08 8B 70 08 4E 85 F6 7C 19 46 33 FF 8B 85 98 00 00 00 8B D7 E8 ?? ?? ?? ?? 33 D2 89 50 0C 47 4E 75 EA 8B 85 98 00 00 00 E8 ?? ?? ?? ?? 8B 85 94 00 00 00 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72653_0 {
	meta:
		name = "TCustomActionManager.AddAction"
		size = 91
		refs = "001a TCollection.Add 0023 TCollectionItem.GetIndex 003b TActionClientItem.SetAction 0042 TActionClientItem.GetParentItem 0047 TActionClient.GetOwningCollection 004e TActionClientsCollection.InternalRethinkHotkeys"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 33 DB 85 F6 74 42 83 7E 04 00 74 3C 8B 46 04 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 0F B6 45 08 03 D0 8B C3 8B 08 FF 51 14 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_72654_0 {
	meta:
		name = "AddActions"
		size = 222
		refs = "0015 @UStrAddRef 001d AddActions 002d @DynArrayLength 003b TCustomActionList.GetActionCount 004d TActionArray 0052 @DynArraySetLength 006f TCustomActionList.GetAction 007a AnsiCompareText 00c8 @UStrClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 89 45 F4 85 FF 74 7F 8B C7 E8 ?? ?? ?? ?? 03 45 F4 50 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 36 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 60 8B 55 FC E8 ?? ?? ?? ?? 85 C0 75 17 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B 12 8B 4D F4 89 04 8A FF 45 F4 43 4E 75 CD 8B 45 F4 50 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72655_0 {
	meta:
		name = "TCustomActionManager.AddCategory"
		size = 361
		refs = "001a @UStrAddRef 0022 TCustomActionManager.AddCategory 0044 AddActions 004b TCustomActionManager.GetLinkedActionLists 0069 TActionListCollection.GetListItem 0086 @CallDynaInst 00a9 TActionClientItem.SetCaption 00bf TCollectionItem.GetIndex 00d7 @DynArrayLength 00e9 TActionClient.GetItems 00ee TActionClients.Add 00f9 TActionClientItem.SetAction 011c @HandleAnyException 0124 TObject.Free 0129 @RaiseAgain 012e @DoneExcept 0144 TActionArray 0149 @DynArrayClear 0151 @UStrClr 0157 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F8 89 4D F4 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 83 7D F4 00 0F 84 F7 00 00 00 8D 45 F8 8B 4D FC 8B D7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B D8 4B 85 DB 7C 23 43 33 F6 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 50 0C 8D 45 F8 8B 4D FC E8 ?? ?? ?? ?? 46 4B 75 E0 8B C7 66 BE ED FF E8 ?? ?? ?? ?? 33 C9 B2 01 FF 50 1C 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 8B 50 04 8B 45 F0 8B 08 FF 51 10 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 0F B6 45 08 03 D0 8B 45 F0 8B 08 FF 51 14 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1F 43 33 F6 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 14 B2 E8 ?? ?? ?? ?? 46 4B 75 E4 8B 45 F0 8B 40 44 B2 01 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B 45 F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72656_0 {
	meta:
		name = "TCustomActionManager.AddSeparator"
		size = 116
		refs = "0010 TActionClientItem.GetActionClients 001d _DV_TActionClientItem 0022 TActionClientItem.Create 0029 TCustomActionManager.AddSeparator 0030 TActionClientItem.SetCaption 0037 TActionClientItem.GetParentItem 003c TActionClient.GetItems 004c TCollectionItem.GetIndex"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 33 FF 85 F6 74 51 8B C6 E8 ?? ?? ?? ?? 85 C0 74 46 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 10 8B C6 E8 ?? ?? ?? ?? 8B D0 0F B6 C3 03 D0 8B C7 8B 08 FF 51 14 8B C7 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 7C 00 00 00 }
	condition:
		$1
}

rule function_72657_0 {
	meta:
		name = "TCustomActionManager.Assign"
		size = 245
		refs = "000f TCustomActionManager.Assign 001e TPersistent.Assign 0026 _DV_TCustomActionManager 002b @IsClass 0072 TCustomActionManager.GetFileName 007c TCustomActionManager.SetFileName 00c1 TCustomActionManager.GetLinkedActionLists 00e4 @UStrClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9C 00 00 00 8B 57 74 8B 46 74 8B 08 FF 51 08 8B 86 8C 00 00 00 85 C0 74 0B 8B 97 8C 00 00 00 8B 08 FF 51 08 8B 86 A4 00 00 00 85 C0 74 0B 8B 97 A4 00 00 00 8B 08 FF 51 08 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 46 40 85 C0 74 08 8B 57 40 8B 08 FF 51 08 8B 86 AC 00 00 00 85 C0 74 0B 8B 97 AC 00 00 00 8B 08 FF 51 08 8B 97 B4 00 00 00 8B 86 B4 00 00 00 8B 08 FF 51 08 83 BF 94 00 00 00 00 74 15 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 59 5D C3 }
	condition:
		$1
}

rule function_72658_0 {
	meta:
		name = "TCustomActionManager.CompareAction"
		size = 48
		refs = "000b _DV_TActionClientItem 0010 @IsClass 001d TActionClientItem.GetAction"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B FE 8B C7 E8 ?? ?? ?? ?? 3B 43 70 75 06 89 BB 90 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72659_0 {
	meta:
		name = "TCustomActionManager.CompareCaption"
		size = 111
		refs = "0010 TCustomActionManager.CompareCaption 001e _DV_TActionClientItem 0023 @IsClass 0033 TActionClientItem.GetCaption 003e AnsiCompareText 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 FC 8B FE 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 78 E8 ?? ?? ?? ?? 85 C0 75 06 89 BB 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72660_0 {
	meta:
		name = "TCustomActionManager.CreateActionBars"
		size = 37
		refs = "000b @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 66 BE EF FF E8 ?? ?? ?? ?? 50 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? 8B CB B2 01 FF 50 28 5E 5B C3 }
	condition:
		$1
}

rule function_72661_0 {
	meta:
		name = "TCustomActionManager.DeleteActionItems"
		size = 68
		refs = "0027 TCustomActionManager.FindItemByAction 0030 TObject.Free"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 45 FC 8B F1 85 F6 7C 1C 46 8B DA 8B 13 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 83 C3 04 4E 75 E7 8B 75 F4 8B 5D F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_72662_0 {
	meta:
		name = "StyleNameStored"
		size = 57
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 40 20 85 C0 74 17 8B 55 08 8B 52 F8 8B 92 E8 00 00 00 3B 90 E8 00 00 00 0F 95 C0 5D C3 8B 45 08 8B 40 F8 83 B8 E8 00 00 00 00 0F 95 C0 5D C3 }
	condition:
		$1
}

rule function_72663_0 {
	meta:
		name = "TCustomActionManager.DefineProperties"
		size = 104
		refs = "0014 TComponent.DefineProperties 001d TCustomActionManager.ReadStyleProp 0026 TCustomActionManager.WriteStyleProp 002c StyleNameStored 0034 TCustomActionManager.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 74 00 79 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_83209_0 {
	meta:
		name = "TCustomRibbon.DefineProperties"
		size = 104
		refs = "0014 TWinControl.DefineProperties 001d TCustomRibbon.ReadStyleProp 0026 TCustomRibbon.WriteStyleProp 002c StyleNameStored 0034 TCustomRibbon.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 74 00 79 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_73280_0 {
	meta:
		name = "TPopupActionBar.DefineProperties"
		size = 104
		refs = "0014 TComponent.DefineProperties 001d TPopupActionBar.ReadStyleProp 0026 TPopupActionBar.WriteStyleProp 002c StyleNameStored 0034 TPopupActionBar.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 74 00 79 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_72664_0 {
	meta:
		name = "TCustomActionManager.DeleteItem"
		size = 103
		refs = "000e @UStrAddRef 0016 TCustomActionManager.DeleteItem 002f @UStrAsg 0039 TCustomActionManager.FindItemByCaption 0042 TObject.Free 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 83 90 00 00 00 8D 43 78 8B 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_72665_0 {
	meta:
		name = "TCustomActionManager.FindClient"
		size = 40
	strings:
		$1 = { 53 85 D2 74 13 66 83 B8 82 00 00 00 00 74 09 83 B8 90 00 00 00 00 75 0E 8B D8 8B 83 84 00 00 00 FF 93 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_72666_0 {
	meta:
		name = "TCustomActionManager.FindItem"
		size = 35
		refs = "000d TCustomActionManager.FindClient 0017 TActionClientsCollection.IterateClients"
	strings:
		$1 = { 53 8B D8 33 C0 89 83 90 00 00 00 53 68 ?? ?? ?? ?? 8B 43 74 8B D0 E8 ?? ?? ?? ?? 8B 83 90 00 00 00 5B C3 }
	condition:
		$1
}

rule function_72667_0 {
	meta:
		name = "TCustomActionManager.FindItemByAction"
		size = 25
		refs = "000c TCustomActionManager.CompareAction 0014 TCustomActionManager.FindItem"
	strings:
		$1 = { 89 80 84 00 00 00 C7 80 80 00 00 00 ?? ?? ?? ?? 89 50 70 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72668_0 {
	meta:
		name = "TCustomActionManager.FindItemByCaption"
		size = 103
		refs = "000e @UStrAddRef 0016 TCustomActionManager.FindItemByCaption 002c TCustomActionManager.CompareCaption 0037 @UStrAsg 003e TCustomActionManager.FindItem 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 9B 84 00 00 00 C7 83 80 00 00 00 ?? ?? ?? ?? 8D 43 78 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_72669_0 {
	meta:
		name = "TCustomActionManager.FindActionClient"
		size = 164
		refs = "002f TActionClientsCollection.GetActionClient 0035 _DV_TActionClientItem 003a @IsClass 004c TActionClientItem.GetAction 006d TActionClient.GetHasItems 007f TActionClient.GetItems 008d TCustomActionManager.FindActionClient"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F1 89 54 24 04 89 04 24 33 ED 85 F6 75 06 8B 04 24 8B 70 74 8B 46 08 8B 78 08 4F 85 FF 7C 74 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 44 24 04 75 0D 8B D3 8B C6 E8 ?? ?? ?? ?? 8B E8 EB 38 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 8B E8 85 ED 75 04 43 4F 75 8F 8B C5 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72670_0 {
	meta:
		name = "TCustomActionManager.FindActionBar"
		size = 138
		refs = "002f TActionClientsCollection.GetActionClient 0053 TActionClient.GetHasItems 0065 TActionClient.GetItems 0073 TCustomActionManager.FindActionBar"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F1 89 54 24 04 89 04 24 33 ED 85 F6 75 06 8B 04 24 8B 70 74 8B 46 08 8B 78 08 4F 85 FF 7C 5A 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 40 0C 3B 44 24 04 75 0D 8B D3 8B C6 E8 ?? ?? ?? ?? 8B E8 EB 38 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 8B E8 85 ED 75 04 43 4F 75 A9 8B C5 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72671_0 {
	meta:
		name = "TCustomActionManager.LoadFromFile"
		size = 292
		refs = "001a TCustomActionManager.LoadFromFile 002c _Dn_TFileStream 0031 TFileStream.Create 005a TCustomActionManager.LoadFromStream 0069 @HandleAnyException 0076 TObject.Free 0082 SErrorLoadingFile 0087 LoadResString 00a0 Format 00bc MessageDlgPosHelp 00c9 DeleteFile 00ce @DoneExcept 00ee @HandleFinally 0105 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F0 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 20 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 F6 55 68 ?? ?? ?? ?? 64 FF 36 64 89 26 33 F6 55 68 ?? ?? ?? ?? 64 FF 36 64 89 26 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 6A E9 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F8 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? 83 F8 06 75 08 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 03 00 00 00 }
	condition:
		$1
}

rule function_72672_0 {
	meta:
		name = "TCustomActionManager.LoadFromStream"
		size = 274
		refs = "0011 _Dn_TMemoryStream 0016 TObject.Create 002b TCustomActionManager.LoadFromStream 0043 TObject.Free 004b TCustomActionManager.CreateActionBars 007b TMemoryStream.LoadFromStream 0087 TStream.SetPosition 0092 TStream.ReadComponent 009a TComponent.Loaded 00a8 TCustomActionManager.SetupActionBars 00b3 TActionBars.Loaded 00c2 @HandleAnyException 00db @RaiseAgain 00e0 @DoneExcept 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F2 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC C6 80 B0 00 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 98 00 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 98 00 00 00 8B 45 FC 8B 50 74 8B C3 8B 08 FF 51 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 50 74 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 74 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 8B 45 FC 8B 90 98 00 00 00 8B 45 FC 8B 40 74 8B 08 FF 51 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 B0 00 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_72673_0 {
	meta:
		name = "TCustomActionManager.Loaded"
		size = 226
		refs = "0009 TComponent.Loaded 001d TCustomActionManager.CreateActionBars 004b FileExists 005c TCustomActionManager.LoadFromFile 0068 TCustomActionManager.SetupActionBars 008f TActionBars.GetActionBar 00a7 TCustomActionBar.GetColorMap"
	strings:
		$1 = { 53 56 57 55 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB B0 00 00 00 00 0F 85 C3 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 89 B3 98 00 00 00 8B 53 74 8B C6 8B 08 FF 51 08 F6 43 1C 10 75 29 83 BB 9C 00 00 00 00 74 20 B2 01 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 93 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0A 8B 53 74 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 75 06 8B 43 74 FF 40 28 8B 43 74 8B 40 08 8B 78 08 4F 85 FF 7C 57 47 33 F6 8B D6 8B 43 74 E8 ?? ?? ?? ?? 83 78 0C 00 74 40 8B D6 8B 43 74 E8 ?? ?? ?? ?? 8B 40 0C E8 ?? ?? ?? ?? 8B E8 8B D6 8B 43 74 E8 ?? ?? ?? ?? 8B 40 0C 3B A8 E8 02 00 00 75 17 8B D6 8B 43 74 E8 ?? ?? ?? ?? 8B 40 0C 33 D2 8B 08 FF 91 54 01 00 00 46 4F 75 AC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72674_0 {
	meta:
		name = "TCustomActionManager.LoadMenu"
		size = 178
		refs = "0013 TMenuItem.GetCount 002a TActionClients.Add 0035 TMenuItem.GetItem 003f TActionClientItem.SetCaption 004d TMenuItem.GetAction 0056 TActionClientItem.SetAction 005d TActionClientItem.GetAction 0070 TContainedAction.SetActionList 0093 TActionClient.GetItems 009f TCustomActionManager.LoadMenu"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F9 89 54 24 04 89 04 24 8B C7 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 0F 8C 89 00 00 00 45 33 F6 8B 44 24 04 E8 ?? ?? ?? ?? 8B D8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 50 38 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 8B 14 24 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 1D 8B D6 8B C7 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 44 24 04 59 E8 ?? ?? ?? ?? 46 4D 0F 85 7A FF FF FF 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72675_0 {
	meta:
		name = "TCustomActionManager.Notification"
		size = 573
		refs = "0019 TCustomActionList.Notification 001e Application 005b TCustomActionManager.SaveToFile 007d TCustomActionManager.SetLargeImages 008e TCustomActionManager.SetLargeDisabledImages 009f TCustomActionManager.SetDisabledImages 00b1 _Dn_TContainedAction 00b6 @IsClass 00c9 TCustomActionManager.FindActionClient 00d2 _Dn_TList 00d7 TObject.Create 00e2 TCustomActionManager.Notification 00f3 TActionClientItem.GetActionClients 012b TList.Add 0132 TCollectionItem.GetIndex 0140 TCollection.Delete 0176 TList.Get 0189 TWinControl.EnableAlign 0195 TObject.Free 019b @HandleFinally 01a5 _DV_TCustomActionBar 01bc TCustomActionManager.FindActionBar 01e7 _Dn_TCustomActionList 0218 TActionListCollection.GetListItem"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 4D FF 8B F2 8B D8 0F B6 4D FF 8B D6 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 80 B8 A8 00 00 00 00 74 16 8B 83 9C 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C0 EB 02 33 C0 84 C0 74 1D 80 BB B8 00 00 00 00 75 14 8B 93 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 B8 00 00 00 01 80 7D FF 01 0F 85 C6 01 00 00 3B B3 AC 00 00 00 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 3B B3 A4 00 00 00 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 3B B3 8C 00 00 00 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? F6 43 1C 08 0F 85 89 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 DF 00 00 00 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 65 8B C7 E8 ?? ?? ?? ?? 8B 40 20 83 78 0C 00 74 2F 8B C7 E8 ?? ?? ?? ?? 8B 40 20 8B 40 0C 89 45 F4 8B 45 F4 66 FF 80 B4 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B 40 20 8B 50 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 75 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 58 08 4B 85 DB 7C 24 43 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 0F 8B D7 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 DF 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C1 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 31 8B 4B 74 8B FE 8B D7 8B C3 E8 ?? ?? ?? ?? 85 C0 74 05 33 D2 89 50 0C 8B 8B 98 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 85 C0 74 5A 33 D2 89 50 0C EB 53 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 42 83 BB 94 00 00 00 00 74 39 8B 83 94 00 00 00 8B 40 08 8B 78 08 4F 83 FF 00 7C 27 8B 83 94 00 00 00 8B D7 E8 ?? ?? ?? ?? 3B 70 0C 75 0F 8B 83 94 00 00 00 8B D7 E8 ?? ?? ?? ?? EB 06 4F 83 FF FF 75 D9 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72676_0 {
	meta:
		name = "TCustomActionManager.SaveToFile"
		size = 255
		refs = "0014 TCustomActionManager.SaveToFile 0040 ExpandFileName 004a _Dn_TFileStream 004f TFileStream.Create 0078 TCustomActionManager.SaveToStream 0087 @HandleAnyException 008c @DoneExcept 00a1 TObject.Free 00a7 @HandleFinally 00c0 SUnableToSaveSettings 00c5 LoadResString 00cd ShowMessage 00ec @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 8B 08 FF 51 48 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 FF 00 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72677_0 {
	meta:
		name = "TCustomActionManager.SaveToStream"
		size = 114
		refs = "000d _Dn_TMemoryStream 0012 TObject.Create 001d TCustomActionManager.SaveToStream 002d TStream.WriteComponent 0039 TStream.SetPosition 004c TStream.CopyFrom 0061 TObject.Free 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 12 52 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88699_0 {
	meta:
		name = "TGestureManager.SaveToStream"
		size = 114
		refs = "000d _Dn_TMemoryStream 0012 TObject.Create 001d TGestureManager.SaveToStream 002d TStream.WriteComponent 0039 TStream.SetPosition 004c TStream.CopyFrom 0061 TObject.Free 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 12 52 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72678_0 {
	meta:
		name = "TCustomActionManager.SetupActionBars"
		size = 172
		refs = "0027 TActionClientsCollection.GetActionClient 0036 TActionClientsCollection.InternalRethinkHotkeys 006a @CallDynaInst 009b TControl.SetVisible"
	strings:
		$1 = { 53 56 57 55 8B DA 8B 43 08 8B 40 08 85 C0 0F 84 93 00 00 00 8B E8 4D 85 ED 0F 8C 88 00 00 00 45 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 83 78 0C 00 74 6E B2 01 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 50 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 40 0C 5A 8B 08 FF 91 4C 01 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 40 0C 66 BE D0 FF E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 40 0C 8B 10 FF 52 74 8B D7 8B C3 E8 ?? ?? ?? ?? 0F B6 40 30 50 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 40 0C 5A E8 ?? ?? ?? ?? 47 4D 0F 85 7B FF FF FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72679_0 {
	meta:
		name = "TCustomActionManager.SetActionBars"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 74 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_72680_0 {
	meta:
		name = "TCustomActionManager.SetDisabledImages"
		size = 224
		refs = "002f TCustomImageList.UnRegisterChanges 0046 TCustomImageList.RegisterChanges 0053 TComponent.FreeNotification 0078 TActionBars.GetActionBar 007d TActionClient.GetItems 00a3 TActionClients.GetActionClient"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F2 8B D8 8B 83 8C 00 00 00 3B F0 74 06 F6 43 1C 08 74 04 33 D2 EB 02 B2 01 88 14 24 85 C0 74 0B 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 8C 00 00 00 85 C0 74 18 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 80 3C 24 00 74 7C 8B 43 74 8B 40 08 8B 40 08 48 85 C0 7C 6E 40 89 44 24 04 33 ED 8B D5 8B 43 74 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 44 47 33 F6 8B D5 8B 43 74 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 83 78 44 00 74 21 8B D5 8B 43 74 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 44 8B 10 FF 92 08 01 00 00 46 4F 75 BF 45 FF 4C 24 04 75 99 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72681_0 {
	meta:
		name = "TCustomActionManager.SetLargeDisabledImages"
		size = 224
		refs = "002f TCustomImageList.UnRegisterChanges 0046 TCustomImageList.RegisterChanges 0053 TComponent.FreeNotification 0078 TActionBars.GetActionBar 007d TActionClient.GetItems 00a3 TActionClients.GetActionClient"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F2 8B D8 8B 83 A4 00 00 00 3B F0 74 06 F6 43 1C 08 74 04 33 D2 EB 02 B2 01 88 14 24 85 C0 74 0B 8B 93 A0 00 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 A4 00 00 00 85 C0 74 18 8B 93 A0 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 A4 00 00 00 E8 ?? ?? ?? ?? 80 3C 24 00 74 7C 8B 43 74 8B 40 08 8B 40 08 48 85 C0 7C 6E 40 89 44 24 04 33 ED 8B D5 8B 43 74 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 44 47 33 F6 8B D5 8B 43 74 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 83 78 44 00 74 21 8B D5 8B 43 74 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 44 8B 10 FF 92 08 01 00 00 46 4F 75 BF 45 FF 4C 24 04 75 99 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72682_0 {
	meta:
		name = "TCustomActionManager.SetImages"
		size = 163
		refs = "001b TCustomActionList.SetImages 003d TActionBars.GetActionBar 0042 TActionClient.GetItems 0068 TActionClients.GetActionClient"
	strings:
		$1 = { 53 56 57 55 51 8B F8 3B 57 40 74 06 F6 47 1C 08 74 04 33 DB EB 02 B3 01 8B C7 E8 ?? ?? ?? ?? 84 DB 74 7A 8B 47 74 8B 40 08 8B 40 08 48 85 C0 7C 6C 40 89 04 24 33 ED 8B 47 74 8B D5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 44 46 33 DB 8B 47 74 8B D5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 83 78 44 00 74 21 8B 47 74 8B D5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 44 8B 10 FF 92 08 01 00 00 43 4E 75 BF 45 FF 0C 24 75 9A 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72683_0 {
	meta:
		name = "PrioritySort"
		size = 112
		refs = "0014 PrioritySort 0026 TStrings.GetName 003f AnsiCompareText 005b @UStrArrayClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_72684_0 {
	meta:
		name = "TCustomActionManager.SetPrioritySchedule"
		size = 412
		refs = "001b TCustomActionManager.SetPrioritySchedule 003d Trim 005b SRestoreDefaultSchedule 0060 LoadResString 007c MessageDlgPosHelp 008e cDefaultSchedule 00b1 TStrings.GetName 00b9 StrToInt 00d2 TStrings.GetValue 00ef PrioritySort 016e @UStrArrayClr 0183 @UStrClr 0189 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 F8 8B 80 B4 00 00 00 8B 08 FF 51 1C 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 89 45 E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 85 C0 75 52 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 03 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? 48 75 16 8B 45 F8 8B 80 B4 00 00 00 8B 15 ?? ?? ?? ?? 8B 08 FF 51 2C EB 55 8B 45 F8 8B 80 B4 00 00 00 8B 10 FF 52 44 EB 45 8D 4D E4 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8D 4D DC 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8D 4D E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 B4 00 00 00 8B D3 8B 08 FF 51 08 BA ?? ?? ?? ?? 8B 45 F8 8B 80 B4 00 00 00 8B 08 FF 91 A4 00 00 00 8B 45 F8 8B 80 B4 00 00 00 8B 10 FF 52 14 48 85 C0 7C 41 40 89 45 F4 33 F6 8B 45 F8 8B 98 B4 00 00 00 8D 4D D4 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 D4 8D 4D D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 8B 18 FF 53 24 46 FF 4D F4 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 00 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_72685_0 {
	meta:
		name = "TCustomActionManager.GetUsage"
		size = 112
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 83 7F 48 FF 74 13 8B 86 B4 00 00 00 8B 10 FF 52 14 85 C0 74 04 33 C0 EB 02 B0 01 84 C0 75 44 8B 46 74 8B 68 28 2B 6F 60 33 DB EB 01 43 8B 86 B4 00 00 00 8B 10 FF 52 14 3B D8 7D 05 3B 5F 48 7C EB 8B 86 B4 00 00 00 8B 10 FF 52 14 3B D8 75 01 4B 8B D3 8B 86 B4 00 00 00 8B 08 FF 51 18 3B E8 0F 9C C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72686_0 {
	meta:
		name = "TCustomActionManager.IsPriorityScheduleStored"
		size = 91
		refs = "000c TCustomActionManager.IsPriorityScheduleStored 0028 cDefaultSchedule 002d AnsiCompareText 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 B4 00 00 00 8B 08 FF 51 1C 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_72687_0 {
	meta:
		name = "TCustomActionManager.ResetActionBar"
		size = 97
		refs = "0016 TActionBars.GetActionBar 002a TActionClient.SetActionBar 0037 TCollection.GetItem"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 83 BB 98 00 00 00 00 74 4D 8B D6 8B 43 74 E8 ?? ?? ?? ?? 8B 78 0C 8B D6 8B 43 74 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B D6 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 50 8B D6 8B 43 74 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 8B D6 8B 43 74 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72688_0 {
	meta:
		name = "TCustomActionManager.ResetClientUsageData"
		size = 52
		refs = "000b _DV_TActionClientItem 0010 @IsClass 001f TActionClientItem.SetUsageCount 002c TActionClientItem.SetLastSession"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 33 D2 8B FB 8B C7 E8 ?? ?? ?? ?? 8B 46 74 8B 50 28 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72689_0 {
	meta:
		name = "TCustomActionManager.ResetUsageData"
		size = 19
		refs = "0002 TCustomActionManager.ResetClientUsageData 000e TActionClientsCollection.IterateClients"
	strings:
		$1 = { 50 68 ?? ?? ?? ?? 8B 50 74 8B CA 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72690_0 {
	meta:
		name = "TCustomActionManager.SetLargeImages"
		size = 224
		refs = "002f TCustomImageList.UnRegisterChanges 0046 TCustomImageList.RegisterChanges 0053 TComponent.FreeNotification 0078 TActionBars.GetActionBar 007d TActionClient.GetItems 00a3 TActionClients.GetActionClient"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F2 8B D8 8B 83 AC 00 00 00 3B F0 74 06 F6 43 1C 08 74 04 33 D2 EB 02 B2 01 88 14 24 85 C0 74 0B 8B 93 A8 00 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 AC 00 00 00 85 C0 74 18 8B 93 A8 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 AC 00 00 00 E8 ?? ?? ?? ?? 80 3C 24 00 74 7C 8B 43 74 8B 40 08 8B 40 08 48 85 C0 7C 6E 40 89 44 24 04 33 ED 8B D5 8B 43 74 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 44 47 33 F6 8B D5 8B 43 74 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 83 78 44 00 74 21 8B D5 8B 43 74 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 44 8B 10 FF 92 08 01 00 00 46 4F 75 BF 45 FF 4C 24 04 75 99 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72691_0 {
	meta:
		name = "TCustomActionManager.SetLinkedActionLists"
		size = 57
		refs = "0010 _DV_TActionListItem 001a _DV_TActionListCollection 001f TOwnedCollection.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 94 00 00 00 00 75 1A A1 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 94 00 00 00 8B D6 8B 83 94 00 00 00 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_72692_0 {
	meta:
		name = "TCustomActionManager.Change"
		size = 30
		refs = "0006 TCustomActionList.Change 0018 TActionClientsCollection.IterateClients"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 74 85 C0 74 0B 6A 00 6A 00 8B D0 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72693_0 {
	meta:
		name = "TCustomActionManager.GetActionClientsClass"
		size = 59
		refs = "0004 _DV_TActionClients"
	strings:
		$1 = { 53 51 8B 15 ?? ?? ?? ?? 89 14 24 66 83 B8 DA 00 00 00 00 74 12 8B CC 8B D8 8B D0 8B 83 DC 00 00 00 FF 93 D8 00 00 00 83 3C 24 00 75 08 A1 ?? ?? ?? ?? 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_72694_0 {
	meta:
		name = "TCustomActionManager.GetCommandPropertiesClass"
		size = 60
		refs = "0004 _DV_TButtonProperties"
	strings:
		$1 = { 53 51 8B 0D ?? ?? ?? ?? 89 0C 24 66 83 B8 F2 00 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 F4 00 00 00 FF 93 F0 00 00 00 83 3C 24 00 75 08 A1 ?? ?? ?? ?? 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_72695_0 {
	meta:
		name = "TCustomActionManager.GetActionClientItemClass"
		size = 59
		refs = "0004 _DV_TActionClientItem"
	strings:
		$1 = { 53 51 8B 15 ?? ?? ?? ?? 89 14 24 66 83 B8 D2 00 00 00 00 74 12 8B CC 8B D8 8B D0 8B 83 D4 00 00 00 FF 93 D0 00 00 00 83 3C 24 00 75 08 A1 ?? ?? ?? ?? 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_72696_0 {
	meta:
		name = "TCustomActionManager.GetActionBarsClass"
		size = 51
		refs = "0004 _DV_TActionBars"
	strings:
		$1 = { 53 56 8B 1D ?? ?? ?? ?? 66 83 B8 CA 00 00 00 00 74 12 8B F0 8B CB 8B D0 8B 86 CC 00 00 00 FF 96 C8 00 00 00 85 DB 75 06 8B 1D ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_72697_0 {
	meta:
		name = "TCustomActionManager.GetActionBarItemClass"
		size = 59
		refs = "0004 _DV_TActionBarItem"
	strings:
		$1 = { 53 51 8B 15 ?? ?? ?? ?? 89 14 24 66 83 B8 C2 00 00 00 00 74 12 8B CC 8B D8 8B D0 8B 83 C4 00 00 00 FF 93 C0 00 00 00 83 3C 24 00 75 08 A1 ?? ?? ?? ?? 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_72698_0 {
	meta:
		name = "TCustomActionManager.IsLinkedActionListsStored"
		size = 29
		refs = "000a TCustomActionManager.GetLinkedActionLists"
	strings:
		$1 = { 83 B8 94 00 00 00 00 74 11 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 0F 9F C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_72700_0 {
	meta:
		name = "TCustomActionManager.IsActionBarsStored"
		size = 14
	strings:
		$1 = { 8B 40 74 8B 40 08 83 78 08 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_72702_0 {
	meta:
		name = "TCustomActionManager.SetFileName"
		size = 95
		refs = "000e @UStrAddRef 0016 TCustomActionManager.SetFileName 002a @UStrEqual 003a @UStrAsg 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 93 9C 00 00 00 E8 ?? ?? ?? ?? 74 0E 8D 83 9C 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_72703_0 {
	meta:
		name = "TCustomActionManager.GetLinkedActionLists"
		size = 46
		refs = "000d _DV_TActionListItem 0017 _DV_TActionListCollection 001c TOwnedCollection.Create"
	strings:
		$1 = { 53 8B D8 83 BB 94 00 00 00 00 75 1A A1 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 94 00 00 00 8B 83 94 00 00 00 5B C3 }
	condition:
		$1
}

rule function_72704_0 {
	meta:
		name = "TCustomActionManager.ReadStyleProp"
		size = 292
		refs = "001a TCustomActionManager.ReadStyleProp 002a TReader.ReadString 004a ActionBarStyles 0062 TActionBarStyleList.GetStyle 006c TCustomActionManager.SetStyle 0086 SMissingActionBarStyleName 008b LoadResString 0095 _Dn_Exception 009a Exception.CreateFmt 009f @RaiseExcept 00ae @HandleAnyException 00bc ApplicationHandleException 00c8 ExceptObject 00dc ExceptAddr 00e8 ShowException 00ef @RaiseAgain 00f4 @DoneExcept 0109 @UStrClr 0117 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 C0 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC A1 ?? ?? ?? ?? 8B 08 FF 51 54 8B D8 83 FB FF 7E 18 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? EB 31 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 4B E9 ?? ?? ?? ?? 8B 45 F8 F6 40 1C 10 74 33 A1 ?? ?? ?? ?? 66 83 78 02 00 74 14 E8 ?? ?? ?? ?? 8B D0 8B 1D ?? ?? ?? ?? 8B 43 04 FF 13 EB 18 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72705_0 {
	meta:
		name = "TCustomActionManager.WriteStyleProp"
		size = 112
		refs = "0013 TCustomActionManager.WriteStyleProp 002e ActionBarStyles 0033 TActionBarStyleList.GetStyle 004a TWriter.WriteString 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 90 E8 00 00 00 85 D2 74 04 8B DA EB 0E 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 F8 8B C3 8B 08 FF 51 08 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_72706_0 {
	meta:
		name = "TCustomActionManager.HasLinkedActionLists"
		size = 11
	strings:
		$1 = { 83 B8 94 00 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_72707_0 {
	meta:
		name = "TCustomActionManager.AfterConstruction"
		size = 58
		refs = "0006 TObject.AfterConstruction 0018 DefaultActnBarStyle 001d ActionBarStyles 002e TActionBarStyleList.GetStyle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 74 28 F6 43 1C 01 75 22 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 08 FF 51 54 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 E8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_72708_0 {
	meta:
		name = "TCustomActionManager.SetStyle"
		size = 219
		refs = "0033 TActionBars.GetActionBar 0060 TCustomActionBar.GetColorMap 00d2 NotifyDesigner"
	strings:
		$1 = { 53 56 57 55 8B D8 3B 93 E8 00 00 00 0F 84 C4 00 00 00 89 93 E8 00 00 00 8B 43 74 8B 40 08 8B 78 08 4F 85 FF 0F 8C 81 00 00 00 47 33 F6 8B D6 8B 43 74 E8 ?? ?? ?? ?? 83 78 0C 00 74 6A 8B D6 8B 43 74 E8 ?? ?? ?? ?? 8B 40 0C 8B 10 FF 92 74 01 00 00 8B D6 8B 43 74 E8 ?? ?? ?? ?? 8B 40 0C E8 ?? ?? ?? ?? 8B E8 8B D6 8B 43 74 E8 ?? ?? ?? ?? 8B 40 0C 3B A8 E8 02 00 00 75 17 8B D6 8B 43 74 E8 ?? ?? ?? ?? 8B 40 0C 33 D2 8B 08 FF 91 54 01 00 00 8B D6 8B 43 74 E8 ?? ?? ?? ?? 8B 40 0C 8B 10 FF 92 9C 00 00 00 46 4F 75 82 66 83 BB E2 00 00 00 00 74 0E 8B D3 8B 83 E4 00 00 00 FF 93 E0 00 00 00 F6 43 1C 10 74 0D F6 43 1C 01 75 07 33 C0 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72709_0 {
	meta:
		name = "TCustomActionManager.SetState"
		size = 145
		refs = "0015 TCustomActionList.SetState 0024 TCollection.GetEnumerator 002f TCustomActionManager.SetState 0045 TCollection.GetItem 005d TCollectionEnumerator.MoveNext 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 55 FF 8B D8 0F B6 55 FF 8B C3 E8 ?? ?? ?? ?? 8B 83 94 00 00 00 85 C0 74 67 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 5D F8 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 8B F8 8B F7 0F B6 55 FF 8B 46 0C 8B 08 FF 51 48 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_72710_0 {
	meta:
		name = "TActionListItem.Assign"
		size = 198
		refs = "0016 TActionListItem.Assign 0026 TPersistent.Assign 002e _DV_TActionListItem 0033 @IsClass 0063 TActionListItem.SetActionList 006d TActionListItem.GetCaption 007b @UStrAsg 009d @HandleFinally 00b4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 68 8B 45 FC 8B 70 04 85 F6 74 07 8B C6 8B 10 FF 52 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B F3 8B 56 0C 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 83 C0 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_72711_0 {
	meta:
		name = "TActionListItem.GetCaption"
		size = 75
		refs = "000e @UStrAsg 003d SNoName 0042 LoadResString"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B C6 8B 53 10 E8 ?? ?? ?? ?? 8B 06 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 85 C0 75 1F 8B 7B 0C 85 FF 74 0C 8B C6 8B 57 08 E8 ?? ?? ?? ?? EB 0C 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72712_0 {
	meta:
		name = "TActionListItem.GetDisplayName"
		size = 36
		refs = "0011 TActionListItem.GetCaption 001d TCollectionItem.GetDisplayName"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 0C 00 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72714_0 {
	meta:
		name = "TActionListItem.SetActionList"
		size = 172
		refs = "0010 TActionListItem.SetActionList 001d TActionListItem.Owner 0022 TActionListCollection.GetActionManager 002e SCircularReferencesNotAllowed 0033 LoadResString 003d _Dn_Exception 0042 Exception.Create 0047 @RaiseExcept 0067 TComponent.RemoveFreeNotification 0085 TComponent.FreeNotification 009a @UStrClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7B 0C 3B F7 74 37 85 FF 74 15 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B FE 89 7B 0C 85 FF 74 15 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72721_0 {
	meta:
		name = "IfHotkeyAvailable"
		size = 46
		refs = "000b AnsiPos 0025 @UStrDelete"
	strings:
		$1 = { 55 8B EC 53 8B 55 08 8B 52 FC E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 74 11 8B 55 08 83 C2 FC B9 01 00 00 00 92 E8 ?? ?? ?? ?? 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_82279_0 {
	meta:
		name = "IfHotkeyAvailable"
		size = 46
		refs = "000b Pos 0025 @UStrDelete"
	strings:
		$1 = { 55 8B EC 53 8B 55 08 8B 52 FC E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 74 11 8B 55 08 83 C2 FC B9 01 00 00 00 92 E8 ?? ?? ?? ?? 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_72722_0 {
	meta:
		name = "CopyToBest"
		size = 129
		refs = "0078 @UStrLAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B 08 FF 51 08 8B 45 08 8B 40 F4 8B 10 FF 52 14 8B 55 08 89 42 F0 8B 45 08 8B 40 EC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 31 46 33 DB 8B 45 08 8B 40 EC 8B D3 8B 08 FF 51 18 50 8B 45 08 8B 40 EC 8B D3 8B 08 FF 51 18 8B 50 20 8B 45 08 8B 40 F8 59 8B 38 FF 57 3C 43 4E 75 D2 8B 45 08 83 C0 E8 8B 55 08 8B 52 FC E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_72723_0 {
	meta:
		name = "InsertHotkeyFarEastFormat"
		size = 428
		refs = "001e InsertHotkeyFarEastFormat 0054 TCharacter.GetUnicodeCategory 0099 @UStrCopy 00a6 @UStrEqual 00fb @UStrCatN 0139 @UStrInsert 0153 @UStrArrayClr 0159 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 FC 8B 00 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 8B F8 85 FF 7E 24 BE 01 00 00 00 8B 45 FC 8B 00 0F B7 44 70 FE E8 ?? ?? ?? ?? 3C 07 74 04 3C 0F 75 04 B3 01 EB 04 46 4F 75 E1 84 DB 0F 84 B7 00 00 00 8B 45 FC 8B 00 89 45 F0 8B 5D F0 85 DB 74 05 83 EB 04 8B 1B 8D 45 EC 50 8B D3 83 EA 03 42 8B 45 FC 8B 00 B9 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 55 8B 45 FC 8B 00 89 45 F0 8B 5D F0 85 DB 74 05 83 EB 04 8B 1B 8D 45 E8 50 8B CB 83 E9 03 8B 45 FC 8B 00 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC BA 06 00 00 00 E8 ?? ?? ?? ?? EB 3C 8B 45 FC FF 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? EB 16 83 7D F4 00 74 10 8B 55 FC 8B 4D F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 2E 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_72724_0 {
	meta:
		name = "TActionClientsCollection.InternalRethinkHotkeys"
		size = 1296
		refs = "002d TActionClientsCollection.InternalRethinkHotkeys 0055 ValidMenuHotkeys 005c @UStrLAsg 0063 _Dn_TStringList 0068 TStringList.Create 00cd TActionClientsCollection.GetActionClient 00ee @UStrEqual 011d GetHotkey 0128 UpperCase 0138 TCollection.GetItem 0162 AnsiPos 016f IfHotkeyAvailable 0197 StripHotkey 01a0 @UStrAsg 0263 @UStrCopy 0281 SysLocale 0294 InsertHotkeyFarEastFormat 02a5 @UStrInsert 02d1 @UStrLen 02f6 CopyToBest 0405 @UStrDelete 0439 TObject.Free 0457 @HandleFinally 04c4 @UStrArrayClr 04d9 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 C9 89 4D B8 89 4D BC 89 4D C0 89 4D C4 89 4D E4 89 4D E0 89 4D DC 89 4D FC 89 4D E8 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 D7 00 8B 45 D8 80 78 1C 00 0F 84 66 04 00 00 84 D2 0F 84 0D 04 00 00 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 D8 8B 40 08 8B 40 08 48 85 C0 0F 8C 0F 01 00 00 40 89 45 C8 33 F6 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 80 78 30 00 0F 84 EB 00 00 00 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 8B 40 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 CE 00 00 00 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 83 78 20 00 0F 84 BA 00 00 00 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 8B 40 20 8D 55 C4 E8 ?? ?? ?? ?? 8B 45 C4 8D 55 E4 E8 ?? ?? ?? ?? 83 7D E4 00 75 24 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 50 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 8B 48 20 33 D2 8B 45 D0 8B 18 FF 53 64 EB 70 8B 15 ?? ?? ?? ?? 8B 12 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 74 5C 55 8B 45 E4 E8 ?? ?? ?? ?? 59 84 C0 75 4E 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 83 C0 20 50 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 8B 40 20 8D 55 C0 E8 ?? ?? ?? ?? 8B 55 C0 58 E8 ?? ?? ?? ?? 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 50 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 8B 48 20 33 D2 8B 45 D0 8B 18 FF 53 64 46 FF 4D C8 0F 85 F7 FE FF FF 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 D0 8B 10 FF 52 14 48 85 C0 0F 8C 65 01 00 00 40 89 45 C8 8D 45 FC 8B 55 DC E8 ?? ?? ?? ?? 8B 55 D0 8B 45 EC 8B 08 FF 51 08 8B 45 F4 8B 10 FF 52 44 8B 45 EC 8B 10 FF 52 14 8B F0 4E 83 FE 00 0F 8C C5 00 00 00 8D 4D E0 8B D6 8B 45 EC 8B 18 FF 53 0C BB 01 00 00 00 E9 94 00 00 00 8B 45 E0 66 81 7C 58 FE 00 D8 72 0F 8B 45 E0 66 81 7C 58 FE FF DF 77 03 43 EB 78 8D 45 BC 50 B9 01 00 00 00 8B D3 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 BC 8D 55 E4 E8 ?? ?? ?? ?? 55 8B 45 E4 E8 ?? ?? ?? ?? 59 84 C0 74 4C A1 ?? ?? ?? ?? 80 78 0C 00 74 0F 8D 45 E0 8B CB 8B 55 E4 E8 ?? ?? ?? ?? EB 0F 8D 55 E0 8B CB B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 45 EC 8B 08 FF 51 18 8B C8 8B 55 E0 8B 45 F4 8B 18 FF 53 3C 8B D6 8B 45 EC 8B 08 FF 51 48 EB 11 43 8B 45 E0 E8 ?? ?? ?? ?? 3B D8 0F 8E 5C FF FF FF 4E 83 FE FF 0F 85 3B FF FF FF 8B 45 F4 8B 10 FF 52 14 3B 45 F0 7E 07 55 E8 ?? ?? ?? ?? 59 8B 45 EC 8B 10 FF 52 14 85 C0 7E 4A 8B 45 EC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 33 F6 8B D6 8B 45 EC 8B 08 FF 51 18 8B D0 8B 45 D0 8B 08 FF 51 5C 8B F8 8B 45 D0 8B 10 FF 52 14 8B C8 49 8B D7 8B 45 D0 8B 38 FF 57 78 46 4B 75 D1 FF 4D C8 0F 85 9F FE FF FF 83 7D F0 00 75 07 55 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 10 FF 52 14 85 C0 0F 9F 45 D7 8B 45 F8 8B 10 FF 52 14 48 85 C0 0F 8C AB 00 00 00 40 89 45 C8 33 F6 8D 4D E0 8B D6 8B 45 F8 8B 18 FF 53 0C A1 ?? ?? ?? ?? 80 78 0C 00 74 6E 8B 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 5D 83 7D E8 00 74 57 8B 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 46 8B 5D E8 85 DB 74 05 83 EB 04 8B 1B 8D 45 B8 50 B9 01 00 00 00 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 B8 8D 45 E0 33 C9 E8 ?? ?? ?? ?? 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 8D 55 E8 B9 01 00 00 00 92 E8 ?? ?? ?? ?? 8B D6 8B 45 F8 8B 08 FF 51 18 83 C0 20 8B 55 E0 E8 ?? ?? ?? ?? 46 FF 4D C8 0F 85 5B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B 45 D8 8B 40 08 8B 40 08 48 85 C0 7C 43 40 89 45 C8 33 F6 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 83 78 2C 00 74 27 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 8B 40 2C 80 78 1C 00 74 14 8B D6 8B 45 D8 E8 ?? ?? ?? ?? 8B 40 2C B2 01 E8 ?? ?? ?? ?? 46 FF 4D C8 75 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 0F B6 45 D7 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 }
	condition:
		$1
}

rule function_72725_0 {
	meta:
		name = "TActionClientsCollection.Create"
		size = 67
		refs = "000d @ClassCreate 001e TOwnedCollection.Create 002d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 1C 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_72727_0 {
	meta:
		name = "UpdateActionBar"
		size = 56
		refs = "0007 TActionClient.GetItems 0031 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 74 20 8B C3 E8 ?? ?? ?? ?? 8B 50 20 85 D2 74 12 83 7A 0C 00 74 0C 8B 42 0C 66 BE D0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72728_0 {
	meta:
		name = "TActionClientsCollection.IterateClients"
		size = 289
		refs = "002f TActionClientsCollection.GetActionClient 0034 TActionClient.GetHasItems 0074 TActionClient.GetItems 007e TActionClientsCollection.IterateClients 008c UpdateActionBar"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 89 45 FC 85 F6 0F 84 04 01 00 00 8B 46 08 8B 40 08 48 85 C0 0F 8C F5 00 00 00 40 89 45 F8 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 56 66 83 7D 0A 00 74 13 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 EB 0E 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 30 FF 75 0C FF 75 08 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7D 8B D3 8B C6 E8 ?? ?? ?? ?? 83 78 0C 00 74 38 66 83 7D 0A 00 74 13 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 EB 0E 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 30 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 36 66 83 7D 0A 00 74 13 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 EB 0E 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 30 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 FF 4D F8 0F 85 11 FF FF FF 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_72729_0 {
	meta:
		name = "TActionClientsCollection.SetAutoHotKeys"
		size = 16
		refs = "000b TActionClientsCollection.InternalRethinkHotkeys"
	strings:
		$1 = { 3A 50 1C 74 0A 88 50 1C B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72730_0 {
	meta:
		name = "TActionClient.Create"
		size = 96
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 003a TActionClient.Create 0048 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 38 C6 46 14 00 C6 46 30 01 C6 46 28 01 C7 46 24 00 00 00 20 C6 46 14 00 0F B6 05 ?? ?? ?? ?? 88 46 31 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 07 00 00 00 }
	condition:
		$1
}

rule function_72731_0 {
	meta:
		name = "TActionClient.Destroy"
		size = 121
		refs = "0004 @BeforeDestruction 0019 TObject.Free 0039 TActionClient.ClearActionBar 0056 TActionClient.FreeChildren 0064 TCollectionItem.Destroy 0071 @ClassDestroy"
	strings:
		$1 = { 53 56 51 E8 ?? ?? ?? ?? 88 14 24 8B D8 8D 43 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 73 0C 85 F6 74 12 F6 46 1C 08 75 0C 8B C6 33 D2 8B 08 FF 91 4C 01 00 00 8B C3 E8 ?? ?? ?? ?? 83 7B 10 00 74 10 8D 43 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 14 24 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_72732_0 {
	meta:
		name = "TActionClient.AreContextItemsStored"
		size = 90
	strings:
		$1 = { 8B 50 1C 85 D2 74 50 8B 4A 08 83 79 08 00 7E 04 B1 01 EB 07 0F B6 4A 1C 80 F1 01 84 C9 74 04 B1 01 EB 07 80 7A 28 01 0F 95 C1 84 C9 74 04 B1 01 EB 07 0F B6 4A 24 80 F1 01 84 C9 74 04 B1 01 EB 07 0F B6 4A 2A 80 F1 01 84 C9 74 04 B0 01 EB 09 0F B6 42 29 34 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_72733_0 {
	meta:
		name = "TActionClient.Assign"
		size = 239
		refs = "000f _DV_TActionClient 0014 @IsClass 0035 TActionClient.Assign 0056 TActionClient.GetContextItems 0065 TActionClient.HasBackground 0070 TActionClient.GetBackground 008b TActionClient.SetBackgroundLayout 00a5 TActionClient.GetItems 00b8 TActionClient.SetActionBar 00da @HandleFinally 00e6 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C0 00 00 00 8B 45 FC 8B 70 04 85 F6 74 07 8B C6 8B 10 FF 52 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B F3 8B 56 24 8B 45 FC 8B 08 FF 51 28 83 7E 1C 00 74 10 8B 45 FC E8 ?? ?? ?? ?? 8B 56 1C 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 84 C0 74 16 8B C6 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 0F B6 56 14 8B 45 FC E8 ?? ?? ?? ?? 0F B6 56 30 8B 45 FC 8B 08 FF 51 2C 83 7E 2C 00 74 10 8B 45 FC E8 ?? ?? ?? ?? 8B 56 2C 8B 08 FF 51 08 8B 56 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB E9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72734_0 {
	meta:
		name = "TActionClient.ClearActionBar"
		size = 6
		altNames = "TTreeNodes.ClearCache"
	strings:
		$1 = { 33 D2 89 50 0C C3 }
	condition:
		$1
}

rule function_72736_0 {
	meta:
		name = "TActionClient.FreeChildren"
		size = 84
		refs = "0026 TActionClients.GetActionClient 003b TActionClient.FreeChildren 0047 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D8 8B 53 2C 85 D2 74 44 8B 42 08 8B 40 08 85 C0 7E 2D 8B F8 4F 85 FF 7C 26 47 33 F6 8B D6 8B 43 2C E8 ?? ?? ?? ?? 83 78 2C 00 74 0F 8B D6 8B 43 2C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 DD 8B 43 2C E8 ?? ?? ?? ?? 33 C0 89 43 2C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72737_0 {
	meta:
		name = "TActionClient.GetBackground"
		size = 29
		refs = "000c _Dn_TPicture 0011 TPicture.Create"
	strings:
		$1 = { 53 8B D8 83 7B 10 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B 43 10 5B C3 }
	condition:
		$1
}

rule function_91702_0 {
	meta:
		name = "TTeeFilter.GetRegion"
		size = 29
		refs = "000c _DV_TFilterRegion 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 10 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B 43 10 5B C3 }
	condition:
		$1
}

rule function_72738_0 {
	meta:
		name = "TActionClient.GetContextItems"
		size = 49
		refs = "000a _DV_TActionClientItem 0012 TActionClient.GetOwningCollection 0017 TActionClientsCollection.GetActionManager 0020 _DV_TActionClients 0025 TActionClients.Create"
	strings:
		$1 = { 53 8B D8 83 7B 1C 00 75 23 A1 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 1C 8B 43 1C 5B C3 }
	condition:
		$1
}

rule function_72739_0 {
	meta:
		name = "TActionClient.GetHasItems"
		size = 21
	strings:
		$1 = { 8B 50 2C 85 D2 74 0B 8B 42 08 83 78 08 00 0F 9F C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_72740_0 {
	meta:
		name = "TActionClientItem.GetParentItem"
		size = 30
		refs = "0006 TActionClientItem.GetActionClients"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0C 8B C3 E8 ?? ?? ?? ?? 8B 40 20 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_72741_0 {
	meta:
		name = "TActionClient.GetItems"
		size = 153
		refs = "0012 TActionClient.GetOwningCollection 0022 TActionClientsCollection.GetActionManager 003f @CallDynaInst 006a _DV_TActionClientItem 0080 _DV_TActionClients 0085 TActionClients.Create"
	strings:
		$1 = { 53 56 57 8B D8 83 7B 2C 00 0F 85 83 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 74 4F 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 3F 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C7 66 BE ED FF E8 ?? ?? ?? ?? 50 8B C7 66 BE EE FF E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 58 FF 50 28 89 43 2C EB 23 A1 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 89 58 20 8B 43 2C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72743_0 {
	meta:
		name = "TActionClient.HasBackground"
		size = 39
		altNames = "TActionClient.IsBackgroundStored"
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 12 83 7E 0C 00 74 0C 8B 46 0C 8B 10 FF 52 20 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_72744_0 {
	meta:
		name = "TActionClient.HasVisibleItems"
		size = 114
		refs = "000b TActionClient.GetItems 0029 TActionClients.GetActionClient 002e TActionClientItem.Unused 005d TActionClient.HasVisibleItems"
	strings:
		$1 = { 53 56 57 55 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 4F 47 33 ED 8B C6 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 18 8B C6 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 80 78 30 00 74 04 B3 01 EB 19 8B C6 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 02 B3 01 45 4F 75 B4 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72746_0 {
	meta:
		name = "TActionClient.IsChildItem"
		size = 83
		refs = "0014 TActionClient.GetItems 0024 TActionClient.GetOwningCollection"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 33 DB 85 F6 74 10 85 F6 74 10 8B C6 E8 ?? ?? ?? ?? 3B 47 04 75 04 B3 01 EB 2C 8B C7 E8 ?? ?? ?? ?? 8B 78 20 85 FF 74 1E 8B C6 E8 ?? ?? ?? ?? 3B 47 04 75 04 B3 01 EB 0E 8B C7 E8 ?? ?? ?? ?? 8B 78 20 85 FF 75 E2 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72747_0 {
	meta:
		name = "TActionClient.IsItemsStored"
		size = 90
	strings:
		$1 = { 8B 50 2C 85 D2 74 50 8B 4A 08 83 79 08 00 7E 04 B1 01 EB 07 0F B6 4A 1C 80 F1 01 84 C9 74 04 B1 01 EB 07 80 7A 28 01 0F 95 C1 84 C9 74 04 B1 01 EB 07 0F B6 4A 24 80 F1 01 84 C9 74 04 B1 01 EB 07 0F B6 4A 2A 80 F1 01 84 C9 74 04 B0 01 EB 09 0F B6 42 29 34 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_72749_0 {
	meta:
		name = "TActionClient.SetActionBar"
		size = 247
		refs = "0017 TActionClient.SetActionBar 0030 TActionClient.GetOwningCollection 004b SAssignSubItemError 0050 LoadResString 005a _Dn_Exception 005f Exception.Create 0064 @RaiseExcept 00a1 TActionClientsCollection.GetActionManager 00e4 @UStrClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 0C 3B 45 FC 0F 84 A6 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 41 8B 7B 20 85 FF 74 34 83 7F 0C 00 74 23 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B C7 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 85 DB 75 BF 8B 46 0C 85 C0 74 11 83 B8 80 02 00 00 00 74 08 8B 10 FF 92 00 01 00 00 83 7D FC 00 74 34 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 40 1C 01 75 22 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 B8 B0 00 00 00 00 75 0D 8B D6 8B 45 FC 8B 08 FF 91 4C 01 00 00 8B 45 FC 89 46 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_72750_0 {
	meta:
		name = "TActionClient.SetItems"
		size = 30
		refs = "0010 TObject.Free"
	strings:
		$1 = { 85 D2 75 11 83 C0 2C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 8B 40 2C 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_72751_0 {
	meta:
		name = "TActionClient.SetBackground"
		size = 128
		refs = "0018 TActionClient.GetHasItems 0028 TCustomActionBar.GetItems 0047 TActionClients.GetActionClient 005f TCustomActionControl.SetTransparent 006d TWinControl.AlignControl"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B D3 8B 46 10 8B 08 FF 51 08 85 DB 74 67 8B C6 E8 ?? ?? ?? ?? 84 C0 74 5C 8B 46 0C 85 C0 74 55 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B D8 4B 85 DB 7C 2E 43 33 FF 8B 46 0C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 40 44 0F B6 56 14 80 C2 FD 80 EA 02 0F 92 C2 80 F2 01 E8 ?? ?? ?? ?? 47 4B 75 D5 8B 46 0C 33 D2 E8 ?? ?? ?? ?? 8B 46 0C 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72752_0 {
	meta:
		name = "TActionClient.SetBackgroundLayout"
		size = 153
		refs = "0017 TActionClient.HasBackground 0022 TActionClient.GetHasItems 002d TActionClient.GetItems 004b TActionClients.GetActionClient 0075 TCustomActionControl.SetTransparent"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 3A 5E 14 0F 84 83 00 00 00 88 5E 14 8B C6 E8 ?? ?? ?? ?? 84 C0 74 5E 8B C6 E8 ?? ?? ?? ?? 84 C0 74 53 8B C6 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 3F 47 33 ED 8B C6 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 83 78 44 00 74 24 8B C6 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 8B 40 44 8B D3 80 C2 FD 80 EA 02 0F 92 C2 80 F2 01 E8 ?? ?? ?? ?? 45 4F 75 C4 8B 46 0C 85 C0 74 10 8B 10 FF 52 74 8B 46 0C 8B 10 FF 92 9C 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72753_0 {
	meta:
		name = "TActionClient.SetChangesAllowed"
		size = 26
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 04 24 3A 43 31 74 07 0F B6 04 24 88 43 31 5A 5B C3 }
	condition:
		$1
}

rule function_72754_0 {
	meta:
		name = "TActionClient.SetColor"
		size = 20
	strings:
		$1 = { 56 8B F0 3B 56 24 74 0A 89 56 24 8B C6 8B 10 FF 52 20 5E C3 }
	condition:
		$1
}

rule function_72756_0 {
	meta:
		name = "TActionClient.SetVisible"
		size = 16
		refs = "000b NotifyDesigner"
	strings:
		$1 = { 3A 50 30 74 0A 88 50 30 33 C0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72757_0 {
	meta:
		name = "TActionBarItem.ColorChanged"
		size = 38
		refs = "0017 TControl.SetParentColor 0021 TControl.SetColor"
	strings:
		$1 = { 8B 50 0C 85 D2 74 1E 8B 48 24 81 F9 00 00 00 20 75 0B 8B C2 B2 01 E8 ?? ?? ?? ?? EB 08 8B C1 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72758_0 {
	meta:
		name = "TActionBarItem.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TActionClient.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 3C 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_72760_0 {
	meta:
		name = "TActionBarItem.GetDisplayName"
		size = 84
		refs = "0014 TActionBarItem.GetDisplayName 0019 @UStrCat3 0024 TCollectionItem.GetDisplayName"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 0C 85 FF 74 11 8B 4F 08 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 41 00 63 00 74 00 69 00 6F 00 6E 00 42 00 61 00 72 00 20 00 2D 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_72761_0 {
	meta:
		name = "TActionBarItem.Refresh"
		size = 23
	strings:
		$1 = { 56 8B 70 0C 85 F6 74 0D F6 46 1C 01 75 07 8B C6 8B 10 FF 52 74 5E C3 }
	condition:
		$1
}

rule function_72762_0 {
	meta:
		name = "TActionBarItem.SetAutoSize"
		size = 28
	strings:
		$1 = { 56 8B F0 3A 56 3C 74 12 88 56 3C 8B 46 0C 85 C0 74 08 8B 10 FF 92 FC 00 00 00 5E C3 }
	condition:
		$1
}

rule function_72763_0 {
	meta:
		name = "TActionBarItem.SetGlyphLayout"
		size = 272
		refs = "0037 TActionBarItem.SetGlyphLayout 0045 TActionClient.GetItems 0064 TActionClients.GetActionClient 00a2 TWinControl.EnableAlign 00b1 @CallDynaInst 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC 3A 58 3D 0F 84 F2 00 00 00 8B 45 FC 88 58 3D 8B 45 FC 8B 40 0C 85 C0 0F 84 91 00 00 00 66 FF 80 B4 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 38 46 33 FF 8B 45 FC E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 83 78 44 00 74 1C 8B 45 FC E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 40 44 8B D3 8B 08 FF 91 00 01 00 00 47 4E 75 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 66 BE D0 FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 38 46 33 FF 8B 45 FC E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 83 78 44 00 74 1C 8B 45 FC E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 40 44 8B D3 8B 08 FF 91 00 01 00 00 47 4E 75 CB 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72764_0 {
	meta:
		name = "TActionBarItem.SetVisible"
		size = 28
		refs = "0006 TActionClient.SetVisible 0016 TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 85 C0 74 09 0F B6 53 30 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72765_0 {
	meta:
		name = "TActionBars.Create"
		size = 86
		refs = "000d @ClassCreate 001e TActionClientsCollection.Create 002c TActionBars.SetShowHints 0035 TActionBars.SetHintShortCuts 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 28 B2 01 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_72767_0 {
	meta:
		name = "TActionBars.DoShowHint"
		size = 44
		refs = "000a _DV_TActionBarItem 000f @IsClass 0025 TControl.SetShowHint"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 83 7B 0C 00 74 0C 8B 43 0C 0F B6 56 2C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72769_0 {
	meta:
		name = "TActionBars.GetHintShortCuts"
		size = 28
		refs = "0004 Application"
	strings:
		$1 = { 33 C0 8B 15 ?? ?? ?? ?? 83 3A 00 74 0E A1 ?? ?? ?? ?? 8B 00 0F B6 80 80 00 00 00 C3 }
	condition:
		$1
}

rule function_72770_0 {
	meta:
		name = "TActionBars.Loaded"
		size = 105
		refs = "001e TActionBars.GetActionBar 0027 _Dn_TCustomActionDockBar 002c @IsClass"
	strings:
		$1 = { 53 56 57 51 89 04 24 8B 04 24 8B 40 08 8B 78 08 4F 85 FF 7C 4F 47 33 F6 8B D6 8B 04 24 E8 ?? ?? ?? ?? 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2C 8B D6 8B 04 24 E8 ?? ?? ?? ?? 8B 58 0C 8B C3 8B 10 FF 92 94 01 00 00 50 8B 43 54 50 8B 4B 4C 8B 53 48 8B C3 8B 18 FF 93 A4 00 00 00 46 4F 75 B4 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72771_0 {
	meta:
		name = "TActionBars.Notify"
		size = 55
		refs = "000b TCollection.Notify 0018 _DV_TActionBarItem 001d @IsClass"
	strings:
		$1 = { 53 56 8B D9 8B F2 8B CB 8B D6 E8 ?? ?? ?? ?? 80 FB 02 75 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B 46 0C 85 C0 74 08 33 D2 89 90 80 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_72772_0 {
	meta:
		name = "TActionBars.SetShowHints"
		size = 22
		refs = "000a TActionBars.DoShowHint 0011 TActionClientsCollection.IterateClients"
	strings:
		$1 = { 3A 50 2C 74 10 88 50 2C 50 68 ?? ?? ?? ?? 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72773_0 {
	meta:
		name = "TActionBars.SetHintShortCuts"
		size = 24
		refs = "0001 Application"
	strings:
		$1 = { A1 ?? ?? ?? ?? 83 38 00 74 0D A1 ?? ?? ?? ?? 8B 00 88 90 80 00 00 00 C3 }
	condition:
		$1
}

rule function_72774_0 {
	meta:
		name = "TActionClients.Create"
		size = 79
		refs = "000d @ClassCreate 001e TActionClientsCollection.Create 0039 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 28 01 C6 46 29 01 C6 46 2A 01 C6 46 1C 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_72776_0 {
	meta:
		name = "TActionClients.Assign"
		size = 90
		refs = "000c TCollection.Assign 0014 _DV_TActionClients 0019 @IsClass 002a TActionClientsCollection.SetAutoHotKeys 003c TActionClients.SetHideUnused 0047 TActionClients.SetCaptionOptions 0052 TActionClients.SetSmallIcons"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8B FE 0F B6 57 1C 8B C3 E8 ?? ?? ?? ?? 0F B6 47 24 88 43 24 0F B6 57 2A 8B C3 E8 ?? ?? ?? ?? 0F B6 57 28 8B C3 E8 ?? ?? ?? ?? 0F B6 57 29 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72777_0 {
	meta:
		name = "TActionClients.DoHideUnused"
		size = 56
		refs = "000b _DV_TActionClientItem 0010 @IsClass 0027 TActionClient.GetItems 0030 TActionClients.SetHideUnused"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8B F3 C6 46 40 01 83 7E 2C 00 74 10 8B C6 E8 ?? ?? ?? ?? 0F B6 57 2A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72778_0 {
	meta:
		name = "TActionClients.DoShowCaptions"
		size = 37
		refs = "0007 _DV_TActionClientItem 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B 43 44 85 C0 74 08 8B 10 FF 92 08 01 00 00 5B C3 }
	condition:
		$1
}

rule function_72780_0 {
	meta:
		name = "TActionClients.Notify"
		size = 364
		refs = "0010 TCollection.Notify 0030 _DV_TActionClient 0035 @AsClass 004b TActionClient.GetOwningCollection 0052 TActionClientsCollection.InternalRethinkHotkeys 0084 TWinControl.HandleAllocated 00a5 _DV_TActionClientItem 00aa @IsClass 00bb TActionClientItem.GetParentItem 00fc TWinControl.GetHandle 0102 PostMessage 010b TActionClient.FreeChildren"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 EB 01 72 13 0F 84 82 00 00 00 FE CB 0F 84 E1 00 00 00 E9 3C 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5E 20 85 DB 0F 84 24 01 00 00 85 DB 74 0E 8B C3 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 DB 8B 56 20 8B 42 0C 85 C0 74 04 8B D8 EB 09 8B 42 18 85 C0 74 02 8B D8 83 7E 0C 00 0F 85 EF 00 00 00 85 DB 0F 84 E7 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 D8 00 00 00 8B D7 8B C3 8B 08 FF 91 68 01 00 00 E9 C7 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B2 00 00 00 8B DF 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 A1 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 78 18 00 0F 84 90 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 18 E8 ?? ?? ?? ?? 84 C0 74 7D 6A 00 6A 00 6A 05 8B C3 E8 ?? ?? ?? ?? 8B 40 18 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 60 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 48 8B DF 8B C3 E8 ?? ?? ?? ?? 85 C0 74 3B 8B C3 E8 ?? ?? ?? ?? 83 78 18 00 74 2E 8B C3 E8 ?? ?? ?? ?? 8B 40 18 E8 ?? ?? ?? ?? 84 C0 74 1B 6A 00 6A 00 6A 05 8B C3 E8 ?? ?? ?? ?? 8B 40 18 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72782_0 {
	meta:
		name = "TActionClients.SetCaptionOptions"
		size = 139
		refs = "0033 TActionClients.SetCaptionOptions 0042 TActionClients.DoShowCaptions 004d TActionClientsCollection.IterateClients 0068 TWinControl.EnableAlign 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 3A 50 28 74 79 8B 45 FC 88 50 28 8B 45 FC 8B 40 20 85 C0 74 55 83 78 0C 00 74 4F 8B 40 0C 66 FF 80 B4 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 68 ?? ?? ?? ?? 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 20 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC 50 68 ?? ?? ?? ?? 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_72783_0 {
	meta:
		name = "TActionClients.SetHideUnused"
		size = 41
		refs = "000e TActionClientsCollection.GetActionManager 001a TActionClients.DoHideUnused 0023 TActionClientsCollection.IterateClients"
	strings:
		$1 = { 53 8B D8 3A 53 2A 74 1F 88 53 2A 8B C3 E8 ?? ?? ?? ?? F6 40 1C 01 75 0F 53 68 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72784_0 {
	meta:
		name = "TActionClients.SetSmallIcons"
		size = 139
		refs = "0033 TActionClients.SetSmallIcons 0046 TActionClients.ToggleSmallIcons 006f TWinControl.EnableAlign 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 3A 50 29 74 79 8B 45 FC 88 50 29 8B 45 FC 8B 40 20 85 C0 74 5C 83 78 0C 00 74 56 8B 40 0C 66 FF 80 B4 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CA 8B 45 FC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 20 8B 40 0C 8B 10 FF 52 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 20 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B CA 8B 45 FC 8B 55 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_72785_0 {
	meta:
		name = "TActionClients.ToggleSmallIcons"
		size = 139
		refs = "0023 TActionClients.GetActionClient 003c TCustomActionControl.SetSmallIcon 004a TActionClient.GetHasItems 005c TActionClient.GetItems 0063 TActionClients.SetSmallIcons 007d TActionClients.ToggleSmallIcons"
	strings:
		$1 = { 53 56 57 55 51 8B D9 8B F2 89 04 24 85 F6 74 75 8B 46 08 8B 78 08 4F 85 FF 7C 6A 47 33 ED 8B D5 8B C6 E8 ?? ?? ?? ?? 83 78 44 00 74 13 8B D5 8B C6 E8 ?? ?? ?? ?? 8B 40 44 8B D3 E8 ?? ?? ?? ?? 8B D5 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2F 8B D5 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B D5 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B CB 8B 04 24 E8 ?? ?? ?? ?? 45 4F 75 99 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72786_0 {
	meta:
		name = "TActionClients.VisibleCount"
		size = 49
		refs = "001b TActionClients.GetActionClient"
	strings:
		$1 = { 53 56 57 55 8B F8 33 ED 8B 47 08 8B 58 08 4B 85 DB 7C 17 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 80 78 30 00 74 01 45 46 4B 75 EC 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72787_0 {
	meta:
		name = "TActionClientLink.AssignClient"
		size = 25
		refs = "000a _DV_TActionClientItem 000f @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_74177_0 {
	meta:
		name = "TButtonItemActionLink.AssignClient"
		size = 25
		refs = "000a _DV_TBaseButtonItem 000f @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_76237_0 {
	meta:
		name = "TControlActionLink.AssignClient"
		size = 25
		refs = "000a _DV_TControl 000f @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_82174_0 {
	meta:
		name = "TMenuActionLink.AssignClient"
		size = 25
		refs = "000a _DV_TMenuItem 000f @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_72788_0 {
	meta:
		name = "TActionClientLink.DoShowHint"
		size = 256
		refs = "0019 TActionClientLink.DoShowHint 002c _Dn_TCustomAction 0031 @IsClass 0043 @CallDynaInst 004c Application 0088 ShortCutToText 00a4 Format 00ae @UStrAsg 00c3 @UStrClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D F8 89 4D E4 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 79 8B D7 8B 43 10 66 BE EF FF E8 ?? ?? ?? ?? 84 C0 74 67 A1 ?? ?? ?? ?? 8B 00 80 B8 80 00 00 00 00 74 57 8B 43 10 66 83 B8 8C 00 00 00 00 74 4A 83 3F 00 74 45 8D 45 F8 50 8B 07 89 45 E8 C6 45 EC 11 8D 55 E4 8B 43 10 0F B7 80 8C 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 20 00 28 00 25 00 73 00 29 00 00 00 }
	condition:
		$1
}

rule function_76238_0 {
	meta:
		name = "TControlActionLink.DoShowHint"
		size = 256
		refs = "0019 TControlActionLink.DoShowHint 002c _Dn_TCustomAction 0031 @IsClass 0043 @CallDynaInst 004c Application 0088 ShortCutToText 00a4 Format 00ae @UStrAsg 00c3 @UStrClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D F8 89 4D E4 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 79 8B D7 8B 43 10 66 BE EF FF E8 ?? ?? ?? ?? 84 C0 74 67 A1 ?? ?? ?? ?? 8B 00 80 B8 80 00 00 00 00 74 57 8B 43 10 66 83 B8 8C 00 00 00 00 74 4A 83 3F 00 74 45 8D 45 F8 50 8B 07 89 45 E8 C6 45 EC 11 8D 55 E4 8B 43 10 0F B7 80 8C 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 20 00 28 00 25 00 73 00 29 00 00 00 }
	condition:
		$1
}

rule function_72789_0 {
	meta:
		name = "TActionClientLink.IsCaptionLinked"
		size = 165
		refs = "0011 TActionClientLink.IsCaptionLinked 001e TActionLink.IsCaptionLinked 002f TActionClientItem.GetCaption 003d @UStrEqual 0066 StripHotkey 0091 @UStrArrayClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 53 8D 55 FC 8B 46 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 10 8B 52 6C E8 ?? ?? ?? ?? 0F 94 C3 84 DB 75 33 8B 46 18 8B 40 04 80 78 1C 00 74 27 8D 55 F4 8B 46 18 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 56 10 8B 52 6C E8 ?? ?? ?? ?? 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72790_0 {
	meta:
		name = "TActionClientLink.IsEnabledLinked"
		size = 50
		refs = "0006 TActionLink.IsEnabledLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1C 8B 43 18 83 78 44 00 74 13 8B 43 18 8B 40 44 8B 10 FF 52 68 8B 53 10 3A 42 72 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_72791_0 {
	meta:
		name = "TActionClientLink.IsHelpContextLinked"
		size = 36
		refs = "0006 TActionLink.IsHelpContextLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 43 18 8B 40 68 8B 53 10 3B 42 7C 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_72792_0 {
	meta:
		name = "TActionClientLink.IsHintLinked"
		size = 59
		refs = "0006 TActionLink.IsHintLinked 002d @UStrEqual"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 8B 43 18 83 78 44 00 74 1C 8B 43 18 8B 40 44 8B 80 88 00 00 00 8B 53 10 8B 92 84 00 00 00 E8 ?? ?? ?? ?? 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_72793_0 {
	meta:
		name = "TActionClientLink.IsImageIndexLinked"
		size = 59
		refs = "0006 TActionLink.IsImageIndexLinked 002d @UStrEqual"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 8B 43 18 83 78 44 00 74 1C 8B 43 18 8B 40 44 8B 80 88 00 00 00 8B 53 10 8B 92 84 00 00 00 E8 ?? ?? ?? ?? 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_72794_0 {
	meta:
		name = "TActionClientLink.IsOnExecuteLinked"
		size = 51
		refs = "0006 TBasicActionLink.IsOnExecuteLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 43 18 83 78 44 00 74 14 8B 43 18 8B 40 44 8B 80 18 01 00 00 8B 53 10 3B 42 48 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_72795_0 {
	meta:
		name = "TActionClientLink.IsShortCutLinked"
		size = 41
		refs = "0006 TActionLink.IsShortCutLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 8B 43 18 0F B7 40 4C 8B 53 10 66 3B 82 8C 00 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_72796_0 {
	meta:
		name = "TActionClientLink.IsVisibleLinked"
		size = 40
		refs = "0006 TActionLink.IsVisibleLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 43 18 0F B6 40 30 8B 53 10 3A 82 8E 00 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_72797_0 {
	meta:
		name = "TActionClientLink.SetCaption"
		size = 30
		refs = "0017 TActionClientItem.SetCaption"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 20 84 C0 74 0A 8B D6 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74183_0 {
	meta:
		name = "TButtonItemActionLink.SetCaption"
		size = 30
		refs = "0017 TBaseItem.SetCaption"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 20 84 C0 74 0A 8B D6 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76247_0 {
	meta:
		name = "TControlActionLink.SetCaption"
		size = 30
		refs = "0017 TControl.SetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 20 84 C0 74 0A 8B D6 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82187_0 {
	meta:
		name = "TMenuActionLink.SetCaption"
		size = 30
		refs = "0017 TMenuItem.SetCaption"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 20 84 C0 74 0A 8B D6 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72798_0 {
	meta:
		name = "TActionClientLink.SetChecked"
		size = 46
		refs = "0006 TActionLink.SetChecked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 84 C0 74 17 8B 43 18 83 78 44 00 74 0E 8B 43 18 8B 40 44 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_72799_0 {
	meta:
		name = "TActionClientLink.SetEnabled"
		size = 36
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 28 84 C0 74 10 8B 46 18 8B 40 44 8B D3 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_72800_0 {
	meta:
		name = "TActionClientLink.SetHelpContext"
		size = 26
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 30 84 C0 74 06 8B 43 18 89 70 68 5E 5B C3 }
	condition:
		$1
}

rule function_72801_0 {
	meta:
		name = "TActionClientLink.SetHint"
		size = 38
		refs = "001f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 38 84 C0 74 12 8B 43 18 8B 40 44 05 88 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72802_0 {
	meta:
		name = "TActionClientLink.SetImageIndex"
		size = 30
		refs = "0017 TActionClientItem.SetImageIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 3C 84 C0 74 0A 8B D6 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74185_0 {
	meta:
		name = "TButtonItemActionLink.SetImageIndex"
		size = 30
		refs = "0017 TBaseButtonItem.SetImageIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 3C 84 C0 74 0A 8B D6 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82192_0 {
	meta:
		name = "TMenuActionLink.SetImageIndex"
		size = 30
		refs = "0017 TMenuItem.SetImageIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 3C 84 C0 74 0A 8B D6 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72803_0 {
	meta:
		name = "TActionClientLink.SetOnExecute"
		size = 46
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 08 84 C0 74 18 8B 43 18 8B 40 44 8B 55 08 89 90 18 01 00 00 8B 55 0C 89 90 1C 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_72804_0 {
	meta:
		name = "TActionClientLink.SetShortCut"
		size = 30
		refs = "0017 TActionClientItem.SetShortCut"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 40 84 C0 74 0A 8B D6 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82193_0 {
	meta:
		name = "TMenuActionLink.SetShortCut"
		size = 30
		refs = "0017 TMenuItem.SetShortCut"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 40 84 C0 74 0A 8B D6 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72805_0 {
	meta:
		name = "TActionClientLink.SetVisible"
		size = 30
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 44 84 C0 74 0A 8B D3 8B 46 18 8B 08 FF 51 2C 5E 5B C3 }
	condition:
		$1
}

rule function_72808_0 {
	meta:
		name = "TCommandProperties.DoChanged"
		size = 24
	strings:
		$1 = { 53 66 83 78 0A 00 74 0E 0F B6 48 10 8B D8 8B D0 8B 43 0C FF 53 08 5B C3 }
	condition:
		$1
}

rule function_72809_0 {
	meta:
		name = "TCommandProperties.GetControl"
		size = 7
	strings:
		$1 = { 8B 40 04 8B 40 44 C3 }
	condition:
		$1
}

rule function_72810_0 {
	meta:
		name = "TCommandProperties.InvalidateControl"
		size = 54
		refs = "0009 TCommandProperties.GetControl"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 85 C0 74 22 84 DB 74 0F 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 08 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_72811_0 {
	meta:
		name = "TButtonProperties.Assign"
		size = 79
		refs = "000b TCommandProperties.Assign 0013 _DV_TButtonProperties 0018 @IsClass 0027 TButtonProperties.SetButtonSize 0032 TButtonProperties.SetButtonType 003d TButtonProperties.SetGroupPosition 0048 TButtonProperties.SetTextAssociation"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2C 0F B6 56 18 8B C3 E8 ?? ?? ?? ?? 0F B6 56 19 8B C3 E8 ?? ?? ?? ?? 0F B6 56 1A 8B C3 E8 ?? ?? ?? ?? 0F B6 56 1B 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72812_0 {
	meta:
		name = "TButtonProperties.Create"
		size = 69
		refs = "000a @ClassCreate 0017 TCommandProperties.Create 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 19 00 C6 46 18 00 C6 46 1A 00 C6 46 1B 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_72813_0 {
	meta:
		name = "TButtonProperties.SetButtonSize"
		size = 44
		refs = "000e TCommandProperties.GetControl 001e TCustomActionControl.GetActionBar"
	strings:
		$1 = { 56 8B F0 3A 56 18 74 22 88 56 18 8B C6 E8 ?? ?? ?? ?? 85 C0 74 14 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 74 01 00 00 5E C3 }
	condition:
		$1
}

rule function_72814_0 {
	meta:
		name = "TButtonProperties.SetButtonType"
		size = 44
		refs = "000e TCommandProperties.GetControl 001e TCustomActionControl.GetActionBar"
	strings:
		$1 = { 56 8B F0 3A 56 19 74 22 88 56 19 8B C6 E8 ?? ?? ?? ?? 85 C0 74 14 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 74 01 00 00 5E C3 }
	condition:
		$1
}

rule function_72815_0 {
	meta:
		name = "TButtonProperties.SetGroupPosition"
		size = 62
		refs = "0011 TCommandProperties.GetControl"
	strings:
		$1 = { 53 56 3A 50 1A 74 34 88 50 1A 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 85 C0 74 22 84 DB 74 0F 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 08 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_72816_0 {
	meta:
		name = "TButtonProperties.SetTextAssociation"
		size = 44
		refs = "000e TCommandProperties.GetControl 001e TCustomActionControl.GetActionBar"
	strings:
		$1 = { 56 8B F0 3A 56 1B 74 22 88 56 1B 8B C6 E8 ?? ?? ?? ?? 85 C0 74 14 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 74 01 00 00 5E C3 }
	condition:
		$1
}

rule function_72817_0 {
	meta:
		name = "TGalleryProperties.Assign"
		size = 78
		refs = "000b TButtonProperties.Assign 0013 _DV_TGalleryProperties 0018 @IsClass 0023 TGalleryProperties.GetGalleryType 002c TGalleryProperties.SetGalleryType 0033 TGalleryProperties.GetItemsPerRow 003c TGalleryProperties.SetItemsPerRow 0047 TGalleryProperties.SetShowRichContent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B6 56 28 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72818_0 {
	meta:
		name = "TGalleryProperties.Create"
		size = 64
		refs = "000a @ClassCreate 0017 TButtonProperties.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 24 04 00 00 00 C6 46 20 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_72821_0 {
	meta:
		name = "TGalleryProperties.SetGalleryType"
		size = 9
	strings:
		$1 = { 3A 50 20 74 03 88 50 20 C3 }
	condition:
		$1
}

rule function_72822_0 {
	meta:
		name = "TGalleryProperties.SetItemsPerRow"
		size = 22
		refs = "000e TCommandProperties.GetControl"
	strings:
		$1 = { 53 8B D8 3B 53 24 74 0C 89 53 24 8B C3 E8 ?? ?? ?? ?? 85 C0 5B C3 }
	condition:
		$1
}

rule function_72823_0 {
	meta:
		name = "TChartPen.SetVisible"
		size = 14
		altNames = "TGalleryProperties.SetShowRichContent"
	strings:
		$1 = { 3A 50 28 74 08 88 50 28 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_72824_0 {
	meta:
		name = "TMenuProperties.Assign"
		size = 76
		refs = "000b TControlProperties.Assign 0013 _DV_TMenuProperties 0018 @IsClass 0026 TMenuProperties.SetContent 0030 TMenuProperties.SetFont 003a TMenuProperties.SetHeight 0045 TMenuProperties.SetShowRichContent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 8B 56 30 8B C3 E8 ?? ?? ?? ?? 8B 56 34 8B C3 E8 ?? ?? ?? ?? 8B 56 3C 8B C3 E8 ?? ?? ?? ?? 0F B6 56 38 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72825_0 {
	meta:
		name = "TMenuProperties.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TControlProperties.Create 001e _Dn_TFont 0023 TFont.Create 002d _Dn_TStringList 0032 TStringList.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_72826_0 {
	meta:
		name = "TMenuProperties.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TPersistent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 34 E8 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72827_0 {
	meta:
		name = "TMenuProperties.SetContent"
		size = 19
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 30 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_72828_0 {
	meta:
		name = "TMenuProperties.SetFont"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 34 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_72829_0 {
	meta:
		name = "TMenuProperties.SetHeight"
		size = 79
		refs = "0010 TCommandProperties.GetControl 002f TCustomActionControl.GetActionBar 0048 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C2 89 43 3C 3B D0 74 3F 8B C3 E8 ?? ?? ?? ?? 85 C0 74 34 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 08 01 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 15 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 BE D0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72830_0 {
	meta:
		name = "TMenuProperties.SetShowRichContent"
		size = 18
	strings:
		$1 = { 3A 50 38 74 0C 88 50 38 C6 40 10 02 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_72831_0 {
	meta:
		name = "TTextProperties.Assign"
		size = 66
		refs = "000b TCheckBoxProperties.Assign 0013 _DV_TTextProperties 0018 @IsClass 0034 TTextProperties.SetFont"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 0F B6 46 20 88 43 20 0F B6 46 21 88 43 21 8B 56 24 8B C3 E8 ?? ?? ?? ?? 0F B6 46 28 88 43 28 5E 5B C3 }
	condition:
		$1
}

rule function_72832_0 {
	meta:
		name = "TTextProperties.Create"
		size = 97
		refs = "000e @ClassCreate 001c TCheckBoxProperties.Create 0027 _Dn_TFont 002c TFont.Create 003b TTextProperties.FontChangeHandler 004c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 20 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 24 89 5E 0C C7 46 08 ?? ?? ?? ?? C6 43 28 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72834_0 {
	meta:
		name = "TTextProperties.FontChangeHandler"
		size = 58
		refs = "000d TCommandProperties.GetControl"
	strings:
		$1 = { 53 56 C6 40 28 00 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 85 C0 74 22 84 DB 74 0F 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 08 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_72835_0 {
	meta:
		name = "TTextProperties.SetAlignment"
		size = 62
		refs = "0011 TCommandProperties.GetControl"
	strings:
		$1 = { 53 56 3A 50 20 74 34 88 50 20 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 85 C0 74 22 84 DB 74 0F 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 08 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_72836_0 {
	meta:
		name = "TTextProperties.SetEllipsisPosition"
		size = 62
		refs = "0011 TCommandProperties.GetControl"
	strings:
		$1 = { 53 56 3A 50 21 74 34 88 50 21 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 85 C0 74 22 84 DB 74 0F 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 08 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_72837_0 {
	meta:
		name = "TButtonCategory.SetItems"
		size = 13
		altNames = "TTextProperties.SetFont"
	strings:
		$1 = { 56 8B F0 8B 46 24 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_72838_0 {
	meta:
		name = "TTextProperties.SetParentFont"
		size = 49
		refs = "0021 TCustomActionControl.GetActionBar 002b TTextProperties.SetFont"
	strings:
		$1 = { 53 8B D8 3A 53 28 74 27 88 53 28 80 7B 28 00 74 1E 8B 43 04 83 78 44 00 74 15 8B 43 04 8B 40 44 E8 ?? ?? ?? ?? 8B 50 6C 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72839_0 {
	meta:
		name = "TControlProperties.Assign"
		size = 59
		refs = "000b TCheckBoxProperties.Assign 0013 _DV_TControlProperties 0018 @IsClass 0034 TControlProperties.SetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B C6 8B 50 20 89 53 20 8B 50 28 89 53 28 8B 50 24 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72840_0 {
	meta:
		name = "TControlProperties.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TCheckBoxProperties.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 28 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_72842_0 {
	meta:
		name = "TControlProperties.DoSetWidth"
		size = 77
		refs = "0007 TCheckBoxProperties.DoSetWidth 000e TCommandProperties.GetControl 002d TCustomActionControl.GetActionBar 0046 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 34 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 08 01 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 15 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 BE D0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72844_0 {
	meta:
		name = "TControlProperties.SetLabelWidth"
		size = 14
	strings:
		$1 = { 3B 50 28 74 08 89 50 28 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_72845_0 {
	meta:
		name = "TControlProperties.SetText"
		size = 40
		refs = "000c @UStrEqual 0018 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 24 8B D6 E8 ?? ?? ?? ?? 74 13 8D 43 24 8B D6 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 18 5E 5B C3 }
	condition:
		$1
}

rule function_72846_0 {
	meta:
		name = "TComboBoxProperties.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TControlProperties.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 30 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_72847_0 {
	meta:
		name = "TActionClientItem.Create"
		size = 135
		refs = "000a @ClassCreate 001e TActionClient.Create 0050 @UStrClr 0061 _DV_TButtonProperties 0066 TButtonProperties.Create 0074 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C7 46 24 00 00 00 20 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 5C FF FF FF FF 33 C0 89 46 50 C6 46 55 01 C6 46 65 01 C6 46 56 01 C6 46 40 01 33 C0 89 46 48 33 C0 89 46 60 C6 46 6C 00 8D 46 70 E8 ?? ?? ?? ?? C6 46 74 00 C6 46 75 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 78 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_72848_0 {
	meta:
		name = "TActionClientItem.Destroy"
		size = 84
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0042 TActionClient.Destroy 004d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 78 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72849_0 {
	meta:
		name = "TActionClientItem.ActionChange"
		size = 312
		refs = "0012 TActionClientItem.ActionChange 0020 _Dn_TCustomAction 0025 @IsClass 0075 @UStrAsg 00a9 TActionClientItem.GetCaption 00b9 TActionClientItem.SetCaption 00d0 TActionClientItem.SetImageIndex 00e9 TActionClientItem.SetShortCut 0126 @UStrClr 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 E4 00 00 00 83 7E 44 00 74 68 84 DB 74 0C 8B 46 44 8B 10 FF 52 68 3C 01 75 0F 0F B6 57 72 8B 46 44 8B 08 FF 91 80 00 00 00 84 DB 74 0C 8B 46 44 83 B8 88 00 00 00 00 75 13 8B 46 44 05 88 00 00 00 8B 97 84 00 00 00 E8 ?? ?? ?? ?? 84 DB 74 0D 8B 46 44 66 83 B8 1A 01 00 00 00 75 15 8B 46 44 8B 57 48 89 90 18 01 00 00 8B 57 4C 89 90 1C 01 00 00 84 DB 74 10 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 75 0A 8B 57 6C 8B C6 E8 ?? ?? ?? ?? 84 DB 74 06 83 7E 5C 00 75 0D 8B 97 88 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 66 83 7E 4C 00 75 0E 0F B7 97 8C 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 06 80 7E 30 01 75 0E 0F B6 97 8E 00 00 00 8B C6 8B 08 FF 51 2C 84 DB 74 06 83 7E 68 00 75 06 8B 47 7C 89 46 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72850_0 {
	meta:
		name = "TActionClientItem.Assign"
		size = 416
		refs = "0016 TActionClientItem.Assign 0026 TActionClient.Assign 002e _DV_TActionClientItem 0033 @IsClass 0063 TActionClientItem.GetAction 006d TActionClientItem.SetAction 0077 TActionClientItem.GetCaption 0082 TActionClientItem.SetCaption 0096 TActionClientItem.SetImageIndex 00a1 TActionClientItem.SetMergeIndex 00ac TActionClientItem.SetLastSession 00b8 TActionClientItem.SetShowCaption 00c4 TActionClientItem.SetShowGlyph 00d0 TActionClientItem.SetShowShortCut 00dc TActionClientItem.SetShortCut 00e7 TActionClientItem.SetUsageCount 00f3 TActionClientItem.SetDefault 0101 @UStrAsg 010d TActionClientItem.SetNewCol 0119 TActionClientItem.SetNewRow 0125 TActionClientItem.SetCommandStyle 0130 TActionClientItem.SetCommandProperties 0146 TActionClient.GetItems 0177 @HandleFinally 018e @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 3E 01 00 00 8B 45 FC 8B 70 04 85 F6 74 07 8B C6 8B 10 FF 52 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B F3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 46 68 8B 55 FC 89 42 68 8B 56 5C 8B 45 FC E8 ?? ?? ?? ?? 8B 56 50 8B 45 FC E8 ?? ?? ?? ?? 8B 56 60 8B 45 FC E8 ?? ?? ?? ?? 0F B6 56 55 8B 45 FC E8 ?? ?? ?? ?? 0F B6 56 65 8B 45 FC E8 ?? ?? ?? ?? 0F B6 56 56 8B 45 FC E8 ?? ?? ?? ?? 0F B7 56 4C 8B 45 FC E8 ?? ?? ?? ?? 8B 56 48 8B 45 FC E8 ?? ?? ?? ?? 0F B6 56 6C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 C0 70 8B 56 70 E8 ?? ?? ?? ?? 0F B6 56 75 8B 45 FC E8 ?? ?? ?? ?? 0F B6 56 74 8B 45 FC E8 ?? ?? ?? ?? 0F B6 56 76 8B 45 FC E8 ?? ?? ?? ?? 8B 56 78 8B 45 FC E8 ?? ?? ?? ?? 8B 46 7C 8B 55 FC 89 42 7C 83 7E 2C 00 74 16 8B C6 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_72851_0 {
	meta:
		name = "TActionClientItem.ColorChanged"
		size = 56
		refs = "001d TControl.SetParentColor 0028 TCustomActionControl.SetTransparent 0032 TControl.SetColor"
	strings:
		$1 = { 53 8B 50 44 85 D2 74 2E 8B 48 24 8B D9 81 EB FF FF FF 1F 74 0E 4B 75 16 8B C2 B2 01 E8 ?? ?? ?? ?? EB 13 8B C2 B2 01 E8 ?? ?? ?? ?? EB 08 8B C1 92 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72852_0 {
	meta:
		name = "TActionClientItem.DoActionChange"
		size = 35
		refs = "0009 TActionClientItem.GetAction 001c @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 75 0F B1 01 8B D6 8B C3 66 BE FD FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72855_0 {
	meta:
		name = "TActionClientItem.GetAction"
		size = 15
	strings:
		$1 = { 33 D2 8B 48 3C 85 C9 74 03 8B 51 10 8B C2 C3 }
	condition:
		$1
}

rule function_72856_0 {
	meta:
		name = "TActionClientItem.GetCaption"
		size = 168
		refs = "000b ActionBarDesigner 002e TActionClientItem.GetAction 0045 TCollectionItem.GetIndex 0059 TActionClientItem.GetCaption 005e Format 006a @UStrAsg"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 83 3D ?? ?? ?? ?? 00 74 13 8B 43 20 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 94 C0 EB 02 33 C0 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 34 01 EB 02 33 C0 84 C0 74 23 56 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 C6 44 24 08 00 8D 54 24 04 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 20 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 B0 04 02 00 FF FF FF FF 12 00 00 00 41 00 63 00 74 00 69 00 6F 00 6E 00 43 00 6C 00 69 00 65 00 6E 00 74 00 49 00 74 00 65 00 6D 00 25 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_72857_0 {
	meta:
		name = "TActionClientItem.GetDisplayName"
		size = 175
		refs = "0015 TActionClientItem.GetDisplayName 0024 TCollectionItem.GetDisplayName 002e TActionClientItem.GetCaption 0056 TActionClientItem.GetAction 005c _Dn_TCustomAction 0061 @IsClass 0088 @UStrAsg 009d @UStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 39 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 43 6C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0A 8B C6 8B 53 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_72858_0 {
	meta:
		name = "TActionClientItem.HasGlyph"
		size = 169
		refs = "0012 TActionClient.GetOwningCollection 001d TActionClientItem.GetActionClients 002f TActionClientsCollection.GetActionManager 0062 TActionClientItem.GetAction 0093 TCustomImageList.GetCount"
	strings:
		$1 = { 53 56 57 8B F8 33 DB 33 F6 80 7F 65 00 74 50 8B C7 E8 ?? ?? ?? ?? 85 C0 74 45 8B C7 E8 ?? ?? ?? ?? 80 78 29 00 74 11 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 70 40 EB 4C 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B0 AC 00 00 00 85 F6 75 36 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 70 40 EB 25 8B C7 E8 ?? ?? ?? ?? 85 C0 74 1A 8B C7 E8 ?? ?? ?? ?? 83 78 64 00 74 0D 8B C7 E8 ?? ?? ?? ?? 8B 40 64 8B 70 40 85 F6 74 1B 8B 5F 5C 83 FB FF 7E 0B 8B C6 E8 ?? ?? ?? ?? 3B D8 7C 04 33 C0 EB 02 B0 01 8B D8 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72859_0 {
	meta:
		name = "TActionClientItem.InitiateAction"
		size = 15
	strings:
		$1 = { 8B 50 3C 85 D2 74 07 8B C2 8B 10 FF 52 1C C3 }
	condition:
		$1
}

rule function_72860_0 {
	meta:
		name = "TActionClientItem.IsCaptionStored"
		size = 131
		refs = "000c TActionClientItem.IsCaptionStored 0019 TActionClientItem.GetAction 002a _Dn_TCustomAction 002f @IsClass 003d TActionClientItem.GetCaption 0051 AnsiCompareText 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 3D 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B 50 6C 58 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_72861_0 {
	meta:
		name = "TActionClientItem.Refresh"
		size = 18
	strings:
		$1 = { 8B 50 44 85 D2 74 0A 8B C2 8B 10 FF 92 08 01 00 00 C3 }
	condition:
		$1
}

rule function_72862_0 {
	meta:
		name = "TActionClientItem.ResetUsageData"
		size = 177
		refs = "0015 TActionClientItem.GetActionClients 001a TActionClientsCollection.GetActionManager 0040 TActionClient.GetOwningCollection 005a _DV_TActionBars 005f @IsClass 0079 _DV_TActionClientItem 009b TActionClientItem.SetLastSession"
	strings:
		$1 = { 53 56 57 8B F8 83 7F 48 FF 74 07 FF 47 48 C6 47 40 01 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 74 8B 40 28 89 47 60 8B C7 E8 ?? ?? ?? ?? 8B 58 20 85 DB 74 78 8B C7 E8 ?? ?? ?? ?? 8B 40 20 E8 ?? ?? ?? ?? 8B F0 EB 0A 8B 46 20 E8 ?? ?? ?? ?? 8B F0 85 F6 74 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 E1 85 F6 74 06 8B 46 28 89 47 60 85 DB 74 38 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B F3 C6 46 40 01 83 7E 48 FF 74 03 FF 46 48 8B 57 60 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 58 20 85 DB 75 C8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72863_0 {
	meta:
		name = "TActionClientItem.SetAction"
		size = 276
		refs = "000f TObject.Free 0020 TActionClientItem.GetAction 004f @CallDynaInst 0070 TActionClientItem.DoActionChange 007d TActionClientItem.GetActionClients 0082 TActionClientsCollection.GetActionManager 00af TComponent.FreeNotification"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 85 FF 75 12 8B 43 3C E8 ?? ?? ?? ?? 33 C0 89 43 3C E9 F3 00 00 00 8B C3 E8 ?? ?? ?? ?? 3B F8 0F 84 E4 00 00 00 83 7B 44 00 74 10 8D 43 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 83 7B 3C 00 75 15 8B C3 66 BE FC FF E8 ?? ?? ?? ?? 8B CB B2 01 FF 50 14 89 43 3C 8B D7 8B 43 3C 8B 08 FF 51 0C 8B 43 3C 89 58 0C C7 40 08 ?? ?? ?? ?? F6 47 1C 01 75 19 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 B8 B0 00 00 00 00 75 04 33 C9 EB 02 B1 01 8B D7 8B C3 66 BE FD FF E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 78 20 00 74 50 8B C3 E8 ?? ?? ?? ?? 8B 40 20 83 78 0C 00 74 19 8B C3 E8 ?? ?? ?? ?? 8B 40 20 8B 40 0C 8B D3 8B 08 FF 91 68 01 00 00 EB 27 8B C3 E8 ?? ?? ?? ?? 8B 40 20 83 78 18 00 74 17 8B C3 E8 ?? ?? ?? ?? 8B 40 20 8B 40 18 8B D3 8B 08 FF 91 68 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72864_0 {
	meta:
		name = "TActionClientItem.SetCaption"
		size = 152
		refs = "000d @UStrEqual 0019 @UStrAsg 0020 TActionClientItem.GetAction 002b TActionClientItem.SetCaption 0056 TActionClientItem.SetAction 005f TActionClientItem.SetShortCut 006d TControl.SetText"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B 47 20 8B D6 E8 ?? ?? ?? ?? 74 5E 8D 47 20 8B D6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 C0 75 1C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 12 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 DB EB 02 B3 01 88 5F 54 84 DB 74 12 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 47 44 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7C 00 00 00 }
	condition:
		$1
}

rule function_72865_0 {
	meta:
		name = "TActionClientItem.SetControl"
		size = 74
		refs = "0017 TObject.Free 0027 TActionClientItem.GetAction 0036 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 44 74 3C 8D 43 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C6 89 43 44 85 C0 74 23 8B C3 E8 ?? ?? ?? ?? 8B D0 B1 01 8B C3 66 BE FD FF E8 ?? ?? ?? ?? 8B D3 8B 43 44 8B 08 FF 91 FC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_72866_0 {
	meta:
		name = "TActionClientItem.SetDefault"
		size = 96
		refs = "0016 TActionClientItem.GetActionClients 0034 TCollection.GetItem 0045 TActionClientItem.SetDefault"
	strings:
		$1 = { 53 56 57 8B D8 3A 53 6C 74 52 8B C2 88 43 6C 84 C0 74 3A 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 26 46 33 FF 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 80 78 6C 00 74 0B 3B D8 74 07 33 D2 E8 ?? ?? ?? ?? 47 4E 75 DD 8B 43 44 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72867_0 {
	meta:
		name = "TActionClientItem.SetImageIndex"
		size = 39
	strings:
		$1 = { 53 8B D8 3B 53 5C 74 1D 89 53 5C 8B 43 44 85 C0 74 13 8B 10 FF 92 08 01 00 00 8B 43 44 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_72868_0 {
	meta:
		name = "TActionClientItem.SetIndex"
		size = 35
		refs = "0006 TCollectionItem.SetIndex 001d NotifyDesigner"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 44 85 C0 74 08 8B 10 FF 92 F8 00 00 00 8B 46 0C E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_72869_0 {
	meta:
		name = "TActionClientItem.SetLastSession"
		size = 13
	strings:
		$1 = { 3B 50 60 74 07 89 50 60 C6 40 40 01 C3 }
	condition:
		$1
}

rule function_72870_0 {
	meta:
		name = "TActionClientItem.SetMergeIndex"
		size = 142
		refs = "0010 TCollectionItem.GetIndex 0024 TActionClientItem.GetActionClients 002a TActionClients.GetActionClient"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 3B 6B 50 77 27 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1C 8B C3 E8 ?? ?? ?? ?? 48 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 83 78 50 00 75 55 8B C3 E8 ?? ?? ?? ?? 8B F0 46 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B FE 8B F0 4E 2B F7 7C 32 46 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B C8 8B 41 50 3B 43 50 75 05 89 69 50 EB 10 8B 43 50 2B 41 50 99 33 C2 2B C2 03 C5 89 41 50 47 4E 75 CF 89 6B 50 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72871_0 {
	meta:
		name = "TActionClientItem.SetNewCol"
		size = 49
		refs = "0016 TCustomActionControl.GetActionBar"
	strings:
		$1 = { 53 56 8B F0 3A 56 75 74 25 88 56 75 8B 5E 44 85 DB 74 1B 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 8B 46 44 E8 ?? ?? ?? ?? 8B 10 FF 92 74 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_72872_0 {
	meta:
		name = "TActionClientItem.SetNewRow"
		size = 49
		refs = "0016 TCustomActionControl.GetActionBar"
	strings:
		$1 = { 53 56 8B F0 3A 56 74 74 25 88 56 74 8B 5E 44 85 DB 74 1B 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 8B 46 44 E8 ?? ?? ?? ?? 8B 10 FF 92 74 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_72873_0 {
	meta:
		name = "TActionClientItem.SetShortCut"
		size = 97
		refs = "000f TActionClientItem.SetShortCut 0029 ShortCutToText 0034 @UStrAsg 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 3B 5E 4C 74 20 66 89 5E 4C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 46 58 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72874_0 {
	meta:
		name = "TActionClientItem.SetShowCaption"
		size = 88
		refs = "000f TActionClientItem.GetActionClients 0014 TActionClientsCollection.GetActionManager 0037 TComponent.GetComponentCount"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 5E 55 74 48 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 40 1C 01 75 2C 8B C6 8B 10 FF 52 34 84 C0 75 21 84 DB 75 16 8B 7E 44 85 FF 74 0B 8B C7 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 88 46 55 EB 03 88 5E 55 8B C6 8B 10 FF 52 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72875_0 {
	meta:
		name = "TActionClientItem.SetShowShortCut"
		size = 41
		refs = "0023 TWinControl.AlignControl"
	strings:
		$1 = { 53 8B D8 3A 53 56 74 1F 88 53 56 8B 43 44 85 C0 74 15 8B 10 FF 92 08 01 00 00 8B 43 44 8B 40 38 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72876_0 {
	meta:
		name = "TActionClientItem.SetUsageCount"
		size = 40
	strings:
		$1 = { 81 FA FF FF FF 7F 75 07 33 D2 89 50 48 EB 03 89 50 48 C6 40 40 01 8B 50 44 85 D2 74 0A 8B C2 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_72877_0 {
	meta:
		name = "TActionClientItem.SetVisible"
		size = 122
		refs = "002c TControl.SetVisible 0043 _DV_TXToolDockForm 0048 @IsClass"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 5E 30 75 0C 8B 46 44 85 C0 74 63 3A 58 61 74 5E 88 5E 30 8B 46 44 85 C0 74 0E 3A 58 61 74 09 0F B6 56 30 E8 ?? ?? ?? ?? 8B 7E 0C 85 FF 74 3F 3A 5F 61 74 2A 8B 5F 38 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B C3 33 D2 E8 ?? ?? ?? ?? EB 0B 0F B6 56 30 8B C7 E8 ?? ?? ?? ?? 8B 46 0C F6 40 1C 10 75 07 8B C6 8B 10 FF 52 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72878_0 {
	meta:
		name = "TActionClientItem.SetChangesAllowed"
		size = 76
		refs = "000e TActionClient.SetChangesAllowed 0015 TActionClientItem.GetParentItem 001b _DV_TActionClientItem 0020 @IsClass 002b TActionClientItem.GetActionClients"
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 14 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B C3 E8 ?? ?? ?? ?? 8B 40 20 0F B6 40 31 3A 43 31 76 0E 8B C3 E8 ?? ?? ?? ?? 0F B6 53 31 88 50 31 5A 5B C3 }
	condition:
		$1
}

rule function_72879_0 {
	meta:
		name = "TActionClientItem.SetShowGlyph"
		size = 26
	strings:
		$1 = { 3A 50 65 74 14 88 50 65 8B 50 44 85 D2 74 0A 8B C2 8B 10 FF 92 08 01 00 00 C3 }
	condition:
		$1
}

rule function_72880_0 {
	meta:
		name = "TActionClientItem.SetCollection"
		size = 58
		refs = "0019 TObject.Free 0029 @CallDynaInst 0032 TCollectionItem.SetCollection"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 83 7B 44 00 74 20 8D 43 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 43 0C 85 C0 74 09 66 BE D0 FF E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72881_0 {
	meta:
		name = "TActionClientItem.SetCommandProperties"
		size = 146
		refs = "0011 TActionClientItem.SetCommandProperties 0023 TObject.Free 002c _DV_TCommandProperties 0031 TCommandProperties.Create 0040 TObject.ClassName 005a @UStrEqual 0080 @UStrArrayClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 1B 8B 43 78 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 78 EB 30 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B 43 78 8B 00 E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 75 0A 8B D6 8B 43 78 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_72882_0 {
	meta:
		name = "TActionClientItem.SetCommandStyle"
		size = 350
		refs = "0032 TActionClientItem.SetCommandStyle 0063 _DV_TGalleryProperties 0068 TGalleryProperties.Create 0079 _DV_TButtonProperties 007e TButtonProperties.Create 008f _DV_TMenuProperties 0094 TMenuProperties.Create 00a2 _DV_TTextProperties 00a7 TTextProperties.Create 00b5 _DV_TControlProperties 00ba TControlProperties.Create 00c8 _DV_TComboBoxProperties 00cd TComboBoxProperties.Create 00db _DV_TCheckBoxProperties 00e0 TCheckBoxProperties.Create 00ec TActionClientItem.GetActionClients 00f1 TActionClientsCollection.GetActionManager 00fc @CallDynaInst 011f TObject.Free 0130 TCustomActionControl.GetActionBar 0141 TWinControl.GetAlignDisabled"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 3A 5F 76 0F 84 48 01 00 00 8B 47 78 85 C0 74 09 8B E8 33 C0 89 47 78 EB 02 33 ED 0F B6 C3 83 F8 09 0F 87 DF 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 78 E9 9A 00 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 78 E9 84 00 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 78 EB 71 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 78 EB 5E 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 78 EB 4B 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 78 EB 38 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 78 EB 25 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 66 BE EC FF E8 ?? ?? ?? ?? 8B F0 8B CF B2 01 8B C6 FF 50 10 89 47 78 85 ED 74 0A 8B D5 8B 47 78 8B 08 FF 51 08 8B C5 E8 ?? ?? ?? ?? 88 5F 76 8B 5F 44 85 DB 74 2C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 21 8B 47 44 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 10 8B 47 44 E8 ?? ?? ?? ?? 8B 10 FF 92 74 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72883_0 {
	meta:
		name = "CheckControl"
		size = 27
	strings:
		$1 = { 80 78 30 00 74 0F 83 78 44 00 74 09 8B 40 44 80 78 61 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_72884_0 {
	meta:
		name = "TActionClientItem.Unused"
		size = 353
		refs = "0018 TActionClientItem.GetActionClients 0031 TActionClientsCollection.GetActionManager 0044 TCollectionItem.GetIndex 006d TActionClients.GetActionClient 0138 TActionClient.GetItems 0149 TActionClient.HasVisibleItems"
	strings:
		$1 = { 53 56 57 55 51 8B F0 0F B6 5E 64 80 7E 40 00 0F 84 44 01 00 00 8B C6 E8 ?? ?? ?? ?? 80 78 2A 00 75 07 33 DB E9 30 01 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 80 7E 54 00 0F 84 E2 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 83 FF 00 7C 55 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 44 8B C6 E8 ?? ?? ?? ?? 48 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 80 78 54 00 75 2E 8B C6 E8 ?? ?? ?? ?? 48 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D0 8B C5 8B 08 FF 51 4C 8B D8 80 F3 01 84 DB 75 06 4F 83 FF FF 75 AB 84 DB 0F 84 A9 00 00 00 8B 46 04 8B 40 08 8B 40 08 48 85 C0 0F 8C 97 00 00 00 40 89 04 24 8B C6 E8 ?? ?? ?? ?? 8B 56 04 8B 52 08 8B 52 08 4A 3B C2 7D 44 8B C6 E8 ?? ?? ?? ?? 40 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 80 78 54 00 75 62 8B C6 E8 ?? ?? ?? ?? 40 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D0 8B C5 8B 08 FF 51 4C 8B D8 80 F3 01 84 DB 75 3A FF 0C 24 75 A2 EB 33 8B D6 8B C5 8B 08 FF 51 4C 8B D8 80 F3 01 84 DB 74 1D 8B C6 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 7E 0C 8B C6 E8 ?? ?? ?? ?? 8B D8 80 F3 01 C6 46 40 00 88 5E 64 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72885_0 {
	meta:
		name = "TActionClientItem.IsHelpContextStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 3C 85 F6 74 10 8B C6 8B 10 FF 52 30 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_72886_0 {
	meta:
		name = "TActionDragObject.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TList 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 C6 46 4C 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_72888_0 {
	meta:
		name = "TActionDragObject.AddAction"
		size = 9
		refs = "0004 TList.Add"
		altNames = "TActionDragObject.AddActionClass"
	strings:
		$1 = { 8B 40 48 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72890_0 {
	meta:
		name = "TActionDragObject.GetAction"
		size = 50
		refs = "0012 TList.Get 0019 ActionBarDesigner"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 4C 00 74 19 8B D6 8B 43 48 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 0C 5E 5B C3 8B D6 8B 43 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72891_0 {
	meta:
		name = "TActionDragObject.GetActionCount"
		size = 7
	strings:
		$1 = { 8B 40 48 8B 40 08 C3 }
	condition:
		$1
}

rule function_72892_0 {
	meta:
		name = "TCategoryDragObject.Create"
		size = 124
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TCategoryDragObject.Create 0034 TActionDragObject.Create 003f @UStrAsg 0054 @UStrClr 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 50 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72893_0 {
	meta:
		name = "TActionItemDragObject.Finished"
		size = 190
		refs = "0021 TDragObject.Finished 004c TControl.ScreenToClient 0071 PtInRect 0083 _DV_TControlProperties 0088 @IsClass 00a2 TObject.Free 00b1 NotifyDesigner"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D FC 8B FA 8B D8 8B 45 0C 50 0F B6 45 08 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 43 48 8B 70 44 85 F6 0F 84 82 00 00 00 3B F7 74 7E 8B 45 FC 89 45 EC 8B 45 0C 89 45 F0 8D 4D F4 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 80 7B 20 00 74 58 80 7D 08 00 75 52 8D 55 DC 8B 43 48 8B 40 44 8B 08 FF 51 60 8D 45 DC 8D 55 F4 E8 ?? ?? ?? ?? 84 C0 75 35 8B 43 48 8B 70 78 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 83 7E 20 00 74 10 8D 46 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_72894_0 {
	meta:
		name = "ColorProc"
		size = 73
		refs = "000e _Dn_TCustomActionPopupMenu 0013 @IsClass 0021 TControl.SetColor 0034 TWinControl.HandleAllocated"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 F6 74 3C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 53 7C 8B C6 E8 ?? ?? ?? ?? EB 0A 8B 53 48 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_72895_0 {
	meta:
		name = "FontColorProc"
		size = 27
		refs = "0016 TFont.SetColor"
	strings:
		$1 = { 85 C0 74 16 8B 48 6C 8B 49 18 3B 4A 58 74 0B 8B 40 6C 8B 52 58 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72896_0 {
	meta:
		name = "TCustomActionBarColorMap.Add"
		size = 63
		refs = "0010 TList.IndexOf 001d TList.Add 0026 TComponent.FreeNotification 002f ColorProc 0038 FontColorProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 32 8B D6 8B 43 38 E8 ?? ?? ?? ?? 40 75 25 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72897_0 {
	meta:
		name = "TCustomActionBarColorMap.Create"
		size = 75
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TList 0023 TObject.Create 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 8B C6 8B 10 FF 52 48 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_72899_0 {
	meta:
		name = "TCustomActionBarColorMap.GetDisabledColor"
		size = 24
	strings:
		$1 = { 8B 50 4C F6 40 1C 10 75 0C 81 78 4C FF FF FF 1F 75 03 8B 50 48 8B C2 C3 }
	condition:
		$1
}

rule function_72900_0 {
	meta:
		name = "TCustomActionBarColorMap.GetUnusedColor"
		size = 28
		refs = "0014 GetHighLightColor"
	strings:
		$1 = { 8B 50 68 81 FA 00 00 00 20 75 0E BA 13 00 00 00 8B 40 48 E8 ?? ?? ?? ?? C3 8B C2 C3 }
	condition:
		$1
}

rule function_72901_0 {
	meta:
		name = "TCustomActionBarColorMap.Notification"
		size = 70
		refs = "0010 TComponent.Notification 001c _DV_TCustomActionBar 0021 @IsClass 002f TList.IndexOf 003e TList.Delete"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? FE CB 75 2A 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B D7 8B 46 38 E8 ?? ?? ?? ?? 83 F8 FF 74 0A 8B D0 8B 46 38 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72902_0 {
	meta:
		name = "TCustomActionBarColorMap.Remove"
		size = 51
		refs = "0014 TList.IndexOf 0023 TList.Delete 002c TComponent.RemoveFreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 26 8B 43 38 85 C0 74 16 8B D6 E8 ?? ?? ?? ?? 83 F8 FF 74 0A 8B D0 8B 43 38 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72903_0 {
	meta:
		name = "TCustomActionBarColorMap.SetColor"
		size = 102
		refs = "000c ColorProc 0016 TCustomActionBarColorMap.UpdateActionBars 002c GetHighLightColor 0045 GetShadowColor"
	strings:
		$1 = { 53 8B D8 3B 53 48 74 5C 89 53 48 B8 ?? ?? ?? ?? 8B CA 8B D3 92 E8 ?? ?? ?? ?? 81 7B 68 00 00 00 20 75 10 BA 13 00 00 00 8B 43 48 E8 ?? ?? ?? ?? 89 43 68 81 7B 50 00 00 00 20 75 10 BA CE FF FF FF 8B 43 48 E8 ?? ?? ?? ?? 89 43 50 66 83 BB 92 00 00 00 00 74 0E 8B D3 8B 83 94 00 00 00 FF 93 90 00 00 00 5B C3 }
	condition:
		$1
}

rule function_72904_0 {
	meta:
		name = "TCustomActionBarColorMap.SetFontColor"
		size = 81
		refs = "0020 GetShadowColor 0039 GetHighLightColor 0041 FontColorProc 004a TCustomActionBarColorMap.UpdateActionBars"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 58 74 43 89 73 58 81 7B 50 00 00 00 20 75 10 BA CE FF FF FF 8B 43 48 E8 ?? ?? ?? ?? 89 43 50 81 7B 54 00 00 00 20 75 10 BA 13 00 00 00 8B 43 48 E8 ?? ?? ?? ?? 89 43 54 BA ?? ?? ?? ?? 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72905_0 {
	meta:
		name = "TCustomActionBarColorMap.UpdateColors"
		size = 6
	strings:
		$1 = { 33 D2 89 50 78 C3 }
	condition:
		$1
}

rule function_72906_0 {
	meta:
		name = "TCustomActionBarColorMap.UpdateActionBars"
		size = 45
		refs = "001c TList.Get"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 43 38 8B 70 08 4E 85 F6 7C 15 46 33 FF 8B D7 8B 43 38 E8 ?? ?? ?? ?? 8B D3 FF D5 47 4E 75 EE 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72907_0 {
	meta:
		name = "TCustomActionBarColorMap.Assign"
		size = 224
		refs = "000b _DV_TCustomActionBarColorMap 0010 @IsClass 0043 TCustomActionBarColorMap.GetDisabledColor 00bd TCustomActionBarColorMap.GetUnusedColor"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C0 00 00 00 8B FE 8B 47 3C 89 43 3C 8B 47 40 89 43 40 8B 47 44 89 43 44 8B 57 48 8B C3 8B 08 FF 51 40 8B 47 78 89 43 78 8B C7 E8 ?? ?? ?? ?? 89 43 4C 8B 47 50 89 43 50 8B 47 54 89 43 54 8B 57 58 8B C3 8B 08 FF 51 44 8B 87 80 00 00 00 89 83 80 00 00 00 8B 87 84 00 00 00 89 83 84 00 00 00 8B 87 88 00 00 00 89 83 88 00 00 00 8B 87 8C 00 00 00 89 83 8C 00 00 00 8B 47 74 89 43 74 8B 47 5C 89 43 5C 8B 47 64 89 43 64 8B 47 7C 89 43 7C 8B 47 70 89 43 70 8B 47 6C 89 43 6C 8B 47 60 89 43 60 8B C7 E8 ?? ?? ?? ?? 89 43 68 8B 87 90 00 00 00 89 83 90 00 00 00 8B 87 94 00 00 00 89 83 94 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72908_0 {
	meta:
		name = "TCustomActionBar.Create"
		size = 208
		refs = "000e @ClassCreate 001c TToolWindow.Create 002a TCustomActionBar.SetupDefaultColorMap 004d _Dn_TControlCanvas 0052 TCanvas.Create 0063 TControlCanvas.SetControl 006c TCustomActionBar.Create 007b TControl.SetHeight 0087 TControl.SetWidth 0090 TWinControl.SetDoubleBuffered 00b6 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 94 02 00 00 01 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 54 01 00 00 33 C0 89 83 84 02 00 00 33 C0 89 83 80 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 8C 02 00 00 8B C6 8B D3 E8 ?? ?? ?? ?? 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 BA 32 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 96 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? C7 83 C4 02 00 00 01 00 00 00 33 C0 89 83 C8 02 00 00 C6 83 88 02 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 E8 00 80 00 }
	condition:
		$1
}

rule function_72909_0 {
	meta:
		name = "TCustomActionBar.Destroy"
		size = 75
		refs = "0003 @BeforeDestruction 0010 TCustomActionBar.SetActionManager 001b TObject.Free 0039 TWinControl.Destroy 0044 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 8D 86 E8 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72910_0 {
	meta:
		name = "TCustomActionBar.AlignControls"
		size = 44
		refs = "0026 TWinControl.AlignControls"
	strings:
		$1 = { 53 C7 80 BC 02 00 00 01 00 00 00 C7 80 C0 02 00 00 01 00 00 00 33 DB 89 98 E0 02 00 00 33 DB 89 98 DC 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72912_0 {
	meta:
		name = "TCustomActionBar.BackgroundSize"
		size = 29
		altNames = "TCustomImageList.GetHotSpot"
	strings:
		$1 = { 83 C4 F8 33 C0 89 04 24 33 C0 89 44 24 04 8B 04 24 89 02 8B 44 24 04 89 42 04 59 5A C3 }
	condition:
		$1
}

rule function_72913_0 {
	meta:
		name = "TCustomActionBar.CalcInsertPosition"
		size = 231
		refs = "002c TCollectionItem.GetIndex 0060 TControl.GetBoundsRect 0099 TCustomActionBar.GetItems 00c1 TCustomActionBar.HasItems"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B F2 8B D8 85 F6 0F 84 A6 00 00 00 83 BE BC 01 00 00 00 0F 84 99 00 00 00 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 3B 46 48 7D 0C 0F B6 83 97 02 00 00 84 C0 75 01 4F 8B 45 08 3B 46 4C 7D 0C 0F B6 83 97 02 00 00 2C 02 75 01 4F 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 3B 45 FC 7D 0C 0F B6 83 97 02 00 00 84 C0 75 01 47 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 3B 45 08 7D 0C 0F B6 83 97 02 00 00 2C 02 75 01 47 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 3B C7 7D 0F 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F8 85 FF 7D 22 33 FF EB 1E 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F8 EB 02 33 FF 8B C7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72914_0 {
	meta:
		name = "TCustomActionBar.Clear"
		size = 145
		refs = "0022 TCustomActionBar.Clear 004d TObject.Free 0061 TActionClient.ClearActionBar 0081 TWinControl.EnableAlign 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 83 B8 80 02 00 00 00 74 79 8B 45 FC 66 FF 80 B4 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 3C 01 00 00 8B D8 4B 83 FB 00 7C 18 8B D3 8B 45 FC 8B 08 FF 91 30 01 00 00 E8 ?? ?? ?? ?? 4B 83 FB FF 75 E8 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 80 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_72916_0 {
	meta:
		name = "TCustomActionBar.CreateControl"
		size = 312
		refs = "0023 TObject.Free 002c TActionClientItem.SetControl 003a @CallDynaInst 0054 TCustomActionBar.CreateControl 0088 ControlDragMode 009a TControl.SetAlign 00fb @HandleAnyException 0108 @RaiseAgain 010d @DoneExcept 0122 TWinControl.EnableAlign 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 89 45 FC 33 C0 89 45 F8 85 DB 0F 84 13 01 00 00 8B 43 44 85 C0 74 0E E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 45 FC 66 BE AE FF E8 ?? ?? ?? ?? 85 C0 0F 84 E8 00 00 00 8B 55 FC 66 FF 82 B4 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D FC B2 01 FF 50 38 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 2C 01 00 00 83 E0 7F 0F B6 90 ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 7C B2 06 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 89 90 B8 01 00 00 8B 55 FC 8B 45 F8 8B 08 FF 91 84 00 00 00 8B 45 FC 0F B6 50 69 8B 45 F8 8B 08 FF 91 8C 00 00 00 8B D3 8B 45 F8 8B 08 FF 91 FC 00 00 00 8B 45 F8 8B 80 BC 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 74 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_72917_0 {
	meta:
		name = "TCustomActionBar.CreateControls"
		size = 254
		refs = "002a TCustomActionBar.CreateControls 005f @TryFinallyExit 007b TActionClients.GetActionClient 009f TActionClient.HasBackground 00c4 TCustomActionControl.SetTransparent 00eb TWinControl.EnableAlign 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC 83 B8 80 02 00 00 00 0F 84 DB 00 00 00 8B 45 FC 66 FF 80 B4 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 E4 02 00 00 00 74 0E 8B 45 FC 8B 80 80 02 00 00 8B 78 1C EB 0C 8B 45 FC 8B 80 80 02 00 00 8B 78 2C 85 FF 75 0A E8 ?? ?? ?? ?? E9 8F 00 00 00 8B 47 08 8B 58 08 4B 85 DB 7C 67 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 68 01 00 00 89 45 F8 83 7D F8 00 74 41 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 13 8B 45 FC 8B 80 80 02 00 00 0F B6 40 14 04 FD 2C 02 73 04 33 D2 EB 02 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC 8B 08 FF 91 08 01 00 00 46 4B 75 9C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_72918_0 {
	meta:
		name = "TCustomActionBar.CustomAlignInsertBefore"
		size = 317
		refs = "000e _DV_TCustomActionControl 0015 @IsClass 0050 TCollectionItem.GetIndex 0105 TSizeConstraints.SetConstraints"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B E8 8B C6 8B 1D ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C7 8B D3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 84 DB 0F 84 FC 00 00 00 8B 9E BC 01 00 00 85 DB 74 26 83 BF BC 01 00 00 00 74 1D 8B C3 E8 ?? ?? ?? ?? 50 8B 87 BC 01 00 00 E8 ?? ?? ?? ?? 5A 3B D0 0F 9C C0 8B D8 EB 02 33 DB 80 7E 61 00 74 14 8B 46 54 3B 85 DC 02 00 00 7E 09 8B 46 54 89 85 DC 02 00 00 80 7E 61 00 74 14 8B 46 50 3B 85 E0 02 00 00 7E 09 8B 46 50 89 85 E0 02 00 00 80 7F 61 00 74 14 8B 47 54 3B 85 DC 02 00 00 7E 09 8B 47 54 89 85 DC 02 00 00 80 7F 61 00 74 14 8B 47 50 3B 85 E0 02 00 00 7E 09 8B 47 50 89 85 E0 02 00 00 8B C5 8B 10 FF 52 6C 84 C0 74 57 0F B6 85 97 02 00 00 2C 02 72 21 2C 02 73 48 8B 8D C4 02 00 00 03 C9 03 8D DC 02 00 00 BA 02 00 00 00 8B 45 78 E8 ?? ?? ?? ?? EB 2B B2 02 8B C5 8B 08 FF 91 20 01 00 00 8B C8 8B 85 C8 02 00 00 03 C0 03 85 E0 02 00 00 03 C8 BA 03 00 00 00 8B 45 78 E8 ?? ?? ?? ?? 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72919_0 {
	meta:
		name = "TCustomActionBar.CustomAlignPosition"
		size = 1200
		refs = "0021 _DV_TCustomActionControl 0026 @IsClass 0059 TControl.GetClientHeight 0078 TControl.GetClientWidth 00a0 Rect 00e5 TCustomActionBar.GetAutoSizing 0167 SepSize"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B 75 08 8D 7D E8 A5 A5 A5 A5 89 4D FC 8B FA 8B D8 8B 75 0C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 75 04 00 00 89 7D F8 8B 45 E8 83 78 08 01 75 12 8B 47 50 89 83 E0 02 00 00 8B 47 54 89 83 DC 02 00 00 83 7D EC 00 75 5B 8B C3 E8 ?? ?? ?? ?? 2B 83 C4 02 00 00 50 8D 45 D8 50 B2 01 8B C3 8B 08 FF 91 20 01 00 00 50 8B C3 E8 ?? ?? ?? ?? 2B 83 C4 02 00 00 5A 2B C2 50 33 D2 8B C3 8B 08 FF 91 20 01 00 00 03 83 C8 02 00 00 8B 93 C4 02 00 00 59 E8 ?? ?? ?? ?? 56 57 8B FE 8D 75 D8 A5 A5 A5 A5 5F 5E 0F B6 83 97 02 00 00 2C 01 72 1B 0F 84 F8 00 00 00 FE C8 0F 84 0D 02 00 00 FE C8 0F 84 F6 02 00 00 E9 D0 03 00 00 8B C3 8B 10 FF 52 6C 84 C0 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 9C 00 00 00 83 7D EC 00 0F 84 92 00 00 00 8B 46 08 2B 06 8B 55 F8 8B 52 50 03 93 C8 02 00 00 3B C2 7D 7D 8B C3 E8 ?? ?? ?? ?? 2B 46 04 2B 83 C4 02 00 00 50 8D 45 D8 50 B2 01 8B C3 8B 08 FF 91 20 01 00 00 50 8B C3 E8 ?? ?? ?? ?? 2B 83 C8 02 00 00 5A 2B C2 50 33 D2 8B C3 8B 08 FF 91 20 01 00 00 03 83 C8 02 00 00 8B 93 C4 02 00 00 03 D2 0F B6 8B CC 02 00 00 03 14 8D ?? ?? ?? ?? 8B 4E 04 03 8B DC 02 00 00 03 D1 59 E8 ?? ?? ?? ?? 56 8B FE 8D 75 D8 A5 A5 A5 A5 5E FF 83 C0 02 00 00 8B 46 04 8B 55 18 89 02 8B 06 8B 55 FC 89 02 8B 45 10 8B 93 DC 02 00 00 89 10 8B 45 F8 8B 40 50 03 83 98 02 00 00 01 06 E9 ED 02 00 00 8B C3 8B 10 FF 52 6C 84 C0 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 94 00 00 00 83 7D EC 00 0F 84 8A 00 00 00 8B 46 08 2B 06 8B 55 F8 3B 42 50 7D 7D 8B C3 E8 ?? ?? ?? ?? 2B 46 04 2B 83 C4 02 00 00 50 8D 45 D8 50 B2 01 8B C3 8B 08 FF 91 20 01 00 00 50 8B C3 E8 ?? ?? ?? ?? 2B 83 C8 02 00 00 5A 2B C2 50 33 D2 8B C3 8B 08 FF 91 20 01 00 00 03 83 C8 02 00 00 8B 93 C4 02 00 00 03 D2 0F B6 8B CC 02 00 00 03 14 8D ?? ?? ?? ?? 8B 4E 04 03 8B DC 02 00 00 03 D1 59 E8 ?? ?? ?? ?? 56 8B FE 8D 75 D8 A5 A5 A5 A5 5E FF 83 C0 02 00 00 8B 46 04 8B 55 18 89 02 8B 45 EC 85 C0 75 27 8B 56 08 8B 45 F8 8B 40 50 2B D0 2B 93 C8 02 00 00 8B 4D FC 89 11 03 83 C4 02 00 00 03 83 98 02 00 00 29 46 08 EB 29 8B 4E 08 8B 55 F8 8B 52 50 2B CA 8B 7D FC 89 0F 8B 4D E8 8B 49 08 49 3B C1 75 05 29 56 08 EB 09 03 93 98 02 00 00 29 56 08 8B 45 10 8B 93 DC 02 00 00 89 10 E9 D0 01 00 00 8B C3 8B 10 FF 52 6C 84 C0 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 81 00 00 00 83 7D EC 00 74 7B 8B 46 0C 2B 46 04 8B 55 F8 3B 42 54 7D 6D 8B C3 E8 ?? ?? ?? ?? 2B 83 C4 02 00 00 50 8D 45 D8 50 B2 01 8B C3 8B 08 FF 91 20 01 00 00 50 8B C3 E8 ?? ?? ?? ?? 8B C8 2B 8B C8 02 00 00 58 2B C8 8B 06 03 83 E0 02 00 00 8B 93 C8 02 00 00 03 D2 03 C2 0F B6 93 CC 02 00 00 03 04 95 ?? ?? ?? ?? 8B 93 C4 02 00 00 E8 ?? ?? ?? ?? 56 8B FE 8D 75 D8 A5 A5 A5 A5 5E FF 83 BC 02 00 00 83 7D EC 00 75 0D 8B 45 18 8B 93 C4 02 00 00 89 10 EB 08 8B 46 04 8B 55 18 89 02 B2 02 8B C3 8B 08 FF 91 20 01 00 00 03 83 E0 02 00 00 89 46 08 8B 06 8B 55 FC 89 02 8B 45 14 8B 93 E0 02 00 00 89 10 8B 45 F8 8B 40 54 03 83 98 02 00 00 01 46 04 E9 DF 00 00 00 8B C3 8B 10 FF 52 6C 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 77 83 7D EC 00 74 71 8B 46 0C 2B 46 04 8B 55 F8 3B 42 54 7D 63 8B C3 E8 ?? ?? ?? ?? 2B 83 C4 02 00 00 50 8D 45 D8 50 33 D2 8B C3 8B 08 FF 91 20 01 00 00 03 83 C8 02 00 00 8B 4E 08 2B 8B E0 02 00 00 8B 93 C8 02 00 00 03 D2 2B CA 0F B6 93 CC 02 00 00 2B 0C 95 ?? ?? ?? ?? 8B 93 C4 02 00 00 E8 ?? ?? ?? ?? 56 57 8B FE 8D 75 D8 A5 A5 A5 A5 5F 5E FF 83 BC 02 00 00 83 7D EC 00 75 17 8B C3 E8 ?? ?? ?? ?? 2B 47 54 2B 83 C8 02 00 00 8B 55 18 89 02 EB 11 8B 46 0C 2B 47 54 2B 83 98 02 00 00 8B 55 18 89 02 8B 56 08 8B 83 E0 02 00 00 2B D0 8B 4D FC 89 11 8B 55 14 89 02 8B 45 F8 8B 40 54 03 83 98 02 00 00 29 46 0C 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_72920_0 {
	meta:
		name = "TCustomActionBar.DrawBackground"
		size = 372
		refs = "001a TActionClient.HasBackground 003c TCustomActionBar.DrawBackground 005b TActionClient.GetBackground 0107 TControl.GetClientWidth 0123 TControl.GetClientHeight"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F0 8B 9E 80 02 00 00 85 DB 0F 84 55 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 46 01 00 00 8B 9E 80 02 00 00 0F B6 43 14 83 F8 04 0F 87 33 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 0C 50 8B C3 E8 ?? ?? ?? ?? 8B 40 0C 8B 10 FF 52 30 8B 56 50 2B D0 33 C9 8B 86 8C 02 00 00 8B 18 FF 53 44 E9 E3 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 0C 50 33 C9 33 D2 8B 86 8C 02 00 00 8B 18 FF 53 44 E9 C4 00 00 00 8D 54 24 10 8B C6 8B 08 FF 51 60 8D 44 24 10 50 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B 48 0C 8B 86 8C 02 00 00 5A 8B 18 FF 93 88 00 00 00 E9 92 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 0C 8B 10 FF 52 30 89 44 24 04 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 0C 8B 10 FF 52 24 89 44 24 08 8B C6 E8 ?? ?? ?? ?? 99 F7 7C 24 04 85 C0 7C 58 40 89 44 24 0C C7 04 24 00 00 00 00 8B C6 E8 ?? ?? ?? ?? 99 F7 7C 24 08 8B D8 85 DB 7C 31 43 33 FF 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 0C 50 8B 4C 24 0C 0F AF CF 8B 54 24 08 0F AF 54 24 04 8B 86 8C 02 00 00 8B 28 FF 55 44 47 4B 75 D2 FF 04 24 FF 4C 24 0C 75 B4 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72921_0 {
	meta:
		name = "TCustomActionBar.DragOver"
		size = 109
		refs = "0023 TControl.DragOver 0034 _DV_TActionDragObject 0039 @IsClass 0045 _DV_TActionItemDragObject"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B 45 10 50 0F B6 45 0C 50 57 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 94 02 00 00 00 74 2D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B 46 48 3B 83 80 02 00 00 75 04 33 C0 EB 02 B0 01 88 07 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_72922_0 {
	meta:
		name = "TCustomActionBar.DragDrop"
		size = 321
		refs = "001a TControl.DragDrop 002e _DV_TActionDragBaseClass 0033 @AsClass 0040 TCustomActionBar.SetActionManager 004b TActionBars.Add 0075 TCustomActionBar.DragDrop 0083 _DV_TCategoryDragObject 0088 @IsClass 00a9 _DV_TActionDragObject 00cf _DV_TActionItemDragObject 0106 TActionClient.GetItems 010d TActionClientsCollection.InternalRethinkHotkeys 0123 TWinControl.EnableAlign 012d TWinControl.AlignControl 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 08 50 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 80 02 00 00 00 75 3D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 53 40 8B 45 FC E8 ?? ?? ?? ?? 8B 43 40 8B 40 74 E8 ?? ?? ?? ?? 8B 55 FC 89 82 80 02 00 00 8B 45 FC 8B 80 80 02 00 00 8B 55 FC 89 50 0C 8B 45 FC 66 FF 80 B4 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 08 50 8B CF 8B D6 8B 45 FC 8B 18 FF 93 6C 01 00 00 EB 4A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 08 50 8B CF 8B D6 8B 45 FC 8B 18 FF 93 0C 01 00 00 EB 24 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B 45 08 50 8B CF 8B D6 8B 45 FC 8B 18 FF 93 10 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 80 02 00 00 8B 10 FF 52 30 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_72923_0 {
	meta:
		name = "TCustomActionBar.DoGetControlClass"
		size = 56
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 38 01 00 00 89 04 24 66 83 BB AA 02 00 00 00 74 11 54 8B CE 8B D3 8B 83 AC 02 00 00 FF 93 A8 02 00 00 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_72924_0 {
	meta:
		name = "TCustomActionBar.DoControlCreated"
		size = 31
		altNames = "TCustomUpDown.Click"
	strings:
		$1 = { 53 66 83 B8 A2 02 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 A4 02 00 00 FF 93 A0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_72925_0 {
	meta:
		name = "TCustomActionBar.FindAccelItem"
		size = 188
		refs = "0018 TCustomActionBar.FindAccelItem 003e TCustomActionBar.GetItems 0046 TActionClients.GetActionClient 007a TActionClientItem.GetCaption 0086 IsAccel 00a7 @UStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 66 89 55 FE 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 92 3C 01 00 00 8B F8 4F 85 FF 7C 61 47 C7 45 F8 00 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 80 78 28 00 74 35 8B 43 44 8B 40 38 80 B8 F2 01 00 00 00 74 26 80 7B 30 00 74 20 80 7B 55 00 74 1A 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 0F B7 45 FE E8 ?? ?? ?? ?? 84 C0 75 08 FF 45 F8 4F 75 A7 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72926_0 {
	meta:
		name = "TCustomActionBar.FindFirst"
		size = 54
		refs = "000f TCustomActionBar.HasItems 001a TWinControl.GetControlCount 0025 TCustomActionBar.GetItems 002c TActionClients.GetActionClient"
	strings:
		$1 = { 53 8B D8 83 BB 80 02 00 00 00 74 26 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 10 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_72927_0 {
	meta:
		name = "TCustomActionBar.FindItemAt"
		size = 39
		refs = "0008 TWinControl.ControlAtPos 0012 _DV_TCustomActionControl 0017 @IsClass"
	strings:
		$1 = { 53 6A 00 6A 00 B1 01 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 8B C3 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_72928_0 {
	meta:
		name = "TCustomActionBar.FindItemCaption"
		size = 153
		refs = "0017 TCustomActionBar.FindItemCaption 004a TControl.GetText 0055 AnsiCompareText 0083 @UStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B C7 8B 10 FF 92 3C 01 00 00 8B F0 4E 85 F6 7C 3B 46 33 DB 8B D3 8B C7 8B 08 FF 91 30 01 00 00 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 85 C0 75 11 8B D3 8B C7 8B 08 FF 91 30 01 00 00 89 45 F8 EB 04 43 4E 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72929_0 {
	meta:
		name = "TCustomActionBar.FindLast"
		size = 64
		refs = "0010 TCustomActionBar.HasItems 001b TCustomActionBar.GetItems 0034 TActionClients.GetActionClient"
	strings:
		$1 = { 53 56 8B D8 83 BB 80 02 00 00 00 74 2E 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B D0 4A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_72930_0 {
	meta:
		name = "TCustomActionBar.FindLeastUsedItem"
		size = 299
		refs = "0068 TCustomActionBar.GetItems 006f TActionClients.GetActionClient 011c TCustomActionBar.FindLastVisibleItem"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 88 14 24 8B D8 8B C3 8B 10 FF 92 70 01 00 00 8B F8 85 FF 0F 84 02 01 00 00 EB 10 33 C9 8B D7 8B C3 8B 30 FF 96 1C 01 00 00 8B F8 85 FF 74 0F 83 7F 44 00 74 09 8B 47 44 80 78 61 00 74 DD 33 C0 89 44 24 04 8B C3 8B 10 FF 92 3C 01 00 00 8B E8 4D 85 ED 0F 8E B5 00 00 00 BE 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 83 78 44 00 74 1A 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 44 0F B6 40 61 3A 04 24 75 7A 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 85 C0 74 68 8B D6 8B C3 8B 08 FF 91 30 01 00 00 85 C0 74 58 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 93 84 02 00 00 8B 52 74 8B 52 28 2B 50 60 3B 54 24 04 7C 35 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F8 8B D6 8B C3 8B 08 FF 91 30 01 00 00 8B 80 BC 01 00 00 8B 93 84 02 00 00 8B 52 74 8B 52 28 2B 50 60 89 54 24 04 46 4D 0F 85 50 FF FF FF 85 FF 75 09 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C7 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72931_0 {
	meta:
		name = "TCustomActionBar.FindLastVisibleItem"
		size = 64
	strings:
		$1 = { 53 56 57 8B F8 8B C7 8B 10 FF 92 14 01 00 00 8B D8 EB 10 33 C9 8B D3 8B C7 8B 18 FF 93 1C 01 00 00 8B D8 85 DB 74 13 83 7B 44 00 74 E6 8B 73 44 85 F6 74 06 80 7E 61 00 74 D9 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72932_0 {
	meta:
		name = "TCustomActionBar.FindFirstVisibleItem"
		size = 60
	strings:
		$1 = { 53 56 57 8B F8 8B C7 8B 10 FF 92 70 01 00 00 8B F0 EB 10 33 C9 8B D6 8B C7 8B 18 FF 93 18 01 00 00 8B F0 85 F6 74 0F 83 7E 44 00 74 09 8B 46 44 80 78 61 00 74 DD 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72933_0 {
	meta:
		name = "PointToRow"
		size = 154
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 57 8B F0 8D 7D F8 A5 A5 B8 01 00 00 00 8B 55 08 8B 52 FC 83 BA C0 02 00 00 01 7E 31 8B 45 08 8B 40 FC 8B 10 FF 92 24 01 00 00 8B 55 08 8B 52 FC 8B 8A C0 02 00 00 99 F7 F9 8B D0 B8 01 00 00 00 EB 01 40 8B CA 0F AF C8 3B 4D FC 7C F5 8B 55 08 8B 52 FC 83 BA BC 02 00 00 01 7E 31 8B 45 08 8B 40 FC 8B 10 FF 92 28 01 00 00 8B 55 08 8B 52 FC 8B 8A BC 02 00 00 99 F7 F9 8B D0 B8 01 00 00 00 EB 01 40 8B CA 0F AF C8 3B 4D F8 7C F5 5F 5E 59 59 5D C3 }
	condition:
		$1
}

rule function_72934_0 {
	meta:
		name = "TCustomActionBar.FindNearestControl"
		size = 513
		refs = "001a TWinControl.ControlAtPos 0024 _DV_TCustomActionControl 0029 @IsClass 0049 PointToRow 006f TCustomActionBar.GetItems 0076 TActionClients.GetActionClient 00b7 TControl.GetBoundsRect"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B F2 89 45 FC 6A 00 6A 00 8B D6 B1 01 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 89 5D F8 E9 BE 01 00 00 33 C0 89 45 F8 C7 45 F4 FF FF FF 7F 55 8B C6 E8 ?? ?? ?? ?? 59 89 45 EC 8B 45 FC 8B 10 FF 92 3C 01 00 00 48 85 C0 0F 8C 92 01 00 00 40 89 45 E8 33 DB 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 83 78 44 00 0F 84 69 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 44 80 78 61 00 0F 84 4D 01 00 00 55 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 44 8D 55 D8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 59 3B 45 EC 0F 85 20 01 00 00 8B 3E 8B 46 04 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 44 8B 40 48 3B 06 7E 15 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 44 8B 78 48 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 44 8B 40 4C 3B 46 04 7E 18 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 44 8B 40 4C 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 44 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 E0 3B 06 7D 1D 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 44 8D 55 D8 E8 ?? ?? ?? ?? 8B 7D E0 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 44 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 E4 3B 46 04 7D 20 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 44 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 8B 06 2B C7 8B 16 2B D7 F7 EA 8B 56 04 2B 55 F0 8B 4E 04 2B 4D F0 0F AF D1 03 C2 3B 45 F4 7D 18 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 44 89 45 F8 43 FF 4D E8 0F 85 74 FE FF FF 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72935_0 {
	meta:
		name = "TCustomActionBar.FindNextVisibleItem"
		size = 66
	strings:
		$1 = { 53 56 57 8B F2 8B F8 33 C9 8B D6 8B C7 8B 18 FF 93 18 01 00 00 8B F0 EB 10 33 C9 8B D6 8B C7 8B 18 FF 93 18 01 00 00 8B F0 85 F6 74 0F 83 7E 44 00 74 09 8B 46 44 80 78 61 00 74 DD 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72936_0 {
	meta:
		name = "TCustomActionBar.FindNext"
		size = 154
		refs = "0015 TCustomActionBar.HasItems 0020 TCollectionItem.GetIndex 0029 TCustomActionBar.GetItems 0053 TActionClients.GetActionClient"
	strings:
		$1 = { 53 56 57 55 51 88 0C 24 8B EA 8B F8 33 F6 85 ED 74 6E 8B C7 E8 ?? ?? ?? ?? 84 C0 74 1E 8B C5 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 48 3B D8 0F 9C C0 EB 02 33 C0 84 C0 74 1A 8B C5 E8 ?? ?? ?? ?? 40 50 8B C7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B F0 EB 37 80 3C 24 00 74 31 8B C7 8B 10 FF 92 3C 01 00 00 48 7E 24 8B C7 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B F0 EB 12 80 3C 24 00 74 0C 8B C7 8B 10 FF 92 70 01 00 00 8B F0 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72937_0 {
	meta:
		name = "TCustomActionBar.FindPrevious"
		size = 129
		refs = "0013 TCollectionItem.GetIndex 0027 TCustomActionBar.GetItems 002d TActionClients.GetActionClient"
	strings:
		$1 = { 53 56 57 55 8B D9 8B EA 8B F0 33 FF 85 ED 74 5A 8B C5 E8 ?? ?? ?? ?? 85 C0 7E 1A 8B C5 E8 ?? ?? ?? ?? 48 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B F8 EB 45 84 DB 74 41 8B C6 8B 10 FF 92 3C 01 00 00 48 7E 34 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 10 84 DB 74 0C 8B C6 8B 10 FF 92 14 01 00 00 8B F8 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72938_0 {
	meta:
		name = "TCustomActionBar.GetActionControl"
		size = 49
		refs = "001b TCustomActionBar.GetItems 0022 TActionClients.GetActionClient"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 22 8B C3 8B 10 FF 92 3C 01 00 00 3B F0 7D 14 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 44 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_72939_0 {
	meta:
		name = "TCustomActionBar.GetBannerWidth"
		size = 111
		refs = "0026 TActionClient.GetBackground 002b TPicture.GetBitmap"
	strings:
		$1 = { 56 57 8B F0 33 C0 8B BE 80 02 00 00 85 FF 74 5C 80 EA 01 72 08 74 1F FE CA 74 34 EB 4F 80 7F 14 03 75 49 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 30 EB 36 80 7F 14 04 75 30 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 30 EB 1D 0F B6 57 14 80 C2 FD 80 EA 02 73 11 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 30 5F 5E C3 }
	condition:
		$1
}

rule function_72941_0 {
	meta:
		name = "TCustomActionBar.GetItems"
		size = 44
		refs = "0018 TActionClient.GetContextItems 0023 TActionClient.GetItems"
	strings:
		$1 = { 33 D2 8B 88 80 02 00 00 85 C9 74 1D 80 B8 E4 02 00 00 00 74 0B 8B C1 E8 ?? ?? ?? ?? 8B D0 EB 09 8B C1 E8 ?? ?? ?? ?? 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_72942_0 {
	meta:
		name = "TCustomActionBar.HasItems"
		size = 58
		refs = "0031 TActionClient.GetHasItems"
	strings:
		$1 = { 33 D2 8B 88 80 02 00 00 85 C9 74 2B 80 B8 E4 02 00 00 00 74 19 8B 51 1C 85 D2 74 0C 8B 42 08 83 78 08 00 0F 9F C0 EB 02 33 C0 8B D0 EB 09 8B C1 E8 ?? ?? ?? ?? 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_72943_0 {
	meta:
		name = "TCustomActionBar.ItemCount"
		size = 42
		refs = "000f TCustomActionBar.HasItems 001a TCustomActionBar.GetItems"
	strings:
		$1 = { 53 8B D8 83 BB 80 02 00 00 00 74 1A 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_72944_0 {
	meta:
		name = "TCustomActionBar.Loaded"
		size = 59
		refs = "0006 TControl.Loaded 0019 TCustomActionBar.SetActionManager 0029 TCustomActionBar.SetupDefaultColorMap"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 84 02 00 00 85 C0 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 83 BB 90 02 00 00 00 75 13 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 54 01 00 00 5B C3 }
	condition:
		$1
}

rule function_72945_0 {
	meta:
		name = "TCustomActionBar.Notification"
		size = 82
		refs = "0010 TWinControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? FE CB 75 36 3B BE 84 02 00 00 75 14 8B C6 8B 10 FF 92 00 01 00 00 33 C0 89 86 84 02 00 00 EB 1A 3B BE 90 02 00 00 75 12 F6 46 1C 08 75 0C 33 D2 8B C6 8B 08 FF 91 54 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72946_0 {
	meta:
		name = "TCustomActionBar.Paint"
		size = 39
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 40 01 00 00 66 83 BB B2 02 00 00 00 74 0E 8B D3 8B 83 B4 02 00 00 FF 93 B0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_72947_0 {
	meta:
		name = "TCustomActionBar.PaintWindow"
		size = 169
		refs = "0014 TCustomCanvas.Lock 001c TCustomActionBar.PaintWindow 0032 TCanvas.SetHandle 004e TControlCanvas.UpdateTextFlags 007c @HandleFinally 0099 TCustomCanvas.Unlock"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 8C 02 00 00 8B D3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 44 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_72948_0 {
	meta:
		name = "TCustomActionBar.SetActionClient"
		size = 124
		refs = "0046 TControl.SetColor 004d TActionClient.GetOwningCollection 0052 TActionClientsCollection.GetActionManager 005b TCustomActionBar.SetActionManager"
	strings:
		$1 = { 53 56 8B DA 8B F0 3B 9E 80 02 00 00 74 6B 8B C6 8B 10 FF 92 00 01 00 00 8B C3 89 86 80 02 00 00 85 C0 75 0D 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 8B 86 80 02 00 00 8B 40 24 3D 00 00 00 20 74 09 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 89 9E 80 02 00 00 8B C6 8B 10 FF 92 FC 00 00 00 8B C6 8B 10 FF 92 04 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_72949_0 {
	meta:
		name = "TCustomActionBar.SetDesignMode"
		size = 616
		refs = "0030 TCustomActionBar.GetItems 0043 TCustomActionBar.SetDesignMode 00a0 TCustomActionBar.GetAutoSizing 0133 TControl.SetHeight 0142 TControl.SetWidth 0171 TActionClients.GetActionClient 0194 TControl.SetVisible 01f9 ControlDragMode 0223 TActionClientItem.GetAction"
	strings:
		$1 = { 56 57 55 83 C4 F4 8B F0 3A 96 95 02 00 00 0F 84 49 02 00 00 88 96 95 02 00 00 F6 46 1C 10 0F 85 39 02 00 00 83 BE 80 02 00 00 00 74 0D 8B C6 E8 ?? ?? ?? ?? 80 78 24 00 74 12 8B 86 80 02 00 00 0F B6 15 ?? ?? ?? ?? 3A 50 31 75 35 80 BE 95 02 00 00 00 74 1B 8B C6 8B 10 FF 52 68 88 86 96 02 00 00 33 D2 8B C6 8B 08 FF 91 80 00 00 00 EB 11 0F B6 96 96 02 00 00 8B C6 8B 08 FF 91 80 00 00 00 8B C6 8B 10 FF 92 2C 01 00 00 84 C0 74 47 8B C6 8B 10 FF 92 2C 01 00 00 84 C0 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 86 EC 02 00 00 8B 46 50 89 44 24 04 8B 46 54 89 44 24 08 8B 44 24 04 89 86 D0 02 00 00 8B 44 24 08 89 86 D4 02 00 00 8B C6 8B 10 FF 92 2C 01 00 00 84 C0 75 09 80 BE EC 02 00 00 00 74 0E 8B C6 8B 10 FF 92 3C 01 00 00 85 C0 7F 04 33 D2 EB 02 B2 01 8B C6 8B 08 FF 91 50 01 00 00 8B C6 8B 10 FF 92 2C 01 00 00 84 C0 75 2D 0F B6 86 97 02 00 00 2C 02 72 06 2C 02 72 11 EB 1C 8B 96 D4 02 00 00 8B C6 E8 ?? ?? ?? ?? EB 0D 8B 96 D0 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B E8 4D 85 ED 0F 8C FF 00 00 00 45 C7 04 24 00 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 14 24 E8 ?? ?? ?? ?? 8B F8 8B 47 44 85 C0 0F 84 D1 00 00 00 80 BE 95 02 00 00 00 74 7C 80 78 61 00 75 07 B2 01 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 3A 47 31 74 12 8B 86 80 02 00 00 0F B6 15 ?? ?? ?? ?? 3A 50 31 75 04 33 D2 EB 02 B2 01 8B 47 44 8B 08 FF 91 80 00 00 00 8B C6 8B 10 FF 92 2C 01 00 00 84 C0 74 0C 8B 86 80 02 00 00 F6 40 31 02 75 10 8B 86 80 02 00 00 F6 40 31 04 75 04 33 C0 EB 02 B0 01 83 E0 7F 0F B6 90 ?? ?? ?? ?? 8B 47 44 8B 08 FF 51 7C EB 4C 33 D2 8B 08 FF 51 7C 0F B6 47 30 84 C0 75 0A 8B D0 8B 47 44 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 52 54 EB 0D B2 01 8B 47 44 8B 08 FF 91 80 00 00 00 33 D2 8B 47 44 8B 08 FF 91 04 01 00 00 FF 04 24 4D 0F 85 09 FF FF FF 83 C4 0C 5D 5F 5E C3 00 00 00 00 }
	condition:
		$1
}

rule function_72950_0 {
	meta:
		name = "TCustomActionBar.SetOrientation"
		size = 148
		refs = "003a TCustomActionBar.SetOrientation 0083 TWinControl.EnableAlign 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 3A 90 97 02 00 00 74 7B 8B 45 FC 88 90 97 02 00 00 8B 45 FC 8B 10 FF 92 3C 01 00 00 85 C0 7E 63 8B 45 FC 66 FF 80 B4 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 3C 01 00 00 8B D8 4B 85 DB 7C 1C 43 33 F6 8B D6 8B 45 FC 8B 08 FF 91 30 01 00 00 8B 10 FF 92 08 01 00 00 46 4B 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_72951_0 {
	meta:
		name = "TCustomActionBar.SetSpacing"
		size = 22
		refs = "0011 TWinControl.AlignControl"
	strings:
		$1 = { 3B 90 98 02 00 00 74 0D 89 90 98 02 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72952_0 {
	meta:
		name = "TCustomActionBar.SetActionManager"
		size = 59
		refs = "0017 TComponent.RemoveFreeNotification 0034 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 84 02 00 00 3B F0 74 28 85 C0 74 11 8B D3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 00 01 00 00 8B C6 89 83 84 02 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72953_0 {
	meta:
		name = "TCustomActionBar.SetPersistentHotKeys"
		size = 20
		refs = "000f TControl.Refresh"
	strings:
		$1 = { 3A 90 B8 02 00 00 74 0B 88 90 B8 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72954_0 {
	meta:
		name = "TCustomActionBar.DoDropActions"
		size = 173
		refs = "0020 TCustomActionBar.FindNearestControl 002b TCustomActionBar.CalcInsertPosition 003b TActionDragObject.GetActionCount 0061 TActionClient.GetItems 0068 TCollection.Insert 0076 TActionDragObject.GetAction 0089 TActionClients.GetActionClient 008f TActionClientItem.SetAction 0097 TCollectionItem.GetIndex"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B D9 89 55 FC 8B F0 8B 7D 08 89 5D E8 89 7D EC 57 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 45 F0 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 74 61 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 52 47 C7 45 F8 00 00 00 00 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 89 45 F4 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 43 FF 45 F8 4F 75 B6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72955_0 {
	meta:
		name = "TCustomActionBar.DoDropCategory"
		size = 315
		refs = "0021 TCustomActionBar.FindNearestControl 002d TCustomActionBar.CalcInsertPosition 0037 TCustomActionBar.GetItems 003e TCollection.Insert 004a TActionClientItem.SetCaption 0051 TActionDragObject.GetActionCount 0060 TCollectionItem.GetIndex 006f TActionClients.GetActionClient 00a4 TActionClient.GetItems 00b1 _DV_TActionClientItem 00b6 @AsClass 00c2 TActionDragObject.GetAction 00cc TActionClientItem.SetAction 00dd TActionClientItem.SetLastSession 00fe TActionClientItem.GetAction 0109 TActionClient.GetHasItems 0119 TActionClients.VisibleCount"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B D9 8B FA 89 45 FC 8B 75 08 89 5D EC 89 75 F0 56 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B CB 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B F0 8B 57 50 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 84 D5 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 57 50 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 60 40 89 45 F8 33 DB 8B C6 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 47 40 8B 40 74 8B 50 28 8B 45 F4 E8 ?? ?? ?? ?? 43 FF 4D F8 75 A6 8B 46 44 8B 10 FF 92 08 01 00 00 B2 01 8B C6 8B 08 FF 51 2C 8B C6 E8 ?? ?? ?? ?? 85 C0 75 1F 8B C6 E8 ?? ?? ?? ?? 84 C0 74 10 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 04 33 D2 EB 02 B2 01 8B 46 44 8B 08 FF 91 80 00 00 00 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72956_0 {
	meta:
		name = "TCustomActionBar.FindPreviousVisibleItem"
		size = 51
	strings:
		$1 = { 53 56 8B F0 33 C9 8B C6 8B 18 FF 93 1C 01 00 00 8B D8 EB 10 33 C9 8B D3 8B C6 8B 18 FF 93 1C 01 00 00 8B D8 85 DB 74 06 80 7B 30 00 74 E6 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_72957_0 {
	meta:
		name = "TCustomActionBar.SetBiDiMode"
		size = 83
		refs = "0013 TControl.SetBiDiMode"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 0F B6 46 69 88 04 24 8B D3 8B C6 E8 ?? ?? ?? ?? 3A 1C 24 74 33 0F B6 86 97 02 00 00 04 FE 2C 02 72 26 80 EB 01 72 07 80 EB 03 72 10 EB 1A 33 D2 8B C6 8B 08 FF 91 5C 01 00 00 EB 0C B2 01 8B C6 8B 08 FF 91 5C 01 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_72958_0 {
	meta:
		name = "TCustomActionBar.GetBarHeight"
		size = 180
	strings:
		$1 = { 53 56 8B D8 8B 73 54 8B C3 8B 10 FF 92 3C 01 00 00 85 C0 0F 84 96 00 00 00 0F B6 43 65 04 FD 2C 03 0F 82 88 00 00 00 8B 83 C4 02 00 00 8B F0 03 F6 8B 93 C0 02 00 00 8B CA 49 0F AF F1 8B 8B DC 02 00 00 0F AF CA 03 C8 03 F1 03 F0 80 BB CC 02 00 00 00 74 14 83 BB C0 02 00 00 01 7E 0B 8B 83 C0 02 00 00 48 03 C0 03 F0 F6 83 78 02 00 00 02 74 1A 0F B6 83 79 02 00 00 48 2C 02 73 01 46 0F B6 83 7A 02 00 00 48 2C 02 73 01 46 F6 83 78 02 00 00 08 74 1A 0F B6 83 79 02 00 00 48 2C 02 73 01 46 0F B6 83 7A 02 00 00 48 2C 02 73 01 46 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_72959_0 {
	meta:
		name = "TCustomActionBar.GetBarWidth"
		size = 201
		refs = "001c TCustomActionBar.GetAutoSizing"
	strings:
		$1 = { 53 56 8B D8 8B 73 50 8B C3 8B 10 FF 92 3C 01 00 00 85 C0 0F 84 AB 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 9C 00 00 00 0F B6 43 65 48 2C 02 0F 82 8F 00 00 00 2C 02 0F 84 87 00 00 00 8B 83 C8 02 00 00 8B F0 03 F6 8B 93 BC 02 00 00 8B CA 49 0F AF F1 8B 8B E0 02 00 00 0F AF CA 03 C8 03 F1 03 F0 80 BB D8 02 00 00 00 74 13 83 BB BC 02 00 00 01 7E 0A 8B 83 BC 02 00 00 03 C0 03 F0 F6 83 78 02 00 00 01 74 1A 0F B6 83 79 02 00 00 48 2C 02 73 01 46 0F B6 83 7A 02 00 00 48 2C 02 73 01 46 F6 83 78 02 00 00 04 74 0D 0F B6 83 79 02 00 00 48 2C 02 73 01 46 0F B6 83 7A 02 00 00 48 2C 02 73 01 46 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_72960_0 {
	meta:
		name = "TCustomActionBar.GetDesignMode"
		size = 34
	strings:
		$1 = { 80 B8 94 02 00 00 00 75 03 33 C0 C3 F6 40 1C 10 75 0D 80 B8 95 02 00 00 00 75 04 33 C0 EB 02 B0 01 C3 }
	condition:
		$1
}

rule function_72961_0 {
	meta:
		name = "TCustomActionBar.SetHorzMargin"
		size = 39
		refs = "0016 TWinControl.AlignControl 0021 @CallDynaInst"
	strings:
		$1 = { 56 8B F0 3B 96 C8 02 00 00 74 1A 89 96 C8 02 00 00 8B C6 33 D2 E8 ?? ?? ?? ?? 8B C6 66 BE EF FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_72962_0 {
	meta:
		name = "TCustomActionBar.SetVertMargin"
		size = 39
		refs = "0016 TWinControl.AlignControl 0021 @CallDynaInst"
	strings:
		$1 = { 56 8B F0 3B 96 C4 02 00 00 74 1A 89 96 C4 02 00 00 8B C6 33 D2 E8 ?? ?? ?? ?? 8B C6 66 BE EF FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_72963_0 {
	meta:
		name = "TCustomActionBar.SetHorzSeparator"
		size = 39
		refs = "0016 TWinControl.AlignControl 0021 @CallDynaInst"
		altNames = "TCustomActionBar.SetVertSeparator"
	strings:
		$1 = { 56 8B F0 3A 96 CC 02 00 00 74 1A 88 96 CC 02 00 00 8B C6 33 D2 E8 ?? ?? ?? ?? 8B C6 66 BE EF FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_72965_0 {
	meta:
		name = "TCustomActionBar.CMResetBar"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 48 01 00 00 C3 }
	condition:
		$1
}

rule function_72966_0 {
	meta:
		name = "TCustomActionBar.CMThemeChanged"
		size = 27
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 8B 08 FF 91 54 01 00 00 8B C3 8B 10 FF 92 74 01 00 00 5B C3 }
	condition:
		$1
}

rule function_72967_0 {
	meta:
		name = "TCustomActionBar.CMSysFontChanged"
		size = 46
		refs = "0011 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 F6 43 1C 01 75 21 8B C3 66 BE EF FF E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 54 01 00 00 8B C3 8B 10 FF 92 74 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_72968_0 {
	meta:
		name = "TCustomActionBar.Reset"
		size = 128
		refs = "002f TCustomActionBar.Reset 003d TCollectionItem.GetIndex 004d TCustomActionManager.ResetActionBar 0070 TWinControl.EnableAlign 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 83 B8 84 02 00 00 00 74 67 8B 45 FC 66 FF 80 B4 01 00 00 8B 45 FC 8B 80 80 02 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 84 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 91 4C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 59 59 5D C3 }
	condition:
		$1
}

rule function_72971_0 {
	meta:
		name = "TCustomActionBar.VisibleChanging"
		size = 127
		refs = "0012 TCustomActionBar.VisibleChanging 001f TControl.VisibleChanging 0040 SCannotHideActionBand 0045 LoadResString 004f _Dn_Exception 0054 Exception.CreateFmt 0059 @RaiseExcept 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB 88 02 00 00 00 75 31 8B 43 08 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_72972_0 {
	meta:
		name = "TCustomActionBar.WMContextMenu"
		size = 168
		refs = "000c TWinControl.WMContextMenu 002d TActionClient.GetContextItems 003e TCustomActionBar.GetPopupMenuClass 004c _Dn_TCustomActionPopupMenu 0051 @AsClass 005f Application 006e TWinControl.SetParentWindow 0099 TCustomActionPopupMenu.Popup 00a0 TObject.Free"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 2C 01 00 00 84 C0 0F 85 82 00 00 00 8B 83 80 02 00 00 85 C0 74 78 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 7E 69 8B C3 E8 ?? ?? ?? ?? 8B 4B 04 B2 01 FF 50 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 C6 86 E4 02 00 00 01 A1 ?? ?? ?? ?? 8B 00 8B 90 78 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 8B 08 FF 91 84 00 00 00 8B 93 80 02 00 00 8B C6 8B 08 FF 91 4C 01 00 00 0F BF 4F 0A 0F BF 57 08 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72973_0 {
	meta:
		name = "TCustomActionBar.GetAutoSizing"
		size = 43
		refs = "000e _DV_TActionBarItem 0013 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B B3 80 02 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 80 7E 3C 00 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_72974_0 {
	meta:
		name = "TCustomActionBar.SetAutoSizing"
		size = 54
		refs = "0011 _DV_TActionBarItem 0016 @IsClass 0023 TActionBarItem.SetAutoSize 002e @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B B7 80 02 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C7 66 BE EF FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72975_0 {
	meta:
		name = "TCustomActionBar.DoDropItem"
		size = 282
		refs = "0022 TCustomActionBar.FindNearestControl 004a TCustomActionBar.GetItems 0068 TControl.GetBoundsRect 008d TCollectionItem.GetIndex 009b TActionClientItem.GetActionClients"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 89 4D FC 8B F2 8B F8 8B 45 FC 89 45 F0 8B 45 08 89 45 F4 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 8B D8 8B 46 48 8B 40 44 85 C0 74 08 3B C3 0F 84 D7 00 00 00 85 DB 74 09 83 BB BC 01 00 00 00 75 16 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 46 48 8B 08 FF 51 10 E9 A7 00 00 00 33 C0 89 45 F8 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 3B 45 FC 7C 12 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 3B 45 08 7D 2C 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 89 45 EC 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 48 3B 45 EC 7E 07 C7 45 F8 01 00 00 00 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 3B 45 FC 7F 12 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 D0 3B 45 08 7E 05 33 C0 89 45 F8 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 46 48 8B 08 FF 51 10 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B D0 03 55 F8 8B 46 48 8B 08 FF 51 14 8B 56 48 8B C7 8B 08 FF 91 68 01 00 00 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_72976_0 {
	meta:
		name = "TCustomActionBar.RecreateControls"
		size = 103
		refs = "0010 TActionClient.GetItems 0032 TActionClients.GetActionClient 003a TObject.Free"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 80 02 00 00 85 C0 74 54 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 38 47 33 F6 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 44 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 33 D2 89 50 44 46 4F 75 CB 8B C3 8B 10 FF 92 04 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72977_0 {
	meta:
		name = "TCustomActionBar.SetBounds"
		size = 179
		refs = "0017 TWinControl.GetAlignDisabled 0027 _DV_TActionBarItem 002c @IsClass 00a6 TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 0C 8B C3 E8 ?? ?? ?? ?? 84 C0 75 79 8B 83 80 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 64 0F B6 43 65 48 2C 02 72 11 8B C3 8B 10 FF 52 6C 84 C0 74 13 80 7B 65 00 75 0D 8B C3 8B 10 FF 92 24 01 00 00 89 45 08 0F B6 43 65 04 FD 2C 02 72 11 8B C3 8B 10 FF 52 6C 84 C0 74 14 80 7B 65 00 75 0E 8B C3 8B 10 FF 92 28 01 00 00 8B F8 EB 02 8B FE 8B C3 8B 10 FF 52 6C 84 C0 75 07 3B 7B 50 74 02 8B F7 56 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_72978_0 {
	meta:
		name = "TCustomActionBar.WMPaint"
		size = 340
		refs = "000d TStyleManager.GetIsCustomStyleActive 001b TWinControl.WMPaint 0056 TWinControl.GetHandle 005c BeginPaint 0064 TCustomActionBar.WMPaint 007c BeginBufferedPaint 009a GetStockObject 00b3 FillRect 00c5 TControl.Perform 00dd EndBufferedPaint 00e3 @HandleFinally 0104 EndPaint"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 8B DA 89 45 FC E8 ?? ?? ?? ?? 84 C0 74 0F 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 25 01 00 00 8B 45 FC F6 40 1C 10 0F 85 DF 00 00 00 8B 45 FC 80 B8 68 02 00 00 00 0F 84 CF 00 00 00 8B 45 FC F6 40 5D 80 0F 84 C2 00 00 00 8D 45 B4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 52 6A 00 6A 02 8D 55 BC 52 50 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 60 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 E8 ?? ?? ?? ?? 50 8D 55 A4 8B 45 FC 8B 08 FF 51 60 8D 45 A4 50 8B 45 F8 50 E8 ?? ?? ?? ?? 6A 04 8B 4D F8 BA 18 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A FF 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC F6 40 5D 01 75 30 8B 45 FC 8B 40 5C 0B 05 ?? ?? ?? ?? 8B 55 FC 89 42 5C 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? F7 D2 23 50 5C 8B 45 FC 89 50 5C 5B 8B E5 5D C3 00 00 00 01 00 00 }
	condition:
		$1
}

rule function_72979_0 {
	meta:
		name = "TCustomActionBar.SetColorMap"
		size = 127
		refs = "0017 TCustomActionBarColorMap.Remove 002a TCustomActionBar.SetupDefaultColorMap 003d TCustomActionBarColorMap.Add 004d TControl.SetColor 005e TWinControl.HandleAllocated 0072 TWinControl.GetHandle 0078 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 90 02 00 00 3B F0 74 6C 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 83 90 02 00 00 85 C0 75 0D 8B C3 E8 ?? ?? ?? ?? 89 83 90 02 00 00 8B D3 8B 83 90 02 00 00 E8 ?? ?? ?? ?? 8B 83 90 02 00 00 8B 50 48 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 01 68 85 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72980_0 {
	meta:
		name = "TCustomActionBar.GetDefaultColorMapClass"
		size = 22
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 78 01 00 00 8B D3 8B 08 FF 51 04 5B C3 }
	condition:
		$1
}

rule function_72981_0 {
	meta:
		name = "TCustomActionBar.SetupDefaultColorMap"
		size = 140
		refs = "0013 TObject.Free 0031 TCustomActionBar.SetupDefaultColorMap 0045 TComponent.SetSubComponent 0052 TCustomActionBarColorMap.Add"
	strings:
		$1 = { 53 56 8B D8 8D 83 E8 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 34 01 00 00 8B CB B2 01 FF 50 38 8B F0 89 B3 E8 02 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 B2 01 8B 83 E8 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 E8 02 00 00 E8 ?? ?? ?? ?? 8B 83 E8 02 00 00 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 43 00 6F 00 6C 00 6F 00 72 00 4D 00 61 00 70 00 00 00 }
	condition:
		$1
}

rule function_72982_0 {
	meta:
		name = "TCustomActionBar.NCPaint"
		size = 1404
		refs = "0015 TCustomActionBar.NCPaint 0050 TCustomActionBar.GetColorMap 0058 TStyleManager.GetIsCustomStyleActive 0061 TStyleManager.GetActiveStyle 006b TCustomStyleServices.GetSystemColor 008c GetShadowColor 009a GetHighLightColor 0165 TWinControl.GetHandle 016b GetClientRect 017d GetWindowRect 0193 MapWindowPoints 01a5 OffsetRect 01be ExcludeClipRect 01de TCanvas.GetHandle 0200 TCanvas.SetHandle 0216 TPen.SetWidth 0274 TPen.SetColor 056a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 55 F8 89 45 FC 8B 45 FC 0F B6 15 ?? ?? ?? ?? 3A 90 78 02 00 00 0F 84 4B 05 00 00 8B 45 FC 0F B6 80 7A 02 00 00 8B C8 8B 55 FC 0F B6 92 79 02 00 00 02 CA 03 C0 02 C8 8D 04 52 02 C8 80 E9 03 88 4D E7 8B 45 FC E8 ?? ?? ?? ?? 8B 58 48 E8 ?? ?? ?? ?? 84 C0 74 24 E8 ?? ?? ?? ?? BA 10 00 00 FF E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? BA 14 00 00 FF E8 ?? ?? ?? ?? 8B F8 EB 1C BA CE FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B F0 BA 13 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 0F B6 45 E7 83 F8 0B 0F 87 A7 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 89 5D EC 89 5D E8 89 7D F0 8B DE EB 6C 89 5D EC 89 5D E8 89 75 F0 8B DF EB 5F BA 13 00 00 00 8B C3 E8 ?? ?? ?? ?? BA E2 FF FF FF E8 ?? ?? ?? ?? 89 45 EC 89 75 E8 89 7D F0 BA E7 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 30 89 7D EC 89 75 E8 89 75 F0 8B DF EB 23 89 75 EC 89 7D E8 89 7D F0 8B DE EB 16 89 75 EC 89 7D E8 89 75 F0 8B DF EB 09 89 5D EC 89 5D E8 89 5D F0 8D 45 D4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 C4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 8D 45 C4 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 4D C8 F7 D9 8B 55 C4 F7 DA 8D 45 D4 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 DC 50 8B 45 D8 50 8B 45 D4 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 4D C8 F7 D9 8B 55 C4 F7 DA 8D 45 C4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 8C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC F6 80 78 02 00 00 02 75 3E 8B 45 FC F6 80 78 02 00 00 01 0F 84 AB 00 00 00 8B 45 FC 0F B6 80 7A 02 00 00 48 2C 02 72 1F 8B 45 FC 80 B8 7A 02 00 00 00 0F 85 8C 00 00 00 8B 45 FC 0F B6 80 79 02 00 00 48 2C 02 73 7D 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 FC F6 80 78 02 00 00 02 74 29 8B 45 FC 8B 80 8C 02 00 00 8B 4D C8 8B 55 CC 8B 30 FF 56 64 8B 55 C4 4A 8B 45 FC 8B 80 8C 02 00 00 8B 4D C8 8B 30 FF 56 60 8B 45 FC F6 80 78 02 00 00 01 74 28 8B 45 FC 8B 80 8C 02 00 00 8B 4D C8 8B 55 C4 8B 30 FF 56 64 8B 45 FC 8B 80 8C 02 00 00 8B 4D D0 8B 55 C4 8B 30 FF 56 60 8B 45 FC F6 80 78 02 00 00 02 75 36 8B 45 FC F6 80 78 02 00 00 01 0F 84 AC 00 00 00 8B 45 FC 0F B6 80 7A 02 00 00 48 2C 02 0F 83 99 00 00 00 8B 45 FC 0F B6 80 79 02 00 00 48 2C 02 0F 83 86 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 8B 55 EC E8 ?? ?? ?? ?? 8B 45 FC F6 80 78 02 00 00 02 74 2C 8B 4D C8 41 8B 55 CC 4A 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 64 8B 4D C8 41 8B 55 C4 42 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 45 FC F6 80 78 02 00 00 01 74 2E 8B 4D C8 41 8B 55 C4 42 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 64 8B 4D D0 83 E9 02 8B 55 C4 42 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 45 FC F6 80 78 02 00 00 08 75 42 8B 45 FC F6 80 78 02 00 00 04 0F 84 B4 00 00 00 8B 45 FC 0F B6 80 7A 02 00 00 48 2C 02 72 23 8B 45 FC 80 B8 7A 02 00 00 00 0F 85 95 00 00 00 8B 45 FC 0F B6 80 79 02 00 00 48 2C 02 0F 83 82 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 8B D3 E8 ?? ?? ?? ?? 8B 45 FC F6 80 78 02 00 00 04 74 2B 8B 55 CC 4A 8B 45 FC 8B 80 8C 02 00 00 8B 4D C8 8B 18 FF 53 64 8B 4D D0 49 8B 55 CC 4A 8B 45 FC 8B 80 8C 02 00 00 8B 18 FF 53 60 8B 45 FC F6 80 78 02 00 00 08 74 2C 8B 4D D0 49 8B 55 CC 4A 8B 45 FC 8B 80 8C 02 00 00 8B 18 FF 53 64 8B 4D D0 49 8B 55 C4 4A 8B 45 FC 8B 80 8C 02 00 00 8B 18 FF 53 60 8B 45 FC F6 80 78 02 00 00 08 75 36 8B 45 FC F6 80 78 02 00 00 04 0F 84 B5 00 00 00 8B 45 FC 0F B6 80 7A 02 00 00 48 2C 02 0F 83 A2 00 00 00 8B 45 FC 0F B6 80 79 02 00 00 48 2C 02 0F 83 8F 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 FC F6 80 78 02 00 00 04 74 32 8B 4D C8 41 8B 55 CC 83 EA 02 8B 45 FC 8B 80 8C 02 00 00 8B 18 FF 53 64 8B 4D D0 83 E9 02 8B 55 CC 83 EA 02 8B 45 FC 8B 80 8C 02 00 00 8B 18 FF 53 60 8B 45 FC F6 80 78 02 00 00 08 74 31 8B 4D D0 83 E9 02 8B 55 CC 83 EA 02 8B 45 FC 8B 80 8C 02 00 00 8B 18 FF 53 64 8B 4D D0 83 E9 02 8B 45 FC 8B 80 8C 02 00 00 8B 55 C4 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_72983_0 {
	meta:
		name = "TCustomActionBar.CMWinINIChange"
		size = 24
		refs = "0006 TWinControl.CMWinIniChange 000d TCustomActionBar.GetColorMap"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 48 5B C3 }
	condition:
		$1
}

rule function_72985_0 {
	meta:
		name = "TCustomActionBar.GetColorMap"
		size = 42
		refs = "0011 TCustomActionBar.SetupDefaultColorMap 0021 TControl.SetColor"
	strings:
		$1 = { 53 56 8B D8 8B B3 90 02 00 00 85 F6 75 0D 8B C3 E8 ?? ?? ?? ?? 8B B3 E8 02 00 00 8B 56 48 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_72986_0 {
	meta:
		name = "TCustomActionBar.CMMouseLeave"
		size = 66
		refs = "0009 TControl.CMMouseLeave 0039 TWinControl.Broadcast"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 2C 01 00 00 84 C0 74 22 C7 04 24 11 B4 00 00 33 C0 89 44 24 04 33 C0 89 44 24 08 33 C0 89 44 24 0C 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_72987_0 {
	meta:
		name = "TCustomActionBar.DesignWndProc"
		size = 51
		refs = "0013 Mouse 001a TMouse.GetIsDragging"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 33 DB 8B 06 2D 14 B0 00 00 75 1B A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C7 8B 08 FF 51 EC B3 01 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72988_0 {
	meta:
		name = "TCustomActionBar.Style"
		size = 39
		refs = "001d ActionBarStyles 0022 TActionBarStyleList.GetStyle"
	strings:
		$1 = { 8B 90 84 02 00 00 85 D2 74 10 83 BA E8 00 00 00 00 74 07 8B 82 E8 00 00 00 C3 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_72989_0 {
	meta:
		name = "TCustomActionControl.Create"
		size = 168
		refs = "0011 @ClassCreate 001e TGraphicControl.Create 0027 TCustomActionControl.Create 0036 TControl.SetHeight 0042 TControl.SetWidth 0052 TControl.SetParentShowHint 006c Rect 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 BA 16 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 16 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 C1 01 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 6A 04 8D 45 F0 50 B9 04 00 00 00 BA 04 00 00 00 B8 04 00 00 00 E8 ?? ?? ?? ?? 56 8D BE CC 01 00 00 8D 75 F0 A5 A5 A5 A5 5E C6 86 F4 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 04 00 00 00 }
	condition:
		$1
}

rule function_72990_0 {
	meta:
		name = "TCustomActionControl.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 0026 TGraphicControl.Destroy 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 BC 01 00 00 85 C0 74 0A 3B 70 44 75 05 33 D2 89 50 44 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_72991_0 {
	meta:
		name = "TCustomActionControl.BeginAutoDrag"
		size = 36
		refs = "0010 Mouse 001e TControl.BeginDrag"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 8B 08 FF 91 04 01 00 00 A1 ?? ?? ?? ?? 8B 00 8B 48 08 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_72992_0 {
	meta:
		name = "TCustomActionControl.CaptionLength"
		size = 72
		refs = "001d TCustomActionControl.HasGlyph 002c TActionClientItem.GetActionClients"
		altNames = "TRibbonBaseButtonControl.CaptionLength"
	strings:
		$1 = { 53 8B D8 83 BB BC 01 00 00 00 74 0E 8B C3 8B 10 FF 92 B8 00 00 00 84 C0 75 1C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 80 78 28 02 75 0E 8B 83 EC 01 00 00 2B 83 E4 01 00 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_72993_0 {
	meta:
		name = "TCustomActionControl.CaptionHeight"
		size = 72
		refs = "001d TCustomActionControl.HasGlyph 002c TActionClientItem.GetActionClients"
		altNames = "TRibbonBaseButtonControl.CaptionHeight"
	strings:
		$1 = { 53 8B D8 83 BB BC 01 00 00 00 74 0E 8B C3 8B 10 FF 92 B8 00 00 00 84 C0 75 1C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 80 78 28 02 75 0E 8B 83 F0 01 00 00 2B 83 E8 01 00 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_72994_0 {
	meta:
		name = "TCustomActionControl.ActualSpacing"
		size = 48
		refs = "0018 TCustomActionControl.CaptionLength"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 8B D8 83 3C 24 00 74 0B 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 06 8B 83 E0 01 00 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83628_0 {
	meta:
		name = "TRibbonBaseButtonControl.ActualSpacing"
		size = 48
		refs = "0018 TRibbonBaseButtonControl.CaptionLength"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 8B D8 83 3C 24 00 74 0B 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 06 8B 83 E0 01 00 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72995_0 {
	meta:
		name = "TCustomActionControl.CalcLayout"
		size = 643
		refs = "0036 TCustomActionControl.UpdateTextBounds 009d TCustomActionControl.ActualSpacing 00b0 TCustomActionControl.CaptionHeight 00ce OffsetRect 01d8 TCustomActionControl.CaptionLength"
	strings:
		$1 = { 53 56 57 55 83 C4 D0 8B D8 83 BB BC 01 00 00 00 0F 84 65 02 00 00 8B D4 8B C3 8B 08 FF 91 E0 00 00 00 8B 83 B0 01 00 00 8B 40 40 8B 53 6C 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 8B 73 50 8B 7B 54 0F B6 83 C1 01 00 00 8B D0 80 EA 02 72 0E 80 EA 02 0F 82 EA 00 00 00 E9 1F 02 00 00 84 C0 75 77 8B 83 CC 01 00 00 89 44 24 08 8B C7 D1 F8 79 03 83 D0 00 8B 54 24 04 D1 FA 79 03 83 D2 00 2B C2 89 44 24 0C 8B 44 24 08 89 83 C4 01 00 00 8B 44 24 0C 89 83 C8 01 00 00 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 93 CC 01 00 00 03 14 24 03 C2 50 8B C3 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B CF D1 F9 79 03 83 D1 00 2B C8 8D 83 E4 01 00 00 5A E8 ?? ?? ?? ?? E9 A4 01 00 00 2B B3 D4 01 00 00 2B 34 24 89 74 24 10 8B C7 D1 F8 79 03 83 D0 00 8B 54 24 04 D1 FA 79 03 83 D2 00 2B C2 89 44 24 14 8B 44 24 10 89 83 C4 01 00 00 8B 44 24 14 89 83 C8 01 00 00 8B C3 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B CF D1 F9 79 03 83 D1 00 2B C8 8D 83 E4 01 00 00 8B 93 CC 01 00 00 E8 ?? ?? ?? ?? E9 3A 01 00 00 3C 02 0F 85 C2 00 00 00 8B C3 8B 10 FF 92 B8 00 00 00 84 C0 74 39 8B C6 D1 F8 79 03 83 D0 00 8B 14 24 D1 FA 79 03 83 D2 00 2B C2 89 44 24 18 8B 83 D0 01 00 00 89 44 24 1C 8B 44 24 18 89 83 C4 01 00 00 8B 44 24 1C 89 83 C8 01 00 00 EB 45 8B C6 D1 F8 79 03 83 D0 00 8B 14 24 D1 FA 79 03 83 D2 00 2B C2 89 44 24 20 D1 FF 79 03 83 D7 00 8B 44 24 04 D1 F8 79 03 83 D0 00 2B F8 89 7C 24 24 8B 44 24 20 89 83 C4 01 00 00 8B 44 24 24 89 83 C8 01 00 00 8B C3 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B D6 D1 FA 79 03 83 D2 00 2B D0 8B 8B C8 01 00 00 03 4C 24 04 03 8B E0 01 00 00 8D 83 E4 01 00 00 E8 ?? ?? ?? ?? EB 70 8B C3 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B FE D1 FF 79 03 83 D7 00 8B D7 2B D0 8D 83 E4 01 00 00 8B 8B D0 01 00 00 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 8B E8 8B C3 E8 ?? ?? ?? ?? 03 83 E8 01 00 00 03 E8 8B C5 8B 14 24 D1 FA 79 03 83 D2 00 2B FA 89 7C 24 28 89 44 24 2C 8B 44 24 28 89 83 C4 01 00 00 8B 44 24 2C 89 83 C8 01 00 00 83 C4 30 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_72996_0 {
	meta:
		name = "TCustomActionControl.CMFontChanged"
		size = 31
		refs = "0006 TControl.CMFontChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB BC 01 00 00 00 74 0A 8B C3 8B 10 FF 92 08 01 00 00 5B C3 }
	condition:
		$1
}

rule function_72997_0 {
	meta:
		name = "TCustomActionControl.Click"
		size = 92
		refs = "0016 TCustomActionControl.GetActionBar 0029 TCustomActionControl.ResetUsageData"
	strings:
		$1 = { 53 8B D8 8B 83 BC 01 00 00 85 C0 74 4D 83 78 3C 00 74 47 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 10 8B 83 BC 01 00 00 8B 40 3C 8B D3 8B 08 FF 51 18 5B C3 }
	condition:
		$1
}

rule function_72998_0 {
	meta:
		name = "TCustomActionControl.DesignWndProc"
		size = 147
		refs = "006f TActionClientItem.GetAction 0085 ActionBarDesigner"
	strings:
		$1 = { 53 56 8B F0 33 C0 8B 0A 81 F9 04 02 00 00 7D 14 83 E9 7B 74 2C 81 C1 7B FE FF FF 83 E9 03 72 36 74 40 EB 6C 81 C1 FC FD FF FF 83 E9 02 72 12 81 C1 F3 51 FF FF 83 E9 02 72 1C 83 E9 1A 74 17 EB 4F 8B 96 BC 01 00 00 85 D2 74 45 83 7A 1C 00 74 3F B0 01 5E 5B C3 8B C6 8B 08 FF 51 EC B0 01 5E 5B C3 8B 9E BC 01 00 00 85 DB 74 22 8B C3 E8 ?? ?? ?? ?? 85 C0 74 17 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 10 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_72999_0 {
	meta:
		name = "TCustomActionControl.DrawBackground"
		size = 412
		refs = "0017 TCustomActionControl.GetActionBar 0051 TActionClient.HasBackground 0095 TStyleManager.GetActiveStyle 00ae TCustomActionBar.GetColorMap 00e3 TControl.GetBoundsRect 00f6 TWinControl.GetHandle 0103 TCanvas.GetHandle 011e TCustomStyleServices.DrawParentBackground 012e TFont.SetHandle 014f TBrush.GetBitmap 0175 BrushStyle 0183 TBrush.SetStyle"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B FA 8B F0 80 BE DC 01 00 00 00 75 29 8B C6 E8 ?? ?? ?? ?? 85 C0 74 1E 83 BE BC 01 00 00 00 74 15 8B C6 E8 ?? ?? ?? ?? F6 40 5A 04 0F 95 C0 3C 01 0F 94 C0 EB 02 33 C0 84 C0 74 4B 8B C6 E8 ?? ?? ?? ?? 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 31 8B C6 E8 ?? ?? ?? ?? 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 17 8B C6 E8 ?? ?? ?? ?? 8B 80 80 02 00 00 0F B6 40 14 04 FD 2C 02 73 04 33 C0 EB 06 B0 01 EB 02 33 C0 84 C0 74 0C E8 ?? ?? ?? ?? 8B 10 FF 52 48 EB 02 33 C0 84 C0 74 23 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 48 8B 96 B0 01 00 00 8B 52 48 8B 52 10 3B 42 18 0F 94 C0 EB 02 33 C0 84 C0 74 09 F6 46 5A 04 0F 95 C0 EB 02 33 C0 84 C0 74 67 8B D4 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 86 B0 01 00 00 E8 ?? ?? ?? ?? 33 ED 0F B6 96 F4 01 00 00 55 52 8D 54 24 08 52 8B C8 8B C3 8B D7 E8 ?? ?? ?? ?? 8B 86 B0 01 00 00 8B 40 40 33 D2 E8 ?? ?? ?? ?? 8B 86 B0 01 00 00 8B 40 40 8B 56 6C 8B 08 FF 51 08 EB 4F 8B 86 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 85 C0 75 30 80 BE F4 01 00 00 00 74 09 80 BE DC 01 00 00 00 74 04 33 C0 EB 02 B0 01 83 E0 7F 0F B6 90 ?? ?? ?? ?? 8B 86 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B D7 8B 86 B0 01 00 00 8B 08 FF 51 54 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73000_0 {
	meta:
		name = "TCustomActionControl.DrawGlyph"
		size = 131
		refs = "000b TCustomActionControl.HasGlyph 007a TCustomImageList.Draw"
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6B 8B 83 BC 01 00 00 8B 40 5C 50 8D 4C 24 04 33 D2 8B C3 8B 30 FF 96 E8 00 00 00 8B F0 85 F6 74 4B 80 3C 24 00 75 21 8B C3 8B 10 FF 52 68 84 C0 74 0C 8B 83 BC 01 00 00 83 78 5C FF 75 0A F6 43 1C 10 75 04 33 C0 EB 02 B0 01 8B 57 04 52 8B 93 BC 01 00 00 8B 52 5C 52 6A 03 6A 00 50 8B 0F 8B 93 B0 01 00 00 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73001_0 {
	meta:
		name = "TCustomActionControl.DrawLargeGlyph"
		size = 862
		refs = "0015 TCustomActionControl.HasGlyph 002a _Dn_TCustomAction 002f @IsClass 0073 _Dn_TBitmap 0078 TBitmap.Create 0083 TCustomActionControl.DrawLargeGlyph 00c4 TBitmap.GetCanvas 00d1 TBrush.SetColor 0110 Rect 0128 TCanvas.CopyRect 0167 TCanvas.GetHandle 0179 TCustomImageList.GetHandle 017f ImageList_DrawEx 01cf TBitmap.SetTransparentColor 0260 TActionClientItem.GetParentItem 0265 TActionClient.HasBackground 02dc ImageStates 0307 TBrush.GetHandle 0319 DrawState 032e TObject.Free 0334 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 8B F2 8D 7D F8 A5 A5 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 36 03 00 00 8B C6 8B 10 FF 52 58 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 1C 03 00 00 8B 86 BC 01 00 00 8B 40 5C 50 8D 4D E7 B2 01 8B C6 8B 18 FF 93 E8 00 00 00 8B D8 C7 45 DC 20 00 00 00 C7 45 E0 20 00 00 00 8B 45 DC 89 45 E8 8B 45 E0 89 45 EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 3C 8B 45 F0 8B 08 FF 51 44 8B 53 38 8B 45 F0 8B 08 FF 51 38 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 48 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 68 84 C0 74 4E 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 CC 8B 08 FF 51 10 8D 45 CC 50 8B 45 F0 8B 10 FF 52 24 50 8D 45 BC 50 8B 45 F0 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 BC 50 8B 45 F0 E8 ?? ?? ?? ?? 8B 8E B0 01 00 00 5A E8 ?? ?? ?? ?? EB 22 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 CC 8B 08 FF 51 10 8D 45 CC 50 8B 45 F0 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 6A 01 6A FF 6A FF 6A 00 6A 00 6A 00 6A 00 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 86 BC 01 00 00 8B 40 5C 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 5D E8 8B D3 8B 45 F4 8B 08 FF 51 44 8B 55 EC 8B 45 F4 8B 08 FF 51 38 8B 45 EC 50 8D 45 CC 50 8B CB 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 CC 50 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F0 5A 8B 38 FF 97 88 00 00 00 BA FF FF FF 00 8B 45 F4 E8 ?? ?? ?? ?? B2 01 8B 45 F4 8B 08 FF 51 40 8B D3 8B 45 F0 8B 08 FF 51 44 8B 55 EC 8B 45 F0 8B 08 FF 51 38 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 48 8B 96 B0 01 00 00 8B 52 48 8B 52 10 8B 52 18 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 CC 8B 08 FF 51 10 8D 45 CC 50 8B 45 F0 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 8B 45 F4 50 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 18 FF 53 44 8B C6 8B 10 FF 52 68 84 C0 75 06 F6 46 1C 10 74 7C 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 8B 7D FC 8B C7 03 45 EC 50 8D 45 CC 50 8B 5D F8 8B CB 03 4D E8 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 55 CC 8B 86 B0 01 00 00 8B 4D F4 8B 18 FF 93 88 00 00 00 EB 7C 8B 7D FC 8B C7 03 45 EC 50 8D 45 CC 50 8B 5D F8 8B CB 03 4D E8 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 55 CC 8B 86 B0 01 00 00 8B 4D F0 8B 18 FF 93 88 00 00 00 EB 48 0F B6 45 E7 8B 04 85 ?? ?? ?? ?? 83 C8 04 50 6A 00 6A 00 8B 45 FC 50 8B 45 F8 50 6A 00 8B 45 F4 8B 10 FF 52 70 50 6A 00 8B 86 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 50 8B 86 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73002_0 {
	meta:
		name = "TCustomActionControl.DrawSeparator"
		size = 1040
		refs = "0010 TCustomActionControl.GetActionBar 0031 TControl.GetClientWidth 0064 TControl.GetClientHeight 00c5 TStyleManager.GetIsCustomStyleActive 00d4 TStyleManager.GetActiveStyle 00de TCustomStyleServices.GetSystemColor 00e8 TPen.SetColor 016d TCanvas.GetHandle 0173 BeginBufferedPaint 0188 TCustomActionControl.DrawSeparator 0195 GetStockObject 01ad FillRect 01be SelectObject 01cb ColorToRGB 01d5 SetDCPenColor 01e8 MoveToEx 01f9 LineTo 0244 TRect.Create 0256 BufferedPaintSetAlpha 0281 EndBufferedPaint 0287 @HandleFinally 029c TPen.SetWidth 02d0 TActionClientItem.Unused 02e0 TCustomActionBar.GetColorMap 02ed GetShadowColor 0389 GetHighLightColor"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 ED 03 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 80 97 02 00 00 2C 02 73 51 8B C3 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 89 45 DC 8B C6 48 89 45 E0 8B 45 DC 89 45 F8 8B 45 E0 89 45 FC 8B C3 E8 ?? ?? ?? ?? 8B F8 D1 FF 79 03 83 D7 00 8B C3 E8 ?? ?? ?? ?? 2B C6 40 89 7D D4 89 45 D8 8B 45 D4 89 45 F0 8B 45 D8 89 45 F4 EB 45 8B C3 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 89 75 CC 89 45 D0 8B 45 CC 89 45 F8 8B 45 D0 89 45 FC 8B C3 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 53 50 2B D6 89 55 C4 89 45 C8 8B 45 C4 89 45 F0 8B 45 C8 89 45 F4 E8 ?? ?? ?? ?? 84 C0 74 74 8B 9B B0 01 00 00 E8 ?? ?? ?? ?? BA 10 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 43 44 E8 ?? ?? ?? ?? 8B 4D FC 8B 75 F8 8B D6 8B C3 8B 38 FF 57 64 8B 4D F4 8B 55 F0 8B C3 8B 38 FF 57 60 E8 ?? ?? ?? ?? BA 14 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 43 44 E8 ?? ?? ?? ?? 8B D6 42 8B 4D FC 8B C3 8B 30 FF 56 64 8B 55 F8 42 8B 4D F4 8B C3 8B 18 FF 53 60 E9 C8 02 00 00 F6 43 5D 80 0F 84 42 01 00 00 33 C0 89 45 E8 8D 45 EC 50 6A 00 6A 02 8D 55 A0 8B C3 8B 08 FF 51 60 8D 45 A0 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 0F 84 85 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 04 E8 ?? ?? ?? ?? 50 8D 55 A0 8B C3 8B 08 FF 51 60 8D 45 A0 50 8B 45 EC 50 E8 ?? ?? ?? ?? 6A 13 E8 ?? ?? ?? ?? 50 8B 45 EC 50 E8 ?? ?? ?? ?? 89 45 E8 B8 10 00 00 FF E8 ?? ?? ?? ?? 50 8B 45 EC 50 E8 ?? ?? ?? ?? 6A 00 8B 75 FC 56 8B 5D F8 53 8B 45 EC 50 E8 ?? ?? ?? ?? 8B 7D F4 57 8B 45 F0 50 8B 45 EC 50 E8 ?? ?? ?? ?? B8 14 00 00 FF E8 ?? ?? ?? ?? 50 8B 45 EC 50 E8 ?? ?? ?? ?? 6A 00 56 8B C3 40 50 8B 45 EC 50 E8 ?? ?? ?? ?? 57 8B 45 F8 40 50 8B 45 EC 50 E8 ?? ?? ?? ?? 8B 45 E4 89 45 C0 8B 45 F0 40 50 57 8B CE 8B D3 8D 45 B0 E8 ?? ?? ?? ?? 68 FF 00 00 00 8D 45 B0 50 8B 45 C0 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 50 8B 45 EC 50 E8 ?? ?? ?? ?? 6A FF 8B 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 8B B3 B0 01 00 00 8B 46 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 80 BB DC 01 00 00 00 74 1A F6 43 1C 10 74 14 8D 55 A0 8B C3 8B 08 FF 51 60 8D 55 A0 8B C6 8B 08 FF 51 54 8B BB BC 01 00 00 85 FF 74 30 8B C7 E8 ?? ?? ?? ?? 84 C0 74 25 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 74 BA CE FF FF FF E8 ?? ?? ?? ?? 8B D0 8B 46 44 E8 ?? ?? ?? ?? EB 30 8B 7B 74 81 FF 0F 00 00 FF 75 0F 8B 46 44 BA 10 00 00 FF E8 ?? ?? ?? ?? EB 16 8B C7 BA CE FF FF FF E8 ?? ?? ?? ?? 8B D0 8B 46 44 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F8 8B C6 8B 38 FF 57 64 8B 4D F4 8B 55 F0 8B C6 8B 38 FF 57 60 8B BB BC 01 00 00 85 FF 74 48 8B C7 E8 ?? ?? ?? ?? 84 C0 74 3D 81 7B 74 0F 00 00 FF 75 0F 8B 46 44 BA 14 00 00 FF E8 ?? ?? ?? ?? EB 54 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 74 BA 13 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 46 44 E8 ?? ?? ?? ?? EB 2F 81 7B 74 0F 00 00 FF 75 0F 8B 46 44 BA 14 00 00 FF E8 ?? ?? ?? ?? EB 17 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 74 8B 46 44 E8 ?? ?? ?? ?? 8B 5D F0 8B 7D F8 3B DF 75 1D 8B DF 43 8B D3 8B 4D FC 8B C6 8B 38 FF 57 64 8B D3 8B 4D F4 8B C6 8B 18 FF 53 60 EB 1A 8B 4D FC 41 8B D7 8B C6 8B 38 FF 57 64 8B 4D F4 41 8B D3 8B C6 8B 18 FF 53 60 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73003_0 {
	meta:
		name = "TCustomActionControl.DrawText"
		size = 195
		refs = "0018 @UStrAddRef 0020 TCustomActionControl.DrawText 0049 TCanvas.GetHandle 0053 DrawGlassText 007a @UStrLAsg 0087 @UStrToPWChar 0091 DrawText 00a6 @UStrClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 5D 80 74 29 8B 07 50 6A 00 8B 83 B0 01 00 00 8B 40 40 8B 40 18 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B CE 8B 55 08 E8 ?? ?? ?? ?? EB 3C 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B 5D 08 85 DB 74 05 83 EB 04 8B 1B 89 45 F8 8D 45 FC 8B 55 08 E8 ?? ?? ?? ?? 8B 3F 57 56 53 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_73004_0 {
	meta:
		name = "TCustomActionControl.DrawShadowedText"
		size = 333
		refs = "0022 @UStrAddRef 002a TCustomActionControl.DrawShadowedText 0048 TCanvas.GetHandle 0053 DrawGlassText 006a OffsetRect 007b TFont.SetColor 00a0 @UStrLAsg 00b4 @UStrToPWChar 00be DrawText 0130 @UStrArrayClr 0138 @UStrClr 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 89 5D F8 8B F2 8D 7D E0 A5 A5 A5 A5 8B F9 8B D8 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 5D 80 74 22 57 6A 00 8B 45 0C 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8D 4D E0 8B 55 10 E8 ?? ?? ?? ?? E9 BE 00 00 00 8D 45 E0 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 8B 40 40 8B 55 08 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B 75 10 85 F6 74 05 83 EE 04 8B 36 89 45 F4 8D 45 FC 8B 55 10 E8 ?? ?? ?? ?? 89 7D F0 8B 45 F0 50 8D 45 E0 50 56 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8D 45 E0 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 8B 40 40 8B 55 0C E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B 5D 10 85 DB 74 05 83 EB 04 8B 1B 8B F0 8D 45 F8 8B 55 10 E8 ?? ?? ?? ?? 57 8D 45 E0 50 53 8B 45 F8 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_73005_0 {
	meta:
		name = "TCustomActionControl.IsGrouped"
		size = 46
		refs = "000c _Dn_TCustomAction 0011 @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 58 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B C3 8B 10 FF 52 58 83 78 74 00 7F 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_73006_0 {
	meta:
		name = "TCustomActionControl.Paint"
		size = 950
		refs = "0017 TCustomActionControl.Paint 003b BrushStyle 0049 TBrush.SetStyle 009f TBrush.SetColor 00a8 TCustomActionControl.GetActionBar 00ad TCustomActionBar.GetColorMap 0102 TCustomActionControl.HasGlyph 0113 TControl.DrawTextBiDiModeFlags 0155 TFont.SetColor 015a TStyleManager.GetActiveStyle 0230 TControl.GetText 0290 TCustomActionBar.HasItems 02a0 TCustomActionBar.GetItems 0313 OffsetRect 0346 TPen.SetColor 0359 TPen.SetWidth 035e Mouse 0365 TMouse.GetIsDragging 03a3 @UStrArrayClr 03a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 D2 89 55 D4 89 55 D8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C3 8B 08 FF 51 60 F6 43 1C 10 74 1E 0F B6 83 F4 01 00 00 0F B6 90 ?? ?? ?? ?? 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 30 80 BB F4 01 00 00 00 74 09 80 BB DC 01 00 00 00 74 04 33 C0 EB 02 B0 01 83 E0 7F 0F B6 90 ?? ?? ?? ?? 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 85 C0 74 1C 81 78 24 00 00 00 20 74 13 8B 50 24 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 1D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 48 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 8B 08 FF 91 D0 00 00 00 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 74 14 BA 02 00 00 00 8B C3 8B 08 FF 91 DC 00 00 00 E9 DB 01 00 00 8B C3 8B 10 FF 92 B8 00 00 00 84 C0 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 7A 01 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 0D 00 01 00 00 89 45 FC 8D B3 E4 01 00 00 8D 7D DC A5 A5 A5 A5 8B 83 B0 01 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 58 8B 83 B0 01 00 00 8B 40 40 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 11 8B 83 B0 01 00 00 8B 40 40 8B 53 6C 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 6D 8B C3 8B 10 FF 52 68 84 C0 75 14 8B C3 8B 10 FF 52 68 84 C0 75 57 80 BB DC 01 00 00 00 74 4E 80 BB DC 01 00 00 00 74 1D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 6C 8B 83 B0 01 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 68 84 C0 75 1D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 50 8B 83 B0 01 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 1F 8B C3 8B 10 FF 52 68 84 C0 75 14 8B C3 8B 10 FF 52 68 84 C0 75 29 80 BB DC 01 00 00 00 74 20 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 50 8D 4D FC 8D 55 DC 8B C3 8B 30 FF 96 D4 00 00 00 EB 3E 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 50 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 54 50 8B 4D FC 8D 55 DC 8B C3 8B 30 FF 96 D8 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 78 29 00 74 12 8D 93 C4 01 00 00 8B C3 8B 08 FF 91 C8 00 00 00 EB 10 8D 93 C4 01 00 00 8B C3 8B 08 FF 91 CC 00 00 00 80 BB DC 01 00 00 00 0F 84 A1 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 92 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 74 7F 8D 55 EC 8B C3 8B 08 FF 51 60 8D 45 EC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 4D F4 FF 4D F8 8B 83 B0 01 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 78 8B 83 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 8B 40 44 BA 02 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 55 EC 8B C3 8B 08 FF 91 C0 00 00 00 80 BB C0 01 00 00 00 74 0A 8B C3 8B 10 FF 92 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73009_0 {
	meta:
		name = "TCustomActionControl.SetTransparent"
		size = 64
		refs = "0016 TCustomActionControl.SetTransparent"
	strings:
		$1 = { 53 8B D8 3A 93 F4 01 00 00 74 2E 88 93 F4 01 00 00 84 D2 74 0F A1 ?? ?? ?? ?? F7 D0 23 43 58 89 43 58 EB 0B A1 ?? ?? ?? ?? 0B 43 58 89 43 58 8B C3 8B 10 FF 92 9C 00 00 00 5B C3 00 40 00 00 00 }
	condition:
		$1
}

rule function_73010_0 {
	meta:
		name = "TCustomActionControl.FindImageList"
		size = 281
		refs = "0017 TActionClient.GetOwningCollection 001c TActionClientsCollection.GetActionManager 0072 TActionClientItem.GetAction 00c3 TCustomActionControl.GetActionBar 00dc TCustomImageList.GetCount"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 84 D2 74 45 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B0 A4 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B8 AC 00 00 00 85 FF 75 71 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 78 40 EB 5C 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B0 8C 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 24 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 83 78 64 00 74 13 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B 40 64 8B 78 40 EB 13 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 78 40 8B C3 8B 10 FF 52 68 84 C0 75 29 85 F6 74 25 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 12 83 7D 08 FF 7C 0C 8B C6 E8 ?? ?? ?? ?? 3B 45 08 7F 24 85 FF 74 16 83 7D 08 FF 7C 10 8B C7 E8 ?? ?? ?? ?? 3B 45 08 7E 04 8B C7 EB 02 33 C0 8B 55 FC C6 02 00 EB 08 8B C6 8B 55 FC C6 02 01 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_73011_0 {
	meta:
		name = "TCustomActionControl.FindImageList"
		size = 28
	strings:
		$1 = { 53 56 57 51 8B F9 8B F0 57 8D 4C 24 04 8B C6 8B 18 FF 93 E8 00 00 00 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73012_0 {
	meta:
		name = "TCustomActionControl.GetImageSize"
		size = 369
		refs = "0023 TCustomActionControl.HasGlyph 0046 TActionClientItem.GetActionClients 005b TActionClientItem.GetAction 00c8 TActionClient.GetOwningCollection 00cd TActionClientsCollection.GetActionManager"
	strings:
		$1 = { 53 56 83 C4 E0 8B F2 8B D8 33 C0 89 04 24 33 C0 89 44 24 04 8B 04 24 89 06 8B 44 24 04 89 46 04 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 3C 01 00 00 8B 83 BC 01 00 00 80 78 65 00 0F 84 2C 01 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 80 78 29 00 0F 84 B7 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 5E 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 83 78 64 00 0F 84 F3 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B 40 64 83 78 40 00 0F 84 DB 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B 40 64 8B 40 40 8B 50 3C 89 54 24 08 8B 40 38 89 44 24 0C 8B 44 24 08 89 06 8B 44 24 0C 89 46 04 E9 AA 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 78 40 00 0F 84 90 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 40 8B 50 3C 89 54 24 10 8B 40 38 89 44 24 14 8B 44 24 10 89 06 8B 44 24 14 89 46 04 EB 60 C7 44 24 18 20 00 00 00 C7 44 24 1C 20 00 00 00 8B 44 24 18 89 06 8B 44 24 1C 89 46 04 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 B8 AC 00 00 00 00 74 2A 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 AC 00 00 00 8B 50 38 3B 56 04 7E 03 89 56 04 8B 50 3C 3B 16 7E 02 89 16 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_73013_0 {
	meta:
		name = "TCustomActionControl.SetActionClient"
		size = 240
		refs = "000f TCustomActionControl.SetActionClient 002e TActionClient.SetActionBar 006f TCustomActionControl.SetTransparent 0078 TControl.SetParentColor 00a0 TControl.SetColor 00ab TControl.SetVisible 00b9 TActionClientItem.GetCaption 00c3 TControl.SetText 00d8 @UStrClr 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 BC 01 00 00 3B F0 0F 84 A0 00 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 89 B3 BC 01 00 00 8B C3 8B 10 FF 52 58 85 C0 74 0B A1 ?? ?? ?? ?? 0B 43 58 89 43 58 85 F6 74 75 8B 83 BC 01 00 00 8B 40 24 8B D0 81 EA FF FF FF 1F 74 05 4A 74 16 EB 1F B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? EB 26 B2 01 8B C3 E8 ?? ?? ?? ?? EB 1B 3D 00 00 00 20 75 0B B2 01 8B C3 E8 ?? ?? ?? ?? EB 09 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B6 56 30 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 00 80 00 00 }
	condition:
		$1
}

rule function_73014_0 {
	meta:
		name = "TCustomActionControl.SetSelected"
		size = 209
		refs = "000f TCustomActionControl.SetSelected 0032 TCustomActionControl.UpdateSelection 004b TActionClientItem.GetAction 0068 GetLongHint 0070 Application 0077 TApplication.SetHint 0085 TApplication.CancelHint 0094 TCollectionItem.GetIndex 00a0 TWinControl.GetHandle 00ab NotifyWinEvent 00c0 @UStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E DC 01 00 00 0F 84 8A 00 00 00 88 9E DC 01 00 00 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 84 DB 74 45 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 2A 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 8B 80 84 00 00 00 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? EB 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 DB 74 22 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 40 50 6A FC 8B 46 38 E8 ?? ?? ?? ?? 50 68 05 80 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73015_0 {
	meta:
		name = "TCustomActionControl.UpdateSelection"
		size = 48
		refs = "0028 TWinControl.Broadcast"
	strings:
		$1 = { 83 C4 F0 8B 50 38 85 D2 74 22 C7 04 24 02 B4 00 00 33 C9 89 4C 24 04 89 44 24 08 33 C9 89 4C 24 0C 8B CC 8B C2 8B D1 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_73016_0 {
	meta:
		name = "TCustomActionControl.CMItemSelected"
		size = 75
		refs = "0022 TCustomActionControl.GetActionBar 0031 ActionBarDesigner"
	strings:
		$1 = { 56 57 8B FA 8B F0 3B 77 08 0F 94 C2 8B C6 8B 08 FF 91 04 01 00 00 80 BE DC 01 00 00 00 74 29 8B C6 E8 ?? ?? ?? ?? 80 B8 94 02 00 00 00 74 19 83 3D ?? ?? ?? ?? 00 74 10 8B 96 BC 01 00 00 A1 ?? ?? ?? ?? 8B 08 FF 51 20 5F 5E C3 }
	condition:
		$1
}

rule function_73017_0 {
	meta:
		name = "TCustomActionControl.SetMargins"
		size = 87
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B 14 24 3B 90 CC 01 00 00 75 24 8B 54 24 04 3B 90 D8 01 00 00 75 18 8B 54 24 08 3B 90 D4 01 00 00 75 0C 8B 54 24 0C 3B 90 D8 01 00 00 74 14 8B F4 8D B8 CC 01 00 00 A5 A5 A5 A5 8B 10 FF 92 08 01 00 00 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_73018_0 {
	meta:
		name = "TCustomActionControl.SetSpacing"
		size = 56
		refs = "0014 TCustomActionControl.GetActionBar 0024 TWinControl.GetAlignDisabled"
	strings:
		$1 = { 53 8B D8 3B 93 E0 01 00 00 74 2B 89 93 E0 01 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1A 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B C3 8B 10 FF 92 08 01 00 00 5B C3 }
	condition:
		$1
}

rule function_73019_0 {
	meta:
		name = "TCustomActionControl.SetGlyphLayout"
		size = 88
		refs = "0022 Rect"
	strings:
		$1 = { 53 56 83 C4 E8 8B DA 8B F0 3A 9E C1 01 00 00 74 41 8B 46 54 50 8D 44 24 0C 50 8B 4E 50 33 D2 33 C0 E8 ?? ?? ?? ?? 33 C0 89 04 24 33 C0 89 44 24 04 88 9E C1 01 00 00 8B C6 8B 10 FF 92 08 01 00 00 8B C6 8B 10 FF 52 74 8B C6 8B 10 FF 92 9C 00 00 00 83 C4 18 5E 5B C3 }
	condition:
		$1
}

rule function_73020_0 {
	meta:
		name = "TCustomActionControl.Keyed"
		size = 42
		refs = "0007 TCustomActionControl.ResetUsageData 001d TWinControl.GetHandle 0023 PostMessage"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 73 38 85 F6 74 15 53 6A 00 68 04 B4 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73021_0 {
	meta:
		name = "TCategoryButtons.WMEraseBkgnd"
		size = 8
		altNames = "TChartGalleryPanel.WMGetDlgCode TControl.CMHitTest TCustomActionControl.CMDesignHitTest TCustomRibbon.WMEraseBkgnd TCustomRibbon.WMGetDlgCode TCustomTeeNavigator.WMGetDlgCode TDBCtrlGrid.WMEraseBkgnd TDBCtrlPanel.WMEraseBkgnd TDBNavigator.WMGetDlgCode TGroupBoxStyleHook.WMEraseBkgnd TMediaPlayer.WMGetDlgCode TPopupGrid.CMHintShow TRibbonSpinButton.WMGetDlgCode TScrollBarStyleHook.TScrollWindow.WMEraseBkgnd TScrollingStyleHook.TScrollWindow.WMEraseBkgnd TSpinButton.WMGetDlgCode TTabbedNotebook.WMGetDlgCode"
	strings:
		$1 = { C7 42 0C 01 00 00 00 C3 }
	condition:
		$1
}

rule function_73022_0 {
	meta:
		name = "TCustomActionControl.CMHintShow"
		size = 54
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B B3 BC 01 00 00 85 F6 74 1F 83 7E 3C 00 74 19 8B 7D 08 8D 57 38 8B 46 3C 8B 08 FF 51 78 84 C0 75 07 C7 45 0C 01 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73023_0 {
	meta:
		name = "TCustomActionControl.DrawDesignFocus"
		size = 12
		refs = "0007 TCustomCanvas.Rectangle"
	strings:
		$1 = { 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73024_0 {
	meta:
		name = "TCustomActionControl.ResetUsageData"
		size = 95
		refs = "000d TCustomActionControl.GetActionBar 0035 TActionClient.GetHasItems 0058 TActionClientItem.ResetUsageData"
	strings:
		$1 = { 53 56 8B D8 F6 43 1C 10 75 52 8B C3 E8 ?? ?? ?? ?? 85 C0 74 13 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 34 8B B3 BC 01 00 00 85 F6 74 2A 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1F 8B C3 8B 10 FF 52 68 84 C0 74 14 83 BB BC 01 00 00 00 74 0B 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73025_0 {
	meta:
		name = "TCustomActionControl.DragDrop"
		size = 52
		refs = "0017 TControl.DragDrop"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B C3 8B 18 FF 93 B4 00 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73026_0 {
	meta:
		name = "TCustomActionControl.DragOver"
		size = 428
		refs = "0023 TControl.DragOver 0033 TCustomActionControl.GetActionBar 0044 _DV_TActionDragObject 0049 @IsClass 0055 _DV_TActionItemDragObject 0066 _DV_TCategoryDragObject 00b6 TActionClient.IsChildItem 011b TCustomActionBar.FindNextVisibleItem 0140 TCustomActionBar.FindPreviousVisibleItem 01a0 TCustomActionControl.SetDropPoint"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B 45 10 50 0F B6 45 0C 50 57 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 BB BC 01 00 00 00 74 43 8B C3 E8 ?? ?? ?? ?? 80 B8 94 02 00 00 00 74 33 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 26 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 15 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 07 80 3F 00 74 3E 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 83 7E 48 00 0F 95 C0 34 01 88 07 80 3F 00 75 1D 8B 46 48 3B 83 BC 01 00 00 74 12 8B 56 48 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 34 01 88 07 80 3F 00 0F 84 DD 00 00 00 0F B6 45 0C 84 C0 74 08 2C 02 0F 85 CD 00 00 00 33 F6 8B C3 E8 ?? ?? ?? ?? 0F B6 80 97 02 00 00 2C 01 72 0F 74 36 FE C8 74 57 FE C8 74 78 E9 96 00 00 00 8B 43 50 D1 F8 79 03 83 D0 00 3B 45 FC 0F 8D 83 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 BC 01 00 00 E8 ?? ?? ?? ?? 8B F0 EB 6D 8B 43 50 D1 F8 79 03 83 D0 00 3B 45 FC 7E 5E 8B C3 E8 ?? ?? ?? ?? 8B 93 BC 01 00 00 E8 ?? ?? ?? ?? 8B F0 EB 48 8B 43 54 D1 F8 79 03 83 D0 00 3B 45 10 7D 39 8B C3 E8 ?? ?? ?? ?? 8B 93 BC 01 00 00 E8 ?? ?? ?? ?? 8B F0 EB 23 8B 43 54 D1 F8 79 03 83 D0 00 3B 45 10 7E 14 8B C3 E8 ?? ?? ?? ?? 8B 93 BC 01 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 75 06 8B B3 BC 01 00 00 8B 46 44 B2 01 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_73027_0 {
	meta:
		name = "TCustomActionControl.DrawDragDropPoint"
		size = 301
		refs = "000f TBrush.SetStyle 0016 TCustomActionControl.GetActionBar 001b TCustomActionBar.GetColorMap 002c TPen.SetColor 005f TCanvas.GetHandle 0065 PatBlt 0071 TControl.GetClientHeight 00e7 TControl.GetClientWidth"
	strings:
		$1 = { 53 8B D8 8B 83 B0 01 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 78 8B 83 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 80 97 02 00 00 2C 02 72 09 2C 02 72 79 E9 E0 00 00 00 68 49 00 5A 00 6A 02 6A 06 6A 00 6A 00 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 49 00 5A 00 8B C3 E8 ?? ?? ?? ?? 83 E8 04 50 6A 02 6A 02 6A 02 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 49 00 5A 00 8B C3 E8 ?? ?? ?? ?? 50 6A 06 8B C3 E8 ?? ?? ?? ?? 83 E8 02 50 6A 00 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 68 49 00 5A 00 6A 06 6A 02 6A 00 6A 00 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 49 00 5A 00 6A 02 8B C3 E8 ?? ?? ?? ?? 83 E8 06 50 6A 02 6A 02 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 49 00 5A 00 6A 06 6A 02 6A 00 8B C3 E8 ?? ?? ?? ?? 83 E8 04 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73028_0 {
	meta:
		name = "TCustomActionControl.DoStartDrag"
		size = 64
		refs = "0009 _DV_TActionItemDragObject 000e TObject.Create 0026 TActionClientItem.GetActionClients 002b TActionClientsCollection.GetActionManager 0039 TControl.DoStartDrag"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 06 8B 06 8B 93 BC 01 00 00 89 50 48 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 16 89 42 40 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73029_0 {
	meta:
		name = "TCustomActionControl.HasGlyph"
		size = 49
	strings:
		$1 = { 53 8B D8 33 C0 83 BB BC 01 00 00 00 74 21 8B 83 BC 01 00 00 8B 10 FF 52 34 84 C0 74 0C 8B 83 BC 01 00 00 80 78 65 00 75 04 33 C0 EB 02 B0 01 5B C3 }
	condition:
		$1
}

rule function_73030_0 {
	meta:
		name = "TCustomActionControl.WMSetText"
		size = 31
		refs = "0019 @CallDynaInst"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B 86 B8 01 00 00 85 C0 74 09 66 BE D0 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_73031_0 {
	meta:
		name = "TCustomActionControl.GetSeparator"
		size = 19
	strings:
		$1 = { 33 D2 8B 88 BC 01 00 00 85 C9 74 04 0F B6 51 54 8B C2 C3 }
	condition:
		$1
}

rule function_73032_0 {
	meta:
		name = "TCustomActionControl.GetShowCaption"
		size = 64
		refs = "0014 TActionClientItem.GetActionClients"
	strings:
		$1 = { 53 56 57 8B F0 B3 01 8B BE BC 01 00 00 85 FF 74 29 8B C7 E8 ?? ?? ?? ?? 0F B6 40 28 2C 01 72 08 74 0A FE C8 74 12 EB 12 33 DB EB 0E 8B 86 BC 01 00 00 0F B6 58 55 EB 02 B3 01 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73033_0 {
	meta:
		name = "TCustomActionControl.GetShowShortCut"
		size = 41
	strings:
		$1 = { 33 D2 83 B8 BC 01 00 00 00 74 1B 8B 90 BC 01 00 00 80 7A 56 00 74 07 66 83 7A 4C 00 75 04 33 C0 EB 02 B0 01 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_73034_0 {
	meta:
		name = "TCustomActionControl.IsChecked"
		size = 60
		refs = "0014 TActionClientItem.GetAction 001a _Dn_TCustomAction 001f @IsClass"
	strings:
		$1 = { 53 56 57 8B F8 33 DB 8B B7 BC 01 00 00 85 F6 74 25 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B 87 BC 01 00 00 E8 ?? ?? ?? ?? 0F B6 58 71 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73035_0 {
	meta:
		name = "TCustomActionControl.GetAction"
		size = 21
		refs = "000d TActionClientItem.GetAction"
	strings:
		$1 = { 8B 90 BC 01 00 00 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_73036_0 {
	meta:
		name = "TCustomActionControl.InitiateAction"
		size = 24
	strings:
		$1 = { 56 57 8B F0 8B BE BC 01 00 00 85 FF 74 07 8B C7 8B 10 FF 52 38 5F 5E C3 }
	condition:
		$1
}

rule function_73037_0 {
	meta:
		name = "TCustomActionControl.GetActionBar"
		size = 19
		refs = "0008 _DV_TCustomActionBar 000d @AsClass"
	strings:
		$1 = { 53 8B D8 8B 43 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73038_0 {
	meta:
		name = "TCustomActionControl.CMTextChanged"
		size = 33
		refs = "000d TCustomActionControl.GetActionBar"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0A 8B C6 8B 10 FF 92 08 01 00 00 5E C3 }
	condition:
		$1
}

rule function_73039_0 {
	meta:
		name = "TCustomActionControl.UpdateTextBounds"
		size = 243
		refs = "0017 TCustomActionControl.UpdateTextBounds 002e Rect 004f TCanvas.GetHandle 005f TActionClientItem.GetCaption 007f @UStrToPWChar 0086 DrawText 009f TControl.GetText 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 E0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 75 E0 8D BB E4 01 00 00 A5 A5 A5 A5 83 BB BC 01 00 00 00 74 44 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 83 CF FF 8D 83 E4 01 00 00 8B D8 C7 45 F4 00 04 00 00 8B 45 F4 50 53 57 8B 45 FC E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? EB 3E 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 CF FF 8D 83 E4 01 00 00 8B D8 C7 45 F0 00 04 00 00 8B 45 F0 50 53 57 8B 45 F8 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73040_0 {
	meta:
		name = "TCustomActionControl.CalcBounds"
		size = 270
		refs = "0035 TCustomActionControl.UpdateTextBounds 005a TCustomActionControl.ActualSpacing 006e TCustomActionControl.CaptionLength 007d TCustomActionControl.CaptionHeight"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F0 83 BE BC 01 00 00 00 0F 84 F3 00 00 00 8B D4 8B C6 8B 08 FF 91 E0 00 00 00 8B 86 B0 01 00 00 8B 40 40 8B 56 6C 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 8B 5E 50 8B 46 54 0F B6 96 C1 01 00 00 80 EA 02 72 0A 80 EA 02 72 49 E9 86 00 00 00 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 86 CC 01 00 00 03 04 24 03 D8 8B C6 E8 ?? ?? ?? ?? 03 D8 03 9E D4 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 54 24 04 3B C2 7D 02 8B C2 03 86 D0 01 00 00 03 86 D8 01 00 00 EB 42 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 86 CC 01 00 00 03 04 24 03 D8 03 9E D4 01 00 00 8B D4 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 86 D0 01 00 00 03 44 24 04 03 F8 8B C6 E8 ?? ?? ?? ?? 03 F8 8B C7 03 86 D8 01 00 00 3B 5E 50 75 05 3B 46 54 74 23 53 50 8B 4E 4C 8B 56 48 8B C6 8B 18 FF 93 A4 00 00 00 8B C6 8B 10 FF 92 B0 00 00 00 8B C6 8B 10 FF 52 74 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73041_0 {
	meta:
		name = "TCustomActionControl.DoDragDrop"
		size = 616
		refs = "0022 TActionClientItem.GetActionClients 0047 TActionClients.GetActionClient 0080 _DV_TActionDragObject 0085 @IsClass 0095 TCustomActionControl.GetActionBar 00a9 TCustomActionBar.GetItems 00b6 TCustomActionControl.DoDragDrop 00ca @AsClass 00d5 TActionDragObject.GetActionCount 00f4 TCollection.Insert 0111 TActionClientItem.SetLastSession 011b TActionDragObject.GetAction 0124 TActionClientItem.SetAction 015e TWinControl.EnableAlign 0164 @HandleFinally 016f _DV_TActionItemDragObject 01de TCollectionItem.GetIndex 0217 ActionBarDesigner 0237 NotifyDesigner 025b TWinControl.Broadcast"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 55 F8 89 45 FC 33 C0 89 45 F4 8B 45 FC 8B 80 BC 01 00 00 85 C0 74 5A E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 48 46 33 DB 8B 45 FC 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 83 78 44 00 74 26 8B 45 FC 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 44 80 B8 C0 01 00 00 00 74 05 89 5D F4 EB 04 43 4E 75 BB 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D9 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 66 FF 80 B4 01 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 56 46 33 DB 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B F8 8B 45 FC E8 ?? ?? ?? ?? 8B 80 84 02 00 00 8B 40 74 8B 50 28 8B C7 E8 ?? ?? ?? ?? 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 8B 08 FF 51 14 43 4E 75 AD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 24 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 AE 00 00 00 8B 45 FC 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? 8B 5D F8 8B 53 48 3B 42 04 74 41 8B 45 FC 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 43 48 8B 08 FF 51 10 8B 43 48 8B 55 F4 8B 08 FF 51 14 8B 45 FC E8 ?? ?? ?? ?? 8B 80 84 02 00 00 8B 40 74 8B 50 28 8B 43 48 E8 ?? ?? ?? ?? EB 54 8B 43 48 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? 3B F0 7D 03 FF 4D F4 8B 43 48 8B 55 F4 8B 08 FF 51 14 8B 45 FC E8 ?? ?? ?? ?? 80 B8 94 02 00 00 00 74 19 83 3D ?? ?? ?? ?? 00 74 10 8B 45 F8 8B 50 48 A1 ?? ?? ?? ?? 8B 08 FF 51 20 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 E0 11 B4 00 00 33 C0 89 45 E4 33 C0 89 45 E8 33 C0 89 45 EC 8D 55 E0 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_73042_0 {
	meta:
		name = "TCustomActionControl.SetSmallIcon"
		size = 36
	strings:
		$1 = { 56 8B F0 3A 96 DD 01 00 00 74 17 88 96 DD 01 00 00 8B C6 8B 10 FF 92 08 01 00 00 8B C6 8B 10 FF 52 74 5E C3 }
	condition:
		$1
}

rule function_73043_0 {
	meta:
		name = "TCustomActionControl.WMContextMenu"
		size = 214
		refs = "000f TControl.WMContextMenu 0016 TCustomActionControl.GetActionBar 0039 TActionClient.GetContextItems 0053 TCustomActionBar.GetPopupMenuClass 0061 _Dn_TCustomActionPopupMenu 0066 @AsClass 0071 TCustomActionControl.WMContextMenu 00b0 TCustomActionPopupMenu.Popup 00c5 TObject.Free 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 0F 85 A7 00 00 00 8B 83 BC 01 00 00 85 C0 0F 84 99 00 00 00 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 0F 8E 86 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4B 04 B2 01 FF 50 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 E4 02 00 00 01 8B 53 38 8B 45 FC 8B 08 FF 91 84 00 00 00 8B 93 BC 01 00 00 8B 45 FC 8B 08 FF 91 4C 01 00 00 0F BF 4E 0A 0F BF 56 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73044_0 {
	meta:
		name = "TCustomActionControl.SetDropPoint"
		size = 78
		refs = "003b TWinControl.Broadcast"
	strings:
		$1 = { 53 83 C4 F0 8B D8 3A 93 C0 01 00 00 74 3B 88 93 C0 01 00 00 84 D2 74 27 83 7B 38 00 74 21 C7 04 24 11 B4 00 00 33 C0 89 44 24 04 89 5C 24 08 33 C0 89 44 24 0C 8B D4 8B 43 38 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_73045_0 {
	meta:
		name = "TCustomActionControl.CMItemDropPoint"
		size = 22
		refs = "0011 TCustomActionControl.SetDropPoint"
	strings:
		$1 = { 3B 42 08 74 10 80 B8 C0 01 00 00 00 74 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73046_0 {
	meta:
		name = "TActionBarStyleList.GetStyle"
		size = 124
		refs = "000c TActionBarStyleList.GetStyle 0018 ActionBarStyles 0023 SActionBarStyleMissing 0028 LoadResString 0032 _Dn_Exception 0037 Exception.Create 003c @RaiseExcept 004e _DV_TActionBarStyle 0053 @AsClass 006a @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_73047_0 {
	meta:
		name = "TCheckBoxProperties.Assign"
		size = 41
		refs = "000b TCommandProperties.Assign 0013 _DV_TCheckBoxProperties 0018 @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 46 18 89 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_73049_0 {
	meta:
		name = "TCheckBoxProperties.DoSetWidth"
		size = 31
		refs = "0006 TCommandProperties.GetControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 08 01 00 00 5B C3 }
	condition:
		$1
}

rule function_73050_0 {
	meta:
		name = "TCheckBoxProperties.SetWidth"
		size = 14
	strings:
		$1 = { 3B 50 18 74 08 89 50 18 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_73052_0 {
	meta:
		name = "Vcl.ActnMan"
		size = 88
		refs = "0007 Vcl.ActnMan 0013 _DV_13 001d ActionBarStyles 0023 _Dn_TControl 0028 _DV_TCustomActionBarColorMap 002d GroupDescendentsWith 0038 _DV_TActionClient 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 27 33 C0 A3 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_73056_0 {
	meta:
		name = "GetShadow"
		size = 76
		refs = "0016 CheckWin32Version 002d SystemParametersInfo"
	strings:
		$1 = { 53 51 8B D8 C7 04 24 FF FF FF FF BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 24 6A 00 8D 44 24 04 50 6A 00 68 24 10 00 00 E8 ?? ?? ?? ?? 85 C0 74 0D 83 3C 24 01 1B C0 40 88 83 AC 03 00 00 0F B6 83 AC 03 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_73060_0 {
	meta:
		name = "TMenuStack.Pop"
		size = 160
		refs = "0020 TObject.Free 0053 TOrderedList.Count 005f _DV_TCustomActionPopupMenu 0064 @IsClass 006f TMenuStack.Peek 0084 @AsClass"
	strings:
		$1 = { 53 51 8B D8 8B C3 8B 10 FF 52 04 89 04 24 8B 43 08 F6 40 1C 10 74 0F 8B 04 24 33 D2 89 14 24 E8 ?? ?? ?? ?? EB 74 8B 04 24 8B 80 80 02 00 00 85 C0 74 67 33 D2 89 50 18 8B 04 24 33 D2 89 90 7C 03 00 00 33 D2 8B 04 24 8B 08 FF 91 4C 01 00 00 8B C3 E8 ?? ?? ?? ?? 48 75 33 8B 43 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8B C3 E8 ?? ?? ?? ?? 05 74 03 00 00 50 8B 44 24 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 89 02 EB 0D 8B 04 24 33 D2 89 14 24 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_73061_0 {
	meta:
		name = "TMenuStack.Push"
		size = 5
		altNames = "TSiteModuleHelper.FindVariable"
	strings:
		$1 = { 8B 08 FF 11 C3 }
	condition:
		$1
}

rule function_73063_0 {
	meta:
		name = "TInternalMDIAction.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 0016 TObject.Free 0021 TCustomAction.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 B0 00 00 00 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73064_0 {
	meta:
		name = "TInternalMDIAction.ExecuteTarget"
		size = 148
		refs = "0023 TWinControl.GetHandle 003a GetParent 0040 SendMessage 004d TCustomForm.Close 008e ShowWindow"
	strings:
		$1 = { 53 8B D8 0F B6 83 B8 00 00 00 2C 01 72 0C 74 36 FE C8 74 3F FE C8 74 67 EB 78 6A 00 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 50 68 22 02 00 00 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 5B C3 6A 00 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 50 68 23 02 00 00 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 6A 06 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73067_0 {
	meta:
		name = "UpdateMDIMenuButtons"
		size = 205
		refs = "0012 GetParent 001f FindControl 0027 MenuList 0042 TMenuList.GetMenu 0049 GetParentForm 0062 _DV_TCustomActionMainMenuBar 0067 @IsClass 0082 _Dn_TForm 0092 TCustomForm.get_MDIChildCount 00a6 TCustomActionMainMenuBar.MDIChildRestored 00b9 TCustomActionMainMenuBar.GetActiveMDIChild"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 08 8B 40 10 8B 40 0C 50 E8 ?? ?? ?? ?? 85 C0 0F 84 A9 00 00 00 E8 ?? ?? ?? ?? 89 45 FC A1 ?? ?? ?? ?? 8B 78 08 4F 85 FF 0F 8C 90 00 00 00 47 33 DB 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B F0 3B 75 FC 75 6B 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 50 8B 45 08 8B 40 10 81 78 08 21 02 00 00 75 2E 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B C6 E8 ?? ?? ?? ?? 48 75 13 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 43 4F 0F 85 73 FF FF FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73068_0 {
	meta:
		name = "CallWindowHook"
		size = 153
		refs = "0030 UpdateMDIMenuButtons 0038 ActiveMenu 003e _DV_TCustomActionPopupMenu 0043 @IsClass 0073 UpdateActnMenusProc 008a MenuCallWndHook 0090 CallNextHookEx"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 85 DB 75 75 8B 45 10 8B 40 08 83 F8 1A 7F 0C 74 59 83 E8 05 74 11 48 74 17 EB 5E 2D 21 02 00 00 74 05 83 E8 08 75 52 55 E8 ?? ?? ?? ?? 59 EB 49 A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 83 3D ?? ?? ?? ?? 00 74 2C A1 ?? ?? ?? ?? 80 B8 98 03 00 00 00 75 1E A1 ?? ?? ?? ?? 8B 10 FF 92 CC 01 00 00 EB 0F 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 53 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_73069_0 {
	meta:
		name = "AddMenuToList"
		size = 62
		refs = "0005 MenuList 000f _DV_TMenuList 0014 TObject.Create 0029 TList.IndexOf 0038 TList.Add"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 85 DB 74 1B 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 75 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73070_0 {
	meta:
		name = "RemoveMenuFromList"
		size = 53
		refs = "0002 MenuList 0013 TList.RemoveItem 0030 TObject.Free"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 2B 8B 15 ?? ?? ?? ?? 33 C9 92 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 78 08 00 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73071_0 {
	meta:
		name = "TMenuList.Notify"
		size = 100
		refs = "0014 GetCurrentThreadId 001c CallWindowHook 0024 SetWindowsHookEx 0029 MenuCallWndHook 004a UnhookWindowsHookEx 005c TList.Notify"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 84 DB 75 22 83 7E 08 01 75 1C E8 ?? ?? ?? ?? 50 6A 00 B8 ?? ?? ?? ?? 50 6A 04 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? EB 26 80 FB 02 75 21 83 7E 08 00 75 1B 83 3D ?? ?? ?? ?? 00 74 12 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73072_0 {
	meta:
		name = "TCustomActionMenuBar.Create"
		size = 202
		refs = "000e @ClassCreate 001c TCustomActionDockBar.Create 002c TToolWindow.SetEdgeOuter 004b AddMenuToList 0068 Screen 0081 _Dn_TTimer 0086 TTimer.Create 0097 TTimer.SetEnabled 009d TCustomActionMenuBar.ActionIdleTimerProc 00a8 TTimer.SetOnTimer 00b5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 15 03 00 00 01 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 40 03 00 00 A0 0F 00 00 C6 86 48 03 00 00 01 C6 86 14 03 00 00 01 8B C6 E8 ?? ?? ?? ?? C7 86 58 03 00 00 96 00 00 00 C6 86 70 03 00 00 01 C6 86 71 03 00 00 01 A1 ?? ?? ?? ?? 8B 00 8B 90 88 00 00 00 8B 46 6C 8B 08 FF 51 08 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E 10 03 00 00 8B C3 33 D2 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8B 86 10 03 00 00 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73073_0 {
	meta:
		name = "TCustomActionMenuBar.Destroy"
		size = 139
		refs = "0003 @BeforeDestruction 000d ActiveMenu 0024 ActionBarDesigner 003e RemoveMenuFromList 0063 TObject.Free 0079 TCustomActionBar.Destroy 0084 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 3B 35 ?? ?? ?? ?? 75 07 33 C0 A3 ?? ?? ?? ?? 80 BE 94 02 00 00 00 74 18 A1 ?? ?? ?? ?? 83 38 00 74 0E A1 ?? ?? ?? ?? 8B 00 33 D2 8B 08 FF 51 18 8B C6 E8 ?? ?? ?? ?? 8B 86 2C 03 00 00 85 C0 74 08 33 D2 89 90 7C 03 00 00 8D 86 74 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 86 10 03 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73074_0 {
	meta:
		name = "DefaultSystemAnimation"
		size = 316
		refs = "0018 SystemParametersInfo 001d AnimateWindowProc 0081 HideShow 009f TWinControl.GetHandle 00c4 TControl.GetBoundsRect 00d2 TControl.ClientToScreen 0102 UnfoldAnimationStyle"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 6A 00 8B 45 08 83 C0 FC 50 6A 00 68 02 10 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 0F 84 0D 01 00 00 8B 45 08 8B 40 F8 8B 80 2C 03 00 00 80 B8 14 03 00 00 00 75 0D 8B 45 08 80 78 F7 00 0F 85 EB 00 00 00 8B 45 08 83 78 FC 00 0F 84 DE 00 00 00 6A 00 8B 45 08 83 C0 FC 50 6A 00 68 12 10 00 00 E8 ?? ?? ?? ?? 8B 45 08 83 78 FC 00 74 3B 8B 45 08 0F B6 40 F7 8B 04 85 ?? ?? ?? ?? 0D 00 00 08 00 50 8B 45 08 8B 40 F8 8B 80 58 03 00 00 50 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 E9 85 00 00 00 8D 55 E8 8B 45 08 8B 40 F8 8B 98 30 03 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8D 4D F8 8B 43 38 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 89 50 EC 8B 55 FC 89 50 F0 8B 45 08 8B 40 F8 8B 40 4C 8B 55 08 8B 52 F0 83 EA 05 3B C2 0F 9C C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8B 55 08 0F B6 52 F7 0B 04 95 ?? ?? ?? ?? 50 8B 45 08 8B 40 F8 8B 80 58 03 00 00 50 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73075_0 {
	meta:
		name = "DoAnimation"
		size = 312
		refs = "0017 AnimateWindowProc 005b TControl.ClientToScreen 0092 _DV_TCustomMenuItem 0097 @IsClass 00cd TControl.GetBoundsRect 0112 HideShow 0123 TWinControl.GetHandle"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F0 8D 7D F8 A5 A5 8B 75 08 83 C6 F8 A1 ?? ?? ?? ?? 83 38 00 74 11 8B 06 8B 80 2C 03 00 00 80 B8 14 03 00 00 00 75 0D 8B 45 08 80 78 F7 00 0F 85 F3 00 00 00 8B 06 8B 98 30 03 00 00 8B 43 48 8B 53 4C 89 45 F0 89 55 F4 8D 4D E0 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 55 E0 89 50 EC 8B 55 E4 89 50 F0 8B 06 80 B8 15 03 00 00 03 75 0D 8B 45 08 80 78 F7 00 0F 84 AB 00 00 00 8B 06 8B 98 30 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 28 8B 43 48 8B 53 38 03 42 48 8B 4B 4C 03 4A 4C 8B D1 89 45 E8 89 55 EC 8B 45 08 8B 55 E8 89 50 EC 8B 55 EC 89 50 F0 EB 27 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8D 55 D0 8D 4D E0 8B 43 38 E8 ?? ?? ?? ?? 8B 45 08 8B 55 E0 89 50 EC 8B 55 E4 89 50 F0 8B 45 08 8B 40 F0 8B 16 8B 52 4C 83 C2 02 3B C2 0F 9F C0 83 E0 7F 8B 44 85 F8 8B 55 08 0F B6 52 F7 0B 04 95 ?? ?? ?? ?? 50 8B 06 8B 80 58 03 00 00 50 8B 06 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73076_0 {
	meta:
		name = "TCustomActionMenuBar.Animate"
		size = 176
		refs = "004f DefaultSystemAnimation 0058 UnfoldAnimationStyle 005d DoAnimation 007c SlideAnimationStyle 00a2 FadeAnimationStyle"
	strings:
		$1 = { 55 8B EC 83 C4 EC 88 55 F7 89 45 F8 8B 45 F8 8B 10 FF 92 2C 01 00 00 84 C0 0F 85 8D 00 00 00 8B 45 F8 8B 80 44 03 00 00 80 B8 23 03 00 00 00 75 7B 8B 45 F8 0F B6 80 15 03 00 00 FE C8 74 0E FE C8 74 13 FE C8 74 1D FE C8 74 55 EB 5F 55 E8 ?? ?? ?? ?? 59 EB 56 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 48 8B 45 F8 83 B8 58 03 00 00 64 7E 22 8B 45 F8 83 A8 58 03 00 00 64 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 F8 83 80 58 03 00 00 64 EB 1A 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 0C 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B E5 5D C3 }
	condition:
		$1
}

rule function_73077_0 {
	meta:
		name = "TCustomActionMenuBar.CleanupStack"
		size = 52
		refs = "0011 TMenuStack.Peek"
	strings:
		$1 = { 53 56 8B D8 8B B3 8C 03 00 00 85 F6 74 23 8B C6 E8 ?? ?? ?? ?? 80 B8 22 03 00 00 00 75 13 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 CC 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_73078_0 {
	meta:
		name = "TCustomActionMenuBar.ClearSubMenus"
		size = 65
		refs = "001d TOrderedList.Count 002f TMenuStack.Peek"
	strings:
		$1 = { 53 56 8B F0 80 BE 22 03 00 00 00 74 31 83 BE 8C 03 00 00 00 74 28 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7E 16 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 CC 01 00 00 4B 75 EA 5E 5B C3 }
	condition:
		$1
}

rule function_73079_0 {
	meta:
		name = "TCustomActionMenuBar.CloseMenu"
		size = 149
		refs = "001a TCustomActionMenuBar.SetMouseControl 0050 TMenuStack.Peek 0068 TCustomActionMenuBar.GetSelected 008d TMenuStack.Pop"
	strings:
		$1 = { 53 56 57 8B F0 8B 86 44 03 00 00 85 C0 74 0F 33 D2 89 90 18 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 86 2C 03 00 00 85 C0 74 07 C6 80 14 03 00 00 00 C6 86 22 03 00 00 00 8B 9E 44 03 00 00 85 DB 74 51 83 BB 8C 03 00 00 00 74 48 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 8B BE 44 03 00 00 3B C7 75 28 C6 86 22 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 21 8B C6 E8 ?? ?? ?? ?? 8B 40 44 33 D2 8B 08 FF 91 04 01 00 00 EB 0B 8B 87 8C 03 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73080_0 {
	meta:
		name = "TCustomActionMenuBar.CMItemClicked"
		size = 50
		refs = "001b TWinControl.GetHandle 0021 PostMessage"
		altNames = "TCustomActionMenuBar.CMItemKeyed"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 22 03 00 00 00 75 20 8B 46 08 50 6A 00 8B 06 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 D0 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_73081_0 {
	meta:
		name = "TCustomActionMenuBar.CMEnterMenuLoop"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 D0 01 00 00 C3 }
	condition:
		$1
}

rule function_73083_0 {
	meta:
		name = "TCustomActionMenuBar.CreateControl"
		size = 115
		refs = "0007 TCustomActionBar.CreateControl 0012 TControl.SetShowHint 001b TActionClientItem.SetShowCaption 003b TActionClientItem.GetAction 0046 TActionClient.GetHasItems 0051 TActionClient.GetItems 0056 TActionClients.VisibleCount"
	strings:
		$1 = { 53 56 8B F2 8B D6 E8 ?? ?? ?? ?? 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 75 41 8B C3 8B 10 FF 52 68 84 C0 74 26 8B C6 E8 ?? ?? ?? ?? 85 C0 75 1F 8B C6 E8 ?? ?? ?? ?? 84 C0 74 10 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 04 33 D2 EB 02 B2 01 8B C3 8B 08 FF 91 80 00 00 00 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_73084_0 {
	meta:
		name = "TCustomActionMenuBar.CreatePopup"
		size = 649
		refs = "0041 TOrderedList.Count 0057 TMenuStack.Peek 0084 TActionClient.GetItems 0089 TActionClients.VisibleCount 00ca TCustomActionMenuBar.CreatePopup 00d8 TCustomActionBar.GetColorMap 00f8 TControl.SetColor 0147 TCustomActionMenuBar.SetParentMenu 01aa TCustomActionBar.FindFirstVisibleItem 01e7 Application 01f7 TWinControl.SetParentWindow 0223 TWinControl.EnableAlign 0229 @HandleFinally 0233 TControl.Show 023c _DV_TCustomMenuButton 0241 @IsClass 027c TTimer.SetEnabled"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 8B F2 89 45 FC 33 C0 89 45 F4 8B 45 FC 80 B8 22 03 00 00 00 0F 84 5B 02 00 00 85 F6 0F 84 53 02 00 00 83 7D F8 00 0F 84 49 02 00 00 8B 45 FC 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 33 02 00 00 8B 45 FC 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? 8B 80 30 03 00 00 3B 45 F8 0F 84 16 02 00 00 8B 45 F8 83 B8 BC 01 00 00 00 0F 84 06 02 00 00 8B 45 F8 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 EB 01 00 00 8B 55 F8 8B 45 FC 8B 08 FF 91 AC 01 00 00 8B 45 FC 33 D2 89 90 18 03 00 00 8B 45 FC 8B 10 FF 92 C0 01 00 00 89 45 F4 8B 45 F4 66 FF 80 B4 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 08 FF 91 54 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 50 7C 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 44 03 00 00 8B 55 F4 89 82 44 03 00 00 8B 45 FC 0F B6 80 94 02 00 00 8B 55 F4 88 82 94 02 00 00 8B 45 F8 8B 80 BC 01 00 00 8B 55 F4 89 50 18 8B 45 FC 8B 50 6C 8B 45 F4 8B 40 6C 8B 08 FF 51 08 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 C6 80 22 03 00 00 01 8B 45 F4 8B 55 F8 89 90 30 03 00 00 8B 45 F8 8B 80 BC 01 00 00 0F B6 58 30 8B D0 8B 45 F4 8B 08 FF 91 4C 01 00 00 8B 45 F8 8B 80 BC 01 00 00 8B D3 8B 08 FF 51 2C 8B 45 FC 80 B8 21 03 00 00 00 75 33 8B 45 FC 8B 10 FF 92 2C 01 00 00 84 C0 75 24 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 74 18 8B 45 F8 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? 80 78 2A 00 74 04 33 DB EB 02 B3 01 8B 45 F4 88 98 21 03 00 00 84 DB 74 0D 33 D2 8B 45 F4 8B 08 FF 91 B4 01 00 00 A1 ?? ?? ?? ?? 8B 00 8B 90 78 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 2C 01 00 00 8B D0 8B 45 F4 8B 08 FF 91 58 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 F8 8B 10 FF 92 9C 00 00 00 8B 45 F4 80 B8 20 03 00 00 00 74 0C 8B 45 F4 80 B8 21 03 00 00 00 74 04 33 D2 EB 02 B2 01 8B 45 FC 8B 80 80 03 00 00 E8 ?? ?? ?? ?? 8B 45 F4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73085_0 {
	meta:
		name = "TCustomActionMenuBar.DoItemSelected"
		size = 183
		refs = "000a _DV_TCustomMenuItem 000f @IsClass 003c TTimer.SetEnabled 004d TMenuStack.Peek 0070 TCustomActionMenuBar.GetSelected 0079 TCustomActionBar.FindFirstVisibleItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B 83 44 03 00 00 89 B0 18 03 00 00 EB 08 33 C0 89 83 18 03 00 00 8B 83 44 03 00 00 8B 80 90 03 00 00 B2 01 E8 ?? ?? ?? ?? 8B 83 44 03 00 00 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? 80 B8 20 03 00 00 00 74 5A 8B 83 44 03 00 00 8B 80 80 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 74 13 8B 83 44 03 00 00 8B 80 80 03 00 00 C7 40 0C 01 00 00 00 8B C3 8B 10 FF 92 2C 01 00 00 8B D0 80 F2 01 8B 83 44 03 00 00 8B 80 80 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73086_0 {
	meta:
		name = "TCustomActionMenuBar.ExecAction"
		size = 92
		refs = "0020 sndPlaySound 0027 TCustomActionMenuBar.ExecAction"
	strings:
		$1 = { 53 8B D8 85 D2 74 39 F6 43 1C 10 75 33 8B C3 8B 10 FF 92 2C 01 00 00 84 C0 75 25 6A 02 6A 00 E8 ?? ?? ?? ?? 6A 13 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 94 03 00 00 8B 40 3C 33 D2 8B 08 FF 51 18 5B C3 00 00 4D 00 65 00 6E 00 75 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_73087_0 {
	meta:
		name = "TCustomActionMenuBar.DoGetPopupClass"
		size = 49
	strings:
		$1 = { 53 51 8B D8 8B C3 8B 10 FF 92 B8 01 00 00 89 04 24 66 83 BB 52 03 00 00 00 74 10 8B CC 8B D3 8B 83 54 03 00 00 FF 93 50 03 00 00 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_73088_0 {
	meta:
		name = "TCustomActionMenuBar.DoItemClicked"
		size = 437
		refs = "0014 _DV_TCustomMenuButton 0019 @IsClass 0024 TCustomActionMenuBar.ClearSubMenus 0041 TActionClient.GetHasItems 0065 TMenuStack.Pop 0070 TMenuStack.Peek 00a5 TCustomActionMenuBar.GetSelected 00b2 TCustomActionMenuBar.ProcessMessages 00e4 TOrderedList.Count 0153 SystemParametersInfo 018d TMenuStack.GetBars 0194 TControl.SetVisible"
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B F0 33 FF 3B 73 04 75 2A 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 33 C0 89 86 18 03 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 E3 00 00 00 83 BE 18 03 00 00 00 74 31 EB 11 8B 86 44 03 00 00 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? 8B 96 18 03 00 00 3B 42 38 75 D9 33 C0 89 86 18 03 00 00 80 7B 61 00 75 15 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? B2 01 8B 08 FF 91 B4 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B E8 8B 86 44 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B E8 0F 85 E8 00 00 00 83 BE 8C 03 00 00 00 0F 84 DB 00 00 00 8B 43 38 3B 86 44 03 00 00 75 31 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? 48 7E 23 EB 13 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 CC 01 00 00 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? 48 7F DF 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C6 8B 18 FF 93 98 01 00 00 C6 86 14 03 00 00 00 EB 7D 8B BB BC 01 00 00 8B C6 8B 10 FF 92 2C 01 00 00 84 C0 75 69 6A 00 8D 44 24 04 50 6A 00 68 14 10 00 00 E8 ?? ?? ?? ?? 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? 48 7E 37 83 3C 24 00 74 31 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? 8B D8 83 EB 02 85 DB 7E 1D BD 01 00 00 00 8B D5 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 45 4B 75 E8 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 CC 01 00 00 8B C7 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73089_0 {
	meta:
		name = "TCustomActionMenuBar.DoSplitItemClicked"
		size = 140
		refs = "002a SystemParametersInfo 0035 TOrderedList.Count 0064 TMenuStack.GetBars 006b TControl.SetVisible 0076 TCustomActionMenuBar.ClearSubMenus"
	strings:
		$1 = { 53 56 57 55 51 8B F0 8B AA BC 01 00 00 8B C6 8B 10 FF 92 2C 01 00 00 84 C0 75 69 6A 00 8D 44 24 04 50 6A 00 68 14 10 00 00 E8 ?? ?? ?? ?? 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? 48 7E 37 83 3C 24 00 74 31 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? 8B D8 83 EB 02 85 DB 7E 1D BF 01 00 00 00 8B D7 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 47 4B 75 E8 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 CC 01 00 00 8B C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73090_0 {
	meta:
		name = "TCustomActionMenuBar.DoItemKeyed"
		size = 137
		refs = "0018 TCustomActionMenuBar.DoItemKeyed 0040 TMenuStack.Peek 0045 TCustomActionBar.FindFirstVisibleItem 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 89 45 FC 8B 45 FC C6 80 23 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 08 FF 91 9C 01 00 00 89 45 F8 83 7D F8 00 75 2C 8B 45 FC 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 13 83 7E 44 00 74 0D 8B 46 44 B2 01 8B 08 FF 91 04 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 23 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 F8 5E 59 59 5D C3 }
	condition:
		$1
}

rule function_73092_0 {
	meta:
		name = "TCustomActionMenuBar.IsDesignMsg"
		size = 191
		refs = "0016 Mouse 001d TMouse.GetIsDragging 0072 TWinControl.GetHandle 0079 GetForegroundWindow"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 8B 10 FF 92 2C 01 00 00 84 C0 74 10 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 84 C0 0F 84 88 00 00 00 83 BB 1C 03 00 00 00 75 14 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 74 0C 81 7E 04 02 02 00 00 0F 95 C0 EB 59 83 BB 28 03 00 00 00 74 16 8B 83 28 03 00 00 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 3B F8 75 04 33 C0 EB 02 B0 01 F6 43 1C 10 74 15 84 C0 74 09 81 7E 04 03 B4 00 00 75 04 33 C0 EB 1D B0 01 EB 19 8B 83 44 03 00 00 85 C0 74 09 80 B8 22 03 00 00 00 74 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73093_0 {
	meta:
		name = "TCustomActionMenuBar.DoMenuDelay"
		size = 227
		refs = "000f TTimer.SetEnabled 004f TMenuStack.Pop 0060 TOrderedList.Count 0074 TMenuStack.Peek 0085 GetCursorPos 009b TControl.ScreenToClient 00af TControl.GetBoundsRect 00b9 PtInRect"
	strings:
		$1 = { 53 83 C4 E0 8B D8 33 D2 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 83 BB 18 03 00 00 00 0F 84 BE 00 00 00 8B 83 18 03 00 00 83 78 38 00 0F 84 AE 00 00 00 8B 80 BC 01 00 00 83 78 18 00 0F 85 9E 00 00 00 EB 11 8B 83 44 03 00 00 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? 8B 83 44 03 00 00 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? 48 7E 1C 8B 83 44 03 00 00 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? 8B 93 18 03 00 00 3B 42 38 75 BF 54 E8 ?? ?? ?? ?? 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D4 E8 ?? ?? ?? ?? 8D 44 24 08 50 8D 54 24 14 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 8D 44 24 14 5A E8 ?? ?? ?? ?? 84 C0 74 1D 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 8B 18 03 00 00 8B C3 8B 18 FF 93 98 01 00 00 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_73094_0 {
	meta:
		name = "TCustomActionMenuBar.DoneMenuLoop"
		size = 163
		refs = "0008 TCustomActionMenuBar.SetMouseControl 001b TObject.Free 0022 ActiveMenu 0030 ActionBarDesigner 0051 ShowCaret 0095 TWinControl.GetHandle 009d NotifyWinEvent"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 83 74 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 80 BB 94 02 00 00 00 74 18 A1 ?? ?? ?? ?? 83 38 00 74 0E A1 ?? ?? ?? ?? 8B 00 33 D2 8B 08 FF 51 18 C6 83 14 03 00 00 01 6A 00 E8 ?? ?? ?? ?? 8D 83 90 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 83 8C 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 83 80 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 6A 00 6A FD 8B C3 E8 ?? ?? ?? ?? 50 6A 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73095_0 {
	meta:
		name = "TCustomActionMenuBar.DoPopup"
		size = 31
	strings:
		$1 = { 53 66 83 B8 3A 03 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 3C 03 00 00 FF 93 38 03 00 00 5B C3 }
	condition:
		$1
}

rule function_73096_0 {
	meta:
		name = "TCustomActionMenuBar.Expand"
		size = 202
		refs = "0034 TCustomActionBar.HasItems 004e TCustomActionMenuBar.Expand 005c TCustomActionBar.GetItems 007b TActionClients.GetActionClient 0098 TControl.SetVisible 00b9 TWinControl.EnableAlign 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC C6 80 21 03 00 00 01 84 D2 74 0F 8B 45 FC 8B 80 44 03 00 00 88 90 21 03 00 00 8B 45 FC C6 80 20 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 85 00 00 00 8B 45 FC 66 FF 80 B4 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 33 46 33 DB 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 0F B6 40 30 50 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 44 5A E8 ?? ?? ?? ?? 43 4E 75 D0 8B 45 FC 8B 10 FF 52 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73097_0 {
	meta:
		name = "TCustomActionMenuBar.ExpandTimer"
		size = 110
		refs = "000c TTimer.SetEnabled 001d TMenuStack.Peek 004a TCustomButtonControl.SetFlat"
	strings:
		$1 = { 56 8B F0 33 D2 8B 86 80 03 00 00 E8 ?? ?? ?? ?? 8B 86 44 03 00 00 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? 80 B8 20 03 00 00 00 74 42 8B 86 80 03 00 00 83 78 0C 01 75 1A 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? 8B 80 A4 03 00 00 33 D2 E8 ?? ?? ?? ?? EB 1C C6 86 21 03 00 00 01 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? B2 01 8B 08 FF 91 B4 01 00 00 5E C3 }
	condition:
		$1
}

rule function_73098_0 {
	meta:
		name = "TCustomActionMenuBar.GetDesignMode"
		size = 47
		refs = "0006 TCustomActionBar.GetDesignMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 83 BB 2C 03 00 00 00 74 16 3B 9B 2C 03 00 00 74 0E 8B 83 2C 03 00 00 8B 10 FF 92 2C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_73099_0 {
	meta:
		name = "TCustomActionMenuBar.GetMouseHoverItem"
		size = 183
		refs = "0030 TOrderedList.Count 0045 WindowFromPoint 0054 TMenuStack.GetBars 0059 TWinControl.GetHandle 007f TControl.ScreenToClient 008c TWinControl.ControlAtPos 009c _Dn_TCustomActionControl 00a1 @IsClass"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B F2 8D 7C 24 04 B9 07 00 00 00 F3 A5 33 D2 89 14 24 33 FF 8B B0 44 03 00 00 85 F6 0F 84 83 00 00 00 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 5C FF 74 24 1C FF 74 24 1C E8 ?? ?? ?? ?? 8B E8 8B D3 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B E8 75 31 8B D3 8B 86 8C 03 00 00 E8 ?? ?? ?? ?? 8B F8 6A 00 6A 00 8D 4C 24 28 8D 54 24 20 8B C7 E8 ?? ?? ?? ?? 8D 54 24 28 B1 01 8B C7 E8 ?? ?? ?? ?? 8B F8 4B 83 FB FF 75 A4 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 03 89 3C 24 8B 04 24 83 C4 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73100_0 {
	meta:
		name = "TCustomActionMenuBar.GetPopupClass"
		size = 59
		refs = "0025 ActionBarStyles 002e TActionBarStyleList.GetStyle"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 78 01 00 00 85 C0 74 13 8B C3 8B 10 FF 92 78 01 00 00 8B D3 8B 08 FF 51 0C 5B C3 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 0C 5B C3 }
	condition:
		$1
}

rule function_73101_0 {
	meta:
		name = "TCustomActionMenuBar.GetSelected"
		size = 96
	strings:
		$1 = { 53 56 57 55 8B F0 33 ED 8B C6 8B 10 FF 92 3C 01 00 00 8B F8 4F 85 FF 7C 40 47 33 DB 8B D3 8B C6 8B 08 FF 91 30 01 00 00 85 C0 74 29 8B D3 8B C6 8B 08 FF 91 30 01 00 00 80 B8 DC 01 00 00 00 74 14 8B D3 8B C6 8B 08 FF 91 30 01 00 00 8B A8 BC 01 00 00 EB 04 43 4F 75 C3 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73102_0 {
	meta:
		name = "TCustomActionMenuBar.InitMenuLoop"
		size = 374
		refs = "000c Mouse 0013 TMouse.GetCursorPos 005d SystemParametersInfo 007e GetParentForm 0093 _Dn_TTimer 0098 TTimer.Create 00a6 TCustomActionMenuBar.DoMenuDelay 00ad TTimer.SetOnTimer 00bb TTimer.SetInterval 00c8 TTimer.SetEnabled 00d1 _DV_TMenuStack 00d6 TMenuStack.Create 00e7 TMenuStack.Push 0119 TCustomActionMenuBar.ExpandTimer 012e HideCaret 0134 ActiveMenu 0142 ActionBarDesigner 0164 TWinControl.GetHandle 016c NotifyWinEvent"
	strings:
		$1 = { 53 56 83 C4 F4 8B D8 8D 54 24 04 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 44 24 04 89 83 84 03 00 00 8B 44 24 08 89 83 88 03 00 00 33 C0 89 83 94 03 00 00 C6 83 21 03 00 00 00 33 C0 89 83 18 03 00 00 F6 43 1C 10 74 09 C7 04 24 01 00 00 00 EB 19 6A 00 8D 44 24 04 50 6A 00 6A 6A E8 ?? ?? ?? ?? 83 3C 24 00 75 03 FF 04 24 F6 43 1C 10 75 1E 80 BB 71 03 00 00 00 74 15 B2 01 8B C3 E8 ?? ?? ?? ?? 85 C0 74 08 8B 10 FF 92 F4 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 90 03 00 00 53 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 8C 03 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 80 03 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 93 40 03 00 00 8B C6 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C6 83 22 03 00 00 01 6A 00 E8 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? 80 BB 94 02 00 00 00 74 1C A1 ?? ?? ?? ?? 83 38 00 74 12 A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? 8B 08 FF 51 18 6A 00 6A FD 8B C3 E8 ?? ?? ?? ?? 50 6A 04 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_73103_0 {
	meta:
		name = "TCustomActionMenuBar.MouseActivate"
		size = 61
		refs = "0023 TControl.MouseActivate"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B DA 8B F0 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B D3 0F B7 4D FE 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0B 80 BE 71 03 00 00 00 75 02 B0 03 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_73104_0 {
	meta:
		name = "TCustomActionMenuBar.NewPopup"
		size = 153
		refs = "0014 TMenuStack.Peek 0047 TObject.Free 0079 @CallDynaInst 008f TMenuStack.Push"
	strings:
		$1 = { 53 56 57 8B F8 33 DB 8B 87 44 03 00 00 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? 83 B8 74 03 00 00 00 74 4D 8B 87 44 03 00 00 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? 8B 98 74 03 00 00 8D 83 A4 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C6 83 20 03 00 00 00 C6 83 21 03 00 00 00 68 96 00 00 00 6A 32 33 C9 33 D2 8B C3 8B 30 FF 96 A4 00 00 00 85 DB 75 14 8B C7 66 BE AD FF E8 ?? ?? ?? ?? 8B CF B2 01 FF 50 38 8B D8 8B D3 8B 87 8C 03 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73105_0 {
	meta:
		name = "TCustomActionMenuBar.ProcessMouseMsg"
		size = 293
		refs = "000f TCustomActionMenuBar.GetMouseHoverItem 0048 Mouse 004f TMouse.GetIsDragging 0062 WindowFromPoint 0075 TMenuStack.Peek 007a TWinControl.GetHandle 008b GetParentForm 00a7 TControl.ScreenToClient 00b4 TWinControl.ControlAtPos 00c2 _Dn_TCustomActionBar 00c7 @IsClass 00d3 _Dn_TCustomActionControl 00fe _DV_TCustomActionPopupMenu 011b DispatchMessage"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 85 FE 00 00 00 8B 46 04 2D 00 02 00 00 74 22 48 0F 84 C4 00 00 00 83 C0 FE 83 E8 02 0F 82 B8 00 00 00 48 83 E8 02 0F 82 AE 00 00 00 E9 D2 00 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 0F 84 BE 00 00 00 FF 76 18 FF 76 14 E8 ?? ?? ?? ?? 8B F8 8B 83 44 03 00 00 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F8 0F 84 93 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 80 00 00 00 6A 01 6A 00 8D 4C 24 08 8D 56 14 8B C3 E8 ?? ?? ?? ?? 8D 54 24 08 33 C9 8B C7 E8 ?? ?? ?? ?? 8B F8 85 FF 74 5B 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 39 8B 83 44 03 00 00 8B 10 FF 92 CC 01 00 00 EB 29 F6 43 1C 10 75 15 8B 83 44 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B 83 44 03 00 00 8B 10 FF 92 CC 01 00 00 56 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73106_0 {
	meta:
		name = "TActionMenuFreeNotify.Create"
		size = 82
		refs = "000e @ClassCreate 0020 TComponent.Create 0030 TComponent.FreeNotification 003d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 38 00 8B C6 89 43 3C 8B D3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73107_0 {
	meta:
		name = "TActionMenuFreeNotify.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0015 TComponent.RemoveFreeNotification 0020 TComponent.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 3C 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73108_0 {
	meta:
		name = "TActionMenuFreeNotify.Notification"
		size = 53
		refs = "0010 TComponent.Notification 0028 TComponent.RemoveFreeNotification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 18 3B 77 3C 75 13 C6 47 38 01 8B D7 8B 47 3C E8 ?? ?? ?? ?? 33 C0 89 47 3C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73109_0 {
	meta:
		name = "TCustomActionMenuBar.ProcessMenuLoop"
		size = 1220
		refs = "0035 _DV_TActionMenuFreeNotify 003a TActionMenuFreeNotify.Create 0045 TCustomActionMenuBar.ProcessMenuLoop 0067 PeekMessage 008e _DV_TCustomActionPopupMenu 0093 @IsClass 00ab Application 00b2 TApplication.IsKeyMsg 00c4 TCustomActionMenuBar.IsDesignMsg 00ce TranslateMessage 00d4 DispatchMessage 018b KeyboardStateToShiftState 01a9 TMenuStack.Peek 01ae TCustomActionMenuBar.GetSelected 01d5 Screen 0211 TApplication.HelpCommand 0224 TApplication.HelpContext 0231 Mouse 0238 TMouse.GetCursorPos 0243 WindowFromPoint 0248 FindControl 025b TControl.ScreenToClient 026b TWinControl.ControlAtPos 0275 _Dn_TMenuResizeActionControl 02a6 TCustomActionMenuBar.ProcessMessages 039f PointsEqual 03c1 TCustomActionMenuBar.DoItemSelected 0421 PostQuitMessage 0440 TCustomActionMenuBar.CleanupStack 044c TCustomActionMenuBar.Idle 048c @HandleFinally 04a3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 89 45 FC 8D 7D C8 33 C0 89 45 F8 8B 45 FC 80 B8 22 03 00 00 00 0F 85 8B 04 00 00 8B 45 FC 8B 10 FF 92 BC 01 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 01 6A 00 6A 00 6A 00 57 E8 ?? ?? ?? ?? 85 C0 0F 84 D3 03 00 00 8B 45 FC C6 80 98 03 00 00 00 83 7F 04 7B 75 1C 8B 45 FC 8B 80 44 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 B1 03 00 00 8B 45 FC F6 40 1C 10 74 16 8B D7 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 0F 85 92 03 00 00 8B D7 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 11 57 E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? E9 73 03 00 00 8B 47 04 8B D0 81 FA 00 01 00 00 7D 44 81 FA A1 00 00 00 7F 22 0F 84 35 01 00 00 83 EA 10 0F 84 B4 01 00 00 83 EA 02 0F 84 08 03 00 00 83 EA 3B 74 7B E9 13 03 00 00 81 EA A4 00 00 00 0F 84 95 01 00 00 83 EA 03 0F 84 8C 01 00 00 E9 F9 02 00 00 81 FA 02 B4 00 00 7F 35 0F 84 7E 02 00 00 81 C2 00 FF FF FF 83 EA 0A 0F 82 8E 01 00 00 81 C2 0A FF FF FF 83 EA 0F 0F 82 18 02 00 00 81 EA 12 AE 00 00 0F 84 4F 01 00 00 E9 BC 02 00 00 81 EA 03 B4 00 00 0F 84 69 02 00 00 4A 0F 84 49 02 00 00 4A 0F 84 74 02 00 00 E9 9D 02 00 00 E8 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 0F 85 94 02 00 00 8B 45 FC 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 79 02 00 00 8B 45 FC 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 58 68 85 DB 75 10 A1 ?? ?? ?? ?? 8B 00 8B 40 6C 8B 98 70 01 00 00 8B 45 FC 8B 10 FF 92 CC 01 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 6C F6 80 A0 02 00 00 08 74 18 A1 ?? ?? ?? ?? 8B 00 8B CB BA 08 00 00 00 E8 ?? ?? ?? ?? E9 19 02 00 00 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? E9 06 02 00 00 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 30 8D 4D E8 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 55 E8 33 C9 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 84 DB 75 0B 8B 45 FC 8B 10 FF 92 CC 01 00 00 8B 45 FC 88 98 98 03 00 00 8B 45 FC 8B 80 44 03 00 00 E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? E9 7E 01 00 00 8B 45 FC 8B 10 FF 92 CC 01 00 00 8B 45 FC 8B 80 44 03 00 00 E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? E9 5A 01 00 00 8B 45 FC 80 B8 B8 02 00 00 00 75 0D B2 01 8B 45 FC 8B 08 FF 91 60 01 00 00 81 7F 04 04 01 00 00 75 2C 83 7F 08 12 75 26 8B 45 FC 8B 10 FF 92 CC 01 00 00 8B 45 FC C6 80 78 03 00 00 01 57 E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? E9 0C 01 00 00 83 7F 08 70 75 28 E8 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 0F 85 F1 00 00 00 8B 45 FC 8B 10 FF 92 2C 01 00 00 84 C0 0F 85 DE 00 00 00 8D 5F 04 8B 45 FC 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 EC E9 C1 00 00 00 3D 0A 02 00 00 0F 84 D3 00 00 00 3D 00 02 00 00 75 27 8D 55 C0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 FC 05 84 03 00 00 E8 ?? ?? ?? ?? 84 C0 0F 85 A5 00 00 00 8B D7 8B 45 FC 8B 08 FF 91 C8 01 00 00 EB 79 8B 57 0C 8B 45 FC E8 ?? ?? ?? ?? EB 6C 8B 57 0C 8B 45 FC 8B 08 FF 91 A4 01 00 00 8B 55 FC 89 82 94 03 00 00 EB 53 8B 57 0C 8B 45 FC 8B 08 FF 91 9C 01 00 00 8B 55 FC 89 82 94 03 00 00 EB 3A 8B 57 0C 8B 45 FC 8B 08 FF 91 A0 01 00 00 8B 55 FC 89 82 94 03 00 00 EB 21 8B 45 FC C6 80 22 03 00 00 00 8B 47 08 50 E8 ?? ?? ?? ?? EB 0C 57 E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B 45 E4 80 78 38 00 75 14 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 80 78 38 00 75 10 8B 45 FC 80 B8 22 03 00 00 00 0F 85 F4 FB FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 80 78 38 00 75 0B 8B 45 FC 8B 10 FF 92 A8 01 00 00 C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_73110_0 {
	meta:
		name = "SkipItems"
		size = 190
		refs = "0014 TCustomActionMenuBar.GetSelected"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 88 45 FF B3 01 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 06 E9 8C 00 00 00 80 7D FF 00 74 16 8B 16 8B 45 08 8B 40 FC B1 01 8B 18 FF 93 18 01 00 00 89 06 EB 14 8B 16 8B 45 08 8B 40 FC B1 01 8B 18 FF 93 1C 01 00 00 89 06 83 3E 00 74 51 8B 06 83 78 44 00 74 49 8B 45 08 8B 40 FC F6 40 1C 10 75 4B 8B 45 08 8B 40 FC 8B 10 FF 92 2C 01 00 00 84 C0 74 10 8B 06 8B 40 44 8B 10 FF 52 68 84 C0 75 2B EB 1B 8B 06 80 78 54 00 75 13 8B 06 8B 40 44 80 78 61 00 74 08 8B 06 80 78 76 02 75 0E 83 3E 00 0F 95 C3 84 DB 0F 85 6C FF FF FF 83 3E 00 0F 95 C0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73111_0 {
	meta:
		name = "CheckChangesAllowed"
		size = 135
		refs = "0015 CheckChangesAllowed 002b TActionClientItem.GetCaption 0043 SMoveNotAllowed 0048 LoadResString 0052 _Dn_Exception 0057 Exception.CreateFmt 005c @RaiseExcept 0076 @UStrArrayClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F4 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 31 02 75 3B 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73112_0 {
	meta:
		name = "EnsureNextItemVisible"
		size = 146
		refs = "0049 TCustomActionDockBar.SetVisibleIndex 0068 TCustomActionDockBar.MakeLastItemVisible 0075 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 45 08 8B 40 FC 80 B8 F0 02 00 00 00 74 76 8B 07 8B 40 44 81 78 4C 01 00 00 80 75 68 8B 45 08 80 78 FB 00 74 21 8B 45 08 8B 40 FC 8B 98 08 03 00 00 80 7B 61 00 75 3F 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? EB 30 8B 45 08 8B 40 FC 8B 98 0C 03 00 00 80 7B 61 00 75 1E 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? EB 11 8B C3 66 BE EC FF E8 ?? ?? ?? ?? 80 7B 61 00 74 0E 8B 07 8B 40 44 81 78 4C 01 00 00 80 74 E1 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_73113_0 {
	meta:
		name = "TCustomActionMenuBar.Select"
		size = 316
		refs = "0015 SkipItems 0032 TMenuStack.Peek 004f KeyboardStateToShiftState 0056 TCustomActionMenuBar.Select 006d TCustomActionMenuBar.GetSelected 0082 CheckChangesAllowed 0092 TCollectionItem.GetIndex 00af EnsureNextItemVisible 00be TCustomActionMenuBar.SelectItem 00d6 TActionClientItem.GetAction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 88 55 FB 89 45 FC 55 8D 55 F4 0F B6 45 FB E8 ?? ?? ?? ?? 59 84 C0 0F 84 12 01 00 00 8B 45 FC 8B 80 44 03 00 00 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? 3B 45 FC 0F 85 85 00 00 00 8B 45 FC 8B 10 FF 92 2C 01 00 00 84 C0 74 5C E8 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 4B 83 7D F4 00 0F 84 CB 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 BB 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 14 E9 8A 00 00 00 55 8D 45 F4 E8 ?? ?? ?? ?? 59 8B 45 F4 8B 50 44 8B 45 FC E8 ?? ?? ?? ?? EB 70 8B 45 F4 8B 40 44 8B 40 38 3B 45 FC 75 54 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 74 48 8B 45 FC 8B 80 44 03 00 00 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? C6 80 22 03 00 00 00 8B 45 FC 8B 80 44 03 00 00 33 D2 89 90 18 03 00 00 55 8D 45 F4 E8 ?? ?? ?? ?? 59 8B 45 F4 8B 40 44 B2 01 8B 08 FF 91 04 01 00 00 EB 0E 8B 45 F4 8B 40 44 8B 10 FF 92 0C 01 00 00 8B E5 5D C3 04 00 00 00 }
	condition:
		$1
}

rule function_73114_0 {
	meta:
		name = "TCustomActionMenuBar.SelectItem"
		size = 21
	strings:
		$1 = { 56 8B F2 85 F6 74 0C B2 01 8B C6 8B 08 FF 91 04 01 00 00 5E C3 }
	condition:
		$1
}

rule function_73115_0 {
	meta:
		name = "TCustomActionMenuBar.SetDesignMode"
		size = 42
		refs = "0023 TCustomActionBar.SetDesignMode"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 92 2C 01 00 00 3A D8 74 0A 8B C6 8B 10 FF 92 CC 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73116_0 {
	meta:
		name = "TCustomActionMenuBar.SetParentMenu"
		size = 109
	strings:
		$1 = { 56 57 8B F0 3B 96 2C 03 00 00 74 5E 8B FA 89 BE 2C 03 00 00 85 FF 74 52 89 B7 7C 03 00 00 0F B6 97 B8 02 00 00 8B C6 8B 08 FF 91 60 01 00 00 8B 86 2C 03 00 00 66 83 B8 AA 02 00 00 00 74 18 8B 90 A8 02 00 00 89 96 A8 02 00 00 8B 90 AC 02 00 00 89 96 AC 02 00 00 8B 86 2C 03 00 00 0F B6 80 15 03 00 00 88 86 15 03 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_73117_0 {
	meta:
		name = "TCustomActionMenuBar.SetPersistentHotKeys"
		size = 98
		refs = "0017 TCustomActionBar.SetPersistentHotKeys 0031 TOrderedList.Count 004b TList.Get"
	strings:
		$1 = { 53 56 57 51 8B D8 3A 93 B8 02 00 00 0F 95 C0 22 C2 88 04 24 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 74 3C 83 BB 8C 03 00 00 00 74 33 8B 83 8C 03 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 21 46 33 FF 8B 83 8C 03 00 00 8B 40 04 8B D7 E8 ?? ?? ?? ?? B2 01 8B 08 FF 91 60 01 00 00 47 4E 75 E2 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73118_0 {
	meta:
		name = "TCustomActionMenuBar.SetParent"
		size = 27
		refs = "0006 TWinControl.SetParent 000f GetParentForm"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 89 83 28 03 00 00 5B C3 }
	condition:
		$1
}

rule function_73119_0 {
	meta:
		name = "TCustomActionMenuBar.TrackMenu"
		size = 397
		refs = "004f _DV_TActionMenuFreeNotify 0054 TActionMenuFreeNotify.Create 005f TCustomActionMenuBar.TrackMenu 00ab TActionClientItem.GetAction 00b1 _Dn_TCustomAction 00b6 @IsClass 0100 TActionClientItem.ResetUsageData 0165 @HandleFinally 017c TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 45 FC 8B 45 FC 80 B8 22 03 00 00 00 0F 85 6E 01 00 00 8B 45 FC 8B 55 FC 89 90 44 03 00 00 C6 45 FB 01 8B 45 FC 66 83 B8 62 03 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 64 03 00 00 FF 93 60 03 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 C4 01 00 00 8B 45 F4 80 78 38 00 0F 85 9B 00 00 00 8B 45 FC 83 B8 94 03 00 00 00 74 3B 8B 45 FC 8B 98 94 03 00 00 85 DB 74 2A 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 FC 8B 80 94 03 00 00 E8 ?? ?? ?? ?? 80 78 72 00 74 04 33 C0 EB 02 B0 01 88 45 FB 8B 45 FC 8B 10 FF 92 2C 01 00 00 84 C0 75 40 8B 45 FC 83 B8 94 03 00 00 00 74 34 8B 45 FC 8B 80 94 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 A8 00 00 00 8B 45 FC 8B 80 94 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 B0 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 80 78 38 00 75 23 8B 45 FC 66 83 B8 6A 03 00 00 00 74 16 8B 5D FC 0F B6 4D FB 8B 55 FC 8B 83 6C 03 00 00 FF 93 68 03 00 00 C3 E9 ?? ?? ?? ?? EB CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73120_0 {
	meta:
		name = "TCustomActionMenuBar.WndProc"
		size = 179
		refs = "004b IID_IAccessible 0051 LresultFromObject 0060 _Dn_TActionMenuBarAccessibility 0065 TActionBarAccessibility.Create 00ab TWinControl.WndProc"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 03 83 E8 14 74 77 83 E8 29 74 0E 83 E8 47 0F 84 83 00 00 00 E9 85 00 00 00 83 7B 08 FC 75 7F 83 BE 80 02 00 00 00 74 76 8B BE 80 02 00 00 83 7F 34 00 74 1E 8B 86 80 02 00 00 8B 40 34 50 8B 43 04 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 43 0C EB 55 57 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 F8 50 8B 43 04 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 43 0C EB 2A 80 BE 68 02 00 00 00 74 18 8B 43 04 3B 43 08 74 10 C7 43 0C 01 00 00 00 EB 10 C7 43 0C 01 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73121_0 {
	meta:
		name = "TCustomActionMenuBar.WMKeyDown"
		size = 856
		refs = "001f TCustomActionMenuBar.WMKeyDown 002e TWinControl.WMKeyDown 0068 KeyboardStateToShiftState 0098 TMenuStack.Peek 009f TCustomActionBar.FindAccelItem 011d @CallDynaInst 013b TCustomActionBar.FindFirstVisibleItem 0145 TCustomActionMenuBar.SelectItem 0151 TCustomActionBar.FindLastVisibleItem 0167 TCustomActionMenuBar.GetSelected 01a4 DragDone 01ae Mouse 01b5 TMouse.GetIsDragging 01be CancelDrag 020a SDeleteNotAllowed 020f LoadResString 0219 _Dn_Exception 021e Exception.Create 0223 @RaiseExcept 022a TActionClient.GetHasItems 023c TActionClientItem.GetCaption 0252 SDeleteItemWithSubItems 0262 Format 0286 MessageDlgPosHelp 0294 TCollectionItem.GetIndex 02d4 TActionClient.GetItems 02dc TCollection.Delete 0308 TWinControl.GetHandle 030e PostMessage 0315 NotifyDesigner 032f @UStrArrayClr 0337 @UStrClr 0345 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E4 89 4D E0 89 4D F0 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 80 BE 22 03 00 00 00 0F 84 DA 02 00 00 83 BE 44 03 00 00 00 74 6C 0F B7 43 04 83 C0 D0 66 83 E8 0A 72 12 83 C0 F9 66 83 E8 1A 72 09 83 C0 FB 66 83 E8 0A 73 4D E8 ?? ?? ?? ?? A8 04 75 44 0F B7 43 04 0F B7 F8 8B D0 83 C2 A0 66 83 EA 0A 73 09 0F B7 F8 83 C7 30 83 EF 60 8B 86 44 03 00 00 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B F8 85 FF 74 0B 8B 47 44 8B 10 FF 92 0C 01 00 00 0F B7 43 04 83 C0 F3 83 F8 21 0F 87 55 02 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 05 00 00 00 00 00 00 00 00 00 00 00 00 00 06 00 00 00 00 00 00 00 04 03 00 01 00 02 00 00 00 00 00 07 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 D2 8B C6 66 BE AC FF E8 ?? ?? ?? ?? E9 F3 01 00 00 B2 01 8B C6 66 BE AC FF E8 ?? ?? ?? ?? E9 E1 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 50 44 8B C6 E8 ?? ?? ?? ?? E9 CB 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 50 44 8B C6 E8 ?? ?? ?? ?? E9 B5 01 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 A6 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 40 44 8B 10 FF 92 0C 01 00 00 E9 8F 01 00 00 8B C6 8B 10 FF 92 2C 01 00 00 84 C0 74 15 83 BE 1C 03 00 00 00 74 0C 33 C0 E8 ?? ?? ?? ?? E9 6C 01 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 74 0A E8 ?? ?? ?? ?? E9 52 01 00 00 8B C6 8B 10 FF 92 CC 01 00 00 E9 43 01 00 00 8B C6 8B 10 FF 92 2C 01 00 00 84 C0 0F 84 31 01 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 22 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 F6 47 31 04 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 5F 8D 45 FC 50 8D 55 E4 8B C7 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 8D 45 E8 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 33 C9 5A E8 ?? ?? ?? ?? B0 03 0F B7 15 ?? ?? ?? ?? 66 89 55 F6 33 D2 52 6A FF 6A FF 6A 00 8B D0 0F B7 4D F6 8B 45 FC E8 ?? ?? ?? ?? 48 0F 85 88 00 00 00 8B C7 E8 ?? ?? ?? ?? 89 45 F8 8B C6 8B 10 FF 92 3C 01 00 00 48 3B 45 F8 75 12 33 C9 8B D7 8B C6 8B 18 FF 93 1C 01 00 00 8B F8 EB 10 33 C9 8B D7 8B C6 8B 18 FF 93 18 01 00 00 8B F8 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 85 FF 74 0F 8B 47 44 B2 01 8B 08 FF 91 04 01 00 00 EB 1F 8B 86 30 03 00 00 50 6A 00 68 02 B4 00 00 8B 86 44 03 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_73122_0 {
	meta:
		name = "TCustomActionMenuBar.WMMouseActivate"
		size = 34
		refs = "000b TWinControl.WMMouseActivate"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 22 03 00 00 00 74 07 C7 46 0C 03 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_73123_0 {
	meta:
		name = "TCustomActionMenuBar.WMSysKeyDown"
		size = 308
		refs = "000b TWinControl.WMSysKeyDown 0021 TCustomActionMenuBar.WMKeyDown 004a TCustomActionMenuBar.GetSelected 005e TActionClient.GetHasItems 00bd TCustomActionBar.FindNextVisibleItem 00cc TCustomActionBar.FindFirstVisibleItem 00f9 TCustomActionBar.FindPreviousVisibleItem 0108 TCustomActionBar.FindLastVisibleItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 22 03 00 00 00 0F 84 15 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B7 46 04 66 83 E8 12 0F 84 F0 00 00 00 66 83 E8 13 0F 84 AA 00 00 00 66 83 E8 02 0F 85 EA 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 DB 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 45 8B C3 E8 ?? ?? ?? ?? 83 78 18 00 75 38 8B C3 E8 ?? ?? ?? ?? 8B 40 44 8B 10 FF 52 68 84 C0 75 0E 8B C3 8B 10 FF 92 2C 01 00 00 84 C0 74 17 8B C3 E8 ?? ?? ?? ?? 8B 40 44 8B 10 FF 92 0C 01 00 00 E9 86 00 00 00 8B B3 44 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0B 8B 83 44 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 5D 83 78 44 00 74 57 8B 40 44 8B 10 FF 92 0C 01 00 00 EB 4A 8B B3 44 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0B 8B 83 44 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 21 83 78 44 00 74 1B 8B 40 44 8B 10 FF 92 0C 01 00 00 EB 0E 8B 83 44 03 00 00 8B 10 FF 92 CC 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_73124_0 {
	meta:
		name = "TCustomActionMenuBar.SetAnimateDuration"
		size = 22
	strings:
		$1 = { 85 D2 7F 0B C7 80 58 03 00 00 01 00 00 00 C3 89 90 58 03 00 00 C3 }
	condition:
		$1
}

rule function_73125_0 {
	meta:
		name = "IsScreenFont"
		size = 394
		refs = "000e IsScreenFont 0025 TFont.GetName 0031 Screen 0047 @UStrEqual 00b7 TFont.GetPitch 013e TFont.GetSize 0177 @UStrArrayClr 017d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 08 8B 40 FC 8B 40 6C E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 58 E8 ?? ?? ?? ?? 75 32 8B 45 08 8B 40 FC 8B 40 6C 8B 40 10 0F B6 58 21 A1 ?? ?? ?? ?? 8B 00 8B 80 88 00 00 00 8B 40 10 0F B6 40 21 88 45 FF 0F B6 45 FF 3A C3 0F 94 C0 EB 02 33 C0 84 C0 74 22 8B 45 08 8B 40 FC 8B 40 6C 8B 40 18 8B 15 ?? ?? ?? ?? 8B 12 8B 92 88 00 00 00 3B 42 18 0F 94 C0 EB 02 33 C0 84 C0 74 29 8B 45 08 8B 40 FC 8B 40 6C E8 ?? ?? ?? ?? 8B D8 A1 ?? ?? ?? ?? 8B 00 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 3A D8 0F 94 C0 EB 02 33 C0 84 C0 74 22 8B 45 08 8B 40 FC 8B 40 6C 8B 40 1C 8B 15 ?? ?? ?? ?? 8B 12 8B 92 88 00 00 00 3B 42 1C 0F 94 C0 EB 02 33 C0 84 C0 74 2A 8B 45 08 8B 40 FC 8B 40 6C 8B 40 10 8B 40 18 8B 15 ?? ?? ?? ?? 8B 12 8B 92 88 00 00 00 8B 52 10 8B 52 18 3B D0 0F 94 C0 EB 02 33 C0 84 C0 74 29 8B 45 08 8B 40 FC 8B 40 6C E8 ?? ?? ?? ?? 8B D8 A1 ?? ?? ?? ?? 8B 00 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 3B D8 0F 94 C0 EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73126_0 {
	meta:
		name = "TCustomActionMenuBar.CMFontchanged"
		size = 48
		refs = "000c TWinControl.CMFontChanged 0012 IsScreenFont 0028 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 55 FC 88 82 70 03 00 00 8B 45 FC 66 BE EF FF E8 ?? ?? ?? ?? 5E 59 5D C3 }
	condition:
		$1
}

rule function_73127_0 {
	meta:
		name = "TCustomActionMenuBar.Notification"
		size = 86
		refs = "0010 TCustomActionBar.Notification 001d _Dn_TCustomActionControl 0022 @IsClass"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 39 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 28 8B 87 BC 01 00 00 3B 86 94 03 00 00 75 0A 33 C0 89 86 94 03 00 00 EB 10 3B BE 24 03 00 00 75 08 33 C0 89 86 24 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73128_0 {
	meta:
		name = "TCustomActionMenuBar.DoMouseIdle"
		size = 21
		refs = "0005 GetCursorPos 000e FindDragTarget"
	strings:
		$1 = { 83 C4 F8 54 E8 ?? ?? ?? ?? 8B C4 B2 01 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_73129_0 {
	meta:
		name = "TCustomActionMenuBar.DoActionIdle"
		size = 110
		refs = "0004 Screen 000b TScreen.GetCustomFormCount 0023 TScreen.GetCustomForms 002c TWinControl.HandleAllocated 0037 TWinControl.GetHandle 003d IsWindowVisible 004e IsWindowEnabled 0062 TControl.Perform"
	strings:
		$1 = { 53 56 57 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 54 46 33 FF A1 ?? ?? ?? ?? 8B 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 21 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 10 6A 00 33 C9 BA 45 B0 00 00 8B C3 E8 ?? ?? ?? ?? 47 4E 75 AF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73130_0 {
	meta:
		name = "TCustomActionMenuBar.ActionIdleTimerProc"
		size = 87
		refs = "000c TCustomActionMenuBar.ActionIdleTimerProc 001f TTimer.SetEnabled 0026 TCustomActionMenuBar.DoActionIdle 0035 @HandleAnyException 003b Application 0049 TApplication.HandleException 004e @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 10 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_73131_0 {
	meta:
		name = "TCustomActionMenuBar.Idle"
		size = 398
		refs = "0015 TCustomActionMenuBar.Idle 0020 Application 0043 TApplication.CancelHint 004b TCustomActionMenuBar.GetSelected 005c TActionClientItem.GetAction 007b GetLongHint 008a TApplication.SetHint 00f4 TCustomActionMenuBar.DoActionIdle 010a TTimer.SetInterval 011a TTimer.SetEnabled 0129 @HandleAnyException 0138 TApplication.HandleException 013d @DoneExcept 0142 GetCurrentThreadId 0148 MainThreadID 0153 CheckSynchronize 0166 WaitMessage 017b @UStrClr 0181 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 80 B8 8C 00 00 00 00 74 18 8B 45 FC 83 B8 24 03 00 00 00 75 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 3D 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 2C 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 84 00 00 00 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? EB 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C6 45 FB 01 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 A1 ?? ?? ?? ?? 8B 00 66 83 B8 3A 01 00 00 00 74 1A 8B 1D ?? ?? ?? ?? 8B 1B 8D 4D FB 8B 55 FC 8B 83 3C 01 00 00 FF 93 38 01 00 00 80 7D FB 00 74 3F A1 ?? ?? ?? ?? 8B 00 8B 90 C4 00 00 00 85 D2 7F 0A 8B 45 FC E8 ?? ?? ?? ?? EB 24 8B 45 FC 8B 80 10 03 00 00 80 78 48 00 75 15 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 10 03 00 00 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 02 75 0F 33 C0 E8 ?? ?? ?? ?? 84 C0 74 04 C6 45 FB 00 80 7D FB 00 74 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73132_0 {
	meta:
		name = "TCustomActionMenuBar.ProcessMessage"
		size = 106
		refs = "0007 Application 0019 PeekMessage 002e TApplication.IsHintMsg 003b TApplication.IsMDIMsg 005a TranslateMessage 0060 DispatchMessage"
	strings:
		$1 = { 53 56 57 8B F2 8B 3D ?? ?? ?? ?? 8B 3F 33 DB 6A 01 6A 00 6A 00 6A 00 56 E8 ?? ?? ?? ?? 85 C0 74 43 B3 01 83 7E 04 12 74 3B 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 75 2E 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 75 21 8B 46 04 3D 00 01 00 00 72 0B 3D 09 01 00 00 77 04 33 DB EB 0C 56 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73133_0 {
	meta:
		name = "TCustomActionMenuBar.ProcessMessages"
		size = 24
		refs = "000b TCustomActionMenuBar.ProcessMessage"
	strings:
		$1 = { 53 83 C4 E4 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 F3 83 C4 1C 5B C3 }
	condition:
		$1
}

rule function_79923_0 {
	meta:
		name = "TApplication.ProcessMessages"
		size = 24
		refs = "000b TApplication.ProcessMessage"
	strings:
		$1 = { 53 83 C4 E4 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 F3 83 C4 1C 5B C3 }
	condition:
		$1
}

rule function_73134_0 {
	meta:
		name = "TCustomActionMenuBar.Style"
		size = 31
		refs = "001a TCustomActionBar.Style"
	strings:
		$1 = { 8B 90 44 03 00 00 85 D2 74 0F 3B D0 74 0B 8B C2 8B 10 FF 92 78 01 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73135_0 {
	meta:
		name = "TCustomActionMenuBar.SetUseSystemFont"
		size = 44
		refs = "0016 Screen"
	strings:
		$1 = { 56 8B F0 3A 96 70 03 00 00 74 1F 88 96 70 03 00 00 84 D2 74 15 A1 ?? ?? ?? ?? 8B 00 8B 90 88 00 00 00 8B 46 6C 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_73136_0 {
	meta:
		name = "TCustomActionMenuBar.Loaded"
		size = 42
		refs = "0006 TCustomActionDockBar.Loaded 0014 Screen"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 70 03 00 00 00 74 15 A1 ?? ?? ?? ?? 8B 00 8B 90 88 00 00 00 8B 43 6C 8B 08 FF 51 08 5B C3 }
	condition:
		$1
}

rule function_73137_0 {
	meta:
		name = "TCustomActionMenuBar.RecreateControls"
		size = 31
		refs = "0012 TObject.Free 0019 TCustomActionBar.RecreateControls"
	strings:
		$1 = { 53 8B D8 8D 83 74 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73138_0 {
	meta:
		name = "TCustomActionMenuBar.SetMouseControl"
		size = 49
		refs = "0017 TComponent.RemoveFreeNotification 002a TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 24 03 00 00 3B F0 74 1E 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 83 24 03 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73139_0 {
	meta:
		name = "TCustomMenuExpandBtn.Create"
		size = 132
		refs = "000a @ClassCreate 0017 TCustomUtilityButton.Create 0020 TControl.SetAlign 0033 TCustomUtilityButton.SetArrowSize 003e SExpand 0043 LoadResString 004c TCustomUtilityButton.SetArrowType 0055 TCustomUtilityButton.SetDirection 005e TCustomMenuExpandBtn.Create 006c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 06 8B C6 E8 ?? ?? ?? ?? C6 86 1C 02 00 00 01 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 96 88 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? B2 03 8B C6 E8 ?? ?? ?? ?? 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 04 00 00 }
	condition:
		$1
}

rule function_73140_0 {
	meta:
		name = "TCustomMenuExpandBtn.DragOver"
		size = 13
	strings:
		$1 = { 55 8B EC 8B 45 08 C6 00 00 5D C2 0C 00 }
	condition:
		$1
}

rule function_73141_0 {
	meta:
		name = "TCustomMenuExpandBtn.DrawBackground"
		size = 122
		refs = "0010 OffsetRect 0021 InflateRect 0031 TCustomMenuExpandBtn.GetMenu 0036 TCustomActionBar.GetColorMap 003b TCustomActionBarColorMap.GetUnusedColor 004b TBrush.SetColor 0073 TCustomButtonControl.DrawBackground"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 B9 01 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B C6 B9 FC FF FF FF BA FE FF FF FF E8 ?? ?? ?? ?? 80 BB FB 01 00 00 00 74 23 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 1D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 48 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73142_0 {
	meta:
		name = "TCustomMenuExpandBtn.DrawFrame"
		size = 68
		refs = "001d OffsetRect 002e InflateRect 0039 TCustomButtonControl.DrawFrame"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B D9 8B F0 8B C4 B9 01 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B C4 B9 FC FF FF FF BA FE FF FF FF E8 ?? ?? ?? ?? 8B CB 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73144_0 {
	meta:
		name = "TCustomActionPopupMenu.Create"
		size = 216
		refs = "000b @ClassCreate 001c TCustomActionMenuBar.Create 0025 TCustomActionPopupMenu.Create 0031 TControl.SetVisible 003a TControl.SetAlign 004f TWinControl.SetBorderWidth 005d TToolWindow.SetEdgeBorders 0066 TToolWindow.SetEdgeInner 006f TToolWindow.SetEdgeOuter 0078 TCustomActionBar.SetVertMargin 0081 TCustomActionBar.SetHorzMargin 0092 _Dn_TCustomActionBar 0097 @IsClass 00a8 TCustomActionBar.SetActionManager 00b1 TCustomActionPopupMenu.SetShadow 00bc @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 47 58 0B 05 ?? ?? ?? ?? 89 47 58 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? B2 02 8B C7 8B 08 FF 91 5C 01 00 00 33 D2 8B C7 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 8B 08 FF 51 78 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 96 84 02 00 00 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 04 00 00 0F 00 00 00 }
	condition:
		$1
}

rule function_73145_0 {
	meta:
		name = "TCustomActionPopupMenu.Destroy"
		size = 79
		refs = "0003 @BeforeDestruction 001f TControl.SetVisible 0032 TObject.Free 003d TCustomActionMenuBar.Destroy 0048 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 80 02 00 00 85 C0 74 05 33 D2 89 50 18 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 A4 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73146_0 {
	meta:
		name = "TCustomActionPopupMenu.AddEdges"
		size = 340
		refs = "0027 TCustomActionBar.FindPreviousVisibleItem 0036 TCustomActionBar.FindNextVisibleItem 0043 TActionClientItem.Unused 0052 TCustomActionPopupMenu.AddEdges 00ce TCustomMenuItem.SetEdges 00ea _DV_TCustomMenuItem 00ef @IsClass"
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B F0 85 DB 0F 84 31 01 00 00 83 BB BC 01 00 00 00 0F 84 24 01 00 00 8B 93 BC 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 93 BC 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B E8 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 85 00 00 00 0F B6 05 ?? ?? ?? ?? 88 04 24 80 BE 21 03 00 00 00 74 2E 85 FF 74 0B 8B C7 E8 ?? ?? ?? ?? 84 C0 75 1F 8B C6 8B 10 FF 92 70 01 00 00 3B 83 BC 01 00 00 74 0D 0F B6 05 ?? ?? ?? ?? 0A 04 24 88 04 24 80 BE 21 03 00 00 00 74 2E 85 ED 74 0B 8B C5 E8 ?? ?? ?? ?? 84 C0 75 1F 8B C6 8B 10 FF 92 14 01 00 00 3B 83 BC 01 00 00 74 0D 0F B6 05 ?? ?? ?? ?? 0A 04 24 88 04 24 0F B6 14 24 8B C3 E8 ?? ?? ?? ?? EB 6E 85 FF 74 33 8B C7 E8 ?? ?? ?? ?? 84 C0 74 28 8B 5F 44 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 0F B6 93 F8 01 00 00 0A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 ED 74 33 8B C5 E8 ?? ?? ?? ?? 84 C0 74 28 8B 5D 44 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 0F B6 93 F8 01 00 00 0A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 00 00 00 00 02 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_73147_0 {
	meta:
		name = "TCustomActionPopupMenu.CMMouseLeave"
		size = 70
		refs = "0006 TCustomActionBar.CMMouseLeave 001b TCustomActionMenuBar.GetSelected"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 2C 01 00 00 84 C0 75 2C 8B C6 E8 ?? ?? ?? ?? 85 C0 74 21 8B C6 E8 ?? ?? ?? ?? 83 78 18 00 75 14 8B C6 E8 ?? ?? ?? ?? 8B 40 44 33 D2 8B 08 FF 91 04 01 00 00 5E C3 }
	condition:
		$1
}

rule function_73148_0 {
	meta:
		name = "TCustomActionPopupMenu.CMVisibleChanged"
		size = 239
		refs = "0024 Win32MajorVersion 0030 TWinControl.GetHandle 003c GetWindowLongPtr 0051 TStyleManager.GetActiveStyle 0068 TCustomStyleServices.GetIsSystemStyle 00a2 SetWindowLongPtr 00b5 SetLayeredWindowAttributes 00c2 TWinControl.CMVisibleChanged"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 80 7B 61 00 74 0C 8B C3 8B 10 FF 92 D8 01 00 00 EB 0A 8B C3 8B 10 FF 92 E0 01 00 00 A1 ?? ?? ?? ?? 83 38 05 7C 1D 8B C3 E8 ?? ?? ?? ?? BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? A9 00 00 08 00 0F 94 C0 EB 02 33 C0 84 C0 74 0C E8 ?? ?? ?? ?? 8B 10 FF 52 48 EB 02 33 C0 84 C0 74 0E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 EB 02 33 C0 84 C0 74 6C 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 8B D7 BF EC FF FF FF 0D 00 00 08 00 50 57 52 E8 ?? ?? ?? ?? 6A 02 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 02 68 FF 00 00 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73149_0 {
	meta:
		name = "TCustomActionPopupMenu.CreateControl"
		size = 87
		refs = "0007 TCustomActionMenuBar.CreateControl 0011 _DV_TCustomMenuItem 0016 @IsClass 003a TActionClientItem.Unused 004e TControl.SetVisible"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 8B 08 FF 91 D4 01 00 00 80 BB 21 03 00 00 00 75 1F 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 10 C6 83 20 03 00 00 01 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73150_0 {
	meta:
		name = "TCustomActionPopupMenu.CreateControls"
		size = 48
		refs = "0006 TCustomActionDockBar.CreateControls 001f TCustomActionBar.FindFirstVisibleItem 002a TCustomActionPopupMenu.SetupExpandBtn"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 21 03 00 00 00 75 1B 80 BB 20 03 00 00 00 74 12 8B C3 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73151_0 {
	meta:
		name = "TCustomActionPopupMenu.CreateParams"
		size = 127
		refs = "000b TWinControl.CreateParams 0014 _Dn_TCustomForm 0019 @IsClass 0050 CheckWin32Version 005b GetShadow"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1D 8B 46 04 25 FF FF FF BF 0D 00 00 00 80 0D 00 00 00 04 0D 00 00 00 02 83 C8 00 89 46 04 C7 46 24 09 08 00 00 BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 12 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 81 4E 24 00 00 02 00 8B C3 8B 10 FF 92 2C 01 00 00 84 C0 75 04 83 4E 08 08 5E 5B C3 }
	condition:
		$1
}

rule function_73154_0 {
	meta:
		name = "TCustomActionPopupMenu.Expand"
		size = 320
		refs = "0023 TCustomActionPopupMenu.Expand 003d TControl.SetVisible 0052 TCustomActionMenuBar.Expand 005a TCustomActionBar.GetItems 0079 TActionClients.GetActionClient 0097 _DV_TCustomMenuItem 009c @IsClass 00f0 TWinControl.EnableAlign 011e TWinControl.GetHandle 0124 SendMessage 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B 45 FC C6 80 21 03 00 00 01 8B 45 FC 66 FF 80 B4 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 A4 03 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 E0 01 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 74 46 33 DB 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 80 78 30 00 74 58 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 44 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 50 44 8B 45 FC 8B 08 FF 91 D4 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 44 8B 10 FF 92 08 01 00 00 43 4E 75 8F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 30 03 00 00 85 C0 74 10 8B C8 8B 50 04 8B 45 FC 8B 18 FF 93 E4 01 00 00 6A 00 6A 01 68 85 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 D8 01 00 00 C3 E9 ?? ?? ?? ?? EB B1 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73155_0 {
	meta:
		name = "TCustomActionPopupMenu.ExpandClick"
		size = 57
		refs = "0012 TMenuStack.Pop 0023 TMenuStack.Peek"
	strings:
		$1 = { 53 8B D8 EB 11 8B 83 44 03 00 00 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? 8B 83 44 03 00 00 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? 3B D8 75 DA B2 01 8B C3 8B 08 FF 91 B4 01 00 00 5B C3 }
	condition:
		$1
}

rule function_73156_0 {
	meta:
		name = "TCustomActionPopupMenu.Popup"
		size = 148
		refs = "0018 Application 0027 TWinControl.SetParentWindow 0034 TCustomActionBar.FindFirstVisibleItem 006d TCustomActionBar.GetColorMap 0082 TControl.SetVisible"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 92 3C 01 00 00 85 C0 74 79 A1 ?? ?? ?? ?? 8B 00 8B 90 78 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 9B 44 03 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0C 33 D2 8B C3 8B 08 FF 91 B4 01 00 00 8B 43 50 50 8B 43 54 50 8B CF 8B D6 8B C3 8B 30 FF 96 A4 00 00 00 B2 01 8B C3 8B 08 FF 91 60 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 54 01 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 D0 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73157_0 {
	meta:
		name = "MonitorSize"
		size = 9
	strings:
		$1 = { 85 C0 7E 02 03 D0 8B C2 C3 }
	condition:
		$1
}

rule function_73158_0 {
	meta:
		name = "TCustomActionPopupMenu.PositionPopup"
		size = 832
		refs = "002c Screen 0035 TScreen.MonitorFromPoint 004b TMonitor.GetLeft 0054 TMonitor.GetWidth 0096 TMonitor.GetWorkareaRect 0143 TControl.ClientToScreen 0176 TControl.GetBoundsRect 01a2 SystemParametersInfo 020a TScreen.MonitorFromRect 0247 MonitorSize 0271 _DV_TCustomMenuItem 0276 @IsClass 02a8 TMonitor.GetHeight 02b4 TMonitor.GetTop 02e4 _DV_TCustomMenuButton"
	strings:
		$1 = { 53 56 57 55 83 C4 A0 8B F9 8B EA 8B D8 85 ED 74 08 85 FF 0F 85 00 01 00 00 8B 43 48 89 44 24 10 8B 43 4C 89 44 24 14 8D 54 24 10 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B F0 8B 7B 48 89 3C 24 8B 43 4C 89 44 24 04 8B C6 E8 ?? ?? ?? ?? 8B E8 8B C6 E8 ?? ?? ?? ?? 03 E8 03 7B 50 3B EF 7D 18 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 03 F8 2B 7B 50 89 3C 24 8B C6 E8 ?? ?? ?? ?? 3B 43 48 7E 0A 8B C6 E8 ?? ?? ?? ?? 89 04 24 8D 54 24 38 8B C6 E8 ?? ?? ?? ?? 8B 7C 24 3C 8D 54 24 48 8B C6 E8 ?? ?? ?? ?? 03 7C 24 54 8B 43 4C 03 43 54 3B F8 7D 0A 8B 43 4C 2B 43 54 89 44 24 04 8D 54 24 38 8B C6 E8 ?? ?? ?? ?? 8B 44 24 3C 3B 43 4C 7E 13 8D 54 24 38 8B C6 E8 ?? ?? ?? ?? 8B 44 24 3C 89 44 24 04 8D 54 24 38 8B C6 E8 ?? ?? ?? ?? 8B 44 24 3C 3B 44 24 04 0F 8E 1D 02 00 00 8D 54 24 38 8B C6 E8 ?? ?? ?? ?? 8B 44 24 3C 89 44 24 04 E9 05 02 00 00 0F B6 85 97 02 00 00 2C 01 72 04 74 23 EB 47 8B 47 48 40 89 44 24 18 8B 47 4C 03 47 54 89 44 24 1C 8B CC 8D 54 24 18 8B C5 E8 ?? ?? ?? ?? EB 45 8B 47 48 2B 43 50 03 47 50 89 44 24 20 8B 47 4C 03 47 54 89 44 24 24 8B CC 8D 54 24 20 8B C5 E8 ?? ?? ?? ?? EB 1F 8D 54 24 38 8B C7 E8 ?? ?? ?? ?? 8D 54 24 38 8B CC 8B 47 38 E8 ?? ?? ?? ?? 8B 47 50 01 04 24 C7 44 24 08 FF FF FF FF 6A 00 8D 44 24 0C 50 6A 00 6A 1B E8 ?? ?? ?? ?? 8D 54 24 38 8B C7 E8 ?? ?? ?? ?? 8D 54 24 38 8D 4C 24 58 8B 47 38 E8 ?? ?? ?? ?? 8B 44 24 58 89 44 24 28 8B 44 24 5C 89 44 24 2C 8D 54 24 38 8B C7 E8 ?? ?? ?? ?? 8D 54 24 40 8D 4C 24 58 8B 47 38 E8 ?? ?? ?? ?? 8B 44 24 58 89 44 24 30 8B 44 24 5C 89 44 24 34 8D 54 24 28 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 3B 04 24 7E 0A 8B C6 E8 ?? ?? ?? ?? 89 04 24 8D 54 24 38 8B C6 E8 ?? ?? ?? ?? 8B 44 24 38 89 44 24 0C 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 44 24 0C E8 ?? ?? ?? ?? 8B 14 24 03 53 50 3B C2 7D 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 44 24 0C E8 ?? ?? ?? ?? 2B 43 50 89 04 24 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 8B C6 E8 ?? ?? ?? ?? 03 44 24 0C 2B 45 48 03 45 50 8B 14 24 03 53 50 3B C2 7D 0C 8B 45 48 2B 43 50 83 C0 02 89 04 24 8B C6 E8 ?? ?? ?? ?? 3B 43 54 7D 0D 8B C6 E8 ?? ?? ?? ?? 89 44 24 04 EB 60 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 6C 24 04 8B D5 03 53 54 3B C2 7D 3E 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8B C6 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 3B 44 24 2C 7D 19 2B 6F 54 2B 6B 54 89 6C 24 04 EB 0D 2B 6B 54 03 6F 54 83 C5 03 89 6C 24 04 8B 43 50 50 8B 43 54 50 8B 4C 24 0C 8B 54 24 08 8B C3 8B 18 FF 93 A4 00 00 00 83 C4 60 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73159_0 {
	meta:
		name = "TCustomActionPopupMenu.SetupExpandBtn"
		size = 179
		refs = "002f TControl.SetAlign 004e TCustomUtilityButton.SetArrowSize 0059 SExpand 005e LoadResString 0067 TCustomUtilityButton.SetArrowType 0070 TCustomUtilityButton.SetDirection 007b TActionClient.HasBackground 009c TCustomActionControl.SetTransparent 00ac TCustomActionPopupMenu.ExpandClick"
	strings:
		$1 = { 53 56 8B D8 83 BB A4 03 00 00 00 0F 85 9F 00 00 00 8B C3 8B 10 FF 92 DC 01 00 00 8B CB B2 01 FF 50 38 8B F0 89 B3 A4 03 00 00 B2 06 8B C6 E8 ?? ?? ?? ?? C6 86 1C 02 00 00 01 8B D3 8B C6 8B 08 FF 91 84 00 00 00 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 96 88 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? B2 03 8B C6 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 10 8B 83 80 02 00 00 0F B6 40 14 04 FD 2C 02 73 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? 89 9E 14 02 00 00 C7 86 10 02 00 00 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73160_0 {
	meta:
		name = "TCustomActionPopupMenu.SetOrientation"
		size = 46
		refs = "000e @CallDynaInst 0026 TCustomActionDockBar.SetOrientation"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C7 66 BE AB FF E8 ?? ?? ?? ?? 8B D3 80 FA 07 77 06 83 E2 7F 0F A3 D0 73 09 8B D3 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73161_0 {
	meta:
		name = "TCustomActionPopupMenu.WMKeyDown"
		size = 696
		refs = "0055 TCustomActionMenuBar.GetSelected 0069 TCollectionItem.GetIndex 0071 TCustomActionBar.GetItems 0077 TCollection.Insert 007e TCustomActionPopupMenu.WMKeyDown 0085 TActionClientItem.SetCaption 008f TControl.SetVisible 00a3 NotifyDesigner 010e TActionClient.GetHasItems 012b TActionClientItem.GetAction 0134 KeyboardStateToShiftState 0144 TActionClient.GetItems 0149 TActionClients.Add 0211 TCustomActionBar.FindLastVisibleItem 022d @CallDynaInst 0234 TCustomActionBar.FindFirstVisibleItem 023e TCustomActionMenuBar.SelectItem 029e TCustomActionMenuBar.WMKeyDown"
	strings:
		$1 = { 53 56 57 55 8B F2 8B F8 0F B7 46 04 83 F8 28 7F 1D 0F 84 D6 01 00 00 83 E8 25 0F 84 8C 00 00 00 83 E8 02 0F 84 C0 00 00 00 E9 6B 02 00 00 83 E8 2D 0F 84 0D 02 00 00 83 E8 40 0F 85 59 02 00 00 8B C7 8B 10 FF 92 2C 01 00 00 84 C0 0F 84 47 02 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 84 38 02 00 00 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B E8 BA ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 8B 45 44 B2 01 E8 ?? ?? ?? ?? 8B 45 44 B2 01 8B 08 FF 91 04 01 00 00 8B C7 E8 ?? ?? ?? ?? E9 ED 01 00 00 8B 87 7C 03 00 00 85 C0 74 19 C6 80 22 03 00 00 00 33 C0 89 87 7C 03 00 00 33 C0 89 46 0C E9 CA 01 00 00 8B 87 2C 03 00 00 85 C0 0F 84 BC 01 00 00 8B D6 8B 08 FF 51 EC E9 B0 01 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 84 DB 00 00 00 8B C7 8B 10 FF 92 2C 01 00 00 84 C0 74 59 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 49 8B C7 E8 ?? ?? ?? ?? 80 78 54 00 75 3C 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 2C E8 ?? ?? ?? ?? A8 04 74 23 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 40 44 8B 10 FF 92 9C 00 00 00 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 45 8B C7 E8 ?? ?? ?? ?? 83 78 18 00 75 38 8B C7 E8 ?? ?? ?? ?? 8B 40 44 8B 10 FF 52 68 84 C0 75 0E 8B C7 8B 10 FF 92 2C 01 00 00 84 C0 74 17 8B C7 E8 ?? ?? ?? ?? 8B 40 44 8B 10 FF 92 0C 01 00 00 E9 E5 00 00 00 83 BF 8C 03 00 00 00 0F 85 D8 00 00 00 8B D6 8B 87 44 03 00 00 8B 08 FF 51 EC E9 C6 00 00 00 8B 87 44 03 00 00 3B F8 0F 84 B8 00 00 00 8B D6 8B 08 FF 51 EC E9 AC 00 00 00 66 83 7E 04 28 0F 85 A1 00 00 00 80 BF 20 03 00 00 00 0F 84 94 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 3B D8 74 09 E8 ?? ?? ?? ?? A8 04 74 77 8B 87 A4 03 00 00 66 BE EC FF E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 50 44 8B C7 E8 ?? ?? ?? ?? EB 5E F6 47 1C 10 74 58 8B C7 E8 ?? ?? ?? ?? 85 C0 74 4D 8B C7 E8 ?? ?? ?? ?? 8B E8 8B C5 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? A8 01 74 01 43 8B 87 80 02 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B E8 8B 45 44 B2 01 8B 08 FF 91 04 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_73162_0 {
	meta:
		name = "TCustomActionPopupMenu.WMPrint"
		size = 31
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 8B 56 04 8B C3 8B 08 FF 91 F8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_73163_0 {
	meta:
		name = "TCustomActionPopupMenu.WMPrintClient"
		size = 184
		refs = "0016 TCanvas.GetHandle 0021 TCustomActionPopupMenu.WMPrintClient 0038 TCanvas.SetHandle 0040 TCustomActionBar.GetColorMap 0054 TBrush.SetColor 005f TControl.GetBoundsRect 007a TWinControl.WMPrintClient 0089 TWinControl.PaintTo 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B DA 89 45 FC 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 04 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 50 48 8B 45 FC 8B 80 8C 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 80 8C 02 00 00 8B 08 FF 51 54 8B D3 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8B 53 04 33 C9 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73164_0 {
	meta:
		name = "TCustomActionPopupMenu.ValidOrientations"
		size = 12
		refs = "0003 TCustomActionPopupMenu.ValidOrientations"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 0C 00 00 00 }
	condition:
		$1
}

rule function_73165_0 {
	meta:
		name = "TCustomActionPopupMenu.VisibleChanging"
		size = 372
		refs = "0008 TCustomActionBar.VisibleChanging 001b TWinControl.HandleAllocated 0026 TWinControl.GetHandle 002c IsWindowVisible 004b NotifyWinEvent 0071 TCustomActionBar.FindFirstVisibleItem 0085 TControl.SetVisible 008c TCustomActionBar.FindLastVisibleItem 00c9 TCustomActionBar.GetItems 00d0 TActionClients.GetActionClient 0100 TWinControl.HandleNeeded 010b @CallDynaInst 0133 TCustomActionMenuBar.Animate 014b sndPlaySound 0152 TCustomActionPopupMenu.VisibleChanging"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 75 52 80 7B 61 00 74 39 8B C3 E8 ?? ?? ?? ?? 84 C0 74 41 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 30 3B 9B 44 03 00 00 74 28 6A 00 6A FD 8B C3 E8 ?? ?? ?? ?? 50 6A 07 E8 ?? ?? ?? ?? EB 13 6A 00 6A FD 8B C3 E8 ?? ?? ?? ?? 50 6A 06 E8 ?? ?? ?? ?? 80 7B 61 00 0F 85 ED 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 80 78 54 00 74 0A 33 D2 8B 40 44 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 80 78 54 00 74 0A 33 D2 8B 40 44 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 2C 01 00 00 84 C0 75 42 8B C3 8B 10 FF 92 3C 01 00 00 8B F8 4F 85 FF 7C 31 47 33 F6 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 83 78 3C 00 74 16 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 3C 8B 10 FF 52 1C 46 4F 75 D2 83 BB 80 02 00 00 00 74 5E 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE EF FF E8 ?? ?? ?? ?? 8B 8B 30 03 00 00 8B 93 2C 03 00 00 8B C3 8B 30 FF 96 E4 01 00 00 83 BB 2C 03 00 00 00 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 75 1E 83 BB 44 03 00 00 00 74 15 6A 02 6A 00 E8 ?? ?? ?? ?? 6A 13 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 00 4D 00 65 00 6E 00 75 00 50 00 6F 00 70 00 75 00 70 00 00 00 }
	condition:
		$1
}

rule function_73166_0 {
	meta:
		name = "TCustomActionPopupMenu.CloseMenu"
		size = 74
		refs = "000b TControl.SetVisible 001b Mouse 0022 TMouse.GetCursorPos 0042 TCustomActionMenuBar.CloseMenu"
	strings:
		$1 = { 53 83 C4 F8 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 83 BB 44 03 00 00 00 74 27 8B D4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 83 44 03 00 00 8B 14 24 89 90 84 03 00 00 8B 54 24 04 89 90 88 03 00 00 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_73167_0 {
	meta:
		name = "TCustomActionPopupMenu.GetClientRect"
		size = 32
		refs = "000b TWinControl.GetClientRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 20 01 00 00 01 06 5E 5B C3 }
	condition:
		$1
}

rule function_73169_0 {
	meta:
		name = "TCustomActionPopupMenu.CanAutoSize"
		size = 38
		refs = "000c TWinControl.CanAutoSize"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 B2 01 8B C7 8B 08 FF 91 20 01 00 00 01 06 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73170_0 {
	meta:
		name = "TCustomActionPopupMenu.DisplayShadow"
		size = 132
		refs = "000e CheckWin32Version 0019 GetShadow 003f _Dn_TShadowWindow 0044 TShadowWindow.CreateShadow 0071 TShadowWindow.SetControl"
	strings:
		$1 = { 53 8B D8 BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 6C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 61 8B C3 8B 10 FF 92 2C 01 00 00 84 C0 75 53 83 BB A8 03 00 00 00 75 2C 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A8 03 00 00 6A 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A0 03 00 00 8B 83 A8 03 00 00 85 C0 74 14 8B D3 E8 ?? ?? ?? ?? 8B D3 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73171_0 {
	meta:
		name = "TCustomActionPopupMenu.HideShadow"
		size = 55
		refs = "000e CheckWin32Version 0026 TControl.Hide"
	strings:
		$1 = { 53 8B D8 BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 1F 83 BB A8 03 00 00 00 74 16 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73172_0 {
	meta:
		name = "TCustomActionPopupMenu.SetColorMap"
		size = 40
		refs = "0006 TCustomActionBar.SetColorMap 000d TCustomActionBar.GetColorMap 0022 TControl.SetColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B C3 E8 ?? ?? ?? ?? 8B 50 7C 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73173_0 {
	meta:
		name = "TCustomActionPopupMenu.Notification"
		size = 61
		refs = "0010 TCustomActionMenuBar.Notification 0023 _Dn_TControl 0028 @IsClass 0035 TControl.SetVisible"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? F6 46 1C 08 75 1F 80 FB 01 75 1A 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73174_0 {
	meta:
		name = "TCustomActionPopupMenu.SetShadow"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 AC 03 00 00 74 0B 88 90 AC 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73175_0 {
	meta:
		name = "TCustomActionPopupMenu.DrawBackground"
		size = 174
		refs = "000a TCustomActionBar.DrawBackground 000f TStyleManager.GetActiveStyle 0022 TCustomStyleServices.GetIsSystemStyle 0041 Rect 0067 TCanvas.GetHandle 0074 TCustomStyleServices.DrawElement 007d TCustomActionBar.GetColorMap 008e TBrush.SetColor"
	strings:
		$1 = { 53 56 83 C4 E4 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 EB 02 33 C0 84 C0 74 4A 8B 43 54 50 8D 44 24 04 50 8B 4B 50 33 D2 33 C0 E8 ?? ?? ?? ?? 54 6A 00 E8 ?? ?? ?? ?? 8D 4C 24 18 B2 12 8B 30 FF 96 9C 00 00 00 8D 44 24 18 50 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? EB 2E 8B C3 E8 ?? ?? ?? ?? 8B 50 7C 8B 83 8C 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 51 60 8B D4 8B 83 8C 02 00 00 8B 08 FF 51 54 83 C4 1C 5E 5B C3 }
	condition:
		$1
}

rule function_73176_0 {
	meta:
		name = "TCustomActionPopupMenu.NewPopup"
		size = 34
		refs = "0007 TCustomActionMenuBar.NewPopup 0010 GetShadow 0019 TCustomActionPopupMenu.SetShadow"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73177_0 {
	meta:
		name = "TCustomActionPopupMenu.WMNCPaint"
		size = 274
		refs = "000d TStyleManager.GetActiveStyle 0020 TCustomStyleServices.GetIsSystemStyle 003c TCanvas.GetHandle 0047 TWinControl.GetHandle 004d GetWindowDC 005d TCanvas.SetHandle 0065 TCustomActionPopupMenu.WMNCPaint 0085 Rect 00bc TCustomStyleServices.DrawElement 00e6 ReleaseDC 00fd @HandleFinally 0109 TToolWindow.WMNCPaint"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 8B DA 89 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 EB 02 33 C0 84 C0 0F 84 D1 00 00 00 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 54 50 8D 45 E8 50 8B 45 FC 8B 48 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E8 50 6A 00 E8 ?? ?? ?? ?? 8D 4D DC B2 13 8B 18 FF 93 9C 00 00 00 8D 45 DC 50 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73178_0 {
	meta:
		name = "TCustomAddRemoveItem.CalcBounds"
		size = 120
		refs = "000b TCustomMenuItem.CalcBounds 0018 TControl.SetWidth 005f OffsetRect"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 50 83 C2 12 8B C3 E8 ?? ?? ?? ?? 8B 83 C4 01 00 00 83 C0 12 89 04 24 8B 83 C8 01 00 00 89 44 24 04 8B 04 24 89 83 C4 01 00 00 8B 44 24 04 89 83 C8 01 00 00 8D B3 E4 01 00 00 8D 7C 24 08 A5 A5 A5 A5 8D 44 24 08 33 C9 BA 12 00 00 00 E8 ?? ?? ?? ?? 8D 74 24 08 8D BB E4 01 00 00 A5 A5 A5 A5 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73179_0 {
	meta:
		name = "TCustomAddRemoveItem.IsActionVisible"
		size = 124
		refs = "001e TCustomActionControl.GetActionBar 0029 TActionClient.GetItems 0042 TActionClients.GetActionClient 0047 TActionClientItem.GetAction"
	strings:
		$1 = { 53 56 57 55 51 8B E8 C6 04 24 00 8B 85 FC 01 00 00 8B 80 44 03 00 00 8B 80 30 03 00 00 E8 ?? ?? ?? ?? 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B 47 08 8B 70 08 4E 85 F6 7C 38 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 85 BC 01 00 00 E8 ?? ?? ?? ?? 5A 3B D0 75 12 8B D3 8B C7 E8 ?? ?? ?? ?? 0F B6 40 30 88 04 24 EB 04 43 4E 75 CB 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73180_0 {
	meta:
		name = "TCustomAddRemoveItem.MouseUp"
		size = 46
		refs = "001a TCustomMenuItem.MouseUp"
		altNames = "TRibbonGalleryMenuItem.MouseUp"
	strings:
		$1 = { 55 8B EC 51 53 66 89 4D FE 8B D8 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_83870_0 {
	meta:
		name = "TRibbonComboControl.MouseDown"
		size = 46
		refs = "001a TCustomButtonControl.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 66 89 4D FE 8B D8 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_83687_0 {
	meta:
		name = "TRibbonGalleryMenuItem.MouseDown"
		size = 46
		refs = "001a TControl.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 66 89 4D FE 8B D8 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_73182_0 {
	meta:
		name = "TCustomizeActionToolBar.Create"
		size = 82
		refs = "000b @ClassCreate 001c TCustomActionPopupMenu.Create 0024 _Dn_TCustomActionToolBar 0029 @IsClass 003e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 89 B7 BC 03 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73183_0 {
	meta:
		name = "TCustomizeActionToolBar.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TCustomActionPopupMenu.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 B4 03 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73184_0 {
	meta:
		name = "TCustomizeActionToolBar.CanAutoSize"
		size = 51
		refs = "000f TCustomActionPopupMenu.CanAutoSize 0022 TOrderedList.Count"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F8 8B 0C 24 8B C7 E8 ?? ?? ?? ?? 8B D8 8B B7 8C 03 00 00 85 F6 74 0D 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 02 33 DB 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73186_0 {
	meta:
		name = "TCustomizeActionToolBar.CMItemSelected"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 CC 01 00 00 C3 }
	condition:
		$1
}

rule function_73187_0 {
	meta:
		name = "TCustomizeActionToolBar.GetActionControl"
		size = 53
		refs = "001f TActionClient.GetItems 0026 TActionClients.GetActionClient"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 26 8B C3 8B 10 FF 92 3C 01 00 00 3B F0 7D 18 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 44 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_73188_0 {
	meta:
		name = "TCustomizeActionToolBar.ItemCount"
		size = 27
		refs = "000d TActionClient.GetItems"
	strings:
		$1 = { 8B 90 80 02 00 00 85 D2 74 0E 8B C2 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 C3 33 C0 C3 }
	condition:
		$1
}

rule function_73189_0 {
	meta:
		name = "FindItem"
		size = 123
		refs = "0024 TCustomActionControl.GetActionBar 002f TActionClient.GetItems 0048 TActionClients.GetActionClient 004d TActionClientItem.GetAction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 33 C0 89 45 F8 8B 45 08 8B 40 FC 8B 80 44 03 00 00 8B 80 30 03 00 00 E8 ?? ?? ?? ?? 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B 47 08 8B 70 08 4E 85 F6 7C 31 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A 3B D0 75 0E 8B D3 8B C7 E8 ?? ?? ?? ?? 89 45 F8 EB 04 43 4E 75 D2 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_73190_0 {
	meta:
		name = "TCustomizeActionToolBar.DoItemClicked"
		size = 319
		refs = "002d @IsClass 0041 FindItem 0066 TControl.SetVisible 0073 TCollectionItem.GetIndex 0088 TCustomActionControl.GetActionBar 0093 TActionClient.GetItems 0099 TCollection.Insert 00a6 TActionClientItem.GetAction 00af TActionClientItem.SetAction 00bf TWinControl.AlignControl 0120 TWinControl.GetHandle 0126 PostMessage 0132 TCustomActionMenuBar.DoItemClicked"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 0F 85 CE 00 00 00 8B 45 FC 8B 10 FF 92 EC 01 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 B2 00 00 00 55 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 59 8B F0 85 F6 74 20 0F B6 56 30 80 F2 01 8B C6 8B 08 FF 51 2C 80 7E 30 00 75 53 8B 46 44 33 D2 E8 ?? ?? ?? ?? EB 47 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 44 03 00 00 8B 80 30 03 00 00 E8 ?? ?? ?? ?? 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B F0 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B B0 BC 03 00 00 8B C6 8B 50 50 52 8B 50 54 52 8B D6 8B 48 4C 8B 40 48 92 8B 18 FF 93 A4 00 00 00 33 DB EB 4D 8B 45 FC 8B 80 B8 03 00 00 3B 83 BC 01 00 00 75 30 8B 45 FC 8B 10 FF 92 CC 01 00 00 8B 9B BC 01 00 00 6A 00 6A 00 68 09 B4 00 00 8B 45 FC 8B 80 BC 03 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 0C 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73191_0 {
	meta:
		name = "TCustomizeActionToolBar.GetSubMenuControlClass"
		size = 94
		refs = "000d _Dn_TActionClientItem 0012 @IsClass 001d TActionClientItem.GetParentItem 0043 @AsClass"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3E 8B C6 E8 ?? ?? ?? ?? 3B 83 B0 03 00 00 75 11 8B C3 8B 10 FF 92 EC 01 00 00 8B 55 08 89 02 EB 1E 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 38 01 00 00 8B 55 08 89 02 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73192_0 {
	meta:
		name = "TCustomizeActionToolBar.NewPopup"
		size = 54
		refs = "0007 TCustomActionPopupMenu.NewPopup 0024 GetShadow 002d TCustomActionPopupMenu.SetShadow"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 89 9E AC 02 00 00 8B 03 8B 80 F0 01 00 00 89 86 A8 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73193_0 {
	meta:
		name = "AddSeparator"
		size = 48
		refs = "0002 TActionClients.Add 0009 AddSeparator 0010 TActionClientItem.SetCaption 001a TActionClientItem.SetUsageCount"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 CA FF 8B C3 E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_73194_0 {
	meta:
		name = "AddItems"
		size = 172
		refs = "003e TActionClients.GetActionClient 0043 TActionClientItem.GetAction 0070 TActionClients.Add 008f TActionClient.SetItems 0099 TActionClientItem.SetUsageCount"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F8 89 55 FC 8B F8 8B 45 F8 85 C0 0F 8C 89 00 00 00 40 89 45 EC C7 45 F4 00 00 00 00 C6 45 F3 00 8B 47 08 8B 58 08 4B 85 DB 7C 31 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 3B D0 75 06 C6 45 F3 01 EB 04 46 4B 75 D2 80 7D F3 00 75 30 8B C7 E8 ?? ?? ?? ?? 8B D8 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 08 33 D2 8B C3 E8 ?? ?? ?? ?? 83 CA FF 8B C3 E8 ?? ?? ?? ?? FF 45 F4 FF 4D EC 75 82 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73195_0 {
	meta:
		name = "TCustomizeActionToolBar.DoAddCustomizeItems"
		size = 506
		refs = "0019 TCustomizeActionToolBar.DoAddCustomizeItems 0058 TCollectionItem.GetIndex 006b TCollection.FindItemID 007c TActionClient.GetItems 0092 AddSeparator 009e TActionClients.Add 00ac SAddRemoveButtons 00b1 LoadResString 00bf TActionClientItem.SetCaption 00f2 AddItems 0103 TCustomActionControl.GetActionBar 015d _Dn_TCustomAction 0162 TCustomAction.Create 0172 SResetActionToolBar 0181 TCustomAction.SetCaption 01c3 TActionClientItem.SetAction 01cd TActionClientItem.SetUsageCount 01e7 @UStrArrayClr 01ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 4D E8 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 0F 84 A6 01 00 00 83 BB BC 03 00 00 00 0F 84 99 01 00 00 33 F6 8B 83 BC 03 00 00 8B 90 84 02 00 00 83 BA 98 00 00 00 00 74 22 8B F0 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 86 84 02 00 00 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 58 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 7E 0C 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B0 03 00 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 89 45 F4 8B C6 E8 ?? ?? ?? ?? 89 45 F8 8B C6 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B C8 49 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 83 44 03 00 00 8B 80 30 03 00 00 E8 ?? ?? ?? ?? 8B 80 80 02 00 00 89 45 FC 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B C8 83 E9 02 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 7E 79 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B4 03 00 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 7E 0C 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B8 03 00 00 8B 93 B4 03 00 00 8B C6 E8 ?? ?? ?? ?? 83 CA FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73196_0 {
	meta:
		name = "TCustomizeActionToolBar.SetActionClient"
		size = 45
		refs = "0017 TCustomActionBar.SetActionClient 0022 TActionClient.GetItems"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 E8 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 E8 ?? ?? ?? ?? C6 40 24 00 5E 5B C3 }
	condition:
		$1
}

rule function_73197_0 {
	meta:
		name = "TCustomizeActionToolBar.GetAddRemoveItemClass"
		size = 59
		refs = "0025 ActionBarStyles 002e TActionBarStyleList.GetStyle"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 78 01 00 00 85 C0 74 13 8B C3 8B 10 FF 92 78 01 00 00 8B D3 8B 08 FF 51 10 5B C3 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 10 5B C3 }
	condition:
		$1
}

rule function_73198_0 {
	meta:
		name = "TCustomizeActionLink.SetEnabled"
		size = 23
	strings:
		$1 = { 8B 50 18 8B 52 44 85 D2 74 0C 8B C2 B2 01 8B 08 FF 91 80 00 00 00 C3 }
	condition:
		$1
}

rule function_73200_0 {
	meta:
		name = "TCustomMDIMenuButton.Paint"
		size = 101
		refs = "0011 MouseStyles 0020 ButtonStyles 0035 PushStyles 0056 TCanvas.GetHandle 005c DrawFrameControl"
	strings:
		$1 = { 53 83 C4 F0 8B D8 0F B6 83 D1 01 00 00 0F B7 04 45 ?? ?? ?? ?? 0F B6 93 D8 01 00 00 66 0B 04 55 ?? ?? ?? ?? 80 BB D2 01 00 00 02 0F 94 C2 83 E2 7F 66 0B 04 55 ?? ?? ?? ?? 0F B7 C0 50 6A 01 8D 54 24 08 8B C3 8B 08 FF 51 60 8D 44 24 08 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_73201_0 {
	meta:
		name = "TCustomActionMainMenuBar.Create"
		size = 244
		refs = "0010 @ClassCreate 001d TCustomActionMenuBar.Create 0026 TCustomActionMainMenuBar.Create 0037 TToolWindow.SetEdgeBorders 0040 TToolWindow.SetEdgeInner 0049 TToolWindow.SetEdgeOuter 005b SystemParametersInfo 0064 TControl.SetAlign 0088 TCustomActionBar.SetHorzMargin 0094 TControl.SetHeight 009d TWinControl.SetTabStop 00ae TCustomActionMainMenuBar.MainWndHook 00be Application 00cc SendMessage 00d7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? B2 02 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 45 FC 50 6A 00 68 0A 10 00 00 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 83 7D FC 01 1B D2 42 8B C6 8B 08 FF 91 60 01 00 00 C6 86 88 02 00 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 1D 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 A6 03 00 00 01 89 75 F4 C7 45 F0 ?? ?? ?? ?? 8D 45 F0 50 6A 00 68 20 B0 00 00 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 00 00 00 00 00 01 00 }
	condition:
		$1
}

rule function_73202_0 {
	meta:
		name = "TCustomActionMainMenuBar.Destroy"
		size = 119
		refs = "0006 @BeforeDestruction 001d TObject.Free 003b TCustomActionMainMenuBar.MainWndHook 004a Application 0058 SendMessage 0063 TCustomActionMenuBar.Destroy 006e @ClassDestroy"
	strings:
		$1 = { 53 56 83 C4 F8 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 A0 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 B8 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 89 74 24 04 C7 04 24 ?? ?? ?? ?? 8B C4 50 6A 01 68 20 B0 00 00 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_73203_0 {
	meta:
		name = "TCustomActionMainMenuBar.DrawBackground"
		size = 222
		refs = "000b TStyleManager.GetActiveStyle 001e TCustomStyleServices.GetIsSystemStyle 003a TCanvas.GetHandle 0040 SaveDC 004b TCustomActionMainMenuBar.DrawBackground 007d Rect 00a0 TCustomStyleServices.DrawElement 00c5 RestoreDC 00cb @HandleFinally 00d5 TCustomActionBar.DrawBackground"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 89 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 EB 02 33 C0 84 C0 0F 84 A1 00 00 00 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 4D EC B2 0A 8B 18 FF 93 9C 00 00 00 8B 45 FC 8B 40 54 50 8D 45 DC 50 8B 45 FC 8B 48 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 DC 50 6A 00 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D EC 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73204_0 {
	meta:
		name = "TCustomActionMainMenuBar.Clear"
		size = 90
		refs = "000c TCustomActionMainMenuBar.Clear 0020 @UStrLAsg 0027 TCustomActionBar.Clear 0035 @UStrAsg 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 93 A8 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 83 A8 03 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_73206_0 {
	meta:
		name = "TCustomActionMainMenuBar.WMKeyDown"
		size = 355
		refs = "004e @CallDynaInst 006f TCustomActionMenuBar.GetSelected 0091 TActionClient.GetHasItems 009a KeyboardStateToShiftState 00ae TActionClient.GetItems 00b3 TActionClients.Add 00ba NotifyDesigner 015a TCustomActionMenuBar.WMKeyDown"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 0F B6 87 97 02 00 00 8B D0 80 EA 02 72 0E 80 EA 02 0F 82 EA 00 00 00 E9 31 01 00 00 0F B7 55 04 66 83 EA 25 74 29 66 FF CA 74 39 66 FF CA 74 0A 66 FF CA 74 2F E9 13 01 00 00 84 C0 0F 94 C2 8B C7 66 BE AC FF E8 ?? ?? ?? ?? E9 FE 00 00 00 84 C0 0F 95 C2 8B C7 66 BE AC FF E8 ?? ?? ?? ?? E9 E9 00 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 84 DA 00 00 00 8B C7 8B 10 FF 92 2C 01 00 00 84 C0 74 35 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 25 E8 ?? ?? ?? ?? A8 04 0F 84 B8 00 00 00 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 83 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 48 44 8B D7 8B C7 8B 18 FF 93 98 01 00 00 8B F0 8B C6 8B 10 FF 92 70 01 00 00 8B 40 44 B2 01 8B 08 FF 91 04 01 00 00 66 C7 45 04 00 00 EB 55 0F B7 45 04 66 83 E8 25 74 35 66 83 E8 02 75 3C 8B C7 E8 ?? ?? ?? ?? 85 C0 74 31 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B C7 E8 ?? ?? ?? ?? 8B 40 44 8B 10 FF 92 0C 01 00 00 EB 0D B2 01 8B C7 66 BE AC FF E8 ?? ?? ?? ?? 8B D5 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73208_0 {
	meta:
		name = "TCustomActionMainMenuBar.CreateControl"
		size = 55
		refs = "000c TCustomActionMenuBar.CreateControl 0023 @AsClass 002d TCustomActionControl.SetSpacing"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B D6 8B C3 8B 08 FF 91 38 01 00 00 8B D0 8B C7 E8 ?? ?? ?? ?? BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73209_0 {
	meta:
		name = "TCustomActionMainMenuBar.DesignWndProc"
		size = 96
		refs = "000b TCustomActionBar.DesignWndProc 004e ActionBarDesigner"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 4A 81 3B 00 01 00 00 75 42 8B 53 04 83 EA 1B 74 08 83 C2 F6 83 EA 04 73 32 83 7B 04 1B 75 2A 80 BE 22 03 00 00 00 74 21 8B C6 8B 10 FF 92 CC 01 00 00 80 BE 94 02 00 00 00 74 0E A1 ?? ?? ?? ?? 8B 00 8B D6 8B 08 FF 51 20 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_73210_0 {
	meta:
		name = "TCustomActionMainMenuBar.DoneMenuLoop"
		size = 51
		refs = "0007 TCustomActionMenuBar.DoneMenuLoop 001a SystemParametersInfo"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 8D 44 24 04 50 6A 00 68 0A 10 00 00 E8 ?? ?? ?? ?? 83 3C 24 00 75 0C 33 D2 8B C3 8B 08 FF 91 60 01 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_73211_0 {
	meta:
		name = "TCustomActionMainMenuBar.GetActiveMDIChild"
		size = 197
		refs = "003a TCustomActionMainMenuBar.GetActiveMDIChild 0054 TCustomForm.get_MDIChildCount 0067 TCustomForm.get_MDIChildren 0087 TCustomActionMainMenuBar.MDIChildMaximized 009b TCustomActionMainMenuBar.MDIChildRestored 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC 80 B8 A4 03 00 00 00 0F 85 A2 00 00 00 8B 45 FC 83 B8 28 03 00 00 00 0F 84 92 00 00 00 8B 45 FC C6 80 A4 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B B8 28 03 00 00 C6 45 FB 00 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 32 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 80 B8 A2 02 00 00 02 75 19 C6 45 FB 01 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? EB 04 43 4E 75 D1 80 7D FB 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 A4 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_73212_0 {
	meta:
		name = "TCustomActionMainMenuBar.WMNCHitTest"
		size = 39
		refs = "000b TWinControl.WMNCHitTest"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 2C 01 00 00 84 C0 74 07 C7 46 0C 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_73213_0 {
	meta:
		name = "TCustomActionMainMenuBar.ProcessMouseMsg"
		size = 95
		refs = "000b TCustomActionMenuBar.ProcessMouseMsg 0023 TCustomActionMenuBar.GetMouseHoverItem 003e @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 2D 01 02 00 00 74 05 83 E8 03 75 3E 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 19 3B 58 04 75 2C 80 B8 DC 01 00 00 00 74 23 66 BE EC FF E8 ?? ?? ?? ?? EB 18 8B C3 8B 10 FF 92 2C 01 00 00 84 C0 75 0A 8B C3 8B 10 FF 92 CC 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_73214_0 {
	meta:
		name = "TCustomActionMainMenuBar.CMWininichange"
		size = 40
		refs = "0006 TCustomActionBar.CMWinINIChange 0012 Screen"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 74 A1 ?? ?? ?? ?? 8B 00 8B 90 88 00 00 00 8B 46 6C 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_73215_0 {
	meta:
		name = "TCustomActionMainMenuBar.SetDesignMode"
		size = 39
		refs = "0017 TCustomActionMenuBar.ClearSubMenus 0020 TCustomActionMenuBar.SetDesignMode"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 92 2C 01 00 00 3A D8 74 07 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73216_0 {
	meta:
		name = "TCustomActionMainMenuBar.SetInActive"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 A5 03 00 00 74 10 88 96 A5 03 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_73217_0 {
	meta:
		name = "TCustomActionMainMenuBar.CMEnabledchanged"
		size = 31
		refs = "0006 TCustomActionBar.CMEnabledchanged 0019 TCustomActionMainMenuBar.SetInActive"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 68 8B D0 80 F2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73218_0 {
	meta:
		name = "TCustomActionMainMenuBar.NewPopup"
		size = 32
		refs = "0007 TCustomActionMenuBar.NewPopup 0017 TCustomActionPopupMenu.SetShadow"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 0F B6 93 A6 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73219_0 {
	meta:
		name = "TCustomActionMainMenuBar.Notification"
		size = 154
		refs = "0012 TCustomActionMainMenuBar.Notification 0023 TCustomActionMenuBar.Notification 0030 _Dn_TCustomButtonControl 0035 @IsClass 0050 TActionClientItem.GetCaption 005e @UStrEqual 006b @UStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 4B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3A 83 BE BC 01 00 00 00 74 31 8D 55 FC 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 97 A8 03 00 00 E8 ?? ?? ?? ?? 75 13 8D 87 A8 03 00 00 E8 ?? ?? ?? ?? 33 C0 89 87 BC 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73220_0 {
	meta:
		name = "TCustomActionMainMenuBar.SetupWindowMenu"
		size = 43
		refs = "0015 TCustomActionBar.FindItemCaption"
	strings:
		$1 = { 53 8B D8 83 BB 80 02 00 00 00 74 1D 8B 93 A8 03 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0C 8B 80 BC 01 00 00 89 83 BC 03 00 00 5B C3 }
	condition:
		$1
}

rule function_73221_0 {
	meta:
		name = "TCustomActionMainMenuBar.SetWindowMenu"
		size = 50
		refs = "000f @UStrEqual 001e @UStrAsg 002b TCustomActionMainMenuBar.SetupWindowMenu"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 A8 03 00 00 8B D6 E8 ?? ?? ?? ?? 74 1A 8D 83 A8 03 00 00 8B D6 E8 ?? ?? ?? ?? F6 43 1C 01 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73222_0 {
	meta:
		name = "FindChildAction"
		size = 116
		refs = "001b TCustomActionList.GetActionCount 0038 TCustomActionList.GetAction 0059 _DV_TInternalMDIAction 005e @AsClass"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 33 C0 89 45 FC 8B 45 08 8B 40 FC 8B 80 A0 03 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 45 46 33 DB 8B 45 08 8B 40 FC 8B 80 A0 03 00 00 8B D3 E8 ?? ?? ?? ?? 3B B8 A8 00 00 00 75 23 8B 45 08 8B 40 FC 8B 80 A0 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC EB 04 43 4E 75 BE 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73223_0 {
	meta:
		name = "TCustomActionMainMenuBar.RefreshMDIMenu"
		size = 548
		refs = "0018 TCustomActionMainMenuBar.RefreshMDIMenu 0069 TCustomActionMainMenuBar.GetActiveMDIChild 007f _Dn_TActionList 0084 TCustomActionList.Create 009b TActionClient.GetItems 00a0 TActionClients.Add 00b7 TActionClientItem.SetCaption 00c7 TCustomForm.get_MDIChildCount 00e0 TObject.Free 0100 TCustomForm.get_MDIChildren 0105 FindChildAction 011d TControl.GetText 0127 TCustomAction.SetCaption 013c _DV_TInternalMDIAction 0141 TWindowAction.Create 015a TContainedAction.SetActionList 0163 TCustomAction.SetGroupIndex 0175 TWindowAction.SetForm 01bf TActionClientItem.SetAction 01cd TActionClientItem.SetUsageCount 01da TCustomAction.SetChecked 01fe @UStrArrayClr 0204 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 28 03 00 00 F6 43 1C 08 0F 85 B3 01 00 00 80 BB A6 02 00 00 02 0F 85 A6 01 00 00 8B 45 FC 8B 10 FF 92 2C 01 00 00 84 C0 0F 85 93 01 00 00 8B 45 FC 83 B8 BC 03 00 00 00 0F 84 83 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 A0 03 00 00 00 75 42 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A0 03 00 00 8B 45 FC 8B 80 BC 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 B8 03 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B B8 28 03 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 75 15 8B 45 FC 05 B8 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 48 85 C0 0F 8C F4 00 00 00 40 89 45 F8 33 F6 55 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B D8 85 DB 74 20 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? E9 A1 00 00 00 8B 45 FC 8B 88 A0 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 C6 83 B8 00 00 00 00 8B 45 FC 8B 90 A0 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B0 00 00 00 8B 45 FC 89 83 B4 00 00 00 8B D3 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 83 CA FF 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 85 F6 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 46 FF 4D F8 0F 85 12 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_73224_0 {
	meta:
		name = "SetupMDIButton"
		size = 492
		refs = "0010 _DV_TCustomMDIMenuButton 0015 TSpeedButton.Create 0020 TControl.SetVisible 0044 TControl.SetTop 004b GetSystemMetrics 0054 TControl.SetWidth 0064 TControl.SetHeight 0077 _DV_TInternalMDIAction 007c TWindowAction.Create 0085 TControl.SetAction 00a8 SetupMDIButton 00af TControl.SetAnchors 00ea TControl.SetLeft 01a4 @AsClass"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 45 08 8B 48 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 50 FC 8B C6 8B 08 FF 91 84 00 00 00 8B 45 08 8B 40 FC 8B 90 C4 02 00 00 42 8B C6 E8 ?? ?? ?? ?? 6A 36 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 6A 37 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 88 9E D8 01 00 00 8B 45 08 8B 48 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 0F B6 80 97 02 00 00 2C 01 72 0B 0F 84 9B 00 00 00 E9 F1 00 00 00 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 86 D8 01 00 00 2C 01 72 0B 74 33 FE C8 74 55 E9 CD 00 00 00 8B 45 08 8B 40 FC 8B 50 50 8B 46 50 8D 04 40 2B D0 8B 45 08 8B 40 FC 2B 90 C4 02 00 00 4A 8B C6 E8 ?? ?? ?? ?? E9 A3 00 00 00 8B 45 08 8B 40 FC 8B 50 50 8B 46 50 03 C0 2B D0 8B 45 08 8B 40 FC 2B 90 C4 02 00 00 4A 8B C6 E8 ?? ?? ?? ?? EB 7D 8B 45 08 8B 40 FC 8B 50 50 2B 56 50 8B 45 08 8B 40 FC 2B 90 C4 02 00 00 4A 8B C6 E8 ?? ?? ?? ?? EB 5B 0F B6 86 D8 01 00 00 2C 01 72 08 74 21 FE C8 74 36 EB 48 8B 56 50 03 D2 8B 45 08 8B 40 FC 03 90 C4 02 00 00 42 8B C6 E8 ?? ?? ?? ?? EB 2D 8B 56 50 8B 45 08 8B 40 FC 03 90 C4 02 00 00 42 8B C6 E8 ?? ?? ?? ?? EB 14 8B 45 08 8B 40 FC 8B 90 C4 02 00 00 42 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 58 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 96 D8 01 00 00 80 EA 01 72 08 74 0F FE CA 74 14 EB 19 C6 80 B8 00 00 00 03 EB 10 C6 80 B8 00 00 00 02 EB 07 C6 80 B8 00 00 00 01 8B 45 08 8B 40 FC B2 01 E8 ?? ?? ?? ?? 8B C6 5E 5B 5D C3 06 00 00 00 }
	condition:
		$1
}

rule function_73225_0 {
	meta:
		name = "TCustomActionMainMenuBar.MDIChildMaximized"
		size = 164
		refs = "0024 SetupMDIButton 0067 TWindowAction.SetForm"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC F6 43 1C 08 0F 85 8C 00 00 00 8B 45 FC 83 B8 B0 03 00 00 00 75 36 55 33 C0 E8 ?? ?? ?? ?? 59 8B 55 FC 89 82 AC 03 00 00 55 B0 01 E8 ?? ?? ?? ?? 59 8B 55 FC 89 82 B0 03 00 00 55 B0 02 E8 ?? ?? ?? ?? 59 8B 55 FC 89 82 B4 03 00 00 8B 45 FC 8B 80 AC 03 00 00 8B 10 FF 52 58 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 03 00 00 8B 10 FF 52 58 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B4 03 00 00 8B 10 FF 52 58 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 5B 59 5D C3 }
	condition:
		$1
}

rule function_73226_0 {
	meta:
		name = "TCustomActionMainMenuBar.MDIChildRestored"
		size = 62
		refs = "0012 TObject.Free"
	strings:
		$1 = { 53 8B D8 8D 83 AC 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 83 B0 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 83 B4 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73227_0 {
	meta:
		name = "TCustomActionMainMenuBar.CustomAlignPosition"
		size = 131
		refs = "0050 TControl.GetBoundsRect 0076 TCustomActionDockBar.CustomAlignPosition"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B 75 08 8D 7D E8 A5 A5 A5 A5 89 4D F8 89 55 FC 8B D8 8B 75 0C 8B BB AC 03 00 00 85 FF 74 34 8B 46 08 3B 47 48 7E 2C 0F B6 83 97 02 00 00 2C 01 72 04 74 0D EB 1D 8B 47 48 83 E8 02 89 46 08 EB 12 8D 55 D8 8B C7 E8 ?? ?? ?? ?? 8B 45 E0 83 C0 02 89 06 8B 45 18 50 8B 45 14 50 8B 45 10 50 56 8D 45 E8 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_73228_0 {
	meta:
		name = "TCustomActionMainMenuBar.CreateControls"
		size = 47
		refs = "0006 TCustomActionDockBar.CreateControls 0029 TCustomActionMainMenuBar.SetupWindowMenu"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB 80 02 00 00 00 74 1A 8B 83 A8 03 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73229_0 {
	meta:
		name = "TCustomActionMainMenuBar.WMSysCommand"
		size = 271
		refs = "000c GetParentForm 0012 Screen 001e Application 0084 GetCapture 009a TCustomActionBar.FindAccelItem 00c4 TCustomActionBar.FindFirstVisibleItem 00f3 TWinControl.GetHandle 00f9 PostMessage"
	strings:
		$1 = { 56 57 55 8B FA 8B F0 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 3B 42 78 74 14 A1 ?? ?? ?? ?? 8B 00 83 B8 C8 00 00 00 00 0F 85 DA 00 00 00 80 BE 22 03 00 00 00 0F 85 CD 00 00 00 8B C6 8B 10 FF 52 68 84 C0 0F 84 BE 00 00 00 80 BE F2 01 00 00 00 0F 84 B1 00 00 00 8B 47 04 25 F0 FF 00 00 3D 00 F1 00 00 0F 85 9E 00 00 00 66 83 7F 08 20 0F 84 93 00 00 00 66 83 7F 08 2D 0F 84 88 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 7F 0F B7 47 08 66 85 C0 74 23 8B D0 8B C6 E8 ?? ?? ?? ?? 8B E8 85 ED 74 59 8B 45 44 8B 10 FF 92 0C 01 00 00 C7 47 0C 01 00 00 00 EB 45 80 BE 78 03 00 00 00 75 3C 8B C6 E8 ?? ?? ?? ?? 8B E8 B2 01 8B C6 8B 08 FF 91 60 01 00 00 85 ED 74 0D 8B 45 44 B2 01 8B 08 FF 91 04 01 00 00 6A 00 6A 00 68 10 B4 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 86 78 03 00 00 00 C7 47 0C 01 00 00 00 5D 5F 5E C3 }
	condition:
		$1
}

rule function_73230_0 {
	meta:
		name = "TCustomActionMainMenuBar.WMSysKeyDown"
		size = 20
		refs = "000f TCustomActionMenuBar.WMSysKeyDown"
	strings:
		$1 = { 66 83 7A 04 12 0F 94 C1 88 88 78 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73231_0 {
	meta:
		name = "TCustomActionMainMenuBar.WMSysKeyUp"
		size = 20
		refs = "000f TWinControl.WMSysKeyUp"
	strings:
		$1 = { 66 83 7A 04 12 0F 94 C1 88 88 78 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73232_0 {
	meta:
		name = "TCustomActionMainMenuBar.MainWndHook"
		size = 84
		refs = "0036 ActionBarDesigner 004b TCustomActionMainMenuBar.SetInActive"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 06 05 00 50 FF FF 83 E8 02 73 3D C6 83 78 03 00 00 00 80 BB 22 03 00 00 00 74 0A 8B C3 8B 10 FF 92 CC 01 00 00 80 BB 94 02 00 00 00 74 0A A1 ?? ?? ?? ?? 83 38 00 75 10 81 3E 01 B0 00 00 0F 94 C2 8B C3 E8 ?? ?? ?? ?? 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_73233_0 {
	meta:
		name = "TCustomActionMainMenuBar.SetShadows"
		size = 33
		refs = "001c TObject.Free"
	strings:
		$1 = { 3A 90 A6 03 00 00 74 18 88 90 A6 03 00 00 05 74 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73234_0 {
	meta:
		name = "TCustomActionMainMenuBar.TrackMenu"
		size = 176
		refs = "000d TCustomActionMainMenuBar.RefreshMDIMenu 0017 _DV_TActionMenuFreeNotify 001c TActionMenuFreeNotify.Create 0027 TCustomActionMainMenuBar.TrackMenu 0043 TCustomActionMenuBar.TrackMenu 006e TObject.Free 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 80 78 38 00 75 2A 8B 45 FC 05 A0 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 05 B8 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_73235_0 {
	meta:
		name = "TCustomMenuItem.Create"
		size = 168
		refs = "0011 @ClassCreate 0022 TCustomActionControl.Create 0027 TCustomMenuItem.Create 0046 Rect 0050 TCustomActionControl.SetMargins 005c TCustomActionControl.SetSpacing 0064 _DV_TCustomActionMenuBar 0069 @IsClass 007a GetSystemMetrics 008b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 47 58 89 47 58 6A 00 8D 45 F0 50 B9 0A 00 00 00 33 D2 B8 02 00 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B C7 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 89 B7 FC 01 00 00 6A 0F E8 ?? ?? ?? ?? 89 87 14 02 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C3 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_73236_0 {
	meta:
		name = "TCustomMenuButton.Destroy"
		size = 77
		refs = "0004 @BeforeDestruction 001b _DV_TCustomActionMenuBar 0020 @IsClass 003a TCustomActionControl.Destroy 0045 @ClassDestroy"
		altNames = "TCustomMenuItem.Destroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B B7 BC 01 00 00 85 F6 74 1D 8B 46 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B 46 18 8B 10 FF 92 CC 01 00 00 B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73237_0 {
	meta:
		name = "TCustomMenuItem.DrawSubMenuGlyph"
		size = 227
		refs = "0018 TActionClient.GetHasItems 002b TActionClient.GetItems 0030 TActionClients.VisibleCount 004e TCustomActionControl.GetActionBar 0053 TCustomActionBar.GetColorMap 005e TPen.SetColor 0088 TBrush.SetColor 00da DrawArrow"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B B3 BC 01 00 00 85 F6 0F 84 C9 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 BA 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 A2 00 00 00 8B B3 B0 01 00 00 80 BB DC 01 00 00 00 74 19 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 6C 8B 46 44 E8 ?? ?? ?? ?? EB 17 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 58 8B 46 44 E8 ?? ?? ?? ?? 8B 46 44 8B 40 10 8B 50 18 8B 46 48 E8 ?? ?? ?? ?? 80 BB DC 01 00 00 00 74 1C 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 6C 8B 83 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 43 50 83 E8 0B 89 04 24 8B 43 54 D1 F8 79 03 83 D0 00 83 E8 03 89 44 24 04 6A 03 8D 4C 24 04 B2 01 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_73238_0 {
	meta:
		name = "TCustomMenuItem.Paint"
		size = 94
		refs = "0006 TCustomActionControl.Paint 0011 TActionClient.GetHasItems 0026 TCustomActionControl.GetActionBar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C3 8B 10 FF 92 14 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 74 1C 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 74 13 80 BB DC 01 00 00 00 75 0A 8B C3 8B 10 FF 92 18 01 00 00 5B C3 }
	condition:
		$1
}

rule function_73239_0 {
	meta:
		name = "TCustomMenuItem.DrawUnusedEdges"
		size = 201
		refs = "001d TCustomActionControl.GetActionBar 0022 TCustomActionBar.GetColorMap 0033 TPen.SetColor 0072 TCustomActionBarColorMap.GetUnusedColor"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B D4 8B C3 8B 08 FF 51 60 F6 83 F8 01 00 00 02 74 42 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 60 8B 83 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 74 24 04 8B CE 8B 14 24 8B 83 B0 01 00 00 8B 38 FF 57 64 8B CE 8B 54 24 08 8B 83 B0 01 00 00 8B 30 FF 56 60 F6 83 F8 01 00 00 08 74 47 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 74 24 0C 4E 8B CE 8B 14 24 8B 83 B0 01 00 00 8B 38 FF 57 64 8B CE 8B 54 24 08 8B 83 B0 01 00 00 8B 30 FF 56 60 F6 83 F8 01 00 00 04 74 0D F6 83 F8 01 00 00 02 74 04 FF 44 24 04 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73240_0 {
	meta:
		name = "TCustomMenuItem.Click"
		size = 54
	strings:
		$1 = { 8B 90 FC 01 00 00 8B 92 44 03 00 00 8B 92 28 03 00 00 85 D2 74 1F 8B 80 FC 01 00 00 8B 80 44 03 00 00 80 B8 71 03 00 00 00 74 0A 8B C2 8B 10 FF 92 F4 00 00 00 C3 }
	condition:
		$1
}

rule function_73241_0 {
	meta:
		name = "TCustomMenuItem.Keyed"
		size = 105
		refs = "0020 _Dn_TCustomAction 0025 @IsClass 0046 TCustomAction.SetChecked 005c TWinControl.GetHandle 0062 PostMessage"
	strings:
		$1 = { 53 56 8B D8 B2 01 8B C3 8B 08 FF 91 04 01 00 00 C6 83 00 02 00 00 00 8B C3 8B 10 FF 52 58 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B C3 8B 10 FF 52 58 83 78 74 00 7E 10 80 B8 9D 00 00 00 00 75 07 B2 01 E8 ?? ?? ?? ?? 8B 73 38 85 F6 74 15 53 6A 00 68 04 B4 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73242_0 {
	meta:
		name = "TCustomMenuItem.SetEdges"
		size = 146
		refs = "005e TCustomActionControl.GetActionBar 0063 TCustomActionBar.FindLastVisibleItem 0080 TControl.SetHeight"
	strings:
		$1 = { 53 56 51 88 14 24 8B D8 0F B6 04 24 3A 83 F8 01 00 00 74 7A 8B 73 54 F6 04 24 02 74 0C F6 83 F8 01 00 00 02 75 03 46 EB 10 F6 04 24 02 75 0A F6 83 F8 01 00 00 02 74 01 4E F6 04 24 08 74 0C F6 83 F8 01 00 00 08 75 03 46 EB 10 F6 04 24 08 75 0A F6 83 F8 01 00 00 08 74 01 4E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 06 3B 58 44 75 01 46 0F B6 04 24 88 83 F8 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_73243_0 {
	meta:
		name = "TCustomMenuItem.CMMouseEnter"
		size = 96
		refs = "0006 TControl.CMMouseEnter 000d TControl.GetDragMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3C 01 74 49 C6 83 00 02 00 00 01 B2 01 8B C3 8B 08 FF 91 04 01 00 00 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 75 28 8B C3 8B 10 FF 52 68 84 C0 75 1D 83 BB FC 01 00 00 00 74 14 8B 83 FC 01 00 00 8B 80 44 03 00 00 33 D2 89 90 18 03 00 00 5B C3 }
	condition:
		$1
}

rule function_73244_0 {
	meta:
		name = "TCustomMenuItem.CMTextchanged"
		size = 108
		refs = "000e TCustomMenuItem.CMTextchanged 001b TCustomActionControl.CMTextChanged 0025 TControl.GetText 0030 StripHotkey 003e @UStrAsg 0053 @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 83 18 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_73245_0 {
	meta:
		name = "TCustomMenuItem.SetSelected"
		size = 125
		refs = "0018 TActionClientItem.GetParentItem 001e _Dn_TActionClientItem 0023 @IsClass 003b _DV_TCustomMenuItem 0065 TCustomActionControl.SetSelected 0076 TCustomActionMenuBar.DoItemSelected"
	strings:
		$1 = { 53 56 8B DA 8B F0 84 DB 75 07 C6 86 00 02 00 00 00 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 8B 40 44 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 8B 40 44 B2 01 8B 08 FF 91 04 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 86 FC 01 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73246_0 {
	meta:
		name = "TCustomMenuItem.DragDrop"
		size = 86
		refs = "000d TCustomActionControl.DragDrop 0014 TCustomActionControl.GetActionBar 001a _DV_TCustomActionMenuBar 001f @IsClass 003f Application 004d SetFocus"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8B C3 E8 ?? ?? ?? ?? 8B 90 44 03 00 00 85 D2 74 19 83 7A 38 00 74 13 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73247_0 {
	meta:
		name = "TCustomMenuItem.DragOver"
		size = 233
		refs = "0017 _Dn_TActionItemDragObject 001c @IsClass 003a _DV_TCustomActionMenuBar 00a5 TCustomActionControl.DragOver 00b1 TCustomActionControl.GetActionBar"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F0 8B 7D 08 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6F 8B 43 48 3B 86 BC 01 00 00 75 2F 8B 86 BC 01 00 00 8B 40 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B 86 BC 01 00 00 8B 40 18 89 45 F8 8B 45 F8 8B 10 FF 92 CC 01 00 00 8B 86 FC 01 00 00 8B 80 44 03 00 00 8B 80 18 03 00 00 85 C0 74 1F 8B 80 BC 01 00 00 3B 43 48 75 14 8B 86 FC 01 00 00 8B 80 44 03 00 00 33 D2 89 90 18 03 00 00 8B 45 10 50 0F B6 45 0C 50 57 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 80 3F 00 74 32 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8B C6 E8 ?? ?? ?? ?? 80 B8 22 03 00 00 00 74 0C B2 01 8B C6 8B 08 FF 91 04 01 00 00 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_73248_0 {
	meta:
		name = "TCustomMenuItem.CalcBounds"
		size = 512
		refs = "0014 TCustomMenuItem.CalcBounds 0048 TFont.SetStyle 004f TCustomActionControl.CalcBounds 00ef OffsetRect 0111 Rect 013e TCanvas.GetHandle 0152 @UStrLAsg 017d @UStrToPWChar 0187 DrawText 01e8 @UStrClr 01ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 BC 01 00 00 85 C0 74 24 80 78 6C 00 74 1E 8B 73 6C 8B 46 10 0F B6 40 21 88 45 F3 0F B6 15 ?? ?? ?? ?? 0A 55 F3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 8B 08 FF 91 E0 00 00 00 8B B3 14 02 00 00 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 74 14 8B 83 14 02 00 00 B9 03 00 00 00 99 F7 F9 8B F0 03 F6 EB 0D 8B 45 F8 83 F8 10 7E 05 8B F0 83 C6 04 83 BB BC 01 00 00 00 0F 84 35 01 00 00 8B 45 F4 83 F8 10 7F 07 BF 18 00 00 00 EB 05 8B F8 83 C7 06 56 57 8D B3 E4 01 00 00 8D 7D D0 A5 A5 A5 A5 5F 5E 8B CE D1 F9 79 03 83 D1 00 8B 83 F0 01 00 00 D1 F8 79 03 83 D0 00 2B C8 49 BA 18 00 00 00 2B 93 E4 01 00 00 8D 45 D0 E8 ?? ?? ?? ?? 56 57 8D 75 D0 8D BB E4 01 00 00 A5 A5 A5 A5 5F 5E 6A 00 8D 45 C0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 56 57 8D 75 C0 8D BB 04 02 00 00 A5 A5 A5 A5 5F 5E 8B 83 BC 01 00 00 66 83 78 4C 00 0F 84 82 00 00 00 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 89 45 EC 8D 45 FC 8B 93 BC 01 00 00 8B 52 58 E8 ?? ?? ?? ?? C7 45 E8 FF FF FF FF 8D 83 04 02 00 00 89 45 E4 C7 45 E0 00 04 00 00 8B 45 E0 50 8B 45 E4 50 8B 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 EC 50 E8 ?? ?? ?? ?? 8B 83 E8 01 00 00 89 83 08 02 00 00 8B 83 F0 01 00 00 89 83 10 02 00 00 8B 83 EC 01 00 00 03 83 0C 02 00 00 03 C7 03 83 E0 01 00 00 EB 0C 8B 83 EC 01 00 00 03 83 E4 01 00 00 50 56 8B 4B 4C 8B 53 48 8B C3 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_73249_0 {
	meta:
		name = "TCustomMenuItem.CalcLayout"
		size = 90
		refs = "0009 TCustomActionControl.CalcLayout"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 54 24 08 8B C3 8B 08 FF 91 E0 00 00 00 8B 44 24 0C D1 F8 79 03 83 D0 00 50 8B 43 54 D1 F8 79 03 83 D0 00 5A 2B C2 40 8B 93 CC 01 00 00 89 14 24 89 44 24 04 8B 04 24 89 83 C4 01 00 00 8B 44 24 04 89 83 C8 01 00 00 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_73251_0 {
	meta:
		name = "TCustomMenuItem.DrawShadowedText"
		size = 272
		refs = "001d @UStrAddRef 0025 TCustomMenuItem.DrawShadowedText 0034 _Dn_TCustomActionBar 0039 @IsClass 0044 TCustomActionControl.GetActionBar 005b @UStrLAsg 0070 TCustomActionBar.GetColorMap 0088 TCustomActionControl.DrawShadowedText 00a2 TControl.DrawTextBiDiModeFlags 00cb OffsetRect 00fb @UStrClr 0101 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 8B 7D 08 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B C3 E8 ?? ?? ?? ?? 80 B8 B8 02 00 00 00 75 0E 8D 45 10 8B 93 18 02 00 00 E8 ?? ?? ?? ?? 80 BB DC 01 00 00 00 74 0F 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 78 5C 8B 45 10 50 8B 45 0C 50 57 8B CE 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 74 50 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 56 57 8D B3 04 02 00 00 8D 7D E0 A5 A5 A5 A5 5F 5E 8B 53 50 83 EA 15 2B 93 0C 02 00 00 8D 45 E0 33 C9 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 8B 40 58 50 8B 45 0C 50 57 8B CE 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_73252_0 {
	meta:
		name = "TCustomMenuItem.DrawText"
		size = 225
		refs = "0013 @UStrAddRef 001b TCustomMenuItem.DrawText 002a _Dn_TCustomActionBar 002f @IsClass 003a TCustomActionControl.GetActionBar 0051 @UStrLAsg 0060 TCustomActionControl.DrawText 007a TControl.DrawTextBiDiModeFlags 00a1 OffsetRect 00cc @UStrClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8B FA 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B C3 E8 ?? ?? ?? ?? 80 B8 B8 02 00 00 00 75 0E 8D 45 08 8B 93 18 02 00 00 E8 ?? ?? ?? ?? 8B 45 08 50 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 74 49 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 06 56 8D B3 04 02 00 00 8D 7D F0 A5 A5 A5 A5 5E 8B 53 50 83 EA 15 2B 93 0C 02 00 00 8D 45 F0 33 C9 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 8B 40 58 50 8B CE 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_73253_0 {
	meta:
		name = "TCustomMenuItem.PositionChanged"
		size = 55
		refs = "0007 TCustomActionControl.PositionChanged"
	strings:
		$1 = { 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 BC 01 00 00 85 C0 74 04 C6 40 40 01 8B BE FC 01 00 00 80 BF 21 03 00 00 00 75 0C B2 01 8B C7 8B 08 FF 91 B4 01 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_73254_0 {
	meta:
		name = "TCustomMenuItem.DoDragDrop"
		size = 560
		refs = "001e TCollectionItem.GetIndex 002c _Dn_TCategoryDragObject 0031 @IsClass 0041 TCustomActionControl.GetActionBar 005b TActionClient.GetItems 006d @AsClass 0089 @CallDynaInst 00b0 TCustomMenuItem.DoDragDrop 00d1 TActionClientItem.SetUsageCount 00df TActionClientItem.SetCaption 00fb TActionClientItem.SetLastSession 011a TActionDragObject.GetActionCount 0160 TActionDragObject.GetAction 0169 TActionClientItem.SetAction 01ca @HandleFinally 01fe TWinControl.EnableAlign 020b NotifyDesigner 0223 TCustomActionControl.DoDragDrop"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8B DA 89 45 FC 8B 45 FC 8B 80 BC 01 00 00 85 C0 74 09 E8 ?? ?? ?? ?? 8B F8 EB 02 33 FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 DA 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 66 FF 80 B4 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 98 84 02 00 00 8B C3 66 BE ED FF E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B C8 B2 01 58 FF 50 1C 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 50 50 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 80 84 02 00 00 8B 40 74 8B 50 28 8B 45 F8 E8 ?? ?? ?? ?? 8B D7 8B 45 F8 8B 08 FF 51 14 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 52 20 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 5B 47 C7 45 F4 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 98 84 02 00 00 8B C3 66 BE ED FF E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 B2 01 58 FF 50 1C 8B D8 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 60 8B C3 E8 ?? ?? ?? ?? FF 45 F4 4F 75 AD 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 91 68 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 9F C2 8B 45 F8 8B 40 44 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 24 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 8B 45 08 50 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_73255_0 {
	meta:
		name = "TCustomMenuItem.MouseUp"
		size = 139
		refs = "001a TControl.MouseUp 0037 _Dn_TCustomAction 003c @IsClass 005d TCustomAction.SetChecked 007b TWinControl.GetHandle 0081 PostMessage"
	strings:
		$1 = { 55 8B EC 51 53 66 89 4D FE 8B D8 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 85 C0 74 06 83 78 18 00 75 57 8B C3 8B 10 FF 52 58 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B C3 8B 10 FF 52 58 83 78 74 00 7E 10 80 B8 9D 00 00 00 00 75 07 B2 01 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 75 16 53 6A 00 68 03 B4 00 00 8B 43 38 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_73256_0 {
	meta:
		name = "TCustomMenuItem.MouseMove"
		size = 26
		refs = "0011 TControl.MouseMove"
	strings:
		$1 = { 55 8B EC 51 66 89 55 FE 8B 55 08 52 0F B7 55 FE E8 ?? ?? ?? ?? 59 5D C2 04 00 }
	condition:
		$1
}

rule function_73257_0 {
	meta:
		name = "TCustomMenuButton.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TCustomButtonControl.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 00 02 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73259_0 {
	meta:
		name = "TCustomMenuButton.BeginAutoDrag"
		size = 32
		refs = "0012 @CallDynaInst 0019 TCustomActionControl.BeginAutoDrag"
	strings:
		$1 = { 53 56 8B D8 C6 83 01 02 00 00 01 8B C3 66 BE EC FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73260_0 {
	meta:
		name = "TCustomMenuButton.Click"
		size = 221
		refs = "0011 TActionClientItem.GetAction 0028 TCustomActionControl.GetActionBar 003b TCustomActionControl.ResetUsageData 0044 TCustomButtonControl.Click 0061 TCustomMenuButton.GetMenu 00d0 TWinControl.GetHandle 00d6 PostMessage"
	strings:
		$1 = { 53 56 8B F0 8B 9E BC 01 00 00 85 DB 74 33 8B C3 E8 ?? ?? ?? ?? 85 C0 74 28 B2 01 8B C6 8B 08 FF 91 04 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 10 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 80 BE 01 02 00 00 00 0F 84 85 00 00 00 83 BE BC 01 00 00 00 74 7C 8B C6 E8 ?? ?? ?? ?? 80 B8 22 03 00 00 00 74 31 80 BE DC 01 00 00 00 74 15 80 BE DC 01 00 00 00 74 1F 8B 86 BC 01 00 00 83 78 18 00 75 13 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 91 9C 01 00 00 EB 3B 80 BE 00 02 00 00 00 74 18 C6 86 00 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 CC 01 00 00 EB 1A 56 6A 00 68 03 B4 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73261_0 {
	meta:
		name = "TCustomMenuButton.CMMouseEnter"
		size = 92
		refs = "0007 TCustomButtonControl.CMMouseEnter 000e TCustomMenuButton.GetMenu 001e TCustomActionControl.GetActionBar 0055 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 B8 23 03 00 00 00 75 3E 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 2B 80 BB DC 01 00 00 00 75 22 8B C3 E8 ?? ?? ?? ?? 80 B8 22 03 00 00 00 74 12 C6 83 01 02 00 00 01 8B C3 66 BE EC FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73262_0 {
	meta:
		name = "TCustomMenuButton.DoDragDrop"
		size = 119
		refs = "0010 _Dn_TCategoryDragObject 0015 @IsClass 0027 TCustomActionControl.GetActionBar 0047 TCustomActionControl.DoDragDrop 0054 _DV_TCustomActionMenuBar"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B 46 4C 03 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B 4E 48 03 CF 8B D3 8B 18 FF 93 6C 01 00 00 EB 0F 8B 45 08 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 CC 01 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73263_0 {
	meta:
		name = "TCustomMenuButton.DragOver"
		size = 174
		refs = "0023 TCustomActionControl.DragOver 002f TCustomActionControl.GetActionBar 0035 _DV_TCustomActionMenuBar 003a @IsClass 0046 _Dn_TActionItemDragObject 0087 TCustomActionMenuBar.ClearSubMenus 00a2 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 45 10 50 0F B6 45 0C 50 56 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 80 3E 00 74 7A 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 64 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 38 8B 47 48 3B 83 BC 01 00 00 75 2D 8B C3 E8 ?? ?? ?? ?? 85 C0 74 22 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB DC 01 00 00 00 75 12 C6 83 01 02 00 00 01 8B C3 66 BE EC FF E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_73264_0 {
	meta:
		name = "TCustomMenuButton.DrawText"
		size = 258
		refs = "0017 @UStrAddRef 001f TCustomMenuButton.DrawText 0030 @UStrLAsg 003b _DV_TCustomActionMainMenuBar 0040 @IsClass 0058 StripHotkey 007c TCustomActionControl.GetActionBar 0081 TCustomActionBar.GetColorMap 0092 TFont.SetColor 00c8 TCustomActionControl.DrawText 00dd @UStrClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B FA 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 E8 ?? ?? ?? ?? 8B 73 38 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 74 80 BE B8 02 00 00 00 75 16 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 80 BE A5 03 00 00 00 74 26 80 BB FB 01 00 00 00 75 1D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 50 8B 83 B0 01 00 00 8B 40 40 E8 ?? ?? ?? ?? 80 BB DC 01 00 00 00 74 1D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 44 8B 83 B0 01 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_73267_0 {
	meta:
		name = "TCustomMenuButton.MouseDown"
		size = 190
		refs = "001f TCustomButtonControl.MouseDown 0026 TCustomMenuButton.GetMenu 0058 ActiveMenu 0087 TWinControl.GetHandle 008d PostMessage"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 8B D3 0F B7 4D FE 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 80 22 03 00 00 88 86 00 02 00 00 8B C3 2C 01 72 04 74 54 EB 76 80 BE 00 02 00 00 00 75 6D B2 01 8B C6 8B 08 FF 91 04 01 00 00 83 3D ?? ?? ?? ?? 00 74 18 8B 46 04 3B 05 ?? ?? ?? ?? 74 0D A1 ?? ?? ?? ?? 8B 10 FF 92 CC 01 00 00 56 6A 00 68 03 B4 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 24 8B C6 E8 ?? ?? ?? ?? 80 B8 22 03 00 00 00 74 14 80 FB 01 75 0F 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 CC 01 00 00 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_73268_0 {
	meta:
		name = "TCustomMenuButton.MouseUp"
		size = 77
		refs = "0026 TCustomButtonControl.MouseUp 003a TCustomMenuButton.GetMenu"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B DA 8B F0 C6 86 01 02 00 00 00 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 75 18 80 BE 00 02 00 00 00 74 0F 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 CC 01 00 00 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_73269_0 {
	meta:
		name = "TCustomMenuButton.Paint"
		size = 46
		refs = "0021 TCustomButtonControl.Paint"
	strings:
		$1 = { 53 56 8B F0 0F B6 9E FE 01 00 00 8B 86 BC 01 00 00 83 78 18 00 74 07 C6 86 FE 01 00 00 02 8B C6 E8 ?? ?? ?? ?? 88 9E FE 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_73270_0 {
	meta:
		name = "TCustomMenuButton.CMDialogChar"
		size = 114
		refs = "000c TCustomButtonControl.CMDialogChar 0016 GetParentForm 002a TCustomActionControl.GetActionBar 0033 TCustomActionBar.FindAccelItem 0058 TCustomMenuButton.GetMenu 005d TWinControl.GetHandle 0063 PostMessage"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B 43 38 E8 ?? ?? ?? ?? 85 C0 74 50 80 B8 A6 02 00 00 02 75 47 8B C3 E8 ?? ?? ?? ?? 0F B7 56 04 E8 ?? ?? ?? ?? 8B F8 85 FF 74 31 8B 47 44 B2 01 8B 08 FF 91 04 01 00 00 8B 47 44 50 6A 00 68 03 B4 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73271_0 {
	meta:
		name = "RegisterActnBarStyle"
		size = 148
		refs = "000e RegisterActnBarStyle 0019 ActionBarStyles 0025 _Dn_TActionBarStyleList 002a TStringList.Create 0083 @UStrArrayClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 00 75 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 8D 55 FC 8B C3 8B 08 FF 51 08 8B 55 FC A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 40 75 1B 8D 55 F8 8B C3 8B 08 FF 51 08 8B 55 F8 A1 ?? ?? ?? ?? 8B 00 8B CB 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_73272_0 {
	meta:
		name = "UnRegisterActnBarStyle"
		size = 72
		refs = "0002 ActionBarStyles 0043 TObject.Free"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 92 8B 08 FF 51 5C 83 F8 FF 74 0E 8B 15 ?? ?? ?? ?? 8B 12 92 8B 08 FF 51 48 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 14 85 C0 75 16 A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? 33 C9 89 0A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73274_0 {
	meta:
		name = "Vcl.ActnMenus"
		size = 31
		refs = "0002 _DV_51 000c UpdateActnMenusProc 0013 MenuCallWndHook 001a MenuList"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73275_0 {
	meta:
		name = "SetOwner"
		size = 75
		refs = "001a TComponent.InsertComponent 0021 TMenuItem.GetCount 0038 TMenuItem.GetItem 003d SetOwner"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 83 7F 04 00 75 10 8B 45 08 8B 40 FC 8B 40 04 8B D7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1A 43 33 F6 8B 45 08 50 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 75 E9 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_73276_0 {
	meta:
		name = "InitMenuItems"
		size = 51
		refs = "0016 SetOwner 0024 TMenuItem.Add"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B F1 85 F6 7C 1F 46 8B DA 55 8B 03 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 3C 8B 13 E8 ?? ?? ?? ?? 83 C3 04 4E 75 E4 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73277_0 {
	meta:
		name = "NewPopupMenu"
		size = 72
		refs = "0010 _DV_TPopupActionBar 0015 TPopupActionBar.Create 003b InitMenuItems"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B F2 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 51 24 0F B6 45 10 88 43 69 0F B6 45 FF 88 43 68 8B 55 0C 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_82373_0 {
	meta:
		name = "NewPopupMenu"
		size = 72
		refs = "0010 _DV_TPopupMenu 0015 TPopupMenu.Create 003b InitMenuItems"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B F2 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 51 24 0F B6 45 10 88 43 69 0F B6 45 FF 88 43 68 8B 55 0C 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_73278_0 {
	meta:
		name = "TPopupActionBar.Create"
		size = 142
		refs = "000a @ClassCreate 0017 TPopupMenu.Create 0020 _Dn_TActionManager 0025 TCustomActionManager.Create 003c ActionBarStyles 0047 DefaultActnBarStyle 0063 TActionBarStyleList.GetStyle 0070 TCustomActionManager.SetStyle 007b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 00 00 00 F6 46 1C 10 75 3F F6 46 1C 01 75 39 A1 ?? ?? ?? ?? 83 38 00 74 2F 8B 15 ?? ?? ?? ?? 8B 12 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73279_0 {
	meta:
		name = "StyleNameStored"
		size = 134
		refs = "0017 TPopupActionBar.GetStyle 0034 ActionBarStyles 003f DefaultActnBarStyle 005b TActionBarStyleList.GetStyle"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 83 78 20 00 74 23 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 40 20 E8 ?? ?? ?? ?? 3B D8 0F 95 C0 5B 5D C3 A1 ?? ?? ?? ?? 83 38 00 74 36 8B 15 ?? ?? ?? ?? 8B 12 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 3B D8 0F 95 C0 EB 10 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B 5D C3 }
	condition:
		$1
}

rule function_83208_0 {
	meta:
		name = "StyleNameStored"
		size = 134
		refs = "0017 TCustomRibbon.GetStyle 0034 ActionBarStyles 003f DefaultActnBarStyle 005b TActionBarStyleList.GetStyle"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 83 78 20 00 74 23 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 40 20 E8 ?? ?? ?? ?? 3B D8 0F 95 C0 5B 5D C3 A1 ?? ?? ?? ?? 83 38 00 74 36 8B 15 ?? ?? ?? ?? 8B 12 A1 ?? ?? ?? ?? 8B 00 8B 08 FF 51 54 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 3B D8 0F 95 C0 EB 10 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B 5D C3 }
	condition:
		$1
}

rule function_73281_0 {
	meta:
		name = "TPopupActionBar.GetMenuActive"
		size = 11
	strings:
		$1 = { 83 B8 84 00 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_73282_0 {
	meta:
		name = "TPopupActionBar.GetStyle"
		size = 13
	strings:
		$1 = { 8B 80 80 00 00 00 8B 80 E8 00 00 00 C3 }
	condition:
		$1
}

rule function_73283_0 {
	meta:
		name = "TPopupActionBar.Popup"
		size = 704
		refs = "001a TPopupActionBar.Popup 0047 TPopupMenu.SetPopupPoint 0065 TMenuItem.GetCount 007c TMenuItem.GetItem 0090 TMenuItem.RethinkHotkeys 009b TMenuItem.RethinkLines 00a4 _DV_TCustomActionPopupMenuEx 00a9 TXPStylePopupMenu.Create 00d1 TCollection.Clear 0131 TActionBars.Add 0143 TActionClient.SetActionBar 0159 TActionBarItem.SetAutoSize 0196 SActionManagerNotAssigned 019b LoadResString 01a5 _Dn_Exception 01aa Exception.CreateFmt 01af @RaiseExcept 01b7 TPopupActionBar.GetStyle 0205 TActionClient.GetItems 022d TCustomActionPopupMenuEx.LoadMenu 0252 TCustomActionPopupMenu.Popup 0267 TObject.Free 026d @HandleFinally 02ae @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 DB 89 5D DC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 84 00 00 00 00 0F 85 69 02 00 00 8B 45 F8 89 45 E8 8B 45 F4 89 45 EC 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 FC 8B 08 FF 51 4C 8B 45 FC 8B 58 3C F6 43 1C 10 75 27 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 1B 40 89 C3 33 F6 8B 45 FC 8B 40 3C 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 50 46 4B 75 EA 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 84 00 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 80 80 00 00 00 8B 40 74 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 84 00 00 00 C6 80 94 02 00 00 00 C6 80 15 03 00 00 00 8B 55 FC 89 90 B8 03 00 00 8B 55 FC 8B 8A 88 00 00 00 89 88 A8 02 00 00 8B 8A 8C 00 00 00 89 88 AC 02 00 00 8B 45 FC 8B 50 4C 8B 45 FC 8B 80 80 00 00 00 8B 08 FF 51 44 8B 45 FC 8B 80 80 00 00 00 8B 40 74 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 90 84 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 0C B2 02 8B 08 FF 91 5C 01 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 84 00 00 00 B2 01 8B 08 FF 51 78 8B 45 FC 8B 80 84 00 00 00 83 B8 80 02 00 00 00 75 34 8B 45 FC 8B 40 08 89 45 E0 C6 45 E4 11 8D 45 E0 50 6A 00 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 92 84 00 00 00 8B 08 FF 51 04 33 C9 B2 01 FF 50 38 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 84 00 00 00 8B 55 F0 8B 08 FF 91 54 01 00 00 8B 45 FC 8B 80 84 00 00 00 8B 80 80 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 98 84 00 00 00 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 48 3C 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 84 00 00 00 8B 10 FF 92 74 01 00 00 8B 45 FC 8B 80 84 00 00 00 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 84 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73284_0 {
	meta:
		name = "TPopupActionBar.ReadStyleProp"
		size = 296
		refs = "001a TPopupActionBar.ReadStyleProp 002a TReader.ReadString 0047 ActionBarStyles 0066 TActionBarStyleList.GetStyle 0070 TPopupActionBar.SetStyle 008a SMissingActionBarStyleName 008f LoadResString 0099 _Dn_Exception 009e Exception.CreateFmt 00a3 @RaiseExcept 00b2 @HandleAnyException 00c0 ApplicationHandleException 00cc ExceptObject 00e0 ExceptAddr 00ec ShowException 00f3 @RaiseAgain 00f8 @DoneExcept 010d @UStrClr 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 C4 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 8B 55 FC 8B 08 FF 51 54 8B D8 83 FB FF 7E 1A A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? EB 31 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 4B E9 ?? ?? ?? ?? 8B 45 F8 F6 40 1C 10 74 33 A1 ?? ?? ?? ?? 66 83 78 02 00 74 14 E8 ?? ?? ?? ?? 8B D0 8B 1D ?? ?? ?? ?? 8B 43 04 FF 13 EB 18 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73285_0 {
	meta:
		name = "TPopupActionBar.SetStyle"
		size = 12
		refs = "0007 TCustomActionManager.SetStyle"
	strings:
		$1 = { 8B 80 80 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73286_0 {
	meta:
		name = "TPopupActionBar.WriteStyleProp"
		size = 117
		refs = "000f TPopupActionBar.WriteStyleProp 001c TPopupActionBar.GetStyle 0030 ActionBarStyles 0039 TActionBarStyleList.GetStyle 004f TWriter.WriteString 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 10 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B D8 8D 55 FC 8B C3 8B 08 FF 51 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83303_0 {
	meta:
		name = "TCustomRibbon.WriteStyleProp"
		size = 117
		refs = "000f TCustomRibbon.WriteStyleProp 001c TCustomRibbon.GetStyle 0030 ActionBarStyles 0039 TActionBarStyleList.GetStyle 004f TWriter.WriteString 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 10 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B D8 8D 55 FC 8B C3 8B 08 FF 51 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73287_0 {
	meta:
		name = "TCustomActionPopupMenuEx.DoPopup"
		size = 124
		refs = "000c TCustomActionMenuBar.DoPopup 0017 TActionClient.GetItems 001e TActionClients.GetActionClient 0057 TCollection.Clear 0074 TCustomActionPopupMenuEx.LoadMenu"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 83 78 38 00 75 50 8B 83 BC 01 00 00 8B 40 38 66 83 B8 92 00 00 00 00 74 10 8B F8 8B D0 8B 87 94 00 00 00 FF 97 90 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 BC 01 00 00 8B 48 38 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73288_0 {
	meta:
		name = "TCustomActionPopupMenuEx.ExecAction"
		size = 38
		refs = "0016 PopupList 0021 PostMessage"
	strings:
		$1 = { 6A 00 8B 80 94 03 00 00 8B 40 38 0F B7 40 54 50 68 11 01 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 10 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73290_0 {
	meta:
		name = "TCustomActionPopupMenuEx.LoadMenu"
		size = 776
		refs = "0017 TActionClientsCollection.SetAutoHotKeys 001e TMenuItem.GetCount 0035 TActionClients.Add 0040 TMenuItem.GetItem 004a TActionClientItem.SetCaption 0064 TMenuItem.GetAction 006d TActionClientItem.SetAction 0095 TActionClient.GetItems 00d9 TCustomActionPopupMenuEx.LoadMenu 00de @UStrEqual 00f9 _DV_TMenuAction 00fe TMenuAction.Create 010e TActionClientItem.GetAction 0122 TContainedAction.SetActionList 0171 TCustomAction.SetAutoCheck 018c TCustomAction.SetGroupIndex 01c7 TCustomAction.SetImageIndex 01e2 TCustomAction.SetVisible 01fd TCustomAction.SetChecked 0217 TCustomAction.SetCaption 0232 TCustomAction.SetShortCut 024d TCustomAction.SetEnabled 0260 TActionClientItem.SetImageIndex 0274 TActionClientItem.SetShortCut 0288 TActionClientItem.SetDefault"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F1 89 54 24 04 89 04 24 33 D2 8B 44 24 04 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 0F 8C C4 02 00 00 45 33 DB 8B 44 24 04 E8 ?? ?? ?? ?? 8B F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 38 8B C7 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 89 47 38 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 20 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 42 00 74 11 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E9 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 83 78 38 00 0F 84 D6 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 C0 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 40 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 A4 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 50 8B 4C 24 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 14 24 8B 92 B8 03 00 00 8B 92 80 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? FF 70 0C 8B C7 E8 ?? ?? ?? ?? 5A 89 50 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 40 58 50 8B C7 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 58 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B6 80 B0 00 00 00 50 8B C7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B6 40 43 50 8B C7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? FF B0 94 00 00 00 FF B0 90 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 40 44 50 8B C7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B6 40 42 50 8B C7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B6 40 3C 50 8B C7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 40 38 50 8B C7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B7 40 64 50 8B C7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B6 40 3D 50 8B C7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 44 8B C7 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B7 50 64 8B C7 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B6 50 3E 8B C7 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 38 8B C7 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B7 50 64 8B C7 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 40 58 89 47 68 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 44 8B C7 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B6 50 42 8B C7 8B 08 FF 51 2C 43 4D 0F 85 3F FD FF FF 59 5A 5D 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_73291_0 {
	meta:
		name = "TMenuAction.Create"
		size = 68
		refs = "000d @ClassCreate 001a TCustomAction.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 86 A8 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73292_0 {
	meta:
		name = "TMenuAction.Execute"
		size = 43
	strings:
		$1 = { 53 56 B3 01 8B 90 A8 00 00 00 85 D2 74 18 66 83 BA 92 00 00 00 00 74 0E 8B F2 8B 86 94 00 00 00 FF 96 90 00 00 00 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_73297_0 {
	meta:
		name = "TCustomApplicationEvents.Create"
		size = 74
		refs = "000a @ClassCreate 0017 TComponent.Create 001d MultiCaster 002c TMultiCaster.AddAppEvent 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0C 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73300_0 {
	meta:
		name = "TCustomApplicationEvents.DoActivate"
		size = 18
		altNames = "TPopupMenu.DoPopup"
	strings:
		$1 = { 53 66 83 78 7A 00 74 08 8B D8 8B 43 7C FF 53 78 5B C3 }
	condition:
		$1
}

rule function_73302_0 {
	meta:
		name = "TCustomApplicationEvents.DoException"
		size = 47
		refs = "000d _Dn_EAbort 0012 @IsClass"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 66 83 7B 4A 00 74 0A 8B CE 8B D7 8B 43 4C FF 53 48 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73303_0 {
	meta:
		name = "TCustomApplicationEvents.DoHelp"
		size = 32
	strings:
		$1 = { 55 8B EC 53 66 83 78 5A 00 74 0E 8B 5D 08 53 8B D8 8B 43 5C FF 53 58 EB 02 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73304_0 {
	meta:
		name = "TCustomApplicationEvents.DoHint"
		size = 118
		refs = "001c _Dn_THintAction 0021 THintAction.Create 002c TCustomApplicationEvents.DoHint 0037 Application 0044 TCustomAction.SetHint 0050 @CallDynaInst 0065 TObject.Free 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 66 83 78 62 00 74 0A 8B D8 8B 43 64 FF 53 60 EB 5A 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 8B 50 58 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BE F0 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73306_0 {
	meta:
		name = "TCustomApplicationEvents.DoMessage"
		size = 18
	strings:
		$1 = { 53 66 83 78 52 00 74 08 8B D8 8B 43 54 FF 53 50 5B C3 }
	condition:
		$1
}

rule function_73309_0 {
	meta:
		name = "TCustomApplicationEvents.DoShortcut"
		size = 27
	strings:
		$1 = { 53 66 83 B8 92 00 00 00 00 74 0E 8B D8 8B 83 94 00 00 00 FF 93 90 00 00 00 5B C3 }
	condition:
		$1
}

rule function_73310_0 {
	meta:
		name = "TCustomApplicationEvents.DoShowHint"
		size = 37
	strings:
		$1 = { 55 8B EC 53 66 83 B8 9A 00 00 00 00 74 12 8B 5D 08 53 8B D8 8B 83 9C 00 00 00 FF 93 98 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73311_0 {
	meta:
		name = "TCustomApplicationEvents.DoSettingChange"
		size = 41
	strings:
		$1 = { 55 8B EC 53 66 83 B8 A2 00 00 00 00 74 16 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 83 A4 00 00 00 FF 93 A0 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73312_0 {
	meta:
		name = "TCustomApplicationEvents.DoModalBegin"
		size = 27
	strings:
		$1 = { 53 66 83 B8 AA 00 00 00 00 74 0E 8B D8 8B 83 AC 00 00 00 FF 93 A8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_73314_0 {
	meta:
		name = "TMultiCaster.Activate"
		size = 68
		refs = "000c TMultiCaster.CheckDispatching 001c TList.IndexOf 0032 TList.RemoveItem 003c TList.Add"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2C 8B 43 38 8B FE 8B D7 E8 ?? ?? ?? ?? 8B 53 38 8B 4A 08 49 3B C1 7D 15 8B C2 8B D7 33 C9 E8 ?? ?? ?? ?? 8B 43 38 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73315_0 {
	meta:
		name = "TMultiCaster.AddAppEvent"
		size = 36
		refs = "000f TList.IndexOf 001c TList.Add"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 38 8B FE 8B D7 E8 ?? ?? ?? ?? 40 75 0A 8B 43 38 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73316_0 {
	meta:
		name = "TMultiCaster.BeginDispatch"
		size = 4
	strings:
		$1 = { FF 40 44 C3 }
	condition:
		$1
}

rule function_73317_0 {
	meta:
		name = "TMultiCaster.CancelDispatch"
		size = 5
	strings:
		$1 = { C6 40 40 01 C3 }
	condition:
		$1
}

rule function_73318_0 {
	meta:
		name = "TMultiCaster.CheckDispatching"
		size = 17
	strings:
		$1 = { 83 78 44 00 0F 94 C1 84 C9 75 03 89 50 3C 8B C1 C3 }
	condition:
		$1
}

rule function_73319_0 {
	meta:
		name = "TMultiCaster.Create"
		size = 373
		refs = "000e @ClassCreate 0019 Application 0022 TComponent.Create 002b _Dn_TComponentList 0030 TComponentList.Create 0045 TMultiCaster.DoActionExecute 0057 TMultiCaster.DoActionUpdate 0069 TMultiCaster.DoActivate 007b TMultiCaster.DoDeactivate 008d TMultiCaster.DoException 009f TMultiCaster.DoHelp 00b1 TMultiCaster.DoHint 00c3 TMultiCaster.DoIdle 00d5 TMultiCaster.DoMessage 00e7 TMultiCaster.DoMinimize 00f9 TMultiCaster.DoRestore 010b TMultiCaster.DoShowHint 011d TMultiCaster.DoShortcut 012f TMultiCaster.DoSettingChange 0141 TMultiCaster.DoModalBegin 0153 TMultiCaster.DoModalEnd 0160 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 35 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 8B 06 89 98 EC 00 00 00 C7 80 E8 00 00 00 ?? ?? ?? ?? 8B 06 89 98 F4 00 00 00 C7 80 F0 00 00 00 ?? ?? ?? ?? 8B 06 89 98 4C 01 00 00 C7 80 48 01 00 00 ?? ?? ?? ?? 8B 06 89 98 44 01 00 00 C7 80 40 01 00 00 ?? ?? ?? ?? 8B 06 89 98 FC 00 00 00 C7 80 F8 00 00 00 ?? ?? ?? ?? 8B 06 89 98 2C 01 00 00 C7 80 28 01 00 00 ?? ?? ?? ?? 8B 06 89 98 34 01 00 00 C7 80 30 01 00 00 ?? ?? ?? ?? 8B 06 89 98 3C 01 00 00 C7 80 38 01 00 00 ?? ?? ?? ?? 8B 06 89 98 14 01 00 00 C7 80 10 01 00 00 ?? ?? ?? ?? 8B 06 89 98 54 01 00 00 C7 80 50 01 00 00 ?? ?? ?? ?? 8B 06 89 98 5C 01 00 00 C7 80 58 01 00 00 ?? ?? ?? ?? 8B 06 89 98 6C 01 00 00 C7 80 68 01 00 00 ?? ?? ?? ?? 8B 06 89 98 64 01 00 00 C7 80 60 01 00 00 ?? ?? ?? ?? 8B 06 89 98 74 01 00 00 C7 80 70 01 00 00 ?? ?? ?? ?? 8B 06 89 98 1C 01 00 00 C7 80 18 01 00 00 ?? ?? ?? ?? 8B 06 89 98 24 01 00 00 C7 80 20 01 00 00 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73320_0 {
	meta:
		name = "TMultiCaster.Destroy"
		size = 313
		refs = "0003 @BeforeDestruction 000c Application 0014 MultiCaster 011c TObject.Free 0127 TComponent.Destroy 0132 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? 8B 10 33 C9 89 8A E8 00 00 00 89 8A EC 00 00 00 8B 10 33 C9 89 8A F0 00 00 00 89 8A F4 00 00 00 8B 10 33 C9 89 8A 48 01 00 00 89 8A 4C 01 00 00 8B 10 33 C9 89 8A 40 01 00 00 89 8A 44 01 00 00 8B 10 33 C9 89 8A F8 00 00 00 89 8A FC 00 00 00 8B 10 33 C9 89 8A 28 01 00 00 89 8A 2C 01 00 00 8B 10 33 C9 89 8A 30 01 00 00 89 8A 34 01 00 00 8B 10 33 C9 89 8A 38 01 00 00 89 8A 3C 01 00 00 8B 10 33 C9 89 8A 10 01 00 00 89 8A 14 01 00 00 8B 10 33 C9 89 8A 50 01 00 00 89 8A 54 01 00 00 8B 10 33 C9 89 8A 58 01 00 00 89 8A 5C 01 00 00 8B 10 33 C9 89 8A 68 01 00 00 89 8A 6C 01 00 00 8B 10 33 C9 89 8A 60 01 00 00 89 8A 64 01 00 00 8B 10 33 C9 89 8A 70 01 00 00 89 8A 74 01 00 00 8B 10 33 C9 89 8A 18 01 00 00 89 8A 1C 01 00 00 8B 00 33 D2 89 90 20 01 00 00 89 90 24 01 00 00 8B 46 38 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73321_0 {
	meta:
		name = "TMultiCaster.DoActionExecute"
		size = 121
		refs = "0012 TMultiCaster.BeginDispatch 001a TMultiCaster.DoActionExecute 0028 TMultiCaster.GetCount 003a TMultiCaster.GetAppEvents 0043 TCustomApplicationEvents.DoActionExecute 0067 TMultiCaster.EndDispatch 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 22 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 80 78 40 00 75 06 4B 83 FB FF 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73322_0 {
	meta:
		name = "TMultiCaster.DoActionUpdate"
		size = 121
		refs = "0012 TMultiCaster.BeginDispatch 001a TMultiCaster.DoActionUpdate 0028 TMultiCaster.GetCount 003a TMultiCaster.GetAppEvents 0043 TCustomApplicationEvents.DoActionUpdate 0067 TMultiCaster.EndDispatch 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 22 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 80 78 40 00 75 06 4B 83 FB FF 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73328_0 {
	meta:
		name = "TMultiCaster.DoIdle"
		size = 121
		refs = "0012 TMultiCaster.BeginDispatch 001a TMultiCaster.DoIdle 0028 TMultiCaster.GetCount 003a TMultiCaster.GetAppEvents 0043 TCustomApplicationEvents.DoIdle 0067 TMultiCaster.EndDispatch 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 22 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 80 78 40 00 75 06 4B 83 FB FF 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73329_0 {
	meta:
		name = "TMultiCaster.DoMessage"
		size = 121
		refs = "0012 TMultiCaster.BeginDispatch 001a TMultiCaster.DoMessage 0028 TMultiCaster.GetCount 003a TMultiCaster.GetAppEvents 0043 TCustomApplicationEvents.DoMessage 0067 TMultiCaster.EndDispatch 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 22 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 80 78 40 00 75 06 4B 83 FB FF 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73332_0 {
	meta:
		name = "TMultiCaster.DoShortcut"
		size = 121
		refs = "0012 TMultiCaster.BeginDispatch 001a TMultiCaster.DoShortcut 0028 TMultiCaster.GetCount 003a TMultiCaster.GetAppEvents 0043 TCustomApplicationEvents.DoShortcut 0067 TMultiCaster.EndDispatch 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 22 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 80 78 40 00 75 06 4B 83 FB FF 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73323_0 {
	meta:
		name = "TMultiCaster.DoActivate"
		size = 115
		refs = "000f TMultiCaster.BeginDispatch 0017 TMultiCaster.DoActivate 0025 TMultiCaster.GetCount 0037 TMultiCaster.GetAppEvents 003e TCustomApplicationEvents.DoActivate 0062 TMultiCaster.EndDispatch 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 80 78 40 00 75 06 4B 83 FB FF 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73324_0 {
	meta:
		name = "TMultiCaster.DoDeactivate"
		size = 115
		refs = "000f TMultiCaster.BeginDispatch 0017 TMultiCaster.DoDeactivate 0025 TMultiCaster.GetCount 0037 TMultiCaster.GetAppEvents 003e TCustomApplicationEvents.DoDeactivate 0062 TMultiCaster.EndDispatch 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 80 78 40 00 75 06 4B 83 FB FF 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73327_0 {
	meta:
		name = "TMultiCaster.DoHint"
		size = 115
		refs = "000f TMultiCaster.BeginDispatch 0017 TMultiCaster.DoHint 0025 TMultiCaster.GetCount 0037 TMultiCaster.GetAppEvents 003e TCustomApplicationEvents.DoHint 0062 TMultiCaster.EndDispatch 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 80 78 40 00 75 06 4B 83 FB FF 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73330_0 {
	meta:
		name = "TMultiCaster.DoMinimize"
		size = 115
		refs = "000f TMultiCaster.BeginDispatch 0017 TMultiCaster.DoMinimize 0025 TMultiCaster.GetCount 0037 TMultiCaster.GetAppEvents 003e TCustomApplicationEvents.DoMinimize 0062 TMultiCaster.EndDispatch 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 80 78 40 00 75 06 4B 83 FB FF 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73338_0 {
	meta:
		name = "TMultiCaster.DoModalBegin"
		size = 115
		refs = "000f TMultiCaster.BeginDispatch 0017 TMultiCaster.DoModalBegin 0025 TMultiCaster.GetCount 0037 TMultiCaster.GetAppEvents 003e TCustomApplicationEvents.DoModalBegin 0062 TMultiCaster.EndDispatch 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 80 78 40 00 75 06 4B 83 FB FF 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73339_0 {
	meta:
		name = "TMultiCaster.DoModalEnd"
		size = 115
		refs = "000f TMultiCaster.BeginDispatch 0017 TMultiCaster.DoModalEnd 0025 TMultiCaster.GetCount 0037 TMultiCaster.GetAppEvents 003e TCustomApplicationEvents.DoModalEnd 0062 TMultiCaster.EndDispatch 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 80 78 40 00 75 06 4B 83 FB FF 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73331_0 {
	meta:
		name = "TMultiCaster.DoRestore"
		size = 115
		refs = "000f TMultiCaster.BeginDispatch 0017 TMultiCaster.DoRestore 0025 TMultiCaster.GetCount 0037 TMultiCaster.GetAppEvents 003e TCustomApplicationEvents.DoRestore 0062 TMultiCaster.EndDispatch 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 80 78 40 00 75 06 4B 83 FB FF 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73325_0 {
	meta:
		name = "TMultiCaster.DoException"
		size = 188
		refs = "0014 TMultiCaster.BeginDispatch 0020 TMultiCaster.DoException 002e TMultiCaster.GetCount 0040 TMultiCaster.GetAppEvents 005f TCustomApplicationEvents.DoException 008a _Dn_EAbort 008f @IsClass 0098 Application 00a2 TApplication.ShowException 00aa TMultiCaster.EndDispatch 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? C6 45 F7 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 38 8B D3 8B 45 FC E8 ?? ?? ?? ?? 66 83 78 4A 00 74 21 C6 45 F7 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F8 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 80 78 40 00 75 06 4B 83 FB FF 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F7 00 75 21 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0F A1 ?? ?? ?? ?? 8B 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73326_0 {
	meta:
		name = "TMultiCaster.DoHelp"
		size = 157
		refs = "0014 TMultiCaster.BeginDispatch 001c TMultiCaster.DoHelp 002e TMultiCaster.GetCount 004a TMultiCaster.GetAppEvents 0053 TCustomApplicationEvents.DoHelp 0084 TMultiCaster.EndDispatch 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 39 80 7D FB 00 75 1F 8B 45 08 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FB 8B 45 FC 80 78 40 00 75 06 4B 83 FB FF 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_73333_0 {
	meta:
		name = "TMultiCaster.DoShowHint"
		size = 127
		refs = "0012 TMultiCaster.BeginDispatch 001a TMultiCaster.DoShowHint 0028 TMultiCaster.GetCount 003e TMultiCaster.GetAppEvents 0047 TCustomApplicationEvents.DoShowHint 006b TMultiCaster.EndDispatch 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 26 8B 45 08 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 80 78 40 00 75 06 4B 83 FB FF 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_73334_0 {
	meta:
		name = "TMultiCaster.DoSettingChange"
		size = 131
		refs = "0012 TMultiCaster.BeginDispatch 001a TMultiCaster.DoSettingChange 0028 TMultiCaster.GetCount 0042 TMultiCaster.GetAppEvents 004b TCustomApplicationEvents.DoSettingChange 006f TMultiCaster.EndDispatch 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 2A 8B 45 0C 50 8B 45 08 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B CF 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 80 78 40 00 75 06 4B 83 FB FF 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_73335_0 {
	meta:
		name = "TMultiCaster.EndDispatch"
		size = 80
		refs = "0023 TList.IndexOf 003a TList.RemoveItem 0045 TList.Add"
	strings:
		$1 = { 53 8B D8 83 7B 44 00 7E 45 FF 4B 44 C6 43 40 00 83 7B 44 00 75 38 83 7B 3C 00 74 32 8B 43 38 8B 53 3C E8 ?? ?? ?? ?? 8B 53 38 8B 4A 08 49 3B C1 7D 1C 8B C2 8B 53 3C 33 C9 E8 ?? ?? ?? ?? 8B 43 38 8B 53 3C E8 ?? ?? ?? ?? 33 C0 89 43 3C 5B C3 }
	condition:
		$1
}

rule function_73336_0 {
	meta:
		name = "TMultiCaster.GetAppEvents"
		size = 19
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B 58 38 8B F2 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73341_0 {
	meta:
		name = "Vcl.AppEvnts"
		size = 51
		refs = "0002 _DV_3 000b _Dn_TControl 0010 _DV_TCustomApplicationEvents 0015 GroupDescendentsWith 001b Application 0024 _DV_TMultiCaster 0029 TMultiCaster.Create 002e MultiCaster"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 29 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73343_0 {
	meta:
		name = "ParkingWindowProc"
		size = 156
		refs = "0070 SendMessage 007f xParkingWindow 0092 DefWindowProc"
	strings:
		$1 = { 55 8B EC 53 56 8B 55 14 8B 75 10 8B 45 0C 8B 4D 08 8B D8 83 C3 D5 83 EB 03 72 0D 83 EB 0B 74 08 81 EB D8 00 00 00 75 4E 8B C8 83 F9 2D 7F 0C 74 1E 83 E9 2B 74 1E 49 74 20 EB 27 83 E9 39 74 0A 81 E9 D8 00 00 00 74 16 EB 18 8B 4A 04 EB 17 8B 4A 04 EB 12 8B 4A 04 EB 0D 8B 4A 04 EB 08 8B CA EB 04 33 C0 EB 30 52 56 05 00 20 00 00 50 51 E8 ?? ?? ?? ?? EB 20 3D 82 00 00 00 75 10 3B 0D ?? ?? ?? ?? 75 08 33 DB 89 1D ?? ?? ?? ?? 52 56 50 51 E8 ?? ?? ?? ?? 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_73344_0 {
	meta:
		name = "ParkingWindow"
		size = 380
		refs = "0010 ParkingWindow 001c xParkingWindow 0032 HInstance 0038 GetClassInfo 0041 ParkingWindowProc 0056 UnregisterClass 005f RaiseLastOSError 006e @FillChar 00a6 RegisterClass 00b3 SWindowClass 00b8 LoadResString 00c2 _Dn_EOutOfResources 00c7 Exception.Create 00cc @RaiseExcept 00d8 GetSystemMetrics 010e CreateWindowEx 012a SetWindowPos 0145 @UStrClr 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 33 C0 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 1D ?? ?? ?? ?? 85 DB 0F 85 0C 01 00 00 8D 45 D8 50 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 23 B8 ?? ?? ?? ?? 3B 45 DC 74 19 A1 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 8D 45 D8 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 50 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 46 A1 ?? ?? ?? ?? 89 45 E8 C7 45 DC ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 FC 8D 45 D8 50 E8 ?? ?? ?? ?? 66 85 C0 75 21 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 00 00 00 80 6A 00 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 6A 01 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 6A 00 6A 00 6A 00 6A 00 A1 ?? ?? ?? ?? 50 6A 00 33 C9 8B 55 FC B8 80 00 00 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 5C 6A 00 6A 00 6A 00 6A 00 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 44 00 41 00 58 00 50 00 61 00 72 00 6B 00 69 00 6E 00 67 00 57 00 69 00 6E 00 64 00 6F 00 77 00 00 00 00 00 }
	condition:
		$1
}

rule function_73346_0 {
	meta:
		name = "CoAllocMem"
		size = 42
		refs = "0006 CoTaskMemAlloc 0016 OleError 0021 @FillChar"
	strings:
		$1 = { 53 56 8B F0 56 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0A B8 0E 00 07 80 E8 ?? ?? ?? ?? 8B C3 33 C9 8B D6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_73347_0 {
	meta:
		name = "CoFreeMem"
		size = 11
		refs = "0006 CoTaskMemFree"
	strings:
		$1 = { 85 C0 74 06 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73348_0 {
	meta:
		name = "CoAllocString"
		size = 114
		refs = "000d CoAllocString 001d @WStrFromUStr 0037 CoAllocMem 0041 @WStrToPWChar 004a Move 005f @WStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 40 8B D8 03 DB 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73349_0 {
	meta:
		name = "SaveName"
		size = 141
		refs = "000f SaveName 0031 OleCheck 004e @UStrFromWStr 0073 @UStrClr 007b @WStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 8D 45 FC 50 53 8B 45 08 8B 40 FC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B F3 8B D6 8B 08 FF 51 5C 40 75 1B 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 08 8B CE 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_73350_0 {
	meta:
		name = "IsPropType"
		size = 330
		refs = "0015 IsPropType 0021 GUID_NULL 002c IsEqualGUID 007f @IntfClear 008e OleCheck 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? 8B 45 08 83 C0 EC E8 ?? ?? ?? ?? 84 C0 74 09 8B 55 08 83 7A E8 00 74 04 33 D2 EB 02 B2 01 88 55 FB 80 7D FB 00 0F 85 D3 00 00 00 0F B7 53 04 66 83 EA 1A 74 0B 66 83 EA 03 74 1B E9 A5 00 00 00 8B 45 08 50 8B 13 8B C6 E8 ?? ?? ?? ?? 59 88 45 FB E9 A8 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 8B 03 50 56 8B 06 FF 50 38 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8D 50 EC 8B 45 F4 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 75 1F 8B 45 F4 83 78 28 06 75 16 8B 45 08 50 8B 45 F4 8D 50 3C 8B 45 FC E8 ?? ?? ?? ?? 59 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 50 8B 00 FF 50 4C C3 E9 ?? ?? ?? ?? EB EB 84 C0 74 0C 0F B7 43 04 8B 55 08 3B 42 E8 74 04 33 C0 EB 02 B0 01 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73351_0 {
	meta:
		name = "HasMember"
		size = 148
		refs = "002f OleCheck 0037 HasMember 0059 @TryFinallyExit 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 4D F8 89 45 FC 4A 85 D2 7C 77 42 89 55 EC C7 45 F4 00 00 00 00 8D 45 F0 50 8B 45 F4 50 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 00 3B 45 F8 75 14 8B 45 F0 8B 40 10 23 45 08 74 09 B3 01 E8 ?? ?? ?? ?? EB 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 50 8B 00 FF 50 50 C3 E9 ?? ?? ?? ?? EB EB FF 45 F4 FF 4D EC 75 94 33 DB 8B C3 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_73352_0 {
	meta:
		name = "EnumDispatchProperties"
		size = 610
		refs = "0021 @IntfAddRef 0029 EnumDispatchProperties 0037 @IntfClear 004a OleCheck 00cb IsPropType 00db SaveName 00fc @HandleFinally 016e HasMember"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D FC 8B F2 8D 7D EC A5 A5 A5 A5 89 4D E8 89 45 E4 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 E4 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 DC 01 00 00 8D 45 DC 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 0F B7 40 2E 48 85 C0 0F 8C 82 00 00 00 40 89 45 D0 C7 45 E0 00 00 00 00 8D 45 D4 50 8B 45 E0 50 8B 45 FC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D4 F6 40 1C 01 74 20 55 8B 45 D4 8D 50 0C 8B 45 FC E8 ?? ?? ?? ?? 59 84 C0 74 0C 55 8B 45 D4 8B 00 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 50 8B 45 FC 50 8B 00 FF 50 54 C3 E9 ?? ?? ?? ?? EB EB FF 45 E0 FF 4D D0 75 89 8B 45 DC 0F B7 40 2C 48 85 C0 0F 8C F8 00 00 00 40 89 45 D0 C7 45 E0 00 00 00 00 8D 45 D8 50 8B 45 E0 50 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D8 83 78 10 02 75 38 8B 45 D8 66 83 78 18 01 7D 2E 6A 0C 8B 45 D8 8B 08 8B 45 DC 0F B7 50 2C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 14 55 8B 45 D8 8D 50 20 8B 45 FC E8 ?? ?? ?? ?? 59 84 C0 75 4E 8B 45 D8 F6 40 10 0C 74 51 8B 45 D8 66 83 78 18 02 7D 47 6A 02 8B 45 D8 8B 08 8B 45 DC 0F B7 50 2C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2D 55 8B 45 D8 0F BF 40 18 03 C0 8B 55 D8 8B 52 08 8D 54 C2 F0 8B 45 FC E8 ?? ?? ?? ?? 59 84 C0 74 0C 55 8B 45 D8 8B 00 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 50 8B 45 FC 50 8B 00 FF 50 50 C3 E9 ?? ?? ?? ?? EB EB FF 45 E0 FF 4D D0 0F 85 13 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 50 8B 45 FC 50 8B 00 FF 50 4C C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_73353_0 {
	meta:
		name = "GetFontAccess"
		size = 80
		refs = "0011 _DV_TFontAdapter 0016 TFontAdapter.Create 0027 @IntfCopy 0031 GetFontAccess 0036 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 20 00 75 1F 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA DC 8D 43 20 E8 ?? ?? ?? ?? 8B C6 8B 53 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 A0 5C A5 CB 57 0E D0 11 BD 2F 00 20 AF 0E 5B 81 }
	condition:
		$1
}

rule function_73354_0 {
	meta:
		name = "GetPictureAccess"
		size = 80
		refs = "0011 _DV_TPictureAdapter 0016 TPictureAdapter.Create 0027 @IntfCopy 0031 GetPictureAccess 0036 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 18 00 75 1F 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA DC 8D 43 18 E8 ?? ?? ?? ?? 8B C6 8B 53 18 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 31 4D 5D 79 D7 43 D0 11 9E 92 00 20 AF 3D 82 DA }
	condition:
		$1
}

rule function_73355_0 {
	meta:
		name = "GetOleFont"
		size = 79
		refs = "000f GetOleFont 001f GetFontAccess 003e @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73357_0 {
	meta:
		name = "GetOlePicture"
		size = 79
		refs = "000f GetOlePicture 001f GetPictureAccess 003e @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73356_0 {
	meta:
		name = "SetOleFont"
		size = 102
		refs = "0015 @IntfAddRef 001d SetOleFont 002d GetFontAccess 004d @IntfClear 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_73358_0 {
	meta:
		name = "SetOlePicture"
		size = 102
		refs = "0015 @IntfAddRef 001d SetOlePicture 002d GetPictureAccess 004d @IntfClear 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_73359_0 {
	meta:
		name = "GetKeyModifiers"
		size = 54
		refs = "0006 GetKeyState"
	strings:
		$1 = { 53 33 DB 6A 10 E8 ?? ?? ?? ?? 66 85 C0 7D 05 BB 01 00 00 00 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 03 83 CB 02 6A 12 E8 ?? ?? ?? ?? 66 85 C0 7D 03 83 CB 04 8B C3 5B C3 }
	condition:
		$1
}

rule function_73360_0 {
	meta:
		name = "GetEventShift"
		size = 25
		refs = "0013 ShiftMap"
	strings:
		$1 = { 51 66 89 04 24 0F B7 04 24 66 83 E0 07 0F B7 C0 0F B6 80 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_73361_0 {
	meta:
		name = "GetEventButton"
		size = 10
	strings:
		$1 = { 8B C8 B8 01 00 00 00 D3 E0 C3 }
	condition:
		$1
}

rule function_73364_0 {
	meta:
		name = "TOleStream.Read"
		size = 35
		refs = "0017 OleCheck"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 54 57 56 8B 43 04 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73365_0 {
	meta:
		name = "TOleStream.Seek"
		size = 45
		refs = "0020 OleCheck"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 54 0F B7 C7 50 8B C6 99 52 50 8B 43 04 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73366_0 {
	meta:
		name = "TOleStream.Write"
		size = 35
		refs = "0017 OleCheck"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 54 57 56 8B 43 04 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73368_0 {
	meta:
		name = "TReflectorWindow.Create"
		size = 225
		refs = "000f @ClassCreate 001f TWinControl.CreateParented 003d TReflectorWindow.Create 0091 @HandleFinally 00c9 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 55 08 89 90 78 02 00 00 8B 45 FC C6 80 7C 02 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 78 02 00 00 8B 55 FC 8B 08 FF 91 84 00 00 00 8B 45 FC 8B 80 78 02 00 00 8B 50 50 52 8B 50 54 52 33 C9 33 D2 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 7C 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 80 78 02 00 00 8B 50 50 52 8B 40 54 50 8B 45 FC 8B 48 4C 8B 45 FC 8B 50 48 8B 45 FC 8B 18 FF 93 A4 00 00 00 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_73369_0 {
	meta:
		name = "TCustomRibbon.CreateParams"
		size = 19
		refs = "0006 TWinControl.CreateParams"
		altNames = "TReflectorWindow.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 81 4B 04 00 00 00 02 5B C3 }
	condition:
		$1
}

rule function_86843_0 {
	meta:
		name = "TTabbedNotebook.CreateParams"
		size = 19
		refs = "0006 TCustomTabControl.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 81 4B 04 00 00 00 02 5B C3 }
	condition:
		$1
}

rule function_73370_0 {
	meta:
		name = "TReflectorWindow.WMGetDlgCode"
		size = 15
	strings:
		$1 = { 8B 80 78 02 00 00 8B 08 FF 91 90 00 00 00 C3 }
	condition:
		$1
}

rule function_73371_0 {
	meta:
		name = "TReflectorWindow.WMSetFocus"
		size = 58
		refs = "0011 _Dn_TWinControl 0016 @IsClass 0021 TWinControl.GetHandle 0027 SetFocus 0032 TWinControl.WMSetFocus"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 78 02 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73372_0 {
	meta:
		name = "TReflectorWindow.WMSize"
		size = 177
		refs = "002b TReflectorWindow.WMSize 009b @HandleFinally 00a8 TWinControl.WMSize"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC 80 B8 7C 02 00 00 00 0F 85 84 00 00 00 8B 45 FC C6 80 7C 02 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 0F B7 40 08 50 8B 45 F8 0F B7 40 0A 50 8B 45 FC 8B 80 78 02 00 00 33 C9 33 D2 8B 18 FF 93 A4 00 00 00 8B 45 FC 8B 80 78 02 00 00 8B 50 50 52 8B 40 54 50 8B 45 FC 8B 48 4C 8B 45 FC 8B 50 48 8B 45 FC 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 7C 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_73374_0 {
	meta:
		name = "TOleLinkStub.QueryInterface"
		size = 39
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 0C 00 75 07 B8 01 00 00 00 EB 10 8B 55 10 52 8B 55 0C 52 8B 40 0C 50 8B 00 FF 10 5D C2 0C 00 }
	condition:
		$1
}

rule function_73380_0 {
	meta:
		name = "TOleLinkStub.GetSourceDisplayName"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 45 0C 33 D2 89 10 B8 05 40 00 80 5D C2 08 00 }
	condition:
		$1
}

rule function_73384_0 {
	meta:
		name = "TActiveXControl.ReactivateAndUndo"
		size = 12
		altNames = "TCustomMSHTMLParser.RequestNewObjectLayout TCustomMSHTMLParser.SaveObject TCustomMSHTMLParser.ShowObject TOleContainer.DiscardUndoState TOleContainer.RequestNewObjectLayout TOleControl.DiscardUndoState TOleControl.OnControlInfoChanged TOleControl.ShowPropertyFrame TOleLinkStub.UnbindSource TWebBrowserEx.UpdateUI"
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 04 00 }
	condition:
		$1
}

rule function_73389_0 {
	meta:
		name = "TActiveXControl.Initialize"
		size = 236
		refs = "0007 TAutoObject.Initialize 0017 _Dn_TConnectionPoints 001c TConnectionPoints.Create 0028 _DV_TActiveXControlFactory 002d @AsClass 003e TAutoObject.EventConnect 004b TConnectionPoints.CreateConnectionPoint 005e TActiveXControl.Initialize 0070 ParkingWindow 0097 _DV_TReflectorWindow 009c TReflectorWindow.Create"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CB 85 C9 74 03 83 E9 E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 34 8B 43 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 30 83 7E 68 00 74 18 53 68 ?? ?? ?? ?? 8D 56 58 33 C9 8B 43 34 E8 ?? ?? ?? ?? 89 43 38 EB 05 33 C0 89 43 38 6A 00 6A 00 BA ?? ?? ?? ?? B1 01 8B 43 34 E8 ?? ?? ?? ?? 89 43 3C E8 ?? ?? ?? ?? 8B D0 8B 43 30 8B 08 FF 51 20 8B F0 89 73 70 F6 46 59 40 74 1F 8B 43 70 50 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 80 00 00 00 EB 06 89 B3 80 00 00 00 8B 43 70 8B 50 40 89 53 78 8B 50 44 89 53 7C 8B 43 70 89 58 44 8B 13 8B 52 58 89 50 40 8B C3 8B 10 FF 52 40 8B C3 8B 10 FF 52 44 5E 5B C3 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_73390_0 {
	meta:
		name = "TActiveXControl.Destroy"
		size = 111
		refs = "0003 @BeforeDestruction 0025 TObject.Free 0052 TInterfacedObject._Release 005d TComObject.Destroy 0068 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 66 83 7E 7A 00 74 0F 8B 46 70 8B 56 78 89 50 40 8B 56 7C 89 50 44 8B 46 70 E8 ?? ?? ?? ?? 8B 86 80 00 00 00 3B 46 70 74 05 E8 ?? ?? ?? ?? 8B 46 34 E8 ?? ?? ?? ?? 8B 86 88 00 00 00 85 C0 74 0B 33 D2 89 50 0C 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73391_0 {
	meta:
		name = "TActiveXControl.CreateAdviseHolder"
		size = 29
		refs = "000d @IntfClear 0013 CreateOleAdviseHolder"
	strings:
		$1 = { 53 8B D8 83 7B 60 00 75 10 8D 43 60 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_73395_0 {
	meta:
		name = "TActiveXControl.GetPropFromBag"
		size = 196
		refs = "001a @IntfAddRef 002a TActiveXControl.GetPropFromBag 003f @WStrToPWChar 0063 @IntfCast 0070 SetDispatchPropValue 0085 @IntfClear 008d @VarClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 45 F0 50 8B C6 E8 ?? ?? ?? ?? 50 8B 45 0C 50 8B 00 FF 50 0C 85 C0 75 23 8D 45 EC 8B D3 85 D2 74 03 83 EA E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8D 4D F0 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_73396_0 {
	meta:
		name = "TActiveXControl.PutPropInBag"
		size = 172
		refs = "001a @IntfAddRef 0022 TActiveXControl.PutPropInBag 003e @IntfCast 004b GetDispatchPropValue 0056 @WStrToPWChar 0075 @IntfClear 007d @VarClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B D3 85 D2 74 03 83 EA E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8D 4D F0 8B D7 E8 ?? ?? ?? ?? 8D 45 F0 50 8B C6 E8 ?? ?? ?? ?? 50 8B 45 08 50 8B 00 FF 50 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_73400_0 {
	meta:
		name = "TActiveXControl.InPlaceActivate"
		size = 756
		refs = "001a TActiveXControl.InPlaceActivate 0032 TControl.SetVisible 0067 OleError 0072 @IntfClear 0088 OleCheck 0152 TWinControl.SetParentWindow 0187 @HandleAnyException 01c9 HandleException 01d0 @DoneExcept 0216 TWinControl.GetHandle 021c SetFocus 0235 @IntfCast 02b2 IOleInPlaceActiveObject 02bc @FinalizeArray 02c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 C9 89 4D B8 89 4D BC 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 FC 8B 80 80 00 00 00 B2 01 E8 ?? ?? ?? ?? C6 45 FB 00 8B 45 FC 80 B8 85 00 00 00 00 0F 85 94 01 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 83 78 44 00 75 0A B8 05 40 00 80 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 54 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 8B 40 44 50 8B 00 FF 10 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 54 50 8B 00 FF 50 14 85 C0 74 0A B8 05 40 00 80 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 54 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? C6 45 FB 01 8D 45 F4 50 8B 45 FC 8B 40 54 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? C7 45 C0 14 00 00 00 8D 45 C0 50 8D 45 D4 50 8D 45 E4 50 8B 45 FC 83 C0 5C E8 ?? ?? ?? ?? 50 8B 45 FC 83 C0 58 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 54 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 FC 83 78 58 00 75 0A B8 05 40 00 80 E8 ?? ?? ?? ?? 8B 4D EC 8B 45 E4 2B C8 51 8B 4D F0 8B 55 E8 2B CA 51 8B 4D FC 8B 89 80 00 00 00 91 87 D1 8B 38 FF 97 A4 00 00 00 8B 45 FC 8B 80 80 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 80 00 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 FC C6 80 85 00 00 00 01 8B 45 FC 8B 40 44 50 8B 00 FF 50 18 33 C0 5A 59 59 64 89 10 EB 58 E9 ?? ?? ?? ?? 8B 45 FC C6 80 85 00 00 00 00 8B 45 FC 83 C0 5C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 58 E8 ?? ?? ?? ?? 80 7D FB 00 74 0C 8B 45 FC 8B 40 54 50 8B 00 FF 50 2C 8B 45 FC 83 C0 54 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? E9 C7 00 00 00 E8 ?? ?? ?? ?? 84 DB 0F 84 BA 00 00 00 8B 45 FC 80 B8 86 00 00 00 00 0F 85 AA 00 00 00 8B 45 FC C6 80 86 00 00 00 01 8B 45 FC 8B 40 54 50 8B 00 FF 50 1C 8B 45 FC 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8D 45 BC 8B 55 FC 85 D2 74 03 83 EA E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 50 8B 45 FC 8B 40 58 50 8B 00 FF 50 20 8B 45 FC 83 78 5C 00 74 29 6A 00 8D 45 B8 8B 55 FC 85 D2 74 03 83 EA E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 50 8B 45 FC 8B 40 5C 50 8B 00 FF 50 20 6A 00 8B 45 FC 8B 40 58 50 8B 00 FF 50 1C 8B 45 FC 83 78 5C 00 74 0E 6A 00 8B 45 FC 8B 40 5C 50 8B 00 FF 50 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 19 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 17 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_73401_0 {
	meta:
		name = "TActiveXControl.LoadFromStream"
		size = 82
		refs = "000a _DV_TOleStream 0011 TOleStream.Create 001c TActiveXControl.LoadFromStream 002d TStream.ReadComponent 0042 TObject.Free 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 70 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_73402_0 {
	meta:
		name = "TActiveXControl.ObjQueryInterface"
		size = 188
		refs = "000d TActiveXControl.ObjQueryInterface 0014 IsEqualGUID 0033 TComObject.ObjQueryInterface 0062 _DV_TOleLinkStub 0067 TOleLinkStub.Create 0075 TInterfacedObject._AddRef 008f @IntfCast"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 10 8B 43 30 F6 40 72 01 75 07 BF 02 40 00 80 EB 67 8B 45 10 50 56 53 E8 ?? ?? ?? ?? 8B F8 85 FF 74 56 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 46 83 BB 88 00 00 00 00 75 23 8B CB 85 C9 74 03 83 E9 E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 88 00 00 00 56 E8 ?? ?? ?? ?? 8B 45 10 8B 93 88 00 00 00 85 D2 74 03 83 EA F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 5F 5E 5B 5D C2 0C 00 01 0E 2B 74 E6 14 1B 10 91 4E 00 AA 00 30 0C AB 1D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_73404_0 {
	meta:
		name = "TActiveXControl.GetPropertyID"
		size = 79
		refs = "000c @WStrToPWChar 0019 @WStrEqual 002a GetThreadLocale 0037 GUID_NULL 0043 OleCheck"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 8B C3 33 D2 E8 ?? ?? ?? ?? 75 09 C7 04 24 FF FF FF FF EB 1F 54 E8 ?? ?? ?? ?? 50 6A 01 8D 44 24 10 50 A1 ?? ?? ?? ?? 50 56 8B 06 FF 50 10 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_73406_0 {
	meta:
		name = "TActiveXControl.PropChanged"
		size = 216
		refs = "0019 tagCONNECTDATA 001e @InitializeRecord 0026 TActiveXControl.PropChanged 0034 @IntfClear 003e TConnectionPoint.EnumConnections 0043 OleCheck 0056 @IntfCast 0079 @FinalizeRecord 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 4D FC 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 46 3C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 53 8D 45 EC 8B 55 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 0C 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 01 8B 45 FC 50 8B 00 FF 50 0C 85 C0 74 BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5E 5B 8B E5 5D C3 00 00 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_73409_0 {
	meta:
		name = "TActiveXControl.DoPropRequestEdit"
		size = 228
		refs = "001a tagCONNECTDATA 001f @InitializeRecord 0027 TActiveXControl.DoPropRequestEdit 0037 @IntfClear 0041 TConnectionPoint.EnumConnections 0046 OleCheck 0059 @IntfCast 0082 @FinalizeRecord 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D FC 8B F2 8B F8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC E8 ?? ?? ?? ?? 50 8B 47 3C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 56 8D 45 EC 8B 55 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 10 8B D8 8D 45 F4 E8 ?? ?? ?? ?? 85 DB 75 22 8D 45 F0 50 8B 15 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 50 6A 01 8B 45 FC 50 8B 00 FF 50 0C 85 C0 74 B6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 8B C3 5F 5E 5B 8B E5 5D C3 00 00 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_73410_0 {
	meta:
		name = "TActiveXControl.RecreateWnd"
		size = 113
		refs = "000c TWinControl.HandleAllocated 0024 TWinControl.GetHandle 002a GetWindow 0032 TActiveXControl.InPlaceDeactivate 0049 TActiveXControl.InPlaceActivate 0069 SetWindowPos"
	strings:
		$1 = { 53 56 57 8B F0 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 59 0F B6 9E 86 00 00 00 6A 03 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 56 E8 ?? ?? ?? ?? 8B 86 80 00 00 00 8B 10 FF 92 CC 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 75 1C 6A 13 6A 00 6A 00 6A 00 6A 00 57 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73411_0 {
	meta:
		name = "TActiveXControl.SaveToStream"
		size = 160
		refs = "000c _DV_TOleStream 0013 TOleStream.Create 001e TActiveXControl.SaveToStream 0033 _Dn_TWriter 0038 TFiler.Create 005d TWriter.WriteDescendent 0072 TObject.Free 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 10 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 C6 40 24 01 8B 53 70 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_73412_0 {
	meta:
		name = "TActiveXControl.ShowPropertyDialog"
		size = 364
		refs = "0015 TActiveXControl.ShowPropertyDialog 0045 TActiveXControl.GetPages 004a OleCheck 0099 @IntfCopy 00ae @IntfDispCall 00b9 @WStrToPWChar 00cd GetSystemDefaultLCID 00d7 GetActiveWindow 00e6 OleCreatePropertyFrame 0115 @HandleFinally 012c CoFreeMem 0149 @WStrClr 0151 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 D2 89 55 EC 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 78 48 00 74 14 8B 45 F8 8B 40 48 50 8B 00 FF 50 24 85 C0 0F 84 FC 00 00 00 8D 45 F0 50 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F0 00 0F 8E B5 00 00 00 8B 45 F8 83 78 58 00 74 0E 6A 00 8B 45 F8 8B 40 58 50 8B 00 FF 50 34 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F8 85 D2 74 03 83 EA E4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F8 8B 40 50 50 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 EC E8 ?? ?? ?? ?? 50 6A 01 8D 45 FC 50 8B 45 F0 50 8B 45 F4 50 E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? B9 10 00 00 00 BA 10 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 83 78 58 00 74 0E 6A FF 8B 45 F8 8B 40 58 50 8B 00 FF 50 34 C3 E9 ?? ?? ?? ?? EB E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 00 00 00 42 FD FF FF 08 02 00 00 }
	condition:
		$1
}

rule function_73413_0 {
	meta:
		name = "TActiveXControl.SetInPlaceSite"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 54 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73414_0 {
	meta:
		name = "TActiveXControl.StdClickEvent"
		size = 36
		refs = "0007 TActiveXControl.StdClickEvent 0012 @IntfDispCall"
	strings:
		$1 = { 83 78 24 00 74 13 68 ?? ?? ?? ?? 8B 40 24 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C C3 00 00 A8 FD FF FF 00 01 00 00 }
	condition:
		$1
}

rule function_73415_0 {
	meta:
		name = "TActiveXControl.StdDblClickEvent"
		size = 36
		refs = "0007 TActiveXControl.StdDblClickEvent 0012 @IntfDispCall"
	strings:
		$1 = { 83 78 24 00 74 13 68 ?? ?? ?? ?? 8B 40 24 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C C3 00 00 A7 FD FF FF 00 01 00 00 }
	condition:
		$1
}

rule function_73416_0 {
	meta:
		name = "TActiveXControl.StdKeyDownEvent"
		size = 64
		refs = "0014 GetEventShift 001b TActiveXControl.StdKeyDownEvent 0026 @IntfDispCall"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 83 7B 24 00 74 1E 0F B7 45 08 E8 ?? ?? ?? ?? 50 56 68 ?? ?? ?? ?? 8B 43 24 50 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5E 5B 5D C2 04 00 00 A6 FD FF FF 00 01 02 00 82 02 00 00 }
	condition:
		$1
}

rule function_73417_0 {
	meta:
		name = "TActiveXControl.StdKeyPressEvent"
		size = 60
		refs = "0013 TActiveXControl.StdKeyPressEvent 001e @IntfDispCall"
	strings:
		$1 = { 53 51 8B D9 83 78 24 00 74 22 0F B7 13 66 89 14 24 54 68 ?? ?? ?? ?? 8B 40 24 50 6A 00 E8 ?? ?? ?? ?? 83 C4 10 0F B7 04 24 66 89 03 5A 5B C3 00 A5 FD FF FF 00 01 01 00 82 00 00 00 }
	condition:
		$1
}

rule function_73418_0 {
	meta:
		name = "TActiveXControl.StdKeyUpEvent"
		size = 64
		refs = "0014 GetEventShift 001b TActiveXControl.StdKeyUpEvent 0026 @IntfDispCall"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 83 7B 24 00 74 1E 0F B7 45 08 E8 ?? ?? ?? ?? 50 56 68 ?? ?? ?? ?? 8B 43 24 50 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5E 5B 5D C2 04 00 00 A4 FD FF FF 00 01 02 00 82 02 00 00 }
	condition:
		$1
}

rule function_73419_0 {
	meta:
		name = "TActiveXControl.StdMouseDownEvent"
		size = 80
		refs = "001c GetEventShift 0024 GetEventButton 002a TActiveXControl.StdMouseDownEvent 0035 @IntfDispCall"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 8B F0 83 7E 24 00 74 2D 8B 45 08 50 8B 45 0C 50 0F B7 45 10 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 46 24 50 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 5E 5B 5D C2 0C 00 00 00 A3 FD FF FF 00 01 04 00 02 02 03 03 }
	condition:
		$1
}

rule function_73420_0 {
	meta:
		name = "TActiveXControl.StdMouseMoveEvent"
		size = 84
		refs = "001e GetEventShift 0030 TActiveXControl.StdMouseMoveEvent 003b @IntfDispCall"
	strings:
		$1 = { 55 8B EC 51 53 66 89 4D FE 8B D8 83 7B 24 00 74 31 8B 45 08 50 8B 45 0C 50 0F B7 45 FE E8 ?? ?? ?? ?? 50 0F B7 45 FE C1 E8 03 66 83 E0 07 50 68 ?? ?? ?? ?? 8B 43 24 50 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 5B 59 5D C2 08 00 A2 FD FF FF 00 01 04 00 02 02 03 03 }
	condition:
		$1
}

rule function_73421_0 {
	meta:
		name = "TActiveXControl.StdMouseUpEvent"
		size = 80
		refs = "001c GetEventShift 0024 GetEventButton 002a TActiveXControl.StdMouseUpEvent 0035 @IntfDispCall"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 8B F0 83 7E 24 00 74 2D 8B 45 08 50 8B 45 0C 50 0F B7 45 10 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 46 24 50 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 5E 5B 5D C2 0C 00 00 00 A1 FD FF FF 00 01 04 00 02 02 03 03 }
	condition:
		$1
}

rule function_73422_0 {
	meta:
		name = "TActiveXControl.ViewChanged"
		size = 38
		refs = "0020 @IntfClear"
	strings:
		$1 = { 53 8B D8 83 7B 68 00 74 1B 6A FF 6A 01 8B 43 68 50 8B 00 FF 50 10 F6 43 6C 04 74 08 8D 43 68 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73423_0 {
	meta:
		name = "ControlWndProc"
		size = 73
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8B 5B FC 8B 03 3D 00 20 00 00 72 0D 3D 00 24 00 00 73 06 81 03 00 9C 00 00 8B 45 08 8B 70 F8 8B D3 8B 46 7C FF 56 78 8B 03 3D 00 BC 00 00 72 0D 3D 00 C0 00 00 73 06 81 2B 00 9C 00 00 5E 5B 5D C3 }
	condition:
		$1
}

rule function_73424_0 {
	meta:
		name = "TActiveXControl.WndProc"
		size = 592
		refs = "00c8 ControlWndProc 0111 TControl.SetVisible 0129 TActiveXControl.UIDeactivate 015a TActiveXControl.RecreateWnd 016e TActiveXControl.ViewChanged 01e1 TActiveXControl.WndProc 01ef @IntfDispCall 0201 TActiveXControl.InPlaceActivate"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 89 45 F8 8B 45 F8 8B 40 70 8B B8 60 02 00 00 8B 75 FC 8B 36 81 FE 00 B0 00 00 72 08 81 FE 00 C0 00 00 72 15 8B 45 F8 83 78 4C 00 74 0C 8B 45 F8 80 B8 85 00 00 00 00 75 04 33 DB EB 02 B3 01 84 DB 74 2E 8D 45 F4 50 8B 45 FC 83 C0 0C 50 8B 45 FC 8B 40 08 50 8B 45 FC 8B 40 04 50 56 57 8B 45 F8 8B 40 4C 50 8B 00 FF 50 0C 48 0F 84 C1 01 00 00 8B 45 FC 8B 00 3D 84 00 00 00 7F 25 0F 84 09 01 00 00 83 C0 F9 83 E8 02 72 2F 83 E8 03 0F 84 D7 00 00 00 83 E8 15 0F 84 0B 01 00 00 E9 59 01 00 00 2D 0B B0 00 00 74 44 83 E8 28 74 7F 48 0F 84 B6 00 00 00 E9 41 01 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 F8 83 78 48 00 0F 84 34 01 00 00 8B 45 FC 83 38 07 0F 94 C0 F6 D8 1B C0 50 8B 45 F8 8B 40 48 50 8B 00 FF 50 20 E9 15 01 00 00 8B 45 F8 8B 80 80 00 00 00 8B 55 F8 8B 52 70 3B C2 74 09 0F B6 52 61 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 80 00 00 00 80 78 61 00 75 09 8B 45 F8 50 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 E9 D5 00 00 00 8B 45 F8 80 B8 85 00 00 00 00 74 1E 8B 45 F8 8B 40 70 8B 55 F8 3B 82 80 00 00 00 75 0D 8B 45 F8 E8 ?? ?? ?? ?? E9 AB 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? E9 97 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 F8 80 B8 85 00 00 00 00 0F 85 80 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 76 55 E8 ?? ?? ?? ?? 59 8B 45 FC 83 78 0C FF 75 66 8B 45 FC C7 40 0C 01 00 00 00 EB 5A 55 E8 ?? ?? ?? ?? 59 8B 45 F8 80 B8 86 00 00 00 00 75 47 8B 75 FC 8B 76 0C 83 FE 01 74 05 83 FE 02 75 37 8B 45 F8 83 78 50 00 74 2E 68 ?? ?? ?? ?? 8B 45 F8 8B 40 50 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 66 85 C0 74 13 B2 01 8B 45 F8 E8 ?? ?? ?? ?? EB 07 55 E8 ?? ?? ?? ?? 59 84 DB 74 2C 8B 45 F4 50 8B 45 FC 83 C0 0C 50 8B 45 FC 8B 40 08 50 8B 45 FC 8B 40 04 50 8B 45 FC 8B 00 50 57 8B 45 F8 8B 40 4C 50 8B 00 FF 50 10 5F 5E 5B 8B E5 5D C3 00 00 00 3B FD FF FF 0B 02 00 00 }
	condition:
		$1
}

rule function_73425_0 {
	meta:
		name = "TActiveXControl.Get_BackColor"
		size = 62
		refs = "000e TActiveXControl.Get_BackColor 0031 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 70 8B 40 74 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73426_0 {
	meta:
		name = "TActiveXControl.Get_Caption"
		size = 95
		refs = "001b TActiveXControl.Get_Caption 002c TControl.GetText 0037 @WStrFromUStr 0049 @HandleAutoException 0051 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 70 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_73432_0 {
	meta:
		name = "TActiveXControl.Get_Text"
		size = 95
		refs = "001b TActiveXControl.Get_Text 002c TControl.GetText 0037 @WStrFromUStr 0049 @HandleAutoException 0051 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 70 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_73427_0 {
	meta:
		name = "TActiveXControl.Get_Enabled"
		size = 69
		refs = "000e TActiveXControl.Get_Enabled 0038 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 70 8B 10 FF 52 68 F6 D8 1B C0 8B 55 0C 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73428_0 {
	meta:
		name = "TActiveXControl.Get_Font"
		size = 76
		refs = "0019 TActiveXControl.Get_Font 002d GetOleFont 003f @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 0C 8B 43 70 8B 40 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73429_0 {
	meta:
		name = "TActiveXControl.Get_ForeColor"
		size = 65
		refs = "000e TActiveXControl.Get_ForeColor 0034 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 70 8B 40 6C 8B 40 18 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73430_0 {
	meta:
		name = "TActiveXControl.Get_HWnd"
		size = 64
		refs = "000e TActiveXControl.Get_HWnd 001c TWinControl.GetHandle 0033 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 70 E8 ?? ?? ?? ?? 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73431_0 {
	meta:
		name = "TActiveXControl.Get_TabStop"
		size = 70
		refs = "000e TActiveXControl.Get_TabStop 0039 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 70 80 B8 F0 01 00 00 01 F5 1B C0 8B 55 0C 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73433_0 {
	meta:
		name = "TActiveXControl.Set_BackColor"
		size = 62
		refs = "000e TActiveXControl.Set_BackColor 001f TControl.SetColor 0031 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 0C 8B 40 70 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73434_0 {
	meta:
		name = "TActiveXControl.Set_Caption"
		size = 84
		refs = "0010 TActiveXControl.Set_Caption 0021 @UStrFromWStr 002c TControl.SetText 003e @HandleAutoException 0046 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 43 70 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_73439_0 {
	meta:
		name = "TActiveXControl.Set_Text"
		size = 84
		refs = "0010 TActiveXControl.Set_Text 0021 @UStrFromWStr 002c TControl.SetText 003e @HandleAutoException 0046 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 43 70 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_73435_0 {
	meta:
		name = "TActiveXControl.Set_Enabled"
		size = 70
		refs = "000e TActiveXControl.Set_Enabled 0039 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 83 7D 0C 01 1B D2 42 8B 40 70 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73436_0 {
	meta:
		name = "TActiveXControl.Set_Font"
		size = 65
		refs = "000e TActiveXControl.Set_Font 0022 SetOleFont 0034 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 70 8B 40 6C 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73437_0 {
	meta:
		name = "TActiveXControl.Set_ForeColor"
		size = 65
		refs = "000e TActiveXControl.Set_ForeColor 0022 TFont.SetColor 0034 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 70 8B 40 6C 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73438_0 {
	meta:
		name = "TActiveXControl.Set_TabStop"
		size = 67
		refs = "000e TActiveXControl.Set_TabStop 0024 TWinControl.SetTabStop 0036 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 83 7D 0C 01 1B D2 42 8B 40 70 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73440_0 {
	meta:
		name = "TActiveXControl.GetClassID"
		size = 31
		altNames = "TActiveXControl.GetUserClassID"
	strings:
		$1 = { 55 8B EC 56 57 8B 45 08 8B 40 08 8B 55 0C 8D 70 10 8B FA A5 A5 A5 A5 33 C0 5F 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_73442_0 {
	meta:
		name = "TActiveXControl.PersistPropBagLoad"
		size = 452
		refs = "0018 TActiveXControl.PersistPropBagLoad 004b _Dn_TStringList 0050 TStringList.Create 007c @IntfCast 0085 GUID_NULL 008c EnumDispatchProperties 00d7 @WStrFromUStr 0100 @HandleAnyException 0105 ExceptObject 010b _Dn_EAbort 0110 @IsClass 011e @DoneExcept 0123 @TryFinallyExit 0153 TObject.Free 0159 @HandleFinally 0171 HandleException 018d @UStrClr 0195 @WStrClr 019d @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C0 89 45 EC 89 45 E8 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 0C 00 75 12 BB 03 40 00 80 33 C0 5A 59 59 64 89 10 E9 34 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8D 45 F0 8B 55 08 85 D2 74 03 83 EA E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 15 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 48 85 C0 0F 8C A1 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 45 10 50 8D 4D E8 8B 55 F8 8B 45 FC 8B 18 FF 53 0C 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 50 8B 55 F8 8B 45 FC 8B 08 FF 51 18 8B C8 8B 45 08 5A 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 BB 05 40 00 80 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 4B E8 ?? ?? ?? ?? FF 45 F8 FF 4D F4 0F 85 6A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_73443_0 {
	meta:
		name = "TActiveXControl.PersistPropBagSave"
		size = 360
		refs = "0010 TActiveXControl.PersistPropBagSave 0043 _Dn_TStringList 0048 TStringList.Create 0074 @IntfCast 007d GUID_NULL 0084 EnumDispatchProperties 00b2 @WStrFromUStr 00e4 TObject.Free 00ea @HandleFinally 010d @HandleAnyException 0112 HandleException 0119 @DoneExcept 012e @UStrClr 0136 @WStrClr 013e @IntfClear"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 0C 00 75 12 BB 03 40 00 80 33 C0 5A 59 59 64 89 10 E9 DD 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8D 45 F8 8B 55 08 85 D2 74 03 83 EA E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 3C 46 33 DB 8B 45 0C 50 8D 4D F0 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B D3 8B 45 FC 8B 08 FF 51 18 8B C8 8B 45 08 5A 8B 38 FF 57 50 43 4E 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D 10 00 74 0A 8B 45 08 C6 80 84 00 00 00 00 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_73444_0 {
	meta:
		name = "TActiveXControl.IsDirty"
		size = 28
	strings:
		$1 = { 55 8B EC 8B 45 08 80 B8 84 00 00 00 00 74 04 33 C0 EB 05 B8 01 00 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_73445_0 {
	meta:
		name = "TActiveXControl.PersistStreamLoad"
		size = 78
		refs = "000d TActiveXControl.PersistStreamLoad 0035 @HandleAnyException 003a HandleException 0041 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 0C 8B C3 8B 08 FF 51 48 C6 83 84 00 00 00 00 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73446_0 {
	meta:
		name = "TActiveXControl.PersistStreamSave"
		size = 84
		refs = "000d TActiveXControl.PersistStreamSave 003b @HandleAnyException 0040 HandleException 0047 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 0C 8B C3 8B 08 FF 51 54 83 7D 10 00 74 07 C6 83 84 00 00 00 00 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_73448_0 {
	meta:
		name = "TActiveXControl.InitNew"
		size = 68
		refs = "000d TActiveXControl.InitNew 002b @HandleAnyException 0030 HandleException 0037 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 80 84 00 00 00 00 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73450_0 {
	meta:
		name = "TActiveXControl.PersistStorageLoad"
		size = 200
		refs = "000f TActiveXControl.PersistStorageLoad 002b @IntfClear 0045 OleCheck 0067 @HandleAnyException 006c HandleException 0073 @DoneExcept 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 10 6A 00 68 ?? ?? ?? ?? 8B 45 0C 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 48 C6 83 84 00 00 00 00 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 08 00 00 00 43 00 4F 00 4E 00 54 00 52 00 4F 00 4C 00 53 00 41 00 56 00 45 00 53 00 54 00 52 00 45 00 41 00 4D 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_73451_0 {
	meta:
		name = "TActiveXControl.PersistStorageSave"
		size = 196
		refs = "000f TActiveXControl.PersistStorageSave 002b @IntfClear 0048 OleCheck 0063 @HandleAnyException 0068 HandleException 006f @DoneExcept 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 68 11 10 00 00 68 ?? ?? ?? ?? 8B 45 0C 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 54 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 0C 00 00 00 43 00 4F 00 4E 00 54 00 52 00 4F 00 4C 00 53 00 41 00 56 00 45 00 53 00 54 00 52 00 45 00 41 00 4D 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_73452_0 {
	meta:
		name = "TActiveXControl.SaveCompleted"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 45 08 C6 80 84 00 00 00 00 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_73454_0 {
	meta:
		name = "TActiveXControl.GetInterfaceSafetyOptions"
		size = 139
		refs = "0012 TActiveXControl.GetInterfaceSafetyOptions 0031 @IntfClear 003c TComObject.QueryInterface 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 7D 10 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 06 83 7D 14 00 75 07 BE 03 40 00 80 EB 37 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 0C 50 53 E8 ?? ?? ?? ?? 8B F0 85 F6 75 13 C7 07 03 00 00 00 8B 43 40 83 E0 03 8B 55 14 89 02 EB 0B 33 C0 89 07 8B 45 14 33 D2 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_95246_0 {
	meta:
		name = "TCustomElementBehavior.GetInterfaceSafetyOptions"
		size = 139
		refs = "0012 TCustomElementBehavior.GetInterfaceSafetyOptions 0031 @IntfClear 003c TComObject.QueryInterface 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 7D 10 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 06 83 7D 14 00 75 07 BE 03 40 00 80 EB 37 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 0C 50 53 E8 ?? ?? ?? ?? 8B F0 85 F6 75 13 C7 07 03 00 00 00 8B 43 40 83 E0 03 8B 55 14 89 02 EB 0B 33 C0 89 07 8B 45 14 33 D2 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_73455_0 {
	meta:
		name = "TActiveXControl.SetInterfaceSafetyOptions"
		size = 96
		refs = "000e TActiveXControl.SetInterfaceSafetyOptions 001c @IntfClear 0027 TComObject.QueryInterface 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 0C 50 53 E8 ?? ?? ?? ?? 8B F0 85 F6 75 09 8B 45 14 23 45 10 89 43 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_95247_0 {
	meta:
		name = "TCustomElementBehavior.SetInterfaceSafetyOptions"
		size = 96
		refs = "000e TCustomElementBehavior.SetInterfaceSafetyOptions 001c @IntfClear 0027 TComObject.QueryInterface 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 0C 50 53 E8 ?? ?? ?? ?? 8B F0 85 F6 75 09 8B 45 14 23 45 10 89 43 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_73456_0 {
	meta:
		name = "TActiveXControl.SetClientSite"
		size = 204
		refs = "0022 @IntfCopy 002a @IntfClear 0030 TActiveXControl.SetClientSite 006c TActiveXControl.OnAmbientPropertyChange"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 0C 8B 5D 08 85 F6 74 63 83 7B 44 00 74 07 B8 05 40 00 80 EB 78 8D 43 44 8B D6 E8 ?? ?? ?? ?? 8D 43 48 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 56 8B 06 FF 10 8B 43 30 F6 40 72 01 74 13 8D 43 4C E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 56 8B 06 FF 10 8D 43 50 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 56 8B 06 FF 10 6A 00 53 E8 ?? ?? ?? ?? EB 20 8D 43 50 E8 ?? ?? ?? ?? 8D 43 4C E8 ?? ?? ?? ?? 8D 43 48 E8 ?? ?? ?? ?? 8D 43 44 E8 ?? ?? ?? ?? 33 C0 5E 5B 5D C2 08 00 00 00 89 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 01 0E 2B 74 E6 14 1B 10 91 4E 00 AA 00 30 0C AB 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_73457_0 {
	meta:
		name = "TActiveXControl.GetClientSite"
		size = 36
		refs = "0019 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 0C 8B 53 44 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73458_0 {
	meta:
		name = "TActiveScriptSite.OnScriptTerminate"
		size = 9
		altNames = "TActiveXControl.SetHostNames TChartSeries.ClickedPointer TCustomBGColorBehavior.onresizeevent TCustomBinaryElementBehavior.CreateWithImplementation TCustomElementBehavior.MapSize TCustomElementBehaviorFactory.CreateWithImplementation TCustomElementServices.GetElementColor TOleControl.SetActiveObject TOleUILinkInfo.GetLastUpdate TSelectionServicesListenter.OnChangeType TWinControl.DockReplaceDockClient"
	strings:
		$1 = { 55 8B EC 33 C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_73459_0 {
	meta:
		name = "TActiveXControl.Close"
		size = 109
		refs = "0009 Application 0010 TApplication.CancelHint 0036 _DV_TActiveFormControl 003b @IsClass 004a _DV_TActiveForm 0063 TActiveXControl.InPlaceDeactivate"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 83 7D 0C 01 74 18 80 BB 84 00 00 00 00 74 0F 83 7B 44 00 74 09 8B 43 44 50 8B 00 FF 50 0C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B 73 70 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 0C 01 00 00 53 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73461_0 {
	meta:
		name = "TActiveXControl.GetMoniker"
		size = 23
		altNames = "TCustomMSHTMLParser.GetMoniker TOleControl.GetMoniker"
	strings:
		$1 = { 55 8B EC 8B 45 14 85 C0 74 04 33 D2 89 10 B8 01 40 00 80 5D C2 10 00 }
	condition:
		$1
}

rule function_73463_0 {
	meta:
		name = "TActiveXControl.EnumFormatEtc"
		size = 23
		altNames = "TActiveXControl.GetClipboardData"
	strings:
		$1 = { 55 8B EC 8B 45 10 85 C0 74 04 33 D2 89 10 B8 01 40 00 80 5D C2 0C 00 }
	condition:
		$1
}

rule function_73464_0 {
	meta:
		name = "TActiveXControl.DoVerb"
		size = 200
		refs = "0010 TActiveXControl.DoVerb 0050 TActiveXControl.InPlaceActivate 006e TControl.SetVisible 0079 TActiveXControl.ShowPropertyDialog 00af @HandleAnyException 00b4 HandleException 00bb @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 83 C0 07 83 F8 07 77 5D FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 4C 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 3F 8B 83 80 00 00 00 33 D2 E8 ?? ?? ?? ?? 33 DB EB 2E 8B C3 E8 ?? ?? ?? ?? 33 DB EB 23 8B 43 30 8B 40 78 8B D6 8B 08 FF 51 5C 85 C0 7C 0D 8B D6 8B C3 8B 08 FF 51 4C 33 DB EB 05 BB 80 01 04 00 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_73465_0 {
	meta:
		name = "TActiveXControl.EnumVerbs"
		size = 44
		refs = "0016 @IntfClear 0023 OleRegEnumVerbs"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 0C E8 ?? ?? ?? ?? 50 8B 43 08 83 C0 10 50 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73469_0 {
	meta:
		name = "TActiveXControl.GetUserType"
		size = 30
		refs = "0016 OleRegGetUserType"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 10 52 8B 55 0C 52 8B 40 08 83 C0 10 50 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_73470_0 {
	meta:
		name = "TActiveXControl.SetExtent"
		size = 155
		refs = "0010 TActiveXControl.SetExtent 0026 OleError 0030 Screen 003e MulDiv 0082 @HandleAnyException 0087 HandleException 008e @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 10 8B 5D 08 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 7D 0C 01 74 0A B8 6B 00 04 80 E8 ?? ?? ?? ?? 68 EC 09 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 48 50 8B 06 50 E8 ?? ?? ?? ?? 8B F8 68 EC 09 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 48 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B D0 8B 83 80 00 00 00 57 52 8B 48 4C 8B 50 48 8B 18 FF 93 A4 00 00 00 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_73471_0 {
	meta:
		name = "TActiveXControl.GetExtent"
		size = 99
		refs = "0019 Screen 0033 MulDiv"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 10 8B 5D 08 83 7D 0C 01 74 07 B8 6B 00 04 80 EB 45 A1 ?? ?? ?? ?? 8B 00 8B 40 48 50 68 EC 09 00 00 8B 83 80 00 00 00 8B 40 50 50 E8 ?? ?? ?? ?? 89 06 A1 ?? ?? ?? ?? 8B 00 8B 40 48 50 68 EC 09 00 00 8B 83 80 00 00 00 8B 40 54 50 E8 ?? ?? ?? ?? 89 46 04 33 C0 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_73472_0 {
	meta:
		name = "TActiveXControl.Advise"
		size = 40
		refs = "000a TActiveXControl.CreateAdviseHolder"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 85 C0 75 11 8B 45 10 50 8B 45 0C 50 8B 43 60 50 8B 00 FF 50 0C 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_73473_0 {
	meta:
		name = "TActiveXControl.Unadvise"
		size = 36
		refs = "000a TActiveXControl.CreateAdviseHolder"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0D 8B 45 0C 50 8B 43 60 50 8B 00 FF 50 10 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73474_0 {
	meta:
		name = "TActiveXControl.EnumAdvise"
		size = 52
		refs = "0015 TActiveXControl.CreateAdviseHolder 0021 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B C3 E8 ?? ?? ?? ?? 85 C0 75 12 8B 45 0C E8 ?? ?? ?? ?? 50 8B 43 60 50 8B 00 FF 50 14 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73475_0 {
	meta:
		name = "TActiveXControl.GetMiscStatus"
		size = 36
	strings:
		$1 = { 55 8B EC 8B 45 08 83 7D 0C 01 74 07 B8 6B 00 04 80 EB 0D 8B 40 30 8B 40 70 8B 55 10 89 02 33 C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_73477_0 {
	meta:
		name = "TActiveXControl.GetControlInfo"
		size = 34
	strings:
		$1 = { 55 8B EC 8B 45 0C C7 00 10 00 00 00 33 D2 89 50 04 66 C7 40 08 00 00 33 D2 89 50 0C 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_73478_0 {
	meta:
		name = "TActiveXControl.OnFrameWindowActivate"
		size = 17
		refs = "0009 TActiveXControl.InPlaceActivate"
		altNames = "TActiveXControl.OnMnemonic"
	strings:
		$1 = { 55 8B EC 8B 45 08 B2 01 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_73479_0 {
	meta:
		name = "TActiveXControl.OnAmbientPropertyChange"
		size = 376
		refs = "0012 TActiveXControl.OnAmbientPropertyChange 0057 @IntfDispCall 006c TControl.Perform 007b @HandleAnyException 0080 @DoneExcept 00a1 _Dn_TFont 00a6 TFont.Create 00d7 TFont.SetColor 00fa SetOleFont 0132 TObject.Free 0149 @IntfClear 014f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 98 80 00 00 00 85 DB 0F 84 09 01 00 00 8B 45 08 83 78 50 00 0F 84 FC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 08 8B 40 50 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 50 8B C3 B9 01 00 00 00 BA 09 B0 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8B 45 08 8B 80 80 00 00 00 B9 01 00 00 00 BA 11 B0 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 08 8B 40 50 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 8B D0 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 8B 40 50 50 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 08 8B 80 80 00 00 00 B9 01 00 00 00 BA 08 B0 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 08 00 43 FD FF FF 03 02 00 00 40 FD FF FF 03 02 00 00 41 FD FF FF 09 02 00 00 }
	condition:
		$1
}

rule function_73480_0 {
	meta:
		name = "TActiveXControl.FreezeEvents"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 45 08 83 7D 0C 01 1B D2 42 88 90 87 00 00 00 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_73481_0 {
	meta:
		name = "TActiveXControl.GetWindow"
		size = 52
		refs = "000e TWinControl.HandleAllocated 001d TWinControl.GetHandle"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 14 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 8B 55 0C 89 02 33 C0 EB 05 B8 05 40 00 80 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73483_0 {
	meta:
		name = "TActiveXControl.InPlaceDeactivate"
		size = 113
		refs = "0019 TActiveXControl.UIDeactivate 0026 TControl.SetVisible 002b ParkingWindow 0038 TWinControl.SetParentWindow 0040 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 80 BB 85 00 00 00 00 74 4D C6 83 85 00 00 00 00 53 E8 ?? ?? ?? ?? 33 D2 8B 83 80 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 8D 43 5C E8 ?? ?? ?? ?? 8D 43 58 E8 ?? ?? ?? ?? 8B 43 54 50 8B 00 FF 50 2C 8D 43 54 E8 ?? ?? ?? ?? 33 D2 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73484_0 {
	meta:
		name = "TActiveXControl.UIDeactivate"
		size = 73
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 80 BB 86 00 00 00 00 74 32 C6 83 86 00 00 00 00 83 7B 5C 00 74 0D 6A 00 6A 00 8B 43 5C 50 8B 00 FF 50 20 6A 00 6A 00 8B 43 58 50 8B 00 FF 50 20 6A 00 8B 43 54 50 8B 00 FF 50 28 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73485_0 {
	meta:
		name = "TActiveXControl.SetObjectRects"
		size = 215
		refs = "0016 TActiveXControl.SetObjectRects 0041 TWinControl.HandleAllocated 0055 IntersectRect 0063 EqualRect 007b OffsetRect 0084 CreateRectRgnIndirect 0098 TWinControl.GetHandle 009e SetWindowRgn 00ab TControl.SetBoundsRect 00bc @HandleAnyException 00c1 HandleException 00c8 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B 7D 10 8B 5D 0C 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 04 85 FF 75 12 BB 03 40 00 80 33 C0 5A 59 59 64 89 10 E9 92 00 00 00 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 66 33 C0 89 45 FC 57 53 8D 45 EC 50 E8 ?? ?? ?? ?? 85 C0 74 2E 53 8D 45 EC 50 E8 ?? ?? ?? ?? 85 C0 75 20 8B 43 04 F7 D8 50 8B 03 F7 D8 50 8D 45 EC 50 E8 ?? ?? ?? ?? 8D 45 EC 50 E8 ?? ?? ?? ?? 89 45 FC 6A FF 8B 45 FC 50 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D3 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_73487_0 {
	meta:
		name = "TActiveXControl.TranslateAccelerator"
		size = 359
		refs = "0026 FindControl 0034 GetParent 006e TControl.Perform 00f4 TranslateMessage 00fa DispatchMessage 0114 GetParentForm 0142 GetKeyModifiers"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 0C 8B 43 04 3D 00 01 00 00 0F 82 20 01 00 00 3D 09 01 00 00 0F 87 15 01 00 00 8B 03 E8 ?? ?? ?? ?? 8B F8 85 FF 75 1F 8B 33 56 E8 ?? ?? ?? ?? 8B F0 85 F6 74 09 8B C6 E8 ?? ?? ?? ?? 8B F8 85 F6 74 04 85 FF 74 E3 85 FF 0F 84 E1 00 00 00 33 F6 81 7B 04 00 01 00 00 75 18 57 8B 4B 08 BA 2E B0 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 85 E3 00 00 00 33 C0 89 45 FC 8B 43 08 83 F8 1B 7F 13 74 32 83 E8 03 74 2D 83 E8 06 74 16 83 E8 04 74 23 EB 28 83 C0 DF 83 E8 08 72 10 83 E8 02 74 14 EB 19 C7 45 FC 02 00 00 00 EB 10 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 04 00 00 00 83 7D FC 00 74 38 6A 00 8B 4B 08 BA 1E B0 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 75 15 6A 00 33 C9 BA 87 00 00 00 8B C7 E8 ?? ?? ?? ?? 23 45 FC 74 0E 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? EB 5D 81 7B 04 00 01 00 00 75 13 83 7F 38 00 74 0D B2 01 8B C7 E8 ?? ?? ?? ?? 8B F8 EB 02 33 FF 85 FF 74 16 8B 43 0C 50 8B 4B 08 BA 05 B0 00 00 8B C7 E8 ?? ?? ?? ?? 48 74 25 8B 45 08 83 78 48 00 74 17 E8 ?? ?? ?? ?? 50 53 8B 45 08 8B 40 48 50 8B 00 FF 50 1C 8B F0 EB 05 BE 01 00 00 00 8B C6 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_73489_0 {
	meta:
		name = "TActiveXControl.OnDocWindowActivate"
		size = 22
		refs = "000e TActiveXControl.InPlaceActivate"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 7D 0C 01 1B D2 42 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_73490_0 {
	meta:
		name = "TActiveXControl.ResizeBorder"
		size = 9
		altNames = "TCustomElementServices.DrawElement TCustomElementServices.GetElementContentRect TCustomElementServices.GetElementRegion TWebBrowserEx.ResizeBorder"
	strings:
		$1 = { 55 8B EC 33 C0 5D C2 10 00 }
	condition:
		$1
}

rule function_73492_0 {
	meta:
		name = "TActiveXControl.Draw"
		size = 320
		refs = "000d TActiveXControl.Draw 0023 OleError 0045 TControl.SetVisible 0055 TWinControl.GetHandle 005b ShowWindow 0076 LPtoDP 007f SaveDC 009f SetViewportOrgEx 00ae SetWindowOrgEx 00b9 SetMapMode 00ce TWinControl.PaintTo 00e8 RestoreDC 00ee @HandleFinally 0125 @HandleAnyException 012a HandleException 0131 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D 0C 01 74 0A B8 6B 00 04 80 E8 ?? ?? ?? ?? 8B 45 08 8B 40 70 0F B6 50 61 88 55 FB 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 E8 ?? ?? ?? ?? 6A 01 8B 45 08 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 24 8B F0 8D 7D E8 A5 A5 A5 A5 6A 02 8D 45 E8 50 8B 45 20 50 E8 ?? ?? ?? ?? 8B 45 20 50 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 8B 45 20 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 45 20 50 E8 ?? ?? ?? ?? 6A 01 8B 45 20 50 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 08 8B 40 70 8B 4D E8 8B 55 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 8B 45 20 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 70 0F B6 55 FB E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 2C 00 }
	condition:
		$1
}

rule function_73493_0 {
	meta:
		name = "TActiveXControl.GetColorSet"
		size = 12
		altNames = "THTMLElementEventDispatch.DoInvoke"
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 1C 00 }
	condition:
		$1
}

rule function_73494_0 {
	meta:
		name = "TActiveXControl.Freeze"
		size = 12
		altNames = "TDownLoadURL.OnDataAvailable TWebBrowserEx.QueryStatus"
	strings:
		$1 = { 55 8B EC B8 01 40 00 80 5D C2 14 00 }
	condition:
		$1
}

rule function_73496_0 {
	meta:
		name = "TActiveXControl.SetAdvise"
		size = 57
		refs = "0021 @IntfCopy 002e TActiveXControl.ViewChanged"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 F6 45 0C 01 75 07 B8 6B 00 04 80 EB 20 8B 45 10 89 43 6C 8D 43 68 8B 55 14 E8 ?? ?? ?? ?? F6 43 6C 02 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_73497_0 {
	meta:
		name = "TActiveXControl.GetAdvise"
		size = 72
		refs = "003b @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 85 F6 74 06 C7 06 01 00 00 00 85 FF 74 05 8B 43 6C 89 07 8B 45 14 85 C0 74 0B 8B 45 14 8B 53 68 E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_73498_0 {
	meta:
		name = "TActiveXControl.ViewObjectGetExtent"
		size = 24
		refs = "0010 TActiveXControl.GetExtent"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 18 52 8B 55 0C 52 50 E8 ?? ?? ?? ?? 5D C2 14 00 }
	condition:
		$1
}

rule function_73499_0 {
	meta:
		name = "TActiveXControl.GetDisplayString"
		size = 108
		refs = "0019 TActiveXControl.GetDisplayString 0040 @WStrFromUStr 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 40 00 80 8D 4D FC 8B 55 0C 8B C3 8B 18 FF 53 30 84 C0 74 0D 8B 45 10 8B 55 FC E8 ?? ?? ?? ?? 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_73500_0 {
	meta:
		name = "TActiveXControl.MapPropertyToPage"
		size = 37
		refs = "000e GUID_NULL"
	strings:
		$1 = { 55 8B EC 56 57 8B 45 10 85 C0 74 0E 8B 15 ?? ?? ?? ?? 8B F2 8B F8 A5 A5 A5 A5 B8 01 40 00 80 5F 5E 5D C2 0C 00 }
	condition:
		$1
}

rule function_73501_0 {
	meta:
		name = "TActiveXControl.GetPredefinedStrings"
		size = 456
		refs = "0015 TActiveXControl.GetPredefinedStrings 0077 _Dn_TStringList 007c TStringList.Create 00bb CoAllocMem 00e8 CoAllocString 0147 TObject.Free 014d @HandleFinally 015e @HandleAnyException 017a CoFreeMem 0193 HandleException 019b @DoneExcept 01b0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C0 89 45 E8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 33 C0 89 45 F4 33 C0 89 45 EC 8B 45 10 85 C0 74 07 8B 45 14 85 C0 75 0C C7 45 FC 03 40 00 80 E9 57 01 00 00 8B 45 10 33 D2 89 10 8B 45 10 33 D2 89 50 04 8B 45 14 33 D2 89 10 8B 45 14 33 D2 89 50 04 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F0 8B 55 0C 8B C3 8B 18 FF 53 34 84 C0 0F 84 89 00 00 00 8B 45 F0 8B 10 FF 52 14 89 45 EC 8B 5D EC 03 DB 03 DB 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 75 EC 4E 85 F6 7C 32 46 33 DB 8D 4D E8 8B D3 8B 45 F0 8B 38 FF 57 0C 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 F8 89 04 9A 8B D3 8B 45 F0 8B 08 FF 51 18 8B 55 F4 89 04 9A 43 4E 75 D1 8B 45 10 8B 55 EC 89 10 8B 45 10 8B 55 F8 89 50 04 8B 45 14 8B 55 EC 89 10 8B 45 14 8B 55 F4 89 50 04 33 C0 89 45 FC EB 07 C7 45 FC 01 40 00 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 42 E9 ?? ?? ?? ?? 83 7D F8 00 74 1A 8B 75 EC 4E 85 F6 7C 12 46 33 DB 8B 45 F8 8B 04 98 E8 ?? ?? ?? ?? 43 4E 75 F1 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_73502_0 {
	meta:
		name = "TActiveXControl.GetPredefinedValue"
		size = 118
		refs = "0028 TActiveXControl.GetPredefinedValue 004a @VarCopy 0061 @VarClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B 5D 08 8B 45 14 8B 55 14 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 4D 10 8B 55 0C 8B C3 8B 18 FF 53 38 8B 45 14 8D 55 F0 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_73503_0 {
	meta:
		name = "TPropPages.ProcessPage"
		size = 31
	strings:
		$1 = { 53 56 57 8B 58 04 85 DB 74 0E 8B 48 08 03 C9 8D 3C CB 8B F2 A5 A5 A5 A5 FF 40 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73504_0 {
	meta:
		name = "TActiveXControl.GetPages"
		size = 224
		refs = "0011 TActiveXControl.GetPages 001e _DV_TPropPages 0023 TObject.Create 003d TPropPages.ProcessPage 0052 CoAllocMem 00a5 CoFreeMem 00ad TObject.Free 00b3 @HandleFinally 00c6 @HandleAnyException 00cb HandleException 00d2 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 0C 8B 5D 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 50 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 2C 8B 45 FC 8B 40 08 C1 E0 04 E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8B 45 FC 33 D2 89 50 08 8B 45 FC 50 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 2C 8B 45 FC 8B 40 08 89 06 8B 45 FC 8B 40 04 89 46 04 8B 45 FC 33 D2 89 50 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_73505_0 {
	meta:
		name = "TActiveXControl.PreMessageFilter"
		size = 53
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 4C 00 74 23 8B 55 20 52 8B 55 1C 52 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 4C 50 8B 00 FF 50 0C EB 02 33 C0 5D C2 1C 00 }
	condition:
		$1
}

rule function_73506_0 {
	meta:
		name = "TActiveXControl.PostMessageFilter"
		size = 53
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 4C 00 74 23 8B 55 20 52 8B 55 1C 52 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 4C 50 8B 00 FF 50 10 EB 02 33 C0 5D C2 1C 00 }
	condition:
		$1
}

rule function_73507_0 {
	meta:
		name = "TActiveXControl.QuickActivate"
		size = 332
		refs = "0019 TActiveXControl.QuickActivate 003c @FillChar 004c TActiveXControl.SetClientSite 0060 TActiveXControl.SetAdvise 0076 @IntfCast 0084 @IntfClear 00e8 TActiveXControl.GetMiscStatus 0100 IConnectionPoint 010a @FinalizeArray 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 7D 10 8B 5D 0C 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3F 18 7D 0A BB FF FF 00 80 E9 BC 00 00 00 8B C7 33 C9 BA 18 00 00 00 E8 ?? ?? ?? ?? C7 07 18 00 00 00 8B 43 04 50 56 E8 ?? ?? ?? ?? 83 7B 08 00 74 0E 8B 43 08 50 6A 00 6A 01 56 E8 ?? ?? ?? ?? 8D 45 FC 8B D6 85 D2 74 03 83 EA E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 0C 00 74 2C 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 10 85 C0 75 11 8D 47 10 50 8B 43 0C 50 8B 45 F8 50 8B 00 FF 50 14 83 7B 10 00 74 2E 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 46 30 83 C0 58 50 8B 45 FC 50 8B 00 FF 50 10 85 C0 75 11 8D 47 0C 50 8B 43 10 50 8B 45 F4 50 8B 00 FF 50 14 8D 47 04 50 6A 01 56 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 84 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_73508_0 {
	meta:
		name = "TActiveXControl.SetContentExtent"
		size = 22
		refs = "000e TActiveXControl.SetExtent"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 52 6A 01 50 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_73509_0 {
	meta:
		name = "TActiveXControl.GetContentExtent"
		size = 22
		refs = "000e TActiveXControl.GetExtent"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 52 6A 01 50 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_73510_0 {
	meta:
		name = "TActiveXControl.GetData"
		size = 459
		refs = "0026 TActiveXControl.GetExtent 002d CreateMetaFile 003f SetWindowOrgEx 0052 SetWindowExtEx 0067 TActiveXControl.GetData 0074 TControl.SetVisible 007b _Dn_TBitmap 0080 TBitmap.Create 00bd TBitmap.GetCanvas 00c2 TCanvas.GetHandle 00d1 TWinControl.PaintTo 010f StretchBlt 0124 TObject.Free 012a @HandleFinally 0159 CloseMetaFile 0172 GlobalAlloc 017e DeleteMetaFile 018b GlobalLock 01a6 GlobalUnlock"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B 45 0C F6 40 10 20 75 0A B8 64 00 04 80 E9 A8 01 00 00 8D 45 F8 50 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 89 45 F4 6A 00 6A 00 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 6A 00 8B 45 FC 50 8B 45 F8 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 70 0F B6 50 61 88 55 F3 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 70 8B 50 50 8B 45 EC 8B 08 FF 51 44 8B 45 08 8B 40 70 8B 50 54 8B 45 EC 8B 08 FF 51 38 6A 00 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 70 33 C9 E8 ?? ?? ?? ?? 68 20 00 CC 00 8B 45 EC 8B 10 FF 52 24 50 8B 45 EC 8B 10 FF 52 30 50 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 45 F8 50 6A 00 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 70 0F B6 55 F3 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 8B 45 F4 50 E8 ?? ?? ?? ?? 8B F0 85 F6 75 07 B8 FF FF 00 80 EB 59 6A 10 68 02 20 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0D 56 E8 ?? ?? ?? ?? B8 70 00 03 80 EB 3A 53 E8 ?? ?? ?? ?? 89 70 0C C7 00 08 00 00 00 8B 55 F8 89 50 04 8B 55 FC 89 50 08 53 E8 ?? ?? ?? ?? 8B 45 10 C7 00 20 00 00 00 8B 45 10 89 58 04 8B 45 10 33 D2 89 50 08 33 C0 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_73516_0 {
	meta:
		name = "TActiveXControl.DAdvise"
		size = 75
		refs = "0013 @IntfClear 0019 CreateDataAdviseHolder"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 33 C0 83 7B 64 00 75 0E 8D 43 64 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 25 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B C3 85 C0 74 05 2D 3C FF FF FF 50 8B 43 64 50 8B 00 FF 50 0C 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_73517_0 {
	meta:
		name = "TActiveXControl.DUnadvise"
		size = 36
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 64 00 75 07 B8 04 00 04 80 EB 0D 8B 55 0C 52 8B 40 64 50 8B 00 FF 50 10 5D C2 08 00 }
	condition:
		$1
}

rule function_73518_0 {
	meta:
		name = "TActiveXControl.EnumDAdvise"
		size = 54
		refs = "0023 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 83 7B 64 00 75 07 B8 05 40 00 80 EB 12 8B 45 0C E8 ?? ?? ?? ?? 50 8B 43 64 50 8B 00 FF 50 14 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73519_0 {
	meta:
		name = "TActiveXControlFactory.Create"
		size = 245
		refs = "0015 @ClassCreate 0025 TActiveXControlFactory.Create 0049 TAutoObjectFactory.Create 0071 _Dn_TStringList 0076 TStringList.Create 0081 SPropertiesVerb 0086 LoadResString 0092 TActiveXControlFactory.AddVerb 009c @WStrFromUStr 00c8 @UStrClr 00ce @HandleFinally 00dd @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 1C 89 43 6C 8B 45 20 50 8B 45 18 50 6A 02 0F B6 45 08 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 83 C8 01 83 C8 10 0D 80 00 00 00 0D 00 01 00 00 0D 00 00 02 00 89 43 70 8B 45 14 89 43 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 78 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 3C 8B D6 E8 ?? ?? ?? ?? 85 F6 0F 95 C0 88 43 45 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 7C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 1C 00 }
	condition:
		$1
}

rule function_73520_0 {
	meta:
		name = "TActiveXControlFactory.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TComObjectFactory.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 78 E8 ?? ?? ?? ?? 8B 46 7C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73521_0 {
	meta:
		name = "TActiveXControlFactory.CreateControl"
		size = 13
		refs = "0008 TWinControl.CreateParented"
	strings:
		$1 = { 8B CA 8B 40 6C B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73522_0 {
	meta:
		name = "TActiveXControlFactory.AddVerb"
		size = 23
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D1 8B 46 78 8B CF 8B 18 FF 53 3C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73523_0 {
	meta:
		name = "TActiveXControlFactory.GetLicenseFileName"
		size = 112
		refs = "000f TActiveXControlFactory.GetLicenseFileName 002f ChangeFileExt 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 08 8B 08 FF 51 0C 8B 45 FC 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 6C 00 69 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_73524_0 {
	meta:
		name = "TActiveXControlFactory.HasMachineLicense"
		size = 251
		refs = "0013 TActiveXControlFactory.HasMachineLicense 0074 @HandleAnyException 007b @DoneExcept 00a0 @WStrFromUStr 00d6 @UStrClr 00de @WStrClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 45 FC 80 78 45 00 0F 84 99 00 00 00 8B 45 FC 80 B8 80 00 00 00 00 75 47 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 08 FF 51 1C 8B 55 F8 8B 45 FC 8B 40 7C 8B 08 FF 51 68 8B 45 FC C6 80 80 00 00 00 01 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 84 DB 74 42 33 F6 33 DB EB 29 8D 4D F0 8B 45 FC 8B 40 7C 8B D6 8B 18 FF 53 0C 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 0C 8B D8 46 8B 45 FC 8B 40 7C 8B 10 FF 52 14 3B F0 7D 04 84 DB 74 C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73525_0 {
	meta:
		name = "TActiveXControlFactory.UpdateRegistry"
		size = 1028
		refs = "001c TActiveXControlFactory.UpdateRegistry 0032 TComServerObject.GetRegRootAndPrefix 0045 GUIDToString 0055 @UStrCatN 006a TTypedComObjectFactory.UpdateRegistry 007e @UStrCat3 008d CreateRegKey 009c IntToStr 0181 @UStrCat 020d DeleteRegKey 02bf @UStrArrayClr 02d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0C 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 88 55 F7 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8D 55 F0 8B 43 08 8B 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 E8 8D 43 10 E8 ?? ?? ?? ?? FF 75 E8 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 80 7D F7 00 0F 84 66 01 00 00 0F B6 55 F7 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 E4 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E4 B9 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 E0 8B 43 70 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 45 DC B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 DC 33 D2 59 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 D4 8B 43 08 8B 08 FF 51 0C FF 75 D4 68 ?? ?? ?? ?? 8D 55 D0 8B 43 74 E8 ?? ?? ?? ?? FF 75 D0 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 50 8D 45 CC B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 CC 33 D2 59 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 C8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 C8 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 C4 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 C4 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 43 78 8B 10 FF 52 14 48 85 C0 0F 8C 48 01 00 00 40 89 45 EC 33 F6 8B 45 F0 50 8D 4D C0 8B D6 8B 43 78 8B 38 FF 57 0C 8D 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 50 FF 75 FC 68 ?? ?? ?? ?? 8B D6 8B 43 78 8B 08 FF 51 18 8D 55 B8 E8 ?? ?? ?? ?? FF 75 B8 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 BC 33 D2 59 E8 ?? ?? ?? ?? 46 FF 4D EC 75 A3 E9 E0 00 00 00 8B 43 78 8B 10 FF 52 14 48 85 C0 7C 41 40 89 45 EC 33 F6 FF 75 FC 68 ?? ?? ?? ?? 8B D6 8B 43 78 8B 08 FF 51 18 8D 55 B0 E8 ?? ?? ?? ?? FF 75 B0 8D 45 B4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 B4 8B 55 F0 E8 ?? ?? ?? ?? 46 FF 4D EC 75 C5 8D 45 AC B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 AC 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 A8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 A8 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 A4 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 A4 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 A0 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 A0 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 9C B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 45 9C 8B 55 F0 E8 ?? ?? ?? ?? 0F B6 55 F7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C BA 14 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 5C 00 4D 00 69 00 73 00 63 00 53 00 74 00 61 00 74 00 75 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 5C 00 4D 00 69 00 73 00 63 00 53 00 74 00 61 00 74 00 75 00 73 00 5C 00 31 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 5C 00 54 00 6F 00 6F 00 6C 00 62 00 6F 00 78 00 42 00 69 00 74 00 6D 00 61 00 70 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5C 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 5C 00 56 00 65 00 72 00 62 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2C 00 30 00 2C 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5C 00 56 00 65 00 72 00 62 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_73530_0 {
	meta:
		name = "TActiveFormControl.DefinePropertyPages"
		size = 49
		refs = "000e _DV_TActiveForm 0013 @IsClass"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 73 70 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 FF 75 0C FF 75 08 8B C6 8B 10 FF 92 28 01 00 00 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73532_0 {
	meta:
		name = "TActiveFormControl.InitializeControl"
		size = 156
		refs = "000d TActiveFormControl.InitializeControl 001a TActiveXControl.InitializeControl 0030 @IntfCast 0041 _DV_TActiveForm 0046 @IsClass 007a @IntfClear 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B D3 85 D2 74 03 83 EA E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 73 70 89 46 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 89 9E 9C 03 00 00 8B C6 8B 10 FF 92 30 01 00 00 8B 43 70 8B 10 FF 92 34 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 A0 92 78 E0 2F F5 CF 11 BD 2F 00 20 AF 0E 5B 81 }
	condition:
		$1
}

rule function_73533_0 {
	meta:
		name = "TActiveFormControl.Invoke"
		size = 67
	strings:
		$1 = { 55 8B EC 56 8B 55 18 8B 45 08 F6 C2 0C 74 04 66 BA 0C 00 8B 4D 28 51 8B 4D 24 51 8B 4D 20 51 8B 4D 1C 51 52 8B 55 0C 52 8B 70 08 8B 56 54 8B 52 14 03 50 70 52 8B 46 50 50 8B 00 FF 50 2C 5E 5D C2 24 00 }
	condition:
		$1
}

rule function_73534_0 {
	meta:
		name = "TActiveFormControl.ObjQueryInterface"
		size = 92
		refs = "0016 TActiveFormControl.ObjQueryInterface 001d IsEqualGUID 002d TObject.GetInterface 0039 TActiveXControl.ObjQueryInterface"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 33 C0 89 45 FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 10 8B CF 8B D6 8B 43 70 E8 ?? ?? ?? ?? 84 C0 75 0B 57 56 53 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 5F 5E 5B 59 5D C2 0C 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_73535_0 {
	meta:
		name = "TActiveFormControl.EventSinkChanged"
		size = 43
		refs = "000e _DV_TActiveForm 0013 @IsClass"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 70 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D7 8B C6 8B 08 FF 91 2C 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73539_0 {
	meta:
		name = "TActiveForm.DoDestroy"
		size = 113
		refs = "001b TActiveForm.DoDestroy 0053 @HandleAnyException 0058 Application 0062 TApplication.HandleException 0067 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 66 83 B8 42 03 00 00 00 74 54 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 55 FC 8B 83 44 03 00 00 FF 93 40 03 00 00 8B 45 FC 33 D2 89 90 40 03 00 00 89 90 44 03 00 00 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73540_0 {
	meta:
		name = "TActiveForm.EventSinkChanged"
		size = 40
		refs = "0022 InterlockedIncrement"
	strings:
		$1 = { 53 8B D8 83 BB 98 03 00 00 00 75 0E 85 D2 74 0A 8B C3 8B 10 FF 92 08 01 00 00 8D 83 98 03 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73543_0 {
	meta:
		name = "TActiveForm.GetConnectionPoint"
		size = 18
	strings:
		$1 = { 33 D2 8B 88 9C 03 00 00 85 C9 74 03 8B 51 38 8B C2 C3 }
	condition:
		$1
}

rule function_73544_0 {
	meta:
		name = "TActiveFormFactory.Create"
		size = 88
		refs = "000d @ClassCreate 0037 TActiveXControlFactory.Create 0042 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 0F B6 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_73546_0 {
	meta:
		name = "TActiveFormFactory.GetIntfEntry"
		size = 30
		refs = "0014 TObject.GetInterfaceEntry"
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B D4 8B 40 6C E8 ?? ?? ?? ?? 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_73547_0 {
	meta:
		name = "TPropertyPage.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TCustomForm.Create 001e _Dn_TInterfaceList 0023 TInterfaceList.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A8 03 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73548_0 {
	meta:
		name = "TPropertyPage.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TCustomForm.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73550_0 {
	meta:
		name = "TPropertyPage.Modified"
		size = 18
		refs = "000d TPropertyPageImpl.Modified"
	strings:
		$1 = { 8B 90 90 03 00 00 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73552_0 {
	meta:
		name = "TPropertyPage.EnumCtlProps"
		size = 148
		refs = "0022 TPropertyPage.EnumCtlProps 0037 @VarToIntf 0047 @IntfCast 0054 EnumDispatchProperties 0069 @IntfClear 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 8B F2 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 E8 8D 93 98 03 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 33 C9 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_73554_0 {
	meta:
		name = "TActiveXPropertyPage.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 20 8B 40 08 E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73555_0 {
	meta:
		name = "TActiveXPropertyPage.Initialize"
		size = 56
		refs = "0010 _DV_TPropertyPageImpl 0015 TPropertyPageImpl.Create"
	strings:
		$1 = { 53 56 8B D8 8B CB 85 C9 74 03 83 E9 E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 8B 43 08 8B 40 0C 33 C9 B2 01 FF 50 38 8B 73 20 89 46 08 8B C6 8B 10 FF 12 5E 5B C3 }
	condition:
		$1
}

rule function_73558_0 {
	meta:
		name = "TPropertyPageImpl.InitPropertyPage"
		size = 31
		refs = "000f TCustomForm.SetBorderStyle 0019 TCustomForm.SetPosition"
	strings:
		$1 = { 53 8B D8 8B 43 08 89 98 90 03 00 00 33 D2 E8 ?? ?? ?? ?? 33 D2 8B 43 08 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73559_0 {
	meta:
		name = "TPropertyPageImpl.Modified"
		size = 28
	strings:
		$1 = { 80 78 10 00 74 15 C6 40 11 01 83 78 0C 00 74 0B 6A 03 8B 40 0C 50 8B 00 FF 50 0C C3 }
	condition:
		$1
}

rule function_73560_0 {
	meta:
		name = "TPropertyPageImpl.SetPageSite"
		size = 25
		refs = "000e @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8D 43 0C 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73561_0 {
	meta:
		name = "TPropertyPageImpl.Activate"
		size = 91
		refs = "000d TPropertyPageImpl.Activate 001e TControl.SetBoundsRect 0029 TWinControl.SetParentWindow 0042 @HandleAnyException 0047 HandleException 004e @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 10 8B 43 08 E8 ?? ?? ?? ?? 8B 43 08 8B 55 0C E8 ?? ?? ?? ?? C6 43 10 01 C6 43 11 00 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_73562_0 {
	meta:
		name = "TPropertyPageImpl.Deactivate"
		size = 170
		refs = "0013 TPropertyPageImpl.Deactivate 0033 TCustomForm.Hide 003d TWinControl.SetParentWindow 0045 Null 0056 @OleVarFromVar 0061 TInterfaceList.Clear 0072 @HandleAnyException 0077 HandleException 007e @DoneExcept 0093 @VarClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 10 00 8B 43 08 E8 ?? ?? ?? ?? 8B 43 08 33 D2 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B 73 08 8D 86 98 03 00 00 E8 ?? ?? ?? ?? 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_73563_0 {
	meta:
		name = "TPropertyPageImpl.GetPageInfo"
		size = 165
		refs = "0012 TPropertyPageImpl.GetPageInfo 0035 @FillChar 0040 TControl.GetText 0048 CoAllocString 006e @HandleAnyException 0073 HandleException 007a @DoneExcept 008f @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 75 0C 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 04 33 C9 BA 18 00 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 43 08 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 46 04 8B 43 08 8B 40 50 89 46 08 8B 43 08 8B 40 54 89 46 0C 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_73564_0 {
	meta:
		name = "TPropertyPageImpl.SetObjects"
		size = 308
		refs = "0017 TPropertyPageImpl.SetObjects 0033 Null 0047 @OleVarFromVar 0052 TInterfaceList.Clear 0088 TInterfaceList.Add 009b @IntfCast 00ae @VarFromDisp 00bf @HandleAnyException 00c4 HandleException 00cb @DoneExcept 00db VarIsNull 0102 @IntfClear 010a @VarClr 0110 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B 7D 10 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 08 8B 70 08 8D 86 98 03 00 00 E8 ?? ?? ?? ?? 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 85 FF 75 12 BB 03 40 00 80 33 C0 5A 59 59 64 89 10 E9 85 00 00 00 85 DB 7E 42 4B 85 DB 7C 1B 43 33 F6 8B 14 B7 8B 45 08 8B 40 08 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 46 4B 75 E8 8D 45 EC 8B 17 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 08 8B 40 08 05 98 03 00 00 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 05 98 03 00 00 E8 ?? ?? ?? ?? 84 C0 75 0E 8B 45 08 8B 40 08 8B 10 FF 92 2C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_73565_0 {
	meta:
		name = "TPropertyPageImpl.Show"
		size = 76
		refs = "000d TPropertyPageImpl.Show 0022 TCustomForm.SetVisible 0033 @HandleAnyException 0038 HandleException 003f @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D 0C 00 0F 95 C2 8B 40 08 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73566_0 {
	meta:
		name = "TPropertyPageImpl.Move"
		size = 72
		refs = "000d TPropertyPageImpl.Move 001e TControl.SetBoundsRect 002f @HandleAnyException 0034 HandleException 003b @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 0C 8B 40 08 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73567_0 {
	meta:
		name = "TPropertyPageImpl.IsPageDirty"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 45 08 80 78 11 00 74 04 33 C0 EB 05 B8 01 00 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_73568_0 {
	meta:
		name = "NotifyContainerOfApply"
		size = 324
		refs = "0012 tagCONNECTDATA 0017 @InitializeRecord 001f NotifyContainerOfApply 003c @VarToIntf 0044 @IntfClear 0088 OleCheck 009c @IntfCast 00bf @FinalizeRecord 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 8B 52 08 8B 52 08 81 C2 98 03 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 85 C0 75 79 8D 45 F4 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 10 85 C0 75 5E 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? EB 23 6A FF 8D 45 E0 8B 55 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 0C 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 15 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 50 6A 01 8B 45 F0 50 8B 00 FF 50 0C 85 C0 74 BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 8B E5 5D C3 00 00 84 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_73569_0 {
	meta:
		name = "TPropertyPageImpl.Apply"
		size = 86
		refs = "000a TPropertyPageImpl.Apply 002b NotifyContainerOfApply 003d @HandleAnyException 0042 HandleException 0049 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 08 8B 10 FF 92 28 01 00 00 8B 45 08 C6 40 11 00 55 E8 ?? ?? ?? ?? 59 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73571_0 {
	meta:
		name = "TPropertyPageImpl.TranslateAccelerator"
		size = 123
		refs = "000d TPropertyPageImpl.TranslateAccelerator 0024 TWinControl.GetHandle 003a GetWindowLongPtr 004e SetWindowLongPtr 0062 @HandleAnyException 0067 HandleException 006e @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 33 FF 55 68 ?? ?? ?? ?? 64 FF 37 64 89 27 8B 43 08 83 B8 60 02 00 00 00 74 2F E8 ?? ?? ?? ?? 8B F0 8B 43 08 E8 ?? ?? ?? ?? BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 8B D6 B9 EC FF FF FF 0D 00 00 01 00 50 51 52 E8 ?? ?? ?? ?? BB 01 00 00 00 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73573_0 {
	meta:
		name = "TActiveXPropertyPageFactory.Create"
		size = 240
		refs = "0019 @ClassCreate 002b TActiveXPropertyPageFactory.Create 0046 TObject.ClassName 005f Format 0072 TComObjectFactory.Create 0087 @UStrClr 0095 @HandleFinally 00a4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F8 89 5D EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 45 08 50 6A 00 8D 45 F8 50 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 6A 02 6A 00 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 25 00 73 00 20 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 20 00 70 00 61 00 67 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_73575_0 {
	meta:
		name = "TCustomAdapter.Create"
		size = 84
		refs = "000a @ClassCreate 0017 TObject.Create 0020 _DV_TAdapterNotifier 0025 TAdapterNotifier.Create 0036 @IntfCopy 0041 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 46 14 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73577_0 {
	meta:
		name = "TCustomAdapter.Changed"
		size = 12
		refs = "0007 TCustomAdapter.ReleaseOleObject"
	strings:
		$1 = { 80 78 18 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73578_0 {
	meta:
		name = "TCustomAdapter.ConnectOleObject"
		size = 132
		refs = "000e @IntfAddRef 0016 TCustomAdapter.ConnectOleObject 0029 TCustomAdapter.ReleaseOleObject 0043 InterfaceConnect 004e @IntfCopy 0063 @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 74 07 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 14 8D 43 10 50 BA ?? ?? ?? ?? 8B 4B 14 8B 45 FC E8 ?? ?? ?? ?? 8D 43 0C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_73579_0 {
	meta:
		name = "TCustomAdapter.ReleaseOleObject"
		size = 48
		refs = "0007 TCustomAdapter.ReleaseOleObject 000f InterfaceDisconnect 0017 @IntfClear"
	strings:
		$1 = { 53 8B D8 8D 4B 10 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8D 43 0C E8 ?? ?? ?? ?? 5B C3 00 00 00 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_73581_0 {
	meta:
		name = "TAdapterNotifier.OnChanged"
		size = 69
		refs = "000d TAdapterNotifier.OnChanged 002c @HandleAnyException 0031 HandleException 0038 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 0C 8B 10 FF 52 04 33 DB 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73584_0 {
	meta:
		name = "TFontAdapter.Update"
		size = 460
		refs = "0019 TFontAdapter.Update 003f @IntfCast 0051 @WStrClr 00db _Dn_TFont 00e0 TFont.Create 0111 @UStrFromWStr 011c TFont.SetName 012a @ROUND 0134 TFont.SetSize 013e TFont.SetStyle 014a TFont.SetCharset 0174 TObject.Free 017a @HandleFinally 0191 @UStrClr 0199 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 D2 89 55 DC 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 80 78 18 00 0F 85 50 01 00 00 8D 45 F8 8B 55 F4 8B 52 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 33 01 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 0C 8D 45 E8 50 8B 45 F8 50 8B 00 FF 50 14 0F B6 1D ?? ?? ?? ?? 8D 45 E4 50 8B 45 F8 50 8B 00 FF 50 1C 83 7D E4 00 74 03 80 CB 01 8D 45 E4 50 8B 45 F8 50 8B 00 FF 50 24 83 7D E4 00 74 03 80 CB 02 8D 45 E4 50 8B 45 F8 50 8B 00 FF 50 2C 83 7D E4 00 74 03 80 CB 04 8D 45 E4 50 8B 45 F8 50 8B 00 FF 50 34 83 7D E4 00 74 03 80 CB 08 8D 45 E2 50 8B 45 F8 50 8B 00 FF 50 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F4 C6 40 18 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 50 1C 8B 45 F0 8B 08 FF 51 08 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F0 E8 ?? ?? ?? ?? DF 6D E8 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 0F B6 55 E2 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C 8B 55 F0 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 C6 40 18 00 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 00 00 02 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB 00 00 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_73585_0 {
	meta:
		name = "TFontAdapter.Changed"
		size = 420
		refs = "0011 TFontAdapter.Changed 0059 @IntfCast 0067 TFont.GetName 0072 @WStrFromUStr 008a TFont.GetSize 0131 TFont.GetCharset 0158 @HandleFinally 016f @UStrClr 0177 @WStrClr 017f @IntfClear"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 80 78 18 00 0F 85 36 01 00 00 8B 45 F8 83 78 0C 00 0F 84 29 01 00 00 8B 45 F8 C6 40 18 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 FC 8B 55 F8 8B 52 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 8B 40 1C E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 50 8B 00 FF 50 10 8B 45 F8 8B 40 1C E8 ?? ?? ?? ?? 89 45 EC DB 45 EC D8 0D ?? ?? ?? ?? 83 C4 F8 DF 3C 24 9B 8B 45 FC 50 8B 00 FF 50 18 8B 45 F8 8B 40 1C 8B 40 10 0F B6 40 21 A8 01 0F 95 C0 F6 D8 1B C0 50 8B 45 FC 50 8B 00 FF 50 20 8B 45 F8 8B 40 1C 8B 40 10 0F B6 40 21 A8 02 0F 95 C0 F6 D8 1B C0 50 8B 45 FC 50 8B 00 FF 50 28 8B 45 F8 8B 40 1C 8B 40 10 0F B6 40 21 A8 04 0F 95 C0 F6 D8 1B C0 50 8B 45 FC 50 8B 00 FF 50 30 8B 45 F8 8B 40 1C 8B 40 10 0F B6 40 21 A8 08 0F 95 C0 F6 D8 1B C0 50 8B 45 FC 50 8B 00 FF 50 38 8B 45 F8 8B 40 1C E8 ?? ?? ?? ?? 0F B6 C0 50 8B 45 FC 50 8B 00 FF 50 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 C6 40 18 00 C3 E9 ?? ?? ?? ?? EB F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B E5 5D C3 00 02 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB 00 40 1C 46 }
	condition:
		$1
}

rule function_73586_0 {
	meta:
		name = "TFontAdapter.GetOleFont"
		size = 364
		refs = "001c TFontAdapter.GetOleFont 0037 TFont.GetName 0042 @WStrFromUStr 0051 @WStrToPWChar 005c TFont.GetSize 008f TFont.GetCharset 00e0 @IntfClear 00ef OleCreateFontIndirect 00f4 OleCheck 00fe TCustomAdapter.ConnectOleObject 010e @IntfCast 0123 @UStrClr 0133 @WStrClr 0139 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 33 C9 89 4D CC 89 4D FC 89 4D F8 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 0F 85 D2 00 00 00 8D 55 CC 8B 43 1C E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? C7 45 D0 20 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 D4 8B 43 1C E8 ?? ?? ?? ?? 89 45 C8 DB 45 C8 D8 0D ?? ?? ?? ?? DF 7D D8 9B 8B 73 1C 8B 46 10 0F B6 40 21 A8 01 74 08 66 C7 45 E0 BC 02 EB 06 66 C7 45 E0 90 01 8B C6 E8 ?? ?? ?? ?? 0F B6 C0 66 89 45 E2 8B 43 1C 8B 40 10 0F B6 40 21 A8 02 0F 95 C0 F6 D8 1B C0 89 45 E4 8B 43 1C 8B 40 10 0F B6 40 21 A8 04 0F 95 C0 F6 D8 1B C0 89 45 E8 8B 43 1C 8B 40 10 0F B6 40 21 A8 08 0F 95 C0 F6 D8 1B C0 89 45 EC 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 53 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 00 40 1C 46 02 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB 03 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_73587_0 {
	meta:
		name = "TFontAdapter.SetOleFont"
		size = 108
		refs = "000f TFontAdapter.SetOleFont 0024 @IntfCast 002e TCustomAdapter.ConnectOleObject 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 02 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_73589_0 {
	meta:
		name = "TPictureAdapter.Update"
		size = 140
		refs = "0013 _DV_TOleGraphic 0018 TOleGraphic.Create 0023 TPictureAdapter.Update 003f @IntfCast 004d TPicture.SetGraphic 0069 TObject.Free 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC C6 40 18 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 C0 28 8B 55 FC 8B 52 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 18 00 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 59 59 5D C3 00 00 00 80 09 F8 7B 32 BF 1A 10 8B BB 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_73590_0 {
	meta:
		name = "TPictureAdapter.GetOlePicture"
		size = 564
		refs = "0033 _Dn_TBitmap 0038 @IsClass 004f TBitmap.Create 005a TPictureAdapter.GetOlePicture 0079 TBitmap.ReleaseHandle 0084 TBitmap.ReleasePalette 00a0 TObject.Free 00a6 @HandleFinally 00b0 _Dn_TIcon 00c7 TPicture.GetIcon 00cc TIcon.GetHandle 00e3 _Dn_TMetafile 00fc TMetafile.Create 0118 TPicture.GetWidth 012d TPicture.GetHeight 0143 _Dn_TMetafileCanvas 0148 TMetafileCanvas.Create 0194 TMetafile.ReleaseHandle 01bf TPicture.GetMetafile 01c4 TMetafile.GetHandle 01cf @IntfClear 01e4 OleCreatePictureIndirect 01e9 OleCheck 01f6 TCustomAdapter.ConnectOleObject 0209 @IntfCast"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 89 55 F8 89 45 FC 8B 45 FC 83 78 0C 00 0F 85 DF 01 00 00 C6 45 F7 00 C7 45 D4 14 00 00 00 8B 45 FC 8B 70 1C 8B 5E 0C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6C C7 45 D8 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 1C 8B 50 0C 8B 45 EC 8B 08 FF 51 08 8B 45 EC E8 ?? ?? ?? ?? 89 45 DC 8B 45 EC E8 ?? ?? ?? ?? 89 45 E0 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B C7 45 D8 03 00 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC E9 F3 00 00 00 C7 45 D8 04 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 C8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 08 FF 51 44 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 08 FF 51 38 6A 00 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 1C 8B 40 0C 50 33 C9 33 D2 8B 45 E8 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 E8 ?? ?? ?? ?? 89 45 DC C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 8B 45 F8 E8 ?? ?? ?? ?? 50 80 7D F7 01 F5 1B C9 BA ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 12 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 8B 52 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 00 80 09 F8 7B 32 BF 1A 10 8B BB 00 AA 00 30 0C AB 81 09 F8 7B 32 BF 1A 10 8B BB 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_73591_0 {
	meta:
		name = "TPictureAdapter.SetOlePicture"
		size = 19
		refs = "0006 TCustomAdapter.ConnectOleObject"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 04 5B C3 }
	condition:
		$1
}

rule function_73593_0 {
	meta:
		name = "TOleGraphic.Assign"
		size = 49
		refs = "000a _DV_TOleGraphic 000f @IsClass 001e @IntfCopy 002a TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8D 43 28 8B 56 28 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73595_0 {
	meta:
		name = "TOleGraphic.Draw"
		size = 268
		refs = "001e TCustomCanvas.Lock 0026 TOleGraphic.Draw 0034 TCanvas.GetHandle 0056 SelectPalette 005f RealizePalette 008f PlayEnhMetaFile 0099 TOleGraphic.GetMMHeight 00a3 TOleGraphic.GetMMWidth 00d2 OleCheck 00f9 TCustomCanvas.Unlock 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 89 55 FC 8B D8 83 7B 28 00 0F 84 EB 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B C3 8B 10 FF 52 28 89 45 F8 C6 45 F7 00 83 7D F8 00 74 19 6A FF 8B 45 F8 50 57 E8 ?? ?? ?? ?? 89 45 F8 57 E8 ?? ?? ?? ?? C6 45 F7 01 8D 45 F4 50 8B 43 28 50 8B 00 FF 50 14 66 83 7D F4 04 75 1A 8D 45 F0 50 8B 43 28 50 8B 00 FF 50 0C 56 8B 45 F0 50 57 E8 ?? ?? ?? ?? EB 41 56 8B C3 E8 ?? ?? ?? ?? F7 D8 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 48 50 6A 00 8B 46 0C 2B 46 04 50 8B 46 08 2B 06 50 8B 46 04 50 8B 06 50 57 8B 43 28 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 80 7D F7 00 74 0C 6A FF 8B 45 F8 50 57 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73596_0 {
	meta:
		name = "TOleGraphic.GetEmpty"
		size = 41
	strings:
		$1 = { 53 51 8B D8 83 7B 28 00 74 1A 54 8B 43 28 50 8B 00 FF 50 14 85 C0 75 0C 66 83 3C 24 00 7E 05 33 C0 5A 5B C3 B0 01 5A 5B C3 }
	condition:
		$1
}

rule function_73597_0 {
	meta:
		name = "HIMETRICtoDP"
		size = 70
		refs = "0012 GetDC 001c SetMapMode 0034 LPtoDP 003c ReleaseDC"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F0 8D 3C 24 A5 A5 8B DA 6A 00 E8 ?? ?? ?? ?? 8B F0 6A 03 56 E8 ?? ?? ?? ?? 8B 04 24 89 03 8B 44 24 04 89 43 04 F7 5B 04 6A 01 53 56 E8 ?? ?? ?? ?? 56 6A 00 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73598_0 {
	meta:
		name = "TOleGraphic.GetHeight"
		size = 36
		refs = "0004 TOleGraphic.GetMMHeight 0018 HIMETRICtoDP"
	strings:
		$1 = { 83 C4 F0 E8 ?? ?? ?? ?? 33 D2 89 14 24 89 44 24 04 8D 54 24 08 8B C4 E8 ?? ?? ?? ?? 8B 44 24 0C 83 C4 10 C3 }
	condition:
		$1
}

rule function_73599_0 {
	meta:
		name = "TOleGraphic.GetMMHeight"
		size = 27
	strings:
		$1 = { 51 33 D2 89 14 24 83 78 28 00 74 0A 54 8B 40 28 50 8B 00 FF 50 1C 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_73600_0 {
	meta:
		name = "TOleGraphic.GetMMWidth"
		size = 27
	strings:
		$1 = { 51 33 D2 89 14 24 83 78 28 00 74 0A 54 8B 40 28 50 8B 00 FF 50 18 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_73601_0 {
	meta:
		name = "TOleGraphic.GetPalette"
		size = 26
	strings:
		$1 = { 51 33 D2 83 78 28 00 74 0D 54 8B 40 28 50 8B 00 FF 50 10 8B 14 24 8B C2 5A C3 }
	condition:
		$1
}

rule function_73602_0 {
	meta:
		name = "TOleGraphic.GetTransparent"
		size = 30
	strings:
		$1 = { 51 33 D2 83 78 28 00 74 11 54 8B 40 28 50 8B 00 FF 50 40 F6 04 24 02 0F 95 C2 8B C2 5A C3 }
	condition:
		$1
}

rule function_73603_0 {
	meta:
		name = "TOleGraphic.GetWidth"
		size = 36
		refs = "0004 TOleGraphic.GetMMWidth 0018 HIMETRICtoDP"
	strings:
		$1 = { 83 C4 F0 E8 ?? ?? ?? ?? 89 04 24 33 C0 89 44 24 04 8D 54 24 08 8B C4 E8 ?? ?? ?? ?? 8B 44 24 08 83 C4 10 C3 }
	condition:
		$1
}

rule function_73605_0 {
	meta:
		name = "TOleGraphic.SetHeight"
		size = 72
		refs = "0009 TOleGraphic.SetHeight 0017 SOleGraphic 001c LoadResString 0024 InvalidOperation 0039 @UStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_115434_0 {
	meta:
		name = "RaiseNoXMLData"
		size = 72
		refs = "0009 RaiseNoXMLData 0017 SNoXMLData 001c LoadResString 0024 RaiseXSLPageProducerError 0039 @UStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_115433_0 {
	meta:
		name = "RaiseNoXMLDocument"
		size = 72
		refs = "0009 RaiseNoXMLDocument 0017 SNoXMLDocument 001c LoadResString 0024 RaiseXSLPageProducerError 0039 @UStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_81641_0 {
	meta:
		name = "TJPEGImage.SetHeight"
		size = 72
		refs = "0009 TJPEGImage.SetHeight 0017 sChangeJPGSize 001c LoadResString 0024 InvalidOperation 0039 @UStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_81647_0 {
	meta:
		name = "TJPEGImage.SetWidth"
		size = 72
		refs = "0009 TJPEGImage.SetWidth 0017 sChangeJPGSize 001c LoadResString 0024 InvalidOperation 0039 @UStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_73607_0 {
	meta:
		name = "TOleGraphic.SetWidth"
		size = 72
		refs = "0009 TOleGraphic.SetWidth 0017 SOleGraphic 001c LoadResString 0024 InvalidOperation 0039 @UStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_80977_0 {
	meta:
		name = "TStringGridStrings.Delete"
		size = 72
		refs = "0009 TStringGridStrings.Delete 0017 SInvalidStringGridOp 001c LoadResString 0024 InvalidOp 0039 @UStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_73606_0 {
	meta:
		name = "TOleGraphic.SetPalette"
		size = 30
		refs = "0017 OleCheck"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 28 00 74 0F 56 8B 43 28 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73609_0 {
	meta:
		name = "TOleGraphic.LoadFromStream"
		size = 80
		refs = "0007 TOleGraphic.LoadFromStream 000f @IntfClear 001b _Dn_TStreamAdapter 0020 TStreamAdapter.Create 0031 OleLoadPicture 0036 OleCheck"
	strings:
		$1 = { 53 56 8B F2 8B D8 68 ?? ?? ?? ?? 8D 43 28 E8 ?? ?? ?? ?? 50 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 EC 83 C9 FF 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 80 09 F8 7B 32 BF 1A 10 8B BB 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_73610_0 {
	meta:
		name = "TOleGraphic.SaveToStream"
		size = 132
		refs = "000f TOleGraphic.SaveToStream 0022 _Dn_TStreamAdapter 0027 TStreamAdapter.Create 003f @IntfCast 004d OleCheck 0062 @IntfClear 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A FF 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 EC 50 8D 45 FC 8B 53 28 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 09 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_73611_0 {
	meta:
		name = "TOleGraphic.LoadFromClipboardFormat"
		size = 76
		refs = "000a TOleGraphic.LoadFromClipboardFormat 0018 SOleGraphic 001d LoadResString 0025 InvalidOperation 003a @UStrClr 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_73612_0 {
	meta:
		name = "TOleGraphic.SaveToClipboardFormat"
		size = 76
		refs = "000a TOleGraphic.SaveToClipboardFormat 0018 SOleGraphic 001d LoadResString 0025 InvalidOperation 003a @UStrClr 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_73613_0 {
	meta:
		name = "TStringsEnumerator.Create"
		size = 69
		refs = "000b @ClassCreate 001c TAggregatedObject.Create 0026 @IntfCopy 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 10 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73614_0 {
	meta:
		name = "TStringsEnumerator.Next"
		size = 278
		refs = "0017 TStringsEnumerator.Next 002c @VarClr 003f @CheckAutoResult 004a @VarToWStr 006d CoTaskMemAlloc 0086 @FillChar 0097 @WStrToPWChar 00a2 Move 00ff @WStrClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB E9 82 00 00 00 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 46 0C 50 8B 46 10 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8D 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8B 7D FC 85 FF 74 09 83 EF 04 8B 07 D1 E8 8B F8 8B C7 03 C0 89 45 F8 8B 45 F8 83 C0 02 50 E8 ?? ?? ?? ?? 8B 55 10 89 04 9A 8B 55 F8 83 C2 02 8B 45 10 8B 04 98 33 C9 E8 ?? ?? ?? ?? 8B 45 10 8B 04 98 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F8 8B 55 F4 E8 ?? ?? ?? ?? 43 FF 46 0C 3B 5D 0C 7D 1E 8D 45 E0 50 8B 46 10 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 E0 3B 46 0C 0F 8F 5B FF FF FF 83 7D 14 00 74 05 8B 45 14 89 18 3B 5D 0C 75 04 33 DB EB 05 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_73615_0 {
	meta:
		name = "TStringsEnumerator.Skip"
		size = 85
		refs = "001a @CheckAutoResult"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 0C 8B 5D 08 8D 45 FC 50 8B 43 10 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 0C 03 D6 3B C2 7C 07 01 73 0C 33 C0 EB 1D 8D 45 FC 50 8B 43 10 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 FC 89 43 0C B8 01 00 00 00 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_73616_0 {
	meta:
		name = "TStringsEnumerator.Reset"
		size = 17
	strings:
		$1 = { 55 8B EC 8B 45 08 33 D2 89 50 0C 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_73617_0 {
	meta:
		name = "TStringsEnumerator.Clone"
		size = 102
		refs = "0018 TStringsEnumerator.Clone 0028 _DV_TStringsEnumerator 002d TStringsEnumerator.Create 003e @IntfCopy 004f @HandleAnyException 0059 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B 45 0C E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB FF FF 00 80 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73618_0 {
	meta:
		name = "TStringsAdapter.Create"
		size = 168
		refs = "0010 @ClassCreate 001e TStringsAdapter.Create 002c @IntfClear 0038 LIBID_StdVCL 003e LoadRegTypeLib 0043 OleCheck 0054 TAutoIntfObject.Create 0072 @HandleFinally 007f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 04 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 00 00 00 E2 DF 05 EE 49 55 D0 11 9E A9 00 20 AF 3D 82 DA }
	condition:
		$1
}

rule function_73620_0 {
	meta:
		name = "TStringsAdapter.ReleaseStrings"
		size = 6
	strings:
		$1 = { 33 D2 89 50 2C C3 }
	condition:
		$1
}

rule function_73621_0 {
	meta:
		name = "TStringsAdapter.Get_ControlDefault"
		size = 98
		refs = "0025 TStringsAdapter.Get_ControlDefault 0033 @VarClr 003e TStringsAdapter.Get_Item 0043 @CheckAutoResult 0055 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 10 8B 55 10 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 E8 ?? ?? ?? ?? 50 8B 45 0C 50 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_73622_0 {
	meta:
		name = "TStringsAdapter.Set_ControlDefault"
		size = 94
		refs = "000d @VarAddRef 0016 TStringsAdapter.Set_ControlDefault 0032 TStringsAdapter.Set_Item 0037 @CheckAutoResult 0049 @HandleAutoException 0051 @VarClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 1C FF 75 18 FF 75 14 FF 75 10 8B 45 0C 50 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_73623_0 {
	meta:
		name = "TStringsAdapter.Count"
		size = 74
		refs = "0011 TStringsAdapter.Count 003d @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 06 8B 7B 2C 85 FF 74 09 8B C7 8B 10 FF 52 14 89 06 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73624_0 {
	meta:
		name = "TStringsAdapter.Get_Item"
		size = 169
		refs = "002d TStringsAdapter.Get_Item 003b Null 0046 @OleVarFromVar 0065 @WStrFromUStr 0070 @VarFromWStr 0082 @HandleAutoException 008a @UStrClr 0092 @WStrClr 009a @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B 5D 08 8B 45 10 8B 55 10 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 10 E8 ?? ?? ?? ?? 8B 73 2C 85 F6 74 23 8D 4D E8 8B 55 0C 8B C6 8B 18 FF 53 0C 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_73625_0 {
	meta:
		name = "TStringsAdapter.Set_Item"
		size = 109
		refs = "000f @VarAddRef 0018 TStringsAdapter.Set_Item 0030 @VarToUStr 004f @HandleAutoException 0057 @UStrClr 005f @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8D 45 10 E8 ?? ?? ?? ?? 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 2C 85 F6 74 18 8D 45 FC 8D 55 10 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 0C 8B C6 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_73626_0 {
	meta:
		name = "TStringsAdapter.Remove"
		size = 68
		refs = "000e TStringsAdapter.Remove 0037 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 08 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7E 2C 85 FF 74 0A 8B 55 0C 8B C7 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73627_0 {
	meta:
		name = "TStringsAdapter.Clear"
		size = 65
		refs = "000e TStringsAdapter.Clear 0034 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 08 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7E 2C 85 FF 74 07 8B C7 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73628_0 {
	meta:
		name = "TStringsAdapter.Add"
		size = 117
		refs = "0012 @VarAddRef 001b TStringsAdapter.Add 0039 @VarToUStr 0057 @HandleAutoException 005f @UStrClr 0067 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 75 1C 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 06 FF FF FF FF 8B 7B 2C 85 FF 74 17 8D 45 FC 8D 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 38 89 06 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_73629_0 {
	meta:
		name = "TStringsAdapter._NewEnum"
		size = 100
		refs = "0019 TStringsAdapter._NewEnum 002f _DV_TStringsEnumerator 0034 TStringsEnumerator.Create 0045 @IntfCopy 0057 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 85 C9 74 03 83 E9 CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73630_0 {
	meta:
		name = "GetOleStrings"
		size = 88
		refs = "0009 @IntfClear 001c _DV_TStringsAdapter 0021 TStringsAdapter.Create 0031 TStrings.SetStringsAdapter 003b GetOleStrings 0040 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 DB 74 33 83 7B 24 00 75 1E 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D0 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 24 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 E2 DF 05 EE 49 55 D0 11 9E A9 00 20 AF 3D 82 DA }
	condition:
		$1
}

rule function_73631_0 {
	meta:
		name = "SetOleStrings"
		size = 242
		refs = "0019 @IntfAddRef 0021 SetOleStrings 0039 TStrings.BeginUpdate 0061 @CheckAutoResult 0074 @VarClr 008f @VarToUStr 00b3 TStrings.EndUpdate 00b9 @HandleFinally 00d8 @UStrClr 00e0 @IntfClear"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 0F 84 8A 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 44 8D 45 F4 50 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 5D F4 4B 85 DB 7C 35 43 33 F6 8D 45 E0 E8 ?? ?? ?? ?? 50 56 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 08 FF 51 38 46 4B 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73632_0 {
	meta:
		name = "InitOlePro32"
		size = 340
		refs = "0002 OlePro32DLL 000f InitOlePro32 0014 SafeLoadLibrary 0032 GetProcAddress 0037 _OleCreatePropertyFrame 004c _OleCreateFontIndirect 0061 _OleCreatePictureIndirect 0076 _OleLoadPicture"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 71 BA 00 80 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 54 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6F 00 6C 00 65 00 70 00 72 00 6F 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 4F 00 6C 00 65 00 43 00 72 00 65 00 61 00 74 00 65 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 46 00 72 00 61 00 6D 00 65 00 00 00 00 00 4F 00 6C 00 65 00 43 00 72 00 65 00 61 00 74 00 65 00 46 00 6F 00 6E 00 74 00 49 00 6E 00 64 00 69 00 72 00 65 00 63 00 74 00 00 00 4F 00 6C 00 65 00 43 00 72 00 65 00 61 00 74 00 65 00 50 00 69 00 63 00 74 00 75 00 72 00 65 00 49 00 6E 00 64 00 69 00 72 00 65 00 63 00 74 00 00 00 00 00 4F 00 6C 00 65 00 4C 00 6F 00 61 00 64 00 50 00 69 00 63 00 74 00 75 00 72 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_73633_0 {
	meta:
		name = "OleCreatePropertyFrame"
		size = 66
		refs = "0006 _OleCreatePropertyFrame"
	strings:
		$1 = { 55 8B EC 53 83 3D ?? ?? ?? ?? 00 74 2B 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 8B 5D 1C 53 8B 5D 20 53 8B 5D 24 53 51 52 50 FF 15 ?? ?? ?? ?? EB 05 B8 FF FF 00 80 5B 5D C2 20 00 }
	condition:
		$1
}

rule function_73634_0 {
	meta:
		name = "OleCreateFontIndirect"
		size = 25
		refs = "0002 _OleCreateFontIndirect"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0A 51 52 50 FF 15 ?? ?? ?? ?? C3 B8 FF FF 00 80 C3 }
	condition:
		$1
}

rule function_73635_0 {
	meta:
		name = "OleCreatePictureIndirect"
		size = 38
		refs = "0006 _OleCreatePictureIndirect"
	strings:
		$1 = { 55 8B EC 53 83 3D ?? ?? ?? ?? 00 74 0F 8B 5D 08 53 51 52 50 FF 15 ?? ?? ?? ?? EB 05 B8 FF FF 00 80 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73636_0 {
	meta:
		name = "OleLoadPicture"
		size = 111
		refs = "0011 @IntfAddRef 0019 OleLoadPicture 0025 _OleLoadPicture 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 18 8B 45 08 50 8B 45 0C 50 56 53 8B 45 FC 50 FF 15 ?? ?? ?? ?? 8B D8 EB 05 BB FF FF 00 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_73637_0 {
	meta:
		name = "Finalization"
		size = 108
		refs = "0002 _DV_81 000a xParkingWindow 001e SendMessage 0023 HInstance 0029 Finalization 002e UnregisterClass 0034 OlePro32DLL 0042 FreeLibrary"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 3E 83 3D ?? ?? ?? ?? 00 74 21 6A 00 6A 00 6A 10 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 00 44 00 41 00 58 00 50 00 61 00 72 00 6B 00 69 00 6E 00 67 00 57 00 69 00 6E 00 64 00 6F 00 77 00 00 00 00 00 }
	condition:
		$1
}

rule function_73638_0 {
	meta:
		name = "Vcl.AxCtrls"
		size = 35
		refs = "0002 _DV_81 000a _DV_TOleGraphic 0014 _Dn_TPicture 0019 TPicture.RegisterFileFormat 001e InitOlePro32"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 19 A1 ?? ?? ?? ?? 50 33 C9 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73639_0 {
	meta:
		name = "TCustomizeActionBars.Create"
		size = 273
		refs = "0019 @ClassCreate 0026 TCustomizeActionBars.Create 0035 TAction.Create 003d SCustomize 0042 LoadResString 004c TCustomAction.SetCaption 0055 _Dn_TCustomizeDlg 005a TComponent.Create 006c TObject.ClassName 00a1 @UStrCopy 00bc TComponent.SetSubComponent 00d1 @UStrClr 00de @UStrArrayClr 00ec @HandleFinally 00fb @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E A8 00 00 00 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8D 55 F0 8B 86 A8 00 00 00 8B 00 E8 ?? ?? ?? ?? 8B 45 F0 89 45 EC 8B 5D EC 85 DB 74 05 83 EB 04 8B 1B 8D 45 E8 50 8B CB BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 86 A8 00 00 00 8B 08 FF 51 24 8B 86 A8 00 00 00 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C6 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73640_0 {
	meta:
		name = "TCustomizeActionBars.ExecuteTarget"
		size = 53
		refs = "001a TCustomizeDlg.SetActionManager 002f TCustomizeDlg.Show"
	strings:
		$1 = { 53 8B D8 8B 83 A8 00 00 00 83 78 50 00 75 19 8B 93 AC 00 00 00 85 D2 74 07 E8 ?? ?? ?? ?? EB 08 8B 53 64 E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73641_0 {
	meta:
		name = "TCustomizeActionBars.HandlesTarget"
		size = 38
		refs = "0008 _Dn_TCustomActionManager 000d @IsClass"
	strings:
		$1 = { 53 8B D8 8B 43 64 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0D 83 BB AC 00 00 00 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_73646_0 {
	meta:
		name = "RegisterOutputConversions$0$ActRec.$0$Body"
		size = 15
		refs = "0003 TValue.AsObject 000a TPicture.SetGraphic"
	strings:
		$1 = { 8B C1 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73647_0 {
	meta:
		name = "RegisterOutputConversions"
		size = 304
		refs = "0014 RegisterOutputConversions 0021 _DV_RegisterOutputConversions$0$ActRec 0026 TObject.Create 0039 @IntfCopy 0041 sNilToTPicture 0046 LoadResString 0059 sNilToTPictureDesc 0067 _Dn_TControl 007e TConverterDescription.Create 0088 TPicture 008f _Dn_TValueRefConverterFactory 0094 TValueRefConverterFactory.RegisterConversion 00ae @UStrArrayClr 00b7 TConverterDescription 00bc @FinalizeRecord 00c4 @IntfClear 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 68 ?? ?? ?? ?? 6A 01 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 50 A1 ?? ?? ?? ?? 50 8B D3 85 D2 74 03 83 EA F4 B9 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 0D ?? ?? ?? ?? 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 56 00 63 00 6C 00 2E 00 42 00 69 00 6E 00 64 00 2E 00 44 00 42 00 45 00 6E 00 67 00 45 00 78 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4E 00 69 00 6C 00 54 00 6F 00 54 00 50 00 69 00 63 00 74 00 75 00 72 00 65 00 00 00 }
	condition:
		$1
}

rule function_73648_0 {
	meta:
		name = "UnregisterOutputConversions"
		size = 19
		refs = "0002 TPicture 0009 _Dn_TValueRefConverterFactory 000e TValueRefConverterFactory.UnRegisterConversion"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73656_0 {
	meta:
		name = "TListBoxItemEditorObject.ControlClear"
		size = 19
	strings:
		$1 = { 56 8B F0 8B 46 08 8B 80 88 02 00 00 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_73658_0 {
	meta:
		name = "TComboBoxItemEditorObject.GetControlItemIndex"
		size = 12
		altNames = "TListBoxItemEditorObject.GetControlItemIndex"
	strings:
		$1 = { 8B 40 08 8B 10 FF 92 F8 00 00 00 C3 }
	condition:
		$1
}

rule function_73659_0 {
	meta:
		name = "TListBoxItemEditorObject.GetControlItems"
		size = 10
	strings:
		$1 = { 8B 40 08 8B 80 88 02 00 00 C3 }
	condition:
		$1
}

rule function_73661_0 {
	meta:
		name = "TListBoxItemEditorObject.GetText"
		size = 28
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 08 8B 80 88 02 00 00 8B 53 04 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_73662_0 {
	meta:
		name = "TComboBoxItemEditorObject.SetControlItemIndex"
		size = 12
		altNames = "TListBoxItemEditorObject.SetControlItemIndex"
	strings:
		$1 = { 8B 40 08 8B 08 FF 91 FC 00 00 00 C3 }
	condition:
		$1
}

rule function_73663_0 {
	meta:
		name = "TListBoxItemEditorObject.SetText"
		size = 26
	strings:
		$1 = { 53 56 8B F0 8B 46 08 8B 80 88 02 00 00 8B CA 8B 56 04 8B 18 FF 53 20 5E 5B C3 }
	condition:
		$1
}

rule function_73664_0 {
	meta:
		name = "TComboBoxItemEditorObject.ControlClear"
		size = 19
	strings:
		$1 = { 56 8B F0 8B 46 08 8B 80 B4 02 00 00 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_73667_0 {
	meta:
		name = "TComboBoxItemEditorObject.GetControlItems"
		size = 10
	strings:
		$1 = { 8B 40 08 8B 80 B4 02 00 00 C3 }
	condition:
		$1
}

rule function_73669_0 {
	meta:
		name = "TComboBoxItemEditorObject.GetText"
		size = 28
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 08 8B 80 B4 02 00 00 8B 53 04 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_73671_0 {
	meta:
		name = "TComboBoxItemEditorObject.SetText"
		size = 26
	strings:
		$1 = { 53 56 8B F0 8B 46 08 8B 80 B4 02 00 00 8B CA 8B 56 04 8B 18 FF 53 20 5E 5B C3 }
	condition:
		$1
}

rule function_73672_0 {
	meta:
		name = "TBaseBindListListBoxEditor.AddItem"
		size = 64
		refs = "0036 WrapObject"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B DA 8B E8 8B 45 10 8B 10 FF 12 33 D2 8B 08 FF 51 38 8B F8 8B 75 10 89 7E 04 84 DB 74 09 8B D7 8B C6 8B 08 FF 51 08 8B 14 24 8B 45 10 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73673_0 {
	meta:
		name = "TBaseBindListListBoxEditor.InsertItem"
		size = 96
		refs = "0019 @IntfClear 0057 WrapObject"
	strings:
		$1 = { 53 56 57 51 8B F1 88 14 24 8B D8 8B C3 8B 10 FF 52 0C 84 C0 75 09 8B C6 E8 ?? ?? ?? ?? EB 3C 8B 43 10 8B 10 FF 52 04 8B 7B 10 89 47 04 8B C7 8B 10 FF 12 8B 53 10 8B 52 04 33 C9 8B 38 FF 57 60 80 3C 24 00 74 0B 8B 43 10 8B 50 04 8B 08 FF 51 08 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73674_0 {
	meta:
		name = "TBaseBindListListBoxEditor.CanInsertItem"
		size = 17
	strings:
		$1 = { 53 8B D8 8B 43 10 8B 10 FF 52 04 40 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_73675_0 {
	meta:
		name = "TBaseBindListListBoxEditor.CurrentItem"
		size = 51
		refs = "002b WrapObject"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 10 83 7E 04 FF 75 0D 8B C6 8B 10 FF 52 04 8B 53 10 89 42 04 8B 73 10 83 7E 04 FF 74 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73676_0 {
	meta:
		name = "TBaseBindListListBoxEditor.BeginUpdate"
		size = 17
		refs = "000b TStrings.BeginUpdate"
	strings:
		$1 = { 53 8B D8 8B 43 10 8B 10 FF 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73681_0 {
	meta:
		name = "TBaseBindListListBoxEditor.EndUpdate"
		size = 17
		refs = "000b TStrings.EndUpdate"
	strings:
		$1 = { 53 8B D8 8B 43 10 8B 10 FF 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73677_0 {
	meta:
		name = "TBaseBindListListBoxEditor.ClearList"
		size = 23
	strings:
		$1 = { 53 8B D8 8B 43 10 8B 10 FF 52 0C 8B 43 10 C7 40 04 FF FF FF FF 5B C3 }
	condition:
		$1
}

rule function_73678_0 {
	meta:
		name = "TBaseBindListListBoxEditor.Create"
		size = 78
		refs = "000f @ClassCreate 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B D7 8B C3 8B 08 FF 51 40 8B F0 89 73 10 C7 46 04 FF FF FF FF 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73679_0 {
	meta:
		name = "TBaseBindListListBoxEditor.DeleteToEnd"
		size = 108
		refs = "004e Max"
	strings:
		$1 = { 53 56 8B D8 8B 73 10 83 7E 04 FF 75 2A 8B C6 8B 10 FF 52 04 8B 53 10 89 42 04 EB 1B 8B 43 10 8B 10 FF 12 8B 10 FF 52 14 48 50 8B 43 10 8B 10 FF 12 5A 8B 08 FF 51 48 8B 43 10 8B 10 FF 12 8B 10 FF 52 14 8B F0 8B 43 10 8B 50 04 33 C0 E8 ?? ?? ?? ?? 3B F0 7F C6 8B 43 10 8B 10 FF 12 8B 10 FF 52 14 48 8B 53 10 89 42 04 5E 5B C3 }
	condition:
		$1
}

rule function_73682_0 {
	meta:
		name = "TBaseBindListListBoxEditor.GetRowCount"
		size = 17
	strings:
		$1 = { 53 8B D8 8B 43 10 8B 10 FF 12 8B 10 FF 52 14 5B C3 }
	condition:
		$1
}

rule function_73683_0 {
	meta:
		name = "TBaseBindListListBoxEditor.GetSelectedText"
		size = 52
		refs = "0009 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 43 10 8B 10 FF 52 04 40 74 19 8B 5B 10 8B C3 8B 10 FF 52 04 50 8B C3 8B 10 FF 12 8B CE 5A 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_73684_0 {
	meta:
		name = "TBaseBindListListBoxEditor.MoveNext"
		size = 80
	strings:
		$1 = { 53 56 57 55 8B D8 8B 73 10 83 7E 04 FF 75 1A 8B C6 8B 10 FF 52 04 8B F8 8B 6B 10 89 7D 04 85 FF 7D 0A 33 C0 89 45 04 EB 03 FF 46 04 8B 7B 10 8B 77 04 85 F6 7C 0F 8B C7 8B 10 FF 12 8B 10 FF 52 14 3B F0 7C 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73685_0 {
	meta:
		name = "TBaseBindListListBoxEditor.SetSelectedText"
		size = 33
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 8B 10 FF 12 8B D6 8B 08 FF 51 54 8B D0 8B 43 10 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_73688_0 {
	meta:
		name = "TListViewItemEditorObject.SetText"
		size = 33
		refs = "0013 TListItems.GetItem 001a TListItem.SetCaption"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B 80 A4 02 00 00 8B 53 08 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73689_0 {
	meta:
		name = "TListViewItemEditorObject.GetText"
		size = 36
		refs = "0013 TListItems.GetItem 001d @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B 80 A4 02 00 00 8B 53 08 E8 ?? ?? ?? ?? 8B 50 20 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73690_0 {
	meta:
		name = "TBindListStringGridEditor.AddItem"
		size = 80
		refs = "000c TBindListStringGridEditor.IsEmpty 0022 TCustomGrid.SetRowCount 003e TCustomGrid.SetRow 0048 WrapObject"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 12 8B 46 14 8B 40 04 8B 90 C8 02 00 00 42 E8 ?? ?? ?? ?? 8B 46 14 8B 50 04 8B 92 C8 02 00 00 4A 89 50 08 84 DB 74 08 8B 40 04 E8 ?? ?? ?? ?? 8B D7 8B 46 14 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73693_0 {
	meta:
		name = "TBindListStringGridEditor.CurrentItem"
		size = 40
		refs = "0021 WrapObject"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 14 83 78 08 FF 75 0C 8B 50 04 8B 92 94 02 00 00 89 50 08 8B D6 8B 43 14 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73695_0 {
	meta:
		name = "TBindListStringGridEditor.ClearList"
		size = 76
		refs = "0021 TCustomGrid.SetRowCount 0034 TStringGrid.GetRows"
	strings:
		$1 = { 56 57 8B F0 8B 46 14 C7 40 08 FF FF FF FF 8B 50 04 8B 8A A8 02 00 00 85 C9 7E 25 8B C2 8B D1 42 E8 ?? ?? ?? ?? 8B 46 14 8B 78 04 8B 97 A8 02 00 00 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 52 44 5F 5E C3 8B C2 33 D2 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_73696_0 {
	meta:
		name = "TBindListStringGridEditor.Create"
		size = 84
		refs = "000f @ClassCreate 001d _DV_TStringGridItemEditorObject 0022 TObject.Create 003e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 14 89 7E 04 C7 46 08 FF FF FF FF 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73697_0 {
	meta:
		name = "TBindListStringGridEditor.DeleteToEnd"
		size = 57
		refs = "0033 TCustomGrid.SetRowCount"
	strings:
		$1 = { 56 8B 50 14 83 7A 08 FF 75 0C 8B 4A 04 8B 89 94 02 00 00 89 4A 08 8B 50 14 8B 72 08 8B 4A 04 3B B1 A8 02 00 00 75 07 8B 10 FF 52 30 5E C3 8B D6 8B C1 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_73700_0 {
	meta:
		name = "TBindListStringGridEditor.IsEmpty"
		size = 136
		refs = "0010 TBindListStringGridEditor.IsEmpty 0038 TStringGrid.GetRows 004b Trim 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 14 8B 70 04 8B 86 C8 02 00 00 8B BE A8 02 00 00 8B D7 42 3B C2 75 22 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 51 1C 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_73701_0 {
	meta:
		name = "TBindListStringGridEditor.GetRowCount"
		size = 40
		refs = "0006 TBindListStringGridEditor.IsEmpty"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 8B 43 14 8B 40 04 8B 90 C8 02 00 00 2B 90 A8 02 00 00 8B C2 5B C3 }
	condition:
		$1
}

rule function_73702_0 {
	meta:
		name = "TBindListStringGridEditor.GetSelectedText"
		size = 73
		refs = "000b @UStrClr 0040 TStringGrid.GetCells"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B C7 E8 ?? ?? ?? ?? 8B 5B 14 8B 73 04 8B 86 94 02 00 00 3B 86 A8 02 00 00 7C 21 8B AE 90 02 00 00 3B AE A4 02 00 00 7C 13 57 8B 43 04 8B 88 94 02 00 00 8B D5 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73703_0 {
	meta:
		name = "TBindListStringGridEditor.MoveNext"
		size = 45
	strings:
		$1 = { 8B 50 14 83 7A 08 FF 75 0E 8B 4A 04 8B 89 94 02 00 00 89 4A 08 EB 03 FF 42 08 8B 50 14 8B 4A 08 8B 42 04 3B 88 C8 02 00 00 0F 9C C0 C3 }
	condition:
		$1
}

rule function_73704_0 {
	meta:
		name = "TBindListStringGridEditor.SetSelectedText"
		size = 47
		refs = "0029 TStringGrid.SetCells"
	strings:
		$1 = { 56 8B 40 14 8B 40 04 8B B0 94 02 00 00 3B B0 A8 02 00 00 7C 18 8B 88 90 02 00 00 3B 88 A4 02 00 00 7C 0A 52 8B D1 8B CE E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_73705_0 {
	meta:
		name = "TBindListStringGridEditor.GetColumnIndices"
		size = 116
		refs = "0017 TBindListStringGridEditor.GetColumnIndices 003e IntToStr 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 14 8B 40 04 8B 98 8C 02 00 00 4B 85 DB 7C 1B 43 33 F6 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 8B 08 FF 51 38 46 4B 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_73708_0 {
	meta:
		name = "TStringGridItemEditorObject.GetCells"
		size = 27
		refs = "0013 TStringGrid.GetCells"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B 4B 08 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73709_0 {
	meta:
		name = "TStringGridItemEditorObject.SetCells"
		size = 14
		refs = "0009 TStringGrid.SetCells"
	strings:
		$1 = { 51 8B 48 04 8B 40 08 91 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73711_0 {
	meta:
		name = "TBindListBoxEditorFactory.CreateEditor"
		size = 42
		refs = "000b _DV_TBindListListBoxEditor 0010 TBindListListBoxEditor.Create 0021 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B D9 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B 45 08 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73737_0 {
	meta:
		name = "TBindCheckBoxEditorFactory.CreateEditor"
		size = 42
		refs = "000b _DV_TBindStateCheckBoxEditor 0010 TBindStateCheckBoxEditor.Create 0021 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B D9 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B 45 08 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73714_0 {
	meta:
		name = "TBindComboBoxEditorFactory.CreateEditor"
		size = 42
		refs = "000b _DV_TBindListComboBoxEditor 0010 TBindListComboBoxEditor.Create 0021 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B D9 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B 45 08 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73731_0 {
	meta:
		name = "TBindListViewEditorFactory.CreateEditor"
		size = 42
		refs = "000b _DV_TBindListListViewEditor 0010 TBindListListViewEditor.Create 0021 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B D9 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B 45 08 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73734_0 {
	meta:
		name = "TBindStringGridEditorFactory.CreateEditor"
		size = 42
		refs = "000b _DV_TBindListStringGridEditor 0010 TBindListStringGridEditor.Create 0021 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B D9 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B 45 08 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73712_0 {
	meta:
		name = "TBindListBoxEditorFactory.Supports"
		size = 84
		refs = "0014 TBindListBoxEditorFactory.Supports 001b TGUID.&op_Equality 0029 _Dn_TCustomListBox 0030 TObject.InheritsFrom"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B F1 33 DB BA ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 84 C0 74 17 85 F6 74 13 8B 15 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 84 C0 74 02 B3 01 8B C3 83 C4 10 5F 5E 5B C3 00 5F 12 D3 C0 E8 F9 AE 4E 98 CB AC 16 D0 E7 B0 75 }
	condition:
		$1
}

rule function_73715_0 {
	meta:
		name = "TBindComboBoxEditorFactory.Supports"
		size = 84
		refs = "0014 TBindComboBoxEditorFactory.Supports 001b TGUID.&op_Equality 0029 _Dn_TCustomComboBox 0030 TObject.InheritsFrom"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B F1 33 DB BA ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 84 C0 74 17 85 F6 74 13 8B 15 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 84 C0 74 02 B3 01 8B C3 83 C4 10 5F 5E 5B C3 00 5F 12 D3 C0 E8 F9 AE 4E 98 CB AC 16 D0 E7 B0 75 }
	condition:
		$1
}

rule function_73732_0 {
	meta:
		name = "TBindListViewEditorFactory.Supports"
		size = 84
		refs = "0014 TBindListViewEditorFactory.Supports 001b TGUID.&op_Equality 0029 _Dn_TCustomListView 0030 TObject.InheritsFrom"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B F1 33 DB BA ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 84 C0 74 17 85 F6 74 13 8B 15 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 84 C0 74 02 B3 01 8B C3 83 C4 10 5F 5E 5B C3 00 5F 12 D3 C0 E8 F9 AE 4E 98 CB AC 16 D0 E7 B0 75 }
	condition:
		$1
}

rule function_73735_0 {
	meta:
		name = "TBindStringGridEditorFactory.Supports"
		size = 84
		refs = "0014 TBindStringGridEditorFactory.Supports 001b TGUID.&op_Equality 0029 _Dn_TStringGrid 0030 TObject.InheritsFrom"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B F1 33 DB BA ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 84 C0 74 17 85 F6 74 13 8B 15 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 84 C0 74 02 B3 01 8B C3 83 C4 10 5F 5E 5B C3 00 5F 12 D3 C0 E8 F9 AE 4E 98 CB AC 16 D0 E7 B0 75 }
	condition:
		$1
}

rule function_73716_0 {
	meta:
		name = "TBindListListViewEditor.AddItem"
		size = 141
		refs = "001d TListItems.Add 004a TListItem.GetIndex 0079 TListItems.GetItem 0082 WrapObject"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 88 14 24 8B F0 8B 46 10 8B 40 04 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B 46 10 8B 40 04 8B 80 B4 02 00 00 8B 40 08 8B 68 08 85 ED 7C 0E 45 8B 47 08 33 D2 8B 08 FF 51 38 4D 75 F3 8B C7 E8 ?? ?? ?? ?? 8B D8 8B 6E 10 89 5D 08 80 3C 24 00 74 0D 8B D3 8B 45 04 8B 08 FF 91 FC 00 00 00 8B 5E 10 8B 53 08 8B 43 04 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B 54 24 04 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73717_0 {
	meta:
		name = "TBindListListViewEditor.CanInsertItem"
		size = 23
	strings:
		$1 = { 53 8B D8 8B 43 10 8B 40 04 8B 10 FF 92 F8 00 00 00 40 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_73718_0 {
	meta:
		name = "TBindListListViewEditor.InsertItem"
		size = 177
		refs = "0020 @IntfClear 0042 TListItems.Insert 006f TListItem.GetIndex 00a0 TListItems.GetItem 00a7 WrapObject"
	strings:
		$1 = { 53 56 57 55 51 8B E9 88 14 24 8B F0 8B 46 10 8B 40 04 8B 10 FF 92 F8 00 00 00 40 75 0C 8B C5 E8 ?? ?? ?? ?? E9 82 00 00 00 8B 46 10 8B 58 04 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B 46 10 8B 40 04 8B 80 B4 02 00 00 8B 40 08 8B 58 08 85 DB 7C 0E 43 8B 47 08 33 D2 8B 08 FF 51 38 4B 75 F3 8B C7 E8 ?? ?? ?? ?? 8B 5E 10 89 43 08 80 3C 24 00 74 11 8B 46 10 8B 50 08 8B 43 04 8B 08 FF 91 FC 00 00 00 8B 5E 10 8B 53 08 8B 43 04 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73719_0 {
	meta:
		name = "TBindListListViewEditor.CurrentItem"
		size = 82
		refs = "0039 TListItems.GetItem 0040 WrapObject 0049 @IntfClear"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B 7B 10 83 7F 08 FF 75 11 8B 47 04 8B 10 FF 92 F8 00 00 00 8B 53 10 89 42 08 8B 7B 10 8B 6F 08 83 FD FF 74 19 8B D5 8B 47 04 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73720_0 {
	meta:
		name = "TBindListListViewEditor.BeginUpdate"
		size = 18
		refs = "000d TListItems.BeginUpdate"
	strings:
		$1 = { 8B 40 10 8B 40 04 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73725_0 {
	meta:
		name = "TBindListListViewEditor.EndUpdate"
		size = 18
		refs = "000d TListItems.EndUpdate"
	strings:
		$1 = { 8B 40 10 8B 40 04 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73726_0 {
	meta:
		name = "TBindListListViewEditor.GetRowCount"
		size = 18
		refs = "000d TListItems.GetCount"
	strings:
		$1 = { 8B 40 10 8B 40 04 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73721_0 {
	meta:
		name = "TBindListListViewEditor.ClearList"
		size = 29
	strings:
		$1 = { 53 8B D8 8B 43 10 8B 40 04 8B 10 FF 92 04 01 00 00 8B 43 10 C7 40 08 FF FF FF FF 5B C3 }
	condition:
		$1
}

rule function_73722_0 {
	meta:
		name = "TBindListListViewEditor.Create"
		size = 84
		refs = "000f @ClassCreate 001d _DV_TListViewItemEditorObject 0022 TObject.Create 003e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 10 89 7E 04 C7 46 08 FF FF FF FF 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73723_0 {
	meta:
		name = "TBindListListViewEditor.DeleteToEnd"
		size = 124
		refs = "002f TListItems.GetCount 0039 TListItems.Delete 0046 Max"
	strings:
		$1 = { 53 56 8B D8 8B 73 10 83 7E 08 FF 75 30 8B 46 04 8B 10 FF 92 F8 00 00 00 8B 53 10 89 42 08 EB 1D 8B 43 10 8B 40 04 8B B0 A4 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 4A 8B C6 E8 ?? ?? ?? ?? 8B 43 10 8B 50 08 33 C0 E8 ?? ?? ?? ?? 8B F0 8B 43 10 8B 40 04 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 3B F0 7C BF 8B 43 10 8B 40 04 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 48 8B 53 10 89 42 08 5E 5B C3 }
	condition:
		$1
}

rule function_73727_0 {
	meta:
		name = "TBindListListViewEditor.GetSelectedText"
		size = 65
		refs = "0030 TListItems.GetItem 003a @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 8B 40 04 8B 10 FF 92 F8 00 00 00 40 74 27 8B 43 10 8B 58 04 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B 50 20 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73728_0 {
	meta:
		name = "TBindListListViewEditor.MoveNext"
		size = 87
		refs = "0044 TListItems.GetCount"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 73 10 83 7E 08 FF 75 1E 8B 46 04 8B 10 FF 92 F8 00 00 00 8B F8 8B 6B 10 89 7D 08 85 FF 7D 0A 33 C0 89 45 08 EB 03 FF 46 08 8B 7B 10 8B 77 08 85 F6 7C 12 8B 47 04 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 3B F0 7C 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73729_0 {
	meta:
		name = "TBindListListViewEditor.SetSelectedText"
		size = 77
		refs = "0015 TCustomListView.FindCaption 0022 TListItem.GetIndex"
	strings:
		$1 = { 53 56 8B D8 6A 00 6A 01 6A 00 8B 43 10 8B 40 04 8B CA 33 D2 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1A 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 10 8B 40 04 8B 08 FF 91 FC 00 00 00 5E 5B C3 8B 43 10 8B 40 04 83 CA FF 8B 08 FF 91 FC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_73738_0 {
	meta:
		name = "TBindCheckBoxEditorFactory.Supports"
		size = 80
		refs = "0014 TBindCheckBoxEditorFactory.Supports 001b TGUID.&op_Equality 0027 _Dn_TCheckBox 002c TObject.InheritsFrom"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B F1 33 DB BA ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 84 C0 74 13 8B 06 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 02 B3 01 8B C3 83 C4 10 5F 5E 5B C3 00 0C B3 7E 90 04 3C 0C 40 88 FD 3E 9F D5 EA E7 61 }
	condition:
		$1
}

rule function_73740_0 {
	meta:
		name = "TBindStateCheckBoxEditor.GetAllowGrayed"
		size = 11
	strings:
		$1 = { 8B 40 10 0F B6 80 81 02 00 00 C3 }
	condition:
		$1
}

rule function_73741_0 {
	meta:
		name = "TBindStateCheckBoxEditor.GetState"
		size = 53
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 08 84 C0 74 10 8B 43 10 80 B8 82 02 00 00 02 75 04 B0 02 5B C3 8B 43 10 8B 10 FF 92 F8 00 00 00 84 C0 74 04 B0 01 EB 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_73742_0 {
	meta:
		name = "TBindStateCheckBoxEditor.SetAllowGrayed"
		size = 10
	strings:
		$1 = { 8B 40 10 88 90 81 02 00 00 C3 }
	condition:
		$1
}

rule function_73743_0 {
	meta:
		name = "TBindStateCheckBoxEditor.SetState"
		size = 55
		refs = "001c TCustomCheckBox.SetState"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 FB 02 75 18 8B C6 8B 10 FF 52 08 84 C0 74 0D B2 02 8B 46 10 E8 ?? ?? ?? ?? 5E 5B C3 80 FB 01 0F 94 C2 8B 46 10 8B 08 FF 91 FC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_73744_0 {
	meta:
		name = "TBindListListBoxEditor.CreateItemsEditor"
		size = 32
		refs = "0007 _Dn_TCustomListBox 000c @AsClass 0015 _DV_TListBoxItemEditorObject 001a TListBoxItemEditorObject.Create"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73746_0 {
	meta:
		name = "TBindListComboBoxEditor.CreateItemsEditor"
		size = 32
		refs = "0007 _Dn_TCustomComboBox 000c @AsClass 0015 _DV_TComboBoxItemEditorObject 001a TComboBoxItemEditorObject.Create"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73747_0 {
	meta:
		name = "Finalization"
		size = 71
		refs = "0005 _DV_21 000c _DV_TBindCheckBoxEditorFactory 0014 _DV_TBindListBoxEditorFactory 001d _DV_TBindComboBoxEditorFactory 0026 _DV_TBindListViewEditorFactory 002f _DV_TBindStringGridEditorFactory 003f UnregisterBindEditorFactory"
	strings:
		$1 = { 83 C4 EC FF 05 ?? ?? ?? ?? 75 38 A1 ?? ?? ?? ?? 89 04 24 A1 ?? ?? ?? ?? 89 44 24 04 A1 ?? ?? ?? ?? 89 44 24 08 A1 ?? ?? ?? ?? 89 44 24 0C A1 ?? ?? ?? ?? 89 44 24 10 8B C4 BA 04 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_73748_0 {
	meta:
		name = "Vcl.Bind.Editors"
		size = 72
		refs = "0008 _DV_21 0010 _DV_TBindCheckBoxEditorFactory 0018 _DV_TBindListBoxEditorFactory 0020 _DV_TBindComboBoxEditorFactory 0028 _DV_TBindListViewEditorFactory 0030 _DV_TBindStringGridEditorFactory 0040 RegisterBindEditorFactory"
	strings:
		$1 = { 55 8B EC 83 C4 EC 83 2D ?? ?? ?? ?? 01 73 35 A1 ?? ?? ?? ?? 89 45 EC A1 ?? ?? ?? ?? 89 45 F0 A1 ?? ?? ?? ?? 89 45 F4 A1 ?? ?? ?? ?? 89 45 F8 A1 ?? ?? ?? ?? 89 45 FC 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_73750_0 {
	meta:
		name = "TButtonGroup.Create@"
		size = 32
		refs = "0002 TButtonGroup.$ClassInitFlag 000b _Dn_TScrollingStyleHook 0011 _DV_TButtonGroup 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85357_0 {
	meta:
		name = "TButton.Create@"
		size = 32
		refs = "0002 TButton.$ClassInitFlag 000b _DV_TButtonStyleHook 0011 _DV_TButton 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73984_0 {
	meta:
		name = "TCategoryButtons.Create@"
		size = 32
		refs = "0002 TCategoryButtons.$ClassInitFlag 000b _Dn_TScrollingStyleHook 0011 _DV_TCategoryButtons 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79322_0 {
	meta:
		name = "TCategoryPanelGroup.Create@"
		size = 32
		refs = "0002 TCategoryPanelGroup.$ClassInitFlag 000b _Dn_TScrollingStyleHook 0011 _DV_TCategoryPanelGroup 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85358_0 {
	meta:
		name = "TCheckBox.Create@"
		size = 32
		refs = "0002 TCheckBox.$ClassInitFlag 000b _DV_TCheckBoxStyleHook 0011 _DV_TCheckBox 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74193_0 {
	meta:
		name = "TCheckListBox.Create@"
		size = 32
		refs = "0002 TCheckListBox.$ClassInitFlag 000b _Dn_TListBoxStyleHook 0011 _DV_TCheckListBox 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85356_0 {
	meta:
		name = "TComboBox.Create@"
		size = 32
		refs = "0002 TComboBox.$ClassInitFlag 000b _DV_TComboBoxStyleHook 0011 _DV_TComboBox 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75843_0 {
	meta:
		name = "TComboBoxEx.Create@"
		size = 32
		refs = "0002 TComboBoxEx.$ClassInitFlag 000b _DV_TComboBoxExStyleHook 0011 _DV_TComboBoxEx 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75648_0 {
	meta:
		name = "TCoolBar.Create@"
		size = 32
		refs = "0002 TCoolBar.$ClassInitFlag 000b _DV_TCoolBarStyleHook 0011 _DV_TCoolBar 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85014_0 {
	meta:
		name = "TCustomButton.Create@"
		size = 32
		refs = "0002 TCustomButton.$ClassInitFlag 000b _DV_TButtonStyleHook 0011 _DV_TCustomButton 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79286_0 {
	meta:
		name = "TCustomCategoryPanelGroup.Create@"
		size = 32
		refs = "0002 TCustomCategoryPanelGroup.$ClassInitFlag 000b _Dn_TScrollingStyleHook 0011 _DV_TCustomCategoryPanelGroup 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85056_0 {
	meta:
		name = "TCustomCheckBox.Create@"
		size = 32
		refs = "0002 TCustomCheckBox.$ClassInitFlag 000b _DV_TCheckBoxStyleHook 0011 _DV_TCustomCheckBox 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84966_0 {
	meta:
		name = "TCustomComboBox.Create@"
		size = 32
		refs = "0002 TCustomComboBox.$ClassInitFlag 000b _DV_TComboBoxStyleHook 0011 _DV_TCustomComboBox 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75811_0 {
	meta:
		name = "TCustomComboBoxEx.Create@"
		size = 32
		refs = "0002 TCustomComboBoxEx.$ClassInitFlag 000b _DV_TComboBoxExStyleHook 0011 _DV_TCustomComboBoxEx 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77769_0 {
	meta:
		name = "TCustomDBGrid.Create@"
		size = 32
		refs = "0002 TCustomDBGrid.$ClassInitFlag 000b _Dn_TScrollingStyleHook 0011 _DV_TCustomDBGrid 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77556_0 {
	meta:
		name = "TCustomDBLookupComboBox.Create@"
		size = 32
		refs = "0002 TCustomDBLookupComboBox.$ClassInitFlag 000b _Dn_TEditStyleHook 0011 _DV_TCustomDBLookupComboBox 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80922_0 {
	meta:
		name = "TCustomDrawGrid.Create@"
		size = 32
		refs = "0002 TCustomDrawGrid.$ClassInitFlag 000b _Dn_TScrollingStyleHook 0011 _DV_TCustomDrawGrid 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84817_0 {
	meta:
		name = "TCustomEdit.Create@"
		size = 32
		refs = "0002 TCustomEdit.$ClassInitFlag 000b _DV_TEditStyleHook 0011 _DV_TCustomEdit 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79588_0 {
	meta:
		name = "TCustomForm.Create@"
		size = 32
		refs = "0002 TCustomForm.$ClassInitFlag 000b _DV_TFormStyleHook 0011 _DV_TCustomForm 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80720_0 {
	meta:
		name = "TCustomGrid.Create@"
		size = 32
		refs = "0002 TCustomGrid.$ClassInitFlag 000b _Dn_TScrollingStyleHook 0011 _DV_TCustomGrid 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84783_0 {
	meta:
		name = "TCustomGroupBox.Create@"
		size = 32
		refs = "0002 TCustomGroupBox.$ClassInitFlag 000b _DV_TGroupBoxStyleHook 0011 _DV_TCustomGroupBox 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74616_0 {
	meta:
		name = "TCustomHeaderControl.Create@"
		size = 32
		refs = "0002 TCustomHeaderControl.$ClassInitFlag 000b _DV_THeaderStyleHook 0011 _DV_TCustomHeaderControl 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75090_0 {
	meta:
		name = "TCustomHotKey.Create@"
		size = 32
		refs = "0002 TCustomHotKey.$ClassInitFlag 000b _Dn_TEditStyleHook 0011 _DV_TCustomHotKey 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79323_0 {
	meta:
		name = "TCustomLinkLabel.Create@"
		size = 32
		refs = "0002 TCustomLinkLabel.$ClassInitFlag 000b _DV_TLinkLabelStyleHook 0011 _DV_TCustomLinkLabel 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85102_0 {
	meta:
		name = "TCustomListBox.Create@"
		size = 32
		refs = "0002 TCustomListBox.$ClassInitFlag 000b _DV_TListBoxStyleHook 0011 _DV_TCustomListBox 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75224_0 {
	meta:
		name = "TCustomListView.Create@"
		size = 32
		refs = "0002 TCustomListView.$ClassInitFlag 000b _DV_TListViewStyleHook 0011 _DV_TCustomListView 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84886_0 {
	meta:
		name = "TCustomMemo.Create@"
		size = 32
		refs = "0002 TCustomMemo.$ClassInitFlag 000b _DV_TMemoStyleHook 0011 _DV_TCustomMemo 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75021_0 {
	meta:
		name = "TCustomRichEdit.Create@"
		size = 32
		refs = "0002 TCustomRichEdit.$ClassInitFlag 000b _DV_TRichEditStyleHook 0011 _DV_TCustomRichEdit 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85191_0 {
	meta:
		name = "TCustomStaticText.Create@"
		size = 32
		refs = "0002 TCustomStaticText.$ClassInitFlag 000b _DV_TStaticTextStyleHook 0011 _DV_TCustomStaticText 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74548_0 {
	meta:
		name = "TCustomStatusBar.Create@"
		size = 32
		refs = "0002 TCustomStatusBar.$ClassInitFlag 000b _DV_TStatusBarStyleHook 0011 _DV_TCustomStatusBar 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74414_0 {
	meta:
		name = "TCustomTabControl.Create@"
		size = 32
		refs = "0002 TCustomTabControl.$ClassInitFlag 000b _DV_TTabControlStyleHook 0011 _DV_TCustomTabControl 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74788_0 {
	meta:
		name = "TCustomTreeView.Create@"
		size = 32
		refs = "0002 TCustomTreeView.$ClassInitFlag 000b _DV_TTreeViewStyleHook 0011 _DV_TCustomTreeView 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75063_0 {
	meta:
		name = "TCustomUpDown.Create@"
		size = 32
		refs = "0002 TCustomUpDown.$ClassInitFlag 000b _DV_TUpDownStyleHook 0011 _DV_TCustomUpDown 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77097_0 {
	meta:
		name = "TDBCtrlGrid.Create@"
		size = 32
		refs = "0002 TDBCtrlGrid.$ClassInitFlag 000b _Dn_TScrollingStyleHook 0011 _DV_TDBCtrlGrid 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77892_0 {
	meta:
		name = "TDBGrid.Create@"
		size = 32
		refs = "0002 TDBGrid.$ClassInitFlag 000b _Dn_TScrollingStyleHook 0011 _DV_TDBGrid 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77587_0 {
	meta:
		name = "TDBLookupComboBox.Create@"
		size = 32
		refs = "0002 TDBLookupComboBox.$ClassInitFlag 000b _Dn_TEditStyleHook 0011 _DV_TDBLookupComboBox 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77354_0 {
	meta:
		name = "TDBMemo.Create@"
		size = 32
		refs = "0002 TDBMemo.$ClassInitFlag 000b _Dn_TMemoStyleHook 0011 _DV_TDBMemo 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75750_0 {
	meta:
		name = "TDateTimePicker.Create@"
		size = 32
		refs = "0002 TDateTimePicker.$ClassInitFlag 000b _DV_TDateTimePickerStyleHook 0011 _DV_TDateTimePicker 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81044_0 {
	meta:
		name = "TDrawGrid.Create@"
		size = 32
		refs = "0002 TDrawGrid.$ClassInitFlag 000b _Dn_TScrollingStyleHook 0011 _DV_TDrawGrid 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85354_0 {
	meta:
		name = "TEdit.Create@"
		size = 32
		refs = "0002 TEdit.$ClassInitFlag 000b _DV_TEditStyleHook 0011 _DV_TEdit 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79785_0 {
	meta:
		name = "TForm.Create@"
		size = 32
		refs = "0002 TForm.$ClassInitFlag 000b _DV_TFormStyleHook 0011 _DV_TForm 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85353_0 {
	meta:
		name = "TGroupBox.Create@"
		size = 32
		refs = "0002 TGroupBox.$ClassInitFlag 000b _DV_TGroupBoxStyleHook 0011 _DV_TGroupBox 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75870_0 {
	meta:
		name = "THeaderControl.Create@"
		size = 32
		refs = "0002 THeaderControl.$ClassInitFlag 000b _DV_THeaderStyleHook 0011 _DV_THeaderControl 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75104_0 {
	meta:
		name = "THotKey.Create@"
		size = 32
		refs = "0002 THotKey.$ClassInitFlag 000b _Dn_TEditStyleHook 0011 _DV_THotKey 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79341_0 {
	meta:
		name = "TLinkLabel.Create@"
		size = 32
		refs = "0002 TLinkLabel.$ClassInitFlag 000b _DV_TLinkLabelStyleHook 0011 _DV_TLinkLabel 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85359_0 {
	meta:
		name = "TListBox.Create@"
		size = 32
		refs = "0002 TListBox.$ClassInitFlag 000b _DV_TListBoxStyleHook 0011 _DV_TListBox 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75375_0 {
	meta:
		name = "TListView.Create@"
		size = 32
		refs = "0002 TListView.$ClassInitFlag 000b _DV_TListViewStyleHook 0011 _DV_TListView 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85355_0 {
	meta:
		name = "TMemo.Create@"
		size = 32
		refs = "0002 TMemo.$ClassInitFlag 000b _DV_TMemoStyleHook 0011 _DV_TMemo 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75775_0 {
	meta:
		name = "TPageScroller.Create@"
		size = 32
		refs = "0002 TPageScroller.$ClassInitFlag 000b _DV_TPageScrollerStyleHook 0011 _DV_TPageScroller 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74932_0 {
	meta:
		name = "TProgressBar.Create@"
		size = 32
		refs = "0002 TProgressBar.$ClassInitFlag 000b _DV_TProgressBarStyleHook 0011 _DV_TProgressBar 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85077_0 {
	meta:
		name = "TRadioButton.Create@"
		size = 32
		refs = "0002 TRadioButton.$ClassInitFlag 000b _DV_TRadioButtonStyleHook 0011 _DV_TRadioButton 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75062_0 {
	meta:
		name = "TRichEdit.Create@"
		size = 32
		refs = "0002 TRichEdit.$ClassInitFlag 000b _DV_TRichEditStyleHook 0011 _DV_TRichEdit 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85173_0 {
	meta:
		name = "TScrollBar.Create@"
		size = 32
		refs = "0002 TScrollBar.$ClassInitFlag 000b _DV_TScrollBarStyleHook 0011 _DV_TScrollBar 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79573_0 {
	meta:
		name = "TScrollBox.Create@"
		size = 32
		refs = "0002 TScrollBox.$ClassInitFlag 000b _DV_TScrollBoxStyleHook 0011 _DV_TScrollBox 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85360_0 {
	meta:
		name = "TStaticText.Create@"
		size = 32
		refs = "0002 TStaticText.$ClassInitFlag 000b _DV_TStaticTextStyleHook 0011 _DV_TStaticText 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75844_0 {
	meta:
		name = "TStatusBar.Create@"
		size = 32
		refs = "0002 TStatusBar.$ClassInitFlag 000b _DV_TStatusBarStyleHook 0011 _DV_TStatusBar 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80986_0 {
	meta:
		name = "TStringGrid.Create@"
		size = 32
		refs = "0002 TStringGrid.$ClassInitFlag 000b _Dn_TScrollingStyleHook 0011 _DV_TStringGrid 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74463_0 {
	meta:
		name = "TTabControl.Create@"
		size = 32
		refs = "0002 TTabControl.$ClassInitFlag 000b _DV_TTabControlStyleHook 0011 _DV_TTabControl 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75462_0 {
	meta:
		name = "TToolBar.Create@"
		size = 32
		refs = "0002 TToolBar.$ClassInitFlag 000b _DV_TToolBarStyleHook 0011 _DV_TToolBar 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74901_0 {
	meta:
		name = "TTrackBar.Create@"
		size = 32
		refs = "0002 TTrackBar.$ClassInitFlag 000b _DV_TTrackBarStyleHook 0011 _DV_TTrackBar 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74900_0 {
	meta:
		name = "TTreeView.Create@"
		size = 32
		refs = "0002 TTreeView.$ClassInitFlag 000b _DV_TTreeViewStyleHook 0011 _DV_TTreeView 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75089_0 {
	meta:
		name = "TUpDown.Create@"
		size = 32
		refs = "0002 TUpDown.$ClassInitFlag 000b _DV_TUpDownStyleHook 0011 _DV_TUpDown 0016 _Dn_TCustomStyleEngine 001b TCustomStyleEngine.RegisterStyleHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73751_0 {
	meta:
		name = "TButtonGroup.Create"
		size = 356
		refs = "000e @ClassCreate 001c TCustomControl.Create 0028 TControl.SetWidth 0034 TControl.SetHeight 0039 TButtonGroup.Create 0082 _Dn_TChangeLink 0087 TObject.Create 0099 TButtonGroup.ImageListChange 00f9 _Dn_TDragImageList 00fe TCustomImageList.Create 0117 TWinControl.SetTabStop 013e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 58 8B C3 8B 10 FF 92 0C 01 00 00 8B CB B2 01 FF 50 28 89 83 BC 02 00 00 0F B6 05 ?? ?? ?? ?? 88 83 C0 02 00 00 C6 83 CC 02 00 00 01 C7 83 C4 02 00 00 18 00 00 00 C7 83 C8 02 00 00 18 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D8 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? C6 83 68 02 00 00 01 C7 83 9C 02 00 00 FF FF FF FF C7 83 80 02 00 00 FF FF FF FF C7 83 D4 02 00 00 FF FF FF FF C7 83 84 02 00 00 FF FF FF FF C7 83 AC 02 00 00 FF FF FF FF C7 83 A4 02 00 00 FF FF FF FF C7 83 A0 02 00 00 FF FF FF FF C7 83 A8 02 00 00 FF FF FF FF 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 94 02 00 00 C7 83 D0 02 00 00 FF FF FF FF B2 01 8B C3 E8 ?? ?? ?? ?? 8B 83 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 88 50 10 0F B6 15 ?? ?? ?? ?? 88 50 11 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 82 20 08 00 08 00 00 00 12 00 00 00 1F 00 00 00 }
	condition:
		$1
}

rule function_73752_0 {
	meta:
		name = "TButtonGroup.CreateButton"
		size = 26
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 08 01 00 00 8B 8B BC 02 00 00 B2 01 FF 50 1C 5B C3 }
	condition:
		$1
}

rule function_73753_0 {
	meta:
		name = "TButtonGroup.CreateParams"
		size = 45
		refs = "000b TWinControl.CreateParams"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 80 BE CC 02 00 00 01 75 0E 81 63 04 FF FF 7F FF 81 4B 08 00 02 00 00 83 63 24 FC 5E 5B C3 }
	condition:
		$1
}

rule function_73754_0 {
	meta:
		name = "TButtonGroup.Destroy"
		size = 69
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0033 TCustomControl.Destroy 003e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 94 02 00 00 E8 ?? ?? ?? ?? 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? 8B 86 D8 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73756_0 {
	meta:
		name = "TButtonGroup.GetButtonRect"
		size = 110
		refs = "000c TButtonGroup.CalcButtonsPerRow 003a TControl.GetClientWidth"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 83 98 02 00 00 F7 E9 2B F8 8B C7 99 F7 F9 F7 AB C8 02 00 00 89 46 04 F6 83 C0 02 00 00 02 74 10 33 C0 89 06 8B C3 E8 ?? ?? ?? ?? 89 46 08 EB 1B 8B C7 99 F7 F9 8B C2 8B D0 0F AF 93 C4 02 00 00 89 16 03 93 C4 02 00 00 89 56 08 8B 46 04 03 83 C8 02 00 00 89 46 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73759_0 {
	meta:
		name = "TButtonGroup.Notification"
		size = 133
		refs = "0011 TWinControl.Notification 0027 TButtonGroup.SetImages 0031 _Dn_TBasicAction 0036 @IsClass 005b TGrpButtonItems.GetItem 0060 TBaseButtonItem.GetAction 0078 TBaseButtonItem.SetAction"
	strings:
		$1 = { 53 56 57 55 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 66 3B B7 DC 02 00 00 75 0B 33 D2 8B C7 E8 ?? ?? ?? ?? EB 53 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 42 8B 87 BC 02 00 00 8B 40 08 8B 68 08 4D 85 ED 7C 31 45 33 DB 8B D3 8B 87 BC 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 75 14 8B D3 8B 87 BC 02 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 43 4D 75 D2 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73760_0 {
	meta:
		name = "TButtonGroup.Paint"
		size = 760
		refs = "0015 TButtonGroup.Paint 002c TStyleManager.GetIsCustomStyleActive 0037 _Dn_TBitmap 003c TBitmap.Create 0047 TControl.GetClientHeight 0050 TControl.GetClientWidth 0063 TBitmap.GetCanvas 0079 TStyleManager.GetActiveStyle 00a6 TCustomStyleServices.GetElementColor 00c1 TBrush.SetColor 00f3 Rect 0101 TButtonGroup.DoFillRect 0120 TButtonGroup.CalcRowsSeen 012a TButtonGroup.CalcButtonsPerRow 01ae Bounds 023d @CallDynaInst 02e1 TObject.Free 02e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 89 45 FC 33 C0 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 68 02 00 00 00 75 41 E8 ?? ?? ?? ?? 84 C0 74 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 D4 59 8B 18 FF 53 6C 8B 45 D4 E8 ?? ?? ?? ?? 89 45 D8 EB 0C 8B 45 FC 8B 80 78 02 00 00 89 45 D8 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 8B 10 FF 52 48 84 C0 74 3B 8D 45 E0 50 8D 4D B4 B2 02 8B 45 DC 8B 18 FF 53 5C 8D 55 B4 B1 01 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 19 81 7D E0 FF FF FF 1F 74 10 8B 45 D8 8B 40 48 8B 55 E0 E8 ?? ?? ?? ?? EB 10 8B 45 D8 8B 40 48 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 A4 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 A4 8B 4D D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 02 00 00 8B 40 08 8B 78 08 85 FF 0F 8E 98 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 98 98 02 00 00 0F AF 5D F8 0F AF 75 F8 8D 04 1E 3B F8 7D 04 8B F7 2B F3 33 C0 89 45 F0 33 C0 89 45 F4 33 C0 89 45 EC 8B 45 FC F6 80 C0 02 00 00 02 74 0D 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 EB 0C 8B 45 FC 8B 80 C4 02 00 00 89 45 E8 8B 45 FC 8B 80 C8 02 00 00 89 45 E4 03 F3 4E 2B F3 0F 8C 1C 01 00 00 46 89 75 D0 8B 45 E4 50 8D 45 C0 50 8B 4D E8 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 0F B7 3D ?? ?? ?? ?? 8B 45 FC 3B 98 9C 02 00 00 75 13 66 83 CF 02 8B 45 FC 3B 98 80 02 00 00 75 04 66 83 CF 08 8B 45 FC 3B 98 D4 02 00 00 75 04 66 83 CF 01 8B 45 FC 3B 98 A4 02 00 00 75 06 66 83 CF 40 EB 33 8B 45 FC 3B 98 AC 02 00 00 75 07 66 81 CF 00 01 EB 21 8B 45 FC 3B 98 A8 02 00 00 75 07 66 81 CF 80 00 EB 0F 8B 45 FC 3B 98 A0 02 00 00 75 04 66 83 CF 20 8B 45 FC 3B 98 D0 02 00 00 75 14 8B 45 FC 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 74 04 66 83 CF 04 8D 45 C0 50 57 8B 4D D8 8B D3 8B 45 FC 8B 30 FF 96 00 01 00 00 8B 45 DC 8B 10 FF 52 48 84 C0 74 17 81 7D E0 FF FF FF 1F 74 0E 8B 45 D8 8B 40 48 8B 55 E0 E8 ?? ?? ?? ?? FF 45 EC 8B 45 EC 3B 45 F8 7C 18 8B 45 E8 01 45 F0 33 C0 89 45 EC 33 C0 89 45 F0 8B 45 E4 01 45 F4 EB 06 8B 45 E8 01 45 F0 43 FF 4D D0 0F 85 E8 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D4 00 74 1E 8B 45 D4 50 8B 45 FC 8B 80 78 02 00 00 33 C9 33 D2 8B 18 FF 53 44 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 5F 5E 5B 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_73761_0 {
	meta:
		name = "TButtonGroup.CalcButtonsPerRow"
		size = 44
		refs = "0016 TControl.GetClientWidth"
	strings:
		$1 = { 53 8B D8 F6 83 C0 02 00 00 02 74 07 B8 01 00 00 00 5B C3 8B C3 E8 ?? ?? ?? ?? 99 F7 BB C4 02 00 00 85 C0 75 05 B8 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_73762_0 {
	meta:
		name = "TButtonGroup.CalcRowsSeen"
		size = 19
		refs = "0006 TControl.GetClientHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 99 F7 BB C8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_73763_0 {
	meta:
		name = "TButtonGroup.Resize"
		size = 203
		refs = "000c TControl.Resize 001b TButtonGroup.CalcRowsSeen 0024 TButtonGroup.CalcButtonsPerRow 00a5 TWinControl.GetHandle 00ab SetScrollInfo 00b4 TButtonGroup.ShowScrollBar"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 98 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 83 BC 02 00 00 8B 40 08 8B 78 08 8B C1 F7 EE 3B F8 7E 7C 8B C7 99 F7 F9 8B E8 8B C7 99 F7 F9 85 D2 74 01 45 3B F5 7D 08 89 B3 B8 02 00 00 EB 06 89 AB B8 02 00 00 8B C5 2B 83 B8 02 00 00 89 83 B4 02 00 00 C7 04 24 1C 00 00 00 C7 44 24 04 07 00 00 00 33 C0 89 44 24 08 4D 89 6C 24 0C 33 C0 89 44 24 14 8B 83 B8 02 00 00 89 44 24 10 6A 00 8D 44 24 04 50 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73764_0 {
	meta:
		name = "TButtonGroup.SetBorderStyle"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TCustomGrid.SetScrollBars TDateTimePicker.SetDateMode"
	strings:
		$1 = { 3A 90 CC 02 00 00 74 0B 88 90 CC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73765_0 {
	meta:
		name = "TButtonGroup.SetButtonHeight"
		size = 24
		refs = "0013 TButtonGroup.UpdateAllButtons"
	strings:
		$1 = { 3B 90 C8 02 00 00 74 0F 85 D2 7E 0B 89 90 C8 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73766_0 {
	meta:
		name = "TButtonGroup.SeTGrpButtonItems"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 BC 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_73767_0 {
	meta:
		name = "TButtonGroup.SetGrpButtonOptions"
		size = 82
		refs = "0034 TWinControl.HandleAllocated 0043 @CallDynaInst 004a TButtonGroup.UpdateAllButtons"
	strings:
		$1 = { 53 56 51 88 14 24 8B D8 0F B6 04 24 3A 83 C0 02 00 00 74 3A 0F B6 04 24 88 83 C0 02 00 00 F6 83 C0 02 00 00 04 75 0A C7 83 D4 02 00 00 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B C3 66 BE D0 FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_73768_0 {
	meta:
		name = "TButtonGroup.SetButtonWidth"
		size = 24
		refs = "0013 TButtonGroup.UpdateAllButtons"
	strings:
		$1 = { 3B 90 C4 02 00 00 74 0F 85 D2 7E 0B 89 90 C4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73769_0 {
	meta:
		name = "TButtonGroup.SetImages"
		size = 77
		refs = "001b TCustomImageList.UnRegisterChanges 0032 TCustomImageList.RegisterChanges 003f TComponent.FreeNotification 0046 TButtonGroup.UpdateAllButtons"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 DC 02 00 00 3B F0 74 3A 85 C0 74 0B 8B 93 D8 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 DC 02 00 00 85 C0 74 18 8B 93 D8 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73770_0 {
	meta:
		name = "TButtonGroup.SetItemIndex"
		size = 62
		refs = "002a TButtonGroup.UpdateButton"
	strings:
		$1 = { 53 56 8B D8 8B B3 D4 02 00 00 3B D6 74 2D F6 83 C0 02 00 00 04 74 24 8B C6 89 93 D4 02 00 00 89 93 D0 02 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 93 D4 02 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73771_0 {
	meta:
		name = "TButtonGroup.ShowScrollBar"
		size = 45
		refs = "0020 TWinControl.GetHandle 0026 ShowScrollBar"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E 30 03 00 00 74 1C 88 9E 30 03 00 00 80 FB 01 F5 1B C0 50 6A 01 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73772_0 {
	meta:
		name = "TButtonGroup.UpdateAllButtons"
		size = 38
		refs = "0006 TWinControl.HandleAllocated 001a TWinControl.GetHandle 0020 RedrawWindow"
		altNames = "TCategoryButtons.UpdateAllButtons"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 68 01 01 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73773_0 {
	meta:
		name = "TButtonGroup.UpdateButton"
		size = 50
		refs = "0014 TButtonGroup.GetButtonRect 0022 TWinControl.GetHandle 0028 InvalidateRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 85 F6 7C 1F 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_73774_0 {
	meta:
		name = "TButtonGroup.WMSize"
		size = 34
		refs = "0006 TWinControl.WMSize 0016 TWinControl.GetHandle 001c RedrawWindow"
		altNames = "TCategoryButtons.WMSize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 68 01 01 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73775_0 {
	meta:
		name = "TButtonGroup.WMHScroll"
		size = 16
		refs = "000b TButtonGroup.ScrollPosChanged"
		altNames = "TButtonGroup.WMVScroll"
	strings:
		$1 = { 0F B6 4A 04 0F BF 52 06 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74018_0 {
	meta:
		name = "TCategoryButtons.WMHScroll"
		size = 16
		refs = "000b TCategoryButtons.ScrollPosChanged"
	strings:
		$1 = { 0F B6 4A 04 0F BF 52 06 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74016_0 {
	meta:
		name = "TCategoryButtons.WMVScroll"
		size = 16
		refs = "000b TCategoryButtons.ScrollPosChanged"
	strings:
		$1 = { 0F B6 4A 04 0F BF 52 06 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73777_0 {
	meta:
		name = "TButtonGroup.ScrollPosChanged"
		size = 241
		refs = "00ce TWinControl.GetHandle 00d4 SetScrollPos 00ea RedrawWindow"
	strings:
		$1 = { 56 57 8B F0 8B BE 98 02 00 00 84 D2 75 14 83 BE 98 02 00 00 00 7E 0B FF 8E 98 02 00 00 E9 96 00 00 00 80 FA 01 75 16 8B 86 98 02 00 00 3B 86 B4 02 00 00 7D 08 FF 86 98 02 00 00 EB 7B 80 FA 02 75 1F 8B 86 B8 02 00 00 29 86 98 02 00 00 83 BE 98 02 00 00 00 7D 61 33 C0 89 86 98 02 00 00 EB 57 80 FA 03 75 22 8B 86 B8 02 00 00 01 86 98 02 00 00 8B 86 B4 02 00 00 3B 86 98 02 00 00 7D 38 89 86 98 02 00 00 EB 30 8B C2 04 FC 2C 02 73 08 89 8E 98 02 00 00 EB 20 80 FA 06 75 0A 33 C0 89 86 98 02 00 00 EB 11 80 FA 07 75 0C 8B 86 B4 02 00 00 89 86 98 02 00 00 3B BE 98 02 00 00 74 2E 6A FF 8B 86 98 02 00 00 50 6A 01 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 01 01 00 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_73778_0 {
	meta:
		name = "TButtonGroup.DoFillRect"
		size = 91
		refs = "0011 TStyleManager.GetActiveStyle 002c TWinControl.GetHandle 0035 TCanvas.GetHandle 0047 TCustomStyleServices.DrawParentBackground"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 F6 46 5A 04 74 0C E8 ?? ?? ?? ?? 8B 10 FF 52 48 EB 02 33 C0 84 C0 74 2B E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 8B F0 8B C5 E8 ?? ?? ?? ?? 33 ED 33 D2 55 52 57 8B C8 8B C3 8B D6 E8 ?? ?? ?? ?? EB 09 8B D7 8B C5 8B 08 FF 51 54 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73779_0 {
	meta:
		name = "TButtonGroup.DoGesture"
		size = 106
		refs = "0044 TButtonGroup.ScrollPosChanged"
	strings:
		$1 = { 53 56 8B DA 8B F0 66 81 3B 04 01 75 5A C6 01 01 F6 43 0C 01 74 14 8B 43 04 89 86 E4 02 00 00 8B 43 08 89 86 E8 02 00 00 EB 3D F6 43 0C 04 75 37 8B 43 08 2B 86 E8 02 00 00 85 C0 7E 0D 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? EB 0B 8B C8 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 43 04 89 86 E4 02 00 00 8B 43 08 89 86 E8 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_73780_0 {
	meta:
		name = "TButtonGroup.DrawButton"
		size = 1464
		refs = "0025 TButtonGroup.DrawButton 0080 TCanvas.SetFont 0085 TStyleManager.GetActiveStyle 00e2 TCustomStyleServices.GetElementColor 0101 TFont.SetColor 0118 GetShadowColor 0125 TBrush.SetColor 01c2 TStyleManager.GetIsCustomStyleActive 01d4 InflateRect 01dc TCanvas.GetHandle 01e2 SaveDC 020e TCustomStyleServices.DrawElement 022d RestoreDC 0233 @HandleFinally 02b5 TCustomCanvas.TextHeight 02e5 TGrpButtonItems.GetItem 0348 TCustomImageList.GetCount 0398 TCustomImageList.Draw 0487 @UStrLAsg 049d TBrush.SetStyle 050b TCustomStyleServices.GetIsSystemStyle 0581 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 84 53 56 57 33 DB 89 5D FC 8B 75 0C 8D 7D C0 A5 A5 A5 A5 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 66 83 B8 12 03 00 00 00 74 30 8B 45 F8 F6 40 1C 10 75 27 8B 45 F0 50 8D 45 C0 50 0F B7 45 08 50 8B 5D F8 8B 4D F4 8B 55 F8 8B 83 14 03 00 00 FF 93 10 03 00 00 E9 F3 04 00 00 8D 75 C0 8D 7D 90 A5 A5 A5 A5 8B 45 F8 8B 50 6C 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 8B 45 D8 8B 10 FF 52 48 84 C0 74 6F F6 45 08 01 75 06 F6 45 08 08 74 0F 8D 4D 84 B2 07 8B 45 D8 8B 18 FF 53 5C EB 22 F6 45 08 02 74 0F 8D 4D 84 B2 06 8B 45 D8 8B 18 FF 53 5C EB 0D 8D 4D 84 B2 05 8B 45 D8 8B 18 FF 53 5C 8D 45 DC 50 B1 02 8D 55 84 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 0F 84 85 00 00 00 81 7D DC FF FF FF 1F 74 7C 8B 45 F0 8B 40 40 8B 55 DC E8 ?? ?? ?? ?? EB 6C F6 45 08 01 74 2E BA E7 FF FF FF B8 0F 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 40 48 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 40 BA 12 00 00 FF E8 ?? ?? ?? ?? EB 38 F6 45 08 08 74 22 8B 45 F0 8B 40 48 BA 10 00 00 FF E8 ?? ?? ?? ?? 8B 45 F0 8B 40 40 BA 0F 00 00 FF E8 ?? ?? ?? ?? EB 10 8B 45 F0 8B 40 48 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B 45 F8 66 83 B8 1A 03 00 00 00 74 22 8B 45 F0 50 8D 45 C0 50 0F B7 45 08 50 8B 5D F8 8B 4D F4 8B 55 F8 8B 83 1C 03 00 00 FF 93 18 03 00 00 8B 45 F0 8B 40 48 8B 40 10 8B 40 18 89 45 E4 BA E7 FF FF FF 8B 45 E4 E8 ?? ?? ?? ?? 89 45 E0 E8 ?? ?? ?? ?? 84 C0 74 6F 8D 45 C0 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C0 50 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8D 4D 84 8B 45 D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 50 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8D 55 C0 8B 45 F0 8B 08 FF 51 54 8D 45 C0 83 C9 FF BA FE FF FF FF E8 ?? ?? ?? ?? F6 45 08 02 74 16 F6 45 08 08 75 10 BA CE FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? 89 45 E0 E8 ?? ?? ?? ?? 84 C0 75 27 8B 45 F0 8B 40 48 8B 55 E0 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 F0 8B 08 FF 51 5C 8B 45 F0 8B 40 48 8B 55 E4 E8 ?? ?? ?? ?? 8B 75 C0 83 C6 04 8B 7D CC 2B 7D C4 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B DF 2B D8 D1 FB 79 03 83 D3 00 03 5D C4 8B 45 C4 3B D8 7D 02 8B D8 F6 45 08 08 74 02 43 46 8B 45 F8 8B 80 BC 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 89 45 E8 33 C0 89 45 EC 8B 45 F8 66 83 B8 0A 03 00 00 00 74 2B 8B 45 F0 50 8D 45 90 50 0F B7 45 08 50 8D 45 EC 50 8B 7D F8 8B 4D F4 8B 55 F8 8B 87 0C 03 00 00 FF 97 08 03 00 00 E9 83 00 00 00 8B 45 F8 83 B8 DC 02 00 00 00 74 77 8B 45 E8 83 78 18 FF 7E 6E 8B 45 F8 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? 8B 55 E8 3B 42 18 7E 58 8B 45 F8 8B 80 DC 02 00 00 FF 70 38 8B C7 5A 2B C2 D1 F8 79 03 83 D0 00 03 45 C4 3B 45 C4 7D 03 8B 45 C4 F6 45 08 08 74 01 40 50 8B 45 E8 8B 40 18 50 6A 01 8B CE 49 8B 45 F8 8B 80 DC 02 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 DC 02 00 00 8B 40 3C 40 89 45 EC 0F B7 45 08 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 0F 84 8F 00 00 00 BA CE FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 40 48 E8 ?? ?? ?? ?? 56 8D 75 C0 8D 7D B0 A5 A5 A5 A5 5E F6 45 08 20 74 0F 83 6D B0 02 8B 45 B0 83 C0 02 89 45 B8 EB 3B F6 45 08 40 74 0E FF 4D B4 8B 45 B4 83 C0 02 89 45 BC EB 27 F6 45 08 80 74 0F 83 45 B8 02 8B 45 B8 83 E8 02 89 45 B0 EB 12 F6 45 09 01 74 0C FF 45 BC 8B 45 BC 83 E8 02 89 45 B4 8D 55 B0 8B 45 F0 8B 08 FF 51 54 8B 45 F0 8B 40 48 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 F8 F6 80 C0 02 00 00 08 0F 84 9B 00 00 00 03 75 EC 89 75 A0 8B 45 C8 48 89 45 A8 89 5D A4 8B 45 CC 48 89 45 AC 8D 45 FC 8B 55 E8 8B 52 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 56 8B 45 F0 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8D 45 D0 50 B1 02 8D 55 84 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 F0 8B 40 40 8B 55 D0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 4D FC 8D 55 A0 8B 45 F0 8B 18 FF 93 94 00 00 00 8B 45 F0 8B 40 48 33 D2 E8 ?? ?? ?? ?? EB 17 A1 ?? ?? ?? ?? 50 8D 4D FC 8D 55 A0 8B 45 F0 8B 18 FF 93 94 00 00 00 F6 45 08 04 74 29 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 74 1D 8D 45 C0 B9 FE FF FF FF BA FE FF FF FF E8 ?? ?? ?? ?? 8D 55 C0 8B 45 F0 8B 08 FF 51 4C 8B 45 F8 66 83 B8 22 03 00 00 00 74 22 8B 45 F0 50 8D 45 90 50 0F B7 45 08 50 8B 5D F8 8B 4D F4 8B 55 F8 8B 83 24 03 00 00 FF 93 20 03 00 00 8B 45 F8 8B 50 74 8B 45 F0 8B 40 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 57 00 67 00 00 00 00 00 E0 01 00 00 00 00 00 00 10 00 00 00 }
	condition:
		$1
}

rule function_73781_0 {
	meta:
		name = "TButtonGroup.SetOnDrawButton"
		size = 39
	strings:
		$1 = { 55 8B EC 56 8B F0 8B 45 08 89 86 10 03 00 00 8B 45 0C 89 86 14 03 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_73782_0 {
	meta:
		name = "TButtonGroup.SetOnDrawIcon"
		size = 39
	strings:
		$1 = { 55 8B EC 56 8B F0 8B 45 08 89 86 08 03 00 00 8B 45 0C 89 86 0C 03 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_73783_0 {
	meta:
		name = "TButtonGroup.CreateHandle"
		size = 25
		refs = "0007 TWinControl.CreateHandle 0012 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE D0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73784_0 {
	meta:
		name = "TButtonGroup.WMMouseLeave"
		size = 103
		refs = "001b TButtonGroup.UpdateButton 0030 @CallDynaInst 0041 TDragImageList.HideDragImage 0048 TButtonGroup.RemoveInsertionPoints 004f TWinControl.GetHandle 0055 UpdateWindow 0060 TDragImageList.ShowDragImage"
	strings:
		$1 = { 53 56 8B D8 C6 83 E0 02 00 00 00 8B 83 9C 02 00 00 83 F8 FF 74 1E 8B D0 8B C3 E8 ?? ?? ?? ?? C7 83 9C 02 00 00 FF FF FF FF 8B C3 66 BE AE FF E8 ?? ?? ?? ?? 8B 83 94 02 00 00 80 78 7A 00 74 24 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 94 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73785_0 {
	meta:
		name = "TButtonGroup.MouseDown"
		size = 196
		refs = "0022 TControl.MouseDown 0035 @CallDynaInst 0040 TWinControl.GetHandle 0046 SetFocus 005a TButtonGroup.IndexOfButtonAt 00ab TButtonGroup.UpdateButton"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 66 89 4D FE 8B DA 8B F8 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B D3 8B C7 E8 ?? ?? ?? ?? 84 DB 0F 85 8D 00 00 00 8B C7 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 0D 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 87 90 02 00 00 00 8B 4D 08 8B 55 0C 8B C7 E8 ?? ?? ?? ?? 8B D8 89 9F 80 02 00 00 83 FB FF 74 50 F6 87 C0 02 00 00 01 74 06 89 9F 84 02 00 00 8B 45 0C 89 45 F4 8B 45 08 89 45 F8 8B 45 F4 89 87 88 02 00 00 8B 45 F8 89 87 8C 02 00 00 8B 87 80 02 00 00 3B 87 D4 02 00 00 74 0B 8B D0 8B C7 E8 ?? ?? ?? ?? EB 0A C7 87 80 02 00 00 FF FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_73786_0 {
	meta:
		name = "TButtonGroup.MouseMove"
		size = 329
		refs = "001e TControl.MouseMove 003d Mouse 0098 TButtonGroup.UpdateButton 009f TWinControl.GetHandle 00a5 UpdateWindow 00b0 @CallDynaInst 00c3 TControl.BeginDrag 00d0 TButtonGroup.IndexOfButtonAt 013c TrackMouseEvent"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 66 89 55 FE 8B D8 8B 7D 08 57 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? F6 83 C0 02 00 00 01 0F 84 9A 00 00 00 83 BB 84 02 00 00 FF 0F 84 8D 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 48 08 8B 83 88 02 00 00 2B C6 99 33 C2 2B C2 3B C8 7E 11 8B 83 8C 02 00 00 2B C7 99 33 C2 2B C2 3B C8 7F 61 89 B3 88 02 00 00 89 BB 8C 02 00 00 C7 83 80 02 00 00 FF FF FF FF 8B 83 9C 02 00 00 83 F8 FF 74 2B 8B D0 C7 83 9C 02 00 00 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 66 BE AE FF E8 ?? ?? ?? ?? C6 83 90 02 00 00 01 83 C9 FF B2 01 8B C3 E8 ?? ?? ?? ?? EB 77 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 93 9C 02 00 00 3B C2 74 2C 89 83 9C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 83 F8 FF 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE AE FF E8 ?? ?? ?? ?? 80 BB E0 02 00 00 00 75 2D C6 83 E0 02 00 00 01 C7 45 EC 10 00 00 00 C7 45 F0 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 89 45 F8 8D 45 EC 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_73787_0 {
	meta:
		name = "TButtonGroup.MouseUp"
		size = 208
		refs = "0020 TControl.MouseUp 0061 TButtonGroup.IndexOfButtonAt 0077 TButtonGroup.UpdateButton 0095 TButtonGroup.SetItemIndex"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FE 8B DA 8B F8 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B D3 8B C7 E8 ?? ?? ?? ?? 84 DB 0F 85 95 00 00 00 80 BF 90 02 00 00 00 0F 85 88 00 00 00 8B B7 80 02 00 00 C7 87 80 02 00 00 FF FF FF FF C7 87 84 02 00 00 FF FF FF FF 83 FE FF 74 43 8B 4D 08 8B 55 0C 8B C7 E8 ?? ?? ?? ?? 3B F0 75 32 83 BF 84 02 00 00 FF 75 29 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 8B 08 FF 91 04 01 00 00 F6 87 C0 02 00 00 04 74 19 8B D6 8B C7 E8 ?? ?? ?? ?? EB 0E 83 FE FF 74 09 8B D6 8B C7 E8 ?? ?? ?? ?? 66 83 BF FA 02 00 00 00 74 0E 8B D7 8B 87 FC 02 00 00 FF 97 F8 02 00 00 C6 87 90 02 00 00 00 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_73788_0 {
	meta:
		name = "TButtonGroup.IndexOfButtonAt"
		size = 131
		refs = "0022 TButtonGroup.CalcButtonsPerRow"
	strings:
		$1 = { 53 56 57 55 8B F1 8B FA 8B D8 83 C8 FF 85 FF 7C 6D 3B 7B 50 7D 68 85 F6 7C 64 3B 73 54 7D 5F 8B C3 E8 ?? ?? ?? ?? 8B C8 8B AB 98 02 00 00 0F AF E9 8B C6 99 F7 BB C8 02 00 00 8B F0 F6 83 C0 02 00 00 02 74 04 33 C0 EB 09 8B C7 99 F7 BB C4 02 00 00 8B D6 0F AF D1 03 EA 03 C5 8B 93 BC 02 00 00 8B 52 08 3B 42 08 7C 05 83 C8 FF EB 10 46 0F AF B3 C8 02 00 00 3B 73 54 7E 03 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73789_0 {
	meta:
		name = "TButtonGroup.IsTouchPropertyStored"
		size = 76
		refs = "000b TControl.IsTouchPropertyStored 0021 TButtonGroup.IsTouchPropertyStored"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 80 EB 01 72 04 74 18 EB 29 8B 86 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 3A 50 10 0F 95 C0 5E 5B C3 8B 86 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 3A 50 11 0F 95 C0 5E 5B C3 12 00 00 00 1F 00 00 00 }
	condition:
		$1
}

rule function_74113_0 {
	meta:
		name = "TCategoryButtons.IsTouchPropertyStored"
		size = 76
		refs = "000b TControl.IsTouchPropertyStored 0021 TCategoryButtons.IsTouchPropertyStored"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 80 EB 01 72 04 74 18 EB 29 8B 86 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 3A 50 10 0F 95 C0 5E 5B C3 8B 86 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 3A 50 11 0F 95 C0 5E 5B C3 12 00 00 00 1F 00 00 00 }
	condition:
		$1
}

rule function_80807_0 {
	meta:
		name = "TCustomGrid.IsTouchPropertyStored"
		size = 76
		refs = "000b TControl.IsTouchPropertyStored 0021 TCustomGrid.IsTouchPropertyStored"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 80 EB 01 72 04 74 18 EB 29 8B 86 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 3A 50 10 0F 95 C0 5E 5B C3 8B 86 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 3A 50 11 0F 95 C0 5E 5B C3 12 00 00 00 1F 00 00 00 }
	condition:
		$1
}

rule function_76924_0 {
	meta:
		name = "TCustomListControl.IsTouchPropertyStored"
		size = 76
		refs = "000b TControl.IsTouchPropertyStored 0021 TCustomListControl.IsTouchPropertyStored"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 80 EB 01 72 04 74 18 EB 29 8B 86 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 3A 50 10 0F 95 C0 5E 5B C3 8B 86 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 3A 50 11 0F 95 C0 5E 5B C3 12 00 00 00 1F 00 00 00 }
	condition:
		$1
}

rule function_73790_0 {
	meta:
		name = "TButtonGroup.DoItemClicked"
		size = 242
		refs = "0013 TGrpButtonItems.GetItem 0033 TButtonGroup.UpdateButton 005e TBaseButtonItem.GetAction"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B D6 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 B3 00 00 00 8B 93 D0 02 00 00 8B C6 89 83 D0 02 00 00 40 74 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B 47 28 89 04 24 8B 47 2C 89 44 24 04 66 83 7C 24 02 00 74 1F 8B C7 E8 ?? ?? ?? ?? 85 C0 74 14 8B C7 E8 ?? ?? ?? ?? 8B 40 48 3B 04 24 0F 94 C0 34 01 EB 02 33 C0 84 C0 74 0B 8B D3 8B 44 24 04 FF 14 24 EB 61 F6 43 1C 10 75 12 83 7F 14 00 74 0C 8B 47 14 8B D3 8B 08 FF 51 18 EB 49 66 83 7C 24 02 00 74 0B 8B D3 8B 44 24 04 FF 14 24 EB 36 66 83 BB F2 02 00 00 00 74 2C 8B CE 8B D3 8B 83 F4 02 00 00 FF 93 F0 02 00 00 EB 1A 66 83 BB F2 02 00 00 00 74 10 8B CE 8B D3 8B 83 F4 02 00 00 FF 93 F0 02 00 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73791_0 {
	meta:
		name = "TButtonGroup.DragDrop"
		size = 98
		refs = "001d TButtonGroup.RemoveInsertionPoints 0028 TButtonGroup.TargetIndexAt 0041 TButtonGroup.DoReorderButton 0057 TControl.DragDrop"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B D8 8B 7D 08 3B DA 75 40 F6 83 C0 02 00 00 01 74 37 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 93 84 02 00 00 3B C2 7E 01 48 83 F8 FF 74 09 8B C8 8B C3 E8 ?? ?? ?? ?? C7 83 84 02 00 00 FF FF FF FF EB 0A 57 8B CE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73792_0 {
	meta:
		name = "TButtonGroup.DragOver"
		size = 276
		refs = "004d TButtonGroup.AutoScroll 007e TButtonGroup.TargetIndexAt 00bc TDragImageList.HideDragImage 00d3 TButtonGroup.SetInsertionPoints 00dc TButtonGroup.RemoveInsertionPoints 00e3 TWinControl.GetHandle 00e9 UpdateWindow 00f4 TDragImageList.ShowDragImage 0109 TControl.DragOver"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B D8 8B 7D 10 3B DA 0F 85 E5 00 00 00 F6 83 C0 02 00 00 01 0F 84 D8 00 00 00 8B 83 98 02 00 00 3B 83 B4 02 00 00 7D 23 3B 7B 54 7F 1E 8B 43 54 83 E8 06 3B F8 7C 14 85 F6 7C 10 3B 73 50 7F 0B B2 01 8B C3 E8 ?? ?? ?? ?? EB 24 83 BB 98 02 00 00 00 7E 1B 85 FF 7C 17 83 FF 06 7F 12 85 F6 7C 0E 3B 73 50 7F 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 25 3B B3 84 02 00 00 74 1D 8B 83 84 02 00 00 40 3B F0 74 12 8B 83 BC 02 00 00 8B 40 08 83 78 08 01 0F 9F C0 EB 02 33 C0 8B 55 08 88 02 8B 83 94 02 00 00 E8 ?? ?? ?? ?? 8B 45 08 80 38 00 74 11 80 7D 0C 01 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 94 02 00 00 E8 ?? ?? ?? ?? EB 13 57 0F B6 45 0C 50 8B 45 08 50 8B CE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_73793_0 {
	meta:
		name = "TButtonGroup.DoHotButton"
		size = 35
	strings:
		$1 = { 53 66 83 B8 02 03 00 00 00 74 16 8B D8 8B 88 9C 02 00 00 8B D0 8B 83 04 03 00 00 FF 93 00 03 00 00 5B C3 }
	condition:
		$1
}

rule function_73794_0 {
	meta:
		name = "TButtonGroup.DoStartDrag"
		size = 384
		refs = "000e TControl.DoStartDrag 0022 _Dn_TBitmap 0027 TBitmap.Create 0032 TButtonGroup.DoStartDrag 0048 TButtonGroup.GetButtonRect 00a5 Rect 00b2 TBitmap.GetCanvas 00cb TCustomImageList.Clear 00e0 TCustomImageList.SetWidth 00f5 TCustomImageList.SetHeight 0105 TCustomImageList.Add 0113 Mouse 012d TPoint.Create 015a TObject.Free 0160 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB 84 02 00 00 FF 0F 84 47 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D EC 8B 93 84 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 2B 55 EC 8B 45 FC 8B 08 FF 51 44 8B 55 F8 2B 55 F0 8B 45 FC 8B 08 FF 51 38 0F B7 35 ?? ?? ?? ?? 8B BB 84 02 00 00 3B BB D4 02 00 00 75 0C 0F B7 05 ?? ?? ?? ?? 66 0B C6 8B F0 8B 45 FC 8B 10 FF 52 24 50 8D 45 DC 50 8B 45 FC 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 DC 50 56 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B D7 8B C3 8B 30 FF 96 00 01 00 00 8B 83 94 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 30 8B D0 8B 83 94 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 8B D0 8B 83 94 02 00 00 E8 ?? ?? ?? ?? 8B 83 94 02 00 00 33 C9 8B 55 FC E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 2B 4D F0 A1 ?? ?? ?? ?? 8B 00 8B 70 08 2B CE 8B 93 88 02 00 00 2B 55 EC 2B D6 8D 45 D4 E8 ?? ?? ?? ?? 8B 83 94 02 00 00 8B 55 D4 89 90 80 00 00 00 8B 55 D8 89 90 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 83 94 02 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 10 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_73795_0 {
	meta:
		name = "TButtonGroup.GetDragImages"
		size = 7
		altNames = "TCustomRibbon.GetTabIndex"
	strings:
		$1 = { 8B 80 94 02 00 00 C3 }
	condition:
		$1
}

rule function_73796_0 {
	meta:
		name = "ClearSelection"
		size = 29
		refs = "0017 TButtonGroup.UpdateButton"
	strings:
		$1 = { 55 8B EC 83 38 FF 74 13 8B 10 C7 00 FF FF FF FF 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_73797_0 {
	meta:
		name = "TButtonGroup.RemoveInsertionPoints"
		size = 70
		refs = "0011 ClearSelection"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 55 8B 45 FC 05 A4 02 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 FC 05 A0 02 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 FC 05 A8 02 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 FC 05 AC 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_73798_0 {
	meta:
		name = "TButtonGroup.DoReorderButton"
		size = 247
		refs = "001e TButtonGroup.DoReorderButton 0042 TGrpButtonItems.GetItem 0078 TCollection.FindItemID 007d TCollectionItem.GetIndex 00a3 @HandleFinally 00ad TWinControl.HandleAllocated 00c2 TWinControl.GetHandle 00c8 RedrawWindow"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F4 89 55 F8 89 45 FC 8B 45 FC C6 80 B0 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 D4 02 00 00 83 FB FF 74 15 8B D3 8B 45 FC 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 8B 58 08 EB 03 83 CB FF 8B 45 FC 8B 80 BC 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 08 FF 51 14 83 FB FF 74 1E 8B 45 FC 8B 80 BC 02 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 D4 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 B0 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 17 68 01 01 00 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 2A 03 00 00 00 74 19 8B 45 F4 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 83 2C 03 00 00 FF 93 28 03 00 00 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73799_0 {
	meta:
		name = "ShouldContinue"
		size = 293
		refs = "003e Mouse 0045 TMouse.GetCursorPos 0056 TControl.ScreenToClient"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B F0 8B 45 08 80 78 FF 01 0F 85 9C 00 00 00 8B 45 08 8B 40 F8 8B 80 98 02 00 00 8B 55 08 8B 52 F8 3B 82 B4 02 00 00 0F 9C C3 84 DB 0F 84 E3 00 00 00 8D 55 E8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 55 E8 8D 4D F8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 7C 2A 8B 55 08 8B 52 F8 3B 42 50 7F 1F 8B 45 08 8B 40 F8 8B 40 54 3B 45 FC 7C 11 8B 45 08 8B 40 F8 8B 40 54 83 E8 06 3B 45 FC 7E 07 33 DB E9 8B 00 00 00 8B 45 08 8B 40 F8 8B 40 54 83 E8 03 3B 45 FC 7E 08 C7 06 F4 01 00 00 EB 72 C7 06 FA 00 00 00 EB 6A 8B 45 08 8B 40 F8 83 B8 98 02 00 00 00 0F 9F C3 84 DB 74 56 8D 55 E8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 55 E8 8D 4D F0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 F0 85 C0 7C 17 8B 55 08 8B 52 F8 3B 42 50 7F 0C 83 7D F4 00 7C 06 83 7D F4 06 7E 04 33 DB EB 14 83 7D F4 03 7E 08 C7 06 F4 01 00 00 EB 06 C7 06 FA 00 00 00 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73800_0 {
	meta:
		name = "TButtonGroup.AutoScroll"
		size = 161
		refs = "0019 TDragImageList.HideDragImage 0021 TButtonGroup.RemoveInsertionPoints 002f TDragImageList.ShowDragImage 0038 GetTickCount 004e Sleep 006c TButtonGroup.ScrollPosChanged 0074 TWinControl.GetHandle 007a UpdateWindow 0091 ShouldContinue"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 55 FF 89 45 F8 8B 45 F8 8B 80 94 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 94 02 00 00 E8 ?? ?? ?? ?? 33 FF EB 55 E8 ?? ?? ?? ?? 8B D8 8B F3 2B F7 3B 75 F4 7D 0B 8B 45 F4 2B C6 50 E8 ?? ?? ?? ?? 8B FB 8B 45 F8 8B 80 94 02 00 00 E8 ?? ?? ?? ?? 0F B6 55 FF 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 94 02 00 00 E8 ?? ?? ?? ?? 55 8D 45 F4 E8 ?? ?? ?? ?? 59 84 C0 75 9D 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73801_0 {
	meta:
		name = "TButtonGroup.TargetIndexAt"
		size = 206
		refs = "0014 TButtonGroup.IndexOfButtonAt 0032 TButtonGroup.GetButtonRect 008c TButtonGroup.CalcButtonsPerRow"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F9 8B EA 8B D8 8B CF 8B D5 8B C3 E8 ?? ?? ?? ?? 8B F0 83 FE FF 75 4C 8D 4C 24 10 8B 83 BC 02 00 00 8B 40 08 8B 50 08 8B C3 E8 ?? ?? ?? ?? 3B 7C 24 1C 7C 0E 8B 83 BC 02 00 00 8B 40 08 8B 70 08 EB 21 3B 7C 24 14 7C 1B F6 83 C0 02 00 00 02 75 06 3B 6C 24 10 7C 0C 8B 83 BC 02 00 00 8B 40 08 8B 70 08 83 FE FF 7E 54 8B 83 BC 02 00 00 8B 40 08 3B 70 08 7D 46 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 48 75 1A 8B 54 24 0C 8B 44 24 04 2B D0 D1 FA 79 03 83 D2 00 03 D0 3B FA 7E 1A 46 EB 17 8B 54 24 08 8B 04 24 2B D0 D1 FA 79 03 83 D2 00 03 D0 3B EA 7E 01 46 8B C6 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73802_0 {
	meta:
		name = "FixIncAmount"
		size = 74
	strings:
		$1 = { 55 8B EC 53 56 8B 55 08 8B 52 FC 8B 8A BC 02 00 00 8B D1 8B 52 08 8B 52 08 8B 5D 08 8B 73 F8 03 F0 3B D6 7F 13 8B D1 8B 52 08 8B 52 08 2B D0 4A 8B 45 08 89 50 F8 EB 0E 85 F6 7D 0A 33 D2 2B D0 8B 45 08 89 50 F8 5E 5B 5D C3 }
	condition:
		$1
}

rule function_73803_0 {
	meta:
		name = "TButtonGroup.CNKeydown"
		size = 631
		refs = "001d TButtonGroup.CalcButtonsPerRow 0071 TButtonGroup.CalcRowsSeen 01bc TWinControl.CNKeyDown 01eb FixIncAmount 0226 TButtonGroup.ScrollIntoView 0230 TButtonGroup.SetItemIndex 0259 TButtonGroup.UpdateButton"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 33 C0 89 45 F8 0F B7 42 04 66 83 F8 28 75 10 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 E9 A1 01 00 00 66 83 F8 26 75 14 8B 45 FC E8 ?? ?? ?? ?? 8B D0 F7 D8 89 45 F8 E9 87 01 00 00 66 83 F8 25 75 0C C7 45 F8 FF FF FF FF E9 75 01 00 00 66 83 F8 27 75 0C C7 45 F8 01 00 00 00 E9 63 01 00 00 66 83 F8 22 75 10 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 E9 4D 01 00 00 66 83 F8 21 75 14 8B 45 FC E8 ?? ?? ?? ?? 8B D0 F7 D8 89 45 F8 E9 33 01 00 00 66 83 F8 24 75 36 8B 45 FC F6 80 C0 02 00 00 04 74 15 8B 45 FC 8B 80 D4 02 00 00 8B D0 F7 D8 89 45 F8 E9 0C 01 00 00 8B 45 FC 8B 80 D0 02 00 00 8B D0 F7 D8 89 45 F8 E9 F7 00 00 00 66 83 F8 23 75 4C 8B 45 FC F6 80 C0 02 00 00 04 74 20 8B 45 FC 8B 80 BC 02 00 00 8B 40 08 8B 40 08 8B 55 FC 2B 82 D4 02 00 00 89 45 F8 E9 C5 00 00 00 8B 45 FC 8B 80 BC 02 00 00 8B 40 08 8B 40 08 8B 55 FC 2B 82 D0 02 00 00 89 45 F8 E9 A5 00 00 00 0F B7 42 04 66 83 F8 0D 74 0A 66 83 F8 20 0F 85 89 00 00 00 8B 45 FC F6 80 C0 02 00 00 04 74 22 8B 45 FC 83 B8 D4 02 00 00 FF 74 16 8B 45 FC 8B 90 D4 02 00 00 8B 45 FC 8B 08 FF 91 04 01 00 00 EB 63 8B 45 FC F6 80 C0 02 00 00 04 74 29 8B 45 FC 83 B8 D0 02 00 00 00 7C 1D 8B 45 FC 8B 80 D0 02 00 00 8B 4D FC 8B 89 BC 02 00 00 8B 49 08 3B 41 08 0F 9C C0 EB 02 33 C0 84 C0 74 16 8B 45 FC 8B 90 D0 02 00 00 8B 45 FC 8B 08 FF 91 04 01 00 00 EB 12 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 9E 00 00 00 8B 45 FC F6 80 C0 02 00 00 04 74 12 55 8B 45 FC 8B 80 D4 02 00 00 E8 ?? ?? ?? ?? 59 EB 10 55 8B 45 FC 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? 59 83 7D F8 00 74 6A 8B 45 FC F6 80 C0 02 00 00 04 74 22 8B 45 FC 8B 98 D4 02 00 00 03 5D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 3C 8B 45 FC 8B 98 D0 02 00 00 03 5D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 D0 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 89 82 D0 02 00 00 8B D0 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_73804_0 {
	meta:
		name = "TButtonGroup.WMKillFocus"
		size = 25
		refs = "0006 TWinControl.WMKillFocus 0013 TButtonGroup.UpdateButton"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 93 D0 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73805_0 {
	meta:
		name = "TButtonGroup.WMSetFocus"
		size = 57
		refs = "0006 TWinControl.WMSetFocus 0033 TButtonGroup.UpdateButton"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB D0 02 00 00 FF 75 17 8B 83 BC 02 00 00 8B 40 08 83 78 08 00 7E 08 33 C0 89 83 D0 02 00 00 8B 93 D0 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73806_0 {
	meta:
		name = "TButtonGroup.ScrollIntoView"
		size = 133
		refs = "001e TButtonGroup.CalcButtonsPerRow 003a TButtonGroup.ScrollPosChanged 0059 TButtonGroup.CalcRowsSeen"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B D8 85 F6 7C 72 8B 83 BC 02 00 00 8B 40 08 3B 70 08 7D 64 8B C3 E8 ?? ?? ?? ?? 8B E8 8B BB 98 02 00 00 0F AF FD 3B FE 7E 25 EB 14 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B BB 98 02 00 00 0F AF FD 3B FE 7C 34 83 BB 98 02 00 00 00 7F DF EB 29 8B C3 E8 ?? ?? ?? ?? F7 ED 89 04 24 EB 14 33 C9 B2 01 8B C3 E8 ?? ?? ?? ?? 8B BB 98 02 00 00 0F AF FD 03 3C 24 3B F7 7D E5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73807_0 {
	meta:
		name = "TButtonGroup.CMHintShow"
		size = 235
		refs = "0026 TButtonGroup.IndexOfButtonAt 0057 TGrpButtonItems.GetItem 0078 @UStrAsg 00cd TButtonGroup.GetButtonRect"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B F2 8B D8 C7 46 0C 01 00 00 00 8B 46 08 3B 18 0F 85 C6 00 00 00 8B 48 2C 8B 50 28 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 8C AF 00 00 00 8B 83 BC 02 00 00 8B 40 08 3B 78 08 0F 8D 9D 00 00 00 8B 6E 08 8B C5 89 04 24 8B D7 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 83 78 20 00 74 1D 8B D7 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 8B 50 20 8B 04 24 83 C0 38 E8 ?? ?? ?? ?? EB 1B 8B D7 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 8B 50 0C 8B 04 24 83 C0 38 E8 ?? ?? ?? ?? 8B D7 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 83 78 14 00 74 18 8B D7 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 8B 40 14 8D 55 38 8B 08 FF 51 78 8D 4C 24 04 8B D7 8B C3 E8 ?? ?? ?? ?? 56 8D 74 24 08 8D 7D 18 A5 A5 A5 A5 5E 33 C0 89 46 0C 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73808_0 {
	meta:
		name = "TButtonGroup.Assign"
		size = 94
		refs = "000b _DV_TButtonGroup 0010 @IsClass 0023 TButtonGroup.SeTGrpButtonItems 0030 TButtonGroup.SetButtonHeight 003d TButtonGroup.SetButtonWidth 004b TButtonGroup.SetGrpButtonOptions 0056 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 39 8B FE 8B 97 BC 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 C8 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 C4 02 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 97 C0 02 00 00 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73809_0 {
	meta:
		name = "TButtonGroup.SetInsertionPoints"
		size = 127
		refs = "0011 TButtonGroup.RemoveInsertionPoints 0018 TButtonGroup.CalcButtonsPerRow 0044 TButtonGroup.UpdateButton 0072 TWinControl.GetHandle 0078 UpdateWindow"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 A4 02 00 00 74 6E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 48 75 0F 89 B3 A4 02 00 00 4E 89 B3 AC 02 00 00 EB 0D 89 B3 A0 02 00 00 4E 89 B3 A8 02 00 00 8B 93 A4 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 A0 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 AC 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 A8 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73810_0 {
	meta:
		name = "TButtonGroup.DoEndDrag"
		size = 39
		refs = "000d TControl.DoEndDrag 001e TButtonGroup.RemoveInsertionPoints"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? C7 83 84 02 00 00 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73811_0 {
	meta:
		name = "TButtonGroup.SetDragIndex"
		size = 14
	strings:
		$1 = { 89 90 84 02 00 00 C6 80 90 02 00 00 01 C3 }
	condition:
		$1
}

rule function_73812_0 {
	meta:
		name = "TButtonGroup.DoMouseWheelDown"
		size = 140
		refs = "001f TControl.DoMouseWheelDown 0032 TButtonGroup.UpdateButton 004e TButtonGroup.DoMouseWheelDown 005f TButtonGroup.ScrollPosChanged"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F1 8D 7C 24 04 A5 A5 66 89 14 24 8B F0 8D 4C 24 04 0F B7 14 24 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 56 8B 96 9C 02 00 00 8B C6 E8 ?? ?? ?? ?? C7 86 9C 02 00 00 FF FF FF FF B3 01 83 BE B4 02 00 00 00 7E 1A 0F B7 05 ?? ?? ?? ?? 66 3B 04 24 75 0D 33 C9 B2 01 8B C6 E8 ?? ?? ?? ?? EB 1A 83 BE B4 02 00 00 00 7E 11 F6 04 24 04 74 0B 33 C9 B2 03 8B C6 E8 ?? ?? ?? ?? 8B C3 83 C4 0C 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_73813_0 {
	meta:
		name = "TButtonGroup.DoMouseWheelUp"
		size = 140
		refs = "001f TControl.DoMouseWheelUp 0032 TButtonGroup.UpdateButton 004e TButtonGroup.DoMouseWheelUp 005f TButtonGroup.ScrollPosChanged"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F1 8D 7C 24 04 A5 A5 66 89 14 24 8B F0 8D 4C 24 04 0F B7 14 24 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 56 8B 96 9C 02 00 00 8B C6 E8 ?? ?? ?? ?? C7 86 9C 02 00 00 FF FF FF FF B3 01 83 BE B4 02 00 00 00 7E 1A 0F B7 05 ?? ?? ?? ?? 66 3B 04 24 75 0D 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? EB 1A 83 BE B4 02 00 00 00 7E 11 F6 04 24 04 74 0B 33 C9 B2 02 8B C6 E8 ?? ?? ?? ?? 8B C3 83 C4 0C 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_73814_0 {
	meta:
		name = "TGrpButtonItem.GetButtonGroup"
		size = 15
		refs = "0006 TGrpButtonItem.GetCollection"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 18 5B C3 }
	condition:
		$1
}

rule function_73817_0 {
	meta:
		name = "TGrpButtonItem.ScrollIntoView"
		size = 29
		refs = "0006 TCollectionItem.GetIndex 000e TGrpButtonItem.GetCollection 0017 TButtonGroup.ScrollIntoView"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 40 18 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73818_0 {
	meta:
		name = "TBaseAdapterErrorsList.GetObjectErrors"
		size = 6
		altNames = "TGrpButtonItem.SetCollection"
	strings:
		$1 = { 8B 08 FF 51 10 C3 }
	condition:
		$1
}

rule function_73820_0 {
	meta:
		name = "TGrpButtonItems.AddItem"
		size = 73
		refs = "002b TGrpButtonItem.SetCollection"
	strings:
		$1 = { 53 56 57 8B F9 8B F0 85 D2 75 15 83 7E 18 00 74 0F 8B 46 18 8B 10 FF 92 FC 00 00 00 8B D8 EB 02 8B DA 85 DB 74 1D 8B D6 8B C3 E8 ?? ?? ?? ?? 85 FF 7D 07 8B 46 08 8B 78 08 4F 8B D7 8B C3 8B 08 FF 51 14 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73821_0 {
	meta:
		name = "TGrpButtonItems.BeginUpdate"
		size = 58
		refs = "001d TGrpButtonItems.GetItem 0033 TCollection.BeginUpdate"
	strings:
		$1 = { 53 56 8B D8 83 7B 0C 00 75 26 8B 43 18 8B B0 D4 02 00 00 83 FE FF 74 11 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 08 89 43 1C EB 07 C7 43 1C FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73822_0 {
	meta:
		name = "TGrpButtonItems.Create"
		size = 100
		refs = "000b @ClassCreate 002a TCollection.Create 0032 _DV_TGrpButtonItem 0050 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 85 F6 74 17 8B C6 8B 10 FF 92 08 01 00 00 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? EB 0F 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 C7 47 1C FF FF FF FF 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73827_0 {
	meta:
		name = "TGrpButtonItems.Update"
		size = 154
		refs = "0023 TCollectionItem.GetIndex 002d TButtonGroup.UpdateButton 0040 TCollection.FindItemID 008b @CallDynaInst 0093 TButtonGroup.UpdateAllButtons"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 0C 00 0F 85 87 00 00 00 8B 43 18 80 B8 B0 02 00 00 00 75 7B 85 F6 74 13 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 18 E8 ?? ?? ?? ?? EB 64 8B 43 1C 83 F8 FF 74 0D 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 85 F6 75 19 8B 43 18 C7 80 D4 02 00 00 FF FF FF FF C7 80 D0 02 00 00 FF FF FF FF EB 1C 8B 43 18 F6 80 C0 02 00 00 04 74 10 8B C6 E8 ?? ?? ?? ?? 8B 53 18 89 82 D4 02 00 00 8B 43 18 66 BE D0 FF E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73830_0 {
	meta:
		name = "DrawButtonFace"
		size = 603
		refs = "0019 NewStyleControls 0046 TBrush.SetColor 0050 TBrush.SetStyle 0057 TCanvas.GetHandle 006d DrawEdge 00e8 TPen.SetColor 0179 InflateRect 01c3 Frame3D 023b Rect 024e OffsetRect"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 4D FC 8B F2 8B D8 8B 45 18 84 C0 75 0B 8B 15 ?? ?? ?? ?? 80 3A 00 75 08 3C 02 74 04 33 C0 EB 02 B0 01 56 8D 7D DC A5 A5 A5 A5 5E 84 C0 0F 84 A2 00 00 00 BA 0F 00 00 FF 8B 43 48 E8 ?? ?? ?? ?? 33 D2 8B 43 48 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 80 7D 10 00 74 3E 6A 03 6A 08 8D 45 DC 50 53 E8 ?? ?? ?? ?? 6A 0C 6A 02 8D 45 DC 50 53 E8 ?? ?? ?? ?? FF 4D E8 FF 4D E4 FF 45 E0 FF 45 DC 68 03 08 00 00 6A 02 8D 45 DC 50 53 E8 ?? ?? ?? ?? E9 81 01 00 00 6A 0C 6A 01 8D 45 DC 50 53 E8 ?? ?? ?? ?? FF 4D E8 FF 4D E4 6A 03 6A 04 8D 45 DC 50 53 E8 ?? ?? ?? ?? FF 45 E0 FF 45 DC 68 0C 08 00 00 6A 04 8D 45 DC 50 53 E8 ?? ?? ?? ?? E9 43 01 00 00 BA 06 00 00 FF 8B 43 44 E8 ?? ?? ?? ?? BA 0F 00 00 FF 8B 43 48 E8 ?? ?? ?? ?? 33 D2 8B 43 48 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 E8 50 8B 4D E0 8B 55 DC 8B C3 8B 38 FF 57 7C 80 7D 14 00 74 4C 68 0F 00 00 FF 8B 4D E0 8B 55 DC 8B C3 8B 38 FF 57 20 68 0F 00 00 FF 8B 4D E8 49 8B 55 DC 8B C3 8B 38 FF 57 20 68 0F 00 00 FF 8B 55 E4 4A 8B 4D E0 8B C3 8B 38 FF 57 20 68 0F 00 00 FF 8B 4D E8 49 8B 55 E4 4A 8B C3 8B 38 FF 57 20 80 7D 0C 00 74 2C 6A FF 6A FF 8D 45 DC 50 E8 ?? ?? ?? ?? B2 01 8B 43 48 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 E8 50 8B 4D E0 8B 55 DC 8B C3 8B 38 FF 57 7C 6A FF 6A FF 8D 45 DC 50 E8 ?? ?? ?? ?? 80 7D 10 00 75 1A 68 10 00 00 FF 8B 45 FC 50 8D 55 DC B9 14 00 00 FF 8B C3 E8 ?? ?? ?? ?? EB 59 BA 10 00 00 FF 8B 43 44 E8 ?? ?? ?? ?? 8B 45 DC 89 45 F4 8B 45 E8 48 89 45 F8 8B 45 E4 89 45 EC 8B 45 E0 89 45 F0 8B 45 F4 89 45 C4 8B 45 F8 89 45 C8 8B 45 DC 89 45 CC 8B 45 E0 89 45 D0 8B 45 EC 89 45 D4 8B 45 F0 89 45 D8 8D 55 C4 B9 02 00 00 00 8B C3 8B 18 FF 53 70 8B 46 0C 83 E8 02 50 8B 45 08 50 8B 4E 08 83 E9 02 8B 56 04 42 8B 06 40 E8 ?? ?? ?? ?? 80 7D 10 00 74 0D 6A 01 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_73831_0 {
	meta:
		name = "GetBitBtnGlyph"
		size = 139
		refs = "000d GetBitBtnGlyph 001f BitBtnGlyphs 0029 _Dn_TBitmap 002e TBitmap.Create 003f BitBtnResNames 0044 @UStrFromPWChar 0057 HInstance 005c TBitmap.LoadFromResourceName 0078 @UStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F3 83 E6 7F 83 3C B5 ?? ?? ?? ?? 00 75 3A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 B5 ?? ?? ?? ?? 8D 45 FC 8B 14 B5 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 0F B6 C3 8B 04 85 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 1C B5 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73832_0 {
	meta:
		name = "TGlyphList.CreateSize"
		size = 81
		refs = "000d @ClassCreate 001e TCustomImageList.CreateSize 0025 _Dn_TBits 002a TObject.Create 003b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 90 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_73833_0 {
	meta:
		name = "TGlyphList.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TCustomImageList.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 90 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73834_0 {
	meta:
		name = "TGlyphList.AllocateIndex"
		size = 75
		refs = "000b TBits.OpenBit 0023 TCustomImageList.Add 0033 TBits.SetSize 0042 TBits.SetBit"
	strings:
		$1 = { 53 56 8B D8 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B 83 90 00 00 00 3B 70 04 7C 1B 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 56 01 8B 83 90 00 00 00 E8 ?? ?? ?? ?? B1 01 8B D6 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73835_0 {
	meta:
		name = "TGlyphList.AddMasked"
		size = 44
		refs = "000d TGlyphList.AllocateIndex 001b TCustomImageList.ReplaceMasked"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 55 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? FF 83 94 00 00 00 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73836_0 {
	meta:
		name = "TGlyphList.Delete"
		size = 47
		refs = "000f TBits.GetBit 0028 TBits.SetBit"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 15 FF 8B 94 00 00 00 33 C9 8B D6 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73839_0 {
	meta:
		name = "TGlyphCache.GetList"
		size = 93
		refs = "001e TList.Get 0040 _DV_TGlyphList 0045 TGlyphList.CreateSize 0051 TList.Add"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F8 8B 47 04 8B 70 08 4E 83 FE 00 7C 1F 8B 47 04 8B D6 E8 ?? ?? ?? ?? 8B D8 3B 6B 3C 75 08 8B 43 38 3B 04 24 74 24 4E 83 FE FF 75 E1 8B 04 24 50 8B CD B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 47 04 8B D3 E8 ?? ?? ?? ?? 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73840_0 {
	meta:
		name = "TGlyphCache.ReturnList"
		size = 37
		refs = "0018 TList.RemoveItem 001f TObject.Free"
	strings:
		$1 = { 53 8B DA 85 DB 74 1C 83 BB 94 00 00 00 00 75 13 8B 40 04 8B D3 33 C9 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73841_0 {
	meta:
		name = "TGlyphCache.Empty"
		size = 11
	strings:
		$1 = { 8B 40 04 83 78 08 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_73842_0 {
	meta:
		name = "TButtonGlyph.Create"
		size = 152
		refs = "000e @ClassCreate 001c TObject.Create 0023 _Dn_TBitmap 0028 TBitmap.Create 0037 TButtonGlyph.GlyphChanged 0062 GlyphCache 006c _DV_TGlyphCache 0071 TGlyphCache.Create 0083 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 04 89 5E 14 C7 46 10 ?? ?? ?? ?? C7 43 1C 80 80 00 00 C6 43 20 01 C6 43 21 00 C6 43 30 00 33 C0 0F B6 D0 C7 44 93 0C FF FF FF FF 40 3C 04 75 F0 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73843_0 {
	meta:
		name = "TButtonGlyph.Destroy"
		size = 91
		refs = "0003 @BeforeDestruction 000f TObject.Free 0016 TButtonGlyph.Invalidate 001c GlyphCache 0029 TGlyphCache.Empty 0049 TObject.Destroy 0054 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1F A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73844_0 {
	meta:
		name = "TButtonGlyph.Invalidate"
		size = 67
		refs = "001b TGlyphList.Delete 0031 GlyphCache 0036 TGlyphCache.ReturnList"
	strings:
		$1 = { 53 56 57 8B F0 33 DB 8B FB 83 E7 7F 8B 44 BE 0C 83 F8 FF 74 0A 8B D0 8B 46 08 E8 ?? ?? ?? ?? C7 44 BE 0C FF FF FF FF 43 80 FB 04 75 DA 8B 56 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73845_0 {
	meta:
		name = "TButtonGlyph.GlyphChanged"
		size = 46
		refs = "000e TBitmap.GetTransparentColor 0018 TButtonGlyph.Invalidate"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 3B D6 75 20 8B C6 E8 ?? ?? ?? ?? 89 43 1C 8B C3 E8 ?? ?? ?? ?? 66 83 7B 3A 00 74 08 8B D3 8B 43 3C FF 53 38 5E 5B C3 }
	condition:
		$1
}

rule function_73846_0 {
	meta:
		name = "TButtonGlyph.SetGlyph"
		size = 120
		refs = "0009 TButtonGlyph.Invalidate 0029 TBitmap.GetTransparentColor 0071 TButtonGlyph.SetNumGlyphs"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 46 04 8B 08 FF 51 08 85 DB 74 5A 8B C3 8B 10 FF 52 24 85 C0 7E 4F 8B C3 E8 ?? ?? ?? ?? 89 46 1C 8B C3 8B 10 FF 52 30 50 8B C3 8B 10 FF 52 24 8B D0 58 8B CA 99 F7 F9 85 D2 75 2A 8B C3 8B 10 FF 52 30 50 8B C3 8B 10 FF 52 24 8B D0 58 8B CA 99 F7 F9 83 F8 04 7E 05 B8 01 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73847_0 {
	meta:
		name = "TButtonGlyph.SetNumGlyphs"
		size = 38
		refs = "0012 TButtonGlyph.Invalidate 001f TButtonGlyph.GlyphChanged"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 20 74 18 84 DB 76 14 8B C6 E8 ?? ?? ?? ?? 88 5E 20 8B 56 04 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73848_0 {
	meta:
		name = "TButtonGlyph.CreateButtonGlyph"
		size = 1489
		refs = "0087 GlyphCache 0091 _DV_TGlyphCache 0096 TGlyphCache.Create 00a9 TGlyphCache.GetList 00b6 _Dn_TBitmap 00bb TBitmap.Create 00c6 TButtonGlyph.CreateButtonGlyph 00f0 Rect 00f8 TBitmap.GetCanvas 0105 TBrush.SetColor 0115 CopyPalette 0179 TCanvas.CopyRect 0199 TGlyphList.AddMasked 0255 TBitmap.SetMonochrome 02b4 TCanvas.GetHandle 02be SetTextColor 02c9 SetBkColor 02ec BitBlt 037a ColorToRGB 043b TBitmap.GetMonochrome 0454 TFont.SetColor 0563 TObject.Free 0571 @HandleFinally 05c4 TBitmap.Dormant"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 88 55 FB 89 45 FC 80 7D FB 02 75 0D 8B 45 FC 80 78 20 03 73 04 C6 45 FB 00 0F B6 45 FB 8B 55 FC 8B 5C 82 0C 83 FB FF 0F 85 92 05 00 00 8B 45 FC 8B 40 04 8B 10 FF 52 30 8B F0 8B 45 FC 8B 40 04 8B 10 FF 52 24 0B F0 0F 84 72 05 00 00 8B 45 FC 8B 40 04 8B 10 FF 52 30 8B 55 FC 0F B6 52 20 8B CA 99 F7 F9 8B F8 8B 45 FC 8B 40 04 8B 10 FF 52 24 8B F0 8B 45 FC 83 78 08 00 75 2E 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B CE 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 45 F4 8B 08 FF 51 44 8B D6 8B 45 F4 8B 08 FF 51 38 56 8D 45 D8 50 8B CF 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 48 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 10 FF 52 28 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 08 FF 51 3C 0F B6 5D FB 8B 45 FC 3A 58 20 7C 02 33 DB 56 8D 45 C8 50 0F B6 CB 41 0F AF CF 0F B6 C3 F7 EF 33 D2 E8 ?? ?? ?? ?? 0F B6 45 FB 2C 01 72 0B 74 7D 48 2C 02 0F 83 39 04 00 00 8D 45 C8 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 D8 59 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 80 78 38 01 75 24 8B 45 FC 8B 48 1C 8B 45 FC 8B 40 08 8B 55 F4 E8 ?? ?? ?? ?? 0F B6 55 FB 8B 4D FC 89 44 91 0C E9 E8 03 00 00 8B 45 FC 8B 40 08 B9 00 00 00 20 8B 55 F4 E8 ?? ?? ?? ?? 0F B6 55 FB 8B 4D FC 89 44 91 0C E9 C5 03 00 00 33 C0 89 45 EC 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 8B 50 04 8B 45 F0 8B 08 FF 51 08 B2 01 8B 45 F0 8B 08 FF 51 78 8B 45 FC 80 78 20 01 0F 86 D8 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E8 8D 45 C8 50 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8D 55 D8 8B 45 E8 E8 ?? ?? ?? ?? B2 01 8B 45 EC E8 ?? ?? ?? ?? 8B D7 8B 45 EC 8B 08 FF 51 44 8B D6 8B 45 EC 8B 08 FF 51 38 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 48 BA FF FF FF 00 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 EC E8 ?? ?? ?? ?? 8D 55 D8 59 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 48 BA 14 00 00 FF E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 6A 00 53 E8 ?? ?? ?? ?? 68 FF FF FF 00 53 E8 ?? ?? ?? ?? 68 46 07 E2 00 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 57 6A 00 6A 00 53 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 48 BA 80 80 80 00 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 EC E8 ?? ?? ?? ?? 8D 55 D8 59 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 48 BA 10 00 00 FF E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 6A 00 53 E8 ?? ?? ?? ?? 68 FF FF FF 00 53 E8 ?? ?? ?? ?? 68 46 07 E2 00 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 57 6A 00 6A 00 53 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 50 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 48 5A E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 EC E8 ?? ?? ?? ?? 8D 55 D8 59 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 48 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 6A 00 53 E8 ?? ?? ?? ?? 68 FF FF FF 00 53 E8 ?? ?? ?? ?? 68 46 07 E2 00 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 57 6A 00 6A 00 53 E8 ?? ?? ?? ?? E9 4F 01 00 00 8B 45 FC 8B 50 04 8B 45 EC 8B 08 FF 51 08 B2 01 8B 45 EC 8B 08 FF 51 78 8B 45 EC E8 ?? ?? ?? ?? 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B D7 8B 45 EC 8B 08 FF 51 44 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 EC E8 ?? ?? ?? ?? 8B 40 40 BA FF FF FF 00 E8 ?? ?? ?? ?? 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 40 48 BA FF FF FF 00 E8 ?? ?? ?? ?? B2 01 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 43 48 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8D 55 D8 8B C3 8B 08 FF 51 54 8B 43 48 BA 14 00 00 FF E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 FF FF FF 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 46 07 E2 00 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 57 6A 01 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 48 BA 10 00 00 FF E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 FF FF FF 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 46 07 E2 00 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 57 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 40 08 B9 00 00 00 20 8B 55 F4 E8 ?? ?? ?? ?? 0F B6 55 FB 8B 4D FC 89 44 91 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 8B 55 FC 8B 5C 82 0C 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73849_0 {
	meta:
		name = "TButtonGlyph.DrawButtonGlyph"
		size = 479
		refs = "0040 TButtonGlyph.CreateButtonGlyph 00a1 TStyleManager.GetActiveStyle 00c7 TCanvas.GetHandle 00cd BeginBufferedPaint 00d8 TButtonGlyph.DrawButtonGlyph 00ea TCustomImageList.GetHandle 00ff TCustomStyleServices.DrawIcon 0111 BufferedPaintSetAlpha 0129 EndBufferedPaint 012f @HandleFinally 0199 ImageList_DrawEx 01ac ColorToRGB"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 8B F1 89 55 FC 8B D8 83 7B 04 00 0F 84 BE 01 00 00 8B 43 04 8B 10 FF 52 30 85 C0 0F 84 AE 01 00 00 8B 43 04 8B 10 FF 52 24 85 C0 0F 84 9E 01 00 00 0F B6 55 0C 8B C3 E8 ?? ?? ?? ?? 89 45 F8 80 7B 30 00 0F 84 0E 01 00 00 8B 06 89 45 D0 8B 46 04 89 45 D4 8B 43 04 8B 10 FF 52 30 0F B6 53 20 8B CA 99 F7 F9 03 45 D0 89 45 D8 8B 43 04 8B 10 FF 52 24 03 45 D4 89 45 DC 0F B6 45 0C FE C8 74 07 48 2C 02 72 08 EB 0C C6 45 F7 05 EB 0A C6 45 F7 04 EB 04 C6 45 F7 02 E8 ?? ?? ?? ?? 0F B6 55 F7 8D 4D E0 8B 30 FF 56 58 80 7B 21 00 74 7E 8D 45 F0 50 6A 00 6A 02 8D 45 D0 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 D0 50 8B 43 08 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8D 4D E0 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 EC 68 FF 00 00 00 8D 55 D0 52 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A FF 8B 45 EC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8D 45 D0 50 8B 43 08 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E0 5A E8 ?? ?? ?? ?? EB 78 80 7D 08 00 75 06 80 7D 0C 03 75 34 6A 01 68 FF FF FF 1F 68 FF FF FF 1F 6A 00 6A 00 8B 46 04 50 8B 06 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 38 6A 00 68 FF FF FF 1F B8 0F 00 00 FF E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 46 04 50 8B 06 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_73850_0 {
	meta:
		name = "DoDrawText"
		size = 313
		refs = "001a DoDrawText 0042 TStyleManager.GetActiveStyle 0047 TCustomStyleServices.GetIsSystemStyle 0066 TCustomStyleServices.GetElementColor 00a4 TTextFormatFlags.&op_Implicit 00dd TCustomStyleServices.DrawText 00f7 @UStrLAsg 0108 @UStrToPWChar 010f DrawText 0124 @UStrClr 012a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 4D F4 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 8B 40 FC 80 78 30 00 0F 84 AF 00 00 00 8B 45 0C 80 78 0C 01 75 04 B0 01 EB 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 84 C0 74 40 8D 45 F0 50 E8 ?? ?? ?? ?? 8B 55 0C 8B 52 FC 83 C2 24 B1 02 E8 ?? ?? ?? ?? 84 C0 75 04 B0 01 EB 0A 81 7D F0 FF FF FF 1F 0F 94 C0 84 C0 74 20 8B 45 0C 8B 40 F8 8B 40 40 8B 40 18 89 45 F0 EB 0F 8B 45 0C 8B 40 F8 8B 40 40 8B 40 18 89 45 F0 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 0C 8B 40 FC 80 78 21 00 74 06 81 CB 00 00 80 00 56 8B 45 F4 50 53 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 55 0C 8B 52 FC 8D 4A 24 8B 55 F8 E8 ?? ?? ?? ?? EB 30 8B DE 85 DB 74 05 83 EB 04 8B 1B 8B 7D F8 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 75 08 56 8B 45 F4 50 53 8B 45 FC E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_73851_0 {
	meta:
		name = "TButtonGlyph.DrawButtonText"
		size = 204
		refs = "0027 TBrush.SetStyle 0043 OffsetRect 0053 TFont.SetColor 0065 TCanvas.GetHandle 006f DoDrawText"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 10 8D 7D E8 A5 A5 A5 A5 8B D9 89 55 F8 89 45 FC 8B 75 08 8B 45 F8 8B 40 48 B2 01 E8 ?? ?? ?? ?? 80 7D 0C 01 75 77 8B 45 FC 80 78 30 00 75 6E 6A 01 6A 01 8D 45 E8 50 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 40 BA 14 00 00 FF E8 ?? ?? ?? ?? 55 8B FE 81 CF 05 01 00 00 57 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D E8 8B D3 E8 ?? ?? ?? ?? 59 6A FF 6A FF 8D 45 E8 50 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 40 BA 10 00 00 FF E8 ?? ?? ?? ?? 55 57 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D E8 8B D3 E8 ?? ?? ?? ?? 59 EB 1B 55 81 CE 05 01 00 00 56 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D E8 8B D3 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_73852_0 {
	meta:
		name = "TButtonGlyph.CalcButtonLayout"
		size = 997
		refs = "0023 TButtonGlyph.CalcButtonLayout 00ed Rect 0103 TCanvas.GetHandle 0128 @UStrLAsg 014a @UStrToPWChar 0154 DrawText 03bb OffsetRect 03d0 @UStrClr 03d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 68 FF FF FF 53 56 57 33 DB 89 5D FC 8B D9 89 55 F4 89 45 F8 8B 7D 0C 8B 75 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 E0 02 83 F8 02 75 16 80 7D 1C 00 75 06 C6 45 1C 01 EB 0A 80 7D 1C 01 75 04 C6 45 1C 00 8B 43 08 2B 03 8B 53 0C 2B 53 04 89 45 C4 89 55 C8 8B 45 C4 89 45 E4 8B 45 C8 89 45 E8 8B 45 F8 83 78 04 00 74 3C 8B 45 F8 8B 40 04 8B 10 FF 52 30 8B 55 F8 0F B6 52 20 8B CA 99 F7 F9 89 45 C0 8B 45 F8 8B 40 04 8B 10 FF 52 24 8B 55 C0 89 55 B8 89 45 BC 8B 45 B8 89 45 DC 8B 45 BC 89 45 E0 EB 16 33 C0 89 45 B0 33 C0 89 45 B4 8B 45 B0 89 45 DC 8B 45 B4 89 45 E0 8B 45 20 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 9D 00 00 00 6A 00 8D 85 68 FF FF FF 50 8B 4B 08 2B 0B 33 D2 33 C0 E8 ?? ?? ?? ?? 56 57 8D B5 68 FF FF FF A5 A5 A5 A5 5F 5E 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 20 89 55 AC 83 7D AC 00 74 0B 8B 55 AC 83 EA 04 8B 12 89 55 AC 89 45 A8 8D 45 FC 8B 55 20 E8 ?? ?? ?? ?? 8B 45 AC 89 45 A4 8B 45 08 0D 00 04 00 00 89 45 A0 8B 45 A0 50 57 8B 45 A4 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 A8 50 E8 ?? ?? ?? ?? 8B 47 08 2B 07 8B 57 0C 2B 57 04 89 45 98 89 55 9C 8B 45 98 89 45 D4 8B 45 9C 89 45 D8 EB 38 6A 00 8D 85 68 FF FF FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 56 57 8D B5 68 FF FF FF A5 A5 A5 A5 5F 5E 33 C0 89 45 90 33 C0 89 45 94 8B 45 90 89 45 D4 8B 45 94 89 45 D8 0F B6 45 1C 2C 02 73 23 8B 45 E8 8B D0 2B 55 E0 42 D1 FA 79 03 83 D2 00 89 56 04 2B 45 D8 40 D1 F8 79 03 83 D0 00 89 45 F0 EB 20 8B 45 E4 8B D0 2B 55 DC 42 D1 FA 79 03 83 D2 00 89 16 2B 45 D4 40 D1 F8 79 03 83 D0 00 89 45 EC 83 7D D4 00 74 06 83 7D DC 00 75 05 33 C0 89 45 14 83 7D 18 FF 0F 85 AD 00 00 00 83 7D 14 00 7D 55 8B 45 DC 03 45 D4 89 45 88 8B 45 E0 03 45 D8 89 45 8C 8B 45 88 89 45 CC 8B 45 8C 89 45 D0 0F B6 45 1C 2C 02 73 13 8B 45 E4 2B 45 CC B9 03 00 00 00 99 F7 F9 89 45 18 EB 11 8B 45 E8 2B 45 D0 B9 03 00 00 00 99 F7 F9 89 45 18 8B 45 18 89 45 14 E9 B6 00 00 00 8B 45 DC 03 45 14 03 45 D4 89 45 80 8B 45 E0 03 45 14 03 45 D8 89 45 84 8B 45 80 89 45 CC 8B 45 84 89 45 D0 0F B6 45 1C 2C 02 73 13 8B 45 E4 2B 45 CC 40 D1 F8 79 03 83 D0 00 89 45 18 EB 77 8B 45 E8 2B 45 D0 40 D1 F8 79 03 83 D0 00 89 45 18 EB 64 83 7D 14 00 7D 5E 8B 45 18 03 45 DC 8B 55 E4 2B D0 89 95 78 FF FF FF 8B 45 18 03 45 E0 8B 55 E8 2B D0 89 95 7C FF FF FF 8B 85 78 FF FF FF 89 45 CC 8B 85 7C FF FF FF 89 45 D0 0F B6 45 1C 2C 02 73 12 8B 45 CC 2B 45 D4 D1 F8 79 03 83 D0 00 89 45 14 EB 10 8B 45 D0 2B 45 D8 D1 F8 79 03 83 D0 00 89 45 14 0F B6 45 1C 2C 01 72 0C 74 1A FE C8 74 2C FE C8 74 3C EB 52 8B 45 18 89 06 03 45 DC 03 45 14 89 45 EC EB 42 8B 45 E4 2B 45 18 2B 45 DC 89 06 2B 45 14 2B 45 D4 89 45 EC EB 2C 8B 45 18 89 46 04 8B 46 04 03 45 E0 03 45 14 89 45 F0 EB 18 8B 45 E8 2B 45 18 2B 45 E0 89 46 04 8B 46 04 2B 45 14 2B 45 D8 89 45 F0 8B 03 8B 55 24 03 02 01 06 8B 43 04 8B 55 24 03 42 04 01 46 04 8B 43 04 03 45 F0 8B 55 24 03 42 04 50 8B 03 03 45 EC 8B 55 24 03 02 50 57 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule function_73853_0 {
	meta:
		name = "TButtonGlyph.Draw"
		size = 116
		refs = "0039 TButtonGlyph.CalcButtonLayout 004f TButtonGlyph.DrawButtonGlyph 0067 TButtonGlyph.DrawButtonText"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 24 8B 45 28 50 57 0F B6 45 20 50 8B 45 1C 50 8B 45 18 50 8D 45 F4 50 8B 45 08 50 8B 45 0C 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 45 14 50 0F B6 45 10 50 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 0F B6 45 14 50 8B 45 0C 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule function_73854_0 {
	meta:
		name = "TSpeedButtonActionLink.AssignClient"
		size = 34
		refs = "000b TControlActionLink.AssignClient 0013 _DV_TSpeedButton 0018 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 5E 5B C3 }
	condition:
		$1
}

rule function_73935_0 {
	meta:
		name = "TBitBtnActionLink.AssignClient"
		size = 34
		refs = "000b TControlActionLink.AssignClient 0013 _DV_TBitBtn 0018 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 5E 5B C3 }
	condition:
		$1
}

rule function_75632_0 {
	meta:
		name = "TToolButtonActionLink.AssignClient"
		size = 34
		refs = "000b TControlActionLink.AssignClient 0013 _DV_TToolButton 0018 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 5E 5B C3 }
	condition:
		$1
}

rule function_76497_0 {
	meta:
		name = "TWinControlActionLink.AssignClient"
		size = 34
		refs = "000b TControlActionLink.AssignClient 0013 _DV_TWinControl 0018 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 5E 5B C3 }
	condition:
		$1
}

rule function_73855_0 {
	meta:
		name = "TBitBtnActionLink.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TBasicActionLink.Create 0029 @AfterConstruction"
		altNames = "TSpeedButtonActionLink.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 24 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73856_0 {
	meta:
		name = "TSpeedButtonActionLink.IsCheckedLinked"
		size = 64
		refs = "0006 TActionLink.IsCheckedLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2A 8B 43 20 83 B8 B8 01 00 00 00 74 1E 8B 43 20 80 B8 C2 01 00 00 00 74 12 8B 43 20 0F B6 80 C0 01 00 00 8B 53 10 3A 42 71 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_73857_0 {
	meta:
		name = "TSpeedButtonActionLink.IsGlyphLinked"
		size = 193
		refs = "001e TSpeedButton.GetGlyph 005c _Dn_TBitmap 0061 TBitmap.Create 006c TSpeedButtonActionLink.IsGlyphLinked 0080 TSpeedButton.InternalCopyImage 00aa TObject.Free 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 8B D8 8B 43 10 8B 40 64 8B 70 40 85 F6 74 30 8B 43 20 E8 ?? ?? ?? ?? 85 C0 74 24 8B 43 20 E8 ?? ?? ?? ?? 8B 10 FF 52 30 3B 46 3C 75 12 8B 43 20 E8 ?? ?? ?? ?? 8B 10 FF 52 24 3B 46 38 74 04 33 C0 EB 02 B0 01 88 45 FF 80 7D FF 00 74 5D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8B 43 20 8B CE 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 20 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 D4 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_73938_0 {
	meta:
		name = "TBitBtnActionLink.IsGlyphLinked"
		size = 193
		refs = "001e TBitBtn.GetGlyph 005c _Dn_TBitmap 0061 TBitmap.Create 006c TBitBtnActionLink.IsGlyphLinked 0080 TBitBtn.InternalCopyImage 00aa TObject.Free 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 8B D8 8B 43 10 8B 40 64 8B 70 40 85 F6 74 30 8B 43 20 E8 ?? ?? ?? ?? 85 C0 74 24 8B 43 20 E8 ?? ?? ?? ?? 8B 10 FF 52 30 3B 46 3C 75 12 8B 43 20 E8 ?? ?? ?? ?? 8B 10 FF 52 24 3B 46 38 74 04 33 C0 EB 02 B0 01 88 45 FF 80 7D FF 00 74 5D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8B 43 20 8B CE 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 20 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 D4 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_73858_0 {
	meta:
		name = "TSpeedButtonActionLink.IsGroupIndexLinked"
		size = 45
		refs = "0006 TActionLink.IsGroupIndexLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 83 7B 20 00 74 11 8B 43 20 8B 80 B8 01 00 00 8B 53 10 3B 42 74 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_73859_0 {
	meta:
		name = "TBitBtnActionLink.IsImageIndexLinked"
		size = 36
		refs = "0006 TActionLink.IsImageIndexLinked"
		altNames = "TSpeedButtonActionLink.IsImageIndexLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 43 10 8B 80 88 00 00 00 3B 43 24 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_73860_0 {
	meta:
		name = "TSpeedButtonActionLink.SetChecked"
		size = 30
		refs = "0017 TSpeedButton.SetDown"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 24 84 C0 74 0A 8B D3 8B 46 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75637_0 {
	meta:
		name = "TToolButtonActionLink.SetChecked"
		size = 30
		refs = "0017 TToolButton.SetDown"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 24 84 C0 74 0A 8B D3 8B 46 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73861_0 {
	meta:
		name = "TSpeedButtonActionLink.SetGroupIndex"
		size = 30
		refs = "0017 TSpeedButton.SetGroupIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 2C 84 C0 74 0A 8B D6 8B 43 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73862_0 {
	meta:
		name = "TSpeedButtonActionLink.SetImageIndex"
		size = 156
		refs = "0016 TSpeedButton.GetGlyph 002a _Dn_TCustomAction 002f @IsClass 004f TCustomImageList.GetCount 0085 TSpeedButton.CopyImage 0091 TSpeedButton.SetGlyph"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 8B 10 FF 52 3C 84 C0 75 11 8B 43 20 E8 ?? ?? ?? ?? 8B 10 FF 52 20 84 C0 74 75 8B 73 10 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5E 8B 46 64 85 C0 74 57 83 78 40 00 74 51 85 FF 7C 43 8B 46 64 8B 40 40 E8 ?? ?? ?? ?? 3B F8 7D 34 8B 53 24 8B C3 8B 08 FF 91 94 00 00 00 84 C0 75 11 8B 43 20 E8 ?? ?? ?? ?? 8B 10 FF 52 20 84 C0 74 1C 8B 46 64 8B 50 40 8B CF 8B 43 20 E8 ?? ?? ?? ?? EB 0A 33 D2 8B 43 20 E8 ?? ?? ?? ?? 89 7B 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73863_0 {
	meta:
		name = "TSpeedButton.Create"
		size = 192
		refs = "000f @ClassCreate 001d _DV_TButtonGlyph 0022 TButtonGlyph.Create 0034 TSpeedButton.GlyphChanged 003f TGraphicControl.Create 0056 TSpeedButton.Create 0062 TControl.SetParentFont 006e TControl.SetColor 0096 ButtonCount 00a3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 BC 01 00 00 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 17 6A 16 33 C9 33 D2 8B C3 8B 30 FF 96 A4 00 00 00 A1 ?? ?? ?? ?? 89 43 58 B2 01 8B C3 E8 ?? ?? ?? ?? BA 0F 00 00 FF 8B C3 E8 ?? ?? ?? ?? C7 83 C4 01 00 00 04 00 00 00 C7 83 CC 01 00 00 FF FF FF FF C6 83 C3 01 00 00 00 C6 83 C8 01 00 00 01 FF 05 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 00 00 00 82 00 00 00 }
	condition:
		$1
}

rule function_73864_0 {
	meta:
		name = "TSpeedButton.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 000d ButtonCount 0018 TGraphicControl.Destroy 0023 TObject.Free 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 FF 0D ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73865_0 {
	meta:
		name = "DoGlassPaint"
		size = 87
		refs = "0041 _Dn_TCustomForm 0046 @IsClass"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC F6 40 5D 80 0F 95 C0 84 C0 74 3F 8B 45 08 8B 40 FC 8B 58 38 EB 03 8B 5B 38 85 DB 74 09 80 BB 68 02 00 00 00 74 F0 85 DB 74 1E 80 BB 68 02 00 00 00 74 15 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5B 5D C3 }
	condition:
		$1
}

rule function_73866_0 {
	meta:
		name = "TSpeedButton.Paint"
		size = 1500
		refs = "001b TSpeedButton.Paint 0087 TCanvas.SetFont 008e ThemeControl 009c DoGlassPaint 00c4 TCanvas.GetHandle 00ca TStyleManager.GetActiveStyle 00d2 TCustomStyleServices.DrawParentBackground 00ea PerformEraseBackground 00f3 GetStockObject 0115 FillRect 0164 TStyleManager.GetIsCustomStyleActive 01d5 TCustomStyleServices.DrawElement 01f9 TCustomStyleServices.GetElementContentRect 02e1 CheckWin32Version 02fa TFont.SetColor 0352 TControl.GetText 038f TControl.DrawTextBiDiModeFlags 03a6 TButtonGlyph.Draw 03c3 Rect 0402 DrawFrameControl 0444 FillStyles 0462 DownStyles 047a DrawEdge 049c TBrush.SetColor 04b9 InflateRect 04f8 AllocPatternBitmap 050a TBrush.SetBitmap 05c9 @UStrArrayClr 05cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 D2 89 55 AC 89 55 B0 89 45 FC 8D 5D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B 10 FF 52 68 84 C0 75 14 8B 03 C6 80 D2 01 00 00 01 8B 03 C6 80 C1 01 00 00 00 EB 35 8B 03 80 B8 D2 01 00 00 01 75 2A 8B 03 80 B8 C0 01 00 00 00 74 16 8B 03 83 B8 B8 01 00 00 00 74 0B 8B 03 C6 80 D2 01 00 00 03 EB 09 8B 03 C6 80 D2 01 00 00 00 8B 03 8B 50 6C 8B 03 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 0F 84 15 03 00 00 55 E8 ?? ?? ?? ?? 59 88 45 F3 80 7D F3 00 75 46 8B 03 80 B8 C8 01 00 00 00 74 23 6A 00 6A 01 6A 00 8B 03 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 59 E8 ?? ?? ?? ?? EB 41 8B 03 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 03 E8 ?? ?? ?? ?? EB 29 6A 04 E8 ?? ?? ?? ?? 50 8D 55 B4 8B 03 8B 08 FF 51 60 8D 45 B4 50 8B 03 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 03 8B 10 FF 52 68 84 C0 75 06 C6 45 F2 05 EB 2A 8B 03 0F B6 80 D2 01 00 00 04 FE 2C 02 73 06 C6 45 F2 04 EB 15 8B 03 80 B8 D1 01 00 00 00 74 06 C6 45 F2 03 EB 04 C6 45 F2 02 C6 45 F1 00 8B 03 80 B8 D0 01 00 00 00 75 09 E8 ?? ?? ?? ?? 84 C0 74 2A 0F B6 45 F2 2C 02 74 1E FE C8 74 14 FE C8 74 0A FE C8 75 16 C6 45 F1 05 EB 10 C6 45 F1 04 EB 0A C6 45 F1 03 EB 04 C6 45 F1 02 8D 55 D0 8B 03 8B 08 FF 51 60 80 7D F1 00 75 5C E8 ?? ?? ?? ?? 0F B6 55 F2 8D 4D C4 8B 30 FF 56 58 8D 45 D0 50 6A 00 8B 03 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D C4 5A E8 ?? ?? ?? ?? 8D 45 D0 50 8D 45 D0 50 8B 03 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D C4 5A E8 ?? ?? ?? ?? E9 B5 00 00 00 E8 ?? ?? ?? ?? 0F B6 55 F1 8D 4D C4 8B 30 FF 96 E8 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 3B 8D 45 D0 50 6A 00 8B 03 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D C4 5A E8 ?? ?? ?? ?? 80 7D F1 05 75 4C E8 ?? ?? ?? ?? 0F B6 55 F2 8D 4D C4 8B 30 FF 56 58 EB 39 8B 03 80 B8 D0 01 00 00 00 74 0C 80 7D F2 04 74 06 80 7D F2 03 75 22 8D 45 D0 50 6A 00 8B 03 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D C4 5A E8 ?? ?? ?? ?? 8D 45 D0 50 8D 45 D0 50 8B 03 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D C4 5A E8 ?? ?? ?? ?? 33 C0 89 45 E8 33 C0 89 45 EC 8B 45 E8 89 45 F4 8B 45 EC 89 45 F8 80 7D F2 04 75 50 80 7D F1 00 74 27 33 D2 B8 06 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 17 8B 03 8B 80 B0 01 00 00 8B 40 40 BA 0E 00 00 FF E8 ?? ?? ?? ?? EB 23 8B 03 80 B8 D0 01 00 00 00 74 18 C7 45 E0 01 00 00 00 33 C0 89 45 E4 8B 45 E0 89 45 F4 8B 45 E4 89 45 F8 8B 03 8B B0 BC 01 00 00 0F B6 45 F3 88 46 21 8B 45 C4 89 46 24 8B 45 C8 89 46 28 8B 45 CC 89 46 2C C6 46 30 01 8D 45 F4 50 8D 55 B0 8B 03 E8 ?? ?? ?? ?? 8B 45 B0 50 8B 03 0F B6 80 C3 01 00 00 50 8B 03 8B 80 CC 01 00 00 50 8B 03 8B 80 C4 01 00 00 50 8B 03 0F B6 80 D2 01 00 00 50 8B 03 0F B6 80 C8 01 00 00 50 33 D2 8B 03 E8 ?? ?? ?? ?? 50 8D 45 B4 50 8D 4D D0 8B 03 8B 90 B0 01 00 00 8B C6 E8 ?? ?? ?? ?? E9 04 02 00 00 8B 03 8B 40 54 50 8D 45 D0 50 8B 03 8B 48 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 03 80 B8 D0 01 00 00 00 75 39 BE 10 20 00 00 8B 03 0F B6 80 D2 01 00 00 04 FE 2C 02 73 06 81 CE 00 02 00 00 56 6A 04 8D 45 D0 50 8B 03 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 B2 00 00 00 8B 03 0F B6 80 D2 01 00 00 04 FE 2C 02 72 1E 8B 03 80 B8 D1 01 00 00 00 74 0B 8B 03 80 B8 D2 01 00 00 01 75 08 8B 03 F6 40 1C 10 74 48 8B 03 0F B6 80 C8 01 00 00 8B 04 85 ?? ?? ?? ?? 83 C8 0F 50 8B 03 0F B6 80 D2 01 00 00 04 FE 2C 02 0F 92 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 50 8D 45 D0 50 8B 03 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 30 8B 03 80 B8 C8 01 00 00 00 75 25 8B 03 8B 50 74 8B 03 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 55 D0 8B 03 8B 80 B0 01 00 00 8B 08 FF 51 54 6A FF 6A FF 8D 45 D0 50 E8 ?? ?? ?? ?? 8B 03 0F B6 80 D2 01 00 00 04 FE 2C 02 73 62 8B 03 80 B8 D2 01 00 00 03 75 47 8B 03 80 B8 D0 01 00 00 00 74 0B 8B 03 80 B8 D1 01 00 00 00 75 31 BA 14 00 00 FF B8 0F 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 03 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 55 D0 8B 03 8B 80 B0 01 00 00 8B 08 FF 51 54 C7 45 F4 01 00 00 00 C7 45 F8 01 00 00 00 EB 0A 33 C0 89 45 F4 33 C0 89 45 F8 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 52 48 8B 13 8B BA BC 01 00 00 88 47 30 8D 45 F4 50 8D 55 AC 8B 03 E8 ?? ?? ?? ?? 8B 45 AC 50 8B 03 0F B6 80 C3 01 00 00 50 8B 03 8B 80 CC 01 00 00 50 8B 03 8B 80 C4 01 00 00 50 8B 03 0F B6 80 D2 01 00 00 50 8B 03 0F B6 80 C8 01 00 00 50 33 D2 8B 03 E8 ?? ?? ?? ?? 50 8D 45 B4 50 8D 4D D0 8B 03 8B 90 B0 01 00 00 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73867_0 {
	meta:
		name = "TSpeedButton.UpdateTracking"
		size = 99
		refs = "001d GetCursorPos 0026 FindDragTarget 0048 TControl.Perform"
	strings:
		$1 = { 53 56 83 C4 F8 8B F0 80 BE D0 01 00 00 00 74 4E 8B C6 8B 10 FF 52 68 84 C0 74 43 54 E8 ?? ?? ?? ?? 8B C4 B2 01 E8 ?? ?? ?? ?? 3B F0 0F 94 C3 80 F3 01 88 9E D1 01 00 00 84 DB 74 12 6A 00 33 C9 BA 14 B0 00 00 8B C6 E8 ?? ?? ?? ?? EB 10 6A 00 33 C9 BA 13 B0 00 00 8B C6 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_73868_0 {
	meta:
		name = "TSpeedButton.Loaded"
		size = 42
		refs = "0006 TControl.Loaded 0024 TButtonGlyph.CreateButtonGlyph"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 68 84 C0 74 04 33 C0 EB 02 B0 01 8B D0 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73869_0 {
	meta:
		name = "TSpeedButton.MouseDown"
		size = 90
		refs = "001f TControl.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 8B D3 0F B7 4D FE 8B C6 E8 ?? ?? ?? ?? 84 DB 75 2C 8B C6 8B 10 FF 52 68 84 C0 74 21 80 BE C0 01 00 00 00 75 11 C6 86 D2 01 00 00 02 8B C6 8B 10 FF 92 9C 00 00 00 C6 86 C1 01 00 00 01 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_73870_0 {
	meta:
		name = "TSpeedButton.MouseMove"
		size = 167
		refs = "001c TControl.MouseMove 0043 TControl.GetClientWidth 0052 TControl.GetClientHeight 009b TSpeedButton.UpdateTracking"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 66 89 55 FE 8B D8 8B 7D 08 57 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 80 BB C1 01 00 00 00 74 66 80 BB C0 01 00 00 00 75 06 C6 45 FD 00 EB 04 C6 45 FD 03 85 F6 7C 2D 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 22 85 FF 7C 1E 8B C3 E8 ?? ?? ?? ?? 3B F8 7F 13 80 BB C0 01 00 00 00 74 06 C6 45 FD 03 EB 04 C6 45 FD 02 0F B6 45 FD 3A 83 D2 01 00 00 74 26 0F B6 45 FD 88 83 D2 01 00 00 8B C3 8B 10 FF 92 9C 00 00 00 EB 10 80 BB D1 01 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_73871_0 {
	meta:
		name = "TSpeedButton.MouseUp"
		size = 254
		refs = "0023 TControl.MouseUp 0042 TControl.GetClientWidth 0051 TControl.GetClientHeight 00ab TSpeedButton.SetDown 00eb @CallDynaInst 00f2 TSpeedButton.UpdateTracking"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FD 88 55 FF 8B D8 8B 7D 08 8B 75 0C 56 57 0F B6 55 FF 0F B7 4D FD 8B C3 E8 ?? ?? ?? ?? 80 BB C1 01 00 00 00 0F 84 C2 00 00 00 C6 83 C1 01 00 00 00 85 F6 7C 1A 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 0F 85 FF 7C 0B 8B C3 E8 ?? ?? ?? ?? 3B F8 7E 04 33 C0 EB 02 B0 01 88 45 FC 83 BB B8 01 00 00 00 75 2D C6 83 D2 01 00 00 00 C6 83 D1 01 00 00 00 80 7D FC 00 74 5F 0F B6 83 D2 01 00 00 04 FE 2C 02 72 52 8B C3 8B 10 FF 92 9C 00 00 00 EB 46 80 7D FC 00 74 26 0F B6 93 C0 01 00 00 80 F2 01 8B C3 E8 ?? ?? ?? ?? 80 BB C0 01 00 00 00 74 26 8B C3 8B 10 FF 92 A0 00 00 00 EB 1A 80 BB C0 01 00 00 00 74 07 C6 83 D2 01 00 00 03 8B C3 8B 10 FF 92 A0 00 00 00 80 7D FC 00 74 0B 8B C3 66 BE EC FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_73873_0 {
	meta:
		name = "TSpeedButton.GetPalette"
		size = 17
		refs = "0006 TSpeedButton.GetGlyph"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 28 5B C3 }
	condition:
		$1
}

rule function_73914_0 {
	meta:
		name = "TBitBtn.GetPalette"
		size = 17
		refs = "0006 TBitBtn.GetGlyph"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 28 5B C3 }
	condition:
		$1
}

rule function_73875_0 {
	meta:
		name = "TSpeedButton.GetGlyph"
		size = 10
	strings:
		$1 = { 8B 80 BC 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_73876_0 {
	meta:
		name = "TSpeedButton.SetGlyph"
		size = 26
		refs = "000a TButtonGlyph.SetGlyph"
	strings:
		$1 = { 53 8B D8 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_73877_0 {
	meta:
		name = "TSpeedButton.GetNumGlyphs"
		size = 11
	strings:
		$1 = { 8B 80 BC 01 00 00 0F B6 40 20 C3 }
	condition:
		$1
}

rule function_73878_0 {
	meta:
		name = "TSpeedButton.SetNumGlyphs"
		size = 46
		refs = "001e TButtonGlyph.SetNumGlyphs"
	strings:
		$1 = { 53 8B D8 84 D2 73 04 B2 01 EB 07 80 FA 04 76 02 B2 04 8B 83 BC 01 00 00 3A 50 20 74 0F E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_73880_0 {
	meta:
		name = "TSpeedButton.HasCustomGlyph"
		size = 44
	strings:
		$1 = { 53 8B 58 70 85 DB 74 20 8B C3 8B 10 FF 52 3C 84 C0 74 15 8B 53 24 8B C3 8B 08 FF 91 94 00 00 00 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_73881_0 {
	meta:
		name = "TBitBtn.InternalCopyImage"
		size = 133
		refs = "0023 TBitmap.GetCanvas 0030 TBrush.SetColor 004e Rect 0079 TCustomImageList.Draw"
		altNames = "TSpeedButton.InternalCopyImage"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F1 8B DA 8B 56 3C 8B C3 8B 08 FF 51 44 8B 56 38 8B C3 8B 08 FF 51 38 8B C3 E8 ?? ?? ?? ?? 8B 40 48 BA FF 00 FF 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 50 8D 45 F0 50 8B C3 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 6A 00 8B 45 08 50 6A 01 8B C3 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C6 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_73882_0 {
	meta:
		name = "TSpeedButton.UpdateExclusive"
		size = 54
		refs = "002e TWinControl.Broadcast"
	strings:
		$1 = { 83 C4 F0 8B 90 B8 01 00 00 85 D2 74 25 83 78 38 00 74 1F C7 04 24 18 B0 00 00 89 54 24 04 89 44 24 08 33 D2 89 54 24 0C 8B D4 8B 40 38 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_73883_0 {
	meta:
		name = "TSpeedButton.SetDown"
		size = 112
		refs = "0069 TSpeedButton.UpdateExclusive"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 BE B8 01 00 00 00 75 02 33 DB 3A 9E C0 01 00 00 74 54 80 BE C0 01 00 00 00 74 09 80 BE C2 01 00 00 00 74 42 88 9E C0 01 00 00 84 DB 74 1C 80 BE D2 01 00 00 00 75 0A 8B C6 8B 10 FF 92 9C 00 00 00 C6 86 D2 01 00 00 03 EB 11 C6 86 D2 01 00 00 00 8B C6 8B 10 FF 92 A0 00 00 00 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73884_0 {
	meta:
		name = "TSpeedButton.SetFlat"
		size = 23
	strings:
		$1 = { 3A 90 D0 01 00 00 74 0E 88 90 D0 01 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_73885_0 {
	meta:
		name = "TSpeedButton.SetGroupIndex"
		size = 20
		refs = "000f TSpeedButton.UpdateExclusive"
	strings:
		$1 = { 3B 90 B8 01 00 00 74 0B 89 90 B8 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73886_0 {
	meta:
		name = "TSpeedButton.SetLayout"
		size = 23
	strings:
		$1 = { 3A 90 C3 01 00 00 74 0E 88 90 C3 01 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_73887_0 {
	meta:
		name = "TSpeedButton.SetMargin"
		size = 28
	strings:
		$1 = { 3B 90 CC 01 00 00 74 13 83 FA FF 7C 0E 89 90 CC 01 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_73888_0 {
	meta:
		name = "TSpeedButton.SetSpacing"
		size = 23
	strings:
		$1 = { 3B 90 C4 01 00 00 74 0E 89 90 C4 01 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_73889_0 {
	meta:
		name = "TSpeedButton.SetTransparent"
		size = 64
		refs = "0016 TSpeedButton.SetTransparent"
	strings:
		$1 = { 53 8B D8 3A 93 C8 01 00 00 74 2E 88 93 C8 01 00 00 84 D2 74 0F A1 ?? ?? ?? ?? F7 D0 23 43 58 89 43 58 EB 0B A1 ?? ?? ?? ?? 0B 43 58 89 43 58 8B C3 8B 10 FF 92 9C 00 00 00 5B C3 00 40 00 00 00 }
	condition:
		$1
}

rule function_73890_0 {
	meta:
		name = "TSpeedButton.SetAllowAllUp"
		size = 20
		refs = "000f TSpeedButton.UpdateExclusive"
	strings:
		$1 = { 3A 90 C2 01 00 00 74 0B 88 90 C2 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73891_0 {
	meta:
		name = "TSpeedButton.WMLButtonDblClk"
		size = 34
		refs = "0007 TControl.WMLButtonDblClk 001b @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB C0 01 00 00 00 74 0B 8B C3 66 BE EB FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73892_0 {
	meta:
		name = "TSpeedButton.CMEnabledChanged"
		size = 50
		refs = "0010 NewState 001b TButtonGlyph.CreateButtonGlyph 0022 TSpeedButton.UpdateTracking"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 68 83 E0 7F 0F B6 90 ?? ?? ?? ?? 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_73893_0 {
	meta:
		name = "TSpeedButton.CMButtonPressed"
		size = 116
		refs = "003f _Dn_TCustomAction 0044 @IsClass 0056 TCustomAction.SetChecked"
	strings:
		$1 = { 53 56 8B D8 8B 42 04 3B 83 B8 01 00 00 75 62 8B 72 08 3B DE 74 5B 80 BE C0 01 00 00 00 74 45 80 BB C0 01 00 00 00 74 3C C6 83 C0 01 00 00 00 C6 83 D2 01 00 00 00 8B C3 8B 10 FF 52 58 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 8B 10 FF 52 58 33 D2 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 0F B6 86 C2 01 00 00 88 83 C2 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_73894_0 {
	meta:
		name = "TSpeedButton.CMDialogChar"
		size = 149
		refs = "000f TSpeedButton.CMDialogChar 001f TControl.GetText 002b IsAccel 005d @CallDynaInst 0084 @UStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 0F B7 47 04 E8 ?? ?? ?? ?? 84 C0 74 37 8B C6 8B 10 FF 52 68 84 C0 74 2C 80 7E 61 00 74 26 83 7E 38 00 74 20 8B 46 38 80 B8 F2 01 00 00 00 74 14 8B C6 66 BE EC FF E8 ?? ?? ?? ?? C7 47 0C 01 00 00 00 EB 09 8B D7 8B C6 8B 08 FF 51 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 59 5D C3 }
	condition:
		$1
}

rule function_73897_0 {
	meta:
		name = "TSpeedButton.CMSysColorChange"
		size = 34
		refs = "000d TButtonGlyph.Invalidate 001b TButtonGlyph.CreateButtonGlyph"
	strings:
		$1 = { 53 56 8B D8 8B B3 BC 01 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 93 D2 01 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73898_0 {
	meta:
		name = "TSpeedButton.CMMouseEnter"
		size = 123
		refs = "0006 TControl.CMMouseEnter 002a TControl.GetDragMode 0033 GetCapture 004a TStyleManager.GetActiveStyle"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 80 BE D0 01 00 00 00 74 28 80 BE D1 01 00 00 00 75 1F 8B C6 8B 10 FF 52 68 84 C0 74 14 8B C6 E8 ?? ?? ?? ?? 3C 01 74 09 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 84 C0 74 04 B0 01 EB 0A E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 22 F6 46 1C 10 75 1C C6 86 D1 01 00 00 01 8B C6 8B 10 FF 52 68 84 C0 74 0A 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_73899_0 {
	meta:
		name = "TSpeedButton.CMMouseLeave"
		size = 106
		refs = "0006 TControl.CMMouseLeave 003f TStyleManager.GetActiveStyle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB D0 01 00 00 00 74 1D 80 BB D1 01 00 00 00 74 14 8B C3 8B 10 FF 52 68 84 C0 74 09 80 BB C1 01 00 00 00 74 04 33 C0 EB 02 B0 01 84 C0 74 04 B0 01 EB 0A E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1C C6 83 D1 01 00 00 00 8B C3 8B 10 FF 52 68 84 C0 74 0A 8B C3 8B 10 FF 92 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_73900_0 {
	meta:
		name = "TSpeedButton.CopyImage"
		size = 32
		refs = "000d TSpeedButton.GetGlyph 0018 TSpeedButton.InternalCopyImage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73929_0 {
	meta:
		name = "TBitBtn.CopyImage"
		size = 32
		refs = "000d TBitBtn.GetGlyph 0018 TBitBtn.InternalCopyImage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73901_0 {
	meta:
		name = "TSpeedButton.ActionChange"
		size = 246
		refs = "0011 TControl.ActionChange 0019 _Dn_TCustomAction 001e @IsClass 0045 TSpeedButton.GetGlyph 0084 TSpeedButton.SetGlyph 009b TSpeedButton.SetGroupIndex 00d0 TCustomImageList.GetCount 00ed TSpeedButton.CopyImage"
	strings:
		$1 = { 53 56 57 55 8B D9 8B EA 8B F0 8B CB 8B D5 8B C6 E8 ?? ?? ?? ?? 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C7 00 00 00 8B 7E 70 84 DB 74 25 8B 57 24 8B C7 8B 08 FF 91 94 00 00 00 84 C0 75 14 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 20 84 C0 0F 84 9B 00 00 00 84 DB 75 11 83 7F 24 FF 75 0B 8B 47 24 3B 85 88 00 00 00 74 1D 8B C5 8B 90 88 00 00 00 89 57 24 83 B8 88 00 00 00 FF 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 84 DB 75 09 83 BE B8 01 00 00 00 75 0A 8B 55 74 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 20 84 C0 74 42 83 7D 64 00 74 3C 8B 45 64 83 78 40 00 74 33 83 BD 88 00 00 00 00 7C 2A 8B DD 8B 43 64 8B 40 40 E8 ?? ?? ?? ?? 3B 83 88 00 00 00 7E 15 8B C5 8B 88 88 00 00 00 8B 40 64 8B 50 40 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73902_0 {
	meta:
		name = "TBitBtn.Create"
		size = 184
		refs = "000f @ClassCreate 001d _DV_TButtonGlyph 0022 TButtonGlyph.Create 0034 TBitBtn.GlyphChanged 003f TCustomButton.Create 0046 _Dn_TCanvas 004b TCanvas.Create 0083 TBitBtn.Create 008f TWinControl.SetDoubleBuffered 009c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D4 02 00 00 89 5E 3C C7 46 38 ?? ?? ?? ?? 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D0 02 00 00 C6 83 D8 02 00 00 00 C6 83 D9 02 00 00 00 C6 83 DA 02 00 00 00 C7 83 DC 02 00 00 04 00 00 00 C7 83 E0 02 00 00 FF FF FF FF 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 00 00 00 40 C0 00 }
	condition:
		$1
}

rule function_73903_0 {
	meta:
		name = "TBitBtn.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 0012 TCustomButton.Destroy 001d TObject.Free 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 D4 02 00 00 E8 ?? ?? ?? ?? 8B 86 D0 02 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73904_0 {
	meta:
		name = "TBitBtn.CreateHandle"
		size = 44
		refs = "0018 TWinControl.CreateHandle 0025 TButtonGlyph.CreateButtonGlyph"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 10 FF 52 68 84 C0 74 04 33 DB EB 02 B3 01 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 86 D4 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73905_0 {
	meta:
		name = "TBitBtn.CreateParams"
		size = 16
		refs = "0006 TCustomButton.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 83 4B 04 0B 5B C3 }
	condition:
		$1
}

rule function_73906_0 {
	meta:
		name = "TBitBtn.SetButtonStyle"
		size = 20
		refs = "000f TControl.Refresh"
	strings:
		$1 = { 3A 90 E4 02 00 00 74 0B 88 90 E4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73907_0 {
	meta:
		name = "TBitBtn.Click"
		size = 173
		refs = "001c GetParentForm 0025 TCustomForm.Close 002e TCustomButton.Click 0072 Application 007f TApplication.HelpContext 0093 TApplication.HelpKeyword"
	strings:
		$1 = { 53 56 8B F0 0F B6 86 D9 02 00 00 2C 03 74 26 2C 03 0F 85 8C 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 85 C0 74 07 E8 ?? ?? ?? ?? EB 7F 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B DE EB 03 8B 5B 38 85 DB 74 24 80 BB 68 01 00 00 01 75 09 83 BB 70 01 00 00 00 74 E7 80 BB 68 01 00 00 00 75 09 83 BB 6C 01 00 00 00 74 D5 85 DB 74 31 80 BB 68 01 00 00 01 75 14 A1 ?? ?? ?? ?? 8B 00 8B 93 70 01 00 00 E8 ?? ?? ?? ?? EB 25 A1 ?? ?? ?? ?? 8B 00 8B 93 6C 01 00 00 E8 ?? ?? ?? ?? EB 11 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73908_0 {
	meta:
		name = "TBitBtn.CNMeasureItem"
		size = 16
	strings:
		$1 = { 8B 52 08 8B 48 50 89 4A 0C 8B 40 54 89 42 10 C3 }
	condition:
		$1
}

rule function_73909_0 {
	meta:
		name = "TBitBtn.CNDrawItem"
		size = 9
		refs = "0004 TBitBtn.DrawItem"
	strings:
		$1 = { 8B 52 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73910_0 {
	meta:
		name = "TBitBtn.DrawItem"
		size = 1223
		refs = "0019 TBitBtn.DrawItem 002d TCanvas.SetHandle 0053 TCanvas.SetFont 008a ThemeControl 0097 TStyleManager.GetActiveStyle 00fb TWinControl.GetHandle 011e TCustomStyleServices.DrawParentBackground 0127 GetStockObject 0135 FillRect 0149 TCustomStyleServices.DrawElement 015c TCanvas.GetHandle 0169 TCustomStyleServices.GetElementContentRect 01bf TControl.GetText 01e9 TControl.DrawTextBiDiModeFlags 01f7 WordBreakFlag 020c TButtonGlyph.Draw 0224 TCustomStyleServices.GetIsSystemStyle 023f TPen.SetColor 0252 TBrush.SetColor 0267 DrawFocusRect 02c9 TPen.SetWidth 02d9 TBrush.SetStyle 02ff InflateRect 0379 DrawFrameControl 03ba OffsetRect 04b4 @UStrArrayClr 04ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 C9 89 4D 9C 89 4D A0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 56 18 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 8D 55 C0 8B C3 8B 08 FF 51 60 8B 56 18 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 8B 53 6C 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 8B 46 10 A8 01 0F 95 45 FF A8 10 0F 95 45 FE 8B C3 8B 10 FF 52 68 84 C0 75 06 C6 45 FD 01 EB 10 80 7D FF 00 74 06 C6 45 FD 02 EB 04 C6 45 FD 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 DA 01 00 00 E8 ?? ?? ?? ?? 89 45 E8 8B C3 8B 10 FF 52 68 84 C0 75 06 C6 45 F7 05 EB 31 80 7D FF 00 74 06 C6 45 F7 04 EB 25 80 BB E6 02 00 00 00 74 06 C6 45 F7 03 EB 16 0F B6 83 E4 02 00 00 0A 45 FE 74 06 C6 45 F7 06 EB 04 C6 45 F7 02 0F B6 55 F7 8D 4D B4 8B 45 E8 8B 38 FF 57 58 F6 43 5D 80 75 2F 8B 7D E8 8B C3 E8 ?? ?? ?? ?? 8B 56 18 C6 45 E7 01 33 C9 89 4D E0 8D 4D B4 51 0F B6 4D E7 51 8B 4D E0 51 8B CA 8B D7 92 E8 ?? ?? ?? ?? EB 15 6A 04 E8 ?? ?? ?? ?? 50 8D 45 C0 50 8B 46 18 50 E8 ?? ?? ?? ?? 8D 46 1C 50 6A 00 8B 56 18 8D 4D B4 8B 45 E8 E8 ?? ?? ?? ?? 8D 46 1C 50 8D 45 C0 50 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4D B4 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 89 45 D8 33 C0 89 45 DC 8B 45 D8 89 45 EC 8B 45 DC 89 45 F0 F6 43 5D 80 0F 95 C2 8B 83 D4 02 00 00 88 50 21 8B 55 B4 89 50 24 8B 55 B8 89 50 28 8B 55 BC 89 50 2C 8B C3 E8 ?? ?? ?? ?? 8B B3 D4 02 00 00 88 46 30 8D 45 EC 50 8D 55 A0 8B C3 E8 ?? ?? ?? ?? 8B 45 A0 50 0F B6 83 DA 02 00 00 50 8B 83 E0 02 00 00 50 8B 83 DC 02 00 00 50 0F B6 45 FD 50 6A 00 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B6 93 79 02 00 00 0B 04 95 ?? ?? ?? ?? 50 8D 45 A4 50 8D 4D C0 8B 93 D0 02 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 83 E4 02 00 00 22 45 FE 0F 84 71 02 00 00 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 84 61 02 00 00 8B 83 D0 02 00 00 8B 40 44 BA 06 00 00 FF E8 ?? ?? ?? ?? 8B 83 D0 02 00 00 8B 40 48 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8D 45 C0 50 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 21 02 00 00 8D 55 C0 8B C3 8B 08 FF 51 60 C7 45 F8 10 20 00 00 80 7D FF 00 74 07 81 4D F8 00 02 00 00 F6 46 10 04 74 07 81 4D F8 00 01 00 00 0F B6 83 E4 02 00 00 0A 45 FE 74 5C 8B 83 D0 02 00 00 8B 40 44 BA 06 00 00 FF E8 ?? ?? ?? ?? 8B 83 D0 02 00 00 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 83 D0 02 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 45 CC 50 8B 4D C4 8B 55 C0 8B 83 D0 02 00 00 8B 38 FF 57 7C 6A FF 6A FF 8D 45 C0 50 E8 ?? ?? ?? ?? 80 7D FF 00 74 61 8B 83 D0 02 00 00 8B 40 44 BA 10 00 00 FF E8 ?? ?? ?? ?? 8B 83 D0 02 00 00 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 83 D0 02 00 00 8B 40 48 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B 45 C8 50 8B 45 CC 50 8B 4D C4 8B 55 C0 8B 83 D0 02 00 00 8B 30 FF 56 7C 6A FF 6A FF 8D 45 C0 50 E8 ?? ?? ?? ?? EB 13 8B 45 F8 50 6A 04 8D 45 C0 50 8B 46 18 50 E8 ?? ?? ?? ?? 80 BB E4 02 00 00 00 74 17 8D 55 C0 8B C3 8B 08 FF 51 60 6A FF 6A FF 8D 45 C0 50 E8 ?? ?? ?? ?? 8B 53 6C 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 80 7D FF 00 74 0D 6A 01 6A 01 8D 45 C0 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B B3 D4 02 00 00 88 46 30 33 C0 89 45 D0 33 C0 89 45 D4 8D 45 D0 50 8D 55 9C 8B C3 E8 ?? ?? ?? ?? 8B 45 9C 50 0F B6 83 DA 02 00 00 50 8B 83 E0 02 00 00 50 8B 83 DC 02 00 00 50 0F B6 45 FD 50 6A 00 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B6 93 79 02 00 00 0B 04 95 ?? ?? ?? ?? 50 8D 45 A4 50 8D 4D C0 8B 93 D0 02 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 83 E4 02 00 00 22 45 FE 74 52 8D 55 C0 8B C3 8B 08 FF 51 60 6A FC 6A FC 8D 45 C0 50 E8 ?? ?? ?? ?? 8B 83 D0 02 00 00 8B 40 44 BA 06 00 00 FF E8 ?? ?? ?? ?? 8B 83 D0 02 00 00 8B 40 48 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8D 45 C0 50 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73913_0 {
	meta:
		name = "TBitBtn.WMLButtonDblClk"
		size = 30
		refs = "0018 TControl.Perform"
	strings:
		$1 = { 53 0F B7 4A 08 0F B7 5A 0A C1 EB 10 0B CB 51 8B 4A 04 BA 01 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_73915_0 {
	meta:
		name = "TBitBtn.SetGlyph"
		size = 33
		refs = "000a TButtonGlyph.SetGlyph"
	strings:
		$1 = { 56 8B F0 8B 86 D4 02 00 00 E8 ?? ?? ?? ?? C6 86 E5 02 00 00 01 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_73916_0 {
	meta:
		name = "TBitBtn.GetGlyph"
		size = 10
	strings:
		$1 = { 8B 80 D4 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_73919_0 {
	meta:
		name = "TBitBtn.IsCustom"
		size = 57
		refs = "000a TBitBtn.GetKind 0027 TBitBtnActionLink.IsGlyphLinked"
	strings:
		$1 = { 53 56 8B F0 8B 5E 70 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1D 85 DB 74 1E 8B C3 8B 10 FF 52 3C 84 C0 74 13 8B 53 24 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_73920_0 {
	meta:
		name = "TBitBtn.SetStyle"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 D8 02 00 00 74 10 88 96 D8 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_73921_0 {
	meta:
		name = "TBitBtn.SetKind"
		size = 267
		refs = "0012 TBitBtn.SetKind 0043 TCustomButton.SetDefault 0069 TControl.GetText 007f BitBtnCaptions 008d LoadResString 0097 TControl.SetText 00a1 BitBtnModalResults 00ae GetBitBtnGlyph 00bb TButtonGlyph.SetGlyph 00c4 TBitBtn.SetNumGlyphs 00f0 @UStrClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E D9 02 00 00 0F 84 B7 00 00 00 84 DB 0F 84 9F 00 00 00 8B C3 2C 01 74 08 2C 03 74 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? 8B C3 2C 02 74 08 2C 03 74 04 33 C0 EB 02 B0 01 88 86 81 02 00 00 F6 46 1C 01 74 10 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 06 F6 46 1C 01 75 22 0F B6 C3 8B 3C 85 ?? ?? ?? ?? 85 FF 74 14 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 0F B6 C3 8B 04 85 ?? ?? ?? ?? 89 86 B4 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 86 D4 02 00 00 E8 ?? ?? ?? ?? B2 02 8B C6 E8 ?? ?? ?? ?? C6 86 E5 02 00 00 00 88 9E D9 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_73922_0 {
	meta:
		name = "TBitBtn.IsCustomCaption"
		size = 120
		refs = "000e TBitBtn.IsCustomCaption 0025 BitBtnCaptions 002a LoadResString 0038 TControl.GetText 0041 AnsiCompareStr 005d @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 0F B6 83 D9 02 00 00 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 5A E8 ?? ?? ?? ?? 85 C0 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_73923_0 {
	meta:
		name = "TBitBtn.GetKind"
		size = 110
		refs = "004a BitBtnModalResults"
	strings:
		$1 = { 80 B8 D9 02 00 00 00 74 5D 0F B6 90 D9 02 00 00 8B CA 80 E9 01 74 09 80 E9 03 74 04 33 C9 EB 02 B1 01 32 88 88 02 00 00 75 35 8B CA 80 E9 02 74 09 80 E9 03 74 04 33 C9 EB 02 B1 01 32 88 81 02 00 00 75 1B 83 E2 7F 8B 14 95 ?? ?? ?? ?? 3B 90 B4 02 00 00 75 09 80 B8 E5 02 00 00 00 74 07 C6 80 D9 02 00 00 00 0F B6 80 D9 02 00 00 C3 }
	condition:
		$1
}

rule function_73924_0 {
	meta:
		name = "TBitBtn.SetLayout"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 DA 02 00 00 74 10 88 96 DA 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_73925_0 {
	meta:
		name = "TBitBtn.GetNumGlyphs"
		size = 11
	strings:
		$1 = { 8B 80 D4 02 00 00 0F B6 40 20 C3 }
	condition:
		$1
}

rule function_73926_0 {
	meta:
		name = "TBitBtn.SetNumGlyphs"
		size = 46
		refs = "001e TButtonGlyph.SetNumGlyphs"
	strings:
		$1 = { 56 8B F0 84 D2 73 04 B2 01 EB 07 80 FA 04 76 02 B2 04 8B 86 D4 02 00 00 3A 50 20 74 0F E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_73927_0 {
	meta:
		name = "TBitBtn.SetSpacing"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 DC 02 00 00 74 10 89 96 DC 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_73928_0 {
	meta:
		name = "TBitBtn.SetMargin"
		size = 34
	strings:
		$1 = { 56 8B F0 3B 96 E0 02 00 00 74 15 83 FA FF 7C 10 89 96 E0 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_73930_0 {
	meta:
		name = "TBitBtn.ActionChange"
		size = 220
		refs = "0011 TCustomButton.ActionChange 0019 _Dn_TCustomAction 001e @IsClass 0037 TBitBtnActionLink.IsGlyphLinked 0042 TBitBtn.GetGlyph 0081 TBitBtn.SetGlyph 00b6 TCustomImageList.GetCount 00d3 TBitBtn.CopyImage"
	strings:
		$1 = { 53 56 57 55 8B D9 8B EA 8B F0 8B CB 8B D5 8B C6 E8 ?? ?? ?? ?? 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 AD 00 00 00 8B 7E 70 84 DB 74 22 8B 57 24 8B C7 E8 ?? ?? ?? ?? 84 C0 75 14 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 20 84 C0 0F 84 84 00 00 00 84 DB 75 11 83 7F 24 FF 75 0B 8B 47 24 3B 85 88 00 00 00 74 1D 8B C5 8B 90 88 00 00 00 89 57 24 83 B8 88 00 00 00 FF 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 20 84 C0 74 42 83 7D 64 00 74 3C 8B 45 64 83 78 40 00 74 33 83 BD 88 00 00 00 00 7C 2A 8B DD 8B 43 64 8B 40 40 E8 ?? ?? ?? ?? 3B 83 88 00 00 00 7E 15 8B C5 8B 88 88 00 00 00 8B 40 64 8B 50 40 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73931_0 {
	meta:
		name = "DestroyLocals"
		size = 26
		refs = "0005 BitBtnGlyphs 000c TObject.Free"
	strings:
		$1 = { 53 56 B3 0B BE ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 83 C6 04 FE CB 75 F2 5E 5B C3 }
	condition:
		$1
}

rule function_73932_0 {
	meta:
		name = "TBitBtn.CMMouseEnter"
		size = 66
		refs = "0006 TControl.CMMouseEnter 000b TStyleManager.GetActiveStyle"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0B 0F B6 86 E6 02 00 00 34 01 EB 02 33 C0 84 C0 74 17 F6 46 1C 10 75 11 C6 86 E6 02 00 00 01 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_73933_0 {
	meta:
		name = "TBitBtn.CMMouseLeave"
		size = 52
		refs = "0006 TControl.CMMouseLeave 000b TStyleManager.GetActiveStyle"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1A 80 BE E6 02 00 00 00 74 11 C6 86 E6 02 00 00 00 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_73939_0 {
	meta:
		name = "TBitBtnActionLink.SetImageIndex"
		size = 163
		refs = "0016 TBitBtn.GetGlyph 002a _Dn_TCustomAction 002f @IsClass 004f TCustomImageList.GetCount 005d TBitBtnActionLink.IsGlyphLinked 0082 TBitBtn.CopyImage 008e TBitBtn.SetGlyph 009b TBitBtn.GlyphChanged"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 8B 10 FF 52 3C 84 C0 75 11 8B 43 20 E8 ?? ?? ?? ?? 8B 10 FF 52 20 84 C0 74 7C 8B 73 10 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5B 8B 46 64 85 C0 74 54 83 78 40 00 74 4E 85 FF 7C 40 8B 46 64 8B 40 40 E8 ?? ?? ?? ?? 3B F8 7D 31 8B 53 24 8B C3 E8 ?? ?? ?? ?? 84 C0 75 11 8B 43 20 E8 ?? ?? ?? ?? 8B 10 FF 52 20 84 C0 74 1C 8B 46 64 8B 50 40 8B CF 8B 43 20 E8 ?? ?? ?? ?? EB 0A 33 D2 8B 43 20 E8 ?? ?? ?? ?? 89 7B 24 33 D2 8B 43 20 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73941_0 {
	meta:
		name = "Vcl.Buttons"
		size = 37
		refs = "0002 _DV_5 000a _Nn__479 000f @InitImports 0014 BitBtnGlyphs 0020 @FillChar"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1B B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 33 C9 BA 2C 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73942_0 {
	meta:
		name = "GetThemeColor"
		size = 77
		refs = "0013 TStyleManager.GetActiveStyle 002d TCustomStyleServices.GetElementColor"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F0 8D 3C 24 A5 A5 A5 8B F1 8B DA E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 13 56 E8 ?? ?? ?? ?? 8B CB 8D 54 24 04 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0B 81 3E FF FF FF 1F 0F 95 C0 EB 02 33 C0 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73943_0 {
	meta:
		name = "TCaptionedDockTree.AdjustDockRect"
		size = 28
	strings:
		$1 = { 80 B8 84 00 00 00 00 75 0A 8B 80 80 00 00 00 01 41 04 C3 8B 80 80 00 00 00 01 01 C3 }
	condition:
		$1
}

rule function_73944_0 {
	meta:
		name = "TCaptionedDockTree.Create"
		size = 86
		refs = "000a @ClassCreate 0017 TDockTree.Create 0043 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 80 00 00 00 17 00 00 00 8B 06 FF 50 54 0F B6 8E 84 00 00 00 B2 01 FF 50 08 89 86 88 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_73945_0 {
	meta:
		name = "TCaptionedDockTree.Create"
		size = 74
		refs = "000e @ClassCreate 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 0F B6 45 08 88 83 84 00 00 00 33 D2 8B C3 8B 30 FF 56 44 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_73946_0 {
	meta:
		name = "TCaptionedDockTree.GetParentFormState"
		size = 298
		refs = "0010 TCaptionedDockTree.GetParentFormState 001e _Dn_TCustomForm 0023 @IsClass 0031 TControl.GetText 003b @UStrAsg 0040 Screen 005b @CallDynaInst 0070 TWinControl.ContainsControl 0085 _Dn_TForm 00a7 @UStrClr 00cc GetHighLightColor 00e7 GetShadowColor 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 79 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 83 78 64 00 74 2C A1 ?? ?? ?? ?? 8B 00 8B 40 64 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 74 15 A1 ?? ?? ?? ?? 8B 00 8B 50 64 8B C7 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 43 10 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B 87 B4 02 00 00 89 43 14 EB 17 33 C0 89 43 14 EB 10 8B C3 E8 ?? ?? ?? ?? C6 43 10 00 33 C0 89 43 14 80 7B 10 00 74 22 C7 43 04 0A 00 00 FF BA 16 00 00 00 B8 0A 00 00 FF E8 ?? ?? ?? ?? 89 43 08 C7 43 0C 09 00 00 FF EB 2B BA E7 FF FF FF B8 0F 00 00 FF E8 ?? ?? ?? ?? 89 43 04 BA 0F 00 00 00 B8 0F 00 00 FF E8 ?? ?? ?? ?? 89 43 08 C7 43 0C 12 00 00 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73947_0 {
	meta:
		name = "TCaptionedDockTree.InvalidateDockSite"
		size = 92
		refs = "000a GetParentForm 004c TWinControl.GetHandle 0052 InvalidateRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B C2 33 D2 E8 ?? ?? ?? ?? 85 C0 74 44 83 B8 98 00 00 00 00 74 3B 8B 98 98 00 00 00 80 BB F3 01 00 00 00 74 2C 83 BB D0 01 00 00 00 74 23 8B CC 8B D0 8B 83 D0 01 00 00 8B 30 FF 56 14 6A 00 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_73948_0 {
	meta:
		name = "TCaptionedDockTree.AdjustCaptionRect"
		size = 65
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B FB A5 A5 A5 A5 80 B8 84 00 00 00 00 75 15 FF 03 8B 53 04 03 90 80 00 00 00 4A 89 53 0C 83 6B 08 02 EB 12 8B 13 03 90 80 00 00 00 4A 89 53 08 FF 03 83 6B 0C 03 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73949_0 {
	meta:
		name = "TCaptionedDockTree.PaintDockFrame"
		size = 130
		refs = "0021 TCaptionedDockTree.PaintDockFrame 0068 TParentFormState 006d @FinalizeRecord 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E4 8B 55 FC 8B 03 FF 50 50 8D 45 E4 50 8D 4D D4 8B 55 08 8B C3 8B 38 FF 57 4C 8D 4D D4 8B D6 8B 83 88 00 00 00 8B 18 FF 13 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_73950_0 {
	meta:
		name = "TCaptionedDockTree.WndProc"
		size = 41
		refs = "0017 TCaptionedDockTree.InvalidateDockSite 001e TDockTree.WndProc"
	strings:
		$1 = { 81 3A 42 B0 00 00 75 1B 8B 4A 08 81 39 46 B0 00 00 75 0A 8B 51 04 E8 ?? ?? ?? ?? EB 0B E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_73951_0 {
	meta:
		name = "TCaptionedDockTree.InternalCaptionHitTest"
		size = 85
		refs = "0013 TControl.GetBoundsRect"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F9 8B F2 8B D8 8B D4 8B 46 04 E8 ?? ?? ?? ?? 8B CC 8B 56 04 8B C3 8B 28 FF 55 00 8B CC 8B 56 04 8B C3 8B 30 FF 56 04 8D 4C 24 10 8B D4 8B C3 8B 30 FF 56 4C 8B CF 8D 54 24 10 8B 83 88 00 00 00 8B 18 FF 53 04 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73952_0 {
	meta:
		name = "TCaptionedDockTree.ZoneCaptionHitTest"
		size = 54
		refs = "0004 TCaptionedDockTree.InternalCaptionHitTest"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 85 C0 75 04 33 D2 EB 20 B2 01 83 F8 02 75 0B 8B 45 08 C7 00 14 00 00 00 EB 0E 83 F8 01 75 09 8B 45 08 C7 00 02 00 00 00 8B C2 5D C2 04 00 }
	condition:
		$1
}

rule function_73955_0 {
	meta:
		name = "TDockCaptionDrawer.CalcButtonSize"
		size = 25
	strings:
		$1 = { 80 78 04 00 75 0A 8B 42 0C 2B 42 04 83 E8 08 C3 8B 42 08 2B 02 83 E8 08 C3 }
	condition:
		$1
}

rule function_73956_0 {
	meta:
		name = "TDockCaptionDrawer.Create"
		size = 67
		refs = "000e @ClassCreate 001e TObject.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 04 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73957_0 {
	meta:
		name = "TDockCaptionDrawer.DockCaptionHitTest"
		size = 222
		refs = "0011 PtInRect 0024 TDockCaptionDrawer.GetCloseRect 007b TDockCaptionDrawer.GetPinRect"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F9 8B DA 8B F0 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 B8 00 00 00 8B CC 8B D3 8B C6 E8 ?? ?? ?? ?? 80 7E 04 00 75 14 8B 43 04 89 44 24 04 8B 43 0C 89 44 24 0C FF 44 24 08 EB 10 8B 03 89 04 24 8B 43 08 89 44 24 08 FF 44 24 0C 8B D7 8B C4 E8 ?? ?? ?? ?? 84 C0 74 07 B8 02 00 00 00 EB 71 80 7E 05 00 74 62 80 7E 04 00 75 21 8D 4C 24 10 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 43 04 89 44 24 14 8B 43 0C 89 44 24 1C FF 44 24 18 EB 1E 8D 4C 24 10 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 03 89 44 24 10 8B 43 08 89 44 24 18 FF 44 24 1C 8B D7 8D 44 24 10 E8 ?? ?? ?? ?? 84 C0 74 07 B8 03 00 00 00 EB 10 B8 01 00 00 00 EB 09 B8 01 00 00 00 EB 02 33 C0 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73958_0 {
	meta:
		name = "PaintCloseX"
		size = 815
		refs = "0027 TStyleManager.GetActiveStyle 0048 TCustomStyleServices.GetElementColor 0074 GetShadowColor 008e TPen.SetColor 009e TPen.SetStyle 00b1 TPen.SetWidth 02ff TBrush.SetColor"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F2 8B D8 8B 45 08 8B 50 F0 89 55 F0 8B 50 F4 89 55 F4 8B 50 F8 89 55 F8 C6 45 FF 07 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1A 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D FF 8D 55 F0 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0F 8B 45 08 81 78 FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 75 15 BA 88 FF FF FF B8 0F 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 42 FC 8B 45 08 8B 50 FC 8B 45 08 8B 40 EC 8B 40 44 E8 ?? ?? ?? ?? 8B 45 08 8B 40 EC 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 40 EC 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 0E 8D 13 8B 45 08 8B 40 EC 8B 38 FF 57 64 8D 4E 01 8D 13 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 02 8D 53 01 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 03 8D 53 02 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 04 8D 53 01 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 05 8D 13 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 07 8D 13 8B 45 08 8B 40 EC 8B 38 FF 57 60 8B CE 49 8D 53 01 8B 45 08 8B 40 EC 8B 38 FF 57 64 8B CE 49 8D 53 02 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 0E 8D 53 03 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 01 8D 53 04 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 0E 8D 53 05 8B 45 08 8B 40 EC 8B 38 FF 57 60 8B CE 49 8D 53 06 8B 45 08 8B 40 EC 8B 38 FF 57 60 8B CE 49 8D 53 08 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 0E 8D 53 08 8B 45 08 8B 40 EC 8B 38 FF 57 64 8D 4E 01 8D 53 08 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 02 8D 53 07 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 03 8D 53 06 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 04 8D 53 07 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 05 8D 53 08 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 07 8D 53 08 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 07 8D 53 01 8B 45 08 8B 40 EC 8B 38 FF 57 64 8D 4E 07 8D 53 02 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 06 8D 53 03 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 05 8D 53 04 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 06 8D 53 05 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 07 8D 53 06 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 07 8D 53 08 8B 45 08 8B 40 EC 8B 38 FF 57 60 8B 45 08 8B 50 F0 89 55 E4 8B 50 F4 89 55 E8 8B 50 F8 89 55 EC C6 45 FE 04 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1A 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D FE 8D 55 E4 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0F 8B 45 08 81 78 FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 75 0A 8B 45 08 C7 40 FC 14 00 00 FF 8B 45 08 8B 50 FC 8B 45 08 8B 40 EC 8B 40 48 E8 ?? ?? ?? ?? 8D 4E 01 8D 53 03 8B 45 08 8B 40 EC 8B 38 FF 57 18 50 6A 00 8D 4E 01 8D 53 03 8B 45 08 8B 40 EC 8B 18 FF 53 58 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73959_0 {
	meta:
		name = "PaintPin"
		size = 890
		refs = "0023 TPen.SetColor 0033 TPen.SetStyle 0046 TPen.SetWidth 0062 TStyleManager.GetActiveStyle 0081 TCustomStyleServices.GetElementColor 00ad GetShadowColor 01fe TBrush.SetColor 0214 Rect"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 8B F2 8B F8 8B 45 08 8B 40 EC 8B 40 40 8B 50 18 8B 45 08 8B 40 EC 8B 40 44 E8 ?? ?? ?? ?? 8B 45 08 8B 40 EC 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 40 EC 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 50 F0 89 55 F0 8B 50 F4 89 55 F4 8B 50 F8 89 55 F8 B3 07 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 18 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 8B CB 8D 55 F0 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0F 8B 45 08 81 78 FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 75 15 BA 88 FF FF FF B8 0F 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 42 FC 8B 45 08 8B 50 FC 8B 45 08 8B 40 EC 8B 40 44 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E8 80 78 05 02 0F 85 50 01 00 00 46 8B DF 8D 4E 04 8D 53 01 8B 45 08 8B 40 EC 8B 38 FF 57 64 8D 53 01 8B 45 08 8B 40 EC 8B CE 8B 38 FF 57 60 8D 53 05 8B 45 08 8B 40 EC 8B CE 8B 38 FF 57 60 8D 4E 05 8D 53 05 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 05 8B 45 08 8B 40 EC 8B D3 8B 38 FF 57 64 8D 4E 05 8D 53 07 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 01 8D 53 04 8B 45 08 8B 40 EC 8B 38 FF 57 64 8D 4E 05 8D 53 04 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 06 8D 53 03 8B 45 08 8B 40 EC 8B 38 FF 57 64 8D 4E 06 83 C1 04 8D 53 03 8B 45 08 8B 40 EC 8B 38 FF 57 60 8B 45 08 8B 50 F0 89 55 E4 8B 50 F4 89 55 E8 8B 50 F8 89 55 EC C6 45 FF 04 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1A 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D FF 8D 55 E4 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0F 8B 45 08 81 78 FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 75 0A 8B 45 08 C7 40 FC 14 00 00 FF 8B 45 08 8B 50 FC 8B 45 08 8B 40 EC 8B 40 48 E8 ?? ?? ?? ?? 8D 46 05 50 8D 45 C8 50 8D 4B 04 8D 56 01 8D 43 02 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 08 8B 40 EC 8B 08 FF 51 54 E9 48 01 00 00 8B DF 8D 4E 01 8D 53 04 8B 45 08 8B 40 EC 8B 38 FF 57 64 8D 4E 01 8D 53 09 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 05 8D 53 09 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 05 8D 53 03 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 53 03 8B 45 08 8B 40 EC 8B CE 8B 38 FF 57 64 8D 4E 07 8D 53 03 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 04 8D 53 04 8B 45 08 8B 40 EC 8B 38 FF 57 64 8D 4E 04 8D 53 09 8B 45 08 8B 40 EC 8B 38 FF 57 60 8D 4E 03 8B 45 08 8B 40 EC 8B D3 8B 38 FF 57 64 8D 4E 03 8D 53 03 8B 45 08 8B 40 EC 8B 38 FF 57 60 8B 45 08 8B 50 F0 89 55 D8 8B 50 F4 89 55 DC 8B 50 F8 89 55 E0 C6 45 FE 04 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1A 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D FE 8D 55 D8 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0F 8B 45 08 81 78 FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 75 0A 8B 45 08 C7 40 FC 14 00 00 FF 8B 45 08 8B 50 FC 8B 45 08 8B 40 EC 8B 40 48 E8 ?? ?? ?? ?? 8D 46 04 50 8D 45 C8 50 8D 4B 09 8D 56 02 8D 43 04 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 08 8B 40 EC 8B 08 FF 51 54 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73960_0 {
	meta:
		name = "PaintOutline"
		size = 850
		refs = "002b TStyleManager.GetActiveStyle 004c TCustomStyleServices.GetElementColor 0078 GetShadowColor 008e TPen.SetColor 0104 TBrush.SetColor 011d Rect"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 8B D8 8B 75 08 83 C6 EC 8B 45 08 8B 50 F0 89 55 F0 8B 50 F4 89 55 F4 8B 50 F8 89 55 F8 C6 45 FF 06 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1A 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D FF 8D 55 F0 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0F 8B 45 08 81 78 FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 75 15 BA B5 FF FF FF B8 0F 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 42 FC 8B 45 08 8B 50 FC 8B 06 8B 40 44 E8 ?? ?? ?? ?? 8B 45 08 8B 50 F0 89 55 E4 8B 50 F4 89 55 E8 8B 50 F8 89 55 EC C6 45 FE 01 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1A 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D FE 8D 55 E4 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0F 8B 45 08 81 78 FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 75 0A 8B 45 08 C7 40 FC 0F 00 00 FF 8B 45 08 8B 50 FC 8B 06 8B 40 48 E8 ?? ?? ?? ?? 8B 43 0C 48 50 8D 45 C8 50 8B 4B 08 49 8B 53 04 42 8B 03 40 E8 ?? ?? ?? ?? 8D 55 C8 8B 06 8B 08 FF 51 54 8B 06 8B 40 44 8B 40 10 8B 40 18 50 8B 4B 04 41 8B 13 42 8B 06 8B 38 FF 57 20 8B 4B 04 8B 13 83 C2 02 8B 06 8B 38 FF 57 64 8B 4B 04 8B 53 08 83 EA 02 8B 06 8B 38 FF 57 60 8B 06 8B 40 44 8B 40 10 8B 40 18 50 8B 4B 04 41 8B 53 08 83 EA 02 8B 06 8B 38 FF 57 20 8B 4B 04 83 C1 02 8B 53 08 4A 8B 06 8B 38 FF 57 64 8B 4B 0C 83 E9 02 8B 53 08 4A 8B 06 8B 38 FF 57 60 8B 06 8B 40 44 8B 40 10 8B 40 18 50 8B 4B 0C 83 E9 02 8B 53 08 83 EA 02 8B 06 8B 38 FF 57 20 8B 4B 0C 49 8B 13 83 C2 02 8B 06 8B 38 FF 57 64 8B 4B 0C 49 8B 53 08 83 EA 02 8B 06 8B 38 FF 57 60 8B 06 8B 40 44 8B 40 10 8B 40 18 50 8B 4B 0C 83 E9 02 8B 13 42 8B 06 8B 38 FF 57 20 8B 4B 04 83 C1 02 8B 13 8B 06 8B 38 FF 57 64 8B 4B 0C 83 E9 02 8B 13 8B 06 8B 38 FF 57 60 8B 45 08 8B 50 F0 89 55 D8 8B 50 F4 89 55 DC 8B 50 F8 89 55 E0 C6 45 FD 05 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1A 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D FD 8D 55 D8 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0F 8B 45 08 81 78 FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 75 15 BA E7 FF FF FF B8 0F 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 42 FC 8B 45 08 8B 50 FC 8B 06 8B 40 44 E8 ?? ?? ?? ?? 8B 4B 04 41 8B 53 08 83 EA 04 8B 06 8B 38 FF 57 64 8B 4B 04 41 8B 53 08 83 EA 03 8B 06 8B 38 FF 57 60 8B 4B 04 83 C1 02 8B 53 08 83 EA 03 8B 06 8B 38 FF 57 60 8B 4B 04 83 C1 02 8B 53 08 83 EA 02 8B 06 8B 38 FF 57 60 8B 4B 0C 83 E9 03 8B 53 08 83 EA 02 8B 06 8B 38 FF 57 60 8B 4B 0C 83 E9 03 8B 53 08 83 EA 03 8B 06 8B 38 FF 57 60 8B 4B 0C 83 E9 02 8B 53 08 83 EA 03 8B 06 8B 38 FF 57 60 8B 4B 0C 83 E9 02 8B 13 42 8B 06 8B 38 FF 57 60 8B 06 8B 40 44 8B 40 10 8B 40 18 50 8B 4B 0C 83 E9 03 8B 13 42 8B 06 8B 18 FF 53 20 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73961_0 {
	meta:
		name = "DrawCloseButton"
		size = 128
		refs = "0066 PaintOutline 0074 PaintCloseX"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B 10 8B CA 49 89 4D F0 8B 48 04 8B D9 4B 89 5D F4 8B 58 08 83 C3 02 89 5D F8 8B 58 0C 83 C3 02 89 5D FC 8B DA 83 C3 02 8B F1 83 C6 03 8D 4D E4 8B 45 08 8B 40 E4 B2 09 8B 38 FF 97 B0 00 00 00 8B 45 08 8B 55 E4 89 50 F0 8B 55 E8 89 50 F4 8B 55 EC 89 50 F8 8B 45 08 50 8D 45 F0 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73962_0 {
	meta:
		name = "DrawPinButton"
		size = 147
		refs = "0079 PaintOutline 0087 PaintPin"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B 10 8B CA 49 89 4D F0 8B 48 04 8B D9 4B 89 5D F4 8B 58 08 89 5D F8 8B 58 0C 83 C3 02 89 5D FC 8B 5D 08 8B 5B E8 80 7B 05 01 75 0C 8B DA 83 C3 02 8B F1 83 C6 03 EB 08 8B DA 83 C3 03 8B F1 46 8D 4D E4 8B 45 08 8B 40 E4 B2 08 8B 38 FF 97 B0 00 00 00 8B 45 08 8B 55 E4 89 50 F0 8B 55 E8 89 50 F4 8B 55 EC 89 50 F8 8B 45 08 50 8D 45 F0 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73964_0 {
	meta:
		name = "DrawIcon"
		size = 534
		refs = "001a TIcon.HandleAllocated 0078 _Dn_TBitmap 007d TBitmap.Create 0088 DrawIcon 00bb TBitmap.GetCanvas 00c8 TBrush.SetColor 00e8 Rect 0173 ScaleImage 0197 TBitmap.SetTransparentColor 01c9 TObject.Free 01d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 45 08 8B 58 E0 85 DB 0F 84 F8 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 E9 01 00 00 8B 45 08 8B 40 E8 80 78 04 00 75 21 8B 55 08 8B 52 C8 8B 45 08 8B 40 C0 2B D0 83 EA 03 89 55 F4 8B 55 08 8B 5A BC 8B F0 83 C6 02 EB 1D 8B 55 08 8B 52 C4 8B 45 08 8B 40 BC 2B D0 83 EA 03 89 55 F4 8B D8 43 8B 45 08 8B 70 C0 33 C0 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 55 F4 8B 45 F8 8B 08 FF 51 44 8B 55 F4 8B 45 F8 8B 08 FF 51 38 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 48 BA FF 00 FF 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 24 50 8D 45 E4 50 8B 45 F8 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 F8 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 8B 45 08 8B 40 E0 8B 10 FF 52 30 8B D0 8B 45 FC 8B 08 FF 51 44 8B 45 08 8B 40 E0 8B 10 FF 52 24 8B D0 8B 45 FC 8B 08 FF 51 38 8B 45 08 8B 40 E0 50 8B 45 FC E8 ?? ?? ?? ?? 33 C9 33 D2 8B 38 FF 57 44 8B 45 F8 8B 10 FF 52 30 89 45 E0 DB 45 E0 DB 7D D4 9B 8B 45 FC 8B 10 FF 52 30 89 45 D0 DB 45 D0 DB 6D D4 DE F1 83 C4 F8 DD 1C 24 9B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 24 48 50 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 59 8B 38 FF 57 18 8B D0 8B 45 F8 E8 ?? ?? ?? ?? B2 01 8B 45 F8 8B 08 FF 51 40 8B 45 F8 50 8B 45 08 8B 40 EC 8B CE 8B D3 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 08 8B 40 E8 80 78 04 00 75 14 8B 45 08 8B 40 BC 83 C0 06 03 45 F4 8B 55 08 89 42 BC EB 12 8B 45 08 8B 40 C0 83 C0 06 03 45 F4 8B 55 08 89 42 C0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73965_0 {
	meta:
		name = "TDockCaptionDrawer.DrawDockCaption"
		size = 1644
		refs = "002f TParentFormState 0034 @AddRefRecord 003f TDockCaptionDrawer.DrawDockCaption 004a TStyleManager.GetActiveStyle 0058 CHorzStates 00a7 TCustomStyleServices.GetElementColor 00d5 TFont.SetColor 00e5 TPen.SetWidth 0154 TPen.SetColor 01e3 TBrush.SetColor 01fd Rect 0221 GetShadowColor 0372 TDockCaptionDrawer.GetCloseRect 038b TDockCaptionDrawer.GetPinRect 03a6 DrawPinButton 03ca DrawIcon 0406 CVertStates 04f7 TFont.SetOrientation 0568 TCustomCanvas.TextWidth 058b TBrush.SetStyle 05bc TFont.SetStyle 0630 DrawCloseButton 064c @FinalizeRecord 0652 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 C4 FE FF FF 53 56 57 8B 75 08 8D 7D CC 51 B9 06 00 00 00 F3 A5 59 8B F1 8D 7D BC A5 A5 A5 A5 89 55 EC 89 45 E8 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 75 BC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 89 45 E4 0F B6 45 DC 0F B6 90 ?? ?? ?? ?? 8D 4D F0 8B 45 E4 8B 18 FF 93 B0 00 00 00 8B 45 F0 89 85 40 FF FF FF 8B 45 F4 89 85 44 FF FF FF 8B 45 F8 89 85 48 FF FF FF B3 02 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 18 8D 45 FC 50 E8 ?? ?? ?? ?? 8B CB 8D 95 40 FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0C 81 7D FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 75 06 8B 45 D8 89 45 FC 8B 45 EC 8B 40 40 8B 55 FC E8 ?? ?? ?? ?? 8B 45 EC 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 89 85 34 FF FF FF 8B 45 F4 89 85 38 FF FF FF 8B 45 F8 89 85 3C FF FF FF 33 DB E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 18 8D 45 FC 50 E8 ?? ?? ?? ?? 8B CB 8D 95 34 FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0C 81 7D FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 75 06 8B 45 D0 89 45 FC 8B 45 EC 8B 40 44 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E8 80 78 04 00 0F 85 7B 02 00 00 FF 46 04 8B 45 F0 89 85 28 FF FF FF 8B 45 F4 89 85 2C FF FF FF 8B 45 F8 89 85 30 FF FF FF B3 01 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 18 8D 45 FC 50 E8 ?? ?? ?? ?? 8B CB 8D 95 28 FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0C 81 7D FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 75 16 80 7D DC 00 74 09 C7 45 FC 02 00 00 FF EB 07 C7 45 FC 0F 00 00 FF 8B 45 EC 8B 40 48 8B 55 FC E8 ?? ?? ?? ?? 8B 46 0C 50 8D 85 0C FF FF FF 50 8B 56 04 42 8B 06 40 8B 4E 08 E8 ?? ?? ?? ?? 8D 95 0C FF FF FF 8B 45 EC 8B 08 FF 51 54 8B 45 EC 8B 58 44 8B 43 10 8B 40 18 BA EC FF FF FF E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 0E 8B C1 83 C0 02 89 45 B0 8B 46 04 89 45 B4 8B 56 08 8B DA 83 EB 02 89 5D A8 89 45 AC 89 55 A0 8B F8 83 C7 02 89 7D A4 89 55 98 8B 56 0C 8B FA 83 EF 02 89 7D 9C 89 5D 90 89 55 94 8B 1E 83 C3 02 89 5D 88 89 55 8C 89 4D 80 8B 56 0C 83 EA 02 89 55 84 89 8D 78 FF FF FF 8B 56 04 83 C2 02 89 95 7C FF FF FF 8B 16 83 C2 03 89 95 70 FF FF FF 89 85 74 FF FF FF 8B 45 B0 89 85 C4 FE FF FF 8B 45 B4 89 85 C8 FE FF FF 8B 45 A8 89 85 CC FE FF FF 8B 45 AC 89 85 D0 FE FF FF 8B 45 A0 89 85 D4 FE FF FF 8B 45 A4 89 85 D8 FE FF FF 8B 45 98 89 85 DC FE FF FF 8B 45 9C 89 85 E0 FE FF FF 8B 45 90 89 85 E4 FE FF FF 8B 45 94 89 85 E8 FE FF FF 8B 45 88 89 85 EC FE FF FF 8B 45 8C 89 85 F0 FE FF FF 8B 45 80 89 85 F4 FE FF FF 8B 45 84 89 85 F8 FE FF FF 8B 85 78 FF FF FF 89 85 FC FE FF FF 8B 85 7C FF FF FF 89 85 00 FF FF FF 8B 85 70 FF FF FF 89 85 04 FF FF FF 8B 85 74 FF FF FF 89 85 08 FF FF FF 8D 95 C4 FE FF FF B9 08 00 00 00 8B 45 EC 8B 18 FF 53 70 8D 8D 5C FF FF FF 8B D6 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 80 78 05 00 74 3A 8D 8D 4C FF FF FF 8B D6 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 80 78 05 01 75 06 FF 85 50 FF FF FF 55 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 59 8B 85 54 FF FF FF 83 E8 02 89 46 08 EB 0C 8B 85 64 FF FF FF 83 E8 02 89 46 08 83 06 06 55 E8 ?? ?? ?? ?? 59 8B 85 5C FF FF FF 3B 06 0F 9D 45 BB E9 A2 01 00 00 8B 4E 04 41 8B 16 42 8B 45 EC 8B 18 FF 53 64 8B 4E 04 41 8B 56 08 4A 8B 45 EC 8B 18 FF 53 60 0F B6 45 DC 0F B6 90 ?? ?? ?? ?? 8D 4D F0 8B 45 E4 8B 18 FF 93 B0 00 00 00 8B 45 F0 89 85 1C FF FF FF 8B 45 F4 89 85 20 FF FF FF 8B 45 F8 89 85 24 FF FF FF B3 01 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 18 8D 45 FC 50 E8 ?? ?? ?? ?? 8B CB 8D 95 1C FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0C 81 7D FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 75 16 80 7D DC 00 74 09 C7 45 FC 14 00 00 FF EB 07 C7 45 FC 0F 00 00 FF 8B 45 EC 8B 40 48 8B 55 FC E8 ?? ?? ?? ?? 8B 46 0C 50 8D 85 0C FF FF FF 50 8B 56 04 83 C2 02 8B 4E 08 8B 06 E8 ?? ?? ?? ?? 8D 95 0C FF FF FF 8B 45 EC 8B 08 FF 51 54 8B 45 EC 8B 40 44 8B 55 D4 E8 ?? ?? ?? ?? 8B 16 42 8B 4E 0C 8B 45 EC 8B 18 FF 53 64 8B 56 08 4A 8B 4E 0C 8B 45 EC 8B 18 FF 53 60 8B 45 EC 8B 40 40 BA 84 03 00 00 E8 ?? ?? ?? ?? 8D 8D 5C FF FF FF 8B D6 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 80 78 05 00 74 2B 8D 8D 4C FF FF FF 8B D6 8B 45 E8 E8 ?? ?? ?? ?? 55 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 59 8B 85 58 FF FF FF 83 C0 02 89 46 04 EB 0C 8B 85 68 FF FF FF 83 C0 02 89 46 04 8B 46 0C 8B 56 04 3B C2 0F 9F 45 BB 2B C2 83 E8 02 03 06 89 46 08 8B 55 CC 8B 45 EC E8 ?? ?? ?? ?? 8B D8 03 5E 04 83 C3 02 89 5E 04 3B 5E 0C 7E 06 8B 46 0C 89 46 04 8B 45 EC 8B 40 48 B2 01 E8 ?? ?? ?? ?? 83 7D CC 00 0F 84 89 00 00 00 80 7D DC 00 74 23 8B 45 EC 8B 40 40 8B 40 10 0F B6 58 21 0F B6 15 ?? ?? ?? ?? 0A D3 8B 45 EC 8B 40 40 E8 ?? ?? ?? ?? EB 2D 8B 45 EC 8B 40 40 8B 40 10 0F B6 40 21 88 85 6F FF FF FF 0F B6 15 ?? ?? ?? ?? F7 D2 22 95 6F FF FF FF 8B 45 EC 8B 40 40 E8 ?? ?? ?? ?? 80 7D BB 00 74 17 8B 85 64 FF FF FF 2B 85 5C FF FF FF 8B 56 08 2B D0 83 EA 04 89 56 08 A1 ?? ?? ?? ?? 50 8D 4D CC 8B D6 8B 45 EC 8B 18 FF 93 94 00 00 00 80 7D BB 00 74 0D 55 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 01 00 00 00 10 40 01 00 }
	condition:
		$1
}

rule function_73966_0 {
	meta:
		name = "TDockCaptionDrawer.GetCloseRect"
		size = 104
		refs = "000e TDockCaptionDrawer.CalcButtonSize"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 80 7F 04 00 75 22 8B 56 08 2B D0 83 EA 04 89 13 8B 4E 0C 8B 56 04 2B CA 2B C8 D1 F9 79 03 83 D1 00 03 CA 89 4B 04 EB 1D 8B 4E 08 8B 16 2B CA 2B C8 D1 F9 79 03 83 D1 00 03 CA 89 0B 8B 56 04 83 C2 08 89 53 04 8B 13 03 D0 89 53 08 03 43 04 89 43 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73967_0 {
	meta:
		name = "TDockCaptionDrawer.GetPinRect"
		size = 117
		refs = "000e TDockCaptionDrawer.CalcButtonSize"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 80 7F 04 00 75 26 8B 56 08 8B C8 03 C9 2B D1 83 EA 08 89 13 8B 4E 0C 8B 56 04 2B CA 2B C8 D1 F9 79 03 83 D1 00 03 CA 89 4B 04 EB 23 8B 4E 08 8B 16 2B CA 2B C8 D1 F9 79 03 83 D1 00 03 CA 89 0B 8B 56 04 83 C2 08 8B C8 03 C9 03 D1 89 53 04 8B 13 03 D0 83 C2 02 89 53 08 03 43 04 89 43 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73974_0 {
	meta:
		name = "TInplaceEdit.Create"
		size = 146
		refs = "000f @ClassCreate 0021 TCustomEdit.Create 0029 _DV_TCategoryButtons 002e @AsClass 004b TWinControl.SetParentCtl3D 0054 TWinControl.SetCtl3D 005d TWinControl.SetTabStop 0066 TCustomEdit.SetBorderStyle 006f TWinControl.SetDoubleBuffered 007c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 BB AC 02 00 00 8B D7 8B C3 8B 08 FF 91 84 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_73975_0 {
	meta:
		name = "TInplaceEdit.Initialize"
		size = 157
		refs = "0016 _DV_TButtonItem 001b @IsClass 0028 TCustomEdit.SetBorderStyle 0047 TWinControl.GetHandle 004d SetWindowPos 0066 @CallDynaInst 0077 SetFocus 0081 TControl.SetColor 008b TControl.SetText 0092 TCustomEdit.SelectAll"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 89 BB A8 02 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 6A 48 8B 46 0C 2B 46 04 50 8B 46 08 8B 3E 2B C7 50 8B 46 04 50 57 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 1C 01 00 00 8B 83 AC 02 00 00 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 74 0D 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_73976_0 {
	meta:
		name = "TInplaceEdit.CNKeydown"
		size = 47
		refs = "000b TWinControl.CNKeyDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B7 46 04 66 83 E8 0D 74 06 66 83 E8 0E 75 0D 8B D6 8B 83 AC 02 00 00 8B 08 FF 51 EC 5E 5B C3 }
	condition:
		$1
}

rule function_73977_0 {
	meta:
		name = "TInplaceEdit.DblClick"
		size = 18
		refs = "000c @CallDynaInst"
	strings:
		$1 = { 56 8B 80 AC 02 00 00 66 BE EB FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_73978_0 {
	meta:
		name = "TInplaceEdit.DeActivate"
		size = 22
		refs = "0006 TControl.Hide"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 CC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_73979_0 {
	meta:
		name = "TInplaceEdit.KeyDown"
		size = 28
		refs = "0015 @CallDynaInst"
	strings:
		$1 = { 56 51 66 89 0C 24 0F B7 0C 24 8B 80 AC 02 00 00 66 BE B9 FF E8 ?? ?? ?? ?? 5A 5E C3 }
	condition:
		$1
}

rule function_73980_0 {
	meta:
		name = "TInplaceEdit.KeyPress"
		size = 18
		refs = "000c @CallDynaInst"
	strings:
		$1 = { 56 8B 80 AC 02 00 00 66 BE B7 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_73981_0 {
	meta:
		name = "TInplaceEdit.KeyUp"
		size = 28
		refs = "0015 @CallDynaInst"
	strings:
		$1 = { 56 51 66 89 0C 24 0F B7 0C 24 8B 80 AC 02 00 00 66 BE B8 FF E8 ?? ?? ?? ?? 5A 5E C3 }
	condition:
		$1
}

rule function_73982_0 {
	meta:
		name = "TInplaceEdit.WndProc"
		size = 113
		refs = "0023 GetParentForm 006a TWinControl.WndProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 06 83 E8 07 74 11 48 74 42 83 E8 17 74 3D 2D EB 01 00 00 74 36 EB 47 B2 01 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1B B2 01 8B C3 E8 ?? ?? ?? ?? 8B 93 AC 02 00 00 8B 08 FF 91 1C 01 00 00 84 C0 74 28 8B D6 8B C3 8B 08 FF 51 EC 5E 5B C3 8B D6 8B 83 AC 02 00 00 8B 08 FF 91 90 00 00 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73983_0 {
	meta:
		name = "TInplaceEdit.BoundsChanged"
		size = 83
		refs = "0020 Rect 0028 TWinControl.GetHandle 0034 SendStructMessage 004a SendMessage"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B 43 54 50 8D 44 24 04 50 8B 4B 50 83 E9 02 BA 02 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 33 C9 BA B4 00 00 00 E8 ?? ?? ?? ?? 6A 00 6A 00 68 B7 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_73985_0 {
	meta:
		name = "TCategoryButtons.Create"
		size = 348
		refs = "000e @ClassCreate 001c TCustomControl.Create 0028 TControl.SetWidth 0034 TControl.SetHeight 0039 TCategoryButtons.Create 007c _Dn_TChangeLink 0081 TObject.Create 0093 TCategoryButtons.ImageListChange 00a3 _Dn_TDragImageList 00a8 TCustomImageList.Create 00d5 GetShadowColor 00ea GetHighLightColor 0103 TWinControl.SetTabStop 010f TControl.SetColor 0136 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 58 8B C3 8B 10 FF 92 0C 01 00 00 8B CB B2 01 FF 50 2C 89 83 E0 02 00 00 C6 83 F0 02 00 00 01 C7 83 E8 02 00 00 18 00 00 00 C7 83 EC 02 00 00 18 00 00 00 C6 83 A8 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B8 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? C6 83 68 02 00 00 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A4 02 00 00 0F B7 05 ?? ?? ?? ?? 66 89 83 E4 02 00 00 C7 83 04 03 00 00 C6 D3 EF 00 BA F6 FF FF FF B8 0F 00 00 FF E8 ?? ?? ?? ?? 89 83 08 03 00 00 BA 0F 00 00 00 B8 0F 00 00 FF E8 ?? ?? ?? ?? 89 83 0C 03 00 00 C7 83 00 03 00 00 FF FF FF 1F B2 01 8B C3 E8 ?? ?? ?? ?? BA 05 00 00 FF 8B C3 E8 ?? ?? ?? ?? 8B 83 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 88 50 10 0F B6 15 ?? ?? ?? ?? 88 50 11 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 8A 20 08 00 38 00 00 00 12 00 00 00 1F 00 00 00 }
	condition:
		$1
}

rule function_73986_0 {
	meta:
		name = "TCategoryButtons.CreateParams"
		size = 45
		refs = "000b TWinControl.CreateParams"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 80 BE F0 02 00 00 01 75 0E 81 63 04 FF FF 7F FF 81 4B 08 00 02 00 00 83 63 24 FC 5E 5B C3 }
	condition:
		$1
}

rule function_73987_0 {
	meta:
		name = "TCategoryButtons.Destroy"
		size = 133
		refs = "0003 @BeforeDestruction 0042 TObject.Free 0073 TCustomControl.Destroy 007e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 86 F4 02 00 00 33 C0 89 86 F8 02 00 00 33 C0 89 86 88 02 00 00 33 C0 89 86 8C 02 00 00 33 C0 89 86 90 02 00 00 8D 86 A4 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 E0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 B8 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_73988_0 {
	meta:
		name = "TCategoryButtons.GetScrollOffset"
		size = 16
	strings:
		$1 = { 8B 90 D8 02 00 00 0F AF 90 B0 02 00 00 8B C2 C3 }
	condition:
		$1
}

rule function_73989_0 {
	meta:
		name = "TCategoryButtons.GetButtonRect"
		size = 287
		refs = "0011 _DV_TButtonItem 0016 @IsClass 002b @AsClass 0034 TButtonItem.GetCategory 003e TCategoryButtons.GetScrollOffset 0052 Rect 006a TCategoryButtons.GetCategoryBounds 0073 IsRectEmpty 008b TCategoryButtons.CalcButtonsPerRow 00a7 TCollectionItem.GetIndex"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F9 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 EC 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 68 28 8B C3 E8 ?? ?? ?? ?? 2B E8 6A 00 8D 44 24 14 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 54 8D 44 24 14 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CD 8B C3 E8 ?? ?? ?? ?? 8D 44 24 10 E8 ?? ?? ?? ?? 84 C0 0F 85 98 00 00 00 80 BB 80 02 00 00 00 75 0B 8B C3 E8 ?? ?? ?? ?? 8B E8 EB 11 8B 44 24 18 2B 44 24 10 99 F7 BB E8 02 00 00 8B E8 8B C6 E8 ?? ?? ?? ?? 99 F7 FD F7 AB EC 02 00 00 03 44 24 14 89 47 04 80 BB 80 02 00 00 00 75 18 F6 83 E4 02 00 00 04 74 0F 8B 44 24 10 89 07 8B 44 24 18 89 47 08 EB 24 8B C6 E8 ?? ?? ?? ?? 99 F7 FD 8B C2 8B D0 0F AF 93 E8 02 00 00 03 54 24 10 89 17 03 93 E8 02 00 00 89 57 08 8B 47 04 03 83 EC 02 00 00 89 47 0C EB 09 8B D7 8B C6 8B 08 FF 51 20 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73991_0 {
	meta:
		name = "TCategoryButtons.Notification"
		size = 227
		refs = "001b TWinControl.Notification 003a TCategoryButtons.SetImages 0048 _Dn_TBasicAction 004d @IsClass 007a TButtonCategories.GetItem 00a4 TButtonCollection.GetItem 00a9 TBaseButtonItem.GetAction 00cc TBaseButtonItem.SetAction"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 88 4C 24 04 89 14 24 8B D8 0F B6 4C 24 04 8B 14 24 8B C3 E8 ?? ?? ?? ?? 80 7C 24 04 01 0F 85 B1 00 00 00 8B 04 24 3B 83 BC 02 00 00 75 0E 33 D2 8B C3 E8 ?? ?? ?? ?? E9 98 00 00 00 8B 04 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 82 00 00 00 8B 83 E0 02 00 00 8B 40 08 8B 40 08 48 85 C0 7C 71 40 89 44 24 08 33 ED 8B D5 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B 40 24 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 46 47 33 F6 8B D5 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B 40 24 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 04 24 75 1E 8B D5 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B 40 24 8B D6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 46 4F 75 BD 45 FF 4C 24 08 75 96 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73992_0 {
	meta:
		name = "TCategoryButtons.CalcCategoryHeight"
		size = 109
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 80 7B 14 00 75 06 83 7B 24 00 75 04 B0 01 EB 0D 8B 43 24 8B 40 08 83 78 08 00 0F 94 C0 84 C0 74 0B 8B 86 84 02 00 00 83 C0 05 EB 34 8B 43 24 8B 40 08 8B 68 08 8B C5 99 F7 F9 8B F8 8B C5 99 F7 F9 85 D2 74 01 47 8B 86 EC 02 00 00 F7 EF 83 C0 05 F6 86 E4 02 00 00 20 75 06 03 86 AC 02 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73993_0 {
	meta:
		name = "TCategoryButtons.CalcCategoryWidth"
		size = 109
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 80 7B 14 00 75 06 83 7B 24 00 75 04 B0 01 EB 0D 8B 43 24 8B 40 08 83 78 08 00 0F 94 C0 84 C0 74 0B 8B 86 84 02 00 00 83 C0 05 EB 34 8B 43 24 8B 40 08 8B 68 08 8B C5 99 F7 F9 8B F8 8B C5 99 F7 F9 85 D2 74 01 47 8B 86 E8 02 00 00 F7 EF 83 C0 05 F6 86 E4 02 00 00 20 74 06 03 86 AC 02 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73994_0 {
	meta:
		name = "TCategoryButtons.AdjustCategoryBounds"
		size = 97
	strings:
		$1 = { 55 8B EC 56 8B F0 80 7D 08 00 75 09 80 BE 80 02 00 00 00 75 47 80 7A 14 00 75 41 83 7A 24 00 74 3B 8B 42 24 8B 40 08 83 78 08 00 7E 2F F6 86 E4 02 00 00 20 74 14 8B 01 03 86 84 02 00 00 83 C0 05 89 41 08 83 69 0C 03 EB 12 8B 41 04 03 86 84 02 00 00 83 C0 05 83 E8 02 89 41 0C 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_73995_0 {
	meta:
		name = "TCategoryButtons.GetCategoryBounds"
		size = 506
		refs = "002a TControl.GetClientWidth 0037 TCategoryButtons.CalcButtonsPerRow 0046 TCategoryButtons.CalcCategoryHeight 0122 TControl.GetClientHeight 012f TCategoryButtons.CalcButtonsPerCol 013e TCategoryButtons.CalcCategoryWidth"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D FC 8B FA 8B D8 8B 75 0C 80 BB 80 02 00 00 00 0F 85 F8 00 00 00 C7 45 F0 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 E8 02 89 45 E8 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 89 16 8B 55 FC 42 89 56 04 8B 55 E8 89 56 08 03 45 FC 48 89 46 0C 80 7F 14 00 0F 85 84 01 00 00 83 7F 24 00 0F 84 7A 01 00 00 F6 83 E5 02 00 00 01 74 04 83 46 0C 03 F6 83 E4 02 00 00 20 74 1C 8B 45 F0 03 83 AC 02 00 00 83 C0 05 8B 55 08 89 02 8B 45 08 8B 55 FC 89 50 04 EB 1D 8B 45 F0 83 C0 02 8B 55 08 89 02 8B 45 FC 03 83 AC 02 00 00 83 C0 02 8B 55 08 89 42 04 8B 45 E8 48 8B 55 08 89 42 08 8B 47 24 8B 40 08 8B 40 08 99 F7 7D F8 F7 AB EC 02 00 00 8B 55 08 03 42 04 8B 55 08 89 42 0C 8B 47 24 8B 40 08 8B 40 08 99 F7 7D F8 85 D2 74 0C 8B 45 08 8B 93 EC 02 00 00 01 50 0C 8B 45 08 83 40 04 03 E9 D9 00 00 00 C7 45 EC 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 E8 03 89 45 E4 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 42 89 16 8B 55 EC 89 56 04 03 45 FC 48 89 46 08 8B 45 E4 89 46 0C 80 7F 14 00 0F 85 8C 00 00 00 83 7F 24 00 0F 84 82 00 00 00 8B 45 FC 83 C0 03 8B 55 08 89 02 F6 83 E4 02 00 00 20 75 12 8B 45 EC 03 83 AC 02 00 00 40 8B 55 08 89 42 04 EB 17 8B 45 EC 83 C0 02 8B 55 08 89 42 04 8B 45 08 8B 93 AC 02 00 00 01 10 8B 45 E4 48 8B 55 08 89 42 0C 8B 47 24 8B 40 08 8B 40 08 99 F7 7D F4 F7 AB E8 02 00 00 8B 55 08 03 02 8B 55 08 89 42 08 8B 47 24 8B 40 08 8B 40 08 99 F7 7D F4 85 D2 74 0C 8B 45 08 8B 93 E8 02 00 00 01 50 08 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_73996_0 {
	meta:
		name = "TCategoryButtons.GetChevronBounds"
		size = 34
	strings:
		$1 = { 8B 02 83 C0 02 89 01 8B 42 04 83 C0 02 89 41 04 8B 01 83 C0 0D 89 41 08 8B 41 04 83 C0 0D 89 41 0C C3 }
	condition:
		$1
}

rule function_73997_0 {
	meta:
		name = "TCategoryButtons.GetCurrentCategory"
		size = 108
		refs = "0015 _DV_TButtonCategory 001a TObject.InheritsFrom 002f @AsClass 0041 _DV_TButtonItem 0060 TButtonItem.GetCategory"
	strings:
		$1 = { 53 56 57 8B D8 33 F6 8B BB F4 02 00 00 85 FF 74 55 8B 07 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B 83 F4 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 2F 8B 83 F4 02 00 00 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B 83 F4 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_73998_0 {
	meta:
		name = "DrawPlusMinus"
		size = 444
		refs = "0087 Rect 009b TCanvas.GetHandle 00ae TCustomStyleServices.DrawElement 00c9 TPen.SetColor 00df TBrush.SetColor"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 BE 09 00 00 00 8B DE 8B 45 08 83 40 FC 02 8B 45 08 83 40 F8 02 8B 45 08 8B 40 08 8B 40 F8 8B 10 FF 52 48 84 C0 0F 84 83 00 00 00 8B 45 08 80 78 F7 00 74 15 8D 4D F4 8B 45 08 8B 40 08 8B 40 F8 B2 09 8B 18 FF 53 5C EB 13 8D 4D F4 8B 45 08 8B 40 08 8B 40 F8 B2 08 8B 18 FF 53 5C 8B 45 08 8B 40 F8 03 C6 50 8D 45 E4 50 8B 45 08 8B 48 FC 03 CE 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 45 E4 50 6A 00 8B 45 08 8B 40 08 8B 40 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 08 8B 40 F8 8D 4D F4 E8 ?? ?? ?? ?? E9 FE 00 00 00 8B 45 08 8B 40 08 8B 40 F4 8B 40 44 BA 10 00 00 FF E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 40 F4 8B 40 48 BA 05 00 00 FF E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 03 C6 50 8B 45 08 03 58 F8 53 8B 45 08 8B 48 F8 8B 45 08 8B 50 FC 8B 45 08 8B 40 08 8B 40 F4 8B 18 FF 53 7C 8B 45 08 8B 40 08 8B 40 F4 8B 40 44 BA 08 00 00 FF E8 ?? ?? ?? ?? 8B 45 08 8B 48 F8 8B DE D1 FB 79 03 83 D3 00 03 CB 8B 45 08 8B 50 FC 83 C2 02 8B 45 08 8B 40 08 8B 40 F4 8B 38 FF 57 64 8B 45 08 8B 48 F8 03 CB 8B 45 08 8B 50 FC 03 D6 83 EA 02 8B 45 08 8B 40 08 8B 40 F4 8B 38 FF 57 60 8B 45 08 80 78 F7 00 74 40 8B 45 08 8B 50 FC 03 D3 8B 45 08 8B 48 F8 83 C1 02 8B 45 08 8B 40 08 8B 40 F4 8B 38 FF 57 64 8B 45 08 8B 50 FC 03 D3 8B 45 08 8B 48 F8 03 CE 83 E9 02 8B 45 08 8B 40 08 8B 40 F4 8B 18 FF 53 60 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_73999_0 {
	meta:
		name = "DrawDropDownButton"
		size = 360
		refs = "0022 DrawPlusMinus 003d ChevronYPosAdjust 0049 ChevronXPosAdjust 0051 TPoint.Create 0084 TRect.Create 0095 Elements 00b2 TCanvas.GetHandle 00c0 TCustomStyleServices.DrawElement 0107 TCustomStyleServices.GetElementColor 012b TPen.SetColor 014d ChevronDirection 015e DrawChevron"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 88 4D F7 89 55 F8 89 45 FC 8B 45 08 8B 40 F0 F6 80 E4 02 00 00 80 74 0C 55 E8 ?? ?? ?? ?? 59 E9 36 01 00 00 BB 06 00 00 00 8B 4D F8 03 CB 0F B6 75 F7 2B 0C B5 ?? ?? ?? ?? 8B 55 FC 03 D3 2B 14 B5 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B 45 08 8B 55 EC 89 50 E8 8B 55 F0 89 50 EC 8B 45 08 8B 40 F8 8B 10 FF 52 48 84 C0 74 59 6A 00 8B 45 08 8D 50 E8 B9 03 00 00 00 8D 45 DC E8 ?? ?? ?? ?? 8D 45 DC 50 6A 00 0F B6 45 F7 0F B6 90 ?? ?? ?? ?? 8D 4D D0 8B 45 08 8B 40 F8 8B 18 FF 53 5C 8D 45 D0 50 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F8 59 E8 ?? ?? ?? ?? 84 C0 0F 85 96 00 00 00 8B 45 08 8B 40 F8 8B 10 FF 52 48 84 C0 74 56 8B 45 08 83 C0 FC 50 0F B6 45 F7 0F B6 90 ?? ?? ?? ?? 8D 4D D0 8B 45 08 8B 40 F8 8B 18 FF 53 5C 8D 55 D0 8B 45 08 8B 40 F8 B1 01 E8 ?? ?? ?? ?? 84 C0 74 22 8B 45 08 81 78 FC FF FF FF 1F 74 16 8B 45 08 8B 50 FC 8B 45 08 8B 40 F4 8B 40 44 E8 ?? ?? ?? ?? EB 13 8B 45 08 8B 40 F4 8B 40 44 BA 10 00 00 FF E8 ?? ?? ?? ?? 6A 03 0F B6 45 F7 0F B6 90 ?? ?? ?? ?? 8B 45 08 8D 48 E8 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74000_0 {
	meta:
		name = "TCategoryButtons.DrawCategory"
		size = 2972
		refs = "001d TCategoryButtons.DrawCategory 003e TCategoryButtons.GetCategoryBounds 0043 TStyleManager.GetActiveStyle 00ae TCustomStyleServices.GetElementColor 0142 TCategoryButtons.AdjustCategoryBounds 0229 GradientFillCanvas 0230 TStyleManager.GetIsCustomStyleActive 0285 TBrush.SetColor 0492 GetShadowColor 049f TPen.SetColor 06ff Rect 0721 TCategoryButtons.GetChevronBounds 0749 DrawDropDownButton 0754 TCategoryButtons.HasVerticalCaption 0762 @UStrLAsg 0799 TFont.SetStyle 07a4 TCustomCanvas.TextWidth 07f9 TBrush.SetStyle 0807 TFont.SetColor 08c1 TFont.SetOrientation 08db TCustomCanvas.TextHeight 0988 TControl.GetClientWidth 09eb TControl.GetClientHeight 0a4b TButtonCollection.GetItem 0aae @CallDynaInst 0b7b @UStrClr 0b81 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 98 FE FF FF 53 56 57 33 DB 89 5D E4 89 4D F4 8B FA 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 40 FF FF FF 50 8D 85 20 FF FF FF 50 8B 4D 08 8B D7 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 10 FF 52 48 84 C0 74 7A 8B 45 F0 3B B8 F4 02 00 00 75 12 8D 8D 60 FF FF FF B2 04 8B 45 F8 8B 18 FF 53 5C EB 2B 81 7F 18 FF FF FF 1F 74 12 8D 8D 60 FF FF FF B2 03 8B 45 F8 8B 18 FF 53 5C EB 10 8D 8D 60 FF FF FF B2 02 8B 45 F8 8B 18 FF 53 5C 8D 45 FC 50 B1 09 8D 95 60 FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 11 81 7D FC FF FF FF 1F 74 08 8B 45 FC 89 45 BC EB 10 C7 45 BC FF FF FF 1F EB 07 C7 45 BC FF FF FF 1F 81 7D BC FF FF FF 1F 75 42 8B 45 F0 3B B8 F4 02 00 00 75 1D 8B 45 F0 81 B8 08 03 00 00 FF FF FF 1F 74 0E 8B 45 F0 8B 80 08 03 00 00 89 45 BC EB 1A 81 7F 18 FF FF FF 1F 74 08 8B 47 18 89 45 BC EB 09 8B 45 F0 8B 40 74 89 45 BC 57 8D B5 40 FF FF FF 8D BD 30 FF FF FF A5 A5 A5 A5 5F 6A 00 8D 8D 30 FF FF FF 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 F6 80 E5 02 00 00 01 74 14 57 8D B5 30 FF FF FF 8D BD F0 FE FF FF A5 A5 A5 A5 5F EB 12 57 8D B5 40 FF FF FF 8D BD F0 FE FF FF A5 A5 A5 A5 5F 8B 45 F0 3B B8 F4 02 00 00 0F 84 A8 00 00 00 8B 45 F0 F6 80 E4 02 00 00 08 75 10 8B 45 F8 8B 10 FF 52 48 84 C0 0F 84 8C 00 00 00 8B 45 F8 8B 10 FF 52 48 84 C0 74 44 8D 8D 60 FF FF FF B2 03 8B 45 F8 8B 18 FF 53 5C 8D 45 FC 50 B1 0A 8D 95 60 FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 11 81 7D FC FF FF FF 1F 74 08 8B 45 FC 89 45 C0 EB 25 8B 45 F0 8B 40 74 89 45 C0 EB 1A 81 7F 1C FF FF FF 1F 74 08 8B 47 1C 89 45 C0 EB 09 8B 45 F0 8B 40 74 89 45 C0 8D 85 F0 FE FF FF 50 8B 45 F0 0F B6 80 A8 02 00 00 50 8B 4D C0 8B 55 BC 8B 45 F4 E8 ?? ?? ?? ?? EB 68 E8 ?? ?? ?? ?? 84 C0 74 43 8D 45 FC 50 B1 0A 8D 95 60 FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 2B 81 7D FC FF FF FF 1F 74 22 8D 85 F0 FE FF FF 50 8B 45 F0 0F B6 80 A8 02 00 00 50 8B 4D FC 8B 55 BC 8B 45 F4 E8 ?? ?? ?? ?? EB 1C 8B 45 F4 8B 40 48 8B 55 BC E8 ?? ?? ?? ?? 8D 95 F0 FE FF FF 8B 45 F4 8B 08 FF 51 54 FF 8D F8 FE FF FF 8B 45 F8 8B 10 FF 52 48 84 C0 74 3E 8D 8D 60 FF FF FF B2 02 8B 45 F8 8B 18 FF 53 5C 8D 45 FC 50 B1 01 8D 95 60 FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0E 81 7D FC FF FF FF 1F 74 05 8B 5D FC EB 0E 8B 45 F0 8B 58 74 EB 06 8B 45 F0 8B 58 74 53 8B 8D F4 FE FF FF 8B 95 F0 FE FF FF 8B 45 F4 8B 30 FF 56 20 53 8B 95 F0 FE FF FF 42 8B 8D F4 FE FF FF 8B 45 F4 8B 30 FF 56 20 53 8B 8D F4 FE FF FF 41 8B 95 F0 FE FF FF 8B 45 F4 8B 30 FF 56 20 53 8B 8D FC FE FF FF 8B 95 F0 FE FF FF 8B 45 F4 8B 30 FF 56 20 53 8B 95 F0 FE FF FF 42 8B 8D FC FE FF FF 8B 45 F4 8B 30 FF 56 20 53 8B 8D FC FE FF FF 49 8B 95 F0 FE FF FF 8B 45 F4 8B 30 FF 56 20 8B 45 F0 81 B8 00 03 00 00 FF FF FF 1F 0F 84 85 00 00 00 8B 45 F8 8B 10 FF 52 48 84 C0 74 70 8D 8D 60 FF FF FF B2 02 8B 45 F8 8B 18 FF 53 5C E8 ?? ?? ?? ?? 84 C0 74 26 8D 45 FC 50 B1 01 8D 95 60 FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0E 81 7D FC FF FF FF 1F 74 05 8B 5D FC EB 3A 8D 45 FC 50 B1 09 8D 95 60 FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0E 81 7D FC FF FF FF 1F 74 05 8B 5D FC EB 14 8B 45 F0 8B 98 00 03 00 00 EB 09 8B 45 F0 8B 98 00 03 00 00 53 8B 8D F4 FE FF FF 8B 95 F8 FE FF FF 8B 45 F4 8B 30 FF 56 20 53 8B 95 F8 FE FF FF 4A 8B 8D F4 FE FF FF 8B 45 F4 8B 30 FF 56 20 53 8B 8D F4 FE FF FF 41 8B 95 F8 FE FF FF 8B 45 F4 8B 30 FF 56 20 53 8B 8D FC FE FF FF 8B 95 F8 FE FF FF 8B 45 F4 8B 30 FF 56 20 53 8B 95 F8 FE FF FF 4A 8B 8D FC FE FF FF 8B 45 F4 8B 30 FF 56 20 53 8B 8D FC FE FF FF 49 8B 95 F8 FE FF FF 8B 45 F4 8B 18 FF 53 20 BA F6 FF FF FF 8B 45 BC E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 44 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 48 84 C0 74 5C 8B 45 F0 3B B8 F4 02 00 00 75 12 8D 8D 60 FF FF FF B2 04 8B 45 F8 8B 18 FF 53 5C EB 10 8D 8D 60 FF FF FF B2 03 8B 45 F8 8B 18 FF 53 5C 8D 45 FC 50 33 C9 8D 95 60 FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 17 81 7D FC FF FF FF 1F 74 0E 8B 45 F4 8B 40 44 8B 55 FC E8 ?? ?? ?? ?? 8B 9D F0 FE FF FF 8B CB 83 C1 02 89 4D B0 8B 85 F4 FE FF FF 89 45 B4 8B 95 F8 FE FF FF 8B F2 83 EE 02 89 75 A8 89 45 AC 89 55 A0 8B F0 83 C6 02 89 75 A4 89 55 98 8B 95 FC FE FF FF 8B F2 83 EE 02 89 75 9C 8B B5 F8 FE FF FF 83 EE 02 89 75 90 89 55 94 89 4D 88 89 55 8C 89 5D 80 8B 95 FC FE FF FF 83 EA 02 89 55 84 89 9D 78 FF FF FF 8B 95 F4 FE FF FF 83 C2 02 89 95 7C FF FF FF 89 8D 70 FF FF FF 89 85 74 FF FF FF 8B 45 B0 89 85 A8 FE FF FF 8B 45 B4 89 85 AC FE FF FF 8B 45 A8 89 85 B0 FE FF FF 8B 45 AC 89 85 B4 FE FF FF 8B 45 A0 89 85 B8 FE FF FF 8B 45 A4 89 85 BC FE FF FF 8B 45 98 89 85 C0 FE FF FF 8B 45 9C 89 85 C4 FE FF FF 8B 45 90 89 85 C8 FE FF FF 8B 45 94 89 85 CC FE FF FF 8B 45 88 89 85 D0 FE FF FF 8B 45 8C 89 85 D4 FE FF FF 8B 45 80 89 85 D8 FE FF FF 8B 45 84 89 85 DC FE FF FF 8B 85 78 FF FF FF 89 85 E0 FE FF FF 8B 85 7C FF FF FF 89 85 E4 FE FF FF 8B 85 70 FF FF FF 89 85 E8 FE FF FF 8B 85 74 FF FF FF 89 85 EC FE FF FF 8D 95 A8 FE FF FF B9 08 00 00 00 8B 45 F4 8B 18 FF 53 70 80 7F 14 00 74 1B 8B 45 F0 83 B8 F4 02 00 00 00 74 0F 8B 45 F0 8B 10 FF 92 08 01 00 00 3B F8 74 0F 8B 45 F0 3B B8 F4 02 00 00 0F 85 8C 00 00 00 8B 45 F8 8B 10 FF 52 48 84 C0 74 31 8D 45 FC 50 B1 05 8D 95 60 FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 19 81 7D FC FF FF FF 1F 74 10 8B 45 F4 8B 40 48 8B 55 FC E8 ?? ?? ?? ?? EB 1A BA B5 FF FF FF 8B 45 BC E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 8B 85 3C FF FF FF 50 8D 85 98 FE FF FF 50 8B 95 34 FF FF FF 42 8B 85 30 FF FF FF 40 8B 8D 38 FF FF FF E8 ?? ?? ?? ?? 8D 95 98 FE FF FF 8B 45 F4 8B 08 FF 51 5C 8D 8D 10 FF FF FF 8D 95 F0 FE FF FF 8B 45 F0 E8 ?? ?? ?? ?? 83 7F 24 00 74 23 8B 47 24 8B 40 08 83 78 08 00 7E 17 55 0F B6 4F 14 8B 95 14 FF FF FF 8B 85 10 FF FF FF E8 ?? ?? ?? ?? 59 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 88 45 CF 8D 45 E4 8B 57 0C E8 ?? ?? ?? ?? 8B 45 F0 F6 80 E4 02 00 00 40 74 2B 8B 45 F4 8B 40 40 8B 40 10 0F B6 40 21 88 85 6F FF FF FF 0F B6 15 ?? ?? ?? ?? 0A 95 6F FF FF FF 8B 45 F4 8B 40 40 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 80 7D CF 00 74 17 8B 95 4C FF FF FF 2B 95 44 FF FF FF 83 EA 03 83 EA 0D 89 55 C4 EB 15 8B 95 48 FF FF FF 2B 95 40 FF FF FF 83 EA 02 83 EA 0D 89 55 C4 8B 5D C4 2B D8 D1 FB 79 03 83 D3 00 83 FB 02 7D 05 BB 02 00 00 00 8B 45 F4 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 40 8B 57 20 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 48 84 C0 74 5C 8B 45 F0 3B B8 F4 02 00 00 75 12 8D 8D 60 FF FF FF B2 04 8B 45 F8 8B 30 FF 56 5C EB 10 8D 8D 60 FF FF FF B2 03 8B 45 F8 8B 30 FF 56 5C 8D 45 FC 50 B1 02 8D 95 60 FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 17 81 7D FC FF FF FF 1F 74 0E 8B 45 F4 8B 40 40 8B 55 FC E8 ?? ?? ?? ?? 80 7D CF 00 75 21 8B 85 40 FF FF FF 83 C0 04 83 C0 0D 89 85 00 FF FF FF 8B 85 44 FF FF FF 40 89 85 04 FF FF FF EB 2B 8B 85 40 FF FF FF 40 89 85 00 FF FF FF 8B 85 4C FF FF FF 2B C3 89 85 04 FF FF FF 8B 45 F4 8B 40 40 BA 84 03 00 00 E8 ?? ?? ?? ?? 8B 85 00 FF FF FF 03 45 C4 89 85 08 FF FF FF 8B 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 03 85 04 FF FF FF 89 85 0C FF FF FF A1 ?? ?? ?? ?? 50 8D 4D E4 8D 95 00 FF FF FF 8B 45 F4 8B 18 FF 93 94 00 00 00 8B 45 F0 F6 80 E4 02 00 00 40 74 2D 8B 45 F4 8B 40 40 8B 40 10 0F B6 40 21 88 85 6E FF FF FF 0F B6 15 ?? ?? ?? ?? F7 D2 22 95 6E FF FF FF 8B 45 F4 8B 40 40 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 40 33 D2 E8 ?? ?? ?? ?? 80 7F 14 00 0F 85 08 02 00 00 83 7F 24 00 0F 84 FE 01 00 00 8B 45 F0 80 B8 80 02 00 00 00 75 22 8B 45 F0 F6 80 E4 02 00 00 04 74 16 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 2B 82 B4 02 00 00 89 45 D4 EB 0C 8B 45 F0 8B 80 E8 02 00 00 89 45 D4 8B 85 20 FF FF FF 89 45 D0 8B 85 24 FF FF FF 89 45 DC 8B 45 D0 89 45 D8 8B 47 24 8B 40 08 8B 40 08 48 85 C0 0F 8C 9A 01 00 00 40 89 45 B8 C7 45 E0 00 00 00 00 8B 45 F0 80 B8 80 02 00 00 00 75 11 8B 45 F0 E8 ?? ?? ?? ?? 3B 45 DC 0F 8C 72 01 00 00 8B 45 F0 8B B0 EC 02 00 00 03 75 DC 8B 5D D8 03 5D D4 80 7D CF 00 74 0F 8B 45 F0 F6 80 E5 02 00 00 01 75 03 83 EB 03 85 F6 0F 8C 11 01 00 00 85 DB 0F 8C 09 01 00 00 56 8D 85 50 FF FF FF 50 8B CB 8B 55 DC 8B 45 D8 E8 ?? ?? ?? ?? 8B 55 E0 8B 47 24 E8 ?? ?? ?? ?? 89 45 C8 0F B7 05 ?? ?? ?? ?? 66 89 45 CD 8B 45 F0 8B 80 90 02 00 00 3B 45 C8 75 18 66 83 4D CD 02 8B 45 F0 8B 80 88 02 00 00 3B 45 C8 75 05 66 83 4D CD 08 8B 45 F0 8B 80 F4 02 00 00 3B 45 C8 75 07 66 83 4D CD 01 EB 2F 8B 45 F0 8B 80 F8 02 00 00 3B 45 C8 75 21 8B 45 F0 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 74 11 8B 45 F0 83 B8 88 02 00 00 00 75 05 66 83 4D CD 04 8B 45 F0 8B 80 C4 02 00 00 3B 45 C8 75 07 66 83 4D CD 40 EB 3F 8B 45 F0 8B 80 CC 02 00 00 3B 45 C8 75 08 66 81 4D CD 00 01 EB 29 8B 45 F0 8B 80 C8 02 00 00 3B 45 C8 75 08 66 81 4D CD 80 00 EB 13 8B 45 F0 8B 80 C0 02 00 00 3B 45 C8 75 05 66 83 4D CD 20 8D 85 50 FF FF FF 50 0F B7 45 CD 50 8B 4D F4 8B 55 C8 8B 45 F0 8B 18 FF 93 00 01 00 00 8B 45 D4 01 45 D8 8B 45 D8 03 45 D4 3B 85 28 FF FF FF 7E 12 8B 45 D0 89 45 D8 8B 45 F0 8B 80 EC 02 00 00 01 45 DC FF 45 E0 FF 4D B8 0F 85 71 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 01 00 00 00 10 04 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_74001_0 {
	meta:
		name = "TCategoryButtons.Paint"
		size = 530
		refs = "0015 TCategoryButtons.Paint 002c TStyleManager.GetIsCustomStyleActive 0037 _Dn_TBitmap 003c TBitmap.Create 005b TBitmap.GetCanvas 0070 TCategoryButtons.GetIndexOfFirstCategory 0078 TStyleManager.GetActiveStyle 00a1 TCustomStyleServices.GetElementColor 00e3 TBrush.SetColor 0120 GradientFillCanvas 014c TButtonCategories.GetItem 0157 TCategoryButtons.GetScrollOffset 016d TControl.GetClientHeight 017a TControl.GetClientWidth 01bb TCategoryButtons.DrawCategory 01ff TObject.Free 0205 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 89 45 FC 33 C0 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 80 B8 68 02 00 00 00 75 38 E8 ?? ?? ?? ?? 84 C0 74 2F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC 8B 48 54 8B 45 FC 8B 50 50 8B 45 E8 8B 18 FF 53 6C 8B 45 E8 E8 ?? ?? ?? ?? 8B F0 EB 09 8B 45 FC 8B B0 78 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 48 84 C0 74 39 8D 4D D8 B2 02 8B C3 8B 38 FF 57 5C 8D 45 EC 50 B1 01 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 81 7D EC FF FF FF 1F 75 09 8B 45 FC 8B 40 74 89 45 EC BB FF FF FF 1F EB 12 8B 45 FC 8B 40 74 89 45 EC 8B 45 FC 8B 98 00 03 00 00 81 FB FF FF FF 1F 75 22 8B 46 48 8B 55 EC E8 ?? ?? ?? ?? 8D 55 C8 8B 45 FC 8B 08 FF 51 60 8D 55 C8 8B C6 8B 08 FF 51 54 EB 26 8D 55 C8 8B 45 FC 8B 08 FF 51 60 8D 45 C8 50 8B 45 FC 0F B6 80 A9 02 00 00 50 8B CB 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 83 7D F8 FF 0F 8E A4 00 00 00 8B 45 FC 8B 98 E0 02 00 00 8B 43 08 8B 40 08 3B 45 F8 0F 8E 8C 00 00 00 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 8B 58 28 8B 45 FC E8 ?? ?? ?? ?? 2B D8 8B 45 FC 80 B8 80 02 00 00 00 75 0D 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 EB 0B 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 8B 45 F8 8B 55 FC 8B 92 E0 02 00 00 8B 52 08 8B 52 08 4A 2B D0 7C 3A 42 89 55 E4 89 45 F4 8B 45 FC 8B 80 E0 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B F8 53 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 03 5F 2C 2B 5F 28 3B 5D F0 7F 08 FF 45 F4 FF 4D E4 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 1E 8B 45 E8 50 8B 45 FC 8B 80 78 02 00 00 33 C9 33 D2 8B 18 FF 53 44 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74002_0 {
	meta:
		name = "TCategoryButtons.CalcButtonsPerRow"
		size = 50
		refs = "0016 TControl.GetClientWidth"
	strings:
		$1 = { 53 8B D8 F6 83 E4 02 00 00 04 74 07 B8 01 00 00 00 5B C3 8B C3 E8 ?? ?? ?? ?? 2B 83 B4 02 00 00 99 F7 BB E8 02 00 00 85 C0 75 05 B8 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_74003_0 {
	meta:
		name = "TCategoryButtons.CalcButtonsPerCol"
		size = 34
		refs = "0006 TControl.GetClientHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 2B 83 B4 02 00 00 99 F7 BB EC 02 00 00 85 C0 75 05 B8 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_74004_0 {
	meta:
		name = "CalcCategoryHeights"
		size = 122
		refs = "0010 TCategoryButtons.CalcButtonsPerRow 004a TButtonCategories.GetItem 005f TCategoryButtons.CalcCategoryHeight"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F8 33 F6 8B 45 08 8B 40 FC 8B 80 E0 02 00 00 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 3F 47 C7 45 FC 00 00 00 00 8B 45 08 8B 40 FC 8B 80 E0 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B D8 89 73 28 8B 45 08 8B 40 FC 8B 4D F8 8B D3 E8 ?? ?? ?? ?? 03 F0 89 73 2C 8B 73 2C FF 45 FC 4F 75 C9 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74005_0 {
	meta:
		name = "CalcCategoryWidths"
		size = 122
		refs = "0010 TCategoryButtons.CalcButtonsPerCol 004a TButtonCategories.GetItem 005f TCategoryButtons.CalcCategoryWidth"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F8 33 F6 8B 45 08 8B 40 FC 8B 80 E0 02 00 00 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 3F 47 C7 45 FC 00 00 00 00 8B 45 08 8B 40 FC 8B 80 E0 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B D8 89 73 28 8B 45 08 8B 40 FC 8B 4D F8 8B D3 E8 ?? ?? ?? ?? 03 F0 89 73 2C 8B 73 2C FF 45 FC 4F 75 C9 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74006_0 {
	meta:
		name = "TCategoryButtons.Resize"
		size = 455
		refs = "0010 TControl.Resize 0018 TWinControl.HandleAllocated 0042 CalcCategoryHeights 004d TControl.GetClientHeight 0057 CalcCategoryWidths 0062 TControl.GetClientWidth 0125 cScrollBarKind 012e TWinControl.GetHandle 0134 SetScrollInfo 013e TCategoryButtons.ShowScrollBar 0143 TStyleManager.GetActiveStyle 0166 SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 9C 01 00 00 8B 45 FC 83 B8 AC 02 00 00 00 0F 84 8C 01 00 00 8B 45 FC 80 B8 80 02 00 00 00 75 15 55 E8 ?? ?? ?? ?? 59 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 13 55 E8 ?? ?? ?? ?? 59 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B D8 3B DE 0F 8D FC 00 00 00 8B 45 FC FF B0 B0 02 00 00 8B C6 5A 8B CA 99 F7 F9 8B F8 8B 45 FC 89 B8 D4 02 00 00 89 7D EC 8B 45 FC 8B 88 B0 02 00 00 8B C3 99 F7 F9 89 C3 3B DF 7D 0B 8B 45 FC 89 98 DC 02 00 00 EB 09 8B 45 FC 89 B8 DC 02 00 00 8B 45 FC 8B 80 D4 02 00 00 8B 55 FC 2B 82 DC 02 00 00 40 8B 55 FC 89 82 D4 02 00 00 8B 55 FC 3B 82 D8 02 00 00 7D 09 8B 55 FC 89 82 D8 02 00 00 C7 45 E0 1C 00 00 00 C7 45 E4 07 00 00 00 33 C0 89 45 E8 8B 45 FC 8B 80 D8 02 00 00 89 45 F4 8B 45 FC 8B 80 DC 02 00 00 89 45 F0 6A FF 8D 45 E0 50 8B 45 FC 0F B6 80 80 02 00 00 8B 04 85 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 14 01 00 00 A8 01 74 6D 6A 00 6A 00 68 85 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 54 8B 45 FC 33 D2 89 90 D8 02 00 00 8B 45 FC 33 D2 89 90 D4 02 00 00 C7 45 E0 1C 00 00 00 C7 45 E4 08 00 00 00 6A FF 8D 45 E0 50 8B 45 FC 0F B6 80 80 02 00 00 8B 04 85 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74007_0 {
	meta:
		name = "TCategoryButtons.SetBorderStyle"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 F0 02 00 00 74 0B 88 90 F0 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74008_0 {
	meta:
		name = "TCategoryButtons.SetButtonHeight"
		size = 51
		refs = "0025 @CallDynaInst 002c TCategoryButtons.UpdateAllButtons"
	strings:
		$1 = { 53 56 8B D8 3B 93 EC 02 00 00 74 24 85 D2 7E 20 8B C2 89 83 EC 02 00 00 89 83 B0 02 00 00 8B C3 66 BE D0 FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74009_0 {
	meta:
		name = "TCategoryButtons.SetButtonCategories"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 E0 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_74010_0 {
	meta:
		name = "TCategoryButtons.SetCatButtonOptions"
		size = 62
		refs = "0024 TCategoryButtons.CalcBufferSizes 002f @CallDynaInst 0036 TCategoryButtons.UpdateAllButtons"
	strings:
		$1 = { 53 56 51 66 89 14 24 8B D8 0F B7 04 24 66 3B 83 E4 02 00 00 74 24 0F B7 04 24 66 89 83 E4 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE D0 FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_74011_0 {
	meta:
		name = "TCategoryButtons.SetButtonWidth"
		size = 43
		refs = "001d @CallDynaInst 0024 TCategoryButtons.UpdateAllButtons"
	strings:
		$1 = { 53 56 8B D8 3B 93 E8 02 00 00 74 1C 85 D2 7E 18 89 93 E8 02 00 00 8B C3 66 BE D0 FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74012_0 {
	meta:
		name = "TCategoryButtons.ShowScrollBar"
		size = 58
		refs = "0025 cScrollBarKind 002d TWinControl.GetHandle 0033 ShowScrollBar"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E FD 02 00 00 74 29 88 9E FD 02 00 00 80 FB 01 F5 1B C0 50 0F B6 86 80 02 00 00 8B 04 85 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74014_0 {
	meta:
		name = "TCategoryButtons.UpdateButton"
		size = 112
		refs = "0010 TWinControl.HandleAllocated 001c _DV_TButtonCategory 0021 @IsClass 003a TCategoryButtons.GetCategoryRect 0047 TCategoryButtons.GetButtonRect 004e IsRectEmpty 0060 TWinControl.GetHandle 0066 InvalidateRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 85 F6 74 5D 8B C3 E8 ?? ?? ?? ?? 84 C0 74 52 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 F6 83 E5 02 00 00 01 74 0E 54 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0B 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 84 C0 75 14 6A 00 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_74019_0 {
	meta:
		name = "TCategoryButtons.ScrollPosChanged"
		size = 254
		refs = "00d3 cScrollBarKind 00db TWinControl.GetHandle 00e1 SetScrollPos 00f7 RedrawWindow"
	strings:
		$1 = { 56 57 8B F0 8B BE D8 02 00 00 84 D2 75 14 83 BE D8 02 00 00 00 7E 0B FF 8E D8 02 00 00 E9 96 00 00 00 80 FA 01 75 16 8B 86 D8 02 00 00 3B 86 D4 02 00 00 7D 08 FF 86 D8 02 00 00 EB 7B 80 FA 02 75 1F 8B 86 DC 02 00 00 29 86 D8 02 00 00 83 BE D8 02 00 00 00 7D 61 33 C0 89 86 D8 02 00 00 EB 57 80 FA 03 75 22 8B 86 DC 02 00 00 01 86 D8 02 00 00 8B 86 D4 02 00 00 3B 86 D8 02 00 00 7D 38 89 86 D8 02 00 00 EB 30 8B C2 04 FC 2C 02 73 08 89 8E D8 02 00 00 EB 20 80 FA 06 75 0A 33 C0 89 86 D8 02 00 00 EB 11 80 FA 07 75 0C 8B 86 D4 02 00 00 89 86 D8 02 00 00 3B BE D8 02 00 00 74 3B 6A FF 8B 86 D8 02 00 00 50 0F B6 86 80 02 00 00 8B 04 85 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 01 01 00 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_74020_0 {
	meta:
		name = "TCategoryButtons.SetImages"
		size = 77
		refs = "001b TCustomImageList.UnRegisterChanges 0032 TCustomImageList.RegisterChanges 003f TComponent.FreeNotification 0046 TCategoryButtons.UpdateAllButtons"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 BC 02 00 00 3B F0 74 3A 85 C0 74 0B 8B 93 B8 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 BC 02 00 00 85 C0 74 18 8B 93 B8 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74021_0 {
	meta:
		name = "TCategoryButtons.DrawButton"
		size = 1720
		refs = "0025 TCategoryButtons.DrawButton 006d TStyleManager.GetActiveStyle 00b7 InflateRect 00e9 GetShadowColor 012a TCustomStyleServices.GetElementColor 02a5 TFont.SetColor 02b3 TBrush.SetColor 02b8 TStyleManager.GetIsCustomStyleActive 02c4 TCanvas.GetHandle 02ca SaveDC 02f6 TCustomStyleServices.DrawElement 0315 RestoreDC 031b @HandleFinally 0390 TCustomCanvas.TextHeight 041e TCustomImageList.GetCount 046e TCustomImageList.Draw 054e TBrush.SetStyle 05ab @UStrLAsg 0683 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 88 53 56 57 33 DB 89 5D FC 8B 75 0C 8D 7D C4 A5 A5 A5 A5 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 66 83 B8 6A 03 00 00 00 74 30 8B 45 F8 F6 40 1C 10 75 27 8B 45 F0 50 8D 45 C4 50 0F B7 45 08 50 8B 5D F8 8B 4D F4 8B 55 F8 8B 83 6C 03 00 00 FF 93 68 03 00 00 E9 F5 05 00 00 E8 ?? ?? ?? ?? 89 45 E0 8D 75 C4 8D 7D 94 A5 A5 A5 A5 8B 45 F8 66 83 B8 72 03 00 00 00 74 22 8B 45 F0 50 8D 45 C4 50 0F B7 45 08 50 8B 5D F8 8B 4D F4 8B 55 F8 8B 83 74 03 00 00 FF 93 70 03 00 00 8D 45 C4 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 8B 45 F8 8B 40 6C 8B 58 18 F6 45 08 02 0F 84 A1 00 00 00 8B 45 F8 8B 80 04 03 00 00 89 45 E8 F6 45 08 01 74 10 BA F6 FF FF FF 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E8 BA CE FF FF FF 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E0 8B 10 FF 52 48 84 C0 0F 84 8C 01 00 00 8D 4D 88 B2 06 8B 45 E0 8B 30 FF 56 5C 8D 45 DC 50 B1 02 8D 55 88 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 74 0C 81 7D DC FF FF FF 1F 74 03 8B 5D DC 8D 45 DC 50 33 C9 8D 55 88 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 84 45 01 00 00 81 7D DC FF FF FF 1F 0F 84 38 01 00 00 8B 45 DC 89 45 E4 E9 2D 01 00 00 F6 45 08 01 0F 84 8B 00 00 00 8B 45 F8 8B 80 08 03 00 00 89 45 E8 BA CE FF FF FF 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E0 8B 10 FF 52 48 84 C0 0F 84 F7 00 00 00 8D 4D 88 B2 07 8B 45 E0 8B 30 FF 56 5C 8D 45 DC 50 B1 02 8D 55 88 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 74 0C 81 7D DC FF FF FF 1F 74 03 8B 5D DC 8D 45 DC 50 33 C9 8D 55 88 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 84 B0 00 00 00 81 7D DC FF FF FF 1F 0F 84 A3 00 00 00 8B 45 DC 89 45 E4 E9 98 00 00 00 8B 45 F8 8B 80 0C 03 00 00 89 45 E8 F6 45 08 04 74 18 8B 45 F8 8B 80 08 03 00 00 BA CE FF FF FF E8 ?? ?? ?? ?? 89 45 E4 EB 10 BA CE FF FF FF 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E0 8B 10 FF 52 48 84 C0 74 52 8D 4D 88 B2 05 8B 45 E0 8B 30 FF 56 5C 8D 45 DC 50 B1 02 8D 55 88 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 74 0C 81 7D DC FF FF FF 1F 74 03 8B 5D DC 8D 45 DC 50 33 C9 8D 55 88 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 74 0F 81 7D DC FF FF FF 1F 74 06 8B 45 DC 89 45 E4 8B 45 F0 8B 40 40 8B D3 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 48 8B 55 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 61 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C4 50 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8D 4D 88 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 50 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 81 7D E8 FF FF FF 1F 74 24 8D 55 C4 8B 45 F0 8B 08 FF 51 54 8B 45 F0 8B 40 48 8B 55 E4 E8 ?? ?? ?? ?? 8D 55 C4 8B 45 F0 8B 08 FF 51 5C F6 45 08 04 74 19 8D 45 C4 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 8D 55 C4 8B 45 F0 8B 08 FF 51 5C 8B 45 F0 8B 40 48 8B 55 E8 E8 ?? ?? ?? ?? 8B 75 C4 83 C6 04 8B 7D D0 2B 7D C8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B DF 2B D8 D1 FB 79 03 83 D3 00 03 5D C8 8B 45 F8 F6 80 E4 02 00 00 04 74 03 83 C6 04 8B 45 C8 3B D8 7D 02 8B D8 F6 45 08 08 74 02 43 46 33 C0 89 45 EC 8B 45 F8 66 83 B8 5A 03 00 00 00 74 2B 8B 45 F0 50 8D 45 94 50 0F B7 45 08 50 8D 45 EC 50 8B 7D F8 8B 4D F4 8B 55 F8 8B 87 5C 03 00 00 FF 97 58 03 00 00 E9 83 00 00 00 8B 45 F8 83 B8 BC 02 00 00 00 74 77 8B 45 F4 83 78 18 FF 7E 6E 8B 45 F8 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 3B 42 18 7E 58 8B 45 F8 8B 80 BC 02 00 00 FF 70 38 8B C7 5A 2B C2 D1 F8 79 03 83 D0 00 03 45 C8 3B 45 C8 7D 03 8B 45 C8 F6 45 08 08 74 01 40 50 8B 45 F4 8B 40 18 50 6A 01 8B CE 49 8B 45 F8 8B 80 BC 02 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 BC 02 00 00 8B 40 3C 40 89 45 EC 0F B7 45 08 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 0F 84 8F 00 00 00 BA CE FF FF FF 8B 45 E4 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 40 48 E8 ?? ?? ?? ?? 56 8D 75 C4 8D 7D B4 A5 A5 A5 A5 5E F6 45 08 20 74 0F 83 6D B4 02 8B 45 B4 83 C0 02 89 45 BC EB 3B F6 45 08 40 74 0E FF 4D B8 8B 45 B8 83 C0 02 89 45 C0 EB 27 F6 45 08 80 74 0F 83 45 BC 02 8B 45 BC 83 E8 02 89 45 B4 EB 12 F6 45 09 01 74 0C FF 45 C0 8B 45 C0 83 E8 02 89 45 B8 8D 55 B4 8B 45 F0 8B 08 FF 51 54 8B 45 F0 8B 40 48 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 F8 F6 80 E4 02 00 00 10 0F 84 F6 00 00 00 81 7D E8 FF FF FF 1F 75 0D 8B 45 F0 8B 40 48 B2 01 E8 ?? ?? ?? ?? 03 75 EC 89 75 A4 8B 45 CC 83 E8 02 89 45 AC 89 5D A8 8B 45 D0 83 E8 02 89 45 B0 8B 45 F8 66 83 B8 62 03 00 00 00 74 27 8B 45 F0 50 8D 45 A4 50 0F B7 45 08 50 8B 5D F8 8B 4D F4 8B 55 F8 8B 83 64 03 00 00 FF 93 60 03 00 00 E9 91 00 00 00 8D 45 FC 8B 55 F4 8B 52 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 56 8B 45 F0 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8D 45 D4 50 B1 02 8D 55 88 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 F0 8B 40 40 8B 55 D4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 4D FC 8D 55 A4 8B 45 F0 8B 18 FF 93 94 00 00 00 8B 45 F0 8B 40 48 33 D2 E8 ?? ?? ?? ?? EB 24 8B 45 F0 8B 40 48 B2 01 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 4D FC 8D 55 A4 8B 45 F0 8B 18 FF 93 94 00 00 00 8B 45 F8 66 83 B8 7A 03 00 00 00 74 22 8B 45 F0 50 8D 45 94 50 0F B7 45 08 50 8B 5D F8 8B 4D F4 8B 55 F8 8B 83 7C 03 00 00 FF 93 78 03 00 00 8B 45 F8 8B 50 74 8B 45 F0 8B 40 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 02 00 00 00 57 00 67 00 00 00 00 00 E0 01 00 00 00 00 00 00 10 00 01 00 }
	condition:
		$1
}

rule function_74022_0 {
	meta:
		name = "TCategoryButtons.SetOnDrawButton"
		size = 39
	strings:
		$1 = { 55 8B EC 56 8B F0 8B 45 08 89 86 68 03 00 00 8B 45 0C 89 86 6C 03 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_74023_0 {
	meta:
		name = "TCategoryButtons.SetOnDrawIcon"
		size = 39
	strings:
		$1 = { 55 8B EC 56 8B F0 8B 45 08 89 86 58 03 00 00 8B 45 0C 89 86 5C 03 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_74024_0 {
	meta:
		name = "TCategoryButtons.CalcBufferSizes"
		size = 160
		refs = "0007 TWinControl.HandleAllocated 0019 TCanvas.SetFont 001e TCategoryButtons.CalcBufferSizes 0029 TCustomCanvas.TextHeight"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 79 8B 53 6C 8B 83 78 02 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B F0 89 B3 84 02 00 00 46 89 B3 AC 02 00 00 8B 83 EC 02 00 00 89 83 B0 02 00 00 F6 83 E4 02 00 00 20 0F 95 C0 80 BB 80 02 00 00 00 0F 94 C2 84 C2 75 0D 80 BB 80 02 00 00 01 75 15 84 C0 75 11 8B 83 AC 02 00 00 83 C0 08 89 83 B4 02 00 00 EB 0A C7 83 B4 02 00 00 08 00 00 00 5E 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 57 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_74025_0 {
	meta:
		name = "TCategoryButtons.CreateHandle"
		size = 32
		refs = "0007 TWinControl.CreateHandle 000e TCategoryButtons.CalcBufferSizes 0019 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE D0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74026_0 {
	meta:
		name = "TCategoryButtons.WMMouseLeave"
		size = 100
		refs = "001a TCategoryButtons.UpdateButton 002d @CallDynaInst 003e TDragImageList.HideDragImage 0045 TCategoryButtons.RemoveInsertionPoints 004c TWinControl.GetHandle 0052 UpdateWindow 005d TDragImageList.ShowDragImage"
	strings:
		$1 = { 53 56 8B D8 C6 83 FC 02 00 00 00 8B 83 90 02 00 00 85 C0 74 1C 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 90 02 00 00 8B C3 66 BE AC FF E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 80 78 7A 00 74 24 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74027_0 {
	meta:
		name = "TCategoryButtons.MouseDown"
		size = 287
		refs = "0025 TControl.MouseDown 0042 TCategoryButtons.GetCategoryAt 0055 TCategoryButtons.GetButtonAt 0066 @CallDynaInst 0080 TWinControl.GetHandle 0086 SetFocus 0099 TCategoryButtons.SetSelectedItem 00cd TCategoryButtons.UpdateButton"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 66 89 4D FD 88 55 FF 8B D8 8B 7D 0C 57 8B 45 08 50 0F B7 4D FD 0F B6 55 FF 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 0F 85 E3 00 00 00 C6 83 A0 02 00 00 00 8B 4D 08 8B D7 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 50 8B 4D 08 8B D7 8B C3 E8 ?? ?? ?? ?? 89 83 88 02 00 00 8B C3 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 1C 8B C3 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 0D 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 88 02 00 00 85 C0 74 3F 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 88 02 00 00 89 83 8C 02 00 00 89 7D F0 8B 45 08 89 45 F4 8B 45 F0 89 83 98 02 00 00 8B 45 F4 89 83 9C 02 00 00 8B 93 88 02 00 00 8B C3 E8 ?? ?? ?? ?? EB 43 83 7D F8 00 74 3D 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE A7 FF E8 ?? ?? ?? ?? 84 C0 74 24 8B 45 F8 89 83 94 02 00 00 89 7D E8 8B 45 08 89 45 EC 8B 45 E8 89 83 98 02 00 00 8B 45 EC 89 83 9C 02 00 00 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_74028_0 {
	meta:
		name = "TCategoryButtons.BeginAutoDrag"
		size = 133
		refs = "000d Mouse 0014 TMouse.GetCursorPos 0021 TControl.ScreenToClient 0048 TCategoryButtons.GetButtonAt"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8D 54 24 08 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 54 24 08 8B CC 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 83 98 02 00 00 8B 44 24 04 89 83 9C 02 00 00 8D B3 98 02 00 00 6A 00 8B 4E 04 8B 16 8B C3 E8 ?? ?? ?? ?? 8B F8 89 BB 8C 02 00 00 85 FF 74 26 C6 83 A0 02 00 00 01 A1 ?? ?? ?? ?? 8B 00 8B 48 08 A1 ?? ?? ?? ?? 8B 00 0F B6 50 04 8B C3 8B 18 FF 93 FC 00 00 00 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74029_0 {
	meta:
		name = "TCategoryButtons.MouseMove"
		size = 342
		refs = "001e TControl.MouseMove 0029 @CallDynaInst 004c Mouse 00a6 TCategoryButtons.UpdateButton 00ad TWinControl.GetHandle 00b3 UpdateWindow 00e4 TCategoryButtons.GetButtonAt 0149 TrackMouseEvent"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 66 89 55 FE 8B D8 8B 45 08 50 8B CF 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE A7 FF E8 ?? ?? ?? ?? 84 C0 0F 84 A5 00 00 00 83 BB 8C 02 00 00 00 75 0D 83 BB 94 02 00 00 00 0F 84 8F 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 48 08 8B 83 98 02 00 00 2B C7 99 33 C2 2B C2 3B C8 7E 12 8B 83 9C 02 00 00 2B 45 08 99 33 C2 2B C2 3B C8 7F 62 89 BB 98 02 00 00 8B 45 08 89 83 9C 02 00 00 33 C0 89 83 88 02 00 00 8B 83 90 02 00 00 85 C0 74 29 8B D0 33 C0 89 83 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 66 BE AC FF E8 ?? ?? ?? ?? C6 83 A0 02 00 00 01 83 C9 FF B2 01 8B C3 8B 18 FF 93 FC 00 00 00 EB 73 6A 00 8B 4D 08 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 93 90 02 00 00 3B C2 74 25 89 83 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE AC FF E8 ?? ?? ?? ?? 80 BB FC 02 00 00 00 75 2D C6 83 FC 02 00 00 01 C7 45 EC 10 00 00 00 C7 45 F0 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 89 45 F8 8D 45 EC 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_74030_0 {
	meta:
		name = "TCategoryButtons.MouseUp"
		size = 273
		refs = "0022 TControl.MouseUp 0062 TCategoryButtons.UpdateButton 0075 TCategoryButtons.GetButtonAt 0082 TCategoryButtons.SetSelectedItem 0093 @CallDynaInst 00a2 TCategoryButtons.GetCategoryAt 00c9 TCategoryButtons.GetCategoryRect 00e0 PtInRect 00f2 TButtonCategory.SetCollapsed"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 66 89 4D FE 8B DA 8B F8 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B D3 8B C7 E8 ?? ?? ?? ?? 84 DB 0F 85 D3 00 00 00 80 BF A0 02 00 00 00 0F 85 C6 00 00 00 8B B7 88 02 00 00 33 C0 89 87 88 02 00 00 33 C0 89 87 8C 02 00 00 33 C0 89 87 94 02 00 00 85 F6 74 09 8B D6 8B C7 E8 ?? ?? ?? ?? 85 F6 74 2F 6A 00 8B 4D 08 8B 55 0C 8B C7 E8 ?? ?? ?? ?? 3B F0 75 1C 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 97 F4 02 00 00 8B C7 66 BE A9 FF E8 ?? ?? ?? ?? EB 5D 8B 4D 08 8B 55 0C 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 74 4A 83 7B 24 00 74 44 8B 43 24 8B 40 08 83 78 08 00 7E 38 8D 45 E4 50 B1 01 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 0C 89 45 F4 8B 45 08 89 45 F8 8D 55 F4 8D 45 E4 E8 ?? ?? ?? ?? 84 C0 74 0E 0F B6 53 14 80 F2 01 8B C3 E8 ?? ?? ?? ?? 8B C7 66 BE EC FF E8 ?? ?? ?? ?? C6 87 A0 02 00 00 00 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_74031_0 {
	meta:
		name = "TCategoryButtons.GetButtonAt"
		size = 285
		refs = "0024 TCategoryButtons.GetCategoryAt 003e TCategoryButtons.GetScrollOffset 0060 TCategoryButtons.GetCategoryBounds 00dc TCategoryButtons.CalcButtonsPerRow 010a TButtonCollection.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B F9 89 55 FC 8B D8 8B 75 08 33 C0 89 45 F8 85 F6 75 0E 8B CF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 DF 00 00 00 80 BB 80 02 00 00 00 75 0B 8B C3 E8 ?? ?? ?? ?? 03 F8 EB 0A 8B C3 E8 ?? ?? ?? ?? 01 45 FC 8D 45 E4 50 8D 45 D4 50 8B 4E 28 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 D4 0F 8C A1 00 00 00 8B 45 FC 3B 45 DC 0F 8F 95 00 00 00 3B 7D D8 0F 8C 8C 00 00 00 3B 7D E0 0F 8F 83 00 00 00 8B C7 2B 45 D8 99 F7 BB EC 02 00 00 89 45 F4 0F B6 8B 80 02 00 00 84 C9 75 0D F6 83 E4 02 00 00 04 74 04 33 FF EB 20 8B 45 FC 2B 45 D4 99 F7 BB E8 02 00 00 8B F8 8D 47 01 F7 AB E8 02 00 00 03 45 D4 3B 45 DC 7F 3C 84 C9 75 09 8B C3 E8 ?? ?? ?? ?? EB 0D 8B 45 DC 2B 45 D4 99 F7 BB E8 02 00 00 8B 55 F4 0F AF D0 03 FA 8B C7 8B 56 24 85 D2 74 11 8B 4A 08 3B 41 08 7D 09 92 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_74032_0 {
	meta:
		name = "TCategoryButtons.DoItemClicked"
		size = 233
		refs = "000d _DV_TButtonItem 0012 @IsClass 0027 @AsClass 0045 TBaseButtonItem.GetAction 00bd _DV_TButtonCategory"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9B 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 46 28 89 04 24 8B 46 2C 89 44 24 04 66 83 7C 24 02 00 74 1F 8B C6 E8 ?? ?? ?? ?? 85 C0 74 14 8B C6 E8 ?? ?? ?? ?? 8B 40 48 3B 04 24 0F 94 C0 34 01 EB 02 33 C0 84 C0 74 0B 8B D3 8B 44 24 04 FF 14 24 EB 72 F6 43 1C 10 75 12 83 7E 14 00 74 0C 8B 46 14 8B D3 8B 08 FF 51 18 EB 5A 66 83 7C 24 02 00 74 0B 8B D3 8B 44 24 04 FF 14 24 EB 47 66 83 BB 22 03 00 00 00 74 3D 8B CE 8B D3 8B 83 24 03 00 00 FF 93 20 03 00 00 EB 2B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 66 83 BB 2A 03 00 00 00 74 10 8B CE 8B D3 8B 83 2C 03 00 00 FF 93 28 03 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_74033_0 {
	meta:
		name = "TCategoryButtons.DoItemNotify"
		size = 103
		refs = "001f TCategoryButtons.SetSelectedItem 0030 TCategoryButtons.SetFocusedItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 08 75 58 49 80 E9 02 73 52 3B B3 F4 02 00 00 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 3B B3 F8 02 00 00 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 3B B3 88 02 00 00 75 08 33 C0 89 83 88 02 00 00 3B B3 8C 02 00 00 75 08 33 C0 89 83 8C 02 00 00 3B B3 90 02 00 00 75 08 33 C0 89 83 90 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_74034_0 {
	meta:
		name = "TCategoryButtons.DoItemUpdate"
		size = 64
		refs = "0017 _DV_TButtonItem 001c @AsClass 0025 TCategoryButtons.UpdateButton 0032 @CallDynaInst 0039 TCategoryButtons.UpdateAllButtons"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB D0 02 00 00 00 75 2E 85 F6 74 18 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 12 8B C3 66 BE D0 FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74035_0 {
	meta:
		name = "TCategoryButtons.DragDrop"
		size = 245
		refs = "0024 _Dn_TBaseDragControlObject 0029 @IsClass 0041 TCategoryButtons.RemoveInsertionPoints 0055 TCategoryButtons.GetTargetAt 0074 GetKeyState 0091 @CallDynaInst 00e8 TControl.DragDrop"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B DA 8B F8 F6 87 E4 02 00 00 01 0F 84 C1 00 00 00 3B FB 74 1E 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A8 00 00 00 3B 7B 40 0F 85 9F 00 00 00 8B C7 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 45 F8 50 8B 4D 08 8B D6 8B C7 E8 ?? ?? ?? ?? 83 7D F8 00 74 52 83 BF 8C 02 00 00 00 74 49 F6 87 E4 02 00 00 02 74 26 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 1A 8B 45 FC 50 8B 4D F8 8B 97 8C 02 00 00 8B C7 66 BE AD FF E8 ?? ?? ?? ?? EB 34 8B 45 FC 50 8B 4D F8 8B 97 8C 02 00 00 8B C7 66 BE AB FF E8 ?? ?? ?? ?? EB 1A 8B 87 94 02 00 00 85 C0 74 10 8B 4D F8 8B D0 8B C7 66 BE AA FF E8 ?? ?? ?? ?? 33 C0 89 87 8C 02 00 00 33 C0 89 87 94 02 00 00 EB 0F 8B 45 08 50 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_74036_0 {
	meta:
		name = "TCategoryButtons.DragOver"
		size = 527
		refs = "0028 _Dn_TBaseDragControlObject 002d @IsClass 0048 TCategoryButtons.ShouldScrollDown 0055 TCategoryButtons.AutoScroll 0061 TCategoryButtons.ShouldScrollUp 0083 TCategoryButtons.GetTargetAt 0093 GetKeyState 00ca TCollectionItem.GetIndex 0116 TButtonItem.GetCategory 01ac TCategoryButtons.SetInsertionButton 01bf TDragImageList.HideDragImage 01c6 TCategoryButtons.RemoveInsertionPoints 01d9 TWinControl.GetHandle 01df UpdateWindow 01ea TDragImageList.ShowDragImage 0202 TControl.DragOver"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 F6 83 E4 02 00 00 01 0F 84 D0 01 00 00 3B DE 74 1E 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B7 01 00 00 3B 5E 40 0F 85 AE 01 00 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B B2 01 8B C3 E8 ?? ?? ?? ?? EB 17 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 45 F4 50 8B 4D 10 8B 55 FC 8B C3 E8 ?? ?? ?? ?? F6 83 E4 02 00 00 02 74 21 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 15 83 BB 8C 02 00 00 00 0F 95 07 66 C7 83 82 00 00 00 E9 FF EB 40 8B B3 8C 02 00 00 85 F6 74 25 3B 75 F8 74 20 83 7D F8 00 74 1A 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 40 3B F0 75 04 33 C0 EB 02 B0 01 88 07 66 C7 83 82 00 00 00 F4 FF 80 3F 00 0F 85 95 00 00 00 83 BB 8C 02 00 00 00 74 41 83 7D F4 00 74 3B 83 7D F8 00 74 39 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 3B 45 F4 75 29 8B 83 8C 02 00 00 3B 45 F8 74 1A 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 40 3B F0 75 04 33 C0 EB 02 B0 01 88 07 80 3F 00 75 3E 83 BB 94 02 00 00 00 74 35 33 C0 89 45 F8 8B B3 94 02 00 00 3B 75 F4 0F 95 07 80 3F 00 74 1F 83 7D F4 00 75 19 8B C6 E8 ?? ?? ?? ?? 8B 93 E0 02 00 00 8B 52 08 8B 52 08 4A 3B C2 0F 95 07 83 BB 8C 02 00 00 00 74 6E 80 3F 00 74 15 80 7D 0C 01 74 0F 8B 4D F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 54 8B 83 A4 02 00 00 80 78 7A 00 74 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 80 78 7A 00 74 30 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? EB 16 8B 45 10 50 0F B6 45 0C 50 57 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_74037_0 {
	meta:
		name = "TCategoryButtons.DoHotButton"
		size = 35
	strings:
		$1 = { 53 66 83 B8 4A 03 00 00 00 74 16 8B D8 8B 88 90 02 00 00 8B D0 8B 83 4C 03 00 00 FF 93 48 03 00 00 5B C3 }
	condition:
		$1
}

rule function_74038_0 {
	meta:
		name = "TCategoryButtons.GenerateDragImage"
		size = 628
		refs = "000e _Dn_TBitmap 0013 TBitmap.Create 001e TCategoryButtons.GenerateDragImage 003e TCategoryButtons.GetButtonRect 0083 TBitmap.GetCanvas 0090 TBrush.SetColor 00b0 Rect 0123 TCategoryButtons.GetCategoryRect 01a5 TCategoryButtons.DrawCategory 01c6 TCustomImageList.Clear 01db TCustomImageList.SetWidth 01f0 TCustomImageList.SetHeight 0200 TCustomImageList.Add 020f Mouse 0256 TObject.Free 025c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 9E 8C 02 00 00 85 DB 0F 84 D4 00 00 00 8D 4D E4 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 2B 55 E4 8B 45 FC 8B 08 FF 51 44 8B 55 F0 2B 55 E8 8B 45 FC 8B 08 FF 51 38 0F B7 3D ?? ?? ?? ?? 8B 86 F4 02 00 00 3B 86 8C 02 00 00 75 0C 0F B7 05 ?? ?? ?? ?? 66 0B C7 8B F8 8B 45 FC E8 ?? ?? ?? ?? 8B 40 48 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 50 8D 45 D4 50 8B 45 FC 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D4 50 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 8B 45 FC 8B 10 FF 52 24 50 8D 45 D4 50 8B 45 FC 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D4 50 57 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 96 8C 02 00 00 8B C6 8B 18 FF 93 00 01 00 00 E9 9F 00 00 00 8B 9E 94 02 00 00 85 DB 0F 84 91 00 00 00 8D 45 E4 50 8B D3 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 2B 55 E4 83 C2 03 8B 45 FC 8B 08 FF 51 44 8B 55 F0 2B 55 E8 83 C2 02 8B 45 FC 8B 08 FF 51 38 8B 45 FC E8 ?? ?? ?? ?? 8B 40 48 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 50 8D 45 D4 50 8B 45 FC 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D4 50 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 96 94 02 00 00 8B C6 E8 ?? ?? ?? ?? 83 BE 8C 02 00 00 00 75 0D 83 BE 94 02 00 00 00 0F 84 86 00 00 00 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 30 8B D0 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 8B D0 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B 86 A4 02 00 00 33 C9 8B 55 FC E8 ?? ?? ?? ?? 8B 86 98 02 00 00 2B 45 E4 8B 15 ?? ?? ?? ?? 8B 12 8B 52 08 2B C2 8B 8E 9C 02 00 00 2B 4D E8 2B CA 8B D1 89 45 F4 89 55 F8 8B 86 A4 02 00 00 8B 55 F4 89 90 80 00 00 00 8B 55 F8 89 90 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 10 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_74040_0 {
	meta:
		name = "TCategoryButtons.GetDragImages"
		size = 7
	strings:
		$1 = { 8B 80 A4 02 00 00 C3 }
	condition:
		$1
}

rule function_74041_0 {
	meta:
		name = "ClearSelection"
		size = 27
		refs = "0015 TCategoryButtons.UpdateButton"
	strings:
		$1 = { 55 8B EC 83 38 00 74 11 8B 10 33 C9 89 08 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_74042_0 {
	meta:
		name = "TCategoryButtons.RemoveInsertionPoints"
		size = 70
		refs = "0011 ClearSelection"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 55 8B 45 FC 05 C4 02 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 FC 05 C0 02 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 FC 05 C8 02 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 FC 05 CC 02 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_74043_0 {
	meta:
		name = "TCategoryButtons.DoReorderButton"
		size = 319
		refs = "0022 TCategoryButtons.DoReorderButton 0030 TButtonItem.GetCategory 0053 TCollectionItem.GetIndex 00c7 @CallDynaInst 00e4 @HandleFinally 00ee TWinControl.HandleAllocated 0103 TWinControl.GetHandle 0109 RedrawWindow"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 89 55 F8 89 45 FC 8B 5D 08 8B 45 FC C6 80 D0 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 85 DB 74 37 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 75 22 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7E 01 4B 8B D3 8B 45 F8 8B 08 FF 51 14 EB 59 83 7D F4 00 74 53 8B 45 F8 E8 ?? ?? ?? ?? 3B 45 F4 75 17 8B 45 F4 8B 40 24 8B 40 08 8B 50 08 4A 8B 45 F8 8B 08 FF 51 14 EB 2F 8B 45 F4 8B 50 24 8B 45 F8 8B 08 FF 51 10 85 DB 74 11 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 14 8B 45 FC 66 BE D0 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 D0 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 17 68 01 01 00 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 82 03 00 00 00 74 1D 8B 45 F0 50 8B 45 F4 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 83 84 03 00 00 FF 93 80 03 00 00 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_74044_0 {
	meta:
		name = "TCategoryButtons.ShouldScrollDown"
		size = 196
		refs = "0026 TCategoryButtons.GetScrollBuffer 0031 Mouse 0038 TMouse.GetCursorPos 0047 TControl.ScreenToClient 00a2 TCategoryButtons.ShouldScrollDown 00a7 @TRUNC"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 89 14 24 8B F0 8B 86 D8 02 00 00 3B 86 D4 02 00 00 0F 9C C3 84 DB 0F 84 90 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 8D 54 24 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 54 24 0C 8D 4C 24 04 8B C6 E8 ?? ?? ?? ?? 80 BE 80 02 00 00 01 75 12 8B 44 24 04 8B 54 24 08 8B E8 8B 46 54 8B 76 50 EB 0E 8B 46 50 8B 76 54 8B 54 24 04 8B 6C 24 08 85 D2 7C 10 3B C2 7C 0C 3B F5 7C 08 8B C6 2B C7 3B E8 7D 04 33 DB EB 27 2B F5 89 74 24 14 DB 44 24 14 89 7C 24 18 DB 44 24 18 DE F9 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 14 8B 14 24 89 02 8B C3 83 C4 1C 5D 5F 5E 5B C3 00 00 00 00 00 C8 43 }
	condition:
		$1
}

rule function_74045_0 {
	meta:
		name = "TCategoryButtons.ShouldScrollUp"
		size = 176
		refs = "0021 TCategoryButtons.GetScrollBuffer 002c Mouse 0033 TMouse.GetCursorPos 0042 TControl.ScreenToClient 0091 TCategoryButtons.ShouldScrollUp 0096 @TRUNC"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 89 14 24 8B F0 83 BE D8 02 00 00 00 0F 9F C3 84 DB 0F 84 84 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B E8 8D 54 24 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 54 24 0C 8D 4C 24 04 8B C6 E8 ?? ?? ?? ?? 80 BE 80 02 00 00 01 75 0F 8B 44 24 04 8B 54 24 08 8B F8 8B 46 54 EB 0B 8B 46 50 8B 54 24 04 8B 7C 24 08 85 D2 7C 0C 3B C2 7C 08 85 FF 7C 04 3B EF 7D 04 33 DB EB 25 89 7C 24 14 DB 44 24 14 89 6C 24 18 DB 44 24 18 DE F9 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 14 8B 14 24 89 02 8B C3 83 C4 1C 5D 5F 5E 5B C3 00 00 C8 43 }
	condition:
		$1
}

rule function_74046_0 {
	meta:
		name = "ShouldContinue"
		size = 42
		refs = "0015 TCategoryButtons.ShouldScrollDown 0024 TCategoryButtons.ShouldScrollUp"
	strings:
		$1 = { 55 8B EC 8B 55 08 80 7A FF 01 75 0F 8B D0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 5D C3 8B D0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_74047_0 {
	meta:
		name = "TCategoryButtons.AutoScroll"
		size = 161
		refs = "0019 TDragImageList.HideDragImage 0021 TCategoryButtons.RemoveInsertionPoints 002f TDragImageList.ShowDragImage 0038 GetTickCount 004e Sleep 006c TCategoryButtons.ScrollPosChanged 0074 TWinControl.GetHandle 007a UpdateWindow 0091 ShouldContinue"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 55 FF 89 45 F8 8B 45 F8 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 33 FF EB 55 E8 ?? ?? ?? ?? 8B D8 8B F3 2B F7 3B 75 F4 73 0B 8B 45 F4 2B C6 50 E8 ?? ?? ?? ?? 8B FB 8B 45 F8 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 0F B6 55 FF 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 55 8D 45 F4 E8 ?? ?? ?? ?? 59 84 C0 75 9D 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74048_0 {
	meta:
		name = "TCategoryButtons.GetNextButtonInGroup"
		size = 93
		refs = "0012 _DV_TButtonItem 0017 @AsClass 001c TButtonItem.GetCategory 0029 TCollectionItem.GetIndex 0050 TButtonCollection.GetItem"
	strings:
		$1 = { 53 56 57 55 8B D9 8B EA 33 FF 85 ED 74 48 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 84 DB 74 0A 8B C5 E8 ?? ?? ?? ?? 40 EB 08 8B C5 E8 ?? ?? ?? ?? 48 83 F8 FF 7E 19 83 7E 24 00 74 13 8B 56 24 8B 4A 08 3B 41 08 7D 08 92 E8 ?? ?? ?? ?? 8B F8 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74049_0 {
	meta:
		name = "TCategoryButtons.GetTargetAt"
		size = 396
		refs = "0020 TCategoryButtons.GetCategoryAt 0032 TCategoryButtons.GetButtonAt 0049 TCategoryButtons.GetButtonRect 0059 TCategoryButtons.CalcButtonsPerRow 0081 TCategoryButtons.GetNextButtonInGroup 0087 _DV_TButtonItem 008c @AsClass 0102 TCategoryButtons.GetScrollOffset 0152 TButtonCollection.GetItem 015d TControl.GetClientWidth"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 7D 0C 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 06 8B 06 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 07 83 3F 00 0F 84 8D 00 00 00 8D 4D E8 8B 17 8B C3 E8 ?? ?? ?? ?? 80 BB 80 02 00 00 00 75 41 8B C3 E8 ?? ?? ?? ?? 48 75 37 8B 55 F4 8B 45 EC 2B D0 D1 FA 79 03 83 D2 00 03 D0 3B 55 F8 0F 8D 09 01 00 00 8B 17 B1 01 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 07 E9 EC 00 00 00 8B 55 F0 8B 45 E8 2B D0 D1 FA 79 03 83 D2 00 03 D0 3B 55 FC 0F 8D D2 00 00 00 8B 17 B1 01 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 07 E9 B5 00 00 00 83 3E 00 0F 84 AC 00 00 00 8B 06 83 78 24 00 0F 84 A0 00 00 00 8B 06 8B 40 24 8B 40 08 8B 40 08 85 C0 0F 8E 8D 00 00 00 80 BB 80 02 00 00 00 75 0C 8B C3 E8 ?? ?? ?? ?? 01 45 F8 EB 0A 8B C3 E8 ?? ?? ?? ?? 01 45 FC 80 BB 80 02 00 00 00 75 3C 8B C3 E8 ?? ?? ?? ?? 48 75 32 8B 16 8B 52 2C 8B 06 8B 40 28 2B D0 D1 FA 79 03 83 D2 00 03 D0 3B 55 F8 7E 41 8B 06 80 78 14 00 75 39 8B 06 8B 40 24 33 D2 E8 ?? ?? ?? ?? 89 07 EB 29 8B C3 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 3B 45 FC 7E 16 8B 06 80 78 14 00 75 0E 8B 06 8B 40 24 33 D2 E8 ?? ?? ?? ?? 89 07 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_74050_0 {
	meta:
		name = "TCategoryButtons.HasVerticalCaption"
		size = 108
	strings:
		$1 = { 56 8B F2 B2 01 80 B8 80 02 00 00 00 75 2E F6 80 E4 02 00 00 20 74 0C 80 7E 14 00 75 06 83 7E 24 00 75 04 B0 01 EB 0D 8B 46 24 8B 40 08 83 78 08 00 0F 94 C0 84 C0 74 30 33 D2 EB 2C F6 80 E4 02 00 00 20 75 23 80 7E 14 00 75 06 83 7E 24 00 75 04 B0 01 EB 0D 8B 46 24 8B 40 08 83 78 08 00 0F 94 C0 84 C0 75 02 33 D2 8B C2 5E C3 }
	condition:
		$1
}

rule function_74051_0 {
	meta:
		name = "TCategoryButtons.GetInplaceEditBounds"
		size = 158
		refs = "0011 TCategoryButtons.GetButtonRect 0019 _DV_TButtonItem 001e @IsClass 0033 InflateRect 004d TCustomImageList.GetCount 0068 _DV_TButtonCategory 0080 TCategoryButtons.AdjustCategoryBounds"
	strings:
		$1 = { 53 56 57 55 8B F1 8B FA 8B D8 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3E 8B C6 B9 FD FF FF FF BA FD FF FF FF E8 ?? ?? ?? ?? 83 06 02 8B AB BC 02 00 00 85 ED 74 55 83 7F 18 FF 7E 4F 8B C5 E8 ?? ?? ?? ?? 3B 47 18 7E 43 8B 83 BC 02 00 00 8B 40 3C 40 01 06 EB 35 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B C7 6A 01 8B CE 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 83 C9 FF BA FD FF FF FF E8 ?? ?? ?? ?? FF 46 04 83 06 0E 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74052_0 {
	meta:
		name = "FixIncAmount"
		size = 74
	strings:
		$1 = { 55 8B EC 53 56 8B 55 08 8B 52 FC 8B 8A E0 02 00 00 8B D1 8B 52 08 8B 52 08 8B 5D 08 8B 73 F8 03 F0 3B D6 7F 13 8B D1 8B 52 08 8B 52 08 2B D0 4A 8B 45 08 89 50 F8 EB 0E 85 F6 7D 0A 33 D2 2B D0 8B 45 08 89 50 F8 5E 5B 5D C3 }
	condition:
		$1
}

rule function_74053_0 {
	meta:
		name = "CalcRowsSeen"
		size = 31
		refs = "000a TControl.GetClientHeight"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 8A EC 02 00 00 99 F7 F9 5D C3 }
	condition:
		$1
}

rule function_74054_0 {
	meta:
		name = "GetNextItem"
		size = 128
		refs = "0039 TButtonCategories.GetItem 006a TButtonCollection.GetItem"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 33 D2 89 55 FC 8B 55 08 8B 52 FC 8B 92 E0 02 00 00 8B 52 08 8B 52 08 8B D8 8B F2 4E 2B F3 7C 4E 46 8B 45 08 8B 40 FC 8B 80 E0 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 40 24 8B 40 08 8B 40 08 85 C0 7E 29 3B C7 7F 03 8B F8 4F 8B 45 08 8B 40 FC 8B 80 E0 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 40 24 8B D7 E8 ?? ?? ?? ?? 89 45 FC EB 04 43 4E 75 B3 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74055_0 {
	meta:
		name = "GetPriorItem"
		size = 140
		refs = "0019 TCategoryButtons.CalcButtonsPerRow 0034 TButtonCategories.GetItem 0073 TButtonCollection.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B FA 8B D8 33 C0 89 45 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F4 83 FB 00 7C 5D 8B 45 08 8B 40 FC 8B 80 E0 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 8B 46 24 8B 40 08 8B 48 08 85 C9 7E 35 8B C1 99 F7 7D F4 48 89 45 F8 8B C1 99 F7 7D F4 85 D2 74 03 FF 45 F8 8B 45 F8 F7 6D F4 03 F8 3B CF 7F 03 8B F9 4F 8B 46 24 8B D7 E8 ?? ?? ?? ?? 89 45 FC EB 06 4B 83 FB FF 75 A3 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74056_0 {
	meta:
		name = "CalcActualButtonsPerRow"
		size = 82
		refs = "001f TCategoryButtons.CalcButtonsPerRow"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 8B 45 08 8B 40 FC 80 B8 80 02 00 00 00 75 0D 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? EB 28 8D 55 F0 8B C3 8B 08 FF 51 20 8B 45 F8 2B 45 F0 8B 55 08 8B 52 FC 8B 8A E8 02 00 00 99 F7 F9 85 C0 75 05 B8 01 00 00 00 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74057_0 {
	meta:
		name = "GetNext"
		size = 432
		refs = "003b TButtonCategories.GetItem 004e _DV_TButtonItem 0055 @IsClass 0064 TButtonItem.GetCategory 0074 _DV_TButtonCategory 0079 @AsClass 0086 CalcActualButtonsPerRow 00bb TBaseItem.GetNextSibling 00cd TBaseItem.GetPrevSibling 0141 TButtonCollection.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 88 45 FF 33 F6 8B 45 08 83 78 F4 00 75 2C 8B 45 08 8B 40 FC 8B 90 E0 02 00 00 8B C2 8B 40 08 8B 40 08 85 C0 0F 8E 71 01 00 00 8B C2 33 D2 E8 ?? ?? ?? ?? 8B F0 E9 61 01 00 00 8B 45 08 8B 40 F4 8B 3D ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B D8 EB 13 8B 45 08 8B 40 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 83 7D F8 00 7F 03 89 45 F8 8B 45 08 8B 40 F4 8B D7 E8 ?? ?? ?? ?? 84 C0 74 5C 80 7B 14 00 75 28 80 7D FF 00 74 12 8B 45 08 8B 40 F4 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 EB 10 8B 45 08 8B 40 F4 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0A 80 7B 14 00 0F 84 C6 00 00 00 80 7D FF 00 74 13 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 E9 AD 00 00 00 8B F3 E9 A6 00 00 00 8B 45 08 8B 40 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 8D 00 00 00 80 7D FF 00 74 3D 80 7B 14 00 75 0F 8B 43 24 8B 40 08 83 78 08 00 0F 9F C0 EB 02 33 C0 84 C0 74 0E 33 D2 8B 43 24 E8 ?? ?? ?? ?? 8B F0 EB 5E 8B 45 08 8B 40 F4 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 EB 4A 8B 45 08 8B 40 F4 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 F6 74 25 80 7B 14 00 75 1F 8B 7B 24 8B 47 08 83 78 08 00 7E 13 8B 43 24 8B 40 08 8B 50 08 4A 8B C7 E8 ?? ?? ?? ?? 8B F0 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74058_0 {
	meta:
		name = "CtrlIsDown"
		size = 11
		refs = "0001 KeyboardStateToShiftState"
	strings:
		$1 = { E8 ?? ?? ?? ?? A8 04 0F 95 C0 C3 }
	condition:
		$1
}

rule function_74059_0 {
	meta:
		name = "ChangePage"
		size = 492
		refs = "0011 TControl.GetClientHeight 003f TCategoryButtons.GetButtonRect 008b TButtonCategories.GetItem 0156 TCategoryButtons.GetCategoryBounds 0184 TCategoryButtons.CalcButtonsPerRow 01de TButtonCollection.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 FC 84 DB 75 0A 8B 45 FC 8B D0 F7 D8 89 45 FC 8B 45 08 83 78 F4 00 74 35 8D 4D C8 8B 45 08 8B 50 F4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 CC 8B 55 08 8B 52 FC 8B 92 B0 02 00 00 8B 4D 08 8B 49 FC 0F AF 91 D8 02 00 00 03 C2 01 45 FC 83 7D FC 00 7D 07 33 C0 89 45 FC EB 4B 8B 45 08 8B 40 FC 8B B0 E0 02 00 00 8B C6 8B 40 08 8B 58 08 8B D3 4A 8B C6 E8 ?? ?? ?? ?? 8B 40 2C 3B 45 FC 7D 25 8B 45 08 8B 40 FC 8B B0 E0 02 00 00 8B C6 8B 40 08 8B 58 08 8B D3 4A 8B C6 E8 ?? ?? ?? ?? 8B 40 2C 48 89 45 FC 33 C0 89 45 F8 8B 45 08 8B 40 FC 8B 80 E0 02 00 00 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 5A 46 33 DB 8B 45 08 8B 40 FC 8B 80 E0 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 40 24 8B 40 08 8B 40 08 85 C0 7E 33 8B 45 08 8B 40 FC 8B 80 E0 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 40 2C 3B 45 FC 7E 18 8B 45 08 8B 40 FC 8B 80 E0 02 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 F8 EB 04 43 4E 75 A9 83 7D F8 00 0F 84 A6 00 00 00 8D 45 E8 50 8D 45 D8 50 8B 45 F8 8B 48 28 8B 45 08 8B 40 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 78 14 00 75 08 8B 45 FC 3B 45 DC 7D 05 8B 45 F8 EB 76 8B 75 FC 2B 75 DC 46 85 F6 7D 02 33 F6 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC FF B0 EC 02 00 00 8B C6 5A 8B CA 99 F7 F9 0F AF D8 8B 45 08 8B 40 FC FF B0 EC 02 00 00 8B C6 5A 8B CA 99 F7 F9 85 D2 74 01 43 85 DB 7D 04 33 DB EB 13 8B 45 F8 8B 40 24 8B 40 08 8B 40 08 3B D8 7C 03 8B D8 4B 8B 45 F8 8B 40 24 8B D3 E8 ?? ?? ?? ?? EB 02 33 C0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74060_0 {
	meta:
		name = "TCategoryButtons.CNKeydown"
		size = 1117
		refs = "0056 TCategoryButtons.CNKeydown 00f0 _DV_TButtonCategory 00f5 @IsClass 0107 TButtonCategory.SetCollapsed 015c TButtonCategories.GetItem 0176 GetNext 0199 _DV_TButtonItem 01b0 @AsClass 01b7 CtrlIsDown 01c2 TButtonItem.GetCategory 01e8 CalcActualButtonsPerRow 0310 ChangePage 0330 TCategoryButtons.IsEditing 033e TCategoryButtons.EndEdit 038f TCategoryButtons.SetSelectedItem 039e @CallDynaInst 0404 TButtonCollection.GetItem 0428 TWinControl.CNKeyDown 043d TCategoryButtons.UpdateButton"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 FC 8B 80 F4 02 00 00 89 45 F4 83 7D F4 00 75 18 8B 45 FC 83 B8 F8 02 00 00 00 74 0C 8B 45 FC 8B 80 F8 02 00 00 89 45 F4 33 FF 0F B7 42 04 83 F8 25 7F 79 0F 84 4D 01 00 00 83 C0 F3 83 F8 17 0F 87 D1 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 6A 7F 1E 74 74 83 E8 26 0F 84 B8 00 00 00 48 0F 84 90 01 00 00 48 0F 84 98 00 00 00 E9 47 03 00 00 83 E8 6B 74 2E 83 E8 02 0F 85 39 03 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 2B 03 00 00 B2 01 8B 45 F4 E8 ?? ?? ?? ?? E9 1C 03 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 06 03 00 00 33 D2 8B 45 F4 E8 ?? ?? ?? ?? E9 F7 02 00 00 8B 45 FC 8B 80 E0 02 00 00 8B 40 08 8B 58 08 4B 85 DB 0F 8C DF 02 00 00 43 33 F6 8B 45 FC 8B 80 E0 02 00 00 8B D6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 46 4B 75 E5 E9 BC 02 00 00 55 33 D2 B0 01 E8 ?? ?? ?? ?? 59 8B F8 E9 AA 02 00 00 55 33 D2 33 C0 E8 ?? ?? ?? ?? 59 8B F8 E9 98 02 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6D 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 84 C0 74 20 8B C3 E8 ?? ?? ?? ?? 80 78 14 00 75 13 8B C3 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? E9 4D 02 00 00 55 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 48 75 0E 8B C3 E8 ?? ?? ?? ?? 8B F8 E9 2E 02 00 00 55 BA 01 00 00 00 33 C0 E8 ?? ?? ?? ?? 59 8B F8 E9 19 02 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 03 02 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 78 14 00 75 0F B2 01 E8 ?? ?? ?? ?? 8B 7D F4 E9 E0 01 00 00 55 BA 01 00 00 00 33 C0 E8 ?? ?? ?? ?? 59 8B F8 E9 CB 01 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4E 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 84 C0 74 20 8B C3 E8 ?? ?? ?? ?? 80 78 14 00 74 13 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E9 80 01 00 00 55 BA 01 00 00 00 B0 01 E8 ?? ?? ?? ?? 59 8B F8 E9 6B 01 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 55 01 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 78 14 00 74 0C 33 D2 E8 ?? ?? ?? ?? E9 35 01 00 00 55 BA 01 00 00 00 B0 01 E8 ?? ?? ?? ?? 59 8B F8 E9 20 01 00 00 55 B0 01 E8 ?? ?? ?? ?? 59 8B F8 E9 10 01 00 00 55 33 C0 E8 ?? ?? ?? ?? 59 8B F8 E9 00 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0F 33 D2 8B 45 FC E8 ?? ?? ?? ?? E9 E5 00 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 CF 00 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 80 78 14 00 74 0E 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 66 BE A9 FF E8 ?? ?? ?? ?? E9 85 00 00 00 8B 45 FC 8B 80 E0 02 00 00 8B 50 08 83 7A 08 00 7E 73 33 D2 E8 ?? ?? ?? ?? 8B F8 EB 68 8B 45 FC 8B 80 E0 02 00 00 8B 50 08 8B 52 08 85 D2 7E 55 4A E8 ?? ?? ?? ?? 8B F8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 78 14 00 75 3A 8B 50 24 8B 4A 08 8B 49 08 85 C9 7E 2D 49 8B C1 92 E8 ?? ?? ?? ?? 8B F8 EB 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 14 B2 01 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 85 FF 74 26 8B 45 FC 8B 90 90 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 90 02 00 00 8B D7 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74061_0 {
	meta:
		name = "TCategoryButtons.WndProc"
		size = 298
		refs = "0083 TCategoryButtons.IsEditing 00a8 TControl.ClientToScreen 00c2 PtInRect 00cf TCategoryButtons.EndEdit 00fd TWinControl.GetHandle 0120 TWinControl.WndProc"
	strings:
		$1 = { 53 56 83 C4 E0 8B F2 8B D8 8B 06 3D A4 00 00 00 7F 41 0F 84 BD 00 00 00 83 F8 08 7F 1D 0F 84 C8 00 00 00 83 E8 02 0F 84 A9 00 00 00 83 E8 03 0F 84 A0 00 00 00 E9 E1 00 00 00 83 E8 1F 0F 84 92 00 00 00 2D 82 00 00 00 0F 84 87 00 00 00 E9 C8 00 00 00 3D 04 02 00 00 7F 15 74 24 2D A7 00 00 00 74 72 2D 5A 01 00 00 74 16 E9 AC 00 00 00 2D 07 02 00 00 74 0A 83 E8 03 74 5A E9 9B 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 8C 00 00 00 0F BF 46 08 0F BF 56 0A 89 44 24 08 89 54 24 0C 8B CC 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 8D 54 24 10 8B 83 10 03 00 00 8B 08 FF 51 60 8D 44 24 10 8B D4 E8 ?? ?? ?? ?? 84 C0 75 51 33 D2 8B C3 E8 ?? ?? ?? ?? EB 46 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 30 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 8B 83 10 03 00 00 E8 ?? ?? ?? ?? 3B 46 04 74 15 8B C3 E8 ?? ?? ?? ?? 3B 46 04 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_74062_0 {
	meta:
		name = "TCategoryButtons.ScrollIntoView"
		size = 142
		refs = "000e _DV_TButtonItem 0013 @IsClass 0024 @AsClass 002d TButtonItem.GetCategory 0043 TCategoryButtons.ScrollIntoView 0059 TCategoryButtons.ScrollRectIntoView 0063 _DV_TButtonCategory 0078 TCategoryButtons.GetCategoryRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 44 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 80 78 14 00 74 12 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 3E 8B D4 8B C3 8B 08 FF 51 20 8B D4 B1 01 8B C6 E8 ?? ?? ?? ?? EB 28 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 54 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D4 B1 01 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74063_0 {
	meta:
		name = "TCategoryButtons.CMHintShow"
		size = 382
		refs = "0016 TCategoryButtons.CMHintShow 003d TCategoryButtons.GetCategoryAt 0050 TCategoryButtons.GetButtonAt 005f @UStrClr 00ac @UStrLAsg 00db TCategoryButtons.GetButtonRect 0119 TCategoryButtons.GetCategoryRect 0151 @UStrAsg 0171 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 46 0C 01 00 00 00 8B 46 08 3B 18 0F 85 28 01 00 00 8D 78 28 8B 4F 04 8B 17 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 50 8B 4F 04 8B 17 8B C3 E8 ?? ?? ?? ?? 89 45 F8 C6 45 F3 00 8D 45 FC E8 ?? ?? ?? ?? 66 83 BB 52 03 00 00 00 74 1D 8B 45 F4 50 8D 45 FC 50 8D 45 F3 50 8B 4D F8 8B D3 8B 83 54 03 00 00 FF 93 50 03 00 00 8B 7E 08 83 7D F8 00 74 60 80 7D F3 00 75 39 8B 45 F8 83 78 20 00 74 10 8D 45 FC 8B 55 F8 8B 52 20 E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 55 F8 8B 52 0C E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 85 C0 74 08 8D 55 FC 8B 08 FF 51 78 8D 4D D0 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 56 57 8D 75 D0 83 C7 18 A5 A5 A5 A5 5F 5E C6 45 F3 01 EB 51 83 7D F4 00 74 4B 80 7D F3 00 75 0E 8D 45 FC 8B 55 F4 8B 52 0C E8 ?? ?? ?? ?? 8D 45 E0 50 33 C9 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 80 78 14 00 75 0C 8B 45 E0 03 83 AC 02 00 00 89 45 E8 56 57 83 C7 18 8D 75 E0 A5 A5 A5 A5 5F 5E C6 45 F3 01 80 7D F3 00 74 10 8D 47 38 8B 55 FC E8 ?? ?? ?? ?? 33 C0 89 46 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74064_0 {
	meta:
		name = "TCategoryButtons.Assign"
		size = 94
		refs = "000b _DV_TCategoryButtons 0010 @IsClass 0023 TCategoryButtons.SetButtonCategories 0030 TCategoryButtons.SetButtonHeight 003d TCategoryButtons.SetButtonWidth 004b TCategoryButtons.SetCatButtonOptions 0056 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 39 8B FE 8B 97 E0 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 EC 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 E8 02 00 00 8B C3 E8 ?? ?? ?? ?? 0F B7 97 E4 02 00 00 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74065_0 {
	meta:
		name = "UpdateAll"
		size = 86
		refs = "0015 TCategoryButtons.UpdateButton 0049 TWinControl.GetHandle 004f UpdateWindow"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 FC 8B 03 8B 90 C4 02 00 00 8B 03 E8 ?? ?? ?? ?? 8B 03 8B 90 C0 02 00 00 8B 03 E8 ?? ?? ?? ?? 8B 03 8B 90 CC 02 00 00 8B 03 E8 ?? ?? ?? ?? 8B 03 8B 90 C8 02 00 00 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_74066_0 {
	meta:
		name = "CalcActualButtonsPerRow"
		size = 86
		refs = "001c TCategoryButtons.CalcButtonsPerRow 0039 TCategoryButtons.GetCategoryBounds"
	strings:
		$1 = { 55 8B EC 83 C4 E0 8B 45 08 8B 40 FC 80 B8 80 02 00 00 00 75 0D 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? EB 30 8D 45 F0 50 8D 45 E0 50 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC 33 C9 E8 ?? ?? ?? ?? 8B 45 F8 2B 45 F0 8B 55 08 8B 52 FC 8B 8A E8 02 00 00 99 F7 F9 8B E5 5D C3 }
	condition:
		$1
}

rule function_74067_0 {
	meta:
		name = "TCategoryButtons.SetInsertionButton"
		size = 344
		refs = "0022 CalcActualButtonsPerRow 005b TDragImageList.HideDragImage 0063 TCategoryButtons.RemoveInsertionPoints 0075 TButtonCollection.GetItem 0094 UpdateAll 00ad TDragImageList.ShowDragImage 010a TCategoryButtons.GetNextButtonInGroup"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 8B DA 89 45 FC 8B 45 FC 83 B8 94 02 00 00 00 0F 85 32 01 00 00 55 E8 ?? ?? ?? ?? 59 8B F0 85 DB 75 18 83 7D F8 00 74 12 8B 45 F8 8B 40 24 8B 40 08 83 78 08 00 0F 9F C0 EB 02 33 C0 84 C0 74 6B 8B 45 FC 8B 80 A4 02 00 00 80 78 7A 00 74 05 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 24 8B 50 08 8B 52 08 4A E8 ?? ?? ?? ?? 8B D8 4E 75 0B 8B 45 FC 89 98 CC 02 00 00 EB 09 8B 45 FC 89 98 C8 02 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 A4 02 00 00 80 78 7A 00 0F 84 A6 00 00 00 E8 ?? ?? ?? ?? E9 9C 00 00 00 83 FE 01 75 0B 8B 45 FC 3B 98 C4 02 00 00 75 14 83 FE 01 0F 8E 83 00 00 00 8B 45 FC 3B 98 C0 02 00 00 74 78 8B 45 FC 8B 80 A4 02 00 00 80 78 7A 00 74 05 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 4E 75 20 8B 45 FC 89 98 C4 02 00 00 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 CC 02 00 00 EB 1E 8B 45 FC 89 98 C0 02 00 00 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 C8 02 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 A4 02 00 00 80 78 7A 00 74 05 E8 ?? ?? ?? ?? 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74068_0 {
	meta:
		name = "TCategoryButtons.DoEndDrag"
		size = 56
		refs = "000d TControl.DoEndDrag 0018 TDragImageList.EndDrag 002f TCategoryButtons.RemoveInsertionPoints"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 8C 02 00 00 33 C0 89 83 94 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_74069_0 {
	meta:
		name = "TCategoryButtons.DoGesture"
		size = 106
		refs = "0044 TCategoryButtons.ScrollPosChanged"
	strings:
		$1 = { 53 56 8B DA 8B F0 66 81 3B 04 01 75 5A C6 01 01 F6 43 0C 01 74 14 8B 43 04 89 86 14 03 00 00 8B 43 08 89 86 18 03 00 00 EB 3D F6 43 0C 04 75 37 8B 43 08 2B 86 18 03 00 00 85 C0 7E 0D 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? EB 0B 8B C8 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 43 04 89 86 14 03 00 00 8B 43 08 89 86 18 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_74070_0 {
	meta:
		name = "UpdateCategory"
		size = 71
		refs = "0010 TWinControl.HandleAllocated 0027 TCategoryButtons.GetCategoryRect 0038 TWinControl.GetHandle 003e InvalidateRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 2A 8D 45 F0 50 8B 45 08 8B 40 FC 33 C9 8B D3 E8 ?? ?? ?? ?? 6A 00 8D 45 F0 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74071_0 {
	meta:
		name = "TCategoryButtons.SetSelectedItem"
		size = 344
		refs = "0030 TCategoryButtons.UpdateButton 0041 _DV_TButtonItem 0048 @IsClass 006a @AsClass 0073 TButtonItem.GetCategory 0086 UpdateCategory 009d _DV_TButtonCategory 00b5 TCategoryButtons.AdjustCategoryBounds 00c2 TCategoryButtons.ScrollRectIntoView 014d @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B DA 89 45 FC 8B 45 FC 3B 98 F4 02 00 00 0F 84 34 01 00 00 8B 45 FC 8B 80 F8 02 00 00 3B D8 74 0A 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B B0 F4 02 00 00 8B C6 8B 3D ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 84 C0 74 3B 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F4 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 80 78 14 00 74 0E 55 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 85 DB 74 37 8D 55 EC 8B C3 8B 08 FF 51 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 6A 00 8D 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 98 F4 02 00 00 85 DB 74 09 8B 45 FC 89 98 F8 02 00 00 8B 45 FC 8B 80 F4 02 00 00 85 C0 74 4A 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 F4 02 00 00 8B C3 8B D7 E8 ?? ?? ?? ?? 84 C0 74 2A 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 80 78 14 00 74 0E 55 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 FC F6 40 1C 08 75 15 8B 45 FC 8B 90 F4 02 00 00 8B 45 FC 66 BE A8 FF E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74072_0 {
	meta:
		name = "TCategoryButtons.GetIndexOfFirstCategory"
		size = 79
		refs = "0011 TCategoryButtons.GetScrollOffset 0034 TButtonCategories.GetItem"
	strings:
		$1 = { 53 56 57 55 51 8B F8 C7 04 24 FF FF FF FF 8B C7 E8 ?? ?? ?? ?? 8B E8 8B 87 E0 02 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 1E 46 33 DB 8B 87 E0 02 00 00 8B D3 E8 ?? ?? ?? ?? 3B 68 2C 7F 05 89 1C 24 EB 04 43 4E 75 E5 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74073_0 {
	meta:
		name = "TCategoryButtons.GetCategoryAt"
		size = 136
		refs = "002e TCategoryButtons.GetScrollOffset 0060 TButtonCategories.GetItem"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B F2 8B D8 33 C0 89 04 24 85 F6 7C 6B 3B 73 50 7D 66 85 FF 7C 62 3B 7B 54 7D 5D 80 BB 80 02 00 00 00 75 0D 8B C3 E8 ?? ?? ?? ?? 8B E8 03 EF EB 0B 8B C3 E8 ?? ?? ?? ?? 8B E8 03 EE 8B 83 E0 02 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 2B 47 33 F6 8B D6 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 3B 68 2C 7F 12 8B D6 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 89 04 24 EB 04 46 4F 75 D8 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74074_0 {
	meta:
		name = "CalcAmount"
		size = 81
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B C8 8B 45 08 8B 40 FC FF B0 B0 02 00 00 8B C1 5A 8B F2 99 F7 FE 8B 55 08 89 42 F8 84 DB 74 26 8B 45 08 8B 40 FC FF B0 B0 02 00 00 8B C1 5A 8B CA 99 F7 F9 8B C2 99 33 C2 2B C2 83 F8 03 7E 06 8B 45 08 FF 40 F8 5E 5B 5D C3 }
	condition:
		$1
}

rule function_74075_0 {
	meta:
		name = "TCategoryButtons.ScrollRectIntoView"
		size = 220
		refs = "0024 TControl.GetClientHeight 0033 TControl.GetClientWidth 0043 CalcAmount 006d TCategoryButtons.ScrollPosChanged"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 89 45 FC 8B 45 FC 80 B8 80 02 00 00 00 75 10 8B 7A 04 8B 72 0C 8B 45 FC E8 ?? ?? ?? ?? EB 0D 8B 3A 8B 72 08 8B 45 FC E8 ?? ?? ?? ?? 85 FF 7D 38 55 8B C7 F7 D8 B2 01 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 D8 02 00 00 8B D0 2B 55 F8 79 03 89 45 F8 8B 45 FC 8B 88 D8 02 00 00 2B 4D F8 B2 04 8B 45 FC E8 ?? ?? ?? ?? EB 62 3B C7 7C 04 3B C6 7D 5A 8B D6 2B D7 3B C2 0F 9C C2 0A DA 74 0D 55 33 D2 8B C7 E8 ?? ?? ?? ?? 59 EB 0D 55 2B F0 8B C6 B2 01 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 D4 02 00 00 8B 55 FC 8B 92 D8 02 00 00 03 55 F8 3B C2 7D 0E 8B C8 B2 04 8B 45 FC E8 ?? ?? ?? ?? EB 0C 8B CA 8B 45 FC B2 04 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74076_0 {
	meta:
		name = "TCategoryButtons.GetCategoryRect"
		size = 91
		refs = "001d Rect 0024 TCategoryButtons.GetScrollOffset 003b TCategoryButtons.GetCategoryBounds 004e TCategoryButtons.AdjustCategoryBounds"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 88 4D FF 8B F2 8B D8 8B 7D 08 6A 00 57 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B 46 28 5A 2B C2 57 8D 55 EC 52 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 0D 6A 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_74077_0 {
	meta:
		name = "TCategoryButtons.DoMouseWheelUp"
		size = 176
		refs = "001f TControl.DoMouseWheelUp 0032 TCategoryButtons.UpdateButton 004c TCategoryButtons.DoMouseWheelUp 005d TCategoryButtons.ScrollPosChanged 0090 TCategoryButtons.GetNextButton 009d TCategoryButtons.SetSelectedItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F1 8D 7C 24 04 A5 A5 66 89 14 24 8B F0 8D 4C 24 04 0F B7 14 24 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 78 8B 96 90 02 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 90 02 00 00 B3 01 83 BE D4 02 00 00 00 7E 1A 0F B7 05 ?? ?? ?? ?? 66 3B 04 24 75 0D 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? EB 3E 83 BE D4 02 00 00 00 7E 13 F6 04 24 04 74 0D 33 C9 B2 02 8B C6 E8 ?? ?? ?? ?? EB 22 F6 04 24 01 74 1C 33 C9 8B 96 F4 02 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 09 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 83 C4 0C 5F 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_74078_0 {
	meta:
		name = "ProcessCategory"
		size = 82
		refs = "0033 TButtonCollection.GetItem"
	strings:
		$1 = { 55 8B EC 80 78 14 00 75 15 83 78 24 00 74 0F 8B 50 24 8B 52 08 83 7A 08 00 0F 9F C2 EB 02 33 D2 84 D2 74 2A 8B 55 08 80 7A FF 00 74 0C 33 D2 8B 40 24 E8 ?? ?? ?? ?? EB 17 8B 50 24 8B 4A 08 8B 49 08 49 8B C2 8B D1 E8 ?? ?? ?? ?? 5D C3 33 C0 5D C3 }
	condition:
		$1
}

rule function_74079_0 {
	meta:
		name = "TCategoryButtons.GetNextButton"
		size = 210
		refs = "0021 TCategoryButtons.GetNextButtonInGroup 0039 _DV_TButtonItem 003e @AsClass 0043 TButtonItem.GetCategory 0048 TCollectionItem.GetIndex 006e TButtonCategories.GetItem 0073 ProcessCategory"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FF 8B F2 8B F8 85 F6 0F 84 AF 00 00 00 0F B6 4D FF 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 9A 00 00 00 80 7D FF 00 74 51 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 8B F0 8B 87 E0 02 00 00 8B 40 08 8B 40 08 48 2B C6 7C 69 40 89 45 F8 55 8B 87 E0 02 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B D8 85 DB 75 4B 46 FF 4D F8 75 E0 EB 43 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 83 F8 00 7C 26 89 C6 55 8B 87 E0 02 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B D8 85 DB 75 0A 4E 83 FE FF 75 E0 EB 02 33 DB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74080_0 {
	meta:
		name = "TCategoryButtons.DoMouseWheelDown"
		size = 176
		refs = "001f TControl.DoMouseWheelDown 0032 TCategoryButtons.UpdateButton 004c TCategoryButtons.DoMouseWheelDown 005d TCategoryButtons.ScrollPosChanged 0090 TCategoryButtons.GetNextButton 009d TCategoryButtons.SetSelectedItem"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F1 8D 7C 24 04 A5 A5 66 89 14 24 8B F0 8D 4C 24 04 0F B7 14 24 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 78 8B 96 90 02 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 90 02 00 00 B3 01 83 BE D4 02 00 00 00 7E 1A 0F B7 05 ?? ?? ?? ?? 66 3B 04 24 75 0D 33 C9 B2 01 8B C6 E8 ?? ?? ?? ?? EB 3E 83 BE D4 02 00 00 00 7E 13 F6 04 24 04 74 0D 33 C9 B2 03 8B C6 E8 ?? ?? ?? ?? EB 22 F6 04 24 01 74 1C B1 01 8B 96 F4 02 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 09 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 83 C4 0C 5F 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_74081_0 {
	meta:
		name = "TCategoryButtons.DoReorderCategory"
		size = 52
		refs = "0024 TCollectionItem.GetIndex"
	strings:
		$1 = { 53 56 8B D9 8B F2 85 DB 75 17 8B 80 E0 02 00 00 8B 40 08 8B 50 08 4A 8B C6 8B 08 FF 51 14 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 14 5E 5B C3 }
	condition:
		$1
}

rule function_74082_0 {
	meta:
		name = "TCategoryButtons.GetScrollBuffer"
		size = 19
	strings:
		$1 = { 8B 80 B0 02 00 00 03 C0 83 F8 06 7D 05 B8 06 00 00 00 C3 }
	condition:
		$1
}

rule function_74083_0 {
	meta:
		name = "TCategoryButtons.SetFocusedItem"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 F8 02 00 00 74 10 89 96 F8 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_74084_0 {
	meta:
		name = "TCategoryButtons.DoSelectedItemChanged"
		size = 102
		refs = "000e _DV_TButtonItem 0013 @IsClass 003c _DV_TButtonCategory"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 66 83 BB 3A 03 00 00 00 74 3E 8B CE 8B D3 8B 83 3C 03 00 00 FF 93 38 03 00 00 5E 5B C3 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 66 83 BB 42 03 00 00 00 74 10 8B CE 8B D3 8B 83 44 03 00 00 FF 93 40 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_74085_0 {
	meta:
		name = "TCategoryButtons.DoCopyButton"
		size = 94
		refs = "0015 TButtonCollection.Add 0025 TCollectionItem.GetIndex"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B F0 83 7D 08 00 74 11 8B 45 08 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 14 8B D7 8B C6 8B 08 FF 51 08 66 83 BB 32 03 00 00 00 74 11 56 8B CF 8B D3 8B 83 34 03 00 00 FF 93 30 03 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_74086_0 {
	meta:
		name = "TCategoryButtons.SetHotButtonColor"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 04 03 00 00 74 10 89 96 04 03 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_74087_0 {
	meta:
		name = "TCategoryButtons.SetRegularButtonColor"
		size = 29
		altNames = "TCheckListBox.SetHeaderBackgroundColor"
	strings:
		$1 = { 56 8B F0 3B 96 0C 03 00 00 74 10 89 96 0C 03 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_74088_0 {
	meta:
		name = "TCategoryButtons.SetSelectedButtonColor"
		size = 29
		altNames = "TCheckListBox.SetHeaderColor"
	strings:
		$1 = { 56 8B F0 3B 96 08 03 00 00 74 10 89 96 08 03 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_74089_0 {
	meta:
		name = "TCategoryButtons.SetButtonFlow"
		size = 108
		refs = "001b TCategoryButtons.CalcBufferSizes 003f cScrollBarKind 0047 TWinControl.GetHandle 004d ShowScrollBar 005a @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F8 0F B6 87 80 02 00 00 3A D0 74 58 8B D8 88 97 80 02 00 00 8B C7 E8 ?? ?? ?? ?? 33 C0 89 87 D8 02 00 00 80 BF FD 02 00 00 00 74 23 C6 87 FD 02 00 00 00 6A 00 0F B6 C3 8B 04 85 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 15 8B C7 66 BE D0 FF E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74090_0 {
	meta:
		name = "TCategoryButtons.SetGradientDirection"
		size = 29
		altNames = "TCustomGesturePreview.SetDrawingStyle"
	strings:
		$1 = { 56 8B F0 3A 96 A8 02 00 00 74 10 88 96 A8 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_74091_0 {
	meta:
		name = "TCategoryButtons.WMKillFocus"
		size = 31
		refs = "0006 TWinControl.WMKillFocus 0019 TCategoryButtons.UpdateButton"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 08 75 0D 8B 93 F8 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74093_0 {
	meta:
		name = "TCategoryButtons.CMFontchanged"
		size = 29
		refs = "0006 TWinControl.CMFontChanged 000d TCategoryButtons.CalcBufferSizes"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_79330_0 {
	meta:
		name = "TCustomLinkLabel.CMTextChanged"
		size = 29
		refs = "0006 TWinControl.CMTextChanged 000d TCustomLinkLabel.AdjustBounds"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_85196_0 {
	meta:
		name = "TCustomStaticText.CMTextChanged"
		size = 29
		refs = "0006 TWinControl.CMTextChanged 000d TCustomStaticText.AdjustBounds"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_74097_0 {
	meta:
		name = "TCategoryButtons.SetDragButton"
		size = 72
		refs = "0018 Mouse 001f TMouse.GetCursorPos 002c TControl.ScreenToClient"
	strings:
		$1 = { 53 83 C4 F0 8B D8 89 93 8C 02 00 00 C6 83 A0 02 00 00 01 8D 54 24 08 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 54 24 08 8B CC 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 83 98 02 00 00 8B 44 24 04 89 83 9C 02 00 00 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_74099_0 {
	meta:
		name = "TCategoryButtons.GetAllowReorder"
		size = 11
	strings:
		$1 = { F6 80 E4 02 00 00 01 0F 95 C0 C3 }
	condition:
		$1
}

rule function_74100_0 {
	meta:
		name = "TCategoryButtons.SetBackgroundGradientColor"
		size = 29
		altNames = "TCustomColorListBox.SetNoneColorColor"
	strings:
		$1 = { 56 8B F0 3B 96 00 03 00 00 74 10 89 96 00 03 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_74101_0 {
	meta:
		name = "TCategoryButtons.SetBackGradientDirection"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 A9 02 00 00 74 10 88 96 A9 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_74102_0 {
	meta:
		name = "TButtonGradient.GetGradient"
		size = 7
		altNames = "TButtonPen.GetPen TCategoryButtons.GetScrollPos"
	strings:
		$1 = { 8B 80 D8 02 00 00 C3 }
	condition:
		$1
}

rule function_74103_0 {
	meta:
		name = "TCategoryButtons.SetScrollPos"
		size = 47
		refs = "0019 TButtonCategories.GetUpdateCount 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 3B 93 D8 02 00 00 74 20 89 93 D8 02 00 00 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 0B 8B C3 66 BE D0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74104_0 {
	meta:
		name = "TBaseItem.EditText"
		size = 48
		refs = "000e _DV_TItemCollection 0013 @IsClass"
	strings:
		$1 = { 53 56 57 8B F0 33 DB 8B 7E 04 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B 47 18 8B D6 8B 08 FF 91 04 01 00 00 8B D8 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74105_0 {
	meta:
		name = "TBaseItem.EndEdit"
		size = 41
		refs = "000e _DV_TItemCollection 0013 @IsClass 0021 TCategoryButtons.EndEdit"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B 77 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 46 18 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74106_0 {
	meta:
		name = "TBaseItem.GetFirstSibling"
		size = 26
		refs = "0009 TCollection.GetItem 000f _DV_TBaseItem 0014 @AsClass"
	strings:
		$1 = { 53 8B D8 33 D2 8B 43 04 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74107_0 {
	meta:
		name = "TBaseItem.GetLastSibling"
		size = 35
		refs = "0011 TCollection.GetItem 0017 _DV_TBaseItem 001c @AsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 8B 46 08 8B 50 08 4A 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74108_0 {
	meta:
		name = "TBaseItem.GetNextSibling"
		size = 77
		refs = "0016 TCollectionItem.GetIndex 0035 TCollection.GetItem 003b _DV_TBaseItem 0040 @AsClass"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 33 FF 85 F6 75 05 BE 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 03 C6 8B 6B 04 8B 55 08 3B 42 08 7D 1F 8B C3 E8 ?? ?? ?? ?? 8B D0 03 D6 8B C5 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74109_0 {
	meta:
		name = "TBaseItem.GetPrevSibling"
		size = 67
		refs = "0015 TCollectionItem.GetIndex 002c TCollection.GetItem 0032 _DV_TBaseItem 0037 @AsClass"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 33 FF 85 F6 75 05 BE 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 2B C6 78 20 8B C3 E8 ?? ?? ?? ?? 8B D0 2B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74111_0 {
	meta:
		name = "TBaseItem.SetCaption"
		size = 40
		refs = "000c @UStrEqual 0018 @UStrAsg 0021 TCollectionItem.Changed"
		altNames = "THeaderSection.SetText TStatusPanel.SetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 8B D6 E8 ?? ?? ?? ?? 74 13 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74112_0 {
	meta:
		name = "TCategoryButtons.IsEditing"
		size = 22
	strings:
		$1 = { 8B 90 10 03 00 00 85 D2 74 06 80 7A 61 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_74114_0 {
	meta:
		name = "TCategoryButtons.CanEdit"
		size = 176
		refs = "0025 @CallDynaInst 0036 _DV_TButtonItem 003b @IsClass 004d TCategoryButtons.CanEdit 0065 _DV_TButtonCategory 0077 TCategoryButtons.HasVerticalCaption"
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 85 FF 0F 95 04 24 80 3C 24 00 74 18 8B C3 8B 10 FF 92 F4 00 00 00 8B C3 66 BE B2 FF E8 ?? ?? ?? ?? 88 04 24 80 3C 24 00 74 6F 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 0F B7 83 E4 02 00 00 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 0F 94 04 24 EB 1F 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C3 E8 ?? ?? ?? ?? 34 01 88 04 24 80 3C 24 00 74 1B 66 83 BB 8A 03 00 00 00 74 11 54 8B CF 8B D3 8B 83 8C 03 00 00 FF 93 88 03 00 00 0F B6 04 24 5A 5F 5E 5B C3 00 00 14 00 00 00 }
	condition:
		$1
}

rule function_74115_0 {
	meta:
		name = "TCategoryButtons.Edit"
		size = 147
		refs = "000e TCategoryButtons.IsEditing 0028 @CallDynaInst 0035 TCategoryButtons.SetSelectedItem 0048 _DV_TInplaceEdit 004d TInplaceEdit.Create 005a TControl.Show 0072 TCategoryButtons.GetInplaceEditBounds 0083 TInplaceEdit.Initialize"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B FA 8B E8 8B C5 E8 ?? ?? ?? ?? 8B D8 8B C5 E8 ?? ?? ?? ?? 84 C0 75 6A 8B D7 8B C5 66 BE AE FF E8 ?? ?? ?? ?? 84 C0 74 59 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 85 10 03 00 00 85 C0 75 16 8B CD B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 10 03 00 00 EB 05 E8 ?? ?? ?? ?? 8B 85 08 03 00 00 50 8B 47 0C 50 8D 4C 24 08 8B D7 8B C5 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D7 8B 85 10 03 00 00 E8 ?? ?? ?? ?? B3 01 8B C3 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74116_0 {
	meta:
		name = "TCategoryButtons.EndEdit"
		size = 175
		refs = "0010 TCategoryButtons.EndEdit 001d TCategoryButtons.IsEditing 002f TControl.GetText 0040 TInplaceEdit.DeActivate 006c TBaseItem.SetCaption 009d @UStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 84 C0 74 67 8D 55 FC 8B 87 10 03 00 00 E8 ?? ?? ?? ?? 8B 87 10 03 00 00 8B B0 A8 02 00 00 E8 ?? ?? ?? ?? 84 DB 75 2A 66 83 BF 92 03 00 00 00 74 14 8D 45 FC 50 8B CE 8B D7 8B 87 94 03 00 00 FF 97 90 03 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 1A 66 83 BF 9A 03 00 00 00 74 10 8B CE 8B D7 8B 87 9C 03 00 00 FF 97 98 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74118_0 {
	meta:
		name = "TBaseButtonItem.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001d TObject.Free 0028 TCollectionItem.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 14 00 74 10 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74119_0 {
	meta:
		name = "TBaseButtonItem.ActionChange"
		size = 120
		refs = "000d _Dn_TCustomAction 0012 @IsClass 002a TBaseItem.SetCaption 0042 @UStrAsg 0059 TBaseButtonItem.SetImageIndex"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5A 84 DB 74 06 83 7F 0C 00 75 0A 8B 56 6C 8B C7 E8 ?? ?? ?? ?? 84 DB 74 06 83 7F 20 00 75 0E 8D 47 20 8B 96 84 00 00 00 E8 ?? ?? ?? ?? 84 DB 74 06 83 7F 18 FF 75 0D 8B 96 88 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 DB 74 07 66 83 7F 2A 00 75 0C 8B 46 48 89 47 28 8B 46 4C 89 47 2C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74120_0 {
	meta:
		name = "TBaseButtonItem.Assign"
		size = 78
		refs = "000b _DV_TBaseButtonItem 0010 @IsClass 0020 TBaseItem.SetCaption 002a TBaseButtonItem.SetImageIndex 0035 @UStrAsg 0046 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 8B FE 8B 57 0C 8B C3 E8 ?? ?? ?? ?? 8B 57 18 8B C3 E8 ?? ?? ?? ?? 8D 43 20 8B 57 20 E8 ?? ?? ?? ?? 8B 47 1C 89 43 1C EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74121_0 {
	meta:
		name = "TBaseButtonItem.DoActionChange"
		size = 31
		refs = "0009 TBaseButtonItem.GetAction"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 75 0B 33 C9 8B D6 8B C3 8B 18 FF 53 2C 5E 5B C3 }
	condition:
		$1
}

rule function_74122_0 {
	meta:
		name = "TBaseButtonItem.GetAction"
		size = 14
	strings:
		$1 = { 8B 50 14 85 D2 74 04 8B 42 10 C3 33 C0 C3 }
	condition:
		$1
}

rule function_74124_0 {
	meta:
		name = "TBaseButtonItem.GetBounds"
		size = 22
		refs = "0010 Rect"
	strings:
		$1 = { 53 8B DA 6A FF 53 83 C9 FF 83 CA FF 83 C8 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74125_0 {
	meta:
		name = "TBaseButtonItem.GetDisplayName"
		size = 33
		refs = "000c @UStrAsg 001a TCollectionItem.GetDisplayName"
		altNames = "THeaderSection.GetDisplayName TListGroup.GetDisplayName TStatusPanel.GetDisplayName TTaskDialogBaseButtonItem.GetDisplayName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C E8 ?? ?? ?? ?? 83 3E 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74126_0 {
	meta:
		name = "TBaseButtonItem.IsCaptionStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 14 85 F6 74 10 8B C6 8B 10 FF 52 20 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_74127_0 {
	meta:
		name = "TBaseButtonItem.IsHintStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 14 85 F6 74 10 8B C6 8B 10 FF 52 38 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_74128_0 {
	meta:
		name = "TBaseButtonItem.IsImageIndexStored"
		size = 38
	strings:
		$1 = { 53 56 8B D8 83 7B 18 FF 74 12 8B 73 14 85 F6 74 10 8B C6 8B 10 FF 52 3C 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_74129_0 {
	meta:
		name = "TBaseButtonItem.IsOnClickStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 14 85 F6 74 10 8B C6 8B 10 FF 52 08 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_74130_0 {
	meta:
		name = "TBaseButtonItem.SetAction"
		size = 108
		refs = "000f TObject.Free 0044 TBaseButtonItem.DoActionChange 0064 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 75 0F 8B 43 14 E8 ?? ?? ?? ?? 33 C0 89 43 14 EB 4E 83 7B 14 00 75 11 8B C3 8B 10 FF 52 30 8B CB B2 01 FF 50 14 89 43 14 8B D6 8B 43 14 8B 08 FF 51 0C 8B 43 14 89 58 0C C7 40 08 ?? ?? ?? ?? F6 46 1C 01 0F 95 C1 8B D6 8B C3 8B 38 FF 57 2C 8B C3 8B 10 FF 52 34 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74131_0 {
	meta:
		name = "TBaseButtonItem.SetImageIndex"
		size = 16
		refs = "000b TCollectionItem.Changed"
		altNames = "TButtonCategory.SetColor TListColumn.SetMinWidth"
	strings:
		$1 = { 3B 50 18 74 0A 89 50 18 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74132_0 {
	meta:
		name = "TButtonItem.Assign"
		size = 71
		refs = "000a _DV_TButtonItem 000f @IsClass 001c TBaseButtonItem.Assign 0029 @AsClass 0034 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 10 8D 43 10 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74133_0 {
	meta:
		name = "TButtonItem.GetBounds"
		size = 69
		refs = "0009 TButtonItem.GetCategory 002b Rect 0035 TButtonItem.GetCategoryButtons 003e TCategoryButtons.GetButtonRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0D 8B C3 E8 ?? ?? ?? ?? 80 78 14 00 74 14 6A FF 56 83 C9 FF 83 CA FF 83 C8 FF E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8B CE 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74134_0 {
	meta:
		name = "TButtonItem.GetCategoryButtons"
		size = 37
		refs = "0009 TButtonItem.GetCategory 0019 TButtonCategory.GetCategories"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0F 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 70 18 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_74135_0 {
	meta:
		name = "TButtonItem.GetCategory"
		size = 15
	strings:
		$1 = { 33 D2 8B 48 04 85 C9 74 03 8B 51 1C 8B C2 C3 }
	condition:
		$1
}

rule function_74139_0 {
	meta:
		name = "TItemCollection.Notify"
		size = 36
		refs = "0010 TCollection.Notify 001c TCategoryButtons.DoItemNotify"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B CB 8B D6 8B 47 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74140_0 {
	meta:
		name = "TButtonCollection.Create"
		size = 85
		refs = "000b @ClassCreate 0018 TButtonCategory.GetCategoryButtons 0033 TItemCollection.Create 0041 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 14 01 00 00 50 8B C6 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74142_0 {
	meta:
		name = "TButtonCollection.AddItem"
		size = 74
	strings:
		$1 = { 53 56 57 8B F9 8B F0 85 D2 75 16 8B 46 18 8B 10 FF 92 14 01 00 00 8B CE B2 01 FF 50 1C 8B D8 EB 02 8B DA 85 DB 74 1D 8B D6 8B C3 8B 08 FF 51 10 85 FF 7D 07 8B 46 08 8B 78 08 4F 8B D7 8B C3 8B 08 FF 51 14 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74147_0 {
	meta:
		name = "TButtonCollection.Update"
		size = 51
		refs = "000b TCollection.Update 0019 TButtonCategory.GetCategories 001e TButtonCategories.GetUpdateCount 002c TCategoryButtons.DoItemUpdate"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7B 0C 00 75 1B 8B 43 1C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0A 8B D6 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74148_0 {
	meta:
		name = "TButtonCategory.Create"
		size = 121
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 002e _DV_TButtonCollection 0033 TButtonCollection.Create 003b GLastPreset 0042 cPresetColors 0066 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 1C FF FF FF 1F C7 46 20 08 00 00 FF 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 A1 ?? ?? ?? ?? 8B 04 85 ?? ?? ?? ?? 89 46 18 FF 05 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 0A 7C 07 33 C0 A3 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_74149_0 {
	meta:
		name = "TButtonCategory.Destroy"
		size = 64
		refs = "0003 @BeforeDestruction 0013 TCollection.Clear 001e TCollectionItem.Destroy 002e TObject.Free 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 24 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8D 46 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74150_0 {
	meta:
		name = "TButtonCategory.Assign"
		size = 121
		refs = "000a _DV_TButtonCategory 000f @IsClass 0020 @AsClass 002c TBaseItem.SetCaption 0036 TButtonCategory.SetColor 0040 TButtonCategory.SetGradientColor 004a TButtonCategory.SetTextColor 0055 TButtonCategory.SetCollapsed 0066 @IntfCopy 0072 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 56 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 8B 56 18 8B C3 E8 ?? ?? ?? ?? 8B 56 1C 8B C3 E8 ?? ?? ?? ?? 8B 56 20 8B C3 E8 ?? ?? ?? ?? 0F B6 56 14 8B C3 E8 ?? ?? ?? ?? 8B 46 30 89 43 30 8D 43 10 8B 56 10 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74152_0 {
	meta:
		name = "TButtonCategory.GetButtonRect"
		size = 69
		refs = "000c TButtonCategory.GetCategories 0027 Rect 003d TCategoryButtons.GetCategoryRect"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 85 C0 74 06 83 7F 24 00 75 13 6A FF 56 83 C9 FF 83 CA FF 83 C8 FF E8 ?? ?? ?? ?? EB 14 56 8B C7 E8 ?? ?? ?? ?? 8B 40 18 8B CB 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74154_0 {
	meta:
		name = "TButtonCategory.GetCategoryButtons"
		size = 22
		refs = "0008 _DV_TItemCollection 000d @AsClass"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 18 5B C3 }
	condition:
		$1
}

rule function_74155_0 {
	meta:
		name = "TButtonCategory.IndexOf"
		size = 240
		refs = "0017 TButtonCategory.IndexOf 003f TButtonCollection.GetItem 004a @UStrLAsg 0060 AnsiCompareStr 00ae AnsiCompareText 00da @UStrArrayClr 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 EC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 E8 FF FF FF FF 8B 47 24 8B 40 08 8B 70 08 4E 85 F6 7C 40 46 33 DB 8B 47 24 8B D3 E8 ?? ?? ?? ?? 8B 50 0C 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 8B 55 EC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 05 89 5D E8 EB 52 43 4E 75 C3 8B 47 24 8B 40 08 8B 70 08 4E 85 F6 7C 40 46 33 DB 8B 47 24 8B D3 E8 ?? ?? ?? ?? 8B 50 0C 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 EC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 05 89 5D E8 EB 04 43 4E 75 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74156_0 {
	meta:
		name = "TButtonCategory.ScrollIntoView"
		size = 22
		refs = "0006 TButtonCategory.GetCategories 0010 TCategoryButtons.ScrollIntoView"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 18 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74157_0 {
	meta:
		name = "TButtonCategory.SetCollapsed"
		size = 91
		refs = "0011 TCollectionItem.Changed 0025 TButtonCategory.GetCategories"
	strings:
		$1 = { 53 56 8B D8 3A 53 14 74 4F 88 53 14 B2 01 8B C3 E8 ?? ?? ?? ?? 80 7B 14 00 75 07 8B C3 8B 10 FF 52 28 8B C3 E8 ?? ?? ?? ?? 8B 40 18 66 83 B8 AA 03 00 00 00 74 22 8B C3 E8 ?? ?? ?? ?? 8B 70 18 8B C3 E8 ?? ?? ?? ?? 8B 50 18 8B CB 8B 86 AC 03 00 00 FF 96 A8 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_74159_0 {
	meta:
		name = "TButtonCategory.SetGradientColor"
		size = 16
		refs = "000b TCollectionItem.Changed"
		altNames = "TCoolBand.SetMinHeight"
	strings:
		$1 = { 3B 50 1C 74 0A 89 50 1C 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74160_0 {
	meta:
		name = "TButtonCategory.SetIndex"
		size = 139
		refs = "000a TCollectionItem.GetIndex 001e TButtonCategory.GetCategories 0036 TButtonCategories.GetItem 0045 TCollectionItem.SetIndex"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F8 74 75 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 3B C6 7E 12 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 28 8B C3 E8 ?? ?? ?? ?? 8B 40 18 66 83 B8 A2 03 00 00 00 74 23 56 8B C3 E8 ?? ?? ?? ?? 8B 70 18 8B C3 E8 ?? ?? ?? ?? 8B 50 18 8B CB 8B 86 A4 03 00 00 FF 96 A0 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74162_0 {
	meta:
		name = "TButtonCategory.SetTextColor"
		size = 16
		refs = "000b TCollectionItem.Changed"
		altNames = "THeaderSection.SetImageIndex"
	strings:
		$1 = { 3B 50 20 74 0A 89 50 20 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74163_0 {
	meta:
		name = "TButtonCategories.Create"
		size = 77
		refs = "000b @ClassCreate 0027 TItemCollection.Create 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B C6 8B 10 FF 92 10 01 00 00 50 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 1C FF FF FF FF 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74165_0 {
	meta:
		name = "TButtonCategories.AddItem"
		size = 74
	strings:
		$1 = { 53 56 57 8B F9 8B F0 85 D2 75 16 8B 46 18 8B 10 FF 92 10 01 00 00 8B CE B2 01 FF 50 1C 8B D8 EB 02 8B DA 85 DB 74 1D 8B D6 8B C3 8B 08 FF 51 10 85 FF 7D 07 8B 46 08 8B 78 08 4F 8B D7 8B C3 8B 08 FF 51 14 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74166_0 {
	meta:
		name = "TButtonCategories.BeginUpdate"
		size = 51
		refs = "0006 TButtonCategories.GetUpdateCount 002d TCollection.BeginUpdate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 1C 8B 43 18 8B 80 F4 02 00 00 85 C0 74 08 8B 40 08 89 43 1C EB 07 C7 43 1C FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74169_0 {
	meta:
		name = "TButtonCategories.GetVisibleCount"
		size = 69
		refs = "001c TButtonCategories.GetItem"
	strings:
		$1 = { 53 56 57 55 8B F8 33 ED 8B 47 08 8B 70 08 4E 85 F6 7C 2B 46 33 DB 45 8B D3 8B C7 E8 ?? ?? ?? ?? 80 78 14 00 75 14 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 24 8B 40 08 8B 40 08 03 E8 43 4E 75 D8 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74170_0 {
	meta:
		name = "TButtonCategories.IndexOf"
		size = 232
		refs = "0017 TButtonCategories.IndexOf 003b TButtonCategories.GetItem 0046 @UStrLAsg 005c AnsiCompareStr 00a6 AnsiCompareText 00d2 @UStrArrayClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 EC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 E8 FF FF FF FF 8B 47 08 8B 70 08 4E 85 F6 7C 3F 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 50 0C 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 8B 55 EC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 05 89 5D E8 EB 4E 43 4E 75 C4 8B 47 08 8B 70 08 4E 85 F6 7C 3F 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 50 0C 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 EC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 05 89 5D E8 EB 04 43 4E 75 C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74172_0 {
	meta:
		name = "TButtonCategories.ItemAt"
		size = 166
		refs = "002f TButtonCategories.GetItem 008b TButtonCollection.GetItem"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B EA 8B F8 33 C0 89 04 24 83 CB FF 8B 47 08 8B 40 08 48 85 C0 7C 7D 40 89 44 24 04 33 F6 43 3B EB 75 0E 8B D6 8B C7 E8 ?? ?? ?? ?? 89 04 24 EB 63 8B D6 8B C7 E8 ?? ?? ?? ?? 80 78 14 00 75 4D 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 40 24 8B 40 08 8B 40 08 03 D8 3B DD 7C 35 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 40 24 8B 40 08 8B 40 08 89 44 24 08 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 40 24 2B 5C 24 08 43 8B D5 2B D3 E8 ?? ?? ?? ?? 89 04 24 EB 07 46 FF 4C 24 04 75 8A 8B 04 24 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74173_0 {
	meta:
		name = "TButtonCategories.ItemIndex"
		size = 365
		refs = "0019 TButtonCategories.ItemIndex 004e TButtonCategory.IndexOf 006d TButtonCollection.GetItem 0077 TButtonCategories.GetVisibleCount 008b TButtonCategories.ItemAt 00c4 @UStrLAsg 00da AnsiCompareStr 012b AnsiCompareText 0157 @UStrArrayClr 015d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 E4 FF FF FF FF 8B 45 EC 8B 40 18 8B 10 FF 92 08 01 00 00 85 C0 74 63 8B 45 EC 8B 40 18 8B 10 FF 92 08 01 00 00 8B 55 E8 E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 46 8B 45 EC 8B 40 18 8B 10 FF 92 08 01 00 00 8B 40 24 8B D3 E8 ?? ?? ?? ?? 8B F8 8B 45 EC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1D 46 33 DB 8B D3 8B 45 EC E8 ?? ?? ?? ?? 3B F8 75 08 89 5D E4 E9 A6 00 00 00 43 4E 75 E6 8B 45 EC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 42 46 33 DB 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B F8 8D 45 FC 8B 57 0C E8 ?? ?? ?? ?? 8D 45 F8 8B 55 E8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 05 89 5D E4 EB 55 43 4E 75 C1 8B 45 EC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 42 46 33 DB 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B F8 8D 45 F4 8B 57 0C E8 ?? ?? ?? ?? 8D 45 F0 8B 55 E8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 05 89 5D E4 EB 04 43 4E 75 C1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 E4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74176_0 {
	meta:
		name = "TButtonCategories.Update"
		size = 22
		refs = "0006 TCollection.Update 0010 TCategoryButtons.DoItemUpdate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 43 18 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74178_0 {
	meta:
		name = "TButtonItemActionLink.DoShowHint"
		size = 50
		refs = "0011 _Dn_TCustomAction 0016 @IsClass 0027 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 B3 01 8B 77 10 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B D5 8B C6 66 BE EF FF E8 ?? ?? ?? ?? 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74179_0 {
	meta:
		name = "TButtonItemActionLink.IsCaptionLinked"
		size = 41
		refs = "0006 TActionLink.IsCaptionLinked 001b @UStrEqual"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 8B 43 18 8B 40 0C 8B 53 10 8B 52 6C E8 ?? ?? ?? ?? 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_74180_0 {
	meta:
		name = "TButtonItemActionLink.IsHintLinked"
		size = 44
		refs = "0006 TActionLink.IsHintLinked 001e @UStrEqual"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 8B 43 18 8B 40 20 8B 53 10 8B 92 84 00 00 00 E8 ?? ?? ?? ?? 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_74181_0 {
	meta:
		name = "TButtonItemActionLink.IsImageIndexLinked"
		size = 39
		refs = "0006 TActionLink.IsImageIndexLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B 43 18 8B 40 18 8B 53 10 3B 82 88 00 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_74182_0 {
	meta:
		name = "TButtonItemActionLink.IsOnExecuteLinked"
		size = 67
		refs = "0006 TBasicActionLink.IsOnExecuteLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 31 8B 43 18 0F B7 50 2A 66 85 D2 75 0E 8B 4B 10 66 83 79 4A 00 75 04 B0 01 EB 19 66 85 D2 74 0E 8B 40 28 8B 53 10 3B 42 48 0F 94 C0 EB 06 33 C0 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_74184_0 {
	meta:
		name = "TButtonItemActionLink.SetHint"
		size = 33
		refs = "001a @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 38 84 C0 74 0D 8B 43 18 83 C0 20 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74186_0 {
	meta:
		name = "TButtonItemActionLink.SetOnExecute"
		size = 37
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 08 84 C0 74 0F 8B 43 18 8B 55 08 89 50 28 8B 55 0C 89 50 2C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_74187_0 {
	meta:
		name = "Finalization"
		size = 32
		refs = "0002 _DV_21 0009 Screen 0015 TScreen.GetCursors 001b DestroyCursor"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 17 A1 ?? ?? ?? ?? 8B 00 BA E9 FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74188_0 {
	meta:
		name = "Vcl.CategoryButtons"
		size = 160
		refs = "000a Vcl.CategoryButtons 0016 _DV_21 001f HInstance 002c @UStrLAsg 0034 @UStrToPWChar 003b LoadCursor 0041 Screen 0050 TScreen.SetCursors 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 37 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B C8 B8 E9 FF FF FF 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 41 00 54 00 5F 00 44 00 52 00 41 00 47 00 5F 00 43 00 4F 00 50 00 59 00 00 00 }
	condition:
		$1
}

rule function_74190_0 {
	meta:
		name = "TCheckListBoxDataWrapper.SetChecked"
		size = 14
	strings:
		$1 = { 84 D2 74 05 C6 40 08 01 C3 C6 40 08 00 C3 }
	condition:
		$1
}

rule function_74191_0 {
	meta:
		name = "TCheckListBoxDataWrapper.GetChecked"
		size = 8
	strings:
		$1 = { 80 78 08 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_74194_0 {
	meta:
		name = "TCheckListBox.Create"
		size = 123
		refs = "000a @ClassCreate 0017 TCustomListBox.Create 0038 TCheckListBox.FCheckWidth 0041 TCheckListBox.FCheckHeight 004b TCheckListBox.GetCheckSize 0052 _Dn_TList 0057 TObject.Create 0068 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 F9 02 00 00 01 C7 86 08 03 00 00 17 00 00 FF C7 86 0C 03 00 00 18 00 00 FF 83 3D ?? ?? ?? ?? 00 75 10 83 3D ?? ?? ?? ?? 00 75 07 8B 06 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 10 03 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_74195_0 {
	meta:
		name = "TCheckListBox.Destroy"
		size = 90
		refs = "0005 @BeforeDestruction 0027 TList.Get 002c TObject.Free 0046 TCustomListBox.Destroy 0051 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 10 03 00 00 8B 68 08 4D 85 ED 7C 19 45 33 FF 8B 86 10 03 00 00 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4D 75 EA 8B 86 10 03 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74197_0 {
	meta:
		name = "TCheckListBox.CreateParams"
		size = 22
		refs = "0006 TCustomListBox.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? F6 43 04 30 75 04 83 4B 04 10 5B C3 }
	condition:
		$1
}

rule function_74198_0 {
	meta:
		name = "TCheckListBox.GetCheckWidth"
		size = 9
		refs = "0001 TCheckListBox.FCheckWidth"
	strings:
		$1 = { A1 ?? ?? ?? ?? 83 C0 02 C3 }
	condition:
		$1
}

rule function_74200_0 {
	meta:
		name = "TCheckListBox.ResetItemHeight"
		size = 128
		refs = "0007 TWinControl.HandleAllocated 0022 TCanvas.SetFont 0027 TCheckListBox.ResetItemHeight 0032 TCustomCanvas.TextHeight 0040 TCheckListBox.FCheckHeight 0062 TControl.Perform"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 57 80 BB A8 02 00 00 00 75 4E 8B 53 6C 8B 83 98 02 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B F0 89 B3 FC 02 00 00 3B 35 ?? ?? ?? ?? 7D 0B A1 ?? ?? ?? ?? 89 83 FC 02 00 00 8B 83 FC 02 00 00 50 33 C9 BA A0 01 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 57 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_74201_0 {
	meta:
		name = "TCheckListBox.DrawItem"
		size = 672
		refs = "001b TCheckListBox.GetCheckWidth 0054 TCheckListBox.GetItemEnabled 0066 TStyleManager.GetActiveStyle 0072 TCheckListBox.GetHeader 0086 @CallDynaInst 00b3 TCheckListBox.GetState 00c0 TCheckListBox.DrawCheck 00d6 ItemState 00f0 TCustomStyleServices.GetElementColor 0119 TFont.SetColor 0180 HeaderState 01f8 TBrush.SetColor 023f TCheckListBox.DrawItem 0257 TCustomListBox.DrawItem 027f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 8B F1 8D 7D D0 A5 A5 A5 A5 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 80 88 02 00 00 8B 10 FF 52 14 3B D8 0F 8D C4 01 00 00 8D 75 D0 8D 7D C0 A5 A5 A5 A5 8B 45 FC 8B 10 FF 52 68 84 C0 74 0E 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 EF E8 ?? ?? ?? ?? 8B F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 C9 00 00 00 8B 45 FC 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 0E 8B 45 D0 89 45 C8 2B 45 F8 89 45 C0 EB 0C 8B 45 D8 89 45 C0 03 45 F8 89 45 C8 0F B6 45 EF 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8D 55 C0 8B 45 FC E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 48 84 C0 74 53 0F B6 45 EF 0F B6 90 ?? ?? ?? ?? 8D 4D B4 8B C7 8B 30 FF 56 64 8D 45 E8 50 B1 02 8D 55 B4 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 00 01 00 00 81 7D E8 FF FF FF 1F 0F 84 F3 00 00 00 8B 45 FC 8B 80 98 02 00 00 8B 40 40 8B 55 E8 E8 ?? ?? ?? ?? E9 DA 00 00 00 80 7D EF 00 0F 85 D0 00 00 00 8B 45 FC 8B 80 98 02 00 00 8B 40 40 BA 11 00 00 FF E8 ?? ?? ?? ?? E9 B5 00 00 00 80 7D EF 00 74 0E 8B 45 FC 8B 80 08 03 00 00 89 45 E4 EB 07 C7 45 E4 11 00 00 FF 8B 45 FC 8B 80 0C 03 00 00 89 45 E0 8B C7 8B 10 FF 52 48 84 C0 74 5B 0F B6 45 EF 0F B6 90 ?? ?? ?? ?? 8D 4D B4 8B C7 8B 30 FF 56 64 8D 45 E8 50 B1 02 8D 55 B4 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0F 81 7D E8 FF FF FF 1F 74 06 8B 45 E8 89 45 E4 8D 45 E8 50 B1 01 8D 55 B4 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0F 81 7D E8 FF FF FF 1F 74 06 8B 45 E8 89 45 E0 8B 45 FC 8B 80 98 02 00 00 8B 40 40 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 02 00 00 8B 40 48 8B 55 E0 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A8 02 00 00 00 75 7D 8B 45 FC 66 83 B8 CA 02 00 00 00 74 70 8B 45 FC 8B 90 C8 02 00 00 89 55 F0 8B 90 CC 02 00 00 89 55 F4 8B 45 FC 33 D2 89 90 C8 02 00 00 89 90 CC 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 45 08 50 8D 4D D0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F0 89 90 C8 02 00 00 8B 55 F4 89 90 CC 02 00 00 C3 E9 ?? ?? ?? ?? EB E3 0F B7 45 08 50 8D 4D D0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_74202_0 {
	meta:
		name = "TCheckListBox.CNDrawItem"
		size = 99
		refs = "0028 TCheckListBox.GetHeader 0037 @CallDynaInst 0042 TCheckListBox.GetCheckWidth 005a TCustomListBox.CNDrawItem"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 F6 43 1C 08 75 50 8B 83 88 02 00 00 8B 10 FF 52 14 85 C0 74 41 8B 45 08 8B F8 8B 57 08 8B C3 E8 ?? ?? ?? ?? 84 C0 75 25 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 0C 8B C3 E8 ?? ?? ?? ?? 01 47 1C EB 0A 8B C3 E8 ?? ?? ?? ?? 29 47 24 8B D5 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74203_0 {
	meta:
		name = "TCheckListBox.DrawCheck"
		size = 954
		refs = "0024 TCheckListBox.FCheckWidth 0044 TCheckListBox.FCheckHeight 007c ThemeControl 0097 TStyleManager.GetActiveStyle 0106 TCanvas.GetHandle 010c SaveDC 0117 TCheckListBox.DrawCheck 0146 IntersectClipRect 0163 TCustomStyleServices.DrawElement 0182 RestoreDC 0188 @HandleFinally 01c3 DrawFrameControl 0201 TBrush.SetStyle 0206 TStyleManager.GetIsCustomStyleActive 0216 TCustomStyleServices.GetStyleColor 0223 TPen.SetColor 0273 TCustomStyleServices.GetSystemColor 02e9 Rect 0318 TBrush.SetColor 0343 ExcludeClipRect"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 88 4D F7 89 55 F8 89 45 FC 8B 5D 08 8B 55 F8 8B 52 08 8B 45 F8 8B 00 2B D0 2B 15 ?? ?? ?? ?? D1 FA 79 03 83 D2 00 03 D0 89 55 D0 8B 55 F8 8B 52 0C 8B 45 F8 8B 40 04 2B D0 2B 15 ?? ?? ?? ?? D1 FA 79 03 83 D2 00 03 D0 89 55 D4 8B 45 D0 03 05 ?? ?? ?? ?? 89 45 D8 8B 45 D4 03 05 ?? ?? ?? ?? 89 45 DC 8B 45 FC 8B 80 98 02 00 00 89 45 E0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 06 01 00 00 0F B6 45 F7 2C 01 72 28 75 4C 84 DB 74 11 E8 ?? ?? ?? ?? 8D 4D C4 B2 14 8B 18 FF 53 58 EB 5B E8 ?? ?? ?? ?? 8D 4D C4 B2 17 8B 18 FF 53 58 EB 4A 84 DB 74 11 E8 ?? ?? ?? ?? 8D 4D C4 B2 10 8B 18 FF 53 58 EB 35 E8 ?? ?? ?? ?? 8D 4D C4 B2 13 8B 18 FF 53 58 EB 24 84 DB 74 11 E8 ?? ?? ?? ?? 8D 4D C4 B2 18 8B 18 FF 53 58 EB 0F E8 ?? ?? ?? ?? 8D 4D C4 B2 1B 8B 18 FF 53 58 8B 45 E0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 0C 50 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 04 50 8B 45 F8 8B 00 50 8B 45 E0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 8B 45 E0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D C4 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 50 8B 45 E0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 0F B6 45 F7 2C 01 72 09 75 0B BE 00 04 00 00 EB 09 33 F6 EB 05 BE 08 04 00 00 84 DB 75 06 81 CE 00 01 00 00 56 6A 04 8D 45 D0 50 8B 45 E0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 F9 02 00 00 00 0F 84 DA 01 00 00 8B 45 E0 8B 50 48 8B 42 10 0F B6 48 20 88 4D EF 8B 40 18 89 45 F0 8B 45 E0 8B 40 44 8B 40 10 8B 40 18 89 45 E8 8B C2 B2 01 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B E8 ?? ?? ?? ?? B2 14 E8 ?? ?? ?? ?? 8B D0 8B 45 E0 8B 40 44 E8 ?? ?? ?? ?? EB 11 8B 45 FC 8B 50 74 8B 45 E0 8B 40 44 E8 ?? ?? ?? ?? 8B 5D D8 53 8B 45 DC 50 8B 4D D4 8B 75 D0 8B D6 8B 45 E0 8B 38 FF 57 7C 8B 45 E0 8B 40 48 B2 01 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E E8 ?? ?? ?? ?? BA 10 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 45 E0 8B 40 44 E8 ?? ?? ?? ?? EB 10 8B 45 E0 8B 40 44 BA 10 00 00 FF E8 ?? ?? ?? ?? 8B C3 48 50 8B 45 DC 48 50 8B 4D D4 41 8B D6 42 8B 45 E0 8B 38 FF 57 7C 8B 45 E0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 0C 50 8D 45 B4 50 8B CB 83 C1 02 8B 55 F8 8B 52 04 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 48 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B E8 ?? ?? ?? ?? B2 14 E8 ?? ?? ?? ?? 8B D0 8B 45 E0 8B 40 48 E8 ?? ?? ?? ?? EB 11 8B 45 FC 8B 50 74 8B 45 E0 8B 40 48 E8 ?? ?? ?? ?? 8B 45 DC 50 53 8B 45 D4 50 56 8B 45 E0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 55 B4 8B 45 E0 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 50 8B 45 E0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 48 B2 01 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 0F B6 55 EF 8B 45 E0 8B 40 48 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 48 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 44 8B 55 E8 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_74204_0 {
	meta:
		name = "TCheckListBox.GetCheckSize"
		size = 311
		refs = "0009 TStyleManager.GetActiveStyle 0021 CreateCompatibleDC 002c TCheckListBox.GetCheckSize 0051 TCustomStyleServices.GetElementSize 0062 TStyleManager.GetSystemStyle 008b TCheckListBox.FCheckWidth 0093 TCheckListBox.FCheckHeight 00a9 DeleteDC 00af @HandleFinally 00b8 _Dn_TBitmap 00bd TBitmap.Create 00da LoadBitmap 00e4 TBitmap.SetHandle 0125 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 48 84 C0 0F 84 97 00 00 00 6A 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 F4 50 8D 4D E4 B2 14 8B C3 8B 30 FF 56 58 8D 4D E4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D F4 00 7E 06 83 7D F8 00 7F 26 E8 ?? ?? ?? ?? 8B D8 6A 01 8D 45 F4 50 8D 4D E4 B2 14 8B C3 8B 30 FF 56 58 8D 4D E4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 A3 ?? ?? ?? ?? 8B 45 F8 A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 F7 7F 00 00 6A 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 30 85 C0 79 03 83 C0 03 C1 F8 02 A3 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 24 B9 03 00 00 00 99 F7 F9 A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74205_0 {
	meta:
		name = "TCheckListBox.SetChecked"
		size = 51
		refs = "000e TCheckListBox.GetChecked 001b TCheckListBox.GetWrapper 0022 TCheckListBoxDataWrapper.SetChecked 002b TCheckListBox.InvalidateCheck"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 3A D8 74 19 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74206_0 {
	meta:
		name = "TCheckListBox.SetItemEnabled"
		size = 50
		refs = "000e TCheckListBox.GetItemEnabled 001b TCheckListBox.GetWrapper 002a TCheckListBox.InvalidateCheck"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 3A D8 74 18 8B D6 8B C7 E8 ?? ?? ?? ?? 80 F3 01 88 58 09 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74207_0 {
	meta:
		name = "TCheckListBox.SetState"
		size = 47
		refs = "000e TCheckListBox.GetState 001b TCheckListBox.GetWrapper 0027 TCheckListBox.InvalidateCheck"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 3A D8 74 15 8B D6 8B C7 E8 ?? ?? ?? ?? 88 58 08 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74208_0 {
	meta:
		name = "TCheckListBox.InvalidateCheck"
		size = 131
		refs = "000e TCheckListBox.GetHeader 001d TCustomListBox.ItemRect 0028 @CallDynaInst 0033 TCheckListBox.GetCheckWidth 0066 TWinControl.GetHandle 006c InvalidateRect 0079 UpdateWindow"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 67 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 10 8B C3 E8 ?? ?? ?? ?? 03 04 24 89 44 24 08 EB 10 8B C3 E8 ?? ?? ?? ?? 8B 54 24 08 2B D0 89 14 24 F6 43 58 40 0F 95 C0 34 01 F6 D8 1B C0 50 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_74209_0 {
	meta:
		name = "TCheckListBox.GetChecked"
		size = 41
		refs = "000b TCheckListBox.HaveWrapper 0018 TCheckListBox.GetWrapper 001d TCheckListBoxDataWrapper.GetChecked"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_74210_0 {
	meta:
		name = "TCheckListBox.GetItemEnabled"
		size = 42
		refs = "000b TCheckListBox.HaveWrapper 0018 TCheckListBox.GetWrapper"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 40 09 34 01 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_74211_0 {
	meta:
		name = "TCheckListBox.GetState"
		size = 43
		refs = "000b TCheckListBox.HaveWrapper 0018 TCheckListBox.GetWrapper 0024 TCheckListBoxDataWrapper.GetDefaultState"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 40 08 5E 5B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74212_0 {
	meta:
		name = "TCheckListBox.CheckAll"
		size = 109
		refs = "0029 TCheckListBox.GetItemEnabled 004c TCheckListBox.GetState 005d TCheckListBox.SetState"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FE 88 55 FF 8B F0 8B 86 88 02 00 00 8B 10 FF 52 14 8B F8 4F 85 FF 7C 44 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 10 8B D3 8B C6 E8 ?? ?? ?? ?? 34 01 22 45 08 74 20 80 7D FE 00 75 0D 8B D3 8B C6 E8 ?? ?? ?? ?? 3C 02 74 0D 0F B6 4D FF 8B D3 8B C6 E8 ?? ?? ?? ?? 43 4F 75 BF 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_74213_0 {
	meta:
		name = "TCheckListBox.KeyPress"
		size = 43
		refs = "001b TCheckListBox.ToggleClickCheck 0024 TCustomListBox.KeyPress"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 3E 20 75 13 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74214_0 {
	meta:
		name = "TCheckListBox.LoadRecreateItems"
		size = 309
		refs = "001a TCheckListBox.LoadRecreateItems 0028 TStrings.BeginUpdate 003e TStrings.GetNameValueSeparator 004b TStrings.SetNameValueSeparator 0053 TStrings.GetQuoteChar 0060 TStrings.SetQuoteChar 0068 TStrings.GetDelimiter 0075 TStrings.SetDelimiter 0080 TStrings.GetLineBreak 008e TStrings.SetLineBreak 00e5 @CallDynaInst 0100 TStrings.EndUpdate 0106 @HandleFinally 0122 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 87 88 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 87 88 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 87 88 02 00 00 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 87 88 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 48 85 C0 7C 50 40 89 45 F8 33 DB 8D 4D F0 8B D3 8B 45 FC 8B 30 FF 56 0C 8B 55 F0 8B 87 88 02 00 00 8B 08 FF 51 38 8B F0 8B D3 8B 45 FC 8B 08 FF 51 18 85 C0 74 19 8B D3 8B 45 FC 8B 08 FF 51 18 8B C8 8B D6 8B C7 66 BE AD FF E8 ?? ?? ?? ?? 43 FF 4D F8 75 B6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74215_0 {
	meta:
		name = "TCheckListBox.MouseDown"
		size = 207
		refs = "0025 TCustomListBox.MouseDown 0041 TCustomListBox.ItemAtPos 0054 TCheckListBox.GetItemEnabled 0063 @CallDynaInst 0074 TCustomListBox.ItemRect 007e TCheckListBox.GetCheckWidth 008c TCheckListBox.ToggleClickCheck"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 66 89 4D FD 88 55 FF 8B D8 8B 75 08 8B 7D 0C 57 56 0F B7 4D FD 0F B6 55 FF 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 0F 85 93 00 00 00 89 7D F0 89 75 F4 B1 01 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 FF 74 78 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6A 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 27 8D 4D E0 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 2B 7D E0 8B C3 E8 ?? ?? ?? ?? 3B F8 7D 40 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 34 8D 4D E0 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 75 E8 8B C3 E8 ?? ?? ?? ?? 2B F0 2B FE 85 FF 7E 15 8B C3 E8 ?? ?? ?? ?? 3B F8 7D 0A 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_74216_0 {
	meta:
		name = "TCheckListBox.ToggleClickCheck"
		size = 110
		refs = "001e TCheckListBox.GetItemEnabled 002b TCheckListBox.GetState 005c TCheckListBox.SetState 0067 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 61 8B 83 88 02 00 00 8B 10 FF 52 14 3B F0 7D 52 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 45 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 80 EA 01 72 08 74 17 FE CA 74 17 EB 17 80 BB F8 02 00 00 00 74 04 B0 02 EB 0A B0 01 EB 06 33 C0 EB 02 B0 01 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE A8 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74217_0 {
	meta:
		name = "TCheckListBox.ClickCheck"
		size = 29
	strings:
		$1 = { 53 66 83 B8 02 03 00 00 00 74 10 8B D8 8B D0 8B 83 04 03 00 00 FF 93 00 03 00 00 5B C3 }
	condition:
		$1
}

rule function_74218_0 {
	meta:
		name = "TCheckListBox.GetItemData"
		size = 40
		refs = "000e TCheckListBox.HaveWrapper 001b TCheckListBox.GetWrapper"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 33 FF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 78 04 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74219_0 {
	meta:
		name = "TCheckListBox.GetWrapper"
		size = 31
		refs = "000b TCheckListBox.ExtractWrapper 0018 TCheckListBox.CreateWrapper"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96714_0 {
	meta:
		name = "TCustomAdapter.FindNamedVariable"
		size = 31
		refs = "000b TCustomAdapter.FindNamedField 0018 TCustomAdapter.FindNamedAction"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74220_0 {
	meta:
		name = "TCheckListBox.ExtractWrapper"
		size = 89
		refs = "000e TCustomListBox.GetItemData 0026 SListIndexError 002d _Dn_EListError 0032 Exception.CreateResFmt 0037 @RaiseExcept 0043 _DV_TCheckListBoxDataWrapper 0048 @IsClass"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 83 FB FF 75 22 89 34 24 C6 44 24 04 00 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 74 13 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 02 33 DB 8B C3 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_74223_0 {
	meta:
		name = "TCheckListBox.CreateWrapper"
		size = 62
		refs = "000e TList.Expand 0015 _DV_TCheckListBoxDataWrapper 001a TObject.Create 0029 TList.Add 0034 TCustomListBox.SetItemData"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 83 10 03 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D6 8B 83 10 03 00 00 E8 ?? ?? ?? ?? 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74225_0 {
	meta:
		name = "TCheckListBox.SetItemData"
		size = 42
		refs = "000e TCheckListBox.HaveWrapper 001f TCheckListBox.GetWrapper"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 85 FF 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 89 78 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74226_0 {
	meta:
		name = "TCheckListBox.ResetContent"
		size = 96
		refs = "0020 TCheckListBox.ExtractWrapper 0033 TList.IndexOf 0045 TList.Delete 004c TObject.Free 0057 TCustomListBox.ResetContent"
	strings:
		$1 = { 53 56 57 55 8B F0 8B 86 88 02 00 00 8B 10 FF 52 14 8B F8 4F 85 FF 7C 3C 47 33 ED 8B D5 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 26 8B D3 8B 86 10 03 00 00 E8 ?? ?? ?? ?? 83 F8 FF 74 0D 8B D0 8B 86 10 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 45 4F 75 C7 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74227_0 {
	meta:
		name = "TCheckListBox.SaveRecreateItems"
		size = 321
		refs = "001a TCheckListBox.SaveRecreateItems 0033 TStrings.BeginUpdate 004c TStrings.GetNameValueSeparator 0056 TStrings.SetNameValueSeparator 0061 TStrings.GetQuoteChar 006b TStrings.SetQuoteChar 0076 TStrings.GetDelimiter 0080 TStrings.SetDelimiter 008e TStrings.GetLineBreak 0099 TStrings.SetLineBreak 00be TCheckListBox.ExtractWrapper 00ef TList.Add 010c TStrings.EndUpdate 0112 @HandleFinally 012e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 10 03 00 00 8B 10 FF 52 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 83 88 02 00 00 8B 10 FF 52 14 48 85 C0 7C 4E 40 89 45 F4 C7 45 F8 00 00 00 00 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 4D EC 8B 83 88 02 00 00 8B 55 F8 8B 38 FF 57 0C 8B 55 EC 8B CE 8B 45 FC 8B 38 FF 57 3C 85 F6 74 0D 8B 83 10 03 00 00 8B D6 E8 ?? ?? ?? ?? FF 45 F8 FF 4D F4 75 BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74228_0 {
	meta:
		name = "TCheckListBox.DeleteString"
		size = 82
		refs = "000c TCheckListBox.HaveWrapper 0019 TCheckListBox.GetWrapper 0028 TList.IndexOf 003a TList.Delete 0041 TObject.Free 004a TCustomListBox.DeleteString"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 31 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B D7 8B 83 10 03 00 00 E8 ?? ?? ?? ?? 83 F8 FF 74 0D 8B D0 8B 83 10 03 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74229_0 {
	meta:
		name = "TCheckListBox.SetFlat"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 F9 02 00 00 74 10 88 96 F9 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_74230_0 {
	meta:
		name = "TCheckListBox.GetHeader"
		size = 40
		refs = "000b TCheckListBox.HaveWrapper 0018 TCheckListBox.GetWrapper"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 40 0A 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_74231_0 {
	meta:
		name = "TCheckListBox.SetHeader"
		size = 47
		refs = "000e TCheckListBox.GetHeader 001b TCheckListBox.GetWrapper 0027 TCheckListBox.InvalidateCheck"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 3A D8 74 15 8B D6 8B C7 E8 ?? ?? ?? ?? 88 58 0A 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74236_0 {
	meta:
		name = "TClipboard.Clear"
		size = 66
		refs = "0013 TClipboard.Clear 001e EmptyClipboard 0039 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 10 FF 52 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_74237_0 {
	meta:
		name = "TClipboard.Adding"
		size = 28
	strings:
		$1 = { 53 8B D8 83 7B 04 00 74 11 80 7B 0D 00 75 0B 8B C3 8B 10 FF 52 10 C6 43 0D 01 5B C3 }
	condition:
		$1
}

rule function_74238_0 {
	meta:
		name = "TClipboard.Close"
		size = 44
		refs = "0013 CloseClipboard 0021 DeallocateHWnd"
	strings:
		$1 = { 53 8B D8 83 7B 04 00 74 21 FF 4B 04 83 7B 04 00 75 18 E8 ?? ?? ?? ?? 80 7B 0C 00 74 08 8B 43 08 E8 ?? ?? ?? ?? 33 C0 89 43 08 5B C3 }
	condition:
		$1
}

rule function_74239_0 {
	meta:
		name = "TClipboard.Open"
		size = 178
		refs = "0012 TClipboard.Open 0023 Application 0038 TClipboard.MainWndProc 003d AllocateHWnd 004d OpenClipboard 0056 GetLastError 005e SysErrorMessage 0074 SCannotOpenClipboard 007b _DV_EClipboardException 0080 Exception.CreateResFmt 0085 @RaiseExcept 00a1 @UStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 04 00 75 6B A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 89 43 08 85 C0 75 12 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 C6 43 0C 01 8B 43 08 50 E8 ?? ?? ?? ?? 85 C0 75 34 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 0D 00 FF 43 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74240_0 {
	meta:
		name = "TClipboard.WndProc"
		size = 32
		refs = "0016 DefWindowProc"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 43 08 50 8B 43 04 50 8B 03 50 8B 46 08 50 E8 ?? ?? ?? ?? 89 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_74241_0 {
	meta:
		name = "TClipboard.GetComponent"
		size = 420
		refs = "0021 TClipboard.GetComponent 002e CF_COMPONENT 0034 GetClipboardData 0042 @TryFinallyExit 0050 GlobalLock 0075 _Dn_TMemoryStream 007a TObject.Create 0094 GlobalSize 00a0 TStream.WriteBuffer 00ac TStream.SetPosition 00bb _Dn_TReader 00c0 TFiler.Create 00e1 TReader.ReadRootComponent 0100 TComponent.InsertComponent 010f @HandleAnyException 0117 TObject.Free 011c @RaiseAgain 0121 @DoneExcept 013c @HandleFinally 0171 GlobalUnlock"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8B DA 89 45 FC 33 C0 89 45 F8 8B 45 FC 8B 10 FF 52 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 05 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 0A E8 ?? ?? ?? ?? E9 4F 01 00 00 8B 45 F4 50 E8 ?? ?? ?? ?? 8B F8 85 FF 75 0A E8 ?? ?? ?? ?? E9 36 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 50 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 68 00 01 00 00 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 89 70 2C 33 D2 8B 45 EC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 0A 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74242_0 {
	meta:
		name = "TClipboard.SetBuffer"
		size = 253
		refs = "001f TClipboard.SetBuffer 0030 GlobalAlloc 004a GlobalLock 0063 Move 006b TClipboard.Adding 0078 SetClipboardData 0082 SOutOfResources 0089 _Dn_EOutOfResources 008e Exception.CreateRes 0093 @RaiseExcept 00a9 GlobalUnlock 00af @HandleFinally 00c0 @HandleAnyException 00c9 GlobalFree 00ce @RaiseAgain 00d3 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 89 45 FC 8B 5D 08 8B 45 FC 8B 10 FF 52 18 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 53 68 02 20 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B C7 8B CB E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 50 0F B7 C6 50 E8 ?? ?? ?? ?? 85 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_74243_0 {
	meta:
		name = "TClipboard.SetComponent"
		size = 111
		refs = "000d _Dn_TMemoryStream 0012 TObject.Create 001d TClipboard.SetComponent 002d TStream.WriteComponent 0042 CF_COMPONENT 0049 TClipboard.SetBuffer 005e TObject.Free 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 12 50 8B 45 FC 8B 48 04 0F B7 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74244_0 {
	meta:
		name = "TClipboard.GetTextBuf"
		size = 129
		refs = "001c TClipboard.GetTextBuf 0029 GetClipboardData 003c GlobalLock 0048 StrLCopy 004d @PWCharLen 0056 GlobalUnlock 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC 8B 10 FF 52 18 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 0D E8 ?? ?? ?? ?? 8B D8 85 DB 75 07 33 C0 89 45 F8 EB 20 53 E8 ?? ?? ?? ?? 8B D0 8B CF 49 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74245_0 {
	meta:
		name = "TClipboard.SetTextBuf"
		size = 35
		refs = "0009 @PWCharLen 001c TClipboard.SetBuffer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 03 C0 83 C0 02 50 8B CE 66 BA 0D 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74246_0 {
	meta:
		name = "TClipboard.GetAsText"
		size = 126
		refs = "0017 GetClipboardData 0022 TClipboard.GetAsText 0037 GlobalLock 0040 @UStrFromPWChar 0049 @UStrClr 0065 GlobalUnlock 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC 8B 10 FF 52 18 6A 0D E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 74 14 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 09 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 C3 E9 ?? ?? ?? ?? EB E1 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74247_0 {
	meta:
		name = "TClipboard.GetClipboardWindow"
		size = 21
	strings:
		$1 = { 53 8B D8 83 7B 08 00 75 07 8B C3 8B 10 FF 52 18 8B 43 08 5B C3 }
	condition:
		$1
}

rule function_74248_0 {
	meta:
		name = "TClipboard.SetAsText"
		size = 50
		refs = "001d @UStrToPWChar 002a TClipboard.SetBuffer"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 85 C0 74 05 83 E8 04 8B 00 8B F8 03 FF 83 C7 02 57 8B C6 E8 ?? ?? ?? ?? 8B C8 66 BA 0D 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74249_0 {
	meta:
		name = "TClipboard.AssignToPicture"
		size = 182
		refs = "001b TClipboard.AssignToPicture 0028 EnumClipboardFormats 0036 _Dn_TPicture 003b TPicture.SupportsClipboardFormat 0048 GetClipboardData 0060 TPicture.LoadFromClipboardFormat 0065 @TryFinallyExit 007d SInvalidClipFmt 0084 _DV_EClipboardException 0089 Exception.CreateRes 008e @RaiseExcept 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 52 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 8B D8 66 85 DB 74 48 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 28 0F B7 C3 50 E8 ?? ?? ?? ?? 8B F0 6A 09 E8 ?? ?? ?? ?? 8B F8 57 8B CE 8B D3 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 0F B7 C3 50 E8 ?? ?? ?? ?? 8B D8 66 85 DB 75 B8 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74250_0 {
	meta:
		name = "TClipboard.AssignToBitmap"
		size = 106
		refs = "001b TClipboard.AssignToBitmap 0028 GetClipboardData 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 52 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 E8 ?? ?? ?? ?? 8B F0 6A 09 E8 ?? ?? ?? ?? 8B F8 57 8B CE 66 BA 02 00 8B 45 F8 8B 18 FF 53 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74251_0 {
	meta:
		name = "TClipboard.AssignToMetafile"
		size = 97
		refs = "0017 TClipboard.AssignToMetafile 0024 GetClipboardData 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC 8B 10 FF 52 18 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 03 E8 ?? ?? ?? ?? 8B D8 6A 09 E8 ?? ?? ?? ?? 50 8B CB 66 BA 03 00 8B C6 8B 18 FF 53 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74252_0 {
	meta:
		name = "TClipboard.AssignTo"
		size = 103
		refs = "000a _Dn_TPicture 000f @IsClass 001c TClipboard.AssignToPicture 0027 _Dn_TBitmap 0039 TClipboard.AssignToBitmap 0043 _Dn_TMetafile 0055 TClipboard.AssignToMetafile 0060 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 25 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74253_0 {
	meta:
		name = "TClipboard.AssignPicture"
		size = 129
		refs = "0018 TClipboard.AssignPicture 0026 TClipboard.Adding 003c TPicture.SaveToClipboardFormat 004a SetClipboardData 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B DA 89 45 FC 8B 45 FC 8B 10 FF 52 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F0 8D 45 F0 50 8D 4D F8 8D 55 F6 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 0F B7 45 F6 50 E8 ?? ?? ?? ?? 83 7D F0 00 74 0B 8B 45 F0 50 6A 09 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74254_0 {
	meta:
		name = "TClipboard.AssignGraphic"
		size = 129
		refs = "0018 TClipboard.AssignGraphic 0026 TClipboard.Adding 004a SetClipboardData 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B DA 89 45 FC 8B 45 FC 8B 10 FF 52 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 F0 8D 45 F0 50 8D 4D F8 8D 55 F6 8B C3 8B 18 FF 53 68 8B 45 F8 50 0F B7 45 F6 50 E8 ?? ?? ?? ?? 83 7D F0 00 74 0B 8B 45 F0 50 6A 09 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74255_0 {
	meta:
		name = "TClipboard.Assign"
		size = 75
		refs = "000a _Dn_TPicture 000f @IsClass 001c TClipboard.AssignPicture 0027 _Dn_TGraphic 0039 TClipboard.AssignGraphic 0044 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74256_0 {
	meta:
		name = "TClipboard.GetAsHandle"
		size = 83
		refs = "0018 TClipboard.GetAsHandle 0027 GetClipboardData 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC 8B 10 FF 52 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 C3 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74257_0 {
	meta:
		name = "TClipboard.SetAsHandle"
		size = 87
		refs = "0019 TClipboard.SetAsHandle 0027 TClipboard.Adding 0031 SetClipboardData 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC 8B 10 FF 52 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 56 0F B7 C3 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74259_0 {
	meta:
		name = "TClipboard.GetFormats"
		size = 106
		refs = "0018 TClipboard.GetFormats 0025 EnumClipboardFormats 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC 8B 10 FF 52 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 66 89 45 FA 85 DB 7E 13 4B 0F B7 45 FA 50 E8 ?? ?? ?? ?? 66 89 45 FA 85 DB 7F ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 FA 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74260_0 {
	meta:
		name = "HasAPicture"
		size = 126
		refs = "0014 HasAPicture 0025 EnumClipboardFormats 0033 _Dn_TPicture 0038 TPicture.SupportsClipboardFormat 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B 45 08 8B 40 FC 8B 10 FF 52 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 6A 00 E8 ?? ?? ?? ?? 8B D8 66 85 DB 74 26 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 FF 01 EB 10 0F B7 C3 50 E8 ?? ?? ?? ?? 8B D8 66 85 DB 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 10 FF 52 14 C3 E9 ?? ?? ?? ?? EB ED 0F B6 45 FF 5B 59 5D C3 }
	condition:
		$1
}

rule function_74261_0 {
	meta:
		name = "TClipboard.HasFormat"
		size = 53
		refs = "000f IsClipboardFormatAvailable 001a CF_PICTURE 0022 HasAPicture"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 0F B7 C3 50 E8 ?? ?? ?? ?? 85 C0 75 18 66 3B 1D ?? ?? ?? ?? 75 0B 55 E8 ?? ?? ?? ?? 59 84 C0 75 04 33 C0 EB 02 B0 01 5B 59 5D C3 }
	condition:
		$1
}

rule function_74263_0 {
	meta:
		name = "SetClipboard"
		size = 14
		refs = "0002 FClipboard"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B C2 C3 }
	condition:
		$1
}

rule function_83139_0 {
	meta:
		name = "SetPrinter"
		size = 14
		refs = "0002 FPrinter"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B C2 C3 }
	condition:
		$1
}

rule function_74264_0 {
	meta:
		name = "TClipboard.MainWndProc"
		size = 91
		refs = "000e TClipboard.MainWndProc 002b @HandleAnyException 0030 ApplicationHandleException 004c @RaiseAgain 0051 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 EB 2B E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 66 83 78 02 00 74 10 8B 1D ?? ?? ?? ?? 8B 55 FC 8B 43 04 FF 13 EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74267_0 {
	meta:
		name = "Vcl.Clipbrd"
		size = 120
		refs = "0002 _DV_3 000a Vcl.Clipbrd 000f RegisterClipboardFormat 0015 CF_PICTURE 0025 CF_COMPONENT 002c FClipboard"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 27 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 00 00 00 44 00 65 00 6C 00 70 00 68 00 69 00 20 00 50 00 69 00 63 00 74 00 75 00 72 00 65 00 00 00 00 00 44 00 65 00 6C 00 70 00 68 00 69 00 20 00 43 00 6F 00 6D 00 70 00 6F 00 6E 00 65 00 6E 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_74268_0 {
	meta:
		name = "CoCOMAdminCatalog.Create"
		size = 100
		refs = "000c CoCOMAdminCatalog.Create 001a CLASS_COMAdminCatalog 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 87 21 66 DD C2 DF D1 11 A2 CF 00 80 5F C7 92 35 }
	condition:
		$1
}

rule function_74270_0 {
	meta:
		name = "TCOMAdminCatalog.Connect"
		size = 104
		refs = "000c TCOMAdminCatalog.Connect 0032 @IntfCast 0047 @IntfClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 58 00 75 1A 8D 55 FC 8B C3 8B 08 FF 51 44 8D 43 58 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 87 21 66 DD C2 DF D1 11 A2 CF 00 80 5F C7 92 35 }
	condition:
		$1
}

rule function_74276_0 {
	meta:
		name = "TCOMAdminCatalog.Get_MajorVersion"
		size = 95
		refs = "0012 TCOMAdminCatalog.Get_MajorVersion 0026 TCOMAdminCatalog.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74324_0 {
	meta:
		name = "TCOMAdminCatalogCollection.Get_Count"
		size = 95
		refs = "0012 TCOMAdminCatalogCollection.Get_Count 0026 TCOMAdminCatalogCollection.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74277_0 {
	meta:
		name = "TCOMAdminCatalog.Get_MinorVersion"
		size = 95
		refs = "0012 TCOMAdminCatalog.Get_MinorVersion 0026 TCOMAdminCatalog.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74278_0 {
	meta:
		name = "TCOMAdminCatalog.GetCollection"
		size = 176
		refs = "0014 TCOMAdminCatalog.GetCollection 0023 _DV_TCOMAdminCatalogCollection 0028 TCOMAdminCatalogCollection.Create 0032 @IntfClear 003e TCOMAdminCatalog.GetDefaultInterface 004c @CheckAutoResult 005c @IntfCast 0066 TCOMAdminCatalogCollection.ConnectTo 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F8 E8 ?? ?? ?? ?? 50 57 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C6 5F 5E 5B 8B E5 5D C3 72 28 B2 6E 19 8A D0 11 81 B6 00 A0 C9 23 1C 29 }
	condition:
		$1
}

rule function_74279_0 {
	meta:
		name = "TCOMAdminCatalog.ICOMAdminCatalog_Connect"
		size = 176
		refs = "0014 TCOMAdminCatalog.ICOMAdminCatalog_Connect 0023 _DV_TCOMAdminCatalogCollection 0028 TCOMAdminCatalogCollection.Create 0032 @IntfClear 003e TCOMAdminCatalog.GetDefaultInterface 004c @CheckAutoResult 005c @IntfCast 0066 TCOMAdminCatalogCollection.ConnectTo 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F8 E8 ?? ?? ?? ?? 50 57 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C6 5F 5E 5B 8B E5 5D C3 72 28 B2 6E 19 8A D0 11 81 B6 00 A0 C9 23 1C 29 }
	condition:
		$1
}

rule function_74280_0 {
	meta:
		name = "TCOMAdminCatalog.GetCollectionByQuery"
		size = 188
		refs = "0019 TCOMAdminCatalog.GetCollectionByQuery 0028 _DV_TCOMAdminCatalogCollection 002d TCOMAdminCatalogCollection.Create 0037 @IntfClear 0047 TCOMAdminCatalog.GetDefaultInterface 0055 @CheckAutoResult 0065 @IntfCast 006f TCOMAdminCatalogCollection.ConnectTo 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 57 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 72 28 B2 6E 19 8A D0 11 81 B6 00 A0 C9 23 1C 29 }
	condition:
		$1
}

rule function_74281_0 {
	meta:
		name = "TCOMAdminCatalog.ImportComponent"
		size = 89
		refs = "0012 TCOMAdminCatalog.ImportComponent 0024 TCOMAdminCatalog.GetDefaultInterface 0032 @CheckAutoResult 0047 @IntfClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74282_0 {
	meta:
		name = "TCOMAdminCatalog.InstallComponent"
		size = 99
		refs = "0012 TCOMAdminCatalog.InstallComponent 002c TCOMAdminCatalog.GetDefaultInterface 003a @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_74284_0 {
	meta:
		name = "TCOMAdminCatalog.ExportApplication"
		size = 95
		refs = "0012 TCOMAdminCatalog.ExportApplication 0028 TCOMAdminCatalog.GetDefaultInterface 0036 @CheckAutoResult 004b @IntfClear 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_74285_0 {
	meta:
		name = "TCOMAdminCatalog.InstallApplication"
		size = 107
		refs = "0012 TCOMAdminCatalog.InstallApplication 0034 TCOMAdminCatalog.GetDefaultInterface 0042 @CheckAutoResult 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_74286_0 {
	meta:
		name = "TCOMAdminCatalog.StopRouter"
		size = 79
		refs = "000c TCOMAdminCatalog.StopRouter 001c TCOMAdminCatalog.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_74287_0 {
	meta:
		name = "TCOMAdminCatalog.RefreshRouter"
		size = 79
		refs = "000c TCOMAdminCatalog.RefreshRouter 001c TCOMAdminCatalog.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_74289_0 {
	meta:
		name = "TCOMAdminCatalog.InstallMultipleComponents"
		size = 95
		refs = "0012 TCOMAdminCatalog.InstallMultipleComponents 0028 TCOMAdminCatalog.GetDefaultInterface 0036 @CheckAutoResult 004b @IntfClear 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_74290_0 {
	meta:
		name = "TCOMAdminCatalog.GetMultipleComponentsInfo"
		size = 107
		refs = "0012 TCOMAdminCatalog.GetMultipleComponentsInfo 0034 TCOMAdminCatalog.GetDefaultInterface 0042 @CheckAutoResult 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_74291_0 {
	meta:
		name = "TCOMAdminCatalog.RefreshComponents"
		size = 79
		refs = "000c TCOMAdminCatalog.RefreshComponents 001c TCOMAdminCatalog.GetDefaultInterface 002a @CheckAutoResult 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_74294_0 {
	meta:
		name = "TCOMAdminCatalog.QueryApplicationFile"
		size = 148
		refs = "002e TCOMAdminCatalog.QueryApplicationFile 0048 @WStrClr 005d TCOMAdminCatalog.GetDefaultInterface 006b @CheckAutoResult 0080 @IntfClear 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 8B 45 FC 85 C0 74 04 33 D2 89 10 8B 45 14 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 56 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_74296_0 {
	meta:
		name = "TCOMAdminCatalog.ServiceCheck"
		size = 100
		refs = "0015 TCOMAdminCatalog.ServiceCheck 002a TCOMAdminCatalog.GetDefaultInterface 0038 @CheckAutoResult 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 56 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 74 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74297_0 {
	meta:
		name = "TCOMAdminCatalog.InstallMultipleEventClasses"
		size = 95
		refs = "0012 TCOMAdminCatalog.InstallMultipleEventClasses 0028 TCOMAdminCatalog.GetDefaultInterface 0036 @CheckAutoResult 004b @IntfClear 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 78 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_74298_0 {
	meta:
		name = "TCOMAdminCatalog.InstallEventClass"
		size = 99
		refs = "0012 TCOMAdminCatalog.InstallEventClass 002c TCOMAdminCatalog.GetDefaultInterface 003a @CheckAutoResult 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_74299_0 {
	meta:
		name = "TCOMAdminCatalog.GetEventClassesForIID"
		size = 102
		refs = "0012 TCOMAdminCatalog.GetEventClassesForIID 002c TCOMAdminCatalog.GetDefaultInterface 003d @CheckAutoResult 0052 @IntfClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_74300_0 {
	meta:
		name = "CoCOMAdminCatalogObject.Create"
		size = 100
		refs = "000c CoCOMAdminCatalogObject.Create 001a CLASS_COMAdminCatalogObject 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 71 28 B2 6E 19 8A D0 11 81 B6 00 A0 C9 23 1C 29 }
	condition:
		$1
}

rule function_74302_0 {
	meta:
		name = "TCOMAdminCatalogObject.Connect"
		size = 104
		refs = "000c TCOMAdminCatalogObject.Connect 0032 @IntfCast 0047 @IntfClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 58 00 75 1A 8D 55 FC 8B C3 8B 08 FF 51 44 8D 43 58 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 71 28 B2 6E 19 8A D0 11 81 B6 00 A0 C9 23 1C 29 }
	condition:
		$1
}

rule function_74308_0 {
	meta:
		name = "TCOMAdminCatalogObject.Get_Value"
		size = 96
		refs = "0012 TCOMAdminCatalogObject.Get_Value 001f @VarClr 002b TCOMAdminCatalogObject.GetDefaultInterface 0039 @CheckAutoResult 004e @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 50 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74309_0 {
	meta:
		name = "TCOMAdminCatalogObject.Set_Value"
		size = 130
		refs = "001f @VarAddRef 0027 TCOMAdminCatalogObject.Set_Value 0044 TCOMAdminCatalogObject.GetDefaultInterface 0052 @CheckAutoResult 0067 @IntfClear 006f @VarClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B F1 8D 7D F0 A5 A5 A5 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 56 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74312_0 {
	meta:
		name = "TCOMAdminCatalogObject.Get_Valid"
		size = 96
		refs = "0012 TCOMAdminCatalogObject.Get_Valid 0026 TCOMAdminCatalogObject.GetDefaultInterface 0034 @CheckAutoResult 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74313_0 {
	meta:
		name = "TCOMAdminCatalogObject.IsPropertyReadOnly"
		size = 101
		refs = "0015 TCOMAdminCatalogObject.IsPropertyReadOnly 002a TCOMAdminCatalogObject.GetDefaultInterface 0038 @CheckAutoResult 0051 @IntfClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 56 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74315_0 {
	meta:
		name = "CoCOMAdminCatalogCollection.Create"
		size = 100
		refs = "000c CoCOMAdminCatalogCollection.Create 001a CLASS_COMAdminCatalogCollection 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 72 28 B2 6E 19 8A D0 11 81 B6 00 A0 C9 23 1C 29 }
	condition:
		$1
}

rule function_74317_0 {
	meta:
		name = "TCOMAdminCatalogCollection.Connect"
		size = 104
		refs = "000c TCOMAdminCatalogCollection.Connect 0032 @IntfCast 0047 @IntfClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 58 00 75 1A 8D 55 FC 8B C3 8B 08 FF 51 44 8D 43 58 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 72 28 B2 6E 19 8A D0 11 81 B6 00 A0 C9 23 1C 29 }
	condition:
		$1
}

rule function_74323_0 {
	meta:
		name = "TCOMAdminCatalogCollection.Get_Item"
		size = 176
		refs = "0014 TCOMAdminCatalogCollection.Get_Item 0023 _DV_TCOMAdminCatalogObject 0028 TCOMAdminCatalogObject.Create 0032 @IntfClear 003e TCOMAdminCatalogCollection.GetDefaultInterface 004c @CheckAutoResult 005c @IntfCast 0066 TCOMAdminCatalogObject.ConnectTo 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F8 E8 ?? ?? ?? ?? 50 57 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C6 5F 5E 5B 8B E5 5D C3 71 28 B2 6E 19 8A D0 11 81 B6 00 A0 C9 23 1C 29 }
	condition:
		$1
}

rule function_74328_0 {
	meta:
		name = "TCOMAdminCatalogCollection.Get_DataStoreMajorVersion"
		size = 95
		refs = "0012 TCOMAdminCatalogCollection.Get_DataStoreMajorVersion 0026 TCOMAdminCatalogCollection.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74330_0 {
	meta:
		name = "TCOMAdminCatalogCollection.Remove"
		size = 84
		refs = "000f TCOMAdminCatalogCollection.Remove 0020 TCOMAdminCatalogCollection.GetDefaultInterface 002e @CheckAutoResult 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74331_0 {
	meta:
		name = "TCOMAdminCatalogCollection.Add"
		size = 172
		refs = "0011 TCOMAdminCatalogCollection.Add 0020 _DV_TCOMAdminCatalogObject 0025 TCOMAdminCatalogObject.Create 002f @IntfClear 003a TCOMAdminCatalogCollection.GetDefaultInterface 0048 @CheckAutoResult 0058 @IntfCast 0062 TCOMAdminCatalogObject.ConnectTo 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C6 5E 5B 8B E5 5D C3 00 71 28 B2 6E 19 8A D0 11 81 B6 00 A0 C9 23 1C 29 }
	condition:
		$1
}

rule function_74333_0 {
	meta:
		name = "TCOMAdminCatalogCollection.SaveChanges"
		size = 95
		refs = "0012 TCOMAdminCatalogCollection.SaveChanges 0026 TCOMAdminCatalogCollection.GetDefaultInterface 0034 @CheckAutoResult 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74334_0 {
	meta:
		name = "TCOMAdminCatalogCollection.GetCollection"
		size = 224
		refs = "0025 @VarAddRef 002d TCOMAdminCatalogCollection.GetCollection 003c _DV_TCOMAdminCatalogCollection 0041 TCOMAdminCatalogCollection.Create 004b @IntfClear 0063 TCOMAdminCatalogCollection.GetDefaultInterface 0071 @CheckAutoResult 0081 @IntfCast 008b TCOMAdminCatalogCollection.ConnectTo 00b8 @VarClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D EC 89 5D E8 89 5D E4 8B F1 8D 7D F0 A5 A5 A5 A5 8B FA 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 E8 E8 ?? ?? ?? ?? 50 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 57 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 72 28 B2 6E 19 8A D0 11 81 B6 00 A0 C9 23 1C 29 }
	condition:
		$1
}

rule function_74337_0 {
	meta:
		name = "TCOMAdminCatalogCollection.PopulateByQuery"
		size = 89
		refs = "0012 TCOMAdminCatalogCollection.PopulateByQuery 0024 TCOMAdminCatalogCollection.GetDefaultInterface 0032 @CheckAutoResult 0047 @IntfClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74340_0 {
	meta:
		name = "TColorGrid.Create"
		size = 208
		refs = "000e @ClassCreate 001c TCustomControl.Create 0025 TColorGrid.Create 005d TControl.SetColor 006d TBrush.SetStyle 007d TPen.SetColor 00a1 GetStockObject 00a7 GetPaletteEntries 00b4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 C6 83 F4 02 00 00 02 C7 83 EC 02 00 00 04 00 00 00 C7 83 F0 02 00 00 04 00 00 00 C6 83 DC 02 00 00 01 C6 83 DD 02 00 00 01 BA 0F 00 00 FF 8B C3 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 44 33 D2 E8 ?? ?? ?? ?? 6A 64 6A 64 33 C9 33 D2 8B C3 8B 30 FF 96 A4 00 00 00 8D 83 80 02 00 00 50 6A 14 6A 00 6A 0F E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_74341_0 {
	meta:
		name = "TColorGrid.ColorToIndex"
		size = 78
		refs = "000d ColorToRGB"
	strings:
		$1 = { 53 56 57 55 8B F8 33 F6 33 DB 8B C2 E8 ?? ?? ?? ?? 8B D0 8D 84 9F 80 02 00 00 0F B6 08 0F B6 68 01 C1 E5 08 0B CD 0F B6 40 02 C1 E0 10 0B C8 3B D1 74 14 83 FB 07 74 03 43 EB 03 83 C3 05 46 83 FB 14 7C CF 83 CE FF 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74342_0 {
	meta:
		name = "TColorGrid.CreateWnd"
		size = 62
		refs = "0007 TWinControl.CreateWnd 000e TWinControl.GetHandle 0023 GetWindowLongPtr 0037 SetWindowLongPtr"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 8B D6 B9 F0 FF FF FF 0D 00 00 00 04 50 51 52 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74343_0 {
	meta:
		name = "TColorGrid.DrawSquare"
		size = 530
		refs = "0064 Bounds 0080 TPen.SetColor 00ab InflateRect 00c6 Frame3D 0104 TBrush.SetColor 019c TCanvas.GetHandle 01a2 DrawFocusRect 01be TPen.SetMode"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 88 0C 24 8B CA 8B F8 85 C9 0F 8C F4 01 00 00 83 F9 0F 0F 8F EB 01 00 00 83 F9 08 7D 04 8B F1 EB 03 8D 71 04 8B C1 8B AF EC 02 00 00 99 F7 FD 8B D8 0F AF 9F E8 02 00 00 8B C1 99 F7 FD 0F AF 97 E4 02 00 00 8B EA 8B 87 E8 02 00 00 50 8D 44 24 08 50 8B 8F E4 02 00 00 8B D3 8B C5 E8 ?? ?? ?? ?? 80 BF F1 01 00 00 00 74 5B 8B 87 78 02 00 00 8B 40 44 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B 44 24 0C 50 8B 44 24 14 50 8B 4C 24 10 8B 54 24 0C 8B 87 78 02 00 00 8B 18 FF 53 7C 6A FF 6A FF 8D 44 24 0C 50 E8 ?? ?? ?? ?? 68 14 00 00 FF 6A 02 8D 54 24 0C B9 10 00 00 FF 8B 87 78 02 00 00 E8 ?? ?? ?? ?? EB 10 8B 87 78 02 00 00 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8D 84 B7 80 02 00 00 8B F0 0F B6 16 0F B6 46 01 C1 E0 08 0B D0 0F B6 46 02 C1 E0 10 0B D0 8B 87 78 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 80 BF F1 01 00 00 00 74 23 0F B6 16 0F B6 46 01 C1 E0 08 0B D0 0F B6 46 02 C1 E0 10 0B D0 8B 87 78 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 80 3C 24 00 75 22 8B 44 24 0C 50 8B 44 24 14 50 8B 4C 24 10 8B 54 24 0C 8B 87 78 02 00 00 8B 18 FF 53 7C E9 AE 00 00 00 80 BF F1 01 00 00 00 74 43 8B 44 24 0C 50 8B 44 24 14 50 8B 4C 24 10 8B 54 24 0C 8B 87 78 02 00 00 8B 18 FF 53 7C 6A FF 6A FF 8D 44 24 0C 50 E8 ?? ?? ?? ?? 8D 44 24 04 50 8B 87 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 62 8B 9F 78 02 00 00 8B 43 44 33 D2 E8 ?? ?? ?? ?? 8B 43 44 B2 03 E8 ?? ?? ?? ?? 8B 44 24 0C 50 8B 44 24 14 50 8B 4C 24 10 8B 54 24 0C 8B C3 8B 30 FF 56 7C 8B 43 44 B2 04 E8 ?? ?? ?? ?? 8B 44 24 0C 83 E8 02 50 8B 44 24 14 83 E8 02 50 8B 4C 24 10 83 C1 02 8B 54 24 0C 83 C2 02 8B C3 8B 18 FF 53 7C 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74345_0 {
	meta:
		name = "TColorGrid.DrawFgBg"
		size = 754
		refs = "001a TColorGrid.DrawFgBg 002d TCanvas.GetHandle 0033 SetBkMode 0061 SFB 0066 LoadResString 0070 SFG 00a0 TernaryOp 00f3 TFont.SetColor 014b @UStrLAsg 016d @UStrToPWChar 0174 DrawText 01af SBG 02df @UStrArrayClr 02e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 D2 89 55 FC 89 55 F8 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 80 BB DC 02 00 00 00 0F 84 32 01 00 00 8B 83 D4 02 00 00 3B 83 D8 02 00 00 75 18 80 BB DD 02 00 00 00 74 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 D4 02 00 00 83 F8 08 7C 03 83 C0 04 8B 84 83 80 02 00 00 89 45 F0 80 7D F0 80 0F 93 C0 B9 FF 00 00 00 33 D2 E8 ?? ?? ?? ?? 88 45 F0 80 7D F1 80 0F 93 C0 B9 FF 00 00 00 33 D2 E8 ?? ?? ?? ?? 88 45 F1 80 7D F2 80 0F 93 C0 B9 FF 00 00 00 33 D2 E8 ?? ?? ?? ?? 88 45 F2 0F B6 55 F0 0F B6 45 F1 C1 E0 08 0B D0 0F B6 45 F2 C1 E0 10 0B D0 8B 83 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B 83 D4 02 00 00 99 F7 BB EC 02 00 00 8B CA 8B BB E4 02 00 00 0F AF CF 89 4D D0 03 CF 89 4D D8 8B 83 D4 02 00 00 99 F7 BB EC 02 00 00 8B C8 8B BB E8 02 00 00 0F AF CF 89 4D D4 03 CF 89 4D DC 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B F8 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? C7 45 EC FF FF FF FF C7 45 E8 25 01 00 00 8B 45 E8 50 8D 45 D0 50 8B 45 EC 50 8B 45 F8 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 80 BB DD 02 00 00 00 0F 84 32 01 00 00 8B 83 D4 02 00 00 3B 83 D8 02 00 00 75 18 80 BB DC 02 00 00 00 74 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 83 F8 08 7C 03 83 C0 04 8B 84 83 80 02 00 00 89 45 F0 80 7D F0 80 0F 93 C0 B9 FF 00 00 00 33 D2 E8 ?? ?? ?? ?? 88 45 F0 80 7D F1 80 0F 93 C0 B9 FF 00 00 00 33 D2 E8 ?? ?? ?? ?? 88 45 F1 80 7D F2 80 0F 93 C0 B9 FF 00 00 00 33 D2 E8 ?? ?? ?? ?? 88 45 F2 0F B6 55 F0 0F B6 45 F1 C1 E0 08 0B D0 0F B6 45 F2 C1 E0 10 0B D0 8B 83 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 99 F7 BB EC 02 00 00 8B CA 8B BB E4 02 00 00 0F AF CF 89 4D D0 03 CF 89 4D D8 8B 83 D8 02 00 00 99 F7 BB EC 02 00 00 8B C8 8B BB E8 02 00 00 0F AF CF 89 4D D4 03 CF 89 4D DC 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B F8 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? C7 45 E4 FF FF FF FF C7 45 E0 25 01 00 00 8B 45 E0 50 8D 45 D0 50 8B 45 E4 50 8B 45 F4 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 56 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74346_0 {
	meta:
		name = "TColorGrid.EnableForeground"
		size = 68
		refs = "0037 TColorGrid.DrawSquare 003e TColorGrid.DrawFgBg"
	strings:
		$1 = { 53 8B D8 3A 93 DC 02 00 00 74 37 88 93 DC 02 00 00 8B 83 D4 02 00 00 3B 83 E0 02 00 00 75 09 80 BB F5 02 00 00 00 75 04 33 C9 EB 02 B1 01 8B 93 D4 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74347_0 {
	meta:
		name = "TColorGrid.EnableBackground"
		size = 68
		refs = "0037 TColorGrid.DrawSquare 003e TColorGrid.DrawFgBg"
	strings:
		$1 = { 53 8B D8 3A 93 DD 02 00 00 74 37 88 93 DD 02 00 00 8B 83 D8 02 00 00 3B 83 E0 02 00 00 75 09 80 BB F5 02 00 00 00 75 04 33 C9 EB 02 B1 01 8B 93 D8 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74348_0 {
	meta:
		name = "TColorGrid.GetForegroundColor"
		size = 45
	strings:
		$1 = { 8B 90 D4 02 00 00 83 FA 08 7C 03 83 C2 04 8D 84 90 80 02 00 00 0F B6 10 0F B6 48 01 C1 E1 08 0B D1 0F B6 40 02 C1 E0 10 0B D0 8B C2 C3 }
	condition:
		$1
}

rule function_74349_0 {
	meta:
		name = "TColorGrid.GetBackgroundColor"
		size = 45
	strings:
		$1 = { 8B 90 D8 02 00 00 83 FA 08 7C 03 83 C2 04 8D 84 90 80 02 00 00 0F B6 10 0F B6 48 01 C1 E1 08 0B D1 0F B6 40 02 C1 E0 10 0B D0 8B C2 C3 }
	condition:
		$1
}

rule function_74350_0 {
	meta:
		name = "TColorGrid.WMSetFocus"
		size = 47
		refs = "0018 TColorGrid.DrawSquare 001f TColorGrid.DrawFgBg 0028 TWinControl.WMSetFocus"
	strings:
		$1 = { 53 56 8B F2 8B D8 C6 83 F5 02 00 00 01 B1 01 8B 93 E0 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74351_0 {
	meta:
		name = "TColorGrid.WMKillFocus"
		size = 47
		refs = "0018 TColorGrid.DrawSquare 001f TColorGrid.DrawFgBg 0028 TWinControl.WMKillFocus"
	strings:
		$1 = { 53 56 8B F2 8B D8 C6 83 F5 02 00 00 00 33 C9 8B 93 E0 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74352_0 {
	meta:
		name = "TColorGrid.KeyDown"
		size = 523
		refs = "0016 TWinControl.KeyDown 004e TColorGrid.KeyDown 00d9 TColorGrid.DrawSquare 00ec TColorGrid.SetForegroundIndex 00f5 TColorGrid.SetSelection 0100 @CallDynaInst 015b TColorGrid.SetBackgroundIndex"
	strings:
		$1 = { 53 56 57 55 51 66 89 0C 24 8B EA 8B D8 8B D5 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? 8B 8B E0 02 00 00 8B F9 8B B3 EC 02 00 00 8B C6 F7 AB F0 02 00 00 0F B7 55 00 83 FA 27 7F 35 0F 84 8D 01 00 00 83 C2 E0 83 FA 06 0F 87 94 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 FA 46 7F 19 74 25 83 EA 28 0F 84 25 01 00 00 83 EA 1A 0F 84 82 00 00 00 E9 53 01 00 00 83 EA 62 74 78 83 EA 04 0F 85 45 01 00 00 80 BB DC 02 00 00 00 75 44 80 BB D0 02 00 00 00 74 3B C6 83 DC 02 00 00 01 8B 83 D4 02 00 00 3B 83 E0 02 00 00 75 09 80 BB F5 02 00 00 00 75 04 33 C9 EB 02 B1 01 8B 93 D4 02 00 00 8B C3 E8 ?? ?? ?? ?? C7 83 D4 02 00 00 FF FF FF FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE EC FF E8 ?? ?? ?? ?? E9 E5 00 00 00 80 BB DD 02 00 00 00 75 44 80 BB D0 02 00 00 00 74 3B C6 83 DD 02 00 00 01 8B 83 D8 02 00 00 3B 83 E0 02 00 00 75 09 80 BB F5 02 00 00 00 75 04 33 C9 EB 02 B1 01 8B 93 D8 02 00 00 8B C3 E8 ?? ?? ?? ?? C7 83 D8 02 00 00 FF FF FF FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE EC FF E8 ?? ?? ?? ?? EB 79 33 FF EB 75 3B F1 7F 06 8B F9 2B FE EB 6B 85 C9 74 09 8B F8 2B FE 03 F9 4F EB 5E 8B F8 4F EB 59 85 C9 74 05 8B F9 4F EB 50 8B F8 4F EB 4B 8B D1 03 D6 3B C2 7E 0E 8B BB E0 02 00 00 03 BB EC 02 00 00 EB 35 48 3B C8 74 0A 8B C1 99 F7 FE 8B FA 47 EB 26 33 FF EB 22 48 3B C8 74 05 8B F9 47 EB 18 33 FF EB 14 8B F8 4F EB 0F 8B D5 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? EB 17 66 C7 45 00 00 00 3B BB E0 02 00 00 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74353_0 {
	meta:
		name = "TColorGrid.WMGetDlgCode"
		size = 8
		altNames = "TDBCtrlGrid.WMGetDlgCode TDBLookupControl.WMGetDlgCode"
	strings:
		$1 = { C7 42 0C 81 00 00 00 C3 }
	condition:
		$1
}

rule function_74354_0 {
	meta:
		name = "TColorGrid.WMSize"
		size = 81
		refs = "0015 TColorGrid.WMSize 0023 TWinControl.WMSize 002d TColorGrid.UpdateCellSizes 0042 TWinControl.EnableAlign 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 66 FF 80 B4 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_74356_0 {
	meta:
		name = "TColorGrid.MouseDown"
		size = 291
		refs = "0020 TControl.MouseDown 0039 TColorGrid.SquareFromPos 0082 TColorGrid.DrawSquare 0095 TColorGrid.SetForegroundIndex 00a5 TControl.SetMouseCapture 00fb TColorGrid.SetBackgroundIndex 0104 TColorGrid.SetSelection"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FE 8B DA 8B F0 8B 7D 0C 57 8B 45 08 50 8B D3 0F B7 4D FE 8B C6 E8 ?? ?? ?? ?? 88 9E 00 03 00 00 C6 86 01 03 00 00 01 8B 4D 08 8B D7 8B C6 E8 ?? ?? ?? ?? 8B F8 84 DB 75 58 80 BE DC 02 00 00 00 75 44 80 BE D0 02 00 00 00 74 3B C6 86 DC 02 00 00 01 8B 86 D4 02 00 00 3B 86 E0 02 00 00 75 09 80 BE F5 02 00 00 00 75 04 33 C9 EB 02 B1 01 8B 96 D4 02 00 00 8B C6 E8 ?? ?? ?? ?? C7 86 D4 02 00 00 FF FF FF FF 8B D7 8B C6 E8 ?? ?? ?? ?? EB 64 80 FB 01 75 5F B2 01 8B C6 E8 ?? ?? ?? ?? 80 BE DD 02 00 00 00 75 44 80 BE D0 02 00 00 00 74 3B C6 86 DD 02 00 00 01 8B 86 D8 02 00 00 3B 86 E0 02 00 00 75 09 80 BE F5 02 00 00 00 75 04 33 C9 EB 02 B1 01 8B 96 D8 02 00 00 8B C6 E8 ?? ?? ?? ?? C7 86 D8 02 00 00 FF FF FF FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 80 BE F0 01 00 00 00 74 0A 8B C6 8B 10 FF 92 F4 00 00 00 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_74357_0 {
	meta:
		name = "TColorGrid.MouseMove"
		size = 106
		refs = "001c TControl.MouseMove 0030 TColorGrid.SquareFromPos 0046 TColorGrid.SetForegroundIndex 0055 TColorGrid.SetBackgroundIndex 005e TColorGrid.SetSelection"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 66 89 55 FE 8B D8 8B 7D 08 57 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 80 BB 01 03 00 00 00 74 39 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 0F B6 83 00 03 00 00 84 C0 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0D 3C 01 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_74358_0 {
	meta:
		name = "TColorGrid.MouseUp"
		size = 74
		refs = "001b TControl.MouseUp 0034 TControl.SetMouseCapture 003f @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B D8 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? C6 83 01 03 00 00 00 80 BB 00 03 00 00 01 75 14 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE EC FF E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_74359_0 {
	meta:
		name = "TColorGrid.Paint"
		size = 114
		refs = "0011 TCanvas.SetFont 0043 TColorGrid.DrawSquare 0068 TColorGrid.DrawFgBg"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B 53 6C 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B 83 F0 02 00 00 85 C0 7C 32 40 89 04 24 33 ED 8B B3 EC 02 00 00 85 F6 7C 1C 46 33 FF 8B C5 F7 AB EC 02 00 00 03 C7 33 C9 8B D0 8B C3 E8 ?? ?? ?? ?? 47 4E 75 E7 45 FF 0C 24 75 D4 0F B6 8B F5 02 00 00 8B 93 E0 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74360_0 {
	meta:
		name = "TColorGrid.SetBackgroundIndex"
		size = 138
		refs = "003b TColorGrid.DrawSquare 0078 TColorGrid.DrawFgBg 0083 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 D8 02 00 00 3B F0 74 77 80 BB DD 02 00 00 00 74 6E 8B 93 D8 02 00 00 3B 93 E0 02 00 00 75 09 80 BB F5 02 00 00 00 75 04 33 C9 EB 02 B1 01 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 89 83 D8 02 00 00 3B 83 D4 02 00 00 75 26 8B 93 D8 02 00 00 3B 93 E0 02 00 00 75 09 80 BB F5 02 00 00 00 75 04 33 C9 EB 02 B1 01 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE AE FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74361_0 {
	meta:
		name = "TColorGrid.SetForegroundIndex"
		size = 138
		refs = "003b TColorGrid.DrawSquare 0078 TColorGrid.DrawFgBg 0083 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 D4 02 00 00 3B F0 74 77 80 BB DC 02 00 00 00 74 6E 8B 93 D4 02 00 00 3B 93 E0 02 00 00 75 09 80 BB F5 02 00 00 00 75 04 33 C9 EB 02 B1 01 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 89 83 D4 02 00 00 3B 83 D8 02 00 00 75 26 8B 93 D4 02 00 00 3B 93 E0 02 00 00 75 09 80 BB F5 02 00 00 00 75 04 33 C9 EB 02 B1 01 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE AE FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74362_0 {
	meta:
		name = "TColorGrid.SetGridOrdering"
		size = 61
		refs = "0037 TColorGrid.UpdateCellSizes"
	strings:
		$1 = { 53 3A 90 F4 02 00 00 74 32 8B DA 88 98 F4 02 00 00 8B CB BA 10 00 00 00 D3 EA 89 90 EC 02 00 00 0F B6 88 F4 02 00 00 BA 01 00 00 00 D3 E2 89 90 F0 02 00 00 B2 01 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74363_0 {
	meta:
		name = "TColorGrid.SetSelection"
		size = 61
		refs = "0017 TColorGrid.DrawSquare 0036 TColorGrid.DrawFgBg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 E0 02 00 00 3B F0 74 2A 33 C9 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 89 83 E0 02 00 00 0F B6 8B F5 02 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74364_0 {
	meta:
		name = "TColorGrid.SquareFromPos"
		size = 76
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 50 48 3B F0 7E 04 8B F0 EB 06 85 F6 7D 02 33 F6 8B 43 54 48 3B C8 7E 04 8B C8 EB 06 85 C9 7D 02 33 C9 8B C1 99 F7 BB E8 02 00 00 8B C8 0F AF 8B EC 02 00 00 8B C6 99 F7 BB E4 02 00 00 03 C8 8B C1 5E 5B C3 }
	condition:
		$1
}

rule function_74365_0 {
	meta:
		name = "TColorGrid.UpdateCellSizes"
		size = 127
		refs = "003c Bounds 0045 TControl.SetBoundsRect"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B DA 8B F0 8B 46 50 8B 8E EC 02 00 00 99 F7 F9 8B E8 0F AF E9 8B 46 54 8B 8E F0 02 00 00 99 F7 F9 8B F8 0F AF F9 57 8D 44 24 04 50 8B CD 8B 56 4C 8B 46 48 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? 8B 46 50 99 F7 BE EC 02 00 00 89 86 E4 02 00 00 8B 46 54 99 F7 BE F0 02 00 00 89 86 E8 02 00 00 84 DB 74 0A 8B C6 8B 10 FF 92 9C 00 00 00 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74366_0 {
	meta:
		name = "TColorGrid.Change"
		size = 36
		refs = "0006 TControl.Changed"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB FA 02 00 00 00 74 0E 8B D3 8B 83 FC 02 00 00 FF 93 F8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_74398_0 {
	meta:
		name = "InitCommonControl"
		size = 43
		refs = "0012 InitCommonControlsEx 0021 InitCommonControls"
	strings:
		$1 = { 53 83 C4 F8 C7 04 24 08 00 00 00 89 44 24 04 8B C4 E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 84 DB 75 05 E8 ?? ?? ?? ?? 8B C3 59 5A 5B C3 }
	condition:
		$1
}

rule function_74399_0 {
	meta:
		name = "CheckCommonControl"
		size = 39
		refs = "0006 InitCommonControl 0010 sInvalidComCtl32 0017 _Dn_EComponentError 001c Exception.CreateRes 0021 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74400_0 {
	meta:
		name = "GetShellModule"
		size = 88
		refs = "0002 ShellModule 000f GetShellModule 0014 SafeLoadLibrary"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 24 BA 00 80 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 20 77 07 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 73 00 68 00 65 00 6C 00 6C 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 }
	condition:
		$1
}

rule function_74401_0 {
	meta:
		name = "GetComCtlVersion"
		size = 72
		refs = "0002 ComCtlVersion 000a GetComCtlVersion 000f GetFileVersion"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 0F B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 6F 00 6D 00 63 00 74 00 6C 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_74402_0 {
	meta:
		name = "CheckToolMenuDropdown"
		size = 16
		refs = "000a @CallDynaInst"
	strings:
		$1 = { 56 85 C0 74 09 66 BE C6 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_74403_0 {
	meta:
		name = "SetComCtlStyle"
		size = 81
		refs = "000d TWinControl.HandleAllocated 0018 TWinControl.GetHandle 0024 GetWindowLongPtr 0048 SetWindowLongPtr"
	strings:
		$1 = { 53 56 57 55 8B D9 8B FA 8B E8 8B C5 E8 ?? ?? ?? ?? 84 C0 74 37 8B C5 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 8B F0 84 DB 75 06 F7 D7 23 F7 EB 02 0B F7 8B C5 E8 ?? ?? ?? ?? BA F0 FF FF FF 8B CE 51 52 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74405_0 {
	meta:
		name = "TTabStrings.Clear"
		size = 111
		refs = "000c TTabStrings.Clear 0023 TWinControl.GetHandle 0029 SendMessage 0035 sTabFailClear 003a LoadResString 0042 TabControlError 004a TCustomTabControl.TabsChanged 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 68 09 13 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_74406_0 {
	meta:
		name = "TTabStrings.Delete"
		size = 153
		refs = "0018 TTabStrings.Delete 002e TWinControl.GetHandle 0034 SendMessage 0044 sTabFailDelete 0049 LoadResString 005d Format 0065 TabControlError 006d TCustomTabControl.TabsChanged 0087 @UStrArrayClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 56 68 08 13 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 2D 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 75 F0 C6 45 F4 00 8D 55 F0 33 C9 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74407_0 {
	meta:
		name = "TTabStrings.Get"
		size = 258
		refs = "0034 TTabStrings.Get 0042 TControl.UseRightToLeftReading 004c RTL 0074 TWinControl.GetHandle 007a SendMessage 0090 sTabFailRetrieve 0095 LoadResString 00b5 Format 00c0 TabControlError 00d2 @UStrFromWArray 00ef @UStrArrayClr 00f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 D8 53 56 57 33 DB 89 9D E0 DF FF FF 89 9D DC DF FF FF 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 2C E8 ?? ?? ?? ?? 83 E0 7F 8B 04 85 ?? ?? ?? ?? 83 C8 01 89 45 E4 8D 85 E4 DF FF FF 89 45 F0 C7 45 F4 00 10 00 00 8D 45 E4 50 56 68 3C 13 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 42 8D 85 E0 DF FF FF 50 8D 95 DC DF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 DC DF FF FF 89 B5 D4 DF FF FF C6 85 D8 DF FF FF 00 8D 95 D4 DF FF FF 33 C9 E8 ?? ?? ?? ?? 8B 85 E0 DF FF FF E8 ?? ?? ?? ?? 8B C7 8D 95 E4 DF FF FF B9 00 10 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 DC DF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74408_0 {
	meta:
		name = "TTabStrings.GetCount"
		size = 28
		refs = "0010 TWinControl.GetHandle 0016 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 04 13 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74409_0 {
	meta:
		name = "TTabStrings.GetObject"
		size = 159
		refs = "0018 TTabStrings.GetObject 0037 TWinControl.GetHandle 003d SendMessage 004d sTabFailGetObject 0052 LoadResString 0066 Format 006e TabControlError 008b @UStrArrayClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 C9 89 4D E0 89 4D DC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 E4 08 00 00 00 8D 45 E4 50 56 68 3C 13 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 2D 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 89 75 D4 C6 45 D8 00 8D 55 D4 33 C9 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74410_0 {
	meta:
		name = "TTabStrings.Put"
		size = 224
		refs = "001b TTabStrings.Put 0029 TControl.UseRightToLeftReading 0033 RTL 0043 @UStrToPWChar 0062 TWinControl.GetHandle 006e SendStructMessage 007e sTabFailSet 0083 LoadResString 00a3 Format 00ab TabControlError 00b3 TCustomTabControl.TabsChanged 00cd @UStrArrayClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D E0 89 5D DC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 2C E8 ?? ?? ?? ?? 83 E0 7F 8B 04 85 ?? ?? ?? ?? 83 C8 01 83 C8 02 89 45 E4 8B C7 E8 ?? ?? ?? ?? 89 45 F0 8B D6 8B 43 2C 8B 08 FF 91 00 01 00 00 89 45 F8 8D 45 E4 50 8B 43 2C E8 ?? ?? ?? ?? 8B CE BA 3D 13 00 00 E8 ?? ?? ?? ?? 85 C0 75 39 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 89 7D CC C6 45 D0 11 89 75 D4 C6 45 D8 00 8D 55 CC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74411_0 {
	meta:
		name = "TTabStrings.PutObject"
		size = 157
		refs = "0018 TTabStrings.PutObject 003a TWinControl.GetHandle 0040 SendMessage 0050 sTabFailSetObject 0055 LoadResString 0069 Format 0071 TabControlError 008b @UStrArrayClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 DB 89 5D E0 89 5D DC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 E4 08 00 00 00 89 4D FC 8D 45 E4 50 56 68 3D 13 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 2D 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 89 75 D4 C6 45 D8 00 8D 55 D4 33 C9 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74412_0 {
	meta:
		name = "TTabStrings.Insert"
		size = 224
		refs = "001b TTabStrings.Insert 0029 TControl.UseRightToLeftReading 0033 RTL 0043 @UStrToPWChar 0062 TWinControl.GetHandle 006e SendStructMessage 007e sTabFailSet 0083 LoadResString 00a3 Format 00ab TabControlError 00b3 TCustomTabControl.TabsChanged 00cd @UStrArrayClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D E0 89 5D DC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 2C E8 ?? ?? ?? ?? 83 E0 7F 8B 04 85 ?? ?? ?? ?? 83 C8 01 83 C8 02 89 45 E4 8B C7 E8 ?? ?? ?? ?? 89 45 F0 8B D6 8B 43 2C 8B 08 FF 91 00 01 00 00 89 45 F8 8D 45 E4 50 8B 43 2C E8 ?? ?? ?? ?? 8B CE BA 3E 13 00 00 E8 ?? ?? ?? ?? 85 C0 7D 39 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 89 7D CC C6 45 D0 11 89 75 D4 C6 45 D8 00 8D 55 CC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74413_0 {
	meta:
		name = "TTabStrings.SetUpdateState"
		size = 71
		refs = "001f TWinControl.GetHandle 0025 SendMessage 003f TCustomTabControl.TabsChanged"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 7E 2C 88 9F A0 02 00 00 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 F3 01 84 DB 74 13 8B 46 2C 8B 10 FF 92 9C 00 00 00 8B 46 2C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74415_0 {
	meta:
		name = "TCustomTabControl.Create"
		size = 192
		refs = "000e @ClassCreate 001c TWinControl.Create 0028 TControl.SetWidth 0034 TControl.SetHeight 003d TWinControl.SetTabStop 0042 TCustomTabControl.Create 004c _DV_TTabStrings 0051 TStrings.Create 0063 _Dn_TControlCanvas 0068 TCanvas.Create 0079 TControlCanvas.SetControl 0080 _Dn_TChangeLink 0085 TObject.Create 0097 TCustomTabControl.ImageListChange 00a4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? BA 21 01 00 00 8B C3 E8 ?? ?? ?? ?? BA C1 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 98 02 00 00 89 5E 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 78 02 00 00 8B C6 8B D3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 80 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 81 00 28 00 }
	condition:
		$1
}

rule function_74416_0 {
	meta:
		name = "TCustomTabControl.Destroy"
		size = 112
		refs = "0003 @BeforeDestruction 001a TObject.Free 005e TWinControl.Destroy 0069 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 78 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 98 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 90 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 80 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74417_0 {
	meta:
		name = "TCustomTabControl.CanChange"
		size = 41
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 C2 02 00 00 00 74 12 8B CC 8B D8 8B D0 8B 83 C4 02 00 00 FF 93 C0 02 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_74419_0 {
	meta:
		name = "TAnimate.DoClose"
		size = 29
		altNames = "TCustomTabControl.Change"
	strings:
		$1 = { 53 66 83 B8 BA 02 00 00 00 74 10 8B D8 8B D0 8B 83 BC 02 00 00 FF 93 B8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_74420_0 {
	meta:
		name = "TCustomTabControl.CreateParams"
		size = 280
		refs = "000d InitCommonControl 0016 TWinControl.CreateParams 001b TCustomTabControl.CreateParams 0024 TWinControl.CreateSubClass 002f @CallDynaInst 003b AlignStyles 005e TabStyles 006c RRStyles"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 83 E0 7F 03 C0 8D 04 C5 ?? ?? ?? ?? 0F B6 93 96 02 00 00 8B 04 90 8B 57 04 81 CA 00 00 00 02 0B C2 0F B6 93 95 02 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 8B 02 00 00 0B 04 95 ?? ?? ?? ?? 89 47 04 80 BB F0 01 00 00 00 75 07 81 4F 04 00 80 00 00 80 BB 88 02 00 00 00 74 07 81 4F 04 00 02 00 00 80 BB 89 02 00 00 00 74 04 83 4F 04 04 80 BB 8A 02 00 00 00 74 0D F6 43 1C 10 75 07 81 4F 04 00 20 00 00 66 83 BB 9C 02 00 00 00 74 07 81 4F 04 00 04 00 00 80 BB 7C 02 00 00 00 74 0A F6 43 1C 10 75 04 83 4F 04 40 80 BB 94 02 00 00 00 74 04 83 4F 04 01 8B 47 24 83 E0 FC 83 C8 08 89 47 24 5F 5E 5B C3 00 53 00 79 00 73 00 54 00 61 00 62 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 33 00 32 00 00 00 }
	condition:
		$1
}

rule function_74421_0 {
	meta:
		name = "TCustomTabControl.CreateWnd"
		size = 148
		refs = "0008 TWinControl.CreateWnd 0019 TCustomImageList.HandleAllocated 0028 TCustomImageList.GetHandle 0037 TControl.Perform 0052 TCustomTabControl.UpdateTabSize 0084 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 9E 84 02 00 00 85 DB 74 25 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 86 84 02 00 00 E8 ?? ?? ?? ?? 50 33 C9 BA 03 13 00 00 8B C6 E8 ?? ?? ?? ?? 66 83 BE 9C 02 00 00 00 75 0A 66 83 BE 9E 02 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B BE 90 02 00 00 85 FF 74 30 8B D7 8B 86 98 02 00 00 8B 08 FF 51 08 8B 96 8C 02 00 00 8B C6 8B 08 FF 91 04 01 00 00 8B 86 90 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 90 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74422_0 {
	meta:
		name = "TCustomTabControl.DrawTab"
		size = 60
	strings:
		$1 = { 55 8B EC 56 8B F0 66 83 BE CA 02 00 00 00 74 1A 51 0F B6 45 08 50 8B C6 8B CA 8B D0 8B 86 CC 02 00 00 FF 96 C8 02 00 00 EB 0D 8B D1 8B 86 78 02 00 00 8B 08 FF 51 54 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_74423_0 {
	meta:
		name = "TCustomTabControl.GetDisplayRect"
		size = 53
		refs = "0015 TWinControl.GetHandle 0021 SendGetStructMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 60 56 6A 01 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 28 13 00 00 E8 ?? ?? ?? ?? 80 BB 96 02 00 00 00 75 04 83 46 04 02 5E 5B C3 }
	condition:
		$1
}

rule function_74424_0 {
	meta:
		name = "TCustomTabControl.GetImageIndex"
		size = 40
	strings:
		$1 = { 53 51 89 14 24 66 83 B8 D2 02 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 D4 02 00 00 FF 93 D0 02 00 00 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_74425_0 {
	meta:
		name = "TCustomTabControl.GetTabIndex"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 0B 13 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74426_0 {
	meta:
		name = "TCustomTabControl.Loaded"
		size = 28
		refs = "0006 TControl.Loaded 0016 TCustomTabControl.UpdateTabImages"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB 84 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74427_0 {
	meta:
		name = "TCustomTabControl.SetHotTrack"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 7C 02 00 00 74 0B 88 90 7C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74428_0 {
	meta:
		name = "TCustomTabControl.Notification"
		size = 46
		refs = "0010 TWinControl.Notification 0026 TCustomTabControl.SetImages"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 11 3B B7 84 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74429_0 {
	meta:
		name = "TCustomTabControl.SetImages"
		size = 111
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 003b TComponent.FreeNotification 0046 TCustomImageList.GetHandle 0055 TControl.Perform"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 84 02 00 00 85 C0 74 0B 8B 93 80 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 84 02 00 00 85 C0 74 35 8B 93 80 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 84 02 00 00 E8 ?? ?? ?? ?? 8B 83 84 02 00 00 E8 ?? ?? ?? ?? 50 33 C9 BA 03 13 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 6A 00 33 C9 BA 03 13 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74430_0 {
	meta:
		name = "TCustomTabControl.ImageListChange"
		size = 31
		refs = "0009 TCustomImageList.GetHandle 0018 TControl.Perform"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 33 C9 BA 03 13 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74431_0 {
	meta:
		name = "TCustomTabControl.InternalSetMultiLine"
		size = 143
		refs = "0015 TCustomTabControl.InternalSetMultiLine 0046 sTabMustBeMultiLine 004b LoadResString 0053 TabControlError 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E 88 02 00 00 0F 95 45 FF 80 7D FF 00 74 39 84 DB 75 24 0F B6 86 96 02 00 00 3C 02 74 04 3C 03 75 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 88 9E 88 02 00 00 84 DB 75 07 C6 86 94 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74432_0 {
	meta:
		name = "TCustomTabControl.SetMultiLine"
		size = 29
		refs = "000b TCustomTabControl.InternalSetMultiLine 0016 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74433_0 {
	meta:
		name = "TCustomEdit.SetCharCase"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TCustomTabControl.SetMultiSelect"
	strings:
		$1 = { 3A 90 89 02 00 00 74 0B 88 90 89 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74434_0 {
	meta:
		name = "TCustomTabControl.SetOwnerDraw"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 8A 02 00 00 74 0B 88 90 8A 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74435_0 {
	meta:
		name = "TCustomTabControl.SetRaggedRight"
		size = 27
		refs = "0016 SetComCtlStyle"
	strings:
		$1 = { 3A 90 8B 02 00 00 74 12 88 90 8B 02 00 00 8B CA BA 00 08 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74436_0 {
	meta:
		name = "TCustomTabControl.SetScrollOpposite"
		size = 30
		refs = "0019 TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 94 02 00 00 74 15 88 90 94 02 00 00 84 D2 74 06 88 90 88 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74437_0 {
	meta:
		name = "TCustomTabControl.SetStyle"
		size = 141
		refs = "000f TCustomTabControl.SetStyle 0032 SInvalidTabStyle 0037 LoadResString 0041 _Dn_EInvalidOperation 0046 Exception.Create 004b @RaiseExcept 0067 TWinControl.RecreateWnd 007c @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E 95 02 00 00 74 4A 84 DB 74 2A 80 BE 96 02 00 00 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 0F 94 C2 8B C6 8B 08 FF 91 E4 00 00 00 88 9E 95 02 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74438_0 {
	meta:
		name = "TCustomTabControl.SetTabHeight"
		size = 157
		refs = "0015 TCustomTabControl.SetTabHeight 0033 TObject.ClassName 004b SPropertyOutOfRange 0050 LoadResString 005a _Dn_EInvalidOperation 005f Exception.CreateFmt 0064 @RaiseExcept 0072 TCustomTabControl.UpdateTabSize 008c @UStrArrayClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F4 89 4D F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 3B 93 9E 02 00 00 74 4E 66 85 D2 7D 3B 8D 55 F4 8B 03 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 93 9E 02 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74439_0 {
	meta:
		name = "TCustomTabControl.SetTabIndex"
		size = 36
		refs = "0017 TWinControl.GetHandle 001d SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 08 75 15 6A 00 56 68 0C 13 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74440_0 {
	meta:
		name = "TCustomTabControl.SetTabPosition"
		size = 150
		refs = "000c TCustomTabControl.SetTabPosition 002f SInvalidTabPosition 0034 LoadResString 003e _Dn_EInvalidOperation 0043 Exception.Create 0048 @RaiseExcept 006a TCustomTabControl.InternalSetMultiLine 0071 TWinControl.RecreateWnd 0086 @UStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 93 96 02 00 00 74 57 84 D2 74 2A 80 BB 95 02 00 00 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 93 96 02 00 00 80 BB 88 02 00 00 00 75 13 80 FA 02 74 05 80 FA 03 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_74441_0 {
	meta:
		name = "TCustomTabControl.SetTabs"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 98 02 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_74442_0 {
	meta:
		name = "TCustomTabControl.SetTabWidth"
		size = 183
		refs = "0015 TCustomTabControl.SetTabWidth 0033 TObject.ClassName 004b SPropertyOutOfRange 0050 LoadResString 005a _Dn_EInvalidOperation 005f Exception.CreateFmt 0064 @RaiseExcept 0083 TWinControl.RecreateWnd 008c TCustomTabControl.UpdateTabSize 00a6 @UStrArrayClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F4 89 4D F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 3B 93 9C 02 00 00 74 68 66 85 D2 7D 3B 8D 55 F4 8B 03 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 83 9C 02 00 00 66 89 93 9C 02 00 00 66 85 C0 74 05 66 85 D2 75 09 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74443_0 {
	meta:
		name = "TCustomTabControl.TabsChanged"
		size = 63
		refs = "000f TWinControl.HandleAllocated 002c TWinControl.GetHandle 0032 SendMessage 0039 TWinControl.Realign"
	strings:
		$1 = { 53 8B D8 80 BB A0 02 00 00 00 75 31 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 0F B7 43 50 0F B7 53 54 C1 E2 10 0B C2 50 6A 00 6A 05 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74444_0 {
	meta:
		name = "TCustomTabControl.UpdateTabSize"
		size = 59
		refs = "0027 TWinControl.GetHandle 002d SendMessage 0034 TCustomTabControl.TabsChanged"
	strings:
		$1 = { 53 56 8B D8 8D B3 9C 02 00 00 0F B7 06 0F B7 C0 0F B7 56 02 0F B7 D2 C1 E2 10 0B C2 50 6A 00 68 29 13 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74445_0 {
	meta:
		name = "TCustomTabControl.UpdateTabImages"
		size = 249
		refs = "001a TCustomTabControl.UpdateTabImages 005b TWinControl.GetHandle 0067 SendStructMessage 009c sTabFailSet 00a1 LoadResString 00af Format 00b7 TabControlError 00c4 TCustomTabControl.TabsChanged 00de @UStrArrayClr 00e6 @UStrClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 D2 89 55 DC 89 55 C8 89 55 C4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 E0 02 00 00 00 8B 86 98 02 00 00 8B 10 FF 52 14 48 85 C0 0F 8C 82 00 00 00 40 89 45 FC 33 DB 8B D3 8B C6 8B 08 FF 91 00 01 00 00 89 45 F4 8D 45 E0 50 8B C6 E8 ?? ?? ?? ?? 8B CB BA 3D 13 00 00 E8 ?? ?? ?? ?? 85 C0 75 4C 8D 45 DC 50 8D 4D C8 8B D3 8B 86 98 02 00 00 8B 38 FF 57 0C 8B 45 C8 89 45 CC C6 45 D0 11 89 5D D4 C6 45 D8 00 8D 45 CC 50 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 43 FF 4D FC 75 84 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74446_0 {
	meta:
		name = "TCustomTabControl.CNDrawItem"
		size = 244
		refs = "001e SaveDC 002f TCustomCanvas.Lock 0037 TCustomTabControl.CNDrawItem 0051 TCanvas.SetHandle 0065 TCanvas.SetFont 007c TCanvas.SetBrush 00c9 TCustomCanvas.Unlock 00d9 RestoreDC 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 55 F8 89 45 FC 8B 45 F8 8B 40 08 89 45 F0 8B 45 F0 8B 40 18 50 E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 50 18 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 6C 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 C8 01 00 00 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B 45 F0 F6 40 10 01 0F 95 C0 50 8B 45 F0 8D 48 1C 8B 45 F0 8B 50 08 8B 45 FC 8B 18 FF 93 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F0 8B 40 18 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 8B 45 F8 C7 40 0C 01 00 00 00 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74447_0 {
	meta:
		name = "TCustomTabControl.WMDestroy"
		size = 142
		refs = "001f _Dn_TStringList 0024 TStringList.Create 0040 TCustomTabControl.GetTabIndex 004b GetFocus 0058 TWinControl.GetHandle 006a IsChild 0075 SetFocus 007e TWinControl.WMDestroy"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 98 02 00 00 85 F6 74 39 8B C6 8B 10 FF 52 14 85 C0 7E 2E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 90 02 00 00 8B 93 98 02 00 00 8B C6 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 89 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 74 24 8B C3 E8 ?? ?? ?? ?? 3B F0 74 12 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 07 6A 00 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 60 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74448_0 {
	meta:
		name = "TCoolBar.WMNotifyFormat"
		size = 36
		refs = "0014 TWinControl.GetHandle 001a DefWindowProc"
		altNames = "TCustomTabControl.WMNotifyFormat TToolBar.WMNotifyFormat"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 43 08 50 8B 43 04 50 8B 03 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_74449_0 {
	meta:
		name = "TCustomTabControl.WMSize"
		size = 31
		refs = "0006 TWinControl.WMSize 0013 TWinControl.GetHandle 0019 RedrawWindow"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 05 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74450_0 {
	meta:
		name = "TCustomTabControl.CMFontChanged"
		size = 39
		refs = "0006 TWinControl.CMFontChanged 000d TWinControl.HandleAllocated 0021 TControl.Perform"
		altNames = "TMonthCalendar.CMFontChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 6A 00 33 C9 BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74451_0 {
	meta:
		name = "TCoolBar.CMSysColorChange"
		size = 39
		refs = "000b TWinControl.CMSysColorChange"
		altNames = "TCustomTabControl.CMSysColorChange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? F6 43 1C 01 75 0F C7 06 15 00 00 00 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_74452_0 {
	meta:
		name = "TCustomTabControl.CMTabStopChanged"
		size = 12
		refs = "0007 TWinControl.RecreateWnd"
	strings:
		$1 = { F6 40 1C 10 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74453_0 {
	meta:
		name = "TCustomTabControl.CNNotify"
		size = 67
		refs = "001e @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B 43 08 8B 40 08 2D D8 FD FF FF 74 10 48 75 28 8B C7 66 BE AD FF E8 ?? ?? ?? ?? EB 1B C7 43 0C 01 00 00 00 8B C7 66 BE AE FF E8 ?? ?? ?? ?? 84 C0 74 05 33 C0 89 43 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74454_0 {
	meta:
		name = "TCustomTabControl.CMDialogChar"
		size = 227
		refs = "0017 TCustomTabControl.CMDialogChar 0056 IsAccel 0075 @CallDynaInst 00bb TWinControl.CMDialogChar 00d0 @UStrClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 98 02 00 00 8B 10 FF 52 14 48 85 C0 0F 8C 80 00 00 00 40 89 45 F8 33 DB 8D 4D F4 8B D3 8B 87 98 02 00 00 8B 30 FF 56 0C 8B 55 F4 8B 45 FC 0F B7 40 04 E8 ?? ?? ?? ?? 84 C0 74 51 8B D3 8B C7 8B 08 FF 91 F8 00 00 00 84 C0 74 41 8B C7 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 32 8B 45 FC C7 40 0C 01 00 00 00 8B C7 66 BE AE FF E8 ?? ?? ?? ?? 84 C0 74 29 8B D3 8B C7 8B 08 FF 91 04 01 00 00 8B C7 66 BE AD FF E8 ?? ?? ?? ?? EB 10 43 FF 4D F8 75 86 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74455_0 {
	meta:
		name = "TCustomTabControl.AdjustClientRect"
		size = 47
		refs = "000f TCustomTabControl.GetDisplayRect 0024 TWinControl.AdjustClientRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 56 8B FE 8D 74 24 04 A5 A5 A5 A5 5E 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74456_0 {
	meta:
		name = "TCustomTabControl.IndexOfTabAt"
		size = 94
		refs = "0029 PtInRect 003c TWinControl.GetHandle 004e SendMessage"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 8B F9 8B F2 8B D8 83 CD FF 89 34 24 89 7C 24 04 8D 54 24 14 8B C3 8B 08 FF 51 60 8D 44 24 14 8B D4 E8 ?? ?? ?? ?? 84 C0 74 23 89 74 24 08 89 7C 24 0C 8B C3 E8 ?? ?? ?? ?? 8D 54 24 08 52 6A 00 68 0D 13 00 00 50 E8 ?? ?? ?? ?? 8B E8 8B C5 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74457_0 {
	meta:
		name = "TCustomTabControl.GetHitTestInfoAt"
		size = 172
		refs = "0010 TCustomTabControl.GetHitTestInfoAt 002d PtInRect 0040 TWinControl.GetHandle 0052 SendMessage"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 8B E9 8B FA 8B D8 0F B7 35 ?? ?? ?? ?? 89 3C 24 89 6C 24 04 8D 54 24 14 8B C3 8B 08 FF 51 60 8D 44 24 14 8B D4 E8 ?? ?? ?? ?? 84 C0 74 65 89 7C 24 08 89 6C 24 0C 8B C3 E8 ?? ?? ?? ?? 8D 54 24 08 52 6A 00 68 0D 13 00 00 50 E8 ?? ?? ?? ?? 40 74 3A 8B 5C 24 10 F6 C3 01 74 04 66 83 CE 04 8B C3 83 E0 06 83 F8 06 75 06 66 83 CE 08 EB 24 85 C0 74 04 66 83 CE 08 F6 C3 02 74 04 66 83 CE 20 F6 C3 04 74 0E 66 81 CE 80 00 EB 07 0F B7 35 ?? ?? ?? ?? 8B C6 83 C4 24 5D 5F 5E 5B C3 00 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_74458_0 {
	meta:
		name = "TCustomTabControl.TabRect"
		size = 31
		refs = "0008 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 E8 ?? ?? ?? ?? 8B D8 57 56 68 0A 13 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74459_0 {
	meta:
		name = "TCustomTabControl.RowCount"
		size = 21
		refs = "0001 TWinControl.GetHandle 0010 SendMessage"
	strings:
		$1 = { E8 ?? ?? ?? ?? 6A 00 6A 00 68 2C 13 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74460_0 {
	meta:
		name = "TCustomTabControl.ScrollTabs"
		size = 188
		refs = "000d TCustomTabControl.ScrollTabs 0016 TWinControl.GetHandle 001c FindWindowEx 002d GetClientRect 007d SendMessage"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F2 8B D8 6A 00 68 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 6C 8D 44 24 08 50 53 E8 ?? ?? ?? ?? 85 F6 7D 0C 8B 44 24 08 83 C0 02 89 04 24 EB 0A 8B 44 24 10 83 E8 02 89 04 24 8B 44 24 0C 83 C0 02 89 44 24 04 8B C6 99 33 C2 2B C2 48 85 C0 7C 30 40 89 C6 0F B7 3C 24 0F B7 44 24 04 C1 E0 10 0B F8 57 6A 00 68 01 02 00 00 53 E8 ?? ?? ?? ?? 57 6A 00 68 02 02 00 00 53 E8 ?? ?? ?? ?? 4E 75 D3 83 C4 18 5F 5E 5B C3 00 00 00 6D 00 73 00 63 00 74 00 6C 00 73 00 5F 00 75 00 70 00 64 00 6F 00 77 00 6E 00 33 00 32 00 00 00 }
	condition:
		$1
}

rule function_74461_0 {
	meta:
		name = "TCustomTabControl.TCMAdjustRect"
		size = 130
		refs = "0013 TCustomTabControl.TCMAdjustRect 005d @HandleAnyException 0077 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 08 FF 51 F0 8B 45 FC 80 B8 96 02 00 00 00 74 1E 8B 45 F8 83 78 04 00 75 15 8B 45 F8 8B 40 08 8B 55 FC 8B F0 8D BA A4 02 00 00 A5 A5 A5 A5 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 8B 52 08 8D B0 A4 02 00 00 8B FA A5 A5 A5 A5 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74462_0 {
	meta:
		name = "TCustomTabControl.GetTabs"
		size = 20
	strings:
		$1 = { 8B 90 90 02 00 00 85 D2 74 03 8B C2 C3 8B 80 98 02 00 00 C3 }
	condition:
		$1
}

rule function_74464_0 {
	meta:
		name = "TTabSheet.Create"
		size = 104
		refs = "000a @ClassCreate 0017 TWinControl.Create 0020 TControl.SetAlign 0029 TTabSheet.Create 0035 TControl.SetVisible 004e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 05 8B C6 E8 ?? ?? ?? ?? 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 80 02 00 00 01 C6 86 82 02 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 01 04 0C 00 }
	condition:
		$1
}

rule function_74465_0 {
	meta:
		name = "TTabSheet.Destroy"
		size = 75
		refs = "0003 @BeforeDestruction 002e TPageControl.RemovePage 0039 TWinControl.Destroy 0044 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 7C 02 00 00 85 C0 74 1D 3B B0 E4 02 00 00 75 08 33 D2 89 90 E4 02 00 00 8B 86 7C 02 00 00 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74467_0 {
	meta:
		name = "TTabSheet.DoHide"
		size = 29
	strings:
		$1 = { 53 66 83 B8 8A 02 00 00 00 74 10 8B D8 8B D0 8B 83 8C 02 00 00 FF 93 88 02 00 00 5B C3 }
	condition:
		$1
}

rule function_74468_0 {
	meta:
		name = "TTabSheet.DoShow"
		size = 29
	strings:
		$1 = { 53 66 83 B8 92 02 00 00 00 74 10 8B D8 8B D0 8B 83 94 02 00 00 FF 93 90 02 00 00 5B C3 }
	condition:
		$1
}

rule function_74469_0 {
	meta:
		name = "TTabSheet.GetPageIndex"
		size = 27
		refs = "0012 TList.IndexOf"
	strings:
		$1 = { 8B 90 7C 02 00 00 85 D2 74 0D 8B 92 D8 02 00 00 92 E8 ?? ?? ?? ?? C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_74470_0 {
	meta:
		name = "TTabSheet.GetTabIndex"
		size = 77
		refs = "0017 TTabSheet.GetPageIndex 0034 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B F0 33 ED 80 BE 81 02 00 00 00 75 03 4D EB 32 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 24 43 33 FF 8B 86 7C 02 00 00 8B 80 D8 02 00 00 8B D7 E8 ?? ?? ?? ?? 80 B8 81 02 00 00 00 74 01 45 47 4B 75 DF 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74471_0 {
	meta:
		name = "TCustomControlBar.CreateParams"
		size = 16
		refs = "0006 TWinControl.CreateParams"
		altNames = "TCustomGroupBox.CreateParams TDBCtrlPanel.CreateParams TScrollingWinControl.CreateParams TTabSet.CreateParams TTabSheet.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 83 63 24 FC 5B C3 }
	condition:
		$1
}

rule function_79022_0 {
	meta:
		name = "TGroupButton.CreateParams"
		size = 16
		refs = "0006 TRadioButton.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 83 63 24 FC 5B C3 }
	condition:
		$1
}

rule function_74473_0 {
	meta:
		name = "TTabSheet.SetImageIndex"
		size = 37
		refs = "0020 TPageControl.UpdateTab"
	strings:
		$1 = { 3B 90 78 02 00 00 74 1C 89 90 78 02 00 00 80 B8 81 02 00 00 00 74 0D 8B D0 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74474_0 {
	meta:
		name = "TTabSheet.SetPageControl"
		size = 55
		refs = "0017 TPageControl.RemovePage 0030 TPageControl.InsertPage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 7C 02 00 00 3B F0 74 24 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 84 00 00 00 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74475_0 {
	meta:
		name = "TTabSheet.SetPageIndex"
		size = 147
		refs = "0038 sPageIndexError 003f _Dn_EListError 0044 Exception.CreateResFmt 0049 @RaiseExcept 0050 TTabSheet.GetTabIndex 0059 TTabSheet.GetPageIndex 006e TList.Move 0088 TPageControl.MoveTab"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B 83 7C 02 00 00 85 C0 74 78 8B 80 D8 02 00 00 8B 78 08 4F 3B FE 7D 2B 89 34 24 C6 44 24 04 00 89 7C 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 7C 02 00 00 8B 80 D8 02 00 00 8B CE E8 ?? ?? ?? ?? 85 FF 7C 16 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74476_0 {
	meta:
		name = "TTabSheet.SetTabShowing"
		size = 68
		refs = "001f TPageControl.InsertTab 0028 TTabSheet.GetTabIndex 003e TPageControl.DeleteTab"
	strings:
		$1 = { 53 8B D8 3A 93 81 02 00 00 74 37 84 D2 74 16 C6 83 81 02 00 00 01 8B D3 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? EB 1D 8B C3 E8 ?? ?? ?? ?? C6 83 81 02 00 00 00 8B C8 8B D3 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74477_0 {
	meta:
		name = "TTabSheet.SetTabVisible"
		size = 20
		refs = "000f TTabSheet.UpdateTabShowing"
	strings:
		$1 = { 3A 90 80 02 00 00 74 0B 88 90 80 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75400_0 {
	meta:
		name = "TAnimate.SetCenter"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 80 02 00 00 74 0B 88 90 80 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85067_0 {
	meta:
		name = "TCustomCheckBox.SetAlignment"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 80 02 00 00 74 0B 88 90 80 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85204_0 {
	meta:
		name = "TCustomStaticText.SetShowAccelChar"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 80 02 00 00 74 0B 88 90 80 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85081_0 {
	meta:
		name = "TRadioButton.SetAlignment"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 80 02 00 00 74 0B 88 90 80 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74478_0 {
	meta:
		name = "TTabSheet.UpdateControlOriginalParentSize"
		size = 45
		refs = "000b TWinControl.UpdateControlOriginalParentSize 0018 TWinControl.HandleAllocated"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B CE 8B C3 E8 ?? ?? ?? ?? F6 43 1C 02 75 15 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A 8B 83 C0 01 00 00 03 C0 29 06 5E 5B C3 }
	condition:
		$1
}

rule function_74479_0 {
	meta:
		name = "TTabSheet.UpdateTabShowing"
		size = 30
		refs = "0019 TTabSheet.SetTabShowing"
	strings:
		$1 = { 83 B8 7C 02 00 00 00 74 09 80 B8 80 02 00 00 00 75 04 33 D2 EB 02 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74480_0 {
	meta:
		name = "TTabSheet.CMTextChanged"
		size = 23
		refs = "0012 TPageControl.UpdateTab"
	strings:
		$1 = { 80 B8 81 02 00 00 00 74 0D 8B D0 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74481_0 {
	meta:
		name = "TTabSheet.CMShowingChanged"
		size = 166
		refs = "000e TWinControl.CMShowingChanged 0024 TTabSheet.CMShowingChanged 0036 @CallDynaInst 0045 @HandleAnyException 004a Application 0054 TApplication.HandleException 0059 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 0F B6 80 F2 01 00 00 84 C0 74 3F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BE AD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 5C E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 41 84 C0 75 3D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BE AE FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74482_0 {
	meta:
		name = "TTabSheet.SetHighlighted"
		size = 154
		refs = "0010 TTabSheet.SetHighlighted 0037 TTabSheet.GetTabIndex 0044 TWinControl.GetHandle 004a SendMessage 0054 SPageControlNotSet 0059 LoadResString 0063 _Dn_EInvalidOperation 0068 Exception.Create 006d @RaiseExcept 0088 @UStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 46 1C 02 75 51 8B BE 7C 02 00 00 85 FF 74 26 0F B6 C3 0F B7 C0 83 C8 00 50 8B C6 E8 ?? ?? ?? ?? 50 68 33 13 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 9E 82 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74483_0 {
	meta:
		name = "TTabSheet.WMNCPaint"
		size = 273
		refs = "000e StyleServices 0033 TWinControl.GetHandle 0039 GetWindowDC 0044 TTabSheet.WMNCPaint 006a OffsetRect 0083 ExcludeClipRect 009b SetWindowOrgEx 00cc TCustomStyleServices.DrawParentBackground 00eb ReleaseDC 00f1 @HandleFinally 0108 TWinControl.WMNCPaint"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 89 55 F8 89 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 0F 84 E2 00 00 00 8B 45 FC 83 B8 C0 01 00 00 00 0F 86 D2 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 E4 8B 45 FC 8B 08 FF 51 60 8B 45 FC 8B 80 C0 01 00 00 8B C8 8B D0 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 EC 50 8B 45 E8 50 8B 45 E4 50 8B 45 F4 50 E8 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 80 C0 01 00 00 F7 D8 50 50 8B 45 F4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D D8 B2 2B 8B 18 FF 93 CC 00 00 00 8D 45 D8 50 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 4D F4 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 F8 33 D2 89 50 0C EB 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74484_0 {
	meta:
		name = "TTabSheet.WMEraseBkgnd"
		size = 219
		refs = "0017 StyleServices 0038 TStyleManager.GetIsCustomStyleActive 004c TWinControl.GetHandle 0052 GetWindowRect 0067 OffsetRect 0084 TControl.ClientToParent 0094 InflateRect 00bf TCustomStyleServices.DrawElement 00d1 TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 53 56 83 C4 D4 8B F2 8B D8 83 BB 7C 02 00 00 00 0F 84 B6 00 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 0F 84 A4 00 00 00 8B 83 7C 02 00 00 80 B8 95 02 00 00 00 74 0D E8 ?? ?? ?? ?? 84 C0 0F 84 88 00 00 00 8D 44 24 08 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 4C 24 0C F7 D9 8B 54 24 08 F7 DA 8D 44 24 08 E8 ?? ?? ?? ?? 33 C0 89 04 24 33 C0 89 44 24 04 8D 44 24 24 50 8D 54 24 04 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 44 24 24 8D 54 24 08 8B C8 92 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4C 24 18 B2 2A 8B 18 FF 93 CC 00 00 00 8D 44 24 08 50 6A 00 E8 ?? ?? ?? ?? 8B 56 04 8D 4C 24 20 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 2C 5E 5B C3 }
	condition:
		$1
}

rule function_74485_0 {
	meta:
		name = "TPageControl.Create"
		size = 84
		refs = "000a @ClassCreate 0017 TCustomTabControl.Create 001c TPageControl.Create 0026 _Dn_TList 002b TObject.Create 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 D8 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 C0 00 28 00 }
	condition:
		$1
}

rule function_74486_0 {
	meta:
		name = "TPageControl.Destroy"
		size = 93
		refs = "0005 @BeforeDestruction 0027 TList.Get 003e TObject.Free 0049 TCustomTabControl.Destroy 0054 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 D8 02 00 00 8B 68 08 4D 85 ED 7C 1C 45 33 FF 8B 86 D8 02 00 00 8B D7 E8 ?? ?? ?? ?? 33 D2 89 90 7C 02 00 00 47 4D 75 E7 8B 86 D8 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74487_0 {
	meta:
		name = "TPageControl.UpdateTabHighlights"
		size = 62
		refs = "0008 TPageControl.GetPageCount 001b TPageControl.GetPage 0032 TTabSheet.SetHighlighted"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 27 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B6 80 82 02 00 00 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 43 4F 75 DC 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74489_0 {
	meta:
		name = "TPageControl.CanShowTab"
		size = 36
		refs = "000b TPageControl.PageIndexFromTabIndex 0018 TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 68 5E 5B C3 }
	condition:
		$1
}

rule function_74490_0 {
	meta:
		name = "TPageControl.Change"
		size = 72
		refs = "0006 TCustomTabControl.GetTabIndex 0023 GetParentForm 0042 TCustomTabControl.Change"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 0A 8B C3 8B 10 FF 92 08 01 00 00 F6 43 1C 10 74 21 B2 01 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 83 B8 C4 02 00 00 00 74 0B 8B 80 C4 02 00 00 8B 10 FF 52 0C 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74491_0 {
	meta:
		name = "TPageControl.ChangeActivePage"
		size = 304
		refs = "0019 GetParentForm 0039 TWinControl.ContainsControl 004a TCustomForm.SetActiveControl 005f TTabSheet.GetTabIndex 007b TControl.BringToFront 0084 TControl.SetVisible 00aa @CallDynaInst 00d0 TStyleManager.GetIsCustomStyleActive 00e4 TWinControl.GetHandle 00ea RedrawWindow 0127 TWinControl.SelectFirst"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 3B AB DC 02 00 00 0F 84 17 01 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 51 83 BB DC 02 00 00 00 74 48 8B 97 98 02 00 00 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 33 8B 93 DC 02 00 00 8B C7 E8 ?? ?? ?? ?? 8B B3 DC 02 00 00 3B B7 98 02 00 00 74 18 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 04 01 00 00 E9 B7 00 00 00 85 ED 74 76 8B C5 E8 ?? ?? ?? ?? B2 01 8B C5 E8 ?? ?? ?? ?? 85 FF 74 3A 83 BB DC 02 00 00 00 74 31 8B 87 98 02 00 00 3B 83 DC 02 00 00 75 23 8B C5 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 0B 8B D5 8B C7 E8 ?? ?? ?? ?? EB 09 8B D3 8B C7 E8 ?? ?? ?? ?? 80 BD 80 02 00 00 00 75 1F E8 ?? ?? ?? ?? 84 C0 74 16 68 01 01 00 00 6A 00 6A 00 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 DC 02 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 89 AB DC 02 00 00 85 FF 74 22 83 BB DC 02 00 00 00 74 19 8B 87 98 02 00 00 3B 83 DC 02 00 00 75 0B 8B 83 DC 02 00 00 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74492_0 {
	meta:
		name = "TPageControl.DeleteTab"
		size = 91
		refs = "0013 TCustomTabControl.GetTabs"
	strings:
		$1 = { 53 56 57 8B F9 8B F0 3B 96 DC 02 00 00 0F 94 C3 8B C6 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 48 84 DB 74 2B 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 14 3B F8 7C 0F 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 14 8B F8 4F 8B D7 8B C6 8B 08 FF 91 04 01 00 00 8B C6 8B 10 FF 92 08 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74493_0 {
	meta:
		name = "TPageControl.DoAddDockClient"
		size = 22
	strings:
		$1 = { 8B 88 E0 02 00 00 85 C9 74 0B 8B C1 92 8B 08 FF 91 84 00 00 00 C3 }
	condition:
		$1
}

rule function_74494_0 {
	meta:
		name = "TPageControl.DockOver"
		size = 83
		refs = "0016 TWinControl.GetHandle 001c GetWindowRect 0046 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 8D 45 F0 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 56 57 8D 7E 4C 8D 75 F0 A5 A5 A5 A5 5F 5E 8B 45 10 50 0F B6 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 66 BE C2 FF E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_74495_0 {
	meta:
		name = "TPageControl.DoRemoveDockClient"
		size = 50
		refs = "0019 TPageControl.SelectNextPage 0024 TObject.Free"
	strings:
		$1 = { 53 8B D8 83 BB E4 02 00 00 00 74 24 F6 43 1C 08 75 1E B1 01 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 83 E4 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 E4 02 00 00 5B C3 }
	condition:
		$1
}

rule function_74496_0 {
	meta:
		name = "TPageControl.FindNextPage"
		size = 136
		refs = "0019 TList.IndexOf 0067 TList.Get"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B F0 8B 86 D8 02 00 00 83 78 08 00 74 66 E8 ?? ?? ?? ?? 8B F8 83 FF FF 75 14 80 7D FF 00 74 0C 8B 86 D8 02 00 00 8B 78 08 4F EB 02 33 FF 8B DF 80 7D FF 00 74 10 43 8B 86 D8 02 00 00 3B 58 08 75 12 33 DB EB 0E 85 DB 75 09 8B 86 D8 02 00 00 8B 58 08 4B 8B D3 8B 86 D8 02 00 00 E8 ?? ?? ?? ?? 80 7D 08 00 74 0F 80 B8 80 02 00 00 00 75 06 3B FB 75 BC 33 C0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_74497_0 {
	meta:
		name = "TPageControl.GetChildren"
		size = 64
		refs = "0029 TList.Get"
		altNames = "TTabbedNotebook.GetChildren"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 80 D8 02 00 00 8B 58 08 4B 85 DB 7C 1F 43 33 F6 8B 45 FC 8B 80 D8 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 46 4B 75 E4 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_74498_0 {
	meta:
		name = "TPageControl.GetImageIndex"
		size = 123
		refs = "001c TCustomTabControl.GetImageIndex 0040 TPageControl.GetPage"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B D8 66 83 BB D2 02 00 00 00 74 0C 8B 14 24 8B C3 E8 ?? ?? ?? ?? EB 52 33 ED 33 C0 89 44 24 04 8B 83 D8 02 00 00 8B 70 08 4E 85 F6 7C 28 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 80 B8 80 02 00 00 00 75 06 FF 44 24 04 EB 01 45 8B 04 24 40 3B E8 74 04 47 4E 75 DB 8B 14 24 03 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B 80 78 02 00 00 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74499_0 {
	meta:
		name = "TPageControl.GetPageFromDockClient"
		size = 80
		refs = "0011 TPageControl.GetPageCount 0024 TPageControl.GetPage"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B D8 33 C0 89 04 24 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2B 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 3B 45 38 75 16 3B 9D 98 00 00 00 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? 89 04 24 EB 04 46 4F 75 D8 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74500_0 {
	meta:
		name = "TPageControl.GetPage"
		size = 22
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74501_0 {
	meta:
		name = "TPageControl.GetPageCount"
		size = 10
	strings:
		$1 = { 8B 80 D8 02 00 00 8B 40 08 C3 }
	condition:
		$1
}

rule function_74502_0 {
	meta:
		name = "TPageControl.GetSiteInfo"
		size = 67
		refs = "0020 TPageControl.GetPageFromDockClient 0036 TWinControl.GetSiteInfo"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B 75 0C 8D 7D F4 A5 A5 89 4D FC 8B F2 8B D8 8B 7D 08 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 94 07 8D 45 F4 50 57 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_74503_0 {
	meta:
		name = "TPageControl.InsertPage"
		size = 35
		refs = "000f TList.Add 001c TTabSheet.UpdateTabShowing"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 89 9E 7C 02 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74504_0 {
	meta:
		name = "TPageControl.InsertTab"
		size = 106
		refs = "000f TPageControl.InsertTab 0020 TControl.GetText 002b TTabSheet.GetTabIndex 0033 TCustomTabControl.GetTabs 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 8B 30 FF 56 64 8B C3 8B 10 FF 92 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74505_0 {
	meta:
		name = "TPageControl.MoveTab"
		size = 29
		refs = "000c TCustomTabControl.GetTabs"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 18 FF 53 78 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74506_0 {
	meta:
		name = "TPageControl.RemovePage"
		size = 81
		refs = "0018 TPageControl.FindNextPage 0029 TTabSheet.SetTabShowing 0040 TList.RemoveItem 0049 TPageControl.SetActivePage"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 1C 10 0F 95 C0 34 01 50 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 3B F7 75 02 33 FF 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 7C 02 00 00 8B 83 D8 02 00 00 8B D6 33 C9 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74507_0 {
	meta:
		name = "TPageControl.SelectNextPage"
		size = 74
		refs = "0011 TPageControl.FindNextPage 002a @CallDynaInst 0037 TPageControl.SetActivePage"
	strings:
		$1 = { 53 56 57 8B F8 51 8B C7 8B 8F DC 02 00 00 87 CA E8 ?? ?? ?? ?? 8B D8 85 DB 74 2B 3B 9F DC 02 00 00 74 23 8B C7 66 BE AE FF E8 ?? ?? ?? ?? 84 C0 74 14 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C7 66 BE AD FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74508_0 {
	meta:
		name = "TPageControl.SetActivePage"
		size = 145
		refs = "0027 TPageControl.SetActivePage 0037 TPageControl.ChangeActivePage 005d TTabSheet.GetTabIndex 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 85 DB 74 0B 8B 83 7C 02 00 00 3B 45 FC 75 74 8B 45 FC C6 80 E8 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 85 DB 75 10 83 CA FF 8B 45 FC 8B 08 FF 91 04 01 00 00 EB 1F 8B 45 FC 3B 98 DC 02 00 00 75 14 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 04 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 E8 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5B 59 5D C3 }
	condition:
		$1
}

rule function_74510_0 {
	meta:
		name = "TPageControl.ShowControl"
		size = 52
		refs = "000a _DV_TTabSheet 000f @IsClass 0024 TPageControl.SetActivePage 002d TWinControl.ShowControl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 3B 9E 7C 02 00 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74511_0 {
	meta:
		name = "TPageControl.UpdateTab"
		size = 95
		refs = "000f TPageControl.UpdateTab 001f TControl.GetText 002a TTabSheet.GetTabIndex 0032 TCustomTabControl.GetTabs 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74512_0 {
	meta:
		name = "TPageControl.UpdateActivePage"
		size = 57
		refs = "0006 TCustomTabControl.GetTabIndex 0019 TCustomTabControl.GetTabs 0028 TPageControl.SetActivePage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 20 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 18 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74513_0 {
	meta:
		name = "TPageControl.CMDesignHitTest"
		size = 104
		refs = "0039 TWinControl.GetHandle 0045 SendStructMessage 0052 TCustomTabControl.GetTabIndex"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B FA 8B D8 8B 47 08 89 04 24 0F BF 04 24 89 44 24 04 0F BF 44 24 02 89 44 24 08 8B 44 24 04 89 44 24 0C 8B 44 24 08 89 44 24 10 8D 44 24 0C 50 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 0D 13 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 12 8B C3 E8 ?? ?? ?? ?? 3B F0 74 07 C7 47 0C 01 00 00 00 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74514_0 {
	meta:
		name = "TPageControl.CMDialogKey"
		size = 108
		refs = "000e @CallDynaInst 0017 GetFocus 001f TWinControl.GetHandle 0025 IsChild 0037 GetKeyState 0052 TPageControl.SelectNextPage 0064 TWinControl.CMDialogKey"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 17 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 32 66 83 7F 04 09 75 2B 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 1F 6A 10 E8 ?? ?? ?? ?? 66 85 C0 0F 9D C2 B1 01 8B C3 E8 ?? ?? ?? ?? C7 47 0C 01 00 00 00 EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74515_0 {
	meta:
		name = "TPageControl.CMDockClient"
		size = 412
		refs = "0017 TPageControl.CMDockClient 0033 TPageControl.GetPageCount 0047 TPageControl.GetPage 006b TTabSheet.SetPageIndex 007e _DV_TTabSheet 0083 TTabSheet.Create 00b3 _Dn_TCustomForm 00b8 @IsClass 00c7 TControl.GetText 00d1 TControl.SetText 00e2 TTabSheet.SetPageControl 00f7 @CallDynaInst 0106 @HandleAnyException 0114 TObject.Free 0119 @RaiseAgain 011e @DoneExcept 0135 TTabSheet.SetTabVisible 014a TPageControl.SetActivePage 0154 TControl.SetAlign 0172 @HandleFinally 0189 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 47 0C 8B 47 04 8B 40 40 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3A 46 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 3B 42 38 75 21 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 4A 58 E8 ?? ?? ?? ?? E9 04 01 00 00 43 4E 75 C9 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 E0 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 47 04 8D 48 4C 8B 55 FC 8B 45 F8 66 BE CC FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 0F B6 58 61 8B 45 FC 8B 80 E0 02 00 00 8B D3 E8 ?? ?? ?? ?? 84 DB 74 11 8B 45 FC 8B 90 E0 02 00 00 8B 45 FC E8 ?? ?? ?? ?? B2 05 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 E0 02 00 00 C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74516_0 {
	meta:
		name = "TPageControl.CMDockNotification"
		size = 280
		refs = "0016 TPageControl.CMDockNotification 0026 TPageControl.GetPageFromDockClient 0054 @UStrFromPWChar 00a3 @UStrSetLength 00b7 TControl.SetText 00c6 TTabSheet.SetTabVisible 00e4 @UStrClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 56 04 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 96 00 00 00 8B 46 08 8B 00 83 E8 0C 74 0C 2D FF AF 00 00 74 78 E9 80 00 00 00 8D 45 FC 8B 56 08 8B 52 08 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 49 89 45 F4 C7 45 F8 01 00 00 00 B8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 8B 55 F8 0F B7 44 50 FE 8B 55 F0 66 3D FF 00 77 06 0F B7 C0 0F A3 02 0F 92 C0 84 C0 74 0E 8B 55 F8 4A 8D 45 FC E8 ?? ?? ?? ?? EB 08 FF 45 F8 FF 4D F4 75 C1 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 0D 8B 46 08 8B 50 04 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 24 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_74517_0 {
	meta:
		name = "TPageControl.CMUnDockClient"
		size = 44
		refs = "0011 TPageControl.GetPageFromDockClient 0025 TControl.SetAlign"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 89 46 0C 8B 56 08 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 89 83 E4 02 00 00 8B 46 08 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74518_0 {
	meta:
		name = "TPageControl.GetDockClientFromMousePos"
		size = 143
		refs = "0032 TWinControl.GetHandle 003e SendStructMessage 0058 TPageControl.FindNextPage 0068 TWinControl.GetControlCount 0075 TWinControl.GetControl"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B F2 8D 3C 24 A5 A5 8B D8 33 ED 80 BB F4 01 00 00 00 74 6A 8B 04 24 89 44 24 08 8B 44 24 04 89 44 24 0C 8D 44 24 08 50 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 0D 13 00 00 E8 ?? ?? ?? ?? 85 C0 7C 3F 33 F6 8B F8 85 FF 7C 13 47 6A 01 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 4F 75 EE 85 F6 74 20 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 15 33 D2 8B C6 E8 ?? ?? ?? ?? 8B E8 3B 9D 98 00 00 00 74 02 33 ED 8B C5 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74519_0 {
	meta:
		name = "TPageControl.WMLButtonDown"
		size = 81
		refs = "000e TControl.WMLButtonDown 0030 TPageControl.GetDockClientFromMousePos 0047 TControl.BeginDrag"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 08 89 04 24 0F BF 04 24 89 44 24 04 0F BF 44 24 02 89 44 24 08 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 85 C0 74 13 80 BB 95 02 00 00 00 75 0A 83 C9 FF 33 D2 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_74520_0 {
	meta:
		name = "TPageControl.WMLButtonDblClk"
		size = 73
		refs = "000e TControl.WMLButtonDblClk 0030 TPageControl.GetDockClientFromMousePos 003f TControl.ManualDock"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 08 89 04 24 0F BF 04 24 89 44 24 04 0F BF 44 24 02 89 44 24 08 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0B 6A 00 33 C9 33 D2 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_74521_0 {
	meta:
		name = "TPageControl.GetActivePageIndex"
		size = 22
		refs = "000d TTabSheet.GetPageIndex"
	strings:
		$1 = { 8B 90 DC 02 00 00 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_74522_0 {
	meta:
		name = "TPageControl.SetActivePageIndex"
		size = 55
		refs = "000e TPageControl.GetPageCount 001b TPageControl.GetPage 0024 TPageControl.SetActivePage"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 FE FF 7E 20 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 15 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74523_0 {
	meta:
		name = "TPageControl.SetTabIndex"
		size = 87
		refs = "000b TCustomTabControl.SetTabIndex 002c TPageControl.GetPage 003e TPageControl.PageIndexFromTabIndex 0050 TPageControl.SetActivePage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB E8 02 00 00 00 75 3C 85 F6 7C 38 8B 83 D8 02 00 00 3B 70 08 7D 2D 8B D6 8B C3 E8 ?? ?? ?? ?? 80 B8 80 02 00 00 00 74 1B 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74524_0 {
	meta:
		name = "TPageControl.WMEraseBkGnd"
		size = 53
		refs = "0007 StyleServices 0017 TWinControl.GetParentBackground 0024 TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 C7 46 0C 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_74525_0 {
	meta:
		name = "TPageControl.PageIndexFromTabIndex"
		size = 47
		refs = "0016 TPageControl.GetPage"
	strings:
		$1 = { 53 56 57 55 8B F8 8B EA 8B DA 85 DB 7C 1A 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 80 B8 80 02 00 00 00 75 01 45 46 4B 75 E9 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74526_0 {
	meta:
		name = "TStatusPanel.Create"
		size = 75
		refs = "000a @ClassCreate 0026 TCollectionItem.Create 002d TStatusPanel.ParentBiDiModeChanged 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C7 46 10 32 00 00 00 C6 46 15 01 C6 46 17 01 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_74527_0 {
	meta:
		name = "TStatusPanel.Assign"
		size = 94
		refs = "000b _DV_TStatusPanel 0010 @IsClass 0020 TStatusPanel.SetText 002a TStatusPanel.SetWidth 0035 TStatusPanel.SetAlignment 0040 TStatusPanel.SetBevel 004b TStatusPanel.SetStyle 0056 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 39 8B FE 8B 57 0C 8B C3 E8 ?? ?? ?? ?? 8B 57 10 8B C3 E8 ?? ?? ?? ?? 0F B6 57 14 8B C3 E8 ?? ?? ?? ?? 0F B6 57 15 8B C3 E8 ?? ?? ?? ?? 0F B6 57 18 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74528_0 {
	meta:
		name = "TStatusPanel.SetBiDiMode"
		size = 20
		refs = "000f TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 16 74 0E 88 50 16 C6 40 17 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74529_0 {
	meta:
		name = "TStatusPanel.IsBiDiModeStored"
		size = 7
	strings:
		$1 = { 0F B6 40 17 34 01 C3 }
	condition:
		$1
}

rule function_74530_0 {
	meta:
		name = "TStatusPanel.SetParentBiDiMode"
		size = 14
		refs = "0009 TStatusPanel.ParentBiDiModeChanged"
	strings:
		$1 = { 3A 50 17 74 08 88 50 17 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74531_0 {
	meta:
		name = "TStatusPanel.ParentBiDiModeChanged"
		size = 57
		refs = "0011 @CallDynaInst 002e TStatusPanel.SetBiDiMode"
	strings:
		$1 = { 53 56 8B D8 80 7B 17 00 74 2C 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 85 C0 74 1D 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 8B 40 18 0F B6 50 69 8B C3 E8 ?? ?? ?? ?? C6 43 17 01 5E 5B C3 }
	condition:
		$1
}

rule function_74532_0 {
	meta:
		name = "TStatusPanel.UseRightToLeftReading"
		size = 24
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 0D 00 74 06 80 78 16 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_74533_0 {
	meta:
		name = "TStatusPanel.UseRightToLeftAlignment"
		size = 24
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 0D 00 74 06 80 78 16 01 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_74535_0 {
	meta:
		name = "THTMLTableColumn.SetAlign"
		size = 16
		refs = "000b TCollectionItem.Changed"
		altNames = "TStatusPanel.SetAlignment"
	strings:
		$1 = { 3A 50 14 74 0A 88 50 14 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74536_0 {
	meta:
		name = "TStatusPanel.SetBevel"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 15 74 0A 88 50 15 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74537_0 {
	meta:
		name = "TCoolBand.SetFixedBackground"
		size = 16
		refs = "000b TCollectionItem.Changed"
		altNames = "TStatusPanel.SetStyle"
	strings:
		$1 = { 3A 50 18 74 0A 88 50 18 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74539_0 {
	meta:
		name = "TStatusPanel.SetWidth"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3B 50 10 74 0A 89 50 10 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74540_0 {
	meta:
		name = "TStatusPanels.Create"
		size = 93
		refs = "000b @ClassCreate 002a TCollection.Create 0032 _DV_TStatusPanel 0049 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 85 F6 74 17 8B C6 8B 10 FF 92 04 01 00 00 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? EB 0F 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74545_0 {
	meta:
		name = "TStatusPanels.Update"
		size = 47
		refs = "000d TCollectionItem.GetIndex 0019 TCustomStatusBar.UpdatePanel 0028 TCustomStatusBar.UpdatePanels"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 16 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 33 C9 B2 01 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74546_0 {
	meta:
		name = "TStatusPanels.AddItem"
		size = 67
	strings:
		$1 = { 53 56 57 8B F9 8B F0 85 D2 75 0F 8B 46 18 8B 10 FF 92 F8 00 00 00 8B D8 EB 02 8B DA 85 DB 74 1D 8B D6 8B C3 8B 08 FF 51 10 85 FF 7D 07 8B 46 08 8B 78 08 4F 8B D7 8B C3 8B 08 FF 51 14 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74549_0 {
	meta:
		name = "TCustomStatusBar.Create"
		size = 184
		refs = "000e @ClassCreate 001c TWinControl.Create 0021 TCustomStatusBar.Create 0030 TControl.SetColor 003c TControl.SetHeight 0045 TControl.SetAlign 005c _Dn_TControlCanvas 0061 TCanvas.Create 0072 TControlCanvas.SetControl 0082 TControl.SetParentFont 0090 TCustomStatusBar.SyncToSystemFont 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 58 BA 0F 00 00 FF 8B C3 E8 ?? ?? ?? ?? BA 13 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 02 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 FC 00 00 00 89 83 78 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 7C 02 00 00 8B C6 8B D3 E8 ?? ?? ?? ?? C6 83 85 02 00 00 01 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 87 02 00 00 01 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 CA 00 20 00 }
	condition:
		$1
}

rule function_74550_0 {
	meta:
		name = "TCustomStatusBar.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0028 TWinControl.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 7C 02 00 00 E8 ?? ?? ?? ?? 8B 86 78 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74551_0 {
	meta:
		name = "TCustomStatusBar.CreateParams"
		size = 152
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 001a TCustomStatusBar.CreateParams 0023 TWinControl.CreateSubClass 0045 GripStyles 004d StyleServices"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 04 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 85 02 00 00 00 74 09 80 BB 86 02 00 00 00 75 04 33 C0 EB 02 B0 01 83 E0 7F 8B 04 85 ?? ?? ?? ?? 09 46 04 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0F 8B 46 24 83 C8 02 83 C8 01 89 46 24 5E 5B C3 83 66 24 FC 5E 5B C3 6D 00 73 00 63 00 74 00 6C 00 73 00 5F 00 73 00 74 00 61 00 74 00 75 00 73 00 62 00 61 00 72 00 33 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_74552_0 {
	meta:
		name = "TCustomStatusBar.CreateWnd"
		size = 130
		refs = "0008 TCustomStatusBar.ValidateSizeGrip 000f TWinControl.CreateWnd 0017 ColorToRGB 0026 TWinControl.GetHandle 002c SendMessage 0037 TCustomStatusBar.UpdatePanels 005d SendTextMessage"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 74 E8 ?? ?? ?? ?? 50 6A 00 68 01 20 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C9 B2 01 8B C3 E8 ?? ?? ?? ?? 83 BB 80 02 00 00 00 74 1D 8B 83 80 02 00 00 50 8B C3 E8 ?? ?? ?? ?? B9 FF 00 00 00 BA 0B 04 00 00 E8 ?? ?? ?? ?? 80 BB 84 02 00 00 00 74 16 6A 00 6A 01 68 09 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74553_0 {
	meta:
		name = "TCustomStatusBar.DoHint"
		size = 35
	strings:
		$1 = { 53 66 83 B8 9A 02 00 00 00 74 14 8B D8 8B D0 8B 83 9C 02 00 00 FF 93 98 02 00 00 B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_74554_0 {
	meta:
		name = "TCustomStatusBar.DrawPanel"
		size = 49
	strings:
		$1 = { 56 8B F0 66 83 BE 92 02 00 00 00 74 15 51 8B C6 8B CA 8B D0 8B 86 94 02 00 00 FF 96 90 02 00 00 5E C3 8B D1 8B 86 7C 02 00 00 8B 08 FF 51 54 5E C3 }
	condition:
		$1
}

rule function_74555_0 {
	meta:
		name = "TCustomHeaderControl.SetSections"
		size = 16
		altNames = "TCustomStatusBar.SetPanels"
	strings:
		$1 = { 56 8B F0 8B 86 78 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_74556_0 {
	meta:
		name = "TCustomStatusBar.SetSimplePanel"
		size = 58
		refs = "0014 TWinControl.HandleAllocated 002e TWinControl.GetHandle 0034 SendMessage"
	strings:
		$1 = { 53 8B D8 3A 93 84 02 00 00 74 2D 88 93 84 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1C 6A 00 0F B6 83 84 02 00 00 50 68 09 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74557_0 {
	meta:
		name = "TCustomStatusBar.DoRightToLeftAlignment"
		size = 116
		refs = "0014 ChangeBiDiModeAlignment 002c TCustomStatusBar.DoRightToLeftAlignment 0031 @UStrInsert"
	strings:
		$1 = { 55 8B EC 51 53 88 4D FF 8B DA 80 7D 08 00 74 08 8D 45 FF E8 ?? ?? ?? ?? 0F B6 45 FF FE C8 74 17 FE C8 75 24 8B D3 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 8B D3 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 09 00 09 00 00 00 00 00 }
	condition:
		$1
}

rule function_74558_0 {
	meta:
		name = "TCustomStatusBar.UpdateSimpleText"
		size = 93
		refs = "000b @CallDynaInst 001b TCustomStatusBar.DoRightToLeftAlignment 0022 TWinControl.HandleAllocated 0034 TControl.UseRightToLeftReading 003e RTLReading 004b TWinControl.GetHandle 0056 SendTextMessage"
	strings:
		$1 = { 53 56 8B D8 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 50 8D 93 80 02 00 00 33 C9 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 30 8B 83 80 02 00 00 50 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8B 04 85 ?? ?? ?? ?? 0D FF 00 00 00 50 8B C3 E8 ?? ?? ?? ?? BA 0B 04 00 00 59 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74559_0 {
	meta:
		name = "TCustomStatusBar.SetSimpleText"
		size = 44
		refs = "000f @UStrEqual 001e @UStrAsg 0025 TCustomStatusBar.UpdateSimpleText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 80 02 00 00 8B D6 E8 ?? ?? ?? ?? 74 14 8D 83 80 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74560_0 {
	meta:
		name = "TCustomStatusBar.CMBiDiModeChanged"
		size = 117
		refs = "0008 TWinControl.CMBiDiModeChanged 000f TWinControl.HandleAllocated 003d TStatusPanels.GetItem 0055 TStatusPanel.ParentBiDiModeChanged 0064 TCustomStatusBar.UpdatePanels 006d TCustomStatusBar.UpdateSimpleText"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5A 80 BB 84 02 00 00 00 75 4A 8B 83 78 02 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 2C 47 33 F6 8B D6 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 80 78 17 00 74 12 8B D6 8B 83 78 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 D7 B1 01 B2 01 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74561_0 {
	meta:
		name = "TCustomStatusBar.FlipChildren"
		size = 430
		refs = "0010 TWinControl.HandleAllocated 0046 TControl.GetClientWidth 0059 TStatusPanels.GetItem 009c _DV_TStatusPanels 00a1 TStatusPanels.Create 00ac TCustomStatusBar.FlipChildren 00d1 TStatusPanels.Add 0151 TObject.Free 0157 @HandleFinally 017f TStatusPanel.SetWidth 01a3 TCustomStatusBar.UpdatePanels"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 8B 01 00 00 8B 45 FC 80 B8 84 02 00 00 00 0F 85 7B 01 00 00 8B 45 FC 8B 80 78 02 00 00 8B 40 08 83 78 08 00 0F 8E 65 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 80 78 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 40 10 89 45 F8 8B 45 FC 8B 80 78 02 00 00 8B 40 08 8B 58 08 83 EB 02 85 DB 7C 1D 43 33 F6 8B 45 FC 8B 80 78 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 40 10 29 45 F4 46 4B 75 E6 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 78 02 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 2A 43 33 F6 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 8B 80 78 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 08 46 4B 75 D9 8B 45 FC 8B 80 78 02 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 38 43 33 F6 8B 45 FC 8B 80 78 02 00 00 8B 40 08 8B 50 08 2B D6 4A 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 78 02 00 00 8B D6 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 46 4B 75 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 98 78 02 00 00 8B 43 08 8B 70 08 83 FE 01 7E 2A 8B D6 4A 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? B1 01 B2 01 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74562_0 {
	meta:
		name = "TCustomStatusBar.SetSizeGrip"
		size = 22
		refs = "0011 TCustomStatusBar.ValidateSizeGrip"
	strings:
		$1 = { 3A 90 85 02 00 00 74 0D 88 90 85 02 00 00 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74563_0 {
	meta:
		name = "TCustomStatusBar.SyncToSystemFont"
		size = 47
		refs = "000d Screen 001c TControl.SetFont 0029 TFont.SetColor"
	strings:
		$1 = { 53 8B D8 80 BB 87 02 00 00 00 74 21 A1 ?? ?? ?? ?? 8B 00 8B 90 80 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 12 00 00 FF 8B 43 6C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74564_0 {
	meta:
		name = "TCustomStatusBar.UpdatePanel"
		size = 404
		refs = "0019 TCustomStatusBar.UpdatePanel 0026 TWinControl.HandleAllocated 003b TStatusPanels.GetItem 0054 TCollectionItem.GetIndex 005c TWinControl.GetHandle 0067 SendGetStructMessage 007a InvalidateRect 00b0 TStatusPanel.UseRightToLeftReading 00d1 @UStrLAsg 00d8 TStatusPanel.UseRightToLeftAlignment 00f2 TCustomStatusBar.DoRightToLeftAlignment 0112 @UStrInsert 0146 SendTextMessage 015b @UStrClr 0161 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 88 4D FB 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 18 01 00 00 8B D3 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 8B D8 80 7D FB 00 75 3C C6 43 19 01 8D 45 E8 50 6A 00 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? BA 0A 04 00 00 59 E8 ?? ?? ?? ?? 6A FF 8D 45 E8 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 C7 00 00 00 80 7B 19 00 0F 84 BD 00 00 00 C6 43 19 00 33 FF 0F B6 43 15 2C 01 72 06 FE C8 74 09 EB 0C BF 00 01 00 00 EB 05 BF 00 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 81 CF 00 04 00 00 80 7B 18 01 75 06 81 CF 00 10 00 00 8D 45 FC 8B 53 0C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8B C3 E8 ?? ?? ?? ?? 50 0F B6 4B 14 8D 55 FC 8B C6 E8 ?? ?? ?? ?? EB 32 0F B6 43 14 FE C8 74 18 FE C8 75 26 8D 55 FC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 8D 55 FC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 0B F8 57 8B C6 E8 ?? ?? ?? ?? BA 0B 04 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 09 00 09 00 00 00 00 00 }
	condition:
		$1
}

rule function_74565_0 {
	meta:
		name = "TCustomStatusBar.UpdatePanels"
		size = 277
		refs = "0014 TWinControl.HandleAllocated 0061 TWinControl.GetHandle 0070 SendStructMessage 0085 SendTextMessage 00ac TStatusPanels.GetItem 00e9 SendMessage 0102 TCustomStatusBar.UpdatePanel"
	strings:
		$1 = { 53 56 57 55 81 C4 F4 FD FF FF 88 0C 24 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 EA 00 00 00 8B 86 78 02 00 00 8B 40 08 8B 40 08 89 44 24 04 84 DB 0F 84 B5 00 00 00 81 7C 24 04 80 00 00 00 7E 08 C7 44 24 04 80 00 00 00 83 7C 24 04 00 75 3A C7 44 24 0C FF FF FF FF 8D 44 24 0C 50 8B C6 E8 ?? ?? ?? ?? B9 01 00 00 00 BA 04 04 00 00 E8 ?? ?? ?? ?? 6A 00 8B C6 E8 ?? ?? ?? ?? 33 C9 BA 0B 04 00 00 E8 ?? ?? ?? ?? EB 62 33 C0 89 44 24 08 8B 5C 24 04 83 EB 02 85 DB 7C 29 43 33 FF 8D 6C 24 0C 8B D7 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 8B 40 10 01 44 24 08 8B 44 24 08 89 45 00 47 83 C5 04 4B 75 DE 8B 44 24 04 C7 44 84 08 FF FF FF FF 8D 44 24 0C 50 8B 44 24 08 50 68 04 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 5C 24 04 4B 85 DB 7C 14 43 33 FF 0F B6 0C 24 8B D7 8B C6 E8 ?? ?? ?? ?? 47 4B 75 EF 81 C4 0C 02 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74566_0 {
	meta:
		name = "TCustomStatusBar.CMWinIniChange"
		size = 37
		refs = "000b TWinControl.CMWinIniChange 001e TCustomStatusBar.SyncToSystemFont"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 05 83 F8 2A 75 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74567_0 {
	meta:
		name = "TCustomStatusBar.CNDrawItem"
		size = 268
		refs = "001e SaveDC 002f TCustomCanvas.Lock 0037 TCustomStatusBar.CNDrawItem 0051 TCanvas.SetHandle 0065 TCanvas.SetFont 007b TBrush.SetColor 008e TBrush.SetStyle 00a2 TStatusPanels.GetItem 00b6 @CallDynaInst 00e1 TCustomCanvas.Unlock 00f1 RestoreDC 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 89 55 F8 89 45 FC 8B 45 F8 8B 40 08 89 45 F0 8B 45 F0 8B 40 18 50 E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 50 18 8B 45 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 6C 8B 45 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 7C 02 00 00 8B 40 48 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B 45 FC 8B 80 7C 02 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 45 F0 8B 50 08 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8D 48 1C 8B 45 FC 66 BE AE FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 7C 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F0 8B 40 18 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 8B 45 F8 C7 40 0C 01 00 00 00 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_74568_0 {
	meta:
		name = "TCustomStatusBar.WMGetTextLength"
		size = 41
	strings:
		$1 = { 56 8B F0 80 BE 84 02 00 00 00 74 14 8B 86 80 02 00 00 85 C0 74 05 83 E8 04 8B 00 89 42 0C 5E C3 8B C6 8B 08 FF 51 F0 5E C3 }
	condition:
		$1
}

rule function_74569_0 {
	meta:
		name = "TCustomStatusBar.WMPaint"
		size = 29
		refs = "000d TCustomStatusBar.UpdatePanels 0016 TWinControl.WMPaint"
	strings:
		$1 = { 53 56 8B F2 8B D8 B1 01 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74570_0 {
	meta:
		name = "TCustomStatusBar.WMSize"
		size = 34
		refs = "0011 @CallDynaInst"
	strings:
		$1 = { 56 57 8B F8 F6 47 1C 01 75 0B 8B C7 66 BE D0 FF E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 A0 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_74571_0 {
	meta:
		name = "TCustomStatusBar.IsFontStored"
		size = 27
	strings:
		$1 = { 80 B8 87 02 00 00 00 75 0C 80 78 63 00 75 06 80 78 60 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_74572_0 {
	meta:
		name = "TCustomStatusBar.SetUseSystemFont"
		size = 45
		refs = "0020 TControl.SetParentFont 0027 TCustomStatusBar.SyncToSystemFont"
	strings:
		$1 = { 53 8B D8 3A 93 87 02 00 00 74 20 88 93 87 02 00 00 84 D2 74 16 80 7B 63 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74574_0 {
	meta:
		name = "TCustomStatusBar.CMParentFontChanged"
		size = 34
		refs = "0006 TControl.CMParentFontChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 87 02 00 00 00 74 0D 80 7B 63 00 74 07 C6 83 87 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_74575_0 {
	meta:
		name = "TCustomStatusBar.ExecuteAction"
		size = 141
		refs = "0019 _Dn_THintAction 001e @IsClass 005e TCustomStatusBar.SetSimpleText 006d TStatusPanels.GetItem 0078 TStatusPanel.SetText 0086 TComponent.ExecuteAction"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 88 02 00 00 00 74 72 F6 43 1C 10 75 6C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5B 8B C3 8B 10 FF 92 00 01 00 00 84 C0 75 4D 80 BB 84 02 00 00 00 74 04 B0 01 EB 10 8B 83 78 02 00 00 8B 40 08 83 78 08 00 0F 94 C0 84 C0 74 0F 8B 96 84 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 18 33 D2 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B 96 84 00 00 00 E8 ?? ?? ?? ?? B0 01 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74578_0 {
	meta:
		name = "TCustomStatusBar.ChangeScale"
		size = 40
		refs = "000f TCustomStatusBar.ChangeScale 001c TWinControl.ChangeScale"
	strings:
		$1 = { 53 8B D9 80 B8 87 02 00 00 00 74 0D 0F B6 0D ?? ?? ?? ?? 88 88 90 00 00 00 8B CB E8 ?? ?? ?? ?? 5B C3 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_74579_0 {
	meta:
		name = "TCustomStatusBar.SetBounds"
		size = 35
		refs = "0011 TWinControl.SetBounds 001a TCustomStatusBar.ValidateSizeGrip"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 0C 50 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_74581_0 {
	meta:
		name = "TCustomStatusBar.ValidateSizeGrip"
		size = 141
		refs = "0012 GetParentForm 0047 TControl.ClientToParent 004e TControl.GetClientWidth 005b TControl.GetClientHeight 0082 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 56 57 83 C4 EC 88 14 24 8B F8 33 DB B2 01 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 4F 0F B6 86 A1 02 00 00 2C 02 74 04 2C 03 75 40 8B 47 50 89 44 24 0C 8B 47 54 89 44 24 10 8D 44 24 04 50 8D 54 24 10 8B CE 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B 44 24 04 75 0D 8B C6 E8 ?? ?? ?? ?? 3B 44 24 08 74 04 33 DB EB 02 B3 01 3A 9F 86 02 00 00 74 13 88 9F 86 02 00 00 80 3C 24 00 74 07 8B C7 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74582_0 {
	meta:
		name = "TCustomStatusBar.CreatePanel"
		size = 60
	strings:
		$1 = { 53 51 8B D8 8B C3 8B 10 FF 92 04 01 00 00 89 04 24 66 83 BB A2 02 00 00 00 74 10 8B CC 8B D3 8B 83 A4 02 00 00 FF 93 A0 02 00 00 8B 8B 78 02 00 00 B2 01 8B 04 24 FF 50 1C 5A 5B C3 }
	condition:
		$1
}

rule function_74585_0 {
	meta:
		name = "TCustomStatusBar.WMEraseBkGnd"
		size = 101
		refs = "000b StyleServices 0048 TCustomStyleServices.DrawElement 005a TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 3D E8 ?? ?? ?? ?? 8B CC B2 01 8B 38 FF 97 C8 00 00 00 8D 54 24 0C 8B C3 8B 08 FF 51 60 8D 44 24 0C 50 6A 00 E8 ?? ?? ?? ?? 8B 56 04 8D 4C 24 08 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74586_0 {
	meta:
		name = "THeaderSection.Create"
		size = 101
		refs = "000a @ClassCreate 0034 TCollectionItem.Create 003b THeaderSection.ParentBiDiModeChanged 0052 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C7 46 10 32 00 00 00 C7 46 18 10 27 00 00 C6 46 1E 01 C7 46 20 FF FF FF FF C6 46 25 01 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C6 46 27 00 C6 46 26 00 C6 46 28 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_74587_0 {
	meta:
		name = "THeaderSection.Assign"
		size = 142
		refs = "000b _DV_THeaderSection 0010 @IsClass 0020 THeaderSection.SetText 002a THeaderSection.SetWidth 0034 THeaderSection.SetMinWidth 003e THeaderSection.SetMaxWidth 0049 THeaderSection.SetAlignment 0054 THeaderSection.SetStyle 0065 THeaderSection.SetImageIndex 0070 THeaderSection.SetCheckBox 007b THeaderSection.SetChecked 0086 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 69 8B FE 8B 57 0C 8B C3 E8 ?? ?? ?? ?? 8B 57 10 8B C3 E8 ?? ?? ?? ?? 8B 57 14 8B C3 E8 ?? ?? ?? ?? 8B 57 18 8B C3 E8 ?? ?? ?? ?? 0F B6 57 1C 8B C3 E8 ?? ?? ?? ?? 0F B6 57 1D 8B C3 E8 ?? ?? ?? ?? 0F B6 47 1E 88 43 1E 8B 57 20 8B C3 E8 ?? ?? ?? ?? 0F B6 57 26 8B C3 E8 ?? ?? ?? ?? 0F B6 57 27 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74588_0 {
	meta:
		name = "THeaderSection.SetBiDiMode"
		size = 20
		refs = "000f TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 24 74 0E 88 50 24 C6 40 25 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74589_0 {
	meta:
		name = "THeaderSection.IsBiDiModeStored"
		size = 7
	strings:
		$1 = { 0F B6 40 25 34 01 C3 }
	condition:
		$1
}

rule function_74590_0 {
	meta:
		name = "THeaderSection.SetParentBiDiMode"
		size = 14
		refs = "0009 THeaderSection.ParentBiDiModeChanged"
	strings:
		$1 = { 3A 50 25 74 08 88 50 25 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74591_0 {
	meta:
		name = "THeaderSection.ParentBiDiModeChanged"
		size = 57
		refs = "0011 @CallDynaInst 002e THeaderSection.SetBiDiMode"
	strings:
		$1 = { 53 56 8B D8 80 7B 25 00 74 2C 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 85 C0 74 1D 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 8B 40 18 0F B6 50 69 8B C3 E8 ?? ?? ?? ?? C6 43 25 01 5E 5B C3 }
	condition:
		$1
}

rule function_74592_0 {
	meta:
		name = "THeaderSection.UseRightToLeftReading"
		size = 24
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 0D 00 74 06 80 78 24 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_74593_0 {
	meta:
		name = "THeaderSection.UseRightToLeftAlignment"
		size = 24
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 0D 00 74 06 80 78 24 01 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_74595_0 {
	meta:
		name = "THeaderSection.GetLeft"
		size = 49
		refs = "000b TCollectionItem.GetIndex 001f THeaderSections.GetItem"
	strings:
		$1 = { 53 56 57 55 8B F8 33 ED 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 14 43 33 F6 8B 47 04 8B D6 E8 ?? ?? ?? ?? 03 68 10 46 4B 75 EF 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74596_0 {
	meta:
		name = "THeaderSection.GetRight"
		size = 15
		refs = "0006 THeaderSection.GetLeft"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 03 43 10 5B C3 }
	condition:
		$1
}

rule function_74597_0 {
	meta:
		name = "THeaderSection.SetAlignment"
		size = 16
		refs = "000b TCollectionItem.Changed"
		altNames = "TWebActionItem.SetMethodType"
	strings:
		$1 = { 3A 50 1C 74 0A 88 50 1C 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74598_0 {
	meta:
		name = "THeaderSection.SetAutoSize"
		size = 32
		refs = "001a @CallDynaInst"
	strings:
		$1 = { 56 8B F0 3A 56 1F 74 16 88 56 1F 8B 46 04 8B 40 18 85 C0 74 09 66 BE EF FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_74599_0 {
	meta:
		name = "THeaderSection.SetMaxWidth"
		size = 34
		refs = "001d THeaderSection.SetWidth"
	strings:
		$1 = { 8B 48 14 3B D1 7D 02 8B D1 81 FA 10 27 00 00 7E 05 BA 10 27 00 00 89 50 18 8B 50 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74600_0 {
	meta:
		name = "THeaderSection.SetMinWidth"
		size = 27
		refs = "0016 THeaderSection.SetWidth"
	strings:
		$1 = { 85 D2 7D 02 33 D2 8B 48 18 3B D1 7E 02 8B D1 89 50 14 8B 50 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74601_0 {
	meta:
		name = "THeaderSection.SetStyle"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 1D 74 0A 88 50 1D 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74603_0 {
	meta:
		name = "THeaderSection.SetWidth"
		size = 66
		refs = "0026 TCollectionItem.GetIndex 003c TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 8B 43 14 3B D0 7D 02 8B D0 8B 43 18 3B D0 7E 02 8B D0 3B 53 10 74 26 89 53 10 83 7B 04 00 74 1D 8B C3 E8 ?? ?? ?? ?? 8B 53 04 8B 52 08 8B 52 08 4A 3B C2 0F 9C C2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74605_0 {
	meta:
		name = "THeaderSection.SetCheckBox"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 26 74 0A 88 50 26 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74606_0 {
	meta:
		name = "THeaderSection.SetChecked"
		size = 49
		refs = "0011 TCollectionItem.Changed 001c @CallDynaInst"
	strings:
		$1 = { 56 57 8B F8 3A 57 27 74 25 88 57 27 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 66 BE FF FF E8 ?? ?? ?? ?? 8B 40 18 8B D7 66 BE AC FF E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_74607_0 {
	meta:
		name = "THeaderSection.SetFixedWidth"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 28 74 0A 88 50 28 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74613_0 {
	meta:
		name = "THeaderSections.Update"
		size = 41
		refs = "000d TCollectionItem.GetIndex 0017 TCustomHeaderControl.UpdateSection 0022 TCustomHeaderControl.UpdateSections"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 14 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74614_0 {
	meta:
		name = "THeaderSections.AddItem"
		size = 69
	strings:
		$1 = { 53 56 57 8B F9 8B F0 85 D2 75 0F 8B 46 18 8B 10 FF 92 F8 00 00 00 8B D8 EB 25 8B DA 85 D2 74 1F 8B D6 8B C3 8B 08 FF 51 10 8B 46 08 8B 40 08 3B F8 7D 03 8B F8 4F 8B D7 8B C3 8B 08 FF 51 14 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74617_0 {
	meta:
		name = "TCustomHeaderControl.Create"
		size = 228
		refs = "000e @ClassCreate 001c TWinControl.Create 0021 TCustomHeaderControl.Create 002d TControl.SetAlign 0039 TControl.SetHeight 0050 _Dn_TControlCanvas 0055 TCanvas.Create 0066 TControlCanvas.SetControl 006d _Dn_TChangeLink 0072 TObject.Create 0084 TCustomHeaderControl.ImageListChange 00ca @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 58 B2 01 8B C3 E8 ?? ?? ?? ?? BA 11 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 FC 00 00 00 89 83 78 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 84 02 00 00 8B C6 8B D3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 94 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? C6 83 90 02 00 00 01 C6 83 92 02 00 00 00 C6 83 81 02 00 00 00 C6 83 80 02 00 00 00 33 C0 89 83 7C 02 00 00 C6 83 F0 02 00 00 00 C6 83 F1 02 00 00 00 C6 83 F2 02 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_74618_0 {
	meta:
		name = "TCustomHeaderControl.Destroy"
		size = 84
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0042 TWinControl.Destroy 004d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 84 02 00 00 E8 ?? ?? ?? ?? 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 8B 86 94 02 00 00 E8 ?? ?? ?? ?? 8B 86 7C 02 00 00 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74619_0 {
	meta:
		name = "TCustomHeaderControl.CreateParams"
		size = 212
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 001a TCustomHeaderControl.CreateParams 0023 TWinControl.CreateSubClass 0031 HeaderStyles 0071 CheckWin32Version 007a StyleServices"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 83 9C 02 00 00 8B 04 85 ?? ?? ?? ?? 09 46 04 80 BB 90 02 00 00 00 74 07 81 4E 04 80 00 00 00 80 BB 91 02 00 00 00 74 04 83 4E 04 04 80 BB 92 02 00 00 00 74 04 83 4E 04 40 83 66 24 FC BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 3E E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 30 80 BB F0 02 00 00 00 74 07 81 4E 04 00 04 00 00 80 BB F2 02 00 00 00 74 07 81 4E 04 00 10 00 00 80 BB F1 02 00 00 00 74 07 81 4E 04 00 08 00 00 5E 5B C3 00 00 53 00 79 00 73 00 48 00 65 00 61 00 64 00 65 00 72 00 33 00 32 00 00 00 }
	condition:
		$1
}

rule function_74620_0 {
	meta:
		name = "ReadSections"
		size = 203
		refs = "0024 TObject.Free 0056 _Dn_TReader 005b TFiler.Create 0066 ReadSections 0074 TReader.ReadValue 0088 TReader.ReadCollection 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 40 FC 83 B8 7C 02 00 00 00 0F 84 B1 00 00 00 8B 45 08 8B 40 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 10 FF 92 FC 00 00 00 8B 55 08 8B 52 FC 89 82 78 02 00 00 68 00 04 00 00 8B 45 08 8B 40 FC 8B 88 7C 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 78 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 8B 40 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 33 D2 89 90 7C 02 00 00 59 5D C3 }
	condition:
		$1
}

rule function_74621_0 {
	meta:
		name = "TCustomHeaderControl.CreateWnd"
		size = 115
		refs = "000d TWinControl.CreateWnd 0021 TCustomImageList.HandleAllocated 002d TWinControl.GetHandle 003d TCustomImageList.GetHandle 004d SendMessage 005f ReadSections 006a TCustomHeaderControl.UpdateSections"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 98 02 00 00 85 DB 74 33 8B C3 E8 ?? ?? ?? ?? 84 C0 74 28 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B F0 56 6A 00 68 08 12 00 00 53 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 7C 02 00 00 00 74 09 55 E8 ?? ?? ?? ?? 59 EB 08 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74622_0 {
	meta:
		name = "TCustomHeaderControl.DestroyWnd"
		size = 187
		refs = "0032 _Dn_TMemoryStream 0037 TObject.Create 0055 _Dn_TWriter 005a TFiler.Create 0065 TCustomHeaderControl.DestroyWnd 007c TWriter.WriteCollection 0091 TObject.Free 00a3 TStream.SetPosition 00a9 @HandleFinally 00b3 TWinControl.DestroyWnd"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC F6 40 1C 01 0F 85 A1 00 00 00 8B 45 FC F6 40 5D 20 0F 84 8C 00 00 00 8B 45 FC 83 B8 7C 02 00 00 00 75 15 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 7C 02 00 00 68 00 04 00 00 8B 45 FC 8B 88 7C 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 78 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_74623_0 {
	meta:
		name = "TCustomHeaderControl.CMBiDiModeChanged"
		size = 88
		refs = "0008 TWinControl.CMBiDiModeChanged 000f TWinControl.HandleAllocated 0034 THeaderSections.GetItem 004c THeaderSection.ParentBiDiModeChanged"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3D 8B 83 78 02 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 2C 47 33 F6 8B D6 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 80 78 25 00 74 12 8B D6 8B 83 78 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 D7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74624_0 {
	meta:
		name = "TCustomHeaderControl.FlipChildren"
		size = 410
		refs = "0010 TWinControl.HandleAllocated 0036 TControl.GetClientWidth 0049 THeaderSections.GetItem 008c _DV_THeaderSections 0091 THeaderSections.Create 009c TCustomHeaderControl.FlipChildren 00c1 THeaderSections.Add 0141 TObject.Free 0147 @HandleFinally 016f THeaderSection.SetWidth 018f TCustomHeaderControl.UpdateSections"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 77 01 00 00 8B 45 FC 8B 80 78 02 00 00 8B 40 08 83 78 08 00 0F 8E 61 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 80 78 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 40 10 89 45 F8 8B 45 FC 8B 80 78 02 00 00 8B 40 08 8B 58 08 83 EB 02 85 DB 7C 1D 43 33 F6 8B 45 FC 8B 80 78 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 40 10 29 45 F4 46 4B 75 E6 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 78 02 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 2A 43 33 F6 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 8B 80 78 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 08 46 4B 75 D9 8B 45 FC 8B 80 78 02 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 38 43 33 F6 8B 45 FC 8B 80 78 02 00 00 8B 40 08 8B 50 08 2B D6 4A 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 78 02 00 00 8B D6 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 46 4B 75 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 98 78 02 00 00 8B 43 08 8B 70 08 83 FE 01 7E 2A 8B D6 4A 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74625_0 {
	meta:
		name = "TCustomHeaderControl.DrawSection"
		size = 60
	strings:
		$1 = { 55 8B EC 56 8B F0 66 83 BE B2 02 00 00 00 74 1A 51 0F B6 45 08 50 8B C6 8B CA 8B D0 8B 86 B4 02 00 00 FF 96 B0 02 00 00 EB 0D 8B D1 8B 86 84 02 00 00 8B 08 FF 51 54 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_74626_0 {
	meta:
		name = "TCustomHeaderControl.SectionClick"
		size = 31
	strings:
		$1 = { 53 66 83 B8 BA 02 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 BC 02 00 00 FF 93 B8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_74627_0 {
	meta:
		name = "TCustomHeaderControl.SectionCheck"
		size = 31
		altNames = "TDBCtrlGrid.PaintPanel"
	strings:
		$1 = { 53 66 83 B8 C2 02 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 C4 02 00 00 FF 93 C0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_74628_0 {
	meta:
		name = "TCustomHeaderControl.SectionResize"
		size = 31
	strings:
		$1 = { 53 66 83 B8 CA 02 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 CC 02 00 00 FF 93 C8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_74629_0 {
	meta:
		name = "TCustomHeaderControl.SectionTrack"
		size = 43
	strings:
		$1 = { 55 8B EC 53 66 83 B8 D2 02 00 00 00 74 18 51 0F B6 4D 08 51 8B D8 8B CA 8B D0 8B 83 D4 02 00 00 FF 93 D0 02 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_74630_0 {
	meta:
		name = "TCustomHeaderControl.SetFullDrag"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TProgressBar.SetOrientation"
	strings:
		$1 = { 3A 90 90 02 00 00 74 0B 88 90 90 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74631_0 {
	meta:
		name = "TCustomHeaderControl.SetHotTrack"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TProgressBar.SetSmooth"
	strings:
		$1 = { 3A 90 91 02 00 00 74 0B 88 90 91 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74632_0 {
	meta:
		name = "TCustomHeaderControl.SetStyle"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 9C 02 00 00 74 0B 88 90 9C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78876_0 {
	meta:
		name = "TCustomFlowPanel.SetAutoWrap"
		size = 20
		refs = "000f TWinControl.Realign"
	strings:
		$1 = { 3A 90 9C 02 00 00 74 0B 88 90 9C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74633_0 {
	meta:
		name = "TCustomHeaderControl.SetCheckBoxes"
		size = 70
		refs = "001c CheckWin32Version 0025 StyleServices 0035 TWinControl.HandleAllocated 0040 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 F0 02 00 00 74 39 88 93 F0 02 00 00 BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 20 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 12 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74634_0 {
	meta:
		name = "TCustomHeaderControl.SetNoSizing"
		size = 70
		refs = "001c CheckWin32Version 0025 StyleServices 0035 TWinControl.HandleAllocated 0040 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 F1 02 00 00 74 39 88 93 F1 02 00 00 BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 20 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 12 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74635_0 {
	meta:
		name = "TCustomHeaderControl.SetOverflow"
		size = 70
		refs = "001c CheckWin32Version 0025 StyleServices 0035 TWinControl.HandleAllocated 0040 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 F2 02 00 00 74 39 88 93 F2 02 00 00 BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 20 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 12 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74636_0 {
	meta:
		name = "TCustomHeaderControl.SetDragReorder"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TProgressBar.SetSmoothReverse"
	strings:
		$1 = { 3A 90 92 02 00 00 74 0B 88 90 92 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79036_0 {
	meta:
		name = "TCustomRadioGroup.SetWordWrap"
		size = 20
		refs = "000f TCustomRadioGroup.UpdateButtons"
	strings:
		$1 = { 3A 90 92 02 00 00 74 0B 88 90 92 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74638_0 {
	meta:
		name = "TCustomHeaderControl.UpdateItem"
		size = 304
		refs = "0017 THeaderSections.GetItem 0029 @FillChar 0040 @UStrToPWChar 0063 THeaderSection.UseRightToLeftAlignment 0070 ChangeBiDiModeAlignment 00dd THeaderSection.UseRightToLeftReading 0115 TCollectionItem.GetIndex 011d TWinControl.GetHandle 0125 SendStructMessage"
	strings:
		$1 = { 53 56 57 83 C4 C8 89 0C 24 8B FA 8B F0 8B 86 78 02 00 00 8B 14 24 E8 ?? ?? ?? ?? 8B D8 8D 44 24 08 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? C7 44 24 08 07 00 00 00 8B 43 10 89 44 24 0C 8B 43 0C E8 ?? ?? ?? ?? 89 44 24 10 8B 43 0C 85 C0 74 05 83 E8 04 8B 00 89 44 24 18 0F B6 43 1C 88 44 24 04 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8D 44 24 04 E8 ?? ?? ?? ?? 0F B6 44 24 04 2C 01 72 04 74 0A EB 12 33 C0 89 44 24 1C EB 12 C7 44 24 1C 01 00 00 00 EB 08 C7 44 24 1C 02 00 00 00 80 7B 1D 01 75 0A 81 4C 24 1C 00 80 00 00 EB 08 81 4C 24 1C 00 40 00 00 80 7B 26 00 74 05 83 4C 24 1C 40 80 7B 27 00 74 08 81 4C 24 1C 80 00 00 00 80 7B 28 00 74 08 81 4C 24 1C 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 83 4C 24 1C 04 83 BE 98 02 00 00 00 74 1A 83 7B 20 00 7C 14 83 4C 24 08 20 81 4C 24 1C 00 08 00 00 8B 43 20 89 44 24 24 8D 44 24 08 50 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B D7 59 E8 ?? ?? ?? ?? 83 C4 38 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74639_0 {
	meta:
		name = "TCustomHeaderControl.UpdateSection"
		size = 34
		refs = "0009 TWinControl.HandleAllocated 001b TCustomHeaderControl.UpdateItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B CE BA 0C 12 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74640_0 {
	meta:
		name = "TCustomHeaderControl.UpdateSections"
		size = 122
		refs = "0008 TWinControl.HandleAllocated 0025 TWinControl.GetHandle 002b SendMessage 006e TCustomHeaderControl.UpdateItem"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 66 80 BE 80 02 00 00 00 75 5D 6A 00 6A 00 68 00 12 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1A 43 6A 00 6A 00 68 02 12 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 4B 75 E7 8B 86 78 02 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 15 43 33 FF 8B CF BA 0A 12 00 00 8B C6 E8 ?? ?? ?? ?? 47 4B 75 EE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74641_0 {
	meta:
		name = "TCustomHeaderControl.CNDrawItem"
		size = 279
		refs = "001e SaveDC 002f TCustomCanvas.Lock 0037 TCustomHeaderControl.CNDrawItem 0051 TCanvas.SetHandle 0065 TCanvas.SetFont 007b TBrush.SetColor 008e TBrush.SetStyle 00ad THeaderSections.GetItem 00c1 @CallDynaInst 00ec TCustomCanvas.Unlock 00fc RestoreDC 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 89 55 F8 89 45 FC 8B 45 F8 8B 40 08 89 45 F0 8B 45 F0 8B 40 18 50 E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 80 84 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 50 18 8B 45 FC 8B 80 84 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 6C 8B 45 FC 8B 80 84 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 84 02 00 00 8B 40 48 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B 45 FC 8B 80 84 02 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 45 F0 F6 40 10 01 0F 95 C0 50 8B 45 F0 8B 50 08 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8D 48 1C 8B 45 FC 66 BE AE FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 84 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 84 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F0 8B 40 18 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 8B 45 F8 C7 40 0C 01 00 00 00 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_74642_0 {
	meta:
		name = "TCustomHeaderControl.CNNotify"
		size = 861
		refs = "0076 THeaderSections.GetItem 0084 @CallDynaInst 0094 TCustomHeaderControl.GetSectionFromIndex 00a4 THeaderSection.SetChecked 011e TCustomHeaderControl.CNNotify 0144 GetMessagePos 0149 SmallPoint 0151 TPoint.&op_Implicit 0177 TWinControl.GetHandle 017d ScreenToClient 01d2 @HandleFinally 020c TControl.GetClientHeight 022e SendStructMessage 0298 SendMessage 0300 TCustomHeaderControl.DoSectionDrag 032a GetCapture 033c SetCapture 0352 TCustomHeaderControl.DoSectionEndDrag"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 8B DA 89 45 FC 8B 43 08 8B F0 8B 46 08 3D C9 FE FF FF 7F 26 0F 84 B5 01 00 00 05 48 01 00 00 83 E8 03 0F 82 B7 00 00 00 83 E8 03 74 33 48 74 74 83 E8 05 74 4F E9 13 03 00 00 05 34 01 00 00 83 E8 03 0F 82 97 00 00 00 83 E8 03 74 13 48 74 54 2D 1D 01 00 00 0F 84 DE 02 00 00 E9 ED 02 00 00 8B 56 0C 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 66 BE AD FF E8 ?? ?? ?? ?? E9 C9 02 00 00 8B 56 0C 8B 45 FC E8 ?? ?? ?? ?? 8B F8 0F B6 57 27 80 F2 01 8B C7 E8 ?? ?? ?? ?? E9 A9 02 00 00 8B 5E 14 F6 03 01 0F 84 9D 02 00 00 8B 56 0C 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 43 04 3B 47 10 0F 84 84 02 00 00 89 47 10 8B D7 8B 45 FC 66 BE A9 FF E8 ?? ?? ?? ?? E9 6E 02 00 00 8B 56 0C 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 46 08 2D B9 FE FF FF 74 11 48 74 08 83 E8 13 74 09 48 75 0C C6 45 FB 00 EB 0A C6 45 FB 02 EB 04 C6 45 FB 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7D FB 02 74 53 8B 45 FC 89 B8 A0 02 00 00 8B 47 10 8B 55 FC 89 82 A4 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 AC E8 ?? ?? ?? ?? 8B 45 FC 8B 55 AC 89 90 A8 02 00 00 8B 55 B0 89 90 AC 02 00 00 8B 45 FC 05 A8 02 00 00 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 46 14 8B F0 8B 47 14 3B 46 04 7E 03 89 46 04 8B 47 18 3B 46 04 7D 03 89 46 04 0F B6 45 FB 50 8B 4E 04 8B D7 8B 45 FC 66 BE A8 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 02 75 0B 8B 45 FC 33 D2 89 90 A0 02 00 00 C3 E9 ?? ?? ?? ?? EB E7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 AC E8 ?? ?? ?? ?? 8B 45 AC 89 45 B4 8B 45 B0 89 45 B8 8D 45 B4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 89 45 B8 8D 45 B4 50 8B 45 FC E8 ?? ?? ?? ?? 33 C9 BA 06 12 00 00 E8 ?? ?? ?? ?? C7 45 C4 80 00 00 00 83 7D C0 00 7D 3A F6 45 BD 08 74 0D 8B 45 FC 33 D2 89 90 8C 02 00 00 EB 56 8B 45 BC F6 C4 04 75 04 A8 01 74 4A 8B 45 FC 8B 80 78 02 00 00 8B 40 08 8B 40 08 48 8B 55 FC 89 82 8C 02 00 00 EB 2F 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 45 C0 89 45 F4 8D 45 C4 50 8B 45 F4 50 68 0B 12 00 00 57 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 E4 89 90 8C 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 76 0C 8D 45 C4 50 56 68 0B 12 00 00 57 E8 ?? ?? ?? ?? 8B 45 FC 8B 75 E4 89 B0 88 02 00 00 8B 45 FC 8B 90 8C 02 00 00 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 8B D6 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 59 E8 ?? ?? ?? ?? 8B 55 FC 88 82 81 02 00 00 8B 45 FC 0F B6 80 81 02 00 00 34 01 83 E0 7F 89 43 0C 8B 45 FC E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 74 24 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 14 8B 45 FC 80 B8 81 02 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74643_0 {
	meta:
		name = "FullWindowUpdate"
		size = 54
		refs = "001e SystemParametersInfo"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 40 FC 80 B8 90 02 00 00 00 74 19 6A 00 8D 45 FC 50 6A 00 6A 26 E8 ?? ?? ?? ?? 85 C0 74 06 83 7D FC 00 75 05 33 C0 59 5D C3 B0 01 59 5D C3 }
	condition:
		$1
}

rule function_74644_0 {
	meta:
		name = "TCustomHeaderControl.WndProc"
		size = 176
		refs = "001f FullWindowUpdate 0038 TControl.GetMouseCapture 008e @CallDynaInst 00a6 TWinControl.WndProc"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 57 89 55 F8 89 45 FC 8B 45 F8 81 38 00 02 00 00 0F 85 82 00 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 74 77 8B 45 FC 83 B8 A0 02 00 00 00 74 6B 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 5F 8B 7D F8 0F BF 7F 08 8B 45 FC 2B B8 A8 02 00 00 8B 45 FC 03 B8 A4 02 00 00 C6 45 F7 00 8B 45 FC 8B B0 A0 02 00 00 8B 46 14 3B F8 7D 06 2B F8 C6 45 F7 01 8B 46 18 3B F8 7E 06 2B F8 C6 45 F7 01 6A 01 8B D6 8B CF 8B 45 FC 66 BE A8 FF E8 ?? ?? ?? ?? 80 7D F7 00 74 07 8B 45 F8 66 29 78 08 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_74645_0 {
	meta:
		name = "TCustomHeaderControl.WMLButtonDown"
		size = 95
		refs = "001f TWinControl.GetHandle 002b SendGetStructMessage 0045 THeaderSections.GetItem 0054 TControl.WMLButtonDown"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B D8 0F BF 47 08 89 04 24 0F BF 47 0A 89 44 24 04 54 6A 01 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 06 12 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 1A F6 44 24 08 02 74 13 8B D6 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 80 78 1E 00 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74646_0 {
	meta:
		name = "TCustomHeaderControl.WMSize"
		size = 424
		refs = "0010 TWinControl.WMSize 0018 TWinControl.HandleAllocated 0034 _Dn_TList 0039 TObject.Create 0044 TCustomHeaderControl.WMSize 0052 TControl.GetClientWidth 007c THeaderSections.GetItem 008e TList.Add 00f2 TList.Get 0104 THeaderSection.SetWidth 013e TList.Delete 017e @HandleFinally 0195 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 7D 01 00 00 8B 45 FC F6 40 1C 02 0F 85 70 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 80 78 02 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 31 47 33 DB 8B 45 FC 8B 80 78 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 80 7E 1F 00 74 0C 8B D6 8B 45 EC E8 ?? ?? ?? ?? EB 06 8B 46 10 29 45 F4 43 4F 75 D2 8B 45 EC 83 78 08 00 0F 8E D9 00 00 00 8B 45 FC 8B 80 78 02 00 00 8B 10 FF 52 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 40 08 89 45 F8 8B 45 F4 99 F7 7D F8 89 55 F0 8B 45 F4 99 F7 7D F8 8B F8 8B 5D F8 4B 83 FB 00 7C 22 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B F0 85 DB 75 03 03 7D F0 8B D7 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DE 8B 45 F4 99 F7 7D F8 8B F8 8B 5D F8 4B 83 FB 00 7C 2E 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B F0 85 DB 75 03 03 7D F0 3B 7E 10 74 10 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 46 10 29 45 F4 4B 83 FB FF 75 D2 8B 45 EC 8B 40 08 85 C0 74 09 3B 45 F8 0F 85 66 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74648_0 {
	meta:
		name = "TCustomHeaderControl.GetSectionFromIndex"
		size = 210
		refs = "0017 TCustomHeaderControl.GetSectionFromIndex 0038 TIntegerDynArray 003d @DynArraySetLength 0047 TWinControl.GetHandle 006b SendMessage 0078 @DynArrayLength 009a THeaderSections.GetItem 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 78 02 00 00 8B 40 08 8B 40 08 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 E8 ?? ?? ?? ?? 8B D8 8B 87 78 02 00 00 8B 40 08 8B 70 08 8B 45 FC 89 45 F0 8B 45 F0 50 56 68 11 12 00 00 53 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 22 46 33 DB 8B 45 FC 8B 04 98 3B 45 F8 75 10 8B 87 78 02 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 F4 43 4E 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74649_0 {
	meta:
		name = "TCustomHeaderControl.DoSectionDrag"
		size = 39
		refs = "001a @CallDynaInst"
	strings:
		$1 = { 56 57 55 51 8B E9 8B FA 8B F0 C6 04 24 01 54 8B CD 8B D7 8B C6 66 BE AB FF E8 ?? ?? ?? ?? 0F B6 04 24 5A 5D 5F 5E C3 }
	condition:
		$1
}

rule function_74650_0 {
	meta:
		name = "TCustomHeaderControl.Notification"
		size = 49
		refs = "0010 TWinControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 14 3B B7 98 02 00 00 75 0C 33 D2 8B C7 8B 08 FF 91 00 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74651_0 {
	meta:
		name = "TCustomHeaderControl.SetImages"
		size = 138
		refs = "0018 TCustomImageList.UnRegisterChanges 002f TCustomImageList.RegisterChanges 003c TComponent.FreeNotification 0043 TWinControl.GetHandle 0050 TCustomImageList.GetHandle 0060 SendMessage 0082 TCustomHeaderControl.UpdateSections"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 83 98 02 00 00 85 C0 74 0B 8B 93 94 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 98 02 00 00 85 C0 74 3E 8B 93 94 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B F8 57 6A 00 68 08 12 00 00 56 E8 ?? ?? ?? ?? EB 19 8B C3 E8 ?? ?? ?? ?? 8B F0 33 FF 57 6A 00 68 08 12 00 00 56 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74652_0 {
	meta:
		name = "TCustomHeaderControl.ImageListChange"
		size = 50
		refs = "000a TWinControl.GetHandle 0013 TCustomImageList.GetHandle 0023 SendMessage 002a TCustomHeaderControl.UpdateSections"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C7 E8 ?? ?? ?? ?? 8B F8 57 6A 00 68 08 12 00 00 56 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74653_0 {
	meta:
		name = "TCustomHeaderControl.SectionDrag"
		size = 42
	strings:
		$1 = { 55 8B EC 53 66 83 B8 DA 02 00 00 00 74 17 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 DC 02 00 00 FF 93 D8 02 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_74654_0 {
	meta:
		name = "UpdateSectionOrder"
		size = 314
		refs = "0010 UpdateSectionOrder 0045 TCollection.FindItemID 004d TCollectionItem.GetIndex 0076 :TCustomHeaderControl.:1 007b @DynArraySetLength 00ad THeaderSections.GetItem 00c5 TWinControl.GetHandle 00eb SendMessage 010b @HandleFinally 0128 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC C6 80 80 02 00 00 01 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 53 08 8B 45 08 8B 40 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 51 14 8B 45 08 8B 40 FC 8B 80 78 02 00 00 8B 40 08 8B 58 08 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 40 FC 8B 80 78 02 00 00 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 23 46 33 DB 8B 45 08 8B 40 FC 8B 80 78 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 40 08 8B 55 FC 89 04 9A 43 4E 75 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 92 78 02 00 00 8B 52 08 8B 52 08 8B D8 8B F2 8B 7D FC 57 56 68 12 12 00 00 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC C6 80 80 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74655_0 {
	meta:
		name = "TCustomHeaderControl.DoSectionEndDrag"
		size = 89
		refs = "0026 THeaderSections.GetItem 0044 UpdateSectionOrder 0051 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 56 89 45 FC 8B 45 FC C6 80 81 02 00 00 00 55 8B 45 FC 8B 90 8C 02 00 00 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 90 88 02 00 00 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 59 8B 45 FC 66 BE AA FF E8 ?? ?? ?? ?? 5E 59 5D C3 }
	condition:
		$1
}

rule function_74656_0 {
	meta:
		name = "TCustomHeaderControl.SectionEndDrag"
		size = 29
	strings:
		$1 = { 53 66 83 B8 E2 02 00 00 00 74 10 8B D8 8B D0 8B 83 E4 02 00 00 FF 93 E0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_74657_0 {
	meta:
		name = "TCustomHeaderControl.CreateSection"
		size = 55
		refs = "0005 _DV_THeaderSection"
	strings:
		$1 = { 53 51 8B D8 A1 ?? ?? ?? ?? 89 04 24 66 83 BB EA 02 00 00 00 74 10 8B CC 8B D3 8B 83 EC 02 00 00 FF 93 E8 02 00 00 8B 8B 78 02 00 00 B2 01 8B 04 24 FF 50 1C 5A 5B C3 }
	condition:
		$1
}

rule function_74659_0 {
	meta:
		name = "DefaultTreeViewSort"
		size = 108
		refs = "000f TTreeNode.GetTreeView 004c @UStrToPWChar 005b lstrcmp"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 0C 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 66 83 B8 42 03 00 00 00 74 2B 56 8B 45 10 50 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CB 8B 86 44 03 00 00 FF 96 40 03 00 00 EB 1A 8B 46 08 E8 ?? ?? ?? ?? 50 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_74662_0 {
	meta:
		name = "TTreeNode.Create"
		size = 78
		refs = "000b @ClassCreate 001a TObject.Create 003a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 1C FF FF FF FF C7 47 20 FF FF FF FF 89 77 04 C6 47 26 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74663_0 {
	meta:
		name = "TTreeNode.Destroy"
		size = 258
		refs = "0005 @BeforeDestruction 0011 TTreeNodes.ClearCache 002e TList.RemoveItem 004b TTreeNode.GetParent 0060 TTreeNode.IndexOf 0075 TTreeNode.CompareCount 0082 TTreeNode.SetExpanded 008b TTreeNode.SetChildren 00ba @CallDynaInst 00c7 TTreeNode.GetHandle 00da SendMessage 00e3 TTreeNode.SetData 00ee TPersistent.Destroy 00f9 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 47 04 E8 ?? ?? ?? ?? C6 47 24 01 8B 47 04 8B 40 04 85 C0 74 0F 8B 80 EC 02 00 00 8B D7 33 C9 E8 ?? ?? ?? ?? 8B 47 04 8B 40 04 3B B8 AC 02 00 00 75 08 33 D2 89 90 AC 02 00 00 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 3A 80 7E 24 00 75 34 8B D7 8B C6 E8 ?? ?? ?? ?? 40 74 07 BD 01 00 00 00 EB 02 33 ED 8B D5 8B C6 E8 ?? ?? ?? ?? 84 C0 74 12 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 57 04 83 7A 04 00 74 26 8B 47 04 8B 40 04 80 B8 04 03 00 00 00 74 06 F6 40 5D 20 75 11 8B 47 04 8B 40 04 8B D7 66 BE A8 FF E8 ?? ?? ?? ?? 83 7F 10 00 74 1A 8B C7 E8 ?? ?? ?? ?? 8B F0 8B 6F 10 55 6A 00 68 01 11 00 00 56 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74666_0 {
	meta:
		name = "TTreeNode.HasAsParent"
		size = 62
		refs = "000d TTreeNode.GetParent 0032 TTreeNode.HasAsParent"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 2F 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 22 8B C3 E8 ?? ?? ?? ?? 3B F0 75 04 B0 01 EB 13 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_74667_0 {
	meta:
		name = "TTreeNode.SetEnabled"
		size = 82
		refs = "0037 TTreeNode.GetHandle 0049 SendMessage"
	strings:
		$1 = { 53 83 C4 C4 80 78 24 00 75 43 3A 50 26 74 3E 8B CA 88 48 26 C7 04 24 00 01 00 00 8B 50 10 89 54 24 04 84 C9 75 0A C7 44 24 2C 02 00 00 00 EB 06 33 D2 89 54 24 2C E8 ?? ?? ?? ?? 8B D8 8B C4 50 6A 00 68 3F 11 00 00 53 E8 ?? ?? ?? ?? 83 C4 3C 5B C3 }
	condition:
		$1
}

rule function_74668_0 {
	meta:
		name = "TTreeNode.SetText"
		size = 161
		refs = "0019 @UStrEqual 0025 @UStrAsg 0042 TTreeNode.GetHandle 0054 SendMessage 005b TTreeNode.GetTreeView 0075 TTreeNode.GetParent 0087 TTreeNode.AlphaSort 0097 TCustomTreeView.AlphaSort"
	strings:
		$1 = { 53 56 83 C4 D8 8B F2 8B D8 80 7B 24 00 0F 85 88 00 00 00 8B C6 8B 53 08 E8 ?? ?? ?? ?? 74 7C 8D 43 08 8B D6 E8 ?? ?? ?? ?? C7 04 24 01 00 00 00 8B 43 10 89 44 24 04 C7 44 24 10 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C4 50 6A 00 68 3F 11 00 00 56 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 80 CF 02 00 00 04 FE 2C 02 73 2F 80 7B 25 00 74 29 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? EB 0E 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 83 C4 28 5E 5B C3 }
	condition:
		$1
}

rule function_74669_0 {
	meta:
		name = "TTreeNode.SetData"
		size = 111
		refs = "0014 TTreeNode.GetTreeView 0047 TTreeNode.GetParent 0059 TTreeNode.AlphaSort 0069 TCustomTreeView.AlphaSort"
	strings:
		$1 = { 53 8B D8 80 7B 24 00 75 64 3B 53 0C 74 5F 89 53 0C 8B C3 E8 ?? ?? ?? ?? 0F B6 80 CF 02 00 00 2C 01 74 04 2C 02 75 46 8B C3 E8 ?? ?? ?? ?? 66 83 B8 42 03 00 00 00 74 35 80 7B 24 00 75 2F 80 7B 25 00 74 29 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? EB 0E 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74670_0 {
	meta:
		name = "TTreeNode.GetState"
		size = 156
		refs = "0024 TTreeNode.GetHandle 0038 SendMessage 004c TTreeNode.GetState"
	strings:
		$1 = { 53 56 83 C4 D4 88 14 24 33 DB 80 78 24 00 0F 85 80 00 00 00 C7 44 24 04 08 00 00 00 8B 50 10 89 54 24 08 E8 ?? ?? ?? ?? 8B F0 8D 44 24 04 50 6A 00 68 3E 11 00 00 56 E8 ?? ?? ?? ?? 85 C0 74 54 0F B6 04 24 83 F8 04 77 4B FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F6 44 24 0C 04 0F 95 C3 EB 26 F6 44 24 0C 01 0F 95 C3 EB 1C F6 44 24 0C 02 0F 95 C3 EB 12 F6 44 24 0C 20 0F 95 C3 EB 08 F6 44 24 0C 08 0F 95 C3 8B C3 83 C4 2C 5E 5B C3 }
	condition:
		$1
}

rule function_74671_0 {
	meta:
		name = "TTreeNode.SetState"
		size = 162
		refs = "0027 TTreeNode.SetState 0087 TTreeNode.GetHandle 0099 SendMessage"
	strings:
		$1 = { 53 83 C4 D8 80 78 24 00 0F 85 8F 00 00 00 C7 04 24 08 00 00 00 8B 58 10 89 5C 24 04 83 E2 7F 83 FA 04 77 4B FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 44 24 0C 04 00 00 00 EB 26 C7 44 24 0C 01 00 00 00 EB 1C C7 44 24 0C 02 00 00 00 EB 12 C7 44 24 0C 20 00 00 00 EB 08 C7 44 24 0C 08 00 00 00 84 C9 74 0D 8B 54 24 0C 83 E2 FF 89 54 24 08 EB 06 33 D2 89 54 24 08 E8 ?? ?? ?? ?? 8B D8 8B C4 50 6A 00 68 3F 11 00 00 53 E8 ?? ?? ?? ?? 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_74672_0 {
	meta:
		name = "TTreeNode.SetImageIndex"
		size = 92
		refs = "0041 TTreeNode.GetHandle 0053 SendMessage"
	strings:
		$1 = { 53 83 C4 D8 80 78 24 00 75 4D 3B 50 14 74 48 8B CA 89 48 14 C7 04 24 12 00 00 00 8B 50 10 89 54 24 04 8B 50 04 8B 52 04 66 83 BA 8A 03 00 00 00 74 0A C7 44 24 18 FF FF FF FF EB 04 89 4C 24 18 E8 ?? ?? ?? ?? 8B D8 8B C4 50 6A 00 68 3F 11 00 00 53 E8 ?? ?? ?? ?? 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_74673_0 {
	meta:
		name = "TTreeNode.SetExpandedImageIndex"
		size = 66
		refs = "0027 TTreeNode.GetHandle 0039 SendMessage"
	strings:
		$1 = { 53 83 C4 C4 80 78 24 00 75 33 3B 50 28 74 2E 8B CA 89 48 28 C7 04 24 10 02 00 00 8B 50 10 89 54 24 04 89 4C 24 34 E8 ?? ?? ?? ?? 8B D8 8B C4 50 6A 00 68 3F 11 00 00 53 E8 ?? ?? ?? ?? 83 C4 3C 5B C3 }
	condition:
		$1
}

rule function_74674_0 {
	meta:
		name = "TTreeNode.SetSelectedIndex"
		size = 92
		refs = "0041 TTreeNode.GetHandle 0053 SendMessage"
	strings:
		$1 = { 53 83 C4 D8 80 78 24 00 75 4D 3B 50 18 74 48 8B CA 89 48 18 C7 04 24 30 00 00 00 8B 50 10 89 54 24 04 8B 50 04 8B 52 04 66 83 BA 92 03 00 00 00 74 0A C7 44 24 1C FF FF FF FF EB 04 89 4C 24 1C E8 ?? ?? ?? ?? 8B D8 8B C4 50 6A 00 68 3F 11 00 00 53 E8 ?? ?? ?? ?? 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_74675_0 {
	meta:
		name = "TTreeNode.SetOverlayIndex"
		size = 78
		refs = "0033 TTreeNode.GetHandle 0045 SendMessage"
	strings:
		$1 = { 53 83 C4 D8 80 78 24 00 75 3F 3B 50 1C 74 3A 8B CA 89 48 1C C7 04 24 18 00 00 00 C7 44 24 0C 00 0F 00 00 8B 50 10 89 54 24 04 41 C1 E1 08 89 4C 24 08 E8 ?? ?? ?? ?? 8B D8 8B C4 50 6A 00 68 3F 11 00 00 53 E8 ?? ?? ?? ?? 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_74676_0 {
	meta:
		name = "TTreeNode.SetStateIndex"
		size = 81
		refs = "0036 TTreeNode.GetHandle 0048 SendMessage"
	strings:
		$1 = { 53 83 C4 D8 80 78 24 00 75 42 3B 50 20 74 3D 89 50 20 85 D2 7C 01 4A C7 04 24 18 00 00 00 C7 44 24 0C 00 F0 00 00 8B 48 10 89 4C 24 04 42 C1 E2 0C 89 54 24 08 E8 ?? ?? ?? ?? 8B D8 8B C4 50 6A 00 68 3F 11 00 00 53 E8 ?? ?? ?? ?? 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_74677_0 {
	meta:
		name = "TTreeNode.CompareCount"
		size = 54
		refs = "000b TTreeNode.getFirstChild 001b TTreeNode.GetNextChild"
	strings:
		$1 = { 53 56 57 55 8B FA 33 F6 33 DB E8 ?? ?? ?? ?? 8B E8 85 ED 74 14 46 8B D5 8B C5 E8 ?? ?? ?? ?? 8B E8 3B FE 7C 0A 85 ED 75 EC 3B FE 75 02 B3 01 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74678_0 {
	meta:
		name = "TTreeNode.DoCanExpand"
		size = 81
		refs = "0013 TTreeNode.GetChildren 0024 TTreeNode.GetTreeView 002f @CallDynaInst"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 33 DB 80 7E 24 00 75 3B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 30 80 3C 24 00 74 16 8B C6 E8 ?? ?? ?? ?? 8B D6 66 BE AB FF E8 ?? ?? ?? ?? 8B D8 EB 14 8B C6 E8 ?? ?? ?? ?? 8B D6 66 BE AC FF E8 ?? ?? ?? ?? 8B D8 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_74679_0 {
	meta:
		name = "TTreeNode.DoExpand"
		size = 68
		refs = "000f TTreeNode.GetChildren 001e TTreeNode.GetTreeView 0029 @CallDynaInst"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 7E 24 00 75 35 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2A 84 DB 74 14 8B C6 E8 ?? ?? ?? ?? 8B D6 66 BE A5 FF E8 ?? ?? ?? ?? EB 12 8B C6 E8 ?? ?? ?? ?? 8B D6 66 BE A9 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74680_0 {
	meta:
		name = "TTreeNode.ExpandItem"
		size = 249
		refs = "0027 TTreeNode.ExpandItem 002e TTreeNode.GetNext 0042 TTreeNode.HasAsParent 0053 TTreeNode.GetTreeView 0078 TTreeNode.DoCanExpand 008b TTreeNode.DoExpand 00b6 TTreeNode.GetHandle 00cb SendMessage 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC 80 78 24 00 0F 85 DA 00 00 00 84 C9 74 32 8B 75 FC 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 B7 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 75 D6 E9 A4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? C6 80 B9 02 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 F6 84 DB 74 1F B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2E BE 02 00 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? EB 1D 33 D2 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0F BE 01 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 85 F6 74 1D 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 78 10 57 56 68 02 11 00 00 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C6 80 B9 02 00 00 00 C3 E9 ?? ?? ?? ?? EB E9 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74681_0 {
	meta:
		name = "TTreeNode.Expand"
		size = 10
		refs = "0005 TTreeNode.ExpandItem"
	strings:
		$1 = { 8B CA B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82289_0 {
	meta:
		name = "TMenuItem.InsertNewLineBefore"
		size = 10
		refs = "0005 TMenuItem.InsertNewLine"
	strings:
		$1 = { 8B CA B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74683_0 {
	meta:
		name = "TTreeNode.GetExpanded"
		size = 8
		refs = "0003 TTreeNode.GetState"
	strings:
		$1 = { B2 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74684_0 {
	meta:
		name = "TTreeNode.SetExpanded"
		size = 44
		refs = "0009 TTreeNode.GetExpanded 001a TTreeNode.Expand 0025 TTreeNode.Collapse"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 18 84 DB 74 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 09 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74685_0 {
	meta:
		name = "TTreeNode.GetSelected"
		size = 8
		refs = "0003 TTreeNode.GetState"
	strings:
		$1 = { B2 03 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91777_0 {
	meta:
		name = "TArrowSeriesEditor.FormCreate"
		size = 8
		refs = "0003 TCustomForm.SetBorderStyle"
	strings:
		$1 = { B2 03 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91797_0 {
	meta:
		name = "TAxisIncrement.FormCreate"
		size = 8
		refs = "0003 TCustomForm.SetBorderStyle"
	strings:
		$1 = { B2 03 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91803_0 {
	meta:
		name = "TAxisMaxMin.FormCreate"
		size = 8
		refs = "0003 TCustomForm.SetBorderStyle"
	strings:
		$1 = { B2 03 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91892_0 {
	meta:
		name = "TBrushDialog.FormCreate"
		size = 8
		refs = "0003 TCustomForm.SetBorderStyle"
	strings:
		$1 = { B2 03 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93257_0 {
	meta:
		name = "TGanttSeriesEditor.FormCreate"
		size = 8
		refs = "0003 TCustomForm.SetBorderStyle"
	strings:
		$1 = { B2 03 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94446_0 {
	meta:
		name = "TPenDialog.FormCreate"
		size = 8
		refs = "0003 TCustomForm.SetBorderStyle"
	strings:
		$1 = { B2 03 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74686_0 {
	meta:
		name = "TTreeNode.SetSelected"
		size = 160
		refs = "0013 TTreeNode.GetHandle 0024 TTreeNode.GetSelected 003b TreeView_SelectItem 005f TTreeNode.GetTreeView 0089 TTreeNode.SetSelected"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 7E 24 00 0F 85 87 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 7C 83 7E 10 00 74 76 8B C6 E8 ?? ?? ?? ?? 3A D8 74 30 84 DB 74 11 8B C6 E8 ?? ?? ?? ?? 8B 56 10 E8 ?? ?? ?? ?? EB 56 8B C6 E8 ?? ?? ?? ?? 84 C0 74 4B 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? EB 3B 8B C6 E8 ?? ?? ?? ?? 80 B8 E8 02 00 00 00 74 2B 8B C6 E8 ?? ?? ?? ?? 8B 80 EC 02 00 00 83 78 08 01 7E 18 8B C6 E8 ?? ?? ?? ?? 0F B7 0D ?? ?? ?? ?? 8B D6 8B 18 FF 93 14 01 00 00 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_74687_0 {
	meta:
		name = "TTreeNode.SetSelectedBit"
		size = 10
		refs = "0005 TTreeNode.SetState"
	strings:
		$1 = { 8B CA B2 03 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74689_0 {
	meta:
		name = "TTreeNode.SetCut"
		size = 31
		refs = "0009 TTreeNode.GetCut 0018 TTreeNode.SetState"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 0B 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74691_0 {
	meta:
		name = "TTreeNode.SetDropTarget"
		size = 72
		refs = "0009 TTreeNode.GetHandle 0026 TreeView_SelectDropTarget 002f TTreeNode.GetDropTarget"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 85 C0 74 34 83 7E 10 00 74 2E 84 DB 74 11 8B C6 E8 ?? ?? ?? ?? 8B 56 10 E8 ?? ?? ?? ?? EB 19 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74692_0 {
	meta:
		name = "TTreeNode.GetChildren"
		size = 70
		refs = "001c TTreeNode.GetHandle 002e SendMessage"
	strings:
		$1 = { 53 56 83 C4 D8 33 DB 80 78 24 00 75 31 C7 04 24 40 00 00 00 8B 50 10 89 54 24 04 E8 ?? ?? ?? ?? 8B F0 8B C4 50 6A 00 68 3E 11 00 00 56 E8 ?? ?? ?? ?? 85 C0 74 08 83 7C 24 20 00 0F 9F C3 8B C3 83 C4 28 5E 5B C3 }
	condition:
		$1
}

rule function_74693_0 {
	meta:
		name = "TTreeNode.SetFocused"
		size = 31
		refs = "0009 TTreeNode.GetFocused 0018 TTreeNode.SetState"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 0B 8B CB B2 02 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74695_0 {
	meta:
		name = "TTreeNode.SetChildren"
		size = 59
		refs = "0020 TTreeNode.GetHandle 0032 SendMessage"
	strings:
		$1 = { 53 83 C4 D8 80 78 24 00 75 2C C7 04 24 40 00 00 00 8B 48 10 89 4C 24 04 83 E2 7F 89 54 24 20 E8 ?? ?? ?? ?? 8B D8 8B C4 50 6A 00 68 3F 11 00 00 53 E8 ?? ?? ?? ?? 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_74696_0 {
	meta:
		name = "TTreeNode.GetParent"
		size = 57
		refs = "0009 TTreeNode.GetHandle 001d TTreeNodes.GetHandle 0025 TreeView_GetParent 002e TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 23 83 7B 10 00 74 1D 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_74703_0 {
	meta:
		name = "TTreeNode.getFirstChild"
		size = 57
		refs = "0009 TTreeNode.GetHandle 001d TTreeNodes.GetHandle 0025 TreeView_GetChild 002e TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 23 83 7B 10 00 74 1D 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_74697_0 {
	meta:
		name = "TTreeNode.getNextSibling"
		size = 57
		refs = "0009 TTreeNode.GetHandle 001d TTreeNodes.GetHandle 0025 TreeView_GetNextSibling 002e TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 23 83 7B 10 00 74 1D 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_74698_0 {
	meta:
		name = "TTreeNode.getPrevSibling"
		size = 57
		refs = "0009 TTreeNode.GetHandle 001d TTreeNodes.GetHandle 0025 TreeView_GetPrevSibling 002e TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 23 83 7B 10 00 74 1D 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_74699_0 {
	meta:
		name = "TTreeNode.GetNextVisible"
		size = 68
		refs = "0009 TTreeNode.GetHandle 001a TTreeNode.IsNodeVisible 0028 TTreeNodes.GetHandle 0030 TreeView_GetNextVisible 0039 TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 2E 83 7B 10 00 74 28 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_74700_0 {
	meta:
		name = "TTreeNode.GetPrevVisible"
		size = 68
		refs = "0009 TTreeNode.GetHandle 001a TTreeNode.IsNodeVisible 0028 TTreeNodes.GetHandle 0030 TreeView_GetPrevVisible 0039 TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 2E 83 7B 10 00 74 28 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_74701_0 {
	meta:
		name = "TTreeNode.GetNextChild"
		size = 15
		refs = "0007 TTreeNode.getNextSibling"
	strings:
		$1 = { 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_74702_0 {
	meta:
		name = "TTreeNode.GetPrevChild"
		size = 15
		refs = "0007 TTreeNode.getPrevSibling"
	strings:
		$1 = { 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_74704_0 {
	meta:
		name = "TTreeNode.GetLastChild"
		size = 31
		refs = "0002 TTreeNode.getFirstChild 0013 TTreeNode.getNextSibling"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0F 8B C3 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 F3 8B C3 5B C3 }
	condition:
		$1
}

rule function_74705_0 {
	meta:
		name = "TTreeNode.GetNext"
		size = 125
		refs = "000a TTreeNode.GetHandle 0023 TreeView_GetChild 0038 TreeView_GetNextSibling 004d TreeView_GetParent 0071 TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 57 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 65 83 7B 10 00 74 5F 8B C3 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 8B F8 85 FF 75 11 8B C3 E8 ?? ?? ?? ?? 8B 53 10 E8 ?? ?? ?? ?? 8B F8 8B 73 10 EB 20 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F8 85 FF 75 04 85 F6 75 D8 8B D7 8B 43 04 E8 ?? ?? ?? ?? 8B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74706_0 {
	meta:
		name = "TTreeNode.GetPrev"
		size = 48
		refs = "0007 TTreeNode.getPrevSibling 0018 TTreeNode.GetLastChild 0025 TTreeNode.GetParent"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 11 8B C3 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 F3 EB 09 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_74707_0 {
	meta:
		name = "TTreeNode.GetAbsoluteIndex"
		size = 58
		refs = "0014 TTreeNode.IsFirstNode 002b TTreeNode.GetPrev"
	strings:
		$1 = { 53 56 8B D8 8B 43 04 3B 58 0C 75 05 8B 70 10 EB 24 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 F6 EB 15 83 CE FF 85 DB 74 0E 46 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 F2 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_74708_0 {
	meta:
		name = "TTreeNode.GetIndex"
		size = 30
		refs = "000f TTreeNode.getPrevSibling"
	strings:
		$1 = { 53 56 83 CE FF 8B D8 85 DB 74 0E 46 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 F2 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_74709_0 {
	meta:
		name = "TTreeNode.GetItem"
		size = 158
		refs = "0019 TTreeNode.GetItem 0026 TTreeNode.getFirstChild 0033 TTreeNode.GetNextChild 004e SListIndexError 0053 LoadResString 0067 Format 006f TreeViewError 0089 @UStrArrayClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 4D F8 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B D8 EB 0C 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D8 4E 85 DB 74 04 85 F6 7F EC 85 DB 75 2D 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 75 F0 C6 45 F4 00 8D 55 F0 33 C9 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74710_0 {
	meta:
		name = "TTreeNode.SetItem"
		size = 29
		refs = "000e TTreeNode.GetItem"
	strings:
		$1 = { 56 57 55 8B E9 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D5 8B 08 FF 51 08 5D 5F 5E C3 }
	condition:
		$1
}

rule function_74760_0 {
	meta:
		name = "TTreeNodes.SetItem"
		size = 29
		refs = "000e TTreeNodes.GetNodeFromIndex"
	strings:
		$1 = { 56 57 55 8B E9 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D5 8B 08 FF 51 08 5D 5F 5E C3 }
	condition:
		$1
}

rule function_74711_0 {
	meta:
		name = "TTreeNode.IndexOf"
		size = 58
		refs = "000e TTreeNode.getFirstChild 0022 TTreeNode.GetNextChild"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 83 CF FF 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 14 47 3B EB 74 0F 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 EC 85 DB 75 03 83 CF FF 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74712_0 {
	meta:
		name = "TTreeNode.GetCount"
		size = 36
		refs = "0005 TTreeNode.getFirstChild 0015 TTreeNode.GetNextChild"
	strings:
		$1 = { 53 56 33 F6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 10 46 8B D3 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_74713_0 {
	meta:
		name = "TTreeNode.EndEdit"
		size = 42
		refs = "000c TTreeNode.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 56 57 8B DA 80 78 24 00 75 1B E8 ?? ?? ?? ?? 8B F8 80 FB 01 F5 1B F6 6A 00 56 68 16 11 00 00 57 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74714_0 {
	meta:
		name = "TTreeNode.InternalMove"
		size = 411
		refs = "0019 TTreeNode.InternalMove 0027 TTreeNodes.ClearCache 0045 TTreeNode.GetChildren 004f TTreeNode.GetSelected 0059 TTreeNode.GetParent 006e TTreeNode.CompareCount 0080 TTreeNode.SetExpanded 008e TTreeNode.SetChildren 00a7 TTreeNode.GetHandle 00ba SendMessage 00c9 TTreeNodes.CreateItem 00de TTreeNodes.AddItem 00ec sInsertError 00f1 LoadResString 00fb _Dn_EOutOfResources 0100 Exception.Create 0105 @RaiseExcept 010c TTreeNode.GetCount 0120 TTreeNode.GetItem 0171 TTreeNode.SetSelected 0186 @UStrClr 018c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 33 DB 89 5D A0 8B F1 8B D8 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 E8 ?? ?? ?? ?? 80 7D 08 02 75 0C 85 F6 74 08 8B 46 10 89 45 FC EB 05 33 C0 89 45 FC 8B C3 E8 ?? ?? ?? ?? 88 45 FB 8B C3 E8 ?? ?? ?? ?? 88 45 FA 8B C3 E8 ?? ?? ?? ?? 85 C0 74 31 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 1C 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? C7 45 CC 04 00 00 00 8B 43 10 89 45 D0 33 C0 89 45 F0 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 45 CC 50 6A 00 68 3F 11 00 00 56 E8 ?? ?? ?? ?? 8B 73 04 8D 4D A4 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 A4 50 0F B6 45 08 50 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 75 21 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 7C 1B 57 6A 00 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 4E 83 FE FF 75 E5 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 43 10 89 45 F4 8B 45 F4 50 6A 00 68 01 11 00 00 56 E8 ?? ?? ?? ?? 89 7B 10 8B D3 8B C3 8B 08 FF 51 08 0F B6 55 FB 8B C3 E8 ?? ?? ?? ?? 0F B6 55 FA 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_74715_0 {
	meta:
		name = "TTreeNode.MoveTo"
		size = 396
		refs = "0022 TTreeNode.GetTreeView 0082 TTreeNode.MoveTo 0096 TTreeNode.HasAsParent 00b5 TTreeNode.GetParent 00ee TTreeNode.getPrevSibling 0118 TTreeNode.InternalMove 012f TTreeNode.SetChildren 0138 TTreeNode.SetExpanded 017f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 88 4D FB 8B FA 89 45 FC 8B 45 FC 80 78 24 00 0F 85 67 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 90 28 03 00 00 89 55 F0 8B 90 2C 03 00 00 89 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 90 20 03 00 00 89 55 E8 8B 90 24 03 00 00 89 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 89 90 28 03 00 00 89 90 2C 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 D2 89 90 20 03 00 00 89 90 24 03 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 FF 74 12 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 85 9A 00 00 00 B3 01 85 FF 74 15 0F B6 45 FB 04 FE 2C 02 72 0B 8B C7 E8 ?? ?? ?? ?? 8B F0 EB 02 8B F7 0F B6 45 FB 83 F8 04 77 36 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B3 01 EB 17 33 DB EB 13 8B C7 E8 ?? ?? ?? ?? 8B F8 85 FF 75 04 33 DB EB 02 B3 02 85 F6 74 05 8B 46 10 EB 02 33 C0 3B 7D FC 74 0E 50 53 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 74 12 B2 01 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 89 90 28 03 00 00 8B 55 F4 89 90 2C 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 89 90 20 03 00 00 8B 55 EC 89 90 24 03 00 00 C3 E9 ?? ?? ?? ?? EB C4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74716_0 {
	meta:
		name = "TTreeNode.IsFirstNode"
		size = 39
		refs = "000c TTreeNode.GetParent 0017 TTreeNode.getPrevSibling"
	strings:
		$1 = { 53 8B D8 80 7B 24 00 75 16 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_74717_0 {
	meta:
		name = "TTreeNode.MakeVisible"
		size = 50
		refs = "0007 TTreeNode.GetHandle 002b SendMessage"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 20 83 7B 10 00 74 1A 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 5B 10 53 6A 00 68 14 11 00 00 56 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74718_0 {
	meta:
		name = "TTreeNode.GetLevel"
		size = 34
		refs = "0005 TTreeNode.GetParent"
	strings:
		$1 = { 53 56 33 F6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0E 46 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 F2 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_74719_0 {
	meta:
		name = "TTreeNode.IsNodeVisible"
		size = 48
		refs = "0011 TTreeNode.GetHandle 001d TreeView_GetItemRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 80 7B 24 00 75 19 6A FF 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 04 8B 53 10 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_74720_0 {
	meta:
		name = "TTreeNode.EditText"
		size = 60
		refs = "0007 TTreeNode.GetHandle 002b SendMessage"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 28 83 7B 10 00 74 22 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 5B 10 53 6A 00 68 41 11 00 00 56 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_74721_0 {
	meta:
		name = "TTreeNode.DisplayRect"
		size = 57
		refs = "0013 @FillChar 0027 TTreeNode.GetHandle 0031 TreeView_GetItemRect"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 8B F8 8B C6 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 80 7F 24 00 75 18 80 FB 01 F5 1B C0 50 8B C7 E8 ?? ?? ?? ?? 8B CE 8B 57 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74722_0 {
	meta:
		name = "TTreeNode.AlphaSort"
		size = 11
		refs = "0006 TTreeNode.CustomSort"
	strings:
		$1 = { 52 33 C9 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74799_0 {
	meta:
		name = "TCustomTreeView.AlphaSort"
		size = 11
		refs = "0006 TCustomTreeView.CustomSort"
	strings:
		$1 = { 52 33 C9 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74723_0 {
	meta:
		name = "TTreeNode.CustomSort"
		size = 178
		refs = "0021 TTreeNodes.ClearCache 002a DefaultTreeViewSort 0042 TTreeNode.GetHandle 0060 SendMessage 0076 TTreeNode.getFirstChild 0083 TTreeNode.GetChildren 0094 TTreeNode.CustomSort 009b TTreeNode.getNextSibling"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B F2 8B D8 C6 45 FF 00 80 7B 24 00 0F 85 88 00 00 00 8B 43 04 E8 ?? ?? ?? ?? 85 F6 75 0A B8 ?? ?? ?? ?? 89 45 EC EB 03 89 75 EC 8B 43 10 89 45 E8 89 7D F0 8B C3 E8 ?? ?? ?? ?? 89 45 F8 33 C0 89 45 F4 8D 45 E8 50 8B 45 F4 50 68 15 11 00 00 8B 45 F8 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 88 45 FF 80 7D 08 00 74 32 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 25 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 6A 01 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 DB 0F B6 45 FF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_74724_0 {
	meta:
		name = "TTreeNode.Delete"
		size = 12
		refs = "0007 TObject.Free"
	strings:
		$1 = { 80 78 24 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74725_0 {
	meta:
		name = "TTreeNode.DeleteChildren"
		size = 69
		refs = "000a TTreeNodes.ClearCache 0017 TTreeNode.GetTreeView 001c TWinControl.GetHandle 0033 SendMessage 003c TTreeNode.SetChildren"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 43 04 E8 ?? ?? ?? ?? 80 7B 24 00 75 23 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 7B 10 BD 01 80 00 00 57 55 68 02 11 00 00 56 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74726_0 {
	meta:
		name = "TTreeNode.Assign"
		size = 180
		refs = "000a TTreeNodes.ClearCache 001c _DV_TTreeNode 0021 @IsClass 002f TTreeNode.SetText 0039 TTreeNode.SetData 0043 TTreeNode.SetImageIndex 004d TTreeNode.SetSelectedIndex 0057 TTreeNode.SetStateIndex 0061 TTreeNode.SetOverlayIndex 0068 TTreeNode.GetFocused 0071 TTreeNode.SetFocused 0078 TTreeNode.GetDropTarget 0081 TTreeNode.SetDropTarget 0088 TTreeNode.GetCut 0091 TTreeNode.SetCut 0098 TTreeNode.GetChildren 00a1 TTreeNode.SetChildren 00ad TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 80 7B 24 00 0F 85 90 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7F 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 8B 56 14 8B C3 E8 ?? ?? ?? ?? 8B 56 18 8B C3 E8 ?? ?? ?? ?? 8B 56 20 8B C3 E8 ?? ?? ?? ?? 8B 56 1C 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74727_0 {
	meta:
		name = "TTreeNode.IsEqual"
		size = 37
		refs = "000d @UStrEqual"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 8B 56 08 E8 ?? ?? ?? ?? 75 08 8B 43 0C 3B 46 0C 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_74728_0 {
	meta:
		name = "TTreeNode.ReadData"
		size = 254
		refs = "0019 TTreeNode.ReadData 0027 TTreeNodes.ClearCache 0037 TStream.ReadBuffer 004f @UStrFromString 0059 TTreeNode.SetText 0062 TTreeNode.SetImageIndex 006c TTreeNode.SetSelectedIndex 0076 TTreeNode.SetStateIndex 0080 TTreeNode.SetOverlayIndex 008a TTreeNode.SetData 0099 TTreeNode.SetChildren 00b2 TTreeNodes.AddChild 00d1 @CallDynaInst 00eb @UStrClr 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 8B F9 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 E8 ?? ?? ?? ?? 8D 55 F8 B9 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D7 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F0 8D 57 18 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 17 8B C3 E8 ?? ?? ?? ?? 8B 57 04 8B C3 E8 ?? ?? ?? ?? 8B 57 08 8B C3 E8 ?? ?? ?? ?? 8B 57 0C 8B C3 E8 ?? ?? ?? ?? 8B 57 10 8B C3 E8 ?? ?? ?? ?? 8B 77 14 85 F6 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 85 F6 7E 39 4E 85 F6 7C 34 46 89 75 F4 33 C9 8B D3 8B 43 04 E8 ?? ?? ?? ?? 8B F0 8B CF 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 43 04 8B 40 04 8B D6 66 BE A7 FF E8 ?? ?? ?? ?? FF 4D F4 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74729_0 {
	meta:
		name = "TTreeNode.ReadNodeData"
		size = 823
		refs = "001a TTreeNode.ReadNodeData 0028 TTreeNodes.ClearCache 0059 TStream.ReadBuffer 0075 @UStrSetLength 007d @UniqueStringU 0099 TTreeNode.SetText 00a3 TTreeNode.SetImageIndex 00ad TTreeNode.SetSelectedIndex 00b7 TTreeNode.SetStateIndex 00c1 TTreeNode.SetOverlayIndex 00cb TTreeNode.SetData 00d5 TTreeNode.SetExpandedImageIndex 00de TTreeNode.SetEnabled 00ed TTreeNode.SetChildren 010d TTreeNodes.AddChild 012e @CallDynaInst 0324 @UStrClr 032a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 33 DB 89 5D FC 88 4D F7 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 E8 ?? ?? ?? ?? 0F B6 45 F7 2C 01 72 19 FE C8 74 15 2C 02 0F 84 FA 00 00 00 FE C8 0F 84 E4 01 00 00 E9 C6 02 00 00 8D 55 F0 B9 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 D7 B9 19 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 55 EF 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 0F B6 45 EF 8B C8 03 C9 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 D7 8B C3 E8 ?? ?? ?? ?? 8B 55 DB 8B C3 E8 ?? ?? ?? ?? 8B 55 DF 8B C3 E8 ?? ?? ?? ?? 8B 55 E3 8B C3 E8 ?? ?? ?? ?? 8B 55 E7 8B C3 E8 ?? ?? ?? ?? 83 CA FF 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B 75 EB 85 F6 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 85 F6 0F 8E 1A 02 00 00 8B FE 4F 85 FF 0F 8C 0F 02 00 00 47 33 C9 8B D3 8B 43 04 E8 ?? ?? ?? ?? 8B F0 0F B6 4D F7 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 43 04 8B 40 04 8B D6 66 BE A7 FF E8 ?? ?? ?? ?? 4F 75 D0 E9 D9 01 00 00 8D 55 F0 B9 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 B9 B9 1E 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 55 D6 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 0F B6 45 D6 8B C8 03 C9 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 B9 8B C3 E8 ?? ?? ?? ?? 8B 55 BD 8B C3 E8 ?? ?? ?? ?? 8B 55 C1 8B C3 E8 ?? ?? ?? ?? 8B 55 C5 8B C3 E8 ?? ?? ?? ?? 8B 55 C9 8B C3 E8 ?? ?? ?? ?? 80 7D D5 00 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 8B 55 CD 8B C3 E8 ?? ?? ?? ?? 8B 75 D1 85 F6 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 85 F6 0F 8E 28 01 00 00 8B FE 4F 85 FF 0F 8C 1D 01 00 00 47 33 C9 8B D3 8B 43 04 E8 ?? ?? ?? ?? 8B F0 0F B6 4D F7 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 43 04 8B 40 04 8B D6 66 BE A7 FF E8 ?? ?? ?? ?? 4F 75 D0 E9 E7 00 00 00 8D 55 F0 B9 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 97 B9 22 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 55 B8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 0F B6 45 B8 8B C8 03 C9 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 97 8B C3 E8 ?? ?? ?? ?? 8B 55 9B 8B C3 E8 ?? ?? ?? ?? 8B 55 9F 8B C3 E8 ?? ?? ?? ?? 8B 55 A3 8B C3 E8 ?? ?? ?? ?? 8B 55 A7 8B C3 E8 ?? ?? ?? ?? 80 7D B7 00 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 8B 45 AB 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 75 B3 85 F6 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 85 F6 7E 38 8B FE 4F 85 FF 7C 31 47 33 C9 8B D3 8B 43 04 E8 ?? ?? ?? ?? 8B F0 0F B6 4D F7 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 43 04 8B 40 04 8B D6 66 BE A7 FF E8 ?? ?? ?? ?? 4F 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74730_0 {
	meta:
		name = "TTreeNode.WriteNodeData"
		size = 322
		refs = "001a TTreeNode.WriteNodeData 002b @UStrLAsg 009d TTreeNode.GetCount 00a8 TTreeNode.GetChildren 00cf TStream.WriteBuffer 00e6 @UniqueStringU 010e TTreeNode.GetItem 012f @UStrClr 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D FC 89 55 F8 8B D8 8D 75 D6 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 88 46 1D 8B C2 85 C0 74 05 83 E8 04 8B 00 3D FF 00 00 00 7E 05 B8 FF 00 00 00 8B D0 88 56 1D 0F B6 C2 03 C0 83 C0 1E 89 45 F4 8B 43 14 89 06 8B 43 18 89 46 04 8B 43 1C 89 46 0C 8B 43 20 89 46 08 8B 43 0C 89 46 14 8B 43 28 89 46 10 80 7B 26 00 74 06 C6 46 1C 01 EB 04 C6 46 1C 00 8B C3 E8 ?? ?? ?? ?? 85 C0 75 14 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 C7 46 18 FF FF FF FF EB 0A 8B C3 E8 ?? ?? ?? ?? 89 46 18 8D 55 F4 B9 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D6 B9 1E 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 0F B6 46 1D 8B C8 03 C9 8B 45 F8 E8 ?? ?? ?? ?? 8B 46 18 48 85 C0 7C 1A 40 89 C6 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 47 4E 75 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74736_0 {
	meta:
		name = "TTreeNodes.GetCount"
		size = 45
		refs = "0007 TWinControl.HandleAllocated 0012 TTreeNodes.GetHandle 0023 SendMessage"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 1A 8B C3 E8 ?? ?? ?? ?? 8B D8 6A 00 6A 00 68 05 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_74739_0 {
	meta:
		name = "TTreeNodes.Clear"
		size = 146
		refs = "0011 TWinControl.HandleAllocated 0022 TTreeNodes.BeginUpdate 002a TTreeNodes.Clear 0038 TTreeNodes.ClearCache 0052 TWinControl.GetHandle 0066 SendMessage 0081 TTreeNodes.EndUpdate 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 1F 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B D8 68 00 00 FF FF 6A 00 68 01 11 00 00 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74740_0 {
	meta:
		name = "TTreeNodes.AddChildFirst"
		size = 15
		refs = "000a TTreeNodes.AddNode"
	strings:
		$1 = { 51 6A 00 6A 03 33 C9 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74741_0 {
	meta:
		name = "TTreeNodes.AddChildObjectFirst"
		size = 23
		refs = "000f TTreeNodes.AddNode"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 51 6A 03 33 C9 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_74742_0 {
	meta:
		name = "TTreeNodes.AddChild"
		size = 15
		refs = "000a TTreeNodes.AddNode"
	strings:
		$1 = { 51 6A 00 6A 02 33 C9 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74743_0 {
	meta:
		name = "TTreeNodes.AddChildObject"
		size = 23
		refs = "000f TTreeNodes.AddNode"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 51 6A 02 33 C9 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_74744_0 {
	meta:
		name = "TTreeNodes.AddFirst"
		size = 15
		refs = "000a TTreeNodes.AddNode"
	strings:
		$1 = { 51 6A 00 6A 01 33 C9 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74745_0 {
	meta:
		name = "TTreeNodes.AddObjectFirst"
		size = 23
		refs = "000f TTreeNodes.AddNode"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 51 6A 01 33 C9 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_74746_0 {
	meta:
		name = "TTreeNodes.Add"
		size = 15
		refs = "000a TTreeNodes.AddNode"
	strings:
		$1 = { 51 6A 00 6A 00 33 C9 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74747_0 {
	meta:
		name = "TTreeNodes.AddObject"
		size = 23
		refs = "000f TTreeNodes.AddNode"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 51 6A 00 33 C9 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_90455_0 {
	meta:
		name = "RegisterTeeSeries"
		size = 23
		refs = "000f RegisterTeeSeriesFunction"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 51 6A 00 33 C9 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_74748_0 {
	meta:
		name = "TTreeNodes.Insert"
		size = 15
		refs = "000a TTreeNodes.AddNode"
	strings:
		$1 = { 51 6A 00 6A 04 33 C9 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74749_0 {
	meta:
		name = "TTreeNodes.InsertObject"
		size = 23
		refs = "000f TTreeNodes.AddNode"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 51 6A 04 33 C9 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_74750_0 {
	meta:
		name = "TTreeNodes.InsertNode"
		size = 24
		refs = "000f TTreeNodes.AddNode"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 53 8B 5D 08 53 6A 04 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_74751_0 {
	meta:
		name = "TTreeNodes.AddNode"
		size = 427
		refs = "0017 TTreeNodes.AddNode 0056 cAddMode 0077 TTreeNode.GetParent 00a3 TTreeNode.getPrevSibling 00c6 TTreeNode.SetData 00d1 TTreeNode.SetText 00de TTreeNodes.CreateItem 00f3 TTreeNodes.AddItem 0101 sInsertError 0106 LoadResString 0110 _Dn_EOutOfResources 0115 Exception.Create 011a @RaiseExcept 012e TTreeNode.IsFirstNode 013f TTreeNodes.GetHandle 0145 SendMessage 014e TTreeNodes.AddedNode 015d @CallDynaInst 016c @HandleAnyException 0174 TObject.Free 0179 @RaiseAgain 017e @DoneExcept 0193 @UStrClr 0199 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D C4 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 D2 75 10 8B 43 04 8B 10 FF 92 F8 00 00 00 89 45 F8 EB 03 89 55 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 33 C0 89 45 F4 33 FF 0F B6 45 08 0F B6 80 ?? ?? ?? ?? 88 45 F3 83 7D FC 00 74 5C 0F B6 45 08 2C 02 72 08 2C 02 72 17 74 1D EB 4C 8B 45 FC E8 ?? ?? ?? ?? 8B F8 85 FF 74 3E 8B 77 10 EB 39 8B 7D FC 8B 77 10 EB 31 8B 45 FC E8 ?? ?? ?? ?? 8B F8 85 FF 74 03 8B 77 10 8B 45 FC E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 0B 8B 45 FC 8B 40 10 89 45 F4 EB 04 C6 45 F3 00 8B 55 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 10 8B 45 F8 E8 ?? ?? ?? ?? 8D 4D C8 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 45 C8 50 0F B6 45 F3 50 8B 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 21 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 70 10 83 7B 08 00 75 1F 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 13 6A 00 6A 01 6A 0B 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 43 04 8B 55 F8 66 BE A7 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_74752_0 {
	meta:
		name = "TTreeNodes.Repaint"
		size = 83
		refs = "0014 TTreeNode.GetParent 0021 TTreeNode.IsNodeVisible 0034 TTreeNode.DisplayRect 0043 TWinControl.GetHandle 0049 InvalidateRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 83 7E 08 01 7D 3E EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 E8 85 DB 74 20 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 6A FF 8D 44 24 04 50 8B 46 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_74753_0 {
	meta:
		name = "TTreeNodes.AddedNode"
		size = 31
		refs = "000f TTreeNode.SetChildren 0018 TTreeNodes.Repaint"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 12 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74754_0 {
	meta:
		name = "TTreeNodes.CreateItem"
		size = 35
	strings:
		$1 = { C6 42 25 01 C7 01 27 00 00 00 89 51 24 C7 41 10 FF FF FF FF C7 41 18 FF FF FF FF C7 41 1C FF FF FF FF C3 }
	condition:
		$1
}

rule function_74755_0 {
	meta:
		name = "TTreeNodes.AddItem"
		size = 128
		refs = "0012 TTreeNodes.ClearCache 0059 TTimer.SetEnabled 0060 TTreeNodes.GetHandle 0073 SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 75 BC 0F B6 45 08 2C 01 72 08 74 0F FE C8 74 14 EB 15 C7 45 C0 01 00 FF FF EB 0C C7 45 C0 02 00 FF FF EB 03 89 7D C0 8B 45 0C 8B F0 8D 7D C4 B9 0A 00 00 00 F3 A5 8B 43 04 8B 80 A8 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 BC 50 6A 00 68 32 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_74758_0 {
	meta:
		name = "TTreeNodes.GetNodeFromIndex"
		size = 229
		refs = "0015 TTreeNodes.GetNodeFromIndex 0029 sInvalidIndex 002e LoadResString 0036 TreeViewError 0065 TTreeNode.GetPrev 0070 TTreeNode.GetNext 007b TTreeNodes.GetFirstNode 00d0 @UStrArrayClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 7D 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 7E 0C 00 74 38 8B 46 10 2B 45 FC 99 33 C2 2B C2 48 7F 2A 8D 46 0C 8B 50 04 3B 55 FC 75 04 8B 18 EB 3B 3B 55 FC 7E 0B 8B 00 E8 ?? ?? ?? ?? 8B D8 EB 2B 8B 00 E8 ?? ?? ?? ?? 8B D8 EB 20 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 7D FC EB 0A 8B C3 E8 ?? ?? ?? ?? 8B D8 4F 85 FF 74 04 85 DB 75 EE 85 DB 75 15 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 5E 0C 8B 45 FC 89 46 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74759_0 {
	meta:
		name = "TTreeNodes.GetNode"
		size = 55
		refs = "0010 TTreeNodes.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 83 C4 D8 89 54 24 04 C7 04 24 04 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C4 50 6A 00 68 3E 11 00 00 53 E8 ?? ?? ?? ?? 85 C0 74 06 8B 44 24 24 EB 02 33 C0 83 C4 28 5B C3 }
	condition:
		$1
}

rule function_74761_0 {
	meta:
		name = "TTreeNodes.BeginUpdate"
		size = 23
		refs = "000e TTreeNodes.SetUpdateState"
	strings:
		$1 = { 53 8B D8 83 7B 08 00 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? FF 43 08 5B C3 }
	condition:
		$1
}

rule function_75206_0 {
	meta:
		name = "TListItems.BeginUpdate"
		size = 23
		refs = "000e TListItems.SetUpdateState"
	strings:
		$1 = { 53 8B D8 83 7B 08 00 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? FF 43 08 5B C3 }
	condition:
		$1
}

rule function_74762_0 {
	meta:
		name = "TTreeNodes.SetUpdateState"
		size = 49
		refs = "0015 TTreeNodes.GetHandle 001b SendMessage 002a TControl.Refresh"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 F3 01 84 DB 74 08 8B 46 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74763_0 {
	meta:
		name = "TTreeNodes.EndUpdate"
		size = 17
		refs = "000c TTreeNodes.SetUpdateState"
	strings:
		$1 = { FF 48 08 83 78 08 00 75 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75208_0 {
	meta:
		name = "TListItems.EndUpdate"
		size = 17
		refs = "000c TListItems.SetUpdateState"
	strings:
		$1 = { FF 48 08 83 78 08 00 75 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74764_0 {
	meta:
		name = "TTreeNodes.Assign"
		size = 145
		refs = "000d TTreeNodes.ClearCache 0015 _DV_TTreeNodes 001a @IsClass 0025 TTreeNodes.Clear 002c _Dn_TMemoryStream 0031 TObject.Create 003c TTreeNodes.Assign 004c TTreeNodes.WriteNodeData 0058 TStream.SetPosition 0062 TTreeNodes.ReadNodeData 0077 TObject.Free 007d @HandleFinally 0088 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 61 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74765_0 {
	meta:
		name = "WriteNodes"
		size = 142
		refs = "001b TTreeNodes.GetCount 005f TTreeNodes.GetNodeFromIndex 0073 TTreeNode.IsEqual"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 08 8B 40 FC 8B 78 20 85 FF 75 12 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 85 C0 0F 9F C3 EB 60 8B C7 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 3B D8 74 04 B3 01 EB 44 33 DB 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 48 85 C0 7C 32 40 89 45 FC 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 F8 8B D6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D8 80 F3 01 84 DB 75 06 46 FF 4D FC 75 D4 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74766_0 {
	meta:
		name = "TTreeNodes.DefineProperties"
		size = 156
		refs = "0014 TPersistent.DefineProperties 001d TTreeNodes.ReadData 0028 TTreeNodes.DefineProperties 0039 TTreeNodes.ReadNodeData 0042 TTreeNodes.WriteNodeData 0048 WriteNodes"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 08 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 08 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 6F 00 64 00 65 00 44 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_74767_0 {
	meta:
		name = "TTreeNodes.ReadData"
		size = 225
		refs = "0019 TWinControl.HandleAllocated 002a TTreeNodes.BeginUpdate 0046 TTreeNodes.ReadData 0054 TTreeNodes.Clear 0064 TStream.ReadBuffer 0079 TTreeNodes.Add 008b TTreeNode.ReadData 009c @CallDynaInst 00ce TTreeNodes.EndUpdate 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 D8 FE FF FF 53 56 57 89 55 F8 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 88 45 F3 80 7D F3 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 14 01 8B 45 FC 8B 40 04 C6 80 05 03 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 B9 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 7D F4 4F 85 FF 7C 33 47 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8D 8D D8 FE FF FF 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B D3 66 BE A7 FF E8 ?? ?? ?? ?? 4F 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 14 00 8B 45 FC 8B 40 04 C6 80 05 03 00 00 00 80 7D F3 00 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74768_0 {
	meta:
		name = "TTreeNodes.ReadNodeData"
		size = 271
		refs = "0016 TWinControl.HandleAllocated 0027 TTreeNodes.BeginUpdate 0043 TTreeNodes.ReadNodeData 0051 TTreeNodes.Clear 0061 TStream.ReadBuffer 0084 @TryFinallyExit 00ab TTreeNodes.Add 00b9 TTreeNode.ReadNodeData 00ca @CallDynaInst 00fc TTreeNodes.EndUpdate 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 55 F8 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 88 45 EF 80 7D EF 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 14 01 8B 45 FC 8B 40 04 C6 80 05 03 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F7 B9 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 45 F7 FE C8 74 0A 2C 02 74 0A FE C8 74 0A EB 0C 33 DB EB 0F B3 04 EB 0B B3 05 EB 07 E8 ?? ?? ?? ?? EB 7E 8D 55 F0 B9 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 7D F0 4F 85 FF 7C 2F 47 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B CB 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B D6 66 BE A7 FF E8 ?? ?? ?? ?? 4F 75 D2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 C6 80 05 03 00 00 00 8B 45 FC C6 40 14 00 80 7D EF 00 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74769_0 {
	meta:
		name = "TTreeNodes.WriteNodeData"
		size = 120
		refs = "0012 TTreeNodes.GetFirstNode 0022 TTreeNode.getNextSibling 003d TStream.WriteBuffer 0061 TTreeNode.WriteNodeData"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B F8 33 C0 89 04 24 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 74 10 FF 04 24 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 F0 C6 44 24 04 03 8D 54 24 04 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D4 B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 74 16 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 EA 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74770_0 {
	meta:
		name = "TTreeNodes.ReadExpandedState"
		size = 124
		refs = "0015 TStream.GetPosition 0036 TStream.ReadBuffer 003f TTreeNodes.GetFirstNode 005f TTreeNode.SetExpanded 0067 TTreeNode.GetNext"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B FA 8B D8 8B C7 8B 10 FF 12 52 50 8B C7 E8 ?? ?? ?? ?? 3B 54 24 04 75 09 3B 04 24 5A 58 73 50 EB 04 5A 58 7D 4A 8B D4 B9 04 00 00 00 8B C7 E8 ?? ?? ?? ?? 33 F6 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 26 8D 54 24 04 B9 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 0F B6 54 24 04 8B C3 E8 ?? ?? ?? ?? 46 8B C3 E8 ?? ?? ?? ?? 8B D8 3B 34 24 7D 04 85 DB 75 D1 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74771_0 {
	meta:
		name = "TTreeNodes.WriteExpandedState"
		size = 91
		refs = "000c TTreeNodes.GetCount 001d TStream.WriteBuffer 0024 TTreeNodes.GetFirstNode 0031 TTreeNode.GetExpanded 004c TTreeNode.GetNext"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B D4 B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 28 8B C3 E8 ?? ?? ?? ?? 88 44 24 04 8D 54 24 04 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 D8 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_74774_0 {
	meta:
		name = "TTreeStrings.Get"
		size = 88
		refs = "000c @UStrClr 0016 TTreeNodes.GetNodeFromIndex 001f TTreeNode.GetLevel 002e TTreeStrings.Get 0033 @UStrCat"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B 46 2C 8B D7 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 10 46 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 4E 75 F1 8B C3 8B 57 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_74775_0 {
	meta:
		name = "TTreeStrings.GetBufStart"
		size = 72
		refs = "0012 TTreeStrings.GetBufStart 001a CharInSet"
	strings:
		$1 = { 53 56 8B F1 8B DA 33 C0 89 06 EB 05 83 C3 02 FF 06 BA ?? ?? ?? ?? 0F B7 03 E8 ?? ?? ?? ?? 84 C0 75 EA 8B C3 5E 5B C3 00 00 02 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_74776_0 {
	meta:
		name = "TTreeStrings.GetObject"
		size = 22
		refs = "000c TTreeNodes.GetNodeFromIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 2C E8 ?? ?? ?? ?? 8B 40 0C 5E 5B C3 }
	condition:
		$1
}

rule function_74777_0 {
	meta:
		name = "TTreeStrings.PutObject"
		size = 30
		refs = "000f TTreeNodes.GetNodeFromIndex 0016 TTreeNode.SetData"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 2C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78960_0 {
	meta:
		name = "TPageAccess.Get"
		size = 30
		refs = "000f TList.Get 0016 TControl.GetText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 2C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78961_0 {
	meta:
		name = "TPageAccess.Put"
		size = 30
		refs = "000f TList.Get 0016 TControl.SetText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 2C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86830_0 {
	meta:
		name = "TTabPageAccess.Get"
		size = 30
		refs = "000f TList.Get 0016 TControl.GetText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 2C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74780_0 {
	meta:
		name = "TTreeStrings.Delete"
		size = 24
		refs = "000c TTreeNodes.GetNodeFromIndex 0011 TTreeNode.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 2C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74781_0 {
	meta:
		name = "TTreeStrings.SetUpdateState"
		size = 53
		refs = "0016 TTreeNodes.GetHandle 001c SendMessage 002e TControl.Refresh"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B 46 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 F3 01 84 DB 74 0B 8B 46 2C 8B 40 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74782_0 {
	meta:
		name = "TTreeStrings.Add"
		size = 307
		refs = "001d TTreeStrings.Add 0055 @UStrToPWChar 0061 TTreeStrings.GetBufStart 006b @UStrFromPWChar 007d TTreeNodes.GetNodeFromIndex 0086 TTreeNode.GetLevel 00a1 sInvalidLevel 00a6 LoadResString 00ae TreeViewError 00c3 TTreeNode.GetParent 00fb TTreeNodes.AddChild 0115 @UStrArrayClr 011d @UStrClr 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 4D E8 89 4D FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 10 FF 52 14 89 45 F4 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 48 75 0D 8B 45 F8 66 83 38 1A 0F 84 B2 00 00 00 33 DB 33 F6 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 4D F0 8B C7 E8 ?? ?? ?? ?? 8B D0 8D 45 FC E8 ?? ?? ?? ?? 83 7D F4 00 7E 17 8B 55 F4 4A 8B 47 2C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 3B 75 F0 7C 04 85 DB 75 1F 8B 45 F0 2B C6 48 7E 55 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? EB 3E 8B 45 F0 2B C6 7F 37 48 96 89 45 EC 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 1F 8B 45 EC 2B 45 F0 85 C0 7E 15 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? FF 4D EC 46 75 CE 8B 47 2C 8B 4D FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74783_0 {
	meta:
		name = "TTreeStrings.Insert"
		size = 34
		refs = "000f TTreeNodes.GetNodeFromIndex 001a TTreeNodes.Insert"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B 58 2C 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74784_0 {
	meta:
		name = "TTreeStrings.LoadTreeFromStream"
		size = 556
		refs = "001f TTreeStrings.LoadTreeFromStream 002c _Dn_TStringList 0031 TStringList.Create 003f TTreeNodes.BeginUpdate 00a2 @UStrToPWChar 00af TTreeStrings.GetBufStart 00b9 @UStrFromPWChar 00cd TTreeNodes.AddChild 00db TTreeNode.GetLevel 00e7 TTreeNode.GetParent 0170 sInvalidLevelEx 0175 LoadResString 019b TreeViewErrorFmt 01bd TTreeNodes.EndUpdate 01c5 TObject.Free 01cb @HandleFinally 01dc @HandleAnyException 01f2 @RaiseAgain 01f7 @DoneExcept 0211 @UStrArrayClr 0219 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D E4 89 5D E8 89 5D FC 8B F1 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 8B 40 2C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 44 8B CE 8B D3 8B 45 F4 8B 18 FF 53 74 33 DB 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 21 01 00 00 46 C7 45 EC 00 00 00 00 8D 4D E8 8B 55 EC 8B 45 F4 8B 38 FF 57 0C 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 8D 4D F0 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 45 FC E8 ?? ?? ?? ?? 85 DB 75 17 8B 45 F8 8B 40 2C 8B 4D FC 33 D2 E8 ?? ?? ?? ?? 8B D8 E9 C7 00 00 00 8B C3 E8 ?? ?? ?? ?? 3B 45 F0 75 1E 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 2C 8B 4D FC E8 ?? ?? ?? ?? 8B D8 E9 9D 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 4A 3B C2 75 14 8B 45 F8 8B 40 2C 8B 4D FC 8B D3 E8 ?? ?? ?? ?? 8B D8 EB 7A 8B C3 E8 ?? ?? ?? ?? 3B 45 F0 7E 3B 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 3B 45 F0 7F EB 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 2C 8B 4D FC E8 ?? ?? ?? ?? 8B D8 EB 33 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 F0 89 45 D4 C6 45 D8 00 8B 45 FC 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? FF 45 EC 4E 0F 85 E7 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 2C E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 8B 45 F8 8B 40 2C 8B 40 04 8B 10 FF 92 9C 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74785_0 {
	meta:
		name = "TTreeStrings.SaveTreeToStream"
		size = 424
		refs = "0022 TTreeStrings.SaveTreeToStream 0042 TEncoding.GetANSI 005d TEncoding.GetBytes 0070 @DynArrayLength 0089 TStream.WriteBuffer 0095 _Dn_TStringBuilder 009a TStringBuilder.Create 00b5 TTreeNodes.GetNodeFromIndex 00c5 TStringBuilder.SetLength 00cc TTreeNode.GetLevel 00e0 TStringBuilder.Append 0130 TTreeNode.GetNext 014b TObject.Free 0151 @HandleFinally 016d @UStrArrayClr 0176 TArray<System.Byte> 0180 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D E0 89 5D E4 89 5D FC 89 5D F8 89 4D F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 14 85 C0 0F 8E 1C 01 00 00 83 7D F0 00 75 08 E8 ?? ?? ?? ?? 89 45 F0 8D 55 E4 8B C3 8B 08 FF 51 1C 8B 55 E4 8D 4D FC 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 F0 8B 08 FF 51 24 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 15 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? B9 00 04 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 2C 33 D2 E8 ?? ?? ?? ?? 8B F0 85 F6 74 7B 33 D2 8B 45 E8 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 10 43 66 BA 09 00 8B 45 E8 E8 ?? ?? ?? ?? 4B 75 F1 8B 56 08 8B 45 E8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 E8 8B 08 FF 51 DC 8B 55 E0 8D 4D FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F4 8B 18 FF 53 10 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 75 85 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_74787_0 {
	meta:
		name = "TTreeNodes.CustomSort"
		size = 22
		refs = "000d TCustomTreeView.CustomSort"
	strings:
		$1 = { 55 8B EC 53 0F B6 5D 08 53 8B 40 04 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_74789_0 {
	meta:
		name = "TCustomTreeView.Create"
		size = 460
		refs = "000e @ClassCreate 001c TWinControl.Create 0021 TCustomTreeView.Create 003b TControl.SetWidth 0047 TControl.SetHeight 0050 TWinControl.SetTabStop 0059 TControl.SetParentColor 0060 _Dn_TControlCanvas 0065 TCanvas.Create 0076 TControlCanvas.SetControl 00b7 _Dn_TDragImageList 00bc TCustomImageList.CreateSize 00d3 _Dn_TList 00d8 TObject.Create 00fb _Dn_TTimer 0100 TTimer.Create 0111 TTimer.SetEnabled 011e TTimer.SetInterval 0124 TCustomTreeView.OnChangeTimer 012f TTimer.SetOnTimer 0143 TCustomTreeView.EditWndProc 0148 MakeObjectInstance 0155 _Dn_TChangeLink 016c TCustomTreeView.ImageListChange 01a8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 43 58 0B 05 ?? ?? ?? ?? 89 43 58 BA 79 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 61 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 7C 02 00 00 8B C6 8B D3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 FC 00 00 00 89 83 E0 02 00 00 C6 83 79 02 00 00 01 C6 83 CC 02 00 00 01 C6 83 CE 02 00 00 01 C6 83 CD 02 00 00 01 C6 83 9C 02 00 00 01 6A 20 B9 20 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 90 02 00 00 C7 83 C0 02 00 00 FF FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 EC 02 00 00 C6 83 E8 02 00 00 00 0F B6 05 ?? ?? ?? ?? 88 83 E9 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A8 03 00 00 8B C6 33 D2 E8 ?? ?? ?? ?? 8B 83 A8 03 00 00 33 D2 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? C6 83 04 03 00 00 01 C6 83 DC 02 00 00 01 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 88 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A0 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D8 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? C7 83 BC 02 00 00 FF FF FF FF C6 83 A8 02 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 02 00 00 00 00 60 08 00 01 00 00 00 }
	condition:
		$1
}

rule function_74790_0 {
	meta:
		name = "TCustomTreeView.Destroy"
		size = 173
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0067 FreeObjectInstance 009b TWinControl.Destroy 00a6 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 E0 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 E0 02 00 00 8B 86 F0 02 00 00 E8 ?? ?? ?? ?? 8B 86 EC 02 00 00 E8 ?? ?? ?? ?? 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B 86 C4 02 00 00 E8 ?? ?? ?? ?? 8B 86 90 02 00 00 E8 ?? ?? ?? ?? 8B 86 B0 02 00 00 E8 ?? ?? ?? ?? 8B 86 88 02 00 00 E8 ?? ?? ?? ?? 8B 86 A0 02 00 00 E8 ?? ?? ?? ?? 8B 86 D8 02 00 00 E8 ?? ?? ?? ?? 8B 86 7C 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 7C 02 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74791_0 {
	meta:
		name = "TCustomTreeView.CreateParams"
		size = 300
		refs = "000d InitCommonControl 0016 TWinControl.CreateParams 001b TCustomTreeView.CreateParams 0024 TWinControl.CreateSubClass 002b TControl.GetDragMode 0035 DragStyles 0046 LineStyles 0054 BorderStyles 0062 RootStyles 0070 ButtonStyles 007e EditStyles 008c HideSelections 0095 TControl.UseRightToLeftReading 009f RTLStyles 00ad ToolTipStyles 00bb AutoExpandStyles 00c9 HotTrackStyles 00d7 RowSelectStyles 00e8 NewStyleControls"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8B 3C 85 ?? ?? ?? ?? 8B 46 04 0F B6 93 CD 02 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 79 02 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 CE 02 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 CC 02 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 BA 02 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 9C 02 00 00 0B 04 95 ?? ?? ?? ?? 0B F8 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 0B 3C 85 ?? ?? ?? ?? 0F B6 83 DC 02 00 00 0B 3C 85 ?? ?? ?? ?? 0F B6 83 78 02 00 00 0B 3C 85 ?? ?? ?? ?? 0F B6 83 9D 02 00 00 0B 3C 85 ?? ?? ?? ?? 0F B6 83 BB 02 00 00 0B 3C 85 ?? ?? ?? ?? 89 7E 04 80 BB F1 01 00 00 00 74 21 A1 ?? ?? ?? ?? 80 38 00 74 17 80 BB 79 02 00 00 01 75 0E 81 66 04 FF FF 7F FF 81 4E 08 00 02 00 00 83 66 24 FC 5F 5E 5B C3 53 00 79 00 73 00 54 00 72 00 65 00 65 00 56 00 69 00 65 00 77 00 33 00 32 00 00 00 }
	condition:
		$1
}

rule function_74792_0 {
	meta:
		name = "TCustomTreeView.CreateWnd"
		size = 720
		refs = "0017 TWinControl.CreateWnd 001f TWinControl.GetHandle 002c ColorToRGB 003c SendMessage 0082 TTreeNodes.BeginUpdate 008a TCustomTreeView.CreateWnd 00b1 TTreeNodes.ReadNodeData 00c8 TTreeNodes.ReadExpandedState 00dd TObject.Free 00f4 TTreeNodes.GetNodeFromIndex 00fe TCustomTreeView.SetTopItem 0131 TList.Get 0151 TList.Add 0172 TCustomTreeView.ValidateSelection 017c TCustomTreeView.GetSelection 0186 TCustomTreeView.SetSelected 01d8 TTreeNodes.EndUpdate 01e8 @HandleFinally 0202 TCustomTreeView.SetIndent 0216 TCustomImageList.HandleAllocated 0228 TCustomImageList.GetHandle 0234 TCustomTreeView.SetImageList 026e StyleServices 027c TOSVersion.FMajor 0294 TCustomStyleServices.GetIsSystemStyle 02ad SetWindowTheme"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC C6 80 D0 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 74 E8 ?? ?? ?? ?? 8B F0 56 6A 00 68 1D 11 00 00 53 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 6C 8B 40 18 E8 ?? ?? ?? ?? 8B F0 56 6A 00 68 1E 11 00 00 53 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 B0 02 00 00 00 0F 84 76 01 00 00 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC C6 80 05 03 00 00 01 8B 45 FC 8B 90 B0 02 00 00 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 B0 02 00 00 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 B0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 C8 02 00 00 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 C8 02 00 00 8B 45 FC 8B 80 F0 02 00 00 85 C0 74 72 8B 58 08 4B 85 DB 7C 37 43 33 F6 8B 45 FC 8B 80 F0 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 EC 02 00 00 E8 ?? ?? ?? ?? 46 4B 75 CC 8B 45 FC 05 F0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? EB 28 8B 45 FC 8B 98 BC 02 00 00 83 FB FF 74 1A 8B D3 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 80 BC 02 00 00 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 80 05 03 00 00 00 C3 E9 ?? ?? ?? ?? EB E0 8B 45 FC 8B 80 C0 02 00 00 83 F8 FF 74 0A 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 A4 02 00 00 85 DB 74 25 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 D4 02 00 00 85 DB 74 28 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 45 FC 8B 80 D4 02 00 00 E8 ?? ?? ?? ?? 8B D0 B9 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0D A1 ?? ?? ?? ?? 83 38 06 0F 9D C0 EB 02 33 C0 84 C0 74 27 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 6A 00 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 5E 5B 59 5D C3 00 00 65 00 78 00 70 00 6C 00 6F 00 72 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_74793_0 {
	meta:
		name = "TCustomTreeView.DestroyWnd"
		size = 488
		refs = "0043 TTreeNodes.GetCount 005f _Dn_TMemoryStream 0064 TObject.Create 007f TTreeNodes.WriteNodeData 0096 TTreeNodes.WriteExpandedState 00a8 TStream.SetPosition 00c8 TCustomTreeView.GetTopItem 00d5 TTreeNode.GetAbsoluteIndex 00ec TTreeNodes.BeginUpdate 00f4 TCustomTreeView.DestroyWnd 011c _Dn_TList 014e TList.Get 0163 TList.Add 017f TCustomTreeView.GetSelected 01a3 TTreeNodes.Clear 01be TTreeNodes.EndUpdate 01c4 @HandleFinally 01ce TCustomTreeView.GetIndent 01df TWinControl.DestroyWnd"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC C6 80 D0 02 00 00 01 8B 45 FC 33 D2 89 90 B4 02 00 00 8B 45 FC 33 D2 89 90 F4 02 00 00 8B 45 FC 80 B8 04 03 00 00 00 0F 84 91 01 00 00 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8E 7B 01 00 00 8B 45 FC F6 40 5D 20 0F 84 6E 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 B0 02 00 00 8B D3 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 B0 02 00 00 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC 8B 80 B0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 C8 02 00 00 8B 45 FC C7 80 BC 02 00 00 FF FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 10 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 82 C8 02 00 00 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 E8 02 00 00 00 74 71 8B 45 FC 8B 80 EC 02 00 00 83 78 08 01 7E 62 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 F0 02 00 00 8B 45 FC 8B 80 EC 02 00 00 8B 58 08 4B 85 DB 7C 2C 43 33 F6 8B 45 FC 8B 80 EC 02 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 F0 02 00 00 E8 ?? ?? ?? ?? 46 4B 75 D7 8B 45 FC 8B 80 EC 02 00 00 8B 10 FF 52 08 EB 1E 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 10 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 82 BC 02 00 00 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 C0 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74794_0 {
	meta:
		name = "TCustomTreeView.EditWndProc"
		size = 406
		refs = "0012 TCustomTreeView.EditWndProc 0079 TWinControl.DoKeyDown 0098 TWinControl.DoKeyPress 00b7 TWinControl.DoKeyUp 0105 GetWindowRect 011c MapWindowPoints 012d PerformBufferedPrintClient 0165 CallWindowProc 0177 @HandleAnyException 017c Application 0186 TApplication.HandleException 018b @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 3D 4D B0 00 00 7F 33 0F 84 BF 00 00 00 05 00 FF FF FF 83 F8 05 0F 87 0C 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 2D 00 BD 00 00 74 71 83 E8 02 74 6C 83 E8 02 74 67 83 E8 02 74 62 E9 D2 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 C0 00 00 00 33 C0 5A 59 59 64 89 10 E9 FD 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 A1 00 00 00 33 C0 5A 59 59 64 89 10 E9 DE 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 82 00 00 00 33 C0 5A 59 59 64 89 10 E9 BF 00 00 00 8B D3 8B 45 FC 8B 08 FF 91 90 00 00 00 33 C0 5A 59 59 64 89 10 E9 A5 00 00 00 8B 45 FC 80 B8 A8 02 00 00 00 74 4F 8D 45 EC 50 8B 45 FC 8B 80 98 02 00 00 50 E8 ?? ?? ?? ?? 6A 02 8D 45 EC 50 8B 45 FC 8B 80 98 02 00 00 50 6A 00 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 80 A8 02 00 00 00 33 C0 5A 59 59 64 89 10 EB 4A 8B 43 08 50 8B 43 04 50 8B 03 50 8B 45 FC 8B 80 98 02 00 00 50 8B 45 FC 8B 80 84 02 00 00 50 E8 ?? ?? ?? ?? 89 43 0C 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74795_0 {
	meta:
		name = "TCustomTreeView.CMColorChanged"
		size = 58
		refs = "0007 TWinControl.CMColorChanged 000e TWinControl.HandleAllocated 0019 TWinControl.GetHandle 0023 ColorToRGB 0033 SendMessage"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 43 74 E8 ?? ?? ?? ?? 8B D8 53 6A 00 68 1D 11 00 00 56 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74796_0 {
	meta:
		name = "TCustomTreeView.CMCtl3DChanged"
		size = 28
		refs = "0006 TWinControl.CMCtl3DChanged 0016 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 79 02 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74797_0 {
	meta:
		name = "TCustomTreeView.CMFontChanged"
		size = 61
		refs = "0007 TWinControl.CMFontChanged 000e TWinControl.HandleAllocated 0019 TWinControl.GetHandle 0026 ColorToRGB 0036 SendMessage"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 24 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 43 6C 8B 40 18 E8 ?? ?? ?? ?? 8B D8 53 6A 00 68 1E 11 00 00 56 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74798_0 {
	meta:
		name = "TCustomTreeView.CMSysColorChange"
		size = 25
		refs = "0006 TWinControl.CMSysColorChange 0013 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 01 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75386_0 {
	meta:
		name = "TAnimate.CMColorChanged"
		size = 25
		refs = "0006 TWinControl.CMColorChanged 0013 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 01 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77462_0 {
	meta:
		name = "TDBNavigator.CMEnabledChanged"
		size = 25
		refs = "0006 TWinControl.CMEnabledChanged 0013 TDBNavigator.ActiveChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 01 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74800_0 {
	meta:
		name = "TCustomTreeView.CustomSort"
		size = 186
		refs = "0016 TWinControl.HandleAllocated 0029 DefaultTreeViewSort 0048 TWinControl.GetHandle 005c SendMessage 0073 TTreeNodes.GetFirstNode 0080 TTreeNode.GetChildren 0093 TTreeNode.CustomSort 009a TTreeNode.getNextSibling 00ab TTreeNodes.ClearCache"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F8 89 55 FC 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 8D 00 00 00 83 7D FC 00 75 0A B8 ?? ?? ?? ?? 89 45 F0 EB 06 8B 45 FC 89 45 F0 C7 45 EC 00 00 FF FF 8B 45 F8 89 45 F4 8B C6 E8 ?? ?? ?? ?? 8B D8 33 FF 8D 45 EC 50 57 68 15 11 00 00 53 E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 80 7D 08 00 74 38 8B 86 E0 02 00 00 E8 ?? ?? ?? ?? 8B F8 85 FF 74 27 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0F 6A 01 8B 4D F8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F8 85 FF 75 D9 8B 86 E0 02 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_74801_0 {
	meta:
		name = "TCustomTreeView.SetAutoExpand"
		size = 27
		refs = "0016 SetComCtlStyle"
	strings:
		$1 = { 3A 90 78 02 00 00 74 12 88 90 78 02 00 00 8B CA BA 00 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74802_0 {
	meta:
		name = "TCustomTreeView.SetHotTrack"
		size = 27
		refs = "0016 SetComCtlStyle"
	strings:
		$1 = { 3A 90 9D 02 00 00 74 12 88 90 9D 02 00 00 8B CA BA 00 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74803_0 {
	meta:
		name = "TCustomTreeView.SetRowSelect"
		size = 27
		refs = "0016 SetComCtlStyle"
	strings:
		$1 = { 3A 90 BB 02 00 00 74 12 88 90 BB 02 00 00 8B CA BA 00 10 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74804_0 {
	meta:
		name = "TCustomTreeView.SetToolTips"
		size = 30
		refs = "0019 SetComCtlStyle"
	strings:
		$1 = { 3A 90 DC 02 00 00 74 15 88 90 DC 02 00 00 8B CA 80 F1 01 BA 80 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74805_0 {
	meta:
		name = "TCustomTreeView.SetSortType"
		size = 59
		refs = "0036 TCustomTreeView.AlphaSort"
	strings:
		$1 = { 3A 90 CF 02 00 00 74 32 88 90 CF 02 00 00 0F B6 90 CF 02 00 00 8B CA 80 E9 01 74 05 80 E9 02 75 0A 66 83 B8 42 03 00 00 00 75 08 80 C2 FE 80 EA 02 73 07 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74806_0 {
	meta:
		name = "TButtonControl.SetWordWrap"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TCustomTreeView.SetBorderStyle TToolWindow.SetEdgeInner TTrackBar.SetTickMarks"
	strings:
		$1 = { 3A 90 79 02 00 00 74 0B 88 90 79 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74807_0 {
	meta:
		name = "TCustomTreeView.SetDragMode"
		size = 46
		refs = "0009 TControl.GetDragMode 001e SetComCtlStyle 0027 TControl.SetDragMode"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 11 84 DB 0F 94 C1 BA 10 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74808_0 {
	meta:
		name = "TCustomTreeView.SetButtonStyle"
		size = 27
		refs = "0016 SetComCtlStyle"
	strings:
		$1 = { 3A 90 CC 02 00 00 74 12 88 90 CC 02 00 00 8B CA BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74809_0 {
	meta:
		name = "TCustomTreeView.SetLineStyle"
		size = 27
		refs = "0016 SetComCtlStyle"
	strings:
		$1 = { 3A 90 CD 02 00 00 74 12 88 90 CD 02 00 00 8B CA BA 02 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74810_0 {
	meta:
		name = "TCustomTreeView.SetRootStyle"
		size = 27
		refs = "0016 SetComCtlStyle"
	strings:
		$1 = { 3A 90 CE 02 00 00 74 12 88 90 CE 02 00 00 8B CA BA 04 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74811_0 {
	meta:
		name = "TCustomTreeView.SetReadOnly"
		size = 30
		refs = "0019 SetComCtlStyle"
	strings:
		$1 = { 3A 90 BA 02 00 00 74 15 88 90 BA 02 00 00 8B CA 80 F1 01 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74812_0 {
	meta:
		name = "TCustomTreeView.SetHideSelection"
		size = 46
		refs = "001e SetComCtlStyle"
	strings:
		$1 = { 56 8B F0 3A 96 9C 02 00 00 74 21 88 96 9C 02 00 00 8B CA 80 F1 01 8B C6 BA 20 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_74813_0 {
	meta:
		name = "TCustomTreeView.GetNodeAt"
		size = 68
		refs = "0011 TWinControl.GetHandle 0023 SendMessage 0036 TTreeNodes.GetNode"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 89 14 24 89 4C 24 04 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C4 50 6A 00 68 11 11 00 00 56 E8 ?? ?? ?? ?? 85 C0 74 11 8B 54 24 0C 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? EB 02 33 C0 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_74814_0 {
	meta:
		name = "TCustomTreeView.GetHitTestInfoAt"
		size = 188
		refs = "000a TCustomTreeView.GetHitTestInfoAt 0016 TWinControl.GetHandle 0028 SendMessage"
	strings:
		$1 = { 53 56 83 C4 F0 8B D9 0F B7 35 ?? ?? ?? ?? 89 14 24 89 5C 24 04 E8 ?? ?? ?? ?? 8B D8 8B C4 50 6A 00 68 11 11 00 00 53 E8 ?? ?? ?? ?? 8B 5C 24 08 F6 C7 01 74 04 66 83 CE 01 F6 C7 02 74 04 66 83 CE 02 F6 C3 01 74 04 66 83 CE 04 8B C3 83 E0 46 83 F8 46 75 06 66 83 CE 08 EB 25 85 C0 74 04 66 83 CE 08 F6 C3 02 74 04 66 83 CE 20 F6 C3 04 74 05 66 81 CE 80 00 F6 C3 40 74 05 66 81 CE 00 02 F6 C3 10 74 04 66 83 CE 10 F6 C3 08 74 04 66 83 CE 40 F6 C3 20 74 05 66 81 CE 00 01 F6 C7 08 74 05 66 81 CE 00 04 F6 C7 04 74 05 66 81 CE 00 08 8B C6 83 C4 10 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_74815_0 {
	meta:
		name = "TCustomTreeView.SetTreeNodes"
		size = 12
	strings:
		$1 = { 8B 80 E0 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_74816_0 {
	meta:
		name = "TCustomTreeView.SetIndent"
		size = 43
		refs = "0009 TCustomTreeView.GetIndent 0014 TWinControl.GetHandle 0024 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 74 17 8B C3 E8 ?? ?? ?? ?? 8B D8 6A 00 56 68 07 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74817_0 {
	meta:
		name = "TCustomTreeView.GetIndent"
		size = 25
		refs = "0002 TWinControl.GetHandle 0013 SendMessage"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 6A 00 6A 00 68 06 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74818_0 {
	meta:
		name = "TCustomTreeView.FullExpand"
		size = 42
		refs = "0008 TTreeNodes.GetFirstNode 0017 TTreeNode.Expand 001e TTreeNode.getNextSibling"
	strings:
		$1 = { 53 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 16 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 EA 5B C3 }
	condition:
		$1
}

rule function_74819_0 {
	meta:
		name = "TCustomTreeView.FullCollapse"
		size = 42
		refs = "0008 TTreeNodes.GetFirstNode 0017 TTreeNode.Collapse 001e TTreeNode.getNextSibling"
	strings:
		$1 = { 53 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 16 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 EA 5B C3 }
	condition:
		$1
}

rule function_74820_0 {
	meta:
		name = "TCustomTreeView.Loaded"
		size = 25
		refs = "0006 TControl.Loaded 0013 TCustomTreeView.FullExpand"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74821_0 {
	meta:
		name = "TCustomTreeView.GetTopItem"
		size = 45
		refs = "0006 TWinControl.HandleAllocated 0011 TWinControl.GetHandle 0016 TreeView_GetFirstVisible 0023 TTreeNodes.GetNode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_74822_0 {
	meta:
		name = "TCustomTreeView.SetTopItem"
		size = 39
		refs = "0009 TWinControl.HandleAllocated 0018 TWinControl.GetHandle 0020 TreeView_SelectSetFirstVisible"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 85 F6 74 0F 8B C3 E8 ?? ?? ?? ?? 8B 56 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74823_0 {
	meta:
		name = "TCustomTreeView.OnChangeTimer"
		size = 38
		refs = "000c TTimer.SetEnabled 0020 @CallDynaInst"
	strings:
		$1 = { 56 8B F0 33 D2 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B 86 A8 03 00 00 8B 50 0C 8B C6 66 BE AA FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_74824_0 {
	meta:
		name = "TCustomTreeView.GetSelected"
		size = 71
		refs = "0006 TWinControl.HandleAllocated 002b TWinControl.GetHandle 0030 TreeView_GetSelection 003d TTreeNodes.GetNode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 35 80 BB B8 02 00 00 00 74 11 83 BB B4 02 00 00 00 74 08 8B 83 B4 02 00 00 EB 1D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_74825_0 {
	meta:
		name = "TCustomTreeView.SetSelected"
		size = 34
		refs = "000c TTreeNode.SetSelected 0015 TWinControl.GetHandle 001c TreeView_SelectItem"
	strings:
		$1 = { 53 8B D8 85 D2 74 0B 8B C2 B2 01 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74827_0 {
	meta:
		name = "TCustomTreeView.GetChangeDelay"
		size = 10
	strings:
		$1 = { 8B 80 A8 03 00 00 8B 40 38 C3 }
	condition:
		$1
}

rule function_74828_0 {
	meta:
		name = "TCustomTreeView.GetDropTarget"
		size = 55
		refs = "0006 TWinControl.HandleAllocated 0011 TWinControl.GetHandle 0016 TreeView_GetDropHilite 0023 TTreeNodes.GetNode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 0A 8B 83 AC 02 00 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_74829_0 {
	meta:
		name = "TCustomTreeView.SetDropTarget"
		size = 49
		refs = "0009 TWinControl.HandleAllocated 001a TTreeNode.SetDropTarget 0023 TWinControl.GetHandle 002a TreeView_SelectDropTarget"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 85 F6 74 0B B2 01 8B C6 E8 ?? ?? ?? ?? EB 0E 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74830_0 {
	meta:
		name = "TCustomTreeView.GetNodeFromItem"
		size = 40
		refs = "001e TTreeNodes.GetNode"
	strings:
		$1 = { 56 33 C9 8B B0 E0 02 00 00 85 F6 74 17 F6 42 08 04 74 05 8B 4A 24 EB 0C 8B 52 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B C1 5E C3 }
	condition:
		$1
}

rule function_74831_0 {
	meta:
		name = "TCustomTreeView.IsEditing"
		size = 47
		refs = "0002 TWinControl.GetHandle 0013 SendMessage 001f IsWindowVisible"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 6A 00 6A 00 68 0F 11 00 00 53 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0A 53 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_74832_0 {
	meta:
		name = "TCustomTreeView.CNNotify"
		size = 2932
		refs = "001e TCustomTreeView.CNNotify 013b TCustomCanvas.Lock 01c5 TCanvas.SetHandle 01d9 TCanvas.SetFont 01f0 TCanvas.SetBrush 0226 @HandleFinally 023d @TryFinallyExit 033f @FillChar 0353 TCustomTreeView.GetNodeFromItem 03f6 TFont.SetColor 040c TBrush.SetColor 0425 TCustomTreeView.CanvasChanged 04e9 ColorToRGB 0520 TFont.GetHandle 0526 GetObject 0546 CreateFontIndirect 0565 SelectObject 0698 DeleteObject 0727 TCustomCanvas.Unlock 0762 TControl.Dragging 077f @CallDynaInst 07a2 TWinControl.GetHandle 07b3 SendMessage 07cc GetWindowLongPtr 07f4 SetWindowLongPtr 0926 TTimer.SetEnabled 099d TTreeNode.Delete 09b2 TTreeNodes.Delete 09e6 @UStrFromPWChar 09f3 TTreeNode.SetText 0a1d @UStrToPWChar 0a2b StrLCopy 0a7a GetCursorPos 0a98 TControl.ScreenToClient 0abe TCustomTreeView.GetNodeAt 0b08 TControl.Perform 0b3f PostMessage 0b61 @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 34 FF FF FF 53 56 57 33 C9 89 8D 34 FF FF FF 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 8B 50 08 81 FA 66 FE FF FF 0F 8F 82 00 00 00 0F 84 19 07 00 00 81 FA 3A FE FF FF 7F 34 0F 84 C0 07 00 00 81 C2 CC 01 00 00 83 FA 05 0F 87 ED 0A 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 81 FA 3D FE FF FF 7F 1E 0F 84 81 08 00 00 81 EA 3B FE FF FF 0F 84 22 09 00 00 4A 0F 84 5C 09 00 00 E9 A8 0A 00 00 81 EA 3E FE FF FF 0F 84 2B 08 00 00 83 EA 27 0F 84 43 07 00 00 E9 8E 0A 00 00 81 FA 6D FE FF FF 7F 34 0F 84 2F 09 00 00 81 C2 99 01 00 00 83 FA 05 0F 87 71 0A 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 81 EA 6E FE FF FF 0F 84 07 08 00 00 4A 0F 84 CE 07 00 00 81 EA 85 01 00 00 74 0E 83 EA 07 0F 84 4B 09 00 00 E9 29 0A 00 00 8B 55 FC 8B 92 7C 02 00 00 85 D2 0F 84 18 0A 00 00 89 45 E0 8B C2 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 33 D2 89 50 0C 8B 45 E0 F6 40 0E 01 0F 85 D2 01 00 00 8D 55 BC 8B 45 FC 8B 08 FF 51 60 8B 45 E0 8B 40 0C 48 74 1A 48 0F 84 33 01 00 00 48 0F 84 58 01 00 00 48 0F 84 7D 01 00 00 E9 80 05 00 00 33 C9 33 D2 8B 45 FC 8B 18 FF 93 10 01 00 00 84 C0 0F 84 9F 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 8B 50 10 8B 45 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 6C 8B 45 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 C8 01 00 00 8B 45 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 8D 55 BC 33 C9 8B 45 FC 8B 18 FF 93 00 01 00 00 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 7C 02 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 80 7D EF 00 75 14 8B 45 F8 C7 40 0C 04 00 00 00 E8 ?? ?? ?? ?? E9 07 09 00 00 33 C9 B2 01 8B 45 FC 8B 18 FF 93 10 01 00 00 84 C0 75 13 B1 02 B2 01 8B 45 FC 8B 18 FF 93 10 01 00 00 84 C0 74 07 8B 45 F8 83 48 0C 20 B1 01 B2 01 8B 45 FC 8B 18 FF 93 10 01 00 00 84 C0 74 07 8B 45 F8 83 48 0C 10 B1 03 B2 01 8B 45 FC 8B 18 FF 93 10 01 00 00 84 C0 0F 84 6C 04 00 00 8B 45 F8 83 48 0C 40 E9 60 04 00 00 B1 01 33 D2 8B 45 FC 8B 18 FF 93 10 01 00 00 84 C0 0F 84 49 04 00 00 8D 55 BC B1 01 8B 45 FC 8B 18 FF 93 00 01 00 00 E9 34 04 00 00 B1 02 33 D2 8B 45 FC 8B 18 FF 93 10 01 00 00 84 C0 0F 84 1D 04 00 00 8D 55 BC B1 02 8B 45 FC 8B 18 FF 93 00 01 00 00 E9 08 04 00 00 B1 03 33 D2 8B 45 FC 8B 18 FF 93 10 01 00 00 84 C0 0F 84 F1 03 00 00 8D 55 BC B1 03 8B 45 FC 8B 18 FF 93 00 01 00 00 E9 DC 03 00 00 8D 45 94 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 24 89 45 98 8D 55 94 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 75 0A E8 ?? ?? ?? ?? E9 E6 07 00 00 8B 45 E0 8B 40 0C 2D 01 00 01 00 74 1A 48 0F 84 3D 02 00 00 48 0F 84 32 03 00 00 48 0F 84 5A 03 00 00 E9 82 03 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 8B 50 10 8B 45 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 6C 8B 45 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 C8 01 00 00 8B 45 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 8B 45 E0 F6 40 28 01 74 2C 8B 45 FC 8B 80 7C 02 00 00 8B 40 40 BA 0E 00 00 FF E8 ?? ?? ?? ?? 8B 45 FC 8B 80 7C 02 00 00 8B 40 48 BA 0D 00 00 FF E8 ?? ?? ?? ?? 8B 45 FC 8B 80 7C 02 00 00 8B 40 40 8B 55 FC 89 50 0C C7 40 08 ?? ?? ?? ?? 8B 45 FC 8B 80 7C 02 00 00 8B 40 48 8B 55 FC 89 50 0C C7 40 08 ?? ?? ?? ?? 8B 45 FC C6 80 80 02 00 00 00 6A 00 8D 45 EE 50 8B 45 E0 0F B7 48 28 8B D3 8B 45 FC 8B 18 FF 93 04 01 00 00 88 45 EF 80 7D EE 00 75 0A 8B 45 F8 81 48 0C 00 00 01 00 80 7D EF 00 75 0C 8B 45 F8 83 48 0C 04 E9 EE 00 00 00 8B 45 FC 80 B8 80 02 00 00 00 0F 84 DE 00 00 00 8B 45 FC C6 80 80 02 00 00 00 8B 45 FC 8B 80 7C 02 00 00 8B 40 40 33 D2 89 50 08 89 50 0C 8B 45 FC 8B 80 7C 02 00 00 8B 40 48 33 D2 89 50 08 89 50 0C 8B 45 F8 8B 40 08 89 45 E4 8B 5D E4 8B 45 FC 8B 80 7C 02 00 00 8B 40 40 8B 40 18 E8 ?? ?? ?? ?? 89 43 30 8B 45 FC 8B 80 7C 02 00 00 8B 40 48 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 89 43 34 8D 85 38 FF FF FF 50 6A 5C 8B 45 FC 8B 80 7C 02 00 00 8B 40 40 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 4B 8B 45 FC 8B 80 7C 02 00 00 33 D2 E8 ?? ?? ?? ?? 8D 85 38 FF FF FF 50 E8 ?? ?? ?? ?? 8B 55 FC 89 82 FC 02 00 00 8B 45 FC 8B 80 FC 02 00 00 50 8B 45 E0 8B 40 10 50 E8 ?? ?? ?? ?? 8B 55 FC 89 82 00 03 00 00 8B 45 F8 83 48 0C 02 B1 01 B2 01 8B 45 FC 8B 18 FF 93 10 01 00 00 84 C0 74 07 8B 45 F8 83 48 0C 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 7C 02 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 8B 50 10 8B 45 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 6C 8B 45 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 C8 01 00 00 8B 45 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? B1 01 B2 01 8B 45 FC 8B 30 FF 96 10 01 00 00 84 C0 74 1A 6A 01 8D 45 EE 50 8B 45 E0 0F B7 48 28 8B D3 8B 45 FC 8B 18 FF 93 04 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 7C 02 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 83 B8 FC 02 00 00 00 0F 84 A9 00 00 00 8B 45 FC 83 B8 00 03 00 00 00 0F 84 99 00 00 00 8B 45 FC 8B 80 00 03 00 00 50 8B 45 E0 8B 40 10 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 FC 02 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 FC 02 00 00 8B 45 FC 33 D2 89 90 00 03 00 00 EB 5C B1 02 B2 01 8B 45 FC 8B 30 FF 96 10 01 00 00 84 C0 74 49 6A 02 8D 45 EE 50 8B 45 E0 0F B7 48 28 8B D3 8B 45 FC 8B 18 FF 93 04 01 00 00 EB 2D B1 03 B2 01 8B 45 FC 8B 30 FF 96 10 01 00 00 84 C0 74 1A 6A 03 8D 45 EE 50 8B 45 E0 0F B7 48 28 8B D3 8B 45 FC 8B 18 FF 93 04 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC C6 80 8C 02 00 00 01 8B 5D F8 8B 5B 08 8D 53 38 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 94 02 00 00 E9 F1 03 00 00 8B D8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 1D 8D 53 0C 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 66 BE AE FF E8 ?? ?? ?? ?? 84 C0 75 0A 8B 45 F8 C7 40 0C 01 00 00 00 8B 45 F8 83 78 0C 00 0F 85 AF 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 6A 00 6A 00 68 0F 11 00 00 53 E8 ?? ?? ?? ?? 8B 4D FC 8B D0 89 91 98 02 00 00 8B C2 BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 8B 55 FC 89 82 84 02 00 00 8B 45 FC 8B 80 98 02 00 00 BA FC FF FF FF 8B 4D FC 8B 89 88 02 00 00 51 52 50 E8 ?? ?? ?? ?? E9 50 03 00 00 8D 50 0C 8B 45 FC 66 BE A6 FF E8 ?? ?? ?? ?? E9 3C 03 00 00 8B 55 FC 80 BA B9 02 00 00 00 0F 85 2C 03 00 00 8B F8 8D 57 38 8B 45 FC E8 ?? ?? ?? ?? 8B D8 83 7F 0C 02 75 21 8B D3 8B 45 FC 66 BE AB FF E8 ?? ?? ?? ?? 84 C0 75 0F 8B 45 F8 C7 40 0C 01 00 00 00 E9 F6 02 00 00 83 7F 0C 01 0F 85 EC 02 00 00 8B D3 8B 45 FC 66 BE AC FF E8 ?? ?? ?? ?? 84 C0 0F 85 D6 02 00 00 8B 45 F8 C7 40 0C 01 00 00 00 E9 C7 02 00 00 8B 55 FC 80 BA B9 02 00 00 00 0F 85 B7 02 00 00 8B F0 8D 56 38 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 46 0C 83 F8 02 75 13 8B D3 8B 45 FC 66 BE A5 FF E8 ?? ?? ?? ?? E9 8D 02 00 00 83 F8 01 0F 85 84 02 00 00 8B D3 8B 45 FC 66 BE A9 FF E8 ?? ?? ?? ?? E9 71 02 00 00 8B D8 8D 53 38 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 66 BE AD FF E8 ?? ?? ?? ?? 84 C0 0F 85 4E 02 00 00 8B 45 F8 C7 40 0C 01 00 00 00 E9 3F 02 00 00 8B F0 8B 45 FC 8B 80 A8 03 00 00 83 78 38 00 76 27 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 56 38 8B 45 FC E8 ?? ?? ?? ?? 89 43 0C B2 01 8B C3 E8 ?? ?? ?? ?? E9 07 02 00 00 8D 56 38 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 66 BE AA FF E8 ?? ?? ?? ?? E9 E9 01 00 00 8D 50 10 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 D4 01 00 00 33 C0 89 43 10 8B 45 FC 8B 80 A8 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 D0 02 00 00 00 74 0C 8B C3 E8 ?? ?? ?? ?? E9 A7 01 00 00 8B 45 FC 8B 80 E0 02 00 00 8B D3 E8 ?? ?? ?? ?? E9 92 01 00 00 8B F0 8D 56 0C 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 7B 01 00 00 F6 46 0C 01 0F 84 71 01 00 00 8D 85 34 FF FF FF 8B 56 1C E8 ?? ?? ?? ?? 8B 95 34 FF FF FF 8B C3 E8 ?? ?? ?? ?? E9 51 01 00 00 8B F0 8D 56 0C 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 3A 01 00 00 F6 46 0C 01 74 16 8B 43 08 E8 ?? ?? ?? ?? 8B D0 8B 4E 20 49 8B 46 1C E8 ?? ?? ?? ?? F6 46 0C 02 74 13 8B D3 8B 45 FC 8B 08 FF 91 08 01 00 00 8B 43 14 89 46 24 F6 46 0C 20 0F 84 FB 00 00 00 8B D3 8B 45 FC 8B 08 FF 91 0C 01 00 00 8B 43 18 89 46 28 E9 E3 00 00 00 8B 45 FC 33 D2 89 90 B4 02 00 00 8D 45 F0 50 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B8 02 00 00 00 0F 84 8B 00 00 00 8D 4D D4 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 0F B7 45 D4 66 89 45 D0 0F B7 45 D8 66 89 45 D2 8B 45 D0 89 45 DC 0F BF 4D DE 0F BF 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 B4 02 00 00 0F B7 45 F0 66 89 45 CC 0F B7 45 F4 66 89 45 CE 8B 45 CC 89 45 EA 0F B7 45 EA 0F B7 C0 0F B7 55 EC 0F B7 D2 C1 E2 10 0B C2 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 7B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 B4 02 00 00 EB 2A 0F B7 45 F0 0F B7 55 F4 C1 E2 10 0B C2 50 8B 45 FC E8 ?? ?? ?? ?? 50 68 7B BC 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 C7 40 0C 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 34 FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74833_0 {
	meta:
		name = "TCustomTreeView.GetDragImages"
		size = 30
		refs = "000a TCustomImageList.GetCount"
	strings:
		$1 = { 53 8B D8 8B 83 90 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 08 8B 83 90 02 00 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_74834_0 {
	meta:
		name = "TCustomTreeView.WndProc"
		size = 148
		refs = "0022 TControl.Dragging 002d TControl.GetDragMode 0043 TWinControl.IsControlMouseMsg 004c TCustomTreeView.WndProc 0078 TControl.Perform 0086 TWinControl.WndProc"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 1C 10 75 54 8B 3E 81 FF 01 02 00 00 74 08 81 FF 03 02 00 00 75 42 8B C3 E8 ?? ?? ?? ?? 84 C0 75 37 8B C3 E8 ?? ?? ?? ?? 3C 01 75 2C 80 BB 93 00 00 00 00 75 23 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3F A1 ?? ?? ?? ?? 0B 43 5C 89 43 5C 8B D6 8B C3 8B 08 FF 51 EC EB 29 81 3E 7B BC 00 00 75 18 8B 46 08 50 8B 4E 04 BA 7B 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 46 0C EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_74835_0 {
	meta:
		name = "TCustomTreeView.DoStartDrag"
		size = 149
		refs = "000b TControl.DoStartDrag 002b GetCursorPos 0038 TControl.ScreenToClient 0047 TCustomTreeView.GetNodeAt 0054 TWinControl.GetHandle 0067 SendMessage 007a TCustomImageList.SetHandle 008a TDragImageList.SetDragImage"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 94 02 00 00 33 C0 89 83 AC 02 00 00 33 C0 89 83 94 02 00 00 85 F6 75 24 54 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 4C 24 0C 8B 54 24 08 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 3D 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 76 10 56 6A 00 68 12 11 00 00 57 E8 ?? ?? ?? ?? 85 C0 74 1F 8B 9B 90 02 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 6A 02 B9 02 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74836_0 {
	meta:
		name = "TCustomTreeView.DoEndDrag"
		size = 30
		refs = "000d TControl.DoEndDrag"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 AC 02 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_74837_0 {
	meta:
		name = "TCustomTreeView.CMDrag"
		size = 134
		refs = "000f TWinControl.CMDrag 002f TControl.ScreenToClient 004a TCustomTreeView.DoDragOver 005b TCustomTreeView.GetDropTarget 006a TCustomTreeView.SetDropTarget"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 7E 08 0F B6 46 04 FE C8 74 32 FE C8 74 06 FE C8 74 52 EB 58 8B CC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 50 83 7E 0C 00 0F 95 C0 50 8B 57 08 8B 4C 24 08 8B C3 E8 ?? ?? ?? ?? EB 30 8B 47 08 8B 10 FF 52 18 8B C3 E8 ?? ?? ?? ?? 89 83 AC 02 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 47 08 8B 10 FF 52 20 EB 08 33 C0 89 83 AC 02 00 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74838_0 {
	meta:
		name = "TCustomTreeView.DoDragOver"
		size = 91
		refs = "0017 TCustomTreeView.GetNodeAt 0024 TCustomTreeView.GetDropTarget 0048 TTreeNode.SetDropTarget"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 4D 0C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 32 8B C3 E8 ?? ?? ?? ?? 3B F0 75 08 3B B3 AC 02 00 00 75 1F 33 C0 89 83 AC 02 00 00 8B C7 8B 10 FF 52 18 B2 01 8B C6 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 20 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_74839_0 {
	meta:
		name = "TCustomTreeView.GetImageIndex"
		size = 31
	strings:
		$1 = { 53 66 83 B8 8A 03 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 8C 03 00 00 FF 93 88 03 00 00 5B C3 }
	condition:
		$1
}

rule function_74840_0 {
	meta:
		name = "TCustomTreeView.GetSelectedIndex"
		size = 31
	strings:
		$1 = { 53 66 83 B8 92 03 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 94 03 00 00 FF 93 90 03 00 00 5B C3 }
	condition:
		$1
}

rule function_74841_0 {
	meta:
		name = "TCustomTreeView.CanChange"
		size = 57
	strings:
		$1 = { 53 51 C6 04 24 01 80 B8 05 03 00 00 00 75 23 F6 40 5D 20 75 1D 66 83 B8 2A 03 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 2C 03 00 00 FF 93 28 03 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_74842_0 {
	meta:
		name = "TCustomTreeView.Change"
		size = 96
		refs = "0010 KeyDataToShiftState 0017 TCustomTreeView.Change 001f TCustomTreeView.GetSelected 0029 TCustomTreeView.FinishSelection"
	strings:
		$1 = { 53 56 8B F2 8B D8 C6 83 F9 02 00 00 01 33 C0 E8 ?? ?? ?? ?? 66 0B 05 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 80 BB 05 03 00 00 00 75 20 F6 43 5D 20 75 1A 66 83 BB 22 03 00 00 00 74 10 8B CE 8B D3 8B 83 24 03 00 00 FF 93 20 03 00 00 5E 5B C3 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_74843_0 {
	meta:
		name = "TCustomTreeView.Added"
		size = 40
	strings:
		$1 = { 53 80 B8 05 03 00 00 00 75 1C 66 83 B8 62 03 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 64 03 00 00 FF 93 60 03 00 00 5B C3 }
	condition:
		$1
}

rule function_74844_0 {
	meta:
		name = "TCustomTreeView.Delete"
		size = 40
	strings:
		$1 = { 53 80 B8 05 03 00 00 00 75 1C 66 83 B8 5A 03 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 5C 03 00 00 FF 93 58 03 00 00 5B C3 }
	condition:
		$1
}

rule function_74845_0 {
	meta:
		name = "TCustomTreeView.Expand"
		size = 40
	strings:
		$1 = { 53 80 B8 05 03 00 00 00 75 1C 66 83 B8 7A 03 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 7C 03 00 00 FF 93 78 03 00 00 5B C3 }
	condition:
		$1
}

rule function_74846_0 {
	meta:
		name = "TCustomTreeView.CanExpand"
		size = 51
	strings:
		$1 = { 53 51 C6 04 24 01 80 B8 05 03 00 00 00 75 1D 66 83 B8 82 03 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 84 03 00 00 FF 93 80 03 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_74847_0 {
	meta:
		name = "TCustomTreeView.Collapse"
		size = 31
	strings:
		$1 = { 53 66 83 B8 32 03 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 34 03 00 00 FF 93 30 03 00 00 5B C3 }
	condition:
		$1
}

rule function_74848_0 {
	meta:
		name = "TCustomTreeView.CanCollapse"
		size = 42
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 3A 03 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 3C 03 00 00 FF 93 38 03 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_74849_0 {
	meta:
		name = "TCustomTreeView.CanEdit"
		size = 42
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 6A 03 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 6C 03 00 00 FF 93 68 03 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_74850_0 {
	meta:
		name = "TCustomTreeView.Edit"
		size = 174
		refs = "0016 TCustomTreeView.Edit 0025 TCustomTreeView.GetNodeFromItem 0039 @UStrFromPWChar 0069 TTreeNode.SetText 009b @UStrClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B 7E 10 85 FF 74 3C 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 66 83 BB 72 03 00 00 00 74 15 8D 45 FC 50 8B 4D F8 8B D3 8B 83 74 03 00 00 FF 93 70 03 00 00 83 7D F8 00 74 28 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 1B 66 83 BB 1A 03 00 00 00 74 11 8B 4D F8 8B D3 8B 83 1C 03 00 00 FF 93 18 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74851_0 {
	meta:
		name = "TCustomTreeView.CreateNode"
		size = 55
		refs = "0005 _DV_TTreeNode"
	strings:
		$1 = { 53 51 8B D8 A1 ?? ?? ?? ?? 89 04 24 66 83 BB A2 03 00 00 00 74 10 8B CC 8B D3 8B 83 A4 03 00 00 FF 93 A0 03 00 00 8B 8B E0 02 00 00 B2 01 8B 04 24 FF 50 0C 5A 5B C3 }
	condition:
		$1
}

rule function_74853_0 {
	meta:
		name = "TCustomTreeView.SetImageList"
		size = 46
		refs = "000c TWinControl.HandleAllocated 0017 TWinControl.GetHandle 0026 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 8B C3 E8 ?? ?? ?? ?? 8B D8 56 57 68 09 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74854_0 {
	meta:
		name = "TCustomTreeView.ImageListChange"
		size = 89
		refs = "000a TWinControl.HandleAllocated 0017 TCustomImageList.HandleAllocated 0022 TCustomImageList.GetHandle 0039 TCustomTreeView.SetImageList"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 43 8B FE 8B C7 E8 ?? ?? ?? ?? 84 C0 74 09 8B C7 E8 ?? ?? ?? ?? EB 02 33 C0 3B B3 A4 02 00 00 75 0D 33 C9 8B D0 8B C3 E8 ?? ?? ?? ?? EB 16 3B B3 D4 02 00 00 75 0E B9 02 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74855_0 {
	meta:
		name = "TCustomTreeView.Notification"
		size = 63
		refs = "0010 TWinControl.Notification 0026 TCustomTreeView.SetImages 0037 TCustomTreeView.SetStateImages"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 22 3B B7 A4 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 D4 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74856_0 {
	meta:
		name = "TCustomTreeView.SetImages"
		size = 102
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 003b TComponent.FreeNotification 0046 TCustomImageList.GetHandle 0051 TCustomTreeView.SetImageList"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 A4 02 00 00 85 C0 74 0B 8B 93 A0 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 A4 02 00 00 85 C0 74 31 8B 93 A0 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74857_0 {
	meta:
		name = "TCustomTreeView.SetStateImages"
		size = 108
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 003b TComponent.FreeNotification 0046 TCustomImageList.GetHandle 0054 TCustomTreeView.SetImageList"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 D4 02 00 00 85 C0 74 0B 8B 93 D8 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 D4 02 00 00 85 C0 74 34 8B 93 D8 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 D4 02 00 00 E8 ?? ?? ?? ?? 8B 83 D4 02 00 00 E8 ?? ?? ?? ?? 8B D0 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B9 02 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74859_0 {
	meta:
		name = "TCustomTreeView.LoadFromFile"
		size = 89
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TCustomTreeView.LoadFromFile 0033 TCustomTreeView.LoadFromStream 0048 TObject.Free 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83059_0 {
	meta:
		name = "TCustomOutline.LoadFromFile"
		size = 89
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TCustomOutline.LoadFromFile 0033 TCustomOutline.LoadFromStream 0048 TObject.Free 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74861_0 {
	meta:
		name = "TCustomTreeView.LoadFromStream"
		size = 91
		refs = "0010 _DV_TTreeStrings 0015 TTreeStrings.Create 0020 TCustomTreeView.LoadFromStream 0036 TTreeStrings.LoadTreeFromStream 004b TObject.Free 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 88 E0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 48 04 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_74865_0 {
	meta:
		name = "TCustomTreeView.SaveToStream"
		size = 91
		refs = "0010 _DV_TTreeStrings 0015 TTreeStrings.Create 0020 TCustomTreeView.SaveToStream 0036 TTreeStrings.SaveTreeToStream 004b TObject.Free 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 88 E0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 48 04 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_74863_0 {
	meta:
		name = "TCustomTreeView.SaveToFile"
		size = 92
		refs = "0012 _Dn_TFileStream 0019 TFileStream.Create 0024 TCustomTreeView.SaveToFile 0036 TCustomTreeView.SaveToStream 004b TObject.Free 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B D8 68 00 FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83069_0 {
	meta:
		name = "TCustomOutline.SaveToFile"
		size = 92
		refs = "0012 _Dn_TFileStream 0019 TFileStream.Create 0024 TCustomOutline.SaveToFile 0036 TCustomOutline.SaveToStream 004b TObject.Free 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B D8 68 00 FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74866_0 {
	meta:
		name = "TCustomTreeView.WMContextMenu"
		size = 200
		refs = "001d InvalidPoint 0028 TCustomTreeView.GetSelected 003e TTreeNode.DisplayRect 004b CenterPoint 005a TControl.ClientToScreen 007e TWinControl.WMContextMenu 00a1 TControl.ScreenToClient 00af KeyboardStateToShiftState 00be @CallDynaInst"
	strings:
		$1 = { 53 56 83 C4 CC 8B DA 8B F0 F6 46 1C 10 75 0A 8B C6 8B 10 FF 92 F4 00 00 00 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 54 8B C6 E8 ?? ?? ?? ?? 85 C0 74 49 8B C6 E8 ?? ?? ?? ?? 8D 4C 24 24 B2 01 E8 ?? ?? ?? ?? 8D 44 24 24 8D 54 24 1C E8 ?? ?? ?? ?? 8D 54 24 1C 8D 4C 24 08 8B C6 E8 ?? ?? ?? ?? 0F B7 44 24 08 66 89 44 24 10 0F B7 44 24 0C 66 89 44 24 12 8B 44 24 10 89 43 08 8B D3 8B C6 E8 ?? ?? ?? ?? F6 46 1C 08 75 3A 0F BF 43 08 0F BF 53 0A 89 44 24 14 89 54 24 18 8B CC 8D 54 24 14 8B C6 E8 ?? ?? ?? ?? 8B 04 24 50 8B 44 24 08 50 E8 ?? ?? ?? ?? 8B C8 B2 01 8B C6 66 BE D3 FF E8 ?? ?? ?? ?? 83 C4 34 5E 5B C3 }
	condition:
		$1
}

rule function_74867_0 {
	meta:
		name = "TCustomTreeView.WMCtlColorEdit"
		size = 82
		refs = "002d PostMessage 0042 TWinControl.GetHandle 0048 DefWindowProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 5D 80 74 28 80 BB A8 02 00 00 00 75 1F C6 83 A8 02 00 00 01 6A 00 6A 00 68 4D B0 00 00 8B 83 98 02 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 8B 46 08 50 8B 46 04 50 8B 06 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_74868_0 {
	meta:
		name = "TCustomTreeView.WMLButtonDown"
		size = 284
		refs = "0025 TCustomTreeView.WMLButtonDown 0035 TControl.WMLButtonDown 003d TControl.GetDragMode 0075 GetCursorPos 0083 TControl.ScreenToClient 00bc TControl.Perform 00ce TCustomTreeView.GetNodeAt 00dd TTreeNode.SetFocused 00e6 TTreeNode.SetSelected 00f3 TControl.BeginDrag 0111 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 8B DA 89 45 FC 8B 45 FC C6 80 8C 02 00 00 00 8B 45 FC 33 D2 89 90 94 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3C 01 0F 85 AE 00 00 00 8B 45 FC 80 B8 93 00 00 00 00 0F 85 9E 00 00 00 8B 45 FC 8B 10 FF 92 F4 00 00 00 8B 45 FC 80 B8 8C 02 00 00 00 75 52 8D 45 F4 50 E8 ?? ?? ?? ?? 8D 4D E8 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 0F B7 45 E8 66 89 45 E4 0F B7 45 EC 66 89 45 E6 8B 45 E4 89 45 F0 0F B7 45 F0 0F B7 C0 0F B7 55 F2 0F B7 D2 C1 E2 10 0B C2 50 33 C9 BA 02 02 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 35 0F BF 4B 0A 0F BF 53 08 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 1F B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 83 C9 FF 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 94 02 00 00 C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74869_0 {
	meta:
		name = "TCustomTreeView.WMNotify"
		size = 545
		refs = "0016 TCustomTreeView.WMNotify 003b GetCursorPos 0048 TControl.ScreenToClient 0061 TCustomTreeView.GetNodeAt 0090 GetComCtlVersion 00c7 TWinControl.WMNotify 00da @UStrLAsg 0107 @WStrFromUStr 012f @WStrSetLength 013a @WStrToPWChar 0151 @FillChar 0177 Move 018f TTreeNode.DisplayRect 01a7 TControl.ClientToScreen 01c9 SendMessage 01e7 SetWindowPos 020e @UStrClr 0214 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 89 45 EC 8B 45 EC 81 78 08 EE FD FF FF 0F 85 BE 01 00 00 8D 45 F0 50 E8 ?? ?? ?? ?? 8D 4D D4 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 89 45 F0 8B 45 D8 89 45 F4 8B 4D F4 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 84 8B 01 00 00 8B 45 F8 83 78 08 00 0F 84 7E 01 00 00 8B 46 08 F6 80 B4 00 00 00 01 0F 84 6E 01 00 00 E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 17 8B 45 F8 8B 40 08 85 C0 74 05 83 E8 04 8B 00 83 F8 50 0F 9C C0 EB 02 33 C0 84 C0 74 18 66 83 BB 9A 03 00 00 00 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 2D 01 00 00 8D 45 FC 8B 55 F8 8B 52 08 E8 ?? ?? ?? ?? 66 83 BB 9A 03 00 00 00 74 15 8D 45 FC 50 8B 4D F8 8B D3 8B 83 9C 03 00 00 FF 93 98 03 00 00 8D 83 E4 02 00 00 8B 55 FC E8 ?? ?? ?? ?? BF 50 00 00 00 8B 83 E4 02 00 00 85 C0 74 07 83 E8 04 8B 00 D1 E8 3B F8 7F 0E 8B D7 4A 8D 83 E4 02 00 00 E8 ?? ?? ?? ?? 8B 83 E4 02 00 00 E8 ?? ?? ?? ?? 8B 56 08 89 42 0C 8B D7 03 D2 8B 46 08 83 C0 10 33 C9 E8 ?? ?? ?? ?? 8B 83 E4 02 00 00 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B C8 03 C9 8B 46 08 8D 50 10 8B 83 E4 02 00 00 E8 ?? ?? ?? ?? 8B 46 08 33 D2 89 90 B0 00 00 00 8D 4D DC B2 01 8B 45 F8 E8 ?? ?? ?? ?? 83 7D DC 00 7D 05 33 C0 89 45 DC 8D 4D D4 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 89 45 DC 8B 45 D8 89 45 E0 8D 45 DC 50 6A 01 68 1F 04 00 00 8B 45 EC 8B 00 50 E8 ?? ?? ?? ?? 68 11 02 00 00 6A 00 6A 00 8B 45 E0 50 8B 45 DC 50 6A 00 8B 45 EC 8B 00 50 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74870_0 {
	meta:
		name = "TCustomTreeView.CanvasChanged"
		size = 8
	strings:
		$1 = { C6 80 80 02 00 00 01 C3 }
	condition:
		$1
}

rule function_74871_0 {
	meta:
		name = "TCustomTreeView.IsCustomDrawn"
		size = 160
	strings:
		$1 = { 84 C9 75 58 80 FA 01 75 1C 66 83 B8 52 03 00 00 00 75 0E 66 83 B8 12 03 00 00 00 75 04 33 C0 EB 7E B0 01 EB 7A 84 D2 75 30 66 83 B8 4A 03 00 00 00 75 22 66 83 B8 0A 03 00 00 00 75 18 66 83 B8 52 03 00 00 00 75 0E 66 83 B8 12 03 00 00 00 75 04 33 C0 EB 4A B0 01 EB 46 33 C0 C3 80 FA 01 75 1C 66 83 B8 52 03 00 00 00 75 0E 66 83 B8 12 03 00 00 00 75 04 33 C0 EB 26 B0 01 EB 22 84 D2 75 1C 66 83 B8 0A 03 00 00 00 75 0E 66 83 B8 12 03 00 00 00 75 04 33 C0 EB 06 B0 01 EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_74872_0 {
	meta:
		name = "TCustomTreeView.CustomDraw"
		size = 86
	strings:
		$1 = { 53 56 57 51 8B D9 8B FA 8B F0 C6 04 24 01 84 DB 75 1B 66 83 BE 4A 03 00 00 00 74 11 54 8B CF 8B D6 8B 86 4C 03 00 00 FF 96 48 03 00 00 66 83 BE 0A 03 00 00 00 74 16 53 8D 44 24 04 50 8B CF 8B D6 8B 86 0C 03 00 00 FF 96 08 03 00 00 0F B6 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74873_0 {
	meta:
		name = "TCustomTreeView.CustomDrawItem"
		size = 123
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 66 89 4D FA 89 55 FC 8B F0 8B 5D 0C C6 45 F9 01 8B 45 08 C6 00 01 84 DB 75 24 66 83 BE 52 03 00 00 00 74 1A 0F B7 45 FA 50 8D 45 F9 50 8B 4D FC 8B D6 8B 86 54 03 00 00 FF 96 50 03 00 00 66 83 BE 12 03 00 00 00 74 1F 0F B7 45 FA 50 53 8B 45 08 50 8D 45 F9 50 8B 4D FC 8B D6 8B 86 14 03 00 00 FF 96 10 03 00 00 0F B6 45 F9 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_74874_0 {
	meta:
		name = "TCustomTreeView.ClearSelection"
		size = 53
		refs = "001b TCustomTreeView.NodeDeselect 002d TCustomTreeView.SetSelected"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 86 EC 02 00 00 8B 78 08 4F 83 FF 01 7C 0E 8B D7 8B C6 E8 ?? ?? ?? ?? 4F 85 FF 75 F2 84 DB 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74875_0 {
	meta:
		name = "TCustomTreeView.ControlSelectNode"
		size = 100
		refs = "0012 TCustomTreeView.GetSelected 0029 TCustomTreeView.SetSelected 0036 TList.IndexOf 0044 TCustomTreeView.NodeDeselect 0051 TCustomTreeView.NodeSelect 005d TCustomTreeView.SelectNode"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 83 E9 02 00 00 01 74 49 8B C3 E8 ?? ?? ?? ?? 3B F0 74 13 85 F6 74 06 80 7E 24 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 EC 02 00 00 E8 ?? ?? ?? ?? 83 F8 FF 74 0B 8B D0 8B C3 E8 ?? ?? ?? ?? EB 17 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74876_0 {
	meta:
		name = "TCustomTreeView.ControlShiftSelectNode"
		size = 25
		refs = "0013 TCustomTreeView.ShiftSelectNode"
	strings:
		$1 = { 56 8B F0 F6 86 E9 02 00 00 01 0F 95 C0 34 01 50 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_74879_0 {
	meta:
		name = "TCustomTreeView.FinishSelection"
		size = 488
		refs = "002f TCustomTreeView.FinishSelection 0097 TCustomTreeView.GetSelection 00ba TTreeNodes.GetFirstNode 00c3 TTreeNode.IsNodeVisible 00ce TTreeNode.GetNextVisible 00db TTreeNode.GetFocused 010a TTreeNode.GetAbsoluteIndex 0136 TCustomTreeView.ControlShiftSelectNode 0146 TCustomTreeView.ShiftSelectNode 0158 TCustomTreeView.ControlSelectNode 016a TList.IndexOf 017d TList.Get 0193 TList.RemoveItem 019f TCustomTreeView.NodeSelect 01ab TCustomTreeView.SelectNode 01bf TCustomTreeView.ValidateSelection 01dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 66 89 4D FA 8B F2 89 45 FC 8B 45 FC 80 B8 F8 02 00 00 00 0F 85 C1 01 00 00 F6 45 FA 08 0F 84 B7 01 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC C6 80 F8 02 00 00 01 F6 45 FA 01 75 0B 8B 45 FC 33 D2 89 90 F4 02 00 00 8B 45 FC 80 B8 E8 02 00 00 00 0F 84 4D 01 00 00 85 F6 0F 84 45 01 00 00 F6 45 FA 01 0F 84 D6 00 00 00 8B 45 FC 83 B8 F4 02 00 00 00 75 22 8B 45 FC 8B 80 EC 02 00 00 83 78 08 00 7E 13 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 F4 02 00 00 8B 45 FC 83 B8 F4 02 00 00 00 75 4B 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 23 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 FC 89 98 F4 02 00 00 EB 0D 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 DD 8B 45 FC 83 B8 F4 02 00 00 00 74 1B 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 3B D8 7C 04 33 C0 EB 02 B0 01 F6 45 FA 04 74 0E 8B C8 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 7F 6A 01 8B C8 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 6F F6 45 FA 04 74 0C 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 5D 8B 45 FC 8B 80 EC 02 00 00 8B D6 E8 ?? ?? ?? ?? 40 74 34 8B 45 FC 8B 80 EC 02 00 00 33 D2 E8 ?? ?? ?? ?? 3B F0 74 36 8B 45 FC 8B 80 EC 02 00 00 8B D6 33 C9 E8 ?? ?? ?? ?? 33 C9 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 16 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 F8 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74880_0 {
	meta:
		name = "TCustomTreeView.GetSelectionCount"
		size = 10
	strings:
		$1 = { 8B 80 EC 02 00 00 8B 40 08 C3 }
	condition:
		$1
}

rule function_74881_0 {
	meta:
		name = "TCustomTreeView.GetSelection"
		size = 22
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 EC 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74882_0 {
	meta:
		name = "TCustomTreeView.InvalidateSelectionsRects"
		size = 74
		refs = "001e TCustomTreeView.GetSelection 0027 TTreeNode.DisplayRect 0035 TWinControl.GetHandle 003b InvalidateRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B 83 EC 02 00 00 8B 70 08 4E 85 F6 7C 2D 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B CC 33 D2 E8 ?? ?? ?? ?? 6A 00 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 47 4E 75 D6 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74883_0 {
	meta:
		name = "TCustomTreeView.MouseDown"
		size = 111
		refs = "0030 TCustomTreeView.GetHitTestInfoAt 003b TCustomTreeView.GetSelected 0048 TCustomTreeView.FinishSelection 0051 TCustomTreeView.ValidateSelection 0063 TControl.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FE 8B DA 8B F0 8B 7D 0C 84 DB 75 3F 80 BE F9 02 00 00 00 74 09 C6 86 F9 02 00 00 00 EB 2D 8B 4D 08 8B D7 8B C6 E8 ?? ?? ?? ?? A8 08 74 16 8B C6 E8 ?? ?? ?? ?? 8B D0 0F B7 4D FE 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 57 8B 45 08 50 0F B7 4D FE 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_74884_0 {
	meta:
		name = "TCustomTreeView.NodeDeselect"
		size = 38
		refs = "000b TCustomTreeView.GetSelection 0012 TTreeNode.SetSelectedBit 001f TList.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B D6 8B 83 EC 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74885_0 {
	meta:
		name = "TCustomTreeView.NodeSelect"
		size = 39
		refs = "0018 TList.Insert 0021 TTreeNode.SetSelectedBit"
	strings:
		$1 = { 53 8B DA 85 DB 74 1E 80 7B 24 00 75 18 8B D1 8B 80 EC 02 00 00 8B CB E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74886_0 {
	meta:
		name = "TCustomTreeView.Select"
		size = 40
		refs = "000e TCustomTreeView.Select 001b TCustomTreeView.FinishSelection"
	strings:
		$1 = { 53 56 51 66 89 0C 24 8B F2 8B D8 0F B7 0D ?? ?? ?? ?? 66 0B 0C 24 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 08 00 00 00 }
	condition:
		$1
}

rule function_74887_0 {
	meta:
		name = "TCustomTreeView.SelectNode"
		size = 117
		refs = "001b TCustomTreeView.GetSelection 0028 TCustomTreeView.NodeDeselect 0035 TCustomTreeView.GetSelected 004c TCustomTreeView.SetSelected 006d TCustomTreeView.NodeSelect"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 86 EC 02 00 00 8B 58 08 4B 83 FB 00 7C 1C 8B D3 8B C6 E8 ?? ?? ?? ?? 3B F8 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 E4 8B C6 E8 ?? ?? ?? ?? 3B F8 74 13 85 FF 74 06 80 7F 24 00 75 09 8B D7 8B C6 E8 ?? ?? ?? ?? 85 FF 74 1D 80 7F 24 00 75 17 8B 86 EC 02 00 00 83 78 08 00 75 0B 33 C9 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74888_0 {
	meta:
		name = "TCustomTreeView.SetMultiSelect"
		size = 50
		refs = "0015 TCustomTreeView.GetSelected 001e TCustomTreeView.SelectNode 002b TCustomTreeView.ValidateSelection"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E E8 02 00 00 74 21 84 DB 75 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 88 9E E8 02 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74889_0 {
	meta:
		name = "TCustomTreeView.SetMultiSelectStyle"
		size = 39
		refs = "0020 TCustomTreeView.ValidateSelection"
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 83 E9 02 00 00 3A 04 24 74 11 0F B6 04 24 88 83 E9 02 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_74890_0 {
	meta:
		name = "TCustomTreeView.ShiftSelectNode"
		size = 479
		refs = "0038 _Dn_TList 003d TObject.Create 0057 TCustomTreeView.ShiftSelectNode 0076 TList.Add 008c TTreeNode.GetPrevVisible 0097 TTreeNode.GetPrev 00ab TTreeNode.GetNextVisible 00b6 TTreeNode.GetNext 00e7 TList.Assign 010c TList.Get 0116 TList.IndexOf 0122 TCustomTreeView.NodeDeselect 015d TCustomTreeView.NodeSelect 0182 TList.Delete 0192 TList.Insert 01b8 TObject.Free 01c6 @HandleFinally 01d2 TCustomTreeView.SelectNode"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 88 4D FB 89 55 FC 8B D8 83 7D FC 00 0F 84 B1 01 00 00 8B 45 FC 80 78 24 00 0F 85 A4 01 00 00 F6 83 E9 02 00 00 02 0F 84 97 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 F4 02 00 00 3B 75 FC 74 65 85 F6 74 61 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 80 7D FB 00 74 1F F6 83 E9 02 00 00 04 74 0B 8B C6 E8 ?? ?? ?? ?? 8B F0 EB 28 8B C6 E8 ?? ?? ?? ?? 8B F0 EB 1D F6 83 E9 02 00 00 04 74 0B 8B C6 E8 ?? ?? ?? ?? 8B F0 EB 09 8B C6 E8 ?? ?? ?? ?? 8B F0 3B 75 FC 75 0C 8B D6 8B 45 F4 E8 ?? ?? ?? ?? EB 04 85 F6 75 9F 80 7D 08 00 74 55 8B 45 F4 50 8B 93 EC 02 00 00 B1 04 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 83 78 08 00 7E 38 8B 83 EC 02 00 00 8B 70 08 4E 83 FE 00 7C 29 8B 83 EC 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 40 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 4E 83 FE FF 75 D7 6A 00 8B 93 EC 02 00 00 B1 04 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 78 08 4F 85 FF 7C 1C 47 33 F6 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 46 4F 75 E7 8B 83 EC 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B F0 85 F6 7E 1F 8B 83 EC 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 83 EC 02 00 00 8B 4D FC 33 D2 E8 ?? ?? ?? ?? EB 0F 46 75 0C 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_74891_0 {
	meta:
		name = "TCustomTreeView.Subselect"
		size = 156
		refs = "0012 TCustomTreeView.Subselect 0029 SMultiSelectRequired 002e LoadResString 0038 _DV_ETreeViewError 003d Exception.Create 0042 @RaiseExcept 0059 TList.IndexOf 006a TCustomTreeView.NodeSelect 0075 TCustomTreeView.ValidateSelection 008a @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BF E8 02 00 00 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 74 2F 80 7E 24 00 75 29 8B D6 8B 87 EC 02 00 00 E8 ?? ?? ?? ?? 40 75 0E B9 01 00 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74892_0 {
	meta:
		name = "TCustomTreeView.ValidateSelection"
		size = 169
		refs = "001b TCustomTreeView.GetSelection 005a TTreeNode.IsNodeVisible 006e TTreeNode.GetParent 0084 TCustomTreeView.NodeDeselect 008d TTreeNode.GetSelected 009a TTreeNode.SetSelectedBit"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 83 EC 02 00 00 83 78 08 00 0F 8E 8E 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B E8 8B 83 EC 02 00 00 8B 70 08 4E 83 FE 00 7C 74 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 80 7F 24 00 75 3E 85 F6 74 09 80 BB E8 02 00 00 00 74 31 F6 83 E9 02 00 00 04 74 0B 8B C7 E8 ?? ?? ?? ?? 84 C0 74 1D F6 83 E9 02 00 00 08 74 1F 8B C7 E8 ?? ?? ?? ?? 50 8B C5 E8 ?? ?? ?? ?? 5A 3B D0 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 14 8B C7 E8 ?? ?? ?? ?? 84 C0 75 09 B2 01 8B C7 E8 ?? ?? ?? ?? 4E 83 FE FF 75 8C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74893_0 {
	meta:
		name = "TCustomTreeView.Select"
		size = 119
		refs = "0010 _Dn_TList 0015 TObject.Create 0020 TCustomTreeView.Select 003d TList.Add 0065 TObject.Free 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 F6 7C 19 46 8B 03 80 78 24 00 75 0A 8B D0 8B 45 FC E8 ?? ?? ?? ?? 83 C3 04 4E 75 E8 8B 55 FC 8B C7 8B 08 FF 91 1C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_74894_0 {
	meta:
		name = "TCustomTreeView.Select"
		size = 395
		refs = "0029 _Dn_TList 002e TObject.Create 0048 TCustomTreeView.Select 0060 TList.Get 006f TList.Delete 008e TCustomTreeView.GetSelected 00a5 TCustomTreeView.SetSelected 00b9 TList.Assign 00ee TList.IndexOf 00fb TCustomTreeView.NodeDeselect 013b TCustomTreeView.NodeSelect 0168 TObject.Free 0176 @HandleFinally 0180 TCustomTreeView.ValidateSelection"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 89 45 FC 83 7E 08 00 75 12 33 D2 8B 45 FC 8B 08 FF 91 28 01 00 00 E9 56 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5E 08 4B 83 FB 00 7C 1E 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 24 00 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 E2 83 7E 08 00 7E 2A 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 3B D8 74 13 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 56 8B 45 FC 8B 90 EC 02 00 00 B1 04 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 83 78 08 00 7E 3F 8B 45 FC 8B 80 EC 02 00 00 8B 58 08 4B 83 FB 00 7C 2D 8B 45 FC 8B 80 EC 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 40 74 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 4B 83 FB FF 75 D3 8B 45 FC 8B 80 EC 02 00 00 50 B1 04 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 78 08 4F 85 FF 7C 1D 47 33 DB 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 43 4F 75 E6 6A 00 8B 45 FC 8B 80 EC 02 00 00 33 C9 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74895_0 {
	meta:
		name = "TCustomTreeView.Deselect"
		size = 34
		refs = "000f TList.IndexOf 001b TCustomTreeView.ControlSelectNode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 EC 02 00 00 E8 ?? ?? ?? ?? 40 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74896_0 {
	meta:
		name = "NodeInList"
		size = 47
		refs = "0013 TList.IndexOf 001d TTreeNode.GetParent"
	strings:
		$1 = { 55 8B EC 53 8B D8 85 DB 74 1D 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 40 75 0D 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E3 85 DB 0F 95 C0 5B 5D C3 }
	condition:
		$1
}

rule function_74897_0 {
	meta:
		name = "SiblingNotInList"
		size = 101
		refs = "000a TTreeNode.getNextSibling 001b NodeInList 0038 TTreeNode.getPrevSibling"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1D 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 0D 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E3 85 DB 75 2A 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1D 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 0D 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E3 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_74898_0 {
	meta:
		name = "TCustomTreeView.FindNextToSelect"
		size = 137
		refs = "000c _Dn_TList 0011 TObject.Create 001c TCustomTreeView.FindNextToSelect 002c TCustomTreeView.GetSelections 003b SiblingNotInList 004c TTreeNode.GetParent 005c TTreeNode.GetSelected 0075 TObject.Free 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 89 5D F8 EB 1E 55 8B C3 E8 ?? ?? ?? ?? 59 89 45 F8 83 7D F8 00 75 1B 8B C3 E8 ?? ?? ?? ?? 8B D8 89 5D F8 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74899_0 {
	meta:
		name = "TCustomTreeView.GetSelections"
		size = 66
		refs = "0012 TCustomTreeView.GetSelectionCount 0025 TCustomTreeView.GetSelection 002e TList.Add 0039 TCustomTreeView.GetSelected"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C5 8B 10 FF 52 08 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 19 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 46 4B 75 EA 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74902_0 {
	meta:
		name = "TTrackBar.Create"
		size = 228
		refs = "000a @ClassCreate 0017 TWinControl.Create 0023 TControl.SetWidth 002f TControl.SetHeight 0038 TWinControl.SetTabStop 00ab TTrackBar.Create 00cc @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 96 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 2D 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 8C 02 00 00 C7 86 90 02 00 00 0A 00 00 00 33 C0 89 86 98 02 00 00 C7 86 7C 02 00 00 01 00 00 00 C7 86 80 02 00 00 02 00 00 00 C6 86 9C 02 00 00 00 C7 86 94 02 00 00 01 00 00 00 33 C0 89 86 A0 02 00 00 33 C0 89 86 A4 02 00 00 C7 86 84 02 00 00 14 00 00 00 C6 86 79 02 00 00 00 C6 86 7A 02 00 00 01 C6 86 78 02 00 00 00 A1 ?? ?? ?? ?? F7 D0 23 46 58 89 46 58 C6 86 88 02 00 00 01 C6 86 A8 02 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 80 00 20 00 }
	condition:
		$1
}

rule function_74903_0 {
	meta:
		name = "TTrackBar.CreateParams"
		size = 276
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 001a TTrackBar.CreateParams 0023 TWinControl.CreateSubClass 0051 TickStyles 0099 OrientationStyle 00a9 TickMarks"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 04 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 8B 94 02 00 00 85 C9 74 30 8B 83 90 02 00 00 2B 83 8C 02 00 00 99 F7 F9 3D 10 27 00 00 0F 9F C0 83 E0 7F 8D 04 40 8D 04 85 ?? ?? ?? ?? 0F B6 93 7A 02 00 00 8B 04 90 EB 2B 8B 83 90 02 00 00 2B 83 8C 02 00 00 3D 10 27 00 00 0F 9F C0 83 E0 7F 8D 04 40 8D 04 85 ?? ?? ?? ?? 0F B6 93 7A 02 00 00 8B 04 90 8B 56 04 0F B6 8B 78 02 00 00 0B 14 8D ?? ?? ?? ?? 0B C2 0F B6 93 79 02 00 00 0B 04 95 ?? ?? ?? ?? 83 C8 40 89 46 04 8B 46 24 83 E0 FC 83 C8 08 89 46 24 80 BB 88 02 00 00 00 75 07 81 4E 04 80 00 00 00 80 BB A8 02 00 00 00 74 04 83 4E 04 20 80 BB 9C 02 00 00 00 74 07 81 4E 04 00 01 00 00 5E 5B C3 00 6D 00 73 00 63 00 74 00 6C 00 73 00 5F 00 74 00 72 00 61 00 63 00 6B 00 62 00 61 00 72 00 33 00 32 00 00 00 }
	condition:
		$1
}

rule function_74904_0 {
	meta:
		name = "TTrackBar.CreateWnd"
		size = 267
		refs = "0006 TWinControl.CreateWnd 000d TWinControl.HandleAllocated 002a TWinControl.GetHandle 0030 SendMessage 00a3 TTrackBar.UpdateSelection 00f2 APositionToolTip"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 F0 00 00 00 6A 00 8B 83 84 02 00 00 50 68 1B 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 7C 02 00 00 50 6A 00 68 17 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 50 6A 00 68 15 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 50 6A 00 68 07 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 90 02 00 00 50 6A 00 68 08 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 98 02 00 00 50 6A 01 68 05 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 01 8B 83 94 02 00 00 50 68 14 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BB 9C 02 00 00 00 74 23 6A 00 0F B6 83 9C 02 00 00 8B 04 85 ?? ?? ?? ?? 50 68 1F 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74906_0 {
	meta:
		name = "TTrackBar.CMGestureManagerChanged"
		size = 72
		refs = "0016 TTrackBar.CMGestureManagerChanged 0032 TWinControl.HandleAllocated 003d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 F6 43 1C 08 75 38 8B 83 B4 00 00 00 83 78 0C 00 74 0D A1 ?? ?? ?? ?? 0B 43 58 89 43 58 EB 0D A1 ?? ?? ?? ?? F7 D0 23 43 58 89 43 58 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 20 00 }
	condition:
		$1
}

rule function_84936_0 {
	meta:
		name = "TCustomCombo.CMGestureManagerChanged"
		size = 72
		refs = "0016 TCustomCombo.CMGestureManagerChanged 0032 TWinControl.HandleAllocated 003d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 F6 43 1C 08 75 38 8B 83 B4 00 00 00 83 78 0C 00 74 0D A1 ?? ?? ?? ?? 0B 43 58 89 43 58 EB 0D A1 ?? ?? ?? ?? F7 D0 23 43 58 89 43 58 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 20 00 }
	condition:
		$1
}

rule function_84870_0 {
	meta:
		name = "TCustomEdit.CMGestureManagerChanged"
		size = 72
		refs = "0016 TCustomEdit.CMGestureManagerChanged 0032 TWinControl.HandleAllocated 003d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 F6 43 1C 08 75 38 8B 83 B4 00 00 00 83 78 0C 00 74 0D A1 ?? ?? ?? ?? 0B 43 58 89 43 58 EB 0D A1 ?? ?? ?? ?? F7 D0 23 43 58 89 43 58 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 20 00 }
	condition:
		$1
}

rule function_74907_0 {
	meta:
		name = "TTrackBar.CNHScroll"
		size = 64
		refs = "001c TWinControl.GetHandle 0022 SendMessage 0033 @CallDynaInst"
		altNames = "TTrackBar.CNVScroll"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B C3 8B 08 FF 51 F0 6A 00 6A 00 68 00 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 83 98 02 00 00 8B C3 66 BE AE FF E8 ?? ?? ?? ?? 33 C0 89 47 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74909_0 {
	meta:
		name = "TTrackBar.GetThumbLength"
		size = 46
		refs = "0006 TWinControl.HandleAllocated 001a TWinControl.GetHandle 0020 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 6A 00 6A 00 68 1C 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 8B 83 84 02 00 00 5B C3 }
	condition:
		$1
}

rule function_74910_0 {
	meta:
		name = "TTrackBar.SetOrientation"
		size = 84
		refs = "0015 TTrackBar.SetOrientation 0044 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 56 8B D8 3A 93 78 02 00 00 74 3C 88 93 78 02 00 00 0F B7 05 ?? ?? ?? ?? 66 23 43 1C 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 18 8B 43 54 50 8B 43 50 50 8B 4B 4C 8B 53 48 8B C3 8B 30 FF 96 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 41 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_74911_0 {
	meta:
		name = "TTrackBar.SetParams"
		size = 377
		refs = "001f TTrackBar.SetParams 0033 TObject.ClassName 004b SPropertyOutOfRange 0050 LoadResString 005a _Dn_EInvalidOperation 005f Exception.CreateFmt 0064 @RaiseExcept 00ac TWinControl.RecreateWnd 00c1 TWinControl.HandleAllocated 00d4 TWinControl.GetHandle 00da SendMessage 014a @CallDynaInst 0164 @UStrArrayClr 016a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 5D EC 8B F1 89 55 FC 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 7E 3B 8D 55 F0 8B 03 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 75 FC 7E 03 89 75 FC 3B 7D FC 7D 03 89 7D FC 8B C7 2B C6 3D 10 27 00 00 0F 9F C0 8B 93 90 02 00 00 2B 93 8C 02 00 00 81 FA 10 27 00 00 0F 9F C2 3A C2 74 13 89 B3 8C 02 00 00 89 BB 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 3B B3 8C 02 00 00 74 26 89 B3 8C 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 56 6A 01 68 07 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B BB 90 02 00 00 74 26 89 BB 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 57 6A 01 68 08 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 98 02 00 00 3B 45 FC 74 37 8B 45 FC 89 83 98 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 FC 50 6A 01 68 05 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 66 BE AE FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_74912_0 {
	meta:
		name = "TTrackBar.SetPosition"
		size = 19
		refs = "000e TTrackBar.SetParams"
	strings:
		$1 = { 8B 88 90 02 00 00 51 8B 88 8C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74913_0 {
	meta:
		name = "TTrackBar.SetMin"
		size = 25
		refs = "0014 TTrackBar.SetParams"
	strings:
		$1 = { 8B 88 90 02 00 00 3B D1 7F 0E 51 8B 88 98 02 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74914_0 {
	meta:
		name = "TTrackBar.SetMax"
		size = 23
		refs = "0012 TTrackBar.SetParams"
	strings:
		$1 = { 8B 88 8C 02 00 00 3B D1 7C 0C 52 8B 90 98 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74915_0 {
	meta:
		name = "TTrackBar.SetFrequency"
		size = 57
		refs = "0014 TWinControl.HandleAllocated 002d TWinControl.GetHandle 0033 SendMessage"
	strings:
		$1 = { 53 8B D8 3B 93 94 02 00 00 74 2C 89 93 94 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 6A 01 8B 83 94 02 00 00 50 68 14 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74916_0 {
	meta:
		name = "TTrackBar.SetTick"
		size = 41
		refs = "0009 TWinControl.HandleAllocated 001c TWinControl.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 56 6A 00 68 04 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74917_0 {
	meta:
		name = "TCustomStaticText.SetBorderStyle"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TToolWindow.SetEdgeOuter TTrackBar.SetTickStyle"
	strings:
		$1 = { 3A 90 7A 02 00 00 74 0B 88 90 7A 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74919_0 {
	meta:
		name = "TTrackBar.SetLineSize"
		size = 57
		refs = "0014 TWinControl.HandleAllocated 002d TWinControl.GetHandle 0033 SendMessage"
	strings:
		$1 = { 53 8B D8 3B 93 7C 02 00 00 74 2C 89 93 7C 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 83 7C 02 00 00 50 6A 00 68 17 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74920_0 {
	meta:
		name = "TTrackBar.SetPageSize"
		size = 57
		refs = "0014 TWinControl.HandleAllocated 002d TWinControl.GetHandle 0033 SendMessage"
	strings:
		$1 = { 53 8B D8 3B 93 80 02 00 00 74 2C 89 93 80 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 83 80 02 00 00 50 6A 00 68 15 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74921_0 {
	meta:
		name = "TTrackBar.SetPositionToolTip"
		size = 26
		refs = "0015 TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 9C 02 00 00 74 11 88 90 9C 02 00 00 F6 40 1C 10 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74922_0 {
	meta:
		name = "TTrackBar.SetThumbLength"
		size = 55
		refs = "0017 TWinControl.HandleAllocated 002a TWinControl.GetHandle 0030 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 84 02 00 00 74 26 89 B3 84 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 56 68 1B 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74923_0 {
	meta:
		name = "TCustomEdit.SetOEMConvert"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TCustomGrid.SetBorderStyle TDBImage.SetBorderStyle TTrackBar.SetSliderVisible"
	strings:
		$1 = { 3A 90 88 02 00 00 74 0B 88 90 88 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74924_0 {
	meta:
		name = "TTrackBar.SetShowSelRange"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 A8 02 00 00 74 0B 88 90 A8 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74925_0 {
	meta:
		name = "TTrackBar.UpdateSelection"
		size = 170
		refs = "0006 TWinControl.HandleAllocated 0030 TWinControl.GetHandle 0036 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 96 00 00 00 83 BB A0 02 00 00 00 75 21 83 BB A4 02 00 00 00 75 18 6A 00 6A 01 68 13 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 6C 81 BB A4 02 00 00 FF 7F 00 00 7D 2A 0F B7 83 A0 02 00 00 0F B7 93 A4 02 00 00 C1 E2 10 0B C2 50 6A 01 68 0A 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 36 8B 83 A0 02 00 00 50 6A 00 68 0B 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 50 6A 01 68 0C 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74926_0 {
	meta:
		name = "TTrackBar.SetSelStart"
		size = 20
		refs = "000f TTrackBar.UpdateSelection"
	strings:
		$1 = { 3B 90 A0 02 00 00 74 0B 89 90 A0 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74927_0 {
	meta:
		name = "TTrackBar.SetSelEnd"
		size = 20
		refs = "000f TTrackBar.UpdateSelection"
	strings:
		$1 = { 3B 90 A4 02 00 00 74 0B 89 90 A4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83322_0 {
	meta:
		name = "TCustomRibbon.SetHotTabIndex"
		size = 20
		refs = "000f TCustomRibbon.InvalidateTabArea"
	strings:
		$1 = { 3B 90 A4 02 00 00 74 0B 89 90 A4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74928_0 {
	meta:
		name = "TAnimate.DoOpen"
		size = 29
		altNames = "TCustomRibbon.DoHelpButtonClick TTrackBar.Changed"
	strings:
		$1 = { 53 66 83 B8 B2 02 00 00 00 74 10 8B D8 8B D0 8B 83 B4 02 00 00 FF 93 B0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_74929_0 {
	meta:
		name = "TTrackBar.CNNotify"
		size = 483
		refs = "000c StyleServices 006c @CallDynaInst 0080 TControl.Perform 0093 InflateRect 00a3 TWinControl.GetHandle 00b2 TCustomStyleServices.DrawParentBackground 00d1 SendGetStructMessage 016a CreateRectRgn 017a SelectClipRgn 01b5 DeleteObject"
	strings:
		$1 = { 53 56 57 55 83 C4 CC 8B FA 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 0F 84 B5 01 00 00 8B 47 08 83 78 08 F4 0F 85 B1 01 00 00 8B E8 8B 45 0C 48 74 0C 2D 00 00 01 00 74 11 E9 8D 01 00 00 C7 47 0C 20 00 00 00 E9 91 01 00 00 8B 45 24 48 74 0A 83 E8 02 74 66 E9 6A 01 00 00 8D 54 24 08 8B C3 8B 08 FF 51 60 8B C3 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 74 23 6A 00 33 C9 BA 29 01 00 00 8B C3 E8 ?? ?? ?? ?? A8 01 75 0F 8D 44 24 08 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 6A 00 6A 00 8D 44 24 10 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 4D 10 5A E8 ?? ?? ?? ?? E9 09 01 00 00 8D 44 24 08 50 6A 00 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 19 04 00 00 E8 ?? ?? ?? ?? 33 C0 89 44 24 04 8B C3 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 74 04 FF 44 24 04 80 BB 78 02 00 00 00 75 30 8D 54 24 24 8B C3 8B 08 FF 51 60 8B 44 24 24 03 44 24 04 89 44 24 08 8D 54 24 24 8B C3 8B 08 FF 51 60 8B 44 24 2C 2B 44 24 04 89 44 24 10 EB 2E 8D 54 24 24 8B C3 8B 08 FF 51 60 8B 44 24 28 03 44 24 04 89 44 24 0C 8D 54 24 24 8B C3 8B 08 FF 51 60 8B 44 24 30 2B 44 24 04 89 44 24 14 8B 44 24 14 50 8B 44 24 14 50 8B 44 24 14 50 8B 44 24 14 50 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 50 8B 45 10 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4C 24 18 B2 22 8B 30 FF 96 F0 00 00 00 8D 44 24 18 50 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 4D 10 5A E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 6A 00 8B 45 10 50 E8 ?? ?? ?? ?? 33 C0 89 47 0C EB 10 33 C0 89 47 0C EB 09 8B D7 8B C3 8B 08 FF 51 F0 83 C4 34 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74930_0 {
	meta:
		name = "TTrackBar.WMEraseBkGnd"
		size = 137
		refs = "000b StyleServices 0028 @CallDynaInst 003c TControl.Perform 004d InflateRect 005d TWinControl.GetHandle 006c TCustomStyleServices.DrawParentBackground 007e TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 61 8B D4 8B C3 8B 08 FF 51 60 8B C3 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 74 21 6A 00 33 C9 BA 29 01 00 00 8B C3 E8 ?? ?? ?? ?? A8 01 75 0D 8B C4 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 6A 00 6A 00 8D 44 24 08 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 4F 04 5A E8 ?? ?? ?? ?? C7 47 0C 01 00 00 00 EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74931_0 {
	meta:
		name = "ProgressLimitError"
		size = 56
		refs = "001f SOutOfRange 0026 _Dn_Exception 002b Exception.CreateResFmt 0030 @RaiseExcept"
	strings:
		$1 = { 83 C4 F0 33 C0 89 04 24 C6 44 24 04 00 C7 44 24 08 FF FF 00 00 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_74933_0 {
	meta:
		name = "TProgressBar.Create"
		size = 189
		refs = "000b @ClassCreate 001b InitCommonControl 002c TWinControl.Create 0038 TControl.SetWidth 003f GetSystemMetrics 0048 TControl.SetHeight 00a9 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B8 20 00 00 00 E8 ?? ?? ?? ?? 88 87 78 02 00 00 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? BA 96 00 00 00 8B C7 E8 ?? ?? ?? ?? 6A 14 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 33 C0 89 87 7C 02 00 00 C7 87 80 02 00 00 64 00 00 00 C7 87 8C 02 00 00 0A 00 00 00 C6 87 90 02 00 00 00 C7 87 9C 02 00 00 00 00 00 20 C7 87 A0 02 00 00 00 00 00 20 C7 87 94 02 00 00 0A 00 00 00 C6 87 92 02 00 00 00 C6 87 A4 02 00 00 00 C6 87 98 02 00 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74934_0 {
	meta:
		name = "TProgressBar.CreateParams"
		size = 204
		refs = "0010 InitCommonControls 0019 TWinControl.CreateParams 001e TProgressBar.CreateParams 0027 TWinControl.CreateSubClass 004f StyleServices 0067 CheckWin32Version"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 78 02 00 00 00 75 05 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 90 02 00 00 01 75 04 83 4E 04 04 80 BB 91 02 00 00 00 74 04 83 4E 04 01 80 BB 98 02 00 00 01 75 2B E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 1D BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 0A F6 43 1C 10 75 04 83 4E 04 08 80 BB 92 02 00 00 00 74 22 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 14 33 D2 B8 06 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 04 83 4E 04 10 5E 5B C3 00 6D 00 73 00 63 00 74 00 6C 00 73 00 5F 00 70 00 72 00 6F 00 67 00 72 00 65 00 73 00 73 00 33 00 32 00 00 00 }
	condition:
		$1
}

rule function_74935_0 {
	meta:
		name = "TProgressBar.CreateWnd"
		size = 266
		refs = "0007 TWinControl.CreateWnd 002a TWinControl.GetHandle 0030 SendMessage 0082 TProgressBar.SetPosition 008f TProgressBar.SetBarColor 009c TProgressBar.SetBackgroundColor 00aa TProgressBar.SetState 00af StyleServices 00c7 CheckWin32Version 00d2 TWinControl.HandleAllocated"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 80 BE 78 02 00 00 00 74 22 8B 86 80 02 00 00 50 8B 86 7C 02 00 00 50 68 06 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 28 0F B7 86 7C 02 00 00 0F B7 96 80 02 00 00 C1 E2 10 0B C2 50 6A 00 68 01 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 86 8C 02 00 00 50 68 04 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 96 84 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 96 9C 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 96 A0 02 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 96 A4 02 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 4B BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 38 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2D F6 46 1C 10 75 27 80 BE 98 02 00 00 01 0F 94 C3 8B 86 94 02 00 00 50 0F B6 C3 50 68 0A 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74936_0 {
	meta:
		name = "TProgressBar.DestroyWnd"
		size = 25
		refs = "0006 TProgressBar.GetPosition 0013 TWinControl.DestroyWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 89 83 84 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74937_0 {
	meta:
		name = "TProgressBar.GetMin"
		size = 55
		refs = "0006 TWinControl.HandleAllocated 0023 TWinControl.GetHandle 0029 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 80 BB 78 02 00 00 00 74 18 6A 00 6A 01 68 07 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 8B 83 7C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_74938_0 {
	meta:
		name = "TProgressBar.GetMax"
		size = 55
		refs = "0006 TWinControl.HandleAllocated 0023 TWinControl.GetHandle 0029 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 80 BB 78 02 00 00 00 74 18 6A 00 6A 00 68 07 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 8B 83 80 02 00 00 5B C3 }
	condition:
		$1
}

rule function_74939_0 {
	meta:
		name = "TProgressBar.GetPosition"
		size = 79
		refs = "0006 TWinControl.HandleAllocated 0023 TWinControl.GetHandle 0029 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 39 80 BB 78 02 00 00 00 74 18 6A 00 6A 00 68 08 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1E 6A 00 6A 00 68 03 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 8B 83 84 02 00 00 5B C3 }
	condition:
		$1
}

rule function_74940_0 {
	meta:
		name = "TProgressBar.SetParams"
		size = 310
		refs = "001b TProgressBar.SetParams 002f TObject.ClassName 0047 SPropertyOutOfRange 004c LoadResString 0056 _Dn_EInvalidOperation 005b Exception.CreateFmt 0060 @RaiseExcept 0086 ProgressLimitError 009d TWinControl.HandleAllocated 00b8 TWinControl.GetHandle 00be SendMessage 0123 @UStrArrayClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F4 89 5D F0 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 7E 3B 8D 55 F4 8B 03 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB 78 02 00 00 00 75 1D 85 F6 7C 14 81 FE FF FF 00 00 7F 0C 85 FF 7C 08 81 FF FF FF 00 00 7E 05 E8 ?? ?? ?? ?? 3B B3 7C 02 00 00 75 08 3B BB 80 02 00 00 74 73 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5C 80 BB 78 02 00 00 00 74 16 57 56 68 06 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 20 0F B7 C6 0F B7 D7 C1 E2 10 0B C2 50 6A 00 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B B3 7C 02 00 00 7D 15 6A 00 56 68 02 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 B3 7C 02 00 00 89 BB 80 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74941_0 {
	meta:
		name = "TProgressBar.SetMin"
		size = 12
		refs = "0007 TProgressBar.SetParams"
	strings:
		$1 = { 8B 88 80 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74942_0 {
	meta:
		name = "TProgressBar.SetMax"
		size = 14
		refs = "0009 TProgressBar.SetParams"
	strings:
		$1 = { 8B CA 8B 90 7C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_74943_0 {
	meta:
		name = "TProgressBar.SetMarqueeInterval"
		size = 111
		refs = "0014 StyleServices 002c CheckWin32Version 0037 TWinControl.HandleAllocated 0062 TWinControl.GetHandle 0068 SendMessage"
	strings:
		$1 = { 53 56 8B F0 89 96 94 02 00 00 80 BE 98 02 00 00 01 75 59 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 4B BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 38 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2D F6 46 1C 10 75 27 80 BE 98 02 00 00 01 0F 94 C3 8B 86 94 02 00 00 50 0F B6 C3 50 68 0A 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74944_0 {
	meta:
		name = "TProgressBar.SetPosition"
		size = 76
		refs = "001c ProgressLimitError 0023 TWinControl.HandleAllocated 0036 TWinControl.GetHandle 003c SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 78 02 00 00 00 75 11 85 F6 7C 08 81 FE FF FF 00 00 7E 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 6A 00 56 68 02 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 89 B3 84 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_74945_0 {
	meta:
		name = "TProgressBar.SetStep"
		size = 57
		refs = "0014 TWinControl.HandleAllocated 002d TWinControl.GetHandle 0033 SendMessage"
	strings:
		$1 = { 53 8B D8 3B 93 8C 02 00 00 74 2C 89 93 8C 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 6A 00 8B 83 8C 02 00 00 50 68 04 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74946_0 {
	meta:
		name = "TProgressBar.StepIt"
		size = 38
		refs = "0006 TWinControl.HandleAllocated 001a TWinControl.GetHandle 0020 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 05 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74947_0 {
	meta:
		name = "TProgressBar.StepBy"
		size = 41
		refs = "0009 TWinControl.HandleAllocated 001c TWinControl.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 56 68 03 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74951_0 {
	meta:
		name = "TProgressBar.SetStyle"
		size = 171
		refs = "001f TProgressBar.GetPosition 002e TWinControl.SetDoubleBuffered 0033 StyleServices 004b CheckWin32Version 0056 TWinControl.HandleAllocated 0081 TWinControl.GetHandle 0087 SendMessage 008e TWinControl.RecreateWnd 00a4 TProgressBar.SetPosition"
	strings:
		$1 = { 53 56 8B F0 3A 96 98 02 00 00 0F 84 98 00 00 00 8B C2 88 86 98 02 00 00 3C 01 75 16 8B C6 E8 ?? ?? ?? ?? 89 86 88 02 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 4B BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 38 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2D F6 46 1C 10 75 27 80 BE 98 02 00 00 01 0F 94 C3 8B 86 94 02 00 00 50 0F B6 C3 50 68 0A 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 BE 98 02 00 00 00 75 0D 8B 96 88 02 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74952_0 {
	meta:
		name = "TProgressBar.SetBarColor"
		size = 71
		refs = "001e ColorToRGB 0027 TWinControl.HandleAllocated 003a TWinControl.GetHandle 0040 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 89 B3 9C 02 00 00 81 FE 00 00 00 20 75 07 BE 00 00 00 FF EB 09 8B C6 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 56 6A 00 68 09 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74953_0 {
	meta:
		name = "TProgressBar.SetBackgroundColor"
		size = 71
		refs = "001e ColorToRGB 0027 TWinControl.HandleAllocated 003a TWinControl.GetHandle 0040 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 89 B3 A0 02 00 00 81 FE 00 00 00 20 75 07 BE 00 00 00 FF EB 09 8B C6 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 56 6A 00 68 01 20 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74954_0 {
	meta:
		name = "TProgressBar.SetState"
		size = 67
		refs = "0011 CheckWin32Version 001c TWinControl.HandleAllocated 0037 TWinControl.GetHandle 003d SendMessage"
	strings:
		$1 = { 53 8B D8 88 93 A4 02 00 00 33 D2 B8 06 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 28 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 6A 00 0F B6 83 A4 02 00 00 40 50 68 10 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74957_0 {
	meta:
		name = "TTextAttributes.InitFormat"
		size = 25
		refs = "000d @FillChar"
	strings:
		$1 = { 53 8B DA 8B C3 33 C9 BA 74 00 00 00 E8 ?? ?? ?? ?? C7 03 74 00 00 00 5B C3 }
	condition:
		$1
}

rule function_74958_0 {
	meta:
		name = "TTextAttributes.GetConsistentAttributes"
		size = 188
		refs = "0009 TTextAttributes.GetConsistentAttributes 0014 TWinControl.HandleAllocated 0031 TTextAttributes.InitFormat 0040 TWinControl.GetHandle 0054 SendGetStructMessage"
	strings:
		$1 = { 53 83 C4 88 8B D8 0F B6 05 ?? ?? ?? ?? 88 04 24 8B 43 04 E8 ?? ?? ?? ?? 84 C0 0F 84 8D 00 00 00 80 7B 08 00 0F 85 83 00 00 00 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 8D 44 24 04 50 6A 01 8B 43 04 E8 ?? ?? ?? ?? 80 7B 08 00 0F 94 C1 83 E1 7F BA 3A 04 00 00 E8 ?? ?? ?? ?? 8B 5C 24 08 F6 C3 01 74 04 80 0C 24 01 F7 C3 00 00 00 40 74 04 80 0C 24 02 F7 C3 00 00 00 20 74 04 80 0C 24 04 F6 C3 02 74 04 80 0C 24 08 F7 C3 00 00 00 80 74 04 80 0C 24 10 F6 C3 08 74 04 80 0C 24 20 F6 C3 04 74 04 80 0C 24 40 F6 C3 10 74 04 80 0C 24 80 0F B6 04 24 83 C4 78 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_74959_0 {
	meta:
		name = "TTextAttributes.GetAttributes"
		size = 61
		refs = "000b TTextAttributes.InitFormat 0013 TWinControl.HandleAllocated 0022 TWinControl.GetHandle 0036 SendGetStructMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 1F 56 6A 01 8B 43 04 E8 ?? ?? ?? ?? 80 7B 08 00 0F 94 C1 83 E1 7F BA 3A 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74960_0 {
	meta:
		name = "TTextAttributes.SetAttributes"
		size = 59
		refs = "001a TWinControl.HandleAllocated 0027 TWinControl.GetHandle 0033 SendStructMessage"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 80 7B 08 00 75 07 BE 01 00 00 00 EB 02 33 F6 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 15 57 8B 43 04 E8 ?? ?? ?? ?? 8B CE BA 44 04 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74961_0 {
	meta:
		name = "TTextAttributes.GetCharset"
		size = 19
		refs = "0006 TTextAttributes.GetAttributes"
	strings:
		$1 = { 83 C4 8C 8B D4 E8 ?? ?? ?? ?? 0F B6 44 24 18 83 C4 74 C3 }
	condition:
		$1
}

rule function_74962_0 {
	meta:
		name = "TTextAttributes.SetCharset"
		size = 45
		refs = "000e TTextAttributes.InitFormat 0023 TTextAttributes.SetAttributes"
	strings:
		$1 = { 53 56 83 C4 8C 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? C7 44 24 04 00 00 00 08 88 5C 24 18 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 74 5E 5B C3 }
	condition:
		$1
}

rule function_74963_0 {
	meta:
		name = "TTextAttributes.GetProtected"
		size = 27
		refs = "0006 TTextAttributes.GetAttributes"
	strings:
		$1 = { 83 C4 8C 8B D4 E8 ?? ?? ?? ?? F6 44 24 08 10 74 04 B0 01 EB 02 33 C0 83 C4 74 C3 }
	condition:
		$1
}

rule function_74964_0 {
	meta:
		name = "TTextAttributes.SetProtected"
		size = 53
		refs = "000e TTextAttributes.InitFormat 002b TTextAttributes.SetAttributes"
	strings:
		$1 = { 53 56 83 C4 8C 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? C7 44 24 04 10 00 00 00 84 DB 74 08 C7 44 24 08 10 00 00 00 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 74 5E 5B C3 }
	condition:
		$1
}

rule function_74965_0 {
	meta:
		name = "TTextAttributes.GetColor"
		size = 32
		refs = "0006 TTextAttributes.GetAttributes"
	strings:
		$1 = { 83 C4 8C 8B D4 E8 ?? ?? ?? ?? F6 44 24 0B 40 74 07 B8 08 00 00 FF EB 04 8B 44 24 14 83 C4 74 C3 }
	condition:
		$1
}

rule function_74966_0 {
	meta:
		name = "TTextAttributes.SetColor"
		size = 70
		refs = "000e TTextAttributes.InitFormat 002f ColorToRGB 003c TTextAttributes.SetAttributes"
	strings:
		$1 = { 53 56 83 C4 8C 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? C7 44 24 04 00 00 00 40 81 FE 08 00 00 FF 75 0A C7 44 24 08 00 00 00 40 EB 0B 8B C6 E8 ?? ?? ?? ?? 89 44 24 14 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 74 5E 5B C3 }
	condition:
		$1
}

rule function_74967_0 {
	meta:
		name = "TTextAttributes.GetName"
		size = 34
		refs = "0009 TTextAttributes.GetAttributes 0019 @UStrFromWArray"
	strings:
		$1 = { 53 83 C4 8C 8B DA 8B D4 E8 ?? ?? ?? ?? 8B C3 8D 54 24 1A B9 20 00 00 00 E8 ?? ?? ?? ?? 83 C4 74 5B C3 }
	condition:
		$1
}

rule function_74968_0 {
	meta:
		name = "TTextAttributes.SetName"
		size = 111
		refs = "0010 @UStrAddRef 0018 TTextAttributes.SetName 0028 TTextAttributes.InitFormat 003f StrPLCopy 0049 TTextAttributes.SetAttributes 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 88 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 88 8B C3 E8 ?? ?? ?? ?? C7 45 8C 00 00 00 20 8D 45 A2 B9 1F 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8D 55 88 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74969_0 {
	meta:
		name = "TTextAttributes.GetStyle"
		size = 80
		refs = "0008 TTextAttributes.GetStyle 000f TTextAttributes.GetAttributes"
	strings:
		$1 = { 53 56 83 C4 8C 0F B6 1D ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 8B 74 24 08 F7 C6 01 00 00 00 74 03 80 CB 01 F7 C6 02 00 00 00 74 03 80 CB 02 F7 C6 04 00 00 00 74 03 80 CB 04 F7 C6 08 00 00 00 74 03 80 CB 08 8B C3 83 C4 74 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_74970_0 {
	meta:
		name = "TTextAttributes.SetStyle"
		size = 88
		refs = "0010 TTextAttributes.InitFormat 004f TTextAttributes.SetAttributes"
	strings:
		$1 = { 53 83 C4 88 88 14 24 8B D8 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? C7 44 24 08 0F 00 00 00 F6 04 24 01 74 05 83 4C 24 0C 01 F6 04 24 02 74 05 83 4C 24 0C 02 F6 04 24 04 74 05 83 4C 24 0C 04 F6 04 24 08 74 05 83 4C 24 0C 08 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 83 C4 78 5B C3 }
	condition:
		$1
}

rule function_74971_0 {
	meta:
		name = "TTextAttributes.GetSize"
		size = 26
		refs = "0006 TTextAttributes.GetAttributes"
	strings:
		$1 = { 83 C4 8C 8B D4 E8 ?? ?? ?? ?? 8B 44 24 0C B9 14 00 00 00 99 F7 F9 83 C4 74 C3 }
	condition:
		$1
}

rule function_74972_0 {
	meta:
		name = "TTextAttributes.SetSize"
		size = 54
		refs = "000e TTextAttributes.InitFormat 002c TTextAttributes.SetAttributes"
	strings:
		$1 = { 53 56 83 C4 8C 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? C7 44 24 04 00 00 00 80 8B C6 03 C0 03 C0 8D 04 80 89 44 24 0C 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 74 5E 5B C3 }
	condition:
		$1
}

rule function_74973_0 {
	meta:
		name = "TTextAttributes.GetHeight"
		size = 30
		refs = "0012 TTextAttributes.GetSize 0018 MulDiv"
	strings:
		$1 = { 53 8B D8 6A 48 8B 43 04 8B 80 C4 02 00 00 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_74974_0 {
	meta:
		name = "TTextAttributes.SetHeight"
		size = 36
		refs = "0014 MulDiv 001d TTextAttributes.SetSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B 80 C4 02 00 00 50 6A 48 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74975_0 {
	meta:
		name = "TTextAttributes.GetPitch"
		size = 47
		refs = "0006 TTextAttributes.GetAttributes"
	strings:
		$1 = { 83 C4 8C 8B D4 E8 ?? ?? ?? ?? 0F B6 44 24 19 24 03 2C 01 72 08 74 0E FE C8 74 06 EB 0C 33 C0 EB 0A B0 01 EB 06 B0 02 EB 02 33 C0 83 C4 74 C3 }
	condition:
		$1
}

rule function_74976_0 {
	meta:
		name = "TTextAttributes.SetPitch"
		size = 62
		refs = "000e TTextAttributes.InitFormat 0034 TTextAttributes.SetAttributes"
	strings:
		$1 = { 53 56 83 C4 8C 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? FE CB 74 06 FE CB 74 09 EB 0E C6 44 24 19 02 EB 0C C6 44 24 19 01 EB 05 C6 44 24 19 00 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 74 5E 5B C3 }
	condition:
		$1
}

rule function_74977_0 {
	meta:
		name = "TTextAttributes.Assign"
		size = 324
		refs = "0014 TTextAttributes.Assign 0022 _Dn_TFont 0027 @IsClass 0037 TTextAttributes.SetColor 0041 TFont.GetName 004b TTextAttributes.SetName 0052 TFont.GetCharset 005b TTextAttributes.SetCharset 0070 TTextAttributes.SetStyle 0077 TFont.GetSize 0080 TTextAttributes.SetSize 0087 TFont.GetPitch 0090 TTextAttributes.SetPitch 009d _DV_TTextAttributes 00af TTextAttributes.GetColor 00c2 TTextAttributes.GetName 00d3 TTextAttributes.GetCharset 00e3 TTextAttributes.GetStyle 00f3 TTextAttributes.GetPitch 0103 TTextAttributes.GetSize 0117 TPersistent.Assign 0131 @UStrArrayClr 0137 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6A 8B FB 8B 57 18 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 47 10 0F B6 40 21 88 45 FF 0F B6 55 FF 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? E9 82 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 68 8B FB 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_74978_0 {
	meta:
		name = "TTextAttributes.AssignTo"
		size = 304
		refs = "0012 TTextAttributes.AssignTo 0020 _Dn_TFont 0025 @IsClass 0030 TTextAttributes.GetColor 003b TFont.SetColor 0045 TTextAttributes.GetName 004f TFont.SetName 0056 TTextAttributes.GetCharset 005f TFont.SetCharset 0066 TTextAttributes.GetStyle 006f TFont.SetStyle 0076 TTextAttributes.GetSize 007f TFont.SetSize 0086 TTextAttributes.GetPitch 008f TFont.SetPitch 0099 _DV_TTextAttributes 00b4 TTextAttributes.SetColor 00c8 TTextAttributes.SetName 00d8 TTextAttributes.SetCharset 00e8 TTextAttributes.SetStyle 00f8 TTextAttributes.SetPitch 0103 TPersistent.AssignTo 011d @UStrArrayClr 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 68 8B C6 E8 ?? ?? ?? ?? 8B D0 8B FB 8B C7 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 72 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 58 8B C6 E8 ?? ?? ?? ?? 8B D0 8B FB 8B C7 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_74980_0 {
	meta:
		name = "TParaAttributes.InitPara"
		size = 25
		refs = "000d @FillChar"
	strings:
		$1 = { 53 8B DA 8B C3 33 C9 BA 9C 00 00 00 E8 ?? ?? ?? ?? C7 03 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_74981_0 {
	meta:
		name = "TParaAttributes.GetAttributes"
		size = 53
		refs = "000b TParaAttributes.InitPara 0013 TWinControl.HandleAllocated 0022 TWinControl.GetHandle 002e SendGetStructMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 17 56 6A 01 8B 43 04 E8 ?? ?? ?? ?? 33 C9 BA 3D 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_74982_0 {
	meta:
		name = "TParaAttributes.SetAttributes"
		size = 98
		refs = "000b TWinControl.HandleNeeded 0013 TWinControl.HandleAllocated 0023 @CallDynaInst 004e TWinControl.GetHandle 005a SendStructMessage"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 43 8B 43 04 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 1E 0F B7 47 18 66 83 F8 01 75 08 66 C7 47 18 02 00 EB 0C 66 83 F8 02 75 06 66 C7 47 18 01 00 57 8B 43 04 E8 ?? ?? ?? ?? 33 C9 BA 47 04 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74983_0 {
	meta:
		name = "TParaAttributes.GetAlignment"
		size = 26
		refs = "0009 TParaAttributes.GetAttributes"
	strings:
		$1 = { 81 C4 44 FF FF FF 8B D4 E8 ?? ?? ?? ?? 0F B7 44 24 18 48 81 C4 BC 00 00 00 C3 }
	condition:
		$1
}

rule function_74984_0 {
	meta:
		name = "TParaAttributes.SetAlignment"
		size = 56
		refs = "0011 TParaAttributes.InitPara 002b TParaAttributes.SetAttributes"
	strings:
		$1 = { 53 56 81 C4 44 FF FF FF 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? C7 44 24 04 08 00 00 00 0F B6 C3 40 66 89 44 24 18 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 BC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_74985_0 {
	meta:
		name = "TParaAttributes.GetNumbering"
		size = 25
		refs = "0009 TParaAttributes.GetAttributes"
	strings:
		$1 = { 81 C4 44 FF FF FF 8B D4 E8 ?? ?? ?? ?? 0F B6 44 24 08 81 C4 BC 00 00 00 C3 }
	condition:
		$1
}

rule function_74986_0 {
	meta:
		name = "TParaAttributes.SetNumbering"
		size = 98
		refs = "0017 TParaAttributes.GetLeftIndent 0028 TParaAttributes.SetLeftIndent 003c TParaAttributes.InitPara 0055 TParaAttributes.SetAttributes"
	strings:
		$1 = { 53 56 81 C4 44 FF FF FF 8B DA 8B F0 8B C3 2C 01 72 1C 75 23 8B C6 E8 ?? ?? ?? ?? 83 F8 0A 7D 17 BA 0A 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? C7 44 24 04 20 00 00 00 0F B6 C3 66 89 44 24 08 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 BC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_74987_0 {
	meta:
		name = "TParaAttributes.GetFirstIndent"
		size = 32
		refs = "0009 TParaAttributes.GetAttributes"
	strings:
		$1 = { 81 C4 44 FF FF FF 8B D4 E8 ?? ?? ?? ?? 8B 44 24 0C B9 14 00 00 00 99 F7 F9 81 C4 BC 00 00 00 C3 }
	condition:
		$1
}

rule function_74988_0 {
	meta:
		name = "TParaAttributes.SetFirstIndent"
		size = 60
		refs = "0011 TParaAttributes.InitPara 002f TParaAttributes.SetAttributes"
	strings:
		$1 = { 53 56 81 C4 44 FF FF FF 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? C7 44 24 04 01 00 00 00 8B C6 03 C0 03 C0 8D 04 80 89 44 24 0C 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 BC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_74989_0 {
	meta:
		name = "TParaAttributes.GetLeftIndent"
		size = 32
		refs = "0009 TParaAttributes.GetAttributes"
	strings:
		$1 = { 81 C4 44 FF FF FF 8B D4 E8 ?? ?? ?? ?? 8B 44 24 14 B9 14 00 00 00 99 F7 F9 81 C4 BC 00 00 00 C3 }
	condition:
		$1
}

rule function_74990_0 {
	meta:
		name = "TParaAttributes.SetLeftIndent"
		size = 60
		refs = "0011 TParaAttributes.InitPara 002f TParaAttributes.SetAttributes"
	strings:
		$1 = { 53 56 81 C4 44 FF FF FF 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? C7 44 24 04 04 00 00 00 8B C6 03 C0 03 C0 8D 04 80 89 44 24 14 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 BC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_74991_0 {
	meta:
		name = "TParaAttributes.GetRightIndent"
		size = 32
		refs = "0009 TParaAttributes.GetAttributes"
	strings:
		$1 = { 81 C4 44 FF FF FF 8B D4 E8 ?? ?? ?? ?? 8B 44 24 10 B9 14 00 00 00 99 F7 F9 81 C4 BC 00 00 00 C3 }
	condition:
		$1
}

rule function_74992_0 {
	meta:
		name = "TParaAttributes.SetRightIndent"
		size = 60
		refs = "0011 TParaAttributes.InitPara 002f TParaAttributes.SetAttributes"
	strings:
		$1 = { 53 56 81 C4 44 FF FF FF 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? C7 44 24 04 02 00 00 00 8B C6 03 C0 03 C0 8D 04 80 89 44 24 10 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 BC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_74993_0 {
	meta:
		name = "TParaAttributes.GetTab"
		size = 39
		refs = "000c TParaAttributes.GetAttributes"
	strings:
		$1 = { 53 81 C4 44 FF FF FF 8B DA 8B D4 E8 ?? ?? ?? ?? 0F B6 C3 8B 44 84 1C B9 14 00 00 00 99 F7 F9 81 C4 BC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_74994_0 {
	meta:
		name = "TParaAttributes.SetTab"
		size = 82
		refs = "0014 TParaAttributes.GetAttributes 0044 TParaAttributes.SetAttributes"
	strings:
		$1 = { 53 56 57 81 C4 44 FF FF FF 8B F9 8B DA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? 8B C7 03 C0 03 C0 8D 04 80 0F B6 D3 89 44 94 1C C7 44 24 04 10 00 00 00 0F B6 C3 66 3B 44 24 1A 7E 05 66 89 44 24 1A 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 BC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74995_0 {
	meta:
		name = "TParaAttributes.GetTabCount"
		size = 25
		refs = "0009 TParaAttributes.GetAttributes"
	strings:
		$1 = { 81 C4 44 FF FF FF 8B D4 E8 ?? ?? ?? ?? 0F BF 44 24 1A 81 C4 BC 00 00 00 C3 }
	condition:
		$1
}

rule function_74996_0 {
	meta:
		name = "TParaAttributes.SetTabCount"
		size = 52
		refs = "0011 TParaAttributes.GetAttributes 0027 TParaAttributes.SetAttributes"
	strings:
		$1 = { 53 56 81 C4 44 FF FF FF 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? C7 44 24 04 10 00 00 00 66 89 74 24 1A 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 BC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_74997_0 {
	meta:
		name = "TParaAttributes.Assign"
		size = 153
		refs = "000c _DV_TParaAttributes 0011 @IsClass 001e TParaAttributes.GetAlignment 0027 TParaAttributes.SetAlignment 002e TParaAttributes.GetFirstIndent 0037 TParaAttributes.SetFirstIndent 003e TParaAttributes.GetLeftIndent 0047 TParaAttributes.SetLeftIndent 004e TParaAttributes.GetRightIndent 0057 TParaAttributes.SetRightIndent 005e TParaAttributes.GetNumbering 0067 TParaAttributes.SetNumbering 0074 TParaAttributes.GetTab 007f TParaAttributes.SetTab 0090 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 72 8B DF 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 ED 8B DD 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 45 83 FD 20 75 E4 EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_74999_0 {
	meta:
		name = "TConversion.ConvertReadStream"
		size = 90
		refs = "000e @DynArrayAddRef 0016 TConversion.ConvertReadStream 0041 TArray<System.Byte> 0046 @DynArrayClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 4D 08 8B C3 8B 18 FF 53 0C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_75000_0 {
	meta:
		name = "TConversion.ConvertWriteStream"
		size = 90
		refs = "000e @DynArrayAddRef 0016 TConversion.ConvertWriteStream 0041 TArray<System.Byte> 0046 @DynArrayClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 4D 08 8B C3 8B 18 FF 53 10 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_75002_0 {
	meta:
		name = "TRichEditStrings.AddStrings"
		size = 118
		refs = "0033 TRichEditStrings.AddStrings 0041 TStrings.AddStrings 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC 8B 40 2C 8B 88 D0 02 00 00 89 4D F0 8B 88 D4 02 00 00 89 4D F4 33 C9 89 88 D0 02 00 00 89 88 D4 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 2C 8B 55 F0 89 90 D0 02 00 00 8B 55 F4 89 90 D4 02 00 00 C3 E9 ?? ?? ?? ?? EB E0 8B E5 5D C3 }
	condition:
		$1
}

rule function_75003_0 {
	meta:
		name = "TRichEditStrings.GetCount"
		size = 86
		refs = "0011 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 8B D8 6A 00 6A 00 68 BA 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 6A 00 6A 00 8B C6 48 50 68 BB 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 68 C1 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 01 4E 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_75004_0 {
	meta:
		name = "TRichEditStrings.Get"
		size = 99
		refs = "0037 TWinControl.GetHandle 003d SendMessage 0055 @UStrFromPWCharLen"
	strings:
		$1 = { 53 56 57 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 84 24 00 20 00 00 83 C4 04 8B F9 8B F2 8B D8 8B C4 66 C7 00 00 10 8B C4 50 56 68 C4 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 7C 09 66 83 7C 44 FE 0D 75 01 48 8B D4 8B CF 91 E8 ?? ?? ?? ?? 81 C4 00 20 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75005_0 {
	meta:
		name = "TRichEditStrings.Put"
		size = 129
		refs = "001d TWinControl.GetHandle 0023 SendMessage 0061 SendStructMessage 0076 SendTextMessage"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 8B F2 8B D8 85 F6 7C 69 6A 00 56 68 BB 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 89 3C 24 47 74 4B 6A 00 8B 44 24 04 50 68 C1 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 04 24 89 44 24 04 54 8B 43 2C E8 ?? ?? ?? ?? 33 C9 BA 37 04 00 00 E8 ?? ?? ?? ?? 55 8B 43 2C E8 ?? ?? ?? ?? 33 C9 BA C2 00 00 00 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75006_0 {
	meta:
		name = "CountLineBreaks"
		size = 76
		refs = "000a CountLineBreaks 000f Pos 0025 PosEx"
	strings:
		$1 = { 53 56 57 8B F0 33 FF 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 16 47 8D 4B 02 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 EA 8B C7 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_75007_0 {
	meta:
		name = "TRichEditStrings.Insert"
		size = 428
		refs = "001f TRichEditStrings.Insert 003d TWinControl.GetHandle 0043 SendMessage 0059 @UStrLAsg 00ce SendStructMessage 00e9 Format 0101 SendTextMessage 0122 CountLineBreaks 0133 sRichEditInsertError 0138 LoadResString 0142 _Dn_EOutOfResources 0147 Exception.Create 014c @RaiseExcept 0161 @UStrClr 016e @UStrArrayClr 0174 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D FC 89 5D F8 89 4D F4 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 0F 8C 1F 01 00 00 6A 00 57 68 BB 00 00 00 8B 46 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 89 5D EC 85 DB 7C 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 55 6A 00 4F 57 68 BB 00 00 00 8B 46 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 89 5D EC 85 DB 0F 8C CD 00 00 00 6A 00 8B 45 EC 50 68 C1 00 00 00 8B 46 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 AC 00 00 00 01 45 EC 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 8D 45 EC 50 8B 46 2C E8 ?? ?? ?? ?? 33 C9 BA 37 04 00 00 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 F4 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 50 8B 46 2C E8 ?? ?? ?? ?? 33 C9 BA C2 00 00 00 E8 ?? ?? ?? ?? 8B 46 2C 8B 10 FF 92 04 01 00 00 8B F0 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8B 45 F8 E8 ?? ?? ?? ?? 03 5D F0 2B D8 3B F3 74 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 25 00 73 00 0D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 0D 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_75008_0 {
	meta:
		name = "TRichEditStrings.Delete"
		size = 162
		refs = "001e TWinControl.GetHandle 0024 SendMessage 0082 SendStructMessage 0098 SendTextMessage"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 85 F6 0F 8C 8A 00 00 00 6A 00 56 68 BB 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 89 3C 24 47 74 6C 6A 00 46 56 68 BB 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 89 7C 24 04 47 75 21 6A 00 8B 44 24 04 50 68 C1 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 04 24 89 44 24 04 54 8B 43 2C E8 ?? ?? ?? ?? 33 C9 BA 37 04 00 00 E8 ?? ?? ?? ?? 6A 00 8B 43 2C E8 ?? ?? ?? ?? 33 C9 BA C2 00 00 00 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75009_0 {
	meta:
		name = "TRichEditStrings.Clear"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 46 2C 8B 10 FF 92 14 01 00 00 5E C3 }
	condition:
		$1
}

rule function_75010_0 {
	meta:
		name = "TRichEditStrings.SetUpdateState"
		size = 77
		refs = "0022 TWinControl.GetHandle 0028 SendMessage 0034 TControl.Refresh 0045 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 7E 2C 80 BF F2 01 00 00 00 74 19 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 84 DB 75 19 8B 46 2C E8 ?? ?? ?? ?? 6A 00 33 C9 BA 12 B0 00 00 8B 46 2C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75011_0 {
	meta:
		name = "TRichEditStrings.EnableChange"
		size = 89
		refs = "0015 TWinControl.GetHandle 001b SendMessage"
	strings:
		$1 = { 53 56 8B 58 2C 84 D2 74 1D 6A 00 6A 00 68 3B 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 83 CE 01 EB 1B 6A 00 6A 00 68 3B 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 83 E6 FE 56 6A 00 68 45 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75012_0 {
	meta:
		name = "TRichEditStrings.SetTextStr"
		size = 79
		refs = "0010 TRichEditStrings.EnableChange 0018 TRichEditStrings.SetTextStr 0028 TStrings.SetTextStr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5B 59 5D C3 }
	condition:
		$1
}

rule function_75013_0 {
	meta:
		name = "AdjustLineBreaks"
		size = 223
		refs = "0015 @DynArrayAddRef 001d AdjustLineBreaks 00c4 TArray<System.Byte> 00c9 @DynArrayClear 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 89 55 FC 8B F8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C7 EB 6B 8B 4D FC 0F B6 0C 11 80 F9 0A 75 1C 8B 5D FC 80 7C 13 01 00 75 12 C6 00 0D 40 C6 00 00 40 C6 00 0A 40 C6 00 00 40 EB 40 88 08 40 8B 4D FC 0F B6 4C 11 01 88 08 40 8B 4D FC 80 3C 11 0D 75 29 8B 4D FC 80 7C 11 01 00 75 1F C6 00 0A 40 C6 00 00 40 8B 4D FC 80 7C 11 02 0A 75 0D 8B 4D FC 80 7C 11 03 00 75 03 83 C2 02 83 C2 02 8B CE 49 3B D1 7C 8E 4E 3B D6 75 0A 8B 4D FC 0F B6 14 11 88 10 40 8B D8 2B DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_75014_0 {
	meta:
		name = "StreamSave"
		size = 384
		refs = "001b StreamSave 005f TArray<System.Byte> 0064 @DynArraySetLength 0075 Move 008f TEncoding.GetANSI 0095 TEncoding.GetUnicode 009c _Dn_TEncoding 00a2 TEncoding.Convert 00b3 @DynArrayAsg 00f9 @DynArrayLength 0131 @HandleAnyException 013b @DoneExcept 015b @FinalizeArray 0169 @DynArrayClear 016f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C0 89 45 E4 89 45 E8 89 45 FC 8B 5D 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 08 56 8B F0 8D 7D EC A5 A5 A5 A5 5E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 03 83 7D EC 00 0F 84 D5 00 00 00 8B 45 10 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B 45 0C 8B 4D 10 E8 ?? ?? ?? ?? 80 7D F4 00 74 76 8B 7D F8 85 FF 75 33 8B 45 FC 50 8D 45 E8 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3C E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 D4 84 C0 75 2C 8B 45 FC 50 8D 45 E4 50 E8 ?? ?? ?? ?? 8B D0 8B CF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 4D FC 8B 55 F0 8B 45 EC 8B 38 FF 57 08 89 03 8B 03 3B 45 10 74 11 8B 45 FC E8 ?? ?? ?? ?? 3B 03 75 05 8B 45 10 89 03 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BE 02 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 8B C6 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_75015_0 {
	meta:
		name = "StreamLoad"
		size = 538
		refs = "0021 StreamLoad 004c TArray<System.Byte> 0051 @DynArraySetLength 00ee TEncoding.GetUnicode 00f4 TEncoding.GetANSI 00fb _Dn_TEncoding 0101 TEncoding.Convert 0112 @DynArrayAsg 011a @DynArrayLength 01b2 AdjustLineBreaks 01c3 @HandleAnyException 01cf @DoneExcept 01ef @FinalizeArray 0208 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C0 89 45 D8 89 45 DC 89 45 FC 89 45 F8 8B 5D 14 8B 75 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 08 56 8B F0 8D 7D E0 A5 A5 A5 A5 5E 8D 46 01 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B9 02 00 00 00 8B C6 99 F7 F9 89 C6 8B C6 25 01 00 00 80 79 05 48 83 C8 FE 40 85 C0 7E 01 4E 33 C0 89 45 F0 33 C0 89 03 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D E0 00 74 11 56 8B 4D FC 8B 55 E4 8B 45 E0 8B 30 FF 56 04 89 03 83 3B 00 0F 8E 0A 01 00 00 8B 03 8B 55 FC C6 04 02 00 8B 03 8B 55 FC 80 7C 02 FF 0D 75 0C 8B 03 8B 55 FC C6 44 02 FF 00 FF 0B 80 7D E8 00 0F 84 CC 00 00 00 8B 75 EC 85 F6 75 45 8B 45 FC 50 6A 00 8B 03 50 8D 45 DC 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 03 E9 80 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 D4 84 C0 75 3B 8B 45 FC 50 6A 00 8B 03 50 8D 45 D8 50 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 03 E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 51 24 83 3B 02 7C 23 8B 45 FC 0F B6 00 8B 55 F8 3A 02 75 16 8B 45 FC 0F B6 40 01 8B 55 F8 3A 42 01 75 07 C7 45 F0 02 00 00 00 8B 03 50 8B 4D F0 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 89 03 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? C7 45 F4 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 8B 45 F4 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_75016_0 {
	meta:
		name = "ContainsPreamble"
		size = 260
		refs = "0016 @DynArrayAddRef 001e ContainsPreamble 0030 @DynArrayLength 003b TStream.GetPosition 005e TArray<System.Byte> 0063 @DynArraySetLength 0092 TStream.SetPosition 0098 @HandleFinally 00ef @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 C9 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 01 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 F8 8B 4D E8 8B 45 F4 8B 18 FF 53 0C 89 45 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 99 52 50 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 EC 3B 45 E8 75 29 8B 55 E8 85 D2 7E 26 B8 01 00 00 00 8B 4D F8 0F B6 4C 01 FF 8B 5D FC 3A 4C 03 FF 74 06 C6 45 F3 00 EB 0A 40 4A 75 E5 EB 04 C6 45 F3 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 0F B6 45 F3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75017_0 {
	meta:
		name = "TRichEditStrings.LoadFromStream"
		size = 596
		refs = "0022 TRichEditStrings.LoadFromStream 0033 TEncoding.GetUnicode 0046 ContainsPreamble 0059 TEncoding.GetBigEndianUnicode 007f TEncoding.GetUTF8 00a5 TEncoding.GetANSI 010f StreamLoad 011c TStream.GetPosition 0149 TWinControl.GetHandle 0156 SendGetStructMessage 0169 @HandleFinally 0185 TStream.SetPosition 01c3 SendMessage 01d1 sRichEditLoadFail 01d6 LoadResString 01e0 _Dn_EOutOfResources 01e5 Exception.Create 01ea @RaiseExcept 01f5 TStrings.SetEncoding 0213 TObject.Free 0230 @UStrClr 0239 TArray<System.Byte> 0243 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 33 DB 89 5D BC 89 5D C0 89 5D C4 89 5D C8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 75 7A E8 ?? ?? ?? ?? 8D 55 C8 8B 08 FF 51 24 8B 55 C8 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0A E8 ?? ?? ?? ?? 89 45 F4 EB 54 E8 ?? ?? ?? ?? 8D 55 C4 8B 08 FF 51 24 8B 55 C4 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0A E8 ?? ?? ?? ?? 89 45 F4 EB 2E E8 ?? ?? ?? ?? 8D 55 C0 8B 08 FF 51 24 8B 55 C0 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0A E8 ?? ?? ?? ?? 89 45 F4 EB 08 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 89 45 D0 8B 45 FC 8B 40 34 85 C0 74 05 89 45 E8 EB 13 8B 45 FC 8B 40 2C 8B 80 DC 02 00 00 B2 01 FF 10 89 45 E8 8B 45 E8 89 45 CC 8B 45 FC 0F B6 40 30 88 45 D4 8B 45 F4 89 45 D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 CC 89 45 DC C7 45 E4 ?? ?? ?? ?? 33 C0 89 45 E0 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 80 78 30 00 74 09 C7 45 EC 11 00 00 00 EB 07 C7 45 EC 02 00 00 00 8D 45 DC 50 6A 01 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 8B 4D EC BA 49 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 83 7D EC 02 75 79 83 7D E0 00 74 73 8B 45 F0 99 52 50 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 30 84 C0 74 09 C7 45 EC 02 00 00 00 EB 07 C7 45 EC 11 00 00 00 34 01 88 45 D4 8D 45 DC 50 8B 45 EC 50 68 49 04 00 00 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 7D E0 00 74 21 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 78 34 00 75 08 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75018_0 {
	meta:
		name = "TRichEditStrings.SaveToStream"
		size = 379
		refs = "001c TRichEditStrings.SaveToStream 0083 StreamSave 00a7 @DynArrayLength 00bf TStream.WriteBuffer 00d7 TWinControl.GetHandle 00e3 SendGetStructMessage 00f1 sRichEditSaveFail 00f6 LoadResString 0100 _Dn_EOutOfResources 0105 Exception.Create 010a @RaiseExcept 011d @HandleFinally 013d TObject.Free 015a @UStrClr 0163 TArray<System.Byte> 0168 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D FC 8B F1 8B FA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 34 85 C0 74 05 89 45 F4 EB 13 8B 45 F8 8B 40 2C 8B 80 DC 02 00 00 B2 01 FF 10 89 45 F4 89 7D DC 8B 45 F4 89 45 D8 8B 45 F8 0F B6 40 30 88 45 E0 89 75 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 D8 89 55 E8 C7 45 F0 ?? ?? ?? ?? 33 D2 89 55 EC 84 C0 74 35 BB 11 00 00 00 85 F6 74 31 8D 55 FC 8B C6 8B 08 FF 51 24 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 1B 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 05 BB 02 00 00 00 8D 45 E8 50 6A 01 8B 45 F8 8B 40 2C E8 ?? ?? ?? ?? 8B CB BA 4A 04 00 00 E8 ?? ?? ?? ?? 83 7D EC 00 74 21 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 83 78 34 00 75 08 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75019_0 {
	meta:
		name = "TRichEditStrings.LoadFromFile"
		size = 421
		refs = "0024 TConversionFormat 0029 @InitializeRecord 003f TRichEditStrings.LoadFromFile 004f ExtractFileExt 005a @WStrFromUStr 0065 WideLowerCase 0070 @UStrFromWStr 0082 @UStrDelete 008a TextConversionFormat 0095 @CopyRecord 009a ConversionFormatList 00b1 TList.Get 00cc @UStrEqual 0116 TStrings.LoadFromFile 0125 @HandleAnyException 0130 TObject.Free 013d @RaiseAgain 0142 @DoneExcept 016a @UStrClr 0177 @WStrArrayClr 018a @FinalizeArray 0198 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D E0 89 5D DC 89 5D D8 89 5D FC 89 4D E4 8B FA 89 45 E8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8B C7 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 DC E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 43 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8D 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? 75 13 8D 45 F4 8D 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 46 4B 75 C0 8B 45 E8 83 78 34 00 75 0D B2 01 8B 45 F4 FF 10 8B 55 E8 89 42 34 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D E4 8B D7 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 E8 8B 40 34 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 50 34 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 40 2C BA F0 FF FF 7F 8B 08 FF 91 F8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75020_0 {
	meta:
		name = "TRichEditStrings.SaveToFile"
		size = 402
		refs = "0024 TConversionFormat 0029 @InitializeRecord 003f TRichEditStrings.SaveToFile 004f ExtractFileExt 005a @WStrFromUStr 0065 WideLowerCase 0070 @UStrFromWStr 0082 @UStrDelete 008a TextConversionFormat 0095 @CopyRecord 009a ConversionFormatList 00b1 TList.Get 00cc @UStrEqual 0116 TStrings.SaveToFile 0125 @HandleAnyException 0130 TObject.Free 013d @RaiseAgain 0142 @DoneExcept 0157 @UStrClr 0164 @WStrArrayClr 0177 @FinalizeArray 0185 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D E0 89 5D DC 89 5D D8 89 5D FC 89 4D E4 8B FA 89 45 E8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8B C7 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 DC E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 43 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8D 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? 75 13 8D 45 F4 8D 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 46 4B 75 C0 8B 45 E8 83 78 34 00 75 0D B2 01 8B 45 F4 FF 10 8B 55 E8 89 42 34 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D E4 8B D7 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 E8 8B 40 34 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 89 50 34 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75022_0 {
	meta:
		name = "TCustomRichEdit.Create"
		size = 316
		refs = "000e @ClassCreate 001c TCustomMemo.Create 0025 TCustomRichEdit.Create 0033 _DV_TTextAttributes 0038 TTextAttributes.Create 005d _DV_TParaAttributes 0062 TParaAttributes.Create 006f _DV_TRichEditStrings 0074 TStrings.Create 0088 TWinControl.SetTabStop 0094 TControl.SetWidth 00a0 TControl.SetHeight 00b2 TWinControl.SetDoubleBuffered 00ce TCustomRichEdit.SetHideScrollBars 00d5 GetDC 00df GetDeviceCaps 00ea _DV_TConversion 00f8 ReleaseDC 0115 TControl.Perform 0122 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B4 02 00 00 6A 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B8 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 BC 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C8 02 00 00 89 5E 2C B2 01 8B C3 E8 ?? ?? ?? ?? BA B9 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 59 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 78 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 E8 00 00 00 C6 83 D8 02 00 00 01 B2 01 8B C3 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B F0 6A 5A 56 E8 ?? ?? ?? ?? 89 83 C4 02 00 00 A1 ?? ?? ?? ?? 89 83 DC 02 00 00 56 6A 00 E8 ?? ?? ?? ?? 0F B6 83 78 02 00 00 88 83 C0 02 00 00 6A 00 33 C9 BA 3D B0 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 02 00 }
	condition:
		$1
}

rule function_75023_0 {
	meta:
		name = "TCustomRichEdit.Destroy"
		size = 91
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0049 TCustomMemo.Destroy 0054 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 8B 86 B8 02 00 00 E8 ?? ?? ?? ?? 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? 8B 86 C8 02 00 00 E8 ?? ?? ?? ?? 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75025_0 {
	meta:
		name = "TCustomRichEdit.GetActiveLineNo"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A FF 68 C9 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75026_0 {
	meta:
		name = "TCustomRichEdit.CreateParams"
		size = 164
		refs = "0008 FRichEditModule 0010 TCustomRichEdit.CreateParams 0015 LoadLibrary 0033 TCustomMemo.CreateParams 0041 TWinControl.CreateSubClass 0052 HideScrollBars 0060 HideSelections"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 3D ?? ?? ?? ?? 00 75 1F 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 20 77 07 33 C0 A3 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 0F B6 93 B0 02 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 D8 02 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 83 66 24 FC 5E 5B C3 00 00 52 00 49 00 43 00 48 00 45 00 44 00 32 00 30 00 2E 00 44 00 4C 00 4C 00 00 00 00 00 52 00 49 00 43 00 48 00 45 00 44 00 49 00 54 00 32 00 30 00 57 00 00 00 }
	condition:
		$1
}

rule function_75027_0 {
	meta:
		name = "TCustomRichEdit.CreateWnd"
		size = 351
		refs = "000e TCustomEdit.GetModified 0019 TCustomEdit.CreateWnd 001e SysLocale 0034 GetDefFontCharSet 0041 TFont.SetCharset 0055 TWinControl.GetHandle 005b SendMessage 0066 ColorToRGB 0094 TCustomRichEdit.GetPlainText 00ad TStream.ReadBuffer 00bc TCustomRichEdit.SetPlainText 00c4 TCustomRichEdit.CreateWnd 00cf TEncoding.GetUnicode 00f6 TObject.Free 0120 @HandleFinally 0156 TCustomEdit.SetModified"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 88 45 F9 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 0C 00 74 1D A1 ?? ?? ?? ?? 83 78 04 11 74 12 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 6C E8 ?? ?? ?? ?? 68 01 00 2C 00 6A 00 68 45 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 74 E8 ?? ?? ?? ?? 50 6A 00 68 43 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 CC 02 00 00 00 0F 84 BE 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 88 45 FA 8D 55 FB 8B 45 FC 8B 80 CC 02 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 0F B6 55 FB 0A 55 FA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 90 CC 02 00 00 8B 45 FC 8B 80 C8 02 00 00 8B 18 FF 53 74 8B 45 FC 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 CC 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 FA 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 8B 45 FC 8B 90 0C 03 00 00 8B 45 FC 8B 08 FF 91 10 01 00 00 8B 45 FC 8B 90 08 03 00 00 8B 45 FC 8B 08 FF 91 0C 01 00 00 0F B6 55 F9 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_75028_0 {
	meta:
		name = "TCustomRichEdit.DestroyWnd"
		size = 273
		refs = "001b TCustomEdit.GetModified 002b _Dn_TMemoryStream 0030 TObject.Create 0041 TCustomRichEdit.GetPlainText 0060 TCustomRichEdit.SetPlainText 009e TStream.WriteBuffer 00a6 TCustomRichEdit.DestroyWnd 00b1 TEncoding.GetUnicode 00df TStream.SetPosition 00fe @HandleFinally 0108 TCustomEdit.DestroyWnd"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC F6 40 5D 20 0F 84 ED 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 88 82 D9 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 CC 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 8B 45 FC F6 40 1C 10 0F 95 C0 88 45 FA 0F B6 55 FA 0A 55 FB 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 00 01 00 00 8B 55 FC 89 82 08 03 00 00 8B 45 FC 8B 10 FF 92 04 01 00 00 8B 55 FC 89 82 0C 03 00 00 8D 55 FA 8B 45 FC 8B 80 CC 02 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 90 CC 02 00 00 8B 45 FC 8B 80 C8 02 00 00 8B 18 FF 93 88 00 00 00 6A 00 6A 00 8B 45 FC 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 FB 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_75030_0 {
	meta:
		name = "TCustomRichEdit.CMFontChanged"
		size = 15
		altNames = "TCustomRichEdit.WMSetFont"
	strings:
		$1 = { 8B 50 6C 8B 80 B8 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_75031_0 {
	meta:
		name = "TCustomRichEdit.WMRButtonUp"
		size = 116
		refs = "000b Win32MajorVersion 0017 TWinControl.GetHandle 003f TControl.ClientToScreen 0060 TControl.Perform 0069 TControl.WMRButtonUp"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B FA 8B D8 A1 ?? ?? ?? ?? 83 38 05 7D 50 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 47 08 89 04 24 0F BF 04 24 89 44 24 04 0F BF 44 24 02 89 44 24 08 8D 4C 24 0C 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B 44 24 0C 25 FF FF 00 00 8B 54 24 10 C1 E2 10 0B C2 50 8B CE BA 7B 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75033_0 {
	meta:
		name = "TCustomRichEdit.DoSetMaxLength"
		size = 30
		refs = "0011 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 35 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75034_0 {
	meta:
		name = "TCustomRichEdit.GetCaretPos"
		size = 92
		refs = "000f TWinControl.GetHandle 001b SendGetStructMessage 0038 SendMessage"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 54 6A 00 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 34 04 00 00 E8 ?? ?? ?? ?? 8B 44 24 04 89 06 8B 06 50 6A 00 68 36 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 04 6A 00 6A FF 68 BB 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 29 06 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_75035_0 {
	meta:
		name = "TCustomRichEdit.SetCaretPos"
		size = 71
		refs = "0018 TWinControl.GetHandle 001e SendMessage 003d SendStructMessage"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 6A 00 8B 46 04 50 68 BB 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 03 3E 89 3C 24 89 7C 24 04 54 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 37 04 00 00 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75036_0 {
	meta:
		name = "TCustomRichEdit.GetSelLength"
		size = 39
		refs = "000c TWinControl.GetHandle 0018 SendGetStructMessage"
	strings:
		$1 = { 53 83 C4 F8 8B D8 54 6A 00 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 34 04 00 00 E8 ?? ?? ?? ?? 8B 44 24 04 2B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_75037_0 {
	meta:
		name = "TCustomRichEdit.GetSelStart"
		size = 35
		refs = "000c TWinControl.GetHandle 0018 SendGetStructMessage"
	strings:
		$1 = { 53 83 C4 F8 8B D8 54 6A 00 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 34 04 00 00 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_75038_0 {
	meta:
		name = "TCustomRichEdit.GetSelTextBuf"
		size = 131
		refs = "0018 TCustomRichEdit.GetSelTextBuf 005a StrPLCopy 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 08 01 00 00 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 8B D8 8B C2 85 C0 74 05 83 E8 04 8B 00 3B C6 7C 03 8B DE 4B 8B CB 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_75039_0 {
	meta:
		name = "TCustomRichEdit.GetSelText"
		size = 109
		refs = "0019 @UStrSetLength 0055 TWinControl.GetHandle 0063 SendEMGetTextExMessage"
	strings:
		$1 = { 53 56 83 C4 E8 8B F2 8B D8 8B C3 8B 10 FF 92 00 01 00 00 8B D0 42 8B C6 E8 ?? ?? ?? ?? 8B 06 89 44 24 14 8B 44 24 14 85 C0 74 05 83 E8 04 8B 00 03 C0 89 04 24 C7 44 24 04 02 00 00 00 C7 44 24 08 B0 04 00 00 33 C0 89 44 24 0C 33 C0 89 44 24 10 56 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 04 BA 5E 04 00 00 E8 ?? ?? ?? ?? 83 C4 18 5E 5B C3 }
	condition:
		$1
}

rule function_75040_0 {
	meta:
		name = "TCustomRichEdit.CMBiDiModeChanged"
		size = 84
		refs = "000f TWinControl.HandleNeeded 0018 TWinControl.CMBiDiModeChanged 0025 TParaAttributes.GetAttributes 0047 TParaAttributes.SetAttributes"
	strings:
		$1 = { 53 56 81 C4 44 FF FF FF 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D4 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? C7 44 24 04 08 00 00 00 0F B6 83 78 02 00 00 40 66 89 44 24 18 8B D4 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 81 C4 BC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_75041_0 {
	meta:
		name = "TCustomListView.SetHideSelection"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TCustomRichEdit.SetHideScrollBars"
	strings:
		$1 = { 3A 90 B0 02 00 00 74 0B 88 90 B0 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75042_0 {
	meta:
		name = "TCustomRichEdit.SetHideSelection"
		size = 47
		refs = "0023 TWinControl.GetHandle 0029 SendMessage"
	strings:
		$1 = { 53 8B D8 3A 93 D8 02 00 00 74 22 88 93 D8 02 00 00 6A 01 0F B6 83 D8 02 00 00 50 68 3F 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75043_0 {
	meta:
		name = "TCustomListView.SetListColumns"
		size = 16
		altNames = "TCustomRichEdit.SetSelAttributes"
	strings:
		$1 = { 56 8B F0 8B 86 B4 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_75044_0 {
	meta:
		name = "TCustomRichEdit.SetSelLength"
		size = 85
		refs = "000f TWinControl.GetHandle 001b SendGetStructMessage 0036 SendStructMessage 004c SendMessage"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 54 6A 00 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 34 04 00 00 E8 ?? ?? ?? ?? 03 34 24 89 74 24 04 54 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 37 04 00 00 E8 ?? ?? ?? ?? 6A 00 6A 00 68 31 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_75045_0 {
	meta:
		name = "TCustomRichEdit.SetDefAttributes"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 B8 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_75046_0 {
	meta:
		name = "TCustomRichEdit.GetPlainText"
		size = 11
	strings:
		$1 = { 8B 80 C8 02 00 00 0F B6 40 30 C3 }
	condition:
		$1
}

rule function_75047_0 {
	meta:
		name = "TCustomRichEdit.SetPlainText"
		size = 10
	strings:
		$1 = { 8B 80 C8 02 00 00 88 50 30 C3 }
	condition:
		$1
}

rule function_75048_0 {
	meta:
		name = "TCustomRichEdit.CMColorChanged"
		size = 41
		refs = "0006 TCustomEdit.CMColorChanged 000e ColorToRGB 001d TWinControl.GetHandle 0023 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 74 E8 ?? ?? ?? ?? 50 6A 00 68 43 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75049_0 {
	meta:
		name = "TCustomRichEdit.SetRichEditStrings"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 C8 02 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_75050_0 {
	meta:
		name = "TCustomRichEdit.SetSelStart"
		size = 37
		refs = "0011 TWinControl.GetHandle 001d SendStructMessage"
	strings:
		$1 = { 53 83 C4 F8 8B D8 89 14 24 89 54 24 04 54 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 37 04 00 00 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_75051_0 {
	meta:
		name = "TCustomRichEdit.Print"
		size = 502
		refs = "0019 @FillChar 001e Printer 002a @UStrAsg 0031 TPrinter.BeginDoc 0038 TPrinter.GetHandle 004f GetDeviceCaps 006f IsRectEmpty 007a TPrinter.GetPageWidth 008d TPrinter.GetPageHeight 0122 TWinControl.GetHandle 0128 SendMessage 013c SetMapMode 015e TCustomRichEdit.Print 0190 SendStructMessage 01a2 TPrinter.NewPage 01b2 TPrinter.EndDoc 01e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 8B DA 89 45 FC 8D 45 C0 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 18 8B D3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 89 5D C0 89 5D C4 6A 58 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 6A 5A 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 05 F8 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 28 8B C6 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 FB 89 45 D0 8B C6 E8 ?? ?? ?? ?? 69 C0 A0 05 00 00 99 F7 FF 89 45 D4 EB 4C 8B 45 FC 69 80 F8 02 00 00 A0 05 00 00 99 F7 FB 89 45 C8 8B 45 FC 69 80 FC 02 00 00 A0 05 00 00 99 F7 FF 89 45 CC 8B 45 FC 69 80 00 03 00 00 A0 05 00 00 99 F7 FB 89 45 D0 8B 45 FC 69 80 04 03 00 00 A0 05 00 00 99 F7 FF 89 45 D4 56 8D 75 C8 8D 7D D8 A5 A5 A5 A5 5E 56 8D 75 C8 8D 7D B0 A5 A5 A5 A5 5E 33 DB C7 45 F0 08 00 00 00 C7 45 F4 B0 04 00 00 6A 00 8D 45 F0 50 68 5F 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 C7 45 EC FF FF FF FF 6A 01 8B 45 C0 50 E8 ?? ?? ?? ?? 89 45 F8 6A 00 6A 00 68 39 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 57 8D 75 B0 8D 7D C8 A5 A5 A5 A5 5F 5E 89 5D E8 8D 45 C0 50 8B 45 FC E8 ?? ?? ?? ?? B9 01 00 00 00 BA 39 04 00 00 E8 ?? ?? ?? ?? 8B D8 3B FB 7E 0C 83 FB FF 74 07 8B C6 E8 ?? ?? ?? ?? 3B FB 7E 05 83 FB FF 75 B9 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 6A 00 68 39 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 C0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75052_0 {
	meta:
		name = "TCustomRichEdit.WMPaint"
		size = 195
		refs = "0016 TWinControl.GetHandle 001c GetUpdateRect 0044 Rect 0052 IntersectRect 0069 InvalidateRect 006f Painting 008d TCustomRichEdit.WMPaint 009c TWinControl.WMPaint 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B FA 8B F0 6A FF 8D 45 F0 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 49 8D 55 D0 8B C6 8B 08 FF 51 60 8B 45 DC 50 8D 45 E0 50 8B 5D D8 8B C3 83 E8 03 8B CB 8B 55 D4 E8 ?? ?? ?? ?? 8D 4D E0 8D 55 F0 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 13 6A FF 8D 45 E0 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 0C 8B C6 8B 10 FF 92 9C 00 00 00 EB 3A C6 05 ?? ?? ?? ?? 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 C3 E9 ?? ?? ?? ?? EB F1 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75053_0 {
	meta:
		name = "TCustomRichEdit.WMSetCursor"
		size = 170
		refs = "000e TWinControl.WMSetCursor 0025 GetCursorPos 0064 TControl.Perform 0075 Screen 0081 TScreen.GetCursors 0087 SetCursor"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7E 0C 00 0F 85 88 00 00 00 C7 46 0C 01 00 00 00 54 E8 ?? ?? ?? ?? 0F B7 04 24 66 89 44 24 0C 0F B7 44 24 04 66 89 44 24 0E 8B 44 24 0C 89 44 24 08 0F B7 44 24 08 0F B7 C0 0F B7 54 24 0A 0F B7 D2 C1 E2 10 0B C2 50 33 C9 BA 84 00 00 00 8B C3 E8 ?? ?? ?? ?? 99 48 74 21 83 C0 FB 83 E8 02 73 30 A1 ?? ?? ?? ?? 8B 00 BA FE FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 17 A1 ?? ?? ?? ?? 8B 00 BA FC FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_75054_0 {
	meta:
		name = "TCustomRichEdit.CNNotify"
		size = 121
		refs = "002a @CallDynaInst 0048 TCustomRichEdit.SaveClipboard 0066 TCustomRichEdit.ProtectChange"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 7B 08 8B 47 08 2D 01 07 00 00 74 1C 48 74 0C 83 E8 02 74 3D 83 E8 04 74 1E EB 52 8B C6 66 BE AD FF E8 ?? ?? ?? ?? EB 45 8D 57 0C 8B C6 8B 08 FF 91 24 01 00 00 EB 36 8B 4F 10 8B 57 0C 8B C6 E8 ?? ?? ?? ?? 84 C0 75 25 C7 43 0C 01 00 00 00 EB 1C 8D 47 18 8B F8 8B 4F 04 8B 17 8B C6 E8 ?? ?? ?? ?? 84 C0 75 07 C7 43 0C 01 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75055_0 {
	meta:
		name = "TCustomRichEdit.SaveClipboard"
		size = 47
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 F2 02 00 00 00 74 18 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 83 F4 02 00 00 FF 93 F0 02 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_75056_0 {
	meta:
		name = "TCustomRichEdit.ProtectChange"
		size = 47
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 B8 EA 02 00 00 00 74 18 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 83 EC 02 00 00 FF 93 E8 02 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_75057_0 {
	meta:
		name = "TCustomRichEdit.SelectionChange"
		size = 29
	strings:
		$1 = { 53 66 83 B8 D2 02 00 00 00 74 10 8B D8 8B D0 8B 83 D4 02 00 00 FF 93 D0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_75059_0 {
	meta:
		name = "TCustomRichEdit.FindText"
		size = 88
		refs = "0031 @UStrToPWChar 003f TWinControl.GetHandle 004b SendStructMessage"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B FA 8B F0 8B 45 08 8B D1 89 55 F4 03 55 0C 89 55 F8 BB 01 00 00 00 A8 01 74 03 83 CB 02 A8 02 74 03 83 CB 04 8B C7 E8 ?? ?? ?? ?? 89 45 FC 8D 45 F4 50 8B C6 E8 ?? ?? ?? ?? 8B CB BA 38 04 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_75060_0 {
	meta:
		name = "AppendConversionFormat"
		size = 127
		refs = "0017 AppendConversionFormat 0023 TConversionFormat 002d @New 003b AnsiLowerCaseFileName 0046 @UStrAsg 0052 ConversionFormatList 0057 TList.Add 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? B8 08 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B F3 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8D 46 04 E8 ?? ?? ?? ?? 8B 45 FC 89 06 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_75064_0 {
	meta:
		name = "TCustomUpDown.Create"
		size = 204
		refs = "000d @ClassCreate 001b TWinControl.Create 0022 GetSystemMetrics 002b TControl.SetWidth 003b TControl.SetHeight 009c TCustomUpDown.Create 00b1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 6A 14 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 54 8B D0 D1 F8 79 03 83 D0 00 03 D0 8B C3 E8 ?? ?? ?? ?? C6 83 78 02 00 00 01 C6 83 99 02 00 00 00 33 C0 89 83 94 02 00 00 33 C0 89 83 80 02 00 00 C7 83 84 02 00 00 64 00 00 00 C7 83 88 02 00 00 01 00 00 00 C6 83 A8 02 00 00 01 C6 83 A9 02 00 00 01 C6 83 98 02 00 00 01 A1 ?? ?? ?? ?? F7 D0 23 43 58 89 43 58 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 00 00 00 80 00 20 00 }
	condition:
		$1
}

rule function_75065_0 {
	meta:
		name = "TCustomUpDown.CreateParams"
		size = 164
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 0068 TCustomUpDown.CreateParams 0071 TWinControl.CreateSubClass"
	strings:
		$1 = { 53 56 8B DA 8B F0 B8 10 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 83 4B 04 02 80 BE A8 02 00 00 01 75 06 83 4B 04 04 EB 04 83 4B 04 08 80 BE A9 02 00 00 00 75 04 83 4B 04 40 80 BE 78 02 00 00 00 74 04 83 4B 04 20 80 BE 98 02 00 00 00 75 07 81 4B 04 80 00 00 00 80 BE 99 02 00 00 00 74 04 83 4B 04 01 B9 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 43 24 83 E0 FC 83 C8 08 89 43 24 5E 5B C3 6D 00 73 00 63 00 74 00 6C 00 73 00 5F 00 75 00 70 00 64 00 6F 00 77 00 6E 00 33 00 32 00 00 00 }
	condition:
		$1
}

rule function_75066_0 {
	meta:
		name = "TCustomUpDown.CreateWnd"
		size = 199
		refs = "000d TWinControl.CreateWnd 0020 TCustomUpDown.UndoAutoResizing 002d TWinControl.GetHandle 0040 SendMessage 0049 TControl.SetWidth 009d SendGetStructMessage 00be SendStructMessage"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B 73 50 8B C3 E8 ?? ?? ?? ?? 8B 83 7C 02 00 00 85 C0 74 29 8B D0 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? 50 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 84 02 00 00 50 8B 83 80 02 00 00 50 68 6F 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 94 02 00 00 50 6A 00 68 71 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 54 6A 00 8B C3 E8 ?? ?? ?? ?? B9 01 00 00 00 BA 6C 04 00 00 E8 ?? ?? ?? ?? 8B 83 88 02 00 00 89 44 24 04 54 8B C3 E8 ?? ?? ?? ?? B9 01 00 00 00 BA 6B 04 00 00 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_75067_0 {
	meta:
		name = "TCustomUpDown.WMHScroll"
		size = 83
		refs = "002e @CallDynaInst"
		altNames = "TCustomUpDown.WMVScroll"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B C3 8B 08 FF 51 F0 66 83 7F 04 04 75 38 0F BF 47 06 8B 93 94 02 00 00 3B C2 7E 0F 33 D2 8B C3 66 BE AD FF E8 ?? ?? ?? ?? EB 11 3B D0 7E 0D B2 01 8B C3 66 BE AD FF E8 ?? ?? ?? ?? 0F BF 47 06 89 83 94 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75068_0 {
	meta:
		name = "TCustomUpDown.WMSize"
		size = 47
		refs = "0009 TWinControl.WMSize 0020 TWinControl.GetHandle 0026 InvalidateRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 51 60 6A 00 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_75070_0 {
	meta:
		name = "TCustomUpDown.DoCanChange"
		size = 28
		refs = "0016 @CallDynaInst"
	strings:
		$1 = { 56 8B F0 89 96 8C 02 00 00 89 8E 90 02 00 00 8B C6 66 BE AE FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_75071_0 {
	meta:
		name = "TCustomUpDown.CanChange"
		size = 152
	strings:
		$1 = { 53 56 51 8B F0 C6 04 24 01 33 DB 8B 86 8C 02 00 00 3B 86 80 02 00 00 7D 09 83 BE 90 02 00 00 00 7C 17 8B 86 8C 02 00 00 3B 86 84 02 00 00 7E 0D 83 BE 90 02 00 00 00 7E 04 33 DB EB 14 8B 86 90 02 00 00 85 C0 7D 04 B3 02 EB 06 85 C0 7E 02 B3 01 66 83 BE B2 02 00 00 00 74 10 8B CC 8B D6 8B 86 B4 02 00 00 FF 96 B0 02 00 00 66 83 BE BA 02 00 00 00 74 1B 0F B7 86 8C 02 00 00 50 53 8D 4C 24 08 8B D6 8B 86 BC 02 00 00 FF 96 B8 02 00 00 0F B6 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_75072_0 {
	meta:
		name = "TCustomUpDown.CMAllChildrenFlipped"
		size = 25
		refs = "000c TCustomUpDown.SetAlignButton"
	strings:
		$1 = { 80 B8 A8 02 00 00 01 75 08 33 D2 E8 ?? ?? ?? ?? C3 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75073_0 {
	meta:
		name = "TCustomUpDown.CNNotify"
		size = 50
		refs = "0021 TCustomUpDown.DoCanChange"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B 5F 08 81 7B 08 2E FD FF FF 75 19 8B 53 0C 8B 6B 10 03 D5 8B CD 8B C6 E8 ?? ?? ?? ?? 34 01 83 E0 7F 89 47 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75075_0 {
	meta:
		name = "IsClass"
		size = 47
		refs = "0012 TObject.ClassNameIs 001d TObject.ClassParent"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 B3 01 85 FF 74 1A 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 75 0F 8B C7 E8 ?? ?? ?? ?? 8B F8 85 FF 75 E6 33 DB 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75076_0 {
	meta:
		name = "TCustomUpDown.SetAssociate"
		size = 532
		refs = "0016 TCustomUpDown.SetAssociate 002c TWinControl.GetControlCount 0045 TWinControl.GetControl 004b _DV_TCustomUpDown 0050 @IsClass 009e sUDAssociated 00a5 _Dn_Exception 00aa Exception.CreateResFmt 00af @RaiseExcept 00c5 TWinControl.HandleAllocated 00d9 TWinControl.GetHandle 00df SendMessage 010c _DV_TCustomTreeView 011d _DV_TCustomListView 0136 IsClass 0168 TCustomUpDown.UndoAutoResizing 0192 _Dn_TCustomEdit 01a9 IntToStr 01b3 TControl.SetText 01c8 @UStrClr 01ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 91 00 00 00 8B 43 38 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 80 00 00 00 40 89 45 FC 33 FF 8B D7 8B 43 38 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5B 8B D7 8B 43 38 E8 ?? ?? ?? ?? 3B D8 74 4D 8B D7 8B 43 38 E8 ?? ?? ?? ?? 3B B0 7C 02 00 00 75 3B 8B 46 08 89 45 EC C6 45 F0 11 8B D7 8B 43 38 E8 ?? ?? ?? ?? 8B 40 08 89 45 F4 C6 45 F8 11 8D 45 EC 50 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 FF 4D FC 75 86 83 BB 7C 02 00 00 00 74 29 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 89 83 7C 02 00 00 85 F6 74 4F 8B 46 38 3B 43 38 75 47 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 36 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 25 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 14 8B 06 89 C7 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 34 01 EB 02 33 C0 84 C0 74 73 8B 06 89 C7 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 75 5F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 8B C6 E8 ?? ?? ?? ?? 50 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 B3 7C 02 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8D 55 E8 8B 83 94 02 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 44 00 42 00 45 00 64 00 69 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 44 00 42 00 4D 00 65 00 6D 00 6F 00 00 00 }
	condition:
		$1
}

rule function_75077_0 {
	meta:
		name = "TCustomUpDown.UndoAutoResizing"
		size = 84
		refs = "0013 TWinControl.GetHandle 0026 SendMessage 0040 TControl.SetWidth 004b TControl.SetLeft"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 8B 73 50 8B 7B 48 6A 00 8B C3 E8 ?? ?? ?? ?? 50 68 69 04 00 00 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 50 8B 53 48 8B CE 2B C8 8B C1 8B EA 2B EF 8D 14 30 8B C3 E8 ?? ?? ?? ?? 8B D7 2B D5 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75078_0 {
	meta:
		name = "TCustomUpDown.Notification"
		size = 78
		refs = "0010 TWinControl.Notification 0024 TWinControl.HandleAllocated 0038 TWinControl.GetHandle 003e SendMessage"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 31 3B B7 7C 02 00 00 75 29 8B C7 E8 ?? ?? ?? ?? 84 C0 74 1E 6A 00 6A 00 68 69 04 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 89 87 7C 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75079_0 {
	meta:
		name = "TCustomUpDown.GetPosition"
		size = 70
		refs = "0007 TWinControl.HandleAllocated 001c TWinControl.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2E 8B C4 50 6A 00 68 72 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 3C 24 00 75 08 89 83 94 02 00 00 EB 0F 8B 83 94 02 00 00 5A 5B C3 8B 83 94 02 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_75080_0 {
	meta:
		name = "TCustomUpDown.SetMin"
		size = 62
		refs = "0014 TWinControl.HandleAllocated 0032 TWinControl.GetHandle 0038 SendMessage"
	strings:
		$1 = { 53 8B D8 3B 93 80 02 00 00 74 31 89 93 80 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 8B 83 84 02 00 00 50 8B 83 80 02 00 00 50 68 6F 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75081_0 {
	meta:
		name = "TCustomUpDown.SetMax"
		size = 62
		refs = "0014 TWinControl.HandleAllocated 0032 TWinControl.GetHandle 0038 SendMessage"
	strings:
		$1 = { 53 8B D8 3B 93 84 02 00 00 74 31 89 93 84 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 8B 83 84 02 00 00 50 8B 83 80 02 00 00 50 68 6F 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75082_0 {
	meta:
		name = "TCustomUpDown.SetIncrement"
		size = 91
		refs = "001a TWinControl.HandleAllocated 0028 TWinControl.GetHandle 0037 SendGetStructMessage 0052 SendStructMessage"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 3B B3 88 02 00 00 74 45 89 B3 88 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 34 54 6A 00 8B C3 E8 ?? ?? ?? ?? B9 01 00 00 00 BA 6C 04 00 00 E8 ?? ?? ?? ?? 89 74 24 04 54 8B C3 E8 ?? ?? ?? ?? B9 01 00 00 00 BA 6B 04 00 00 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_75083_0 {
	meta:
		name = "TCustomUpDown.SetPosition"
		size = 207
		refs = "000f TCustomUpDown.SetPosition 001c TCustomUpDown.GetPosition 003b TCustomUpDown.DoCanChange 0062 _Dn_TCustomEdit 0067 @IsClass 0079 IntToStr 0083 TControl.SetText 008a TWinControl.HandleAllocated 00a3 TWinControl.GetHandle 00a9 SendMessage 00be @UStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 84 85 00 00 00 F6 43 1C 10 75 15 8B CE 2B 8B 94 02 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6A 89 B3 94 02 00 00 F6 43 1C 10 74 38 83 BB 7C 02 00 00 00 74 2F 8B B3 7C 02 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8D 55 FC 8B 83 94 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 83 94 02 00 00 50 6A 00 68 71 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75084_0 {
	meta:
		name = "TCustomUpDown.SetOrientation"
		size = 116
		refs = "0015 TCustomUpDown.SetOrientation 0044 TWinControl.HandleAllocated 0058 TWinControl.GetHandle 005e SendMessage 0065 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 56 8B D8 3A 93 A9 02 00 00 74 5D 88 93 A9 02 00 00 0F B7 05 ?? ?? ?? ?? 66 23 43 1C 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 18 8B 43 54 50 8B 43 50 50 8B 4B 4C 8B 53 48 8B C3 8B 30 FF 96 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 41 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_75085_0 {
	meta:
		name = "TCustomUpDown.SetAlignButton"
		size = 59
		refs = "0014 TWinControl.HandleAllocated 0028 TWinControl.GetHandle 002e SendMessage 0035 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 A8 02 00 00 74 2E 88 93 A8 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75086_0 {
	meta:
		name = "TCustomUpDown.SetArrowKeys"
		size = 59
		refs = "0014 TWinControl.HandleAllocated 0028 TWinControl.GetHandle 002e SendMessage 0035 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 78 02 00 00 74 2E 88 93 78 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75087_0 {
	meta:
		name = "TCustomUpDown.SetThousands"
		size = 59
		refs = "0014 TWinControl.HandleAllocated 0028 TWinControl.GetHandle 002e SendMessage 0035 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 98 02 00 00 74 2E 88 93 98 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75088_0 {
	meta:
		name = "TCustomUpDown.SetWrap"
		size = 59
		refs = "0014 TWinControl.HandleAllocated 0028 TWinControl.GetHandle 002e SendMessage 0035 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 99 02 00 00 74 2E 88 93 99 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 69 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75091_0 {
	meta:
		name = "TCustomHotKey.Create"
		size = 152
		refs = "000a @ClassCreate 0017 TWinControl.Create 0023 TControl.SetWidth 002f TControl.SetHeight 0038 TWinControl.SetTabStop 0041 TControl.SetParentColor 004f TCustomHotKey.Create 0072 TCustomHotKey.AdjustHeight 007d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 79 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 78 02 00 00 01 0F B6 05 ?? ?? ?? ?? 88 86 7A 02 00 00 0F B6 05 ?? ?? ?? ?? 88 86 79 02 00 00 66 C7 86 7C 02 00 00 41 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 03 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_75092_0 {
	meta:
		name = "TCustomHotKey.CreateParams"
		size = 80
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 001a TCustomHotKey.CreateParams 0023 TWinControl.CreateSubClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 40 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 83 66 24 FC 5E 5B C3 00 00 6D 00 73 00 63 00 74 00 6C 00 73 00 5F 00 68 00 6F 00 74 00 6B 00 65 00 79 00 33 00 32 00 00 00 }
	condition:
		$1
}

rule function_75093_0 {
	meta:
		name = "TCustomHotKey.CreateWnd"
		size = 96
		refs = "0006 TWinControl.CreateWnd 0028 TWinControl.GetHandle 002e SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 83 79 02 00 00 0F B7 C0 83 C8 00 50 0F B6 83 7A 02 00 00 50 68 03 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 0F B6 83 7C 02 00 00 0F B6 93 79 02 00 00 C1 E2 08 66 0B C2 0F B7 C0 50 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75094_0 {
	meta:
		name = "TCustomHotKey.SetAutoSize"
		size = 20
		refs = "000f TCustomHotKey.UpdateHeight"
	strings:
		$1 = { 3A 90 78 02 00 00 74 0B 88 90 78 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84821_0 {
	meta:
		name = "TCustomEdit.SetAlignment"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 78 02 00 00 74 0B 88 90 78 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85129_0 {
	meta:
		name = "TCustomListBox.SetMultiSelect"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 78 02 00 00 74 0B 88 90 78 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85200_0 {
	meta:
		name = "TCustomStaticText.SetAlignment"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 78 02 00 00 74 0B 88 90 78 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75783_0 {
	meta:
		name = "TPageScroller.SetAutoScroll"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 78 02 00 00 74 0B 88 90 78 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75095_0 {
	meta:
		name = "TCustomHotKey.SetModifiers"
		size = 113
		refs = "0038 TWinControl.GetHandle 003e SendMessage"
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 83 79 02 00 00 3A 04 24 74 5B 0F B6 04 24 88 83 79 02 00 00 0F B6 04 24 0F B7 C0 83 C8 00 50 0F B6 83 7A 02 00 00 50 68 03 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 0F B6 83 7C 02 00 00 0F B6 93 79 02 00 00 C1 E2 08 66 0B C2 0F B7 C0 50 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_75096_0 {
	meta:
		name = "TCustomHotKey.SetInvalidKeys"
		size = 114
		refs = "0039 TWinControl.GetHandle 003f SendMessage"
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 83 7A 02 00 00 3A 04 24 74 5C 0F B6 04 24 88 83 7A 02 00 00 0F B6 83 79 02 00 00 0F B7 C0 83 C8 00 50 0F B6 44 24 04 50 68 03 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 0F B6 83 7C 02 00 00 0F B6 93 79 02 00 00 C1 E2 08 66 0B C2 0F B7 C0 50 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_75097_0 {
	meta:
		name = "TCustomHotKey.GetHotKey"
		size = 36
		refs = "000f TWinControl.GetHandle 0015 SendMessage 001e TCustomHotKey.HotKeyToShortCut"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 02 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75098_0 {
	meta:
		name = "TCustomHotKey.SetHotKey"
		size = 56
		refs = "0006 TCustomHotKey.ShortCutToHotKey 002c TWinControl.GetHandle 0032 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 0F B6 83 7C 02 00 00 0F B6 93 79 02 00 00 C1 E2 08 66 0B C2 0F B7 C0 50 68 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75099_0 {
	meta:
		name = "TCustomHotKey.UpdateHeight"
		size = 52
		refs = "000d TCustomHotKey.UpdateHeight 001a TCustomHotKey.AdjustHeight"
	strings:
		$1 = { 53 8B D8 80 BB 78 02 00 00 00 74 14 A1 ?? ?? ?? ?? 0B 43 58 89 43 58 8B C3 E8 ?? ?? ?? ?? 5B C3 A1 ?? ?? ?? ?? F7 D0 23 43 58 89 43 58 5B C3 00 00 02 00 00 }
	condition:
		$1
}

rule function_75100_0 {
	meta:
		name = "TCustomHotKey.AdjustHeight"
		size = 168
		refs = "000b GetDC 0014 GetTextMetrics 001c TFont.GetHandle 0023 SelectObject 003f ReleaseDC 0044 NewStyleControls 0065 GetSystemMetrics 009d TControl.SetHeight"
	strings:
		$1 = { 53 56 57 83 C4 88 8B F0 6A 00 E8 ?? ?? ?? ?? 8B D8 54 53 E8 ?? ?? ?? ?? 8B 46 6C E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B F8 8D 44 24 3C 50 53 E8 ?? ?? ?? ?? 57 53 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 21 80 BE F1 01 00 00 00 74 07 BB 08 00 00 00 EB 05 BB 06 00 00 00 6A 06 E8 ?? ?? ?? ?? 0F AF D8 EB 26 8B 1C 24 8B 44 24 3C 3B D8 7E 02 8B D8 6A 06 E8 ?? ?? ?? ?? 03 C0 03 C0 85 DB 79 03 83 C3 03 C1 FB 02 03 C3 8B D8 8B 54 24 3C 03 D3 8B C6 E8 ?? ?? ?? ?? 83 C4 78 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75101_0 {
	meta:
		name = "TCustomHotKey.ShortCutToHotKey"
		size = 84
		refs = "0017 TCustomHotKey.ShortCutToHotKey"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 B8 FF 1F 66 23 C6 66 89 83 7C 02 00 00 0F B6 05 ?? ?? ?? ?? 88 83 79 02 00 00 66 F7 C6 00 20 74 07 80 8B 79 02 00 00 01 66 F7 C6 00 40 74 07 80 8B 79 02 00 00 02 66 F7 C6 00 80 74 07 80 8B 79 02 00 00 04 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_75102_0 {
	meta:
		name = "TCustomHotKey.HotKeyToShortCut"
		size = 69
	strings:
		$1 = { 0F B7 CA C1 E9 08 88 88 79 02 00 00 0F B6 CA 66 89 88 7C 02 00 00 8B D1 F6 80 79 02 00 00 01 74 05 66 81 C2 00 20 F6 80 79 02 00 00 02 74 05 66 81 C2 00 40 F6 80 79 02 00 00 04 74 05 66 81 C2 00 80 8B C2 C3 }
	condition:
		$1
}

rule function_75103_0 {
	meta:
		name = "TCustomHotKey.CNCommand"
		size = 50
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 66 81 7E 06 00 03 75 18 66 83 BB 82 02 00 00 00 74 0E 8B D3 8B 83 84 02 00 00 FF 93 80 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_75105_0 {
	meta:
		name = "TListColumn.Create"
		size = 175
		refs = "0011 @ClassCreate 002c TCollectionItem.Create 005b TListColumns.Owner 0060 TWinControl.HandleAllocated 0070 TWinControl.GetHandle 0079 TCollectionItem.GetIndex 008b SendMessage 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 46 08 8B 40 08 89 43 28 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? C7 43 24 32 00 00 00 C6 43 0C 00 83 C8 FF 89 43 1C C7 45 D0 03 00 00 00 33 D2 89 55 D4 8B 53 24 89 55 D8 89 45 E8 8B FE 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B F8 8D 45 D0 50 57 68 61 10 00 00 56 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75106_0 {
	meta:
		name = "TListColumn.Destroy"
		size = 114
		refs = "0006 @BeforeDestruction 0017 TListColumns.Owner 001c TWinControl.HandleAllocated 002d TWinControl.GetHandle 0036 TCollectionItem.GetIndex 0046 SendMessage 0054 TCollectionItem.Destroy 005b TListColumns.UpdateCols 0068 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 51 E8 ?? ?? ?? ?? 88 14 24 8B E8 8B 7D 04 8B F7 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 26 8B 45 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C5 E8 ?? ?? ?? ?? 8B D8 6A 00 53 68 1C 10 00 00 57 E8 ?? ?? ?? ?? 0F B6 14 24 80 E2 FC 8B C5 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C5 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75107_0 {
	meta:
		name = "TListColumn.DefineProperties"
		size = 84
		refs = "000b TPersistent.DefineProperties 0011 TListColumn.ReadData 0017 TListColumn.WriteData 0023 TListColumn.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 83 7B 24 FF 0F 9E C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 57 00 69 00 64 00 74 00 68 00 54 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_75108_0 {
	meta:
		name = "TListColumn.ReadData"
		size = 43
		refs = "000b TReader.CheckValue 0012 TReader.ReadInteger 001b TListColumn.SetWidth"
	strings:
		$1 = { 53 56 8B DA 8B F0 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75109_0 {
	meta:
		name = "TListColumn.WriteData"
		size = 37
		refs = "000b TWriter.WriteValue 0015 TWriter.WriteInteger"
	strings:
		$1 = { 53 56 8B DA 8B F0 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 56 24 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75110_0 {
	meta:
		name = "WriteCols"
		size = 252
		refs = "0010 TListColumns.Owner 001b TWinControl.HandleAllocated 0031 WriteCols 0065 _Dn_TMemoryStream 006a TObject.Create 007e TStream.SetSize64 0093 _Dn_TWriter 0098 TFiler.Create 00ba TWriter.WriteCollection 00cf TObject.Free 00e1 TStream.SetPosition 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 C6 00 00 00 8B 45 F8 0F B7 40 1C 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 0F 85 A8 00 00 00 8B 45 F8 80 B8 01 03 00 00 00 0F 85 98 00 00 00 8B 45 F8 8B 80 C0 02 00 00 85 C0 75 17 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 82 C0 02 00 00 EB 09 6A 00 6A 00 E8 ?? ?? ?? ?? 68 00 04 00 00 8B 45 F8 8B 88 C0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 50 04 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F8 8B 80 C0 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 59 59 5D C3 00 00 00 03 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_75111_0 {
	meta:
		name = "TListColumn.DoChange"
		size = 87
		refs = "0026 TCollection.GetItem 0047 TCollectionItem.Changed 004d WriteCols"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 40 04 8B 40 08 8B 58 08 4B 85 DB 7C 1A 43 33 F6 8B 45 FC 8B 40 04 8B D6 E8 ?? ?? ?? ?? 83 78 24 FF 7E 04 46 4B 75 E9 8B 45 FC 8B 40 04 8B 40 08 3B 70 08 0F 95 C2 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75112_0 {
	meta:
		name = "TListColumn.SetIndex"
		size = 184
		refs = "000e TListColumn.SetIndex 001b TCollectionItem.SetIndex 0033 :TListColumn.:1 0038 @DynArraySetLength 0056 TCollection.GetItem 006b TListColumns.Owner 0070 TWinControl.GetHandle 008b SendMessage 00a6 @DynArrayClear 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 46 04 8B 40 08 8B 40 08 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 04 8B 40 08 8B 78 08 4F 85 FF 7C 1A 47 33 DB 8B D3 8B 46 04 E8 ?? ?? ?? ?? 8B 40 28 8B 55 FC 89 04 9A 43 4F 75 E9 8B 46 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 46 04 8B 40 08 8B 70 08 8B 7D FC 57 56 68 3A 10 00 00 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75113_0 {
	meta:
		name = "TListColumn.SetCaption"
		size = 38
		refs = "000c @UStrEqual 0018 @UStrAsg 001f TListColumn.DoChange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 8B D6 E8 ?? ?? ?? ?? 74 11 8D 43 10 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75114_0 {
	meta:
		name = "TListColumn.GetWidth"
		size = 148
		refs = "0009 TListColumns.Owner 0016 TListColumn.GetWidth 0030 TWinControl.HandleAllocated 005f TCustomListView.ValidHeaderHandle 006a TWinControl.GetHandle 007d SendMessage"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 04 E8 ?? ?? ?? ?? 8B F0 0F B7 46 1C 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 0F 95 C3 83 7F 24 00 75 0F 8B C6 E8 ?? ?? ?? ?? 84 C0 75 2F 84 DB 74 2B 80 7F 0D 00 75 42 8B C6 E8 ?? ?? ?? ?? 84 C0 74 37 80 BE 85 02 00 00 03 75 2E 83 7F 24 FF 74 28 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1D 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 77 28 6A 00 56 68 1D 10 00 00 53 E8 ?? ?? ?? ?? 89 47 24 8B 47 24 5F 5E 5B C3 00 07 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_75115_0 {
	meta:
		name = "TListColumn.IsWidthStored"
		size = 7
	strings:
		$1 = { 0F B6 40 0D 34 01 C3 }
	condition:
		$1
}

rule function_75116_0 {
	meta:
		name = "TListColumn.SetWidth"
		size = 42
		refs = "0025 TListColumn.DoChange"
	strings:
		$1 = { 3B 50 24 74 24 8B 48 18 3B D1 7D 08 85 D2 7C 04 8B D1 EB 0D 8B 48 14 85 C9 7E 06 3B CA 7D 02 8B D1 89 50 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75117_0 {
	meta:
		name = "TListColumn.SetAlignment"
		size = 53
		refs = "000e TCollectionItem.GetIndex 001e TCollectionItem.Changed 0026 TListColumns.Owner"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 0C 74 27 8B C6 E8 ?? ?? ?? ?? 85 C0 74 1C 88 5E 0C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B 10 FF 92 A0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_75118_0 {
	meta:
		name = "TListColumn.SetAutoSize"
		size = 51
		refs = "0010 TListColumns.Owner 0025 @CallDynaInst 002c TListColumn.DoChange"
	strings:
		$1 = { 53 56 8B D8 3A 53 0D 74 27 88 53 0D 8B 43 04 E8 ?? ?? ?? ?? 85 C0 74 11 8B 43 04 E8 ?? ?? ?? ?? 66 BE EF FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75120_0 {
	meta:
		name = "TCoolBand.SetImageIndex"
		size = 16
		refs = "000b TCollectionItem.Changed"
		altNames = "TDataBindItem.SetDispID TGestureCollectionItem.SetErrorMargin TListColumn.SetMaxWidth"
	strings:
		$1 = { 3B 50 14 74 0A 89 50 14 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75122_0 {
	meta:
		name = "TListColumn.Assign"
		size = 116
		refs = "000a _DV_TListColumn 000f @IsClass 001e TListColumn.SetAlignment 0029 TListColumn.SetAutoSize 0033 TListColumn.SetCaption 003d TListColumn.SetImageIndex 0047 TListColumn.SetMaxWidth 0051 TListColumn.SetMinWidth 0058 TListColumn.GetWidth 0061 TListColumn.SetWidth 006d TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 51 0F B6 56 0C 8B C3 E8 ?? ?? ?? ?? 0F B6 56 0D 8B C3 E8 ?? ?? ?? ?? 8B 56 10 8B C3 E8 ?? ?? ?? ?? 8B 56 1C 8B C3 E8 ?? ?? ?? ?? 8B 56 14 8B C3 E8 ?? ?? ?? ?? 8B 56 18 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75127_0 {
	meta:
		name = "TListColumns.Add"
		size = 25
		refs = "0007 TCollection.Add 0010 TListColumns.UpdateCols"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_75917_0 {
	meta:
		name = "TListGroups.Add"
		size = 25
		refs = "0007 TCollection.Add 0010 TListGroups.UpdateGroups"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_75130_0 {
	meta:
		name = "TListColumns.Update"
		size = 49
		refs = "000d TCollectionItem.GetIndex 0015 TListColumns.Owner 001b TCustomListView.UpdateColumn 002a TCustomListView.UpdateColumns"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 18 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75915_0 {
	meta:
		name = "TListGroups.Update"
		size = 49
		refs = "000d TCollectionItem.GetIndex 0015 TListGroups.Owner 001b TCustomListView.UpdateGroup 002a TCustomListView.UpdateGroups"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 18 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75131_0 {
	meta:
		name = "TListColumns.UpdateCols"
		size = 386
		refs = "0015 TListColumns.UpdateCols 0023 TListColumns.Owner 0028 TWinControl.HandleAllocated 005e TIntegerDynArray 0063 @DynArraySetLength 007e TListColumns.GetItem 0094 TWinControl.GetHandle 00a6 SendMessage 0137 TCustomListView.UpdateColumns 0152 @HandleFinally 016f @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 24 01 00 00 8B 45 F8 8B 10 FF 52 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 5D F8 8B 43 08 8B 40 08 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 08 8B 40 08 48 83 F8 00 7C 3A 89 C3 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 28 8B 55 FC 89 04 9A 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B FB 6A 00 57 68 1C 10 00 00 56 E8 ?? ?? ?? ?? 4B 83 FB FF 75 C8 8B 45 F8 8B 40 08 8B 70 08 4E 85 F6 7C 48 46 33 DB C7 45 C8 03 00 00 00 33 C0 89 45 CC 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 24 89 45 D0 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 5D F4 8D 45 C8 50 8B 45 F4 50 68 61 10 00 00 57 E8 ?? ?? ?? ?? 43 4E 75 BB 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F8 8B 40 08 8B 70 08 8B 7D FC 57 56 68 3A 10 00 00 53 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75132_0 {
	meta:
		name = "TWorkArea.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 0026 @UStrClr 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 20 08 00 00 FF 8D 46 1C E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_75134_0 {
	meta:
		name = "TWorkArea.SetColor"
		size = 11
		refs = "0006 TCollectionItem.Changed"
	strings:
		$1 = { 89 50 20 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75135_0 {
	meta:
		name = "TWorkArea.SetDisplayName"
		size = 28
		refs = "000c @UStrAsg 0015 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 1C 8B D6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75136_0 {
	meta:
		name = "TWorkArea.SetRect"
		size = 21
		refs = "000e TCollectionItem.Changed"
	strings:
		$1 = { 56 57 8B F2 8D 78 0C A5 A5 A5 A5 B2 01 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_75137_0 {
	meta:
		name = "TWorkAreas.Update"
		size = 208
		refs = "0014 TWorkAreas.Update 0025 @CallDynaInst 003f :TWorkAreas.:1 0044 @DynArraySetLength 005e TWorkAreas.GetItem 007f TWinControl.GetHandle 0097 SendMessage 00bd @DynArrayClear 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 66 BE FF FF E8 ?? ?? ?? ?? 89 45 F8 8B DF 8B 43 08 8B 40 08 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 08 8B 70 08 4E 85 F6 7C 25 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D3 03 D2 8B 4D FC 56 57 8D 70 0C 8D 3C D1 A5 A5 A5 A5 5F 5E 43 4E 75 DE 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 47 08 8B 70 08 8B 7D FC 57 56 68 41 10 00 00 53 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_75138_0 {
	meta:
		name = "TWorkAreas.Changed"
		size = 8
	strings:
		$1 = { 33 D2 8B 08 FF 51 1C C3 }
	condition:
		$1
}

rule function_75141_0 {
	meta:
		name = "TWorkAreas.SetItem"
		size = 21
		refs = "0006 TCollection.SetItem"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 1C 5B C3 }
	condition:
		$1
}

rule function_75142_0 {
	meta:
		name = "TWorkAreas.Delete"
		size = 30
		refs = "000b TWorkAreas.GetItem 0010 TObject.Free 0017 TWorkAreas.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75144_0 {
	meta:
		name = "TSubItems.Create"
		size = 75
		refs = "000b @ClassCreate 001a TStringList.Create 0024 _Dn_TList 0029 TObject.Create 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 5C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75145_0 {
	meta:
		name = "TSubItems.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TStringList.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 5C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90187_0 {
	meta:
		name = "TChartTitle.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TTeeCustomShape.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 5C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75146_0 {
	meta:
		name = "TSubItems.Add"
		size = 39
		refs = "0007 TStringList.Add 0014 TList.Add 001e TSubItems.RefreshItem"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 83 CA FF 8B 43 5C E8 ?? ?? ?? ?? 8D 56 01 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_75147_0 {
	meta:
		name = "TSubItems.AddObject"
		size = 39
		refs = "0007 TStringList.AddObject 0014 TList.Add 001e TSubItems.RefreshItem"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 83 CA FF 8B 43 5C E8 ?? ?? ?? ?? 8D 56 01 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_75148_0 {
	meta:
		name = "TSubItems.Clear"
		size = 20
		refs = "0006 TStringList.Clear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 5C 8B 10 FF 52 08 5B C3 }
	condition:
		$1
}

rule function_75149_0 {
	meta:
		name = "TSubItems.Delete"
		size = 36
		refs = "000b TStringList.Delete 0015 TList.Delete 001d TListItem.Update"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 5C E8 ?? ?? ?? ?? 8B 43 58 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75150_0 {
	meta:
		name = "TSubItems.GetHandle"
		size = 12
		refs = "0007 TListItems.GetHandle"
	strings:
		$1 = { 8B 40 58 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75155_0 {
	meta:
		name = "TSubItems.SetUpdateState"
		size = 12
		refs = "0007 TListItems.SetUpdateState"
	strings:
		$1 = { 8B 40 58 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75151_0 {
	meta:
		name = "TSubItems.SetColumnWidth"
		size = 75
		refs = "0008 TListItem.GetListView 0011 TCustomListView.ColumnsShowing 0035 TCustomListView.GetColumnFromIndex 0044 TCustomListView.UpdateColumn"
	strings:
		$1 = { 53 56 8B F2 8B 40 58 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B 83 B4 02 00 00 8B 40 08 3B 70 08 0F 9C C0 EB 02 33 C0 84 C0 74 18 8B D6 8B C3 E8 ?? ?? ?? ?? 83 78 24 FF 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75152_0 {
	meta:
		name = "TSubItems.Insert"
		size = 63
		refs = "000c TStringList.Insert 0019 TList.Insert 0033 TSubItems.RefreshItem"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 83 C9 FF 8B D3 8B 46 5C E8 ?? ?? ?? ?? 8D 7B 01 8B C6 8B 10 FF 52 14 8B D8 2B DF 7C 0E 43 8B D7 8B C6 E8 ?? ?? ?? ?? 47 4B 75 F3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75153_0 {
	meta:
		name = "TSubItems.Put"
		size = 28
		refs = "000b TStringList.Put 0015 TSubItems.RefreshItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 56 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75154_0 {
	meta:
		name = "TSubItems.RefreshItem"
		size = 44
		refs = "000c TListItem.GetIndex 0014 TSubItems.GetHandle 001c ListView_SetItemText 0025 TSubItems.SetColumnWidth"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A FF 8B 43 58 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B CE 5A E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75156_0 {
	meta:
		name = "TScreen.GetDataModule"
		size = 19
		refs = "000c TList.Get"
		altNames = "TSubItems.GetImageIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 5C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75157_0 {
	meta:
		name = "TSubItems.SetImageIndex"
		size = 9
		refs = "0004 TList.Put"
	strings:
		$1 = { 8B 40 5C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98068_0 {
	meta:
		name = "TAdapterControlGroup.AddNotify"
		size = 9
		refs = "0004 TNotifyList.AddNotify"
	strings:
		$1 = { 8B 40 5C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98070_0 {
	meta:
		name = "TAdapterControlGroup.RemoveNotify"
		size = 9
		refs = "0004 TNotifyList.RemoveNotify"
	strings:
		$1 = { 8B 40 5C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79219_0 {
	meta:
		name = "TCustomTrayIcon.SetAnimateInterval"
		size = 9
		refs = "0004 TTimer.SetInterval"
	strings:
		$1 = { 8B 40 5C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79827_0 {
	meta:
		name = "TScreen.AddDataModule"
		size = 9
		refs = "0004 TList.Add"
	strings:
		$1 = { 8B 40 5C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75158_0 {
	meta:
		name = "TListItem.Create"
		size = 98
		refs = "000b @ClassCreate 001a TObject.Create 0026 _DV_TSubItems 002b TSubItems.Create 004e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 C7 47 18 FF FF FF FF C7 47 1C FF FF FF FF C7 47 2C FF FF FF FF 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75159_0 {
	meta:
		name = "TListItem.Destroy"
		size = 138
		refs = "0005 @BeforeDestruction 002a TListItem.GetListView 003f TWinControl.HandleAllocated 004a TListItem.GetHandle 0053 TListItem.GetIndex 0063 SendMessage 006b TObject.Free 0076 TPersistent.Destroy 0081 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 C6 45 24 01 8B 45 04 8B 40 04 3B A8 E0 02 00 00 75 08 33 D2 89 90 E0 02 00 00 8B C5 E8 ?? ?? ?? ?? 80 B8 14 04 00 00 00 75 30 8B C5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8B C5 E8 ?? ?? ?? ?? 8B F0 8B C5 E8 ?? ?? ?? ?? 8B F8 6A 00 57 68 08 10 00 00 56 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75161_0 {
	meta:
		name = "TListItem.Delete"
		size = 33
		refs = "000c TListItem.GetListView 001b TObject.Free"
	strings:
		$1 = { 53 8B D8 80 7B 24 00 75 16 8B C3 E8 ?? ?? ?? ?? 3B 98 04 03 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75163_0 {
	meta:
		name = "TListItem.MakeVisible"
		size = 36
		refs = "0009 TListItem.GetIndex 0011 TListItem.GetHandle 001d ListView_EnsureVisible"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 80 FB 01 F5 1B C9 5A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75164_0 {
	meta:
		name = "TListItem.GetChecked"
		size = 84
		refs = "0016 TWinControl.HandleAllocated 0021 TWinControl.GetHandle 002a TListItem.GetIndex 003d SendMessage"
	strings:
		$1 = { 53 56 8B F0 8B 46 04 8B 58 04 80 BB BC 02 00 00 00 75 3A 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2F 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 8B F0 68 00 F0 00 00 56 68 2C 10 00 00 53 E8 ?? ?? ?? ?? C1 E8 0C 48 85 C0 0F 95 C0 5E 5B C3 0F B6 46 26 5E 5B C3 }
	condition:
		$1
}

rule function_75165_0 {
	meta:
		name = "TListItem.SetChecked"
		size = 74
		refs = "000a TListItem.GetChecked 0027 TWinControl.HandleAllocated 0032 TListItem.GetIndex 003a TWinControl.GetHandle 0042 ListView_SetCheckState"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 3A D8 74 34 88 5F 26 8B 47 04 8B 70 04 80 BE BC 02 00 00 00 75 22 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B CB 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75166_0 {
	meta:
		name = "TListItem.SetGroupID"
		size = 86
		refs = "0019 @FillChar 0027 TListItem.GetIndex 0036 TListItem.GetHandle 0048 SendMessage"
	strings:
		$1 = { 53 56 57 83 C4 C4 8B F2 8B D8 3B 73 2C 74 40 8B C4 33 C9 BA 3C 00 00 00 E8 ?? ?? ?? ?? C7 04 24 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 89 74 24 28 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C4 50 6A 00 68 4C 10 00 00 57 E8 ?? ?? ?? ?? 89 73 2C 83 C4 3C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75167_0 {
	meta:
		name = "TListItem.GetLeft"
		size = 22
		refs = "000b TListItem.GetPosition"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_78264_0 {
	meta:
		name = "TFindDialog.GetLeft"
		size = 22
		refs = "000b TFindDialog.GetPosition"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_75168_0 {
	meta:
		name = "TListItem.SetLeft"
		size = 37
		refs = "000c TListItem.GetTop 001c TListItem.SetPosition"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 34 24 89 44 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_76297_0 {
	meta:
		name = "TControl.SetClientWidth"
		size = 37
		refs = "000c TControl.GetClientHeight 001c TControl.SetClientSize"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 34 24 89 44 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_78271_0 {
	meta:
		name = "TFindDialog.SetLeft"
		size = 37
		refs = "000c TFindDialog.GetTop 001c TFindDialog.SetPosition"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 34 24 89 44 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_75169_0 {
	meta:
		name = "TListItem.GetTop"
		size = 23
		refs = "000b TListItem.GetPosition"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_78267_0 {
	meta:
		name = "TFindDialog.GetTop"
		size = 23
		refs = "000b TFindDialog.GetPosition"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_75170_0 {
	meta:
		name = "TListItem.SetTop"
		size = 37
		refs = "000c TListItem.GetLeft 001c TListItem.SetPosition"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 04 24 89 74 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_76299_0 {
	meta:
		name = "TControl.SetClientHeight"
		size = 37
		refs = "000c TControl.GetClientWidth 001c TControl.SetClientSize"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 04 24 89 74 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_78274_0 {
	meta:
		name = "TFindDialog.SetTop"
		size = 37
		refs = "000c TFindDialog.GetLeft 001c TFindDialog.SetPosition"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 04 24 89 74 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_75171_0 {
	meta:
		name = "TListItem.Update"
		size = 48
		refs = "0007 TListItem.GetHandle 0010 TListItem.GetIndex 0020 SendMessage"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D8 6A 00 53 68 2A 10 00 00 56 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 F6 D8 1B C0 5E 5B C3 }
	condition:
		$1
}

rule function_75172_0 {
	meta:
		name = "TListItem.SetCaption"
		size = 187
		refs = "000c @UStrEqual 001c @UStrAsg 0034 TListItem.GetIndex 003c TListItem.GetHandle 0044 ListView_SetItemText 004b TListItem.GetListView 0050 TCustomListView.ColumnsShowing 0082 TCustomListView.GetColumnFromIndex 0094 TCustomListView.UpdateColumns 00b4 TCustomListView.AlphaSort"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 20 E8 ?? ?? ?? ?? 0F 84 A2 00 00 00 8D 43 20 8B D6 E8 ?? ?? ?? ?? 8B 43 04 8B 40 04 80 B8 BC 02 00 00 00 75 19 6A FF 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B C3 E8 ?? ?? ?? ?? 8B 80 B4 02 00 00 8B 40 08 8B 40 08 85 C0 0F 9F C0 EB 02 33 C0 84 C0 74 20 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 83 78 24 FF 7F 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 80 A1 02 00 00 04 FE 2C 02 73 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75173_0 {
	meta:
		name = "TListItem.SetData"
		size = 47
		refs = "000e TListItem.GetListView 0029 TCustomListView.AlphaSort"
	strings:
		$1 = { 53 8B D8 3B 53 28 74 25 89 53 28 8B C3 E8 ?? ?? ?? ?? 0F B6 80 A1 02 00 00 2C 01 74 04 2C 02 75 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75174_0 {
	meta:
		name = "TListItem.EditCaption"
		size = 59
		refs = "0007 TListItem.GetListView 0016 TListItem.GetHandle 001f TListItem.GetIndex 002f SendMessage"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 F4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D8 6A 00 53 68 76 10 00 00 56 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_75175_0 {
	meta:
		name = "TListItem.CancelEdit"
		size = 29
		refs = "0003 TListItem.GetHandle 0016 SendMessage"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B D8 83 CE FF 6A 00 56 68 76 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75176_0 {
	meta:
		name = "TListItem.GetState"
		size = 118
		refs = "000e TListItem.GetState 004e TListItem.GetHandle 0057 TListItem.GetIndex 0068 SendMessage"
	strings:
		$1 = { 53 56 57 55 8B F0 83 FA 04 77 3E FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BB 04 00 00 00 EB 1E BB 08 00 00 00 EB 17 BB 01 00 00 00 EB 10 BB 02 00 00 00 EB 09 BB 20 00 00 00 EB 02 33 DB 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 8B F0 8B EB 55 56 68 2C 10 00 00 57 E8 ?? ?? ?? ?? 85 C3 0F 95 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75177_0 {
	meta:
		name = "TListItem.SetState"
		size = 112
		refs = "000d TListItem.SetState 0058 TListItem.GetIndex 0060 TListItem.GetHandle 0068 ListView_SetItemState"
	strings:
		$1 = { 53 56 57 8B D8 83 FA 04 77 3E FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BE 04 00 00 00 EB 1E BE 08 00 00 00 EB 17 BE 01 00 00 00 EB 10 BE 02 00 00 00 EB 09 BE 20 00 00 00 EB 02 33 F6 84 C9 74 04 8B FE EB 02 33 FF 56 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B CF 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75178_0 {
	meta:
		name = "TListItem.SetImage"
		size = 319
		refs = "0052 TListItem.GetIndex 0063 TListItem.GetHandle 0075 SendMessage 00b8 ListView_SetItemState 012d TListItem.GetListView 0134 TCustomListView.UpdateItems"
	strings:
		$1 = { 53 56 57 83 C4 C4 8B F9 8B F0 33 DB 83 EA 01 72 0E 74 6B 4A 0F 84 A4 00 00 00 E9 E8 00 00 00 3B 7E 0C 0F 84 DF 00 00 00 B3 01 89 7E 0C 8B 46 04 8B 40 04 80 B8 BC 02 00 00 00 0F 85 C7 00 00 00 C7 04 24 02 00 00 00 C7 44 24 1C FF FF FF FF 8B C6 E8 ?? ?? ?? ?? 89 44 24 04 33 C0 89 44 24 08 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C4 50 6A 00 68 4C 10 00 00 57 E8 ?? ?? ?? ?? E9 89 00 00 00 3B 7E 18 0F 84 80 00 00 00 B3 01 89 7E 18 8B 46 04 8B 40 04 80 B8 BC 02 00 00 00 75 6C 68 00 0F 00 00 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B 4E 18 41 C1 E1 08 5A E8 ?? ?? ?? ?? EB 49 3B 7E 1C 74 44 B3 01 89 7E 1C 8B 46 04 8B 40 04 80 B8 E4 02 00 00 00 74 07 83 FF FF 75 02 33 FF 80 B8 BC 02 00 00 00 75 20 68 00 F0 00 00 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8D 4F 01 C1 E1 0C 5A E8 ?? ?? ?? ?? 84 DB 74 2D 8B 46 04 8B 40 04 80 B8 BC 02 00 00 00 75 1E 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 3C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75179_0 {
	meta:
		name = "TListItem.SetIndent"
		size = 119
		refs = "002c TListItem.GetIndex 003d TListItem.GetHandle 004f SendMessage 0066 TListItem.GetListView 006d TCustomListView.UpdateItems"
	strings:
		$1 = { 53 56 83 C4 C4 8B D8 3B 53 10 74 65 89 53 10 8B 43 04 8B 40 04 80 B8 BC 02 00 00 00 75 53 C7 04 24 10 00 00 00 89 54 24 24 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 33 C0 89 44 24 08 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C4 50 6A 00 68 4C 10 00 00 56 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 3C 5E 5B C3 }
	condition:
		$1
}

rule function_75180_0 {
	meta:
		name = "TListItem.Assign"
		size = 161
		refs = "000a _DV_TListItem 000f @IsClass 0020 @AsClass 002c TListItem.SetCaption 0036 TListItem.SetData 0042 TListItem.SetImage 004c TListItem.SetIndent 0074 TListItem.SetSubItems 007b TListItem.GetChecked 0084 TListItem.SetChecked 008e TListItem.SetGroupID 009a TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7E 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 56 20 8B C3 E8 ?? ?? ?? ?? 8B 56 28 8B C3 E8 ?? ?? ?? ?? 8B 4E 0C 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 56 10 8B C3 E8 ?? ?? ?? ?? 8B 4E 18 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4E 1C BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 56 2C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75181_0 {
	meta:
		name = "TListItem.IsEqual"
		size = 37
		refs = "000d @UStrEqual"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 20 8B 56 20 E8 ?? ?? ?? ?? 75 08 8B 43 28 3B 46 28 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_75182_0 {
	meta:
		name = "TListItem.SetSubItems"
		size = 23
	strings:
		$1 = { 56 57 8B FA 8B F0 85 FF 74 0A 8B D7 8B 46 08 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_75183_0 {
	meta:
		name = "TListItem.GetIndex"
		size = 26
		refs = "0015 TListItems.IndexOf"
	strings:
		$1 = { 8B 50 04 8B 4A 04 80 B9 BC 02 00 00 00 74 04 8B 40 14 C3 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75184_0 {
	meta:
		name = "TListItem.GetPosition"
		size = 42
		refs = "000a TListItem.GetHandle 0013 TListItem.GetIndex 0022 SendMessage"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D8 57 53 68 10 10 00 00 56 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75185_0 {
	meta:
		name = "TListItem.SetPosition"
		size = 84
		refs = "000e TListItem.GetPosition 0025 TListItem.GetListView 003b TListItem.GetIndex 0043 TListItem.GetHandle 004b ListView_SetItemPosition32"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 06 3B 04 24 75 09 8B 46 04 3B 44 24 04 74 2D 8B C3 E8 ?? ?? ?? ?? 0F B6 80 85 02 00 00 2C 02 73 1B 8B 46 04 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 0E 5A E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_75186_0 {
	meta:
		name = "TListItem.DisplayRect"
		size = 47
		refs = "000f Codes 0017 TListItem.GetIndex 001f TListItem.GetHandle 0027 ListView_GetItemRect"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 0F B6 C3 8B 04 85 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B CF 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75188_0 {
	meta:
		name = "TListItem.SetSubItemImage"
		size = 116
		refs = "0012 TSubItems.GetImageIndex 0022 TSubItems.SetImageIndex 0047 TListItem.GetIndex 0057 TListItem.GetHandle 0069 SendMessage"
	strings:
		$1 = { 53 56 57 83 C4 C4 8B F9 8B F2 8B D8 8B D6 8B 43 08 E8 ?? ?? ?? ?? 3B F8 74 53 8B CF 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B 43 04 8B 40 04 80 B8 BC 02 00 00 00 75 38 C7 04 24 02 00 00 00 C7 44 24 1C FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 46 89 74 24 08 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C4 50 6A 00 68 4C 10 00 00 53 E8 ?? ?? ?? ?? 83 C4 3C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75189_0 {
	meta:
		name = "TListItem.WorkArea"
		size = 74
		refs = "0027 TListItem.GetPosition 0031 TWorkAreas.GetItem 003a PtInRect"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F0 8B 46 04 8B 40 04 8B B8 08 03 00 00 8B 47 08 8B 58 08 4B EB 01 4B 85 DB 7C 20 8B D4 8B C6 E8 ?? ?? ?? ?? 54 8B D3 8B C7 E8 ?? ?? ?? ?? 83 C0 0C 5A E8 ?? ?? ?? ?? 84 C0 74 DB 8B C3 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75197_0 {
	meta:
		name = "TListItems.AddItem"
		size = 92
		refs = "0027 TListItems.GetCount 0030 TListItems.GetHandle 003e TListItems.CreateItem 004e SendMessage"
	strings:
		$1 = { 53 56 57 55 83 C4 C4 8B F9 8B F0 85 D2 75 0F 8B 46 04 8B 10 FF 92 28 01 00 00 8B D8 EB 02 8B DA 85 FF 7D 09 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 8B E8 54 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C4 50 6A 00 68 4D 10 00 00 55 E8 ?? ?? ?? ?? 8B C3 83 C4 3C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75198_0 {
	meta:
		name = "TListItems.GetCount"
		size = 45
		refs = "0007 TWinControl.HandleAllocated 0012 TListItems.GetHandle 0023 SendMessage"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 1A 8B C3 E8 ?? ?? ?? ?? 8B D8 6A 00 6A 00 68 04 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_75201_0 {
	meta:
		name = "TListItems.GetItem"
		size = 138
		refs = "0010 TWinControl.GetHandle 002e @FillChar 0047 TCustomListView.GetItem 0063 TListItems.GetHandle 0075 SendMessage"
	strings:
		$1 = { 53 56 57 83 C4 C4 8B FA 8B D8 33 F6 8B 43 04 E8 ?? ?? ?? ?? 85 C0 74 69 8B 43 04 80 B8 BC 02 00 00 00 74 2B 8B C4 33 C9 BA 3C 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 04 24 89 7C 24 04 33 C0 89 44 24 08 8B D4 8B 43 04 E8 ?? ?? ?? ?? 8B F0 EB 32 C7 04 24 04 00 00 00 89 7C 24 04 33 C0 89 44 24 08 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C4 50 6A 00 68 4B 10 00 00 53 E8 ?? ?? ?? ?? 85 C0 74 04 8B 74 24 20 8B C6 83 C4 3C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75202_0 {
	meta:
		name = "TListItems.IndexOf"
		size = 47
		refs = "0011 TListItems.GetHandle 0025 SendMessage"
	strings:
		$1 = { 53 56 83 C4 E8 C7 04 24 01 00 00 00 89 54 24 08 E8 ?? ?? ?? ?? 8B D8 83 CE FF 8B C4 50 56 68 53 10 00 00 53 E8 ?? ?? ?? ?? 83 C4 18 5E 5B C3 }
	condition:
		$1
}

rule function_75203_0 {
	meta:
		name = "TListItems.SetCount"
		size = 58
		refs = "0008 TListItems.GetHandle 001c SendMessage"
	strings:
		$1 = { 53 8B DA 85 DB 74 1B E8 ?? ?? ?? ?? 8B D3 B9 01 00 00 00 51 52 68 2F 10 00 00 50 E8 ?? ?? ?? ?? 5B C3 E8 ?? ?? ?? ?? 8B D3 33 C9 51 52 68 2F 10 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75205_0 {
	meta:
		name = "TListItems.Clear"
		size = 41
		refs = "0007 TWinControl.HandleAllocated 0012 TListItems.GetHandle 0023 SendMessage"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 18 8B C3 E8 ?? ?? ?? ?? 8B D8 6A 00 6A 00 68 09 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75207_0 {
	meta:
		name = "TListItems.SetUpdateState"
		size = 455
		refs = "0028 TCustomListView.SetSortType 0055 TListColumns.GetItem 0068 TListColumn.GetWidth 0072 TListColumn.DoChange 0084 TListItems.GetHandle 008a SendMessage 0095 TCustomListView.ColumnsShowing 00a8 TCustomListView.ValidHeaderHandle 012b TListColumn.SetWidth 0143 TListItems.SetUpdateState 0185 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 84 D2 0F 84 BF 00 00 00 8B 45 FC 8B 40 04 0F B6 90 A1 02 00 00 88 90 00 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 80 B4 02 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 37 46 33 FF 8B 45 FC 8B 40 04 8B 80 B4 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 43 24 85 C0 7D 14 89 43 20 8B C3 E8 ?? ?? ?? ?? 89 43 24 8B C3 E8 ?? ?? ?? ?? 47 4E 75 CC 6A 00 6A 00 6A 0B 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 84 C0 0F 84 20 01 00 00 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 84 C0 0F 84 0D 01 00 00 6A 00 6A 00 6A 0B 8B 45 FC 8B 40 04 8B 80 D4 02 00 00 50 E8 ?? ?? ?? ?? E9 F0 00 00 00 8B 45 FC 83 78 08 00 0F 85 E3 00 00 00 8B 45 FC 8B 40 04 0F B6 90 00 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 80 B4 02 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 31 46 33 FF 8B 45 FC 8B 40 04 8B 80 B4 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 43 20 85 C0 7D 0E 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 20 47 4E 75 D2 8B 45 FC C6 40 0C 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 01 6A 0B 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 0C 00 C3 E9 ?? ?? ?? ?? EB F1 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 27 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 18 6A 00 6A 01 6A 0B 8B 45 FC 8B 40 04 8B 80 D4 02 00 00 50 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75209_0 {
	meta:
		name = "TListItems.Assign"
		size = 94
		refs = "000c _DV_TListItems 0011 @IsClass 001c TListItems.Clear 0025 TListItems.GetCount 0038 TListItems.GetItem 0040 TListItems.Add 0055 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 8B C7 E8 ?? ?? ?? ?? 8B EB 8B C5 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 29 43 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 46 4B 75 E5 EB 09 8B D3 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75210_0 {
	meta:
		name = "WriteItems"
		size = 178
		refs = "001b TListItems.GetCount 0038 TWinControl.HandleAllocated 0083 TListItems.GetItem 0097 TListItem.IsEqual"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 08 8B 40 FC 8B 78 20 85 FF 75 36 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 85 C0 7F 21 8B 45 08 8B 40 F8 8B 58 04 83 BB B8 02 00 00 00 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 8B D8 EB 60 8B C7 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 3B D8 74 04 B3 01 EB 44 33 DB 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 48 85 C0 7C 32 40 89 45 FC 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 F8 8B D6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D8 80 F3 01 84 DB 75 06 46 FF 4D FC 75 D4 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75211_0 {
	meta:
		name = "TListItems.DefineProperties"
		size = 156
		refs = "0014 TPersistent.DefineProperties 001d TListItems.ReadData 0028 TListItems.DefineProperties 0039 TListItems.ReadItemData 0042 TListItems.WriteItemData 0048 WriteItems"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 08 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 08 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 74 00 65 00 6D 00 44 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_75212_0 {
	meta:
		name = "TListItems.ReadData"
		size = 509
		refs = "001a TListItems.ReadData 0028 TListItems.Clear 0037 TStream.ReadBuffer 003f AllocMem 0089 TListItems.Add 009a @UStrFromString 00a5 TListItem.SetCaption 00b4 TListItem.SetImage 00e8 TListItem.SetData 0161 TListItems.GetCount 017c TListItems.GetItem 01a1 TListItem.SetSubItemImage 01c8 @FreeMem 01ce @HandleFinally 01ea @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D D4 89 4D D8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 4D F4 83 E9 04 8B 45 EC 8D 50 04 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 83 C0 08 89 45 E8 33 DB 8B 45 EC 8B 40 04 48 85 C0 0F 8C C7 00 00 00 40 89 45 E4 8B 45 FC E8 ?? ?? ?? ?? 89 45 E0 8D 45 D8 8B 55 E8 83 C2 14 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E8 8B 08 33 D2 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E8 8B 48 08 BA 01 00 00 00 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E8 8B 48 04 BA 02 00 00 00 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E8 8B 50 10 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E8 8D 58 14 0F B6 03 40 01 C3 33 C0 89 45 F0 8B 45 E8 8B 70 0C 4E 85 F6 7C 27 46 8D 45 D4 8B D3 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 E0 8B 40 08 8B 08 FF 51 38 0F B6 03 8D 50 01 01 55 F0 01 D3 4E 75 DA 8B 45 E8 0F B6 40 14 83 C0 15 03 45 F0 01 45 E8 FF 4D E4 0F 85 3D FF FF FF 8B C3 8B D0 2B 55 EC D1 FA 79 03 83 D2 00 3B 55 F4 7D 59 8B F8 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 4A 40 89 45 E4 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 8B 40 08 8B 10 FF 52 14 8B F0 4E 85 F6 7C 17 46 33 DB 0F BF 0F 8B D3 8B 45 DC E8 ?? ?? ?? ?? 83 C7 02 43 4E 75 EC FF 45 F8 FF 4D E4 75 C1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75213_0 {
	meta:
		name = "TListItems.ReadItemData"
		size = 1125
		refs = "0017 TListItems.ReadItemData 0025 TListItems.Clear 0048 TStream.ReadBuffer 00b2 TListItems.Add 00c0 TListItem.SetImage 00e8 TListItem.SetData 00f2 TListItem.SetGroupID 00fe @UStrSetLength 0106 @UniqueStringU 0121 TListItem.SetCaption 03e1 TListItems.GetCount 03fc TListItems.GetItem 0431 TListItem.SetSubItemImage 0452 @UStrClr 0458 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 88 53 56 57 33 C9 89 4D FC 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 12 83 FA 00 75 09 83 F8 00 0F 84 04 04 00 00 8D 55 E9 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 45 E9 FE C8 74 1D 2C 02 0F 84 22 01 00 00 2C 02 0F 84 1A 01 00 00 FE C8 0F 84 46 02 00 00 E9 D0 03 00 00 8D 55 F0 B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 55 EC B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 48 85 C0 0F 8C 42 03 00 00 40 89 45 E0 8D 55 BF B9 15 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 8B 4D BF 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 4D C7 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 4D C3 BA 02 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 55 CF 8B C7 E8 ?? ?? ?? ?? 83 CA FF 8B C7 E8 ?? ?? ?? ?? 0F B6 55 D3 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 0F B6 45 D3 8B C8 03 C9 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 5D CB 4B 85 DB 7C 43 43 8D 55 E8 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 0F B6 45 E8 8B C8 03 C9 8B C6 E8 ?? ?? ?? ?? 8B 47 08 8B 55 FC 8B 08 FF 51 38 4B 75 BE FF 4D E0 0F 85 26 FF FF FF E9 5F 02 00 00 8D 55 F0 B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 55 EC B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 48 85 C0 0F 8C 35 02 00 00 40 89 45 E0 8D 55 A6 B9 19 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 DC 8B 4D A6 33 D2 8B 45 DC E8 ?? ?? ?? ?? 8B 4D AE BA 01 00 00 00 8B 45 DC E8 ?? ?? ?? ?? 8B 4D AA BA 02 00 00 00 8B 45 DC E8 ?? ?? ?? ?? 8B 55 BA 8B 45 DC E8 ?? ?? ?? ?? 8B 55 B6 8B 45 DC E8 ?? ?? ?? ?? 0F B6 55 BE 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 0F B6 45 BE 8B C8 03 C9 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 DC E8 ?? ?? ?? ?? 8B 5D B2 4B 85 DB 7C 63 43 8D 55 E8 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 0F B6 45 E8 8B C8 03 C9 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 E4 80 7D E9 05 75 0F 8D 55 E4 B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 4D E4 8B 45 DC 8B 40 08 8B 55 FC 8B 38 FF 57 3C 4B 75 9E FF 4D E0 0F 85 FF FE FF FF E9 2B 01 00 00 8D 55 F0 B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 55 EC B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 48 85 C0 0F 8C 01 01 00 00 40 89 45 E0 8D 55 89 B9 1D 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 D8 8B 4D 89 33 D2 8B 45 D8 E8 ?? ?? ?? ?? 8B 4D 91 BA 01 00 00 00 8B 45 D8 E8 ?? ?? ?? ?? 8B 4D 8D BA 02 00 00 00 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 9D 8B D0 8B 45 D8 E8 ?? ?? ?? ?? 8B 55 99 8B 45 D8 E8 ?? ?? ?? ?? 0F B6 55 A5 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 0F B6 45 A5 8B C8 03 C9 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 D8 E8 ?? ?? ?? ?? 8B 5D 95 4B 85 DB 7C 5D 43 8D 55 E8 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 0F B6 45 E8 8B C8 03 C9 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 E4 8D 55 E4 B9 08 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 4D E4 8B 45 D8 8B 40 08 8B 55 FC 8B 38 FF 57 3C 4B 75 A4 FF 4D E0 0F 85 03 FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 48 85 C0 7C 57 40 89 45 E0 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 89 45 D4 8B 45 D4 8B 40 08 8B 10 FF 52 14 8B D8 4B 85 DB 7C 24 43 33 FF 8D 55 EA B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F BF 4D EA 8B D7 8B 45 D4 E8 ?? ?? ?? ?? 47 4B 75 DF FF 45 F4 FF 4D E0 75 B4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75214_0 {
	meta:
		name = "GetByteLength"
		size = 24
	strings:
		$1 = { 85 C0 74 05 83 E8 04 8B 00 03 C0 3D FE 01 00 00 7E 05 B8 FE 01 00 00 C3 }
	condition:
		$1
}

rule function_75215_0 {
	meta:
		name = "GetListItemsFromStream"
		size = 392
		refs = "001e GetListItemsFromStream 0033 TArray<System.Byte> 0038 @DynArraySetLength 0046 TStream.SetPosition 0054 _Dn_TReader 0059 TFiler.Create 0072 TReader.ReadSignature 008b TReader.ReadStr 00ab TReader.SkipValue 00c3 @UStrEqual 00cf TReader.CheckValue 00df TReader.Read 010f TReader.NextValue 0128 TObject.Free 012e @HandleFinally 014a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E0 89 4D E4 89 4D E8 89 4D EC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 68 00 04 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F4 8D 55 FB 8B 45 FC 8B 30 FF 56 28 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? EB 64 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 42 B2 0A 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 B9 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 13 8B 4D F0 8B 45 FC E8 ?? ?? ?? ?? EB 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 90 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 74 00 65 00 6D 00 73 00 2E 00 49 00 74 00 65 00 6D 00 44 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_75216_0 {
	meta:
		name = "TListItems.WriteItemData"
		size = 829
		refs = "001e TListItems.WriteItemData 003a TWinControl.HandleAllocated 0052 GetListItemsFromStream 005a @DynArrayLength 0079 TListItems.GetCount 0098 TListItems.GetItem 00a0 GetByteLength 0121 TStream.WriteBuffer 01b4 @UStrLAsg 01f2 @UniqueStringU 02df TListItem.GetSubItemImage 0314 @UStrClr 031d TArray<System.Byte> 0322 @DynArrayClear 0330 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 C9 89 4D AC 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 58 04 83 BB B8 02 00 00 00 74 39 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2E 8D 55 F8 8B 45 F4 8B 40 04 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 45 F0 8B 18 FF 53 10 E9 93 02 00 00 33 C0 89 45 E8 8B 45 F4 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 80 00 00 00 40 89 45 D0 C7 45 EC 00 00 00 00 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 20 E8 ?? ?? ?? ?? 40 89 45 E4 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 08 8B 10 FF 52 14 8B D8 4B 85 DB 7C 33 43 33 F6 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 08 8D 4D AC 8B D6 8B 38 FF 57 0C 8B 45 AC E8 ?? ?? ?? ?? 40 01 45 E4 83 45 E4 04 83 45 E4 02 46 4B 75 D0 8B 45 E4 83 C0 19 01 45 E8 FF 45 EC FF 4D D0 75 8B 8B 45 F4 E8 ?? ?? ?? ?? 89 45 DC C6 45 E1 05 8D 55 E1 B9 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 E8 B9 04 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 DC B9 04 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 4D 01 00 00 40 89 45 D0 C7 45 EC 00 00 00 00 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 89 45 CC 8B 45 CC 8B 40 0C 89 45 B3 8B 45 CC 8B 40 18 89 45 BB 8B 45 CC 8B 40 1C 89 45 B7 8B 45 CC 8B 40 28 89 45 C7 8B 45 CC 8B 40 2C 89 45 C3 8B 45 CC 8B 40 08 8B 10 FF 52 14 89 45 BF 8D 45 FC 8B 55 CC 8B 52 20 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 89 45 D8 81 7D D8 FF 00 00 00 7E 07 C7 45 D8 FF 00 00 00 0F B6 45 D8 88 45 CB 8D 55 B3 B9 19 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 0F B6 45 CB 8B C8 03 C9 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 CC 8B 40 08 8B 10 FF 52 14 8B D8 4B 85 DB 7C 7D 43 33 F6 8D 4D FC 8B 45 CC 8B 40 08 8B D6 8B 38 FF 57 0C 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 89 45 D8 81 7D D8 FF 00 00 00 7E 07 C7 45 D8 FF 00 00 00 8D 55 D8 B9 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 4D D8 03 C9 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 CC 8B 40 08 8B D6 8B 08 FF 51 18 89 45 D4 8D 55 D4 B9 04 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 46 4B 75 86 FF 45 EC FF 4D D0 0F 85 BE FE FF FF 8B 45 F4 E8 ?? ?? ?? ?? 48 85 C0 7C 53 40 89 45 D0 C7 45 EC 00 00 00 00 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B F8 8B 47 08 8B 10 FF 52 14 8B D8 4B 85 DB 7C 24 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 66 89 45 E2 8D 55 E2 B9 02 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 46 4B 75 DF FF 45 EC FF 4D D0 75 B8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75218_0 {
	meta:
		name = "TListItems.CreateItem"
		size = 41
	strings:
		$1 = { 55 8B EC 8B 45 08 C7 00 06 01 00 00 89 50 04 33 D2 89 50 08 C7 40 1C FF FF FF FF C7 40 28 FF FF FF FF 89 48 20 5D C2 04 00 }
	condition:
		$1
}

rule function_75219_0 {
	meta:
		name = "TIconOptions.Create"
		size = 174
		refs = "0010 @ClassCreate 001e TIconOptions.Create 002d TObject.Create 0039 sInvalidOwner 003e LoadResString 0048 _Dn_Exception 004d Exception.Create 0052 @RaiseExcept 005e TIconOptions.SetArrangement 0067 TIconOptions.SetAutoArrange 0070 TIconOptions.SetWrapText 0085 @UStrClr 008b @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 77 04 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75220_0 {
	meta:
		name = "TIconOptions.SetArrangement"
		size = 17
		refs = "000c TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 50 08 74 0B 88 50 08 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75221_0 {
	meta:
		name = "TIconOptions.SetAutoArrange"
		size = 17
		refs = "000c TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 50 09 74 0B 88 50 09 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75222_0 {
	meta:
		name = "TIconOptions.SetWrapText"
		size = 17
		refs = "000c TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 50 0A 74 0B 88 50 0A 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75223_0 {
	meta:
		name = "DefaultListViewSort"
		size = 108
		refs = "000f TListItem.GetListView 004c @UStrToPWChar 005b lstrcmp"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 0C 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 66 83 B8 6A 03 00 00 00 74 2B 56 8B 45 10 50 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CB 8B 86 6C 03 00 00 FF 96 68 03 00 00 EB 1A 8B 46 20 E8 ?? ?? ?? ?? 50 8B 43 20 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_75225_0 {
	meta:
		name = "TCustomListView.Create"
		size = 572
		refs = "000e @ClassCreate 001c TCustomListControl.Create 0021 TCustomListView.Create 003b TControl.SetWidth 0047 TControl.SetHeight 0050 TCustomListView.SetBorderStyle 0065 TControl.SetParentColor 006e TWinControl.SetTabStop 0077 TCustomListView.SetHideSelection 0080 TCustomListView.SetColumnHeaders 0089 TCustomListView.SetColumnClick 0090 _Dn_TControlCanvas 0095 TCanvas.Create 00a6 TControlCanvas.SetControl 00b9 _DV_TListColumns 00be TListColumns.Create 00cd _DV_TListGroups 00d2 TListGroups.Create 0108 _DV_TIconOptions 010d TIconOptions.Create 0118 _DV_TWorkArea 0122 _DV_TWorkAreas 0127 TOwnedCollection.Create 015b _Dn_TDragImageList 0160 TCustomImageList.CreateSize 016c TCustomListView.EditWndProc 0171 MakeObjectInstance 017d TCustomListView.HeaderWndProc 018f _Dn_TChangeLink 0194 TObject.Create 01a6 TCustomListView.ImageListChange 021e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 43 58 0B 05 ?? ?? ?? ?? 89 43 58 BA FA 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 96 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 58 01 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 80 02 00 00 8B C6 8B D3 E8 ?? ?? ?? ?? C7 83 DC 02 00 00 FF FF FF FF 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B4 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 00 04 00 00 8B C3 8B 10 FF 92 2C 01 00 00 89 83 A4 02 00 00 8B C3 8B 10 FF 92 28 01 00 00 89 83 04 03 00 00 C6 83 04 04 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 AC 02 00 00 A1 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 08 03 00 00 C6 83 0C 03 00 00 00 C6 83 0D 03 00 00 00 33 C0 89 83 1C 03 00 00 C7 83 EC 02 00 00 FF FF FF FF 6A 20 B9 20 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 9C 02 00 00 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 08 04 00 00 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 0C 04 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F0 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F8 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F4 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 FC 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? C7 83 8C 02 00 00 FF FF FF FF C6 83 18 03 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 02 00 00 00 00 60 08 00 }
	condition:
		$1
}

rule function_75226_0 {
	meta:
		name = "TCustomListView.Destroy"
		size = 283
		refs = "0004 @BeforeDestruction 000f TWinControl.HandleAllocated 0028 TObject.Free 0096 FreeObjectInstance 00b3 SetWindowLongPtr 0108 TWinControl.Destroy 0113 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 D0 00 00 00 8B 86 9C 02 00 00 E8 ?? ?? ?? ?? 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 8B 86 04 03 00 00 E8 ?? ?? ?? ?? 8B 86 00 04 00 00 E8 ?? ?? ?? ?? 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B 86 AC 02 00 00 E8 ?? ?? ?? ?? 8B 86 B8 02 00 00 E8 ?? ?? ?? ?? 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? 8B 86 C4 02 00 00 E8 ?? ?? ?? ?? 8B 86 08 03 00 00 E8 ?? ?? ?? ?? 8B 86 08 04 00 00 E8 ?? ?? ?? ?? 8B 86 D4 02 00 00 85 C0 74 13 BA FC FF FF FF 8B BE CC 02 00 00 57 52 50 E8 ?? ?? ?? ?? 8B 86 0C 04 00 00 E8 ?? ?? ?? ?? 8B 86 F0 02 00 00 E8 ?? ?? ?? ?? 8B 86 F4 02 00 00 E8 ?? ?? ?? ?? 8B 86 FC 02 00 00 E8 ?? ?? ?? ?? 8B 86 F8 02 00 00 E8 ?? ?? ?? ?? 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 80 02 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75227_0 {
	meta:
		name = "TCustomListView.CreateParams"
		size = 300
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 001a TCustomListView.CreateParams 0023 TWinControl.CreateSubClass 003a ViewStyles 0048 BorderStyles 0059 Arrangements 0067 EditStyles 0075 MultiSelections 0083 HideSelections 008e AutoArrange 0099 WrapText 00a7 ShowColumns 00b5 ColumnClicks 00e9 NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 56 04 81 CA 00 00 00 02 0F B6 8B 85 02 00 00 0B 14 8D ?? ?? ?? ?? 0F B6 8B 84 02 00 00 0B 14 8D ?? ?? ?? ?? 8B 83 AC 02 00 00 0F B6 48 08 0B 14 8D ?? ?? ?? ?? 0F B6 8B 86 02 00 00 0B 14 8D ?? ?? ?? ?? 0F B6 8B A0 02 00 00 0B 14 8D ?? ?? ?? ?? 0F B6 8B B0 02 00 00 0B 14 8D ?? ?? ?? ?? 0F B6 48 09 0B 14 8D ?? ?? ?? ?? 0F B6 40 0A 0B 14 85 ?? ?? ?? ?? 0F B6 83 A3 02 00 00 0B 14 85 ?? ?? ?? ?? 0F B6 83 A2 02 00 00 0B 14 85 ?? ?? ?? ?? 83 CA 40 89 56 04 80 BB BC 02 00 00 00 74 07 81 4E 04 00 10 00 00 80 BB BD 02 00 00 00 74 07 81 4E 04 00 04 00 00 80 BB F1 01 00 00 00 74 21 A1 ?? ?? ?? ?? 80 38 00 74 17 80 BB 84 02 00 00 01 75 0E 81 66 04 FF FF 7F FF 81 4E 08 00 02 00 00 83 66 24 FC 5E 5B C3 53 00 79 00 73 00 4C 00 69 00 73 00 74 00 56 00 69 00 65 00 77 00 33 00 32 00 00 00 }
	condition:
		$1
}

rule function_75228_0 {
	meta:
		name = "ReadCols"
		size = 179
		refs = "0024 TCollection.Clear 003c _Dn_TReader 0041 TFiler.Create 004c ReadCols 005a TReader.ReadValue 006e TReader.ReadCollection 0083 TObject.Free 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 40 FC 83 B8 C0 02 00 00 00 0F 84 99 00 00 00 8B 45 08 8B 40 FC 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 68 00 04 00 00 8B 45 08 8B 40 FC 8B 88 C0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 B4 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 B2 01 8B 08 FF 51 FC 8B 45 08 8B 40 FC 33 D2 89 90 C0 02 00 00 59 5D C3 }
	condition:
		$1
}

rule function_75229_0 {
	meta:
		name = "TCustomListView.CreateWnd"
		size = 788
		refs = "000c TWinControl.CreateWnd 0014 TCustomListView.ResetExStyles 0022 TCustomListView.SetTextBkColor 0033 TCustomListView.SetTextColor 0044 TCustomListView.SetAllocBy 0055 TCustomListView.SetHoverTime 0073 TListItems.BeginUpdate 0085 TCustomListView.CreateWnd 0099 TCollection.Clear 00ab TStream.SetPosition 00bc TStream.ReadComponent 00fa TListItems.SetCount 010e TCustomListView.RestoreChecks 0114 ReadCols 0123 TControl.SetFont 0141 TListItems.GetItem 014b TCustomListView.SetSelected 0153 TCustomListView.GetSelected 0166 TListItem.MakeVisible 016e TCustomListView.RestoreIndents 0189 TListItems.EndUpdate 0199 @HandleFinally 01a9 TListColumns.UpdateCols 01b1 TWinControl.GetHandle 01cc SendMessage 01d4 TCustomListView.UpdateGroups 01e8 TCustomImageList.HandleAllocated 01fa TCustomImageList.GetHandle 0206 TCustomListView.SetImageList 02ad TCustomListView.DoAutoSize 02b2 StyleServices 02c0 TOSVersion.FMajor 02d8 TCustomStyleServices.GetIsSystemStyle 02f1 SetWindowTheme"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 50 74 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 6C 8B 50 18 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 D8 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 EC 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 B8 02 00 00 00 0F 84 36 01 00 00 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 80 01 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 02 00 00 B2 01 8B 08 FF 51 FC 8B 45 FC 33 D2 89 90 B8 02 00 00 8B 45 FC 80 B8 BC 02 00 00 00 74 17 8B 45 FC 8B 90 1C 03 00 00 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 E4 02 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 50 6C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 8C 02 00 00 83 FB FF 74 35 8B D3 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 0F 8B 45 FC E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 80 01 03 00 00 00 C3 E9 ?? ?? ?? ?? EB E0 8B 45 FC 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 80 BA 04 04 00 00 01 F5 1B D2 6A 00 52 68 9D 10 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 88 02 00 00 85 DB 74 25 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 FC 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 90 02 00 00 85 DB 74 28 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 45 FC 8B 80 90 02 00 00 E8 ?? ?? ?? ?? 8B D0 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 94 02 00 00 85 DB 74 28 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 45 FC 8B 80 94 02 00 00 E8 ?? ?? ?? ?? 8B D0 B9 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 98 02 00 00 85 DB 74 28 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B D0 B9 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0D A1 ?? ?? ?? ?? 83 38 06 0F 9D C0 EB 02 33 C0 84 C0 74 27 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 6A 00 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 5B 59 5D C3 00 00 00 65 00 78 00 70 00 6C 00 6F 00 72 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_75230_0 {
	meta:
		name = "TCustomListView.DestroyWnd"
		size = 179
		refs = "001a _Dn_TMemoryStream 001f TObject.Create 0030 TStream.SetSize64 0044 TListItems.GetCount 0057 TStream.WriteComponent 0066 TStream.SetPosition 0076 TCustomListView.SaveChecks 007d TCustomListView.GetSelected 008d TListItem.GetIndex 00a6 TCustomListView.SaveIndents 00ad TWinControl.DestroyWnd"
	strings:
		$1 = { 53 8B D8 F6 43 5D 20 0F 84 9D 00 00 00 8B 83 B8 02 00 00 85 C0 75 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B8 02 00 00 EB 09 6A 00 6A 00 E8 ?? ?? ?? ?? 80 BB BC 02 00 00 00 74 11 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 89 83 1C 03 00 00 8B D3 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? 80 BB E4 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 8C 02 00 00 EB 0A C7 83 8C 02 00 00 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75231_0 {
	meta:
		name = "TCustomListView.SetImageList"
		size = 46
		refs = "000c TWinControl.HandleAllocated 0017 TWinControl.GetHandle 0026 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 8B C3 E8 ?? ?? ?? ?? 8B D8 56 57 68 03 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75232_0 {
	meta:
		name = "TCustomListView.StoreGroups"
		size = 17
	strings:
		$1 = { 8B 80 00 04 00 00 8B 40 08 83 78 08 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_75233_0 {
	meta:
		name = "TCustomListView.ImageListChange"
		size = 135
		refs = "000a TWinControl.HandleAllocated 0017 TCustomImageList.HandleAllocated 0022 TCustomImageList.GetHandle 0039 TCustomListView.SetImageList"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 71 8B FE 8B C7 E8 ?? ?? ?? ?? 84 C0 74 09 8B C7 E8 ?? ?? ?? ?? EB 02 33 C0 3B B3 88 02 00 00 75 0D 33 C9 8B D0 8B C3 E8 ?? ?? ?? ?? EB 44 3B B3 90 02 00 00 75 10 B9 01 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? EB 2C 8B 93 94 02 00 00 3B F2 75 10 B9 02 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? EB 12 3B D6 75 0E B9 03 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75234_0 {
	meta:
		name = "TCustomListView.Loaded"
		size = 61
		refs = "0006 TControl.Loaded 000d TWinControl.HandleAllocated 0018 TWinControl.GetHandle 0030 SendMessage 0037 TCustomListView.UpdateGroups"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 26 8B C3 E8 ?? ?? ?? ?? 80 BB 04 04 00 00 01 F5 1B D2 6A 00 52 68 9D 10 00 00 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75235_0 {
	meta:
		name = "TCustomListView.Notification"
		size = 97
		refs = "0010 TWinControl.Notification 0026 TCustomListView.SetLargeImages 0037 TCustomListView.SetSmallImages 0048 TCustomListView.SetStateImages 0059 TCustomListView.SetGroupHeaderImages"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 44 3B B7 88 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 90 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 94 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 98 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75236_0 {
	meta:
		name = "UpdateColumnOrder"
		size = 331
		refs = "000c UpdateColumnOrder 0033 TIntegerDynArray 0038 @DynArraySetLength 0046 TWinControl.GetHandle 006c SendMessage 00b8 TCustomListView.GetColumnFromTag 011c @HandleFinally 0139 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 B4 02 00 00 8B 40 08 8B 58 08 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 92 B4 02 00 00 8B 52 08 8B 52 08 8B D8 8B F2 8B 7D FC 57 56 68 3B 10 00 00 53 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 B4 02 00 00 8B 10 FF 52 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 FC 8B 80 B4 02 00 00 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 1F 46 33 DB 8B 45 FC 8B 14 98 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 14 43 4E 75 E4 8B 45 08 8B 40 FC 66 83 B8 5A 03 00 00 00 74 18 8B 45 08 8B 58 FC 8B 45 08 8B 50 FC 8B 83 5C 03 00 00 FF 93 58 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 B4 02 00 00 8B 10 FF 52 24 8B 45 08 8B 40 FC C6 80 0D 03 00 00 00 C3 E9 ?? ?? ?? ?? EB DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75237_0 {
	meta:
		name = "DoBufferedPaint"
		size = 137
		refs = "001f BeginBufferedPaint 002a DoBufferedPaint 004d SendMessage 005f BufferedPaintSetAlpha 0077 EndBufferedPaint 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 56 57 8B F2 8D 7D E8 A5 A5 A5 A5 8D 55 FC 52 6A 00 6A 02 8D 55 E8 52 50 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 04 8B 45 FC 50 68 18 03 00 00 8B 45 08 8B 40 FC 8B 80 D4 02 00 00 50 E8 ?? ?? ?? ?? 8B 45 F8 68 FF 00 00 00 8D 55 E8 52 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A FF 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_75238_0 {
	meta:
		name = "TCustomListView.HeaderWndProc"
		size = 447
		refs = "0012 TCustomListView.HeaderWndProc 0050 UpdateColumnOrder 0099 CallWindowProc 00d4 DwmCompositionEnabled 00e6 GetParentForm 00f7 TGlassFrame.FrameExtended 0109 TGlassFrame.IntersectsControl 0120 BeginPaint 0137 DoBufferedPaint 0158 EndPaint 015e @HandleFinally 01a0 @HandleAnyException 01a5 Application 01af TApplication.HandleException 01b4 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 8B DA 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 33 8B C6 83 E8 0F 0F 84 9A 00 00 00 83 E8 73 74 4D 83 E8 02 74 27 2D 91 01 00 00 0F 85 30 01 00 00 8B 45 FC 80 B8 0D 03 00 00 00 0F 84 20 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 14 01 00 00 8B 45 FC F6 40 1C 10 0F 84 07 01 00 00 C7 43 0C FF FF FF FF 33 C0 5A 59 59 64 89 10 E9 3D 01 00 00 8B 43 08 50 8B 43 04 50 56 8B 45 FC 8B 80 D4 02 00 00 50 8B 45 FC 8B 80 CC 02 00 00 50 E8 ?? ?? ?? ?? 89 43 0C 8B 45 FC 33 D2 89 90 D4 02 00 00 8B 45 FC 33 D2 89 90 CC 02 00 00 33 C0 5A 59 59 64 89 10 E9 F5 00 00 00 8B 45 FC 80 B8 68 02 00 00 00 0F 84 9B 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 8E 00 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 74 7E 8B 86 7C 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 6F 8B 86 7C 03 00 00 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 5D 8D 45 BC 50 8B 45 FC 8B 80 D4 02 00 00 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 55 8D 55 C4 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC 50 8B 45 FC 8B 80 D4 02 00 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 EB 4A 8B 43 08 50 8B 43 04 50 8B 03 50 8B 45 FC 8B 80 D4 02 00 00 50 8B 45 FC 8B 80 CC 02 00 00 50 E8 ?? ?? ?? ?? 89 43 0C 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75239_0 {
	meta:
		name = "TCustomListView.EditWndProc"
		size = 406
		refs = "0012 TCustomListView.EditWndProc 0079 TWinControl.DoKeyDown 0098 TWinControl.DoKeyPress 00b7 TWinControl.DoKeyUp 0105 GetWindowRect 011c MapWindowPoints 012d PerformBufferedPrintClient 0165 CallWindowProc 0177 @HandleAnyException 017c Application 0186 TApplication.HandleException 018b @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 3D 4D B0 00 00 7F 33 0F 84 BF 00 00 00 05 00 FF FF FF 83 F8 05 0F 87 0C 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 2D 00 BD 00 00 74 71 83 E8 02 74 6C 83 E8 02 74 67 83 E8 02 74 62 E9 D2 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 C0 00 00 00 33 C0 5A 59 59 64 89 10 E9 FD 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 A1 00 00 00 33 C0 5A 59 59 64 89 10 E9 DE 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 82 00 00 00 33 C0 5A 59 59 64 89 10 E9 BF 00 00 00 8B D3 8B 45 FC 8B 08 FF 91 90 00 00 00 33 C0 5A 59 59 64 89 10 E9 A5 00 00 00 8B 45 FC 80 B8 18 03 00 00 00 74 4F 8D 45 EC 50 8B 45 FC 8B 80 D0 02 00 00 50 E8 ?? ?? ?? ?? 6A 02 8D 45 EC 50 8B 45 FC 8B 80 D0 02 00 00 50 6A 00 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 80 18 03 00 00 00 33 C0 5A 59 59 64 89 10 EB 4A 8B 43 08 50 8B 43 04 50 8B 03 50 8B 45 FC 8B 80 D0 02 00 00 50 8B 45 FC 8B 80 C8 02 00 00 50 E8 ?? ?? ?? ?? 89 43 0C 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75240_0 {
	meta:
		name = "TCustomListView.UpdateItems"
		size = 31
		refs = "0008 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 E8 ?? ?? ?? ?? 8B D8 57 56 68 15 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75241_0 {
	meta:
		name = "TCustomListView.ResetExStyles"
		size = 264
		refs = "0009 TWinControl.HandleAllocated 0028 TCustomListView.SetStateImages 009c TCustomListView.ResetExStyles 00d8 TWinControl.GetHandle 00e8 SendMessage"
	strings:
		$1 = { 53 56 57 55 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 E4 00 00 00 33 FF 8B 83 94 02 00 00 85 C0 74 0B 8B F8 33 D2 8B C3 E8 ?? ?? ?? ?? BE 02 04 00 00 80 BB E4 02 00 00 00 74 03 83 CE 04 80 BB E7 02 00 00 00 74 03 83 CE 01 80 BB E8 02 00 00 00 74 03 83 CE 08 80 BB EA 02 00 00 00 74 03 83 CE 20 80 BB E5 02 00 00 00 74 06 81 CE 00 01 00 00 80 BB E6 02 00 00 00 74 03 83 CE 10 80 BB 0C 03 00 00 00 74 06 81 CE 00 20 00 00 F6 83 E9 02 00 00 01 74 05 83 CE 40 EB 1E 0F B6 05 ?? ?? ?? ?? 22 83 E9 02 00 00 0F B6 15 ?? ?? ?? ?? 3A D0 74 06 81 CE 80 00 00 00 F6 83 E9 02 00 00 04 74 06 81 CE 00 08 00 00 F6 83 E9 02 00 00 02 74 06 81 CE 00 10 00 00 8B C3 E8 ?? ?? ?? ?? 8B E8 56 6A 00 68 36 10 00 00 55 E8 ?? ?? ?? ?? 85 FF 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 00 00 06 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_75242_0 {
	meta:
		name = "TCustomListView.RestoreChecks"
		size = 147
		refs = "0016 TListItems.GetCount 0036 TStream.ReadBuffer 0043 TListItems.GetItem 004c TListItem.SetChecked 0082 TObject.Free"
	strings:
		$1 = { 53 56 57 51 8B D8 80 BB BC 02 00 00 00 75 6C 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 5A 47 33 F6 8B 83 C4 02 00 00 85 C0 74 24 8B D4 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 0F B6 14 24 E8 ?? ?? ?? ?? EB 25 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 0F B6 40 26 50 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 46 4F 75 A9 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 C4 02 00 00 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75243_0 {
	meta:
		name = "TCustomListView.SaveChecks"
		size = 138
		refs = "001c _Dn_TMemoryStream 0021 TObject.Create 0032 TStream.SetSize64 003d TListItems.GetCount 0054 TListItems.GetItem 0059 TListItem.GetChecked 006e TStream.WriteBuffer 0081 TStream.SetPosition"
	strings:
		$1 = { 53 56 57 51 8B D8 80 BB BC 02 00 00 00 75 76 8B 83 C4 02 00 00 85 C0 75 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 C4 02 00 00 EB 09 6A 00 6A 00 E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2E 46 33 FF 8B D7 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 04 24 8B D4 B9 01 00 00 00 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 47 4E 75 D5 6A 00 6A 00 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75244_0 {
	meta:
		name = "TCustomListView.SetCheckboxes"
		size = 183
		refs = "001e TCustomListView.SetStateImages 002b TCustomListView.ResetExStyles 003b TCustomListView.RestoreChecks 0051 TListItems.GetCount 0062 TWinControl.GetHandle 0071 TListItems.GetItem 0076 TListItem.GetIndex 008e SendMessage"
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B F0 3A 9E E4 02 00 00 0F 84 9C 00 00 00 84 DB 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 88 9E E4 02 00 00 8B C6 E8 ?? ?? ?? ?? 80 BE E4 02 00 00 00 74 09 8B C6 E8 ?? ?? ?? ?? EB 70 80 BE BC 02 00 00 00 75 67 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 55 47 33 DB 8B C6 E8 ?? ?? ?? ?? 8B E8 8B D3 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 68 00 F0 00 00 8B 44 24 04 50 68 2C 10 00 00 55 E8 ?? ?? ?? ?? C1 E8 0C 48 8B E8 8B D3 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 85 ED 0F 95 C2 88 50 26 43 4F 75 AE 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75245_0 {
	meta:
		name = "TCustomListView.SetGridLines"
		size = 20
		refs = "000f TCustomListView.ResetExStyles"
	strings:
		$1 = { 3A 90 E7 02 00 00 74 0B 88 90 E7 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75246_0 {
	meta:
		name = "TCustomListView.SetHotTrack"
		size = 20
		refs = "000f TCustomListView.ResetExStyles"
	strings:
		$1 = { 3A 90 E8 02 00 00 74 0B 88 90 E8 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75247_0 {
	meta:
		name = "TCustomListView.SetHotTrackStyles"
		size = 39
		refs = "0020 TCustomListView.ResetExStyles"
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 04 24 3A 83 E9 02 00 00 74 11 0F B6 04 24 88 83 E9 02 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_75248_0 {
	meta:
		name = "TCustomListView.SetOwnerData"
		size = 41
		refs = "0015 TListItems.Clear 0022 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E BC 02 00 00 74 18 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 88 9E BC 02 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75249_0 {
	meta:
		name = "TCustomListView.SetOwnerDraw"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 BD 02 00 00 74 0B 88 90 BD 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75250_0 {
	meta:
		name = "TCustomListView.SetRowSelect"
		size = 20
		refs = "000f TCustomListView.ResetExStyles"
	strings:
		$1 = { 3A 90 EA 02 00 00 74 0B 88 90 EA 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75251_0 {
	meta:
		name = "TCustomListView.SetFlatScrollBars"
		size = 20
		refs = "000f TCustomListView.ResetExStyles"
	strings:
		$1 = { 3A 90 E5 02 00 00 74 0B 88 90 E5 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75252_0 {
	meta:
		name = "TCustomListView.SetFullDrag"
		size = 20
		refs = "000f TCustomListView.ResetExStyles"
	strings:
		$1 = { 3A 90 E6 02 00 00 74 0B 88 90 E6 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75253_0 {
	meta:
		name = "TCoolBar.SetBandBorderStyle"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TCustomListView.SetBorderStyle TPageScroller.SetDragScroll"
	strings:
		$1 = { 3A 90 84 02 00 00 74 0B 88 90 84 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75254_0 {
	meta:
		name = "TCustomListView.SetColumnClick"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 A2 02 00 00 74 0B 88 90 A2 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75255_0 {
	meta:
		name = "TCustomListView.SetItemIndex"
		size = 93
		refs = "000d TCustomListView.GetSelected 0024 TListItem.SetState 0034 TListItems.GetItem 0056 TCustomListView.SetFocused"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 21 8B C3 E8 ?? ?? ?? ?? 85 C0 74 45 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? B1 01 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75256_0 {
	meta:
		name = "TCustomListView.SetMultiSelect"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 A0 02 00 00 74 0B 88 90 A0 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75257_0 {
	meta:
		name = "TCustomListView.SetColumnHeaders"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 A3 02 00 00 74 0B 88 90 A3 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75258_0 {
	meta:
		name = "TCustomListView.SetTextColor"
		size = 43
		refs = "0007 TWinControl.GetHandle 0014 ColorToRGB 0024 SendMessage"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 43 6C 8B 40 18 E8 ?? ?? ?? ?? 8B D8 53 6A 00 68 24 10 00 00 56 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75259_0 {
	meta:
		name = "TCustomListView.SetTextBkColor"
		size = 75
		refs = "0008 TWinControl.GetHandle 0012 ColorToRGB 0022 SendMessage"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 43 74 E8 ?? ?? ?? ?? 8B F8 57 6A 00 68 26 10 00 00 56 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 43 74 E8 ?? ?? ?? ?? 8B D8 53 6A 00 68 01 10 00 00 56 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75260_0 {
	meta:
		name = "TCustomListView.SetAllocBy"
		size = 57
		refs = "0017 TWinControl.HandleAllocated 0022 TWinControl.GetHandle 0032 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 D8 02 00 00 74 28 89 B3 D8 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8B C3 E8 ?? ?? ?? ?? 8B D6 6A 00 52 68 2F 10 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75261_0 {
	meta:
		name = "TCustomListView.CMColorChanged"
		size = 33
		refs = "0006 TWinControl.CMColorChanged 000d TWinControl.HandleAllocated 001b TCustomListView.SetTextBkColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 53 74 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75262_0 {
	meta:
		name = "TCustomListView.CMCtl3DChanged"
		size = 34
		refs = "0012 TWinControl.RecreateWnd 001b TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 84 02 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75263_0 {
	meta:
		name = "TCustomListView.WMNotify"
		size = 612
		refs = "0016 TCustomListView.WMNotify 0025 TWinControl.WMNotify 002f TCustomListView.ValidHeaderHandle 0097 TCustomListView.GetColumnFromTag 00bf TListColumn.SetWidth 00e8 TWinControl.GetHandle 00ff SendMessage 0132 GetMessagePos 0137 SmallPoint 013f TPoint.&op_Implicit 014c TControl.ScreenToClient 015f ChildWindowFromPoint 0185 @UStrSetLength 019a @UStrToPWChar 01a1 GetClassName 01b8 @UStrEqual 01e2 GetScrollPos 01fa SendStructMessage 0218 @CallDynaInst 022d @UStrClr 0233 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 5F 08 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 E1 01 00 00 8B 03 3B 86 D4 02 00 00 0F 85 D3 01 00 00 8B 43 08 3D CD FE FF FF 7F 18 74 2D 2D B9 FE FF FF 74 26 83 E8 02 74 73 83 E8 0E 74 62 E9 B1 01 00 00 2D CF FE FF FF 74 62 2D 2C 01 00 00 0F 84 B4 00 00 00 E9 9A 01 00 00 8B 47 08 8B 78 14 F6 07 01 0F 84 8B 01 00 00 8B 50 0C 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 43 18 3B 47 04 7C 05 89 47 04 EB 0F 8B 43 14 85 C0 7E 08 3B 47 04 7F 03 89 47 04 8B 57 04 8B C3 E8 ?? ?? ?? ?? E9 54 01 00 00 C6 86 0D 03 00 00 01 E9 48 01 00 00 8B 47 08 8B F8 8B 57 0C 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 89 45 F0 8B 7F 0C 6A 00 57 68 1D 10 00 00 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C6 8B 18 FF 93 54 01 00 00 84 C0 0F 84 FA 00 00 00 8B C6 8B 10 FF 92 9C 00 00 00 E9 EB 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8D 4D D8 8D 55 F4 8B C6 E8 ?? ?? ?? ?? FF 75 DC FF 75 D8 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 AF 00 00 00 8B C6 E8 ?? ?? ?? ?? 3B D8 0F 84 A0 00 00 00 8D 45 FC BA 50 00 00 00 E8 ?? ?? ?? ?? 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 57 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B D0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5E 8D 4D D8 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 D8 89 45 E0 8B 45 DC 89 45 E4 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 01 45 E0 8D 45 E0 50 B9 01 00 00 00 BA 06 12 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 1A 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D E0 8B C6 66 BE AA FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 79 00 73 00 48 00 65 00 61 00 64 00 65 00 72 00 33 00 32 00 00 00 }
	condition:
		$1
}

rule function_75264_0 {
	meta:
		name = "TCustomListView.ColumnsShowing"
		size = 11
	strings:
		$1 = { 80 B8 85 02 00 00 03 0F 94 C0 C3 }
	condition:
		$1
}

rule function_75265_0 {
	meta:
		name = "TCustomListView.ValidHeaderHandle"
		size = 11
	strings:
		$1 = { 83 B8 D4 02 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_75266_0 {
	meta:
		name = "TCustomListView.CMFontChanged"
		size = 63
		refs = "0006 TWinControl.CMFontChanged 000d TWinControl.HandleAllocated 001e TCustomListView.SetTextColor 0025 TCustomListView.ValidHeaderHandle 0039 InvalidateRect"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 28 8B 43 6C 8B 50 18 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 6A FF 6A 00 8B 83 D4 02 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75268_0 {
	meta:
		name = "TCustomListView.SetReadOnly"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 86 02 00 00 74 0B 88 90 86 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75269_0 {
	meta:
		name = "TCustomListView.SetIconOptions"
		size = 46
		refs = "0011 TIconOptions.SetArrangement 001c TIconOptions.SetAutoArrange 0027 TIconOptions.SetWrapText"
	strings:
		$1 = { 53 56 8B F2 8B 98 AC 02 00 00 0F B6 56 08 8B C3 E8 ?? ?? ?? ?? 0F B6 56 09 8B C3 E8 ?? ?? ?? ?? 0F B6 56 0A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75270_0 {
	meta:
		name = "TCustomListView.SetViewStyle"
		size = 157
		refs = "0019 TWinControl.HandleAllocated 0024 TWinControl.GetHandle 0030 GetWindowLongPtr 0043 ViewStyles 0057 SetWindowLongPtr 005e TCustomListView.UpdateColumns 007e TCustomListView.Arrange 0096 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 56 8B D8 3A 93 85 02 00 00 0F 84 8A 00 00 00 88 93 85 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 79 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 8B F0 83 E6 FC 0F B6 83 85 02 00 00 0B 34 85 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 56 52 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 83 85 02 00 00 2C 02 73 20 8B 83 AC 02 00 00 80 78 08 00 75 0B B2 03 8B C3 E8 ?? ?? ?? ?? EB 09 B2 01 8B C3 E8 ?? ?? ?? ?? F6 43 1C 01 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75271_0 {
	meta:
		name = "TCustomListView.WMParentNotify"
		size = 88
		refs = "0028 GetWindowLongPtr 0047 SetWindowLongPtr 0050 TWinControl.WMParentNotify"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 66 83 7E 04 01 75 3D 83 BB D4 02 00 00 00 75 34 8B 46 08 89 83 D4 02 00 00 BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 89 83 CC 02 00 00 8B 83 D4 02 00 00 BA FC FF FF FF 8B BB 0C 04 00 00 57 52 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75272_0 {
	meta:
		name = "TCustomListView.GetItemIndex"
		size = 85
		refs = "0017 TListItems.GetCount 002e TListItems.GetItem"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C7 04 24 FF FF FF FF 8B 87 A4 02 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 18 43 33 F6 8B 87 A4 02 00 00 8B D6 E8 ?? ?? ?? ?? 3B E8 74 04 46 4B 75 EB 8B 87 A4 02 00 00 E8 ?? ?? ?? ?? 3B F0 7D 03 89 34 24 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75273_0 {
	meta:
		name = "TCustomListView.GetItemIndex"
		size = 37
		refs = "000a TCustomListView.GetSelected 001a TListItem.GetIndex"
	strings:
		$1 = { 53 56 8B D8 83 CE FF 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_75274_0 {
	meta:
		name = "TCustomListView.OwnerDataFetch"
		size = 37
	strings:
		$1 = { 53 66 83 B8 8A 03 00 00 00 74 16 8B D8 8B CA 8B D0 8B 83 8C 03 00 00 FF 93 88 03 00 00 B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_75275_0 {
	meta:
		name = "TCustomListView.OwnerDataFind"
		size = 76
	strings:
		$1 = { 55 8B EC 51 53 C7 45 FC FF FF FF FF 66 83 B8 92 03 00 00 00 74 2D 51 8B 4D 18 51 8B 4D 14 51 8B 4D 10 51 0F B6 4D 0C 51 0F B6 4D 08 51 8D 4D FC 51 8B CA 8B D8 8B D0 8B 83 94 03 00 00 FF 93 90 03 00 00 8B 45 FC 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_75276_0 {
	meta:
		name = "TCustomListView.OwnerDataHint"
		size = 38
	strings:
		$1 = { 53 66 83 B8 9A 03 00 00 00 74 17 51 8B D8 8B CA 8B D0 8B 83 9C 03 00 00 FF 93 98 03 00 00 B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_75277_0 {
	meta:
		name = "TCustomListView.OwnerDataStateChange"
		size = 54
	strings:
		$1 = { 55 8B EC 53 66 83 B8 A2 03 00 00 00 74 21 51 0F B6 4D 0C 51 0F B6 4D 08 51 8B D8 8B CA 8B D0 8B 83 A4 03 00 00 FF 93 A0 03 00 00 B0 01 EB 02 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_75278_0 {
	meta:
		name = "TCustomListView.CreateListItem"
		size = 55
		refs = "0005 _DV_TListItem"
	strings:
		$1 = { 53 51 8B D8 A1 ?? ?? ?? ?? 89 04 24 66 83 BB FA 03 00 00 00 74 10 8B CC 8B D3 8B 83 FC 03 00 00 FF 93 F8 03 00 00 8B 8B A4 02 00 00 B2 01 8B 04 24 FF 50 0C 5A 5B C3 }
	condition:
		$1
}

rule function_75280_0 {
	meta:
		name = "ConvertMask"
		size = 76
		refs = "0007 ConvertMask"
	strings:
		$1 = { 53 56 8B F0 0F B6 1D ?? ?? ?? ?? F7 C6 01 00 00 00 74 03 80 CB 01 F7 C6 02 00 00 00 74 03 80 CB 02 F7 C6 04 00 00 00 74 03 80 CB 04 F7 C6 08 00 00 00 74 03 80 CB 08 F7 C6 10 00 00 00 74 03 80 CB 10 8B C3 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_75281_0 {
	meta:
		name = "TCustomListView.GetItem"
		size = 306
		refs = "0020 TCustomListView.GetItem 0061 ConvertMask 0095 StrPas 009f @UStrClr 00b0 @UStrAsg 0106 TListItems.GetItem 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 C9 89 4D FC 8B F2 8D 7D BC B9 0F 00 00 00 F3 A5 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D BC F6 C3 04 74 08 8B 5D DC E9 D2 00 00 00 80 BE BC 02 00 00 00 0F 84 B5 00 00 00 83 7D C0 00 7D 07 33 DB E9 B8 00 00 00 83 7D C4 00 0F 85 96 00 00 00 8B C3 E8 ?? ?? ?? ?? 88 45 FB 8B BE 04 03 00 00 8B 45 C0 89 47 14 8B 45 DC 89 47 28 8B 47 08 8B 10 FF 52 44 F6 45 FB 01 74 13 83 7D D0 00 74 0D 8D 55 FC 8B 45 D0 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B 86 04 03 00 00 83 C0 20 8B 55 FC E8 ?? ?? ?? ?? F6 45 FB 02 74 0C 8B 86 04 03 00 00 8B 55 D8 89 50 0C F6 45 FB 10 74 0C 8B 86 04 03 00 00 8B 55 E0 89 50 10 0F B6 4D FB 8B 96 04 03 00 00 8B C6 8B 18 FF 93 44 01 00 00 8B 9E 04 03 00 00 EB 18 8B 9E 04 03 00 00 EB 10 8B 55 C0 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75282_0 {
	meta:
		name = "TCustomListView.GetSelCount"
		size = 25
		refs = "0002 TWinControl.GetHandle 0013 SendMessage"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 6A 00 6A 00 68 32 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75283_0 {
	meta:
		name = "ConvertFlags"
		size = 34
	strings:
		$1 = { A8 01 74 03 33 C0 C3 A8 08 74 04 B0 01 EB 12 A8 02 74 04 B0 02 EB 0A A8 40 74 04 B0 03 EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_75284_0 {
	meta:
		name = "ConvertStates"
		size = 76
		refs = "0007 ConvertStates"
	strings:
		$1 = { 53 56 8B F0 0F B6 1D ?? ?? ?? ?? F7 C6 20 00 00 00 74 03 80 CB 20 F7 C6 04 00 00 00 74 03 80 CB 02 F7 C6 08 00 00 00 74 03 80 CB 04 F7 C6 01 00 00 00 74 03 80 CB 08 F7 C6 02 00 00 00 74 03 80 CB 10 8B C3 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_75285_0 {
	meta:
		name = "TCustomListView.CNNotify"
		size = 3850
		refs = "0021 TCustomListView.CNNotify 014f TCustomListView.GetColumnFromIndex 0177 TListColumn.SetWidth 01df TCustomCanvas.Lock 025b TCanvas.SetHandle 026f TCanvas.SetFont 0286 TCanvas.SetBrush 02bc @HandleFinally 02d3 @TryFinallyExit 0435 @FillChar 04ba TCustomListView.CanvasChanged 04fb TCustomListView.GetItem 05ac ColorToRGB 05e9 TFont.GetHandle 05ef GetObject 063b SelectObject 064a DeleteObject 066c CreateFontIndirect 0982 TCustomCanvas.Unlock 09aa @CallDynaInst 09df TListItems.GetCount 09f7 TListItems.GetItem 0a67 StrPLCopy 0abf TCustomListView.GetImageIndex 0b0a TListItem.GetSubItemImage 0b1f TCustomListView.GetSubItemImage 0b5b ConvertFlags 0b68 @UStrClr 0ba8 StrPas 0c2c ConvertStates 0c8a TWinControl.GetHandle 0c9b SendMessage 0cb9 GetWindowLongPtr 0ce1 SetWindowLongPtr 0d19 TCustomListView.GetColumnFromTag 0ea6 Mouse 0ead TMouse.GetCursorPos 0eb8 Application 0ebf TApplication.ActivateHint"
	strings:
		$1 = { 55 8B EC 81 C4 14 FF FF FF 53 56 57 33 C9 89 8D 1C FF FF FF 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 F4 8B 76 08 8B 46 08 83 F8 93 0F 8F 90 00 00 00 0F 84 4B 09 00 00 3D 51 FF FF FF 7F 43 0F 84 00 0C 00 00 3D 4D FF FF FF 7F 1F 0F 84 F8 0A 00 00 2D B8 FE FF FF 0F 84 D2 00 00 00 83 E8 14 0F 84 C9 00 00 00 E9 65 0E 00 00 2D 4F FF FF FF 0F 84 BC 09 00 00 48 0F 84 62 0C 00 00 E9 4E 0E 00 00 3D 6A FF FF FF 7F 22 0F 84 A3 09 00 00 05 9E 00 00 00 83 E8 02 0F 82 EA 0D 00 00 83 E8 04 0F 84 A4 0A 00 00 E9 25 0E 00 00 83 E8 8D 0F 84 67 0B 00 00 83 E8 02 0F 84 75 0A 00 00 E9 0E 0E 00 00 83 F8 9A 7F 31 0F 84 58 0C 00 00 83 C0 6C 83 F8 05 0F 87 F7 0D 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 F4 7F 1B 0F 84 AE 00 00 00 83 E8 9B 0F 84 78 0C 00 00 48 0F 84 36 0C 00 00 E9 B8 0D 00 00 83 E8 FB 0F 84 A5 0D 00 00 83 E8 03 0F 84 90 0D 00 00 E9 A1 0D 00 00 8B DE 8B 73 14 F6 06 01 0F 84 93 0D 00 00 8B 53 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 18 3B 46 04 7C 25 8B 53 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 18 50 8B 53 0C 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? E9 5B 0D 00 00 8B 53 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 14 3B 46 04 0F 8F 44 0D 00 00 8B 53 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 14 50 8B 53 0C 8B 45 F8 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? E9 1F 0D 00 00 8B 45 F8 8B 80 80 02 00 00 85 C0 0F 84 0E 0D 00 00 89 75 D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 50 0C 8B 45 D8 F6 40 0E 01 0F 85 02 02 00 00 8D 55 B8 8B 45 F8 8B 08 FF 51 60 8B 45 D8 8B 40 0C 48 74 1A 48 0F 84 63 01 00 00 48 0F 84 88 01 00 00 48 0F 84 AD 01 00 00 E9 45 07 00 00 33 C9 33 D2 8B 45 F8 8B 18 FF 93 54 01 00 00 84 C0 0F 84 9F 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D8 8B 50 10 8B 45 F8 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 6C 8B 45 F8 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 90 C8 01 00 00 8B 45 F8 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8D 55 B8 33 C9 8B 45 F8 8B 18 FF 93 30 01 00 00 88 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 80 80 02 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 80 7D F3 00 75 14 8B 45 F4 C7 40 0C 04 00 00 00 E8 ?? ?? ?? ?? E9 FF 0B 00 00 33 C9 B2 01 8B 45 F8 8B 18 FF 93 54 01 00 00 84 C0 75 13 B1 02 B2 01 8B 45 F8 8B 18 FF 93 54 01 00 00 84 C0 74 0A 8B 45 F4 C7 40 0C 20 00 00 00 B1 01 B2 01 8B 45 F8 8B 18 FF 93 54 01 00 00 84 C0 74 07 8B 45 F4 83 48 0C 10 B1 03 B2 01 8B 45 F8 8B 18 FF 93 54 01 00 00 84 C0 74 07 8B 45 F4 83 48 0C 40 33 C9 B2 02 8B 45 F8 8B 18 FF 93 54 01 00 00 84 C0 75 17 B1 01 B2 02 8B 45 F8 8B 18 FF 93 54 01 00 00 84 C0 0F 84 01 06 00 00 8B 45 F4 83 48 0C 20 E9 F5 05 00 00 B1 01 33 D2 8B 45 F8 8B 18 FF 93 54 01 00 00 84 C0 0F 84 DE 05 00 00 8D 55 B8 B1 01 8B 45 F8 8B 18 FF 93 30 01 00 00 E9 C9 05 00 00 B1 02 33 D2 8B 45 F8 8B 18 FF 93 54 01 00 00 84 C0 0F 84 B2 05 00 00 8D 55 B8 B1 02 8B 45 F8 8B 18 FF 93 30 01 00 00 E9 9D 05 00 00 B1 03 33 D2 8B 45 F8 8B 18 FF 93 54 01 00 00 84 C0 0F 84 86 05 00 00 8D 55 B8 B1 03 8B 45 F8 8B 18 FF 93 30 01 00 00 E9 71 05 00 00 8B 75 F4 8B 76 08 8B 45 D8 F6 40 0E 02 0F 95 45 E2 80 7D E2 00 74 10 83 7E 38 00 75 0A E8 ?? ?? ?? ?? E9 BA 0A 00 00 8B 46 38 89 45 E4 8D 85 7C FF FF FF 33 C9 BA 3C 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 8B 40 24 89 45 80 8B 45 D8 8B 40 0C 25 01 00 01 00 3D 01 00 01 00 0F 85 06 03 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D8 8B 50 10 8B 45 F8 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 6C 8B 45 F8 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 90 C8 01 00 00 8B 45 F8 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 80 02 00 00 8B 40 40 8B 55 F8 89 50 0C C7 40 08 ?? ?? ?? ?? 8B 45 F8 8B 80 80 02 00 00 8B 40 48 8B 55 F8 89 50 0C C7 40 08 ?? ?? ?? ?? 8B 45 F8 C6 80 02 03 00 00 00 80 7D E2 00 74 2D 8B 45 D8 0F B7 40 28 50 6A 00 8D 95 7C FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 4D E4 8B 45 F8 8B 18 FF 93 38 01 00 00 88 45 F3 EB 27 6A 00 8D 95 7C FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 D8 0F B7 48 28 8B 45 F8 8B 18 FF 93 34 01 00 00 88 45 F3 80 7D F3 00 75 16 8B 45 F4 83 48 0C 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 84 09 00 00 8B 45 F8 80 B8 02 03 00 00 00 0F 84 38 01 00 00 8B 45 F8 C6 80 02 03 00 00 00 8B 45 F8 8B 80 80 02 00 00 8B 40 40 33 D2 89 50 08 89 50 0C 8B 45 F8 8B 80 80 02 00 00 8B 40 48 33 D2 89 50 08 89 50 0C 89 75 D4 8B 45 F8 8B 80 80 02 00 00 8B 40 40 8B 40 18 E8 ?? ?? ?? ?? 8B 55 D4 89 42 30 8B 45 F8 8B 80 80 02 00 00 8B 40 48 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 8B 55 D4 89 42 34 8D 85 20 FF FF FF 50 6A 5C 8B 45 F8 8B 80 80 02 00 00 8B 40 40 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 A4 00 00 00 8B 45 F8 8B 80 80 02 00 00 33 D2 E8 ?? ?? ?? ?? 80 7D E2 00 74 53 8B 45 F8 83 B8 10 03 00 00 00 74 47 8B 45 F8 83 B8 14 03 00 00 00 74 3B 8B 45 F8 8B 80 14 03 00 00 50 8B 45 D8 8B 40 10 50 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 10 03 00 00 50 E8 ?? ?? ?? ?? 8B 45 F8 33 D2 89 90 10 03 00 00 8B 45 F8 33 D2 89 90 14 03 00 00 8D 85 20 FF FF FF 50 E8 ?? ?? ?? ?? 8B 55 F8 89 82 10 03 00 00 8B 45 F8 8B 80 10 03 00 00 50 8B 45 D8 8B 40 10 50 E8 ?? ?? ?? ?? 8B 55 F8 89 82 14 03 00 00 8B 45 F4 83 48 0C 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 80 80 02 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 80 7D E2 00 75 57 33 C9 B2 02 8B 45 F8 8B 18 FF 93 54 01 00 00 84 C0 74 07 8B 45 F4 83 48 0C 20 B1 01 B2 01 8B 45 F8 8B 18 FF 93 54 01 00 00 84 C0 74 07 8B 45 F4 83 48 0C 10 B1 03 B2 01 8B 45 F8 8B 18 FF 93 54 01 00 00 84 C0 0F 84 56 02 00 00 8B 45 F4 83 48 0C 40 E9 4A 02 00 00 B1 01 B2 02 8B 45 F8 8B 18 FF 93 54 01 00 00 84 C0 74 07 8B 45 F4 83 48 0C 10 B1 03 B2 02 8B 45 F8 8B 18 FF 93 54 01 00 00 84 C0 0F 84 19 02 00 00 8B 45 F4 83 48 0C 40 E9 0D 02 00 00 8B 45 D8 8B 40 0C 25 02 00 01 00 3D 02 00 01 00 0F 85 26 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D8 8B 50 10 8B 45 F8 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 6C 8B 45 F8 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 90 C8 01 00 00 8B 45 F8 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 80 7D E2 00 74 2A 8B 45 D8 0F B7 40 28 50 6A 01 8D 95 7C FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 4D E4 8B 45 F8 8B 18 FF 93 38 01 00 00 EB 24 6A 01 8D 95 7C FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 D8 0F B7 48 28 8B 45 F8 8B 18 FF 93 34 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 80 80 02 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 83 B8 10 03 00 00 00 0F 84 21 01 00 00 8B 45 F8 83 B8 14 03 00 00 00 0F 84 11 01 00 00 8B 45 F8 8B 80 14 03 00 00 50 8B 45 D8 8B 40 10 50 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 10 03 00 00 50 E8 ?? ?? ?? ?? 8B 45 F8 33 D2 89 90 10 03 00 00 8B 45 F8 33 D2 89 90 14 03 00 00 E9 D1 00 00 00 8B 45 D8 8B 40 0C 25 03 00 01 00 3D 03 00 01 00 75 59 80 7D E2 00 74 2D 8B 45 D8 0F B7 40 28 50 6A 02 8D 95 7C FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 4D E4 8B 45 F8 8B 18 FF 93 38 01 00 00 E9 8C 00 00 00 6A 02 8D 95 7C FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 D8 0F B7 48 28 8B 45 F8 8B 18 FF 93 34 01 00 00 EB 66 8B 45 D8 8B 40 0C 25 04 00 01 00 3D 04 00 01 00 75 54 80 7D E2 00 74 2A 8B 45 D8 0F B7 40 28 50 6A 03 8D 95 7C FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 4D E4 8B 45 F8 8B 18 FF 93 38 01 00 00 EB 24 6A 03 8D 95 7C FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 D8 0F B7 48 28 8B 45 F8 8B 18 FF 93 34 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 80 80 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 46 0C 8B 55 F8 89 82 DC 02 00 00 E9 3C 05 00 00 8B 56 28 8B 45 F8 66 BE A9 FF E8 ?? ?? ?? ?? 8B 45 F4 C7 40 0C 01 00 00 00 E9 1E 05 00 00 8B 45 F8 C6 80 14 04 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 24 8B 45 F8 8B 80 A4 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 66 BE A9 FF E8 ?? ?? ?? ?? 4B 83 FB FF 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 C6 80 14 04 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 F4 C7 40 0C 01 00 00 00 E9 9E 04 00 00 8B DE 8D 53 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 8D 43 0C 8B D8 F6 03 01 74 58 83 7B 08 00 75 11 8B 4B 18 49 8B 57 20 8B 43 14 E8 ?? ?? ?? ?? EB 41 8B 47 08 89 45 D0 8B 45 D0 8B 10 FF 52 14 3B 43 08 7C 26 8D 8D 1C FF FF FF 8B 53 08 4A 8B 45 D0 8B 30 FF 56 0C 8B 95 1C FF FF FF 8B 4B 18 49 8B 43 14 E8 ?? ?? ?? ?? EB 08 8B 43 14 66 C7 00 00 00 F6 03 02 74 76 83 7B 08 00 75 32 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B 47 0C 89 43 1C 8B 45 F8 83 B8 94 02 00 00 00 74 54 8B 47 1C 40 C1 E0 0C 89 43 0C C7 43 10 00 F0 00 00 83 0B 08 EB 3E 8B 43 08 48 85 C0 7C 36 8B 47 08 8B 10 FF 52 14 8B 53 08 4A 3B C2 7E 26 8B 53 08 4A 8B C7 E8 ?? ?? ?? ?? 89 45 DC 8D 45 DC 50 8B 4B 08 49 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 DC 89 43 1C F6 03 10 0F 84 A9 03 00 00 8B 47 10 89 43 24 E9 9E 03 00 00 8B C6 8B 48 10 8B 50 0C 8B 45 F8 8B 18 FF 93 4C 01 00 00 E9 86 03 00 00 8B DE 8B 43 10 E8 ?? ?? ?? ?? 88 45 F2 33 F6 8D 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 C8 33 C0 89 45 CC 8B 45 C8 89 45 E8 8B 45 CC 89 45 EC C6 45 E3 04 0F B6 45 F2 2C 01 72 08 2C 02 72 09 74 24 EB 57 8B 73 18 EB 52 83 7B 14 00 74 0D 8D 55 FC 8B 43 14 E8 ?? ?? ?? ?? EB 3F 8D 45 FC E8 ?? ?? ?? ?? EB 35 8B 43 1C 89 45 E8 8B 43 20 89 45 EC 8B 43 24 83 E8 25 74 0B 48 74 0E 48 74 11 48 74 14 EB 16 C6 45 E3 00 EB 10 C6 45 E3 02 EB 0A C6 45 E3 01 EB 04 C6 45 E3 03 8D 45 E8 50 56 8B 43 0C 50 0F B6 45 E3 50 F6 43 10 20 0F 95 C0 50 8B 43 10 E8 ?? ?? ?? ?? 8B D0 8B 4D FC 8B 45 F8 8B 18 FF 93 48 01 00 00 8B 55 F4 89 42 0C E9 B5 02 00 00 8B DE 8B 43 14 E8 ?? ?? ?? ?? 50 8B 43 18 E8 ?? ?? ?? ?? 50 8B 4B 10 8B 53 0C 8B 45 F8 8B 18 FF 93 50 01 00 00 E9 8B 02 00 00 8D 56 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 8B D7 8B 45 F8 66 BE AD FF E8 ?? ?? ?? ?? 84 C0 75 0A 8B 45 F4 C7 40 0C 01 00 00 00 8B 45 F4 83 78 0C 00 0F 85 55 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 6A 00 6A 00 68 18 10 00 00 53 E8 ?? ?? ?? ?? 8B 55 F8 89 82 D0 02 00 00 8B 45 F8 8B 80 D0 02 00 00 BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 8B 55 F8 89 82 C8 02 00 00 8B 45 F8 8B 80 D0 02 00 00 BA FC FF FF FF 8B 4D F8 8B 89 08 04 00 00 51 52 50 E8 ?? ?? ?? ?? E9 F1 01 00 00 83 7E 20 00 0F 84 E7 01 00 00 83 7E 10 FF 0F 84 DD 01 00 00 8D 56 0C 8B 45 F8 66 BE A8 FF E8 ?? ?? ?? ?? E9 C9 01 00 00 8B 56 10 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 66 BE AB FF E8 ?? ?? ?? ?? E9 AB 01 00 00 8B 56 0C 8B 45 F8 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 66 BE A7 FF E8 ?? ?? ?? ?? E9 87 01 00 00 8B DE 8B 53 0C 8B 45 F8 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4B 1C 8B 45 F8 66 BE AE FF E8 ?? ?? ?? ?? 84 C0 0F 85 5B 01 00 00 8B 45 F4 C7 40 0C 01 00 00 00 E9 4C 01 00 00 8B DE 8B 45 F8 80 B8 01 03 00 00 00 0F 85 3A 01 00 00 8B 53 0C 8B 45 F8 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B 4B 1C 8B D7 8B 45 F8 66 BE AC FF E8 ?? ?? ?? ?? 8B 45 F8 66 83 B8 EA 03 00 00 00 74 4C 83 7B 1C 08 75 46 F6 43 18 02 74 1E F6 43 14 02 75 18 6A 00 8B 75 F8 8B CF 8B 55 F8 8B 86 EC 03 00 00 FF 96 E8 03 00 00 EB 22 F6 43 18 02 75 1C F6 43 14 02 74 16 6A 01 8B 75 F8 8B CF 8B 55 F8 8B 86 EC 03 00 00 FF 96 E8 03 00 00 8B 45 F8 8B 10 FF 52 58 85 C0 74 20 8B 45 F8 F6 40 1C 10 75 17 8B 45 F8 83 78 70 00 74 0E 8B 45 F8 8B 40 70 8B 55 F8 8B 08 FF 51 18 8B 45 F8 66 83 B8 F2 03 00 00 00 0F 84 80 00 00 00 83 7B 1C 08 75 7A 8B 43 18 25 00 F0 00 00 C1 E8 0C 8B 53 14 81 E2 00 F0 00 00 C1 EA 0C 3B C2 74 5F 8B 5D F8 8B CF 8B 55 F8 8B 83 F4 03 00 00 FF 93 F0 03 00 00 EB 49 8B 45 F8 66 83 B8 DA 03 00 00 00 74 3C 8D 95 14 FF FF FF A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 95 14 FF FF FF A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? EB 16 8B 45 F8 C6 80 A8 02 00 00 01 EB 0A 8B 45 F8 C6 80 A9 02 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 1C FF FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75286_0 {
	meta:
		name = "TCustomListView.ChangeScale"
		size = 156
		refs = "0032 TListColumns.GetItem 0037 TListColumn.GetWidth 006e MulDiv 0082 TListColumn.SetWidth 0092 TWinControl.ChangeScale"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B D8 F6 83 90 00 00 00 04 74 75 8B 83 B4 02 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 64 47 33 F6 8B D6 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 74 48 8B D6 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 FE 74 31 8B 04 24 50 55 8B D6 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 8B D6 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 46 4F 75 9F 8B 0C 24 8B D5 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75287_0 {
	meta:
		name = "TCustomListView.ColClick"
		size = 31
	strings:
		$1 = { 53 66 83 B8 52 03 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 54 03 00 00 FF 93 50 03 00 00 5B C3 }
	condition:
		$1
}

rule function_75288_0 {
	meta:
		name = "TCustomListView.ColRightClick"
		size = 48
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F1 8D 3C 24 A5 A5 66 83 B8 62 03 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 64 03 00 00 FF 93 60 03 00 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75289_0 {
	meta:
		name = "TCustomListView.InsertItem"
		size = 40
	strings:
		$1 = { 53 80 B8 01 03 00 00 00 75 1C 66 83 B8 E2 03 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 E4 03 00 00 FF 93 E0 03 00 00 5B C3 }
	condition:
		$1
}

rule function_75290_0 {
	meta:
		name = "TCustomListView.AddItem"
		size = 101
		refs = "0011 @UStrAddRef 0019 TCustomListView.AddItem 002a TListItems.Add 0036 TListItem.SetCaption 003f TListItem.SetData 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75291_0 {
	meta:
		name = "TCustomListView.CanChange"
		size = 79
	strings:
		$1 = { 53 51 C6 04 24 01 49 74 0A 49 74 0B 83 E9 06 74 0A EB 35 33 C9 EB 06 B1 01 EB 02 B1 02 80 B8 01 03 00 00 00 75 22 66 83 B8 4A 03 00 00 00 74 18 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 83 4C 03 00 00 FF 93 48 03 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_75292_0 {
	meta:
		name = "TCustomListView.Change"
		size = 64
	strings:
		$1 = { 53 49 74 0A 49 74 0B 83 E9 06 74 0A EB 30 33 C9 EB 06 B1 01 EB 02 B1 02 80 B8 01 03 00 00 00 75 1D 66 83 B8 42 03 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 44 03 00 00 FF 93 40 03 00 00 5B C3 }
	condition:
		$1
}

rule function_75293_0 {
	meta:
		name = "TCustomListView.Delete"
		size = 62
		refs = "0037 TListItem.Delete"
	strings:
		$1 = { 53 56 8B DA 85 DB 74 33 80 7B 25 00 75 2D F6 40 5D 20 75 1C 66 83 B8 AA 03 00 00 00 74 12 8B F0 8B CB 8B D0 8B 86 AC 03 00 00 FF 96 A8 03 00 00 C6 43 25 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75294_0 {
	meta:
		name = "TCustomListView.CanEdit"
		size = 42
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 C2 03 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 C4 03 00 00 FF 93 C0 03 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_75295_0 {
	meta:
		name = "TCustomListView.Edit"
		size = 125
		refs = "000f TCustomListView.Edit 0020 @UStrFromPWChar 0029 TCustomListView.GetItem 0057 TListItem.SetCaption 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 56 14 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 66 83 BB BA 03 00 00 00 74 14 8D 45 FC 50 8B CE 8B D3 8B 83 BC 03 00 00 FF 93 B8 03 00 00 85 F6 74 0A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75296_0 {
	meta:
		name = "TCustomListView.IsEditing"
		size = 47
		refs = "0002 TWinControl.GetHandle 0013 SendMessage 001f IsWindowVisible"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 6A 00 6A 00 68 18 10 00 00 53 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0A 53 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_75297_0 {
	meta:
		name = "TCustomListView.GetDragImages"
		size = 28
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 20 01 00 00 48 75 08 8B 83 9C 02 00 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_75298_0 {
	meta:
		name = "TCustomListView.WndProc"
		size = 176
		refs = "0022 TControl.Dragging 002d TControl.GetDragMode 003a TWinControl.IsControlMouseMsg 0043 TCustomListView.WndProc 0069 TWinControl.RecreateWnd 00a3 TWinControl.WndProc"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 1C 10 75 4B 8B 3E 81 FF 01 02 00 00 74 08 81 FF 03 02 00 00 75 39 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2E 8B C3 E8 ?? ?? ?? ?? 3C 01 75 23 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 65 A1 ?? ?? ?? ?? 0B 43 5C 89 43 5C 8B D6 8B C3 8B 08 FF 51 EC EB 4F 81 3E 51 B0 00 00 75 0F F6 43 1C 01 75 09 8B C3 E8 ?? ?? ?? ?? EB 38 81 3E 24 B0 00 00 75 0F F6 43 1C 01 75 09 8B C3 E8 ?? ?? ?? ?? EB 21 8B 06 83 F8 0F 74 05 83 F8 14 75 0C 8B 83 A4 02 00 00 80 78 0C 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_75299_0 {
	meta:
		name = "TCustomListView.DoGesture"
		size = 125
		refs = "0036 TWinControl.GetHandle 0061 SendMessage"
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B F0 66 81 3B 04 01 75 67 C6 01 01 F6 43 0C 01 74 14 8B 43 04 89 86 20 03 00 00 8B 43 08 89 86 24 03 00 00 EB 4A F6 43 0C 04 75 44 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 6B 04 2B AE 20 03 00 00 F7 DD 8B 43 08 2B 86 24 03 00 00 F7 D8 89 04 24 8B 04 24 50 55 68 14 10 00 00 57 E8 ?? ?? ?? ?? 8B 43 04 89 86 20 03 00 00 8B 43 08 89 86 24 03 00 00 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75300_0 {
	meta:
		name = "TCustomListView.DoStartDrag"
		size = 223
		refs = "000c TControl.DoStartDrag 001a GetCursorPos 0027 TControl.ScreenToClient 004e TListItems.GetItem 0070 TCustomListView.GetItemAt 007d TWinControl.GetHandle 0086 TListItem.GetIndex 0099 SendMessage 00ac TCustomImageList.SetHandle 00b9 TListItem.DisplayRect 00d3 TDragImageList.SetDragImage"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 E0 02 00 00 54 E8 ?? ?? ?? ?? 8D 4C 24 20 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 20 89 04 24 8B 44 24 24 89 44 24 04 8B 83 DC 02 00 00 83 F8 FF 74 11 8B D0 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 C7 83 DC 02 00 00 FF FF FF FF 85 F6 75 10 8B 4C 24 04 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 5D 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 8B E8 8D 44 24 08 50 55 68 21 10 00 00 57 E8 ?? ?? ?? ?? 85 C0 74 36 8B 9B 9C 02 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 10 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 44 24 04 2B 44 24 14 50 8B 4C 24 04 2B 4C 24 14 33 D2 8B C3 E8 ?? ?? ?? ?? 83 C4 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75301_0 {
	meta:
		name = "TCustomListView.DoEndDrag"
		size = 41
		refs = "000d TControl.DoEndDrag 0018 TDragImageList.EndDrag"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 E0 02 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_75302_0 {
	meta:
		name = "TCustomListView.CMDrag"
		size = 308
		refs = "000f TWinControl.CMDrag 0032 TControl.ScreenToClient 004d TCustomListView.DoDragOver 0061 TCustomListView.GetDropTarget 0070 TCustomListView.SetDropTarget 00c0 TCustomListView.GetNearestItem 00cb TCustomListView.GetTopItem 00d8 TListItem.GetIndex 00e4 TListItems.GetCount 00fc TListItems.GetItem 0106 TListItem.GetState 0123 TListItem.SetState"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 7E 08 0F B6 46 04 FE C8 74 38 FE C8 74 09 FE C8 74 65 E9 02 01 00 00 8B CC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 50 83 7E 0C 00 0F 95 C0 50 8B 57 08 8B 4C 24 08 8B C3 E8 ?? ?? ?? ?? E9 D7 00 00 00 8B 47 08 8B 10 FF 52 18 8B C3 E8 ?? ?? ?? ?? 89 83 E0 02 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A8 00 00 00 8B 47 08 8B 10 FF 52 20 E9 A2 00 00 00 33 C0 89 83 E0 02 00 00 80 BB BC 02 00 00 00 0F 84 8D 00 00 00 0F B6 83 85 02 00 00 2C 02 73 1D 33 C0 89 44 24 08 33 C0 89 44 24 0C B1 04 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 09 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 58 8B C6 E8 ?? ?? ?? ?? 50 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 58 2B F8 7C 3D 47 89 C6 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 1B 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 04 46 4F 75 C6 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75303_0 {
	meta:
		name = "TCustomListView.DoDragOver"
		size = 137
		refs = "0014 TCustomListView.GetItemAt 0021 TCustomListView.GetDropTarget 005b TListItem.SetState"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B D8 8B D1 8B C3 8B 4D 0C E8 ?? ?? ?? ?? 8B F0 85 F6 74 63 8B C3 E8 ?? ?? ?? ?? 8B F8 3B FE 75 08 3B B3 E0 02 00 00 75 4E 33 C0 89 83 E0 02 00 00 8B 45 FC 8B 10 FF 52 18 8B C3 8B 10 FF 92 A8 00 00 00 85 FF 74 0E 33 C9 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 0F B6 4D 08 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A8 00 00 00 8B 45 FC 8B 10 FF 52 20 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_75306_0 {
	meta:
		name = "TCustomListView.SetListGroups"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 00 04 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_75307_0 {
	meta:
		name = "TCustomListView.CustomSort"
		size = 71
		refs = "000f TWinControl.HandleAllocated 001c DefaultListViewSort 0023 TWinControl.GetHandle 0036 SendMessage"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 29 85 FF 75 05 BF ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 8B F7 8B FD 56 57 68 30 10 00 00 53 E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75308_0 {
	meta:
		name = "TCustomListView.AlphaSort"
		size = 59
		refs = "0008 TWinControl.HandleAllocated 0013 TWinControl.GetHandle 001a DefaultListViewSort 0029 SendMessage"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 8B C3 E8 ?? ?? ?? ?? 8B D8 BE ?? ?? ?? ?? 33 FF 56 57 68 30 10 00 00 53 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75309_0 {
	meta:
		name = "TCustomListView.SetSortType"
		size = 57
		refs = "0034 TCustomListView.AlphaSort"
	strings:
		$1 = { 3A 90 A1 02 00 00 74 30 88 90 A1 02 00 00 0F B6 90 A1 02 00 00 8B CA 80 E9 01 74 05 80 E9 02 75 0A 66 83 B8 6A 03 00 00 00 75 08 80 C2 FE 80 EA 02 73 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75310_0 {
	meta:
		name = "TCustomListView.GetVisibleRowCount"
		size = 44
		refs = "0011 TWinControl.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 0F B6 90 85 02 00 00 80 C2 FE 80 EA 02 73 18 E8 ?? ?? ?? ?? 8B D8 6A 00 6A 00 68 28 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_75311_0 {
	meta:
		name = "TCustomListView.GetViewOrigin"
		size = 28
		refs = "0005 TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 56 8B F2 E8 ?? ?? ?? ?? 8B D8 56 6A 00 68 29 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75312_0 {
	meta:
		name = "TCustomListView.GetTopItem"
		size = 68
		refs = "0015 TWinControl.GetHandle 0026 SendMessage 0038 TListItems.GetItem"
	strings:
		$1 = { 53 56 57 8B D8 33 F6 0F B6 83 85 02 00 00 2C 02 72 2C 8B C3 E8 ?? ?? ?? ?? 8B F8 6A 00 6A 00 68 27 10 00 00 57 E8 ?? ?? ?? ?? 83 F8 FF 74 0F 8B D0 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75313_0 {
	meta:
		name = "TCustomListView.GetBoundingRect"
		size = 28
		refs = "0005 TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 56 8B F2 E8 ?? ?? ?? ?? 8B D8 56 6A 00 68 22 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75314_0 {
	meta:
		name = "TCustomListView.Scroll"
		size = 31
		refs = "0008 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 E8 ?? ?? ?? ?? 8B D8 57 56 68 14 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75315_0 {
	meta:
		name = "TCustomListView.SetGroupHeaderImages"
		size = 121
		refs = "001b TCustomImageList.UnRegisterChanges 0032 TCustomImageList.RegisterChanges 003f TComponent.FreeNotification 004a TCustomImageList.GetHandle 0058 TCustomListView.SetImageList"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 98 02 00 00 3B D8 74 66 85 C0 74 0B 8B 96 F8 02 00 00 E8 ?? ?? ?? ?? 8B C3 89 86 98 02 00 00 85 C0 74 33 8B 96 F8 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 8B D0 B9 03 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 0E B9 03 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_75316_0 {
	meta:
		name = "TCustomListView.SetLargeImages"
		size = 115
		refs = "001b TCustomImageList.UnRegisterChanges 0032 TCustomImageList.RegisterChanges 003f TComponent.FreeNotification 004a TCustomImageList.GetHandle 0055 TCustomListView.SetImageList"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 88 02 00 00 3B D8 74 60 85 C0 74 0B 8B 96 F0 02 00 00 E8 ?? ?? ?? ?? 8B C3 89 86 88 02 00 00 85 C0 74 30 8B 96 F0 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B 86 88 02 00 00 E8 ?? ?? ?? ?? 8B 86 88 02 00 00 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C6 E8 ?? ?? ?? ?? EB 0B 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_75317_0 {
	meta:
		name = "TCustomListView.SetSmallImages"
		size = 121
		refs = "001b TCustomImageList.UnRegisterChanges 0032 TCustomImageList.RegisterChanges 003f TComponent.FreeNotification 004a TCustomImageList.GetHandle 0058 TCustomListView.SetImageList"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 90 02 00 00 3B D8 74 66 85 C0 74 0B 8B 96 F4 02 00 00 E8 ?? ?? ?? ?? 8B C3 89 86 90 02 00 00 85 C0 74 33 8B 96 F4 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B 86 90 02 00 00 E8 ?? ?? ?? ?? 8B 86 90 02 00 00 E8 ?? ?? ?? ?? 8B D0 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 0E B9 01 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_75318_0 {
	meta:
		name = "TCustomListView.SetStateImages"
		size = 167
		refs = "001f TCustomImageList.UnRegisterChanges 0034 TCustomListView.SetCheckboxes 0045 TCustomImageList.RegisterChanges 0052 TComponent.FreeNotification 005d TCustomImageList.GetHandle 006b TCustomListView.SetImageList"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 94 02 00 00 3B D8 0F 84 90 00 00 00 85 C0 74 0B 8B 96 FC 02 00 00 E8 ?? ?? ?? ?? 8B C3 89 86 94 02 00 00 85 C0 74 42 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 96 FC 02 00 00 8B 86 94 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B 86 94 02 00 00 E8 ?? ?? ?? ?? 8B 86 94 02 00 00 E8 ?? ?? ?? ?? 8B D0 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 29 B9 02 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 80 BE E4 02 00 00 00 74 12 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_75319_0 {
	meta:
		name = "TCustomListView.GetColumnFromIndex"
		size = 12
		refs = "0007 TListColumns.GetItem"
	strings:
		$1 = { 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75320_0 {
	meta:
		name = "TCustomListView.FindCaption"
		size = 212
		refs = "0014 @UStrAddRef 001c TCustomListView.FindCaption 002d FullString 003b Wraps 0046 @UStrToPWChar 0065 TWinControl.GetHandle 0077 SendMessage 0088 TListItems.GetItem 00a5 @HandleFinally 00bc @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D FC 8B FA 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 10 8B 04 85 ?? ?? ?? ?? 83 C8 02 0F B6 55 08 0B 04 95 ?? ?? ?? ?? 89 45 E0 8B 45 FC E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7D 0C 00 74 01 4F 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 45 E0 50 57 68 53 10 00 00 56 E8 ?? ?? ?? ?? 83 F8 FF 74 11 8B 93 A4 02 00 00 92 E8 ?? ?? ?? ?? 89 45 F8 EB 05 33 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_75321_0 {
	meta:
		name = "TCustomListView.FindData"
		size = 160
		refs = "002a TListItems.GetCount 003f TListItems.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F8 33 C0 89 45 F4 80 7D 0C 00 74 03 FF 4D FC 8B 75 FC 46 8B 87 A4 02 00 00 E8 ?? ?? ?? ?? 8B D8 4B 2B DE 7C 23 43 8B 87 A4 02 00 00 8B D6 E8 ?? ?? ?? ?? 85 C0 74 0D 8B 50 28 3B 55 F8 75 05 89 45 F4 EB 40 46 4B 75 DE 80 7D 08 00 74 36 80 7D 0C 00 74 03 FF 45 FC 8B 5D FC 4B 85 DB 7C 25 43 33 F6 8B 87 A4 02 00 00 8B D6 E8 ?? ?? ?? ?? 85 C0 74 0D 8B 50 28 3B 55 F8 75 05 89 45 F4 EB 04 46 4B 75 DE 8B 45 F4 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_75322_0 {
	meta:
		name = "TCustomListView.GetHitTestInfoAt"
		size = 172
		refs = "000f TCustomListView.GetHitTestInfoAt 001f TWinControl.GetHandle 0033 SendMessage"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 8B F9 89 14 24 0F B7 35 ?? ?? ?? ?? 8B 14 24 89 54 24 04 89 7C 24 08 E8 ?? ?? ?? ?? 8B D8 8D 44 24 04 50 6A 00 68 12 10 00 00 53 E8 ?? ?? ?? ?? 8B 5C 24 0C 8B EB 83 E5 08 85 ED 74 08 85 FF 7D 04 66 83 CE 01 F6 C3 10 74 04 66 83 CE 02 F6 C3 01 74 04 66 83 CE 04 8B C3 83 E0 0E 83 F8 0E 75 06 66 83 CE 08 EB 1C F6 C3 02 74 04 66 83 CE 20 F6 C3 04 74 05 66 81 CE 80 00 85 ED 74 05 66 81 CE 00 02 F6 C3 40 74 05 66 81 CE 00 04 F6 C3 20 74 05 66 81 CE 00 08 8B C6 83 C4 1C 5D 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_75323_0 {
	meta:
		name = "TCustomListView.GetSelected"
		size = 24
		refs = "0003 TCustomListView.GetSelected 000d TCustomListView.GetNextItem"
	strings:
		$1 = { 0F B6 15 ?? ?? ?? ?? 52 B1 04 33 D2 E8 ?? ?? ?? ?? C3 00 00 10 00 00 00 }
	condition:
		$1
}

rule function_75324_0 {
	meta:
		name = "TCustomListView.SetSelected"
		size = 104
		refs = "0015 TListItem.SetState 001e TCustomListView.GetSelected 004b TCustomListView.SetSelected 0057 TCustomListView.GetNextItem"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 85 DB 74 10 B1 01 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 45 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C7 8B 10 FF 92 20 01 00 00 8B F0 4E 85 F6 7C 2B 46 85 DB 74 23 33 C9 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 B1 04 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D8 4E 75 D6 5F 5E 5B C3 10 00 00 00 }
	condition:
		$1
}

rule function_75325_0 {
	meta:
		name = "TCustomListView.GetDropTarget"
		size = 40
		refs = "0006 TCustomListView.GetDropTarget 0012 TCustomListView.GetNextItem"
	strings:
		$1 = { 53 8B D8 0F B6 05 ?? ?? ?? ?? 50 B1 04 33 D2 8B C3 E8 ?? ?? ?? ?? 85 C0 75 06 8B 83 E0 02 00 00 5B C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_75326_0 {
	meta:
		name = "TCustomListView.SetDropTarget"
		size = 67
		refs = "0009 TWinControl.HandleAllocated 001f TListItem.SetState 0028 TCustomListView.GetDropTarget"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2F 85 F6 74 10 B1 01 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 1B 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0E 33 C9 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75327_0 {
	meta:
		name = "TCustomListView.GetFocused"
		size = 24
		refs = "0003 TCustomListView.GetFocused 000d TCustomListView.GetNextItem"
	strings:
		$1 = { 0F B6 15 ?? ?? ?? ?? 52 B1 04 33 D2 E8 ?? ?? ?? ?? C3 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_75328_0 {
	meta:
		name = "TCustomListView.SetFocused"
		size = 67
		refs = "0009 TWinControl.HandleAllocated 001f TListItem.SetState 0028 TCustomListView.GetFocused"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2F 85 F6 74 10 B1 01 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 1B 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0E 33 C9 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75329_0 {
	meta:
		name = "TCustomListView.GetImageIndex"
		size = 31
	strings:
		$1 = { 53 66 83 B8 CA 03 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 CC 03 00 00 FF 93 C8 03 00 00 5B C3 }
	condition:
		$1
}

rule function_75330_0 {
	meta:
		name = "TCustomListView.GetNextItem"
		size = 209
		refs = "0018 TWinControl.HandleAllocated 0032 TCustomListView.GetNextItem 006f TListItem.GetIndex 00a1 TWinControl.GetHandle 00aa ListView_GetNextItem 00be TListItems.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FF 8B FA 8B D8 33 C0 89 45 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A1 00 00 00 33 F6 0F B6 45 FF 83 F8 04 77 39 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BE 00 01 00 00 EB 17 BE 00 02 00 00 EB 10 BE 00 04 00 00 EB 09 BE 00 08 00 00 EB 02 33 F6 85 FF 74 0B 8B C7 E8 ?? ?? ?? ?? 8B F8 EB 03 83 CF FF F6 45 08 02 74 03 83 CE 04 F6 45 08 04 74 03 83 CE 08 F6 45 08 08 74 03 83 CE 01 F6 45 08 10 74 03 83 CE 02 8B C3 E8 ?? ?? ?? ?? 8B CE 8B D7 E8 ?? ?? ?? ?? 8B F8 83 FF FF 74 10 8B D7 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_75331_0 {
	meta:
		name = "TCustomListView.GetNearestItem"
		size = 112
		refs = "002e Directions 0039 TWinControl.GetHandle 004f SendMessage 0061 TListItems.GetItem"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8D 3C 24 A5 A5 8B D9 8B F8 C7 44 24 08 40 00 00 00 8B 04 24 89 44 24 14 8B 44 24 04 89 44 24 18 0F B6 C3 8B 04 85 ?? ?? ?? ?? 89 44 24 1C 8B C7 E8 ?? ?? ?? ?? 8B F0 83 CB FF 8D 44 24 08 50 53 68 53 10 00 00 56 E8 ?? ?? ?? ?? 83 F8 FF 74 0F 8B D0 8B 87 A4 02 00 00 E8 ?? ?? ?? ?? EB 02 33 C0 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75332_0 {
	meta:
		name = "TCustomListView.GetItemAt"
		size = 105
		refs = "0012 TWinControl.HandleAllocated 0033 TWinControl.GetHandle 0047 SendMessage 0059 TListItems.GetItem"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B E9 8B FA 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 45 89 3C 24 89 6C 24 04 8B 04 24 89 44 24 08 8B 44 24 04 89 44 24 0C 8B C3 E8 ?? ?? ?? ?? 8B F8 8D 44 24 08 50 6A 00 68 12 10 00 00 57 E8 ?? ?? ?? ?? 83 F8 FF 74 0F 8B D0 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75333_0 {
	meta:
		name = "TCustomListView.Arrange"
		size = 40
		refs = "0006 TWinControl.GetHandle 0012 Codes 0020 SendMessage"
	strings:
		$1 = { 53 56 57 8B DA E8 ?? ?? ?? ?? 8B F8 0F B6 C3 8B 34 85 ?? ?? ?? ?? 6A 00 56 68 16 10 00 00 57 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75334_0 {
	meta:
		name = "TCustomListView.StringWidth"
		size = 104
		refs = "000f @UStrAddRef 0017 TCustomListView.StringWidth 0024 TWinControl.GetHandle 002e @UStrToPWChar 003e SendMessage 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B F0 56 6A 00 68 57 10 00 00 53 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75335_0 {
	meta:
		name = "TCustomListView.UpdateColumns"
		size = 62
		refs = "0008 TWinControl.HandleAllocated 0032 TCustomListView.UpdateColumn"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2A 80 BB 0D 03 00 00 00 75 21 8B 83 B4 02 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 10 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 47 4E 75 F3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75336_0 {
	meta:
		name = "TCustomListView.UpdateGroups"
		size = 618
		refs = "0012 TCustomListView.UpdateGroups 003d TListGroups.GetItem 006e Trim 009b @UStrAsg 00b0 @UStrClr 013f TWinControl.HandleAllocated 015f TListItems.GetCount 016e :TCustomListView.:2 0173 @DynArraySetLength 0198 TListItems.GetItem 01b6 TListItem.SetGroupID 01d7 TCustomListView.UpdateGroup 0249 @UStrArrayClr 0257 @DynArrayClear 025d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 00 04 00 00 8B 40 08 8B 78 08 4F 85 FF 0F 8C 0B 01 00 00 47 33 DB 8B D3 8B 86 00 04 00 00 E8 ?? ?? ?? ?? 83 78 20 00 74 6D 8B D3 8B 86 00 04 00 00 E8 ?? ?? ?? ?? 83 78 28 FF 7E 45 8B D3 8B 86 00 04 00 00 E8 ?? ?? ?? ?? 8B 40 0C 8D 55 F8 E8 ?? ?? ?? ?? 83 7D F8 00 75 27 8B D3 8B 86 00 04 00 00 E8 ?? ?? ?? ?? 83 C0 0C 50 8B D3 8B 86 00 04 00 00 E8 ?? ?? ?? ?? 8B 50 20 58 E8 ?? ?? ?? ?? 8B D3 8B 86 00 04 00 00 E8 ?? ?? ?? ?? 83 C0 20 E8 ?? ?? ?? ?? 8B D3 8B 86 00 04 00 00 E8 ?? ?? ?? ?? 83 78 24 00 74 6D 8B D3 8B 86 00 04 00 00 E8 ?? ?? ?? ?? 83 78 28 FF 7E 45 8B D3 8B 86 00 04 00 00 E8 ?? ?? ?? ?? 8B 40 1C 8D 55 F4 E8 ?? ?? ?? ?? 83 7D F4 00 75 27 8B D3 8B 86 00 04 00 00 E8 ?? ?? ?? ?? 83 C0 1C 50 8B D3 8B 86 00 04 00 00 E8 ?? ?? ?? ?? 8B 50 24 58 E8 ?? ?? ?? ?? 8B D3 8B 86 00 04 00 00 E8 ?? ?? ?? ?? 83 C0 24 E8 ?? ?? ?? ?? 43 4F 0F 85 F8 FE FF FF 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 E8 00 00 00 80 BE BC 02 00 00 00 0F 85 BA 00 00 00 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 32 47 33 DB 8B D3 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B 40 2C 8B 55 FC 89 04 9A 8B D3 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 43 4F 75 D1 8B 86 00 04 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 10 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 43 4F 75 F3 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 42 47 33 DB 8B D3 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 14 9A E8 ?? ?? ?? ?? 43 4F 75 E4 EB 21 8B 86 00 04 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 10 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 43 4F 75 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75337_0 {
	meta:
		name = "TCustomListView.UpdateGroup"
		size = 656
		refs = "000e TWinControl.HandleAllocated 0024 @FillChar 0031 TListGroups.GetItem 003a TWinControl.GetHandle 005a SendMessage 008b TCustomListView.UpdateGroup 00a0 @UStrToPWChar 0130 CheckWin32Version"
	strings:
		$1 = { 53 56 57 55 83 C4 A0 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 67 02 00 00 8B C4 33 C9 BA 60 00 00 00 E8 ?? ?? ?? ?? 8B D7 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B E8 8B D7 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 8B 40 14 6A 00 50 68 96 10 00 00 55 E8 ?? ?? ?? ?? C7 44 24 04 0D 00 00 00 83 7E 10 00 74 05 83 4C 24 04 02 33 C0 89 44 24 24 C7 04 24 60 00 00 00 80 7E 1A 02 75 32 83 7E 28 FF 7E 2C B8 ?? ?? ?? ?? 89 44 24 08 B8 ?? ?? ?? ?? 89 44 24 28 8B 46 0C E8 ?? ?? ?? ?? 89 44 24 38 8B 46 1C E8 ?? ?? ?? ?? 89 44 24 40 EB 2A 8B 46 0C E8 ?? ?? ?? ?? 89 44 24 08 8B 46 1C E8 ?? ?? ?? ?? 89 44 24 28 B8 ?? ?? ?? ?? 89 44 24 38 B8 ?? ?? ?? ?? 89 44 24 40 8B 46 10 E8 ?? ?? ?? ?? 89 44 24 10 33 C0 89 44 24 1C 33 C0 89 44 24 20 8B D7 8B 83 00 04 00 00 E8 ?? ?? ?? ?? F6 40 18 01 74 05 83 4C 24 20 00 8B D7 8B 83 00 04 00 00 E8 ?? ?? ?? ?? F6 40 18 02 74 05 83 4C 24 20 02 33 D2 B8 06 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 F1 00 00 00 8B D7 8B 83 00 04 00 00 E8 ?? ?? ?? ?? F6 40 18 08 74 05 83 4C 24 20 04 8B D7 8B 83 00 04 00 00 E8 ?? ?? ?? ?? F6 40 18 10 74 05 83 4C 24 20 08 8B D7 8B 83 00 04 00 00 E8 ?? ?? ?? ?? F6 40 18 04 74 05 83 4C 24 20 01 8B D7 8B 83 00 04 00 00 E8 ?? ?? ?? ?? F6 40 18 20 74 05 83 4C 24 20 10 8B D7 8B 83 00 04 00 00 E8 ?? ?? ?? ?? F6 40 18 40 74 05 83 4C 24 20 20 8B 46 28 83 F8 FF 7E 08 81 4C 24 04 00 10 00 00 89 44 24 48 80 7E 1A 02 75 0E 83 7E 28 FF 7E 08 81 4C 24 04 00 04 00 00 83 7E 1C 00 74 28 80 7E 1A 02 75 1A 83 7E 28 FF 7E 14 8B 44 24 04 0D 00 08 00 00 0D 00 01 00 00 89 44 24 04 EB 08 81 4C 24 04 00 01 00 00 0F B6 46 1B 84 C0 75 07 83 4C 24 24 08 EB 14 3C 01 75 07 83 4C 24 24 20 EB 09 3C 02 75 05 83 4C 24 24 10 0F B6 46 1A 84 C0 75 07 83 4C 24 24 01 EB 14 3C 01 75 07 83 4C 24 24 04 EB 09 3C 02 75 05 83 4C 24 24 02 83 4C 24 04 10 8B D7 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 8B 40 14 89 44 24 18 8B C3 E8 ?? ?? ?? ?? 8B D7 8B CC 51 52 68 91 10 00 00 50 E8 ?? ?? ?? ?? 83 C4 60 5D 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_75338_0 {
	meta:
		name = "TCustomListView.UpdateColumn"
		size = 362
		refs = "000e TWinControl.HandleAllocated 0023 TListColumns.GetItem 003c @UStrToPWChar 004e TCollectionItem.GetIndex 005d @CallDynaInst 006a IAlignment 00b4 TWinControl.GetHandle 00d7 SendMessage 0129 ListView_SetColumnWidth"
	strings:
		$1 = { 53 56 57 55 83 C4 CC 8B EA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 48 01 00 00 8B D5 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8B F8 C7 44 24 08 15 00 00 00 8B 47 1C 89 44 24 20 8B 47 10 E8 ?? ?? ?? ?? 89 44 24 14 0F B6 47 0C 88 04 24 8B C7 E8 ?? ?? ?? ?? 85 C0 74 25 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 83 E0 7F 8D 04 40 8D 04 85 ?? ?? ?? ?? 0F B6 14 24 8B 04 90 89 44 24 0C EB 06 33 C0 89 44 24 0C 83 7F 1C FF 74 14 8B 44 24 0C 0D 00 08 00 00 0D 00 80 00 00 89 44 24 0C EB 05 83 64 24 08 EF 8B 47 24 83 F8 FF 7E 38 83 4C 24 08 02 89 44 24 10 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D5 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8B 58 28 8D 44 24 08 50 53 68 60 10 00 00 56 E8 ?? ?? ?? ?? E9 82 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D5 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8B 40 28 89 44 24 04 8D 44 24 08 50 8B 44 24 08 50 68 60 10 00 00 56 E8 ?? ?? ?? ?? 80 BB 85 02 00 00 02 75 14 8B C3 E8 ?? ?? ?? ?? 8B 4F 24 83 CA FF E8 ?? ?? ?? ?? EB 33 80 BB 85 02 00 00 03 75 2A 80 BB BC 02 00 00 00 75 21 8B D5 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 8B 40 28 50 8B C3 E8 ?? ?? ?? ?? 8B 4F 24 5A E8 ?? ?? ?? ?? 83 C4 34 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75339_0 {
	meta:
		name = "TCustomListView.WMLButtonDown"
		size = 404
		refs = "001a KeysToShiftState 0036 TControl.WMLButtonDown 003d TControl.GetDragMode 0070 TCustomListView.GetItemAt 0082 TListItem.GetState 0092 TControl.BeginDrag 00aa GetCursorPos 00b7 TControl.ScreenToClient 00da TControl.Dragging 0102 TControl.Perform 012d GetCapture 0133 SendMessage"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B FA 8B D8 8B C3 8B 10 FF 92 F4 00 00 00 0F B7 47 04 E8 ?? ?? ?? ?? 8B F0 C6 83 A8 02 00 00 00 C7 83 DC 02 00 00 FF FF FF FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3C 01 75 56 80 BB A0 02 00 00 00 74 4D 66 F7 C6 01 00 75 46 66 F7 C6 04 00 75 3F 80 BB A8 02 00 00 00 75 36 0F BF 4F 0A 0F BF 57 08 8B C3 E8 ?? ?? ?? ?? 8B E8 85 ED 74 21 BA 03 00 00 00 8B C5 E8 ?? ?? ?? ?? 84 C0 74 11 83 C9 FF 33 D2 8B C3 E8 ?? ?? ?? ?? E9 F1 00 00 00 80 BB A8 02 00 00 00 0F 84 91 00 00 00 54 E8 ?? ?? ?? ?? 8D 4C 24 0C 8B D4 8B C3 E8 ?? ?? ?? ?? 0F B7 44 24 0C 66 89 44 24 14 0F B7 44 24 10 66 89 44 24 16 8B 44 24 14 89 44 24 08 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2D 0F B7 44 24 08 0F B7 C0 0F B7 54 24 0A 0F B7 D2 C1 E2 10 0B C2 50 33 C9 BA 02 02 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 A8 02 00 00 00 EB 7D 0F B7 44 24 08 0F B7 C0 0F B7 54 24 0A 0F B7 D2 C1 E2 10 0B C2 50 6A 00 68 02 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 53 8B C3 E8 ?? ?? ?? ?? 3C 01 75 48 80 BB A0 02 00 00 00 74 0E 66 F7 C6 01 00 75 38 66 F7 C6 04 00 75 31 0F BF 4F 0A 0F BF 57 08 8B C3 E8 ?? ?? ?? ?? 8B E8 85 ED 74 1C BA 03 00 00 00 8B C5 E8 ?? ?? ?? ?? 84 C0 74 0C 83 C9 FF 33 D2 8B C3 E8 ?? ?? ?? ?? 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75340_0 {
	meta:
		name = "TCustomListView.DoAutoSize"
		size = 401
		refs = "000f _Dn_TList 0014 TObject.Create 001f TCustomListView.DoAutoSize 002d TControl.GetClientWidth 0057 TListColumns.GetItem 0069 TList.Add 0072 TListColumn.GetWidth 00d1 TList.Get 00e3 TListColumn.SetWidth 0123 TList.Delete 0167 @HandleFinally 017e TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 80 B4 02 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 35 47 33 DB 8B 45 FC 8B 80 B4 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 80 7E 0D 00 74 0C 8B D6 8B 45 EC E8 ?? ?? ?? ?? EB 0A 8B C6 E8 ?? ?? ?? ?? 29 45 F4 43 4F 75 CE 8B 45 EC 83 78 08 00 0F 8E E3 00 00 00 8B 45 FC 8B 80 B4 02 00 00 8B 10 FF 52 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 40 08 89 45 F8 8B 45 F4 99 F7 7D F8 89 55 F0 8B 45 F4 99 F7 7D F8 8B F8 8B 5D F8 4B 83 FB 00 7C 22 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B F0 85 DB 75 03 03 7D F0 8B D7 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DE 8B 45 F4 99 F7 7D F8 8B F8 8B 5D F8 4B 83 FB 00 7C 38 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B F0 85 DB 75 03 03 7D F0 8B C6 E8 ?? ?? ?? ?? 3B F8 74 14 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 29 45 F4 4B 83 FB FF 75 C8 8B 45 EC 8B 40 08 85 C0 74 09 3B 45 F8 0F 85 5C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 B4 02 00 00 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75341_0 {
	meta:
		name = "TCustomListView.WMWindowPosChanged"
		size = 51
		refs = "0018 TWinControl.HandleAllocated 0023 TCustomListView.DoAutoSize 002c TWinControl.WMWindowPosChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 02 75 1B 8B 46 08 F6 40 18 01 75 12 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75342_0 {
	meta:
		name = "TCustomListView.GetSearchString"
		size = 93
		refs = "0009 @UStrClr 0010 TWinControl.HandleAllocated 0024 TWinControl.GetHandle 002a SendMessage 0036 @UStrSetLength 0046 @UStrToPWChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 42 6A 00 6A 00 68 75 10 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 7E 28 8B D6 92 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 06 E8 ?? ?? ?? ?? 8B F0 56 6A 00 68 75 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75343_0 {
	meta:
		name = "TCustomListView.CNDrawItem"
		size = 306
		refs = "0037 SaveDC 0048 TCustomCanvas.Lock 0050 TCustomListView.CNDrawItem 006a TCanvas.SetHandle 007e TCanvas.SetFont 0095 TCanvas.SetBrush 00c7 TListItems.GetItem 0105 TCustomCanvas.Unlock 0115 RestoreDC 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8B 45 FC 83 B8 80 02 00 00 00 0F 84 0C 01 00 00 8B 45 F8 8B 40 08 89 45 F0 8B 45 F0 0F B7 70 10 8B 45 F0 8B 40 18 50 E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 50 18 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 6C 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 C8 01 00 00 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 78 08 83 FF FF 75 16 8B 45 F0 8D 50 1C 8B 45 FC 8B 80 80 02 00 00 8B 08 FF 51 54 EB 24 56 8B D7 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8D 48 1C 8B 45 FC 8B 18 FF 93 40 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 80 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F0 8B 40 18 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 8B 45 F8 C7 40 0C 01 00 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75344_0 {
	meta:
		name = "TCustomListView.CanvasChanged"
		size = 8
	strings:
		$1 = { C6 80 02 03 00 00 01 C3 }
	condition:
		$1
}

rule function_75345_0 {
	meta:
		name = "TCustomListView.IsCustomDrawn"
		size = 276
	strings:
		$1 = { 84 C9 0F 85 A5 00 00 00 80 FA 02 75 22 66 83 B8 82 03 00 00 00 75 11 66 83 B8 3A 03 00 00 00 75 07 33 C0 E9 EB 00 00 00 B0 01 E9 E4 00 00 00 80 FA 01 75 36 66 83 B8 7A 03 00 00 00 75 25 66 83 B8 32 03 00 00 00 75 1B 66 83 B8 82 03 00 00 00 75 11 66 83 B8 3A 03 00 00 00 75 07 33 C0 E9 B0 00 00 00 B0 01 E9 A9 00 00 00 66 83 B8 72 03 00 00 00 75 36 66 83 B8 2A 03 00 00 00 75 2C 66 83 B8 7A 03 00 00 00 75 22 66 83 B8 32 03 00 00 00 75 18 66 83 B8 82 03 00 00 00 75 0E 66 83 B8 3A 03 00 00 00 75 04 33 C0 EB 69 B0 01 C3 80 FA 02 75 1C 66 83 B8 3A 03 00 00 00 75 0E 66 83 B8 82 03 00 00 00 75 04 33 C0 EB 49 B0 01 EB 45 80 FA 01 75 1C 66 83 B8 32 03 00 00 00 75 0E 66 83 B8 7A 03 00 00 00 75 04 33 C0 EB 28 B0 01 EB 24 66 83 B8 2A 03 00 00 00 75 18 66 83 B8 32 03 00 00 00 75 0E 66 83 B8 3A 03 00 00 00 75 04 33 C0 EB 02 B0 01 C3 }
	condition:
		$1
}

rule function_75346_0 {
	meta:
		name = "TCustomListView.CustomDraw"
		size = 86
	strings:
		$1 = { 53 56 57 51 8B D9 8B FA 8B F0 C6 04 24 01 84 DB 75 1B 66 83 BE 72 03 00 00 00 74 11 54 8B CF 8B D6 8B 86 74 03 00 00 FF 96 70 03 00 00 66 83 BE 2A 03 00 00 00 74 16 53 8D 44 24 04 50 8B CF 8B D6 8B 86 2C 03 00 00 FF 96 28 03 00 00 0F B6 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75347_0 {
	meta:
		name = "TCustomListView.CustomDrawItem"
		size = 113
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 66 89 4D FA 89 55 FC 8B F0 8B 5D 08 C6 45 F9 01 84 DB 75 24 66 83 BE 7A 03 00 00 00 74 1A 0F B7 45 FA 50 8D 45 F9 50 8B 4D FC 8B D6 8B 86 7C 03 00 00 FF 96 78 03 00 00 66 83 BE 32 03 00 00 00 74 1B 0F B7 45 FA 50 53 8D 45 F9 50 8B 4D FC 8B D6 8B 86 34 03 00 00 FF 96 30 03 00 00 0F B6 45 F9 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_75348_0 {
	meta:
		name = "TCustomListView.CustomDrawSubItem"
		size = 120
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 89 55 FC 8B F0 8B 5D 08 C6 45 F7 01 84 DB 75 28 66 83 BE 82 03 00 00 00 74 1E 8B 45 F8 50 0F B7 45 0C 50 8D 45 F7 50 8B 4D FC 8B D6 8B 86 84 03 00 00 FF 96 80 03 00 00 66 83 BE 3A 03 00 00 00 74 1F 8B 45 F8 50 0F B7 45 0C 50 53 8D 45 F7 50 8B 4D FC 8B D6 8B 86 3C 03 00 00 FF 96 38 03 00 00 0F B6 45 F7 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_75349_0 {
	meta:
		name = "TCustomListView.DrawItem"
		size = 120
		refs = "001d TControlCanvas.UpdateTextFlags"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 8B FA 8B F0 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 66 83 BE B2 03 00 00 00 74 1B 8D 45 F0 50 0F B7 45 08 50 8B CF 8B D6 8B 86 B4 03 00 00 FF 96 B0 03 00 00 EB 29 8D 55 F0 8B 86 80 02 00 00 8B 08 FF 51 54 8B 47 20 50 8B 55 F0 83 C2 02 8B 4D F4 8B 86 80 02 00 00 8B 18 FF 93 90 00 00 00 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_75350_0 {
	meta:
		name = "TCustomListView.GetSubItemImage"
		size = 66
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 66 83 BB D2 03 00 00 00 74 25 8B 47 08 8B 10 FF 52 14 3B F0 7D 19 85 F6 7C 15 56 8B 45 08 50 8B CF 8B D3 8B 83 D4 03 00 00 FF 93 D0 03 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_75351_0 {
	meta:
		name = "TCustomListView.DrawWorkAreas"
		size = 369
		refs = "0017 TCustomListView.DrawWorkAreas 002d TBrush.SetStyle 005b TWorkAreas.GetItem 0066 TPen.SetColor 0070 TPen.SetStyle 007a TCustomListView.GetViewOrigin 00ba OffsetRect 010e TFont.SetColor 015e @UStrArrayClr 0164 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 D2 89 55 D4 89 55 D8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 80 02 00 00 B2 01 8B 46 48 E8 ?? ?? ?? ?? 8B 83 08 03 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C 02 01 00 00 40 89 45 F4 C7 45 FC 00 00 00 00 8B 55 FC 8B 83 08 03 00 00 E8 ?? ?? ?? ?? 8B 50 20 8B 46 44 E8 ?? ?? ?? ?? B2 02 8B 46 44 E8 ?? ?? ?? ?? 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 7D DC F7 DF 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 F7 D8 89 45 F8 8B 55 FC 8B 83 08 03 00 00 E8 ?? ?? ?? ?? 56 57 8D 70 0C 8D 7D E4 A5 A5 A5 A5 5F 5E 8D 45 E4 8B 4D F8 8B D7 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 8B 4D E8 8B 55 E4 8B C6 8B 38 FF 57 7C 8B 55 FC 8B 83 08 03 00 00 E8 ?? ?? ?? ?? 8D 55 D8 8B 08 FF 51 0C 83 7D D8 00 74 4D 33 D2 8B 46 44 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 08 03 00 00 E8 ?? ?? ?? ?? 8B 50 20 8B 46 40 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 08 03 00 00 E8 ?? ?? ?? ?? 8D 55 D4 8B 08 FF 51 0C 8B 45 D4 50 8B 4D F0 8B 55 E4 8B C6 8B 38 FF 97 90 00 00 00 FF 45 FC FF 4D F4 0F 85 09 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75352_0 {
	meta:
		name = "TCustomListView.WMPaint"
		size = 39
		refs = "0006 TWinControl.WMPaint 0021 TCustomListView.DrawWorkAreas"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 83 85 02 00 00 2C 02 73 10 80 BB 0C 03 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75353_0 {
	meta:
		name = "TCustomListView.SetShowWorkAreas"
		size = 21
	strings:
		$1 = { 56 8B F0 88 96 0C 03 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_75354_0 {
	meta:
		name = "TCustomListView.CMHintShow"
		size = 293
		refs = "0017 TCustomListView.CMHintShow 003e TCustomListView.GetItemAt 005c @UStrLAsg 0077 TListItem.DisplayRect 0084 TControl.ClientToScreen 00c5 @UStrAsg 00cc GetSystemMetrics 00e6 TControl.GetClientWidth 00fd TControl.CMHintShow 0112 @UStrClr 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB DA 03 00 00 00 0F 84 C8 00 00 00 8B 45 F8 8B 40 08 8B 48 2C 8B 50 28 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 B5 00 00 00 8B 45 F8 8B 40 08 89 45 F4 8D 45 FC 8B 56 20 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 8B C3 8B 38 FF 97 3C 01 00 00 8D 4D E4 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 4D DC 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E4 8B 45 E0 89 45 E8 8D 4D DC 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 89 45 EC 8B 45 E0 89 45 F0 8B 45 F4 8B F0 56 8D 7E 18 8D 75 E4 A5 A5 A5 A5 5E 8D 46 38 8B 55 FC E8 ?? ?? ?? ?? 6A 0E E8 ?? ?? ?? ?? 03 46 1C 89 46 0C 6A 0D E8 ?? ?? ?? ?? 03 46 18 89 46 08 8B C3 E8 ?? ?? ?? ?? 89 46 10 8B 45 F8 33 D2 89 50 0C EB 0A 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75355_0 {
	meta:
		name = "TCustomListView.DoInfoTip"
		size = 32
	strings:
		$1 = { 53 66 83 B8 DA 03 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 DC 03 00 00 FF 93 D8 03 00 00 5B C3 }
	condition:
		$1
}

rule function_75356_0 {
	meta:
		name = "TCustomListView.SetHoverTime"
		size = 62
		refs = "0009 TCustomListView.GetHoverTime 0014 TWinControl.HandleAllocated 001f TWinControl.GetHandle 002f SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 74 2A 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 8B C3 E8 ?? ?? ?? ?? 8B D8 56 6A 00 68 47 10 00 00 53 E8 ?? ?? ?? ?? EB 06 89 B3 EC 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_75357_0 {
	meta:
		name = "TCustomListView.SetGroupView"
		size = 61
		refs = "0014 TWinControl.HandleAllocated 001f TWinControl.GetHandle 0037 SendMessage"
	strings:
		$1 = { 53 8B D8 3A 93 04 04 00 00 74 30 88 93 04 04 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 80 BB 04 04 00 00 01 F5 1B D2 6A 00 52 68 9D 10 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75358_0 {
	meta:
		name = "TCustomListView.GetHoverTime"
		size = 48
		refs = "0006 TWinControl.HandleAllocated 0011 TWinControl.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 8B C3 E8 ?? ?? ?? ?? 8B D8 6A 00 6A 00 68 48 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 8B 83 EC 02 00 00 5B C3 }
	condition:
		$1
}

rule function_75359_0 {
	meta:
		name = "TCustomListView.SaveIndents"
		size = 105
		refs = "0015 TListItems.GetCount 0027 :TCustomListView.:1 002c @DynArraySetLength 0051 TListItems.GetItem"
	strings:
		$1 = { 53 56 57 8B D8 80 BB BC 02 00 00 00 75 57 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 50 8D 83 10 04 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 20 47 33 F6 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B 40 10 8B 93 10 04 00 00 89 04 B2 46 4F 75 E3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75360_0 {
	meta:
		name = "TCustomListView.RestoreIndents"
		size = 125
		refs = "0015 @DynArrayLength 0022 TListItems.GetCount 0048 TListItems.GetItem 0056 TListItem.SetIndent 006d :TCustomListView.:1 0072 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B D8 80 BB BC 02 00 00 00 75 6B 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 8B F0 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 3B F0 75 34 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 22 47 33 F6 8B D6 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B 93 10 04 00 00 8B 14 B2 E8 ?? ?? ?? ?? 46 4F 75 E1 6A 00 8D 83 10 04 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75361_0 {
	meta:
		name = "TCustomListView.AreItemsStored"
		size = 55
		refs = "0017 _Dn_TCustomListAction 001c @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 58 85 C0 74 1E 8B C3 8B 10 FF 52 58 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 0D B0 01 5B C3 0F B6 83 BC 02 00 00 34 01 5B C3 }
	condition:
		$1
}

rule function_75362_0 {
	meta:
		name = "TCustomListView.MouseUp"
		size = 71
		refs = "001d TCustomListView.GetItemAt 003b TControl.MouseUp"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FD 88 55 FF 8B D8 8B 7D 08 8B 75 0C 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 75 09 80 BB A8 02 00 00 00 75 11 56 57 0F B7 4D FD 0F B6 55 FF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_75363_0 {
	meta:
		name = "TCustomListView.GetColumnFromTag"
		size = 57
		refs = "0025 TListColumns.GetItem"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 87 B4 02 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 19 43 33 F6 8B 87 B4 02 00 00 8B D6 E8 ?? ?? ?? ?? 3B 68 28 74 06 46 4B 75 EA 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75364_0 {
	meta:
		name = "TCustomListView.WMContextMenu"
		size = 133
		refs = "001d InvalidPoint 0028 TCustomListView.GetSelected 003e TListItem.DisplayRect 004b CenterPoint 0058 TControl.ClientToScreen 007b TWinControl.WMContextMenu"
	strings:
		$1 = { 53 56 83 C4 DC 8B F2 8B D8 F6 43 1C 10 75 0A 8B C3 8B 10 FF 92 F4 00 00 00 8B 46 08 E8 ?? ?? ?? ?? 84 C0 74 51 8B C3 E8 ?? ?? ?? ?? 85 C0 74 46 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 14 B2 03 E8 ?? ?? ?? ?? 8D 44 24 14 8D 54 24 0C E8 ?? ?? ?? ?? 8D 54 24 0C 8B CC 8B C3 E8 ?? ?? ?? ?? 0F B7 04 24 66 89 44 24 08 0F B7 44 24 04 66 89 44 24 0A 8B 44 24 08 89 46 08 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 24 5E 5B C3 }
	condition:
		$1
}

rule function_75365_0 {
	meta:
		name = "TCustomListView.WMCtlColorEdit"
		size = 82
		refs = "002d PostMessage 0042 TWinControl.GetHandle 0048 DefWindowProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 5D 80 74 28 80 BB 18 03 00 00 00 75 1F C6 83 18 03 00 00 01 6A 00 6A 00 68 4D B0 00 00 8B 83 D0 02 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 8B 46 08 50 8B 46 04 50 8B 06 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_75366_0 {
	meta:
		name = "TCustomListView.ClearSelection"
		size = 59
		refs = "000c TListItems.GetCount 0023 TListItems.GetItem 002f TListItem.SetState"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 A4 02 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 20 43 33 F6 8B 87 A4 02 00 00 8B D6 E8 ?? ?? ?? ?? 33 C9 BA 03 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 E3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75367_0 {
	meta:
		name = "TCustomListView.CopySelection"
		size = 114
		refs = "0011 TListItems.GetCount 0028 TListItems.GetItem 0032 TListItem.GetState"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F0 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 50 47 33 DB 8B D3 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? BA 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 2E 8B D3 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B 40 28 50 8B D3 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B 50 20 8B 44 24 04 59 8B 28 FF 95 00 01 00 00 43 4F 75 B3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75368_0 {
	meta:
		name = "TCustomListView.DeleteSelected"
		size = 165
		refs = "0013 TListItems.BeginUpdate 001b TCustomListView.DeleteSelected 002f TListItems.GetCount 0047 TListItems.GetItem 0051 TListItem.GetState 0073 @CallDynaInst 0094 TListItems.EndUpdate 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 42 8B 45 FC 8B 80 A4 02 00 00 8B D3 E8 ?? ?? ?? ?? BA 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 45 FC 8B 80 A4 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 66 BE A9 FF E8 ?? ?? ?? ?? 4B 83 FB FF 75 BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75369_0 {
	meta:
		name = "TCustomListView.GetCount"
		size = 12
		refs = "0007 TListItems.GetCount"
	strings:
		$1 = { 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75370_0 {
	meta:
		name = "TCustomListView.SelectAll"
		size = 59
		refs = "000c TListItems.GetCount 0023 TListItems.GetItem 002f TListItem.SetState"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 A4 02 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 20 43 33 F6 8B 87 A4 02 00 00 8B D6 E8 ?? ?? ?? ?? B1 01 BA 03 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 E3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75371_0 {
	meta:
		name = "TCustomListView.Clear"
		size = 87
		refs = "0011 TListItems.BeginUpdate 0019 TCustomListView.Clear 002d TListItems.Clear 0048 TListItems.EndUpdate 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 59 5D C3 }
	condition:
		$1
}

rule function_75373_0 {
	meta:
		name = "TCustomListView.ActionChange"
		size = 100
		refs = "0010 TWinControl.ActionChange 0018 _Dn_TStaticListAction 001d @IsClass 003b TCustomListView.SetSmallImages"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3B 84 DB 74 09 83 BF 90 02 00 00 00 75 0D 8B 96 AC 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 DB 74 0D 8B C7 8B 10 FF 92 F8 00 00 00 40 74 10 8B 96 D0 00 00 00 8B C7 8B 08 FF 91 FC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75374_0 {
	meta:
		name = "TCustomListView.WMVScroll"
		size = 98
		refs = "0008 StyleServices 001a TWinControl.GetHandle 0020 GetScrollPos 002b TWinControl.WMVScroll 004f InvalidateRect"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 40 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B C7 74 1C 6A FF 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75376_0 {
	meta:
		name = "TAnimate.Create"
		size = 128
		refs = "000a @ClassCreate 0017 TWinControl.Create 0020 TAnimate.Create 002f TControl.SetWidth 003b TControl.SetHeight 0066 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 BA 64 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 50 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 51 78 C6 86 80 02 00 00 01 66 C7 86 A8 02 00 00 01 00 C6 86 A6 02 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 00 40 00 00 }
	condition:
		$1
}

rule function_75377_0 {
	meta:
		name = "TAnimate.CreateParams"
		size = 304
		refs = "0015 TAnimate.CreateParams 0025 InitCommonControl 002e TWinControl.CreateParams 0033 GetComCtlVersion 0041 TAnimate.GetActualResHandle 0052 TWinControl.CreateSubClass 0063 CenterStyles 0071 TimerStyles 007f TransparentStyles 009e TObject.ClassName 00ad HInstance 00b9 GetCurrentThreadId 00d0 StrFmt 00e5 @UStrClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D E4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 80 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D 47 00 04 00 7D 0A 8B C3 E8 ?? ?? ?? ?? 89 46 34 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 0F B6 93 80 02 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 A5 02 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 A6 02 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 83 66 24 FC E8 ?? ?? ?? ?? 3D 47 00 04 00 7D 3E 6A 02 8D 55 E4 8B 03 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 A1 ?? ?? ?? ?? 89 45 F0 C6 45 F4 00 E8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 00 8D 4D E8 BA ?? ?? ?? ?? 8D 46 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 53 00 79 00 73 00 41 00 6E 00 69 00 6D 00 61 00 74 00 65 00 33 00 32 00 00 00 00 00 25 00 73 00 2E 00 25 00 2E 00 38 00 58 00 3A 00 25 00 2E 00 38 00 58 00 00 00 00 00 }
	condition:
		$1
}

rule function_75378_0 {
	meta:
		name = "TAnimate.CreateWnd"
		size = 33
		refs = "0014 TWinControl.CreateWnd 001b TAnimate.UpdateActiveState"
	strings:
		$1 = { 53 8B D8 C6 83 91 02 00 00 00 C6 83 90 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75379_0 {
	meta:
		name = "TAnimate.DestroyWnd"
		size = 58
		refs = "001b TAnimate.SetOpen 0022 TWinControl.DestroyWnd"
	strings:
		$1 = { 53 56 51 8B F0 0F B6 9E 78 02 00 00 0F B6 86 90 02 00 00 88 04 24 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 04 24 88 86 90 02 00 00 88 9E 78 02 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_75380_0 {
	meta:
		name = "TAnimate.UpdateActiveState"
		size = 45
		refs = "000e TAnimate.SetOpen 0027 TAnimate.SetActive"
	strings:
		$1 = { 53 8B D8 F6 43 1C 01 75 22 B2 01 8B C3 E8 ?? ?? ?? ?? 80 BB 78 02 00 00 00 74 10 C6 83 78 02 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75381_0 {
	meta:
		name = "TAnimate.WMNCCalcSize"
		size = 38
		refs = "0016 InflateRect 001f TWinControl.WMNCCalcSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 10 74 0E 8B 46 08 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75382_0 {
	meta:
		name = "TAnimate.WMNCHitTest"
		size = 20
		refs = "000f TWinControl.WMNCHitTest"
	strings:
		$1 = { F6 40 1C 10 75 08 C7 42 0C 01 00 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75383_0 {
	meta:
		name = "TAnimate.WMNCPaint"
		size = 268
		refs = "0020 TWinControl.GetHandle 0026 GetDCEx 0031 TAnimate.WMNCPaint 0049 GetWindowRect 005b OffsetRect 0078 ExcludeClipRect 0083 CreatePen 008f SelectObject 009c ColorToRGB 00a6 SetBkColor 00bf Rectangle 00d3 DeleteObject 00f2 ReleaseDC 00f8 @HandleFinally 0102 TWinControl.WMNCPaint"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 45 FC 8B 45 FC F6 40 1C 10 0F 84 E6 00 00 00 6A 13 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 4D EC F7 D9 8B 55 E8 F7 DA 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 F4 48 50 8B 45 F0 48 50 8B 45 EC 40 50 8B 45 E8 40 50 8B 45 F8 50 E8 ?? ?? ?? ?? 6A 00 6A 01 6A 01 E8 ?? ?? ?? ?? 8B D8 53 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 40 74 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F0 50 8B 45 EC 50 8B 45 E8 50 8B 45 F8 50 E8 ?? ?? ?? ?? 85 F6 74 0A 56 8B 45 F8 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75385_0 {
	meta:
		name = "TAnimate.WMWindowPosChanged"
		size = 179
		refs = "0009 TWinControl.WMWindowPosChanged 0014 TWinControl.GetHandle 001a InvalidateRect 0035 Rect 0045 TControl.GetClientHeight 005e TControl.GetClientWidth 007b OffsetRect 0089 ValidateRect 0096 UpdateWindow"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 6A FF 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 88 02 00 00 50 8D 44 24 04 50 8B 8B 8C 02 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 80 BB 80 02 00 00 00 74 3D 8B C3 E8 ?? ?? ?? ?? 8B 54 24 0C 2B 54 24 04 2B C2 D1 F8 79 03 83 D0 00 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 44 24 0C 2B 44 24 04 2B D0 D1 FA 79 03 83 D2 00 8D 44 24 04 59 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_75387_0 {
	meta:
		name = "TAnimate.CNCommand"
		size = 74
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 8B 08 FF 51 F0 0F B7 43 06 66 FF C8 74 07 66 FF C8 74 0F EB 28 8B C6 8B 10 FF 92 00 01 00 00 5E 5B C3 83 BE AC 02 00 00 00 75 0C 8B C6 8B 10 FF 92 04 01 00 00 EB 06 FF 8E AC 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_75390_0 {
	meta:
		name = "TAnimate.DoStart"
		size = 36
	strings:
		$1 = { 53 8B D8 66 83 BB C2 02 00 00 00 74 0E 8B D3 8B 83 C4 02 00 00 FF 93 C0 02 00 00 C6 83 78 02 00 00 01 5B C3 }
	condition:
		$1
}

rule function_75391_0 {
	meta:
		name = "TAnimate.DoStop"
		size = 36
	strings:
		$1 = { 53 8B D8 66 83 BB CA 02 00 00 00 74 0E 8B D3 8B 83 CC 02 00 00 FF 93 C8 02 00 00 C6 83 78 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_75392_0 {
	meta:
		name = "TAnimate.Loaded"
		size = 30
		refs = "0006 TControl.Loaded 0018 TAnimate.SetActive"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB A4 02 00 00 00 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75393_0 {
	meta:
		name = "TAnimate.GetAnimateParams"
		size = 64
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 7C 02 00 00 E8 ?? ?? ?? ?? 0F B6 83 81 02 00 00 88 46 04 8B 83 98 02 00 00 89 46 08 8D 46 0C 8B 93 A0 02 00 00 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 89 46 10 5E 5B C3 }
	condition:
		$1
}

rule function_75394_0 {
	meta:
		name = "TAnimate.SetAnimateParams"
		size = 64
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 7C 02 00 00 8B 16 E8 ?? ?? ?? ?? 0F B6 46 04 88 83 81 02 00 00 8B 46 08 89 83 98 02 00 00 8D 83 A0 02 00 00 8B 56 0C E8 ?? ?? ?? ?? 8B 46 10 89 83 9C 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_75395_0 {
	meta:
		name = "TAnimate.GetActualResHandle"
		size = 172
		refs = "0010 Win32MajorVersion 001a TAnimate.GetActualResHandle 0024 CommonAVIId 002a MainInstance 0032 FindResource 0058 HInstance 006e GetShellModule"
	strings:
		$1 = { 53 56 8B F0 0F B6 9E 81 02 00 00 84 DB 74 6D A1 ?? ?? ?? ?? 83 38 06 7C 5B 68 ?? ?? ?? ?? 0F B6 C3 8B 04 85 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 85 C0 74 09 A1 ?? ?? ?? ?? 8B 00 EB 5B 68 ?? ?? ?? ?? 0F B6 86 81 02 00 00 8B 04 85 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 07 A1 ?? ?? ?? ?? EB 31 E8 ?? ?? ?? ?? EB 2A E8 ?? ?? ?? ?? 5E 5B C3 8B 86 98 02 00 00 85 C0 75 18 A1 ?? ?? ?? ?? 83 38 00 74 09 A1 ?? ?? ?? ?? 8B 00 EB 05 A1 ?? ?? ?? ?? 5E 5B C3 00 00 00 41 00 56 00 49 00 00 00 }
	condition:
		$1
}

rule function_75396_0 {
	meta:
		name = "TAnimate.GetActualResId"
		size = 68
		refs = "0014 CommonAVIId"
	strings:
		$1 = { 53 8B D8 0F B6 83 81 02 00 00 84 C0 74 0C 83 E0 7F 8B 04 85 ?? ?? ?? ?? 5B C3 83 BB 7C 02 00 00 00 74 08 8B 83 7C 02 00 00 EB 17 83 BB A0 02 00 00 00 74 08 8B 83 A0 02 00 00 EB 06 8B 83 9C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_75397_0 {
	meta:
		name = "CreateResStream"
		size = 152
		refs = "0024 _Dn_TFileStream 0029 TFileStream.Create 0037 TAnimate.GetActualResHandle 005a CreateResStream 0063 _Dn_TResourceStream 0068 TResourceStream.Create 0075 TAnimate.GetActualResId 0089 TResourceStream.CreateFromID"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 83 B8 7C 02 00 00 00 74 1D 6A 40 8B 45 08 8B 40 FC 8B 88 7C 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C3 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 83 B8 A0 02 00 00 00 74 22 8B 45 08 8B 40 FC 8B 80 A0 02 00 00 50 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1F 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C3 41 00 56 00 49 00 00 00 }
	condition:
		$1
}

rule function_75398_0 {
	meta:
		name = "TAnimate.GetFrameInfo"
		size = 204
		refs = "000b CreateResStream 0017 TAnimate.GetFrameInfo 004b TStream.ReadBuffer 00bc TObject.Free 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 55 E8 ?? ?? ?? ?? 59 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 30 33 D2 8B 45 F8 8B 08 FF 51 18 83 FA 00 75 1B 83 F8 30 75 16 8B 45 FC 8D 90 84 02 00 00 B9 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 40 33 D2 8B 45 F8 8B 08 FF 51 18 83 FA 00 75 1B 83 F8 40 75 16 8B 45 FC 8D 90 8C 02 00 00 B9 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 44 33 D2 8B 45 F8 8B 08 FF 51 18 83 FA 00 75 1B 83 F8 44 75 16 8B 45 FC 8D 90 88 02 00 00 B9 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_75399_0 {
	meta:
		name = "TAnimate.SetActive"
		size = 64
		refs = "0034 TAnimate.Play 003b TAnimate.Stop"
	strings:
		$1 = { F6 40 1C 02 74 0C 84 D2 74 35 C6 80 A4 02 00 00 01 C3 3A 90 78 02 00 00 74 25 84 D2 74 1C 8B 90 94 02 00 00 52 0F B7 88 AA 02 00 00 0F B7 90 A8 02 00 00 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75401_0 {
	meta:
		name = "TAnimate.SetCommonAVI"
		size = 116
		refs = "0018 GetComCtlVersion 003c @UStrClr 0064 TAnimate.SetOpen 006d TAnimate.Reset"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E 81 02 00 00 74 63 80 BE 81 02 00 00 00 75 0C E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 04 33 C0 EB 02 B0 01 88 86 91 02 00 00 88 9E 81 02 00 00 8D 86 7C 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 98 02 00 00 8D 86 A0 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 9C 02 00 00 84 DB 75 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75402_0 {
	meta:
		name = "TAnimate.SetFileName"
		size = 280
		refs = "0013 @UStrAddRef 001c TAnimateParams 0021 @InitializeRecord 0029 TAnimate.SetFileName 0040 AnsiCompareText 0053 TAnimate.GetAnimateParams 0071 @UStrAsg 0093 @UStrClr 00b4 TAnimate.SetOpen 00be TAnimate.Reset 00cd @HandleAnyException 00d8 TAnimate.SetAnimateParams 00dd @RaiseAgain 00e2 @DoneExcept 00fd @FinalizeRecord 010b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 55 FC 89 45 E4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 8B 80 7C 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 85 C0 0F 84 9A 00 00 00 8D 55 E8 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 05 7C 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E4 C6 80 81 02 00 00 00 8B 45 E4 33 D2 89 90 98 02 00 00 8B 45 E4 05 A0 02 00 00 E8 ?? ?? ?? ?? 8B 45 E4 33 D2 89 90 9C 02 00 00 8B 45 E4 83 B8 7C 02 00 00 00 75 0C 33 D2 8B 45 E4 E8 ?? ?? ?? ?? EB 08 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8D 55 E8 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75403_0 {
	meta:
		name = "TAnimate.SetOpen"
		size = 62
		refs = "0012 TAnimate.InternalOpen 0029 @CallDynaInst 0032 TAnimate.InternalClose"
	strings:
		$1 = { 56 8B F0 3A 96 90 02 00 00 74 31 84 D2 74 20 8B C6 E8 ?? ?? ?? ?? 88 86 90 02 00 00 80 7E 66 00 74 1A 8B C6 66 BE EF FF E8 ?? ?? ?? ?? EB 0D 8B C6 E8 ?? ?? ?? ?? 88 86 90 02 00 00 5E C3 }
	condition:
		$1
}

rule function_75404_0 {
	meta:
		name = "TAnimate.SetRepetitions"
		size = 26
		refs = "0015 TAnimate.Stop"
	strings:
		$1 = { 3B 90 94 02 00 00 74 11 89 90 94 02 00 00 F6 40 1C 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75405_0 {
	meta:
		name = "TAnimate.SetResHandle"
		size = 65
		refs = "0012 GetComCtlVersion 0032 @UStrClr 003b TAnimate.SetOpen"
	strings:
		$1 = { 53 8B D8 3B 93 98 02 00 00 74 34 89 93 98 02 00 00 E8 ?? ?? ?? ?? 3D 47 00 04 00 0F 9C C0 88 83 91 02 00 00 C6 83 81 02 00 00 00 8D 83 7C 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75406_0 {
	meta:
		name = "TAnimate.SetResId"
		size = 116
		refs = "0027 GetComCtlVersion 004c @UStrClr 0064 TAnimate.SetOpen 006d TAnimate.Reset"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 9C 02 00 00 74 63 89 B3 9C 02 00 00 80 BB 81 02 00 00 00 75 09 83 BB 7C 02 00 00 00 74 0C E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 04 33 C0 EB 02 B0 01 88 83 91 02 00 00 C6 83 81 02 00 00 00 8D 83 7C 02 00 00 E8 ?? ?? ?? ?? 8D 83 A0 02 00 00 E8 ?? ?? ?? ?? 85 F6 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75407_0 {
	meta:
		name = "TAnimate.SetResName"
		size = 187
		refs = "000e @UStrAddRef 0016 TAnimate.SetResName 002a @UStrEqual 003a @UStrAsg 0051 GetComCtlVersion 0076 @UStrClr 008d TAnimate.SetOpen 0096 TAnimate.Reset 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A0 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 74 6A 8D 83 A0 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 80 BB 81 02 00 00 00 75 19 83 BB 7C 02 00 00 00 74 0C E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 04 33 C0 EB 02 B0 01 88 83 91 02 00 00 C6 83 81 02 00 00 00 8D 83 7C 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 9C 02 00 00 83 7D FC 00 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_75408_0 {
	meta:
		name = "TAnimate.SetStartFrame"
		size = 47
		refs = "001f TAnimate.Stop 0028 TAnimate.Seek"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 3B B3 A8 02 00 00 74 1D 66 89 B3 A8 02 00 00 F6 43 1C 01 75 10 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75409_0 {
	meta:
		name = "TAnimate.SetStopFrame"
		size = 28
		refs = "0017 TAnimate.Stop"
	strings:
		$1 = { 66 3B 90 AA 02 00 00 74 12 66 89 90 AA 02 00 00 F6 40 1C 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75410_0 {
	meta:
		name = "TAnimate.SetTimers"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 A5 02 00 00 74 0B 88 90 A5 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75411_0 {
	meta:
		name = "TAnimate.SetTransparent"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 A6 02 00 00 74 0B 88 90 A6 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75412_0 {
	meta:
		name = "TAnimate.CheckOpen"
		size = 46
		refs = "0008 TAnimate.SetOpen 0017 SCannotOpenAVI 001e _Dn_Exception 0023 Exception.CreateRes 0028 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 80 BB 90 02 00 00 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75413_0 {
	meta:
		name = "TAnimate.InternalOpen"
		size = 159
		refs = "0012 TWinControl.RecreateWnd 0019 TWinControl.HandleNeeded 002d TControl.GetBoundsRect 0034 TAnimate.GetActualResId 003c TAnimate.GetActualResHandle 004a TControl.Perform 0064 TControl.SetBoundsRect 0071 TAnimate.GetFrameInfo"
	strings:
		$1 = { 56 83 C4 EC 8B F0 80 BE 91 02 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 BE 80 02 00 00 00 75 0B 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B C8 BA 67 04 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 95 04 24 80 BE 80 02 00 00 00 75 0B 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 80 3C 24 00 74 28 8B C6 E8 ?? ?? ?? ?? 66 C7 86 A8 02 00 00 01 00 0F B7 86 84 02 00 00 66 89 86 AA 02 00 00 8B C6 8B 10 FF 92 F8 00 00 00 0F B6 04 24 83 C4 14 5E C3 }
	condition:
		$1
}

rule function_75414_0 {
	meta:
		name = "TAnimate.InternalClose"
		size = 75
		refs = "0010 TAnimate.Stop 0020 TWinControl.GetHandle 0026 SendMessage"
	strings:
		$1 = { 56 51 8B F0 80 BE 78 02 00 00 00 74 07 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 00 68 67 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 95 04 24 8B C6 8B 10 FF 92 FC 00 00 00 8B C6 8B 10 FF 92 9C 00 00 00 0F B6 04 24 5A 5E C3 }
	condition:
		$1
}

rule function_75415_0 {
	meta:
		name = "TAnimate.Play"
		size = 96
		refs = "0015 TWinControl.HandleNeeded 001c TAnimate.CheckOpen 004a TControl.Perform"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FE 8B FA 8B D8 8B 75 08 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 78 02 00 00 01 85 F6 75 03 83 CE FF 4F 0F B7 C7 0F B7 55 FE 4A 0F B7 D2 C1 E2 10 0B C2 50 8B CE BA 65 04 00 00 8B C3 E8 ?? ?? ?? ?? 48 74 07 C6 83 78 02 00 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_75416_0 {
	meta:
		name = "TAnimate.Reset"
		size = 31
		refs = "000e TAnimate.SetOpen 0019 TAnimate.Seek"
	strings:
		$1 = { 53 8B D8 F6 43 1C 01 75 14 33 D2 8B C3 E8 ?? ?? ?? ?? 66 BA 01 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75417_0 {
	meta:
		name = "TAnimate.Seek"
		size = 52
		refs = "000a TAnimate.CheckOpen 0026 TWinControl.GetHandle 002c SendMessage"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B FE 4F 0F B7 FF 8B C7 C1 E7 10 0B C7 50 6A 01 68 65 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75418_0 {
	meta:
		name = "TAnimate.Stop"
		size = 69
		refs = "0021 TWinControl.GetHandle 0027 SendMessage"
	strings:
		$1 = { 53 56 8B F0 0F B7 9E A8 02 00 00 4B 0F B7 DB 8B C3 C1 E3 10 0B C3 50 6A 01 68 65 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 86 78 02 00 00 00 FF 86 AC 02 00 00 8B C6 8B 10 FF 92 04 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_75419_0 {
	meta:
		name = "TAnimate.CanAutoSize"
		size = 38
	strings:
		$1 = { 53 56 80 B8 90 02 00 00 00 74 14 B3 01 8B B0 8C 02 00 00 89 32 8B 80 88 02 00 00 89 01 EB 02 33 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_75420_0 {
	meta:
		name = "TToolButton.Create"
		size = 136
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 001c StyleServices 002a TToolButton.Create 0043 TControl.SetWidth 004f TControl.SetHeight 006b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 0A A1 ?? ?? ?? ?? 89 46 58 EB 08 A1 ?? ?? ?? ?? 89 46 58 BA 17 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 16 00 00 00 8B C6 E8 ?? ?? ?? ?? C7 86 BC 01 00 00 FF FF FF FF C6 86 CE 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 28 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_75421_0 {
	meta:
		name = "TToolButton.MouseDown"
		size = 92
		refs = "003c TToolButton.SetDown 0051 TControl.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B DA 8B F0 80 BE CE 01 00 00 02 75 29 84 DB 75 25 8B C6 8B 10 FF 52 68 84 C0 75 09 80 BE CC 01 00 00 00 74 11 0F B6 96 BA 01 00 00 80 F2 01 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B D3 0F B7 4D FE 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_75422_0 {
	meta:
		name = "TToolButton.MouseMove"
		size = 103
		refs = "001c TControl.MouseMove 002c TControl.GetMouseCapture 003b TControl.GetClientWidth 004a TControl.GetClientHeight 005b TToolButton.SetDown"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 66 89 55 FE 8B D8 8B 7D 08 57 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 80 BB CE 01 00 00 02 75 36 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2B 85 F6 7C 1A 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 0F 85 FF 7C 0B 8B C3 E8 ?? ?? ?? ?? 3B F8 7E 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_75423_0 {
	meta:
		name = "TToolButton.MouseUp"
		size = 101
		refs = "0023 TControl.MouseUp 0034 TControl.GetClientWidth 0043 TControl.GetClientHeight 0059 TToolButton.SetDown"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FD 88 55 FF 8B D8 8B 7D 08 8B 75 0C 56 57 0F B6 55 FF 0F B7 4D FD 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 75 30 85 F6 7C 2C 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 21 85 FF 7C 1D 8B C3 E8 ?? ?? ?? ?? 3B F8 7F 12 80 BB CE 01 00 00 02 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_75425_0 {
	meta:
		name = "TToolButton.Notification"
		size = 65
		refs = "0010 TControl.Notification 0026 TToolButton.SetDropdownMenu 0039 TToolButton.SetMenuItem"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 24 3B BE C8 01 00 00 75 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 11 3B BE C4 01 00 00 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75426_0 {
	meta:
		name = "TToolButton.CMTextChanged"
		size = 103
		refs = "0061 TToolBar.RecreateButtons"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 8B 10 FF 92 BC 00 00 00 F6 46 1C 01 75 4B 83 BE D4 01 00 00 00 74 42 8B 86 D4 01 00 00 80 B8 B0 02 00 00 00 75 18 8B 86 D4 01 00 00 80 B8 84 02 00 00 00 74 24 80 BE CE 01 00 00 05 75 1B 8B 86 D4 01 00 00 33 D2 89 90 88 02 00 00 33 D2 89 90 8C 02 00 00 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_75427_0 {
	meta:
		name = "TToolButton.SetBounds"
		size = 496
		refs = "005c TToolButton.GetIndex 0074 TToolBar.ReorderButton 00cd GetComCtlVersion 013b TControl.SetBounds 0154 TToolBar.SetButtonWidth 0167 TToolBar.SetButtonHeight 019a TToolBar.RefreshButton 01aa TToolBar.UpdateButton 01b5 TToolBar.ResizeButtons 01c2 TToolBar.RepositionButtons 01d2 TToolBar.RepositionButton"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 08 8B 75 0C 8B 45 FC 3B 43 48 75 16 8B 45 F8 3B 43 4C 75 0E 3B 73 50 75 09 3B 7B 54 0F 84 A3 01 00 00 83 BB D0 01 00 00 00 0F 85 96 01 00 00 F6 43 1C 01 0F 85 8C 01 00 00 83 BB D4 01 00 00 00 0F 84 7F 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 50 8B 4D FC 8B 55 F4 8B 83 D4 01 00 00 E8 ?? ?? ?? ?? 3B 45 F4 0F 95 45 F3 80 7D F3 00 74 1C C6 45 F2 00 8B C3 E8 ?? ?? ?? ?? 3B 45 F4 7D 2E 8B C3 E8 ?? ?? ?? ?? 89 45 F4 EB 22 0F B6 83 CE 01 00 00 04 FD 2C 02 73 05 3B 73 50 75 04 33 C0 EB 02 B0 01 88 45 F2 0F B6 45 F2 88 45 F3 80 BB CE 01 00 00 02 75 2A E8 ?? ?? ?? ?? 3D 47 00 04 00 7D 0F 8B 83 D4 01 00 00 80 B8 B2 02 00 00 00 75 0F 8B 83 D4 01 00 00 03 B0 88 02 00 00 2B 73 50 0F B6 83 CE 01 00 00 04 FD 2C 02 72 0E 8B 83 D4 01 00 00 3B B0 88 02 00 00 75 04 33 C0 EB 02 B0 01 88 45 F1 8B 83 D4 01 00 00 3B B8 8C 02 00 00 0F 95 45 F0 80 7D F2 00 74 0F 56 57 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 74 26 80 7D F1 00 74 0D 8B D6 8B 83 D4 01 00 00 E8 ?? ?? ?? ?? 80 7D F0 00 74 0D 8B D7 8B 83 D4 01 00 00 E8 ?? ?? ?? ?? 80 7D F3 00 74 57 80 7D F1 00 75 51 80 7D F0 00 75 4B 80 7D F2 00 74 2B 0F B6 83 CE 01 00 00 04 FD 2C 02 73 10 8B 55 F4 8B 83 D4 01 00 00 E8 ?? ?? ?? ?? EB 0E 8B 55 F4 8B 83 D4 01 00 00 E8 ?? ?? ?? ?? 8B 83 D4 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 D4 01 00 00 E8 ?? ?? ?? ?? EB 1F 8B 55 F4 8B 83 D4 01 00 00 E8 ?? ?? ?? ?? EB 0F 56 57 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_75428_0 {
	meta:
		name = "TToolButton.Paint"
		size = 672
		refs = "0049 GetComCtlVersion 0080 Rect 0090 TCanvas.GetHandle 0096 DrawEdge 012f StyleServices 0165 TCustomStyleServices.DrawElement 01a4 TPen.SetStyle 01ae TPen.SetMode 01bb TPen.SetColor 01c5 TBrush.SetStyle 01cc TControl.GetClientWidth 01d4 TControl.GetClientHeight 024d TToolButton.Paint 0271 TCustomStyleServices.DrawEdge"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B F0 83 BE D4 01 00 00 00 0F 84 7C 02 00 00 80 BE CE 01 00 00 02 0F 85 DE 00 00 00 8B 86 D4 01 00 00 80 B8 B2 02 00 00 00 0F 85 CB 00 00 00 8B 86 D4 01 00 00 80 B8 69 03 00 00 00 0F 85 B8 00 00 00 E8 ?? ?? ?? ?? 3D 50 00 05 00 0F 85 A8 00 00 00 8B 9E B0 01 00 00 80 BE BA 01 00 00 00 75 51 8B 46 54 50 8D 44 24 04 50 8B 7E 50 8B C7 83 E8 0E 8B CF BA 01 00 00 00 E8 ?? ?? ?? ?? 6A 0E 6A 01 8D 44 24 08 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 89 44 24 04 6A 01 6A 06 8D 44 24 08 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 48 8B 46 54 50 8D 44 24 04 50 8B 7E 50 8B C7 83 E8 0E 40 8B CF 83 CA FF E8 ?? ?? ?? ?? 6A 0E 6A 0A 8D 44 24 08 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 01 6A 06 8D 44 24 08 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BE CE 01 00 00 04 75 78 8B 9E B0 01 00 00 8B 46 54 50 8D 44 24 04 50 8B 7E 50 8B C7 D1 F8 79 03 83 D0 00 48 8B CF 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 2F E8 ?? ?? ?? ?? 8D 4C 24 10 B2 22 8B 38 FF 97 E8 00 00 00 54 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 1C 5A E8 ?? ?? ?? ?? EB 16 6A 01 6A 06 8D 44 24 08 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 46 1C 10 0F 84 06 01 00 00 0F B6 86 CE 01 00 00 04 FD 2C 02 73 51 8B 9E B0 01 00 00 B2 02 8B 43 44 E8 ?? ?? ?? ?? B2 0E 8B 43 44 E8 ?? ?? ?? ?? BA CE D8 FF 00 8B 43 44 E8 ?? ?? ?? ?? B2 01 8B 43 48 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 33 C9 33 D2 8B C3 8B 18 FF 53 7C E9 A8 00 00 00 8B 86 D4 01 00 00 80 B8 B2 02 00 00 00 75 12 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 0F 84 87 00 00 00 80 BE BA 01 00 00 00 75 7E 8B 46 54 50 8D 44 24 04 50 8B 4E 50 33 D2 33 C0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 41 E8 ?? ?? ?? ?? 8D 4C 24 10 B2 03 8B 18 FF 93 E8 00 00 00 54 0F B6 05 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 6A 00 8B 86 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 24 5A E8 ?? ?? ?? ?? EB 1A 6A 0F 6A 04 8D 44 24 08 50 8B 86 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 01 00 00 00 00 01 00 00 }
	condition:
		$1
}

rule function_75429_0 {
	meta:
		name = "TToolButton.GetButtonState"
		size = 164
		refs = "001b ButtonStates"
	strings:
		$1 = { 53 56 57 8B F0 33 DB 80 BE BA 01 00 00 00 74 17 80 BE CE 01 00 00 01 75 08 0A 1D ?? ?? ?? ?? EB 06 0A 1D ?? ?? ?? ?? 8B C6 8B 10 FF 52 68 84 C0 75 09 80 BE CC 01 00 00 00 74 1B 8B BE D4 01 00 00 85 FF 74 0B 8B C7 8B 10 FF 52 68 84 C0 74 06 0A 1D ?? ?? ?? ?? 80 7E 61 00 75 0C F6 46 1C 10 75 06 0A 1D ?? ?? ?? ?? 80 BE C0 01 00 00 00 75 09 80 BE CC 01 00 00 00 74 06 0A 1D ?? ?? ?? ?? 80 BE CD 01 00 00 00 74 06 0A 1D ?? ?? ?? ?? 80 BE C1 01 00 00 00 74 06 0A 1D ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75430_0 {
	meta:
		name = "TToolButton.SetAutoSize"
		size = 110
		refs = "0068 TToolBar.RecreateButtons"
	strings:
		$1 = { 53 8B D8 3A 93 B9 01 00 00 74 61 88 93 B9 01 00 00 8B C3 8B 10 FF 92 BC 00 00 00 F6 43 1C 01 75 4B 83 BB D4 01 00 00 00 74 42 8B 83 D4 01 00 00 80 B8 B0 02 00 00 00 75 18 8B 83 D4 01 00 00 80 B8 84 02 00 00 00 74 24 80 BB CE 01 00 00 05 75 1B 8B 83 D4 01 00 00 33 D2 89 90 88 02 00 00 33 D2 89 90 8C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75431_0 {
	meta:
		name = "TToolButton.SetButtonState"
		size = 106
		refs = "0031 TControl.SetVisible"
	strings:
		$1 = { 53 56 8B DA 8B F0 F6 C3 03 0F 95 C0 88 86 BA 01 00 00 F6 C3 04 0F 95 C2 8B C6 8B 08 FF 91 80 00 00 00 F6 46 1C 10 75 0D F6 C3 08 0F 94 C2 8B C6 E8 ?? ?? ?? ?? 80 BE BA 01 00 00 00 75 05 F6 C3 10 75 04 33 C0 EB 02 B0 01 88 86 C0 01 00 00 F6 C3 20 0F 95 C0 88 86 CD 01 00 00 F6 C3 80 0F 95 C0 88 86 C1 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_75432_0 {
	meta:
		name = "TToolButton.SetToolBar"
		size = 55
		refs = "0017 TToolBar.RemoveButton 0030 TToolBar.InsertButton"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 D4 01 00 00 3B F0 74 24 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 84 00 00 00 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75433_0 {
	meta:
		name = "TToolButton.CMVisibleChanged"
		size = 156
		refs = "0029 TWinControl.HandleNeeded 0031 TToolButton.GetIndex 003f TToolBar.Perform 0063 TControl.Perform 0074 @CallDynaInst 0092 TToolBar.RepositionButtons"
	strings:
		$1 = { 56 57 83 C4 EC 8B F8 F6 47 1C 10 0F 85 85 00 00 00 83 BF D4 01 00 00 00 74 7C 8B B7 D4 01 00 00 F6 46 1C 01 75 07 8B C6 E8 ?? ?? ?? ?? 54 8B C7 E8 ?? ?? ?? ?? 8B C8 BA 17 04 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 20 0F B6 47 61 34 01 83 E0 7F 0F B7 C0 83 C8 00 50 8B 4C 24 08 BA 04 04 00 00 8B C6 E8 ?? ?? ?? ?? 80 7E 66 00 74 0B 8B C6 66 BE EF FF E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 BC 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 87 D4 01 00 00 E8 ?? ?? ?? ?? 83 C4 14 5F 5E C3 }
	condition:
		$1
}

rule function_75434_0 {
	meta:
		name = "TToolButton.CMEnabledChanged"
		size = 58
		refs = "0025 TToolButton.GetIndex 0033 TControl.Perform"
	strings:
		$1 = { 53 56 8B D8 8B B3 D4 01 00 00 85 F6 74 29 80 BB CC 01 00 00 00 75 20 8B C3 8B 10 FF 52 68 83 E0 7F 50 8B C3 E8 ?? ?? ?? ?? 8B C8 BA 01 04 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75435_0 {
	meta:
		name = "TToolButton.CMHitTest"
		size = 37
	strings:
		$1 = { 0F B6 88 CE 01 00 00 80 C1 FD 80 E9 02 73 0D 80 B8 93 00 00 00 01 74 04 33 C0 EB 02 B0 01 83 E0 7F 89 42 0C C3 }
	condition:
		$1
}

rule function_75436_0 {
	meta:
		name = "TToolButton.SetDown"
		size = 92
		refs = "002c TToolButton.GetIndex 0042 DownMessage 0049 TControl.Perform 0054 TToolBar.UpdateButtonStates"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 9E BA 01 00 00 74 49 88 9E BA 01 00 00 8B BE D4 01 00 00 85 FF 74 39 0F B6 C3 0F B7 C0 83 C8 00 50 8B C6 E8 ?? ?? ?? ?? 8B C8 80 BE CE 01 00 00 01 0F 94 C0 83 E0 7F 8B 14 85 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 86 D4 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75437_0 {
	meta:
		name = "TToolButton.SetDropdownMenu"
		size = 25
		refs = "0014 TComponent.FreeNotification"
	strings:
		$1 = { 3B 90 C8 01 00 00 74 10 89 90 C8 01 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75438_0 {
	meta:
		name = "TToolButton.SetGrouped"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 BB 01 00 00 74 10 88 96 BB 01 00 00 8B C6 8B 10 FF 92 BC 00 00 00 5E C3 }
	condition:
		$1
}

rule function_75439_0 {
	meta:
		name = "TToolButton.SetImageIndex"
		size = 128
		refs = "002b TToolButton.GetIndex 003d TControl.Perform 0079 TToolBar.RecreateButtons"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 BC 01 00 00 74 6F 89 B3 BC 01 00 00 83 BB D4 01 00 00 00 74 60 8B C3 8B 10 FF 92 B8 00 00 00 56 8B C3 E8 ?? ?? ?? ?? 8B C8 BA 2B 04 00 00 8B 83 D4 01 00 00 E8 ?? ?? ?? ?? 8B 83 D4 01 00 00 80 B8 B8 02 00 00 00 75 09 80 B8 B2 02 00 00 00 74 0A 8B C3 8B 10 FF 92 9C 00 00 00 F6 43 1C 01 75 14 80 BB CE 01 00 00 05 75 0B 8B 83 D4 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75440_0 {
	meta:
		name = "TToolButton.SetMarked"
		size = 60
		refs = "0026 TToolButton.GetIndex 0034 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 9E C1 01 00 00 74 29 88 9E C1 01 00 00 8B BE D4 01 00 00 85 FF 74 19 0F B6 C3 50 8B C6 E8 ?? ?? ?? ?? 8B C8 BA 06 04 00 00 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75441_0 {
	meta:
		name = "TToolButton.SetIndeterminate"
		size = 73
		refs = "0018 TToolButton.SetDown 0033 TToolButton.GetIndex 0041 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 9E C0 01 00 00 74 36 84 DB 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 88 9E C0 01 00 00 8B BE D4 01 00 00 85 FF 74 19 0F B6 C3 50 8B C6 E8 ?? ?? ?? ?? 8B C8 BA 05 04 00 00 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75442_0 {
	meta:
		name = "TToolButton.SetMenuItem"
		size = 122
		refs = "0017 TComponent.FreeNotification 001e TMenuItem.GetAction 0027 TControl.SetAction 0031 TControl.SetText 003c TToolButton.SetDown 0058 @UStrAsg 0062 TToolButton.SetImageIndex 006d TControl.SetVisible"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 67 3B B3 C4 01 00 00 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 56 38 8B C3 E8 ?? ?? ?? ?? 0F B6 56 3C 8B C3 E8 ?? ?? ?? ?? 0F B6 56 3D 8B C3 8B 08 FF 91 80 00 00 00 8D 83 88 00 00 00 8B 56 5C E8 ?? ?? ?? ?? 8B 56 44 8B C3 E8 ?? ?? ?? ?? 0F B6 56 42 8B C3 E8 ?? ?? ?? ?? 89 B3 C4 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_75443_0 {
	meta:
		name = "TToolButton.SetStyle"
		size = 226
		refs = "0074 TToolBar.RecreateButtons 00b9 TToolBar.ResizeButtons 00c0 TToolButton.GetIndex 00cd TToolBar.RepositionButtons 00dc @CallDynaInst"
	strings:
		$1 = { 56 8B F0 3A 96 CE 01 00 00 0F 84 D1 00 00 00 88 96 CE 01 00 00 8B C6 8B 10 FF 92 9C 00 00 00 F6 46 1C 01 0F 85 B7 00 00 00 83 BE D4 01 00 00 00 0F 84 AA 00 00 00 8B 86 D4 01 00 00 80 B8 B0 02 00 00 00 75 18 8B 86 D4 01 00 00 80 B8 84 02 00 00 00 74 26 80 BE CE 01 00 00 05 75 1D 8B 86 D4 01 00 00 33 D2 89 90 88 02 00 00 33 D2 89 90 8C 02 00 00 E8 ?? ?? ?? ?? EB 57 0F B6 86 CE 01 00 00 8B D0 80 C2 FD 80 EA 02 73 0C 8B C6 8B 10 FF 92 B8 00 00 00 EB 1B 3C 02 75 0D 8B 86 D4 01 00 00 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 10 FF 92 BC 00 00 00 8B 86 D4 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 D4 01 00 00 E8 ?? ?? ?? ?? 8B 86 D4 01 00 00 66 BE EF FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_75444_0 {
	meta:
		name = "TToolButton.SetWrap"
		size = 38
	strings:
		$1 = { 56 8B F0 3A 96 CD 01 00 00 74 19 88 96 CD 01 00 00 83 BE D4 01 00 00 00 74 0A 8B C6 8B 10 FF 92 B8 00 00 00 5E C3 }
	condition:
		$1
}

rule function_75445_0 {
	meta:
		name = "TToolButton.BeginUpdate"
		size = 7
	strings:
		$1 = { FF 80 D0 01 00 00 C3 }
	condition:
		$1
}

rule function_75446_0 {
	meta:
		name = "TToolButton.EndUpdate"
		size = 7
	strings:
		$1 = { FF 88 D0 01 00 00 C3 }
	condition:
		$1
}

rule function_75447_0 {
	meta:
		name = "TToolButton.GetIndex"
		size = 27
		refs = "0012 TList.IndexOf"
	strings:
		$1 = { 8B 90 D4 01 00 00 85 D2 74 0D 8B 92 90 02 00 00 92 E8 ?? ?? ?? ?? C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_75448_0 {
	meta:
		name = "TToolButton.IsWidthStored"
		size = 15
	strings:
		$1 = { 0F B6 80 CE 01 00 00 04 FD 2C 02 0F 92 C0 C3 }
	condition:
		$1
}

rule function_75449_0 {
	meta:
		name = "TToolButton.RefreshControl"
		size = 35
		refs = "0011 TToolButton.GetIndex 001a TToolBar.RefreshButton"
	strings:
		$1 = { 53 56 8B D8 8B B3 D4 01 00 00 85 F6 74 12 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 84 C0 5E 5B C3 }
	condition:
		$1
}

rule function_75450_0 {
	meta:
		name = "TToolButton.UpdateControl"
		size = 33
		refs = "0011 TToolButton.GetIndex 001a TToolBar.UpdateButton"
	strings:
		$1 = { 53 56 8B D8 8B B3 D4 01 00 00 85 F6 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75451_0 {
	meta:
		name = "TToolButton.CheckMenuDropdown"
		size = 76
		refs = "003a @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B D8 F6 43 1C 10 75 37 8B BB C8 01 00 00 85 FF 74 06 80 7F 69 00 75 09 83 BB C4 01 00 00 00 74 1E 83 BB D4 01 00 00 00 74 15 8B D3 8B 83 D4 01 00 00 66 BE AD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75452_0 {
	meta:
		name = "TButtonControl.IsCheckedStored"
		size = 32
		altNames = "TToolButton.IsCheckedStored"
	strings:
		$1 = { 53 56 8B D8 8B 73 70 85 F6 74 10 8B C6 8B 10 FF 52 24 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_75453_0 {
	meta:
		name = "TCustomButton.IsImageIndexStored"
		size = 32
		altNames = "TToolButton.IsImageIndexStored"
	strings:
		$1 = { 53 56 8B D8 8B 73 70 85 F6 74 10 8B C6 8B 10 FF 52 3C 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_75454_0 {
	meta:
		name = "TToolButton.ActionChange"
		size = 187
		refs = "0010 TControl.ActionChange 0018 _Dn_TCustomAction 001d @IsClass 0039 TToolButton.SetDown 0053 TToolButton.SetImageIndex 005b _Dn_TControlAction 007e TControl.SetPopupMenu 0098 TToolButton.SetDropdownMenu 00b3 TToolButton.SetEnableDropdown"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 32 84 DB 74 09 80 BF BA 01 00 00 00 75 0B 0F B6 56 71 8B C7 E8 ?? ?? ?? ?? 84 DB 74 09 83 BF BC 01 00 00 FF 75 0D 8B 96 88 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4F 84 DB 74 09 83 BF 84 00 00 00 00 75 0D 8B 96 AC 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 DB 74 09 83 BF C8 01 00 00 00 75 0D 8B 96 A8 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 DB 74 09 80 BF CC 01 00 00 00 75 0E 0F B6 96 B0 00 00 00 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75456_0 {
	meta:
		name = "TToolButton.AssignTo"
		size = 66
		refs = "000c TControl.AssignTo 0014 _Dn_TCustomAction 0019 @IsClass 002d TCustomAction.SetChecked 003a TCustomAction.SetImageIndex"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 0F B6 93 BA 01 00 00 8B FE 8B C7 E8 ?? ?? ?? ?? 8B 93 BC 01 00 00 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75457_0 {
	meta:
		name = "TToolButton.ValidateContainer"
		size = 91
		refs = "000c TComponent.ValidateContainer 001a _DV_TToolBar 001f @IsClass"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? F6 46 1C 01 74 41 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 0F B6 86 CE 01 00 00 04 FD 2C 02 73 05 8B 46 50 EB 06 8B 87 88 02 00 00 50 8B 87 8C 02 00 00 50 8B 4E 4C 8B 56 48 8B C6 8B 18 FF 93 A4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75458_0 {
	meta:
		name = "TToolButton.SetEnableDropdown"
		size = 104
		refs = "0033 TToolButton.GetIndex 0045 TControl.Perform"
	strings:
		$1 = { 53 8B D8 3A 93 CC 01 00 00 74 5B 88 93 CC 01 00 00 8B C3 8B 10 FF 52 68 84 C0 75 4A 83 BB D4 01 00 00 00 74 41 80 BB CC 01 00 00 00 74 1D 6A 01 8B C3 E8 ?? ?? ?? ?? 8B C8 BA 01 04 00 00 8B 83 D4 01 00 00 E8 ?? ?? ?? ?? EB 1B 6A 00 8B C3 E8 ?? ?? ?? ?? 8B C8 BA 01 04 00 00 8B 83 D4 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75463_0 {
	meta:
		name = "TToolBar.Create"
		size = 560
		refs = "0010 @ClassCreate 001e TToolWindow.Create 0023 TToolBar.Create 0032 TControl.SetWidth 003e TControl.SetHeight 0047 TControl.SetAlign 0055 TToolWindow.SetEdgeBorders 008c _Dn_TList 0091 TObject.Create 009e _Dn_TControlCanvas 00a3 TCanvas.Create 00b4 TControlCanvas.SetControl 00bb _Dn_TChangeLink 00d2 TToolBar.ImageListChange 00f0 TToolBar.DisabledImageListChange 010e TToolBar.HotImageListChange 0115 _Dn_TBitmap 011a TBitmap.Create 0141 TBitmap.GetCanvas 014e TBrush.SetColor 0162 Rect 0178 _Dn_TToolDockForm 0183 StyleServices 01ac TToolBar.SetGradientStartColor 01bb GetShadowColor 01c4 TToolBar.SetGradientEndColor 01d7 TToolBar.SetFlat 01e5 TToolBar.SetGradientDrawingOptions 01ee TToolBar.SetGradientDirection 01f7 TToolBar.SetDrawingStyle 020e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 58 BA 96 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 1D 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C7 86 88 02 00 00 17 00 00 00 C7 86 8C 02 00 00 16 00 00 00 C6 86 9D 02 00 00 00 C6 86 9E 02 00 00 00 C6 86 D8 02 00 00 01 C6 86 BA 02 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 90 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E 98 02 00 00 8B C3 8B D6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E C0 02 00 00 89 73 0C C7 43 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E C8 02 00 00 89 73 0C C7 43 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E D0 02 00 00 89 73 0C C7 43 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E DC 02 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 44 BA 01 00 00 00 8B C3 8B 08 FF 51 38 8B C3 E8 ?? ?? ?? ?? 8B 40 48 BA 0F 00 00 FF E8 ?? ?? ?? ?? 6A 01 8D 45 EC 50 B9 01 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 EC 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 A1 ?? ?? ?? ?? 89 86 B0 00 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 48 88 86 B8 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 02 00 00 BA 05 00 00 FF 8B C6 E8 ?? ?? ?? ?? BA E7 FF FF FF B8 0F 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? C7 86 AC 02 00 00 C6 D3 EF 00 B2 01 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 B4 02 00 00 FF FF FF FF 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 AB 00 21 00 00 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_75464_0 {
	meta:
		name = "TToolBar.Destroy"
		size = 187
		refs = "0005 @BeforeDestruction 0014 TObject.Free 005e TList.Get 0064 _DV_TToolButton 0069 @IsClass 00a7 TWinControl.Destroy 00b2 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 85 80 02 00 00 E8 ?? ?? ?? ?? 8B 85 DC 02 00 00 E8 ?? ?? ?? ?? 8B 85 D0 02 00 00 E8 ?? ?? ?? ?? 8B 85 C8 02 00 00 E8 ?? ?? ?? ?? 8B 85 C0 02 00 00 E8 ?? ?? ?? ?? 8B 85 90 02 00 00 8B 78 08 4F 85 FF 7C 38 47 33 F6 8B 85 90 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B 85 90 02 00 00 8B D6 E8 ?? ?? ?? ?? 33 D2 89 90 D4 01 00 00 46 4F 75 CB 8B 85 90 02 00 00 E8 ?? ?? ?? ?? 8B 85 98 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75465_0 {
	meta:
		name = "TToolBar.CreateParams"
		size = 196
		refs = "000c InitCommonControl 001b TWinControl.CreateParams 0020 TToolBar.CreateParams 0029 TWinControl.CreateSubClass 002e StyleServices 003d FlatOnXp 0051 FlatStyles 005f ListStyles 006d TransparentStyles 007b CustomizeStyles"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 04 00 00 00 E8 ?? ?? ?? ?? 88 83 D8 02 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8B 56 04 83 CA 4E 0F B6 8B B2 02 00 00 0B 14 8D ?? ?? ?? ?? 0F B6 8B B1 02 00 00 0B 14 8D ?? ?? ?? ?? 0F B6 8B B8 02 00 00 0B 14 8D ?? ?? ?? ?? 0F B6 8B 9D 02 00 00 0B 14 8D ?? ?? ?? ?? 0B C2 89 46 04 80 BB B0 02 00 00 00 75 09 80 BB 84 02 00 00 00 74 07 81 4E 04 00 80 00 00 83 66 24 FC 5E 5B C3 54 00 6F 00 6F 00 6C 00 62 00 61 00 72 00 57 00 69 00 6E 00 64 00 6F 00 77 00 33 00 32 00 00 00 }
	condition:
		$1
}

rule function_75466_0 {
	meta:
		name = "TToolBar.CreateWnd"
		size = 229
		refs = "000b TWinControl.CreateWnd 0010 GetComCtlVersion 0027 TControl.Perform 0081 GetStockObject 008e GetDC 009b SelectObject 00a4 GetTextMetrics 00c9 ReleaseDC 00d0 TToolBar.RecreateButtons"
	strings:
		$1 = { 53 56 57 83 C4 C4 8B F0 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 5B 6A 00 33 C9 BA 55 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 83 CB 01 E8 ?? ?? ?? ?? 3D 51 00 05 00 7C 2B 80 BE 80 03 00 00 00 74 05 83 CB 10 EB 03 83 E3 EF 80 BE 84 02 00 00 00 74 0E 80 BE B1 02 00 00 00 74 05 83 CB 08 EB 03 83 E3 F7 53 33 C9 BA 54 04 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 E0 02 00 00 6A 0D E8 ?? ?? ?? ?? 8B D8 85 DB 74 42 6A 00 E8 ?? ?? ?? ?? 8B F8 85 FF 74 35 53 57 E8 ?? ?? ?? ?? 8B D8 54 57 E8 ?? ?? ?? ?? 85 C0 74 12 8B 04 24 2B 44 24 0C 2B 44 24 10 40 89 86 EC 02 00 00 53 57 E8 ?? ?? ?? ?? 57 6A 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 83 C4 3C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75467_0 {
	meta:
		name = "ToolButtonVisible"
		size = 113
		refs = "002c TList.Get 0036 _DV_TToolButton 003b @IsClass"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC 8B 80 90 02 00 00 8B 70 08 4E 85 F6 7C 50 46 33 FF 8B 45 08 8B 40 FC 8B 80 90 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8B 45 08 8B 40 FC F6 40 1C 10 75 06 80 7B 61 00 74 11 0F B6 83 CE 01 00 00 04 FD 2C 02 72 04 B0 01 EB 06 47 4E 75 B3 33 C0 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_75468_0 {
	meta:
		name = "TToolBar.CreateButtons"
		size = 356
		refs = "0011 TToolBar.BeginUpdate 0019 TToolBar.CreateButtons 0027 TWinControl.HandleNeeded 003b TControl.Perform 0105 TToolBar.EndUpdate 010b @HandleFinally 0115 TToolBar.InternalButtonCount 0139 TToolBar.UpdateButtons 0141 TToolBar.UpdateImages 015b TToolBar.GetButtonSize"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC E8 ?? ?? ?? ?? 6A 00 B9 14 00 00 00 BA 1E 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 88 D4 02 00 00 BA 2F 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 BC 02 00 00 85 D2 74 08 8B 42 3C 8B 52 38 EB 2E 8B 45 FC 8B 90 C4 02 00 00 85 D2 74 08 8B 42 3C 8B 52 38 EB 19 8B 45 FC 8B 90 CC 02 00 00 85 D2 74 08 8B 42 3C 8B 52 38 EB 04 33 C0 33 D2 0F B7 C0 0F B7 D2 C1 E2 10 0B C2 50 33 C9 8B 45 FC BA 20 04 00 00 E8 ?? ?? ?? ?? 85 DB 7F 05 BB 01 00 00 00 85 F6 7F 05 BE 01 00 00 00 0F B7 C3 0F B7 D6 C1 E2 10 0B C2 50 33 C9 BA 1F 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 98 88 02 00 00 8B 45 FC 89 B0 8C 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 15 43 6A 00 33 C9 BA 16 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 4B 75 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8D 88 8C 02 00 00 8B 45 FC 8D 90 88 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75469_0 {
	meta:
		name = "TToolBar.RepositionButton"
		size = 340
		refs = "0025 TToolBar.Perform 003c _DV_TToolButton 0041 @IsClass 0063 TToolBar.RefreshButton 0075 TControl.Perform 0094 TToolBar.RepositionButton 00b7 _Dn_TWinControl 00c7 TWinControl.HandleNeeded 00d2 TControl.SetBoundsRect 0147 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B F2 8B F8 F6 47 1C 01 0F 85 36 01 00 00 8D 45 E8 50 8B CE BA 17 04 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 84 1C 01 00 00 8B 45 F4 89 45 FC 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 34 01 84 C0 74 18 F6 45 F0 08 0F 94 C0 8B 55 FC 3A 42 61 74 09 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 45 D8 50 8B CE BA 1D 04 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 84 CC 00 00 00 84 DB 74 0B 8B 45 FC 8B 10 FF 92 B0 00 00 00 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 84 C0 74 5E 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B C7 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 4D E4 8B 55 DC 2B CA 8B 45 FC 8B 40 54 3B C8 7E 33 8B F1 2B F0 D1 FE 79 03 83 D6 00 8B 4D E0 8B 7D D8 2B CF 51 50 8B CA 03 CE 8B 45 FC 8B D7 8B 18 FF 93 A4 00 00 00 EB 0B 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 FC 8B 10 FF 92 B4 00 00 00 C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75470_0 {
	meta:
		name = "TToolBar.RepositionButtons"
		size = 118
		refs = "0024 TToolBar.BeginUpdate 002c TToolBar.RepositionButtons 003a TToolBar.InternalButtonCount 004c TToolBar.RepositionButton 0065 TToolBar.EndUpdate 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B 45 FC F6 40 1C 01 75 5D 8B 45 FC 83 B8 E8 02 00 00 00 7F 51 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 2B DE 7F 0F 4B 8B D6 8B 45 FC E8 ?? ?? ?? ?? 4E 43 75 F2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75471_0 {
	meta:
		name = "TToolBar.GetButtonSize"
		size = 209
		refs = "0010 TWinControl.HandleAllocated 001d GetComCtlVersion 0034 TControl.Perform 004f TToolBar.InternalButtonCount 0070 TToolBar.Perform"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 8B F9 8B EA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 AD 00 00 00 E8 ?? ?? ?? ?? 3D 46 00 04 00 7C 24 6A 00 33 C9 BA 3A 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 C1 E8 10 89 07 81 E3 FF FF 00 00 89 5D 00 EB 7D 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 6F EB 01 4B 85 DB 7C 1E 8D 44 24 10 50 8B CB BA 17 04 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 07 F6 44 24 19 01 75 DD 85 DB 7D 1F 54 33 C9 BA 1D 04 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 33 8B 44 24 0C 2B 44 24 04 89 07 EB 27 54 8B CB BA 1D 04 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 14 8B 44 24 0C 2B 44 24 04 89 07 8B 44 24 08 2B 04 24 89 45 00 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75472_0 {
	meta:
		name = "TToolBar.SetButtonHeight"
		size = 56
		refs = "0012 StyleServices 002b TWinControl.RecreateWnd 0032 TToolBar.RecreateButtons"
	strings:
		$1 = { 53 8B D8 3B 93 8C 02 00 00 74 2B 89 93 8C 02 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 48 3C 01 75 10 80 BB F2 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75473_0 {
	meta:
		name = "TToolBar.SetButtonWidth"
		size = 56
		refs = "0012 StyleServices 002b TWinControl.RecreateWnd 0032 TToolBar.RecreateButtons"
	strings:
		$1 = { 53 8B D8 3B 93 88 02 00 00 74 2B 89 93 88 02 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 48 3C 01 75 10 80 BB F2 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75474_0 {
	meta:
		name = "TToolBar.InsertButton"
		size = 187
		refs = "000b _DV_TToolButton 0010 @IsClass 002d TList.IndexOf 0041 TToolBar.ReorderButton 0055 TToolBar.ButtonIndex 0066 TList.Insert 0075 TToolBar.UpdateItem 0084 TList.Add 008f TToolBar.UpdateButton 00a1 TToolBar.RepositionButtons 00b3 TToolBar.RecreateButtons"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 89 9E D4 01 00 00 F6 46 1C 01 75 57 8B D6 8B 83 90 02 00 00 E8 ?? ?? ?? ?? 85 C0 7C 14 8B 56 4C 52 8B 4E 48 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 4A 8B 56 4C 52 8B 4E 48 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F8 8B CE 8B D7 8B 83 90 02 00 00 E8 ?? ?? ?? ?? 57 8B CF BA 43 04 00 00 8B C3 E8 ?? ?? ?? ?? EB 18 8B D6 8B 83 90 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 80 BB BA 02 00 00 00 74 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75475_0 {
	meta:
		name = "TToolBar.RemoveButton"
		size = 145
		refs = "000f TList.IndexOf 001b _DV_TToolButton 0020 @IsClass 003b TList.RemoveItem 005f TControl.Perform 0066 TToolBar.ResizeButtons 0078 TToolBar.RepositionButtons 008a TToolBar.RecreateButtons"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 90 02 00 00 E8 ?? ?? ?? ?? 85 C0 7C 77 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 33 C0 89 86 D4 01 00 00 8B 83 90 02 00 00 8B D6 33 C9 E8 ?? ?? ?? ?? 8B F0 80 BB 9E 02 00 00 00 74 09 80 BB E4 02 00 00 00 74 3B 6A 00 8B CE BA 16 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 BB BA 02 00 00 00 74 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75476_0 {
	meta:
		name = "TToolBar.UpdateItem"
		size = 588
		refs = "0032 TToolBar.UpdateItem 0045 TList.Get 004f _DV_TToolButton 0054 @IsClass 006b @FillChar 00ab ButtonStyles 00be GetComCtlVersion 00d0 TToolButton.GetButtonState 0115 TControl.GetText 0137 @UStrLAsg 014a StrPLCopy 018b TControl.Perform 01d2 ButtonStates 01f0 TToolBar.Perform 0205 TWinControl.RecreateWnd 021d @UStrClr 022b @HandleFinally"
	strings:
		$1 = { 55 8B EC 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 E4 53 56 57 33 DB 89 9D E0 DF FF FF 89 5D FC 8B F9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 86 90 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 3D 01 00 00 8D 45 E4 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 0F B6 83 CE 01 00 00 8B D0 80 C2 FD 80 EA 02 73 0B 8B 53 50 89 55 E4 89 7D E8 EB 19 8B 93 BC 01 00 00 85 D2 7D 09 C7 45 E4 FE FF FF FF EB 03 89 55 E4 89 7D E8 83 E0 7F 0F B6 04 45 ?? ?? ?? ?? 88 45 ED 8B FB 80 BF B9 01 00 00 00 74 10 E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 04 80 4D ED 10 8B C7 E8 ?? ?? ?? ?? 88 45 EC 80 BF BB 01 00 00 00 74 04 80 4D ED 04 89 5D F0 80 BE B0 02 00 00 00 75 1A 80 BE 84 02 00 00 00 0F 84 97 00 00 00 80 BB CE 01 00 00 05 0F 85 8A 00 00 00 8D 95 E0 DF FF FF 8B FB 8B C7 E8 ?? ?? ?? ?? 83 BD E0 DF FF FF 00 74 0C 8D 55 FC 8B C7 E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 E4 DF FF FF B9 00 10 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 3D FE 0F 00 00 7C 0F B8 FE 0F 00 00 66 C7 84 45 E4 DF FF FF 00 00 66 C7 84 45 E6 DF FF FF 00 00 8D 85 E4 DF FF FF 50 33 C9 BA 4D 04 00 00 8B C6 E8 ?? ?? ?? ?? 89 45 F4 EB 4F C7 45 F4 FF FF FF FF EB 46 8D 45 E4 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 45 ED 8B 43 50 89 45 E4 C7 45 E8 FF FF FF FF 80 7B 61 00 75 10 F6 43 1C 10 75 0A 0F B6 05 ?? ?? ?? ?? 08 45 EC 89 5D F0 C7 45 F4 FF FF FF FF 8D 45 E4 50 8B 4D 08 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 81 7D F4 00 00 01 00 7C 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E0 DF FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_75477_0 {
	meta:
		name = "TToolBar.UpdateItem2"
		size = 612
		refs = "0033 TToolBar.UpdateItem2 0055 TList.Get 0066 @FillChar 0075 _DV_TToolButton 007a @IsClass 00d7 ButtonStyles 00fb TToolButton.GetButtonState 0133 TControl.GetText 0155 @UStrLAsg 0168 StrPLCopy 01fd TControl.Perform 0216 @HandleFinally 0230 @UStrClr"
	strings:
		$1 = { 55 8B EC 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 D0 53 56 57 33 DB 89 9D CC DF FF FF 89 5D FC 89 4D F4 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 86 90 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 8D 45 D0 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? C7 45 D0 20 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 3D 01 00 00 C7 45 D4 7C 00 00 00 8B FB 0F B6 87 CE 01 00 00 8B D0 80 C2 FD 80 EA 02 73 08 8B 55 F4 89 55 D8 EB 20 83 4D D4 01 8B 97 BC 01 00 00 85 D2 7D 09 C7 45 DC FE FF FF FF EB 03 89 55 DC 8B 55 F4 89 55 D8 0F B7 57 50 66 89 55 E2 83 E0 7F 0F B6 04 45 ?? ?? ?? ?? 88 45 E1 80 BF B9 01 00 00 00 74 04 80 4D E1 10 80 BF BB 01 00 00 00 74 04 80 4D E1 04 8B C7 E8 ?? ?? ?? ?? 88 45 E0 89 5D E4 80 BE B0 02 00 00 00 75 1A 80 BE 84 02 00 00 00 0F 84 9C 00 00 00 80 BB CE 01 00 00 05 0F 85 8F 00 00 00 8D 95 CC DF FF FF 8B FB 8B C7 E8 ?? ?? ?? ?? 83 BD CC DF FF FF 00 74 0C 8D 55 FC 8B C7 E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 D0 DF FF FF B9 00 10 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 3D FE 0F 00 00 7C 0F B8 FE 0F 00 00 66 C7 84 45 D0 DF FF FF 00 00 66 C7 84 45 D2 DF FF FF 00 00 8D 85 D0 DF FF FF 89 45 E8 8B C2 85 C0 74 05 83 E8 04 8B 00 89 45 EC 83 4D D4 02 EB 39 33 C0 89 45 E8 33 C0 89 45 EC EB 2D C7 45 D4 7E 00 00 00 0F B6 05 ?? ?? ?? ?? 88 45 E1 0F B7 43 50 66 89 45 E2 C7 45 D8 FF FF FF FF 33 C0 89 45 E8 33 C0 89 45 EC 89 5D E4 8D 45 D0 50 8B 4D 08 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 95 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 CC DF FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_75478_0 {
	meta:
		name = "TToolBar.RefreshButton"
		size = 282
		refs = "002f TToolBar.BeginUpdate 0037 TToolBar.RefreshButton 0045 TWinControl.GetHandle 0051 GetWindowLongPtr 0072 SetWindowLongPtr 0088 TToolBar.InternalButtonCount 009c TToolBar.UpdateItem 00e8 @HandleFinally 00ff TToolBar.EndUpdate"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B DA 89 45 FC 8B 45 FC F6 40 1C 01 0F 85 F0 00 00 00 8B 45 FC 83 B8 E8 02 00 00 00 0F 85 E0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 FF 55 68 ?? ?? ?? ?? 64 FF 37 64 89 27 8B 45 FC E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? BA F0 FF FF FF 8B 75 F4 81 E6 FF FF FF EF 56 52 50 E8 ?? ?? ?? ?? 33 F6 55 68 ?? ?? ?? ?? 64 FF 36 64 89 26 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7D 28 53 8B CB BA 16 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 14 53 8B CB BA 43 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA F0 FF FF FF 8B 4D F4 51 52 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 C6 45 FB 00 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75479_0 {
	meta:
		name = "TToolBar.UpdateButton"
		size = 267
		refs = "002f TToolBar.BeginUpdate 0037 TToolBar.UpdateButton 0045 TWinControl.HandleNeeded 004d TWinControl.GetHandle 0059 GetWindowLongPtr 007a SetWindowLongPtr 0090 TToolBar.InternalButtonCount 00a4 TToolBar.UpdateItem2 00b6 TToolBar.UpdateItem 00e1 @HandleFinally 00f8 TToolBar.EndUpdate"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 89 45 FC 8B 45 FC F6 40 1C 01 0F 85 E9 00 00 00 8B 45 FC 83 B8 E8 02 00 00 00 0F 8F D9 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 FF 55 68 ?? ?? ?? ?? 64 FF 37 64 89 27 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? BA F0 FF FF FF 8B 75 F8 81 E6 FF FF FF EF 56 52 50 E8 ?? ?? ?? ?? 33 F6 55 68 ?? ?? ?? ?? 64 FF 36 64 89 26 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7D 12 53 8B CB BA 40 04 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 10 53 8B CB BA 43 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA F0 FF FF FF 8B 4D F8 51 52 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_75480_0 {
	meta:
		name = "TToolBar.UpdateButtons"
		size = 284
		refs = "0010 TToolBar.BeginUpdate 0016 TToolBar.UpdateButtons 002c TWinControl.HandleNeeded 0034 TWinControl.GetHandle 0040 GetWindowLongPtr 0061 SetWindowLongPtr 007d TToolBar.InternalButtonCount 00a7 TToolBar.UpdateItem2 00b9 TToolBar.UpdateItem 00e8 @HandleFinally 00ff TToolBar.EndUpdate 0111 TToolBar.RepositionButtons"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 55 68 ?? ?? ?? ?? 64 FF 35 00 00 00 00 64 89 25 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? BA F0 FF FF FF 8B 4D F8 81 E1 FF FF FF EF 51 52 50 E8 ?? ?? ?? ?? 55 68 ?? ?? ?? ?? 64 FF 35 00 00 00 00 64 89 25 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 45 FC 8B 80 90 02 00 00 8B 70 08 4E 85 F6 7C 2D 46 33 DB 3B FB 7E 12 53 8B CB BA 40 04 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 10 53 8B CB BA 43 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA F0 FF FF FF 8B 4D F8 51 52 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 D2 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_75481_0 {
	meta:
		name = "TToolBar.UpdateButtonState"
		size = 92
		refs = "0014 TToolBar.Perform 0026 TToolButton.SetButtonState 002f TToolButton.GetIndex 003a TToolButton.GetButtonState 0052 TControl.Perform"
	strings:
		$1 = { 53 56 83 C4 EC 8B F2 8B D8 54 8B CE BA 17 04 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 74 3A 0F B6 54 24 08 8B 44 24 0C E8 ?? ?? ?? ?? 8B 44 24 0C E8 ?? ?? ?? ?? 8B F0 8B 44 24 0C E8 ?? ?? ?? ?? 0F B6 C0 0F B7 C0 83 C8 00 50 8B CE BA 11 04 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5E 5B C3 }
	condition:
		$1
}

rule function_75482_0 {
	meta:
		name = "TToolBar.UpdateButtonStates"
		size = 67
		refs = "001f TList.Get 0025 _DV_TToolButton 002a @IsClass 0037 TToolBar.UpdateButtonState"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 90 02 00 00 8B 70 08 4E 85 F6 7C 2C 46 33 DB 8B 87 90 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 75 D7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75483_0 {
	meta:
		name = "TToolBar.SetShowCaptions"
		size = 43
		refs = "001a TWinControl.RecreateWnd 0025 @CallDynaInst"
	strings:
		$1 = { 56 8B F0 3A 96 B0 02 00 00 74 1E 88 96 B0 02 00 00 F6 46 1C 01 75 07 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BE EF FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_75484_0 {
	meta:
		name = "TToolBar.SetAllowTextButtons"
		size = 56
		refs = "0027 TWinControl.RecreateWnd 0032 @CallDynaInst"
	strings:
		$1 = { 56 8B F0 3A 96 84 02 00 00 74 2B 8B C2 88 86 84 02 00 00 84 C0 74 07 C6 86 B1 02 00 00 01 F6 46 1C 01 75 07 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BE EF FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_75485_0 {
	meta:
		name = "TToolBar.GetButton"
		size = 22
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 90 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75486_0 {
	meta:
		name = "TToolBar.GetButtonCount"
		size = 10
	strings:
		$1 = { 8B 80 90 02 00 00 8B 40 08 C3 }
	condition:
		$1
}

rule function_75488_0 {
	meta:
		name = "TToolBar.GetRowCount"
		size = 15
		refs = "000a TControl.Perform"
	strings:
		$1 = { 6A 00 33 C9 BA 28 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75489_0 {
	meta:
		name = "TToolBar.SetList"
		size = 33
		refs = "001c TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 B1 02 00 00 74 18 8B CA 88 88 B1 02 00 00 84 C9 75 07 C6 80 84 02 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75490_0 {
	meta:
		name = "TToolBar.SetFlat"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 B2 02 00 00 74 0B 88 90 B2 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75491_0 {
	meta:
		name = "TToolBar.SetTransparent"
		size = 33
		refs = "0014 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 B8 02 00 00 74 0D 88 93 B8 02 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 B9 02 00 00 01 5B C3 }
	condition:
		$1
}

rule function_75492_0 {
	meta:
		name = "TToolBar.SetWrapable"
		size = 68
		refs = "001f @CallDynaInst 002f TWinControl.HandleAllocated"
	strings:
		$1 = { 56 57 8B F8 3A 97 BA 02 00 00 74 35 88 97 BA 02 00 00 80 7F 66 00 74 0B 8B C7 66 BE EF FF E8 ?? ?? ?? ?? F6 87 9F 02 00 00 02 74 15 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C7 8B 10 FF 92 A0 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_75493_0 {
	meta:
		name = "TToolBar.Notification"
		size = 97
		refs = "0010 TWinControl.Notification 0026 TToolBar.SetImages 0037 TToolBar.SetHotImages 0048 TToolBar.SetDisabledImages 0059 TToolBar.SetMenu"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 44 3B B7 BC 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 CC 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 C4 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 6C 03 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75494_0 {
	meta:
		name = "GetImageBitmap"
		size = 246
		refs = "000e _Dn_TBitmap 0013 TBitmap.Create 001e GetImageBitmap 002b TCustomImageList.GetCount 0064 Rect 006c TBitmap.GetCanvas 007b TBrush.SetColor 00ad TCanvas.GetHandle 00b6 TCustomImageList.GetHandle 00bc ImageList_Draw 00c8 TBitmap.ReleaseHandle 00e0 TObject.Free 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 0F AF 53 3C 8B 45 F8 8B 08 FF 51 44 8B 53 38 8B 45 F8 8B 08 FF 51 38 8B 45 08 8B 40 FC 8B 40 54 50 8D 45 E8 50 8B 45 08 8B 40 FC 8B 48 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 46 48 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8D 55 E8 8B C6 8B 08 FF 51 54 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2D 47 33 F6 6A 01 6A 00 8B 43 3C F7 EE 50 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 46 4F 75 D6 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75495_0 {
	meta:
		name = "TToolBar.LoadImages"
		size = 250
		refs = "0011 GetImageBitmap 001e _Dn_TBitmap 0023 TBitmap.Create 002e TToolBar.LoadImages 004d TBitmap.ReleaseHandle 0065 TObject.Free 006b @HandleFinally 0091 TToolBar.GetButtonCount 00a0 TControl.Perform 00e6 DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 D8 89 45 FC 85 D2 74 0E 55 8B C2 E8 ?? ?? ?? ?? 59 89 45 F0 EB 56 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 90 DC 02 00 00 8B 45 EC 8B 08 FF 51 08 8B 45 EC E8 ?? ?? ?? ?? 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 E0 02 00 00 85 C0 75 28 33 C0 89 45 F4 8B 45 F0 89 45 F8 8D 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 13 04 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 44 33 D2 89 55 D8 89 45 DC 33 C0 89 45 E0 8B 45 F0 89 45 E4 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 8D 45 D8 50 33 C9 BA 2E 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 02 00 00 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F0 89 90 E0 02 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_75496_0 {
	meta:
		name = "TToolBar.UpdateImages"
		size = 121
		refs = "001a TCustomImageList.GetHandle 0023 TToolBar.SetImageList 003d TToolBar.SetDisabledImageList 0057 TToolBar.SetHotImageList 0061 TWinControl.HandleAllocated 0072 TToolBar.LoadImages"
	strings:
		$1 = { 53 56 8B D8 80 BB D8 02 00 00 00 74 51 8B B3 BC 02 00 00 85 F6 74 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B B3 C4 02 00 00 85 F6 74 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B B3 CC 02 00 00 85 F6 74 2B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 93 BC 02 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75497_0 {
	meta:
		name = "TToolBar.ImageListChange"
		size = 35
		refs = "0009 TWinControl.HandleAllocated 001c TToolBar.RecreateButtons"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 3B B3 BC 02 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75498_0 {
	meta:
		name = "TToolBar.SetImageList"
		size = 45
		refs = "0009 TWinControl.HandleAllocated 001c TControl.Perform"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 53 33 C9 BA 30 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_75499_0 {
	meta:
		name = "HasDropDownButton"
		size = 129
		refs = "0012 TToolBar.GetEnumerator 001d HasDropDownButton 002d TToolBarEnumerator.GetCurrent 0041 @TryFinallyExit 004b TToolBarEnumerator.MoveNext 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 C6 45 FF 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1E 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 80 BB CE 01 00 00 02 75 0B C6 45 FF 01 E8 ?? ?? ?? ?? EB 31 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_75500_0 {
	meta:
		name = "TToolBar.SetImages"
		size = 154
		refs = "0021 TCustomImageList.UnRegisterChanges 003e TCustomImageList.RegisterChanges 004f TComponent.FreeNotification 005b TToolBar.SetImageList 0060 StyleServices 0071 TWinControl.HandleAllocated 007b HasDropDownButton 0088 TWinControl.RecreateWnd 0092 TToolBar.RecreateButtons"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 80 BC 02 00 00 85 C0 74 0E 8B 55 FC 8B 92 C0 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 89 82 BC 02 00 00 85 C0 74 21 8B 55 FC 8B 92 C0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 02 00 00 8B 55 FC E8 ?? ?? ?? ?? EB 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 21 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 15 55 E8 ?? ?? ?? ?? 59 84 C0 74 0A 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_75501_0 {
	meta:
		name = "TToolBar.DisabledImageListChange"
		size = 35
		refs = "0009 TWinControl.HandleAllocated 001c TToolBar.RecreateButtons"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 3B B3 C4 02 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75502_0 {
	meta:
		name = "TToolBar.SetDisabledImageList"
		size = 45
		refs = "0009 TWinControl.HandleAllocated 001c TControl.Perform"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 53 33 C9 BA 36 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_75503_0 {
	meta:
		name = "TToolBar.SetDisabledImages"
		size = 84
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 003b TComponent.FreeNotification 0046 TToolBar.SetDisabledImageList 004d TToolBar.RecreateButtons"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C4 02 00 00 85 C0 74 0B 8B 93 C8 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 C4 02 00 00 85 C0 74 1A 8B 93 C8 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75504_0 {
	meta:
		name = "TToolBar.HotImageListChange"
		size = 35
		refs = "0009 TWinControl.HandleAllocated 001c TToolBar.RecreateButtons"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 3B B3 CC 02 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75505_0 {
	meta:
		name = "TToolBar.SetHotImageList"
		size = 45
		refs = "0009 TWinControl.HandleAllocated 001c TControl.Perform"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 53 33 C9 BA 34 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_75506_0 {
	meta:
		name = "TToolBar.SetHotImages"
		size = 84
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 003b TComponent.FreeNotification 0046 TToolBar.SetHotImageList 004d TToolBar.RecreateButtons"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 CC 02 00 00 85 C0 74 0B 8B 93 D0 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 CC 02 00 00 85 C0 74 1A 8B 93 D0 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75507_0 {
	meta:
		name = "TToolBar.SetIndent"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3B 90 D4 02 00 00 74 0B 89 90 D4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75508_0 {
	meta:
		name = "TToolBar.SetMenu"
		size = 380
		refs = "001e TToolBar.SetMenu 0028 TWinControl.RecreateWnd 0031 TToolBar.SetShowCaptions 0041 TToolBar.GetButtonCount 0052 TToolBar.GetButton 0057 TObject.Free 006e TComponent.RemoveFreeNotification 0085 TComponent.FreeNotification 009c TMenuItem.GetCount 00b1 _DV_TToolButton 00b6 TToolButton.Create 00db TToolButton.SetGrouped 00f8 TMenuItem.GetItem 0108 TToolButton.SetMenuItem 0117 @HandleAnyException 0124 @RaiseAgain 0129 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B D8 3B BB 6C 03 00 00 0F 84 5A 01 00 00 F6 43 58 01 74 0F A1 ?? ?? ?? ?? 89 43 58 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 83 BB 6C 03 00 00 00 74 23 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 7C 14 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4E 83 FE FF 75 EC 8B 83 6C 03 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C7 89 83 6C 03 00 00 85 C0 0F 84 EF 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 83 6C 03 00 00 8B 40 3C E8 ?? ?? ?? ?? 8B F8 4F 2B FE 0F 8C 8A 00 00 00 47 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC 8B 08 FF 51 78 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 91 84 00 00 00 8B 83 6C 03 00 00 8B 40 3C 8B D6 E8 ?? ?? ?? ?? 50 8B D6 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 0F 85 77 FF FF FF 8B 83 6C 03 00 00 8B 40 3C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 27 47 33 F6 8B 83 6C 03 00 00 8B 40 3C 8B D6 E8 ?? ?? ?? ?? 50 8B D6 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 46 4F 75 DC 5F 5E 5B 59 5D C3 00 AA 00 21 00 }
	condition:
		$1
}

rule function_75509_0 {
	meta:
		name = "TToolBar.RecreateButtons"
		size = 76
		refs = "000a TToolBar.RecreateButtons 001d TWinControl.HandleAllocated 0034 TToolBar.CreateButtons 003b TToolBar.ResizeButtons"
	strings:
		$1 = { 53 8B D8 0F B7 43 1C 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 8B 8C 02 00 00 8B 93 88 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 09 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_75510_0 {
	meta:
		name = "TToolBar.WMCaptureChanged"
		size = 41
		refs = "0023 @CallDynaInst"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 80 BE 59 03 00 00 00 74 14 80 BE 58 03 00 00 00 74 0B 8B C6 66 BE AE FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_75511_0 {
	meta:
		name = "TToolBar.WMKeyDown"
		size = 172
		refs = "0023 TControl.Perform 0058 TList.Get 0077 TControl.ClientToScreen 0084 @CallDynaInst 00a1 TWinControl.WMKeyDown"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B D8 80 BB 59 03 00 00 00 0F 84 85 00 00 00 6A 00 33 C9 BA 47 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 0F B7 47 04 66 83 E8 0D 74 0C 66 83 E8 0E 74 58 66 83 E8 0D 75 5D 83 FE FF 7E 44 8B 83 90 02 00 00 3B 70 08 7D 39 8B D6 8B 83 90 02 00 00 E8 ?? ?? ?? ?? 8B F0 C7 44 24 08 01 00 00 00 C7 44 24 0C 01 00 00 00 8B CC 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C3 66 BE AC FF E8 ?? ?? ?? ?? 66 83 7F 04 28 74 16 EB 0B 8B C3 66 BE AE FF E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75512_0 {
	meta:
		name = "TToolBar.GetChildren"
		size = 154
		refs = "0037 TList.Get 004c TWinControl.GetControlCount 0065 TWinControl.GetControl 007c TList.IndexOf"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B F0 83 BE 6C 03 00 00 00 75 7A 8B 86 90 02 00 00 8B 58 08 4B 85 DB 7C 24 43 C7 45 F8 00 00 00 00 8B 55 F8 8B 86 90 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 FF 45 F8 4B 75 E4 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 3A 43 C7 45 F8 00 00 00 00 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 47 04 3B 45 FC 75 18 8B D7 8B 86 90 02 00 00 E8 ?? ?? ?? ?? 40 75 08 8B D7 8B 45 0C FF 55 08 FF 45 F8 4B 75 CE 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_75513_0 {
	meta:
		name = "TToolBar.Loaded"
		size = 76
		refs = "0008 TToolBar.RecreateButtons 000f TWinControl.GetControlCount 0022 TWinControl.GetControl 0029 TControl.SetHostDockSite 0034 TControl.Loaded 003b TToolBar.ResizeButtons 0044 TToolBar.RepositionButtons"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 17 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 47 4E 75 EC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75514_0 {
	meta:
		name = "TToolBar.BeginUpdate"
		size = 7
	strings:
		$1 = { FF 80 E8 02 00 00 C3 }
	condition:
		$1
}

rule function_75515_0 {
	meta:
		name = "TToolBar.EndUpdate"
		size = 7
	strings:
		$1 = { FF 88 E8 02 00 00 C3 }
	condition:
		$1
}

rule function_75516_0 {
	meta:
		name = "TToolBar.ResizeButtons"
		size = 55
		refs = "000c TWinControl.HandleAllocated 0020 TControl.Perform 0031 @CallDynaInst"
	strings:
		$1 = { 56 8B F0 F6 46 1C 01 75 2C 8B C6 E8 ?? ?? ?? ?? 84 C0 74 21 6A 00 33 C9 BA 21 04 00 00 8B C6 E8 ?? ?? ?? ?? 80 7E 66 00 74 0B 8B C6 66 BE EF FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_75517_0 {
	meta:
		name = "TToolBar.InternalButtonCount"
		size = 15
		refs = "000a TControl.Perform"
	strings:
		$1 = { 6A 00 33 C9 BA 18 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75518_0 {
	meta:
		name = "TToolBar.ButtonIndex"
		size = 325
		refs = "005e TList.Get 006a _DV_TToolButton 006f @IsClass 0125 @SetRange"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 4D FC 8B FA 8B F0 85 FF 7C 13 8B 86 90 02 00 00 83 78 08 01 7F 07 8B DF E9 13 01 00 00 33 DB 8B 86 90 02 00 00 83 78 08 00 0F 84 01 01 00 00 33 C0 89 45 F4 33 C0 89 45 F0 33 C0 89 45 EC C7 45 F8 FF FF FF 7F EB 7F 3B FB 74 77 8B D3 8B 86 90 02 00 00 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 E8 80 B8 CD 01 00 00 00 75 0E 8B 86 90 02 00 00 8B 40 08 48 3B D8 75 3E 8B 45 E8 FF 70 4C 8B 45 08 5A 2B C2 99 33 C2 2B C2 3B 45 F8 7D 1D 8B 45 E8 FF 70 4C 8B 45 08 5A 2B C2 99 33 C2 2B C2 89 45 F8 8B 45 F4 89 45 F0 89 5D EC 8D 43 01 89 45 F4 EB 03 89 5D EC 43 83 7D F8 00 7E 0F 8B 86 90 02 00 00 3B 58 08 0F 8C 6C FF FF FF 8B 5D F0 8B 45 EC 2B C3 7C 23 40 89 45 E4 3B FB 74 15 8B D3 8B 86 90 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 3B 45 FC 7D 06 43 FF 4D E4 75 E1 8D 47 01 3B D8 75 21 8B 45 F0 8B 55 EC 8D 4D C4 B4 20 E8 ?? ?? ?? ?? 8B C7 3D FF 00 00 00 77 04 0F A3 45 C4 73 02 8B DF 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_75519_0 {
	meta:
		name = "TToolBar.ReorderButton"
		size = 199
		refs = "0017 TToolBar.ButtonIndex 003b TList.Get 004d TList.Delete 0060 TList.Insert 0068 TToolBar.BeginUpdate 0070 TToolBar.ReorderButton 0087 TControl.Perform 009b TToolBar.UpdateItem 00b0 TToolBar.EndUpdate 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B DA 89 45 FC 8B 45 08 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 3B 5D F8 0F 84 95 00 00 00 3B 5D F8 7D 03 FF 4D F8 8B 45 FC 8B 80 90 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 90 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 90 02 00 00 8B CE 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CB BA 16 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F8 BA 43 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_75520_0 {
	meta:
		name = "TToolBar.AdjustControl"
		size = 212
		refs = "0014 TList.IndexOf 002f TToolBar.ReorderButton 0064 TControl.Perform 0098 TToolBar.SetButtonHeight 00ad TToolBar.RefreshButton 00b4 TToolBar.ResizeButtons 00bd TToolBar.RepositionButtons 00c8 TToolBar.RepositionButton"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B FA 8B E8 8B D7 8B 85 90 02 00 00 E8 ?? ?? ?? ?? 8B F0 83 FE FF 0F 84 A9 00 00 00 8B 47 4C 50 8B 4F 48 8B D6 8B C5 E8 ?? ?? ?? ?? 3B F0 0F 95 C3 C6 04 24 00 84 DB 74 15 8B D7 8B 85 90 02 00 00 E8 ?? ?? ?? ?? 3B F0 7E 30 8B F0 EB 2C 8D 44 24 04 50 8B CE BA 1D 04 00 00 8B C5 E8 ?? ?? ?? ?? 85 C0 74 15 8B 47 50 8B 54 24 0C 2B 54 24 04 3B C2 0F 95 04 24 0F B6 1C 24 F6 45 1C 10 74 17 8B 47 54 3B 85 8C 02 00 00 74 0C 8B 57 54 8B C5 E8 ?? ?? ?? ?? EB 2E 84 DB 74 21 80 3C 24 00 74 09 8B D6 8B C5 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 33 D2 8B C5 E8 ?? ?? ?? ?? EB 09 8B D6 8B C5 E8 ?? ?? ?? ?? 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75521_0 {
	meta:
		name = "TToolBar.AlignControls"
		size = 59
		refs = "0018 TToolBar.RepositionButtons 0022 _DV_TToolButton 0027 @IsClass 0034 TToolBar.AdjustControl"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB E8 02 00 00 00 7F 29 85 F6 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 1A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75523_0 {
	meta:
		name = "TToolBar.WMEraseBkgnd"
		size = 21
		refs = "000a TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 80 B8 B8 02 00 00 00 75 06 E8 ?? ?? ?? ?? C3 8B 08 FF 51 F0 C3 }
	condition:
		$1
}

rule function_75524_0 {
	meta:
		name = "TToolBar.WMGetDlgCode"
		size = 17
	strings:
		$1 = { 80 B8 59 03 00 00 00 74 07 C7 42 0C 01 00 00 00 C3 }
	condition:
		$1
}

rule function_75525_0 {
	meta:
		name = "TToolBar.WMGetText"
		size = 42
		refs = "000d @UStrToPWChar 001b StrLCopy 0020 @PWCharLen"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 94 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4B 04 49 8B 43 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_75526_0 {
	meta:
		name = "TToolBar.WMGetTextLength"
		size = 19
	strings:
		$1 = { 8B 80 94 02 00 00 85 C0 74 05 83 E8 04 8B 00 89 42 0C C3 }
	condition:
		$1
}

rule function_75527_0 {
	meta:
		name = "TToolBar.WMSetText"
		size = 32
		refs = "000a @PWCharLen 0019 @UStrFromPWCharLen"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 08 E8 ?? ?? ?? ?? 8B 56 08 8D 8B 94 02 00 00 91 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75529_0 {
	meta:
		name = "TToolBar.WMSize"
		size = 49
		refs = "0009 TWinControl.WMSize 0029 TToolBar.WrapButtons"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 66 00 75 1A 8B 43 50 89 04 24 8B 43 54 89 44 24 04 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_75530_0 {
	meta:
		name = "TToolBar.WMSysChar"
		size = 46
		refs = "000c GetParentForm"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0B 8B D7 8B C6 8B 08 FF 51 EC EB 09 8B D7 8B C3 8B 08 FF 51 F0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75531_0 {
	meta:
		name = "TToolBar.WMWindowPosChanged"
		size = 228
		refs = "001b TWinControl.HandleAllocated 0035 TWinControl.GetHandle 003b GetWindowRect 0042 TControl.GetClientWidth 0052 TControl.GetClientHeight 0071 CreateRectRgn 0097 CombineRgn 009e GetRgnBox 00a8 DeleteObject 00b7 TWinControl.WMWindowPosChanged 00cd RedrawWindow"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B EA 8B D8 80 BB B2 02 00 00 00 0F 84 BB 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 AC 00 00 00 83 7B 38 00 0F 84 A2 00 00 00 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 74 24 08 2B 34 24 2B F0 8B C3 E8 ?? ?? ?? ?? 8B 7C 24 0C 2B 7C 24 04 2B F8 8B 43 54 2B C7 50 8B 43 50 2B C6 50 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 50 14 2B D7 52 8B 40 10 2B C7 50 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F8 6A 03 56 57 56 E8 ?? ?? ?? ?? 54 56 E8 ?? ?? ?? ?? 83 2C 24 02 56 E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B D5 8B C3 E8 ?? ?? ?? ?? 6A 05 6A 00 8D 44 24 08 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 8B D5 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75532_0 {
	meta:
		name = "TToolBar.WMWindowPosChanging"
		size = 95
		refs = "002a TWinControl.HandleAllocated 0037 TControl.GetBoundsRect 0046 TWinControl.GetHandle 004c InvalidateRect 0055 TWinControl.WMWindowPosChanging"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 80 BB B8 02 00 00 00 74 3E 8B 46 08 8B 40 18 83 E0 03 83 F8 03 74 30 83 7B 38 00 74 2A 8B 43 38 E8 ?? ?? ?? ?? 84 C0 74 1E 8B D4 8B C3 E8 ?? ?? ?? ?? 6A FF 8D 44 24 04 50 8B 43 38 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_75533_0 {
	meta:
		name = "CalcSize"
		size = 587
		refs = "005b TList.Get 0081 _DV_TToolButton 0086 @IsClass 00b4 TBits.GetBit 00f7 GetComCtlVersion 01af TControl.Perform"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 55 F8 89 45 FC 8B 45 FC 33 D2 89 10 8B 45 F8 33 D2 89 10 8B 45 08 8B 40 FC 8B 80 D4 02 00 00 89 45 F0 33 C0 89 45 EC 8B 45 08 8B 40 FC 8B 80 90 02 00 00 8B 78 08 4F 85 FF 0F 8C DE 01 00 00 47 33 F6 8B 45 08 8B 40 FC 8B 80 90 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D8 8B 43 50 89 45 E8 8B 45 08 8B 40 FC F6 40 1C 10 75 0A 80 7B 61 00 0F 84 A2 01 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3B 8B 45 08 8B 40 FC 8B 80 90 02 00 00 8B 40 08 48 3B F0 7D 27 8B 45 08 83 78 F8 00 74 12 8B 45 08 8B 40 F8 8B D6 E8 ?? ?? ?? ?? 88 45 F7 EB 10 0F B6 83 CD 01 00 00 88 45 F7 EB 04 C6 45 F7 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9F 00 00 00 0F B6 83 CE 01 00 00 04 FD 2C 02 0F 83 8E 00 00 00 8B 5D E8 E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 1B 8B 45 08 8B 40 FC 80 B8 B2 02 00 00 00 75 1A E8 ?? ?? ?? ?? 3D 48 00 04 00 7C 0E 8B C3 03 C0 B9 03 00 00 00 99 F7 F9 8B D8 80 7D F7 00 74 33 8B 45 08 8B 40 FC 8B 80 90 02 00 00 8B 40 08 48 3B F0 7D 1F 8B 45 08 8B 40 FC 8B 80 8C 02 00 00 03 45 EC 03 C3 8B 55 F8 3B 02 7E 19 8B 55 F8 89 02 EB 12 8B 45 F0 03 45 E8 8B 55 FC 3B 02 7E 05 8B 55 FC 89 02 80 7D F7 00 74 77 01 5D EC EB 72 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 0F B6 83 CE 01 00 00 2C 02 75 29 8D 45 D8 50 8B 45 08 8B 40 FC 8B CE BA 33 04 00 00 E8 ?? ?? ?? ?? 85 C0 74 0B 8B 45 E0 2B 45 D8 89 45 E8 EB 04 83 45 E8 0D 8B 45 F0 03 45 E8 8B 55 FC 3B 02 7E 05 8B 55 FC 89 02 8B 45 08 8B 40 FC 8B 80 8C 02 00 00 03 45 EC 8B 55 F8 3B 02 7E 05 8B 55 F8 89 02 80 7D F7 00 74 20 8B 45 08 8B 40 FC 8B 80 D4 02 00 00 89 45 F0 8B 45 08 8B 40 FC 8B 80 8C 02 00 00 01 45 EC EB 06 8B 45 E8 01 45 F0 46 4F 0F 85 25 FE FF FF 8B 45 F8 83 38 00 7E 15 8B 45 08 8B 40 FC 80 B8 B2 02 00 00 00 75 06 8B 45 F8 83 00 02 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75534_0 {
	meta:
		name = "WrapHorz"
		size = 554
		refs = "0038 TList.Get 0042 _DV_TToolButton 0047 @IsClass 005a TBits.SetBit 0117 TBits.GetBit"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 45 FC C7 45 F8 01 00 00 00 8B 45 08 8B 40 FC 8B 80 D4 02 00 00 89 45 F4 33 FF E9 E2 01 00 00 8B 45 08 8B 40 FC 8B 80 90 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 8B 40 F8 33 C9 8B D7 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC F6 40 1C 10 75 0A 80 7E 61 00 0F 84 96 01 00 00 8B 45 F4 03 46 50 3B 45 FC 0F 8E 81 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 0F B6 86 CE 01 00 00 04 FD 2C 02 0F 82 5F 01 00 00 C6 45 F3 00 8B DF 83 FB 00 0F 8C 9E 00 00 00 8B 45 08 8B 40 FC 8B 80 90 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 72 8B 45 08 8B 40 FC 8B 80 90 02 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC F6 40 1C 10 75 09 8B 45 EC 80 78 61 00 74 4A 8B 45 EC 0F B6 80 CE 01 00 00 04 FD 2C 02 73 3A 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 84 C0 75 33 C6 45 F3 01 8B FB 8B 45 08 8B 40 FC 8B 80 D4 02 00 00 89 45 F4 8B 45 08 8B 40 F8 B1 01 8B D3 E8 ?? ?? ?? ?? FF 45 F8 EB 0A 4B 83 FB FF 0F 85 62 FF FF FF 80 7D F3 00 0F 85 AE 00 00 00 8B DF 4B 83 FB 00 0F 8C 8E 00 00 00 8B 45 08 8B 40 FC 8B 80 90 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 62 8B 45 08 8B 40 FC 8B 80 90 02 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 F6 40 1C 10 75 09 8B 45 E8 80 78 61 00 74 3A 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? 84 C0 75 33 C6 45 F3 01 8B FB 8B 45 08 8B 40 FC 8B 80 D4 02 00 00 89 45 F4 8B 45 08 8B 40 F8 B1 01 8B D3 E8 ?? ?? ?? ?? FF 45 F8 EB 0A 4B 83 FB FF 0F 85 72 FF FF FF 80 7D F3 00 75 0E 8B 46 50 01 45 F4 EB 06 8B 46 50 01 45 F4 47 8B 45 08 8B 40 FC 8B 80 90 02 00 00 3B 78 08 0F 8C 09 FE FF FF 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75535_0 {
	meta:
		name = "WrapSizeVert"
		size = 306
		refs = "0048 WrapHorz 0058 CalcSize"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 89 55 FC C7 45 D0 FF FF FF FF C7 45 D4 FF FF FF FF 8B 45 D0 89 45 D8 8B 45 D4 89 45 DC 33 C0 89 45 C8 33 C0 89 45 CC 8B 45 C8 89 45 E0 8B 45 CC 89 45 E4 33 C0 89 45 F8 8B 45 08 50 33 C0 E8 ?? ?? ?? ?? 59 8B 45 08 50 8D 55 EC 8D 45 E8 E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 FF FF FF 7F E8 ?? ?? ?? ?? 59 8B 45 08 50 8D 55 F4 8D 45 F0 E8 ?? ?? ?? ?? 59 E9 99 00 00 00 8B 45 E0 89 45 D8 8B 45 E4 89 45 DC 8B FB 03 FE D1 FF 79 03 83 D7 00 89 7D E0 8B 45 08 50 8B C7 E8 ?? ?? ?? ?? 59 89 45 F8 8B 45 08 50 8D 55 E4 8D 45 E0 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 00 3B 45 E4 7D 30 8B 45 E8 3B 45 E0 75 1A 8B 45 EC 3B 45 E4 75 12 8B 45 08 50 8B 45 F0 E8 ?? ?? ?? ?? 59 89 45 F8 EB 42 8B 45 E0 89 45 E8 8B 45 E4 89 45 EC EB 26 8B 45 FC 8B 00 3B 45 E4 7E 2A 8B 45 E0 89 45 F0 8B 45 E4 89 45 F4 8B 45 D8 3B 45 E0 75 08 8B 45 DC 3B 45 E4 74 0E 8B 75 F0 8B 5D E8 3B F3 0F 8F 59 FF FF FF 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75536_0 {
	meta:
		name = "WrapSizeHorz"
		size = 160
		refs = "0019 WrapHorz 0084 CalcSize"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 FC 33 FF 8B 18 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 89 45 F8 8B 45 08 50 33 C0 E8 ?? ?? ?? ?? 59 89 45 F4 8B 45 F8 3B 45 F4 74 41 3B DF 7E 3D 8D 34 3B D1 FE 79 03 83 D6 00 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 59 89 45 F4 8B 45 F4 3B 45 F8 75 04 8B DE EB 14 3B F7 75 0E 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 EB 06 8B FE 3B DF 7F C3 8B 45 08 50 8D 55 F0 8D 45 EC E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 EC E8 ?? ?? ?? ?? 59 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75537_0 {
	meta:
		name = "TToolBar.WrapButtons"
		size = 596
		refs = "0019 TWinControl.HandleAllocated 0029 TToolBar.InternalButtonCount 004a TControl.GetClientWidth 0055 TControl.GetClientHeight 0089 CalcSize 00f8 _Dn_TBits 00fd TObject.Create 0108 TToolBar.WrapButtons 0122 TBits.SetSize 0134 WrapSizeVert 0143 WrapSizeHorz 018e TList.Get 0194 _DV_TToolButton 0199 @IsClass 01a7 TBits.GetBit 01be TToolButton.SetWrap 01cc TToolBar.RepositionButtons 01d6 TToolBar.UpdateButtonStates 01eb TObject.Free 01f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 89 4D F0 89 55 F4 89 45 FC C6 45 EF 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 25 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7D 0D 8B 45 FC F6 40 1C 10 0F 85 09 02 00 00 33 C0 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 D8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 89 5D DC 8B 45 FC 8B 40 50 2B 45 D8 89 45 E8 8B 45 FC 8B 40 54 2B C3 89 45 E4 8B 45 D8 89 45 C0 8B 45 DC 89 45 C4 55 8D 55 DC 8D 45 D8 E8 ?? ?? ?? ?? 59 8B 45 F4 8B 00 2B 45 E8 8B 55 F0 8B 12 2B 55 E4 89 45 C8 89 55 CC 8B 45 C8 89 45 D0 8B 45 CC 89 45 D4 8B 45 FC 0F B6 40 65 84 C0 74 0C 04 FD 2C 02 0F 92 C0 88 45 E3 EB 1E 8B 45 D0 2B 45 C0 99 33 C2 2B C2 8B C8 8B 45 D4 2B 45 C4 99 33 C2 2B C2 3B C8 0F 9C 45 E3 8B 45 FC 80 B8 BA 02 00 00 00 0F 84 02 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 90 02 00 00 8B 50 08 8B 45 F8 E8 ?? ?? ?? ?? 80 7D E3 00 74 0F 55 8D 55 D4 8D 45 D0 E8 ?? ?? ?? ?? 59 EB 0D 55 8D 55 D4 8D 45 D0 E8 ?? ?? ?? ?? 59 55 8D 55 D4 8D 45 D0 E8 ?? ?? ?? ?? 59 80 7D E3 00 75 09 8B 45 FC 80 78 65 00 75 08 8B 45 D0 3B 45 D8 75 08 8B 45 D4 3B 45 DC 74 5E 8B 45 F8 8B 70 04 4E 85 F6 7C 47 46 33 DB 8B 45 FC 8B 80 90 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 90 02 00 00 8B D3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 43 4E 75 BC 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 55 8D 55 D4 8D 45 D0 E8 ?? ?? ?? ?? 59 8B 45 FC 80 78 66 00 74 3D 8B 45 FC 80 78 65 05 74 34 80 7D E3 00 75 09 8B 45 FC 80 78 65 00 75 0B 8B 45 D0 03 45 E8 8B 55 F4 89 02 80 7D E3 00 74 09 8B 45 FC 80 78 65 00 75 0B 8B 45 D4 03 45 E4 8B 55 F0 89 02 0F B6 45 EF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75539_0 {
	meta:
		name = "TToolBar.CMControlChange"
		size = 47
		refs = "001b TToolBar.InsertButton 0028 TToolBar.RemoveButton"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 83 7E 08 00 74 0D 8B 56 04 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 56 04 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75540_0 {
	meta:
		name = "TToolBar.CNChar"
		size = 55
		refs = "0025 TControl.Perform"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 59 03 00 00 00 74 25 F6 43 1C 10 75 1F 8B 46 08 50 0F B7 4E 04 BA 06 B0 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 74 07 C7 46 0C 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_75541_0 {
	meta:
		name = "ContainsActiveControl"
		size = 78
		refs = "000e GetParentForm 0019 Screen 0038 TWinControl.ContainsControl"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 8B D8 85 DB 74 30 A1 ?? ?? ?? ?? 8B 00 83 78 64 00 74 23 A1 ?? ?? ?? ?? 8B 00 8B 70 64 3B DE 74 11 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 06 B0 01 EB 02 33 C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_75542_0 {
	meta:
		name = "TToolBar.CMDialogChar"
		size = 209
		refs = "0046 ContainsActiveControl 0057 TToolBar.FindButtonFromAccel 0080 GetComCtlVersion 00a7 @CallDynaInst 00c7 TWinControl.CMDialogChar"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 89 45 FC 8B 45 FC 8B 10 FF 52 68 84 C0 0F 84 A5 00 00 00 8B 45 FC 80 B8 F2 01 00 00 00 0F 84 95 00 00 00 8B 45 FC 80 B8 B0 02 00 00 00 75 0C 8B 45 FC 80 B8 84 02 00 00 00 74 7D 55 E8 ?? ?? ?? ?? 59 84 C0 74 72 0F B7 57 04 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 60 8B 45 FC 80 B8 84 02 00 00 00 74 09 80 BB CE 01 00 00 05 75 4B 80 BB CE 01 00 00 02 75 0C E8 ?? ?? ?? ?? 3D 47 00 04 00 7D 22 83 BB C8 01 00 00 00 75 09 83 BB C4 01 00 00 00 74 10 8B D3 8B 45 FC 66 BE AA FF E8 ?? ?? ?? ?? EB 0B 8B C3 66 BE EC FF E8 ?? ?? ?? ?? C7 47 0C 01 00 00 00 EB 0A 8B D7 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75543_0 {
	meta:
		name = "TToolBar.CMDockNotification"
		size = 39
		refs = "0020 TWinControl.InvalidateDockHostSite"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 8B 46 08 81 38 46 B0 00 00 75 0A 8B 50 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75546_0 {
	meta:
		name = "TToolBar.CMParentColorChanged"
		size = 31
		refs = "0006 TControl.CMParentColorChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 80 BE B8 02 00 00 00 74 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_75547_0 {
	meta:
		name = "TToolBar.CNSysKeyDown"
		size = 36
		refs = "000b TWinControl.CNSysKeyDown 001d @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 66 83 7E 04 12 75 0B 8B C3 66 BE AE FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75549_0 {
	meta:
		name = "TToolBar.CNDropDownClosed"
		size = 61
		refs = "0006 TToolBar.ClearTempMenu 0012 GetComCtlVersion"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 69 03 00 00 00 E8 ?? ?? ?? ?? 3D 50 00 05 00 75 17 83 BB 64 03 00 00 00 74 0E 8B 83 64 03 00 00 8B 10 FF 92 9C 00 00 00 C6 83 58 03 00 00 01 5B C3 }
	condition:
		$1
}

rule function_75550_0 {
	meta:
		name = "TToolBar.CNNotify"
		size = 2496
		refs = "0037 TToolBar.CNNotify 00c4 TToolBar.Perform 00e2 @CallDynaInst 0106 TCustomCanvas.Lock 0190 TCanvas.SetHandle 01a4 TCanvas.SetFont 01bb TCanvas.SetBrush 01f6 @TryFinallyExit 0214 ColorToRGB 025a @HandleFinally 0389 TToolBar.GetButton 0426 TToolBar.CanvasChanged 0582 TFont.GetHandle 0588 GetObject 05a5 CreateFontIndirect 05bd SelectObject 06dd DeleteObject 074e TCustomCanvas.Unlock 07a4 ButtonStyles 07b3 _DV_TToolButton 07b8 TToolButton.Create 07c3 TToolButton.SetStyle 07d6 TList.Insert 0847 TToolBar.DoGetButton 089d TList.Get 0906 TToolBar.SaveButtons 091f TToolBar.RecreateButtonsFromToolbar"
	strings:
		$1 = { 55 8B EC 83 C4 84 53 56 89 55 F8 89 45 FC 8B 45 F8 8B 40 08 8B 50 08 81 FA 3E FD FF FF 7F 54 0F 84 35 07 00 00 81 C2 D0 02 00 00 83 FA 0D 0F 87 81 09 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 81 FA 41 FD FF FF 7F 1E 0F 84 3B 08 00 00 81 EA 3F FD FF FF 0F 84 02 09 00 00 4A 0F 84 7B 08 00 00 E9 1C 09 00 00 81 EA 44 FD FF FF 0F 84 8A 07 00 00 81 EA B0 02 00 00 74 3E E9 03 09 00 00 8B D8 8D 43 10 50 8B 4B 0C BA 17 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 E5 08 00 00 8B 73 1C 85 F6 0F 84 DA 08 00 00 8B C6 66 BE C6 FF E8 ?? ?? ?? ?? E9 CA 08 00 00 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 33 D2 89 50 0C 8B 45 F0 F6 40 0E 01 0F 85 4E 02 00 00 8D 55 E0 8B 45 FC 8B 08 FF 51 60 8B 45 F0 8B 40 0C 48 74 1A 48 0F 84 AF 01 00 00 48 0F 84 D4 01 00 00 48 0F 84 F9 01 00 00 E9 EA 05 00 00 33 C9 33 D2 8B 45 FC 8B 18 FF 93 14 01 00 00 8B D8 84 DB 75 10 8B 45 FC 80 B8 A1 02 00 00 01 0F 85 EE 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 50 10 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 6C 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 C8 01 00 00 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 84 DB 74 14 8D 55 E0 33 C9 8B 45 FC 8B 18 FF 93 04 01 00 00 8B D8 EB 10 8D 55 E0 8B 45 FC 8B 08 FF 91 FC 00 00 00 8B D8 84 DB 75 19 8B 45 F8 C7 40 0C 04 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B1 07 00 00 8B 45 FC 8B 80 98 02 00 00 8B 40 40 8B 40 18 E8 ?? ?? ?? ?? 8B 55 F0 89 42 3C 8B 45 FC 8B 80 98 02 00 00 8B 40 48 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 8B 55 F0 89 42 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 98 02 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C9 B2 01 8B 45 FC 8B 18 FF 93 14 01 00 00 84 C0 75 32 B1 02 B2 01 8B 45 FC 8B 18 FF 93 14 01 00 00 84 C0 75 1F B1 02 B2 01 8B 45 FC 8B 18 FF 93 14 01 00 00 84 C0 75 0C 8B 45 FC 80 B8 A1 02 00 00 01 75 07 8B 45 F8 83 48 0C 20 B1 01 B2 01 8B 45 FC 8B 18 FF 93 14 01 00 00 84 C0 74 07 8B 45 F8 83 48 0C 10 B1 03 B2 01 8B 45 FC 8B 18 FF 93 14 01 00 00 84 C0 0F 84 5A 04 00 00 8B 45 F8 83 48 0C 40 E9 4E 04 00 00 B1 01 33 D2 8B 45 FC 8B 18 FF 93 14 01 00 00 84 C0 0F 84 37 04 00 00 8D 55 E0 B1 01 8B 45 FC 8B 18 FF 93 04 01 00 00 E9 22 04 00 00 B1 02 33 D2 8B 45 FC 8B 18 FF 93 14 01 00 00 84 C0 0F 84 0B 04 00 00 8D 55 E0 B1 02 8B 45 FC 8B 18 FF 93 04 01 00 00 E9 F6 03 00 00 B1 03 33 D2 8B 45 FC 8B 18 FF 93 14 01 00 00 84 C0 0F 84 DF 03 00 00 8D 55 E0 B1 03 8B 45 FC 8B 18 FF 93 04 01 00 00 E9 CA 03 00 00 33 F6 8B 45 F0 8B 40 24 8B 55 FC 8B 92 90 02 00 00 3B 42 08 7D 0C 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 75 0A E8 ?? ?? ?? ?? E9 18 06 00 00 8B 45 F0 8B 40 0C 2D 01 00 01 00 74 1A 48 0F 84 5F 02 00 00 48 0F 84 41 03 00 00 48 0F 84 5A 03 00 00 E9 73 03 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 8B 50 10 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 6C 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 C8 01 00 00 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 02 00 00 8B 50 40 8B 4D FC 89 4A 0C C7 42 08 ?? ?? ?? ?? 8B 40 48 8B 55 FC 89 50 0C C7 40 08 ?? ?? ?? ?? 8B 45 FC C6 80 9C 02 00 00 00 0F B6 05 ?? ?? ?? ?? 88 45 F7 6A 00 8D 45 F7 50 8B 45 F0 0F B7 48 28 8B D6 8B 45 FC 8B 18 FF 93 08 01 00 00 8B D8 84 DB 74 30 8B 45 FC 80 B8 A1 02 00 00 01 75 24 0F B6 05 ?? ?? ?? ?? 88 45 F7 8D 45 F7 50 8B 45 F0 0F B7 48 28 8B D6 8B 45 FC 8B 18 FF 93 00 01 00 00 8B D8 F6 45 F7 01 74 0A 8B 45 F8 81 48 0C 00 00 01 00 F6 45 F7 02 74 0A 8B 45 F8 81 48 0C 00 00 02 00 F6 45 F7 04 74 0A 8B 45 F8 81 48 0C 00 00 04 00 F6 45 F7 08 74 0A 8B 45 F8 81 48 0C 00 00 08 00 F6 45 F7 10 74 0A 8B 45 F8 81 48 0C 00 00 10 00 8B 45 FC 8B 80 98 02 00 00 8B 40 40 8B 40 18 E8 ?? ?? ?? ?? 8B 55 F0 89 42 3C 8B 45 FC 8B 80 98 02 00 00 8B 40 48 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 8B 55 F0 89 42 48 84 DB 75 16 8B 45 F8 83 48 0C 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 76 04 00 00 8B 45 FC 80 B8 9C 02 00 00 00 0F 84 82 00 00 00 8B 45 FC C6 80 9C 02 00 00 00 8B 45 FC 8B 98 98 02 00 00 8B 43 40 33 D2 89 50 08 89 50 0C 8B 43 48 33 D2 89 50 08 89 50 0C 8D 45 84 50 6A 5C 8B 43 40 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 41 8B 45 FC 8B 80 98 02 00 00 33 D2 E8 ?? ?? ?? ?? 8D 45 84 50 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 78 03 00 00 53 8B 45 F0 8B 40 10 50 E8 ?? ?? ?? ?? 8B 55 FC 89 82 7C 03 00 00 8B 45 F8 83 48 0C 02 B1 01 B2 01 8B 45 FC 8B 18 FF 93 14 01 00 00 84 C0 74 07 8B 45 F8 83 48 0C 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 98 02 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 50 10 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 6C 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 C8 01 00 00 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 85 F6 74 1A 6A 01 8D 45 F7 50 8B 45 F0 0F B7 48 28 8B D6 8B 45 FC 8B 18 FF 93 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 98 02 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 83 B8 78 03 00 00 00 0F 84 87 00 00 00 8B 45 FC 83 B8 7C 03 00 00 00 74 7B 8B 45 FC 8B 80 7C 03 00 00 50 8B 45 F0 8B 40 10 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 78 03 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 78 03 00 00 8B 45 FC 33 D2 89 90 7C 03 00 00 EB 3E 85 F6 74 3A 6A 02 8D 45 F7 50 8B 45 F0 0F B7 48 28 8B D6 8B 45 FC 8B 18 FF 93 08 01 00 00 EB 1E 85 F6 74 1A 6A 03 8D 45 F7 50 8B 45 F0 0F B7 48 28 8B D6 8B 45 FC 8B 18 FF 93 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B D8 8B 45 FC 80 B8 9E 02 00 00 00 75 18 8B 43 0C 8B 55 FC 3B 82 B4 02 00 00 75 0A 8B 45 F8 33 D2 89 50 0C EB 63 8B 53 0C 8B 45 FC 8B 08 FF 91 0C 01 00 00 83 E0 7F 8B 55 F8 89 42 0C 83 7B 1C 00 75 46 0F B6 43 19 66 3B 05 ?? ?? ?? ?? 75 39 8B 45 FC 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B2 03 8B C6 E8 ?? ?? ?? ?? 8B 53 0C 8B 45 FC 8B 80 90 02 00 00 8B CE E8 ?? ?? ?? ?? 8B 45 FC FF 80 F0 02 00 00 8B 45 FC C7 80 B4 02 00 00 FF FF FF FF E9 C0 01 00 00 8B D8 8B 53 0C 8B 45 FC 8B 08 FF 91 10 01 00 00 83 E0 7F 8B 55 F8 89 42 0C 8B 45 FC 80 B8 9E 02 00 00 00 0F 85 97 01 00 00 8B 43 0C 8B 55 FC 89 82 B4 02 00 00 E9 86 01 00 00 8B D8 8B 45 FC 80 B8 9E 02 00 00 00 0F 84 74 01 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 83 E0 7F 8B 55 F8 89 42 0C E9 5C 01 00 00 8B 45 FC 80 B8 9E 02 00 00 00 0F 84 4C 01 00 00 8B 45 FC 80 B8 E4 02 00 00 00 0F 85 3C 01 00 00 8B 45 FC 66 83 B8 3A 03 00 00 00 0F 84 2B 01 00 00 8B 45 F8 8B 40 08 8B 50 0C 8B 45 FC 8B 80 90 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 5D FC 8B CE 8B 55 FC 8B 83 3C 03 00 00 FF 93 38 03 00 00 E9 F9 00 00 00 8B 45 FC C6 80 9E 02 00 00 01 8B 45 FC 33 D2 89 90 F0 02 00 00 8B 45 FC 66 83 B8 4A 03 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 4C 03 00 00 FF 93 48 03 00 00 8B 45 FC 80 B8 E4 02 00 00 00 0F 85 B5 00 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? E9 A6 00 00 00 8B 45 FC 80 B8 E4 02 00 00 00 75 14 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 9E 02 00 00 00 EB 1F 8B 45 FC 66 83 B8 52 03 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 54 03 00 00 FF 93 50 03 00 00 8B 45 FC C6 80 E4 02 00 00 00 EB 5B 8B 45 FC 80 B8 9E 02 00 00 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 32 03 00 00 00 74 3A 8B 5D FC 8B 55 FC 8B 83 34 03 00 00 FF 93 30 03 00 00 EB 26 8B 45 FC C6 80 E4 02 00 00 01 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 E4 02 00 00 00 5E 5B 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_75551_0 {
	meta:
		name = "TToolBar.RecreateButtonsFromToolbar"
		size = 198
		refs = "0015 TWinControl.GetHandle 001b SendMessage 004c SendGetStructMessage 005d _DV_TToolButton 0062 TToolButton.Create 006d TToolButton.SetStyle 00a0 SendStructMessage 00af TList.Add 00ba TToolBar.RecreateButtons"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B D8 6A 00 6A 00 68 18 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 8B 83 90 02 00 00 8B 10 FF 52 08 8B FE 4F 85 FF 0F 8C 80 00 00 00 47 33 F6 54 6A 00 8B C3 E8 ?? ?? ?? ?? 8B CE BA 17 04 00 00 E8 ?? ?? ?? ?? 83 7C 24 0C 00 75 4D 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 B2 03 8B C5 E8 ?? ?? ?? ?? 89 6C 24 0C 89 9D D4 01 00 00 6A 00 56 68 16 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 8B CE BA 43 04 00 00 E8 ?? ?? ?? ?? 8B 54 24 0C 8B 83 90 02 00 00 E8 ?? ?? ?? ?? 46 4F 75 83 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75552_0 {
	meta:
		name = "IsToolButtonMouseMsg"
		size = 190
		refs = "0011 TWinControl.GetHandle 0018 GetCapture 0021 GetCaptureControl 007b TWinControl.ControlAtPos 0096 _DV_TToolButton 009b @IsClass 00aa TControl.Dragging"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 2F E8 ?? ?? ?? ?? 8B 55 08 89 42 F8 8B 45 08 83 78 F8 00 74 23 8B 45 08 8B 40 F8 8B 40 38 8B 55 08 3B 42 FC 74 12 8B 45 08 33 D2 89 50 F8 EB 08 8B 45 08 33 D2 89 50 F8 8B 43 08 89 45 FC 0F BF 45 FC 89 45 F4 0F BF 45 FE 89 45 F8 6A 00 6A 00 8D 55 F4 8B 45 08 8B 40 FC 33 C9 E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 8B 45 08 83 78 F4 00 74 24 8B 45 08 8B 40 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75553_0 {
	meta:
		name = "SendDropdownMsg"
		size = 112
		refs = "0014 @FillChar 001f TWinControl.GetHandle 003e TToolButton.GetIndex 0067 SendStructMessage"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 8B D8 8D 45 C4 33 C9 BA 3C 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 C4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 C8 C7 45 CC 3A FD FF FF 8B C3 E8 ?? ?? ?? ?? 89 45 D0 8D 45 C4 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? BA 4E 00 00 00 59 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75554_0 {
	meta:
		name = "TToolBar.WndProc"
		size = 590
		refs = "0041 IsToolButtonMouseMsg 004e TControl.GetDragMode 00a4 _DV_TToolButton 00a9 @IsClass 00db TToolButton.SetDown 00e3 TToolBar.UpdateButtonStates 0139 TControl.GetMouseCapture 0147 TControl.SetMouseCapture 0158 GetComCtlVersion 0181 TWinControl.WndProc 0189 TControl.Dragging 01c9 TToolBar.WndProc 01d8 SendDropdownMsg 01ff TWinControl.GetHandle 0209 PeekMessage 021c PostQuitMessage 0238 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 89 55 F0 89 45 FC 8B 45 FC F6 40 1C 10 0F 85 24 02 00 00 8B 45 F0 8B 00 2D 00 02 00 00 74 16 48 0F 84 EA 00 00 00 48 74 4A 48 0F 84 E0 00 00 00 E9 02 02 00 00 55 8B 45 F0 E8 ?? ?? ?? ?? 59 84 C0 74 20 8B 45 F4 E8 ?? ?? ?? ?? 3C 01 0F 84 E4 01 00 00 8B 55 F0 8B 45 FC 8B 08 FF 51 F0 E9 D4 01 00 00 8B 55 F0 8B 45 FC 8B 08 FF 51 F0 E9 C4 01 00 00 55 8B 45 F0 E8 ?? ?? ?? ?? 59 84 C0 0F 84 B2 01 00 00 8B 55 F0 8B 45 FC 8B 08 FF 51 F0 8B 45 F8 3B 45 F4 74 12 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3B 8B 45 F4 80 B8 BA 01 00 00 00 74 22 80 B8 BB 01 00 00 00 74 19 80 B8 B8 01 00 00 00 74 10 80 B8 CE 01 00 00 01 75 07 33 D2 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 52 01 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 47 01 00 00 8B 45 F4 80 B8 CE 01 00 00 02 0F 84 37 01 00 00 E9 27 01 00 00 55 8B 45 F0 E8 ?? ?? ?? ?? 59 84 C0 0F 84 15 01 00 00 8B 45 FC 80 B8 59 03 00 00 00 74 16 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0A B2 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 80 B8 CE 01 00 00 02 75 23 E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 22 8B 5D F4 8B 43 48 03 43 50 83 E8 0E 8B 55 F0 0F BF 52 08 3B C2 7E 0B 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 55 F0 8B 45 FC 8B 08 FF 51 F0 8B 55 F4 80 BA CE 01 00 00 02 0F 84 9D 00 00 00 8B 45 F4 83 B8 C8 01 00 00 00 75 0D 83 B8 C4 01 00 00 00 0F 84 84 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8B 45 F4 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C0 89 45 D8 6A 01 68 01 02 00 00 68 01 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 D4 50 E8 ?? ?? ?? ?? 85 C0 74 11 83 7D D8 12 75 0B 8B 45 DC 50 E8 ?? ?? ?? ?? EB 14 8B 45 F0 C7 00 02 02 00 00 8B 55 F0 8B 45 FC 8B 08 FF 51 EC C3 E9 ?? ?? ?? ?? EB AC 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75556_0 {
	meta:
		name = "TToolBar.FindButtonFromAccel"
		size = 191
		refs = "0019 TToolBar.FindButtonFromAccel 0043 TList.Get 0049 _DV_TToolButton 004e @IsClass 007f TControl.GetText 008b IsAccel 00aa @UStrClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 66 89 55 FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 90 02 00 00 8B 70 08 4E 85 F6 7C 63 46 33 DB 8B 45 FC 8B 80 90 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3D 8B 45 FC 8B 80 90 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B F8 80 7F 61 00 74 25 8B C7 8B 10 FF 52 68 84 C0 74 1A 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 55 F4 0F B7 45 FA E8 ?? ?? ?? ?? 84 C0 75 06 43 4E 75 A0 33 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75557_0 {
	meta:
		name = "TToolBar.IsCustomDrawn"
		size = 160
	strings:
		$1 = { 84 C9 75 58 80 FA 01 75 1C 66 83 B8 12 03 00 00 00 75 0E 66 83 B8 02 03 00 00 00 75 04 33 C0 EB 7E B0 01 EB 7A 84 D2 75 30 66 83 B8 0A 03 00 00 00 75 22 66 83 B8 FA 02 00 00 00 75 18 66 83 B8 12 03 00 00 00 75 0E 66 83 B8 02 03 00 00 00 75 04 33 C0 EB 4A B0 01 EB 46 33 C0 C3 80 FA 01 75 1C 66 83 B8 12 03 00 00 00 75 0E 66 83 B8 02 03 00 00 00 75 04 33 C0 EB 26 B0 01 EB 22 84 D2 75 1C 66 83 B8 FA 02 00 00 00 75 0E 66 83 B8 02 03 00 00 00 75 04 33 C0 EB 06 B0 01 EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_75558_0 {
	meta:
		name = "TToolBar.CustomDraw"
		size = 86
	strings:
		$1 = { 53 56 57 51 8B D9 8B FA 8B F0 C6 04 24 01 84 DB 75 1B 66 83 BE 0A 03 00 00 00 74 11 54 8B CF 8B D6 8B 86 0C 03 00 00 FF 96 08 03 00 00 66 83 BE FA 02 00 00 00 74 16 53 8D 44 24 04 50 8B CF 8B D6 8B 86 FC 02 00 00 FF 96 F8 02 00 00 0F B6 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75559_0 {
	meta:
		name = "TToolBar.CustomDrawButton"
		size = 117
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 66 89 4D FA 89 55 FC 8B F0 8B 5D 0C C6 45 F9 01 84 DB 75 24 66 83 BE 12 03 00 00 00 74 1A 0F B7 45 FA 50 8D 45 F9 50 8B 4D FC 8B D6 8B 86 14 03 00 00 FF 96 10 03 00 00 66 83 BE 02 03 00 00 00 74 1F 0F B7 45 FA 50 53 8B 45 08 50 8D 45 F9 50 8B 4D FC 8B D6 8B 86 04 03 00 00 FF 96 00 03 00 00 0F B6 45 F9 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_75561_0 {
	meta:
		name = "TToolBar.GradientDrawButton"
		size = 2099
		refs = "001d TToolBar.GradientDrawButton 0032 TBitmap.GetCanvas 00d0 GradientFillCanvas 00da TControl.GetBoundsRect 00f2 Rect 0114 TCanvas.CopyRect 014e TBrush.SetColor 0163 TBrush.SetStyle 021f GetShadowColor 02d7 InflateRect 046c Frame3D 04bd TCustomImageList.GetCount 05b7 TCustomImageList.Draw 05f0 TPen.SetColor 0648 DrawArrow 06d3 TControl.GetText 0731 TCustomCanvas.TextHeight 0779 TFont.SetColor 07ac TCanvas.GetHandle 07c6 @UStrLAsg 07de @UStrToPWChar 07e8 DrawText 081a @UStrArrayClr 0820 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 33 DB 89 5D FC 89 5D F8 66 89 4D F6 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F5 00 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 44 8B 93 98 02 00 00 8B 52 44 8B 08 FF 51 08 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 8B 93 98 02 00 00 8B 52 48 8B 08 FF 51 08 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 40 8B 93 98 02 00 00 8B 52 40 8B 08 FF 51 08 33 C0 89 45 E8 F6 83 9F 02 00 00 02 0F 84 9A 00 00 00 8B 4B 54 8B 53 50 8B 83 80 02 00 00 8B 38 FF 57 6C 8D 55 A4 8B C3 8B 08 FF 51 60 8D 45 A4 50 0F B6 83 A0 02 00 00 50 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 8B A4 02 00 00 8B 93 A8 02 00 00 E8 ?? ?? ?? ?? 8D 55 A4 8B C6 E8 ?? ?? ?? ?? 8D 45 A4 50 8B 46 54 50 8D 45 94 50 8B 4E 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 94 50 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 50 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 59 5A E8 ?? ?? ?? ?? 8B 4E 54 8B 56 50 8B 83 80 02 00 00 8B 38 FF 57 6C EB 64 8B 4E 54 8B 56 50 8B 83 80 02 00 00 8B 38 FF 57 6C 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 8B 56 74 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8D 55 A4 8B 08 FF 51 10 8D 45 A4 50 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 0F B6 86 CE 01 00 00 84 C0 74 10 3C 01 74 0C 3C 02 74 08 3C 05 0F 85 42 06 00 00 F6 45 F6 40 74 09 8B 83 CC 02 00 00 89 45 E8 8B C6 8B 10 FF 52 68 84 C0 75 09 8B 83 C4 02 00 00 89 45 E8 83 7D E8 00 75 09 8B 83 BC 02 00 00 89 45 E8 F6 45 F6 40 75 1C 80 BE BA 01 00 00 00 0F 84 BB 02 00 00 8B C6 8B 10 FF 52 68 84 C0 0F 84 AC 02 00 00 F6 83 9F 02 00 00 01 0F 84 05 02 00 00 8B BB AC 02 00 00 F6 45 F6 01 74 0E BA E7 FF FF FF 8B C7 E8 ?? ?? ?? ?? 8B F8 BA CE FF FF FF 8B C7 E8 ?? ?? ?? ?? 89 45 F0 8B 46 54 50 8D 45 B4 50 8B 4E 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 8B 55 F0 E8 ?? ?? ?? ?? 80 BE CE 01 00 00 02 75 25 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 44 8B 40 10 8B 40 1C D1 F8 79 03 83 D0 00 BA 0E 00 00 00 2B D0 29 55 BC 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8D 55 B4 8B 08 FF 51 54 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 44 8B 40 10 8B 40 1C 89 45 E4 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 44 8B 40 10 8B 40 1C 8B C8 F7 D9 8B 55 E4 F7 DA 8D 45 B4 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 8B D7 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8D 55 B4 8B 08 FF 51 54 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 44 8B 40 10 8B 40 1C 89 45 E0 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 44 8B 40 10 8B 40 1C 8D 55 B4 8B C8 8B 45 E0 92 E8 ?? ?? ?? ?? 80 BE CE 01 00 00 02 0F 85 61 01 00 00 8B 45 BC 89 45 B4 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 44 8B 40 10 8B 40 1C D1 F8 79 03 83 D0 00 BA 0E 00 00 00 2B D0 01 55 BC 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 8B 55 F0 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8D 55 B4 8B 08 FF 51 54 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 44 8B 40 10 8B 40 1C 89 45 DC 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 44 89 45 D8 8B 45 D8 8B 40 10 8B 40 1C 89 45 D4 8B 4D D4 F7 D9 8B 55 DC F7 DA 8D 45 B4 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 8B D7 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8D 55 B4 8B 08 FF 51 54 E9 9A 00 00 00 80 BE BA 01 00 00 00 74 0E BF 15 00 00 FF C7 45 F0 16 00 00 FF EB 0C BF 16 00 00 FF C7 45 F0 15 00 00 FF 8B 46 54 50 8D 45 B4 50 8B 4E 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 83 98 02 00 00 8B 40 44 8B 40 10 8B 40 1C 50 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8D 55 B4 8B CF E8 ?? ?? ?? ?? 80 BE CE 01 00 00 02 75 31 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 55 BC 83 EA 0E 33 C9 8B 38 FF 57 64 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 55 BC 83 EA 0E 8B 4E 54 8B 38 FF 57 60 83 7D E8 00 74 19 83 BE BC 01 00 00 00 7C 10 8B 45 E8 E8 ?? ?? ?? ?? 3B 86 BC 01 00 00 7F 17 83 7D E8 00 0F 84 E8 00 00 00 80 BE CE 01 00 00 05 0F 85 DB 00 00 00 80 BB B0 02 00 00 00 74 09 80 BB B1 02 00 00 00 75 12 80 BB 84 02 00 00 00 74 10 80 BE CE 01 00 00 05 75 07 BF 04 00 00 00 EB 1C 8B 45 E8 8B 7E 50 2B 78 3C D1 FF 79 03 83 D7 00 80 BE CE 01 00 00 02 75 03 83 EF 07 80 BB B1 02 00 00 00 74 09 80 BB 84 02 00 00 00 74 12 80 BB 84 02 00 00 00 74 1E 80 BE CE 01 00 00 05 75 15 8B 45 E8 8B 56 54 2B 50 38 D1 FA 79 03 83 D2 00 89 55 EC EB 07 C7 45 EC 04 00 00 00 8B 45 EC 50 8B 86 BC 01 00 00 50 6A 03 6A 00 8B C6 8B 10 FF 52 68 84 C0 75 20 F6 43 1C 10 75 1A 8B C6 8B 10 FF 52 68 84 C0 75 0B 8B 45 E8 3B 83 C4 02 00 00 74 04 33 C0 EB 02 B0 01 50 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CF 8B 45 E8 E8 ?? ?? ?? ?? 80 BE CE 01 00 00 02 0F 85 84 00 00 00 8B 7E 50 83 EF 0A 8B 46 54 D1 F8 79 03 83 D0 00 89 45 EC 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 44 8B 56 6C 8B 52 18 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 68 84 C0 75 18 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 44 BA 11 00 00 FF E8 ?? ?? ?? ?? 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 89 7D CC 8B 55 EC 89 55 D0 6A 03 8D 4D CC B2 03 E8 ?? ?? ?? ?? 80 BB B0 02 00 00 00 74 09 80 BB 84 02 00 00 00 74 1A 80 BB 84 02 00 00 00 0F 84 81 01 00 00 80 BE CE 01 00 00 05 0F 85 74 01 00 00 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 B2 01 E8 ?? ?? ?? ?? 83 7D E8 00 74 2F 80 BB B1 02 00 00 00 74 26 80 BE CE 01 00 00 05 75 12 80 BE CE 01 00 00 05 75 14 83 BE BC 01 00 00 FF 74 0B 8B 45 E8 8B 40 3C 89 45 B4 EB 05 33 C0 89 45 B4 8B 46 50 89 45 BC 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 80 BE CE 01 00 00 02 75 25 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 44 8B 40 10 8B 40 1C D1 F8 79 03 83 D0 00 BA 0E 00 00 00 2B D0 29 55 BC 80 BB B1 02 00 00 00 75 14 83 7D E8 00 74 0E 8B 45 E8 8B 40 38 83 C0 04 89 45 B8 EB 29 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 56 54 D1 FA 79 03 83 D2 00 2B D0 89 55 B8 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 03 45 B8 89 45 C0 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 40 8B 56 6C 8B 52 18 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 68 84 C0 75 18 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 40 BA 11 00 00 FF E8 ?? ?? ?? ?? 8B 83 80 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 89 45 C8 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? C7 45 C4 05 81 00 00 8B 45 C4 50 8D 45 B4 50 57 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 C8 50 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 50 8B 4E 4C 8B 56 48 8B 83 98 02 00 00 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_75562_0 {
	meta:
		name = "TToolBar.GradientDrawToolBar"
		size = 52
		refs = "002b GradientFillCanvas"
	strings:
		$1 = { 53 56 8B F2 B3 01 F6 80 9F 02 00 00 02 74 20 56 0F B6 90 A0 02 00 00 52 8B 88 A4 02 00 00 8B 90 A8 02 00 00 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_75563_0 {
	meta:
		name = "TToolBar.SetGradientDrawingOptions"
		size = 53
		refs = "0020 TWinControl.HandleAllocated"
	strings:
		$1 = { 56 51 88 14 24 8B F0 0F B6 86 9F 02 00 00 3A 04 24 74 1F 0F B6 04 24 88 86 9F 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 A0 00 00 00 5A 5E C3 }
	condition:
		$1
}

rule function_75564_0 {
	meta:
		name = "TToolBar.SetDrawingStyle"
		size = 40
		refs = "0014 TWinControl.HandleAllocated"
	strings:
		$1 = { 56 8B F0 3A 96 A1 02 00 00 74 1B 88 96 A1 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_75565_0 {
	meta:
		name = "TToolBar.SetGradientEndColor"
		size = 40
		refs = "0014 TWinControl.HandleAllocated"
	strings:
		$1 = { 56 8B F0 3B 96 A4 02 00 00 74 1B 89 96 A4 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_75566_0 {
	meta:
		name = "TToolBar.SetGradientStartColor"
		size = 40
		refs = "0014 TWinControl.HandleAllocated"
	strings:
		$1 = { 56 8B F0 3B 96 A8 02 00 00 74 1B 89 96 A8 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_75568_0 {
	meta:
		name = "TToolBar.IsGradientEndColorStored"
		size = 29
		refs = "000e GetShadowColor"
	strings:
		$1 = { 53 8B D8 BA E7 FF FF FF B8 0F 00 00 FF E8 ?? ?? ?? ?? 3B 83 A4 02 00 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_75569_0 {
	meta:
		name = "FindButton"
		size = 171
		refs = "000d MenuToolBar 001a MenuButtonIndex 0027 TToolBar.GetButtonCount 0044 TToolBar.GetButton"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8B 3D ?? ?? ?? ?? 85 FF 0F 84 87 00 00 00 A1 ?? ?? ?? ?? 89 45 FC 8B 75 FC 8B C7 E8 ?? ?? ?? ?? 89 45 F8 84 DB 74 39 8B 45 F8 48 3B F0 75 04 33 F6 EB 01 46 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 80 7B 61 00 74 14 8B C3 8B 10 FF 52 68 84 C0 74 09 80 BB BB 01 00 00 00 75 3E 3B 75 FC 75 C9 EB 35 85 F6 75 06 8B 75 F8 4E EB 01 4E 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 80 7B 61 00 74 14 8B C3 8B 10 FF 52 68 84 C0 74 09 80 BB BB 01 00 00 00 75 07 3B 75 FC 75 CB 33 DB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_75570_0 {
	meta:
		name = "ToolMenuGetMsgHook"
		size = 726
		refs = "0011 LastMenuItem 001e TMenuItem.GetParentMenu 002b TMenu.IsRightToLeft 0057 ToolMenuHook 005d CallNextHookEx 007b InitDone 0096 PostMessage 00e3 StillModal 00ef MenuToolBar 00f8 @CallDynaInst 012a GetSubMenu 0148 TMenu.FindItem 01b6 TMenuItem.GetCount 01c1 FindButton 01df _Dn_TPopupMenu 01e4 @IsClass 0210 TControl.ClientToScreen 0227 LastMousePos 023e FindDragTarget 025e _DV_TToolButton 0270 TToolButton.GetIndex 0276 MenuButtonIndex 028f TWinControl.HandleAllocated"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 7D 10 8B 5D 08 83 3D ?? ?? ?? ?? 00 74 38 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 28 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 47 08 83 F8 25 75 09 C7 47 08 27 00 00 00 EB 0C 83 F8 27 75 07 C7 47 08 25 00 00 00 57 8B 45 0C 50 53 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 85 5C 02 00 00 83 FB 02 0F 85 53 02 00 00 33 DB 80 3D ?? ?? ?? ?? 00 75 18 C6 05 ?? ?? ?? ?? 01 6A 00 6A 28 68 00 01 00 00 8B 07 50 E8 ?? ?? ?? ?? 8B 47 04 2D 00 01 00 00 0F 84 CB 00 00 00 83 E8 04 0F 84 A5 00 00 00 83 E8 1B 74 10 2D E1 00 00 00 0F 84 55 01 00 00 E9 90 01 00 00 8B 47 08 C1 E8 10 66 3D FF FF 75 09 83 7F 0C 00 0F 94 C0 EB 02 33 C0 84 C0 74 20 80 3D ?? ?? ?? ?? 00 0F 85 DC 01 00 00 A1 ?? ?? ?? ?? 66 BE AE FF E8 ?? ?? ?? ?? E9 C9 01 00 00 C6 05 ?? ?? ?? ?? 00 C6 45 F3 00 8B 47 08 C1 E8 10 A8 10 74 04 C6 45 F3 01 80 7D F3 01 75 12 0F B7 47 08 50 8B 47 0C 50 E8 ?? ?? ?? ?? 8B F0 EB 04 0F B7 77 08 0F B6 4D F3 A1 ?? ?? ?? ?? 8B 80 5C 03 00 00 8B D6 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E9 00 01 00 00 83 7F 08 12 0F 85 F6 00 00 00 A1 ?? ?? ?? ?? 66 BE AE FF E8 ?? ?? ?? ?? E9 57 01 00 00 8B 47 08 83 F8 0D 75 11 A1 ?? ?? ?? ?? C6 80 68 03 00 00 01 E9 CA 00 00 00 83 F8 1B 75 0C C6 05 ?? ?? ?? ?? 01 E9 B9 00 00 00 83 3D ?? ?? ?? ?? 00 0F 84 AC 00 00 00 83 7F 08 27 75 19 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0B B0 01 E8 ?? ?? ?? ?? 8B D8 EB 30 83 7F 08 25 75 28 A1 ?? ?? ?? ?? 66 BE F2 FF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 33 C0 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 85 DB 74 59 33 C0 89 45 E8 33 C0 89 45 EC 8D 4D F4 8D 55 E8 8B C3 E8 ?? ?? ?? ?? EB 40 8B 47 14 89 45 F4 8B 47 18 89 45 F8 8B 45 F4 3B 05 ?? ?? ?? ?? 75 0B 8B 45 F8 3B 05 ?? ?? ?? ?? 74 1E 8D 45 F4 33 D2 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 89 05 ?? ?? ?? ?? 8B 45 F8 89 05 ?? ?? ?? ?? 85 DB 74 70 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5F 8B FB 8B C7 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 74 4E 80 BF BB 01 00 00 00 74 45 83 7F 38 00 74 3F 8B 47 38 E8 ?? ?? ?? ?? 84 C0 74 33 C6 05 ?? ?? ?? ?? 01 A1 ?? ?? ?? ?? C6 80 58 03 00 00 00 8B D7 A1 ?? ?? ?? ?? 66 BE AC FF E8 ?? ?? ?? ?? 8B D7 A1 ?? ?? ?? ?? 66 BE AC FF E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_75571_0 {
	meta:
		name = "InitToolMenuHooks"
		size = 53
		refs = "0002 StillModal 0008 LastMousePos 000d GetCursorPos 0013 ToolMenuHook 001b GetCurrentThreadId 0023 ToolMenuGetMsgHook 002b SetWindowsHookEx"
	strings:
		$1 = { C6 05 ?? ?? ?? ?? 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 1A E8 ?? ?? ?? ?? 50 6A 00 B8 ?? ?? ?? ?? 50 6A FF E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75572_0 {
	meta:
		name = "ReleaseToolMenuHooks"
		size = 59
		refs = "0002 ToolMenuHook 0010 UnhookWindowsHookEx 001e LastMenuItem 0025 MenuToolBar 002b MenuButtonIndex 0035 InitDone"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? FF FF FF FF C6 05 ?? ?? ?? ?? 00 C3 }
	condition:
		$1
}

rule function_75573_0 {
	meta:
		name = "ToolMenuKeyMsgHook"
		size = 139
		refs = "001b MenuToolBar2 0024 @CallDynaInst 0032 ReleaseToolMenuKeyHooks 003a ToolMenuHook 006d TWinControl.GetHandle 007a ToolMenuKeyHook 0080 CallNextHookEx"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 10 8B 7D 08 85 FF 75 63 8B 43 04 3D 01 B0 00 00 75 10 A1 ?? ?? ?? ?? 66 BE AE FF E8 ?? ?? ?? ?? EB 49 3D 11 01 00 00 75 07 E8 ?? ?? ?? ?? EB 3B 83 3D ?? ?? ?? ?? 00 75 32 8B 43 04 3D 02 01 00 00 74 1C 3D 00 01 00 00 74 15 3D 01 01 00 00 74 0E 3D 04 01 00 00 74 07 3D 05 01 00 00 75 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 53 8B 45 0C 50 57 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_75574_0 {
	meta:
		name = "InitToolMenuKeyHooks"
		size = 36
		refs = "0002 ToolMenuKeyHook 000a GetCurrentThreadId 0012 ToolMenuKeyMsgHook 001a SetWindowsHookEx"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 1A E8 ?? ?? ?? ?? 50 6A 00 B8 ?? ?? ?? ?? 50 6A 03 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75575_0 {
	meta:
		name = "ReleaseToolMenuKeyHooks"
		size = 35
		refs = "0002 ToolMenuKeyHook 0010 UnhookWindowsHookEx 001e MenuToolBar2"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75576_0 {
	meta:
		name = "TToolBar.ClearTempMenu"
		size = 171
		refs = "0041 TMenuItem.GetCount 0059 TMenuItem.GetItem 006b TMenuItem.Delete 007a TMenuItem.Insert 008b TObject.Free"
	strings:
		$1 = { 53 56 57 8B D8 83 BB 60 03 00 00 00 0F 84 95 00 00 00 83 BB 64 03 00 00 00 0F 84 88 00 00 00 8B 83 64 03 00 00 83 B8 C4 01 00 00 00 74 79 83 BB 5C 03 00 00 00 74 70 8B 83 5C 03 00 00 8B 40 3C E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 7C 37 8B 83 5C 03 00 00 8B 40 3C 8B D6 E8 ?? ?? ?? ?? 8B F8 8B 83 5C 03 00 00 8B 40 3C 8B D6 E8 ?? ?? ?? ?? 8B CF 33 D2 8B 83 60 03 00 00 E8 ?? ?? ?? ?? 4E 83 FE FF 75 C9 8B 83 5C 03 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 5C 03 00 00 33 C0 89 83 64 03 00 00 33 C0 89 83 60 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75577_0 {
	meta:
		name = "TToolBar.CheckMenuDropdown"
		size = 792
		refs = "002a TToolBar.CheckMenuDropdown 0069 TToolBar.ClearTempMenu 0073 _Dn_TPopupMenu 0078 TPopupMenu.Create 008f TMenuItem.GetParentMenu 00a5 TMenu.SetBiDiMode 00bf TPopupMenu.SetHelpContext 00ef TMenu.SetImages 0108 TMenuItem.GetCount 0120 TMenuItem.GetItem 0132 TMenuItem.Delete 0147 TMenuItem.Insert 0154 @TryFinallyExit 0163 TControl.SendCancelMode 01a1 TToolButton.GetIndex 01a6 MenuButtonIndex 01ae MenuToolBar 01b3 InitToolMenuHooks 01c5 TControl.Perform 01db TControl.GetClientHeight 01f1 TControl.ClientToScreen 01ff TMenu.IsRightToLeft 021e Screen 0227 TScreen.MonitorFromPoint 0234 GetSystemMetrics 0254 TMonitor.GetHeight 0266 GetComCtlVersion 02a4 ReleaseToolMenuHooks 02aa @HandleFinally 02be StillModal 02fc TWinControl.GetHandle 0302 PostMessage"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 89 55 F8 89 45 FC C6 45 F7 00 83 7D F8 00 0F 84 F2 02 00 00 8B 45 FC C6 80 58 03 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 80 C8 01 00 00 85 C0 74 0E 8B 55 FC 89 82 5C 03 00 00 E9 0E 01 00 00 8B 45 F8 8B 80 C4 01 00 00 85 C0 0F 84 F3 00 00 00 8B 10 FF 52 54 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 5C 03 00 00 8B 45 F8 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 12 0F B6 50 38 8B 45 FC 8B 80 5C 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 C4 01 00 00 8B 50 58 8B 45 FC 8B 80 5C 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 5C 03 00 00 C6 40 70 01 8B 45 F8 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 11 8B 50 4C 8B 45 FC 8B 80 5C 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 98 C4 01 00 00 8B 45 FC 89 98 60 03 00 00 8B C3 E8 ?? ?? ?? ?? 48 83 F8 00 7C 4B 89 C3 8B 45 FC 8B 80 60 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 60 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 5C 03 00 00 8B 40 3C 8B CE 33 D2 E8 ?? ?? ?? ?? 4B 83 FB FF 75 C3 EB 0A E8 ?? ?? ?? ?? E9 B1 01 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 5C 03 00 00 8B 55 FC 89 50 6C 8B 45 F8 80 B8 BB 01 00 00 00 75 10 8B 45 F8 83 B8 C4 01 00 00 00 75 04 33 C0 EB 02 B0 01 88 45 F6 80 7D F6 00 74 1A 8B 45 F8 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 FC A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 83 C9 FF BA 48 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 89 55 E4 89 45 E8 8D 4D EC 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 5C 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 09 8B 45 F8 8B 40 50 01 45 EC 8B 45 FC C6 80 69 03 00 00 01 8D 55 EC A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B D8 85 DB 74 34 6A 0F E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 5C 03 00 00 8B 40 3C E8 ?? ?? ?? ?? 0F AF F0 03 75 F0 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 09 8B 45 F8 8B 40 54 29 45 F0 E8 ?? ?? ?? ?? 3D 50 00 05 00 75 0B 8B 45 F8 8B 10 FF 92 9C 00 00 00 8B 45 FC 8B 80 5C 03 00 00 8B 4D F0 8B 55 EC 8B 18 FF 53 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F6 00 74 05 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8B 55 F8 89 90 64 03 00 00 80 3D ?? ?? ?? ?? 00 74 19 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 BA 48 04 00 00 8B 45 FC E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 6A 00 68 00 14 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 0F B6 45 F7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75578_0 {
	meta:
		name = "IsMenuBar"
		size = 108
		refs = "002e TList.Get 0034 _DV_TToolButton 0039 @IsClass"
	strings:
		$1 = { 55 8B EC 53 56 57 33 DB 8B 45 08 8B 40 FC 8B 80 90 02 00 00 8B 70 08 4E 85 F6 7C 49 46 33 FF 8B 45 08 8B 40 FC 8B 80 90 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8B 45 08 8B 40 FC 8B 80 90 02 00 00 8B D7 E8 ?? ?? ?? ?? 83 B8 C4 01 00 00 00 74 04 B3 01 EB 04 47 4E 75 BA 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_75579_0 {
	meta:
		name = "TToolBar.WMSysCommand"
		size = 215
		refs = "0055 IsMenuBar 007c GetCapture 0097 TToolBar.FindButtonFromAccel 00c7 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B 45 FC 80 B8 59 03 00 00 00 0F 85 B7 00 00 00 8B 45 FC 8B 10 FF 52 68 84 C0 0F 84 A7 00 00 00 8B 45 FC 80 B8 F2 01 00 00 00 0F 84 97 00 00 00 8B 45 FC 80 B8 B0 02 00 00 00 75 0C 8B 45 FC 80 B8 84 02 00 00 00 74 7F 55 E8 ?? ?? ?? ?? 59 84 C0 74 74 8B 43 04 25 F0 FF 00 00 3D 00 F1 00 00 75 65 66 83 7B 08 20 74 5E 66 83 7B 08 2D 74 57 E8 ?? ?? ?? ?? 85 C0 75 4E 0F B7 43 08 66 85 C0 75 04 33 F6 EB 0C 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B F0 66 83 7B 08 00 74 19 85 F6 74 2A 8B 45 FC 80 B8 84 02 00 00 00 74 09 83 BE BC 01 00 00 FF 7E 15 8B D6 8B 45 FC 66 BE AA FF E8 ?? ?? ?? ?? C7 43 0C 01 00 00 00 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75580_0 {
	meta:
		name = "TToolBar.ClickButton"
		size = 130
		refs = "0025 TControl.ClientToScreen 0032 TControl.ScreenToClient 0072 TWinControl.GetHandle 0078 PostMessage"
	strings:
		$1 = { 53 56 83 C4 E0 8B F2 8B D8 C6 83 58 03 00 00 00 33 C0 89 44 24 0C 33 C0 89 44 24 10 8B CC 8D 54 24 0C 8B C6 E8 ?? ?? ?? ?? 8D 4C 24 14 8B D4 8B C3 E8 ?? ?? ?? ?? 0F B7 44 24 14 66 89 44 24 1C 0F B7 44 24 18 66 89 44 24 1E 8B 44 24 1C 89 44 24 08 0F B7 44 24 08 0F B7 C0 0F B7 54 24 0A 0F B7 D2 C1 E2 10 0B C2 50 6A 01 68 01 02 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_75581_0 {
	meta:
		name = "TToolBar.InitMenu"
		size = 119
		refs = "0016 TControl.Perform 001c MenuToolBar2 0025 TControl.SetMouseCapture 002a InitToolMenuKeyHooks 0037 TToolButton.GetIndex 0052 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 6A 00 B9 01 00 00 00 BA 49 04 00 00 8B C3 E8 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 74 26 6A 00 8B C7 E8 ?? ?? ?? ?? 8B C8 BA 48 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 66 BE AC FF E8 ?? ?? ?? ?? EB 10 6A 00 33 C9 BA 48 04 00 00 8B C3 E8 ?? ?? ?? ?? 85 FF 75 07 C6 83 58 03 00 00 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75582_0 {
	meta:
		name = "TToolBar.CancelMenu"
		size = 75
		refs = "000d ReleaseToolMenuKeyHooks 0016 TControl.SetMouseCapture 0026 TControl.Perform"
	strings:
		$1 = { 53 8B D8 80 BB 59 03 00 00 00 74 1E E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 49 04 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 59 03 00 00 00 C6 83 58 03 00 00 00 6A 00 83 C9 FF BA 48 04 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75583_0 {
	meta:
		name = "TToolBar.TrackMenu"
		size = 181
		refs = "000d Application 002b @CallDynaInst 0049 TToolBar.TrackMenu 0060 TApplication.HandleMessage 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 1D ?? ?? ?? ?? 8B 45 FC 80 B8 59 03 00 00 00 74 1A 85 F6 74 12 8B D6 8B 45 FC 66 BE AC FF E8 ?? ?? ?? ?? B0 01 EB 7D 33 C0 EB 79 8B D6 8B 45 FC 66 BE AB FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 59 03 00 00 01 8B 03 E8 ?? ?? ?? ?? 8B 03 80 B8 A8 00 00 00 00 74 0A 8B 45 FC C6 80 59 03 00 00 00 8B 45 FC 80 B8 59 03 00 00 00 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 66 BE AE FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 8B 45 FC 0F B6 80 68 03 00 00 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75584_0 {
	meta:
		name = "TToolBar.CMFontChanged"
		size = 82
		refs = "0006 TWinControl.HandleAllocated 0026 TFont.GetHandle 0034 TControl.Perform 0041 TWinControl.RecreateWnd 004c TWinControl.NotifyControls"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 37 80 BB B0 02 00 00 00 75 09 80 BB 84 02 00 00 00 74 25 6A 00 8B 43 6C E8 ?? ?? ?? ?? 8B C8 BA 30 00 00 00 8B C3 E8 ?? ?? ?? ?? F6 43 1C 01 75 07 8B C3 E8 ?? ?? ?? ?? 66 BA 08 B0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75585_0 {
	meta:
		name = "TToolBar.SetCustomizable"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 9D 02 00 00 74 0B 88 90 9D 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78878_0 {
	meta:
		name = "TCustomFlowPanel.SetFlowStyle"
		size = 20
		refs = "000f TWinControl.Realign"
	strings:
		$1 = { 3A 90 9D 02 00 00 74 0B 88 90 9D 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75586_0 {
	meta:
		name = "TToolBar.DoGetButton"
		size = 558
		refs = "0019 TToolBar.DoGetButton 00a0 TList.IndexOf 00b4 TList.Insert 00db TList.Get 00e7 _DV_TToolButton 00ec @IsClass 0107 @AsClass 011e SSeparator 0123 LoadResString 012f TControl.GetText 0137 @UStrToPWChar 0146 StrLCopy 014e @PWCharLen 01b1 TControl.Perform 01c4 TToolButton.GetIndex 01df ButtonStyles 01e9 TToolButton.GetButtonState 0202 TWinControl.RecreateWnd 0217 @UStrClr 021d @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 57 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 43 0C 8B BE 90 02 00 00 3B 47 08 0F 8C 9B 00 00 00 66 83 BE 2A 03 00 00 00 0F 95 45 FB 80 7D FB 00 0F 84 A3 00 00 00 33 C0 89 45 F0 8D 45 F0 50 8B 4B 0C 8B 86 90 02 00 00 2B 48 08 03 8E F0 02 00 00 8B D6 8B 86 2C 03 00 00 FF 96 28 03 00 00 8B 45 F0 89 45 F4 83 7D F4 00 0F 95 45 FB 80 7D FB 00 74 66 8B 45 F0 89 B0 D4 01 00 00 8B 55 F0 8B 86 90 02 00 00 E8 ?? ?? ?? ?? 40 75 4C 8B 53 0C 8B 4D F0 8B 86 90 02 00 00 E8 ?? ?? ?? ?? 66 83 BE 42 03 00 00 00 74 31 8B 4D F0 8B D6 8B 86 44 03 00 00 FF 96 40 03 00 00 EB 1E 8B 53 0C 8B C7 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 0F 84 09 01 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 0F B6 87 CE 01 00 00 04 FD 2C 02 73 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 43 28 B9 80 00 00 00 E8 ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 89 43 24 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 85 EE FE FF FF B9 80 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 66 C7 84 45 F0 FE FF FF 00 00 80 BE B0 02 00 00 00 75 12 80 BE 84 02 00 00 00 74 23 80 BF CE 01 00 00 05 75 1A 8D 85 EE FE FF FF 50 33 C9 BA 4D 04 00 00 8B C6 E8 ?? ?? ?? ?? 89 43 20 EB 07 C7 43 20 FF FF FF FF 8B C7 E8 ?? ?? ?? ?? 89 43 14 8B 87 BC 01 00 00 89 43 10 0F B6 87 CE 01 00 00 0F B6 04 45 ?? ?? ?? ?? 88 43 19 8B C7 E8 ?? ?? ?? ?? 88 43 18 8B 45 F4 89 43 1C 81 7B 20 00 00 01 00 7C 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75587_0 {
	meta:
		name = "TToolBar.DoQueryDelete"
		size = 42
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 1A 03 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 1C 03 00 00 FF 93 18 03 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_75588_0 {
	meta:
		name = "TToolBar.DoQueryInsert"
		size = 42
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 22 03 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 24 03 00 00 FF 93 20 03 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_75589_0 {
	meta:
		name = "TToolBar.SaveButtons"
		size = 73
		refs = "0017 @UStrToPWChar 0032 TWinControl.GetHandle 003f SendStructMessage"
	strings:
		$1 = { 53 56 83 C4 F4 8B DA 8B F0 C7 04 24 01 00 00 80 8B 86 70 03 00 00 E8 ?? ?? ?? ?? 89 44 24 04 8B 86 74 03 00 00 E8 ?? ?? ?? ?? 89 44 24 08 54 8B C6 E8 ?? ?? ?? ?? 0F B6 CB BA 4C 04 00 00 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_75590_0 {
	meta:
		name = "TToolBar.SetHideClippedButtons"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 80 03 00 00 74 0B 88 90 80 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75591_0 {
	meta:
		name = "TToolBar.SetGradientDirection"
		size = 40
		refs = "0014 TWinControl.HandleAllocated"
	strings:
		$1 = { 56 8B F0 3A 96 A0 02 00 00 74 1B 88 96 A0 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_75592_0 {
	meta:
		name = "TToolBar.Resize"
		size = 42
		refs = "0006 TControl.Resize 0016 TWinControl.HandleAllocated"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? F6 86 9F 02 00 00 02 74 15 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_75593_0 {
	meta:
		name = "TToolBar.SetAutoSize"
		size = 42
		refs = "0006 TControl.SetAutoSize 0016 TWinControl.HandleAllocated"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? F6 86 9F 02 00 00 02 74 15 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_75594_0 {
	meta:
		name = "TCoolBand.Create"
		size = 200
		refs = "000f @ClassCreate 0027 TCollectionItem.Create 005a _Dn_TBitmap 005f TBitmap.Create 006f TCoolBand.BitmapChanged 009a @CallDynaInst 00b2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B FE C6 47 18 01 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? C7 43 38 28 00 00 00 C6 43 0D 01 C7 43 24 0F 00 00 FF C6 43 18 01 C7 43 14 FF FF FF FF C7 43 1C 19 00 00 00 C6 43 2C 01 C6 43 2D 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 30 8B 43 30 89 58 14 C7 40 10 ?? ?? ?? ?? C6 43 0F 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C C6 47 18 00 33 D2 8B C7 8B 08 FF 51 1C 8B C3 66 BE FD FF E8 ?? ?? ?? ?? 8B C3 66 BE FC FF E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75595_0 {
	meta:
		name = "TCoolBand.Destroy"
		size = 106
		refs = "0004 @BeforeDestruction 0010 TObject.Free 002b TCollectionItem.Destroy 003c TWinControl.HandleAllocated 0047 TControl.BringToFront 0057 TControl.Perform 0062 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 47 3C E8 ?? ?? ?? ?? 8B 47 30 E8 ?? ?? ?? ?? 8B 77 28 33 C0 89 47 28 B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 85 F6 74 28 F6 46 1C 08 75 22 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 8B C6 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 19 B0 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75596_0 {
	meta:
		name = "FindControl"
		size = 51
		refs = "0011 TCoolBand.CoolBar 001c TComponent.FindComponent 0022 _Dn_TWinControl 0027 @AsClass"
	strings:
		$1 = { 55 8B EC 53 8B D8 85 DB 74 24 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 40 04 8B 53 08 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C3 33 C0 5B 5D C3 }
	condition:
		$1
}

rule function_75597_0 {
	meta:
		name = "TCoolBand.Assign"
		size = 237
		refs = "000f _DV_TCoolBand 0014 @IsClass 0029 TCoolBand.SetBitmap 0035 TCoolBand.SetBreak 0040 TCoolBand.SetColor 004c TCoolBand.SetFixedBackground 0058 TCoolBand.SetFixedSize 0064 TCoolBand.SetHorizontalOnly 006f TCoolBand.SetImageIndex 007a TCoolBand.SetMinHeight 0085 TCoolBand.SetMinWidth 0091 TCoolBand.SetParentBitmap 009d TCoolBand.SetParentColor 00a8 TCoolBand.SetText 00af TCoolBand.GetVisible 00b9 TCoolBand.SetVisible 00c4 TCoolBand.SetWidth 00cd FindControl 00d8 TCoolBand.SetControl 00e4 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 BE 00 00 00 8B F3 8B 56 30 8B 45 FC E8 ?? ?? ?? ?? 0F B6 56 0D 8B 45 FC E8 ?? ?? ?? ?? 8B 56 24 8B 45 FC E8 ?? ?? ?? ?? 0F B6 56 18 8B 45 FC E8 ?? ?? ?? ?? 0F B6 56 0E 8B 45 FC E8 ?? ?? ?? ?? 0F B6 56 10 8B 45 FC E8 ?? ?? ?? ?? 8B 56 14 8B 45 FC E8 ?? ?? ?? ?? 8B 56 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 56 20 8B 45 FC E8 ?? ?? ?? ?? 0F B6 56 2D 8B 45 FC E8 ?? ?? ?? ?? 0F B6 56 2C 8B 45 FC E8 ?? ?? ?? ?? 8B 56 34 8B 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 56 38 8B 45 FC E8 ?? ?? ?? ?? 55 8B 46 28 E8 ?? ?? ?? ?? 59 8B D0 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75598_0 {
	meta:
		name = "TCoolBand.GetDisplayName"
		size = 33
		refs = "000c @UStrAsg 001a TCollectionItem.GetDisplayName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 34 E8 ?? ?? ?? ?? 83 3E 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75599_0 {
	meta:
		name = "TCoolBand.GetVisible"
		size = 39
		refs = "000c TCoolBand.CoolBar"
	strings:
		$1 = { 53 8B D8 80 7B 0F 00 74 16 8B C3 E8 ?? ?? ?? ?? 80 B8 A5 02 00 00 00 74 0A 80 7B 10 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_75600_0 {
	meta:
		name = "TCoolBand.CoolBar"
		size = 7
	strings:
		$1 = { 8B 40 04 8B 40 1C C3 }
	condition:
		$1
}

rule function_75601_0 {
	meta:
		name = "TCoolBand.ParentColorChanged"
		size = 32
		refs = "000c TCoolBand.CoolBar 0016 TCoolBand.SetColor"
	strings:
		$1 = { 53 8B D8 80 7B 2C 00 74 15 8B C3 E8 ?? ?? ?? ?? 8B 50 74 8B C3 E8 ?? ?? ?? ?? C6 43 2C 01 5B C3 }
	condition:
		$1
}

rule function_75603_0 {
	meta:
		name = "TCoolBand.BitmapChanged"
		size = 65
		refs = "003b TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 80 7B 2D 00 75 23 8B 53 30 8B 43 3C 8B 08 FF 51 08 8B 43 3C 8B 10 FF 52 20 84 C0 75 16 B2 01 8B 43 3C 8B 08 FF 51 78 EB 0A 33 D2 8B 43 3C 8B 08 FF 51 08 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75604_0 {
	meta:
		name = "TCoolBand.SetBitmap"
		size = 26
		refs = "0014 TCollectionItem.Changed"
	strings:
		$1 = { 56 8B F0 C6 46 2D 00 8B 46 30 8B 08 FF 51 08 B2 01 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_75605_0 {
	meta:
		name = "TCoolBand.GetHeight"
		size = 26
		refs = "0006 TCollectionItem.GetIndex 000e TCoolBand.CoolBar 0014 TCoolBar.GetRowHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75606_0 {
	meta:
		name = "TCellItem.SetSizeStyle"
		size = 16
		refs = "000b TCollectionItem.Changed"
		altNames = "TCoolBand.SetBorderStyle"
	strings:
		$1 = { 3A 50 0C 74 0A 88 50 0C 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75607_0 {
	meta:
		name = "TCoolBand.SetBreak"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 0D 74 0A 88 50 0D 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75608_0 {
	meta:
		name = "TCoolBand.SetFixedSize"
		size = 38
		refs = "0014 TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 0E 74 20 84 D2 74 11 C6 40 0D 00 C6 40 0E 01 B2 01 E8 ?? ?? ?? ?? EB 0B C6 40 0E 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75610_0 {
	meta:
		name = "TCoolBand.SetMinWidth"
		size = 18
		refs = "000d TCollectionItem.Changed"
	strings:
		$1 = { 3B 50 20 74 0C 89 50 20 0F B6 50 0E E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75611_0 {
	meta:
		name = "TCoolBand.SetVisible"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 0F 74 0A 88 50 0F B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75612_0 {
	meta:
		name = "TCoolBand.SetHorizontalOnly"
		size = 34
		refs = "000e TCoolBand.CoolBar 001c TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 3A 53 10 74 18 88 53 10 8B C3 E8 ?? ?? ?? ?? 0F B6 90 A5 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75615_0 {
	meta:
		name = "TCoolBand.SetColor"
		size = 20
		refs = "000f TCollectionItem.Changed"
	strings:
		$1 = { 3B 50 24 74 0E 89 50 24 C6 40 2C 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75616_0 {
	meta:
		name = "TCoolBand.SetControl"
		size = 100
		refs = "0016 TCoolBands.FindBand 0025 TCoolBand.SetControl 0036 TCoolBand.CoolBar 003f TComponent.FreeNotification 0048 TCollectionItem.Changed 005c TControl.Perform"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 3B 73 28 74 54 85 F6 74 19 8B D6 8B 43 04 E8 ?? ?? ?? ?? 85 C0 74 0B 3B D8 74 07 33 D2 E8 ?? ?? ?? ?? 8B 7B 28 89 73 28 85 F6 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 85 FF 74 10 6A 00 33 C9 BA 19 B0 00 00 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75617_0 {
	meta:
		name = "TCoolBand.SetText"
		size = 40
		refs = "000c @UStrEqual 0018 @UStrAsg 0021 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 34 8B D6 E8 ?? ?? ?? ?? 74 13 8D 43 34 8B D6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75619_0 {
	meta:
		name = "TCoolBand.SetParentColor"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 2C 74 0A 88 50 2C 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75620_0 {
	meta:
		name = "TCoolBand.IsBitmapStored"
		size = 7
	strings:
		$1 = { 0F B6 40 2D 34 01 C3 }
	condition:
		$1
}

rule function_75621_0 {
	meta:
		name = "TCoolBand.SetParentBitmap"
		size = 24
		refs = "0012 @CallDynaInst"
	strings:
		$1 = { 56 8B F0 3A 56 2D 74 0E 88 56 2D 8B C6 66 BE FC FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_75622_0 {
	meta:
		name = "TCoolBand.SetWidth"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3B 50 38 74 0A 89 50 38 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75623_0 {
	meta:
		name = "TCoolBands.Create"
		size = 70
		refs = "000b @ClassCreate 0017 _DV_TCoolBand 0020 TCollection.Create 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 0D ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C C6 47 18 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75626_0 {
	meta:
		name = "TCoolBands.FindBand"
		size = 47
		refs = "001b TCollection.GetItem"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 08 8B 58 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 68 28 74 06 46 4B 75 EE 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75627_0 {
	meta:
		name = "TCoolBands.HaveGraphic"
		size = 58
		refs = "001b TCoolBands.GetItem"
	strings:
		$1 = { 53 56 57 55 8B F8 33 DB 8B 47 08 8B 68 08 4D 85 ED 7C 20 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 40 3C 8B 10 FF 52 20 84 C0 75 04 B3 01 EB 04 46 4D 75 E3 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75631_0 {
	meta:
		name = "TCoolBands.Update"
		size = 46
		refs = "0013 TCollectionItem.GetIndex 001d TCoolBar.UpdateBand 0027 TCoolBar.UpdateBands"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 18 00 75 1F 85 F6 74 13 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 1C E8 ?? ?? ?? ?? EB 08 8B 43 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75633_0 {
	meta:
		name = "TToolButtonActionLink.IsCheckedLinked"
		size = 40
		refs = "0006 TActionLink.IsCheckedLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 43 20 0F B6 80 BA 01 00 00 8B 53 10 3A 42 71 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_75634_0 {
	meta:
		name = "TToolButtonActionLink.IsDropdownMenuLinked"
		size = 42
		refs = "0006 TControlActionLink.IsDropdownMenuLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B 43 20 8B 80 C8 01 00 00 8B 53 10 3B 82 A8 00 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_75635_0 {
	meta:
		name = "TToolButtonActionLink.IsEnableDropdownLinked"
		size = 43
		refs = "0006 TControlActionLink.IsEnableDropdownLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8B 43 20 0F B6 80 CC 01 00 00 8B 53 10 3A 82 B0 00 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_75636_0 {
	meta:
		name = "TToolButtonActionLink.IsImageIndexLinked"
		size = 42
		refs = "0006 TActionLink.IsImageIndexLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B 43 20 8B 80 BC 01 00 00 8B 53 10 3B 82 88 00 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_75638_0 {
	meta:
		name = "TToolButtonActionLink.SetDropdownMenu"
		size = 30
		refs = "0017 TToolButton.SetDropdownMenu"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 78 84 C0 74 0A 8B D6 8B 43 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75639_0 {
	meta:
		name = "TToolButtonActionLink.SetEnableDropdown"
		size = 30
		refs = "0017 TToolButton.SetEnableDropdown"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 7C 84 C0 74 0A 8B D3 8B 46 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75640_0 {
	meta:
		name = "TToolButtonActionLink.SetImageIndex"
		size = 30
		refs = "0017 TToolButton.SetImageIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 3C 84 C0 74 0A 8B D6 8B 43 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75641_0 {
	meta:
		name = "TDragObject.GetDragCursor"
		size = 21
		altNames = "TToolBarDockObject.GetDragCursor"
	strings:
		$1 = { 55 8B EC 84 D2 74 06 66 B8 F4 FF EB 04 66 B8 F3 FF 5D C2 04 00 }
	condition:
		$1
}

rule function_75642_0 {
	meta:
		name = "TToolBarDockObject.AdjustDockRect"
		size = 90
		refs = "0017 TDragDockObject.AdjustDockRect 0043 Rect"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F2 8D 3C 24 A5 A5 A5 A5 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? 8D 5E 4C 8B 7E 0C 2B 3B 8B 6E 10 2B 6B 04 8B 43 0C 03 C5 50 8D 44 24 14 50 8B 4B 08 03 CF 8B 53 04 03 D5 8B 03 03 C7 E8 ?? ?? ?? ?? 8D 7E 4C 8D 74 24 10 A5 A5 A5 A5 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75643_0 {
	meta:
		name = "IndexOfControl"
		size = 65
		refs = "0012 TToolBar.GetButtonCount 0028 TToolBar.GetButton"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 08 83 C7 FC 8B 07 8B 40 14 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1A 43 33 F6 8B 07 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8B 17 3B 42 40 74 07 46 4B 75 E9 83 CE FF 8B C6 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_75644_0 {
	meta:
		name = "TToolBarDockObject.ToolDockImage"
		size = 695
		refs = "001d _DV_TToolBar 0022 @IsClass 0041 IndexOfControl 005e TControl.ScreenToClient 006f TToolBar.ButtonIndex 0093 TToolBar.GetButtonCount 00c6 TToolBar.GetButton 0120 Bounds 0139 TWinControl.GetHandle 013f MapWindowPoints 0155 EqualRect 01c0 GetDesktopWindow 01d3 GetDCEx 01de TToolBarDockObject.ToolDockImage 01ef TBrush.GetHandle 01f9 SelectObject 021b PatBlt 02a0 ReleaseDC 02a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 8B DA 89 45 FC 8D 75 B8 84 DB 74 19 8B 45 FC 8B 40 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 3A 01 00 00 8B 45 FC 8B 78 14 8B 45 FC 8B 40 40 3B 78 38 75 0C 55 E8 ?? ?? ?? ?? 59 89 45 EC EB 07 C7 45 EC FF FF FF FF 8D 4D E0 8B 45 FC 8D 50 4C 8B C7 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 4D E0 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC 56 57 8B FE 8D 70 4C A5 A5 A5 A5 5F 5E 83 7D E8 00 0F 8C B3 00 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 75 18 33 C0 89 45 D8 33 C0 89 45 DC 8B 45 D8 89 45 E0 8B 45 DC 89 45 E4 EB 56 8B C7 E8 ?? ?? ?? ?? 3B 45 E8 75 28 8B 55 E8 4A 8B C7 E8 ?? ?? ?? ?? 8B 50 48 03 50 50 89 55 D0 8B 40 4C 89 45 D4 8B 45 D0 89 45 E0 8B 45 D4 89 45 E4 EB 22 8B 55 E8 8B C7 E8 ?? ?? ?? ?? 8B 50 48 89 55 C8 8B 40 4C 89 45 CC 8B 45 C8 89 45 E0 8B 45 CC 89 45 E4 8B 46 0C 2B 46 04 50 8D 45 A8 50 8B 4E 08 2B 0E 8B 55 E4 8B 45 E0 E8 ?? ?? ?? ?? 56 57 8B FE 8D 75 A8 A5 A5 A5 A5 5F 5E 6A 02 56 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 80 78 05 00 75 11 8B 45 FC 8D 50 78 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FB EB 04 C6 45 FB 00 84 DB 74 1A 80 7D FB 00 0F 85 32 01 00 00 8B 45 FC 56 8B FE 8D 70 78 A5 A5 A5 A5 5E EB 2B 8B 45 FC 56 8D 78 4C A5 A5 A5 A5 5E 0F B6 45 FB 34 01 88 45 FB 80 7D FB 00 0F 84 03 01 00 00 8B 45 FC 56 8D 78 78 A5 A5 A5 A5 5E 8B 45 FC 8B 10 FF 52 38 8B D8 E8 ?? ?? ?? ?? 89 45 F4 68 02 04 00 00 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B F8 68 49 00 5A 00 53 8B 56 08 8B 06 2B D0 2B D3 52 8B 56 04 52 03 C3 50 8B 45 F0 50 E8 ?? ?? ?? ?? 68 49 00 5A 00 8B 56 0C 8B 46 04 2B D0 2B D3 52 53 03 C3 50 8B 46 08 2B C3 50 8B 45 F0 50 E8 ?? ?? ?? ?? 68 49 00 5A 00 53 8B 56 08 8B 06 2B D0 2B D3 52 8B 56 0C 2B D3 52 50 8B 45 F0 50 E8 ?? ?? ?? ?? 68 49 00 5A 00 8B 56 0C 8B 46 04 2B D0 2B D3 52 53 50 8B 06 50 8B 45 F0 50 E8 ?? ?? ?? ?? 57 8B 45 F0 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75645_0 {
	meta:
		name = "TToolBarDockObject.DrawDragDockImage"
		size = 85
		refs = "000d _DV_TToolBar 0012 @IsClass 003a Rect 004a TDragDockObject.DrawDragDockImage"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B 43 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 C6 83 88 00 00 00 01 33 D2 8B C3 8B 08 FF 51 40 EB 22 6A 00 8D 44 24 04 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8B F4 8D 7B 78 A5 A5 A5 A5 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75646_0 {
	meta:
		name = "TToolBarDockObject.EraseDragDockImage"
		size = 30
		refs = "0019 TDragDockObject.EraseDragDockImage"
	strings:
		$1 = { 80 B8 88 00 00 00 00 74 0F C6 80 88 00 00 00 00 B2 01 8B 08 FF 51 40 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75647_0 {
	meta:
		name = "SizeOfReBarBandInfo"
		size = 24
		refs = "0001 GetComCtlVersion"
	strings:
		$1 = { E8 ?? ?? ?? ?? 3D 01 00 06 00 7C 06 B8 64 00 00 00 C3 B8 50 00 00 00 C3 }
	condition:
		$1
}

rule function_75649_0 {
	meta:
		name = "TCoolBar.Create"
		size = 264
		refs = "000e @ClassCreate 001c TToolWindow.Create 0021 TCoolBar.Create 0030 TControl.SetWidth 003c TControl.SetHeight 0045 TCoolBar.SetAlign 004e TControl.SetParentColor 0057 TControl.SetParentFont 006c _Dn_TBitmap 0071 TBitmap.Create 0083 TCoolBar.BitmapChanged 008a _Dn_TFont 008f TFont.Create 00b7 _DV_TCoolBands 00bc TCoolBands.Create 00c9 _Dn_TChangeLink 00ce TObject.Create 00e0 TCoolBar.ImageListChange 00ed @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 58 BA 96 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 4B 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? C6 83 84 02 00 00 01 C6 83 85 02 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 88 02 00 00 89 5E 14 C7 46 10 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 8C 02 00 00 C6 83 A4 02 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 94 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 80 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A0 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 CB 00 20 00 }
	condition:
		$1
}

rule function_75650_0 {
	meta:
		name = "TCoolBar.Destroy"
		size = 91
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0049 TWinControl.Destroy 0054 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B 86 A0 02 00 00 E8 ?? ?? ?? ?? 8B 86 94 02 00 00 E8 ?? ?? ?? ?? 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 8B 86 88 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75651_0 {
	meta:
		name = "TCoolBar.CreateParams"
		size = 156
		refs = "000b TWinControl.CreateParams 0010 TCoolBar.CreateParams 0019 TWinControl.CreateSubClass 002d BandBorderStyles 003b FixedStyles 0049 HeightStyles 0057 VerticalStyles"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 83 C8 4E 0F B6 93 84 02 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 99 02 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 98 02 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 A5 02 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 80 BB 85 02 00 00 02 75 07 81 4E 04 00 80 00 00 8B 46 24 83 E0 FC 83 C8 08 89 46 24 5E 5B C3 00 00 00 52 00 65 00 42 00 61 00 72 00 57 00 69 00 6E 00 64 00 6F 00 77 00 33 00 32 00 00 00 }
	condition:
		$1
}

rule function_75652_0 {
	meta:
		name = "TCoolBar.CreateWnd"
		size = 58
		refs = "0006 TWinControl.CreateWnd 000d TCoolBar.GetCaptionFont 001a TFont.SetHandle 0021 TCoolBar.GetCaptionFontHeight 0034 TCoolBar.UpdateBands"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 83 90 02 00 00 F6 43 1C 01 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75654_0 {
	meta:
		name = "IsBandCurrent"
		size = 124
		refs = "0007 SizeOfReBarBandInfo 0013 @FillChar 0030 TWinControl.HandleAllocated 0057 TControl.Perform 0069 TWinControl.GetHandle"
	strings:
		$1 = { 55 8B EC 83 C4 9C E8 ?? ?? ?? ?? 8B D0 8D 45 9C 33 C9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 9C C7 45 A0 10 00 00 00 8B 45 08 8B 40 FC 8B 40 28 E8 ?? ?? ?? ?? 84 C0 74 3A 8D 45 9C 50 8B 45 08 8B 40 FC 8B 48 40 81 E1 FF FF FF 7F 8B 45 08 8B 40 F8 BA 05 04 00 00 E8 ?? ?? ?? ?? 85 C0 74 13 8B 45 08 8B 40 FC 8B 40 28 E8 ?? ?? ?? ?? 3B 45 BC 74 04 33 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule function_75655_0 {
	meta:
		name = "TCoolBar.RefreshControl"
		size = 308
		refs = "0034 TCoolBand.SetVisible 003c TCoolBar.BeginUpdate 0044 TCoolBar.RefreshControl 0055 TCoolBar.GetCaptionSize 0086 StyleServices 00a6 IsBandCurrent 00dd TCoolBand.SetWidth 00e7 TCoolBand.SetMinHeight 0102 TCoolBar.EndUpdate 0108 @HandleFinally 0129 TCoolBar.ReadBands"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 89 45 F8 83 7D FC 00 0F 84 14 01 00 00 8B 45 FC 83 78 28 00 0F 84 07 01 00 00 8B 45 FC 8B 40 28 0F B6 50 61 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 FF 55 68 ?? ?? ?? ?? 64 FF 37 64 89 27 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 80 B8 A5 02 00 00 00 74 0E 8B 45 FC 8B 48 28 8B 41 54 8B 71 50 EB 0C 8B 45 FC 8B 48 28 8B 41 50 8B 71 54 8D 5C 02 04 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 01 43 8B 45 FC 3B 58 38 75 13 8B 45 FC 3B 70 1C 75 0B 55 E8 ?? ?? ?? ?? 59 84 C0 75 3E C6 45 F7 01 8B 45 FC 80 78 0E 00 75 18 8B 45 F8 80 B8 99 02 00 00 00 74 0F 8B 45 FC F7 40 40 FF FF FF 7F 75 03 83 EB 04 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 04 C6 45 F7 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F7 00 74 19 8B 45 F8 8B 80 80 02 00 00 8B 55 FC 8B 08 FF 51 1C 8B 45 F8 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75656_0 {
	meta:
		name = "TCoolBar.AlignControls"
		size = 164
		refs = "0042 _Dn_TWinControl 0047 @IsClass 0052 TCoolBar.ReadBands 0077 TCoolBands.GetItem 0080 TCoolBar.RefreshControl 0093 TCoolBands.FindBand"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 1C 08 0F 85 8F 00 00 00 83 BB AC 02 00 00 00 0F 85 82 00 00 00 85 F6 75 12 8B 83 80 02 00 00 8B 40 08 83 78 08 00 0F 9F C0 EB 02 33 C0 84 C0 74 04 B0 01 EB 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 51 8B C3 E8 ?? ?? ?? ?? 85 F6 75 30 8B 83 80 02 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 35 46 33 FF 8B D7 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 47 4E 75 E6 EB 16 8B D6 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75657_0 {
	meta:
		name = "TCoolBar.Change"
		size = 68
		refs = "000e GetParentForm"
	strings:
		$1 = { 53 8B D8 F6 43 1C 10 74 21 B2 01 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 83 B8 C4 02 00 00 00 74 0B 8B 80 C4 02 00 00 8B 10 FF 52 0C 66 83 BB B2 02 00 00 00 74 0E 8B D3 8B 83 B4 02 00 00 FF 93 B0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_75659_0 {
	meta:
		name = "TCoolBar.GetCaptionFont"
		size = 79
		refs = "0007 tagNONCLIENTMETRICSW.SizeOf 001a SystemParametersInfo 002c GetStockObject 0032 GetObject 0044 CreateFontIndirect"
	strings:
		$1 = { 81 C4 08 FE FF FF E8 ?? ?? ?? ?? 89 04 24 6A 00 8D 44 24 04 50 6A 00 6A 29 E8 ?? ?? ?? ?? 85 C0 75 14 8D 44 24 18 50 6A 5C 6A 0D E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C7 44 24 28 90 01 00 00 8D 44 24 18 50 E8 ?? ?? ?? ?? 81 C4 F8 01 00 00 C3 }
	condition:
		$1
}

rule function_75660_0 {
	meta:
		name = "TCoolBar.GetCaptionFontHeight"
		size = 143
		refs = "0011 TWinControl.HandleAllocated 001c _Dn_TControlCanvas 0021 TCanvas.Create 002c TCoolBar.GetCaptionFontHeight 003c TControlCanvas.SetControl 004a TCanvas.SetFont 0056 TCanvas.GetHandle 005c GetTextMetrics 007b TObject.Free 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 8B D8 33 C0 89 45 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 93 8C 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 BC 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 06 8B 45 BC 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75661_0 {
	meta:
		name = "TCoolBar.GetCaptionSize"
		size = 476
		refs = "0015 TCoolBar.GetCaptionSize 003f TCoolBand.GetVisible 0099 @UStrLAsg 00c8 _Dn_TControlCanvas 00cd TCanvas.Create 00e9 TControlCanvas.SetControl 00fa TCanvas.SetFont 0105 TCustomCanvas.TextWidth 011d TObject.Free 0123 @HandleFinally 01a3 GetComCtlVersion 01c9 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 33 C9 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 C6 45 EF 00 83 7D F4 00 0F 84 86 01 00 00 8B 45 F8 F6 40 1C 10 75 10 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 6D 01 00 00 8B 45 F8 F6 40 1C 10 74 12 8B 45 F4 83 78 28 00 75 09 8B 45 F4 83 78 34 00 74 04 33 C0 EB 02 B0 01 8B 55 F8 0F B6 92 A4 02 00 00 0A D0 0F 84 AB 00 00 00 84 C0 74 0D 8D 55 FC 8B 45 F4 8B 08 FF 51 0C EB 0E 8D 45 FC 8B 55 F4 8B 52 34 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 82 00 00 00 C6 45 EF 01 8B 45 F8 80 B8 A5 02 00 00 00 74 0E 8B 45 F8 8B 80 90 02 00 00 89 45 F0 EB 64 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 F8 8B 90 8C 02 00 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 E8 E8 ?? ?? ?? ?? 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 83 78 14 00 7C 41 80 7D EF 00 74 04 83 45 F0 02 8B 45 F8 8B 80 9C 02 00 00 85 C0 74 20 C6 45 EF 01 8B 55 F8 80 BA A5 02 00 00 00 74 08 8B 40 38 01 45 F0 EB 12 8B 40 3C 01 45 F0 EB 0A 80 7D EF 00 75 04 83 45 F0 04 80 7D EF 00 74 04 83 45 F0 04 8B 45 F8 80 B8 99 02 00 00 00 74 0C 8B 45 F4 F7 40 40 FF FF FF 7F 7E 23 8B 45 F4 80 78 0E 00 75 1A 83 45 F0 04 E8 ?? ?? ?? ?? 3D 47 00 04 00 7D 06 83 45 F0 08 EB 04 83 45 F0 05 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_75662_0 {
	meta:
		name = "TCoolBar.SetAlign"
		size = 65
		refs = "000e TControl.SetAlign 002f TCoolBar.SetVertical"
	strings:
		$1 = { 53 51 8B D8 0F B6 43 65 88 04 24 8B C3 E8 ?? ?? ?? ?? 0F B6 43 65 F6 43 1C 02 75 22 3A 04 24 74 1D 48 2C 02 72 0F 2C 02 73 14 B2 01 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_75663_0 {
	meta:
		name = "TCoolBar.SetBands"
		size = 16
		altNames = "TScrollingWinControl.SetHorzScrollBar"
	strings:
		$1 = { 56 8B F0 8B 86 80 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_75665_0 {
	meta:
		name = "TCoolBar.SetBandMaximize"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 85 02 00 00 74 0B 88 90 85 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84822_0 {
	meta:
		name = "TCustomEdit.SetAutoSize"
		size = 20
		refs = "000f TCustomEdit.UpdateHeight"
	strings:
		$1 = { 3A 90 85 02 00 00 74 0B 88 90 85 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75666_0 {
	meta:
		name = "TCoolBar.SetFixedSize"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TScrollBox.SetBorderStyle"
	strings:
		$1 = { 3A 90 98 02 00 00 74 0B 88 90 98 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75667_0 {
	meta:
		name = "TCoolBar.SetFixedOrder"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 99 02 00 00 74 0B 88 90 99 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75668_0 {
	meta:
		name = "TCoolBar.ImageListChange"
		size = 74
		refs = "0009 TWinControl.HandleAllocated 0020 TCustomImageList.HandleAllocated 002f TCustomImageList.GetHandle 0038 TCoolBar.SetImageList"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 36 3B B3 9C 02 00 00 75 2E 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 16 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75669_0 {
	meta:
		name = "TCoolBar.SetImageList"
		size = 85
		refs = "000c TWinControl.HandleAllocated 001b TWinControl.RecreateWnd 0041 TControl.Perform"
	strings:
		$1 = { 53 56 83 C4 F4 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3B 85 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 2E C7 04 24 0C 00 00 00 C7 44 24 04 01 00 00 00 89 5C 24 08 8B C4 50 33 C9 BA 04 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_75670_0 {
	meta:
		name = "TCoolBar.SetImages"
		size = 98
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 003b TComponent.FreeNotification 0046 TCustomImageList.GetHandle 004f TCoolBar.SetImageList"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 9C 02 00 00 85 C0 74 0B 8B 93 A0 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 9C 02 00 00 85 C0 74 2F 8B 93 A0 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75671_0 {
	meta:
		name = "TCoolBar.SetShowText"
		size = 26
		refs = "0015 TCoolBar.UpdateBands"
	strings:
		$1 = { 3A 90 A4 02 00 00 74 11 88 90 A4 02 00 00 F6 40 1C 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75672_0 {
	meta:
		name = "TCoolBar.Notification"
		size = 93
		refs = "0010 TWinControl.Notification 0023 _Dn_TWinControl 0028 @IsClass 0039 TCoolBands.FindBand 0055 TCoolBar.SetImages"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? F6 47 1C 08 75 3F 80 FB 01 75 3A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B D6 8B 87 80 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 18 33 D2 89 50 28 EB 11 3B B7 9C 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75674_0 {
	meta:
		name = "TCoolBar.GetPalette"
		size = 40
		refs = "0022 TControl.GetPalette"
	strings:
		$1 = { 53 8B D8 8B 83 94 02 00 00 8B 10 FF 52 20 84 C0 75 0D 8B 83 94 02 00 00 8B 10 FF 52 28 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75675_0 {
	meta:
		name = "TCoolBar.BitmapChanged"
		size = 135
		refs = "0050 TCoolBands.GetItem 0059 @CallDynaInst 0064 TWinControl.HandleAllocated 0078 TWinControl.GetHandle 007e RedrawWindow"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 93 88 02 00 00 8B 83 94 02 00 00 8B 08 FF 51 08 8B 83 94 02 00 00 8B 10 FF 52 20 84 C0 75 0D B2 01 8B 83 94 02 00 00 8B 08 FF 51 78 8B 83 80 02 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 1D 47 33 ED 8B D5 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 66 BE FC FF E8 ?? ?? ?? ?? 45 4F 75 E6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 68 85 00 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75676_0 {
	meta:
		name = "TCoolBar.BeginUpdate"
		size = 7
	strings:
		$1 = { FF 80 AC 02 00 00 C3 }
	condition:
		$1
}

rule function_75677_0 {
	meta:
		name = "TCoolBar.EndUpdate"
		size = 7
	strings:
		$1 = { FF 88 AC 02 00 00 C3 }
	condition:
		$1
}

rule function_75678_0 {
	meta:
		name = "TCoolBar.IsAutoSized"
		size = 63
		refs = "0015 TCoolBar.GetAlign"
	strings:
		$1 = { 53 8B D8 80 7B 66 00 74 2E 80 BB A5 02 00 00 00 74 11 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1E 04 FD 2C 02 72 18 80 BB A5 02 00 00 00 75 0B 8B C3 E8 ?? ?? ?? ?? 2C 03 72 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_75679_0 {
	meta:
		name = "TCoolBar.IsBackgroundDirty"
		size = 33
		refs = "0006 TWinControl.HandleAllocated 0011 TCoolBar.IsAutoSized"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_75680_0 {
	meta:
		name = "TCoolBar.SetBitmap"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 88 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_75681_0 {
	meta:
		name = "TCoolBar.SetVertical"
		size = 65
		refs = "0014 TWinControl.RecreateWnd 0021 TWinControl.HandleAllocated 0035 TWinControl.GetHandle 003b RedrawWindow"
	strings:
		$1 = { 53 8B D8 3A 93 A5 02 00 00 74 34 88 93 A5 02 00 00 8B C3 E8 ?? ?? ?? ?? F6 43 1C 01 75 21 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 68 05 04 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75682_0 {
	meta:
		name = "TCoolBar.UpdateItem"
		size = 837
		refs = "001d TCoolBar.UpdateItem 002f TWinControl.HandleAllocated 0048 TCoolBands.GetItem 0064 @CallDynaInst 006f TCoolBar.BeginUpdate 00a0 TCoolBar.EndUpdate 00a6 @HandleFinally 00b0 TCoolBand.GetVisible 00ba TControl.SetVisible 00eb @FillChar 00f0 SizeOfReBarBandInfo 0114 ColorToRGB 0135 BreakStyles 0143 FixedSizeStyles 0151 BorderStyles 015f FixedBmpStyles 0167 GetComCtlVersion 0199 GripperStyles 01ff TWinControl.GetHandle 02ca @UStrLAsg 02d2 @UStrToPWChar 02ee TControl.Perform 0318 SetFocus 032d @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 7C FF FF FF 53 56 33 DB 89 5D FC 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 E1 02 00 00 8B 45 F8 8B 80 80 02 00 00 8B 55 F0 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 8B 40 28 85 C0 74 67 89 45 E0 8B 45 E0 66 BE B2 FF E8 ?? ?? ?? ?? 88 45 E7 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 E0 8B 08 FF 91 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 8B 45 E0 E8 ?? ?? ?? ?? EB 04 C6 45 E7 00 8B 45 F8 F6 40 1C 10 75 10 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 84 3F 02 00 00 8D 85 7C FF FF FF 33 C9 BA 64 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 7C FF FF FF 8B 45 E8 8B 40 08 40 89 45 B0 8B 45 E8 80 78 2C 00 74 10 8B 45 F8 8B 40 74 E8 ?? ?? ?? ?? 89 45 8C EB 0E 8B 45 E8 8B 40 24 E8 ?? ?? ?? ?? 89 45 8C 8B 45 E8 0F B6 40 0D 8B 04 85 ?? ?? ?? ?? 8B 55 E8 0F B6 52 0E 0B 04 95 ?? ?? ?? ?? 8B 55 E8 0F B6 52 0C 0B 04 95 ?? ?? ?? ?? 8B 55 E8 0F B6 52 18 0B 04 95 ?? ?? ?? ?? 89 45 84 E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 2E 8B 45 F8 80 B8 99 02 00 00 00 74 06 83 7D F0 00 74 0D 8B 45 E8 80 78 0E 00 75 04 33 C0 EB 02 B0 01 83 E0 7F 8B 04 85 ?? ?? ?? ?? 09 45 84 C7 45 80 CB 01 00 00 8B 45 E8 80 78 2D 00 74 13 8B 45 F8 8B 80 94 02 00 00 8B 10 FF 52 70 89 45 AC EB 0E 8B 45 E8 8B 40 3C 8B 10 FF 52 70 89 45 AC 8B 45 E8 8B 40 14 89 45 98 8B 45 E8 83 78 28 00 74 23 8B 45 E8 8B 40 28 80 78 61 00 75 09 8B 45 F8 F6 40 1C 10 74 0E 8B 45 E8 8B 40 28 E8 ?? ?? ?? ?? 89 45 9C 8B 45 E8 8B 40 38 89 45 A8 8B 45 E8 80 78 0E 00 74 3A 8B 45 E8 83 78 20 00 7F 31 8B 45 E8 83 78 28 00 74 28 8B 45 F8 80 B8 A5 02 00 00 00 74 0E 8B 45 E8 8B 40 28 8B 40 54 89 45 A0 EB 17 8B 45 E8 8B 40 28 8B 40 50 89 45 A0 EB 09 8B 45 E8 8B 40 20 89 45 A0 E8 ?? ?? ?? ?? 3D 48 00 04 00 7D 04 83 45 A0 04 8B 45 E8 8B 40 1C 89 45 A4 8B 45 80 83 C8 10 83 C8 20 89 45 80 8B 45 F8 F6 40 1C 10 74 12 8B 45 E8 83 78 28 00 75 09 8B 45 E8 83 78 34 00 74 04 33 C0 EB 02 B0 01 8B 55 F8 0F B6 92 A4 02 00 00 0A D0 74 2E 84 C0 74 0D 8D 55 FC 8B 45 E8 8B 08 FF 51 0C EB 0E 8D 45 FC 8B 55 E8 8B 52 34 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 90 83 4D 80 04 8D 85 7C FF FF FF 50 8B 4D 08 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 95 45 EF 80 7D E7 00 74 1E 8B 45 E8 8B 58 28 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0D 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 EF 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_75683_0 {
	meta:
		name = "TCoolBar.ReadBands"
		size = 623
		refs = "0017 TWinControl.HandleAllocated 0034 SizeOfReBarBandInfo 0043 @FillChar 0060 TCoolBar.BeginUpdate 0068 TCoolBar.ReadBands 00a0 TControl.GetClientHeight 00ad TControl.GetClientWidth 00d0 TControl.Perform 0119 TCoolBands.GetItem 011e TCoolBand.GetVisible 013a TCollection.FindItemID 0141 GetComCtlVersion 01cf TCollectionItem.GetIndex 01ea TCoolBand.SetBreak 021d TCoolBand.SetWidth 023b TCollection.GetCount 0258 TCoolBar.EndUpdate 025e @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 68 FF FF FF 53 56 57 89 45 FC C6 45 FB 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 41 02 00 00 8B 45 FC 83 B8 AC 02 00 00 00 0F 85 31 02 00 00 E8 ?? ?? ?? ?? 8B D0 8D 85 78 FF FF FF 33 C9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 78 FF FF FF C7 85 7C FF FF FF 41 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 33 DB 8B 45 FC 80 B8 84 02 00 00 01 75 09 C7 45 E8 02 00 00 00 EB 05 33 C0 89 45 E8 8B 45 FC 80 B8 A5 02 00 00 00 74 0D 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 EB 0B 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 C0 89 45 EC E9 65 01 00 00 8D 85 78 FF FF FF 50 8B CE BA 05 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 45 01 00 00 83 7D AC 00 0F 84 3B 01 00 00 8B 45 FC F6 40 1C 10 75 3D 89 5D DC 8B 5D DC 8B 45 FC 8B 80 80 02 00 00 8B 40 08 8B 40 08 48 2B C3 7C 23 40 89 45 E0 8B 45 FC 8B 80 80 02 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 06 43 FF 4D E0 75 E1 8B 55 AC 4A 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 29 8D 85 68 FF FF FF 50 8B CE BA 09 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 0F 8B 85 70 FF FF FF 2B 85 68 FF FF FF 89 45 A4 8B 45 A4 89 45 F4 F6 45 80 01 0F 95 45 E7 80 7D E7 00 75 04 85 F6 75 08 8B 45 A4 89 45 EC EB 09 8B 45 A4 03 45 E8 01 45 EC 8B 45 EC 3B 45 F0 76 12 8B 45 A4 89 45 EC 8B C6 0D 00 00 00 80 89 47 40 EB 03 89 77 40 0F B6 47 0D 3A 45 E7 0F 95 45 E6 80 7D E6 00 75 13 8B C7 E8 ?? ?? ?? ?? 3B D8 75 08 8B 47 38 3B 45 F4 74 42 C6 45 FB 01 0F B6 55 E7 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 80 02 00 00 8B D3 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 51 14 8B D3 8B C7 8B 08 FF 51 14 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 46 43 8B 45 FC 8B 80 80 02 00 00 3B 70 20 73 16 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 3B D8 0F 8C 77 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75684_0 {
	meta:
		name = "TCoolBar.UpdateBand"
		size = 65
		refs = "0009 TWinControl.HandleAllocated 0023 TCoolBands.GetItem 003a TCoolBar.UpdateItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2D 83 BB AC 02 00 00 00 75 24 8B D6 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 40 25 FF FF FF 7F 50 8B CE BA 0B 04 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75685_0 {
	meta:
		name = "TCoolBar.UpdateBands"
		size = 404
		refs = "0010 TWinControl.HandleAllocated 0030 TCoolBar.BeginUpdate 0035 GetDesktopWindow 003b LockWindowUpdate 004c TCoolBar.UpdateBands 0063 TControl.Perform 00b5 TCoolBar.UpdateItem 00fb TCustomImageList.GetHandle 0105 TCoolBar.SetImageList 0147 TCoolBar.EndUpdate 014d @HandleFinally 0174 TCoolBar.ReadBands 0189 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 71 01 00 00 8B 45 FC 83 B8 AC 02 00 00 00 0F 85 61 01 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 BA 0C 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B F7 4E 85 F6 7C 15 46 6A 00 33 C9 BA 02 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 4E 75 EC 8B 45 FC 80 B8 99 02 00 00 00 74 2E 8B 45 FC 8B 80 80 02 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 46 46 33 DB 6A FF 8B CB BA 0A 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 EB EB 2C 8B 45 FC 8B 80 80 02 00 00 8B 40 08 8B 58 08 4B 83 FB 00 7C 17 6A 00 8B CB BA 0A 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 4B 83 FB FF 75 E9 8B 45 FC 8B 98 9C 02 00 00 85 DB 74 11 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 6A 00 33 C9 BA 0C 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 3B F8 7E 0B 8B 45 FC 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 07 6A 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 6A 00 33 C9 BA 0C 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 92 80 02 00 00 89 42 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 66 00 74 0C 8B 45 FC 66 BE EF FF E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_75686_0 {
	meta:
		name = "TCoolBar.GetRowHeight"
		size = 725
		refs = "0017 TCoolBar.GetRowHeight 0068 TCoolBands.GetItem 006d TCoolBand.GetVisible 01b7 @UStrLAsg 01d0 _Dn_TControlCanvas 01d5 TCanvas.Create 01f1 TControlCanvas.SetControl 0202 TCanvas.SetFont 020d TCustomCanvas.TextWidth 0225 TObject.Free 022b @HandleFinally 02bf @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 F8 8B 80 80 02 00 00 8B 40 08 8B 70 08 4E 8B 45 F8 80 B8 98 02 00 00 00 74 07 33 DB E9 BE 00 00 00 89 5D F0 3B 75 F0 7E 5C 8B 45 F8 F6 40 1C 10 75 1B 8B 55 F0 42 8B 45 F8 8B 80 80 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8B 7D F0 47 8B D7 8B 45 F8 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 80 78 0D 00 75 1E 8B D7 8B 45 F8 8B 80 80 02 00 00 E8 ?? ?? ?? ?? F6 40 43 80 75 08 FF 45 F0 3B 75 F0 7F A4 8B 75 F0 85 DB 7E 53 8B 45 F8 F6 40 1C 10 75 19 8B 45 F8 8B 80 80 02 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2C 8B 45 F8 8B 80 80 02 00 00 8B D3 E8 ?? ?? ?? ?? 80 78 0D 00 75 1B 8B 45 F8 8B 80 80 02 00 00 8B D3 E8 ?? ?? ?? ?? F6 40 43 80 75 05 4B 85 DB 7F AD 2B F3 0F 8C 9F 01 00 00 46 89 75 E0 89 5D F0 8B 45 F8 8B 80 80 02 00 00 8B 55 F0 E8 ?? ?? ?? ?? 89 45 E4 8B 45 F8 F6 40 1C 10 75 10 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 0F 84 5F 01 00 00 8B 45 E4 83 78 28 00 74 18 8B 45 E4 8B 40 1C 89 45 EC 8B 45 E4 80 78 0C 00 75 0B 83 6D EC 04 EB 05 33 C0 89 45 EC 8B 45 F8 F6 40 1C 10 74 12 8B 45 E4 83 78 28 00 75 09 8B 45 E4 83 78 34 00 74 04 33 C0 EB 02 B0 01 8B 55 F8 0F B6 92 A4 02 00 00 0A D0 0F 84 B6 00 00 00 84 C0 74 0D 8D 55 FC 8B 45 E4 8B 08 FF 51 0C EB 0E 8D 45 FC 8B 55 E4 8B 52 34 E8 ?? ?? ?? ?? 83 7D FC 00 74 7E 8B 45 F8 80 B8 A5 02 00 00 00 74 64 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 DC E8 ?? ?? ?? ?? 8B 45 F8 8B 90 8C 02 00 00 8B 45 DC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 DC E8 ?? ?? ?? ?? 89 45 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 80 90 02 00 00 89 45 E8 EB 05 33 C0 89 45 E8 8B 45 E8 3B 45 EC 7E 06 8B 45 E8 89 45 EC 8B 45 F8 8B 80 9C 02 00 00 85 C0 74 31 8B 55 E4 83 7A 14 00 7C 28 8B 55 F8 80 BA A5 02 00 00 00 74 08 8B 40 38 89 45 E8 EB 06 8B 40 3C 89 45 E8 8B 45 E8 3B 45 EC 7E 06 8B 45 E8 89 45 EC 83 45 EC 04 8B 45 EC 3B 45 F4 7E 06 8B 45 EC 89 45 F4 FF 45 F0 FF 4D E0 0F 85 68 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75687_0 {
	meta:
		name = "TCoolBar.PtInGripRect"
		size = 560
		refs = "0011 GetComCtlVersion 003c TControl.Perform 0043 SizeOfReBarBandInfo 0050 @FillChar 008f TCollection.FindItemID 0127 TCoolBands.GetItem 0136 TCoolBand.GetVisible 017b TCoolBar.GetRowHeight 01e0 TCoolBar.GetCaptionSize"
	strings:
		$1 = { 53 56 57 55 81 C4 70 FF FF FF 8B D9 8B FA 8B F0 E8 ?? ?? ?? ?? 3D 47 00 04 00 0F 8C 84 00 00 00 8B 07 89 44 24 1C 8B 47 04 89 44 24 20 8D 44 24 1C 50 33 C9 BA 08 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 8B D0 8D 44 24 2C 33 C9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 2C C7 44 24 30 00 01 00 00 8D 44 24 2C 50 8B CF BA 05 04 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 1B 83 7C 24 60 00 74 14 8B 54 24 60 4A 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 89 03 EB 04 33 C0 89 03 8B 44 24 24 E9 81 01 00 00 8B 86 80 02 00 00 83 78 20 00 0F 86 6C 01 00 00 33 D2 89 13 80 BE A5 02 00 00 00 74 0E 8B 57 04 89 14 24 8B 17 89 54 24 04 EB 0C 8B 17 89 14 24 8B 57 04 89 54 24 04 33 ED 33 D2 89 54 24 08 33 D2 89 54 24 0C 33 D2 89 54 24 10 80 BE 84 02 00 00 01 75 0A C7 44 24 14 02 00 00 00 EB 06 33 D2 89 54 24 14 8B 40 08 8B 40 08 48 85 C0 0F 8C 09 01 00 00 40 89 44 24 18 33 FF 8B D7 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 89 03 F6 46 1C 10 75 0F 8B 03 E8 ?? ?? ?? ?? 84 C0 0F 84 D3 00 00 00 8B 03 F7 40 40 FF FF FF 7F 74 10 8B 03 80 78 0D 00 75 08 8B 03 F6 40 43 80 74 28 33 ED 8B 03 F7 40 40 FF FF FF 7F 7E 0C 8B 44 24 10 03 44 24 14 01 44 24 08 8B D7 8B C6 E8 ?? ?? ?? ?? 89 44 24 10 EB 04 03 6C 24 0C 8B 03 8B 40 38 03 44 24 14 89 44 24 0C 3B 2C 24 7F 7A 8B 03 8B 40 38 03 C5 3B 04 24 7C 6E 8B 44 24 04 3B 44 24 08 7C 64 8B 44 24 08 03 44 24 10 3B 44 24 04 7C 56 8B 03 80 78 0E 00 75 59 80 BE 99 02 00 00 00 74 0B 8B 03 F7 40 40 FF FF FF 7F 7E 45 8B 13 8B C6 E8 ?? ?? ?? ?? 03 C5 3B 04 24 7C 35 8D 45 08 3B 04 24 7C 14 E8 ?? ?? ?? ?? 3D 47 00 04 00 7C 0F 83 C5 05 3B 2C 24 7D 07 B8 02 00 00 00 EB 17 B8 04 00 00 00 EB 10 47 FF 4C 24 18 0F 85 FE FE FF FF B8 03 00 00 00 81 C4 90 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75688_0 {
	meta:
		name = "TCoolBar.WMCaptureChanged"
		size = 34
		refs = "0016 TWinControl.GetHandle 001c PostMessage"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 6A 00 6A 00 68 01 14 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_75689_0 {
	meta:
		name = "TCoolBar.WMEraseBkgnd"
		size = 91
		refs = "0007 StyleServices 0017 TCoolBar.IsBackgroundDirty 0026 TCoolBar.IsAutoSized 004b TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 75 3B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 1F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 83 80 02 00 00 8B 40 08 83 78 08 00 0F 94 C0 EB 02 33 C0 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_75690_0 {
	meta:
		name = "TCoolBar.WMLButtonDown"
		size = 75
		refs = "002b TCoolBar.PtInGripRect 0041 TControl.WMLButtonDown"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B 46 08 89 44 24 04 0F BF 44 24 04 89 44 24 08 0F BF 44 24 06 89 44 24 0C 8B CC 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? A8 03 75 09 8B 46 08 89 83 A6 02 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_75691_0 {
	meta:
		name = "TCoolBar.WMLButtonUp"
		size = 96
		refs = "0051 TControl.WMLButtonUp 005a TControl.SetMouseCapture"
	strings:
		$1 = { 53 F6 40 1C 10 75 09 80 B8 85 02 00 00 00 75 40 0F BF 88 A6 02 00 00 0F BF 5A 08 4B 3B CB 7C 30 0F BF 88 A6 02 00 00 0F BF 5A 08 43 3B CB 7F 20 0F BF 88 A8 02 00 00 0F BF 5A 0A 4B 3B CB 7C 10 0F BF 88 A8 02 00 00 0F BF 5A 0A 43 3B CB 7E 07 E8 ?? ?? ?? ?? 5B C3 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75693_0 {
	meta:
		name = "TCoolBar.WMSetCursor"
		size = 213
		refs = "000c TWinControl.GetHandle 002c GetMessagePos 0031 SmallPoint 0038 TPoint.&op_Implicit 0042 ScreenToClient 004f TCoolBar.PtInGripRect 005d Screen 0069 TScreen.GetCursors 006f SetCursor 00cb TWinControl.WMSetCursor"
	strings:
		$1 = { 53 56 83 C4 F4 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3B 43 04 0F 85 AD 00 00 00 66 83 7B 08 01 0F 85 A2 00 00 00 C7 43 0C 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 54 8B 43 04 50 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D4 8B C6 E8 ?? ?? ?? ?? A8 03 75 59 83 F8 02 75 19 A1 ?? ?? ?? ?? 8B 00 BA EB FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 5A 80 BE A5 02 00 00 00 74 19 A1 ?? ?? ?? ?? 8B 00 BA F9 FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 38 A1 ?? ?? ?? ?? 8B 00 BA F7 FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1F A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_75695_0 {
	meta:
		name = "TCoolBar.WndProc"
		size = 200
		refs = "0031 TCoolBar.WndProc 004f TWinControl.WndProc 0076 @HandleFinally 0082 TControl.SetMouseCapture 00af TCoolBar.UpdateBands"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC F6 40 1C 10 74 73 8B 03 2D 00 02 00 00 74 0D 83 E8 02 74 5B 48 74 05 83 E8 03 75 5D 8B 45 FC 8B 40 58 0B 05 ?? ?? ?? ?? 8B 55 FC 89 42 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? F7 D2 23 50 58 8B 45 FC 89 50 58 C3 E9 ?? ?? ?? ?? EB E4 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 03 2D 10 02 00 00 74 0F 2D F1 11 00 00 75 1D C7 03 00 14 00 00 EB 15 8B 43 04 25 FF FF 00 00 83 F8 01 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_75696_0 {
	meta:
		name = "TCoolBar.CMColorChanged"
		size = 101
		refs = "0009 TWinControl.CMColorChanged 002e TCoolBands.GetItem 0037 @CallDynaInst 0042 TWinControl.HandleAllocated 0056 TWinControl.GetHandle 005c RedrawWindow"
	strings:
		$1 = { 53 56 57 55 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 85 C0 74 28 8B 40 08 8B 78 08 4F 85 FF 7C 1D 47 33 ED 8B D5 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 66 BE FD FF E8 ?? ?? ?? ?? 45 4F 75 E6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 68 05 04 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75697_0 {
	meta:
		name = "TCoolBar.CMControlChange"
		size = 92
		refs = "001a _Dn_TWinControl 001f @IsClass 0034 TCoolBands.Add 003c TCoolBand.SetControl 004c TCoolBands.FindBand 0055 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB AC 02 00 00 00 75 4A F6 43 1C 01 75 44 8B 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 32 83 7E 08 00 74 15 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 56 04 E8 ?? ?? ?? ?? EB 17 8B 56 04 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75698_0 {
	meta:
		name = "TCoolBar.CMDesignHitTest"
		size = 90
		refs = "0031 TCoolBar.PtInGripRect 0050 TWinControl.CMDesignHitTest"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 F6 43 58 04 75 2D 8B 46 08 89 44 24 04 0F BF 44 24 04 89 44 24 08 0F BF 44 24 06 89 44 24 0C 8B CC 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? A8 03 0F 94 C0 EB 02 33 C0 84 C0 74 09 C7 46 0C 01 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_75701_0 {
	meta:
		name = "TCoolBar.CMWinIniChange"
		size = 45
		refs = "0006 TWinControl.CMWinIniChange 000d TCoolBar.GetCaptionFont 001a TFont.SetHandle 0021 TCoolBar.GetCaptionFontHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 83 90 02 00 00 5B C3 }
	condition:
		$1
}

rule function_75702_0 {
	meta:
		name = "TCoolBar.CNBandChange"
		size = 29
		refs = "0007 TCoolBar.ReadBands 0016 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C3 66 BE AE FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75703_0 {
	meta:
		name = "TCoolBar.CNNotify"
		size = 180
		refs = "001c TCoolBar.IsAutoSized 002e TCoolBar.CNNotify 0042 TCoolBar.ReadBands 004a TCoolBar.BeginUpdate 006d @CallDynaInst 0082 TCoolBar.EndUpdate 0088 @HandleFinally 0092 TCoolBar.IsBackgroundDirty"
	strings:
		$1 = { 55 8B EC 51 56 89 45 FC 8B 42 08 81 78 08 C1 FC FF FF 0F 85 8D 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 6A 8B 45 FC 0F B7 40 1C 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 50 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 66 00 74 0C 8B 45 FC 66 BE EF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 FC 8B 10 FF 92 9C 00 00 00 5E 59 5D C3 00 00 00 09 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_75704_0 {
	meta:
		name = "GetDisplaySize"
		size = 175
		refs = "003e TCoolBands.GetItem 0053 TCoolBand.GetVisible 007c TCoolBar.GetRowHeight"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 FC 33 C0 89 45 F8 8B 45 08 8B 40 FC 8B 80 80 02 00 00 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 5B 47 33 F6 8B 45 08 8B 40 FC 8B 80 80 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC F6 40 1C 10 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 28 F7 43 40 FF FF FF 7F 74 0C 80 7B 0D 00 75 06 F6 43 43 80 74 13 FF 45 F8 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 01 45 FC 46 4F 75 A8 83 7D F8 01 7E 18 8B 45 08 8B 40 FC 80 B8 84 02 00 00 01 75 09 8B 45 F8 48 03 C0 01 45 FC 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_75705_0 {
	meta:
		name = "TCoolBar.CanAutoSize"
		size = 208
		refs = "0014 TWinControl.HandleAllocated 0024 TCoolBar.IsAutoSized 0066 TCoolBar.GetAlign 0078 GetDisplaySize 0089 TControl.GetClientWidth 00c0 TControl.GetClientHeight"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 33 DB 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 A8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 24 8B 45 FC 8B 80 80 02 00 00 8B 40 08 83 78 08 00 7E 04 B0 01 EB 10 8B 45 FC F6 40 1C 10 0F 95 C0 34 01 EB 02 33 C0 84 C0 74 72 8B 45 FC 80 B8 A5 02 00 00 00 74 31 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 06 04 FD 2C 02 73 1F B3 01 55 E8 ?? ?? ?? ?? 59 8B F8 8B 45 FC 03 78 50 8B 45 FC E8 ?? ?? ?? ?? 2B F8 89 3E EB 35 8B 45 FC 80 B8 A5 02 00 00 00 75 29 8B 45 FC E8 ?? ?? ?? ?? 2C 03 73 1D B3 01 55 E8 ?? ?? ?? ?? 59 8B F0 8B 45 FC 03 70 54 8B 45 FC E8 ?? ?? ?? ?? 2B F0 89 37 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75707_0 {
	meta:
		name = "TCoolBar.PaintWindow"
		size = 34
		refs = "0012 TControl.Perform 001b TWinControl.PaintWindow"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 8B CE BA 14 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75708_0 {
	meta:
		name = "TMonthCalColors.Create"
		size = 102
		refs = "000b @ClassCreate 001a TObject.Create 0052 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 C7 47 08 05 00 00 FF C7 47 0C 08 00 00 FF C7 47 10 02 00 00 FF C7 47 14 FF FF FF 00 C7 47 18 FF FF FF 00 C7 47 1C 13 00 00 FF 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75709_0 {
	meta:
		name = "TMonthCalColors.Assign"
		size = 244
		refs = "0018 TMonthCalColors.Assign 002f @UStrLAsg 003b TObject.ClassName 0047 _DV_TMonthCalColors 004c @IsClass 007a SAssignError 0081 _Dn_EConvertError 0086 Exception.CreateResFmt 008b @RaiseExcept 00c6 @UStrClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 3B 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 E8 8B 06 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 C6 45 F8 11 8D 45 EC 50 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 50 08 89 56 08 8B 50 0C 89 56 0C 8B 50 10 89 56 10 8B 50 14 89 56 14 8B 50 18 89 56 18 8B 40 1C 89 46 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 6E 00 69 00 6C 00 00 00 }
	condition:
		$1
}

rule function_75710_0 {
	meta:
		name = "TMonthCalColors.SetColor"
		size = 118
		refs = "0013 TMonthCalColors.SetColor 004f TWinControl.HandleAllocated 005a ColorToRGB 0063 ColorIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C6 83 F8 05 77 3B FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 89 7B 08 EB 17 89 7B 0C EB 12 89 7B 10 EB 0D 89 7B 14 EB 08 89 7B 18 EB 03 89 7B 1C 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 14 B5 ?? ?? ?? ?? 8B 43 04 8B 18 FF 93 08 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75711_0 {
	meta:
		name = "TMonthCalColors.SetAllColors"
		size = 92
		refs = "000b TMonthCalColors.SetColor"
	strings:
		$1 = { 53 8B D8 8B 4B 08 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 4B 0C BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4B 10 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4B 14 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4B 18 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4B 1C BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75712_0 {
	meta:
		name = "TCommonCalendar.Create"
		size = 196
		refs = "000b @ClassCreate 001b CheckCommonControl 0026 TWinControl.Create 002b _DV_ECommonCalendarError 0044 TCommonCalendar.Create 0050 _DV_TMonthCalColors 0055 TMonthCalColors.Create 0060 Now 00a9 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B8 00 01 00 00 E8 ?? ?? ?? ?? 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 87 7C 02 00 00 C6 87 B5 02 00 00 01 C6 87 B6 02 00 00 01 A1 ?? ?? ?? ?? 89 47 58 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 78 02 00 00 E8 ?? ?? ?? ?? DD 9F 80 02 00 00 9B C6 87 90 02 00 00 07 C7 87 A0 02 00 00 1F 00 00 00 C7 87 B0 02 00 00 01 00 00 00 33 C0 89 87 98 02 00 00 89 87 9C 02 00 00 33 C0 89 87 A8 02 00 00 89 87 AC 02 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 00 C8 40 20 00 }
	condition:
		$1
}

rule function_75713_0 {
	meta:
		name = "TCommonCalendar.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TWinControl.Destroy 001d TObject.Free 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75714_0 {
	meta:
		name = "TCommonCalendar.BoldDays"
		size = 82
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 4D FC 8B 75 08 33 C0 89 06 8B 5D FC 85 DB 72 20 43 8B C2 8B 10 85 D2 76 11 83 FA 20 73 0C 8B CA 49 BA 01 00 00 00 D3 E2 09 16 83 C0 04 4B 75 E3 8B 75 F4 8B 5D F8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_75716_0 {
	meta:
		name = "TCommonCalendar.CheckValidDate"
		size = 324
		refs = "001b TCommonCalendar.CheckValidDate 004a sDateTimeMax 004f LoadResString 006f CurrencyString 0074 DateToStr 0094 Exception.CreateFmt 0099 @RaiseExcept 00c2 sDateTimeMin 012b @UStrArrayClr 0131 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 D2 89 55 FC 89 55 F8 89 55 F4 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 83 98 02 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 66 DD 45 08 DC 9B 98 02 00 00 9B DF E0 9E 76 57 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 98 02 00 00 89 45 E8 8B 83 9C 02 00 00 89 45 EC FF 75 EC FF 75 E8 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 45 D8 C6 45 DC 11 8D 45 D8 50 6A 00 8B 4D F8 B2 01 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 83 A8 02 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 66 DD 45 08 DC 9B A8 02 00 00 9B DF E0 9E 73 57 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 A8 02 00 00 89 45 E0 8B 83 AC 02 00 00 89 45 E4 FF 75 E4 FF 75 E0 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 89 45 D8 C6 45 DC 11 8D 45 D8 50 6A 00 8B 4D F0 B2 01 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_75717_0 {
	meta:
		name = "TCommonCalendar.CreateWnd"
		size = 155
		refs = "0006 TWinControl.CreateWnd 0011 TMonthCalColors.SetAllColors 0030 TCommonCalendar.SetRange 003d TCommonCalendar.SetMaxSelectRange 004a TCommonCalendar.SetMonthDelta 0058 TCommonCalendar.SetFirstDayOfWeek 0080 TCommonCalendar.SetSelectedRange 0095 TCommonCalendar.SetDateTime"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 E8 ?? ?? ?? ?? FF B3 AC 02 00 00 FF B3 A8 02 00 00 FF B3 9C 02 00 00 FF B3 98 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 A0 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 B0 02 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 93 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB B4 02 00 00 00 74 21 FF B3 84 02 00 00 FF B3 80 02 00 00 FF B3 8C 02 00 00 FF B3 88 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 FF B3 84 02 00 00 FF B3 80 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75718_0 {
	meta:
		name = "TCommonCalendar.GetCalStyles"
		size = 62
		refs = "000a ShowTodayFlags 001b ShowTodayCircleFlags 0029 WeekNumFlags 0037 MultiSelFlags"
	strings:
		$1 = { 0F B6 90 B5 02 00 00 8B 14 95 ?? ?? ?? ?? 83 CA 01 0F B6 88 B6 02 00 00 0B 14 8D ?? ?? ?? ?? 0F B6 88 B7 02 00 00 0B 14 8D ?? ?? ?? ?? 0F B6 80 B4 02 00 00 0B 14 85 ?? ?? ?? ?? 8B C2 C3 }
	condition:
		$1
}

rule function_75719_0 {
	meta:
		name = "TCommonCalendar.DoStoreEndDate"
		size = 8
	strings:
		$1 = { 0F B6 80 B4 02 00 00 C3 }
	condition:
		$1
}

rule function_75720_0 {
	meta:
		name = "TCommonCalendar.DoStoreMaxDate"
		size = 28
		refs = "000a TCommonCalendar.DoStoreMaxDate"
	strings:
		$1 = { 8B D0 DD 82 98 02 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 C0 C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_75721_0 {
	meta:
		name = "TCommonCalendar.DoStoreMinDate"
		size = 28
		refs = "000a TCommonCalendar.DoStoreMinDate"
	strings:
		$1 = { 8B D0 DD 82 A8 02 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 C0 C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_75722_0 {
	meta:
		name = "TCommonCalendar.GetDate"
		size = 28
		altNames = "TDateTimePicker.GetTime"
	strings:
		$1 = { 83 C4 F8 8B 90 80 02 00 00 89 14 24 8B 90 84 02 00 00 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_75723_0 {
	meta:
		name = "TCommonCalendar.SetCalColors"
		size = 20
	strings:
		$1 = { 56 8B B0 78 02 00 00 3B D6 74 07 8B C6 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_75724_0 {
	meta:
		name = "TCommonCalendar.SetDate"
		size = 200
		refs = "002b ReplaceTime 0034 TCommonCalendar.SetDate 005b @TRUNC 0084 TCommonCalendar.SetDateTime 0093 @HandleAnyException 00af @RaiseAgain 00b4 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 45 FC 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 8B 45 FC FF B0 84 02 00 00 FF B0 80 02 00 00 8D 45 F0 E8 ?? ?? ?? ?? DD 45 F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0B 8B 45 FC 8B 10 FF 92 F8 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 F0 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC DF 6D E8 83 C4 F8 DD 1C 24 9B 8B 45 FC 8B 10 FF 92 FC 00 00 00 FF 75 F4 FF 75 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 8B 45 FC FF B0 84 02 00 00 FF B0 80 02 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_75725_0 {
	meta:
		name = "TCommonCalendar.SetDateTime"
		size = 135
		refs = "0013 DateTimeToSystemTime 0035 TCommonCalendar.SetSelectedRange 003e TWinControl.HandleAllocated 0059 sFailSetCalDateTime 0060 _DV_ECommonCalendarError 0065 Exception.CreateRes 006a @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 FF 75 0C FF 75 08 8D 45 F0 E8 ?? ?? ?? ?? 80 BB B4 02 00 00 00 74 1B FF 75 0C FF 75 08 FF B3 8C 02 00 00 FF B3 88 02 00 00 8B C3 E8 ?? ?? ?? ?? EB 45 8B C3 E8 ?? ?? ?? ?? 84 C0 74 28 8D 55 F0 8B C3 8B 08 FF 91 0C 01 00 00 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 89 83 80 02 00 00 8B 45 0C 89 83 84 02 00 00 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_75726_0 {
	meta:
		name = "TCommonCalendar.SetEndDate"
		size = 136
		refs = "000d @TRUNC 0040 TCommonCalendar.SetEndDate 0064 TCommonCalendar.GetDate 0078 TCommonCalendar.SetSelectedRange"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 DD 45 08 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 DF 6D F0 DD 5D F8 9B DD 83 88 02 00 00 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 DF 6D F0 DC 5D F8 9B DF E0 9E 74 41 DD 45 F8 D8 05 ?? ?? ?? ?? DD 5D 08 9B DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0A 8B C3 8B 10 FF 92 F8 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B FF 75 FC FF 75 F8 8B C3 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 08 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_75727_0 {
	meta:
		name = "TCommonCalendar.SetFirstDayOfWeek"
		size = 113
		refs = "000c TWinControl.HandleAllocated 002b GetLocaleInfo 0061 SendMessage"
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 51 80 FB 07 75 1F 6A 04 8D 44 24 04 50 68 0C 10 00 00 68 00 04 00 00 E8 ?? ?? ?? ?? 0F B7 3C 24 83 EF 30 EB 05 8B FB 83 E7 7F 8B C6 8B 10 FF 92 00 01 00 00 85 C0 74 1A 8B C6 8B 10 FF 92 00 01 00 00 8B E8 57 6A 00 68 0F 10 00 00 55 E8 ?? ?? ?? ?? 88 9E 90 02 00 00 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75728_0 {
	meta:
		name = "TCommonCalendar.SetMaxDate"
		size = 256
		refs = "0015 TCommonCalendar.SetMaxDate 0044 sDateTimeMin 0049 LoadResString 0069 CurrencyString 006e DateToStr 008e Exception.CreateFmt 0093 @RaiseExcept 00bb TCommonCalendar.SetRange 00e7 @UStrArrayClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 83 A8 02 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 66 DD 45 08 DC 9B A8 02 00 00 9B DF E0 9E 73 57 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 A8 02 00 00 89 45 F0 8B 83 AC 02 00 00 89 45 F4 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 8B 4D F8 B2 01 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 83 98 02 00 00 DC 5D 08 9B DF E0 9E 74 2B FF B3 AC 02 00 00 FF B3 A8 02 00 00 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 83 98 02 00 00 8B 45 0C 89 83 9C 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_75729_0 {
	meta:
		name = "TCommonCalendar.SetMaxSelectRange"
		size = 94
		refs = "0014 TWinControl.HandleAllocated 0034 SendMessage 003e sFailSetCalMaxSelRange 0045 _DV_ECommonCalendarError 004a Exception.CreateRes 004f @RaiseExcept"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 80 BB B4 02 00 00 00 74 42 8B C3 E8 ?? ?? ?? ?? 84 C0 74 37 8B C3 8B 10 FF 92 00 01 00 00 8B F8 8B EE 6A 00 55 68 04 10 00 00 57 E8 ?? ?? ?? ?? 85 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 B3 A0 02 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75730_0 {
	meta:
		name = "TCommonCalendar.SetMinDate"
		size = 256
		refs = "0015 TCommonCalendar.SetMinDate 0044 sDateTimeMax 0049 LoadResString 0069 CurrencyString 006e DateToStr 008e Exception.CreateFmt 0093 @RaiseExcept 00bb TCommonCalendar.SetRange 00e7 @UStrArrayClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 83 98 02 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 66 DD 45 08 DC 9B 98 02 00 00 9B DF E0 9E 76 57 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 98 02 00 00 89 45 F0 8B 83 9C 02 00 00 89 45 F4 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 8B 4D F8 B2 01 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 83 A8 02 00 00 DC 5D 08 9B DF E0 9E 74 2B FF 75 0C FF 75 08 FF B3 9C 02 00 00 FF B3 98 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 83 A8 02 00 00 8B 45 0C 89 83 AC 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_75731_0 {
	meta:
		name = "TCommonCalendar.SetMonthDelta"
		size = 72
		refs = "000b TWinControl.HandleAllocated 0039 SendMessage"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2A 8B C3 8B 10 FF 92 00 01 00 00 85 C0 74 1C 8B C3 8B 10 FF 92 00 01 00 00 8B F8 8B EE 6A 00 55 68 14 10 00 00 57 E8 ?? ?? ?? ?? 89 B3 B0 02 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75732_0 {
	meta:
		name = "TCommonCalendar.SetMultiSelect"
		size = 64
		refs = "003b TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 B4 02 00 00 74 37 88 90 B4 02 00 00 84 D2 74 1A 8B 90 80 02 00 00 89 90 88 02 00 00 8B 90 84 02 00 00 89 90 8C 02 00 00 EB 0E 33 D2 89 90 88 02 00 00 89 90 8C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75733_0 {
	meta:
		name = "TCommonCalendar.SetRange"
		size = 345
		refs = "0010 @TRUNC 0073 TCommonCalendar.SetDate 0094 TCommonCalendar.SetEndDate 00a9 DateTimeToSystemTime 011f TWinControl.HandleAllocated 013c sFailSetCalMinMaxRange 0143 _DV_ECommonCalendarError 0148 Exception.CreateRes 014d @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 8B D8 33 F6 DD 45 10 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC DD 45 08 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 DD 83 80 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC DD 83 88 02 00 00 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 83 7D EC 00 75 04 83 7D E8 00 74 57 8B 45 F8 8B 55 FC 3B 55 EC 75 07 3B 45 E8 73 11 EB 02 7D 0D FF 75 14 FF 75 10 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F4 3B 55 EC 75 07 3B 45 E8 73 11 EB 02 7D 0D FF 75 14 FF 75 10 8B C3 E8 ?? ?? ?? ?? 83 CE 01 DF 6D E8 83 C4 F8 DD 1C 24 9B 8D 45 C0 E8 ?? ?? ?? ?? 83 7D E4 00 75 04 83 7D E0 00 74 63 8B 45 F8 8B 55 FC 3B 55 E4 75 07 3B 45 E0 76 11 EB 02 7E 0D FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F4 3B 55 E4 75 07 3B 45 E0 77 10 EB 02 7F 0C 83 7D F4 00 75 13 83 7D F0 00 75 0D FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 83 CE 02 DF 6D E0 83 C4 F8 DD 1C 24 9B 8D 45 D0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2A 8D 4D C0 8B D6 8B C3 8B 18 FF 93 10 01 00 00 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_75734_0 {
	meta:
		name = "TCommonCalendar.SetSelectedRange"
		size = 172
		refs = "001d TCommonCalendar.SetDateTime 002d DateTimeToSystemTime 0042 TWinControl.HandleAllocated 004d TWinControl.GetHandle 0060 SendMessage 006a sFailsetCalSelRange 0071 _DV_ECommonCalendarError 0076 Exception.CreateRes 007b @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B D8 80 BB B4 02 00 00 00 75 0F FF 75 14 FF 75 10 8B C3 E8 ?? ?? ?? ?? EB 6E FF 75 14 FF 75 10 8D 45 E0 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 35 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 7D E0 57 6A 00 68 06 10 00 00 56 E8 ?? ?? ?? ?? 85 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 10 89 83 80 02 00 00 8B 45 14 89 83 84 02 00 00 8B 45 08 89 83 88 02 00 00 8B 45 0C 89 83 8C 02 00 00 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_75735_0 {
	meta:
		name = "TCommonCalendar.SetShowToday"
		size = 30
		refs = "0019 SetComCtlStyle"
	strings:
		$1 = { 3A 90 B5 02 00 00 74 15 88 90 B5 02 00 00 8B CA 80 F1 01 BA 10 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75736_0 {
	meta:
		name = "TCommonCalendar.SetShowTodayCircle"
		size = 30
		refs = "0019 SetComCtlStyle"
	strings:
		$1 = { 3A 90 B6 02 00 00 74 15 88 90 B6 02 00 00 8B CA 80 F1 01 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75737_0 {
	meta:
		name = "TCommonCalendar.SetWeekNumbers"
		size = 27
		refs = "0016 SetComCtlStyle"
	strings:
		$1 = { 3A 90 B7 02 00 00 74 12 88 90 B7 02 00 00 8B CA BA 04 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75738_0 {
	meta:
		name = "IsBlankSysTime"
		size = 15
	strings:
		$1 = { 8B 10 0B 50 04 0B 50 08 0B 50 0C 0F 94 C0 C3 }
	condition:
		$1
}

rule function_75739_0 {
	meta:
		name = "TMonthCalendar.Create"
		size = 88
		refs = "000a @ClassCreate 0017 TCommonCalendar.Create 001c _DV_EMonthCalError 002e TControl.SetWidth 003a TControl.SetHeight 0045 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 86 7C 02 00 00 BA BF 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 9A 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_75741_0 {
	meta:
		name = "TMonthCalendar.CNNotify"
		size = 372
		refs = "0041 @FillChar 0119 IsBlankSysTime 0126 SystemTimeToDateTime"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B F2 8B D8 8B 56 08 8B CA 8B C1 8B 40 08 2D 13 FD FF FF 0F 84 E4 00 00 00 83 E8 02 74 0C 48 0F 84 D8 00 00 00 E9 34 01 00 00 8B C2 8B F8 8B 57 1C 03 D2 03 D2 8B 47 20 33 C9 E8 ?? ?? ?? ?? 66 83 BB BA 02 00 00 00 75 0E 66 83 BB C2 02 00 00 00 0F 84 07 01 00 00 8B 47 20 89 44 24 0C 0F B7 47 0C 89 44 24 08 8B 47 1C 48 85 C0 0F 8C EC 00 00 00 40 89 44 24 10 C7 04 24 00 00 00 00 0F B7 47 0E 03 04 24 89 44 24 04 83 7C 24 04 0C 7E 0E 83 6C 24 04 0C 0F B7 47 0C 40 89 44 24 08 66 83 BB BA 02 00 00 00 74 1D 8B 44 24 0C 8B 14 24 8D 04 90 50 8B 4C 24 08 8B D3 8B 83 BC 02 00 00 FF 93 B8 02 00 00 66 83 BB C2 02 00 00 00 74 23 8B 44 24 08 50 8B 44 24 10 8B 54 24 04 8D 04 90 50 8B 4C 24 0C 8B D3 8B 83 C4 02 00 00 FF 93 C0 02 00 00 FF 04 24 FF 4C 24 10 75 83 EB 61 8B F9 56 57 8D 77 0C 8D 7C 24 1C A5 A5 A5 A5 5F 5E 8D 44 24 14 E8 ?? ?? ?? ?? 84 C0 75 10 8D 44 24 14 E8 ?? ?? ?? ?? DD 9B 80 02 00 00 9B 80 BB B4 02 00 00 00 74 2A 56 8D 77 1C 8D 7C 24 18 A5 A5 A5 A5 5E 8D 44 24 14 E8 ?? ?? ?? ?? 84 C0 75 10 8D 44 24 14 E8 ?? ?? ?? ?? DD 9B 88 02 00 00 9B 8B D6 8B C3 8B 08 FF 51 F0 83 C4 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75742_0 {
	meta:
		name = "TMonthCalendar.ConstrainedResize"
		size = 117
		refs = "0012 TWinControl.HandleAllocated 001d TWinControl.GetHandle 0034 SendMessage 0068 TWinControl.ConstrainedResize"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3F 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8D 45 E8 50 6A 00 68 09 10 00 00 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 F4 2B 45 EC 89 45 FC 8B 45 F0 2B 45 E8 8B 17 3B 55 FC 7D 05 8B 55 FC 89 17 3B 06 7E 02 89 06 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_75743_0 {
	meta:
		name = "TMonthCalendar.CreateParams"
		size = 88
		refs = "000b TWinControl.CreateParams 0010 TMonthCalendar.CreateParams 0019 TWinControl.CreateSubClass"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 04 01 00 00 09 43 04 8B 43 24 83 E0 FC 83 C8 08 89 43 24 5E 5B C3 00 00 00 53 00 79 00 73 00 4D 00 6F 00 6E 00 74 00 68 00 43 00 61 00 6C 00 33 00 32 00 00 00 }
	condition:
		$1
}

rule function_75745_0 {
	meta:
		name = "TMonthCalendar.MsgSetCalColors"
		size = 62
		refs = "000f TWinControl.HandleAllocated 001a TWinControl.GetHandle 002d SendMessage"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 B3 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 20 8B C6 E8 ?? ?? ?? ?? 8B D8 8B F7 8B FD 57 56 68 0A 10 00 00 53 E8 ?? ?? ?? ?? 83 F8 FF 0F 95 C3 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75746_0 {
	meta:
		name = "TMonthCalendar.MsgSetDateTime"
		size = 70
		refs = "0016 TWinControl.HandleAllocated 0021 TWinControl.GetHandle 0033 SendMessage"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B F0 B3 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1F 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C4 50 6A 00 68 02 10 00 00 53 E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 8B C3 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75747_0 {
	meta:
		name = "TMonthCalendar.MsgSetRange"
		size = 80
		refs = "001b TWinControl.HandleAllocated 002a TWinControl.GetHandle 003d SendMessage"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F1 8D 3C 24 B9 08 00 00 00 F3 A5 8B FA 8B F0 B3 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 24 85 FF 74 20 8B C6 E8 ?? ?? ?? ?? 8B D8 8B F7 8B FC 57 56 68 12 10 00 00 53 E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 8B C3 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75748_0 {
	meta:
		name = "TMonthCalendar.MsgSetRange"
		size = 74
		refs = "0013 TWinControl.HandleAllocated 0022 TWinControl.GetHandle 0036 SendMessage"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 B3 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 25 85 FF 74 21 8B C6 E8 ?? ?? ?? ?? 8B D8 8B F7 8B 7D FC 57 56 68 12 10 00 00 53 E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_75749_0 {
	meta:
		name = "TMonthCalendar.CanAutoSize"
		size = 75
		refs = "0010 TWinControl.HandleAllocated 0025 TControl.Perform"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B E9 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 27 B3 01 54 33 C9 BA 09 10 00 00 8B C6 E8 ?? ?? ?? ?? 8B 44 24 08 2B 04 24 89 07 8B 44 24 0C 2B 44 24 04 89 45 00 EB 02 33 DB 8B C3 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75751_0 {
	meta:
		name = "TDateTimePicker.Create"
		size = 208
		refs = "000a @ClassCreate 0017 TCommonCalendar.Create 001c _DV_EDateTimeError 0040 DateTimeToSystemTime 0057 TDateTimePicker.Create 0066 TControl.SetColor 006f TControl.SetParentColor 0078 TWinControl.SetTabStop 0084 TControl.SetWidth 008b TDateTimePicker.AdjustHeight 00b9 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 86 7C 02 00 00 C6 86 C9 02 00 00 00 FF B6 84 02 00 00 FF B6 80 02 00 00 8D 86 D0 02 00 00 E8 ?? ?? ?? ?? C6 86 E1 02 00 00 00 C6 86 CA 02 00 00 01 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 BA 05 00 00 FF 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? BA BA 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C6 86 C8 02 00 00 00 C6 86 CB 02 00 00 00 C6 86 CC 02 00 00 00 C6 86 CE 02 00 00 00 C6 86 E0 02 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 42 00 00 }
	condition:
		$1
}

rule function_75752_0 {
	meta:
		name = "TDateTimePicker.AdjustHeight"
		size = 156
		refs = "000d GetDC 0018 TDateTimePicker.AdjustHeight 002b GetTextMetrics 0036 TFont.GetHandle 0040 SelectObject 0071 ReleaseDC 0077 @HandleFinally 0080 GetSystemMetrics 0093 TControl.SetHeight"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 89 45 FC 6A 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 BC 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 6C E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D8 8D 45 80 50 8B 45 F8 50 E8 ?? ?? ?? ?? 53 8B 45 F8 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 6A 06 E8 ?? ?? ?? ?? 8B D0 03 D2 03 D2 03 D2 03 55 80 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75753_0 {
	meta:
		name = "TDateTimePicker.CheckEmptyDate"
		size = 54
		refs = "000e sNeedAllowNone 0015 _DV_EDateTimeError 001a Exception.CreateRes 001f @RaiseExcept"
	strings:
		$1 = { 56 8B F0 80 BE E1 02 00 00 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 CA 02 00 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_75754_0 {
	meta:
		name = "TDateTimePicker.CreateParams"
		size = 188
		refs = "000d TWinControl.CreateParams 0012 TDateTimePicker.CreateParams 001b TWinControl.CreateSubClass 0045 Formats 005a @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B E8 8B D7 8B C5 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D7 8B C5 E8 ?? ?? ?? ?? 80 BD CC 02 00 00 01 75 04 83 4F 04 01 80 BD CE 02 00 00 01 75 06 83 4F 04 09 EB 11 0F B6 85 CB 02 00 00 8B 04 85 ?? ?? ?? ?? 09 47 04 0F B6 9D C8 02 00 00 8B C5 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 0A 84 DB 75 04 B3 01 EB 02 33 DB 80 FB 01 75 04 83 4F 04 20 80 BD E0 02 00 00 00 74 04 83 4F 04 10 80 BD E1 02 00 00 00 74 04 83 4F 04 02 83 67 24 FC 5D 5F 5E 5B C3 53 00 79 00 73 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 50 00 69 00 63 00 6B 00 33 00 32 00 00 00 }
	condition:
		$1
}

rule function_75755_0 {
	meta:
		name = "TDateTimePicker.Change"
		size = 29
	strings:
		$1 = { 53 66 83 B8 FA 02 00 00 00 74 10 8B D8 8B D0 8B 83 FC 02 00 00 FF 93 F8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_75756_0 {
	meta:
		name = "TDateTimePicker.CreateWnd"
		size = 144
		refs = "000d TDateTimePicker.CreateWnd 0021 TCommonCalendar.CreateWnd 002a TDateTimePicker.SetChecked 0044 TWinControl.GetHandle 0054 @UStrLAsg 005c @UStrToPWChar 006a SendMessage 007f @UStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 9E CA 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 86 08 03 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 2D 8B C6 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 96 08 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 68 32 10 00 00 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75757_0 {
	meta:
		name = "TDateTimePicker.CMColorChanged"
		size = 29
		refs = "0006 TWinControl.CMColorChanged 0011 TWinControl.GetHandle 0017 InvalidateRect"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A FF 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75758_0 {
	meta:
		name = "TDateTimePicker.CMFontChanged"
		size = 36
		refs = "0006 TWinControl.CMFontChanged 000d TDateTimePicker.AdjustHeight 0018 TWinControl.GetHandle 001e InvalidateRect"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A FF 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75759_0 {
	meta:
		name = "TDateTimePicker.CNNotify"
		size = 723
		refs = "0018 TDateTimePicker.CNNotify 007f SystemTimeToDateTime 008e TCommonCalendar.SetDate 0180 TDateTimePicker.SetTime 019d @HandleFinally 01c1 @CallDynaInst 01ce TCommonCalendar.GetDate 01e2 DateTimeToSystemTime 0224 @UStrFromPWChar 022f @UStrLAsg 0235 CurrencyString 023d StrToDateTime 02c0 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D FC 89 4D F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 42 08 33 C9 89 4A 0C 8B 40 08 05 F7 02 00 00 83 F8 0E 0F 87 67 02 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 02 04 00 00 00 03 01 00 00 00 00 00 00 00 04 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F4 C6 80 CD 02 00 00 00 8B 45 F4 05 D0 02 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 66 83 B8 F2 02 00 00 00 0F 84 07 02 00 00 8B 5D F4 8B 55 F4 8B 83 F4 02 00 00 FF 93 F0 02 00 00 E9 F0 01 00 00 8B 5A 08 8B 45 F4 80 B8 CD 02 00 00 00 74 32 83 7B 0C 00 75 2C 8B 45 F4 8D 73 10 8D B8 D0 02 00 00 A5 A5 A5 A5 8B 45 F4 05 D0 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 DD 98 80 02 00 00 9B E9 BE 00 00 00 8B 45 F4 80 B8 E1 02 00 00 00 74 15 83 7B 0C 01 75 0F 8B 45 F4 C6 80 CA 02 00 00 00 E9 9D 00 00 00 83 7B 0C 00 0F 85 93 00 00 00 8B 45 F4 8D 73 10 8D B8 D0 02 00 00 A5 A5 A5 A5 8B 45 F4 C6 80 C9 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 10 E8 ?? ?? ?? ?? DD 5D E8 9B 8B 45 F4 80 B8 CE 02 00 00 00 75 10 FF 75 EC FF 75 E8 8B 45 F4 E8 ?? ?? ?? ?? EB 0E FF 75 EC FF 75 E8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 C6 80 C9 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 F4 80 B8 E1 02 00 00 00 74 0A 8B 45 F4 C6 80 CA 02 00 00 01 8B 45 F4 66 BE AE FF E8 ?? ?? ?? ?? E9 E0 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 45 F4 05 D0 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 C6 80 CD 02 00 00 01 8B 45 F4 66 83 B8 02 03 00 00 00 0F 84 A9 00 00 00 8B 5D F4 8B 55 F4 8B 83 04 03 00 00 FF 93 00 03 00 00 E9 92 00 00 00 8B 42 08 8B D8 8D 45 FC 8B 53 0C E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DD 5D D8 9B 8B 45 D8 89 45 E8 8B 45 DC 89 45 EC 8B 45 F4 66 83 B8 EA 02 00 00 00 74 2F C6 45 E7 01 8D 45 E8 50 8D 45 E7 50 8B 75 F4 8B 4D FC 8B 55 F4 8B 86 EC 02 00 00 FF 96 E8 02 00 00 0F B6 45 E7 34 01 83 E0 7F 89 43 20 EB 05 33 C0 89 43 20 FF 75 EC FF 75 E8 8D 43 10 E8 ?? ?? ?? ?? EB 08 8B 45 F4 8B 08 FF 51 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75760_0 {
	meta:
		name = "TDateTimePicker.GetCalendarHandle"
		size = 25
		refs = "0002 TWinControl.GetHandle 0013 SendMessage"
	strings:
		$1 = { 53 E8 ?? ?? ?? ?? 8B D8 6A 00 6A 00 68 08 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75762_0 {
	meta:
		name = "TDateTimePicker.MsgSetCalColors"
		size = 62
		refs = "000f TWinControl.HandleAllocated 001a TWinControl.GetHandle 002d SendMessage"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 B3 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 20 8B C6 E8 ?? ?? ?? ?? 8B D8 8B F7 8B FD 57 56 68 06 10 00 00 53 E8 ?? ?? ?? ?? 83 F8 FF 0F 95 C3 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75763_0 {
	meta:
		name = "TDateTimePicker.MsgSetDateTime"
		size = 203
		refs = "001d TWinControl.HandleAllocated 0047 TDateTimePicker.MsgSetDateTime 0055 TWinControl.GetHandle 0069 SendMessage 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F2 8D 7D EA A5 A5 A5 A5 89 45 FC C6 45 FB 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 97 00 00 00 8B 45 FC 80 B8 C9 02 00 00 00 0F 85 87 00 00 00 8B 45 FC C6 80 C9 02 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 F6 8D 45 EA 50 56 68 02 10 00 00 53 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 88 45 FB 8B 45 FC 80 B8 E1 02 00 00 00 74 1F 8B 45 FC F6 40 1C 01 75 16 8B 45 FC F6 40 5D 20 75 0D 8B 45 FC 0F B6 55 FB 88 90 CA 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 C9 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75764_0 {
	meta:
		name = "TDateTimePicker.MsgSetRange"
		size = 80
		refs = "001b TWinControl.HandleAllocated 002a TWinControl.GetHandle 003d SendMessage"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F1 8D 3C 24 B9 08 00 00 00 F3 A5 8B FA 8B F0 B3 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 24 85 FF 74 20 8B C6 E8 ?? ?? ?? ?? 8B D8 8B F7 8B FC 57 56 68 04 10 00 00 53 E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 8B C3 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75765_0 {
	meta:
		name = "TDateTimePicker.MsgSetRange"
		size = 74
		refs = "0013 TWinControl.HandleAllocated 0022 TWinControl.GetHandle 0036 SendMessage"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 B3 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 25 85 FF 74 21 8B C6 E8 ?? ?? ?? ?? 8B D8 8B F7 8B 7D FC 57 56 68 04 10 00 00 53 E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_75766_0 {
	meta:
		name = "TDateTimePicker.SetCalAlignment"
		size = 37
		refs = "0020 SetComCtlStyle"
	strings:
		$1 = { 3A 90 C8 02 00 00 74 1C 88 90 C8 02 00 00 F6 40 1C 10 75 10 80 FA 01 0F 94 C1 BA 20 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75767_0 {
	meta:
		name = "TDateTimePicker.SetChecked"
		size = 94
		refs = "002a TCommonCalendar.SetDateTime 0033 TWinControl.GetHandle 0049 SendMessage"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 88 96 CA 02 00 00 80 BE E1 02 00 00 00 74 40 84 D2 74 15 FF B6 84 02 00 00 FF B6 80 02 00 00 8B C6 E8 ?? ?? ?? ?? EB 1D 8B C6 E8 ?? ?? ?? ?? 8B D8 BF 01 00 00 00 8B C4 50 57 68 02 10 00 00 53 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75768_0 {
	meta:
		name = "TDateTimePicker.SetDateFormat"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 CB 02 00 00 74 0B 88 90 CB 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75770_0 {
	meta:
		name = "TDateTimePicker.SetKind"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 CE 02 00 00 74 0B 88 90 CE 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75771_0 {
	meta:
		name = "TDateTimePicker.SetParseInput"
		size = 33
		refs = "001c SetComCtlStyle"
	strings:
		$1 = { 3A 90 E0 02 00 00 74 18 88 90 E0 02 00 00 F6 40 1C 10 75 0C 8B CA BA 10 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75772_0 {
	meta:
		name = "TDateTimePicker.SetShowCheckbox"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 E1 02 00 00 74 0B 88 90 E1 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75773_0 {
	meta:
		name = "TDateTimePicker.SetTime"
		size = 184
		refs = "0017 Frac 0059 ReplaceDate 0062 TDateTimePicker.SetTime 0077 sNeedAllowNone 007e _DV_EDateTimeError 0083 Exception.CreateRes 0088 @RaiseExcept 00a8 TCommonCalendar.SetDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 8B F0 DD 86 80 02 00 00 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 E1 DB 7D EC 9B DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 E1 DB 6D EC DE D9 9B DF E0 9E 74 6F 8B 45 08 89 45 F8 8B 45 0C 89 45 FC FF B6 84 02 00 00 FF B6 80 02 00 00 8D 45 F8 E8 ?? ?? ?? ?? DD 45 F8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 33 80 BE E1 02 00 00 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 CA 02 00 00 00 8B C6 8B 10 FF 92 9C 00 00 00 EB 0D FF 75 FC FF 75 F8 8B C6 E8 ?? ?? ?? ?? 5E 8B E5 5D C2 08 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_75774_0 {
	meta:
		name = "TDateTimePicker.SetFormat"
		size = 132
		refs = "000f TDateTimePicker.SetFormat 0022 @UStrEqual 0031 @UStrAsg 0038 TWinControl.GetHandle 0048 @UStrLAsg 0050 @UStrToPWChar 005e SendMessage 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 08 03 00 00 8B D6 E8 ?? ?? ?? ?? 74 3A 8D 83 08 03 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B 93 08 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 68 32 10 00 00 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75776_0 {
	meta:
		name = "TPageScroller.Create"
		size = 140
		refs = "000a @ClassCreate 0017 TWinControl.Create 0023 TControl.SetWidth 002f TControl.SetHeight 0038 TWinControl.SetTabStop 003d TPageScroller.Create 006e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 96 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 2D 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 46 58 0B 05 ?? ?? ?? ?? 89 46 58 C7 86 7C 02 00 00 0C 00 00 00 C6 86 84 02 00 00 01 C6 86 78 02 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 22 00 00 00 01 00 0C 00 }
	condition:
		$1
}

rule function_75777_0 {
	meta:
		name = "TPageScroller.CreateParams"
		size = 112
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 001a TPageScroller.CreateParams 0023 TWinControl.CreateSubClass 004b OrientationStyle"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 00 10 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 78 02 00 00 00 74 04 83 4E 04 02 80 BB 84 02 00 00 00 74 04 83 4E 04 04 0F B6 83 8C 02 00 00 8B 04 85 ?? ?? ?? ?? 09 46 04 83 66 24 FC 5E 5B C3 00 00 00 53 00 79 00 73 00 50 00 61 00 67 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_75778_0 {
	meta:
		name = "TPageScroller.CreateWnd"
		size = 141
		refs = "0007 TWinControl.CreateWnd 0017 TControl.Perform 0028 TWinControl.GetHandle"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 0D B0 00 00 8B C3 E8 ?? ?? ?? ?? 8B B3 80 02 00 00 85 F6 74 16 8B C6 E8 ?? ?? ?? ?? 50 33 C9 BA 01 14 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 7C 02 00 00 50 33 C9 BA 0A 14 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 88 02 00 00 50 33 C9 BA 06 14 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 90 02 00 00 50 33 C9 BA 08 14 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 02 14 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75779_0 {
	meta:
		name = "TPageScroller.GetButtonState"
		size = 80
		refs = "000c ButtonPos 001b TWinControl.GetHandle 0021 SendMessage"
	strings:
		$1 = { 53 56 8B DA 8B F0 0F B6 C3 8B 04 85 ?? ?? ?? ?? 50 6A 00 68 0C 14 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 48 74 0F 48 74 11 83 E8 02 74 11 83 E8 04 74 11 EB 14 33 C0 5E 5B C3 B0 02 5E 5B C3 B0 03 5E 5B C3 B0 04 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_75780_0 {
	meta:
		name = "TPageScroller.Notification"
		size = 46
		refs = "0010 TWinControl.Notification 0026 TPageScroller.SetControl"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 11 3B B7 80 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75781_0 {
	meta:
		name = "TPageScroller.Scroll"
		size = 59
	strings:
		$1 = { 55 8B EC 51 53 66 89 55 FE 66 83 B8 9A 02 00 00 00 74 22 51 8B 55 10 52 0F B6 55 0C 52 8B 55 08 52 8B D8 8B D0 0F B7 4D FE 8B 83 9C 02 00 00 FF 93 98 02 00 00 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_75782_0 {
	meta:
		name = "TPageScroller.UpdatePreferredSize"
		size = 41
	strings:
		$1 = { 80 B8 8C 02 00 00 00 75 10 8B 90 80 02 00 00 8B 52 50 89 90 94 02 00 00 C3 8B 90 80 02 00 00 8B 52 54 89 90 94 02 00 00 C3 }
	condition:
		$1
}

rule function_75784_0 {
	meta:
		name = "TPageScroller.SetButtonSize"
		size = 66
		refs = "001f TWinControl.GetHandle 0025 SendMessage 0035 TControl.Perform"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 7C 02 00 00 74 31 89 B3 7C 02 00 00 56 6A 00 68 0A 14 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 0B 14 00 00 8B C3 E8 ?? ?? ?? ?? 89 83 7C 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_75785_0 {
	meta:
		name = "TPageScroller.DoSetControl"
		size = 139
		refs = "0019 TPageScroller.UpdatePreferredSize 0026 TComponent.FreeNotification 0041 TWinControl.GetHandle 0056 SendMessage"
	strings:
		$1 = { 53 56 8B D8 8B F2 89 B3 80 02 00 00 F6 43 1C 08 75 76 85 F6 74 46 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 80 02 00 00 8B 08 FF 91 84 00 00 00 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 50 6A 00 68 01 14 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 16 6A 00 6A 00 68 01 14 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 68 02 14 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75786_0 {
	meta:
		name = "TPageScroller.SetControl"
		size = 49
		refs = "0013 TPageScroller.DoSetControl"
	strings:
		$1 = { 53 56 8B D8 8B 83 80 02 00 00 3B D0 74 20 8B F0 8B C3 E8 ?? ?? ?? ?? 85 F6 74 13 F6 46 1C 08 75 0D 8B 53 38 8B C6 8B 08 FF 91 84 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_75788_0 {
	meta:
		name = "TPageScroller.SetMargin"
		size = 66
		refs = "001f TWinControl.GetHandle 0025 SendMessage 0035 TControl.Perform"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 88 02 00 00 74 31 89 B3 88 02 00 00 56 6A 00 68 06 14 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 07 14 00 00 8B C3 E8 ?? ?? ?? ?? 89 83 88 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_75789_0 {
	meta:
		name = "TCustomPanel.SetBorderStyle"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
		altNames = "TPageScroller.SetOrientation"
	strings:
		$1 = { 3A 90 8C 02 00 00 74 0B 88 90 8C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75790_0 {
	meta:
		name = "TPageScroller.SetPosition"
		size = 82
		refs = "001f TWinControl.GetHandle 0025 SendMessage 0035 TControl.Perform"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 90 02 00 00 74 41 89 B3 90 02 00 00 56 6A 00 68 08 14 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 02 14 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 09 14 00 00 8B C3 E8 ?? ?? ?? ?? 89 83 90 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_75791_0 {
	meta:
		name = "TPageScroller.AlignControls"
		size = 138
		refs = "0018 TWinControl.AlignControls 0028 TPageScroller.UpdatePreferredSize 0038 TControl.GetClientHeight 0053 TControl.GetClientWidth 006e TControl.Perform"
	strings:
		$1 = { 56 8B F0 F6 46 1C 10 75 0C 85 D2 74 65 3B 96 80 02 00 00 75 5D 8B C6 E8 ?? ?? ?? ?? 83 BE 80 02 00 00 00 74 4D 8B C6 E8 ?? ?? ?? ?? 80 BE 8C 02 00 00 00 75 12 8B C6 E8 ?? ?? ?? ?? 8B 96 80 02 00 00 3B 42 54 74 1B 80 BE 8C 02 00 00 01 75 22 8B C6 E8 ?? ?? ?? ?? 8B 96 80 02 00 00 3B 42 50 75 10 6A 00 33 C9 BA 02 14 00 00 8B C6 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 09 14 00 00 8B C6 E8 ?? ?? ?? ?? 89 86 90 02 00 00 5E C3 }
	condition:
		$1
}

rule function_75792_0 {
	meta:
		name = "TPageScroller.WMNCHitTest"
		size = 39
		refs = "0009 TWinControl.GetControlCount 0020 TWinControl.WMNCHitTest"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0A C7 46 0C 01 00 00 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75793_0 {
	meta:
		name = "KeysToShiftState"
		size = 48
		refs = "0007 KeysToShiftState"
	strings:
		$1 = { 53 56 8B D8 0F B7 35 ?? ?? ?? ?? F6 C3 01 74 04 66 83 CE 01 F6 C3 02 74 04 66 83 CE 04 F6 C3 04 74 04 66 83 CE 02 8B C6 5E 5B C3 00 08 00 00 00 }
	condition:
		$1
}

rule function_75794_0 {
	meta:
		name = "TPageScroller.CNNotify"
		size = 280
		refs = "00b4 KeysToShiftState 00c4 @CallDynaInst 00d3 TPageScroller.GetButtonState"
	strings:
		$1 = { 53 56 57 55 8B F8 8B 42 08 8B 48 08 81 E9 7A FC FF FF 74 08 49 74 6E E9 F7 00 00 00 8B 8F 80 02 00 00 85 C9 0F 84 E9 00 00 00 80 BF 8C 02 00 00 00 75 2C 8B 97 C0 01 00 00 03 D2 03 97 94 02 00 00 89 50 10 8B 97 80 02 00 00 8B 52 54 8B 8F C0 01 00 00 03 C9 03 D1 89 50 14 E9 B4 00 00 00 8B 51 50 8B 8F C0 01 00 00 03 C9 03 D1 89 50 10 8B 97 C0 01 00 00 03 D2 03 97 94 02 00 00 89 50 14 E9 8E 00 00 00 8B E8 8B 45 1E 8B D0 4A 83 EA 02 73 0A B3 01 48 75 0F F7 5D 2A EB 0A 33 DB 83 F8 04 75 03 F7 5D 2A 8B 45 26 50 53 8D 45 2A 50 0F B7 45 0C E8 ?? ?? ?? ?? 8B D0 8B 4D 22 8B C7 66 BE AE FF E8 ?? ?? ?? ?? 83 7D 2A 00 7E 16 33 D2 8B C7 E8 ?? ?? ?? ?? 3C 01 75 09 8B 87 7C 02 00 00 01 45 2A 8B 45 2A 85 C0 7D 05 F7 D8 89 45 2A 80 BF 8C 02 00 00 00 75 0E 8B 45 22 03 45 2A 89 87 90 02 00 00 EB 0C 8B 45 26 03 45 2A 89 87 90 02 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75795_0 {
	meta:
		name = "TPageScroller.CMColorChanged"
		size = 58
		refs = "0009 TWinControl.HandleAllocated 0015 ColorToRGB 0024 TWinControl.GetHandle 002a SendMessage 0033 TWinControl.CMColorChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 43 74 E8 ?? ?? ?? ?? 50 6A 00 68 04 14 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75796_0 {
	meta:
		name = "TPageScroller.CMControlChange"
		size = 49
		refs = "0011 _Dn_TWinControl 0016 @IsClass 002a TPageScroller.DoSetControl"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 01 75 22 8B 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 83 7E 08 00 74 0A 8B 56 04 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75797_0 {
	meta:
		name = "TComboExItem.Assign"
		size = 82
		refs = "000b _DV_TComboExItem 0010 @IsClass 0039 @UStrAsg 004a TListControlItem.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8B FE 8B 47 1C 89 43 1C 8B 47 24 89 43 24 8B 47 20 89 43 20 8B 47 18 89 43 18 8D 43 10 8B 57 10 E8 ?? ?? ?? ?? 8B 47 14 89 43 14 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75798_0 {
	meta:
		name = "TComboExItem.SetCaption"
		size = 51
		refs = "0006 TListControlItem.SetCaption 000d TCollectionItem.GetIndex 002d TListControlItems.Sort"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 04 8B 08 FF 51 30 8B 53 04 0F B6 42 1D 3C 02 74 04 3C 03 75 07 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75799_0 {
	meta:
		name = "TComboExItem.SetData"
		size = 51
		refs = "0006 TListControlItem.SetData 000d TCollectionItem.GetIndex 002d TListControlItems.Sort"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 04 8B 08 FF 51 30 8B 53 04 0F B6 42 1D 3C 01 74 04 3C 03 75 07 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75800_0 {
	meta:
		name = "TComboExItem.SetDisplayName"
		size = 29
		refs = "0006 TCollectionItem.SetDisplayName 000d TCollectionItem.GetIndex"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 04 8B 08 FF 51 30 5B C3 }
	condition:
		$1
}

rule function_75801_0 {
	meta:
		name = "TComboExItem.SetImageIndex"
		size = 45
		refs = "0016 TListControlItem.SetImageIndex 001d TCollectionItem.GetIndex"
	strings:
		$1 = { 53 8B D8 8B 43 1C 83 F8 FF 74 05 3B 43 18 75 03 89 53 1C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 04 8B 08 FF 51 30 5B C3 }
	condition:
		$1
}

rule function_75802_0 {
	meta:
		name = "TComboExItem.SetIndex"
		size = 28
		refs = "000b TCollectionItem.SetIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 04 8B 08 FF 51 30 5E 5B C3 }
	condition:
		$1
}

rule function_75803_0 {
	meta:
		name = "TComboExItem.SetOverlayImageIndex"
		size = 25
		refs = "0009 TCollectionItem.GetIndex"
	strings:
		$1 = { 53 8B D8 89 53 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 04 8B 08 FF 51 30 5B C3 }
	condition:
		$1
}

rule function_75804_0 {
	meta:
		name = "TComboExItem.SetSelectedImageIndex"
		size = 25
		refs = "0009 TCollectionItem.GetIndex"
	strings:
		$1 = { 53 8B D8 89 53 1C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 04 8B 08 FF 51 30 5B C3 }
	condition:
		$1
}

rule function_75806_0 {
	meta:
		name = "TComboExItems.AddItem"
		size = 104
		refs = "0011 TComboExItems.Add 0051 TCollectionItem.GetIndex"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B D7 8B C3 8B 08 FF 51 20 8B 55 FC 8B C3 8B 08 FF 51 28 8B 55 14 8B C3 8B 08 FF 51 30 8B 55 10 8B C3 8B 08 FF 51 2C 8B 45 0C 89 43 24 8B 55 08 8B C3 8B 08 FF 51 24 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 30 8B C3 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_75808_0 {
	meta:
		name = "TComboExItems.Insert"
		size = 55
		refs = "000d TCollection.Insert"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B E8 8B C3 8B F0 8B 47 08 8B 58 08 4B 2B DE 7C 0E 43 8B D6 8B C7 8B 08 FF 51 30 46 4B 75 F3 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75809_0 {
	meta:
		name = "TComboExItems.Notify"
		size = 110
		refs = "0036 @UStrClr 0040 TCollection.Owner 004f TCollectionItem.GetIndex 0061 TWinControl.GetHandle 0067 SendMessage"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 E9 01 72 04 74 30 EB 5C 8B F3 C7 46 18 FF FF FF FF C7 46 1C FF FF FF FF C7 46 24 FF FF FF FF C7 46 20 FF FF FF FF 33 C0 89 46 14 8D 46 10 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? F6 40 1C 08 75 21 6A 00 8B C3 E8 ?? ?? ?? ?? 50 68 44 01 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75810_0 {
	meta:
		name = "TComboExItems.SetItem"
		size = 227
		refs = "0015 @FillChar 0029 TCollection.Owner 002e TWinControl.GetHandle 003a SendGetStructMessage 004c TComboExItems.GetComboItem 005d @UStrToPWChar 0068 TCollectionItem.GetIndex 00bc SendStructMessage"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 8B FA 8B F0 8B C4 33 C9 BA 24 00 00 00 E8 ?? ?? ?? ?? 89 7C 24 04 33 C0 89 44 24 0C 54 6A 01 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 BA 0D 04 00 00 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 F6 D8 1B ED 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 C7 04 24 37 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 89 44 24 08 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 8B 43 10 85 C0 74 05 83 E8 04 8B 00 89 44 24 0C 8B 43 18 89 44 24 10 8B 43 1C 89 44 24 14 8B 43 20 89 44 24 18 8B 43 24 89 44 24 1C 8B 43 14 89 44 24 20 85 ED 74 1B 54 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF BA 0B 04 00 00 E8 ?? ?? ?? ?? EB 19 54 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF BA 0C 04 00 00 E8 ?? ?? ?? ?? 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75812_0 {
	meta:
		name = "TCustomComboBoxEx.Create"
		size = 244
		refs = "000f @ClassCreate 0020 CheckCommonControl 002b TCustomCombo.Create 0031 TCustomComboBoxEx.ComboExWndProc 0036 MakeObjectInstance 004e _DV_TComboBoxExStrings 0055 TObject.InheritsFrom 0064 TComboBoxExStrings.Create 00a1 _Dn_TChangeLink 00a6 TObject.Create 00b8 TCustomComboBoxEx.ImageListChange 00c6 TCustomComboBoxEx.Create 00d9 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 B8 00 02 00 00 E8 ?? ?? ?? ?? 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 F0 02 00 00 8B C6 8B 10 FF 92 2C 01 00 00 8B F8 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 19 8B CE B2 01 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 40 01 00 00 EB 16 B2 01 8B C7 FF 90 90 00 00 00 8B D0 8B C6 8B 08 FF 91 40 01 00 00 8B 86 B4 02 00 00 89 70 2C 8B 40 30 89 86 0C 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E F4 02 00 00 89 73 0C C7 43 08 ?? ?? ?? ?? C6 86 08 03 00 00 00 0F B6 05 ?? ?? ?? ?? 88 86 E4 02 00 00 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C3 00 02 00 00 00 }
	condition:
		$1
}

rule function_75813_0 {
	meta:
		name = "TCustomComboBoxEx.Destroy"
		size = 128
		refs = "0003 @BeforeDestruction 0012 TObject.Free 002c TWinControl.HandleAllocated 0045 FreeObjectInstance 0063 @IntfClear 006e TCustomCombo.Destroy 0079 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 8D 86 F4 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 D0 00 00 00 8B 86 F0 02 00 00 E8 ?? ?? ?? ?? 8D 86 FC 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 E0 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75814_0 {
	meta:
		name = "TCustomComboBoxEx.CNNotify"
		size = 82
	strings:
		$1 = { 56 8B F0 8B 42 08 8B 40 08 2D DA FC FF FF 74 1F 83 E8 02 75 34 66 83 BE 12 03 00 00 00 74 31 8B D6 8B 86 14 03 00 00 FF 96 10 03 00 00 5E C3 66 83 BE 1A 03 00 00 00 74 17 8B D6 8B 86 1C 03 00 00 FF 96 18 03 00 00 5E C3 8B C6 8B 08 FF 51 F0 5E C3 }
	condition:
		$1
}

rule function_75815_0 {
	meta:
		name = "TCustomComboBoxEx.CreateParams"
		size = 132
		refs = "000c InitCommonControl 0015 TWinControl.CreateParams 001a TCustomComboBoxEx.CreateParams 0023 TWinControl.CreateSubClass 0049 ComboBoxExStyles"
	strings:
		$1 = { 53 56 8B DA 8B F0 B8 00 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 43 04 0D 00 00 01 00 0D 00 00 20 00 0D 00 00 00 02 83 C8 04 83 C8 40 0F B6 96 08 03 00 00 0B 04 95 ?? ?? ?? ?? 89 43 04 81 63 08 FF FD FF FF 8B 43 24 83 C8 08 83 E0 FC 89 43 24 5E 5B C3 00 00 43 00 6F 00 6D 00 62 00 6F 00 42 00 6F 00 78 00 45 00 78 00 33 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_75816_0 {
	meta:
		name = "TCustomComboBoxEx.SetImages"
		size = 146
		refs = "0017 TCustomImageList.UnRegisterChanges 002e TCustomImageList.RegisterChanges 003b TComponent.FreeNotification 0042 TWinControl.HandleAllocated 0051 TCustomImageList.GetHandle 0060 TWinControl.GetHandle 0066 PostMessage 0084 TControl.Perform 008b TWinControl.RecreateWnd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 F8 02 00 00 85 C0 74 0B 8B 93 F4 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 F8 02 00 00 85 C0 74 46 8B 93 F4 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 45 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 50 6A 00 68 02 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 6A 00 33 C9 BA 02 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75817_0 {
	meta:
		name = "TCustomComboBoxEx.ImageListChange"
		size = 42
		refs = "0009 TWinControl.HandleAllocated 0014 TCustomImageList.GetHandle 0023 TControl.Perform"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 8B C6 E8 ?? ?? ?? ?? 50 33 C9 BA 02 04 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75818_0 {
	meta:
		name = "TCustomComboBoxEx.WndProc"
		size = 75
		refs = "0013 NewStyleControls 0035 TBrush.GetHandle 0044 TCustomCombo.WndProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 06 05 CE 42 FF FF 83 E8 07 73 2D A1 ?? ?? ?? ?? 80 38 00 75 2C 80 BB 08 03 00 00 02 73 23 83 7B 38 00 74 1D 8B 43 38 8B 80 C8 01 00 00 E8 ?? ?? ?? ?? 89 46 0C 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75819_0 {
	meta:
		name = "TCustomComboBoxEx.Notification"
		size = 46
		refs = "0010 TWinControl.Notification 0026 TCustomComboBoxEx.SetImages"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 11 3B B7 F8 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75820_0 {
	meta:
		name = "TCustomComboBoxEx.SetStyle"
		size = 72
		refs = "0017 TCustomComboBoxEx.SetStyle 0033 TWinControl.HandleAllocated 003e TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 08 03 00 00 74 37 88 93 08 03 00 00 80 FA 01 75 0F A1 ?? ?? ?? ?? F7 D0 23 43 58 89 43 58 EB 0B A1 ?? ?? ?? ?? 0B 43 58 89 43 58 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 00 02 00 00 }
	condition:
		$1
}

rule function_75821_0 {
	meta:
		name = "TCustomComboBoxEx.CMParentColorChanged"
		size = 41
		refs = "0006 TControl.CMParentColorChanged 000b NewStyleControls"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 75 13 80 BE 08 03 00 00 02 73 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_75822_0 {
	meta:
		name = "TCustomComboBoxEx.CMColorChanged"
		size = 94
		refs = "0009 TWinControl.CMColorChanged 0010 TWinControl.HandleAllocated 0019 NewStyleControls 003e InvalidateRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 41 A1 ?? ?? ?? ?? 80 38 00 74 37 8B D4 8B C3 8B 08 FF 51 60 8B 83 E8 02 00 00 85 C0 74 0D 6A 00 8D 54 24 04 52 50 E8 ?? ?? ?? ?? 8B 83 B8 02 00 00 85 C0 74 0D 6A 00 8D 54 24 04 52 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_75823_0 {
	meta:
		name = "TCustomComboBoxEx.WMLButtonDown"
		size = 124
		refs = "0009 TControl.GetDragMode 001d GetSystemMetrics 0040 TControl.BeginDrag 004c TControl.WMLButtonDown 0053 TControl.GetMouseCapture 0060 GetParentForm 0075 TControl.SetMouseCapture"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 01 75 36 80 BB 08 03 00 00 02 75 2D 6A 15 E8 ?? ?? ?? ?? 8B 53 50 2B D0 0F BF 46 08 3B D0 7E 19 8B C3 8B 10 FF 92 F4 00 00 00 83 C9 FF 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1E B2 01 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 3B 98 98 02 00 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75824_0 {
	meta:
		name = "TCustomComboBoxEx.ComboExWndProc"
		size = 603
		refs = "0038 TBrush.GetHandle 0051 FillRect 0064 _Dn_TCanvas 0069 TCanvas.Create 0083 TCanvas.SetHandle 0098 BeginPaint 00aa TCustomComboBoxEx.ComboExWndProc 00ea TRect.GetHeight 012f TListControlItems.GetListItem 0162 TCustomImageList.GetCount 01a3 TCustomImageList.Draw 01ab TCanvas.GetHandle 01f4 EndPaint 0206 TObject.Free 020c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 8B DA 89 45 FC 8B 45 FC 80 B8 08 03 00 00 00 0F 85 16 02 00 00 8B 03 83 E8 0F 74 3C 83 E8 05 0F 85 E4 01 00 00 8B 45 FC 8B 80 C8 01 00 00 E8 ?? ?? ?? ?? 50 8D 55 94 8B 45 FC 8B 08 FF 51 60 8D 45 94 50 8B 43 04 50 E8 ?? ?? ?? ?? C7 43 0C 01 00 00 00 E9 F3 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 43 04 89 45 F4 83 7D F4 00 74 0D 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? EB 1D 8D 45 A4 50 8B 45 FC 8B 80 E8 02 00 00 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 E4 8B 45 FC 8B 08 FF 51 60 8B 45 FC 83 B8 F8 02 00 00 00 0F 84 D8 00 00 00 8B 45 FC 8B 10 FF 92 F8 00 00 00 40 0F 84 C6 00 00 00 BF 05 00 00 00 8D 45 E4 E8 ?? ?? ?? ?? 8B F0 D1 FE 79 03 83 D6 00 03 75 E8 8B 45 FC 8B 80 F8 02 00 00 8B 40 38 D1 F8 79 03 83 D0 00 2B F0 8B 45 E8 3B F0 7D 02 8B F0 8B 45 FC 8B 10 FF 92 F8 00 00 00 8B D0 8B 45 FC 8B 80 0C 03 00 00 E8 ?? ?? ?? ?? 83 78 18 00 7C 6E 8B 45 FC 8B 10 FF 92 F8 00 00 00 8B D0 8B 45 FC 8B 80 0C 03 00 00 E8 ?? ?? ?? ?? 8B 40 18 50 8B 45 FC 8B 80 F8 02 00 00 E8 ?? ?? ?? ?? 5A 3B D0 7D 3C 56 8B 45 FC 8B 10 FF 92 F8 00 00 00 8B D0 8B 45 FC 8B 80 0C 03 00 00 E8 ?? ?? ?? ?? 8B 40 18 50 8B 45 FC 8B 10 FF 52 68 50 8B 45 FC 8B 80 F8 02 00 00 8B CF 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 43 04 8B 45 FC 8B 80 EC 02 00 00 50 8B 45 FC 8B 88 E8 02 00 00 8B D3 8B 45 FC 8B 18 FF 93 24 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 75 13 8D 45 A4 50 8B 45 FC 8B 80 E8 02 00 00 50 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 8B 45 FC 8B 80 EC 02 00 00 50 8B 45 FC 8B 88 E8 02 00 00 8B D3 8B 45 FC 8B 18 FF 93 24 01 00 00 EB 20 8B 45 FC 8B 80 EC 02 00 00 50 8B 45 FC 8B 88 E8 02 00 00 8B D3 8B 45 FC 8B 18 FF 93 24 01 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75825_0 {
	meta:
		name = "TCustomComboBoxEx.CreateWnd"
		size = 876
		refs = "0014 TCustomComboBoxEx.CreateWnd 0022 TCustomCombo.CreateWnd 002c TWinControl.GetHandle 0032 GetWindow 0054 GetWindowLongPtr 007c SetWindowLongPtr 0150 NewStyleControls 0179 SendMessage 0206 TObject.Free 0214 TControl.SetFont 0253 @HandleFinally 026f TCustomImageList.GetHandle 0285 PostMessage 0297 TCustomComboBoxEx.SetStyleEx 02a4 @IntfClear 02c0 CLSID_AutoComplete 02c6 CoCreateInstance 02ff _DV_TComboBoxExEnumerator 0304 TComboBoxExEnumerator.Create 0315 @IntfCopy 0335 TCustomComboBoxEx.UpdateAutoComplete"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 6A 05 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 89 98 C0 02 00 00 8B C3 8B 55 F8 89 82 E8 02 00 00 BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 8B 55 F8 89 82 EC 02 00 00 8B 45 F8 8B 80 E8 02 00 00 BA FC FF FF FF 8B 4D F8 8B 89 F0 02 00 00 51 52 50 E8 ?? ?? ?? ?? 8B 45 F8 0F B6 80 08 03 00 00 2C 02 0F 83 BD 00 00 00 6A 05 6A 05 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 9B 00 00 00 8B 45 F8 80 B8 08 03 00 00 01 75 50 8B 45 F8 89 98 BC 02 00 00 8B 45 F8 8B 80 BC 02 00 00 BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 8B 55 F8 89 82 C8 02 00 00 8B 45 F8 8B 80 BC 02 00 00 BA FC FF FF FF 8B 4D F8 8B B1 D8 02 00 00 56 52 50 E8 ?? ?? ?? ?? 6A 02 53 E8 ?? ?? ?? ?? 8B D8 8B 55 F8 8B C3 89 82 B8 02 00 00 BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 8B 55 F8 89 82 C4 02 00 00 8B 45 F8 8B 80 B8 02 00 00 BA FC FF FF FF 8B 4D F8 8B 89 D4 02 00 00 51 52 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 24 8B 45 F8 83 B8 B8 02 00 00 00 74 18 6A 00 6A 03 68 D3 00 00 00 8B 45 F8 8B 80 B8 02 00 00 50 E8 ?? ?? ?? ?? 8B 45 F8 83 B8 FC 02 00 00 00 0F 84 CC 00 00 00 8B 45 F8 8B 80 0C 03 00 00 8B 10 FF 52 20 8B 45 F8 C6 80 00 03 00 00 01 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F8 8B 90 FC 02 00 00 8B 45 F8 8B 80 0C 03 00 00 8B 08 FF 51 08 8B 45 F8 8B 80 0C 03 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 17 43 33 F6 8B 45 F8 8B 80 0C 03 00 00 8B D6 8B 08 FF 51 30 46 4B 75 EC 8B 45 F8 05 FC 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 6C 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 90 04 03 00 00 8B 45 F8 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 80 0C 03 00 00 8B 10 FF 52 24 8B 45 F8 C6 80 00 03 00 00 00 C3 E9 ?? ?? ?? ?? EB E0 8B 45 F8 83 B8 F8 02 00 00 00 74 24 8B 45 F8 8B 80 F8 02 00 00 E8 ?? ?? ?? ?? 50 6A 00 68 02 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 0F B6 90 09 03 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 05 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 05 E0 02 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 01 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 83 B8 E0 02 00 00 00 74 63 6A 00 6A 00 68 07 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 46 8B 45 F8 8B 88 0C 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC 50 53 8B 45 F8 8B 80 E0 02 00 00 50 8B 00 FF 50 0C 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 62 27 BB 00 77 6A D0 11 A5 35 00 C0 4F D7 D0 62 }
	condition:
		$1
}

rule function_75826_0 {
	meta:
		name = "TCustomComboBox.GetItemCount"
		size = 12
		altNames = "TCustomComboBoxEx.GetItemCount"
	strings:
		$1 = { 8B 80 B4 02 00 00 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_75828_0 {
	meta:
		name = "TCustomComboBoxEx.GetSelText"
		size = 115
		refs = "000f TCustomComboBoxEx.GetSelText 001c @UStrClr 0030 TControl.GetText 003b TCustomCombo.GetSelLength 0043 TCustomCombo.GetSelStart 004d @UStrCopy 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 80 BB 08 03 00 00 02 73 28 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 42 59 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75829_0 {
	meta:
		name = "TCustomComboBoxEx.SetItemsEx"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 0C 03 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_75831_0 {
	meta:
		name = "TCustomComboBoxEx.SetStyleEx"
		size = 97
		refs = "0018 TWinControl.HandleAllocated 0023 ComboExStyles 0052 TWinControl.GetHandle 0058 SendMessage"
	strings:
		$1 = { 53 56 57 51 88 14 24 8B D8 33 FF 0F B6 04 24 88 83 09 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3C 33 C0 BE ?? ?? ?? ?? 8B D0 80 FA 07 77 0D 83 E2 7F 0F B6 8B 09 03 00 00 0F A3 D1 73 02 0B 3E 40 83 C6 04 3C 05 75 E0 57 6A 00 68 0E 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75832_0 {
	meta:
		name = "TCustomComboBoxEx.IsItemsExStored"
		size = 55
		refs = "0022 _Dn_TCustomListAction 0027 @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 58 85 C0 74 25 8B C3 8B 10 FF 52 58 85 C0 74 16 8B C3 8B 10 FF 52 58 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_75833_0 {
	meta:
		name = "TCustomComboBoxEx.ActionChange"
		size = 100
		refs = "0010 TWinControl.ActionChange 0018 _Dn_TStaticListAction 001d @IsClass 003b TCustomComboBoxEx.SetImages"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3B 84 DB 74 09 83 BF F8 02 00 00 00 75 0D 8B 96 AC 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 DB 74 0D 8B C7 8B 10 FF 92 F8 00 00 00 40 74 10 8B 96 D0 00 00 00 8B C7 8B 08 FF 91 FC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75834_0 {
	meta:
		name = "TCustomComboBoxEx.SetDropDownCount"
		size = 64
		refs = "0006 TCustomCombo.SetDropDownCount 000d TCustomComboBoxEx.SetDropDownCount 0024 TWinControl.HandleAllocated 002f TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 23 43 1C 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 12 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 11 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_75835_0 {
	meta:
		name = "TCustomComboBoxEx.SetSelText"
		size = 54
		refs = "0014 TWinControl.HandleNeeded 001b @UStrToPWChar 002f SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 0F B6 83 08 03 00 00 2C 02 73 22 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 6A 00 68 C2 00 00 00 8B 83 B8 02 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75836_0 {
	meta:
		name = "TCustomComboBoxEx.GetDropDownCount"
		size = 7
		altNames = "TCustomScreenTipsPopup.GetPicture"
	strings:
		$1 = { 8B 80 80 02 00 00 C3 }
	condition:
		$1
}

rule function_75838_0 {
	meta:
		name = "TCustomComboBoxEx.DestroyWnd"
		size = 108
		refs = "002d _DV_TComboExItem 0034 _Dn_TCollection 0039 TCollection.Create 0065 TWinControl.DestroyWnd"
	strings:
		$1 = { 53 56 8B D8 8B 83 0C 03 00 00 8B 40 08 83 78 08 00 7E 0C 83 BB FC 02 00 00 00 0F 94 C0 EB 02 33 C0 84 C0 74 3D F6 43 5D 20 74 37 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 FC 02 00 00 8B 93 0C 03 00 00 8B C6 8B 08 FF 51 08 8B C3 8B 10 FF 92 F8 00 00 00 89 83 04 03 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75839_0 {
	meta:
		name = "TCustomComboBoxEx.Focused"
		size = 57
		refs = "0009 TWinControl.HandleAllocated 0012 GetFocus"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 23 E8 ?? ?? ?? ?? 3B 86 B8 02 00 00 74 14 3B 86 BC 02 00 00 74 0C 3B 86 E8 02 00 00 74 04 33 DB EB 02 B3 01 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_75840_0 {
	meta:
		name = "TCustomComboBoxEx.UpdateAutoComplete"
		size = 288
		refs = "000c TCustomComboBoxEx.UpdateAutoComplete 0019 TWinControl.HandleAllocated 0036 @IntfClear 0048 Supports 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 C4 00 00 00 83 BB E0 02 00 00 00 0F 84 B7 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 7E 0F B6 05 ?? ?? ?? ?? 3A 83 E4 02 00 00 75 0D 6A 00 8B 45 FC 50 8B 00 FF 50 14 EB 7D 33 C0 F6 83 E4 02 00 00 01 74 03 83 C8 01 F6 83 E4 02 00 00 02 74 03 83 C8 02 F6 83 E4 02 00 00 04 74 03 83 C8 04 F6 83 E4 02 00 00 08 74 03 83 C8 08 F6 83 E4 02 00 00 10 74 03 83 C8 10 F6 83 E4 02 00 00 20 74 03 83 C8 20 F6 83 E4 02 00 00 40 74 03 83 C8 40 50 8B 45 FC 50 8B 00 FF 50 14 EB 1B F6 83 E4 02 00 00 01 0F 95 C0 F6 D8 1B C0 50 8B 83 E0 02 00 00 50 8B 00 FF 50 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 C0 4B C0 EA 91 37 D2 11 BB 95 00 60 97 7B 46 4C 00 00 00 00 }
	condition:
		$1
}

rule function_75841_0 {
	meta:
		name = "TCustomComboBoxEx.SetAutoCompleteOptions"
		size = 39
		refs = "0020 TCustomComboBoxEx.UpdateAutoComplete"
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 04 24 3A 83 E4 02 00 00 74 11 0F B6 04 24 88 83 E4 02 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_75842_0 {
	meta:
		name = "TCustomComboBoxEx.WMHelp"
		size = 31
		refs = "0009 TWinControl.GetHandle"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 56 08 89 42 0C 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_75845_0 {
	meta:
		name = "TStatusBar.GetOnDrawPanel"
		size = 18
	strings:
		$1 = { 8B 88 90 02 00 00 89 0A 8B 88 94 02 00 00 89 4A 04 C3 }
	condition:
		$1
}

rule function_75846_0 {
	meta:
		name = "TStatusBar.SetOnDrawPanel"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 90 02 00 00 8B 55 0C 89 90 94 02 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_75847_0 {
	meta:
		name = "TComboBoxExStrings.Add"
		size = 33
		refs = "0008 TComboExItems.Add 001a TCollectionItem.GetIndex"
	strings:
		$1 = { 53 56 8B F2 8B 40 30 E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 51 20 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75848_0 {
	meta:
		name = "TComboBoxExStrings.AddObject"
		size = 46
		refs = "000b TComboExItems.Add 0026 TCollectionItem.GetIndex"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B 40 30 E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 51 20 8B D7 8B C3 8B 08 FF 51 24 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75849_0 {
	meta:
		name = "TComboBoxExStrings.Clear"
		size = 113
		refs = "0016 TComboBoxExStrings.Clear 0027 TCollection.Clear 0032 TWinControl.HandleAllocated 004a TControl.Perform 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 30 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 84 C0 74 14 6A 00 8B 45 FC 8B 40 2C 33 C9 BA 33 B0 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 30 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB ED 59 5D C3 }
	condition:
		$1
}

rule function_75850_0 {
	meta:
		name = "TComboBoxExStrings.Create"
		size = 88
		refs = "000b @ClassCreate 001a TCustomComboBoxStrings.Create 0044 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 98 00 00 00 50 8B C7 8B 10 FF 92 94 00 00 00 8B CE B2 01 FF 50 2C 89 47 30 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75853_0 {
	meta:
		name = "TComboBoxExStrings.Exchange"
		size = 331
		refs = "0018 TComboBoxExStrings.Exchange 0028 TListControlItems.GetListItem 0033 @UStrLAsg 0138 @UStrClr 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 43 30 E8 ?? ?? ?? ?? 8B 50 10 8D 45 FC E8 ?? ?? ?? ?? 8B D6 8B 43 30 E8 ?? ?? ?? ?? 8B 40 10 50 8B D7 8B 43 30 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 20 8B D6 8B 43 30 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 20 8B D7 8B 43 30 E8 ?? ?? ?? ?? 8B 40 18 89 45 F8 8B D6 8B 43 30 E8 ?? ?? ?? ?? 8B 40 18 50 8B D7 8B 43 30 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 28 8B D6 8B 43 30 E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 51 28 8B D7 8B 43 30 E8 ?? ?? ?? ?? 8B 40 1C 89 45 F8 8B D6 8B 43 30 E8 ?? ?? ?? ?? 8B 40 1C 50 8B D7 8B 43 30 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 30 8B D6 8B 43 30 E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 51 30 8B D7 8B 43 30 E8 ?? ?? ?? ?? 8B 40 20 89 45 F8 8B D6 8B 43 30 E8 ?? ?? ?? ?? 8B 40 20 50 8B D7 8B 43 30 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 2C 8B D6 8B 43 30 E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_75854_0 {
	meta:
		name = "TComboBoxExStrings.Get"
		size = 33
		refs = "000f TListControlItems.GetListItem 0019 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 30 E8 ?? ?? ?? ?? 8B 50 10 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75855_0 {
	meta:
		name = "TComboBoxExStrings.GetCapacity"
		size = 10
		altNames = "TComboBoxExStrings.GetCount"
	strings:
		$1 = { 8B 40 30 8B 40 08 8B 40 08 C3 }
	condition:
		$1
}

rule function_75857_0 {
	meta:
		name = "TComboBoxExStrings.GetObject"
		size = 22
		refs = "000c TListControlItems.GetListItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 30 E8 ?? ?? ?? ?? 8B 40 14 5E 5B C3 }
	condition:
		$1
}

rule function_75858_0 {
	meta:
		name = "TComboBoxExStrings.IndexOf"
		size = 75
		refs = "0027 TListControlItems.GetListItem 0031 AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C7 04 24 FF FF FF FF 8B 47 30 8B 40 08 8B 70 08 4E 85 F6 7C 24 46 33 DB 8B 47 30 8B D3 E8 ?? ?? ?? ?? 8B 40 10 8B D5 E8 ?? ?? ?? ?? 85 C0 75 05 89 1C 24 EB 04 43 4E 75 DF 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75859_0 {
	meta:
		name = "TComboBoxExStrings.IndexOfName"
		size = 6
	strings:
		$1 = { 8B 08 FF 51 54 C3 }
	condition:
		$1
}

rule function_75860_0 {
	meta:
		name = "TComboBoxExStrings.Insert"
		size = 20
		refs = "0007 TComboExItems.Insert"
	strings:
		$1 = { 53 8B D9 8B 40 30 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 20 5B C3 }
	condition:
		$1
}

rule function_75861_0 {
	meta:
		name = "TComboBoxExStrings.Move"
		size = 30
		refs = "000f TListControlItems.GetListItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 30 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75862_0 {
	meta:
		name = "TComboBoxExStrings.PutObject"
		size = 30
		refs = "000f TListControlItems.GetListItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 30 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75863_0 {
	meta:
		name = "TComboBoxExStrings.SetItems"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 30 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_75864_0 {
	meta:
		name = "TComboBoxExStrings.SetUpdateState"
		size = 62
		refs = "000a TWinControl.HandleAllocated 0022 TWinControl.GetHandle 0028 SendMessage 0037 TControl.Refresh"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 2C E8 ?? ?? ?? ?? 84 C0 74 29 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B 46 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 F3 01 84 DB 74 08 8B 46 2C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75865_0 {
	meta:
		name = "TComboBoxExStrings.AddItem"
		size = 33
		refs = "0018 TComboExItems.AddItem"
	strings:
		$1 = { 55 8B EC 53 8B 5D 14 53 8B 5D 10 53 8B 5D 0C 53 8B 5D 08 53 8B 40 30 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_75866_0 {
	meta:
		name = "TComboBoxExStrings.GetSortType"
		size = 8
	strings:
		$1 = { 8B 40 30 0F B6 40 1D C3 }
	condition:
		$1
}

rule function_75871_0 {
	meta:
		name = "THeaderControl.GetOnDrawSection"
		size = 18
	strings:
		$1 = { 8B 88 B0 02 00 00 89 0A 8B 88 B4 02 00 00 89 4A 04 C3 }
	condition:
		$1
}

rule function_75872_0 {
	meta:
		name = "THeaderControl.GetOnSectionClick"
		size = 18
	strings:
		$1 = { 8B 88 B8 02 00 00 89 0A 8B 88 BC 02 00 00 89 4A 04 C3 }
	condition:
		$1
}

rule function_75873_0 {
	meta:
		name = "THeaderControl.GetOnSectionResize"
		size = 18
	strings:
		$1 = { 8B 88 C8 02 00 00 89 0A 8B 88 CC 02 00 00 89 4A 04 C3 }
	condition:
		$1
}

rule function_75874_0 {
	meta:
		name = "THeaderControl.GetOnSectionTrack"
		size = 18
	strings:
		$1 = { 8B 88 D0 02 00 00 89 0A 8B 88 D4 02 00 00 89 4A 04 C3 }
	condition:
		$1
}

rule function_75875_0 {
	meta:
		name = "THeaderControl.SetOnDrawSection"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 B0 02 00 00 8B 55 0C 89 90 B4 02 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_75876_0 {
	meta:
		name = "THeaderControl.SetOnSectionClick"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 B8 02 00 00 8B 55 0C 89 90 BC 02 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_75877_0 {
	meta:
		name = "THeaderControl.SetOnSectionResize"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 C8 02 00 00 8B 55 0C 89 90 CC 02 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_75878_0 {
	meta:
		name = "THeaderControl.SetOnSectionTrack"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 D0 02 00 00 8B 55 0C 89 90 D4 02 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_75879_0 {
	meta:
		name = "TListViewActionLink.AddItem"
		size = 118
		refs = "0011 @UStrAddRef 0019 TListViewActionLink.AddItem 002d TListItems.Add 003a TListItem.SetImage 0044 TListItem.SetCaption 004e TListItem.SetData 0063 @UStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_75880_0 {
	meta:
		name = "TListViewActionLink.AddItem"
		size = 55
		refs = "000e TListItems.Add 001c TListItem.SetImage 0026 TListItem.SetCaption 0030 TListItem.SetData"
	strings:
		$1 = { 53 56 8B F2 8B 40 20 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 4E 18 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 56 10 8B C3 E8 ?? ?? ?? ?? 8B 56 14 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75881_0 {
	meta:
		name = "TListViewActionLink.SetImages"
		size = 44
		refs = "0019 _DV_TCustomListView 001e @AsClass 0025 TCustomListView.SetSmallImages"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 9C 00 00 00 84 C0 74 15 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75882_0 {
	meta:
		name = "TComboBoxExActionLink.AddItem"
		size = 110
		refs = "0011 @UStrAddRef 0019 TComboBoxExActionLink.AddItem 0028 _DV_TCustomComboBoxEx 002d @AsClass 0046 TComboExItems.AddItem 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 6A FF 6A FF 8B 55 08 52 8B 80 0C 03 00 00 8B CE 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_75883_0 {
	meta:
		name = "TComboBoxExActionLink.AddItem"
		size = 51
		refs = "000b _DV_TCustomComboBoxEx 0010 @AsClass 002c TComboExItems.AddItem"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 18 52 6A FF 6A FF 8B 4B 14 51 8B 80 0C 03 00 00 8B CA 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75884_0 {
	meta:
		name = "TComboBoxExEnumerator.Clone"
		size = 67
		refs = "0019 _DV_TComboBoxExEnumerator 001e TComboBoxExEnumerator.Create 0031 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 4B 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 0C 8B D6 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? 8B 43 10 89 46 10 33 C0 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_75886_0 {
	meta:
		name = "TComboBoxExEnumerator.GetCount"
		size = 10
	strings:
		$1 = { 8B 40 0C 8B 40 08 8B 40 08 C3 }
	condition:
		$1
}

rule function_75887_0 {
	meta:
		name = "TComboBoxExEnumerator.GetString"
		size = 33
		refs = "000f TListControlItems.GetListItem 0019 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B 50 10 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75888_0 {
	meta:
		name = "TComboBoxExEnumerator.Next"
		size = 245
		refs = "0018 TComboBoxExEnumerator.Next 0027 TComboBoxExEnumerator.GetCount 0039 TComboBoxExEnumerator.GetString 0044 @WStrFromUStr 0067 CoTaskMemAlloc 0080 @FillChar 0097 Move 00d6 @UStrClr 00de @WStrClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C0 89 45 EC 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F4 EB 6F 8D 4D EC 8B 56 10 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 7D FC 85 FF 74 09 83 EF 04 8B 07 D1 E8 8B F8 8B C7 03 C0 89 45 F8 8B 45 F8 83 C0 02 50 E8 ?? ?? ?? ?? 8B 55 10 89 04 9A 8B 55 F8 83 C2 02 8B 45 10 8B 04 98 33 C9 E8 ?? ?? ?? ?? 8B 45 10 8B 04 98 89 45 F0 8B 4D F8 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 43 FF 46 10 3B 5D 0C 7D 08 8B 46 10 3B 45 F4 7C 84 83 7D 14 00 74 05 8B 45 14 89 18 3B 5D 0C 75 04 33 DB EB 05 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_75890_0 {
	meta:
		name = "TComboBoxExEnumerator.Skip"
		size = 44
		refs = "000a TComboBoxExEnumerator.GetCount"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 8B 55 0C 01 53 10 3B 43 10 7E 04 33 C0 EB 0A 33 C0 89 43 10 B8 01 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_75891_0 {
	meta:
		name = "TListGroup.Create"
		size = 192
		refs = "0011 @ClassCreate 0021 TListGroups.GetNextGroupID 002f TCollectionItem.Create 0036 TListGroup.Create 0069 TListGroups.Owner 006e TWinControl.HandleAllocated 007e TWinControl.GetHandle 0087 TCollectionItem.GetIndex 0097 SendMessage 00a4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B FE 8B C7 E8 ?? ?? ?? ?? 89 43 14 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 43 18 C6 43 1A 00 C6 43 1B 00 C7 43 28 FF FF FF FF C7 45 9C 60 00 00 00 C7 45 A0 14 00 00 00 8B 43 14 89 45 B4 33 C0 89 45 BC 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8D 55 9C 52 50 68 91 10 00 00 56 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_75892_0 {
	meta:
		name = "TListGroup.Destroy"
		size = 200
		refs = "0008 @BeforeDestruction 0017 TListGroups.Owner 001c TWinControl.HandleAllocated 002c TWinControl.GetHandle 003d SendMessage 0067 TListItems.GetCount 007c TListItems.GetItem 0097 TListItem.SetGroupID 00a9 TCollectionItem.Destroy 00b0 TListGroups.UpdateGroups 00bd @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 E8 ?? ?? ?? ?? 88 14 24 8B D8 8B 73 04 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 14 6A 00 52 68 96 10 00 00 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 80 A4 02 00 00 89 44 24 04 8B C6 E8 ?? ?? ?? ?? 80 B8 BC 02 00 00 00 75 3D 8B 44 24 04 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 2D 45 33 FF 8B D7 8B 44 24 04 E8 ?? ?? ?? ?? 8B 40 2C 3B 43 14 75 13 8B D7 8B 44 24 04 E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 47 4D 75 D6 0F B6 14 24 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C3 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75893_0 {
	meta:
		name = "TListGroup.SetHeader"
		size = 116
		refs = "000e @UStrAddRef 0016 TListGroup.SetHeader 0027 @UStrEqual 0034 @UStrAsg 003c TListGroups.Owner 004f TCustomListView.UpdateGroups 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 55 FC E8 ?? ?? ?? ?? 74 26 8D 43 0C 8B 55 FC E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? F6 40 1C 01 75 0D 8B 43 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_75894_0 {
	meta:
		name = "TListGroup.SetFooter"
		size = 116
		refs = "000e @UStrAddRef 0016 TListGroup.SetFooter 0027 @UStrEqual 0034 @UStrAsg 003c TListGroups.Owner 004f TCustomListView.UpdateGroups 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 8B 55 FC E8 ?? ?? ?? ?? 74 26 8D 43 10 8B 55 FC E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? F6 40 1C 01 75 0D 8B 43 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_75895_0 {
	meta:
		name = "TListGroup.SetGroupID"
		size = 395
		refs = "0017 TListGroup.SetGroupID 002d :TListGroup.:1 0032 @DynArraySetLength 005c TListGroups.GetItem 0074 TListGroups.Owner 007f TListItems.GetCount 009e TListItems.GetItem 00ae @DynArrayLength 00f4 TWinControl.GetHandle 0105 SendMessage 0126 TCustomListView.UpdateGroups 0159 TListItem.SetGroupID 0178 @DynArrayClear 017e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 3B 43 14 0F 84 1C 01 00 00 8B 43 04 8B 40 08 8B 70 08 4E 85 F6 7C 1D 46 33 FF 8B D7 8B 43 04 E8 ?? ?? ?? ?? 8B 40 14 3B 45 F8 0F 84 F5 00 00 00 47 4E 75 E6 8B 43 04 E8 ?? ?? ?? ?? 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 53 46 33 FF 8B 43 04 E8 ?? ?? ?? ?? 8B 80 A4 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B 40 2C 3B 43 14 75 2F 8B 45 FC E8 ?? ?? ?? ?? 40 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 7C 82 FC 47 4E 75 B0 8B 43 04 E8 ?? ?? ?? ?? F6 40 1C 01 75 1E 8B 43 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 14 6A 00 52 68 96 10 00 00 50 E8 ?? ?? ?? ?? 8B 45 F8 89 43 14 8B 43 04 E8 ?? ?? ?? ?? F6 40 1C 01 75 0D 8B 43 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 28 46 33 FF 8B 43 04 E8 ?? ?? ?? ?? 8B 80 A4 02 00 00 8B 55 FC 8B 14 BA E8 ?? ?? ?? ?? 8B 53 14 E8 ?? ?? ?? ?? 47 4E 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_75896_0 {
	meta:
		name = "TListGroup.GetState"
		size = 164
		refs = "000d TListGroups.Owner 0012 TWinControl.HandleAllocated 0023 TWinControl.GetHandle 0036 SendMessage 003f TListGroup.GetState"
	strings:
		$1 = { 53 56 57 8B D8 0F B7 73 18 8B 43 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7E 8B 43 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 14 83 CF FF 57 52 68 5C 10 00 00 50 E8 ?? ?? ?? ?? 8B F8 0F B7 05 ?? ?? ?? ?? F7 D0 66 23 C6 8B F0 F7 C7 02 00 00 00 74 04 66 83 CE 02 F7 C7 01 00 00 00 74 04 66 83 CE 04 F7 C7 10 00 00 00 74 04 66 83 CE 20 F7 C7 20 00 00 00 74 04 66 83 CE 40 F7 C7 40 00 00 00 74 05 66 81 CE 80 00 F7 C7 80 00 00 00 74 05 66 81 CE 00 01 66 89 73 18 8B C6 5F 5E 5B C3 00 00 E6 01 00 00 }
	condition:
		$1
}

rule function_75897_0 {
	meta:
		name = "TListGroup.SetState"
		size = 56
		refs = "001e TListGroups.Owner 0031 TCustomListView.UpdateGroups"
	strings:
		$1 = { 53 51 66 89 14 24 8B D8 0F B7 04 24 66 3B 43 18 74 23 0F B7 04 24 66 89 43 18 8B 43 04 E8 ?? ?? ?? ?? F6 40 1C 01 75 0D 8B 43 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_75898_0 {
	meta:
		name = "TListGroup.SetHeaderAlign"
		size = 40
		refs = "000f TListGroups.Owner 0022 TCustomListView.UpdateGroups"
	strings:
		$1 = { 53 8B D8 3A 53 1A 74 1E 88 53 1A 8B 43 04 E8 ?? ?? ?? ?? F6 40 1C 01 75 0D 8B 43 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75899_0 {
	meta:
		name = "TListGroup.SetFooterAlign"
		size = 40
		refs = "000f TListGroups.Owner 0022 TCustomListView.UpdateGroups"
	strings:
		$1 = { 53 8B D8 3A 53 1B 74 1E 88 53 1B 8B 43 04 E8 ?? ?? ?? ?? F6 40 1C 01 75 0D 8B 43 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75900_0 {
	meta:
		name = "TListGroup.SetSubtitle"
		size = 116
		refs = "000e @UStrAddRef 0016 TListGroup.SetSubtitle 0027 @UStrEqual 0034 @UStrAsg 003c TListGroups.Owner 004f TCustomListView.UpdateGroups 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 1C 8B 55 FC E8 ?? ?? ?? ?? 74 26 8D 43 1C 8B 55 FC E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? F6 40 1C 01 75 0D 8B 43 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_75901_0 {
	meta:
		name = "TListGroup.SetTitleImage"
		size = 40
		refs = "000f TListGroups.Owner 0022 TCustomListView.UpdateGroups"
	strings:
		$1 = { 53 8B D8 3B 53 28 74 1E 89 53 28 8B 43 04 E8 ?? ?? ?? ?? F6 40 1C 01 75 0D 8B 43 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75902_0 {
	meta:
		name = "TListGroup.ReadDescriptionTop"
		size = 80
		refs = "000f TListGroup.ReadDescriptionTop 001f TReader.ReadString 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75903_0 {
	meta:
		name = "TListGroup.ReadDescriptionBottom"
		size = 80
		refs = "000f TListGroup.ReadDescriptionBottom 001f TReader.ReadString 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_75905_0 {
	meta:
		name = "TListGroup.IgnoreString"
		size = 60
		refs = "0009 TListGroup.IgnoreString 0018 TReader.ReadString 002d @UStrClr 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_90935_0 {
	meta:
		name = "TFramedBorder.ReadParentSeries"
		size = 60
		refs = "0009 TFramedBorder.ReadParentSeries 0018 TReader.ReadIdent 002d @UStrClr 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_78207_0 {
	meta:
		name = "TOpenDialog.ReadFileEditStyle"
		size = 60
		refs = "0009 TOpenDialog.ReadFileEditStyle 0018 TReader.ReadIdent 002d @UStrClr 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_75906_0 {
	meta:
		name = "TListGroup.DefineProperties"
		size = 276
		refs = "0009 TListGroup.IgnoreInt 0014 TListGroup.DefineProperties 0021 TListGroup.IgnoreString 0039 TListGroup.ReadDescriptionTop 0051 TListGroup.ReadDescriptionBottom"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 04 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 04 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 04 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 45 00 78 00 74 00 65 00 6E 00 64 00 65 00 64 00 49 00 6D 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 75 00 62 00 73 00 65 00 74 00 54 00 69 00 74 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 54 00 6F 00 70 00 44 00 65 00 73 00 63 00 72 00 69 00 70 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 42 00 6F 00 74 00 74 00 6F 00 6D 00 44 00 65 00 73 00 63 00 72 00 69 00 70 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_75909_0 {
	meta:
		name = "TListGroup.Assign"
		size = 106
		refs = "000a _DV_TListGroup 000f @IsClass 001d TListGroup.SetHeader 0027 TListGroup.SetFooter 002e TListGroup.GetState 0037 TListGroup.SetState 0042 TListGroup.SetHeaderAlign 004d TListGroup.SetFooterAlign 0057 TListGroup.SetSubtitle 0063 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 47 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 8B 56 10 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B6 56 1A 8B C3 E8 ?? ?? ?? ?? 0F B6 56 1B 8B C3 E8 ?? ?? ?? ?? 8B 56 1C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75912_0 {
	meta:
		name = "TListGroups.GetNextGroupID"
		size = 72
		refs = "0024 TListGroups.GetItem"
	strings:
		$1 = { 53 56 57 55 8B F8 33 ED 8B 47 08 83 78 08 00 74 30 8B 47 08 8B 70 08 4E 85 F6 7C F5 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 3B 68 14 75 03 45 EB E1 8B 47 08 8B 40 08 48 3B D8 74 06 43 4E 75 E0 EB D0 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75913_0 {
	meta:
		name = "TListGroups.UpdateGroups"
		size = 91
		refs = "000b TListGroups.Owner 0010 TWinControl.HandleAllocated 0024 TListGroups.UpdateGroups 0037 TCustomListView.UpdateGroups 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 40 8B 45 FC 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_75919_0 {
	meta:
		name = "FreeConversionFormatList"
		size = 93
		refs = "0004 ConversionFormatList 0010 RTFConversionFormat 0017 TList.RemoveItem 001e TextConversionFormat 003b TList.Get 0041 TConversionFormat 0046 @Dispose 0055 TObject.Free"
	strings:
		$1 = { 53 56 57 BF ?? ?? ?? ?? 83 3F 00 74 4C 8B 07 BA ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 8B 07 BA ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? 8B 07 8B 58 08 4B 85 DB 7C 1B 43 33 F6 8B D6 8B 07 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 E8 8B 07 33 D2 89 17 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75920_0 {
	meta:
		name = "TTabControlStyleHook.Create"
		size = 96
		refs = "000a @ClassCreate 0017 TMouseTrackControlStyleHook.Create 004d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 0D 01 C6 46 17 01 C6 46 16 01 33 C0 89 46 34 33 C0 89 46 30 33 C0 89 46 38 C6 46 3C 00 C6 46 3D 00 C6 46 3E 00 C6 46 3F 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_75921_0 {
	meta:
		name = "TTabControlStyleHook.Destroy"
		size = 69
		refs = "0004 @BeforeDestruction 001f SetWindowLongPtr 0027 FreeObjectInstance 0032 TMouseTrackControlStyleHook.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 30 85 C0 74 10 BA FC FF FF FF 8B 7E 38 57 52 50 E8 ?? ?? ?? ?? 8B 46 34 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75922_0 {
	meta:
		name = "TTabControlStyleHook.CNNotify"
		size = 46
		refs = "0015 TStyleHook.GetHandle 0027 TTabControlStyleHook.UpdateUpDownArea"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 08 81 78 08 D9 FD FF FF 75 19 8B C3 E8 ?? ?? ?? ?? 3B 46 04 75 0D 83 7B 30 00 74 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75923_0 {
	meta:
		name = "TTabControlStyleHook.WMParentNotify"
		size = 12
		refs = "0007 TTabControlStyleHook.HookUpDownControl"
	strings:
		$1 = { 83 78 30 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_75924_0 {
	meta:
		name = "TTabControlStyleHook.WndProc"
		size = 40
		refs = "000b TMouseTrackControlStyleHook.WndProc 0021 TTabControlStyleHook.HookUpDownControl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 06 2D 28 13 00 00 75 0D 83 7B 30 00 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75925_0 {
	meta:
		name = "TTabControlStyleHook.HookUpDownControl"
		size = 128
		refs = "000d TTabControlStyleHook.HookUpDownControl 0016 TStyleHook.GetHandle 001c FindWindowEx 0031 MakeObjectInstance 0043 GetWindowLongPtr 0059 SetWindowLongPtr"
	strings:
		$1 = { 53 56 8B D8 83 7B 30 00 75 53 6A 00 68 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 89 73 30 85 F6 74 34 53 8B 03 8B 40 3C 50 E8 ?? ?? ?? ?? 89 43 34 8B 43 30 BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 89 43 38 8B 43 30 BA FC FF FF FF 8B 4B 34 51 52 50 E8 ?? ?? ?? ?? 5E 5B C3 6D 00 73 00 63 00 74 00 6C 00 73 00 5F 00 75 00 70 00 64 00 6F 00 77 00 6E 00 33 00 32 00 00 00 }
	condition:
		$1
}

rule function_75926_0 {
	meta:
		name = "TTabControlStyleHook.UpdateUpDownArea"
		size = 211
		refs = "0018 GetWindowRect 0036 TControl.ScreenToClient 003d TTabControlStyleHook.GetTabPosition 004a TRect.GetHeight 0060 TRect.GetWidth 0071 Rect 0081 TStyleHook.GetHandle 0087 RedrawWindow"
	strings:
		$1 = { 53 83 C4 D0 8B D8 8B 43 30 85 C0 0F 84 BD 00 00 00 8D 54 24 10 52 50 E8 ?? ?? ?? ?? 8B 44 24 10 89 44 24 08 8B 44 24 14 89 44 24 0C 8B CC 8D 54 24 08 8B 43 08 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 48 8D 44 24 10 E8 ?? ?? ?? ?? 03 44 24 04 83 C0 05 50 8D 44 24 24 50 8D 44 24 18 E8 ?? ?? ?? ?? 8B C8 03 4C 24 08 33 D2 8B 44 24 08 E8 ?? ?? ?? ?? 6A 01 6A 00 8D 44 24 28 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 41 8B 43 08 8B 40 54 50 8D 44 24 24 50 8D 44 24 18 E8 ?? ?? ?? ?? 8B C8 03 4C 24 08 8B 54 24 0C 83 EA 05 8B 44 24 08 E8 ?? ?? ?? ?? 6A 01 6A 00 8D 44 24 28 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 30 5B C3 }
	condition:
		$1
}

rule function_75927_0 {
	meta:
		name = "TTabControlStyleHook.PaintUpDown"
		size = 495
		refs = "0016 GetWindowRect 001e TRect.GetWidth 002e TRect.GetHeight 003b StyleServices 004f _Dn_TBitmap 0054 TBitmap.Create 005f TTabControlStyleHook.PaintUpDown 00a7 TRect.Create 00b8 TCustomStyleServices.ColorToRGB 00c1 TBitmap.GetCanvas 00ca TBrush.SetColor 012a TCanvas.GetHandle 0139 TCustomStyleServices.DrawElement 01dd TObject.Free 01e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 89 55 FC 8B F0 8D 45 D8 50 8B 46 30 50 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 84 BF 01 00 00 8D 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 84 AF 01 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 9D 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 44 8D 45 D8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 38 8B 45 F8 8B 10 FF 52 30 50 8B 45 F8 8B 10 FF 52 24 50 33 C9 33 D2 8D 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 BA 0F 00 00 FF E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 48 5A E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 51 54 8D 45 E8 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 03 45 E8 89 45 F0 80 7E 3C 00 74 04 B3 0C EB 0C 80 7E 3E 00 74 04 B3 0B EB 02 B3 0A E8 ?? ?? ?? ?? 8B D3 8D 4D CC 8B 18 FF 93 BC 00 00 00 8D 45 E8 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D CC 5A E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 30 50 8B 45 F8 8B 10 FF 52 24 50 33 C9 33 D2 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 55 F0 2B D0 89 55 E8 80 7E 3D 00 74 04 B3 10 EB 0C 80 7E 3F 00 74 04 B3 0F EB 02 B3 0E E8 ?? ?? ?? ?? 8B D3 8D 4D CC 8B 18 FF 93 BC 00 00 00 8D 45 E8 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D CC 5A E8 ?? ?? ?? ?? 8B 45 F8 50 33 C9 33 D2 8B 45 FC 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75928_0 {
	meta:
		name = "WMLButtonDblClk"
		size = 352
		refs = "001a SendMessage 003e CallWindowProc 0069 GetWindowRect 0071 TRect.GetHeight 007e TRect.GetWidth 0089 Rect 00b7 PtInRect 0150 RedrawWindow"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 8B D8 6A 00 6A 00 6A 0B 8B 45 08 8B 40 FC 8B 40 30 50 E8 ?? ?? ?? ?? 8B 43 08 50 8B 43 04 50 8B 03 50 8B 45 08 8B 40 FC 8B 40 30 50 8B 45 08 8B 40 FC 8B 40 38 50 E8 ?? ?? ?? ?? 89 43 0C 6A 00 6A 01 6A 0B 8B 45 08 8B 40 FC 8B 40 30 50 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 08 8B 40 FC 8B 40 30 50 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 50 8D 45 D0 50 8D 45 E0 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 03 45 D0 89 45 D8 0F BF 43 08 0F BF 53 0A 89 45 F8 89 55 FC 8D 55 F8 8D 45 D0 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 08 8B 40 FC C6 40 3C 01 EB 0A 8B 45 08 8B 40 FC C6 40 3C 00 8D 45 E0 E8 ?? ?? ?? ?? 50 8D 45 D0 50 8D 45 E0 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 55 D8 2B D0 89 55 D0 0F BF 43 08 0F BF 53 0A 89 45 F0 89 55 F4 8D 55 F0 8D 45 D0 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 08 8B 40 FC C6 40 3D 01 EB 0A 8B 45 08 8B 40 FC C6 40 3D 00 6A 01 6A 00 6A 00 8B 45 08 8B 40 FC 8B 40 30 50 E8 ?? ?? ?? ?? 8B 45 08 C6 40 FB 00 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75929_0 {
	meta:
		name = "WMLButtonDown"
		size = 15
		refs = "0008 WMLButtonDblClk"
	strings:
		$1 = { 55 8B EC 8B 55 08 52 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_75930_0 {
	meta:
		name = "WMLButtonUp"
		size = 125
		refs = "001a SendMessage 0036 CallWindowProc 0067 RedrawWindow 006e TTabControlStyleHook.UpdateUpDownArea"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 75 08 83 C6 FC 6A 00 6A 00 6A 0B 8B 06 8B 40 30 50 E8 ?? ?? ?? ?? 8B 43 08 50 8B 43 04 50 8B 03 50 8B 06 8B 40 30 50 8B 06 8B 40 38 50 E8 ?? ?? ?? ?? 89 43 0C 6A 00 6A 01 6A 0B 8B 06 8B 40 30 50 E8 ?? ?? ?? ?? 8B 06 C6 40 3C 00 8B 06 C6 40 3D 00 6A 01 6A 00 6A 00 8B 06 8B 40 30 50 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B 45 08 C6 40 FB 00 5E 5B 5D C3 }
	condition:
		$1
}

rule function_75931_0 {
	meta:
		name = "WMMouseMove"
		size = 321
		refs = "0029 CallWindowProc 004a GetWindowRect 0052 TRect.GetHeight 005f TRect.GetWidth 006a Rect 0098 PtInRect 012f RedrawWindow"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B F0 8B 7D 08 83 C7 FC 8B 46 08 50 8B 46 04 50 8B 06 50 8B 07 8B 40 30 50 8B 07 8B 40 38 50 E8 ?? ?? ?? ?? 89 46 0C 8B 07 0F B6 58 3E 8B 07 0F B6 40 3F 88 45 FF 8D 45 DC 50 8B 07 8B 40 30 50 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 50 8D 45 CC 50 8D 45 DC E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 03 45 CC 89 45 D4 0F BF 46 08 0F BF 56 0A 89 45 F4 89 55 F8 8D 55 F4 8D 45 CC E8 ?? ?? ?? ?? 84 C0 74 08 8B 07 C6 40 3E 01 EB 06 8B 07 C6 40 3E 00 8D 45 DC E8 ?? ?? ?? ?? 50 8D 45 CC 50 8D 45 DC E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 55 D4 2B D0 89 55 CC 0F BF 46 08 0F BF 56 0A 89 45 EC 89 55 F0 8D 55 EC 8D 45 CC E8 ?? ?? ?? ?? 84 C0 74 08 8B 07 C6 40 3F 01 EB 06 8B 07 C6 40 3F 00 8B 07 3A 58 3E 75 0B 8B 07 0F B6 40 3F 3A 45 FF 74 11 6A 01 6A 00 6A 00 8B 07 8B 40 30 50 E8 ?? ?? ?? ?? 8B 45 08 C6 40 FB 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75932_0 {
	meta:
		name = "WMMouseLeave"
		size = 66
		refs = "003c RedrawWindow"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC C6 40 3E 00 8B 45 08 8B 40 FC C6 40 3F 00 8B 45 08 8B 40 FC C6 40 3C 00 8B 45 08 8B 40 FC C6 40 3D 00 6A 01 6A 00 6A 00 8B 45 08 8B 40 FC 8B 40 30 50 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_75933_0 {
	meta:
		name = "WMPaint"
		size = 191
		refs = "001a _Dn_TCanvas 001f TCanvas.Create 0033 TCanvas.SetHandle 0048 BeginPaint 005a WMPaint 0094 EndPaint 00a6 TObject.Free 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 56 57 8B F0 8D 7D E8 A5 A5 A5 A5 8B 45 EC 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 83 7D FC 00 74 0D 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 1D 8D 45 A8 50 8B 45 08 8B 40 FC 8B 40 30 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 55 F8 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 75 13 8D 45 A8 50 8B 45 08 8B 40 FC 8B 40 30 50 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 8B 45 08 C6 40 FB 00 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_75934_0 {
	meta:
		name = "TTabControlStyleHook.UpDownWndProc"
		size = 166
		refs = "003e WMMouseLeave 0049 WMLButtonDblClk 0054 WMLButtonDown 005f WMLButtonUp 006a WMMouseMove 0075 WMPaint 009a CallWindowProc"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC C6 45 FB 01 8B 03 3D 02 02 00 00 7F 13 74 40 83 E8 0F 74 51 2D F1 01 00 00 74 3F 48 74 26 EB 4E 2D 03 02 00 00 74 12 2D A0 00 00 00 75 40 55 8B C3 E8 ?? ?? ?? ?? 59 EB 35 55 8B C3 E8 ?? ?? ?? ?? 59 EB 2A 55 8B C3 E8 ?? ?? ?? ?? 59 EB 1F 55 8B C3 E8 ?? ?? ?? ?? 59 EB 14 55 8B C3 E8 ?? ?? ?? ?? 59 EB 09 55 8B C3 E8 ?? ?? ?? ?? 59 80 7D FB 00 74 21 8B 43 08 50 8B 43 04 50 8B 03 50 8B 45 FC 8B 40 30 50 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 89 43 0C 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_75935_0 {
	meta:
		name = "TTabControlStyleHook.AngleTextOut"
		size = 139
		refs = "0017 TFont.GetHandle 001d GetObject 0033 CreateFontIndirect 003d TCanvas.GetHandle 0043 SelectObject 0054 SetBkMode 007e DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 8B D9 8B F2 8D 45 A4 50 6A 5C 8B 46 40 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 03 C0 8D 04 80 89 45 AC 89 45 B0 8D 45 A4 50 E8 ?? ?? ?? ?? 8B D8 53 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 6A 01 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D 0C 8B 55 10 8B C6 8B 18 FF 93 90 00 00 00 57 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 53 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_75936_0 {
	meta:
		name = "TTabControlStyleHook.DrawTab"
		size = 1473
		refs = "002b TTabControlStyleHook.DrawTab 0038 TTabControlStyleHook.GetImages 0048 TCustomImageList.GetCount 008a TTabControlStyleHook.GetTabRect 009b TTabControlStyleHook.GetTabPosition 00a6 TTabControlStyleHook.GetTabIndex 00b9 InflateRect 01b7 StyleServices 01e2 TCanvas.GetHandle 01f1 TCustomStyleServices.DrawElement 01fa _DV_TCustomTabControl 01ff @IsClass 02c2 OffsetRect 0376 TCustomImageList.GetHandle 038f TCustomStyleServices.DrawIcon 0406 TTabControlStyleHook.GetTabs 0411 TCustomCanvas.TextHeight 0444 TCustomCanvas.TextWidth 0473 TCustomStyleServices.GetElementColor 0485 TFont.SetColor 04a9 TTabControlStyleHook.AngleTextOut 0594 TStyleHook.DrawControlText 05ae @UStrArrayClr 05b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 56 57 33 DB 89 5D 8C 89 5D 90 89 5D 94 89 5D 98 89 5D 9C 89 5D A0 89 5D A4 8B F9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 C0 74 33 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F8 7D 23 8B C6 E8 ?? ?? ?? ?? 8B 40 3C 89 45 F8 8B C6 E8 ?? ?? ?? ?? 8B 40 38 89 45 F4 C7 45 F0 03 00 00 00 EB 0F 33 C0 89 45 F8 33 C0 89 45 F4 33 C0 89 45 F0 8D 4D D4 8B D7 8B C6 E8 ?? ?? ?? ?? 83 7D D4 00 0F 8C 00 05 00 00 8B C6 E8 ?? ?? ?? ?? 2C 02 73 1C 8B C6 E8 ?? ?? ?? ?? 3B F8 75 26 8D 45 D4 B9 02 00 00 00 33 D2 E8 ?? ?? ?? ?? EB 15 8B C6 E8 ?? ?? ?? ?? 3B F8 75 06 83 6D D4 02 EB 04 83 6D DC 02 8B 46 08 8B 50 6C 8B 45 FC 8B 40 40 8B 08 FF 51 08 56 57 8D 75 D4 8D 7D C4 A5 A5 A5 A5 5F 5E C6 45 EB 00 8B C6 E8 ?? ?? ?? ?? 2C 01 72 13 74 64 FE C8 74 38 FE C8 0F 84 80 00 00 00 E9 A1 00 00 00 8B C6 E8 ?? ?? ?? ?? 3B F8 75 09 C6 45 EB 04 E9 8D 00 00 00 3B 7E 28 75 0C 80 7E 24 00 74 06 C6 45 EB 03 EB 7C C6 45 EB 02 EB 76 8B C6 E8 ?? ?? ?? ?? 3B F8 75 06 C6 45 EB 09 EB 65 3B 7E 28 75 0C 80 7E 24 00 74 06 C6 45 EB 08 EB 54 C6 45 EB 07 EB 4E 8B C6 E8 ?? ?? ?? ?? 3B F8 75 06 C6 45 EB 13 EB 3D 3B 7E 28 75 0C 80 7E 24 00 74 06 C6 45 EB 12 EB 2C C6 45 EB 11 EB 26 8B C6 E8 ?? ?? ?? ?? 3B F8 75 06 C6 45 EB 0E EB 15 3B 7E 28 75 0C 80 7E 24 00 74 06 C6 45 EB 0D EB 04 C6 45 EB 0C E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 31 E8 ?? ?? ?? ?? 0F B6 55 EB 8D 4D A8 8B 18 FF 93 CC 00 00 00 8D 45 D4 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D A8 5A E8 ?? ?? ?? ?? 8B 46 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B D7 8B 46 08 8B 08 FF 91 00 01 00 00 8B D8 EB 02 8B DF 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 6A 01 00 00 85 DB 0F 8C 62 01 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B D8 0F 8D 4E 01 00 00 56 57 8D 75 C4 8D 7D B4 A5 A5 A5 A5 5F 5E 8B C6 E8 ?? ?? ?? ?? 2C 02 72 13 0F 84 92 00 00 00 FE C8 0F 84 BE 00 00 00 E9 EB 00 00 00 8B 45 F0 01 45 B4 8B 45 B4 03 45 F8 89 45 BC 89 45 C4 8B 55 C0 8B 45 B8 2B D0 D1 FA 79 03 83 D2 00 03 D0 8B 45 F4 D1 F8 79 03 83 D0 00 2B D0 89 55 B8 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1D 8B C6 E8 ?? ?? ?? ?? 3B F8 75 12 8D 45 B4 83 C9 FF 33 D2 E8 ?? ?? ?? ?? E9 91 00 00 00 8B C6 E8 ?? ?? ?? ?? 3C 01 0F 85 82 00 00 00 8B C6 E8 ?? ?? ?? ?? 3B F8 75 77 8D 45 B4 B9 01 00 00 00 33 D2 E8 ?? ?? ?? ?? EB 66 8B 45 F0 29 45 C0 8B 45 C0 2B 45 F4 89 45 B8 89 45 D0 8B 55 BC 8B 45 B4 2B D0 D1 FA 79 03 83 D2 00 03 D0 8B 45 F8 D1 F8 79 03 83 D0 00 2B D0 89 55 B4 EB 32 8B 45 F0 01 45 B8 8B 45 B8 03 45 F4 89 45 C0 89 45 C8 8B 55 BC 8B 45 B4 2B D0 D1 FA 79 03 83 D2 00 03 D0 8B 45 F8 D1 F8 79 03 83 D0 00 2B D0 89 55 B4 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 29 8D 45 B4 50 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 53 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D A8 5A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 F3 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1A 8B C6 E8 ?? ?? ?? ?? 3B F8 75 0F 8D 45 C4 83 C9 FF 33 D2 E8 ?? ?? ?? ?? EB 25 8B C6 E8 ?? ?? ?? ?? 3C 01 75 1A 8B C6 E8 ?? ?? ?? ?? 3B F8 75 0F 8D 45 C4 B9 01 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3C 02 0F 85 B4 00 00 00 8D 4D A4 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 A4 8B 45 FC E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 55 CC 8B 5D C4 2B D3 D1 FA 79 03 83 D2 00 03 D3 2B D0 8B DA 8D 4D A0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 A0 8B 45 FC E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 55 D0 2B 55 C8 D1 FA 79 03 83 D2 00 03 55 C8 03 C2 89 45 EC 8D 45 E4 50 E8 ?? ?? ?? ?? B1 02 8D 55 A8 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 FC 8B 40 40 8B 55 E4 E8 ?? ?? ?? ?? 53 8B 45 EC 50 8D 4D 9C 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 9C 50 B9 5A 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? E9 E6 00 00 00 8B C6 E8 ?? ?? ?? ?? 3C 03 0F 85 B1 00 00 00 8D 4D 98 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 98 8B 45 FC E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 55 CC 8B 5D C4 2B D3 D1 FA 79 03 83 D2 00 03 D3 03 C2 8B D8 8D 4D 94 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 94 8B 45 FC E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 55 D0 2B 55 C8 D1 FA 79 03 83 D2 00 03 55 C8 2B D0 89 55 EC 8D 45 E4 50 E8 ?? ?? ?? ?? B1 02 8D 55 A8 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 FC 8B 40 40 8B 55 E4 E8 ?? ?? ?? ?? 53 8B 45 EC 50 8D 4D 90 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 90 50 B9 A6 FF FF FF 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 26 8D 4D 8C 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 8C 50 8D 45 C4 50 68 25 01 00 00 8D 4D A8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75937_0 {
	meta:
		name = "TTabControlStyleHook.WMEraseBkgnd"
		size = 101
		refs = "0011 StyleServices 004f TCustomStyleServices.DrawElement"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B F2 8B D8 83 7E 08 01 75 43 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 35 E8 ?? ?? ?? ?? 8B CC B2 2A 8B 38 FF 97 CC 00 00 00 8D 54 24 0C 8B 43 08 8B 08 FF 51 60 8D 44 24 0C 50 6A 00 E8 ?? ?? ?? ?? 8B 56 04 8D 4C 24 08 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 C6 43 14 01 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75938_0 {
	meta:
		name = "TTabControlStyleHook.PaintBackground"
		size = 81
		refs = "000b StyleServices 0031 TCanvas.GetHandle 0039 TStyleHook.GetHandle 0046 TCustomStyleServices.DrawParentBackground"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 32 E8 ?? ?? ?? ?? 8B CC B2 2A 8B 38 FF 97 CC 00 00 00 54 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75939_0 {
	meta:
		name = "TTabControlStyleHook.Paint"
		size = 418
		refs = "0013 TCanvas.GetHandle 0019 SaveDC 0024 TTabControlStyleHook.Paint 0035 TTabControlStyleHook.GetDisplayRect 0053 ExcludeClipRect 007d RestoreDC 0083 @HandleFinally 008d TTabControlStyleHook.GetTabCount 009f TTabControlStyleHook.GetTabIndex 00bc TTabControlStyleHook.GetTabPosition 00e6 InflateRect 0127 StyleServices 015f TCustomStyleServices.DrawElement 0197 TWinControl.PaintControls"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 EC 50 8B 45 E8 50 8B 45 E4 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 20 46 33 DB 8B 45 FC E8 ?? ?? ?? ?? 3B D8 74 0D 8B CB 8B 55 F8 8B 45 FC 8B 38 FF 57 34 43 4E 75 E3 8B 45 FC E8 ?? ?? ?? ?? 2C 01 72 0C 74 42 FE C8 74 22 FE C8 74 4A EB 56 8B 45 FC 8B 40 08 8B 48 54 2B 4D F0 8B 50 50 2B 55 EC 8D 45 E4 E8 ?? ?? ?? ?? EB 3A 8B 45 FC 8B 40 08 8B 48 54 2B 4D F0 8B 50 50 2B 55 EC 8D 45 E4 E8 ?? ?? ?? ?? EB 1E 8D 45 E4 8B 4D E8 8B 55 E4 E8 ?? ?? ?? ?? EB 0E 8D 45 E4 8B 4D E8 8B 55 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 2F E8 ?? ?? ?? ?? 8D 4D D8 B2 2A 8B 18 FF 93 CC 00 00 00 8D 45 E4 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D D8 5A E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7C 15 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 45 FC 8B 18 FF 53 34 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 08 33 C9 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75940_0 {
	meta:
		name = "TTabControlStyleHook.UpdateTabs"
		size = 111
		refs = "0013 TTabControlStyleHook.GetTabCount 0022 TTabControlStyleHook.GetTabRect 0030 TStyleHook.GetHandle 0036 InvalidateRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F9 8B F2 8B D8 85 F6 7C 2A 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 1F 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 6A FF 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 FF 7C 2A 8B C3 E8 ?? ?? ?? ?? 3B F8 7D 1F 8B CC 8B D7 8B C3 E8 ?? ?? ?? ?? 6A FF 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75942_0 {
	meta:
		name = "TTabControlStyleHook.WMMouseMove"
		size = 65
		refs = "000b TMouseTrackControlStyleHook.WMMouseMove 0014 TStyleHook.CallDefaultProc 0027 TTabControlStyleHook.IndexOfTabAt 003a TTabControlStyleHook.UpdateTabs"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? C6 43 2C 00 0F BF 4E 0A 0F BF 56 08 8B C3 E8 ?? ?? ?? ?? 8B 53 28 3B C2 74 0C 89 43 28 8B C8 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75943_0 {
	meta:
		name = "TTabControlStyleHook.GetImages"
		size = 39
		refs = "000e _DV_TCustomTabControl 0013 @IsClass"
	strings:
		$1 = { 53 56 57 8B D8 33 F6 8B 7B 08 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B B7 84 02 00 00 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75944_0 {
	meta:
		name = "TTabControlStyleHook.GetTabCount"
		size = 27
		refs = "000f TStyleHook.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 04 13 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75945_0 {
	meta:
		name = "TTabControlStyleHook.GetTabs"
		size = 108
		refs = "0019 @FillChar 0040 TStyleHook.GetHandle 0046 SendMessageW 0055 @UStrFromPWChar 005e @UStrClr"
	strings:
		$1 = { 53 56 57 81 C4 E4 FD FF FF 8B F1 8B FA 8B D8 8B C4 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? C7 04 24 01 00 00 00 8D 44 24 1C 89 44 24 0C C7 44 24 10 FE 01 00 00 8B C4 50 57 68 3C 13 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0D 8B C6 8B 54 24 0C E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 81 C4 1C 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75946_0 {
	meta:
		name = "TTabControlStyleHook.GetTabRect"
		size = 118
		refs = "001a TRect.Create 0031 _DV_TCustomTabControl 0036 @IsClass 0045 TCustomTabControl.TabRect 004e TStyleHook.GetHandle 006a SendMessage"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F1 8B EA 8B D8 6A 00 6A 00 8D 44 24 08 33 C9 33 D2 E8 ?? ?? ?? ?? 56 8B FE 8D 74 24 04 A5 A5 A5 A5 5E 8B 7B 08 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B CE 8B D5 8B C7 E8 ?? ?? ?? ?? EB 23 8B C3 E8 ?? ?? ?? ?? 85 C0 74 18 8B C3 E8 ?? ?? ?? ?? 8B D8 8B FD 56 57 68 0A 13 00 00 53 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75947_0 {
	meta:
		name = "TTabControlStyleHook.GetTabPosition"
		size = 40
		refs = "000e _DV_TCustomTabControl 0013 @IsClass"
	strings:
		$1 = { 53 56 57 8B F0 33 DB 8B 7E 08 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 0F B6 9F 96 02 00 00 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75948_0 {
	meta:
		name = "TTabControlStyleHook.GetTabIndex"
		size = 59
		refs = "000b _DV_TCustomTabControl 0010 @IsClass 001b TCustomTabControl.GetTabIndex 002e TStyleHook.GetHandle 0034 SendMessage"
	strings:
		$1 = { 53 56 8B D8 8B 73 08 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 6A 00 6A 00 68 0B 13 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75949_0 {
	meta:
		name = "TTabControlStyleHook.GetDisplayRect"
		size = 94
		refs = "0011 Rect 0020 _DV_TCustomTabControl 0025 @IsClass 0032 TCustomTabControl.GetDisplayRect 004c TStyleHook.GetHandle 0052 SendMessage"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 6A 00 56 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 7B 08 85 FF 74 1C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 22 8B D6 8B C7 8B 08 FF 51 60 56 6A 00 68 28 13 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 46 04 02 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75950_0 {
	meta:
		name = "TTabControlStyleHook.IndexOfTabAt"
		size = 143
		refs = "0018 _DV_TCustomTabControl 001d @IsClass 002c TCustomTabControl.IndexOfTabAt 0058 PtInRect 006b TStyleHook.GetHandle 007d SendMessage"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B E9 8B FA 8B D8 8B 73 08 85 F6 74 21 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B CD 8B D7 8B C6 E8 ?? ?? ?? ?? 89 04 24 EB 4F C7 04 24 FF FF FF FF 89 7C 24 04 89 6C 24 08 8D 54 24 18 8B C6 8B 08 FF 51 60 8D 44 24 18 8D 54 24 04 E8 ?? ?? ?? ?? 84 C0 74 24 89 7C 24 0C 89 6C 24 10 8B C3 E8 ?? ?? ?? ?? 8D 54 24 0C 52 6A 00 68 0D 13 00 00 50 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 83 C4 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75951_0 {
	meta:
		name = "TDateTimePickerStyleHook.Create"
		size = 107
		refs = "000a @ClassCreate 0017 TMouseTrackControlStyleHook.Create 001c TStyleManager.GetSystemStyle 0058 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 34 01 88 46 18 C6 46 28 00 C6 46 29 00 33 C0 89 46 30 33 C0 89 46 2C 33 C0 89 46 34 C6 46 38 00 C6 46 39 00 C6 46 3A 00 C6 46 3B 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_75952_0 {
	meta:
		name = "TDateTimePickerStyleHook.Destroy"
		size = 69
		refs = "0004 @BeforeDestruction 001f SetWindowLongPtr 0027 FreeObjectInstance 0032 TMouseTrackControlStyleHook.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 2C 85 C0 74 10 BA FC FF FF FF 8B 7E 34 57 52 50 E8 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75953_0 {
	meta:
		name = "TDateTimePickerStyleHook.GetChecked"
		size = 79
		refs = "000a TOSVersion.FMajor 0014 TStyleManager.GetSystemStyle 002b TStyleHook.GetHandle 003b SendMessage"
	strings:
		$1 = { 53 56 83 C4 C8 8B F0 33 DB A1 ?? ?? ?? ?? 83 38 06 7C 34 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 26 C7 04 24 38 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D4 52 6A 00 68 0E 10 00 00 50 E8 ?? ?? ?? ?? 83 7C 24 14 00 0F 97 C3 8B C3 83 C4 38 5E 5B C3 }
	condition:
		$1
}

rule function_75954_0 {
	meta:
		name = "TDateTimePickerStyleHook.GetShowCheckBox"
		size = 27
		refs = "0001 TStyleHook.GetHandle 000d GetWindowLongPtr"
	strings:
		$1 = { E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 83 E0 02 83 F8 02 0F 94 C0 C3 }
	condition:
		$1
}

rule function_75955_0 {
	meta:
		name = "TDateTimePickerStyleHook.GetButtonRect"
		size = 200
		refs = "0026 Rect 002b TOSVersion.FMajor 0035 TStyleManager.GetSystemStyle 0050 TStyleHook.GetHandle 0060 SendMessage 0069 TRect.GetWidth 0089 TControl.GetClientHeight 0093 TControl.GetClientWidth 00a5 GetSystemMetrics"
	strings:
		$1 = { 53 56 57 83 C4 C8 8B F2 8B D8 8B 7B 08 8B 47 54 83 E8 02 50 56 8B 4F 50 83 E9 02 BA 02 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 06 7C 0C E8 ?? ?? ?? ?? 8B 10 FF 52 48 EB 02 33 C0 84 C0 74 31 C7 04 24 38 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D4 52 6A 00 68 0E 10 00 00 50 E8 ?? ?? ?? ?? 8D 44 24 18 E8 ?? ?? ?? ?? 8B 56 08 2B D0 42 89 16 EB 4A E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 75 2D 8B 43 08 E8 ?? ?? ?? ?? 50 56 8B 43 08 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 8B 56 08 2B D0 89 16 EB 0F 6A 02 E8 ?? ?? ?? ?? 8B 56 08 2B D0 42 89 16 83 C4 38 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75956_0 {
	meta:
		name = "TDateTimePickerStyleHook.WMSetFocus"
		size = 53
		refs = "000b TStyleHook.WMSetFocus 0014 TStyleHook.CallDefaultProc 0024 TStyleHook.GetHandle 002a RedrawWindow"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 68 05 01 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_75958_0 {
	meta:
		name = "TDateTimePickerStyleHook.WMKillFocus"
		size = 53
		refs = "000b TStyleHook.WMKillFocus 0014 TStyleHook.CallDefaultProc 0024 TStyleHook.GetHandle 002a RedrawWindow"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 68 05 01 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_75957_0 {
	meta:
		name = "TDateTimePickerStyleHook.WndProc"
		size = 87
		refs = "000b TMouseTrackControlStyleHook.WndProc 0019 TStyleManager.GetSystemStyle 002b TStyleHook.GetHandle 0031 KillTimer 003a TStyleHook.SetRedraw 0050 RedrawWindow"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 06 2D 13 01 00 00 75 3C E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 75 2E 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 68 05 01 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75959_0 {
	meta:
		name = "TDateTimePickerStyleHook.MouseLeave"
		size = 35
		refs = "0006 TMouseTrackControlStyleHook.MouseLeave"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 28 00 75 11 80 7B 29 00 74 0B C6 43 29 00 8B C3 8B 10 FF 52 20 5B C3 }
	condition:
		$1
}

rule function_75960_0 {
	meta:
		name = "TDateTimePickerStyleHook.CNNotify"
		size = 159
		refs = "000b TStyleHook.CallDefaultProc 0012 TDateTimePickerStyleHook.GetKind 0041 TStyleHook.GetHandle 0047 RedrawWindow 004c TStyleManager.GetSystemStyle 005e TStyleHook.SetRedraw 0074 SetTimer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 7E 8B 46 08 33 D2 89 56 0C 8B 40 08 2D 0E FD FF FF 74 05 48 74 4B EB 67 C6 43 28 01 68 05 01 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 75 3F 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 00 68 2C 01 00 00 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1E C6 43 28 00 C6 43 29 00 68 05 01 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_75961_0 {
	meta:
		name = "TDateTimePickerStyleHook.WMPaint"
		size = 477
		refs = "0019 _Dn_TCanvas 001e TCanvas.Create 0029 TDateTimePickerStyleHook.WMPaint 0040 TCanvas.SetHandle 0051 TWinControl.GetHandle 0057 BeginPaint 0066 TStyleManager.GetSystemStyle 008d TDateTimePickerStyleHook.GetDateMode 00b7 Rect 00d5 TDateTimePickerStyleHook.GetButtonRect 00ef TDateTimePickerStyleHook.GetShowCheckBox 00fb TRect.GetHeight 0119 TCanvas.GetHandle 011f IntersectClipRect 014d TStyleHook.CallDefaultProc 0167 @HandleFinally 01a6 EndPaint 01c5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 89 55 F8 89 45 FC 8B 45 F8 8B 40 04 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 74 0D 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? EB 1F 8D 45 B0 50 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 16 8B 55 F0 8B 45 FC 8B 08 FF 51 10 8B 55 F0 8B 45 FC 8B 08 FF 51 08 8B 45 FC E8 ?? ?? ?? ?? 3C 01 75 28 8B 45 FC 8B 58 08 8B 43 54 83 E8 02 50 8D 45 A0 50 8B 4B 50 83 E9 02 BA 02 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? EB 2E 8B 45 FC 8B 40 08 8B 40 54 83 E8 02 50 8D 45 A0 50 8D 55 90 8B 45 FC E8 ?? ?? ?? ?? 8B 4D 90 BA 02 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0E 8D 45 A0 E8 ?? ?? ?? ?? 83 C0 02 89 45 A0 8B 45 AC 50 8B 45 A8 50 8B 45 A4 50 8B 45 A0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F8 89 42 04 8B 45 FC C6 40 15 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 15 00 C3 E9 ?? ?? ?? ?? EB F1 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 75 0B 8B 55 F0 8B 45 FC 8B 08 FF 51 08 8B 45 F8 8B 55 F4 89 50 04 83 7D F4 00 75 15 8D 45 B0 50 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC C6 40 14 01 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75962_0 {
	meta:
		name = "TDateTimePickerStyleHook.PaintNC"
		size = 247
		refs = "000e StyleServices 0043 Rect 0055 InflateRect 005d TCanvas.GetHandle 0063 SaveDC 006e TDateTimePickerStyleHook.PaintNC 0092 ExcludeClipRect 00c6 TCustomStyleServices.DrawElement 00e5 RestoreDC 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 89 55 FC 8B F0 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 D2 00 00 00 B3 15 E8 ?? ?? ?? ?? 8B D3 8D 4D EC 8B 18 FF 53 7C 8B 5E 08 8B 43 54 50 8D 45 DC 50 8B 4B 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 DC B9 FE FF FF FF BA FE FF FF FF E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 50 8B 45 E4 50 8B 45 E0 50 8B 45 DC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 5E 08 8B 43 54 50 8D 45 CC 50 8B 4B 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 CC 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D EC 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75963_0 {
	meta:
		name = "TDateTimePickerStyleHook.Paint"
		size = 278
		refs = "000d TDateTimePickerStyleHook.GetShowCheckBox 0031 Rect 003e TBrush.SetColor 004e TDateTimePickerStyleHook.GetChecked 0057 StyleServices 007e TCanvas.GetHandle 008e TCustomStyleServices.DrawElement 0095 TDateTimePickerStyleHook.GetDateMode 00a0 TDateTimePickerStyleHook.GetKind 00ad TDateTimePickerStyleHook.GetButtonRect"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 7D 8B 43 08 8B 78 54 83 EF 02 57 8D 44 24 04 50 8B CF BA 02 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? BA 05 00 00 FF 8B 46 48 E8 ?? ?? ?? ?? 8B D4 8B C6 8B 08 FF 51 54 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 E8 ?? ?? ?? ?? 8D 4C 24 10 B2 14 8B 38 FF 57 58 EB 10 E8 ?? ?? ?? ?? 8D 4C 24 10 B2 10 8B 38 FF 57 58 54 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 1C 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3C 01 74 72 8B C3 E8 ?? ?? ?? ?? 3C 01 74 67 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B 10 FF 52 68 84 C0 75 04 B3 05 EB 16 80 7B 28 00 74 04 B3 04 EB 0C 80 7B 29 00 74 04 B3 03 EB 02 B3 02 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 2A E8 ?? ?? ?? ?? 8B D3 8D 4C 24 10 8B 18 FF 53 6C 54 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 1C 5A E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75964_0 {
	meta:
		name = "TDateTimePickerStyleHook.WMMouseMove"
		size = 146
		refs = "000f TStyleHook.CallDefaultProc 0018 TMouseTrackControlStyleHook.WMMouseMove 0046 TDateTimePickerStyleHook.GetButtonRect 0051 PtInRect 007d TStyleHook.GetHandle 0083 InvalidateRect"
	strings:
		$1 = { 53 56 57 83 C4 D0 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 0F BF 46 08 0F BF 56 0A 89 44 24 08 89 54 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 0F B6 5F 29 8D 54 24 20 8B C7 E8 ?? ?? ?? ?? 8D 44 24 20 8B D4 E8 ?? ?? ?? ?? 84 C0 74 06 C6 47 29 01 EB 04 C6 47 29 00 3A 5F 29 74 1F 8D 54 24 10 8B C7 E8 ?? ?? ?? ?? 6A 00 8D 44 24 14 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 47 14 01 83 C4 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75965_0 {
	meta:
		name = "TDateTimePickerStyleHook.GetKind"
		size = 31
		refs = "0001 TStyleHook.GetHandle 000d GetWindowLongPtr"
	strings:
		$1 = { E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 83 E0 09 83 F8 09 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_75966_0 {
	meta:
		name = "TDateTimePickerStyleHook.GetDateMode"
		size = 29
		refs = "0001 TStyleHook.GetHandle 000d GetWindowLongPtr"
	strings:
		$1 = { E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 83 E0 01 48 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_75967_0 {
	meta:
		name = "TDateTimePickerStyleHook.WMParentNotify"
		size = 95
		refs = "000d TDateTimePickerStyleHook.GetDateMode 0030 MakeObjectInstance 0042 GetWindowLongPtr 0058 SetWindowLongPtr"
	strings:
		$1 = { 53 56 8B F2 8B D8 C6 43 14 00 8B C3 E8 ?? ?? ?? ?? 3C 01 75 47 66 83 7E 04 01 75 40 83 7B 2C 00 75 3A 8B 46 08 89 43 2C 53 8B 03 8B 40 34 50 E8 ?? ?? ?? ?? 89 43 30 8B 43 2C BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 89 43 34 8B 43 2C BA FC FF FF FF 8B 4B 30 51 52 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_75968_0 {
	meta:
		name = "TDateTimePickerStyleHook.PaintUpDown"
		size = 495
		refs = "0016 GetWindowRect 001e TRect.GetWidth 002e TRect.GetHeight 003b StyleServices 004f _Dn_TBitmap 0054 TBitmap.Create 005f TDateTimePickerStyleHook.PaintUpDown 00a7 TRect.Create 00b8 TCustomStyleServices.ColorToRGB 00c1 TBitmap.GetCanvas 00ca TBrush.SetColor 012a TCanvas.GetHandle 0139 TCustomStyleServices.DrawElement 01dd TObject.Free 01e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 89 55 FC 8B F0 8D 45 D8 50 8B 46 2C 50 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 84 BF 01 00 00 8D 45 D8 E8 ?? ?? ?? ?? 85 C0 0F 84 AF 01 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 9D 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 44 8D 45 D8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 38 8B 45 F8 8B 10 FF 52 30 50 8B 45 F8 8B 10 FF 52 24 50 33 C9 33 D2 8D 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 BA 0F 00 00 FF E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 48 5A E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 51 54 8D 45 E8 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 03 45 EC 89 45 F4 80 7E 38 00 74 04 B3 04 EB 0C 80 7E 3A 00 74 04 B3 03 EB 02 B3 02 E8 ?? ?? ?? ?? 8B D3 8D 4D CC 8B 18 FF 93 BC 00 00 00 8D 45 E8 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D CC 5A E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 30 50 8B 45 F8 8B 10 FF 52 24 50 33 C9 33 D2 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 55 F4 2B D0 89 55 EC 80 7E 39 00 74 04 B3 08 EB 0C 80 7E 3B 00 74 04 B3 07 EB 02 B3 06 E8 ?? ?? ?? ?? 8B D3 8D 4D CC 8B 18 FF 93 BC 00 00 00 8D 45 E8 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D CC 5A E8 ?? ?? ?? ?? 8B 45 F8 50 33 C9 33 D2 8B 45 FC 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75969_0 {
	meta:
		name = "WMLButtonDblClk"
		size = 352
		refs = "001a SendMessage 003e CallWindowProc 0069 GetWindowRect 0071 TRect.GetHeight 007e TRect.GetWidth 0089 Rect 00b7 PtInRect 0150 RedrawWindow"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 8B D8 6A 00 6A 00 6A 0B 8B 45 08 8B 40 FC 8B 40 2C 50 E8 ?? ?? ?? ?? 8B 43 08 50 8B 43 04 50 8B 03 50 8B 45 08 8B 40 FC 8B 40 2C 50 8B 45 08 8B 40 FC 8B 40 34 50 E8 ?? ?? ?? ?? 89 43 0C 6A 00 6A 01 6A 0B 8B 45 08 8B 40 FC 8B 40 2C 50 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 08 8B 40 FC 8B 40 2C 50 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 50 8D 45 D0 50 8D 45 E0 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 03 45 D4 89 45 DC 0F BF 43 08 0F BF 53 0A 89 45 F8 89 55 FC 8D 55 F8 8D 45 D0 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 08 8B 40 FC C6 40 38 01 EB 0A 8B 45 08 8B 40 FC C6 40 38 00 8D 45 E0 E8 ?? ?? ?? ?? 50 8D 45 D0 50 8D 45 E0 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 55 DC 2B D0 89 55 D4 0F BF 43 08 0F BF 53 0A 89 45 F0 89 55 F4 8D 55 F0 8D 45 D0 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 08 8B 40 FC C6 40 39 01 EB 0A 8B 45 08 8B 40 FC C6 40 39 00 6A 01 6A 00 6A 00 8B 45 08 8B 40 FC 8B 40 2C 50 E8 ?? ?? ?? ?? 8B 45 08 C6 40 FB 00 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75971_0 {
	meta:
		name = "WMLButtonUp"
		size = 118
		refs = "001a SendMessage 0036 CallWindowProc 0067 RedrawWindow"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 75 08 83 C6 FC 6A 00 6A 00 6A 0B 8B 06 8B 40 2C 50 E8 ?? ?? ?? ?? 8B 43 08 50 8B 43 04 50 8B 03 50 8B 06 8B 40 2C 50 8B 06 8B 40 34 50 E8 ?? ?? ?? ?? 89 43 0C 6A 00 6A 01 6A 0B 8B 06 8B 40 2C 50 E8 ?? ?? ?? ?? 8B 06 C6 40 38 00 8B 06 C6 40 39 00 6A 01 6A 00 6A 00 8B 06 8B 40 2C 50 E8 ?? ?? ?? ?? 8B 45 08 C6 40 FB 00 5E 5B 5D C3 }
	condition:
		$1
}

rule function_75972_0 {
	meta:
		name = "WMMouseMove"
		size = 321
		refs = "0029 CallWindowProc 004a GetWindowRect 0052 TRect.GetHeight 005f TRect.GetWidth 006a Rect 0098 PtInRect 012f RedrawWindow"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B F0 8B 7D 08 83 C7 FC 8B 46 08 50 8B 46 04 50 8B 06 50 8B 07 8B 40 2C 50 8B 07 8B 40 34 50 E8 ?? ?? ?? ?? 89 46 0C 8B 07 0F B6 58 3A 8B 07 0F B6 40 3B 88 45 FF 8D 45 DC 50 8B 07 8B 40 2C 50 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 50 8D 45 CC 50 8D 45 DC E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 03 45 D0 89 45 D8 0F BF 46 08 0F BF 56 0A 89 45 F4 89 55 F8 8D 55 F4 8D 45 CC E8 ?? ?? ?? ?? 84 C0 74 08 8B 07 C6 40 3A 01 EB 06 8B 07 C6 40 3A 00 8D 45 DC E8 ?? ?? ?? ?? 50 8D 45 CC 50 8D 45 DC E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 55 D8 2B D0 89 55 D0 0F BF 46 08 0F BF 56 0A 89 45 EC 89 55 F0 8D 55 EC 8D 45 CC E8 ?? ?? ?? ?? 84 C0 74 08 8B 07 C6 40 3B 01 EB 06 8B 07 C6 40 3B 00 8B 07 3A 58 3A 75 0B 8B 07 0F B6 40 3B 3A 45 FF 74 11 6A 01 6A 00 6A 00 8B 07 8B 40 2C 50 E8 ?? ?? ?? ?? 8B 45 08 C6 40 FB 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75973_0 {
	meta:
		name = "WMMouseLeave"
		size = 66
		refs = "003c RedrawWindow"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC C6 40 3A 00 8B 45 08 8B 40 FC C6 40 3B 00 8B 45 08 8B 40 FC C6 40 38 00 8B 45 08 8B 40 FC C6 40 39 00 6A 01 6A 00 6A 00 8B 45 08 8B 40 FC 8B 40 2C 50 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_75974_0 {
	meta:
		name = "WMPaint"
		size = 191
		refs = "001a _Dn_TCanvas 001f TCanvas.Create 0033 TCanvas.SetHandle 0048 BeginPaint 005a WMPaint 0094 EndPaint 00a6 TObject.Free 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 56 57 8B F0 8D 7D E8 A5 A5 A5 A5 8B 45 EC 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 83 7D FC 00 74 0D 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 1D 8D 45 A8 50 8B 45 08 8B 40 FC 8B 40 2C 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 55 F8 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 75 13 8D 45 A8 50 8B 45 08 8B 40 FC 8B 40 2C 50 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 8B 45 08 C6 40 FB 00 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_75975_0 {
	meta:
		name = "TDateTimePickerStyleHook.UpDownWndProc"
		size = 166
		refs = "003e WMMouseLeave 0049 WMLButtonDblClk 0054 WMLButtonDown 005f WMLButtonUp 006a WMMouseMove 0075 WMPaint 009a CallWindowProc"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC C6 45 FB 01 8B 03 3D 02 02 00 00 7F 13 74 40 83 E8 0F 74 51 2D F1 01 00 00 74 3F 48 74 26 EB 4E 2D 03 02 00 00 74 12 2D A0 00 00 00 75 40 55 8B C3 E8 ?? ?? ?? ?? 59 EB 35 55 8B C3 E8 ?? ?? ?? ?? 59 EB 2A 55 8B C3 E8 ?? ?? ?? ?? 59 EB 1F 55 8B C3 E8 ?? ?? ?? ?? 59 EB 14 55 8B C3 E8 ?? ?? ?? ?? 59 EB 09 55 8B C3 E8 ?? ?? ?? ?? 59 80 7D FB 00 74 21 8B 43 08 50 8B 43 04 50 8B 03 50 8B 45 FC 8B 40 2C 50 8B 45 FC 8B 40 34 50 E8 ?? ?? ?? ?? 89 43 0C 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_75976_0 {
	meta:
		name = "TTreeViewStyleHook.Create"
		size = 165
		refs = "0011 @ClassCreate 001f TScrollingStyleHook.Create 0028 StyleServices 0049 TCustomStyleServices.GetElementColor 0062 TCustomStyleServices.GetSystemColor 0077 TCustomStyleServices.GetStyleColor 0081 TBrush.SetColor 008e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 16 01 E8 ?? ?? ?? ?? 8B F0 8D 45 F8 50 8D 4D EC B2 02 8B C6 8B 38 FF 97 F8 00 00 00 8D 55 EC B1 02 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 81 7D F8 FF FF FF 1F 75 0F BA 08 00 00 FF 8B C6 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 89 43 10 E8 ?? ?? ?? ?? B2 1C E8 ?? ?? ?? ?? 8B D0 8B 43 04 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75977_0 {
	meta:
		name = "TListViewStyleHook.LVMSetBkColor"
		size = 30
		refs = "0010 ColorToRGB"
		altNames = "TListViewStyleHook.LVMSetTextBkColor TTreeViewStyleHook.TVMSetBkColor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 89 46 08 C6 43 14 00 5E 5B C3 }
	condition:
		$1
}

rule function_75978_0 {
	meta:
		name = "TListViewStyleHook.LVMSetTextColor"
		size = 24
		refs = "000a ColorToRGB"
		altNames = "TTreeViewStyleHook.TVMSetTextColor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 E8 ?? ?? ?? ?? 89 46 08 C6 43 14 00 5E 5B C3 }
	condition:
		$1
}

rule function_75979_0 {
	meta:
		name = "TTreeViewStyleHook.WMMouseMove"
		size = 930
		refs = "002d TStyleHook.GetHandle 0033 GetScrollInfo 003c Mouse 0043 TMouse.GetCursorPos 0062 TScrollingStyleHook.GetVertTrackRect 006b TRect.GetHeight 00dc _DV_TCustomTreeView 00e1 @IsClass 00f6 @ROUND 0113 PostMessage 013b SetScrollInfo 01d9 TScrollingStyleHook.GetHorzTrackRect 01e2 TRect.GetWidth 0387 TStyleHook.CallDefaultProc"
	strings:
		$1 = { 53 56 83 C4 94 8B F2 8B D8 80 7B 48 1C 0F 85 6D 01 00 00 C7 44 24 14 17 00 00 00 C7 44 24 10 1C 00 00 00 8D 44 24 10 50 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 54 24 4C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 44 24 50 2B 43 38 89 44 24 54 DB 44 24 54 DB 7C 24 58 9B 8D 54 24 2C 8B C3 E8 ?? ?? ?? ?? 8D 44 24 2C E8 ?? ?? ?? ?? 89 44 24 64 DB 44 24 64 DB 6C 24 58 DE F1 8B 44 24 1C 2B 44 24 18 89 44 24 68 DB 44 24 68 DE C9 D8 43 3C D9 5B 3C 9B DB 44 24 18 D8 5B 3C 9B DF E0 9E 76 08 DB 44 24 18 D9 5B 3C 9B DB 44 24 1C D8 5B 3C 9B DF E0 9E 73 08 DB 44 24 1C D9 5B 3C 9B 8D 54 24 4C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 44 24 50 89 43 38 8B 43 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 58 8B C3 E8 ?? ?? ?? ?? 8B F0 D9 43 3C E8 ?? ?? ?? ?? 66 C7 04 24 05 00 66 89 44 24 02 6A 00 8B 44 24 04 50 68 15 01 00 00 56 E8 ?? ?? ?? ?? D9 43 3C E8 ?? ?? ?? ?? 8B F0 89 74 24 24 89 74 24 28 6A FF 8D 44 24 14 50 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 2F 8B C3 E8 ?? ?? ?? ?? 8B F0 D9 43 3C E8 ?? ?? ?? ?? 66 C7 44 24 04 04 00 66 89 44 24 06 6A 00 8B 44 24 08 50 68 15 01 00 00 56 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 40 C6 43 14 01 E9 1C 02 00 00 80 7B 30 18 0F 85 6E 01 00 00 C7 44 24 14 17 00 00 00 C7 44 24 10 1C 00 00 00 8D 44 24 10 50 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 54 24 4C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 44 24 4C 2B 43 38 89 44 24 54 DB 44 24 54 DB 7C 24 58 9B 8D 54 24 3C 8B C3 E8 ?? ?? ?? ?? 8D 44 24 3C E8 ?? ?? ?? ?? 89 44 24 64 DB 44 24 64 DB 6C 24 58 DE F1 8B 44 24 1C 2B 44 24 18 89 44 24 68 DB 44 24 68 DE C9 D8 43 3C D9 5B 3C 9B DB 44 24 18 D8 5B 3C 9B DF E0 9E 76 08 DB 44 24 18 D9 5B 3C 9B DB 44 24 1C D8 5B 3C 9B DF E0 9E 73 08 DB 44 24 1C D9 5B 3C 9B 8D 54 24 4C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 44 24 4C 89 43 38 8B 43 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 59 8B C3 E8 ?? ?? ?? ?? 8B F0 D9 43 3C E8 ?? ?? ?? ?? 66 C7 44 24 08 05 00 66 89 44 24 0A 6A 00 8B 44 24 0C 50 68 14 01 00 00 56 E8 ?? ?? ?? ?? D9 43 3C E8 ?? ?? ?? ?? 8B F0 89 74 24 24 89 74 24 28 6A FF 8D 44 24 14 50 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 2F 8B C3 E8 ?? ?? ?? ?? 8B F0 D9 43 3C E8 ?? ?? ?? ?? 66 C7 44 24 0C 04 00 66 89 44 24 0E 6A 00 8B 44 24 10 50 68 14 01 00 00 56 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 40 C6 43 14 01 E9 A4 00 00 00 0F B6 43 30 3C 18 74 0F 3C 17 75 0B C6 43 30 16 8B C3 8B 10 FF 52 40 0F B6 43 48 3C 1C 74 0F 3C 1B 75 0B C6 43 48 1A 8B C3 8B 10 FF 52 40 0F B6 43 31 3C 0C 74 0F 3C 0B 75 0B C6 43 31 0A 8B C3 8B 10 FF 52 40 0F B6 43 28 3C 10 74 0F 3C 0F 75 0B C6 43 28 0E 8B C3 8B 10 FF 52 40 0F B6 43 49 3C 04 74 0F 3C 03 75 0B C6 43 49 02 8B C3 8B 10 FF 52 40 0F B6 43 40 3C 08 74 0F 3C 07 75 0B C6 43 40 06 8B C3 8B 10 FF 52 40 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7B 32 00 74 07 8B C3 8B 10 FF 52 40 C6 43 14 01 83 C4 6C 5E 5B C3 }
	condition:
		$1
}

rule function_75981_0 {
	meta:
		name = "TListViewStyleHook.Create"
		size = 192
		refs = "0011 @ClassCreate 001f TScrollingStyleHook.Create 002f MakeObjectInstance 0043 StyleServices 0064 TCustomStyleServices.GetElementColor 007d TCustomStyleServices.GetSystemColor 0092 TCustomStyleServices.GetStyleColor 009c TBrush.SetColor 00a9 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 16 01 53 8B 03 8B 40 48 50 E8 ?? ?? ?? ?? 89 43 50 C7 43 58 FF FF FF FF 33 C0 89 43 4C E8 ?? ?? ?? ?? 8B F0 8D 45 F8 50 8D 4D EC B2 02 8B C6 8B 38 FF 97 F8 00 00 00 8D 55 EC B1 02 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 81 7D F8 FF FF FF 1F 75 0F BA 08 00 00 FF 8B C6 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 89 43 10 E8 ?? ?? ?? ?? B2 16 E8 ?? ?? ?? ?? 8B D0 8B 43 04 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75982_0 {
	meta:
		name = "TListViewStyleHook.Destroy"
		size = 69
		refs = "0004 @BeforeDestruction 001f SetWindowLongPtr 0027 FreeObjectInstance 0032 TScrollingStyleHook.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 4C 85 C0 74 10 BA FC FF FF FF 8B 7E 54 57 52 50 E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75983_0 {
	meta:
		name = "TListViewStyleHook.WMNotify"
		size = 71
		refs = "0008 TStyleHook.GetHandle 000e GetWindow 002b GetWindowLongPtr 0041 SetWindowLongPtr"
	strings:
		$1 = { 53 8B D8 6A 05 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 2F 83 7B 4C 00 75 29 8B D0 89 53 4C 8B C2 BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 89 43 54 8B 43 4C BA FC FF FF FF 8B 4B 50 51 52 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_75985_0 {
	meta:
		name = "TListViewStyleHook.HeaderWndProc"
		size = 316
		refs = "0074 SendMessage 009f RedrawWindow 0107 CallWindowProc"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B DA 8B F0 8B 3B 8B C7 3D 01 02 00 00 7F 2D 74 3F 83 E8 0F 0F 84 C1 00 00 00 83 E8 05 0F 84 C3 00 00 00 83 E8 6E 0F 84 C3 00 00 00 2D 7E 01 00 00 0F 84 8F 00 00 00 E9 D8 00 00 00 2D 02 02 00 00 74 60 48 74 0A 83 E8 02 74 58 E9 C4 00 00 00 0F BF 43 08 89 04 24 0F BF 43 0A 89 44 24 04 8B C4 50 6A 00 68 06 12 00 00 8B 46 4C 50 E8 ?? ?? ?? ?? 8B 44 24 08 A8 04 75 0D A8 08 75 09 8B 44 24 0C 89 46 58 EB 07 C7 46 58 FF FF FF FF 6A 01 6A 00 6A 00 8B 46 4C 50 E8 ?? ?? ?? ?? C6 46 5C 01 EB 71 C7 46 58 FF FF FF FF 6A 01 6A 00 6A 00 8B 46 4C 50 E8 ?? ?? ?? ?? C6 46 5C 00 8B C6 8B 10 FF 52 40 EB 4E 83 7E 58 FF 75 48 80 7E 5C 00 74 42 8B C6 8B 10 FF 52 40 EB 39 33 D2 8B C6 8B 08 FF 51 4C EB 49 C7 43 0C 01 00 00 00 EB 40 8B 43 08 50 8B 43 04 50 57 8B 46 4C 50 8B 46 54 50 E8 ?? ?? ?? ?? 89 43 0C 33 C0 89 46 4C 33 C0 89 46 54 EB 1B 8B 43 08 50 8B 43 04 50 8B 03 50 8B 46 4C 50 8B 46 54 50 E8 ?? ?? ?? ?? 89 43 0C 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75989_0 {
	meta:
		name = "TListViewStyleHook.PaintHeader"
		size = 712
		refs = "0021 TListViewStyleHook.PaintHeader 0040 BeginPaint 005c _Dn_TCanvas 0061 TCanvas.Create 007c TCanvas.SetHandle 0096 SendMessage 00cf :TListViewStyleHook.:1 00d4 @DynArraySetLength 0147 @FillChar 0198 @UStrFromPWChar 01de GetWindowRect 01e6 TRect.GetHeight 01f3 TRect.GetWidth 0202 Rect 020a IsRectEmpty 023a ReleaseDC 0259 TObject.Free 025f @HandleFinally 0287 EndPaint 02a7 @UStrClr 02b5 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 81 C4 44 FD FF FF 53 56 57 33 C9 89 8D 44 FD FF FF 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 75 17 8D 85 78 FF FF FF 50 8B 45 F8 8B 40 4C 50 E8 ?? ?? ?? ?? 8B D8 EB 03 8B 5D F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 89 45 E8 8B 45 F8 8B 58 4C 6A 00 6A 00 68 00 12 00 00 53 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 2D 01 00 00 46 C7 45 EC 00 00 00 00 8B 45 F8 8B 58 4C 6A 00 6A 00 68 00 12 00 00 53 E8 ?? ?? ?? ?? 8B D8 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 58 4C 6A 00 6A 00 68 00 12 00 00 53 E8 ?? ?? ?? ?? 8B 55 F8 8B 5A 4C 8B F8 8B 45 FC 89 45 E4 8B 45 E4 50 57 68 11 12 00 00 53 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 EC 8B 1C 90 8B 45 F8 8B 78 4C 89 5D E0 8D 45 C8 89 45 DC 8B 45 DC 50 8B 45 E0 50 68 07 12 00 00 57 E8 ?? ?? ?? ?? 8D 85 48 FF FF FF 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? C7 85 48 FF FF FF 02 00 00 00 8D 85 48 FD FF FF 89 85 50 FF FF FF C7 85 58 FF FF FF 00 01 00 00 8B 45 F8 8B 78 4C 89 5D D8 8D 85 48 FF FF FF 50 8B 45 D8 50 68 0B 12 00 00 57 E8 ?? ?? ?? ?? 53 8D 85 44 FD FF FF 8B 95 50 FF FF FF E8 ?? ?? ?? ?? 8B 85 44 FD FF FF 50 8B 45 F8 3B 58 58 0F 94 C0 50 6A 00 8D 4D C8 8B 55 F0 8B 45 F8 8B 18 FF 53 44 8B 45 D0 3B 45 E8 7E 03 89 45 E8 FF 45 EC 4E 0F 85 DB FE FF FF 8D 45 B8 50 8B 45 F8 8B 40 4C 50 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 50 8D 45 C8 50 8D 45 B8 E8 ?? ?? ?? ?? 8B C8 83 C1 02 33 D2 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 84 C0 75 16 6A FF 6A 00 6A 00 6A 01 8D 4D C8 8B 55 F0 8B 45 F8 8B 18 FF 53 44 83 7D F4 00 74 10 8B 45 F4 50 8B 45 F8 8B 40 4C 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 75 13 8D 85 78 FF FF FF 50 8B 45 F8 8B 40 4C 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 44 FD FF FF E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_75990_0 {
	meta:
		name = "TListViewStyleHook.DrawHeaderSection"
		size = 343
		refs = "0022 @FillChar 0030 TStyleHook.GetHandle 0045 SendMessage 0066 StyleServices 0083 TCanvas.GetHandle 0092 TCustomStyleServices.DrawElement 00c3 InflateRect 0119 ImageList_Draw 0127 ImageList_GetIconSize 014a TStyleHook.DrawControlText"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 8B F1 8D 7D DC A5 A5 A5 A5 89 55 FC 8B D8 8D 45 AC 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? C7 45 AC 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 7D 14 8D 45 AC 50 57 68 0B 12 00 00 56 E8 ?? ?? ?? ?? 80 7D 08 00 74 06 C6 45 FB 02 EB 10 80 7D 0C 00 74 06 C6 45 FB 04 EB 04 C6 45 FB 02 E8 ?? ?? ?? ?? 0F B6 55 FB 8D 4D A0 8B 30 FF 96 8C 00 00 00 8D 45 DC 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D A0 5A E8 ?? ?? ?? ?? 6A 00 6A 00 68 09 12 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 C7 45 AC 24 00 00 00 8D 45 DC B9 FE FF FF FF BA FE FF FF FF E8 ?? ?? ?? ?? 85 F6 74 69 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 45 14 89 45 EC 8D 45 AC 50 8B 45 EC 50 68 0B 12 00 00 57 E8 ?? ?? ?? ?? 85 C0 74 43 8B 45 C0 25 00 08 00 00 3D 00 08 00 00 75 1D 6A 01 8B 45 E0 50 8B 45 DC 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 C8 50 56 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 F4 50 56 E8 ?? ?? ?? ?? 8B 45 F4 83 C0 05 01 45 DC 8B 45 10 50 8D 45 DC 50 68 24 80 00 00 8D 4D A0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_75991_0 {
	meta:
		name = "TListViewStyleHook.WMMouseMove"
		size = 1212
		refs = "002f TStyleHook.GetHandle 0035 GetScrollInfo 003e Mouse 0045 TMouse.GetCursorPos 0064 TScrollingStyleHook.GetVertTrackRect 006d TRect.GetHeight 00b4 _DV_TCustomListView 00b9 @IsClass 00d2 @ROUND 00ef PostMessage 010d TListViewStyleHook.WMMouseMove 018c ListView_GetItemRect 01c4 SendMessage 02a9 TScrollingStyleHook.GetHorzTrackRect 02b2 TRect.GetWidth 0497 TStyleHook.CallDefaultProc"
	strings:
		$1 = { 53 56 57 55 83 C4 84 8B F2 8B D8 80 7B 48 1C 0F 85 3B 02 00 00 C7 44 24 14 17 00 00 00 C7 44 24 10 1C 00 00 00 8D 44 24 10 50 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 54 24 5C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 44 24 60 2B 43 38 89 44 24 64 DB 44 24 64 DB 7C 24 68 9B 8D 54 24 3C 8B C3 E8 ?? ?? ?? ?? 8D 44 24 3C E8 ?? ?? ?? ?? 89 44 24 74 DB 44 24 74 DB 6C 24 68 DE F1 8B 44 24 1C 2B 44 24 18 89 44 24 78 DB 44 24 78 DE C9 D8 43 3C D9 5B 3C 9B 8D 54 24 5C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 44 24 60 89 43 38 8B 43 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 4C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 D9 43 3C E8 ?? ?? ?? ?? 66 C7 04 24 05 00 66 89 44 24 02 6A 00 8B 44 24 04 50 68 15 01 00 00 56 E8 ?? ?? ?? ?? 8B 43 08 80 B8 85 02 00 00 03 0F 85 CD 00 00 00 D9 43 3C D8 63 34 D9 E1 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 3A DB 44 24 18 D8 5B 3C 9B DF E0 9E 75 0C D9 43 34 D8 5B 3C 9B DF E0 9E 75 21 DB 44 24 1C D8 5B 3C 9B DF E0 9E 0F 85 FF 00 00 00 D9 43 34 D8 5B 3C 9B DF E0 9E 0F 84 EF 00 00 00 8B 43 08 80 B8 04 04 00 00 00 74 1F D9 43 3C D8 63 34 E8 ?? ?? ?? ?? 8B F0 8B 44 24 24 03 C6 85 C0 7D 3C 8B 74 24 24 F7 DE EB 34 6A 00 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 30 33 D2 E8 ?? ?? ?? ?? 8D 44 24 2C E8 ?? ?? ?? ?? 89 44 24 64 DB 44 24 64 D9 43 3C D8 63 34 DE C9 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B F8 33 ED 56 55 68 14 10 00 00 57 E8 ?? ?? ?? ?? 8B 43 3C 89 43 34 EB 70 D9 43 3C D8 63 34 D9 E1 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 5C 8B C3 E8 ?? ?? ?? ?? 8B F0 33 FF D9 43 3C D8 63 34 E8 ?? ?? ?? ?? 8B E8 55 57 68 14 10 00 00 56 E8 ?? ?? ?? ?? 8B 43 3C 89 43 34 EB 2F 8B C3 E8 ?? ?? ?? ?? 8B F0 D9 43 3C E8 ?? ?? ?? ?? 66 C7 44 24 04 04 00 66 89 44 24 06 6A 00 8B 44 24 08 50 68 15 01 00 00 56 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 40 C6 43 14 01 E9 5C 02 00 00 80 7B 30 18 0F 85 AE 01 00 00 C7 44 24 14 17 00 00 00 C7 44 24 10 1C 00 00 00 8D 44 24 10 50 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 54 24 5C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 44 24 5C 2B 43 38 89 44 24 64 DB 44 24 64 DB 7C 24 68 9B 8D 54 24 4C 8B C3 E8 ?? ?? ?? ?? 8D 44 24 4C E8 ?? ?? ?? ?? 89 44 24 74 DB 44 24 74 DB 6C 24 68 DE F1 8B 44 24 1C 2B 44 24 18 89 44 24 78 DB 44 24 78 DE C9 D8 43 3C D9 5B 3C 9B DB 44 24 18 D8 5B 3C 9B DF E0 9E 76 08 DB 44 24 18 D9 5B 3C 9B DB 44 24 1C D8 5B 3C 9B DF E0 9E 73 08 DB 44 24 1C D9 5B 3C 9B 8D 54 24 5C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 44 24 5C 89 43 38 8B 73 08 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 93 00 00 00 80 BE 85 02 00 00 03 75 45 D9 43 3C D8 63 34 D9 E1 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 82 A1 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 D9 43 3C D8 63 34 E8 ?? ?? ?? ?? 8B F8 33 ED 55 57 68 14 10 00 00 56 E8 ?? ?? ?? ?? 8B 43 3C 89 43 34 EB 74 D9 43 3C D8 63 34 D9 E1 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 60 8B C3 E8 ?? ?? ?? ?? 8B F0 D9 43 3C D8 63 34 E8 ?? ?? ?? ?? 8B F8 33 ED 55 57 68 14 10 00 00 56 E8 ?? ?? ?? ?? 89 44 24 08 8B 43 3C 89 43 34 EB 2F 8B C3 E8 ?? ?? ?? ?? 8B F0 D9 43 3C E8 ?? ?? ?? ?? 66 C7 44 24 0C 04 00 66 89 44 24 0E 6A 00 8B 44 24 10 50 68 14 01 00 00 56 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 40 C6 43 14 01 E9 A4 00 00 00 0F B6 43 30 3C 18 74 0F 3C 17 75 0B C6 43 30 16 8B C3 8B 10 FF 52 40 0F B6 43 48 3C 1C 74 0F 3C 1B 75 0B C6 43 48 1A 8B C3 8B 10 FF 52 40 0F B6 43 31 3C 0C 74 0F 3C 0B 75 0B C6 43 31 0A 8B C3 8B 10 FF 52 40 0F B6 43 28 3C 10 74 0F 3C 0F 75 0B C6 43 28 0E 8B C3 8B 10 FF 52 40 0F B6 43 49 3C 04 74 0F 3C 03 75 0B C6 43 49 02 8B C3 8B 10 FF 52 40 0F B6 43 40 3C 08 74 0F 3C 07 75 0B C6 43 40 06 8B C3 8B 10 FF 52 40 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7B 32 00 74 07 8B C3 8B 10 FF 52 40 C6 43 14 01 83 C4 7C 5D 5F 5E 5B C3 00 00 80 3F 00 00 00 3F }
	condition:
		$1
}

rule function_75992_0 {
	meta:
		name = "TProgressBarStyleHook.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TStyleHook.Create 002a @AfterConstruction"
		altNames = "TStatusBarStyleHook.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 17 01 C6 46 0D 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_76032_0 {
	meta:
		name = "TUpDownStyleHook.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TMouseTrackControlStyleHook.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 17 01 C6 46 0D 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_75993_0 {
	meta:
		name = "TProgressBarStyleHook.GetPercent"
		size = 94
		refs = "000b TProgressBarStyleHook.GetMin 0014 TProgressBarStyleHook.GetMax 001d TProgressBarStyleHook.GetPosition"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 85 DB 7C 2A 3B D8 7F 26 3B C7 7F 22 8B D7 2B D3 74 1C 2B C3 89 44 24 04 DB 44 24 04 2B FB 89 7C 24 08 DB 44 24 08 DE F9 D9 1C 24 9B EB 05 33 C0 89 04 24 D9 04 24 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75994_0 {
	meta:
		name = "TProgressBarStyleHook.GetBarRect"
		size = 62
		refs = "0019 TRect.Create 0020 TProgressBarStyleHook.GetBorderWidth 0036 InflateRect"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 08 8B 47 50 50 8B 47 54 50 8B C6 33 C9 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? F7 D8 50 8B C3 E8 ?? ?? ?? ?? 8B D0 F7 DA 8B C6 59 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75995_0 {
	meta:
		name = "TProgressBarStyleHook.WMNCCalcSize"
		size = 10
	strings:
		$1 = { 33 C9 89 4A 0C C6 40 14 01 C3 }
	condition:
		$1
}

rule function_75997_0 {
	meta:
		name = "TProgressBarStyleHook.PaintFrame"
		size = 115
		refs = "000a StyleServices 001c TProgressBarStyleHook.GetBarRect 0023 TProgressBarStyleHook.GetOrientation 0059 TCanvas.GetHandle 0069 TCustomStyleServices.DrawElement"
	strings:
		$1 = { 53 56 83 C4 E4 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 56 8B D4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 E8 ?? ?? ?? ?? 8D 4C 24 10 B2 02 8B 18 FF 93 B4 00 00 00 EB 13 E8 ?? ?? ?? ?? 8D 4C 24 10 B2 03 8B 18 FF 93 B4 00 00 00 54 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 1C 5A E8 ?? ?? ?? ?? 83 C4 1C 5E 5B C3 }
	condition:
		$1
}

rule function_75998_0 {
	meta:
		name = "TProgressBarStyleHook.PaintBar"
		size = 230
		refs = "000b StyleServices 0023 TProgressBarStyleHook.GetBarRect 0032 InflateRect 0039 TProgressBarStyleHook.GetOrientation 0046 TRect.GetWidth 0053 TRect.GetHeight 005c TProgressBarStyleHook.GetPercent 006b @ROUND 00cb TCanvas.GetHandle 00db TCustomStyleServices.DrawElement"
	strings:
		$1 = { 53 56 57 83 C4 D0 8B FA 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 C3 00 00 00 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8D 44 24 10 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 44 24 10 E8 ?? ?? ?? ?? 8B F0 EB 0B 8D 44 24 10 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 89 74 24 2C DB 44 24 2C DE C9 E8 ?? ?? ?? ?? 8B F0 56 57 8D 74 24 18 8D 7C 24 08 A5 A5 A5 A5 5F 5E 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1C 03 34 24 89 74 24 08 E8 ?? ?? ?? ?? 8D 4C 24 20 B2 04 8B 18 FF 93 B4 00 00 00 EB 1D 8B 44 24 0C 2B C6 89 44 24 04 E8 ?? ?? ?? ?? 8D 4C 24 20 B2 05 8B 18 FF 93 B4 00 00 00 54 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 2C 5A E8 ?? ?? ?? ?? 83 C4 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_75999_0 {
	meta:
		name = "TProgressBarStyleHook.Paint"
		size = 100
		refs = "000a StyleServices 0023 TCustomStyleServices.HasTransparentParts 0033 TCanvas.GetHandle 003b TStyleHook.GetHandle 0048 TCustomStyleServices.DrawParentBackground"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 35 C6 04 24 0F E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 84 C0 74 21 54 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 2C 8B D6 8B C3 8B 08 FF 51 28 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_76000_0 {
	meta:
		name = "TProgressBarStyleHook.GetMax"
		size = 27
		refs = "000f TStyleHook.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 07 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76001_0 {
	meta:
		name = "TProgressBarStyleHook.GetMin"
		size = 27
		refs = "000f TStyleHook.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 01 68 07 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76002_0 {
	meta:
		name = "TProgressBarStyleHook.GetOrientation"
		size = 51
		refs = "0009 TStyleHook.GetHandle 0020 GetWindowLongPtr"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 85 C0 74 1D 8B C6 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 83 E0 04 83 F8 04 75 02 B3 01 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_76003_0 {
	meta:
		name = "TProgressBarStyleHook.GetPosition"
		size = 27
		refs = "000f TStyleHook.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 08 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76005_0 {
	meta:
		name = "TTrackBarStyleHook.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TStyleHook.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 17 01 C6 46 0D 01 C6 46 21 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_76006_0 {
	meta:
		name = "TTrackBarStyleHook.WMLButtonUp"
		size = 39
		refs = "0006 TStyleHook.GetHandle 0012 GetWindowLongPtr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? A8 80 75 0B C6 43 21 00 8B C3 8B 10 FF 52 20 5B C3 }
	condition:
		$1
}

rule function_76007_0 {
	meta:
		name = "TTrackBarStyleHook.WMLButtonDown"
		size = 104
		refs = "000c TStyleHook.GetHandle 0018 GetWindowLongPtr 0035 SendMessage 004f PtInRect"
	strings:
		$1 = { 53 56 83 C4 E8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? A8 80 75 42 8D 44 24 08 50 6A 00 68 19 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0F BF 46 08 0F BF 56 0A 89 04 24 89 54 24 04 8B D4 8D 44 24 08 E8 ?? ?? ?? ?? 84 C0 74 04 C6 43 21 01 8B C3 8B 10 FF 52 20 83 C4 18 5E 5B C3 }
	condition:
		$1
}

rule function_76010_0 {
	meta:
		name = "TTrackBarStyleHook.WMMouseMove"
		size = 104
		refs = "000c TStyleHook.GetHandle 0018 GetWindowLongPtr 0035 SendMessage 004f PtInRect"
	strings:
		$1 = { 53 56 83 C4 E8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? A8 80 75 42 8D 44 24 08 50 6A 00 68 19 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0F BF 46 08 0F BF 56 0A 89 04 24 89 54 24 04 8B D4 8D 44 24 08 E8 ?? ?? ?? ?? 3A 43 20 74 0A 88 43 20 8B C3 8B 10 FF 52 20 83 C4 18 5E 5B C3 }
	condition:
		$1
}

rule function_76011_0 {
	meta:
		name = "TTrackBarStyleHook.WndProc"
		size = 34
		refs = "000b TStyleHook.WndProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 06 2D 05 04 00 00 75 07 8B C3 8B 10 FF 52 20 5E 5B C3 }
	condition:
		$1
}

rule function_76012_0 {
	meta:
		name = "TTrackBarStyleHook.PaintBackground"
		size = 66
		refs = "000a StyleServices 0023 TCanvas.GetHandle 002b TStyleHook.GetHandle 0038 TCustomStyleServices.DrawParentBackground"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 25 C6 04 24 1C 54 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_76013_0 {
	meta:
		name = "TTrackBarStyleHook.Paint"
		size = 1837
		refs = "000d StyleServices 0026 TStyleHook.GetHandle 0032 GetWindowLongPtr 004d SendMessage 007b TCanvas.GetHandle 008b TCustomStyleServices.DrawElement 0156 TCustomStyleServices.ColorToRGB 0163 TPen.SetColor 0174 TRect.GetWidth 0200 TRect.GetHeight 03dd @ROUND 0715 Rect"
	strings:
		$1 = { 53 56 57 55 83 C4 90 89 14 24 8B F8 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 07 07 00 00 C6 44 24 04 00 8B C7 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 8B D8 8D 44 24 1C 50 6A 00 68 1A 04 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? BE 02 00 00 00 23 F3 85 F6 75 35 E8 ?? ?? ?? ?? 8D 4C 24 4C B2 02 8B 28 FF 95 F0 00 00 00 8D 44 24 1C 50 6A 00 8B 44 24 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 58 5A E8 ?? ?? ?? ?? EB 63 56 57 8D 74 24 24 8D 7C 24 34 A5 A5 A5 A5 5F 5E 8B 44 24 30 89 44 24 1C 8B 44 24 2C 89 44 24 20 8B 44 24 38 89 44 24 24 8B 44 24 34 89 44 24 28 E8 ?? ?? ?? ?? 8D 4C 24 4C B2 03 8B 28 FF 95 F0 00 00 00 8D 44 24 1C 50 6A 00 8B 44 24 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 58 5A E8 ?? ?? ?? ?? 8D 44 24 1C 50 6A 00 68 1A 04 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 44 24 3C 50 6A 00 68 19 04 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 C3 10 0F 85 AB 03 00 00 6A 00 6A 00 68 10 04 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 44 24 0C E8 ?? ?? ?? ?? 33 C9 BA 12 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 04 24 8B 40 44 E8 ?? ?? ?? ?? 85 F6 0F 85 8C 00 00 00 8D 44 24 3C E8 ?? ?? ?? ?? 8B F0 D1 FE 79 03 83 D6 00 03 74 24 1C B8 04 00 00 00 23 C3 83 F8 04 74 0C B8 08 00 00 00 23 C3 83 F8 08 75 22 8B 4C 24 20 83 E9 07 8B D6 8B 04 24 8B 28 FF 55 64 8B 4C 24 20 83 E9 03 8B D6 8B 04 24 8B 28 FF 55 60 F6 C3 04 74 0C B8 08 00 00 00 23 C3 83 F8 08 75 22 8B 4C 24 28 83 C1 03 8B D6 8B 04 24 8B 28 FF 55 64 8B 4C 24 28 83 C1 07 8B D6 8B 04 24 8B 28 FF 55 60 89 74 24 10 E9 87 00 00 00 8D 44 24 3C E8 ?? ?? ?? ?? 8B F0 D1 FE 79 03 83 D6 00 03 74 24 1C B8 04 00 00 00 23 C3 83 F8 04 74 0C B8 08 00 00 00 23 C3 83 F8 08 75 22 8B 54 24 20 83 EA 07 8B CE 8B 04 24 8B 28 FF 55 64 8B 54 24 20 83 EA 03 8B CE 8B 04 24 8B 28 FF 55 60 F6 C3 04 74 0C B8 08 00 00 00 23 C3 83 F8 08 75 22 8B 54 24 28 83 C2 03 8B CE 8B 04 24 8B 28 FF 55 64 8B 54 24 28 83 C2 07 8B CE 8B 04 24 8B 28 FF 55 60 89 74 24 10 F6 C3 02 0F 85 8C 00 00 00 8D 44 24 3C E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 74 24 24 2B F0 B8 04 00 00 00 23 C3 83 F8 04 74 0C B8 08 00 00 00 23 C3 83 F8 08 75 22 8B 4C 24 20 83 E9 07 8B D6 8B 04 24 8B 28 FF 55 64 8B 4C 24 20 83 E9 03 8B D6 8B 04 24 8B 28 FF 55 60 F6 C3 04 74 0C B8 08 00 00 00 23 C3 83 F8 08 75 22 8B 4C 24 28 83 C1 03 8B D6 8B 04 24 8B 28 FF 55 64 8B 4C 24 28 83 C1 07 8B D6 8B 04 24 8B 28 FF 55 60 89 74 24 14 E9 87 00 00 00 8D 44 24 3C E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 74 24 24 2B F0 B8 04 00 00 00 23 C3 83 F8 04 74 0C B8 08 00 00 00 23 C3 83 F8 08 75 22 8B 54 24 20 83 EA 07 8B CE 8B 04 24 8B 28 FF 55 64 8B 54 24 20 83 EA 03 8B CE 8B 04 24 8B 28 FF 55 60 F6 C3 04 74 0C B8 08 00 00 00 23 C3 83 F8 08 75 22 8B 54 24 28 83 C2 03 8B CE 8B 04 24 8B 28 FF 55 64 8B 54 24 28 83 C2 07 8B CE 8B 04 24 8B 28 FF 55 60 89 74 24 14 8B 44 24 0C 48 85 C0 0F 8E 2F 01 00 00 89 44 24 18 C7 44 24 08 01 00 00 00 DB 44 24 08 8B 44 24 0C 48 89 44 24 58 DB 44 24 58 DE F9 8B 44 24 14 2B 44 24 10 89 44 24 5C DB 44 24 5C DE C9 E8 ?? ?? ?? ?? 8B F0 03 74 24 10 F6 C3 02 75 73 B8 04 00 00 00 23 C3 83 F8 04 74 0C B8 08 00 00 00 23 C3 83 F8 08 75 22 8B 4C 24 20 83 E9 06 8B D6 8B 04 24 8B 28 FF 55 64 8B 4C 24 20 83 E9 03 8B D6 8B 04 24 8B 28 FF 55 60 F6 C3 04 74 10 B8 08 00 00 00 23 C3 83 F8 08 0F 85 91 00 00 00 8B 4C 24 28 83 C1 03 8B D6 8B 04 24 8B 28 FF 55 64 8B 4C 24 28 83 C1 06 8B D6 8B 04 24 8B 30 FF 56 60 EB 6D B8 04 00 00 00 23 C3 83 F8 04 74 0C B8 08 00 00 00 23 C3 83 F8 08 75 22 8B 54 24 20 83 EA 06 8B CE 8B 04 24 8B 28 FF 55 64 8B 54 24 20 83 EA 03 8B CE 8B 04 24 8B 28 FF 55 60 F6 C3 04 74 0C B8 08 00 00 00 23 C3 83 F8 08 75 22 8B 54 24 28 83 C2 03 8B CE 8B 04 24 8B 28 FF 55 64 8B 54 24 28 83 C2 06 8B CE 8B 04 24 8B 30 FF 56 60 FF 44 24 08 FF 4C 24 18 0F 85 DD FE FF FF F6 C3 80 0F 85 18 02 00 00 8D 44 24 1C 50 6A 00 68 19 04 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 47 08 8B 10 FF 52 68 84 C0 75 75 F6 C3 02 75 3F B8 08 00 00 00 23 C3 83 F8 08 75 0A C6 44 24 04 08 E9 A2 01 00 00 B8 04 00 00 00 23 C3 83 F8 04 75 0A C6 44 24 04 12 E9 8C 01 00 00 F6 C3 00 0F 85 83 01 00 00 C6 44 24 04 0D E9 79 01 00 00 C6 44 24 04 21 B8 04 00 00 00 23 C3 83 F8 04 75 0A C6 44 24 04 1C E9 5E 01 00 00 83 E3 08 83 FB 08 0F 85 52 01 00 00 C6 44 24 04 17 E9 48 01 00 00 80 7F 21 00 74 75 F6 C3 02 75 3F B8 08 00 00 00 23 C3 83 F8 08 75 0A C6 44 24 04 06 E9 27 01 00 00 B8 04 00 00 00 23 C3 83 F8 04 75 0A C6 44 24 04 10 E9 11 01 00 00 F6 C3 00 0F 85 08 01 00 00 C6 44 24 04 0B E9 FE 00 00 00 C6 44 24 04 1F B8 04 00 00 00 23 C3 83 F8 04 75 0A C6 44 24 04 1A E9 E3 00 00 00 83 E3 08 83 FB 08 0F 85 D7 00 00 00 C6 44 24 04 15 E9 CD 00 00 00 80 7F 20 00 74 6B F6 C3 02 75 3F B8 08 00 00 00 23 C3 83 F8 08 75 0A C6 44 24 04 05 E9 AC 00 00 00 B8 04 00 00 00 23 C3 83 F8 04 75 0A C6 44 24 04 0F E9 96 00 00 00 F6 C3 00 0F 85 8D 00 00 00 C6 44 24 04 0A E9 83 00 00 00 C6 44 24 04 1E B8 04 00 00 00 23 C3 83 F8 04 75 07 C6 44 24 04 19 EB 6B 83 E3 08 83 FB 08 75 63 C6 44 24 04 14 EB 5C F6 C3 02 75 32 B8 08 00 00 00 23 C3 83 F8 08 75 07 C6 44 24 04 04 EB 44 B8 04 00 00 00 23 C3 83 F8 04 75 07 C6 44 24 04 0E EB 31 F6 C3 00 75 2C C6 44 24 04 09 EB 25 C6 44 24 04 1D B8 04 00 00 00 23 C3 83 F8 04 75 07 C6 44 24 04 18 EB 0D 83 E3 08 83 FB 08 75 05 C6 44 24 04 13 E8 ?? ?? ?? ?? 0F B6 54 24 04 8D 4C 24 4C 8B 18 FF 93 F0 00 00 00 8D 44 24 1C 50 6A 00 8B 44 24 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 58 5A E8 ?? ?? ?? ?? 80 7F 0E 00 74 24 8B 5F 08 8B 43 54 50 8D 44 24 64 50 8B 4B 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 54 24 60 8B 04 24 8B 08 FF 51 4C 83 C4 70 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76015_0 {
	meta:
		name = "TStatusBarStyleHook.Paint"
		size = 1407
		refs = "0018 TStatusBarStyleHook.Paint 0023 StyleServices 005c Rect 006a TCanvas.GetHandle 0079 TCustomStyleServices.DrawElement 008a TStyleHook.GetHandle 0090 SendMessage 00b5 @FillChar 012a TRect.GetHeight 0197 @UStrSetLength 01b3 @UniqueStringU 01d6 TControl.DrawTextBiDiModeFlags 01ef TStyleHook.DrawControlText 0202 _DV_TStatusBar 0207 @IsClass 0281 IsRectEmpty 032e InflateRect 033c _DV_TCustomStatusBar 0355 TStatusPanels.GetItem 0360 AlignStyles 047b @HandleFinally 056c @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 C9 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 27 05 00 00 E8 ?? ?? ?? ?? 8D 4D B8 B2 01 8B 18 FF 93 C8 00 00 00 8B 45 F8 8B 58 08 8B 43 54 50 8D 45 9C 50 8B 4B 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 9C 50 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D B8 5A E8 ?? ?? ?? ?? 6A 00 6A 00 68 0E 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 8E 5C 01 00 00 8D 55 D4 8B 45 F8 8B 40 08 8B 08 FF 51 60 8D 45 AC 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC 50 6A 00 68 07 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 AC 8B 55 B4 03 C2 89 45 D4 8B 45 B0 89 45 D8 29 45 E0 29 55 DC E8 ?? ?? ?? ?? 8D 4D B8 B2 02 8B 18 FF 93 C8 00 00 00 8D 45 D4 50 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D B8 5A E8 ?? ?? ?? ?? 8D 55 C4 8B 45 F8 8B 40 08 8B 08 FF 51 60 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 CC 2B D0 89 55 C4 E8 ?? ?? ?? ?? 8D 4D B8 B2 04 8B 18 FF 93 C8 00 00 00 8D 45 C4 50 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D B8 5A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D B8 B2 02 8B 18 FF 93 C8 00 00 00 6A 00 6A 00 68 0C 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 0F B7 D2 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E AC 03 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 68 0D 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 33 D2 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 50 8D 45 D4 50 56 8D 4D B8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 63 03 00 00 8B 45 F8 8B 58 08 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 83 78 02 00 00 8B 40 08 8B 40 08 89 45 F0 EB 1A 6A 00 6A 00 68 06 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 48 85 C0 0F 8C 15 03 00 00 40 89 45 E4 C7 45 EC 00 00 00 00 6A 00 8D 45 D4 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D4 50 8B 45 EC 50 68 0A 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 84 C0 0F 85 CE 02 00 00 E8 ?? ?? ?? ?? 8D 4D B8 B2 02 8B 18 FF 93 C8 00 00 00 8D 45 D4 50 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D B8 5A E8 ?? ?? ?? ?? 8B 45 F0 48 3B 45 EC 75 4D 8D 55 C4 8B 45 F8 8B 40 08 8B 08 FF 51 60 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 CC 2B D0 89 55 C4 E8 ?? ?? ?? ?? 8D 4D B8 B2 04 8B 18 FF 93 C8 00 00 00 8D 45 C4 50 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D B8 5A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D B8 B2 02 8B 18 FF 93 C8 00 00 00 8D 45 D4 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 8B 45 F8 8B 58 08 8B C3 8B 3D ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 84 C0 74 24 8B 83 78 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 0F B6 40 14 8B 14 85 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 0B 8B C3 33 D2 E8 ?? ?? ?? ?? 8B F0 8B 5D EC 6A 00 53 68 0C 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 0F B7 D2 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E CD 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 53 68 0D 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 C4 10 75 1C 8B 45 FC 50 8D 45 D4 50 56 8D 4D B8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 5D 01 00 00 8B 45 F8 8B 58 08 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 42 01 00 00 66 83 BB 92 02 00 00 00 0F 84 34 01 00 00 8B 83 7C 02 00 00 89 45 E8 8B 45 F4 89 83 7C 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D4 50 8B 83 78 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 94 02 00 00 FF 93 90 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 08 8B 55 E8 89 90 7C 02 00 00 C3 E9 ?? ?? ?? ?? EB E9 8B 45 F8 8B 58 08 8B C3 8B D7 E8 ?? ?? ?? ?? 84 C0 0F 84 B7 00 00 00 8B 83 78 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 80 78 18 01 74 2D 8B 45 F8 8B 40 08 8B 80 78 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B 40 0C 50 8D 45 D4 50 56 8D 4D B8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? EB 76 8B 45 F8 8B 58 08 66 83 BB 92 02 00 00 00 74 66 8B 83 7C 02 00 00 89 45 E8 8B 45 F4 89 83 7C 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D4 50 8B 83 78 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 94 02 00 00 FF 93 90 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 08 8B 55 E8 89 90 7C 02 00 00 C3 E9 ?? ?? ?? ?? EB E9 FF 45 EC FF 4D E4 0F 85 F6 FC FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76017_0 {
	meta:
		name = "TToolBarStyleHook.Create"
		size = 97
		refs = "000a @ClassCreate 0017 TMouseTrackControlStyleHook.Create 003b TStyleManager.GetSystemStyle 004e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 30 C6 46 17 01 C6 46 18 01 C6 46 0D 01 C7 46 2C FF FF FF FF C7 46 28 FF FF FF FF E8 ?? ?? ?? ?? 8B 10 FF 52 48 88 46 34 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_76018_0 {
	meta:
		name = "TToolBarStyleHook.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 0012 TMouseTrackControlStyleHook.Destroy 0028 TObject.Free 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 83 7E 30 00 74 10 8D 46 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76019_0 {
	meta:
		name = "TToolBarStyleHook.MouseLeave"
		size = 19
	strings:
		$1 = { 83 78 2C FF 74 0C C7 40 2C FF FF FF FF 8B 10 FF 52 20 C3 }
	condition:
		$1
}

rule function_76020_0 {
	meta:
		name = "TToolBarStyleHook.GetButtonCount"
		size = 27
		refs = "000f TStyleHook.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 18 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76021_0 {
	meta:
		name = "TToolBarStyleHook.GetItemRect"
		size = 101
		refs = "0019 TRect.Create 0035 TStyleHook.GetHandle 003b SendMessage"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B D9 8B FA 8B F0 6A 00 6A 00 8D 44 24 08 33 C9 33 D2 E8 ?? ?? ?? ?? 56 57 8B FB 8D 74 24 08 A5 A5 A5 A5 5F 5E 53 57 68 1D 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 1B 6A 00 6A 00 33 C9 33 D2 8D 44 24 18 E8 ?? ?? ?? ?? 8B FB 8D 74 24 10 A5 A5 A5 A5 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76022_0 {
	meta:
		name = "TToolBarStyleHook.GetItemInfo"
		size = 167
		refs = "001e @FillChar 002f TStyleHook.GetHandle 0035 SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8D 45 E8 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 57 68 17 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? C7 03 20 00 00 00 C7 43 04 0F 00 00 00 8B 45 0C 89 43 1C 8B 45 FC 89 43 18 53 8B 45 EC 50 68 3F 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0F B6 45 F1 88 43 11 80 7E 34 00 75 1A 8B 43 18 50 8B 45 EC 50 68 4B 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_76023_0 {
	meta:
		name = "TToolBarStyleHook.ApplyImageList"
		size = 81
		refs = "0011 TStyleHook.GetHandle 0017 SendMessage 002c _Dn_TImageList 0031 TCustomImageList.Create 003f TCustomImageList.SetShareImages 0049 TCustomImageList.SetHandle"
	strings:
		$1 = { 53 56 57 8B D8 6A 00 6A 00 68 31 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 85 F6 74 2C 83 7B 30 00 75 26 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 30 B2 01 8B C7 E8 ?? ?? ?? ?? 8B D6 8B 43 30 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76024_0 {
	meta:
		name = "TToolBarStyleHook.WMSize"
		size = 36
		refs = "0009 TToolBarStyleHook.WMSize"
	strings:
		$1 = { 53 8B D8 8B 43 08 0F B6 15 ?? ?? ?? ?? 3A 90 78 02 00 00 74 07 8B C3 8B 10 FF 52 24 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_76026_0 {
	meta:
		name = "TToolBarStyleHook.PaintNC"
		size = 196
		refs = "0010 TToolBarStyleHook.PaintNC 0041 Rect 005d TCanvas.GetHandle 0063 StyleServices 006d TCustomStyleServices.DrawEdge 007c InflateRect"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B FA 8B D8 8B 73 08 0F B6 05 ?? ?? ?? ?? 3A 86 78 02 00 00 0F 84 8C 00 00 00 33 C0 89 44 24 04 33 C0 89 44 24 08 C6 04 24 1A 8B 46 54 50 8D 44 24 10 50 8B 4E 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 44 24 0C 50 0F B6 05 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 14 5A E8 ?? ?? ?? ?? 8D 44 24 0C 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 8D 44 24 0C 50 0F B6 05 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 14 5A E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 00 00 00 00 00 80 00 00 00 00 01 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_76027_0 {
	meta:
		name = "DropDownWidth"
		size = 58
		refs = "001a TStyleHook.GetHandle 0020 SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 8D 45 F0 50 53 68 67 04 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 08 8B 45 F8 2B 45 F0 EB 05 B8 0F 00 00 00 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76028_0 {
	meta:
		name = "TToolBarStyleHook.Paint"
		size = 2310
		refs = "0024 TToolBarStyleHook.Paint 002f StyleServices 004a TStyleHook.GetHandle 0056 GetWindowLongPtr 0073 Rect 009b TCustomStyleServices.HasTransparentParts 00af TCanvas.GetHandle 00c3 TCustomStyleServices.DrawParentBackground 00de TCustomStyleServices.DrawElement 00ea TCustomStyleServices.GetStyleColor 0108 GradientFillCanvas 0110 TToolBarStyleHook.ApplyImageList 0118 TToolBarStyleHook.GetButtonCount 0143 TToolBarStyleHook.GetItemInfo 0161 TToolBarStyleHook.GetItemRect 037d DropDownWidth 0424 TRect.Offset 04f2 RectCenter 050d @PWCharLen 0539 _DV_TToolBar 053e @IsClass 0586 TToolBar.GetButton 05c1 TCanvas.SetFont 05e4 DrawText 064b OffsetRect 0682 @UStrFromPWChar 069d TStyleHook.DrawControlText 0711 TRect.GetHeight 07d0 TCustomImageList.GetCount 07fc TCustomImageList.Draw 08af TCustomImageList.GetHandle 08b5 ImageList_Draw 08d6 TWinControl.PaintControls 08f3 @UStrArrayClr 08f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 54 FD FF FF 53 56 57 33 C9 89 8D 54 FD FF FF 89 8D 58 FD FF FF 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 8B 10 FF 52 44 84 C0 0F 84 94 08 00 00 8B 45 FC E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 8B 58 08 8B 43 54 50 8D 45 BC 50 8B 4B 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 80 B8 A1 02 00 00 00 75 5E C6 45 D8 1A 33 C0 89 45 DC 33 C0 89 45 E0 8D 55 D8 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 24 8D 45 D8 50 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 E8 59 E8 ?? ?? ?? ?? 8D 45 BC 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 4D D8 8B 45 E8 E8 ?? ?? ?? ?? EB 28 B2 1A 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 B2 1B 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 BC 52 6A 01 8B C8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 0F 8C 9E 07 00 00 40 89 45 E4 33 DB 68 FF 00 00 00 8D 85 6C FF FF FF 50 8D 8D 6E FD FF FF 8B D3 8B 45 FC E8 ?? ?? ?? ?? 0F B6 85 7C FF FF FF 24 08 3C 08 0F 84 61 07 00 00 8D 4D BC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 0F B6 85 7D FF FF FF 24 80 3C 80 0F 85 8D 00 00 00 C6 45 F7 0A F6 85 7C FF FF FF 04 75 09 C6 45 F7 0D E9 19 01 00 00 0F B6 85 7C FF FF FF 24 02 3C 02 75 09 C6 45 F7 0C E9 03 01 00 00 0F B6 95 7C FF FF FF 80 E2 01 80 FA 01 75 30 3C 02 75 09 C6 45 F7 0F E9 E7 00 00 00 8B 45 FC 3B 58 2C 75 12 8B 45 FC 80 78 24 00 74 09 C6 45 F7 0F E9 CD 00 00 00 C6 45 F7 0E E9 C4 00 00 00 8B 45 FC 3B 58 2C 0F 85 B8 00 00 00 8B 45 FC 80 78 24 00 0F 84 AB 00 00 00 C6 45 F7 0B E9 A2 00 00 00 C6 45 F7 02 F6 85 7C FF FF FF 04 75 09 C6 45 F7 05 E9 8C 00 00 00 0F B6 85 7C FF FF FF 24 02 3C 02 75 1B 0F B6 85 7D FF FF FF 24 08 3C 08 75 08 8B 45 FC 3B 58 28 74 06 C6 45 F7 04 EB 64 0F B6 85 7C FF FF FF 8B D0 80 E2 01 80 FA 01 75 29 24 02 3C 02 75 06 C6 45 F7 07 EB 47 8B 45 FC 3B 58 2C 75 0F 8B 45 FC 80 78 24 00 74 06 C6 45 F7 07 EB 30 C6 45 F7 06 EB 2A 8B 45 FC 3B 58 2C 75 09 8B 45 FC 80 78 24 00 75 15 0F B6 85 7D FF FF FF 24 08 3C 08 75 0C 8B 45 FC 3B 58 28 75 04 C6 45 F7 03 8B 45 FC 8B 40 08 80 B8 A1 02 00 00 00 74 37 0F B6 85 7C FF FF FF 24 02 3C 02 74 2A 0F B6 85 7C FF FF FF 24 01 3C 01 74 1D 8B 45 FC 80 78 24 00 74 08 8B 45 FC 3B 58 2C 74 0C 8B 45 FC 3B 58 28 74 04 33 C0 EB 02 B0 01 88 45 EF 0F B6 55 F7 8D 4D D8 8B 45 E8 8B 30 FF 96 E8 00 00 00 C6 45 F5 01 0F B6 85 7D FF FF FF 8B D0 80 E2 02 80 FA 02 75 2A 80 7D EF 00 0F 84 A6 01 00 00 8D 45 BC 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 4D D8 8B 45 E8 E8 ?? ?? ?? ?? E9 86 01 00 00 8B D0 80 E2 80 80 FA 80 75 20 8D 45 BC 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 4D D8 8B 45 E8 E8 ?? ?? ?? ?? E9 5C 01 00 00 8B D0 80 E2 08 80 FA 08 0F 85 F6 00 00 00 55 8B C3 E8 ?? ?? ?? ?? 59 8B F0 56 8D 75 BC 8D 7D AC A5 A5 A5 A5 5E 29 75 B4 80 7D EF 00 74 1B 8D 45 AC 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 4D D8 8B 45 E8 E8 ?? ?? ?? ?? 56 8D 75 BC 8D 7D AC A5 A5 A5 A5 5E 8B 45 B4 2B C6 89 45 AC 8B 45 FC 3B 58 28 74 06 80 7D F7 04 75 06 C6 45 F6 1C EB 1C 80 7D F7 05 75 06 C6 45 F6 1D EB 10 80 7D F7 03 75 06 C6 45 F6 1B EB 04 C6 45 F6 1A 8B 45 FC 8B 40 08 80 B8 A1 02 00 00 01 75 21 0F B6 45 F6 2C 05 74 08 2C 15 74 04 2C 03 75 11 C6 45 F6 32 8D 45 AC 33 C9 83 CA FF E8 ?? ?? ?? ?? 0F B6 55 F6 8D 4D CC 8B 45 E8 8B 38 FF 97 E8 00 00 00 8D 45 AC 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 4D CC 8B 45 E8 E8 ?? ?? ?? ?? 29 75 C4 80 7D F6 32 75 69 8D 45 AC 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 58 24 01 3C 01 75 31 8D 4D D8 B2 22 8B 45 E8 8B 30 FF 96 E8 00 00 00 8D 45 BC 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 4D D8 8B 45 E8 E8 ?? ?? ?? ?? C6 45 F5 00 EB 21 80 7D EF 00 74 1B 8D 45 BC 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 4D D8 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 8B 70 30 85 F6 74 27 8B 46 38 50 8D 45 9C 50 8B 4E 3C 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 8D 5C FD FF FF 8D 55 BC 8D 45 9C E8 ?? ?? ?? ?? EB 11 6A 00 8D 45 9C 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 84 E8 ?? ?? ?? ?? 85 C0 76 12 0F B6 85 7D FF FF FF 24 01 3C 01 0F 94 C0 34 01 EB 02 33 C0 84 C0 0F 84 3D 02 00 00 8B 45 FC 8B 40 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 51 8B 45 FC 8B 40 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 0F 02 00 00 8B 45 FC 8B 40 08 80 B8 B0 02 00 00 00 75 29 8B 45 FC 8B 70 08 80 BE 84 02 00 00 00 0F 84 ED 01 00 00 8B C6 8B D3 E8 ?? ?? ?? ?? 80 B8 CE 01 00 00 05 0F 85 D7 01 00 00 8B 45 F0 25 00 10 00 00 3D 00 10 00 00 0F 85 FC 00 00 00 8D 75 BC 8D 7D 8C A5 A5 A5 A5 8B 45 FC 8B 40 08 8B 50 6C 8B 45 F8 E8 ?? ?? ?? ?? 68 11 04 00 00 8D 45 8C 50 8B 75 84 8B C6 E8 ?? ?? ?? ?? 50 56 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 8D 5C FD FF FF 8D 55 BC 8D 45 8C E8 ?? ?? ?? ?? 80 7D F5 00 74 79 83 BD 78 FF FF FF 00 7C 70 8B 45 FC 83 78 30 00 74 67 8B 45 A8 50 8D 85 5C FD FF FF 50 8B 45 FC 8B 40 30 8B 48 3C 83 C1 05 8B 55 A0 B8 05 00 00 00 E8 ?? ?? ?? ?? 8D B5 5C FD FF FF 8D 7D 9C A5 A5 A5 A5 8D 45 9C 33 C9 8B 55 BC E8 ?? ?? ?? ?? 8B 45 98 50 8D 85 5C FD FF FF 50 8B 45 A4 83 C0 03 8B 4D C4 8B 55 90 E8 ?? ?? ?? ?? 8D B5 5C FD FF FF 8D 7D 8C A5 A5 A5 A5 8D 85 58 FD FF FF 8B 55 84 E8 ?? ?? ?? ?? 8B 85 58 FD FF FF 50 8D 45 8C 50 6A 10 8D 4D D8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E9 C8 00 00 00 8B 45 FC 8B 40 08 8B 50 6C 8B 45 F8 E8 ?? ?? ?? ?? 8D 75 BC 8D 7D 8C A5 A5 A5 A5 68 11 04 00 00 8D 45 8C 50 8B 75 84 8B C6 E8 ?? ?? ?? ?? 50 56 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 8D 5C FD FF FF 8D 55 BC 8D 45 8C E8 ?? ?? ?? ?? 80 7D F5 00 74 4A 83 BD 78 FF FF FF 00 7C 41 8B 45 FC 83 78 30 00 74 38 8D 45 9C E8 ?? ?? ?? ?? 8B C8 D1 F9 79 03 83 D1 00 8D 45 8C 33 D2 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8B C8 F7 D9 D1 F9 79 03 83 D1 00 8D 45 9C 33 D2 E8 ?? ?? ?? ?? 8D 85 54 FD FF FF 8B 55 84 E8 ?? ?? ?? ?? 8B 85 54 FD FF FF 50 8D 45 8C 50 6A 11 8D 4D D8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 80 7D F5 00 0F 84 41 01 00 00 83 BD 78 FF FF FF 00 0F 8C 34 01 00 00 8B 45 FC 83 78 30 00 0F 84 27 01 00 00 8B 45 FC 8B 40 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 E3 00 00 00 F6 85 7C FF FF FF 04 75 51 8B 45 FC 8B 40 08 83 B8 C4 02 00 00 00 74 42 8B 45 FC 8B 40 08 8B 80 C4 02 00 00 E8 ?? ?? ?? ?? 3B 85 78 FF FF FF 7E 29 8B 45 A0 50 8B 85 78 FF FF FF 50 6A 01 8B 45 FC 8B 40 08 8B 80 C4 02 00 00 8B 4D 9C 8B 55 F8 E8 ?? ?? ?? ?? E9 B4 00 00 00 8B 45 FC 3B 58 2C 75 4E 8B 45 FC 8B 40 08 83 B8 CC 02 00 00 00 74 3F 8B 45 FC 8B 40 08 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 3B 85 78 FF FF FF 7E 26 8B 45 A0 50 8B 85 78 FF FF FF 50 6A 01 8B 45 FC 8B 40 08 8B 80 CC 02 00 00 8B 4D 9C 8B 55 F8 E8 ?? ?? ?? ?? EB 5E 8B 45 A0 50 8B 85 78 FF FF FF 50 0F B6 85 7C FF FF FF 24 04 3C 04 0F 94 C0 50 8B 45 FC 8B 40 08 8B 80 BC 02 00 00 8B 4D 9C 8B 55 F8 E8 ?? ?? ?? ?? EB 2B 6A 01 8B 45 A0 50 8B 45 9C 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 85 78 FF FF FF 50 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 43 FF 4D E4 0F 85 68 F8 FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 08 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 54 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76029_0 {
	meta:
		name = "TToolBarStyleHook.WMNotify"
		size = 83
		refs = "0015 TStyleHook.GetHandle 003a TStyleHook.CallDefaultProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 08 81 78 08 3A FD FF FF 75 3E 8B C3 E8 ?? ?? ?? ?? 3B 46 04 75 32 8B 46 08 8B 40 0C 89 43 28 8B C3 8B 10 FF 52 20 C7 43 2C FF FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? C7 43 28 FF FF FF FF 8B C3 8B 10 FF 52 20 C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_76030_0 {
	meta:
		name = "TToolBarStyleHook.WMMouseMove"
		size = 175
		refs = "0013 TMouseTrackControlStyleHook.WMMouseMove 001a TToolBarStyleHook.GetButtonCount 0043 TToolBarStyleHook.GetItemRect 0051 PtInRect 006c TToolBarStyleHook.GetItemInfo"
	strings:
		$1 = { 53 56 57 55 81 C4 C8 FD FF FF 8B EA 8B D8 8B D5 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 6B 47 33 F6 0F BF 45 08 0F BF 55 0A 89 04 24 89 54 24 04 8D 8C 24 28 02 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 84 24 28 02 00 00 8B D4 E8 ?? ?? ?? ?? 84 C0 74 33 68 FF 00 00 00 8D 44 24 0C 50 8D 4C 24 30 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 44 24 18 24 04 3C 04 75 11 3B 73 2C 74 07 8B C3 8B 10 FF 52 20 89 73 2C EB 18 46 4F 75 98 83 7B 2C 00 7C 0E C7 43 2C FF FF FF FF 8B C3 8B 10 FF 52 20 81 C4 38 02 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76031_0 {
	meta:
		name = "TCoolBarStyleHook.WMEraseBkgnd"
		size = 12
		altNames = "THeaderStyleHook.WMEraseBkgnd TPageScrollerStyleHook.WMEraseBkgnd TToolBarStyleHook.WMEraseBkgnd"
	strings:
		$1 = { C7 42 0C 01 00 00 00 C6 40 14 01 C3 }
	condition:
		$1
}

rule function_76033_0 {
	meta:
		name = "TUpDownStyleHook.GetOrientation"
		size = 89
		refs = "000f _DV_TUpDown 0014 @IsClass 0029 TStyleHook.GetHandle 0040 GetWindowLongPtr"
	strings:
		$1 = { 53 56 8B D8 8B 73 08 85 F6 74 1B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 0F B6 86 A9 02 00 00 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 85 C0 74 23 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 83 E0 40 83 F8 40 75 04 33 C0 EB 06 B0 01 EB 02 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_76034_0 {
	meta:
		name = "TUpDownStyleHook.Paint"
		size = 514
		refs = "000b StyleServices 0028 TCanvas.GetHandle 0030 TStyleHook.GetHandle 003d TCustomStyleServices.DrawParentBackground 0044 TUpDownStyleHook.GetOrientation 005d TRect.GetWidth 00b4 TCustomStyleServices.DrawElement 0134 TRect.GetHeight"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B FA 8B F0 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 DF 01 00 00 8D 44 24 10 50 6A 00 6A 00 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 D7 00 00 00 8B D4 8B 46 08 8B 08 FF 51 60 8B C4 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 03 04 24 89 44 24 08 80 7E 28 00 74 04 B3 0C EB 12 80 7E 2A 00 74 0A 80 7E 24 00 74 04 B3 0B EB 02 B3 0A E8 ?? ?? ?? ?? 8B D3 8D 4C 24 10 8B 18 FF 93 BC 00 00 00 54 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 1C 5A E8 ?? ?? ?? ?? 8B D4 8B 46 08 8B 08 FF 51 60 8B C4 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 54 24 08 2B D0 89 14 24 80 7E 29 00 74 04 B3 10 EB 12 80 7E 2B 00 74 0A 80 7E 24 00 74 04 B3 0F EB 02 B3 0E E8 ?? ?? ?? ?? 8B D3 8D 4C 24 10 8B 18 FF 93 BC 00 00 00 54 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 1C 5A E8 ?? ?? ?? ?? E9 D4 00 00 00 8B D4 8B 46 08 8B 08 FF 51 60 8B C4 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 03 44 24 04 89 44 24 0C 80 7E 28 00 74 04 B3 04 EB 12 80 7E 2A 00 74 0A 80 7E 24 00 74 04 B3 03 EB 02 B3 02 E8 ?? ?? ?? ?? 8B D3 8D 4C 24 10 8B 18 FF 93 BC 00 00 00 54 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 1C 5A E8 ?? ?? ?? ?? 8B D4 8B 46 08 8B 08 FF 51 60 8B C4 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 54 24 0C 2B D0 89 54 24 04 80 7E 29 00 74 04 B3 08 EB 12 80 7E 2B 00 74 0A 80 7E 24 00 74 04 B3 07 EB 02 B3 06 E8 ?? ?? ?? ?? 8B D3 8D 4C 24 10 8B 18 FF 93 BC 00 00 00 54 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 1C 5A E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76035_0 {
	meta:
		name = "TUpDownStyleHook.WMLButtonDblClk"
		size = 393
		refs = "000e TStyleHook.SetRedraw 0017 TStyleHook.CallDefaultProc 0027 TUpDownStyleHook.GetOrientation 0044 TRect.GetWidth 006d PtInRect 00e9 TRect.GetHeight"
		altNames = "TUpDownStyleHook.WMLButtonDown"
	strings:
		$1 = { 53 56 83 C4 D0 8B F2 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 A5 00 00 00 8D 54 24 20 8B 43 08 8B 08 FF 51 60 8D 44 24 20 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 03 44 24 20 89 44 24 28 0F BF 46 08 0F BF 56 0A 89 04 24 89 54 24 04 8B D4 8D 44 24 20 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 28 01 EB 04 C6 43 28 00 8D 54 24 20 8B 43 08 8B 08 FF 51 60 8D 44 24 20 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 54 24 28 2B D0 89 54 24 20 0F BF 46 08 0F BF 56 0A 89 44 24 08 89 54 24 0C 8D 54 24 08 8D 44 24 20 E8 ?? ?? ?? ?? 84 C0 74 09 C6 43 29 01 E9 A9 00 00 00 C6 43 29 00 E9 A0 00 00 00 8D 54 24 20 8B 43 08 8B 08 FF 51 60 8D 44 24 20 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 03 44 24 24 89 44 24 2C 0F BF 46 08 0F BF 56 0A 89 44 24 10 89 54 24 14 8D 54 24 10 8D 44 24 20 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 28 01 EB 04 C6 43 28 00 8D 54 24 20 8B 43 08 8B 08 FF 51 60 8D 44 24 20 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 54 24 2C 2B D0 89 54 24 24 0F BF 46 08 0F BF 56 0A 89 44 24 18 89 54 24 1C 8D 54 24 18 8D 44 24 20 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 29 01 EB 04 C6 43 29 00 8B C3 8B 10 FF 52 20 C6 43 14 01 83 C4 30 5E 5B C3 }
	condition:
		$1
}

rule function_76037_0 {
	meta:
		name = "TUpDownStyleHook.WMLButtonUp"
		size = 55
		refs = "000b TStyleHook.SetRedraw 0014 TStyleHook.CallDefaultProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? C6 43 28 00 C6 43 29 00 8B C3 8B 10 FF 52 20 C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_76038_0 {
	meta:
		name = "TUpDownStyleHook.WMMouseMove"
		size = 414
		refs = "000f TMouseTrackControlStyleHook.WMMouseMove 0018 TStyleHook.CallDefaultProc 002a TUpDownStyleHook.GetOrientation 0047 TRect.GetWidth 0073 PtInRect 00ef TRect.GetHeight"
	strings:
		$1 = { 53 56 57 83 C4 CC 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 0F B6 5F 2A 0F B6 47 2B 88 04 24 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 85 A8 00 00 00 8D 54 24 24 8B 47 08 8B 08 FF 51 60 8D 44 24 24 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 03 44 24 24 89 44 24 2C 0F BF 46 08 0F BF 56 0A 89 44 24 04 89 54 24 08 8D 54 24 04 8D 44 24 24 E8 ?? ?? ?? ?? 84 C0 74 06 C6 47 2A 01 EB 04 C6 47 2A 00 8D 54 24 24 8B 47 08 8B 08 FF 51 60 8D 44 24 24 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 54 24 2C 2B D0 89 54 24 24 0F BF 46 08 0F BF 56 0A 89 44 24 0C 89 54 24 10 8D 54 24 0C 8D 44 24 24 E8 ?? ?? ?? ?? 84 C0 74 09 C6 47 2B 01 E9 A9 00 00 00 C6 47 2B 00 E9 A0 00 00 00 8D 54 24 24 8B 47 08 8B 08 FF 51 60 8D 44 24 24 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 03 44 24 28 89 44 24 30 0F BF 46 08 0F BF 56 0A 89 44 24 14 89 54 24 18 8D 54 24 14 8D 44 24 24 E8 ?? ?? ?? ?? 84 C0 74 06 C6 47 2A 01 EB 04 C6 47 2A 00 8D 54 24 24 8B 47 08 8B 08 FF 51 60 8D 44 24 24 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 54 24 30 2B D0 89 54 24 28 0F BF 46 08 0F BF 56 0A 89 44 24 1C 89 54 24 20 8D 54 24 1C 8D 44 24 24 E8 ?? ?? ?? ?? 84 C0 74 06 C6 47 2B 01 EB 04 C6 47 2B 00 3A 5F 2A 74 10 0F B6 04 24 3A 47 2B 74 07 8B C7 8B 10 FF 52 20 C6 47 14 01 83 C4 34 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76040_0 {
	meta:
		name = "TUpDownStyleHook.MouseLeave"
		size = 14
	strings:
		$1 = { C6 40 2A 00 C6 40 2B 00 8B 10 FF 52 20 C3 }
	condition:
		$1
}

rule function_76041_0 {
	meta:
		name = "THeaderStyleHook.Create"
		size = 75
		refs = "000a @ClassCreate 0017 TMouseTrackControlStyleHook.Create 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 0D 01 C6 46 17 01 C7 46 2C FF FF FF FF C7 46 28 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_76043_0 {
	meta:
		name = "THeaderStyleHook.MouseLeave"
		size = 13
	strings:
		$1 = { C7 40 2C FF FF FF FF 8B 10 FF 52 20 C3 }
	condition:
		$1
}

rule function_76044_0 {
	meta:
		name = "THeaderStyleHook.Paint"
		size = 402
		refs = "001d THeaderStyleHook.Paint 002f TStyleHook.GetHandle 0040 SendMessage 008b @FillChar 00d4 @UStrFromPWChar 0120 GetWindowRect 0128 TRect.GetHeight 0135 TRect.GetWidth 0144 Rect 014c IsRectEmpty 017f @UStrClr 0185 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 90 FD FF FF 53 56 57 33 C9 89 8D 90 FD FF FF 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B C6 E8 ?? ?? ?? ?? 8B D8 6A 00 6A 00 68 00 12 00 00 53 E8 ?? ?? ?? ?? 48 85 C0 0F 8C C6 00 00 00 40 89 45 F0 C7 45 F8 00 00 00 00 8B 5D F8 8B C6 E8 ?? ?? ?? ?? 8B F8 89 5D EC 8D 45 D4 89 45 E8 8B 45 E8 50 8B 45 EC 50 68 07 12 00 00 57 E8 ?? ?? ?? ?? 8D 45 94 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? C7 45 94 02 00 00 00 8D 85 96 FD FF FF 89 45 9C C7 45 A4 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 89 5D E4 8D 45 94 50 8B 45 E4 50 68 0B 12 00 00 57 E8 ?? ?? ?? ?? 85 C0 74 33 53 8D 85 90 FD FF FF 8B 55 9C E8 ?? ?? ?? ?? 8B 85 90 FD FF FF 50 3B 5E 28 0F 94 C0 50 3B 5E 2C 0F 94 C0 50 6A 00 8D 4D D4 8B 55 FC 8B C6 8B 18 FF 53 34 8B 45 DC 3B 45 F4 7E 03 89 45 F4 FF 45 F8 FF 4D F0 0F 85 45 FF FF FF 8D 45 C4 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 50 8D 45 D4 50 8D 45 C4 E8 ?? ?? ?? ?? 8B C8 83 C1 02 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 84 C0 75 17 6A FF 6A 00 6A 00 6A 00 6A 01 8D 4D D4 8B 55 FC 8B C6 8B 18 FF 53 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 90 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76045_0 {
	meta:
		name = "THeaderStyleHook.DrawHeaderSection"
		size = 501
		refs = "0018 StyleServices 0034 @FillChar 0042 TStyleHook.GetHandle 0057 SendMessage 00a7 TCanvas.GetHandle 00b6 TCustomStyleServices.DrawElement 00e7 InflateRect 0138 ImageList_GetIconSize 0143 TRect.GetHeight 0176 ImageList_Draw 0192 TControl.DrawTextBiDiModeFlags 01e8 TStyleHook.DrawControlText"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 8B F1 8D 7D D8 A5 A5 A5 A5 89 55 FC 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 C3 01 00 00 8D 45 A8 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? C7 45 A8 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 7D 18 8D 45 A8 50 57 68 0B 12 00 00 56 E8 ?? ?? ?? ?? 80 7D 08 00 74 06 C6 45 FB 02 EB 22 80 7D 10 00 74 06 C6 45 FB 04 EB 16 80 7D 0C 00 74 0C 80 7B 24 00 74 06 C6 45 FB 03 EB 04 C6 45 FB 02 E8 ?? ?? ?? ?? 0F B6 55 FB 8D 4D 9C 8B 30 FF 96 8C 00 00 00 8D 45 D8 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D 9C 5A E8 ?? ?? ?? ?? 6A 00 6A 00 68 09 12 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 C7 45 A8 24 00 00 00 8D 45 D8 B9 FD FF FF FF BA FD FF FF FF E8 ?? ?? ?? ?? 85 F6 74 2A 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 45 18 89 45 E8 8D 45 A8 50 8B 45 E8 50 68 0B 12 00 00 57 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 EB 02 33 C0 84 C0 74 64 8B 45 BC 25 00 08 00 00 3D 00 08 00 00 75 55 8D 45 EC 50 8D 45 F0 50 56 E8 ?? ?? ?? ?? 8B 7D D8 8D 45 D8 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 03 45 DC 8B 55 EC D1 FA 79 03 83 D2 00 2B C2 89 45 F4 6A 01 8B 45 F4 50 57 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 C4 50 56 E8 ?? ?? ?? ?? 8B 45 F0 83 C0 03 01 45 D8 83 7D 18 00 7D 0F BA 24 80 00 00 8B 43 08 E8 ?? ?? ?? ?? EB 3E 8B 45 BC 8B D0 83 E2 01 4A 75 0F BA 26 80 00 00 8B 43 08 E8 ?? ?? ?? ?? EB 24 83 E0 02 83 F8 02 75 0F BA 25 80 00 00 8B 43 08 E8 ?? ?? ?? ?? EB 0D BA 24 80 00 00 8B 43 08 E8 ?? ?? ?? ?? 8B 55 14 52 8D 55 D8 52 50 8D 4D 9C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_76046_0 {
	meta:
		name = "THeaderStyleHook.WMLButtonDown"
		size = 113
		refs = "000e TStyleHook.CallDefaultProc 002e TStyleHook.GetHandle 0034 SendMessage 0063 RedrawWindow"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 0F BF 46 08 89 04 24 0F BF 46 0A 89 44 24 04 8B C4 50 6A 00 68 06 12 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 08 A8 04 75 0D A8 08 75 09 8B 44 24 0C 89 43 28 EB 07 C7 43 28 FF FF FF FF 6A 01 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 43 14 01 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_76047_0 {
	meta:
		name = "THeaderStyleHook.WMLButtonUp"
		size = 42
		refs = "0006 TStyleHook.CallDefaultProc 001a TStyleHook.GetHandle 0020 RedrawWindow"
		altNames = "THeaderStyleHook.WMRButtonUp"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 43 28 FF FF FF FF 6A 01 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_76050_0 {
	meta:
		name = "THeaderStyleHook.WMMouseMove"
		size = 132
		refs = "000f TMouseTrackControlStyleHook.WMMouseMove 0018 TStyleHook.CallDefaultProc 003b TStyleHook.GetHandle 0041 SendMessage 0075 RedrawWindow"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 7B 2C 0F BF 46 08 89 04 24 0F BF 46 0A 89 44 24 04 8B C4 50 6A 00 68 06 12 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 08 A8 04 75 0D A8 08 75 09 8B 44 24 0C 89 43 2C EB 07 C7 43 2C FF FF FF FF 3B 7B 2C 74 13 6A 01 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 43 14 01 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76051_0 {
	meta:
		name = "TCoolBarStyleHook.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TStyleHook.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 17 01 C6 46 18 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_76052_0 {
	meta:
		name = "TCoolBarStyleHook.PaintNC"
		size = 240
		refs = "000b StyleServices 0023 _DV_TCoolBar 0028 @IsClass 0033 TCoolBarStyleHook.PaintNC 005b TCanvas.GetHandle 0061 ExcludeClipRect 0072 TCustomStyleServices.ColorToRGB 007c TBrush.SetColor 0094 Rect 00df TCustomStyleServices.DrawElement"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 C7 00 00 00 8B 7B 08 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 0F B6 05 ?? ?? ?? ?? 3A 87 78 02 00 00 0F 84 A0 00 00 00 8B 7B 08 8B 47 54 83 E8 02 50 8B 47 50 83 E8 02 50 6A 02 6A 02 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 46 48 E8 ?? ?? ?? ?? 8B 7B 08 8B 47 54 50 8D 44 24 10 50 8B 4F 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 54 24 0C 8B C6 8B 08 FF 51 54 C6 04 24 1A 33 C0 89 44 24 04 8B 7B 08 8B 47 54 50 8D 44 24 10 50 8B 4F 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 44 24 0C 50 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 0C 5A E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_76054_0 {
	meta:
		name = "TCoolBarStyleHook.GetBandCount"
		size = 27
		refs = "000f TStyleHook.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 0C 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76055_0 {
	meta:
		name = "TCoolBarStyleHook.GetBandText"
		size = 117
		refs = "0019 @FillChar 001e SizeOfReBarBandInfo 0049 TStyleHook.GetHandle 004f SendMessage 005e @UStrFromPWChar 0067 @UStrClr"
	strings:
		$1 = { 53 56 57 81 C4 9C FD FF FF 8B F1 8B FA 8B D8 8B C4 33 C9 BA 64 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 C7 44 24 04 04 00 00 00 8D 44 24 64 89 44 24 14 C7 44 24 18 FF 00 00 00 8B C4 50 57 68 1C 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0D 8B C6 8B 54 24 14 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 81 C4 64 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76056_0 {
	meta:
		name = "TCoolBarStyleHook.GetBandRect"
		size = 200
		refs = "0017 Rect 0025 TStyleHook.GetHandle 002b SendMessage 0036 _DV_TCoolBar 003b @IsClass 0055 TCoolBands.GetItem 00af TCoolBarStyleHook.GetBandBorder"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B D9 8B FA 8B F0 6A 00 53 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 53 57 68 09 04 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 6E 08 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7D 80 BD A5 02 00 00 00 74 74 8B 85 80 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B 40 28 8B 40 4C 89 43 04 8B 85 80 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B 40 28 8B 40 48 89 03 8B 85 80 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B 40 28 8B 40 54 03 43 04 89 43 0C 8B 85 80 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B 40 28 8B 40 50 03 03 89 43 08 8B CC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 43 04 2B 44 24 04 83 C0 04 89 43 04 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76057_0 {
	meta:
		name = "TCoolBarStyleHook.GetBandBorder"
		size = 33
		refs = "0013 TStyleHook.GetHandle 0019 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 22 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76058_0 {
	meta:
		name = "TCoolBarStyleHook.Paint"
		size = 1087
		refs = "0017 TCoolBarStyleHook.Paint 0025 TControl.GetClientHeight 0032 TControl.GetClientWidth 003d Rect 004f InflateRect 005d StyleServices 0065 TCustomStyleServices.HasTransparentParts 0079 TCanvas.GetHandle 0081 TStyleHook.GetHandle 008e TCustomStyleServices.DrawParentBackground 00ab TCustomStyleServices.DrawElement 00b2 TCoolBarStyleHook.GetBandCount 00cd TCoolBarStyleHook.GetBandRect 00d9 TCoolBarStyleHook.GetBandBorder 0183 _DV_TCoolBar 0188 @IsClass 01fe TCoolBands.GetItem 020d TCustomImageList.GetCount 0244 TRect.GetHeight 027c TRect.GetWidth 02e2 TCustomImageList.GetHandle 02e8 ImageList_Draw 02f4 TCoolBarStyleHook.GetBandText 0311 TStyleHook.DrawControlText 0345 GetWindowLongPtr 042c @UStrClr 0432 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 E8 ?? ?? ?? ?? 50 8D 45 DC 50 8B 43 08 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 DC B9 02 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? C6 45 B0 1A 33 C0 89 45 B4 E8 ?? ?? ?? ?? 8D 55 B0 E8 ?? ?? ?? ?? 84 C0 74 25 8D 45 B0 50 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8D 45 DC 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D B0 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 5C 03 00 00 40 89 45 EC 33 F6 8D 4D DC 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 4D CC 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 DC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 7D E0 00 7D 05 33 C0 89 45 E0 83 7D DC 00 7D 05 33 C0 89 45 DC 8D 55 A0 8B 43 08 8B 08 FF 51 60 8B 45 A8 3B 45 E4 7D 11 8D 55 A0 8B 43 08 8B 08 FF 51 60 8B 45 A8 89 45 E4 8D 55 A0 8B 43 08 8B 08 FF 51 60 8B 45 AC 3B 45 E8 7D 11 8D 55 A0 8B 43 08 8B 08 FF 51 60 8B 45 AC 89 45 E8 E8 ?? ?? ?? ?? 8D 4D B0 B2 04 8B 38 FF 97 B8 00 00 00 8D 45 DC 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D B0 5A E8 ?? ?? ?? ?? 8B 7B 08 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 80 BF A5 02 00 00 00 74 1B 8B 45 E0 03 45 D0 50 8D 45 BC 50 8B 4D E4 8B 55 E0 8B 45 DC E8 ?? ?? ?? ?? EB 1C 8B 45 E8 50 8D 45 BC 50 8B 4D DC 03 4D CC 8B 45 DC 83 C0 0A 8B 55 E0 E8 ?? ?? ?? ?? 8B 7B 08 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 04 01 00 00 83 BF 9C 02 00 00 00 0F 84 F7 00 00 00 8B 87 80 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 40 14 50 8B 87 9C 02 00 00 E8 ?? ?? ?? ?? 5A 3B D0 0F 8D D2 00 00 00 8B 87 80 02 00 00 8B D6 E8 ?? ?? ?? ?? 83 78 14 00 0F 8C BB 00 00 00 80 BF A5 02 00 00 00 75 3E 8B 45 BC 89 45 F4 8D 45 BC E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 03 45 C0 8B 97 9C 02 00 00 8B 52 38 D1 FA 79 03 83 D2 00 2B C2 89 45 F0 8B 87 9C 02 00 00 8B 40 3C 83 C0 03 01 45 BC EB 3F 8D 45 BC E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 03 45 BC 8B 97 9C 02 00 00 8B 52 3C D1 FA 79 03 83 D2 00 2B C2 89 45 F4 8B 45 C0 83 C0 0A 89 45 F0 8B 87 9C 02 00 00 8B 40 38 83 C0 05 01 45 C0 6A 01 8B 45 F0 50 8B 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 87 80 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 40 14 50 8B 87 9C 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 17 8B 45 FC 50 8D 45 BC 50 6A 25 8D 4D B0 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 86 00 00 00 80 BF A5 02 00 00 00 74 7D 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? F6 C4 04 75 28 8B 7D E0 8B C7 83 C0 04 50 8D 45 A0 50 8B 4D E4 8B D7 8B 45 DC E8 ?? ?? ?? ?? 56 8D 75 A0 8D 7D DC A5 A5 A5 A5 5E EB 29 8B 7D E0 8B C7 83 C0 07 50 8D 45 A0 50 8B D7 83 C2 03 8B 4D E4 8B 45 DC E8 ?? ?? ?? ?? 56 8D 75 A0 8D 7D DC A5 A5 A5 A5 5E E8 ?? ?? ?? ?? 8D 4D B0 B2 03 8B 38 FF 97 B8 00 00 00 EB 41 8B 45 E8 83 E8 02 50 8D 45 A0 50 8B 7D DC 8B CF 83 C1 06 8B 55 E0 83 C2 02 8B C7 83 C0 02 E8 ?? ?? ?? ?? 56 8D 75 A0 8D 7D DC A5 A5 A5 A5 5E E8 ?? ?? ?? ?? 8D 4D B0 B2 02 8B 38 FF 97 B8 00 00 00 8D 45 DC 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D B0 5A E8 ?? ?? ?? ?? 46 FF 4D EC 0F 85 AA FC FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76059_0 {
	meta:
		name = "TCoolBarStyleHook.WMSize"
		size = 23
		refs = "0006 TStyleHook.CallDefaultProc"
		altNames = "TScrollBarStyleHook.WMMouseWheel TStyleHook.CMEnabledChanged TStyleHook.CMTextChanged TStyleHook.WMEnable TStyleHook.WMSetText"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_85322_0 {
	meta:
		name = "TButtonStyleHook.MouseEnter"
		size = 23
		refs = "0006 TMouseTrackControlStyleHook.MouseEnter"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_85323_0 {
	meta:
		name = "TButtonStyleHook.MouseLeave"
		size = 23
		refs = "0006 TMouseTrackControlStyleHook.MouseLeave"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_85337_0 {
	meta:
		name = "TCheckBoxStyleHook.MouseEnter"
		size = 23
		refs = "0006 TMouseTrackControlStyleHook.MouseEnter"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_85338_0 {
	meta:
		name = "TCheckBoxStyleHook.MouseLeave"
		size = 23
		refs = "0006 TMouseTrackControlStyleHook.MouseLeave"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_76061_0 {
	meta:
		name = "TPageScrollerStyleHook.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TStyleHook.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 17 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_76064_0 {
	meta:
		name = "TPageScrollerStyleHook.Paint"
		size = 52
		refs = "0015 TCanvas.GetHandle 001d TStyleHook.GetHandle 0023 StyleServices 002a TCustomStyleServices.DrawParentBackground"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 C6 04 24 1A 54 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_76065_0 {
	meta:
		name = "TPageScrollerStyleHook.PGMSetBKColor"
		size = 39
		refs = "0004 StyleServices 001e TCustomStyleServices.ColorToRGB"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 14 E8 ?? ?? ?? ?? 33 C9 BA 0F 00 00 FF E8 ?? ?? ?? ?? 89 43 08 5B C3 }
	condition:
		$1
}

rule function_76066_0 {
	meta:
		name = "TComboBoxExStyleHook.Create"
		size = 90
		refs = "000a @ClassCreate 0017 TComboBoxStyleHook.Create 0034 MakeObjectInstance 0047 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 17 00 C6 46 18 00 C6 46 68 00 33 C0 89 46 6C 56 8B 06 8B 40 40 50 E8 ?? ?? ?? ?? 89 46 70 33 C0 89 46 74 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_76067_0 {
	meta:
		name = "TComboBoxExStyleHook.Destroy"
		size = 69
		refs = "0004 @BeforeDestruction 001f SetWindowLongPtr 0027 FreeObjectInstance 0032 TComboBoxStyleHook.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 6C 85 C0 74 10 BA FC FF FF FF 8B 7E 74 57 52 50 E8 ?? ?? ?? ?? 8B 46 70 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76068_0 {
	meta:
		name = "TComboBoxExStyleHook.WMParentNotify"
		size = 32
		refs = "0007 TStyleManager.GetSystemStyle 0019 TComboBoxStyleHook.WMParentNotify"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76070_0 {
	meta:
		name = "TComboBoxExStyleHook.DoHotTrackTimer"
		size = 52
		refs = "0008 GetCursorPos 0015 WindowFromPoint 0021 TMouseTrackControlStyleHook.StopHotTrackTimer"
	strings:
		$1 = { 53 83 C4 F8 8B D8 54 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 E8 ?? ?? ?? ?? 3B 43 6C 74 12 8B C3 E8 ?? ?? ?? ?? C6 43 24 00 8B C3 8B 10 FF 52 30 59 5A 5B C3 }
	condition:
		$1
}

rule function_76071_0 {
	meta:
		name = "TComboBoxExStyleHook.MouseLeave"
		size = 10
		refs = "0005 TComboBoxExStyleHook.PaintComboBoxWnd"
	strings:
		$1 = { C6 40 4C 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76072_0 {
	meta:
		name = "TComboBoxExStyleHook.DrawListBoxItem"
		size = 793
		refs = "001f TComboBoxExStyleHook.DrawListBoxItem 0053 _Dn_TCanvas 0058 TCanvas.Create 0065 TCanvas.SetHandle 006c _Dn_TBitmap 0071 TBitmap.Create 007c TRect.GetWidth 008e TRect.GetHeight 00ae TBitmap.GetCanvas 00d0 TBrush.SetStyle 00e3 TBrush.SetColor 00f0 TFont.SetColor 00f7 StyleServices 00fe TCustomStyleServices.GetStyleColor 0114 TCustomStyleServices.GetStyleFontColor 013e Rect 0159 TListControlItems.GetListItem 01e8 TCustomImageList.GetCount 021d TCustomImageList.Draw 0277 @UStrLAsg 028a TCanvas.GetHandle 02a7 @UStrToPWChar 02ae DrawText 02d5 TObject.Free 02ed @HandleFinally 0304 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D FC 8B F1 8D 7D DC A5 A5 A5 A5 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 0C 00 7D 04 B0 01 EB 15 8B 46 08 8B 80 0C 03 00 00 8B 40 08 8B 40 08 3B 45 0C 0F 9E C0 84 C0 0F 85 A3 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8D 45 DC E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 08 FF 51 44 8D 45 DC E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 08 FF 51 38 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC E8 ?? ?? ?? ?? 8B 40 40 8B 56 08 8B 52 6C 8B 08 FF 51 08 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8B 43 48 33 D2 E8 ?? ?? ?? ?? 80 7D 08 00 74 1C 8B 43 48 BA 0D 00 00 FF E8 ?? ?? ?? ?? 8B 43 40 BA 0E 00 00 FF E8 ?? ?? ?? ?? EB 2C E8 ?? ?? ?? ?? B2 0A E8 ?? ?? ?? ?? 8B D0 8B 43 48 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 16 E8 ?? ?? ?? ?? 8B D0 8B 43 40 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 24 50 8D 45 BC 50 8B 45 EC 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 BC 8B C3 8B 08 FF 51 54 8B 46 08 8B 80 0C 03 00 00 8B 55 0C E8 ?? ?? ?? ?? 8B 58 24 85 DB 7E 0E 8B C3 03 C0 8D 04 80 83 C0 05 8B D8 EB 05 BB 05 00 00 00 8B 46 08 83 B8 F8 02 00 00 00 0F 84 A6 00 00 00 8B F8 89 5D F4 8B 45 EC 8B 10 FF 52 24 D1 F8 79 03 83 D0 00 8B 97 F8 02 00 00 8B 52 38 D1 FA 79 03 83 D2 00 2B C2 89 45 F0 83 7D F0 00 7D 05 33 C0 89 45 F0 8B 87 0C 03 00 00 8B 55 0C E8 ?? ?? ?? ?? 83 78 18 00 7C 52 8B 87 0C 03 00 00 8B 55 0C E8 ?? ?? ?? ?? 8B 40 18 50 8B 87 F8 02 00 00 E8 ?? ?? ?? ?? 5A 3B D0 7D 30 8B 45 F0 50 8B 87 0C 03 00 00 8B 55 0C E8 ?? ?? ?? ?? 8B 40 18 50 6A 01 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B 87 F8 02 00 00 8B 4D F4 E8 ?? ?? ?? ?? 8B 87 F8 02 00 00 03 58 3C 83 C3 05 8B 45 EC 8B 10 FF 52 24 50 8D 45 CC 50 8B 45 EC 8B 10 FF 52 30 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B 46 08 8B 80 0C 03 00 00 8B 55 0C E8 ?? ?? ?? ?? 8B 50 10 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 31 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 6A 24 8D 45 CC 50 53 8B 45 FC E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 4D E0 8B 55 DC 8B 45 F8 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_76073_0 {
	meta:
		name = "TComboBoxExStyleHook.ComboBoxWndProc"
		size = 460
		refs = "0066 TComboBoxStyleHook.HookListBox 008b TComboBoxExStyleHook.DrawListBoxItem 00b6 BeginPaint 00be TComboBoxExStyleHook.ComboBoxWndProc 00f1 EndPaint 00f7 @HandleFinally 0118 TMouseTrackControlStyleHook.StartHotTrackTimer 0155 TComboBoxStyleHook.GetButtonRect 0160 PtInRect 0192 InvalidateRect 01bd CallWindowProc"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 89 55 F8 89 45 FC B3 01 8B 45 F8 8B 00 83 E8 0F 74 7D 83 E8 1C 74 51 2D 09 01 00 00 74 10 2D CC 00 00 00 0F 84 D4 00 00 00 E9 61 01 00 00 8B 45 FC 83 78 50 00 0F 85 54 01 00 00 8B 45 F8 83 78 08 00 0F 84 47 01 00 00 8B 45 FC 83 78 58 00 0F 85 3A 01 00 00 8B 55 F8 8B 52 08 8B 45 FC E8 ?? ?? ?? ?? E9 27 01 00 00 8B 45 F8 8B 40 08 8B 50 08 52 F6 40 10 01 0F 95 C2 52 8D 48 1C 8B 50 18 8B 45 FC E8 ?? ?? ?? ?? 33 DB E9 00 01 00 00 8B 45 F8 8B 40 04 89 45 F4 83 7D F4 00 74 05 8B 45 F4 EB 10 8D 45 A0 50 8B 45 FC 8B 40 6C 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B 45 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 75 10 8D 45 A0 50 8B 45 FC 8B 40 6C 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 DB E9 92 00 00 00 8B 45 FC 80 78 24 00 75 17 8B 45 FC C6 40 24 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 2C 8B 45 F8 0F BF 40 08 8B 55 F8 0F BF 52 0A 89 45 E0 89 55 E4 8B 45 E0 89 45 EC 8B 45 E4 89 45 F0 8B 45 FC 0F B6 40 4C 88 45 EB 8D 55 90 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8D 45 90 E8 ?? ?? ?? ?? 84 C0 74 09 8B 45 FC C6 40 4C 01 EB 07 8B 45 FC C6 40 4C 00 8B 45 FC 0F B6 40 4C 3A 45 EB 74 12 6A 00 8D 45 90 50 8B 45 FC 8B 40 6C 50 E8 ?? ?? ?? ?? 84 DB 74 2D 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 04 50 8B 45 F8 8B 00 50 8B 45 FC 8B 40 6C 50 8B 45 FC 8B 40 74 50 E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76074_0 {
	meta:
		name = "TComboBoxExStyleHook.PaintComboBoxWnd"
		size = 19
		refs = "000e RedrawWindow"
	strings:
		$1 = { 68 01 01 00 00 6A 00 6A 00 8B 40 6C 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76075_0 {
	meta:
		name = "TComboBoxExStyleHook.WMNCPaint"
		size = 12
		refs = "0007 TComboBoxExStyleHook.InitComboBoxWnd"
	strings:
		$1 = { 83 78 6C 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76076_0 {
	meta:
		name = "TComboBoxExStyleHook.WMCommand"
		size = 104
		refs = "000b TStyleHook.CallDefaultProc 001b TComboBoxExStyleHook.WMCommand 0043 TComboBoxExStyleHook.PaintComboBoxWnd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B7 46 06 83 F8 09 77 49 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 00 01 01 00 00 02 03 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 18 C6 43 68 01 8B C3 E8 ?? ?? ?? ?? EB 0B C6 43 68 00 8B C3 E8 ?? ?? ?? ?? C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_76077_0 {
	meta:
		name = "TComboBoxExStyleHook.DrawComboBox"
		size = 1278
		refs = "0017 TComboBoxExStyleHook.DrawComboBox 0022 StyleServices 0056 _Dn_TCanvas 005b TCanvas.Create 0076 TCanvas.SetHandle 007d _Dn_TBitmap 0082 TBitmap.Create 00fe Rect 011b TBitmap.GetCanvas 0120 TCanvas.GetHandle 012f TCustomStyleServices.DrawElement 0187 TComboBoxStyleHook.GetButtonRect 01c9 InflateRect 0211 TCustomStyleServices.GetStyleFontColor 0223 TFont.SetColor 0261 @CallDynaInst 028d TBrush.SetColor 0297 TBrush.SetStyle 0336 TRect.GetHeight 0374 TListControlItems.GetListItem 03a0 TCustomImageList.GetCount 03e4 TCustomImageList.Draw 0444 @UStrLAsg 0474 @UStrToPWChar 047b DrawText 04a0 TObject.Free 04a6 @HandleFinally 04eb @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 A7 04 00 00 8B 45 F8 8B 40 08 83 78 50 00 0F 84 97 04 00 00 8B 45 F8 8B 40 08 83 78 54 00 0F 84 87 04 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B 45 F4 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 08 8B 50 50 8B 45 F0 8B 08 FF 51 44 8B 45 F8 8B 40 08 8B 50 54 8B 45 F0 8B 08 FF 51 38 8B 45 F8 8B 40 08 8B 10 FF 52 68 84 C0 75 04 B3 0E EB 1C 8B 45 F8 80 78 24 00 74 04 B3 0C EB 0F 8B 45 F8 80 78 0E 00 74 04 B3 0D EB 02 B3 0B 8B 45 F8 8B 70 08 8B 46 54 50 8D 45 D4 50 8B 4E 50 33 D2 33 C0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8D 4D E4 8B 18 FF 53 6C 8D 45 D4 50 6A 00 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E4 5A E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 8B 10 FF 52 68 84 C0 75 04 B3 05 EB 1C 8B 45 F8 80 78 68 00 74 04 B3 04 EB 0F 8B 45 F8 80 78 4C 00 74 04 B3 03 EB 02 B3 02 8B 45 F8 8B 40 08 80 B8 08 03 00 00 01 74 3C E8 ?? ?? ?? ?? 8B D3 8D 4D E4 8B 18 FF 53 6C 8D 55 C4 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 C4 50 6A 00 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E4 5A E8 ?? ?? ?? ?? 8D 55 D4 8B 45 F8 8B 40 08 8B 08 FF 51 60 8D 45 D4 B9 FD FF FF FF BA FD FF FF FF E8 ?? ?? ?? ?? 8D 55 C4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 C4 83 E8 02 89 45 DC 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 40 8B 55 F8 8B 52 08 8B 52 6C 8B 08 FF 51 08 8B 45 F8 8B 40 08 8B 10 FF 52 68 84 C0 74 20 E8 ?? ?? ?? ?? B2 16 E8 ?? ?? ?? ?? 50 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 40 5A E8 ?? ?? ?? ?? EB 1E E8 ?? ?? ?? ?? B2 13 E8 ?? ?? ?? ?? 50 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 40 5A E8 ?? ?? ?? ?? 8B 45 F8 8B 58 08 80 BB 08 03 00 00 02 0F 85 96 00 00 00 8B C3 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 74 55 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 8B 40 08 8B 10 FF 92 F8 00 00 00 40 74 2E 8B 43 48 BA 0D 00 00 FF E8 ?? ?? ?? ?? 8B 43 48 33 D2 E8 ?? ?? ?? ?? 8D 55 D4 8B C3 8B 08 FF 51 54 8B 43 40 BA 0E 00 00 FF E8 ?? ?? ?? ?? 8D 55 D4 8B C3 8B 08 FF 51 4C EB 32 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 8B 40 04 8B 40 10 8B 50 18 8B 43 48 E8 ?? ?? ?? ?? 8B 43 48 33 D2 E8 ?? ?? ?? ?? 8D 55 D4 8B C3 8B 08 FF 51 54 8B 45 F8 8B 40 08 80 B8 08 03 00 00 01 0F 84 7C 01 00 00 8B 45 F8 8B 58 08 83 BB F8 02 00 00 00 0F 84 E3 00 00 00 8B C3 8B 10 FF 92 F8 00 00 00 40 0F 84 D2 00 00 00 8B 45 F8 8B 58 08 BE 05 00 00 00 8D 45 D4 E8 ?? ?? ?? ?? 8B F8 D1 FF 79 03 83 D7 00 03 7D D8 8B 83 F8 02 00 00 8B 40 38 D1 F8 79 03 83 D0 00 2B F8 8B 45 D8 3B F8 7D 02 8B F8 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 0C 03 00 00 E8 ?? ?? ?? ?? 83 78 18 00 7C 6A 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 0C 03 00 00 E8 ?? ?? ?? ?? 8B 40 18 50 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 5A 3B D0 7D 3F 57 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 0C 03 00 00 E8 ?? ?? ?? ?? 8B 40 18 50 8B 45 F8 8B 40 08 8B 10 FF 52 68 50 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 83 F8 02 00 00 8B CE E8 ?? ?? ?? ?? 8B 83 F8 02 00 00 03 70 3C 83 C6 05 89 75 D4 EB 04 83 45 D4 05 8B 45 F8 8B 40 08 8B 10 FF 92 F8 00 00 00 40 74 71 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B 45 F8 8B 58 08 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 0C 03 00 00 E8 ?? ?? ?? ?? 8B 50 10 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 31 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 6A 24 8D 45 D4 50 53 8B 45 FC E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B 45 F0 50 33 C9 33 D2 8B 45 F4 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 F8 C6 40 14 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76078_0 {
	meta:
		name = "TComboBoxExStyleHook.InitComboBoxWnd"
		size = 80
		refs = "0016 TStyleHook.GetHandle 001c SendMessage 0033 GetWindowLongPtr 0049 SetWindowLongPtr"
	strings:
		$1 = { 53 56 8B D8 83 7B 6C 00 75 43 6A 00 6A 00 68 06 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 89 73 6C 85 F6 74 24 8B C6 BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 89 43 74 8B 43 6C BA FC FF FF FF 8B 4B 70 51 52 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76079_0 {
	meta:
		name = "TRichEditStyleHook.EMSetBkgndColor"
		size = 33
		refs = "0007 StyleServices 000e TCustomStyleServices.GetStyleColor 0013 ColorToRGB"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? B2 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 C6 43 14 00 5E 5B C3 }
	condition:
		$1
}

rule function_76080_0 {
	meta:
		name = "TRichEditStyleHook.EMSetCharFormat"
		size = 124
		refs = "000b TCustomRichEdit.GetPlainText 0030 TextColor 0036 StyleServices 003c TCustomStyleServices.GetStyleFontColor 0041 ColorToRGB 0056 BkColor 0062 TCustomStyleServices.GetStyleColor"
	strings:
		$1 = { 53 56 8B D8 8B 72 08 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 62 8B 46 04 25 00 00 00 40 3D 00 00 00 40 75 53 8B 43 08 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 8B 43 08 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 60 81 66 08 FF FF FF BF C6 43 14 00 5E 5B C3 }
	condition:
		$1
}

rule function_76082_0 {
	meta:
		name = "Finalization"
		size = 125
		refs = "0007 Finalization 0013 _DV_38 001b ShellModule 0029 FreeLibrary 002f FRichEditModule 0042 FreeConversionFormatList 0047 RTFConversionFormat 004d TConversionFormat 0052 @FinalizeRecord 0057 TextConversionFormat 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 4D 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_76083_0 {
	meta:
		name = "Vcl.ComCtrls"
		size = 57
		refs = "0002 _DV_38 000c _Dn_TList 0011 TObject.Create 0016 ConversionFormatList 001b TextConversionFormat 0025 TList.Add 002a RTFConversionFormat"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 2F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76143_0 {
	meta:
		name = "MouseOriginToShiftState"
		size = 60
		refs = "0001 GetMessageExtraInfo 0012 MouseOriginToShiftState"
	strings:
		$1 = { E8 ?? ?? ?? ?? 83 E0 80 3D 00 57 51 FF 75 08 0F B7 05 ?? ?? ?? ?? C3 3D 80 57 51 FF 75 09 0F B7 05 ?? ?? ?? ?? EB 07 0F B7 05 ?? ?? ?? ?? C3 00 00 01 00 00 80 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_76144_0 {
	meta:
		name = "ChangeBiDiModeAlignment"
		size = 20
	strings:
		$1 = { 0F B6 10 80 EA 01 72 04 74 06 EB 07 C6 00 01 C3 C6 00 00 C3 }
	condition:
		$1
}

rule function_76145_0 {
	meta:
		name = "InitWndProc"
		size = 303
		refs = "0005 CreationControl 0017 IsWindowUnicode 0037 SetWindowLongPtr 0046 GetWindowLongPtr 00de ControlAtom 00e8 SetProp 00f5 WindowAtom"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? 8B 55 08 89 90 60 02 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 85 C0 74 5E 8B 45 08 BA FC FF FF FF 8B 0D ?? ?? ?? ?? 8B 89 64 02 00 00 51 52 50 E8 ?? ?? ?? ?? 8B 45 08 BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? A9 00 00 00 40 0F 84 80 00 00 00 8B 45 08 BA F4 FF FF FF 52 50 E8 ?? ?? ?? ?? 85 C0 75 6D 8B 45 08 BA F4 FF FF FF 8B 4D 08 51 52 50 E8 ?? ?? ?? ?? EB 58 8B 45 08 BA FC FF FF FF 8B 0D ?? ?? ?? ?? 8B 89 64 02 00 00 51 52 50 E8 ?? ?? ?? ?? 8B 45 08 BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? A9 00 00 00 40 74 26 8B 45 08 BA F4 FF FF FF 52 50 E8 ?? ?? ?? ?? 85 C0 75 13 8B 45 08 BA F4 FF FF FF 8B 4D 08 51 52 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 0F B7 05 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 0F B7 05 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? FF 75 14 FF 75 10 FF 75 0C FF 75 08 A1 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 FF 90 64 02 00 00 89 45 FC 8B 45 FC 59 5D C2 10 00 }
	condition:
		$1
}

rule function_76146_0 {
	meta:
		name = "ObjectFromHWnd"
		size = 49
		refs = "0007 GetWindowThreadProcessId 0010 GetCurrentProcessId 001e RM_GetObjectInstance 0025 SendMessage"
	strings:
		$1 = { 53 51 8B D8 54 53 E8 ?? ?? ?? ?? 85 C0 74 1D E8 ?? ?? ?? ?? 3B 04 24 75 13 6A 00 6A 00 A1 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 5A 5B C3 33 C0 5A 5B C3 }
	condition:
		$1
}

rule function_76147_0 {
	meta:
		name = "FindControl"
		size = 90
		refs = "000e GetWindowThreadProcessId 0017 GetCurrentProcessId 0021 ControlAtomString 0026 @UStrToPWChar 002c GlobalFindAtom 0033 ControlAtom 0043 GetProp 004e ObjectFromHWnd"
	strings:
		$1 = { 53 56 51 8B D8 33 F6 85 DB 74 49 54 53 E8 ?? ?? ?? ?? 85 C0 74 3E E8 ?? ?? ?? ?? 3B 04 24 75 34 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 3B 05 ?? ?? ?? ?? 75 12 0F B7 05 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B F0 EB 09 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 5A 5E 5B C3 }
	condition:
		$1
}

rule function_76148_0 {
	meta:
		name = "IsVCLControl"
		size = 45
		refs = "0006 FindControl 0016 IsVCLControlHook"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 84 C0 75 18 66 83 3D ?? ?? ?? ?? 00 74 0E 8B D3 8B 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76149_0 {
	meta:
		name = "SendAppMessage"
		size = 37
		refs = "0004 Application 0019 SendMessage"
	strings:
		$1 = { 53 56 8B 1D ?? ?? ?? ?? 8B 1B 8B B3 78 01 00 00 85 F6 74 0C 51 52 50 56 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_76155_0 {
	meta:
		name = "GetShortHint"
		size = 72
		refs = "000a GetShortHint 000f AnsiPos 001e @UStrAsg 0030 @UStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 0B 8B C7 8B D6 E8 ?? ?? ?? ?? EB 10 57 8B CB 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 7C 00 00 00 }
	condition:
		$1
}

rule function_76156_0 {
	meta:
		name = "GetLongHint"
		size = 72
		refs = "000a GetLongHint 000f AnsiPos 001e @UStrAsg 0030 @UStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 0B 8B C7 8B D6 E8 ?? ?? ?? ?? EB 10 57 8D 53 01 B9 FF FF FF 7F 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 7C 00 00 00 }
	condition:
		$1
}

rule function_76157_0 {
	meta:
		name = "PerformEraseBackground"
		size = 79
		refs = "000c GetWindowOrgEx 0024 SetWindowOrgEx 0034 TControl.Perform"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 54 53 E8 ?? ?? ?? ?? 6A 00 8B 44 24 08 03 46 4C 50 8B 44 24 08 03 46 48 50 53 E8 ?? ?? ?? ?? 53 8B CB BA 14 00 00 00 8B 46 38 E8 ?? ?? ?? ?? 6A 00 8B 44 24 08 50 8B 44 24 08 50 53 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_76158_0 {
	meta:
		name = "PerformBufferedPrintClient"
		size = 179
		refs = "0011 GetDC 001c PerformBufferedPrintClient 0034 BeginBufferedPaint 0059 SendMessage 0068 BufferedPaintSetAlpha 0080 EndBufferedPaint 0086 @HandleFinally 00a2 ReleaseDC"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B DA 89 45 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F4 50 6A 00 6A 02 53 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 04 8B 45 F4 50 68 18 03 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 F0 68 FF 00 00 00 53 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A FF 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76159_0 {
	meta:
		name = "GetCaptureControl"
		size = 40
		refs = "0001 GetCapture 0006 FindControl 0010 CaptureControl"
	strings:
		$1 = { E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 19 83 3D ?? ?? ?? ?? 00 74 10 8B 15 ?? ?? ?? ?? 3B 42 38 75 05 A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76160_0 {
	meta:
		name = "SetCaptureControl"
		size = 66
		refs = "0004 ReleaseCapture 000b CaptureControl 0017 _DV_TWinControl 001c @IsClass 0036 TWinControl.GetHandle 003c SetCapture"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 85 DB 74 2D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0F 83 7B 38 00 74 16 89 1D ?? ?? ?? ?? 8B 5B 38 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76161_0 {
	meta:
		name = "TSiteList.Find"
		size = 53
		refs = "0017 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 8B F0 33 C0 89 07 33 DB EB 15 8B 17 8B C6 E8 ?? ?? ?? ?? 3B 68 04 0F 94 C3 84 DB 75 09 FF 07 8B 07 3B 46 08 7C E4 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76162_0 {
	meta:
		name = "GetTopParent"
		size = 44
		refs = "000c TWinControl.GetHandle 001c GetParent"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 8B F3 85 DB 74 0E 8B F3 53 E8 ?? ?? ?? ?? 8B D8 85 DB 75 F2 8B C6 5E 5B 5D C3 }
	condition:
		$1
}

rule function_76163_0 {
	meta:
		name = "TSiteList.AddSite"
		size = 129
		refs = "0014 @GetMem 0021 GetTopParent 0033 TSiteList.Find 0041 TList.Get 004a TWinControl.GetHandle 0058 IsChild 006b TList.Insert 0076 TList.Add"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B F0 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 03 55 E8 ?? ?? ?? ?? 59 8B F8 89 7B 04 8D 4D F8 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 36 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 07 E8 ?? ?? ?? ?? 50 8B 03 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 03 FF 45 F8 8B CB 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_76164_0 {
	meta:
		name = "TSiteList.Clear"
		size = 50
		refs = "0015 TList.Get 001f @FreeMem 002a TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 5F 08 4B 85 DB 7C 1A 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? BA 08 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 E9 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76165_0 {
	meta:
		name = "TSiteList.GetTopSite"
		size = 99
		refs = "0017 TList.Get 0020 GetDesktopWindow 0026 GetTopWindow 0035 TSiteList.Find 004e GetNextWindow"
	strings:
		$1 = { 53 56 57 51 8B D8 33 FF 8B 43 08 85 C0 74 4D 48 75 0D 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 38 EB 3D E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 EB 26 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 43 04 8B 14 24 8B 04 90 8B 38 EB 0A 6A 02 56 E8 ?? ?? ?? ?? 8B F0 85 FF 75 04 85 F6 75 D2 8B C7 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76166_0 {
	meta:
		name = "IsDragObject"
		size = 130
		refs = "000d IsDragObject 0029 TObject.ClassName 0035 _DV_TDragObject 0043 @UStrEqual 004c TObject.ClassParent 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 00 89 C2 8B F2 B3 01 85 F6 74 33 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 74 0F 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 75 CD 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_76167_0 {
	meta:
		name = "TDragObject.Assign"
		size = 61
	strings:
		$1 = { 8B 4A 14 89 48 14 8B 4A 08 89 48 08 8B 4A 0C 89 48 0C 8B 4A 10 89 48 10 8B 4A 18 89 48 18 8B 4A 1C 89 48 1C 8B 4A 28 89 48 28 8B 4A 2C 89 48 2C 8B 4A 30 89 48 30 8B 4A 34 89 48 34 C3 }
	condition:
		$1
}

rule function_76168_0 {
	meta:
		name = "TDragObject.Capture"
		size = 24
		refs = "0003 TDragObject.MainWndProc 0008 AllocateHWnd 0010 SetCapture"
	strings:
		$1 = { 53 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 53 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_76172_0 {
	meta:
		name = "TDragObject.WndProc"
		size = 303
		refs = "0010 TDragObject.WndProc 0073 DragCapture 0079 ClientToScreen 0081 DragTo 008a DragDone 00bb DragObject 0100 @HandleAnyException 0106 DragControl 0115 Application 011f TApplication.HandleException 0124 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 02 3D 15 02 00 00 7F 18 74 62 2D 00 02 00 00 74 22 83 E8 02 74 5F 83 E8 03 74 63 E9 BA 00 00 00 2D 00 BD 00 00 0F 84 83 00 00 00 48 74 6B E9 A7 00 00 00 8B 42 08 89 45 F0 0F BF 45 F0 89 45 E8 0F BF 45 F2 89 45 EC 8B 45 E8 89 45 F4 8B 45 EC 89 45 F8 8D 45 F4 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? EB 6E 33 C0 E8 ?? ?? ?? ?? EB 65 B0 01 E8 ?? ?? ?? ?? EB 5C 8B 45 FC 80 78 38 00 74 09 33 C0 E8 ?? ?? ?? ?? EB 4A B0 01 E8 ?? ?? ?? ?? EB 41 83 7A 04 11 75 3B A1 ?? ?? ?? ?? 83 C0 0C E8 ?? ?? ?? ?? EB 2C 8B 42 04 83 E8 11 74 07 83 E8 0A 74 11 EB 1D A1 ?? ?? ?? ?? 83 C0 0C E8 ?? ?? ?? ?? EB 0E C7 42 0C 01 00 00 00 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 07 33 C0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76178_0 {
	meta:
		name = "TDragObject.MainWndProc"
		size = 73
		refs = "000e TDragObject.MainWndProc 002b @HandleAnyException 0030 Application 003a TApplication.HandleException 003f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_76179_0 {
	meta:
		name = "TDragObject.BeforeDestruction"
		size = 13
		refs = "0001 TObject.BeforeDestruction 0008 DragSave"
	strings:
		$1 = { E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76180_0 {
	meta:
		name = "TDragObject.AfterConstruction"
		size = 13
		refs = "0001 TObject.AfterConstruction 0008 DragSave"
	strings:
		$1 = { E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76182_0 {
	meta:
		name = "TBaseDragControlObject.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 40 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76183_0 {
	meta:
		name = "TBaseDragControlObject.Assign"
		size = 41
		refs = "000b TDragObject.Assign 0013 _DV_TBaseDragControlObject 0018 @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 46 40 89 43 40 5E 5B C3 }
	condition:
		$1
}

rule function_76184_0 {
	meta:
		name = "TBaseDragControlObject.EndDrag"
		size = 43
		refs = "0020 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 56 57 89 4D FC 8B F0 8B 7E 40 85 FF 74 12 8B 45 08 50 8B 4D FC 8B C7 66 BE DF FF E8 ?? ?? ?? ?? 5F 5E 59 5D C2 04 00 }
	condition:
		$1
}

rule function_76185_0 {
	meta:
		name = "TBaseDragControlObject.Finished"
		size = 50
		refs = "0018 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B D8 80 7D 08 00 75 0E 8B 43 40 66 BE E1 FF E8 ?? ?? ?? ?? 33 D2 8B 45 0C 50 8B CF 8B C3 8B 18 FF 53 24 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_76186_0 {
	meta:
		name = "TDragControlObject.GetDragCursor"
		size = 27
	strings:
		$1 = { 55 8B EC 84 D2 74 0C 8B 40 40 0F B7 80 82 00 00 00 EB 04 66 B8 F3 FF 5D C2 04 00 }
	condition:
		$1
}

rule function_76187_0 {
	meta:
		name = "TDragControlObject.GetDragImages"
		size = 12
	strings:
		$1 = { 8B 40 40 8B 10 FF 92 94 00 00 00 C3 }
	condition:
		$1
}

rule function_76188_0 {
	meta:
		name = "TDragControlObject.HideDragImage"
		size = 36
		refs = "001e TDragImageList.HideDragImage"
	strings:
		$1 = { 53 8B D8 8B 43 40 8B 10 FF 92 94 00 00 00 85 C0 74 10 8B 43 40 8B 10 FF 92 94 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76189_0 {
	meta:
		name = "TDragControlObject.ShowDragImage"
		size = 36
		refs = "001e TDragImageList.ShowDragImage"
	strings:
		$1 = { 53 8B D8 8B 43 40 8B 10 FF 92 94 00 00 00 85 C0 74 10 8B 43 40 8B 10 FF 92 94 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76191_0 {
	meta:
		name = "TDragDockObject.Create"
		size = 104
		refs = "000e @ClassCreate 001c TBaseDragControlObject.Create 0027 _Dn_TBrush 002c TBrush.Create 003d AllocPatternBitmap 0046 TBrush.SetBitmap 0053 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 38 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 48 BA FF FF FF 00 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_76193_0 {
	meta:
		name = "TDragDockObject.Assign"
		size = 94
		refs = "000c TBaseDragControlObject.Assign 0014 _DV_TDragDockObject 0019 @IsClass"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 39 8B C6 0F B6 50 5C 88 53 5C 8B 50 60 89 53 60 0F B6 50 74 88 53 74 56 8D 70 4C 8D 7B 4C A5 A5 A5 A5 5E 56 8D 70 64 8D 7B 64 A5 A5 A5 A5 5E 8B 50 48 8B 43 48 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76195_0 {
	meta:
		name = "TDragDockObject.EndDrag"
		size = 27
		refs = "0012 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 56 8B F0 8B 45 08 50 8B 46 40 66 BE E7 FF E8 ?? ?? ?? ?? 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_76196_0 {
	meta:
		name = "AbsMin"
		size = 36
	strings:
		$1 = { 53 56 8B DA 8B C8 8B C1 99 33 C2 2B C2 8B F0 8B C3 99 33 C2 2B C2 3B F0 7D 05 8B C1 5E 5B C3 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_76197_0 {
	meta:
		name = "TDragDockObject.AdjustDockRect"
		size = 123
		refs = "002d AbsMin 0070 OffsetRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B D8 8B 43 0C 8B 14 24 3B C2 7C 06 3B 44 24 08 7E 14 2B D0 8B 4C 24 08 2B C8 8B C1 92 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 8B 43 10 8B 54 24 04 3B C2 7C 06 3B 44 24 0C 7E 12 2B D0 8B 4C 24 0C 2B C8 8B C1 92 E8 ?? ?? ?? ?? EB 02 33 C0 85 F6 75 04 85 C0 74 10 8B C8 F7 D9 8B D6 F7 DA 8D 43 4C E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76198_0 {
	meta:
		name = "TDragDockObject.DrawDragDockImage"
		size = 17
		refs = "000b @CallDynaInst"
	strings:
		$1 = { 56 8B D0 8B 40 40 66 BE DD FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_76199_0 {
	meta:
		name = "TDragDockObject.EraseDragDockImage"
		size = 17
		refs = "000b @CallDynaInst"
	strings:
		$1 = { 56 8B D0 8B 40 40 66 BE DC FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_76204_0 {
	meta:
		name = "IsBeforeTargetWindow"
		size = 95
		refs = "0023 GetWindowRect 002e PtInRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B 75 08 8B 5D 0C 3B 73 04 75 04 33 C0 EB 40 83 7B 08 00 75 1C 8D 45 F0 50 56 E8 ?? ?? ?? ?? 8D 53 0C 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 03 89 73 08 3B 73 08 75 08 33 C0 C6 43 14 01 EB 11 3B 33 75 0A 83 C8 FF 33 D2 89 53 08 EB 03 83 C8 FF 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_76205_0 {
	meta:
		name = "ValidDockTarget"
		size = 406
		refs = "0016 DragFindWindow 0023 GetWindow 0029 Application 003b FindControl 0057 TWinControl.GetHandle 00b8 _DV_TWinControl 00bd @IsClass 00f2 IsBeforeTargetWindow 00f7 GetCurrentThreadId 00fd EnumThreadWindows 0114 GetWindowRect 0134 @CallDynaInst 0139 DragObject 013f _DV_TDragDockObject 017f IntersectRect"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 8B F0 C6 45 FF 01 8B 45 08 83 C0 F4 E8 ?? ?? ?? ?? 8B D8 89 5D EC 6A 04 53 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 3B 82 78 01 00 00 74 27 8B 45 EC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 42 01 00 00 EB 02 8B D8 8B 43 38 85 C0 75 F7 8B C3 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 0F 84 23 01 00 00 8B DE EB 02 8B D8 8B 43 38 85 C0 75 F7 8B C3 E8 ?? ?? ?? ?? 8B F8 89 7D E8 3B 7D EC 0F 84 01 01 00 00 8B 45 08 8B 40 F0 8B 40 38 85 C0 74 19 8B D8 EB 02 8B D8 8B 43 38 85 C0 75 F7 8B C3 E8 ?? ?? ?? ?? 89 45 E4 EB 2A 8B 45 08 8B 40 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 89 45 E4 EB 05 33 C0 89 45 E4 C6 45 F8 00 8B 45 08 8B 50 F4 89 55 F0 8B 50 F8 89 55 F4 8D 45 E4 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 7D F8 00 0F 84 80 00 00 00 8D 45 D4 50 8B 45 EC 50 E8 ?? ?? ?? ?? 8B 45 08 83 C0 F4 50 8B 45 08 48 50 8D 4D C4 8B 45 08 8B 50 F0 8B C6 66 BE BB FF E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 A1 ?? ?? ?? ?? 8B 40 40 83 B8 98 00 00 00 00 74 18 A1 ?? ?? ?? ?? 8B 40 40 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 3B 45 EC 74 16 8D 4D C4 8D 55 D4 8D 45 D4 E8 ?? ?? ?? ?? 84 C0 74 04 C6 45 FF 00 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76206_0 {
	meta:
		name = "IsSiteChildOfClient"
		size = 65
		refs = "000b _DV_TWinControl 0010 @IsClass 001f TWinControl.GetHandle 0031 IsChild"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 8B 45 08 8B 40 EC E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5D C3 33 C0 5D C3 }
	condition:
		$1
}

rule function_76207_0 {
	meta:
		name = "GetDockSiteAtPos"
		size = 331
		refs = "001a DockSiteList 0028 GetKeyState 0035 Application 0048 QualifyingSites 006d TList.Get 009c TWinControl.GetHandle 00a2 IsWindowVisible 00ac IsSiteChildOfClient 00c0 @CallDynaInst 00f3 PtInRect 0104 TSiteList.AddSite 0121 TSiteList.GetTopSite 0133 ValidDockTarget"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B F0 8D 7D F4 A5 A5 89 55 F0 33 C0 89 45 E8 83 3D ?? ?? ?? ?? 00 0F 84 1C 01 00 00 6A 11 E8 ?? ?? ?? ?? 66 A9 00 80 0F 95 C0 8B 15 ?? ?? ?? ?? 8B 12 32 82 C0 00 00 00 0F 84 FA 00 00 00 A1 ?? ?? ?? ?? 8B 10 FF 52 08 A1 ?? ?? ?? ?? 8B 58 08 4B 85 DB 0F 8C AE 00 00 00 43 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 3B 45 F0 0F 84 88 00 00 00 8B 45 EC 80 B8 F2 01 00 00 00 74 7C 8B 45 EC 8B 10 FF 52 68 84 C0 74 70 8B 45 EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 5E 55 E8 ?? ?? ?? ?? 59 84 C0 75 53 8B 55 F0 8B 45 EC 66 BE BA FF E8 ?? ?? ?? ?? 84 C0 74 40 C6 45 FF 01 8D 45 F4 50 8D 45 FF 50 8D 4D D8 8B 55 F0 8B 45 EC 66 BE BB FF E8 ?? ?? ?? ?? 80 7D FF 00 74 1C 8D 55 F4 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 0F 85 55 FF FF FF A1 ?? ?? ?? ?? 83 78 08 00 7E 0D A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 74 13 55 8B 45 E8 E8 ?? ?? ?? ?? 59 84 C0 75 05 33 C0 89 45 E8 8B 45 E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76208_0 {
	meta:
		name = "RegisterDockSite"
		size = 89
		refs = "000c DockSiteList 0016 _Dn_TList 001b TObject.Create 002c TList.IndexOf 003f TList.Add 0052 TList.Delete"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 F6 74 4C 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 11 40 75 1F 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 83 F8 FF 74 0C 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76209_0 {
	meta:
		name = "DragMessage"
		size = 85
		refs = "002c ActiveDrag 0046 SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 4D FC 33 C9 85 C0 74 3C 8B 4D 08 8B 19 89 5D E8 8B 59 04 89 5D EC 8B 4D 0C 89 4D F4 8B 4D FC 89 4D F0 80 3D ?? ?? ?? ?? 02 0F 94 C1 88 4D F8 8D 4D E8 51 83 E2 7F 52 68 2F B0 00 00 50 E8 ?? ?? ?? ?? 8B C8 8B C1 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_76210_0 {
	meta:
		name = "IsDelphiHandle"
		size = 96
		refs = "000e GetWindowThreadProcessId 0017 GetCurrentProcessId 0021 WindowAtomString 0026 @UStrToPWChar 002c GlobalFindAtom 0033 WindowAtom 0043 GetProp 0051 ObjectFromHWnd"
	strings:
		$1 = { 53 56 51 8B F0 33 DB 85 F6 74 4F 54 56 E8 ?? ?? ?? ?? 85 C0 74 44 E8 ?? ?? ?? ?? 3B 04 24 75 3A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 3B 05 ?? ?? ?? ?? 75 15 0F B7 05 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 EB 0C 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_76211_0 {
	meta:
		name = "DragFindWindow"
		size = 44
		refs = "0007 WindowFromPoint 0014 IsDelphiHandle 001e GetParent"
	strings:
		$1 = { 53 FF 70 04 FF 30 E8 ?? ?? ?? ?? 8B D8 85 DB 74 17 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C 53 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E9 8B C3 5B C3 }
	condition:
		$1
}

rule function_76212_0 {
	meta:
		name = "DragFindTarget"
		size = 77
		refs = "0010 DragFindWindow 001d DragObject 0024 DragMessage 0032 GetDockSiteAtPos 003f TWinControl.GetHandle"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 84 C9 75 1F 8B C3 E8 ?? ?? ?? ?? 89 06 6A 00 53 8B 06 8B 0D ?? ?? ?? ?? B2 05 E8 ?? ?? ?? ?? 8B D8 EB 19 8B C3 8B 55 08 E8 ?? ?? ?? ?? 8B D8 85 DB 74 09 8B C3 E8 ?? ?? ?? ?? 89 06 8B C3 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_76213_0 {
	meta:
		name = "DoDragOver"
		size = 59
		refs = "0008 DragObject 002e DragMessage"
	strings:
		$1 = { 53 56 8B D8 33 C0 8B 15 ?? ?? ?? ?? 8B 72 14 85 F6 74 25 56 A1 ?? ?? ?? ?? 83 C0 0C 50 8B D3 A1 ?? ?? ?? ?? 8B 40 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_76214_0 {
	meta:
		name = "GetDropCtl"
		size = 160
		refs = "000d DragObject 002d TWinControl.GetDockClientCount 0048 TList.Get 0062 FindDragTarget 0073 TList.IndexOf 0083 TWinControl.GetDockClients"
	strings:
		$1 = { 55 8B EC 51 53 56 57 33 C0 89 45 FC A1 ?? ?? ?? ?? 8B 70 14 85 F6 74 7F 80 BE F3 01 00 00 00 74 76 83 BE CC 01 00 00 00 74 6D 8B C6 E8 ?? ?? ?? ?? 85 C0 74 62 8B C6 E8 ?? ?? ?? ?? 48 75 18 33 D2 8B 86 CC 01 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 42 40 74 40 A1 ?? ?? ?? ?? 83 C0 0C 33 D2 E8 ?? ?? ?? ?? 8B D8 EB 25 8B D3 8B 86 CC 01 00 00 E8 ?? ?? ?? ?? 8B F8 83 FF FF 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? 89 45 FC EB 0B 8B 5B 38 85 DB 74 04 3B F3 75 D3 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_76215_0 {
	meta:
		name = "DragTo"
		size = 744
		refs = "000a ActiveDrag 0012 DragStartPos 001f DragThreshold 003f DragControl 0057 DragFindTarget 0068 DragImageList 0076 GetDesktopWindow 0088 TDragImageList.BeginDrag 00bc DragObject 00c8 DoDragOver 013a TControl.ScreenToClient 0192 TDragImageList.SetDragCursor 01c5 TDragImageList.DragMove 01d1 TDragImageList.EndDrag 01d9 Screen 01e0 TScreen.GetCursors 01e6 SetCursor 0224 @CallDynaInst 022b GetDropCtl 02a1 CompareMem"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 80 3D ?? ?? ?? ?? 00 75 2D A1 ?? ?? ?? ?? 2B 03 99 33 C2 2B C2 3B 05 ?? ?? ?? ?? 7D 19 A1 ?? ?? ?? ?? 2B 43 04 99 33 C2 2B C2 3B 05 ?? ?? ?? ?? 0F 8C A3 02 00 00 A1 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 0F B6 88 93 00 00 00 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B F0 80 3D ?? ?? ?? ?? 00 75 26 83 3D ?? ?? ?? ?? 00 74 1D A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 0D ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 B8 93 00 00 00 00 75 0E C6 05 ?? ?? ?? ?? 01 C6 44 24 04 00 EB 13 80 3D ?? ?? ?? ?? 00 0F 95 44 24 04 C6 05 ?? ?? ?? ?? 02 A1 ?? ?? ?? ?? 3B 70 14 74 4B B0 01 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 84 08 02 00 00 A1 ?? ?? ?? ?? 89 70 14 A1 ?? ?? ?? ?? 8B 14 24 89 50 08 A1 ?? ?? ?? ?? 8B 13 89 50 0C 8B 53 04 89 50 10 33 C0 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 84 D1 01 00 00 A1 ?? ?? ?? ?? 8B 13 89 50 0C 8B 53 04 89 50 10 A1 ?? ?? ?? ?? 83 78 14 00 74 26 8D 4C 24 08 8B D3 A1 ?? ?? ?? ?? 8B 40 14 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 54 24 08 89 50 18 8B 54 24 0C 89 50 1C 8B 43 04 50 B0 02 E8 ?? ?? ?? ?? 8B D0 8B 0B A1 ?? ?? ?? ?? 8B 38 FF 57 04 8B F8 83 3D ?? ?? ?? ?? 00 74 75 85 F6 74 11 F6 46 59 20 75 0B A1 ?? ?? ?? ?? 80 78 04 00 74 41 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 7A 00 75 19 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B 0B A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 30 8B 4B 04 8B 13 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1F A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F BF D7 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0F BF D7 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 02 0F 85 D5 00 00 00 85 F6 75 1A 8B 53 04 52 8B 0B A1 ?? ?? ?? ?? 8B 50 40 92 66 BE E9 FF E8 ?? ?? ?? ?? EB 5C E8 ?? ?? ?? ?? 8B F8 A1 ?? ?? ?? ?? 89 78 60 85 FF 75 24 A1 ?? ?? ?? ?? 8D 50 18 A1 ?? ?? ?? ?? 8B 40 14 66 BE DA FF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 88 42 5C EB 25 8D 4C 24 08 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 54 24 08 8B C7 66 BE DA FF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 88 42 5C 83 3D ?? ?? ?? ?? 00 74 52 8B 1D ?? ?? ?? ?? 8D 53 64 8D 43 4C B9 10 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 38 80 7C 24 04 00 74 18 A1 ?? ?? ?? ?? 8B 10 FF 52 3C 84 C0 74 0A A1 ?? ?? ?? ?? 8B 10 FF 52 34 A1 ?? ?? ?? ?? 8B 10 FF 52 30 A1 ?? ?? ?? ?? 8D 70 4C 8D 78 64 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76216_0 {
	meta:
		name = "DragInit"
		size = 368
		refs = "000e DragObject 001d DragStartPos 0022 GetCursorPos 003e GetCursor 0043 DragSaveCursor 004d TDragObject.Capture 0052 DragCapture 0058 DragThreshold 0060 _DV_TDragDockObject 0065 @IsClass 00e6 ActiveDrag 011c DragImageList 0130 GetDesktopWindow 0142 TDragImageList.BeginDrag 0149 _DV_TSiteList 014e TObject.Create 0153 QualifyingSites 0166 DragTo"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B DA 8B F0 89 35 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 50 14 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 50 0C 8B 15 ?? ?? ?? ?? 89 50 10 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 89 3D ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 8C 00 00 00 8B D6 8D 42 4C 8B 78 08 8B 08 2B F9 85 FF 7E 20 8B 7A 0C 2B F9 89 3C 24 DB 04 24 8B 48 08 2B 08 89 4C 24 04 DB 44 24 04 DE F9 DD 5A 28 9B EB 08 33 C9 89 4A 28 89 4A 2C 8B 48 0C 8B 50 04 2B CA 85 C9 7E 23 8B CE 8B 79 10 2B FA 89 3C 24 DB 04 24 8B 50 0C 2B 50 04 89 54 24 04 DB 44 24 04 DE F9 DD 59 30 9B EB 08 33 C0 89 46 30 89 46 34 84 DB 74 10 C6 05 ?? ?? ?? ?? 02 8B C6 8B 10 FF 52 30 EB 1D C6 05 ?? ?? ?? ?? 00 EB 14 84 DB 74 09 C6 05 ?? ?? ?? ?? 01 EB 07 C6 05 ?? ?? ?? ?? 00 A1 ?? ?? ?? ?? 8B 10 FF 52 08 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1D A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 0D ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76217_0 {
	meta:
		name = "DragInitControl"
		size = 440
		refs = "0012 DragControl 001a DragInitControl 002b DragInternalObject 0043 @CallDynaInst 006c _DV_TDragControlObjectEx 0071 TBaseDragControlObject.Create 00b3 _DV_TDragDockObjectEx 00b8 TDragDockObject.Create 00d0 _DV_TWinControl 00d5 @IsClass 00e7 TWinControl.GetHandle 00ed GetWindowRect 0118 GetCursorPos 0140 TControl.ClientToScreen 018d DragInit 019c @HandleAnyException 01a8 @RaiseAgain 01ad @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 4D FC 8B DA 8B F8 89 3D ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 C0 89 45 F8 C6 05 ?? ?? ?? ?? 00 80 BF 93 00 00 00 00 75 4B 8D 55 F8 8B C7 66 BE DE FF E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0D 33 C0 5A 59 59 64 89 10 E9 54 01 00 00 83 7D F8 00 0F 85 1D 01 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 C6 05 ?? ?? ?? ?? 01 E9 00 01 00 00 8D 55 F8 8B C7 66 BE E5 FF E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0D 33 C0 5A 59 59 64 89 10 E9 09 01 00 00 83 7D F8 00 75 18 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 C6 05 ?? ?? ?? ?? 01 8B 45 F8 8B 70 40 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B 45 F8 83 C0 4C 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 81 00 00 00 8B 45 F8 8B 70 40 83 7E 38 00 75 2B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1A 8D 45 F0 50 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 F0 89 50 4C 8B 55 F4 89 50 50 EB 26 33 C0 89 45 E8 33 C0 89 45 EC 8D 4D D8 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 D8 89 50 4C 8B 55 DC 89 50 50 8B 45 F8 8B 48 4C 8B 50 40 03 4A 50 89 4D E0 8B 48 50 03 4A 54 89 4D E4 8B 55 E0 89 50 54 8B 55 E4 89 50 58 8B 45 F8 8D 70 4C 8D 78 64 A5 A5 A5 A5 8B 4D FC 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76218_0 {
	meta:
		name = "CheckUndock"
		size = 114
		refs = "0006 DragObject 001c ActiveDrag 0024 DragControl 0066 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 A1 ?? ?? ?? ?? 83 78 14 00 0F 95 C3 8B 45 08 80 78 FF 00 74 52 80 3D ?? ?? ?? ?? 02 75 49 A1 ?? ?? ?? ?? 8B 10 FF 52 6C 84 C0 75 0E A1 ?? ?? ?? ?? 83 B8 98 00 00 00 00 75 04 B3 01 EB 29 A1 ?? ?? ?? ?? 8B 80 98 00 00 00 85 C0 74 1A 8B 15 ?? ?? ?? ?? 8B 52 14 8B 0D ?? ?? ?? ?? 66 BE BC FF E8 ?? ?? ?? ?? 8B D8 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_76219_0 {
	meta:
		name = "DragDone"
		size = 801
		refs = "0012 DragObject 0030 DragDone 0040 DragSave 0069 DragCapture 0073 TDragObject.ReleaseCapture 0079 ActiveDrag 0087 _DV_TDragDockObject 008c @AsClass 00b8 _DV_TControl 00bd @IsClass 00eb CheckUndock 010f DoDragOver 0141 GetParentForm 0157 TCustomForm.SetActiveControl 0169 DragControl 016e TControl.Perform 0176 DragImageList 0183 TDragImageList.EndDrag 018a DragSaveCursor 0190 SetCursor 0224 DragMessage 0248 @HandleFinally 025c QualifyingSites 0261 TObject.Free 02ce _DV_TDragControlObjectEx 02e2 _DV_TDragObjectEx 02f6 _DV_TDragDockObjectEx"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 88 45 FF 33 DB C6 45 F7 00 83 3D ?? ?? ?? ?? 00 0F 84 FF 02 00 00 A1 ?? ?? ?? ?? 80 78 05 00 0F 85 F0 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? C6 40 05 01 A1 ?? ?? ?? ?? 0F B6 55 FF 88 50 20 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 02 75 23 A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 34 83 7B 14 00 0F 94 C0 88 43 74 A1 ?? ?? ?? ?? 83 78 14 00 74 2A A1 ?? ?? ?? ?? 8B 40 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 A1 ?? ?? ?? ?? 8B 50 18 89 55 EC 8B 50 1C 89 55 F0 EB 11 A1 ?? ?? ?? ?? 8B 50 0C 89 55 EC 8B 50 10 89 55 F0 55 E8 ?? ?? ?? ?? 59 84 C0 74 29 80 3D ?? ?? ?? ?? 02 75 06 80 7B 74 00 75 14 80 3D ?? ?? ?? ?? 00 74 11 B0 01 E8 ?? ?? ?? ?? 84 C0 74 06 80 7D FF 00 75 04 33 C0 EB 02 B0 01 88 45 F7 80 3D ?? ?? ?? ?? 02 75 45 80 7D F7 00 74 5F 80 7B 74 00 74 59 8B 43 40 B2 01 E8 ?? ?? ?? ?? 85 C0 74 12 8B 90 98 02 00 00 3B 53 40 75 07 33 D2 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 33 C9 BA 3A B0 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 20 83 3D ?? ?? ?? ?? 00 74 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 84 9F 00 00 00 A1 ?? ?? ?? ?? 83 78 14 00 0F 84 90 00 00 00 B0 03 80 7D F7 00 75 22 B0 04 8B 15 ?? ?? ?? ?? 33 C9 89 4A 0C 8B 15 ?? ?? ?? ?? 33 C9 89 4A 10 33 D2 89 55 EC 33 D2 89 55 F0 8B 15 ?? ?? ?? ?? 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 15 ?? ?? ?? ?? 8B 52 14 52 8B 15 ?? ?? ?? ?? 83 C2 0C 52 8B D0 A1 ?? ?? ?? ?? 8B 40 08 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 08 8B 45 F8 A3 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 26 A1 ?? ?? ?? ?? C6 40 05 00 8B 45 F0 50 0F B6 45 F7 50 A1 ?? ?? ?? ?? 8B 50 14 8B 4D EC A1 ?? ?? ?? ?? 8B 18 FF 13 33 C0 A3 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 46 A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 14 A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 C3 E9 ?? ?? ?? ?? EB 9B 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76220_0 {
	meta:
		name = "CancelDrag"
		size = 24
		refs = "0002 DragObject 000c DragDone 0013 DragControl"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 07 33 C0 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76221_0 {
	meta:
		name = "FindVCLWindow"
		size = 50
		refs = "0008 WindowFromPoint 0017 FindControl 0023 GetParent"
	strings:
		$1 = { 53 56 FF 70 04 FF 30 E8 ?? ?? ?? ?? 8B D8 33 F6 85 DB 74 19 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 0C 53 E8 ?? ?? ?? ?? 8B D8 85 DB 75 E7 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_76222_0 {
	meta:
		name = "FindDragTarget"
		size = 73
		refs = "0010 FindVCLWindow 0029 TControl.ScreenToClient 0036 TWinControl.ControlAtPos"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 8B F8 33 F6 8B C7 E8 ?? ?? ?? ?? 8B E8 85 ED 74 26 8B F5 6A 00 6A 00 8D 4C 24 08 8B D7 8B C5 E8 ?? ?? ?? ?? 8D 54 24 08 8B CB 8B C5 E8 ?? ?? ?? ?? 85 C0 74 02 8B F0 8B C6 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76223_0 {
	meta:
		name = "ListAdd"
		size = 37
		refs = "000e _Dn_TList 0013 TObject.Create 001e TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 3B 00 75 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 03 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76224_0 {
	meta:
		name = "ListRemove"
		size = 79
		refs = "0019 TList.Get 0026 TList.Delete 0033 TList.RemoveItem 0042 TObject.Free"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B 03 8B 70 08 85 F6 7E 26 8B EE 4D 8B D5 8B 03 E8 ?? ?? ?? ?? 3B F8 75 0B 8B D5 8B 03 E8 ?? ?? ?? ?? EB 0B 8B 03 8B D7 33 C9 E8 ?? ?? ?? ?? 8B 03 83 78 08 00 75 0B 8B 03 E8 ?? ?? ?? ?? 33 C0 89 03 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76225_0 {
	meta:
		name = "MoveWindowOrg"
		size = 47
		refs = "000f GetWindowOrgEx 0025 SetWindowOrgEx"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 54 53 E8 ?? ?? ?? ?? 6A 00 8B 44 24 08 2B C7 50 8B 44 24 08 2B C6 50 53 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76226_0 {
	meta:
		name = "FreeDeviceContext"
		size = 190
		refs = "0007 CanvasList 000c TThreadList.LockList 0017 FreeDeviceContext 003e TList.Get 0049 TCustomCanvas.TryLock 0063 TControlCanvas.FreeHandle 0068 @TryFinallyExit 0084 TCustomCanvas.Unlock 008a @HandleFinally 00ae TMonitor.Exit"
	strings:
		$1 = { 55 8B EC 83 C4 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 08 48 85 C0 7C 6C 40 89 45 F4 C7 45 FC 00 00 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 3F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 47 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 FC FF 4D F4 75 9F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_76227_0 {
	meta:
		name = "FreeDeviceContexts"
		size = 172
		refs = "0007 CanvasList 000c TThreadList.LockList 0017 FreeDeviceContexts 0037 TList.Get 0042 TCustomCanvas.TryLock 005c TControlCanvas.FreeHandle 0071 TCustomCanvas.Unlock 0077 @HandleFinally 009c TMonitor.Exit"
	strings:
		$1 = { 55 8B EC 83 C4 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 08 48 83 F8 00 7C 59 89 45 FC 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 33 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 4D FC 83 7D FC FF 75 AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_80486_0 {
	meta:
		name = "FreeMemoryContexts"
		size = 172
		refs = "0007 BitmapCanvasList 000c TThreadList.LockList 0017 FreeMemoryContexts 0037 TList.Get 0042 TCustomCanvas.TryLock 005c TBitmapCanvas.FreeContext 0071 TCustomCanvas.Unlock 0077 @HandleFinally 009c TMonitor.Exit"
	strings:
		$1 = { 55 8B EC 83 C4 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 08 48 83 F8 00 7C 59 89 45 FC 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 33 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 4D FC 83 7D FC FF 75 AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 }
	condition:
		$1
}

rule function_76229_0 {
	meta:
		name = "TControlCanvas.CreateHandle"
		size = 210
		refs = "0015 TCanvas.CreateHandle 002f _DV_TWinControl 0034 @IsClass 0043 TWinControl.HandleNeeded 0051 CanvasList 0056 TThreadList.LockList 0060 TControlCanvas.CreateHandle 0071 FreeDeviceContext 0092 TList.Add 00ac TMonitor.Exit 00b2 @HandleFinally 00c2 TCanvas.SetHandle 00ca TControlCanvas.UpdateTextFlags"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 83 78 58 00 75 0D 8B 45 FC E8 ?? ?? ?? ?? E9 B0 00 00 00 8B 45 FC 83 78 5C 00 75 20 8B 45 FC 8B 40 58 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 8B 45 FC 83 78 5C 00 75 68 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7B 08 04 7C 05 E8 ?? ?? ?? ?? 8B 45 FC 8D 50 60 8B 45 FC 8B 40 58 8B 08 FF 51 64 8B 55 FC 89 42 5C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 8B 50 5C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_76230_0 {
	meta:
		name = "TControlCanvas.FreeHandle"
		size = 52
		refs = "000e TCanvas.SetHandle 0017 CanvasList 001c TThreadList.RemoveItem 0029 ReleaseDC"
	strings:
		$1 = { 53 8B D8 83 7B 5C 00 74 29 33 D2 8B C3 E8 ?? ?? ?? ?? B1 01 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 5C 50 8B 43 60 50 E8 ?? ?? ?? ?? 33 C0 89 43 5C 5B C3 }
	condition:
		$1
}

rule function_76231_0 {
	meta:
		name = "TControlCanvas.SetControl"
		size = 24
		refs = "000e TControlCanvas.FreeHandle"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 58 74 0A 8B C3 E8 ?? ?? ?? ?? 89 73 58 5E 5B C3 }
	condition:
		$1
}

rule function_76232_0 {
	meta:
		name = "TControlCanvas.UpdateTextFlags"
		size = 41
		refs = "000e TControl.UseRightToLeftReading"
	strings:
		$1 = { 53 56 8B D8 8B 73 58 85 F6 74 1B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 81 4B 18 80 00 00 00 EB 07 81 63 18 7F FF FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_76234_0 {
	meta:
		name = "TSizeConstraints.AssignTo"
		size = 69
		refs = "000a _DV_TSizeConstraints 000f @IsClass 003e TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B C3 8B 56 10 89 50 10 8B 56 08 89 50 08 8B 56 14 89 50 14 8B 56 0C 89 50 0C 8B 10 FF 52 0C 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76235_0 {
	meta:
		name = "TSizeConstraints.SetConstraints"
		size = 138
	strings:
		$1 = { 56 8B F0 83 EA 01 72 0A 74 25 4A 74 3F 4A 74 5B EB 76 3B 4E 08 74 71 89 4E 08 85 C9 76 08 3B 4E 10 73 03 89 4E 10 8B C6 8B 10 FF 52 0C 5E C3 3B 4E 0C 74 54 89 4E 0C 85 C9 76 08 3B 4E 14 73 03 89 4E 14 8B C6 8B 10 FF 52 0C 5E C3 3B 4E 10 74 37 89 4E 10 8B 46 08 85 C0 76 07 3B C1 73 03 89 4E 08 8B C6 8B 10 FF 52 0C 5E C3 3B 4E 14 74 18 89 4E 14 8B 46 0C 85 C0 76 07 3B C1 73 03 89 4E 0C 8B C6 8B 10 FF 52 0C 5E C3 }
	condition:
		$1
}

rule function_76239_0 {
	meta:
		name = "TControlActionLink.IsCaptionLinked"
		size = 103
		refs = "000c TControlActionLink.IsCaptionLinked 0019 TActionLink.IsCaptionLinked 0028 TControl.GetText 0036 @UStrEqual 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8D 55 FC 8B 43 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 10 8B 52 6C E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_76241_0 {
	meta:
		name = "TControlActionLink.IsEnabledLinked"
		size = 38
		refs = "0006 TActionLink.IsEnabledLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B 43 18 8B 10 FF 52 68 8B 53 10 3A 42 72 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_76243_0 {
	meta:
		name = "TControlActionLink.IsHintLinked"
		size = 47
		refs = "0006 TActionLink.IsHintLinked 0021 @UStrEqual"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 8B 43 18 8B 80 88 00 00 00 8B 53 10 8B 92 84 00 00 00 E8 ?? ?? ?? ?? 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_76244_0 {
	meta:
		name = "TControlActionLink.IsPopupMenuLinked"
		size = 51
		refs = "000b _DV_TCustomControlAction 0010 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 10 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 43 18 8B 80 84 00 00 00 3B 86 AC 00 00 00 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_76245_0 {
	meta:
		name = "TControlActionLink.IsVisibleLinked"
		size = 40
		refs = "0006 TActionLink.IsVisibleLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 43 18 0F B6 40 61 8B 53 10 3A 82 8E 00 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_76246_0 {
	meta:
		name = "TControlActionLink.IsOnExecuteLinked"
		size = 38
		refs = "0006 TBasicActionLink.IsOnExecuteLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B 43 18 8B 80 18 01 00 00 8B 53 10 3B 42 48 0F 94 C0 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_76249_0 {
	meta:
		name = "TControlActionLink.SetEnabled"
		size = 33
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 28 84 C0 74 0D 8B D3 8B 46 18 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_76251_0 {
	meta:
		name = "TControlActionLink.SetHint"
		size = 35
		refs = "001c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 38 84 C0 74 0F 8B 43 18 05 88 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76252_0 {
	meta:
		name = "TControlActionLink.SetVisible"
		size = 30
		refs = "0017 TControl.SetVisible"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 44 84 C0 74 0A 8B D3 8B 46 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82194_0 {
	meta:
		name = "TMenuActionLink.SetVisible"
		size = 30
		refs = "0017 TMenuItem.SetVisible"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 44 84 C0 74 0A 8B D3 8B 46 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76253_0 {
	meta:
		name = "TControlActionLink.SetOnExecute"
		size = 43
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 08 84 C0 74 15 8B 43 18 8B 55 08 89 90 18 01 00 00 8B 55 0C 89 90 1C 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_76254_0 {
	meta:
		name = "TControlActionLink.IsHelpLinked"
		size = 82
		refs = "0006 TActionLink.IsHelpLinked 0032 @UStrEqual"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3C 8B 43 18 8B 80 70 01 00 00 8B 53 10 3B 42 7C 75 2B 8B 43 18 8B 80 6C 01 00 00 8B 53 10 8B 92 80 00 00 00 E8 ?? ?? ?? ?? 75 12 8B 43 18 0F B6 80 68 01 00 00 8B 53 10 3A 42 78 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_76255_0 {
	meta:
		name = "TControlActionLink.SetHelpKeyword"
		size = 30
		refs = "0017 TControl.SetHelpKeyword"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 34 84 C0 74 0A 8B D6 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76256_0 {
	meta:
		name = "TControlActionLink.SetHelpContext"
		size = 30
		refs = "0017 TControl.SetHelpContext"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 34 84 C0 74 0A 8B D6 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76257_0 {
	meta:
		name = "TControlActionLink.SetHelpType"
		size = 29
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 34 84 C0 74 09 8B 46 18 88 98 68 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_76258_0 {
	meta:
		name = "TControlActionLink.SetPopupMenu"
		size = 33
		refs = "001a TControl.SetPopupMenu"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 80 00 00 00 84 C0 74 0A 8B D6 8B 43 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76259_0 {
	meta:
		name = "TControl.Create"
		size = 332
		refs = "000e @ClassCreate 001c TComponent.Create 002f TControl.Create 0039 _Dn_TFont 003e TFont.Create 004d TControl.FontChanged 0060 _DV_TSizeConstraints 0065 TSizeConstraints.Create 0074 TControl.DoConstraintsChange 007d _DV_TMargins 0082 TMargins.Create 0091 TControl.DoMarginChange 00c5 _Dn_TCustomDockForm 0126 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 5B 44 8B 03 8B 80 90 00 00 00 89 43 40 A1 ?? ?? ?? ?? 89 43 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 6C 89 5E 0C C7 46 08 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 43 6B 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 78 89 5E 1C C7 46 18 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 7C 89 5E 1C C7 46 18 ?? ?? ?? ?? C7 43 74 05 00 00 FF C6 43 61 01 C6 43 62 01 C6 43 63 01 C6 43 64 01 C6 83 92 00 00 00 01 C6 43 6A 01 C6 43 68 00 66 C7 83 82 00 00 00 F4 FF A1 ?? ?? ?? ?? 89 83 B0 00 00 00 C6 83 68 01 00 00 01 33 C0 89 83 7C 01 00 00 33 C0 89 83 74 01 00 00 C6 83 78 01 00 00 01 8B C3 8B 10 FF 52 4C 8B 83 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 88 50 10 0F B6 15 ?? ?? ?? ?? 88 50 11 C6 40 18 01 0F B7 15 ?? ?? ?? ?? 66 89 50 1E 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 AA 00 20 00 03 00 00 00 10 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_76260_0 {
	meta:
		name = "TControl.Destroy"
		size = 255
		refs = "0007 @BeforeDestruction 0010 Application 0019 TApplication.ControlDestroyed 002a TComponent.RemoveFreeNotification 003d TControl.Perform 0052 TControl.GetBoundsRect 0062 @CallDynaInst 0088 TObject.Free 00b3 StrDispose 00e9 TComponent.Destroy 00f4 @ClassDestroy"
	strings:
		$1 = { 53 56 57 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 A1 ?? ?? ?? ?? 8B 00 8B D7 E8 ?? ?? ?? ?? 8B 87 98 00 00 00 85 C0 74 49 8B D7 E8 ?? ?? ?? ?? 57 8B 87 98 00 00 00 33 C9 BA 39 B0 00 00 E8 ?? ?? ?? ?? 33 D2 8B C7 8B 08 FF 91 84 00 00 00 8B D4 8B C7 E8 ?? ?? ?? ?? 8B CC 83 CA FF 8B C7 66 BE CC FF E8 ?? ?? ?? ?? 33 C0 89 87 98 00 00 00 EB 0C 33 D2 8B C7 8B 08 FF 91 84 00 00 00 8D 47 70 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 47 78 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 47 6C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 87 7C 01 00 00 E8 ?? ?? ?? ?? 8D 47 7C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 89 87 74 01 00 00 8D 87 B4 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76262_0 {
	meta:
		name = "TControl.GetEnabled"
		size = 5
	strings:
		$1 = { 0F B6 40 62 C3 }
	condition:
		$1
}

rule function_76266_0 {
	meta:
		name = "TControl.SetParentComponent"
		size = 43
		refs = "000f _DV_TWinControl 0014 @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 38 74 1D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 8B 08 FF 91 84 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_76267_0 {
	meta:
		name = "TControl.PaletteChanged"
		size = 121
		refs = "001b @CallDynaInst 0040 SelectPalette 0048 RealizePalette 006a ReleaseDC"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 88 14 24 8B E8 33 DB 80 7D 61 00 74 5C 8B C5 66 BE D9 FF E8 ?? ?? ?? ?? 8B F8 85 FF 74 4B 8D 54 24 04 8B C5 8B 08 FF 51 64 8B F0 0F B6 04 24 34 01 F6 D8 1B C0 50 57 56 E8 ?? ?? ?? ?? 8B F8 56 E8 ?? ?? ?? ?? 85 C0 74 0A 8B C5 8B 10 FF 92 9C 00 00 00 6A FF 57 56 E8 ?? ?? ?? ?? 56 8B 44 24 08 50 E8 ?? ?? ?? ?? B3 01 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76268_0 {
	meta:
		name = "TControl.GetAction"
		size = 14
	strings:
		$1 = { 8B 50 70 85 D2 74 04 8B 42 10 C3 33 C0 C3 }
	condition:
		$1
}

rule function_76269_0 {
	meta:
		name = "TControl.SetAnchors"
		size = 160
		refs = "0029 TControl.SetAnchors 0092 TControl.UpdateAnchorRules"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 0F B6 04 24 3A 46 6B 0F 84 81 00 00 00 0F B6 5E 6B 0F B6 04 24 88 46 6B F6 46 1C 01 75 70 0F B6 05 ?? ?? ?? ?? 3A C3 74 5E 0F B6 05 ?? ?? ?? ?? 3A 46 6B 75 52 8B 86 9C 01 00 00 3B 46 48 75 21 8B 86 A0 01 00 00 3B 46 4C 75 16 8B 86 A4 01 00 00 3B 46 50 75 0B 8B 86 A8 01 00 00 3B 46 54 74 26 8B 86 A4 01 00 00 50 8B 86 A8 01 00 00 50 8B 8E A0 01 00 00 8B 96 9C 01 00 00 8B C6 8B 18 FF 93 A4 00 00 00 EB 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_76270_0 {
	meta:
		name = "TControl.SetAction"
		size = 123
		refs = "000f TObject.Free 0035 @CallDynaInst 0056 TControl.DoActionChange 0073 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 85 FF 75 16 8B 43 70 E8 ?? ?? ?? ?? 33 C0 89 43 70 81 63 58 FF 7F FF FF EB 56 81 4B 58 00 80 00 00 83 7B 70 00 75 15 8B C3 66 BE DB FF E8 ?? ?? ?? ?? 8B CB B2 01 FF 50 14 89 43 70 8B D7 8B 43 70 8B 08 FF 51 0C 8B 43 70 89 58 0C C7 40 08 ?? ?? ?? ?? F6 47 1C 01 0F 95 C1 8B D7 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76271_0 {
	meta:
		name = "TControl.IsAnchorsStored"
		size = 22
		refs = "000a AnchorAlign"
	strings:
		$1 = { 53 8B D8 0F B6 43 65 0F B6 80 ?? ?? ?? ?? 3A 43 6B 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_76272_0 {
	meta:
		name = "TControl.IsTouchPropertyStored"
		size = 96
		refs = "001f TControl.IsTouchPropertyStored"
	strings:
		$1 = { 53 8B D8 B0 01 80 EA 01 72 0C 74 1F FE CA 74 30 FE CA 74 3A EB 44 8B 83 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 3A 50 10 0F 95 C0 5B C3 8B 83 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 3A 50 11 0F 95 C0 5B C3 8B 83 B4 00 00 00 0F B6 40 18 34 01 5B C3 8B 83 B4 00 00 00 0F B6 40 18 34 01 5B C3 10 00 00 00 }
	condition:
		$1
}

rule function_76273_0 {
	meta:
		name = "TControl.SetDesignVisible"
		size = 55
		refs = "0031 TControl.InvalidateControl"
	strings:
		$1 = { 53 8B D8 F6 43 1C 10 74 2C F6 43 5D 08 0F 95 C0 34 01 3A D0 74 1F 84 D2 75 09 81 4B 5C 00 08 00 00 EB 07 81 63 5C FF F7 FF FF 33 C9 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76274_0 {
	meta:
		name = "TControl.SetDragMode"
		size = 4
	strings:
		$1 = { 88 50 67 C3 }
	condition:
		$1
}

rule function_76275_0 {
	meta:
		name = "TControl.RequestAlign"
		size = 14
		refs = "0009 TWinControl.AlignControl"
	strings:
		$1 = { 8B 50 38 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76276_0 {
	meta:
		name = "TControl.GetDragMode"
		size = 5
	strings:
		$1 = { 0F B6 40 67 C3 }
	condition:
		$1
}

rule function_76278_0 {
	meta:
		name = "TControl.ReadState"
		size = 178
		refs = "0012 _DV_TWinControl 0017 @IsClass 0030 TComponent.ReadState 004a TControl.Perform"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 83 4B 5C 08 8B 7E 2C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D7 8B C3 8B 08 FF 91 84 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 83 63 5C F7 83 7B 38 00 74 70 6A 00 33 C9 BA 09 B0 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 08 B0 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 23 B0 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 35 B0 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 3D B0 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 50 B0 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 58 B0 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76279_0 {
	meta:
		name = "TControl.Notification"
		size = 126
		refs = "0010 TComponent.Notification 0026 TControl.SetPopupMenu 003c TControl.SetAction"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 61 3B BE 84 00 00 00 75 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 4E 8B C6 8B 10 FF 52 58 3B F8 75 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 38 3B BE 98 00 00 00 75 0A 33 C0 89 86 98 00 00 00 EB 26 3B BE 74 01 00 00 75 0A 33 C0 89 86 74 01 00 00 EB 14 8B 86 B4 00 00 00 85 C0 74 0A 3B 78 0C 75 05 33 D2 89 50 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76280_0 {
	meta:
		name = "TControl.SetAlign"
		size = 232
		refs = "0020 AnchorAlign 0027 TControl.SetAnchors 00d8 @CallDynaInst"
	strings:
		$1 = { 53 56 57 51 8B DA 8B F8 0F B6 47 65 3A D8 0F 84 C8 00 00 00 88 04 24 88 5F 65 0F B6 C3 0F B6 90 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? F6 47 1C 01 0F 85 A7 00 00 00 F6 47 1C 10 74 0A 83 7F 38 00 0F 84 97 00 00 00 80 FB 06 0F 84 8E 00 00 00 80 3C 24 06 0F 84 84 00 00 00 0F B6 04 24 48 2C 02 0F 92 C0 8B D3 80 C2 FD 80 EA 02 0F 92 C2 3A C2 75 30 0F B6 04 24 84 C0 74 28 2C 05 74 24 8B C3 84 C0 74 1E 2C 05 74 1A 8B 47 54 50 8B 47 50 50 8B 4F 4C 8B 57 48 8B C7 8B 18 FF 93 A4 00 00 00 EB 3B 80 3C 24 00 74 2A 84 DB 75 26 8B 87 A4 01 00 00 50 8B 87 A8 01 00 00 50 8B 8F A0 01 00 00 8B 97 9C 01 00 00 8B C7 8B 18 FF 93 A4 00 00 00 EB 0B 8B C7 66 BE EF FF E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 74 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76281_0 {
	meta:
		name = "TControl.SetBounds"
		size = 157
		refs = "0015 TControl.CheckNewSize 0040 TControl.InvalidateControl 0059 TControl.UpdateAnchorRules 0060 TControl.UpdateExplicitBounds 007a TControl.Perform 0092 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8D 4D 08 8D 55 0C 8B C6 E8 ?? ?? ?? ?? 84 C0 74 79 3B 5E 48 75 15 3B 7E 4C 75 10 8B 45 0C 3B 46 50 75 08 8B 45 08 3B 46 54 74 5F 33 C9 0F B6 56 61 8B C6 E8 ?? ?? ?? ?? 89 5E 48 89 7E 4C 8B 45 0C 89 46 50 8B 45 08 89 46 54 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 6A 00 33 C9 BA 47 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 74 F6 46 1C 01 75 0B 8B C6 66 BE D0 FF E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_76282_0 {
	meta:
		name = "TControl.SetTextBuf"
		size = 36
		refs = "000e TControl.Perform"
	strings:
		$1 = { 53 8B D8 52 33 C9 8B C3 BA 0C 00 00 00 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 12 B0 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76283_0 {
	meta:
		name = "TControl.UpdateAnchorRules"
		size = 388
		refs = "008a TControl.UpdateAnchorRules"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F0 80 BE 80 01 00 00 00 0F 85 62 01 00 00 F6 46 1C 01 0F 85 58 01 00 00 0F B6 5E 6B 33 D2 8B 46 7C 8B 08 FF 51 10 8B F8 BA 02 00 00 00 8B 46 7C 8B 08 FF 51 10 D1 F8 79 03 83 D0 00 03 F8 BA 01 00 00 00 8B 46 7C 8B 08 FF 51 10 8B E8 BA 03 00 00 00 8B 46 7C 8B 08 FF 51 10 D1 F8 79 03 83 D0 00 03 E8 8B C5 89 3C 24 89 44 24 04 8B 04 24 89 86 8C 01 00 00 8B 44 24 04 89 86 90 01 00 00 0F B6 05 ?? ?? ?? ?? 3A C3 75 15 33 C0 89 86 94 01 00 00 33 C0 89 86 98 01 00 00 E9 D1 00 00 00 F6 C3 04 74 2C F6 C3 01 74 15 BA 02 00 00 00 8B 46 7C 8B 08 FF 51 10 89 86 84 01 00 00 EB 3A 33 D2 8B 46 7C 8B 08 FF 51 10 89 86 84 01 00 00 EB 28 33 D2 8B 46 7C 8B 08 FF 51 10 8B F8 BA 02 00 00 00 8B 46 7C 8B 08 FF 51 10 D1 F8 79 03 83 D0 00 03 F8 89 BE 84 01 00 00 F6 C3 08 74 2F F6 C3 02 74 15 BA 03 00 00 00 8B 46 7C 8B 08 FF 51 10 89 86 88 01 00 00 EB 40 BA 01 00 00 00 8B 46 7C 8B 08 FF 51 10 89 86 88 01 00 00 EB 2B BA 01 00 00 00 8B 46 7C 8B 08 FF 51 10 8B D8 BA 03 00 00 00 8B 46 7C 8B 08 FF 51 10 D1 F8 79 03 83 D0 00 03 D8 89 9E 88 01 00 00 8B 7E 38 85 FF 74 12 8D 8E 94 01 00 00 8B D6 8B C7 8B 18 FF 93 F0 00 00 00 59 5A 5D 5F 5E 5B C3 00 03 00 00 00 }
	condition:
		$1
}

rule function_76284_0 {
	meta:
		name = "TControl.SetLeft"
		size = 50
	strings:
		$1 = { 53 56 8B F0 8B 46 50 50 8B 46 54 50 8B 4E 4C 8B C6 8B 18 FF 93 A4 00 00 00 80 8E 90 00 00 00 01 F6 46 1C 02 74 09 8B 46 48 89 86 9C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_76285_0 {
	meta:
		name = "TControl.SetTop"
		size = 52
	strings:
		$1 = { 53 56 8B F0 8B 46 50 50 8B 46 54 50 8B CA 8B C6 8B 56 48 8B 18 FF 93 A4 00 00 00 80 8E 90 00 00 00 02 F6 46 1C 02 74 09 8B 46 4C 89 86 A0 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_76286_0 {
	meta:
		name = "TControl.SetWidth"
		size = 50
	strings:
		$1 = { 53 56 8B F0 52 8B 46 54 50 8B 4E 4C 8B C6 8B 56 48 8B 18 FF 93 A4 00 00 00 80 8E 90 00 00 00 04 F6 46 1C 02 74 09 8B 46 50 89 86 A4 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_76287_0 {
	meta:
		name = "TControl.SetHeight"
		size = 50
	strings:
		$1 = { 53 56 8B F0 8B 46 50 50 52 8B 4E 4C 8B C6 8B 56 48 8B 18 FF 93 A4 00 00 00 80 8E 90 00 00 00 08 F6 46 1C 02 74 09 8B 46 54 89 86 A8 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_76288_0 {
	meta:
		name = "TControl.Dock"
		size = 303
		refs = "0044 TList.RemoveItem 0055 TComponent.RemoveFreeNotification 0075 TList.Add 0087 TControl.Dock 00a3 @CallDynaInst 00e6 TComponent.FreeNotification 0122 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8D 7D EC A5 A5 A5 A5 8B DA 89 45 FC 8B 45 FC 3B 98 98 00 00 00 74 57 8B 45 FC 8B 80 98 00 00 00 85 C0 74 2A 83 B8 CC 01 00 00 00 74 21 8B 80 CC 01 00 00 8B 55 FC 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 85 DB 74 1C 83 FB FF 74 17 83 BB CC 01 00 00 00 74 0E 8B 83 CC 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 81 48 5C 00 04 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 FB FF 74 11 8D 4D EC 8B D3 8B 45 FC 66 BE E6 FF E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 3B D8 74 55 8B F8 83 FB FF 74 31 8B 45 FC 89 98 98 00 00 00 85 DB 74 2F 8D 4D EC 8B 55 FC 8B C3 66 BE C4 FF E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 8B 55 FC E8 ?? ?? ?? ?? EB 0B 8B 45 FC 33 D2 89 90 98 00 00 00 85 FF 74 0E 8B 55 FC 8B C7 66 BE BD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 81 60 5C FF FB FF FF C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76289_0 {
	meta:
		name = "TControl.DoDock"
		size = 89
		refs = "000d _DV_TWinControl 0012 @IsClass 0023 TControl.InvalidateControl 0031 TControl.UpdateBoundsRect 003c TControl.SetBoundsRect"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0D 33 C9 0F B6 53 61 8B C3 E8 ?? ?? ?? ?? 3B 73 38 74 0B 8B D7 8B C3 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 85 F6 74 05 83 FE FF 75 0C 33 D2 8B C3 8B 08 FF 91 84 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76290_0 {
	meta:
		name = "TControl.SetHelpContext"
		size = 20
	strings:
		$1 = { F6 40 1C 01 75 07 C6 80 68 01 00 00 01 89 90 70 01 00 00 C3 }
	condition:
		$1
}

rule function_76291_0 {
	meta:
		name = "TControl.SetHelpKeyword"
		size = 35
		refs = "001c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 01 75 07 C6 83 68 01 00 00 00 8D 83 6C 01 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76292_0 {
	meta:
		name = "TControl.SetHostDockSite"
		size = 39
		refs = "000e TControl.GetBoundsRect 001d @CallDynaInst"
	strings:
		$1 = { 56 57 83 C4 F0 8B FA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? 8B CC 8B D7 8B C6 66 BE CC FF E8 ?? ?? ?? ?? 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_76293_0 {
	meta:
		name = "TControl.GetBoundsRect"
		size = 30
	strings:
		$1 = { 8B 48 48 89 0A 8B 48 4C 89 4A 04 8B 48 48 03 48 50 89 4A 08 8B 48 4C 03 48 54 89 4A 0C C3 }
	condition:
		$1
}

rule function_76294_0 {
	meta:
		name = "TControl.SetBoundsRect"
		size = 36
	strings:
		$1 = { 53 56 57 8B 4A 08 8B 32 2B CE 51 8B 4A 0C 8B 7A 04 2B CF 51 8B CF 8B D6 8B 18 FF 93 A4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76295_0 {
	meta:
		name = "TControl.GetClientRect"
		size = 22
	strings:
		$1 = { 33 C9 89 0A 33 C9 89 4A 04 8B 48 50 89 4A 08 8B 40 54 89 42 0C C3 }
	condition:
		$1
}

rule function_76296_0 {
	meta:
		name = "TControl.GetClientWidth"
		size = 24
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 8B 08 FF 51 60 8B 44 24 08 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_76298_0 {
	meta:
		name = "TControl.GetClientHeight"
		size = 24
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 8B 08 FF 51 60 8B 44 24 0C 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_76300_0 {
	meta:
		name = "TControl.GetClientOrigin"
		size = 142
		refs = "0015 TControl.GetClientOrigin 0039 SParentRequired 003e LoadResString 0048 _Dn_EInvalidOperation 004d Exception.CreateFmt 0052 @RaiseExcept 007c @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 38 00 75 31 8B 43 08 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 38 8B 08 FF 51 5C 8B 43 48 01 06 8B 43 4C 01 46 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76301_0 {
	meta:
		name = "TControl.ClientToScreen"
		size = 44
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 8B D4 8B C3 8B 08 FF 51 5C 8B 06 03 04 24 89 07 8B 46 04 03 44 24 04 89 47 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76302_0 {
	meta:
		name = "TControl.ScaleConstraints"
		size = 129
		refs = "0016 MulDiv 0024 TSizeConstraints.SetConstraints"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B 58 78 8B 6B 14 85 ED 76 16 57 56 55 E8 ?? ?? ?? ?? 8B C8 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 6B 0C 85 ED 76 16 57 56 55 E8 ?? ?? ?? ?? 8B C8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 6B 10 85 ED 76 16 57 56 55 E8 ?? ?? ?? ?? 8B C8 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 6B 08 85 ED 76 13 57 56 55 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76303_0 {
	meta:
		name = "TControl.ScaleMargins"
		size = 129
		refs = "0016 MulDiv 0021 TMargins.SetMargin"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B 58 7C 8B 6B 08 85 ED 76 13 57 56 55 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 6B 0C 85 ED 76 16 57 56 55 E8 ?? ?? ?? ?? 8B C8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 6B 10 85 ED 76 16 57 56 55 E8 ?? ?? ?? ?? 8B C8 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 6B 14 85 ED 76 16 57 56 55 E8 ?? ?? ?? ?? 8B C8 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76304_0 {
	meta:
		name = "TControl.ScreenToClient"
		size = 44
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 8B D4 8B C3 8B 08 FF 51 5C 8B 06 2B 04 24 89 07 8B 46 04 2B 44 24 04 89 47 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76305_0 {
	meta:
		name = "TControl.SendCancelMode"
		size = 46
		refs = "000e _Dn_TCustomForm 0013 @IsClass 0020 TCustomForm.SendCancelMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 DB 74 21 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 5B 38 85 DB 75 DF 5E 5B C3 }
	condition:
		$1
}

rule function_76306_0 {
	meta:
		name = "TControl.SendDockNotification"
		size = 108
		refs = "001c DragObject 0026 TControl.SendDockNotification 0057 TControl.Perform"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B FA 8B D8 8B B3 98 00 00 00 85 F6 74 41 83 3D ?? ?? ?? ?? 00 75 38 0F B7 05 ?? ?? ?? ?? 66 23 43 1C 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 21 89 7D F0 8B 45 FC 89 45 F4 8B 45 08 89 45 F8 8D 45 F0 50 8B CB BA 42 B0 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 09 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_76307_0 {
	meta:
		name = "TControl.Changed"
		size = 14
		refs = "0009 TControl.Perform"
	strings:
		$1 = { 50 33 C9 BA 37 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76308_0 {
	meta:
		name = "TControl.ChangeScale"
		size = 456
		refs = "0029 TControl.ChangeScale 003c MulDiv 00f9 TControl.ScaleConstraints 0105 TControl.ScaleMargins 018d TFont.GetSize 019c TFont.SetSize"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 0C 24 8B FA 8B F0 3B 3C 24 0F 84 89 01 00 00 F6 46 1C 01 74 09 0F B6 9E 90 00 00 00 EB 07 0F B6 1D ?? ?? ?? ?? F6 C3 01 74 12 8B 04 24 50 57 8B 46 48 50 E8 ?? ?? ?? ?? 8B E8 EB 03 8B 6E 48 F6 C3 02 74 14 8B 04 24 50 57 8B 46 4C 50 E8 ?? ?? ?? ?? 89 44 24 04 EB 07 8B 46 4C 89 44 24 04 F6 C3 04 74 38 F6 46 59 01 75 32 F6 C3 01 74 19 8B 04 24 50 57 8B 46 48 03 46 50 50 E8 ?? ?? ?? ?? 2B C5 89 44 24 08 EB 1B 8B 04 24 50 57 8B 46 50 50 E8 ?? ?? ?? ?? 89 44 24 08 EB 07 8B 46 50 89 44 24 08 F6 C3 08 74 3A F6 46 59 02 75 34 F6 C3 02 74 1B 8B 04 24 50 57 8B 46 4C 03 46 54 50 E8 ?? ?? ?? ?? 2B 44 24 04 89 44 24 0C EB 1B 8B 04 24 50 57 8B 46 54 50 E8 ?? ?? ?? ?? 89 44 24 0C EB 07 8B 46 54 89 44 24 0C 8B 0C 24 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 0C 24 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 44 24 08 50 8B 44 24 10 50 8B 4C 24 0C 8B D5 8B C6 8B 28 FF 95 A4 00 00 00 8B C3 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 74 17 8B 04 24 50 57 8B 86 94 01 00 00 50 E8 ?? ?? ?? ?? 89 86 94 01 00 00 8B C3 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 74 17 8B 04 24 50 57 8B 86 98 01 00 00 50 E8 ?? ?? ?? ?? 89 86 98 01 00 00 80 7E 63 00 75 23 F6 C3 10 74 1E 8B 04 24 50 57 8B 5E 6C 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 86 90 00 00 00 83 C4 10 5D 5F 5E 5B C3 00 00 00 1F 00 00 00 05 00 00 00 00 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_76309_0 {
	meta:
		name = "TControl.SetAutoSize"
		size = 24
		refs = "0012 @CallDynaInst"
	strings:
		$1 = { 56 3A 50 66 74 10 88 50 66 84 D2 74 09 66 BE EF FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_76310_0 {
	meta:
		name = "TControl.SetName"
		size = 164
		refs = "0017 TControl.SetName 0033 TControl.GetText 003e @UStrEqual 004f _DV_TControl 0054 @IsClass 006e TComponent.SetName 007c TControl.SetText 0091 @UStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 47 58 20 74 3B F6 47 1C 01 75 35 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B 47 08 E8 ?? ?? ?? ?? 75 1E 8B 77 04 85 F6 74 1B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A F6 46 1C 01 74 04 33 DB EB 02 B3 01 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 84 DB 74 0A 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_76311_0 {
	meta:
		name = "TControl.SetClientSize"
		size = 72
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F2 8D 3C 24 A5 A5 8B D8 8D 54 24 08 8B C3 8B 08 FF 51 60 8B 43 50 2B 44 24 10 03 04 24 50 8B 43 54 2B 44 24 18 03 44 24 08 50 8B 4B 4C 8B 53 48 8B C3 8B 18 FF 93 A4 00 00 00 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76312_0 {
	meta:
		name = "TControl.SetParent"
		size = 75
		refs = "0011 SControlParentSetToSelf 0018 _Dn_EInvalidOperation 001d Exception.CreateRes 0022 @RaiseExcept 0030 TWinControl.RemoveControl 003d TWinControl.InsertControl 0044 TControl.UpdateAnchorRules"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 38 74 3D 3B DE 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 38 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 10 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76313_0 {
	meta:
		name = "TControl.SetVisible"
		size = 54
		refs = "0013 @CallDynaInst 0027 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 3A 5F 61 74 26 8B C7 66 BE CE FF E8 ?? ?? ?? ?? 88 5F 61 6A 00 0F B6 CB BA 0B B0 00 00 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 74 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76314_0 {
	meta:
		name = "TControl.SetEnabled"
		size = 23
		refs = "0012 TControl.Perform"
	strings:
		$1 = { 3A 50 62 74 11 88 50 62 6A 00 33 C9 BA 0C B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76315_0 {
	meta:
		name = "TControl.GetTextLen"
		size = 15
		refs = "000a TControl.Perform"
	strings:
		$1 = { 6A 00 33 C9 BA 0E 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76316_0 {
	meta:
		name = "TControl.GetTextBuf"
		size = 12
		refs = "0007 TControl.Perform"
	strings:
		$1 = { 52 BA 0D 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76317_0 {
	meta:
		name = "TControl.GetUndockHeight"
		size = 17
	strings:
		$1 = { 8B 90 A4 00 00 00 85 D2 7E 03 8B C2 C3 8B 40 54 C3 }
	condition:
		$1
}

rule function_76318_0 {
	meta:
		name = "TControl.GetUndockWidth"
		size = 17
	strings:
		$1 = { 8B 90 A0 00 00 00 85 D2 7E 03 8B C2 C3 8B 40 50 C3 }
	condition:
		$1
}

rule function_76319_0 {
	meta:
		name = "TControl.GetTBDockHeight"
		size = 19
		refs = "000e TControl.GetUndockHeight"
	strings:
		$1 = { 8B 90 AC 00 00 00 85 D2 7E 03 8B C2 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76320_0 {
	meta:
		name = "TControl.GetLRDockWidth"
		size = 19
		refs = "000e TControl.GetUndockWidth"
	strings:
		$1 = { 8B 90 A8 00 00 00 85 D2 7E 03 8B C2 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76321_0 {
	meta:
		name = "TControl.SetPopupMenu"
		size = 37
		refs = "0015 TMenu.ParentBiDiModeChanged 001e TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 89 B3 84 00 00 00 85 F6 74 12 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76322_0 {
	meta:
		name = "TControl.GetText"
		size = 90
		refs = "000b TControl.GetTextLen 0018 @UStrFromPWCharLen 0023 @UStrToPWChar 002f TControl.GetTextBuf 0051 @UStrSetLength"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C7 8B CB 33 D2 E8 ?? ?? ?? ?? 85 DB 74 35 8B 07 E8 ?? ?? ?? ?? 8B D0 8D 4B 01 8B C6 E8 ?? ?? ?? ?? 2B D8 85 DB 7E 1C 8B 07 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B D0 2B D3 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76323_0 {
	meta:
		name = "TControl.SetText"
		size = 97
		refs = "000f TControl.SetText 001f TControl.GetText 0029 @UStrEqual 0032 @UStrToPWChar 003b TControl.SetTextBuf 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 74 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_76324_0 {
	meta:
		name = "TControl.SetBiDiMode"
		size = 27
		refs = "0016 TControl.Perform"
	strings:
		$1 = { 3A 50 69 74 15 88 50 69 C6 40 6A 00 6A 00 33 C9 BA 3C B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76325_0 {
	meta:
		name = "TControl.FontChanged"
		size = 68
		refs = "003e TControl.Perform"
	strings:
		$1 = { 53 8B D8 C6 43 63 00 C6 43 60 00 8B 43 6C 8B 40 10 8B 40 18 3B 83 8C 00 00 00 74 16 80 8B 90 00 00 00 10 8B 43 6C 8B 40 10 8B 40 18 89 83 8C 00 00 00 6A 00 33 C9 BA 0E B0 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76327_0 {
	meta:
		name = "TControl.IsFontStored"
		size = 18
	strings:
		$1 = { 80 78 63 00 75 06 80 78 60 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_76328_0 {
	meta:
		name = "TControl.IsShowHintStored"
		size = 10
	strings:
		$1 = { 0F B6 80 92 00 00 00 34 01 C3 }
	condition:
		$1
}

rule function_76329_0 {
	meta:
		name = "TControl.IsBiDiModeStored"
		size = 7
	strings:
		$1 = { 0F B6 40 6A 34 01 C3 }
	condition:
		$1
}

rule function_76330_0 {
	meta:
		name = "TControl.SetParentFont"
		size = 35
		refs = "001e TControl.Perform"
	strings:
		$1 = { 3A 50 63 74 1D 88 50 63 83 78 38 00 74 14 F6 40 1C 02 75 0E 6A 00 33 C9 BA 08 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76331_0 {
	meta:
		name = "TControl.SetDesktopFont"
		size = 23
		refs = "0012 TControl.Perform"
	strings:
		$1 = { 3A 50 60 74 11 88 50 60 6A 00 33 C9 BA 35 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76332_0 {
	meta:
		name = "TControl.SetShowHint"
		size = 36
		refs = "001f TControl.Perform"
	strings:
		$1 = { 3A 90 91 00 00 00 74 1B 88 90 91 00 00 00 C6 80 92 00 00 00 00 6A 00 33 C9 BA 22 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76333_0 {
	meta:
		name = "TControl.SetParentShowHint"
		size = 41
		refs = "0024 TControl.Perform"
	strings:
		$1 = { 3A 90 92 00 00 00 74 20 88 90 92 00 00 00 83 78 38 00 74 14 F6 40 1C 02 75 0E 6A 00 33 C9 BA 23 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76334_0 {
	meta:
		name = "TControl.SetParentCustomHint"
		size = 15
	strings:
		$1 = { 3A 90 78 01 00 00 74 06 88 90 78 01 00 00 C3 }
	condition:
		$1
}

rule function_76335_0 {
	meta:
		name = "TControl.SetColor"
		size = 74
		refs = "001f _DV_TWinControl 0024 @IsClass 0044 TControl.Perform"
	strings:
		$1 = { 53 8B D8 3B 53 74 74 40 89 53 74 C6 43 64 00 F6 43 1C 10 74 23 F6 43 1C 02 75 1D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 33 D2 8B C3 8B 08 FF 91 E4 00 00 00 6A 00 33 C9 BA 0D B0 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76336_0 {
	meta:
		name = "TControl.IsColorStored"
		size = 7
	strings:
		$1 = { 0F B6 40 64 34 01 C3 }
	condition:
		$1
}

rule function_76337_0 {
	meta:
		name = "TControl.SetParentColor"
		size = 35
		refs = "001e TControl.Perform"
	strings:
		$1 = { 3A 50 64 74 1D 88 50 64 83 78 38 00 74 14 F6 40 1C 02 75 0E 6A 00 33 C9 BA 09 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76338_0 {
	meta:
		name = "TControl.SetParentBiDiMode"
		size = 35
		refs = "001e TControl.Perform"
	strings:
		$1 = { 3A 50 6A 74 1D 88 50 6A 83 78 38 00 74 14 F6 40 1C 02 75 0E 6A 00 33 C9 BA 3D B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76339_0 {
	meta:
		name = "TControl.SetCursor"
		size = 31
		refs = "001a TControl.Perform"
	strings:
		$1 = { 66 3B 90 80 00 00 00 74 15 66 89 90 80 00 00 00 6A 00 33 C9 BA 0F B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76340_0 {
	meta:
		name = "TControl.GetMouseCapture"
		size = 15
		refs = "0004 GetCaptureControl"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 3B D8 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_87153_0 {
	meta:
		name = "TCustomStyleServices.GetIsSystemStyle"
		size = 15
		refs = "0004 TStyleManager.GetSystemStyle"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 3B D8 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_76341_0 {
	meta:
		name = "TControl.SetMouseCapture"
		size = 40
		refs = "0009 TControl.GetMouseCapture 0018 SetCaptureControl"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 14 84 DB 74 09 8B C6 E8 ?? ?? ?? ?? EB 07 33 C0 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76342_0 {
	meta:
		name = "TControl.BringToFront"
		size = 14
		refs = "0008 @CallDynaInst"
	strings:
		$1 = { 56 B2 01 66 BE CF FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_76343_0 {
	meta:
		name = "TControl.SendToBack"
		size = 14
		refs = "0008 @CallDynaInst"
	strings:
		$1 = { 56 33 D2 66 BE CF FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_76344_0 {
	meta:
		name = "TControl.SetZOrderPosition"
		size = 139
		refs = "0017 TList.IndexOf 0040 TList.Delete 0052 TList.Insert 005f TControl.InvalidateControl 006e ValidParentForm 0083 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 38 85 C0 74 79 8B 80 E4 01 00 00 8B D3 E8 ?? ?? ?? ?? 85 C0 7C 68 8B 53 38 8B BA E4 01 00 00 8B 57 08 85 F6 7D 02 33 F6 3B D6 7F 03 8B F2 4E 3B C6 74 4B 8B D7 92 E8 ?? ?? ?? ?? 8B 43 38 8B 80 E4 01 00 00 8B CB 8B D6 E8 ?? ?? ?? ?? B1 01 0F B6 53 61 8B C3 E8 ?? ?? ?? ?? F6 43 1C 01 75 1E B2 01 8B C3 E8 ?? ?? ?? ?? 8B F0 F6 46 5C 04 74 0D B2 01 8B C6 66 BE D1 FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76345_0 {
	meta:
		name = "TControl.SetZOrder"
		size = 36
		refs = "0016 TControl.SetZOrderPosition"
	strings:
		$1 = { 8B 48 38 85 C9 74 1C 84 D2 74 11 8B 91 E4 01 00 00 8B 52 08 4A E8 ?? ?? ?? ?? EB 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76346_0 {
	meta:
		name = "TControl.SetCustomHint"
		size = 55
		refs = "0012 TComponent.FreeNotification 0022 TControl.GetCustomHint"
	strings:
		$1 = { 53 8B D8 89 93 74 01 00 00 85 D2 74 09 8B C2 8B D3 E8 ?? ?? ?? ?? 80 BB 78 01 00 00 00 74 16 8B C3 E8 ?? ?? ?? ?? 3B 83 74 01 00 00 74 07 C6 83 78 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_76347_0 {
	meta:
		name = "TControl.GetDeviceContext"
		size = 165
		refs = "0013 TControl.GetDeviceContext 0037 SParentRequired 003c LoadResString 0046 _Dn_EInvalidOperation 004b Exception.CreateFmt 0050 @RaiseExcept 006a SetViewportOrgEx 007c IntersectClipRect 0091 @UStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 38 00 75 31 8B 46 08 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 38 8B 08 FF 51 64 8B D8 6A 00 8B 46 4C 50 8B 46 48 50 53 E8 ?? ?? ?? ?? 8B 46 54 50 8B 46 50 50 6A 00 6A 00 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76348_0 {
	meta:
		name = "BackgroundClipped"
		size = 135
		refs = "0025 TList.IndexOf 0035 TList.Get 004d TControl.GetBoundsRect 005e IntersectRect 006c EqualRect"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 C6 45 FF 01 8B 45 08 8B 40 FC 8B 40 38 8B B8 E4 01 00 00 8B 45 08 8B 50 FC 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 49 4E 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 80 7B 61 00 74 33 F6 43 58 40 74 2D 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8D 4D DC 8B 45 08 8D 50 EC 8D 45 EC E8 ?? ?? ?? ?? 8B 45 08 8D 50 EC 8D 45 EC E8 ?? ?? ?? ?? 84 C0 75 08 85 F6 7F B7 C6 45 FF 00 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76349_0 {
	meta:
		name = "TControl.InvalidateControl"
		size = 147
		refs = "003e TWinControl.HandleAllocated 004d TControl.GetBoundsRect 0065 BackgroundClipped 0084 TWinControl.GetHandle 008a InvalidateRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 88 4D EB 8B DA 89 45 FC 84 DB 75 1B 8B 45 FC F6 40 1C 10 74 72 8B 45 FC F6 40 5D 08 75 69 8B 45 FC F6 40 59 04 75 60 8B 45 FC 83 78 38 00 74 57 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 84 C0 74 48 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 80 7D EB 00 75 17 8B 45 FC 8B 40 38 F6 40 58 40 75 0B 55 E8 ?? ?? ?? ?? 59 84 C0 74 04 33 C0 EB 02 B0 01 F6 D8 1B C0 50 8D 45 EC 50 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76350_0 {
	meta:
		name = "TControl.Invalidate"
		size = 17
		refs = "000c TControl.InvalidateControl"
	strings:
		$1 = { F6 40 58 40 0F 95 C1 0F B6 50 61 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76351_0 {
	meta:
		name = "TControl.MouseActivate"
		size = 72
	strings:
		$1 = { 55 8B EC 51 53 66 89 4D FE C6 45 FD 00 66 83 B8 32 01 00 00 00 74 27 0F B7 4D FE 51 8B 4D 10 51 8B 4D 0C 51 8B 4D 08 51 8D 4D FD 51 8B CA 8B D8 8B D0 8B 83 34 01 00 00 FF 93 30 01 00 00 0F B6 45 FD 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_76352_0 {
	meta:
		name = "TControl.MouseWheelHandler"
		size = 106
		refs = "000c GetParentForm 0013 GetCaptureControl 004a @CallDynaInst 005f TControl.Perform"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 85 C0 74 18 3B F0 74 14 3B D8 74 10 83 78 38 00 75 0A 8B D7 8B 08 FF 91 90 00 00 00 83 7F 0C 00 75 2D 85 F6 74 13 3B DE 74 0F 8B D7 8B C6 66 BE C9 FF E8 ?? ?? ?? ?? EB 16 8B 47 08 50 8B 4F 04 BA 43 B0 00 00 8B C3 E8 ?? ?? ?? ?? 89 47 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76354_0 {
	meta:
		name = "TControl.Show"
		size = 47
		refs = "0028 TControl.SetVisible"
	strings:
		$1 = { 56 57 8B F0 8B 7E 38 85 FF 74 0C 8B D6 8B C7 8B 08 FF 91 EC 00 00 00 F6 46 1C 10 74 06 F6 46 59 04 74 09 B2 01 8B C6 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_76355_0 {
	meta:
		name = "TControl.Update"
		size = 18
	strings:
		$1 = { 8B 50 38 85 D2 74 0A 8B C2 8B 10 FF 92 A8 00 00 00 C3 }
	condition:
		$1
}

rule function_76357_0 {
	meta:
		name = "TControl.Repaint"
		size = 251
		refs = "0041 TWinControl.HandleAllocated 0061 TWinControl.GetHandle 0067 GetDC 0072 TControl.Repaint 00a1 IntersectClipRect 00b2 TWinControl.PaintControls 00d4 ReleaseDC 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC 80 78 61 00 75 1A 8B 45 FC F6 40 1C 10 0F 84 D6 00 00 00 8B 45 FC F6 40 59 04 0F 85 C9 00 00 00 8B 45 FC 83 78 38 00 0F 84 BC 00 00 00 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 84 C0 0F 84 A9 00 00 00 8B 45 FC F6 40 58 40 0F 84 86 00 00 00 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 55 FC 8B 52 4C 8B CA 8B 5D FC 03 4B 54 51 8B 45 FC 8B 40 48 8B C8 8B 5D FC 03 4B 50 51 52 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 8B 4D FC 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B 45 FC 8B 10 FF 92 A8 00 00 00 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_76359_0 {
	meta:
		name = "TControl.IsRightToLeft"
		size = 24
		refs = "0002 SysLocale"
		altNames = "TControl.UseRightToLeftReading"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 0D 00 74 06 80 78 69 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_76361_0 {
	meta:
		name = "TControl.UseRightToLeftAlignment"
		size = 24
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 0D 00 74 06 80 78 69 01 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_76362_0 {
	meta:
		name = "TControl.UseRightToLeftScrollBar"
		size = 27
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 0D 00 74 09 0F B6 40 69 48 2C 02 72 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_76363_0 {
	meta:
		name = "TControl.BeginAutoDrag"
		size = 25
		refs = "0002 Mouse 0014 TControl.BeginDrag"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 4A 08 8B 15 ?? ?? ?? ?? 0F B6 52 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76364_0 {
	meta:
		name = "TControl.BeginDrag"
		size = 224
		refs = "000d Mouse 0012 TMouse.GetIsPanning 0022 TMouse.SetPanningWindow 002a _Dn_TCustomForm 002f @IsClass 0042 SCannotDragForm 0049 _Dn_EInvalidOperation 004e Exception.CreateRes 0053 @RaiseExcept 005a TControl.CalcDockSizes 0060 DragControl 006e FlagControl 0083 GetCursorPos 0090 TControl.ScreenToClient 00b1 TControl.Perform 00d5 DragInitControl"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8B DA 8B F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 80 BF 93 00 00 00 01 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0D A1 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 65 33 C0 A3 ?? ?? ?? ?? F6 47 5C 01 74 34 54 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D4 8B C7 E8 ?? ?? ?? ?? 8B 44 24 08 25 FF FF 00 00 8B 54 24 0C C1 E2 10 0B C2 50 33 C9 BA 02 02 00 00 8B C7 E8 ?? ?? ?? ?? 85 F6 7D 08 A1 ?? ?? ?? ?? 8B 70 08 A1 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 74 0B 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76365_0 {
	meta:
		name = "TControl.EndDrag"
		size = 49
		refs = "0009 TControl.Dragging 0014 DragDone 001d DragControl 0025 FlagControl"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 83 3D ?? ?? ?? ?? 00 75 0A A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76367_0 {
	meta:
		name = "TControl.Dragging"
		size = 10
		refs = "0002 DragControl"
	strings:
		$1 = { 3B 05 ?? ?? ?? ?? 0F 94 C0 C3 }
	condition:
		$1
}

rule function_76368_0 {
	meta:
		name = "TControl.DragOver"
		size = 59
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 C6 06 00 66 83 B8 EA 00 00 00 00 74 20 C6 06 01 51 8B 4D 10 51 0F B6 4D 0C 51 56 8B D8 8B CA 8B D0 8B 83 EC 00 00 00 FF 93 E8 00 00 00 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_76369_0 {
	meta:
		name = "TControl.DragDrop"
		size = 42
	strings:
		$1 = { 55 8B EC 53 66 83 B8 E2 00 00 00 00 74 17 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 E4 00 00 00 FF 93 E0 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_76370_0 {
	meta:
		name = "TControl.DoStartDrag"
		size = 31
	strings:
		$1 = { 53 66 83 B8 0A 01 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 0C 01 00 00 FF 93 08 01 00 00 5B C3 }
	condition:
		$1
}

rule function_76371_0 {
	meta:
		name = "TControl.DoGesture"
		size = 4
	strings:
		$1 = { C6 01 00 C3 }
	condition:
		$1
}

rule function_76372_0 {
	meta:
		name = "TControl.DoGetGestureOptions"
		size = 25
	strings:
		$1 = { 53 56 8B F1 8B 98 B4 00 00 00 0F B6 4B 10 88 0A 0F B6 43 11 88 06 5E 5B C3 }
	condition:
		$1
}

rule function_76373_0 {
	meta:
		name = "TControl.DoEndDrag"
		size = 42
	strings:
		$1 = { 55 8B EC 53 66 83 B8 12 01 00 00 00 74 17 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 14 01 00 00 FF 93 10 01 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_76374_0 {
	meta:
		name = "TControl.PositionDockRect"
		size = 209
		refs = "001f TControl.GetUndockWidth 0029 TControl.GetUndockHeight 005f @ROUND 0090 TWinControl.GetHandle 0096 GetWindowRect"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B DA 83 7B 14 00 74 0C 8B 43 14 80 B8 F3 01 00 00 00 75 6D 8B 43 40 E8 ?? ?? ?? ?? 8B F8 8B 43 40 E8 ?? ?? ?? ?? 8B E8 89 7C 24 10 DB 44 24 10 DC 4B 28 DB 43 0C DE E1 DD 1C 24 9B 89 6C 24 10 DB 44 24 10 DC 4B 30 DB 43 10 DE E1 DD 5C 24 08 9B 8D 73 4C DD 04 24 E8 ?? ?? ?? ?? 89 06 DD 44 24 08 E8 ?? ?? ?? ?? 89 46 04 03 3E 89 7E 08 03 6E 04 89 6E 0C 8D 53 4C 8B C3 8B 08 FF 51 2C EB 41 8D 43 4C 50 8B 43 14 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 14 80 B8 F3 01 00 00 00 74 23 83 B8 D0 01 00 00 00 74 1A 0F B6 53 5C 52 8D 53 4C 52 8B 80 D0 01 00 00 8B 4B 60 8B 53 40 8B 18 FF 53 24 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76375_0 {
	meta:
		name = "TControl.DockTrackNoTarget"
		size = 22
		refs = "000d @CallDynaInst"
	strings:
		$1 = { 55 8B EC 56 8B F2 8B D6 66 BE D2 FF E8 ?? ?? ?? ?? 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_76376_0 {
	meta:
		name = "TControl.DoEndDock"
		size = 42
	strings:
		$1 = { 55 8B EC 53 66 83 B8 02 01 00 00 00 74 17 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 04 01 00 00 FF 93 00 01 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_76377_0 {
	meta:
		name = "TControl.DoStartDock"
		size = 47
	strings:
		$1 = { 53 56 51 8B DA 66 83 B8 FA 00 00 00 00 74 1C 8B 13 89 14 24 8B CC 8B F0 8B D0 8B 86 FC 00 00 00 FF 96 F8 00 00 00 8B 04 24 89 03 5A 5E 5B C3 }
	condition:
		$1
}

rule function_76378_0 {
	meta:
		name = "TControl.DoMouseActivate"
		size = 52
		refs = "0025 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 8B 7B 08 8B 07 50 8B 47 04 50 8B 47 08 50 0F B6 57 0C 0F B7 4F 0D 8B C5 66 BE D6 FF E8 ?? ?? ?? ?? 83 E0 7F 89 43 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76379_0 {
	meta:
		name = "TControl.DoMouseWheel"
		size = 210
		refs = "0097 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 75 08 8D 7D F4 A5 A5 8B D9 66 89 55 FE 8B F8 C6 45 F3 00 66 83 BF 4A 01 00 00 00 74 1B 53 8D 45 F4 50 8D 45 F3 50 0F B7 4D FE 8B D7 8B 87 4C 01 00 00 FF 97 48 01 00 00 80 7D F3 00 75 7D 01 9F 9C 00 00 00 EB 65 83 BF 9C 00 00 00 00 0F 9C C3 8B 87 9C 00 00 00 99 33 C2 2B C2 83 E8 78 89 87 9C 00 00 00 84 DB 74 2E 83 BF 9C 00 00 00 00 74 0E 8B 87 9C 00 00 00 F7 D8 89 87 9C 00 00 00 8D 4D F4 0F B7 55 FE 8B C7 66 BE E3 FF E8 ?? ?? ?? ?? 88 45 F3 EB 15 8D 4D F4 0F B7 55 FE 8B C7 66 BE E2 FF E8 ?? ?? ?? ?? 88 45 F3 8B 87 9C 00 00 00 99 33 C2 2B C2 83 F8 78 7D 8B 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_76380_0 {
	meta:
		name = "TControl.DoMouseWheelDown"
		size = 76
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8D 7C 24 04 A5 A5 66 89 14 24 C6 44 24 0C 00 66 83 B8 52 01 00 00 00 74 1F 8D 54 24 04 52 8D 54 24 10 52 8B D8 0F B7 4C 24 08 8B D0 8B 83 54 01 00 00 FF 93 50 01 00 00 0F B6 44 24 0C 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76381_0 {
	meta:
		name = "TControl.DoMouseWheelUp"
		size = 76
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8D 7C 24 04 A5 A5 66 89 14 24 C6 44 24 0C 00 66 83 B8 5A 01 00 00 00 74 1F 8D 54 24 04 52 8D 54 24 10 52 8B D8 0F B7 4C 24 08 8B D0 8B 83 5C 01 00 00 FF 93 58 01 00 00 0F B6 44 24 0C 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76382_0 {
	meta:
		name = "TControl.DefaultDockImage"
		size = 297
		refs = "0038 GetDesktopWindow 004b GetDCEx 0056 TControl.DefaultDockImage 0064 TBrush.GetHandle 006e SelectObject 0094 PatBlt 0116 ReleaseDC 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 88 4D FF 8B F2 8B C6 8B 10 FF 52 38 8B D8 80 7D FF 00 74 0E 56 83 C6 64 8D 7D E0 A5 A5 A5 A5 5E EB 0C 56 83 C6 4C 8D 7D E0 A5 A5 A5 A5 5E E8 ?? ?? ?? ?? 89 45 F8 68 02 04 00 00 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 48 E8 ?? ?? ?? ?? 50 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 F0 68 49 00 5A 00 53 8B 45 E8 8B 75 E0 2B C6 2B C3 50 8B 7D E4 57 8B C6 03 C3 50 8B 45 F4 50 E8 ?? ?? ?? ?? 68 49 00 5A 00 8B 45 EC 2B C7 2B C3 50 53 8B C7 03 C3 50 8B 45 E8 2B C3 50 8B 45 F4 50 E8 ?? ?? ?? ?? 68 49 00 5A 00 53 8B 45 E8 2B 45 E0 2B C3 50 8B 45 EC 2B C3 50 56 8B 45 F4 50 E8 ?? ?? ?? ?? 68 49 00 5A 00 8B 45 EC 2B 45 E4 2B C3 50 53 57 56 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F4 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76383_0 {
	meta:
		name = "TControl.DrawDragDockImage"
		size = 14
		refs = "0008 @CallDynaInst"
	strings:
		$1 = { 56 33 C9 66 BE EA FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_76384_0 {
	meta:
		name = "TControl.EraseDragDockImage"
		size = 14
		refs = "0008 @CallDynaInst"
	strings:
		$1 = { 56 B1 01 66 BE EA FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_76385_0 {
	meta:
		name = "TControl.DoDragMsg"
		size = 240
		refs = "0016 _DV_TDragDockObject 001b @IsClass 0023 DragInternalObject 0032 _DV_TDragControlObject 0037 @AsClass 0048 TControl.ScreenToClient 0081 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B FA 89 04 24 8B 6F 08 8B 75 08 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 80 3D ?? ?? ?? ?? 00 74 14 84 DB 75 10 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 70 40 8D 4C 24 08 8B D5 8B 04 24 E8 ?? ?? ?? ?? 0F B6 47 04 2C 03 72 07 74 5D E9 8D 00 00 00 C6 44 24 04 01 84 DB 74 23 8B 44 24 0C 50 0F B6 47 04 50 8D 44 24 0C 50 8B 4C 24 14 8B D6 8B 45 0C 66 BE C3 FF E8 ?? ?? ?? ?? EB 22 8B 44 24 0C 50 0F B6 47 04 50 8D 44 24 0C 50 8B 4C 24 14 8B D6 8B 44 24 0C 66 BE E0 FF E8 ?? ?? ?? ?? 0F B6 44 24 04 89 47 0C EB 35 84 DB 74 19 8B 44 24 0C 50 8B 4C 24 0C 8B D6 8B 45 0C 66 BE B4 FF E8 ?? ?? ?? ?? EB 18 8B 44 24 0C 50 8B 4C 24 0C 8B D6 8B 44 24 04 66 BE CB FF E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76386_0 {
	meta:
		name = "TControl.ManualDock"
		size = 530
		refs = "0058 TWinControl.GetHandle 005e MapWindowPoints 0080 TControl.ClientToScreen 0093 TControl.GetUndockHeight 009f TControl.GetUndockWidth 00ac Bounds 00c0 TControl.ManualFloat 00cf TControl.CalcDockSizes 00eb @CallDynaInst 010b _DV_TDragDockObject 0110 TDragDockObject.Create 011b TControl.ManualDock 0140 TControl.GetBoundsRect 01f9 TObject.Free 01ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 4D FC 8B FA 8B D8 85 FF 74 09 83 FF FF 0F 85 AF 00 00 00 8B 83 98 00 00 00 85 C0 74 3D 80 B8 F3 01 00 00 00 74 34 83 B8 D0 01 00 00 00 74 2B 8D 4D DC 8B 80 D0 01 00 00 8B D3 8B 30 FF 56 14 6A 02 8D 45 DC 50 6A 00 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 2C 8B 43 48 89 45 DC 8B 43 4C 89 45 E0 8B 73 38 85 F6 74 19 8D 4D D4 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 D4 89 45 DC 8B 45 D8 89 45 E0 8B C3 E8 ?? ?? ?? ?? 50 8D 45 C4 50 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 55 E0 8B 45 DC E8 ?? ?? ?? ?? 8D 75 C4 8D 7D DC A5 A5 A5 A5 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 88 45 FB E9 39 01 00 00 8B C3 E8 ?? ?? ?? ?? 83 BB 98 00 00 00 00 74 1B 8B 83 98 00 00 00 8B CB 8B D7 66 BE BC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FB 80 7D FB 00 0F 84 FF 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 83 98 00 00 00 85 C0 74 09 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 85 F6 74 0E 6A 02 8D 45 DC 50 6A 00 56 E8 ?? ?? ?? ?? 8B 45 F4 89 78 14 0F B6 45 08 8B 55 F4 88 42 5C 8B 45 F4 8B 55 FC 89 50 60 8B 45 F4 57 8D 78 4C 8D 75 DC A5 A5 A5 A5 5F 8B 45 DC 89 45 EC 8B 45 E0 89 45 F0 6A 01 8D 45 EC 50 8B C7 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 45 EC 3D FF 7F 00 00 7F 07 3D 00 80 FF FF 7D 09 C1 E8 10 0F BF C0 89 45 EC 8B 45 F0 3D FF 7F 00 00 7F 07 3D 00 80 FF FF 7D 09 C1 E8 10 0F BF C0 89 45 F0 8B 45 F0 50 8B 4D EC 8B 55 F4 8B C7 66 BE B4 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_76387_0 {
	meta:
		name = "TControl.ManualFloat"
		size = 157
		refs = "0027 @CallDynaInst 0045 TControl.CreateFloatingDockSite 0052 TControl.GetClientHeight 005f TControl.GetClientWidth 006a Rect"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B F2 8D 7C 24 04 A5 A5 A5 A5 8B F8 8B 9F 98 00 00 00 85 DB 74 17 8B CF 33 D2 8B C3 66 BE BC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 04 24 80 3C 24 00 74 54 8D 54 24 04 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 32 8B C6 E8 ?? ?? ?? ?? 50 8D 44 24 18 50 8B C6 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 4C 24 14 8B D6 8B C7 66 BE CC FF E8 ?? ?? ?? ?? EB 11 8D 4C 24 04 8B D6 8B C7 66 BE CC FF E8 ?? ?? ?? ?? 0F B6 04 24 83 C4 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76388_0 {
	meta:
		name = "TControl.ReplaceDockedControl"
		size = 241
		refs = "0067 TControl.ReplaceDockedControl 007b TControl.ManualDock 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F8 89 55 FC 8B D8 33 D2 8B 4D FC 83 B9 98 00 00 00 00 74 23 8B 45 FC 8B 80 98 00 00 00 80 B8 F3 01 00 00 00 0F 84 8E 00 00 00 83 B8 D0 01 00 00 00 0F 84 81 00 00 00 8B 45 FC 8B 80 98 00 00 00 89 45 F4 83 7D F4 00 74 11 8B 45 F4 8B 80 D0 01 00 00 8B 55 FC 8B 08 FF 51 34 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 33 C9 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 10 8B 45 F4 8B 80 D0 01 00 00 33 D2 8B 08 FF 51 34 C3 E9 ?? ?? ?? ?? EB E2 0F B6 45 08 50 8B 4D 0C 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D0 EB 27 8B 45 FC 8B 80 98 00 00 00 85 C0 74 1A 8B 55 0C 52 0F B6 55 08 52 53 8B 4D F8 8B 55 FC 8B 18 FF 93 D8 00 00 00 8B D0 8B C2 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_76389_0 {
	meta:
		name = "TControl.DoConstraintsChange"
		size = 12
		refs = "0006 @CallDynaInst"
	strings:
		$1 = { 56 66 BE EF FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_76391_0 {
	meta:
		name = "TControl.CanResize"
		size = 47
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 BA 00 00 00 00 74 18 51 8D 4C 24 04 51 8B CA 8B D8 8B D0 8B 83 BC 00 00 00 FF 93 B8 00 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_76392_0 {
	meta:
		name = "TControl.DoCanAutoSize"
		size = 106
	strings:
		$1 = { 53 56 83 C4 F0 89 4C 24 04 89 14 24 8B F0 80 7E 65 05 74 4E 8B 04 24 8B 00 89 44 24 08 8B 44 24 04 8B 00 89 44 24 0C 8D 4C 24 0C 8D 54 24 08 8B C6 8B 18 FF 53 44 0F B6 56 65 8B CA 84 C9 74 08 80 C1 FD 80 E9 02 73 09 8B 0C 24 8B 5C 24 08 89 19 80 EA 03 73 0E 8B 54 24 04 8B 4C 24 0C 89 0A EB 02 B0 01 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_76393_0 {
	meta:
		name = "TControl.DoCanResize"
		size = 48
		refs = "0025 TControl.DoConstrainedResize"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B FA 8B F0 8B 0C 24 8B D7 8B C6 8B 18 FF 53 40 8B D8 84 DB 74 0C 8B 0C 24 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76394_0 {
	meta:
		name = "TControl.ConstrainedResize"
		size = 46
	strings:
		$1 = { 55 8B EC 53 66 83 B8 C2 00 00 00 00 74 1B 51 8B 4D 0C 51 8B 4D 08 51 8B CA 8B D8 8B D0 8B 83 C4 00 00 00 FF 93 C0 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_76395_0 {
	meta:
		name = "TControl.CalcCursorPos"
		size = 43
		refs = "000b GetCursorPos 0016 TControl.ScreenToClient"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 53 E8 ?? ?? ?? ?? 8B CC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 89 03 8B 44 24 04 89 43 04 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_76396_0 {
	meta:
		name = "TControl.DesignWndProc"
		size = 49
	strings:
		$1 = { 56 F6 40 58 04 74 22 8B 32 81 FE 04 02 00 00 74 1C 81 FE 05 02 00 00 74 14 81 FE 00 02 00 00 74 0C 81 FE 06 02 00 00 74 04 33 C0 5E C3 B0 01 5E C3 }
	condition:
		$1
}

rule function_76397_0 {
	meta:
		name = "TControl.DoConstrainedResize"
		size = 211
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8B DA 8B 50 78 8B 52 14 85 D2 76 05 89 14 24 EB 05 33 D2 89 14 24 8B 50 78 8B 52 10 85 D2 76 06 89 54 24 04 EB 06 33 D2 89 54 24 04 8B 50 78 8B 52 0C 85 D2 76 06 89 54 24 08 EB 06 33 D2 89 54 24 08 8B 50 78 8B 52 08 85 D2 76 06 89 54 24 0C EB 06 33 D2 89 54 24 0C 8D 54 24 08 52 8D 54 24 10 52 8D 4C 24 0C 8D 54 24 08 8B 38 FF 57 48 83 7C 24 08 00 7E 10 8B 03 3B 44 24 08 7E 08 8B 44 24 08 89 03 EB 12 83 3C 24 00 7E 0C 8B 03 3B 04 24 7D 05 8B 04 24 89 03 83 7C 24 0C 00 7E 10 8B 06 3B 44 24 0C 7E 08 8B 44 24 0C 89 06 EB 15 83 7C 24 04 00 7E 0E 8B 06 3B 44 24 04 7D 06 8B 44 24 04 89 06 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76398_0 {
	meta:
		name = "TControl.Perform"
		size = 49
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 55 F0 89 4D F4 8B 55 08 89 55 F8 33 D2 89 55 FC 85 C0 74 0B 8D 55 F0 8B D8 8B 43 44 FF 53 40 8B 45 FC 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_76401_0 {
	meta:
		name = "TControl.GetCustomHint"
		size = 38
		refs = "001d TControl.GetCustomHint"
	strings:
		$1 = { 8B 90 74 01 00 00 80 B8 78 01 00 00 00 74 14 85 D2 75 10 8B 48 38 85 C9 74 09 8B C1 E8 ?? ?? ?? ?? 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_76402_0 {
	meta:
		name = "TControl.CalcDockSizes"
		size = 114
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 6C 84 C0 74 14 8B 43 54 89 83 A4 00 00 00 8B 43 50 89 83 A0 00 00 00 5B C3 83 BB 98 00 00 00 00 74 45 80 BB 94 00 00 00 02 74 0F 8B 83 98 00 00 00 0F B6 40 65 48 2C 02 73 0B 8B 43 54 89 83 AC 00 00 00 EB 22 80 BB 94 00 00 00 01 74 10 8B 83 98 00 00 00 0F B6 40 65 04 FD 2C 02 73 09 8B 43 50 89 83 A8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_76403_0 {
	meta:
		name = "TControl.UpdateBoundsRect"
		size = 47
		refs = "0022 TControl.UpdateAnchorRules 0029 TControl.UpdateExplicitBounds"
	strings:
		$1 = { 53 8B D8 8B 02 89 43 48 8B 42 04 89 43 4C 8B 42 08 2B 02 89 43 50 8B 42 0C 2B 42 04 89 43 54 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76405_0 {
	meta:
		name = "TControl.WndProc"
		size = 720
		refs = "001b GetParentForm 00d5 TControl.WndProc 00fc Application 0105 TApplication.HintMouseMessage 012f Mouse 0134 TMouse.GetIsDragging 0146 TMouse.CreatePanningWindow 015e _DV_TWinControl 0163 @IsClass 016e TWinControl.GetHandle 01ec TApplication.HideHint 020c TMouse.SetPanningWindow 0222 @CallDynaInst 0265 GetKeyboardState 0275 KeyboardStateToShiftState 0289 SmallPoint 02b3 TControl.SendDockNotification"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FE FF FF 53 56 57 8B DA 8B F0 F6 46 1C 10 74 38 33 D2 8B C6 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 74 26 8B 45 EC 83 B8 C4 02 00 00 00 74 1A 8B CB 8B 45 EC 8B 80 C4 02 00 00 8B D6 8B 38 FF 57 24 84 C0 0F 85 72 02 00 00 8B 03 3D 00 01 00 00 72 39 3D 09 01 00 00 77 32 B2 01 8B C6 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 0F 84 43 02 00 00 8B CB 8B D6 8B 45 EC 8B 38 FF 97 24 01 00 00 84 C0 0F 85 35 02 00 00 E9 27 02 00 00 8B 03 3D 00 02 00 00 0F 82 03 02 00 00 3D 0E 02 00 00 0F 87 F8 01 00 00 F6 46 58 80 75 14 2D 03 02 00 00 74 0A 83 E8 03 74 05 83 E8 03 75 03 83 2B 02 8B 03 05 00 FE FF FF 83 F8 07 0F 87 68 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B CB A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? E9 A9 01 00 00 F6 46 5A 08 0F 84 9F 01 00 00 A1 ?? ?? ?? ?? 23 46 5C 8B 15 ?? ?? ?? ?? 3B D0 0F 85 89 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 77 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 EB 00 A1 ?? ?? ?? ?? 8B 78 28 85 FF 74 7D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 8B CE 8B 38 FF 97 00 01 00 00 88 45 EB EB 52 83 7E 38 00 74 1B 8B 46 38 E8 ?? ?? ?? ?? 8B D0 8B C7 8B CE 8B 38 FF 97 00 01 00 00 88 45 EB EB 31 33 D2 8B C6 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 74 1F 8B 45 EC E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 40 28 8B CE 8B 38 FF 97 00 01 00 00 88 45 EB 80 7D EB 00 74 18 C7 43 0C 01 00 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? E9 C2 00 00 00 A1 ?? ?? ?? ?? 83 78 28 00 0F 84 B3 00 00 00 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A2 00 00 00 80 7E 67 01 75 10 8B C6 66 BE EE FF E8 ?? ?? ?? ?? E9 95 00 00 00 83 4E 5C 01 E9 83 00 00 00 83 66 5C FE EB 7D A1 ?? ?? ?? ?? 80 78 20 00 74 72 A1 ?? ?? ?? ?? 83 78 1C 00 74 67 8B 03 8B 15 ?? ?? ?? ?? 3B 42 1C 75 5A 8D 85 EB FE FF FF 50 E8 ?? ?? ?? ?? 8B 03 89 45 F0 8D 85 EB FE FF FF E8 ?? ?? ?? ?? 66 89 45 F4 0F B7 43 04 66 89 45 F6 8B 43 08 E8 ?? ?? ?? ?? 89 45 F8 8D 55 F0 8B C6 66 BE C9 FF E8 ?? ?? ?? ?? EB 20 3D 0B B0 00 00 75 10 8B 53 08 52 8B 4B 04 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 8B 08 FF 51 EC 5F 5E 5B 8B E5 5D C3 00 00 12 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_76406_0 {
	meta:
		name = "TControl.DefaultHandler"
		size = 144
		refs = "0025 TControl.DefaultHandler 0033 StrLCopy 0038 @PWCharLen 0060 StrNew 006d StrDispose 0083 TControl.SendDockNotification"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 03 83 E8 0C 74 4E 48 74 05 48 74 2D EB 71 8B 86 7C 01 00 00 85 C0 74 04 8B F8 EB 05 BF ?? ?? ?? ?? 8B 4B 04 49 8B 43 08 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C EB 46 8B 86 7C 01 00 00 85 C0 75 07 33 C0 89 43 0C EB 35 E8 ?? ?? ?? ?? 89 43 0C EB 2B 8B 43 08 E8 ?? ?? ?? ?? 8B F8 8B 86 7C 01 00 00 E8 ?? ?? ?? ?? 89 BE 7C 01 00 00 8B 43 08 50 8B 4B 04 8B 13 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_76407_0 {
	meta:
		name = "TControl.ReadIsControl"
		size = 19
		refs = "0009 TReader.ReadBoolean"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 88 43 68 5E 5B C3 }
	condition:
		$1
}

rule function_76408_0 {
	meta:
		name = "TControl.WriteIsControl"
		size = 11
		refs = "0006 TWriter.WriteBoolean"
	strings:
		$1 = { 0F B6 40 68 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76409_0 {
	meta:
		name = "DoWriteIsControl"
		size = 46
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 40 20 85 C0 74 12 0F B6 40 68 8B 55 08 8B 52 F8 3A 42 68 0F 95 C0 5D C3 8B 45 08 8B 40 F8 0F B6 40 68 5D C3 }
	condition:
		$1
}

rule function_76410_0 {
	meta:
		name = "DoWriteExplicit"
		size = 532
		refs = "0068 DoWriteExplicit"
	strings:
		$1 = { 55 8B EC 53 2C 01 72 1B 0F 84 8C 00 00 00 FE C8 0F 84 FB 00 00 00 FE C8 0F 84 67 01 00 00 E9 D6 01 00 00 8B 45 08 8B 40 FC 8B 58 20 85 DB 74 14 8B 83 9C 01 00 00 8B 55 08 8B 52 F8 3B 82 9C 01 00 00 75 51 8B 45 08 8B 40 FC 83 78 20 00 75 3E 8B 45 08 8B 40 F8 80 78 65 00 75 1B 8B 45 08 8B 40 F8 0F B6 40 6B 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 75 17 8B 45 08 8B 40 F8 8B 80 9C 01 00 00 8B 55 08 8B 52 F8 3B 42 48 75 07 33 C0 E9 66 01 00 00 B0 01 5B 5D C3 8B 45 08 8B 40 FC 8B 58 20 85 DB 74 14 8B 83 A0 01 00 00 8B 55 08 8B 52 F8 3B 82 A0 01 00 00 75 51 8B 45 08 8B 40 FC 83 78 20 00 75 3E 8B 45 08 8B 40 F8 80 78 65 00 75 1B 8B 45 08 8B 40 F8 0F B6 40 6B 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 75 17 8B 45 08 8B 40 F8 8B 80 A0 01 00 00 8B 55 08 8B 52 F8 3B 42 4C 75 07 33 C0 E9 EF 00 00 00 B0 01 5B 5D C3 8B 45 08 8B 40 FC 8B 58 20 85 DB 74 14 8B 83 A4 01 00 00 8B 55 08 8B 52 F8 3B 82 A4 01 00 00 75 4E 8B 45 08 8B 40 FC 83 78 20 00 75 3E 8B 45 08 8B 40 F8 80 78 65 00 75 1B 8B 45 08 8B 40 F8 0F B6 40 6B 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 75 17 8B 45 08 8B 40 F8 8B 80 A4 01 00 00 8B 55 08 8B 52 F8 3B 42 50 75 04 33 C0 EB 7B B0 01 5B 5D C3 8B 45 08 8B 40 FC 8B 58 20 85 DB 74 14 8B 83 A8 01 00 00 8B 55 08 8B 52 F8 3B 82 A8 01 00 00 75 4E 8B 45 08 8B 40 FC 83 78 20 00 75 3E 8B 45 08 8B 40 F8 80 78 65 00 75 1B 8B 45 08 8B 40 F8 0F B6 40 6B 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 75 17 8B 45 08 8B 40 F8 8B 80 A8 01 00 00 8B 55 08 8B 52 F8 3B 42 54 75 04 33 C0 EB 07 B0 01 5B 5D C3 33 C0 5B 5D C3 00 00 01 00 00 00 00 00 00 00 02 00 00 00 05 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_76411_0 {
	meta:
		name = "TControl.DefineProperties"
		size = 480
		refs = "0015 TControl.ReadIsControl 001d TControl.WriteIsControl 0023 DoWriteIsControl 002b TControl.DefineProperties 003b TControl.ReadExplicitLeft 0043 TControl.WriteExplicitLeft 0053 DoWriteExplicit 0073 TControl.ReadExplicitTop 007b TControl.WriteExplicitTop 00ab TControl.ReadExplicitWidth 00b3 TControl.WriteExplicitWidth 00e3 TControl.ReadExplicitHeight 00eb TControl.WriteExplicitHeight"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 FC 89 45 F8 8D 5D F8 8B 03 50 68 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 04 8B 03 50 68 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B 03 F6 40 1C 02 75 0D 55 33 C0 E8 ?? ?? ?? ?? 59 84 C0 75 04 33 C9 EB 02 B1 01 BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 04 8B 03 50 68 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B 03 F6 40 1C 02 75 0D 55 B0 01 E8 ?? ?? ?? ?? 59 84 C0 75 04 33 C9 EB 02 B1 01 BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 04 8B 03 50 68 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B 03 F6 40 1C 02 75 0D 55 B0 02 E8 ?? ?? ?? ?? 59 84 C0 75 04 33 C9 EB 02 B1 01 BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 04 8B 03 50 68 ?? ?? ?? ?? 8B 03 50 68 ?? ?? ?? ?? 8B 03 F6 40 1C 02 75 0D 55 B0 03 E8 ?? ?? ?? ?? 59 84 C0 75 04 33 C9 EB 02 B1 01 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 73 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 45 00 78 00 70 00 6C 00 69 00 63 00 69 00 74 00 4C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 78 00 70 00 6C 00 69 00 63 00 69 00 74 00 54 00 6F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 45 00 78 00 70 00 6C 00 69 00 63 00 69 00 74 00 57 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 45 00 78 00 70 00 6C 00 69 00 63 00 69 00 74 00 48 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_76412_0 {
	meta:
		name = "TControl.Click"
		size = 119
	strings:
		$1 = { 53 8B D8 66 83 BB 1A 01 00 00 00 74 22 8B C3 8B 10 FF 52 58 85 C0 74 17 8B C3 8B 10 FF 52 58 8B 40 48 3B 83 18 01 00 00 0F 94 C0 34 01 EB 02 33 C0 84 C0 74 10 8B D3 8B 83 1C 01 00 00 FF 93 18 01 00 00 5B C3 F6 43 1C 10 75 12 83 7B 70 00 74 0C 8B D3 8B 43 70 8B 08 FF 51 18 EB 18 66 83 BB 1A 01 00 00 00 74 0E 8B D3 8B 83 1C 01 00 00 FF 93 18 01 00 00 5B C3 }
	condition:
		$1
}

rule function_76414_0 {
	meta:
		name = "TControl.MouseDown"
		size = 56
	strings:
		$1 = { 55 8B EC 51 53 66 89 4D FE 66 83 B8 CA 00 00 00 00 74 1F 0F B7 4D FE 51 8B 4D 0C 51 8B 4D 08 51 8B CA 8B D8 8B D0 8B 83 CC 00 00 00 FF 93 C8 00 00 00 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_76415_0 {
	meta:
		name = "TControl.DoMouseDown"
		size = 153
		refs = "002d TControl.CalcCursorPos 003e KeysToShiftState 0048 MouseOriginToShiftState 005b @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 57 88 4D FF 8B FA 8B F0 F6 46 59 10 75 7C 81 7E 50 00 80 00 00 7F 09 81 7E 54 00 80 00 00 7E 3A 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 0F B7 47 04 E8 ?? ?? ?? ?? 66 0B 45 08 50 E8 ?? ?? ?? ?? 59 66 0B C8 0F B6 55 FF 8B C6 66 BE D5 FF E8 ?? ?? ?? ?? EB 30 0F BF 47 08 50 0F BF 47 0A 50 0F B7 47 04 E8 ?? ?? ?? ?? 66 0B 45 08 50 E8 ?? ?? ?? ?? 59 66 0B C8 0F B6 55 FF 8B C6 66 BE D5 FF E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_76416_0 {
	meta:
		name = "TControl.WMLButtonDown"
		size = 76
		refs = "000b TControl.SendCancelMode 0023 TControl.SetMouseCapture 0034 TControl.WMLButtonDown 0040 TControl.DoMouseDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D3 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 F6 43 58 02 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? F6 43 58 08 74 04 83 4B 5C 02 0F B7 05 ?? ?? ?? ?? 50 8B D6 33 C9 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_76417_0 {
	meta:
		name = "TControl.WMNCLButtonDown"
		size = 27
		refs = "000b TControl.SendCancelMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D3 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_76418_0 {
	meta:
		name = "TControl.WMLButtonDblClk"
		size = 84
		refs = "000c TControl.SendCancelMode 0024 TControl.SetMouseCapture 0035 @CallDynaInst 003c TControl.WMLButtonDblClk 0048 TControl.DoMouseDown"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D3 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 8B 08 FF 51 F0 F6 43 58 02 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? F6 43 58 08 74 0B 8B C3 66 BE EB FF E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 50 8B D7 33 C9 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 40 00 00 00 }
	condition:
		$1
}

rule function_76419_0 {
	meta:
		name = "TControl.GetPopupMenu"
		size = 7
	strings:
		$1 = { 8B 80 84 00 00 00 C3 }
	condition:
		$1
}

rule function_76420_0 {
	meta:
		name = "TControl.CheckNewSize"
		size = 155
		refs = "0024 TControl.DoCanResize 004c TControl.DoCanAutoSize"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B E9 8B FA 8B F0 33 DB 8B 07 89 04 24 8B 45 00 89 44 24 04 8D 4C 24 04 8B D4 8B C6 E8 ?? ?? ?? ?? 84 C0 74 65 8B 04 24 89 44 24 08 8B 44 24 04 89 44 24 0C 80 7E 66 00 74 3D 8D 4C 24 0C 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 8B 44 24 08 3B 04 24 75 0A 8B 44 24 0C 3B 44 24 04 74 17 8D 4C 24 0C 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 84 DB 74 0D 8B 44 24 08 89 07 8B 44 24 0C 89 45 00 8B C3 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76421_0 {
	meta:
		name = "TControl.WMRButtonDown"
		size = 44
		refs = "0012 TControl.WMRButtonDown 001e TControl.DoMouseDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 0F B7 05 ?? ?? ?? ?? 50 8B D6 B1 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_76422_0 {
	meta:
		name = "TControl.WMRButtonDblClk"
		size = 44
		refs = "0012 TControl.WMRButtonDblClk 001e TControl.DoMouseDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 0F B7 05 ?? ?? ?? ?? 50 8B D6 B1 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_76423_0 {
	meta:
		name = "TControl.WMMButtonDown"
		size = 44
		refs = "0012 TControl.WMMButtonDown 001e TControl.DoMouseDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 0F B7 05 ?? ?? ?? ?? 50 8B D6 B1 02 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_76424_0 {
	meta:
		name = "TControl.WMMButtonDblClk"
		size = 44
		refs = "0012 TControl.WMMButtonDblClk 001e TControl.DoMouseDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 0F B7 05 ?? ?? ?? ?? 50 8B D6 B1 02 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_76425_0 {
	meta:
		name = "TControl.MouseMove"
		size = 50
	strings:
		$1 = { 55 8B EC 51 53 66 89 55 FE 66 83 B8 D2 00 00 00 00 74 19 51 8B 55 08 52 8B D8 8B D0 0F B7 4D FE 8B 83 D4 00 00 00 FF 93 D0 00 00 00 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_76426_0 {
	meta:
		name = "TControl.WMMouseMove"
		size = 136
		refs = "002f TControl.CalcCursorPos 003d KeysToShiftState 0043 MouseOriginToShiftState 0056 @CallDynaInst"
	strings:
		$1 = { 56 57 83 C4 F8 8B FA 8B F0 8B D7 8B C6 8B 08 FF 51 F0 F6 46 59 10 75 6B 81 7E 50 00 80 00 00 7F 09 81 7E 54 00 80 00 00 7E 32 8B D4 8B C6 E8 ?? ?? ?? ?? 8B 44 24 04 50 0F B7 47 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 66 0B D0 8B 4C 24 04 8B C6 66 BE D4 FF E8 ?? ?? ?? ?? EB 27 0F BF 47 0A 50 0F B7 47 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 66 0B D0 0F BF 4F 08 8B C6 66 BE D4 FF E8 ?? ?? ?? ?? 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_76427_0 {
	meta:
		name = "TControl.MouseUp"
		size = 56
	strings:
		$1 = { 55 8B EC 51 53 66 89 4D FE 66 83 B8 DA 00 00 00 00 74 1F 0F B7 4D FE 51 8B 4D 0C 51 8B 4D 08 51 8B CA 8B D8 8B D0 8B 83 DC 00 00 00 FF 93 D8 00 00 00 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_76428_0 {
	meta:
		name = "TControl.DoMouseUp"
		size = 65
		refs = "001f KeysToShiftState 0025 MouseOriginToShiftState 0039 @CallDynaInst"
	strings:
		$1 = { 56 57 51 88 0C 24 8B FA 8B F0 F6 46 59 10 75 2D 0F BF 47 08 50 0F BF 47 0A 50 0F B7 47 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 66 0B C8 0F B6 54 24 08 8B C6 66 BE D3 FF E8 ?? ?? ?? ?? 5A 5F 5E C3 }
	condition:
		$1
}

rule function_76429_0 {
	meta:
		name = "TControl.WMLButtonUp"
		size = 124
		refs = "001e TControl.SetMouseCapture 0057 PtInRect 0066 @CallDynaInst 0071 TControl.DoMouseUp"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B FA 8B D8 8B D7 8B C3 8B 08 FF 51 F0 F6 43 58 02 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? F6 43 5C 02 74 42 83 63 5C FD 8B 47 08 89 04 24 0F BF 04 24 89 44 24 04 0F BF 44 24 02 89 44 24 08 8D 54 24 0C 8B C3 8B 08 FF 51 60 8D 44 24 0C 8D 54 24 04 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C3 66 BE EC FF E8 ?? ?? ?? ?? 8B D7 33 C9 8B C3 E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76430_0 {
	meta:
		name = "TControl.WMRButtonUp"
		size = 29
		refs = "0016 TControl.DoMouseUp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 8B D6 B1 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76431_0 {
	meta:
		name = "TControl.WMMButtonUp"
		size = 29
		refs = "0016 TControl.DoMouseUp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 8B D6 B1 02 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76432_0 {
	meta:
		name = "TControl.WMMouseWheel"
		size = 87
		refs = "0008 Mouse 0026 TMouse.SettingChanged 002f KeysToShiftState 0040 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 A1 ?? ?? ?? ?? 80 78 20 00 75 18 A1 ?? ?? ?? ?? C6 40 20 01 BA 68 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 43 04 E8 ?? ?? ?? ?? 66 89 43 04 8B D3 8B C7 66 BE C9 FF E8 ?? ?? ?? ?? 83 7B 0C 00 75 09 8B D3 8B C7 8B 08 FF 51 F0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76433_0 {
	meta:
		name = "TControl.WMCancelMode"
		size = 60
		refs = "000d TControl.GetMouseCapture 001a TControl.SetMouseCapture 0030 TControl.Perform"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 21 33 D2 8B C6 E8 ?? ?? ?? ?? F6 46 5C 01 74 16 6A FF 33 C9 BA 02 02 00 00 8B C6 E8 ?? ?? ?? ?? 5E C3 83 66 5C FE 5E C3 }
	condition:
		$1
}

rule function_76434_0 {
	meta:
		name = "TControl.WMWindowPosChanged"
		size = 176
		refs = "0012 TControl.WMWindowPosChanged 00a0 TControl.CalcDockSizes"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 0F B7 05 ?? ?? ?? ?? 66 23 43 1C 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 7E 8B 43 78 8B 50 0C 85 D2 76 0D 3B 53 50 7D 08 8B 53 50 89 50 0C EB 12 8B 50 14 85 D2 76 0B 3B 53 50 7E 06 8B 53 50 89 50 14 8B 50 08 85 D2 76 0D 3B 53 54 7D 08 8B 53 54 89 50 08 EB 12 8B 50 10 85 D2 76 0B 3B 53 54 7E 06 8B 53 54 89 50 10 8B 46 08 85 C0 74 28 83 BB 98 00 00 00 00 74 1F F6 43 5D 04 75 19 F6 40 18 01 75 13 83 78 10 00 74 0D 83 78 14 00 74 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 03 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_76435_0 {
	meta:
		name = "TControl.CMVisibleChanged"
		size = 38
		refs = "0021 TControl.InvalidateControl"
	strings:
		$1 = { F6 40 1C 10 74 06 F6 40 59 04 74 19 80 78 61 00 74 06 F6 40 58 40 75 04 33 C9 EB 02 B1 01 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76439_0 {
	meta:
		name = "SetParentColor"
		size = 55
		refs = "0031 TControl.Perform"
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 52 FC 3B 42 74 74 27 8B 55 08 8B 52 FC 89 42 74 8B 45 08 8B 40 FC C6 40 64 00 6A 00 8B 45 08 8B 40 FC 33 C9 BA 0D B0 00 00 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_76440_0 {
	meta:
		name = "TControl.CMParentColorChanged"
		size = 60
		refs = "001b SetParentColor"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 80 78 64 00 74 29 83 7A 04 00 74 0C 55 8B 42 08 E8 ?? ?? ?? ?? 59 EB 10 55 8B 45 FC 8B 40 38 8B 40 74 E8 ?? ?? ?? ?? 59 8B 45 FC C6 40 64 01 59 5D C3 }
	condition:
		$1
}

rule function_76441_0 {
	meta:
		name = "TControl.CMParentBiDiModeChanged"
		size = 36
	strings:
		$1 = { 53 8B D8 80 7B 6A 00 74 19 8B 43 38 85 C0 74 0E 0F B6 50 69 8B C3 8B 08 FF 91 8C 00 00 00 C6 43 6A 01 5B C3 }
	condition:
		$1
}

rule function_76442_0 {
	meta:
		name = "TControl.CMMouseWheel"
		size = 111
		refs = "003a @CallDynaInst 0061 TControl.Perform"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B DA 8B F8 33 C0 89 43 0C 8B 43 08 89 04 24 0F BF 04 24 89 44 24 04 0F BF 44 24 02 89 44 24 08 8D 44 24 04 50 0F BF 4B 06 0F B7 53 04 8B C7 66 BE E4 FF E8 ?? ?? ?? ?? 84 C0 74 09 C7 43 0C 01 00 00 00 EB 1D 8B 77 38 85 F6 74 16 8B 43 08 50 8B 4B 04 BA 43 B0 00 00 8B C6 E8 ?? ?? ?? ?? 89 43 0C 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76443_0 {
	meta:
		name = "TControl.CMGesture"
		size = 116
		refs = "006b TControl.Perform"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 C6 04 24 00 66 83 BB 62 01 00 00 00 74 14 54 8B 46 08 8B C8 8B D3 8B 83 64 01 00 00 FF 93 60 01 00 00 80 3C 24 00 75 0E 8B CC 8B 46 08 8B D0 8B C3 8B 38 FF 57 50 80 3C 24 00 74 09 C7 46 0C 01 00 00 00 EB 22 8B 46 08 66 83 38 00 75 19 83 7B 38 00 74 13 8B 46 08 50 33 C9 BA 52 B0 00 00 8B 43 38 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76444_0 {
	meta:
		name = "TControl.CMBiDiModeChanged"
		size = 27
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? 80 79 0D 00 74 0E 83 7A 04 00 75 08 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_76445_0 {
	meta:
		name = "TControl.CMParentShowHintChanged"
		size = 59
		refs = "002e TControl.SetShowHint"
	strings:
		$1 = { 53 8B D8 80 BB 92 00 00 00 00 74 2D F6 43 1C 10 0F 95 C0 8B 53 38 F6 42 1C 10 0F 95 C2 3A C2 75 18 8B 43 38 0F B6 90 91 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 92 00 00 00 01 5B C3 }
	condition:
		$1
}

rule function_76446_0 {
	meta:
		name = "TControl.CMParentFontChanged"
		size = 46
		refs = "0015 TControl.SetFont"
	strings:
		$1 = { 53 8B D8 80 7B 63 00 74 23 83 7A 04 00 74 0C 8B 52 08 8B C3 E8 ?? ?? ?? ?? EB 0D 8B 43 38 8B 50 6C 8B C3 E8 ?? ?? ?? ?? C6 43 63 01 5B C3 }
	condition:
		$1
}

rule function_76447_0 {
	meta:
		name = "TControl.CMSysFontChanged"
		size = 35
		refs = "000a Screen 0019 TControl.SetFont"
	strings:
		$1 = { 53 8B D8 80 7B 60 00 74 18 A1 ?? ?? ?? ?? 8B 00 8B 90 84 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 43 60 01 5B C3 }
	condition:
		$1
}

rule function_76449_0 {
	meta:
		name = "TControl.CMMouseEnter"
		size = 99
		refs = "0016 TControl.Perform 004a TControl.GetCustomHint 005c TCustomHint.ShowHint"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 85 C0 74 0D 53 33 C9 BA 13 B0 00 00 E8 ?? ?? ?? ?? 83 7E 08 00 75 40 66 83 BB 42 01 00 00 00 74 0E 8B D3 8B 83 44 01 00 00 FF 93 40 01 00 00 80 BB 91 00 00 00 00 74 1F F6 43 1C 10 75 19 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76450_0 {
	meta:
		name = "TControl.CMMouseLeave"
		size = 99
		refs = "0016 TControl.Perform 004a TControl.GetCustomHint 005c TCustomHint.HideHint"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 85 C0 74 0D 53 33 C9 BA 14 B0 00 00 E8 ?? ?? ?? ?? 83 7E 08 00 75 40 66 83 BB 3A 01 00 00 00 74 0E 8B D3 8B 83 3C 01 00 00 FF 93 38 01 00 00 80 BB 91 00 00 00 00 74 1F F6 43 1C 10 75 19 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76451_0 {
	meta:
		name = "TControl.CMDesignHitTest"
		size = 6
		altNames = "TCustomTouchKeyboard.WMEraseBkgnd TShadowWindow.WMEraseBkgnd"
	strings:
		$1 = { 33 C0 89 42 0C C3 }
	condition:
		$1
}

rule function_76452_0 {
	meta:
		name = "TControl.CMParentTabletOptionsChanged"
		size = 49
		refs = "0021 TCustomTouchManager.SetTabletOptions"
	strings:
		$1 = { 53 8B D8 8B 83 B4 00 00 00 80 78 18 00 74 20 8B 53 38 85 D2 74 0F 8B 92 B4 00 00 00 0F B7 52 1E E8 ?? ?? ?? ?? 8B 83 B4 00 00 00 C6 40 18 01 5B C3 }
	condition:
		$1
}

rule function_76453_0 {
	meta:
		name = "TControl.CreateFloatingDockSite"
		size = 126
		refs = "0036 Application 004a TControl.SetTop 0054 TControl.SetLeft 0062 TControl.SetClientWidth 0071 TControl.SetClientHeight"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B F0 33 DB 8B C6 8B 10 FF 52 70 85 C0 74 57 8B C6 8B 10 FF 52 70 8B 0E 89 CA 3B C2 74 48 8B C6 8B 10 FF 52 70 8B 0D ?? ?? ?? ?? 8B 09 B2 01 FF 50 38 8B D8 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B 54 24 08 2B 14 24 8B C3 E8 ?? ?? ?? ?? 8B 54 24 0C 2B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B C3 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76454_0 {
	meta:
		name = "TControl.CreateTouchManager"
		size = 25
		refs = "0008 _DV_TTouchManager 000d TCustomTouchManager.Create"
	strings:
		$1 = { 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_76455_0 {
	meta:
		name = "UpdateFloatingDockSitePos"
		size = 164
		refs = "0031 TControl.ClientToScreen 0044 TRect.GetHeight 0064 TRect.GetWidth 008f Bounds 0099 TControl.SetBoundsRect"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 45 08 8B 40 FC 8B 40 48 8B 55 08 8B 52 FC 8B 52 4C 89 45 F0 89 55 F4 8D 4D F8 8D 55 F0 8B 45 08 8B 40 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 40 08 8D 58 4C 8B C3 E8 ?? ?? ?? ?? 8B 53 0C 2B 53 04 8B 4D 08 8B 49 FC 8B 49 38 03 51 54 2B D0 52 8D 45 E0 50 8B C3 E8 ?? ?? ?? ?? 8B 4B 08 8B 3B 2B CF 8B 55 08 8B 52 FC 8B 72 38 03 4E 50 2B C8 8B 56 4C 03 53 04 2B 55 FC 8B 46 48 03 C7 2B 45 F8 E8 ?? ?? ?? ?? 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76456_0 {
	meta:
		name = "TControl.CMFloat"
		size = 96
		refs = "0024 UpdateFloatingDockSitePos 0038 TControl.CreateFloatingDockSite 004e TWinControl.GetHandle"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC 8B 10 FF 52 6C 84 C0 74 12 8B 45 FC 83 78 38 00 74 09 55 E8 ?? ?? ?? ?? 59 EB 30 8B 45 F8 8B 40 08 8D 50 4C 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 19 8B 45 F8 8B 40 08 89 58 14 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 52 08 89 42 08 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_76457_0 {
	meta:
		name = "TControl.ActionChange"
		size = 260
		refs = "0014 TControl.ActionChange 0022 _Dn_TCustomAction 0027 @IsClass 003d TControl.GetText 0058 @UStrEqual 0064 TControl.SetText 009f @UStrAsg 00b7 TControl.SetVisible 00f1 @UStrArrayClr 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A8 00 00 00 84 DB 74 27 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 17 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 56 08 E8 ?? ?? ?? ?? 75 0A 8B 57 6C 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0B 8B C6 8B 10 FF 52 68 3C 01 75 0E 0F B6 57 72 8B C6 8B 08 FF 91 80 00 00 00 84 DB 74 09 83 BE 88 00 00 00 00 75 11 8D 86 88 00 00 00 8B 97 84 00 00 00 E8 ?? ?? ?? ?? 84 DB 74 06 80 7E 61 01 75 0E 0F B6 97 8E 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 66 83 BE 1A 01 00 00 00 75 12 8B 47 48 89 86 18 01 00 00 8B 47 4C 89 86 1C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_76458_0 {
	meta:
		name = "TControl.DoActionChange"
		size = 35
		refs = "001c @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 58 3B F0 75 0F 33 C9 8B D6 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76460_0 {
	meta:
		name = "TControl.IsCaptionStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 70 85 F6 74 10 8B C6 8B 10 FF 52 20 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_76461_0 {
	meta:
		name = "TControl.IsEnabledStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 70 85 F6 74 10 8B C6 8B 10 FF 52 28 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_76462_0 {
	meta:
		name = "TControl.IsHintStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 70 85 F6 74 10 8B C6 8B 10 FF 52 38 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_76463_0 {
	meta:
		name = "TControl.IsHelpContextStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 70 85 F6 74 10 8B C6 8B 10 FF 52 30 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_76464_0 {
	meta:
		name = "TControl.IsVisibleStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 70 85 F6 74 10 8B C6 8B 10 FF 52 44 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_76465_0 {
	meta:
		name = "TControl.IsOnClickStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 70 85 F6 74 10 8B C6 8B 10 FF 52 08 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_76466_0 {
	meta:
		name = "TControl.Loaded"
		size = 54
		refs = "0007 TComponent.Loaded 0028 @CallDynaInst 002f TControl.UpdateAnchorRules"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 58 85 C0 74 16 8B C3 8B 10 FF 52 58 8B D0 B1 01 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76467_0 {
	meta:
		name = "TControl.AssignTo"
		size = 170
		refs = "0010 TControl.AssignTo 001e _Dn_TCustomAction 0023 @IsClass 0039 TCustomAction.SetEnabled 0046 TCustomAction.SetHint 0050 TControl.GetText 005a TCustomAction.SetCaption 0065 TCustomAction.SetVisible 0083 TPersistent.AssignTo 0098 @UStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 53 8B C3 8B 10 FF 52 68 8B D0 8B FE 8B C7 E8 ?? ?? ?? ?? 8B 93 88 00 00 00 8B C7 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 0F B6 53 61 8B C7 E8 ?? ?? ?? ?? FF B3 1C 01 00 00 FF B3 18 01 00 00 8B C7 8B 10 FF 52 44 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_76468_0 {
	meta:
		name = "MinVar"
		size = 58
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 33 DB 8B CA 85 C9 7E 22 BE 01 00 00 00 8B 55 FC 83 C2 08 DD 02 8B 45 FC DC 1C D8 9B DF E0 9E 73 02 8B DE 46 83 C2 08 49 75 E9 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_76469_0 {
	meta:
		name = "TControl.GetDockEdge"
		size = 175
		refs = "0084 MinVar"
	strings:
		$1 = { 53 56 57 55 83 C4 C8 8B F2 8D 3C 24 A5 A5 33 DB 8B 70 50 8B 78 54 8B 04 24 85 C0 7F 07 B3 03 E9 81 00 00 00 3B F0 7F 04 B3 04 EB 79 8B 54 24 04 85 D2 7F 04 B3 01 EB 6D 3B FA 7F 04 B3 02 EB 65 8B EA 2B FA 89 44 24 08 2B F0 DB 44 24 08 DD 5C 24 0C 9B 89 74 24 2C DB 44 24 2C DD 5C 24 14 9B 89 6C 24 30 DB 44 24 30 DD 5C 24 1C 9B 89 7C 24 34 DB 44 24 34 DD 5C 24 24 9B 8D 44 24 0C BA 03 00 00 00 E8 ?? ?? ?? ?? 83 E8 01 72 0A 74 0C 48 74 0D 48 74 0E EB 0E B3 03 EB 0A B3 04 EB 06 B3 01 EB 02 B3 02 8B C3 83 C4 38 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76470_0 {
	meta:
		name = "TControl.GetFloating"
		size = 44
		refs = "001c @IsClass"
	strings:
		$1 = { 53 8B D8 83 BB 98 00 00 00 00 74 18 8B C3 8B 10 FF 52 70 8B D0 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_76471_0 {
	meta:
		name = "TControl.GetFloatingDockSiteClass"
		size = 7
	strings:
		$1 = { 8B 80 B0 00 00 00 C3 }
	condition:
		$1
}

rule function_76472_0 {
	meta:
		name = "TControl.AdjustSize"
		size = 31
	strings:
		$1 = { 53 F6 40 1C 01 75 16 8B 50 50 52 8B 50 54 52 8B 48 4C 8B 50 48 8B 18 FF 93 A4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_76473_0 {
	meta:
		name = "TControl.DrawTextBiDiModeFlags"
		size = 67
		refs = "000e @CallDynaInst 0037 TControl.DrawTextBiDiModeFlagsReadingOnly"
	strings:
		$1 = { 53 56 57 8B F8 8B DA 8B C7 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 1E B8 02 00 00 00 23 C3 83 F8 02 75 05 83 E3 FD EB 0D B8 01 00 00 00 23 C3 48 74 03 83 CB 02 8B C7 E8 ?? ?? ?? ?? 0B D8 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76474_0 {
	meta:
		name = "TControl.DrawTextBiDiModeFlagsReadingOnly"
		size = 25
		refs = "0006 TControl.UseRightToLeftReading"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 B8 00 00 02 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_85499_0 {
	meta:
		name = "TSeStyleObject.DrawTextBiDiModeFlagsReadingOnly"
		size = 25
		refs = "0006 TSeStyleObject.UseRightToLeftReading"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 B8 00 00 02 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_76475_0 {
	meta:
		name = "TControl.InitiateAction"
		size = 15
	strings:
		$1 = { 8B 50 70 85 D2 74 07 8B C2 8B 10 FF 52 1C C3 }
	condition:
		$1
}

rule function_76476_0 {
	meta:
		name = "TControl.CMHintShow"
		size = 47
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 7B 70 85 FF 74 1B 8B 75 08 8D 56 38 8B C7 8B 08 FF 91 84 00 00 00 84 C0 75 07 C7 45 0C 01 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76477_0 {
	meta:
		name = "TControl.WMContextMenu"
		size = 318
		refs = "0054 InvalidPoint 0076 TControl.ScreenToClient 008e PtInRect 00b8 @CallDynaInst 00e7 TControl.SendCancelMode 010e TControl.ClientToScreen"
	strings:
		$1 = { 53 56 57 55 83 C4 C8 8B EA 8B F8 83 7D 0C 00 0F 85 21 01 00 00 F6 47 1C 10 74 0E 8B D5 8B C7 8B 08 FF 51 F0 E9 0D 01 00 00 8B 45 08 89 44 24 12 0F BF 44 24 12 89 44 24 18 0F BF 44 24 14 89 44 24 1C 8B 44 24 18 89 04 24 8B 44 24 1C 89 44 24 04 8B C4 E8 ?? ?? ?? ?? 84 C0 74 11 8B 04 24 89 44 24 08 8B 44 24 04 89 44 24 0C EB 37 8D 4C 24 08 8B D4 8B C7 E8 ?? ?? ?? ?? 8D 54 24 28 8B C7 8B 08 FF 51 60 8D 44 24 28 8D 54 24 08 E8 ?? ?? ?? ?? 84 C0 75 0E 8B D5 8B C7 8B 08 FF 51 F0 E9 92 00 00 00 C6 44 24 10 00 8D 4C 24 10 8D 54 24 08 8B C7 66 BE E8 FF E8 ?? ?? ?? ?? 0F B6 44 24 10 89 45 0C 80 7C 24 10 00 75 6B 8B C7 66 BE D8 FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 4B 80 7B 69 00 74 45 8B D7 8B C7 E8 ?? ?? ?? ?? 89 7B 6C 8B C4 E8 ?? ?? ?? ?? 84 C0 74 19 33 C0 89 44 24 20 33 C0 89 44 24 24 8B CC 8D 54 24 20 8B C7 E8 ?? ?? ?? ?? 8B 4C 24 04 8B 14 24 8B C3 8B 18 FF 53 50 C7 45 0C 01 00 00 00 83 7D 0C 00 75 09 8B D5 8B C7 8B 08 FF 51 F0 83 C4 38 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76478_0 {
	meta:
		name = "TControl.DoContextPopup"
		size = 50
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 66 83 B8 2A 01 00 00 00 74 15 51 8B D8 8B D0 8D 4C 24 04 8B 83 2C 01 00 00 FF 93 28 01 00 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76480_0 {
	meta:
		name = "TControl.ClientToParent"
		size = 271
		refs = "001f TControl.ClientToParent 004e SParentRequired 0053 LoadResString 005d _Dn_EInvalidOperation 0062 Exception.CreateFmt 0067 @RaiseExcept 00c8 SParentGivenNotAParent 00fb @UStrArrayClr 0101 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D EC 8B F1 89 55 F8 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 06 8B 45 FC 8B 70 38 85 F6 75 34 8B 45 FC 8B 40 08 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 89 13 8B 50 04 89 53 04 8B 45 FC 8B 40 48 01 03 8B 45 FC 8B 40 4C 01 43 04 8B 45 FC 8B 40 38 EB 14 83 78 38 00 74 0B 8B 50 48 01 13 8B 50 4C 01 53 04 8B 40 38 85 C0 74 04 3B F0 75 E4 85 C0 75 34 8B 45 FC 8B 40 08 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_76481_0 {
	meta:
		name = "TControl.ParentToClient"
		size = 271
		refs = "001f TControl.ParentToClient 004e SParentRequired 0053 LoadResString 005d _Dn_EInvalidOperation 0062 Exception.CreateFmt 0067 @RaiseExcept 00c8 SParentGivenNotAParent 00fb @UStrArrayClr 0101 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D EC 8B F1 89 55 F8 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 06 8B 45 FC 8B 70 38 85 F6 75 34 8B 45 FC 8B 40 08 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 89 13 8B 50 04 89 53 04 8B 45 FC 8B 40 48 29 03 8B 45 FC 8B 40 4C 29 43 04 8B 45 FC 8B 40 38 EB 14 83 78 38 00 74 0B 8B 50 48 29 13 8B 50 4C 29 53 04 8B 40 38 85 C0 74 04 3B F0 75 E4 85 C0 75 34 8B 45 FC 8B 40 08 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_76482_0 {
	meta:
		name = "TControl.CMMouseActivate"
		size = 33
		refs = "000b TControl.DoMouseActivate"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7E 0C 00 75 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_76483_0 {
	meta:
		name = "TControl.DoMarginChange"
		size = 12
	strings:
		$1 = { 56 8B F0 8B C6 8B 10 FF 52 74 5E C3 }
	condition:
		$1
}

rule function_76486_0 {
	meta:
		name = "TControl.GetAlignWithMargins"
		size = 8
	strings:
		$1 = { F6 40 5A 10 0F 95 C0 C3 }
	condition:
		$1
}

rule function_76487_0 {
	meta:
		name = "TControl.SetAlignWithMargins"
		size = 43
	strings:
		$1 = { 56 8B F0 F6 46 5A 10 0F 95 C0 3A D0 74 1B 84 D2 74 09 81 4E 58 00 00 10 00 EB 07 81 66 58 FF FF EF FF 8B C6 8B 10 FF 52 74 5E C3 }
	condition:
		$1
}

rule function_76488_0 {
	meta:
		name = "TControl.UpdateExplicitBounds"
		size = 49
	strings:
		$1 = { F6 40 5D 40 75 2A F6 40 1C 02 75 24 8B 50 48 89 90 9C 01 00 00 8B 50 4C 89 90 A0 01 00 00 8B 50 50 89 90 A4 01 00 00 8B 50 54 89 90 A8 01 00 00 C3 }
	condition:
		$1
}

rule function_76489_0 {
	meta:
		name = "TControl.WriteExplicitTop"
		size = 13
		refs = "0008 TWriter.WriteInteger"
	strings:
		$1 = { 8B 80 A0 01 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76490_0 {
	meta:
		name = "TControl.WriteExplicitHeight"
		size = 13
		refs = "0008 TWriter.WriteInteger"
	strings:
		$1 = { 8B 80 A8 01 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76491_0 {
	meta:
		name = "TControl.WriteExplicitLeft"
		size = 13
		refs = "0008 TWriter.WriteInteger"
	strings:
		$1 = { 8B 80 9C 01 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76492_0 {
	meta:
		name = "TControl.ReadExplicitWidth"
		size = 22
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 83 A4 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_76493_0 {
	meta:
		name = "TControl.WriteExplicitWidth"
		size = 13
		refs = "0008 TWriter.WriteInteger"
	strings:
		$1 = { 8B 80 A4 01 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76494_0 {
	meta:
		name = "TControl.ReadExplicitTop"
		size = 22
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 83 A0 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_76495_0 {
	meta:
		name = "TControl.ReadExplicitHeight"
		size = 22
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 83 A8 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_76496_0 {
	meta:
		name = "TControl.ReadExplicitLeft"
		size = 22
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 83 9C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_76500_0 {
	meta:
		name = "TWinControl.Create"
		size = 348
		refs = "0015 @ClassCreate 0022 TWinControl.Create 0031 TControl.Create 0037 TWinControl.MainWndProc 003c MakeObjectInstance 0049 _Dn_TBrush 004e TBrush.Create 0060 TBrush.SetColor 008b SysLocale 009c @UStrClr 00a6 Screen 00ad TScreen.GetDefaultIME 00bb @UStrAsg 00f7 _DV_TPadding 00fc TMargins.Create 010e TWinControl.DoPaddingChange 0130 @HandleFinally 013f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 64 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C8 01 00 00 8B 53 74 8B C6 E8 ?? ?? ?? ?? C6 83 68 02 00 00 00 C6 83 F6 01 00 00 01 C6 83 F5 01 00 00 01 C7 83 EC 01 00 00 FF FF FF FF C6 83 D4 01 00 00 03 A1 ?? ?? ?? ?? 83 78 04 11 75 0D 8D 83 D8 01 00 00 E8 ?? ?? ?? ?? EB 1D 8D 55 F8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F8 8D 83 D8 01 00 00 E8 ?? ?? ?? ?? C6 83 F3 01 00 00 00 0F B6 05 ?? ?? ?? ?? 88 83 B6 01 00 00 C6 83 B7 01 00 00 02 C6 83 B8 01 00 00 01 C7 83 BC 01 00 00 01 00 00 00 C6 83 68 01 00 00 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C4 01 00 00 89 5E 1C C7 46 18 ?? ?? ?? ?? C6 83 F7 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C3 00 00 00 0F 00 00 00 }
	condition:
		$1
}

rule function_76501_0 {
	meta:
		name = "TWinControl.GetAlignDisabled"
		size = 12
	strings:
		$1 = { 66 83 B8 B4 01 00 00 00 0F 97 C0 C3 }
	condition:
		$1
}

rule function_76502_0 {
	meta:
		name = "TWinControl.CreateParented"
		size = 70
		refs = "000e @ClassCreate 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 89 8B DC 01 00 00 33 C9 33 D2 8B C3 8B 30 FF 56 38 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_76503_0 {
	meta:
		name = "TWinControl.CreateParentedControl"
		size = 36
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 FF 50 F4 8B D8 89 B3 DC 01 00 00 33 C9 83 CA FF 8B C3 8B 30 FF 56 38 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_76504_0 {
	meta:
		name = "TWinControl.Destroy"
		size = 299
		refs = "0005 @BeforeDestruction 0011 TComponent.Destroying 002a RegisterDockSite 0035 @IntfClear 0048 TObject.Free 006f TWinControl.RemoveFocus 0089 TWinControl.GetControlCount 0099 TWinControl.GetControl 00a4 TWinControl.Remove 00dc FreeObjectInstance 00f4 TStyleManager.FFlags 0102 _Dn_TStyleManager 0107 TStyleManager.Notification 0115 TControl.Destroy 0122 @ClassDestroy"
	strings:
		$1 = { 53 56 57 51 E8 ?? ?? ?? ?? 88 14 24 8B F0 8B C6 E8 ?? ?? ?? ?? 80 BE F4 01 00 00 00 74 10 C6 86 F4 01 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 D0 01 00 00 E8 ?? ?? ?? ?? 8D 86 CC 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 86 B4 00 00 00 85 C0 74 0E 83 78 08 00 74 08 8B 40 08 E8 ?? ?? ?? ?? 83 7E 38 00 74 09 B2 01 8B C6 E8 ?? ?? ?? ?? 83 BE 60 02 00 00 00 74 0A 8B C6 8B 10 FF 92 D0 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 2B 8B D3 4A 8B C6 E8 ?? ?? ?? ?? 8B F8 8B D7 8B C6 E8 ?? ?? ?? ?? B2 01 8B C7 8B 08 FF 51 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 D5 8D 86 C8 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 86 64 02 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8D 86 C4 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F6 00 01 74 0E 8B CE 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 14 24 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76505_0 {
	meta:
		name = "TWinControl.FixupTabList"
		size = 209
		refs = "001e _Dn_TList 0023 TObject.Create 002e TWinControl.FixupTabList 004e TList.SetCount 0069 TList.Get 0082 TList.Put 00a6 TWinControl.UpdateTabOrder 00bf TObject.Free 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 45 FC 8B 45 FC 83 B8 E8 01 00 00 00 0F 84 B0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 80 E8 01 00 00 8B 40 08 89 45 F8 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 5D F8 4B 85 DB 7C 30 43 33 F6 8B 45 FC 8B 80 E8 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B 90 EC 01 00 00 85 D2 7C 0F 3B 55 F8 7D 0A 8B C8 8B 45 F4 E8 ?? ?? ?? ?? 46 4B 75 D3 8B 5D F8 4B 85 DB 7C 1C 43 33 F6 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 46 4B 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76506_0 {
	meta:
		name = "TWinControl.ReadState"
		size = 117
		refs = "000e TWinControl.DisableAlign 0016 TWinControl.ReadState 0026 TControl.ReadState 003b TWinControl.EnableAlign 0041 @HandleFinally 004b TWinControl.FixupTabList 0065 TControl.Perform 006d TWinControl.UpdateControlState"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 78 38 00 74 11 6A 00 33 C9 BA 11 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_76507_0 {
	meta:
		name = "TWinControl.AdjustClientRect"
		size = 48
	strings:
		$1 = { 8B 88 C4 01 00 00 8B 49 08 01 0A 8B 88 C4 01 00 00 8B 49 0C 01 4A 04 8B 88 C4 01 00 00 8B 49 10 29 4A 08 8B 80 C4 01 00 00 8B 40 14 29 42 0C C3 }
	condition:
		$1
}

rule function_76508_0 {
	meta:
		name = "TWinControl.ArrangeControl"
		size = 1012
		refs = "002a AnchorAlign 00e5 MulDiv 016e TWinControl.ArrangeControl 01fa TMargins.SetControlBounds"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B 75 10 8D 7D DC A5 A5 A5 A5 89 4D FC 8B DA 8B F8 8B 75 0C 80 7D 14 00 74 14 0F B6 45 14 0F B6 80 ?? ?? ?? ?? 3A 43 6B 0F 84 D1 01 00 00 83 BB 94 01 00 00 00 0F 84 BA 01 00 00 83 BB 98 01 00 00 00 0F 84 AD 01 00 00 33 D2 8B 43 7C 8B 08 FF 51 10 89 45 F8 BA 01 00 00 00 8B 43 7C 8B 08 FF 51 10 89 45 F4 BA 02 00 00 00 8B 43 7C 8B 08 FF 51 10 89 45 F0 BA 03 00 00 00 8B 43 7C 8B 08 FF 51 10 89 45 EC F6 43 6B 04 74 36 F6 43 6B 01 74 18 8B 45 FC 8B 00 8B 93 94 01 00 00 2B 93 84 01 00 00 2B C2 89 45 F0 EB 46 8B 45 FC 8B 00 8B 93 94 01 00 00 2B 93 84 01 00 00 2B C2 89 45 F8 EB 2E F6 43 6B 01 75 28 8B 83 94 01 00 00 50 8B 45 FC 8B 00 50 8B 83 84 01 00 00 50 E8 ?? ?? ?? ?? 8B 55 F0 D1 FA 79 03 83 D2 00 2B C2 89 45 F8 F6 43 6B 08 74 38 F6 43 6B 02 74 19 8B 45 FC 8B 40 04 8B 93 98 01 00 00 2B 93 88 01 00 00 2B C2 89 45 EC EB 48 8B 45 FC 8B 40 04 8B 93 98 01 00 00 2B 93 88 01 00 00 2B C2 89 45 F4 EB 2F F6 43 6B 02 75 29 8B 83 98 01 00 00 50 8B 45 FC 8B 40 04 50 8B 83 88 01 00 00 50 E8 ?? ?? ?? ?? 8B 55 EC D1 FA 79 03 83 D2 00 2B C2 89 45 F4 80 7D 08 00 74 7B 0F B6 05 ?? ?? ?? ?? 22 43 6B 0F B6 15 ?? ?? ?? ?? 3A D0 74 28 8B 83 94 01 00 00 50 8B 45 FC 8B 00 50 8B 83 8C 01 00 00 50 E8 ?? ?? ?? ?? 8B 55 F0 D1 FA 79 03 83 D2 00 2B C2 89 45 F8 0F B6 05 ?? ?? ?? ?? 22 43 6B 0F B6 15 ?? ?? ?? ?? 3A D0 74 29 8B 83 98 01 00 00 50 8B 45 FC 8B 40 04 50 8B 83 90 01 00 00 50 E8 ?? ?? ?? ?? 8B 55 EC D1 FA 79 03 83 D2 00 2B C2 89 45 F4 8B 45 F0 50 8B 45 EC 50 6A 01 8B 4D F4 8B 55 F8 8B 43 7C E8 ?? ?? ?? ?? 80 7D 14 00 0F 84 D7 01 00 00 8B 46 08 2B 06 89 45 F0 83 7D F0 00 7C 0E 0F B6 45 14 04 FD 2C 02 72 04 2C 01 75 10 BA 02 00 00 00 8B 43 7C 8B 08 FF 51 10 89 45 F0 8B 46 0C 2B 46 04 89 45 EC 83 7D EC 00 7C 0D 0F B6 45 14 48 2C 02 72 04 2C 03 75 10 BA 03 00 00 00 8B 43 7C 8B 08 FF 51 10 89 45 EC 8B 06 89 45 F8 8B 46 04 89 45 F4 0F B6 45 14 83 F8 06 77 7A FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 EC 01 46 04 EB 4F 8B 45 EC 29 46 0C 8B 46 0C 89 45 F4 EB 41 8B 45 F0 01 06 EB 3A 8B 45 F0 29 46 08 8B 46 08 89 45 F8 EB 2C 8B 43 48 89 45 F8 8B 43 4C 89 45 F4 8D 45 F4 50 8D 45 F0 50 8D 45 EC 50 56 8D 45 DC 50 8D 4D F8 8B D3 8B C7 8B 38 FF 97 C8 00 00 00 8B 45 F0 50 8B 45 EC 50 6A 01 8B 4D F4 8B 55 F8 8B 43 7C E8 ?? ?? ?? ?? BA 02 00 00 00 8B 43 7C 8B 08 FF 51 10 3B 45 F0 75 16 BA 03 00 00 00 8B 43 7C 8B 08 FF 51 10 3B 45 EC 0F 84 B1 00 00 00 0F B6 45 14 83 F8 05 0F 87 A4 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BA 03 00 00 00 8B 43 7C 8B 08 FF 51 10 8B 55 EC 2B D0 29 56 04 EB 6E BA 03 00 00 00 8B 43 7C 8B 08 FF 51 10 8B 55 EC 2B D0 01 56 0C EB 57 BA 02 00 00 00 8B 43 7C 8B 08 FF 51 10 8B 55 F0 2B D0 29 16 EB 41 BA 02 00 00 00 8B 43 7C 8B 08 FF 51 10 8B 55 F0 2B D0 01 56 08 EB 2A BA 02 00 00 00 8B 43 7C 8B 08 FF 51 10 8B 55 F0 2B D0 01 56 08 BA 03 00 00 00 8B 43 7C 8B 08 FF 51 10 8B 55 EC 2B D0 01 56 0C 5F 5E 5B 8B E5 5D C2 10 00 05 00 00 00 00 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_76509_0 {
	meta:
		name = "GetClientSize"
		size = 104
		refs = "000f TWinControl.HandleAllocated"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 E8 8B C3 8B 08 FF 51 60 8B 45 F0 89 06 8B 45 F4 89 46 04 EB 17 8B 43 50 89 45 F8 8B 43 54 89 45 FC 8B 45 F8 89 06 8B 45 FC 89 46 04 8B 83 C4 01 00 00 8B 50 08 03 50 10 29 16 8B 83 C4 01 00 00 8B 50 0C 03 50 14 29 56 04 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76510_0 {
	meta:
		name = "InsertBefore"
		size = 304
		refs = "0022 InsertBefore"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 88 4D FB 89 55 FC 8B D8 33 C0 0F B6 55 FB 83 FA 06 0F 87 0B 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BA 01 00 00 00 8B 43 7C 8B 08 FF 51 10 8B D8 8B 45 FC 8B 40 7C BA 01 00 00 00 8B 08 FF 51 10 3B D8 0F 9C C0 E9 BF 00 00 00 BA 01 00 00 00 8B 43 7C 8B 08 FF 51 10 8B F0 BA 03 00 00 00 8B 43 7C 8B 08 FF 51 10 03 F0 8B 45 FC 8B 40 7C BA 01 00 00 00 8B 08 FF 51 10 8B D8 8B 45 FC 8B 40 7C BA 03 00 00 00 8B 08 FF 51 10 03 D8 3B F3 0F 9D C0 EB 76 33 D2 8B 43 7C 8B 08 FF 51 10 8B D8 8B 45 FC 8B 40 7C 33 D2 8B 08 FF 51 10 3B D8 0F 9C C0 EB 56 33 D2 8B 43 7C 8B 08 FF 51 10 8B F0 BA 02 00 00 00 8B 43 7C 8B 08 FF 51 10 03 F0 8B 45 FC 8B 40 7C 33 D2 8B 08 FF 51 10 8B D8 8B 45 FC 8B 40 7C BA 02 00 00 00 8B 08 FF 51 10 03 D8 3B F3 0F 9D C0 EB 13 8B 45 08 8B 40 FC 8B 4D FC 8B D3 8B 18 FF 93 C4 00 00 00 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_76511_0 {
	meta:
		name = "DoPosition"
		size = 70
		refs = "002b GetClientSize 003b TWinControl.ArrangeControl"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 8B DA 8B F0 53 8D 45 F0 50 8B 45 08 8B 40 F8 50 6A 00 8D 55 E8 8B 46 38 E8 ?? ?? ?? ?? 8D 4D E8 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76512_0 {
	meta:
		name = "Anchored"
		size = 112
		refs = "0012 Anchored"
	strings:
		$1 = { 55 8B EC 51 88 55 FF 83 E0 7F 83 F8 05 77 57 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F6 45 FF 01 0F 95 C0 59 5D C3 F6 45 FF 02 0F 95 C0 59 5D C3 F6 45 FF 04 0F 95 C0 59 5D C3 F6 45 FF 08 0F 95 C0 59 5D C3 0F B6 05 ?? ?? ?? ?? 3A 45 FF 0F 94 C0 59 5D C3 33 C0 59 5D C3 00 0F 00 00 00 }
	condition:
		$1
}

rule function_76513_0 {
	meta:
		name = "DoAlign"
		size = 396
		refs = "005f TList.Add 006a TWinControl.GetControlCount 008c TWinControl.GetControl 00a6 DoAlign 00c7 _Dn_TCustomForm 00cc @IsClass 00ff TList.Get 010a InsertBefore 011e TList.Insert 0171 DoPosition"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B D8 8B 45 08 8B 40 F4 8B 10 FF 52 08 8B 45 08 83 78 F0 00 74 44 84 DB 74 24 8B 45 08 8B 40 F0 80 78 61 00 75 18 8B 45 08 8B 40 F0 F6 40 1C 10 74 28 8B 45 08 8B 40 F0 F6 40 59 04 75 1C 8B 45 08 8B 40 F0 3A 58 65 75 11 8B 45 08 8B 50 F0 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 48 85 C0 0F 8C B7 00 00 00 40 89 45 F8 C7 45 FC 00 00 00 00 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 8B F8 3A 5F 65 0F 85 87 00 00 00 84 DB 74 24 80 7F 61 00 75 1E A1 ?? ?? ?? ?? 23 47 58 8B 15 ?? ?? ?? ?? 3B D0 74 0C F6 47 1C 10 74 65 F6 47 59 04 75 5F 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 F6 47 1C 10 75 48 8B 45 08 3B 78 F0 74 40 33 F6 EB 01 46 8B 45 08 8B 40 F4 3B 70 08 7D 21 8B 45 08 50 8B 45 08 8B 40 F4 8B D6 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C7 E8 ?? ?? ?? ?? 59 84 C0 74 D3 8B 45 08 8B 40 F4 8B CF 8B D6 E8 ?? ?? ?? ?? FF 45 FC FF 4D F8 0F 85 54 FF FF FF 8B 45 08 8B 40 F4 8B 40 08 48 85 C0 7C 42 40 89 45 F8 C7 45 FC 00 00 00 00 8B 45 08 8B 40 F4 89 45 E8 8B 45 FC 89 45 EC 88 5D F0 8B 45 08 50 8B 45 08 8B 40 F4 8B 55 FC E8 ?? ?? ?? ?? 8B D3 8D 4D E8 E8 ?? ?? ?? ?? 59 FF 45 FC FF 4D F8 75 C9 5F 5E 5B 8B E5 5D C3 00 00 00 01 04 00 00 }
	condition:
		$1
}

rule function_76514_0 {
	meta:
		name = "AlignWork"
		size = 84
		refs = "0011 TWinControl.GetControlCount 0022 TWinControl.GetControl 0038 AlignWork"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 08 83 C7 FC B3 01 8B 07 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 7C 2A 8B 07 8B D6 E8 ?? ?? ?? ?? 80 78 65 00 75 1D 8B 07 8B D6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A 50 6B 75 08 4E 83 FE FF 75 D6 33 DB 8B C3 5F 5E 5B 5D C3 03 00 00 00 }
	condition:
		$1
}

rule function_76515_0 {
	meta:
		name = "AlignNestedControls"
		size = 631
		refs = "0011 AlignNestedControls 001e _Dn_TList 0023 TObject.Create 0036 :TWinControl.:1 003b @DynArraySetLength 00a4 TList.Get 00b2 TList.IndexOf 00f6 TWinControl.Realign 011f @HandleFinally 013b TList.Add 0143 @DynArrayLength 01ea TObject.Free 0224 @CallDynaInst 0265 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 82 B0 01 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 EC 8B 40 08 48 83 F8 00 0F 8C DE 00 00 00 89 45 F0 8B 45 08 8B 40 EC 8B 55 F0 E8 ?? ?? ?? ?? 89 45 F4 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC FF 74 10 8B 45 FC 8B 55 EC 83 3C 90 0A 0F 8D 99 00 00 00 8B 45 08 8B 40 FC 8B 80 B0 01 00 00 8B 55 F4 89 82 B0 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 3B 45 F4 74 0B 8B 45 F4 33 D2 89 90 B0 01 00 00 C3 E9 ?? ?? ?? ?? EB E2 83 7D EC FF 74 09 8B 45 FC 8B 55 EC FF 04 90 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 5A 0C 3B C3 74 17 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 FF 4D F0 83 7D F0 FF 0F 85 25 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 EC 8B 10 FF 52 08 8B 45 08 8B 40 FC 8B 80 B0 01 00 00 8B 55 08 8B 52 EC 8B 4D 08 8B 49 FC 89 91 B0 01 00 00 8B 55 08 89 42 EC C3 E9 ?? ?? ?? ?? EB C9 8B 45 08 8B 40 EC 83 78 08 00 0F 85 AD FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 05 B0 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B 45 F8 8B 40 08 48 83 F8 00 7C 2F 89 45 F0 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 F6 40 1C 01 75 0C 8B 45 F4 66 BE D0 FF E8 ?? ?? ?? ?? FF 4D F0 83 7D F0 FF 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76516_0 {
	meta:
		name = "DoAdjustSize"
		size = 204
		refs = "0010 TWinControl.GetHandle 0016 IsZoomed 002b GetParent 0044 GetWindowRect 0061 TControl.CheckNewSize 00af SetWindowPos 00c3 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 E8 56 8B 75 08 83 C6 FC 8B 06 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 9A 00 00 00 8B 06 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 85 85 00 00 00 8D 45 E8 50 8B 06 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 06 8B 40 50 89 45 FC 8B 06 8B 40 54 89 45 F8 8D 4D F8 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 8B 06 8B 40 50 8B 55 F0 2B 55 E8 3B C2 75 1E 8B 16 8B 52 54 8B 4D F4 2B 4D EC 3B D1 75 0F 3B 45 FC 75 0A 8B 06 8B 40 54 3B 45 F8 74 21 6A 16 8B 06 8B 40 54 50 8B 06 8B 40 50 50 6A 00 6A 00 6A 00 8B 06 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 06 8B 10 FF 52 74 EB 0B 8B 06 66 BE EF FF E8 ?? ?? ?? ?? 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_76517_0 {
	meta:
		name = "TWinControl.AlignControls"
		size = 476
		refs = "0046 AlignWork 0060 TWinControl.AlignControls 00a1 _Dn_TList 00a6 TObject.Create 00e8 DoAlign 012b @CallDynaInst 0140 TObject.Free 0146 @HandleFinally 015a DoAdjustSize 0170 AlignNestedControls"
	strings:
		$1 = { 55 8B EC 83 C4 E8 56 89 4D F8 89 55 F0 89 45 FC 8B 45 FC 80 B8 F4 01 00 00 00 74 28 8B 45 FC 80 B8 F3 01 00 00 00 74 1C 8B 45 FC 83 B8 D0 01 00 00 00 74 10 8B 45 FC 8B 80 D0 01 00 00 33 D2 8B 08 FF 51 2C 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 68 01 00 00 C6 45 EB 00 33 C0 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 B8 B0 01 00 00 00 75 43 8B 45 FC 8B 40 38 85 C0 74 1E 83 B8 B0 01 00 00 00 74 15 C6 45 EB 01 8B 80 B0 01 00 00 8B 55 FC 89 82 B0 01 00 00 EB 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 8B 55 EC 89 90 B0 01 00 00 8B 55 F8 8B 45 FC 8B 08 FF 91 AC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 B0 01 E8 ?? ?? ?? ?? 59 55 B0 02 E8 ?? ?? ?? ?? 59 55 B0 03 E8 ?? ?? ?? ?? 59 55 B0 04 E8 ?? ?? ?? ?? 59 55 B0 05 E8 ?? ?? ?? ?? 59 55 B0 06 E8 ?? ?? ?? ?? 59 55 33 C0 E8 ?? ?? ?? ?? 59 8B 45 FC 66 BE C6 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 B8 F2 01 00 00 00 74 07 55 E8 ?? ?? ?? ?? 59 83 7D EC 00 74 10 8B 45 EC 83 78 08 00 7E 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 1A 8B 45 FC 33 D2 89 90 B0 01 00 00 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? EB 11 80 7D EB 00 74 0B 8B 45 FC 33 D2 89 90 B0 01 00 00 C3 E9 ?? ?? ?? ?? EB C7 8B 45 FC 80 78 66 00 74 13 8B 45 FC 80 B8 F2 01 00 00 00 74 07 55 E8 ?? ?? ?? ?? 59 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_76518_0 {
	meta:
		name = "TWinControl.AlignControl"
		size = 147
		refs = "0011 TWinControl.HandleAllocated 003c TWinControl.DisableAlign 0044 TWinControl.AlignControl 0081 TWinControl.EnableAlign 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 74 8B 45 FC F6 40 1C 08 75 6B 8B 45 FC 66 83 B8 B4 01 00 00 00 74 09 8B 45 FC 83 48 5C 10 EB 55 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 08 FF 51 60 8D 4D EC 8B D6 8B 45 FC 8B 18 FF 93 B0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 60 5C EF 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76519_0 {
	meta:
		name = "TWinControl.DisableAlign"
		size = 8
	strings:
		$1 = { 66 FF 80 B4 01 00 00 C3 }
	condition:
		$1
}

rule function_76520_0 {
	meta:
		name = "TWinControl.EnableAlign"
		size = 29
		refs = "0018 TWinControl.Realign"
	strings:
		$1 = { 66 FF 88 B4 01 00 00 66 83 B8 B4 01 00 00 00 75 0B F6 40 5C 10 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76522_0 {
	meta:
		name = "TWinControl.DoFlipChildren"
		size = 211
		refs = "000f _Dn_TList 0014 TObject.Create 001f TWinControl.DoFlipChildren 002d TControl.GetClientWidth 0038 TWinControl.GetControlCount 004c TWinControl.GetControl 006d TList.Add 007d TControl.SetLeft 009b TList.Get 00a7 TControl.Perform 00c0 TObject.Free 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 42 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 47 04 8B 55 FC 3B 42 04 75 24 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 2B 57 50 2B 57 48 8B C7 E8 ?? ?? ?? ?? 46 4B 75 C1 8B 45 F4 8B 58 08 4B 85 DB 7C 1F 43 33 F6 6A 00 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 BA 3E B0 00 00 E8 ?? ?? ?? ?? 46 4B 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76523_0 {
	meta:
		name = "TWinControl.DoHandleStyleMessage"
		size = 21
		refs = "000a _Dn_TStyleManager 0010 TStyleManager.HandleMessage"
	strings:
		$1 = { FF 70 44 FF 70 40 8B CA 8B 15 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76524_0 {
	meta:
		name = "TWinControl.FlipChildren"
		size = 328
		refs = "0013 TWinControl.GetControlCount 0022 _Dn_TList 0027 TObject.Create 003c TWinControl.FlipChildren 005e TWinControl.GetControl 007c TList.Add 008c @CallDynaInst 00a6 TList.Get 00b7 TControl.SetAlign 00d1 TList.Delete 00e3 TObject.Free 00eb TWinControl.EnableAlign 00f1 @HandleFinally 011b _DV_TWinControl 0120 @IsClass"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 22 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 66 FF 80 B4 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2F 47 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 0F B6 40 65 04 FD 2C 02 73 14 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 43 4F 75 D4 8B 45 FC 66 BE BF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? EB 36 8B D6 4A 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 80 7B 65 03 75 0B B2 04 8B C3 E8 ?? ?? ?? ?? EB 09 B2 03 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 50 08 4A 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 70 08 85 F6 7F C0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 80 7D FB 00 74 44 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 35 47 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B D3 8B 45 FC E8 ?? ?? ?? ?? B2 01 66 BE B3 FF E8 ?? ?? ?? ?? 43 4F 75 CE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76525_0 {
	meta:
		name = "TWinControl.ContainsControl"
		size = 19
	strings:
		$1 = { EB 03 8B 52 38 85 D2 74 04 3B C2 75 F5 85 D2 0F 95 C0 C3 }
	condition:
		$1
}

rule function_76526_0 {
	meta:
		name = "TWinControl.RemoveFocus"
		size = 31
		refs = "000b GetParentForm 0018 TCustomForm.DefocusControl"
	strings:
		$1 = { 53 56 8B DA 8B F0 B2 01 8B C6 E8 ?? ?? ?? ?? 85 C0 74 09 8B CB 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76527_0 {
	meta:
		name = "TWinControl.Insert"
		size = 74
		refs = "000e _DV_TWinControl 0013 @IsClass 0024 ListAdd"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 3D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8D 86 E8 01 00 00 8B D3 E8 ?? ?? ?? ?? 8D 86 E0 01 00 00 8B D3 E8 ?? ?? ?? ?? EB 0D 8D 86 E4 01 00 00 8B D3 E8 ?? ?? ?? ?? 89 73 38 5E 5B C3 }
	condition:
		$1
}

rule function_76528_0 {
	meta:
		name = "TWinControl.Remove"
		size = 72
		refs = "000a _DV_TWinControl 000f @IsClass 0020 ListRemove"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8D 86 E0 01 00 00 8B D3 E8 ?? ?? ?? ?? 8D 86 E8 01 00 00 8B D3 E8 ?? ?? ?? ?? EB 0D 8D 86 E4 01 00 00 8B D3 E8 ?? ?? ?? ?? 33 C0 89 43 38 5E 5B C3 }
	condition:
		$1
}

rule function_76529_0 {
	meta:
		name = "TWinControl.InsertControl"
		size = 285
		refs = "0013 @CallDynaInst 002c TControl.Perform 0051 TWinControl.Insert 00c3 _DV_TWinControl 00c8 @IsClass 00e3 TWinControl.UpdateControlState 00ec TWinControl.HandleAllocated 0103 TWinControl.AlignControl"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B DA 8B F8 8B D7 8B C3 66 BE F5 FF E8 ?? ?? ?? ?? 89 1C 24 89 7C 24 04 6A 01 8D 4C 24 04 BA 4C B0 00 00 8B C7 E8 ?? ?? ?? ?? 3B 7C 24 04 0F 85 DD 00 00 00 6A 01 8B F3 8B CE BA 2C B0 00 00 8B C7 E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? F6 43 1C 02 0F 85 A8 00 00 00 6A 00 33 C9 BA 09 B0 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 08 B0 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 23 B0 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 3D B0 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 50 B0 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 58 B0 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 6A 00 33 C9 BA 11 B0 00 00 8B C3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 15 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C3 8B 10 FF 92 9C 00 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 6A 01 8B CE BA 36 B0 00 00 8B C7 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76530_0 {
	meta:
		name = "TWinControl.RemoveControl"
		size = 159
		refs = "0020 TControl.Perform 0028 _DV_TWinControl 002d @IsClass 003c TWinControl.RemoveFocus 004f TWinControl.HandleAllocated 0060 TControl.InvalidateControl 0069 TWinControl.Remove 0094 TWinControl.AlignControl"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F2 8B D8 89 34 24 89 5C 24 04 6A 00 8B FE 8B CF BA 36 B0 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 B2 01 8B EE 8B C5 E8 ?? ?? ?? ?? 8B C5 8B 10 FF 92 CC 00 00 00 EB 18 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 33 C9 0F B6 56 61 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 8B CF BA 2C B0 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 8D 4C 24 04 BA 4C B0 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76531_0 {
	meta:
		name = "TWinControl.GetControl"
		size = 60
		refs = "0022 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B AB E4 01 00 00 85 ED 74 05 8B 75 08 EB 02 33 F6 3B F7 7E 0B 8B D7 8B C5 E8 ?? ?? ?? ?? EB 0F 8B D7 2B D6 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76532_0 {
	meta:
		name = "TWinControl.GetControlCount"
		size = 31
	strings:
		$1 = { 33 D2 8B 88 E4 01 00 00 85 C9 74 03 03 51 08 8B 88 E8 01 00 00 85 C9 74 03 03 51 08 8B C2 C3 }
	condition:
		$1
}

rule function_76533_0 {
	meta:
		name = "TWinControl.Broadcast"
		size = 64
		refs = "000e TWinControl.GetControlCount 0022 TWinControl.GetControl"
	strings:
		$1 = { 53 56 57 55 51 8B F2 89 04 24 8B 04 24 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 21 43 33 FF 8B D7 8B 04 24 E8 ?? ?? ?? ?? 8B E8 8B D6 8B 45 44 FF 55 40 83 7E 0C 00 75 04 47 4B 75 E2 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76534_0 {
	meta:
		name = "TWinControl.Notification"
		size = 45
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 3B B7 54 02 00 00 75 0D 80 FB 01 75 08 33 C0 89 87 54 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76535_0 {
	meta:
		name = "TWinControl.NotifyControls"
		size = 38
		refs = "001e TWinControl.Broadcast"
	strings:
		$1 = { 83 C4 F0 0F B7 D2 89 14 24 33 D2 89 54 24 04 33 D2 89 54 24 08 33 D2 89 54 24 0C 8B D4 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_76536_0 {
	meta:
		name = "TWinControl.CreateSubClass"
		size = 107
		refs = "0014 HInstance 001a GetClassInfo 0028 MainInstance"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 85 F6 74 5C 8B 7B 34 8D 43 24 50 56 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 34 8D 43 24 50 56 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 85 C0 75 1E 8D 43 24 50 56 6A 00 E8 ?? ?? ?? ?? 85 C0 75 0E 8D 43 24 50 56 8B 43 34 50 E8 ?? ?? ?? ?? 89 7B 34 8B 43 24 25 1F BF FF FF 83 C8 03 89 43 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76537_0 {
	meta:
		name = "TWinControl.AddBiDiModeExStyle"
		size = 101
		refs = "000a TControl.UseRightToLeftReading 001b TControl.UseRightToLeftScrollBar 0030 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 81 0F 00 20 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 81 0F 00 40 00 00 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 29 8B C3 66 BE CA FF E8 ?? ?? ?? ?? 84 C0 75 08 81 0F 00 10 00 00 EB 12 8B C3 66 BE CA FF E8 ?? ?? ?? ?? 3C 01 75 03 83 0F 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76538_0 {
	meta:
		name = "TWinControl.CreateParams"
		size = 276
		refs = "0010 TWinControl.CreateParams 0024 @FillChar 003d TWinControl.AddBiDiModeExStyle 009f TWinControl.GetHandle 00c0 LoadCursor 00cd HInstance 00d5 DefWindowProc 00e2 TObject.ClassName 00ed StrPCopy 0102 @UStrClr 0108 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 33 C9 BA CC 00 00 00 E8 ?? ?? ?? ?? 8B 86 7C 01 00 00 89 03 C7 43 04 00 00 00 44 8D 53 08 8B C6 E8 ?? ?? ?? ?? F6 46 58 01 74 0E 81 4B 04 00 00 00 02 81 4B 08 00 00 01 00 F6 46 1C 10 75 12 8B C6 8B 10 FF 52 68 84 C0 75 07 81 4B 04 00 00 00 08 80 BE F0 01 00 00 00 74 07 81 4B 04 00 00 01 00 8B 46 48 89 43 0C 8B 46 4C 89 43 10 8B 46 50 89 43 14 8B 46 54 89 43 18 8B 7E 38 85 FF 74 0C 8B C7 E8 ?? ?? ?? ?? 89 43 1C EB 09 8B 86 DC 01 00 00 89 43 1C C7 43 24 0B 00 00 00 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? 89 43 3C 33 C0 89 43 40 A1 ?? ?? ?? ?? 89 43 34 B8 ?? ?? ?? ?? 89 43 28 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_76539_0 {
	meta:
		name = "TWinControl.CreateWnd"
		size = 534
		refs = "001a TWinControl.CreateWnd 0057 _DV_TWinControl 005c @IsClass 0067 TWinControl.GetHandle 0093 SParentRequired 0098 LoadResString 00a5 _Dn_EInvalidOperation 00aa Exception.CreateFmt 00af @RaiseExcept 00d2 GetClassInfo 00e1 InitWndProc 00fd UnregisterClass 011c RegisterClass 0126 RaiseLastOSError 012c CreationControl 015c GetWindowLongPtr 018e SetWindowLongPtr 0199 StrDispose 01a8 TWinControl.UpdateBounds 01b2 TFont.GetHandle 01c0 TControl.Perform 01d1 @CallDynaInst 0203 @UStrClr 0209 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 00 FF FF FF 53 56 57 33 D2 89 95 00 FF FF FF 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 34 FF FF FF 8B C7 8B 08 FF 91 B8 00 00 00 83 BD 50 FF FF FF 00 75 76 F6 85 3B FF FF FF 40 74 6D 8B 5F 04 85 DB 74 26 F6 43 1C 02 74 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 89 85 50 FF FF FF EB 40 8B 47 08 89 85 04 FF FF FF C6 85 08 FF FF FF 11 8D 85 04 FF FF FF 50 6A 00 8D 95 00 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 00 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 89 87 5C 02 00 00 8D 85 0C FF FF FF 50 8D 45 80 50 8B 85 68 FF FF FF 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 84 C0 74 0D BA ?? ?? ?? ?? 3B 95 10 FF FF FF 74 3D 84 C0 74 10 8B 85 68 FF FF FF 50 8D 45 80 50 E8 ?? ?? ?? ?? C7 85 5C FF FF FF ?? ?? ?? ?? 8D 45 80 89 85 7C FF FF FF 8D 85 58 FF FF FF 50 E8 ?? ?? ?? ?? 66 85 C0 75 05 E8 ?? ?? ?? ?? 89 3D ?? ?? ?? ?? 8D 95 34 FF FF FF 8B C7 8B 08 FF 91 BC 00 00 00 83 BF 60 02 00 00 00 75 05 E8 ?? ?? ?? ?? 8B 87 60 02 00 00 BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? A9 00 00 00 40 74 2B 8B 87 60 02 00 00 BA F4 FF FF FF 52 50 E8 ?? ?? ?? ?? 85 C0 75 15 8B 8F 60 02 00 00 8B C1 BA F4 FF FF FF 51 52 50 E8 ?? ?? ?? ?? 8B 87 7C 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 87 7C 01 00 00 8B C7 E8 ?? ?? ?? ?? 6A 01 8B 47 6C E8 ?? ?? ?? ?? 8B C8 BA 30 00 00 00 8B C7 E8 ?? ?? ?? ?? 80 7F 66 00 74 0B 8B C7 66 BE EF FF E8 ?? ?? ?? ?? 8B 87 B4 00 00 00 8B 40 08 85 C0 74 0D F6 47 5A 20 74 07 B2 01 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 00 FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76540_0 {
	meta:
		name = "TWinControl.CreateWindowHandle"
		size = 62
		refs = "0031 CreateWindowEx"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 43 04 50 8B 43 0C 50 8B 43 10 50 8B 43 14 50 8B 43 18 50 8B 43 1C 50 6A 00 8B 43 34 50 8B 43 20 50 8B 0B 8D 53 4C 8B 43 08 E8 ?? ?? ?? ?? 89 86 60 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_76541_0 {
	meta:
		name = "TWinControl.ReadDesignSize"
		size = 60
		refs = "000b TReader.CheckValue 0012 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 83 6C 02 00 00 8B C6 E8 ?? ?? ?? ?? 89 83 70 02 00 00 80 8B 90 00 00 00 20 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76542_0 {
	meta:
		name = "TWinControl.WriteDesignSize"
		size = 88
		refs = "002b TWriter.WriteValue 0038 TWriter.WriteInteger"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D4 8B C3 8B 08 FF 51 60 8B 44 24 08 89 83 6C 02 00 00 8B 44 24 0C 89 83 70 02 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 93 6C 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 70 02 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_76544_0 {
	meta:
		name = "DoWriteDesignSize"
		size = 212
		refs = "002a PointsEqual 0060 TList.Get 006f DoWriteDesignSize"
	strings:
		$1 = { 55 8B EC 51 53 56 57 C6 45 FF 01 8B 45 08 8B 40 FC 8B 58 20 85 DB 74 1E 8D 93 6C 02 00 00 8B 45 08 8B 40 F8 05 6C 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 85 8C 00 00 00 8B 45 08 8B 40 F8 8B 80 E4 01 00 00 85 C0 74 36 8B 58 08 4B 85 DB 7C 2E 43 33 F6 8B 45 08 8B 40 F8 8B 80 E4 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B F8 80 7F 65 00 75 0C 0F B6 05 ?? ?? ?? ?? 3A 47 6B 75 4E 46 4B 75 D5 8B 45 08 8B 40 F8 8B 80 E8 01 00 00 85 C0 74 36 8B 58 08 4B 85 DB 7C 2E 43 33 F6 8B 45 08 8B 40 F8 8B 80 E8 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B F8 80 7F 65 00 75 0C 0F B6 05 ?? ?? ?? ?? 3A 47 6B 75 08 46 4B 75 D5 C6 45 FF 00 0F B6 45 FF 5F 5E 5B 59 5D C3 03 00 00 00 }
	condition:
		$1
}

rule function_76545_0 {
	meta:
		name = "TWinControl.DefineProperties"
		size = 108
		refs = "0014 TControl.DefineProperties 001d TWinControl.ReadDesignSize 0026 TWinControl.WriteDesignSize 002c DoWriteDesignSize 0034 TWinControl.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 65 00 73 00 69 00 67 00 6E 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_76546_0 {
	meta:
		name = "TWinControl.DestroyWnd"
		size = 104
		refs = "0011 TControl.GetTextLen 001d TWinControl.DestroyWnd 0022 StrNew 0032 StrAlloc 0041 StrBufSize 004c TControl.GetTextBuf 0051 FreeDeviceContexts"
	strings:
		$1 = { 53 56 57 8B D8 83 BB 7C 01 00 00 00 75 42 8B C3 E8 ?? ?? ?? ?? 8B F0 83 FE 01 7D 12 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 7C 01 00 00 EB 22 8D 46 01 E8 ?? ?? ?? ?? 8B F8 89 BB 7C 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 D0 00 00 00 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_76547_0 {
	meta:
		name = "TWinControl.DestroyWindowHandle"
		size = 123
		refs = "002c TWinControl.DestroyWindowHandle 0041 DestroyWindow 004a RaiseLastOSError 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 B4 00 00 00 8B 40 08 85 C0 74 07 33 D2 8B 08 FF 51 08 8B 45 FC 81 48 5C 00 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 60 02 00 00 50 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 81 60 5C FF FD FF FF C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 33 D2 89 90 60 02 00 00 59 5D C3 }
	condition:
		$1
}

rule function_76548_0 {
	meta:
		name = "TWinControl.PrecedingWindow"
		size = 71
		refs = "0010 TList.IndexOf 002f TList.Get"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B 87 E8 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 46 8B 87 E8 01 00 00 8B 58 08 4B 2B DE 7C 1C 43 8B 87 E8 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B 80 60 02 00 00 85 C0 75 06 46 4B 75 E5 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76549_0 {
	meta:
		name = "TWinControl.CreateHandle"
		size = 150
		refs = "0022 ControlAtom 002f SetProp 0037 WindowAtom 005e TWinControl.PrecedingWindow 006b SetWindowPos 0072 TWinControl.GetControlCount 0085 TWinControl.GetControl 008a TControl.UpdateAnchorRules"
	strings:
		$1 = { 53 56 57 8B D8 83 BB 60 02 00 00 00 0F 85 80 00 00 00 8B C3 8B 10 FF 92 C0 00 00 00 8B F3 56 0F B7 05 ?? ?? ?? ?? 50 8B 83 60 02 00 00 50 E8 ?? ?? ?? ?? 56 0F B7 05 ?? ?? ?? ?? 50 8B 83 60 02 00 00 50 E8 ?? ?? ?? ?? 8B 73 38 85 F6 74 20 6A 13 6A 00 6A 00 6A 00 6A 00 8B D3 8B C6 E8 ?? ?? ?? ?? 50 8B 83 60 02 00 00 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 15 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 EE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76550_0 {
	meta:
		name = "TWinControl.CustomAlignInsertBefore"
		size = 36
	strings:
		$1 = { 53 66 83 B8 42 02 00 00 00 74 15 51 8B D8 8B CA 8B D0 8B 83 44 02 00 00 FF 93 40 02 00 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_76551_0 {
	meta:
		name = "TWinControl.CustomAlignPosition"
		size = 77
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B 75 08 8D 7D F0 A5 A5 A5 A5 8B F0 66 83 BE 4A 02 00 00 00 74 27 51 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8D 45 F0 50 8B C6 8B CA 8B D0 8B 86 4C 02 00 00 FF 96 48 02 00 00 5F 5E 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_76552_0 {
	meta:
		name = "DestroyChildWindow"
		size = 71
		refs = "0012 FindControl 0024 GetWindowLongPtr 003a SendMessage"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 0C 8B 5D 08 3B 1E 74 2F 8B C3 E8 ?? ?? ?? ?? 85 C0 75 24 8B C3 BA F8 FF FF FF 52 50 E8 ?? ?? ?? ?? 3B 06 75 12 6A 00 0F B6 46 04 50 68 4A B0 00 00 53 E8 ?? ?? ?? ?? 83 C8 FF 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_76553_0 {
	meta:
		name = "TWinControl.DestroyHandle"
		size = 113
		refs = "002f TList.Get 0057 DestroyChildWindow 005d EnumChildWindows"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D8 83 BB 60 02 00 00 00 74 5A 8B 83 E8 01 00 00 85 C0 74 24 8B 70 08 4E 85 F6 7C 1C 46 33 FF 8B D7 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 CC 00 00 00 47 4E 75 E7 8B 83 60 02 00 00 89 04 24 F6 43 5D 20 0F 95 C2 88 54 24 04 8B D4 52 68 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 D4 00 00 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76554_0 {
	meta:
		name = "TWinControl.RecreateWnd"
		size = 24
		refs = "0013 TControl.Perform"
	strings:
		$1 = { 83 B8 60 02 00 00 00 74 0E 6A 00 33 C9 BA 33 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76555_0 {
	meta:
		name = "TWinControl.CMRecreateWnd"
		size = 137
		refs = "0012 @CallDynaInst 001f TWinControl.UpdateRecreatingFlag 0027 TWinControl.CMRecreateWnd 0040 TWinControl.UpdateControlState 005d @HandleFinally 0080 SetFocus"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 89 45 FC 8B 45 FC 66 BE B2 FF E8 ?? ?? ?? ?? 88 45 FB B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 CC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 80 7D FB 00 74 1B 8B 45 FC 83 B8 60 02 00 00 00 74 0F 8B 45 FC 8B 80 60 02 00 00 50 E8 ?? ?? ?? ?? 5E 59 59 5D C3 }
	condition:
		$1
}

rule function_76556_0 {
	meta:
		name = "TWinControl.UpdateShowing"
		size = 352
		refs = "009e TList.Get 00a3 TWinControl.UpdateShowing 010e TControl.Perform 012b @HandleFinally 013c @HandleAnyException 0150 @RaiseAgain 0155 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC 80 78 61 00 74 12 8B 45 FC F6 40 1C 10 74 24 8B 45 FC F6 40 5D 08 74 1B 8B 45 FC F6 40 1C 10 74 24 8B 45 FC F6 40 5D 08 75 1B 8B 45 FC F6 40 59 04 75 12 8B 45 FC F6 40 5C 08 75 09 8B 45 FC F6 40 1C 08 74 04 33 C0 EB 02 B0 01 88 45 FB 80 7D FB 00 74 48 8B 45 FC 83 B8 60 02 00 00 00 75 0B 8B 45 FC 8B 10 FF 92 B4 00 00 00 8B 45 FC 8B 80 E8 01 00 00 85 C0 74 24 8B 58 08 4B 85 DB 7C 1C 43 33 F6 8B 45 FC 8B 80 E8 01 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 E7 8B 45 FC 83 B8 60 02 00 00 00 0F 84 9E 00 00 00 8B 45 FC 0F B6 80 F2 01 00 00 3A 45 FB 0F 84 8B 00 00 00 8B 45 FC 0F B6 55 FB 88 90 F2 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 F7 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 C9 BA 19 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 F7 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? 0F B6 45 FB 34 01 8B 55 FC 88 82 F2 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_76557_0 {
	meta:
		name = "TWinControl.UpdateControlState"
		size = 198
		refs = "0047 TWinControl.UpdateControlState 0068 TControl.Perform 0085 @HandleFinally 009a _Dn_TCustomForm 009f @IsClass 00bd TWinControl.UpdateShowing"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 5D FC EB 7D 8B DE 80 BB F2 01 00 00 00 75 72 8B 45 FC 80 B8 F2 01 00 00 00 0F 84 98 00 00 00 8B 45 FC 80 B8 F7 01 00 00 00 0F 85 88 00 00 00 8B 45 FC C6 80 F7 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 F2 01 00 00 00 6A 00 33 C9 BA 19 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 F7 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 73 38 85 F6 0F 85 78 FF FF FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 12 8B 45 FC F6 40 1C 08 75 11 83 BB DC 01 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_76558_0 {
	meta:
		name = "TWinControl.SetParentDoubleBuffered"
		size = 41
		refs = "0024 TControl.Perform"
	strings:
		$1 = { 3A 90 F6 01 00 00 74 20 88 90 F6 01 00 00 83 78 38 00 74 14 F6 40 1C 02 75 0E 6A 00 33 C9 BA 50 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76559_0 {
	meta:
		name = "TWinControl.SetParentWindow"
		size = 228
		refs = "0057 SetParent 005c Win32MajorVersion 0066 Win32Platform 007f TControl.Perform 0087 TWinControl.UpdateControlState 0093 TWinControl.UpdateRecreatingFlag 009b TWinControl.SetParentWindow 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 83 78 38 00 0F 85 C9 00 00 00 8B 45 FC 3B 98 DC 01 00 00 0F 84 BA 00 00 00 8B 45 FC 83 B8 60 02 00 00 00 74 5B 8B 45 FC 83 B8 DC 01 00 00 00 74 4F 85 DB 74 4B 8B 45 FC 89 98 DC 01 00 00 53 8B 45 FC 8B 80 60 02 00 00 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 05 7C 1E A1 ?? ?? ?? ?? 83 38 02 75 14 6A 00 B9 03 00 03 00 BA 27 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 53 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 CC 00 00 00 8B 45 FC 89 98 DC 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5B 59 5D C3 }
	condition:
		$1
}

rule function_76560_0 {
	meta:
		name = "TWinControl.MainWndProc"
		size = 119
		refs = "000e TWinControl.MainWndProc 003d FreeDeviceContexts 0042 FreeMemoryContexts 0048 @HandleFinally 0059 @HandleAnyException 005e Application 0068 TApplication.HandleException 006d @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 43 44 FF 53 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_76561_0 {
	meta:
		name = "GetControlAtPos"
		size = 206
		refs = "004a PtInRect 00ad TControl.Perform"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 8B D8 8B 45 08 8B 40 FC 8B 00 2B 43 48 8B 55 08 8B 52 FC 8B 52 04 2B 53 4C 89 45 F8 89 55 FC 8B 45 08 8B 55 F8 89 50 F4 8B 55 FC 89 50 F8 8D 55 E0 8B C3 8B 08 FF 51 60 8D 45 E0 8B 55 08 83 C2 F4 E8 ?? ?? ?? ?? 84 C0 74 6A F6 43 1C 10 74 10 80 7B 61 00 75 06 F6 43 59 04 75 04 B0 01 EB 56 80 7B 61 00 74 4A 8B C3 8B 10 FF 52 68 84 C0 75 09 8B 45 08 80 78 F3 00 74 36 8B 45 08 8B 50 F4 89 55 F0 8B 50 F8 89 55 F4 8B 75 F0 81 E6 FF FF 00 00 8B 45 F4 C1 E0 10 0B F0 56 33 C9 BA 0A B0 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 EB 06 33 C0 EB 02 33 C0 84 C0 74 06 8B 55 08 89 5A EC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76562_0 {
	meta:
		name = "TWinControl.ControlAtPos"
		size = 194
		refs = "0048 TList.Get 0054 TWinControl.ControlAtPos 0070 GetControlAtPos"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 88 4D F3 89 55 FC 8B F0 8B 5D 08 33 C0 89 45 EC 80 7D 0C 00 74 60 83 BE E8 01 00 00 00 74 57 8B 86 E8 01 00 00 8B 78 08 4F 83 FF 00 7C 48 84 DB 74 20 6A 01 6A 01 8B D7 8B 86 E8 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 0F B6 4D F3 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 18 55 8B D7 8B 86 E8 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 75 06 4F 83 FF FF 75 B8 8B 86 E4 01 00 00 85 C0 74 2D 83 7D EC 00 75 27 8B 78 08 4F 83 FF 00 7C 1E 55 8B D7 8B 86 E4 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 75 06 4F 83 FF FF 75 E2 8B 45 EC 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_76563_0 {
	meta:
		name = "TWinControl.IsControlMouseMsg"
		size = 189
		refs = "000d TWinControl.GetHandle 0014 GetCapture 001e CaptureControl 0061 TWinControl.ControlAtPos 00ad TControl.Perform"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 3B F8 75 1F 83 3D ?? ?? ?? ?? 00 74 12 A1 ?? ?? ?? ?? 3B 58 38 75 08 8B 1D ?? ?? ?? ?? EB 30 33 DB EB 2C 8B 46 08 89 44 24 08 0F BF 44 24 08 89 44 24 0C 0F BF 44 24 0A 89 44 24 10 6A 00 6A 00 8D 54 24 14 33 C9 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 85 DB 74 49 0F BF 46 08 2B 43 48 89 04 24 0F BF 46 0A 2B 43 4C 89 44 24 04 8B 04 24 89 44 24 14 8B 44 24 04 89 44 24 18 8B 7C 24 14 81 E7 FF FF 00 00 8B 44 24 18 C1 E0 10 0B F8 57 8B 4E 04 8B 16 8B C3 E8 ?? ?? ?? ?? 89 46 0C B0 01 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76564_0 {
	meta:
		name = "TWinControl.IsControlActivateMsg"
		size = 341
		refs = "0010 GetMessagePos 0015 SmallPoint 0038 TControl.ScreenToClient 004d TWinControl.ControlAtPos 010d GetKeyboardState 0116 KeyboardStateToShiftState 011d MouseOriginToShiftState 013e TControl.Perform"
	strings:
		$1 = { 53 56 57 81 C4 D8 FE FF FF 8B D9 8B FA 8B F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 08 0F BF 44 24 08 89 44 24 0C 0F BF 44 24 0A 89 44 24 10 8B CC 8D 54 24 0C 8B C6 E8 ?? ?? ?? ?? 85 DB 75 13 6A 00 6A 00 8D 54 24 08 33 C9 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 EE 00 00 00 3B F3 74 1D 8B 04 24 2B 43 48 89 84 24 14 01 00 00 8B 44 24 04 2B 43 4C 89 84 24 18 01 00 00 EB 15 8B 04 24 89 84 24 14 01 00 00 8B 44 24 04 89 84 24 18 01 00 00 0F B7 47 08 89 84 24 1C 01 00 00 8B 47 04 89 84 24 24 01 00 00 0F B7 47 0A 3D 01 02 00 00 7D 18 05 5F FF FF FF 83 E8 02 72 26 48 83 E8 02 72 34 48 83 E8 02 72 24 EB 36 05 FF FD FF FF 83 E8 02 72 0E 48 83 E8 02 72 1C 48 83 E8 02 72 0C EB 1E C6 84 24 20 01 00 00 00 EB 1C C6 84 24 20 01 00 00 02 EB 12 C6 84 24 20 01 00 00 01 EB 08 C6 84 24 20 01 00 00 00 8D 44 24 14 50 E8 ?? ?? ?? ?? 8D 44 24 14 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 66 0B F0 66 89 B4 24 21 01 00 00 8D 84 24 14 01 00 00 50 33 C9 BA 4B B0 00 00 8B C3 E8 ?? ?? ?? ?? 89 47 0C B0 01 EB 02 33 C0 81 C4 28 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76565_0 {
	meta:
		name = "TWinControl.WndProc"
		size = 1496
		refs = "001b TStyleManager.FFlags 004a @CallDynaInst 0105 TStyleManager.GetActiveStyle 0117 TWinControl.WndProc 0124 TWinControl.GetHandle 012a SetWindowTheme 0148 SetWindowPos 0157 GetParentForm 0183 TControl.Perform 01e3 TControl.WndProc 0219 TControl.ScreenToClient 0226 TWinControl.ControlAtPos 02dc TControl.ClientToScreen 02e1 GetCaptureControl 02e6 CaptureControl 02f9 FindDragTarget 0389 TComponent.RemoveFreeNotification 03a0 TComponent.FreeNotification 0425 _TrackMouseEvent 0430 TWinControl.IsControlMouseMsg 044d TWinControl.HandleAllocated 0477 DefWindowProc 0489 TWinControl.IsControlActivateMsg 04c6 TControl.Dragging 04e2 GetCapture 0534 TWinControl.UpdateRecreatingFlag 0574 @HandleFinally 0581 TWinControl.Broadcast"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 89 55 F8 89 45 FC 8B 45 FC 83 B8 60 02 00 00 00 74 3C A1 ?? ?? ?? ?? F6 00 01 74 32 8B 45 FC F6 40 1C 08 75 29 8B 45 FC F6 40 5D 02 75 20 8B 45 FC F6 40 5A 80 75 17 8B 55 F8 8B 45 FC 66 BE BE FF E8 ?? ?? ?? ?? 84 C0 0F 85 78 05 00 00 8B 45 F8 8B 00 3D 00 02 00 00 7D 45 83 F8 21 7F 24 0F 84 13 04 00 00 83 E8 07 0F 84 16 01 00 00 48 0F 84 4D 01 00 00 83 E8 17 0F 84 51 04 00 00 E9 22 05 00 00 2D 84 00 00 00 0F 84 46 01 00 00 83 C0 84 83 E8 0A 0F 82 20 04 00 00 E9 06 05 00 00 3D 47 B0 00 00 7F 2B 0F 84 9D 00 00 00 05 00 FE FF FF 83 E8 0F 0F 82 C7 01 00 00 83 E8 31 0F 84 BC 04 00 00 83 E8 63 0F 84 6D 01 00 00 E9 D4 04 00 00 2D 4A B0 00 00 0F 84 40 04 00 00 83 E8 04 74 0E 83 E8 03 0F 84 88 04 00 00 E9 B6 04 00 00 8B 45 FC F6 40 1C 10 0F 84 A9 04 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 97 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 6A 77 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 5C 04 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 48 04 00 00 3B 5D FC 0F 84 3F 04 00 00 8B 45 F8 8B 40 08 50 8B 4D F8 8B 49 04 BA 47 B0 00 00 8B C3 E8 ?? ?? ?? ?? E9 21 04 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 0D 04 00 00 F6 43 1C 10 74 0A 83 7B 38 00 0F 85 FD 03 00 00 8B 55 FC 8B C3 8B 08 FF 91 1C 01 00 00 84 C0 0F 84 09 04 00 00 E9 E3 03 00 00 8B 45 FC F6 40 5C 20 0F 85 F7 03 00 00 E9 D1 03 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 83 78 0C FF 0F 85 DA 03 00 00 8B 45 F8 8B 40 08 89 45 EC 0F BF 45 EC 89 45 E4 0F BF 45 EE 89 45 E8 6A 00 6A 00 8D 4D C4 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8D 55 C4 33 C9 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 9C 03 00 00 8B 45 F8 C7 40 0C 01 00 00 00 E9 8D 03 00 00 8B 45 FC C6 80 50 02 00 00 00 8B 45 FC 8B 80 54 02 00 00 85 C0 74 10 6A 00 33 C9 BA 14 B0 00 00 E8 ?? ?? ?? ?? EB 11 6A 00 33 C9 BA 14 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 54 02 00 00 E9 24 03 00 00 8B 45 FC 8B 98 B4 00 00 00 8B 73 08 85 F6 74 16 8B C6 8B 10 FF 52 04 A8 01 74 0B 8B 55 F8 8B 43 08 8B 08 FF 51 10 8B 45 F8 81 38 00 02 00 00 0F 85 6B 01 00 00 8B 45 F8 0F BF 40 08 8B 55 F8 0F BF 52 0A 89 45 DC 89 55 E0 8D 4D F0 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0E 8D 45 F0 B2 01 E8 ?? ?? ?? ?? 8B D8 EB 06 8B 1D ?? ?? ?? ?? 8B 45 FC 3B 98 54 02 00 00 0F 84 D4 00 00 00 8B 45 FC 83 B8 54 02 00 00 00 74 09 83 3D ?? ?? ?? ?? 00 74 36 83 3D ?? ?? ?? ?? 00 74 11 8B 45 FC 8B 80 54 02 00 00 3B 05 ?? ?? ?? ?? 74 1C 83 3D ?? ?? ?? ?? 00 74 2A A1 ?? ?? ?? ?? 8B 40 38 8B 55 FC 3B 82 54 02 00 00 75 17 6A 00 8B 45 FC 8B 80 54 02 00 00 33 C9 BA 14 B0 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 54 02 00 00 85 C0 74 08 8B 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 89 82 54 02 00 00 85 C0 74 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 54 02 00 00 00 74 09 83 3D ?? ?? ?? ?? 00 74 1A 83 3D ?? ?? ?? ?? 00 74 28 8B 45 FC 8B 80 54 02 00 00 3B 05 ?? ?? ?? ?? 75 17 6A 00 8B 45 FC 8B 80 54 02 00 00 33 C9 BA 13 B0 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 50 02 00 00 00 75 33 8B 45 FC C6 80 50 02 00 00 01 C7 45 D0 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 D4 C7 45 D8 FF FF FF FF C7 45 CC 10 00 00 00 8D 45 CC 50 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 71 01 00 00 8B 45 F8 83 78 0C 00 0F 85 85 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 75 01 00 00 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 04 50 8B 45 F8 8B 00 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 4E 01 00 00 8B 55 F8 33 C9 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 18 01 00 00 8B 45 F8 83 78 0C 00 0F 85 2C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 1C 01 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E9 0C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 FC 00 00 00 E9 D6 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 0F 85 BF 00 00 00 83 3D ?? ?? ?? ?? 00 0F 84 B2 00 00 00 A1 ?? ?? ?? ?? 8B 40 38 3B 45 FC 0F 85 A1 00 00 00 6A 00 33 C9 BA 1F 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 89 00 00 00 8B 45 F8 8B 40 04 84 C0 74 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 04 84 C0 74 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 26 8B 45 FC 8B 98 B4 00 00 00 8B 73 08 85 F6 74 16 8B C6 8B 10 FF 52 04 A8 02 74 0B 8B 55 F8 8B 43 08 8B 08 FF 51 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 81 38 28 01 00 00 75 0B 8B 45 FC 8B 10 FF 92 9C 00 00 00 5E 5B 8B E5 5D C3 20 00 00 00 }
	condition:
		$1
}

rule function_76566_0 {
	meta:
		name = "TWinControl.DefaultHandler"
		size = 263
		refs = "002f TControl.Perform 006b SendMessage 007b ColorToRGB 0085 SetTextColor 00a0 SetBkColor 00ab TBrush.GetHandle 00b6 RM_GetObjectInstance 00d9 CallWindowProc 00f3 TControl.SendDockNotification 00fe TControl.DefaultHandler"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 83 BE 60 02 00 00 00 0F 84 E4 00 00 00 8B 3B 83 FF 7B 75 24 83 7E 38 00 74 1E 8B 43 08 50 8B 4B 04 8B D7 8B 46 38 E8 ?? ?? ?? ?? 8B E8 89 6B 0C 85 ED 0F 85 C2 00 00 00 8B 3B 8B C7 05 CE FE FF FF 83 E8 07 72 0C 05 07 44 FF FF 83 E8 07 72 1C EB 5A 8B 6B 08 55 8B 43 04 50 81 C7 00 BC 00 00 57 55 E8 ?? ?? ?? ?? 89 43 0C EB 6C 8B 46 6C 8B 40 18 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B 86 C8 01 00 00 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B 86 C8 01 00 00 E8 ?? ?? ?? ?? 89 43 0C EB 2C 3B 3D ?? ?? ?? ?? 75 05 89 73 0C EB 1F 8B 43 08 50 8B 43 04 50 57 8B 86 60 02 00 00 50 8B 86 5C 02 00 00 50 E8 ?? ?? ?? ?? 89 43 0C 8B 03 83 F8 0C 75 1B 8B 53 08 52 8B 4B 04 8B D0 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76567_0 {
	meta:
		name = "DoControlMsg"
		size = 51
		refs = "0008 FindControl 0024 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B F2 33 DB E8 ?? ?? ?? ?? 8B F8 85 FF 74 1B 8B 46 08 50 8B 4E 04 8B 16 81 C2 00 BC 00 00 8B C7 E8 ?? ?? ?? ?? 89 46 0C B3 01 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76568_0 {
	meta:
		name = "TWinControl.PaintHandler"
		size = 365
		refs = "0026 TWinControl.GetHandle 002c BeginPaint 0037 TWinControl.PaintHandler 0065 SaveDC 009f TList.Get 00e7 ExcludeClipRect 011d RestoreDC 0123 @HandleFinally 0132 TWinControl.PaintControls 015a EndPaint"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 89 55 F8 89 45 FC 8B 45 F8 8B 40 04 89 45 F0 83 7D F0 00 75 15 8D 45 B0 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F0 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 83 B8 E4 01 00 00 00 75 13 8B 55 F0 8B 45 FC 8B 08 FF 91 E0 00 00 00 E9 C9 00 00 00 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 BF 02 00 00 00 8B 45 FC 8B 80 E4 01 00 00 8B 58 08 4B 85 DB 7C 66 43 33 F6 8B 45 FC 8B 80 E4 01 00 00 8B D6 E8 ?? ?? ?? ?? 80 78 61 00 74 0C F6 40 1C 10 74 18 F6 40 5D 08 74 12 F6 40 1C 10 74 37 F6 40 5D 08 75 31 F6 40 59 04 75 2B F6 40 58 40 74 25 8B 48 4C 03 48 54 51 8B 50 48 8B CA 03 48 50 51 8B 48 4C 51 52 8B 45 F0 50 E8 ?? ?? ?? ?? 8B F8 83 FF 01 74 04 46 4B 75 9D 4F 74 0E 8B 55 F0 8B 45 FC 8B 08 FF 91 E0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C9 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 83 78 04 00 75 12 8D 45 B0 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76569_0 {
	meta:
		name = "TWinControl.PaintWindow"
		size = 56
		refs = "0013 PaintMessage"
	strings:
		$1 = { 56 83 C4 F0 8B F0 F6 46 5E 01 0F 95 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 89 04 24 89 54 24 04 33 C0 89 44 24 08 33 C0 89 44 24 0C 8B D4 8B C6 8B 08 FF 51 F0 83 C4 10 5E C3 }
	condition:
		$1
}

rule function_76570_0 {
	meta:
		name = "TWinControl.PaintControls"
		size = 736
		refs = "0063 TList.IndexOf 009d TList.Get 010c Rect 0119 RectVisible 013d SaveDC 0148 TWinControl.PaintControls 0162 MoveWindowOrg 017d IntersectClipRect 018f TControl.Perform 01a9 RestoreDC 01af @HandleFinally 024d ColorToRGB 0253 CreateSolidBrush 0281 FrameRect 0287 DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B D9 89 55 F8 89 45 FC 8B 45 FC 80 B8 F4 01 00 00 00 74 29 8B 45 FC 80 B8 F3 01 00 00 00 74 1D 8B 45 FC 83 B8 D0 01 00 00 00 74 11 8B 45 FC 8B 80 D0 01 00 00 8B 55 F8 8B 08 FF 51 20 8B 45 FC 8B 80 E4 01 00 00 85 C0 0F 84 77 01 00 00 33 D2 89 55 F4 85 DB 74 15 8B D3 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 7D 05 33 C0 89 45 F4 8B 45 FC 8B 80 E4 01 00 00 8B 40 08 89 45 F0 8B 45 F4 3B 45 F0 0F 8D 3E 01 00 00 8B 45 FC 8B 80 E4 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 80 78 61 00 74 12 8B 45 E8 F6 40 1C 10 74 30 8B 45 E8 F6 40 5D 08 74 27 8B 45 E8 F6 40 1C 10 0F 84 F3 00 00 00 8B 45 E8 F6 40 5D 08 0F 85 E6 00 00 00 8B 45 E8 F6 40 59 04 0F 85 D9 00 00 00 8B 45 E8 8B 70 4C 8B C6 8B 55 E8 03 42 54 50 8D 45 D8 50 8B 45 E8 8B 58 48 8B CB 8B 45 E8 03 48 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 D8 50 8B 45 F8 50 E8 ?? ?? ?? ?? 85 C0 0F 84 9A 00 00 00 8B 45 FC F6 40 5C 80 74 0A 8B 45 E8 81 48 5C 80 00 00 00 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 48 4C 8B 45 E8 8B 50 48 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 54 50 8B 45 E8 8B 40 50 50 6A 00 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 6A 00 8B 4D F8 BA 0F 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 E8 81 60 5C 7F FF FF FF FF 45 F4 8B 45 F4 3B 45 F0 0F 8C C2 FE FF FF 8B 45 FC 8B 80 E8 01 00 00 85 C0 0F 84 FA 00 00 00 8B 78 08 4F 85 FF 0F 8C EE 00 00 00 47 C7 45 F4 00 00 00 00 8B 45 FC 8B 80 E8 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 80 BB F1 01 00 00 00 0F 84 BC 00 00 00 F6 43 58 10 0F 84 B2 00 00 00 F6 43 1C 10 75 06 80 7B 61 00 75 1E F6 43 1C 10 0F 84 9C 00 00 00 F6 43 59 04 0F 85 92 00 00 00 F6 43 5D 08 0F 85 88 00 00 00 B8 10 00 00 FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 56 8B 43 4C 03 43 54 50 8D 45 D8 50 8B 4B 48 03 4B 50 8B 53 4C 4A 8B 43 48 48 E8 ?? ?? ?? ?? 8D 45 D8 50 8B 45 F8 50 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? B8 14 00 00 FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 56 8B 43 4C 03 43 54 40 50 8D 45 D8 50 8B 4B 48 03 4B 50 41 8B 53 4C 8B 43 48 E8 ?? ?? ?? ?? 8D 45 D8 50 8B 45 F8 50 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? FF 45 F4 4F 0F 85 1A FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76571_0 {
	meta:
		name = "TWinControl.PaintTo"
		size = 94
		refs = "0011 TCustomCanvas.Lock 0019 TWinControl.PaintTo 002b TCanvas.GetHandle 004b TCustomCanvas.Unlock 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_76572_0 {
	meta:
		name = "DrawThemeEdge"
		size = 181
		refs = "0012 SaveDC 001d DrawThemeEdge 0053 ExcludeClipRect 0058 TStyleManager.GetActiveStyle 0078 TCustomStyleServices.DrawElement 0092 RestoreDC 0098 @HandleFinally 00ac InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 55 F8 89 45 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 0C 83 E8 02 50 8B 45 F8 8B 40 08 83 E8 02 50 8B 45 F8 8B 40 04 83 C0 02 50 8B 45 F8 8B 00 83 C0 02 50 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E8 B2 02 8B 18 FF 53 7C 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? 8D 4D E8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 B9 FE FF FF FF BA FE FF FF FF E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76573_0 {
	meta:
		name = "TWinControl.PaintTo"
		size = 620
		refs = "001f SaveDC 002a TWinControl.PaintTo 003d MoveWindowOrg 0058 IntersectClipRect 0064 TWinControl.GetHandle 0070 GetWindowLongPtr 00b0 TStyleManager.GetActiveStyle 00ce UnthemedDesigner 00ff SetRect 0113 DrawThemeEdge 019f DrawEdge 01da TControl.Perform 0214 TList.Get 0247 RestoreDC 024d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 8B D9 89 55 F8 89 45 FC 8B 45 FC 81 48 5C 80 00 00 00 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 4D 08 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 54 50 8B 45 FC 8B 40 50 50 6A 00 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 33 F6 33 DB 8B 45 FC E8 ?? ?? ?? ?? BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? F6 C4 02 74 0C BB 0A 00 00 00 BE 0F 20 00 00 EB 25 8B 45 FC E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? A9 00 00 80 00 74 0A BB 03 00 00 00 BE 0F A0 00 00 83 FB 0A 75 0C E8 ?? ?? ?? ?? 8B 10 FF 52 48 EB 02 33 C0 84 C0 74 1D 8B 45 FC F6 40 1C 10 74 10 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 06 B0 01 EB 02 33 C0 84 C0 0F 84 8D 00 00 00 8B 45 FC 8B 40 54 50 8B 45 FC 8B 40 50 50 6A 00 6A 00 8D 45 E4 50 E8 ?? ?? ?? ?? 8B 45 FC F6 40 5A 02 74 0D 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? EB 31 8B 45 FC 8B 40 58 0B 05 ?? ?? ?? ?? 8B 55 FC 89 42 58 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? F7 D2 23 50 58 8B 45 FC 89 50 58 8B 4D E8 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 2B 45 E8 50 8B 45 EC 2B 45 E4 50 6A 00 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? EB 57 85 F6 74 53 8B 45 FC 8B 40 54 50 8B 45 FC 8B 40 50 50 6A 00 6A 00 8D 45 E4 50 E8 ?? ?? ?? ?? 56 53 8D 45 E4 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 4D E8 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 2B 45 E8 50 8B 45 EC 2B 45 E4 50 6A 00 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 6A 00 8B 4D F8 BA 14 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8B 4D F8 BA 0F 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E8 01 00 00 85 C0 74 34 8B 58 08 4B 85 DB 7C 2C 43 33 F6 8B 45 FC 8B 80 E8 01 00 00 8B D6 E8 ?? ?? ?? ?? 80 78 61 00 74 0F 8B 50 4C 52 8B 48 48 8B 55 F8 E8 ?? ?? ?? ?? 46 4B 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 81 60 5C 7F FF FF FF 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 02 00 }
	condition:
		$1
}

rule function_76574_0 {
	meta:
		name = "TWinControl.WMPaint"
		size = 620
		refs = "002c TWinControl.GetControlCount 0049 TWinControl.PaintHandler 0053 DwmCompositionEnabled 0067 TWinControl.GetHandle 006d BeginPaint 0077 TWinControl.WMPaint 008f BeginBufferedPaint 00ba TControl.Perform 00e7 BufferedPaintSetAlpha 00ff EndBufferedPaint 0105 @HandleFinally 0126 EndPaint 0156 CreateCompatibleBitmap 016d CreateCompatibleDC 017d SelectObject 01a1 SetWindowOrgEx 01c0 TStyleManager.GetIsCustomStyleActive 0207 BitBlt 0251 DeleteDC 025a DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 8B DA 89 45 FC 8B 45 FC 80 B8 68 02 00 00 00 74 06 83 7B 04 00 74 33 8B 45 FC F6 40 5D 01 75 1B 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 0F 8B D3 8B 45 FC 8B 08 FF 51 F0 E9 23 02 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 14 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 D3 00 00 00 8D 45 AC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 45 F8 50 6A 00 6A 02 8D 45 B4 50 56 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 74 6F 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F8 50 8B 4D F8 BA 14 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 04 8B 4D F8 BA 18 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 5A 40 75 12 8B 45 EC 8D 55 B4 68 FF 00 00 00 52 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A FF 8B 45 EC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8D 45 AC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 8B 45 C0 2B 45 B8 50 8B 45 BC 2B 45 B4 50 56 E8 ?? ?? ?? ?? 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 56 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F4 50 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 F0 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 6A 00 8B 45 B8 50 8B 45 B4 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D F8 BA 14 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 89 43 04 E8 ?? ?? ?? ?? 84 C0 74 0F 8B D3 8B 45 FC 8B 08 FF 91 90 00 00 00 EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 43 04 68 20 00 CC 00 8B 55 B8 52 8B 45 B4 50 8B 4D F8 51 8B 4D C0 2B CA 51 8B 4D BC 2B C8 51 52 50 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76575_0 {
	meta:
		name = "TWinControl.WMCharToItem"
		size = 32
		refs = "000c DoControlMsg"
		altNames = "TWinControl.WMCommand TWinControl.WMHScroll TWinControl.WMVKeyToItem TWinControl.WMVScroll"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B 43 08 E8 ?? ?? ?? ?? 84 C0 75 09 8B D3 8B C6 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_76576_0 {
	meta:
		name = "TWinControl.WMNotify"
		size = 34
		refs = "000e DoControlMsg"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B 43 08 8B 00 E8 ?? ?? ?? ?? 84 C0 75 09 8B D3 8B C6 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_76577_0 {
	meta:
		name = "TWinControl.WMSysColorChange"
		size = 26
		refs = "0004 PaletteChanged 0014 TControl.Perform"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 24 B0 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76578_0 {
	meta:
		name = "TWinControl.WMWinIniChange"
		size = 18
		refs = "000d TControl.Perform"
	strings:
		$1 = { 8B 4A 08 51 8B 4A 04 BA 25 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76579_0 {
	meta:
		name = "TWinControl.WMFontChange"
		size = 15
		refs = "000a TControl.Perform"
	strings:
		$1 = { 6A 00 33 C9 BA 26 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76580_0 {
	meta:
		name = "TWinControl.WMTimeChange"
		size = 15
		refs = "000a TControl.Perform"
	strings:
		$1 = { 6A 00 33 C9 BA 27 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76583_0 {
	meta:
		name = "TWinControl.WMCompareItem"
		size = 35
		refs = "000f DoControlMsg"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B 43 08 8B 40 08 E8 ?? ?? ?? ?? 84 C0 75 09 8B D3 8B C6 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_76584_0 {
	meta:
		name = "TWinControl.WMDeleteItem"
		size = 35
		refs = "000f DoControlMsg"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B 43 08 8B 40 0C E8 ?? ?? ?? ?? 84 C0 75 09 8B D3 8B C6 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_76585_0 {
	meta:
		name = "TWinControl.WMDrawItem"
		size = 35
		refs = "000f DoControlMsg"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B 43 08 8B 40 14 E8 ?? ?? ?? ?? 84 C0 75 09 8B D3 8B C6 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_76586_0 {
	meta:
		name = "TWinControl.WMMeasureItem"
		size = 32
		refs = "000c DoControlMsg"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B 43 04 E8 ?? ?? ?? ?? 84 C0 75 09 8B D3 8B C6 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_76587_0 {
	meta:
		name = "TWinControl.WMMouseActivate"
		size = 50
		refs = "000d TWinControl.IsControlActivateMsg 001e TWinControl.HandleAllocated"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B CB 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 83 7E 0C 00 75 14 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_76588_0 {
	meta:
		name = "TWinControl.WMEraseBkgnd"
		size = 174
		refs = "000a TStyleManager.GetActiveStyle 0047 PerformEraseBackground 0056 TWinControl.GetHandle 0065 TCustomStyleServices.DrawParentBackground 0083 TBrush.GetHandle 009d FillRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 09 83 7B 38 00 0F 95 C0 EB 02 33 C0 84 C0 74 09 F6 43 5A 04 0F 95 C0 EB 02 33 C0 84 C0 74 36 8B 43 38 80 B8 68 02 00 00 00 74 0C 8B 56 04 8B C3 E8 ?? ?? ?? ?? EB 54 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 4E 04 5A E8 ?? ?? ?? ?? EB 36 80 BB 68 02 00 00 00 74 08 8B 46 04 3B 46 08 75 25 8B 83 C8 01 00 00 E8 ?? ?? ?? ?? 50 8D 54 24 04 8B C3 8B 08 FF 51 60 8D 44 24 04 50 8B 46 04 50 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_76589_0 {
	meta:
		name = "TWinControl.WMWindowPosChanged"
		size = 184
		refs = "003b IsWindowVisible 007d TWinControl.InvalidateFrame 008a TWinControl.UpdateBounds 0093 TControl.WMWindowPosChanged"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 8B 75 08 80 BF F1 01 00 00 00 74 12 F6 47 58 10 74 0C 83 7F 38 00 74 06 F6 46 18 08 74 04 33 DB EB 02 B3 01 F6 46 18 02 75 10 8B 87 60 02 00 00 50 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 88 04 24 F6 46 18 01 75 10 8B 87 60 02 00 00 50 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 88 44 24 01 84 DB 74 11 0F B6 04 24 0A 44 24 01 74 07 8B C7 E8 ?? ?? ?? ?? F6 47 5D 02 75 07 8B C7 E8 ?? ?? ?? ?? 8B D5 8B C7 E8 ?? ?? ?? ?? 84 DB 74 17 0F B6 04 24 0A 44 24 01 75 06 F6 46 18 C0 74 07 8B C7 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76590_0 {
	meta:
		name = "TWinControl.WMWindowPosChanging"
		size = 84
		refs = "000a TWinControl.WMWindowPosChanging 0032 TControl.CheckNewSize"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 0F B7 05 ?? ?? ?? ?? 66 23 43 1C 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 20 8B 47 08 8B F0 F6 46 18 01 75 15 8D 4E 14 8D 56 10 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 83 4E 18 01 8B D7 8B C3 8B 08 FF 51 F0 5F 5E 5B C3 00 0A 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_76591_0 {
	meta:
		name = "TWinControl.WMSize"
		size = 124
		refs = "0009 TWinControl.UpdateBounds 0010 TControl.UpdateExplicitBounds 004c TList.IndexOf 0058 TList.Add 0064 TWinControl.AlignControl 0075 @CallDynaInst"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 8B 08 FF 51 F0 33 DB 8B 46 38 85 C0 74 11 83 B8 B0 01 00 00 00 74 08 8B 98 B0 01 00 00 EB 0C 8B 86 B0 01 00 00 85 C0 74 02 8B D8 85 DB 74 18 8B D6 8B C3 E8 ?? ?? ?? ?? 40 75 26 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 D2 8B C6 E8 ?? ?? ?? ?? F6 46 1C 01 75 0B 8B C6 66 BE D0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76592_0 {
	meta:
		name = "TWinControl.WMMove"
		size = 26
		refs = "000d TWinControl.UpdateBounds 0014 TControl.UpdateExplicitBounds"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_76593_0 {
	meta:
		name = "TWinControl.WMSetCursor"
		size = 267
		refs = "0032 Screen 0043 GetCursorPos 0056 TControl.ScreenToClient 0063 TWinControl.ControlAtPos 00a6 TScreen.GetCursors 00ac SetCursor 00c2 Application 00e0 GetLastActivePopup 00e7 GetForegroundWindow 00f7 TApplication.BringToFront"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B 46 04 3B 83 60 02 00 00 0F 85 E2 00 00 00 0F B7 46 08 66 83 E8 FE 0F 84 92 00 00 00 66 83 E8 03 0F 85 CA 00 00 00 A1 ?? ?? ?? ?? 8B 00 0F B7 78 4C 66 85 FF 75 55 54 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 4C 24 10 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 8D 54 24 10 33 C9 8B C3 E8 ?? ?? ?? ?? 85 C0 74 13 F6 40 1C 10 74 06 66 BF FE FF EB 07 0F B7 B8 80 00 00 00 66 85 FF 75 13 F6 43 1C 10 74 06 66 BF FE FF EB 07 0F B7 BB 80 00 00 00 66 85 FF 74 60 0F BF D7 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 EB 4B 66 81 7E 0A 01 02 75 3A A1 ?? ?? ?? ?? 8B 00 83 B8 78 01 00 00 00 74 2A A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 3B F8 74 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76594_0 {
	meta:
		name = "TWinControl.WMSetFocus"
		size = 28
		refs = "000d TWinControl.SetIme 0016 TWinControl.InvalidateDockHostSite"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_76595_0 {
	meta:
		name = "TWinControl.WMKillFocus"
		size = 28
		refs = "000d TWinControl.ResetIme 0016 TWinControl.InvalidateDockHostSite"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_76596_0 {
	meta:
		name = "TWinControl.WMIMEStartComp"
		size = 19
	strings:
		$1 = { 56 8B F0 C6 86 69 02 00 00 01 8B C6 8B 08 FF 51 F0 5E C3 }
	condition:
		$1
}

rule function_76597_0 {
	meta:
		name = "TWinControl.WMInputLangChange"
		size = 86
		refs = "0002 Application 0027 PostMessage 0051 TControl.Perform"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? 83 39 00 74 21 8B 42 08 50 8B 42 04 50 68 56 B0 00 00 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? C3 8B 40 38 85 C0 74 0D 8B 48 38 85 C9 74 06 8B C1 85 C0 75 F3 85 C0 74 11 8B 4A 08 51 8B 4A 04 BA 56 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76598_0 {
	meta:
		name = "TWinControl.WMIMEEndComp"
		size = 19
	strings:
		$1 = { 56 8B F0 C6 86 69 02 00 00 00 8B C6 8B 08 FF 51 F0 5E C3 }
	condition:
		$1
}

rule function_76599_0 {
	meta:
		name = "TWinControl.SetImeCompositionWindow"
		size = 129
		refs = "0016 TWinControl.GetHandle 001b Imm32GetContext 003e Imm32SetCompositionWindow 0052 TFont.GetHandle 0058 GetObject 0062 Imm32SetCompositionFont 0070 Imm32ReleaseContext"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 56 57 89 4D F8 89 55 FC 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 74 51 C7 45 DC 02 00 00 00 8B 45 F8 89 45 E0 8B 45 08 89 45 E4 8D 55 DC 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 1E 8D 45 80 50 6A 5C 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 55 80 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? B3 01 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_76600_0 {
	meta:
		name = "TWinControl.ResetImeComposition"
		size = 76
		refs = "0016 TWinControl.GetHandle 001b Imm32GetContext 0031 Imm32NotifyIME 0041 Imm32ReleaseContext"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 33 DB 80 BF 69 02 00 00 00 74 32 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 20 6A 00 8B CD BA 15 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76601_0 {
	meta:
		name = "TWinControl.RequestAlign"
		size = 133
		refs = "0046 TWinControl.RequestAlign 0054 TControl.RequestAlign 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 83 78 38 00 74 6F C6 45 FB 00 8B 45 FC 8B 80 B0 01 00 00 85 C0 74 1F 8B 55 FC 8B 52 38 83 BA B0 01 00 00 00 75 10 8B 55 FC 8B 52 38 89 82 B0 01 00 00 C6 45 FB 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 0E 8B 45 FC 8B 40 38 33 D2 89 90 B0 01 00 00 C3 E9 ?? ?? ?? ?? EB E4 59 59 5D C3 }
	condition:
		$1
}

rule function_76602_0 {
	meta:
		name = "TWinControl.SetIme"
		size = 237
		refs = "000e TWinControl.SetIme 0019 SysLocale 0038 Screen 003f TScreen.GetDefaultIME 004d AnsiCompareText 005d TScreen.GetImes 00b3 ActivateKeyboardLayout 00ba TWinControl.GetHandle 00c6 SetImeMode 00db @UStrClr 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 78 0C 00 0F 84 A3 00 00 00 83 BB D8 01 00 00 00 0F 84 83 00 00 00 8D 55 FC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 D8 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 62 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 74 4D A1 ?? ?? ?? ?? 8B 00 8B 70 44 80 BB D4 01 00 00 00 74 32 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 93 D8 01 00 00 8B 08 FF 51 54 8B F8 85 FF 7C 15 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 18 8B F0 6A 01 56 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 93 D4 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_76603_0 {
	meta:
		name = "TWinControl.ResetIme"
		size = 149
		refs = "000c TWinControl.ResetIme 0017 SysLocale 002e Screen 0035 TScreen.GetDefaultIME 0043 AnsiCompareText 0059 ActivateKeyboardLayout 0069 TWinControl.GetHandle 0070 Win32NLSEnableIME 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 78 0C 00 74 53 83 BB D8 01 00 00 00 74 33 8D 55 FC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 D8 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 12 6A 01 A1 ?? ?? ?? ?? 8B 00 8B 40 44 50 E8 ?? ?? ?? ?? 80 BB D4 01 00 00 00 75 0E 8B C3 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_76604_0 {
	meta:
		name = "TWinControl.DoAddDockClient"
		size = 10
	strings:
		$1 = { 92 8B 08 FF 91 84 00 00 00 C3 }
	condition:
		$1
}

rule function_76606_0 {
	meta:
		name = "TWinControl.DoEnter"
		size = 29
	strings:
		$1 = { 53 66 83 B8 0A 02 00 00 00 74 10 8B D8 8B D0 8B 83 0C 02 00 00 FF 93 08 02 00 00 5B C3 }
	condition:
		$1
}

rule function_76608_0 {
	meta:
		name = "TWinControl.DockDrop"
		size = 81
		refs = "0023 TControl.Perform"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 0F B7 C7 0F B7 55 08 C1 E2 10 0B C2 50 8B CE BA 38 B0 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 1F 66 83 BB FA 01 00 00 00 74 15 57 8B 45 08 50 8B CE 8B D3 8B 83 FC 01 00 00 FF 93 F8 01 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_76609_0 {
	meta:
		name = "TWinControl.DoDockOver"
		size = 51
	strings:
		$1 = { 55 8B EC 53 66 83 B8 02 02 00 00 00 74 20 51 8B 4D 10 51 0F B6 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 04 02 00 00 FF 93 00 02 00 00 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_76610_0 {
	meta:
		name = "TWinControl.DockOver"
		size = 64
		refs = "0017 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B D7 8B C3 66 BE D2 FF E8 ?? ?? ?? ?? 8B 45 10 50 0F B6 45 0C 50 8B 45 08 50 8B 4D FC 8B D7 8B C3 66 BE C2 FF E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_76611_0 {
	meta:
		name = "TWinControl.DoUnDock"
		size = 89
		refs = "003f TControl.Perform"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 C6 04 24 01 66 83 BB 3A 02 00 00 00 74 16 56 8D 44 24 04 50 8B CF 8B D3 8B 83 3C 02 00 00 FF 93 38 02 00 00 80 3C 24 00 74 13 57 8B CE BA 39 B0 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 88 04 24 0F B6 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76612_0 {
	meta:
		name = "TWinControl.ReloadDockedControl"
		size = 36
		refs = "000f TComponent.FindComponent 0015 _DV_TControl 001a @AsClass"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76613_0 {
	meta:
		name = "TWinControl.GetDockClientCount"
		size = 17
	strings:
		$1 = { 8B 90 CC 01 00 00 85 D2 74 04 8B 42 08 C3 33 C0 C3 }
	condition:
		$1
}

rule function_76614_0 {
	meta:
		name = "TWinControl.GetDockClients"
		size = 34
		refs = "0016 TList.Get"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 CC 01 00 00 85 F6 74 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76615_0 {
	meta:
		name = "TWinControl.GetSiteInfo"
		size = 98
		refs = "001b TWinControl.GetHandle 0021 GetWindowRect 0032 InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 75 0C 8D 7D F8 A5 A5 8B F1 8B FA 8B D8 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 B9 0A 00 00 00 BA 0A 00 00 00 E8 ?? ?? ?? ?? 66 83 BB 1A 02 00 00 00 74 19 56 8D 45 F8 50 8B 45 08 50 8B CF 8B D3 8B 83 1C 02 00 00 FF 93 18 02 00 00 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_76616_0 {
	meta:
		name = "TWinControl.GetVisibleDockClientCount"
		size = 58
		refs = "0008 TWinControl.GetDockClientCount 0023 TList.Get"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 22 8B DF 4B 83 FB 00 7C 1A 8B D3 8B 86 CC 01 00 00 E8 ?? ?? ?? ?? 80 78 61 00 75 01 4F 4B 83 FB FF 75 E6 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76618_0 {
	meta:
		name = "TWinControl.CreateDockManager"
		size = 106
		refs = "0026 DefaultDockTreeClass 0039 @IntfCopy 0063 TWinControl.SetDoubleBuffered"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB D0 01 00 00 00 75 30 80 BB F4 01 00 00 00 74 27 80 BB F3 01 00 00 00 74 1E 8B CB B2 01 A1 ?? ?? ?? ?? FF 50 44 8B D0 85 D2 74 03 83 EA 88 8B C6 E8 ?? ?? ?? ?? EB 0D 8B C6 8B 93 D0 01 00 00 E8 ?? ?? ?? ?? 80 BB 68 02 00 00 00 75 09 83 3E 00 75 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76619_0 {
	meta:
		name = "TWinControl.SetDesignVisible"
		size = 51
		refs = "002d TWinControl.UpdateShowing"
	strings:
		$1 = { 53 8B D8 F6 43 1C 10 74 28 F6 43 5D 08 0F 95 C0 34 01 3A D0 74 1B 84 D2 75 09 81 4B 5C 00 08 00 00 EB 07 81 63 5C FF F7 FF FF 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76620_0 {
	meta:
		name = "TWinControl.SetDockSite"
		size = 181
		refs = "0010 TWinControl.SetDockSite 0033 RegisterDockSite 0042 TObject.Free 0055 @IntfClear 0067 _Dn_TList 006c TObject.Create 0080 @CallDynaInst 008e @IntfCopy 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9F F4 01 00 00 74 70 88 9F F4 01 00 00 F6 47 1C 10 75 64 8B D3 8B C7 E8 ?? ?? ?? ?? 84 DB 75 20 8B 87 CC 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 87 CC 01 00 00 8D 87 D0 01 00 00 E8 ?? ?? ?? ?? EB 37 83 BF CC 01 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 CC 01 00 00 8D 55 FC 8B C7 66 BE C5 FF E8 ?? ?? ?? ?? 8B 55 FC 8D 87 D0 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_76621_0 {
	meta:
		name = "TWinControl.SetDoubleBuffered"
		size = 36
		refs = "001f TControl.Perform"
	strings:
		$1 = { 3A 90 68 02 00 00 74 1B 88 90 68 02 00 00 C6 80 F6 01 00 00 00 6A 00 33 C9 BA 4F B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76622_0 {
	meta:
		name = "TWinControl.CMDockClient"
		size = 234
		refs = "0036 TWinControl.GetHandle 003e MapWindowPoints 0050 TWinControl.CMDockClient 006e @CallDynaInst 00ba TWinControl.EnableAlign 00c0 @HandleFinally 00cc GetParentForm 00d5 TControl.BringToFront"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 F8 89 45 FC 8B 45 F8 83 78 0C 00 0F 85 C7 00 00 00 8B 45 F8 8B 40 04 8D 70 4C 8D 7D E8 A5 A5 A5 A5 6A 02 8D 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 45 FC 66 FF 80 B4 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 04 8B 40 40 8D 4D E8 8B 55 FC 66 BE CC FF E8 ?? ?? ?? ?? 8B 45 FC 80 B8 F3 01 00 00 00 74 2B 8B 45 FC 83 B8 D0 01 00 00 00 74 1F 8B 45 F8 8B 40 04 8B 50 60 52 0F B6 48 5C 8B 50 40 8B 45 FC 8B 80 D0 01 00 00 8B 18 FF 53 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 B2 01 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 8B 45 F8 C7 40 0C 01 00 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76623_0 {
	meta:
		name = "TWinControl.CMUnDockClient"
		size = 38
	strings:
		$1 = { 33 C9 89 4A 0C 80 B8 F3 01 00 00 00 74 17 83 B8 D0 01 00 00 00 74 0E 8B 52 08 8B 80 D0 01 00 00 8B 08 FF 51 28 C3 }
	condition:
		$1
}

rule function_76624_0 {
	meta:
		name = "TWinControl.CMFloat"
		size = 125
		refs = "002d TWinControl.CMFloat 0047 @CallDynaInst 0062 TControl.BringToFront 0068 @HandleFinally 0074 TControl.CMFloat"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 8B F2 89 45 FC 8B 45 FC 8B 10 FF 52 70 8B 4D FC 8B 09 89 CA 3B D0 75 4F 8B 45 FC 0F B6 40 61 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 8D 48 4C 33 D2 8B 45 FC 66 BE CC FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B D6 8B 45 FC E8 ?? ?? ?? ?? 5E 59 59 5D C3 }
	condition:
		$1
}

rule function_76625_0 {
	meta:
		name = "TWinControl.KeyDown"
		size = 42
	strings:
		$1 = { 53 51 66 89 0C 24 66 83 B8 22 02 00 00 00 74 17 0F B7 0C 24 51 8B CA 8B D8 8B D0 8B 83 24 02 00 00 FF 93 20 02 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_76626_0 {
	meta:
		name = "TWinControl.DoKeyDown"
		size = 179
		refs = "0012 GetParentForm 002e TWinControl.DoKeyDown 0071 KeyDataToShiftState 0093 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B FA 8B F0 B3 01 33 D2 8B C6 E8 ?? ?? ?? ?? 8B E8 85 ED 74 51 3B F5 74 4D 80 BD A4 02 00 00 00 74 0D 8B D7 8B C5 E8 ?? ?? ?? ?? 84 C0 75 74 83 7D 38 00 74 31 B2 01 8B C5 E8 ?? ?? ?? ?? 89 04 24 83 3C 24 00 74 1F 3B 2C 24 74 1A 8B 04 24 80 B8 A4 02 00 00 00 74 0E 8B D7 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 3D 8B 47 08 E8 ?? ?? ?? ?? 8B E8 F6 46 59 10 75 2B 0F B7 47 04 66 89 44 24 04 8D 54 24 04 8B CD 8B C6 66 BE B9 FF E8 ?? ?? ?? ?? 0F B7 44 24 04 66 89 47 04 66 83 7C 24 04 00 74 02 33 DB 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76627_0 {
	meta:
		name = "TWinControl.WMKeyDown"
		size = 42
		refs = "000b TWinControl.DoKeyDown 0023 TWinControl.UpdateUIState"
		altNames = "TWinControl.WMSysKeyDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 8B 08 FF 51 F0 0F B7 56 04 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76629_0 {
	meta:
		name = "TWinControl.KeyUp"
		size = 42
	strings:
		$1 = { 53 51 66 89 0C 24 66 83 B8 32 02 00 00 00 74 17 0F B7 0C 24 51 8B CA 8B D8 8B D0 8B 83 34 02 00 00 FF 93 30 02 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_76630_0 {
	meta:
		name = "TWinControl.DoKeyUp"
		size = 179
		refs = "0012 GetParentForm 002e TWinControl.DoKeyUp 0071 KeyDataToShiftState 0093 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B FA 8B F0 B3 01 33 D2 8B C6 E8 ?? ?? ?? ?? 8B E8 85 ED 74 51 3B F5 74 4D 80 BD A4 02 00 00 00 74 0D 8B D7 8B C5 E8 ?? ?? ?? ?? 84 C0 75 74 83 7D 38 00 74 31 B2 01 8B C5 E8 ?? ?? ?? ?? 89 04 24 83 3C 24 00 74 1F 3B 2C 24 74 1A 8B 04 24 80 B8 A4 02 00 00 00 74 0E 8B D7 8B 04 24 E8 ?? ?? ?? ?? 84 C0 75 3D 8B 47 08 E8 ?? ?? ?? ?? 8B E8 F6 46 59 10 75 2B 0F B7 47 04 66 89 44 24 04 8D 54 24 04 8B CD 8B C6 66 BE B8 FF E8 ?? ?? ?? ?? 0F B7 44 24 04 66 89 47 04 66 83 7C 24 04 00 74 02 33 DB 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76631_0 {
	meta:
		name = "TWinControl.WMKeyUp"
		size = 31
		refs = "000b TWinControl.DoKeyUp"
		altNames = "TWinControl.WMSysKeyUp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_76635_0 {
	meta:
		name = "TWinControl.WMChar"
		size = 31
		refs = "000b TWinControl.DoKeyPress"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_76633_0 {
	meta:
		name = "TWinControl.KeyPress"
		size = 31
	strings:
		$1 = { 53 66 83 B8 2A 02 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 2C 02 00 00 FF 93 28 02 00 00 5B C3 }
	condition:
		$1
}

rule function_76634_0 {
	meta:
		name = "TWinControl.DoKeyPress"
		size = 104
		refs = "0010 GetParentForm 002c TWinControl.DoKeyPress 004b @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 51 8B FA 8B F0 B3 01 B2 01 8B C6 E8 ?? ?? ?? ?? 8B E8 85 ED 74 1A 3B F5 74 16 80 BD A4 02 00 00 00 74 0D 8B D7 8B C5 E8 ?? ?? ?? ?? 84 C0 75 2C F6 46 59 10 75 24 0F B7 47 04 66 89 04 24 8B D4 8B C6 66 BE B7 FF E8 ?? ?? ?? ?? 0F B7 04 24 66 89 47 04 66 83 7F 04 00 74 02 33 DB 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76636_0 {
	meta:
		name = "TraverseControls"
		size = 174
		refs = "0024 TWinControl.GetControlCount 0038 TWinControl.GetControl 0070 TControl.Perform 007c _DV_TWinControl 0081 @IsClass 0090 TraverseControls"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC C6 45 FB 00 8B 45 FC 80 B8 F2 01 00 00 00 0F 84 83 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 74 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 80 7B 61 00 74 5B 8B C3 8B 10 FF 52 68 84 C0 74 50 F6 43 5A 01 74 23 8B 45 08 8B 40 FC 8B 40 08 50 8B 45 08 8B 48 FC 8B 49 04 BA 12 01 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 75 21 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 06 C6 45 FB 01 EB 04 47 4E 75 8F 0F B6 45 FB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_76637_0 {
	meta:
		name = "TWinControl.WMSysCommand"
		size = 169
		refs = "0039 IsIconic 0042 GetCapture 004b Application 005b GetParentForm 0073 TControl.Perform 0091 TraverseControls"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC 8B 40 04 25 F0 FF 00 00 3D 00 F1 00 00 75 5E 8B 45 FC 66 83 78 08 20 74 54 8B 45 FC 66 83 78 08 2D 74 4A 8B 83 60 02 00 00 50 E8 ?? ?? ?? ?? 85 C0 75 3A E8 ?? ?? ?? ?? 85 C0 75 31 A1 ?? ?? ?? ?? 8B 00 3B 58 48 74 25 B2 01 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 16 8B 45 FC 50 33 C9 BA 17 B0 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 29 8B 45 FC 8B 40 04 25 F0 FF 00 00 3D 00 F1 00 00 75 0D 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 75 0A 8B 55 FC 8B C3 8B 08 FF 51 F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_76639_0 {
	meta:
		name = "TWinControl.WMParentNotify"
		size = 50
		refs = "001d DoControlMsg"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 0F B7 73 04 66 83 FE 01 74 06 66 83 FE 02 75 0E 8B D3 8B 43 08 E8 ?? ?? ?? ?? 84 C0 75 09 8B D3 8B C7 8B 08 FF 51 F0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76641_0 {
	meta:
		name = "TWinControl.WMDestroy"
		size = 132
		refs = "0014 TControl.GetTextLen 0020 TWinControl.WMDestroy 0025 StrNew 0035 StrAlloc 0044 StrBufSize 004f TControl.GetTextBuf 0054 TStyleManager.FFlags 0062 _Dn_TStyleManager 0067 TStyleManager.Notification 0077 TWinControl.RemoveWindowProps"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 83 BB 7C 01 00 00 00 75 42 8B C3 E8 ?? ?? ?? ?? 8B F0 83 FE 01 7D 12 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 7C 01 00 00 EB 22 8D 46 01 E8 ?? ?? ?? ?? 8B E8 89 AB 7C 01 00 00 8B C5 E8 ?? ?? ?? ?? 8B C8 8B D5 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F6 00 01 74 0E 8B CB 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B C3 8B 08 FF 51 F0 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_76642_0 {
	meta:
		name = "TWinControl.WMNCDestroy"
		size = 27
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 33 C0 89 86 60 02 00 00 C6 86 F2 01 00 00 00 5E C3 }
	condition:
		$1
}

rule function_76643_0 {
	meta:
		name = "TWinControl.WMNCHitTest"
		size = 33
	strings:
		$1 = { 56 8B F0 F6 46 1C 10 74 0F 83 7E 38 00 74 09 C7 42 0C 01 00 00 00 5E C3 8B C6 8B 08 FF 51 F0 5E C3 }
	condition:
		$1
}

rule function_76644_0 {
	meta:
		name = "TWinControl.PaletteChanged"
		size = 87
		refs = "0011 TControl.PaletteChanged 0020 TWinControl.GetControlCount 0036 TWinControl.GetControl 0043 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B E8 0F B6 14 24 8B C5 E8 ?? ?? ?? ?? 8B D8 80 7D 61 00 74 32 8B C5 E8 ?? ?? ?? ?? 8B F8 4F 83 FF 00 7C 23 84 1C 24 75 1E 8B D7 8B C5 E8 ?? ?? ?? ?? 0F B6 14 24 66 BE D1 FF E8 ?? ?? ?? ?? 0A D8 4F 83 FF FF 75 DD 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76645_0 {
	meta:
		name = "TWinControl.WMQueryNewPalette"
		size = 34
		refs = "0014 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 83 4B 5C 04 B2 01 8B C3 66 BE D1 FF E8 ?? ?? ?? ?? 83 E0 7F 89 47 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76646_0 {
	meta:
		name = "TWinControl.WMPaletteChanged"
		size = 30
		refs = "0010 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 33 D2 8B C3 66 BE D1 FF E8 ?? ?? ?? ?? 83 E0 7F 89 47 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76647_0 {
	meta:
		name = "TWinControl.CMShowHintChanged"
		size = 23
		refs = "0011 TWinControl.NotifyControls"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 66 BA 23 B0 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_76648_0 {
	meta:
		name = "TWinControl.CMBiDiModeChanged"
		size = 53
		refs = "000b TControl.CMBiDiModeChanged 0010 SysLocale 0023 TWinControl.RecreateWnd 002e TWinControl.NotifyControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 0D 00 74 0D 83 7E 04 00 75 07 8B C3 E8 ?? ?? ?? ?? 66 BA 3D B0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76649_0 {
	meta:
		name = "TWinControl.CMDoubleBufferedChanged"
		size = 33
		refs = "0011 TWinControl.NotifyControls"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 66 BA 50 B0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_76650_0 {
	meta:
		name = "TWinControl.CMEnter"
		size = 204
		refs = "000f TWinControl.CMEnter 001a SysLocale 0027 TControl.UseRightToLeftReading 0030 Application 004b @UStrLAsg 0059 @UStrToPWChar 005f LoadKeyboardLayout 00a0 @CallDynaInst 00ba @UStrArrayClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 78 0D 00 74 75 8B C3 E8 ?? ?? ?? ?? 84 C0 74 36 A1 ?? ?? ?? ?? 8B 00 83 78 3C 00 74 5D 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 8B 52 3C E8 ?? ?? ?? ?? BE 01 00 00 00 56 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 34 A1 ?? ?? ?? ?? 8B 00 83 78 44 00 74 27 8D 45 F8 8B 15 ?? ?? ?? ?? 8B 12 8B 52 44 E8 ?? ?? ?? ?? BE 01 00 00 00 56 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 66 BE C1 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_76651_0 {
	meta:
		name = "TWinControl.CMExit"
		size = 12
		refs = "0006 @CallDynaInst"
	strings:
		$1 = { 56 66 BE C0 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_76652_0 {
	meta:
		name = "TWinControl.CMDesignHitTest"
		size = 31
		refs = "000b TWinControl.IsControlMouseMsg 0018 TControl.CMDesignHitTest"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76653_0 {
	meta:
		name = "TWinControl.CMChanged"
		size = 18
		altNames = "TWinControl.CMChildKey TWinControl.CMControlListChange TWinControl.CMControlListChanging"
	strings:
		$1 = { 53 8B 48 38 85 C9 74 08 8B D9 8B 43 44 FF 53 40 5B C3 }
	condition:
		$1
}

rule function_76658_0 {
	meta:
		name = "TWinControl.CMVisibleChanged"
		size = 45
		refs = "0014 TWinControl.RemoveFocus 0027 TWinControl.UpdateControlState"
	strings:
		$1 = { 53 8B D8 80 7B 61 00 75 0F 83 7B 38 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 74 06 F6 43 59 04 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76659_0 {
	meta:
		name = "TWinControl.CMShowingChanged"
		size = 39
		refs = "000b ShowFlags 0022 SetWindowPos"
	strings:
		$1 = { 0F B6 90 F2 01 00 00 0F B7 14 55 ?? ?? ?? ?? 52 6A 00 6A 00 6A 00 6A 00 6A 00 8B 80 60 02 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76660_0 {
	meta:
		name = "TWinControl.CMEnabledChanged"
		size = 72
		refs = "0019 TWinControl.RemoveFocus 0020 TWinControl.HandleAllocated 0042 EnableWindow"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 68 84 C0 75 0F 83 7B 38 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1E F6 43 1C 10 75 18 8B C3 8B 10 FF 52 68 F6 D8 1B C0 50 8B 83 60 02 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76661_0 {
	meta:
		name = "TWinControl.CMColorChanged"
		size = 37
		refs = "0006 TControl.CMColorChanged 0014 TBrush.SetColor 001f TWinControl.NotifyControls"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 74 8B 83 C8 01 00 00 E8 ?? ?? ?? ?? 66 BA 09 B0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76662_0 {
	meta:
		name = "TWinControl.CMFontChanged"
		size = 58
		refs = "0006 TControl.CMFontChanged 000d TWinControl.HandleAllocated 001b TFont.GetHandle 0029 TControl.Perform 0034 TWinControl.NotifyControls"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 6A 00 8B 43 6C E8 ?? ?? ?? ?? 8B C8 BA 30 00 00 00 8B C3 E8 ?? ?? ?? ?? 66 BA 08 B0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76663_0 {
	meta:
		name = "TWinControl.CMCursorChanged"
		size = 61
		refs = "0007 GetCapture 0011 GetCursorPos 001a FindDragTarget 0027 TWinControl.GetHandle 0035 TControl.Perform"
	strings:
		$1 = { 53 83 C4 F8 8B D8 E8 ?? ?? ?? ?? 85 C0 75 2A 54 E8 ?? ?? ?? ?? 8B C4 33 D2 E8 ?? ?? ?? ?? 3B D8 75 17 6A 01 8B C3 E8 ?? ?? ?? ?? 8B C8 BA 20 00 00 00 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_76664_0 {
	meta:
		name = "TWinControl.CMBorderChanged"
		size = 64
		refs = "000d TWinControl.HandleAllocated 0024 TWinControl.GetHandle 002a SetWindowPos"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 29 6A 37 6A 00 6A 00 6A 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 7E 61 00 74 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_76665_0 {
	meta:
		name = "TWinControl.CMCtl3DChanged"
		size = 62
		refs = "0012 TWinControl.HandleAllocated 0022 IsWindowVisible 002d TWinControl.InvalidateFrame 0038 TWinControl.NotifyControls"
	strings:
		$1 = { 53 8B D8 F6 43 58 10 74 28 83 7B 38 00 74 22 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 8B 83 60 02 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? 66 BA 11 B0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76666_0 {
	meta:
		name = "TWinControl.CMParentCtl3DChanged"
		size = 62
		refs = "001e TWinControl.SetCtl3D"
	strings:
		$1 = { 53 8B D8 80 BB F5 01 00 00 00 74 30 83 7A 04 00 74 12 83 7A 08 00 0F 95 C0 8B D0 8B C3 E8 ?? ?? ?? ?? EB 11 8B 43 38 0F B6 90 F1 01 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 F5 01 00 00 01 5B C3 }
	condition:
		$1
}

rule function_76667_0 {
	meta:
		name = "TWinControl.CMParentDoubleBufferedChanged"
		size = 42
		refs = "001d TWinControl.SetDoubleBuffered"
	strings:
		$1 = { 53 8B D8 80 BB F6 01 00 00 00 74 1C 8B 43 38 85 C0 74 0E 0F B6 90 68 02 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 F6 01 00 00 01 5B C3 }
	condition:
		$1
}

rule function_76671_0 {
	meta:
		name = "TWinControl.CMTabletOptionsChanged"
		size = 26
		refs = "000a TWinControl.NotifyControls"
	strings:
		$1 = { 56 8B F0 66 BA 58 B0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_76673_0 {
	meta:
		name = "TWinControl.CMDrag"
		size = 95
		refs = "0028 TControl.DoDragMsg 003b TControl.ScreenToClient 0048 TWinControl.ControlAtPos"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 8B F0 8B 7B 08 0F B6 43 04 2C 04 72 06 FE C8 74 14 EB 3C 83 7F 0C 00 74 36 8B D3 8B 47 0C E8 ?? ?? ?? ?? EB 2A 6A 00 6A 00 8D 4C 24 08 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 54 24 08 33 C9 8B C6 E8 ?? ?? ?? ?? 8B E8 89 6B 0C 85 ED 75 03 89 73 0C 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76677_0 {
	meta:
		name = "TWinControl.IsMenuKey"
		size = 151
		refs = "0028 @CallDynaInst 0056 GetParentForm 007e SendAppMessage"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B EA 89 04 24 C6 44 24 04 01 8B 04 24 F6 40 1C 10 75 57 8B 1C 24 85 DB 74 2F 8B C3 66 BE D8 FF E8 ?? ?? ?? ?? 8B F8 85 FF 74 17 83 7F 40 00 74 11 8B D5 8B C7 66 BE EF FF E8 ?? ?? ?? ?? 84 C0 75 42 8B 5B 38 85 DB 75 D1 B2 01 8B 04 24 E8 ?? ?? ?? ?? 8B D8 85 DB 74 11 8B D5 8B C3 66 BE A2 FF E8 ?? ?? ?? ?? 84 C0 75 1A 8B 4D 08 0F B7 55 04 B8 16 B0 00 00 E8 ?? ?? ?? ?? 85 C0 75 05 C6 44 24 04 00 0F B6 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76678_0 {
	meta:
		name = "TWinControl.CNKeyDown"
		size = 227
		refs = "0015 TWinControl.UpdateUIState 001e TWinControl.IsMenuKey 0041 TControl.Perform 00c4 GetParentForm"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 C7 46 0C 01 00 00 00 0F B7 56 04 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 B5 00 00 00 F6 43 1C 10 0F 85 A6 00 00 00 53 0F B7 4E 04 BA 2E B0 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 85 92 00 00 00 33 FF 0F B7 46 04 83 F8 1B 7F 13 74 2E 83 E8 03 74 29 83 E8 06 74 16 83 E8 04 74 1F EB 22 83 C0 DB 83 E8 04 72 0E 83 E8 02 74 10 EB 13 BF 02 00 00 00 EB 0C BF 01 00 00 00 EB 05 BF 04 00 00 00 85 FF 74 49 6A 00 0F B7 4E 04 BA 1E B0 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 75 33 6A 00 33 C9 BA 87 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 F8 75 1F 8B 46 08 50 B2 01 8B C3 E8 ?? ?? ?? ?? 0F B7 4E 04 BA 05 B0 00 00 E8 ?? ?? ?? ?? 85 C0 75 05 33 C0 89 46 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76679_0 {
	meta:
		name = "TWinControl.CNKeyUp"
		size = 81
		refs = "0046 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 1C 10 75 40 0F B7 7E 04 0F B7 C7 83 F8 1B 7F 13 74 1E 83 E8 03 74 19 83 E8 06 74 14 83 E8 04 74 0F EB 21 83 C0 DB 83 E8 04 72 05 83 E8 02 75 14 6A 00 0F B7 CF BA 1E B0 00 00 8B C3 E8 ?? ?? ?? ?? 89 46 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76680_0 {
	meta:
		name = "TWinControl.CNChar"
		size = 78
		refs = "001f TControl.Perform 0030 GetParentForm"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 10 75 3F C7 46 0C 01 00 00 00 6A 00 33 C9 BA 87 00 00 00 8B C3 E8 ?? ?? ?? ?? A8 80 75 1F 8B 46 08 50 B2 01 8B C3 E8 ?? ?? ?? ?? 0F B7 4E 04 BA 06 B0 00 00 E8 ?? ?? ?? ?? 85 C0 75 05 33 C0 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_76681_0 {
	meta:
		name = "TWinControl.CNSysKeyDown"
		size = 92
		refs = "0012 TWinControl.IsMenuKey 002d TControl.Perform 003e GetParentForm"
	strings:
		$1 = { 53 56 8B F2 8B D8 C7 46 0C 01 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3F F6 43 1C 10 75 34 53 0F B7 4E 04 BA 2E B0 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 75 24 8B 46 08 50 B2 01 8B C3 E8 ?? ?? ?? ?? 0F B7 4E 04 BA 05 B0 00 00 E8 ?? ?? ?? ?? 85 C0 75 05 33 C0 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_76682_0 {
	meta:
		name = "TWinControl.CNSysChar"
		size = 52
		refs = "001c GetParentForm 002a TControl.Perform"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 10 75 25 66 83 7E 04 20 74 1E 8B 46 08 50 B2 01 8B C3 E8 ?? ?? ?? ?? 0F B7 4E 04 BA 06 B0 00 00 E8 ?? ?? ?? ?? 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_76683_0 {
	meta:
		name = "TWinControl.SetBounds"
		size = 218
		refs = "0030 TWinControl.HandleAllocated 0040 IsIconic 005e SetWindowPos 0094 GetWindowPlacement 009e TControl.GetBoundsRect 00b8 SetWindowPlacement 00bf TControl.UpdateAnchorRules 00c6 TControl.UpdateExplicitBounds"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 8B F9 8B F2 8B D8 3B 73 48 75 19 3B 7B 4C 75 14 8B 45 0C 3B 43 50 75 0C 8B 45 08 3B 43 54 0F 84 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2C 8B 83 60 02 00 00 50 E8 ?? ?? ?? ?? 85 C0 75 1C 6A 14 8B 45 08 50 8B 45 0C 50 57 56 6A 00 8B 83 60 02 00 00 50 E8 ?? ?? ?? ?? EB 58 89 73 48 89 7B 4C 8B 45 0C 89 43 50 8B 45 08 89 43 54 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3B C7 45 D4 2C 00 00 00 8D 45 D4 50 8B 83 60 02 00 00 50 E8 ?? ?? ?? ?? 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8D 75 C4 8D 7D F0 A5 A5 A5 A5 8D 45 D4 50 8B 83 60 02 00 00 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 74 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_76684_0 {
	meta:
		name = "TWinControl.ScaleControls"
		size = 69
		refs = "0013 TWinControl.GetControlCount 0026 TWinControl.GetControl 0036 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B E8 8B C5 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 20 43 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 4C 24 04 8B 14 24 66 BE ED FF E8 ?? ?? ?? ?? 47 4B 75 E3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76685_0 {
	meta:
		name = "TWinControl.ScalePadding"
		size = 132
		refs = "0019 MulDiv 0024 TMargins.SetMargin"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B 98 C4 01 00 00 8B 6B 08 85 ED 76 13 57 56 55 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 6B 0C 85 ED 76 16 57 56 55 E8 ?? ?? ?? ?? 8B C8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 6B 10 85 ED 76 16 57 56 55 E8 ?? ?? ?? ?? 8B C8 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 6B 14 85 ED 76 16 57 56 55 E8 ?? ?? ?? ?? 8B C8 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76686_0 {
	meta:
		name = "TWinControl.ChangeScale"
		size = 184
		refs = "001b TWinControl.ChangeScale 002d TWinControl.ScaleControls 0057 MulDiv 0086 TControl.ChangeScale 0092 TWinControl.ScalePadding 00a7 TWinControl.EnableAlign 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC 66 FF 80 B4 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 3B F3 74 49 8B 45 FC F6 40 1C 02 74 40 8B 45 FC F6 80 90 00 00 00 20 74 34 56 53 8B 45 FC 8B 80 6C 02 00 00 50 E8 ?? ?? ?? ?? 8B 55 FC 89 82 6C 02 00 00 56 53 8B 45 FC 8B 80 70 02 00 00 50 E8 ?? ?? ?? ?? 8B 55 FC 89 82 70 02 00 00 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_76687_0 {
	meta:
		name = "TWinControl.ScaleBy"
		size = 175
		refs = "0010 TWinControl.HandleAllocated 001b TWinControl.GetHandle 0021 IsWindowVisible 0050 SetWindowPos 005b TControl.GetBoundsRect 006a @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B E9 8B F2 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 11 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 88 04 24 80 3C 24 00 74 1C 68 97 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 54 24 04 8B C7 E8 ?? ?? ?? ?? 8B CD 8B D6 8B C7 66 BE ED FF E8 ?? ?? ?? ?? 8B 47 50 50 8B 47 54 50 8B 4C 24 10 8B 54 24 0C 8B C7 8B 18 FF 93 A4 00 00 00 80 3C 24 00 74 19 6A 57 6A 00 6A 00 6A 00 6A 00 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76688_0 {
	meta:
		name = "TWinControl.ScrollBy"
		size = 218
		refs = "001c IsWindowVisible 004b ScrollWindow 0052 TWinControl.GetControlCount 0065 TWinControl.GetControl 006f _DV_TWinControl 0074 @IsClass 00c1 SetWindowPos 00ce TWinControl.AlignControl"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 89 14 24 8B F8 8B 9F 60 02 00 00 85 DB 74 0A 53 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 88 44 24 08 80 7C 24 08 00 74 1A 6A 00 6A 00 8B 44 24 0C 50 8B 44 24 0C 50 8B 87 60 02 00 00 50 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 6C 46 33 ED 8B D5 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 83 BB 60 02 00 00 00 75 0F 8B 04 24 01 43 48 8B 44 24 04 01 43 4C EB 31 80 7C 24 08 00 75 2A 6A 14 8B C3 8B 50 54 52 8B 50 50 52 8B 50 4C 03 54 24 10 52 8B 50 48 03 54 24 10 52 6A 00 8B 80 60 02 00 00 50 E8 ?? ?? ?? ?? 45 4E 75 97 33 D2 8B C7 E8 ?? ?? ?? ?? 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76689_0 {
	meta:
		name = "TWinControl.ShowControl"
		size = 26
	strings:
		$1 = { 56 57 8B F0 8B 7E 38 85 FF 74 0C 8B D6 8B C7 8B 08 FF 91 EC 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_76690_0 {
	meta:
		name = "TWinControl.SetZOrderPosition"
		size = 215
		refs = "0029 TList.IndexOf 0055 TList.Delete 0067 TList.Insert 009e TList.Get 00a3 TWinControl.GetHandle 00ce SetWindowPos"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B 43 38 85 C0 0F 84 BF 00 00 00 8B 90 E4 01 00 00 85 D2 74 03 2B 72 08 8B 80 E8 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 38 8B 43 38 8B 90 E8 01 00 00 8B 42 08 85 F6 7D 02 33 F6 3B C6 7F 03 8B F0 4E 3B FE 74 1B 8B C2 8B D7 E8 ?? ?? ?? ?? 8B 43 38 8B 80 E8 01 00 00 8B CB 8B D6 E8 ?? ?? ?? ?? 83 BB 60 02 00 00 00 74 5E 85 F6 75 07 B8 01 00 00 00 EB 3C 8B 43 38 8B A8 E8 01 00 00 8B 45 08 48 3B F0 75 04 33 C0 EB 27 3B FE 7D 11 8D 56 01 8B C5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 3B FE 7E 25 8B C5 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 03 6A 00 6A 00 6A 00 6A 00 50 8B 83 60 02 00 00 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76691_0 {
	meta:
		name = "TWinControl.SetZOrder"
		size = 95
		refs = "002f TWinControl.SetZOrderPosition 0051 WindowPos 0058 SetWindowPos"
	strings:
		$1 = { 53 56 8B 58 38 85 DB 74 2D 84 D2 74 0C 8B 93 E8 01 00 00 8B 4A 08 49 EB 02 33 C9 33 D2 8B B3 E4 01 00 00 85 F6 74 03 8B 56 08 03 CA 8B D1 E8 ?? ?? ?? ?? 5E 5B C3 8B 88 60 02 00 00 85 C9 74 1C 6A 03 6A 00 6A 00 6A 00 6A 00 83 E2 7F 0F B7 14 55 ?? ?? ?? ?? 52 51 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76692_0 {
	meta:
		name = "TWinControl.GetDeviceContext"
		size = 82
		refs = "0013 TWinControl.GetHandle 0019 GetDCEx 0028 GetDC 0032 SWindowDCError 0039 _Dn_EOutOfResources 003e Exception.CreateRes 0043 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 10 74 13 6A 12 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 0D 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 93 60 02 00 00 89 16 5E 5B C3 }
	condition:
		$1
}

rule function_76693_0 {
	meta:
		name = "TWinControl.GetParentHandle"
		size = 22
		refs = "000a TWinControl.GetHandle"
	strings:
		$1 = { 8B 50 38 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 8B 80 DC 01 00 00 C3 }
	condition:
		$1
}

rule function_76694_0 {
	meta:
		name = "TWinControl.GetTopParentHandle"
		size = 31
		refs = "0016 TWinControl.GetHandle"
	strings:
		$1 = { EB 02 8B C2 8B 50 38 85 D2 75 F7 8B 90 DC 01 00 00 85 D2 75 07 E8 ?? ?? ?? ?? 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_76695_0 {
	meta:
		name = "TWinControl.Invalidate"
		size = 15
		refs = "000a TControl.Perform"
	strings:
		$1 = { 6A 00 33 C9 BA 34 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76696_0 {
	meta:
		name = "TWinControl.CMInputLangChange"
		size = 84
		refs = "000b TComponent.GetComponentCount 001e TComponent.GetComponent 0024 _DV_TWinControl 0029 @IsClass 0047 TControl.Perform"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 39 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 08 50 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 4D 04 BA 56 B0 00 00 E8 ?? ?? ?? ?? 43 4E 75 CA 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76697_0 {
	meta:
		name = "TWinControl.CMInvalidate"
		size = 147
		refs = "000a TWinControl.HandleAllocated 0026 TControl.Perform 0048 InvalidateRect 004d TStyleManager.GetActiveStyle 005d TWinControl.GetControlCount 0070 TWinControl.GetControl"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 7D 8B 43 38 85 C0 74 11 6A 00 B9 01 00 00 00 BA 34 B0 00 00 E8 ?? ?? ?? ?? 83 7E 04 00 75 5F F6 43 58 40 0F 95 C0 34 01 F6 D8 1B C0 50 6A 00 8B 83 60 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 35 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 27 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? F6 40 5A 04 74 11 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 9C 00 00 00 46 4F 75 DC 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76698_0 {
	meta:
		name = "TWinControl.Update"
		size = 28
		refs = "0006 TWinControl.HandleAllocated 0016 UpdateWindow"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 83 60 02 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76699_0 {
	meta:
		name = "TWinControl.Repaint"
		size = 25
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 9C 00 00 00 8B C3 8B 10 FF 92 A8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_76700_0 {
	meta:
		name = "TWinControl.InvalidateFrame"
		size = 59
		refs = "000b TControl.GetBoundsRect 001c InflateRect 0032 InvalidateRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B C4 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 6A FF 8D 44 24 04 50 8B 43 38 8B 80 60 02 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_76701_0 {
	meta:
		name = "TWinControl.CanFocus"
		size = 64
		refs = "000e GetParentForm"
	strings:
		$1 = { 53 56 51 8B D8 C6 04 24 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 20 3B F3 74 18 80 7B 61 00 74 16 8B C3 8B 10 FF 52 68 84 C0 74 0B 8B 5B 38 3B F3 75 E8 C6 04 24 01 0F B6 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_76702_0 {
	meta:
		name = "TWinControl.SetFocus"
		size = 60
		refs = "0008 GetParentForm 0013 TCustomForm.FocusControl 0025 TWinControl.GetHandle 002b SetFocus 0036 ValidParentForm"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 85 C0 74 09 8B D3 E8 ?? ?? ?? ?? 5B C3 83 BB DC 01 00 00 00 74 0F 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76703_0 {
	meta:
		name = "TWinControl.Focused"
		size = 33
		refs = "000d GetFocus"
	strings:
		$1 = { 53 8B D8 83 BB 60 02 00 00 00 74 0D E8 ?? ?? ?? ?? 3B 83 60 02 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_76704_0 {
	meta:
		name = "TWinControl.HandleNeeded"
		size = 36
		refs = "0014 TWinControl.HandleNeeded"
	strings:
		$1 = { 56 8B F0 83 BE 60 02 00 00 00 75 16 8B 46 38 85 C0 74 05 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 B4 00 00 00 5E C3 }
	condition:
		$1
}

rule function_76705_0 {
	meta:
		name = "TWinControl.GetHandle"
		size = 18
		refs = "0006 TWinControl.HandleNeeded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 60 02 00 00 5B C3 }
	condition:
		$1
}

rule function_76706_0 {
	meta:
		name = "TWinControl.GetControlExtents"
		size = 308
		refs = "001c Rect 0024 TWinControl.GetControlCount 0044 TWinControl.GetControl"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F2 89 04 24 6A 00 56 33 C9 BA FF FF FF 7F B8 FF FF FF 7F E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C FA 00 00 00 47 C7 44 24 04 00 00 00 00 8B 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 8B D8 80 7B 61 00 75 14 F6 43 1C 10 0F 84 C8 00 00 00 F6 43 59 04 0F 85 BE 00 00 00 33 D2 8B 43 7C 8B 08 FF 51 10 3B 06 7D 0C 33 D2 8B 43 7C 8B 08 FF 51 10 89 06 BA 01 00 00 00 8B 43 7C 8B 08 FF 51 10 3B 46 04 7D 10 BA 01 00 00 00 8B 43 7C 8B 08 FF 51 10 89 46 04 33 D2 8B 43 7C 8B 08 FF 51 10 8B E8 BA 02 00 00 00 8B 43 7C 8B 08 FF 51 10 03 E8 3B 6E 08 7E 1E 33 D2 8B 43 7C 8B 08 FF 51 10 8B E8 BA 02 00 00 00 8B 43 7C 8B 08 FF 51 10 03 E8 89 6E 08 BA 01 00 00 00 8B 43 7C 8B 08 FF 51 10 8B E8 BA 03 00 00 00 8B 43 7C 8B 08 FF 51 10 03 E8 3B 6E 0C 7E 21 BA 01 00 00 00 8B 43 7C 8B 08 FF 51 10 8B E8 BA 03 00 00 00 8B 43 7C 8B 08 FF 51 10 03 E8 89 6E 0C FF 44 24 04 4F 0F 85 0F FF FF FF 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76707_0 {
	meta:
		name = "TWinControl.GetClientOrigin"
		size = 32
		refs = "0013 TWinControl.GetHandle 0019 ClientToScreen"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 C0 89 03 33 C0 89 43 04 53 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76708_0 {
	meta:
		name = "TWinControl.GetClientRect"
		size = 23
		refs = "000a TWinControl.GetHandle 0010 GetClientRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_109606_0 {
	meta:
		name = "LoadKeyboardLayout"
		size = 23
		refs = "000a @UStrToPWChar 0010 LoadKeyboardLayout"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_109607_0 {
	meta:
		name = "LoadKeyboardLayoutA"
		size = 23
		refs = "000a @LStrToPChar 0010 LoadKeyboardLayoutA"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_109608_0 {
	meta:
		name = "LoadKeyboardLayoutW"
		size = 23
		refs = "000a @UStrToPWChar 0010 LoadKeyboardLayoutW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76709_0 {
	meta:
		name = "TWinControl.AdjustSize"
		size = 58
		refs = "000c TWinControl.HandleAllocated 0027 TWinControl.GetHandle 002d SetWindowPos"
	strings:
		$1 = { 56 8B F0 F6 46 1C 01 75 2F 8B C6 E8 ?? ?? ?? ?? 84 C0 74 24 6A 16 8B 46 54 50 8B 46 50 50 6A 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 74 5E C3 }
	condition:
		$1
}

rule function_76710_0 {
	meta:
		name = "TWinControl.SetBorderWidth"
		size = 29
		refs = "0018 TControl.Perform"
	strings:
		$1 = { 3B 90 C0 01 00 00 74 14 89 90 C0 01 00 00 6A 00 33 C9 BA 3B B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76711_0 {
	meta:
		name = "TWinControl.SetCtl3D"
		size = 36
		refs = "001f TControl.Perform"
	strings:
		$1 = { 3A 90 F1 01 00 00 74 1B 88 90 F1 01 00 00 C6 80 F5 01 00 00 00 6A 00 33 C9 BA 10 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76712_0 {
	meta:
		name = "TWinControl.InvokeHelp"
		size = 87
		refs = "001c Application 0029 TApplication.HelpKeyword 0043 TApplication.HelpContext 0051 TWinControl.InvokeHelp"
	strings:
		$1 = { 53 8B D8 0F B6 83 68 01 00 00 2C 01 72 04 74 1F EB 37 83 BB 6C 01 00 00 00 74 2E A1 ?? ?? ?? ?? 8B 00 8B 93 6C 01 00 00 E8 ?? ?? ?? ?? 5B C3 8B 83 70 01 00 00 85 C0 74 10 8B 15 ?? ?? ?? ?? 8B 12 92 E8 ?? ?? ?? ?? 5B C3 8B 43 38 85 C0 74 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76713_0 {
	meta:
		name = "TWinControl.IsCtl3DStored"
		size = 10
	strings:
		$1 = { 0F B6 80 F5 01 00 00 34 01 C3 }
	condition:
		$1
}

rule function_76714_0 {
	meta:
		name = "TWinControl.IsDoubleBufferedStored"
		size = 10
	strings:
		$1 = { 0F B6 80 F6 01 00 00 34 01 C3 }
	condition:
		$1
}

rule function_76715_0 {
	meta:
		name = "TWinControl.SetParentCtl3D"
		size = 41
		refs = "0024 TControl.Perform"
	strings:
		$1 = { 3A 90 F5 01 00 00 74 20 88 90 F5 01 00 00 83 78 38 00 74 14 F6 40 1C 02 75 0E 6A 00 33 C9 BA 11 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76716_0 {
	meta:
		name = "TWinControl.GetTabOrder"
		size = 33
		refs = "0014 TList.IndexOf"
	strings:
		$1 = { 53 56 8B D8 8B 73 38 85 F6 74 10 8B 86 E0 01 00 00 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 83 C8 FF 5E 5B C3 }
	condition:
		$1
}

rule function_76717_0 {
	meta:
		name = "TWinControl.UpdateTabOrder"
		size = 89
		refs = "000b TWinControl.GetTabOrder 003e TList.Delete 0050 TList.Insert"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 0F BF C0 85 C0 7C 3E 8B 53 38 8B AA E0 01 00 00 8B 55 08 66 85 F6 7D 02 33 F6 0F BF CE 3B D1 7F 03 8B F2 4E 0F BF FE 3B C7 74 1A 8B D5 92 E8 ?? ?? ?? ?? 8B D7 8B 43 38 8B 80 E0 01 00 00 8B CB E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76718_0 {
	meta:
		name = "TWinControl.SetTabOrder"
		size = 22
		refs = "0011 TWinControl.UpdateTabOrder"
	strings:
		$1 = { F6 40 5C 08 74 0A 0F BF D2 89 90 EC 01 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76719_0 {
	meta:
		name = "TWinControl.SetTabStop"
		size = 101
		refs = "0017 TWinControl.HandleAllocated 002d GetWindowLongPtr 004e SetWindowLongPtr 005e TControl.Perform"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E F0 01 00 00 74 54 88 9E F0 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 33 8B 86 60 02 00 00 BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 25 FF FF FE FF 84 DB 74 05 0D 00 00 01 00 8B 96 60 02 00 00 B9 F0 FF FF FF 50 51 52 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 28 B0 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76720_0 {
	meta:
		name = "TWinControl.SetUseDockManager"
		size = 112
		refs = "000d TWinControl.SetUseDockManager 003c @CallDynaInst 004a @IntfCopy 005f @IntfClear 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 93 F3 01 00 00 74 2F 88 93 F3 01 00 00 F6 43 1C 10 0F 95 C0 34 01 84 D0 74 1C 8D 55 FC 8B C3 66 BE C5 FF E8 ?? ?? ?? ?? 8B 55 FC 8D 83 D0 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_76721_0 {
	meta:
		name = "TWinControl.HandleAllocated"
		size = 11
	strings:
		$1 = { 83 B8 60 02 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_76722_0 {
	meta:
		name = "TWinControl.UpdateBounds"
		size = 297
		refs = "0010 IsIconic 002d GetWindowPlacement 004c GetWindowRect 005e GetWindowLongPtr 00bf ScreenToClient 011e TControl.UpdateAnchorRules"
	strings:
		$1 = { 53 56 57 83 C4 BC 8B D8 8B 83 60 02 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 27 C7 44 24 18 2C 00 00 00 8D 44 24 18 50 8B 83 60 02 00 00 50 E8 ?? ?? ?? ?? 8D 74 24 34 8D 7C 24 08 A5 A5 A5 A5 EB 11 8D 44 24 08 50 8B 83 60 02 00 00 50 E8 ?? ?? ?? ?? 8B 83 60 02 00 00 BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? A9 00 00 00 40 0F 84 8A 00 00 00 8B 83 60 02 00 00 BA F8 FF FF FF 52 50 E8 ?? ?? ?? ?? 8B F0 85 F6 74 72 8B C6 BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? A9 00 00 40 00 74 13 8B 44 24 08 89 04 24 8B 54 24 10 89 54 24 08 89 44 24 10 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 54 56 E8 ?? ?? ?? ?? 8B 04 24 89 44 24 08 8B 44 24 04 89 44 24 0C 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 54 56 E8 ?? ?? ?? ?? 8B 04 24 89 44 24 10 8B 44 24 04 89 44 24 14 8B 44 24 08 89 43 48 8B 44 24 0C 89 43 4C 8B 44 24 10 2B 44 24 08 89 43 50 8B 44 24 14 2B 44 24 0C 89 43 54 8B C3 E8 ?? ?? ?? ?? 83 C4 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76723_0 {
	meta:
		name = "TWinControl.GetTabControlList"
		size = 60
		refs = "0026 TList.Get 002f TList.Add"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 8B 86 E0 01 00 00 85 C0 74 25 8B 58 08 4B 85 DB 7C 1D 43 33 FF 8B D7 8B 86 E0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 47 4B 75 E6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76724_0 {
	meta:
		name = "TWinControl.GetTabOrderList"
		size = 94
		refs = "0032 TList.Get 003e TList.Add 004c @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B E8 8B 85 E0 01 00 00 85 C0 74 41 8B 78 08 4F 85 FF 7C 39 47 C7 44 24 04 00 00 00 00 8B 85 E0 01 00 00 8B 54 24 04 E8 ?? ?? ?? ?? 8B D8 8B D3 8B 04 24 E8 ?? ?? ?? ?? 8B 14 24 8B C3 66 BE B0 FF E8 ?? ?? ?? ?? FF 44 24 04 4F 75 D0 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76725_0 {
	meta:
		name = "TWinControl.FindNextControl"
		size = 265
		refs = "0019 _Dn_TList 001e TObject.Create 0029 TWinControl.FindNextControl 003e @CallDynaInst 0055 TList.IndexOf 00a0 TList.Get 00f1 TObject.Free 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 88 4D FB 8B FA 89 45 FC 33 C0 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 EC 8B 45 FC 66 BE B0 FF E8 ?? ?? ?? ?? 8B 45 EC 83 78 08 00 0F 8E 91 00 00 00 8B D7 8B 45 EC E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 FF 75 17 80 7D FB 00 74 0C 8B 45 EC 8B 40 08 48 89 45 F0 EB 05 33 C0 89 45 F0 8B 5D F0 80 7D FB 00 74 0D 43 8B 45 EC 3B 58 08 75 0F 33 DB EB 0B 85 DB 75 06 8B 45 EC 8B 58 08 4B 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B F8 8B C7 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 20 80 7D 0C 00 74 09 80 BF F0 01 00 00 00 74 11 80 7D 08 00 74 08 8B 47 38 3B 45 FC 75 03 89 7D F4 83 7D F4 00 75 05 3B 5D F0 75 9C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_76726_0 {
	meta:
		name = "TWinControl.SelectNext"
		size = 45
		refs = "0014 TWinControl.FindNextControl"
	strings:
		$1 = { 55 8B EC 51 88 4D FF 8B 4D 08 51 80 F1 01 51 0F B6 4D FF E8 ?? ?? ?? ?? 8B D0 85 D2 74 0A 8B C2 8B 10 FF 92 F4 00 00 00 59 5D C2 04 00 }
	condition:
		$1
}

rule function_76727_0 {
	meta:
		name = "TWinControl.SelectFirst"
		size = 69
		refs = "0009 GetParentForm 001e TWinControl.FindNextControl 003e TCustomForm.SetActiveControl"
	strings:
		$1 = { 53 56 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 2F 6A 01 6A 00 B1 01 33 D2 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0F 6A 00 6A 00 B1 01 33 D2 8B C3 E8 ?? ?? ?? ?? 85 C0 74 09 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76728_0 {
	meta:
		name = "TWinControl.GetChildren"
		size = 70
		refs = "0012 TWinControl.GetControlCount 0026 TWinControl.GetControl"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 21 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 50 04 3B 55 F8 75 08 8B D0 8B 45 0C FF 55 08 46 4B 75 E2 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_76729_0 {
	meta:
		name = "TWinControl.SetChildOrder"
		size = 64
		refs = "000a _DV_TWinControl 000f @IsClass 001c TWinControl.SetZOrderPosition 0027 _DV_TControl 0039 TControl.SetZOrderPosition"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76731_0 {
	meta:
		name = "DoCalcConstraints"
		size = 193
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 8B 46 78 83 78 14 00 76 0A 8B 5E 78 8B 5B 14 89 1A EB 04 33 DB 89 1A 83 78 10 00 76 0A 8B 5E 78 8B 5B 10 89 19 EB 04 33 DB 89 19 83 78 0C 00 76 0D 8B 5E 78 8B 5B 0C 8B 7D 0C 89 1F EB 07 8B 5D 0C 33 FF 89 3B 83 78 08 00 76 0D 8B 46 78 8B 40 08 8B 5D 08 89 03 EB 07 8B 45 08 33 DB 89 18 F6 46 5A 10 74 3E 8B 46 7C 8B 40 08 8B 5E 7C 03 43 10 83 3A 00 7E 02 01 02 8B 5D 0C 3B 03 7F 05 8B 5D 0C 29 03 8B 46 7C 8B 40 0C 8B 5E 7C 03 43 14 83 39 00 7E 02 01 01 8B 5D 08 3B 03 7F 05 8B 5D 08 29 03 8B 45 0C 50 8B 45 08 50 8B C6 8B 18 FF 53 48 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_76732_0 {
	meta:
		name = "TWinControl.CalcConstraints"
		size = 1164
		refs = "0014 TWinControl.HandleAllocated 0023 TWinControl.GetControlCount 004a IsRectEmpty 00fa TWinControl.CalcConstraints 014c TWinControl.GetControl 017d DoCalcConstraints 0472 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 89 4D F8 89 55 FC 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 58 04 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 49 04 00 00 8D 55 A0 8B C6 8B 08 FF 51 60 8D 55 A0 8B C6 8B 08 FF 91 AC 00 00 00 8D 45 A0 E8 ?? ?? ?? ?? 84 C0 0F 85 22 04 00 00 8B 46 7C BA 02 00 00 00 8B 08 FF 51 10 8B 55 A8 2B 55 A0 2B C2 89 45 F4 8B 46 7C BA 03 00 00 00 8B 08 FF 51 10 8B 55 AC 2B 55 A4 2B C2 89 45 F0 8B 46 7C BA 02 00 00 00 8B 08 FF 51 10 8B 55 A8 2B 55 A0 2B C2 89 45 EC 8B 46 7C BA 03 00 00 00 8B 08 FF 51 10 8B 55 AC 2B 55 A4 2B C2 89 45 E8 8B 45 FC 83 38 00 7E 08 8B 45 FC 8B 55 F4 29 10 8B 45 F8 83 38 00 7E 08 8B 45 F8 8B 55 F0 29 10 8B 45 0C 83 38 00 7E 08 8B 45 0C 8B 55 EC 29 10 8B 45 08 83 38 00 7E 08 8B 45 08 8B 55 E8 29 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E0 33 C0 89 45 D0 33 C0 89 45 DC 33 C0 89 45 CC 33 C0 89 45 D8 33 C0 89 45 C8 33 C0 89 45 D4 33 C0 89 45 C4 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 5D 02 00 00 47 C7 45 E4 00 00 00 00 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 8B D8 80 7B 61 00 75 14 F6 43 1C 10 0F 84 2F 02 00 00 F6 43 59 04 0F 85 25 02 00 00 8D 45 BC 50 8D 45 B4 50 8D 4D B8 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 0F B6 43 65 2C 01 72 16 2C 02 72 06 2C 02 74 08 EB 6F C6 45 B3 01 EB 6D C6 45 B3 02 EB 67 0F B6 43 6B 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 75 48 C6 45 B3 01 83 7D C0 00 7E 1B 8B 43 7C BA 02 00 00 00 8B 08 FF 51 10 8B 55 A8 2B 55 A0 2B D0 2B 55 C0 89 55 C0 83 7D BC 00 7E 27 8B 43 7C BA 02 00 00 00 8B 08 FF 51 10 8B 55 A8 2B 55 A0 03 55 BC 2B D0 89 55 BC EB 0A C6 45 B3 00 EB 04 C6 45 B3 03 0F B6 43 65 2C 01 72 16 04 FE 2C 02 72 04 74 08 EB 6F C6 45 B2 01 EB 6D C6 45 B2 02 EB 67 0F B6 43 6B 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 75 48 C6 45 B2 01 83 7D B8 00 7E 1B 8B 43 7C BA 03 00 00 00 8B 08 FF 51 10 8B 55 AC 2B 55 A4 2B D0 2B 55 B8 89 55 B8 83 7D B4 00 7E 27 8B 43 7C BA 03 00 00 00 8B 08 FF 51 10 8B 55 AC 2B 55 A4 03 55 B4 2B D0 89 55 B4 EB 0A C6 45 B2 00 EB 04 C6 45 B2 03 0F B6 45 B3 48 2C 02 72 04 74 58 EB 76 83 7D C0 00 7E 24 8B 45 FC 8B 00 3B 45 C0 7D 1A 8B 45 FC 8B 55 C0 89 10 8B 45 FC 8B 00 3B 45 E0 7E 08 8B 45 FC 8B 00 89 45 E0 83 7D BC 00 7E 46 8B 45 0C 8B 00 3B 45 BC 7E 3C 8B 45 0C 8B 55 BC 89 10 8B 45 0C 8B 00 3B 45 DC 7E 2A 8B 45 0C 8B 00 89 45 DC EB 20 8B 43 7C BA 02 00 00 00 8B 08 FF 51 10 01 45 D0 8B 43 7C BA 02 00 00 00 8B 08 FF 51 10 01 45 CC 0F B6 45 B2 48 2C 02 72 04 74 58 EB 76 83 7D B8 00 7E 24 8B 45 F8 8B 00 3B 45 B8 7D 1A 8B 45 F8 8B 55 B8 89 10 8B 45 F8 8B 00 3B 45 D8 7E 08 8B 45 F8 8B 00 89 45 D8 83 7D B4 00 7E 46 8B 45 08 8B 00 3B 45 B4 7E 3C 8B 45 08 8B 55 B4 89 10 8B 45 08 8B 00 3B 45 D4 7E 2A 8B 45 08 8B 00 89 45 D4 EB 20 8B 43 7C BA 03 00 00 00 8B 08 FF 51 10 01 45 C8 8B 43 7C BA 03 00 00 00 8B 08 FF 51 10 01 45 C4 FF 45 E4 4F 0F 85 AB FD FF FF 83 7D E0 00 7E 18 8B 45 E0 03 45 D0 8B 55 FC 3B 02 7E 0B 8B 45 E0 03 45 D0 8B 55 FC 89 02 83 7D DC 00 7E 20 8B 45 0C 83 38 00 74 0D 8B 45 DC 03 45 CC 8B 55 0C 3B 02 7E 0B 8B 45 DC 03 45 CC 8B 55 0C 89 02 83 7D D8 00 7E 18 8B 45 D8 03 45 C8 8B 55 F8 3B 02 7E 0B 8B 45 D8 03 45 C8 8B 55 F8 89 02 83 7D D4 00 7E 20 8B 45 08 83 38 00 74 0D 8B 45 D4 03 45 C4 8B 55 08 3B 02 7E 0B 8B 45 D4 03 45 C4 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 38 00 7E 08 8B 45 FC 8B 55 F4 01 10 8B 45 F8 83 38 00 7E 08 8B 45 F8 8B 55 F0 01 10 8B 45 0C 83 38 00 7E 08 8B 45 0C 8B 55 EC 01 10 8B 45 08 83 38 00 7E 08 8B 45 08 8B 55 E8 01 10 C3 E9 ?? ?? ?? ?? EB B8 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 05 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_76733_0 {
	meta:
		name = "TWinControl.ConstrainedResize"
		size = 57
		refs = "001b TWinControl.CalcConstraints 002e TControl.ConstrainedResize"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_76734_0 {
	meta:
		name = "TWinControl.ActionChange"
		size = 64
		refs = "0010 TControl.ActionChange 0018 _Dn_TCustomAction 001d @IsClass 0038 TControl.SetHelpContext"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 84 DB 74 09 83 BF 70 01 00 00 00 75 0A 8B 56 7C 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76736_0 {
	meta:
		name = "TWinControl.AssignTo"
		size = 48
		refs = "000b TControl.AssignTo 0013 _Dn_TCustomAction 0018 @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 93 70 01 00 00 8B C6 8B 08 FF 51 58 5E 5B C3 }
	condition:
		$1
}

rule function_76737_0 {
	meta:
		name = "TWinControl.CanAutoSize"
		size = 450
		refs = "001a TWinControl.HandleAllocated 0040 TWinControl.GetControlCount 0081 TWinControl.CanAutoSize 00a9 TWinControl.GetControl 0125 TWinControl.EnableAlign 012b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 89 4D F4 89 55 F8 89 45 FC C6 45 F3 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 91 01 00 00 8B 45 FC 80 78 65 05 0F 84 84 01 00 00 8B 45 FC F6 40 1C 10 74 10 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 8E 6B 01 00 00 8D 55 DC 8B 45 FC 8B 08 FF 91 DC 00 00 00 8D 55 CC 8B 45 FC 8B 08 FF 51 60 8D 55 CC 8B 45 FC 8B 08 FF 91 AC 00 00 00 8B 45 FC 66 FF 80 B4 01 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 73 46 C7 45 EC 00 00 00 00 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 80 78 61 00 75 0C F6 40 1C 10 74 4E F6 40 59 04 75 48 8B 55 FC 0F B6 52 65 8B CA 84 C9 74 08 80 C1 FD 80 E9 02 73 08 8B 7D DC 2B 7D CC EB 02 33 FF 80 EA 03 73 08 8B 55 E0 2B 55 D0 EB 02 33 D2 8B 48 50 51 8B 48 54 51 8B 48 4C 2B CA 8B 50 48 2B D7 8B 18 FF 93 A4 00 00 00 FF 45 EC 4E 75 95 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 60 5C EF 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 8B 45 FC 0F B6 50 65 8B C2 84 C0 74 06 04 FD 2C 02 73 33 8B 45 E4 2B 45 DC 85 C0 7E 22 8B 4D FC 03 41 50 8B 4D D4 2B 4D CC 2B C1 8B 4D F8 89 01 80 FA 04 75 11 8B 45 FC 8B 10 FF 52 74 EB 07 8B 45 F8 33 D2 89 10 8B 45 FC 0F B6 50 65 8B C2 2C 03 73 33 8B 45 E8 2B 45 E0 85 C0 7E 22 8B 4D FC 03 41 54 8B 4D D8 2B 4D D0 2B C1 8B 4D F4 89 01 80 FA 02 75 11 8B 45 FC 8B 10 FF 52 74 EB 07 8B 45 F4 33 D2 89 10 0F B6 45 F3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76738_0 {
	meta:
		name = "TWinControl.SetBevelCut"
		size = 67
		refs = "0021 TControl.Perform"
	strings:
		$1 = { 83 EA 01 72 04 74 1F EB 39 3A 88 B7 01 00 00 74 31 88 88 B7 01 00 00 6A 00 33 C9 BA 3B B0 00 00 E8 ?? ?? ?? ?? C3 3A 88 B8 01 00 00 74 14 88 88 B8 01 00 00 6A 00 33 C9 BA 3B B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76739_0 {
	meta:
		name = "TWinControl.SetBevelEdges"
		size = 48
		refs = "0029 TControl.Perform"
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 83 B6 01 00 00 3A 04 24 74 1A 0F B6 04 24 88 83 B6 01 00 00 6A 00 33 C9 BA 3B B0 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_76740_0 {
	meta:
		name = "TWinControl.SetBevelKind"
		size = 29
		refs = "0018 TControl.Perform"
	strings:
		$1 = { 3A 90 B9 01 00 00 74 14 88 90 B9 01 00 00 6A 00 33 C9 BA 3B B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76741_0 {
	meta:
		name = "TWinControl.SetBevelWidth"
		size = 29
		refs = "0018 TControl.Perform"
	strings:
		$1 = { 3B 90 BC 01 00 00 74 14 89 90 BC 01 00 00 6A 00 33 C9 BA 3B B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76742_0 {
	meta:
		name = "TWinControl.WMNCCalcSize"
		size = 140
		refs = "0026 InflateRect"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 8B 46 08 8B F0 8B 83 C0 01 00 00 F7 D8 8B C8 8B D0 8B FE 8B C7 E8 ?? ?? ?? ?? 80 BB B9 01 00 00 00 74 55 33 C0 80 BB B7 01 00 00 00 74 08 8B 93 BC 01 00 00 03 C2 80 BB B8 01 00 00 00 74 08 8B 93 BC 01 00 00 03 C2 8B F7 F6 83 B6 01 00 00 01 74 02 01 06 F6 83 B6 01 00 00 02 74 03 01 46 04 F6 83 B6 01 00 00 04 74 03 29 46 08 F6 83 B6 01 00 00 08 74 03 29 46 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76743_0 {
	meta:
		name = "TWinControl.WMNCPaint"
		size = 902
		refs = "002f TWinControl.GetHandle 0035 GetWindowDC 0040 TWinControl.WMNCPaint 0058 GetClientRect 006a GetWindowRect 0080 MapWindowPoints 0092 OffsetRect 00ab ExcludeClipRect 00ca InflateRect 00e8 GetWindowLongPtr 00fa TControl.UseRightToLeftScrollBar 0105 GetSystemMetrics 01a7 TStyleManager.GetIsCustomStyleActive 01c6 EdgeStyles 01d7 Ctl3DStyles 01e1 TStyleElementEdgeFlags.&op_Implicit 01f8 InnerStyles 0209 OuterStyles 020e TStyleElementEdges.&op_Implicit 0220 DrawStyleEdge 0284 DrawEdge 029d IntersectClipRect 02d0 GetRgnBox 02f4 IntersectRect 0314 TBrush.GetHandle 0322 FillRect 0341 ReleaseDC 0347 @HandleFinally 035c ThemeControl 036e TStyleManager.GetActiveStyle"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 55 F8 89 45 FC 8B 45 FC 80 B8 B9 01 00 00 00 75 10 8B 45 FC 83 B8 C0 01 00 00 00 0F 86 22 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 45 E4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 D4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 8D 45 D4 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 4D D8 F7 D9 8B 55 D4 F7 DA 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 EC 50 8B 45 E8 50 8B 45 E4 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8D 75 D4 8D 7D C4 A5 A5 A5 A5 8B 45 FC 8B 80 C0 01 00 00 8B C8 8B D0 8D 45 E4 E8 ?? ?? ?? ?? 8D 75 E4 8D 7D D4 A5 A5 A5 A5 8B 45 FC E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 8B D8 F7 C3 00 00 20 00 74 22 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C 6A 14 E8 ?? ?? ?? ?? 29 45 D4 EB 0A 6A 14 E8 ?? ?? ?? ?? 01 45 DC F7 C3 00 00 10 00 74 0A 6A 15 E8 ?? ?? ?? ?? 01 45 E0 8B 45 FC 80 B8 B9 01 00 00 00 0F 84 4E 01 00 00 33 C0 8B 55 FC 80 BA B7 01 00 00 00 74 0B 8B 55 FC 8B 92 BC 01 00 00 03 C2 8B 55 FC 80 BA B8 01 00 00 00 74 0B 8B 55 FC 8B 92 BC 01 00 00 03 C2 8B 55 FC F6 82 B6 01 00 00 01 74 03 29 45 D4 8B 55 FC F6 82 B6 01 00 00 02 74 03 29 45 D8 8B 55 FC F6 82 B6 01 00 00 04 74 03 01 45 DC 8B 55 FC F6 82 B6 01 00 00 08 74 03 01 45 E0 E8 ?? ?? ?? ?? 84 C0 74 77 8B 45 FC 0F B6 80 B6 01 00 00 8B 55 FC 0F B6 92 B9 01 00 00 0B 04 95 ?? ?? ?? ?? 8B 55 FC 0F B6 92 F1 01 00 00 0B 04 95 ?? ?? ?? ?? 0D 00 20 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 FC 0F B6 80 B7 01 00 00 8B 04 85 ?? ?? ?? ?? 8B 55 FC 0F B6 92 B8 01 00 00 0B 04 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 55 D4 8B 45 F4 E8 ?? ?? ?? ?? EB 62 8B 45 FC 0F B6 80 B6 01 00 00 8B 55 FC 0F B6 92 B9 01 00 00 0B 04 95 ?? ?? ?? ?? 8B 55 FC 0F B6 92 F1 01 00 00 0B 04 95 ?? ?? ?? ?? 0D 00 20 00 00 50 8B 45 FC 0F B6 80 B7 01 00 00 8B 04 85 ?? ?? ?? ?? 8B 55 FC 0F B6 92 B8 01 00 00 0B 04 95 ?? ?? ?? ?? 50 8D 45 D4 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 DC 50 8B 45 D8 50 8B 45 D4 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8D 75 C4 8D 7D D4 A5 A5 A5 A5 8B 45 F8 8B 40 04 83 F8 01 75 14 8B 4D D8 F7 D9 8B 55 D4 F7 DA 8D 45 D4 E8 ?? ?? ?? ?? EB 40 8D 55 E4 52 50 E8 ?? ?? ?? ?? 6A 02 8D 45 E4 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8D 4D E4 8D 55 D4 8D 45 D4 E8 ?? ?? ?? ?? 8B 4D C8 F7 D9 8B 55 C4 F7 DA 8D 45 D4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C8 01 00 00 E8 ?? ?? ?? ?? 50 8D 45 D4 50 8B 45 F4 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 55 F8 8B 45 FC 8B 08 FF 51 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 FC F6 40 5A 02 74 12 E8 ?? ?? ?? ?? 33 C9 8B 55 FC 8B 18 FF 93 04 01 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76744_0 {
	meta:
		name = "TWinControl.FindChildControl"
		size = 93
		refs = "002c TList.Get 0036 CompareText"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B D8 33 C0 89 04 24 8B 83 E8 01 00 00 85 C0 74 3C 8B 78 08 4F 85 FF 7C 34 47 33 F6 8B D6 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 8B 40 08 8B D5 E8 ?? ?? ?? ?? 85 C0 75 12 8B D6 8B 83 E8 01 00 00 E8 ?? ?? ?? ?? 89 04 24 EB 04 46 4F 75 CF 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76745_0 {
	meta:
		name = "TWinControl.WMContextMenu"
		size = 183
		refs = "003b TControl.ScreenToClient 0048 TWinControl.ControlAtPos 0099 TControl.Perform 00ab TControl.WMContextMenu"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B DA 8B F0 83 7B 0C 00 0F 85 9A 00 00 00 8B 43 08 89 04 24 0F BF 04 24 89 44 24 04 0F BF 44 24 02 89 44 24 08 6A 00 6A 00 8D 4C 24 28 8D 54 24 0C 8B C6 E8 ?? ?? ?? ?? 8D 54 24 28 33 C9 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 74 4E 8B 43 08 89 44 24 0C 0F BF 44 24 0C 89 44 24 10 0F BF 44 24 0E 89 44 24 14 8B 44 24 10 89 44 24 18 8B 44 24 14 89 44 24 1C 8B 6C 24 18 81 E5 FF FF 00 00 8B 44 24 1C C1 E0 10 0B E8 55 33 C9 BA 7B 00 00 00 8B C7 E8 ?? ?? ?? ?? 89 43 0C 83 7B 0C 00 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 83 C4 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76746_0 {
	meta:
		name = "TWinControl.UpdateUIState"
		size = 73
		refs = "0006 GetParentForm 0030 TControl.Perform"
	strings:
		$1 = { 53 8B DA B2 01 E8 ?? ?? ?? ?? 85 C0 74 39 66 83 EB 09 74 0F 66 83 EB 09 74 1C 83 C3 ED 66 83 EB 04 73 24 6A 00 B9 02 00 01 00 BA 27 01 00 00 E8 ?? ?? ?? ?? EB 11 6A 00 B9 02 00 02 00 BA 27 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76747_0 {
	meta:
		name = "TWinControl.WMPrintClient"
		size = 218
		refs = "0027 TWinControl.WMPrintClient 0054 SaveDC 0070 TWinControl.PaintHandler 008d RestoreDC 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 F8 89 45 FC 8B 45 FC F6 40 5E 01 0F 95 C0 88 45 F3 8B 45 FC 81 48 5C 00 00 01 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 78 0C 01 74 6C 8B 45 F8 F6 40 08 01 74 09 8B 45 FC 80 78 61 00 74 4D 8B 45 F8 8B 40 04 50 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 8B 40 04 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 55 F8 8B 45 FC 8B 08 FF 51 F0 EB 0B 8B 55 F8 8B 45 FC 8B 08 FF 51 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F3 00 75 0A 8B 45 FC 81 60 5C FF FF FE FF C3 E9 ?? ?? ?? ?? EB E8 8B E5 5D C3 }
	condition:
		$1
}

rule function_76748_0 {
	meta:
		name = "TWinControl.WMGesture"
		size = 952
		refs = "0035 TWinControl.GetHandle 003b DefWindowProc 0055 @FillChar 006c GetGestureInfo 007c TWinControl.WMGesture 00ec GestureMap 0130 PhysicalToLogicalPoint 0140 TControl.ScreenToClient 023c _DV_TWinControl 0241 @IsClass 02f2 TControl.Perform 036a CloseGestureInfoHandle 0386 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 5C FF FF FF 53 56 89 55 F8 89 45 FC 8B 45 FC 83 B8 58 02 00 00 00 75 2D 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 04 50 8B 45 F8 8B 00 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C E9 42 03 00 00 8D 45 88 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? C7 45 88 30 00 00 00 8D 45 88 50 8B 45 F8 8B 40 08 50 E8 ?? ?? ?? ?? 85 C0 0F 84 14 03 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 85 68 FF FF FF 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 0F B7 45 90 66 05 00 01 66 89 85 68 FF FF FF 0F B7 85 68 FF FF FF 66 3D 01 01 0F 84 74 02 00 00 66 3D 02 01 0F 84 6A 02 00 00 8B 45 FC 8B 98 58 02 00 00 EB 02 8B D8 8B 43 38 85 C0 74 31 8B 93 B4 00 00 00 F6 42 11 10 74 25 0F BF 95 68 FF FF FF 0F B6 92 ?? ?? ?? ?? 8B 8B B4 00 00 00 80 FA 07 77 0A 83 E2 7F 0F B6 49 10 0F A3 D1 73 C6 0F BF 45 98 89 45 E8 0F BF 45 9A 89 45 EC 8B 45 E8 89 45 F0 8B 45 EC 89 45 F4 8D 45 F0 50 8B 45 FC 8B 80 60 02 00 00 50 E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 89 85 6C FF FF FF 8B 85 64 FF FF FF 89 85 70 FF FF FF 0F B6 05 ?? ?? ?? ?? 88 85 74 FF FF FF 8B 75 8C 8B C6 83 E0 01 83 F8 01 75 07 80 8D 74 FF FF FF 01 8B C6 83 E0 02 83 F8 02 75 07 80 8D 74 FF FF FF 02 83 E6 04 83 FE 04 75 07 80 8D 74 FF FF FF 04 0F BF 85 68 FF FF FF 05 FD FE FF FF 83 F8 04 0F 87 2F 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 A8 89 45 84 8B 45 AC 33 D2 66 89 45 E4 8B 45 AC 33 D2 C1 E8 10 66 89 45 E6 8B 45 E4 89 45 80 E9 EE 00 00 00 8B 45 A8 89 45 84 E9 E3 00 00 00 8B 45 A8 89 85 5C FF FF FF 8B 85 5C FF FF FF 89 45 E0 0F BF 45 E0 89 45 D8 0F BF 45 E2 89 45 DC 8B 45 D8 89 45 F0 8B 45 DC 89 45 F4 0F BF 45 98 01 45 F0 0F BF 45 9A 01 45 F4 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8D 45 F0 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 12 8D 45 F0 50 8B 43 38 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D D0 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 0F B7 45 D0 66 89 45 CC 0F B7 45 D4 66 89 45 CE 8B 45 CC 89 45 84 EB 4E 0F B7 45 A8 89 85 5C FF FF FF DB 85 5C FF FF FF D8 35 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 DB 2D ?? ?? ?? ?? DE E9 DD 5D B8 9B 8B 45 B8 89 45 C0 8B 45 BC 89 45 C4 8B 45 C0 89 85 78 FF FF FF 8B 45 C4 89 85 7C FF FF FF 8D 85 68 FF FF FF 50 33 C9 BA 52 B0 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 F8 89 70 0C 4E 74 54 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 04 50 8B 45 F8 8B 00 50 8B 45 FC 8B 80 60 02 00 00 50 E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C EB 29 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 04 50 8B 45 F8 8B 00 50 8B 45 FC 8B 80 60 02 00 00 50 E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 08 50 E8 ?? ?? ?? ?? 66 81 BD 68 FF FF FF 02 01 75 0B 8B 45 FC 33 D2 89 90 58 02 00 00 C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 FF 7F 47 00 00 80 40 3E 84 A7 46 9E DA 0F C9 00 40 00 00 3E 84 A7 46 9E DA 0F C9 01 40 00 00 }
	condition:
		$1
}

rule function_76749_0 {
	meta:
		name = "TWinControl.WMGestureNotify"
		size = 988
		refs = "0017 TWinControl.WMGestureNotify 0053 PhysicalToLogicalPoint 0060 TControl.ScreenToClient 0081 PtInRect 0095 :TWinControl.:2 009a @DynArraySetLength 00c7 TWinControl.GetHandle 00cd SetGestureConfig 00ec TWinControl.ControlAtPos 0130 CPanOoptions 01cc @FillChar 01e6 CPan 01f7 CPanSingleFingerVertical 0208 CPanSingleFingerHorizontal 0219 CPanWithGutter 022a CPanWithInertia 02b4 CZoom 02ee CRotate 0328 CTwoFingerTap 0362 CPressAndTap 038f @DynArrayLength 03c4 @DynArrayClear 03ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 8B 40 0C 89 45 E8 0F BF 45 E8 89 45 E0 0F BF 45 EA 89 45 E4 8B 45 E0 89 45 F0 8B 45 E4 89 45 F4 8D 45 F0 50 8B 86 60 02 00 00 50 E8 ?? ?? ?? ?? 8D 4D D8 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 D8 89 45 F0 8B 45 DC 89 45 F4 8D 55 C8 8B C6 8B 08 FF 51 60 8D 45 C8 8D 55 F0 E8 ?? ?? ?? ?? 84 C0 75 57 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 33 D2 89 10 8B 45 FC 33 D2 89 50 04 8B 45 FC C7 40 08 01 00 00 00 6A 0C 8B 45 FC 50 6A 01 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 C7 40 0C 01 00 00 00 E9 CD 02 00 00 6A 00 6A 00 8D 55 F0 B1 01 8B C6 E8 ?? ?? ?? ?? 8B D8 89 9E 58 02 00 00 85 DB 75 06 89 B6 58 02 00 00 8B 9E 58 02 00 00 8D 4D ED 8D 55 EF 8B C3 8B 38 FF 57 54 EB 3E 8B 5B 38 8D 4D EC 8D 55 EE 8B C3 8B 38 FF 57 54 F6 45 EF 02 74 14 0F B6 05 ?? ?? ?? ?? F7 D0 22 45 EC 0A 45 ED 88 45 ED EB 0A 0F B6 45 EC 0A 45 ED 88 45 ED 0F B6 45 EE 0A 45 EF 88 45 EF 83 7B 38 00 74 0C 8B 83 B4 00 00 00 F6 40 11 10 75 B0 0F B6 05 ?? ?? ?? ?? 3A 45 EF 75 36 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 33 D2 89 10 8B 45 FC 33 D2 89 50 04 8B 45 FC C7 40 08 01 00 00 00 E9 DC 01 00 00 6A 05 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 33 C9 BA 3C 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC C7 00 04 00 00 00 F6 45 EF 02 0F 95 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? F6 45 ED 02 0F 95 C2 83 E2 7F 0B 04 95 ?? ?? ?? ?? F6 45 ED 01 0F 95 C2 83 E2 7F 0B 04 95 ?? ?? ?? ?? F6 45 ED 08 0F 95 C2 83 E2 7F 0B 04 95 ?? ?? ?? ?? F6 45 ED 04 0F 95 C2 83 E2 7F 0B 04 95 ?? ?? ?? ?? 8B 55 FC 89 42 04 F6 45 EF 02 0F 95 C0 34 01 83 E0 7F 8B 04 85 ?? ?? ?? ?? F6 45 ED 02 0F 95 C2 80 F2 01 83 E2 7F 0B 04 95 ?? ?? ?? ?? F6 45 ED 01 0F 95 C2 80 F2 01 83 E2 7F 0B 04 95 ?? ?? ?? ?? F6 45 ED 08 0F 95 C2 80 F2 01 83 E2 7F 0B 04 95 ?? ?? ?? ?? F6 45 ED 04 0F 95 C2 80 F2 01 83 E2 7F 0B 04 95 ?? ?? ?? ?? 8B 55 FC 89 42 08 8B 45 FC C7 40 0C 03 00 00 00 F6 45 EF 01 0F 95 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8B 55 FC 89 42 10 F6 45 EF 01 0F 95 C0 34 01 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8B 55 FC 89 42 14 8B 45 FC C7 40 18 05 00 00 00 F6 45 EF 04 0F 95 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8B 55 FC 89 42 1C F6 45 EF 04 0F 95 C0 34 01 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8B 55 FC 89 42 20 8B 45 FC C7 40 24 06 00 00 00 F6 45 EF 08 0F 95 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8B 55 FC 89 42 28 F6 45 EF 08 0F 95 C0 34 01 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8B 55 FC 89 42 2C 8B 45 FC C7 40 30 07 00 00 00 F6 45 EF 10 0F 95 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8B 55 FC 89 42 34 F6 45 EF 10 0F 95 C0 34 01 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8B 55 FC 89 42 38 6A 0C 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 C7 40 0C 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_76750_0 {
	meta:
		name = "TWinControl.WMTabletQuerySystemGestureStatus"
		size = 166
		refs = "0032 PhysicalToLogicalPoint 003f TControl.ScreenToClient 005f TWinControl.ControlAtPos 0075 Options"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B FA 8B D8 0F B7 47 08 0F B7 57 0A 89 44 24 08 89 54 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 54 8B 83 60 02 00 00 50 E8 ?? ?? ?? ?? 8D 4C 24 10 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 6A 00 6A 00 8D 54 24 08 B1 01 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 02 8B F3 C7 47 0C 19 83 19 00 33 C0 BA ?? ?? ?? ?? 8B 8E B4 00 00 00 8B D8 80 FB 0F 77 08 83 E3 7F 66 0F A3 59 1E 73 07 8B 0A F7 D1 21 4F 0C 40 83 C2 04 3C 09 75 DA 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76751_0 {
	meta:
		name = "TWinControl.GetParentBackground"
		size = 8
	strings:
		$1 = { F6 40 5A 04 0F 95 C0 C3 }
	condition:
		$1
}

rule function_76752_0 {
	meta:
		name = "TWinControl.SetParentBackground"
		size = 60
		refs = "0013 TWinControl.SetParentBackground"
	strings:
		$1 = { 56 8B F0 F6 46 5A 04 0F 95 C0 3A D0 74 28 84 D2 74 0D A1 ?? ?? ?? ?? 0B 46 58 89 46 58 EB 0D A1 ?? ?? ?? ?? F7 D0 23 46 58 89 46 58 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 00 00 04 00 }
	condition:
		$1
}

rule function_76753_0 {
	meta:
		name = "TWinControl.CMTextChanged"
		size = 21
		refs = "000f TWinControl.InvalidateDockHostSite"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 33 D2 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_76754_0 {
	meta:
		name = "TWinControl.InvalidateDockHostSite"
		size = 50
		refs = "002c TControl.SendDockNotification"
	strings:
		$1 = { 56 8B F0 8B 48 38 EB 05 8B F1 8B 49 38 83 BE 98 00 00 00 00 75 04 85 C9 75 EE 85 F6 74 12 83 E2 7F 52 8B C8 8B C6 BA 46 B0 00 00 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_76757_0 {
	meta:
		name = "TWinControl.RemoveWindowProps"
		size = 45
		refs = "0006 ControlAtom 0013 RemoveProp 001a WindowAtom"
	strings:
		$1 = { 53 8B D8 0F B7 05 ?? ?? ?? ?? 50 8B 83 60 02 00 00 50 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 50 8B 83 60 02 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76758_0 {
	meta:
		name = "TWinControl.IsQualifyingSite"
		size = 34
		refs = "0011 TWinControl.GetVisibleDockClientCount"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 9E 98 00 00 00 75 0F 8B C3 E8 ?? ?? ?? ?? 48 7F 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_76760_0 {
	meta:
		name = "TWinControl.SetPadding"
		size = 12
	strings:
		$1 = { 8B 80 C4 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_76761_0 {
	meta:
		name = "TWinControl.UpdateRecreatingFlag"
		size = 78
		refs = "003a TList.Get 0041 TWinControl.UpdateRecreatingFlag"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 84 DB 74 09 81 4D 5C 00 20 00 00 EB 07 81 65 5C FF DF FF FF 8B 85 E8 01 00 00 85 C0 74 23 8B 70 08 4E 85 F6 7C 1B 46 33 FF 8B D7 8B 85 E8 01 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 47 4E 75 E8 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76762_0 {
	meta:
		name = "TWinControl.UpdateControlOriginalParentSize"
		size = 121
		refs = "002b TWinControl.HandleAllocated"
	strings:
		$1 = { 53 56 83 C4 F0 8B F1 8B D8 F6 43 1C 02 74 19 F6 42 1C 10 75 41 8B 83 6C 02 00 00 89 06 8B 83 70 02 00 00 89 46 04 EB 2E 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8B D4 8B C3 8B 08 FF 51 60 8B 44 24 08 89 06 8B 44 24 0C 89 46 04 EB 0B 8B 43 50 89 06 8B 43 54 89 46 04 8B 83 C4 01 00 00 8B 50 08 03 50 10 29 16 8B 83 C4 01 00 00 8B 50 0C 03 50 14 29 56 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_76763_0 {
	meta:
		name = "TWinControl.SetParent"
		size = 124
		refs = "0010 TWinControl.HandleAllocated 0036 TWinControl.UpdateRecreatingFlag 003e TWinControl.SetParent 004e TControl.SetParent 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 09 8B 45 FC F6 40 5D 20 74 04 33 C0 EB 02 B0 01 88 45 FB 80 7D FB 00 74 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_76764_0 {
	meta:
		name = "TGraphicControl.Create"
		size = 91
		refs = "000e @ClassCreate 001c TControl.Create 0023 _DV_TControlCanvas 0028 TCanvas.Create 0039 TControlCanvas.SetControl 0046 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B0 01 00 00 8B C6 8B D3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_76765_0 {
	meta:
		name = "TGraphicControl.Destroy"
		size = 62
		refs = "0003 @BeforeDestruction 000d CaptureControl 0016 SetCaptureControl 0021 TObject.Free 002c TControl.Destroy 0037 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 3B 35 ?? ?? ?? ?? 75 07 33 C0 E8 ?? ?? ?? ?? 8B 86 B0 01 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76766_0 {
	meta:
		name = "TGraphicControl.WMPaint"
		size = 179
		refs = "002b TCustomCanvas.Lock 0033 TGraphicControl.WMPaint 004a TCanvas.SetHandle 0086 @HandleFinally 00a3 TCustomCanvas.Unlock"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 83 7B 04 00 0F 84 9B 00 00 00 8B 45 FC F6 40 1C 08 0F 85 8E 00 00 00 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 04 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 AC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 01 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_76768_0 {
	meta:
		name = "THintWindow.Create"
		size = 105
		refs = "000a @ClassCreate 0017 TCustomControl.Create 0023 TControl.SetColor 0028 Screen 003b TCanvas.SetFont 004b TBrush.SetStyle 0056 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA FF FF 80 00 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 90 80 00 00 00 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 8B 86 78 02 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_76769_0 {
	meta:
		name = "THintWindow.CreateParams"
		size = 84
		refs = "000b TWinControl.CreateParams 0028 CheckWin32Version 0039 NewStyleControls 004d TWinControl.AddBiDiModeExStyle"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? C7 43 04 00 00 80 80 81 4B 24 00 08 00 00 BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 07 81 4B 24 00 00 02 00 80 3D ?? ?? ?? ?? 00 74 07 C7 43 08 80 00 00 00 8D 53 08 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76770_0 {
	meta:
		name = "TCustomHintWindow.WMNCHitTest"
		size = 8
		altNames = "THintWindow.WMNCHitTest TScreenTipsWindow.WMNCHitTest TScrollingStyleHook.TScrollWindow.WMNCHitTest"
	strings:
		$1 = { C7 42 0C FF FF FF FF C3 }
	condition:
		$1
}

rule function_76771_0 {
	meta:
		name = "THintWindow.WMNCPaint"
		size = 97
		refs = "000d TWinControl.GetHandle 0013 GetWindowDC 001e THintWindow.WMNCPaint 0051 ReleaseDC 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 59 59 5D C3 }
	condition:
		$1
}

rule function_76958_0 {
	meta:
		name = "TCustomHintWindow.WMNCPaint"
		size = 97
		refs = "000d TWinControl.GetHandle 0013 GetWindowDC 001e TCustomHintWindow.WMNCPaint 0051 ReleaseDC 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 59 59 5D C3 }
	condition:
		$1
}

rule function_76772_0 {
	meta:
		name = "THintWindow.Paint"
		size = 503
		refs = "0014 THintWindow.Paint 0029 TStyleManager.GetActiveStyle 0030 Screen 006b InflateRect 0070 TOSVersion.FMajor 007c TCustomStyleServices.GetIsSystemStyle 0092 TCanvas.GetHandle 00ba TCustomStyleServices.DrawElement 00de TCustomStyleServices.GetElementColor 016f GradientFillCanvas 0192 TFont.SetColor 01a9 TControl.GetText 01b3 TControl.DrawTextBiDiModeFlagsReadingOnly 01c8 @UStrToPWChar 01cf DrawText 01e4 @UStrClr 01ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D8 8B C3 8B 08 FF 51 60 E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 8B 00 8B 80 80 00 00 00 8B 40 18 89 45 F0 8B C6 8B 10 FF 52 48 84 C0 0F 84 2C 01 00 00 56 8D 75 D8 8D 7D C8 A5 A5 A5 A5 5E 8D 45 D8 B9 04 00 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 06 7C 09 8B C6 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 3B 89 75 EC 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 89 45 E8 8D 4D B0 B2 02 8B C6 8B 30 FF 96 EC 00 00 00 8D 45 D8 50 8D 45 C8 50 8D 4D B0 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? E9 B0 00 00 00 8D 4D BC B2 02 8B C6 8B 38 FF 97 90 00 00 00 8D 45 F8 50 B1 09 8D 55 BC 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0E 81 7D F8 FF FF FF 1F 74 05 8B 7D F8 EB 05 BF 18 00 00 FF 8D 45 F8 50 B1 0A 8D 55 BC 8B C6 E8 ?? ?? ?? ?? 84 C0 74 11 81 7D F8 FF FF FF 1F 74 08 8B 45 F8 89 45 F4 EB 07 C7 45 F4 18 00 00 FF 8D 45 F8 50 B1 02 8D 55 BC 8B C6 E8 ?? ?? ?? ?? 84 C0 74 11 81 7D F8 FF FF FF 1F 74 08 8B 45 F8 89 45 F0 EB 13 A1 ?? ?? ?? ?? 8B 00 8B 80 80 00 00 00 8B 40 18 89 45 F0 8D 45 D8 50 6A 01 8B 4D F4 8B D7 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8D 75 C8 8D 7D D8 A5 A5 A5 A5 83 45 D8 02 83 45 DC 02 8B 83 78 02 00 00 8B 40 40 8B 55 F0 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 CF FF 8B C3 E8 ?? ?? ?? ?? 0D 10 08 00 00 8B D8 53 8D 45 D8 50 57 8B 45 FC E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76773_0 {
	meta:
		name = "THintWindow.IsHintMsg"
		size = 100
	strings:
		$1 = { 56 8B 42 04 3D 00 01 00 00 72 07 3D 09 01 00 00 76 4E 8B 4A 04 81 F9 00 B0 00 00 74 43 81 F9 01 B0 00 00 74 3B 81 7A 04 16 B0 00 00 74 32 81 7A 04 17 B0 00 00 74 29 81 7A 04 11 01 00 00 74 20 8B 72 04 81 FE 00 02 00 00 76 08 81 FE 0E 02 00 00 76 0D 81 7A 04 A0 00 00 00 74 04 33 C0 5E C3 B0 01 5E C3 }
	condition:
		$1
}

rule function_76774_0 {
	meta:
		name = "TBaseAdapterMultiValueField.GetFieldValuesAdapter"
		size = 9
		altNames = "TCustomAdapter.GetVariableCount THintWindow.ReleaseHandle"
	strings:
		$1 = { 8B 10 FF 92 CC 00 00 00 C3 }
	condition:
		$1
}

rule function_76775_0 {
	meta:
		name = "THintWindow.CMTextChanged"
		size = 151
		refs = "000e THintWindow.CMTextChanged 001b TWinControl.CMTextChanged 002e TControl.GetText 003c TCustomCanvas.TextWidth 0048 TControl.SetWidth 0060 TCustomCanvas.TextHeight 006c TControl.SetHeight 0086 @UStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB 80 02 00 00 00 75 48 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B D0 83 C2 06 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B D0 83 C2 04 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_76776_0 {
	meta:
		name = "THintWindow.ActivateHint"
		size = 634
		refs = "0025 THintWindow.ActivateHint 0035 TControl.SetText 0044 TControl.UpdateBoundsRect 0058 Screen 0061 TScreen.MonitorFromPoint 006a TMonitor.GetWidth 0083 TControl.SetWidth 008a TMonitor.GetHeight 00a3 TControl.SetHeight 00aa TMonitor.GetTop 00e4 TMonitor.GetLeft 0148 Application 0158 TWinControl.SetParentWindow 017a TWinControl.GetHandle 0180 SetWindowPos 0185 GetTickCount 01b4 AnimateWindowProc 01c9 SystemParametersInfo 01f3 Mouse 01f8 TMouse.GetCursorPos 0210 AnimationStyle 0237 ShowWindow 026d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B F2 8D 7D E0 A5 A5 A5 A5 8B F1 89 45 FC 8B 45 FC C6 80 80 02 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D6 8B 45 FC E8 ?? ?? ?? ?? 83 45 EC 04 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 89 45 F0 8B 45 E4 89 45 F4 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 3B 42 50 7D 11 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 3B 42 54 7D 11 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 03 F8 8B 45 FC 8B 40 54 03 45 E4 3B F8 7D 1B 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 03 F8 8B 45 FC 2B 78 54 89 7D E4 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 03 F8 8B 45 FC 8B 40 50 03 45 E0 3B F8 7D 1B 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 03 F8 8B 45 FC 2B 78 50 89 7D E0 8B C3 E8 ?? ?? ?? ?? 3B 45 E0 7E 0A 8B C3 E8 ?? ?? ?? ?? 89 45 E0 8B C3 E8 ?? ?? ?? ?? 3B 45 EC 7E 0A 8B C3 E8 ?? ?? ?? ?? 89 45 E4 A1 ?? ?? ?? ?? 8B 00 8B 90 78 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 10 8B 45 FC 8B 40 54 50 8B 45 FC 8B 40 50 50 8B 45 E4 50 8B 45 E0 50 6A FF 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 2B 82 84 02 00 00 3D FA 00 00 00 76 13 8B C6 85 C0 74 05 83 E8 04 8B 00 83 F8 64 0F 9C C0 EB 02 33 C0 84 C0 74 79 83 3D ?? ?? ?? ?? 00 74 70 6A 00 8D 45 F8 50 6A 00 68 16 10 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 74 58 6A 00 8D 45 F8 50 6A 00 68 18 10 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 74 04 B3 02 EB 1B 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 3B 45 E4 7E 04 33 DB EB 02 B3 01 0F B6 C3 8B 04 85 ?? ?? ?? ?? 0D 00 00 04 00 50 6A 64 8B 45 FC E8 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 6A 04 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 84 02 00 00 8B 45 FC C6 80 80 02 00 00 00 C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76777_0 {
	meta:
		name = "THintWindow.ActivateHintData"
		size = 38
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8D 55 F0 8B 18 FF 93 00 01 00 00 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_76778_0 {
	meta:
		name = "THintWindow.CalcHintRect"
		size = 164
		refs = "001c THintWindow.CalcHintRect 0030 Rect 003b TCanvas.GetHandle 0048 @UStrLAsg 0056 TControl.DrawTextBiDiModeFlagsReadingOnly 006b @UStrToPWChar 0072 DrawText 008f @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 53 8B CF 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 8B F8 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? C7 45 F4 FF FF FF FF 8B C6 E8 ?? ?? ?? ?? 0D 10 0C 00 00 8B F0 56 53 8B 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 83 43 08 06 83 43 0C 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_76779_0 {
	meta:
		name = "THintWindow.NCPaint"
		size = 128
		refs = "001a Rect 001f TStyleManager.GetActiveStyle 0037 DrawEdge 0054 THintWindow.NCPaint 006d TCustomStyleServices.DrawEdge"
	strings:
		$1 = { 53 56 83 C4 E4 8B F2 8B D8 8B 43 54 50 8D 44 24 04 50 8B 4B 50 33 D2 33 C0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 75 11 6A 0F 6A 01 8D 44 24 08 50 56 E8 ?? ?? ?? ?? EB 34 E8 ?? ?? ?? ?? 8D 4C 24 10 B2 01 8B 18 FF 93 FC 00 00 00 54 0F B6 05 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8D 4C 24 20 8B D6 E8 ?? ?? ?? ?? 83 C4 1C 5E 5B C3 00 04 00 00 00 00 01 00 00 }
	condition:
		$1
}

rule function_76780_0 {
	meta:
		name = "TCustomHintWindow.WMPrint"
		size = 36
		refs = "0010 TWinControl.PaintTo"
		altNames = "THintWindow.WMPrint"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 8B 56 04 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 56 04 8B C3 8B 08 FF 91 FC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_76782_0 {
	meta:
		name = "ClientToWindow"
		size = 64
		refs = "0019 ClientToScreen 0023 GetWindowRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B D8 8B 75 08 89 55 F8 89 4D FC 8D 45 F8 50 53 E8 ?? ?? ?? ?? 8D 45 E8 50 53 E8 ?? ?? ?? ?? 8B 45 F8 2B 45 E8 89 06 8B 45 FC 2B 45 EC 89 46 04 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_76783_0 {
	meta:
		name = "TDragImageList.Initialize"
		size = 22
		refs = "0006 TCustomImageList.Initialize 0010 TDragImageList.SetDragCursor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 CA FF 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76784_0 {
	meta:
		name = "TDragImageList.SetDragImage"
		size = 79
		refs = "000f TCustomImageList.HandleAllocated 0035 TCustomImageList.GetHandle 003b ImageList_BeginDrag"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2F 89 B3 88 00 00 00 89 BB 80 00 00 00 8B 45 08 89 83 84 00 00 00 8B 45 08 50 57 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B0 01 88 43 7A EB 02 33 C0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_76785_0 {
	meta:
		name = "TDragImageList.SetDragCursor"
		size = 35
		refs = "0014 Screen 001e TScreen.SetCursor"
	strings:
		$1 = { 66 3B 50 78 74 1C 8B CA 66 89 48 78 80 78 7A 00 74 10 8B 15 ?? ?? ?? ?? 8B 12 8B C1 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76786_0 {
	meta:
		name = "TDragImageList.GetHotSpot"
		size = 43
		refs = "000b TCustomImageList.GetHotSpot 0012 TCustomImageList.HandleAllocated 0024 ImageList_GetDragImage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 80 7B 7A 00 74 08 56 6A 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76787_0 {
	meta:
		name = "TDragImageList.BeginDrag"
		size = 125
		refs = "0013 TCustomImageList.HandleAllocated 0037 TDragImageList.SetDragImage 0047 TDragImageList.DragLock 0052 Screen 006f TScreen.SetCursor"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 58 80 7E 7A 00 75 1A 8B 86 84 00 00 00 50 8B 8E 80 00 00 00 8B 96 88 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 22 A1 ?? ?? ?? ?? 8B 00 0F B7 40 4C 66 89 86 8C 00 00 00 A1 ?? ?? ?? ?? 8B 00 0F B7 56 78 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_76788_0 {
	meta:
		name = "TDragImageList.DragLock"
		size = 97
		refs = "0015 TCustomImageList.HandleAllocated 0025 TDragImageList.DragUnlock 003b ClientToWindow 004c ImageList_DragEnter"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B F2 8B F8 33 DB 8B C7 E8 ?? ?? ?? ?? 84 C0 74 39 3B 77 7C 74 34 8B C7 E8 ?? ?? ?? ?? 8B DE 89 5F 7C 8D 45 F4 50 8B 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 F4 50 8B 47 7C 50 E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_76789_0 {
	meta:
		name = "TDragImageList.DragUnlock"
		size = 36
		refs = "0006 TCustomImageList.HandleAllocated 0019 ImageList_DragLeave"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 83 7B 7C 00 74 0E 8B 43 7C 50 E8 ?? ?? ?? ?? 33 C0 89 43 7C 5B C3 }
	condition:
		$1
}

rule function_76790_0 {
	meta:
		name = "TDragImageList.DragMove"
		size = 67
		refs = "000f TCustomImageList.HandleAllocated 0020 ClientToWindow 002f ImageList_DragMove"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 24 54 8B CF 8B D6 8B 43 7C E8 ?? ?? ?? ?? 8B 44 24 04 50 8B 44 24 04 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 EB 02 33 C0 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76791_0 {
	meta:
		name = "TDragImageList.ShowDragImage"
		size = 23
		refs = "0006 TCustomImageList.HandleAllocated 0011 ImageList_DragShowNolock"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 6A FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76792_0 {
	meta:
		name = "TDragImageList.HideDragImage"
		size = 23
		refs = "0006 TCustomImageList.HandleAllocated 0011 ImageList_DragShowNolock"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 6A 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76793_0 {
	meta:
		name = "TDragImageList.EndDrag"
		size = 81
		refs = "0007 TCustomImageList.HandleAllocated 0018 TDragImageList.DragUnlock 001d ImageList_EndDrag 0031 TDragImageList.SetDragCursor 0036 Screen 0044 TScreen.SetCursor"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3B 80 7E 7A 00 74 35 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 C6 46 7A 00 83 CA FF 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 0F B7 96 8C 00 00 00 E8 ?? ?? ?? ?? EB 02 33 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_76794_0 {
	meta:
		name = "TCustomControl.Create"
		size = 91
		refs = "000e @ClassCreate 001c TWinControl.Create 0023 _DV_TControlCanvas 0028 TCanvas.Create 0039 TControlCanvas.SetControl 0046 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 78 02 00 00 8B C6 8B D3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_76795_0 {
	meta:
		name = "TCustomControl.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TWinControl.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 78 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76796_0 {
	meta:
		name = "TCustomControl.WMPaint"
		size = 32
		refs = "0012 TWinControl.WMPaint"
	strings:
		$1 = { 53 56 8B F2 8B D8 81 4B 5C 00 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 81 63 5C FF FE FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_76797_0 {
	meta:
		name = "TCustomControl.PaintWindow"
		size = 169
		refs = "0014 TCustomCanvas.Lock 001c TCustomControl.PaintWindow 0032 TCanvas.SetHandle 004e TControlCanvas.UpdateTextFlags 007c @HandleFinally 0099 TCustomCanvas.Unlock"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 78 02 00 00 8B D3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 F8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_76799_0 {
	meta:
		name = "NextVisibleZone"
		size = 27
		refs = "000f TDockZone.GetVisible"
	strings:
		$1 = { 53 8B D8 EB 03 8B 5B 0C 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 EE 8B C3 5B C3 }
	condition:
		$1
}

rule function_76800_0 {
	meta:
		name = "IsOrientationSet"
		size = 33
	strings:
		$1 = { 8B 50 14 85 D2 74 06 80 7A 10 00 75 11 8B 50 1C 3B 42 64 75 06 80 78 10 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_76802_0 {
	meta:
		name = "TDockZone.GetChildCount"
		size = 20
	strings:
		$1 = { 33 D2 8B 40 08 85 C0 74 08 8B 40 0C 42 85 C0 75 F8 8B C2 C3 }
	condition:
		$1
}

rule function_76803_0 {
	meta:
		name = "TDockZone.GetVisibleChildCount"
		size = 34
		refs = "0005 TDockZone.FirstVisibleChild 0012 TDockZone.NextVisible"
	strings:
		$1 = { 53 56 33 F6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0E 8B C3 E8 ?? ?? ?? ?? 8B D8 46 85 DB 75 F2 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_76804_0 {
	meta:
		name = "TDockZone.GetVisible"
		size = 53
		refs = "0012 TDockZone.FirstVisibleChild 001f TDockZone.GetVisible"
	strings:
		$1 = { 53 56 8B 50 04 85 D2 74 06 0F B6 5A 61 EB 21 B3 01 E8 ?? ?? ?? ?? 8B F0 85 F6 74 12 8B C6 E8 ?? ?? ?? ?? 84 C0 75 09 8B 76 0C 85 F6 75 EE 33 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_76805_0 {
	meta:
		name = "TDockZone.GetLimitBegin"
		size = 72
		refs = "001e TDockZone.GetTopLeft 0039 _Dn_Exception 003e Exception.Create 0043 @RaiseExcept"
	strings:
		$1 = { 8B 50 1C 3B 42 64 75 04 8B D0 EB 03 8B 50 14 0F B6 4A 10 80 F9 01 75 0B BA 01 00 00 00 E8 ?? ?? ?? ?? C3 80 F9 02 75 0C BA 02 00 00 00 E8 ?? ?? ?? ?? EB 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76806_0 {
	meta:
		name = "TDockZone.GetLimitSize"
		size = 72
		refs = "001e TDockZone.GetHeightWidth 0039 _Dn_Exception 003e Exception.Create 0043 @RaiseExcept"
	strings:
		$1 = { 8B 50 1C 3B 42 64 75 04 8B D0 EB 03 8B 50 14 0F B6 4A 10 80 F9 01 75 0B BA 01 00 00 00 E8 ?? ?? ?? ?? C3 80 F9 02 75 0C BA 02 00 00 00 E8 ?? ?? ?? ?? EB 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76807_0 {
	meta:
		name = "TDockZone.GetTopLeft"
		size = 131
		refs = "0023 TDockZone.GetZoneLimit"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B FA 8B F0 8B DE EB 1F 8B C7 8B 6B 14 3A 45 10 75 13 83 7B 18 00 74 0D 8B 43 18 E8 ?? ?? ?? ?? 89 04 24 EB 4C 8B DD 8B 46 1C 3B 58 64 75 D9 8D 54 24 04 8B 46 1C 8B 40 14 8B 08 FF 51 60 8D 54 24 04 8B 46 1C 8B 40 14 8B 08 FF 91 AC 00 00 00 8B C7 FE C8 74 0D FE C8 75 12 8B 44 24 04 89 04 24 EB 0E 8B 44 24 08 89 04 24 EB 05 33 C0 89 04 24 8B 04 24 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76808_0 {
	meta:
		name = "TDockZone.GetHeightWidth"
		size = 182
		refs = "0027 TDockZone.GetVisibleChildCount 0075 TDockZone.GetZoneLimit 007e TDockZone.GetLimitBegin"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B FA 8B D8 8B 43 1C 3B 58 64 74 1B 8B 43 1C 8B 70 64 3B 73 14 75 46 83 7B 04 00 74 40 8B C6 E8 ?? ?? ?? ?? 48 75 36 8B D4 8B 43 1C 8B 40 14 8B 08 FF 51 60 8B D4 8B 43 1C 8B 40 14 8B 08 FF 91 AC 00 00 00 8B C7 3C 01 75 0A 8B 6C 24 0C 2B 6C 24 04 EB 51 8B 6C 24 08 2B 2C 24 EB 48 8B F3 EB 21 8B C7 8B 56 14 3A 42 10 75 14 8B C6 E8 ?? ?? ?? ?? 8B E8 8B C6 E8 ?? ?? ?? ?? 2B E8 EB 26 8B 76 14 8B 43 1C 3B 70 64 75 D7 8B CF 8B 43 1C 8B 50 64 3A 4A 10 75 05 8B 68 68 EB 09 8B C2 E8 ?? ?? ?? ?? 8B E8 8B C5 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76809_0 {
	meta:
		name = "TDockZone.ResetChildren"
		size = 168
		refs = "0008 TDockZone.GetVisibleChildCount 0021 TDockZone.FirstVisibleChild 003d TDockZone.GetHeightWidth 0078 TDockZone.SetZoneLimit 0081 TDockZone.GetLimitBegin 0093 TDockZone.Update 009a TDockZone.NextVisible"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 90 00 00 00 80 7E 10 00 0F 84 86 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 0F B6 46 10 FE C8 74 06 FE C8 74 12 EB 20 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 12 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 02 33 FF 8B C6 E8 ?? ?? ?? ?? 50 8B C7 5A 8B CA 99 F7 F9 8B F0 85 DB 74 37 83 7B 0C 00 75 0B 8B D7 8B C3 E8 ?? ?? ?? ?? EB 12 8B C3 E8 ?? ?? ?? ?? 8B D0 03 D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 C9 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76810_0 {
	meta:
		name = "TDockZone.GetControlName"
		size = 67
		refs = "000a @UStrClr 001d SDockedCtlNeedsName 0024 _Dn_Exception 0029 Exception.CreateRes 002e @RaiseExcept 003b @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 7B 04 85 FF 74 2A 83 7F 08 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 04 8B 52 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76811_0 {
	meta:
		name = "TDockZone.SetControlName"
		size = 130
		refs = "0023 @CallDynaInst 003f TDockZone.SetControlName 0057 TControl.ManualDock 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 57 8B F8 33 C0 89 45 F8 8B 47 1C 89 45 F4 8D 4D F8 8B 45 F4 8B 40 14 66 BE B6 FF E8 ?? ?? ?? ?? 83 7D F8 00 0F 95 45 FF 80 7D FF 00 74 43 8B 45 F4 89 78 38 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 F4 8B 50 14 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 33 D2 89 50 38 C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_76812_0 {
	meta:
		name = "ParentNotLast"
		size = 48
		refs = "0017 TDockZone.NextVisible"
	strings:
		$1 = { 55 8B EC 53 56 33 DB 8B 45 08 8B 40 FC 8B 70 14 85 F6 74 16 8B C6 E8 ?? ?? ?? ?? 85 C0 74 04 B3 01 EB 07 8B 76 14 85 F6 75 EA 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_76813_0 {
	meta:
		name = "TDockZone.Update"
		size = 377
		refs = "004d TDockZone.GetHeightWidth 0064 ParentNotLast 0091 TDockZone.NextVisible 00c6 TDockZone.GetZoneLimit 0137 TDockZone.GetTopLeft 014d Bounds 016e TControl.SetBoundsRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC 8B 45 FC 8B 40 04 85 C0 0F 84 58 01 00 00 80 78 61 00 0F 84 4E 01 00 00 8B 55 FC 8B 52 1C 83 7A 6C 00 0F 85 3E 01 00 00 8B 55 FC 8B 52 14 0F B6 52 10 88 90 94 00 00 00 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 55 E8 ?? ?? ?? ?? 59 84 C0 74 20 8B 45 FC 8B 40 14 80 78 10 01 75 0B 8B 45 FC 8B 40 1C 2B 58 0C EB 09 8B 45 FC 8B 40 1C 2B 70 0C 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 70 8B 45 FC 8B 40 14 8B 55 FC 8B 52 1C 3B 42 64 74 2B 8B 45 FC 8B 40 14 0F B6 40 10 8B 55 FC 8B 52 1C 8B 52 64 3A 42 10 75 13 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 52 1C 3B 42 68 7C 34 8B 45 FC 8B 40 14 0F B6 40 10 8B 55 FC 8B 52 1C 8B 52 64 3A 42 10 74 3C 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 45 FC 8B 40 1C 8B 40 64 E8 ?? ?? ?? ?? 3B F8 7D 20 8B 45 FC 8B 40 14 80 78 10 01 75 0B 8B 45 FC 8B 40 1C 2B 70 0C EB 09 8B 45 FC 8B 40 1C 2B 58 0C 56 8D 45 EC 50 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B CB 5A E8 ?? ?? ?? ?? 8D 4D EC 8B 45 FC 8B 50 04 8B 45 FC 8B 40 1C 8B 18 FF 13 8D 55 EC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76814_0 {
	meta:
		name = "TDockZone.GetZoneLimit"
		size = 39
		refs = "0006 TDockZone.GetVisible 0011 IsOrientationSet 001c TDockZone.GetLimitBegin"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 14 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B 43 20 5B C3 }
	condition:
		$1
}

rule function_76816_0 {
	meta:
		name = "GetLastChildZone"
		size = 15
	strings:
		$1 = { 8B 40 08 EB 02 8B C2 8B 50 0C 85 D2 75 F7 C3 }
	condition:
		$1
}

rule function_76817_0 {
	meta:
		name = "TDockZone.ExpandZoneLimit"
		size = 57
		refs = "0014 TDockZone.GetChildCount 001f GetLastChildZone 002a TDockZone.ExpandZoneLimit"
	strings:
		$1 = { 53 56 57 8B FA 8B D0 89 7A 20 8B 58 08 85 DB 74 24 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 12 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 5B 0C 85 DB 75 DC 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76818_0 {
	meta:
		name = "TDockZone.ResetZoneLimits"
		size = 95
		refs = "000f TDockZone.GetZoneLimit 0018 TDockZone.GetLimitBegin 002c TDockZone.GetLimitSize 0037 TDockZone.ResetChildren 0040 TDockTree.UpdateZone 0049 TDockTree.ForEachAt 0050 TDockZone.ResetZoneLimits"
	strings:
		$1 = { 53 56 57 8B F0 8B 5E 08 85 DB 74 4F 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 3B F8 7C 14 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 7E 19 8B C6 E8 ?? ?? ?? ?? 8B 7E 1C 57 68 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 5B 0C 85 DB 75 B1 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76820_0 {
	meta:
		name = "TDockZone.PrevVisible"
		size = 28
		refs = "0010 TDockZone.GetVisible"
	strings:
		$1 = { 53 8B 58 18 EB 03 8B 5B 18 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 EE 8B C3 5B C3 }
	condition:
		$1
}

rule function_76822_0 {
	meta:
		name = "TDockTree.Create"
		size = 359
		refs = "0011 @ClassCreate 0024 TObject.Create 0070 _DV_TDockZone 0075 TDockZone.Create 0082 _Dn_TBrush 0087 TBrush.Create 009b AllocPatternBitmap 00a4 TBrush.SetBitmap 00ac TDockTree.BeginUpdate 00b4 TDockTree.Create 00c2 TWinControl.GetControlCount 00d8 TWinControl.GetControl 00f3 TDockZone.ResetChildren 0108 TDockTree.EndUpdate 010e @HandleFinally 0141 TDockTree.WindowProc 014f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 0C 04 00 00 00 8B 45 FC 8B 55 F4 89 50 14 8B 45 FC C7 40 70 00 00 08 00 8B 45 FC C7 40 18 0C 00 00 00 8B 45 F4 0F B6 40 65 3C 01 74 04 3C 02 75 04 33 C0 EB 02 B0 01 8B 55 FC 88 42 1C 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 64 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 10 BA FF FF FF 00 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1F 43 33 F6 6A 00 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 B1 03 8B 45 FC 8B 38 FF 57 0C 46 4B 75 E4 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 F6 40 1C 10 75 28 8B 45 FC 8B 55 FC 8B 52 14 8B 4A 40 89 48 30 8B 4A 44 89 48 34 8B 45 FC 8B 40 14 8B 55 FC 89 50 44 C7 40 40 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76823_0 {
	meta:
		name = "TDockTree.Destroy"
		size = 84
		refs = "0003 @BeforeDestruction 002f TDockTree.PruneZone 0037 TObject.Free 0042 TObject.Destroy 004d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 66 83 7E 32 00 74 17 8B 46 14 8B 56 30 89 50 40 8B 56 34 89 50 44 33 C0 89 46 30 89 46 34 8B 56 64 8B C6 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76824_0 {
	meta:
		name = "TDockTree.AdjustDockRect"
		size = 21
	strings:
		$1 = { 8B 40 14 0F B6 40 65 48 2C 02 73 04 83 01 0C C3 83 41 04 0C C3 }
	condition:
		$1
}

rule function_76825_0 {
	meta:
		name = "TDockTree.BeginUpdate"
		size = 4
	strings:
		$1 = { FF 40 6C C3 }
	condition:
		$1
}

rule function_76826_0 {
	meta:
		name = "TDockTree.EndUpdate"
		size = 20
		refs = "000f TDockTree.UpdateAll"
	strings:
		$1 = { FF 48 6C 83 78 6C 00 7F 0A 33 D2 89 50 6C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76827_0 {
	meta:
		name = "DoFindControlZone"
		size = 85
		refs = "0031 DoFindControlZone"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 3B 43 04 75 09 8B 45 08 89 58 F8 5B 5D C3 8B 45 08 83 78 F8 00 75 13 83 7B 0C 00 74 0D 8B 45 08 50 8B 43 0C E8 ?? ?? ?? ?? 59 8B 45 08 83 78 F8 00 75 13 83 7B 08 00 74 0D 8B 45 08 50 8B 43 08 E8 ?? ?? ?? ?? 59 5B 5D C3 }
	condition:
		$1
}

rule function_76828_0 {
	meta:
		name = "TDockTree.FindControlZone"
		size = 43
		refs = "001f DoFindControlZone"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 33 D2 89 55 F8 83 7D FC 00 74 10 83 78 64 00 74 0A 55 8B 40 64 E8 ?? ?? ?? ?? 59 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_76829_0 {
	meta:
		name = "DoForEach"
		size = 58
		refs = "0020 DoForEach"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 45 08 8D 70 08 8B D3 8B 46 04 FF 16 8B 43 0C 85 C0 74 0A 8B 55 08 52 E8 ?? ?? ?? ?? 59 8B 43 08 85 C0 74 0A 8B 55 08 52 E8 ?? ?? ?? ?? 59 5E 5B 5D C3 }
	condition:
		$1
}

rule function_76830_0 {
	meta:
		name = "TDockTree.ForEachAt"
		size = 23
		refs = "000e DoForEach"
	strings:
		$1 = { 55 8B EC 85 D2 75 03 8B 50 64 55 8B C2 E8 ?? ?? ?? ?? 59 5D C2 08 00 }
	condition:
		$1
}

rule function_76831_0 {
	meta:
		name = "TDockTree.GetControlBounds"
		size = 118
		refs = "0009 TDockTree.FindControlZone 0030 TDockZone.GetHeightWidth 004f TDockZone.GetTopLeft 0063 Bounds"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 E8 ?? ?? ?? ?? 8B D8 85 DB 75 15 33 C0 89 06 33 C0 89 46 08 33 C0 89 46 04 33 C0 89 46 0C EB 47 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 8D 44 24 04 50 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8B FE 8B F4 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76832_0 {
	meta:
		name = "TDockTree.HitTest"
		size = 16
		refs = "0001 TDockTree.InternalHitTest"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 04 8B 40 04 C3 33 C0 C3 }
	condition:
		$1
}

rule function_76833_0 {
	meta:
		name = "TDockTree.InsertControl"
		size = 529
		refs = "0025 TDockZone.Update 0073 TControl.GetUndockWidth 0082 TControl.GetUndockHeight 009a Bounds 00bb TControl.SetBoundsRect 00c4 _DV_TDockZone 00c9 TDockZone.Create 00f3 TDockTree.FindControlZone 0100 TDockTree.RemoveZone 0118 OrientArray 0123 TDockZone.GetChildCount 014d TDockZone.GetHeightWidth 01cd MakeLast 01da TDockTree.InsertSibling 01f9 TDockTree.InsertNewParent"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 88 4D FF 8B DA 8B F0 80 7B 61 00 0F 84 EE 01 00 00 8B 46 38 85 C0 74 0D 89 58 04 E8 ?? ?? ?? ?? E9 CF 01 00 00 8B 46 64 83 78 08 00 0F 85 A3 00 00 00 8D 55 E0 8B 46 14 8B 08 FF 51 60 8D 55 E0 8B 46 14 8B 08 FF 91 AC 00 00 00 8B 7D E8 2B 7D E0 8B 45 EC 2B 45 E4 89 45 F0 8B 46 14 80 78 66 00 74 1D 85 FF 75 09 8B C3 E8 ?? ?? ?? ?? 8B F8 83 7D F0 00 75 0A 8B C3 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 50 8D 45 D0 50 8B CF 8B 55 E4 8B 45 E0 E8 ?? ?? ?? ?? 56 8D 75 D0 8D 7D E0 A5 A5 A5 A5 5E 8D 4D E0 8B D3 8B C6 8B 38 FF 17 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 64 89 42 08 89 50 14 89 58 04 E9 1F 01 00 00 0F B6 45 FF 84 C0 74 04 2C 05 75 04 C6 45 FF 04 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 74 09 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 55 08 8B C6 E8 ?? ?? ?? ?? 89 45 F8 0F B6 45 FF 0F B6 80 ?? ?? ?? ?? 88 45 F7 8B 46 64 E8 ?? ?? ?? ?? 48 75 64 0F B6 55 F7 8B 46 64 88 50 10 0F B6 55 F7 FE CA 74 06 FE CA 74 29 EB 4C 8B F8 8B 40 08 BA 02 00 00 00 E8 ?? ?? ?? ?? 89 47 20 8B 46 64 8B 40 08 BA 01 00 00 00 E8 ?? ?? ?? ?? 89 46 68 EB 25 8B F8 8B 40 08 BA 01 00 00 00 E8 ?? ?? ?? ?? 89 47 20 8B 46 64 8B 40 08 BA 02 00 00 00 E8 ?? ?? ?? ?? 89 46 68 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 58 04 83 7D F8 00 74 0C 8B 55 F8 8B 52 14 0F B6 52 10 EB 07 8B 56 64 0F B6 52 10 80 7D F7 00 75 03 88 55 F7 3A 55 F7 75 1A 0F B6 55 FF 0F B6 92 ?? ?? ?? ?? 52 8B 4D F8 8B D0 8B C6 E8 ?? ?? ?? ?? EB 1D 0F B6 55 F7 52 0F B6 55 FF 0F B6 92 ?? ?? ?? ?? 52 8B 4D F8 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 46 14 8B 10 FF 92 9C 00 00 00 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_76834_0 {
	meta:
		name = "TDockTree.InsertNewParent"
		size = 420
		refs = "0015 _DV_TDockZone 001a TDockZone.Create 003b TDockZone.GetZoneLimit 007e TDockTree.ScaleZone 0088 TDockTree.ForEachAt 00d3 TDockTree.ShiftZone 00f8 TDockTree.UpdateZone 0181 TDockZone.ResetChildren 0188 TDockZone.ResetZoneLimits"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 89 55 FC 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 0F B6 45 0C 88 43 10 85 FF 0F 85 D8 00 00 00 8B C3 8B 56 68 89 50 20 8B 46 64 E8 ?? ?? ?? ?? 89 46 68 0F B6 45 0C 88 46 48 33 C0 89 46 40 C7 46 44 00 00 E0 3F 80 7D 08 00 74 33 8B 46 64 89 43 08 8B 46 64 89 58 14 8B 55 FC 89 50 0C 8B 55 FC 89 42 18 8B 45 FC 89 58 14 89 5E 64 56 68 ?? ?? ?? ?? 8B 53 08 8B C6 E8 ?? ?? ?? ?? EB 68 8B 45 FC 89 43 08 8B 46 64 89 58 14 8B 55 FC 89 50 18 8B 55 FC 89 42 0C 8B 45 FC 89 58 14 89 5E 64 56 68 ?? ?? ?? ?? 8B 53 08 8B C6 E8 ?? ?? ?? ?? 8B 46 64 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 89 46 4C 56 68 ?? ?? ?? ?? 8B 53 08 8B C6 E8 ?? ?? ?? ?? 8B 7D FC 8B 46 64 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 89 47 20 56 68 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? EB 77 89 5D F8 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 89 42 20 8B 47 14 89 43 14 8B 47 18 89 43 18 85 C0 74 03 89 58 0C 8B 47 0C 89 43 0C 85 C0 74 03 89 58 18 8B 43 14 3B 78 08 75 03 89 58 08 8B 45 FC 89 58 14 89 5F 14 80 7D 08 00 74 16 89 7B 08 33 C0 89 47 18 8B 45 FC 89 47 0C 8B 45 FC 89 78 18 EB 17 8B 45 FC 89 43 08 8B 45 FC 89 47 18 33 C0 89 47 0C 8B 45 FC 89 78 0C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_76835_0 {
	meta:
		name = "TDockTree.InsertSibling"
		size = 119
		refs = "0066 TDockZone.ResetChildren 006e TDockZone.ResetZoneLimits"
	strings:
		$1 = { 55 8B EC 53 8B D9 8B 4D 08 85 DB 75 15 8B 40 64 8B 58 08 84 C9 74 0B EB 02 8B D8 8B 43 0C 85 C0 75 F7 84 C9 74 1B 8B 43 14 89 42 14 89 5A 18 8B 43 0C 89 42 0C 85 C0 74 03 89 50 18 89 53 0C EB 21 89 5A 0C 8B 43 18 89 42 18 85 C0 74 03 89 50 0C 89 53 18 8B 43 14 89 42 14 3B 58 08 75 03 89 50 08 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_76836_0 {
	meta:
		name = "TDockTree.ZoneCaptionHitTest"
		size = 259
		refs = "001c TDockZone.GetTopLeft 0067 TDockZone.GetHeightWidth"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 8B F2 89 45 FC C6 45 FB 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 80 78 1C 00 74 66 3B 7B 04 0F 8F B3 00 00 00 8B 43 04 8B 55 FC 03 7A 18 3B C7 0F 8F A2 00 00 00 8B 03 3B 45 F4 0F 8C 97 00 00 00 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 03 45 F4 3B 03 0F 8C 80 00 00 00 C6 45 FB 01 8B 46 04 8B 50 48 03 50 50 83 EA 0F 3B 13 7D 0B 8B 45 08 C7 00 14 00 00 00 EB 61 8B 45 08 C7 00 02 00 00 00 EB 56 8B 03 3B 45 F4 7C 4F 8B 03 8B 55 FC 8B 52 18 03 55 F4 3B C2 7F 40 3B 7B 04 7F 3B BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 03 F8 3B 7B 04 7C 28 C6 45 FB 01 8B 43 04 8B 56 04 8B 52 4C 83 C2 0F 3B C2 7D 0B 8B 45 08 C7 00 14 00 00 00 EB 09 8B 45 08 C7 00 02 00 00 00 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_76837_0 {
	meta:
		name = "TDockTree.FindControlAtPos"
		size = 149
		refs = "000f TWinControl.GetControlCount 0021 TWinControl.GetControl 0031 _DV_TWinControl 0036 @IsClass 007b PtInRect"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B FA 8B E8 8B 45 14 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 7C 6E 8B 45 14 8B D6 E8 ?? ?? ?? ?? 8B D8 80 7B 61 00 74 56 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 80 BB F2 01 00 00 00 74 3C 8B 07 2B 43 48 8B 57 04 2B 53 4C 89 44 24 08 89 54 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8D 54 24 10 8B C3 8B 08 FF 51 60 8D 44 24 10 8B D4 E8 ?? ?? ?? ?? 84 C0 75 08 4E 83 FE FF 75 92 33 DB 8B C3 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76838_0 {
	meta:
		name = "DoFindZone"
		size = 273
		refs = "0013 TDockZone.GetZoneLimit 00cf TDockZone.NextVisible 00e3 DoFindZone 00f4 TDockZone.FirstVisibleChild"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 43 14 80 78 10 01 75 41 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 3B 42 04 7C 2F 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 2B 42 0C 8B 55 08 8B 52 FC 3B 42 04 7F 14 8B 45 08 8B 40 F4 C7 00 12 00 00 00 8B 45 08 89 58 F0 EB 72 8B 43 14 80 78 10 02 75 3F 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 3B 02 7C 2E 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 2B 42 0C 8B 55 08 8B 52 FC 3B 02 7F 14 8B 45 08 8B 40 F4 C7 00 12 00 00 00 8B 45 08 89 58 F0 EB 2A 83 7B 04 00 74 24 8B 45 08 8B 40 F4 50 8B 45 08 8B 48 FC 8B 45 08 8B 40 F8 8B D3 8B 30 FF 56 40 84 C0 74 06 8B 45 08 89 58 F0 8B 45 08 83 78 F0 00 75 1C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 83 78 F0 00 75 1C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5E 5B 5D C3 }
	condition:
		$1
}

rule function_76839_0 {
	meta:
		name = "TDockTree.InternalHitTest"
		size = 134
		refs = "0023 TDockTree.FindControlAtPos 0041 TDockTree.FindControlZone 0060 TDockZone.FirstVisibleChild 0079 DoFindZone"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D F4 89 55 FC 89 45 F8 33 C0 89 45 F0 8B 45 F4 33 D2 89 10 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 74 2C 8B 45 F8 8B 40 14 3B 83 98 00 00 00 75 1E 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 30 8B 45 F4 C7 00 01 00 00 00 EB 25 8B 45 F8 8B 40 64 E8 ?? ?? ?? ?? 85 C0 74 16 85 DB 75 12 55 8B 45 F8 8B 40 64 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76840_0 {
	meta:
		name = "ReadControlName"
		size = 175
		refs = "0010 ReadControlName 001d @UStrClr 0030 TStream.ReadBuffer 0048 TArray<System.Byte> 004d @DynArraySetLength 0066 TEncoding.GetUTF8 0071 TEncoding.GetString 007b @UStrAsg 009e @DynArrayClear 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 08 8B 40 FC B9 04 00 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 7E 45 8B 45 F8 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B 45 08 8B 40 FC 8B 4D F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76841_0 {
	meta:
		name = "TDockTree.LoadFromStream"
		size = 828
		refs = "001b TDockTree.LoadFromStream 002f TDockTree.PruneZone 0041 TDockTree.BeginUpdate 005f TStream.ReadBuffer 00ca SDockZoneVersionConflict 00cf LoadResString 00d9 _Dn_Exception 00de Exception.CreateFmt 00e3 @RaiseExcept 010f ReadControlName 012b @CallDynaInst 013b TControl.SetVisible 014d TControl.ManualDock 018d TDockTree.ActualSize 01b0 TreeStreamEndFlag 01c0 _DV_TDockZone 01c5 TDockZone.Create 0226 TDockZone.SetControlName 0231 TObject.Free 0304 TDockTree.EndUpdate 030a @HandleFinally 0321 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 C9 89 4D C0 89 4D F8 89 55 FC 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 50 64 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 0F B6 40 74 88 45 DF 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 B9 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 81 7D E8 00 00 04 00 75 0D 8B 45 F4 C6 40 74 00 C6 45 DE 00 EB 6E 8B 45 F4 8B 40 70 3B 45 E8 75 25 8B 45 F4 8D 50 74 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 DE B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 3E 8B 45 F4 8B 40 70 89 45 C4 C6 45 C8 00 8B 45 E8 89 45 CC C6 45 D0 00 8D 45 C4 50 6A 01 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 B9 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 48 85 C0 7C 5A 40 89 45 D4 C7 45 E8 00 00 00 00 55 8D 45 F8 E8 ?? ?? ?? ?? 59 83 7D F8 00 74 37 8D 4D F0 8B 45 F4 8B 40 14 8B 55 F8 66 BE B6 FF E8 ?? ?? ?? ?? 83 7D F0 00 74 1C 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 6A 00 8B 45 F4 8B 50 14 33 C9 8B 45 F0 E8 ?? ?? ?? ?? FF 45 E8 FF 4D D4 75 B1 8B 45 F4 8D 50 68 B9 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 80 78 74 00 74 22 0F B6 55 DE 8B 45 F4 8B 08 FF 51 28 8B C8 8B 45 F4 8B 50 68 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 89 42 68 33 FF 33 F6 8D 55 EC B9 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 3B 05 ?? ?? ?? ?? 0F 84 11 01 00 00 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 53 10 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 53 20 B9 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 80 78 74 00 74 1C 0F B6 53 10 8B 45 F4 8B 08 FF 51 28 8B C8 8B 53 20 8B 45 F4 E8 ?? ?? ?? ?? 89 43 20 55 8D 45 F8 E8 ?? ?? ?? ?? 59 83 7D F8 00 74 1A 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C 8B C3 E8 ?? ?? ?? ?? E9 61 FF FF FF 83 7D EC 00 75 08 8B 45 F4 89 58 64 EB 79 3B 7D EC 75 28 83 7E 18 00 74 14 83 7E 04 00 75 0E 89 75 D8 8B 76 18 8B 45 D8 E8 ?? ?? ?? ?? 89 5E 0C 89 73 18 8B 46 14 89 43 14 EB 4C 3B 7D EC 7D 08 89 5E 08 89 73 14 EB 3F 3B 7D EC 7E 3A 89 75 E0 2B 7D EC 85 FF 7E 1B 89 7D D4 C7 45 E8 01 00 00 00 8B 45 E0 8B 40 14 89 45 E0 FF 45 E8 FF 4D D4 75 EF 8B 45 E0 89 58 0C 8B 45 E0 89 43 18 8B 45 E0 8B 40 14 89 43 14 8B 7D EC 8B F3 E9 D0 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 0F B6 55 DF 88 50 74 8B 45 F4 83 78 64 00 75 15 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 42 64 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76842_0 {
	meta:
		name = "DrawCloseButton"
		size = 148
		refs = "002e Rect 0033 TStyleManager.GetActiveStyle 005f TCanvas.GetHandle 006e TCustomStyleServices.DrawElement 0089 DrawFrameControl"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F2 8B D8 8B 45 08 8B 40 FC 8B 78 18 8B C7 03 C6 83 E8 02 50 8D 45 E4 50 8B CF 03 CB 83 E9 02 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 34 E8 ?? ?? ?? ?? 8D 4D F4 B2 34 8B 18 FF 93 FC 00 00 00 8D 45 E4 50 6A 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D F4 5A E8 ?? ?? ?? ?? EB 19 6A 00 6A 01 8D 45 E4 50 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76843_0 {
	meta:
		name = "DrawGrabberLine"
		size = 140
		refs = "001d TPen.SetColor"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 89 45 FC 8B 45 0C 8B 40 F8 8B 40 44 BA 14 00 00 FF E8 ?? ?? ?? ?? 8B 45 0C 8B 40 F8 8B CB 8B D6 8B 38 FF 57 64 8B 45 0C 8B 40 F8 8B CB 8B 55 FC 8B 38 FF 57 60 8B 45 0C 8B 40 F8 8B 4D 08 8B 55 FC 8B 38 FF 57 60 8B 45 0C 8B 40 F8 8B 40 44 BA 10 00 00 FF E8 ?? ?? ?? ?? 8B 45 0C 8B 40 F8 8B 4D 08 8B D6 8B 38 FF 57 60 8B CB 49 8B 45 0C 8B 40 F8 8B D6 8B 18 FF 53 60 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_76844_0 {
	meta:
		name = "DrawThemedGrabber"
		size = 94
		refs = "001f Rect 0024 TStyleManager.GetActiveStyle 0042 TCanvas.GetHandle 0051 TCustomStyleServices.DrawElement"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8D 45 E4 50 8B 4D 0C 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8D 4D F4 8B 18 FF 93 B8 00 00 00 8D 45 E4 50 6A 00 8B 45 10 8B 40 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D F4 5A E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_76845_0 {
	meta:
		name = "TDockTree.PaintDockFrame"
		size = 337
		refs = "002c DrawCloseButton 0032 TStyleManager.GetActiveStyle 005f DrawThemedGrabber 0086 DrawGrabberLine"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 5D 08 8B 45 FC 8B 40 14 0F B6 40 65 48 2C 02 0F 83 8F 00 00 00 55 8B 53 04 42 8B 03 40 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 2A 55 8B 03 8B D0 83 C2 0A 52 8B 53 0C 83 EA 02 52 8B 4B 04 8B 55 FC 03 4A 18 41 8B D0 42 B0 03 E8 ?? ?? ?? ?? 59 E9 E1 00 00 00 55 8B 53 0C 83 EA 02 52 8B 53 04 8B 4D FC 03 51 18 42 8B 03 8B C8 83 C1 05 83 C0 03 E8 ?? ?? ?? ?? 59 55 8B 53 0C 83 EA 02 52 8B 53 04 8B 4D FC 03 51 18 42 8B 03 8B C8 83 C1 08 83 C0 06 E8 ?? ?? ?? ?? 59 E9 98 00 00 00 55 8B 43 08 8B 55 FC 2B 42 18 40 8B 53 04 42 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 29 55 8B 53 08 8B 4D FC 2B 51 18 83 EA 02 52 8B 43 04 8B D0 83 C2 0A 52 8B C8 41 8B 13 83 C2 02 B0 02 E8 ?? ?? ?? ?? 59 EB 4C 55 8B 43 04 8B D0 83 C2 05 52 8B 4B 08 8B 55 FC 2B 4A 18 83 E9 02 8B D0 83 C2 03 8B 03 83 C0 02 E8 ?? ?? ?? ?? 59 55 8B 43 04 8B D0 83 C2 08 52 8B 4B 08 8B 55 FC 2B 4A 18 83 E9 02 8B D0 83 C2 06 8B 03 83 C0 02 E8 ?? ?? ?? ?? 59 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_76846_0 {
	meta:
		name = "TDockTree.PaintSite"
		size = 306
		refs = "0010 _DV_TControlCanvas 0015 TCanvas.Create 0020 TDockTree.PaintSite 0031 TControlCanvas.SetControl 0039 TCustomCanvas.Lock 0051 TCanvas.SetHandle 0067 TWinControl.GetControlCount 0082 TWinControl.GetControl 009f TControl.GetBoundsRect 00eb @HandleFinally 0102 TCustomCanvas.Unlock 011f TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 56 14 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 14 E8 ?? ?? ?? ?? 48 85 C0 7C 62 40 89 45 F4 C7 45 F8 00 00 00 00 8B 46 14 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 80 7B 61 00 74 3C 8B 83 98 00 00 00 3B 46 14 75 31 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 4D E4 8B D3 8B C6 8B 38 FF 17 8D 4D E4 8B D3 8B C6 8B 38 FF 57 04 8D 45 E4 50 8B CB 8B 55 FC 8B C6 8B 18 FF 53 20 FF 45 F8 FF 4D F4 75 A9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76847_0 {
	meta:
		name = "TDockTree.PositionDockRect"
		size = 377
		refs = "0011 TWinControl.GetVisibleDockClientCount 0031 TControl.GetClientHeight 003e TControl.GetClientWidth 0049 Rect 0148 Bounds 0166 TWinControl.GetHandle 016c MapWindowPoints"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B D9 8B F0 8B 46 14 E8 ?? ?? ?? ?? 8B F8 85 DB 74 12 80 BB 94 00 00 00 00 74 09 83 FF 02 0F 8D AF 00 00 00 8B 46 14 E8 ?? ?? ?? ?? 50 8D 45 E4 50 8B 46 14 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 08 56 57 8D 75 E4 8B F8 A5 A5 A5 A5 5F 5E 85 FF 0F 8E F5 00 00 00 0F B6 45 0C FE C8 74 41 FE C8 74 56 FE C8 74 09 FE C8 74 1E E9 DC 00 00 00 8B 45 08 B9 02 00 00 00 83 C0 08 50 8B 00 99 F7 F9 5A 89 02 E9 C3 00 00 00 8B 45 08 8B 40 08 D1 F8 79 03 83 D0 00 8B 55 08 89 02 E9 AC 00 00 00 8B 45 08 B9 02 00 00 00 83 C0 0C 50 8B 00 99 F7 F9 5A 89 02 E9 93 00 00 00 8B 45 08 8B 40 0C D1 F8 79 03 83 D0 00 8B 55 08 89 42 04 EB 7E 8B 43 48 89 45 FC 8B 43 4C 89 45 F8 8B 43 50 8B F8 8B 53 54 89 55 F4 0F B6 55 0C 80 C2 FD 80 EA 02 73 0B 8B F8 D1 FF 79 1B 83 D7 00 EB 16 0F B6 45 0C 48 2C 02 73 0D 8B 43 54 D1 F8 79 03 83 D0 00 89 45 F4 0F B6 45 0C 2C 02 74 09 2C 02 75 0B 01 7D FC EB 06 8B 45 F4 01 45 F8 8B 45 F4 50 8D 45 E4 50 8B CF 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 56 8D 75 E4 8B F8 A5 A5 A5 A5 5E 6A 02 8B 45 08 50 6A 00 8B 46 14 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_76848_0 {
	meta:
		name = "DoPrune"
		size = 50
		refs = "0012 DoPrune 002b TObject.Free"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 43 0C 85 C0 74 0A 8B 55 08 52 E8 ?? ?? ?? ?? 59 8B 43 08 85 C0 74 0A 8B 55 08 52 E8 ?? ?? ?? ?? 59 8B C3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_76849_0 {
	meta:
		name = "TDockTree.PruneZone"
		size = 89
		refs = "0016 DoPrune 0051 TObject.Free"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B F0 85 DB 74 48 8B 43 08 85 C0 74 07 55 E8 ?? ?? ?? ?? 59 8B 43 18 85 C0 74 08 8B 53 0C 89 50 0C EB 0D 8B 43 14 85 C0 74 06 8B 53 0C 89 50 08 8B 43 0C 85 C0 74 06 8B 53 18 89 50 18 3B 5E 64 75 05 33 C0 89 46 64 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_76850_0 {
	meta:
		name = "TDockTree.RemoveControl"
		size = 61
		refs = "000b TDockTree.FindControlZone 0024 TDockTree.RemoveZone"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 74 27 3B 46 38 75 07 33 D2 89 50 04 EB 09 8B D0 8B C6 E8 ?? ?? ?? ?? C6 83 94 00 00 00 00 8B 46 14 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_76851_0 {
	meta:
		name = "TDockTree.RemoveZone"
		size = 672
		refs = "0015 TDockTree.RemoveZone 0027 SDockTreeRemoveError 002c LoadResString 0038 SDockZoneNotFound 0046 @UStrCat 0050 _Dn_Exception 0055 Exception.Create 005a @RaiseExcept 0079 SDockZoneHasNoCtl 00a3 TDockZone.GetChildCount 00fb TDockZone.GetLimitSize 0108 TDockZone.Update 0120 TObject.Free 0126 TDockTree.UpdateZone 0130 TDockTree.ForEachAt 0147 TDockZone.ExpandZoneLimit 014f TDockZone.GetZoneLimit 0173 TDockTree.UpdateAll 028d @UStrArrayClr 0293 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 3B 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 58 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 04 00 75 3B 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 58 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 83 F8 01 75 11 8B 46 64 33 D2 89 50 08 C6 40 10 00 E9 B3 01 00 00 83 F8 02 0F 85 52 01 00 00 8B 43 18 85 C0 75 05 8B 7B 0C EB 02 8B F8 83 7F 04 00 74 5F 8B 56 64 8B 43 14 3B D0 75 2A 8B 46 64 89 78 08 33 C0 89 47 18 33 C0 89 47 0C 89 7D FC 8B 46 64 E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 8B C7 E8 ?? ?? ?? ?? EB 16 C6 40 10 00 8B 57 04 89 50 04 33 D2 89 50 08 8B C7 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8B 53 14 8B C6 E8 ?? ?? ?? ?? E9 37 01 00 00 8B 43 14 3B 46 64 75 3B 8B 56 68 8B C7 E8 ?? ?? ?? ?? 8B 46 64 E8 ?? ?? ?? ?? 89 46 68 8B 46 64 E8 ?? ?? ?? ?? 89 7E 64 33 C0 89 47 0C 33 C0 89 47 18 33 C0 89 47 14 8B C6 E8 ?? ?? ?? ?? E9 F4 00 00 00 8B 47 08 85 C0 0F 84 80 00 00 00 8B 53 14 8B 52 18 89 50 18 8B 57 08 83 7A 18 00 75 0B 8B 53 14 8B 52 14 89 42 08 EB 09 8B 57 08 8B 52 18 89 42 0C 8B 47 08 8B 53 14 8B 52 14 89 50 14 83 78 0C 00 74 12 8B 40 0C 8B 53 14 8B 52 14 89 50 14 83 78 0C 00 75 EE 8B 53 14 8B 52 0C 89 50 0C 83 78 0C 00 74 06 8B 50 0C 89 42 18 56 68 ?? ?? ?? ?? 8B 50 14 8B C6 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 69 8B 47 14 33 D2 89 50 08 8B C7 E8 ?? ?? ?? ?? EB 58 8B 43 18 85 C0 75 18 8B 43 14 8B 53 0C 89 50 08 8B 43 0C 33 D2 89 50 18 E8 ?? ?? ?? ?? EB 29 8B 53 0C 89 50 0C 8B 53 0C 85 D2 74 03 89 42 18 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 18 E8 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8B 53 14 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76852_0 {
	meta:
		name = "TDockTree.ResetBounds"
		size = 222
		refs = "002e TWinControl.GetVisibleDockClientCount 005b EqualRect 00b1 TWinControl.GetDockClientCount 00be TDockTree.SetNewBounds 00ca TDockTree.UpdateZone 00d3 TDockTree.ForEachAt"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B DA 8B F8 8B 77 14 F6 46 1C 01 0F 85 C0 00 00 00 83 7F 38 00 0F 85 B6 00 00 00 83 7F 64 00 0F 84 AC 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 8E 9D 00 00 00 8B D4 8B 47 14 8B 08 FF 51 60 8B D4 8B 47 14 8B 08 FF 91 AC 00 00 00 84 DB 75 0E 8D 57 20 8B C4 E8 ?? ?? ?? ?? 84 C0 75 74 57 8D 74 24 04 83 C7 20 A5 A5 A5 A5 5F 8B 47 64 0F B6 50 10 FE CA 74 06 FE CA 74 19 EB 2C 8B 54 24 08 2B 14 24 89 50 20 8B 44 24 0C 2B 44 24 04 89 47 68 EB 15 8B 54 24 0C 2B 54 24 04 89 50 20 8B 44 24 08 2B 04 24 89 47 68 8B 47 14 E8 ?? ?? ?? ?? 85 C0 7E 1E 33 D2 8B C7 E8 ?? ?? ?? ?? 83 7F 6C 00 75 0F 57 68 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76853_0 {
	meta:
		name = "TDockTree.ScaleZone"
		size = 59
		refs = "0021 TDockZone.GetZoneLimit 002f @ROUND"
	strings:
		$1 = { 53 56 57 51 8B DA 8B F0 85 DB 74 2A 85 DB 74 26 8B 43 14 0F B6 40 10 3A 46 48 75 1A 8B FB 8B C3 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 DC 4E 40 E8 ?? ?? ?? ?? 89 47 20 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76854_0 {
	meta:
		name = "WriteControlName"
		size = 136
		refs = "0012 WriteControlName 001d TEncoding.GetUTF8 0027 TEncoding.GetBytes 002f @DynArrayLength 0072 TArray<System.Byte> 0077 @DynArrayClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8D 55 F8 8B 45 08 8B 40 FC B9 04 00 00 00 8B 18 FF 53 10 83 7D F8 00 7E 11 8B 55 FC 8B 45 08 8B 40 FC 8B 4D F8 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_76855_0 {
	meta:
		name = "DoSaveZone"
		size = 276
		refs = "0016 DoSaveZone 008f TDockTree.RelativeSize 00bb TDockZone.GetControlName 00c3 WriteControlName 0102 @UStrClr 0108 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F8 3B 58 64 74 10 83 7B 08 00 75 0A 83 7B 04 00 0F 84 8D 00 00 00 8D 55 FC 8B 45 08 8B 40 FC B9 04 00 00 00 8B 30 FF 56 10 0F B6 43 10 89 45 F4 8D 55 F4 8B 45 08 8B 40 FC B9 01 00 00 00 8B 30 FF 56 10 8B 45 08 8B 40 F8 80 78 74 00 74 24 0F B6 53 10 8B 45 08 8B 40 F8 8B 08 FF 51 28 8B C8 8B 45 08 8B 40 F8 8B 53 20 E8 ?? ?? ?? ?? 89 45 F8 EB 06 8B 43 20 89 45 F8 8D 55 F8 8B 45 08 8B 40 FC B9 04 00 00 00 8B 30 FF 56 10 8B 45 08 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 59 8B 43 08 85 C0 74 0E 8B 55 08 52 8B 55 FC 42 E8 ?? ?? ?? ?? 59 8B 43 0C 85 C0 74 0D 8B 55 08 52 8B 55 FC E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76856_0 {
	meta:
		name = "TDockTree.SaveToStream"
		size = 495
		refs = "001a TDockTree.SaveToStream 0043 :TDockTree.:1 0048 @DynArraySetLength 008d _Dn_TStringList 0092 TStringList.Create 00ae TWinControl.GetDockClientCount 00cb TWinControl.GetDockClients 012c WriteControlName 0148 TObject.Free 014e @HandleFinally 017b TDockTree.RelativeSize 01a7 DoSaveZone 01ad TreeStreamEndFlag 01cf @UStrClr 01dd @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D E4 89 4D F4 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8D 50 70 B9 04 00 00 00 8B 45 FC 8B 18 FF 53 10 6A 01 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 0F B6 40 74 8B 55 F4 88 02 8B 55 F4 B9 01 00 00 00 8B 45 FC 8B 18 FF 53 10 8B 45 F8 8B 40 64 0F B6 40 10 8B 55 F4 88 02 8B 55 F4 B9 01 00 00 00 8B 45 FC 8B 18 FF 53 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 14 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 35 43 C7 45 F0 00 00 00 00 8B 45 F8 8B 40 14 8B 55 F0 E8 ?? ?? ?? ?? 8B F0 80 7E 61 00 75 11 83 7E 08 00 74 0B 8B 56 08 8B 45 E8 8B 08 FF 51 38 FF 45 F0 4B 75 D3 8B 45 E8 8B 10 FF 52 14 89 45 EC 8D 55 EC B9 04 00 00 00 8B 45 FC 8B 18 FF 53 10 8B 5D EC 4B 85 DB 7C 26 43 C7 45 F0 00 00 00 00 55 8D 4D E4 8B 55 F0 8B 45 E8 8B 30 FF 56 0C 8B 45 E4 E8 ?? ?? ?? ?? 59 FF 45 F0 4B 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 80 78 74 00 74 27 8B 45 F8 8B 40 64 0F B6 50 10 8B 45 F8 8B 08 FF 51 28 8B C8 8B 45 F8 8B 50 68 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 EB 09 8B 45 F8 8B 40 68 89 45 F0 8D 55 F0 B9 04 00 00 00 8B 45 FC 8B 18 FF 53 10 55 8B 45 F8 8B 40 64 33 D2 E8 ?? ?? ?? ?? 59 BA ?? ?? ?? ?? B9 04 00 00 00 8B 45 FC 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76857_0 {
	meta:
		name = "DoSetNewBounds"
		size = 127
		refs = "000e TDockZone.NextVisible 0024 TDockZone.GetVisible 0052 TDockZone.GetZoneLimit 0060 TDockZone.FirstVisibleChild 0065 DoSetNewBounds"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 85 DB 74 70 8B C3 E8 ?? ?? ?? ?? 85 C0 75 43 8B 45 08 8B 40 FC 3B 58 64 74 38 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2D 8B 55 08 8B 52 FC 8B 52 64 8B 43 14 3B D0 75 10 8B C3 8B 55 08 8B 52 FC 8B 52 68 89 50 20 EB 0D 8B F3 8B 40 14 E8 ?? ?? ?? ?? 89 46 20 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5E 5B 5D C3 }
	condition:
		$1
}

rule function_76858_0 {
	meta:
		name = "TDockTree.SetNewBounds"
		size = 46
		refs = "0018 DoSetNewBounds"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 85 D2 75 09 8B 45 FC 8B 40 64 8B 50 08 55 8B C2 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 14 8B 10 FF 92 9C 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_76859_0 {
	meta:
		name = "TDockTree.SetReplacingControl"
		size = 21
		refs = "000b TDockTree.FindControlZone"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 89 43 38 5E 5B C3 }
	condition:
		$1
}

rule function_76860_0 {
	meta:
		name = "TDockTree.ShiftZone"
		size = 47
		refs = "0021 TDockZone.GetZoneLimit"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 85 DB 74 20 3B 5E 64 74 1B 8B 43 14 0F B6 40 10 3A 46 48 75 0F 8B FB 8B C3 E8 ?? ?? ?? ?? 03 46 4C 89 47 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76861_0 {
	meta:
		name = "TDockTree.SplitterMouseDown"
		size = 93
		refs = "0016 TWinControl.GetHandle 001d Mouse 0022 TMouse.SetCapture 003c GetDCEx 0053 TDockTree.DrawSizeSplitter"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F1 8D 3C 24 A5 A5 8B D8 89 53 60 8B 43 14 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B F0 89 73 5C 68 12 04 00 00 6A 00 56 E8 ?? ?? ?? ?? 89 43 58 8B 04 24 89 43 50 8B 44 24 04 89 43 54 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76862_0 {
	meta:
		name = "TDockTree.SplitterMouseUp"
		size = 120
		refs = "0006 Mouse 000b TMouse.SetCapture 0012 TDockTree.DrawSizeSplitter 001f ReleaseDC 005a TDockTree.SetNewBounds 0060 TDockTree.UpdateZone 006d TDockTree.ForEachAt"
	strings:
		$1 = { 53 8B D8 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 58 50 8B 43 5C 50 E8 ?? ?? ?? ?? 8B 43 60 8B 50 14 80 7A 10 01 75 12 8B 53 0C D1 FA 79 03 83 D2 00 03 53 54 89 50 20 EB 10 8B 53 0C D1 FA 79 03 83 D2 00 03 53 50 89 50 20 8B 43 60 8B 50 14 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 43 60 8B 50 14 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 60 5B C3 }
	condition:
		$1
}

rule function_76863_0 {
	meta:
		name = "TDockTree.UpdateAll"
		size = 38
		refs = "000d TWinControl.GetDockClientCount 0017 TDockTree.UpdateZone 0020 TDockTree.ForEachAt"
	strings:
		$1 = { 53 8B D8 83 7B 6C 00 75 1B 8B 43 14 E8 ?? ?? ?? ?? 85 C0 7E 0F 53 68 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_76864_0 {
	meta:
		name = "TDockTree.UpdateZone"
		size = 14
		refs = "0009 TDockZone.Update"
	strings:
		$1 = { 83 78 6C 00 75 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76865_0 {
	meta:
		name = "TDockTree.WindowProc"
		size = 18
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B C6 8B 08 FF 51 3C 5F 5E C3 }
	condition:
		$1
}

rule function_76866_0 {
	meta:
		name = "TDockTree.DrawSizeSplitter"
		size = 233
		refs = "0023 TDockZone.GetTopLeft 0046 TDockZone.GetHeightWidth 00a3 TBrush.GetHandle 00ad SelectObject 00d5 PatBlt"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B 73 60 85 F6 0F 84 D1 00 00 00 8B 46 14 80 78 10 01 75 43 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 04 24 8B 43 0C D1 F8 79 03 83 D0 00 8B 53 54 2B D0 89 54 24 04 BA 02 00 00 00 8B 43 60 E8 ?? ?? ?? ?? 03 04 24 89 44 24 08 8B 44 24 04 03 43 0C 89 44 24 0C EB 41 8B 43 0C D1 F8 79 03 83 D0 00 8B 53 50 2B D0 89 14 24 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 44 24 04 8B 04 24 03 43 0C 89 44 24 08 BA 01 00 00 00 8B 43 60 E8 ?? ?? ?? ?? 03 44 24 04 89 44 24 0C 8B 43 10 E8 ?? ?? ?? ?? 50 8B 43 58 50 E8 ?? ?? ?? ?? 8B F0 68 49 00 5A 00 8B 4C 24 10 8B 54 24 08 2B CA 51 8B 4C 24 10 8B 44 24 08 2B C8 51 52 50 8B 43 58 50 E8 ?? ?? ?? ?? 56 8B 43 58 50 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_76867_0 {
	meta:
		name = "DoGetNextLimit"
		size = 144
		refs = "0028 TDockZone.GetZoneLimit 0075 DoGetNextLimit"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B 45 08 3B 58 FC 74 59 8B 43 14 0F B6 40 10 8B 55 08 8B 52 FC 8B 52 14 3A 42 10 75 44 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3B F8 7E 2C 83 7B 04 00 74 0D 8B 73 04 85 F6 74 1F 80 7E 61 00 74 19 8B 45 08 8B 70 F8 8B C3 E8 ?? ?? ?? ?? 3B C6 7E 02 8B C6 8B 55 08 89 42 F8 8B 43 0C 85 C0 74 0A 8B 55 08 52 E8 ?? ?? ?? ?? 59 8B 43 08 85 C0 74 0A 8B 55 08 52 E8 ?? ?? ?? ?? 59 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_76868_0 {
	meta:
		name = "TDockTree.GetNextLimit"
		size = 88
		refs = "0011 TDockZone.NextVisible 0022 TDockZone.GetZoneLimit 0039 TDockZone.GetLimitSize 004a DoGetNextLimit"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 12 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 17 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 FC E8 ?? ?? ?? ?? 03 F0 89 75 F8 55 8B 43 64 8B 40 08 E8 ?? ?? ?? ?? 59 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_76869_0 {
	meta:
		name = "GetDockAlign"
		size = 124
		refs = "0019 TControl.GetBoundsRect"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F2 8B F8 B3 04 85 F6 74 60 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 3B 45 E4 7F 14 8B 45 FC 3B 45 EC 7D 0C 8B 45 F8 3B 45 E8 7C 04 B3 01 EB 30 8B 45 F0 3B 45 E0 7F 14 8B 45 F8 3B 45 E8 7D 0C 8B 45 FC 3B 45 EC 7C 04 B3 03 EB 14 8B 45 E4 03 45 EC D1 F8 79 03 83 D0 00 3B 45 F4 7F 02 B3 02 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76870_0 {
	meta:
		name = "HideZone"
		size = 127
		refs = "000a IsOrientationSet 0015 TDockZone.GetLimitBegin 0032 TDockZone.GetVisible 0042 HideZone 004a TDockZone.PrevVisible 005d TDockZone.ExpandZoneLimit 0069 TDockTree.UpdateZone 0077 TDockTree.ForEachAt"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B C3 E8 ?? ?? ?? ?? 8B 53 20 2B D0 89 53 24 EB 05 33 C0 89 43 24 8B 73 14 85 F6 74 18 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0D 8B 45 08 50 8B 43 14 E8 ?? ?? ?? ?? 59 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 8B 53 20 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 50 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 53 14 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_76871_0 {
	meta:
		name = "ShowZone"
		size = 311
		refs = "0020 TDockZone.GetVisibleChildCount 002f ShowZone 0069 TDockZone.PrevVisible 007d TDockZone.GetZoneLimit 0085 TDockZone.GetLimitBegin 00c6 TDockZone.ResetZoneLimits 00cf TDockZone.NextVisible 0112 TDockZone.ResetChildren 011e TDockTree.UpdateZone 012c TDockTree.ForEachAt"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F8 8B 77 14 85 F6 74 22 8B 45 08 8B 40 FC 3B 70 64 74 17 8B C6 E8 ?? ?? ?? ?? 48 75 0D 8B 45 08 50 8B 47 14 E8 ?? ?? ?? ?? 59 8B 47 14 E8 ?? ?? ?? ?? 48 74 06 83 7F 24 00 75 07 B3 01 E9 BE 00 00 00 33 DB 8B 45 08 8B 40 FC 8B 40 18 8B 55 08 8B 52 FC 03 42 0C 83 C0 0E 89 45 FC 8B C7 E8 ?? ?? ?? ?? 85 C0 74 5B 8B C7 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 2B D0 2B 57 24 3B 55 FC 7D 04 B3 01 EB 72 89 75 F8 8B C6 E8 ?? ?? ?? ?? 2B 47 24 8B 55 F8 89 42 20 89 7D F4 8B C6 E8 ?? ?? ?? ?? 03 47 24 8B 55 F4 89 42 20 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3E 8B C7 E8 ?? ?? ?? ?? 85 C0 74 33 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 2B 47 24 3B 45 FC 7D 04 B3 01 EB 1B 8B F7 8B C7 E8 ?? ?? ?? ?? 03 47 24 89 46 20 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 08 8B 47 14 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 50 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 57 14 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76872_0 {
	meta:
		name = "TDockTree.ControlVisibilityChanged"
		size = 134
		refs = "0015 TDockTree.FindControlZone 0023 ShowZone 002c HideZone 005b TDockTree.InternalHitTest 0070 GetDockAlign"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B D9 8B F2 89 45 FC 8B D6 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 24 84 DB 74 09 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 14 8B 10 FF 92 9C 00 00 00 EB 3F 84 DB 74 3B 8B 46 48 89 45 F0 8B 46 4C 89 45 F4 8D 4D F8 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 05 8B 58 04 EB 02 33 DB 53 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 45 FC 8B 18 FF 53 0C 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76873_0 {
	meta:
		name = "TDockTree.WndProc"
		size = 664
		refs = "0092 TDockTree.ControlVisibilityChanged 00aa KeysToShiftState 00dd TDockTree.WndProc 01c0 GetCursorPos 01ce TControl.ScreenToClient 01f0 TWinControl.GetHandle 01fd TWinControl.GetVisibleDockClientCount 020e TDockTree.InternalHitTest 022a SizeCursors 022f Screen 0236 TScreen.GetCursors 023c SetCursor"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B F2 8B F8 C6 44 24 0C 00 8B 06 3D 04 02 00 00 7F 3B 0F 84 27 01 00 00 3D 01 02 00 00 7F 1B 0F 84 F2 00 00 00 83 E8 20 0F 84 89 01 00 00 2D E0 01 00 00 74 5F E9 34 02 00 00 2D 02 02 00 00 0F 84 22 01 00 00 48 74 71 E9 21 02 00 00 2D 05 02 00 00 0F 84 37 01 00 00 48 0F 84 89 00 00 00 2D 2A AE 00 00 0F 84 DD 01 00 00 83 E8 12 0F 85 FB 01 00 00 8B 46 08 81 38 0B B0 00 00 0F 85 EC 01 00 00 8B 48 04 8B 56 04 8B C7 E8 ?? ?? ?? ?? E9 DA 01 00 00 0F BF 46 0A 50 8D 44 24 10 50 0F B7 46 04 E8 ?? ?? ?? ?? 8B D0 0F BF 4E 08 8B C7 8B 18 FF 53 18 E9 B5 01 00 00 0F BF 46 08 50 0F BF 46 0A 50 8D 44 24 14 50 0F B7 46 04 E8 ?? ?? ?? ?? 8B C8 66 0B 0D ?? ?? ?? ?? 33 D2 8B C7 8B 18 FF 53 14 E9 86 01 00 00 0F BF 46 08 50 0F BF 46 0A 50 8D 44 24 14 50 0F B7 46 04 E8 ?? ?? ?? ?? 8B C8 66 0B 0D ?? ?? ?? ?? B2 01 8B C7 8B 18 FF 53 14 E9 57 01 00 00 0F BF 46 08 50 0F BF 46 0A 50 8D 44 24 14 50 0F B7 46 04 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 8B 18 FF 53 14 E9 2F 01 00 00 0F BF 46 08 50 0F BF 46 0A 50 8D 44 24 14 50 0F B7 46 04 E8 ?? ?? ?? ?? 8B C8 B2 01 8B C7 8B 18 FF 53 14 E9 07 01 00 00 0F BF 46 08 50 0F BF 46 0A 50 8D 44 24 14 50 0F B7 46 04 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 8B 18 FF 53 1C E9 DF 00 00 00 0F BF 46 08 50 0F BF 46 0A 50 8D 44 24 14 50 0F B7 46 04 E8 ?? ?? ?? ?? 8B C8 B2 01 8B C7 8B 18 FF 53 1C E9 B7 00 00 00 54 E8 ?? ?? ?? ?? 8D 4C 24 10 8B D4 8B 47 14 E8 ?? ?? ?? ?? 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 66 83 7E 08 01 0F 85 89 00 00 00 8B 47 14 E8 ?? ?? ?? ?? 3B 46 04 75 7C 8B 47 14 E8 ?? ?? ?? ?? 85 C0 7E 70 8D 4C 24 08 8B D4 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 74 5D 83 7C 24 08 12 75 56 8B 43 14 0F B6 40 10 0F BF 14 45 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 C6 44 24 0C 01 EB 27 8B D6 8B 47 34 FF 57 30 83 7E 0C 00 75 14 8B 6E 08 8D 45 38 50 8D 4D 18 8D 55 28 8B C7 8B 18 FF 53 34 C6 44 24 0C 01 80 7C 24 0C 00 75 0F 66 83 7F 32 00 74 08 8B D6 8B 47 34 FF 57 30 83 C4 18 5D 5F 5E 5B C3 00 40 00 00 00 }
	condition:
		$1
}

rule function_76874_0 {
	meta:
		name = "TDockTree.ActualSize"
		size = 48
		refs = "0011 TDockTree.ActualSize 0020 @ROUND"
	strings:
		$1 = { 53 56 83 C4 F8 8B F1 8B DA 89 1C 24 DB 04 24 D8 35 ?? ?? ?? ?? 89 74 24 04 DB 44 24 04 DE C9 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_76875_0 {
	meta:
		name = "TDockTree.RelativeSize"
		size = 56
		refs = "001f TDockTree.RelativeSize 0024 @ROUND"
	strings:
		$1 = { 53 56 83 C4 F8 8B D9 8B F2 85 DB 74 1D 89 34 24 DB 04 24 89 5C 24 04 DB 44 24 04 DE F9 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 33 C0 59 5A 5E 5B C3 00 00 00 00 40 1C 46 }
	condition:
		$1
}

rule function_76876_0 {
	meta:
		name = "TDockTree.ReferenceFromOrient"
		size = 41
		refs = "0006 Screen 000d TScreen.GetPrimaryMonitor 0012 TMonitor.GetWidth 0024 TMonitor.GetHeight"
	strings:
		$1 = { 80 FA 01 75 12 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76877_0 {
	meta:
		name = "TDockTree.AdjustFrameRect"
		size = 62
	strings:
		$1 = { 53 8B 01 2B 42 48 03 C0 29 01 8B 41 04 2B 42 4C 03 C0 29 41 04 8B 41 08 2B 01 8B 5A 50 2B D8 8B C3 03 C0 29 41 08 8B 41 0C 2B 41 04 8B 52 54 2B D0 8B C2 03 C0 85 C0 7E 03 29 41 0C 5B C3 }
	condition:
		$1
}

rule function_76878_0 {
	meta:
		name = "TDockTree.MouseDown"
		size = 293
		refs = "0031 TDockTree.InternalHitTest 0054 CancelDrag 0062 TControl.ManualDock 00a8 TDockTree.SplitterMouseDown 00c4 TWinControl.GetHandle 00ce PeekMessage 00db _DV_TWinControl 00e0 @IsClass 0102 TControl.GetDragMode 0113 TControl.BeginDrag"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 66 89 4D FE 8B D8 84 D2 0F 85 07 01 00 00 F6 45 FE 40 74 4F 8B 45 10 89 45 F0 8B 45 0C 89 45 F4 8D 4D F8 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 DE 00 00 00 83 7E 04 00 0F 84 D4 00 00 00 83 7D F8 02 0F 85 CA 00 00 00 E8 ?? ?? ?? ?? 6A 01 33 C9 33 D2 8B 46 04 E8 ?? ?? ?? ?? E9 B2 00 00 00 8B 45 10 89 45 E8 8B 45 0C 89 45 EC 8D 4D F8 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 8F 00 00 00 83 7D F8 12 75 1A 8B 45 10 89 45 E0 8B 45 0C 89 45 E4 8D 4D E0 8B D6 8B C3 E8 ?? ?? ?? ?? EB 6F 83 7D F8 02 75 69 6A 00 68 03 02 00 00 68 03 02 00 00 8B 43 14 E8 ?? ?? ?? ?? 50 8D 45 C4 50 E8 ?? ?? ?? ?? 85 C0 75 1D 8B 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B 46 04 8B 10 FF 92 F4 00 00 00 8B 5E 04 80 BB 93 00 00 00 01 75 18 8B C3 E8 ?? ?? ?? ?? 3C 01 75 0D 83 C9 FF 33 D2 8B 46 04 E8 ?? ?? ?? ?? 8B 45 08 C6 00 01 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_76879_0 {
	meta:
		name = "CalcSplitterPos"
		size = 142
		refs = "0027 TDockZone.GetTopLeft 0041 TDockTree.GetNextLimit"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 08 83 C7 FC 8B 07 8B 58 18 8B 07 8B 70 60 8B 46 14 80 78 10 01 75 36 8B C6 BA 01 00 00 00 E8 ?? ?? ?? ?? 03 C3 8B 17 3B 42 54 7C 05 8B 17 89 42 54 8B 07 8B 50 60 8B 07 E8 ?? ?? ?? ?? 2B C3 8B 17 3B 42 54 7F 3B 8B 17 89 42 54 EB 34 8B C6 BA 02 00 00 00 E8 ?? ?? ?? ?? 03 C3 8B 17 3B 42 50 7C 05 8B 17 89 42 50 8B 07 8B 50 60 8B 07 E8 ?? ?? ?? ?? 2B C3 8B 17 3B 42 50 7F 05 8B 17 89 42 50 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_76880_0 {
	meta:
		name = "TDockTree.MouseMove"
		size = 75
		refs = "0019 TDockTree.DrawSizeSplitter 0037 CalcSplitterPos"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D9 89 45 FC 8B 45 FC 83 78 60 00 74 2F 8B 45 FC E8 ?? ?? ?? ?? 89 5D F4 8B 45 0C 89 45 F8 8B 45 FC 8B 55 F4 89 50 50 8B 55 F8 89 50 54 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_76881_0 {
	meta:
		name = "TDockTree.MouseUp"
		size = 106
		refs = "0025 TDockTree.InternalHitTest 003c _Dn_TCustomForm 0041 @IsClass 004c TCustomForm.Close 0057 TControl.SetVisible 005e TDockTree.SplitterMouseUp"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 84 D2 75 56 83 78 60 00 75 4B 8B 55 10 89 55 F4 8B 55 0C 89 55 F8 8D 4D FC 8D 55 F4 E8 ?? ?? ?? ?? 8B D8 85 DB 74 33 83 7D FC 14 75 2D 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C6 E8 ?? ?? ?? ?? EB 10 8B C6 33 D2 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_76882_0 {
	meta:
		name = "TDockTree.ShowHint"
		size = 241
		refs = "001e TDockTree.ShowHint 0041 @UStrClr 0061 TControl.GetBoundsRect 00b0 TControl.GetText 00bb @UStrAsg 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 8B F2 8D 7D F8 A5 A5 89 4D F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8D 55 F8 8B C6 8B 18 FF 53 08 8B D8 83 7D F0 12 75 0D 8B 45 08 E8 ?? ?? ?? ?? E9 81 00 00 00 85 DB 74 7D 8B 45 F0 83 E8 02 74 05 83 E8 12 75 70 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8D 4D E0 8B D3 8B C6 8B 30 FF 16 8B 45 E0 2B 43 48 03 C0 29 45 E0 8B 45 E4 2B 43 4C 03 C0 29 45 E4 8B 45 E8 2B 45 E0 8B 53 50 2B D0 8B C2 03 C0 29 45 E8 8B 45 EC 2B 45 E4 8B 53 54 2B D0 8B C2 03 C0 29 45 EC 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 F4 8B F8 8D 75 E0 A5 A5 A5 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_76883_0 {
	meta:
		name = "TMouse.Create"
		size = 142
		refs = "000a @ClassCreate 0017 TObject.Create 0027 Win32Platform 0031 Win32MajorVersion 0059 Win32MinorVersion 0070 TMouse.SettingChanged 007b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 04 01 C7 46 08 05 00 00 00 A1 ?? ?? ?? ?? 83 38 02 75 0A A1 ?? ?? ?? ?? 83 38 04 7D 2C A1 ?? ?? ?? ?? 83 38 01 75 1E A1 ?? ?? ?? ?? 83 38 04 7F 18 A1 ?? ?? ?? ?? 83 38 04 75 0A A1 ?? ?? ?? ?? 83 38 0A 7D 04 33 C0 EB 02 B0 01 88 46 0D 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_76884_0 {
	meta:
		name = "TMouse.CreatePanningWindow"
		size = 41
		refs = "0016 TMouse.SetPanningWindow"
	strings:
		$1 = { 53 8B D8 33 C0 83 7B 2C 00 74 1C 80 7B 20 00 74 16 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 8B 43 2C FF 50 38 89 43 28 5B C3 }
	condition:
		$1
}

rule function_76887_0 {
	meta:
		name = "TMouse.GetCursorPos"
		size = 43
		refs = "0008 GetCursorPos"
	strings:
		$1 = { 53 83 C4 F8 8B DA 53 E8 ?? ?? ?? ?? 85 C0 75 17 33 C0 89 04 24 33 C0 89 44 24 04 8B 04 24 89 03 8B 44 24 04 89 43 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_76888_0 {
	meta:
		name = "TMouse.GetIsDragging"
		size = 11
		refs = "0002 ActiveDrag"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_76889_0 {
	meta:
		name = "TMouse.GetIsPanning"
		size = 35
	strings:
		$1 = { 53 56 8B D8 8B 73 28 85 F6 74 0E 8B C6 8B 10 FF 92 FC 00 00 00 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_76890_0 {
	meta:
		name = "TMouse.GetMouseData"
		size = 21
		refs = "0006 GetSystemMetrics"
	strings:
		$1 = { 53 8B D8 6A 13 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 88 43 0C 5B C3 }
	condition:
		$1
}

rule function_76891_0 {
	meta:
		name = "TMouse.GetNativeData"
		size = 42
		refs = "0007 GetSystemMetrics 0023 SystemParametersInfo"
	strings:
		$1 = { 53 56 8B F0 6A 4B E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 88 5E 20 84 DB 74 0F 6A 00 8D 46 10 50 6A 00 6A 68 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76892_0 {
	meta:
		name = "TMouse.GetRegisteredData"
		size = 39
		refs = "0013 HwndMSWheel"
	strings:
		$1 = { 53 51 8B D8 54 8D 43 10 50 8D 4B 14 8D 53 24 8D 43 1C E8 ?? ?? ?? ?? 89 43 18 83 7B 1C 00 0F 95 C0 88 43 20 5A 5B C3 }
	condition:
		$1
}

rule function_76893_0 {
	meta:
		name = "TMouse.SetCapture"
		size = 37
		refs = "0009 TMouse.GetCapture 0016 ReleaseCapture 001e SetCapture"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 74 11 85 F6 75 07 E8 ?? ?? ?? ?? EB 06 56 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76894_0 {
	meta:
		name = "TMouse.SetCursorPos"
		size = 13
		refs = "0008 SetCursorPos"
	strings:
		$1 = { 8B 42 04 50 8B 02 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76895_0 {
	meta:
		name = "TMouse.SetPanningWindow"
		size = 39
		refs = "001d TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 28 3B F0 74 17 85 C0 74 10 8D 43 28 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 89 73 28 5E 5B C3 }
	condition:
		$1
}

rule function_76896_0 {
	meta:
		name = "TMouse.SettingChanged"
		size = 97
		refs = "0012 TMouse.GetMouseData 001f TMouse.GetRegisteredData 0028 TMouse.GetNativeData 0045 SystemParametersInfo 0058 SendMessage"
	strings:
		$1 = { 53 8B D8 83 EA 01 72 07 83 EA 67 74 21 EB 50 8B C3 E8 ?? ?? ?? ?? 80 7B 0D 00 75 09 8B C3 E8 ?? ?? ?? ?? EB 3A 8B C3 E8 ?? ?? ?? ?? 5B C3 80 7B 20 00 74 2B 80 7B 0D 00 74 11 6A 00 8D 43 10 50 6A 00 6A 68 E8 ?? ?? ?? ?? EB 14 6A 00 6A 00 8B 43 14 50 8B 43 18 50 E8 ?? ?? ?? ?? 89 43 10 5B C3 }
	condition:
		$1
}

rule function_76897_0 {
	meta:
		name = "InitIMM32"
		size = 120
		refs = "0005 SysLocale 0015 SetErrorMode 0020 InitIMM32 002c IMM32DLL 0039 LoadLibrary 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? 80 78 0C 00 74 51 68 00 80 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 0F 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 59 5D C3 00 69 00 6D 00 6D 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 }
	condition:
		$1
}

rule function_76901_0 {
	meta:
		name = "Win32NLSEnableIME"
		size = 42
		refs = "0008 IMM32DLL 0018 _WINNLSEnableIME"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 3D ?? ?? ?? ?? 00 74 16 80 FB 01 F5 1B C0 50 56 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_76902_0 {
	meta:
		name = "SetImeMode"
		size = 251
		refs = "000b SysLocale 0027 TOSVersion.FMajor 003b TOSVersion.FMinor 0048 ImmAssociateContext 0056 Win32NLSEnableIME 006a IMM32DLL 0077 ImmGetContext 008d ImmGetConversionStatus 00a1 ImmSetOpenStatus 00d5 ModeMap 00ea ImmSetConversionStatus 00f1 ImmReleaseContext"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B DA 8B F0 A1 ?? ?? ?? ?? 80 78 0C 00 0F 84 DC 00 00 00 80 FB 03 0F 84 D3 00 00 00 84 DB 75 39 A1 ?? ?? ?? ?? 83 38 05 7F 14 A1 ?? ?? ?? ?? 83 38 05 75 17 A1 ?? ?? ?? ?? 83 38 01 7C 0D 6A 00 56 E8 ?? ?? ?? ?? E9 A4 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? E9 96 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 84 80 00 00 00 56 E8 ?? ?? ?? ?? 8B F8 85 FF 74 74 8D 44 24 04 50 8D 44 24 04 50 57 E8 ?? ?? ?? ?? 8B C3 FE C8 74 06 FE C8 74 0C EB 14 6A 00 57 E8 ?? ?? ?? ?? EB 37 6A 01 57 E8 ?? ?? ?? ?? EB 2D 6A 01 57 E8 ?? ?? ?? ?? 8D 44 24 04 50 8D 44 24 04 50 57 E8 ?? ?? ?? ?? 8B 04 24 83 E0 F4 0F B6 D3 0F B6 92 ?? ?? ?? ?? 0B C2 89 04 24 8B 44 24 04 50 8B 44 24 04 50 57 E8 ?? ?? ?? ?? 57 56 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76903_0 {
	meta:
		name = "SetImeName"
		size = 168
		refs = "000d @UStrAddRef 0015 SetImeName 0020 SysLocale 0031 Screen 0038 TScreen.GetImes 0082 ActivateKeyboardLayout 0097 @UStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 78 0C 00 74 5C 83 7D FC 00 74 56 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 74 41 A1 ?? ?? ?? ?? 8B 00 8B 70 44 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 54 8B D8 85 DB 7C 15 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 18 8B F0 6A 01 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_76904_0 {
	meta:
		name = "Imm32GetContext"
		size = 19
		refs = "0002 IMM32DLL 000b ImmGetContext"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 07 50 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_76914_0 {
	meta:
		name = "Imm32IsIME"
		size = 19
		refs = "0002 IMM32DLL 000b ImmIsIME"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 07 50 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_76905_0 {
	meta:
		name = "Imm32ReleaseContext"
		size = 20
		refs = "0002 IMM32DLL 000c ImmReleaseContext"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 08 52 50 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_76911_0 {
	meta:
		name = "Imm32SetCompositionFont"
		size = 20
		refs = "0002 IMM32DLL 000c ImmSetCompositionFont"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 08 52 50 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_76908_0 {
	meta:
		name = "Imm32SetOpenStatus"
		size = 20
		refs = "0002 IMM32DLL 000c ImmSetOpenStatus"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 08 52 50 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_76906_0 {
	meta:
		name = "Imm32GetConversionStatus"
		size = 21
		refs = "0002 IMM32DLL 000d ImmGetConversionStatus"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 09 51 52 50 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_76907_0 {
	meta:
		name = "Imm32SetConversionStatus"
		size = 21
		refs = "0002 IMM32DLL 000d ImmSetConversionStatus"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 09 51 52 50 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_76909_0 {
	meta:
		name = "Imm32SetCompositionWindow"
		size = 43
		refs = "0013 IMM32DLL 001d ImmSetCompositionWindow"
	strings:
		$1 = { 56 57 83 C4 E4 8B F2 8D 3C 24 B9 07 00 00 00 F3 A5 83 3D ?? ?? ?? ?? 00 74 09 54 50 E8 ?? ?? ?? ?? EB 02 33 C0 83 C4 1C 5F 5E C3 }
	condition:
		$1
}

rule function_76913_0 {
	meta:
		name = "Imm32GetCompositionString"
		size = 34
		refs = "0006 IMM32DLL 0015 ImmGetCompositionString"
	strings:
		$1 = { 55 8B EC 53 83 3D ?? ?? ?? ?? 00 74 0E 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? EB 02 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_76915_0 {
	meta:
		name = "Imm32NotifyIME"
		size = 34
		refs = "0006 IMM32DLL 0015 ImmNotifyIME"
	strings:
		$1 = { 55 8B EC 53 83 3D ?? ?? ?? ?? 00 74 0E 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? EB 02 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_76921_0 {
	meta:
		name = "DoneControls"
		size = 164
		refs = "0001 FlagControl 000e TObject.Free 0013 Application 0028 Screen 003d Mouse 004e CanvasList 0058 _Dn_TStyleManager 005d TStyleManager.UnInitialize 0064 ControlAtom 006a GlobalDeleteAtom 006f ControlAtomString 0074 @UStrClr 007b WindowAtom 0086 WindowAtomString 0091 IMM32DLL 009f FreeLibrary"
	strings:
		$1 = { A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76922_0 {
	meta:
		name = "InitControls"
		size = 564
		refs = "0013 InitControls 0022 GetCurrentProcessId 0038 Format 0040 WindowAtomString 0045 @UStrAsg 004f @UStrToPWChar 0055 GlobalAddAtom 005b WindowAtom 0064 HInstance 0070 GetCurrentThreadId 0091 ControlAtomString 00ac ControlAtom 00bc RegisterWindowMessage 00c1 RM_GetObjectInstance 00c8 _Dn_TThreadList 00cd TThreadList.Create 00d2 CanvasList 00d7 InitIMM32 00de _DV_TMouse 00e3 TMouse.Create 00e8 Mouse 00f1 _Dn_TScreen 00f6 TScreen.Create 00fc Screen 0103 _Dn_TStyleManager 0108 TStyleManager.Initialize 0111 _Dn_TApplication 0116 TApplication.Create 011c Application 012c TApplication.SetShowHint 0135 _DV_TControl 013a TControl.Create 013f FlagControl 0149 GetModuleHandle 0150 TCursor 0155 FindIntToIdent 015e CursorToIdent 0163 IdentToCursor 016d RegisterIntegerConsts 017c GetProcAddress 0181 AnimateWindowProc 0196 @UStrClr 01a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 C0 89 45 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 E8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 00 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 8D 45 F0 50 A1 ?? ?? ?? ?? 89 45 E0 C6 45 E4 00 E8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 00 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 A1 ?? ?? ?? ?? 8B 00 B2 01 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 14 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 74 10 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 65 00 6C 00 70 00 68 00 69 00 25 00 2E 00 38 00 58 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 4F 00 66 00 73 00 25 00 2E 00 38 00 58 00 25 00 2E 00 38 00 58 00 00 00 00 00 55 00 53 00 45 00 52 00 33 00 32 00 00 00 00 00 41 00 6E 00 69 00 6D 00 61 00 74 00 65 00 57 00 69 00 6E 00 64 00 6F 00 77 00 00 00 }
	condition:
		$1
}

rule function_76923_0 {
	meta:
		name = "TCustomListControl.Create"
		size = 96
		refs = "000d @ClassCreate 001b TWinControl.Create 0028 TCustomListControl.Create 0042 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 83 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 88 50 10 0F B6 15 ?? ?? ?? ?? 88 50 11 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 00 00 12 00 00 00 1F 00 00 00 }
	condition:
		$1
}

rule function_76925_0 {
	meta:
		name = "TCustomListControl.MoveSelection"
		size = 25
	strings:
		$1 = { 53 8B D8 8B C3 8B 08 FF 91 0C 01 00 00 8B C3 8B 10 FF 92 10 01 00 00 5B C3 }
	condition:
		$1
}

rule function_76926_0 {
	meta:
		name = "TCustomControlAction.SetDropdownMenu"
		size = 127
		refs = "0019 TComponent.RemoveFreeNotification 0031 TList.Get 0037 _DV_TControlActionLink 003c @IsClass 006f TComponent.FreeNotification"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 83 A8 00 00 00 3B E8 74 68 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B 43 58 8B 78 08 4F 85 FF 7C 38 47 33 F6 8B D6 8B 43 58 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B D6 8B 43 58 E8 ?? ?? ?? ?? 85 C0 74 0A 8B D5 8B 08 FF 91 88 00 00 00 46 4F 75 CB 8B C5 89 83 A8 00 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 40 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76927_0 {
	meta:
		name = "TCustomControlAction.SetEnableDropdown"
		size = 101
		refs = "0024 TList.Get 002a _DV_TControlActionLink 002f @IsClass"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 3A 9D B0 00 00 00 74 50 8B 45 58 8B 78 08 4F 85 FF 7C 38 47 33 F6 8B D6 8B 45 58 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B D6 8B 45 58 E8 ?? ?? ?? ?? 85 C0 74 0A 8B D3 8B 08 FF 91 8C 00 00 00 46 4F 75 CB 88 9D B0 00 00 00 8B C5 8B 10 FF 52 40 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76928_0 {
	meta:
		name = "TCustomControlAction.SetPopupMenu"
		size = 127
		refs = "0019 TComponent.RemoveFreeNotification 0031 TList.Get 0037 _DV_TControlActionLink 003c @IsClass 006f TComponent.FreeNotification"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 83 AC 00 00 00 3B E8 74 68 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B 43 58 8B 78 08 4F 85 FF 7C 38 47 33 F6 8B D6 8B 43 58 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B D6 8B 43 58 E8 ?? ?? ?? ?? 85 C0 74 0A 8B D5 8B 08 FF 91 90 00 00 00 46 4F 75 CB 8B C5 89 83 AC 00 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 40 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76929_0 {
	meta:
		name = "TCustomTransparentControl.Create"
		size = 84
		refs = "000a @ClassCreate 0017 TCustomControl.Create 0020 TCustomTransparentControl.Create 0030 TBrush.SetStyle 003b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 8B 86 C8 01 00 00 B2 01 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_76930_0 {
	meta:
		name = "DoInvalidate"
		size = 140
		refs = "000c _DV_TWinControl 0011 @IsClass 001e TWinControl.HandleAllocated 0032 TWinControl.GetHandle 0038 RedrawWindow 0049 InvalidateRect 0056 TWinControl.GetControlCount 0069 TWinControl.GetControl 0072 DoInvalidate"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 64 8B F3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 27 68 01 04 00 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A FF 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 43 58 01 74 34 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 28 40 89 C6 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 08 52 E8 ?? ?? ?? ?? 59 47 4E 75 E9 EB 0A 8B C3 8B 10 FF 92 9C 00 00 00 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_76931_0 {
	meta:
		name = "TCustomTransparentControl.InvalidateControlsUnderneath"
		size = 95
		refs = "000d TWinControl.HandleAllocated 0019 TWinControl.GetControlCount 002b TWinControl.GetControl 0035 DoInvalidate 0050 TWinControl.GetHandle 0056 InvalidateRect"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 45 8B 46 38 E8 ?? ?? ?? ?? 8B F8 4F 83 FF 00 7C 23 8B D7 8B 46 38 E8 ?? ?? ?? ?? 84 DB 74 09 55 E8 ?? ?? ?? ?? 59 EB 06 3B F0 75 02 B3 01 4F 83 FF FF 75 DD 6A FF 6A 00 8B 46 38 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_76932_0 {
	meta:
		name = "TCustomTransparentControl.CreateParams"
		size = 16
		refs = "0006 TWinControl.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 83 4B 08 20 5B C3 }
	condition:
		$1
}

rule function_76933_0 {
	meta:
		name = "TCustomTransparentControl.WMNCHitTest"
		size = 23
		refs = "0012 TWinControl.WMNCHitTest"
	strings:
		$1 = { 80 B8 80 02 00 00 00 75 08 C7 42 0C FF FF FF FF C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76935_0 {
	meta:
		name = "TMargins.Create"
		size = 67
		refs = "000b @ClassCreate 001a TObject.Create 002f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 8B 07 8B D7 FF 50 14 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76936_0 {
	meta:
		name = "TMargins.AssignTo"
		size = 69
		refs = "000a _DV_TMargins 000f @IsClass 003e TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B C3 8B 56 08 89 50 08 8B 56 0C 89 50 0C 8B 56 10 89 50 10 8B 56 14 89 50 14 8B 10 FF 52 0C 5E 5B C3 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76938_0 {
	meta:
		name = "TMargins.InitDefaults"
		size = 29
	strings:
		$1 = { C7 42 08 03 00 00 00 C7 42 10 03 00 00 00 C7 42 0C 03 00 00 00 C7 42 14 03 00 00 00 C3 }
	condition:
		$1
}

rule function_76939_0 {
	meta:
		name = "TMargins.SetMargin"
		size = 86
	strings:
		$1 = { 56 8B F0 83 EA 01 72 0A 74 19 4A 74 27 4A 74 35 EB 42 3B 4E 08 74 3D 89 4E 08 8B C6 8B 10 FF 52 0C 5E C3 3B 4E 0C 74 2C 89 4E 0C 8B C6 8B 10 FF 52 0C 5E C3 3B 4E 10 74 1B 89 4E 10 8B C6 8B 10 FF 52 0C 5E C3 3B 4E 14 74 0A 89 4E 14 8B C6 8B 10 FF 52 0C 5E C3 }
	condition:
		$1
}

rule function_76940_0 {
	meta:
		name = "TMargins.SetControlBounds"
		size = 234
		refs = "0037 TMargins.SetControlBounds 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 8B FA 89 45 FC 8B 45 FC 8B 58 04 85 DB 0F 84 C2 00 00 00 80 7D 08 00 74 0E C6 83 80 01 00 00 01 81 4B 5C 00 40 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 70 04 F6 46 5A 10 74 09 83 7E 38 00 0F 95 C0 EB 02 33 C0 84 C0 74 3F 8B 45 FC 8B 40 08 8B D0 8B 4D FC 03 51 10 8B 4D 10 2B CA 51 8B 55 FC 8B 52 0C 8B 4D FC 03 51 14 8B 4D 0C 2B CA 51 8B 55 FC 8B 4A 0C 03 4D F8 8B D0 03 D7 8B C6 8B 18 FF 93 A4 00 00 00 EB 17 8B 45 10 50 8B 45 0C 50 8B C6 8B 4D F8 8B D7 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D 08 00 74 14 8B 45 FC 8B 58 04 C6 83 80 01 00 00 00 81 63 5C FF BF FF FF C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_76941_0 {
	meta:
		name = "TMargins.SetControlBounds"
		size = 36
		refs = "001c TMargins.SetControlBounds"
	strings:
		$1 = { 53 56 57 8B 5A 08 8B 32 2B DE 53 8B 5A 0C 8B 7A 04 2B DF 53 51 8B CE 8B D7 87 CA E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76942_0 {
	meta:
		name = "TMargins.SetBounds"
		size = 58
	strings:
		$1 = { 55 8B EC 56 57 8B F0 8B 7D 08 8B 45 0C 3B 56 08 75 0F 3B 4E 0C 75 0A 3B 46 10 75 05 3B 7E 14 74 13 89 56 08 89 4E 0C 89 46 10 89 7E 14 8B C6 8B 10 FF 52 0C 5F 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_76943_0 {
	meta:
		name = "TMargins.GetControlBound"
		size = 399
		refs = "001a TMargins.GetControlBound"
	strings:
		$1 = { 56 33 C9 8B 70 04 85 F6 0F 84 7D 01 00 00 83 FA 07 0F 87 74 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F6 46 5A 10 74 09 83 7E 38 00 0F 95 C2 EB 02 33 D2 84 D2 74 0B 8B 4E 48 2B 48 08 E9 2D 01 00 00 8B 4E 48 E9 25 01 00 00 F6 46 5A 10 74 09 83 7E 38 00 0F 95 C2 EB 02 33 D2 84 D2 74 0B 8B 4E 4C 2B 48 0C E9 05 01 00 00 8B 4E 4C E9 FD 00 00 00 F6 46 5A 10 74 09 83 7E 38 00 0F 95 C2 EB 02 33 D2 84 D2 74 0E 8B 4E 50 03 48 08 03 48 10 E9 DA 00 00 00 8B 4E 50 E9 D2 00 00 00 F6 46 5A 10 74 09 83 7E 38 00 0F 95 C2 EB 02 33 D2 84 D2 74 0E 8B 4E 54 03 48 0C 03 48 14 E9 AF 00 00 00 8B 4E 54 E9 A7 00 00 00 F6 46 5A 10 74 09 83 7E 38 00 0F 95 C2 EB 02 33 D2 84 D2 74 0E 8B 8E 9C 01 00 00 2B 48 08 E9 84 00 00 00 8B 8E 9C 01 00 00 EB 7C F6 46 5A 10 74 09 83 7E 38 00 0F 95 C2 EB 02 33 D2 84 D2 74 0B 8B 8E A0 01 00 00 2B 48 0C EB 5C 8B 8E A0 01 00 00 EB 54 F6 46 5A 10 74 09 83 7E 38 00 0F 95 C2 EB 02 33 D2 84 D2 74 0E 8B 8E A4 01 00 00 03 48 08 03 48 10 EB 31 8B 8E A4 01 00 00 EB 29 F6 46 5A 10 74 09 83 7E 38 00 0F 95 C2 EB 02 33 D2 84 D2 74 0E 8B 8E A8 01 00 00 03 48 0C 03 48 14 EB 06 8B 8E A8 01 00 00 8B C1 5E C3 }
	condition:
		$1
}

rule function_76945_0 {
	meta:
		name = "TCustomHintWindow.AutoSize"
		size = 14
	strings:
		$1 = { 8B D0 8B 80 80 02 00 00 8B 08 FF 51 48 C3 }
	condition:
		$1
}

rule function_76947_0 {
	meta:
		name = "TCustomHintWindow.Create"
		size = 132
		refs = "000a @ClassCreate 0017 TCustomControl.Create 0020 TControl.SetVisible 002c TControl.SetColor 0031 Screen 0044 TCanvas.SetFont 0054 TBrush.SetStyle 005d TControl.SetWidth 0066 TControl.SetHeight 0071 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? BA FF FF 80 00 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 90 80 00 00 00 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 8B 86 78 02 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_76948_0 {
	meta:
		name = "TCustomHintWindow.CreateParams"
		size = 26
		refs = "0006 TWinControl.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? C7 43 04 00 00 00 80 C7 43 08 88 00 00 00 5B C3 }
	condition:
		$1
}

rule function_76949_0 {
	meta:
		name = "TCustomHintWindow.CreateWnd"
		size = 102
		refs = "0007 TWinControl.CreateWnd 000c TStyleManager.GetActiveStyle 001c TWinControl.GetHandle 0031 GetWindowLongPtr 0045 SetWindowLongPtr 005b SetLayeredWindowAttributes"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 4A 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 8B D6 BE EC FF FF FF 0D 00 00 08 00 50 56 52 E8 ?? ?? ?? ?? 6A 03 6A 00 68 00 FF 00 00 8B C3 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 5E 5B C3 }
	condition:
		$1
}

rule function_76950_0 {
	meta:
		name = "TCustomHintWindow.IsThemed"
		size = 48
		refs = "0001 TStyleManager.GetActiveStyle 0016 CheckWin32Version 0028 TCustomStyleServices.GetIsSystemStyle"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0E 33 D2 B8 06 00 00 00 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0B E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_76951_0 {
	meta:
		name = "TCustomHintWindow.NewStylePainting"
		size = 33
		refs = "000b CheckWin32Version 0014 TStyleManager.GetActiveStyle"
	strings:
		$1 = { BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 0B E8 ?? ?? ?? ?? 8B 10 FF 52 48 C3 33 C0 C3 }
	condition:
		$1
}

rule function_76952_0 {
	meta:
		name = "TCustomHintWindow.NCPaint"
		size = 22
	strings:
		$1 = { 53 56 8B F0 8B CA 8B 86 80 02 00 00 8B D6 8B 18 FF 53 44 5E 5B C3 }
	condition:
		$1
}

rule function_76953_0 {
	meta:
		name = "TCustomHintWindow.Paint"
		size = 14
	strings:
		$1 = { 8B D0 8B 80 80 02 00 00 8B 08 FF 51 40 C3 }
	condition:
		$1
}

rule function_76954_0 {
	meta:
		name = "TCustomHintWindow.PositionAtCursor"
		size = 25
		refs = "0008 GetCursorPos 0011 TCustomHintWindow.PositionAt"
	strings:
		$1 = { 53 83 C4 F8 8B D8 54 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_76955_0 {
	meta:
		name = "TCustomHintWindow.PositionAt"
		size = 162
		refs = "0014 TCustomHintWindow.AutoSize 001f TControl.SetTop 0044 TControl.SetLeft 0062 Screen 0069 TScreen.GetHeight"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 54 24 0C 8B C6 E8 ?? ?? ?? ?? 8B 54 24 08 8B 04 24 2B D0 D1 FA 79 03 83 D2 00 03 D0 8B 46 50 D1 F8 79 03 83 D0 00 2B D0 8B C6 E8 ?? ?? ?? ?? 8B 86 80 02 00 00 80 78 48 01 75 0D 8B 56 48 83 C2 0A 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 3B 46 4C 0F 9C C3 88 9E 84 02 00 00 84 DB 74 17 8B 56 4C 2B 56 54 8B 44 24 0C 2B 44 24 04 2B D0 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76956_0 {
	meta:
		name = "TCustomHintWindow.PositionAt"
		size = 58
		refs = "0024 Rect 002f TCustomHintWindow.PositionAt"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F2 8D 3C 24 A5 A5 8B D8 8B 7C 24 04 57 8D 44 24 0C 50 8B 74 24 08 8B CE 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76972_0 {
	meta:
		name = "TCustomHint.ShowHint"
		size = 58
		refs = "0024 Rect 002f TCustomHint.ShowHint"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F2 8D 3C 24 A5 A5 8B D8 8B 7C 24 04 57 8D 44 24 0C 50 8B 74 24 08 8B CE 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76960_0 {
	meta:
		name = "TCustomHint.SetHintSize"
		size = 332
		refs = "0058 TCustomHint.SetHintSize 0068 TFont.SetStyle 012c TControl.SetHeight 0136 TControl.SetWidth"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F2 33 C0 89 04 24 33 C0 89 44 24 04 33 C0 89 44 24 08 33 FF 8B AE 80 02 00 00 83 7D 38 00 0F 84 A7 00 00 00 8B 86 78 02 00 00 8B 40 40 8B 40 10 0F B6 40 21 A8 01 0F 95 C0 88 44 24 0C 8B 86 78 02 00 00 8B 40 40 8B 40 10 0F B6 58 21 0F B6 15 ?? ?? ?? ?? 0A D3 8B 86 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 4D 38 8D 54 24 14 8B 86 78 02 00 00 8B 18 FF 93 94 00 00 00 80 7C 24 0C 00 75 29 8B 86 78 02 00 00 8B 40 40 8B 40 10 0F B6 58 21 0F B6 15 ?? ?? ?? ?? F7 D2 22 D3 8B 86 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B 44 24 18 2B 44 24 10 83 C0 08 89 44 24 08 8B 44 24 1C 2B 44 24 14 03 F8 83 C7 04 83 7D 3C 00 74 41 A1 ?? ?? ?? ?? 50 8D 4D 3C 8D 54 24 14 8B 86 78 02 00 00 8B 18 FF 93 94 00 00 00 8B 44 24 18 2B 44 24 10 83 C0 08 3B 44 24 08 7D 04 8B 44 24 08 89 44 24 08 8B 44 24 1C 2B 44 24 14 03 F8 83 C7 04 01 7C 24 04 8B 44 24 08 01 04 24 8B 54 24 04 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B C6 E8 ?? ?? ?? ?? 83 C4 20 5D 5F 5E 5B C3 00 00 01 00 00 00 02 01 00 00 }
	condition:
		$1
}

rule function_76961_0 {
	meta:
		name = "TCustomHint.SetImages"
		size = 24
		refs = "0013 TComponent.FreeNotification"
	strings:
		$1 = { 3B 50 40 74 12 8B CA 89 48 40 85 C9 74 09 8B D0 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76962_0 {
	meta:
		name = "TCustomHint.Create"
		size = 80
		refs = "000a @ClassCreate 0017 TComponent.Create 003d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 58 FF FF FF FF C6 46 48 01 33 C0 89 46 4C C7 46 50 F4 01 00 00 C6 46 54 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_76963_0 {
	meta:
		name = "TCustomHint.Destroy"
		size = 80
		refs = "0003 @BeforeDestruction 000e TCustomHint.HideHint 001e TCustomHintShowHideThread.ResumeWork 0026 TThread.Terminate 002e TObject.Free 003e TComponent.Destroy 0049 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? C6 46 60 01 8B 46 4C 85 C0 74 1A E8 ?? ?? ?? ?? 8B 46 4C E8 ?? ?? ?? ?? 8B 46 4C E8 ?? ?? ?? ?? 33 C0 89 46 4C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76964_0 {
	meta:
		name = "TCustomHint.HideHint"
		size = 11
		refs = "0006 TCustomHint.HideHint"
	strings:
		$1 = { 3B 50 5C 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76965_0 {
	meta:
		name = "TCustomHint.HideHint"
		size = 5
	strings:
		$1 = { C6 40 54 00 C3 }
	condition:
		$1
}

rule function_76967_0 {
	meta:
		name = "TCustomHint.Notification"
		size = 43
		refs = "0010 TComponent.Notification 0023 TCustomHint.SetImages"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 0E 3B 7E 40 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76968_0 {
	meta:
		name = "TCustomHint.PaintHint"
		size = 588
		refs = "0027 SplitRect 003d TBrush.SetColor 006e CreateRectRgn 0083 TCanvas.GetHandle 0089 SelectObject 0094 TCustomHint.PaintHint 00c2 TBrush.GetHandle 00db FrameRgn 0146 TBrush.SetStyle 0177 CenteredRect 0230 DeleteObject 0236 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 89 55 FC 8D 45 E4 50 8D 55 A4 8B 45 FC 8B 08 FF 51 60 8D 45 A4 8B 55 FC 8B 4A 54 B2 03 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 8B 40 48 BA FF FF F0 00 E8 ?? ?? ?? ?? 8D 55 A4 8B 45 FC 8B 08 FF 51 60 8D 55 A4 8B 45 FC 8B 80 78 02 00 00 8B 08 FF 51 54 8B 45 F0 50 8B 45 EC 50 8B 45 E8 50 8B 45 E4 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 50 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 78 02 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 6A 01 6A 01 8B 45 FC 8B 80 78 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 8C 02 00 00 00 74 16 68 00 00 E0 3F 6A 00 8D 4D D4 8D 45 E4 B2 02 E8 ?? ?? ?? ?? EB 0A 8D 75 E4 8D 7D D4 A5 A5 A5 A5 8B 45 FC 83 B8 88 02 00 00 00 74 16 68 00 00 E0 3F 6A 00 8D 4D C4 8D 45 E4 B2 03 E8 ?? ?? ?? ?? EB 0A 8D 75 E4 8D 7D C4 A5 A5 A5 A5 8B 45 FC 8B 80 78 02 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 45 FC 8D 88 88 02 00 00 8D 55 B4 8B 45 FC 8B 80 78 02 00 00 8B 18 FF 93 94 00 00 00 8D 4D A4 8D 55 B4 8D 45 D4 E8 ?? ?? ?? ?? 8D 75 A4 8D 7D D4 A5 A5 A5 A5 A1 ?? ?? ?? ?? 50 8B 45 FC 8D 88 88 02 00 00 8D 55 D4 8B 45 FC 8B 80 78 02 00 00 8B 18 FF 93 94 00 00 00 A1 ?? ?? ?? ?? 50 8B 45 FC 8D 88 8C 02 00 00 8D 55 B4 8B 45 FC 8B 80 78 02 00 00 8B 18 FF 93 94 00 00 00 8D 4D A4 8D 55 B4 8D 45 C4 E8 ?? ?? ?? ?? 8D 75 A4 8D 7D C4 A5 A5 A5 A5 A1 ?? ?? ?? ?? 50 8B 45 FC 8D 88 8C 02 00 00 8D 55 C4 8B 45 FC 8B 80 78 02 00 00 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 5F 5E 5B 8B E5 5D C3 00 02 00 00 00 00 85 02 00 }
	condition:
		$1
}

rule function_76969_0 {
	meta:
		name = "TCustomHint.ShowAnotherHint"
		size = 5
	strings:
		$1 = { C6 40 54 01 C3 }
	condition:
		$1
}

rule function_76970_0 {
	meta:
		name = "TCustomHint.ShowHint"
		size = 348
		refs = "001c TCustomHint.ShowHint 0031 TControl.GetCustomHint 0056 AnsiPos 0066 GetShortHint 0071 @UStrAsg 0083 GetLongHint 0098 @UStrClr 00bf @UStrCopy 00c7 StrToInt 00f0 GetCursorPos 0112 TControl.ClientToScreen 0136 @UStrArrayClr 013c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 4D E8 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 F2 00 00 00 8B C6 E8 ?? ?? ?? ?? 3B D8 0F 85 B9 00 00 00 83 BE 88 00 00 00 00 0F 84 D6 00 00 00 8B 96 88 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 55 EC 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8D 43 38 E8 ?? ?? ?? ?? 85 FF 74 1B 8D 55 E8 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8D 43 3C E8 ?? ?? ?? ?? EB 08 8D 43 3C E8 ?? ?? ?? ?? 8B 53 3C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 74 32 8D 45 E4 50 8D 57 01 B9 FF FF FF 7F 8B 43 3C E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 89 43 44 8D 43 3C 50 8B CF 49 33 D2 8B 43 3C E8 ?? ?? ?? ?? EB 07 C7 43 44 FF FF FF FF 89 73 5C 8D 45 F8 50 E8 ?? ?? ?? ?? EB 20 8B 46 50 D1 F8 79 03 83 D0 00 89 45 F0 8B 46 54 89 45 F4 8D 4D F8 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7C 00 00 00 }
	condition:
		$1
}

rule function_76971_0 {
	meta:
		name = "TCustomHint.ShowHint"
		size = 149
		refs = "001a _DV_TCustomHintWindow 001f TCustomHintWindow.Create 002e TWinControl.HandleNeeded 003c @UStrAsg 005c TCustomHintWindow.PositionAt 0071 _DV_TCustomHintShowHideThread 0076 TCustomHintShowHideThread.Create 0082 TCustomHintShowHideThread.QueHintWindow 008a TCustomHintShowHideThread.ResumeWork"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B D8 C6 43 54 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 9E 80 02 00 00 8B C6 E8 ?? ?? ?? ?? 8D 86 88 02 00 00 8B 53 38 E8 ?? ?? ?? ?? 8D 86 8C 02 00 00 8B 53 3C E8 ?? ?? ?? ?? 8B 43 44 89 86 90 02 00 00 8B D4 8B C6 E8 ?? ?? ?? ?? C6 43 60 00 8B 43 4C 85 C0 75 14 53 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 4C EB 0F 8B D6 E8 ?? ?? ?? ?? 8B 43 4C E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76973_0 {
	meta:
		name = "TCustomHint.ShowHint"
		size = 24
		refs = "0011 TCustomHint.ShowHint"
	strings:
		$1 = { 83 C4 F8 33 D2 89 14 24 33 D2 89 54 24 04 8B D4 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_76974_0 {
	meta:
		name = "TCustomHintShowHideThread.Create"
		size = 131
		refs = "000f @ClassCreate 0021 TThread.Create 002a _Dn_TEvent 002f TEvent.Create 0039 _Dn_TThreadList 003e TThreadList.Create 0050 TCustomHintShowHideThread.QueHintWindow 006b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 40 C6 46 0C 01 8B D7 8B C3 E8 ?? ?? ?? ?? C6 43 48 00 C6 43 49 01 8B 45 08 89 43 44 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_76975_0 {
	meta:
		name = "TCustomHintShowHideThread.Destroy"
		size = 195
		refs = "000a @BeforeDestruction 001f TCustomHintShowHideThread.ResumeWork 002e TThread.Destroy 0039 TThreadList.LockList 0043 TCustomHintShowHideThread.Destroy 005d TList.Get 0062 TObject.Free 0081 TMonitor.Exit 0087 @HandleFinally 0094 TThreadList.Clear 00b8 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC C6 40 49 00 8B 45 FC E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_76976_0 {
	meta:
		name = "LatestHintWindow"
		size = 266
		refs = "0011 _Dn_TList 0016 TObject.Create 0021 LatestHintWindow 0035 TThreadList.LockList 0067 TList.Get 007f TList.Add 0088 TList.Delete 00aa TMonitor.Exit 00b0 @HandleFinally 00d0 TObject.Free 00db TThread.Synchronize"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C0 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 FC 8B 40 40 E8 ?? ?? ?? ?? 8B F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 47 08 89 45 F8 8B 5D F8 4B 85 DB 7C 39 43 33 F6 8B 45 F8 48 3B F0 75 0E 33 D2 8B C7 E8 ?? ?? ?? ?? 89 45 FC EB 1C 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 46 4B 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 40 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B 45 F4 8B 58 08 4B 85 DB 7C 22 43 33 F6 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 46 4B 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_76977_0 {
	meta:
		name = "TCustomHintShowHideThread.Execute"
		size = 1132
		refs = "0017 LatestHintWindow 0036 TCustomHintShowHideThread.Execute 0044 TWinControl.HandleAllocated 0059 TWinControl.GetHandle 005f SetLayeredWindowAttributes 0074 TThread.Sleep 00b1 TThread.Synchronize 00c1 ShowWindow 00f8 @TRUNC 011b TThreadList.LockList 014c TMonitor.Exit 0152 @HandleFinally 0170 TCustomHint.ShowAnotherHint 0198 GetTickCount 0273 TCustomHint.HideHint 03c1 TObject.Free 03ef TList.Delete 0428 Application 043e TEvent.ResetEvent"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 45 FC E9 3F 04 00 00 C6 45 EE 01 55 E8 ?? ?? ?? ?? 59 89 45 F0 8B 45 FC 8B 40 44 89 45 F4 83 7D F0 00 0F 84 EC 03 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 1B 6A 03 6A 00 68 00 FF 00 00 8B 45 F0 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 45 F0 8B 80 80 02 00 00 8B 40 50 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 80 02 00 00 80 78 54 00 0F 84 24 03 00 00 E9 12 03 00 00 C6 45 EF 00 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 25 8B 45 F0 50 8B 00 8B 80 F8 00 00 00 50 8B 45 FC E8 ?? ?? ?? ?? 6A 04 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 7D EE 00 0F 84 BE 00 00 00 C6 45 EE 00 C7 45 F8 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 2E 6A 03 DB 45 F8 D8 35 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 68 00 FF 00 00 8B 45 F0 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 08 89 45 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 83 7D E8 01 7E 18 55 E8 ?? ?? ?? ?? 59 89 45 F0 C6 45 EF 01 8B 45 F4 E8 ?? ?? ?? ?? EB 17 B8 14 00 00 00 E8 ?? ?? ?? ?? FF 45 F8 83 7D F8 0B 0F 85 4D FF FF FF 80 7D EF 00 0F 85 0B 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 89 42 4C 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 C5 00 00 00 6A 03 68 FF 00 00 00 68 00 FF 00 00 8B 45 F0 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 E9 A2 00 00 00 B8 14 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 89 45 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 83 7D E8 01 7E 18 55 E8 ?? ?? ?? ?? 59 89 45 F0 C6 45 EF 01 8B 45 F4 E8 ?? ?? ?? ?? EB 49 8B 45 F0 8B 80 80 02 00 00 83 78 58 FF 74 27 E8 ?? ?? ?? ?? 8B 55 FC 2B 42 4C 8B 55 F0 8B 92 80 02 00 00 3B 42 58 76 0E 8B 45 F0 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 80 02 00 00 80 78 54 00 0F 85 4B FF FF FF 80 7D EF 00 0F 85 0E 01 00 00 C7 45 F8 0A 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 2E 6A 03 DB 45 F8 D8 35 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 68 00 FF 00 00 8B 45 F0 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 89 45 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 83 7D E8 01 7E 18 55 E8 ?? ?? ?? ?? 59 89 45 F0 C6 45 EF 01 8B 45 F4 E8 ?? ?? ?? ?? EB 17 B8 14 00 00 00 E8 ?? ?? ?? ?? FF 4D F8 83 7D F8 FF 0F 85 4D FF FF FF 80 7D EF 00 75 4E 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 8B 40 08 89 45 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 83 7D E8 01 74 0D 8B 45 FC 80 78 0D 00 0F 84 E1 FC FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA C3 E9 ?? ?? ?? ?? EB 9E 8B 45 F4 80 78 60 00 75 29 A1 ?? ?? ?? ?? 8B 00 80 B8 A8 00 00 00 00 75 19 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 50 83 CA FF 8B 08 FF 51 08 8B 45 FC 80 78 49 00 0F 85 B4 FB FF FF 5F 5E 5B 8B E5 5D C3 00 00 20 41 00 00 7F 43 }
	condition:
		$1
}

rule function_76981_0 {
	meta:
		name = "TBalloonHint.SetHintSize"
		size = 624
		refs = "000e TCustomHintWindow.NewStylePainting 001b TCustomHint.SetHintSize 0054 TStyleManager.GetActiveStyle 0099 TCustomHintWindow.IsThemed 00b0 @UStrToPWChar 00c0 TCanvas.GetHandle 00cb GetThemeTextExtent 0104 TBalloonHint.SetHintSize 0114 TFont.SetStyle 024f TControl.SetHeight 0259 TControl.SetWidth"
	strings:
		$1 = { 53 56 57 55 83 C4 D4 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 39 02 00 00 33 C0 89 04 24 33 C0 89 44 24 0C 33 ED 33 C0 89 44 24 08 8B 86 80 02 00 00 80 78 48 01 75 0A C7 44 24 04 0A 00 00 00 EB 06 33 C0 89 44 24 04 E8 ?? ?? ?? ?? B2 1B 8B 08 FF 51 50 89 44 24 10 8B BE 80 02 00 00 8B 47 40 85 C0 74 1C 83 7F 44 FF 74 16 8B 50 3C 03 14 24 83 C2 04 89 14 24 8B 40 38 83 C0 04 89 44 24 08 83 7F 38 00 0F 84 E9 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 37 8D 44 24 1C 50 6A 00 6A 00 6A FF 8B 47 38 E8 ?? ?? ?? ?? 50 6A 01 6A 02 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 50 8B 44 24 30 50 A1 ?? ?? ?? ?? 8B 00 FF D0 E9 8B 00 00 00 8B 86 78 02 00 00 8B 40 40 8B 40 10 0F B6 40 21 A8 01 0F 95 C0 88 44 24 14 8B 86 78 02 00 00 8B 40 40 8B 40 10 0F B6 58 21 0F B6 15 ?? ?? ?? ?? 0A D3 8B 86 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 4F 38 8D 54 24 20 8B 86 78 02 00 00 8B 18 FF 93 94 00 00 00 80 7C 24 14 00 75 29 8B 86 78 02 00 00 8B 40 40 8B 40 10 0F B6 58 21 0F B6 15 ?? ?? ?? ?? F7 D2 22 D3 8B 86 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B 44 24 24 2B 44 24 1C 83 C0 08 89 44 24 0C 8B 44 24 28 2B 44 24 20 03 E8 83 C5 04 83 7F 3C 00 0F 84 93 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 47 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 89 44 24 18 8B 5F 3C 85 DB 74 05 83 EB 04 8B 1B 8D 44 24 1C 50 6A 00 6A 00 53 8B 47 3C E8 ?? ?? ?? ?? 50 6A 01 6A 01 8B 44 24 34 50 8B 44 24 30 50 A1 ?? ?? ?? ?? 8B 00 FF D0 EB 1B A1 ?? ?? ?? ?? 50 8D 4F 3C 8D 54 24 20 8B 86 78 02 00 00 8B 18 FF 93 94 00 00 00 8B 44 24 24 2B 44 24 1C 83 C0 08 3B 44 24 0C 7D 04 8B 44 24 0C 89 44 24 0C 8B 44 24 28 2B 44 24 20 03 E8 83 C5 04 8B C6 E8 ?? ?? ?? ?? 84 C0 75 08 83 44 24 0C 04 83 C5 04 3B 6C 24 08 7D 06 8B 44 24 08 EB 02 8B C5 01 44 24 04 8B 44 24 0C 01 04 24 8B 54 24 04 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B C6 E8 ?? ?? ?? ?? 83 C4 2C 5D 5F 5E 5B C3 00 00 00 01 00 00 00 02 01 00 00 }
	condition:
		$1
}

rule function_76982_0 {
	meta:
		name = "TBalloonHint.PaintHint"
		size = 3128
		refs = "0017 TCustomHintWindow.NewStylePainting 0024 TCustomHint.PaintHint 0065 SplitRect 00c7 TBrush.SetColor 00ee TCustomHintWindow.IsThemed 0113 CreateRoundRectRgn 014a Rect 018c CenteredRect 01ff CreatePolygonRgn 02d6 CreateRectRgn 02eb CombineRgn 02fa TCanvas.GetHandle 0300 SelectObject 0344 TStyleManager.GetActiveStyle 037d TCustomStyleServices.GetElementColor 043f GradientFillCanvas 0463 TBrush.GetHandle 047a FrameRgn 0573 TCustomImageList.Draw 05e1 TBrush.SetStyle 060d TFont.SetColor 0628 TBalloonHint.PaintHint 0633 TFont.SetStyle 0796 DeleteObject 07d4 GetThemeBackgroundRegion 0810 FillRgn 0854 TCustomStyleServices.DrawElement 08df DrawThemeBackground 0a92 @UStrToPWChar 0aa9 GetThemeTextExtent 0b91 TCustomStyleServices.DrawText"
	strings:
		$1 = { 53 56 57 55 81 C4 00 FF FF FF 8B DA 8B F0 33 C0 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0E 8B D3 8B C6 E8 ?? ?? ?? ?? E9 EC 0B 00 00 8B 83 80 02 00 00 80 78 48 01 75 5B 80 BB 84 02 00 00 00 74 29 8D 44 24 40 50 8D 94 24 D4 00 00 00 8B C3 8B 08 FF 51 60 8D 84 24 D4 00 00 00 8B 4B 54 83 E9 0A B2 02 E8 ?? ?? ?? ?? EB 4D 8D 44 24 40 50 8D 94 24 D4 00 00 00 8B C3 8B 08 FF 51 60 8D 84 24 D4 00 00 00 8B 4B 54 83 E9 0A B2 03 E8 ?? ?? ?? ?? EB 24 8D 44 24 40 50 8D 94 24 D4 00 00 00 8B C3 8B 08 FF 51 60 8D 84 24 D4 00 00 00 8B 4B 54 B2 03 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 48 BA 00 FF 00 00 E8 ?? ?? ?? ?? 8D 94 24 D0 00 00 00 8B C3 8B 08 FF 51 60 8D 94 24 D0 00 00 00 8B 83 78 02 00 00 8B 08 FF 51 54 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 B4 06 00 00 6A 04 6A 04 8B 44 24 54 50 8B 44 24 54 50 8B 44 24 54 50 8B 44 24 54 50 E8 ?? ?? ?? ?? 8B F8 8B 83 80 02 00 00 80 78 48 01 0F 85 E1 01 00 00 80 BB 84 02 00 00 00 0F 84 D6 00 00 00 6A 0A 8D 84 24 D4 00 00 00 50 B9 0A 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 84 24 D0 00 00 00 50 8D 84 24 E4 00 00 00 50 8D 94 24 F8 00 00 00 8B C3 8B 08 FF 51 60 8D 84 24 F8 00 00 00 B9 0B 00 00 00 B2 03 E8 ?? ?? ?? ?? 8D 84 24 E4 00 00 00 8D 4C 24 74 5A E8 ?? ?? ?? ?? 8B 44 24 70 89 84 24 90 00 00 00 8B 44 24 74 89 84 24 94 00 00 00 8B 44 24 78 89 44 24 24 8B 44 24 74 89 44 24 28 8B 44 24 24 89 84 24 98 00 00 00 8B 44 24 28 89 84 24 9C 00 00 00 8B 44 24 70 89 44 24 2C 8B 44 24 7C 89 44 24 30 8B 44 24 2C 89 84 24 A0 00 00 00 8B 44 24 30 89 84 24 A4 00 00 00 6A 02 6A 03 8D 84 24 98 00 00 00 50 E8 ?? ?? ?? ?? 89 44 24 04 E9 C1 00 00 00 6A 0A 8D 84 24 D4 00 00 00 50 B9 0A 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 84 24 D0 00 00 00 50 8D 84 24 E4 00 00 00 50 8D 94 24 F8 00 00 00 8B C3 8B 08 FF 51 60 8D 84 24 F8 00 00 00 B9 0A 00 00 00 B2 02 E8 ?? ?? ?? ?? 8D 84 24 E4 00 00 00 8D 4C 24 74 5A E8 ?? ?? ?? ?? 8B 44 24 70 89 84 24 90 00 00 00 8B 44 24 74 89 84 24 94 00 00 00 8B 44 24 78 89 84 24 98 00 00 00 8B 44 24 7C 89 84 24 9C 00 00 00 8B 44 24 70 89 44 24 34 8B 44 24 7C 89 44 24 38 8B 44 24 34 89 84 24 A0 00 00 00 8B 44 24 38 89 84 24 A4 00 00 00 6A 02 6A 03 8D 84 24 98 00 00 00 50 E8 ?? ?? ?? ?? 89 44 24 04 6A 01 6A 01 6A 00 6A 00 E8 ?? ?? ?? ?? 89 04 24 6A 02 8B 44 24 08 50 57 8B 44 24 0C 50 E8 ?? ?? ?? ?? 8B 04 24 50 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 44 24 08 EB 19 57 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 44 24 08 89 3C 24 C7 44 24 14 76 76 76 00 C7 44 24 18 FF FF FF 00 C7 44 24 1C E3 E4 EF 00 C7 44 24 20 57 57 57 00 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 52 48 84 C0 0F 84 BF 00 00 00 8D 8C 24 C4 00 00 00 B2 03 8B C6 8B 28 FF 95 90 00 00 00 8D 44 24 10 50 33 C9 8D 94 24 C8 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 12 81 7C 24 10 FF FF FF 1F 74 08 8B 44 24 10 89 44 24 14 8D 44 24 10 50 B1 09 8D 94 24 C8 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 12 81 7C 24 10 FF FF FF 1F 74 08 8B 44 24 10 89 44 24 18 8D 44 24 10 50 B1 0A 8D 94 24 C8 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 12 81 7C 24 10 FF FF FF 1F 74 08 8B 44 24 10 89 44 24 1C 8D 44 24 10 50 B1 02 8D 94 24 C8 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 12 81 7C 24 10 FF FF FF 1F 74 08 8B 44 24 10 89 44 24 20 8D 94 24 D0 00 00 00 8B C3 8B 08 FF 51 60 8D 84 24 D0 00 00 00 50 6A 01 8B 4C 24 24 8B 54 24 20 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 48 8B 54 24 14 E8 ?? ?? ?? ?? 6A 01 6A 01 8B 83 78 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 50 8B 44 24 0C 50 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 8B 70 40 85 F6 0F 84 B2 00 00 00 83 BB 90 02 00 00 FF 0F 84 A5 00 00 00 8D 84 24 80 00 00 00 50 8B 4E 3C 83 C1 08 8D 44 24 44 33 D2 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 8B 70 40 8B 46 38 50 8D 84 24 E4 00 00 00 50 8B 4E 3C 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 94 24 E0 00 00 00 8D 8C 24 D0 00 00 00 8D 84 24 80 00 00 00 E8 ?? ?? ?? ?? 57 8D B4 24 D4 00 00 00 8D BC 24 84 00 00 00 A5 A5 A5 A5 5F 8D 84 24 D0 00 00 00 50 8B 4C 24 4C 2B 4C 24 44 8B 83 80 02 00 00 8B 40 40 8B 40 3C 83 C0 04 2B C8 8D 44 24 44 B2 01 E8 ?? ?? ?? ?? 57 8D B4 24 D4 00 00 00 8D 7C 24 44 A5 A5 A5 A5 5F 8B 93 80 02 00 00 8B 42 40 85 C0 74 29 83 BB 90 02 00 00 FF 74 20 8B 8C 24 84 00 00 00 51 8B 52 44 52 6A 01 8B 8C 24 8C 00 00 00 8B 93 78 02 00 00 E8 ?? ?? ?? ?? 83 BB 8C 02 00 00 00 74 18 68 00 00 E0 3F 6A 00 8D 4C 24 58 8D 44 24 48 B2 02 E8 ?? ?? ?? ?? EB 0E 57 8D 74 24 44 8D 7C 24 54 A5 A5 A5 A5 5F 83 BB 88 02 00 00 00 74 18 68 00 00 E0 3F 6A 00 8D 4C 24 68 8D 44 24 48 B2 03 E8 ?? ?? ?? ?? EB 0E 57 8D 74 24 44 8D 7C 24 64 A5 A5 A5 A5 5F 8B 83 78 02 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 40 8B 50 10 0F B6 52 21 88 54 24 3C F6 44 24 3C 01 0F 95 C2 88 54 24 0C 8B 70 18 8B 54 24 20 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 68 40 8B 45 10 0F B6 40 21 88 44 24 3D 0F B6 15 ?? ?? ?? ?? 0A 54 24 3D 8B C5 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 8B 88 02 00 00 8D 94 24 B8 00 00 00 8B 83 78 02 00 00 8B 28 FF 95 94 00 00 00 8D 8C 24 D0 00 00 00 8D 94 24 B4 00 00 00 8D 44 24 50 E8 ?? ?? ?? ?? 56 57 8D B4 24 D8 00 00 00 8D 7C 24 58 A5 A5 A5 A5 5F 5E A1 ?? ?? ?? ?? 50 8D 8B 88 02 00 00 8D 54 24 54 8B 83 78 02 00 00 8B 28 FF 95 94 00 00 00 8B 83 78 02 00 00 8B 68 40 8B 45 10 0F B6 40 21 88 44 24 3E 0F B6 15 ?? ?? ?? ?? F7 D2 22 54 24 3E 8B C5 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 8B 8C 02 00 00 8D 94 24 B8 00 00 00 8B 83 78 02 00 00 8B 28 FF 95 94 00 00 00 8D 8C 24 D0 00 00 00 8D 94 24 B4 00 00 00 8D 44 24 60 E8 ?? ?? ?? ?? 56 57 8D B4 24 D8 00 00 00 8D 7C 24 68 A5 A5 A5 A5 5F 5E A1 ?? ?? ?? ?? 50 8D 8B 8C 02 00 00 8D 54 24 64 8B 83 78 02 00 00 8B 28 FF 95 94 00 00 00 80 7C 24 0C 00 74 26 8B 83 78 02 00 00 8B 68 40 8B 45 10 0F B6 40 21 88 44 24 3F 0F B6 15 ?? ?? ?? ?? 0A 54 24 3F 8B C5 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 40 8B D6 E8 ?? ?? ?? ?? 8B 44 24 08 50 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 80 78 48 01 75 13 8B 44 24 04 50 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? E9 6B 04 00 00 E8 ?? ?? ?? ?? B2 1B 8B 08 FF 51 50 8B F0 54 8D 44 24 44 50 6A 01 6A 01 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 83 78 02 00 00 8B 40 48 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 50 8B 44 24 04 50 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 8C 24 A8 00 00 00 B2 02 8B 38 FF 97 EC 00 00 00 8D 44 24 40 50 6A 00 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 8C 24 B4 00 00 00 5A E8 ?? ?? ?? ?? 8B 83 80 02 00 00 80 78 48 01 0F 85 F7 00 00 00 80 BB 84 02 00 00 00 74 78 8D 44 24 70 50 8D 94 24 D4 00 00 00 8B C3 8B 08 FF 51 60 8D 84 24 D4 00 00 00 B9 0B 00 00 00 B2 03 E8 ?? ?? ?? ?? 8D 44 24 70 50 8D 84 24 D4 00 00 00 50 8D 94 24 E8 00 00 00 8B C3 8B 08 FF 51 60 8D 84 24 E8 00 00 00 B9 15 00 00 00 B2 03 E8 ?? ?? ?? ?? 8D 84 24 D4 00 00 00 50 6A 06 6A 06 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 56 A1 ?? ?? ?? ?? 8B 00 FF D0 EB 76 8D 44 24 70 50 8D 94 24 D4 00 00 00 8B C3 8B 08 FF 51 60 8D 84 24 D4 00 00 00 B9 0B 00 00 00 B2 02 E8 ?? ?? ?? ?? 8D 44 24 70 50 8D 84 24 D4 00 00 00 50 8D 94 24 E8 00 00 00 8B C3 8B 08 FF 51 60 8D 84 24 E8 00 00 00 B9 0B 00 00 00 B2 02 E8 ?? ?? ?? ?? 8D 84 24 D4 00 00 00 50 6A 01 6A 06 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 83 80 02 00 00 8B 78 40 85 FF 0F 84 B2 00 00 00 83 BB 90 02 00 00 FF 0F 84 A5 00 00 00 8D 84 24 80 00 00 00 50 8B 4F 3C 83 C1 04 8D 44 24 44 33 D2 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 8B 78 40 8B 47 38 50 8D 84 24 E4 00 00 00 50 8B 4F 3C 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 94 24 E0 00 00 00 8D 8C 24 D0 00 00 00 8D 84 24 80 00 00 00 E8 ?? ?? ?? ?? 56 8D B4 24 D4 00 00 00 8D BC 24 84 00 00 00 A5 A5 A5 A5 5E 8D 84 24 D0 00 00 00 50 8B 4C 24 4C 2B 4C 24 44 8B 83 80 02 00 00 8B 40 40 8B 40 3C 83 C0 04 2B C8 8D 44 24 44 B2 01 E8 ?? ?? ?? ?? 56 8D B4 24 D4 00 00 00 8D 7C 24 44 A5 A5 A5 A5 5E 83 BB 8C 02 00 00 00 74 18 68 00 00 E0 3F 6A 00 8D 4C 24 58 8D 44 24 48 B2 02 E8 ?? ?? ?? ?? EB 0E 56 8D 74 24 44 8D 7C 24 54 A5 A5 A5 A5 5E 83 BB 88 02 00 00 00 74 18 68 00 00 E0 3F 6A 00 8D 4C 24 68 8D 44 24 48 B2 03 E8 ?? ?? ?? ?? EB 0E 56 8D 74 24 44 8D 7C 24 64 A5 A5 A5 A5 5E 8D 44 24 70 50 6A 00 6A 00 6A FF 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 50 6A 01 6A 02 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8D 8C 24 D0 00 00 00 8D 54 24 70 8D 44 24 50 E8 ?? ?? ?? ?? 56 8D B4 24 D4 00 00 00 8D 7C 24 54 A5 A5 A5 A5 5E 8B 7C 24 40 83 C7 04 89 7C 24 50 8B 6C 24 48 83 ED 04 89 6C 24 58 8D 44 24 70 50 6A 00 6A 00 6A FF 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 50 6A 01 6A 01 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8D 8C 24 D0 00 00 00 8D 54 24 70 8D 44 24 60 E8 ?? ?? ?? ?? 57 8D B4 24 D4 00 00 00 8D 7C 24 64 A5 A5 A5 A5 5F 89 7C 24 60 89 6C 24 68 E8 ?? ?? ?? ?? 8D 8C 24 A8 00 00 00 B2 04 8B 30 FF 96 EC 00 00 00 8B 83 88 02 00 00 50 8D 44 24 54 50 A1 ?? ?? ?? ?? 50 68 FF FF FF 1F 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 8C 24 BC 00 00 00 5A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 8C 24 A8 00 00 00 B2 02 8B 30 FF 96 EC 00 00 00 8B 83 8C 02 00 00 50 8D 44 24 64 50 A1 ?? ?? ?? ?? 50 68 FF FF FF 1F 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 8C 24 BC 00 00 00 5A E8 ?? ?? ?? ?? 8B 83 80 02 00 00 8B 40 40 85 C0 74 2C 83 BB 90 02 00 00 FF 74 23 8B 94 24 84 00 00 00 52 8B 93 90 02 00 00 52 6A 01 8B 8C 24 8C 00 00 00 8B 93 78 02 00 00 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5D 5F 5E 5B C3 01 00 00 00 02 00 00 00 00 81 00 00 00 01 02 00 00 00 00 00 }
	condition:
		$1
}

rule function_76986_0 {
	meta:
		name = "TCustomTouchManager.Create"
		size = 105
		refs = "000f @ClassCreate 001f TObject.Create 0033 _Dn_TList 0046 TList.Add 0053 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 04 33 C0 89 43 08 33 C0 89 43 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 14 8B C7 8B D6 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_76987_0 {
	meta:
		name = "TCustomTouchManager.Destroy"
		size = 67
		refs = "0003 @BeforeDestruction 0016 TCustomTouchManager.SetGestureManager 0026 TObject.Free 0031 TPersistent.Destroy 003c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 0C 00 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_76988_0 {
	meta:
		name = "TCustomTouchManager.AssignTo"
		size = 108
		refs = "000b _DV_TCustomTouchManager 0010 @IsClass 0045 TList.Assign 0064 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 47 8B FE 8B 43 04 89 47 04 8B 43 0C 89 47 0C 8B 43 08 89 47 08 0F B6 43 10 88 47 10 0F B6 43 11 88 47 11 6A 00 8B 47 14 33 C9 8B 53 14 E8 ?? ?? ?? ?? 8B 43 19 89 47 19 8A 43 1D 88 47 1D 0F B7 43 1E 66 89 47 1E EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76989_0 {
	meta:
		name = "TCustomTouchManager.ChangeNotification"
		size = 13
		refs = "0008 TList.Add"
	strings:
		$1 = { 85 D2 74 08 8B 40 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_76990_0 {
	meta:
		name = "TCustomTouchManager.FindGesture"
		size = 31
	strings:
		$1 = { 53 56 33 C9 8B 70 0C 85 F6 74 0F 8B CA 8B D6 8B 40 04 92 8B 18 FF 53 58 8B C8 8B C1 5E 5B C3 }
	condition:
		$1
}

rule function_76991_0 {
	meta:
		name = "TCustomTouchManager.FindGesture"
		size = 31
	strings:
		$1 = { 53 56 33 C9 8B 70 0C 85 F6 74 0F 8B CA 8B D6 8B 40 04 92 8B 18 FF 53 5C 8B C8 8B C1 5E 5B C3 }
	condition:
		$1
}

rule function_76992_0 {
	meta:
		name = "TCustomTouchManager.GetGestureList"
		size = 43
		refs = "000b TGestureArray 0010 @DynArrayClear"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7B 0C 85 FF 74 0C 8B CE 8B 53 04 8B C7 8B 18 FF 53 40 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76993_0 {
	meta:
		name = "TCustomTouchManager.GetStandardGestures"
		size = 59
	strings:
		$1 = { 53 56 57 83 C4 F8 8B FA 8B D8 8B 73 0C 85 F6 74 19 8B CC 8B 53 04 8B C6 8B 30 FF 56 44 8B 04 24 89 43 19 8A 44 24 04 88 43 1D 8B 43 19 89 07 8A 43 1D 88 47 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_76994_0 {
	meta:
		name = "TCustomTouchManager.IsDefault"
		size = 61
		refs = "000c TCustomTouchManager.IsInteractiveGestureOptionsStored 0017 TCustomTouchManager.IsInteractiveGesturesStored 0022 TCustomTouchManager.IsParentTabletOptionsStored 002d TCustomTouchManager.IsTabletOptionsStored"
	strings:
		$1 = { 53 8B D8 83 7B 0C 00 75 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8B C3 E8 ?? ?? ?? ?? 84 C0 75 16 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_76995_0 {
	meta:
		name = "TCustomTouchManager.IsInteractiveGestureOptionsStored"
		size = 17
		refs = "000b @CallDynaInst"
	strings:
		$1 = { 56 B2 01 8B 40 04 66 BE D7 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_76996_0 {
	meta:
		name = "TCustomTouchManager.IsInteractiveGesturesStored"
		size = 17
		refs = "000b @CallDynaInst"
	strings:
		$1 = { 56 33 D2 8B 40 04 66 BE D7 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_76997_0 {
	meta:
		name = "TCustomTouchManager.IsParentTabletOptionsStored"
		size = 17
		refs = "000b @CallDynaInst"
	strings:
		$1 = { 56 B2 02 8B 40 04 66 BE D7 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_76998_0 {
	meta:
		name = "TCustomTouchManager.IsTabletOptionsStored"
		size = 17
		refs = "000b @CallDynaInst"
	strings:
		$1 = { 56 B2 03 8B 40 04 66 BE D7 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_76999_0 {
	meta:
		name = "TCustomTouchManager.RemoveChangeNotification"
		size = 34
		refs = "000c TList.IndexOf 001b TList.RemoveItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 14 E8 ?? ?? ?? ?? 40 74 0C 8B 43 14 8B D6 33 C9 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77000_0 {
	meta:
		name = "TCustomTouchManager.SelectGesture"
		size = 31
	strings:
		$1 = { 53 56 33 C9 8B 70 0C 85 F6 74 0F 8B CA 8B D6 8B 40 04 92 8B 18 FF 53 6C 8B C8 8B C1 5E 5B C3 }
	condition:
		$1
}

rule function_77001_0 {
	meta:
		name = "TCustomTouchManager.SelectGesture"
		size = 31
	strings:
		$1 = { 53 56 33 C9 8B 70 0C 85 F6 74 0F 8B CA 8B D6 8B 40 04 92 8B 18 FF 53 70 8B C8 8B C1 5E 5B C3 }
	condition:
		$1
}

rule function_77002_0 {
	meta:
		name = "TCustomTouchManager.SetGestureEngine"
		size = 66
		refs = "0010 _DV_TWinControl 0015 @IsClass 0024 TWinControl.HandleAllocated"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 74 34 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 89 73 08 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 13 8B 43 04 F6 40 5A 20 74 0A B2 01 8B 43 08 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_77003_0 {
	meta:
		name = "TCustomTouchManager.SetGestureManager"
		size = 115
		refs = "0016 TComponent.RemoveFreeNotification 0034 TComponent.FreeNotification 005b TList.Get 0067 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 0C 3B F0 74 61 85 C0 74 18 8B 53 04 E8 ?? ?? ?? ?? 8B 53 04 8B 43 0C 8B 08 FF 51 74 33 C0 89 43 0C 85 F6 74 14 8B 53 04 8B C6 E8 ?? ?? ?? ?? 8B 53 04 8B C6 8B 08 FF 51 60 89 73 0C 8B 43 14 8B 70 08 4E 85 F6 7C 1F 46 33 FF 6A 00 8B D7 8B 43 14 E8 ?? ?? ?? ?? 33 C9 BA 54 B0 00 00 E8 ?? ?? ?? ?? 47 4E 75 E4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77004_0 {
	meta:
		name = "TCustomTouchManager.SetParentTabletOptions"
		size = 40
		refs = "0023 TControl.Perform"
	strings:
		$1 = { 3A 50 18 74 22 88 50 18 8B 50 04 83 7A 38 00 74 16 F6 42 1C 02 75 10 6A 00 33 C9 8B C2 BA 58 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77005_0 {
	meta:
		name = "TCustomTouchManager.SetStandardGestures"
		size = 52
		refs = "000e @SetEq"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8D 53 19 B1 05 E8 ?? ?? ?? ?? 74 1D 8B 06 89 43 19 8A 46 04 88 43 1D 8B 43 0C 85 C0 74 0B 8D 4B 19 8B 53 04 8B 18 FF 53 48 5E 5B C3 }
	condition:
		$1
}

rule function_77006_0 {
	meta:
		name = "TCustomTouchManager.SetTabletOptions"
		size = 50
		refs = "002b TControl.Perform"
	strings:
		$1 = { 53 51 66 89 14 24 8B D8 0F B7 43 1E 66 3B 04 24 74 1D 0F B7 04 24 66 89 43 1E C6 43 18 00 6A 00 33 C9 BA 57 B0 00 00 8B 43 04 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_77007_0 {
	meta:
		name = "TCustomTouchManager.UnselectGesture"
		size = 25
	strings:
		$1 = { 53 56 8B 70 0C 85 F6 74 0D 8B CA 8B D6 8B 40 04 92 8B 18 FF 53 78 5E 5B C3 }
	condition:
		$1
}

rule function_77008_0 {
	meta:
		name = "Finalization"
		size = 91
		refs = "0007 Finalization 0013 _DV_44 001a DockSiteList 0027 TObject.Free 002c DoneControls 0031 WindowAtomString 0036 @UStrClr 003b ControlAtomString 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2B A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_77009_0 {
	meta:
		name = "Vcl.Controls"
		size = 136
		refs = "0007 Vcl.Controls 0013 _DV_44 001b GetVersion 0024 NewStyleControls 0029 InitControls 002e _DV_TControl 0033 StartClassGroup 003d ActivateClassGroup 0048 _Dn_TCustomImageList 004d GroupDescendentsWith 0058 _Dn_TContainedAction 0068 _Dn_TCustomActionList 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 57 E8 ?? ?? ?? ?? 3C 04 0F 93 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_77010_0 {
	meta:
		name = "TCustomizeFrm.AddAction"
		size = 333
		refs = "001d TCustomizeFrm.AddAction 0037 TComponent.FreeNotification 0048 SNoCategory 004d LoadResString 005d @UStrAsg 0083 _Dn_TStringList 0088 TStringList.Create 00bd SAllActions 013a @UStrArrayClr 0140 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 F3 00 00 00 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 78 60 00 75 0F 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8B 45 F8 8B 55 FC 8B 52 60 E8 ?? ?? ?? ?? 8B 87 F8 03 00 00 8B 80 88 02 00 00 8B F0 8B 55 F8 8B 12 8B 08 FF 51 54 8B D8 83 FB FF 75 26 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 12 8B 87 F8 03 00 00 8B 80 88 02 00 00 8B 18 FF 53 3C 8B D8 8B D3 8B C6 8B 08 FF 51 18 8B 4D FC 33 D2 8B 18 FF 53 3C 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C6 8B 08 FF 51 54 8B D8 83 FB FF 75 27 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C6 59 8B 18 FF 53 3C 8B D8 8B D3 8B C6 8B 08 FF 51 18 8B 4D FC 33 D2 8B 38 FF 57 3C 8B C6 8B 10 FF 52 14 8B C8 49 8B D3 8B C6 8B 18 FF 53 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77011_0 {
	meta:
		name = "TCustomizeFrm.SetActionManager"
		size = 120
		refs = "0026 TComponent.RemoveFreeNotification 004e TComponent.FreeNotification 0070 TCustomizeFrm.SetupListCombo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 3B B3 54 04 00 00 74 65 8B C3 8B 10 FF 92 28 01 00 00 8B 83 54 04 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B FE 89 BB 54 04 00 00 85 FF 74 3E F6 47 1C 10 75 09 B2 02 8B C7 8B 08 FF 51 48 8B D3 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 8B 83 54 04 00 00 83 78 40 00 0F 95 C2 8B 83 C8 03 00 00 8B 08 FF 91 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77012_0 {
	meta:
		name = "TCustomizeFrm.CatListClick"
		size = 216
		refs = "0091 TControl.SetText 00c5 TCustomListBox.SetSelected 00cf TCustomizeFrm.ActionsListClick"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 86 F8 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 0F 84 B1 00 00 00 8B 86 F8 03 00 00 8B 10 FF 92 F8 00 00 00 40 0F 84 9C 00 00 00 8B 9E F8 03 00 00 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 88 02 00 00 8B 08 FF 51 18 85 C0 74 30 8B BE F8 03 00 00 8B C7 8B 10 FF 92 F8 00 00 00 8B D0 8B 87 88 02 00 00 8B 08 FF 51 18 8B D0 8B 86 FC 03 00 00 8B 80 88 02 00 00 8B 08 FF 51 08 33 D2 8B 86 F0 03 00 00 E8 ?? ?? ?? ?? 8B 86 FC 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 7E 29 33 D2 8B 86 FC 03 00 00 8B 08 FF 91 FC 00 00 00 B1 01 33 D2 8B 86 FC 03 00 00 E8 ?? ?? ?? ?? 8B 14 24 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77013_0 {
	meta:
		name = "TCustomizeFrm.ActionsListStartDrag"
		size = 164
		refs = "0033 _Dn_TActionDragObject 0038 TActionDragObject.Create 0073 TCustomListBox.GetSelected 0096 TActionDragObject.AddAction"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B D8 8B 83 FC 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 74 7F 8B 83 FC 03 00 00 8B 10 FF 92 F8 00 00 00 40 74 6E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 14 24 89 02 8B 04 24 8B 00 8B 93 54 04 00 00 89 50 40 8B 83 FC 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 8B F8 4F 85 FF 7C 37 47 33 F6 8B D6 8B 83 FC 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 1F 8B AB FC 03 00 00 8B 85 88 02 00 00 8B D6 8B 08 FF 51 18 8B D0 8B 04 24 8B 00 E8 ?? ?? ?? ?? 46 4F 75 CC 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77014_0 {
	meta:
		name = "TCustomizeFrm.ActionsListDrawItem"
		size = 1161
		refs = "002c TCustomizeFrm.ActionsListDrawItem 005f TCustomForm.GetCanvas 0073 TextColor 0078 TFont.SetColor 009c TBrush.SetColor 00e4 _Dn_TCustomAction 00e9 @IsClass 015a TCustomImageList.GetCount 01b7 Rect 01e7 TCanvas.GetHandle 01ed DrawEdge 021e ColorToRGB 025c TCustomImageList.GetHandle 0262 ImageList_DrawEx 028b @UStrLAsg 02db @UStrToPWChar 02e5 DrawText 02ff ShortCutToText 03b8 PatBlt 0474 @UStrArrayClr 047a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 5D F0 8B 75 0C 8D 7D D0 A5 A5 A5 A5 8B F9 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 54 04 00 00 00 0F 84 1B 04 00 00 8B 83 FC 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 0F 84 02 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 40 F6 45 08 01 0F 95 C2 83 E2 7F 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 08 01 0F 95 C0 84 C0 74 1B 8B 83 FC 03 00 00 8B 80 98 02 00 00 8B 40 48 BA 0D 00 00 FF E8 ?? ?? ?? ?? EB 17 8B 83 FC 03 00 00 8B 50 74 8B 80 98 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 55 D0 8B 83 FC 03 00 00 8B 80 98 02 00 00 8B 08 FF 51 54 33 F6 8B 83 FC 03 00 00 8B 80 88 02 00 00 8B D7 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B 83 FC 03 00 00 8B 80 88 02 00 00 8B D7 8B 08 FF 51 18 8B F0 85 F6 0F 84 50 03 00 00 56 57 8D 75 D0 8D 7D B0 A5 A5 A5 A5 5F 5E 8B 46 64 83 78 40 00 0F 84 4E 01 00 00 8B 83 FC 03 00 00 8B 80 88 02 00 00 8B D7 8B 08 FF 51 18 85 C0 0F 84 22 01 00 00 8B BE 88 00 00 00 83 FF FF 0F 8E 13 01 00 00 8B 46 64 8B 40 40 E8 ?? ?? ?? ?? 3B F8 0F 8D 00 01 00 00 F6 45 08 01 0F 84 97 00 00 00 8B 93 FC 03 00 00 8B 82 98 02 00 00 8B 40 48 8B 48 10 8B 79 18 8B 52 74 E8 ?? ?? ?? ?? 8B 46 64 8B 40 40 8B 40 38 03 45 D4 83 C0 03 50 8D 45 C0 50 8B 46 64 8B 40 40 8B 48 3C 83 C1 04 8B 55 D4 42 B8 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 C0 8B 83 FC 03 00 00 8B 80 98 02 00 00 8B 08 FF 51 54 68 0F 08 00 00 6A 04 8D 45 C0 50 8B 83 FC 03 00 00 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 FC 03 00 00 8B 80 98 02 00 00 8B 40 48 8B D7 E8 ?? ?? ?? ?? 8B 46 64 8B 78 40 6A 00 68 FF FF FF 1F 8B 83 FC 03 00 00 8B 40 74 E8 ?? ?? ?? ?? 50 8B 46 64 8B 40 40 8B 40 38 50 8B 46 64 8B 40 40 8B 40 3C 50 8B 45 D4 83 C0 02 50 6A 02 8B 83 FC 03 00 00 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 50 8B 86 88 00 00 00 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 46 64 8B 40 40 8B 40 3C 83 C0 06 89 45 B0 EB 07 C7 45 B0 06 00 00 00 83 7E 6C 00 74 0D 8D 45 FC 8B 56 6C E8 ?? ?? ?? ?? EB 0B 8D 45 FC 8B 56 08 E8 ?? ?? ?? ?? 8B 83 FC 03 00 00 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 89 45 E8 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? C7 45 E4 24 00 00 00 8B 45 E4 50 8D 45 B0 50 57 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 E8 50 E8 ?? ?? ?? ?? 0F B7 BE 8C 00 00 00 66 85 FF 74 57 83 6D B8 0A 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 83 FC 03 00 00 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 8B F8 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? C7 45 E0 26 00 00 00 8B 45 E0 50 8D 45 B0 50 56 8B 45 F0 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 8B 83 94 03 00 00 8B 80 DC 02 00 00 3B 83 9C 03 00 00 0F 85 FA 00 00 00 F6 45 08 01 0F 84 F0 00 00 00 8B 83 FC 03 00 00 8B 80 98 02 00 00 8B 40 48 BA 0D 00 00 FF E8 ?? ?? ?? ?? 68 09 00 55 00 6A 01 8B 45 D8 8B 75 D0 2B C6 83 E8 08 50 8B 45 D4 83 C0 02 50 83 C6 04 56 8B 83 FC 03 00 00 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 09 00 55 00 6A 01 8B 45 D8 8B 75 D0 2B C6 83 E8 08 50 8B 45 DC 83 E8 03 50 83 C6 04 56 8B 83 FC 03 00 00 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 09 00 55 00 8B 45 DC 8B 75 D4 2B C6 83 E8 04 50 6A 01 83 C6 02 56 8B 45 D0 83 C0 03 50 8B 83 FC 03 00 00 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 09 00 55 00 8B 45 DC 8B 75 D4 2B C6 83 E8 04 50 6A 01 83 C6 02 56 8B 45 D8 2B 45 D0 83 E8 04 50 8B 83 FC 03 00 00 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_77015_0 {
	meta:
		name = "TCustomizeFrm.FindActionBars"
		size = 611
		refs = "0015 TCustomizeFrm.FindActionBars 003f TStrings.BeginUpdate 00a6 TActionBars.GetActionBar 00d0 TComponent.FreeNotification 00e8 _Dn_TCustomActionMainMenuBar 00ed @IsClass 00fb TControl.GetText 013a TCheckListBox.SetChecked 0162 TCheckListBox.SetItemEnabled 018a TActionClient.GetItems 019c TCustomAction.SetChecked 01e2 TStrings.EndUpdate 0233 TCustomizeFrm.ActionBarListClick 0239 @HandleFinally 0250 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 54 04 00 00 00 0F 84 10 02 00 00 8B 45 FC 8B 80 A8 03 00 00 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 03 00 00 8B 10 FF 92 F8 00 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A8 03 00 00 8B 10 FF 92 04 01 00 00 8B 45 FC 8B 80 54 04 00 00 8B 40 74 8B 40 08 8B 40 08 48 85 C0 0F 8C 34 01 00 00 40 89 45 F4 33 F6 8B 45 FC 8B 80 54 04 00 00 8B 40 74 8B D6 E8 ?? ?? ?? ?? 83 78 0C 00 0F 84 07 01 00 00 8B 45 FC 8B 80 54 04 00 00 8B 40 74 8B D6 E8 ?? ?? ?? ?? 8B D8 8B 43 0C 8B 55 FC E8 ?? ?? ?? ?? 8B 43 0C B2 01 8B 08 FF 91 58 01 00 00 8B 7B 0C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 71 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 55 F0 8B 4B 0C 8B 45 FC 8B 80 A8 03 00 00 8B 80 88 02 00 00 8B 38 FF 57 3C 8B 45 FC 8B B8 A8 03 00 00 8B 87 88 02 00 00 8B 10 FF 52 14 8B D0 4A 8B 43 0C 0F B6 48 61 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B B8 A8 03 00 00 8B 87 88 02 00 00 8B 10 FF 52 14 8B D0 4A 8B 43 0C 0F B6 88 88 02 00 00 8B C7 E8 ?? ?? ?? ?? 8B 7B 0C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 41 83 BF 80 02 00 00 00 74 38 8B 87 80 02 00 00 E8 ?? ?? ?? ?? 0F B6 50 2A 8B 45 FC 8B 80 14 04 00 00 E8 ?? ?? ?? ?? 8B 43 0C 0F B6 90 15 03 00 00 8B 45 FC 8B 80 E4 03 00 00 8B 08 FF 91 FC 00 00 00 46 FF 4D F4 0F 85 D2 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 03 00 00 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 83 7D F8 FF 75 2D 8B 45 FC 8B 80 A8 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 7E 15 8B 45 FC 8B 80 A8 03 00 00 33 D2 8B 08 FF 91 FC 00 00 00 EB 14 8B 45 FC 8B 80 A8 03 00 00 8B 55 F8 8B 08 FF 91 FC 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 93 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77016_0 {
	meta:
		name = "TCustomizeFrm.FormClose"
		size = 228
		refs = "0011 TObject.Free 0091 TActionBars.GetActionBar 00c0 TComponent.RemoveFreeNotification 00cd TCustomizeFrm.SetActionManager 00da CustomizeFrm"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B D8 8B 83 50 04 00 00 E8 ?? ?? ?? ?? 8B B3 54 04 00 00 85 F6 0F 84 A5 00 00 00 F6 46 1C 10 75 45 33 D2 8B C6 8B 08 FF 51 48 8B 83 A8 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 24 46 33 FF 8B 83 A8 03 00 00 8B 80 88 02 00 00 8B D7 8B 08 FF 51 18 33 D2 8B 08 FF 91 58 01 00 00 47 4E 75 DF 8B 83 54 04 00 00 8B 40 74 8B 40 08 8B 70 08 4E 85 F6 7C 46 46 33 FF 8B 83 54 04 00 00 8B 40 74 8B D7 E8 ?? ?? ?? ?? 83 78 0C 00 74 29 8B 83 54 04 00 00 8B 40 74 8B D7 E8 ?? ?? ?? ?? 8B E8 8B 45 0C 33 D2 8B 08 FF 91 58 01 00 00 8B 45 0C 8B D3 E8 ?? ?? ?? ?? 47 4E 75 BD 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 04 24 C6 00 02 33 C0 A3 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77018_0 {
	meta:
		name = "TCustomizeFrm.Notification"
		size = 487
		refs = "0018 TCustomForm.Notification 0042 TCustomForm.Close 0050 _Dn_TBasicAction 0055 @IsClass 0104 TStrings.BeginUpdate 010c TCustomizeFrm.Notification 0147 TStrings.EndUpdate 014d @HandleFinally 016c TCustomizeFrm.CatListClick 0177 _Dn_TCustomActionBar"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D9 89 55 F8 89 45 FC 8B CB 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 80 FB 01 0F 85 BD 01 00 00 8B 45 FC 8B 80 54 04 00 00 3B 45 F8 75 18 8B 45 FC 33 D2 89 90 54 04 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 97 01 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 11 01 00 00 8B 45 FC F6 40 1C 08 0F 85 04 01 00 00 C6 45 F3 00 8B 45 FC 8B 80 F8 03 00 00 8B 80 88 02 00 00 89 45 EC 8B 45 EC 8B 10 FF 52 14 48 83 F8 00 0F 8C CA 00 00 00 89 45 F4 8B 55 F4 8B 45 EC 8B 08 FF 51 18 8B 55 F8 8B 08 FF 51 5C 8B D8 83 FB FF 74 16 8B 55 F4 8B 45 EC 8B 08 FF 51 18 8B D3 8B 08 FF 51 48 C6 45 F3 01 8B 55 F4 8B 45 EC 8B 08 FF 51 18 8B 10 FF 52 14 85 C0 75 76 8B 45 FC 8B 80 F8 03 00 00 8B 80 88 02 00 00 8B 55 F4 8B 08 FF 51 48 8B 45 FC 8B 80 FC 03 00 00 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 FC 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 FC 03 00 00 8B 80 88 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 FF 4D F4 83 7D F4 FF 0F 85 39 FF FF FF 80 7D F3 00 74 7C 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 70 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5E 8B 45 FC 8B 80 A8 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 8B D8 4B 85 DB 7C 43 43 C7 45 F4 00 00 00 00 8B 45 FC 8B 80 A8 03 00 00 8B 80 88 02 00 00 8B 55 F4 8B 08 FF 51 18 3B 45 F8 75 19 8B 45 FC 8B 80 A8 03 00 00 8B 80 88 02 00 00 8B 55 F4 8B 08 FF 51 48 EB 06 FF 45 F4 4B 75 C5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77019_0 {
	meta:
		name = "TCustomizeFrm.CatListStartDrag"
		size = 423
		refs = "001d TCustomizeFrm.CatListStartDrag 0096 SNoCategory 009b LoadResString 00a4 AnsiCompareText 00d8 SAllActions 00ef CancelDrag 011e _Dn_TCategoryDragObject 0123 TCategoryDragObject.Create 0176 TActionDragObject.AddAction 0194 @UStrArrayClr 019a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F8 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 0F 84 AE 00 00 00 8B 83 FC 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 0F 84 95 00 00 00 8B 83 F8 03 00 00 8B 10 FF 92 F8 00 00 00 40 0F 84 80 00 00 00 8B B3 F8 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D F4 8B 86 88 02 00 00 8B 30 FF 56 0C 8B 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 58 E8 ?? ?? ?? ?? 85 C0 74 42 8B 83 F8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D EC 8B 83 F8 03 00 00 8B 80 88 02 00 00 8B 30 FF 56 0C 8B 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 58 E8 ?? ?? ?? ?? 85 C0 75 0A E8 ?? ?? ?? ?? E9 86 00 00 00 8B B3 F8 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D E4 8B 86 88 02 00 00 8B 30 FF 56 0C 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 8B 45 FC 8B 00 8B 93 54 04 00 00 89 50 40 8B 83 FC 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2C 46 33 FF 8B 83 FC 03 00 00 8B 80 88 02 00 00 89 45 F8 8B D7 8B 45 F8 8B 08 FF 51 18 8B D0 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 47 4E 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77020_0 {
	meta:
		name = "TCustomizeFrm.ActionBarListClickCheck"
		size = 236
		refs = "009d TCheckListBox.GetChecked 00da TControl.SetVisible 00df Application 00e6 TApplication.ProcessMessages"
	strings:
		$1 = { 53 8B 98 A8 03 00 00 8B 83 88 02 00 00 8B 10 FF 52 14 85 C0 0F 84 D0 00 00 00 8B C3 8B 10 FF 92 F8 00 00 00 85 C0 0F 8C BE 00 00 00 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 88 02 00 00 8B 08 FF 51 18 80 B8 88 02 00 00 00 0F 84 9A 00 00 00 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 88 02 00 00 8B 08 FF 51 18 83 B8 80 02 00 00 00 74 3B 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 88 02 00 00 8B 08 FF 51 18 8B 80 80 02 00 00 50 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 51 2C EB 33 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 88 02 00 00 8B 08 FF 51 18 50 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77021_0 {
	meta:
		name = "TCustomizeFrm.ActionsListMeasureItem"
		size = 205
		refs = "0064 _Dn_TCustomAction 0069 @IsClass"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B D8 8B 83 54 04 00 00 F6 40 1C 10 75 74 8B 83 F8 03 00 00 8B 10 FF 92 F8 00 00 00 40 7E 63 8B B3 F8 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 88 02 00 00 8B 08 FF 51 18 8B F0 8B C6 8B 10 FF 52 14 3B F8 7D 39 8B D7 8B C6 8B 08 FF 51 18 8B F0 85 F6 74 2A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B C6 8B 50 64 8B 52 40 85 D2 74 0D 8B 42 38 83 C0 04 8B 55 08 89 02 EB 3C 8B 83 54 04 00 00 85 C0 74 16 83 78 40 00 74 10 8B 40 40 8B 40 38 83 C0 04 8B 55 08 89 02 EB 1C 8B 83 FC 03 00 00 8B 40 6C 8B 40 10 8B 40 18 99 33 C2 2B C2 83 C0 08 8B 55 08 89 02 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_77022_0 {
	meta:
		name = "AddActions"
		size = 72
		refs = "0010 @UStrClr 0017 TCustomActionList.GetActionCount 002a TCustomActionList.GetAction 003a TCustomizeFrm.AddAction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 20 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 4D FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 46 4B 75 E3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77023_0 {
	meta:
		name = "SelectCategory"
		size = 164
		refs = "000c @UStrAddRef 0014 SelectCategory 002b TWinControl.HandleAllocated 007f TCustomizeFrm.CatListClick 0094 @UStrClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 F8 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 50 8B 45 08 8B 40 FC 8B 80 F8 03 00 00 8B 80 88 02 00 00 8B 55 FC 8B 08 FF 51 54 40 74 33 8B 45 08 8B 40 FC 8B 98 F8 03 00 00 8B 83 88 02 00 00 8B 55 FC 8B 08 FF 51 54 8B D0 8B C3 8B 08 FF 91 FC 00 00 00 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_77024_0 {
	meta:
		name = "TCustomizeFrm.UpdateDialog"
		size = 534
		refs = "0014 TCustomizeFrm.UpdateDialog 002e TStrings.BeginUpdate 00ad TCustomAction.SetChecked 00be TActionBars.GetHintShortCuts 00d6 TCustomizeFrm.FindActionBars 00f5 TCustomActionList.GetActionCount 010b AddActions 0117 @UStrLAsg 0125 TCustomActionManager.GetLinkedActionLists 014b TActionListCollection.GetListItem 01b2 TStrings.EndUpdate 01d5 SelectCategory 01e8 @HandleFinally 0204 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F8 03 00 00 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 80 F8 03 00 00 8B 10 FF 92 F8 00 00 00 40 74 23 8B 45 FC 8B 98 F8 03 00 00 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D F4 8B 83 88 02 00 00 8B 18 FF 53 0C 8B 45 FC 8B 10 FF 92 28 01 00 00 8B 45 FC 8B 80 54 04 00 00 85 C0 0F 84 02 01 00 00 8B 50 74 8B 42 08 83 78 08 00 7E 12 8B 45 FC 8B 80 1C 04 00 00 0F B6 52 2C E8 ?? ?? ?? ?? 8B 45 FC 8B 80 54 04 00 00 8B 40 74 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 20 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 58 04 00 00 85 DB 0F 85 81 00 00 00 8B 45 FC 8B 80 54 04 00 00 E8 ?? ?? ?? ?? 85 C0 7E 1E 55 8D 55 F0 8B 45 FC 8B 80 54 04 00 00 E8 ?? ?? ?? ?? 59 8B 55 F0 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 54 04 00 00 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B D8 4B 85 DB 7C 5F 43 33 F6 55 8B 45 FC 8B 80 54 04 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 0C 8D 55 EC E8 ?? ?? ?? ?? 59 8B 55 EC 8D 45 F8 E8 ?? ?? ?? ?? 46 4B 75 CF EB 29 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 1E 55 8D 55 E8 8B 45 FC 8B 80 58 04 00 00 E8 ?? ?? ?? ?? 59 8B 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 F8 03 00 00 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 FC 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 44 83 7D F4 00 74 0C 55 8B 45 F4 E8 ?? ?? ?? ?? 59 EB 0A 55 8B 45 F8 E8 ?? ?? ?? ?? 59 C3 E9 ?? ?? ?? ?? EB B4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77025_0 {
	meta:
		name = "TCustomizeFrm.ClearCatList"
		size = 292
		refs = "001c TStrings.BeginUpdate 0024 TCustomizeFrm.ClearCatList 008a _Dn_TStringList 008f @AsClass 00b3 TComponent.RemoveFreeNotification 00d3 TObject.Free 0111 TStrings.EndUpdate 0117 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 FC 8B 80 F8 03 00 00 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F8 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 48 85 C0 0F 8C 98 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 8B 45 FC 8B 80 F8 03 00 00 8B 80 88 02 00 00 8B 55 F8 8B 08 FF 51 18 85 C0 74 66 8B 45 FC 8B 80 F8 03 00 00 8B 80 88 02 00 00 8B 55 F8 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C7 8B 10 FF 52 14 8B D8 4B 85 DB 7C 18 43 33 F6 8B D6 8B C7 8B 08 FF 51 18 8B 55 FC E8 ?? ?? ?? ?? 46 4B 75 EB 8B 45 FC 8B 80 F8 03 00 00 8B 80 88 02 00 00 8B 55 F8 8B 08 FF 51 18 E8 ?? ?? ?? ?? FF 45 F8 FF 4D F4 0F 85 73 FF FF FF 8B 45 FC 8B 80 F8 03 00 00 8B 10 FF 92 04 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 F8 03 00 00 8B 80 88 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77026_0 {
	meta:
		name = "TCustomizeFrm.CMVisiblechanged"
		size = 28
		refs = "0006 TWinControl.CMVisibleChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 80 7E 61 00 74 0A 8B C6 8B 10 FF 92 2C 01 00 00 5E C3 }
	condition:
		$1
}

rule function_77027_0 {
	meta:
		name = "CheckAction"
		size = 86
		refs = "000b _Dn_TCustomAction 0010 @IsClass 002d TCustomAction.GetSecondaryShortCuts 0044 TShortCutList.IndexOfShortCut"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 0F B7 83 8C 00 00 00 8B 55 08 66 3B 42 FE 74 28 8B F3 8B C6 E8 ?? ?? ?? ?? 85 C0 74 17 8B C6 E8 ?? ?? ?? ?? 8B 55 08 0F B7 52 FE E8 ?? ?? ?? ?? 85 C0 7D 04 33 C0 EB 02 B0 01 5E 5B 5D C3 }
	condition:
		$1
}

rule function_77028_0 {
	meta:
		name = "TCustomizeFrm.IsDupShortCut"
		size = 311
		refs = "0073 CheckAction 008c TCustomActionList.GetActionCount 00c9 TCustomActionList.GetAction 00ce TContainedAction.GetIndex 00e6 _Dn_TCustomAction 00eb @IsClass"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 66 89 55 FE 8B D8 8B 45 F8 33 D2 89 10 C6 45 F7 00 8B 83 FC 03 00 00 8B 10 FF 92 F8 00 00 00 40 0F 84 FA 00 00 00 8B B3 FC 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 88 02 00 00 8B 08 FF 51 18 8B 55 F8 89 02 55 8B B3 FC 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 88 02 00 00 8B 08 FF 51 18 E8 ?? ?? ?? ?? 59 88 45 F7 80 7D F7 00 0F 85 A7 00 00 00 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 91 00 00 00 47 33 F6 8B 83 FC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 FC 03 00 00 8B 80 88 02 00 00 8B 08 FF 51 18 50 8B D6 8B 83 54 04 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 3B D0 74 4D 8B D6 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 31 55 8B D6 8B 83 54 04 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 88 45 F7 80 7D F7 00 74 14 8B D6 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 8B 55 F8 89 02 EB 08 46 4F 0F 85 72 FF FF FF 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77029_0 {
	meta:
		name = "TCustomizeFrm.SetActiveActionList"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 58 04 00 00 74 10 89 96 58 04 00 00 8B C6 8B 10 FF 92 2C 01 00 00 5E C3 }
	condition:
		$1
}

rule function_77030_0 {
	meta:
		name = "TCustomizeFrm.SetupListCombo"
		size = 385
		refs = "0012 TCustomizeFrm.SetupListCombo 0031 TCustomActionManager.GetLinkedActionLists 0048 TControl.SetVisible 005f TControl.SetHeight 006c SAllActions 0071 LoadResString 00d0 TActionListCollection.GetListItem 0106 TActionListItem.GetCaption 0154 TCustomizeFrm.SetActiveActionList 016e @UStrArrayClr 0174 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 54 04 00 00 85 C0 0F 84 2E 01 00 00 F6 40 1C 10 75 38 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 75 29 33 D2 8B 86 28 04 00 00 E8 ?? ?? ?? ?? 8B 86 EC 03 00 00 8B 50 4C 83 EA 05 8B 86 24 04 00 00 E8 ?? ?? ?? ?? E9 F0 00 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 86 2C 04 00 00 8B 80 B4 02 00 00 33 C9 8B 18 FF 53 3C 8B 86 54 04 00 00 8B 50 08 8B 8E 2C 04 00 00 8B 89 B4 02 00 00 91 8B 18 FF 53 3C 8B 86 54 04 00 00 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 48 85 C0 7C 69 40 89 45 FC 33 DB 8B 86 54 04 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 83 78 0C 00 74 45 8B 86 54 04 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 0C 50 8B 86 54 04 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 86 2C 04 00 00 8B 80 B4 02 00 00 59 8B 38 FF 57 3C 43 FF 4D FC 75 9D 33 D2 8B 86 2C 04 00 00 8B 08 FF 91 FC 00 00 00 8B 86 2C 04 00 00 8B 80 B4 02 00 00 8B 10 FF 52 14 83 F8 02 75 0D 8B 96 54 04 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77031_0 {
	meta:
		name = "TCustomizeFrm.FormCreate"
		size = 48
		refs = "0010 TPageControl.SetActivePage 001d TCustomForm.SetActiveControl 002a TControl.SetText"
	strings:
		$1 = { 53 8B D8 8B 93 9C 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 93 F8 03 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77032_0 {
	meta:
		name = "TCustomizeFrm.ActionsListClick"
		size = 198
		refs = "000d TCustomizeFrm.ActionsListClick 005c _Dn_TCustomAction 0061 @IsClass 0092 GetLongHint 00a0 TControl.SetText 00b5 @UStrClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 FC 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 74 78 8B 83 FC 03 00 00 8B 10 FF 92 F8 00 00 00 40 74 67 8B B3 FC 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 88 02 00 00 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3B 8B B3 FC 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 88 02 00 00 8B 08 FF 51 18 8B F0 8D 55 FC 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77033_0 {
	meta:
		name = "TCustomizeFrm.MenuAnimationStylesChange"
		size = 117
		refs = "0036 _Dn_TCustomActionMenuBar 003b @IsClass"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 83 A8 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 8B F8 4F 85 FF 7C 52 47 33 F6 8B 83 A8 03 00 00 8B 80 88 02 00 00 8B D6 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 8B 83 A8 03 00 00 8B 80 88 02 00 00 8B D6 8B 08 FF 51 18 8B E8 8B 83 E4 03 00 00 8B 10 FF 92 F8 00 00 00 88 85 15 03 00 00 46 4F 75 B1 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77034_0 {
	meta:
		name = "TCustomizeFrm.ResetActnUpdate"
		size = 77
		refs = "000b _Dn_TCustomAction 0010 @IsClass 0045 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 31 8B BB 54 04 00 00 85 FF 74 1A 83 BF 98 00 00 00 00 74 11 8B 83 A8 03 00 00 8B 10 FF 92 F8 00 00 00 40 75 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77035_0 {
	meta:
		name = "TCustomizeFrm.ResetActnExecute"
		size = 32
		refs = "001a TCustomActionManager.ResetActionBar"
	strings:
		$1 = { 53 8B D8 8B 83 A8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77036_0 {
	meta:
		name = "TCustomizeFrm.ResetUsageDataActnExecute"
		size = 128
		refs = "0012 TCustomizeFrm.ResetUsageDataActnExecute 0020 SResetUsageData 0025 LoadResString 0041 MessageDlgPosHelp 0056 TCustomActionManager.ResetUsageData 006b @UStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C9 89 4D FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 03 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? 48 75 12 8B 45 F8 8B 80 54 04 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 00 0C 00 00 00 }
	condition:
		$1
}

rule function_77037_0 {
	meta:
		name = "TCustomizeFrm.RecentlyUsedActnExecute"
		size = 139
		refs = "0038 _Dn_TCustomActionMenuBar 003d @IsClass 0067 TActionClient.GetItems 007e TActionClients.SetHideUnused"
	strings:
		$1 = { 53 56 57 55 8B F8 8B 87 A8 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 8B E8 4D 85 ED 7C 68 45 33 DB 8B 87 A8 03 00 00 8B B0 88 02 00 00 8B D3 8B C6 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3D 8B D3 8B C6 8B 08 FF 51 18 83 B8 80 02 00 00 00 74 2B 8B D3 8B C6 8B 08 FF 51 18 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 50 8B 87 C0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 58 E8 ?? ?? ?? ?? 43 4D 75 9B 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77038_0 {
	meta:
		name = "TCustomizeFrm.ShowHintsActnExecute"
		size = 25
		refs = "0014 TActionBars.SetShowHints"
	strings:
		$1 = { 8B 90 1C 04 00 00 0F B6 52 71 8B 80 54 04 00 00 8B 40 74 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77039_0 {
	meta:
		name = "TCustomizeFrm.ShowHintsActnUpdate"
		size = 70
		refs = "001d TCustomAction.SetEnabled"
	strings:
		$1 = { 53 8B D8 8B 83 54 04 00 00 8B 40 74 8B 40 08 83 78 08 00 0F 9F C2 8B 83 1C 04 00 00 E8 ?? ?? ?? ?? 8B 83 1C 04 00 00 80 78 72 00 74 06 80 78 71 00 75 04 33 D2 EB 02 B2 01 8B 83 20 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77040_0 {
	meta:
		name = "TCustomizeFrm.ShowShortCutsInTipsActnExecute"
		size = 25
		refs = "0014 TActionBars.SetHintShortCuts"
	strings:
		$1 = { 8B 90 20 04 00 00 0F B6 52 71 8B 80 54 04 00 00 8B 40 74 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77041_0 {
	meta:
		name = "TCustomizeFrm.RecentlyUsedActnUpdate"
		size = 160
		refs = "0024 TCustomAction.SetEnabled 005c _Dn_TCustomActionMenuBar 0061 @IsClass"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 83 A8 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 75 0F 33 D2 8B 83 14 04 00 00 E8 ?? ?? ?? ?? EB 71 8B 83 A8 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 8B E8 4D 85 ED 7C 59 45 33 F6 8B 83 A8 03 00 00 8B B8 88 02 00 00 8B D6 8B C7 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B D6 8B C7 8B 08 FF 51 18 83 B8 80 02 00 00 00 74 0F B2 01 8B 83 14 04 00 00 E8 ?? ?? ?? ?? EB 11 33 D2 8B 83 14 04 00 00 E8 ?? ?? ?? ?? 46 4D 75 AA 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77042_0 {
	meta:
		name = "TCustomizeFrm.ActionBarListClick"
		size = 105
		refs = "0050 TActionClient.GetItems"
	strings:
		$1 = { 53 56 8B D8 8B 83 A8 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 74 4D 8B 83 A8 03 00 00 8B 10 FF 92 F8 00 00 00 40 74 3C 8B B3 A8 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 88 02 00 00 8B 08 FF 51 18 8B F0 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 0F B6 50 28 8B 83 44 04 00 00 8B 08 FF 91 FC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77043_0 {
	meta:
		name = "TCustomizeFrm.ActionsListData"
		size = 120
		refs = "0016 TCustomizeFrm.ActionsListData 004f @UStrAsg 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 F8 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 88 02 00 00 8B 08 FF 51 18 8D 4D F8 8B 55 FC 8B 18 FF 53 0C 8B 55 F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_77044_0 {
	meta:
		name = "TCustomizeFrm.LargeIconsActnExecute"
		size = 126
		refs = "0036 _Dn_TCustomActionToolBar 003b @IsClass 005f TActionClient.GetItems 0071 TActionClients.SetSmallIcons"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 83 A8 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 8B F8 4F 85 FF 7C 5B 47 33 F6 8B 83 A8 03 00 00 8B 80 88 02 00 00 8B D6 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 32 8B 83 A8 03 00 00 8B 80 88 02 00 00 8B D6 8B 08 FF 51 18 8B E8 8B 85 80 02 00 00 E8 ?? ?? ?? ?? 8B 93 40 04 00 00 0F B6 52 71 80 F2 01 E8 ?? ?? ?? ?? 46 4F 75 A8 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77045_0 {
	meta:
		name = "TCustomizeFrm.LargeIconsActnUpdate"
		size = 139
		refs = "0035 _Dn_TCustomActionToolBar 003a @IsClass 005e TActionClient.GetItems 0070 TCustomAction.SetChecked"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 A8 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 8B F8 4F 85 FF 7C 5D 47 33 F6 8B 83 A8 03 00 00 8B 80 88 02 00 00 8B D6 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 8B 83 A8 03 00 00 8B 80 88 02 00 00 8B D6 8B 08 FF 51 18 8B F0 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 0F B6 50 29 80 F2 01 8B 83 40 04 00 00 E8 ?? ?? ?? ?? EB 11 46 4F 75 A6 33 D2 8B 83 40 04 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77046_0 {
	meta:
		name = "TCustomizeFrm.ListComboSelect"
		size = 45
		refs = "0026 TCustomizeFrm.SetActiveActionList"
	strings:
		$1 = { 53 56 8B D8 8B B3 2C 04 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 B4 02 00 00 8B 08 FF 51 18 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77047_0 {
	meta:
		name = "TCustomizeFrm.CaptionOptionsComboChange"
		size = 224
		refs = "0054 _Dn_TCustomActionToolBar 0059 @IsClass 008c TActionClient.GetItems 0092 TActionClients.SetCaptionOptions"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 83 30 04 00 00 80 78 71 00 0F 84 86 00 00 00 8B 83 A8 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C A9 00 00 00 46 33 ED 8B BB A8 03 00 00 8B C7 8B 10 FF 92 F8 00 00 00 8B D0 8B 87 88 02 00 00 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8B 83 A8 03 00 00 8B 80 88 02 00 00 8B D5 8B 08 FF 51 18 8B F8 8B 83 44 04 00 00 8B 10 FF 92 F8 00 00 00 50 8B 87 80 02 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 45 4E 75 9B EB 3F 8B B3 A8 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 88 02 00 00 8B 08 FF 51 18 8B F0 8B 83 44 04 00 00 8B 10 FF 92 F8 00 00 00 50 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77048_0 {
	meta:
		name = "TCustomizeFrm.FormResize"
		size = 19
	strings:
		$1 = { 56 8B F0 8B 86 FC 03 00 00 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_77049_0 {
	meta:
		name = "TCustomizeDlg.Notification"
		size = 76
		refs = "0010 TComponent.Notification 0026 TCustomForm.Close"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 2F 3B 77 50 75 11 8B 47 38 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 89 47 50 3B 77 38 75 14 33 C0 89 47 38 66 83 7F 42 00 74 08 8B D7 8B 47 44 FF 57 40 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77050_0 {
	meta:
		name = "TCustomizeDlg.SetActionManager"
		size = 43
		refs = "0014 TComponent.RemoveFreeNotification 0024 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 50 3B F0 74 1B 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 43 50 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77051_0 {
	meta:
		name = "TCustomizeDlg.SetStayOnTop"
		size = 35
		refs = "0013 TCustomForm.SetFormStyle"
	strings:
		$1 = { 88 50 3C 8B 48 38 85 C9 74 18 84 D2 74 0B B2 03 8B C1 E8 ?? ?? ?? ?? EB 09 33 D2 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77052_0 {
	meta:
		name = "TCustomizeDlg.SetupDlg"
		size = 219
		refs = "000d TCustomizeDlg.SetupDlg 0021 SErrorActionManagerNotAssigned 0026 LoadResString 0030 _Dn_Exception 0035 Exception.Create 003a @RaiseExcept 0049 _DV_TCustomizeFrm 004e TCustomForm.Create 005e TCustomizeFrm.SetActionManager 00aa TCustomForm.SetFormStyle 00ca @UStrClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 50 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 38 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 8B 43 38 8B F0 8B 53 50 E8 ?? ?? ?? ?? 8B 43 38 8B 80 F8 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 7E 13 8B 43 38 8B 80 F8 03 00 00 33 D2 8B 08 FF 91 FC 00 00 00 8B 43 48 89 86 30 03 00 00 8B 43 4C 89 86 34 03 00 00 80 7B 3C 00 74 0B B2 03 8B C6 E8 ?? ?? ?? ?? EB 09 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77053_0 {
	meta:
		name = "TCustomizeDlg.Show"
		size = 20
		refs = "000e TCustomForm.Show"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 40 8B 43 38 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77054_0 {
	meta:
		name = "TCustomizeFrm.SeparatorBtnStartDrag"
		size = 264
		refs = "001e TActionBars.Add 002d _Dn_TCustomActionControl 0032 TCustomActionControl.Create 003d TCustomizeFrm.SeparatorBtnStartDrag 005a TActionClient.GetItems 005f TActionClients.Add 0076 TControl.SetVisible 008d TControl.SetAlign 00a0 TActionClientItem.SetCaption 00bc _DV_TActionSeparatorDragObject 00c1 TActionSeparatorDragObject.Create 00e3 TObject.Free 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B D8 83 BB 50 04 00 00 00 75 14 8B 83 54 04 00 00 8B 40 74 E8 ?? ?? ?? ?? 89 83 50 04 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 7D FC 8B C7 8B 08 FF 51 7C 8B 83 50 04 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 FC 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 91 84 00 00 00 B2 06 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B C7 8B 08 FF 51 7C 8B 45 FC 8B 80 BC 01 00 00 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 06 8B 83 54 04 00 00 8B 16 89 42 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_77055_0 {
	meta:
		name = "TActionSeparatorDragObject.Create"
		size = 72
		refs = "000e @ClassCreate 001d TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 50 8B 45 08 89 47 48 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_77056_0 {
	meta:
		name = "TActionSeparatorDragObject.Finished"
		size = 48
		refs = "0012 TActionItemDragObject.Finished 0027 TObject.Free"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 0C 50 0F B6 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B 43 50 05 50 04 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_77057_0 {
	meta:
		name = "TCustomizeFrm.ApplyToAllActnUpdate"
		size = 73
		refs = "000b _Dn_TCustomAction 0010 @IsClass 002f TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8B 83 A8 03 00 00 8B 10 FF 92 F8 00 00 00 40 0F 95 C2 8B FE 8B C7 E8 ?? ?? ?? ?? 0F B6 57 72 8B 83 34 04 00 00 8B 08 FF 91 80 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77060_0 {
	meta:
		name = "TDataSetAction.GetDataSet"
		size = 21
		refs = "0007 _Dn_TDataSource 000c @AsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 38 5B C3 }
	condition:
		$1
}

rule function_77061_0 {
	meta:
		name = "TDataSetAction.HandlesTarget"
		size = 69
		refs = "0028 _Dn_TDataSource 002d @IsClass"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B BB A8 00 00 00 85 FF 74 0A 3B FE 75 06 83 7F 38 00 75 24 83 BB A8 00 00 00 00 75 17 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 83 7E 38 00 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77062_0 {
	meta:
		name = "TDataSetAction.Notification"
		size = 46
		refs = "0010 TBasicAction.Notification 0026 TDataSetAction.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 11 3B B7 A8 00 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84661_0 {
	meta:
		name = "TEditAction.Notification"
		size = 46
		refs = "0010 TBasicAction.Notification 0026 TEditAction.SetControl"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 11 3B B7 A8 00 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84676_0 {
	meta:
		name = "TWindowAction.Notification"
		size = 46
		refs = "0010 TBasicAction.Notification 0026 TWindowAction.SetForm"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 11 3B B7 A8 00 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77063_0 {
	meta:
		name = "TDataSetAction.SetDataSource"
		size = 25
		refs = "0014 TComponent.FreeNotification"
		altNames = "TEditAction.SetControl TListControlAction.SetListControl TWindowAction.SetForm"
	strings:
		$1 = { 3B 90 A8 00 00 00 74 10 89 90 A8 00 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77064_0 {
	meta:
		name = "TDataSetFirst.ExecuteTarget"
		size = 23
		refs = "0010 TDataSet.First"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77082_0 {
	meta:
		name = "TDataSetDelete.ExecuteTarget"
		size = 23
		refs = "0010 TDataSet.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77080_0 {
	meta:
		name = "TDataSetEdit.ExecuteTarget"
		size = 23
		refs = "0010 TDataSet.Edit"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77072_0 {
	meta:
		name = "TDataSetInsert.ExecuteTarget"
		size = 23
		refs = "0010 TDataSet.Insert"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77070_0 {
	meta:
		name = "TDataSetLast.ExecuteTarget"
		size = 23
		refs = "0010 TDataSet.Last"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77068_0 {
	meta:
		name = "TDataSetNext.ExecuteTarget"
		size = 23
		refs = "0010 TDataSet.Next"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77066_0 {
	meta:
		name = "TDataSetPrior.ExecuteTarget"
		size = 23
		refs = "0010 TDataSet.Prior"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77074_0 {
	meta:
		name = "TDataSetRefresh.ExecuteTarget"
		size = 23
		refs = "0010 TDataSet.Refresh"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84664_0 {
	meta:
		name = "TEditCopy.ExecuteTarget"
		size = 23
		refs = "0010 TCustomEdit.CopyToClipboard"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84665_0 {
	meta:
		name = "TEditCut.ExecuteTarget"
		size = 23
		refs = "0010 TCustomEdit.CutToClipboard"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84672_0 {
	meta:
		name = "TEditDelete.ExecuteTarget"
		size = 23
		refs = "0010 TCustomEdit.ClearSelection"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84666_0 {
	meta:
		name = "TEditPaste.ExecuteTarget"
		size = 23
		refs = "0010 TCustomEdit.PasteFromClipboard"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84668_0 {
	meta:
		name = "TEditSelectAll.ExecuteTarget"
		size = 23
		refs = "0010 TCustomEdit.SelectAll"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84670_0 {
	meta:
		name = "TEditUndo.ExecuteTarget"
		size = 23
		refs = "0010 TCustomEdit.Undo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84687_0 {
	meta:
		name = "TWindowArrange.ExecuteTarget"
		size = 23
		refs = "0010 TForm.ArrangeIcons"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84682_0 {
	meta:
		name = "TWindowCascade.ExecuteTarget"
		size = 23
		refs = "0010 TForm.Cascade"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77065_0 {
	meta:
		name = "TDataSetFirst.UpdateTarget"
		size = 49
		refs = "0010 TDataSet.GetActive 002a TCustomAction.SetEnabled"
		altNames = "TDataSetPrior.UpdateTarget"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 08 FF 51 64 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 80 BE A8 00 00 00 00 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77069_0 {
	meta:
		name = "TDataSetLast.UpdateTarget"
		size = 49
		refs = "0010 TDataSet.GetActive 002a TCustomAction.SetEnabled"
		altNames = "TDataSetNext.UpdateTarget"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 08 FF 51 64 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 80 BE A9 00 00 00 00 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77073_0 {
	meta:
		name = "TDataSetInsert.UpdateTarget"
		size = 54
		refs = "0010 TDataSet.GetActive 002f TCustomAction.SetEnabled"
		altNames = "TDataSetRefresh.UpdateTarget"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 08 FF 51 64 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C6 8B 10 FF 92 5C 01 00 00 84 C0 75 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77076_0 {
	meta:
		name = "TDataSetPost.ExecuteTarget"
		size = 26
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 8B 10 FF 92 B0 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77077_0 {
	meta:
		name = "TDataSetCancel.UpdateTarget"
		size = 67
		refs = "0010 TDataSet.GetActive 003c TCustomAction.SetEnabled"
		altNames = "TDataSetPost.UpdateTarget"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 08 FF 51 64 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C3 8B 10 FF 92 5C 01 00 00 84 C0 74 0D 0F B6 83 A5 00 00 00 04 FE 2C 03 72 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77078_0 {
	meta:
		name = "TDataSetCancel.ExecuteTarget"
		size = 26
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 8B 10 FF 92 68 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77081_0 {
	meta:
		name = "TDataSetEdit.UpdateTarget"
		size = 67
		refs = "0010 TDataSet.GetActive 003c TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 08 FF 51 64 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C3 8B 10 FF 92 5C 01 00 00 84 C0 74 0D 0F B6 83 A5 00 00 00 04 FE 2C 03 73 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77083_0 {
	meta:
		name = "TDataSetDelete.UpdateTarget"
		size = 72
		refs = "0010 TDataSet.GetActive 0041 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 08 FF 51 64 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 8B C3 8B 10 FF 92 5C 01 00 00 84 C0 74 12 80 BB A8 00 00 00 00 74 0D 80 BB A9 00 00 00 00 74 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77087_0 {
	meta:
		name = "TDBCtrlGridLink.Create"
		size = 64
		refs = "000b @ClassCreate 001a TDataLink.Create 002c @AfterConstruction"
		altNames = "TGridDataLink.Create TNavDataLink.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 1C C6 47 16 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77088_0 {
	meta:
		name = "TDBCtrlGridLink.ActiveChanged"
		size = 11
		refs = "0006 TDBCtrlGrid.DataSetChanged"
		altNames = "TDBCtrlGridLink.DataSetChanged"
	strings:
		$1 = { 33 D2 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77090_0 {
	meta:
		name = "TDBCtrlPanel.CreateLinked"
		size = 92
		refs = "000b @ClassCreate 001c TWinControl.Create 0021 TDBCtrlPanel.CreateLinked 0041 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 47 58 89 B7 78 02 00 00 8B D6 8B C7 8B 08 FF 91 84 00 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 00 CB 08 20 00 }
	condition:
		$1
}

rule function_77092_0 {
	meta:
		name = "TDBCtrlPanel.PaintWindow"
		size = 505
		refs = "0054 TDBCtrlGrid.DrawPanelBackground 0064 TCanvas.SetHandle 006c TDBCtrlPanel.PaintWindow 0086 TCanvas.SetFont 0099 TBrush.SetStyle 00b0 TBrush.SetColor 0116 InflateRect 011b TStyleManager.GetIsCustomStyleActive 0124 TStyleManager.GetActiveStyle 012e TCustomStyleServices.GetSystemColor 0163 TFont.SetColor 0175 TCanvas.GetHandle 017b DrawFocusRect 01c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F2 8B F8 8B 87 78 02 00 00 89 45 FC 8B 45 FC 8B 98 78 02 00 00 80 7B 15 00 0F 84 A5 01 00 00 8B C3 8B 10 FF 52 28 8B 55 FC 3B 82 94 02 00 00 0F 94 C0 8B D8 6A 01 53 8D 55 DC 8B C7 8B 08 FF 51 60 8D 4D DC 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 80 02 00 00 8B D6 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 6C 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 80 02 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 74 8B 45 FC 8B 80 80 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 8B 10 FF 52 28 8B D0 8B 45 FC 8B 08 FF 91 F8 00 00 00 8B 45 FC 80 B8 B0 02 00 00 00 0F 84 CA 00 00 00 8B 45 FC 80 B8 B1 02 00 00 00 0F 84 BA 00 00 00 84 DB 0F 84 B2 00 00 00 8D 55 EC 8B C7 8B 08 FF 51 60 8B 45 FC 80 B8 AD 02 00 00 01 75 0D 6A FE 6A FE 8D 45 EC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5E E8 ?? ?? ?? ?? BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 80 02 00 00 8B 40 48 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 12 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 80 02 00 00 8B 40 40 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 28 8B 45 FC 8B 50 74 8B 45 FC 8B 80 80 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 80 80 02 00 00 8B 08 FF 51 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 80 02 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 6A 01 8B 45 FC F6 40 1C 10 0F 95 C0 50 8D 55 DC 8B C7 8B 08 FF 51 60 8D 4D DC 8B D6 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77093_0 {
	meta:
		name = "TDBCtrlPanel.CMControlListChange"
		size = 22
		refs = "0011 TDBCtrlGrid.UpdateDataLinks"
	strings:
		$1 = { 83 7A 08 01 1B C9 41 8B 52 04 8B 80 78 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77094_0 {
	meta:
		name = "TDBCtrlPanel.WMPaint"
		size = 218
		refs = "0020 TDBCtrlGrid.CreatePanelBitmap 0028 TDBCtrlPanel.WMPaint 004a TWinControl.PaintHandler 005b TWinControl.GetHandle 0061 BeginPaint 0092 BitBlt 00a4 EndPaint 00bf TDBCtrlGrid.DestroyPanelBitmap 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 8B DA 89 45 FC 83 7B 04 00 0F 85 B5 00 00 00 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 78 02 00 00 8B 80 A8 02 00 00 89 43 04 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 43 04 8D 45 BC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 20 00 CC 00 6A 00 6A 00 8B 55 FC 8B 92 78 02 00 00 8B 92 A8 02 00 00 52 8B 55 FC 8B 52 54 52 8B 55 FC 8B 52 50 52 6A 00 6A 00 50 E8 ?? ?? ?? ?? 8D 45 BC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77095_0 {
	meta:
		name = "TDBCtrlPanel.WMNCHitTest"
		size = 22
	strings:
		$1 = { F6 40 1C 10 74 08 C7 42 0C 01 00 00 00 C3 C7 42 0C FF FF FF FF C3 }
	condition:
		$1
}

rule function_77098_0 {
	meta:
		name = "TDBCtrlGrid.Create"
		size = 216
		refs = "000a @ClassCreate 0017 TWinControl.Create 001c TDBCtrlGrid.Create 0028 TWinControl.SetTabStop 0031 _DV_TDBCtrlGridLink 0036 TDBCtrlGridLink.Create 0043 _Dn_TCanvas 0048 TCanvas.Create 0057 _DV_TDBCtrlPanel 005c TDBCtrlPanel.CreateLinked 00b6 TDBCtrlGrid.AdjustSize 00c1 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 58 B2 01 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 78 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 02 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 7C 02 00 00 C7 86 84 02 00 00 01 00 00 00 C7 86 88 02 00 00 03 00 00 00 C7 86 8C 02 00 00 C8 00 00 00 C7 86 90 02 00 00 48 00 00 00 C6 86 AD 02 00 00 01 C6 86 AE 02 00 00 01 C6 86 AF 02 00 00 01 C6 86 B0 02 00 00 01 8B 46 74 89 86 B8 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 C0 00 20 00 }
	condition:
		$1
}

rule function_77099_0 {
	meta:
		name = "TDBCtrlGrid.Destroy"
		size = 66
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0030 TWinControl.Destroy 003b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 78 02 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77100_0 {
	meta:
		name = "TDBCtrlGrid.AcquireFocus"
		size = 62
		refs = "000e @CallDynaInst 0019 TDBCtrlGrid.GetEditMode"
	strings:
		$1 = { 53 56 57 8B F8 B3 01 8B C7 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 22 8B C7 E8 ?? ?? ?? ?? 84 C0 75 17 8B C7 8B 10 FF 92 F4 00 00 00 8B C7 66 BE B2 FF E8 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77101_0 {
	meta:
		name = "TDBCtrlGrid.AdjustSize"
		size = 89
		refs = "002b GetSystemMetrics 0051 TDBCtrlGrid.Reset"
	strings:
		$1 = { 53 56 57 8B D8 8B B3 8C 02 00 00 0F AF B3 84 02 00 00 8B BB 90 02 00 00 0F AF BB 88 02 00 00 80 BB AC 02 00 00 00 75 0B 6A 02 E8 ?? ?? ?? ?? 03 F0 EB 09 6A 03 E8 ?? ?? ?? ?? 03 F8 56 57 8B 4B 4C 8B 53 48 8B C3 8B 30 FF 96 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77102_0 {
	meta:
		name = "TDBCtrlGrid.CreatePanelBitmap"
		size = 101
		refs = "0011 GetDC 0027 CreateCompatibleBitmap 0035 ReleaseDC 003c CreateCompatibleDC 0051 SelectObject"
	strings:
		$1 = { 53 56 57 8B D8 83 BB 9C 02 00 00 00 75 4D 6A 00 E8 ?? ?? ?? ?? 8B F0 8B BB 7C 02 00 00 8B 47 54 50 8B 47 50 50 56 E8 ?? ?? ?? ?? 89 83 A0 02 00 00 56 6A 00 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B F0 89 B3 A8 02 00 00 8B 83 A0 02 00 00 50 56 E8 ?? ?? ?? ?? 89 83 A4 02 00 00 FF 83 9C 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77103_0 {
	meta:
		name = "TDBCtrlGrid.CreateParams"
		size = 23
		refs = "0006 TWinControl.CreateParams"
		altNames = "TNotebook.CreateParams TOleContainer.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 81 4B 04 00 00 00 02 83 63 24 FC 5B C3 }
	condition:
		$1
}

rule function_77104_0 {
	meta:
		name = "TDBCtrlGrid.CreateWnd"
		size = 86
		refs = "0006 TWinControl.CreateWnd 0043 TWinControl.GetHandle 0049 SetScrollRange 0050 TDBCtrlGrid.UpdateScrollBar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB AC 02 00 00 00 75 0C C7 83 B4 02 00 00 01 00 00 00 EB 08 33 C0 89 83 B4 02 00 00 8B 83 78 02 00 00 80 78 15 00 75 1A 6A 00 6A 04 6A 00 8B 83 B4 02 00 00 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77105_0 {
	meta:
		name = "TDBCtrlGrid.DataSetChanged"
		size = 389
		refs = "0057 TDBCtrlGrid.GetPanelBounds 0064 TWinControl.HandleAllocated 0077 TControl.SetBoundsRect 0081 GetFocus 0086 FindControl 009d TWinControl.ContainsControl 00e6 TWinControl.GetHandle 00ec SetWindowPos 0106 RedrawWindow 0124 TControl.SetVisible 0153 TDBCtrlGrid.UpdateScrollBar 016b @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 88 14 24 8B D8 F6 43 1C 10 74 09 33 F6 BD 01 00 00 00 EB 31 8B B3 78 02 00 00 80 7E 15 00 74 21 8B C6 8B 10 FF 52 28 8B F0 8B 83 78 02 00 00 8B 10 FF 52 38 8B E8 85 ED 75 0B BD 01 00 00 00 EB 04 33 F6 33 ED 33 FF 8D 4C 24 04 8B D6 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 14 8D 54 24 04 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? E9 8A 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 3B BB 7C 02 00 00 74 21 8B D7 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 10 8B 83 7C 02 00 00 8B 10 FF 92 F4 00 00 00 EB 02 33 FF 3B B3 94 02 00 00 74 4B 6A 0C 8B 44 24 14 2B 44 24 0C 50 8B 44 24 14 2B 44 24 0C 50 8B 44 24 14 50 8B 44 24 14 50 6A 00 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 81 00 00 00 6A 00 6A 00 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 B3 94 02 00 00 8B C5 89 83 98 02 00 00 85 C0 0F 9F C2 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? 8B 83 7C 02 00 00 8B 10 FF 92 9C 00 00 00 80 3C 24 00 75 14 8B C3 8B 10 FF 92 9C 00 00 00 8B C3 8B 10 FF 92 A8 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 FF 74 22 80 BB B2 02 00 00 00 75 19 8B C7 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 0A 8B C7 8B 10 FF 92 F4 00 00 00 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77106_0 {
	meta:
		name = "TDBCtrlGrid.DestroyPanelBitmap"
		size = 63
		refs = "0021 SelectObject 002d DeleteDC 0039 DeleteObject"
	strings:
		$1 = { 53 8B D8 FF 8B 9C 02 00 00 83 BB 9C 02 00 00 00 75 2B 8B 83 A4 02 00 00 50 8B 83 A8 02 00 00 50 E8 ?? ?? ?? ?? 8B 83 A8 02 00 00 50 E8 ?? ?? ?? ?? 8B 83 A0 02 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77107_0 {
	meta:
		name = "TDBCtrlGrid.DoKey"
		size = 536
		refs = "003c TDataLink.GetDataSet 0052 TDBCtrlGrid.DoKey 00a1 TDBCtrlGrid.GetEditMode 00ad TDBCtrlGrid.SetEditMode 00bb TDBCtrlGrid.SelectNext 00db TDBCtrlGrid.Scroll 016b TDataSet.First 0177 TDataSet.Last 019e TDataSet.Insert 01c7 TDataSet.Append 01f0 TDataSet.Delete"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B D8 8B 83 78 02 00 00 80 78 15 00 0F 84 F8 01 00 00 80 BB AC 02 00 00 00 75 0D BD 01 00 00 00 8B BB 84 02 00 00 EB 0B 8B AB 88 02 00 00 BF 01 00 00 00 E8 ?? ?? ?? ?? 8B F0 0F B6 04 24 83 F8 11 0F 87 C3 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B C3 E8 ?? ?? ?? ?? E9 5C 01 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? E9 4E 01 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? E9 40 01 00 00 8B D5 F7 DA 33 C9 8B C3 E8 ?? ?? ?? ?? E9 2E 01 00 00 33 C9 8B D5 8B C3 E8 ?? ?? ?? ?? E9 1E 01 00 00 8B D7 F7 DA 33 C9 8B C3 E8 ?? ?? ?? ?? E9 0C 01 00 00 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? E9 FC 00 00 00 8B D7 F7 DA B1 01 8B C3 E8 ?? ?? ?? ?? E9 EA 00 00 00 B1 01 8B D7 8B C3 E8 ?? ?? ?? ?? E9 DA 00 00 00 8B 83 78 02 00 00 8B 50 0C F7 DA B1 01 8B C3 E8 ?? ?? ?? ?? E9 C1 00 00 00 8B 83 78 02 00 00 8B 50 0C B1 01 8B C3 E8 ?? ?? ?? ?? E9 AA 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 9E 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 92 00 00 00 80 BB AE 02 00 00 00 0F 84 85 00 00 00 8B C6 8B 10 FF 92 5C 01 00 00 84 C0 74 77 8B C6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? EB 65 80 BB AE 02 00 00 00 74 5C 8B C6 8B 10 FF 92 5C 01 00 00 84 C0 74 4E 8B C6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? EB 3C 80 BB AF 02 00 00 00 74 33 8B C6 8B 10 FF 92 5C 01 00 00 84 C0 74 25 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? EB 13 8B C6 8B 10 FF 92 68 02 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77108_0 {
	meta:
		name = "TDBCtrlGrid.DrawPanel"
		size = 189
		refs = "0016 TDBCtrlGrid.GetPanelBounds 004d TWinControl.PaintTo 0080 TDBCtrlGrid.DrawPanelBackground 00b2 BitBlt"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B F9 89 14 24 8B F0 8D 4C 24 04 8B D7 8B C6 E8 ?? ?? ?? ?? 3B BE 98 02 00 00 7D 3E 8B 86 78 02 00 00 8B 10 FF 52 28 8B D8 8B D7 8B 86 78 02 00 00 8B 08 FF 51 48 6A 00 33 C9 8B 96 A8 02 00 00 8B 86 7C 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 78 02 00 00 8B 08 FF 51 48 EB 24 6A 01 6A 00 8D 54 24 1C 8B 86 7C 02 00 00 8B 08 FF 51 60 8D 4C 24 1C 8B 96 A8 02 00 00 8B C6 E8 ?? ?? ?? ?? 68 20 00 CC 00 6A 00 6A 00 8B 8E A8 02 00 00 51 8B 4C 24 20 8B 54 24 18 2B CA 51 8B 4C 24 20 8B 44 24 18 2B C8 51 52 50 8B 44 24 20 50 E8 ?? ?? ?? ?? 83 C4 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77109_0 {
	meta:
		name = "TDBCtrlGrid.DrawPanelBackground"
		size = 419
		refs = "001d TStyleManager.GetIsCustomStyleActive 0032 TControl.SetColor 0042 TStyleManager.GetActiveStyle 0049 TCustomStyleServices.GetStyleColor 0074 ColorToRGB 007a CreateSolidBrush 0087 FillRect 008d DeleteObject 00b9 _Dn_TCanvas 00be TCanvas.Create 00cc TCanvas.SetHandle 00d4 TDBCtrlGrid.DrawPanelBackground 00e9 TCustomStyleServices.GetSystemColor 010a TPen.SetColor 0180 TObject.Free 0186 @HandleFinally 0196 DrawEdge"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F9 89 55 FC 8B D8 80 7D 0C 00 74 7B 80 7D 08 00 74 1C E8 ?? ?? ?? ?? 84 C0 75 13 8B 93 B8 02 00 00 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? EB 32 E8 ?? ?? ?? ?? 84 C0 74 1B E8 ?? ?? ?? ?? B2 17 E8 ?? ?? ?? ?? 8B D0 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? EB 0E 8B 53 74 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? 8B 83 7C 02 00 00 8B 40 74 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 56 57 8B 45 FC 50 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 80 BB AD 02 00 00 01 0F 85 FC 00 00 00 57 8B F7 8D 7D E4 A5 A5 A5 A5 5F E8 ?? ?? ?? ?? 84 C0 0F 84 D6 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? BA 14 00 00 FF E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? BA 10 00 00 FF E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 8B 40 44 8B D3 E8 ?? ?? ?? ?? 8B 75 EC 4E 8B D6 8B 5D E8 8B CB 8B 45 F8 8B 38 FF 57 64 8B CB 8B 55 E4 8B 45 F8 8B 38 FF 57 60 8B 4D F0 49 8B 55 E4 8B 45 F8 8B 38 FF 57 60 8B 45 F8 8B 40 44 8B 55 F4 E8 ?? ?? ?? ?? 8B 4D F0 49 8B D6 8B 45 F8 8B 38 FF 57 60 8B D6 8B CB 8B 45 F8 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 6A 0F 6A 04 57 8B 45 FC 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_77110_0 {
	meta:
		name = "TCustomMaskEdit.GetMaxLength"
		size = 7
		altNames = "TDBCtrlGrid.GetChildParent"
	strings:
		$1 = { 8B 80 7C 02 00 00 C3 }
	condition:
		$1
}

rule function_77111_0 {
	meta:
		name = "TDBCtrlGrid.GetChildren"
		size = 32
		refs = "0017 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 56 8B F0 FF 75 0C FF 75 08 8B 86 7C 02 00 00 66 BE FD FF E8 ?? ?? ?? ?? 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_77112_0 {
	meta:
		name = "TDBCtrlGrid.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 78 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_77113_0 {
	meta:
		name = "TDBCtrlGrid.GetEditMode"
		size = 52
		refs = "000b @CallDynaInst 0014 GetFocus 0019 FindControl 0022 TWinControl.ContainsControl"
	strings:
		$1 = { 53 56 8B D8 8B C3 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 17 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_77114_0 {
	meta:
		name = "TDBCtrlGrid.GetPanelBounds"
		size = 108
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 80 BB AC 02 00 00 00 75 14 8B C6 8B AB 84 02 00 00 99 F7 FD 8B FA 8B C6 99 F7 FD EB 14 8B C6 8B AB 88 02 00 00 99 F7 FD 8B F8 8B C6 99 F7 FD 8B C2 8B 93 8C 02 00 00 0F AF D7 89 11 8B 93 90 02 00 00 0F AF D0 89 51 04 8B 01 03 83 8C 02 00 00 89 41 08 8B 41 04 03 83 90 02 00 00 89 41 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77116_0 {
	meta:
		name = "TDBCtrlGrid.KeyDown"
		size = 276
		refs = "0015 TWinControl.KeyDown 0038 TDBCtrlGrid.KeyDown 00e3 GetKeyState 010b TDBCtrlGrid.DoKey"
	strings:
		$1 = { 53 56 57 51 66 89 0C 24 8B FA 8B F0 8B D7 0F B7 0C 24 8B C6 E8 ?? ?? ?? ?? 33 DB 0F B7 07 83 F8 25 7F 79 0F 84 93 00 00 00 83 C0 F3 83 F8 17 0F 87 D1 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 2D 7F 0F 74 3D 83 E8 26 74 1C 48 74 15 48 74 1A EB 56 83 E8 2E 74 3F 83 E8 43 74 22 EB 4A B3 04 EB 46 B3 05 EB 42 B3 06 EB 3E B3 07 EB 3A B3 0A EB 36 B3 0B EB 32 B3 0C EB 2E B3 0D EB 2A B3 01 EB 26 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7C 04 B3 0E EB 16 B3 0F EB 12 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 06 B3 10 EB 02 B3 11 8B D3 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77117_0 {
	meta:
		name = "TDBCtrlGrid.PaintWindow"
		size = 644
		refs = "0032 ColorToRGB 003a CreateHatchBrush 0051 SetBkColor 006a FillRect 0070 DeleteObject 00a2 TDBCtrlGrid.GetPanelBounds 00b0 TDBCtrlGrid.DrawPanelBackground 00c1 TDBCtrlGrid.CreatePanelBitmap 00c9 TDBCtrlGrid.PaintWindow 0121 TDBCtrlGrid.DrawPanel 013a TDBCtrlGrid.DestroyPanelBitmap 0140 @HandleFinally 014a TWinControl.HandleAllocated 0174 TStyleManager.GetIsCustomStyleActive 017d TStyleManager.GetActiveStyle 0184 TCustomStyleServices.GetStyleColor 018f CreateSolidBrush 01d5 Rect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 55 F8 89 45 FC 8B 45 FC F6 40 1C 10 0F 84 A2 00 00 00 8B 45 FC 8B 80 7C 02 00 00 8B 10 FF 92 A8 00 00 00 B8 10 00 00 FF E8 ?? ?? ?? ?? 50 6A 03 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 74 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 53 8D 55 E8 8B 45 FC 8B 08 FF 51 60 8D 45 E8 50 8B 45 F8 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 84 02 00 00 8B 45 FC 0F AF 98 88 02 00 00 4B 85 DB 0F 8E B6 00 00 00 BE 01 00 00 00 6A 00 6A 00 8D 4D E8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 DD E9 89 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 84 02 00 00 8B 45 FC 0F AF 98 88 02 00 00 4B 85 DB 7C 3E 43 33 F6 8B 45 FC 83 B8 98 02 00 00 00 74 1E 8B 45 FC 3B B0 94 02 00 00 75 13 8B 45 FC 8B 80 7C 02 00 00 8B 10 FF 92 A8 00 00 00 EB 0D 8B CE 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 28 01 00 00 8B 45 FC 8B 80 7C 02 00 00 8B 40 54 8B 55 FC F7 AA 88 02 00 00 8B 55 FC 3B 42 54 74 79 E8 ?? ?? ?? ?? 84 C0 74 1B E8 ?? ?? ?? ?? B2 17 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 EB 13 8B 45 FC 8B 40 74 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 53 8B 45 FC 8B 40 54 50 8D 45 E8 50 8B 45 FC 8B 80 7C 02 00 00 8B 50 54 8B 45 FC 0F AF 90 88 02 00 00 8B 45 FC 8B 48 50 33 C0 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 F8 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 7C 02 00 00 8B 40 50 8B 55 FC F7 AA 84 02 00 00 8B 55 FC 3B 42 50 74 75 E8 ?? ?? ?? ?? 84 C0 74 1B E8 ?? ?? ?? ?? B2 17 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 EB 13 8B 45 FC 8B 40 74 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 53 8B 45 FC 8B 40 54 50 8D 45 E8 50 8B 45 FC 8B 80 8C 02 00 00 8B 55 FC F7 AA 84 02 00 00 8B 55 FC 8B 4A 50 33 D2 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 F8 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77119_0 {
	meta:
		name = "TDBCtrlGrid.PointInPanel"
		size = 93
		refs = "0040 TDBCtrlGrid.GetPanelBounds 004a PtInRect"
	strings:
		$1 = { 53 83 C4 E0 89 14 24 8B D8 83 BB 98 02 00 00 00 7E 44 8B 04 24 89 44 24 04 0F BF 44 24 04 89 44 24 08 0F BF 44 24 06 89 44 24 0C FF 74 24 0C FF 74 24 0C 8D 4C 24 18 8B 93 94 02 00 00 8B C3 E8 ?? ?? ?? ?? 8D 44 24 18 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 EB 02 33 C0 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_77120_0 {
	meta:
		name = "TDBCtrlGrid.ReadState"
		size = 23
		refs = "0006 TWinControl.ReadState 0011 TWinControl.FixupTabList"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77121_0 {
	meta:
		name = "TDBCtrlGrid.Reset"
		size = 62
		refs = "0038 TDBCtrlGrid.DataSetChanged"
	strings:
		$1 = { 53 8B D8 F6 43 1C 10 74 12 BA 01 00 00 00 8B 83 78 02 00 00 8B 08 FF 51 4C EB 18 8B 93 84 02 00 00 0F AF 93 88 02 00 00 8B 83 78 02 00 00 8B 08 FF 51 4C B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77122_0 {
	meta:
		name = "TDBCtrlGrid.Scroll"
		size = 482
		refs = "0029 TDataLink.GetDataSet 0040 TDataSet.UpdateRecord 0088 TDataSet.CheckBrowseMode 0090 TDataSet.DisableControls 0098 TDBCtrlGrid.Scroll 01ba TDataSet.Append 01cf TDataSet.EnableControls 01d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FF 8B F2 8B D8 8B 83 78 02 00 00 80 78 15 00 0F 84 BB 01 00 00 85 F6 0F 84 B3 01 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 80 B8 A5 00 00 00 03 75 48 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 AA 00 00 00 00 74 10 8B 45 F8 8B 10 FF 92 B0 02 00 00 E9 7B 01 00 00 85 F6 7C 10 8B 45 F8 80 B8 A9 00 00 00 00 0F 85 67 01 00 00 8B 45 F8 8B 10 FF 92 68 02 00 00 E9 57 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D FF 00 74 5C 85 F6 7E 31 8B 83 78 02 00 00 8B 50 0C 03 D6 2B 93 94 02 00 00 4A 8B 45 F8 8B 08 FF 91 AC 02 00 00 8B D6 2B D0 8B 45 F8 8B 08 FF 91 AC 02 00 00 E9 B2 00 00 00 8B D6 2B 93 94 02 00 00 8B 45 F8 8B 08 FF 91 AC 02 00 00 8B D6 2B D0 8B 45 F8 8B 08 FF 91 AC 02 00 00 E9 8B 00 00 00 8B BB 94 02 00 00 03 FE 85 FF 7C 1A 8B 83 78 02 00 00 3B 78 0C 7D 0F 8B D6 8B 45 F8 8B 08 FF 91 AC 02 00 00 EB 65 8B D6 8B 45 F8 8B 08 FF 91 AC 02 00 00 3B F0 75 54 80 BB AC 02 00 00 00 75 08 8B 8B 84 02 00 00 EB 06 8B 8B 88 02 00 00 85 F6 7E 0C 8B C7 99 F7 F9 49 2B CA 8B F9 EB 11 8D 47 01 99 F7 F9 B8 01 00 00 00 2B C1 2B C2 8B F8 8B D7 8B 45 F8 8B 08 FF 91 AC 02 00 00 8B D0 F7 DA 8B 45 F8 8B 08 FF 91 AC 02 00 00 4E 75 2C 8B 45 F8 80 B8 A9 00 00 00 00 74 20 80 BB AE 02 00 00 00 74 17 8B 45 F8 8B 10 FF 92 5C 01 00 00 84 C0 74 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77123_0 {
	meta:
		name = "TDBCtrlGrid.ScrollMessage"
		size = 310
		refs = "000e TDBCtrlGrid.AcquireFocus 002c TDBCtrlGrid.ScrollMessage 0089 TDataLink.GetDataSet 00b3 TWinControl.GetHandle 00b9 GetScrollInfo 012a TDBCtrlGrid.DoKey"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 14 01 00 00 33 DB 0F BF 47 04 83 F8 07 0F 87 FC 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B3 08 E9 CE 00 00 00 B3 09 E9 C7 00 00 00 B3 0A E9 C0 00 00 00 B3 0B E9 B9 00 00 00 B3 0C E9 B2 00 00 00 B3 0D E9 AB 00 00 00 8B AE 78 02 00 00 80 7D 15 00 74 78 8B C5 E8 ?? ?? ?? ?? 8B 10 FF 92 A0 02 00 00 84 C0 74 65 C7 04 24 1C 00 00 00 C7 44 24 04 17 00 00 00 54 8B 86 B4 02 00 00 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 5C 24 18 83 FB 01 7F 04 B3 0C EB 5B 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 88 01 00 00 3B D8 7C 04 B3 0D EB 40 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 8B 54 24 18 8B 08 FF 91 DC 01 00 00 EB 30 0F B7 47 06 66 83 E8 01 72 0F 74 11 66 83 E8 02 74 0F 66 FF C8 74 0E EB 0E B3 0C EB 0A B3 0A EB 06 B3 0B EB 02 B3 0D 8B D3 8B C6 E8 ?? ?? ?? ?? 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77124_0 {
	meta:
		name = "TDBCtrlGrid.FindNext"
		size = 277
		refs = "0014 _Dn_TList 0019 TObject.Create 0024 TDBCtrlGrid.FindNext 0046 @CallDynaInst 005a TList.IndexOf 009c TList.Get 00fd TObject.Free 0103 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 88 4D FB 89 55 FC 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 33 DB 8B 45 FC 89 45 F4 8B 86 7C 02 00 00 8B 55 F0 66 BE B0 FF E8 ?? ?? ?? ?? 8B 45 F0 83 78 08 00 7E 70 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 83 FF FF 75 11 80 7D FB 00 74 09 8B 45 F0 8B 78 08 4F EB 02 33 FF 8B DF 80 7D FB 00 74 0D 43 8B 45 F0 3B 58 08 75 0F 33 DB EB 0B 85 DB 75 06 8B 45 F0 8B 58 08 4B 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 F4 80 B8 F0 01 00 00 00 75 04 3B FB 75 B5 8B 45 08 33 D2 89 10 80 7D FB 00 74 0F 3B FB 7C 18 8B 45 08 C7 00 01 00 00 00 EB 0D 3B FB 7F 09 8B 45 08 C7 00 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_77125_0 {
	meta:
		name = "TDBCtrlGrid.SelectNext"
		size = 235
		refs = "0013 GetParentForm 002e TWinControl.ContainsControl 0048 TDBCtrlGrid.FindNext 0055 TDataLink.GetDataSet 0078 TDBCtrlGrid.SelectNext 0090 TDBCtrlGrid.Scroll 009f @HandleAnyException 00af @RaiseAgain 00b4 @DoneExcept 00bf @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 55 FF 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 C5 00 00 00 8B 80 98 02 00 00 89 45 F4 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 AA 00 00 00 8D 45 F8 50 0F B6 4D FF 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 0F B6 80 A5 00 00 00 04 FE 2C 03 72 0E 8B 83 7C 02 00 00 8B 10 FF 92 F4 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 74 0C 33 C9 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 75 13 8D 45 F8 50 0F B6 4D FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C7 8B 10 FF 92 F4 00 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77126_0 {
	meta:
		name = "TDBCtrlGrid.SetBounds"
		size = 161
		refs = "0021 GetSystemMetrics 007f TDBCtrlGrid.Reset 0094 TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 33 F6 33 FF 80 BB AC 02 00 00 00 75 0B 6A 02 E8 ?? ?? ?? ?? 8B F0 EB 09 6A 03 E8 ?? ?? ?? ?? 8B F8 8B 45 0C 2B C6 99 F7 BB 84 02 00 00 8B C8 8B 45 08 2B C7 99 F7 BB 88 02 00 00 83 F9 01 7D 05 B9 01 00 00 00 83 F8 01 7D 05 B8 01 00 00 00 3B 8B 8C 02 00 00 75 08 3B 83 90 02 00 00 74 13 89 8B 8C 02 00 00 89 83 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_77127_0 {
	meta:
		name = "TDBCtrlGrid.SetColCount"
		size = 40
		refs = "0023 TDBCtrlGrid.AdjustSize"
	strings:
		$1 = { 83 FA 01 7D 05 BA 01 00 00 00 83 FA 64 7E 05 BA 64 00 00 00 3B 90 84 02 00 00 74 0B 89 90 84 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77128_0 {
	meta:
		name = "TDBCtrlGrid.SetDataSource"
		size = 31
		refs = "000a TDataLink.SetDataSource 0019 TDBCtrlGrid.UpdateDataLinks"
	strings:
		$1 = { 53 8B D8 8B 83 78 02 00 00 E8 ?? ?? ?? ?? B1 01 8B 93 7C 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77129_0 {
	meta:
		name = "TDBCtrlGrid.SetEditMode"
		size = 67
		refs = "0009 TDBCtrlGrid.GetEditMode 0024 TWinControl.FindNextControl"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 2F 84 DB 74 21 6A 01 6A 00 B1 01 33 D2 8B 86 7C 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 14 8B 10 FF 92 F4 00 00 00 EB 0A 8B C6 8B 10 FF 92 F4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77130_0 {
	meta:
		name = "TDBCtrlGrid.SetOrientation"
		size = 33
		refs = "0014 TWinControl.RecreateWnd 001b TDBCtrlGrid.AdjustSize"
	strings:
		$1 = { 53 8B D8 3A 93 AC 02 00 00 74 14 88 93 AC 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77131_0 {
	meta:
		name = "TDBCtrlGrid.SetPanelBorder"
		size = 43
	strings:
		$1 = { 56 8B F0 3A 96 AD 02 00 00 74 1E 88 96 AD 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 8B 86 7C 02 00 00 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_77132_0 {
	meta:
		name = "TDBCtrlGrid.SetPanelHeight"
		size = 43
		refs = "0026 TDBCtrlGrid.AdjustSize"
	strings:
		$1 = { 83 FA 01 7D 05 BA 01 00 00 00 81 FA FF FF 00 00 7E 05 BA FF FF 00 00 3B 90 90 02 00 00 74 0B 89 90 90 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77133_0 {
	meta:
		name = "TDBCtrlGrid.SetPanelIndex"
		size = 54
		refs = "001e TDataLink.GetDataSet"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B BB 78 02 00 00 80 7F 15 00 74 1F 3B B3 98 02 00 00 7D 17 8B C7 E8 ?? ?? ?? ?? 8B D6 2B 93 94 02 00 00 8B 08 FF 91 AC 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77134_0 {
	meta:
		name = "TDBCtrlGrid.SetPanelWidth"
		size = 43
		refs = "0026 TDBCtrlGrid.AdjustSize"
	strings:
		$1 = { 83 FA 01 7D 05 BA 01 00 00 00 81 FA FF FF 00 00 7E 05 BA FF FF 00 00 3B 90 8C 02 00 00 74 0B 89 90 8C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77135_0 {
	meta:
		name = "TDBCtrlGrid.SetRowCount"
		size = 40
		refs = "0023 TDBCtrlGrid.AdjustSize"
	strings:
		$1 = { 83 FA 01 7D 05 BA 01 00 00 00 83 FA 64 7E 05 BA 64 00 00 00 3B 90 88 02 00 00 74 0B 89 90 88 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77136_0 {
	meta:
		name = "TDBCtrlGrid.SetSelectedColor"
		size = 55
	strings:
		$1 = { 56 8B F0 3B 96 B8 02 00 00 74 2A 89 96 B8 02 00 00 3B 56 74 0F 95 C0 88 86 B3 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 8B 86 7C 02 00 00 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_77137_0 {
	meta:
		name = "TDBCtrlGrid.UpdateDataLinks"
		size = 221
		refs = "001a TDBCtrlGrid.UpdateDataLinks 0034 SNotReplicatable 0039 LoadResString 0043 DatabaseError 0053 TControl.Perform 006b TDBCtrlGrid.GetDataSource 0074 TDataLink.SetDataSource 0080 _Dn_TWinControl 0085 @IsClass 0090 TWinControl.GetControlCount 00a3 TWinControl.GetControl 00ca @UStrClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 88 4D FB 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D FB 00 74 1D F6 43 59 08 75 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 2D B0 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1F C6 46 19 00 80 7D FB 00 74 15 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? C6 46 19 01 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2C 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1E 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 0F B6 4D FB 8B 45 FC E8 ?? ?? ?? ?? 47 4E 75 E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77138_0 {
	meta:
		name = "TDBCtrlGrid.UpdateScrollBar"
		size = 327
		refs = "001b TWinControl.HandleAllocated 002e TDataLink.GetDataSet 004e TWinControl.GetHandle 0054 GetScrollInfo 013c SetScrollInfo"
	strings:
		$1 = { 53 56 57 83 C4 C8 8B D8 8B 83 78 02 00 00 80 78 15 00 0F 84 28 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 19 01 00 00 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B F0 C7 04 24 1C 00 00 00 C7 44 24 04 17 00 00 00 54 8B 83 B4 02 00 00 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 56 8D 74 24 04 8D 7C 24 20 B9 07 00 00 00 F3 A5 5E 8B C6 8B 10 FF 92 A0 02 00 00 84 C0 74 46 C7 44 24 24 01 00 00 00 8B 83 88 02 00 00 F7 AB 84 02 00 00 89 44 24 2C 8B C6 8B 10 FF 92 88 01 00 00 03 44 24 2C 48 89 44 24 28 0F B6 86 A5 00 00 00 2C 03 73 50 8B C6 8B 10 FF 92 8C 01 00 00 89 44 24 30 EB 40 33 C0 89 44 24 24 33 C0 89 44 24 2C C7 44 24 28 04 00 00 00 80 BE A8 00 00 00 00 74 08 33 C0 89 44 24 30 EB 1B 80 BE A9 00 00 00 00 74 0A C7 44 24 30 04 00 00 00 EB 08 C7 44 24 30 02 00 00 00 8B 44 24 24 3B 44 24 08 75 1E 8B 44 24 28 3B 44 24 0C 75 14 8B 44 24 2C 3B 44 24 10 75 0A 8B 44 24 30 3B 44 24 14 74 1B 6A FF 8D 44 24 20 50 8B 83 B4 02 00 00 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 38 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77139_0 {
	meta:
		name = "TDBCtrlGrid.WMLButtonDown"
		size = 421
		refs = "0080 TDBCtrlGrid.GetPanelBounds 0089 PtInRect 00a3 TDBCtrlGrid.WMLButtonDown 00b4 TDBCtrlGrid.SetPanelIndex 00d1 @HandleFinally 00e1 TControl.ClientToScreen 00f8 WindowFromPoint 0109 TWinControl.GetHandle 010f IsChild 011d ScreenToClient 0150 SendMessage 0164 TDBCtrlGrid.AcquireFocus 0176 TDBCtrlGrid.PointInPanel 0184 TDBCtrlGrid.SetEditMode 0190 @CallDynaInst 019b TControl.WMLButtonDown"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 89 55 F8 89 45 FC 8B 45 FC 8B 80 78 02 00 00 80 78 15 00 0F 84 3F 01 00 00 8B 45 F8 8B 40 08 89 45 E8 0F BF 45 E8 89 45 E0 0F BF 45 EA 89 45 E4 8B 45 E0 89 45 EC 8B 45 E4 89 45 F0 8B 45 FC 8B 98 98 02 00 00 4B 85 DB 0F 8C 0A 01 00 00 43 C7 45 F4 00 00 00 00 8B 45 FC 8B 80 94 02 00 00 3B 45 F4 0F 84 E6 00 00 00 FF 75 F0 FF 75 EC 8D 4D CC 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 CC 50 E8 ?? ?? ?? ?? 85 C0 0F 84 C1 00 00 00 8B 45 FC C6 80 B2 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 B2 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8D 4D C4 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C4 89 45 EC 8B 45 C8 89 45 F0 FF 75 F0 FF 75 EC E8 ?? ?? ?? ?? 8B D8 53 8B 45 FC 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 49 8D 45 EC 50 53 E8 ?? ?? ?? ?? 0F B7 45 EC 66 89 45 DC 0F B7 45 F0 66 89 45 DE 8B 45 F8 8B 55 DC 89 50 08 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 04 50 8B 45 F8 8B 00 50 53 E8 ?? ?? ?? ?? EB 49 FF 45 F4 4B 0F 85 FE FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 33 8B 55 F8 8B 52 08 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BE EC FF E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77140_0 {
	meta:
		name = "TDBCtrlGrid.WMLButtonDblClk"
		size = 45
		refs = "000d TDBCtrlGrid.PointInPanel 001c @CallDynaInst 0025 TControl.WMLButtonDblClk"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 57 08 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C3 66 BE EB FF E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77145_0 {
	meta:
		name = "TDBCtrlGrid.WMSetFocus"
		size = 26
	strings:
		$1 = { 56 8B F0 C6 86 B1 02 00 00 01 8B 86 7C 02 00 00 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_77146_0 {
	meta:
		name = "TDBCtrlGrid.WMKillFocus"
		size = 26
	strings:
		$1 = { 56 8B F0 C6 86 B1 02 00 00 00 8B 86 7C 02 00 00 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_77149_0 {
	meta:
		name = "GetShiftState"
		size = 64
		refs = "0004 GetShiftState 000b GetKeyState"
	strings:
		$1 = { 53 0F B7 1D ?? ?? ?? ?? 6A 10 E8 ?? ?? ?? ?? 66 85 C0 7D 04 66 83 CB 01 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 04 66 83 CB 04 6A 12 E8 ?? ?? ?? ?? 66 85 C0 7D 04 66 83 CB 02 8B C3 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_79221_0 {
	meta:
		name = "ShiftState"
		size = 64
		refs = "0004 ShiftState 000b GetKeyState"
	strings:
		$1 = { 53 0F B7 1D ?? ?? ?? ?? 6A 10 E8 ?? ?? ?? ?? 66 85 C0 7D 04 66 83 CB 01 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 04 66 83 CB 04 6A 12 E8 ?? ?? ?? ?? 66 85 C0 7D 04 66 83 CB 02 8B C3 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_77150_0 {
	meta:
		name = "TDBCtrlGrid.CMChildKey"
		size = 199
		refs = "0012 GetShiftState 006e TControl.Perform 00ac TDBCtrlGrid.DoKey 00be TWinControl.CMChildKey"
	strings:
		$1 = { 53 56 57 51 8B F2 8B F8 3B 7E 08 0F 84 A8 00 00 00 E8 ?? ?? ?? ?? 66 89 04 24 66 83 BF 22 02 00 00 00 74 17 0F B7 04 24 50 8D 4E 04 8B 56 08 8B 87 24 02 00 00 FF 97 20 02 00 00 33 DB 0F B7 46 04 66 83 E8 09 74 14 66 83 E8 04 74 37 66 83 E8 0E 74 4E 66 83 E8 56 74 44 EB 48 F6 04 24 04 75 42 6A 00 8B 46 08 33 C9 BA 87 00 00 00 E8 ?? ?? ?? ?? A8 02 75 2D F6 04 24 01 74 04 B3 02 EB 23 B3 03 EB 1F 6A 00 8B 46 08 33 C9 BA 87 00 00 00 E8 ?? ?? ?? ?? A8 04 75 0A B3 01 EB 06 B3 01 EB 02 B3 11 84 DB 74 12 8B D3 8B C7 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 EB 09 8B D6 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77151_0 {
	meta:
		name = "TDBCtrlGrid.CMColorChanged"
		size = 30
		refs = "0006 TWinControl.CMColorChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB B3 02 00 00 00 75 09 8B 43 74 89 83 B8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_77152_0 {
	meta:
		name = "TDBCtrlGrid.ExecuteAction"
		size = 59
		refs = "000d TComponent.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB 78 02 00 00 85 ED 74 11 8B D7 8B C5 66 BE FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77153_0 {
	meta:
		name = "TDBCtrlGrid.UpdateAction"
		size = 59
		refs = "000d TComponent.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB 78 02 00 00 85 ED 74 11 8B D7 8B C5 66 BE FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77156_0 {
	meta:
		name = "TClientDataSetApply.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TAction.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 B4 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_77157_0 {
	meta:
		name = "TClientDataSetApply.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TCustomAction.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 B0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77158_0 {
	meta:
		name = "TClientDataSetApply.DoReconcileError"
		size = 43
		refs = "001b HandleReconcileError"
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 0F B6 54 24 04 8B 4C 24 08 8B 04 24 E8 ?? ?? ?? ?? 8B 54 24 0C 88 02 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_77159_0 {
	meta:
		name = "TClientDataSetApply.ExecuteTarget"
		size = 179
		refs = "001b _Dn_TClientDataSet 0020 @IsClass 003c TClientDataSetApply.ExecuteTarget 004a _Dn_TDataSource 004f @AsClass 005f TDataLink.SetDataSource 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B D6 8B 45 FC 8B 08 FF 51 64 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 82 00 00 00 8B 45 FC 80 B8 B8 00 00 00 00 74 63 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 B0 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 B4 00 00 00 8B C3 8B 08 FF 91 34 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 90 B4 00 00 00 8B C3 8B 08 FF 91 34 03 00 00 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77160_0 {
	meta:
		name = "TClientDataSetApply.SetDisplayErrorDlg"
		size = 71
		refs = "001b _DV_TReconcileActionLink 0020 TDataLink.Create 0040 TObject.Free"
	strings:
		$1 = { 53 56 8B D8 3A 93 B8 00 00 00 74 38 8B C2 88 83 B8 00 00 00 84 C0 74 19 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B0 00 00 00 89 5E 1C EB 13 8D 83 B0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77161_0 {
	meta:
		name = "TClientDataSetApply.UpdateTarget"
		size = 120
		refs = "0012 _Dn_TClientDataSet 0017 @IsClass 0028 @AsClass 0031 TDataSet.GetActive 004a TCustomClientDataSet.GetChangeCount 0065 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 8B 08 FF 51 64 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 23 8B C7 8B 10 FF 92 5C 01 00 00 84 C0 74 15 8B C7 E8 ?? ?? ?? ?? 83 FA 00 75 07 83 F8 00 77 08 EB 02 7F 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77162_0 {
	meta:
		name = "TClientDataSetRevert.ExecuteTarget"
		size = 47
		refs = "0011 _Dn_TClientDataSet 0016 @IsClass 0028 TCustomClientDataSet.RevertRecord"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77163_0 {
	meta:
		name = "TClientDataSetRevert.UpdateTarget"
		size = 106
		refs = "0011 _Dn_TClientDataSet 0016 @IsClass 0029 _Dn_TCustomClientDataSet 002e @AsClass 0033 TDataSet.GetActive 0057 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 40 8B D6 8B C3 8B 08 FF 51 64 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8B D6 8B C3 8B 08 FF 51 64 8B 10 FF 92 BC 02 00 00 84 C0 0F 94 C2 80 F2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77164_0 {
	meta:
		name = "TClientDataSetUndo.ExecuteTarget"
		size = 54
		refs = "0011 _Dn_TClientDataSet 0016 @IsClass 002f TCustomClientDataSet.UndoLastChange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B D6 8B C3 8B 08 FF 51 64 0F B6 93 B0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77165_0 {
	meta:
		name = "TClientDataSetUndo.UpdateTarget"
		size = 82
		refs = "0011 _Dn_TClientDataSet 0016 @IsClass 0028 TCustomClientDataSet.GetChangeCount 003f TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 28 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 83 FA 00 75 08 83 F8 00 0F 97 C2 EB 03 0F 9F C2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77166_0 {
	meta:
		name = "TReconcileActionLink.DataEvent"
		size = 45
		refs = "0010 TDataLink.DataEvent 0025 TClientDataSetApply.DoReconcileError"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 80 FB 0D 75 10 83 7E 1C 00 74 0A 8B D7 8B 46 1C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77172_0 {
	meta:
		name = "OkToChangeFieldAlignment"
		size = 23
		refs = "000b FieldAlignmentTbl"
	strings:
		$1 = { 85 C0 74 0C 0F B6 40 48 0F B6 80 ?? ?? ?? ?? C3 80 FA 02 0F 95 C0 C3 }
	condition:
		$1
}

rule function_77173_0 {
	meta:
		name = "DBUseRightToLeftAlignment"
		size = 59
		refs = "0014 SysLocale 0029 OkToChangeFieldAlignment"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 85 F6 74 06 0F B6 5E 4B EB 02 33 DB A1 ?? ?? ?? ?? 80 78 0D 00 74 13 80 7F 69 01 75 0D 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77174_0 {
	meta:
		name = "TDataSourceLink.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TDataLink.Create 0026 @AfterConstruction"
		altNames = "TFieldDataLink.Create TListSourceLink.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 16 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_77175_0 {
	meta:
		name = "TFieldDataLink.SetEditing"
		size = 32
	strings:
		$1 = { 53 3A 50 28 74 18 88 50 28 C6 40 29 00 66 83 78 3A 00 74 0A 8B D8 8B D0 8B 43 3C FF 53 38 5B C3 }
	condition:
		$1
}

rule function_77176_0 {
	meta:
		name = "TFieldDataLink.SetFieldName"
		size = 38
		refs = "000c @UStrEqual 0018 @UStrAsg 001f TFieldDataLink.UpdateField"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 20 8B D6 E8 ?? ?? ?? ?? 74 11 8D 43 20 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77177_0 {
	meta:
		name = "TFieldDataLink.SetField"
		size = 71
		refs = "000e TDataLink.GetDataSet 0041 TFieldDataLink.UpdateRightToLeft"
	strings:
		$1 = { 53 8B D8 3B 53 1C 74 3D 89 53 1C 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 B0 01 EB 10 8B C3 E8 ?? ?? ?? ?? 83 78 78 00 0F 95 C0 34 01 84 C0 74 17 8B C3 8B 10 FF 52 20 33 D2 8B C3 8B 08 FF 51 44 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77178_0 {
	meta:
		name = "TFieldDataLink.UpdateField"
		size = 93
		refs = "0028 GetFieldProperty 0031 TFieldDataLink.SetField 0041 TDataSet.FieldByName"
	strings:
		$1 = { 53 56 8B D8 80 7B 15 00 74 47 83 7B 20 00 74 41 33 C0 89 43 1C 8B 73 24 85 F6 74 1B 8B 43 04 8B 40 38 8B 4B 20 8B D6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 23 8B 43 04 8B 40 38 8B 53 20 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77179_0 {
	meta:
		name = "TFieldDataLink.UpdateRightToLeft"
		size = 133
		refs = "0010 _Dn_TWinControl 0015 @IsClass 0026 @AsClass 002f TControl.IsRightToLeft 003a TWinControl.GetHandle 0046 GetWindowLongPtr 005e DBUseRightToLeftAlignment 007d TControl.Perform"
	strings:
		$1 = { 53 56 57 8B F8 8B 77 24 85 F6 74 75 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 64 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 4A 8B C6 E8 ?? ?? ?? ?? BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 25 00 10 00 00 3D 00 10 00 00 0F 94 C3 8B 57 1C 8B 47 24 E8 ?? ?? ?? ?? 84 DB 74 04 84 C0 74 07 80 F3 01 84 C3 74 10 6A 00 33 C9 BA 33 B0 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77180_0 {
	meta:
		name = "TFieldDataLink.Edit"
		size = 27
		refs = "0006 TFieldDataLink.GetCanModify 0011 TDataLink.Edit"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 0F B6 43 28 5B C3 }
	condition:
		$1
}

rule function_77181_0 {
	meta:
		name = "TFieldDataLink.GetCanModify"
		size = 38
	strings:
		$1 = { 53 8B D8 80 7B 14 00 75 15 83 7B 1C 00 74 0F 8B 43 1C 8B 10 FF 92 94 00 00 00 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_77182_0 {
	meta:
		name = "TFieldDataLink.Modified"
		size = 5
	strings:
		$1 = { C6 40 29 01 C3 }
	condition:
		$1
}

rule function_77184_0 {
	meta:
		name = "TFieldDataLink.ActiveChanged"
		size = 27
		refs = "0006 TFieldDataLink.UpdateField"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 7B 4A 00 74 08 8B D3 8B 43 4C FF 53 48 5B C3 }
	condition:
		$1
}

rule function_77186_0 {
	meta:
		name = "TFieldDataLink.FocusControl"
		size = 71
		refs = "0017 _Dn_TWinControl 001c @IsClass 002c @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 37 85 F6 74 36 3B 73 1C 75 31 8B 43 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B 43 24 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 0F 33 C0 89 07 8B 43 24 8B 10 FF 92 F4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77187_0 {
	meta:
		name = "TFieldDataLink.RecordChanged"
		size = 33
	strings:
		$1 = { 53 8B D8 85 D2 74 05 3B 53 1C 75 13 66 83 7B 32 00 74 08 8B D3 8B 43 34 FF 53 30 C6 43 29 00 5B C3 }
	condition:
		$1
}

rule function_77189_0 {
	meta:
		name = "TFieldDataLink.UpdateData"
		size = 36
	strings:
		$1 = { 53 8B D8 80 7B 29 00 74 19 83 7B 1C 00 74 0F 66 83 7B 42 00 74 08 8B D3 8B 43 44 FF 53 40 C6 43 29 00 5B C3 }
	condition:
		$1
}

rule function_77190_0 {
	meta:
		name = "TFieldDataLink.DataEvent"
		size = 49
		refs = "0010 TDataLink.DataEvent 0022 TFieldDataLink.UpdateField"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 80 FB 0E 75 14 8B C7 84 C0 74 09 8B C6 E8 ?? ?? ?? ?? EB 05 33 C0 89 46 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77191_0 {
	meta:
		name = "TPaintControl.Create"
		size = 64
		refs = "000d @ClassCreate 001f @UStrAsg 002a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 8D 46 08 8B 55 08 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_77192_0 {
	meta:
		name = "TPaintControl.Destroy"
		size = 32
		refs = "0003 @BeforeDestruction 000e TPaintControl.DestroyHandle 0019 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77193_0 {
	meta:
		name = "TPaintControl.DestroyHandle"
		size = 36
		refs = "000c DestroyWindow 0014 FreeObjectInstance"
	strings:
		$1 = { 53 8B D8 8B 43 0C 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 33 C0 89 43 0C 33 C0 89 43 10 5B C3 }
	condition:
		$1
}

rule function_77194_0 {
	meta:
		name = "TPaintControl.GetHandle"
		size = 307
		refs = "0019 TPaintControl.GetHandle 002f TPaintControl.WndProc 0034 MakeObjectInstance 007f Application 008f HInstance 00a0 TControl.GetText 00ab @UStrToPWChar 00c2 CreateWindowEx 00d5 GetWindowLongPtr 00eb SetWindowLongPtr 00f8 TFont.GetHandle 0104 SendMessage 011f @UStrClr 0125 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 30 FF FF FF 53 56 33 D2 89 95 30 FF FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 0F 85 DB 00 00 00 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8D 95 34 FF FF FF 8B 43 04 8B 08 FF 91 B8 00 00 00 81 A5 38 FF FF FF FF FF CF FF 8B 85 38 FF FF FF 0D 00 00 00 10 50 8B 85 40 FF FF FF 50 8B 85 44 FF FF FF 50 8B 85 48 FF FF FF 50 8B 85 4C FF FF FF 50 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 50 6A 00 A1 ?? ?? ?? ?? 50 6A 00 8D 95 30 FF FF FF 8B 43 04 E8 ?? ?? ?? ?? 8B 85 30 FF FF FF E8 ?? ?? ?? ?? 50 8B 43 08 E8 ?? ?? ?? ?? 8B D0 8B 85 3C FF FF FF 59 E8 ?? ?? ?? ?? 8B F0 89 73 0C 8B C6 BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 89 43 14 8B 43 0C BA FC FF FF FF 8B 73 10 56 52 50 E8 ?? ?? ?? ?? 6A 01 8B 43 04 8B 40 6C E8 ?? ?? ?? ?? 50 6A 30 8B 43 0C 50 E8 ?? ?? ?? ?? 8B 5B 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 30 FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77195_0 {
	meta:
		name = "TPaintControl.SetCtl3DButton"
		size = 25
		refs = "000f TPaintControl.DestroyHandle"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 7E 0C 00 74 07 8B C6 E8 ?? ?? ?? ?? 88 5E 18 5E 5B C3 }
	condition:
		$1
}

rule function_77196_0 {
	meta:
		name = "TPaintControl.WndProc"
		size = 76
		refs = "0026 TControl.Perform 0041 CallWindowProc"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B 33 81 FE 32 BD 00 00 72 1E 81 FE 38 BD 00 00 77 16 8B 43 08 50 8B 4B 04 8B D6 8B 47 04 E8 ?? ?? ?? ?? 89 43 0C EB 19 8B 43 08 50 8B 43 04 50 56 8B 47 0C 50 8B 47 14 50 E8 ?? ?? ?? ?? 89 43 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77197_0 {
	meta:
		name = "TDBEdit.ResetMaxLength"
		size = 172
		refs = "000d TDBEdit.ResetMaxLength 001a TCustomMaskEdit.GetMaxLength 0025 TDBEdit.GetDataSource 0040 TDBEdit.GetDataField 0054 TDataSet.FindField 0086 TCustomMaskEdit.SetMaxLength 009b @UStrClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 68 8B C3 E8 ?? ?? ?? ?? 85 C0 74 5D 8B C3 E8 ?? ?? ?? ?? 83 78 38 00 74 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B 40 38 5A E8 ?? ?? ?? ?? 8B F0 85 F6 74 2C 0F B6 46 48 2C 01 74 04 2C 17 75 20 8B C6 8B 10 FF 92 B4 00 00 00 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77198_0 {
	meta:
		name = "TDBEdit.Create"
		size = 152
		refs = "000e @ClassCreate 001c TCustomMaskEdit.Create 0025 TCustomEdit.SetReadOnly 002e TDBEdit.Create 0038 _DV_TFieldDataLink 003d TFieldDataLink.Create 0052 TDBEdit.DataChange 005c TDBEdit.EditingChange 0066 TDBEdit.UpdateData 0070 TDBEdit.ActiveChange 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C8 02 00 00 89 5E 24 89 5E 34 C7 46 30 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 89 5E 44 C7 46 40 ?? ?? ?? ?? 89 5E 4C C7 46 48 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 08 00 00 }
	condition:
		$1
}

rule function_77199_0 {
	meta:
		name = "TDBEdit.Destroy"
		size = 66
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0030 TWinControl.Destroy 003b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 C8 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 C8 02 00 00 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77200_0 {
	meta:
		name = "TDBEdit.Loaded"
		size = 34
		refs = "0006 TControl.Loaded 000d TDBEdit.ResetMaxLength 001c TDBEdit.DataChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 74 09 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77201_0 {
	meta:
		name = "TDBEdit.Notification"
		size = 58
		refs = "0010 TWinControl.Notification 0025 TDBEdit.GetDataSource 0032 TDBEdit.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF C8 02 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77203_0 {
	meta:
		name = "TDBEdit.KeyDown"
		size = 57
		refs = "0014 TCustomMaskEdit.KeyDown 0031 TFieldDataLink.Edit"
	strings:
		$1 = { 53 56 51 66 89 0C 24 8B DA 8B F0 8B D3 0F B7 0C 24 8B C6 E8 ?? ?? ?? ?? 66 83 3B 2E 74 0C 66 83 3B 2D 75 11 F6 04 24 01 74 0B 8B 86 C8 02 00 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_77204_0 {
	meta:
		name = "TDBEdit.KeyPress"
		size = 155
		refs = "000b TCustomMaskEdit.KeyPress 003c MessageBeep 0071 TFieldDataLink.Edit 0088 TFieldDataLink.Reset 008f TCustomEdit.SelectAll"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 66 83 3B 20 72 30 8B 86 C8 02 00 00 83 78 1C 00 74 24 0F B7 13 8B 86 C8 02 00 00 8B 40 1C 8B 08 FF 91 2C 01 00 00 84 C0 75 0C 6A 00 E8 ?? ?? ?? ?? 66 C7 03 00 00 0F B7 03 83 F8 18 7F 0E 74 1B 83 E8 08 74 16 83 E8 0E 74 11 EB 3D 83 E8 1B 74 21 83 C0 FB 2D E0 FF 00 00 73 2E 8B 86 C8 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 1F 66 C7 03 00 00 5E 5B C3 8B 86 C8 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 66 C7 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77205_0 {
	meta:
		name = "TDBEdit.EditCanModify"
		size = 12
		refs = "0007 TFieldDataLink.Edit"
	strings:
		$1 = { 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77214_0 {
	meta:
		name = "TDBEdit.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77206_0 {
	meta:
		name = "TDBEdit.Reset"
		size = 23
		refs = "000a TFieldDataLink.Reset 0011 TCustomEdit.SelectAll"
	strings:
		$1 = { 53 8B D8 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77208_0 {
	meta:
		name = "TDBEdit.Change"
		size = 23
		refs = "000a TFieldDataLink.Modified 0011 TCustomEdit.Change"
	strings:
		$1 = { 53 8B D8 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77207_0 {
	meta:
		name = "TDBEdit.SetFocused"
		size = 60
		refs = "001d TCustomMaskEdit.GetMasked 0036 TFieldDataLink.Reset"
	strings:
		$1 = { 53 8B D8 3A 93 D1 02 00 00 74 2F 88 93 D1 02 00 00 80 BB D0 02 00 00 00 74 15 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A 8B C3 8B 10 FF 92 9C 00 00 00 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77209_0 {
	meta:
		name = "TDBEdit.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 C8 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_77210_0 {
	meta:
		name = "TDBEdit.SetDataSource"
		size = 47
		refs = "001b TDataLink.SetDataSource 0028 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C8 02 00 00 80 78 19 00 74 06 F6 43 1C 01 75 07 8B D6 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77211_0 {
	meta:
		name = "TDBEdit.GetDataField"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 C8 02 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77212_0 {
	meta:
		name = "TDBEdit.SetDataField"
		size = 35
		refs = "000f TDBEdit.ResetMaxLength 001c TFieldDataLink.SetFieldName"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 10 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77213_0 {
	meta:
		name = "TDBEdit.GetReadOnly"
		size = 11
	strings:
		$1 = { 8B 80 C8 02 00 00 0F B6 40 14 C3 }
	condition:
		$1
}

rule function_77215_0 {
	meta:
		name = "TDBEdit.GetField"
		size = 10
	strings:
		$1 = { 8B 80 C8 02 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_77217_0 {
	meta:
		name = "TDBEdit.DataChange"
		size = 355
		refs = "000e TDBEdit.DataChange 003a TCustomMaskEdit.SetEditText 0060 TCustomMaskEdit.SetEditMask 0082 TCustomMaskEdit.GetMaxLength 00a0 TCustomMaskEdit.SetMaxLength 00b4 TFieldDataLink.GetCanModify 00c9 TField.GetEditText 00d3 TCustomMaskEdit.SetText 00e6 TField.GetDisplayText 010b TCustomEdit.SetModified 0152 @UStrArrayClr 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 C8 02 00 00 8B 40 1C 85 C0 0F 84 E8 00 00 00 0F B6 40 4B 3A 83 D0 02 00 00 74 1C 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 8B 40 1C 0F B6 40 4B 88 83 D0 02 00 00 8B 83 C8 02 00 00 8B 40 1C 8B 50 64 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 75 3A 8B 83 C8 02 00 00 8B 40 1C 0F B6 40 48 2C 01 74 04 2C 17 75 25 8B C3 E8 ?? ?? ?? ?? 85 C0 75 1A 8B 83 C8 02 00 00 8B 40 1C 8B 10 FF 92 B4 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 80 BB D1 02 00 00 00 74 2C 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 1D 8D 55 FC 8B 83 C8 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 63 8D 55 F8 8B 83 C8 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 80 78 28 00 74 3C 80 78 29 00 74 36 B2 01 8B C3 E8 ?? ?? ?? ?? EB 2B C6 83 D0 02 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 74 0C 8B 53 08 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77218_0 {
	meta:
		name = "TDBEdit.EditingChange"
		size = 19
		refs = "000e TCustomEdit.SetReadOnly"
	strings:
		$1 = { 8B 90 C8 02 00 00 0F B6 52 28 80 F2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77219_0 {
	meta:
		name = "TDBEdit.UpdateData"
		size = 92
		refs = "000c TDBEdit.UpdateData 0026 TCustomMaskEdit.GetText 0037 TField.SetEditText 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 2C 01 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 C8 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_77220_0 {
	meta:
		name = "TDBEdit.WMClear"
		size = 33
		refs = "000d TFieldDataLink.Edit"
		altNames = "TDBEdit.WMUndo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_77221_0 {
	meta:
		name = "TDBEdit.WMPaste"
		size = 33
		refs = "000d TFieldDataLink.Edit 001a TCustomMaskEdit.WMPaste"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77222_0 {
	meta:
		name = "TDBEdit.WMCut"
		size = 33
		refs = "000d TFieldDataLink.Edit 001a TCustomMaskEdit.WMCut"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77224_0 {
	meta:
		name = "TDBEdit.CMEnter"
		size = 51
		refs = "000b TDBEdit.SetFocused 0014 TCustomMaskEdit.CMEnter 001f TFieldDataLink.GetCanModify 002c TCustomEdit.SetReadOnly"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77225_0 {
	meta:
		name = "TDBEdit.CMExit"
		size = 118
		refs = "000e TDBEdit.CMExit 0022 TDataLink.UpdateRecord 0031 @HandleAnyException 0039 TCustomEdit.SelectAll 0049 @RaiseAgain 004e @DoneExcept 0058 TDBEdit.SetFocused 0060 TCustomMaskEdit.CheckCursor 006c @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BE C0 FF E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77226_0 {
	meta:
		name = "TDBEdit.WMPaint"
		size = 1090
		refs = "001e TDBEdit.WMPaint 003d @CallDynaInst 0049 ChangeBiDiModeAlignment 0071 SysLocale 0083 TWinControl.HandleAllocated 0093 TControl.IsRightToLeft 00a3 TWinControl.GetHandle 00af GetWindowLongPtr 00cb TControl.UseRightToLeftReading 00dd TControl.UseRightToLeftScrollBar 0100 AlignStyle 0136 SetWindowLongPtr 0141 TWinControl.WMPaint 0159 _Dn_TControlCanvas 015e TCanvas.Create 0173 TControlCanvas.SetControl 018f BeginPaint 019e TCanvas.SetHandle 01c0 TCanvas.SetFont 01d9 NewStyleControls 01fb TStyleManager.GetActiveStyle 0205 TCustomStyleServices.GetSystemColor 020f TBrush.SetColor 0227 InflateRect 022c TStyleManager.GetIsCustomStyleActive 0242 StyleColor 024e TCustomStyleServices.GetStyleColor 026a StyleFontColor 0276 TCustomStyleServices.GetStyleFontColor 0280 TFont.SetColor 02d5 TField.GetDisplayText 02f4 AnsiUpperCase 02ff @UStrLAsg 030c AnsiLowerCase 0324 TCustomMaskEdit.GetEditText 034b StringOfChar 0356 TDBEdit.GetTextMargins 0371 TCustomCanvas.TextWidth 037a TControl.GetClientWidth 03b6 TControlCanvas.UpdateTextFlags 0405 EndPaint 040b @HandleFinally 0427 @UStrArrayClr 042f @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 57 33 C9 89 4D 90 89 4D 94 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 0F B6 80 D0 02 00 00 88 45 EB 8B 45 F8 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 08 8D 45 EB E8 ?? ?? ?? ?? 80 7D EB 00 74 10 8B 45 F8 80 B8 D1 02 00 00 00 0F 84 E7 00 00 00 8B 45 F8 F6 40 5C 80 0F 85 DA 00 00 00 A1 ?? ?? ?? ?? 80 78 0D 00 0F 84 BB 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 AB 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 9B 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 8B D8 81 E3 FF EF FF FF 81 E3 FF DF FF FF 81 E3 FF BF FF FF 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 06 81 CB 00 20 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 06 81 CB 00 40 00 00 8B 45 F8 66 BE C7 FF E8 ?? ?? ?? ?? 83 E0 7F 8D 04 40 8D 04 85 ?? ?? ?? ?? 0F B6 55 EB 0B 1C 90 8B 45 F8 E8 ?? ?? ?? ?? BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 3B D8 74 17 8B 45 F8 E8 ?? ?? ?? ?? BA EC FF FF FF 8B CB 51 52 50 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 C7 02 00 00 8B 45 F8 83 B8 CC 02 00 00 00 75 21 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F8 89 98 CC 02 00 00 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 04 85 C0 75 12 8D 45 98 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 F8 8B 92 CC 02 00 00 92 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 50 6C 8B 45 F8 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B B0 CC 02 00 00 8D 55 D8 8B 45 F8 8B 08 FF 51 60 A1 ?? ?? ?? ?? 80 38 00 74 0C 8B 45 F8 80 B8 F1 01 00 00 00 75 3D 8B 45 F8 80 B8 80 02 00 00 01 75 31 E8 ?? ?? ?? ?? BA 06 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 46 48 E8 ?? ?? ?? ?? 8D 55 D8 8B C6 8B 08 FF 51 5C 8D 45 D8 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 52 8B 45 F8 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D0 8B 46 48 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D0 8B 46 40 E8 ?? ?? ?? ?? EB 27 8B 45 F8 8B 50 74 8B 46 48 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 68 84 C0 75 0D 8B 46 40 BA 11 00 00 FF E8 ?? ?? ?? ?? 8B 45 F8 F6 40 5C 80 74 67 8B 45 F8 8B 80 C8 02 00 00 83 78 1C 00 74 58 8D 55 FC 8B 45 F8 8B 80 C8 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 45 F8 0F B6 80 89 02 00 00 FE C8 74 06 FE C8 74 1A EB 3B 8D 55 94 8B 45 FC E8 ?? ?? ?? ?? 8B 55 94 8D 45 FC E8 ?? ?? ?? ?? EB 23 8D 55 90 8B 45 FC E8 ?? ?? ?? ?? 8B 55 90 8D 45 FC E8 ?? ?? ?? ?? EB 0B 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 0F B7 B8 82 02 00 00 66 85 FF 74 18 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 4D FC 8B C7 8B D3 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 45 EB 2C 01 72 04 74 07 EB 23 8B 7D EC EB 3D 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 58 2B F8 2B 7D EC 4F EB 1F 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 58 2B F8 D1 FF 79 03 83 D7 00 A1 ?? ?? ?? ?? 80 78 0D 00 74 07 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 50 8B CF 8D 55 D8 8B C6 8B 18 FF 93 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 80 CC 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 83 78 04 00 75 12 8D 45 98 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 90 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77227_0 {
	meta:
		name = "TDBEdit.CMGetDataLink"
		size = 10
	strings:
		$1 = { 8B 80 C8 02 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_77228_0 {
	meta:
		name = "TDBEdit.GetTextMargins"
		size = 199
		refs = "000b NewStyleControls 0042 TWinControl.GetHandle 0048 SendMessage 006a GetDC 0073 GetTextMetrics 007b TFont.GetHandle 0082 SelectObject 009e ReleaseDC"
	strings:
		$1 = { 53 56 57 83 C4 88 8B FA 8B F0 A1 ?? ?? ?? ?? 80 38 00 74 46 80 BE 80 02 00 00 00 75 04 33 DB EB 15 80 BE F1 01 00 00 00 74 07 BB 01 00 00 00 EB 05 BB 02 00 00 00 6A 00 6A 00 68 D4 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 25 FF FF 00 00 03 C3 89 07 89 5F 04 EB 66 80 BE 80 02 00 00 00 75 04 33 DB EB 54 6A 00 E8 ?? ?? ?? ?? 8B D8 54 53 E8 ?? ?? ?? ?? 8B 46 6C E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B F0 8D 44 24 3C 50 53 E8 ?? ?? ?? ?? 56 53 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 8B 1C 24 8B 44 24 3C 3B D8 7E 02 8B D8 B9 04 00 00 00 8B C3 99 F7 F9 89 C3 89 1F 89 5F 04 83 C4 78 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77229_0 {
	meta:
		name = "TDBEdit.ExecuteAction"
		size = 59
		refs = "000d TComponent.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB C8 02 00 00 85 ED 74 11 8B D7 8B C5 66 BE FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77230_0 {
	meta:
		name = "TDBEdit.UpdateAction"
		size = 59
		refs = "000d TComponent.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB C8 02 00 00 85 ED 74 11 8B D7 8B C5 66 BE FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77231_0 {
	meta:
		name = "TDBText.Create"
		size = 132
		refs = "000e @ClassCreate 001c TCustomLabel.Create 0025 TDBText.Create 003a TCustomLabel.SetShowAccelChar 0041 _DV_TFieldDataLink 0046 TFieldDataLink.Create 005b TDBText.DataChange 0068 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 33 D2 8B C3 8B 08 FF 51 78 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D8 01 00 00 89 5E 24 89 5E 34 C7 46 30 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 00 08 00 00 }
	condition:
		$1
}

rule function_77232_0 {
	meta:
		name = "TDBText.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0025 TGraphicControl.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 D8 01 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 D8 01 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77233_0 {
	meta:
		name = "TDBText.Loaded"
		size = 27
		refs = "0006 TCustomLabel.Loaded 0015 TDBText.DataChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 74 09 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77275_0 {
	meta:
		name = "TDBComboBox.Loaded"
		size = 27
		refs = "0006 TCustomCombo.Loaded 0015 TDBComboBox.DataChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 74 09 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77357_0 {
	meta:
		name = "TDBMemo.Loaded"
		size = 27
		refs = "0006 TCustomMemo.Loaded 0015 TDBMemo.DataChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 74 09 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77591_0 {
	meta:
		name = "TDBRichEdit.Loaded"
		size = 27
		refs = "0006 TCustomMemo.Loaded 0015 TDBRichEdit.DataChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 74 09 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77234_0 {
	meta:
		name = "TDBText.Notification"
		size = 58
		refs = "0010 TCustomLabel.Notification 0025 TDBText.GetDataSource 0032 TDBText.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF D8 01 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77236_0 {
	meta:
		name = "TDBText.SetAutoSize"
		size = 115
		refs = "000f TDBText.SetAutoSize 0035 SDataSourceFixed 003a LoadResString 0044 DatabaseError 004d TCustomLabel.SetAutoSize 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E BD 01 00 00 74 30 84 DB 74 23 8B 86 D8 01 00 00 80 78 19 00 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77237_0 {
	meta:
		name = "TDBText.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 D8 01 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_77238_0 {
	meta:
		name = "TDBText.SetDataSource"
		size = 47
		refs = "001b TDataLink.SetDataSource 0028 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 D8 01 00 00 80 78 19 00 74 06 F6 43 1C 01 75 07 8B D6 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77239_0 {
	meta:
		name = "TDBText.GetDataField"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 D8 01 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77240_0 {
	meta:
		name = "TDBText.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 D8 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77241_0 {
	meta:
		name = "TDBText.GetField"
		size = 10
	strings:
		$1 = { 8B 80 D8 01 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_77242_0 {
	meta:
		name = "TDBText.GetFieldText"
		size = 60
		refs = "0019 TField.GetDisplayText 002b @UStrAsg 0034 @UStrClr"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 83 D8 01 00 00 8B 78 1C 85 FF 74 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 19 F6 43 1C 10 74 0C 8B C6 8B 53 08 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77243_0 {
	meta:
		name = "TDBText.DataChange"
		size = 75
		refs = "000c TDBText.DataChange 001c TDBText.GetFieldText 0026 TControl.SetText 003b @UStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_77244_0 {
	meta:
		name = "TDBText.GetLabelText"
		size = 36
		refs = "0011 TDBText.GetFieldText 001d TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 5C 80 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77245_0 {
	meta:
		name = "TDBText.CMGetDataLink"
		size = 10
	strings:
		$1 = { 8B 80 D8 01 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_77246_0 {
	meta:
		name = "TDBText.ExecuteAction"
		size = 59
		refs = "000d TComponent.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB D8 01 00 00 85 ED 74 11 8B D7 8B C5 66 BE FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77247_0 {
	meta:
		name = "TDBText.UpdateAction"
		size = 59
		refs = "000d TComponent.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB D8 01 00 00 85 ED 74 11 8B D7 8B C5 66 BE FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77248_0 {
	meta:
		name = "TDBCheckBox.Create"
		size = 228
		refs = "000e @ClassCreate 001c TCustomCheckBox.Create 0025 TDBCheckBox.Create 0031 TCustomCheckBox.SetState 003c STextTrue 0041 LoadResString 004c STextFalse 0058 _DV_TFieldDataLink 005d TFieldDataLink.Create 0072 TDBCheckBox.DataChange 007c TDBCheckBox.UpdateData 008a _DV_TPaintControl 008f TPaintControl.Create 00a0 TPaintControl.SetCtl3DButton 00ad @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 93 8C 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 93 90 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 88 02 00 00 89 5E 24 89 5E 34 C7 46 30 ?? ?? ?? ?? 89 5E 44 C7 46 40 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 94 02 00 00 8B C6 B2 01 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 08 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 55 00 54 00 54 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_77249_0 {
	meta:
		name = "TDBCheckBox.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 001a TObject.Free 0038 TWinControl.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 94 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 86 88 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 88 02 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77250_0 {
	meta:
		name = "TDBCheckBox.Notification"
		size = 58
		refs = "0010 TWinControl.Notification 0025 TDBCheckBox.GetDataSource 0032 TDBCheckBox.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 88 02 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77252_0 {
	meta:
		name = "TDBCheckBox.GetFieldState"
		size = 188
		refs = "000e TDBCheckBox.GetFieldState 0061 TField.GetEditText 0071 TDBCheckBox.ValueMatch 00a8 @UStrClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 88 02 00 00 8B 58 1C 85 DB 74 70 8B C3 8B 10 FF 92 B0 00 00 00 84 C0 74 04 B3 02 EB 60 8B 86 88 02 00 00 8B 78 1C 80 7F 48 05 75 13 8B C7 8B 10 FF 52 54 84 C0 74 04 B3 01 EB 42 33 DB EB 3E B3 02 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 4D FC 8B 96 8C 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 1A 8B 4D FC 8B 96 90 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 33 DB EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77254_0 {
	meta:
		name = "TDBCheckBox.UpdateData"
		size = 219
		refs = "0011 TDBCheckBox.UpdateData 0076 @UStrLAsg 009b ExtractFieldName 00ac TField.SetEditText 00c1 @UStrClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE 82 02 00 00 02 75 13 8B 86 88 02 00 00 8B 40 1C 8B 10 FF 92 24 01 00 00 EB 79 8B 86 88 02 00 00 8B 78 1C 80 7F 48 05 75 18 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B C7 8B 08 FF 91 C4 00 00 00 EB 52 8B C6 8B 10 FF 92 F8 00 00 00 84 C0 74 10 8D 45 FC 8B 96 8C 02 00 00 E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 96 90 02 00 00 E8 ?? ?? ?? ?? C7 45 F8 01 00 00 00 8D 4D F4 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 86 88 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_77255_0 {
	meta:
		name = "TDBCheckBox.ValueMatch"
		size = 124
		refs = "0016 TDBCheckBox.ValueMatch 0034 ExtractFieldName 003e AnsiCompareText 004d @UStrLen 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 8B FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB C7 45 FC 01 00 00 00 EB 1F 8D 4D F8 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 85 C0 75 04 B3 01 EB 0C 8B C7 E8 ?? ?? ?? ?? 3B 45 FC 7D D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77256_0 {
	meta:
		name = "TDBCheckBox.Toggle"
		size = 38
		refs = "000a TFieldDataLink.Edit 0015 TCustomCheckBox.Toggle 0020 TFieldDataLink.Modified"
	strings:
		$1 = { 53 8B D8 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 12 8B C3 E8 ?? ?? ?? ?? 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77257_0 {
	meta:
		name = "TDBCheckBox.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 88 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_77258_0 {
	meta:
		name = "TDBCheckBox.SetDataSource"
		size = 47
		refs = "001b TDataLink.SetDataSource 0028 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 88 02 00 00 80 78 19 00 74 06 F6 43 1C 01 75 07 8B D6 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77259_0 {
	meta:
		name = "TDBCheckBox.GetDataField"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 88 02 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77260_0 {
	meta:
		name = "TDBCheckBox.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 88 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77262_0 {
	meta:
		name = "TDBCheckBox.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 88 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77261_0 {
	meta:
		name = "TDBCheckBox.GetReadOnly"
		size = 11
	strings:
		$1 = { 8B 80 88 02 00 00 0F B6 40 14 C3 }
	condition:
		$1
}

rule function_77263_0 {
	meta:
		name = "TDBCheckBox.GetField"
		size = 10
	strings:
		$1 = { 8B 80 88 02 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_77264_0 {
	meta:
		name = "TDBCheckBox.KeyPress"
		size = 64
		refs = "000b TCustomCheckBox.KeyPress 002b TFieldDataLink.Edit 0039 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B7 06 66 83 E8 08 74 0C 66 83 E8 13 74 14 66 83 E8 05 75 19 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77265_0 {
	meta:
		name = "TDBCheckBox.SetValueCheck"
		size = 31
		refs = "000f @UStrAsg 0018 TDBCheckBox.DataChange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 8C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77266_0 {
	meta:
		name = "TDBCheckBox.SetValueUncheck"
		size = 31
		refs = "000f @UStrAsg 0018 TDBCheckBox.DataChange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 90 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77267_0 {
	meta:
		name = "TDBCheckBox.WndProc"
		size = 64
		refs = "0030 TPaintControl.DestroyHandle 0039 TButtonControl.WndProc"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 03 83 F8 01 74 13 83 F8 47 74 0E 3D 12 B0 00 00 74 07 3D 0E B0 00 00 75 14 83 BE 94 02 00 00 00 74 0B 8B 86 94 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77268_0 {
	meta:
		name = "TDBCheckBox.WMPaint"
		size = 87
		refs = "0011 TWinControl.WMPaint 001d TDBCheckBox.GetFieldState 0031 TPaintControl.GetHandle 0037 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 5C 80 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 6A 00 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 50 68 F1 00 00 00 8B 83 94 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 46 04 50 6A 0F 8B 83 94 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77269_0 {
	meta:
		name = "TDBCheckBox.CMExit"
		size = 92
		refs = "0010 TDBCheckBox.CMExit 0024 TDataLink.UpdateRecord 0033 @HandleAnyException 0043 @RaiseAgain 0048 @DoneExcept 0052 TCustomCheckBox.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77270_0 {
	meta:
		name = "TDBCheckBox.CMGetDataLink"
		size = 10
	strings:
		$1 = { 8B 80 88 02 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_77271_0 {
	meta:
		name = "TDBCheckBox.ExecuteAction"
		size = 59
		refs = "000d TComponent.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB 88 02 00 00 85 ED 74 11 8B D7 8B C5 66 BE FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77272_0 {
	meta:
		name = "TDBCheckBox.UpdateAction"
		size = 59
		refs = "000d TComponent.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB 88 02 00 00 85 ED 74 11 8B D7 8B C5 66 BE FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77273_0 {
	meta:
		name = "TDBComboBox.Create"
		size = 188
		refs = "000e @ClassCreate 001c TCustomComboBox.Create 0025 TDBComboBox.Create 002f _DV_TFieldDataLink 0034 TFieldDataLink.Create 0049 TDBComboBox.DataChange 0053 TDBComboBox.UpdateData 005d TDBComboBox.EditingChange 006b _DV_TPaintControl 0070 TPaintControl.Create 0083 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 18 03 00 00 89 5E 24 89 5E 34 C7 46 30 ?? ?? ?? ?? 89 5E 44 C7 46 40 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 1C 03 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 08 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 4F 00 4D 00 42 00 4F 00 42 00 4F 00 58 00 00 00 00 00 }
	condition:
		$1
}

rule function_77274_0 {
	meta:
		name = "TDBComboBox.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 001a TObject.Free 0038 TCustomComboBox.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 1C 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 86 18 03 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 18 03 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77276_0 {
	meta:
		name = "TDBComboBox.Notification"
		size = 58
		refs = "0010 TWinControl.Notification 0025 TDBComboBox.GetDataSource 0032 TDBComboBox.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 18 03 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77278_0 {
	meta:
		name = "TDBComboBox.DataChange"
		size = 139
		refs = "000d TDBComboBox.DataChange 0023 TCustomCombo.GetDroppedDown 003e TField.GetEditText 0048 TDBComboBox.SetComboText 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB EE 02 00 00 01 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3E 8B 83 18 03 00 00 8B 70 1C 85 F6 74 16 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 1B F6 43 1C 10 74 0C 8B 53 08 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77279_0 {
	meta:
		name = "TDBComboBox.UpdateData"
		size = 82
		refs = "000c TDBComboBox.UpdateData 001c TDBComboBox.GetComboText 002d TField.SetEditText 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 18 03 00 00 8B 40 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_77280_0 {
	meta:
		name = "TDBComboBox.SetComboText"
		size = 371
		refs = "0015 TDBComboBox.SetComboText 0026 TDBComboBox.GetComboText 0031 @UStrEqual 005b TWinControl.HandleAllocated 007c TWinControl.GetHandle 0082 SendMessage 00f9 @HandleFinally 011a TControl.SetText 0163 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 33 C9 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 0F 84 17 01 00 00 8B 45 FC 80 B8 EE 02 00 00 00 0F 84 BA 00 00 00 8B 45 FC 80 B8 EE 02 00 00 01 74 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 F3 80 7D F3 00 74 14 6A 00 6A 00 6A 0B 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 75 09 C7 45 F4 FF FF FF FF EB 14 8B 45 FC 8B 80 B4 02 00 00 8B 55 F8 8B 08 FF 51 54 89 45 F4 8B 55 F4 8B 45 FC 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F3 00 74 1F 6A 00 6A 01 6A 0B 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 C3 E9 ?? ?? ?? ?? EB D3 83 7D F4 00 7D 4D 8B 45 FC 0F B6 80 EE 02 00 00 2C 02 73 3F 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 75 10 83 CA FF 8B 45 FC 8B 08 FF 91 FC 00 00 00 EB 1E 8B 45 FC 8B 80 B4 02 00 00 8B 55 F8 8B 08 FF 51 54 8B D0 8B 45 FC 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_77281_0 {
	meta:
		name = "TDBComboBox.GetComboText"
		size = 73
		refs = "0017 TControl.GetText 0030 @UStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 0F B6 83 EE 02 00 00 2C 02 73 0B 8B D7 8B C3 E8 ?? ?? ?? ?? EB 28 8B C3 8B 10 FF 92 F8 00 00 00 8B F0 85 F6 7D 09 8B C7 E8 ?? ?? ?? ?? EB 0F 8B CF 8B D6 8B 83 B4 02 00 00 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77282_0 {
	meta:
		name = "TDBComboBox.Change"
		size = 34
		refs = "000a TFieldDataLink.Edit 0011 TCustomComboBox.Change 001c TFieldDataLink.Modified"
	strings:
		$1 = { 53 8B D8 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77283_0 {
	meta:
		name = "TDBComboBox.Click"
		size = 34
		refs = "000a TFieldDataLink.Edit 0011 TCustomComboBox.Click 001c TFieldDataLink.Modified"
	strings:
		$1 = { 53 8B D8 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77285_0 {
	meta:
		name = "TDBComboBox.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 18 03 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_77286_0 {
	meta:
		name = "TDBComboBox.SetDataSource"
		size = 47
		refs = "001b TDataLink.SetDataSource 0028 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 18 03 00 00 80 78 19 00 74 06 F6 43 1C 01 75 07 8B D6 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77287_0 {
	meta:
		name = "TDBComboBox.GetDataField"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 18 03 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77288_0 {
	meta:
		name = "TDBComboBox.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 18 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77290_0 {
	meta:
		name = "TDBComboBox.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 18 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77289_0 {
	meta:
		name = "TDBComboBox.GetReadOnly"
		size = 11
	strings:
		$1 = { 8B 80 18 03 00 00 0F B6 40 14 C3 }
	condition:
		$1
}

rule function_77291_0 {
	meta:
		name = "TDBComboBox.GetField"
		size = 10
	strings:
		$1 = { 8B 80 18 03 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_77292_0 {
	meta:
		name = "TDBComboBox.KeyDown"
		size = 81
		refs = "0014 TCustomComboBox.KeyDown 0031 TFieldDataLink.Edit"
	strings:
		$1 = { 53 56 51 66 89 0C 24 8B DA 8B F0 8B D3 0F B7 0C 24 8B C6 E8 ?? ?? ?? ?? 0F B7 03 66 83 E8 08 74 09 83 C0 E8 66 2D E0 00 73 23 8B 86 18 03 00 00 E8 ?? ?? ?? ?? 84 C0 75 14 0F B7 03 66 83 E8 26 74 06 66 83 E8 02 75 05 66 C7 03 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_77293_0 {
	meta:
		name = "TDBComboBox.KeyPress"
		size = 153
		refs = "000b TCustomComboBox.KeyPress 003c MessageBeep 0071 TFieldDataLink.Edit 0088 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 66 83 3E 20 72 30 8B 83 18 03 00 00 83 78 1C 00 74 24 0F B7 16 8B 83 18 03 00 00 8B 40 1C 8B 08 FF 91 2C 01 00 00 84 C0 75 0C 6A 00 E8 ?? ?? ?? ?? 66 C7 06 00 00 0F B7 06 83 F8 18 7F 0E 74 1B 83 E8 08 74 16 83 E8 0E 74 11 EB 3B 83 E8 1B 74 21 83 C0 FB 2D E0 FF 00 00 73 2C 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 84 C0 75 1D 66 C7 06 00 00 5E 5B C3 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 1C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77295_0 {
	meta:
		name = "TDBComboBox.SetEditReadOnly"
		size = 62
		refs = "0011 TWinControl.HandleAllocated 0038 SendMessage"
	strings:
		$1 = { 53 8B D8 0F B6 83 EE 02 00 00 2C 02 73 2E 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 6A 00 8B 83 18 03 00 00 0F B6 40 28 34 01 83 E0 7F 50 68 CF 00 00 00 8B 83 B8 02 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77296_0 {
	meta:
		name = "TDBComboBox.WndProc"
		size = 181
		refs = "0046 TFieldDataLink.Edit 0063 TWinControl.GetHandle 0069 PostMessage 0094 TDBComboBox.DataChange 00a5 TPaintControl.DestroyHandle 00ae TCustomComboBox.WndProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 10 0F 85 99 00 00 00 8B 06 3D 11 01 00 00 7F 0F 74 1D 48 74 7C 83 E8 46 74 77 E9 81 00 00 00 2D 4F 01 00 00 74 41 2D BF AE 00 00 74 64 EB 71 66 83 7E 06 01 75 6A 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 84 C0 75 5B 80 BB EE 02 00 00 01 74 5B 6A 00 6A 00 68 4F 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 83 7E 04 00 74 0D 8B 83 18 03 00 00 E8 ?? ?? ?? ?? EB 26 8B 83 18 03 00 00 80 78 28 00 75 1A 8B D3 8B C3 E8 ?? ?? ?? ?? EB 0F 8B 83 1C 03 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77297_0 {
	meta:
		name = "TDBComboBox.ComboWndProc"
		size = 115
		refs = "0044 TFieldDataLink.Edit 0068 TCustomComboBox.ComboWndProc"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 F6 43 1C 10 75 4B 8B 06 2D 01 02 00 00 74 11 2D FF 00 00 00 74 2C 83 C0 FE 83 E8 03 72 24 EB 31 80 BB EE 02 00 00 01 75 28 3B BB B8 02 00 00 74 20 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 20 EB 0F 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_77298_0 {
	meta:
		name = "TDBComboBox.CMEnter"
		size = 48
		refs = "0006 TCustomComboBox.CMEnter 0011 TFieldDataLink.GetCanModify 002a SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 6A 00 68 CF 00 00 00 8B 83 B8 02 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77299_0 {
	meta:
		name = "TDBComboBox.CMExit"
		size = 103
		refs = "0010 TDBComboBox.CMExit 0024 TDataLink.UpdateRecord 0033 @HandleAnyException 004e @RaiseAgain 0053 @DoneExcept 005d TCustomComboBox.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 18 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 25 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 1C 01 00 00 8B 45 FC 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77300_0 {
	meta:
		name = "TDBComboBox.WMPaint"
		size = 464
		refs = "0016 TDBComboBox.WMPaint 003d TField.GetEditText 0047 @UStrClr 005c @UStrToPWChar 006c TPaintControl.GetHandle 0072 SendMessage 009e GetWindow 00b2 GetClientRect 00ca MapWindowPoints 00d7 GetWindowOrgEx 00f0 SetWindowOrgEx 010b IntersectClipRect 01a8 TCustomComboBox.WMPaint 01c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 5C 80 0F 84 79 01 00 00 8B 83 18 03 00 00 8B 78 1C 85 FF 74 0C 8D 55 FC 8B C7 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 80 BB EE 02 00 00 00 0F 85 CA 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 0C 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 46 04 50 6A 0F 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 05 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 00 01 00 00 8D 45 E4 50 57 E8 ?? ?? ?? ?? 6A 02 8D 45 E4 50 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 46 04 50 E8 ?? ?? ?? ?? 6A 00 8B 45 F8 2B 45 E8 50 8B 45 F4 2B 45 E4 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B 45 F0 2B 45 E8 50 8B 45 EC 2B 45 E4 50 6A 00 6A 00 8B 46 04 50 E8 ?? ?? ?? ?? 6A 00 8B 46 04 50 6A 0F 57 E8 ?? ?? ?? ?? E9 8A 00 00 00 6A 00 6A 00 68 4B 01 00 00 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 B4 02 00 00 8B 08 FF 51 54 40 74 3B 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 68 43 01 00 00 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 68 4E 01 00 00 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 46 04 50 6A 0F 8B 83 1C 03 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77301_0 {
	meta:
		name = "TDBComboBox.SetItems"
		size = 21
		refs = "0006 TCustomCombo.SetItems 000f TDBComboBox.DataChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77959_0 {
	meta:
		name = "TDBLookupCombo.Loaded"
		size = 21
		refs = "0006 TControl.Loaded 000f TDBLookupCombo.DataChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77962_0 {
	meta:
		name = "TDBLookupList.CreateWnd"
		size = 21
		refs = "0006 TCustomDBGrid.CreateWnd 000f TDBLookupList.DataChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78000_0 {
	meta:
		name = "TDBLookupList.Loaded"
		size = 21
		refs = "0006 TCustomDBGrid.Loaded 000f TDBLookupList.DataChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92907_0 {
	meta:
		name = "TTeeExportFormBase.CBNativeFormatClick"
		size = 21
		refs = "0006 TTeeExportFormBase.EnableButtons 000f TTeeExportFormBase.CBFileSizeClick"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77302_0 {
	meta:
		name = "TDBComboBox.SetStyle"
		size = 117
		refs = "000f TDBComboBox.SetStyle 0037 SNotReplicatable 003c LoadResString 0046 DatabaseError 004f TCustomComboBox.SetStyle 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 FB 01 75 2C 83 BE 18 03 00 00 00 74 23 8B 86 18 03 00 00 80 78 19 00 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77304_0 {
	meta:
		name = "TDBComboBox.CMGetDataLink"
		size = 10
	strings:
		$1 = { 8B 80 18 03 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_77305_0 {
	meta:
		name = "TDBComboBox.ExecuteAction"
		size = 59
		refs = "000d TComponent.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB 18 03 00 00 85 ED 74 11 8B D7 8B C5 66 BE FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77306_0 {
	meta:
		name = "TDBComboBox.UpdateAction"
		size = 59
		refs = "000d TComponent.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB 18 03 00 00 85 ED 74 11 8B D7 8B C5 66 BE FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77307_0 {
	meta:
		name = "TDBListBox.Create"
		size = 105
		refs = "000e @ClassCreate 001c TCustomListBox.Create 0023 _DV_TFieldDataLink 0028 TFieldDataLink.Create 003d TDBListBox.DataChange 0047 TDBListBox.UpdateData 0054 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F8 02 00 00 89 5E 24 89 5E 34 C7 46 30 ?? ?? ?? ?? 89 5E 44 C7 46 40 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77308_0 {
	meta:
		name = "TDBListBox.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0025 TCustomListBox.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 F8 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 F8 02 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77309_0 {
	meta:
		name = "TDBListBox.Notification"
		size = 58
		refs = "0010 TWinControl.Notification 0025 TDBListBox.GetDataSource 0032 TDBListBox.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF F8 02 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77311_0 {
	meta:
		name = "TDBListBox.DataChange"
		size = 121
		refs = "000d TDBListBox.DataChange 002a TField.GetEditText 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F8 02 00 00 8B 70 1C 85 F6 74 26 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 88 02 00 00 8B 08 FF 51 54 8B D0 8B C3 8B 08 FF 91 FC 00 00 00 EB 0D 83 CA FF 8B C3 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77312_0 {
	meta:
		name = "TDBListBox.UpdateData"
		size = 132
		refs = "000d TDBListBox.UpdateData 004c TField.SetEditText 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 F8 00 00 00 85 C0 7C 2D 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D FC 8B 83 88 02 00 00 8B 30 FF 56 0C 8B 55 FC 8B 83 F8 02 00 00 8B 40 1C E8 ?? ?? ?? ?? EB 10 8B 83 F8 02 00 00 8B 40 1C 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77313_0 {
	meta:
		name = "TDBListBox.Click"
		size = 38
		refs = "000a TFieldDataLink.Edit 0015 TControl.Click 0020 TFieldDataLink.Modified"
	strings:
		$1 = { 53 8B D8 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 12 8B C3 E8 ?? ?? ?? ?? 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77314_0 {
	meta:
		name = "TDBListBox.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 F8 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_77315_0 {
	meta:
		name = "TDBListBox.SetDataSource"
		size = 35
		refs = "000f TDataLink.SetDataSource 001c TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77316_0 {
	meta:
		name = "TDBListBox.GetDataField"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 F8 02 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77317_0 {
	meta:
		name = "TDBListBox.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 F8 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77319_0 {
	meta:
		name = "TDBListBox.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 F8 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77318_0 {
	meta:
		name = "TDBListBox.GetReadOnly"
		size = 11
	strings:
		$1 = { 8B 80 F8 02 00 00 0F B6 40 14 C3 }
	condition:
		$1
}

rule function_77320_0 {
	meta:
		name = "TDBListBox.GetField"
		size = 10
	strings:
		$1 = { 8B 80 F8 02 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_77321_0 {
	meta:
		name = "TDBListBox.KeyDown"
		size = 60
		refs = "0014 TCustomListBox.KeyDown 002b TFieldDataLink.Edit"
	strings:
		$1 = { 53 56 51 66 89 0C 24 8B F2 8B D8 8B D6 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? 0F B7 06 83 C0 DF 66 83 E8 08 73 14 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 05 66 C7 06 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_77322_0 {
	meta:
		name = "TDBListBox.KeyPress"
		size = 70
		refs = "000b TCustomListBox.KeyPress 0028 TFieldDataLink.Edit 003f TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B7 06 66 83 E8 1B 74 20 83 C0 FB 66 2D E0 FF 73 22 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 13 66 C7 06 00 00 5E 5B C3 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77323_0 {
	meta:
		name = "TDBListBox.WMLButtonDown"
		size = 80
		refs = "000d TFieldDataLink.Edit 001a TCustomListBox.WMLButtonDown 003a KeysToShiftState 0049 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 10 FF 92 F4 00 00 00 0F BF 46 08 50 0F BF 46 0A 50 0F B7 46 04 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C3 66 BE D5 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77324_0 {
	meta:
		name = "TDBListBox.CMExit"
		size = 92
		refs = "0010 TDBListBox.CMExit 0024 TDataLink.UpdateRecord 0033 @HandleAnyException 0043 @RaiseAgain 0048 @DoneExcept 0052 TCustomListBox.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F8 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77325_0 {
	meta:
		name = "TDBListBox.CMGetDataLink"
		size = 10
	strings:
		$1 = { 8B 80 F8 02 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_77326_0 {
	meta:
		name = "TDBListBox.SetItems"
		size = 31
		refs = "0018 TDBListBox.DataChange"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 88 02 00 00 8B 08 FF 51 08 8B D6 8B C6 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_77327_0 {
	meta:
		name = "TDBListBox.ExecuteAction"
		size = 59
		refs = "000d TComponent.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB F8 02 00 00 85 ED 74 11 8B D7 8B C5 66 BE FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77328_0 {
	meta:
		name = "TDBListBox.UpdateAction"
		size = 59
		refs = "000d TComponent.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB F8 02 00 00 85 ED 74 11 8B D7 8B C5 66 BE FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77329_0 {
	meta:
		name = "TDBRadioGroup.Create"
		size = 123
		refs = "000e @ClassCreate 001c TCustomRadioGroup.Create 0023 _DV_TFieldDataLink 0028 TFieldDataLink.Create 003d TDBRadioGroup.DataChange 0047 TDBRadioGroup.UpdateData 004e _Dn_TStringList 0053 TStringList.Create 0066 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 98 02 00 00 89 5E 24 89 5E 34 C7 46 30 ?? ?? ?? ?? 89 5E 44 C7 46 40 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A0 02 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77330_0 {
	meta:
		name = "TDBRadioGroup.Destroy"
		size = 66
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0030 TCustomRadioGroup.Destroy 003b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 98 02 00 00 8B 86 A0 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77331_0 {
	meta:
		name = "TDBRadioGroup.Notification"
		size = 58
		refs = "0010 TWinControl.Notification 0025 TDBRadioGroup.GetDataSource 0032 TDBRadioGroup.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 98 02 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77441_0 {
	meta:
		name = "TDBNavigator.Notification"
		size = 58
		refs = "0010 TWinControl.Notification 0025 TDBNavigator.GetDataSource 0032 TDBNavigator.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 98 02 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77333_0 {
	meta:
		name = "TDBRadioGroup.DataChange"
		size = 101
		refs = "000d TDBRadioGroup.DataChange 002a TField.GetEditText 0034 TDBRadioGroup.SetValue 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 98 02 00 00 8B 70 1C 85 F6 74 16 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77334_0 {
	meta:
		name = "TDBRadioGroup.UpdateData"
		size = 26
		refs = "0015 TField.SetEditText"
	strings:
		$1 = { 8B 90 98 02 00 00 8B 52 1C 85 D2 74 0C 8B 80 9C 02 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77335_0 {
	meta:
		name = "TDBNavigator.GetDataSource"
		size = 10
		altNames = "TDBRadioGroup.GetDataSource"
	strings:
		$1 = { 8B 80 98 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_77336_0 {
	meta:
		name = "TDBRadioGroup.SetDataSource"
		size = 35
		refs = "000f TDataLink.SetDataSource 001c TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77337_0 {
	meta:
		name = "TDBRadioGroup.GetDataField"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 98 02 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77338_0 {
	meta:
		name = "TDBRadioGroup.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 98 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93204_0 {
	meta:
		name = "TChartGalleryPanel.GetChart"
		size = 12
		refs = "0007 TChartList.GetChart"
	strings:
		$1 = { 8B 80 98 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78875_0 {
	meta:
		name = "TCustomFlowPanel.GetControlIndex"
		size = 12
		refs = "0007 TList.IndexOf"
	strings:
		$1 = { 8B 80 98 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77351_0 {
	meta:
		name = "TDBRadioGroup.CanModify"
		size = 12
		refs = "0007 TFieldDataLink.Edit"
	strings:
		$1 = { 8B 80 98 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77340_0 {
	meta:
		name = "TDBRadioGroup.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 98 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77339_0 {
	meta:
		name = "TDBRadioGroup.GetReadOnly"
		size = 11
	strings:
		$1 = { 8B 80 98 02 00 00 0F B6 40 14 C3 }
	condition:
		$1
}

rule function_77341_0 {
	meta:
		name = "TDBRadioGroup.GetField"
		size = 10
	strings:
		$1 = { 8B 80 98 02 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_77342_0 {
	meta:
		name = "TDBRadioGroup.GetButtonValue"
		size = 167
		refs = "0019 TDBRadioGroup.GetButtonValue 007f @UStrClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A0 02 00 00 8B 10 FF 52 14 3B F0 7D 28 8D 4D F8 8B D6 8B 83 A0 02 00 00 8B 38 FF 57 0C 83 7D F8 00 74 12 8B 4D FC 8B D6 8B 83 A0 02 00 00 8B 18 FF 53 0C EB 29 8B 83 84 02 00 00 8B 10 FF 52 14 3B F0 7D 12 8B 4D FC 8B D6 8B 83 84 02 00 00 8B 18 FF 53 0C EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77343_0 {
	meta:
		name = "TDBRadioGroup.SetValue"
		size = 336
		refs = "0018 TDBRadioGroup.SetValue 002f @UStrEqual 0065 TCustomRadioGroup.GetButtons 006e @CallDynaInst 00a3 TDBRadioGroup.GetButtonValue 00c2 TCustomRadioGroup.SetItemIndex 010a @HandleFinally 011c @UStrAsg 013d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 9C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 0F 84 F3 00 00 00 8B 45 FC C6 80 A4 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 88 02 00 00 83 FB FF 7E 17 8B D3 8B 45 FC E8 ?? ?? ?? ?? 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 F7 83 CF FF 8B 45 FC 8B 80 84 02 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 25 46 33 DB 8D 4D F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 75 04 8B FB EB 04 43 4E 75 DE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 80 7D F7 00 74 25 8B 45 FC 83 B8 88 02 00 00 FF 74 19 8B 45 FC 8B 90 88 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 92 F4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 A4 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 05 9C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 66 BE AE FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77344_0 {
	meta:
		name = "TDBRadioGroup.CMExit"
		size = 132
		refs = "0010 TDBRadioGroup.CMExit 0024 TDataLink.UpdateRecord 0033 @HandleAnyException 004a TWinControl.GetControl 006b @RaiseAgain 0070 @DoneExcept 007a TWinControl.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 42 E9 ?? ?? ?? ?? 8B 45 FC 8B 98 88 02 00 00 85 DB 7C 14 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 92 F4 00 00 00 EB 12 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77345_0 {
	meta:
		name = "TDBRadioGroup.CMGetDataLink"
		size = 10
	strings:
		$1 = { 8B 80 98 02 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_77346_0 {
	meta:
		name = "TDBRadioGroup.Click"
		size = 122
		refs = "000d TDBRadioGroup.Click 0023 TControl.Click 0039 TDBRadioGroup.GetButtonValue 0043 TDBRadioGroup.SetValue 0054 TFieldDataLink.Modified 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB A4 02 00 00 00 75 38 8B C3 E8 ?? ?? ?? ?? 8B B3 88 02 00 00 85 F6 7C 16 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 83 98 02 00 00 80 78 28 00 74 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77347_0 {
	meta:
		name = "TDBRadioGroup.SetItems"
		size = 31
		refs = "0018 TDBRadioGroup.DataChange"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 84 02 00 00 8B 08 FF 51 08 8B D6 8B C6 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_77348_0 {
	meta:
		name = "TDBRadioGroup.SetValues"
		size = 31
		refs = "0018 TDBRadioGroup.DataChange"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 A0 02 00 00 8B 08 FF 51 08 8B D6 8B C6 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_77349_0 {
	meta:
		name = "TCustomCombo.CloseUp"
		size = 29
		altNames = "TDBRadioGroup.Change"
	strings:
		$1 = { 53 66 83 B8 AA 02 00 00 00 74 10 8B D8 8B D0 8B 83 AC 02 00 00 FF 93 A8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_77350_0 {
	meta:
		name = "TDBRadioGroup.KeyPress"
		size = 64
		refs = "000b TWinControl.KeyPress 002b TFieldDataLink.Edit 0039 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B7 06 66 83 E8 08 74 0C 66 83 E8 13 74 14 66 83 E8 05 75 19 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77352_0 {
	meta:
		name = "TDBRadioGroup.ExecuteAction"
		size = 59
		refs = "000d TComponent.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB 98 02 00 00 85 ED 74 11 8B D7 8B C5 66 BE FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77353_0 {
	meta:
		name = "TDBRadioGroup.UpdateAction"
		size = 59
		refs = "000d TComponent.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB 98 02 00 00 85 ED 74 11 8B D7 8B C5 66 BE FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77355_0 {
	meta:
		name = "TDBMemo.Create"
		size = 196
		refs = "000e @ClassCreate 001c TCustomMemo.Create 0025 TCustomEdit.SetReadOnly 002e TDBMemo.Create 003f _DV_TFieldDataLink 0044 TFieldDataLink.Create 0059 TDBMemo.DataChange 0063 TDBMemo.EditingChange 006d TDBMemo.UpdateData 007b _DV_TPaintControl 0080 TPaintControl.Create 0093 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 C6 83 B4 02 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B0 02 00 00 89 5E 24 89 5E 34 C7 46 30 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 89 5E 44 C7 46 40 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B8 02 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 08 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 44 00 49 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_77356_0 {
	meta:
		name = "TDBMemo.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 001a TObject.Free 0038 TCustomMemo.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 B8 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 86 B0 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 B0 02 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77358_0 {
	meta:
		name = "TDBMemo.Notification"
		size = 58
		refs = "0010 TWinControl.Notification 0025 TDBMemo.GetDataSource 0032 TDBMemo.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF B0 02 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77360_0 {
	meta:
		name = "TDBMemo.KeyDown"
		size = 66
		refs = "0014 TCustomEdit.KeyDown 003a TFieldDataLink.Edit"
	strings:
		$1 = { 53 56 51 66 89 0C 24 8B F2 8B D8 8B D6 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? 80 BB B6 02 00 00 00 74 1D 66 83 3E 2E 74 0C 66 83 3E 2D 75 11 F6 04 24 01 74 0B 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_77361_0 {
	meta:
		name = "TDBMemo.KeyPress"
		size = 187
		refs = "000b TCustomMemo.KeyPress 0049 MessageBeep 0086 TFieldDataLink.Edit 009c TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB B6 02 00 00 00 0F 84 87 00 00 00 66 83 3E 20 72 30 8B 83 B0 02 00 00 83 78 1C 00 74 24 0F B7 16 8B 83 B0 02 00 00 8B 40 1C 8B 08 FF 91 2C 01 00 00 84 C0 75 0C 6A 00 E8 ?? ?? ?? ?? 66 C7 06 00 00 0F B7 06 83 F8 18 7F 16 74 23 83 C0 F8 83 E8 03 72 1B 83 E8 02 74 16 83 E8 09 74 11 EB 48 83 E8 1B 74 20 83 C0 FB 2D E0 FF 00 00 73 39 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 2A 66 C7 06 00 00 EB 23 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 66 83 3E 0D 75 0A 8B C3 8B 10 FF 92 24 01 00 00 66 C7 06 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77362_0 {
	meta:
		name = "TDBMemo.Change"
		size = 39
		refs = "0013 TFieldDataLink.Modified 0021 TCustomEdit.Change"
	strings:
		$1 = { 53 8B D8 80 BB B6 02 00 00 00 74 0B 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? C6 83 B6 02 00 00 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77363_0 {
	meta:
		name = "TDBMemo.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 B0 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_77364_0 {
	meta:
		name = "TDBMemo.SetDataSource"
		size = 47
		refs = "001b TDataLink.SetDataSource 0028 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 B0 02 00 00 80 78 19 00 74 06 F6 43 1C 01 75 07 8B D6 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77365_0 {
	meta:
		name = "TDBMemo.GetDataField"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 B0 02 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77366_0 {
	meta:
		name = "TDBMemo.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 B0 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77368_0 {
	meta:
		name = "TDBMemo.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 B0 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77367_0 {
	meta:
		name = "TDBMemo.GetReadOnly"
		size = 11
	strings:
		$1 = { 8B 80 B0 02 00 00 0F B6 40 14 C3 }
	condition:
		$1
}

rule function_77369_0 {
	meta:
		name = "TDBMemo.GetField"
		size = 10
	strings:
		$1 = { 8B 80 B0 02 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_77370_0 {
	meta:
		name = "TDBMemo.LoadMemo"
		size = 320
		refs = "0018 TDBMemo.LoadMemo 00ac @HandleOnException 00b4 _Dn_EInvalidOperation 00d7 Format 00ed @DoneExcept 00f8 TDBMemo.EditingChange 0112 @UStrArrayClr 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 B6 02 00 00 00 0F 85 CA 00 00 00 8B 45 FC 8B 80 B0 02 00 00 83 78 1C 00 0F 84 B7 00 00 00 8B 45 FC 8B 80 B0 02 00 00 8B 40 1C 8B 00 FF 90 28 01 00 00 84 C0 0F 84 9B 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 80 B0 02 00 00 8B 40 1C 8B 08 FF 91 80 00 00 00 8B 55 F8 8B 45 FC 8B 80 A8 02 00 00 8B 08 FF 51 2C 8B 45 FC C6 80 B6 02 00 00 01 33 C0 5A 59 59 64 89 10 EB 46 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 45 F4 50 8B 43 04 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 80 A8 02 00 00 8B 08 FF 51 2C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 28 00 25 00 73 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_77371_0 {
	meta:
		name = "TDBMemo.DataChange"
		size = 412
		refs = "0013 TDBMemo.DataChange 007f TField.GetDisplayLabel 0098 Format 00a2 TControl.SetText 00b2 TDBMemo.EditingChange 00c8 TFieldDataLink.GetCanModify 00dd TField.GetEditText 00fa TField.GetDisplayText 0136 TWinControl.HandleAllocated 014a TWinControl.GetHandle 0150 RedrawWindow 016a @UStrArrayClr 0172 @UStrClr 0178 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 B0 02 00 00 8B 70 1C 85 F6 0F 84 E3 00 00 00 8B 06 FF 90 28 01 00 00 84 C0 74 7E 80 BB B4 02 00 00 00 75 15 8B 83 B0 02 00 00 80 78 28 00 74 1F 80 BB B6 02 00 00 00 74 16 C6 83 B6 02 00 00 00 8B C3 8B 10 FF 92 24 01 00 00 E9 C5 00 00 00 8D 45 FC 50 8D 55 F0 8B 83 B0 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? C6 83 B6 02 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? EB 7B 80 BB B5 02 00 00 00 74 2C 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 1D 8D 55 EC 8B 83 B0 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? EB 1B 8D 55 E8 8B 83 B0 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? C6 83 B6 02 00 00 01 EB 22 F6 43 1C 10 74 0C 8B 53 08 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 B6 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 68 05 04 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 28 00 25 00 73 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_77372_0 {
	meta:
		name = "TDBMemo.EditingChange"
		size = 33
		refs = "001c TCustomEdit.SetReadOnly"
	strings:
		$1 = { 8B 90 B0 02 00 00 80 7A 28 00 74 0D 80 B8 B6 02 00 00 00 74 04 33 D2 EB 02 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77373_0 {
	meta:
		name = "TDBMemo.UpdateData"
		size = 82
		refs = "000c TDBMemo.UpdateData 001c TControl.GetText 002d TField.SetEditText 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 B0 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_77374_0 {
	meta:
		name = "TDBMemo.SetFocused"
		size = 57
		refs = "0032 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B D8 3A 93 B5 02 00 00 74 2A 88 93 B5 02 00 00 8B 83 B0 02 00 00 8B 70 1C 85 F6 74 0C 8B 06 FF 90 28 01 00 00 84 C0 75 0B 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77375_0 {
	meta:
		name = "TDBMemo.WndProc"
		size = 57
		refs = "0029 TPaintControl.DestroyHandle 0032 TWinControl.WndProc"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 03 83 F8 01 74 0C 83 F8 47 74 07 3D 0E B0 00 00 75 14 83 BE B8 02 00 00 00 74 0B 8B 86 B8 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77376_0 {
	meta:
		name = "TDBMemo.CMEnter"
		size = 51
		refs = "000b TDBMemo.SetFocused 0014 TCustomEdit.CMEnter 001f TFieldDataLink.GetCanModify 002c TCustomEdit.SetReadOnly"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77377_0 {
	meta:
		name = "TDBMemo.CMExit"
		size = 102
		refs = "0010 TDBMemo.CMExit 0024 TDataLink.UpdateRecord 0033 @HandleAnyException 0043 @RaiseAgain 0048 @DoneExcept 0052 TDBMemo.SetFocused 005c TCustomEdit.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B0 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77378_0 {
	meta:
		name = "TDBMemo.SetAutoDisplay"
		size = 27
	strings:
		$1 = { 3A 90 B4 02 00 00 74 12 88 90 B4 02 00 00 84 D2 74 08 8B 10 FF 92 24 01 00 00 C3 }
	condition:
		$1
}

rule function_77379_0 {
	meta:
		name = "TDBMemo.WMLButtonDblClk"
		size = 24
		refs = "0013 TControl.WMLButtonDblClk"
	strings:
		$1 = { 80 B8 B6 02 00 00 00 75 09 8B 10 FF 92 24 01 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77380_0 {
	meta:
		name = "TDBMemo.WMClear"
		size = 33
		refs = "000d TFieldDataLink.Edit"
		altNames = "TDBMemo.WMCut TDBMemo.WMPaste TDBMemo.WMUndo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_77384_0 {
	meta:
		name = "TDBMemo.CMGetDataLink"
		size = 10
	strings:
		$1 = { 8B 80 B0 02 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_77385_0 {
	meta:
		name = "TDBMemo.WMPaint"
		size = 340
		refs = "0015 TDBMemo.WMPaint 002a TWinControl.WMPaint 0072 AdjustLineBreaks 0089 TField.GetDisplayLabel 00a2 Format 00b5 TField.GetDisplayText 00bd @UStrToPWChar 00cd TPaintControl.GetHandle 00d3 SendMessage 011a @UStrClr 0127 @UStrArrayClr 012d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 5C 80 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 D6 00 00 00 8B 83 B0 02 00 00 8B 78 1C 85 FF 74 79 8B 07 FF 90 28 01 00 00 84 C0 74 5C 80 BB B4 02 00 00 00 74 23 8D 55 F8 8B 83 B0 02 00 00 8B 40 1C 8B 08 FF 91 80 00 00 00 8B 45 F8 8D 4D FC B2 01 E8 ?? ?? ?? ?? EB 41 8D 45 FC 50 8D 55 EC 8B 83 B0 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 8D 55 FC 8B 83 B0 02 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 0C 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 46 04 50 6A 14 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 46 04 50 6A 0F 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 28 00 25 00 73 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_77386_0 {
	meta:
		name = "TDBMemo.ExecuteAction"
		size = 59
		refs = "000d TComponent.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB B0 02 00 00 85 ED 74 11 8B D7 8B C5 66 BE FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77387_0 {
	meta:
		name = "TDBMemo.UpdateAction"
		size = 59
		refs = "000d TComponent.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB B0 02 00 00 85 ED 74 11 8B D7 8B C5 66 BE FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77388_0 {
	meta:
		name = "TDBImage.Create"
		size = 256
		refs = "000e @ClassCreate 001c TCustomControl.Create 0025 TDBImage.Create 002d NewStyleControls 004a TControl.SetWidth 0056 TControl.SetHeight 005f TWinControl.SetTabStop 0068 TControl.SetParentColor 006f _Dn_TPicture 0074 TPicture.Create 0086 TDBImage.PictureChanged 00a9 _DV_TFieldDataLink 00ae TFieldDataLink.Create 00c3 TDBImage.DataChange 00cd TDBImage.UpdateData 00e1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 A1 ?? ?? ?? ?? 80 38 00 75 0C 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 BA 69 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 69 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 84 02 00 00 89 5E 14 C7 46 10 ?? ?? ?? ?? C6 83 88 02 00 00 01 C6 83 89 02 00 00 01 C6 83 8B 02 00 00 01 C6 83 8D 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 80 02 00 00 89 5E 24 89 5E 34 C7 46 30 ?? ?? ?? ?? 89 5E 44 C7 46 40 ?? ?? ?? ?? C6 83 8E 02 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 40 08 02 00 10 00 00 00 }
	condition:
		$1
}

rule function_77389_0 {
	meta:
		name = "TDBImage.Destroy"
		size = 66
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0030 TCustomControl.Destroy 003b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 84 02 00 00 E8 ?? ?? ?? ?? 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 80 02 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77390_0 {
	meta:
		name = "TDBImage.DestRect"
		size = 292
		refs = "0010 TPicture.GetWidth 0019 TPicture.GetHeight 0022 TControl.GetClientWidth 002c TControl.GetClientHeight 0090 @TRUNC 0118 OffsetRect"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B E9 8B FA 8B D8 8B C7 E8 ?? ?? ?? ?? 8B F0 8B C7 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 80 BB 8A 02 00 00 00 75 1C 80 BB 8D 02 00 00 00 0F 84 99 00 00 00 3B 34 24 7F 0A 3B 7C 24 04 0F 8E 8A 00 00 00 80 BB 8D 02 00 00 00 74 7A 85 F6 7E 76 85 FF 7E 72 89 74 24 10 DB 44 24 10 89 7C 24 14 DB 44 24 14 DE F9 DD 5C 24 08 9B 3B FE 7D 2C 8B 34 24 DB 04 24 DC 74 24 08 E8 ?? ?? ?? ?? 8B F8 3B 7C 24 04 7E 47 8B 7C 24 04 DB 44 24 04 DC 4C 24 08 E8 ?? ?? ?? ?? 8B F0 EB 32 8B 7C 24 04 DB 44 24 04 DC 4C 24 08 E8 ?? ?? ?? ?? 8B F0 3B 34 24 7E 1A 8B 34 24 DB 04 24 DC 74 24 08 E8 ?? ?? ?? ?? 8B F8 EB 07 8B 34 24 8B 7C 24 04 33 C0 89 45 00 33 C0 89 45 04 89 75 08 89 7D 0C 80 BB 8B 02 00 00 00 74 20 8B 4C 24 04 2B CF D1 F9 79 03 83 D1 00 8B 14 24 2B D6 D1 FA 79 03 83 D2 00 8B C5 E8 ?? ?? ?? ?? 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77391_0 {
	meta:
		name = "TDBImage.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 80 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_77392_0 {
	meta:
		name = "TDBImage.SetDataSource"
		size = 47
		refs = "001b TDataLink.SetDataSource 0028 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 80 02 00 00 80 78 19 00 74 06 F6 43 1C 01 75 07 8B D6 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77393_0 {
	meta:
		name = "TDBImage.GetDataField"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 80 02 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77394_0 {
	meta:
		name = "TDBImage.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 80 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77396_0 {
	meta:
		name = "TDBImage.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 80 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82044_0 {
	meta:
		name = "TPanningWindow.SetPanInterval"
		size = 12
		refs = "0007 TTimer.SetInterval"
	strings:
		$1 = { 8B 80 80 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77395_0 {
	meta:
		name = "TDBImage.GetReadOnly"
		size = 11
	strings:
		$1 = { 8B 80 80 02 00 00 0F B6 40 14 C3 }
	condition:
		$1
}

rule function_77397_0 {
	meta:
		name = "TDBImage.GetField"
		size = 10
	strings:
		$1 = { 8B 80 80 02 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_77398_0 {
	meta:
		name = "TDBImage.GetPalette"
		size = 48
		refs = "0014 _Dn_TBitmap 0019 @IsClass"
	strings:
		$1 = { 53 56 57 8B D8 33 F6 8B 83 84 02 00 00 8B 78 0C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C7 8B 10 FF 52 28 8B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77399_0 {
	meta:
		name = "TDBImage.SetAutoDisplay"
		size = 24
		refs = "0013 TDBImage.LoadPicture"
	strings:
		$1 = { 3A 90 89 02 00 00 74 0F 88 90 89 02 00 00 84 D2 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77401_0 {
	meta:
		name = "TDBImage.SetCenter"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 8B 02 00 00 74 10 88 96 8B 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_77402_0 {
	meta:
		name = "TDBImage.SetPicture"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 84 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_77403_0 {
	meta:
		name = "TDBImage.SetProportional"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 8D 02 00 00 74 10 88 96 8D 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_77404_0 {
	meta:
		name = "TDBImage.SetStretch"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 8A 02 00 00 74 10 88 96 8A 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_77405_0 {
	meta:
		name = "TDBImage.Paint"
		size = 924
		refs = "0014 TDBImage.Paint 0033 TBrush.SetStyle 0038 TStyleManager.GetIsCustomStyleActive 0041 TStyleManager.GetActiveStyle 0048 TCustomStyleServices.GetStyleColor 0055 TBrush.SetColor 0088 _Dn_TPicture 008d TPicture.Create 00f3 _Dn_TBitmap 00f8 @IsClass 0104 TPicture.GetBitmap 0130 @CallDynaInst 0162 TCanvas.GetHandle 0168 SelectPalette 0179 RealizePalette 01b4 TDBImage.DestRect 01fe ExcludeClipRect 0224 SelectClipRgn 0253 TObject.Free 0259 @HandleFinally 0269 TCanvas.SetFont 0283 TField.GetDisplayLabel 0293 @UStrLAsg 02ad @UStrCatN 0300 GetParentForm 0330 TCustomStyleServices.GetSystemColor 0368 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 78 02 00 00 89 45 E4 8B 45 E4 8B 40 48 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B E8 ?? ?? ?? ?? B2 1D E8 ?? ?? ?? ?? 8B D0 8B 45 E4 8B 40 48 E8 ?? ?? ?? ?? EB 11 8B 45 F8 8B 50 74 8B 45 E4 8B 40 48 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 8C 02 00 00 00 75 0D 8B 45 F8 F6 40 5C 80 0F 84 DA 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 F6 40 5C 80 74 67 8B 45 F8 8B 80 80 02 00 00 83 78 1C 00 74 58 8B 45 F8 8B 80 80 02 00 00 8B 40 1C 8B 00 FF 90 28 01 00 00 84 C0 74 40 8B 45 F8 8B 80 80 02 00 00 8B 50 1C 8B 45 EC 8B 08 FF 51 08 8B 45 EC 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7D 8B 45 EC E8 ?? ?? ?? ?? 8B 55 F8 0F B6 92 8E 02 00 00 88 50 30 EB 66 8B 45 F8 8B 90 84 02 00 00 8B 45 EC 8B 08 FF 51 08 8B 45 F8 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 74 45 8B 45 EC 83 78 0C 00 74 3C 8B 45 EC 8B 40 0C 8B 10 FF 52 28 85 C0 74 2D 6A 00 8B 45 EC 8B 40 0C 8B 10 FF 52 28 50 8B 45 E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 EC 8B 58 0C 85 DB 74 0B 8B C3 8B 10 FF 52 20 84 C0 74 18 8D 55 C4 8B 45 F8 8B 08 FF 51 60 8D 55 C4 8B 45 E4 8B 08 FF 51 54 EB 7E 8D 4D D4 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC 8B 48 0C 8D 55 D4 8B 45 E4 8B 18 FF 93 88 00 00 00 8B 45 F8 80 B8 8A 02 00 00 00 74 0C 8B 45 F8 80 B8 8D 02 00 00 00 74 44 8B 45 E0 50 8B 45 DC 50 8B 45 D8 50 8B 45 D4 50 8B 45 E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 55 C4 8B 45 F8 8B 08 FF 51 60 8D 55 C4 8B 45 E4 8B 08 FF 51 54 6A 00 8B 45 E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 14 6A FF 8B 45 E8 50 8B 45 E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B 45 F8 8B 50 6C 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 80 02 00 00 8B 58 1C 85 DB 74 0C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 55 F8 8B 52 08 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 4D F0 8B 55 FC 8B 45 E4 8B 18 FF 93 8C 00 00 00 8D 55 D4 8B 45 F8 8B 08 FF 51 60 8B 45 E0 2B 45 F4 D1 F8 79 03 83 D0 00 50 8B 45 FC 50 8B 4D DC 2B 4D F0 D1 F9 79 03 83 D1 00 8D 55 D4 8B 45 E4 8B 18 FF 93 98 00 00 00 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 4F 8B 80 98 02 00 00 3B 45 F8 75 44 8B 45 F8 F6 40 1C 10 75 3B 8B 45 F8 F6 40 5C 80 75 32 E8 ?? ?? ?? ?? BA 06 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 45 E4 8B 40 48 E8 ?? ?? ?? ?? 8D 55 C4 8B 45 F8 8B 08 FF 51 60 8D 55 C4 8B 45 E4 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_77406_0 {
	meta:
		name = "TDBImage.PictureChanged"
		size = 42
		refs = "0013 TFieldDataLink.Modified"
	strings:
		$1 = { 56 8B F0 80 BE 8C 02 00 00 00 74 0B 8B 86 80 02 00 00 E8 ?? ?? ?? ?? C6 86 8C 02 00 00 01 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_77407_0 {
	meta:
		name = "TDBImage.Notification"
		size = 58
		refs = "0010 TWinControl.Notification 0025 TDBImage.GetDataSource 0032 TDBImage.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 80 02 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77408_0 {
	meta:
		name = "TDBImage.LoadPicture"
		size = 61
	strings:
		$1 = { 53 56 8B D8 80 BB 8C 02 00 00 00 75 2D 8B 83 80 02 00 00 8B 70 1C 85 F6 74 0C 8B 06 FF 90 28 01 00 00 84 C0 74 14 8B 83 80 02 00 00 8B 50 1C 8B 83 84 02 00 00 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_77409_0 {
	meta:
		name = "TDBImage.DataChange"
		size = 41
		refs = "000c TPicture.SetGraphic 0023 TDBImage.LoadPicture"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 84 02 00 00 E8 ?? ?? ?? ?? C6 83 8C 02 00 00 00 80 BB 89 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77410_0 {
	meta:
		name = "TDBImage.UpdateData"
		size = 69
		refs = "0011 _Dn_TBitmap 0016 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 83 84 02 00 00 8B 70 0C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B D6 8B 83 80 02 00 00 8B 40 1C 8B 08 FF 51 08 5E 5B C3 8B 83 80 02 00 00 8B 40 1C 8B 10 FF 92 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77411_0 {
	meta:
		name = "TDBImage.CopyToClipboard"
		size = 33
		refs = "0010 Clipboard"
	strings:
		$1 = { 53 8B D8 8B 83 84 02 00 00 83 78 0C 00 74 10 E8 ?? ?? ?? ?? 8B 93 84 02 00 00 8B 08 FF 51 08 5B C3 }
	condition:
		$1
}

rule function_77412_0 {
	meta:
		name = "TDBImage.CutToClipboard"
		size = 52
		refs = "0016 TFieldDataLink.Edit 0021 TDBImage.CopyToClipboard 002e TPicture.SetGraphic"
	strings:
		$1 = { 53 8B D8 8B 83 84 02 00 00 83 78 0C 00 74 23 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 14 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 84 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77413_0 {
	meta:
		name = "TDBImage.PasteFromClipboard"
		size = 63
		refs = "0004 Clipboard 000d TClipboard.HasFormat 001c TFieldDataLink.Edit 002b TPicture.GetBitmap"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 66 BA 02 00 E8 ?? ?? ?? ?? 84 C0 74 28 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 19 8B 83 84 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 51 08 5B C3 }
	condition:
		$1
}

rule function_77414_0 {
	meta:
		name = "TDBImage.CreateParams"
		size = 66
		refs = "000b TWinControl.CreateParams 0019 NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 88 02 00 00 01 75 23 A1 ?? ?? ?? ?? 80 38 00 74 12 80 BB F1 01 00 00 00 74 09 81 4E 08 00 02 00 00 EB 07 81 4E 04 00 00 80 00 83 66 24 FC 5E 5B C3 }
	condition:
		$1
}

rule function_77415_0 {
	meta:
		name = "TDBImage.KeyDown"
		size = 87
		refs = "0014 TWinControl.KeyDown 0031 TDBImage.PasteFromClipboard 0040 TDBImage.CopyToClipboard 004f TDBImage.CutToClipboard"
	strings:
		$1 = { 53 56 51 66 89 0C 24 8B F2 8B D8 8B D6 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? 0F B7 06 66 83 E8 2D 74 07 66 FF C8 74 20 EB 2B F6 04 24 01 74 09 8B C3 E8 ?? ?? ?? ?? EB 1C F6 04 24 04 74 16 8B C3 E8 ?? ?? ?? ?? EB 0D F6 04 24 01 74 07 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_77416_0 {
	meta:
		name = "TDBImage.KeyPress"
		size = 143
		refs = "000b TWinControl.KeyPress 001a TDBImage.KeyPress 005c TDBImage.CutToClipboard 0066 TDBImage.CopyToClipboard 0070 TDBImage.PasteFromClipboard 007a TDBImage.LoadPicture 0088 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B7 06 83 F8 1B 77 75 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 00 02 00 00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 00 03 00 01 00 00 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77417_0 {
	meta:
		name = "TDBImage.CMGetDataLink"
		size = 10
	strings:
		$1 = { 8B 80 80 02 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_77418_0 {
	meta:
		name = "TDBImage.CMEnter"
		size = 28
		refs = "0015 TWinControl.CMEnter"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 9C 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77419_0 {
	meta:
		name = "TDBImage.CMExit"
		size = 153
		refs = "0010 TDBImage.CMExit 001e TDBImage.GetDataSource 0056 TDataLink.UpdateRecord 0065 @HandleAnyException 0075 @RaiseAgain 007a @DoneExcept 008f TWinControl.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 34 8B 45 FC E8 ?? ?? ?? ?? 83 78 38 00 74 26 8B 45 FC E8 ?? ?? ?? ?? 8B 40 38 0F B6 80 A5 00 00 00 04 FE 2C 02 73 0E 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77420_0 {
	meta:
		name = "TDBImage.CMTextChanged"
		size = 31
		refs = "0006 TWinControl.CMTextChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 80 BE 8C 02 00 00 00 75 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_77421_0 {
	meta:
		name = "TDBImage.WMLButtonDown"
		size = 54
		refs = "0017 @CallDynaInst 002e TControl.WMLButtonDown"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 80 BB F0 01 00 00 00 74 19 8B C3 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 0A 8B C3 8B 10 FF 92 F4 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77427_0 {
	meta:
		name = "TDBImage.ExecuteAction"
		size = 59
		refs = "000d TComponent.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB 80 02 00 00 85 ED 74 11 8B D7 8B C5 66 BE FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77428_0 {
	meta:
		name = "TDBImage.UpdateAction"
		size = 59
		refs = "000d TComponent.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB 80 02 00 00 85 ED 74 11 8B D7 8B C5 66 BE FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77429_0 {
	meta:
		name = "TDBNavigator.Create"
		size = 296
		refs = "000e @ClassCreate 001c TCustomPanel.Create 0021 TDBNavigator.Create 0034 NewStyleControls 004e _DV_TNavDataLink 0053 TNavDataLink.Create 006e _Dn_TStringList 0073 TStringList.Create 0085 TDBNavigator.HintsChanged 008c TDBNavigator.InitButtons 0093 TDBNavigator.InitHints 009c TCustomPanel.SetBevelOuter 00a5 TCustomPanel.SetBevelInner 00b8 TDBNavigator.SetKind 00c4 TControl.SetWidth 00d0 TControl.SetHeight 0102 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 43 58 0B 05 ?? ?? ?? ?? 89 43 58 A1 ?? ?? ?? ?? 80 38 00 75 0C 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 98 02 00 00 0F B7 05 ?? ?? ?? ?? 66 89 83 9C 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A0 02 00 00 89 5E 44 C7 46 40 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? C7 83 CC 02 00 00 FF FF FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? BA F1 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 A8 02 00 00 33 C0 89 83 AC 02 00 00 C6 83 C8 02 00 00 00 C6 83 C9 02 00 00 01 C6 83 8D 02 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 21 00 20 00 40 00 00 00 10 00 00 00 FF 03 00 00 }
	condition:
		$1
}

rule function_77430_0 {
	meta:
		name = "TDBNavigator.CreateWnd"
		size = 131
		refs = "0009 TWinControl.CreateWnd 000e TStyleManager.GetActiveStyle 0025 TCustomStyleServices.GetIsSystemStyle 003f TSpeedButton.GetGlyph"
	strings:
		$1 = { 53 56 57 51 8B F0 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 75 04 B0 01 EB 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 04 24 33 DB 80 3C 24 00 74 26 0F B6 C3 8B 84 86 D4 02 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 20 84 C0 74 0E 8B D3 8B C6 8B 08 FF 91 FC 00 00 00 EB 1E 80 3C 24 00 75 18 0F B6 C3 8B 84 86 D4 02 00 00 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 38 FF 57 6C 43 80 FB 0C 75 B0 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77431_0 {
	meta:
		name = "TDBNavigator.Destroy"
		size = 77
		refs = "0003 @BeforeDestruction 0012 TObject.Free 003b TCustomControl.Destroy 0046 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 8B 86 A0 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 98 02 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77432_0 {
	meta:
		name = "TDBNavigator.Paint"
		size = 140
		refs = "0011 TStyleManager.GetActiveStyle 0028 TCustomStyleServices.GetIsSystemStyle 0042 TBrush.SetStyle 0051 TCustomStyleServices.GetSystemColor 005b TBrush.SetColor 0070 Rect 0082 TCustomPanel.Paint"
	strings:
		$1 = { 53 56 83 C4 F0 8B F0 80 BE CA 02 00 00 00 75 0C E8 ?? ?? ?? ?? 8B 10 FF 52 48 EB 02 33 C0 84 C0 74 0E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 EB 02 33 C0 84 C0 74 49 8B 9E 78 02 00 00 8B 43 48 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 43 48 E8 ?? ?? ?? ?? 8B 46 54 50 8D 44 24 04 50 8B 4E 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 51 54 EB 07 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_77433_0 {
	meta:
		name = "TDBNavigator.InitButtons"
		size = 348
		refs = "003f _DV_TNavButton 0044 TSpeedButton.Create 0054 TSpeedButton.SetFlat 0075 TControl.SetVisible 00c9 TDBNavigator.ClickHandler 00d9 TDBNavigator.BtnMouseDown 012a TDBNavigator.InitButtons"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F8 C7 44 24 08 14 00 00 00 C7 44 24 0C 12 00 00 00 8B 44 24 08 89 87 B0 02 00 00 8B 44 24 0C 89 87 B4 02 00 00 33 C0 89 04 24 33 C0 89 44 24 04 33 DB 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 0F B6 97 CA 02 00 00 8B C6 E8 ?? ?? ?? ?? 88 9E D8 01 00 00 8B C3 3C 0F 77 0B 83 E0 7F 66 0F A3 87 9C 02 00 00 0F 92 C2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 91 80 00 00 00 8B 87 B0 02 00 00 50 8B 87 B4 02 00 00 50 8B 4C 24 0C 8B 54 24 08 8B C6 8B 28 FF 95 A4 00 00 00 33 D2 8B C6 8B 08 FF 91 80 00 00 00 B2 01 8B C6 8B 08 FF 91 80 00 00 00 89 BE 1C 01 00 00 C7 86 18 01 00 00 ?? ?? ?? ?? 89 BE CC 00 00 00 C7 86 C8 00 00 00 ?? ?? ?? ?? 8B D7 8B C6 8B 08 FF 91 84 00 00 00 0F B6 C3 89 B4 87 D4 02 00 00 80 BF D0 02 00 00 00 75 0B 8B 87 B0 02 00 00 01 04 24 EB 0A 8B 87 B4 02 00 00 01 44 24 04 43 80 FB 0C 0F 85 1F FF FF FF 8B 9F D8 02 00 00 0F B6 83 D9 01 00 00 0A 05 ?? ?? ?? ?? 88 83 D9 01 00 00 8B 9F DC 02 00 00 0F B6 83 D9 01 00 00 0A 05 ?? ?? ?? ?? 88 83 D9 01 00 00 83 C4 10 5D 5F 5E 5B C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_77434_0 {
	meta:
		name = "TDBNavigator.InitHints"
		size = 290
		refs = "0014 TDBNavigator.InitHints 002a _Dn_TStringList 002f TStringList.Create 003c BtnHintId 0046 LoadResString 0085 @UStrAsg 010f @UStrArrayClr 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE A4 02 00 00 00 75 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A4 02 00 00 B3 0C BF ?? ?? ?? ?? 8D 55 F4 8B 07 E8 ?? ?? ?? ?? 8B 55 F4 8B 86 A4 02 00 00 8B 08 FF 51 38 83 C7 04 FE CB 75 E1 33 DB 8D 4D F0 0F B6 D3 8B 86 A4 02 00 00 8B 38 FF 57 0C 8B 55 F0 0F B6 C3 8B 84 86 D4 02 00 00 05 88 00 00 00 E8 ?? ?? ?? ?? 43 80 FB 0C 75 D2 33 DB 8B 86 A0 02 00 00 8B 10 FF 52 14 48 85 C0 7C 58 40 89 45 F8 C7 45 FC 00 00 00 00 8D 4D EC 8B 55 FC 8B 86 A0 02 00 00 8B 38 FF 57 0C 83 7D EC 00 74 28 8D 4D E8 8B 55 FC 8B 86 A0 02 00 00 8B 38 FF 57 0C 8B 55 E8 0F B6 C3 8B 84 86 D4 02 00 00 05 88 00 00 00 E8 ?? ?? ?? ?? 80 FB 0B 74 09 43 FF 45 FC FF 4D F8 75 B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77436_0 {
	meta:
		name = "TDBNavigator.SetFlat"
		size = 100
		refs = "002f TSpeedButton.SetFlat 0040 TDBNavigator.SetFlat"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 0F B6 86 CA 02 00 00 3A 04 24 74 45 0F B6 04 24 88 86 CA 02 00 00 33 DB 0F B6 C3 8B 84 86 D4 02 00 00 0F B6 14 24 E8 ?? ?? ?? ?? 43 80 FB 0C 75 E7 80 3C 24 00 74 0F A1 ?? ?? ?? ?? F7 D0 23 46 58 89 46 58 EB 0B A1 ?? ?? ?? ?? 0B 46 58 89 46 58 5A 5E 5B C3 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_77437_0 {
	meta:
		name = "TDBNavigator.SetHints"
		size = 132
		refs = "0011 TDBNavigator.SetHints 003c @UStrEqual 0072 @UStrArrayClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 1C 8B 45 FC 50 8D 55 F8 8B 86 A4 02 00 00 8B 08 FF 51 1C 8B 55 F8 58 E8 ?? ?? ?? ?? 75 0D 8B 86 A0 02 00 00 8B 10 FF 52 44 EB 0D 8B D7 8B 86 A0 02 00 00 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 59 59 5D C3 }
	condition:
		$1
}

rule function_77438_0 {
	meta:
		name = "TDBNavigator.GetHints"
		size = 52
	strings:
		$1 = { 53 8B D8 F6 43 1C 10 74 23 F6 43 1C 04 75 1D F6 43 1C 02 75 17 8B 83 A0 02 00 00 8B 10 FF 52 14 85 C0 75 08 8B 83 A4 02 00 00 5B C3 8B 83 A0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_77439_0 {
	meta:
		name = "TDBNavigator.SetKind"
		size = 61
	strings:
		$1 = { 53 56 8B F0 3A 96 D0 02 00 00 74 2E 88 96 D0 02 00 00 F6 46 1C 01 75 18 8B 46 54 50 8B 46 50 50 8B 4E 4C 8B 56 48 8B C6 8B 18 FF 93 A4 00 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77442_0 {
	meta:
		name = "TDBNavigator.SetVisible"
		size = 151
		refs = "0045 TControl.SetVisible 005a TDBNavigator.SetSize 0083 TWinControl.SetBounds"
	strings:
		$1 = { 53 56 83 C4 F4 66 89 14 24 8B F0 8B 46 50 89 44 24 04 8B 46 54 89 44 24 08 0F B7 04 24 66 89 86 9C 02 00 00 33 DB 8B C3 3C 0F 77 0B 83 E0 7F 66 0F A3 86 9C 02 00 00 0F 92 C2 0F B6 C3 8B 84 86 D4 02 00 00 E8 ?? ?? ?? ?? 43 80 FB 0C 75 D7 8D 4C 24 08 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 8B 44 24 04 3B 46 50 75 09 8B 44 24 08 3B 46 54 74 17 8B 44 24 04 50 8B 44 24 0C 50 8B 4E 4C 8B 56 48 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_77443_0 {
	meta:
		name = "TDBNavigator.CalcMinSize"
		size = 177
	strings:
		$1 = { 53 56 57 55 8B FA F6 40 1C 01 0F 85 9C 00 00 00 83 B8 D4 02 00 00 00 0F 84 8F 00 00 00 33 F6 33 D2 0F B6 DA 8B 9C 98 D4 02 00 00 80 7B 61 00 74 01 46 42 80 FA 0C 75 E9 85 F6 75 01 46 80 B8 D0 02 00 00 00 75 34 8B 17 8B EE 0F AF A8 B0 02 00 00 3B D5 7F 02 8B D5 89 17 8B 11 8B A8 B4 02 00 00 3B D5 7F 02 8B D5 89 11 80 78 65 00 75 3D 8B 07 99 F7 FE F7 EE 89 07 EB 32 8B 17 8B A8 B0 02 00 00 3B D5 7F 02 8B D5 89 17 8B 11 8B FE 0F AF B8 B4 02 00 00 3B D7 7F 02 8B D7 89 11 80 78 65 00 75 09 8B 01 99 F7 FE F7 EE 89 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77444_0 {
	meta:
		name = "TDBNavigator.SetSize"
		size = 487
		refs = "002d TDBNavigator.CalcMinSize"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 89 0C 24 8B EA 8B F0 F6 46 1C 01 0F 85 C7 01 00 00 83 BE D4 02 00 00 00 0F 84 BA 01 00 00 8B 0C 24 8B D5 8B C6 E8 ?? ?? ?? ?? 33 FF 33 DB 0F B6 C3 8B 84 86 D4 02 00 00 80 78 61 00 74 01 47 43 80 FB 0C 75 E9 85 FF 75 01 47 80 BE D0 02 00 00 00 75 3D 8B 45 00 99 F7 FF 89 86 A8 02 00 00 8B 04 24 8B 00 89 86 AC 02 00 00 8B C7 F7 AE A8 02 00 00 89 44 24 08 80 7E 65 00 75 07 8B 44 24 08 89 45 00 8B 45 00 2B 44 24 08 89 44 24 0C EB 3D 8B 45 00 89 86 A8 02 00 00 8B 04 24 8B 00 99 F7 FF 8B C8 89 8E AC 02 00 00 8B C7 F7 E9 89 44 24 08 80 7E 65 00 75 09 8B 04 24 8B 54 24 08 89 10 8B 04 24 8B 00 2B 44 24 08 89 44 24 0C 33 C0 89 44 24 10 33 C0 89 44 24 14 8B C7 D1 F8 79 03 83 D0 00 89 44 24 08 33 DB 0F B6 C3 8B 84 86 D4 02 00 00 80 78 61 00 0F 84 92 00 00 00 33 D2 89 54 24 04 83 7C 24 0C 00 74 1B 8B 54 24 0C 29 54 24 08 83 7C 24 08 00 7D 0C 01 7C 24 08 C7 44 24 04 01 00 00 00 80 BE D0 02 00 00 00 75 2F 8B 96 A8 02 00 00 03 54 24 04 52 8B 56 54 52 8B 4C 24 1C 8B 54 24 18 8B 28 FF 95 A4 00 00 00 8B 86 A8 02 00 00 03 44 24 04 01 44 24 10 EB 72 8B 96 A8 02 00 00 52 8B 96 AC 02 00 00 03 54 24 08 52 8B 4C 24 1C 8B 54 24 18 8B 28 FF 95 A4 00 00 00 8B 86 AC 02 00 00 03 44 24 04 01 44 24 14 EB 40 80 BE D0 02 00 00 00 75 1B 8B 96 A8 02 00 00 52 8B 56 54 52 8B 56 50 42 33 C9 8B 28 FF 95 A4 00 00 00 EB 1C 8B 96 A8 02 00 00 52 8B 96 AC 02 00 00 52 8B 4E 54 41 33 D2 8B 28 FF 95 A4 00 00 00 43 80 FB 0C 0F 85 10 FF FF FF 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77445_0 {
	meta:
		name = "TDBNavigator.SetBounds"
		size = 79
		refs = "001e TWinControl.HandleAllocated 002f TDBNavigator.SetSize 0042 TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 89 45 FC 8B 45 08 89 45 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_93487_0 {
	meta:
		name = "TCustomTeeNavigator.SetBounds"
		size = 79
		refs = "001e TWinControl.HandleAllocated 002f TCustomTeeNavigator.SetSize 0042 TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 89 45 FC 8B 45 08 89 45 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_77446_0 {
	meta:
		name = "TDBNavigator.WMSize"
		size = 43
		refs = "0009 TWinControl.WMSize 0023 TDBNavigator.SetSize"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 50 89 04 24 8B 43 54 89 44 24 04 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_77447_0 {
	meta:
		name = "TDBNavigator.WMWindowPosChanging"
		size = 40
		refs = "000b TWinControl.WMWindowPosChanging 0021 TDBNavigator.CalcMinSize"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 43 08 F6 40 18 01 75 0D 8D 48 14 8D 50 10 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77448_0 {
	meta:
		name = "TDBNavigator.ClickHandler"
		size = 24
	strings:
		$1 = { 56 8B F0 0F B6 82 D8 01 00 00 8B D0 8B C6 8B 08 FF 91 00 01 00 00 5E C3 }
	condition:
		$1
}

rule function_77449_0 {
	meta:
		name = "TDBNavigator.BtnMouseDown"
		size = 182
		refs = "0028 TWinControl.GetHandle 002f GetFocus 003e @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 0F B6 9F C8 02 00 00 0F B6 82 D8 01 00 00 88 87 C8 02 00 00 80 BF F0 01 00 00 00 74 3F 8B C7 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 74 2D 8B C7 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 1E 8B C7 8B 10 FF 92 F4 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 75 4D EB 4B 80 BF F0 01 00 00 00 74 42 8B C7 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 30 3A 9F C8 02 00 00 74 28 0F B6 C3 8B 84 87 D4 02 00 00 8B 10 FF 92 9C 00 00 00 0F B6 87 C8 02 00 00 8B 84 87 D4 02 00 00 8B 10 FF 92 9C 00 00 00 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_77450_0 {
	meta:
		name = "TDBNavigator.ApplyUpdates"
		size = 196
		refs = "0012 TDBNavigator.ApplyUpdates 001f TDBNavigator.GetDataSource 0036 @IntfClear 0043 Supports 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 43 8B C3 E8 ?? ?? ?? ?? 8B 40 38 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 1F 6A 00 8B 83 CC 02 00 00 89 45 F4 C6 45 F8 00 8D 4D F4 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 2D 0B 5C 28 23 C1 4A 44 9F D3 9C 6D 1D E3 76 2B B0 04 02 00 FF FF FF FF 0C 00 00 00 41 00 70 00 70 00 6C 00 79 00 55 00 70 00 64 00 61 00 74 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_77451_0 {
	meta:
		name = "TDBNavigator.CanApplyUpdates"
		size = 184
		refs = "000c TDBNavigator.CanApplyUpdates 0019 TDBNavigator.GetDataSource 0030 @IntfClear 003d Supports 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 38 8B C3 E8 ?? ?? ?? ?? 8B 40 38 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 14 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 0C A8 02 0F 95 C3 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 2D 0B 5C 28 23 C1 4A 44 9F D3 9C 6D 1D E3 76 2B B0 04 02 00 FF FF FF FF 0C 00 00 00 41 00 70 00 70 00 6C 00 79 00 55 00 70 00 64 00 61 00 74 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_77452_0 {
	meta:
		name = "TDBNavigator.CancelUpdates"
		size = 196
		refs = "0012 TDBNavigator.CancelUpdates 001f TDBNavigator.GetDataSource 0036 @IntfClear 0043 Supports 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 43 8B C3 E8 ?? ?? ?? ?? 8B 40 38 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 1F 6A 00 8B 83 CC 02 00 00 89 45 F4 C6 45 F8 00 8D 4D F4 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 2D 0B 5C 28 23 C1 4A 44 9F D3 9C 6D 1D E3 76 2B B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 61 00 6E 00 63 00 65 00 6C 00 55 00 70 00 64 00 61 00 74 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_77453_0 {
	meta:
		name = "TDBNavigator.CanCancelUpdates"
		size = 184
		refs = "000c TDBNavigator.CanCancelUpdates 0019 TDBNavigator.GetDataSource 0030 @IntfClear 003d Supports 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 38 8B C3 E8 ?? ?? ?? ?? 8B 40 38 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 14 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 0C A8 02 0F 95 C3 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 2D 0B 5C 28 23 C1 4A 44 9F D3 9C 6D 1D E3 76 2B B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 61 00 6E 00 63 00 65 00 6C 00 55 00 70 00 64 00 61 00 74 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_77454_0 {
	meta:
		name = "TDBNavigator.BtnClick"
		size = 452
		refs = "0016 TDBNavigator.BtnClick 0023 TDBNavigator.GetDataSource 00b3 TDataSet.Prior 00bf TDataSet.Next 00cb TDataSet.First 00d7 TDataSet.Last 00e3 TDataSet.Insert 00ef TDataSet.Edit 0113 TDataSet.Refresh 012a SDeleteRecordQuestion 012f LoadResString 0153 MessageDlgPosHelp 0164 TDataSet.Delete 016d TDBNavigator.ApplyUpdates 0176 TDBNavigator.CancelUpdates 01ad @UStrClr 01b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 57 33 C9 89 4D FC 88 55 FB 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 4B 01 00 00 8B C6 E8 ?? ?? ?? ?? 80 78 42 00 0F 84 3A 01 00 00 F6 46 1C 10 75 1C 66 83 BE C2 02 00 00 00 74 12 0F B6 4D FB 8B D6 8B 86 C4 02 00 00 FF 96 C0 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 78 38 0F B6 45 FB 83 F8 0B 0F 87 01 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? E9 BE 00 00 00 8B C7 E8 ?? ?? ?? ?? E9 B2 00 00 00 8B C7 E8 ?? ?? ?? ?? E9 A6 00 00 00 8B C7 E8 ?? ?? ?? ?? E9 9A 00 00 00 8B C7 E8 ?? ?? ?? ?? E9 8E 00 00 00 8B C7 E8 ?? ?? ?? ?? E9 82 00 00 00 8B C7 8B 10 FF 92 68 02 00 00 EB 76 8B C7 8B 10 FF 92 B0 02 00 00 EB 6A 8B C7 E8 ?? ?? ?? ?? EB 61 80 BE C9 02 00 00 00 75 04 B0 01 EB 37 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 03 0F B7 15 ?? ?? ?? ?? 66 89 55 F9 33 D2 52 6A FF 6A FF 6A 00 8B D0 0F B7 4D F9 8B 45 FC E8 ?? ?? ?? ?? 83 F8 02 0F 95 C0 84 C0 74 19 8B C7 E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? F6 46 1C 10 75 1C 66 83 BE BA 02 00 00 00 74 12 0F B6 4D FB 8B D6 8B 86 BC 02 00 00 FF 96 B8 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 59 59 5D C3 00 0C 00 00 00 }
	condition:
		$1
}

rule function_77455_0 {
	meta:
		name = "TDBNavigator.WMKillFocus"
		size = 23
		altNames = "TDBNavigator.WMSetFocus"
	strings:
		$1 = { 0F B6 90 C8 02 00 00 8B 84 90 D4 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_77457_0 {
	meta:
		name = "TDBNavigator.KeyDown"
		size = 274
		refs = "010a @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F0 0F B6 8E C8 02 00 00 8B C1 0F B7 12 66 83 EA 20 0F 84 C5 00 00 00 66 83 EA 05 74 6C 66 83 EA 02 0F 85 E3 00 00 00 3C 0B 0F 83 DB 00 00 00 8B D8 43 80 FB 0B 74 10 0F B6 D3 8B 94 96 D4 02 00 00 80 7A 61 00 74 EA 8B FB 83 E7 7F 8B 94 BE D4 02 00 00 80 7A 61 00 0F 84 AD 00 00 00 88 9E C8 02 00 00 83 E0 7F 8B 84 86 D4 02 00 00 8B 10 FF 92 9C 00 00 00 8B 84 BE D4 02 00 00 8B 10 FF 92 9C 00 00 00 E9 81 00 00 00 8B D9 84 DB 76 01 4B 84 DB 74 10 0F B6 D3 8B 94 96 D4 02 00 00 80 7A 61 00 74 E7 3A 9E C8 02 00 00 74 5E 88 9E C8 02 00 00 83 E0 7F 8B 84 86 D4 02 00 00 8B 10 FF 92 9C 00 00 00 0F B6 86 C8 02 00 00 8B 84 86 D4 02 00 00 8B 10 FF 92 9C 00 00 00 EB 2E 0F B6 86 C8 02 00 00 8B 84 86 D4 02 00 00 8B 10 FF 52 68 84 C0 74 17 0F B6 86 C8 02 00 00 8B 84 86 D4 02 00 00 66 BE EC FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77459_0 {
	meta:
		name = "TDBNavigator.DataChanged"
		size = 374
		refs = "0023 TDataLink.GetDataSet 0133 TDBNavigator.CanApplyUpdates 0156 TDBNavigator.CanCancelUpdates"
	strings:
		$1 = { 53 56 51 8B F0 8B C6 8B 10 FF 52 68 84 C0 74 23 8B 86 98 02 00 00 80 78 15 00 74 17 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 5C 01 00 00 84 C0 75 04 33 DB EB 02 B3 01 8B C6 8B 10 FF 52 68 84 C0 74 20 8B 86 98 02 00 00 80 78 15 00 74 14 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 80 B8 A8 00 00 00 00 74 04 33 C0 EB 02 B0 01 88 04 24 8B C6 8B 10 FF 52 68 84 C0 74 20 8B 86 98 02 00 00 80 78 15 00 74 14 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 80 B8 A9 00 00 00 00 74 04 33 C0 EB 02 B0 01 88 44 24 01 0F B6 14 24 8B 86 D4 02 00 00 8B 08 FF 91 80 00 00 00 0F B6 14 24 8B 86 D8 02 00 00 8B 08 FF 91 80 00 00 00 0F B6 54 24 01 8B 86 DC 02 00 00 8B 08 FF 91 80 00 00 00 0F B6 54 24 01 8B 86 E0 02 00 00 8B 08 FF 91 80 00 00 00 84 DB 74 28 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 80 B8 A8 00 00 00 00 74 18 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 80 B8 A9 00 00 00 00 74 04 33 D2 EB 02 B2 01 8B 86 E8 02 00 00 8B 08 FF 91 80 00 00 00 84 DB 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 D2 EB 02 B2 01 8B 86 FC 02 00 00 8B 08 FF 91 80 00 00 00 84 DB 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 D2 EB 02 B2 01 8B 86 00 03 00 00 8B 08 FF 91 80 00 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_77460_0 {
	meta:
		name = "TDBNavigator.EditingChanged"
		size = 269
		refs = "0022 TDataLink.GetDataSet 00cb TDBNavigator.CanApplyUpdates 00ee TDBNavigator.CanCancelUpdates"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 10 FF 52 68 84 C0 74 23 8B 86 98 02 00 00 80 78 15 00 74 17 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 5C 01 00 00 84 C0 75 04 33 DB EB 02 B3 01 8B D3 8B 86 E4 02 00 00 8B 08 FF 91 80 00 00 00 84 DB 74 0C 8B 86 98 02 00 00 80 78 17 00 74 04 33 D2 EB 02 B2 01 8B 86 EC 02 00 00 8B 08 FF 91 80 00 00 00 84 DB 74 0C 8B 86 98 02 00 00 80 78 17 00 75 04 33 D2 EB 02 B2 01 8B 86 F0 02 00 00 8B 08 FF 91 80 00 00 00 84 DB 74 0C 8B 86 98 02 00 00 80 78 17 00 75 04 33 D2 EB 02 B2 01 8B 86 F4 02 00 00 8B 08 FF 91 80 00 00 00 8B D3 8B 86 F8 02 00 00 8B 08 FF 91 80 00 00 00 84 DB 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 D2 EB 02 B2 01 8B 86 FC 02 00 00 8B 08 FF 91 80 00 00 00 84 DB 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 D2 EB 02 B2 01 8B 86 00 03 00 00 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77461_0 {
	meta:
		name = "TDBNavigator.ActiveChanged"
		size = 75
		refs = "003d TDBNavigator.DataChanged 0044 TDBNavigator.EditingChanged"
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 10 FF 52 68 84 C0 74 0C 8B 86 98 02 00 00 80 78 15 00 75 1F 33 DB 0F B6 C3 8B 84 86 D4 02 00 00 33 D2 8B 08 FF 91 80 00 00 00 43 80 FB 0C 75 E6 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77463_0 {
	meta:
		name = "TDBNavigator.SetDataSource"
		size = 48
		refs = "000f TDataLink.SetDataSource 001c TDBNavigator.ActiveChanged 0029 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 98 02 00 00 E8 ?? ?? ?? ?? F6 43 1C 01 75 07 8B C3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77465_0 {
	meta:
		name = "TDBNavigator.SetButtonGlyph"
		size = 176
		refs = "0016 TDBNavigator.SetButtonGlyph 002a BtnTypeName 0041 FmtStr 004d TSpeedButton.GetGlyph 0056 HInstance 005b TBitmap.LoadFromResourceName 0069 TSpeedButton.SetNumGlyphs 007e @UStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B FB 83 E7 7F 8B 04 BD ?? ?? ?? ?? 89 45 F4 C6 45 F8 0A 8D 4D F4 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 84 BE D4 02 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 84 BE D4 02 00 00 B2 02 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 62 00 6E 00 5F 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_77466_0 {
	meta:
		name = "TDBNavigator.Loaded"
		size = 96
		refs = "0009 TControl.Loaded 0023 TDBNavigator.SetSize 004a TWinControl.SetBounds 0051 TDBNavigator.InitHints 0058 TDBNavigator.ActiveChanged"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 50 89 04 24 8B 43 54 89 44 24 04 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 3B 43 50 75 09 8B 44 24 04 3B 43 54 74 16 8B 04 24 50 8B 44 24 08 50 8B 4B 4C 8B 53 48 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_77467_0 {
	meta:
		name = "TNavButton.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 0016 TObject.Free 0021 TSpeedButton.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 DC 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77468_0 {
	meta:
		name = "TNavButton.MouseDown"
		size = 120
		refs = "001a TSpeedButton.MouseDown 0035 _Dn_TTimer 003a TTimer.Create 0046 TNavButton.TimerExpired 0051 TTimer.SetOnTimer 0061 TTimer.SetInterval 006e TTimer.SetEnabled"
	strings:
		$1 = { 55 8B EC 51 53 66 89 4D FE 8B D8 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? F6 83 D9 01 00 00 01 74 4B 83 BB DC 01 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 DC 01 00 00 53 68 ?? ?? ?? ?? 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? BA 90 01 00 00 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_77469_0 {
	meta:
		name = "TNavButton.MouseUp"
		size = 53
		refs = "001a TSpeedButton.MouseUp 002b TTimer.SetEnabled"
		altNames = "TTeeNavButton.MouseUp"
	strings:
		$1 = { 55 8B EC 51 53 66 89 4D FE 8B D8 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? 8B 83 DC 01 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_77470_0 {
	meta:
		name = "TNavButton.TimerExpired"
		size = 126
		refs = "0019 TTimer.SetInterval 002d TControl.GetMouseCapture 0039 TNavButton.TimerExpired 004b @CallDynaInst 005a @HandleAnyException 006a TTimer.SetEnabled 006f @RaiseAgain 0074 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 80 DC 01 00 00 BA 64 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 D2 01 00 00 02 75 4F 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 43 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BE EC FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 FC 8B 80 DC 01 00 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93510_0 {
	meta:
		name = "TTeeNavButton.TimerExpired"
		size = 126
		refs = "0019 TTimer.SetInterval 002d TControl.GetMouseCapture 0039 TTeeNavButton.TimerExpired 004b @CallDynaInst 005a @HandleAnyException 006a TTimer.SetEnabled 006f @RaiseAgain 0074 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 80 DC 01 00 00 BA 64 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 D2 01 00 00 02 75 4F 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 43 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BE EC FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 FC 8B 80 DC 01 00 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77471_0 {
	meta:
		name = "TNavButton.Paint"
		size = 372
		refs = "000a TSpeedButton.Paint 000f TStyleManager.GetActiveStyle 0026 TCustomStyleServices.GetIsSystemStyle 0047 DisabledButtons 0064 PressedButtons 007d HotButtons 008d NormalButtons 00a2 Bounds 00c5 TCanvas.GetHandle 00d2 TCustomStyleServices.DrawElement 00da TWinControl.GetHandle 00e1 GetFocus 0121 InflateRect 013b OffsetRect 014b TBrush.SetStyle 0158 TFont.SetColor 016a DrawFocusRect"
	strings:
		$1 = { 53 56 83 C4 E4 8B F0 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 0F 84 B6 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 A4 00 00 00 8B C6 8B 10 FF 52 68 84 C0 75 10 0F B6 86 D8 01 00 00 0F B6 98 ?? ?? ?? ?? EB 44 0F B6 86 D2 01 00 00 04 FE 2C 02 73 10 0F B6 86 D8 01 00 00 0F B6 98 ?? ?? ?? ?? EB 27 80 BE D1 01 00 00 00 74 10 0F B6 86 D8 01 00 00 0F B6 98 ?? ?? ?? ?? EB 0E 0F B6 86 D8 01 00 00 0F B6 98 ?? ?? ?? ?? 8B 46 54 50 8D 44 24 04 50 8B 4E 50 33 D2 33 C0 E8 ?? ?? ?? ?? 54 6A 00 E8 ?? ?? ?? ?? 8B D3 8D 4C 24 18 8B 18 FF 53 74 8D 44 24 18 50 8B 86 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 0F 85 81 00 00 00 8B 46 38 0F B6 80 C8 02 00 00 3A 86 D8 01 00 00 75 6F 8B 46 54 50 8D 44 24 04 50 8B 4E 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8B C4 B9 FD FF FF FF BA FD FF FF FF E8 ?? ?? ?? ?? 80 BE D2 01 00 00 02 75 11 8B C4 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 86 B0 01 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? BA 10 00 00 FF 8B 46 6C E8 ?? ?? ?? ?? 54 8B 86 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 1C 5E 5B C3 }
	condition:
		$1
}

rule function_77473_0 {
	meta:
		name = "TNavDataLink.Destroy"
		size = 41
		refs = "0003 @BeforeDestruction 0017 TDataLink.Destroy 0022 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 1C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77474_0 {
	meta:
		name = "TNavDataLink.EditingChanged"
		size = 15
		refs = "000a TDBNavigator.EditingChanged"
	strings:
		$1 = { 8B 50 1C 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77476_0 {
	meta:
		name = "TNavDataLink.ActiveChanged"
		size = 15
		refs = "000a TDBNavigator.ActiveChanged"
	strings:
		$1 = { 8B 50 1C 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77475_0 {
	meta:
		name = "TNavDataLink.DataSetChanged"
		size = 15
		refs = "000a TDBNavigator.DataChanged"
	strings:
		$1 = { 8B 50 1C 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77478_0 {
	meta:
		name = "TDataSourceLink.ActiveChanged"
		size = 20
		altNames = "TDataSourceLink.LayoutChanged"
	strings:
		$1 = { 56 8B 70 1C 85 F6 74 0A 8B C6 8B 10 FF 92 1C 01 00 00 5E C3 }
	condition:
		$1
}

rule function_77479_0 {
	meta:
		name = "TDataSourceLink.FocusControl"
		size = 67
		refs = "0027 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B 2F 85 ED 74 30 8B 43 1C 3B A8 9C 02 00 00 75 25 83 7B 1C 00 74 1F 8B 43 1C 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 0F 33 C0 89 07 8B 43 1C 8B 10 FF 92 F4 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77481_0 {
	meta:
		name = "TDataSourceLink.RecordChanged"
		size = 15
		refs = "000a TDBLookupControl.DataLinkRecordChanged"
	strings:
		$1 = { 8B 48 1C 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77483_0 {
	meta:
		name = "TListSourceLink.ActiveChanged"
		size = 20
		altNames = "TListSourceLink.LayoutChanged"
	strings:
		$1 = { 56 8B 70 1C 85 F6 74 0A 8B C6 8B 10 FF 92 20 01 00 00 5E C3 }
	condition:
		$1
}

rule function_77484_0 {
	meta:
		name = "TListSourceLink.DataSetChanged"
		size = 20
	strings:
		$1 = { 56 8B 70 1C 85 F6 74 0A 8B C6 8B 10 FF 92 0C 01 00 00 5E C3 }
	condition:
		$1
}

rule function_77486_0 {
	meta:
		name = "VarEquals"
		size = 72
		refs = "0013 VarEquals 0022 @VarCmpEQ 0035 @HandleAnyException 003a @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 C6 45 FF 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B D6 E8 ?? ?? ?? ?? 0F 94 45 FF 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77487_0 {
	meta:
		name = "TDBLookupControl.Create"
		size = 276
		refs = "0017 @ClassCreate 0024 TDBLookupControl.Create 0033 TCustomControl.Create 0038 NewStyleControls 0058 TControl.SetParentColor 0061 TWinControl.SetTabStop 006a _Dn_TDataSource 006f TDataSource.Create 007c _DV_TDataSourceLink 0081 TDataSourceLink.Create 0093 _DV_TListSourceLink 0098 TListSourceLink.Create 00aa _Dn_TList 00af TObject.Create 00bd Null 00cb @VarCopy 00e0 @VarClr 00e6 @HandleFinally 00f5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 0A A1 ?? ?? ?? ?? 89 43 58 EB 08 A1 ?? ?? ?? ?? 89 43 58 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 80 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 84 02 00 00 89 5E 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 88 02 00 00 89 5E 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 AC 02 00 00 8D 45 EC E8 ?? ?? ?? ?? 8D 55 EC 8D 83 B0 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C3 00 40 00 02 00 50 00 02 00 }
	condition:
		$1
}

rule function_77488_0 {
	meta:
		name = "TDBLookupControl.Destroy"
		size = 123
		refs = "0003 @BeforeDestruction 0012 TCustomControl.Destroy 001d TObject.Free 0074 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 AC 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 AC 02 00 00 8B 86 88 02 00 00 85 C0 74 05 33 D2 89 50 1C 8B 86 88 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 88 02 00 00 8B 86 84 02 00 00 85 C0 74 05 33 D2 89 50 1C 8B 86 84 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 84 02 00 00 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77489_0 {
	meta:
		name = "TDBLookupControl.CanModify"
		size = 70
		refs = "0010 TDBLookupControl.GetReadOnly"
	strings:
		$1 = { 53 56 8B D8 80 BB C5 02 00 00 00 74 2F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 24 8B 83 84 02 00 00 83 78 04 00 74 1D 8B B3 A0 02 00 00 85 F6 74 0E 8B C6 8B 10 FF 92 94 00 00 00 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_77490_0 {
	meta:
		name = "TDBLookupControl.CheckNotCircular"
		size = 117
		refs = "000d TDBLookupControl.CheckNotCircular 0026 TDBLookupControl.GetDataSource 002e TDataLink.GetDataSet 0034 TDataSet.IsLinkedTo 0040 SCircularDataLink 0045 LoadResString 004f DatabaseError 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 88 02 00 00 80 7E 15 00 74 30 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77491_0 {
	meta:
		name = "TDBLookupControl.CheckNotLookup"
		size = 130
		refs = "000e TDBLookupControl.CheckNotLookup 0025 SPropDefByLookup 002a LoadResString 0034 DatabaseError 0048 SDataSourceFixed 0071 @UStrArrayClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB C4 02 00 00 00 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 83 84 02 00 00 80 78 19 00 74 17 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77492_0 {
	meta:
		name = "TDBLookupControl.UpdateDataFields"
		size = 168
		refs = "002c TDBLookupControl.CheckNotCircular 0037 TDataLink.GetDataSet 0044 GetFieldProperty 0098 TDBLookupControl.SetLookupMode 00a1 TDBLookupControl.DataLinkRecordChanged"
	strings:
		$1 = { 53 56 8B D8 33 C0 89 83 9C 02 00 00 33 C0 89 83 A0 02 00 00 8B 83 84 02 00 00 80 78 15 00 74 5F 83 BB 8C 02 00 00 00 74 56 8B C3 E8 ?? ?? ?? ?? 8B 83 84 02 00 00 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 89 B3 9C 02 00 00 80 7E 4A 02 75 23 8B 83 84 02 00 00 E8 ?? ?? ?? ?? 8B 93 9C 02 00 00 8B 4A 70 8B D3 E8 ?? ?? ?? ?? 89 83 A0 02 00 00 EB 06 89 B3 A0 02 00 00 8B 83 9C 02 00 00 85 C0 74 06 80 78 4A 02 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77493_0 {
	meta:
		name = "TDBLookupControl.DataLinkRecordChanged"
		size = 142
		refs = "0015 TDBLookupControl.DataLinkRecordChanged 0048 TDBLookupControl.SetKeyValue 0052 Null 0072 Variant 007c @FinalizeArray 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 D2 74 08 3B 93 A0 02 00 00 75 35 8B B3 A0 02 00 00 85 F6 74 19 8D 55 F0 8B C6 8B 08 FF 91 90 00 00 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? EB 12 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77494_0 {
	meta:
		name = "TDBLookupControl.GetBorderSize"
		size = 89
		refs = "0026 SetRect 003f AdjustWindowRectEx"
	strings:
		$1 = { 56 81 C4 24 FF FF FF 8B F0 8B D4 8B C6 8B 08 FF 91 B8 00 00 00 6A 00 6A 00 6A 00 6A 00 8D 84 24 DC 00 00 00 50 E8 ?? ?? ?? ?? 8B 44 24 08 50 6A 00 8B 44 24 0C 50 8D 84 24 D8 00 00 00 50 E8 ?? ?? ?? ?? 8B 84 24 D8 00 00 00 2B 84 24 D0 00 00 00 81 C4 DC 00 00 00 5E C3 }
	condition:
		$1
}

rule function_77495_0 {
	meta:
		name = "TDBLookupControl.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 84 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_77496_0 {
	meta:
		name = "TDBLookupControl.GetKeyFieldName"
		size = 41
		refs = "0012 @UStrClr 0022 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB C4 02 00 00 00 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 90 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77497_0 {
	meta:
		name = "TDBLookupControl.GetListSource"
		size = 22
	strings:
		$1 = { 80 B8 C4 02 00 00 00 74 03 33 C0 C3 8B 80 88 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_77498_0 {
	meta:
		name = "TDBLookupControl.GetReadOnly"
		size = 11
	strings:
		$1 = { 8B 80 84 02 00 00 0F B6 40 14 C3 }
	condition:
		$1
}

rule function_77499_0 {
	meta:
		name = "TDBLookupControl.GetTextHeight"
		size = 64
		refs = "000a GetDC 0014 TFont.GetHandle 001b SelectObject 0024 GetTextMetrics 0033 ReleaseDC"
	strings:
		$1 = { 53 56 83 C4 C4 8B F0 6A 00 E8 ?? ?? ?? ?? 8B D8 8B 46 6C E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B F0 54 53 E8 ?? ?? ?? ?? 56 53 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 8B 04 24 83 C4 3C 5E 5B C3 }
	condition:
		$1
}

rule function_77501_0 {
	meta:
		name = "TDBLookupControl.UpdateListFields"
		size = 528
		refs = "0015 TDBLookupControl.UpdateListFields 0074 TDBLookupControl.CheckNotCircular 0082 TDataLink.GetDataSet 0099 GetFieldProperty 00ca TDataSet.GetFieldList 00d9 @HandleAnyException 00e3 SFieldNotFound 00e8 LoadResString 0117 DatabaseErrorFmt 011c @DoneExcept 0151 TList.IndexOf 0167 TList.Insert 018f TList.Add 01ba TList.Get 01fd @UStrClr 0203 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 C5 02 00 00 00 8B 45 FC 33 D2 89 90 A4 02 00 00 8B 45 FC 33 D2 89 90 A8 02 00 00 8B 45 FC 8B 80 AC 02 00 00 8B 10 FF 52 08 8B 45 FC 8B 80 88 02 00 00 80 78 15 00 0F 84 8C 01 00 00 8B 45 FC 83 B8 90 02 00 00 00 0F 84 7C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 88 90 02 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 89 82 A4 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 88 94 02 00 00 8B 45 FC 8B 90 AC 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 48 E9 ?? ?? ?? ?? 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 8B 40 08 89 45 E4 C6 45 E8 11 8B 45 FC 8B 80 94 02 00 00 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 C4 02 00 00 00 74 4A 8B 45 FC 8B 80 9C 02 00 00 8B 48 78 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 80 AC 02 00 00 8B D3 E8 ?? ?? ?? ?? 85 C0 7D 12 8B 45 FC 8B 80 AC 02 00 00 8B CB 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 89 98 A8 02 00 00 EB 6C 8B 45 FC 8B 80 AC 02 00 00 83 78 08 00 75 0E 8B 55 FC 8B 92 A4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 98 02 00 00 85 DB 7C 29 8B 45 FC 8B 80 AC 02 00 00 3B 58 08 7D 1B 8B D3 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 89 82 A8 02 00 00 EB 19 8B 45 FC 8B 80 AC 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 89 82 A8 02 00 00 8B 45 FC C6 80 C5 02 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77503_0 {
	meta:
		name = "TDBLookupControl.LocateKey"
		size = 296
		refs = "0015 TDBLookupControl.LocateKey 0055 @VarCopy 0062 VarIsNull 0074 TDataLink.GetDataSet 0079 TDataSet.GetActive 00d4 @HandleAnyException 00d9 @DoneExcept 00f5 @HandleFinally 010c @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EB 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC FF 80 C8 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B 55 EC 81 C2 B0 02 00 00 E8 ?? ?? ?? ?? 8B 45 EC 05 B0 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 5F 8B 45 EC 8B 80 88 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 48 0F B6 05 ?? ?? ?? ?? 50 8B 45 EC 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8D 8A B0 02 00 00 8B 55 EC 8B 92 90 02 00 00 8B 18 FF 93 A4 02 00 00 84 C0 74 14 C6 45 EB 01 8B 45 EC 05 B0 02 00 00 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC FF 88 C8 02 00 00 C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 EB 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_77504_0 {
	meta:
		name = "TDBLookupControl.Notification"
		size = 87
		refs = "0010 TWinControl.Notification 0025 TDBLookupControl.GetDataSource 0032 TDBLookupControl.SetDataSource 0042 TDBLookupControl.GetListSource 004f TDBLookupControl.SetListSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 3A 83 BF 84 02 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 83 BF 88 02 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77505_0 {
	meta:
		name = "TDBLookupControl.ProcessSearchKey"
		size = 480
		refs = "001c TDBLookupControl.ProcessSearchKey 007d @UStrClr 009a GetTickCount 00a4 SearchTickCount 00e3 @UStrFromWChar 00f7 @UStrCat3 011b TDataLink.GetDataSet 0127 @VarFromUStr 0175 @UStrAsg 0184 @HandleAnyException 0199 @DoneExcept 01af Variant 01b9 @FinalizeArray 01cf @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 A8 02 00 00 85 C0 0F 84 66 01 00 00 0F B6 50 4A 84 D2 74 09 80 EA 03 0F 85 55 01 00 00 0F B6 40 48 2C 01 74 08 2C 17 0F 85 45 01 00 00 8B C3 66 83 E8 08 74 14 66 83 E8 13 74 0E 83 C0 FB 66 2D E0 FF 72 17 E9 29 01 00 00 8B 45 F8 05 C0 02 00 00 E8 ?? ?? ?? ?? E9 17 01 00 00 8B 45 F8 8B 10 FF 92 FC 00 00 00 84 C0 0F 84 04 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 2B 05 ?? ?? ?? ?? 3D D0 07 00 00 7E 0D 8B 45 F8 05 C0 02 00 00 E8 ?? ?? ?? ?? 89 35 ?? ?? ?? ?? 8B 45 F8 8B 80 C0 02 00 00 85 C0 74 05 83 E8 04 8B 00 83 F8 20 0F 8D C0 00 00 00 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 4D F4 8B 45 F8 8B 90 C0 02 00 00 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8B 45 F8 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 50 8D 45 E4 8B 55 FC E8 ?? ?? ?? ?? 8D 4D E4 8B 45 F8 8B 80 A8 02 00 00 8B 50 40 58 8B 18 FF 93 A4 02 00 00 84 C0 74 32 8D 55 D4 8B 45 F8 8B 80 A4 02 00 00 8B 08 FF 91 90 00 00 00 8D 55 D4 8B 45 F8 8B 08 FF 91 18 01 00 00 8B 45 F8 05 C0 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 F8 05 C0 02 00 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 03 00 00 00 }
	condition:
		$1
}

rule function_77506_0 {
	meta:
		name = "TDBLookupControl.SelectKeyValue"
		size = 81
		refs = "0016 TDataLink.Edit 0035 TDBLookupControl.SetKeyValue 004a @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB A0 02 00 00 00 74 21 8B 83 84 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 1B 8B D6 8B 83 A0 02 00 00 8B 08 FF 91 00 01 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A0 00 00 00 8B C3 66 BE EC FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77507_0 {
	meta:
		name = "TDBLookupControl.SetDataFieldName"
		size = 47
		refs = "000f @UStrEqual 001e @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 8C 02 00 00 8B D6 E8 ?? ?? ?? ?? 74 17 8D 83 8C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 1C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77508_0 {
	meta:
		name = "TDBLookupControl.SetDataSource"
		size = 47
		refs = "001b TDataLink.SetDataSource 0028 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 84 02 00 00 80 78 19 00 74 06 F6 43 1C 01 75 07 8B D6 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77509_0 {
	meta:
		name = "TDBLookupControl.SetKeyFieldName"
		size = 54
		refs = "0009 TDBLookupControl.CheckNotLookup 0016 @UStrEqual 0025 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 90 02 00 00 8B D6 E8 ?? ?? ?? ?? 74 17 8D 83 90 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 20 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77510_0 {
	meta:
		name = "TDBLookupControl.SetKeyValue"
		size = 49
		refs = "000f VarEquals 0020 @VarCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8D 83 B0 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 17 8D 83 B0 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77511_0 {
	meta:
		name = "TDBLookupControl.SetListFieldName"
		size = 47
		refs = "000f @UStrEqual 001e @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 94 02 00 00 8B D6 E8 ?? ?? ?? ?? 74 17 8D 83 94 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 20 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77512_0 {
	meta:
		name = "TDBLookupControl.SetListSource"
		size = 42
		refs = "0009 TDBLookupControl.CheckNotLookup 0016 TDataLink.SetDataSource 0023 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77513_0 {
	meta:
		name = "TDBLookupControl.SetLookupMode"
		size = 170
		refs = "0023 GetFieldProperty 003d TDataSource.SetDataSet 0051 @UStrAsg 0069 TDataLink.SetDataSource 008a @UStrClr"
	strings:
		$1 = { 53 56 8B D8 3A 93 C4 02 00 00 0F 84 97 00 00 00 84 D2 74 5B 8B B3 9C 02 00 00 8B 4E 70 8B 46 3C 8B D3 E8 ?? ?? ?? ?? 89 83 A0 02 00 00 8B 83 9C 02 00 00 8B 50 6C 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8D 83 90 02 00 00 8B 93 9C 02 00 00 8B 52 74 E8 ?? ?? ?? ?? C6 83 C4 02 00 00 01 8B 93 80 02 00 00 8B 83 88 02 00 00 E8 ?? ?? ?? ?? EB 38 33 D2 8B 83 88 02 00 00 E8 ?? ?? ?? ?? C6 83 C4 02 00 00 00 8D 83 90 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 89 83 A0 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77514_0 {
	meta:
		name = "TDBLookupControl.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 84 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77516_0 {
	meta:
		name = "TDBLookupControl.WMKillFocus"
		size = 29
		refs = "000d TWinControl.WMKillFocus"
	strings:
		$1 = { 56 8B F0 C6 86 C6 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_77517_0 {
	meta:
		name = "TDBLookupControl.WMSetFocus"
		size = 46
		refs = "000d @UStrClr 001d TWinControl.WMSetFocus"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 86 C0 02 00 00 E8 ?? ?? ?? ?? C6 86 C6 02 00 00 01 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77519_0 {
	meta:
		name = "TCustomDBLookupComboBox.CMGetDataLink"
		size = 10
		altNames = "TDBLookupControl.CMGetDataLink"
	strings:
		$1 = { 8B 80 84 02 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_77520_0 {
	meta:
		name = "TDBLookupControl.ExecuteAction"
		size = 59
		refs = "000d TComponent.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB 84 02 00 00 85 ED 74 11 8B D7 8B C5 66 BE FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77582_0 {
	meta:
		name = "TCustomDBLookupComboBox.ExecuteAction"
		size = 59
		refs = "000d TDBLookupControl.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB 84 02 00 00 85 ED 74 11 8B D7 8B C5 66 BE FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77551_0 {
	meta:
		name = "TDBLookupListBox.ExecuteAction"
		size = 59
		refs = "000d TDBLookupControl.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB 84 02 00 00 85 ED 74 11 8B D7 8B C5 66 BE FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77521_0 {
	meta:
		name = "TDBLookupControl.UpdateAction"
		size = 59
		refs = "000d TComponent.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB 84 02 00 00 85 ED 74 11 8B D7 8B C5 66 BE FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77583_0 {
	meta:
		name = "TCustomDBLookupComboBox.UpdateAction"
		size = 59
		refs = "000d TDBLookupControl.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB 84 02 00 00 85 ED 74 11 8B D7 8B C5 66 BE FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77552_0 {
	meta:
		name = "TDBLookupListBox.UpdateAction"
		size = 59
		refs = "000d TDBLookupControl.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB 84 02 00 00 85 ED 74 11 8B D7 8B C5 66 BE FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77522_0 {
	meta:
		name = "TDBLookupControl.WMKeyDown"
		size = 101
		refs = "0022 KeyDataToShiftState 002d ShortCut 0041 TDataLink.Edit 005e TWinControl.WMKeyDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 BB CC 02 00 00 00 74 49 8B C3 8B 10 FF 92 FC 00 00 00 84 C0 74 3B 8B 46 08 E8 ?? ?? ?? ?? 8B D0 0F B7 46 04 E8 ?? ?? ?? ?? 66 3B 83 CC 02 00 00 75 1F 8B 83 84 02 00 00 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 8B 10 FF 92 24 01 00 00 66 C7 46 04 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77523_0 {
	meta:
		name = "TDBLookupListBox.Create"
		size = 100
		refs = "000a @ClassCreate 0017 TDBLookupControl.Create 0020 TDBLookupListBox.Create 002f TControl.SetWidth 0042 TDBLookupListBox.SetRowCount 004d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 BA 79 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 DC 02 00 00 01 BA 07 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 80 00 00 00 }
	condition:
		$1
}

rule function_77524_0 {
	meta:
		name = "TDBLookupListBox.CreateParams"
		size = 62
		refs = "000b TWinControl.CreateParams 0019 NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB DC 02 00 00 01 75 23 A1 ?? ?? ?? ?? 80 38 00 74 12 80 BB F1 01 00 00 00 74 09 81 4E 08 00 02 00 00 EB 07 81 4E 04 00 00 80 00 5E 5B C3 }
	condition:
		$1
}

rule function_77526_0 {
	meta:
		name = "TDBLookupListBox.GetKeyIndex"
		size = 167
		refs = "0012 TDBLookupListBox.GetKeyIndex 0023 VarIsNull 0072 VarEquals 0092 @VarClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 B0 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 53 8B B3 D4 02 00 00 4E 85 F6 7C 48 46 33 FF 8B D7 8B 83 88 02 00 00 8B 08 FF 51 48 8D 55 F0 8B 83 A4 02 00 00 8B 08 FF 91 90 00 00 00 8B 93 D0 02 00 00 8B 83 88 02 00 00 8B 08 FF 51 48 8D 93 B0 02 00 00 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 07 47 4E 75 BB 83 CF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77527_0 {
	meta:
		name = "TDBLookupListBox.KeyDown"
		size = 299
		refs = "0015 TWinControl.KeyDown 003b TDBLookupListBox.KeyDown 009c @UStrClr 00af TDataLink.GetDataSet 00b4 TDataSet.First 00ce TDataSet.Last 00d7 TDBLookupListBox.GetKeyIndex 0122 TDBLookupListBox.SelectCurrent"
	strings:
		$1 = { 53 56 57 51 66 89 0C 24 8B FA 8B D8 8B D7 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 FC 00 00 00 84 C0 0F 84 FB 00 00 00 33 F6 0F B7 07 83 C0 DF 83 F8 07 77 55 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 CE FF EB 29 BE 01 00 00 00 EB 22 BE 01 00 00 00 2B B3 D8 02 00 00 EB 15 8B B3 D8 02 00 00 4E EB 0C BE 01 00 00 80 EB 05 BE FF FF FF 7F 85 F6 0F 84 91 00 00 00 8D 83 C0 02 00 00 E8 ?? ?? ?? ?? 81 FE 01 00 00 80 75 12 8B 83 88 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 65 81 FE FF FF FF 7F 75 12 8B 83 88 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4B 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 1D 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 8B D7 2B 93 D0 02 00 00 8B 08 FF 91 AC 02 00 00 EB 0C 8B C3 8B 10 FF 92 08 01 00 00 33 F6 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 91 AC 02 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77528_0 {
	meta:
		name = "TDBLookupListBox.KeyPress"
		size = 31
		refs = "000b TWinControl.KeyPress"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B7 16 8B C3 8B 08 FF 91 14 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77529_0 {
	meta:
		name = "TDBLookupListBox.KeyValueChanged"
		size = 152
		refs = "000d TDBLookupListBox.KeyValueChanged 003e TDataLink.GetDataSet 0043 TDataSet.First 0057 TField.GetDisplayText 0065 @UStrAsg 0072 @UStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB C5 02 00 00 00 74 27 80 BB E1 02 00 00 00 75 1E 8B C3 8B 10 FF 92 10 01 00 00 84 C0 75 10 8B 83 88 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B3 A8 02 00 00 85 F6 74 1A 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 E8 02 00 00 E8 ?? ?? ?? ?? EB 0B 8D 83 E8 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77530_0 {
	meta:
		name = "TDBLookupListBox.UpdateListFields"
		size = 89
		refs = "000b TDBLookupListBox.UpdateListFields 0019 TDBLookupControl.UpdateListFields 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 B8 C5 02 00 00 00 74 0D 8B 45 FC 8B 10 FF 92 08 01 00 00 EB 0B 8B 45 FC 8B 10 FF 92 0C 01 00 00 C3 E9 ?? ?? ?? ?? EB D4 59 5D C3 }
	condition:
		$1
}

rule function_77531_0 {
	meta:
		name = "TDBLookupListBox.ListLinkDataChanged"
		size = 148
		refs = "0035 VarIsNull 0044 TDataLink.GetDataSet 0079 TWinControl.HandleAllocated 0084 TDBLookupListBox.UpdateScrollBar"
	strings:
		$1 = { 56 8B F0 80 BE C5 02 00 00 00 74 53 8B 86 88 02 00 00 8B 10 FF 52 28 89 86 D0 02 00 00 8B 86 88 02 00 00 8B 10 FF 52 38 89 86 D4 02 00 00 8D 86 B0 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 18 8B 86 88 02 00 00 E8 ?? ?? ?? ?? 80 B8 A8 00 00 00 00 74 04 33 C0 EB 02 B0 01 88 86 DE 02 00 00 EB 17 33 C0 89 86 D0 02 00 00 33 C0 89 86 D4 02 00 00 C6 86 DE 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 11 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_77532_0 {
	meta:
		name = "TDBLookupListBox.MouseDown"
		size = 181
		refs = "001e @UStrClr 0075 @CallDynaInst 0080 TControl.SetMouseCapture 0094 TDBLookupListBox.SelectItemAt 00a9 TControl.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FE 8B DA 8B F8 84 DB 0F 85 81 00 00 00 8D 87 C0 02 00 00 E8 ?? ?? ?? ?? 80 BF DD 02 00 00 00 75 13 8B C7 8B 10 FF 92 F4 00 00 00 80 BF C6 02 00 00 00 74 6F 8B C7 8B 10 FF 92 FC 00 00 00 84 C0 74 4C F6 45 FE 40 74 29 8B C7 8B 10 FF 92 04 01 00 00 50 8B 45 08 5A 8B CA 99 F7 F9 3B 87 D0 02 00 00 75 2A 8B C7 66 BE EB FF E8 ?? ?? ?? ?? EB 1D B2 01 8B C7 E8 ?? ?? ?? ?? C6 87 DF 02 00 00 01 8B 4D 08 8B 55 0C 8B C7 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B D3 0F B7 4D FE 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_77533_0 {
	meta:
		name = "TDBLookupListBox.MouseMove"
		size = 73
		refs = "0022 TDBLookupListBox.SelectItemAt 002f TDBLookupListBox.TimerScroll 003d TControl.MouseMove"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 66 89 55 FE 8B D8 8B 75 08 80 BB DF 02 00 00 00 74 18 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 89 B3 E4 02 00 00 8B C3 E8 ?? ?? ?? ?? 56 8B CF 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_77534_0 {
	meta:
		name = "TDBLookupListBox.MouseUp"
		size = 74
		refs = "0022 TDBLookupListBox.StopTracking 002d TDBLookupListBox.SelectItemAt 003e TControl.MouseUp"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FD 88 55 FF 8B D8 8B 7D 08 8B 75 0C 80 BB DF 02 00 00 00 74 12 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 56 57 0F B6 55 FF 0F B7 4D FD 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_77535_0 {
	meta:
		name = "TDBLookupListBox.Paint"
		size = 1068
		refs = "0020 TDBLookupListBox.Paint 0034 TCanvas.SetFont 0044 TCustomCanvas.TextWidth 0057 TCustomCanvas.TextHeight 006f ColorToRGB 0092 TPen.SetColor 00c6 TStyleManager.GetIsCustomStyleActive 00db StyleColor 00e1 TStyleManager.GetActiveStyle 00e7 TCustomStyleServices.GetStyleColor 00f7 TBrush.SetColor 0108 StyleFontColor 0114 TCustomStyleServices.GetStyleFontColor 0124 TFont.SetColor 01ba VarIsNull 01dd VarEquals 01f0 TCustomStyleServices.GetSystemColor 024c TList.Get 025d TField.GetDisplayWidth 026f TControl.GetClientWidth 027f TField.GetDisplayText 0298 @CallDynaInst 02a4 ChangeBiDiModeAlignment 02fb SysLocale 030c TControlCanvas.UpdateTextFlags 0401 @VarClr 0409 @UStrClr 040f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 D2 89 55 B4 89 55 B8 89 55 BC 89 55 C0 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 57 6C 8B 87 78 02 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 87 78 02 00 00 E8 ?? ?? ?? ?? 89 45 E8 BA ?? ?? ?? ?? 8B 87 78 02 00 00 E8 ?? ?? ?? ?? 89 45 E4 8B 87 AC 02 00 00 8B 40 08 48 89 45 E0 8B 47 74 E8 ?? ?? ?? ?? 8B D8 B8 0F 00 00 FF E8 ?? ?? ?? ?? 3B D8 74 15 8B 87 78 02 00 00 8B 40 44 BA 0F 00 00 FF E8 ?? ?? ?? ?? EB 13 8B 87 78 02 00 00 8B 40 44 BA 10 00 00 FF E8 ?? ?? ?? ?? 8B 87 D8 02 00 00 48 85 C0 0F 8C 1C 03 00 00 40 89 45 D8 C7 45 F8 00 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 5C 8B C7 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D0 8B 87 78 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D0 8B 87 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? EB 45 8B C7 8B 10 FF 52 68 84 C0 74 16 8B 47 6C 8B 50 18 8B 87 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? EB 13 8B 87 78 02 00 00 8B 40 40 BA 11 00 00 FF E8 ?? ?? ?? ?? 8B 87 78 02 00 00 8B 40 48 8B 57 74 E8 ?? ?? ?? ?? 80 BF DE 02 00 00 00 75 06 83 7D F8 00 74 04 33 C0 EB 02 B0 01 88 45 DF 8B 45 F8 F7 6D E4 89 45 C8 03 45 E4 89 45 D0 8B 45 F8 3B 87 D4 02 00 00 0F 8D CE 01 00 00 8B 55 F8 8B 87 88 02 00 00 8B 08 FF 51 48 8D 87 B0 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 65 8D 55 B4 8B 87 A4 02 00 00 8B 08 FF 91 90 00 00 00 8D 45 B4 8D 97 B0 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 42 E8 ?? ?? ?? ?? BA 0E 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 87 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 0D 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 87 78 02 00 00 8B 40 48 E8 ?? ?? ?? ?? C6 45 DF 01 33 C0 89 45 CC 8B 45 E0 85 C0 0F 8C 3C 01 00 00 40 89 45 D4 C7 45 F4 00 00 00 00 8B 55 F4 8B 87 AC 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 3B 45 E0 7D 12 8B C3 E8 ?? ?? ?? ?? F7 6D E8 83 C0 04 89 45 F0 EB 0D 8B C7 E8 ?? ?? ?? ?? 2B 45 CC 89 45 F0 8D 55 FC 8B C3 E8 ?? ?? ?? ?? C7 45 EC 02 00 00 00 0F B6 43 4B 88 45 DE 8B C7 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 08 8D 45 DE E8 ?? ?? ?? ?? 0F B6 45 DE FE C8 74 06 FE C8 74 1D EB 38 8B 55 FC 8B 87 78 02 00 00 E8 ?? ?? ?? ?? 8B 55 F0 2B D0 83 EA 03 89 55 EC EB 1D 8B 55 FC 8B 87 78 02 00 00 E8 ?? ?? ?? ?? 8B 55 F0 2B D0 D1 FA 79 03 83 D2 00 89 55 EC 8B 45 CC 89 45 C4 8B 45 F0 01 45 CC A1 ?? ?? ?? ?? 80 78 0D 00 74 0B 8B 87 78 02 00 00 E8 ?? ?? ?? ?? 8B 75 C8 56 8B 45 FC 50 8B 4D C4 03 4D EC 8D 55 C4 8B 87 78 02 00 00 8B 18 FF 93 98 00 00 00 8B 45 F4 3B 45 E0 7D 30 8B CE 8B 55 CC 8B 87 78 02 00 00 8B 18 FF 53 64 8B 4D D0 8B 55 CC 8B 87 78 02 00 00 8B 18 FF 53 60 FF 45 CC 8B C7 E8 ?? ?? ?? ?? 3B 45 CC 7E 0C FF 45 F4 FF 4D D4 0F 85 CF FE FF FF 33 C0 89 45 C4 8B C7 E8 ?? ?? ?? ?? 89 45 CC 8B 45 F8 3B 87 D4 02 00 00 7C 0E 8D 55 C4 8B 87 78 02 00 00 8B 08 FF 51 54 80 7D DF 00 74 29 80 BF C6 02 00 00 00 75 09 80 BF DD 02 00 00 00 74 17 E8 ?? ?? ?? ?? 84 C0 75 0E 8D 55 C4 8B 87 78 02 00 00 8B 08 FF 51 4C FF 45 F8 FF 4D D8 0F 85 EF FC FF FF 83 BF D4 02 00 00 00 74 11 8B 97 D0 02 00 00 8B 87 88 02 00 00 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_77536_0 {
	meta:
		name = "TDBLookupListBox.SelectCurrent"
		size = 149
		refs = "0011 TDBLookupListBox.SelectCurrent 006e @HandleFinally 0085 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 E1 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 80 A4 02 00 00 8B 08 FF 91 90 00 00 00 8D 55 EC 8B 45 FC 8B 08 FF 91 18 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 E1 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_77537_0 {
	meta:
		name = "TDBLookupListBox.SelectItemAt"
		size = 159
		refs = "0017 TDBLookupListBox.SelectItemAt 002b TControl.GetClientHeight 0067 TDataLink.GetDataSet 0079 TDBLookupListBox.SelectCurrent 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 89 45 FC 8B 45 FC FF 80 C8 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7D 02 33 DB 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C 0B 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 8B 45 FC 8B 10 FF 92 04 01 00 00 50 8B C3 5A 8B CA 99 F7 F9 8B 55 FC 2B 82 D0 02 00 00 8B D8 8B 45 FC 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 91 AC 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FF 88 C8 02 00 00 C3 E9 ?? ?? ?? ?? EB EF 5B 59 5D C3 }
	condition:
		$1
}

rule function_77538_0 {
	meta:
		name = "TDBLookupListBox.SetBorderStyle"
		size = 39
		refs = "0014 TWinControl.RecreateWnd 0021 TDBLookupListBox.SetRowCount"
	strings:
		$1 = { 53 8B D8 3A 93 DC 02 00 00 74 1A 88 93 DC 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 D8 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77539_0 {
	meta:
		name = "TDBLookupListBox.SetBounds"
		size = 130
		refs = "0075 TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B D8 8B C3 8B 10 FF 92 00 01 00 00 8B F8 8B C3 8B 10 FF 92 04 01 00 00 89 45 F4 8B 45 08 2B C7 99 F7 7D F4 8B F0 83 FE 01 7D 05 BE 01 00 00 00 89 B3 D8 02 00 00 8B 83 88 02 00 00 3B 70 0C 74 11 8B D6 8B 08 FF 51 4C 8B C3 8B 10 FF 92 0C 01 00 00 8B 45 0C 50 0F AF 75 F4 03 FE 57 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_77540_0 {
	meta:
		name = "TCustomDBLookupComboBox.UseRightToLeftAlignment"
		size = 12
		refs = "0007 DBUseRightToLeftAlignment"
		altNames = "TDBLookupListBox.UseRightToLeftAlignment"
	strings:
		$1 = { 8B 90 9C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77541_0 {
	meta:
		name = "TDBLookupListBox.SetRowCount"
		size = 67
		refs = "003b TControl.SetHeight"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 83 FB 01 7D 05 BB 01 00 00 00 83 FB 64 7E 05 BB 64 00 00 00 8B C6 8B 10 FF 92 04 01 00 00 8B F8 0F AF FB 8B C6 8B 10 FF 92 00 01 00 00 03 F8 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77542_0 {
	meta:
		name = "TDBLookupListBox.StopTimer"
		size = 36
		refs = "0011 TWinControl.GetHandle 0017 KillTimer"
	strings:
		$1 = { 53 8B D8 80 BB E0 02 00 00 00 74 16 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 E0 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_77543_0 {
	meta:
		name = "TDBLookupListBox.StopTracking"
		size = 37
		refs = "000f TDBLookupListBox.StopTimer 001f TControl.SetMouseCapture"
	strings:
		$1 = { 53 8B D8 80 BB DF 02 00 00 00 74 17 8B C3 E8 ?? ?? ?? ?? C6 83 DF 02 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77544_0 {
	meta:
		name = "TDBLookupListBox.TimerScroll"
		size = 232
		refs = "0026 TControl.GetClientHeight 004f TDBLookupListBox.StopTimer 0065 TDBLookupListBox.TimerScroll 0079 TDataLink.GetDataSet 008f TDBLookupListBox.SelectCurrent 00b0 TWinControl.GetHandle 00b6 SetTimer 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 DB 33 F6 8B 45 FC 8B B8 E4 02 00 00 85 FF 7D 07 83 CB FF 8B F7 F7 DE 8B 45 FC E8 ?? ?? ?? ?? 3B F8 7C 19 BB 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B B2 E4 02 00 00 2B F0 46 85 DB 75 0D 8B 45 FC E8 ?? ?? ?? ?? E9 8A 00 00 00 8B 45 FC FF 80 C8 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 91 AC 02 00 00 85 C0 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B C6 C1 E0 04 2B C6 BB C8 00 00 00 2B D8 85 DB 7D 02 33 DB 6A 00 53 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC C6 80 E0 02 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FF 88 C8 02 00 00 C3 E9 ?? ?? ?? ?? EB EF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77545_0 {
	meta:
		name = "TDBLookupListBox.UpdateScrollBar"
		size = 173
		refs = "0026 TDataLink.GetDataSet 0068 TWinControl.GetHandle 006e GetScrollInfo 00a2 SetScrollInfo"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B D8 33 FF 33 F6 8B 83 D4 02 00 00 3B 83 D8 02 00 00 75 39 BE 04 00 00 00 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 80 B8 A8 00 00 00 00 75 20 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 80 B8 A9 00 00 00 00 75 07 BF 02 00 00 00 EB 05 BF 04 00 00 00 C7 04 24 1C 00 00 00 C7 44 24 04 05 00 00 00 54 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0C 3B 7C 24 14 75 06 3B 74 24 0C 74 24 33 C0 89 44 24 08 89 74 24 0C 89 7C 24 14 6A FF 8D 44 24 04 50 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77546_0 {
	meta:
		name = "TDBLookupListBox.CMCtl3DChanged"
		size = 57
		refs = "0007 NewStyleControls 001c TWinControl.RecreateWnd 0029 TDBLookupListBox.SetRowCount 0032 TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 1D 80 BB DC 02 00 00 01 75 14 8B C3 E8 ?? ?? ?? ?? 8B 93 D8 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77547_0 {
	meta:
		name = "TDBLookupListBox.CMFontChanged"
		size = 22
		refs = "0006 TWinControl.CMFontChanged 0010 TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 54 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77550_0 {
	meta:
		name = "TDBLookupListBox.WMVScroll"
		size = 433
		refs = "0014 @UStrClr 0022 TDataLink.GetDataSet 003b TDBLookupListBox.WMVScroll 012c TDataSet.First 0152 @TryFinallyExit 017c TDataSet.Last 01a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B 45 FC 05 C0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 7E 01 00 00 8B 45 FC FF 80 C8 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 0F BF 53 04 83 FA 07 0F 87 2E 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 FC 8B 92 D0 02 00 00 F7 DA 4A 8B 08 FF 91 AC 02 00 00 E9 EE 00 00 00 8B 55 FC 8B 92 D4 02 00 00 8B 4D FC 2B 91 D0 02 00 00 8B 08 FF 91 AC 02 00 00 E9 CF 00 00 00 8B 55 FC 8B 92 D0 02 00 00 F7 DA 8B 4D FC 2B 91 D4 02 00 00 42 8B 08 FF 91 AC 02 00 00 E9 AD 00 00 00 8B 55 FC 8B B2 D4 02 00 00 8B D6 8B 4D FC 2B 91 D0 02 00 00 03 D6 83 EA 02 8B 08 FF 91 AC 02 00 00 E9 87 00 00 00 0F BF 53 06 83 FA 04 77 7E FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5C 8B 55 FC 8B 92 D0 02 00 00 F7 DA 8B 4D FC 2B 91 D4 02 00 00 42 8B 08 FF 91 AC 02 00 00 EB 3D E8 ?? ?? ?? ?? EB 54 8B 55 FC 8B B2 D4 02 00 00 8B D6 8B 4D FC 2B 91 D0 02 00 00 03 D6 83 EA 02 8B 08 FF 91 AC 02 00 00 EB 13 E8 ?? ?? ?? ?? EB 0C E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FF 88 C8 02 00 00 C3 E9 ?? ?? ?? ?? EB EF 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77553_0 {
	meta:
		name = "TPopupDataList.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TDBLookupListBox.Create 0020 TPopupDataList.Create 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 C6 86 DD 02 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 0C 00 00 }
	condition:
		$1
}

rule function_77554_0 {
	meta:
		name = "TPopupDataList.CreateParams"
		size = 49
		refs = "000b TDBLookupListBox.CreateParams 0023 TWinControl.AddBiDiModeExStyle"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? C7 43 04 00 00 80 80 C7 43 08 80 00 00 00 8D 53 08 8B C6 E8 ?? ?? ?? ?? C7 43 24 00 08 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77555_0 {
	meta:
		name = "TPopupDataList.WMMouseActivate"
		size = 8
	strings:
		$1 = { C7 42 0C 03 00 00 00 C3 }
	condition:
		$1
}

rule function_77557_0 {
	meta:
		name = "TCustomDBLookupComboBox.Create"
		size = 192
		refs = "000e @ClassCreate 001c TDBLookupControl.Create 0025 TCustomDBLookupComboBox.Create 0034 TControl.SetWidth 003d TControl.SetHeight 0046 _DV_TPopupDataList 004b TPopupDataList.Create 005c TControl.SetVisible 0082 TCustomDBLookupComboBox.ListMouseUp 0089 GetSystemMetrics 00a6 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 BA 91 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D0 02 00 00 8B C6 33 D2 E8 ?? ?? ?? ?? 8B 83 D0 02 00 00 8B D3 8B 08 FF 91 84 00 00 00 8B 83 D0 02 00 00 89 98 DC 00 00 00 C7 80 D8 00 00 00 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 89 83 D4 02 00 00 C7 83 DC 02 00 00 07 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 08 00 00 }
	condition:
		$1
}

rule function_77558_0 {
	meta:
		name = "TCustomDBLookupComboBox.CloseUp"
		size = 259
		refs = "0014 TCustomDBLookupComboBox.CloseUp 002c GetCapture 0041 SendMessage 005f @VarCopy 0075 TWinControl.GetHandle 007b SetWindowPos 008f TDBLookupControl.SetListSource 00a4 @UStrClr 00f0 @VarClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BF E5 02 00 00 00 0F 84 B4 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 11 6A 00 6A 00 6A 1F E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 F4 00 00 00 8D 45 F0 8B B7 D0 02 00 00 8D 96 B0 02 00 00 E8 ?? ?? ?? ?? 68 97 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 87 E5 02 00 00 00 33 D2 8B 87 D0 02 00 00 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 9C 00 00 00 8D 87 C0 02 00 00 E8 ?? ?? ?? ?? 84 DB 74 1B 8B C7 8B 10 FF 92 FC 00 00 00 84 C0 74 0D 8D 55 F0 8B C7 8B 08 FF 91 18 01 00 00 66 83 BF FA 02 00 00 00 74 0E 8B D7 8B 87 FC 02 00 00 FF 97 F8 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77559_0 {
	meta:
		name = "TCustomDBLookupComboBox.CMBiDiModeChanged"
		size = 30
		refs = "0006 TWinControl.CMBiDiModeChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 53 69 8B 83 D0 02 00 00 8B 08 FF 91 8C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_77560_0 {
	meta:
		name = "TCustomDBLookupComboBox.CMDialogKey"
		size = 66
		refs = "003b TWinControl.CMDialogKey"
	strings:
		$1 = { 56 57 8B F2 0F B7 7E 04 8B D7 66 83 EA 0D 74 06 66 83 EA 0E 75 22 80 B8 E5 02 00 00 00 74 19 66 83 FF 0D 0F 94 C2 8B 08 FF 91 24 01 00 00 C7 46 0C 01 00 00 00 5F 5E C3 8B D6 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_77561_0 {
	meta:
		name = "TCustomDBLookupComboBox.CreateParams"
		size = 54
		refs = "000b TWinControl.CreateParams 0010 NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 13 80 BB F1 01 00 00 00 74 0A 81 4E 08 00 02 00 00 5E 5B C3 81 4E 04 00 00 80 00 5E 5B C3 }
	condition:
		$1
}

rule function_77562_0 {
	meta:
		name = "TCustomDBLookupComboBox.DropDown"
		size = 876
		refs = "0014 TCustomDBLookupComboBox.DropDown 0084 TControl.SetColor 0098 TControl.SetFont 00b5 TControl.SetWidth 00e9 TDBLookupControl.SetReadOnly 00f7 TDataLink.GetDataSet 014a TDBLookupListBox.SetRowCount 017a TDBLookupControl.SetKeyFieldName 01a1 TList.Get 01b6 @UStrCatN 01cb TDBLookupControl.SetListFieldName 01e2 TList.IndexOf 0204 TDBLookupControl.SetListSource 021b TDBLookupControl.SetKeyValue 023e TControl.ClientToScreen 024e Screen 0255 TScreen.GetHeight 0290 DBUseRightToLeftAlignment 02fb TWinControl.GetHandle 0301 SetWindowPos 0332 @HandleFinally 0349 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 FF 80 C8 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 80 B8 E5 02 00 00 00 0F 85 D5 02 00 00 8B 45 F8 80 B8 C5 02 00 00 00 0F 84 C5 02 00 00 8B 45 F8 66 83 B8 F2 02 00 00 00 74 12 8B 5D F8 8B 55 F8 8B 83 F4 02 00 00 FF 93 F0 02 00 00 8B 45 F8 8B 50 74 8B 45 F8 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 6C 8B 45 F8 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 E0 02 00 00 85 C0 7E 12 8B D0 8B 45 F8 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? EB 14 8B 45 F8 8B 50 50 8B 45 F8 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 FC 00 00 00 8B D0 80 F2 01 8B 45 F8 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 88 01 00 00 85 C0 7E 49 8B 45 F8 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 88 01 00 00 8B 55 F8 3B 82 DC 02 00 00 7D 28 8B 45 F8 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 88 01 00 00 8B D0 8B 45 F8 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? EB 17 8B 45 F8 8B 90 DC 02 00 00 8B 45 F8 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 90 90 02 00 00 8B 45 F8 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 AC 02 00 00 8B 58 08 4B 85 DB 7C 2F 43 33 F6 FF 75 FC 8B 45 F8 8B 80 AC 02 00 00 8B D6 E8 ?? ?? ?? ?? FF 70 40 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 D4 8B 45 F8 8B 80 D0 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 90 A8 02 00 00 8B 45 F8 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 9A D0 02 00 00 89 83 98 02 00 00 8B 45 F8 8B 80 88 02 00 00 8B 50 04 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 90 B0 02 00 00 8B 45 F8 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 48 89 45 E8 8B 45 F8 8B 40 4C 89 45 EC 8D 4D F0 8D 55 E8 8B 45 F8 8B 40 38 E8 ?? ?? ?? ?? 8B 45 F8 8B 70 54 8B 5D F4 03 F3 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 92 D0 02 00 00 8B 52 54 03 D6 3B C2 7D 0E 8B 45 F8 8B 80 D0 02 00 00 8B F3 2B 70 54 8B 45 F8 0F B6 98 E4 02 00 00 8B 45 F8 8B 90 A8 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0F 84 DB 75 04 B3 01 EB 07 80 FB 01 75 02 33 DB FE CB 74 06 FE CB 74 19 EB 33 8B 45 F8 8B 80 D0 02 00 00 8B 40 50 8B 55 F8 2B 42 50 29 45 F0 EB 1C 8B 45 F8 8B 80 D0 02 00 00 8B 40 50 8B 55 F8 2B 42 50 D1 F8 79 03 83 D0 00 29 45 F0 6A 51 6A 00 6A 00 56 8B 45 F0 50 6A 00 8B 45 F8 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 C6 80 E5 02 00 00 01 8B 45 F8 8B 10 FF 92 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 FF 88 C8 02 00 00 C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_77563_0 {
	meta:
		name = "TCustomDBLookupComboBox.KeyDown"
		size = 394
		refs = "001e TCustomDBLookupComboBox.KeyDown 0049 TWinControl.KeyDown 00c5 TDataLink.GetDataSet 00ca TDataSet.First 0145 @CallDynaInst 0161 @HandleFinally 0178 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 66 89 4D FA 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC FF 80 C8 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 0F B7 4D FA 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 C5 02 00 00 00 0F 84 C2 00 00 00 66 83 3E 26 74 0A 66 83 3E 28 0F 85 B2 00 00 00 F6 45 FA 02 74 2D 8B 45 FC 80 B8 E5 02 00 00 00 74 0F B2 01 8B 45 FC 8B 08 FF 91 24 01 00 00 EB 0B 8B 45 FC 8B 10 FF 92 28 01 00 00 66 C7 06 00 00 EB 7F 8B 45 FC 80 B8 E5 02 00 00 00 75 73 8B 45 FC 8B 10 FF 92 10 01 00 00 84 C0 75 15 8B 45 FC 8B 80 88 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 66 83 3E 26 75 05 83 CB FF EB 05 BB 01 00 00 00 8B 45 FC 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 91 AC 02 00 00 8D 55 E8 8B 45 FC 8B 80 A4 02 00 00 8B 08 FF 91 90 00 00 00 8D 55 E8 8B 45 FC 8B 08 FF 91 18 01 00 00 66 C7 06 00 00 66 83 3E 00 74 24 8B 45 FC 80 B8 E5 02 00 00 00 74 18 8B D6 8B 45 FC 8B 80 D0 02 00 00 0F B7 4D FA 66 BE B9 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FF 88 C8 02 00 00 C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77564_0 {
	meta:
		name = "TCustomDBLookupComboBox.KeyPress"
		size = 140
		refs = "000b TWinControl.KeyPress 001c TCustomDBLookupComboBox.KeyPress 0053 @CallDynaInst"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 80 BE E5 02 00 00 00 74 42 0F B7 07 BA ?? ?? ?? ?? 66 3D FF 00 77 06 0F B7 C0 0F A3 02 0F 92 C0 84 C0 74 13 66 83 3F 0D 0F 94 C2 8B C6 8B 08 FF 91 24 01 00 00 EB 21 8B D7 8B 86 D0 02 00 00 66 BE B7 FF E8 ?? ?? ?? ?? 5F 5E C3 0F B7 17 8B C6 8B 08 FF 91 14 01 00 00 5F 5E C3 00 00 00 20 00 08 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_77565_0 {
	meta:
		name = "TCustomDBLookupComboBox.KeyValueChanged"
		size = 215
		refs = "000e TCustomDBLookupComboBox.KeyValueChanged 002b TField.GetDisplayText 0039 @UStrAsg 009b @UStrClr 00c6 @UStrArrayClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE E9 02 00 00 00 74 2E 8D 55 FC 8B 86 9C 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8D 86 D8 02 00 00 E8 ?? ?? ?? ?? 8B 86 9C 02 00 00 0F B6 40 4B 88 86 E8 02 00 00 EB 57 80 BE C5 02 00 00 00 74 3C 8B C6 8B 10 FF 92 10 01 00 00 84 C0 74 2E 8D 55 F8 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8D 86 D8 02 00 00 E8 ?? ?? ?? ?? 8B 86 A8 02 00 00 0F B6 40 4B 88 86 E8 02 00 00 EB 12 8D 86 D8 02 00 00 E8 ?? ?? ?? ?? C6 86 E8 02 00 00 00 8B C6 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 59 59 5D C3 }
	condition:
		$1
}

rule function_77566_0 {
	meta:
		name = "TCustomDBLookupComboBox.UpdateListFields"
		size = 22
		refs = "0006 TDBLookupControl.UpdateListFields"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 08 01 00 00 5B C3 }
	condition:
		$1
}

rule function_77567_0 {
	meta:
		name = "TCustomDBLookupComboBox.ListMouseUp"
		size = 69
		refs = "002e PtInRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 56 8B F0 84 C9 75 31 8B 45 0C 89 45 F8 8B 45 08 89 45 FC 8D 55 E8 8B 86 D0 02 00 00 8B 08 FF 51 60 8D 45 E8 8D 55 F8 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 24 01 00 00 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_77568_0 {
	meta:
		name = "TCustomDBLookupComboBox.MouseDown"
		size = 137
		refs = "004e TControl.SetMouseCapture 0061 TCustomDBLookupComboBox.TrackButton 007d TControl.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FE 8B DA 8B F0 8B 7D 0C 84 DB 75 59 8B C6 8B 10 FF 92 F4 00 00 00 80 BE C6 02 00 00 00 74 58 80 BE E5 02 00 00 00 74 0E 33 D2 8B C6 8B 08 FF 91 24 01 00 00 EB 2F 80 BE C5 02 00 00 00 74 26 B2 01 8B C6 E8 ?? ?? ?? ?? C6 86 E7 02 00 00 01 8B 4D 08 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 28 01 00 00 57 8B 45 08 50 8B D3 0F B7 4D FE 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_77569_0 {
	meta:
		name = "TCustomDBLookupComboBox.MouseMove"
		size = 188
		refs = "0028 TCustomDBLookupComboBox.TrackButton 0044 TControl.ClientToScreen 0055 TControl.ScreenToClient 006e PtInRect 0079 TCustomDBLookupComboBox.StopTracking 0099 TWinControl.GetHandle 009f SendMessage 00af TControl.MouseMove"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B F1 66 89 55 FE 8B D8 8B 7D 08 80 BB E7 02 00 00 00 0F 84 84 00 00 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB E5 02 00 00 00 74 70 89 75 EC 89 7D F0 8D 4D E4 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F4 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 8D 55 D4 8B 83 D0 02 00 00 8B 08 FF 51 60 8D 45 D4 8D 55 F4 E8 ?? ?? ?? ?? 84 C0 74 2F 8B C3 E8 ?? ?? ?? ?? 0F B7 45 F4 0F B7 55 F8 C1 E2 10 0B C2 50 6A 00 68 01 02 00 00 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 0E 57 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_77570_0 {
	meta:
		name = "TCustomDBLookupComboBox.MouseUp"
		size = 49
		refs = "0011 TCustomDBLookupComboBox.StopTracking 0026 TControl.MouseUp"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B D3 0F B7 4D FE 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_77571_0 {
	meta:
		name = "TCustomDBLookupComboBox.Paint"
		size = 978
		refs = "0014 TCustomDBLookupComboBox.Paint 0049 TCanvas.SetFont 004e TStyleManager.GetIsCustomStyleActive 0063 StyleColor 0069 TStyleManager.GetActiveStyle 006f TCustomStyleServices.GetStyleColor 007f TBrush.SetColor 0090 StyleFontColor 009c TCustomStyleServices.GetStyleFontColor 00ac TFont.SetColor 0108 TCustomStyleServices.GetSystemColor 0169 TField.GetDisplayText 0192 @UStrLAsg 01b7 @CallDynaInst 01c3 ChangeBiDiModeAlignment 01ca TControl.GetClientWidth 01f5 TCustomCanvas.TextWidth 0224 TControl.GetClientHeight 0237 SetRect 023c SysLocale 0274 TControlCanvas.UpdateTextFlags 0351 TCanvas.GetHandle 0360 TCustomStyleServices.DrawElement 03aa DrawFrameControl 03bf @UStrClr 03c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BF C6 02 00 00 00 74 0F 80 BF E5 02 00 00 00 75 06 F6 47 5C 80 74 04 33 C0 EB 02 B0 01 88 45 F6 8B 57 6C 8B 87 78 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5C 8B C7 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D0 8B 87 78 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D0 8B 87 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? EB 45 8B 87 78 02 00 00 8B 40 48 8B 57 74 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 68 84 C0 74 16 8B 47 6C 8B 50 18 8B 87 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? EB 13 8B 87 78 02 00 00 8B 40 40 BA 11 00 00 FF E8 ?? ?? ?? ?? 80 7D F6 00 74 3E E8 ?? ?? ?? ?? BA 0E 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 87 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 0D 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 87 78 02 00 00 8B 40 48 E8 ?? ?? ?? ?? F6 47 5C 80 74 18 83 BF 9C 02 00 00 00 74 0F 8B 87 9C 02 00 00 80 78 4A 02 0F 94 C0 EB 02 33 C0 84 C0 74 1D 8D 55 FC 8B 87 9C 02 00 00 E8 ?? ?? ?? ?? 8B 87 9C 02 00 00 0F B6 40 4B 88 45 F7 EB 34 F6 47 1C 10 74 16 83 BF 9C 02 00 00 00 75 0D 8D 45 FC 8B 57 08 E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 97 D8 02 00 00 E8 ?? ?? ?? ?? 0F B6 87 E8 02 00 00 88 45 F7 8B C7 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 08 8D 45 F7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 2B B7 D4 02 00 00 C7 45 F8 02 00 00 00 0F B6 45 F7 FE C8 74 06 FE C8 74 1C EB 36 8B 55 FC 8B 87 78 02 00 00 E8 ?? ?? ?? ?? 8B D6 2B D0 83 EA 03 89 55 F8 EB 1C 8B 55 FC 8B 87 78 02 00 00 E8 ?? ?? ?? ?? 8B D6 2B D0 D1 FA 79 03 83 D2 00 89 55 F8 8B C7 E8 ?? ?? ?? ?? 48 50 8B C6 48 50 6A 01 6A 01 8D 45 E4 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 0D 00 74 1C 80 7F 69 01 75 16 8B 87 D4 02 00 00 01 45 F8 01 45 E4 8B C7 E8 ?? ?? ?? ?? 89 45 EC A1 ?? ?? ?? ?? 80 78 0D 00 74 0B 8B 87 78 02 00 00 E8 ?? ?? ?? ?? 6A 02 8B 45 FC 50 8B 4D F8 8D 55 E4 8B 87 78 02 00 00 8B 18 FF 93 98 00 00 00 80 7D F6 00 74 17 E8 ?? ?? ?? ?? 84 C0 75 0E 8D 55 E4 8B 87 78 02 00 00 8B 08 FF 51 4C 8B C7 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 6A 00 56 8D 45 E4 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 0D 00 74 14 80 7F 69 01 75 0E 33 C0 89 45 E4 8B 87 D4 02 00 00 89 45 EC E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 6E 80 BF C5 02 00 00 00 74 0B 8B C7 8B 10 FF 52 68 84 C0 75 04 B3 05 EB 25 80 BF E6 02 00 00 00 74 04 B3 04 EB 18 80 BF EA 02 00 00 00 74 0D 80 BF E5 02 00 00 00 75 04 B3 03 EB 02 B3 02 E8 ?? ?? ?? ?? 8B D3 8D 4D D8 8B 18 FF 53 6C 8D 45 E4 50 6A 00 8B 87 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D D8 5A E8 ?? ?? ?? ?? EB 48 80 BF C5 02 00 00 00 74 0B 8B C7 8B 10 FF 52 68 84 C0 75 07 BB 05 01 00 00 EB 15 80 BF E6 02 00 00 00 74 07 BB 05 42 00 00 EB 05 BB 05 00 00 00 53 6A 03 8D 45 E4 50 8B 87 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77572_0 {
	meta:
		name = "TCustomDBLookupComboBox.SetBounds"
		size = 62
		refs = "0033 TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 50 8B C3 8B 10 FF 92 04 01 00 00 50 8B C3 8B 10 FF 92 00 01 00 00 5A 03 D0 83 C2 04 52 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_77574_0 {
	meta:
		name = "TCustomDBLookupComboBox.StopTracking"
		size = 43
		refs = "0015 TCustomDBLookupComboBox.TrackButton 0025 TControl.SetMouseCapture"
	strings:
		$1 = { 53 8B D8 80 BB E7 02 00 00 00 74 1D 83 C9 FF 83 CA FF 8B C3 E8 ?? ?? ?? ?? C6 83 E7 02 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77575_0 {
	meta:
		name = "TCustomDBLookupComboBox.TrackButton"
		size = 95
		refs = "0010 TControl.GetClientHeight 001d TControl.GetClientWidth 0033 Rect 003e PtInRect"
	strings:
		$1 = { 56 83 C4 E8 8B F0 89 14 24 89 4C 24 04 8B C6 E8 ?? ?? ?? ?? 50 8D 44 24 0C 50 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 2B 86 D4 02 00 00 33 D2 59 E8 ?? ?? ?? ?? 8D 44 24 08 8B D4 E8 ?? ?? ?? ?? 3A 86 E6 02 00 00 74 10 88 86 E6 02 00 00 8B C6 8B 10 FF 92 A0 00 00 00 83 C4 18 5E C3 }
	condition:
		$1
}

rule function_77576_0 {
	meta:
		name = "TCustomDBLookupComboBox.CMCancelMode"
		size = 32
	strings:
		$1 = { 56 8B F0 8B 42 08 3B F0 74 14 3B 86 D0 02 00 00 74 0C 33 D2 8B C6 8B 08 FF 91 24 01 00 00 5E C3 }
	condition:
		$1
}

rule function_77577_0 {
	meta:
		name = "TCustomDBLookupComboBox.CMCtl3DChanged"
		size = 44
		refs = "0007 NewStyleControls 0013 TWinControl.RecreateWnd 001c TControl.SetHeight 0025 TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 10 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77581_0 {
	meta:
		name = "TCustomDBLookupComboBox.WMKillFocus"
		size = 24
		refs = "0006 TDBLookupControl.WMKillFocus"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 91 24 01 00 00 5E C3 }
	condition:
		$1
}

rule function_77584_0 {
	meta:
		name = "TCustomDBLookupComboBox.CMMouseEnter"
		size = 66
		refs = "0006 TControl.CMMouseEnter 000b TStyleManager.GetActiveStyle"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0B 0F B6 86 EA 02 00 00 34 01 EB 02 33 C0 84 C0 74 17 F6 46 1C 10 75 11 C6 86 EA 02 00 00 01 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_77585_0 {
	meta:
		name = "TCustomDBLookupComboBox.CMMouseLeave"
		size = 52
		refs = "0006 TControl.CMMouseLeave 000b TStyleManager.GetActiveStyle"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1A 80 BE EA 02 00 00 00 74 11 C6 86 EA 02 00 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_77586_0 {
	meta:
		name = "TCustomDBLookupComboBox.ListLinkDataChanged"
		size = 140
		refs = "0010 TCustomDBLookupComboBox.ListLinkDataChanged 004b TDataLink.GetDataSet 005c Null 0066 TDBLookupControl.SetKeyValue 007b @VarClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 9C 02 00 00 00 75 47 80 BB C5 02 00 00 00 74 3E 83 BB C8 02 00 00 00 75 35 8B 83 D0 02 00 00 83 B8 C8 02 00 00 00 75 26 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 80 B8 A8 00 00 00 00 74 12 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77588_0 {
	meta:
		name = "TDBRichEdit.Create"
		size = 131
		refs = "000e @ClassCreate 001c TCustomRichEdit.Create 0025 TCustomEdit.SetReadOnly 0033 _DV_TFieldDataLink 0038 TFieldDataLink.Create 004d TDBRichEdit.DataChange 0057 TDBRichEdit.EditingChange 0061 TDBRichEdit.UpdateData 006e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? C6 83 14 03 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 10 03 00 00 89 5E 24 89 5E 34 C7 46 30 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 89 5E 44 C7 46 40 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77589_0 {
	meta:
		name = "TDBRichEdit.CreateWnd"
		size = 71
		refs = "0014 TDBRichEdit.CreateWnd 0022 TCustomRichEdit.CreateWnd 003e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC FF 80 1C 03 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FF 88 1C 03 00 00 C3 E9 ?? ?? ?? ?? EB EF 59 5D C3 }
	condition:
		$1
}

rule function_77590_0 {
	meta:
		name = "TDBRichEdit.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0025 TCustomRichEdit.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 10 03 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 10 03 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77592_0 {
	meta:
		name = "TDBRichEdit.Notification"
		size = 58
		refs = "0010 TWinControl.Notification 0025 TDBRichEdit.GetDataSource 0032 TDBRichEdit.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 10 03 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77594_0 {
	meta:
		name = "TDBRichEdit.BeginEditing"
		size = 223
		refs = "0013 TDBRichEdit.BeginEditing 0082 @UStrAsg 0090 TFieldDataLink.Edit 00ad @UStrClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 10 03 00 00 0F B6 40 28 88 45 FB 84 C0 0F 85 84 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 10 03 00 00 8B 58 1C 85 DB 74 33 8B 03 FF 90 28 01 00 00 84 C0 74 27 8D 55 F4 8B 45 FC 8B 80 10 03 00 00 8B 40 1C 8B 08 FF 91 80 00 00 00 8B 55 F4 8B 45 FC 05 18 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 10 03 00 00 E8 ?? ?? ?? ?? 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 18 03 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77595_0 {
	meta:
		name = "TDBRichEdit.KeyDown"
		size = 95
		refs = "0014 TCustomEdit.KeyDown 004e TDBRichEdit.BeginEditing"
	strings:
		$1 = { 53 56 51 66 89 0C 24 8B DA 8B F0 8B D3 0F B7 0C 24 8B C6 E8 ?? ?? ?? ?? 80 BE 16 03 00 00 00 74 3A 66 83 3B 2E 74 24 66 83 3B 08 74 1E 66 83 3B 2D 75 06 F6 04 24 01 75 12 66 83 3B 56 74 06 66 83 3B 58 75 16 F6 04 24 04 74 10 8B C6 E8 ?? ?? ?? ?? 84 C0 75 05 66 C7 03 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_77596_0 {
	meta:
		name = "TDBRichEdit.KeyPress"
		size = 183
		refs = "000b TCustomMemo.KeyPress 0049 MessageBeep 0082 TDBRichEdit.BeginEditing 0098 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 16 03 00 00 00 0F 84 83 00 00 00 66 83 3E 20 72 30 8B 83 10 03 00 00 83 78 1C 00 74 24 0F B7 16 8B 83 10 03 00 00 8B 40 1C 8B 08 FF 91 2C 01 00 00 84 C0 75 0C 6A 00 E8 ?? ?? ?? ?? 66 C7 06 00 00 0F B7 06 83 F8 18 7F 16 74 23 83 C0 F8 83 E8 03 72 1B 83 E8 02 74 16 83 E8 09 74 11 EB 44 83 E8 1B 74 1C 83 C0 FB 2D E0 FF 00 00 73 35 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2A 66 C7 06 00 00 EB 23 8B 83 10 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 66 83 3E 0D 75 0A 8B C3 8B 10 FF 92 2C 01 00 00 66 C7 06 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77597_0 {
	meta:
		name = "TDBRichEdit.Change"
		size = 39
		refs = "0013 TFieldDataLink.Modified 0021 TCustomEdit.Change"
	strings:
		$1 = { 53 8B D8 80 BB 16 03 00 00 00 74 0B 8B 83 10 03 00 00 E8 ?? ?? ?? ?? C6 83 16 03 00 00 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77598_0 {
	meta:
		name = "TDBRichEdit.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 10 03 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_77599_0 {
	meta:
		name = "TDBRichEdit.SetDataSource"
		size = 35
		refs = "000f TDataLink.SetDataSource 001c TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 10 03 00 00 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77600_0 {
	meta:
		name = "TDBRichEdit.GetDataField"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 10 03 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77601_0 {
	meta:
		name = "TDBRichEdit.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 10 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77603_0 {
	meta:
		name = "TDBRichEdit.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 10 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77602_0 {
	meta:
		name = "TDBRichEdit.GetReadOnly"
		size = 11
	strings:
		$1 = { 8B 80 10 03 00 00 0F B6 40 14 C3 }
	condition:
		$1
}

rule function_77604_0 {
	meta:
		name = "TDBRichEdit.GetField"
		size = 10
	strings:
		$1 = { 8B 80 10 03 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_77605_0 {
	meta:
		name = "TDBRichEdit.LoadMemo"
		size = 472
		refs = "0018 TDBRichEdit.LoadMemo 008f Pos 00ac _Dn_TStringStream 00b1 TStringStream.Create 00e8 TObject.Free 00ee @HandleFinally 00fb TControl.SetText 0114 @HandleOnException 011c _Dn_EOutOfResources 013f Format 0155 @DoneExcept 0160 TDBRichEdit.EditingChange 0175 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 F0 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 80 B8 16 03 00 00 00 0F 85 32 01 00 00 8B 45 F8 8B 80 10 03 00 00 83 78 1C 00 0F 84 1F 01 00 00 8B 45 F8 8B 80 10 03 00 00 8B 40 1C 8B 00 FF 90 28 01 00 00 84 C0 0F 84 03 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F8 8B 80 10 03 00 00 8B 40 1C 8B 08 FF 91 80 00 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 74 10 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 4E 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 C8 02 00 00 8B 55 F4 8B 08 FF 51 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 C6 80 16 03 00 00 01 33 C0 5A 59 59 64 89 10 EB 46 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 45 F0 50 8B 43 04 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 80 C8 02 00 00 8B 08 FF 51 2C E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 7B 00 5C 00 72 00 74 00 66 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 7B 00 75 00 72 00 74 00 66 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 28 00 25 00 73 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_77606_0 {
	meta:
		name = "TDBRichEdit.DataChange"
		size = 464
		refs = "0014 TDBRichEdit.DataChange 0084 @UStrEqual 00b5 TField.GetDisplayLabel 00ce Format 00d8 TControl.SetText 00f5 TFieldDataLink.GetCanModify 010a TField.GetEditText 0127 TField.GetDisplayText 0163 TWinControl.HandleAllocated 0177 TWinControl.GetHandle 017d RedrawWindow 0197 @UStrArrayClr 01aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 10 03 00 00 8B 70 1C 85 F6 0F 84 0F 01 00 00 8B 06 FF 90 28 01 00 00 84 C0 0F 84 A6 00 00 00 80 BB 14 03 00 00 00 75 15 8B 83 10 03 00 00 80 78 28 00 74 50 80 BB 16 03 00 00 00 74 47 83 BB 18 03 00 00 00 74 28 8D 55 FC 8B 83 10 03 00 00 8B 40 1C 8B 08 FF 91 80 00 00 00 8B 55 FC 8B 83 18 03 00 00 E8 ?? ?? ?? ?? 0F 84 F3 00 00 00 C6 83 16 03 00 00 00 8B C3 8B 10 FF 92 2C 01 00 00 E9 BC 00 00 00 8D 45 F8 50 8D 55 EC 8B 83 10 03 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? C6 83 16 03 00 00 00 EB 7B 80 BB 15 03 00 00 00 74 2C 8B 83 10 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 1D 8D 55 E8 8B 83 10 03 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? EB 1B 8D 55 E4 8B 83 10 03 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? C6 83 16 03 00 00 01 EB 22 F6 43 1C 10 74 0C 8B 53 08 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 16 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 68 05 04 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 28 00 25 00 73 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_77607_0 {
	meta:
		name = "TDBRichEdit.EditingChange"
		size = 33
		refs = "001c TCustomEdit.SetReadOnly"
	strings:
		$1 = { 8B 90 10 03 00 00 80 7A 28 00 74 0D 80 B8 16 03 00 00 00 74 04 33 D2 EB 02 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77608_0 {
	meta:
		name = "TDBRichEdit.EMSetCharFormat"
		size = 34
		refs = "0012 TDBRichEdit.BeginEditing"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 1C 03 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_77609_0 {
	meta:
		name = "TDBRichEdit.EMSetParaFormat"
		size = 25
		refs = "0009 TDBRichEdit.BeginEditing"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_77610_0 {
	meta:
		name = "TDBRichEdit.UpdateData"
		size = 227
		refs = "0010 TDBRichEdit.UpdateData 0034 _Dn_TStringStream 0039 TStringStream.Create 0066 TStringStream.GetDataString 008f TObject.Free 0095 @HandleFinally 00a1 TControl.GetText 00ca @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 10 03 00 00 8B 40 1C 8B 00 FF 90 28 01 00 00 84 C0 74 6C 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 C8 02 00 00 8B 55 FC 8B 08 FF 91 84 00 00 00 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 83 10 03 00 00 8B 40 1C 8B 08 FF 91 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 83 10 03 00 00 8B 40 1C 8B 08 FF 91 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77611_0 {
	meta:
		name = "TDBRichEdit.SetFocused"
		size = 57
		refs = "0032 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B D8 3A 93 15 03 00 00 74 2A 88 93 15 03 00 00 8B 83 10 03 00 00 8B 70 1C 85 F6 74 0C 8B 06 FF 90 28 01 00 00 84 C0 75 0B 8B 83 10 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77612_0 {
	meta:
		name = "TDBRichEdit.CMEnter"
		size = 51
		refs = "000b TDBRichEdit.SetFocused 0014 TCustomEdit.CMEnter 001f TFieldDataLink.GetCanModify 002c TCustomEdit.SetReadOnly"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 10 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77613_0 {
	meta:
		name = "TDBRichEdit.CMExit"
		size = 102
		refs = "0010 TDBRichEdit.CMExit 0024 TDataLink.UpdateRecord 0033 @HandleAnyException 0043 @RaiseAgain 0048 @DoneExcept 0052 TDBRichEdit.SetFocused 005c TCustomEdit.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 10 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77614_0 {
	meta:
		name = "TDBRichEdit.SetAutoDisplay"
		size = 27
	strings:
		$1 = { 3A 90 14 03 00 00 74 12 88 90 14 03 00 00 84 D2 74 08 8B 10 FF 92 2C 01 00 00 C3 }
	condition:
		$1
}

rule function_77615_0 {
	meta:
		name = "TDBRichEdit.WMLButtonDblClk"
		size = 24
		refs = "0013 TControl.WMLButtonDblClk"
	strings:
		$1 = { 80 B8 16 03 00 00 00 75 09 8B 10 FF 92 2C 01 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77616_0 {
	meta:
		name = "TDBRichEdit.WMClear"
		size = 29
		refs = "0009 TDBRichEdit.BeginEditing"
		altNames = "TDBRichEdit.WMCut TDBRichEdit.WMPaste"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_77619_0 {
	meta:
		name = "TDBRichEdit.CMGetDataLink"
		size = 10
	strings:
		$1 = { 8B 80 10 03 00 00 89 42 0C C3 }
	condition:
		$1
}

rule function_77620_0 {
	meta:
		name = "TDBRichEdit.ExecuteAction"
		size = 59
		refs = "000d TComponent.ExecuteAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB 10 03 00 00 85 ED 74 11 8B D7 8B C5 66 BE FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77621_0 {
	meta:
		name = "TDBRichEdit.UpdateAction"
		size = 59
		refs = "000d TComponent.UpdateAction 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B AB 10 03 00 00 85 ED 74 11 8B D7 8B C5 66 BE FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77622_0 {
	meta:
		name = "TVCLScreenApplication.GetCursor"
		size = 41
		refs = "0001 Screen"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 0F B7 40 4C 66 83 E8 EF 74 12 66 83 E8 06 74 09 66 83 E8 0B 75 09 33 C0 C3 B0 01 C3 B0 02 C3 B0 03 C3 }
	condition:
		$1
}

rule function_77623_0 {
	meta:
		name = "TVCLScreenApplication.GetTitle"
		size = 19
		refs = "0006 Application 000d TApplication.GetTitle"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77625_0 {
	meta:
		name = "TVCLScreenApplication.SetCursor"
		size = 62
		refs = "000e Screen 0017 TScreen.SetCursor"
	strings:
		$1 = { 80 EA 01 72 08 74 15 FE CA 74 22 EB 30 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C3 A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? C3 A1 ?? ?? ?? ?? 8B 00 66 BA EF FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77628_0 {
	meta:
		name = "Vcl.DBCtrls"
		size = 112
		refs = "0002 _DV_32 000a _Nn__B3B 000f @InitImports 0016 _DV_TVCLScreenApplication 001b TObject.Create 0029 DBScreen 002e Vcl.DBCtrls 0033 @IntfCast 0038 DBApplication"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 45 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 A1 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 08 C5 A1 29 DC 6A CD 44 88 DE 4F 51 B2 5D 59 95 76 DF A0 FA 6A EC AA 48 97 54 2D 36 DF 81 5C 0D }
	condition:
		$1
}

rule function_77632_0 {
	meta:
		name = "KillMessage"
		size = 57
		refs = "001a PeekMessage 002f PostQuitMessage"
	strings:
		$1 = { 53 56 83 C4 E4 8B DA 8B F0 33 C0 89 44 24 04 6A 01 53 53 56 8D 44 24 10 50 E8 ?? ?? ?? ?? 85 C0 74 11 83 7C 24 04 12 75 0A 8B 44 24 08 50 E8 ?? ?? ?? ?? 83 C4 1C 5E 5B C3 }
	condition:
		$1
}

rule function_77633_0 {
	meta:
		name = "TDBGridInplaceEdit.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TInplaceEditList.Create 0020 _Dn_TDataSource 0025 TDataSource.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 08 03 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_77634_0 {
	meta:
		name = "TDBGridInplaceEdit.CloseUp"
		size = 537
		refs = "0018 TDBGridInplaceEdit.CloseUp 0030 GetCapture 0045 SendMessage 0061 @VarCopy 006a TInplaceEditList.GetPickList 00a6 @VarFromUStr 00c0 TWinControl.GetHandle 00c6 SetWindowPos 00de TDBLookupControl.SetListSource 00eb TDataSource.SetDataSet 00f2 TInplaceEdit.Invalidate 0117 TCustomDBGrid.GetSelectedIndex 0124 TDBGridColumns.GetColumn 0129 TColumn.GetField 0134 TDataSet.FieldByName 0153 TDataLink.Edit 0172 VarIsNull 0195 @VarToUStr 01b0 @CallDynaInst 01de TField.SetEditText 01e5 TCustomGrid.InvalidateEditor 01ff @UStrArrayClr 0207 @VarClr 020d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 88 55 EF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB E4 02 00 00 00 0F 84 BA 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 11 6A 00 6A 00 6A 1F E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B B3 00 03 00 00 3B B3 D8 02 00 00 75 10 8D 45 F0 8D 96 B0 02 00 00 E8 ?? ?? ?? ?? EB 43 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 F8 00 00 00 40 74 31 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 F8 00 00 00 50 8B C3 E8 ?? ?? ?? ?? 8B 80 88 02 00 00 8D 4D E8 5A 8B 30 FF 56 0C 8B 55 E8 8D 45 F0 E8 ?? ?? ?? ?? 68 97 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 E4 02 00 00 00 8B 83 00 03 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 33 D2 8B 83 08 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7D EF 00 0F 84 E9 00 00 00 8B 83 D8 02 00 00 3B 83 00 03 00 00 75 60 8B 9B C8 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 94 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 70 8B 40 3C E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 92 94 00 00 00 84 C0 0F 84 9D 00 00 00 8B 83 68 03 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 8A 00 00 00 8D 55 F0 8B C6 8B 08 FF 91 00 01 00 00 EB 7B 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 6F 8B C3 8B 10 FF 92 1C 01 00 00 84 C0 74 61 8B 9B C8 02 00 00 8D 45 E4 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 8B 90 02 00 00 8B 93 94 02 00 00 8B C3 66 BE A8 FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 94 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 45 E0 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 E0 58 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77635_0 {
	meta:
		name = "TDBGridInplaceEdit.DoEditButtonClick"
		size = 18
		refs = "000c @CallDynaInst"
	strings:
		$1 = { 56 8B 80 C8 02 00 00 66 BE 90 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_77636_0 {
	meta:
		name = "TDBGridInplaceEdit.DropDown"
		size = 362
		refs = "0016 TDBGridInplaceEdit.DropDown 0036 TCustomDBGrid.GetSelectedIndex 0043 TDBGridColumns.GetColumn 005e TColumn.GetField 006e TControl.SetColor 007c TControl.SetFont 008a TDBLookupListBox.SetRowCount 0098 TDataSource.SetDataSet 00a6 TDBLookupControl.SetKeyFieldName 00b4 TDBLookupControl.SetListFieldName 00bc Null 00ca TDBLookupControl.SetKeyValue 00db TDBLookupControl.SetListSource 00e6 TDataSet.FieldByName 0108 TInplaceEditList.GetPickList 0113 TColumn.GetPickList 0137 TInplaceEditList.DropDown 014d Variant 0157 @FinalizeArray 015d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB E4 02 00 00 00 0F 85 07 01 00 00 8B B3 C8 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 94 03 00 00 E8 ?? ?? ?? ?? 8B F8 8B B3 D8 02 00 00 3B B3 00 03 00 00 0F 85 AA 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B F0 8B 53 74 8B 83 00 03 00 00 E8 ?? ?? ?? ?? 8B 53 6C 8B 83 00 03 00 00 E8 ?? ?? ?? ?? 8B 57 34 8B 83 00 03 00 00 E8 ?? ?? ?? ?? 8B 56 6C 8B 83 08 03 00 00 E8 ?? ?? ?? ?? 8B 56 74 8B 83 00 03 00 00 E8 ?? ?? ?? ?? 8B 56 78 8B 83 00 03 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 F0 8B 83 00 03 00 00 E8 ?? ?? ?? ?? 8B 93 08 03 00 00 8B 83 00 03 00 00 E8 ?? ?? ?? ?? 8B 56 70 8B 46 3C E8 ?? ?? ?? ?? 8D 55 E0 8B 08 FF 91 90 00 00 00 8D 55 E0 8B 83 00 03 00 00 E8 ?? ?? ?? ?? EB 2F 8B C3 E8 ?? ?? ?? ?? 3B F0 75 24 8B C7 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 80 88 02 00 00 5A 8B 08 FF 51 08 8B 47 34 89 83 E0 02 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77637_0 {
	meta:
		name = "TDBGridInplaceEdit.UpdateContents"
		size = 261
		refs = "000d TDBGridInplaceEdit.UpdateContents 001a TInplaceEditList.UpdateContents 0035 _Dn_TPopupDataList 003a TPopupDataList.Create 004b TControl.SetVisible 0071 TInplaceEditList.ListMouseUp 008a TCustomDBGrid.GetSelectedIndex 0097 TDBGridColumns.GetColumn 00a0 TColumn.GetReadOnly 00a9 TCustomEdit.SetReadOnly 00b0 TColumn.GetFont 00c1 TColumn.GetImeMode 00d1 TColumn.GetImeName 00df @UStrAsg 00f4 @UStrClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB 04 03 00 00 00 74 5A 83 BB 00 03 00 00 00 75 45 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 00 03 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 83 00 03 00 00 8B 08 FF 91 84 00 00 00 8B 83 00 03 00 00 89 98 DC 00 00 00 C7 80 D8 00 00 00 ?? ?? ?? ?? 8B 83 00 03 00 00 89 83 D8 02 00 00 8B B3 C8 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 94 03 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 6C 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 88 83 D4 01 00 00 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 D8 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77640_0 {
	meta:
		name = "TGridDataLink.GetDefaultFields"
		size = 74
		refs = "0009 TDataLink.GetDataSet"
	strings:
		$1 = { 53 56 8B F0 B3 01 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C6 E8 ?? ?? ?? ?? 0F B6 98 AE 00 00 00 84 DB 74 22 80 7E 2A 00 74 1C 8B 46 20 48 85 C0 7C 14 40 33 D2 8B 4E 24 83 3C 91 00 7D 04 33 DB EB 04 42 48 75 EF 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_77641_0 {
	meta:
		name = "TGridDataLink.GetFields"
		size = 53
		refs = "001b TDataLink.GetDataSet 0029 TFieldList.GetField"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 26 3B 73 20 7D 21 8B 43 24 83 3C B0 00 7C 18 8B C3 E8 ?? ?? ?? ?? 8B 40 48 8B 53 24 8B 14 B2 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_77642_0 {
	meta:
		name = "TGridDataLink.AddMapping"
		size = 286
		refs = "0016 TGridDataLink.AddMapping 0031 STooManyColumns 0036 LoadResString 003e RaiseGridError 004b TDataLink.GetDataSet 0052 TDataSet.FindField 0064 TDataSet.FieldByName 006e @DynArrayLength 00b0 :TGridDataLink.:1 00b5 @DynArraySetLength 00e0 TComponent.FreeNotification 0107 @UStrClr 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 81 7B 20 FF FF FF 0F 7C 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 80 7B 2A 00 74 12 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F8 EB 10 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F8 8B 43 24 E8 ?? ?? ?? ?? 3B 43 20 75 45 8B 43 24 E8 ?? ?? ?? ?? 8B F0 85 F6 75 07 BE 08 00 00 00 EB 02 03 F6 8B 43 20 3B F0 7D 03 8B F0 46 81 FE FF FF FF 0F 7E 05 BE FF FF FF 0F 56 8D 43 24 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 FF 74 26 8B C3 E8 ?? ?? ?? ?? 8B 40 48 8B D7 8B 08 FF 51 5C 8B 53 24 8B 4B 20 89 04 8A 8B 53 1C 8B C7 E8 ?? ?? ?? ?? EB 0D 8B 43 24 8B 53 20 C7 04 90 FF FF FF FF FF 43 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77643_0 {
	meta:
		name = "TGridDataLink.ActiveChanged"
		size = 128
		refs = "000c TGridDataLink.ActiveChanged 0039 SDataSetUnidirectional 003e LoadResString 0048 DatabaseError 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 15 00 74 30 83 7B 04 00 74 2A 8B 43 04 8B 40 38 85 C0 74 20 80 B8 90 00 00 00 00 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 0F B6 53 15 8B 43 1C 8B 08 FF 91 30 01 00 00 C6 43 28 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_77644_0 {
	meta:
		name = "TGridDataLink.ClearMapping"
		size = 24
		refs = "0008 :TGridDataLink.:1 000d @DynArrayClear"
	strings:
		$1 = { 53 8B D8 8D 43 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 43 20 5B C3 }
	condition:
		$1
}

rule function_77646_0 {
	meta:
		name = "TGridDataLink.DataSetChanged"
		size = 17
		refs = "0007 TCustomDBGrid.DataChanged"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? C6 43 28 00 5B C3 }
	condition:
		$1
}

rule function_77647_0 {
	meta:
		name = "TGridDataLink.DataSetScrolled"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 1C 8B 08 FF 91 34 01 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_77648_0 {
	meta:
		name = "TGridDataLink.LayoutChanged"
		size = 103
		refs = "0024 TGridDataLink.LayoutChanged 0055 @HandleFinally 005f TDataLink.LayoutChanged"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 1C 0F B6 90 57 03 00 00 88 55 FB C6 80 57 03 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 10 FF 92 2C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 0F B6 55 FB 88 90 57 03 00 00 C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_77649_0 {
	meta:
		name = "TGridDataLink.FocusControl"
		size = 64
		refs = "0015 TCustomDBGrid.SetSelectedField 001d TCustomDBGrid.GetSelectedField 0029 TCustomDBGrid.AcquireFocus 0039 TCustomGrid.ShowEditor"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 33 83 3B 00 74 2E 8B 13 8B 46 1C E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 3B 03 75 18 8B 46 1C E8 ?? ?? ?? ?? 84 C0 74 0C 33 C0 89 03 8B 46 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77651_0 {
	meta:
		name = "TGridDataLink.RecordChanged"
		size = 64
		refs = "001a TCustomDBGrid.GetSelectedField 0035 TCustomDBGrid.RecordChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 28 00 74 23 85 F6 74 1F 80 7E 4A 00 75 19 8B 43 1C E8 ?? ?? ?? ?? 3B F0 74 0D 80 7B 29 00 75 07 8B C3 8B 10 FF 52 50 8B D6 8B 43 1C E8 ?? ?? ?? ?? C6 43 28 00 5E 5B C3 }
	condition:
		$1
}

rule function_77652_0 {
	meta:
		name = "TGridDataLink.UpdateData"
		size = 86
		refs = "0012 TGridDataLink.UpdateData 002c TCustomDBGrid.UpdateData 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 40 29 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 28 00 74 0B 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 45 FC C6 40 28 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 29 00 C3 E9 ?? ?? ?? ?? EB F1 59 5D C3 }
	condition:
		$1
}

rule function_77653_0 {
	meta:
		name = "TGridDataLink.GetMappedIndex"
		size = 20
	strings:
		$1 = { 85 D2 7C 0C 3B 50 20 7D 07 8B 40 24 8B 04 90 C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_77654_0 {
	meta:
		name = "TGridDataLink.Reset"
		size = 37
		refs = "0017 TDataLink.GetDataSet"
	strings:
		$1 = { 53 8B D8 80 7B 28 00 74 0B 33 D2 8B C3 8B 08 FF 51 44 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 68 02 00 00 5B C3 }
	condition:
		$1
}

rule function_77657_0 {
	meta:
		name = "TColumnTitle.Create"
		size = 106
		refs = "000b @ClassCreate 001a TObject.Create 0024 _Dn_TFont 0029 TFont.Create 0035 TColumnTitle.DefaultFont 004b TColumnTitle.FontChanged 0056 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 0C 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 08 8B 47 0C 89 78 0C C7 40 08 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77659_0 {
	meta:
		name = "TColumnTitle.Assign"
		size = 195
		refs = "0010 TColumnTitle.Assign 001e _DV_TColumnTitle 0023 @IsClass 0039 TColumnTitle.GetAlignment 0042 TColumnTitle.SetAlignment 0052 TColumnTitle.GetColor 005b TColumnTitle.SetColor 006e TColumnTitle.GetCaption 0088 TColumnTitle.GetFont 0091 TColumnTitle.SetFont 009c TPersistent.Assign 00b1 @UStrClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6C 8B F3 8B 46 04 F6 40 3B 80 74 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 46 04 F6 40 3B 20 74 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 46 04 F6 40 3B 40 74 14 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 0C 8B 46 04 F6 40 3C 01 74 1B 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 09 8B D3 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77661_0 {
	meta:
		name = "TColumnTitle.DefaultColor"
		size = 25
		refs = "0004 TColumn.GetGrid"
	strings:
		$1 = { 8B 40 04 E8 ?? ?? ?? ?? 85 C0 74 07 8B 80 AC 02 00 00 C3 B8 0F 00 00 FF C3 }
	condition:
		$1
}

rule function_77662_0 {
	meta:
		name = "TColumnTitle.DefaultFont"
		size = 33
		refs = "0007 TColumn.GetGrid 001b TColumn.GetFont"
	strings:
		$1 = { 53 8B D8 8B 43 04 E8 ?? ?? ?? ?? 85 C0 74 08 8B 80 48 03 00 00 5B C3 8B 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77663_0 {
	meta:
		name = "TColumnTitle.DefaultCaption"
		size = 49
		refs = "000b TColumn.GetField 001a TField.GetDisplayName 0029 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 0D 8B C7 8B 53 04 8B 52 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77664_0 {
	meta:
		name = "TColumnTitle.FontChanged"
		size = 24
		refs = "0012 TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 8B 43 04 66 81 48 3B 00 01 B2 01 8B 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77665_0 {
	meta:
		name = "TColumnTitle.GetAlignment"
		size = 27
		refs = "0015 TColumnTitle.DefaultAlignment"
	strings:
		$1 = { 53 8B D8 8B 43 04 F6 40 3B 80 74 06 0F B6 43 14 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77666_0 {
	meta:
		name = "TColumnTitle.GetColor"
		size = 19
		refs = "000e TColumnTitle.DefaultColor"
	strings:
		$1 = { 8B 50 04 F6 42 3B 20 74 04 8B 40 10 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77667_0 {
	meta:
		name = "TColumnTitle.GetCaption"
		size = 40
		refs = "0015 @UStrAsg 0021 TColumnTitle.DefaultCaption"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 F6 40 3B 40 74 0D 8B C6 8B 53 08 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77668_0 {
	meta:
		name = "TColumnTitle.GetFont"
		size = 123
		refs = "0014 TColumnTitle.DefaultFont 001e TFont.GetHandle"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D8 8B 43 04 F6 40 3C 01 75 61 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 43 0C E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 75 0B 8B 43 0C 8B 40 18 3B 46 18 74 38 8B 73 0C 8B 46 08 89 04 24 8B 46 0C 89 44 24 04 33 C0 89 46 08 89 46 0C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 08 8B 43 0C 8B 14 24 89 50 08 8B 54 24 04 89 50 0C 8B 43 0C 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77669_0 {
	meta:
		name = "TColumnTitle.IsAlignmentStored"
		size = 32
		refs = "000f TColumnTitle.DefaultAlignment"
	strings:
		$1 = { 53 8B D8 8B 43 04 F6 40 3B 80 74 0C 8B C3 E8 ?? ?? ?? ?? 3A 43 14 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_77670_0 {
	meta:
		name = "TColumnTitle.IsColorStored"
		size = 32
		refs = "000f TColumnTitle.DefaultColor"
	strings:
		$1 = { 53 8B D8 8B 43 04 F6 40 3B 20 74 0C 8B C3 E8 ?? ?? ?? ?? 3B 43 10 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_77671_0 {
	meta:
		name = "TColumnTitle.IsFontStored"
		size = 11
	strings:
		$1 = { 8B 40 04 F6 40 3C 01 0F 95 C0 C3 }
	condition:
		$1
}

rule function_77672_0 {
	meta:
		name = "TColumnTitle.IsCaptionStored"
		size = 97
		refs = "000c TColumnTitle.IsCaptionStored 0025 TColumnTitle.DefaultCaption 0030 @UStrEqual 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 F6 40 3B 40 74 17 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 E8 ?? ?? ?? ?? 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_77673_0 {
	meta:
		name = "TColumnTitle.RefreshDefaultFont"
		size = 123
		refs = "0034 TColumnTitle.RefreshDefaultFont 0042 TColumnTitle.DefaultFont 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 45 FC 8B 45 FC 8B 40 04 F6 40 3C 01 75 60 8B 45 FC 8B 58 0C 8B 43 08 89 45 F0 8B 43 0C 89 45 F4 33 C0 89 43 08 89 43 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 55 F0 89 50 08 8B 55 F4 89 50 0C C3 E9 ?? ?? ?? ?? EB E6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77674_0 {
	meta:
		name = "TColumnTitle.RestoreDefaults"
		size = 68
		refs = "0015 TColumnTitle.RestoreDefaults 0027 @UStrClr 002e TColumnTitle.RefreshDefaultFont 0038 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 57 8B F0 8B 7E 04 F6 47 3C 01 0F 95 C3 8B 46 04 0F B7 15 ?? ?? ?? ?? F7 D2 66 23 50 3B 66 89 57 3B 8D 46 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 46 04 E8 ?? ?? ?? ?? 5F 5E 5B C3 E0 01 00 00 }
	condition:
		$1
}

rule function_77675_0 {
	meta:
		name = "TColumnTitle.SetAlignment"
		size = 41
		refs = "0023 TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 8B 43 04 F6 40 3B 80 74 05 3A 53 14 74 16 88 53 14 8B 43 04 66 81 48 3B 80 00 33 D2 8B 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77676_0 {
	meta:
		name = "TColumnTitle.SetColor"
		size = 40
		refs = "0022 TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 8B 43 04 F6 40 3B 20 74 05 3B 53 10 74 15 89 53 10 8B 43 04 66 83 48 3B 20 33 D2 8B 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77677_0 {
	meta:
		name = "TColumnTitle.SetFont"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 0C 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_77678_0 {
	meta:
		name = "TColumnTitle.SetCaption"
		size = 121
		refs = "001f @UStrEqual 002b @UStrAsg 003d TCollectionItem.Changed 0044 TColumn.GetGrid 005e TColumn.GetField 0071 TField.SetDisplayLabel"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 04 80 78 3F 00 74 33 8B 43 04 F6 40 3B 40 74 0C 8B C7 8B 53 08 E8 ?? ?? ?? ?? 74 50 8D 43 08 8B D7 E8 ?? ?? ?? ?? 8B 43 04 66 83 48 3B 40 33 D2 8B 43 04 E8 ?? ?? ?? ?? EB 32 E8 ?? ?? ?? ?? 8B F0 85 F6 74 27 8B 86 68 03 00 00 80 78 15 00 74 1B 8B 43 04 E8 ?? ?? ?? ?? 85 C0 74 0F 8B 43 04 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77679_0 {
	meta:
		name = "TColumn.Create"
		size = 358
		refs = "0014 @ClassCreate 0024 TColumn.Create 003b _DV_TDBGridColumns 0040 @IsClass 0058 TCustomDBGrid.BeginLayout 0072 TCollectionItem.Create 008a _Dn_TFont 008f TFont.Create 009f TColumn.DefaultFont 00bb TColumn.FontChanged 00ca Screen 00d1 TScreen.GetDefaultIME 00df @UStrAsg 011d TCustomDBGrid.EndLayout 0123 @HandleFinally 013a @UStrClr 0150 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 85 DB 74 17 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 43 18 89 45 F4 83 7D F4 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 34 07 00 00 00 8B 45 FC C6 40 38 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 08 8B 45 FC 8B 40 20 8B 55 FC 89 50 0C C7 40 08 ?? ?? ?? ?? 8B 45 FC C6 40 24 03 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 83 C0 28 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 38 8B 55 FC 89 42 1C 8B 45 FC C6 40 3D 01 8B 45 FC C6 40 3E 01 8B 45 FC C6 40 3F 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77680_0 {
	meta:
		name = "TColumn.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000f TObject.Free 002a TCollectionItem.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 1C E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77681_0 {
	meta:
		name = "TColumn.Assign"
		size = 431
		refs = "0016 TColumn.Assign 0024 _DV_TColumn 0029 @IsClass 0065 TColumn.SetFieldName 0072 TColumn.GetColor 007c TColumn.SetColor 0089 TColumn.GetWidth 00a0 TColumn.GetFont 00aa TColumn.SetFont 00b7 TColumn.GetImeMode 00d1 TColumn.GetImeName 00e9 TColumn.GetAlignment 0100 TColumn.GetReadOnly 0115 TColumn.SetTitle 012a TColumn.SetButtonStyle 0131 TColumn.GetPickList 013b TColumn.SetPickList 0146 TColumn.SetPopupMenu 017c @HandleFinally 0188 TPersistent.Assign 019d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 4D 01 00 00 8B 45 FC 8B 70 04 85 F6 74 07 8B C6 8B 10 FF 52 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 3C 8B F3 8B 56 10 8B 45 FC E8 ?? ?? ?? ?? F6 46 3B 01 74 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? F6 46 3B 02 74 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 34 F6 46 3B 04 74 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? F6 46 3C 02 74 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 28 F6 46 3C 04 74 15 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 2C F6 46 3B 08 74 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 20 F6 46 3B 10 74 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 30 8B 56 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 46 34 8B 55 FC 89 42 34 0F B6 56 38 8B 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 56 30 8B 45 FC E8 ?? ?? ?? ?? 0F B6 46 3D 8B 55 FC 88 42 3D 0F B6 46 3E 8B 55 FC 88 42 3E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB E9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77684_0 {
	meta:
		name = "TColumn.DefaultColor"
		size = 22
		refs = "0001 TColumn.GetGrid"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 07 8B 80 28 03 00 00 C3 B8 05 00 00 FF C3 }
	condition:
		$1
}

rule function_77685_0 {
	meta:
		name = "TColumn.DefaultFont"
		size = 24
		refs = "0006 TColumn.GetGrid"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 05 8B 40 6C 5B C3 8B 43 20 5B C3 }
	condition:
		$1
}

rule function_77686_0 {
	meta:
		name = "TColumn.DefaultImeMode"
		size = 29
		refs = "0006 TColumn.GetGrid"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 09 0F B6 80 D4 01 00 00 5B C3 0F B6 43 24 5B C3 }
	condition:
		$1
}

rule function_77687_0 {
	meta:
		name = "TColumn.DefaultImeName"
		size = 49
		refs = "000a TColumn.GetGrid 001d @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0F 8B C7 8B 96 D8 01 00 00 E8 ?? ?? ?? ?? EB 0A 8B C7 8B 53 28 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77688_0 {
	meta:
		name = "TColumn.DefaultReadOnly"
		size = 56
		refs = "0007 TColumn.GetGrid 001d TColumn.GetField"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 09 80 BE 4C 03 00 00 00 75 19 8B C3 E8 ?? ?? ?? ?? 85 C0 74 09 8B 43 0C 80 78 49 00 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_77689_0 {
	meta:
		name = "TColumn.DefaultWidth"
		size = 436
		refs = "0013 TColumn.DefaultWidth 0020 TColumn.GetGrid 0041 TColumn.GetField 0051 TWinControl.HandleAllocated 0063 GetDC 0073 TCanvas.SetHandle 0088 TColumn.GetFont 0098 TCanvas.SetFont 00aa TCanvas.GetHandle 00b0 GetTextMetrics 00c3 TCustomCanvas.TextWidth 00d4 TField.GetDisplayWidth 00f4 TColumnTitle.GetFont 010f TColumnTitle.GetCaption 0166 ReleaseDC 016c @HandleFinally 018f @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 33 D2 89 55 B4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0C C7 45 FC 40 00 00 00 E9 4A 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 25 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 34 01 88 45 FB 80 7D FB 00 74 17 6A 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8D 45 B8 50 8B 45 F4 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 78 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 2B 75 D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F AF F0 03 75 D8 83 C6 04 89 75 FC 8B 45 F4 F6 80 58 03 00 00 04 74 3F 8B 43 1C E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8D 55 B4 8B 43 1C E8 ?? ?? ?? ?? 8B 55 B4 8B 45 F4 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 83 C0 04 3B 45 FC 7E 03 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 28 8B 45 F4 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 8B 80 78 02 00 00 33 D2 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 8B 45 F4 8B 80 98 02 00 00 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_77690_0 {
	meta:
		name = "TColumn.FontChanged"
		size = 27
		refs = "000c TColumnTitle.RefreshDefaultFont 0015 TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 66 83 4B 3B 04 8B 43 1C E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77691_0 {
	meta:
		name = "TColumn.GetAlignment"
		size = 24
		refs = "0012 TColumn.DefaultAlignment"
	strings:
		$1 = { 53 8B D8 F6 43 3B 08 74 06 0F B6 43 39 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77692_0 {
	meta:
		name = "TColumn.GetColor"
		size = 16
		refs = "000b TColumn.DefaultColor"
	strings:
		$1 = { F6 40 3B 01 74 04 8B 40 14 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77693_0 {
	meta:
		name = "TColumn.GetExpanded"
		size = 28
		refs = "000c TColumn.GetExpandable"
	strings:
		$1 = { 53 8B D8 80 7B 3E 00 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_77694_0 {
	meta:
		name = "TColumn.GetField"
		size = 130
		refs = "0007 TColumn.GetGrid 0040 TDataLink.GetDataSet 0058 TDataSet.GetActive 006f TDataSet.FindField"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 83 7B 0C 00 75 13 8B 43 10 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C0 EB 02 33 C0 84 C0 74 07 85 F6 0F 95 C0 EB 02 33 C0 84 C0 74 43 8B 86 68 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 34 8B 86 68 03 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 09 80 BE AE 00 00 00 00 75 13 8B 53 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 24 8B 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_77695_0 {
	meta:
		name = "TColumn.GetFont"
		size = 103
		refs = "0011 TFont.GetHandle 001a TColumn.DefaultFont"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 F6 43 3B 04 75 52 8B 43 20 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 74 38 8B 73 20 8B 46 08 89 04 24 8B 46 0C 89 44 24 04 33 C0 89 46 08 89 46 0C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 08 8B 43 20 8B 14 24 89 50 08 8B 54 24 04 89 50 0C 8B 43 20 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_77698_0 {
	meta:
		name = "TColumn.GetImeMode"
		size = 24
		refs = "0012 TColumn.DefaultImeMode"
	strings:
		$1 = { 53 8B D8 F6 43 3C 02 74 06 0F B6 43 24 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77699_0 {
	meta:
		name = "TColumn.GetImeName"
		size = 37
		refs = "0012 @UStrAsg 001e TColumn.DefaultImeName"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 3C 04 74 0D 8B C6 8B 53 28 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77701_0 {
	meta:
		name = "TColumn.GetPickList"
		size = 29
		refs = "000c _Dn_TStringList 0011 TStringList.Create"
	strings:
		$1 = { 53 8B D8 83 7B 2C 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_77702_0 {
	meta:
		name = "TColumn.GetReadOnly"
		size = 17
		refs = "000c TColumn.DefaultReadOnly"
	strings:
		$1 = { F6 40 3B 10 74 05 0F B6 40 3A C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77703_0 {
	meta:
		name = "TColumn.GetShowing"
		size = 66
		refs = "0006 TColumn.GetExpanded 0011 TColumn.GetVisible 0026 TColumn.GetParentColumn"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 74 1D 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 E8 85 DB 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_77704_0 {
	meta:
		name = "TColumn.GetVisible"
		size = 49
		refs = "000b TColumn.GetParentColumn 001c TColumn.GetVisible"
	strings:
		$1 = { 53 56 0F B6 58 3D 84 DB 74 22 E8 ?? ?? ?? ?? 8B F0 84 DB 74 0F 85 F6 74 0F 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_77705_0 {
	meta:
		name = "TColumn.GetWidth"
		size = 39
		refs = "0006 TColumn.GetShowing 0021 TColumn.DefaultWidth"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 05 83 C8 FF 5B C3 F6 43 3B 02 74 05 8B 43 18 EB 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77706_0 {
	meta:
		name = "TColumn.IsAlignmentStored"
		size = 29
		refs = "000c TColumn.DefaultAlignment"
	strings:
		$1 = { 53 8B D8 F6 43 3B 08 74 0C 8B C3 E8 ?? ?? ?? ?? 3A 43 39 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_77707_0 {
	meta:
		name = "TColumn.IsColorStored"
		size = 29
		refs = "000c TColumn.DefaultColor"
	strings:
		$1 = { 53 8B D8 F6 43 3B 01 74 0C 8B C3 E8 ?? ?? ?? ?? 3B 43 14 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_77708_0 {
	meta:
		name = "TColumn.IsFontStored"
		size = 8
	strings:
		$1 = { F6 40 3B 04 0F 95 C0 C3 }
	condition:
		$1
}

rule function_77709_0 {
	meta:
		name = "TColumn.IsImeModeStored"
		size = 29
		refs = "000c TColumn.DefaultImeMode"
	strings:
		$1 = { 53 8B D8 F6 43 3C 02 74 0C 8B C3 E8 ?? ?? ?? ?? 3A 43 24 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_77710_0 {
	meta:
		name = "TColumn.IsImeNameStored"
		size = 94
		refs = "000c TColumn.IsImeNameStored 0022 TColumn.DefaultImeName 002d @UStrEqual 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 3C 04 74 17 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 28 E8 ?? ?? ?? ?? 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_77711_0 {
	meta:
		name = "TColumn.IsReadOnlyStored"
		size = 29
		refs = "000c TColumn.DefaultReadOnly"
	strings:
		$1 = { 53 8B D8 F6 43 3B 10 74 0C 8B C3 E8 ?? ?? ?? ?? 3A 43 3A 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_77712_0 {
	meta:
		name = "TColumn.IsWidthStored"
		size = 29
		refs = "000c TColumn.DefaultWidth"
	strings:
		$1 = { 53 8B D8 F6 43 3B 02 74 0C 8B C3 E8 ?? ?? ?? ?? 3B 43 18 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_77713_0 {
	meta:
		name = "TColumn.RefreshDefaultFont"
		size = 120
		refs = "0031 TColumn.RefreshDefaultFont 003f TColumn.DefaultFont 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 45 FC 8B 45 FC F6 40 3B 04 75 60 8B 45 FC 8B 58 20 8B 43 08 89 45 F0 8B 43 0C 89 45 F4 33 C0 89 43 08 89 43 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 20 8B 55 F0 89 50 08 8B 55 F4 89 50 0C C3 E9 ?? ?? ?? ?? EB E6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77714_0 {
	meta:
		name = "TColumn.RestoreDefaults"
		size = 76
		refs = "0016 TColumn.RestoreDefaults 0021 TColumn.RefreshDefaultFont 0029 TObject.Free 0037 TColumn.SetButtonStyle 0040 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F0 F6 46 3B 04 0F 95 C3 8B 46 1C 8B 10 FF 52 10 0F B7 05 ?? ?? ?? ?? 66 89 46 3B 8B C6 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 33 C0 89 46 2C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_77715_0 {
	meta:
		name = "TColumn.SetAlignment"
		size = 97
		refs = "0025 TCollectionItem.Changed 002e TColumn.GetGrid 0047 TColumn.GetField 0059 TField.SetAlignment"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 80 7F 3F 00 74 1E F6 47 3B 08 74 05 3A 5F 39 74 45 88 5F 39 66 83 4F 3B 08 33 D2 8B C7 E8 ?? ?? ?? ?? EB 32 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 25 8B 86 68 03 00 00 80 78 15 00 74 19 8B C7 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77716_0 {
	meta:
		name = "TColumn.SetButtonStyle"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 38 74 0A 88 50 38 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77717_0 {
	meta:
		name = "TColumn.SetColor"
		size = 33
		refs = "001b TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 F6 43 3B 01 74 05 3B 53 14 74 11 89 53 14 66 83 4B 3B 01 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77718_0 {
	meta:
		name = "TColumn.SetField"
		size = 204
		refs = "000f TColumn.SetField 002b TColumn.GetGrid 0040 TComponent.RemoveFreeNotification 006f TComponent.FreeNotification 0079 TField.GetFullName 0084 @UStrAsg 0096 @UStrClr 00a6 TCollectionItem.Changed 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 0C 0F 84 88 00 00 00 83 7B 0C 00 74 1C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 0C E8 ?? ?? ?? ?? 85 F6 74 08 F6 46 1C 08 74 02 33 F6 89 73 0C 85 F6 74 31 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 0C E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 10 E8 ?? ?? ?? ?? 80 7B 3F 00 75 13 85 F6 75 08 8D 43 10 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 3C 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77719_0 {
	meta:
		name = "TColumn.SetFieldName"
		size = 112
		refs = "000d TColumn.GetGrid 001e TDataLink.GetDataSet 0049 TDataSet.FindField 0055 @UStrAsg 0067 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 33 FF 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 38 8B 86 68 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 29 F6 46 1C 01 75 23 8B C5 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 14 8B 86 68 03 00 00 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 8B F8 8D 43 10 8B D5 E8 ?? ?? ?? ?? 8B D7 8B C3 8B 08 FF 51 24 33 D2 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77720_0 {
	meta:
		name = "TColumn.SetFont"
		size = 27
		refs = "0015 TCollectionItem.Changed"
	strings:
		$1 = { 56 8B F0 8B 46 20 8B 08 FF 51 08 66 83 4E 3B 04 33 D2 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_77721_0 {
	meta:
		name = "TColumn.SetImeMode"
		size = 44
		refs = "000f TColumn.DefaultImeMode 0025 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B DA 8B F0 F6 46 3C 02 75 0B 8B C6 E8 ?? ?? ?? ?? 3A D8 74 09 88 5E 24 66 81 4E 3B 00 02 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77722_0 {
	meta:
		name = "TColumn.SetImeName"
		size = 133
		refs = "0015 @UStrAddRef 001d TColumn.SetImeName 0033 TColumn.DefaultImeName 003e @UStrEqual 004b @UStrAsg 005a TCollectionItem.Changed 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 3C 04 75 17 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 74 11 8D 43 28 8B 55 FC E8 ?? ?? ?? ?? 66 81 4B 3B 00 04 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77723_0 {
	meta:
		name = "TColumn.SetIndex"
		size = 408
		refs = "0012 TCollectionItem.GetIndex 001c TColumn.GetGrid 0034 TCustomDBGrid.BeginLayout 003c TColumn.SetIndex 0053 TCollection.GetCount 0064 TCollection.GetItem 0069 TColumn.GetParentColumn 009d TCollectionItem.SetIndex 00dd TCustomDBGrid.EndLayout 00e3 @HandleFinally 010a TCustomDBGrid.AcquireLayoutLock 012d TDBGridColumns.GetColumn 0136 TColumn.Depth 0141 TCustomDBGrid.ColumnAtDepth 014a TColumn.GetField 0157 TField.GetIndex 0166 TField.SetIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 80 78 3F 00 0F 84 B9 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 5E 01 EB 01 43 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 3B D8 7D 17 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 FC 74 D9 4B 3B 75 F8 7E 2B 3B F3 7D 1A 8B 45 FC 8B 40 04 8B D3 E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 51 14 46 3B F3 7C E6 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 29 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 3B F3 7D 1A 8B 45 FC 8B 40 04 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 51 14 4B 3B F3 7C E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D F4 00 0F 84 94 00 00 00 8B 45 F4 8B 80 68 03 00 00 80 78 15 00 0F 84 81 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 75 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 80 94 03 00 00 8B 55 F8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 45 F4 5A E8 ?? ?? ?? ?? 85 C0 74 21 E8 ?? ?? ?? ?? 8B D8 85 DB 74 16 8B C3 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77724_0 {
	meta:
		name = "TColumn.SetPickList"
		size = 43
		refs = "000e TObject.Free 001d TColumn.GetPickList"
	strings:
		$1 = { 56 57 8B FA 8B F0 85 FF 75 10 8B 46 2C E8 ?? ?? ?? ?? 33 C0 89 46 2C 5F 5E C3 8B C6 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_77725_0 {
	meta:
		name = "TColumn.SetPopupMenu"
		size = 32
		refs = "0010 TColumn.GetGrid 0019 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 89 73 30 85 F6 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77726_0 {
	meta:
		name = "TColumn.SetReadOnly"
		size = 97
		refs = "000a TColumn.GetGrid 0029 TColumn.GetField 003b TField.SetReadOnly 0059 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 80 7F 3F 00 75 2B 85 F6 74 27 8B 86 68 03 00 00 80 78 15 00 74 1B 8B C7 E8 ?? ?? ?? ?? 85 C0 74 10 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? EB 1C F6 47 3B 10 74 05 3A 5F 3A 74 11 88 5F 3A 66 83 4F 3B 10 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77728_0 {
	meta:
		name = "TColumn.SetWidth"
		size = 222
		refs = "001a TColumn.GetGrid 002b TWinControl.HandleAllocated 0036 TColumn.GetField 004a TColumn.GetFont 0057 TCanvas.SetFont 0063 TCanvas.GetHandle 0069 GetTextMetrics 0092 TField.SetDisplayWidth 00b8 TColumn.DefaultWidth 00d2 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 57 55 83 C4 C4 8B EA 8B F0 0F B6 5E 3F 84 DB 0F 85 94 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 81 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 74 63 8B C6 E8 ?? ?? ?? ?? 85 C0 74 58 80 BF CC 03 00 00 00 74 4F 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 87 78 02 00 00 E8 ?? ?? ?? ?? 54 8B 87 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B 44 24 18 D1 F8 79 03 83 D0 00 03 C5 2B 44 24 24 83 E8 03 99 F7 7C 24 18 8B D0 58 E8 ?? ?? ?? ?? 80 BF 57 03 00 00 00 74 06 F6 46 3B 02 74 06 B3 01 EB 02 B3 01 84 DB 74 27 F6 46 3B 02 75 0B 8B C6 E8 ?? ?? ?? ?? 3B E8 74 0D 83 FD FF 74 08 89 6E 18 66 83 4E 3B 02 33 D2 8B C6 E8 ?? ?? ?? ?? 83 C4 3C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77729_0 {
	meta:
		name = "TColumn.SetVisible"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 3D 74 0A 88 50 3D B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77730_0 {
	meta:
		name = "TColumn.SetExpanded"
		size = 144
		refs = "0010 TColumn.GetGrid 001d TCustomDBGrid.GetSelectedIndex 002a TDBGridColumns.GetColumn 002f TColumn.GetShowing 0048 TCollectionItem.Changed 007a Direction 0087 TCustomDBGrid.MoveCol"
	strings:
		$1 = { 53 56 57 51 8B DA 8B F8 3A 5F 3E 74 7E 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1D 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 94 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 04 24 88 5F 3E B2 01 8B C7 E8 ?? ?? ?? ?? 85 F6 0F 95 C0 22 04 24 74 35 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 94 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 18 0F B6 47 3E 0F BE 88 ?? ?? ?? ?? 8B 96 90 02 00 00 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77731_0 {
	meta:
		name = "TColumn.Depth"
		size = 30
		refs = "0005 TColumn.GetParentColumn 0012 TColumn.Depth"
	strings:
		$1 = { 53 56 33 F6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0A 8B C3 E8 ?? ?? ?? ?? 8B F0 46 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_77732_0 {
	meta:
		name = "TColumn.GetExpandable"
		size = 25
		refs = "0001 TColumn.GetField"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 0A 0F B6 40 48 04 E6 2C 02 72 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_77738_0 {
	meta:
		name = "TDBGridColumns.LoadFromStream"
		size = 129
		refs = "0010 _DV_TColumnsWrapper 0015 TComponent.Create 0020 TDBGridColumns.LoadFromStream 0032 @CallDynaInst 0042 TStream.ReadComponent 0067 TObject.Free 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 18 66 BE 94 FF E8 ?? ?? ?? ?? 8B 55 FC 89 42 38 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 38 8B C3 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77739_0 {
	meta:
		name = "TDBGridColumns.RestoreDefaults"
		size = 101
		refs = "0015 TDBGridColumns.RestoreDefaults 0036 TDBGridColumns.GetColumn 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 3C 46 4B 75 ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77741_0 {
	meta:
		name = "TDBGridColumns.RebuildColumns"
		size = 149
		refs = "0015 TCustomDBGrid.GetDataSource 0035 TCustomDBGrid.BeginLayout 003d TDBGridColumns.RebuildColumns 004b TCollection.Clear 0064 AddFields 007d TCustomDBGrid.EndLayout 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 58 18 85 DB 74 77 8B C3 E8 ?? ?? ?? ?? 85 C0 74 6C 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 83 78 38 00 74 5B 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 55 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 40 38 8B 40 38 33 D2 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_77746_0 {
	meta:
		name = "TDBGridColumns.Update"
		size = 87
		refs = "0027 TCollectionItem.GetIndex 0030 TCustomDBGrid.DataToRawColumn 003c TCustomGrid.InvalidateCol 0043 TColumn.GetWidth 004f TCustomGrid.SetColWidths"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 7E 18 85 FF 74 45 F6 47 1C 01 75 3F 85 DB 75 0C 8B C7 8B 10 FF 92 2C 01 00 00 EB 2F 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B F8 8B D7 8B 46 18 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 46 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77747_0 {
	meta:
		name = "TDBGridColumns.InternalAdd"
		size = 10
		refs = "0001 TDBGridColumns.Add"
	strings:
		$1 = { E8 ?? ?? ?? ?? C6 40 3F 00 C3 }
	condition:
		$1
}

rule function_77748_0 {
	meta:
		name = "TDBGridColumns.GetState"
		size = 31
		refs = "0011 TDBGridColumns.GetColumn"
	strings:
		$1 = { 53 8B D8 8B 43 08 83 78 08 00 7E 0F 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B6 40 3F 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_77749_0 {
	meta:
		name = "TBookmarkList.Create"
		size = 84
		refs = "000b @ClassCreate 001a TObject.Create 002a :TBookmarkList.:1 002f @DynArraySetLength 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 6A 00 8D 47 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 89 77 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77751_0 {
	meta:
		name = "TBookmarkList.Clear"
		size = 52
		refs = "0007 @DynArrayLength 001b :TBookmarkList.:1 0020 @DynArraySetLength"
	strings:
		$1 = { 56 8B F0 8B 46 04 E8 ?? ?? ?? ?? 85 C0 74 23 6A 00 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_77752_0 {
	meta:
		name = "TBookmarkList.Compare"
		size = 30
	strings:
		$1 = { 53 56 8B 40 08 8B 80 68 03 00 00 8B 40 04 8B 70 38 8B C6 8B 18 FF 93 6C 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77753_0 {
	meta:
		name = "TBookmarkList.CurrentRow"
		size = 145
		refs = "0011 TBookmarkList.CurrentRow 0025 SDataSetClosed 002a LoadResString 0032 RaiseGridError 0057 TArray<System.Byte> 005c @DynArrayAsg 0077 @DynArrayClear 007f @UStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 15 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 43 08 8B 80 68 03 00 00 8B 40 04 8B 40 38 8B 08 FF 91 78 02 00 00 8B 55 F8 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77754_0 {
	meta:
		name = "TBookmarkList.GetCurrentRowSelected"
		size = 95
		refs = "0012 TBookmarkList.GetCurrentRowSelected 0022 TBookmarkList.CurrentRow 002f TBookmarkList.Find 0047 TArray<System.Byte> 004c @DynArrayClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77755_0 {
	meta:
		name = "TBookmarkList.Find"
		size = 183
		refs = "003c @DynArrayLength 0059 TBookmarkList.Compare 0090 TArray<System.Byte> 0095 @DynArrayAsg"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 4C 24 04 89 14 24 8B D8 8B 04 24 3B 43 0C 75 19 83 7B 10 00 7C 13 8B 44 24 04 8B 53 10 89 10 0F B6 43 14 88 44 24 08 EB 79 C6 44 24 08 00 33 FF 8B 43 04 E8 ?? ?? ?? ?? 8B E8 4D 3B EF 7C 3B 8D 74 3D 00 D1 EE 8B 43 04 8B 14 B0 8B 0C 24 8B C3 E8 ?? ?? ?? ?? 89 44 24 0C 83 7C 24 0C 00 7D 05 8D 7E 01 EB 11 8B EE 4D 83 7C 24 0C 00 75 07 C6 44 24 08 01 8B FE 3B EF 7D C5 8B 44 24 04 89 38 8D 43 0C 8B 14 24 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 04 8B 00 89 43 10 0F B6 44 24 08 88 43 14 0F B6 44 24 08 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77757_0 {
	meta:
		name = "TBookmarkList.GetItem"
		size = 32
		refs = "0013 TArray<System.Byte> 0018 @DynArrayAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 8B 53 04 8B 14 B2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77758_0 {
	meta:
		name = "TBookmarkList.IndexOf"
		size = 36
		refs = "000e TBookmarkList.Find"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_77759_0 {
	meta:
		name = "TBookmarkList.LinkActive"
		size = 19
		refs = "0009 TBookmarkList.Clear"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 88 5E 15 5E 5B C3 }
	condition:
		$1
}

rule function_77760_0 {
	meta:
		name = "TBookmarkList.Delete"
		size = 135
		refs = "001e TDataSet.DisableControls 0026 TBookmarkList.Delete 0034 @DynArrayLength 004a TDataSet.GotoBookmark 0052 TDataSet.Delete 005b TBookmarkList.DeleteItem 0076 TDataSet.EnableControls 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F0 8B 46 08 8B 80 68 03 00 00 8B 40 04 8B 40 38 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 25 8B 46 04 8B 14 98 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77761_0 {
	meta:
		name = "TBookmarkList.Refresh"
		size = 178
		refs = "0027 TBookmarkList.Refresh 0035 TDataSet.CheckBrowseMode 0040 @DynArrayLength 006e TBookmarkList.DeleteItem 0089 TDataSet.UpdateCursorPos 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 45 FC C6 45 FB 00 8B 45 FC 8B 40 08 8B 80 68 03 00 00 8B 40 04 8B 40 38 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 2C 8B 45 FC 8B 40 04 8B 14 98 8B 45 F4 8B 08 FF 91 64 02 00 00 84 C0 75 0E C6 45 FB 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? 4B 83 FB FF 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 80 7D FB 00 74 0E 8B 45 FC 8B 40 08 8B 10 FF 92 9C 00 00 00 C3 E9 ?? ?? ?? ?? EB DC 0F B6 45 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77762_0 {
	meta:
		name = "TBookmarkList.DeleteItem"
		size = 236
		refs = "0010 TBookmarkList.DeleteItem 0021 TBookmarkList.GetCount 002d SListIndexError 0032 LoadResString 003c _Dn_EListError 0041 Exception.Create 0046 @RaiseExcept 0058 TArray<System.Byte> 005d @DynArrayClear 008b Move 00b4 :TBookmarkList.:1 00b9 @DynArraySetLength 00c5 TBookmarkList.DataChanged 00da @UStrClr 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 0B 8B C3 E8 ?? ?? ?? ?? 3B F0 7C 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 3C B0 8B 43 04 8D 04 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 48 3B F0 7D 34 8B C3 E8 ?? ?? ?? ?? 2B C6 48 8B C8 03 C9 03 C9 8B 43 04 8D 14 B0 8B 43 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 53 04 8D 44 82 FC 33 D2 89 10 8B C3 E8 ?? ?? ?? ?? 48 50 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77763_0 {
	meta:
		name = "TBookmarkList.InsertItem"
		size = 256
		refs = "0018 @DynArrayAddRef 0020 TBookmarkList.InsertItem 0031 TBookmarkList.GetCount 003d SListIndexError 0042 LoadResString 004c _Dn_EListError 0051 Exception.Create 0056 @RaiseExcept 006d :TBookmarkList.:1 0072 @DynArraySetLength 00a3 Move 00bc TArray<System.Byte> 00c1 @DynArrayAsg 00cb TBookmarkList.DataChanged 00e0 @UStrClr 00ee @DynArrayClear 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 0B 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 40 50 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 E8 ?? ?? ?? ?? 48 3B F0 7D 2C 8B C3 E8 ?? ?? ?? ?? 2B C6 48 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 D2 89 10 8B 43 04 8D 04 B0 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77764_0 {
	meta:
		name = "TBookmarkList.SetCurrentRowSelected"
		size = 154
		refs = "0015 TBookmarkList.SetCurrentRowSelected 0025 TBookmarkList.CurrentRow 002d @DynArrayLength 003e TBookmarkList.Find 0053 TBookmarkList.InsertItem 005f TBookmarkList.DeleteItem 006d TCustomGrid.InvalidateRow 0083 TArray<System.Byte> 0088 @DynArrayClear 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 3C 8D 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 3A D8 74 2B 84 DB 74 0F 8B 4D FC 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 0A 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 46 08 8B 90 94 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77765_0 {
	meta:
		name = "TBookmarkList.DataChanged"
		size = 26
		refs = "0008 TArray<System.Byte> 000d @DynArrayClear"
	strings:
		$1 = { 53 8B D8 8D 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 43 10 FF FF FF FF 5B C3 }
	condition:
		$1
}

rule function_77766_0 {
	meta:
		name = "UsesBitmap"
		size = 33
		refs = "0002 UserCount 000c _Dn_TBitmap 0011 TBitmap.Create 0016 DrawBitmap"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? FF 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77767_0 {
	meta:
		name = "ReleaseBitmap"
		size = 26
		refs = "0002 UserCount 0010 DrawBitmap 0015 TObject.Free"
	strings:
		$1 = { FF 0D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77768_0 {
	meta:
		name = "WriteText"
		size = 580
		refs = "0021 ColorToRGB 002b TCanvas.GetHandle 0031 GetNearestColor 004e ChangeBiDiModeAlignment 006c TCustomCanvas.TextWidth 00b4 DrawBitmap 00b9 TBitmap.GetCanvas 00be TCustomCanvas.Lock 00c6 WriteText 00d4 TRect.GetWidth 00e9 TRect.SetWidth 00f1 TRect.GetHeight 0106 TRect.SetHeight 0124 Rect 0154 TCanvas.SetFont 0162 TFont.SetColor 016c TCanvas.SetBrush 0176 TBrush.SetStyle 018f SetBkMode 01c2 AlignFlags 01cd RTL 01db @UStrToPWChar 01e2 DrawText 0213 TCanvas.CopyRect 022f TCustomCanvas.Unlock 0235 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B F2 8D 7D EC A5 A5 A5 A5 89 4D FC 8B F0 8B 46 48 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 8B D8 53 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B D8 75 7A 8B C6 8B 10 FF 52 0C 3C 01 75 0E 80 7D 08 00 75 08 8D 45 0C E8 ?? ?? ?? ?? 0F B6 45 0C 2C 01 72 04 74 0A EB 1C 8B 7D EC 03 7D FC EB 2E 8B 55 10 8B C6 E8 ?? ?? ?? ?? 8B 7D F4 2B F8 83 EF 03 EB 1A 8B 55 10 8B C6 E8 ?? ?? ?? ?? D1 E8 8B 7D F4 8B 5D EC 2B FB D1 EF 03 FB 2B F8 8B 45 F0 03 45 14 50 8B 45 10 50 8B CF 8D 55 EC 8B C6 8B 18 FF 93 98 00 00 00 E9 88 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 45 EC E8 ?? ?? ?? ?? 8B 55 F4 2B 55 EC 3B D0 7C 02 8B C2 8D 55 EC 92 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B 55 F8 2B 55 F0 3B D0 7C 02 8B C2 8D 55 EC 92 E8 ?? ?? ?? ?? 8B 45 F8 2B 45 F0 48 50 8D 45 CC 50 8B 4D F4 2B 4D EC 49 8B 55 14 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 2B 45 F0 50 8D 45 DC 50 8B 4D F4 2B 4D EC 33 D2 33 C0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 56 40 8B C3 E8 ?? ?? ?? ?? 8B 46 40 8B 50 18 8B 43 40 E8 ?? ?? ?? ?? 8B 56 48 8B C3 E8 ?? ?? ?? ?? 8B 43 48 33 D2 E8 ?? ?? ?? ?? 8D 55 DC 8B C3 8B 08 FF 51 54 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 0C 3C 01 75 08 8D 45 0C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 5D 10 85 DB 74 05 83 EB 04 8B 1B 0F B6 45 0C 8B 04 85 ?? ?? ?? ?? 0F B6 55 08 0B 04 95 ?? ?? ?? ?? 50 8D 45 CC 50 53 8B 45 10 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 0C 3C 01 75 0C 8B 45 EC 8B 55 F4 89 55 EC 89 45 F4 8D 45 DC 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_77770_0 {
	meta:
		name = "TCustomDBGrid.Create"
		size = 912
		refs = "0010 @ClassCreate 0020 TCustomGrid.Create 003b _Dn_TBitmap 0040 TBitmap.Create 004b TCustomDBGrid.Create 005c HInstance 0064 TBitmap.LoadFromResourceName 007e _Dn_TImageList 0083 TCustomImageList.CreateSize 009d TCustomImageList.AddMasked 0156 TObject.Free 015c @HandleFinally 0192 SysLocale 01c1 UsesBitmap 01cb TCustomGrid.SetScrollBars 01d9 TCustomGrid.SetOptions 01e5 @CallDynaInst 01f5 _Dn_TList 01fa TObject.Create 0210 TCustomGrid.SetRowCount 021d TCustomGrid.SetColCount 023f TControl.SetColor 0249 TControl.SetParentColor 0250 _Dn_TFont 0255 TFont.Create 026d TCustomDBGrid.TitleFontChanged 0295 _DV_TBookmarkList 029a TBookmarkList.Create 02b5 TCustomGrid.HideEditor 02c3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 04 03 00 00 00 8B 45 FC C6 80 CD 03 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 24 50 8B 45 F4 8B 10 FF 52 30 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 44 03 00 00 8B C3 B9 FF FF FF 00 8B 55 F4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 44 03 00 00 B9 FF FF FF 00 8B 55 F4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 44 03 00 00 B9 FF FF FF 00 8B 55 F4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 44 03 00 00 B9 FF FF FF 00 8B 55 F4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 44 03 00 00 B9 FF FF FF 00 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC C6 80 5A 03 00 00 01 8B 45 FC C6 80 5B 03 00 00 01 8B 45 FC C6 80 CC 03 00 00 01 8B 45 FC 0F B7 15 ?? ?? ?? ?? 66 89 90 58 03 00 00 A1 ?? ?? ?? ?? 83 78 04 12 75 0B 8B 45 FC 66 83 88 58 03 00 00 02 8B 45 FC 8B 15 ?? ?? ?? ?? 89 90 22 03 00 00 8B 45 FC C6 80 26 03 00 00 01 E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BE 94 FF E8 ?? ?? ?? ?? 8B 55 FC 89 82 94 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 98 03 00 00 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BE 93 FF E8 ?? ?? ?? ?? 8B 55 FC 89 82 68 03 00 00 BA 05 00 00 FF 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 48 03 00 00 8B 45 FC 89 43 0C C7 43 08 ?? ?? ?? ?? 8B 45 FC C6 80 21 03 00 00 00 8B 45 FC C6 80 55 03 00 00 01 8B 45 FC C6 80 5F 03 00 00 01 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 9C 03 00 00 8B 45 FC C6 80 40 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 42 00 47 00 41 00 52 00 52 00 4F 00 57 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 42 00 45 00 44 00 49 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 42 00 49 00 4E 00 53 00 45 00 52 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 42 00 4D 00 55 00 4C 00 54 00 49 00 44 00 4F 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 42 00 4D 00 55 00 4C 00 54 00 49 00 41 00 52 00 52 00 4F 00 57 00 00 00 00 00 FD 6C 00 00 80 00 00 00 8F 0E 03 00 }
	condition:
		$1
}

rule function_77771_0 {
	meta:
		name = "TCustomDBGrid.Destroy"
		size = 147
		refs = "0003 @BeforeDestruction 0012 TObject.Free 007c TCustomGrid.Destroy 0081 ReleaseBitmap 008c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 94 03 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 94 03 00 00 8B 86 98 03 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 98 03 00 00 8B 86 68 03 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 68 03 00 00 8B 86 44 03 00 00 E8 ?? ?? ?? ?? 8B 86 48 03 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 48 03 00 00 8B 86 9C 03 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 9C 03 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77772_0 {
	meta:
		name = "TCustomDBGrid.AcquireFocus"
		size = 101
		refs = "0017 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F8 B3 01 80 BF CD 03 00 00 00 74 4F 8B C7 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 40 F6 47 1C 10 75 3A 8B C7 8B 10 FF 92 F4 00 00 00 8B C7 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 1D 8B 9F F4 02 00 00 85 DB 74 0F 8B C3 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77773_0 {
	meta:
		name = "TCustomDBGrid.RawToDataColumn"
		size = 12
	strings:
		$1 = { 0F B6 80 5B 03 00 00 2B D0 8B C2 C3 }
	condition:
		$1
}

rule function_77774_0 {
	meta:
		name = "TCustomDBGrid.DataToRawColumn"
		size = 12
	strings:
		$1 = { 0F B6 80 5B 03 00 00 03 D0 8B C2 C3 }
	condition:
		$1
}

rule function_77775_0 {
	meta:
		name = "TCustomDBGrid.AcquireLayoutLock"
		size = 38
		refs = "001e TCustomDBGrid.BeginLayout"
	strings:
		$1 = { 53 80 B8 5C 03 00 00 00 75 09 80 B8 5D 03 00 00 00 74 04 33 DB EB 02 B3 01 84 DB 74 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_77776_0 {
	meta:
		name = "TCustomDBGrid.BeginLayout"
		size = 38
		refs = "0006 TCustomDBGrid.BeginUpdate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 5D 03 00 00 00 75 0B 8B 83 94 03 00 00 8B 10 FF 52 20 FE 83 5D 03 00 00 5B C3 }
	condition:
		$1
}

rule function_77777_0 {
	meta:
		name = "TCustomDBGrid.BeginUpdate"
		size = 7
	strings:
		$1 = { FE 80 5C 03 00 00 C3 }
	condition:
		$1
}

rule function_77778_0 {
	meta:
		name = "TCustomDBGrid.CancelLayout"
		size = 44
		refs = "0026 TCustomDBGrid.EndUpdate"
	strings:
		$1 = { 53 8B D8 0F B6 83 5D 03 00 00 84 C0 76 1C 3C 01 75 0B 8B 83 94 03 00 00 8B 10 FF 52 24 FE 8B 5D 03 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77779_0 {
	meta:
		name = "TCustomDBGrid.CanEditAcceptKey"
		size = 83
		refs = "000a TCustomDBGrid.GetSelectedIndex 0017 TDBGridColumns.GetColumn 002c TColumn.GetField"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B F0 8B 83 68 03 00 00 80 78 15 00 74 20 8B C6 E8 ?? ?? ?? ?? 85 C0 74 15 8B C6 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 91 2C 01 00 00 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77780_0 {
	meta:
		name = "TCustomDBGrid.CanEditModify"
		size = 196
		refs = "0037 TCustomDBGrid.GetSelectedIndex 0044 TDBGridColumns.GetColumn 004d TColumn.GetReadOnly 0058 TColumn.GetField 00a7 TDataLink.Edit 00ba TGridDataLink.Modified"
	strings:
		$1 = { 53 56 57 8B F8 33 DB 80 BF 4C 03 00 00 00 0F 85 AA 00 00 00 8B 87 68 03 00 00 80 78 15 00 0F 84 9A 00 00 00 8B 87 68 03 00 00 80 78 14 00 0F 85 8A 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 87 94 03 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 69 8B C6 E8 ?? ?? ?? ?? 85 C0 74 5E 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 94 00 00 00 84 C0 74 4B 8B C6 E8 ?? ?? ?? ?? 0F B6 40 48 04 F4 2C 02 72 0B 48 2C 08 72 06 04 FD 2C 04 73 11 8B C6 E8 ?? ?? ?? ?? 66 83 B8 E2 00 00 00 00 74 1E 8B 87 68 03 00 00 E8 ?? ?? ?? ?? 8B 87 68 03 00 00 0F B6 58 17 84 DB 74 05 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77781_0 {
	meta:
		name = "TCustomDBGrid.CanEditShow"
		size = 31
		refs = "000f TCustomGrid.CanEditShow"
	strings:
		$1 = { 53 8B D8 80 BB 5D 03 00 00 00 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_77782_0 {
	meta:
		name = "TCustomDBGrid.CellClick"
		size = 27
	strings:
		$1 = { 53 66 83 B8 BA 03 00 00 00 74 0E 8B D8 8B 83 BC 03 00 00 FF 93 B8 03 00 00 5B C3 }
	condition:
		$1
}

rule function_77783_0 {
	meta:
		name = "TCustomDBGrid.ColEnter"
		size = 36
		refs = "0006 TCustomDBGrid.UpdateIme"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB 72 03 00 00 00 74 0E 8B D3 8B 83 74 03 00 00 FF 93 70 03 00 00 5B C3 }
	condition:
		$1
}

rule function_77784_0 {
	meta:
		name = "TCustomDBGrid.ColExit"
		size = 29
	strings:
		$1 = { 53 66 83 B8 7A 03 00 00 00 74 10 8B D8 8B D0 8B 83 7C 03 00 00 FF 93 78 03 00 00 5B C3 }
	condition:
		$1
}

rule function_77785_0 {
	meta:
		name = "TCustomDBGrid.ColumnMoved"
		size = 82
		refs = "000e TCustomDBGrid.RawToDataColumn 0028 TDBGridColumns.GetColumn"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F8 8B D6 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 14 66 83 BB B2 03 00 00 00 74 11 57 8B CE 8B D3 8B 83 B4 03 00 00 FF 93 B0 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77786_0 {
	meta:
		name = "TCustomDBGrid.ColWidthsChanged"
		size = 188
		refs = "000d TCustomGrid.ColWidthsChanged 002a TDBGridColumns.GetState 003a TCustomDBGrid.AcquireLayoutLock 0046 TCustomDBGrid.ColWidthsChanged 006f TCustomGrid.GetColWidths 008c TDBGridColumns.GetColumn 00ab TCustomDBGrid.EndLayout 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 68 03 00 00 80 78 15 00 75 16 8B 45 FC 8B 80 94 03 00 00 E8 ?? ?? ?? ?? 3C 01 0F 85 81 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 75 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 0F B6 98 5B 03 00 00 8B 45 FC 8B B0 8C 02 00 00 4E 2B F3 7C 32 46 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC 0F B6 80 5B 03 00 00 8B D3 2B D0 8B 45 FC 8B 80 94 03 00 00 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 34 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77790_0 {
	meta:
		name = "TCustomDBGrid.CreateWnd"
		size = 137
		refs = "000b TCustomDBGrid.BeginUpdate 0013 TCustomDBGrid.CreateWnd 0021 TCustomGrid.CreateWnd 0036 TCustomDBGrid.EndUpdate 003c @HandleFinally 0046 TCustomDBGrid.UpdateRowCount 004e TCustomDBGrid.UpdateActive 006f @UStrAsg"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 3C 01 00 00 8B 45 FC 05 50 03 00 00 8B 55 FC 8B 92 D8 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 80 D4 01 00 00 8B 55 FC 88 82 54 03 00 00 59 5D C3 }
	condition:
		$1
}

rule function_77791_0 {
	meta:
		name = "TCustomDBGrid.DataChanged"
		size = 72
		refs = "0006 TWinControl.HandleAllocated 0011 TCustomDBGrid.UpdateRowCount 0022 TCustomDBGrid.UpdateActive 0029 TCustomGrid.InvalidateEditor 0032 TWinControl.GetHandle 0038 ValidateRect"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 38 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 3C 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_77792_0 {
	meta:
		name = "TCustomDBGrid.DefaultHandler"
		size = 184
		refs = "000f TWinControl.DefaultHandler 002b TCustomGrid.MouseCoord 0049 TCustomDBGrid.RawToDataColumn 0056 TDBGridColumns.GetColumn 006c TControl.SendCancelMode 0097 TControl.ClientToScreen"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 81 3E 05 02 00 00 0F 85 92 00 00 00 54 0F BF 4E 0A 0F BF 56 08 8B C3 E8 ?? ?? ?? ?? 0F B6 83 5B 03 00 00 8B 3C 24 3B C7 7F 74 83 7C 24 04 00 7C 6D 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 78 30 85 FF 74 50 80 7F 69 00 74 4A 33 D2 8B C3 E8 ?? ?? ?? ?? 89 5F 6C 8B 46 08 89 44 24 10 0F BF 44 24 10 89 44 24 14 0F BF 44 24 12 89 44 24 18 8D 4C 24 08 8D 54 24 14 8B C3 E8 ?? ?? ?? ?? 8B 4C 24 0C 8B 54 24 08 8B C7 8B 18 FF 53 50 C7 46 0C 01 00 00 00 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77793_0 {
	meta:
		name = "TCustomDBGrid.DeferLayout"
		size = 85
		refs = "0009 TWinControl.HandleAllocated 0020 TWinControl.GetHandle 002b PeekMessage 0045 PostMessage 004c TCustomDBGrid.CancelLayout"
	strings:
		$1 = { 53 83 C4 E4 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 38 6A 00 68 64 04 00 00 68 64 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 8D 44 24 10 50 E8 ?? ?? ?? ?? 85 C0 75 16 6A 00 6A 00 68 64 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 1C 5B C3 }
	condition:
		$1
}

rule function_77794_0 {
	meta:
		name = "TCustomDBGrid.DefineFieldMap"
		size = 241
		refs = "0014 TCustomDBGrid.DefineFieldMap 0025 TDBGridColumns.GetState 0058 TDBGridColumns.GetColumn 0066 TGridDataLink.AddMapping 007b TDataLink.GetDataSet 00a0 TFieldList.GetField 00b7 TField.GetFullName 00de @UStrClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 94 03 00 00 E8 ?? ?? ?? ?? 3C 01 75 43 8B 86 68 03 00 00 C6 40 2A 01 8B 86 94 03 00 00 8B 40 08 8B 58 08 4B 85 DB 0F 8C 81 00 00 00 43 33 FF 8B D7 8B 86 94 03 00 00 E8 ?? ?? ?? ?? 8B 50 10 8B 86 68 03 00 00 E8 ?? ?? ?? ?? 47 4B 75 E1 EB 5D 8B 86 68 03 00 00 C6 40 2A 00 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B 40 48 8B 10 FF 52 14 8B D8 4B 85 DB 7C 39 43 33 FF 8B 45 FC 8B 40 48 8B D7 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 80 78 4C 00 74 19 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 86 68 03 00 00 E8 ?? ?? ?? ?? 47 4B 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77795_0 {
	meta:
		name = "TCustomDBGrid.UseRightToLeftAlignmentForField"
		size = 44
		refs = "0010 TControl.IsRightToLeft 001f OkToChangeFieldAlignment"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B FA 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0D 0F B6 14 24 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77796_0 {
	meta:
		name = "TCustomDBGrid.DefaultDrawDataCell"
		size = 139
		refs = "0019 TCustomDBGrid.DefaultDrawDataCell 0029 @UStrClr 003b TField.GetDisplayText 004d TCustomDBGrid.UseRightToLeftAlignmentForField 0061 WriteText 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC E8 ?? ?? ?? ?? 85 F6 74 0E 0F B6 5E 4B 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 6A 02 8B 45 FC 50 53 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 50 8B 55 F8 8B 87 78 02 00 00 B9 02 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_77797_0 {
	meta:
		name = "TCustomDBGrid.DefaultDrawColumnCell"
		size = 158
		refs = "0013 TCustomDBGrid.DefaultDrawColumnCell 0021 @UStrClr 0028 TColumn.GetField 003b TField.GetDisplayText 0048 TColumn.GetAlignment 0062 TCustomDBGrid.UseRightToLeftAlignmentForField 0075 WriteText 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 6A 02 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 50 8B D7 B9 02 00 00 00 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_77798_0 {
	meta:
		name = "TCustomDBGrid.ReadColumns"
		size = 40
		refs = "000d TCollection.Clear 0014 TReader.ReadValue 0021 TReader.ReadCollection"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 93 94 03 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77799_0 {
	meta:
		name = "TCustomDBGrid.WriteColumns"
		size = 49
		refs = "000d TDBGridColumns.GetState 001e TWriter.WriteCollection"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 3C 01 75 10 8B 93 94 03 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77800_0 {
	meta:
		name = "TCustomDBGrid.DefineProperties"
		size = 152
		refs = "000f TDBGridColumns.GetState 004f CollectionsEqual 005f TCustomDBGrid.ReadColumns 0065 TCustomDBGrid.WriteColumns 006c TCustomDBGrid.DefineProperties"
	strings:
		$1 = { 53 56 57 55 8B F2 8B F8 8B 87 94 03 00 00 E8 ?? ?? ?? ?? 8B D8 8B 6E 20 85 ED 75 08 80 FB 01 0F 94 C0 EB 39 8B 85 94 03 00 00 E8 ?? ?? ?? ?? 3A D8 74 04 B0 01 EB 26 80 FB 01 75 1B 8B 6E 20 55 8B 95 94 03 00 00 8B CF 8B 87 94 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 57 68 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5D 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 6F 00 6C 00 75 00 6D 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_77801_0 {
	meta:
		name = "TCustomDBGrid.ColumnAtDepth"
		size = 37
		refs = "000b TColumn.GetParentColumn 0018 TColumn.Depth"
	strings:
		$1 = { 53 56 8B F1 8B DA EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 3B F0 7C E8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_77802_0 {
	meta:
		name = "TCustomDBGrid.CalcTitleRect"
		size = 412
		refs = "001a TCustomDBGrid.ColumnAtDepth 0035 TCollectionItem.GetIndex 003e TCustomDBGrid.DataToRawColumn 0054 TColumn.Depth 0085 TCustomGrid.CellRect 0090 @CallDynaInst 00dc TDBGridColumns.GetColumn 014c TControl.GetClientWidth 0183 TCustomGrid.CalcFixedInfo"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 0C 89 02 8B 45 0C 83 38 00 0F 84 64 01 00 00 8B 45 0C 8B 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 83 D0 02 00 00 3B F8 7C 0E 8B 45 0C 8B 00 E8 ?? ?? ?? ?? 8B F0 EB 1E 8B F8 8B 45 FC E8 ?? ?? ?? ?? 3B 45 F8 7E 05 8B 75 F8 EB 0A 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 08 50 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 0F 8B 83 78 02 00 00 8B 10 FF 52 0C 84 C0 74 04 33 C0 EB 02 B0 01 88 45 F7 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 83 94 03 00 00 8B 40 08 8B 40 08 48 2B C7 0F 8C 94 00 00 00 40 89 45 F0 8B D7 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 8B 55 0C 3B 02 75 70 80 7D F7 00 75 34 8D 45 80 50 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 8B 75 88 85 F6 74 4A 8B 45 08 8B 40 08 3B F0 7C 02 8B C6 8B 55 08 89 42 08 EB 2C 8D 45 80 50 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 8B 75 80 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 0F 8B 45 08 89 30 47 FF 4D F0 0F 85 70 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B F0 3B 75 F8 7F 21 8B 83 A8 02 00 00 48 3B F0 7D 16 8D 55 90 8B C3 E8 ?? ?? ?? ?? 8B 45 C4 2B 45 C0 8B 55 08 89 42 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_77803_0 {
	meta:
		name = "RowIsMultiSelected"
		size = 163
		refs = "0010 RowIsMultiSelected 006b TBookmarkList.Find 008b TArray<System.Byte> 0090 @DynArrayClear 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC F6 80 59 03 00 00 10 74 4A 8B 45 08 8B 40 FC 8B 80 68 03 00 00 80 78 15 00 74 38 8D 55 F8 8B 45 08 8B 40 FC 8B 80 68 03 00 00 8B 40 04 8B 40 38 8B 08 FF 91 78 02 00 00 8B 55 F8 8D 4D FC 8B 45 08 8B 40 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77804_0 {
	meta:
		name = "DrawTitleCell"
		size = 892
		refs = "001a DrawTitleCell 0038 TCustomDBGrid.CalcTitleRect 0065 TColumnTitle.GetFont 0078 TCanvas.SetFont 0083 TColumnTitle.GetColor 0099 TBrush.SetColor 00c6 InflateRect 00d7 GetSystemMetrics 00f1 TColumn.GetExpandable 0120 TCanvas.GetHandle 0126 SaveDC 017f IntersectClipRect 01bb TColumn.GetExpanded 01c8 ScrollArrows 01ee DrawFrameControl 0216 RestoreDC 021c @HandleFinally 027d TColumnTitle.GetCaption 0288 TColumnTitle.GetAlignment 0294 TControl.IsRightToLeft 02ab WriteText 02f4 TStyleManager.GetIsCustomStyleActive 0317 DrawEdge 035e @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D BC 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8D 45 E0 50 8B 45 0C 8B 40 FC 8B 4D F8 8B D3 E8 ?? ?? ?? ?? 83 7D F4 00 75 1C 8B 45 0C 8D 50 EC 8B 45 0C 8B 40 FC 8B 80 78 02 00 00 8B 08 FF 51 54 E9 EF 02 00 00 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 8B D0 8B 45 0C 8B 40 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 8B D0 8B 45 0C 8B 40 FC 8B 80 78 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 45 0C 8B 40 FC 0F B7 80 58 03 00 00 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 0D 6A FF 6A FF 8D 45 E0 50 E8 ?? ?? ?? ?? 8D 75 E0 8D 7D D0 A5 A5 A5 A5 6A 15 E8 ?? ?? ?? ?? 89 45 F0 8B 45 D8 2B 45 D0 3B 45 F0 0F 8E 35 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 25 01 00 00 8B 45 F0 29 45 D8 8D 75 E0 8D 7D C0 A5 A5 A5 A5 8B 45 D8 89 45 C0 8B 45 0C 8B 40 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 C0 8B 45 0C 8B 40 FC 8B 80 78 02 00 00 8B 08 FF 51 54 6A FF 6A FF 8D 45 C0 50 E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 C8 50 8B 45 C4 50 8B 45 C0 50 8B 45 0C 8B 40 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 01 6A 01 8D 45 C0 50 E8 ?? ?? ?? ?? 8B 45 0C 8B 40 FC 8B 80 78 02 00 00 8B 10 FF 52 0C 3C 01 0F 94 C3 84 DB 74 0D 6A 15 E8 ?? ?? ?? ?? 83 C0 04 01 45 C8 8B 45 F4 E8 ?? ?? ?? ?? 83 E0 7F 0F B6 D3 8D 14 D5 ?? ?? ?? ?? 8B 04 82 0D 00 40 00 00 50 6A 03 8D 45 C0 50 8B 45 0C 8B 40 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 0C 8B 40 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 08 0F B6 00 50 8B 45 FC 50 8B 45 0C 8B 40 FC 0F B6 80 5A 03 00 00 8B 55 F8 2B D0 52 8B 45 0C 8B 40 FC 8B 88 AC 02 00 00 8D 55 E0 8B 45 0C 8B 40 FC 8B 18 FF 93 10 01 00 00 8B 45 0C 0F B6 58 EB 8B 45 08 F6 00 20 74 01 43 8B 45 F4 8B 70 1C 0F B6 FB 57 8D 55 BC 8B C6 E8 ?? ?? ?? ?? 8B 45 BC 50 8B C6 E8 ?? ?? ?? ?? 50 8B 45 0C 8B 40 FC E8 ?? ?? ?? ?? 50 8B CF 8B 45 0C 8B 40 FC 8B 80 78 02 00 00 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 0C 8B 40 FC 0F B7 80 58 03 00 00 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 6B 8B 45 0C 8B 40 FC 80 B8 2C 03 00 00 00 75 5C 8B 45 08 F6 00 20 75 54 6A 01 6A 01 8D 45 E0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 3E 6A 0C 6A 04 8D 45 E0 50 8B 45 0C 8B 40 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 03 6A 04 8D 45 E0 50 8B 45 0C 8B 40 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 08 0F B6 15 ?? ?? ?? ?? F7 D2 22 10 8B 45 08 88 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 60 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_77805_0 {
	meta:
		name = "TCustomDBGrid.DrawCell"
		size = 1704
		refs = "0024 TCustomDBGrid.DrawCell 002f TStyleManager.GetActiveStyle 0037 TStyleManager.GetIsCustomStyleActive 0053 TCustomStyleServices.GetStyleColor 0066 TBrush.SetColor 00de InflateRect 016d RowIsMultiSelected 0195 @HandleFinally 01c4 TDataLink.GetDataSet 0229 TCustomImageList.SetBkColor 0265 TCustomStyleServices.GetIsSystemStyle 0291 TCanvas.GetHandle 029c TCustomStyleServices.DrawElement 02cc TCustomImageList.Draw 031a TDBGridColumns.GetColumn 0325 TColumn.GetShowing 033b TColumn.GetFont 0345 TCanvas.SetFont 034d TColumn.GetColor 036a TCustomStyleServices.GetStyleFontColor 0377 TFont.SetColor 03b0 DrawTitleCell 03e1 @UStrClr 0412 TColumn.GetField 0426 TField.GetDisplayText 049c TColumn.GetAlignment 04b9 TCustomDBGrid.UseRightToLeftAlignmentForField 04d0 WriteText 04de TDBGridColumns.GetState 0500 @CallDynaInst 0553 TBrush.SetStyle 05b4 ValidParentForm 05d0 Win32MajorVersion 05fa DrawFocusRect 065e DrawEdge"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D E4 8B 75 0C 8D 7D EC A5 A5 A5 A5 89 4D E0 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 89 45 D0 E8 ?? ?? ?? ?? 88 45 D6 8B 45 FC F6 40 1C 01 74 52 80 7D D6 00 74 1F B2 0E 8B 45 D0 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 78 02 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 17 8B 45 FC 8B 50 74 8B 45 FC 8B 80 78 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 80 78 02 00 00 8B 08 FF 51 54 E9 E5 05 00 00 8B 45 FC 0F B6 80 5A 03 00 00 29 45 E0 8B 45 FC 0F B6 80 5B 03 00 00 2B F8 F6 45 08 04 74 30 8B 45 FC 0F B7 80 58 03 00 00 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 13 6A FF 6A FF 8D 45 EC 50 E8 ?? ?? ?? ?? C6 45 EB 01 EB 04 C6 45 EB 02 F6 45 08 04 0F 84 0C 02 00 00 85 FF 0F 8D 04 02 00 00 0F B6 45 08 50 57 8B 45 E0 50 8B 45 FC 8B 88 AC 02 00 00 8D 55 EC 8B 45 FC 8B 18 FF 93 10 01 00 00 8B 45 FC 8B 80 68 03 00 00 85 C0 0F 84 CE 04 00 00 80 78 15 00 0F 84 C4 04 00 00 C6 45 D7 00 83 7D E0 00 7C 57 8B 10 FF 52 28 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 68 03 00 00 8B 55 E0 8B 08 FF 51 48 55 E8 ?? ?? ?? ?? 59 88 45 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 68 03 00 00 8B 55 DC 8B 08 FF 51 48 C3 E9 ?? ?? ?? ?? EB E7 8B 45 FC 8B 80 68 03 00 00 8B 10 FF 52 28 3B 45 E0 0F 94 C0 0A 45 D7 0F 84 46 04 00 00 B3 21 8B 45 FC 8B 80 68 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 4A 8B 45 FC 8B 80 68 03 00 00 E8 ?? ?? ?? ?? 0F B6 80 A5 00 00 00 FE C8 74 12 FE C8 74 06 FE C8 74 06 EB 27 B3 22 EB 23 B3 23 EB 1F 80 7D D7 00 74 19 8B 45 FC 8B 80 68 03 00 00 8B 10 FF 52 28 3B 45 E0 74 04 B3 24 EB 02 B3 25 8B 45 FC 8B 90 AC 02 00 00 8B 45 FC 8B 80 44 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 44 03 00 00 8B 75 F4 2B 70 3C 0F B6 45 EB 2B F0 8B 45 FC 8B 80 78 02 00 00 8B 10 FF 52 0C 3C 01 75 01 46 8B 45 D0 8B 10 FF 52 48 84 C0 74 41 8B 45 D0 E8 ?? ?? ?? ?? 84 C0 75 35 8D 45 EC 50 6A 00 8B D3 8D 4D C0 8B 45 D0 8B 18 FF 93 88 00 00 00 8D 45 C0 50 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 D0 59 E8 ?? ?? ?? ?? EB 2E 8B 55 F0 03 55 F8 8B 45 FC 8B 80 44 03 00 00 2B 50 38 D1 EA 52 0F B6 D3 83 EA 21 52 6A 01 8B 55 FC 8B 92 78 02 00 00 8B CE E8 ?? ?? ?? ?? 8B 45 FC 8B 80 68 03 00 00 8B 10 FF 52 28 3B 45 E0 0F 85 17 03 00 00 8B 45 FC 0F B6 80 5A 03 00 00 03 45 E0 8B 55 FC 89 82 64 03 00 00 E9 FC 02 00 00 8B 45 FC 8B 80 78 02 00 00 89 45 CC 8B 45 FC 8B 80 94 03 00 00 8B D7 E8 ?? ?? ?? ?? 89 45 D8 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 0F 84 4D 03 00 00 F6 45 08 04 75 5B 8B 45 D8 E8 ?? ?? ?? ?? 8B D0 8B 45 CC E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B D0 8B 45 CC 8B 40 48 E8 ?? ?? ?? ?? 80 7D D6 00 74 2E B2 20 8B 45 D0 E8 ?? ?? ?? ?? 8B D0 8B 45 CC 8B 40 40 E8 ?? ?? ?? ?? B2 0E 8B 45 D0 E8 ?? ?? ?? ?? 8B D0 8B 45 CC 8B 40 48 E8 ?? ?? ?? ?? 83 7D E0 00 7D 22 55 8D 45 08 50 8B 45 FC 0F B6 90 5A 03 00 00 03 55 E0 8B 4D D8 8B C7 E8 ?? ?? ?? ?? 59 E9 44 02 00 00 8B 45 FC 8B 98 68 03 00 00 85 DB 74 06 80 7B 15 00 75 10 8D 55 EC 8B 45 CC 8B 08 FF 51 54 E9 21 02 00 00 8D 45 E4 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 28 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 68 03 00 00 8B 55 E0 8B 08 FF 51 48 8B 45 D8 E8 ?? ?? ?? ?? 85 C0 74 10 8B 45 D8 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 50 0F B6 45 08 50 8B 4D E0 8B D7 8B 45 FC 8B 18 FF 93 28 01 00 00 84 C0 74 23 8B 45 FC 80 B8 5F 03 00 00 00 74 17 57 8B 45 E0 50 8D 55 EC 0F B6 4D 08 8B 45 FC 8B 18 FF 93 14 01 00 00 8B 45 FC 8B 10 FF 52 68 84 C0 75 10 8B 45 CC 8B 40 40 BA 11 00 00 FF E8 ?? ?? ?? ?? 8B 45 FC 80 B8 5F 03 00 00 00 74 42 6A 02 8B 45 E4 50 8B 45 D8 E8 ?? ?? ?? ?? 50 8B 45 D8 E8 ?? ?? ?? ?? 50 8B 45 D8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 59 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 78 02 00 00 B9 03 00 00 00 8D 55 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 94 03 00 00 E8 ?? ?? ?? ?? 84 C0 75 1E 0F B6 45 08 50 8B 45 D8 E8 ?? ?? ?? ?? 8B C8 8D 55 EC 8B 45 FC 66 BE 92 FF E8 ?? ?? ?? ?? 8B 45 D8 50 0F B6 45 08 50 8D 55 EC 8B CF 8B 45 FC 66 BE 91 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 68 03 00 00 8B 55 DC 8B 08 FF 51 48 C3 E9 ?? ?? ?? ?? EB E7 8B 45 FC 8B 80 78 02 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 5F 03 00 00 00 0F 84 97 00 00 00 F6 45 08 01 0F 84 8D 00 00 00 8B 45 FC F6 80 59 03 00 00 02 75 10 8B 45 FC 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 74 71 8B 45 FC F6 40 1C 10 75 68 8B 45 FC F6 80 59 03 00 00 01 75 5C 8B 45 FC 80 B8 5C 03 00 00 00 75 50 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 80 98 02 00 00 3B 45 FC 75 3B 8B 45 FC 80 B8 2C 03 00 00 01 75 17 A1 ?? ?? ?? ?? 83 38 06 7C 0D 6A FF 6A FF 8D 45 EC 50 E8 ?? ?? ?? ?? 80 7D D6 00 75 12 8D 45 EC 50 8B 45 CC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 45 08 04 74 7A 8B 45 FC 0F B7 80 58 03 00 00 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 5D 8B 45 FC 80 B8 2C 03 00 00 00 75 51 F6 45 08 20 75 4B 6A 01 6A 01 8D 45 EC 50 E8 ?? ?? ?? ?? 80 7D D6 00 75 38 6A 0C 6A 04 8D 45 EC 50 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 03 6A 04 8D 45 EC 50 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 60 00 00 00 }
	condition:
		$1
}

rule function_77806_0 {
	meta:
		name = "TCustomDBGrid.DrawDataCell"
		size = 43
	strings:
		$1 = { 55 8B EC 53 66 83 B8 82 03 00 00 00 74 18 51 0F B6 4D 08 51 8B CA 8B D8 8B D0 8B 83 84 03 00 00 FF 93 80 03 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_77807_0 {
	meta:
		name = "TCustomDBGrid.DrawCellBackground"
		size = 91
		refs = "0027 InflateRect 004e TCustomGrid.DrawCellBackground"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8B D8 56 8B F2 8D 7D F0 A5 A5 A5 A5 5E F6 43 1C 10 75 0D 6A 01 6A 01 8D 45 F0 50 E8 ?? ?? ?? ?? 0F B6 45 10 50 0F B6 83 5B 03 00 00 03 45 0C 50 0F B6 83 5A 03 00 00 03 45 08 50 8D 55 F0 8B CE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_77808_0 {
	meta:
		name = "TCustomDBGrid.DrawCellHighlight"
		size = 89
		refs = "004e TCustomGrid.DrawCellHighlight"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B F2 8B D8 F6 83 59 03 00 00 10 74 19 8B 83 68 03 00 00 80 78 15 00 74 0D 80 BB 2C 03 00 00 00 74 04 80 4D FF 08 0F B6 83 5B 03 00 00 03 45 0C 50 0F B6 83 5A 03 00 00 03 45 08 50 8B D6 0F B6 4D FF 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_77809_0 {
	meta:
		name = "TCustomDBGrid.DrawColumnCell"
		size = 47
	strings:
		$1 = { 55 8B EC 53 66 83 B8 8A 03 00 00 00 74 1C 51 8B 4D 0C 51 0F B6 4D 08 51 8B CA 8B D8 8B D0 8B 83 8C 03 00 00 FF 93 88 03 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_77810_0 {
	meta:
		name = "TCustomDBGrid.EditButtonClick"
		size = 77
		refs = "0027 TCustomDBGrid.GetSelectedIndex 0034 TDBGridColumns.GetColumn 0046 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 66 83 BB AA 03 00 00 00 74 11 8B D3 8B 83 AC 03 00 00 FF 93 A8 03 00 00 5E 5B C3 68 00 00 00 80 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B D0 B9 00 00 00 80 8B C3 66 BE 8E FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77811_0 {
	meta:
		name = "TCustomDBGrid.EditingChanged"
		size = 23
		refs = "0012 TCustomGrid.InvalidateCell"
	strings:
		$1 = { F6 80 58 03 00 00 08 74 0D 8B 88 64 03 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77812_0 {
	meta:
		name = "TCustomDBGrid.EndLayout"
		size = 149
		refs = "0019 TCustomDBGrid.EndLayout 0039 TCustomDBGrid.InternalLayout 0066 @HandleFinally 0086 TCustomDBGrid.EndUpdate"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 0F B6 80 5D 03 00 00 84 C0 76 7D 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 3C 01 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 B8 5D 03 00 00 01 75 0E 8B 45 FC 8B 80 94 03 00 00 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FE 88 5D 03 00 00 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 59 5D C3 }
	condition:
		$1
}

rule function_77813_0 {
	meta:
		name = "TCustomDBGrid.EndUpdate"
		size = 16
	strings:
		$1 = { 80 B8 5C 03 00 00 00 76 06 FE 88 5C 03 00 00 C3 }
	condition:
		$1
}

rule function_77814_0 {
	meta:
		name = "TCustomDBGrid.GetColField"
		size = 57
		refs = "002c TDBGridColumns.GetColumn 0031 TColumn.GetField"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 33 C0 85 F6 7C 28 8B 93 68 03 00 00 80 7A 15 00 74 1C 8B BB 94 03 00 00 8B 57 08 3B 72 08 7D 0E 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77815_0 {
	meta:
		name = "TCustomDBGrid.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 68 03 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_77816_0 {
	meta:
		name = "TCustomDBGrid.GetEditLimit"
		size = 58
		refs = "0009 TCustomDBGrid.GetSelectedField"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 85 C0 74 24 8B C6 E8 ?? ?? ?? ?? 0F B6 40 48 2C 01 74 04 2C 17 75 11 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 B4 00 00 00 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_77817_0 {
	meta:
		name = "TCustomDBGrid.GetEditMask"
		size = 91
		refs = "0010 @UStrClr 0025 TCustomDBGrid.RawToDataColumn 0032 TDBGridColumns.GetColumn 003b TColumn.GetField 0050 @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 8B 83 68 03 00 00 80 78 15 00 74 34 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B C3 E8 ?? ?? ?? ?? 8B 50 64 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_77818_0 {
	meta:
		name = "TCustomDBGrid.GetEditStyle"
		size = 260
		refs = "0017 TCustomDBGrid.GetSelectedIndex 0024 TDBGridColumns.GetColumn 0044 TColumn.GetField 0066 TDataSet.FieldByName 008f TColumn.GetReadOnly 00c9 TColumn.GetPickList"
	strings:
		$1 = { 53 56 57 55 51 8B F8 8B 87 F4 02 00 00 C6 80 04 03 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 87 94 03 00 00 E8 ?? ?? ?? ?? 8B F0 33 DB 0F B6 46 38 2C 01 72 0D 0F 85 C2 00 00 00 B3 01 E9 BB 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 AC 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B E8 80 7D 4A 02 75 67 8B 55 70 8B 45 3C E8 ?? ?? ?? ?? 89 04 24 83 3C 24 00 0F 84 85 00 00 00 8B 04 24 8B 10 FF 92 94 00 00 00 84 C0 74 76 F6 46 3B 10 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 65 80 7D 49 00 75 5F 8B 87 68 03 00 00 80 78 15 00 74 53 8B 87 68 03 00 00 80 78 14 00 75 47 B3 02 8B 87 F4 02 00 00 C6 80 04 03 00 00 01 EB 36 8B C6 E8 ?? ?? ?? ?? 85 C0 74 1F 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 7E 0F 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 B3 02 EB 0C 0F B6 45 48 04 E4 2C 02 73 02 B3 01 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77819_0 {
	meta:
		name = "TCustomDBGrid.GetEditText"
		size = 101
		refs = "0010 @UStrClr 0025 TCustomDBGrid.RawToDataColumn 0032 TDBGridColumns.GetColumn 003b TColumn.GetField 004d TField.GetEditText 005a @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 8B 83 68 03 00 00 80 78 15 00 74 31 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8D 83 90 03 00 00 8B 16 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_77820_0 {
	meta:
		name = "TCustomDBGrid.GetFieldCount"
		size = 10
	strings:
		$1 = { 8B 80 68 03 00 00 8B 40 20 C3 }
	condition:
		$1
}

rule function_77821_0 {
	meta:
		name = "TCustomDBGrid.GetFields"
		size = 12
		refs = "0007 TGridDataLink.GetFields"
	strings:
		$1 = { 8B 80 68 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77822_0 {
	meta:
		name = "TCustomDBGrid.GetFieldValue"
		size = 44
		refs = "000c @UStrClr 0015 TCustomDBGrid.GetColField 0024 TField.GetDisplayText"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77823_0 {
	meta:
		name = "TCustomDBGrid.GetSelectedField"
		size = 44
		refs = "0007 TCustomDBGrid.GetSelectedIndex 001b TDBGridColumns.GetColumn 0020 TColumn.GetField"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 15 8B D6 8B 83 94 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_77824_0 {
	meta:
		name = "TCustomDBGrid.GetSelectedIndex"
		size = 12
		refs = "0007 TCustomDBGrid.RawToDataColumn"
	strings:
		$1 = { 8B 90 90 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77825_0 {
	meta:
		name = "TCustomDBGrid.HighlightCell"
		size = 199
		refs = "0014 TCustomDBGrid.HighlightCell 0059 TBookmarkList.Find 0079 @CallDynaInst 00ab TArray<System.Byte> 00b0 @DynArrayClear 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB F6 87 59 03 00 00 10 74 36 8B 87 68 03 00 00 80 78 15 00 74 2A 8D 55 F8 8B 87 68 03 00 00 8B 40 04 8B 40 38 8B 08 FF 91 78 02 00 00 8B 55 F8 8D 4D FC 8B 87 9C 03 00 00 E8 ?? ?? ?? ?? 8B D8 84 DB 75 36 F6 45 08 01 74 2A F6 87 59 03 00 00 02 75 0F 8B C7 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 74 12 80 BF 5C 03 00 00 00 74 0D F6 87 59 03 00 00 01 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_77826_0 {
	meta:
		name = "ClearSelection"
		size = 50
		refs = "001f TBookmarkList.Clear"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC F6 80 59 03 00 00 10 74 1E 8B 45 08 8B 40 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC C6 80 61 03 00 00 00 5D C3 }
	condition:
		$1
}

rule function_77827_0 {
	meta:
		name = "DoSelection"
		size = 417
		refs = "0015 DoSelection 0028 TCustomDBGrid.BeginUpdate 0099 TBookmarkList.CurrentRow 00ad TArray<System.Byte> 00b2 @DynArrayAsg 00c5 TBookmarkList.SetCurrentRowSelected 0102 TBookmarkList.Compare 0123 ClearSelection 0166 TCustomDBGrid.EndUpdate 016c @HandleFinally 018e @FinalizeArray"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 88 45 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC F6 80 59 03 00 00 10 0F 84 DB 00 00 00 8B 45 08 8B 40 FC 8B 80 68 03 00 00 80 78 15 00 0F 84 C5 00 00 00 80 7D FF 00 0F 84 B1 00 00 00 8B 45 08 F6 40 FA 01 0F 84 A4 00 00 00 8B 45 08 8B 40 FC 80 B8 61 03 00 00 00 75 51 8D 55 F8 8B 45 08 8B 40 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 FC 05 A0 03 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 9C 03 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC C6 80 61 03 00 00 01 B3 01 EB 4E 8B 45 08 8B 40 FC 8B B8 9C 03 00 00 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 8B 40 FC 8B 88 A0 03 00 00 8B C7 E8 ?? ?? ?? ?? 8B D6 F7 DA 3B C2 0F 95 C3 84 DB 75 15 33 D2 8B C7 E8 ?? ?? ?? ?? EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 80 68 03 00 00 8B D6 8B 08 FF 51 40 84 DB 74 13 8B 45 08 8B 40 FC 8B 80 9C 03 00 00 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77828_0 {
	meta:
		name = "NextRow"
		size = 188
		refs = "0014 TDataLink.GetDataSet 006b DoSelection 00b4 TDataSet.Append"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 45 08 8B 40 FC 8B 80 68 03 00 00 E8 ?? ?? ?? ?? 8B F0 80 BE A5 00 00 00 03 75 3C 80 BE AA 00 00 00 00 75 33 8B 45 08 8B 40 FC 8B 80 68 03 00 00 80 78 28 00 75 21 8B 45 08 8B 40 FC 8B 80 68 03 00 00 8B 10 FF 52 34 84 C0 75 65 8B C6 8B 10 FF 92 68 02 00 00 EB 11 8B 45 08 50 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 80 68 03 00 00 8B 10 FF 52 34 84 C0 74 33 8B C6 8B 10 FF 92 5C 01 00 00 84 C0 74 25 8B 45 08 8B 40 FC 80 B8 4C 03 00 00 00 75 16 8B 45 08 8B 40 FC F6 80 58 03 00 00 01 74 07 8B C6 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_77829_0 {
	meta:
		name = "PriorRow"
		size = 114
		refs = "0014 TDataLink.GetDataSet 0069 DoSelection"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 45 08 8B 40 FC 8B 80 68 03 00 00 E8 ?? ?? ?? ?? 8B F0 80 BE A5 00 00 00 03 75 3C 80 BE AA 00 00 00 00 75 33 8B 45 08 8B 40 FC 8B 80 68 03 00 00 8B 10 FF 52 34 84 C0 74 1E 8B 45 08 8B 40 FC 8B 80 68 03 00 00 80 78 28 00 75 0C 8B C6 8B 10 FF 92 68 02 00 00 EB 0F 8B 45 08 50 83 CA FF 8B C3 E8 ?? ?? ?? ?? 59 5E 5B 5D C3 }
	condition:
		$1
}

rule function_77830_0 {
	meta:
		name = "Tab"
		size = 248
		refs = "001d TCustomDBGrid.BeginUpdate 0025 Tab 004c NextRow 0078 PriorRow 009d @TryFinallyExit 00ac TCustomGrid.GetTabStops 00c3 TCustomDBGrid.MoveCol 00e7 TCustomDBGrid.EndUpdate 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B 45 08 8B 40 FC 8B B8 90 02 00 00 8B F7 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 03 47 EB 01 4F 8B 45 08 8B 40 FC 3B B8 8C 02 00 00 7C 1B 8B 45 08 50 33 C0 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 0F B6 B8 5B 03 00 00 EB 38 8B 45 08 8B 40 FC 0F B6 80 5B 03 00 00 3B F8 7D 27 8B 45 08 50 33 C0 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B B8 8C 02 00 00 8B 45 08 8B 40 FC 0F B6 80 5B 03 00 00 2B F8 3B F7 75 07 E8 ?? ?? ?? ?? EB 50 8B 45 08 8B 40 FC 8B D7 E8 ?? ?? ?? ?? 84 C0 0F 84 77 FF FF FF 8B 45 08 8B 40 FC 33 C9 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 25 E9 5C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_77831_0 {
	meta:
		name = "DeletePrompt"
		size = 184
		refs = "000c DeletePrompt 0023 TBookmarkList.GetCount 002e SDeleteMultipleRecordsQuestion 0033 LoadResString 003d SDeleteRecordQuestion 0060 @UStrLAsg 007c MessageDlgPosHelp 009e @UStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? 48 7E 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC F6 80 59 03 00 00 04 75 04 B0 01 EB 2D 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? B0 03 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D F8 92 91 E8 ?? ?? ?? ?? 83 F8 02 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 00 00 00 0C 00 00 00 }
	condition:
		$1
}

rule function_77832_0 {
	meta:
		name = "TCustomDBGrid.KeyDown"
		size = 1187
		refs = "005f @CallDynaInst 009d TDataLink.GetDataSet 00c7 ClearSelection 00de TCustomDBGrid.KeyDown 016f TCustomDBGrid.MoveCol 0195 TDataSet.First 01a1 TDataSet.Last 01e1 DeletePrompt 01f8 TBookmarkList.GetCount 020a TBookmarkList.Delete 0216 TDataSet.Delete 029c PriorRow 02aa NextRow 03c2 TCustomGrid.GetVisibleRowCount 0435 TDataSet.Insert 044c Tab 0454 SysLocale 0472 TGridDataLink.Reset 048d TCustomGrid.HideEditor 0499 TCustomGrid.SetEditorMode"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 66 89 4D FA 8B DA 89 45 FC 8B 45 FC 8B 90 20 02 00 00 89 55 F0 8B 90 24 02 00 00 89 55 F4 66 83 7D F2 00 74 10 0F B7 45 FA 50 8B CB 8B 55 FC 8B 45 F4 FF 55 F0 8B 45 FC 8B 80 68 03 00 00 80 78 15 00 0F 84 4D 04 00 00 0F B7 13 0F B7 4D FA 8B 45 FC 66 BE AC FF E8 ?? ?? ?? ?? 84 C0 0F 84 32 04 00 00 8B 45 FC 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 18 66 83 3B 25 75 07 66 C7 03 27 00 EB 0B 66 83 3B 27 75 05 66 C7 03 25 00 8B 45 FC 8B 80 68 03 00 00 E8 ?? ?? ?? ?? 8B F0 F6 45 FA 04 0F 84 72 01 00 00 0F B7 03 83 C0 DF 66 83 E8 04 72 0C 66 83 E8 01 74 06 66 83 E8 02 75 07 55 E8 ?? ?? ?? ?? 59 0F B7 03 83 C0 DF 83 F8 0D 0F 87 C2 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 98 68 03 00 00 8B C3 8B 10 FF 52 28 8B D0 F7 DA 8B C3 8B 08 FF 51 40 E9 63 03 00 00 8B 45 FC 8B 98 68 03 00 00 8B C3 8B 10 FF 52 28 8B 53 0C 2B D0 4A 8B C3 8B 08 FF 51 40 E9 41 03 00 00 8B 45 FC 0F B6 90 5B 03 00 00 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 25 03 00 00 8B 45 FC 8B 90 8C 02 00 00 4A 83 C9 FF 8B 45 FC E8 ?? ?? ?? ?? E9 0B 03 00 00 8B C6 E8 ?? ?? ?? ?? E9 FF 02 00 00 8B C6 E8 ?? ?? ?? ?? E9 F3 02 00 00 8B 45 FC 80 B8 4C 03 00 00 00 75 0D 8B 46 5C 3B 46 58 0F 9D C0 34 01 EB 02 33 C0 84 C0 74 0C 8B C6 8B 10 FF 92 5C 01 00 00 EB 02 33 C0 84 C0 0F 84 BE 02 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 AF 02 00 00 8B 45 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? 85 C0 7E 13 8B 45 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? E9 8A 02 00 00 8B C6 E8 ?? ?? ?? ?? E9 7E 02 00 00 0F B7 03 83 F8 25 7F 46 0F 84 87 00 00 00 83 F8 22 7F 26 0F 84 7F 01 00 00 83 E8 09 0F 84 FA 01 00 00 83 E8 12 0F 84 09 02 00 00 83 E8 06 0F 84 88 01 00 00 E9 45 02 00 00 83 E8 23 0F 84 0C 01 00 00 48 0F 84 B6 00 00 00 E9 30 02 00 00 83 F8 28 7F 0F 74 32 83 E8 26 74 1F 48 74 6C E9 1C 02 00 00 83 E8 2D 0F 84 77 01 00 00 83 E8 44 0F 84 00 02 00 00 E9 05 02 00 00 55 B0 01 E8 ?? ?? ?? ?? 59 E9 F7 01 00 00 55 B0 01 E8 ?? ?? ?? ?? 59 E9 E9 01 00 00 8B 45 FC F6 80 59 03 00 00 01 74 0E 55 33 C0 E8 ?? ?? ?? ?? 59 E9 CF 01 00 00 8B 45 FC 8B 90 90 02 00 00 4A 83 C9 FF 8B 45 FC E8 ?? ?? ?? ?? E9 B5 01 00 00 8B 45 FC F6 80 59 03 00 00 01 74 0E 55 33 C0 E8 ?? ?? ?? ?? 59 E9 9B 01 00 00 8B 45 FC 8B 90 90 02 00 00 42 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 7F 01 00 00 8B 55 FC 8B 92 8C 02 00 00 8B 45 FC 0F B6 80 5B 03 00 00 0F B6 C8 41 3B D1 74 0C 8B 55 FC F6 82 59 03 00 00 01 74 13 55 E8 ?? ?? ?? ?? 59 8B C6 E8 ?? ?? ?? ?? E9 45 01 00 00 0F B6 D0 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 30 01 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 55 FC 0F B6 92 5B 03 00 00 42 3B C2 74 0C 8B 55 FC F6 82 59 03 00 00 01 74 13 55 E8 ?? ?? ?? ?? 59 8B C6 E8 ?? ?? ?? ?? E9 F9 00 00 00 8B D0 4A 83 C9 FF 8B 45 FC E8 ?? ?? ?? ?? E9 E6 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 68 03 00 00 8B 08 FF 51 40 E9 C2 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 8B D0 F7 DA 8B 45 FC 8B 80 68 03 00 00 8B 08 FF 51 40 E9 9C 00 00 00 8B C6 8B 10 FF 92 5C 01 00 00 84 C0 0F 84 8A 00 00 00 8B 45 FC 80 B8 4C 03 00 00 00 75 7E 8B 45 FC F6 80 58 03 00 00 01 74 72 55 E8 ?? ?? ?? ?? 59 8B C6 E8 ?? ?? ?? ?? EB 62 F6 45 FA 02 75 5C 55 F6 45 FA 01 0F 95 C0 34 01 E8 ?? ?? ?? ?? 59 EB 4A A1 ?? ?? ?? ?? 83 78 04 12 75 0A 8B 45 FC C6 80 56 03 00 00 01 8B 45 FC 8B 80 68 03 00 00 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 58 03 00 00 02 75 14 8B 45 FC E8 ?? ?? ?? ?? EB 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77833_0 {
	meta:
		name = "TCustomDBGrid.KeyPress"
		size = 51
		refs = "002c TCustomGrid.KeyPress"
	strings:
		$1 = { 53 56 8B F2 8B D8 C6 83 56 03 00 00 00 F6 83 58 03 00 00 02 75 11 66 83 3E 0D 75 0B 8B 83 68 03 00 00 8B 10 FF 52 50 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77834_0 {
	meta:
		name = "FieldIsMapped"
		size = 83
		refs = "0037 TGridDataLink.GetFields"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 C6 45 FF 00 85 FF 74 38 8B 45 08 8B 40 FC 8B 80 68 03 00 00 8B 58 20 4B 85 DB 7C 24 43 33 F6 8B 45 08 8B 40 FC 8B 80 68 03 00 00 8B D6 E8 ?? ?? ?? ?? 3B F8 75 06 C6 45 FF 01 EB 04 46 4B 75 DF 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77835_0 {
	meta:
		name = "CheckForPassthroughs"
		size = 142
		refs = "0033 TDBGridColumns.GetColumn 0079 TObject.Free"
	strings:
		$1 = { 55 8B EC 53 56 57 33 DB 8B 45 08 8B 40 FC 8B 80 94 03 00 00 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 68 47 33 F6 8B 45 08 8B 40 FC 8B 80 94 03 00 00 8B D6 E8 ?? ?? ?? ?? 80 78 3F 00 75 04 B3 01 EB 44 84 DB 74 40 8B 45 08 8B 40 FC 8B 80 94 03 00 00 8B 40 08 8B 40 08 8B D8 4B 83 FB 00 7C 2A 8B 45 08 8B 40 FC 8B 80 94 03 00 00 8B D3 E8 ?? ?? ?? ?? 80 78 3F 00 75 05 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DC EB 04 46 4F 75 9B 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_77836_0 {
	meta:
		name = "ResetColumnFieldBindings"
		size = 471
		refs = "0014 TDBGridColumns.GetState 0035 TGridDataLink.GetDefaultFields 004a TCollection.Clear 0079 TDBGridColumns.GetColumn 0082 TColumn.GetField 0096 FieldIsMapped 00a2 TObject.Free 00f3 TGridDataLink.GetFields 0112 TCollection.GetCount 015f TDBGridColumns.InternalAdd"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 08 8B 40 FC 8B 80 94 03 00 00 E8 ?? ?? ?? ?? 84 C0 0F 85 77 01 00 00 8B 45 08 8B 40 FC 8B 98 68 03 00 00 80 7B 15 00 75 1E 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 8B 45 08 8B 40 FC 8B 80 94 03 00 00 E8 ?? ?? ?? ?? EB 5C 8B 45 08 8B 40 FC 8B 80 94 03 00 00 8B 40 08 8B 40 08 8B F0 4E 83 FE 00 7C 42 8B 45 08 8B 40 FC 8B 80 94 03 00 00 8B D6 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 15 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 4E 83 FE FF 75 BE 8B 45 08 8B 40 FC 8B 80 68 03 00 00 8B 58 20 85 DB 75 17 8B 45 08 8B 40 FC 8B 80 94 03 00 00 8B 40 08 8B 40 08 85 C0 75 01 43 8B FB 4F 85 FF 0F 8C F0 00 00 00 47 33 F6 8B 45 08 8B 40 FC 8B 80 68 03 00 00 8B D6 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 71 8B DE EB 01 43 8B 45 08 8B 40 FC 8B 80 94 03 00 00 E8 ?? ?? ?? ?? 3B D8 7D 1D 8B 45 08 8B 40 FC 8B 80 94 03 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 FC 75 CD 8B 45 08 8B 40 FC 8B 90 94 03 00 00 8B C2 8B 40 08 8B 40 08 3B C3 7E 0D 8B C2 8B D3 E8 ?? ?? ?? ?? 8B D8 EB 28 8B C2 E8 ?? ?? ?? ?? 8B D8 8B 55 FC 8B C3 8B 08 FF 51 24 EB 13 8B 45 08 8B 40 FC 8B 80 94 03 00 00 E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 51 14 46 4F 0F 85 4F FF FF FF EB 3A 8B 45 08 8B 40 FC 8B 80 94 03 00 00 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 21 47 33 DB 8B 45 08 8B 40 FC 8B 80 94 03 00 00 8B D3 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 24 43 4F 75 E2 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77837_0 {
	meta:
		name = "MeasureTitleHeights"
		size = 704
		refs = "0012 MeasureTitleHeights 0023 TWinControl.HandleAllocated 0035 GetDC 0048 TCanvas.SetHandle 0070 TCanvas.SetFont 0086 TCustomCanvas.TextHeight 00b0 TCustomGrid.SetDefaultRowHeight 00b7 GetSystemMetrics 00ea :TCustomDBGrid.:1 00ef @DynArraySetLength 0125 TDBGridColumns.GetColumn 012d TColumnTitle.GetFont 0158 TColumn.Depth 0162 @DynArrayHigh 019a TColumn.GetExpandable 0230 TCustomGrid.SetRowHeights 0258 TCanvas.GetHandle 0275 ReleaseDC 027b @HandleFinally 0298 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 34 01 88 45 F3 80 7D F3 00 74 1A 6A 00 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 FC 8B 50 6C 8B 45 08 8B 40 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 78 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 03 8B 55 08 8B 52 FC F6 82 58 03 00 00 40 74 0C 8B 55 08 8B 52 FC 03 82 B8 02 00 00 8B 55 08 8B 52 FC 92 E8 ?? ?? ?? ?? 6A 03 E8 ?? ?? ?? ?? 89 45 F4 8B 45 08 8B 40 FC F6 80 58 03 00 00 04 0F 84 67 01 00 00 8B 45 08 8B 40 FC 0F B6 80 5A 03 00 00 40 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 40 FC 8B 80 94 03 00 00 8B 40 08 8B 40 08 8B F0 4E 85 F6 0F 8C B9 00 00 00 46 33 DB 8B 45 08 8B 40 FC 8B 80 94 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 40 1C E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 94 03 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 FC E8 ?? ?? ?? ?? 3B F8 7F 5A 8B 45 08 8B 40 FC 8B 80 78 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 04 89 45 F8 8B 45 08 8B 40 FC 8B 80 94 03 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 F4 3B 45 F8 7E 06 8B 45 F4 89 45 F8 8B 45 FC 8B 04 B8 3B 45 F8 7D 03 8B 45 F8 8B 55 FC 89 04 BA 43 4E 0F 85 4A FF FF FF 8B 45 FC 83 38 00 75 3B 8B 45 08 8B 40 FC 8B 90 48 03 00 00 8B 45 08 8B 40 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 78 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 04 8B 55 FC 89 02 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1A 46 33 DB 8B 45 FC 8B 0C 98 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 43 4E 75 E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F3 00 74 2E 8B 45 08 8B 40 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 80 78 02 00 00 33 D2 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 57 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_77838_0 {
	meta:
		name = "TCustomDBGrid.InternalLayout"
		size = 568
		refs = "0016 TCustomDBGrid.InternalLayout 002d TWinControl.HandleAllocated 0038 TWinControl.GetHandle 0042 KillMessage 0048 CheckForPassthroughs 0072 TGridDataLink.ClearMapping 0097 TDataLink.GetDataSet 00be TWinControl.SetDoubleBuffered 00c4 ResetColumnFieldBindings 00f7 TDBGridColumns.GetColumn 00fc TColumn.GetShowing 011e TList.Add 0142 TCustomGrid.SetColCount 0152 TCustomGrid.SetFixedCols 01e2 TColumn.Depth 0203 TCustomDBGrid.UpdateRowCount 0209 MeasureTitleHeights 021b TCustomDBGrid.UpdateActive"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8D 7D FC 8B 07 0F B7 40 1C 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 0F 85 FF 01 00 00 8B 07 E8 ?? ?? ?? ?? 84 C0 74 11 8B 07 E8 ?? ?? ?? ?? BA 64 04 00 00 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 07 C6 80 5B 03 00 00 00 8B 07 F6 80 58 03 00 00 08 74 08 8B 07 FE 80 5B 03 00 00 8B 07 8B 80 68 03 00 00 E8 ?? ?? ?? ?? 8B 07 8B 80 68 03 00 00 80 78 15 00 74 0A 8B 07 8B 10 FF 92 24 01 00 00 8B 07 8B 80 68 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 16 8B 07 8B 80 68 03 00 00 E8 ?? ?? ?? ?? 80 B8 B1 00 00 00 00 75 04 33 D2 EB 02 B2 01 8B 07 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 07 8B 80 98 03 00 00 8B 10 FF 52 08 8B 07 8B 80 94 03 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 3D 46 33 DB 8B 07 8B 80 94 03 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B 07 8B 80 94 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B D0 8B 07 8B 80 98 03 00 00 E8 ?? ?? ?? ?? 43 4E 75 C6 8B 07 8B 80 94 03 00 00 8B 40 08 8B 50 08 8B 07 0F B6 80 5B 03 00 00 03 D0 8B 07 E8 ?? ?? ?? ?? 8B 07 0F B6 90 5B 03 00 00 8B 07 E8 ?? ?? ?? ?? 8B 07 C6 80 5A 03 00 00 00 8B 07 F6 80 58 03 00 00 04 0F 84 92 00 00 00 8B 07 C6 80 5A 03 00 00 01 8B 07 8B 98 68 03 00 00 85 DB 74 7D 8B C3 E8 ?? ?? ?? ?? 85 C0 74 72 8B 07 8B 80 68 03 00 00 E8 ?? ?? ?? ?? 80 B8 B1 00 00 00 00 74 5C 8B 07 8B 80 94 03 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 49 46 33 DB 8B 07 8B 80 94 03 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8B 07 8B 80 94 03 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 17 0F B6 92 5A 03 00 00 3B C2 7C 09 40 8B 17 88 82 5A 03 00 00 43 4E 75 BA 8B 07 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 07 8B 10 FF 92 38 01 00 00 8B 07 E8 ?? ?? ?? ?? 8B 07 8B 10 FF 92 9C 00 00 00 5F 5E 5B 59 5D C3 00 09 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_77840_0 {
	meta:
		name = "TCustomDBGrid.LinkActive"
		size = 202
		refs = "0018 TCustomGrid.HideEditor 002a TBookmarkList.LinkActive 0032 TCustomDBGrid.LinkActive 0058 TComponent.GetComponentCount 006a TComponent.GetComponent 0074 _DV_TCustomDBGrid 0079 @IsClass 008d TObject.Free 00b8 TCustomGrid.ShowEditor 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 88 55 FB 89 45 FC 80 7D FB 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 03 00 00 0F B6 55 FB E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 2C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 7C 33 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 80 BB 93 00 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 4E 83 FE FF 75 CD 8B 45 FC 8B 10 FF 92 3C 01 00 00 80 7D FB 00 74 14 8B 45 FC F6 80 58 03 00 00 02 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 90 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77841_0 {
	meta:
		name = "TCustomDBGrid.Loaded"
		size = 47
		refs = "0006 TControl.Loaded 001f TCustomGrid.SetColCount"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 94 03 00 00 8B 40 08 8B 40 08 85 C0 7E 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 2C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_77842_0 {
	meta:
		name = "TCustomDBGrid.PtInExpandButton"
		size = 266
		refs = "0029 TCustomGrid.MouseCoord 0063 TCustomDBGrid.RawToDataColumn 008d TDBGridColumns.GetColumn 0099 TCustomDBGrid.CalcTitleRect 00a4 @CallDynaInst 00af GetSystemMetrics 00cd TColumn.GetExpandable 00ec PtInRect"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 08 33 C0 89 07 C6 45 F7 00 8D 45 EC 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B6 83 5A 03 00 00 3B 45 F0 0F 8E C0 00 00 00 8B 83 68 03 00 00 80 78 15 00 0F 84 B0 00 00 00 0F B6 83 5B 03 00 00 3B 45 EC 0F 8F A0 00 00 00 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B B3 94 03 00 00 8B 56 08 3B 42 08 0F 8D 84 00 00 00 57 8D 45 D4 50 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 4D F0 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 11 6A 15 E8 ?? ?? ?? ?? 8B 55 DC 2B D0 89 55 D4 EB 0D 6A 15 E8 ?? ?? ?? ?? 03 45 D4 89 45 DC 8B 07 E8 ?? ?? ?? ?? 84 C0 74 23 8B 45 FC 89 45 E4 8B 45 F8 89 45 E8 FF 75 E8 FF 75 E4 8D 45 D4 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 EB 02 33 C0 88 45 F7 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_77843_0 {
	meta:
		name = "TCustomDBGrid.MouseDown"
		size = 736
		refs = "001c TCustomDBGrid.AcquireFocus 003a @CallDynaInst 004b TCustomGrid.Sizing 006d TCustomGrid.MouseDown 0082 TCustomGrid.MouseCoord 00fb TControl.BeginDrag 0110 TCustomDBGrid.PtInExpandButton 011c TColumn.GetExpanded 0129 TColumn.SetExpanded 012e ReleaseCapture 0136 TCustomGrid.UpdateDesigner 019d TCustomDBGrid.BeginUpdate 01a5 TCustomDBGrid.MouseDown 01c1 TCustomGrid.HideEditor 022a TCustomDBGrid.MoveCol 0269 TBookmarkList.GetCurrentRowSelected 0275 TBookmarkList.SetCurrentRowSelected 027e TBookmarkList.Clear 02ac TCustomGrid.ShowEditor 02b6 TCustomGrid.InvalidateEditor 02cb TCustomDBGrid.EndUpdate 02d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 66 89 4D FA 8B DA 89 45 FC 8B 75 08 8B 7D 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 AF 02 00 00 F6 45 FA 40 74 15 84 DB 75 11 8B 45 FC 66 BE EB FF E8 ?? ?? ?? ?? E9 94 02 00 00 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 23 8B 45 FC 8B 80 68 03 00 00 8B 10 FF 52 50 57 56 8B D3 0F B7 4D FA 8B 45 FC E8 ?? ?? ?? ?? E9 61 02 00 00 8D 45 F0 50 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 83 7D F0 00 7D 33 83 7D F4 00 7D 2D 8B 45 FC 8B 80 68 03 00 00 85 C0 74 0B 80 78 17 00 74 05 8B 10 FF 52 50 57 56 8B D3 0F B7 4D FA 8B 45 FC E8 ?? ?? ?? ?? E9 18 02 00 00 8B 45 FC 80 B8 93 00 00 00 01 75 39 8B 45 FC 0F B6 80 5B 03 00 00 3B 45 F0 7E 2A 8B 45 FC 0F B6 80 5A 03 00 00 3B 45 F4 7E 1B 8B 45 FC F6 40 1C 10 75 12 83 C9 FF 33 D2 8B 45 FC E8 ?? ?? ?? ?? E9 D3 01 00 00 8D 45 E8 50 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 27 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 98 01 00 00 8B 45 FC F6 40 1C 10 75 0C 8B 45 FC F6 80 58 03 00 00 10 74 32 8B 45 FC 0F B6 80 5A 03 00 00 3B 45 F4 7E 23 8B 45 FC 8B 80 68 03 00 00 8B 10 FF 52 50 57 56 8B D3 0F B7 4D FA 8B 45 FC E8 ?? ?? ?? ?? E9 51 01 00 00 8B 45 FC 8B 80 68 03 00 00 80 78 15 00 0F 84 3E 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 68 03 00 00 8B 10 FF 52 50 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B B0 90 02 00 00 8B 45 FC 8B 80 94 02 00 00 89 45 EC 8B 45 FC 0F B6 80 5A 03 00 00 8B 7D F4 3B C7 7F 26 8B 45 FC 8B D7 2B 90 94 02 00 00 74 19 8B 45 FC 8B D7 2B 90 94 02 00 00 8B 45 FC 8B 80 68 03 00 00 8B 08 FF 51 40 8B 55 FC 0F B6 92 5B 03 00 00 8B 45 F0 3B D0 7F 0C 33 C9 8B D0 8B 45 FC E8 ?? ?? ?? ?? 84 DB 75 59 8B 45 FC F6 80 59 03 00 00 10 74 4D 8B 45 FC 8B 80 68 03 00 00 80 78 15 00 74 3E 8B 45 FC 8B B8 9C 03 00 00 8B 45 FC C6 80 61 03 00 00 00 F6 45 FA 04 74 15 8B C7 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B C7 E8 ?? ?? ?? ?? EB 10 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? 84 DB 75 23 3B 75 F0 75 08 8B 45 F4 3B 45 EC 74 0C 8B 45 FC F6 80 58 03 00 00 02 74 0A 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_77844_0 {
	meta:
		name = "TCustomDBGrid.MouseUp"
		size = 269
		refs = "002b TCustomGrid.MouseUp 004a TInplaceEdit.Visible 006e TControl.GetBoundsRect 0077 PtInRect 0096 TCustomGrid.MouseCoord 00c4 TCustomDBGrid.RawToDataColumn 00d1 TDBGridColumns.GetColumn 00de @CallDynaInst 00e7 TCustomDBGrid.GetSelectedIndex"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 66 89 4D FD 88 55 FF 8B F0 0F B6 9E 20 03 00 00 8B 45 0C 50 8B 45 08 50 0F B6 55 FF 0F B7 4D FD 8B C6 E8 ?? ?? ?? ?? 80 FB 02 74 05 80 FB 03 75 04 B0 01 EB 48 8B 9E F4 02 00 00 85 DB 74 3C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 31 8B 45 0C 89 45 EC 8B 45 08 89 45 F0 FF 75 F0 FF 75 EC 8D 55 DC 8B 86 F4 02 00 00 E8 ?? ?? ?? ?? 8D 45 DC 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 EB 02 33 C0 84 C0 75 7C 8D 45 F4 50 8B 4D 08 8B 55 0C 8B C6 E8 ?? ?? ?? ?? 80 7D FF 00 75 65 0F B6 86 5B 03 00 00 3B 45 F4 7F 59 83 7D F8 00 7C 53 0F B6 86 5A 03 00 00 3B 45 F8 7E 26 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 94 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 66 BE 8F FF E8 ?? ?? ?? ?? EB 21 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 94 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 66 BE 97 FF E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_77845_0 {
	meta:
		name = "TCustomDBGrid.DoMouseWheelDown"
		size = 116
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8D 7C 24 04 A5 A5 66 89 14 24 8B D8 C6 44 24 0C 00 66 83 BB 52 01 00 00 00 74 1D 8D 44 24 04 50 8D 44 24 10 50 0F B7 4C 24 08 8B D3 8B 83 54 01 00 00 FF 93 50 01 00 00 80 7C 24 0C 00 75 21 8B 83 68 03 00 00 80 78 15 00 74 15 BA 01 00 00 00 8B 83 68 03 00 00 8B 08 FF 51 40 C6 44 24 0C 01 0F B6 44 24 0C 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77846_0 {
	meta:
		name = "TCustomDBGrid.DoMouseWheelUp"
		size = 114
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8D 7C 24 04 A5 A5 66 89 14 24 8B D8 C6 44 24 0C 00 66 83 BB 5A 01 00 00 00 74 1D 8D 44 24 04 50 8D 44 24 10 50 0F B7 4C 24 08 8B D3 8B 83 5C 01 00 00 FF 93 58 01 00 00 80 7C 24 0C 00 75 1F 8B 83 68 03 00 00 80 78 15 00 74 13 83 CA FF 8B 83 68 03 00 00 8B 08 FF 51 40 C6 44 24 0C 01 0F B6 44 24 0C 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77847_0 {
	meta:
		name = "TCustomDBGrid.MoveCol"
		size = 322
		refs = "006f TCustomGrid.GetColWidths 00ce TCustomDBGrid.MoveCol 00e0 @CallDynaInst 00fd @HandleFinally 0121 TCustomGrid.HideEditor 012c TCustomGrid.SetCol"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B D9 89 55 F8 89 45 FC 8B 45 FC 8B 80 68 03 00 00 8B 10 FF 52 50 8B 45 FC 8B 80 8C 02 00 00 3B 45 F8 7F 04 48 89 45 F8 8B 45 FC 0F B6 80 5B 03 00 00 3B 45 F8 7E 03 89 45 F8 85 DB 74 56 EB 03 01 5D F8 8B 45 FC 8B 80 8C 02 00 00 3B 45 F8 7E 1E 8B 45 FC 0F B6 80 5B 03 00 00 3B 45 F8 7F 0F 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E D1 8B 45 FC 8B 80 8C 02 00 00 3B 45 F8 0F 8E B3 00 00 00 8B 45 FC 0F B6 80 5B 03 00 00 3B 45 F8 0F 8F A0 00 00 00 8B 45 FC 8B 80 90 02 00 00 89 45 F4 8B 45 F8 3B 45 F4 0F 84 88 00 00 00 8B 45 FC 80 B8 5E 03 00 00 00 75 51 8B 45 FC C6 80 5E 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BE 95 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 5E 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 80 90 02 00 00 3B 45 F4 75 2B 8B 45 FC F6 80 58 03 00 00 02 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BE 96 FF E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77848_0 {
	meta:
		name = "TCustomDBGrid.Notification"
		size = 417
		refs = "0018 TWinControl.Notification 0029 _Dn_TPopupMenu 002e @IsClass 005d TDBGridColumns.GetColumn 0079 TColumn.SetPopupMenu 009a TCustomDBGrid.GetDataSource 00a8 TCustomDBGrid.SetDataSource 00b5 _Dn_TField 00ce TCustomDBGrid.BeginLayout 00d6 TCustomDBGrid.Notification 010e TColumn.GetField 0145 TDataLink.GetDataSet 0184 TCustomDBGrid.EndLayout 018e TCustomDBGrid.DeferLayout 0194 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 8B F2 89 45 FC 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 80 FB 01 0F 85 75 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 50 8B 45 FC 8B 80 94 03 00 00 8B 40 08 8B 58 08 4B 85 DB 0F 8C 4C 01 00 00 43 33 FF 8B 45 FC 8B 80 94 03 00 00 8B D7 E8 ?? ?? ?? ?? 3B 70 30 75 17 8B 45 FC 8B 80 94 03 00 00 8B D7 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 47 4B 75 D0 E9 14 01 00 00 8B 45 FC 83 B8 68 03 00 00 00 0F 84 04 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 3B F0 75 0F 33 D2 8B 45 FC E8 ?? ?? ?? ?? E9 E9 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D4 00 00 00 C6 45 FB 00 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 94 03 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 34 43 33 FF 8B 45 FC 8B 80 94 03 00 00 8B D7 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 3B F0 75 0E 33 D2 8B 45 F4 8B 08 FF 51 24 C6 45 FB 01 47 4B 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 3F 8B 45 FC 8B 80 68 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 2D 8B 45 FC 8B 80 68 03 00 00 E8 ?? ?? ?? ?? F6 40 1C 08 75 19 8B 45 FC 8B 80 68 03 00 00 E8 ?? ?? ?? ?? 83 78 78 00 0F 95 C0 34 01 EB 02 33 C0 84 C0 74 0A 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9B 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77849_0 {
	meta:
		name = "TCustomDBGrid.RecordChanged"
		size = 259
		refs = "0017 TCustomDBGrid.RecordChanged 0024 TWinControl.HandleAllocated 005f TDBGridColumns.GetColumn 0064 TColumn.GetField 0072 TCustomDBGrid.DataToRawColumn 007b TCustomGrid.InvalidateCol 0086 TCustomDBGrid.GetSelectedField 00a1 TField.GetEditText 00af @UStrEqual 00b6 SysLocale 00cc TCustomGrid.InvalidateEditor 00db TInplaceEdit.Deselect 00f0 @UStrClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 AF 00 00 00 83 7D FC 00 75 0C 8B C3 8B 10 FF 92 9C 00 00 00 EB 41 8B 83 94 03 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 30 47 33 F6 8B D6 8B 83 94 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 FC 75 12 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 46 4F 75 D3 8B C3 E8 ?? ?? ?? ?? 8B F0 83 7D FC 00 74 05 3B 75 FC 75 48 85 F6 74 44 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 93 90 03 00 00 E8 ?? ?? ?? ?? 74 2A A1 ?? ?? ?? ?? 83 78 04 12 75 09 80 BB 56 03 00 00 00 74 16 8B C3 E8 ?? ?? ?? ?? 8B 83 F4 02 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77850_0 {
	meta:
		name = "TCustomDBGrid.Scroll"
		size = 615
		refs = "0012 TWinControl.HandleAllocated 003f TCustomGrid.BoxRect 006e TCustomDBGrid.UpdateRowCount 0081 TCustomDBGrid.UpdateActive 00b2 TWinControl.GetHandle 00b8 ValidateRect 00cc InvalidateRect 00f0 TCustomGrid.HideEditor 00f8 TCustomDBGrid.Scroll 0106 TCustomGrid.GetVisibleRowCount 0123 @TryFinallyExit 01d7 ScrollWindowEx 023d TCustomGrid.ShowEditor 0243 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 42 02 00 00 8B 45 FC 8B 80 8C 02 00 00 48 50 8B 45 FC 8B 98 94 02 00 00 53 8D 45 EC 50 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 68 03 00 00 8B 10 FF 52 28 8B 55 FC 8B 92 C8 02 00 00 8B 4D FC 0F B6 89 5A 03 00 00 2B D1 3B C2 7C 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 3C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 48 50 8B 45 FC 8B 98 94 02 00 00 53 8D 45 DC 50 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8D 45 DC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 F6 0F 84 5D 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B C6 99 33 C2 2B C2 3B C8 7D 15 8B 45 FC 8B 10 FF 92 9C 00 00 00 E8 ?? ?? ?? ?? E9 34 01 00 00 8B 45 FC 8B 98 9C 02 00 00 8B 45 FC F6 80 58 03 00 00 40 74 09 8B 45 FC 03 98 B8 02 00 00 8B 45 FC F6 80 58 03 00 00 08 74 39 8B 45 FC 8B 80 8C 02 00 00 48 50 8B 45 FC 8B B8 64 03 00 00 57 8D 45 EC 50 8B CF 33 D2 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 48 50 68 E8 03 00 00 8D 45 DC 50 8B 45 FC 0F B6 88 5A 03 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 6A 02 6A 00 6A 00 8D 45 DC 50 8D 45 DC 50 F7 DB 0F AF DE 53 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC F6 80 58 03 00 00 08 74 39 8B 45 FC 8B 80 8C 02 00 00 48 50 8B 45 FC 8B 98 94 02 00 00 53 8D 45 DC 50 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8D 45 DC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC F6 80 58 03 00 00 02 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 8B 45 FC 80 B8 5C 03 00 00 00 75 0B 8B 45 FC 8B 10 FF 92 A8 00 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77851_0 {
	meta:
		name = "TCustomDBGrid.SetColumns"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 94 03 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_77852_0 {
	meta:
		name = "ReadOnlyField"
		size = 45
		refs = "001d TDataSet.FindField"
	strings:
		$1 = { 53 0F B6 58 49 84 DB 75 20 80 78 4A 02 75 1A B3 01 8B 50 3C 85 D2 74 11 8B 40 70 92 E8 ?? ?? ?? ?? 85 C0 74 04 0F B6 58 49 8B C3 5B C3 }
	condition:
		$1
}

rule function_77853_0 {
	meta:
		name = "TCustomDBGrid.SetColumnAttributes"
		size = 202
		refs = "0027 TDBGridColumns.GetColumn 0030 TColumn.GetShowing 003b TColumn.GetReadOnly 0052 TColumn.GetField 006f ReadOnlyField 0089 TCustomGrid.SetTabStops 0090 TColumn.GetWidth 00a2 TCustomGrid.SetColWidths"
	strings:
		$1 = { 53 56 57 55 8B F0 8B 86 94 03 00 00 8B 40 08 8B 68 08 4D 85 ED 0F 8C 93 00 00 00 45 33 FF 8B D7 8B 86 94 03 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 34 8B 86 68 03 00 00 80 78 15 00 74 28 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1D 8B C3 E8 ?? ?? ?? ?? 80 78 4A 01 74 10 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C9 EB 02 B1 01 0F B6 96 5B 03 00 00 03 D7 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C8 0F B6 96 5B 03 00 00 03 D7 8B C6 E8 ?? ?? ?? ?? 47 4D 0F 85 70 FF FF FF F6 86 58 03 00 00 08 74 0E B9 0B 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77854_0 {
	meta:
		name = "TCustomDBGrid.SetDataSource"
		size = 150
		refs = "000f TCustomDBGrid.SetDataSource 003c SDataSetUnidirectional 0041 LoadResString 004b DatabaseError 0056 TBookmarkList.Clear 0063 TDataLink.SetDataSource 0070 TComponent.FreeNotification 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 68 03 00 00 3B 58 04 74 50 85 DB 74 27 8B 43 38 85 C0 74 20 80 B8 90 00 00 00 00 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 86 9C 03 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 68 03 00 00 E8 ?? ?? ?? ?? 85 DB 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77855_0 {
	meta:
		name = "TCustomDBGrid.SetEditText"
		size = 25
		refs = "0010 @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 8B D8 8D 83 90 03 00 00 8B 55 08 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_77856_0 {
	meta:
		name = "TCustomDBGrid.SetOptions"
		size = 296
		refs = "001c TCustomDBGrid.SetOptions 00a7 TCustomGrid.SetOptions 00c4 TBookmarkList.Clear"
	strings:
		$1 = { 53 56 51 66 89 14 24 8B F0 0F B7 04 24 66 3B 86 58 03 00 00 0F 84 F4 00 00 00 8B 1D ?? ?? ?? ?? F6 04 24 20 74 09 A1 ?? ?? ?? ?? 0B C3 8B D8 F6 04 24 40 74 09 A1 ?? ?? ?? ?? 0B C3 8B D8 F6 04 24 10 74 09 A1 ?? ?? ?? ?? 0B C3 8B D8 F6 04 24 80 74 06 81 CB 00 08 00 00 F6 44 24 01 01 74 10 81 CB 00 10 00 00 66 83 24 24 FD 66 83 24 24 FE F6 04 24 01 74 06 81 CB 00 04 00 00 F6 04 24 02 74 06 81 CB 00 20 00 00 F6 44 24 01 20 74 06 81 CB 00 00 01 00 F6 44 24 01 40 74 06 81 CB 00 00 02 00 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B7 04 24 F7 D0 66 23 86 58 03 00 00 F6 C4 10 74 0B 8B 86 9C 03 00 00 E8 ?? ?? ?? ?? 0F B7 1C 24 66 23 9E 58 03 00 00 0F B7 04 24 66 0B 86 58 03 00 00 F7 D3 66 23 D8 0F B7 04 24 66 89 86 58 03 00 00 0F B7 05 ?? ?? ?? ?? 66 23 C3 0F B7 15 ?? ?? ?? ?? 66 3B D0 74 0A 8B C6 8B 10 FF 92 2C 01 00 00 5A 5E 5B C3 00 00 00 00 00 00 05 00 00 00 0A 00 00 00 80 02 00 00 6F 03 00 00 }
	condition:
		$1
}

rule function_77857_0 {
	meta:
		name = "TCustomDBGrid.SetSelectedField"
		size = 83
		refs = "0029 TDBGridColumns.GetColumn 002e TColumn.GetField 003b TCustomDBGrid.DataToRawColumn 0046 TCustomDBGrid.MoveCol"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 85 ED 74 42 8B 83 94 03 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 31 47 33 F6 8B D6 8B 83 94 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B E8 75 14 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 46 4F 75 D2 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77858_0 {
	meta:
		name = "TCustomDBGrid.SetSelectedIndex"
		size = 29
		refs = "000b TCustomDBGrid.DataToRawColumn 0016 TCustomDBGrid.MoveCol"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77859_0 {
	meta:
		name = "TCustomDBGrid.SetTitleFont"
		size = 35
	strings:
		$1 = { 56 8B F0 8B 86 48 03 00 00 8B 08 FF 51 08 F6 86 58 03 00 00 04 74 0A 8B C6 8B 10 FF 92 2C 01 00 00 5E C3 }
	condition:
		$1
}

rule function_77860_0 {
	meta:
		name = "TCustomDBGrid.StoreColumns"
		size = 21
		refs = "000a TDBGridColumns.GetState"
	strings:
		$1 = { 53 8B D8 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 3C 01 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_77861_0 {
	meta:
		name = "TCustomDBGrid.TimedScroll"
		size = 124
		refs = "005e TCustomDBGrid.TimedScroll 006e TCustomGrid.TimedScroll"
	strings:
		$1 = { 53 56 57 51 88 14 24 8B D8 8B BB 68 03 00 00 80 7F 15 00 74 5D 8B F7 F6 04 24 04 74 17 8B C6 8B 10 FF 52 28 8B D0 F7 DA 4A 8B C7 8B 08 FF 51 40 80 24 24 FB F6 04 24 08 74 21 8B C6 8B 10 FF 52 38 50 8B C6 8B 10 FF 52 28 5A 2B D0 8B 83 68 03 00 00 8B 08 FF 51 40 80 24 24 F7 0F B6 05 ?? ?? ?? ?? 3A 04 24 74 0B 0F B6 14 24 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_77862_0 {
	meta:
		name = "TCustomDBGrid.TitleClick"
		size = 36
	strings:
		$1 = { 53 F6 80 59 03 00 00 20 74 18 66 83 B8 C2 03 00 00 00 74 0E 8B D8 8B 83 C4 03 00 00 FF 93 C0 03 00 00 5B C3 }
	condition:
		$1
}

rule function_77863_0 {
	meta:
		name = "TCustomDBGrid.TitleFontChanged"
		size = 48
		refs = "0017 TControl.SetParentFont"
	strings:
		$1 = { 56 8B F0 80 BE 60 03 00 00 00 75 0F F6 46 1C 01 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? F6 86 58 03 00 00 04 74 0A 8B C6 8B 10 FF 92 2C 01 00 00 5E C3 }
	condition:
		$1
}

rule function_77864_0 {
	meta:
		name = "TCustomDBGrid.UpdateActive"
		size = 208
		refs = "000d TCustomDBGrid.UpdateActive 002a TWinControl.HandleAllocated 0062 TCustomGrid.HideEditor 0075 TCustomGrid.MoveColRow 007c TCustomGrid.InvalidateEditor 0083 TCustomDBGrid.GetSelectedField 0093 TField.GetEditText 00a1 @UStrEqual 00bf @UStrClr 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 68 03 00 00 80 78 15 00 0F 84 87 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 7C F6 43 1C 01 75 76 8B 83 68 03 00 00 8B 10 FF 52 28 8B F0 0F B6 83 5A 03 00 00 03 F0 3B B3 94 02 00 00 74 2A F6 83 58 03 00 00 02 75 07 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B CE 8B 93 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 21 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 93 90 03 00 00 E8 ?? ?? ?? ?? 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77865_0 {
	meta:
		name = "TCustomDBGrid.UpdateData"
		size = 109
		refs = "000d TCustomDBGrid.UpdateData 001a TCustomDBGrid.GetSelectedField 002a TField.GetEditText 0038 @UStrEqual 0047 TField.SetEditText 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 27 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 93 90 03 00 00 E8 ?? ?? ?? ?? 74 0D 8B 93 90 03 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77866_0 {
	meta:
		name = "TCustomDBGrid.UpdateRowCount"
		size = 213
		refs = "0024 TCustomGrid.SetRowCount 0032 TCustomGrid.SetFixedRows 0050 TWinControl.HandleAllocated 0078 TCustomGrid.GetVisibleRowCount 00b4 TCustomGrid.SetTopRow 00bb TCustomDBGrid.UpdateActive"
	strings:
		$1 = { 53 56 57 8B F0 8B 86 C8 02 00 00 8B F8 0F B6 96 5A 03 00 00 0F B6 CA 3B C1 7F 0D 0F B6 C2 40 8B D0 8B C6 E8 ?? ?? ?? ?? 0F B6 96 5A 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B 9E 68 03 00 00 80 7B 15 00 74 16 8B C3 8B 10 FF 52 38 85 C0 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 11 0F B6 96 5A 03 00 00 42 8B C6 E8 ?? ?? ?? ?? EB 56 BA E8 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 68 03 00 00 8B 08 FF 51 4C 8B C3 8B 10 FF 52 38 8B D0 0F B6 86 5A 03 00 00 03 D0 8B C6 E8 ?? ?? ?? ?? F6 86 59 03 00 00 01 74 0D 8B 96 A8 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B BE C8 02 00 00 74 0A 8B C6 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77867_0 {
	meta:
		name = "TCustomDBGrid.UpdateScrollBar"
		size = 367
		refs = "001b TWinControl.HandleAllocated 002e TDataLink.GetDataSet 0049 TWinControl.GetHandle 004f GetScrollInfo 0095 TCustomGrid.GetVisibleRowCount 012b ShowScrollBar 0145 SetScrollInfo 014a TStyleManager.GetIsCustomStyleActive 0164 SendMessage"
	strings:
		$1 = { 53 56 57 83 C4 C8 8B F0 8B 86 68 03 00 00 80 78 15 00 0F 84 50 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 41 01 00 00 8B 86 68 03 00 00 E8 ?? ?? ?? ?? 8B F8 C7 04 24 1C 00 00 00 C7 44 24 04 17 00 00 00 54 6A 01 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 56 57 8D 74 24 08 8D 7C 24 24 B9 07 00 00 00 F3 A5 5F 5E 8B C7 8B 10 FF 92 A0 02 00 00 84 C0 74 57 8B C7 8B 10 FF 92 88 01 00 00 48 0F 9F C3 84 DB 0F 84 8F 00 00 00 C7 44 24 24 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 44 24 2C 8B C7 8B 10 FF 92 88 01 00 00 03 44 24 2C 48 89 44 24 28 0F B6 87 A5 00 00 00 2C 03 73 5E 8B C7 8B 10 FF 92 8C 01 00 00 89 44 24 30 EB 4E B3 01 33 C0 89 44 24 24 33 C0 89 44 24 2C C7 44 24 28 04 00 00 00 8B 86 68 03 00 00 8B 10 FF 52 2C 84 C0 74 08 33 C0 89 44 24 30 EB 21 8B 86 68 03 00 00 8B 10 FF 52 34 84 C0 74 0A C7 44 24 30 04 00 00 00 EB 08 C7 44 24 30 02 00 00 00 80 FB 01 F5 1B C0 50 6A 01 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 84 DB 74 16 6A FF 8D 44 24 20 50 6A 01 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 85 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 38 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77868_0 {
	meta:
		name = "TCustomDBGrid.ValidFieldIndex"
		size = 27
		refs = "000f TGridDataLink.GetMappedIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 68 03 00 00 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_77869_0 {
	meta:
		name = "TCustomDBGrid.CMParentFontChanged"
		size = 107
		refs = "000b TControl.CMParentFontChanged 0026 TCustomDBGrid.CMParentFontChanged 003a TCustomDBGrid.SetTitleFont 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 63 00 74 50 8B 45 FC C6 80 60 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 6C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 60 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 10 FF 92 2C 01 00 00 59 5D C3 }
	condition:
		$1
}

rule function_77870_0 {
	meta:
		name = "TCustomDBGrid.CMBiDiModeChanged"
		size = 104
		refs = "0008 TWinControl.CMBiDiModeChanged 000f TComponent.GetComponentCount 0022 TComponent.GetComponent 0028 _DV_TCustomDBGrid 002d @IsClass 0045 @AsClass"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 4A 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 38 85 D2 74 10 0F B6 4B 69 8B C2 8B D1 8B 08 FF 91 8C 00 00 00 46 4F 75 B9 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77871_0 {
	meta:
		name = "TCustomDBGrid.CMExit"
		size = 167
		refs = "0010 TCustomDBGrid.CMExit 002a TDataLink.GetDataSet 007e @HandleAnyException 008e @RaiseAgain 0093 @DoneExcept 009d TWinControl.CMExit"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 68 03 00 00 80 78 15 00 74 4A E8 ?? ?? ?? ?? 8B 55 FC F6 82 59 03 00 00 08 74 2B 80 B8 A5 00 00 00 03 75 22 80 B8 AA 00 00 00 00 75 19 8B 55 FC 8B 92 68 03 00 00 80 7A 28 00 75 0A 8B 10 FF 92 68 02 00 00 EB 0E 8B 45 FC 8B 80 68 03 00 00 8B 10 FF 52 50 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77872_0 {
	meta:
		name = "TCustomDBGrid.CMFontChanged"
		size = 121
		refs = "000d TCustomGrid.CMFontChanged 0015 TCustomDBGrid.BeginLayout 001d TCustomDBGrid.CMFontChanged 004a TDBGridColumns.GetColumn 004f TColumn.RefreshDefaultFont 0068 TCustomDBGrid.EndLayout 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 94 03 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 1C 43 33 F6 8B 45 FC 8B 80 94 03 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77873_0 {
	meta:
		name = "TCustomDBGrid.CMDeferLayout"
		size = 32
		refs = "0006 TCustomDBGrid.AcquireLayoutLock 0011 TCustomDBGrid.EndLayout 001a TCustomDBGrid.DeferLayout"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77874_0 {
	meta:
		name = "TCustomDBGrid.CMDesignHitTest"
		size = 153
		refs = "000c TCustomGrid.CMDesignHitTest 0026 TDBGridColumns.GetState 0035 TGridDataLink.GetDefaultFields 0086 TCustomDBGrid.PtInExpandButton"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7E 0C 01 75 3A 83 BB 68 03 00 00 00 74 2A 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 84 C0 75 22 8B 83 68 03 00 00 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 83 68 03 00 00 80 78 15 00 75 07 33 C0 89 46 0C EB 45 83 7E 0C 00 75 3F 83 BB 68 03 00 00 00 74 36 8B 83 68 03 00 00 80 78 15 00 74 2A 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 3C 01 75 1B 54 0F BF 4E 0A 0F BF 56 08 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 C7 46 0C 01 00 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_77875_0 {
	meta:
		name = "TCustomDBGrid.WMSetCursor"
		size = 96
		refs = "001c TDBGridColumns.GetState 002b TGridDataLink.GetDefaultFields 0047 LoadCursor 004d SetCursor 0059 TCustomGrid.WMSetCursor"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 10 74 48 83 BB 68 03 00 00 00 74 2A 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 84 C0 75 30 8B 83 68 03 00 00 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 83 68 03 00 00 80 78 15 00 75 15 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77876_0 {
	meta:
		name = "TCustomDBGrid.WMSize"
		size = 35
		refs = "0006 TCustomGrid.WMSize 0016 TCustomDBGrid.UpdateRowCount 001d TCustomDBGrid.InvalidateTitles"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 5C 03 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77877_0 {
	meta:
		name = "TCustomDBGrid.WMVScroll"
		size = 453
		refs = "000d TCustomDBGrid.AcquireFocus 002a TDataLink.GetDataSet 0040 TCustomDBGrid.WMVScroll 00ad TCustomGrid.GetVisibleRowCount 0101 TWinControl.GetHandle 0107 GetScrollInfo 0117 TDataSet.First 0131 TDataSet.Last"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A5 01 00 00 8B 83 68 03 00 00 80 78 15 00 0F 84 95 01 00 00 E8 ?? ?? ?? ?? 8B F0 0F BF 47 04 83 F8 07 0F 87 81 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B B3 68 03 00 00 8B C6 8B 10 FF 52 28 8B D0 F7 DA 4A 8B C6 8B 08 FF 51 40 E9 3C 01 00 00 8B B3 68 03 00 00 8B C6 8B 10 FF 52 38 50 8B 83 68 03 00 00 8B 10 FF 52 28 5A 2B D0 8B C6 8B 08 FF 51 40 E9 14 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 F7 DA 8B 83 68 03 00 00 8B 08 FF 51 40 E9 F9 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 68 03 00 00 8B 08 FF 51 40 E9 E0 00 00 00 8B C6 8B 10 FF 92 A0 02 00 00 84 C0 74 5E C7 04 24 1C 00 00 00 C7 44 24 04 17 00 00 00 54 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 5C 24 18 83 FB 01 7F 0C 8B C6 E8 ?? ?? ?? ?? E9 9E 00 00 00 8B C6 8B 10 FF 92 88 01 00 00 3B D8 7C 0C 8B C6 E8 ?? ?? ?? ?? E9 84 00 00 00 8B 54 24 18 8B C6 8B 08 FF 91 DC 01 00 00 EB 74 0F BF 47 06 83 F8 04 77 6B FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 47 8B C3 E8 ?? ?? ?? ?? 8B D0 F7 DA 8B 83 68 03 00 00 8B 08 FF 51 40 EB 2F 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 68 03 00 00 8B 08 FF 51 40 EB 19 8B C6 E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77878_0 {
	meta:
		name = "TCustomDBGrid.SetIme"
		size = 249
		refs = "000d TCustomDBGrid.SetIme 0037 @UStrAsg 004b TCustomDBGrid.GetSelectedIndex 0058 TDBGridColumns.GetColumn 0061 TColumn.IsImeNameStored 006f TColumn.GetImeName 0084 TColumn.IsImeModeStored 008f TColumn.GetImeMode 00e8 @UStrClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 94 03 00 00 8B 40 08 83 78 08 00 0F 84 AD 00 00 00 8D 83 D8 01 00 00 8B 93 50 03 00 00 E8 ?? ?? ?? ?? 0F B6 83 54 03 00 00 88 83 D4 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 18 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 D8 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 E8 ?? ?? ?? ?? 88 83 D4 01 00 00 83 BB D8 01 00 00 00 0F 95 C0 88 83 40 03 00 00 8B B3 F4 02 00 00 85 F6 74 24 8D 86 D8 01 00 00 8B 93 D8 01 00 00 E8 ?? ?? ?? ?? 0F B6 83 D4 01 00 00 8B 93 F4 02 00 00 88 82 D4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77879_0 {
	meta:
		name = "TCustomDBGrid.UpdateIme"
		size = 42
		refs = "0006 TCustomDBGrid.SetIme 0011 SetImeName 0018 TWinControl.GetHandle 0024 SetImeMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 D8 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 93 D4 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77881_0 {
	meta:
		name = "TCustomDBGrid.WMSetFocus"
		size = 56
		refs = "001b TWinControl.GetHandle 0027 TCustomDBGrid.SetIme 0030 TCustomGrid.WMSetFocus"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 C6 83 40 03 00 00 00 8B BB F4 02 00 00 85 FF 74 0C 8B C7 E8 ?? ?? ?? ?? 3B 46 04 74 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77882_0 {
	meta:
		name = "TCustomDBGrid.WMKillFocus"
		size = 155
		refs = "0010 TCustomDBGrid.WMKillFocus 001e Screen 0025 TScreen.GetDefaultIME 0033 @UStrAsg 0043 TCustomGrid.WMKillFocus 005d TWinControl.GetHandle 0074 ActivateKeyboardLayout 0089 @UStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 D8 01 00 00 E8 ?? ?? ?? ?? C6 83 D4 01 00 00 03 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 40 03 00 00 00 74 28 8B BB F4 02 00 00 85 FF 74 0C 8B C7 E8 ?? ?? ?? ?? 3B 46 04 74 12 6A 01 A1 ?? ?? ?? ?? 8B 00 8B 40 44 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77883_0 {
	meta:
		name = "TCustomDBGrid.ExecuteAction"
		size = 46
		refs = "001b @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B BB 68 03 00 00 85 FF 74 11 8B D5 8B C7 66 BE FD FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77884_0 {
	meta:
		name = "TCustomDBGrid.UpdateAction"
		size = 46
		refs = "001b @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B BB 68 03 00 00 85 FF 74 11 8B D5 8B C7 66 BE FC FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77885_0 {
	meta:
		name = "TCustomDBGrid.ShowPopupEditor"
		size = 944
		refs = "0015 TColumn.GetField 002b _Dn_TDataSetField 0030 @IsClass 003f TComponent.GetComponentCount 0057 TComponent.GetComponent 005d _DV_TCustomDBGrid 007a TCustomDBGrid.GetDataSource 009c @AsClass 00a1 TDataSetField.GetNestedDataSet 00b1 @CallDynaInst 00c0 TControl.Show 00f2 TCustomDBGrid.ShowPopupEditor 0102 _Dn_TDataSource 0107 TDataSource.Create 012a TDataSource.SetDataSet 0132 TDataSet.CheckBrowseMode 013c TCustomDBGrid.SetDataSource 0147 TDBGridColumns.GetState 0157 TDBGridColumns.SetState 0167 TDBGridColumns.GetColumn 016e TColumn.SetExpanded 0178 TControl.SetVisible 0181 _Dn_TCustomDockForm 019e TCustomGrid.CellRect 01ab TControl.ClientToScreen 01f2 TControl.ManualFloat 0228 Screen 022f TScreen.GetWidth 0247 TControl.SetClientWidth 026c TControl.SetWidth 0278 TScreen.GetHeight 028f TControl.SetHeight 0299 TControl.SetAlign 02ae TControl.SetColor 02bd TWinControl.SetCtl3D 02cc TControl.SetCursor 02ee TCustomGrid.SetFixedColor 02f9 TControl.SetFont 0307 TControl.SetHelpContext 032a @UStrAsg 0339 TCustomDBGrid.SetOptions 035f TControl.SetPopupMenu 036d TCustomDBGrid.SetTitleFont 0391 @HandleAnyException 0399 TObject.Free 039e @RaiseAgain 03a3 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 86 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 6B 03 00 00 8B C3 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 92 00 00 00 40 89 45 F0 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6A 8B D7 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 74 52 8B 45 F4 E8 ?? ?? ?? ?? 8B 70 38 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 75 2B 8B 45 F4 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 F4 8B 40 38 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 92 F4 00 00 00 E9 D3 02 00 00 47 FF 4D F0 0F 85 74 FF FF FF 8B 03 89 C6 8B CB B2 01 8B C6 FF 50 38 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 80 94 03 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 94 03 00 00 33 D2 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 15 ?? ?? ?? ?? 89 90 B0 00 00 00 8D 45 C8 50 8B 8B 94 02 00 00 8B 93 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 D0 8D 4D D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 89 45 E0 8B 45 DC 89 45 E4 81 7D F8 00 00 00 80 7E 06 8B 45 F8 89 45 E0 81 7D 08 00 00 00 80 7E 06 8B 45 08 89 45 E4 8B 43 50 03 45 E0 89 45 E8 8B 43 54 03 45 E4 89 45 EC 8D 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 0F B6 53 69 8B 45 F4 8B 40 38 8B 08 FF 91 8C 00 00 00 8D 45 C8 50 8B 45 F4 8B 90 8C 02 00 00 4A 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 7D D0 85 FF 7E 26 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 3B F8 7D 0F 8B 45 F4 8B 40 38 8B D7 E8 ?? ?? ?? ?? EB 23 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 85 D2 79 03 83 C2 03 C1 FA 02 8B 45 F4 8B 40 38 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 85 D2 79 03 83 C2 03 C1 FA 02 8B 45 F4 8B 40 38 E8 ?? ?? ?? ?? B2 05 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 C6 80 93 00 00 00 01 8B 53 74 8B 45 F4 E8 ?? ?? ?? ?? 0F B6 93 F1 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 0F B7 93 80 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 68 8B D0 8B 45 F4 8B 08 FF 91 80 00 00 00 8B 93 AC 02 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 53 6C 8B 45 F4 E8 ?? ?? ?? ?? 8B 93 70 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 0F B6 83 D4 01 00 00 8B 55 F4 88 82 D4 01 00 00 8B 45 F4 05 D8 01 00 00 8B 93 D8 01 00 00 E8 ?? ?? ?? ?? 0F B7 93 58 03 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 EB 03 8B 40 38 85 C0 74 09 83 B8 84 00 00 00 00 74 F0 85 C0 74 0E 8B 90 84 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 93 48 03 00 00 8B 45 F4 E8 ?? ?? ?? ?? B2 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_77886_0 {
	meta:
		name = "TCustomDBGrid.CalcSizingState"
		size = 194
		refs = "002c TCustomGrid.CalcSizingState 0049 TDataLink.GetDataSet 0071 TCustomGrid.MouseCoord 007b TCustomDBGrid.RawToDataColumn 00a8 TDBGridColumns.GetColumn 00ad TColumn.Depth"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B D8 8B 75 18 56 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 80 3E 03 0F 85 80 00 00 00 83 BB 68 03 00 00 00 74 77 8B 83 68 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 68 8B 83 68 03 00 00 E8 ?? ?? ?? ?? 80 B8 B1 00 00 00 00 74 54 8D 45 F4 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B F8 89 7D F4 85 FF 7C 11 8B 83 94 03 00 00 8B 40 08 3B 78 08 0F 9C C0 EB 02 33 C0 84 C0 74 1A 8B D7 8B 83 94 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 F8 7E 03 C6 06 00 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_77887_0 {
	meta:
		name = "TCustomDBGrid.CheckColumnDrag"
		size = 403
		refs = "001c TCustomGrid.CheckColumnDrag 0034 TDataLink.GetDataSet 005f TColumn.Depth 007b TCustomDBGrid.RawToDataColumn 0088 TDBGridColumns.GetColumn 0094 TCustomDBGrid.ColumnAtDepth 009d TColumn.GetParentColumn 00c7 TCollectionItem.GetIndex 013c TCollection.GetCount 017d TCustomDBGrid.DataToRawColumn"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B D8 8B 45 08 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 0F 84 59 01 00 00 8B 83 68 03 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 46 01 00 00 8B 83 68 03 00 00 E8 ?? ?? ?? ?? 80 B8 B1 00 00 00 00 0F 84 2E 01 00 00 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 00 3B 07 0F 84 13 01 00 00 8B 55 FC 8B 12 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D F4 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 50 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 5A 3B D0 74 5E 8B 45 FC 8B 00 3B 07 7D 22 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B F0 EB 33 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 10 4F 8B D7 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 50 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 5A 3B D0 75 D8 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 3B F8 7E 49 8B C6 E8 ?? ?? ?? ?? 8B F8 47 EB 01 47 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 3B F8 7D 1D 8B D7 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D F4 8B C3 E8 ?? ?? ?? ?? 3B F0 74 D3 8B D7 4A 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 02 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_77888_0 {
	meta:
		name = "TCustomDBGrid.BeginColumnDrag"
		size = 190
		refs = "001c TCustomGrid.BeginColumnDrag 0034 TDataLink.GetDataSet 005c TCustomGrid.MouseCoord 006b TCustomDBGrid.RawToDataColumn 0078 TDBGridColumns.GetColumn 0084 TCustomDBGrid.ColumnAtDepth 0097 TCollectionItem.GetIndex 00a0 TCustomDBGrid.DataToRawColumn"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 57 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 0F 84 84 00 00 00 8B 83 68 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 75 8B 83 68 03 00 00 E8 ?? ?? ?? ?? 80 B8 B1 00 00 00 00 74 61 8D 45 EC 50 8B 4F 04 8B 17 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 8B 16 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D F4 8B C3 E8 ?? ?? ?? ?? 8B F8 89 BB C8 03 00 00 85 FF 74 1D 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 3B 06 74 02 89 06 8B 06 8B 55 FC 89 02 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_77889_0 {
	meta:
		name = "TCustomDBGrid.EndColumnDrag"
		size = 30
		refs = "000d TCustomGrid.EndColumnDrag"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 33 D2 89 93 C8 03 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_77890_0 {
	meta:
		name = "TCustomDBGrid.InvalidateTitles"
		size = 84
		refs = "0009 TWinControl.HandleAllocated 0021 TCustomGrid.CalcFixedInfo 0037 Rect 0045 TWinControl.GetHandle 004b InvalidateRect"
	strings:
		$1 = { 53 83 C4 90 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3E F6 83 58 03 00 00 04 74 35 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8B 44 24 44 50 8D 44 24 04 50 8B 4B 50 33 D2 33 C0 E8 ?? ?? ?? ?? 6A 00 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 70 5B C3 }
	condition:
		$1
}

rule function_77895_0 {
	meta:
		name = "LoginDialog"
		size = 278
		refs = "001b LoginDialog 0027 Application 0030 _DV_TLoginDialog 0035 TCustomForm.Create 0056 TControl.SetText 0080 TCustomForm.SetActiveControl 009f TControl.GetText 00a9 @UStrAsg 00dd TObject.Free 00e3 @HandleFinally 00ff @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 98 03 00 00 8B D6 E8 ?? ?? ?? ?? 8B 13 8B 45 F8 8B 80 B8 03 00 00 E8 ?? ?? ?? ?? C6 45 FF 00 83 3B 00 75 11 8B 45 F8 8B 90 B8 03 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 48 75 3A 8D 55 F4 8B 45 F8 8B 80 B8 03 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 8B 80 B4 03 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77896_0 {
	meta:
		name = "LoginDialogEx"
		size = 307
		refs = "001b LoginDialogEx 0027 Application 0030 _DV_TLoginDialog 0035 TCustomForm.Create 0056 TControl.SetText 009b TCustomForm.SetActiveControl 00ba TControl.GetText 00c4 @UStrAsg 00f8 TObject.Free 00fe @HandleFinally 011a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 98 03 00 00 8B D6 E8 ?? ?? ?? ?? 8B 13 8B 45 F8 8B 80 B8 03 00 00 E8 ?? ?? ?? ?? C6 45 FF 00 80 7D 08 00 74 15 8B 45 F8 8B 80 B8 03 00 00 33 D2 8B 08 FF 91 80 00 00 00 EB 16 83 3B 00 75 11 8B 45 F8 8B 90 B8 03 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 48 75 3A 8D 55 F4 8B 45 F8 8B 80 B8 03 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 8B 80 B4 03 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_77897_0 {
	meta:
		name = "RemoteLoginDialog"
		size = 447
		refs = "0014 RemoteLoginDialog 0020 Application 0029 _DV_TLoginDialog 002e TCustomForm.Create 0047 SRemoteLogin 004c LoadResString 0057 TControl.SetText 0067 TControl.SetVisible 00a4 TControl.SetHeight 00c1 TControl.SetTop 0122 TCustomForm.SetActiveControl 0141 TControl.GetText 014b @UStrAsg 017f TObject.Free 0185 @HandleFinally 01a1 @UStrArrayClr 01a9 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 94 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 98 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 B0 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 90 03 00 00 8B 50 54 8B 4D F8 8B 89 94 03 00 00 2B 51 4C E8 ?? ?? ?? ?? 8B 45 F8 8B 80 9C 03 00 00 8B 50 4C 8B 4D F8 8B 89 94 03 00 00 2B 51 4C E8 ?? ?? ?? ?? 8B 45 F8 8B 80 A0 03 00 00 8B 50 4C 8B 4D F8 8B 89 94 03 00 00 2B 51 4C E8 ?? ?? ?? ?? 8B 45 F8 8B 50 54 8B 45 F8 8B 80 94 03 00 00 2B 50 4C 8B 45 F8 E8 ?? ?? ?? ?? 8B 13 8B 45 F8 8B 80 B8 03 00 00 E8 ?? ?? ?? ?? C6 45 FF 00 83 3B 00 75 11 8B 45 F8 8B 90 B8 03 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 48 75 3A 8D 55 F0 8B 45 F8 8B 80 B8 03 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F8 8B 80 B4 03 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77898_0 {
	meta:
		name = "TLoginDialog.FormShow"
		size = 70
		refs = "000b TControl.GetClientWidth 003f TControl.SetWidth"
	strings:
		$1 = { 53 56 8B D8 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B B3 98 03 00 00 8B 56 50 03 56 48 3B C2 7F 24 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 98 03 00 00 2B 50 48 83 EA 05 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77901_0 {
	meta:
		name = "Vcl.DBLogDlg"
		size = 84
		refs = "0002 _DV_2 000a LoginDialogProc 001a LoginDialog 001f LoginDialogExProc 002f LoginDialogEx 0034 RemoteLoginDialogProc 0044 RemoteLoginDialog 0049 ScreenCursorProc 004f SetCursorType"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 4A A1 ?? ?? ?? ?? 83 38 00 75 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 75 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 75 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77902_0 {
	meta:
		name = "TDBLookupCombo.Create"
		size = 423
		refs = "000e @ClassCreate 001c TCustomEdit.Create 002c _Dn_TFieldDataLink 0031 TFieldDataLink.Create 0046 TDBLookupCombo.DataChange 0050 TDBLookupCombo.EditingChange 005a TDBLookupCombo.UpdateData 0064 TDBLookupCombo.FieldLinkActive 006d _Dn_TWinControl 0072 TWinControl.Create 0086 TControl.SetWidth 0096 TControl.SetHeight 00a3 TControl.SetVisible 00bc _DV_TComboButton 00c1 TSpeedButton.Create 00f1 LoadBitmap 00fd TSpeedButton.GetGlyph 0103 TBitmap.SetHandle 012d _DV_TPopupGrid 0132 TPopupGrid.Create 016f TDBLookupCombo.GridClick 0192 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 78 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B8 02 00 00 89 5E 24 89 5E 34 C7 46 30 ?? ?? ?? ?? 89 5E 3C C7 46 38 ?? ?? ?? ?? 89 5E 44 C7 46 40 ?? ?? ?? ?? 89 5E 4C C7 46 48 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C4 02 00 00 8B C6 BA 11 00 00 00 E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 BA 11 00 00 00 E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 B2 01 E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 8B D3 8B 08 FF 91 84 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C0 02 00 00 8B 83 C4 02 00 00 8B 50 50 52 8B 40 54 50 8B C6 33 C9 33 D2 8B 30 FF 96 A4 00 00 00 68 E2 7F 00 00 6A 00 E8 ?? ?? ?? ?? 50 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 83 C0 02 00 00 B2 01 E8 ?? ?? ?? ?? 8B 93 C4 02 00 00 8B 83 C0 02 00 00 8B 08 FF 91 84 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 BC 02 00 00 89 9E 08 04 00 00 8B C6 8B D3 8B 08 FF 91 84 00 00 00 8B 83 BC 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 83 BC 02 00 00 89 98 04 04 00 00 C7 80 00 04 00 00 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? C7 83 AC 02 00 00 08 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77903_0 {
	meta:
		name = "TDBLookupCombo.Destroy"
		size = 63
		refs = "0003 @BeforeDestruction 001a TObject.Free 002d TWinControl.Destroy 0038 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 B8 02 00 00 33 D2 89 50 30 89 50 34 E8 ?? ?? ?? ?? 33 C0 89 86 B8 02 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77904_0 {
	meta:
		name = "TDBLookupCombo.Notification"
		size = 80
		refs = "0010 TWinControl.Notification 0025 TDBLookupCombo.GetDataSource 0032 TDBLookupCombo.SetDataSource 003b TDBLookupCombo.GetLookupSource 0048 TDBLookupCombo.SetLookupSource"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 33 83 BE B8 02 00 00 00 74 2A 8B C6 E8 ?? ?? ?? ?? 3B F8 75 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 14 8B C6 E8 ?? ?? ?? ?? 3B F8 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77905_0 {
	meta:
		name = "TDBLookupCombo.Editable"
		size = 47
	strings:
		$1 = { 8B 88 B8 02 00 00 83 79 04 00 74 20 8B 90 BC 02 00 00 8B 8A E0 03 00 00 3B 8A DC 03 00 00 75 09 80 B8 C8 02 00 00 01 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_77906_0 {
	meta:
		name = "TDBLookupCombo.CanEdit"
		size = 46
		refs = "001e TDBLookupCombo.Editable"
	strings:
		$1 = { 53 8B D8 8B 83 B8 02 00 00 83 78 04 00 74 1B 8B 83 B8 02 00 00 80 78 28 00 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_77907_0 {
	meta:
		name = "TDBLookupCombo.KeyDown"
		size = 226
		refs = "0015 TCustomEdit.KeyDown 002e TDBLookupCombo.Editable 003d TFieldDataLink.Edit 0044 TDBLookupCombo.CanEdit 00a0 @CallDynaInst"
	strings:
		$1 = { 53 56 57 51 66 89 0C 24 8B FA 8B D8 8B D7 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? 0F B7 07 66 83 E8 08 74 09 83 C0 DB 66 83 E8 02 73 28 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 29 66 C7 07 00 00 EB 22 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 0F B7 07 83 C0 DD 66 83 E8 03 72 06 66 83 E8 01 75 05 66 C7 07 00 00 0F B7 07 83 C0 DF 66 83 E8 02 72 0C 66 83 E8 03 74 06 66 83 E8 02 75 50 8B 83 BC 02 00 00 80 78 61 00 75 0D 8B C3 66 BE AD FF E8 ?? ?? ?? ?? EB 32 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? 8B 83 B8 02 00 00 83 78 04 00 74 06 80 78 28 00 74 15 8B D7 0F B7 0C 24 8B 83 BC 02 00 00 66 BE B9 FF E8 ?? ?? ?? ?? 66 C7 07 00 00 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77908_0 {
	meta:
		name = "TDBLookupCombo.KeyPress"
		size = 222
		refs = "000c TCustomEdit.KeyPress 003d TDBLookupCombo.Editable 004d MessageBeep 008d TFieldDataLink.Edit 0094 TDBLookupCombo.CanEdit 00bd TFieldDataLink.Reset 00ca @CallDynaInst 00d1 TDBLookupCombo.DoSelectAll"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 66 83 3F 20 72 3B 8B 83 B8 02 00 00 83 78 1C 00 74 2F 0F B7 17 8B 83 B8 02 00 00 8B 40 1C 8B 08 FF 91 2C 01 00 00 84 C0 75 17 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 66 C7 07 00 00 6A 00 E8 ?? ?? ?? ?? 0F B7 07 83 F8 18 7F 13 74 20 83 E8 08 74 1B 83 E8 05 74 3E 83 E8 09 74 11 EB 6E 83 E8 1B 74 39 83 C0 FB 2D E0 FF 00 00 73 5F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3E 66 C7 07 00 00 EB 37 66 C7 07 00 00 EB 30 8B 83 BC 02 00 00 80 78 61 00 75 0D 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? EB 0B 8B C3 66 BE AC FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 C7 07 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77909_0 {
	meta:
		name = "TDBLookupCombo.Change"
		size = 29
		refs = "0010 TFieldDataLink.Modified 0017 TCustomEdit.Change"
	strings:
		$1 = { 53 8B D8 8B 83 B8 02 00 00 80 78 28 00 74 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77910_0 {
	meta:
		name = "TDBLookupCombo.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 B8 02 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_77911_0 {
	meta:
		name = "TDBLookupCombo.SetDataSource"
		size = 210
		refs = "0011 TDBLookupCombo.SetDataSource 0022 TDBLookupCombo.GetLookupSource 002e SLookupSourceError 0033 LoadResString 003d _Dn_EInvalidOperation 0042 Exception.Create 0047 @RaiseExcept 0099 TDataLink.SetDataSource 00a6 TComponent.FreeNotification 00c0 @UStrArrayClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 2C 8B C6 E8 ?? ?? ?? ?? 3B D8 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 74 41 8B C6 E8 ?? ?? ?? ?? 85 C0 74 36 83 7B 38 00 74 30 8B C6 E8 ?? ?? ?? ?? 8B 40 38 3B 43 38 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 86 B8 02 00 00 E8 ?? ?? ?? ?? 85 DB 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77912_0 {
	meta:
		name = "TDBLookupCombo.GetLookupSource"
		size = 12
		refs = "0007 TDBLookupList.GetLookupSource"
	strings:
		$1 = { 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77913_0 {
	meta:
		name = "TDBLookupCombo.SetLookupSource"
		size = 166
		refs = "0010 TDBLookupCombo.SetLookupSource 0021 TDBLookupCombo.GetDataSource 0037 TDataLink.GetDataSet 0043 SLookupSourceError 0048 LoadResString 0052 _Dn_EInvalidOperation 0057 Exception.Create 005c @RaiseExcept 0069 TDBLookupList.SetLookupSource 0072 TDBLookupCombo.DataChange 007f TComponent.FreeNotification 0094 @UStrClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 42 8B C3 E8 ?? ?? ?? ?? 3B F0 74 16 8B 7E 38 85 FF 74 30 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? 3B F8 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77914_0 {
	meta:
		name = "TDBLookupCombo.SetLookupDisplay"
		size = 47
		refs = "000a TDBLookupList.SetLookupDisplay 0017 TDBLookupList.InitFields 0020 TDBLookupCombo.SetValue 0029 TDBLookupCombo.DataChange"
	strings:
		$1 = { 53 8B D8 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77915_0 {
	meta:
		name = "TDBLookupCombo.GetLookupDisplay"
		size = 28
		refs = "0015 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 BC 02 00 00 8B 92 D4 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77916_0 {
	meta:
		name = "TDBLookupCombo.SetLookupField"
		size = 38
		refs = "000a TDBLookupList.SetLookupField 0017 TDBLookupList.InitFields 0020 TDBLookupCombo.DataChange"
	strings:
		$1 = { 53 8B D8 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77917_0 {
	meta:
		name = "TDBLookupCombo.GetLookupField"
		size = 28
		refs = "0015 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 BC 02 00 00 8B 92 D8 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77918_0 {
	meta:
		name = "TDBLookupCombo.GetDataField"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 B8 02 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77919_0 {
	meta:
		name = "TDBLookupCombo.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89405_0 {
	meta:
		name = "TCustomTouchKeyboard.GetButtons"
		size = 12
		refs = "0007 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem"
	strings:
		$1 = { 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77920_0 {
	meta:
		name = "TDBLookupCombo.DataChange"
		size = 110
		refs = "000d TDBLookupCombo.DataChange 003d TDBLookupCombo.SetValue 0048 TControl.SetText 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 B8 02 00 00 8B 70 1C 85 F6 74 1F F6 43 1C 01 75 19 8D 55 FC 8B C6 8B 08 FF 91 80 00 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77921_0 {
	meta:
		name = "TDBLookupCombo.GetValue"
		size = 51
		refs = "0009 TDBLookupCombo.Editable 0016 TControl.GetText 002c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 BC 02 00 00 8B 92 E4 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77923_0 {
	meta:
		name = "TDBLookupCombo.SetDisplayValue"
		size = 72
		refs = "0016 @UStrEqual 002d TDBLookupList.SetDisplayValue 0040 TControl.SetText"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 BC 02 00 00 8B 86 E8 03 00 00 8B D7 E8 ?? ?? ?? ?? 74 28 8B 86 68 03 00 00 80 78 15 00 74 1C 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 83 BC 02 00 00 8B 90 E8 03 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77924_0 {
	meta:
		name = "TDBLookupCombo.SetValue"
		size = 264
		refs = "0012 TDBLookupCombo.SetValue 003d TDBLookupCombo.GetDataSource 0046 TDBLookupCombo.GetLookupSource 0068 SLookupSourceError 006d LoadResString 0077 _Dn_EInvalidOperation 007c Exception.Create 0081 @RaiseExcept 0094 @UStrEqual 00a0 TControl.GetText 00c5 TDBLookupList.SetValue 00d8 TControl.SetText 00ed @UStrClr 00fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 BC 02 00 00 8B 80 68 03 00 00 80 78 15 00 74 57 8B 83 B8 02 00 00 80 78 15 00 74 4B 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 3B F8 74 16 8B C3 E8 ?? ?? ?? ?? 8B 78 38 8B C3 E8 ?? ?? ?? ?? 3B 78 38 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 BC 02 00 00 8B 80 E4 03 00 00 8B D6 E8 ?? ?? ?? ?? 75 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 74 2C 8B 83 BC 02 00 00 8B 90 68 03 00 00 80 7A 15 00 74 1A 8B D6 E8 ?? ?? ?? ?? 8B 83 BC 02 00 00 8B 90 E8 03 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77925_0 {
	meta:
		name = "TDBLookupCombo.GetReadOnly"
		size = 11
	strings:
		$1 = { 8B 80 B8 02 00 00 0F B6 40 14 C3 }
	condition:
		$1
}

rule function_77926_0 {
	meta:
		name = "TDBLookupCombo.SetReadOnly"
		size = 35
		refs = "000a TDataLink.SetReadOnly 0011 TDBLookupCombo.CanEdit 001d TCustomEdit.SetReadOnly"
	strings:
		$1 = { 53 8B D8 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77928_0 {
	meta:
		name = "TDBLookupCombo.UpdateData"
		size = 139
		refs = "000c TDBLookupCombo.UpdateData 0025 TDBLookupCombo.Editable 0033 TControl.GetText 007b @UStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 B8 02 00 00 83 78 1C 00 74 48 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 B8 02 00 00 8B 40 1C 8B 08 FF 91 F0 00 00 00 EB 1D 8B 83 BC 02 00 00 8B 90 E4 03 00 00 8B 83 B8 02 00 00 8B 40 1C 8B 08 FF 91 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_77929_0 {
	meta:
		name = "TDBLookupCombo.FieldLinkActive"
		size = 57
		refs = "002a TDBLookupList.SetValue 0033 TDBLookupCombo.DataChange"
	strings:
		$1 = { 53 8B D8 8B 83 B8 02 00 00 80 78 15 00 74 28 8B 83 BC 02 00 00 8B 80 68 03 00 00 80 78 15 00 74 16 33 D2 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77930_0 {
	meta:
		name = "TDBLookupCombo.WMCut"
		size = 51
		refs = "0009 TDBLookupCombo.Editable 0018 TFieldDataLink.Edit 001f TDBLookupCombo.CanEdit"
		altNames = "TDBLookupCombo.WMPaste"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_77932_0 {
	meta:
		name = "TDBLookupCombo.CreateParams"
		size = 26
		refs = "0006 TCustomEdit.CreateParams"
		altNames = "TRibbonSpinEdit.CreateParams TSpinEdit.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 8B 43 04 83 C8 04 0D 00 00 00 02 89 43 04 5B C3 }
	condition:
		$1
}

rule function_77933_0 {
	meta:
		name = "TDBLookupCombo.CreateWnd"
		size = 39
		refs = "0006 TCustomEdit.CreateWnd 000d TDBLookupCombo.SetEditRect 0018 TWinControl.HandleNeeded 0021 TDBLookupCombo.DataChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77934_0 {
	meta:
		name = "TDBLookupCombo.SetEditRect"
		size = 73
		refs = "0009 TControl.GetClientHeight 003a TWinControl.GetHandle 0040 SendMessage"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 40 89 44 24 0C 8B 83 C4 02 00 00 8B 40 48 83 E8 02 89 44 24 08 33 C0 89 44 24 04 33 C0 89 04 24 8B C4 50 6A 00 68 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_77935_0 {
	meta:
		name = "TDBLookupCombo.WMSize"
		size = 201
		refs = "0007 TWinControl.WMSize 002c TDBLookupCombo.GetMinHeight 003a TControl.SetHeight 0042 NewStyleControls 0058 TControl.GetClientHeight 0060 TControl.GetClientWidth 00c2 TDBLookupCombo.SetEditRect"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 74 18 6A 0A 6A 0A 8B 4B 54 41 33 D2 8B 83 BC 02 00 00 8B 30 FF 96 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 3B 43 54 7E 0C 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 A1 ?? ?? ?? ?? 80 38 00 74 2F 8B 83 C0 02 00 00 8B 70 50 56 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 2B D6 33 C9 8B 83 C4 02 00 00 8B 30 FF 96 A4 00 00 00 EB 31 8B 83 C0 02 00 00 8B 70 50 56 8B C3 E8 ?? ?? ?? ?? 48 50 8B C3 E8 ?? ?? ?? ?? 8B D0 2B D6 B9 01 00 00 00 8B 83 C4 02 00 00 8B 30 FF 96 A4 00 00 00 8B 83 C4 02 00 00 8B 50 54 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77936_0 {
	meta:
		name = "TDBLookupCombo.GetMinHeight"
		size = 125
		refs = "000b GetDC 0014 GetTextMetrics 001c TFont.GetHandle 0023 SelectObject 003f ReleaseDC 0065 GetSystemMetrics"
	strings:
		$1 = { 53 56 57 83 C4 88 8B F0 6A 00 E8 ?? ?? ?? ?? 8B D8 54 53 E8 ?? ?? ?? ?? 8B 46 6C E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B F8 8D 44 24 3C 50 53 E8 ?? ?? ?? ?? 57 53 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 8B 04 24 8B 54 24 3C 3B C2 7E 02 8B C2 8B D8 85 DB 79 03 83 C3 03 C1 FB 02 89 9E B4 02 00 00 6A 06 E8 ?? ?? ?? ?? 03 C0 03 C0 8B 54 24 3C 03 D3 03 C2 40 83 C4 78 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77937_0 {
	meta:
		name = "TDBLookupCombo.WMPaint"
		size = 587
		refs = "001b TDBLookupCombo.WMPaint 0029 TDBLookupCombo.Editable 0038 TWinControl.WMPaint 0050 _Dn_TControlCanvas 0055 TCanvas.Create 006a TControlCanvas.SetControl 0080 TWinControl.GetHandle 0086 BeginPaint 0095 TCanvas.SetHandle 00b2 GetFocus 00cc TCanvas.SetFont 00ed TBrush.SetColor 0104 InflateRect 010e TBrush.SetStyle 016b TFont.SetColor 0181 TCanvas.GetHandle 018e TControl.GetText 01b6 @UStrToPWChar 01cb ExtTextOut 0213 EndPaint 0219 @HandleFinally 0230 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 57 33 C9 89 4D 90 89 4D 98 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E9 DE 01 00 00 8B 45 FC 83 B8 A8 02 00 00 00 75 21 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 A8 02 00 00 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 04 85 C0 75 12 8D 45 AC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 A8 02 00 00 92 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 0F 94 45 EF 8B 45 FC 8B 50 6C 8B 45 FC 8B 80 A8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B B8 A8 02 00 00 8D 55 9C 8B 45 FC 8B 08 FF 51 60 8B 47 48 BA 06 00 00 FF E8 ?? ?? ?? ?? 8D 55 9C 8B C7 8B 08 FF 51 5C 6A FF 6A FF 8D 45 9C 50 E8 ?? ?? ?? ?? 8B 47 48 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 74 8B 47 48 E8 ?? ?? ?? ?? 8D 55 9C 8B C7 8B 08 FF 51 54 8B 45 FC 8B 80 B4 02 00 00 89 45 F0 83 45 9C 02 8B 55 FC 8B 92 C4 02 00 00 8B 52 48 83 EA 02 89 55 A4 89 45 F4 80 7D EF 00 74 22 8B 47 48 BA 0D 00 00 FF E8 ?? ?? ?? ?? 8B 47 40 BA 0E 00 00 FF E8 ?? ?? ?? ?? 83 45 A0 02 83 6D A8 02 8B 45 FC 8B 80 A8 02 00 00 E8 ?? ?? ?? ?? 8B D8 8D 55 98 8B 45 FC E8 ?? ?? ?? ?? 8B 45 98 89 45 94 8B 75 94 85 F6 74 05 83 EE 04 8B 36 6A 00 56 8D 55 90 8B 45 FC E8 ?? ?? ?? ?? 8B 45 90 E8 ?? ?? ?? ?? 50 8D 45 9C 50 6A 06 8B 45 F0 50 8B 45 F4 50 53 E8 ?? ?? ?? ?? 80 7D EF 00 74 0A 8D 55 9C 8B C7 8B 08 FF 51 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 83 78 04 00 75 12 8D 45 AC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77939_0 {
	meta:
		name = "TDBLookupCombo.CMEnabledChanged"
		size = 35
		refs = "0006 TWinControl.CMEnabledChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 68 8B D0 8B 83 C0 02 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_77940_0 {
	meta:
		name = "TDBLookupCombo.WMKillFocus"
		size = 25
		refs = "0007 TWinControl.WMKillFocus 0012 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE AC FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77941_0 {
	meta:
		name = "TDBLookupCombo.CMCancelMode"
		size = 43
		refs = "0025 @CallDynaInst"
	strings:
		$1 = { 56 8B 4A 08 3B C1 74 21 3B 88 C4 02 00 00 74 19 3B 88 C0 02 00 00 74 11 3B 88 BC 02 00 00 74 09 66 BE AC FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_77942_0 {
	meta:
		name = "TDBLookupCombo.CMHintShow"
		size = 14
	strings:
		$1 = { 8B 80 BC 02 00 00 0F B6 40 61 89 42 0C C3 }
	condition:
		$1
}

rule function_77943_0 {
	meta:
		name = "TDBLookupCombo.DropDown"
		size = 614
		refs = "0017 TDBLookupCombo.DropDown 0065 GetSystemMetrics 0081 NewStyleControls 009b TDBLookupCombo.GetOptions 00d1 TControl.SetHeight 0109 TControl.GetClientHeight 0124 Screen 012b TScreen.GetHeight 01b7 TWinControl.GetHandle 01bd SetWindowPos 01ee TDBLookupCombo.GetLookupField 020e TControl.GetText 021c TDBLookupList.SetDisplayValue 0229 TControl.SetVisible 0236 SetFocus 024b @UStrClr 0259 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 D2 89 55 DC 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 BC 02 00 00 80 78 61 00 0F 85 09 02 00 00 83 7B 50 14 0F 8E FF 01 00 00 66 83 BB D2 02 00 00 00 74 0E 8B D3 8B 83 D4 02 00 00 FF 93 D0 02 00 00 8B B3 AC 02 00 00 85 F6 75 05 BE 01 00 00 00 6A 05 E8 ?? ?? ?? ?? 89 45 EC 6A 06 E8 ?? ?? ?? ?? 89 45 E8 8D 55 F8 8B C3 8B 08 FF 51 5C A1 ?? ?? ?? ?? 80 38 00 74 0E 8B 45 EC 03 C0 29 45 F8 8B 45 E8 29 45 FC 8B C3 E8 ?? ?? ?? ?? A8 02 74 09 C7 45 F0 01 00 00 00 EB 05 33 C0 89 45 F0 8B 83 BC 02 00 00 8B B8 9C 02 00 00 03 7D F0 8B 90 F4 03 00 00 03 D6 0F AF FA 83 C7 02 8B D7 E8 ?? ?? ?? ?? 8B 83 BC 02 00 00 8B 90 C8 02 00 00 3B F2 7E 17 8B F2 8B B8 9C 02 00 00 03 7D F0 03 B0 F4 03 00 00 0F AF FE 83 C7 04 A1 ?? ?? ?? ?? 80 38 00 74 16 8B C3 E8 ?? ?? ?? ?? 8B F0 03 75 FC 8B 45 E8 8D 04 40 03 F0 EB 07 8B 75 FC 03 73 54 4E A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 14 37 3B C2 7D 33 8B 45 FC 8B F0 2B F7 46 85 F6 7D 27 8B 15 ?? ?? ?? ?? 80 3A 00 74 16 8B C3 E8 ?? ?? ?? ?? 8B F0 03 75 FC 8B 45 E8 8D 04 40 03 F0 EB 06 8B F0 03 73 54 4E 8B 83 B0 02 00 00 89 45 F4 83 7D F4 00 75 20 A1 ?? ?? ?? ?? 80 38 00 74 0D 8B 45 EC 03 C0 03 43 50 89 45 F4 EB 09 8B 43 50 83 E8 04 89 45 F4 A1 ?? ?? ?? ?? 80 38 00 74 21 6A 10 57 8B 45 F4 50 56 8B 45 F8 50 6A 00 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 25 6A 10 57 8B 45 F4 50 56 8B 45 F8 03 43 50 2B 45 F4 50 6A 00 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E0 8B 45 E0 85 C0 74 05 83 E8 04 8B 00 85 C0 75 18 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77944_0 {
	meta:
		name = "TDBLookupCombo.CloseUp"
		size = 14
		refs = "0009 TControl.SetVisible"
	strings:
		$1 = { 33 D2 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77945_0 {
	meta:
		name = "TDBLookupCombo.GridClick"
		size = 58
		refs = "000a TFieldDataLink.Edit 0021 TFieldDataLink.Modified 0034 TControl.SetText"
	strings:
		$1 = { 53 8B D8 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? 8B 83 B8 02 00 00 83 78 04 00 74 06 80 78 28 00 74 18 E8 ?? ?? ?? ?? 8B 83 BC 02 00 00 8B 90 E8 03 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77946_0 {
	meta:
		name = "TDBLookupCombo.SetStyle"
		size = 15
	strings:
		$1 = { 3A 90 C8 02 00 00 74 06 88 90 C8 02 00 00 C3 }
	condition:
		$1
}

rule function_77947_0 {
	meta:
		name = "TDBLookupCombo.WMLButtonDown"
		size = 41
		refs = "0009 TDBLookupCombo.Editable 0016 TControl.WMLButtonDown 0022 TDBLookupCombo.NonEditMouseDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77949_0 {
	meta:
		name = "TDBLookupCombo.WMLButtonDblClk"
		size = 41
		refs = "0009 TDBLookupCombo.Editable 0016 TControl.WMLButtonDblClk 0022 TDBLookupCombo.NonEditMouseDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77948_0 {
	meta:
		name = "TDBLookupCombo.WMLButtonUp"
		size = 38
		refs = "0009 TDBLookupCombo.Editable 0016 TControl.SetMouseCapture 001f TControl.WMLButtonUp"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77950_0 {
	meta:
		name = "TDBLookupCombo.NonEditMouseDown"
		size = 130
		refs = "0015 TWinControl.GetHandle 001b HideCaret 0032 @CallDynaInst 0048 TControl.SetMouseCapture 006a KeysToShiftState"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 8B 10 FF 92 F4 00 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 87 BC 02 00 00 80 78 61 00 74 0D 8B C7 66 BE AC FF E8 ?? ?? ?? ?? EB 0B 8B C7 66 BE AD FF E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? F6 47 58 08 74 09 8B 5F 5C 83 CB 02 89 5F 5C 0F BF 45 08 50 0F BF 45 0A 50 0F B7 45 04 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 66 BE D5 FF E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77951_0 {
	meta:
		name = "MouseDragToGrid"
		size = 208
		refs = "002f TControl.ClientToScreen 005c TControl.GetClientWidth 006a TControl.GetClientHeight 008e TControl.Perform 009b TControl.ScreenToClient"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D FC 8B DA 8B F8 80 7B 61 00 0F 84 AD 00 00 00 8B 45 FC 89 45 F4 8B 45 08 89 45 F8 8D 4D E4 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F4 8B 45 E8 89 45 F8 8D 55 EC 8B C3 8B 08 FF 51 5C 8B 75 F4 3B 75 EC 7C 76 8B 45 F8 3B 45 F0 7C 6E 8B C3 E8 ?? ?? ?? ?? 03 45 EC 3B F0 7F 60 8B C3 E8 ?? ?? ?? ?? 03 45 F0 3B 45 F8 7C 51 0F B7 45 FC 0F B7 55 08 C1 E2 10 0B C2 50 33 C9 BA 02 02 00 00 8B C7 E8 ?? ?? ?? ?? 8D 4D E4 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F4 8B 45 E8 89 45 F8 0F B7 45 F4 0F B7 55 F8 C1 E2 10 0B C2 50 33 C9 BA 01 02 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_77952_0 {
	meta:
		name = "TDBLookupCombo.MouseMove"
		size = 91
		refs = "001c TControl.MouseMove 0029 TDBLookupCombo.Editable 0034 TWinControl.GetHandle 003a GetCapture 004f MouseDragToGrid"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 66 89 55 FE 8B D8 8B 7D 08 57 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? F6 45 FE 08 74 2D 8B C3 E8 ?? ?? ?? ?? 84 C0 75 22 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 3B D0 75 10 57 8B CE 8B 93 BC 02 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_77953_0 {
	meta:
		name = "TDBLookupCombo.WMSetFocus"
		size = 36
		refs = "0006 TWinControl.WMSetFocus 000d TDBLookupCombo.Editable 0018 TWinControl.GetHandle 001e HideCaret"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0D 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77954_0 {
	meta:
		name = "TDBLookupCombo.CMExit"
		size = 123
		refs = "0010 TDBLookupCombo.CMExit 0024 TDataLink.UpdateRecord 0033 @HandleAnyException 003b TDBLookupCombo.DoSelectAll 004b @RaiseAgain 0050 @DoneExcept 005a TCustomEdit.CMExit 0062 TDBLookupCombo.Editable"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0B 8B 45 FC 8B 10 FF 92 9C 00 00 00 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77955_0 {
	meta:
		name = "TDBLookupCombo.CMEnter"
		size = 61
		refs = "0018 TDBLookupCombo.DoSelectAll 0021 TCustomEdit.CMEnter 0028 TDBLookupCombo.Editable"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 BE 86 02 00 00 00 74 0D F6 46 5C 01 75 07 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77957_0 {
	meta:
		name = "TDBLookupCombo.SetOptions"
		size = 21
		refs = "000f TDBLookupList.SetOptions"
	strings:
		$1 = { 51 88 14 24 0F B6 14 24 8B 80 BC 02 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_77958_0 {
	meta:
		name = "TDBLookupCombo.GetOptions"
		size = 16
	strings:
		$1 = { 8B 80 BC 02 00 00 0F B6 90 F0 03 00 00 8B C2 C3 }
	condition:
		$1
}

rule function_77960_0 {
	meta:
		name = "TDBLookupList.Create"
		size = 200
		refs = "000e @ClassCreate 001c TCustomDBGrid.Create 0023 _Dn_TFieldDataLink 0028 TFieldDataLink.Create 003d TDBLookupList.DataChange 0047 TDBLookupList.UpdateData 0051 TDBLookupList.FieldLinkActive 0071 TDBLookupList.Create 0078 TCustomDBGrid.SetOptions 0081 TCustomGrid.SetFixedCols 008a TCustomGrid.SetFixedRows 0096 TControl.SetWidth 00a2 TControl.SetHeight 00af @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D0 03 00 00 89 5E 24 89 5E 34 C7 46 30 ?? ?? ?? ?? 89 5E 44 C7 46 40 ?? ?? ?? ?? 89 5E 4C C7 46 48 ?? ?? ?? ?? 33 C0 89 83 F4 03 00 00 C6 83 CC 03 00 00 00 C7 83 EC 03 00 00 FF FF FF FF 0F B7 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA 79 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 61 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 01 00 00 }
	condition:
		$1
}

rule function_77961_0 {
	meta:
		name = "TDBLookupList.Destroy"
		size = 63
		refs = "0003 @BeforeDestruction 001a TObject.Free 002d TCustomDBGrid.Destroy 0038 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 D0 03 00 00 33 D2 89 50 30 89 50 34 E8 ?? ?? ?? ?? 33 C0 89 86 D0 03 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77963_0 {
	meta:
		name = "TDBLookupList.Notification"
		size = 58
		refs = "0010 TCustomDBGrid.Notification 0025 TDBLookupList.GetDataSource 0032 TDBLookupList.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF D0 03 00 00 00 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77964_0 {
	meta:
		name = "TDBLookupList.GetDataSource"
		size = 10
	strings:
		$1 = { 8B 80 D0 03 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_77965_0 {
	meta:
		name = "TDBLookupList.SetDataSource"
		size = 157
		refs = "0010 TDBLookupList.SetDataSource 0021 TDBLookupList.GetLookupSource 0037 TDataLink.GetDataSet 0043 SLookupSourceError 0048 LoadResString 0052 _Dn_EInvalidOperation 0057 Exception.Create 005c @RaiseExcept 0069 TDataLink.SetDataSource 0076 TComponent.FreeNotification 008b @UStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 42 8B C6 E8 ?? ?? ?? ?? 3B D8 74 16 8B 7B 38 85 FF 74 30 8B 86 68 03 00 00 E8 ?? ?? ?? ?? 3B F8 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 86 D0 03 00 00 E8 ?? ?? ?? ?? 85 DB 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77967_0 {
	meta:
		name = "TDBLookupList.NewLayout"
		size = 44
		refs = "0008 TDBLookupList.InitFields 001d @UStrClr 0026 TDBLookupList.DataChange"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 2C 01 00 00 8D 83 E4 03 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77968_0 {
	meta:
		name = "TDBLookupList.SetLookupSource"
		size = 218
		refs = "0012 TDBLookupList.SetLookupSource 0023 TDBLookupList.GetDataSource 0039 TDataLink.GetDataSet 0045 SLookupSourceError 004a LoadResString 0054 _Dn_EInvalidOperation 0059 Exception.Create 005e @RaiseExcept 0073 _Dn_TTable 0078 TObject.InheritsFrom 0084 SLookupTableError 00a6 TCustomDBGrid.SetDataSource 00ad TDBLookupList.NewLayout 00c7 @UStrArrayClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 42 8B C6 E8 ?? ?? ?? ?? 3B D8 74 16 8B 7B 38 85 FF 74 30 8B 86 D0 03 00 00 E8 ?? ?? ?? ?? 3B F8 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 74 3B 83 7B 38 00 74 35 8B 43 38 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77969_0 {
	meta:
		name = "TDBLookupList.SetLookupDisplay"
		size = 44
		refs = "000f @UStrEqual 001e @UStrAsg 0025 TDBLookupList.NewLayout"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 D4 03 00 00 E8 ?? ?? ?? ?? 74 14 8D 83 D4 03 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77970_0 {
	meta:
		name = "TDBLookupList.SetLookupField"
		size = 44
		refs = "000f @UStrEqual 001e @UStrAsg 0025 TDBLookupList.NewLayout"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 D8 03 00 00 E8 ?? ?? ?? ?? 74 14 8D 83 D8 03 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77971_0 {
	meta:
		name = "TDBLookupList.SetValue"
		size = 360
		refs = "0012 TDBLookupList.SetValue 0037 TDBLookupList.GetDataSource 0040 TDBLookupList.GetLookupSource 0062 SLookupSourceError 0067 LoadResString 0071 _Dn_EInvalidOperation 0076 Exception.Create 007b @RaiseExcept 0088 @UStrEqual 00c6 @UStrAsg 00d7 TDBLookupList.DoLookup 013b @UStrClr 0155 @UStrArrayClr 015b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 68 03 00 00 80 78 15 00 74 57 8B 83 D0 03 00 00 80 78 15 00 74 4B 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 3B F8 74 16 8B C3 E8 ?? ?? ?? ?? 8B 78 38 8B C3 E8 ?? ?? ?? ?? 3B 78 38 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 E4 03 00 00 8B D6 E8 ?? ?? ?? ?? 75 12 8B 83 94 02 00 00 3B 83 F4 03 00 00 0F 85 9F 00 00 00 8B 83 68 03 00 00 80 78 15 00 0F 84 8F 00 00 00 83 BB E0 03 00 00 00 0F 84 82 00 00 00 8D 83 E4 03 00 00 8B D6 E8 ?? ?? ?? ?? C7 83 EC 03 00 00 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 80 BB F8 03 00 00 00 74 2F 8B 83 E0 03 00 00 3B 83 DC 03 00 00 74 21 8D 55 F8 8B 83 DC 03 00 00 8B 08 FF 91 80 00 00 00 8B 55 F8 8D 83 E8 03 00 00 E8 ?? ?? ?? ?? EB 2C 8B 83 E0 03 00 00 3B 83 DC 03 00 00 75 13 8D 83 E8 03 00 00 8B 93 E4 03 00 00 E8 ?? ?? ?? ?? EB 0B 8D 83 E8 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77972_0 {
	meta:
		name = "TDBLookupList.SetDisplayValue"
		size = 324
		refs = "0010 TDBLookupList.SetDisplayValue 0023 @UStrEqual 0073 TCustomDBGrid.GetDataSource 007c _Dn_TTable 0081 @IsClass 0096 TTable.SetKey 00ad TTable.GotoKey 00c0 @UStrAsg 00f5 @UStrClr 0138 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 E8 03 00 00 8B D6 E8 ?? ?? ?? ?? 75 12 8B 83 94 02 00 00 3B 83 F4 03 00 00 0F 85 E6 00 00 00 C6 83 F8 03 00 00 00 8B 83 68 03 00 00 80 78 15 00 0F 84 CF 00 00 00 83 BB DC 03 00 00 00 0F 84 C2 00 00 00 C7 83 EC 03 00 00 FF FF FF FF C6 83 F8 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2E 8B C3 E8 ?? ?? ?? ?? 8B 78 38 8B C7 E8 ?? ?? ?? ?? 8B D6 8B 83 DC 03 00 00 8B 08 FF 91 F0 00 00 00 8B C7 E8 ?? ?? ?? ?? 88 83 F8 03 00 00 8D 83 E8 03 00 00 8B D6 E8 ?? ?? ?? ?? 8B B3 E0 03 00 00 3B B3 DC 03 00 00 75 13 8D 83 E4 03 00 00 8B 93 E8 03 00 00 E8 ?? ?? ?? ?? EB 3C 80 BB F8 03 00 00 00 75 18 8D 83 E8 03 00 00 E8 ?? ?? ?? ?? 8D 83 E4 03 00 00 E8 ?? ?? ?? ?? EB 1B 8D 55 FC 8B C6 8B 08 FF 91 80 00 00 00 8B 55 FC 8D 83 E4 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77973_0 {
	meta:
		name = "TDBLookupList.DoLookup"
		size = 313
		refs = "0017 TDBLookupList.DoLookup 002b TWinControl.HandleAllocated 0047 TCustomDBGrid.GetDataSource 0050 _Dn_TTable 0055 @IsClass 006e TBDEDataSet.GetIndexFieldCount 007b TBDEDataSet.GetIndexField 0089 AnsiCompareText 0099 SLookupIndexError 009e LoadResString 00ba Format 00c4 _Dn_EInvalidOperation 00c9 Exception.Create 00ce @RaiseExcept 00de TTable.SetKey 00f9 TTable.GotoKey 010c TDataSet.First 0126 @UStrArrayClr 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 87 F8 03 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 D9 00 00 00 83 BF E4 03 00 00 00 0F 84 CC 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 40 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 AF 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 70 38 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 5C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 40 40 8B 97 D8 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 41 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 87 D8 03 00 00 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BE A5 00 00 00 04 74 35 8B C6 E8 ?? ?? ?? ?? 8B 97 E4 03 00 00 8B 87 E0 03 00 00 8B 08 FF 91 F0 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 88 9F F8 03 00 00 84 DB 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77974_0 {
	meta:
		name = "TDBLookupList.GetDataField"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 D0 03 00 00 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77975_0 {
	meta:
		name = "TDBLookupList.SetDataField"
		size = 12
		refs = "0007 TFieldDataLink.SetFieldName"
	strings:
		$1 = { 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77978_0 {
	meta:
		name = "TDBLookupList.SetReadOnly"
		size = 12
		refs = "0007 TDataLink.SetReadOnly"
	strings:
		$1 = { 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77976_0 {
	meta:
		name = "TDBLookupList.GetReadOnly"
		size = 11
	strings:
		$1 = { 8B 80 D0 03 00 00 0F B6 40 14 C3 }
	condition:
		$1
}

rule function_77977_0 {
	meta:
		name = "TDBLookupList.CanEdit"
		size = 24
	strings:
		$1 = { 8B 90 D0 03 00 00 83 7A 04 00 74 09 80 7A 28 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_77979_0 {
	meta:
		name = "TDBLookupList.DataChange"
		size = 110
		refs = "000d TDBLookupList.DataChange 003d TDBLookupList.SetValue 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 D0 03 00 00 8B 70 1C 85 F6 74 1F F6 43 1C 01 75 19 8D 55 FC 8B C6 8B 08 FF 91 80 00 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77980_0 {
	meta:
		name = "TDBLookupList.UpdateData"
		size = 29
	strings:
		$1 = { 8B 90 D0 03 00 00 8B 52 1C 85 D2 74 0F 8B 80 E4 03 00 00 92 8B 08 FF 91 F0 00 00 00 C3 }
	condition:
		$1
}

rule function_77981_0 {
	meta:
		name = "TDBLookupList.InitFields"
		size = 488
		refs = "0026 TDBLookupList.InitFields 006f TDataLink.GetDataSet 007e TDataSet.FindField 009c SFieldNotFound 00a1 LoadResString 00ca Format 00d4 _Dn_EInvalidOperation 00d9 Exception.Create 00de @RaiseExcept 011a ExtractFieldName 01c8 @UStrArrayClr 01db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D D8 89 4D D4 89 4D D0 89 4D DC 89 4D F4 89 4D F0 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 83 DC 03 00 00 33 C0 89 83 E0 03 00 00 8B 93 68 03 00 00 80 7A 15 00 75 04 B0 01 EB 14 8B 83 D8 03 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 94 C0 84 C0 0F 85 46 01 00 00 8B C2 E8 ?? ?? ?? ?? 8B F8 8B 93 D8 03 00 00 8B C7 E8 ?? ?? ?? ?? 8B F0 89 B3 E0 03 00 00 85 F6 0F 94 C0 22 45 FF 74 53 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 43 08 89 45 E0 C6 45 E4 11 8B 83 D8 03 00 00 89 45 E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CB 00 00 00 85 F6 0F 84 C3 00 00 00 8B 83 D4 03 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 97 00 00 00 C7 45 F8 01 00 00 00 8D 4D DC 8D 55 F8 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B C7 E8 ?? ?? ?? ?? 8B F0 89 B3 DC 03 00 00 85 F6 0F 94 C0 22 45 FF 74 63 C7 45 F8 01 00 00 00 8D 45 D8 50 8B 43 08 89 45 E0 C6 45 E4 11 8D 4D D4 8D 55 F8 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8B 45 D4 89 45 E8 C6 45 EC 11 8D 45 E0 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BB DC 03 00 00 00 75 0C 8B 83 E0 03 00 00 89 83 DC 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_77982_0 {
	meta:
		name = "TDBLookupList.DefineFieldMap"
		size = 172
		refs = "0012 TDBLookupList.DefineFieldMap 0021 TDBLookupList.InitFields 004c TGridDataLink.AddMapping 0068 ExtractFieldName 0081 @UStrLen 009b @UStrClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 93 E0 03 00 00 85 D2 74 5B 8B 83 D4 03 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 75 10 8B 52 40 8B 83 68 03 00 00 E8 ?? ?? ?? ?? EB 38 C7 45 FC 01 00 00 00 EB 1F 8D 4D F8 8D 55 FC 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 68 03 00 00 E8 ?? ?? ?? ?? 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 3B 45 FC 7D D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77983_0 {
	meta:
		name = "TDBLookupList.SetColumnAttributes"
		size = 136
		refs = "000a TCustomDBGrid.SetColumnAttributes 0011 TCustomDBGrid.GetFieldCount 0045 TCustomGrid.GetColWidths 005e TControl.GetClientWidth 007e TCustomGrid.SetColWidths"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 69 33 C0 89 04 24 F6 83 F0 03 00 00 01 74 07 C7 04 24 01 00 00 00 33 F6 8B BB 8C 02 00 00 83 EF 02 85 FF 7C 15 47 33 ED 8B D5 8B C3 E8 ?? ?? ?? ?? 03 F0 03 34 24 45 4F 75 EE 83 BB 8C 02 00 00 01 74 0E 8B C3 E8 ?? ?? ?? ?? 83 E8 0F 3B F0 7D 19 8B C3 E8 ?? ?? ?? ?? 8B C8 2B CE 8B 93 8C 02 00 00 4A 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77984_0 {
	meta:
		name = "TDBLookupList.WMSize"
		size = 22
		refs = "0006 TCustomDBGrid.WMSize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 38 01 00 00 5B C3 }
	condition:
		$1
}

rule function_77985_0 {
	meta:
		name = "TDBLookupList.CanGridAcceptKey"
		size = 337
		refs = "0039 TFieldDataLink.Edit 0062 TCustomDBGrid.GetDataSource 00a1 TCustomGrid.SetRow 00d4 TDBLookupList.DoLookup 00e7 TDataSet.First 0137 TCustomGrid.InvalidateRow 0142 @CallDynaInst"
	strings:
		$1 = { 53 56 57 83 C4 F0 66 89 4C 24 02 66 89 14 24 8B F0 B3 01 66 83 3C 24 2D 75 07 33 DB E9 27 01 00 00 0F B7 04 24 83 C0 DF 66 83 E8 08 0F 83 16 01 00 00 8B 86 D0 03 00 00 E8 ?? ?? ?? ?? 0F B7 04 24 83 C0 DB 66 83 E8 04 73 15 8B C6 8B 10 FF 92 40 01 00 00 84 C0 75 07 33 DB E9 E9 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 DA 00 00 00 8B C6 E8 ?? ?? ?? ?? 80 78 42 00 0F 84 C9 00 00 00 8B BE EC 03 00 00 85 FF 7C 32 8B 86 68 03 00 00 8B 10 FF 52 28 3B F8 74 23 8B 96 EC 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B 96 EC 03 00 00 8B 86 68 03 00 00 8B 08 FF 51 48 E9 8D 00 00 00 83 BE EC 03 00 00 00 0F 8D 80 00 00 00 80 BE F8 03 00 00 00 74 09 8B C6 E8 ?? ?? ?? ?? EB 6E 8B 86 68 03 00 00 8B 40 04 8B 40 38 E8 ?? ?? ?? ?? 8B 96 F4 03 00 00 8B C6 E8 ?? ?? ?? ?? 66 C7 04 24 00 00 8B 86 20 02 00 00 89 44 24 08 8B 86 24 02 00 00 89 44 24 0C 66 83 7C 24 0A 00 74 14 0F B7 44 24 02 50 8D 4C 24 04 8B D6 8B 44 24 10 FF 54 24 0C 8B 96 F4 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BE 8D FF E8 ?? ?? ?? ?? 33 DB 8B C3 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_77986_0 {
	meta:
		name = "TDBLookupList.KeyDown"
		size = 146
		refs = "0015 TDBLookupList.KeyDown 0034 TCustomDBGrid.KeyDown 0051 @HandleFinally 0089 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 66 89 4D F6 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 F9 03 00 00 01 8B 55 F8 0F B7 4D F6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 F9 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 F8 0F B7 00 83 C0 DF 66 83 E8 04 72 0C 66 83 E8 01 74 06 66 83 E8 02 75 1B 8B 45 FC 8B 10 FF 92 40 01 00 00 84 C0 74 0C 8B 45 FC 66 BE 8D FF E8 ?? ?? ?? ?? 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_77987_0 {
	meta:
		name = "TDBLookupList.KeyPress"
		size = 66
		refs = "000b TCustomDBGrid.KeyPress 0028 TDataLink.Edit 0036 TFieldDataLink.Reset"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B7 06 66 83 E8 1B 74 17 83 C0 FB 66 2D E0 FF 73 1E 8B 83 68 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 66 C7 06 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_77988_0 {
	meta:
		name = "TDBLookupList.MouseDown"
		size = 335
		refs = "001e @CallDynaInst 003e ValidParentForm 004f TControl.SetMouseCapture 00a0 TCustomGrid.MouseCoord 00b6 TFieldDataLink.Edit 00ca TWinControl.GetHandle 00d0 SetTimer 00e9 TCustomGrid.InvalidateRow 00fb TCustomGrid.SetRow"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 66 89 4D FE 8B DA 8B F8 F6 47 1C 10 75 41 8B C7 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 32 80 BF F0 01 00 00 00 74 29 8B C7 8B 10 FF 92 F4 00 00 00 B2 01 8B C7 E8 ?? ?? ?? ?? 3B B8 98 02 00 00 74 0E 33 D2 8B C7 E8 ?? ?? ?? ?? E9 EE 00 00 00 F6 45 FE 40 74 10 8B C7 66 BE EB FF E8 ?? ?? ?? ?? E9 D8 00 00 00 84 DB 0F 85 A0 00 00 00 8B 87 68 03 00 00 83 78 04 00 0F 84 90 00 00 00 83 BF DC 03 00 00 00 0F 84 83 00 00 00 8D 45 F4 50 8B 4D 08 8B 55 0C 8B C7 E8 ?? ?? ?? ?? 8B 75 F8 3B B7 F4 03 00 00 7C 67 8B 87 D0 03 00 00 E8 ?? ?? ?? ?? C6 87 20 03 00 00 01 6A 00 6A 3C 6A 01 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 87 EC 03 00 00 03 87 F4 03 00 00 3B F0 74 12 8B D0 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 97 94 02 00 00 2B 97 F4 03 00 00 8B 87 68 03 00 00 8B 08 FF 51 48 8B 87 C8 00 00 00 89 45 E8 8B 87 CC 00 00 00 89 45 EC 66 83 7D EA 00 74 17 0F B7 45 FE 50 8B 45 0C 50 8B 45 08 50 8B CB 8B D7 8B 45 EC FF 55 E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_77989_0 {
	meta:
		name = "TDBLookupList.MouseMove"
		size = 78
		refs = "0016 TCustomGrid.MouseMove"
	strings:
		$1 = { 55 8B EC 51 53 66 89 55 FE 8B D8 8B 45 08 50 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 80 BB 20 03 00 00 01 75 25 8B 83 94 02 00 00 3B 83 F4 03 00 00 7C 17 8B 93 94 02 00 00 2B 93 F4 03 00 00 8B 83 68 03 00 00 8B 08 FF 51 48 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_77990_0 {
	meta:
		name = "TDBLookupList.MouseUp"
		size = 92
		refs = "0022 TCustomDBGrid.MouseUp 0051 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B F0 0F B6 9E 20 03 00 00 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 2A 8B 96 F4 03 00 00 8B 86 94 02 00 00 3B D0 7F 0F 2B C2 8B D0 8B 86 68 03 00 00 8B 08 FF 51 48 8B C6 66 BE 8D FF E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_77991_0 {
	meta:
		name = "TDBLookupList.ListClick"
		size = 220
		refs = "000f TDBLookupList.ListClick 003d TFieldDataLink.Modified 005c @UStrAsg 00ca @UStrArrayClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 40 01 00 00 84 C0 74 75 83 BB DC 03 00 00 00 74 6C 8B 83 D0 03 00 00 80 78 28 00 74 05 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 DC 03 00 00 8B 08 FF 91 80 00 00 00 8B 55 FC 8D 83 E8 03 00 00 E8 ?? ?? ?? ?? 8B B3 E0 03 00 00 3B B3 DC 03 00 00 74 1D 8D 55 F8 8B C6 8B 08 FF 91 80 00 00 00 8B 55 F8 8D 83 E4 03 00 00 E8 ?? ?? ?? ?? EB 11 8D 83 E4 03 00 00 8B 93 E8 03 00 00 E8 ?? ?? ?? ?? 66 83 BB 02 04 00 00 00 74 0E 8B D3 8B 83 04 04 00 00 FF 93 00 04 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_77992_0 {
	meta:
		name = "TDBLookupList.HighlightCell"
		size = 332
		refs = "0015 TDBLookupList.HighlightCell 00eb @UStrEqual 011e @HandleFinally 0135 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 8B D9 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 FC 8B 80 68 03 00 00 80 78 15 00 0F 84 EE 00 00 00 8B 45 FC 83 B8 E0 03 00 00 00 0F 84 DE 00 00 00 8B 45 FC 8B 10 FF 92 40 01 00 00 84 C0 74 46 8B 45 FC 80 B8 20 03 00 00 01 74 0C 8B 45 FC 80 B8 F9 03 00 00 00 74 2E 8B 45 FC 8B 80 94 02 00 00 8B 55 FC 8B 92 F4 03 00 00 03 D3 3B C2 0F 85 9B 00 00 00 C6 45 FB 01 8B 45 FC 89 98 EC 03 00 00 E9 89 00 00 00 8B 45 FC 8B 80 68 03 00 00 8B 10 FF 52 28 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 68 03 00 00 8B D3 8B 08 FF 51 48 8D 55 F0 8B 45 FC 8B 80 E0 03 00 00 8B 08 FF 91 80 00 00 00 8B 55 F0 8B 45 FC 8B 80 E4 03 00 00 E8 ?? ?? ?? ?? 75 0D C6 45 FB 01 8B 45 FC 89 98 EC 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 68 03 00 00 8B 55 F4 8B 08 FF 51 48 C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_77993_0 {
	meta:
		name = "TDBLookupList.Paint"
		size = 95
		refs = "0014 TCustomGrid.Paint 001f @CallDynaInst 0048 TCustomGrid.BoxRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 C7 83 EC 03 00 00 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 74 32 83 BB EC 03 00 00 FF 74 29 68 FF FF FF 7F 8B B3 EC 03 00 00 56 8D 44 24 08 50 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D4 8B 83 78 02 00 00 8B 08 FF 51 4C 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_77994_0 {
	meta:
		name = "TDBLookupList.Scroll"
		size = 58
		refs = "0018 TCustomGrid.GetVisibleRowCount 0033 TCustomDBGrid.Scroll"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB EC 03 00 00 00 7C 1F 29 B3 EC 03 00 00 8B C3 E8 ?? ?? ?? ?? 3B 83 EC 03 00 00 7F 0A C7 83 EC 03 00 00 FF FF FF FF 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_77995_0 {
	meta:
		name = "TDBLookupList.LinkActive"
		size = 152
		refs = "000c TDBLookupList.LinkActive 0019 TCustomDBGrid.LinkActive 002c TDBLookupList.GetLookupSource 0037 _Dn_TTable 003c TObject.InheritsFrom 0048 SLookupTableError 004d LoadResString 0057 _Dn_EInvalidOperation 005c Exception.Create 0061 @RaiseExcept 006a TDBLookupList.SetValue 0073 TDBLookupList.DataChange 0088 @UStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 83 68 03 00 00 80 78 15 00 74 4E 8B C3 E8 ?? ?? ?? ?? 8B 40 38 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_77996_0 {
	meta:
		name = "TDBLookupList.FieldLinkActive"
		size = 32
		refs = "001b TDBLookupList.DataChange"
	strings:
		$1 = { 8B 90 D0 03 00 00 80 7A 15 00 74 13 8B 90 68 03 00 00 80 7A 15 00 74 07 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_77997_0 {
	meta:
		name = "TDBLookupList.CMEnter"
		size = 32
		refs = "0006 TWinControl.CMEnter 001a TCustomGrid.InvalidateRow"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 EC 03 00 00 83 F8 FF 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_77998_0 {
	meta:
		name = "TDBLookupList.CMExit"
		size = 116
		refs = "0010 TDBLookupList.CMExit 0024 TDataLink.UpdateRecord 0033 @HandleAnyException 0043 @RaiseAgain 0048 @DoneExcept 0052 TCustomDBGrid.CMExit 006a TCustomGrid.InvalidateRow"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 EC 03 00 00 83 F8 FF 74 0A 8B D0 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_77999_0 {
	meta:
		name = "TDBLookupList.SetOptions"
		size = 140
		refs = "0029 TDBLookupList.SetOptions 0072 TCustomDBGrid.SetOptions"
	strings:
		$1 = { 53 56 51 88 14 24 8B D8 0F B6 04 24 3A 83 F0 03 00 00 74 62 0F B6 04 24 88 83 F0 03 00 00 33 C0 89 83 F4 03 00 00 0F B7 35 ?? ?? ?? ?? F6 04 24 01 74 0C 0F B7 05 ?? ?? ?? ?? 66 0B C6 8B F0 F6 04 24 02 74 0C 0F B7 05 ?? ?? ?? ?? 66 0B C6 8B F0 F6 04 24 04 74 16 C7 83 F4 03 00 00 01 00 00 00 0F B7 05 ?? ?? ?? ?? 66 0B C6 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 00 01 00 00 20 00 00 00 40 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_78001_0 {
	meta:
		name = "TPopupGrid.Create"
		size = 69
		refs = "000a @ClassCreate 0017 TDBLookupList.Create 0027 TWinControl.SetTabStop 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 CD 03 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78002_0 {
	meta:
		name = "TPopupGrid.CreateParams"
		size = 19
		refs = "0006 TCustomGrid.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? C7 43 24 00 08 00 00 5B C3 }
	condition:
		$1
}

rule function_78003_0 {
	meta:
		name = "TPopupGrid.CreateWnd"
		size = 72
		refs = "0006 TDBLookupList.CreateWnd 0015 TWinControl.GetHandle 001b SetParent 0035 CallWindowProc 0042 TDBLookupCombo.DataChange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 75 0F 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 07 8B C3 E8 ?? ?? ?? ?? 50 8B 83 5C 02 00 00 50 E8 ?? ?? ?? ?? 8B D3 8B 83 08 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78004_0 {
	meta:
		name = "TPopupGrid.WMLButtonUp"
		size = 29
		refs = "0007 TControl.WMLButtonUp 0016 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 08 04 00 00 66 BE AC FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78005_0 {
	meta:
		name = "TPopupGrid.CanEdit"
		size = 30
	strings:
		$1 = { 8B 90 08 04 00 00 8B 92 B8 02 00 00 83 7A 04 00 74 09 80 7A 28 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_78006_0 {
	meta:
		name = "TPopupGrid.MouseDown"
		size = 59
		refs = "001b TFieldDataLink.Edit 0030 TDBLookupList.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B DA 8B F0 8B 86 08 04 00 00 8B 80 B8 02 00 00 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B D3 0F B7 4D FE 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_78007_0 {
	meta:
		name = "TPopupGrid.LinkActive"
		size = 70
		refs = "000c TDBLookupList.LinkActive 002a TDBLookupList.InitFields 0033 TDBLookupList.SetValue 0040 TDBLookupCombo.DataChange"
	strings:
		$1 = { 53 8B D8 83 7B 38 00 74 3B 8B C3 E8 ?? ?? ?? ?? 8B 83 68 03 00 00 80 78 15 00 74 28 83 BB E0 03 00 00 00 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 83 08 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78009_0 {
	meta:
		name = "TComboButton.MouseDown"
		size = 164
		refs = "0025 TWinControl.GetHandle 002c GetFocus 003b @CallDynaInst 0072 TSpeedButton.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FD 88 55 FF 8B D8 8B 43 38 8B 78 38 8B 87 BC 02 00 00 80 78 61 00 75 3D 8B C7 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 74 2B 8B C7 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 1C 8B C7 8B 10 FF 92 F4 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 3D 8B 45 0C 50 8B 45 08 50 0F B6 55 FF 0F B7 4D FD 8B C3 E8 ?? ?? ?? ?? 8B 43 38 8B 40 38 8B 90 BC 02 00 00 80 7A 61 00 74 0B 66 BE AC FF E8 ?? ?? ?? ?? EB 09 66 BE AD FF E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_78010_0 {
	meta:
		name = "TComboButton.MouseMove"
		size = 87
		refs = "001c TSpeedButton.MouseMove 002a TWinControl.GetHandle 0030 GetCapture 004b MouseDragToGrid"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 66 89 55 FE 8B D8 8B 7D 08 57 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? F6 45 FE 08 74 29 8B 43 38 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 3B D0 75 16 57 8B 43 38 8B 40 38 8B 90 BC 02 00 00 8B CE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_78013_0 {
	meta:
		name = "TDataBindItem.Create"
		size = 121
		refs = "000b @ClassCreate 001c TCollectionItem.Create 0024 _DV_TDataBindings 0029 @AsClass 0033 _Dn_TFieldDataLink 0038 TFieldDataLink.Create 0050 TDataBindItem.DataChange 005a TDataBindItem.UpdateData 0065 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 10 8B 47 0C 8B 40 18 89 46 24 89 7E 34 C7 46 30 ?? ?? ?? ?? 89 7E 44 C7 46 40 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78014_0 {
	meta:
		name = "TDataBindItem.DataChange"
		size = 213
		refs = "0017 TDataBindItem.DataChange 005a @OleVarFromVar 0062 Null 006d @VarCmpNE 007d TOleControl.SetProperty 009a @HandleFinally 00b2 Variant 00bc @FinalizeArray 00c4 @VarClr"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 40 18 89 45 EC 8B 45 EC C6 80 FC 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 DC 8B 43 10 8B 40 1C 8B 08 FF 91 90 00 00 00 8D 55 DC 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 55 CC 8D 45 F0 E8 ?? ?? ?? ?? 74 0E 8D 4D F0 8B 53 14 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC C6 80 FC 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78015_0 {
	meta:
		name = "TDataBindItem.Destroy"
		size = 49
		refs = "0003 @BeforeDestruction 000f TObject.Free 001f TCollectionItem.Destroy 002a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 E8 ?? ?? ?? ?? 33 C0 89 46 10 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78016_0 {
	meta:
		name = "TDataBindItem.GetDataField"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 8B 52 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78017_0 {
	meta:
		name = "TDataBindItem.SetDataField"
		size = 22
		refs = "0007 TFieldDataLink.SetFieldName 0010 TCollectionItem.Changed"
	strings:
		$1 = { 53 8B D8 8B 43 10 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78019_0 {
	meta:
		name = "TDataBindItem.UpdateData"
		size = 94
		refs = "0010 TDataBindItem.UpdateData 0027 TOleControl.GetProperty 004d @VarClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B 43 0C 8B 40 18 8B 53 14 E8 ?? ?? ?? ?? 8D 55 F0 8B 43 10 8B 40 1C 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78023_0 {
	meta:
		name = "TDataBindings.GetItemByDispID"
		size = 67
		refs = "0021 TDataBindings.GetItem"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 33 C0 89 04 24 8B 47 08 8B 70 08 4E 85 F6 7C 21 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 3B 68 14 75 0C 8B D3 8B C7 E8 ?? ?? ?? ?? 89 04 24 43 4E 75 E2 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78027_0 {
	meta:
		name = "TDBOleControl.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TOleControl.Create 0020 _DV_TDataBindings 0025 TDataBindings.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 F8 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78028_0 {
	meta:
		name = "TDBOleControl.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TOleControl.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 F8 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78029_0 {
	meta:
		name = "TDBOleControl.Notification"
		size = 55
		refs = "0010 TWinControl.Notification 002f TDBOleControl.SetDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1A 83 BF 00 03 00 00 00 74 11 3B B7 00 03 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78030_0 {
	meta:
		name = "SetItemValue"
		size = 135
		refs = "000d SetItemValue 0033 TOleControl.GetProperty 004b TFieldDataLink.Edit 0077 @VarClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 78 FC 00 74 46 8D 4D F0 8B 45 08 8B 40 FC 8B 50 14 8B 45 08 8B 40 08 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 10 85 C0 74 22 83 78 1C 00 74 1C E8 ?? ?? ?? ?? 8D 55 F0 8B 45 08 8B 40 FC 8B 40 10 8B 40 1C 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_78031_0 {
	meta:
		name = "TDBOleControl.OnChanged"
		size = 196
		refs = "0012 TDBOleControl.OnChanged 006b TDataBindings.GetItem 0074 SetItemValue 008c TDataBindings.GetItemByDispID 00a5 @HandleAnyException 00aa @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 80 B8 FC 02 00 00 00 75 72 8B 45 08 0F B7 40 1C 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 58 83 7D 0C FF 75 37 8B 45 08 8B 80 F8 02 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 3E 43 33 F6 8B 45 08 8B 80 F8 02 00 00 8B D6 E8 ?? ?? ?? ?? 89 45 FC 55 E8 ?? ?? ?? ?? 59 46 4B 75 E2 EB 1B 8B 45 08 8B 80 F8 02 00 00 8B 55 0C E8 ?? ?? ?? ?? 89 45 FC 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 59 59 5D C2 08 00 00 00 03 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_78032_0 {
	meta:
		name = "TDBOleControl.OnRequestEdit"
		size = 105
		refs = "000f TDBOleControl.OnRequestEdit 002c TDataBindings.GetItemByDispID 003a TFieldDataLink.GetCanModify 0052 @HandleAnyException 005c @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 33 DB 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 B8 FC 02 00 00 00 75 25 8B 80 F8 02 00 00 8B 55 0C E8 ?? ?? ?? ?? 8B F0 85 F6 74 11 8B 46 10 E8 ?? ?? ?? ?? 84 C0 75 05 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 EB 0F E9 ?? ?? ?? ?? BB 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_78033_0 {
	meta:
		name = "TDBOleControl.SetDataSource"
		size = 146
		refs = "002b TDataBindings.GetItem 0047 TCollection.Clear 007c TDataLink.SetDataSource 0089 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 F6 46 1C 01 74 2E 8B 86 F8 02 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 1D 43 33 FF 8B D7 8B 86 F8 02 00 00 E8 ?? ?? ?? ?? 8B 40 10 80 78 19 00 75 55 47 4B 75 E6 85 ED 75 0B 8B 86 F8 02 00 00 E8 ?? ?? ?? ?? 89 AE 00 03 00 00 85 ED 74 38 8B 86 F8 02 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 1E 43 33 FF 8B D7 8B 86 F8 02 00 00 E8 ?? ?? ?? ?? 8B 40 10 8B D5 E8 ?? ?? ?? ?? 47 4B 75 E5 8B D6 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78036_0 {
	meta:
		name = "PasswordDialog"
		size = 115
		refs = "000b Application 0014 _DV_TPasswordDialog 0019 TCustomForm.Create 0024 PasswordDialog 0039 @IntfCopy 005e TObject.Free 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 05 B0 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 48 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_78037_0 {
	meta:
		name = "TPasswordDialog.EditChange"
		size = 143
		refs = "000d TPasswordDialog.EditChange 0021 TControl.GetText 007e @UStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 86 94 03 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 0F 95 C3 8B D3 8B 86 98 03 00 00 8B 08 FF 91 80 00 00 00 8B D3 8B 86 9C 03 00 00 8B 08 FF 91 80 00 00 00 84 DB 75 0D 80 BE AC 03 00 00 00 75 04 33 D2 EB 02 B2 01 8B 86 A4 03 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78038_0 {
	meta:
		name = "TPasswordDialog.AddButtonClick"
		size = 118
		refs = "000c TPasswordDialog.AddButtonClick 0020 TControl.GetText 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 B0 03 00 00 8B 08 FF 51 0C C6 83 AC 03 00 00 01 8B 83 94 03 00 00 8B 10 FF 92 14 01 00 00 8B 83 94 03 00 00 8B 10 FF 92 F4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_78039_0 {
	meta:
		name = "TPasswordDialog.RemoveButtonClick"
		size = 111
		refs = "000c TPasswordDialog.RemoveButtonClick 0020 TControl.GetText 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 B0 03 00 00 8B 08 FF 51 10 8B 83 94 03 00 00 8B 10 FF 92 14 01 00 00 8B 83 94 03 00 00 8B 10 FF 92 F4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_78040_0 {
	meta:
		name = "TPasswordDialog.RemoveAllButtonClick"
		size = 30
	strings:
		$1 = { 53 8B D8 8B 83 B0 03 00 00 8B 10 FF 52 14 8B 83 94 03 00 00 8B 10 FF 92 F4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_78041_0 {
	meta:
		name = "TPasswordDialog.OKButtonClick"
		size = 83
		refs = "000c TPasswordDialog.OKButtonClick 0020 TControl.GetText 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 B0 03 00 00 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_78044_0 {
	meta:
		name = "DDECheck"
		size = 256
		refs = "0010 DDECheck 0023 ddeMgr 0028 TDdeMgr.GetDdeInstId 002e DdeGetLastError 004d SDdeMemErr 0052 LoadResString 0066 Format 0074 SDdeConvErr 009b SDdeErr 00be _DV_EDdeError 00c3 Exception.Create 00c8 @RaiseExcept 00e2 @UStrArrayClr 00f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 84 C0 0F 85 AA 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 8B C3 05 F9 BF FF FF 83 E8 02 72 05 48 74 29 EB 4E 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 5D F0 C6 45 F4 00 8D 55 F0 33 C9 E8 ?? ?? ?? ?? EB 4C 8D 45 FC 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 89 5D F0 C6 45 F4 00 8D 55 F0 33 C9 E8 ?? ?? ?? ?? EB 25 8D 45 FC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 89 5D F0 C6 45 F4 00 8D 55 F0 33 C9 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78045_0 {
	meta:
		name = "DdeMgrCallBack"
		size = 526
		refs = "0031 ddeMgr 0036 TDdeMgr.AllowConnect 004d TDdeMgr.AllowWildConnect 0064 TDdeMgr.Connect 0098 DdeQueryConvInfo 011e TDdeSrvrConv.RequestData 0157 TDdeSrvrConv.AdvStop 0174 TDdeSrvrConv.AdvStart 0199 TDdeSrvrConv.PokeData 01b0 TDdeSrvrConv.ExecuteMacro 01c0 TDdeClientConv.XactComplete 01d0 TDdeClientConv.DataChange 01e1 _DV_TDdeClientConv 01e6 @IsClass 01f1 TDdeClientConv.SrvrDisconnect 01ff TDdeMgr.Disconnect"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 8B 5D 10 8B 75 08 33 FF 8B C6 2D 62 10 00 00 74 10 2D 80 10 00 00 74 20 2D 90 5F 00 00 74 2D EB 3E 8B 4D 14 8B 55 18 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 83 E7 7F EB 27 8B 4D 14 8B 55 18 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 EB 13 8B 45 24 50 8B 4D 14 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 0F 84 93 01 00 00 C7 45 9C 60 00 00 00 81 FE 80 80 00 00 75 08 8B 45 20 89 45 FC EB 07 C7 45 FC FF FF FF FF 8D 45 9C 50 8B 45 FC 50 53 E8 ?? ?? ?? ?? 85 C0 0F 84 5F 01 00 00 81 FE 50 40 00 00 7F 33 0F 84 EF 00 00 00 81 EE 30 10 00 00 0F 84 A2 00 00 00 81 EE F2 0F 00 00 74 44 81 EE 8E 00 00 00 74 5B 81 EE 60 1F 00 00 0F 84 EC 00 00 00 E9 24 01 00 00 81 EE 90 40 00 00 0F 84 97 00 00 00 81 EE B0 3F 00 00 74 55 83 EE 40 0F 84 BC 00 00 00 83 EE 42 0F 84 D1 00 00 00 E9 F9 00 00 00 8B 75 A0 8B 45 18 50 0F B7 45 0C 50 8B 4D 14 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 E9 DA 00 00 00 8B 75 A0 8B 45 18 50 0F B7 45 0C 50 8B 4D 14 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 E9 BB 00 00 00 8B 75 A0 8B 45 18 50 8B 4D 14 8B D3 8B C6 E8 ?? ?? ?? ?? E9 A3 00 00 00 8B 75 A0 8B 45 18 50 0F B7 45 0C 50 8B 4D 14 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 83 E7 7F E9 81 00 00 00 8B 75 A0 8B 45 18 50 8B 45 1C 50 8B 45 0C 50 8B 4D 14 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 62 8B 75 A0 8B 45 1C 50 8B 4D 14 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 4B 8B 45 A0 85 C0 74 44 E8 ?? ?? ?? ?? EB 3D 8B 45 A0 8B 4D 18 8B 55 1C E8 ?? ?? ?? ?? EB 2D 8B 5D A0 85 DB 74 26 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 5F 5E 5B 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule function_78046_0 {
	meta:
		name = "GetPasteLinkInfo"
		size = 316
		refs = "0021 GetPasteLinkInfo 002e Clipboard 003e ddeMgr 0047 TClipboard.GetAsHandle 005d GlobalLock 0080 @LStrFromPChar 00d8 GlobalUnlock 00de @HandleFinally 00eb @UStrFromLStr 0127 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 4D E8 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB E8 ?? ?? ?? ?? 8B 10 FF 52 18 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 0F B7 52 48 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 0F 84 AF 00 00 00 8B 45 E4 50 E8 ?? ?? ?? ?? 8B F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B FE 8B DF 8D 45 FC 8B D7 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 44 18 01 8B D8 8D 45 F8 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8D 44 18 01 8B D8 8D 45 F4 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 F4 E8 ?? ?? ?? ?? B3 01 E8 ?? ?? ?? ?? 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78047_0 {
	meta:
		name = "TDdeMgr.Create"
		size = 228
		refs = "000f @ClassCreate 001b TDdeMgr.Create 002a TComponent.Create 0034 RegisterClipboardFormat 0046 DdeMgrCallBack 004f DdeInitializeA 0059 DDECheck 0060 _Dn_TList 0065 TObject.Create 0090 ParamStr 009a TDdeMgr.SetAppName 00af @UStrClr 00b5 @HandleFinally 00c2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 89 46 48 33 C0 89 46 50 6A 00 6A 00 68 ?? ?? ?? ?? 8D 46 50 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 44 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 4C 00 69 00 6E 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_78048_0 {
	meta:
		name = "TDdeMgr.Destroy"
		size = 183
		refs = "0005 @BeforeDestruction 0025 TList.Get 002a TObject.Free 0088 TDdeMgr.ResetAppName 0091 DdeUninitialize 0098 ddeMgr 00a3 TComponent.Destroy 00ae @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 3C 85 C0 74 2E 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B 45 3C 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8D 45 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 40 85 C0 74 2B 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B 45 40 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 45 40 E8 ?? ?? ?? ?? 33 C0 89 45 40 8B 45 44 85 C0 74 0A E8 ?? ?? ?? ?? 33 C0 89 45 44 8B C5 E8 ?? ?? ?? ?? 8B 45 50 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78049_0 {
	meta:
		name = "TDdeMgr.AllowConnect"
		size = 180
		refs = "0020 TDdeMgr.AllowConnect 0036 DdeCmpStringHandles 0058 DdeQueryStringA 0068 @UStrFromPCharLen 0072 TDdeMgr.GetServerConv 0084 TDdeMgr.GetForm 009f @UStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 85 F6 74 0E 8B 47 4C 50 56 E8 ?? ?? ?? ?? 85 C0 75 50 68 EC 03 00 00 68 00 10 00 00 8D 85 F8 EF FF FF 50 8B 45 F8 50 8B 47 50 50 E8 ?? ?? ?? ?? 8B C8 8D 95 F8 EF FF FF 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 85 C0 74 04 B3 01 EB 10 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 85 C0 74 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78050_0 {
	meta:
		name = "TDdeMgr.AllowWildConnect"
		size = 99
		refs = "001a TDdeMgr.AllowConnect 0048 ddeMgr 004d TDdeMgr.GetDdeInstId 0053 DdeCreateDataHandle"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F1 8B EA 8B D8 33 FF 85 F6 74 46 8B CE 8B D5 8B C3 E8 ?? ?? ?? ?? 3C 01 75 37 8B 43 4C 89 04 24 89 74 24 04 33 C0 89 44 24 08 33 C0 89 44 24 0C 6A 00 6A 01 6A 00 6A 00 6A 10 8D 44 24 14 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 8B C7 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78051_0 {
	meta:
		name = "TDdeMgr.Connect"
		size = 227
		refs = "0020 TDdeMgr.Connect 002f _DV_TDdeSrvrConv 0034 TDdeSrvrConv.Create 0054 DdeQueryStringA 0064 @UStrFromPCharLen 006f @UStrAsg 0079 TDdeMgr.GetServerConv 008c TDdeMgr.GetForm 009b DdeSetUserHandle 00a5 TList.Add 00b5 @CallDynaInst 00cc @UStrClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 68 EC 03 00 00 68 00 10 00 00 8D 85 F8 EF FF FF 50 8B 45 F8 50 8B 46 50 50 E8 ?? ?? ?? ?? 8B C8 8D 95 F8 EF FF FF 8D 45 FC E8 ?? ?? ?? ?? 8D 43 38 8B 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 89 43 40 83 7B 40 00 75 0D 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 89 43 3C 89 7B 4C 53 6A FF 57 E8 ?? ?? ?? ?? 8B D3 8B 46 3C E8 ?? ?? ?? ?? 8B 43 40 85 C0 74 09 66 BE F0 FF E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_78052_0 {
	meta:
		name = "TDdeMgr.Disconnect"
		size = 72
		refs = "0013 @CallDynaInst 0024 DdeSetUserHandle 0039 TList.RemoveItem 0040 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F8 8B DA 8B 43 40 85 C0 74 09 66 BE EF FF E8 ?? ?? ?? ?? 8B 43 4C 85 C0 74 0A 6A 00 6A FF 50 E8 ?? ?? ?? ?? 33 C0 89 43 4C 8B 47 3C 85 C0 74 10 8B D3 33 C9 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78053_0 {
	meta:
		name = "TApplication.GetExeName"
		size = 14
		refs = "0008 ParamStr"
		altNames = "TDdeMgr.GetExeName"
	strings:
		$1 = { 53 8B DA 8B D3 33 C0 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78054_0 {
	meta:
		name = "TDdeMgr.SetAppName"
		size = 220
		refs = "0011 TDdeMgr.SetAppName 001e TDdeMgr.ResetAppName 0028 ExtractFileName 0033 @UStrAsg 0040 Pos 005b @UStrDelete 0070 @LStrFromUStr 0078 @LStrToPChar 0082 DdeCreateStringHandleA 0094 TDdeMgr.GetDdeInstId 009a DdeNameService 00af @LStrClr 00b7 @UStrClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 38 E8 ?? ?? ?? ?? 8B 53 38 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 17 8B 53 38 85 D2 74 05 83 EA 04 8B 12 8D 4B 38 91 87 D1 E8 ?? ?? ?? ?? 68 EC 03 00 00 8D 45 F8 8B 53 38 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 43 50 50 E8 ?? ?? ?? ?? 89 43 4C 6A 01 6A 00 8B 43 4C 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_78055_0 {
	meta:
		name = "TDdeMgr.ResetAppName"
		size = 54
		refs = "0014 TDdeMgr.GetDdeInstId 001a DdeNameService 002b DdeFreeStringHandle"
	strings:
		$1 = { 53 8B D8 83 7B 4C 00 74 26 6A 02 6A 00 8B 43 4C 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 4C 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 89 43 4C 5B C3 }
	condition:
		$1
}

rule function_78056_0 {
	meta:
		name = "TDdeMgr.GetServerConv"
		size = 80
		refs = "0026 TList.Get 0033 AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B E8 33 C0 89 44 24 04 8B 45 44 8B 70 08 4E 85 F6 7C 28 46 33 FF 8B 45 44 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 14 24 8B 43 08 E8 ?? ?? ?? ?? 85 C0 75 06 89 5C 24 04 EB 04 47 4E 75 DB 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78057_0 {
	meta:
		name = "TDdeMgr.GetForm"
		size = 147
		refs = "0015 TDdeMgr.GetForm 0025 Screen 002c TScreen.GetFormCount 0044 TScreen.GetForm 0050 TControl.GetText 005b AnsiCompareText 007d @UStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 35 46 33 FF A1 ?? ?? ?? ?? 8B 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 85 C0 75 05 89 5D F8 EB 04 47 4E 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78058_0 {
	meta:
		name = "TDdeMgr.GetSrvrConv"
		size = 80
		refs = "0026 TList.Get 0033 AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B E8 33 C0 89 44 24 04 8B 45 3C 8B 70 08 4E 85 F6 7C 28 46 33 FF 8B 45 3C 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 14 24 8B 43 38 E8 ?? ?? ?? ?? 85 C0 75 06 89 5C 24 04 EB 04 47 4E 75 DB 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78059_0 {
	meta:
		name = "TDdeMgr.PostDataChange"
		size = 99
		refs = "0011 @UStrAddRef 0019 TDdeMgr.PostDataChange 0028 TDdeMgr.GetSrvrConv 0034 TDdeSrvrConv.GetItem 003d TDdeSrvrItem.PostDataChange 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B 55 FC E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78060_0 {
	meta:
		name = "TDdeMgr.InsertServerConv"
		size = 20
		refs = "000e TList.Insert"
	strings:
		$1 = { 53 8B 48 44 8B 59 08 8B C1 8B CA 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78061_0 {
	meta:
		name = "TDdeMgr.RemoveServerConv"
		size = 11
		refs = "0006 TList.RemoveItem"
	strings:
		$1 = { 8B 40 44 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78064_0 {
	meta:
		name = "TDdeClientConv.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TList 0023 TObject.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A0 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78065_0 {
	meta:
		name = "TDdeClientConv.Destroy"
		size = 62
		refs = "0003 @BeforeDestruction 000e TDdeClientConv.CloseLink 0019 TComponent.Destroy 0024 TObject.Free 0037 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 A0 00 00 00 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78066_0 {
	meta:
		name = "TDdeClientConv.DefineProperties"
		size = 92
		refs = "000b TComponent.DefineProperties 0011 TDdeClientConv.ReadLinkInfo 0017 TDdeClientConv.WriteLinkInfo 002e TDdeClientConv.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 83 7B 38 00 75 0A 83 7B 3C 00 75 04 33 C9 EB 02 B1 01 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 B0 04 02 00 FF FF FF FF 08 00 00 00 4C 00 69 00 6E 00 6B 00 49 00 6E 00 66 00 6F 00 00 00 00 00 }
	condition:
		$1
}

rule function_78067_0 {
	meta:
		name = "TDdeClientConv.Loaded"
		size = 132
		refs = "000e TDdeClientConv.Loaded 001b TComponent.Loaded 0026 @UStrLAsg 0059 TDdeClientConv.ChangeLink 0073 @UStrArrayClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 53 38 E8 ?? ?? ?? ?? 8D 45 F8 8B 53 3C E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 74 18 80 BB BD 00 00 00 01 74 0F 6A 00 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_78068_0 {
	meta:
		name = "TDdeClientConv.ReadLinkInfo"
		size = 220
		refs = "0015 TDdeClientConv.ReadLinkInfo 0024 TReader.CheckValue 0030 TReader.ReadString 003d Pos 005e @UStrCopy 007c TDdeClientConv.SetService 0089 TDdeClientConv.SetTopic 0090 TReader.EndOfList 00b7 @UStrArrayClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C7 E8 ?? ?? ?? ?? EB 63 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 8B CB 2B CE 8D 56 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 83 E8 53 74 07 66 FF C8 74 0F EB 18 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? EB 0B 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 92 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_78069_0 {
	meta:
		name = "TDdeClientConv.WriteLinkInfo"
		size = 264
		refs = "0014 TDdeClientConv.WriteLinkInfo 0023 TWriter.WriteValue 002e @UStrLAsg 004b Format 0055 TWriter.WriteString 00a5 @UStrClr 00b2 @UStrArrayClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 56 38 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 56 3C E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 72 00 76 00 69 00 63 00 65 00 20 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 6F 00 70 00 69 00 63 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_78070_0 {
	meta:
		name = "TDdeClientConv.OnAttach"
		size = 55
		refs = "000c _DV_TDdeCliItem 0011 TDdeCliItem.Create 0023 TList.Insert 002f TDdeCliItem.SetItem"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 83 A0 00 00 00 8B 50 08 8B CE E8 ?? ?? ?? ?? 89 7E 0C 33 D2 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78071_0 {
	meta:
		name = "TDdeClientConv.OnDetach"
		size = 55
		refs = "000b TDdeClientConv.GetCliItemByCtrl 001a TDdeCliItem.SetItem 0029 TList.RemoveItem 0030 TObject.Free"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1F 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 86 A0 00 00 00 8B D3 33 C9 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78072_0 {
	meta:
		name = "TDdeClientConv.OnSetItem"
		size = 146
		refs = "0012 TDdeClientConv.GetCliItemByCtrl 0031 TDdeClientConv.OnAttach 0062 TDdeClientConv.OnDetach 0072 TDdeCliItem.SetItem"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B FA 8B F0 B3 01 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D0 85 D2 75 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 14 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D0 85 D2 74 13 8B 04 24 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 94 C0 EB 02 33 C0 84 C0 74 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 23 85 D2 74 1F 8B C2 8B 14 24 E8 ?? ?? ?? ?? 8B D8 84 DB 75 0F F6 46 1C 01 75 09 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78073_0 {
	meta:
		name = "TDdeClientConv.GetCliItemByCtrl"
		size = 74
		refs = "001c TList.Get"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F8 33 C0 89 44 24 04 33 DB EB 1B 0F B7 D3 8B C5 E8 ?? ?? ?? ?? 8B F0 8B 46 0C 3B 04 24 75 06 89 74 24 04 EB 0F 43 0F B7 C3 8B AF A0 00 00 00 3B 45 08 7C D7 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78074_0 {
	meta:
		name = "TDdeClientConv.PasteLink"
		size = 108
		refs = "0010 TDdeClientConv.PasteLink 0024 GetPasteLinkInfo 0039 TDdeClientConv.ChangeLink 0059 @UStrArrayClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? 3C 01 75 15 8B 45 F4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78075_0 {
	meta:
		name = "TDdeClientConv.ChangeLink"
		size = 77
		refs = "000f TDdeClientConv.CloseLink 0018 TDdeClientConv.SetService 0021 TDdeClientConv.SetTopic 0028 TDdeClientConv.OpenLink"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 12 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_78076_0 {
	meta:
		name = "TDdeClientConv.OpenLink"
		size = 672
		refs = "0032 TDdeClientConv.OpenLink 0070 TDdeClientConv.ClearItems 0091 @LStrFromUStr 00a2 StrPCopy 00b3 ddeMgr 00b8 TDdeMgr.GetDdeInstId 00be DdeCreateStringHandleA 0126 TDdeClientConv.CreateDdeConv 01b7 @UStrCatN 01ec WinExec 0233 TDdeClientConv.StartAdvise 0242 @CallDynaInst 024d TDdeClientConv.DataChange 0269 @UStrClr 0279 @LStrArrayClr 027f @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E8 FE FF FF 53 56 57 33 D2 89 95 EC FE FF FF 89 95 E8 FE FF FF 89 95 F0 FE FF FF 89 95 F4 FE FF FF 89 95 F8 FE FF FF 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 83 BF C0 00 00 00 00 0F 85 08 02 00 00 8B 47 38 85 C0 74 05 83 E8 04 8B 00 85 C0 75 1C 8B 47 3C 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0C 8B C7 E8 ?? ?? ?? ?? E9 DC 01 00 00 83 BF C4 00 00 00 00 75 46 8D 85 F8 FE FF FF 8B 57 38 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 F8 FE FF FF 8D 85 FF FE FF FF E8 ?? ?? ?? ?? 68 EC 03 00 00 8D 85 FF FE FF FF 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 87 C4 00 00 00 83 BF C8 00 00 00 00 75 46 8D 85 F4 FE FF FF 8B 57 3C B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 8D 85 FF FE FF FF E8 ?? ?? ?? ?? 68 EC 03 00 00 8D 85 FF FE FF FF 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 87 C8 00 00 00 8B 8F C8 00 00 00 8B 97 C4 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 85 D6 00 00 00 8B 47 38 85 C0 74 05 83 E8 04 8B 00 85 C0 75 16 8B 87 B8 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 94 C0 EB 02 33 C0 84 C0 0F 85 A6 00 00 00 8B 87 B8 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 74 29 8D 85 F0 FE FF FF 8B 97 B8 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 F0 FE FF FF 8D 85 FF FE FF FF E8 ?? ?? ?? ?? EB 42 FF 77 38 68 ?? ?? ?? ?? FF 77 3C 8D 85 E8 FE FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 95 E8 FE FF FF 8D 85 EC FE FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 EC FE FF FF 8D 85 FF FE FF FF E8 ?? ?? ?? ?? 6A 07 8D 85 FF FE FF FF 50 E8 ?? ?? ?? ?? 83 F8 20 72 15 8B 8F C8 00 00 00 8B 97 C4 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D8 84 DB 75 09 8B C7 E8 ?? ?? ?? ?? EB 3E 8B 47 5C 85 C0 74 08 89 87 A4 00 00 00 EB 0A C7 87 A4 00 00 00 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 74 1A 8B C7 66 BE EF FF E8 ?? ?? ?? ?? 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 85 EC FE FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_78077_0 {
	meta:
		name = "TDdeClientConv.CloseLink"
		size = 148
		refs = "0013 TDdeClientConv.SrvrDisconnect 001d DdeSetUserHandle 002b DdeDisconnect 0040 ddeMgr 0045 TDdeMgr.GetDdeInstId 004b DdeFreeStringHandle 0084 TDdeClientConv.SetService 008d TDdeClientConv.SetTopic"
	strings:
		$1 = { 53 56 8B D8 8B 83 C0 00 00 00 85 C0 74 21 8B F0 8B C3 E8 ?? ?? ?? ?? 6A 00 6A FF 56 E8 ?? ?? ?? ?? 33 C0 89 83 C0 00 00 00 56 E8 ?? ?? ?? ?? 83 BB C4 00 00 00 00 74 1F 8B 83 C4 00 00 00 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 89 83 C4 00 00 00 83 BB C8 00 00 00 00 74 1F 8B 83 C8 00 00 00 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 89 83 C8 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78078_0 {
	meta:
		name = "TDdeClientConv.ClearItems"
		size = 64
		refs = "0024 TList.Get 002a EmptyStr 0034 TDdeClientItem.SetDdeClientItem"
	strings:
		$1 = { 53 56 8B F0 8B 86 A0 00 00 00 83 78 08 00 74 2D 0F B7 58 08 4B 66 85 DB 72 23 43 8B 86 A0 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 40 0C E8 ?? ?? ?? ?? 66 FF CB 75 DE 5E 5B C3 }
	condition:
		$1
}

rule function_78079_0 {
	meta:
		name = "TDdeClientConv.CreateDdeConv"
		size = 131
		refs = "0017 @FillChar 002f ddeMgr 0034 TDdeMgr.GetDdeInstId 003a DdeConnect 0066 DdeQueryConvInfo 0075 DdeSetUserHandle"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 8B E9 8B FA 8B F0 8B C4 33 C9 BA 24 00 00 00 E8 ?? ?? ?? ?? C7 04 24 24 00 00 00 C7 44 24 0C EC 03 00 00 6A 00 55 57 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 89 9E C0 00 00 00 85 DB 0F 95 C0 8B D8 84 DB 74 28 C7 46 40 60 00 00 00 8D 46 40 50 6A FF 8B 86 C0 00 00 00 50 E8 ?? ?? ?? ?? 56 6A FF 8B 86 C0 00 00 00 50 E8 ?? ?? ?? ?? 8B C3 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78080_0 {
	meta:
		name = "TDdeClientConv.StartAdvise"
		size = 98
		refs = "001b TList.Get 0024 TDdeCliItem.StartAdvise 002e EmptyStr 0038 TDdeClientItem.SetDdeClientItem"
	strings:
		$1 = { 53 56 57 55 8B F0 33 C0 83 BE C0 00 00 00 00 74 4C 33 DB EB 38 0F B7 D3 8B C5 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 75 12 8B 15 ?? ?? ?? ?? 8B 12 8B 47 0C E8 ?? ?? ?? ?? EB 01 43 0F B7 C3 8B 96 A0 00 00 00 3B 42 08 7D 0E 0F B7 C3 8B AE A0 00 00 00 3B 45 08 7C BA B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78081_0 {
	meta:
		name = "TDdeClientConv.ExecuteMacroLines"
		size = 148
		refs = "0017 TDdeClientConv.ExecuteMacroLines 004b @LStrFromUStr 0053 @LStrToPChar 0060 TDdeClientConv.ExecuteMacro 0077 @UStrClr 007f @LStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 88 4D FF 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 83 BE C0 00 00 00 00 74 3A 80 BE BE 00 00 00 00 75 31 8D 55 F4 8B C7 8B 08 FF 51 1C 8B 55 F4 8D 45 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 0F B6 4D FF 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78082_0 {
	meta:
		name = "TDdeClientConv.ExecuteMacro"
		size = 152
		refs = "0023 ddeMgr 0028 TDdeMgr.GetDdeInstId 0031 @PCharLen 0047 DdeCreateDataHandle 007c DdeClientTransaction"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 88 0C 24 8B FA 8B E8 33 DB 83 BD C0 00 00 00 00 74 76 80 BD BE 00 00 00 00 75 6D A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C7 E8 ?? ?? ?? ?? 6A 00 8B 95 A4 00 00 00 52 6A 00 6A 00 40 50 57 56 E8 ?? ?? ?? ?? 85 C0 74 40 80 3C 24 01 75 07 C6 85 BE 00 00 00 01 8D 54 24 04 52 6A FF 68 50 40 00 00 8B 95 A4 00 00 00 52 6A 00 8B 95 C0 00 00 00 52 6A FF 50 E8 ?? ?? ?? ?? 85 C0 75 09 C6 85 BE 00 00 00 00 EB 02 B3 01 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78083_0 {
	meta:
		name = "TDdeClientConv.PokeDataLines"
		size = 147
		refs = "0017 TDdeClientConv.PokeDataLines 004c @LStrFromUStr 0054 @LStrToPChar 005f TDdeClientConv.PokeData 0076 @UStrClr 007e @LStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 83 BE C0 00 00 00 00 74 39 80 BE BE 00 00 00 00 75 30 8D 55 F4 8B 45 FC 8B 08 FF 51 1C 8B 55 F4 8D 45 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78084_0 {
	meta:
		name = "TDdeClientConv.PokeData"
		size = 259
		refs = "0019 TDdeClientConv.PokeData 0051 @LStrFromUStr 0059 @LStrToPChar 005f ddeMgr 0064 TDdeMgr.GetDdeInstId 006a DdeCreateStringHandleA 0084 @PCharLen 009c DdeCreateDataHandle 00c0 DdeClientTransaction 00d7 DdeFreeStringHandle 00ec @LStrClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 83 BB C0 00 00 00 00 0F 84 A7 00 00 00 80 BB BE 00 00 00 00 0F 85 9A 00 00 00 68 EC 03 00 00 8D 45 F4 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 85 F6 74 67 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8B 93 A4 00 00 00 52 56 6A 00 40 50 8B 45 FC 50 57 E8 ?? ?? ?? ?? 85 C0 74 26 6A 00 6A FF 68 90 40 00 00 8B 93 A4 00 00 00 52 56 8B 93 C0 00 00 00 52 6A FF 50 E8 ?? ?? ?? ?? 85 C0 0F 95 45 FB 56 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78085_0 {
	meta:
		name = "TDdeClientConv.RequestData"
		size = 365
		refs = "0015 TDdeClientConv.RequestData 004e @LStrFromUStr 0056 @LStrToPChar 005c ddeMgr 0061 TDdeMgr.GetDdeInstId 0067 DdeCreateStringHandleA 0097 DdeClientTransaction 00ab DdeFreeStringHandle 00d0 DdeAccessData 00ed StrAlloc 00fd Move 011d DdeUnaccessData 0123 @HandleFinally 013b DdeFreeDataHandle 0158 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 83 BB C0 00 00 00 00 0F 84 16 01 00 00 80 BB BE 00 00 00 00 0F 85 09 01 00 00 68 EC 03 00 00 8D 45 EC 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 D2 00 00 00 8D 45 F4 50 68 10 27 00 00 68 B0 20 00 00 8B 83 A4 00 00 00 50 56 8B 83 C0 00 00 00 50 6A 00 6A 00 E8 ?? ?? ?? ?? 89 45 F8 56 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 8E 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 4F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 40 E8 ?? ?? ?? ?? 89 45 FC 8B 55 FC 8B C3 8B 4D F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F0 C6 04 10 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78086_0 {
	meta:
		name = "TDdeClientConv.GetCliItemByName"
		size = 79
		refs = "001c TList.Get 0029 @UStrEqual"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F8 33 C0 89 44 24 04 33 DB EB 20 0F B7 D3 8B C5 E8 ?? ?? ?? ?? 8B F0 8B 46 04 8B 14 24 E8 ?? ?? ?? ?? 75 06 89 74 24 04 EB 0F 43 0F B7 C3 8B AF A0 00 00 00 3B 45 08 7C D2 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78087_0 {
	meta:
		name = "TDdeClientConv.XactComplete"
		size = 8
	strings:
		$1 = { C6 80 BE 00 00 00 00 C3 }
	condition:
		$1
}

rule function_78088_0 {
	meta:
		name = "TDdeClientConv.SrvrDisconnect"
		size = 77
		refs = "0016 @CallDynaInst 002c TList.Get 0035 TDdeCliItem.SrvrDisconnect"
	strings:
		$1 = { 53 56 57 55 8B F8 83 BF C0 00 00 00 00 74 0B 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 33 C0 89 87 C0 00 00 00 33 DB EB 14 0F B7 D3 8B C5 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 43 0F B7 C3 8B AF A0 00 00 00 3B 45 08 7C DE 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78089_0 {
	meta:
		name = "TDdeClientConv.DataChange"
		size = 78
		refs = "001a TList.Get 0027 TDdeCliItem.GetHszItem 0035 TDdeCliItem.StoreData"
	strings:
		$1 = { 53 56 57 55 51 8B E9 89 14 24 8B F8 33 DB EB 2A 0F B7 D3 8B 87 A0 00 00 00 E8 ?? ?? ?? ?? 8B F0 85 ED 74 0B 8B C6 E8 ?? ?? ?? ?? 3B E8 75 0A 8B 14 24 8B C6 E8 ?? ?? ?? ?? 43 0F B7 C3 8B 97 A0 00 00 00 3B 42 08 7C C8 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78090_0 {
	meta:
		name = "TDdeClientConv.SetLink"
		size = 75
		refs = "000c TDdeClientConv.CloseLink 0022 TDdeClientConv.ChangeLink 002d TDdeClientConv.SetService 0036 TDdeClientConv.SetTopic 0041 TDdeClientConv.DataChange"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB BD 00 00 00 00 75 0F 6A 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? EB 1F 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78091_0 {
	meta:
		name = "TDdeClientConv.SetConnectMode"
		size = 111
		refs = "0047 TDdeClientConv.OpenLink 0051 SDdeNoConnect 0058 _Dn_Exception 005d Exception.CreateRes 0062 @RaiseExcept"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E BD 00 00 00 74 5E 84 DB 75 13 8B 46 38 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 95 C0 EB 02 33 C0 84 C0 74 13 8B 46 3C 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 95 C0 EB 02 33 C0 84 C0 74 22 8B C6 E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 9E BD 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_78092_0 {
	meta:
		name = "TDdeClientConv.SetFormatChars"
		size = 33
		refs = "001c TDdeClientConv.DataChange"
	strings:
		$1 = { 3A 90 BF 00 00 00 74 18 88 90 BF 00 00 00 83 B8 C0 00 00 00 00 74 09 33 C9 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78099_0 {
	meta:
		name = "TDdeClientConv.Notification"
		size = 123
		refs = "001b TComponent.Notification 003c TList.Get 004c EmptyStr 0056 TDdeClientItem.SetDdeClientItem"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 88 4C 24 04 89 14 24 8B D8 0F B6 4C 24 04 8B 14 24 8B C3 E8 ?? ?? ?? ?? 80 7C 24 04 01 75 4E 83 BB A0 00 00 00 00 74 45 33 F6 EB 33 8B D7 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 8B E8 8B 45 0C 3B 04 24 75 10 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C E8 ?? ?? ?? ?? 8B 83 A0 00 00 00 3B 78 08 7D 0F 46 0F B7 FE 8B 83 A0 00 00 00 3B 78 08 7C BF 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78102_0 {
	meta:
		name = "TDdeClientItem.SetDdeClientConv"
		size = 139
		refs = "000f TDdeClientItem.SetDdeClientConv 0025 @UStrLAsg 002d @UStrClr 003b TDdeClientConv.OnDetach 004b TComponent.FreeNotification 0065 TDdeClientItem.SetDdeClientItem 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 3C 74 4B 8D 45 FC 8B 53 40 E8 ?? ?? ?? ?? 8D 43 40 E8 ?? ?? ?? ?? 8B 43 3C 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 43 3C 85 C0 74 21 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 74 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78103_0 {
	meta:
		name = "TDdeClientItem.SetDdeClientItem"
		size = 95
		refs = "0012 @UStrAsg 001e TDdeClientConv.OnSetItem 0045 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 3C 00 74 40 8D 43 40 8B D6 E8 ?? ?? ?? ?? 8B CE 8B D3 8B 43 3C E8 ?? ?? ?? ?? 84 C0 75 36 F6 43 1C 01 74 15 8B 43 3C 83 B8 C0 00 00 00 00 75 09 80 B8 BD 00 00 00 01 74 1B 8D 43 40 E8 ?? ?? ?? ?? 5E 5B C3 F6 43 1C 01 74 0A 8D 43 40 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78104_0 {
	meta:
		name = "TDdeClientItem.Notification"
		size = 57
		refs = "0010 TComponent.Notification 0024 TDdeClientConv.OnDetach 0031 @UStrClr"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1C 3B 77 3C 75 17 8B D7 8B 47 3C E8 ?? ?? ?? ?? 33 C0 89 47 3C 8D 47 40 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78105_0 {
	meta:
		name = "TDdeClientItem.OnAdvise"
		size = 72
		refs = "0010 _Dn_TForm 0015 TObject.InheritsFrom"
	strings:
		$1 = { 53 8B D8 F6 43 1C 10 74 2E 8B 43 04 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B 43 04 83 B8 C4 02 00 00 00 74 0E 8B 43 04 8B 80 C4 02 00 00 8B 10 FF 52 0C 66 83 7B 4A 00 74 08 8B D3 8B 43 4C FF 53 48 5B C3 }
	condition:
		$1
}

rule function_78106_0 {
	meta:
		name = "TDdeClientItem.GetText"
		size = 43
		refs = "0024 @UStrClr"
		altNames = "TDdeServerItem.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 8B 10 FF 52 14 85 C0 7E 0F 8B CE 33 D2 8B 43 38 8B 18 FF 53 0C 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78109_0 {
	meta:
		name = "TDdeCliItem.Create"
		size = 65
		refs = "000b @ClassCreate 001a TObject.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 10 89 77 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78113_0 {
	meta:
		name = "TDdeCliItem.SetItem"
		size = 184
		refs = "0010 TDdeCliItem.SetItem 0023 @UStrLAsg 002a TDdeCliItem.GetHszItem 0035 TDdeCliItem.StopAdvise 003f @UStrAsg 006d TDdeCliItem.StartAdvise 007b @UStrClr 008f TDdeCliItem.RefreshData 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 8B 56 04 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 74 07 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B D7 E8 ?? ?? ?? ?? 8B 46 0C 8B 40 38 8B 10 FF 52 44 8B 46 04 85 C0 74 05 83 E8 04 8B 00 85 C0 74 2E 8B 46 08 83 B8 C0 00 00 00 00 74 17 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 15 8D 46 04 E8 ?? ?? ?? ?? EB 0B 80 B8 BD 00 00 00 01 75 02 B3 01 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78114_0 {
	meta:
		name = "TDdeCliItem.StoreData"
		size = 262
		refs = "0014 TDdeCliItem.StoreData 0025 TDdeCliItem.RefreshData 0036 TDdeCliItem.AccessData 0045 @LStrFromPChar 0056 @UStrFromLStr 006d TDdeCliItem.ReleaseData 00a8 @UniqueStringA 00d1 TDdeCliItem.DataChange 00eb @UStrArrayClr 00f3 @LStrClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 0C 8B C3 E8 ?? ?? ?? ?? E9 A7 00 00 00 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 7F 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 43 0C 8B 40 38 8B 08 FF 51 2C 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 80 B8 BF 00 00 00 00 75 51 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F8 85 FF 7E 26 BE 01 00 00 00 8B 45 FC 0F B6 44 30 FF 84 C0 76 11 3C 20 73 0D 8D 45 FC E8 ?? ?? ?? ?? C6 44 30 FF 20 46 4F 75 DF 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 43 0C 8B 40 38 8B 08 FF 51 2C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78115_0 {
	meta:
		name = "TDdeCliItem.RefreshData"
		size = 120
		refs = "0017 TDdeCliItem.GetHszItem 004d DdeClientTransaction 005c TDdeCliItem.StoreData 0062 DdeFreeDataHandle 006d TDdeCliItem.DataChange"
	strings:
		$1 = { 53 56 57 51 8B F8 33 DB 8B 47 08 83 B8 C0 00 00 00 00 74 56 8B C7 E8 ?? ?? ?? ?? 85 C0 74 4B 8B 47 08 80 B8 BE 00 00 00 01 74 46 54 68 E8 03 00 00 68 B0 20 00 00 8B 90 A4 00 00 00 52 8B 57 10 52 8B 80 C0 00 00 00 50 6A FF 6A 00 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1A 8B D6 8B C7 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? B3 01 EB 07 8B C7 E8 ?? ?? ?? ?? 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78116_0 {
	meta:
		name = "TDdeCliItem.AccessData"
		size = 8
		refs = "0003 DdeAccessData"
	strings:
		$1 = { 51 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78118_0 {
	meta:
		name = "TDdeCliItem.StartAdvise"
		size = 271
		refs = "0012 TDdeCliItem.StartAdvise 005b @LStrFromUStr 0063 @LStrToPChar 0069 ddeMgr 006e TDdeMgr.GetDdeInstId 0074 DdeCreateStringHandleA 00a3 DdeClientTransaction 00b7 DdeGetLastError 00cb DdeFreeStringHandle 00d4 TDdeCliItem.SetHszItem 00fa @LStrClr 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 33 D2 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B 46 08 83 B8 C0 00 00 00 00 0F 84 B9 00 00 00 8B 46 04 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 84 A5 00 00 00 83 7E 10 00 75 31 68 EC 03 00 00 8D 45 F4 8B 56 04 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 10 8D 55 F8 52 68 E8 03 00 00 68 34 10 00 00 8B 46 08 8B 90 A4 00 00 00 52 8B 56 10 52 8B 80 C0 00 00 00 50 6A FF 6A 00 E8 ?? ?? ?? ?? 85 C0 75 3A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 46 10 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 0C 8B 40 38 8B 10 FF 52 44 EB 04 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_78119_0 {
	meta:
		name = "TDdeCliItem.StopAdvise"
		size = 80
		refs = "0013 TDdeCliItem.GetHszItem 0040 DdeClientTransaction 0047 TDdeCliItem.SrvrDisconnect"
	strings:
		$1 = { 53 51 8B D8 8B 43 08 83 B8 C0 00 00 00 00 74 34 8B C3 E8 ?? ?? ?? ?? 85 C0 74 29 54 68 E8 03 00 00 68 40 80 00 00 8B 43 08 8B 90 A4 00 00 00 52 8B 53 10 52 8B 80 C0 00 00 00 50 6A FF 6A 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B0 01 5A 5B C3 }
	condition:
		$1
}

rule function_78120_0 {
	meta:
		name = "TDdeCliItem.SrvrDisconnect"
		size = 49
		refs = "0006 TDdeCliItem.GetHszItem 0017 ddeMgr 001c TDdeMgr.GetDdeInstId 0022 DdeFreeStringHandle 002b TDdeCliItem.SetHszItem"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 21 8B C3 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78122_0 {
	meta:
		name = "TDdeServerItem.Create"
		size = 75
		refs = "000a @ClassCreate 0017 TComponent.Create 0025 _Dn_TStringList 002a TStringList.Create 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 50 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78126_0 {
	meta:
		name = "TDdeServerItem.SetText"
		size = 41
		refs = "0022 TDdeServerItem.ValueChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 C7 43 50 01 00 00 00 8B 43 38 8B 10 FF 52 44 8B D6 8B 43 38 8B 08 FF 51 38 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78127_0 {
	meta:
		name = "TDdeServerItem.SetLines"
		size = 129
		refs = "0011 TDdeServerItem.SetLines 0039 AnsiCompareStr 0055 TDdeServerItem.ValueChanged 006f @UStrArrayClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 46 38 8B 08 FF 51 1C 8B 45 FC 50 8D 55 F8 8B C7 8B 08 FF 51 1C 8B 45 F8 5A E8 ?? ?? ?? ?? 85 C0 74 18 C7 46 50 01 00 00 00 8B D7 8B 46 38 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 59 59 5D C3 }
	condition:
		$1
}

rule function_78128_0 {
	meta:
		name = "TDdeServerItem.ValueChanged"
		size = 147
		refs = "000d TDdeServerItem.ValueChanged 0034 ddeMgr 0039 TDdeMgr.PostDataChange 004a _Dn_TForm 004f @IsClass 005d TControl.GetText 0082 @UStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 42 00 74 08 8B D3 8B 43 44 FF 53 40 8B 43 3C 85 C0 74 12 8B 50 08 8B 4B 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 8B 73 04 85 F6 74 2B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 4B 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78129_0 {
	meta:
		name = "TDdeServerItem.PokeData"
		size = 148
		refs = "0016 TDdeServerItem.PokeData 002b DdeAccessData 003b @UStrFromPChar 004c DdeUnaccessData 0053 TDdeServerItem.ValueChanged 007e @UStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8D 45 F8 50 57 E8 ?? ?? ?? ?? 8B F0 85 F6 74 38 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 38 8B 08 FF 51 2C 57 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 83 7B 4A 00 74 08 8B D3 8B 43 4C FF 53 48 C7 45 FC 00 80 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78130_0 {
	meta:
		name = "TDdeServerItem.CopyToClipboard"
		size = 480
		refs = "0012 TDdeServerItem.CopyToClipboard 0024 ddeMgr 0044 @UStrCatN 0059 _Dn_TForm 005e @IsClass 0079 TControl.GetText 00a4 Clipboard 00b3 TDdeServerItem.GetText 00c2 TClipboard.SetAsText 00db GlobalAlloc 00f5 GlobalLock 0116 @UStrToPWChar 0120 Move 0137 TClipboard.SetAsHandle 014d GlobalUnlock 0153 @HandleFinally 0164 @HandleAnyException 016d GlobalFree 0172 @RaiseAgain 0177 @DoneExcept 01ab @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 3C 85 F6 74 27 A1 ?? ?? ?? ?? FF 70 38 68 ?? ?? ?? ?? FF 76 08 68 ?? ?? ?? ?? FF 73 08 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? EB 4B 8B 73 04 85 F6 0F 84 45 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2F A1 ?? ?? ?? ?? FF 70 38 68 ?? ?? ?? ?? 8D 55 F4 8B C6 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? FF 73 08 8D 45 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B 10 FF 52 18 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 5D FC 8B C3 85 C0 74 05 83 E8 04 8B 00 83 C0 02 50 6A 02 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 05 83 EB 04 8B 1B 8B 45 FC E8 ?? ?? ?? ?? 8D 4B 02 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 0F B7 52 48 8B 4D F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 14 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_78133_0 {
	meta:
		name = "TDdeServerConv.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TComponent.Create 001e ddeMgr 0023 TDdeMgr.InsertServerConv 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78134_0 {
	meta:
		name = "TDdeServerConv.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 000e ddeMgr 0013 TDdeMgr.RemoveServerConv 001e TComponent.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82360_0 {
	meta:
		name = "TPopupMenu.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 000e PopupList 0013 TPopupList.Remove 001e TMenu.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78135_0 {
	meta:
		name = "TDdeServerConv.ExecuteMacro"
		size = 192
		refs = "0013 TDdeServerConv.ExecuteMacro 0028 DdeAccessData 004a _Dn_TStringList 004f TStringList.Create 005c @UStrFromPChar 007a TObject.Free 0094 @HandleFinally 00ab @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8D 45 F8 50 52 E8 ?? ?? ?? ?? 8B D8 85 DB 74 68 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7E 4A 00 74 37 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 8B 08 FF 51 2C 8B 4D F4 8B D6 8B 46 4C FF 56 48 8B 45 F4 E8 ?? ?? ?? ?? C7 45 FC 00 80 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78138_0 {
	meta:
		name = "TDdeSrvrConv.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TList 0023 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 44 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98223_0 {
	meta:
		name = "TCustomAdapterErrorList.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TWebContainedComponent.Create 001e _Dn_TLayoutAttributes 0023 TLayoutAttributes.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 44 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78139_0 {
	meta:
		name = "TDdeSrvrConv.Destroy"
		size = 152
		refs = "0005 @BeforeDestruction 0025 TList.Get 002a TObject.Free 0048 DdeDisconnect 0054 TDdeSrvrConv.GetHszTopic 0065 ddeMgr 006a TDdeMgr.GetDdeInstId 0070 DdeFreeStringHandle 0079 TDdeSrvrConv.SetHszTopic 0084 TComponent.Destroy 008f @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 44 85 C0 74 2B 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B 45 44 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 45 44 E8 ?? ?? ?? ?? 33 C0 89 45 44 8B 45 4C 85 C0 74 0B 50 E8 ?? ?? ?? ?? 33 C0 89 45 4C 8B C5 E8 ?? ?? ?? ?? 85 C0 74 21 8B C5 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B C5 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78143_0 {
	meta:
		name = "TDdeSrvrConv.AdvStart"
		size = 355
		refs = "002a TDdeSrvrConv.AdvStart 0059 ddeMgr 005e TDdeMgr.GetDdeInstId 0064 DdeQueryStringA 007a @UStrFromArray 008e TDdeSrvrConv.GetControl 00a1 _DV_TDdeSrvrItem 00a6 TDdeSrvrItem.Create 00ce TDdeSrvrItem.SetItem 00d8 TList.Add 00e1 TComponent.FreeNotification 00ff @LStrFromUStr 010a @LStrToPChar 011b DdeCreateStringHandleA 013a @LStrClr 014a @UStrArrayClr 0150 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F0 53 56 57 33 DB 89 9D F0 EF FF FF 89 9D F4 EF FF FF 89 9D F8 EF FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 66 83 7D 08 01 0F 85 E3 00 00 00 68 EC 03 00 00 68 00 10 00 00 8D 85 FF EF FF FF 50 8B 45 0C 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 85 F8 EF FF FF 8D 95 FF EF FF FF B9 00 10 00 00 E8 ?? ?? ?? ?? 8B 85 F8 EF FF FF 50 8B 4B 40 8B 53 3C 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 8A 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 7E 40 8D 85 F4 EF FF FF 8D 95 FF EF FF FF B9 00 10 00 00 E8 ?? ?? ?? ?? 8B 95 F4 EF FF FF 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 43 44 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 83 7B 48 00 75 37 68 EC 03 00 00 8D 85 F0 EF FF FF 8B 53 38 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 F0 EF FF FF E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 43 48 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 EF FF FF E8 ?? ?? ?? ?? 8D 85 F4 EF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 0F B6 45 FF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_78144_0 {
	meta:
		name = "TDdeSrvrConv.AdvStop"
		size = 48
		refs = "000d TDdeSrvrConv.GetSrvrItem 001f TList.RemoveItem 0026 TObject.Free"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 55 08 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 13 8B 46 44 8B D3 33 C9 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_78145_0 {
	meta:
		name = "TDdeSrvrConv.PokeData"
		size = 182
		refs = "001d TDdeSrvrConv.PokeData 0045 ddeMgr 004a TDdeMgr.GetDdeInstId 0050 DdeQueryStringA 0066 @UStrFromArray 007a TDdeSrvrConv.GetControl 0086 TDdeServerItem.PokeData 00a0 @UStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 FC 53 56 33 DB 89 9D FC EF FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 83 7D 08 01 75 5D 68 EC 03 00 00 68 00 10 00 00 8D 85 00 F0 FF FF 50 8B 45 10 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 85 FC EF FF FF 8D 95 00 F0 FF FF B9 00 10 00 00 E8 ?? ?? ?? ?? 8B 85 FC EF FF FF 50 8B 4B 40 8B 53 3C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0A 8B 55 0C E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC EF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B C6 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_78146_0 {
	meta:
		name = "TDdeSrvrConv.ExecuteMacro"
		size = 30
		refs = "0012 TDdeServerConv.ExecuteMacro"
	strings:
		$1 = { 55 8B EC 33 D2 8B 48 40 85 C9 74 0C 8B 55 08 8B C1 E8 ?? ?? ?? ?? 8B D0 8B C2 5D C2 04 00 }
	condition:
		$1
}

rule function_78147_0 {
	meta:
		name = "TDdeSrvrConv.RequestData"
		size = 320
		refs = "002a TDdeSrvrConv.RequestData 003e TDdeSrvrConv.GetSrvrItem 004b TDdeSrvrItem.RequestData 006a ddeMgr 006f TDdeMgr.GetDdeInstId 0075 DdeQueryStringA 008b @UStrFromArray 009f TDdeSrvrConv.GetControl 00cd @LStrFromUStr 00f9 @LStrToPChar 0100 DdeCreateDataHandle 0120 @UStrArrayClr 0128 @LStrClr 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F0 53 56 57 33 DB 89 9D F0 EF FF FF 89 9D F4 EF FF FF 89 5D FC 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 0F B7 55 08 E8 ?? ?? ?? ?? 89 45 F8 E9 B0 00 00 00 68 EC 03 00 00 68 00 10 00 00 8D 85 F8 EF FF FF 50 56 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 85 F4 EF FF FF 8D 95 F8 EF FF FF B9 00 10 00 00 E8 ?? ?? ?? ?? 8B 85 F4 EF FF FF 50 8B 4B 40 8B 53 3C 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 5E 66 83 7D 08 01 75 57 8D 95 F0 EF FF FF 8B 43 38 8B 08 FF 51 1C 8B 95 F0 EF FF FF 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 6A 00 0F B7 45 08 50 56 6A 00 43 53 8B 45 FC E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 EF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B 45 F8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_78148_0 {
	meta:
		name = "TDdeSrvrConv.GetControl"
		size = 210
		refs = "0031 _Dn_TForm 0036 @IsClass 004b TComponent.GetComponentCount 0064 TComponent.GetComponent 006e _DV_TDdeServerItem 0082 @UStrEqual 0099 _Dn_TWinControl 00b3 TDdeSrvrConv.GetControl"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 45 FC 33 C0 89 45 F4 8B FA 85 FF 75 2A 83 7D F8 00 74 24 8B 45 F8 83 78 04 00 74 1B 8B 45 F8 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 45 F8 8B 78 04 85 FF 74 7E 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 70 46 C7 45 F0 00 00 00 00 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B 43 08 8B 55 08 E8 ?? ?? ?? ?? 75 0D 8B 43 3C 3B 45 F8 75 05 89 5D F4 EB 31 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 08 50 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 05 89 45 F4 EB 06 FF 45 F0 4E 75 98 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_78149_0 {
	meta:
		name = "TDdeSrvrConv.GetItem"
		size = 78
		refs = "0026 TList.Get 0033 @UStrEqual"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B E8 33 C0 89 44 24 04 8B 45 44 8B 70 08 4E 85 F6 7C 26 46 33 FF 8B 45 44 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 43 3C 8B 14 24 E8 ?? ?? ?? ?? 75 06 89 5C 24 04 EB 04 47 4E 75 DD 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78150_0 {
	meta:
		name = "TDdeSrvrConv.GetSrvrItem"
		size = 86
		refs = "0026 TList.Get 0033 TDdeSrvrItem.GetHszItem 0039 DdeCmpStringHandles"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B E8 33 C0 89 44 24 04 8B 45 44 8B 70 08 4E 85 F6 7C 2E 46 33 FF 8B 45 44 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 04 24 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 06 89 5C 24 04 EB 04 47 4E 75 D5 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78151_0 {
	meta:
		name = "TDdeSrvrItem.Create"
		size = 56
		refs = "000a @ClassCreate 001a TComponent.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 38 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78152_0 {
	meta:
		name = "TDdeSrvrItem.Destroy"
		size = 80
		refs = "0003 @BeforeDestruction 000e TDdeSrvrItem.GetHszItem 001f ddeMgr 0024 TDdeMgr.GetDdeInstId 002a DdeFreeStringHandle 0033 TDdeSrvrItem.SetHszItem 003e TComponent.Destroy 0049 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 85 C0 74 21 8B C6 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78153_0 {
	meta:
		name = "TCustomAdapter.GetAdapterErrors"
		size = 4
		altNames = "TCustomAdapter.GetAdapterErrorsList TCustomAdapterErrorList.GetLayoutAttributes TCustomBarSeries.GetBarPen TCustomLineSeries.GetLinePen TDdeSrvrItem.GetHszItem TPieSeries.GetPiePen TTeeCustomShapePosition.GetLeft TXmlStandardDomReader.GetContextNode"
	strings:
		$1 = { 8B 40 44 C3 }
	condition:
		$1
}

rule function_78155_0 {
	meta:
		name = "TDdeSrvrItem.RequestData"
		size = 250
		refs = "0025 TDdeSrvrItem.RequestData 0047 ddeMgr 004c TDdeMgr.GetDdeInstId 0052 DdeQueryStringA 0062 @UStrFromPCharLen 008d @LStrFromUStr 00bc @LStrToPChar 00c3 DdeCreateDataHandle 00dd @UStrClr 00e5 @LStrClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F4 53 56 57 33 C9 89 8D F4 EF FF FF 89 4D FC 66 89 55 FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 68 EC 03 00 00 68 00 10 00 00 8D 85 FA EF FF FF 50 8B 43 44 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8D 95 FA EF FF FF 8D 43 3C E8 ?? ?? ?? ?? 66 83 7D FA 01 75 5C 8D 95 F4 EF FF FF 8B 43 40 8B 40 38 8B 08 FF 51 1C 8B 95 F4 EF FF FF 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 6A 00 0F B7 45 FA 50 8B 43 44 50 6A 00 46 56 8B 45 FC E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 EF FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78156_0 {
	meta:
		name = "TDdeSrvrItem.PostDataChange"
		size = 38
		refs = "0006 TDdeSrvrItem.GetHszItem 000f TDdeSrvrConv.GetHszTopic 0015 ddeMgr 001a TDdeMgr.GetDdeInstId 0020 DdePostAdvise"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B 43 38 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78157_0 {
	meta:
		name = "TDdeSrvrItem.SetItem"
		size = 178
		refs = "000f TDdeSrvrItem.SetItem 001f @UStrAsg 0026 TDdeSrvrItem.GetHszItem 0037 ddeMgr 003c TDdeMgr.GetDdeInstId 0042 DdeFreeStringHandle 004b TDdeSrvrItem.SetHszItem 0070 @LStrFromUStr 0078 @LStrToPChar 0089 DdeCreateStringHandleA 00a1 @LStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 3C 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 21 8B C3 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 3C 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 31 68 EC 03 00 00 8D 45 FC 8B 53 3C B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 43 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78159_0 {
	meta:
		name = "Vcl.DdeMan"
		size = 99
		refs = "0002 _DV_6 000b Application 0014 _DV_TDdeMgr 0019 TDdeMgr.Create 001e ddeMgr 0024 _Dn_TControl 0029 _DV_TDdeClientConv 002e GroupDescendentsWith 0039 _DV_TDdeClientItem 0049 _DV_TDdeServerConv 0059 _DV_TDdeServerItem"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 59 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78162_0 {
	meta:
		name = "ApplicationMainHandle"
		size = 56
		refs = "0001 Application 0025 TApplication.GetMainFormHandle"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 80 B8 D7 00 00 00 00 74 1A A1 ?? ?? ?? ?? 8B 00 83 78 48 00 74 0D A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 C3 }
	condition:
		$1
}

rule function_78163_0 {
	meta:
		name = "CenterWindow"
		size = 167
		refs = "000b GetWindowRect 0010 Application 001e Screen 002c TCustomForm.GetMonitor 0047 TScreen.GetPrimaryMonitor 0056 TMonitor.GetTop 005f TMonitor.GetHeight 0079 TMonitor.GetLeft 0082 TMonitor.GetWidth 009c SetWindowPos"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 54 56 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 50 48 85 D2 74 22 A1 ?? ?? ?? ?? 8B 00 8B 40 6C 85 C0 74 09 E8 ?? ?? ?? ?? 8B D8 EB 19 8B C2 E8 ?? ?? ?? ?? 8B D8 EB 0E A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D8 6A 15 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 2B 44 24 18 03 44 24 10 B9 03 00 00 00 99 F7 F9 03 F8 57 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 2B 44 24 18 03 44 24 10 D1 F8 79 03 83 D0 00 03 F8 57 6A 00 56 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78164_0 {
	meta:
		name = "DialogHook"
		size = 116
		refs = "001d CenterWindow 0022 CreationControl 003d SetWindowLongPtr 005e CallWindowProc"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 0C 8B 5D 08 33 C0 89 45 FC 81 FE 10 01 00 00 75 4F 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 58 40 8B C3 BA FC FF FF FF 8B 0D ?? ?? ?? ?? 8B 79 64 57 52 50 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 42 60 8B 45 14 50 8B 45 10 50 56 53 A1 ?? ?? ?? ?? 8B 40 64 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_78165_0 {
	meta:
		name = "TRedirectorWindow.CreateParams"
		size = 34
		refs = "000b TWinControl.CreateParams"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? C7 46 04 00 00 00 90 8B 83 7C 02 00 00 89 46 1C 5E 5B C3 }
	condition:
		$1
}

rule function_78166_0 {
	meta:
		name = "TRedirectorWindow.WndProc"
		size = 105
		refs = "000b TWinControl.WndProc 005f SendMessage"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 83 7B 0C 00 75 24 81 3B 21 B0 00 00 74 1C 83 BE 78 02 00 00 00 74 13 8B D3 8B 86 78 02 00 00 8B 08 FF 51 48 83 E0 7F 89 43 0C 83 7B 0C 00 75 27 83 3B 07 75 22 83 BE 7C 02 00 00 00 74 19 8B 43 08 50 8B 43 04 50 6A 07 8B 86 7C 02 00 00 50 E8 ?? ?? ?? ?? 89 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_78168_0 {
	meta:
		name = "TCommonDialog.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TComponent.Create 0021 TCommonDialog.MainWndProc 0026 MakeObjectInstance 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 38 01 56 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 64 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78169_0 {
	meta:
		name = "TCommonDialog.Destroy"
		size = 79
		refs = "0003 @BeforeDestruction 0013 FreeObjectInstance 0032 TObject.Free 003d TComponent.Destroy 0048 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 64 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 44 85 C0 74 18 33 D2 89 90 78 02 00 00 8D 46 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78170_0 {
	meta:
		name = "TCommonDialog.Execute"
		size = 58
		refs = "0004 Application 001b TApplication.GetActiveFormHandle 0024 ApplicationMainHandle"
	strings:
		$1 = { 56 8B F0 A1 ?? ?? ?? ?? 8B 00 80 B8 D4 00 00 00 00 74 17 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 85 C0 75 0C E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 54 5E C3 }
	condition:
		$1
}

rule function_78172_0 {
	meta:
		name = "TCommonDialog.MessageHook"
		size = 40
		refs = "0006 HelpMsg 0014 Application 001f TApplication.HelpContext"
	strings:
		$1 = { 33 C9 8B 12 3B 15 ?? ?? ?? ?? 75 19 83 78 3C 00 74 13 8B 15 ?? ?? ?? ?? 8B 12 8B 40 3C 92 E8 ?? ?? ?? ?? B1 01 8B C1 C3 }
	condition:
		$1
}

rule function_78173_0 {
	meta:
		name = "TCommonDialog.DefaultHandler"
		size = 53
		refs = "001f CallWindowProc 002d TObject.DefaultHandler"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 40 85 FF 74 1A 8B 46 08 50 8B 46 04 50 8B 06 50 57 8B 43 60 50 E8 ?? ?? ?? ?? 89 46 0C EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78174_0 {
	meta:
		name = "TCommonDialog.MainWndProc"
		size = 73
		refs = "000e TCommonDialog.MainWndProc 002b @HandleAnyException 0030 Application 003a TApplication.HandleException 003f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78175_0 {
	meta:
		name = "TCommonDialog.WndProc"
		size = 12
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 EC 5E C3 }
	condition:
		$1
}

rule function_78176_0 {
	meta:
		name = "TCommonDialog.WMDestroy"
		size = 23
		refs = "0011 @CallDynaInst"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 66 BE F0 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_78177_0 {
	meta:
		name = "TCommonDialog.WMInitDialog"
		size = 21
		refs = "0009 @CallDynaInst"
	strings:
		$1 = { 53 56 8B DA 66 BE EF FF E8 ?? ?? ?? ?? 33 C0 89 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_78178_0 {
	meta:
		name = "TCommonDialog.WMNCDestroy"
		size = 17
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 33 C0 89 46 40 5E C3 }
	condition:
		$1
}

rule function_78179_0 {
	meta:
		name = "TCommonDialog.TaskModalDialog"
		size = 194
		refs = "0010 Application 0017 TApplication.GetActiveFormHandle 0022 DisableTaskWindows 002a SaveFocusState 0035 TCommonDialog.TaskModalDialog 0054 CreationControl 0072 @HandleFinally 0089 EnableTaskWindows 0092 SetActiveWindow 009a RestoreFocusState 00ad TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B D9 8B F2 89 45 F8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 89 45 F0 8B 43 04 E8 ?? ?? ?? ?? 89 45 E8 E8 ?? ?? ?? ?? 89 45 EC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 D9 7D FE 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 A3 ?? ?? ?? ?? 53 FF D6 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? DB E2 D9 6D FE C3 E9 ?? ?? ?? ?? EB F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F8 83 C0 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 8B 45 F4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78183_0 {
	meta:
		name = "TFileDialogWrapper.Create"
		size = 69
		refs = "000b @ClassCreate 001a TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 08 8B C7 8B 10 FF 12 89 47 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78185_0 {
	meta:
		name = "TFileDialogWrapper.AssignFileTypes"
		size = 448
		refs = "001b TFileDialogWrapper.AssignFileTypes 0032 @UStrLAsg 0044 AnsiPos 005c TFileTypeItems.Add 0070 @UStrCopy 0075 SysLocale 008b PosEx 0195 @UStrArrayClr 019d @UStrClr 01a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 E4 89 55 E8 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F8 8B 52 08 8B 52 78 E8 ?? ?? ?? ?? BB 01 00 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 2D 01 00 00 8B 45 F8 8B 40 04 8B 40 5C E8 ?? ?? ?? ?? 8B F8 8D 47 0C 50 8B CE 2B CB 8B D3 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 0C 00 75 14 8D 4E 01 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 2D 8D 45 E8 50 8D 56 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 06 8D 46 01 03 D8 4B 85 DB 75 1B 8B 45 FC 89 45 F4 83 7D F4 00 74 0B 8B 45 F4 83 E8 04 8B 00 89 45 F4 8B 5D F4 43 8D 47 14 50 8B CB 2B CE 49 8D 56 01 8B 45 FC E8 ?? ?? ?? ?? 43 A1 ?? ?? ?? ?? 80 78 0C 00 75 13 8B CB 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 65 8D 45 E4 50 B9 FF FF FF 7F 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 08 8D 04 33 48 8B F0 EB 37 8B 45 FC 89 45 F0 83 7D F0 00 74 0B 8B 45 F0 83 E8 04 8B 00 89 45 F0 3B 5D F0 7D 1B 8B 45 FC 89 45 EC 83 7D EC 00 74 0B 8B 45 EC 83 E8 04 8B 00 89 45 EC 8B 75 EC 46 85 F6 0F 85 D3 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 7C 00 00 00 }
	condition:
		$1
}

rule function_78186_0 {
	meta:
		name = "TFileDialogWrapper.AssignOptions"
		size = 88
		refs = "0009 CDialogOptionsMap 0048 TFileDialogWrapper.AssignOptions"
	strings:
		$1 = { 53 56 57 55 8B F0 33 DB BF ?? ?? ?? ?? 8B 46 08 8B D3 80 FA 1F 77 07 83 E2 7F 0F A3 50 74 73 0B 8B 07 8B 6E 04 0B 45 68 89 45 68 43 83 C7 04 80 FB 16 75 D9 8B 46 08 F6 80 C8 00 00 00 01 74 0F 8B 5E 04 8B 43 68 0B 05 ?? ?? ?? ?? 89 43 68 5D 5F 5E 5B C3 00 80 00 00 }
	condition:
		$1
}

rule function_78187_0 {
	meta:
		name = "TFileDialogWrapper.Execute"
		size = 579
		refs = "0015 TFileDialogWrapper.Execute 0035 @UStrAsg 0043 TOpenDialog.GetInitialDir 0051 TCustomFileDialog.SetDefaultFolder 005f TOpenDialog.GetFileName 006d TCustomFileDialog.SetFileName 0078 TOpenDialog.GetFilterIndex 00be TFileDialogWrapper.OnFileOkEvent 00e7 TFileDialogWrapper.OnFolderChangeEvent 0110 TFileDialogWrapper.OnSelectionChangeEvent 0139 TFileDialogWrapper.OnTypeChangeEvent 015e TFileDialogWrapper.HandleShareViolation 0166 TFileDialogWrapper.AssignFileTypes 016e TFileDialogWrapper.AssignOptions 01bc @HandleFinally 01d2 TCustomFileDialog.GetFileName 01dc TOpenDialog.SetFileName 01e7 TCustomFileDialog.GetFiles 01f3 TOpenDialog.GetFiles 0225 @UStrArrayClr 022d @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 83 C0 3C 8B 55 FC 8B 52 08 8B 92 8C 00 00 00 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B 55 FC 8B 5A 04 89 43 58 8D 43 74 8B 55 FC 8B 52 08 8B 92 88 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 66 83 B8 BA 00 00 00 00 74 19 8B 45 FC 8B 40 04 8B 55 FC 89 90 84 00 00 00 C7 80 80 00 00 00 ?? ?? ?? ?? 8B 45 FC 8B 40 08 66 83 B8 AA 00 00 00 00 74 19 8B 45 FC 8B 40 04 8B 55 FC 89 90 8C 00 00 00 C7 80 88 00 00 00 ?? ?? ?? ?? 8B 45 FC 8B 40 08 66 83 B8 A2 00 00 00 00 74 19 8B 45 FC 8B 40 04 8B 55 FC 89 90 A4 00 00 00 C7 80 A0 00 00 00 ?? ?? ?? ?? 8B 45 FC 8B 40 08 66 83 B8 B2 00 00 00 00 74 19 8B 45 FC 8B 40 04 8B 55 FC 89 90 B4 00 00 00 C7 80 B0 00 00 00 ?? ?? ?? ?? 8B 45 FC 8B 40 08 F6 40 75 08 74 19 8B 45 FC 8B 40 04 8B 55 FC 89 90 AC 00 00 00 C7 80 A8 00 00 00 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 55 FC 89 90 CC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 8B D6 8B 08 FF 51 4C 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 58 08 33 C0 89 83 CC 00 00 00 C3 E9 ?? ?? ?? ?? EB EA 80 7D FB 00 74 47 8D 55 EC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 8B 45 FC 8B 40 04 8B 40 58 8B 55 FC 8B 52 08 89 42 7C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78189_0 {
	meta:
		name = "TFileDialogWrapper.GetHandle"
		size = 7
	strings:
		$1 = { 8B 40 04 8B 40 60 C3 }
	condition:
		$1
}

rule function_78190_0 {
	meta:
		name = "TFileDialogWrapper.HandleShareViolation"
		size = 4
	strings:
		$1 = { C6 01 01 C3 }
	condition:
		$1
}

rule function_78191_0 {
	meta:
		name = "TFileDialogWrapper.OnFileOkEvent"
		size = 137
		refs = "0017 TFileDialogWrapper.OnFileOkEvent 002b TCustomFileDialog.GetFileName 0035 TOpenDialog.SetFileName 003d TCustomFileDialog.GetFiles 0045 TOpenDialog.GetFiles 0076 @UStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7E 08 8D 55 F8 8B 46 04 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 8B 4D FC 8B 46 08 8B D8 8B D0 8B 83 BC 00 00 00 FF 93 B8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_78192_0 {
	meta:
		name = "TFileDialogWrapper.OnFolderChangeEvent"
		size = 96
		refs = "000d TFileDialogWrapper.OnFolderChangeEvent 0021 TCustomFileDialog.GetFileName 002b TOpenDialog.SetFileName 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 08 8D 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 53 08 8B 86 AC 00 00 00 FF 96 A8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78193_0 {
	meta:
		name = "TFileDialogWrapper.OnSelectionChangeEvent"
		size = 118
		refs = "000d TFileDialogWrapper.OnSelectionChangeEvent 0021 TCustomFileDialog.GetFileName 002b TOpenDialog.SetFileName 0033 TCustomFileDialog.GetFiles 003b TOpenDialog.GetFiles 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 08 8D 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 8B 53 08 8B 86 A4 00 00 00 FF 96 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78194_0 {
	meta:
		name = "TFileDialogWrapper.OnTypeChangeEvent"
		size = 32
	strings:
		$1 = { 53 8B 50 08 8B 48 04 8B 49 58 89 4A 7C 8B DA 8B 50 08 8B 83 B4 00 00 00 FF 93 B0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_78195_0 {
	meta:
		name = "TFileOpenDialogWrapper.CreateFileDialog"
		size = 29
		refs = "0008 _DV_TFileOpenDialog 000d TCustomFileDialog.Create 0017 TFileOpenDialogWrapper.OnExecuteEvent"
	strings:
		$1 = { 53 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 58 7C C7 40 78 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78196_0 {
	meta:
		name = "TFileOpenDialogWrapper.OnExecuteEvent"
		size = 184
		refs = "0012 TFileOpenDialogWrapper.OnExecuteEvent 0025 TObject.ClassName 0032 @UStrEqual 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 43 08 8B 00 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 27 8D 45 FC 50 8B 43 04 8B 40 44 50 8B 00 FF 50 28 81 4D FC 00 00 00 40 8B 45 FC 50 8B 43 04 8B 40 44 50 8B 00 FF 50 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 54 00 4F 00 70 00 65 00 6E 00 50 00 69 00 63 00 74 00 75 00 72 00 65 00 44 00 69 00 61 00 6C 00 6F 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_78198_0 {
	meta:
		name = "ExplorerHook"
		size = 147
		refs = "001b CreationControl 0036 SetWindowLongPtr 0057 CallWindowProc 007f GetWindowLongPtr 0084 CenterWindow"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 0C 8B 75 08 33 C0 89 45 FC 81 FB 10 01 00 00 75 4A A1 ?? ?? ?? ?? 89 70 40 8B C6 BA FC FF FF FF 8B 0D ?? ?? ?? ?? 8B 79 64 57 52 50 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 42 60 8B 45 14 50 8B 45 10 50 53 56 A1 ?? ?? ?? ?? 8B 40 64 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? EB 24 83 FB 4E 75 1F 8B 45 14 81 78 08 A7 FD FF FF 75 13 8B C6 BA F8 FF FF FF 52 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_78199_0 {
	meta:
		name = "TOpenDialog.Create"
		size = 140
		refs = "000a @ClassCreate 0017 TCommonDialog.Create 001e _Dn_TStringList 0023 TStringList.Create 002b TOpenDialog.Create 006e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 70 A1 ?? ?? ?? ?? 89 46 74 0F B6 05 ?? ?? ?? ?? 88 86 C8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 94 00 00 00 C7 46 7C 01 00 00 00 C6 86 98 00 00 00 00 33 C0 89 86 CC 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 04 00 08 00 00 00 00 00 }
	condition:
		$1
}

rule function_78200_0 {
	meta:
		name = "TOpenDialog.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0025 TCommonDialog.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 94 00 00 00 E8 ?? ?? ?? ?? 8B 46 70 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78201_0 {
	meta:
		name = "TOpenDialog.CanClose"
		size = 45
		refs = "0008 TOpenDialog.GetFileNames 0013 @CallDynaInst"
	strings:
		$1 = { 56 57 51 8B F8 8B C7 E8 ?? ?? ?? ?? 8B C7 66 BE EE FF E8 ?? ?? ?? ?? 88 04 24 8B 87 94 00 00 00 8B 10 FF 52 44 0F B6 04 24 5A 5F 5E C3 }
	condition:
		$1
}

rule function_78202_0 {
	meta:
		name = "TOpenDialog.WndProc"
		size = 274
		refs = "0044 TOpenDialog.WndProc 0070 TOpenDialog.CanClose 0093 SetWindowLongPtr 00a0 @CallDynaInst 0108 TCommonDialog.WndProc"
	strings:
		$1 = { 53 56 57 55 51 8B FA 8B E8 33 C0 89 47 0C 8B 07 3D 10 01 00 00 75 0A F6 45 76 01 0F 84 EB 00 00 00 83 F8 4E 0F 85 D9 00 00 00 8B 57 08 8B C2 8B 48 08 81 C1 60 02 00 00 83 F9 07 0F 87 C2 00 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 58 0C 8B D3 8B C5 E8 ?? ?? ?? ?? 84 C0 0F 85 87 00 00 00 C7 47 0C 01 00 00 00 8B C5 8B 10 FF 52 44 33 D2 8B 4F 0C 51 52 50 E8 ?? ?? ?? ?? EB 73 8B C5 66 BE EF FF E8 ?? ?? ?? ?? EB 5D 8B C5 66 BE ED FF E8 ?? ?? ?? ?? EB 50 8B C5 66 BE EC FF E8 ?? ?? ?? ?? EB 43 8B 58 0C 8B 43 18 3B 85 80 00 00 00 74 35 89 85 80 00 00 00 8B C5 66 BE EB FF E8 ?? ?? ?? ?? EB 22 83 7F 08 00 74 1C 8B C2 C6 04 24 01 8B CC 8B D0 8B C5 66 BE EA FF E8 ?? ?? ?? ?? 0F B6 04 24 89 47 0C 8B D7 8B C5 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78203_0 {
	meta:
		name = "TOpenDialog.DoCanClose"
		size = 41
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 BA 00 00 00 00 74 12 8B CC 8B D8 8B D0 8B 83 BC 00 00 00 FF 93 B8 00 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_78204_0 {
	meta:
		name = "TCustomFileDialog.DoOnSelectionChange"
		size = 29
		altNames = "TCustomTaskDialog.DoOnDialogContructed TOpenDialog.DoSelectionChange TXMLDocument.DoBeforeClose"
	strings:
		$1 = { 53 66 83 B8 A2 00 00 00 00 74 10 8B D8 8B D0 8B 83 A4 00 00 00 FF 93 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_78208_0 {
	meta:
		name = "TOpenDialog.DefineProperties"
		size = 84
		refs = "000b TComponent.DefineProperties 0011 TOpenDialog.ReadFileEditStyle 001c TOpenDialog.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 46 00 69 00 6C 00 65 00 45 00 64 00 69 00 74 00 53 00 74 00 79 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_78209_0 {
	meta:
		name = "ExtractFileName"
		size = 80
		refs = "0014 StrScan 0023 @UStrFromPWChar 002a StrEnd 0042 @UStrFromPWCharLen"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B C6 8B 55 08 0F B7 52 FE E8 ?? ?? ?? ?? 8B D8 85 DB 75 14 8B C7 8B D6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 17 8B CB 2B CE D1 F9 79 03 83 D1 00 8B C7 8B D6 E8 ?? ?? ?? ?? 83 C3 02 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_78210_0 {
	meta:
		name = "ExtractFileNames"
		size = 292
		refs = "000e ExtractFileNames 0022 ExtractFileName 005d AnsiLastChar 0070 @UStrCat 00be @UStrCat3 0103 @UStrArrayClr 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 59 8B D8 8B 45 08 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 59 8B D8 83 7D F8 00 75 19 8B 45 08 8B 40 F8 8B 80 94 00 00 00 8B 55 FC 8B 08 FF 51 38 E9 94 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 66 83 38 5C 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 66 83 38 5C 74 45 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 83 F8 03 7F 04 B0 01 EB 0B 8B 45 F8 66 83 78 02 3A 0F 95 C0 84 C0 74 04 B0 01 EB 0B 8B 45 F8 66 83 78 04 5C 0F 95 C0 84 C0 74 0E 8D 45 F8 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 80 94 00 00 00 8B 55 F8 8B 08 FF 51 38 8B 45 08 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 59 8B D8 83 7D F8 00 75 87 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_78211_0 {
	meta:
		name = "TOpenDialog.GetFileNames"
		size = 201
		refs = "0013 TOpenDialog.GetFileNames 0036 NewStyleControls 0053 ExtractFileNames 0077 @UStrAsg 008b ExtractFileName 00b8 @UStrClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 45 FE 00 00 8B 45 F8 F6 40 74 40 74 19 8B 45 F8 F6 40 76 01 75 0A A1 ?? ?? ?? ?? 80 38 00 75 06 66 C7 45 FE 20 00 8B 45 F8 F6 40 74 40 74 2F 55 8B 42 1C E8 ?? ?? ?? ?? 59 8D 4D F4 8B 45 F8 8B 80 94 00 00 00 33 D2 8B 18 FF 53 0C 8B 55 F4 8B 45 F8 05 90 00 00 00 E8 ?? ?? ?? ?? EB 2A 55 8B 42 1C 8B 55 F8 81 C2 90 00 00 00 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 90 90 00 00 00 8B 45 F8 8B 80 94 00 00 00 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78212_0 {
	meta:
		name = "TOpenDialog.GetFiles"
		size = 7
	strings:
		$1 = { 8B 80 94 00 00 00 C3 }
	condition:
		$1
}

rule function_78213_0 {
	meta:
		name = "TOpenDialog.GetStaticRect"
		size = 81
		refs = "001c GetDlgItem 0022 GetWindowRect 0030 MapWindowPoints 0039 GetClientRect 0049 Rect"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 40 85 FF 74 31 F6 43 76 01 75 22 56 68 5F 04 00 00 57 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 56 8B 43 40 50 6A 00 E8 ?? ?? ?? ?? EB 17 56 57 E8 ?? ?? ?? ?? EB 0E 6A 00 56 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78214_0 {
	meta:
		name = "TOpenDialog.GetFileName"
		size = 112
		refs = "001c TFileDialogWrapper.GetFileName 0023 NewStyleControls 0044 GetParent 004a SendMessage 0053 StrPas 0062 @UStrAsg"
	strings:
		$1 = { 53 56 57 81 C4 F4 FD FF FF 8B F2 8B D8 8B BB CC 00 00 00 85 FF 74 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 44 A1 ?? ?? ?? ?? 80 38 00 74 2D 83 7B 40 00 74 27 8B C4 50 68 05 01 00 00 68 65 04 00 00 8B 43 40 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D6 8B C4 E8 ?? ?? ?? ?? EB 0D 8B C6 8B 93 90 00 00 00 E8 ?? ?? ?? ?? 81 C4 0C 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78215_0 {
	meta:
		name = "TOpenDialog.GetFilterIndex"
		size = 17
	strings:
		$1 = { 83 78 40 00 74 07 8B 80 80 00 00 00 C3 8B 40 7C C3 }
	condition:
		$1
}

rule function_78216_0 {
	meta:
		name = "TOpenDialog.GetHandle"
		size = 24
		refs = "000d TFileDialogWrapper.GetHandle 0013 TCommonDialog.GetHandle"
	strings:
		$1 = { 8B 90 CC 00 00 00 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78218_0 {
	meta:
		name = "TOpenDialog.SetFileName"
		size = 95
		refs = "000e @UStrAddRef 0016 TOpenDialog.SetFileName 002a @UStrEqual 003a @UStrAsg 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 93 90 00 00 00 E8 ?? ?? ?? ?? 74 0E 8D 83 90 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_78219_0 {
	meta:
		name = "TOpenDialog.SetHistoryList"
		size = 19
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 70 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_78220_0 {
	meta:
		name = "TOpenDialog.SetInitialDir"
		size = 100
		refs = "001e IsPathDelimiter 002c TOpenDialog.SetInitialDir 0031 IsDelimiter 004b @UStrCopy"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 7E 21 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 14 8B CB 49 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 01 4B 8D 87 84 00 00 00 50 8B CB BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_78222_0 {
	meta:
		name = "TOpenDialog.DoExecute"
		size = 64
		refs = "0007 Application 001e TApplication.GetActiveFormHandle 0027 ApplicationMainHandle 0039 TOpenDialog.DoExecute"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 8B 00 80 B8 D4 00 00 00 00 74 17 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 85 C0 75 0C E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78223_0 {
	meta:
		name = "TOpenDialog.Execute"
		size = 29
		refs = "0007 GetOpenFileName 0010 TOpenDialog.DoExecute"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA ?? ?? ?? ?? 8B CE 8B C3 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_78227_0 {
	meta:
		name = "TSaveDialog.Execute"
		size = 29
		refs = "0007 GetSaveFileName 0010 TOpenDialog.DoExecute"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA ?? ?? ?? ?? 8B CE 8B C3 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_78224_0 {
	meta:
		name = "AllocFilterStr"
		size = 116
		refs = "000e @UStrClr 0019 AllocFilterStr 0020 @UStrCat3 0027 @UStrToPWChar 0030 StrScan"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 85 F6 74 45 8B C3 B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 66 BA 7C 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 21 66 C7 03 00 00 83 C3 02 8B F3 66 BF 7C 00 8B D7 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8B 5D FC 85 DB 75 DF 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_78225_0 {
	meta:
		name = "TOpenDialog.DoExecute"
		size = 1004
		refs = "001f TOpenDialog.DoExecute 002a Win32MajorVersion 0039 UseLatestCommonDialogs 0045 StyleServices 0079 GetOpenFileName 0087 _DV_TFileOpenDialogWrapper 008c TFileDialogWrapper.Create 009a _DV_TFileSaveDialogWrapper 00bb TFileDialogWrapper.Execute 00d7 TObject.Free 00dd @HandleFinally 00f9 @FillChar 0108 Win32Platform 0126 Win32MinorVersion 0140 HInstance 014e AllocFilterStr 0156 @UStrToPWChar 0189 @UStrSetLength 01c1 StrLCopy 01d0 ForceCurrentDirectory 020c OpenOptions 022e NewStyleControls 0273 OpenOptionsEx 02ad @UStrLAsg 02c7 ExtractFileExt 02d9 @UStrDelete 0301 DialogHook 030a ExplorerHook 0327 Application 033b _DV_TRedirectorWindow 0340 TWinControl.Create 035e TWinControl.GetHandle 0368 ApplicationMainHandle 038b TOpenDialog.GetFileNames 03d1 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 56 33 DB 89 5D FC 89 5D F8 89 5D F4 89 4D EC 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 06 0F 8C AC 00 00 00 80 3D ?? ?? ?? ?? 00 0F 84 9F 00 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 0F 84 8D 00 00 00 83 7B 68 00 0F 85 83 00 00 00 66 83 BB C2 00 00 00 00 75 79 66 83 7B 52 00 75 72 66 83 7B 5A 00 75 6B B8 ?? ?? ?? ?? 3B 45 F0 75 13 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 EB 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 EC 8B 45 E4 E8 ?? ?? ?? ?? F6 D8 1B C0 89 45 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 83 94 00 00 00 8B 10 FF 52 44 8D 45 8C 33 C9 BA 58 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 05 7C 0A A1 ?? ?? ?? ?? 83 38 02 74 1E A1 ?? ?? ?? ?? 83 38 01 75 1D A1 ?? ?? ?? ?? 83 38 04 7C 13 A1 ?? ?? ?? ?? 83 38 5A 7C 09 C7 45 8C 58 00 00 00 EB 07 C7 45 8C 4C 00 00 00 A1 ?? ?? ?? ?? 89 45 94 8D 55 FC 8B 43 78 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 98 8B 43 7C 89 45 A4 89 83 80 00 00 00 F6 43 74 40 74 09 C7 45 AC EF FF 00 00 EB 07 C7 45 AC 04 01 00 00 8B 55 AC 83 C2 02 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 89 75 A8 8B 45 AC 83 C0 02 8B D0 03 D2 8B C6 33 C9 E8 ?? ?? ?? ?? 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D AC 8B 45 A8 E8 ?? ?? ?? ?? 83 BB 84 00 00 00 00 75 13 80 3D ?? ?? ?? ?? 00 74 0A B8 ?? ?? ?? ?? 89 45 B8 EB 0E 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 89 45 B8 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 89 45 BC C7 45 C0 20 00 00 00 33 C0 89 45 E0 33 C0 BE ?? ?? ?? ?? 8B D0 80 FA 1F 77 07 83 E2 7F 0F A3 53 74 73 05 8B 16 09 55 C0 40 83 C6 04 3C 16 75 E3 A1 ?? ?? ?? ?? 80 38 00 74 65 81 75 C0 00 00 08 00 A1 ?? ?? ?? ?? 83 38 05 7C 0A A1 ?? ?? ?? ?? 83 38 02 74 1E A1 ?? ?? ?? ?? 83 38 01 75 47 A1 ?? ?? ?? ?? 83 38 04 7C 3D A1 ?? ?? ?? ?? 83 38 5A 7C 33 33 C0 BE ?? ?? ?? ?? 8B D0 80 FA 07 77 0D 83 E2 7F 0F B6 8B C8 00 00 00 0F A3 D1 73 05 8B 16 09 55 E0 40 83 C6 04 3C 01 75 DD EB 07 81 65 C0 FF FF F7 FF 8D 45 F4 8B 93 8C 00 00 00 E8 ?? ?? ?? ?? 83 7D F4 00 75 26 F6 45 C2 08 75 20 8D 55 F4 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 7D F4 00 74 0B 8B 45 F4 E8 ?? ?? ?? ?? 89 45 C8 F6 43 76 01 75 0A A1 ?? ?? ?? ?? 80 38 00 75 09 C7 45 D0 ?? ?? ?? ?? EB 07 C7 45 D0 ?? ?? ?? ?? 8B 43 68 85 C0 74 11 83 4D C0 40 89 45 D4 8B 43 48 85 C0 74 03 89 45 94 A1 ?? ?? ?? ?? 8B 00 80 B8 D4 00 00 00 00 74 31 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 44 8B C6 89 98 78 02 00 00 8B 55 EC 89 90 7C 02 00 00 8B 43 44 E8 ?? ?? ?? ?? 89 45 90 EB 08 E8 ?? ?? ?? ?? 89 45 90 8D 4D 8C 8B 55 F0 8B C3 8B 30 FF 56 4C 89 45 E8 83 7D E8 00 74 36 8D 55 8C 8B C3 E8 ?? ?? ?? ?? F6 45 C1 04 74 09 81 4B 74 80 00 00 00 EB 07 81 63 74 7F FF FF FF F6 45 C0 01 74 06 83 4B 74 01 EB 04 83 63 74 FE 8B 45 A4 89 43 7C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 E8 5E 5B 8B E5 5D C3 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_78226_0 {
	meta:
		name = "TOpenDialog.DoIncludeItem"
		size = 27
	strings:
		$1 = { 53 66 83 B8 C2 00 00 00 00 74 0E 8B D8 8B 83 C4 00 00 00 FF 93 C0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_78228_0 {
	meta:
		name = "TColorDialog.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TCommonDialog.Create 001e _Dn_TStringList 0023 TStringList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 78 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78229_0 {
	meta:
		name = "TColorDialog.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TCommonDialog.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 78 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78230_0 {
	meta:
		name = "GetCustomColorsArray"
		size = 224
		refs = "0011 GetCustomColorsArray 003b Format 004d @UStrFromWChar 005d @UStrCat3 006f TStrings.SetValue 0092 @UStrArrayClr 009a @UStrClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 08 8D 58 C0 8B 3B 8D 45 FC 50 89 7D F4 C6 45 F8 00 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 EC 8B D6 66 83 C2 41 E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 8B 40 BC 8B 40 78 59 E8 ?? ?? ?? ?? 46 83 C3 04 83 FE 10 75 A7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 2E 00 36 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_78231_0 {
	meta:
		name = "SetCustomColorsArray"
		size = 212
		refs = "000f SetCustomColorsArray 002b @UStrFromWChar 003b @UStrCat3 004f TStrings.GetValue 006d StrToInt 009a @UStrArrayClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 08 8D 58 C0 8D 45 F4 8B D6 66 83 C2 41 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 45 08 8B 40 BC 8B 40 78 E8 ?? ?? ?? ?? 83 7D FC 00 74 1C 8D 45 F0 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 03 EB 06 C7 03 FF FF FF FF 46 83 C3 04 83 FE 10 75 9D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_78232_0 {
	meta:
		name = "TColorDialog.Execute"
		size = 272
		refs = "000f SetCustomColorsArray 001c HInstance 002a ColorToRGB 0041 DialogOptions 0089 DialogHook 008e Application 00a2 _DV_TRedirectorWindow 00a7 TWinControl.Create 00ce TWinControl.GetHandle 00d8 ApplicationMainHandle 00e3 ChooseColor 0104 GetCustomColorsArray"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 89 55 B8 89 45 BC 55 E8 ?? ?? ?? ?? 59 C7 45 94 24 00 00 00 A1 ?? ?? ?? ?? 89 45 9C 8B 45 BC 8B 40 70 E8 ?? ?? ?? ?? 89 45 A0 8D 45 C0 89 45 A4 C7 45 A8 11 00 00 00 33 C0 BA ?? ?? ?? ?? 8B 4D BC 8B D8 80 FB 07 77 0A 83 E3 7F 0F B6 49 74 0F A3 D9 73 05 8B 0A 09 4D A8 40 83 C2 04 3C 05 75 DD 8B 45 BC 8B 40 68 85 C0 74 14 89 45 B4 83 4D A8 20 8B 45 BC 8B 40 48 85 C0 74 03 89 45 9C C7 45 B0 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 80 B8 D4 00 00 00 00 74 3A 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 BC 89 58 44 8B C3 8B 55 BC 89 90 78 02 00 00 8B 55 B8 89 90 7C 02 00 00 8B 45 BC 8B 40 44 E8 ?? ?? ?? ?? 89 45 98 EB 08 E8 ?? ?? ?? ?? 89 45 98 8D 4D 94 BA ?? ?? ?? ?? 8B 45 BC 8B 18 FF 53 4C 83 F8 01 1B DB 43 84 DB 74 10 8B 45 BC 8B 55 A0 89 50 70 55 E8 ?? ?? ?? ?? 59 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78233_0 {
	meta:
		name = "TColorDialog.SetCustomColors"
		size = 19
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 78 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_78234_0 {
	meta:
		name = "FontDialogHook"
		size = 85
		refs = "0034 FontDialog 0039 TFontDialog.DoApply 004c DialogHook"
	strings:
		$1 = { 55 8B EC 53 8B 45 10 8B 55 0C 8B 4D 08 81 FA 11 01 00 00 75 2F BB FF FF 00 00 23 D8 81 FB 02 04 00 00 75 20 8B D8 C1 EB 10 F7 C3 FF FF 00 00 75 13 8B D1 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 01 00 00 00 EB 0C 8B 5D 14 53 50 52 51 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_78235_0 {
	meta:
		name = "TFontDialog.Create"
		size = 84
		refs = "000a @ClassCreate 0017 TCommonDialog.Create 001e _Dn_TFont 0023 TFont.Create 002d TFontDialog.Create 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 70 0F B7 05 ?? ?? ?? ?? 66 89 46 75 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_78236_0 {
	meta:
		name = "TFontDialog.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TCommonDialog.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 70 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78237_0 {
	meta:
		name = "TFontDialog.WndProc"
		size = 55
		refs = "0032 TCommonDialog.WndProc"
	strings:
		$1 = { 81 3A 11 01 00 00 75 29 66 83 7A 06 09 75 22 0F B7 4A 04 66 81 F9 73 04 75 09 C6 80 89 00 00 00 01 EB 0E 66 81 F9 74 04 75 07 C6 80 88 00 00 00 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78238_0 {
	meta:
		name = "TFontDialog.Apply"
		size = 22
	strings:
		$1 = { 53 66 83 78 7A 00 74 0C 8B D8 8B CA 8B D0 8B 43 7C FF 53 78 5B C3 }
	condition:
		$1
}

rule function_78239_0 {
	meta:
		name = "TFontDialog.DoApply"
		size = 174
		refs = "001e SendGetStructMessage 0029 TFontDialog.UpdateFromLogFont 003d SendDlgItemMessage 0064 TFont.SetColor 006c TFontDialog.DoApply 0080 @CallDynaInst 008f @HandleAnyException 0094 Application 009e TApplication.HandleException 00a3 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 8B DA 89 45 FC 8D 45 A0 50 6A 00 33 C9 BA 01 04 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 A0 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 68 47 01 00 00 68 73 04 00 00 53 E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 20 6A 00 56 68 50 01 00 00 68 73 04 00 00 53 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 70 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC 66 BE EE FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78240_0 {
	meta:
		name = "TFontDialog.Execute"
		size = 533
		refs = "0020 TFontDialog.Execute 0047 TFont.GetHandle 004d GetObject 0060 @UStrFromWArray 0070 Printer 0075 TPrinter.GetHandle 0083 Devices 0090 FontOptions 00e9 FontDialogHook 010c Application 0120 _DV_TRedirectorWindow 0125 TWinControl.Create 0143 TWinControl.GetHandle 014d ApplicationMainHandle 0164 FontDialog 0172 ChooseFont 01b2 AnsiCompareText 01ca TFontDialog.UpdateFromLogFont 01de TFont.SetColor 01f6 @UStrClr 0204 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 58 FF FF FF 53 56 57 33 C9 89 8D 58 FF FF FF 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 BB 3C 00 00 00 8D 85 5C FF FF FF 89 45 C7 8D 85 5C FF FF FF 50 6A 5C 8B 43 70 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 FC 8D 95 78 FF FF FF B9 20 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 C3 80 7B 74 00 74 0D E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C3 0F B6 43 74 8B 04 85 ?? ?? ?? ?? 83 C8 48 89 45 CF 33 C0 BE ?? ?? ?? ?? 8B D0 80 FA 0F 77 08 83 E2 7F 66 0F A3 53 75 73 05 8B 16 09 55 CF 40 83 C6 04 3C 10 75 E2 66 83 7B 7A 00 74 07 81 4D CF 00 02 00 00 8B 43 68 85 C0 74 11 89 45 DF 83 4D CF 10 8B 43 48 85 C0 74 03 89 45 E3 8B 43 70 8B 40 18 89 45 D3 33 C0 89 45 D7 C7 45 DB ?? ?? ?? ?? 8B 83 80 00 00 00 89 45 EF 8B 83 84 00 00 00 89 45 F3 3B 45 EF 7D 07 81 65 CF FF DF FF FF A1 ?? ?? ?? ?? 8B 00 80 B8 D4 00 00 00 00 74 31 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 44 8B C6 89 98 78 02 00 00 8B 55 F8 89 90 7C 02 00 00 8B 43 44 E8 ?? ?? ?? ?? 89 45 BF EB 08 E8 ?? ?? ?? ?? 89 45 BF C6 83 89 00 00 00 00 C6 83 88 00 00 00 00 8B 35 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? 8D 4D BB BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 4C 83 F8 01 1B C0 40 88 45 F7 89 35 ?? ?? ?? ?? 80 7D F7 00 74 50 8D 85 58 FF FF FF 8D 95 78 FF FF FF B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 95 58 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 07 C6 83 88 00 00 00 01 8D 95 5C FF FF FF 8B C3 E8 ?? ?? ?? ?? 80 BB 89 00 00 00 00 74 0B 8B 55 D3 8B 43 70 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78241_0 {
	meta:
		name = "TFontDialog.SetFont"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 70 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_78242_0 {
	meta:
		name = "TFontDialog.UpdateFromLogFont"
		size = 180
		refs = "0010 TFontDialog.UpdateFromLogFont 0026 @UStrFromWArray 0031 TFont.SetName 003b TFont.SetHeight 0050 TFont.SetCharset 0088 TFont.SetStyle 009d @UStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8D 57 1C B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 46 70 E8 ?? ?? ?? ?? 8B 17 8B 46 70 E8 ?? ?? ?? ?? 80 BE 88 00 00 00 00 74 0C 0F B6 57 17 8B 46 70 E8 ?? ?? ?? ?? 0F B6 1D ?? ?? ?? ?? 81 7F 10 90 01 00 00 7E 03 80 CB 01 80 7F 14 00 74 03 80 CB 02 80 7F 15 00 74 03 80 CB 04 80 7F 16 00 74 03 80 CB 08 8B D3 8B 46 70 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_78243_0 {
	meta:
		name = "GetPrinter"
		size = 295
		refs = "0021 Printer 0032 TPrinter.GetPrinter 0046 @PWCharLen 0078 GlobalAlloc 0088 GlobalLock 0092 GetPrinter 00ba StrECopy 00fc StrCopy 0114 GlobalUnlock 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 81 C4 FC F7 FF FF 53 56 57 89 55 FC 8B D8 8D 85 FC E7 FF FF 50 53 E8 ?? ?? ?? ?? 8D 8D FC EF FF FF 8D 95 FC F7 FF FF E8 ?? ?? ?? ?? 83 3B 00 0F 84 E1 00 00 00 8D 85 FC F7 FF FF E8 ?? ?? ?? ?? 8B D8 8D 85 FC EF FF FF E8 ?? ?? ?? ?? 8B F0 8D 85 FC E7 FF FF E8 ?? ?? ?? ?? 8B F8 03 F3 03 FE 83 C7 03 8B C7 03 C0 83 C0 08 50 6A 42 E8 ?? ?? ?? ?? 8B 55 FC 89 02 8B 45 FC 8B 00 50 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DE 83 C3 08 8B FE 8B C3 2B C6 D1 F8 79 03 83 D0 00 66 89 07 8D 95 FC EF FF FF 8B C3 E8 ?? ?? ?? ?? 83 C0 02 8B D8 8B C3 2B C6 D1 F8 79 03 83 D0 00 66 89 47 02 8D 95 FC F7 FF FF 8B C3 E8 ?? ?? ?? ?? 83 C0 02 8B D8 8B C3 2B C6 D1 F8 79 03 83 D0 00 66 89 47 04 8D 95 FC E7 FF FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78244_0 {
	meta:
		name = "SetPrinter"
		size = 130
		refs = "0014 GlobalLock 001e SetPrinter 003a Printer 0050 TPrinter.SetPrinter 0066 GlobalUnlock 006f GlobalFree 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F3 0F B7 46 04 03 C0 8B FB 03 C7 50 8B 45 FC 50 E8 ?? ?? ?? ?? 0F B7 16 8B CA 03 C9 03 CF 0F B7 56 02 03 D2 03 D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_78245_0 {
	meta:
		name = "CopyData"
		size = 151
		refs = "0016 GlobalSize 0020 GlobalAlloc 0031 CopyData 0040 GlobalLock 005e Move 0074 GlobalUnlock 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC 83 7D FC 00 74 78 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 53 6A 42 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 61 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 50 E8 ?? ?? ?? ?? 8B F0 8B 45 F8 50 E8 ?? ?? ?? ?? 85 F6 74 0F 85 C0 74 0B 8B D0 8B C6 8B CB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 89 45 F8 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_78246_0 {
	meta:
		name = "TPrinterSetupDialog.Execute"
		size = 234
		refs = "0016 @FillChar 0023 HInstance 0032 GetPrinter 003a CopyData 004e DialogHook 0053 Application 0067 _DV_TRedirectorWindow 006c TWinControl.Create 0087 TWinControl.GetHandle 0092 ApplicationMainHandle 009f PrintDlg 00bf SetPrinter 00cf GlobalFree"
	strings:
		$1 = { 53 56 57 83 C4 B8 8B FA 8B D8 8D 44 24 04 33 C9 BA 42 00 00 00 E8 ?? ?? ?? ?? C7 44 24 04 42 00 00 00 A1 ?? ?? ?? ?? 89 44 24 26 8D 54 24 10 8B C4 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 0C C7 44 24 18 40 20 00 00 C7 44 24 32 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 80 B8 D4 00 00 00 00 74 2F 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 44 8B C6 89 98 78 02 00 00 89 B8 7C 02 00 00 8B 43 44 E8 ?? ?? ?? ?? 89 44 24 08 EB 09 E8 ?? ?? ?? ?? 89 44 24 08 8D 4C 24 04 BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 4C 83 F8 01 1B C0 40 8B D8 84 DB 74 0F 8B 54 24 10 8B 44 24 0C E8 ?? ?? ?? ?? EB 1C 8B 44 24 0C 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 44 24 10 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B C3 83 C4 48 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78247_0 {
	meta:
		name = "TPrintDialog.SetNumCopies"
		size = 23
		refs = "000a Printer 0011 TPrinter.SetNumCopies"
	strings:
		$1 = { 53 8B DA 89 98 84 00 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78248_0 {
	meta:
		name = "TPrintDialog.Execute"
		size = 506
		refs = "0019 @FillChar 0024 HInstance 0031 GetPrinter 0039 CopyData 0047 PrintRanges 00f0 DialogHook 00fc Application 0110 _DV_TRedirectorWindow 0115 TWinControl.Create 0130 TWinControl.GetHandle 013a ApplicationMainHandle 0144 PrintDlg 0160 SetPrinter 01ac Printer 01b1 TPrinter.GetNumCopies 01ba TPrintDialog.SetNumCopies 01d5 GlobalFree"
	strings:
		$1 = { 53 56 57 55 83 C4 B8 8B EA 8B F8 8D 74 24 04 8B C6 33 C9 BA 42 00 00 00 E8 ?? ?? ?? ?? C7 06 42 00 00 00 A1 ?? ?? ?? ?? 89 46 22 8D 56 0C 8B C4 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 89 46 08 0F B6 47 7B 8B 04 85 ?? ?? ?? ?? 0D 00 30 00 00 89 46 14 80 7F 78 00 74 04 83 46 14 10 F6 47 79 01 75 07 81 46 14 00 00 10 00 F6 47 79 02 75 04 83 46 14 08 F6 47 79 04 75 04 83 46 14 04 F6 47 79 20 74 07 81 46 14 00 00 08 00 80 7F 7A 00 74 04 83 46 14 20 F6 47 79 10 74 07 81 46 14 00 08 00 00 F6 47 79 08 75 07 81 46 14 80 00 00 00 8B 47 68 85 C0 74 14 81 4E 14 00 40 00 00 89 46 32 8B 47 48 85 C0 74 03 89 46 22 0F B7 47 70 66 89 46 18 0F B7 47 74 66 89 46 1A 0F B7 47 7C 66 89 46 1C 0F B7 87 80 00 00 00 66 89 46 1E C7 46 2A ?? ?? ?? ?? C7 46 2E ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 80 B8 D4 00 00 00 00 74 2E 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 5F 44 8B C3 89 B8 78 02 00 00 89 A8 7C 02 00 00 8B 47 44 E8 ?? ?? ?? ?? 89 46 04 EB 08 E8 ?? ?? ?? ?? 89 46 04 8B CE BA ?? ?? ?? ?? 8B C7 8B 18 FF 53 4C 83 F8 01 1B DB 43 84 DB 74 73 8B 56 0C 8B 46 08 E8 ?? ?? ?? ?? F6 46 14 10 0F 95 C0 88 47 78 F6 46 14 20 0F 95 C0 88 47 7A 8B 46 14 A8 01 74 06 C6 47 7B 01 EB 0E A8 02 74 06 C6 47 7B 02 EB 04 C6 47 7B 00 0F B7 46 18 89 47 70 0F B7 46 1A 89 47 74 0F B7 46 20 66 83 F8 01 75 15 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 30 0F B7 D0 8B C7 E8 ?? ?? ?? ?? EB 24 8B 46 08 85 C0 74 0B 50 E8 ?? ?? ?? ?? 33 C0 89 46 08 8B 46 0C 85 C0 74 0B 50 E8 ?? ?? ?? ?? 33 C0 89 46 0C 8B C3 83 C4 48 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78249_0 {
	meta:
		name = "CallPaintEvent"
		size = 115
		refs = "0007 _Dn_TCanvas 000c TCanvas.Create 0017 CallPaintEvent 002b TCanvas.SetHandle 0047 PgSetupDlg 0062 TObject.Free 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 8B 50 10 8B 45 FC E8 ?? ?? ?? ?? 66 83 7D 0A 00 74 1B 8B 45 10 8B 40 14 50 8B 45 10 48 50 8B 4D FC 8B 15 ?? ?? ?? ?? 8B 45 0C FF 55 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C2 08 00 }
	condition:
		$1
}

rule function_78250_0 {
	meta:
		name = "PagePaint"
		size = 370
		refs = "000c PgSetupDlg 005e Orientation 006f PageType 00af PagePaint 00de CallPaintEvent"
	strings:
		$1 = { 55 8B EC 51 53 8B 55 0C 33 C0 83 3D ?? ?? ?? ?? 00 0F 84 55 01 00 00 C6 45 FF 00 81 FA 00 04 00 00 75 7A A1 ?? ?? ?? ?? 66 83 B8 F2 00 00 00 00 0F 84 32 01 00 00 8B 45 10 C1 E8 10 8B D0 83 EA 01 74 13 83 EA 02 74 0E 83 EA 08 74 09 83 EA 0E 74 04 33 D2 EB 02 B2 01 83 E2 7F 0F B6 92 ?? ?? ?? ?? 52 83 F8 0B 0F 97 C0 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 8D 45 FF 50 0F B7 4D 10 66 83 E1 FF 8B 1D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 83 F4 00 00 00 FF 93 F0 00 00 00 E9 CB 00 00 00 81 C2 FF FB FF FF 83 FA 05 0F 87 BC 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 A1 ?? ?? ?? ?? FF B0 1C 01 00 00 FF B0 18 01 00 00 E8 ?? ?? ?? ?? 59 E9 80 00 00 00 55 A1 ?? ?? ?? ?? FF B0 0C 01 00 00 FF B0 08 01 00 00 E8 ?? ?? ?? ?? 59 EB 66 55 A1 ?? ?? ?? ?? FF B0 2C 01 00 00 FF B0 28 01 00 00 E8 ?? ?? ?? ?? 59 EB 4C 55 A1 ?? ?? ?? ?? FF B0 24 01 00 00 FF B0 20 01 00 00 E8 ?? ?? ?? ?? 59 EB 32 55 A1 ?? ?? ?? ?? FF B0 14 01 00 00 FF B0 10 01 00 00 E8 ?? ?? ?? ?? 59 EB 18 55 A1 ?? ?? ?? ?? FF B0 04 01 00 00 FF B0 00 01 00 00 E8 ?? ?? ?? ?? 59 0F B6 45 FF 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_78251_0 {
	meta:
		name = "TPageSetupDialog.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TCommonDialog.Create 001e TPageSetupDialog.Create 0029 TPageSetupDialog.GetDefaults 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 46 70 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_78252_0 {
	meta:
		name = "TPageSetupDialog.Execute"
		size = 618
		refs = "0019 @FillChar 002a Application 003e _DV_TRedirectorWindow 0043 TWinControl.Create 005e TWinControl.GetHandle 0068 ApplicationMainHandle 0070 HInstance 007f GetPrinter 0088 CopyData 009e PageSetupDlg 00f4 PgSetupDlg 00fb PagePaint 0188 Rect 01cc DialogHook 0234 SetPrinter 0243 GlobalFree"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B EA 8B D8 8D 83 9C 00 00 00 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8D B3 9C 00 00 00 C7 06 54 00 00 00 A1 ?? ?? ?? ?? 8B 00 80 B8 D4 00 00 00 00 74 2E 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 44 8B C7 89 98 78 02 00 00 89 A8 7C 02 00 00 8B 43 44 E8 ?? ?? ?? ?? 89 46 04 EB 08 E8 ?? ?? ?? ?? 89 46 04 A1 ?? ?? ?? ?? 89 46 3C 8D 56 0C 8D 44 24 04 E8 ?? ?? ?? ?? 8B 44 24 04 E8 ?? ?? ?? ?? 89 46 08 C7 46 10 00 04 00 00 8D 83 9C 00 00 00 50 E8 ?? ?? ?? ?? C7 46 10 00 20 04 00 0F B6 83 F8 00 00 00 FE C8 74 0A FE C8 75 0A 83 46 10 04 EB 04 83 46 10 08 F6 43 70 01 74 04 83 46 10 00 F6 43 70 02 74 04 83 46 10 10 F6 43 70 04 74 07 81 46 10 00 01 00 00 F6 43 70 08 74 09 81 46 10 00 00 08 00 EB 0D 89 1D ?? ?? ?? ?? C7 46 48 ?? ?? ?? ?? F6 43 70 10 74 07 81 46 10 00 02 00 00 F6 43 70 20 74 04 83 46 10 20 F6 43 70 40 74 04 83 46 10 02 F6 43 70 80 74 03 FF 46 10 F6 43 71 01 74 07 81 46 10 00 08 00 00 F6 43 71 02 75 07 81 46 10 80 00 00 00 F6 43 71 04 74 07 81 46 10 00 00 20 00 8B 83 94 00 00 00 89 44 24 08 8B 83 98 00 00 00 89 44 24 0C 8B 44 24 08 89 46 14 8B 44 24 0C 89 46 18 8B 83 80 00 00 00 50 8D 44 24 14 50 8B 4B 7C 8B 53 78 8B 43 74 E8 ?? ?? ?? ?? 56 8D 7E 1C 8D 74 24 14 A5 A5 A5 A5 5E 8B 83 90 00 00 00 50 8D 44 24 14 50 8B 8B 8C 00 00 00 8B 93 88 00 00 00 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 56 8D 7E 2C 8D 74 24 14 A5 A5 A5 A5 5E C7 46 44 ?? ?? ?? ?? 8D 8B 9C 00 00 00 BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 4C 83 F8 01 1B C0 40 88 04 24 8D B3 9C 00 00 00 80 3C 24 00 74 43 8B 46 14 89 83 94 00 00 00 8B 46 18 89 83 98 00 00 00 8B 46 2C 89 83 84 00 00 00 8B 46 30 89 83 88 00 00 00 8B 46 34 89 83 8C 00 00 00 8B 46 38 89 83 90 00 00 00 8B 56 0C 8B 46 08 E8 ?? ?? ?? ?? EB 24 8B 46 08 85 C0 74 0B 50 E8 ?? ?? ?? ?? 33 C0 89 46 08 8B 46 0C 85 C0 74 0B 50 E8 ?? ?? ?? ?? 33 C0 89 46 0C 0F B6 04 24 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78253_0 {
	meta:
		name = "TPageSetupDialog.GetDefaults"
		size = 429
		refs = "000f Printer 0014 TPrinter.GetPrinters 002f @FillChar 003a HInstance 0042 ApplicationMainHandle 00dd Rect 0125 DialogHook 013c PageSetupDlg 0189 GlobalFree"
	strings:
		$1 = { 53 56 57 83 C4 94 8B F0 8D 7C 24 08 33 DB E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 0F 84 7F 01 00 00 8B C7 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? C7 07 54 00 00 00 A1 ?? ?? ?? ?? 89 47 3C E8 ?? ?? ?? ?? 89 47 04 0F B6 86 F8 00 00 00 FE C8 74 0A FE C8 75 0A 83 47 10 04 EB 04 83 47 10 08 F6 46 70 01 74 04 83 47 10 00 F6 46 70 02 74 04 83 47 10 10 F6 46 70 04 74 07 81 47 10 00 01 00 00 F6 46 70 08 74 07 81 47 10 00 00 08 00 F6 46 70 10 74 07 81 47 10 00 02 00 00 F6 46 70 20 74 04 83 47 10 20 8B 86 94 00 00 00 89 04 24 8B 86 98 00 00 00 89 44 24 04 8B 04 24 89 47 14 8B 44 24 04 89 47 18 8B 86 80 00 00 00 50 8D 44 24 60 50 8B 4E 7C 8B 56 78 8B 46 74 E8 ?? ?? ?? ?? 56 57 8D 74 24 64 83 C7 1C A5 A5 A5 A5 5F 5E 8B 86 90 00 00 00 50 8D 44 24 60 50 8B 8E 8C 00 00 00 8B 96 88 00 00 00 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 56 57 8D 74 24 64 83 C7 2C A5 A5 A5 A5 5F 5E C7 47 44 ?? ?? ?? ?? 81 4F 10 00 04 00 00 33 C0 89 47 0C 33 C0 89 47 08 57 E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 84 DB 74 5A 8B 47 14 89 86 94 00 00 00 8B 47 18 89 86 98 00 00 00 8B 47 2C 89 86 84 00 00 00 8B 47 30 89 86 88 00 00 00 8B 47 34 89 86 8C 00 00 00 8B 47 38 89 86 90 00 00 00 8B 47 08 85 C0 74 0B 50 E8 ?? ?? ?? ?? 33 C0 89 47 08 8B 47 0C 85 C0 74 0B 50 E8 ?? ?? ?? ?? 33 C0 89 47 0C 8B C3 83 C4 6C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78254_0 {
	meta:
		name = "CallDefWndProc"
		size = 59
		refs = "0022 WndProcPtrAtom 002f GetProp 0035 CallWindowProc"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 14 50 8B 45 08 8B 40 10 50 8B 45 08 8B 40 0C 50 8B 45 08 8B 40 08 50 0F B7 05 ?? ?? ?? ?? 50 8B 45 08 8B 40 08 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_78255_0 {
	meta:
		name = "FindReplaceWndProc"
		size = 178
		refs = "001e Application 0025 TApplication.GetDialogHandle 0038 TApplication.SetDialogHandle 0088 CallDefWndProc 0092 WndProcPtrAtom 009c RemoveProp"
	strings:
		$1 = { 55 8B EC 53 8B 45 0C 83 E8 02 74 11 2D 80 00 00 00 74 73 83 E8 04 74 26 E9 85 00 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 3B 45 08 75 74 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? EB 64 83 7D 10 00 74 21 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 85 C0 75 4E A1 ?? ?? ?? ?? 8B 00 8B 55 08 E8 ?? ?? ?? ?? EB 3D A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 3B 45 08 75 2C A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? EB 1C 55 E8 ?? ?? ?? ?? 59 8B D8 0F B7 05 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? EB 09 55 E8 ?? ?? ?? ?? 59 8B D8 8B C3 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_78256_0 {
	meta:
		name = "FindReplaceDialogHook"
		size = 149
		refs = "0017 DialogHook 0029 TFindDialog.GetLeft 0033 TFindDialog.GetTop 0054 SetWindowPos 0062 GetWindowLongPtr 006a WndProcPtrAtom 0071 SetProp 007d FindReplaceWndProc 0085 SetWindowLongPtr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 14 8B 75 0C 8B 5D 08 57 8B 45 10 50 56 53 E8 ?? ?? ?? ?? 81 FE 10 01 00 00 75 6B 8B 77 1C 8B C6 E8 ?? ?? ?? ?? 40 75 0A 8B C6 E8 ?? ?? ?? ?? 40 74 1E 6A 15 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 6A 00 53 E8 ?? ?? ?? ?? 8B C3 BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 50 0F B7 05 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B C3 BA FC FF FF FF B9 ?? ?? ?? ?? 51 52 50 E8 ?? ?? ?? ?? B8 01 00 00 00 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_78257_0 {
	meta:
		name = "TFindDialog.Create"
		size = 172
		refs = "000e @ClassCreate 001c TCommonDialog.Create 0023 TFindDialog.Create 0046 ApplicationMainHandle 004e HInstance 0079 FindReplaceDialogHook 007e FindText 0091 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 43 70 C7 43 74 FF FF FF FF C7 43 78 FF FF FF FF 8D B3 98 00 00 00 C7 06 28 00 00 00 E8 ?? ?? ?? ?? 89 46 04 A1 ?? ?? ?? ?? 89 46 08 8D 83 C0 00 00 00 89 46 10 66 C7 46 18 00 02 8D 83 C0 02 00 00 89 46 14 66 C7 46 1A 00 02 89 5E 1C C7 46 20 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 83 90 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_78258_0 {
	meta:
		name = "TFindDialog.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001d SendMessage 0028 TCommonDialog.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 94 00 00 00 85 C0 74 0C 6A 00 6A 00 6A 10 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78259_0 {
	meta:
		name = "TFindDialog.CloseDialog"
		size = 23
		refs = "0012 PostMessage"
	strings:
		$1 = { 8B 90 94 00 00 00 85 D2 74 0C 6A 00 6A 00 6A 10 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78260_0 {
	meta:
		name = "GetTopWindow"
		size = 58
		refs = "000c FindControl 001d _Dn_TForm 0022 @IsClass"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 08 8B C6 E8 ?? ?? ?? ?? 8B D8 83 CF FF 85 DB 74 18 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B 45 0C 89 30 33 FF 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_78261_0 {
	meta:
		name = "TFindDialog.Execute"
		size = 207
		refs = "0010 BringWindowToTop 0029 FindReplaceDialogHook 0032 _DV_TRedirectorWindow 0037 TWinControl.Create 004e GetTopWindow 0053 GetCurrentThreadId 0059 EnumThreadWindows 0061 TWinControl.GetHandle 006e FindOptions 00ae CreationControl"
	strings:
		$1 = { 53 56 8B D8 8B 83 94 00 00 00 85 C0 74 0B 50 E8 ?? ?? ?? ?? B0 01 5E 5B C3 C7 83 A4 00 00 00 00 01 00 00 C7 83 B8 00 00 00 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 44 89 9E 78 02 00 00 8D 86 7C 02 00 00 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 44 E8 ?? ?? ?? ?? 89 83 9C 00 00 00 33 C0 BE ?? ?? ?? ?? 8B D0 80 FA 0F 77 08 83 E2 7F 66 0F A3 53 70 73 08 8B 16 09 93 A4 00 00 00 40 83 C6 04 3C 0D 75 DF 83 7B 68 00 74 13 81 8B A4 00 00 00 00 02 00 00 8B 43 68 89 83 BC 00 00 00 89 1D ?? ?? ?? ?? 8D 83 98 00 00 00 50 FF 93 90 00 00 00 8B F0 89 B3 94 00 00 00 85 F6 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_78263_0 {
	meta:
		name = "TFindDialog.GetFindText"
		size = 27
		refs = "0014 @UStrFromWArray"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8D 93 C0 00 00 00 B9 00 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78265_0 {
	meta:
		name = "TFindDialog.GetPosition"
		size = 51
		refs = "001e GetWindowRect"
	strings:
		$1 = { 53 83 C4 F0 8B DA 8B 50 74 89 13 8B 50 78 89 53 04 8B 90 94 00 00 00 85 D2 74 13 54 52 E8 ?? ?? ?? ?? 8B 04 24 89 03 8B 44 24 04 89 43 04 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_78266_0 {
	meta:
		name = "TFindDialog.GetReplaceText"
		size = 27
		refs = "0014 @UStrFromWArray"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8D 93 C0 02 00 00 B9 00 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78268_0 {
	meta:
		name = "TFindDialog.MessageHook"
		size = 228
		refs = "000f TCommonDialog.MessageHook 001f FindMsg 003d TFindDialog.MessageHook 0048 FindOptions 007e @CallDynaInst 00a2 GetWindowRect 00c8 TWinControl.GetHandle 00ce PostMessage"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B DA 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 85 BE 00 00 00 8B 13 3B 15 ?? ?? ?? ?? 0F 85 B0 00 00 00 8B 53 08 8D 8F 98 00 00 00 3B D1 0F 85 9F 00 00 00 0F B7 05 ?? ?? ?? ?? 66 89 47 70 33 DB BE ?? ?? ?? ?? 8B 87 A4 00 00 00 23 06 74 0E 8B C3 3C 0F 77 08 83 E0 7F 66 0F AB 47 70 43 83 C6 04 80 FB 0D 75 DF 8B 87 A4 00 00 00 A8 08 74 0D 8B C7 66 BE EE FF E8 ?? ?? ?? ?? EB 53 A8 30 74 0D 8B C7 66 BE ED FF E8 ?? ?? ?? ?? EB 42 A8 40 74 3E 54 8B 87 94 00 00 00 50 E8 ?? ?? ?? ?? 8B 04 24 89 47 74 8B 44 24 04 89 47 78 33 C0 89 87 94 00 00 00 6A 00 6A 00 68 21 B0 00 00 8B 47 44 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 89 47 44 B0 01 83 C4 10 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_78270_0 {
	meta:
		name = "TFindDialog.SetFindText"
		size = 34
		refs = "0009 @UStrToPWChar 001b StrLCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 83 C0 00 00 00 B9 FF 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78272_0 {
	meta:
		name = "TFindDialog.SetPosition"
		size = 60
		refs = "0036 SetWindowPos"
	strings:
		$1 = { 53 8B 0A 3B 48 74 75 08 8B 4A 04 3B 48 78 74 2A 8B 0A 89 48 74 8B 4A 04 89 48 78 8B 88 94 00 00 00 85 C9 74 15 6A 15 6A 00 6A 00 8B 5A 04 53 8B 12 52 6A 00 51 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78273_0 {
	meta:
		name = "TFindDialog.SetReplaceText"
		size = 34
		refs = "0009 @UStrToPWChar 001b StrLCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 83 C0 02 00 00 B9 FF 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78275_0 {
	meta:
		name = "TReplaceDialog.Create"
		size = 64
		refs = "000a @ClassCreate 0017 TFindDialog.Create 001c ReplaceText 002d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 86 90 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78276_0 {
	meta:
		name = "AllocCoTaskMemStr"
		size = 113
		refs = "000e AllocCoTaskMemStr 002e CoTaskMemAlloc 003a @WStrFromUStr 0046 WStrPLCopy 005d @WStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 85 C0 74 05 83 E8 04 8B 00 8B F0 8B C6 03 C0 83 C0 02 50 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78279_0 {
	meta:
		name = "TFileTypeItem.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 10 33 C0 89 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78280_0 {
	meta:
		name = "TFileTypeItem.Destroy"
		size = 62
		refs = "0003 @BeforeDestruction 0014 CoTaskMemFree 002c TCollectionItem.Destroy 0037 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 46 18 85 C0 74 06 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78281_0 {
	meta:
		name = "TFileTypeItem.GetDisplayNameWStr"
		size = 35
		refs = "000d CoTaskMemFree 0015 AllocCoTaskMemStr"
	strings:
		$1 = { 53 56 8B D8 8B 43 10 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B F0 89 73 10 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78282_0 {
	meta:
		name = "TDependency.GetDisplayName"
		size = 37
		refs = "0012 @UStrAsg 001e TCollectionItem.GetDisplayName"
		altNames = "TFavoriteLinkItem.GetDisplayName TFileTypeItem.GetDisplayName"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 0C 00 74 0D 8B C6 8B 53 0C E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78283_0 {
	meta:
		name = "TFileTypeItem.GetFileMaskWStr"
		size = 35
		refs = "000d CoTaskMemFree 0015 AllocCoTaskMemStr"
	strings:
		$1 = { 53 56 8B D8 8B 43 18 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B F0 89 73 18 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78285_0 {
	meta:
		name = "TFileTypeItems.FilterSpecArray"
		size = 102
		refs = "001a TComdlgFilterSpecArray 001f @DynArraySetLength 0039 TFileTypeItems.GetItem 003e TFileTypeItem.GetDisplayNameWStr 0052 TFileTypeItem.GetFileMaskWStr"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 8B DE 8B 43 08 8B 40 08 50 8B C5 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 08 8B 78 08 4F 85 FF 7C 30 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 00 89 04 DA 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 00 89 44 DA 04 43 4F 75 D3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78290_0 {
	meta:
		name = "TFavoriteLinkItemsEnumerator.MoveNext"
		size = 26
		altNames = "TTaskDialogButtonsEnumerator.MoveNext"
	strings:
		$1 = { 8B 50 08 8B 52 08 8B 52 08 4A 3B 50 04 0F 9F C2 84 D2 74 03 FF 40 04 8B C2 C3 }
	condition:
		$1
}

rule function_78296_0 {
	meta:
		name = "TFileDialogEvents.Create"
		size = 64
		refs = "000b @ClassCreate 001a TObject.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C C6 47 10 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78297_0 {
	meta:
		name = "TFileDialogEvents.OnFileOk"
		size = 43
		refs = "001b @CallDynaInst"
	strings:
		$1 = { 55 8B EC 56 8B 45 08 8B 70 0C 66 83 BE 82 00 00 00 00 74 0D 8B C6 66 BE E6 FF E8 ?? ?? ?? ?? EB 05 B8 01 40 00 80 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_78298_0 {
	meta:
		name = "TFileDialogEvents.OnFolderChange"
		size = 43
		refs = "001b @CallDynaInst"
	strings:
		$1 = { 55 8B EC 56 8B 45 08 8B 70 0C 66 83 BE 8A 00 00 00 00 74 0D 8B C6 66 BE E5 FF E8 ?? ?? ?? ?? EB 05 B8 01 40 00 80 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_78299_0 {
	meta:
		name = "TFileDialogEvents.OnFolderChanging"
		size = 46
		refs = "001e @CallDynaInst"
	strings:
		$1 = { 55 8B EC 56 8B 45 08 8B 70 0C 66 83 BE 92 00 00 00 00 74 10 8B 55 10 8B C6 66 BE E4 FF E8 ?? ?? ?? ?? EB 05 B8 01 40 00 80 5E 5D C2 0C 00 }
	condition:
		$1
}

rule function_78300_0 {
	meta:
		name = "TFileDialogEvents.OnOverwrite"
		size = 49
		refs = "0021 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 56 8B 45 08 8B 70 0C 66 83 BE 9A 00 00 00 00 74 13 8B 4D 14 8B 55 10 8B C6 66 BE E3 FF E8 ?? ?? ?? ?? EB 05 B8 01 40 00 80 5E 5D C2 10 00 }
	condition:
		$1
}

rule function_78301_0 {
	meta:
		name = "TFileDialogEvents.OnSelectionChange"
		size = 63
		refs = "0012 TCustomFileDialog.GetWindowHandle 002e @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 80 7B 10 00 74 0C 8B 43 0C E8 ?? ?? ?? ?? C6 43 10 00 8B 73 0C 66 83 BE A2 00 00 00 00 74 0D 8B C6 66 BE E2 FF E8 ?? ?? ?? ?? EB 05 B8 01 40 00 80 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_78302_0 {
	meta:
		name = "TFileDialogEvents.OnShareViolation"
		size = 49
		refs = "0021 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 56 8B 45 08 8B 70 0C 66 83 BE AA 00 00 00 00 74 13 8B 4D 14 8B 55 10 8B C6 66 BE E1 FF E8 ?? ?? ?? ?? EB 05 B8 01 40 00 80 5E 5D C2 10 00 }
	condition:
		$1
}

rule function_78303_0 {
	meta:
		name = "TFileDialogEvents.OnTypeChange"
		size = 44
		refs = "0012 TCustomFileDialog.GetWindowHandle 0022 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 80 7B 10 00 74 0C 8B 43 0C E8 ?? ?? ?? ?? C6 43 10 00 8B 43 0C 66 BE E0 FF E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_78304_0 {
	meta:
		name = "TCustomFileDialog.Create"
		size = 152
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TStringList 0023 TStringList.Create 0033 _DV_TFileTypeItem 003a _DV_TFileTypeItems 003f TCollection.Create 004c TCustomFileDialog.Create 0055 _DV_TFavoriteLinkItem 005c _DV_TFavoriteLinkItems 006c @IntfClear 007f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 54 C7 46 58 01 00 00 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 5C 33 C0 89 46 60 A1 ?? ?? ?? ?? 89 46 68 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 8D 46 6C E8 ?? ?? ?? ?? 8D 46 70 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_78305_0 {
	meta:
		name = "TCustomFileDialog.Destroy"
		size = 76
		refs = "0003 @BeforeDestruction 000f TObject.Free 0027 @IntfClear 003a TComponent.Destroy 0045 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 54 E8 ?? ?? ?? ?? 8B 46 5C E8 ?? ?? ?? ?? 8B 46 48 E8 ?? ?? ?? ?? 8D 46 6C E8 ?? ?? ?? ?? 8D 46 70 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78307_0 {
	meta:
		name = "TCustomFileDialog.DoOnFileOkClick"
		size = 41
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 82 00 00 00 00 74 12 8B CC 8B D8 8B D0 8B 83 84 00 00 00 FF 93 80 00 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_78309_0 {
	meta:
		name = "TCustomFileDialog.DoOnFolderChanging"
		size = 41
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 92 00 00 00 00 74 12 8B CC 8B D8 8B D0 8B 83 94 00 00 00 FF 93 90 00 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_78310_0 {
	meta:
		name = "TCustomFileDialog.DoOnOverwrite"
		size = 31
	strings:
		$1 = { 53 66 83 B8 9A 00 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 9C 00 00 00 FF 93 98 00 00 00 5B C3 }
	condition:
		$1
}

rule function_78314_0 {
	meta:
		name = "TCustomFileDialog.Execute"
		size = 78
		refs = "0005 Application 001c TApplication.GetActiveFormHandle"
	strings:
		$1 = { 56 57 8B F8 A1 ?? ?? ?? ?? 8B 00 80 B8 D4 00 00 00 00 74 21 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F0 85 F6 75 1C A1 ?? ?? ?? ?? 8B 00 8B B0 78 01 00 00 EB 0D A1 ?? ?? ?? ?? 8B 00 8B B0 78 01 00 00 8B D6 8B C7 8B 08 FF 51 4C 5F 5E C3 }
	condition:
		$1
}

rule function_78315_0 {
	meta:
		name = "TCustomFileDialog.Execute"
		size = 1232
		refs = "001d TCustomFileDialog.Execute 0028 Win32MajorVersion 003a TObject.ClassName 0050 SWindowsVistaRequired 0057 _DV_EPlatformVersionException 005c Exception.CreateResFmt 0061 @RaiseExcept 007e @IntfCopy 00be StringToGUID 00e2 @WStrFromUStr 00ea @WStrToPWChar 01a9 @IntfClear 01d9 SHCreateItemFromParsingName 020c TFileTypeItems.FilterSpecArray 023c CDialogOptions 026a TFavoriteLinkItems.GetEnumerator 0285 TFavoriteLinkItemsEnumerator.GetCurrent 02e2 TFavoriteLinkItemsEnumerator.MoveNext 0309 @HandleFinally 0317 @CallDynaInst 031f DisableTaskWindows 0327 SaveFocusState 0342 _DV_TFileDialogEvents 0347 TFileDialogEvents.Create 03d2 EnableTaskWindows 03db SetActiveWindow 03e3 RestoreFocusState 0420 @WStrClr 0429 TComdlgFilterSpecArray 042e @DynArrayClear 043b @WStrArrayClr 044b @UStrClr"
	strings:
		$1 = { 55 8B EC B9 0C 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 06 7D 34 8D 55 D0 8B 45 F4 8B 00 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 EF 00 8D 55 CC 8B 45 F4 8B 08 FF 51 40 8B 55 CC 8B 45 F4 83 C0 44 E8 ?? ?? ?? ?? 8B 45 F4 83 78 44 00 0F 84 80 03 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 45 F8 8B 55 F4 8B 52 44 E8 ?? ?? ?? ?? 8B 45 F4 83 78 38 00 74 1B 8D 55 BC 8B 45 F4 8B 40 38 E8 ?? ?? ?? ?? 8D 45 BC 50 8B 45 F8 50 8B 00 FF 50 60 8B 45 F4 83 78 3C 00 74 20 8D 45 B8 8B 55 F4 8B 52 3C E8 ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 58 8B 45 F4 83 78 4C 00 74 20 8D 45 B4 8B 55 F4 8B 52 4C E8 ?? ?? ?? ?? 8B 45 B4 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 3C 8B 45 F4 83 78 50 00 74 20 8D 45 B0 8B 55 F4 8B 52 50 E8 ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 4C 8B 45 F4 83 78 64 00 74 20 8D 45 AC 8B 55 F4 8B 52 64 E8 ?? ?? ?? ?? 8B 45 AC E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 48 8B 45 F4 83 78 74 00 74 20 8D 45 A8 8B 55 F4 8B 52 74 E8 ?? ?? ?? ?? 8B 45 A8 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 44 8B 45 F4 83 78 40 00 74 51 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 BC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 BC 50 6A 00 8D 45 A4 8B 55 F4 8B 52 40 E8 ?? ?? ?? ?? 8B 45 A4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A9 00 00 00 80 0F 94 C0 84 C0 74 0D 8B 45 FC 50 8B 45 F8 50 8B 00 FF 50 30 8B 45 F4 8B 70 5C 8B 46 08 8B 58 08 85 DB 7E 2B 8D 55 A0 8B C6 E8 ?? ?? ?? ?? 8B 45 A0 50 53 8B 45 F4 8B 40 44 50 8B 00 FF 50 10 8B 45 F4 8B 40 58 50 8B 45 F8 50 8B 00 FF 50 14 33 F6 8B 45 F4 8B 50 68 33 C0 BF ?? ?? ?? ?? 8B C8 80 F9 1F 77 06 83 E1 7F 0F A3 CA 73 02 0B 37 40 83 C7 04 3C 15 75 E7 56 8B 45 F8 50 8B 00 FF 50 24 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 5D 8B 45 DC E8 ?? ?? ?? ?? 8B F8 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 BC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 BC 50 6A 00 8D 45 9C 8B 57 0C E8 ?? ?? ?? ?? 8B 45 9C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 F7 C6 00 00 00 80 0F 94 C3 84 DB 74 0F 6A 00 8B 45 FC 50 8B 45 F8 50 8B 00 FF 50 54 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 97 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0A B2 01 8B 45 DC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 66 BE F0 FF E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E8 E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 52 85 C0 74 03 83 E8 EC 50 8B 45 F8 50 8B 00 FF 50 1C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 50 8B 45 F8 50 8B 00 FF 50 0C A9 00 00 00 80 0F 94 C0 88 45 EF 80 7D EF 00 74 13 8B 45 F4 8B 10 FF 52 44 A9 00 00 00 80 0F 94 C0 88 45 EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 50 8B 45 F8 50 8B 00 FF 50 20 C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 83 C0 44 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 0F B6 45 EF 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 7B 00 34 00 33 00 38 00 32 00 36 00 44 00 31 00 45 00 2D 00 45 00 37 00 31 00 38 00 2D 00 34 00 32 00 45 00 45 00 2D 00 42 00 43 00 35 00 35 00 2D 00 41 00 31 00 45 00 32 00 36 00 31 00 43 00 33 00 37 00 42 00 46 00 45 00 7D 00 00 00 00 00 }
	condition:
		$1
}

rule function_78316_0 {
	meta:
		name = "TCustomFileDialog.FileOkClick"
		size = 59
		refs = "001c @CallDynaInst 0026 CResults 002d TCustomFileDialog.GetFiles"
	strings:
		$1 = { 56 57 8B F8 8B C7 8B 10 FF 52 44 8B F0 F7 C6 00 00 00 80 75 15 8B C7 66 BE EF FF E8 ?? ?? ?? ?? 83 E0 7F 8B 34 85 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B C6 5F 5E C3 }
	condition:
		$1
}

rule function_78317_0 {
	meta:
		name = "TCustomFileDialog.FolderChange"
		size = 88
		refs = "0009 @UStrClr 0031 @CallDynaInst 004e @IntfClear"
	strings:
		$1 = { 53 56 57 8B D8 8D 43 4C E8 ?? ?? ?? ?? 8D 43 6C 50 8B 43 44 50 8B 00 FF 50 34 8B F8 F7 C7 00 00 00 80 75 26 8D 4B 4C 8B 53 6C 8B C3 66 BE E7 FF E8 ?? ?? ?? ?? 8B F8 F7 C7 00 00 00 80 75 0B 8B C3 66 BE EE FF E8 ?? ?? ?? ?? 8D 43 6C E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78318_0 {
	meta:
		name = "TCustomFileDialog.FolderChanging"
		size = 144
		refs = "000f @IntfAddRef 0017 TCustomFileDialog.FolderChanging 0025 @UStrClr 0030 @IntfCopy 0041 @CallDynaInst 0060 CResults 0068 @IntfClear 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 4C E8 ?? ?? ?? ?? 8D 43 6C 8B 55 FC E8 ?? ?? ?? ?? 8D 4B 4C 8B 53 6C 8B C3 66 BE E7 FF E8 ?? ?? ?? ?? 8B F0 F7 C6 00 00 00 80 75 15 8B C3 66 BE ED FF E8 ?? ?? ?? ?? 83 E0 7F 8B 34 85 ?? ?? ?? ?? 8D 43 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78320_0 {
	meta:
		name = "TCustomFileDialog.GetFileName"
		size = 316
		refs = "0018 TCustomFileDialog.GetFileName 005f @CallDynaInst 00a8 @UStrFromPWChar 00b3 @UStrLAsg 00cf TPath.DoCombine 00dd @UStrAsg 00f3 CoTaskMemFree 00f9 @HandleFinally 0123 @UStrArrayClr 012b @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 56 89 55 E4 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 83 78 44 00 74 1D 8B 45 E8 83 C0 6C 50 8B 45 E8 8B 40 44 50 8B 00 FF 50 34 A9 00 00 00 80 0F 94 C0 EB 02 33 C0 84 C0 74 1F 8D 4D FC 8B 45 E8 8B 50 6C 8B 45 E8 66 BE E7 FF E8 ?? ?? ?? ?? A9 00 00 00 80 0F 94 C0 EB 02 33 C0 84 C0 0F 84 88 00 00 00 8D 45 E0 50 8B 45 E8 8B 40 44 50 8B 00 FF 50 40 A9 00 00 00 80 0F 94 C0 84 C0 74 6C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 E0 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 EC 50 B1 01 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 83 C0 4C 8B 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 E4 8B 55 E8 8B 52 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_78321_0 {
	meta:
		name = "TCustomFileDialog.GetFileNames"
		size = 348
		refs = "001d @IntfAddRef 0025 TCustomFileDialog.GetFileNames 0032 TCustomFileDialog.GetFiles 007b :TCustomFileDialog.:1 0080 @DynArraySetLength 008f @IntfClear 00d1 @CallDynaInst 0114 @UStrAsg 0129 @UStrClr 0137 @DynArrayClear 014d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 89 4D F8 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8D 45 F8 50 8B 45 FC 50 8B 00 FF 50 24 8B F8 F7 C7 00 00 00 80 0F 85 C2 00 00 00 8D 45 E8 50 8B 45 FC 50 8B 00 FF 50 1C 8B F8 F7 C7 00 00 00 80 75 7F 8B 45 E8 50 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F0 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 E8 50 8B 45 F8 50 8B 00 FF 50 0C 8B F8 F7 C7 00 00 00 80 75 41 8B 45 F0 48 85 C0 7C 39 40 89 45 E4 C7 45 EC 00 00 00 00 8B 45 F4 8B 55 EC 8B 14 90 8D 4B 4C 8B C3 66 BE E7 FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 53 4C 8B 08 FF 51 38 FF 45 EC FF 4D E4 75 D2 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 7E 1C 8B C3 E8 ?? ?? ?? ?? 8D 4D E0 33 D2 8B 30 FF 56 0C 8B 55 E0 8D 43 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78323_0 {
	meta:
		name = "TCustomFileDialog.GetItemName"
		size = 200
		refs = "0015 @IntfAddRef 001d TCustomFileDialog.GetItemName 006f @UStrFromPWChar 0079 @UStrAsg 008f CoTaskMemFree 0095 @HandleFinally 00ac @UStrClr 00b4 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F8 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 68 00 80 05 80 8B 45 FC 50 8B 00 FF 50 14 89 45 F4 F6 45 F7 80 74 12 8D 45 F0 50 6A 00 8B 45 FC 50 8B 00 FF 50 14 89 45 F4 F6 45 F7 80 75 41 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78324_0 {
	meta:
		name = "TCustomFileDialog.GetResults"
		size = 72
		refs = "0029 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F8 8D 47 6C 50 8B 47 44 50 8B 00 FF 50 50 8B D8 F7 C3 00 00 00 80 75 26 8D 4F 4C 8B 57 6C 8B C7 66 BE E7 FF E8 ?? ?? ?? ?? 8B D8 8B 47 54 8B 10 FF 52 44 8B 57 4C 8B 47 54 8B 08 FF 51 38 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78325_0 {
	meta:
		name = "TCustomFileDialog.GetWindowHandle"
		size = 112
		refs = "000c TCustomFileDialog.GetWindowHandle 001a @IntfClear 0029 Supports 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 44 E8 ?? ?? ?? ?? 84 C0 74 0D 8D 43 60 50 8B 45 FC 50 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 14 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_78326_0 {
	meta:
		name = "TCustomFileDialog.Overwrite"
		size = 158
		refs = "0015 @IntfAddRef 001d TCustomFileDialog.Overwrite 002b @UStrClr 003a @IntfCopy 004b @CallDynaInst 0074 @IntfClear 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 4C E8 ?? ?? ?? ?? C6 45 F7 01 8D 43 6C 8B 55 FC E8 ?? ?? ?? ?? 8D 4B 4C 8B 53 6C 8B C3 66 BE E7 FF E8 ?? ?? ?? ?? 8B F8 F7 C7 00 00 00 80 75 0E 8D 55 F7 8B C3 66 BE EC FF E8 ?? ?? ?? ?? 0F B6 45 F7 8B 55 F8 89 02 8D 43 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78327_0 {
	meta:
		name = "TCustomFileDialog.SelectionChange"
		size = 88
		refs = "0009 @UStrClr 0031 @CallDynaInst 004e @IntfClear"
	strings:
		$1 = { 53 56 57 8B D8 8D 43 4C E8 ?? ?? ?? ?? 8D 43 6C 50 8B 43 44 50 8B 00 FF 50 38 8B F8 F7 C7 00 00 00 80 75 26 8D 4B 4C 8B 53 6C 8B C3 66 BE E7 FF E8 ?? ?? ?? ?? 8B F8 F7 C7 00 00 00 80 75 0B 8B C3 66 BE EB FF E8 ?? ?? ?? ?? 8D 43 6C E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78328_0 {
	meta:
		name = "TCustomFileDialog.SetClientGuid"
		size = 50
		refs = "000f @UStrEqual 001e StringToGUID 0028 @UStrAsg"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B C6 8B 53 38 E8 ?? ?? ?? ?? 74 17 85 F6 74 09 8B D4 8B C6 E8 ?? ?? ?? ?? 8D 43 38 8B D6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_78330_0 {
	meta:
		name = "TCustomFileDialog.SetFileName"
		size = 31
		refs = "000c @UStrEqual 0018 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 4C E8 ?? ?? ?? ?? 74 0A 8D 43 4C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78331_0 {
	meta:
		name = "TCustomFileDialog.SetFileTypes"
		size = 17
	strings:
		$1 = { 56 8B F0 85 D2 74 08 8B 46 5C 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_78332_0 {
	meta:
		name = "TCustomFileDialog.SetFavoriteLinks"
		size = 17
	strings:
		$1 = { 56 8B F0 85 D2 74 08 8B 46 48 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_78333_0 {
	meta:
		name = "TCustomFileDialog.ShareViolation"
		size = 158
		refs = "0015 @IntfAddRef 001d TCustomFileDialog.ShareViolation 002b @UStrClr 003a @IntfCopy 004b @CallDynaInst 0074 @IntfClear 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 4C E8 ?? ?? ?? ?? C6 45 F7 01 8D 43 6C 8B 55 FC E8 ?? ?? ?? ?? 8D 4B 4C 8B 53 6C 8B C3 66 BE E7 FF E8 ?? ?? ?? ?? 8B F8 F7 C7 00 00 00 80 75 0E 8D 55 F7 8B C3 66 BE EA FF E8 ?? ?? ?? ?? 0F B6 45 F7 8B 55 F8 89 02 8D 43 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78334_0 {
	meta:
		name = "TCustomFileDialog.TypeChange"
		size = 55
		refs = "002d @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B D8 8D 43 58 50 8B 43 44 50 8B 00 FF 50 18 8B F8 66 83 BB B2 00 00 00 00 74 13 F7 C7 00 00 00 80 75 0B 8B C3 66 BE E9 FF E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78335_0 {
	meta:
		name = "TCustomFileOpenDialog.CreateFileDialog"
		size = 164
		refs = "0009 CLSID_FileOpenDialog 0018 @IntfClear 0022 TCustomFileOpenDialog.CreateFileDialog 0027 StringToGUID 003a CoCreateInstance"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B DA A1 ?? ?? ?? ?? 8B F0 8B FC A5 A5 A5 A5 8B C3 E8 ?? ?? ?? ?? 50 8D 54 24 14 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 44 24 14 50 6A 01 6A 00 8D 44 24 10 50 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 7B 00 44 00 35 00 37 00 43 00 37 00 32 00 38 00 38 00 2D 00 44 00 34 00 41 00 44 00 2D 00 34 00 37 00 36 00 38 00 2D 00 42 00 45 00 30 00 32 00 2D 00 39 00 44 00 39 00 36 00 39 00 35 00 33 00 32 00 44 00 39 00 36 00 30 00 7D 00 00 00 00 00 }
	condition:
		$1
}

rule function_78336_0 {
	meta:
		name = "TCustomFileOpenDialog.GetResults"
		size = 148
		refs = "000d TCustomFileOpenDialog.GetResults 0020 TCustomFileDialog.GetResults 0038 @IntfCast 0059 @CallDynaInst 0070 @IntfClear 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 68 80 75 0B 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 37 8D 43 70 50 8D 45 FC 8B 53 44 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 6C 8B F0 F7 C6 00 00 00 80 75 10 8B 53 70 8B C3 66 BE E8 FF E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 00 88 72 7C D5 AD D4 68 47 BE 02 9D 96 95 32 D9 60 }
	condition:
		$1
}

rule function_78337_0 {
	meta:
		name = "TCustomFileOpenDialog.SelectionChange"
		size = 192
		refs = "000e TCustomFileOpenDialog.SelectionChange 0021 TCustomFileDialog.SelectionChange 0039 @IntfCast 005a @CallDynaInst 0084 @IntfClear 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 68 80 75 0B 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 5F 8D 43 70 50 8D 45 FC 8B 53 44 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 70 8B F8 F7 C7 00 00 00 80 75 38 8B 53 70 8B C3 66 BE E8 FF E8 ?? ?? ?? ?? 8B F8 F7 C7 00 00 00 80 75 18 8D 43 6C 50 8B 43 44 50 8B 00 FF 50 38 8B C3 66 BE EB FF E8 ?? ?? ?? ?? 8D 43 70 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C3 00 00 00 88 72 7C D5 AD D4 68 47 BE 02 9D 96 95 32 D9 60 }
	condition:
		$1
}

rule function_78338_0 {
	meta:
		name = "TCustomFileSaveDialog.CreateFileDialog"
		size = 164
		refs = "0009 CLSID_FileSaveDialog 0018 @IntfClear 0022 TCustomFileSaveDialog.CreateFileDialog 0027 StringToGUID 003a CoCreateInstance"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B DA A1 ?? ?? ?? ?? 8B F0 8B FC A5 A5 A5 A5 8B C3 E8 ?? ?? ?? ?? 50 8D 54 24 14 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 44 24 14 50 6A 01 6A 00 8D 44 24 10 50 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 7B 00 38 00 34 00 42 00 43 00 43 00 44 00 32 00 33 00 2D 00 35 00 46 00 44 00 45 00 2D 00 34 00 43 00 44 00 42 00 2D 00 41 00 45 00 41 00 34 00 2D 00 41 00 46 00 36 00 34 00 42 00 38 00 33 00 44 00 37 00 38 00 41 00 42 00 7D 00 00 00 00 00 }
	condition:
		$1
}

rule function_78339_0 {
	meta:
		name = "TTaskDialogProgressBar.Create"
		size = 86
		refs = "000b @ClassCreate 001a TObject.Create 0042 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 C7 47 0C 64 00 00 00 33 C0 89 47 10 33 C0 89 47 14 33 C0 89 47 08 C6 47 18 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78340_0 {
	meta:
		name = "TTaskDialogProgressBar.SetMax"
		size = 187
		refs = "0016 TTaskDialogProgressBar.SetMax 0030 TObject.ClassName 0048 SPropertyOutOfRange 004d LoadResString 0057 _Dn_EInvalidOperation 005c Exception.CreateFmt 0061 @RaiseExcept 008f SendMessage 00a9 @UStrArrayClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F4 89 4D F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 53 0C 74 6E 3B 53 10 7D 3B 8D 55 F4 8B 03 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 53 0C 8B 43 04 8B 70 6C 85 F6 74 21 F6 40 61 04 75 1B 0F B7 43 10 0F B7 53 0C C1 E2 10 0B C2 50 6A 00 68 69 04 00 00 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78341_0 {
	meta:
		name = "TTaskDialogProgressBar.SetMin"
		size = 187
		refs = "0016 TTaskDialogProgressBar.SetMin 0030 TObject.ClassName 0048 SPropertyOutOfRange 004d LoadResString 0057 _Dn_EInvalidOperation 005c Exception.CreateFmt 0061 @RaiseExcept 008f SendMessage 00a9 @UStrArrayClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F4 89 4D F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 53 10 74 6E 3B 53 0C 7E 3B 8D 55 F4 8B 03 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 53 10 8B 43 04 8B 70 6C 85 F6 74 21 F6 40 61 04 75 1B 0F B7 43 10 0F B7 53 0C C1 E2 10 0B C2 50 6A 00 68 69 04 00 00 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78342_0 {
	meta:
		name = "TTaskDialogProgressBar.SetPosition"
		size = 111
		refs = "0031 SOutOfRange 0038 _Dn_Exception 003d Exception.CreateResFmt 0042 @RaiseExcept 0066 SendMessage"
	strings:
		$1 = { 56 83 C4 F0 3B 50 14 74 61 85 D2 7C 08 81 FA FF FF 00 00 7E 31 33 C0 89 04 24 C6 44 24 04 00 C7 44 24 08 FF FF 00 00 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 50 14 8B 50 04 8B 72 6C 85 F6 74 17 F6 42 61 04 75 11 6A 00 8B 50 14 52 68 6A 04 00 00 56 E8 ?? ?? ?? ?? 83 C4 10 5E C3 }
	condition:
		$1
}

rule function_78343_0 {
	meta:
		name = "TTaskDialogProgressBar.SetState"
		size = 45
		refs = "001c ProgressBarStates 0028 SendMessage"
	strings:
		$1 = { 3A 50 18 74 27 8B CA 88 48 18 8B 50 04 8B 52 6C 85 D2 74 18 6A 00 83 E1 7F 8B 0C 8D ?? ?? ?? ?? 51 68 68 04 00 00 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78344_0 {
	meta:
		name = "TTaskDialogProgressBar.SetMarqueeSpeed"
		size = 44
		refs = "0026 SendMessage"
	strings:
		$1 = { 56 3B 50 08 74 24 89 50 08 8B 50 04 8B 72 6C 85 F6 74 17 F6 42 61 04 74 11 8B 50 08 52 6A FF 68 6B 04 00 00 56 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_78345_0 {
	meta:
		name = "TTaskDialogProgressBar.Initialize"
		size = 151
		refs = "001e SendMessage 007f ProgressBarStates"
	strings:
		$1 = { 53 8B D8 6A 00 8B 43 04 F6 40 61 04 0F 95 C2 F6 DA 1B D2 52 68 67 04 00 00 8B 40 6C 50 E8 ?? ?? ?? ?? 8B 43 04 F6 40 61 04 74 16 8B 53 08 52 6A FF 68 6B 04 00 00 8B 40 6C 50 E8 ?? ?? ?? ?? EB 35 0F B7 53 10 0F B7 4B 0C C1 E1 10 0B D1 52 6A 00 68 69 04 00 00 8B 40 6C 50 E8 ?? ?? ?? ?? 6A 00 8B 43 14 50 68 6A 04 00 00 8B 43 04 8B 40 6C 50 E8 ?? ?? ?? ?? 6A 00 0F B6 43 18 8B 04 85 ?? ?? ?? ?? 50 68 68 04 00 00 8B 43 04 8B 40 6C 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78346_0 {
	meta:
		name = "TTaskDialogBaseButtonItem.Create"
		size = 95
		refs = "000b @ClassCreate 001c TCollectionItem.Create 0024 @UStrClr 002b TCollection.Owner 004b @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 47 10 C6 47 14 01 8B 47 08 83 C0 64 89 47 18 33 C0 89 47 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78347_0 {
	meta:
		name = "TTaskDialogBaseButtonItem.Destroy"
		size = 49
		refs = "0003 @BeforeDestruction 0014 CoTaskMemFree 001f TCollectionItem.Destroy 002a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 1C 85 C0 74 06 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78348_0 {
	meta:
		name = "TTaskDialogBaseButtonItem.DoButtonClick"
		size = 28
		refs = "0017 SendMessage"
	strings:
		$1 = { 8B 50 10 8B 52 6C 85 D2 74 11 6A 00 8B 48 18 51 68 66 04 00 00 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78349_0 {
	meta:
		name = "TTaskDialogBaseButtonItem.DoSetEnabled"
		size = 31
		refs = "001a SendMessage"
	strings:
		$1 = { 8B 50 10 8B 52 6C 85 D2 74 14 0F B6 48 14 51 8B 48 18 51 68 6F 04 00 00 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78352_0 {
	meta:
		name = "TTaskDialogBaseButtonItem.GetDefault"
		size = 10
	strings:
		$1 = { 8B 50 04 3B 42 24 0F 94 C0 C3 }
	condition:
		$1
}

rule function_78354_0 {
	meta:
		name = "TTaskDialogBaseButtonItem.GetTextWStr"
		size = 97
		refs = "000d TTaskDialogBaseButtonItem.GetTextWStr 002a CoTaskMemFree 0032 AllocCoTaskMemStr 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 28 8B 43 1C 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 89 73 1C 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78355_0 {
	meta:
		name = "TTaskDialogBaseButtonItem.SetCaption"
		size = 58
		refs = "000c @UStrEqual 0018 SInvalidTaskDlgButtonCaption 001f _Dn_Exception 0024 Exception.CreateRes 0029 @RaiseExcept 0033 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 0C E8 ?? ?? ?? ?? 74 25 85 F6 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78356_0 {
	meta:
		name = "TTaskDialogBaseButtonItem.SetDefault"
		size = 33
		refs = "000a TTaskDialogButtons.SetDefaultButton"
	strings:
		$1 = { 84 D2 74 0B 8B D0 8B 40 04 E8 ?? ?? ?? ?? C3 8B 50 04 3B 42 24 75 09 8B C2 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78357_0 {
	meta:
		name = "TTaskDialogBaseButtonItem.SetEnabled"
		size = 14
	strings:
		$1 = { 3A 50 14 74 08 88 50 14 8B 10 FF 52 24 C3 }
	condition:
		$1
}

rule function_78358_0 {
	meta:
		name = "TTaskDialogBaseButtonItem.SetInitialState"
		size = 12
	strings:
		$1 = { 80 78 14 00 75 05 8B 10 FF 52 24 C3 }
	condition:
		$1
}

rule function_78359_0 {
	meta:
		name = "TTaskDialogButtonItem.Create"
		size = 173
		refs = "0018 @ClassCreate 0024 TTaskDialogButtonItem.Create 0033 TTaskDialogBaseButtonItem.Create 003f STaskDlgButtonCaption 0044 LoadResString 005c Format 0066 TTaskDialogBaseButtonItem.SetCaption 0084 @UStrArrayClr 008a @HandleFinally 0097 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 56 08 42 89 55 F0 C6 45 F4 00 8D 55 F0 33 C9 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? C6 46 24 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78360_0 {
	meta:
		name = "TTaskDialogButtonItem.DoSetElevationRequired"
		size = 31
		refs = "001a SendMessage"
	strings:
		$1 = { 8B 50 10 8B 52 6C 85 D2 74 14 0F B6 48 24 51 8B 48 18 51 68 73 04 00 00 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78361_0 {
	meta:
		name = "TTaskDialogButtonItem.GetButtonText"
		size = 84
		refs = "0022 TTaskDialogButtonItem.GetButtonText 0031 @UStrCatN 003d TTaskDialogBaseButtonItem.GetButtonText"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 20 00 74 2C 8B 43 10 F6 40 60 10 75 09 8B 43 10 F6 40 60 20 74 1A FF 73 0C 68 ?? ?? ?? ?? FF 73 20 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_78363_0 {
	meta:
		name = "TTaskDialogButtonItem.SetInitialState"
		size = 25
		refs = "0006 TTaskDialogBaseButtonItem.SetInitialState 0013 TTaskDialogButtonItem.DoSetElevationRequired"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 24 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78364_0 {
	meta:
		name = "TTaskDialogRadioButtonItem.Create"
		size = 169
		refs = "0018 @ClassCreate 0024 TTaskDialogRadioButtonItem.Create 0033 TTaskDialogBaseButtonItem.Create 003f STaskDlgRadioButtonCaption 0044 LoadResString 005c Format 0066 TTaskDialogBaseButtonItem.SetCaption 0080 @UStrArrayClr 0086 @HandleFinally 0093 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 56 08 42 89 55 F0 C6 45 F4 00 8D 55 F0 33 C9 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78365_0 {
	meta:
		name = "TTaskDialogRadioButtonItem.DoButtonClick"
		size = 28
		refs = "0017 SendMessage"
	strings:
		$1 = { 8B 50 10 8B 52 6C 85 D2 74 11 6A 00 8B 48 18 51 68 6E 04 00 00 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78366_0 {
	meta:
		name = "TTaskDialogRadioButtonItem.DoSetEnabled"
		size = 31
		refs = "001a SendMessage"
	strings:
		$1 = { 8B 50 10 8B 52 6C 85 D2 74 14 0F B6 48 14 51 8B 48 18 51 68 70 04 00 00 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78372_0 {
	meta:
		name = "TTaskDialogButtons.Buttons"
		size = 103
		refs = "0018 TTaskDialogButtonList 001d @DynArraySetLength 0037 TTaskDialogButtons.GetItem 004e TTaskDialogBaseButtonItem.GetTextWStr"
	strings:
		$1 = { 53 56 57 8B D8 8B F3 8B 46 08 8B 40 08 50 8D 43 1C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 08 8B 78 08 4F 85 FF 7C 2E 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 18 8B 53 1C 89 04 F2 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 1C 89 44 F2 04 46 4F 75 D5 8B 43 1C 89 43 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78373_0 {
	meta:
		name = "TTaskDialogButtons.FindButton"
		size = 122
		refs = "0010 TTaskDialogButtons.GetEnumerator 001b TTaskDialogButtons.FindButton 002b TTaskDialogButtonsEnumerator.GetCurrent 003a @TryFinallyExit 0044 TTaskDialogButtonsEnumerator.MoveNext 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 33 D2 89 55 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 19 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 3B 73 18 75 0A 89 5D FC E8 ?? ?? ?? ?? EB 31 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_78376_0 {
	meta:
		name = "TTaskDialogButtons.SetDefaultButton"
		size = 9
	strings:
		$1 = { 3B 50 24 74 03 89 50 24 C3 }
	condition:
		$1
}

rule function_78377_0 {
	meta:
		name = "TTaskDialogButtons.SetInitialState"
		size = 99
		refs = "0006 TTaskDialogButtons.GetEnumerator 0011 TTaskDialogButtons.SetInitialState 0021 TTaskDialogButtonsEnumerator.GetCurrent 0032 TTaskDialogButtonsEnumerator.MoveNext 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 11 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 2C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5B 59 5D C3 }
	condition:
		$1
}

rule function_78379_0 {
	meta:
		name = "TCustomTaskDialog.Create"
		size = 200
		refs = "000a @ClassCreate 0017 TComponent.Create 001c _DV_TTaskDialogButtonItem 0026 _DV_TTaskDialogButtons 002b TOwnedCollection.Create 0035 TCustomTaskDialog.Create 003f _Dn_TIcon 0044 TIcon.Create 007f _DV_TTaskDialogProgressBar 0084 TTaskDialogProgressBar.Create 008c _DV_TTaskDialogRadioButtonItem 00ac @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C 0F B6 05 ?? ?? ?? ?? 88 46 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C C6 46 50 00 0F B7 05 ?? ?? ?? ?? 66 89 46 60 33 C0 89 46 64 33 C0 89 46 6C C7 46 74 03 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 7C A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 84 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 09 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_78380_0 {
	meta:
		name = "TCustomTaskDialog.Destroy"
		size = 79
		refs = "0003 @BeforeDestruction 000f TObject.Free 003d TComponent.Destroy 0048 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 3C E8 ?? ?? ?? ?? 8B 46 48 E8 ?? ?? ?? ?? 8B 46 4C E8 ?? ?? ?? ?? 8B 46 7C E8 ?? ?? ?? ?? 8B 86 84 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78381_0 {
	meta:
		name = "TCustomTaskDialog.CallbackProc"
		size = 408
		refs = "0014 TCustomTaskDialog.CallbackProc 0070 @CallDynaInst 00cc TTaskDialogProgressBar.Initialize 0108 @UStrFromPWChar 0180 @UStrClr 0186 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 83 F9 0A 0F 87 43 01 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C6 45 F7 01 8D 4D F7 8B 55 10 8B C7 66 BE EF FF E8 ?? ?? ?? ?? 80 7D F7 00 0F 85 F1 00 00 00 C7 45 F8 01 00 00 00 E9 E5 00 00 00 8B C7 66 BE ED FF E8 ?? ?? ?? ?? E9 D5 00 00 00 8B C7 66 BE EC FF E8 ?? ?? ?? ?? E9 C5 00 00 00 89 57 6C 8B 47 3C 66 BE FA FF E8 ?? ?? ?? ?? 8B 87 84 00 00 00 66 BE FA FF E8 ?? ?? ?? ?? 8B 47 7C E8 ?? ?? ?? ?? 8B C7 66 BE EE FF E8 ?? ?? ?? ?? E9 8F 00 00 00 83 7D 10 01 1B D2 42 8B C7 66 BE EB FF E8 ?? ?? ?? ?? EB 7B 8B C7 66 BE EA FF E8 ?? ?? ?? ?? EB 6E 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C7 66 BE E9 FF E8 ?? ?? ?? ?? EB 53 8B C7 66 BE E8 FF E8 ?? ?? ?? ?? EB 46 8B 55 10 8B C7 66 BE E7 FF E8 ?? ?? ?? ?? EB 36 C6 45 F6 00 8D 4D F6 8B 55 10 8B C7 66 BE E6 FF E8 ?? ?? ?? ?? 80 7D F6 00 74 1B C7 45 F8 01 00 00 00 EB 12 83 7D 10 01 0F 94 C2 8B C7 66 BE E5 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_78382_0 {
	meta:
		name = "TaskDialogCallbackProc"
		size = 37
		refs = "001c @CallDynaInst"
	strings:
		$1 = { 55 8B EC 56 8B 45 10 50 8B 45 14 50 6A 00 8B 4D 0C 8B 55 08 8B 45 18 66 BE E3 FF E8 ?? ?? ?? ?? 5E 5D C2 14 00 }
	condition:
		$1
}

rule function_78383_0 {
	meta:
		name = "TCustomTaskDialog.DoExecute"
		size = 974
		refs = "004a TCustomTaskDialog.DoExecute 0055 Win32MajorVersion 0067 TObject.ClassName 0086 SWindowsVistaRequired 008d _DV_EPlatformVersionException 0092 Exception.CreateResFmt 0097 @RaiseExcept 00a5 @FillChar 00bd CTaskDlgFlags 00e7 CTaskDlgCommonButtons 0121 @WStrFromUStr 012c @WStrToPWChar 0187 TIcon.GetHandle 019d CTaskDlgIcons 01b4 CTaskDlgDefaultButtons 028c TTaskDialogButtons.Buttons 02e5 TaskDialogCallbackProc 02f0 DisableTaskWindows 02f8 SaveFocusState 031a TaskDialogIndirect 0336 TTaskDialogButtons.FindButton 0376 EnableTaskWindows 037f SetActiveWindow 0387 RestoreFocusState 038d @HandleFinally 03ac @WStrArrayClr 03b7 @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 5C FF FF FF 53 56 57 33 C9 89 8D 5C FF FF FF 89 8D 60 FF FF FF 89 8D 64 FF FF FF 89 8D 68 FF FF FF 89 8D 6C FF FF FF 89 8D 70 FF FF FF 89 8D 74 FF FF FF 89 8D 78 FF FF FF 89 55 FC 8B D8 8D 75 84 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 06 7D 3D 8D 95 78 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 85 7C FF FF FF C6 45 80 11 8D 85 7C FF FF FF 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 33 C9 BA 60 00 00 00 E8 ?? ?? ?? ?? C7 06 60 00 00 00 8B 45 FC 89 46 04 33 C0 89 46 0C 33 C0 BF ?? ?? ?? ?? 8B D0 80 FA 0F 77 08 83 E2 7F 66 0F A3 53 60 73 05 8B 17 09 56 0C 40 83 C7 04 3C 10 75 E2 33 C0 89 46 10 33 C0 BF ?? ?? ?? ?? 8B D0 80 FA 07 77 0A 83 E2 7F 0F B6 4B 44 0F A3 D1 73 05 8B 17 09 56 10 40 83 C7 04 3C 06 75 E0 83 BB 88 00 00 00 00 74 1F 8D 85 74 FF FF FF 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 8B 85 74 FF FF FF E8 ?? ?? ?? ?? 89 46 20 83 BB 8C 00 00 00 00 74 1F 8D 85 70 FF FF FF 8B 93 8C 00 00 00 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF E8 ?? ?? ?? ?? 89 46 1C 83 7B 40 00 74 1C 8D 85 6C FF FF FF 8B 53 40 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF E8 ?? ?? ?? ?? 89 46 14 F6 43 60 02 74 0D 8B 43 4C E8 ?? ?? ?? ?? 89 46 18 EB 1D 8B 43 74 8B D0 83 EA 05 73 0C 8B 04 85 ?? ?? ?? ?? 89 46 18 EB 07 0F B7 43 74 89 46 18 0F B6 43 50 8B 04 85 ?? ?? ?? ?? 89 46 2C 83 7B 68 00 74 1C 8D 85 68 FF FF FF 8B 53 68 E8 ?? ?? ?? ?? 8B 85 68 FF FF FF E8 ?? ?? ?? ?? 89 46 50 F6 43 60 04 74 0D 8B 43 48 E8 ?? ?? ?? ?? 89 46 4C EB 1D 8B 43 64 8B D0 83 EA 05 73 0C 8B 04 85 ?? ?? ?? ?? 89 46 4C EB 07 0F B7 43 64 89 46 4C 83 BB 94 00 00 00 00 74 1F 8D 85 64 FF FF FF 8B 93 94 00 00 00 E8 ?? ?? ?? ?? 8B 85 64 FF FF FF E8 ?? ?? ?? ?? 89 46 3C 83 7B 5C 00 74 1C 8D 85 60 FF FF FF 8B 53 5C E8 ?? ?? ?? ?? 8B 85 60 FF FF FF E8 ?? ?? ?? ?? 89 46 40 83 7B 54 00 74 1C 8D 85 5C FF FF FF 8B 53 54 E8 ?? ?? ?? ?? 8B 85 5C FF FF FF E8 ?? ?? ?? ?? 89 46 48 8B 7B 3C 8B 47 08 8B 40 08 89 46 24 85 C0 76 0A 8B C7 E8 ?? ?? ?? ?? 89 46 28 8B 43 3C 8B 40 24 85 C0 74 06 8B 40 18 89 46 2C 8B BB 84 00 00 00 8B 47 08 8B 40 08 89 46 30 85 C0 76 0A 8B C7 E8 ?? ?? ?? ?? 89 46 34 F6 43 61 40 75 1B 8B 83 84 00 00 00 83 78 24 00 74 0F 8B 83 84 00 00 00 8B 40 24 8B 40 18 89 46 38 89 5E 58 B8 ?? ?? ?? ?? 89 46 54 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 50 8D 4D EC 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 94 45 FB 8B 75 F0 89 73 78 80 7D FB 00 74 35 8B D6 8B 43 3C E8 ?? ?? ?? ?? 89 43 38 8B 83 84 00 00 00 8B 55 EC E8 ?? ?? ?? ?? 89 83 80 00 00 00 83 7D E4 00 74 08 66 81 4B 60 00 01 EB 06 66 81 63 60 FF FE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 5C FF FF FF BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78384_0 {
	meta:
		name = "TCustomTaskDialog.DoOnButtonClicked"
		size = 53
		refs = "0019 TTaskDialogButtons.FindButton"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 66 83 BB 9A 00 00 00 00 74 1E 8B D6 8B 43 3C E8 ?? ?? ?? ?? 89 43 38 57 8B CE 8B D3 8B 83 9C 00 00 00 FF 93 98 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78388_0 {
	meta:
		name = "TCustomTaskDialog.DoOnExpandButtonClicked"
		size = 32
	strings:
		$1 = { 53 66 83 B8 BA 00 00 00 00 74 13 88 50 58 8B D8 8B D0 8B 83 BC 00 00 00 FF 93 B8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_78389_0 {
	meta:
		name = "TCustomTaskDialog.DoOnHelp"
		size = 102
		refs = "0018 TCustomTaskDialog.DoOnHelp 0025 Application 002c TApplication.HelpContext 003b @HandleOnException 0043 _Dn_Exception 0057 @CallDynaInst 005c @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 40 70 85 C0 74 4C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C6 8B D6 8B 45 FC 66 BE E4 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78390_0 {
	meta:
		name = "TCustomTaskDialog.DoOnHyperlinkClicked"
		size = 46
		refs = "0019 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 BB C2 00 00 00 00 74 1B 8D 83 90 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B D3 8B 83 C4 00 00 00 FF 93 C0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_78392_0 {
	meta:
		name = "TCustomTaskDialog.DoOnRadioButtonClicked"
		size = 52
		refs = "0019 TTaskDialogButtons.FindButton"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 BB D2 00 00 00 00 74 21 8B D6 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 89 83 80 00 00 00 8B D3 8B 83 D4 00 00 00 FF 93 D0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_78393_0 {
	meta:
		name = "TCustomTaskDialog.DoOnTimer"
		size = 32
	strings:
		$1 = { 53 66 83 B8 DA 00 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 DC 00 00 00 FF 93 D8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_78394_0 {
	meta:
		name = "TCustomTaskDialog.DoOnVerificationClicked"
		size = 47
	strings:
		$1 = { 53 8B D8 66 83 BB E2 00 00 00 00 74 20 84 D2 74 08 66 81 4B 60 00 01 EB 06 66 81 63 60 FF FE 8B D3 8B 83 E4 00 00 00 FF 93 E0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_78395_0 {
	meta:
		name = "TCustomTaskDialog.Execute"
		size = 74
		refs = "0005 Screen 0013 TWinControl.GetHandle 001c Application 0023 TApplication.GetActiveFormHandle 0043 @CallDynaInst"
	strings:
		$1 = { 56 57 8B F8 A1 ?? ?? ?? ?? 8B 00 8B 40 6C 85 C0 74 09 E8 ?? ?? ?? ?? 8B F0 EB 1F A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F0 85 F6 75 0D A1 ?? ?? ?? ?? 8B 00 8B B0 78 01 00 00 8B D6 8B C7 66 BE E1 FF E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_78396_0 {
	meta:
		name = "TCustomTaskDialog.Execute"
		size = 21
		refs = "000f @CallDynaInst"
	strings:
		$1 = { 56 8B F0 33 C0 89 46 78 8B C6 66 BE F0 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_78397_0 {
	meta:
		name = "TCustomTaskDialog.SetButtons"
		size = 21
	strings:
		$1 = { 56 57 8B F0 8B 7E 3C 3B D7 74 07 8B C7 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_78398_0 {
	meta:
		name = "TCustomTaskDialog.SetCustomFooterIcon"
		size = 17
	strings:
		$1 = { 56 8B 70 48 3B D6 74 07 8B C6 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_78399_0 {
	meta:
		name = "TCustomTaskDialog.SetCustomMainIcon"
		size = 17
	strings:
		$1 = { 56 8B 70 4C 3B D6 74 07 8B C6 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_78400_0 {
	meta:
		name = "TCustomTaskDialog.SetExpandedText"
		size = 57
		refs = "000c @UStrEqual 0018 @UStrAsg 0032 SendTextMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 5C E8 ?? ?? ?? ?? 74 24 8D 43 5C 8B D6 E8 ?? ?? ?? ?? 8B 43 6C 85 C0 74 13 8B 53 5C 52 B9 01 00 00 00 BA 72 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78401_0 {
	meta:
		name = "TCustomTaskDialog.SetFlags"
		size = 84
		refs = "0045 SendMessage"
	strings:
		$1 = { 56 51 66 89 14 24 8B F0 0F B7 46 60 66 3B 04 24 74 3F F6 46 61 01 0F 95 C2 F6 44 24 01 01 0F 95 C0 84 C0 74 06 83 7E 6C 00 75 04 33 C9 EB 02 B1 01 3A D1 74 14 6A 00 83 E0 7F 50 68 71 04 00 00 8B 46 6C 50 E8 ?? ?? ?? ?? 0F B7 04 24 66 89 46 60 5A 5E C3 }
	condition:
		$1
}

rule function_78402_0 {
	meta:
		name = "TCustomTaskDialog.SetFooterIcon"
		size = 39
		refs = "0014 CTaskDlgIcons 0022 SendMessage"
	strings:
		$1 = { 3B 50 64 74 21 8B CA 89 48 64 8B 50 6C 85 D2 74 15 8B 0C 8D ?? ?? ?? ?? 51 6A 01 68 74 04 00 00 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78403_0 {
	meta:
		name = "TCustomTaskDialog.SetFooterText"
		size = 57
		refs = "000c @UStrEqual 0018 @UStrAsg 0032 SendTextMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 68 E8 ?? ?? ?? ?? 74 24 8D 43 68 8B D6 E8 ?? ?? ?? ?? 8B 43 6C 85 C0 74 13 8B 53 68 52 B9 02 00 00 00 BA 72 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78404_0 {
	meta:
		name = "TCustomTaskDialog.SetMainIcon"
		size = 39
		refs = "0014 CTaskDlgIcons 0022 SendMessage"
	strings:
		$1 = { 3B 50 74 74 21 8B CA 89 48 74 8B 50 6C 85 D2 74 15 8B 0C 8D ?? ?? ?? ?? 51 6A 00 68 74 04 00 00 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78405_0 {
	meta:
		name = "TCustomTaskDialog.SetRadioButtons"
		size = 24
	strings:
		$1 = { 56 57 8B F0 8B BE 84 00 00 00 3B D7 74 07 8B C7 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_78406_0 {
	meta:
		name = "TCustomTaskDialog.SetText"
		size = 63
		refs = "000f @UStrEqual 001e @UStrAsg 0038 SendTextMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 74 27 8D 83 88 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 43 6C 85 C0 74 13 8B 93 88 00 00 00 52 33 C9 BA 72 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78407_0 {
	meta:
		name = "TCustomTaskDialog.SetTitle"
		size = 66
		refs = "000f @UStrEqual 001e @UStrAsg 003b SendTextMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 8C 00 00 00 E8 ?? ?? ?? ?? 74 2A 8D 83 8C 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 43 6C 85 C0 74 16 8B 93 8C 00 00 00 52 B9 03 00 00 00 BA 72 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78408_0 {
	meta:
		name = "TCustomTaskDialog.ShowHelpException"
		size = 252
		refs = "0015 TCustomTaskDialog.ShowHelpException 0025 Application 002c TApplication.UseRightToLeftReading 0041 @UStrLAsg 008d @UStrCat 009d TApplication.GetTitle 00a5 @UStrToPWChar 00bb MessageBox 00d0 @UStrClr 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BF 10 00 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 74 06 81 CF 00 00 10 00 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 04 8B F0 3B DE 74 15 8B DE 83 7B 04 00 74 EB 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? EB DE 83 7D FC 00 74 24 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 FC 66 83 7C 42 FE 2E 76 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 57 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 8B 40 6C 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_78409_0 {
	meta:
		name = "GetAveCharSize"
		size = 88
		refs = "003c TCanvas.GetHandle 0042 GetTextExtentPoint"
	strings:
		$1 = { 53 56 83 C4 98 8B DA 8B F0 33 C0 8B D4 8D 48 41 66 89 0A 40 83 C2 02 83 F8 1A 75 F1 33 C0 8D 54 24 34 8D 48 61 66 89 0A 40 83 C2 02 83 F8 1A 75 F1 53 6A 34 8D 44 24 08 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B9 34 00 00 00 8B 03 99 F7 F9 89 03 83 C4 68 5E 5B C3 }
	condition:
		$1
}

rule function_78410_0 {
	meta:
		name = "TMessageForm.CreateNew"
		size = 84
		refs = "000d @ClassCreate 001e TCustomForm.CreateNew 0023 Screen 003e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 90 8C 00 00 00 8B 46 6C 8B 08 FF 51 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_78412_0 {
	meta:
		name = "TMessageForm.CustomKeyDown"
		size = 112
		refs = "000f TMessageForm.CustomKeyDown 002f MessageBeep 0039 TMessageForm.GetFormText 0043 TMessageForm.WriteToClipBoard 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 05 ?? ?? ?? ?? 66 3B 45 08 75 21 66 83 3E 43 75 1B 6A 00 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_78413_0 {
	meta:
		name = "TMessageForm.WriteToClipBoard"
		size = 333
		refs = "0010 @UStrAddRef 0018 TMessageForm.WriteToClipBoard 0025 OpenClipboard 0059 GlobalAlloc 0073 GlobalLock 009a @UStrToPWChar 00a4 Move 00a9 EmptyClipboard 00b4 SetClipboardData 00ca GlobalUnlock 00d0 @HandleFinally 00e1 @HandleAnyException 00ea GlobalFree 00ef @RaiseAgain 00f4 @DoneExcept 0106 CloseClipboard 0114 SCannotOpenClipboard 011b _Dn_Exception 0120 Exception.CreateRes 0125 @RaiseExcept 013a @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? 85 C0 0F 84 E1 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 75 FC 8B C6 85 C0 74 05 83 E8 04 8B 00 03 C0 83 C0 02 50 68 02 20 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C6 85 C0 74 05 83 E8 04 8B 00 8B F0 03 F6 8B 45 FC E8 ?? ?? ?? ?? 8D 4E 02 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 6A 0D E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F3 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_78414_0 {
	meta:
		name = "TMessageForm.GetFormText"
		size = 576
		refs = "002c TMessageForm.GetFormText 0043 StringOfChar 0053 @UStrCat3 005a TComponent.GetComponentCount 006d TComponent.GetComponent 0073 _Dn_TButton 0078 @IsClass 0090 TControl.GetText 00b4 @UStrCatN 00d3 StringReplace 00de @UStrLAsg 0176 Format 0190 @UStrArrayClr 01a5 @UStrClr 01c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 56 57 33 C9 89 4D 90 89 4D 8C 89 4D E4 89 4D EC 89 4D E8 89 4D F0 89 4D FC 89 4D F8 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 BA 1B 00 00 00 66 B8 2D 00 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 57 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 38 FF 75 F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? FF 75 EC 8D 4D E8 BA 03 00 00 00 66 B8 20 00 E8 ?? ?? ?? ?? FF 75 E8 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 46 4F 75 AC 0F B6 05 ?? ?? ?? ?? 50 8D 45 E4 50 33 C9 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 89 45 94 C6 45 98 11 8D 55 90 8B C3 E8 ?? ?? ?? ?? 8B 45 90 89 45 9C C6 45 A0 11 B8 ?? ?? ?? ?? 89 45 A4 C6 45 A8 0B 8B 45 FC 89 45 AC C6 45 B0 11 8D 55 8C 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B 45 8C 89 45 B4 C6 45 B8 11 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 0B 8B 45 FC 89 45 C4 C6 45 C8 11 8B 45 F8 89 45 CC C6 45 D0 11 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 0B 8B 45 FC 89 45 DC C6 45 E0 11 8D 55 94 B9 09 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C1 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 25 00 73 00 25 00 73 00 25 00 73 00 25 00 73 00 25 00 73 00 25 00 73 00 25 00 73 00 25 00 73 00 25 00 73 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_78415_0 {
	meta:
		name = "CreateMessageDialog"
		size = 1548
		refs = "002e CreateMessageDialog 003c Application 0045 _DV_TMessageForm 004a TMessageForm.CreateNew 0051 Screen 0060 TControl.SetFont 007e TCustomForm.SetBorderStyle 0085 TCustomForm.GetCanvas 008d TCanvas.SetFont 009d TCustomForm.SetPopupMode 00a6 TCustomForm.SetPosition 00b6 TMessageForm.CustomKeyDown 00c5 GetAveCharSize 00d2 MulDiv 0118 ButtonWidths 011f ButtonCaptions 0148 Rect 014f TControl.DrawTextBiDiModeFlagsReadingOnly 0168 LoadResString 0170 @UStrToPWChar 017d TCanvas.GetHandle 0183 DrawText 01de TScreen.GetWidth 01f3 SetRect 0218 @UStrLAsg 0254 IconIDs 02cd TCustomForm.SetClientWidth 02e4 TCustomForm.SetClientHeight 030c TCustomForm.SetLeft 0318 TScreen.GetHeight 0334 TCustomForm.SetTop 0348 Captions 0357 TControl.SetText 0368 TApplication.GetTitle 037f _Dn_TImage 0384 TImage.Create 03a6 LoadIcon 03b2 TPicture.GetIcon 03b8 TIcon.SetHandle 03d5 _Dn_TLabel 03da TCustomLabel.Create 0407 TCustomLabel.SetWordWrap 041b TControl.SetBoundsRect 0440 @CallDynaInst 044b TControl.GetClientWidth 04a5 ButtonNames 04b3 ModalResults 04d0 _Dn_TButton 04d5 TCustomButton.Create 052d TCustomButton.SetDefault 0537 TCustomForm.SetActiveControl 0586 TMessageForm.HelpButtonClick 05b9 @UStrArrayClr 05c1 @UStrClr 05c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 7C FF FF FF 53 56 57 33 DB 89 9D 7C FF FF FF 89 5D 80 89 5D 84 89 5D 88 89 5D FC 66 89 4D F5 88 55 F7 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 A1 ?? ?? ?? ?? 8B 00 8B 90 8C 00 00 00 8B C7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 0F B6 50 39 8B C7 8B 08 FF 91 8C 00 00 00 B2 03 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 57 6C E8 ?? ?? ?? ?? C6 87 A4 02 00 00 01 B2 01 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 BF 24 02 00 00 C7 87 20 02 00 00 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 6A 04 8B 5D EC 53 6A 08 E8 ?? ?? ?? ?? 89 45 E8 6A 08 8B 45 F0 50 6A 08 E8 ?? ?? ?? ?? 89 45 E4 6A 04 53 6A 0A E8 ?? ?? ?? ?? 89 45 E0 6A 08 8B 45 F0 50 6A 0A E8 ?? ?? ?? ?? 89 45 DC 6A 04 53 6A 32 E8 ?? ?? ?? ?? 89 45 D8 33 DB C7 45 A4 ?? ?? ?? ?? C7 45 A0 ?? ?? ?? ?? 8B C3 3C 0F 77 08 83 E0 7F 66 0F A3 45 F5 73 6F 8B 45 A4 83 38 00 75 5A 6A 00 8D 45 8C 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 0D 20 04 00 00 50 8D 45 8C 50 6A FF 8D 55 88 8B 45 A0 8B 00 E8 ?? ?? ?? ?? 8B 45 88 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 94 2B 45 8C 83 C0 08 8B 55 A4 89 02 8B 45 A4 8B 00 3B 45 D8 7E 03 89 45 D8 43 83 45 A0 04 83 45 A4 04 80 FB 0C 0F 85 6F FF FF FF 6A 08 8B 45 F0 50 6A 0E E8 ?? ?? ?? ?? 89 45 D4 6A 04 8B 45 EC 50 6A 04 E8 ?? ?? ?? ?? 89 45 D0 6A 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 6A 00 6A 00 8D 45 8C 50 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8B F0 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 43 89 5D B0 8B C7 E8 ?? ?? ?? ?? 0D 50 04 00 00 89 45 AC 8B 45 AC 50 8D 45 8C 50 8B 45 B0 50 8B 45 FC E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 89 45 A8 0F B6 45 F7 8B 34 85 ?? ?? ?? ?? 8B 45 94 89 45 C8 8B 45 98 89 45 C4 85 F6 74 16 8B 45 E0 83 C0 20 01 45 C8 83 7D C4 20 7D 07 C7 45 C4 20 00 00 00 33 C0 33 DB 8B D3 80 FA 0F 77 08 83 E2 7F 66 0F A3 55 F5 73 01 40 43 80 FB 0C 75 E8 33 D2 89 55 CC 85 C0 74 10 8B 55 D8 0F AF D0 48 0F AF 45 D0 03 D0 89 55 CC 8B 45 C8 3B 45 CC 7E 05 8B 45 C8 EB 03 8B 45 CC 8B 55 E8 03 D2 03 D0 8B C7 E8 ?? ?? ?? ?? 8B 55 C4 03 55 D4 03 55 DC 8B 45 E4 03 C0 03 D0 8B C7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 D1 FA 79 03 83 D2 00 8B 47 50 D1 F8 79 03 83 D0 00 2B D0 8B C7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 D1 FA 79 03 83 D2 00 8B 47 54 D1 F8 79 03 83 D0 00 2B D0 8B C7 E8 ?? ?? ?? ?? 80 7D F7 04 74 1F 8D 55 84 0F B6 45 F7 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 84 8B C7 E8 ?? ?? ?? ?? EB 19 8D 55 80 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 80 8B C7 E8 ?? ?? ?? ?? 85 F6 74 56 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B D7 8B C3 8B 08 FF 91 84 00 00 00 56 6A 00 E8 ?? ?? ?? ?? 50 8B 83 B8 01 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 6A 20 6A 20 8B 4D E4 8B 55 E8 8B C3 8B 18 FF 93 A4 00 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 90 03 00 00 8B 9F 90 03 00 00 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B D7 8B C3 8B 08 FF 91 84 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 55 8C 8B C3 E8 ?? ?? ?? ?? 0F B6 57 69 8B C3 8B 08 FF 91 8C 00 00 00 8B 45 C8 2B 45 94 03 45 E8 89 45 BC 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 10 8B C7 E8 ?? ?? ?? ?? 2B 45 BC 2B 43 50 89 45 BC 8B 45 94 50 8B 45 98 50 8B 4D E4 8B 55 BC 8B C3 8B 18 FF 93 A4 00 00 00 F6 45 F5 08 74 06 C6 45 BB 03 EB 10 F6 45 F5 02 74 06 C6 45 BB 01 EB 04 C6 45 BB 02 8B C7 E8 ?? ?? ?? ?? 2B 45 CC D1 F8 79 03 83 D0 00 89 45 C0 33 DB C7 45 A0 ?? ?? ?? ?? C7 45 A4 ?? ?? ?? ?? C7 45 9C ?? ?? ?? ?? 8B C3 3C 0F 77 08 83 E0 7F 66 0F A3 45 F5 0F 83 BF 00 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B4 8B 45 A0 8B 10 8B 45 B4 8B 08 FF 51 24 8B D7 8B 45 B4 8B 08 FF 91 84 00 00 00 8D 95 7C FF FF FF 8B 45 A4 8B 00 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B 45 B4 E8 ?? ?? ?? ?? 8B 45 9C 8B 00 8B 55 B4 89 82 B4 02 00 00 3A 5D 08 75 14 B2 01 8B 45 B4 E8 ?? ?? ?? ?? 8B 55 B4 8B C7 E8 ?? ?? ?? ?? 3A 5D BB 75 0A 8B 45 B4 C6 80 81 02 00 00 01 8B 45 D8 50 8B 45 D4 50 8B 4D C4 03 4D E4 03 4D DC 8B 55 C0 8B 45 B4 8B 30 FF 96 A4 00 00 00 8B 45 D8 03 45 D0 01 45 C0 80 FB 0A 75 13 8B 45 B4 89 B8 1C 01 00 00 C7 80 18 01 00 00 ?? ?? ?? ?? 43 83 45 9C 04 83 45 A4 04 83 45 A0 04 80 FB 0C 0F 85 17 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C7 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6D 00 61 00 67 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 00 00 }
	condition:
		$1
}

rule function_78416_0 {
	meta:
		name = "CreateMessageDialog"
		size = 40
		refs = "0022 CreateMessageDialog"
	strings:
		$1 = { 51 66 89 0C 24 F6 04 24 04 74 04 B1 02 EB 0C F6 04 24 01 74 04 33 C9 EB 02 B1 05 51 0F B7 4C 24 04 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_78417_0 {
	meta:
		name = "MessageDlg"
		size = 32
		refs = "0017 MessageDlgPosHelp"
	strings:
		$1 = { 55 8B EC 51 66 89 4D FE 8B 4D 08 51 6A FF 6A FF 6A 00 0F B7 4D FE E8 ?? ?? ?? ?? 59 5D C2 04 00 }
	condition:
		$1
}

rule function_78418_0 {
	meta:
		name = "MessageDlg"
		size = 37
		refs = "001c MessageDlgPosHelp"
	strings:
		$1 = { 55 8B EC 51 66 89 4D FE 8B 4D 0C 51 6A FF 6A FF 6A 00 0F B6 4D 08 51 0F B7 4D FE E8 ?? ?? ?? ?? 59 5D C2 08 00 }
	condition:
		$1
}

rule function_78419_0 {
	meta:
		name = "TaskMessageDlg"
		size = 29
		refs = "0014 TaskMessageDlgPosHelp"
	strings:
		$1 = { 55 8B EC 53 0F B7 5D 0C 53 8B 5D 08 53 6A FF 6A FF 6A 00 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_78420_0 {
	meta:
		name = "TaskMessageDlg"
		size = 34
		refs = "0019 TaskMessageDlgPosHelp"
	strings:
		$1 = { 55 8B EC 53 0F B7 5D 10 53 8B 5D 0C 53 6A FF 6A FF 6A 00 0F B6 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_78421_0 {
	meta:
		name = "MessageDlgPos"
		size = 36
		refs = "001b MessageDlgPosHelp"
	strings:
		$1 = { 55 8B EC 51 66 89 4D FE 8B 4D 10 51 8B 4D 0C 51 8B 4D 08 51 6A 00 0F B7 4D FE E8 ?? ?? ?? ?? 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_78422_0 {
	meta:
		name = "MessageDlgPos"
		size = 41
		refs = "0020 MessageDlgPosHelp"
	strings:
		$1 = { 55 8B EC 51 66 89 4D FE 8B 4D 14 51 8B 4D 10 51 8B 4D 0C 51 6A 00 0F B6 4D 08 51 0F B7 4D FE E8 ?? ?? ?? ?? 59 5D C2 10 00 }
	condition:
		$1
}

rule function_78423_0 {
	meta:
		name = "TaskMessageDlgPos"
		size = 33
		refs = "0018 TaskMessageDlgPosHelp"
	strings:
		$1 = { 55 8B EC 53 0F B7 5D 14 53 8B 5D 10 53 8B 5D 0C 53 8B 5D 08 53 6A 00 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_78424_0 {
	meta:
		name = "TaskMessageDlgPos"
		size = 38
		refs = "001d TaskMessageDlgPosHelp"
	strings:
		$1 = { 55 8B EC 53 0F B7 5D 18 53 8B 5D 14 53 8B 5D 10 53 8B 5D 0C 53 6A 00 0F B6 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_78425_0 {
	meta:
		name = "DoMessageDlgPosHelp"
		size = 154
		refs = "0014 DoMessageDlgPosHelp 0022 TControl.SetHelpContext 0032 @UStrAsg 0040 TCustomForm.SetLeft 004e TCustomForm.SetTop 0060 TCustomForm.SetPosition 0083 TObject.Free 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D9 89 45 FC 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 B0 02 00 00 8B 55 08 E8 ?? ?? ?? ?? 85 DB 7C 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 85 F6 7C 0A 8B D6 8B 45 FC E8 ?? ?? ?? ?? 85 F6 7D 0E 85 DB 7D 0A B2 04 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 20 01 00 00 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_78426_0 {
	meta:
		name = "MessageDlgPosHelp"
		size = 148
		refs = "000f TOSVersion.FMajor 001b UseLatestCommonDialogs 0028 StyleServices 003f TCustomStyleServices.GetIsSystemStyle 0067 DoTaskMessageDlgPosHelp 007e CreateMessageDialog 0089 DoMessageDlgPosHelp"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B DA 8B F0 A1 ?? ?? ?? ?? 83 38 06 7C 09 0F B6 05 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0C E8 ?? ?? ?? ?? 8B 10 FF 52 48 EB 02 33 C0 84 C0 74 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 22 0F B7 45 FE 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CB 8B D6 33 C0 E8 ?? ?? ?? ?? EB 20 8B 45 0C 50 8B 45 08 50 8B D3 0F B7 4D FE 8B C6 E8 ?? ?? ?? ?? 8B 4D 10 8B 55 14 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_78427_0 {
	meta:
		name = "MessageDlgPosHelp"
		size = 158
		refs = "000f TOSVersion.FMajor 001b UseLatestCommonDialogs 0028 StyleServices 003f TCustomStyleServices.GetIsSystemStyle 006c DoTaskMessageDlgPosHelp 0088 CreateMessageDialog 0093 DoMessageDlgPosHelp"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B DA 8B F0 A1 ?? ?? ?? ?? 83 38 06 7C 09 0F B6 05 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0C E8 ?? ?? ?? ?? 8B 10 FF 52 48 EB 02 33 C0 84 C0 74 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 27 0F B7 45 FE 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 0F B6 45 08 50 8B CB 8B D6 33 C0 E8 ?? ?? ?? ?? EB 25 8B 45 10 50 8B 45 0C 50 0F B6 45 08 50 8B D3 0F B7 4D FE 8B C6 E8 ?? ?? ?? ?? 8B 4D 14 8B 55 18 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_78428_0 {
	meta:
		name = "TaskMessageDlgPosHelp"
		size = 110
		refs = "0012 Win32MajorVersion 001c StyleServices 0042 DoTaskMessageDlgPosHelp 0057 CreateMessageDialog 0062 DoMessageDlgPosHelp"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B F2 89 45 FC 8B 7D 18 A1 ?? ?? ?? ?? 83 38 06 7C 2D E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1F 57 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 1E 8B 45 0C 50 8B 45 08 50 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? 8B 4D 10 8B 55 14 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_78429_0 {
	meta:
		name = "TaskMessageDlgPosHelp"
		size = 120
		refs = "0012 Win32MajorVersion 001c StyleServices 0047 DoTaskMessageDlgPosHelp 0061 CreateMessageDialog 006c DoMessageDlgPosHelp"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B F2 89 45 FC 8B 7D 1C A1 ?? ?? ?? ?? 83 38 06 7C 32 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 24 57 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 0F B6 45 08 50 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 23 8B 45 10 50 8B 45 0C 50 0F B6 45 08 50 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? 8B 4D 14 8B 55 18 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_78430_0 {
	meta:
		name = "ShowMessage"
		size = 12
		refs = "0007 ShowMessagePos"
	strings:
		$1 = { 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78431_0 {
	meta:
		name = "ShowMessageFmt"
		size = 111
		refs = "0024 ShowMessageFmt 0039 Format 0041 ShowMessage 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 03 DB 43 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 7D F0 8B 75 F4 8B 5D F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_78432_0 {
	meta:
		name = "ShowMessagePos"
		size = 120
		refs = "001a ShowMessagePos 002a @UStrLAsg 004a MessageDlgPosHelp 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? B0 04 0F B7 15 ?? ?? ?? ?? 33 C9 8B 75 F8 8B 7D F4 51 56 57 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_78433_0 {
	meta:
		name = "TTaskMessageDialog.DoOnButtonClicked"
		size = 18
		refs = "000c @CallDynaInst"
	strings:
		$1 = { 56 42 75 0C C6 01 00 66 BE EA FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_78434_0 {
	meta:
		name = "TTaskMessageDialog.DoOnDialogCreated"
		size = 162
		refs = "001f MonitorFromWindow 0034 GetMonitorInfo 0042 GetWindowRect 0096 SetWindowPos"
	strings:
		$1 = { 53 56 57 55 83 C4 C8 8B D8 8B B3 F0 00 00 00 8B BB F4 00 00 00 6A 02 8B 83 EC 00 00 00 50 E8 ?? ?? ?? ?? 8B E8 C7 44 24 10 28 00 00 00 8D 44 24 10 50 55 E8 ?? ?? ?? ?? 84 C0 74 5E 54 8B 43 6C 50 E8 ?? ?? ?? ?? 85 F6 7D 18 8B 74 24 2C 2B 74 24 24 8B 44 24 08 2B 04 24 2B F0 D1 FE 79 03 83 D6 00 85 FF 7D 19 8B 7C 24 30 2B 7C 24 28 8B 44 24 0C 2B 44 24 04 2B F8 D1 FF 79 03 83 D7 00 03 74 24 24 03 7C 24 28 6A 15 6A 00 6A 00 57 56 6A 00 8B 43 6C 50 E8 ?? ?? ?? ?? 83 C4 38 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78435_0 {
	meta:
		name = "TTaskMessageDialog.DoOnHelp"
		size = 248
		refs = "0013 TTaskMessageDialog.DoOnHelp 003b Application 0045 @UStrLAsg 0060 @IntfClear 0065 GetHelpSystem 00a7 @HandleOnException 00af _Dn_Exception 00c3 @CallDynaInst 00c8 @DoneExcept 00e5 @UStrClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 78 70 00 0F 84 A2 00 00 00 8B 45 F4 83 B8 E8 00 00 00 00 75 15 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 8B 52 54 E8 ?? ?? ?? ?? EB 11 8D 45 FC 8B 55 F4 8B 92 E8 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8B 45 F4 8B 40 70 50 A1 ?? ?? ?? ?? 8B 00 8B 90 78 01 00 00 8B 4D FC 8B 45 F8 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C6 8B D6 8B 45 F4 66 BE E4 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78436_0 {
	meta:
		name = "TTaskMessageDialog.Execute"
		size = 12
		refs = "0007 TCustomTaskDialog.Execute"
	strings:
		$1 = { 89 90 EC 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78437_0 {
	meta:
		name = "DoTaskMessageDlgPosHelp"
		size = 516
		refs = "001e DoTaskMessageDlgPosHelp 0029 Application 0030 TApplication.ModalStarted 0039 _DV_TTaskMessageDialog 003e TCustomTaskDialog.Create 0056 ButtonCaptions 005b LModalResults 0076 TTaskDialogButtons.Add 0083 LoadResString 008e TTaskDialogBaseButtonItem.SetCaption 009d TTaskDialogBaseButtonItem.SetDefault 00c8 Captions 00de TApplication.GetTitle 00ec @UStrAsg 0105 TApplication.UseRightToLeftReading 011f TCustomTaskDialog.SetFlags 0143 IconMap 014b TCustomTaskDialog.SetMainIcon 0177 TCustomTaskDialog.SetText 0182 TCustomTaskDialog.SetTitle 0193 @CallDynaInst 01b5 TObject.Free 01c1 TApplication.ModalFinished 01c7 @HandleFinally 01e3 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 88 4D F7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB BE ?? ?? ?? ?? BF ?? ?? ?? ?? 8B C3 3C 0F 77 08 83 E0 7F 66 0F A3 45 1C 73 3A 8B 45 EC 8B 40 3C E8 ?? ?? ?? ?? 89 45 E8 8D 55 DC 8B 06 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 E8 E8 ?? ?? ?? ?? 3A 5D 08 75 0A B2 01 8B 45 E8 E8 ?? ?? ?? ?? 8B 07 8B 55 E8 89 42 18 43 83 C7 04 83 C6 04 80 FB 0C 75 AA 80 7D F7 04 74 18 8B 45 EC 8D 50 40 0F B6 45 F7 8B 04 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1D 8D 55 D8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 EC 83 C0 40 E8 ?? ?? ?? ?? 8B 45 EC 0F B6 15 ?? ?? ?? ?? 88 50 44 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 EC 0F B7 50 60 66 0B 15 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8B 55 18 89 50 70 8B 45 EC 05 E8 00 00 00 8B 55 0C E8 ?? ?? ?? ?? 0F B6 45 F7 8B 14 85 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 14 89 45 E0 8B 45 10 89 45 E4 8B 45 EC 8B 55 E0 89 90 F0 00 00 00 8B 55 E4 89 90 F4 00 00 00 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 EC E8 ?? ?? ?? ?? 33 C0 89 45 F0 8B 45 EC 66 BE E2 FF E8 ?? ?? ?? ?? 84 C0 74 09 8B 45 EC 8B 40 78 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F0 5F 5E 5B 8B E5 5D C2 18 00 00 00 00 00 00 00 20 00 00 }
	condition:
		$1
}

rule function_78438_0 {
	meta:
		name = "DoTaskMessageDlgPosHelp"
		size = 74
		refs = "003f DoTaskMessageDlgPosHelp"
	strings:
		$1 = { 55 8B EC 51 56 57 88 4D FF 8B F8 8B 75 18 66 F7 C6 04 00 74 04 B0 02 EB 0D 66 F7 C6 01 00 74 04 33 C0 EB 02 B0 05 56 8B 4D 14 51 8B 4D 10 51 8B 4D 0C 51 8B 4D 08 51 50 0F B6 4D FF 8B C7 E8 ?? ?? ?? ?? 5F 5E 59 5D C2 14 00 }
	condition:
		$1
}

rule function_78439_0 {
	meta:
		name = "TInputQueryForm.CloseQuery"
		size = 44
	strings:
		$1 = { 53 8B D8 83 BB C0 02 00 00 02 74 1C 83 BB 90 03 00 00 00 74 13 8B 83 90 03 00 00 8B 10 FF 52 0C 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_78440_0 {
	meta:
		name = "GetTextBaseline"
		size = 106
		refs = "0018 TCanvas.GetHandle 001e GetTextMetrics 0036 TPoint.Create 0045 TControl.ClientToScreen 0055 TControl.ScreenToClient"
	strings:
		$1 = { 53 56 83 C4 A4 8B F2 8B D8 8D 54 24 3C 8B C3 8B 08 FF 51 60 54 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 04 40 8B 74 24 40 03 F0 8B CE 33 D2 8D 44 24 4C E8 ?? ?? ?? ?? 8D 54 24 4C 8D 4C 24 54 8B C3 E8 ?? ?? ?? ?? 8D 54 24 54 8D 4C 24 4C 8B 43 38 E8 ?? ?? ?? ?? 8B 44 24 50 2B 43 4C 8B F0 8B C6 83 C4 5C 5E 5B C3 }
	condition:
		$1
}

rule function_78441_0 {
	meta:
		name = "GetPromptCaption"
		size = 68
		refs = "0031 @UStrCopy 003d @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 85 C0 74 05 83 E8 04 8B 00 48 7E 09 66 83 3B 20 0F 92 C0 EB 02 33 C0 84 C0 74 15 56 B9 FF FF FF 7F BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78442_0 {
	meta:
		name = "GetMaxPromptWidth"
		size = 201
		refs = "0011 GetMaxPromptWidth 0025 _Dn_TLabel 002a TCustomLabel.Create 005a GetPromptCaption 0065 TControl.SetText 0097 TObject.Free 009d @HandleFinally 00b4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 FC 8B 70 10 4E 85 F6 7C 39 46 8B 45 08 8B 58 F8 8D 55 F4 8B 03 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 50 8B 55 08 03 42 F0 3B 45 FC 7D 03 8B 45 FC 89 45 FC 83 C3 04 4E 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78443_0 {
	meta:
		name = "GetPasswordChar"
		size = 37
	strings:
		$1 = { 8B D0 85 D2 74 05 83 EA 04 8B 12 4A 7E 09 66 83 38 20 0F 92 C0 EB 02 33 C0 84 C0 74 05 66 B8 2A 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_78444_0 {
	meta:
		name = "InputQuery$823$ActRec.$3$Body"
		size = 240
		refs = "0017 InputQuery$823$ActRec.$3$Body 003b :04 0040 @DynArraySetLength 0050 TWinControl.GetControlCount 006a TWinControl.GetControl 0074 _Dn_TEdit 0079 @IsClass 0087 TControl.GetText 0098 @UStrAsg 00a9 @DynArrayHigh 00cd @UStrClr 00db @DynArrayClear 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 83 7F 14 00 0F 84 8F 00 00 00 8B 47 10 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 F4 8B 47 0C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 4A 46 C7 45 F8 00 00 00 00 8B 47 0C 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 4D F4 8D 04 88 E8 ?? ?? ?? ?? FF 45 F4 FF 45 F8 4E 75 BE 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 47 14 8B 55 FC 8B 18 FF 53 0C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78445_0 {
	meta:
		name = "InputQuery"
		size = 1320
		refs = "0025 @IntfAddRef 002d InputQuery 003a _DV_InputQuery$823$ActRec 003f TObject.Create 0054 @IntfCopy 0073 SPromptArrayTooShort 007a _Dn_EInvalidOperation 007f Exception.CreateRes 0084 @RaiseExcept 0095 SPromptArrayEmpty 00b2 Application 00bb _DV_TInputQueryForm 00c0 TCustomForm.CreateNew 00f6 TCustomForm.GetCanvas 0104 TCanvas.SetFont 0117 GetAveCharSize 0128 GetMaxPromptWidth 0139 TCustomForm.SetBorderStyle 0146 TControl.SetText 015a MulDiv 0167 TCustomForm.SetClientWidth 0174 TCustomForm.SetPopupMode 0181 TCustomForm.SetPosition 01bc _Dn_TLabel 01c1 TCustomLabel.Create 01dd GetPromptCaption 01fd TControl.SetLeft 0207 TControl.SetTop 0217 TSizeConstraints.SetConstraints 0220 TCustomLabel.SetWordWrap 022d _Dn_TEdit 0232 TCustomEdit.Create 024b GetPasswordChar 0254 TCustomEdit.SetPasswordChar 0275 GetTextBaseline 02ac TControl.GetClientWidth 02c7 TControl.SetWidth 02d3 TCustomEdit.SetMaxLength 02e6 TCustomEdit.SelectAll 02ef TCustomLabel.SetFocusControl 0343 _Dn_TButton 0348 TCustomButton.Create 0362 SMsgDlgOK 0367 LoadResString 0384 TCustomButton.SetDefault 03e2 SMsgDlgCancel 0446 TCustomForm.SetClientHeight 0464 TWinControl.GetControlCount 047c TWinControl.GetControl 0487 @IsClass 04a4 TControl.GetText 04b2 @UStrAsg 04d5 TObject.Free 04db @HandleFinally 04f2 @UStrClr 04ff @UStrArrayClr 0507 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 89 5D C4 89 5D C8 89 5D CC 89 5D EC 8B D9 89 55 F8 8B F0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 45 EC 8B 55 FC 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 14 8B 55 08 E8 ?? ?? ?? ?? 8D 43 01 8B 55 0C 42 3B C2 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 89 50 10 4A 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 EB 00 6A 00 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 90 03 00 00 8B 55 FC 85 D2 74 03 83 EA E8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 52 0C 8B 52 6C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 55 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 45 E0 8B 45 FC 8B 40 0C B2 03 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 6A 04 8B 45 F0 50 8B 45 E0 05 B4 00 00 00 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C B2 04 E8 ?? ?? ?? ?? 6A 08 8B 45 F4 50 6A 08 E8 ?? ?? ?? ?? 89 45 E4 33 DB 8B 45 FC 8B 40 10 48 85 C0 0F 8C 69 01 00 00 40 89 45 D4 8B 7D F8 8B 45 10 89 45 D0 8B 45 FC 8B 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 50 0C 8B C6 8B 08 FF 91 84 00 00 00 8D 55 CC 8B 07 E8 ?? ?? ?? ?? 8B 55 CC 8B C6 E8 ?? ?? ?? ?? 6A 04 8B 45 F0 50 6A 08 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 46 78 8B 4D E0 BA 01 00 00 00 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 50 0C 8B C3 8B 08 FF 91 84 00 00 00 8B 07 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 56 48 03 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5A 2B D0 52 8B 56 4C 03 56 54 2B 55 F4 58 2B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 2B 43 48 50 6A 04 8B 45 F0 50 6A 08 E8 ?? ?? ?? ?? 5A 2B D0 8B C3 E8 ?? ?? ?? ?? BA FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 D0 8B 10 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 43 4C 03 43 54 83 C0 05 89 45 E4 83 45 D0 04 83 C7 04 FF 4D D4 0F 85 A4 FE FF FF 8B 43 4C 03 43 54 83 C0 0F 89 45 DC 6A 04 8B 45 F0 50 6A 32 E8 ?? ?? ?? ?? 8B F0 6A 08 8B 45 F4 50 6A 0E E8 ?? ?? ?? ?? 89 45 D8 8B 45 FC 8B 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 50 0C 8B C3 8B 08 FF 91 84 00 00 00 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B C3 E8 ?? ?? ?? ?? C7 83 B4 02 00 00 01 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 56 8B 45 D8 50 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 50 6A 04 8B 45 F0 50 6A 08 E8 ?? ?? ?? ?? 03 C6 03 C0 5A 2B D0 8B 4D DC 8B C3 8B 18 FF 93 A4 00 00 00 8B 45 FC 8B 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 50 0C 8B C3 8B 08 FF 91 84 00 00 00 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B C3 E8 ?? ?? ?? ?? C7 83 B4 02 00 00 02 00 00 00 C6 83 81 02 00 00 01 56 8B 45 D8 50 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 50 6A 04 8B 45 F0 50 6A 08 E8 ?? ?? ?? ?? 03 F0 5A 2B D6 8B 4D DC 8B C3 8B 30 FF 96 A4 00 00 00 8B 53 4C 03 53 54 83 C2 0D 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 10 FF 92 20 01 00 00 48 75 66 33 FF 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 48 85 C0 7C 50 40 89 45 D4 33 F6 8B 45 FC 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 28 8B 45 FC 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 8B D8 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 10 8D 04 B8 E8 ?? ?? ?? ?? 47 46 FF 4D D4 75 B6 C6 45 EB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 0F B6 45 EB 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_78446_0 {
	meta:
		name = "InputQuery$828$ActRec.$0$Body"
		size = 32
	strings:
		$1 = { 53 51 C6 04 24 01 51 8D 4C 24 04 51 8B CA 8B D8 8B 50 0C 8B 43 14 FF 53 10 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_78447_0 {
	meta:
		name = "InputQuery"
		size = 154
		refs = "0019 InputQuery 0026 _DV_InputQuery$828$ActRec 002b TObject.Create 003e @IntfCopy 0083 @IntfClear 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 08 89 43 0C 8B 45 0C 89 43 10 8B 45 10 89 43 14 8B 45 18 50 8B 45 14 50 85 DB 74 03 83 EB E8 53 8B D7 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 14 00 }
	condition:
		$1
}

rule function_78448_0 {
	meta:
		name = "InputQuery"
		size = 146
		refs = "0019 string 001e @InitializeArray 0026 InputQuery 0036 @UStrLAsg 005d @UStrAsg 007d @FinalizeArray 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 8B D8 B9 01 00 00 00 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 16 E8 ?? ?? ?? ?? 8D 45 FC 50 6A 00 6A 00 89 7D F8 8D 55 F8 33 C9 8B C3 E8 ?? ?? ?? ?? 8B D8 84 DB 74 0A 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_78449_0 {
	meta:
		name = "InputBox"
		size = 46
		refs = "0017 @UStrAsg 0022 InputQuery"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_78450_0 {
	meta:
		name = "PromptForFileName"
		size = 308
		refs = "0018 PromptForFileName 002d _DV_TSaveDialog 0032 TOpenDialog.Create 0052 _DV_TOpenDialog 0078 @UStrAsg 0096 SDefaultFilter 009b LoadResString 00b5 TOpenDialog.SetInitialDir 00bf TOpenDialog.SetFileName 00db TOpenDialog.GetFileName 00fa TObject.Free 0100 @HandleFinally 0117 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 00 74 25 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 40 74 0B 05 ?? ?? ?? ?? 8B 55 F8 89 42 74 EB 11 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 05 88 00 00 00 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F8 05 8C 00 00 00 8B D7 E8 ?? ?? ?? ?? 85 F6 75 12 8B 45 F8 8D 50 78 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8B 45 F8 83 C0 78 8B D6 E8 ?? ?? ?? ?? 8B 55 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B 13 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 50 88 45 FF 80 7D FF 00 74 15 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 8B E5 5D C2 0C 00 02 00 00 00 }
	condition:
		$1
}

rule function_78451_0 {
	meta:
		name = "TDefaultLoginCredentials.LoginEvent$833$ActRec.$0$Body"
		size = 39
	strings:
		$1 = { 53 51 C6 04 24 01 8B 4A 04 51 8B 4A 08 51 8D 4C 24 08 51 8B 0A 8B D8 8B 50 0C 8B 43 14 FF 53 10 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_78452_0 {
	meta:
		name = "TDefaultLoginCredentials.LoginEvent"
		size = 320
		refs = "001f TDefaultLoginCredentials.LoginEvent 002c _DV_TDefaultLoginCredentials.LoginEvent$833$ActRec 0031 TObject.Create 0044 @IntfCopy 0063 TArray<System.string> 0068 @DynArraySetLength 0077 @DynArrayHigh 0088 SUsername 008d LoadResString 009b SPassword 00b0 @UStrCat3 00be SDomain 00d5 SLogin 00e8 InputQuery 0104 @UStrArrayClr 010c @IntfClear 011a @DynArrayClear 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 0C 8B 45 08 89 43 10 8B 45 0C 89 43 14 6A 03 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 85 DB 74 03 83 EB E8 53 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 89 45 F4 8D 45 EC 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 02 00 00 00 5A E8 ?? ?? ?? ?? 88 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 1F 00 00 00 }
	condition:
		$1
}

rule function_78453_0 {
	meta:
		name = "TDefaultLoginCredentials.LoginEventUsrPw$835$ActRec.$0$Body"
		size = 37
	strings:
		$1 = { 53 51 C6 04 24 01 8B 4A 04 51 6A 00 8D 4C 24 08 51 8B 0A 8B D8 8B 50 0C 8B 43 14 FF 53 10 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_78454_0 {
	meta:
		name = "TDefaultLoginCredentials.LoginEventUsrPw"
		size = 300
		refs = "001e TDefaultLoginCredentials.LoginEventUsrPw 002b _DV_TDefaultLoginCredentials.LoginEventUsrPw$835$ActRec 0030 TObject.Create 0043 @IntfCopy 0062 TArray<System.string> 0067 @DynArraySetLength 0076 @DynArrayHigh 0087 SUsername 008c LoadResString 009a SPassword 00af @UStrCat3 00c1 SLogin 00d4 InputQuery 00f0 @UStrArrayClr 00f8 @IntfClear 0106 @DynArrayClear 010c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 0C 8B 45 08 89 43 10 8B 45 0C 89 43 14 6A 02 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 85 DB 74 03 83 EB E8 53 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 8D 45 F0 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 88 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 1F 00 00 00 }
	condition:
		$1
}

rule function_78455_0 {
	meta:
		name = "InitGlobals"
		size = 208
		refs = "0004 InitGlobals 0009 RegisterWindowMessage 000e HelpMsg 001d FindMsg 0024 HInstance 0032 GetCurrentThreadId 004d StrFmt 0053 GlobalAddAtom 0059 WndProcPtrAtom"
	strings:
		$1 = { 83 C4 B0 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 01 A1 ?? ?? ?? ?? 89 44 24 44 C6 44 24 48 00 E8 ?? ?? ?? ?? 89 44 24 4C C6 44 24 50 00 8D 4C 24 44 BA ?? ?? ?? ?? 8D 44 24 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 83 C4 50 C3 00 00 00 63 00 6F 00 6D 00 6D 00 64 00 6C 00 67 00 5F 00 68 00 65 00 6C 00 70 00 00 00 00 00 63 00 6F 00 6D 00 6D 00 64 00 6C 00 67 00 5F 00 46 00 69 00 6E 00 64 00 52 00 65 00 70 00 6C 00 61 00 63 00 65 00 00 00 57 00 6E 00 64 00 50 00 72 00 6F 00 63 00 50 00 74 00 72 00 25 00 2E 00 38 00 58 00 25 00 2E 00 38 00 58 00 00 00 00 00 }
	condition:
		$1
}

rule function_78456_0 {
	meta:
		name = "Finalization"
		size = 236
		refs = "0007 Finalization 0013 _DV_03 001a _DV_TDefaultLoginCredentials 0020 TDefaultLoginCredentials.LoginEventUsrPw 002a TLoginCredentialService.UnregisterLoginHandler 0035 TDefaultLoginCredentials.LoginEvent 0058 WndProcPtrAtom 0068 GlobalDeleteAtom 006d ButtonNames 0078 string 007d @FinalizeArray 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 68 A1 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 66 83 3D ?? ?? ?? ?? 00 74 0D 0F B7 05 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 55 00 73 00 72 00 50 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 55 00 73 00 72 00 50 00 77 00 44 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_78457_0 {
	meta:
		name = "Vcl.Dialogs"
		size = 224
		refs = "0002 _DV_03 000a _Nn__AE4 000f @InitImports 0014 InitGlobals 0019 _Dn_TControl 001e StartClassGroup 0028 ActivateClassGroup 0033 _DV_TCommonDialog 0038 GroupDescendentsWith 0043 _DV_TCustomFileDialog 004d _DV_TDefaultLoginCredentials 0053 TDefaultLoginCredentials.LoginEventUsrPw 005a TLoginCredentialService.RegisterLoginHandler 0065 TDefaultLoginCredentials.LoginEvent 006a Vcl.Dialogs"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 7F B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 55 00 73 00 72 00 50 00 77 00 44 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 55 00 73 00 72 00 50 00 77 00 00 00 00 00 }
	condition:
		$1
}

rule function_78461_0 {
	meta:
		name = "TDirect2DGraphicsObject.Create"
		size = 187
		refs = "0017 @ClassCreate 0024 TDirect2DGraphicsObject.Create 0038 TObject.ClassName 0050 SNoOwner 0055 LoadResString 005f _DV_EDirect2DException 0064 Exception.CreateFmt 0069 @RaiseExcept 0077 TDirect2DCanvas.Notification 0091 @UStrArrayClr 0097 @HandleFinally 00a6 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F0 89 5D EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 C9 75 3B 8D 55 F0 8B 03 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C1 89 43 10 33 C9 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78462_0 {
	meta:
		name = "TDirect2DGraphicsObject.Destroy"
		size = 37
		refs = "0003 @BeforeDestruction 0013 TDirect2DCanvas.Notification 001e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 B1 01 8B D6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78465_0 {
	meta:
		name = "TDirect2DBrush.BitmapChanged"
		size = 13
		refs = "0007 @IntfClear"
	strings:
		$1 = { 53 8B D8 8D 43 1C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78466_0 {
	meta:
		name = "TDirect2DBrush.Create"
		size = 64
		refs = "000a @ClassCreate 0017 TDirect2DGraphicsObject.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 24 00 C7 46 20 FF FF FF 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78467_0 {
	meta:
		name = "TDirect2DBrush.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001d TObject.Free 0028 TDirect2DGraphicsObject.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 18 00 74 10 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78468_0 {
	meta:
		name = "TDirect2DBrush.Assign"
		size = 358
		refs = "0010 TDirect2DBrush.Assign 001e _Dn_TBrush 0023 @IsClass 002f @IntfClear 0036 TBrush.GetBitmap 0050 TObject.Free 0057 _Dn_TBitmap 005c TBitmap.Create 007e TDirect2DBrush.SetColor 00a1 _DV_TDirect2DBrush 00c0 SRequireSameOwner 00c5 LoadResString 00cf _DV_EDirect2DException 00d4 Exception.Create 00d9 @RaiseExcept 011c TDirect2DBrush.BitmapChanged 0134 @IntfCopy 013f TPersistent.Assign 0154 @UStrClr 015a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 72 8D 46 1C E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 C0 74 37 83 7E 18 00 74 10 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 5E 18 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 08 8B 47 10 8B 50 18 8B C6 E8 ?? ?? ?? ?? 0F B6 46 24 2C 02 0F 83 B5 00 00 00 8B 47 10 0F B6 40 20 88 46 24 E9 A6 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 88 00 00 00 8B DF 8B 43 10 3B 46 10 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 18 00 74 3D 83 7E 18 00 74 10 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 8B 53 18 8B 46 18 8B 08 FF 51 08 8B 46 18 89 70 14 C7 40 10 ?? ?? ?? ?? 8B 43 20 89 46 20 0F B6 43 24 88 46 24 8D 46 1C 8B 53 1C E8 ?? ?? ?? ?? EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78469_0 {
	meta:
		name = "TDirect2DBrush.GetHandle"
		size = 149
		refs = "0012 TDirect2DBrush.GetHandle 0032 TDirect2DCanvas.CreateBrush 003d @IntfCopy 0078 ID2D1Brush 0082 @FinalizeArray 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 1C 00 75 3A 8B 7B 18 85 FF 74 1A 8D 4D FC 8B D7 8B 43 10 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 1C E8 ?? ?? ?? ?? EB 19 8D 4D F8 8B 53 20 8B 43 10 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 1C E8 ?? ?? ?? ?? 8B C6 8B 53 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_78471_0 {
	meta:
		name = "TDirect2DBrush.GetColor"
		size = 136
		refs = "000c TDirect2DBrush.GetColor 0025 Supports 0036 SDirect2DInvalidSolidBrush 003b LoadResString 0045 _DV_EDirect2DException 004a Exception.Create 004f @RaiseExcept 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 1C 00 74 11 BA ?? ?? ?? ?? 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 05 8B 5B 20 EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 A9 06 D9 2C E2 12 DC 11 9F ED 00 11 43 A0 55 F9 }
	condition:
		$1
}

rule function_78473_0 {
	meta:
		name = "TDirect2DBrush.SetHandle"
		size = 200
		refs = "0016 TDirect2DBrush.SetHandle 0024 @IntfClear 0032 Supports 0051 @TRUNC 008a @IntfCopy 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 46 8D 45 EC 50 8B 45 FC 50 8B 00 FF 50 24 D9 45 EC D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 D9 45 F0 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C1 E0 08 03 F8 D9 45 F4 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C1 E0 10 03 F8 89 7B 20 C6 43 24 00 8D 43 1C 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 A9 06 D9 2C E2 12 DC 11 9F ED 00 11 43 A0 55 F9 00 00 7F 43 }
	condition:
		$1
}

rule function_78474_0 {
	meta:
		name = "TDirect2DBrush.SetBitmap"
		size = 80
		refs = "0019 TObject.Free 0021 @IntfClear 0028 _Dn_TBitmap 002d TBitmap.Create 0048 TDirect2DBrush.BitmapChanged"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 83 7B 18 00 74 10 8D 43 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 1C E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 18 8B D7 8B C6 8B 08 FF 51 08 8B 43 18 89 58 14 C7 40 10 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78475_0 {
	meta:
		name = "TDirect2DBrush.SetColor"
		size = 148
		refs = "0015 TDirect2DBrush.SetColor 0026 @IntfClear 0035 Supports 0043 D2D1ColorF 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 73 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 19 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 FC 50 8B 00 FF 50 20 EB 08 8D 43 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 A9 06 D9 2C E2 12 DC 11 9F ED 00 11 43 A0 55 F9 }
	condition:
		$1
}

rule function_78476_0 {
	meta:
		name = "TDirect2DBrush.SetStyle"
		size = 103
		refs = "0009 TDirect2DBrush.SetStyle 002a SDirect2DInvalidBrushStyle 002f LoadResString 0039 _DV_EDirect2DException 003e Exception.Create 0043 @RaiseExcept 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B CA 80 E9 02 72 07 80 E9 06 72 07 EB 26 88 50 24 EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_78477_0 {
	meta:
		name = "TDirect2DBrush.ReleaseHandle"
		size = 20
		refs = "0006 TDirect2DGraphicsObject.ReleaseHandle 000e @IntfClear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 1C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78478_0 {
	meta:
		name = "TDirect2DPen.Create"
		size = 103
		refs = "000f @ClassCreate 0021 TDirect2DGraphicsObject.Create 0031 _DV_TDirect2DBrush 0036 TDirect2DBrush.Create 0044 TDirect2DBrush.SetColor 0051 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? C7 43 24 01 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 18 8B C7 33 D2 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78480_0 {
	meta:
		name = "TDirect2DPen.Assign"
		size = 135
		refs = "000b _Dn_TPen 0010 @IsClass 002c TDirect2DPen.SetColor 0033 TPen.GetStyle 003c TDirect2DPen.SetStyle 0046 _DV_TDirect2DPen 006e @IntfCopy 007f TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8B FB 8B 47 10 8B 40 1C 89 46 24 8B 47 10 8B 50 18 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 41 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 8B FB 8B 57 18 8B 46 18 8B 08 FF 51 08 0F B6 47 20 88 46 20 8D 46 1C 8B 57 1C E8 ?? ?? ?? ?? 8B 47 24 89 46 24 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78484_0 {
	meta:
		name = "TDirect2DPen.SetBrush"
		size = 106
		refs = "0009 TDirect2DPen.SetBrush 002d SRequireSameOwner 0032 LoadResString 003c _DV_EDirect2DException 0041 Exception.Create 0046 @RaiseExcept 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 85 D2 74 12 8B 4A 10 3B 48 10 75 0A 8B 40 18 8B 08 FF 51 08 EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_78486_0 {
	meta:
		name = "TDirect2DPen.SetStyle"
		size = 20
		refs = "000a @IntfClear"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 46 1C E8 ?? ?? ?? ?? 88 5E 20 5E 5B C3 }
	condition:
		$1
}

rule function_78487_0 {
	meta:
		name = "TDirect2DFont.ReleaseHandle"
		size = 26
		refs = "0007 TDirect2DGraphicsObject.ReleaseHandle 0013 @CallDynaInst"
		altNames = "TDirect2DPen.ReleaseHandle"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 18 66 BE FC FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78488_0 {
	meta:
		name = "TDirect2DFont.Create"
		size = 249
		refs = "0016 @ClassCreate 0025 TDirect2DFont.Create 0036 TDirect2DGraphicsObject.Create 003f _DV_TDirect2DBrush 0044 TDirect2DBrush.Create 0059 DefFontData 0061 @UStrFromString 00a1 TDirect2DCanvas.GetRenderTarget 00b5 @TRUNC 00cd @IntfClear 00d3 @HandleFinally 00e2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 18 C7 47 20 08 00 00 FF 8D 43 20 8B 15 ?? ?? ?? ?? 83 C2 0F E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 04 89 43 1C A1 ?? ?? ?? ?? 8B 40 08 89 43 24 A1 ?? ?? ?? ?? 0F B6 40 0C 88 43 28 A1 ?? ?? ?? ?? 0F B6 40 0D 88 43 29 8D 45 F4 50 8D 45 F8 50 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 90 D0 00 00 00 D9 45 F8 E8 ?? ?? ?? ?? 89 43 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78490_0 {
	meta:
		name = "TDirect2DFont.Assign"
		size = 301
		refs = "0014 TDirect2DFont.Assign 0022 _Dn_TFont 0027 @IsClass 0037 TFont.GetName 0042 @UStrAsg 004f TDirect2DFont.SetHeight 0056 TFont.GetOrientation 0060 TFont.GetPitch 006d TDirect2DFont.SetColor 0088 _DV_TDirect2DFont 00a3 SRequireSameOwner 00a8 LoadResString 00b2 _DV_EDirect2DException 00b7 Exception.Create 00bc @RaiseExcept 00fd TPersistent.Assign 0112 @UStrClr 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 55 8D 55 F8 8B FB 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8D 46 20 E8 ?? ?? ?? ?? 8B 47 10 8B 50 18 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 46 24 8B C7 E8 ?? ?? ?? ?? 88 46 28 8B 57 18 8B C6 E8 ?? ?? ?? ?? 8B 47 10 0F B6 40 21 88 45 FF 0F B6 45 FF 88 46 29 EB 7D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 63 8B FB 8B 47 10 3B 46 10 74 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 57 18 8B 46 18 8B 08 FF 51 08 8B 47 1C 89 46 1C 8D 46 20 8B 57 20 E8 ?? ?? ?? ?? 8B 47 24 89 46 24 0F B6 47 28 88 46 28 0F B6 47 29 88 46 29 8B 47 2C 89 46 2C EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78493_0 {
	meta:
		name = "TDirect2DFont.GetHandle"
		size = 196
		refs = "0017 TDirect2DFont.GetHandle 0046 @IntfClear 0059 TDirect2DFont.GetSize 005f MulDiv 007a @UStrToPWChar 0085 DWriteFactory 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 29 02 74 07 BF 02 00 00 00 EB 02 33 FF F6 43 29 01 74 07 BE BC 02 00 00 EB 05 BE 90 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 48 8B 43 2C 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 DB 45 F8 83 C4 FC D9 1C 24 9B 6A 05 57 56 6A 00 8B 43 20 E8 ?? ?? ?? ?? 50 8D 55 F4 33 C0 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 65 00 6E 00 2D 00 75 00 73 00 00 00 }
	condition:
		$1
}

rule function_78495_0 {
	meta:
		name = "TDirect2DFont.GetSize"
		size = 22
		refs = "000e MulDiv"
	strings:
		$1 = { 53 8B D8 8B 43 2C 50 6A 48 8B 43 1C 50 E8 ?? ?? ?? ?? F7 D8 5B C3 }
	condition:
		$1
}

rule function_78499_0 {
	meta:
		name = "TDirect2DFont.SetSize"
		size = 26
		refs = "000e MulDiv"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 48 8B 43 2C 50 56 E8 ?? ?? ?? ?? F7 D8 89 43 1C 5E 5B C3 }
	condition:
		$1
}

rule function_78501_0 {
	meta:
		name = "PointsToArc"
		size = 1024
		refs = "001c GetExceptionMask 0026 PointsToArc 002b SetExceptionMask 00f6 ArcTan2 022b Sqrt 039e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 7D 08 8B 75 0C 8B 5D 14 E8 ?? ?? ?? ?? 88 45 CB 0F B6 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 3B 45 F4 7D 05 8B 45 FC EB 03 8B 45 F4 89 45 B4 DB 45 B4 D9 5D EC 9B 8B 45 F8 3B 45 28 7D 05 8B 45 F8 EB 03 8B 45 28 89 45 B4 DB 45 B4 D9 5D F0 9B 8B 45 FC 3B 45 F4 7E 05 8B 45 FC EB 03 8B 45 F4 89 45 B4 DB 45 B4 D9 5D E4 9B 8B 45 F8 3B 45 28 7E 05 8B 45 F8 EB 03 8B 45 28 89 45 B4 DB 45 B4 D9 5D E8 9B D9 45 E4 D8 45 EC D8 35 ?? ?? ?? ?? D9 5D C0 9B D9 45 E8 D8 45 F0 D8 35 ?? ?? ?? ?? D9 5D C4 9B 8B 45 C0 89 03 8B 45 C4 89 43 04 DB 45 20 D8 6B 04 D8 25 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B DB 45 24 D8 2B D8 25 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 5D E0 9B DB 45 18 D8 6B 04 D8 25 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B DB 45 1C D8 2B D8 25 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 5D DC 9B DB 2D ?? ?? ?? ?? D8 65 E0 D9 5D E0 9B DB 2D ?? ?? ?? ?? D8 65 DC D9 5D DC 9B D9 45 DC D8 65 E0 D9 5D D8 9B D9 45 D8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 20 D9 45 D8 D9 E0 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 73 0D DB 2D ?? ?? ?? ?? D8 45 D8 D9 5D D8 9B 33 C0 89 47 10 DB 2D ?? ?? ?? ?? D8 5D D8 9B DF E0 9E 73 09 C7 47 18 01 00 00 00 EB 05 33 C0 89 47 18 33 C0 89 47 14 D9 45 E4 D8 65 EC D8 25 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? D9 5D B8 9B D9 45 E8 D8 65 F0 D8 25 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? D9 5D BC 9B 8B 45 B8 89 47 08 8B 45 BC 89 47 0C D9 47 08 D8 4F 08 D9 5D D4 9B D9 47 0C D8 4F 0C D9 5D D0 9B DB 45 20 D8 63 04 DB 45 20 D8 63 04 DE C9 DB 45 24 D8 23 DB 45 24 D8 23 DE C9 DE F9 D9 5D CC 9B D9 45 D4 D8 4D D0 D9 45 D4 D8 4D CC D8 45 D0 DE F9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? 8B 45 10 D9 18 9B 8B 45 10 D9 00 8B 45 10 D8 08 D8 75 D4 D8 2D ?? ?? ?? ?? D8 4D D0 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? 8B 45 10 D9 58 04 9B DB 2D ?? ?? ?? ?? D8 5D E0 9B DF E0 9E 77 0F DB 2D ?? ?? ?? ?? D8 5D E0 9B DF E0 9E 73 0F D9 03 8B 45 10 D8 00 8B 45 10 D9 18 9B EB 0D D9 03 8B 45 10 D8 20 8B 45 10 D9 18 9B DB 2D ?? ?? ?? ?? D8 5D E0 9B DF E0 9E 73 12 D9 43 04 8B 45 10 D8 40 04 8B 45 10 D9 58 04 9B EB 10 D9 43 04 8B 45 10 D8 60 04 8B 45 10 D9 58 04 9B DB 45 18 D8 63 04 DB 45 18 D8 63 04 DE C9 DB 45 1C D8 23 DB 45 1C D8 23 DE C9 DE F9 D9 5D CC 9B D9 45 D4 D8 4D D0 D9 45 D4 D8 4D CC D8 45 D0 DE F9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 1E 9B D9 06 D8 0E D8 75 D4 D8 2D ?? ?? ?? ?? D8 4D D0 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 5E 04 9B DB 2D ?? ?? ?? ?? D8 5D DC 9B DF E0 9E 77 0F DB 2D ?? ?? ?? ?? D8 5D DC 9B DF E0 9E 73 09 D9 03 D8 06 D9 1E 9B EB 07 D9 03 D8 26 D9 1E 9B DB 2D ?? ?? ?? ?? D8 5D DC 9B DF E0 9E 73 0C D9 43 04 D8 46 04 D9 5E 04 9B EB 0A D9 43 04 D8 66 04 D9 5E 04 9B 8B 06 89 07 8B 46 04 89 47 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 45 CB E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5F 5E 5B 8B E5 5D C2 24 00 00 00 00 3F 00 00 00 00 00 00 40 00 00 00 3F 35 C2 68 21 A2 DA 0F C9 00 40 00 00 00 00 00 00 3B DF 4F 8D 97 6E 12 83 F5 3F 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 00 00 80 3F 35 C2 68 21 A2 DA 0F C9 FF 3F 00 00 A8 91 0E 99 F9 E3 CB 96 01 40 00 00 }
	condition:
		$1
}

rule function_78502_0 {
	meta:
		name = "TDirect2DCanvas.InitResources"
		size = 100
		refs = "0009 _DV_TList<Vcl.Direct2D.TDirect2DGraphicsObject> 000e TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Create 001a _DV_TDirect2DPen 001f TDirect2DPen.Create 002b _DV_TDirect2DFont 0030 TDirect2DFont.Create 003c _DV_TDirect2DBrush 0041 TDirect2DBrush.Create"
	strings:
		$1 = { 53 83 C4 F8 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 44 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 33 C0 89 04 24 33 C0 89 44 24 04 8B 04 24 89 43 64 8B 44 24 04 89 43 68 59 5A 5B C3 }
	condition:
		$1
}

rule function_78503_0 {
	meta:
		name = "TDirect2DCanvas.Supported"
		size = 140
		refs = "0003 TDirect2DCanvas.FSupported 000b TDirect2DCanvas.Supported 0010 LoadLibrary 0021 GetProcAddress 003b FreeLibrary"
	strings:
		$1 = { 53 80 3D ?? ?? ?? ?? 00 75 3E 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 76 27 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 74 09 C6 05 ?? ?? ?? ?? 01 EB 07 C6 05 ?? ?? ?? ?? 02 53 E8 ?? ?? ?? ?? EB 07 C6 05 ?? ?? ?? ?? 02 80 3D ?? ?? ?? ?? 01 0F 94 C0 5B C3 64 00 32 00 64 00 31 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 44 00 32 00 44 00 31 00 43 00 72 00 65 00 61 00 74 00 65 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 00 00 }
	condition:
		$1
}

rule function_78504_0 {
	meta:
		name = "TDirect2DCanvas.Create"
		size = 136
		refs = "0011 @ClassCreate 002c TCanvas.GetHandle 0037 TDirect2DCanvas.Create 003e TDirect2DCanvas.GetPen 004d TDirect2DCanvas.GetBrush 005c TDirect2DCanvas.GetFont 006f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 08 8D 7D F0 A5 A5 A5 A5 8B F1 8B DA 8B F8 8D 45 F0 50 8B C6 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 56 44 8B 08 FF 51 08 8B C7 E8 ?? ?? ?? ?? 8B 56 48 8B 08 FF 51 08 8B C7 E8 ?? ?? ?? ?? 8B 56 40 8B 08 FF 51 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_78505_0 {
	meta:
		name = "TDirect2DCanvas.Create"
		size = 94
		refs = "0011 @ClassCreate 003a TDirect2DCanvas.InitResources 0045 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 08 8D 7D F0 A5 A5 A5 A5 8B DA 8B F0 33 C0 89 46 4C 89 4E 48 56 8D 7E 50 8D 75 F0 A5 A5 A5 A5 5E 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_78506_0 {
	meta:
		name = "TDirect2DCanvas.Create"
		size = 99
		refs = "0011 @ClassCreate 002e Rect 0041 TDirect2DCanvas.InitResources 004c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 4C 33 C0 89 46 48 6A 00 8D 45 F0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 56 8D 7E 50 8D 75 F0 A5 A5 A5 A5 5E 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78507_0 {
	meta:
		name = "TDirect2DCanvas.Destroy"
		size = 100
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0052 TPersistent.Destroy 005d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78508_0 {
	meta:
		name = "TDirect2DCanvas.CreateBrush"
		size = 382
		refs = "0046 TDirect2DCanvas.CreateBrush 005f :TDirect2DCanvas.:1 0064 @DynArraySetLength 007e D2D1ColorF 00bf @IntfClear 00cc @DynArrayLength 00dc TDirect2DCanvas.GetRenderTarget 0102 D2D1LinearGradientBrushProperties 0125 @IntfCopy 013b ID2D1RenderTarget 0145 @FinalizeArray 0163 @DynArrayClear 0169 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 DB 89 5D B8 89 5D BC 89 5D FC 89 5D F8 89 5D F4 8B 75 0C 8D 7D D8 A5 A5 8B 75 10 8D 7D E0 A5 A5 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 4D E8 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D E8 43 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B FB 4F 85 FF 7C 49 47 33 F6 8B 5D EC 8D 55 C8 8B 03 E8 ?? ?? ?? ?? 8D 04 B6 8B 55 FC 56 57 8D 75 C8 8D 7C 82 04 A5 A5 A5 A5 5F 5E 89 75 C4 DB 45 C4 8B 45 E8 40 48 89 45 C0 DB 45 C0 DE F9 8D 04 B6 8B 55 FC D9 1C 82 9B 46 83 C3 04 4F 75 BD 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8D 55 BC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 00 FF 50 24 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F8 50 6A 00 8D 4D C8 8D 55 D8 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 C8 50 8D 55 B8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 00 FF 50 28 8B 45 08 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C7 8B 7D AC 8B 75 B0 8B 5D B4 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_78509_0 {
	meta:
		name = "TDirect2DCanvas.CreateBitmap"
		size = 343
		refs = "0019 TDirect2DCanvas.CreateBitmap 002e @FillChar 007f :TDirect2DCanvas.:2 0084 @DynArraySetLength 00aa TBitmap.GetCanvas 00af TCanvas.GetHandle 00b5 GetDIBits 00cd TBitmap.GetPixelFormat 0105 @IntfClear 0144 @DynArrayClear 014a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C4 33 C9 BA 2C 00 00 00 E8 ?? ?? ?? ?? C7 45 C4 28 00 00 00 8B C3 8B 10 FF 52 24 F7 D8 89 45 CC 8B C3 8B 10 FF 52 30 89 45 C8 66 C7 45 D0 01 00 66 C7 45 D2 20 00 8B C3 8B 10 FF 52 24 8B F8 8B C3 8B 10 FF 52 30 0F AF F8 8B C7 03 C0 03 C0 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 00 8D 45 C4 50 8B 45 FC 50 8B C3 8B 10 FF 52 24 50 6A 00 8B C3 8B 10 FF 52 70 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 89 45 BC 33 C0 89 45 C0 C7 45 B4 57 00 00 00 8B C3 E8 ?? ?? ?? ?? 3C 07 75 06 80 7B 39 00 75 09 C7 45 B8 03 00 00 00 EB 07 C7 45 B8 01 00 00 00 8B C3 8B 10 FF 52 30 8B F8 8B C3 8B 10 FF 52 24 89 7D F0 89 45 F4 8B 45 F8 E8 ?? ?? ?? ?? 50 8D 45 B4 50 8B C3 8B 10 FF 52 30 03 C0 03 C0 50 8B 45 FC 50 FF 75 F4 FF 75 F0 8B 46 60 50 8B 00 FF 50 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78510_0 {
	meta:
		name = "TDirect2DCanvas.CreateBrush"
		size = 385
		refs = "0046 TDirect2DCanvas.CreateBrush 005f :TDirect2DCanvas.:3 0064 @DynArraySetLength 007e D2D1ColorF 00bf @IntfClear 00cc @DynArrayLength 00dc TDirect2DCanvas.GetRenderTarget 0108 D2D1RadialGradientBrushProperties 012b @IntfCopy 0166 @DynArrayClear 016c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 33 DB 89 5D A0 89 5D BC 89 5D FC 89 5D F8 89 5D F4 8B 75 14 8D 7D D8 A5 A5 8B 75 18 8D 7D E0 A5 A5 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 4D E8 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D E8 43 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B FB 4F 85 FF 7C 49 47 33 F6 8B 5D EC 8D 55 C8 8B 03 E8 ?? ?? ?? ?? 8D 04 B6 8B 55 FC 56 57 8D 75 C8 8D 7C 82 04 A5 A5 A5 A5 5F 5E 89 75 C4 DB 45 C4 8B 45 E8 40 48 89 45 C0 DB 45 C0 DE F9 8D 04 B6 8B 55 FC D9 1C 82 9B 46 83 C3 04 4F 75 BD 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8D 55 BC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 00 FF 50 24 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F8 50 6A 00 FF 75 10 FF 75 0C 8D 4D A4 8D 55 D8 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 A4 50 8D 55 A0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 A0 50 8B 00 FF 50 2C 8B 45 08 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 8B 7D 94 8B 75 98 8B 5D 9C 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_78511_0 {
	meta:
		name = "TDirect2DCanvas.CreateBrush"
		size = 150
		refs = "001b TDirect2DCanvas.CreateBrush 0040 TDirect2DCanvas.CreateBitmap 0048 @IntfClear 0066 @IntfCopy 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 EC 01 00 00 00 C7 45 F0 01 00 00 00 33 C0 89 45 F4 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 8D 45 EC 50 8B 45 FC 50 8B 43 60 50 8B 00 FF 50 1C 8B C7 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78512_0 {
	meta:
		name = "TDirect2DCanvas.CreateBrush"
		size = 114
		refs = "0018 TDirect2DCanvas.CreateBrush 0026 @IntfClear 0033 D2D1ColorF 004a @IntfCopy 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 43 60 50 8B 00 FF 50 20 8B C7 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78513_0 {
	meta:
		name = "TDirect2DCanvas.CreateRenderTarget"
		size = 283
		refs = "0015 TDirect2DCanvas.CreateRenderTarget 002c GetWindowRect 0038 D2DFactory 0052 @IntfClear 0064 D2D1HwndRenderTargetProperties 0072 D2D1RenderTargetProperties 0084 OleCheck 00b1 D2D1PixelFormat 0110 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 33 D2 89 55 AC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 4C 85 C0 74 64 8D 55 E4 52 50 E8 ?? ?? ?? ?? 8D 4D FC 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 EC 2B 45 E4 89 45 F4 8B 45 F0 2B 45 E8 89 45 F8 8D 43 60 E8 ?? ?? ?? ?? 50 8D 45 D4 50 33 C9 8D 55 F4 8B 43 4C E8 ?? ?? ?? ?? 8D 45 D4 50 8D 55 B8 33 C0 E8 ?? ?? ?? ?? 8D 45 B8 50 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? EB 67 83 7B 48 00 74 61 8D 43 60 E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 8D 45 B8 50 8D 4D B0 BA 01 00 00 00 B8 57 00 00 00 E8 ?? ?? ?? ?? 8D 55 B0 B9 02 00 00 00 33 C0 E8 ?? ?? ?? ?? 8D 45 B8 50 8D 4D AC 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 AC 50 8B 00 FF 50 40 8D 43 50 50 8B 43 48 50 8B 43 60 50 8B 00 FF 90 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78514_0 {
	meta:
		name = "TDirect2DCanvas.BeginDraw"
		size = 96
		refs = "000c TDirect2DCanvas.BeginDraw 002a TDirect2DCanvas.GetRenderTarget 004b @IntfClear 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 C0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_78515_0 {
	meta:
		name = "TDirect2DCanvas.EndDraw"
		size = 98
		refs = "000c TDirect2DCanvas.EndDraw 0020 TDirect2DCanvas.GetRenderTarget 0052 @IntfClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 C4 00 00 00 3D 0C 00 99 88 75 0A 8B C3 8B 10 FF 92 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_78519_0 {
	meta:
		name = "TDirect2DCanvas.GetPenPos"
		size = 12
	strings:
		$1 = { 8B 48 64 89 0A 8B 48 68 89 4A 04 C3 }
	condition:
		$1
}

rule function_78520_0 {
	meta:
		name = "TDirect2DCanvas.GetRenderTarget"
		size = 32
		refs = "000f TDirect2DCanvas.CreateRenderTarget 0019 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 60 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 60 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78521_0 {
	meta:
		name = "TDirect2DCanvas.SetBrush"
		size = 150
		refs = "0015 TDirect2DCanvas.SetBrush 003a TObject.ClassName 0052 SDirect2DInvalidOwner 0057 LoadResString 0061 _DV_EDirect2DException 0066 Exception.CreateFmt 006b @RaiseExcept 0085 @UStrArrayClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F4 89 4D F0 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 74 11 3B 43 10 75 0C 8B D3 8B 40 40 8B 08 FF 51 08 EB 3B 8D 55 F4 8B 03 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78522_0 {
	meta:
		name = "TDirect2DCanvas.SetFont"
		size = 150
		refs = "0015 TDirect2DCanvas.SetFont 003a TObject.ClassName 0052 SDirect2DInvalidOwner 0057 LoadResString 0061 _DV_EDirect2DException 0066 Exception.CreateFmt 006b @RaiseExcept 0085 @UStrArrayClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F4 89 4D F0 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 74 11 3B 43 10 75 0C 8B D3 8B 40 3C 8B 08 FF 51 08 EB 3B 8D 55 F4 8B 03 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78523_0 {
	meta:
		name = "TDirect2DCanvas.SetPen"
		size = 163
		refs = "0018 TDirect2DCanvas.SetPen 0037 TObject.Free 0046 TObject.ClassName 005e SDirect2DInvalidOwner 0063 LoadResString 006d _DV_EDirect2DException 0072 Exception.CreateFmt 0077 @RaiseExcept 0091 @UStrArrayClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F4 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 1A 3B 5E 10 75 15 8D 43 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 89 73 38 EB 3B 8D 55 F4 8B 06 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78524_0 {
	meta:
		name = "TDirect2DCanvas.SetPenPos"
		size = 30
	strings:
		$1 = { 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 8B 14 24 89 50 64 8B 54 24 04 89 50 68 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_78525_0 {
	meta:
		name = "TDirect2DCanvas.Notification"
		size = 22
		refs = "0008 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Add 0011 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.Remove"
	strings:
		$1 = { 84 C9 75 09 8B 40 44 E8 ?? ?? ?? ?? C3 8B 40 44 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78526_0 {
	meta:
		name = "TDirect2DCanvas.RequiredState"
		size = 308
		refs = "001e TDirect2DCanvas.RequiredState 0037 TDirect2DCanvas.CreateRenderTarget 0051 TDirect2DBrush.GetHandle 00b3 @IntfClear 00cd Styles 00e2 D2D1StrokeStyleProperties 00f2 D2DFactory 0119 ID2D1Brush 0123 @FinalizeArray 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 C9 89 4D D0 89 4D F0 89 4D F4 89 4D F8 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 FF 01 74 0D 83 7B 60 00 75 07 8B C3 E8 ?? ?? ?? ?? F6 45 FF 08 74 14 8B 43 40 83 78 1C 00 75 0B 8D 55 F8 8B 43 40 E8 ?? ?? ?? ?? F6 45 FF 02 74 1A 8B 43 3C 8B 40 18 83 78 1C 00 75 0E 8D 55 F4 8B 43 3C 8B 40 18 E8 ?? ?? ?? ?? F6 45 FF 04 0F 84 80 00 00 00 8B 43 38 8B 40 18 83 78 1C 00 75 08 8D 55 F0 E8 ?? ?? ?? ?? 8B 43 38 0F B6 50 20 84 D2 74 61 80 C2 FB 80 EA 02 72 59 83 78 1C 00 75 53 8B 43 38 83 C0 1C E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 02 68 00 00 20 41 8B 43 38 0F B6 40 20 8B 04 85 ?? ?? ?? ?? 50 6A 00 8D 45 D4 50 B9 02 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D4 50 8D 4D D0 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 D0 50 8B 00 FF 50 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78527_0 {
	meta:
		name = "TDirect2DCanvas.DrawEllipse"
		size = 124
		refs = "0010 TDirect2DCanvas.DrawEllipse 0043 TDirect2DBrush.GetHandle 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 73 38 8B 46 1C 50 DB 46 24 83 C4 FC D9 1C 24 9B 8D 55 FC 8B 43 38 8B 40 18 E8 ?? ?? ?? ?? 8B 45 FC 50 57 8B 43 60 50 8B 00 FF 50 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 05 00 00 00 }
	condition:
		$1
}

rule function_78528_0 {
	meta:
		name = "TDirect2DCanvas.DrawGeometry"
		size = 152
		refs = "0016 @IntfAddRef 001e TDirect2DCanvas.DrawGeometry 0051 TDirect2DBrush.GetHandle 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 73 38 8B 46 1C 50 DB 46 24 83 C4 FC D9 1C 24 9B 8D 55 F8 8B 43 38 8B 40 18 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 50 8B 43 60 50 8B 00 FF 50 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 05 00 00 00 }
	condition:
		$1
}

rule function_78529_0 {
	meta:
		name = "TDirect2DCanvas.DrawLine"
		size = 156
		refs = "0022 TDirect2DCanvas.DrawLine 0055 TDirect2DBrush.GetHandle 0083 @IntfClear 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B F1 8D 7D F0 A5 A5 8B F2 8D 7D F8 A5 A5 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 73 38 8B 46 1C 50 DB 46 24 83 C4 FC D9 1C 24 9B 8D 55 EC 8B 43 38 8B 40 18 E8 ?? ?? ?? ?? 8B 45 EC 50 FF 75 F4 FF 75 F0 FF 75 FC FF 75 F8 8B 43 60 50 8B 00 FF 50 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 05 00 00 00 }
	condition:
		$1
}

rule function_78530_0 {
	meta:
		name = "TDirect2DCanvas.DrawRectangle"
		size = 124
		refs = "0010 TDirect2DCanvas.DrawRectangle 0043 TDirect2DBrush.GetHandle 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 73 38 8B 46 1C 50 DB 46 24 83 C4 FC D9 1C 24 9B 8D 55 FC 8B 43 38 8B 40 18 E8 ?? ?? ?? ?? 8B 45 FC 50 57 8B 43 60 50 8B 00 FF 50 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 05 00 00 00 }
	condition:
		$1
}

rule function_78531_0 {
	meta:
		name = "TDirect2DCanvas.DrawRoundedRectangle"
		size = 124
		refs = "0010 TDirect2DCanvas.DrawRoundedRectangle 0043 TDirect2DBrush.GetHandle 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 73 38 8B 46 1C 50 DB 46 24 83 C4 FC D9 1C 24 9B 8D 55 FC 8B 43 38 8B 40 18 E8 ?? ?? ?? ?? 8B 45 FC 50 57 8B 43 60 50 8B 00 FF 50 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 05 00 00 00 }
	condition:
		$1
}

rule function_78532_0 {
	meta:
		name = "TDirect2DCanvas.FillEllipse"
		size = 104
		refs = "000f TDirect2DCanvas.FillEllipse 002e TDirect2DBrush.GetHandle 0051 @IntfClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8D 55 FC 8B 43 40 E8 ?? ?? ?? ?? 8B 45 FC 50 56 8B 43 60 50 8B 00 FF 50 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_78533_0 {
	meta:
		name = "TDirect2DCanvas.FillGeometry"
		size = 132
		refs = "0015 @IntfAddRef 001d TDirect2DCanvas.FillGeometry 003e TDirect2DBrush.GetHandle 0064 @IntfClear 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 6A 00 8D 55 F8 8B 43 40 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 50 8B 43 60 50 8B 00 FF 50 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_78534_0 {
	meta:
		name = "TDirect2DCanvas.FillRectangle"
		size = 112
		refs = "0010 TDirect2DCanvas.FillRectangle 0037 TDirect2DBrush.GetHandle 005a @IntfClear 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 73 40 80 7E 24 01 74 18 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 57 8B 43 60 50 8B 00 FF 50 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 09 00 00 00 }
	condition:
		$1
}

rule function_78535_0 {
	meta:
		name = "TDirect2DCanvas.FillRoundedRectangle"
		size = 104
		refs = "000f TDirect2DCanvas.FillRoundedRectangle 002e TDirect2DBrush.GetHandle 0051 @IntfClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8D 55 FC 8B 43 40 E8 ?? ?? ?? ?? 8B 45 FC 50 56 8B 43 60 50 8B 00 FF 50 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_78536_0 {
	meta:
		name = "TDirect2DCanvas.Draw"
		size = 81
		refs = "0038 Rect 0044 TDirect2DCanvas.StretchDraw"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 68 FF 00 00 00 8B C3 8B 10 FF 52 24 03 45 FC 50 8D 45 EC 50 8B C3 8B 10 FF 52 30 8B C8 03 CF 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8D 55 EC 8B CB 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_78537_0 {
	meta:
		name = "TDirect2DCanvas.Draw"
		size = 81
		refs = "0038 Rect 0044 TDirect2DCanvas.StretchDraw"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 0C 0F B6 45 08 50 8B C3 8B 10 FF 52 24 03 45 FC 50 8D 45 EC 50 8B C3 8B 10 FF 52 30 8B C8 03 CF 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8D 55 EC 8B CB 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_78538_0 {
	meta:
		name = "TDirect2DCanvas.StretchDraw"
		size = 11
		refs = "0006 TDirect2DCanvas.StretchDraw"
	strings:
		$1 = { 68 FF 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78539_0 {
	meta:
		name = "TDirect2DCanvas.StretchDraw"
		size = 252
		refs = "001b TDirect2DCanvas.StretchDraw 0028 _Dn_TBitmap 002d TBitmap.Create 0055 TDirect2DCanvas.CreateBitmap 009d TDirect2DCanvas.GetRenderTarget 00bb TObject.Free 00c1 @HandleFinally 00d8 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 45 F8 8B 08 FF 51 08 8D 4D FC 8B 55 F8 8B C6 E8 ?? ?? ?? ?? DB 03 D9 5D E8 9B DB 43 08 D9 5D F0 9B DB 43 04 D9 5D EC 9B DB 43 0C D9 5D F4 9B 6A 00 6A 01 0F B6 45 08 89 45 E4 DB 45 E4 D8 35 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8D 45 E8 50 8B 45 FC 50 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 7F 43 }
	condition:
		$1
}

rule function_78540_0 {
	meta:
		name = "TDirect2DCanvas.Arc"
		size = 396
		refs = "0021 TDirect2DCanvas.Arc 0057 PointsToArc 005f @IntfClear 006c D2DFactory 00df @HandleFinally 0133 TDirect2DBrush.GetHandle"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 33 DB 89 5D B8 89 5D BC 89 5D FC 89 5D F8 8B F1 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 45 DC 50 8D 45 EC 50 8D 45 E4 50 8D 45 C0 50 8B 4D 1C 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 8D 4D BC 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 00 FF 50 28 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 FF 75 F0 FF 75 EC 8B 45 F8 50 8B 00 FF 50 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C0 50 8B 45 F8 50 8B 00 FF 50 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 8B 45 F8 50 8B 00 FF 50 20 C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 24 C3 E9 ?? ?? ?? ?? EB EF 0F B6 15 ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 2C 8B 45 F4 8B 58 38 8B 43 1C 50 DB 43 24 83 C4 FC D9 1C 24 9B 8D 55 B8 8B 45 F4 8B 40 38 8B 40 18 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 45 FC 50 8B 45 F4 8B 40 60 50 8B 00 FF 50 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C2 18 00 0D 00 00 00 }
	condition:
		$1
}

rule function_78541_0 {
	meta:
		name = "TDirect2DCanvas.ArcTo"
		size = 476
		refs = "0021 TDirect2DCanvas.ArcTo 0057 PointsToArc 005f @IntfClear 006c D2DFactory 010e @HandleFinally 011b D2D_POINT_2F.&op_Explicit 017c TDirect2DBrush.GetHandle"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 33 DB 89 5D A8 89 5D B4 89 5D FC 89 5D F8 8B F1 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 45 DC 50 8D 45 EC 50 8D 45 E4 50 8D 45 B8 50 8B 4D 1C 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 8D 4D B4 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 B4 50 8B 00 FF 50 28 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 DB 40 64 D8 05 ?? ?? ?? ?? D9 5D D4 9B 8B 45 F4 DB 40 68 D8 05 ?? ?? ?? ?? D9 5D D8 9B 6A 00 FF 75 D8 FF 75 D4 8B 45 F8 50 8B 00 FF 50 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 F0 FF 75 EC 8B 45 F8 50 8B 00 FF 50 28 8D 45 B8 50 8B 45 F8 50 8B 00 FF 50 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 8B 45 F8 50 8B 00 FF 50 20 C3 E9 ?? ?? ?? ?? EB ED 8D 55 AC 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 AC 89 50 64 8B 55 B0 89 50 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 24 C3 E9 ?? ?? ?? ?? EB EF 0F B6 15 ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 2C 8B 45 F4 8B 58 38 8B 43 1C 50 DB 43 24 83 C4 FC D9 1C 24 9B 8D 55 A8 8B 45 F4 8B 40 38 8B 40 18 E8 ?? ?? ?? ?? 8B 45 A8 50 8B 45 FC 50 8B 45 F4 8B 40 60 50 8B 00 FF 50 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C2 18 00 00 00 00 00 00 00 3F 0D 00 00 00 }
	condition:
		$1
}

rule function_78542_0 {
	meta:
		name = "TDirect2DCanvas.AngleArc"
		size = 768
		refs = "0025 TDirect2DCanvas.AngleArc 0099 SinCos 0170 @IntfClear 017d D2DFactory 021f @HandleFinally 022c D2D_POINT_2F.&op_Explicit 028d TDirect2DBrush.GetHandle"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 56 57 33 DB 89 5D 8C 89 5D 90 89 5D FC 89 5D F8 8B F9 8B F2 89 45 F4 8B 5D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D 98 33 C0 89 45 9C DF 6D 98 D9 5D D4 9B 89 5D 98 33 C0 89 45 9C DF 6D 98 D9 5D D8 9B 8B 45 D4 89 45 A8 8B 45 D8 89 45 AC 8B 45 08 89 45 B0 D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 09 C7 45 B8 01 00 00 00 EB 05 33 C0 89 45 B8 DB 2D ?? ?? ?? ?? D8 4D 0C D8 35 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8D 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 89 5D 98 33 C0 89 45 9C DF 6D 98 D8 4D DC 89 75 94 DB 45 94 DE C1 D9 5D CC 9B 89 5D 98 33 C0 89 45 9C DF 6D 98 D8 4D E0 89 7D 94 DB 45 94 DE E1 D9 5D D0 9B 8B 45 CC 89 45 EC 8B 45 D0 89 45 F0 D9 45 0C D8 45 08 DB 2D ?? ?? ?? ?? DE C9 D8 35 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8D 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 89 5D 98 33 C0 89 45 9C DF 6D 98 D8 4D DC 89 75 94 DB 45 94 DE C1 D9 5D C4 9B 89 5D 98 33 C0 89 45 9C DF 6D 98 D8 4D E0 89 7D 94 DB 45 94 DE E1 D9 5D C8 9B 8B 45 C4 89 45 E4 8B 45 C8 89 45 E8 8B 45 E4 89 45 A0 8B 45 E8 89 45 A4 D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 07 33 C0 89 45 B4 EB 07 C7 45 B4 01 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 8D 4D 90 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 90 50 8B 00 FF 50 28 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 DB 40 64 D8 05 ?? ?? ?? ?? D9 5D BC 9B 8B 45 F4 DB 40 68 D8 05 ?? ?? ?? ?? D9 5D C0 9B 6A 00 FF 75 C0 FF 75 BC 8B 45 F8 50 8B 00 FF 50 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 F0 FF 75 EC 8B 45 F8 50 8B 00 FF 50 28 8D 45 A0 50 8B 45 F8 50 8B 00 FF 50 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 8B 45 F8 50 8B 00 FF 50 20 C3 E9 ?? ?? ?? ?? EB ED 8D 55 98 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 98 89 50 64 8B 55 9C 89 50 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 24 C3 E9 ?? ?? ?? ?? EB EF 0F B6 15 ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 2C 8B 45 F4 8B 58 38 8B 43 1C 50 DB 43 24 83 C4 FC D9 1C 24 9B 8D 55 8C 8B 45 F4 8B 40 38 8B 40 18 E8 ?? ?? ?? ?? 8B 45 8C 50 8B 45 FC 50 8B 45 F4 8B 40 60 50 8B 00 FF 50 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 34 43 35 C2 68 21 A2 DA 0F C9 00 40 00 00 00 00 00 00 00 00 00 3F 0D 00 00 00 }
	condition:
		$1
}

rule function_78543_0 {
	meta:
		name = "TDirect2DCanvas.Chord"
		size = 456
		refs = "0024 TDirect2DCanvas.Chord 005a PointsToArc 0062 @IntfClear 006f D2DFactory 00e2 @HandleFinally 0129 TDirect2DBrush.GetHandle 018c ID2D1Brush 0196 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 33 DB 89 5D B4 89 5D B8 89 5D BC 89 5D FC 89 5D F8 8B F1 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 45 DC 50 8D 45 EC 50 8D 45 E4 50 8D 45 C0 50 8B 4D 1C 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 8D 4D BC 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 00 FF 50 28 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 FF 75 F0 FF 75 EC 8B 45 F8 50 8B 00 FF 50 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C0 50 8B 45 F8 50 8B 00 FF 50 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 01 8B 45 F8 50 8B 00 FF 50 20 C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 24 C3 E9 ?? ?? ?? ?? EB EF 0F B6 15 ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 2C 8B 45 F4 8B 58 40 80 7B 24 01 74 20 6A 00 8D 55 B8 8B C3 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 45 FC 50 8B 45 F4 8B 40 60 50 8B 00 FF 50 5C 8B 45 F4 8B 58 38 8B 43 1C 50 DB 43 24 83 C4 FC D9 1C 24 9B 8D 55 B4 8B 45 F4 8B 40 38 8B 40 18 E8 ?? ?? ?? ?? 8B 45 B4 50 8B 45 FC 50 8B 45 F4 8B 40 60 50 8B 00 FF 50 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5E 5B 8B E5 5D C2 18 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_78544_0 {
	meta:
		name = "TDirect2DCanvas.Ellipse"
		size = 336
		refs = "0021 TDirect2DCanvas.Ellipse 008e D2D1Ellipse 00b0 TDirect2DBrush.GetHandle 00c2 TDirect2DCanvas.GetRenderTarget 011a @IntfClear 0138 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D4 89 5D D0 89 5D DC 89 5D D8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 03 C6 89 45 E4 DB 45 E4 D8 35 ?? ?? ?? ?? D9 5D F8 9B 8B 45 08 03 C7 89 45 E4 DB 45 E4 D8 35 ?? ?? ?? ?? D9 5D FC 9B 8B 45 0C 2B C6 48 89 45 E4 DB 45 E4 D8 35 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8B 45 08 2B C7 48 89 45 E0 DB 45 E0 D8 35 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8D 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 43 40 80 78 24 01 74 26 8D 55 DC 8B 43 40 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 45 E8 50 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 54 8B 73 38 8B 46 1C 50 DB 46 24 83 C4 FC D9 1C 24 9B 8D 55 D4 8B 43 38 8B 40 18 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 45 E8 50 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 45 D0 50 8B 00 FF 50 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 00 40 0D 00 00 00 }
	condition:
		$1
}

rule function_78545_0 {
	meta:
		name = "TDirect2DCanvas.FillRect"
		size = 33
		refs = "000e D2D_RECT_F.&op_Implicit 0017 TDirect2DCanvas.FillRectangle"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_80279_0 {
	meta:
		name = "TBrush.SetHandle"
		size = 33
		refs = "000e GetBrushData 0017 TBrush.SetData"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_80262_0 {
	meta:
		name = "TPen.SetHandle"
		size = 33
		refs = "000e GetPenData 0017 TPen.SetData"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_78546_0 {
	meta:
		name = "TDirect2DCanvas.FrameRect"
		size = 212
		refs = "0015 TDirect2DCanvas.FrameRect 0031 TDirect2DBrush.GetStyle 0092 TDirect2DBrush.GetHandle 00b8 @IntfClear 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 C9 89 4D DC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 43 40 E8 ?? ?? ?? ?? 3C 01 74 6E DB 06 D8 05 ?? ?? ?? ?? D9 5D FC 9B DB 46 04 D8 05 ?? ?? ?? ?? D9 5D F8 9B DB 46 08 D8 25 ?? ?? ?? ?? D9 5D F4 9B DB 46 0C D8 25 ?? ?? ?? ?? D9 5D F0 9B 8B 45 FC 89 45 E0 8B 45 F8 89 45 E4 8B 45 F4 89 45 E8 8B 45 F0 89 45 EC 6A 00 68 00 00 80 3F 8D 55 DC 8B 43 40 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 45 E0 50 8B 43 60 50 8B 00 FF 50 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 09 00 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_78547_0 {
	meta:
		name = "TDirect2DCanvas.Pie"
		size = 472
		refs = "0024 TDirect2DCanvas.Pie 005a PointsToArc 0062 @IntfClear 006f D2DFactory 00f1 @HandleFinally 0138 TDirect2DBrush.GetHandle 019b ID2D1Brush 01a5 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 33 DB 89 5D B4 89 5D B8 89 5D BC 89 5D FC 89 5D F8 8B F1 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 45 DC 50 8D 45 EC 50 8D 45 E4 50 8D 45 C0 50 8B 4D 1C 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 8D 4D BC 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 00 FF 50 28 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 FF 75 E0 FF 75 DC 8B 45 F8 50 8B 00 FF 50 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 F0 FF 75 EC 8B 45 F8 50 8B 00 FF 50 28 8D 45 C0 50 8B 45 F8 50 8B 00 FF 50 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 01 8B 45 F8 50 8B 00 FF 50 20 C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 24 C3 E9 ?? ?? ?? ?? EB EF 0F B6 15 ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 2C 8B 45 F4 8B 58 40 80 7B 24 01 74 20 6A 00 8D 55 B8 8B C3 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 45 FC 50 8B 45 F4 8B 40 60 50 8B 00 FF 50 5C 8B 45 F4 8B 58 38 8B 43 1C 50 DB 43 24 83 C4 FC D9 1C 24 9B 8D 55 B4 8B 45 F4 8B 40 38 8B 40 18 E8 ?? ?? ?? ?? 8B 45 B4 50 8B 45 FC 50 8B 45 F4 8B 40 60 50 8B 00 FF 50 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5E 5B 8B E5 5D C2 18 00 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_78548_0 {
	meta:
		name = "TDirect2DCanvas.PolyBezier"
		size = 576
		refs = "0022 TDirect2DCanvas.PolyBezier 0045 @IntfClear 0052 D2DFactory 0072 OleCheck 0157 D2D1BezierSegment 0191 @HandleFinally 01e5 TDirect2DBrush.GetHandle"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 33 DB 89 5D 90 89 5D AC 89 5D FC 89 5D F8 89 4D F0 8B F2 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 40 48 B9 03 00 00 00 99 F7 F9 85 D2 0F 8F BC 01 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 8D 4D AC 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 AC 50 8B 00 FF 50 28 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DB 06 D8 05 ?? ?? ?? ?? D9 5D EC 9B DB 46 04 D8 05 ?? ?? ?? ?? D9 5D E8 9B 8B 45 EC 89 45 E0 8B 45 E8 89 45 E4 6A 00 FF 75 E4 FF 75 E0 8B 45 F8 50 8B 00 FF 50 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 E9 99 00 00 00 DB 04 DE D8 05 ?? ?? ?? ?? D9 5D DC 9B DB 44 DE 04 D8 05 ?? ?? ?? ?? D9 5D D8 9B 8B 45 DC 89 45 D0 8B 45 D8 89 45 D4 DB 44 DE 08 D8 05 ?? ?? ?? ?? D9 5D CC 9B DB 44 DE 0C D8 05 ?? ?? ?? ?? D9 5D C8 9B 8B 45 CC 89 45 C0 8B 45 C8 89 45 C4 DB 44 DE 10 D8 05 ?? ?? ?? ?? D9 5D BC 9B DB 44 DE 14 D8 05 ?? ?? ?? ?? D9 5D B8 9B 8B 45 BC 89 45 B0 8B 45 B8 89 45 B4 8D 45 94 50 8D 4D B0 8D 55 C0 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 94 50 8B 45 F8 50 8B 00 FF 50 2C 83 C3 03 8B 45 F0 40 3B D8 0F 8C 5B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 8B 45 F8 50 8B 00 FF 50 20 C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 24 C3 E9 ?? ?? ?? ?? EB EF 0F B6 15 ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 2C 8B 45 F4 8B 58 38 8B 43 1C 50 DB 43 24 83 C4 FC D9 1C 24 9B 8D 55 90 8B 45 F4 8B 40 38 8B 40 18 E8 ?? ?? ?? ?? 8B 45 90 50 8B 45 FC 50 8B 45 F4 8B 40 60 50 8B 00 FF 50 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 00 00 3F 0D 00 00 00 }
	condition:
		$1
}

rule function_78549_0 {
	meta:
		name = "TDirect2DCanvas.Polygon"
		size = 508
		refs = "0024 TDirect2DCanvas.Polygon 0032 @IntfClear 003f D2DFactory 005f OleCheck 0114 @HandleFinally 015b TDirect2DBrush.GetHandle 01be ID2D1Brush 01c8 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 33 DB 89 5D C8 89 5D CC 89 5D D0 89 5D FC 89 5D F8 8B F1 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 4D D0 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 D0 50 8B 00 FF 50 28 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 DB 03 D8 05 ?? ?? ?? ?? D9 5D F0 9B DB 43 04 D8 05 ?? ?? ?? ?? D9 5D EC 9B 8B 45 F0 89 45 E4 8B 45 EC 89 45 E8 6A 00 FF 75 E8 FF 75 E4 8B 45 F8 50 8B 00 FF 50 14 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 46 4E 85 F6 7E 3F 8D 43 08 8B D8 DB 03 D8 05 ?? ?? ?? ?? D9 5D E0 9B DB 43 04 D8 05 ?? ?? ?? ?? D9 5D DC 9B 8B 45 E0 89 45 D4 8B 45 DC 89 45 D8 FF 75 D8 FF 75 D4 8B 45 F8 50 8B 00 FF 50 28 83 C3 08 4E 75 C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 01 8B 45 F8 50 8B 00 FF 50 20 C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 24 C3 E9 ?? ?? ?? ?? EB EF 0F B6 15 ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 2C 8B 45 F4 8B 58 40 80 7B 24 01 74 20 6A 00 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 FC 50 8B 45 F4 8B 40 60 50 8B 00 FF 50 5C 8B 45 F4 8B 58 38 8B 43 1C 50 DB 43 24 83 C4 FC D9 1C 24 9B 8D 55 C8 8B 45 F4 8B 40 38 8B 40 18 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 45 FC 50 8B 45 F4 8B 40 60 50 8B 00 FF 50 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5E 5B 8B E5 5D C3 00 00 00 00 00 3F 0D 00 00 00 }
	condition:
		$1
}

rule function_78550_0 {
	meta:
		name = "TDirect2DCanvas.Polyline"
		size = 448
		refs = "0021 TDirect2DCanvas.Polyline 002f @IntfClear 003c D2DFactory 005c OleCheck 0111 @HandleFinally 0165 TDirect2DBrush.GetHandle"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 DB 89 5D CC 89 5D D0 89 5D FC 89 5D F8 8B F1 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 4D D0 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 D0 50 8B 00 FF 50 28 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 DB 03 D8 05 ?? ?? ?? ?? D9 5D F0 9B DB 43 04 D8 05 ?? ?? ?? ?? D9 5D EC 9B 8B 45 F0 89 45 E4 8B 45 EC 89 45 E8 6A 01 FF 75 E8 FF 75 E4 8B 45 F8 50 8B 00 FF 50 14 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 46 4E 85 F6 7E 3F 8D 43 08 8B D8 DB 03 D8 05 ?? ?? ?? ?? D9 5D E0 9B DB 43 04 D8 05 ?? ?? ?? ?? D9 5D DC 9B 8B 45 E0 89 45 D4 8B 45 DC 89 45 D8 FF 75 D8 FF 75 D4 8B 45 F8 50 8B 00 FF 50 28 83 C3 08 4E 75 C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 8B 45 F8 50 8B 00 FF 50 20 C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 24 C3 E9 ?? ?? ?? ?? EB EF 0F B6 15 ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 2C 8B 45 F4 8B 58 38 8B 43 1C 50 DB 43 24 83 C4 FC D9 1C 24 9B 8D 55 CC 8B 45 F4 8B 40 38 8B 40 18 E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 FC 50 8B 45 F4 8B 40 60 50 8B 00 FF 50 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 00 00 3F 05 00 00 00 }
	condition:
		$1
}

rule function_78551_0 {
	meta:
		name = "TDirect2DCanvas.Rectangle"
		size = 312
		refs = "001b TDirect2DCanvas.Rectangle 007d TDirect2DBrush.GetHandle 010e ID2D1Brush 0118 @FinalizeArray 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 43 40 80 78 24 01 74 56 89 75 DC DB 45 DC D8 05 ?? ?? ?? ?? D9 5D F0 9B 89 7D DC DB 45 DC D8 05 ?? ?? ?? ?? D9 5D F4 9B DB 45 0C D8 25 ?? ?? ?? ?? D9 5D F8 9B DB 45 08 D8 25 ?? ?? ?? ?? D9 5D FC 9B 8D 55 D8 8B 43 40 E8 ?? ?? ?? ?? 8B 45 D8 50 8D 45 F0 50 8B 43 60 50 8B 00 FF 50 44 89 75 DC DB 45 DC D8 05 ?? ?? ?? ?? D9 5D E0 9B 89 7D DC DB 45 DC D8 05 ?? ?? ?? ?? D9 5D E4 9B DB 45 0C D8 25 ?? ?? ?? ?? D9 5D E8 9B DB 45 08 D8 25 ?? ?? ?? ?? D9 5D EC 9B 8B 73 38 8B 46 1C 50 DB 46 24 83 C4 FC D9 1C 24 9B 8D 55 D4 8B 43 38 8B 40 18 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 45 E0 50 8B 43 60 50 8B 00 FF 50 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 0D 00 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_78552_0 {
	meta:
		name = "TDirect2DCanvas.RoundRect"
		size = 292
		refs = "0016 TDirect2DCanvas.RoundRect 0081 D2D1RoundedRect 00a2 TDirect2DBrush.GetHandle 00f9 ID2D1Brush 0103 @FinalizeArray 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 DB 89 5D CC 89 5D D0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 55 D4 DB 45 D4 D8 05 ?? ?? ?? ?? D9 5D D8 9B 89 4D D4 DB 45 D4 D8 05 ?? ?? ?? ?? D9 5D DC 9B DB 45 14 D8 25 ?? ?? ?? ?? D9 5D E0 9B DB 45 10 D8 25 ?? ?? ?? ?? D9 5D E4 9B DB 45 0C D8 35 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B DB 45 08 D8 35 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8D 55 E8 8D 45 D8 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 51 2C 8B 5E 40 80 7B 24 01 74 1B 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 45 D0 50 8D 45 E8 50 8B 46 60 50 8B 00 FF 50 4C 8B 5E 38 8B 43 1C 50 DB 43 24 83 C4 FC D9 1C 24 9B 8D 55 CC 8B 46 38 8B 40 18 E8 ?? ?? ?? ?? 8B 45 CC 50 8D 45 E8 50 8B 46 60 50 8B 00 FF 50 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C2 10 00 00 00 00 00 3F 00 00 00 40 0D 00 00 00 }
	condition:
		$1
}

rule function_78553_0 {
	meta:
		name = "TDirect2DCanvas.TextExtent"
		size = 246
		refs = "001f TDirect2DCanvas.TextExtent 002f DWriteFactory 0042 @IntfClear 0052 TDirect2DFont.GetHandle 005e @UStrToPWChar 006d OleCheck 00ab @ROUND 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D FC 89 5D F8 89 4D F4 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 33 C0 E8 ?? ?? ?? ?? 8B DF 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 55 CC 8B 46 3C E8 ?? ?? ?? ?? 8B 45 CC 50 53 8B C7 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 6A 01 8B 45 FC 50 8B 00 FF 50 14 6A 00 8B 45 FC 50 8B 00 FF 50 10 6A 00 8B 45 FC 50 8B 00 FF 50 0C 8D 45 D0 50 8B 45 FC 50 8B 00 FF 90 F0 00 00 00 E8 ?? ?? ?? ?? D9 45 DC E8 ?? ?? ?? ?? 8B 55 F4 89 02 D9 45 E0 E8 ?? ?? ?? ?? 8B 55 F4 89 42 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78554_0 {
	meta:
		name = "TDirect2DCanvas.TextOut"
		size = 504
		refs = "002f TDirect2DCanvas.TextOut 003f DWriteFactory 0052 @IntfClear 0062 TDirect2DFont.GetHandle 006e @UStrToPWChar 007d OleCheck 0106 TDirect2DCanvas.GetRenderTarget 0133 TDirect2DBrush.GetHandle 01a5 ID2D1Brush 01af @FinalizeArray 01c0 ID2D1RenderTarget 01e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 DB 89 5D 98 89 5D 9C 89 5D A0 89 5D FC 89 5D F8 89 5D F4 89 5D F0 89 4D E8 89 55 EC 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 33 C0 E8 ?? ?? ?? ?? 8B F7 85 F6 74 05 83 EE 04 8B 36 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 55 A0 8B 43 3C E8 ?? ?? ?? ?? 8B 45 A0 50 56 8B C7 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 33 C0 89 45 E0 8B C7 85 C0 74 05 83 E8 04 8B 00 89 45 E4 8B 43 3C F6 40 29 04 74 14 FF 75 E4 FF 75 E0 6A FF 8B 45 FC 50 8B 00 FF 90 90 00 00 00 8B 43 3C F6 40 29 08 74 14 FF 75 E4 FF 75 E0 6A FF 8B 45 FC 50 8B 00 FF 90 94 00 00 00 6A 01 8B 45 FC 50 8B 00 FF 50 14 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 43 40 80 78 24 01 74 58 8D 45 B4 50 8B 45 FC 50 8B 00 FF 90 F0 00 00 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? DB 45 EC D9 5D A4 9B DB 45 E8 D9 5D A8 9B DB 45 EC D8 45 C0 D9 5D AC 9B DB 45 E8 D8 45 C4 D9 5D B0 9B 8D 55 9C 8B 43 40 E8 ?? ?? ?? ?? 8B 45 9C 50 8D 45 A4 50 8B 45 F4 50 8B 00 FF 50 44 8D 55 F0 8B C3 E8 ?? ?? ?? ?? DB 45 EC D8 25 ?? ?? ?? ?? D9 5D D8 9B DB 45 E8 D8 25 ?? ?? ?? ?? D9 5D DC 9B 6A 00 8D 55 98 8B 43 3C 8B 40 18 E8 ?? ?? ?? ?? 8B 45 98 50 8B 45 FC 50 FF 75 DC FF 75 D8 8B 45 F0 50 8B 00 FF 50 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BA 5F 5E 5B 8B E5 5D C2 04 00 00 0B 00 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_78555_0 {
	meta:
		name = "TDirect2DCanvas.TextRect"
		size = 552
		refs = "0030 TDirect2DCanvas.TextRect 0040 DWriteFactory 0055 @IntfClear 0068 TDirect2DFont.GetHandle 0074 @UStrToPWChar 0083 OleCheck 00fd D2D_RECT_F.&op_Implicit 0148 TDirect2DBrush.GetHandle 01d0 @HandleFinally 01e8 ID2D1Brush 01f2 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 57 33 DB 89 5D 90 89 5D 94 89 5D A8 89 5D FC 89 5D F8 8B F2 8D 7D D0 A5 A5 A5 A5 89 4D F0 89 45 F4 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 33 C0 E8 ?? ?? ?? ?? 8B FE 8B DF 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 55 A8 8B 45 F4 8B 40 3C E8 ?? ?? ?? ?? 8B 45 A8 50 53 8B C6 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 33 C0 89 45 E8 8B C7 85 C0 74 05 83 E8 04 8B 00 89 45 EC 8B 45 F4 8B 40 3C F6 40 29 04 74 14 FF 75 EC FF 75 E8 6A FF 8B 45 FC 50 8B 00 FF 90 90 00 00 00 8B 45 F4 8B 40 3C F6 40 29 08 74 14 FF 75 EC FF 75 E8 6A FF 8B 45 FC 50 8B 00 FF 90 94 00 00 00 6A 01 8B 45 FC 50 8B 00 FF 50 14 0F B6 15 ?? ?? ?? ?? 8B 45 F4 8B 08 FF 51 2C 6A 00 8D 55 98 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 98 50 8B 45 F4 8B 40 60 50 8B 00 FF 90 B4 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 40 80 78 24 01 74 3D 8D 45 AC 50 8B 45 FC 50 8B 00 FF 90 F0 00 00 00 8D 55 94 8B 45 F4 8B 40 40 E8 ?? ?? ?? ?? 8B 45 94 50 8D 55 98 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 98 50 8B 45 F4 8B 40 60 50 8B 00 FF 50 44 DB 45 F0 D8 25 ?? ?? ?? ?? D9 5D E0 9B DB 45 0C D8 25 ?? ?? ?? ?? D9 5D E4 9B 6A 00 8D 55 90 8B 45 F4 8B 40 3C 8B 40 18 E8 ?? ?? ?? ?? 8B 45 90 50 8B 45 FC 50 FF 75 E4 FF 75 E0 8B 45 F4 8B 40 60 50 8B 00 FF 50 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 60 50 8B 00 FF 90 B8 00 00 00 C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 90 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C2 08 00 00 0B 00 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_78556_0 {
	meta:
		name = "TDirect2DCanvas.TextRect"
		size = 1760
		refs = "0022 TDirect2DCanvas.TextRect 0037 @FillChar 0054 @UStrSetLength 0099 @UniqueStringU 00cd @UStrLen 00eb @UStrLAsg 0120 DWriteFactory 0134 @IntfClear 016f TDirect2DFont.GetHandle 017f @UStrToPWChar 018e OleCheck 031b D2D_RECT_F.&op_Implicit 0330 TDirect2DCanvas.GetRenderTarget 0383 :TDirect2DCanvas.:4 0388 @DynArraySetLength 03c9 :TDirect2DCanvas.:5 0521 TDirect2DBrush.GetHandle 0600 @HandleFinally 065d IDWriteTextFormat 0667 @FinalizeArray 0685 @DynArrayClear 06a3 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 16 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D DC 8B FA 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D4 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC 8B 00 89 45 80 8B 45 80 85 C0 74 05 83 E8 04 8B 00 8D 55 F8 92 E8 ?? ?? ?? ?? 8B 45 08 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 75 77 BE 01 00 00 00 BB 01 00 00 00 EB 50 8B 45 DC 8B 00 66 83 7C 70 FE 26 75 2A 46 8B 45 DC 8B 00 66 83 7C 70 FE 26 74 03 89 5D D4 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 DC 8B 12 0F B7 54 72 FE 66 89 54 58 FE EB 17 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 DC 8B 12 0F B7 54 72 FE 66 89 54 58 FE 46 43 8B 45 DC 8B 00 E8 ?? ?? ?? ?? 3B F0 7E A2 8B D3 4A 8D 45 F8 E8 ?? ?? ?? ?? EB 0D 8D 45 F8 8B 55 DC 8B 12 E8 ?? ?? ?? ?? 57 8B F7 8D 7D A0 A5 A5 A5 A5 5F 8B 55 A8 8B 45 A0 3B D0 7C 02 8B C2 89 45 A8 8B 55 A4 8B 45 AC 3B D0 7C 02 8B C2 8B F0 89 75 AC 8D 55 E8 33 C0 E8 ?? ?? ?? ?? 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC E8 ?? ?? ?? ?? 50 2B 75 A4 89 75 80 DB 45 80 83 C4 FC D9 1C 24 9B 8B 45 A8 2B 45 A0 89 85 7C FF FF FF DB 85 7C FF FF FF 83 C4 FC D9 1C 24 9B 8D 95 78 FF FF FF 8B 45 E0 8B 40 3C E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 50 53 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 E8 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 6A 04 00 00 83 7D D4 00 74 1E FF 4D D4 C7 45 D8 01 00 00 00 FF 75 D8 FF 75 D4 6A FF 8B 45 FC 50 8B 00 FF 90 90 00 00 00 8B 45 08 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 74 75 8D 45 F4 E8 ?? ?? ?? ?? 50 8D 95 74 FF FF FF 8B 45 E0 8B 40 3C E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 50 8D 95 70 FF FF FF 33 C0 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 8B 00 FF 50 50 8D 45 94 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? F6 45 08 20 74 0E C7 45 98 5C 00 00 00 C7 45 9C 01 00 00 00 C7 45 94 01 00 00 00 8B 45 F4 50 8D 45 94 50 8B 45 FC 50 8B 00 FF 50 24 33 C0 89 45 D4 8B 45 DC 8B 00 89 45 80 8B 45 80 85 C0 74 05 83 E8 04 8B 00 89 45 D8 8B 45 E0 8B 40 3C F6 40 29 04 74 14 FF 75 D8 FF 75 D4 6A FF 8B 45 FC 50 8B 00 FF 90 90 00 00 00 8B 45 E0 8B 40 3C F6 40 29 08 74 14 FF 75 D8 FF 75 D4 6A FF 8B 45 FC 50 8B 00 FF 90 94 00 00 00 F6 45 08 04 74 0D 6A 02 8B 45 FC 50 8B 00 FF 50 0C EB 11 F6 45 09 10 74 0B 6A 01 8B 45 FC 50 8B 00 FF 50 0C F6 45 0A 02 74 06 F6 45 09 40 74 0B 6A 01 8B 45 FC 50 8B 00 FF 50 14 F6 45 09 40 74 24 F6 45 0A 01 74 0D 6A 02 8B 45 FC 50 8B 00 FF 50 10 EB 11 F6 45 08 01 74 0B 6A 01 8B 45 FC 50 8B 00 FF 50 10 F6 45 09 04 75 34 6A 00 8D 95 60 FF FF FF 8D 45 A0 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 50 8D 95 5C FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 50 8B 00 FF 90 B4 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E0 8B 40 40 80 78 24 01 0F 84 0D 02 00 00 8D 45 D0 50 6A 00 6A 00 8B 45 FC 50 8B 00 FF 90 F8 00 00 00 8B 45 D0 50 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 D0 50 8B 45 D0 50 8B 45 F0 50 8B 45 FC 50 8B 00 FF 90 F8 00 00 00 8D 45 CC 50 6A 00 6A 00 8B 45 FC 50 8B 00 FF 90 EC 00 00 00 8B 45 CC 50 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 CC 50 8B 45 CC 50 8B 45 EC 50 8B 45 FC 50 8B 00 FF 90 EC 00 00 00 33 C0 89 45 C8 8B 45 08 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 75 0F DB 47 0C 8B 45 EC D8 60 0C D9 5D 88 9B EB 3D 8B 45 08 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 75 23 8B 47 0C 2B 47 04 89 45 80 DB 45 80 8B 45 EC D8 60 0C D8 35 ?? ?? ?? ?? DB 47 04 DE C1 D9 5D 88 9B EB 07 DB 47 04 D9 5D 88 9B 8B 45 CC 48 85 C0 0F 8C 11 01 00 00 40 89 45 C0 33 F6 D9 45 88 8D 04 76 8B 55 EC D8 44 C2 0C D9 5D 90 9B 33 D2 89 55 C4 8B 55 EC 8B 04 C2 48 85 C0 7C 19 40 33 DB D9 45 C4 8B 55 C8 03 D3 8B 4D F0 D8 04 D1 D9 5D C4 9B 43 48 75 EA F6 45 08 04 74 49 8B 57 08 8B 07 2B D0 89 55 80 DB 45 80 D8 65 C4 D8 35 ?? ?? ?? ?? 89 85 7C FF FF FF DB 85 7C FF FF FF DE C1 D9 5D 84 9B 8B 47 08 2B 07 89 45 80 DB 45 80 D8 65 C4 D8 35 ?? ?? ?? ?? DB 07 DE C1 D8 45 C4 D9 5D 8C 9B EB 28 F6 45 09 10 74 13 DB 47 08 D8 65 C4 D9 5D 84 9B DB 47 08 D9 5D 8C 9B EB 0F DB 07 D9 5D 84 9B DB 07 D8 45 C4 D9 5D 8C 9B 8D 95 58 FF FF FF 8B 45 E0 8B 40 40 E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 50 8D 45 84 50 8D 95 54 FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 50 8B 00 FF 50 44 8D 04 76 8B 55 EC 8B 14 C2 01 55 C8 D9 45 88 8B 55 EC D8 44 C2 0C D9 5D 88 9B 46 FF 4D C0 0F 85 F5 FE FF FF 8D 55 E4 8B 45 E0 E8 ?? ?? ?? ?? DB 07 D8 25 ?? ?? ?? ?? D9 5D BC 9B DB 47 04 D8 25 ?? ?? ?? ?? D9 5D B8 9B 8B 45 BC 89 45 B0 8B 45 B8 89 45 B4 6A 00 8D 95 50 FF FF FF 8B 45 E0 8B 40 3C 8B 40 18 E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 50 8B 45 FC 50 FF 75 B4 FF 75 B0 8B 45 E4 50 8B 00 FF 50 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? F6 45 09 04 75 1D 8D 95 4C FF FF FF 8B 45 E0 E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 50 8B 00 FF 90 B8 00 00 00 C3 E9 ?? ?? ?? ?? EB D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 59 FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 00 00 08 00 00 00 00 00 00 30 00 00 00 01 40 00 00 00 40 01 00 00 00 00 40 00 00 00 3F }
	condition:
		$1
}

rule function_78557_0 {
	meta:
		name = "TDirect2DCanvas.LineTo"
		size = 228
		refs = "0018 TDirect2DCanvas.LineTo 0088 TDirect2DBrush.GetHandle 00c8 @IntfClear 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C DB 43 64 D8 05 ?? ?? ?? ?? D9 5D F8 9B DB 43 68 D8 05 ?? ?? ?? ?? D9 5D FC 9B 89 75 E4 DB 45 E4 D8 05 ?? ?? ?? ?? D9 5D F0 9B 89 7D E4 DB 45 E4 D8 05 ?? ?? ?? ?? D9 5D F4 9B 8B 43 38 8B 40 1C 50 8B 43 38 DB 40 24 83 C4 FC D9 1C 24 9B 8D 55 E0 8B 43 38 8B 40 18 E8 ?? ?? ?? ?? 8B 45 E0 50 FF 75 F4 FF 75 F0 FF 75 FC FF 75 F8 8B 43 60 50 8B 00 FF 50 3C 89 75 E8 89 7D EC 8B 45 E8 89 43 64 8B 45 EC 89 43 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 05 00 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_78558_0 {
	meta:
		name = "TDirect2DCanvas.MoveTo"
		size = 26
	strings:
		$1 = { 83 C4 F8 89 14 24 89 4C 24 04 8B 14 24 89 50 64 8B 54 24 04 89 50 68 59 5A C3 }
	condition:
		$1
}

rule function_78559_0 {
	meta:
		name = "TDirect2DCanvas.PolyBezierTo"
		size = 205
		refs = "001a TDirect2DCanvas.PolyBezierTo 0036 :TDirect2DCanvas.:6 003b @DynArraySetLength 007b @DynArrayHigh 00bb @DynArrayClear 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F0 43 8B C3 40 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 55 F8 8B 4A 64 89 08 8B 4A 68 89 48 04 8B D3 4A 85 D2 7C 1D 42 33 DB 8B 45 F4 8B 4D FC 8B 30 89 74 D9 08 8B 70 04 89 74 D9 0C 43 83 C0 08 4A 75 E9 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F8 8B 18 FF 53 74 8B 45 F0 40 8B 55 F4 8B 4D F8 8B 5C C2 F8 89 59 64 8B 5C C2 FC 89 59 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78560_0 {
	meta:
		name = "TDirect2DCanvas.Refresh"
		size = 56
		refs = "000a @IntfClear 0022 TList<Vcl.Direct2D.TDirect2DGraphicsObject>.GetItem 002b @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B E8 8D 45 60 E8 ?? ?? ?? ?? 8B 45 44 8B 58 08 4B 85 DB 7C 1A 43 33 FF 8B 45 44 8B D7 E8 ?? ?? ?? ?? 66 BE FC FF E8 ?? ?? ?? ?? 47 4B 75 E9 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78568_0 {
	meta:
		name = "D2DFactory"
		size = 147
		refs = "0019 D2DFactory 0025 SingletonD2DFactory 0030 @IntfClear 0037 IID_ID2D1Factory 003e D2D1CreateFactory 0050 InterlockedCompareExchange 006b @IntfCopy 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 35 8D 45 FC E8 ?? ?? ?? ?? 50 56 A1 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? BB ?? ?? ?? ?? 8B 75 FC 33 FF 57 56 53 E8 ?? ?? ?? ?? 85 C0 75 09 8B 45 FC 50 8B 00 FF 50 04 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_78569_0 {
	meta:
		name = "DWriteFactory"
		size = 144
		refs = "0017 DWriteFactory 0023 SingletonDWriteFactory 002e @IntfClear 0034 IID_IDWriteFactory 003b DWriteCreateFactory 004d InterlockedCompareExchange 0068 @IntfCopy 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 34 8D 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? BB ?? ?? ?? ?? 8B 75 FC 33 FF 57 56 53 E8 ?? ?? ?? ?? 85 C0 75 09 8B 45 FC 50 8B 00 FF 50 04 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_78570_0 {
	meta:
		name = "D2D1ColorF"
		size = 140
		refs = "000c ColorToRGB 0025 D2D1ColorF"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? BA FF 00 00 00 23 D0 89 14 24 33 D2 89 54 24 04 DF 2C 24 D8 35 ?? ?? ?? ?? D9 1B 9B 8B D0 C1 EA 08 81 E2 FF 00 00 00 89 14 24 33 D2 89 54 24 04 DF 2C 24 D8 35 ?? ?? ?? ?? D9 5B 04 9B C1 E8 10 25 FF 00 00 00 89 04 24 33 C0 89 44 24 04 DF 2C 24 D8 35 ?? ?? ?? ?? D9 5B 08 9B 81 FE FF FF FF 1F 75 07 33 C0 89 43 0C EB 07 C7 43 0C 00 00 80 3F 59 5A 5E 5B C3 00 00 00 00 7F 43 }
	condition:
		$1
}

rule function_78571_0 {
	meta:
		name = "D2D1ColorF"
		size = 30
		refs = "000e D2D1ColorF"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 43 0C 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_78633_0 {
	meta:
		name = "TDockTabSet.CalcDockSize"
		size = 136
		refs = "0016 Rect 0038 TControl.GetLRDockWidth 0063 TControl.GetTBDockHeight"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B 46 54 50 53 8B 4E 50 33 D2 33 C0 E8 ?? ?? ?? ?? 0F B6 46 65 FE C8 74 37 FE C8 74 49 FE C8 74 06 FE C8 74 15 EB 54 8B 43 08 89 03 8B C7 E8 ?? ?? ?? ?? 03 03 89 43 08 EB 41 8B 03 48 89 43 08 8B C7 E8 ?? ?? ?? ?? 8B 53 08 2B D0 89 13 EB 2B 8B 43 0C 40 89 43 04 8B C7 E8 ?? ?? ?? ?? 03 43 04 89 43 0C EB 15 8B 43 04 89 43 0C 8B C7 E8 ?? ?? ?? ?? 8B 53 0C 2B D0 89 53 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78634_0 {
	meta:
		name = "TDockTabSet.CMDockClient"
		size = 196
		refs = "0043 TList.Get 0067 TList.Delete 0084 TDockClientInfo.SetTabIndex 008d TDockClientInfo.CreateTab 00b8 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 14 24 8B F8 8B 04 24 33 D2 89 50 0C 8B 04 24 8B 40 04 8B 40 40 89 44 24 04 8B 87 0C 03 00 00 8B 70 08 4E 85 F6 7C 75 46 33 ED 8B 9F 0C 03 00 00 89 6C 24 08 8B 54 24 08 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 43 3C 3B 44 24 04 75 4E 8B 44 24 04 8B 40 38 3B 43 48 74 0F 8B 87 0C 03 00 00 8B D5 E8 ?? ?? ?? ?? EB 37 8B 87 88 02 00 00 8B 10 FF 52 14 48 3B 43 40 74 3E 83 CA FF 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 53 40 8B C7 8B 08 FF 91 08 01 00 00 EB 1C 45 4E 75 8E 8B 04 24 8B 40 04 8D 48 4C 8B D7 8B 44 24 04 66 BE CC FF E8 ?? ?? ?? ?? 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78635_0 {
	meta:
		name = "TDockTabSet.CMDockNotification"
		size = 293
		refs = "0016 TDockTabSet.CMDockNotification 0026 TDockTabSet.FindDockClientInfo 009a TDockClientInfo.CreateTab 00d4 TControl.SetVisible 00f4 TDockTabSet.InvalidateDockSite 0112 @UStrClr 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 57 04 8B C6 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 84 C1 00 00 00 8B 47 08 8B 10 83 EA 0C 74 16 81 EA FF AF 00 00 74 44 83 EA 3B 0F 84 99 00 00 00 E9 A1 00 00 00 8B 45 FC 83 78 40 FF 0F 84 94 00 00 00 8D 4D F8 8B 45 FC 8B 50 3C 8B C6 8B 18 FF 93 10 01 00 00 8B 4D F8 8B 45 FC 8B 50 40 8B 86 88 02 00 00 8B 18 FF 53 20 EB 6B 8B 58 04 84 DB 74 1C 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 50 40 8B C6 8B 08 FF 91 08 01 00 00 EB 28 8B 45 FC 8B 40 40 3B 86 8C 02 00 00 75 0D 83 CA FF 8B C6 8B 08 FF 91 08 01 00 00 8B 45 FC 8B 40 48 33 D2 E8 ?? ?? ?? ?? 84 DB 74 1C 8B 55 FC 8B C6 8B 08 FF 91 0C 01 00 00 EB 0D 8B 48 08 8B 57 04 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 8B 08 FF 51 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_78636_0 {
	meta:
		name = "TDockTabSet.Create"
		size = 201
		refs = "000e @ClassCreate 001c TTabSet.Create 002a _Dn_TObjectList 002f TObjectList.Create 003e TWinControl.SetDockSite 0047 _Dn_TImageList 004c TCustomImageList.Create 005d TTabSet.SetImages 0066 _Dn_TTimer 006b TTimer.Create 007c TTimer.SetEnabled 008c TTimer.SetInterval 0092 TDockTabSet.AutoPopTimerExec 009d TTimer.SetOnTimer 00b4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 30 03 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 0C 03 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 18 03 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 34 03 00 00 8B C6 33 D2 E8 ?? ?? ?? ?? 8B 83 34 03 00 00 BA F4 01 00 00 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 34 03 00 00 E8 ?? ?? ?? ?? C7 83 38 03 00 00 FF FF FF FF 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78637_0 {
	meta:
		name = "TDockTabSet.Destroy"
		size = 102
		refs = "0003 @BeforeDestruction 0010 TDockTabSet.SetDestDockSite 001b TObject.Free 0024 TTabSet.SetImages 0035 LastDockTabSet 0054 TTabSet.Destroy 005f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 86 0C 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 86 18 03 00 00 E8 ?? ?? ?? ?? 3B 35 ?? ?? ?? ?? 75 07 33 C0 A3 ?? ?? ?? ?? 8B 86 34 03 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78638_0 {
	meta:
		name = "TDockTabSet.DoAddDockClient"
		size = 138
		refs = "000f TDockTabSet.DoAddDockClient 001d _Dn_TWinControl 0022 @IsClass 0030 _DV_TDockClientInfo 0035 TDockClientInfo.Create 0041 TList.Add 004b SOnlyWinControls 0050 LoadResString 005a _DV_ETabDockException 005f Exception.Create 0064 @RaiseExcept 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 93 0C 03 00 00 92 E8 ?? ?? ?? ?? EB 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78639_0 {
	meta:
		name = "TDockTabSet.DockOver"
		size = 262
		refs = "0025 TWinControl.DockOver 003b TDockTabSet.CalcDockSize 0062 TControl.GetClientWidth 00a7 TControl.GetClientHeight 00e9 TWinControl.GetHandle 00ef MapWindowPoints"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B 45 10 50 0F B6 45 0C 50 57 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 80 3F 00 0F 84 CB 00 00 00 8D 4D EC 8B 56 40 8B C3 E8 ?? ?? ?? ?? 0F B6 43 65 FE C8 74 56 FE C8 74 79 FE C8 74 09 FE C8 74 2E E9 86 00 00 00 8B 7B 38 85 FF 74 7F 8B C7 E8 ?? ?? ?? ?? 8B 53 48 03 53 50 2B C2 8B 4D F4 8B 55 EC 2B CA 3B C1 7D 64 03 C2 89 45 F4 EB 5D 83 7B 38 00 74 57 8B 43 48 8B 55 F4 8B CA 2B 4D EC 3B C1 7D 48 2B D0 89 55 EC EB 41 8B 7B 38 85 FF 74 3A 8B C7 E8 ?? ?? ?? ?? 2B 43 4C 03 43 54 8B 4D F8 8B 55 F0 2B CA 3B C1 7D 21 03 C2 89 45 F8 EB 1A 83 7B 38 00 74 14 8B 43 4C 8B 55 F8 8B CA 2B 4D F0 3B C1 7D 05 2B D0 89 55 F0 6A 02 8D 45 EC 50 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 7E 4C 8D 75 EC A5 A5 A5 A5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_78640_0 {
	meta:
		name = "TDockTabSet.DoRemoveDockClient"
		size = 106
		refs = "0034 TList.Get 004c TTimer.SetEnabled 0059 TList.Delete"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B D8 F6 43 1C 08 75 51 8B 83 0C 03 00 00 8B 78 08 4F 85 FF 7C 43 47 33 F6 8B AB 0C 03 00 00 89 74 24 04 8B 54 24 04 8B C5 E8 ?? ?? ?? ?? 8B 50 3C 3B 14 24 75 1F 8B 40 48 8B 80 98 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B D6 8B 83 0C 03 00 00 E8 ?? ?? ?? ?? EB 04 46 4F 75 C0 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78641_0 {
	meta:
		name = "TDockTabSet.FindDockClientInfo"
		size = 88
		refs = "002e TList.Get"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F8 8B 87 0C 03 00 00 8B 70 08 4E 85 F6 7C 35 46 33 DB 8B AF 0C 03 00 00 89 5C 24 04 8B 54 24 04 8B C5 E8 ?? ?? ?? ?? 8B 40 3C 3B 04 24 75 11 8B B7 0C 03 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? EB 06 43 4E 75 CE 33 C0 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78642_0 {
	meta:
		name = "TDockTabSet.SetTabIndex"
		size = 132
		refs = "0012 TTabSet.SetTabIndex 004c TList.Get"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B D8 8B 14 24 8B C3 E8 ?? ?? ?? ?? 83 3C 24 FF 75 0E 33 D2 8B C3 8B 08 FF 91 0C 01 00 00 EB 53 8B 83 0C 03 00 00 8B 78 08 4F 85 FF 7C 45 47 33 F6 8B AB 0C 03 00 00 89 74 24 04 8B 54 24 04 8B C5 E8 ?? ?? ?? ?? 8B 40 40 3B 04 24 75 21 8B BB 0C 03 00 00 8B EE 8B D5 8B C7 E8 ?? ?? ?? ?? 8B F8 8B D7 8B C3 8B 08 FF 91 0C 01 00 00 EB 04 46 4F 75 BE 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78643_0 {
	meta:
		name = "TDockTabSet.ShowDockClientInfo"
		size = 695
		refs = "003d TControl.SetVisible 0067 TDockTabSet.CalcDockSize 0090 TControl.GetClientWidth 0115 TControl.GetClientHeight 01af TControl.GetLRDockWidth 01bf TControl.GetTBDockHeight 01d1 TControl.SetAlign 0219 TControl.BringToFront 0228 TWinControl.GetHandle 0236 MapWindowPoints 0246 TControl.SetBoundsRect 028a Screen 0297 TWinControl.ContainsControl"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 3B B3 10 03 00 00 75 1B 8B 83 10 03 00 00 85 C0 0F 84 56 02 00 00 8B 40 48 80 78 61 00 0F 85 49 02 00 00 8B 83 10 03 00 00 85 C0 74 0A 8B 40 48 33 D2 E8 ?? ?? ?? ?? 89 B3 10 03 00 00 8B B3 10 03 00 00 85 F6 0F 84 5B 02 00 00 83 7B 38 00 0F 84 51 02 00 00 8B CC 8B 56 3C 8B C3 E8 ?? ?? ?? ?? 0F B6 43 65 FE C8 0F 84 9A 00 00 00 FE C8 0F 84 E3 00 00 00 FE C8 74 09 FE C8 74 4F E9 19 01 00 00 8B 43 38 E8 ?? ?? ?? ?? 2B 43 50 2B 43 48 48 8B 93 10 03 00 00 8B 52 48 8B 8A 9C 02 00 00 01 4C 24 08 8B 92 84 02 00 00 03 D2 01 54 24 08 8B 4C 24 08 8B 14 24 2B CA 3B C1 0F 8D DA 00 00 00 03 C2 89 44 24 08 E9 CF 00 00 00 8B 43 48 8B 93 10 03 00 00 8B 52 48 8B 8A 9C 02 00 00 29 0C 24 8B 92 84 02 00 00 03 D2 29 14 24 8B 54 24 08 8B CA 2B 0C 24 3B C1 0F 8D 9E 00 00 00 2B D0 89 14 24 E9 94 00 00 00 8B 43 38 E8 ?? ?? ?? ?? 2B 43 54 2B 43 4C 48 8B 93 10 03 00 00 8B 52 48 8B 8A 9C 02 00 00 01 4C 24 0C 8B 8A A8 02 00 00 8B 49 54 01 4C 24 0C 8B 92 84 02 00 00 03 D2 01 54 24 0C 8B 4C 24 0C 8B 54 24 04 2B CA 3B C1 7D 4B 03 C2 89 44 24 0C EB 43 8B 43 4C 8B 93 10 03 00 00 8B 52 48 8B 8A 9C 02 00 00 29 4C 24 04 8B 8A A8 02 00 00 8B 49 54 29 4C 24 04 8B 92 84 02 00 00 03 D2 29 54 24 04 8B 54 24 0C 8B CA 2B 4C 24 04 3B C1 7D 06 2B D0 89 54 24 04 8B 83 10 03 00 00 8B 40 3C E8 ?? ?? ?? ?? 8B F0 8B 83 10 03 00 00 8B 40 3C E8 ?? ?? ?? ?? 8B F8 8B 83 10 03 00 00 8B 40 3C B2 05 E8 ?? ?? ?? ?? 8B 83 10 03 00 00 8B 40 3C 89 B0 A8 00 00 00 89 B8 AC 00 00 00 8B 93 10 03 00 00 8B 52 48 8B 08 FF 91 84 00 00 00 8B 83 10 03 00 00 8B 40 48 8B 53 38 8B 08 FF 91 84 00 00 00 8B 83 10 03 00 00 8B 40 48 E8 ?? ?? ?? ?? 6A 02 8D 44 24 04 50 8B 43 38 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D4 8B 83 10 03 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 83 10 03 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 80 BB 30 03 00 00 00 74 4D 8B 83 10 03 00 00 8B 40 3C 8B 10 FF 92 F4 00 00 00 EB 3A 8B B3 10 03 00 00 85 F6 74 30 80 BB 30 03 00 00 00 74 27 A1 ?? ?? ?? ?? 8B 00 8B 50 64 8B 46 48 E8 ?? ?? ?? ?? 84 C0 75 11 8B 83 10 03 00 00 8B 40 3C 8B 10 FF 92 F4 00 00 00 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78644_0 {
	meta:
		name = "TDockTabSet.InvalidateDockSite"
		size = 88
		refs = "000a TDockTabSet.FindDockClientInfo 0040 TTimer.SetEnabled"
	strings:
		$1 = { 53 56 57 8B D9 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 74 40 8B 86 8C 02 00 00 3B 47 40 75 35 8B 47 48 8B 80 A4 02 00 00 8B 10 FF 92 9C 00 00 00 84 DB 74 20 8B 47 48 8B 80 98 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 47 48 8B 80 98 02 00 00 B2 01 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78645_0 {
	meta:
		name = "TDockTabSet.CMUnDockClient"
		size = 20
		refs = "0009 TControl.SetAlign"
	strings:
		$1 = { 53 8B DA 8B 43 08 33 D2 E8 ?? ?? ?? ?? 33 C0 89 43 0C 5B C3 }
	condition:
		$1
}

rule function_78646_0 {
	meta:
		name = "TDockTabSet.WMPinDockClient"
		size = 85
		refs = "001a TControl.ManualDock 0023 TControl.SetVisible 002b _Dn_TWinControl 0030 @IsClass"
	strings:
		$1 = { 53 8B 80 10 03 00 00 8B 58 3C 6A 00 8B 40 38 8B 90 14 03 00 00 33 C9 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 8B 10 FF 92 F4 00 00 00 5B C3 8B 43 38 85 C0 74 08 8B 10 FF 92 F4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_78647_0 {
	meta:
		name = "TDockTabSet.HideCurrentDockClient"
		size = 134
		refs = "002c TDockTabSet.HideCurrentDockClient 003f TControl.SetVisible 006c @HandleFinally 007e TTimer.SetEnabled"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC 8B 45 FC 8B 80 10 03 00 00 85 C0 74 6C 89 45 F4 8B 45 F4 8B 40 48 8B 88 DC 02 00 00 89 4D F8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 89 90 DC 02 00 00 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 40 48 8B 55 F8 89 90 DC 02 00 00 8B 45 FC 33 D2 89 90 10 03 00 00 C3 E9 ?? ?? ?? ?? EB DE 8B 45 FC 8B 80 34 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_78648_0 {
	meta:
		name = "TDockTabSet.SetDestDockSite"
		size = 284
		refs = "0016 TDockTabSet.SetDestDockSite 0035 TComponent.RemoveFreeNotification 003d @IntfClear 0055 Supports 0076 TComponent.FreeNotification 00a4 TList.Get 00ac TTabDockPanel.UpdateDockCaptionPin 00fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 14 03 00 00 3B F0 0F 84 B8 00 00 00 85 C0 74 35 8B D3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 83 14 03 00 00 8B 80 D0 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 0A 33 D2 8B 45 FC 8B 08 FF 51 0C 8B C6 89 83 14 03 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? F6 43 1C 08 75 66 8B 83 0C 03 00 00 8B 70 08 4E 85 F6 7C 26 46 33 FF 8B 83 0C 03 00 00 89 45 F8 89 7D F4 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 47 4E 75 DD 8B B3 14 03 00 00 85 F6 74 28 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 86 D0 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 4D 55 8A 80 02 65 77 4D B6 F7 C0 74 94 34 D9 B7 }
	condition:
		$1
}

rule function_78649_0 {
	meta:
		name = "TDockTabSet.Notification"
		size = 45
		refs = "0010 TTabSet.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 14 03 00 00 75 08 33 C0 89 87 14 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78650_0 {
	meta:
		name = "TDockTabSet.IndexOfDockClient"
		size = 81
		refs = "0032 TList.Get"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 54 24 04 89 04 24 8B 04 24 8B 80 0C 03 00 00 8B 70 08 4E 85 F6 7C 28 46 33 DB 8B 04 24 8B B8 0C 03 00 00 8B EB 8B D5 8B C7 E8 ?? ?? ?? ?? 8B 40 3C 3B 44 24 04 75 04 8B C3 EB 07 43 4E 75 DB 83 C8 FF 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78651_0 {
	meta:
		name = "TDockTabSet.GetImageIndex"
		size = 96
		refs = "003a TList.Get"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 54 24 04 89 04 24 C7 44 24 08 FF FF FF FF 8B 04 24 8B 80 0C 03 00 00 8B 58 08 4B 85 DB 7C 2D 43 33 F6 8B 04 24 8B B8 0C 03 00 00 8B EE 8B D5 8B C7 E8 ?? ?? ?? ?? 8B 50 40 3B 54 24 04 75 09 8B 40 4C 89 44 24 08 EB 04 46 4B 75 D6 8B 44 24 08 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78652_0 {
	meta:
		name = "TDockTabSet.MouseMove"
		size = 264
		refs = "001f TControl.MouseMove 0042 TTabSet.ItemAtPos 0075 TDockTabSet.HideCurrentDockClient 0087 TDockTabSet.MouseMove 00b7 @HandleFinally 00d4 TTimer.SetEnabled"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B D9 66 89 55 FA 89 45 FC 8B 75 08 56 8B CB 0F B7 55 FA 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 08 03 00 00 00 0F 84 CD 00 00 00 89 5D F0 89 75 F4 33 C9 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B D8 83 FB FF 0F 84 A2 00 00 00 8B 45 FC 3B 98 8C 02 00 00 0F 84 93 00 00 00 8B 45 FC 83 B8 8C 02 00 00 FF 74 51 BA 64 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 30 03 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC 8B 08 FF 91 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 30 03 00 00 01 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 3B 98 38 03 00 00 74 10 8B 45 FC 8B 80 34 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 34 03 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 89 98 38 03 00 00 EB 0D 8B 45 FC C7 80 38 03 00 00 FF FF FF FF 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_78653_0 {
	meta:
		name = "TDockTabSet.DockReplaceDockClient"
		size = 115
		refs = "0015 TDockTabSet.FindDockClientInfo 0036 TControl.ManualDock 004e TControl.SetAlign 0064 TDockClientInfo.SetTabIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 74 46 8B 40 40 89 45 F8 0F B6 45 0C 50 8B 4D 10 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 6A 00 33 C9 8B D6 8B 45 08 E8 ?? ?? ?? ?? B2 05 8B 45 08 E8 ?? ?? ?? ?? 8B 55 08 8B C6 E8 ?? ?? ?? ?? 85 C0 74 08 8B 55 F8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_78654_0 {
	meta:
		name = "TDockTabSet.GetTabName"
		size = 45
		refs = "000a _Dn_TCustomForm 000f @IsClass 001c TControl.GetText 0026 @UStrClr"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78655_0 {
	meta:
		name = "TDockTabSet.AutoPopTimerExec"
		size = 177
		refs = "0016 TTimer.SetEnabled 001e Mouse 0025 TMouse.GetCursorPos 0033 TControl.ScreenToClient 0040 TTabSet.ItemAtPos 0064 TDockTabSet.HideCurrentDockClient 0076 TDockTabSet.AutoPopTimerExec 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 45 FC 8B 45 FC 8B 80 34 03 00 00 33 D2 E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 55 EC 8D 4D F4 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 80 8C 02 00 00 3B D8 74 59 83 FB FF 74 54 40 74 0D BA 64 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 30 03 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC 8B 08 FF 91 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 30 03 00 00 01 C3 E9 ?? ?? ?? ?? EB EE 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78657_0 {
	meta:
		name = "TDockClientInfo.AddIconToImageList"
		size = 434
		refs = "0011 _Dn_TForm 0016 @IsClass 0029 TIcon.HandleAllocated 003d _Dn_TBitmap 0042 TBitmap.Create 004d TDockClientInfo.AddIconToImageList 0092 TBitmap.GetCanvas 009f TBrush.SetColor 00bf Rect 0153 ScaleImage 0180 TCustomImageList.AddMasked 0198 TObject.Free 01a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 8B D8 8B 73 3C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 8A 01 00 00 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 77 01 00 00 33 C0 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 43 38 8B 80 18 03 00 00 8B 50 3C 8B 45 F8 8B 08 FF 51 44 8B 43 38 8B 80 18 03 00 00 8B 50 38 8B 45 F8 8B 08 FF 51 38 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 48 BA FF 00 FF 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 24 50 8D 45 E8 50 8B 45 F8 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 F8 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 8B 43 3C 8B 80 B4 02 00 00 8B 10 FF 52 30 8B D0 8B 45 FC 8B 08 FF 51 44 8B 43 3C 8B 80 B4 02 00 00 8B 10 FF 52 24 8B D0 8B 45 FC 8B 08 FF 51 38 8B 43 3C 8B 80 B4 02 00 00 50 8B 45 FC E8 ?? ?? ?? ?? 33 C9 33 D2 8B 30 FF 56 44 8B 45 F8 8B 10 FF 52 30 89 45 E4 DB 45 E4 DB 7D D8 9B 8B 45 FC 8B 10 FF 52 30 89 45 D4 DB 45 D4 DB 6D D8 DE F1 83 C4 F8 DD 1C 24 9B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 24 48 50 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 59 8B 30 FF 56 18 8B C8 8B 43 38 8B 80 18 03 00 00 8B 55 F8 E8 ?? ?? ?? ?? 89 43 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78658_0 {
	meta:
		name = "TDockClientInfo.Create"
		size = 608
		refs = "0011 @ClassCreate 0023 TComponent.Create 0052 TDockClientInfo.CreateTab 0092 TControl.GetLRDockWidth 009b TControl.SetWidth 00a5 TDockClientInfo.Create 00aa TControl.SetAnchors 00ba TControl.SetAlign 00cc TControl.SetCursor 0120 TControl.GetTBDockHeight 0129 TControl.SetHeight 01ba Rect 01c4 TControl.SetBoundsRect 01e3 TControl.SetVisible 0214 TComponent.FreeNotification 0225 TDockClientInfo.AddIconToImageList 0232 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 38 8B 45 08 89 43 3C 8B 43 38 8B 80 0C 03 00 00 8B 40 08 89 43 44 C7 43 40 FF FF FF FF C7 43 4C FF FF FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 53 8B 03 FF 50 40 33 C9 B2 01 FF 90 00 01 00 00 8B F0 89 73 48 8B 43 38 0F B6 40 65 FE C8 0F 84 A2 00 00 00 FE C8 0F 84 E1 00 00 00 FE C8 74 4F FE C8 0F 85 19 01 00 00 8B 43 3C E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 43 48 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 48 8B 80 C0 02 00 00 B2 03 E8 ?? ?? ?? ?? 8B 43 48 8B 80 C0 02 00 00 66 BA F2 FF E8 ?? ?? ?? ?? E9 12 01 00 00 8B 43 3C E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 43 48 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 48 8B 80 C0 02 00 00 B2 04 E8 ?? ?? ?? ?? 8B 43 48 8B 80 C0 02 00 00 66 BA F2 FF E8 ?? ?? ?? ?? E9 CB 00 00 00 8B 43 3C E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 43 48 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 48 8B 80 C0 02 00 00 B2 02 E8 ?? ?? ?? ?? 8B 43 48 8B 80 C0 02 00 00 66 BA F1 FF E8 ?? ?? ?? ?? E9 84 00 00 00 8B 43 3C E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 43 48 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 48 8B 80 C0 02 00 00 B2 01 E8 ?? ?? ?? ?? 8B 43 48 8B 80 C0 02 00 00 66 BA F1 FF E8 ?? ?? ?? ?? EB 40 8B 7B 3C 8B 47 54 50 8D 45 EC 50 8B 4F 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 43 48 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 48 8B 80 C0 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 43 48 8B 80 A8 02 00 00 B2 01 E8 ?? ?? ?? ?? 8B 43 3C 33 D2 E8 ?? ?? ?? ?? 8B 43 3C 33 D2 8B 08 FF 91 84 00 00 00 8B 43 3C 8B D3 E8 ?? ?? ?? ?? 8B 43 48 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 0E 00 00 00 0B 00 00 00 07 00 00 00 0D 00 00 00 0F 00 00 00 }
	condition:
		$1
}

rule function_78659_0 {
	meta:
		name = "TDockClientInfo.CreateTab"
		size = 143
		refs = "000e TDockClientInfo.CreateTab 007d @UStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 40 FF 75 4E 84 D2 75 09 8B 43 3C 80 78 61 00 74 41 8D 4D FC 8B 53 3C 8B 73 38 8B C6 8B 38 FF 97 10 01 00 00 8B 55 FC 8B 86 88 02 00 00 8B 08 FF 51 38 89 43 40 8B 43 38 66 83 B8 22 03 00 00 00 74 10 8B F0 8B D0 8B 86 24 03 00 00 FF 96 20 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78660_0 {
	meta:
		name = "TDockClientInfo.Destroy"
		size = 192
		refs = "0008 @BeforeDestruction 0028 TDockTabSet.HideCurrentDockClient 0032 TDockClientInfo.SetTabIndex 0064 TList.Get 0084 TCustomImageList.Delete 0092 TComponent.RemoveFreeNotification 009a TObject.Free 00a8 TComponent.Destroy 00b5 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 E8 ?? ?? ?? ?? 88 14 24 8B D8 8B 43 38 F6 40 1C 08 75 6E 3B 98 10 03 00 00 75 0A BA 64 00 00 00 E8 ?? ?? ?? ?? 83 CA FF 8B C3 E8 ?? ?? ?? ?? 83 7B 4C FF 7E 4C 8B 43 38 8B 80 0C 03 00 00 8B 70 08 4E 85 F6 7C 2A 46 33 FF 8B 43 38 8B A8 0C 03 00 00 89 7C 24 04 8B 54 24 04 8B C5 E8 ?? ?? ?? ?? 8B 53 4C 3B 50 4C 7D 03 FF 48 4C 47 4E 75 D9 8B 53 4C 8B 43 38 8B 80 18 03 00 00 E8 ?? ?? ?? ?? 8B 43 3C 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? 0F B6 14 24 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C3 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78662_0 {
	meta:
		name = "TDockClientInfo.Notification"
		size = 56
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0C 3B 77 3C 75 07 33 C0 89 47 3C EB 0F 80 FB 01 75 0A 3B 77 48 75 05 33 C0 89 47 48 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78663_0 {
	meta:
		name = "TDockClientInfo.SetTabIndex"
		size = 238
		refs = "001e TDockClientInfo.CreateTab 008a TList.Get"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F2 8B D8 3B 73 40 0F 84 D3 00 00 00 83 FE FF 74 45 B2 01 8B C3 E8 ?? ?? ?? ?? EB 10 8B 43 38 8B 80 88 02 00 00 33 D2 8B 08 FF 51 38 8B 43 38 8B 80 88 02 00 00 8B 10 FF 52 14 3B F0 7D DE 8B 43 38 8B 80 88 02 00 00 8B CE 8B 53 40 8B 38 FF 57 78 E9 86 00 00 00 8B 43 38 8B 80 0C 03 00 00 8B 78 08 4F 85 FF 7C 2E 47 33 ED 8B 43 38 8B 80 0C 03 00 00 89 04 24 89 6C 24 04 8B 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 8B 50 40 3B 53 40 7E 03 FF 48 40 45 4F 75 D5 8B 43 38 8B 90 8C 02 00 00 3B 53 40 75 0B 83 CA FF 8B 08 FF 91 08 01 00 00 8B 43 38 8B 80 88 02 00 00 8B 53 40 8B 08 FF 51 48 8B 43 38 66 83 B8 2A 03 00 00 00 74 10 8B F8 8B D0 8B 87 2C 03 00 00 FF 97 28 03 00 00 89 73 40 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78664_0 {
	meta:
		name = "TDockTabSet.ShowDockClient"
		size = 122
		refs = "0037 TList.Get 0050 TDockClientInfo.CreateTab 006f TControl.SetVisible"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F8 8B 04 24 80 78 61 00 74 54 8B 87 0C 03 00 00 8B 70 08 4E 85 F6 7C 50 46 33 ED 8B 9F 0C 03 00 00 89 6C 24 04 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 43 3C 3B 04 24 75 1E 83 7B 40 FF 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 53 40 8B C7 8B 08 FF 91 08 01 00 00 EB 10 45 4E 75 BF EB 0A B2 01 8B 04 24 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78665_0 {
	meta:
		name = "TTabDockPanel.GetCaptionRect"
		size = 40
	strings:
		$1 = { C7 02 01 00 00 00 33 C9 89 4A 04 8B 88 A4 02 00 00 8B 49 54 49 89 4A 0C 8B 80 A4 02 00 00 8B 40 50 83 E8 03 89 42 08 C3 }
	condition:
		$1
}

rule function_78666_0 {
	meta:
		name = "TTabDockPanel.AutoHideTimerExec"
		size = 120
		refs = "000a GetFocus 0012 TWinControl.GetHandle 0018 IsChild 0029 TTimer.SetEnabled 0039 TControl.Dragging 0044 TTabDockPanel.ShouldAutoHide 005e TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 80 7B 61 00 74 17 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0F 33 D2 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 5B C3 8B 83 A0 02 00 00 8B 40 3C E8 ?? ?? ?? ?? 84 C0 75 35 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2A 33 D2 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 83 A0 02 00 00 8B 40 38 83 CA FF 8B 08 FF 91 08 01 00 00 5B C3 }
	condition:
		$1
}

rule function_78667_0 {
	meta:
		name = "TTabDockPanel.BeginAnimation"
		size = 15
	strings:
		$1 = { C6 80 BC 02 00 00 01 C6 80 B4 02 00 00 01 C3 }
	condition:
		$1
}

rule function_78668_0 {
	meta:
		name = "TTabDockPanel.CMShowingChanged"
		size = 518
		refs = "001e AnimateWindowProc 0041 TControl.SetVisible 0047 LastDockTabSet 006d TDockTabSet.HideCurrentDockClient 012d TBitmap.GetCanvas 0139 TWinControl.PaintTo 014a Win32MinorVersion 0154 DwmCompositionEnabled 0162 TWinControl.CMShowingChanged 016c TTabDockPanel.BeginAnimation 0174 TTabDockPanel.CMShowingChanged 018d TWinControl.GetHandle 01ac TTabDockPanel.EndAnimation 01b2 @HandleFinally 01fd TTimer.SetEnabled"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC 8B 80 A0 02 00 00 85 C0 0F 84 9C 01 00 00 8B 15 ?? ?? ?? ?? 83 3A 00 0F 84 8D 01 00 00 8B 55 FC 80 BA F2 01 00 00 00 0F 84 82 00 00 00 8B 40 3C B2 01 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 23 8B 45 FC 8B 80 A0 02 00 00 8B 40 38 3B 05 ?? ?? ?? ?? 74 0F BA 64 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 02 00 00 8B 40 38 A3 ?? ?? ?? ?? BB 00 00 06 00 8B 45 FC 8B 80 A0 02 00 00 8B 40 38 0F B6 40 65 FE C8 74 13 FE C8 74 0A FE C8 74 10 FE C8 74 11 EB 44 83 CB 08 EB 3F 83 CB 04 EB 3A 83 CB 01 EB 35 83 CB 02 EB 30 BB 00 00 05 00 8B 40 38 0F B6 40 65 FE C8 74 13 FE C8 74 0A FE C8 74 10 FE C8 74 11 EB 12 83 CB 04 EB 0D 83 CB 08 EB 08 83 CB 02 EB 03 83 CB 01 8B 45 FC 80 B8 E4 02 00 00 00 75 44 8B 45 FC 8B 50 50 8B 45 FC 8B 80 E0 02 00 00 8B 08 FF 51 44 8B 45 FC 8B 50 54 8B 45 FC 8B 80 E0 02 00 00 8B 08 FF 51 38 6A 00 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 F2 01 00 00 00 75 1F A1 ?? ?? ?? ?? 83 38 00 75 15 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 5A 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 FC 8B 80 DC 02 00 00 50 8B 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 02 00 00 8B 40 3C 8B 50 38 3B 55 FC 75 0F 8B 55 FC 0F B6 92 F2 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 F2 01 00 00 00 74 10 8B 45 FC 8B 80 98 02 00 00 B2 01 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78669_0 {
	meta:
		name = "TTabDockPanel.Create"
		size = 614
		refs = "000e @ClassCreate 001c TCustomPanel.Create 0025 TControl.SetVisible 004a _Dn_TBitmap 004f TBitmap.Create 0067 _Dn_TPanel 0081 TControl.SetWidth 0092 TControl.SetHeight 009f TCustomPanel.SetBorderStyle 00ac TCustomPanel.SetBevelInner 00b9 TCustomPanel.SetBevelOuter 00cf TTabDockPanel.SplitterMouseDown 00df TTabDockPanel.SplitterMouseMove 014c _Dn_TPaintBox 0151 TPaintBox.Create 017c TTabDockPanel.PaintDockCaption 0183 TControl.SetAlign 01ad TTabDockPanel.DockCaptionMouseDown 01bd TTabDockPanel.DockCaptionMouseUp 01cd TTabDockPanel.DockCaptionMouseMove 01d6 _Dn_TTimer 01db TTimer.Create 01ec TTimer.SetEnabled 01fc TTimer.SetInterval 0202 TTabDockPanel.AutoHideTimerExec 020d TTimer.SetOnTimer 021c CheckWin32Version 0229 DefaultDockTreeClass 0242 TTabDockPanel.UpdateDockCaptionPin 024f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? C7 83 B8 02 00 00 17 00 00 00 C7 83 9C 02 00 00 03 00 00 00 C7 83 DC 02 00 00 C8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 E0 02 00 00 8B 45 08 89 83 A0 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C0 02 00 00 8B 93 9C 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 9C 02 00 00 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B 83 C0 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 83 C0 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 83 C0 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 83 C0 02 00 00 89 98 CC 00 00 00 C7 80 C8 00 00 00 ?? ?? ?? ?? 89 98 D4 00 00 00 C7 80 D0 00 00 00 ?? ?? ?? ?? 8B D3 8B 08 FF 91 84 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A8 02 00 00 8B 93 B8 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 83 A8 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 83 A8 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 83 A8 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 83 A8 02 00 00 8B D3 8B 08 FF 91 84 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A4 02 00 00 8B 93 B8 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 89 98 BC 01 00 00 C7 80 B8 01 00 00 ?? ?? ?? ?? B2 05 E8 ?? ?? ?? ?? 8B 93 A8 02 00 00 8B 83 A4 02 00 00 8B 08 FF 91 84 00 00 00 8B 83 A4 02 00 00 89 98 CC 00 00 00 C7 80 C8 00 00 00 ?? ?? ?? ?? 89 98 DC 00 00 00 C7 80 D8 00 00 00 ?? ?? ?? ?? 89 98 D4 00 00 00 C7 80 D0 00 00 00 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 98 02 00 00 8B C6 33 D2 E8 ?? ?? ?? ?? 8B 83 98 02 00 00 BA F4 01 00 00 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 98 02 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 34 01 88 83 E4 02 00 00 A1 ?? ?? ?? ?? 8B 00 FF 50 54 33 C9 B2 01 FF 50 08 89 83 D4 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_78670_0 {
	meta:
		name = "TTabDockPanel.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0028 TCustomControl.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 D4 02 00 00 E8 ?? ?? ?? ?? 8B 86 E0 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78671_0 {
	meta:
		name = "TTabDockPanel.DockCaptionMouseDown"
		size = 104
		refs = "000f GetTickCount 0016 GetDoubleClickTime 0036 TControl.ManualDock"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D8 84 C9 75 52 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 8B D6 2B 93 D8 02 00 00 3B C2 72 16 6A 00 8B 83 A0 02 00 00 8B 40 3C 33 C9 33 D2 E8 ?? ?? ?? ?? EB 24 89 B3 D8 02 00 00 8B 45 0C 89 45 F8 8B 45 08 89 45 FC 8B 45 F8 89 83 AC 02 00 00 8B 45 FC 89 83 B0 02 00 00 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_78672_0 {
	meta:
		name = "TTabDockPanel.DockCaptionMouseMove"
		size = 116
		refs = "0008 Mouse 0048 TTabDockPanel.DockCaptionMouseMove 0063 TControl.BeginDrag"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 A1 ?? ?? ?? ?? 8B 00 8B 48 08 8B 83 A4 02 00 00 F6 40 5C 01 74 4A 8B 83 AC 02 00 00 2B 45 0C 99 33 C2 2B C2 3B C8 7E 12 8B 83 B0 02 00 00 2B 45 08 99 33 C2 2B C2 3B C8 7F 26 8B B3 A4 02 00 00 A1 ?? ?? ?? ?? F7 D0 23 46 5C 89 46 5C 8B 83 A0 02 00 00 8B 40 3C 83 C9 FF B2 01 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_78673_0 {
	meta:
		name = "TTabDockPanel.DockCaptionMouseUp"
		size = 225
		refs = "005a TTabDockPanel.DockCaptionMouseUp 006a TControl.SetVisible 0089 @HandleFinally 00af TDockClientInfo.SetTabIndex 00d0 TWinControl.GetHandle 00d6 PostMessage"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 45 FC 8B 45 0C 89 45 F0 8B 45 08 89 45 F4 8D 55 E0 8B 45 FC 8B 08 FF 91 FC 00 00 00 8D 55 E0 8D 4D F0 8B 45 FC 8B 80 D4 02 00 00 8B 18 FF 53 04 83 F8 02 75 78 8B 45 FC 8B 80 DC 02 00 00 89 45 F8 8B 45 FC C7 80 DC 02 00 00 01 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 DC 02 00 00 C3 E9 ?? ?? ?? ?? EB EC 8B 45 FC 8B 80 A0 02 00 00 8B 40 3C 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 02 00 00 83 CA FF E8 ?? ?? ?? ?? EB 25 83 F8 03 75 20 6A 00 6A 00 68 70 04 00 00 8B 45 FC 8B 80 A0 02 00 00 8B 40 38 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_78674_0 {
	meta:
		name = "TTabDockPanel.EndAnimation"
		size = 8
	strings:
		$1 = { C6 80 BC 02 00 00 00 C3 }
	condition:
		$1
}

rule function_78675_0 {
	meta:
		name = "TTabDockPanel.PaintDockCaption"
		size = 141
		refs = "000e TParentFormState 0013 @InitializeRecord 001b TTabDockPanel.PaintDockCaption 0032 DefaultDockTreeClass 007c @FinalizeRecord 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 8B 83 A0 02 00 00 8B 50 3C A1 ?? ?? ?? ?? 8B 00 FF 50 50 8D 45 E8 50 8D 55 D8 8B C3 8B 08 FF 91 FC 00 00 00 8D 4D D8 8B 83 A4 02 00 00 8B 90 B0 01 00 00 8B 83 D4 02 00 00 8B 18 FF 13 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78676_0 {
	meta:
		name = "TTabDockPanel.SplitterMouseDown"
		size = 90
		refs = "0024 TControl.ClientToScreen 0040 TControl.GetBoundsRect"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B D8 8B 45 0C 89 45 F8 8B 45 08 89 45 FC 8D 4D F0 8D 55 F8 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B 45 F0 89 83 AC 02 00 00 8B 45 F4 89 83 B0 02 00 00 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8D 75 E0 8D BB C4 02 00 00 A5 A5 A5 A5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_78677_0 {
	meta:
		name = "TTabDockPanel.SplitterMouseMove"
		size = 370
		refs = "0030 TControl.ClientToScreen 0084 TControl.GetClientWidth 00f3 TControl.GetClientHeight 0143 TControl.SetBoundsRect 0158 TTimer.SetEnabled"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B D8 8B B3 C0 02 00 00 F6 46 5C 01 0F 84 2E 01 00 00 8B 45 0C 89 45 F0 8B 45 08 89 45 F4 8D 4D F8 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8D B3 C4 02 00 00 8D 7D E0 A5 A5 A5 A5 8B 83 A0 02 00 00 8B 70 38 0F B6 46 65 FE C8 0F 84 84 00 00 00 FE C8 0F 84 B5 00 00 00 FE C8 74 09 FE C8 74 48 E9 D2 00 00 00 8B 7B 48 83 C7 32 8B 45 E8 03 45 F8 2B 83 AC 02 00 00 89 45 E8 8B 46 38 E8 ?? ?? ?? ?? 3B 45 E8 7D 10 8B 46 38 E8 ?? ?? ?? ?? 89 45 E8 E9 A0 00 00 00 3B 7D E8 0F 8E 97 00 00 00 89 7D E8 E9 8F 00 00 00 8B 43 48 03 43 50 83 E8 32 8B 55 E0 03 55 F8 2B 93 AC 02 00 00 89 55 E0 3B C2 7D 05 89 45 E0 EB 6E 85 D2 7D 6A 33 C0 89 45 E0 EB 63 8B 7B 4C 83 C7 32 8B 45 EC 03 45 FC 2B 83 B0 02 00 00 89 45 EC 8B 46 38 E8 ?? ?? ?? ?? 3B 45 EC 7D 0D 8B 46 38 E8 ?? ?? ?? ?? 89 45 EC EB 34 3B 7D EC 7E 2F 89 7D EC EB 2A 8B 43 4C 03 43 54 83 E8 32 8B 55 E4 03 55 FC 2B 93 B0 02 00 00 89 55 E4 85 D2 7D 07 33 C0 89 45 E4 EB 07 3B C2 7D 03 89 45 E4 8D 55 E0 8B C3 E8 ?? ?? ?? ?? EB 20 8B 83 98 02 00 00 80 78 48 00 74 14 33 D2 E8 ?? ?? ?? ?? B2 01 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_78678_0 {
	meta:
		name = "TTabDockPanel.WMEraseBkgnd"
		size = 76
		refs = "002a TStyleManager.GetActiveStyle 003e TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB E4 02 00 00 00 74 04 B0 01 EB 22 80 BB BC 02 00 00 00 74 09 80 BB B4 02 00 00 00 74 04 B0 01 EB 0C E8 ?? ?? ?? ?? 8B 10 FF 52 48 34 01 84 C0 74 10 8B D6 8B C3 E8 ?? ?? ?? ?? C6 83 B4 02 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_78679_0 {
	meta:
		name = "TTabDockPanel.UpdateDockCaptionPin"
		size = 40
	strings:
		$1 = { 8B 90 A0 02 00 00 8B 52 38 83 BA 14 03 00 00 00 74 0B 8B 80 D4 02 00 00 C6 40 05 01 C3 8B 80 D4 02 00 00 C6 40 05 00 C3 }
	condition:
		$1
}

rule function_78680_0 {
	meta:
		name = "TTabDockPanel.WMNCPaint"
		size = 24
		refs = "0013 TWinControl.WMNCPaint"
	strings:
		$1 = { 80 B8 E4 02 00 00 00 75 09 80 B8 BC 02 00 00 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78683_0 {
	meta:
		name = "TTabDockPanel.WMPaint"
		size = 24
		refs = "0013 TCustomControl.WMPaint"
	strings:
		$1 = { 80 B8 E4 02 00 00 00 75 09 80 B8 BC 02 00 00 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78681_0 {
	meta:
		name = "TTabDockPanel.WMPrint"
		size = 97
		refs = "0028 TBitmap.GetCanvas 002d TCanvas.GetHandle 004b BitBlt 005a TWinControl.PaintTo"
	strings:
		$1 = { 53 56 8B F2 80 B8 E4 02 00 00 00 75 45 80 B8 BC 02 00 00 00 74 3C 8B 98 E0 02 00 00 68 20 00 CC 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 52 24 50 8B C3 8B 10 FF 52 30 50 6A 00 6A 00 8B 46 04 50 E8 ?? ?? ?? ?? 5E 5B C3 6A 00 8B 56 04 33 C9 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78682_0 {
	meta:
		name = "TTabDockPanel.WMPrintClient"
		size = 92
		refs = "0028 TBitmap.GetCanvas 002d TCanvas.GetHandle 004b BitBlt 0055 TWinControl.WMPrintClient"
	strings:
		$1 = { 53 56 8B F2 80 B8 E4 02 00 00 00 75 45 80 B8 BC 02 00 00 00 74 3C 8B 98 E0 02 00 00 68 20 00 CC 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 52 24 50 8B C3 8B 10 FF 52 30 50 6A 00 6A 00 8B 46 04 50 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78684_0 {
	meta:
		name = "TTabDockPanel.ShouldAutoHide"
		size = 193
		refs = "000f Application 0027 Mouse 002e TMouse.GetCursorPos 003b TControl.ScreenToClient 0051 Rect 005b PtInRect"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F0 8B 9E A0 02 00 00 A1 ?? ?? ?? ?? 8B 00 80 B8 A9 00 00 00 00 0F 84 96 00 00 00 8D 54 24 08 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 54 24 08 8B CC 8B C6 E8 ?? ?? ?? ?? 54 8B 46 54 50 8D 44 24 18 50 8B 4E 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 44 24 14 5A E8 ?? ?? ?? ?? 84 C0 75 55 8D 54 24 08 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 54 24 08 8B CC 8B 43 38 E8 ?? ?? ?? ?? 54 8B 7B 38 8B 47 54 50 8D 44 24 18 50 8B 4F 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 44 24 14 5A E8 ?? ?? ?? ?? 84 C0 75 10 8B 53 3C 8B 43 38 8B 08 FF 91 14 01 00 00 EB 02 33 C0 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78685_0 {
	meta:
		name = "DoFindZone"
		size = 126
		refs = "001b TCaptionedDockTree.InternalCaptionHitTest 003d TDockZone.NextVisible 0051 DoFindZone 0062 TDockZone.FirstVisibleChild"
	strings:
		$1 = { 55 8B EC 53 8B D8 83 7B 04 00 74 25 8B 45 08 8B 48 F8 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 83 F8 03 75 09 8B 45 08 89 58 F4 5B 5D C3 85 C0 75 4A 8B 45 08 83 78 F4 00 75 1C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 83 78 F4 00 75 1C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5B 5D C3 }
	condition:
		$1
}

rule function_78686_0 {
	meta:
		name = "TCaptionedTabDockTree.PinHitTest"
		size = 76
		refs = "0019 TDockTree.FindControlAtPos 002a TDockZone.FirstVisibleChild 003f DoFindZone"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 33 C0 89 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 75 21 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? 85 C0 74 12 55 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78687_0 {
	meta:
		name = "TCaptionedTabDockTree.MouseUp"
		size = 269
		refs = "002b TCaptionedTabDockTree.PinHitTest 0042 TDockZone.FirstVisibleChild 0063 TControl.ManualDock 006a TDockZone.NextVisible 0094 _Dn_TWinControl 0099 @IsClass 00a6 TWinControl.HandleAllocated 00ca ReleaseCapture 00e5 TDockTree.MouseUp"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 66 89 4D FE 8B DA 8B F0 84 DB 0F 85 D2 00 00 00 8B 45 10 89 45 F4 8B 45 0C 89 45 F8 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 97 00 00 00 8B 45 08 C6 00 01 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 74 28 8B 43 04 80 78 61 00 74 12 6A 00 33 C9 8B 96 90 00 00 00 8B 43 04 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 D8 8B 47 04 80 78 61 00 74 4C 8B D8 6A 00 33 C9 8B 96 90 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B F3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C6 8B 10 FF 92 F4 00 00 00 EB 0F 8B 43 38 85 C0 74 08 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? EB 34 8B 45 10 50 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B D3 8B C6 E8 ?? ?? ?? ?? EB 19 8B 45 10 50 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_78688_0 {
	meta:
		name = "TCaptionedTabDockTree.SetAlternateDockHost"
		size = 34
	strings:
		$1 = { 8B CA 89 88 90 00 00 00 85 C9 74 0B 8B 80 88 00 00 00 C6 40 05 02 C3 8B 80 88 00 00 00 C6 40 05 00 C3 }
	condition:
		$1
}

rule function_78691_0 {
	meta:
		name = "TCustomFileRun.Create"
		size = 164
		refs = "000a @ClassCreate 0017 TCustomAction.Create 0039 TCustomFileRun.Create 003e @UStrAsg 0049 @UStrClr 006d TCustomFileRun.SetupBrowseDialog 0078 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 A8 00 00 00 00 33 C0 89 86 B4 00 00 00 33 C0 89 86 B8 00 00 00 8D 86 C0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 86 B0 00 00 00 E8 ?? ?? ?? ?? 8D 86 BC 00 00 00 E8 ?? ?? ?? ?? 8D 86 AC 00 00 00 E8 ?? ?? ?? ?? C6 86 C4 00 00 00 0B 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6F 00 70 00 65 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_78692_0 {
	meta:
		name = "TCustomFileRun.ExecuteTarget"
		size = 366
		refs = "000f TCustomFileRun.ExecuteTarget 0026 TWinControl.HandleAllocated 0035 TWinControl.GetHandle 0049 IsWindow 0081 ShowCmds 008d @UStrToPWChar 00a8 TOpenDialog.GetFileName 00c3 ShellExecute 012b SysErrorMessage 0135 _Dn_Exception 013a Exception.Create 013f @RaiseExcept 0154 @UStrClr 0162 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 CC 00 00 00 85 F6 74 1E 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 83 CC 00 00 00 E8 ?? ?? ?? ?? 8B F0 EB 1E 33 F6 EB 1A 8B 83 B8 00 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 08 8B B3 B8 00 00 00 EB 02 33 F6 80 BB A8 00 00 00 00 74 6B 8B 83 C8 00 00 00 8B 10 FF 52 50 84 C0 0F 84 CC 00 00 00 0F B6 83 C4 00 00 00 8B 04 85 ?? ?? ?? ?? 50 8B 83 AC 00 00 00 E8 ?? ?? ?? ?? 50 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? 50 8D 55 FC 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 83 C0 00 00 00 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 89 83 B4 00 00 00 EB 4B 0F B6 83 C4 00 00 00 8B 04 85 ?? ?? ?? ?? 50 8B 83 AC 00 00 00 E8 ?? ?? ?? ?? 50 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? 50 8B 83 B0 00 00 00 E8 ?? ?? ?? ?? 50 8B 83 C0 00 00 00 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 89 83 B4 00 00 00 8B B3 B4 00 00 00 83 FE 20 77 1E 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_78694_0 {
	meta:
		name = "TCustomFileRun.GetDirectory"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 AC 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78695_0 {
	meta:
		name = "TCustomFileRun.GetFileName"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 B0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78696_0 {
	meta:
		name = "TCustomFileRun.Notification"
		size = 45
		refs = "0010 TBasicAction.Notification"
		altNames = "TTabAction.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 CC 00 00 00 75 08 33 C0 89 87 CC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78697_0 {
	meta:
		name = "TCustomFileRun.SetBrowseDlg"
		size = 62
		refs = "0017 TCustomFileRun.SetupBrowseDialog 0031 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C8 00 00 00 3B F0 74 2B 85 F6 75 09 8B C3 E8 ?? ?? ?? ?? EB 1E 3B 58 04 75 13 8D 83 C8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 89 B3 C8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_78698_0 {
	meta:
		name = "TCustomFileRun.SetDirectory"
		size = 95
		refs = "000e @UStrAddRef 0016 TCustomFileRun.SetDirectory 002a @UStrEqual 003a @UStrAsg 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 93 AC 00 00 00 E8 ?? ?? ?? ?? 74 0E 8D 83 AC 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_78699_0 {
	meta:
		name = "TCustomFileRun.SetFileName"
		size = 95
		refs = "000e @UStrAddRef 0016 TCustomFileRun.SetFileName 002a @UStrEqual 003a @UStrAsg 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 93 B0 00 00 00 E8 ?? ?? ?? ?? 74 0E 8D 83 B0 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_78700_0 {
	meta:
		name = "TCustomFileRun.SetParentControl"
		size = 26
		refs = "0015 TComponent.FreeNotification"
	strings:
		$1 = { 3B 90 CC 00 00 00 74 11 8B CA 89 88 CC 00 00 00 8B D0 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78701_0 {
	meta:
		name = "TCustomFileRun.SetupBrowseDialog"
		size = 272
		refs = "0011 TCustomFileRun.SetupBrowseDialog 0020 _Dn_TOpenDialog 0025 TOpenDialog.Create 0038 TObject.ClassName 006a @UStrCopy 0085 TComponent.SetSubComponent 0096 SFileRunDialogTitle 009b LoadResString 00c0 @UStrClr 00cd @UStrArrayClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 C8 00 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 45 F4 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 8D 45 F0 50 8B CE BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 83 C8 00 00 00 8B 08 FF 51 24 B2 01 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8D 90 88 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 46 00 69 00 6C 00 65 00 52 00 75 00 6E 00 42 00 72 00 6F 00 77 00 73 00 65 00 44 00 6C 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_78702_0 {
	meta:
		name = "TCustomFileRun.UpdateTarget"
		size = 49
		refs = "002c TCustomAction.SetEnabled"
	strings:
		$1 = { 0F B6 90 A8 00 00 00 84 D2 74 04 B2 01 EB 1C 84 D2 75 16 8B 90 B0 00 00 00 85 D2 74 05 83 EA 04 8B 12 85 D2 0F 9F C2 EB 02 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78704_0 {
	meta:
		name = "TRichEditAction.CurrText"
		size = 7
	strings:
		$1 = { 8B 82 B4 02 00 00 C3 }
	condition:
		$1
}

rule function_78705_0 {
	meta:
		name = "TRichEditAction.HandlesTarget"
		size = 74
		refs = "0023 _Dn_TCustomRichEdit 0028 @IsClass 0037 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B AB A8 00 00 00 85 ED 74 04 3B EF 74 1A 83 BB A8 00 00 00 00 75 20 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B C7 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84660_0 {
	meta:
		name = "TEditAction.HandlesTarget"
		size = 74
		refs = "0023 _Dn_TCustomEdit 0028 @IsClass 0037 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B AB A8 00 00 00 85 ED 74 04 3B EF 74 1A 83 BB A8 00 00 00 00 75 20 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B C7 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78706_0 {
	meta:
		name = "TRichEditAction.SetFontStyle"
		size = 156
		refs = "0017 TRichEditAction.CurrText 001c TTextAttributes.GetStyle 0047 @SetElem 0061 TTextAttributes.SetStyle"
	strings:
		$1 = { 53 56 57 51 8B D9 8B F2 8B F8 85 F6 0F 84 85 00 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 80 FA 07 77 06 83 E2 7F 0F A3 D0 73 38 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D3 8D 44 24 04 B1 01 E8 ?? ?? ?? ?? 0F B6 44 24 04 5A F7 D0 22 C2 50 8B D6 8B C7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 30 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D3 8D 44 24 04 B1 01 E8 ?? ?? ?? ?? 58 0A 04 24 50 8B D6 8B C7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78707_0 {
	meta:
		name = "TRichEditBold.ExecuteTarget"
		size = 33
		refs = "000a _Dn_TCustomRichEdit 000f @AsClass 001a TRichEditAction.SetFontStyle"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78708_0 {
	meta:
		name = "TRichEditBold.UpdateTarget"
		size = 63
		refs = "000b TEditAction.UpdateTarget 0013 _Dn_TCustomRichEdit 0018 @IsClass 0021 TCustomAction.SetEnabled 002c TTextAttributes.GetStyle 0038 TCustomAction.SetChecked"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? A8 01 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78709_0 {
	meta:
		name = "TRichEditItalic.ExecuteTarget"
		size = 33
		refs = "000a _Dn_TCustomRichEdit 000f @AsClass 001a TRichEditAction.SetFontStyle"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78710_0 {
	meta:
		name = "TRichEditItalic.UpdateTarget"
		size = 54
		refs = "000a _Dn_TCustomRichEdit 000f @IsClass 0018 TCustomAction.SetEnabled 0023 TTextAttributes.GetStyle 002f TCustomAction.SetChecked"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? A8 02 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78711_0 {
	meta:
		name = "TRichEditUnderline.ExecuteTarget"
		size = 33
		refs = "000a _Dn_TCustomRichEdit 000f @AsClass 001a TRichEditAction.SetFontStyle"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 B1 02 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78712_0 {
	meta:
		name = "TRichEditUnderline.UpdateTarget"
		size = 54
		refs = "000a _Dn_TCustomRichEdit 000f @IsClass 0018 TCustomAction.SetEnabled 0023 TTextAttributes.GetStyle 002f TCustomAction.SetChecked"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? A8 04 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78713_0 {
	meta:
		name = "TRichEditStrikeOut.ExecuteTarget"
		size = 50
		refs = "000a _Dn_TCustomRichEdit 000f @IsClass 0020 @AsClass 002b TRichEditAction.SetFontStyle"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 B1 03 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78714_0 {
	meta:
		name = "TRichEditStrikeOut.UpdateTarget"
		size = 62
		refs = "000b _Dn_TCustomRichEdit 0010 @IsClass 001b TCustomAction.SetEnabled 002a TTextAttributes.GetStyle 0036 TCustomAction.SetChecked"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D3 8B C7 E8 ?? ?? ?? ?? 84 DB 74 17 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? A8 08 0F 95 C2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78715_0 {
	meta:
		name = "TRichEditBullets.ExecuteTarget"
		size = 69
		refs = "0008 _Dn_TCustomRichEdit 000d @IsClass 001e TParaAttributes.GetNumbering 002f TParaAttributes.SetNumbering"
	strings:
		$1 = { 53 56 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8B F3 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 0F 8B 86 BC 02 00 00 B2 01 E8 ?? ?? ?? ?? EB 0D 8B 86 BC 02 00 00 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78716_0 {
	meta:
		name = "TRichEditBullets.UpdateTarget"
		size = 65
		refs = "000a _Dn_TCustomRichEdit 000f @IsClass 0018 TCustomAction.SetEnabled 0029 TParaAttributes.GetNumbering 003a TCustomAction.SetChecked"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 80 7B 72 00 74 0F 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? 3C 01 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78720_0 {
	meta:
		name = "TRichEditAlignRight.UpdateTarget"
		size = 65
		refs = "000a _Dn_TCustomRichEdit 000f @IsClass 0018 TCustomAction.SetEnabled 0029 TParaAttributes.GetAlignment 003a TCustomAction.SetChecked"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 80 7B 72 00 74 0F 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? 3C 01 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78717_0 {
	meta:
		name = "TRichEditAlignLeft.ExecuteTarget"
		size = 48
		refs = "000a _Dn_TCustomRichEdit 000f @IsClass 0020 TParaAttributes.SetAlignment 0029 TCustomAction.SetChecked"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 86 BC 02 00 00 33 D2 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78718_0 {
	meta:
		name = "TRichEditAlignLeft.UpdateTarget"
		size = 65
		refs = "000a _Dn_TCustomRichEdit 000f @IsClass 0018 TCustomAction.SetEnabled 0029 TParaAttributes.GetAlignment 003a TCustomAction.SetChecked"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 80 7B 72 00 74 0F 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78719_0 {
	meta:
		name = "TRichEditAlignRight.ExecuteTarget"
		size = 48
		refs = "000a _Dn_TCustomRichEdit 000f @IsClass 0020 TParaAttributes.SetAlignment 0029 TCustomAction.SetChecked"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 86 BC 02 00 00 B2 01 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78721_0 {
	meta:
		name = "TRichEditAlignCenter.ExecuteTarget"
		size = 48
		refs = "000a _Dn_TCustomRichEdit 000f @IsClass 0020 TParaAttributes.SetAlignment 0029 TCustomAction.SetChecked"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 86 BC 02 00 00 B2 02 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78722_0 {
	meta:
		name = "TRichEditAlignCenter.UpdateTarget"
		size = 65
		refs = "000a _Dn_TCustomRichEdit 000f @IsClass 0018 TCustomAction.SetEnabled 0029 TParaAttributes.GetAlignment 003a TCustomAction.SetChecked"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 80 7B 72 00 74 0F 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? 3C 02 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78723_0 {
	meta:
		name = "TTabAction.Create"
		size = 78
		refs = "000a @ClassCreate 0017 TCustomAction.Create 0029 TCustomAction.SetEnabled 003b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 68 00 F6 46 1C 10 0F 95 C2 8B C6 E8 ?? ?? ?? ?? C6 86 C8 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78726_0 {
	meta:
		name = "TTabAction.UpdateTarget"
		size = 177
		refs = "000c _Dn_TPageControl 0011 @IsClass 0035 TPageControl.GetPageCount 0067 TCustomTabControl.GetTabs"
	strings:
		$1 = { 53 56 8B D8 8B 83 CC 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 32 8B B3 CC 00 00 00 85 F6 74 1A 8B C6 8B 10 FF 52 68 84 C0 74 0F 8B 83 CC 00 00 00 E8 ?? ?? ?? ?? 85 C0 7F 04 33 C0 EB 02 B0 01 88 83 B8 00 00 00 EB 35 8B B3 CC 00 00 00 85 F6 74 1F 8B C6 8B 10 FF 52 68 84 C0 74 14 8B 83 CC 00 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 7F 04 33 C0 EB 02 B0 01 88 83 B8 00 00 00 80 BB B8 00 00 00 00 74 25 66 83 BB C2 00 00 00 00 74 1B 8D 83 B8 00 00 00 50 8B 8B CC 00 00 00 8B D3 8B 83 C4 00 00 00 FF 93 C0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_78727_0 {
	meta:
		name = "TTabAction.SelectNextTab"
		size = 345
		refs = "002a _Dn_TPageControl 002f @IsClass 0040 @AsClass 0051 TPageControl.GetActivePageIndex 005a TPageControl.GetPageCount 0068 TPageControl.SetActivePageIndex 00ab TPageControl.SelectNextPage 00c7 TCustomTabControl.GetTabs 00d6 TCustomTabControl.GetTabIndex 012e Direction"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 66 83 BF B2 00 00 00 00 74 0E 8B D7 8B 87 B4 00 00 00 FF 97 B0 00 00 00 8B B7 CC 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 84 9F D0 00 00 00 74 23 8B C6 E8 ?? ?? ?? ?? 8B E8 8B C6 E8 ?? ?? ?? ?? 48 3B E8 75 0E 33 D2 8B C6 E8 ?? ?? ?? ?? E9 CB 00 00 00 80 BF D0 00 00 00 00 74 25 84 DB 75 21 8B C6 E8 ?? ?? ?? ?? 85 C0 75 16 8B C6 E8 ?? ?? ?? ?? 8B D0 4A 8B C6 E8 ?? ?? ?? ?? E9 9D 00 00 00 0F B6 8F C8 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? E9 88 00 00 00 85 F6 0F 84 80 00 00 00 84 9F D0 00 00 00 74 28 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 14 8B E8 4D 8B C6 E8 ?? ?? ?? ?? 3B E8 75 0E 33 D2 8B C6 8B 08 FF 91 04 01 00 00 EB 50 80 BF D0 00 00 00 00 74 2A 84 DB 75 26 8B C6 E8 ?? ?? ?? ?? 85 C0 75 1B 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 14 8B D0 4A 8B C6 8B 08 FF 91 04 01 00 00 EB 1D 8B C6 E8 ?? ?? ?? ?? 8B D0 0F B6 C3 03 14 85 ?? ?? ?? ?? 8B C6 8B 08 FF 91 04 01 00 00 66 83 BF AA 00 00 00 00 74 0E 8B D7 8B 87 AC 00 00 00 FF 97 A8 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78729_0 {
	meta:
		name = "TPreviousTab.UpdateTarget"
		size = 106
		refs = "0007 TTabAction.UpdateTarget 0022 TCustomAction.SetEnabled 0032 _Dn_TPageControl 0037 @IsClass 0042 TPageControl.GetActivePageIndex 0057 TCustomTabControl.GetTabIndex"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB B8 00 00 00 00 74 53 80 BB D0 00 00 00 00 74 0B B2 01 8B C3 E8 ?? ?? ?? ?? EB 3F 8B B3 CC 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 9F C2 8B C3 E8 ?? ?? ?? ?? EB 13 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 9F C2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78730_0 {
	meta:
		name = "NextPage"
		size = 89
		refs = "0015 _Dn_TPageControl 001a @IsClass 0025 TPageControl.GetActivePageIndex 002e TPageControl.GetPageCount 003d TCustomTabControl.GetTabs 004c TCustomTabControl.GetTabIndex"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 8B 98 CC 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 48 3B F0 0F 9C C0 EB 1B 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 8B F0 4E 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 9F C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_78731_0 {
	meta:
		name = "TNextTab.ExecuteTarget"
		size = 100
		refs = "000a NextPage 0025 TTabAction.SelectNextTab"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 55 E8 ?? ?? ?? ?? 59 84 C0 75 0C 8B 45 FC 80 B8 D0 00 00 00 00 74 0C B2 01 8B 45 FC E8 ?? ?? ?? ?? EB 35 8B 45 FC 8B 80 DC 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1F 8B 45 FC 66 83 B8 E2 00 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 E4 00 00 00 FF 93 E0 00 00 00 5B 59 5D C3 }
	condition:
		$1
}

rule function_78732_0 {
	meta:
		name = "OnLastTab"
		size = 89
		refs = "0015 _Dn_TPageControl 001a @IsClass 0025 TPageControl.GetActivePageIndex 002e TPageControl.GetPageCount 003d TCustomTabControl.GetTabs 004c TCustomTabControl.GetTabIndex"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 8B 98 CC 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 48 3B F0 0F 94 C0 EB 1B 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 8B F0 4E 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 94 C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_78733_0 {
	meta:
		name = "TNextTab.UpdateTarget"
		size = 290
		refs = "000b TTabAction.UpdateTarget 0048 OnLastTab 005b TCustomAction.SetEnabled 00a7 @UStrEqual 00bc @UStrAsg 00cd TCustomAction.SetCaption 00f9 AnsiCompareText 011b @UStrClr"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 D0 00 00 00 00 75 25 8B 45 FC 80 B8 B8 00 00 00 00 74 19 8B 45 FC 8B 80 DC 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 94 C0 EB 02 33 C0 84 C0 74 09 55 E8 ?? ?? ?? ?? 59 EB 02 33 C0 84 C0 74 0C 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 12 8B 45 FC 0F B6 90 B8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 72 00 0F 84 9F 00 00 00 8B 45 FC 80 B8 D0 00 00 00 00 75 47 55 E8 ?? ?? ?? ?? 59 84 C0 74 3C 8B 45 FC 8B 40 6C 8B 55 FC 8B 92 DC 00 00 00 E8 ?? ?? ?? ?? 74 72 8B 45 FC 05 D8 00 00 00 8B 55 FC 8B 52 6C E8 ?? ?? ?? ?? 8B 45 FC 8B 90 DC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 4C 8B 45 FC 8B 80 D8 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 36 8B 45 FC 8B 90 D8 00 00 00 8B 45 FC 8B 40 6C E8 ?? ?? ?? ?? 85 C0 74 1E 8B 45 FC 8B 90 D8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 D8 00 00 00 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_78740_0 {
	meta:
		name = "TURLAction.SetURL"
		size = 95
		refs = "000e @UStrAddRef 0016 TURLAction.SetURL 002a @UStrEqual 003a @UStrAsg 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 93 A8 00 00 00 E8 ?? ?? ?? ?? 74 0E 8D 83 A8 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_78741_0 {
	meta:
		name = "TURLAction.UpdateTarget"
		size = 26
		refs = "0015 TCustomAction.SetEnabled"
	strings:
		$1 = { 8B 90 A8 00 00 00 85 D2 74 05 83 EA 04 8B 12 85 D2 0F 9F C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78742_0 {
	meta:
		name = "TBrowseURL.ExecuteTarget"
		size = 148
		refs = "000c TBrowseURL.ExecuteTarget 0040 TURLAction.GetURL 0048 @UStrToPWChar 0052 ShellExecute 007f @UStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB BA 00 00 00 00 74 0E 8B D3 8B 83 BC 00 00 00 FF 93 B8 00 00 00 6A 01 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 66 83 BB B2 00 00 00 00 74 0E 8B D3 8B 83 B4 00 00 00 FF 93 B0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_78743_0 {
	meta:
		name = "TSendMail.GetAttachmentData"
		size = 141
		refs = "0017 TSendMail.GetAttachmentData 0049 TPath.GetFullPath 0053 TSendMail.GetMAPIString 007a @UStrArrayClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 03 33 C0 89 43 04 C7 43 08 FF FF FF FF 8D 4D F4 8B 55 FC 8B 86 C0 00 00 00 8B 38 FF 57 0C 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 89 43 0C 33 C0 89 43 10 33 C0 89 43 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78744_0 {
	meta:
		name = "TSendMail.GetAttachmentDataTable"
		size = 138
		refs = "0032 @GetMem"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F0 33 C0 89 04 24 8B 86 C0 00 00 00 8B 10 FF 52 14 85 C0 7E 62 8B 86 C0 00 00 00 8B 10 FF 52 14 03 C0 03 C0 03 C0 8D 04 40 E8 ?? ?? ?? ?? 89 04 24 8B 3C 24 8B 86 C0 00 00 00 8B 10 FF 52 14 8B D8 4B 85 DB 7C 31 43 C7 44 24 04 00 00 00 00 8D 4C 24 08 8B 54 24 04 8B C6 8B 28 FF 55 74 56 57 8D 74 24 10 B9 06 00 00 00 F3 A5 5F 5E 83 C7 18 FF 44 24 04 4B 75 D8 8B 04 24 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78745_0 {
	meta:
		name = "TSendMail.GetMAPIString"
		size = 146
		refs = "0012 TSendMail.GetMAPIString 0031 UTF8Encode 0039 @LStrToPChar 003e StrNew 0051 @LStrFromUStr 0075 @LStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 85 DB 74 42 80 BF AC 00 00 00 00 74 1B 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 1E 8D 45 F8 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_78746_0 {
	meta:
		name = "TSendMail.Create"
		size = 116
		refs = "000a @ClassCreate 0017 TCustomAction.Create 0025 _Dn_TStringList 002a TStringList.Create 0039 _DV_TRecipientCollection 003e TRecipientCollection.Create 0061 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 AC 00 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 C0 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A8 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78747_0 {
	meta:
		name = "TSendMail.Destroy"
		size = 69
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0033 TCustomAction.Destroy 003e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 C0 00 00 00 E8 ?? ?? ?? ?? 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? 8B 86 A8 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78748_0 {
	meta:
		name = "TSendMail.DoMailSendStatus"
		size = 44
		refs = "0015 TSendMail.MAPISendStatusToMailSendStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 BB BA 00 00 00 00 74 19 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 BC 00 00 00 FF 93 B8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_78749_0 {
	meta:
		name = "TSendMail.FreeAttachmentData"
		size = 9
		refs = "0004 TSendMail.FreeMAPIString"
	strings:
		$1 = { 83 C2 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78750_0 {
	meta:
		name = "TSendMail.FreeAttachmentDataTable"
		size = 63
		refs = "0031 @FreeMem"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 75 00 8B 87 C0 00 00 00 8B 10 FF 52 14 8B D8 4B 85 DB 7C 10 43 8B D6 8B C7 8B 08 FF 51 78 83 C6 18 4B 75 F1 8B 45 00 E8 ?? ?? ?? ?? 33 C0 89 45 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78751_0 {
	meta:
		name = "TSendMail.FreeMAPIString"
		size = 16
		refs = "0006 StrDispose"
	strings:
		$1 = { 53 8B DA 8B 03 E8 ?? ?? ?? ?? 33 C0 89 03 5B C3 }
	condition:
		$1
}

rule function_78752_0 {
	meta:
		name = "TSendMail.ExecuteTarget"
		size = 79
		refs = "001c Application 002b MapiSendMail"
	strings:
		$1 = { 53 56 83 C4 D0 8B D8 8B D4 8B C3 8B 08 FF 91 88 00 00 00 6A 0B 6A 00 8D 4C 24 08 A1 ?? ?? ?? ?? 8B 00 8B 90 78 01 00 00 33 C0 E8 ?? ?? ?? ?? 8B F0 8B D4 8B C3 8B 08 FF 91 8C 00 00 00 8B D6 8B C3 8B 08 FF 91 84 00 00 00 83 C4 30 5E 5B C3 }
	condition:
		$1
}

rule function_78753_0 {
	meta:
		name = "TSendMail.FreeMessageData"
		size = 62
		refs = "000d StrDispose"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8D 7B 04 8B 07 E8 ?? ?? ?? ?? 33 C0 89 07 8D 7B 08 8B 07 E8 ?? ?? ?? ?? 33 C0 89 07 8D 53 24 8B C6 8B 08 FF 51 70 8D 53 2C 8B C6 8B 08 FF 91 80 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78754_0 {
	meta:
		name = "TSendMail.FreeRecipientData"
		size = 35
		refs = "000a StrDispose"
	strings:
		$1 = { 53 56 8B F2 8D 5E 08 8B 03 E8 ?? ?? ?? ?? 33 C0 89 03 8D 5E 0C 8B 03 E8 ?? ?? ?? ?? 33 C0 89 03 5E 5B C3 }
	condition:
		$1
}

rule function_78755_0 {
	meta:
		name = "TSendMail.FreeRecipientDataTable"
		size = 62
		refs = "0030 @FreeMem"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 75 00 8B 87 B4 00 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 10 43 8B D6 8B C7 8B 08 FF 51 68 83 C6 18 4B 75 F1 8B 45 00 E8 ?? ?? ?? ?? 33 C0 89 45 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78757_0 {
	meta:
		name = "TSendMail.MAPISendStatusToMailSendStatus"
		size = 165
		refs = "000c TSendMail.MAPISendStatusToMailSendStatus"
	strings:
		$1 = { 83 FA 19 0F 87 99 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 C3 B0 01 C3 B0 02 C3 B0 03 C3 B0 04 C3 B0 05 C3 B0 06 C3 B0 07 C3 B0 08 C3 B0 09 C3 B0 0A C3 B0 0B C3 B0 0C C3 B0 0D C3 B0 0E C3 }
	condition:
		$1
}

rule function_78760_0 {
	meta:
		name = "TListControlAction.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TCustomAction.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 A8 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78761_0 {
	meta:
		name = "TListControlAction.HandlesTarget"
		size = 67
		refs = "001d _Dn_TCustomListControl 0022 @IsClass 0031 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 83 BB A8 00 00 00 00 75 2D 83 BB A8 00 00 00 00 75 20 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B C7 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78762_0 {
	meta:
		name = "TListControlAction.IsEnabled"
		size = 41
		refs = "0007 _Dn_TCustomListControl 000c @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B C3 8B 10 FF 92 14 01 00 00 85 C0 0F 9F C0 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_78763_0 {
	meta:
		name = "TListControlAction.Notification"
		size = 45
		refs = "0010 TBasicAction.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 A8 00 00 00 75 08 33 C0 89 87 A8 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78765_0 {
	meta:
		name = "TListControlSelectAll.ExecuteTarget"
		size = 11
	strings:
		$1 = { 8B C2 8B 10 FF 92 1C 01 00 00 C3 }
	condition:
		$1
}

rule function_78766_0 {
	meta:
		name = "TListControlSelectAll.UpdateTarget"
		size = 116
		refs = "000b _Dn_TCustomMultiSelectListControl 0010 @IsClass 001f TListControlAction.IsEnabled 0061 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4F 8B DF 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 31 80 BB 78 02 00 00 00 74 28 8B C3 8B 10 FF 92 14 01 00 00 85 C0 7E 1A 8B C3 8B 10 FF 92 20 01 00 00 8B F8 8B C3 8B 10 FF 92 14 01 00 00 3B F8 7C 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? EB 09 33 D2 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78767_0 {
	meta:
		name = "TListControlClearSelection.ExecuteTarget"
		size = 11
	strings:
		$1 = { 8B C2 8B 10 FF 92 08 01 00 00 C3 }
	condition:
		$1
}

rule function_78768_0 {
	meta:
		name = "TListControlClearSelection.UpdateTarget"
		size = 152
		refs = "000d _Dn_TCustomMultiSelectListControl 0012 @IsClass 001f TListControlAction.IsEnabled 0059 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B DF 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 45 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 29 8B C3 8B 10 FF 92 14 01 00 00 85 C0 7E 1B 8B C3 8B 10 FF 92 F8 00 00 00 40 74 0E 8B C3 8B 10 FF 92 20 01 00 00 85 C0 7F 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? EB 35 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 8B C3 8B 10 FF 92 14 01 00 00 85 C0 7E 0D 8B C3 8B 10 FF 92 F8 00 00 00 40 75 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78769_0 {
	meta:
		name = "TListControlCopySelection.ExecuteTarget"
		size = 21
	strings:
		$1 = { 8B 90 B0 00 00 00 8B 80 A8 00 00 00 8B 08 FF 91 0C 01 00 00 C3 }
	condition:
		$1
}

rule function_78770_0 {
	meta:
		name = "TListControlCopySelection.HandlesTarget"
		size = 98
		refs = "000c TListControlAction.HandlesTarget 0035 _Dn_TCustomListControl 003a @AsClass"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 83 BB B0 00 00 00 00 75 04 33 C0 EB 02 B0 01 84 C0 74 37 8B BB A8 00 00 00 85 FF 75 1F 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 F8 00 00 00 40 0F 95 C0 EB 0E 8B C7 8B 10 FF 92 F8 00 00 00 40 0F 95 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78771_0 {
	meta:
		name = "TListControlCopySelection.SetDestination"
		size = 25
		refs = "0014 TComponent.FreeNotification"
	strings:
		$1 = { 3B 90 B0 00 00 00 74 10 89 90 B0 00 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78772_0 {
	meta:
		name = "TListControlCopySelection.UpdateTarget"
		size = 168
		refs = "000d _Dn_TCustomMultiSelectListControl 0012 @IsClass 001f TListControlAction.IsEnabled 005a TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B DF 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 46 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2A 8B C3 8B 10 FF 92 14 01 00 00 85 C0 7E 1C 8B C3 8B 10 FF 92 F8 00 00 00 85 C0 7C 0E 8B C3 8B 10 FF 92 20 01 00 00 85 C0 7F 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? EB 44 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2A 8B C3 8B 10 FF 92 14 01 00 00 85 C0 7E 1C 8B C3 8B 10 FF 92 F8 00 00 00 85 C0 7C 0E 8B C3 8B 10 FF 92 F8 00 00 00 85 C0 7D 04 33 D2 EB 02 B2 01 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78773_0 {
	meta:
		name = "TListControlMoveSelection.ExecuteTarget"
		size = 16
	strings:
		$1 = { 8B 80 B0 00 00 00 92 8B 08 FF 91 18 01 00 00 C3 }
	condition:
		$1
}

rule function_78774_0 {
	meta:
		name = "TListControlDeleteSelection.ExecuteTarget"
		size = 11
	strings:
		$1 = { 8B C2 8B 10 FF 92 10 01 00 00 C3 }
	condition:
		$1
}

rule function_78775_0 {
	meta:
		name = "TListControlDeleteSelection.UpdateTarget"
		size = 48
		refs = "000b TListControlAction.IsEnabled 0029 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 8B 10 FF 92 F8 00 00 00 40 75 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78776_0 {
	meta:
		name = "DWordEnumToPascalEnumOrd"
		size = 46
		refs = "0015 SInvalidEnumValue 001c _Dn_Exception 0021 Exception.CreateRes 0026 @RaiseExcept"
	strings:
		$1 = { 56 85 D2 7C 0E 42 33 F6 3B 08 74 1E 46 83 C0 04 4A 75 F5 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 5E C3 }
	condition:
		$1
}

rule function_78777_0 {
	meta:
		name = "TDownLoadURL.ExecuteTarget"
		size = 428
		refs = "0012 TDownLoadURL.ExecuteTarget 001e UrlMonInitialized 002b LoadLibrary 0030 UrlMonHandle 0049 GetProcAddress 004e UrlMonDownloadToFile 0078 @IntfCast 0088 TDownLoadURL.GetFileName 0090 @UStrToPWChar 009b TURLAction.GetURL 00d0 SErrorDownloadingURL 00d7 _Dn_Exception 00dc Exception.CreateResFmt 00e1 @RaiseExcept 00fb SUrlMonDllMissing 0121 @UStrClr 0139 @IntfClear 013f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 3D ?? ?? ?? ?? 00 75 34 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 83 3D ?? ?? ?? ?? 00 0F 84 81 00 00 00 8D 45 FC 8B D3 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 6A 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 6A 00 FF 15 ?? ?? ?? ?? 85 C0 74 5C 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 29 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C3 00 00 75 00 72 00 6C 00 6D 00 6F 00 6E 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 55 52 4C 44 6F 77 6E 6C 6F 61 64 54 6F 46 69 6C 65 57 00 00 C1 C9 EA 79 F9 BA CE 11 8C 82 00 AA 00 4B A9 0B B0 04 02 00 FF FF FF FF 0A 00 00 00 75 00 72 00 6C 00 6D 00 6F 00 6E 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_78779_0 {
	meta:
		name = "TDownLoadURL.SetFileName"
		size = 95
		refs = "000e @UStrAddRef 0016 TDownLoadURL.SetFileName 002a @UStrEqual 003a @UStrAsg 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 93 B8 00 00 00 E8 ?? ?? ?? ?? 74 0E 8D 83 B8 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_78784_0 {
	meta:
		name = "TDownLoadURL.OnObjectAvailable"
		size = 67
		refs = "0008 @IntfAddRef 0010 TDownLoadURL.OnObjectAvailable 0030 @IntfClear 0036 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 40 00 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_78786_0 {
	meta:
		name = "TDownLoadURL.OnStartBinding"
		size = 67
		refs = "0008 @IntfAddRef 0010 TDownLoadURL.OnStartBinding 0030 @IntfClear 0036 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 40 00 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_78785_0 {
	meta:
		name = "TDownLoadURL.OnProgress"
		size = 165
		refs = "0011 TDownLoadURL.OnProgress 002e BindStatusCode 003b DWordEnumToPascalEnumOrd 0047 WideCharToString 0052 Trim 0076 ContinueDownload 0090 @UStrArrayClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 66 83 BB B2 00 00 00 00 74 46 8B 45 10 50 B8 ?? ?? ?? ?? 8B 4D 14 BA 36 00 00 00 E8 ?? ?? ?? ?? 50 8D 55 F4 8B 45 18 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 FF 50 8B 4D 0C 8B D3 8B 83 B4 00 00 00 FF 93 B0 00 00 00 0F B6 45 FF 8B 1C 85 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_78788_0 {
	meta:
		name = "TSendMail.GetMessageData"
		size = 197
		refs = "000f TSendMail.GetMessageData 0037 TSendMail.GetMAPIString 00b4 @UStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE AC 00 00 00 00 74 08 C7 03 E9 FD 00 00 EB 04 33 C0 89 03 8B 96 B0 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 43 04 8D 55 FC 8B 86 A8 00 00 00 8B 08 FF 51 1C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 89 43 08 33 C0 89 43 0C 33 C0 89 43 10 33 C0 89 43 14 33 C0 89 43 18 33 C0 89 43 1C 8B 86 B4 00 00 00 8B 40 08 8B 40 08 89 43 20 8B C6 8B 10 FF 52 6C 89 43 24 8B 86 C0 00 00 00 8B 10 FF 52 14 89 43 28 8B C6 8B 10 FF 52 7C 89 43 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78789_0 {
	meta:
		name = "TSendMail.GetRecipientData"
		size = 164
		refs = "0012 TSendMail.GetRecipientData 0029 TRecipientCollection.GetRecipients 0034 TSendMail.RecipientTypeToRecipClass 0056 TSendMail.GetMAPIString 0092 @UStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 06 8B D7 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 0F B6 50 14 8B C3 E8 ?? ?? ?? ?? 89 46 04 8B D7 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 51 0C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 46 08 8B D7 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 8B 50 0C 8B C3 E8 ?? ?? ?? ?? 89 46 0C 33 C0 89 46 10 33 C0 89 46 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78790_0 {
	meta:
		name = "TSendMail.GetRecipientDataTable"
		size = 127
		refs = "0028 @GetMem"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F0 33 C0 89 04 24 8B 86 B4 00 00 00 8B 40 08 8B 40 08 85 C0 7E 56 03 C0 03 C0 03 C0 8D 04 40 E8 ?? ?? ?? ?? 89 04 24 8B 3C 24 8B 86 B4 00 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 31 43 C7 44 24 04 00 00 00 00 8D 4C 24 08 8B 54 24 04 8B C6 8B 28 FF 55 64 56 57 8D 74 24 10 B9 06 00 00 00 F3 A5 5F 5E 83 C7 18 FF 44 24 04 4B 75 D8 8B 04 24 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78791_0 {
	meta:
		name = "TSendMail.RecipientTypeToRecipClass"
		size = 5
	strings:
		$1 = { 0F B6 C2 40 C3 }
	condition:
		$1
}

rule function_78793_0 {
	meta:
		name = "TRecipientItem.SetDisplayName"
		size = 28
		refs = "000c @UStrAsg 0015 TCollectionItem.SetDisplayName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 10 8B D6 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78796_0 {
	meta:
		name = "TRecipientCollection.Notify"
		size = 210
		refs = "001d TRecipientCollection.Notify 0030 TCollection.Notify 0043 TObject.ClassName 0073 @UStrCopy 0082 IntToStr 008b @UStrCat 00af @UStrArrayClr 00b7 @UStrClr 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 88 4D FB 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 4D FB 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7D FB 00 75 5F FF 43 1C 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 8D 55 F4 8B 06 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F0 8B 7D F0 85 FF 74 05 83 EF 04 8B 3F 8D 45 EC 50 8B CF 49 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 EC 50 8D 55 E8 8B 43 1C E8 ?? ?? ?? ?? 8B 55 E8 58 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78798_0 {
	meta:
		name = "Finalization"
		size = 38
		refs = "0002 _DV_92 000a UrlMonInitialized 0013 UrlMonHandle 0021 FreeLibrary"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 1D 80 3D ?? ?? ?? ?? 00 74 14 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78804_0 {
	meta:
		name = "DoRect"
		size = 195
		refs = "0035 TPen.SetColor"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 8B 5D 08 8B 5B FC 8B 43 08 89 45 F8 8B 43 04 89 45 FC 8B 03 89 45 F0 8B 43 0C 89 45 F4 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B 40 44 E8 ?? ?? ?? ?? 8B 45 F0 89 45 D8 8B 45 F4 89 45 DC 8B 03 89 45 E0 8B 43 04 89 45 E4 8B 45 F8 89 45 E8 8B 45 FC 89 45 EC 8D 55 D8 8B 45 08 8B 40 F8 B9 02 00 00 00 8B 30 FF 56 70 8B 45 08 8B 50 0C 8B 45 08 8B 40 F8 8B 40 44 E8 ?? ?? ?? ?? FF 4D F0 8B 45 F8 89 45 D8 8B 45 FC 89 45 DC 8B 43 08 89 45 E0 8B 43 0C 89 45 E4 8B 45 F0 89 45 E8 8B 45 F4 89 45 EC 8D 55 D8 8B 45 08 8B 40 F8 B9 02 00 00 00 8B 18 FF 53 70 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78805_0 {
	meta:
		name = "Frame3D"
		size = 96
		refs = "001f TPen.SetWidth 0036 DoRect 0045 InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F4 89 55 FC 89 45 F8 8B 5D 08 8B 45 F8 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC FF 48 0C 8B 45 FC FF 48 08 85 DB 7E 1A 4B 55 E8 ?? ?? ?? ?? 59 8B 45 FC 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 85 DB 7F E6 8B 45 FC FF 40 0C 8B 45 FC FF 40 08 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_78806_0 {
	meta:
		name = "NotebookHandlesNeeded"
		size = 164
		refs = "003c TList.Get 0047 TWinControl.DisableAlign 004f NotebookHandlesNeeded 005d TWinControl.HandleNeeded 0086 TWinControl.EnableAlign 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 83 7D FC 00 0F 84 87 00 00 00 8B 45 FC 8B 80 80 02 00 00 8B 40 08 48 85 C0 7C 76 40 89 45 F4 C7 45 F8 00 00 00 00 8B 45 FC 8B 80 80 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 15 ?? ?? ?? ?? F7 D2 23 50 5C 8B 45 F0 89 50 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 F8 FF 4D F4 75 95 8B E5 5D C3 00 00 10 00 00 00 }
	condition:
		$1
}

rule function_78807_0 {
	meta:
		name = "AdjustedAlignment"
		size = 23
	strings:
		$1 = { 84 C0 74 10 8B C2 2C 01 72 04 74 06 EB 06 B2 01 EB 02 33 D2 8B C2 C3 }
	condition:
		$1
}

rule function_78808_0 {
	meta:
		name = "TShape.Create"
		size = 164
		refs = "000e @ClassCreate 001c TGraphicControl.Create 0025 TShape.Create 0034 TControl.SetWidth 0040 TControl.SetHeight 0047 _Dn_TPen 004c TPen.Create 005e TShape.StyleChanged 0065 _Dn_TBrush 006a TBrush.Create 0089 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 BA 41 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 41 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B8 01 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 BC 01 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 08 00 00 }
	condition:
		$1
}

rule function_78809_0 {
	meta:
		name = "TShape.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0028 TGraphicControl.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 B8 01 00 00 E8 ?? ?? ?? ?? 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78810_0 {
	meta:
		name = "TShape.Paint"
		size = 279
		refs = "0018 TCanvas.SetPen 0025 TCanvas.SetBrush"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B D8 8B B3 B0 01 00 00 8B 93 B8 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 BC 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 46 44 8B 40 10 8B 40 1C 8B D0 D1 FA 79 03 83 D2 00 89 14 24 8B 14 24 89 54 24 04 8B 7B 50 2B F8 47 8B 6B 54 2B E8 45 85 C0 75 02 4F 4D 3B EF 7E 06 89 7C 24 08 EB 04 89 6C 24 08 0F B6 83 C0 01 00 00 8B D0 80 EA 01 74 0A 80 EA 02 74 05 80 EA 02 75 25 2B 7C 24 08 D1 FF 79 03 83 D7 00 01 3C 24 2B 6C 24 08 D1 FD 79 03 83 D5 00 01 6C 24 04 8B 7C 24 08 8B 6C 24 08 2C 02 72 0A 2C 02 72 20 2C 02 72 49 EB 5F 03 3C 24 57 03 6C 24 08 55 8B 4C 24 0C 8B 54 24 08 8B C6 8B 18 FF 53 7C EB 45 03 3C 24 57 03 6C 24 08 55 8B 44 24 10 85 C0 79 03 83 C0 03 C1 F8 02 50 50 8B 4C 24 14 8B 54 24 10 8B C6 8B 18 FF 93 84 00 00 00 EB 18 03 3C 24 57 03 6C 24 08 55 8B 4C 24 0C 8B 54 24 08 8B C6 8B 18 FF 53 50 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78812_0 {
	meta:
		name = "TShape.SetBrush"
		size = 12
	strings:
		$1 = { 8B 80 BC 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_78813_0 {
	meta:
		name = "TShape.SetPen"
		size = 12
	strings:
		$1 = { 8B 80 B8 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_78814_0 {
	meta:
		name = "TShape.SetShape"
		size = 23
	strings:
		$1 = { 3A 90 C0 01 00 00 74 0E 88 90 C0 01 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_78815_0 {
	meta:
		name = "TPaintBox.Create"
		size = 96
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 0020 TPaintBox.Create 002f TControl.SetWidth 003b TControl.SetHeight 0046 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 BA 69 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 69 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 00 08 00 00 }
	condition:
		$1
}

rule function_78816_0 {
	meta:
		name = "TPaintBox.Paint"
		size = 113
		refs = "000e TCanvas.SetFont 001f TBrush.SetColor 0035 TPen.SetStyle 003f TBrush.SetStyle"
	strings:
		$1 = { 53 56 8B F0 8B 56 6C 8B 86 B0 01 00 00 E8 ?? ?? ?? ?? 8B 86 B0 01 00 00 8B 40 48 8B 56 74 E8 ?? ?? ?? ?? F6 46 1C 10 74 2D 8B 9E B0 01 00 00 B2 01 8B 43 44 E8 ?? ?? ?? ?? B2 01 8B 43 48 E8 ?? ?? ?? ?? 8B 46 50 50 8B 46 54 50 33 C9 33 D2 8B C3 8B 18 FF 53 7C 66 83 BE BA 01 00 00 00 74 0E 8B D6 8B 86 BC 01 00 00 FF 96 B8 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_78817_0 {
	meta:
		name = "TImage.Create"
		size = 152
		refs = "000e @ClassCreate 001c TGraphicControl.Create 0025 TImage.Create 002f _Dn_TPicture 0034 TPicture.Create 0046 TImage.PictureChanged 0054 @FindDynaInst 0063 TControl.SetHeight 006f TControl.SetWidth 007c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B8 01 00 00 89 5E 14 C7 46 10 ?? ?? ?? ?? 89 5E 24 8B C3 66 BA C6 FF E8 ?? ?? ?? ?? 89 46 20 BA 69 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 69 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 00 08 08 00 }
	condition:
		$1
}

rule function_78818_0 {
	meta:
		name = "TImage.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TGraphicControl.Destroy 0028 @ClassDestroy"
		altNames = "TOffice2007Button.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 B8 01 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78819_0 {
	meta:
		name = "TImage.GetPalette"
		size = 29
	strings:
		$1 = { 56 33 D2 8B 88 B8 01 00 00 8B 71 0C 85 F6 74 09 8B C6 8B 10 FF 52 28 8B D0 8B C2 5E C3 }
	condition:
		$1
}

rule function_78820_0 {
	meta:
		name = "TCustomCheckBox.CanObserve"
		size = 8
		altNames = "TCustomEdit.CanObserve TImage.CanObserve"
	strings:
		$1 = { 33 C0 4A 75 02 B0 01 C3 }
	condition:
		$1
}

rule function_78821_0 {
	meta:
		name = "TImage.DestRect"
		size = 298
		refs = "0012 TPicture.GetWidth 001f TPicture.GetHeight 0028 TControl.GetClientWidth 0032 TControl.GetClientHeight 0096 @TRUNC 011e OffsetRect"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B EA 8B D8 8B 83 B8 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B 83 B8 01 00 00 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 80 BB C8 01 00 00 00 75 1C 80 BB CD 01 00 00 00 0F 84 99 00 00 00 3B 34 24 7F 0A 3B 7C 24 04 0F 8E 8A 00 00 00 80 BB CD 01 00 00 00 74 7A 85 F6 7E 76 85 FF 7E 72 89 74 24 10 DB 44 24 10 89 7C 24 14 DB 44 24 14 DE F9 DD 5C 24 08 9B 3B FE 7D 2C 8B 34 24 DB 04 24 DC 74 24 08 E8 ?? ?? ?? ?? 8B F8 3B 7C 24 04 7E 47 8B 7C 24 04 DB 44 24 04 DC 4C 24 08 E8 ?? ?? ?? ?? 8B F0 EB 32 8B 7C 24 04 DB 44 24 04 DC 4C 24 08 E8 ?? ?? ?? ?? 8B F0 3B 34 24 7E 1A 8B 34 24 DB 04 24 DC 74 24 08 E8 ?? ?? ?? ?? 8B F8 EB 07 8B 34 24 8B 7C 24 04 33 C0 89 45 00 33 C0 89 45 04 89 75 08 89 7D 0C 80 BB C9 01 00 00 00 74 20 8B 4C 24 04 2B CF D1 F9 79 03 83 D1 00 8B 14 24 2B D6 D1 FA 79 03 83 D2 00 8B C5 E8 ?? ?? ?? ?? 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78822_0 {
	meta:
		name = "DoBufferedPaint"
		size = 172
		refs = "0013 TImage.DestRect 0026 TCanvas.GetHandle 002c BeginBufferedPaint 0037 DoBufferedPaint 0047 TCanvas.SetHandle 0083 BufferedPaintSetAlpha 009b EndBufferedPaint 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 8B D8 8D 55 E8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 45 FC 50 6A 00 6A 02 8D 45 E8 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 55 D8 8B 45 08 8B 40 FC 8B 80 B8 01 00 00 8B 48 0C 8B C3 8B 18 FF 93 88 00 00 00 8B 45 F8 68 FF 00 00 00 8D 55 E8 52 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A FF 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78823_0 {
	meta:
		name = "TImage.Paint"
		size = 257
		refs = "0022 TPen.SetStyle 002c TBrush.SetStyle 0064 TImage.Paint 00a6 DoBufferedPaint 00bd TImage.DestRect 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 45 FC 8B 45 FC F6 40 1C 10 74 36 8B 45 FC 8B 98 B0 01 00 00 8B 43 44 B2 01 E8 ?? ?? ?? ?? 8B 43 48 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 50 50 8B 45 FC 8B 40 54 50 33 C9 33 D2 8B C3 8B 18 FF 53 7C 8B 45 FC 0F B6 80 CC 01 00 00 88 45 FB 8B 45 FC C6 80 CC 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 5D 80 74 36 8B 45 FC 8B 80 B8 01 00 00 83 78 0C 00 74 27 8B 45 FC 8B 80 B8 01 00 00 8B 40 0C 8B 10 FF 52 4C 84 C0 75 12 55 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 59 EB 2D 8B 45 FC 8B 98 B0 01 00 00 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 80 B8 01 00 00 8B 48 0C 8B C3 8B 18 FF 93 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B6 55 FB 88 90 CC 01 00 00 C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78824_0 {
	meta:
		name = "TImage.DoPaletteChange"
		size = 153
		refs = "003d GetParentForm 0053 TWinControl.HandleAllocated 0070 TControl.Perform 0082 TWinControl.GetHandle 0088 PostMessage"
	strings:
		$1 = { 53 56 57 55 8B E8 33 DB 8B 85 B8 01 00 00 8B 70 0C 80 7D 61 00 74 7B F6 45 1C 01 75 75 85 F6 74 71 80 7E 22 00 74 6B 8B C6 8B 10 FF 52 28 85 C0 75 06 C6 46 22 00 EB 5A B2 01 8B C5 E8 ?? ?? ?? ?? 8B F8 85 FF 74 4B 80 BF A5 02 00 00 00 74 42 8B C7 E8 ?? ?? ?? ?? 84 C0 74 37 80 BD CC 01 00 00 00 74 12 6A 00 33 C9 BA 0F 03 00 00 8B C7 E8 ?? ?? ?? ?? EB 16 6A 00 6A 00 68 0F 03 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B3 01 C6 46 22 00 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78825_0 {
	meta:
		name = "TImage.Progress"
		size = 108
		refs = "001c TImage.DoPaletteChange"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B FA 8B F0 8B 5D 10 84 9E CA 01 00 00 74 21 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C6 8B 10 FF 92 A8 00 00 00 EB 0A 8B C6 8B 10 FF 92 AC 00 00 00 66 83 BE C2 01 00 00 00 74 20 0F B6 45 14 50 53 8B 45 0C 50 8B 45 08 50 0F B6 4D FF 8B D7 8B 86 C4 01 00 00 FF 96 C0 01 00 00 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_78826_0 {
	meta:
		name = "TImage.GetCanvas"
		size = 256
		refs = "0013 TImage.GetCanvas 002f _Dn_TBitmap 0034 TBitmap.Create 0072 TPicture.SetGraphic 0087 TObject.Free 008d @HandleFinally 00a8 @IsClass 00b3 TBitmap.GetCanvas 00bf SImageCanvasNeedsBitmap 00c4 LoadResString 00ce _Dn_EInvalidOperation 00d3 Exception.Create 00d8 @RaiseExcept 00ed @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B8 01 00 00 83 78 0C 00 75 67 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 50 8B 45 F8 8B 08 FF 51 44 8B 45 FC 8B 50 54 8B 45 F8 8B 08 FF 51 38 8B 45 FC 8B 80 B8 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 B8 01 00 00 8B 58 0C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78827_0 {
	meta:
		name = "TImage.SetCenter"
		size = 22
		refs = "0011 TImage.PictureChanged"
	strings:
		$1 = { 3A 90 C9 01 00 00 74 0D 88 90 C9 01 00 00 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78828_0 {
	meta:
		name = "TImage.SetPicture"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 B8 01 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_78829_0 {
	meta:
		name = "TImage.SetStretch"
		size = 22
		refs = "0011 TImage.PictureChanged"
	strings:
		$1 = { 3A 90 C8 01 00 00 74 0D 88 90 C8 01 00 00 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78830_0 {
	meta:
		name = "TImage.SetTransparent"
		size = 22
		refs = "0011 TImage.PictureChanged"
	strings:
		$1 = { 3A 90 CB 01 00 00 74 0D 88 90 CB 01 00 00 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78831_0 {
	meta:
		name = "TImage.SetProportional"
		size = 22
		refs = "0011 TImage.PictureChanged"
	strings:
		$1 = { 3A 90 CD 01 00 00 74 0D 88 90 CD 01 00 00 8B D0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78832_0 {
	meta:
		name = "TImage.PictureChanged"
		size = 528
		refs = "001c TImage.PictureChanged 004a TLinkObservers.GetEditLink 0082 TPicture.GetWidth 0091 TPicture.GetHeight 00d6 _Dn_TMetafile 00db @IsClass 00e7 _Dn_TIcon 0108 TImage.DestRect 0150 TImage.DoPaletteChange 01ee IEditLinkObserver 01f8 @FinalizeArray 01fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E0 89 4D E4 89 4D E8 89 4D EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 3A 8B C3 8B 10 FF 52 20 8B F0 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 24 84 C0 74 1B 8B C3 8B 10 FF 52 20 8B F0 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 2C 80 7B 66 00 74 46 8B 83 B8 01 00 00 E8 ?? ?? ?? ?? 85 C0 7E 37 8B 83 B8 01 00 00 E8 ?? ?? ?? ?? 85 C0 7E 28 8B 83 B8 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 B8 01 00 00 E8 ?? ?? ?? ?? 50 8B 4B 4C 8B 53 48 8B C3 8B 30 FF 96 A4 00 00 00 8B 83 B8 01 00 00 8B 70 0C 85 F6 0F 84 9B 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1F 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0E 0F B6 93 CB 01 00 00 8B C6 8B 08 FF 51 40 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 2C 84 C0 75 29 83 7D F0 00 7F 23 83 7D F4 00 7F 1D 8B 45 F8 3B 43 50 7C 15 8B 45 FC 3B 43 54 7C 0D A1 ?? ?? ?? ?? 0B 43 58 89 43 58 EB 0D A1 ?? ?? ?? ?? F7 D0 23 43 58 89 43 58 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 80 BB CC 01 00 00 00 74 19 8B C3 8B 10 FF 92 A8 00 00 00 EB 0D A1 ?? ?? ?? ?? F7 D0 23 43 58 89 43 58 80 BB CC 01 00 00 00 75 0A 8B C3 8B 10 FF 92 9C 00 00 00 8B C3 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 3A 8B C3 8B 10 FF 52 20 8B F0 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 8B 10 FF 52 44 84 C0 74 1B 8B C3 8B 10 FF 52 20 8B D8 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 52 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_78833_0 {
	meta:
		name = "TImage.CanAutoSize"
		size = 104
		refs = "0019 TPicture.GetWidth 0028 TPicture.GetHeight"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 B3 01 F6 46 1C 10 74 1E 8B 86 B8 01 00 00 E8 ?? ?? ?? ?? 85 C0 7E 40 8B 86 B8 01 00 00 E8 ?? ?? ?? ?? 85 C0 7E 31 0F B6 46 65 84 C0 74 06 04 FD 2C 02 73 0D 8B 86 B8 01 00 00 E8 ?? ?? ?? ?? 89 07 0F B6 46 65 2C 03 73 0E 8B 86 B8 01 00 00 E8 ?? ?? ?? ?? 89 45 00 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78834_0 {
	meta:
		name = "TBevel.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 0020 TBevel.Create 003d TControl.SetWidth 0049 TControl.SetHeight 0054 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 C6 86 B8 01 00 00 00 C6 86 B9 01 00 00 00 BA 32 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 32 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 08 00 00 }
	condition:
		$1
}

rule function_78835_0 {
	meta:
		name = "TBevel.SetStyle"
		size = 23
		altNames = "TRibbonGroupCollapsedControl.SetMouseInControl"
	strings:
		$1 = { 3A 90 B8 01 00 00 74 0E 88 90 B8 01 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_78836_0 {
	meta:
		name = "TBevel.SetShape"
		size = 23
	strings:
		$1 = { 3A 90 B9 01 00 00 74 0E 88 90 B9 01 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_78837_0 {
	meta:
		name = "BevelRect"
		size = 234
		refs = "0021 TPen.SetColor"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 8B D8 8B 45 08 8B 40 FC 8B B0 B0 01 00 00 8B 45 08 8B 50 F8 8B 46 44 E8 ?? ?? ?? ?? 8B 0B 8B C1 8B 53 0C 89 45 F8 89 55 FC 8B C1 8B 4B 04 8B D1 89 45 F0 89 55 F4 8B 43 08 8B D1 89 45 E8 89 55 EC 8B 45 F8 89 45 B8 8B 45 FC 89 45 BC 8B 45 F0 89 45 C0 8B 45 F4 89 45 C4 8B 45 E8 89 45 C8 8B 45 EC 89 45 CC 8D 55 B8 B9 02 00 00 00 8B C6 8B 38 FF 57 70 8B 45 08 8B 50 F4 8B 46 44 E8 ?? ?? ?? ?? 8B 4B 08 8B C1 8B 53 04 89 45 E0 89 55 E4 8B C1 8B 4B 0C 8B D1 89 45 D8 89 55 DC 8B 03 8B D1 89 45 D0 89 55 D4 8B 45 E0 89 45 B8 8B 45 E4 89 45 BC 8B 45 D8 89 45 C0 8B 45 DC 89 45 C4 8B 45 D0 89 45 C8 8B 45 D4 89 45 CC 8D 55 B8 B9 02 00 00 00 8B C6 8B 18 FF 53 70 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78838_0 {
	meta:
		name = "BevelLine"
		size = 67
		refs = "001e TPen.SetColor"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B 55 10 8B 52 FC 8B B2 B0 01 00 00 8B D0 8B 46 44 E8 ?? ?? ?? ?? 8B 4D FC 8B D7 8B C6 8B 18 FF 53 64 8B 4D 08 8B 55 0C 8B C6 8B 18 FF 53 60 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_78839_0 {
	meta:
		name = "TBevel.Paint"
		size = 693
		refs = "0033 TPen.SetStyle 003d TPen.SetMode 004a TPen.SetColor 0054 TBrush.SetStyle 005c TControl.GetClientWidth 0065 TControl.GetClientHeight 00ab TPen.SetWidth 00bc StyleServices 00c6 TCustomStyleServices.GetSystemColor 011b TBevel.Paint 0150 Rect 0158 BevelRect 01de BevelLine"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 89 45 FC 8B 45 FC 8B B0 B0 01 00 00 8B 45 FC F6 40 1C 10 0F 84 81 00 00 00 8B 45 FC 80 B8 B9 01 00 00 06 75 4D B2 02 8B 46 44 E8 ?? ?? ?? ?? B2 0E 8B 46 44 E8 ?? ?? ?? ?? BA CE D8 FF 00 8B 46 44 E8 ?? ?? ?? ?? B2 01 8B 46 48 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 33 C9 33 D2 8B C6 8B 18 FF 53 7C E9 35 02 00 00 33 D2 8B 46 44 E8 ?? ?? ?? ?? B2 04 8B 46 44 E8 ?? ?? ?? ?? 33 D2 8B 46 44 E8 ?? ?? ?? ?? 33 D2 8B 46 48 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 46 44 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 B8 01 00 00 00 75 26 E8 ?? ?? ?? ?? BA 10 00 00 FF E8 ?? ?? ?? ?? 89 45 F8 E8 ?? ?? ?? ?? BA 14 00 00 FF E8 ?? ?? ?? ?? 89 45 F4 EB 24 E8 ?? ?? ?? ?? BA 14 00 00 FF E8 ?? ?? ?? ?? 89 45 F8 E8 ?? ?? ?? ?? BA 10 00 00 FF E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 0F B6 80 B9 01 00 00 83 F8 05 0F 87 97 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 8B 45 FC 8B 40 54 48 50 8D 45 E4 50 8B 45 FC 8B 48 50 49 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 59 E9 4D 01 00 00 8B 5D F8 8B 45 F4 89 45 F8 55 8B 45 FC 8B 40 54 48 50 8D 45 E4 50 8B 45 FC 8B 48 50 49 BA 01 00 00 00 B8 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 59 89 5D F4 89 5D F8 55 8B 45 FC 8B 40 54 83 E8 02 50 8D 45 E4 50 8B 45 FC 8B 48 50 83 E9 02 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 59 E9 E3 00 00 00 55 8B 45 FC 8B 40 50 50 6A 00 33 C9 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 40 50 50 6A 01 B9 01 00 00 00 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 59 E9 AD 00 00 00 55 8B 55 FC 8B 52 50 52 8B 45 FC 8B 40 54 83 E8 02 50 8B C8 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 59 55 8B 55 FC 8B 52 50 52 8B 45 FC 8B 40 54 48 50 8B C8 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 59 EB 6F 55 6A 00 8B 45 FC 8B 40 54 50 33 C9 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 59 55 6A 01 8B 45 FC 8B 40 54 50 33 C9 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 59 EB 3C 55 8B 45 FC 8B 40 50 83 E8 02 50 8B 55 FC 8B 52 54 52 8B D0 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 40 50 48 50 8B 55 FC 8B 52 54 52 8B D0 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78841_0 {
	meta:
		name = "TTimer.Destroy"
		size = 66
		refs = "0003 @BeforeDestruction 0018 TTimer.UpdateTimer 0020 DeallocateHWnd 0030 TComponent.Destroy 003b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 46 48 00 83 7E 3C 00 74 14 8B C6 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 33 C0 89 46 3C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78842_0 {
	meta:
		name = "TTimer.WndProc"
		size = 115
		refs = "001a TTimer.WndProc 002c @CallDynaInst 003b @HandleAnyException 0040 Application 004a TApplication.HandleException 004f @DoneExcept 0066 DefWindowProc"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 33 81 FE 13 01 00 00 75 3F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BE F0 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 33 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 8B 43 08 50 8B 43 04 50 56 8B 45 FC 8B 40 3C 50 E8 ?? ?? ?? ?? 89 43 0C 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78848_0 {
	meta:
		name = "TCustomPanel.Create"
		size = 224
		refs = "000a @ClassCreate 0017 TCustomControl.Create 001c TCustomPanel.Create 0024 StyleServices 004f TControl.SetWidth 005b TControl.SetHeight 0072 TCustomPanel.SetBevelOuter 007e TCustomPanel.SetBevelWidth 0091 TControl.SetColor 00a1 TWinControl.SetUseDockManager 00bf @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 58 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 16 8B 46 58 0B 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? F7 D2 23 D0 89 56 58 BA B9 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 29 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 80 02 00 00 02 C6 86 91 02 00 00 02 B2 02 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 8C 02 00 00 00 BA 0F 00 00 FF 8B C6 E8 ?? ?? ?? ?? C6 86 8D 02 00 00 01 B2 01 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 91 E4 00 00 00 C6 86 90 02 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 EB 08 28 00 00 00 04 00 40 00 00 00 }
	condition:
		$1
}

rule function_78849_0 {
	meta:
		name = "TCustomPanel.CreateParams"
		size = 81
		refs = "000b TWinControl.CreateParams 0019 BorderStyles 0021 NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 83 8C 02 00 00 8B 04 85 ?? ?? ?? ?? 09 46 04 A1 ?? ?? ?? ?? 80 38 00 74 20 80 BB F1 01 00 00 00 74 17 80 BB 8C 02 00 00 01 75 0E 81 66 04 FF FF 7F FF 81 4E 08 00 02 00 00 83 66 24 FC 5E 5B C3 }
	condition:
		$1
}

rule function_78852_0 {
	meta:
		name = "TCustomPanel.CMCtl3DChanged"
		size = 44
		refs = "0007 NewStyleControls 001c TWinControl.RecreateWnd 0025 TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 10 80 BB 8C 02 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78853_0 {
	meta:
		name = "TCustomPanel.CMIsToolControl"
		size = 17
	strings:
		$1 = { 80 B8 8E 02 00 00 00 75 07 C7 42 0C 01 00 00 00 C3 }
	condition:
		$1
}

rule function_78854_0 {
	meta:
		name = "TCustomPanel.WMWindowPosChanged"
		size = 270
		refs = "0016 TCustomPanel.WMWindowPosChanged 0038 TControl.GetText 00ab TWinControl.GetHandle 00b1 InvalidateRect 00e6 TWinControl.WMWindowPosChanged 00fb @UStrClr 0101 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 8D 02 00 00 00 75 19 80 BB 90 02 00 00 00 74 1F 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 83 7D EC 00 74 0F 8B C3 8B 10 FF 92 9C 00 00 00 E9 90 00 00 00 8B B3 88 02 00 00 80 BB 82 02 00 00 00 74 08 8B 83 84 02 00 00 03 F0 80 BB 83 02 00 00 00 74 08 8B 83 84 02 00 00 03 F0 85 F6 7E 64 8B 43 50 89 45 F8 8B 43 54 89 45 FC 8B 47 08 8B 40 10 3B 45 F8 74 21 33 C0 89 45 F4 8B 45 F8 2B C6 48 89 45 F0 6A FF 8D 45 F0 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 47 08 8B 40 14 3B 45 FC 74 21 33 C0 89 45 F0 8B 45 FC 2B C6 48 89 45 F4 6A FF 8D 45 F0 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78855_0 {
	meta:
		name = "AdjustColors"
		size = 61
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 52 FC 8B 4D 08 89 51 F8 3C 01 75 0C 8B 55 08 8B 52 F4 8B 4D 08 89 51 F8 8B 55 08 8B 52 F4 8B 4D 08 89 51 F0 3C 01 75 0C 8B 45 08 8B 40 FC 8B 55 08 89 42 F0 5D C3 }
	condition:
		$1
}

rule function_78856_0 {
	meta:
		name = "TCustomPanel.Paint"
		size = 763
		refs = "001a TCustomPanel.Paint 0043 StyleServices 0073 TCustomStyleServices.GetElementColor 00ec AdjustColors 0109 Frame3D 014c InflateRect 0195 TWinControl.GetParentBackground 01a7 TBrush.SetColor 01c9 TControl.GetText 01e0 TBrush.SetStyle 01eb TCanvas.SetFont 01f9 VerticalAlignments 020a Alignments 0217 TControl.DrawTextBiDiModeFlags 0277 TTextFormatFlags.&op_Implicit 0289 TCanvas.GetHandle 0295 TCustomStyleServices.DrawText 02bf @UStrToPWChar 02c6 DrawText 02e0 @UStrArrayClr 02e8 @UStrClr 02ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 D2 89 55 B8 89 55 BC 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 CC 8B C3 8B 08 FF 51 60 8B 43 74 89 45 E4 C7 45 FC 14 00 00 FF C7 45 F4 10 00 00 FF E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 52 48 84 C0 0F 84 87 00 00 00 8D 4D C0 B2 02 8B C6 8B 38 FF 97 B0 00 00 00 8D 45 E8 50 B1 01 8D 55 C0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 81 7D E8 FF FF FF 1F 74 06 8B 45 E8 89 45 E4 8D 4D C0 B2 03 8B C6 8B 38 FF 97 B0 00 00 00 8D 45 E8 50 B1 04 8D 55 C0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 81 7D E8 FF FF FF 1F 74 06 8B 45 E8 89 45 FC 8D 45 E8 50 B1 05 8D 55 C0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 81 7D E8 FF FF FF 1F 74 06 8B 45 E8 89 45 F4 0F B6 83 83 02 00 00 84 C0 74 23 55 E8 ?? ?? ?? ?? 59 8B 45 F0 50 8B 83 84 02 00 00 50 8D 55 CC 8B 4D F8 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 48 84 C0 74 06 F6 43 5A 04 75 1E 8B 45 E4 50 8B 83 88 02 00 00 50 8D 55 CC 8B 4D E4 8B 83 78 02 00 00 E8 ?? ?? ?? ?? EB 14 8B 83 88 02 00 00 F7 D8 8B C8 8B D0 8D 45 CC E8 ?? ?? ?? ?? 0F B6 83 82 02 00 00 84 C0 74 23 55 E8 ?? ?? ?? ?? 59 8B 45 F0 50 8B 83 84 02 00 00 50 8D 55 CC 8B 4D F8 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 89 45 DC 8B C6 8B 10 FF 52 48 84 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 19 8B 45 DC 8B 40 48 8B 55 E4 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 DC 8B 08 FF 51 54 80 BB 90 02 00 00 00 0F 84 07 01 00 00 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 83 7D BC 00 0F 84 F3 00 00 00 8B 45 DC 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B 53 6C 8B 45 DC E8 ?? ?? ?? ?? 0F B6 83 91 02 00 00 8B 04 85 ?? ?? ?? ?? 83 C8 60 0F B6 93 80 02 00 00 0B 04 95 ?? ?? ?? ?? 89 45 E0 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 89 45 E0 8B C6 8B 10 FF 52 48 84 C0 74 72 8D 4D C0 B2 02 8B C6 8B 38 FF 97 B0 00 00 00 8D 45 E8 50 B1 02 8D 55 C0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 81 7D E8 FF FF FF 1F 75 0C 8B 45 DC 8B 40 40 8B 40 18 89 45 E8 8D 55 B8 8B C3 E8 ?? ?? ?? ?? 8B 45 B8 50 8D 45 CC 50 8B 45 E0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 E8 50 8B 45 DC E8 ?? ?? ?? ?? 8B D0 8D 4D C0 8B C6 E8 ?? ?? ?? ?? EB 2F 8B 45 DC E8 ?? ?? ?? ?? 8B F0 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 83 CB FF 8B 7D E0 57 8D 45 CC 50 53 8B 45 EC E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78857_0 {
	meta:
		name = "TCustomPanel.SetAlignment"
		size = 21
	strings:
		$1 = { 56 8B F0 88 96 80 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_78858_0 {
	meta:
		name = "TCustomPanel.SetBevelInner"
		size = 28
		refs = "000c TWinControl.Realign"
	strings:
		$1 = { 56 8B F0 88 96 82 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_78859_0 {
	meta:
		name = "TCustomPanel.SetBevelOuter"
		size = 28
		refs = "000c TWinControl.Realign"
	strings:
		$1 = { 56 8B F0 88 96 83 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_78860_0 {
	meta:
		name = "TCustomPanel.SetBevelWidth"
		size = 28
		refs = "000c TWinControl.Realign"
	strings:
		$1 = { 56 8B F0 89 96 84 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_78861_0 {
	meta:
		name = "TCustomPanel.SetBorderWidth"
		size = 28
		refs = "000c TWinControl.Realign"
	strings:
		$1 = { 56 8B F0 89 96 88 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_78863_0 {
	meta:
		name = "TCustomPanel.SetShowCaption"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 90 02 00 00 74 10 88 96 90 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_78864_0 {
	meta:
		name = "TCustomPanel.GetControlsAlignment"
		size = 8
	strings:
		$1 = { 0F B6 80 80 02 00 00 C3 }
	condition:
		$1
}

rule function_78865_0 {
	meta:
		name = "TCustomPanel.AdjustClientRect"
		size = 88
		refs = "000b TWinControl.AdjustClientRect 001e InflateRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 88 02 00 00 F7 D8 8B C8 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 80 BB 83 02 00 00 00 74 08 8B 93 84 02 00 00 03 C2 80 BB 82 02 00 00 00 74 08 8B 93 84 02 00 00 03 C2 8B D0 F7 DA 8B CA 8B DE 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78866_0 {
	meta:
		name = "TCustomPanel.CMDockClient"
		size = 315
		refs = "002a TCustomPanel.CMDockClient 0077 TControl.SetWidth 00c2 TControl.SetHeight 00ff TWinControl.CMDockClient 0104 @TryFinallyExit 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 F8 89 45 FC 8B 45 FC 80 78 66 00 0F 84 0D 01 00 00 8B 45 FC C6 80 81 02 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 04 8D 70 4C 8D 7D E8 A5 A5 A5 A5 8B 45 FC 0F B6 40 65 FE C8 74 60 FE C8 74 75 FE C8 74 09 FE C8 74 22 E9 98 00 00 00 8B 45 FC 83 78 50 00 0F 85 8B 00 00 00 8B 55 F0 2B 55 E8 8B 45 FC E8 ?? ?? ?? ?? EB 7B 8B 45 FC 83 78 50 00 75 72 8B 45 F0 2B 45 E8 50 8B 55 FC 8B 52 54 52 8B 55 FC 8B 4A 4C 8B 55 FC 8B 52 48 2B D0 8B 45 FC 8B 18 FF 93 A4 00 00 00 EB 49 8B 45 FC 83 78 54 00 75 40 8B 55 F4 2B 55 EC 8B 45 FC E8 ?? ?? ?? ?? EB 30 8B 45 FC 83 78 54 00 75 27 8B 45 F4 2B 45 EC 8B 55 FC 8B 52 50 52 50 8B 55 FC 8B 4A 4C 2B C8 8B 45 FC 8B 50 48 8B 45 FC 8B 18 FF 93 A4 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 81 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78867_0 {
	meta:
		name = "TCustomPanel.CanAutoSize"
		size = 43
		refs = "0019 TWinControl.CanAutoSize"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 BB 81 02 00 00 00 75 0F 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78868_0 {
	meta:
		name = "TCustomPanel.SetParentBackground"
		size = 60
		refs = "000b TCustomPanel.SetParentBackground 0030 TWinControl.SetParentBackground"
	strings:
		$1 = { 53 56 8B DA 8B F0 84 DB 74 0F A1 ?? ?? ?? ?? F7 D0 23 46 58 89 46 58 EB 0B A1 ?? ?? ?? ?? 0B 46 58 89 46 58 C6 86 8F 02 00 00 01 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 40 00 00 00 }
	condition:
		$1
}

rule function_78869_0 {
	meta:
		name = "TCustomPanel.SetVerticalAlignment"
		size = 21
	strings:
		$1 = { 56 8B F0 88 96 91 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_78870_0 {
	meta:
		name = "TCustomFlowPanel.AlignControls"
		size = 986
		refs = "000f TWinControl.GetControlCount 0080 TRect.Create 00a6 TCustomFlowPanel.AlignControls 0166 TList.Get 020d YIncDir 02b5 XIncDir 0322 YDeltaConst 0330 XDeltaConst 0361 TMargins.SetControlBounds 03ba @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 83 C4 BC 89 0C 24 8B F8 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 8E A3 03 00 00 33 C0 89 44 24 08 33 C0 89 44 24 0C 8B 14 24 8B C7 8B 08 FF 91 AC 00 00 00 80 7F 66 00 74 59 8B 04 24 8B 40 08 8B 1C 24 8B 1B 2B C3 8B 57 50 2B D0 8B 87 A4 01 00 00 2B C2 03 C3 50 8B 44 24 04 8B 40 0C 8B 74 24 04 8B 76 04 2B C6 8B 57 54 2B D0 8B 87 A8 01 00 00 2B C2 03 C6 50 8B CE 8B D3 8D 44 24 3C E8 ?? ?? ?? ?? 8B 04 24 57 8D 74 24 38 8B F8 A5 A5 A5 A5 5F 0F B6 87 9D 02 00 00 83 F8 07 0F 87 95 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 04 24 8B 10 89 54 24 10 8B 50 04 89 54 24 14 EB 5C 8B 04 24 8B 40 08 8B 14 24 8B 52 04 89 44 24 24 89 54 24 28 8B 44 24 24 89 44 24 10 8B 44 24 28 89 44 24 14 EB 36 8B 04 24 8B 00 8B 14 24 8B 52 0C 89 44 24 2C 89 54 24 30 8B 44 24 2C 89 44 24 10 8B 44 24 30 89 44 24 14 EB 11 8B 04 24 8B 50 08 89 54 24 10 8B 50 0C 89 54 24 14 8B 87 98 02 00 00 8B 40 08 48 85 C0 0F 8C 69 02 00 00 40 89 44 24 20 C7 44 24 04 00 00 00 00 8B 9F 98 02 00 00 8B 74 24 04 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 80 7B 61 00 75 0A F6 47 1C 10 0F 84 29 02 00 00 BA 02 00 00 00 8B 43 7C 8B 08 FF 51 10 89 44 24 18 BA 03 00 00 00 8B 43 7C 8B 08 FF 51 10 8B F0 89 74 24 1C 0F B6 87 9D 02 00 00 83 F8 07 0F 87 68 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 7C 24 08 00 0F 8E 36 01 00 00 8B 44 24 10 03 44 24 18 8B 14 24 3B 42 08 0F 8C 22 01 00 00 80 BF 9C 02 00 00 00 0F 84 15 01 00 00 0F B6 87 9D 02 00 00 8B 04 85 ?? ?? ?? ?? F7 6C 24 08 01 44 24 14 33 C0 89 44 24 08 8B 04 24 8B 00 89 44 24 10 E9 EB 00 00 00 8B 44 24 18 29 44 24 10 83 7C 24 08 00 0F 8E D8 00 00 00 83 7C 24 10 00 0F 8F CD 00 00 00 80 BF 9C 02 00 00 00 0F 84 C0 00 00 00 0F B6 87 9D 02 00 00 8B 04 85 ?? ?? ?? ?? F7 6C 24 08 01 44 24 14 33 C0 89 44 24 08 8B 04 24 8B 40 08 2B 44 24 18 89 44 24 10 E9 91 00 00 00 83 7C 24 0C 00 0F 8E 86 00 00 00 8B 44 24 14 03 44 24 1C 8B 14 24 3B 42 0C 7C 76 80 BF 9C 02 00 00 00 74 6D 0F B6 87 9D 02 00 00 8B 04 85 ?? ?? ?? ?? F7 6C 24 0C 01 44 24 10 33 C0 89 44 24 0C 8B 04 24 8B 40 04 89 44 24 14 EB 45 29 74 24 14 83 7C 24 0C 00 7E 3A 83 7C 24 14 00 7F 33 80 BF 9C 02 00 00 00 74 2A 0F B6 87 9D 02 00 00 8B 04 85 ?? ?? ?? ?? F7 6C 24 0C 01 44 24 10 33 C0 89 44 24 0C 8B 04 24 8B 40 0C 2B 44 24 1C 89 44 24 14 0F B6 97 9D 02 00 00 8B 04 95 ?? ?? ?? ?? 8B 6C 24 1C 0F AF C5 8B 14 95 ?? ?? ?? ?? 8B 74 24 18 0F AF D6 3B 6C 24 08 7E 04 89 6C 24 08 3B 74 24 0C 7E 04 89 74 24 0C 56 55 6A 00 03 44 24 20 50 03 54 24 20 8B 43 7C 59 E8 ?? ?? ?? ?? 0F B6 87 9D 02 00 00 8B D0 84 D2 74 05 80 EA 02 75 12 83 E0 7F 8B 04 85 ?? ?? ?? ?? F7 EE 01 44 24 10 EB 1C 8B D0 80 EA 04 74 05 80 EA 02 75 10 83 E0 7F 8B 04 85 ?? ?? ?? ?? 03 C5 01 44 24 14 FF 44 24 04 FF 4C 24 20 0F 85 A4 FD FF FF 8B C7 66 BE C6 FF E8 ?? ?? ?? ?? 80 BF F2 01 00 00 00 74 0B 8B C7 66 BE EF FF E8 ?? ?? ?? ?? 83 C4 44 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78871_0 {
	meta:
		name = "TCustomFlowPanel.CMControlListChanging"
		size = 90
		refs = "000b TWinControl.CMControlListChanging 0029 TList.IndexOf 003d TList.Add 0053 TList.RemoveItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7E 08 00 74 2F 8B 46 04 3B 58 04 75 27 8B 83 98 02 00 00 8B 56 04 8B 12 E8 ?? ?? ?? ?? 85 C0 7D 26 8B 83 98 02 00 00 8B 56 04 8B 12 E8 ?? ?? ?? ?? 5E 5B C3 8B 46 04 8B 00 8B 93 98 02 00 00 33 C9 92 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78872_0 {
	meta:
		name = "TCustomFlowPanel.Create"
		size = 80
		refs = "000a @ClassCreate 0017 TCustomPanel.Create 0027 _Dn_TObjectList 002c TObjectList.Create 003d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 9C 02 00 00 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 98 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78873_0 {
	meta:
		name = "TCustomFlowPanel.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 0012 TCustomControl.Destroy 0025 TObject.Free 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8D 86 98 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78874_0 {
	meta:
		name = "TCustomFlowPanel.GetChildren"
		size = 86
		refs = "0035 TList.Get"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 89 45 FC 8B 45 FC 8B 80 98 02 00 00 8B 58 08 4B 85 DB 7C 2D 43 33 F6 8B 45 FC 8B B8 98 02 00 00 89 75 F4 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 50 04 3B 55 F8 75 08 8B D0 8B 45 0C FF 55 08 46 4B 75 D6 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_78877_0 {
	meta:
		name = "TCustomFlowPanel.SetControlIndex"
		size = 58
		refs = "0009 TCustomFlowPanel.GetControlIndex 002c TList.Move 0033 TWinControl.Realign"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 83 F8 FF 7E 25 3B F0 74 21 8B 93 98 02 00 00 3B 72 08 7D 16 8B CE 8B D0 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78879_0 {
	meta:
		name = "ArrangeControlInCell"
		size = 424
		refs = "0042 TWinControl.ArrangeControl 004e ArrangeControlInCell 0182 TMargins.SetControlBounds"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B F2 8D 7D E8 A5 A5 A5 A5 8B F0 0F B6 46 65 84 C0 74 2F 8B 55 F0 2B 55 E8 89 55 F8 8B 55 F4 2B 55 EC 89 55 FC 50 51 8D 45 E8 50 6A 01 8B 45 08 8B 40 FC 8D 4D F8 8B D6 E8 ?? ?? ?? ?? E9 3B 01 00 00 0F B6 1D ?? ?? ?? ?? 22 5E 6B 0F B6 05 ?? ?? ?? ?? 3A C3 75 08 8B 45 E8 89 45 D8 EB 5B 0F B6 05 ?? ?? ?? ?? 3A C3 75 22 BA 06 00 00 00 8B 46 7C 8B 08 FF 51 10 50 8B 45 F0 5A 2B C2 8B 55 E8 3B C2 7D 02 8B C2 89 45 D8 EB 2E BA 02 00 00 00 8B 46 7C 8B 08 FF 51 10 50 8B 45 F0 8B 5D E8 2B C3 5A 2B C2 D1 F8 79 03 83 D0 00 03 C3 8B 55 E8 3B C2 7D 02 8B C2 89 45 D8 BA 06 00 00 00 8B 46 7C 8B 08 FF 51 10 8B 55 F0 2B 55 E8 3B C2 7E 02 8B C2 03 45 D8 89 45 E0 0F B6 1D ?? ?? ?? ?? 22 5E 6B 0F B6 05 ?? ?? ?? ?? 3A C3 75 08 8B 45 EC 89 45 DC EB 5B 0F B6 05 ?? ?? ?? ?? 3A C3 75 22 BA 07 00 00 00 8B 46 7C 8B 08 FF 51 10 50 8B 45 F4 5A 2B C2 8B 55 EC 3B C2 7D 02 8B C2 89 45 DC EB 2E BA 03 00 00 00 8B 46 7C 8B 08 FF 51 10 50 8B 45 F4 8B 5D EC 2B C3 5A 2B C2 D1 F8 79 03 83 D0 00 03 C3 8B 55 EC 3B C2 7D 02 8B C2 89 45 DC BA 07 00 00 00 8B 46 7C 8B 08 FF 51 10 8B 55 F4 2B 55 EC 3B C2 7E 02 8B C2 03 45 DC 89 45 E4 8D 55 D8 B1 01 8B 46 7C E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 00 00 05 00 00 00 01 00 00 00 04 00 00 00 0A 00 00 00 02 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_78880_0 {
	meta:
		name = "AdjustCellRect"
		size = 76
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 52 FC 8B 92 C4 01 00 00 8B 52 08 01 10 8B 55 08 8B 52 FC 8B 92 C4 01 00 00 8B 52 0C 01 50 04 8B 55 08 8B 52 FC 8B 92 C4 01 00 00 8B 52 10 29 50 08 8B 55 08 8B 52 FC 8B 92 C4 01 00 00 8B 52 14 29 50 0C 5D C3 }
	condition:
		$1
}

rule function_78881_0 {
	meta:
		name = "ArrangeControls"
		size = 586
		refs = "0011 _Dn_TList 0016 TObject.Create 0021 ArrangeControls 0078 TCellCollection.GetItem 00b8 TControlCollection.GetControlItem 0111 TList.Add 01ec AdjustCellRect 01ff ArrangeControlInCell 0237 TObject.Free 023d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 C0 89 45 C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C0 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 08 8B 40 F8 8B 40 04 89 45 E4 8B 45 08 8B 40 FC 8B 80 98 02 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C D4 01 00 00 40 89 45 F4 C7 45 FC 00 00 00 00 8B 45 08 8B 40 F8 8B 00 89 45 E0 8B 45 08 8B 40 FC 8B 80 98 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 40 18 03 45 E4 89 45 EC 8B 45 08 8B 40 FC 8B 80 9C 02 00 00 8B 40 08 8B 40 08 48 85 C0 0F 8C 74 01 00 00 40 89 45 F0 33 FF 8B 45 08 8B 40 FC 8B 80 A0 02 00 00 8B 4D FC 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 80 9C 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B 40 18 03 45 E0 89 45 E8 85 DB 0F 84 22 01 00 00 83 7B 0C 00 0F 84 18 01 00 00 3B 7B 10 0F 85 0F 01 00 00 8B 43 14 3B 45 FC 0F 85 03 01 00 00 8B 75 C0 8B C6 8B 10 FF 52 08 8B 53 0C 8B C6 E8 ?? ?? ?? ?? 8B 43 0C 0F B6 40 65 88 45 C8 57 8D 75 E0 8D 7D D0 A5 A5 A5 A5 5F 83 7B 18 01 76 55 8D 47 01 8B 55 08 8B 52 FC 8B 92 9C 02 00 00 8B 52 08 8B 52 08 8B CA 49 8B 73 18 03 F7 4E 3B CE 7E 08 8B 53 18 03 D7 4A EB 01 4A 8B F2 2B F0 7C 24 46 89 45 F8 8B 45 08 8B 40 FC 8B 80 9C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 40 18 01 45 D8 FF 45 F8 4E 75 E0 83 7B 1C 01 76 58 8B 45 FC 40 8B 55 08 8B 52 FC 8B 92 98 02 00 00 8B 52 08 8B 52 08 8B CA 49 8B 73 1C 03 75 FC 4E 3B CE 7E 09 8B 53 1C 03 55 FC 4A EB 01 4A 8B F2 2B F0 7C 24 46 89 45 F8 8B 45 08 8B 40 FC 8B 80 98 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 40 18 01 45 DC FF 45 F8 4E 75 E0 8B 45 08 50 8D 45 D0 E8 ?? ?? ?? ?? 59 8B 45 08 50 8D 4D C0 8B 43 0C 8D 55 D0 E8 ?? ?? ?? ?? 59 8B 45 E8 89 45 E0 47 FF 4D F0 0F 85 92 FE FF FF 8B 45 EC 89 45 E4 FF 45 FC FF 4D F4 0F 85 37 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78882_0 {
	meta:
		name = "TCustomGridPanel.AlignControls"
		size = 72
		refs = "002d TCustomGridPanel.RecalcCellDimensions 0035 TWinControl.GetControlCount 003f ArrangeControls"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 4D F8 89 45 FC 8B 55 F8 8B 45 FC 8B 08 FF 91 AC 00 00 00 8B 45 FC 80 B8 A4 02 00 00 00 74 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 07 55 E8 ?? ?? ?? ?? 59 59 59 5D C3 }
	condition:
		$1
}

rule function_78883_0 {
	meta:
		name = "TCustomGridPanel.AutoAddColumn"
		size = 31
		refs = "0008 TColumnCollection.Add 0013 TCellItem.SetSizeStyle"
	strings:
		$1 = { 53 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? 8B D8 B2 02 8B C3 E8 ?? ?? ?? ?? C6 43 1C 01 8B C3 5B C3 }
	condition:
		$1
}

rule function_78884_0 {
	meta:
		name = "TCustomGridPanel.AutoAddRow"
		size = 31
		refs = "0008 TRowCollection.Add 0013 TCellItem.SetSizeStyle"
	strings:
		$1 = { 53 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B D8 B2 02 8B C3 E8 ?? ?? ?? ?? C6 43 1C 01 8B C3 5B C3 }
	condition:
		$1
}

rule function_78885_0 {
	meta:
		name = "TCustomGridPanel.CellIndexToCell"
		size = 126
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 8B 7D 08 0F B6 83 A5 02 00 00 48 2C 02 73 30 8B 83 98 02 00 00 8B 40 08 FF 70 08 8B C6 5A 51 8B CA 99 F7 F9 59 89 01 8B 83 98 02 00 00 8B 40 08 FF 70 08 8B C6 5A 8B CA 99 F7 F9 89 17 EB 2E 8B 83 9C 02 00 00 8B 40 08 FF 70 08 8B C6 5A 51 8B CA 99 F7 F9 59 89 07 8B 83 9C 02 00 00 8B 40 08 FF 70 08 8B C6 5A 8B DA 99 F7 FB 89 11 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_78886_0 {
	meta:
		name = "TCustomGridPanel.CellToCellIndex"
		size = 33
		refs = "0012 TCustomGridPanel.GetColumnSpanIndex 001b TCustomGridPanel.GetRowSpanIndex"
	strings:
		$1 = { 56 8B F0 0F B6 86 A5 02 00 00 48 2C 02 73 09 8B C6 E8 ?? ?? ?? ?? 5E C3 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_78887_0 {
	meta:
		name = "TCustomGridPanel.Create"
		size = 164
		refs = "000a @ClassCreate 0017 TCustomPanel.Create 0020 _DV_TRowCollection 0025 TRowCollection.Create 0034 _DV_TColumnCollection 0039 TColumnCollection.Create 0048 _DV_TControlCollection 004d TControlCollection.Create 0065 TRowCollection.Add 007b TColumnCollection.Add 0091 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 98 02 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 9C 02 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A0 02 00 00 C6 86 A4 02 00 00 01 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 8B 86 9C 02 00 00 E8 ?? ?? ?? ?? 8B 86 9C 02 00 00 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78888_0 {
	meta:
		name = "TCustomGridPanel.CMControlChange"
		size = 160
		refs = "0032 TWinControl.DisableAlign 003a TCustomGridPanel.CMControlChange 004f TControl.SetAnchors 0065 TControlCollection.AddControl 007a TWinControl.EnableAlign 0080 @HandleFinally 0093 TControlCollection.RemoveControl"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B D3 8B 45 FC 8B 08 FF 51 F0 8B 45 FC F6 40 1C 01 75 7A 83 7B 08 00 74 63 8B 43 04 8B 40 38 3B 45 FC 75 58 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 8B 53 04 8B 45 FC 8B 80 A0 02 00 00 83 C9 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 53 04 8B 45 FC 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? 5B 59 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_78889_0 {
	meta:
		name = "TCustomGridPanel.Destroy"
		size = 93
		refs = "0003 @BeforeDestruction 0012 TCustomControl.Destroy 0025 TObject.Free 0056 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8D 86 98 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 9C 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 A0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78890_0 {
	meta:
		name = "TCustomGridPanel.GetCellCount"
		size = 28
	strings:
		$1 = { 8B 90 98 02 00 00 8B 52 08 8B 52 08 8B 80 9C 02 00 00 8B 40 08 0F AF 50 08 8B C2 C3 }
	condition:
		$1
}

rule function_78891_0 {
	meta:
		name = "TCustomGridPanel.GetCellRect"
		size = 153
		refs = "0035 TCellCollection.GetItem 0075 TCustomGridPanel.GetCellSizes"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 7D 08 33 C0 89 07 33 C0 89 47 04 8B 5D F8 4B 85 DB 7C 1C 43 33 F6 8B 45 FC 8B 80 9C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 40 18 01 07 46 4B 75 E7 8B 5D F4 4B 85 DB 7C 1D 43 33 F6 8B 45 FC 8B 80 98 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 40 18 01 47 04 46 4B 75 E6 8D 45 EC 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 89 47 08 8B 45 F0 89 47 0C 8B 47 04 01 47 0C 8B 07 01 47 08 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_78892_0 {
	meta:
		name = "TCustomGridPanel.GetCellSizes"
		size = 76
		refs = "0018 TCellCollection.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 8B 70 18 8B D7 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B 40 18 89 75 F8 89 45 FC 8B 45 08 8B 55 F8 89 10 8B 55 FC 89 50 04 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_78893_0 {
	meta:
		name = "TCustomGridPanel.GetChildren"
		size = 92
		refs = "0036 TControlCollection.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 8B 45 FC 8B 80 A0 02 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 34 43 C7 45 F4 00 00 00 00 8B 45 FC 8B 80 A0 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 50 0C 85 D2 74 0E 8B 4A 04 3B 4D F8 75 06 8B 45 0C FF 55 08 FF 45 F4 4B 75 D4 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_78894_0 {
	meta:
		name = "TCustomGridPanel.GetColumnSpanIndex"
		size = 20
	strings:
		$1 = { 8B 80 9C 02 00 00 8B 40 08 8B 40 08 0F AF C1 03 D0 8B C2 C3 }
	condition:
		$1
}

rule function_78895_0 {
	meta:
		name = "TCustomGridPanel.GetRowSpanIndex"
		size = 19
	strings:
		$1 = { 8B 80 98 02 00 00 8B 40 08 8B 40 08 F7 EA 03 C8 8B C1 C3 }
	condition:
		$1
}

rule function_78896_0 {
	meta:
		name = "TCustomGridPanel.IsColumnEmpty"
		size = 208
		refs = "0017 TCustomGridPanel.IsColumnEmpty 0065 TControlCollection.GetControl 008b sInvalidColumnIndex 0090 LoadResString 009a _DV_EGridPanelException 009f Exception.CreateFmt 00a4 @RaiseExcept 00b9 @UStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 83 7D FC FF 7E 14 8B 87 9C 02 00 00 8B 40 08 8B 40 08 3B 45 FC 0F 9F C0 EB 02 33 C0 84 C0 74 32 8B 87 98 02 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 1B 43 33 F6 8B 87 A0 02 00 00 8B CE 8B 55 FC E8 ?? ?? ?? ?? 85 C0 75 3B 46 4B 75 E8 C6 45 FB 01 EB 31 8B 45 FC 89 45 F0 C6 45 F4 00 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78897_0 {
	meta:
		name = "TCustomGridPanel.IsRowEmpty"
		size = 208
		refs = "0017 TCustomGridPanel.IsRowEmpty 0065 TControlCollection.GetControl 008b sInvalidRowIndex 0090 LoadResString 009a _DV_EGridPanelException 009f Exception.CreateFmt 00a4 @RaiseExcept 00b9 @UStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 83 7D FC FF 7E 14 8B 87 98 02 00 00 8B 40 08 8B 40 08 3B 45 FC 0F 9F C0 EB 02 33 C0 84 C0 74 32 8B 87 9C 02 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 1B 43 33 F6 8B 87 A0 02 00 00 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 85 C0 75 3B 46 4B 75 E8 C6 45 FB 01 EB 31 8B 45 FC 89 45 F0 C6 45 F4 00 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78898_0 {
	meta:
		name = "TCustomGridPanel.Loaded"
		size = 143
		refs = "000e TControl.Loaded 0019 TCollection.GetEnumerator 0024 TCustomGridPanel.Loaded 003a TCollection.GetItem 0053 TControlItem.InternalSetLocation 005b TCollectionEnumerator.MoveNext 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 27 8B 75 FC 8B 56 04 8B 46 08 E8 ?? ?? ?? ?? 89 45 F8 8B 5D F8 6A 00 6A 01 8B FB 8B 4F 14 8B 57 10 8B C7 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D FC 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_78899_0 {
	meta:
		name = "TCustomGridPanel.Paint"
		size = 271
		refs = "000c TCustomPanel.Paint 0028 TPen.SetStyle 0038 TPen.SetColor 0070 TCellCollection.GetItem"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 0F 84 ED 00 00 00 33 FF 8B 83 78 02 00 00 8B 40 44 B2 02 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8D 54 24 08 8B C3 8B 08 FF 51 60 8B 83 9C 02 00 00 8B 40 08 8B 40 08 83 E8 02 85 C0 7C 4C 40 89 44 24 04 C7 04 24 00 00 00 00 8B 14 24 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 8B 70 18 8D 14 3E 8B 4C 24 0C 8B 83 78 02 00 00 8B 28 FF 55 64 8D 14 3E 8B 4C 24 14 8B 83 78 02 00 00 8B 28 FF 55 60 03 FE FF 04 24 FF 4C 24 04 75 C0 33 FF 8B 83 98 02 00 00 8B 40 08 8B 40 08 83 E8 02 85 C0 7C 4C 40 89 44 24 04 C7 04 24 00 00 00 00 8B 14 24 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B 70 18 8D 0C 3E 8B 54 24 08 8B 83 78 02 00 00 8B 28 FF 55 64 8D 0C 3E 8B 54 24 10 8B 83 78 02 00 00 8B 28 FF 55 60 03 FE FF 04 24 FF 4C 24 04 75 C0 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78900_0 {
	meta:
		name = "TCustomGridPanel.RecalcCellDimensions"
		size = 1000
		refs = "0057 TCellCollection.GetItem 0073 @TRUNC 00cc TControlCollection.GetControlItem 0290 IsZero 029e TCustomGridPanel.RecalcCellDimensions 02ac TCellItem.SetValue"
	strings:
		$1 = { 53 56 57 55 83 C4 C4 8B F8 8B 42 08 2B 02 89 44 24 04 8B 42 0C 2B 42 04 89 44 24 08 33 C0 89 44 24 20 89 44 24 24 33 C0 89 44 24 28 89 44 24 2C 33 C0 89 44 24 18 8B 87 9C 02 00 00 8B 40 08 8B 68 08 4D 85 ED 0F 8C EE 00 00 00 45 33 DB 8B 87 9C 02 00 00 8B D3 E8 ?? ?? ?? ?? 89 44 24 30 8B 44 24 30 0F B6 40 0C 84 C0 75 15 8B 44 24 30 DD 40 10 E8 ?? ?? ?? ?? 29 44 24 04 E9 B1 00 00 00 3C 01 75 19 DD 44 24 20 8B 44 24 30 DC 40 10 DD 5C 24 20 9B FF 44 24 18 E9 94 00 00 00 33 C0 89 44 24 14 8B 87 98 02 00 00 8B 40 08 8B 40 08 48 85 C0 7C 6A 40 89 44 24 34 C7 04 24 00 00 00 00 8B 87 A0 02 00 00 8B 0C 24 8B D3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 3F 83 7E 0C 00 74 39 3B 5E 10 75 34 8B 46 14 3B 04 24 75 2C 8B 46 0C 8B 40 7C BA 02 00 00 00 8B 08 FF 51 10 8B 97 C4 01 00 00 03 42 08 8B 97 C4 01 00 00 03 42 10 3B 44 24 14 7E 04 89 44 24 14 FF 04 24 FF 4C 24 34 75 A2 8B 44 24 14 29 44 24 04 8B 44 24 30 8B 54 24 14 89 50 18 43 4D 0F 85 15 FF FF FF 33 C0 89 44 24 1C 8B 87 98 02 00 00 8B 40 08 8B 68 08 4D 85 ED 0F 8C EE 00 00 00 45 33 DB 8B 87 98 02 00 00 8B D3 E8 ?? ?? ?? ?? 89 44 24 38 8B 44 24 38 0F B6 40 0C 84 C0 75 15 8B 44 24 38 DD 40 10 E8 ?? ?? ?? ?? 29 44 24 08 E9 B1 00 00 00 3C 01 75 19 DD 44 24 28 8B 44 24 38 DC 40 10 DD 5C 24 28 9B FF 44 24 1C E9 94 00 00 00 33 C0 89 44 24 14 8B 87 9C 02 00 00 8B 40 08 8B 40 08 48 85 C0 7C 6A 40 89 44 24 34 C7 04 24 00 00 00 00 8B 87 A0 02 00 00 8B CB 8B 14 24 E8 ?? ?? ?? ?? 8B F0 85 F6 74 3F 83 7E 0C 00 74 39 8B 46 10 3B 04 24 75 31 3B 5E 14 75 2C 8B 46 0C 8B 40 7C BA 03 00 00 00 8B 08 FF 51 10 8B 97 C4 01 00 00 03 42 0C 8B 97 C4 01 00 00 03 42 14 3B 44 24 14 7E 04 89 44 24 14 FF 04 24 FF 4C 24 34 75 A2 8B 44 24 14 29 44 24 08 8B 44 24 38 8B 54 24 14 89 50 18 43 4D 0F 85 15 FF FF FF 8B 44 24 04 89 44 24 0C 8B 44 24 08 89 44 24 10 8B 87 9C 02 00 00 8B 40 08 8B 68 08 4D 85 ED 0F 8C AB 00 00 00 45 33 DB 8B 87 9C 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 80 7E 0C 01 0F 85 87 00 00 00 FF 74 24 24 FF 74 24 24 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 1A DB 44 24 18 D8 3D ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? EB 1B DD 46 10 DC 74 24 20 D8 0D ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? DB 44 24 04 DD 46 10 D8 35 ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 89 46 18 8B 46 18 29 44 24 0C 83 7C 24 0C 00 7E 18 8B 87 9C 02 00 00 8B 40 08 8B 40 08 48 3B D8 75 07 8B 44 24 0C 01 46 18 43 4D 0F 85 58 FF FF FF 8B 87 98 02 00 00 8B 40 08 8B 68 08 4D 85 ED 0F 8C AB 00 00 00 45 33 DB 8B 87 98 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 80 7E 0C 01 0F 85 87 00 00 00 FF 74 24 2C FF 74 24 2C 6A 00 6A 00 E8 ?? ?? ?? ?? 84 C0 74 1A DB 44 24 1C D8 3D ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? EB 1B DD 46 10 DC 74 24 28 D8 0D ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? DB 44 24 08 DD 46 10 D8 35 ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 89 46 18 8B 46 18 29 44 24 10 83 7C 24 10 00 7E 18 8B 87 98 02 00 00 8B 40 08 8B 40 08 48 3B D8 75 07 8B 44 24 10 01 46 18 43 4D 0F 85 58 FF FF FF C6 87 A4 02 00 00 00 83 C4 3C 5D 5F 5E 5B C3 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_78901_0 {
	meta:
		name = "TCustomGridPanel.RemoveEmptyAutoAddColumns"
		size = 76
		refs = "001f TCellCollection.GetItem 002e TCustomGridPanel.IsColumnEmpty 003f TCollection.Delete"
	strings:
		$1 = { 53 56 8B F0 8B 86 9C 02 00 00 8B 40 08 8B 58 08 4B 83 FB 00 7C 33 8B D3 8B 86 9C 02 00 00 E8 ?? ?? ?? ?? 80 78 1C 00 74 20 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 8B D3 8B 86 9C 02 00 00 E8 ?? ?? ?? ?? 4B 83 FB FF 75 CD 5E 5B C3 }
	condition:
		$1
}

rule function_78902_0 {
	meta:
		name = "TCustomGridPanel.RemoveEmptyAutoAddRows"
		size = 76
		refs = "001f TCellCollection.GetItem 002e TCustomGridPanel.IsRowEmpty 003f TCollection.Delete"
	strings:
		$1 = { 53 56 8B F0 8B 86 98 02 00 00 8B 40 08 8B 58 08 4B 83 FB 00 7C 33 8B D3 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 80 78 1C 00 74 20 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 8B D3 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 4B 83 FB FF 75 CD 5E 5B C3 }
	condition:
		$1
}

rule function_78903_0 {
	meta:
		name = "TCustomGridPanel.SetControlCollection"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 A0 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_78904_0 {
	meta:
		name = "TCustomGridPanel.SetRowCollection"
		size = 16
		altNames = "TCustomScreenTipsPopup.SetScreenTip"
	strings:
		$1 = { 56 8B F0 8B 86 98 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_78905_0 {
	meta:
		name = "TCustomGridPanel.SetColumnCollection"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 9C 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_78906_0 {
	meta:
		name = "TCustomGridPanel.UpdateControlsColumn"
		size = 120
		refs = "004c TControlCollection.GetControlItem 0063 TControlItem.SetColumn"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 04 24 8D 42 01 8B F8 8B 04 24 8B 80 9C 02 00 00 8B 40 08 8B 40 08 48 2B C7 7C 50 40 89 44 24 04 8B 04 24 8B 80 98 02 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 30 46 33 DB 8B 04 24 8B 80 A0 02 00 00 8B CB 8B D7 E8 ?? ?? ?? ?? 85 C0 74 13 3B 78 10 75 0E 3B 58 14 75 09 8B 50 10 4A E8 ?? ?? ?? ?? 43 4E 75 D3 47 FF 4C 24 04 75 B5 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78907_0 {
	meta:
		name = "TCustomGridPanel.UpdateControlsRow"
		size = 127
		refs = "0052 TControlCollection.GetControlItem 0069 TControlItem.SetRow"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 54 24 04 89 04 24 8B 04 24 8B 80 9C 02 00 00 8B 40 08 8B 40 08 48 85 C0 7C 57 40 89 44 24 08 33 FF 8B 44 24 04 40 8B D8 8B 04 24 8B 80 98 02 00 00 8B 40 08 8B 70 08 4E 2B F3 7C 2E 46 8B 04 24 8B 80 A0 02 00 00 8B CB 8B D7 E8 ?? ?? ?? ?? 85 C0 74 13 3B 78 10 75 0E 3B 58 14 75 09 8B 50 14 4A E8 ?? ?? ?? ?? 43 4E 75 D3 47 FF 4C 24 08 75 B0 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78908_0 {
	meta:
		name = "TCustomGridPanel.UpdateControlOriginalParentSize"
		size = 146
		refs = "0018 TWinControl.HandleAllocated 003a TCustomGridPanel.RecalcCellDimensions 0047 TControlCollection.IndexOf 0059 TControlCollection.GetItem 006d TCustomGridPanel.GetCellSizes 0087 TWinControl.UpdateControlOriginalParentSize"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F9 8B F2 8B D8 80 BB A4 02 00 00 00 74 29 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1E 8B D4 8B C3 8B 08 FF 51 60 8B D4 8B C3 8B 08 FF 91 AC 00 00 00 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? 83 F8 FF 7E 30 8B D0 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? 8B F0 8D 44 24 10 50 8B 4E 14 8B 56 10 8B C3 E8 ?? ?? ?? ?? 8B 44 24 10 89 07 8B 44 24 14 89 47 04 EB 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78909_0 {
	meta:
		name = "TCustomGridPanel.WMWindowPosChanged"
		size = 19
		refs = "0006 TCustomPanel.WMWindowPosChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 A4 02 00 00 01 5B C3 }
	condition:
		$1
}

rule function_78910_0 {
	meta:
		name = "TCellItem.AssignTo"
		size = 53
		refs = "000a _DV_TCellItem 000f @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 0F B6 53 0C 8B C6 88 50 0C 8B 53 10 89 50 10 8B 53 14 89 50 14 8B 53 18 89 50 18 5E 5B C3 }
	condition:
		$1
}

rule function_78911_0 {
	meta:
		name = "TCellItem.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 0C 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78913_0 {
	meta:
		name = "TCellItem.SetValue"
		size = 79
		refs = "001e @TRUNC 0044 TCollectionItem.Changed"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 DD 45 08 DC 5B 10 9B DF E0 9E 74 34 80 7B 0C 00 75 19 DD 45 08 E8 ?? ?? ?? ?? 8B F0 89 73 18 89 75 FC DB 45 FC DD 5B 10 9B EB 0C 8B 45 08 89 43 10 8B 45 0C 89 43 14 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_78917_0 {
	meta:
		name = "GetSizeStyleString"
		size = 89
		refs = "000e TCellCollection.GetItem 0025 sCellAbsoluteSize 002a LoadResString 0034 sCellPercentSize 0043 sCellAutoSize 0052 @UStrClr"
	strings:
		$1 = { 55 8B EC 53 8B DA 8B 55 08 8B 52 FC 92 E8 ?? ?? ?? ?? 0F B6 40 0C 2C 01 72 08 74 15 FE C8 74 20 EB 2D 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C3 8B C3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_78918_0 {
	meta:
		name = "GetValueString"
		size = 136
		refs = "0012 TCellCollection.GetItem 0024 @TRUNC 002d IntToStr 004f GetValueString 0054 Format 005d sCellAutoSize 0062 LoadResString"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B F2 8B 55 08 8B 52 FC 92 E8 ?? ?? ?? ?? 8B D8 0F B6 43 0C 84 C0 75 13 DD 43 10 E8 ?? ?? ?? ?? 52 50 8B C6 E8 ?? ?? ?? ?? EB 33 3C 01 75 23 56 DD 43 10 DB 7D EC 9B 8D 45 EC 89 45 F8 C6 45 FC 03 8D 55 F8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 33 00 2E 00 32 00 66 00 25 00 25 00 00 00 }
	condition:
		$1
}

rule function_78919_0 {
	meta:
		name = "TCellCollection.GetItemAttr"
		size = 138
		refs = "0017 TCellCollection.GetItemAttr 0030 GetSizeStyleString 003b @UStrAsg 0048 GetValueString 005c @UStrClr 0076 @UStrArrayClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 4A 74 05 4A 74 1A EB 30 55 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 59 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 1F 55 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 59 8B 55 F4 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_78922_0 {
	meta:
		name = "TCellCollection.Update"
		size = 56
		refs = "0006 TCollection.Update 000d TCellCollection.Owner 0032 TWinControl.Realign"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 21 8B C3 E8 ?? ?? ?? ?? 8B D8 C6 83 A4 02 00 00 01 8B C3 8B 10 FF 92 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78925_0 {
	meta:
		name = "TRowCollection.GetItemAttr"
		size = 130
		refs = "0018 TRowCollection.GetItemAttr 002e sCellRow 0033 LoadResString 0047 Format 0058 TCellCollection.GetItemAttr 006d @UStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 27 8B 45 08 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 7D F4 C6 45 F8 00 8D 55 F4 33 C9 E8 ?? ?? ?? ?? EB 0F 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_78929_0 {
	meta:
		name = "TColumnCollection.GetItemAttr"
		size = 130
		refs = "0018 TColumnCollection.GetItemAttr 002e sCellColumn 0033 LoadResString 0047 Format 0058 TCellCollection.GetItemAttr 006d @UStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 27 8B 45 08 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 7D F4 C6 45 F8 00 8D 55 F4 33 C9 E8 ?? ?? ?? ?? EB 0F 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_78926_0 {
	meta:
		name = "TRowCollection.Notify"
		size = 186
		refs = "0012 TRowCollection.Notify 0023 TCollection.Notify 002f TCellCollection.Owner 0049 TCollectionItem.GetIndex 0057 TCustomGridPanel.IsRowEmpty 0063 sCannotDeleteRow 0068 LoadResString 0072 _DV_EGridPanelException 0077 Exception.Create 007c @RaiseExcept 0093 TCustomGridPanel.UpdateControlsRow 00a8 @UStrClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 6B 8B C6 E8 ?? ?? ?? ?? F6 40 1C 08 75 5E 8B C6 E8 ?? ?? ?? ?? F6 40 1C 40 75 51 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 84 C0 75 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78930_0 {
	meta:
		name = "TColumnCollection.Notify"
		size = 186
		refs = "0012 TColumnCollection.Notify 0023 TCollection.Notify 002f TCellCollection.Owner 0049 TCollectionItem.GetIndex 0057 TCustomGridPanel.IsColumnEmpty 0063 sCannotDeleteColumn 0068 LoadResString 0072 _DV_EGridPanelException 0077 Exception.Create 007c @RaiseExcept 0093 TCustomGridPanel.UpdateControlsColumn 00a8 @UStrClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 6B 8B C6 E8 ?? ?? ?? ?? F6 40 1C 08 75 5E 8B C6 E8 ?? ?? ?? ?? F6 40 1C 40 75 51 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 84 C0 75 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 8B C7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78932_0 {
	meta:
		name = "PlaceInCell"
		size = 800
		refs = "001b PlaceInCell 003d TControlItem.SetControl 006a TControlCollection.Owner 0093 TControlCollection.GetControl 00a1 TControlItem.SetRow 00af TControlItem.SetColumn 028b TCustomGridPanel.AutoAddRow 029d TCustomGridPanel.AutoAddColumn 02b4 sCannotAddFixedSize 02b9 LoadResString 02c3 _DV_EGridPanelException 02c8 Exception.Create 02cd @RaiseExcept 02dc @HandleAnyException 02ee TObject.Free 02f3 @RaiseAgain 02f8 @DoneExcept 030d @UStrClr 0313 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 89 45 FC 8B 75 08 83 C6 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 50 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 14 FF FF FF FF 8B 45 FC C7 40 10 FF FF FF FF 83 3E FF 75 74 8B 45 08 83 78 F8 FF 7E 6B 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 80 98 02 00 00 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 43 47 33 DB 8B 45 08 8B 50 F8 8B 45 08 8B 40 F4 8B CB E8 ?? ?? ?? ?? 85 C0 75 25 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 50 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 3C 02 00 00 43 4F 75 C0 8B 45 08 C7 40 F8 FF FF FF FF 8B 45 08 83 78 F8 FF 75 64 83 3E FF 7E 5F 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 80 9C 02 00 00 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 3B 47 33 DB 8B 0E 8B 45 08 8B 40 F4 8B D3 E8 ?? ?? ?? ?? 85 C0 75 21 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 16 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 CB 01 00 00 43 4F 75 C8 C7 06 FF FF FF FF 8B 45 08 83 78 F8 FF 7E 51 83 3E FF 7E 4C 8B 0E 8B 45 08 8B 50 F8 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 85 C0 75 25 8B 45 08 8B 50 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 16 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 77 01 00 00 8B 45 08 C7 40 F8 FF FF FF FF C7 06 FF FF FF FF 83 3E FF 0F 85 94 00 00 00 8B 45 08 83 78 F8 FF 0F 85 87 00 00 00 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 80 98 02 00 00 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 69 47 C7 45 F8 00 00 00 00 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B 80 9C 02 00 00 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 3D 46 33 DB 8B 45 08 8B 40 F4 8B 4D F8 8B D3 E8 ?? ?? ?? ?? 85 C0 75 22 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 D4 00 00 00 43 4E 75 C6 FF 45 F8 4F 75 9F 8B 45 FC 83 78 14 FF 74 0D 8B 45 FC 83 78 10 FF 0F 85 89 00 00 00 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 85 C0 74 59 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 80 B8 A5 02 00 00 02 74 45 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 80 B8 A5 02 00 00 00 75 12 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 EB 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78933_0 {
	meta:
		name = "TControlCollection.AddControl"
		size = 51
		refs = "0016 TControlCollection.IndexOf 0023 TControlCollection.Add 0028 PlaceInCell"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F8 89 55 FC 89 45 F4 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 7D 0F 55 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_78935_0 {
	meta:
		name = "TControlCollection.GetControl"
		size = 16
		refs = "0001 TControlCollection.GetControlItem"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 04 8B 40 0C C3 33 C0 C3 }
	condition:
		$1
}

rule function_78936_0 {
	meta:
		name = "TControlCollection.GetControlItem"
		size = 83
		refs = "0023 TControlCollection.GetItem"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B F2 89 04 24 8B 04 24 8B 40 08 8B 58 08 4B 85 DB 7C 31 43 33 ED 8B D5 8B 04 24 E8 ?? ?? ?? ?? 3B 78 14 7C 1B 8B 50 14 03 50 1C 4A 3B FA 7F 10 3B 70 10 7C 0B 8B 50 10 03 50 18 4A 3B F2 7E 06 45 4B 75 D2 33 C0 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78939_0 {
	meta:
		name = "TControlCollection.Owner"
		size = 18
		refs = "000b @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78940_0 {
	meta:
		name = "TControlCollection.RemoveControl"
		size = 70
		refs = "0018 TControlCollection.GetItem 002d TControlItem.SetControl 0036 TCollection.Delete"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 08 8B 58 08 4B 83 FB 00 7C 2F 8B D3 8B C6 E8 ?? ?? ?? ?? 3B 78 0C 75 1B 8B D3 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? EB 06 4B 83 FB FF 75 D1 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78941_0 {
	meta:
		name = "TControlCollection.SetControl"
		size = 315
		refs = "001b TControlCollection.SetControl 0028 TControlCollection.Owner 0069 sInvalidColumnIndex 006e LoadResString 0078 _DV_EGridPanelException 007d Exception.CreateFmt 0082 @RaiseExcept 00c1 sInvalidRowIndex 00e4 TControlCollection.IndexOf 00f2 TControlCollection.GetItem 010d TControlCollection.AddControl 0127 @UStrArrayClr 012d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D EC 89 5D F0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 DD 00 00 00 85 F6 7D 04 B0 01 EB 18 8B C3 E8 ?? ?? ?? ?? 8B 80 9C 02 00 00 8B 40 08 8B 40 08 3B C6 0F 9E C0 84 C0 74 2E 89 75 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 7D 04 B0 01 EB 19 8B C3 E8 ?? ?? ?? ?? 8B 80 98 02 00 00 8B 40 08 8B 40 08 3B 45 FC 0F 9E C0 84 C0 74 31 8B 45 FC 89 45 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B C3 E8 ?? ?? ?? ?? 83 F8 FF 7E 14 8B D0 8B C3 E8 ?? ?? ?? ?? 89 70 10 8B 55 FC 89 50 14 EB 10 8B 45 FC 50 8B CE 8B 55 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_78943_0 {
	meta:
		name = "TControlCollection.Update"
		size = 64
		refs = "0006 TCollection.Update 000d TControlCollection.Owner 003a TWinControl.Realign"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 29 8B C3 E8 ?? ?? ?? ?? C6 80 A4 02 00 00 01 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_78944_0 {
	meta:
		name = "TControlItem.AssignTo"
		size = 53
		refs = "000a _DV_TControlItem 000f @IsClass 002e TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 8B C3 8B 56 0C 89 50 0C 8B 56 14 89 50 14 8B 56 10 89 50 10 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78945_0 {
	meta:
		name = "TControlItem.Create"
		size = 67
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 1C 01 00 00 00 C7 46 18 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78946_0 {
	meta:
		name = "TControlItem.Destroy"
		size = 112
		refs = "0004 @BeforeDestruction 0015 TControlItem.GetGridPanel 004b TWinControl.RemoveControl 0052 TObject.Free 005d TCollectionItem.Destroy 0068 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 83 7F 0C 00 74 44 8B C7 E8 ?? ?? ?? ?? F6 40 1C 01 75 37 8B C7 E8 ?? ?? ?? ?? F6 40 1C 40 75 2A 8B C7 E8 ?? ?? ?? ?? F6 40 1C 08 75 1D 8B 77 0C 33 C0 89 47 0C 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78947_0 {
	meta:
		name = "TControlItem.GetGridPanel"
		size = 32
		refs = "000b @CallDynaInst 0014 TControlCollection.Owner"
	strings:
		$1 = { 53 56 8B D8 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 85 C0 74 08 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_78948_0 {
	meta:
		name = "TControlItem.SetControl"
		size = 120
		refs = "000f TControlItem.SetControl 0021 TControlItem.GetGridPanel 002d sInvalidControlItem 0032 LoadResString 003c _DV_EGridPanelException 0041 Exception.Create 0046 @RaiseExcept 0052 TCollectionItem.Changed 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 0C 74 38 8B C3 E8 ?? ?? ?? ?? 3B F0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 0C 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_78949_0 {
	meta:
		name = "TControlItem.SetColumn"
		size = 188
		refs = "0015 TControlItem.SetColumn 0027 TControlItem.GetGridPanel 0067 sInvalidColumnIndex 006c LoadResString 0076 _DV_EGridPanelException 007b Exception.CreateFmt 0080 @RaiseExcept 0090 TControlItem.InternalSetLocation 00aa @UStrClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 10 74 75 8B C3 E8 ?? ?? ?? ?? F6 40 1C 01 75 65 85 F6 7D 04 B0 01 EB 19 8B C3 E8 ?? ?? ?? ?? 8B 80 9C 02 00 00 8B 40 08 8B 40 08 48 3B F0 0F 9F C0 84 C0 74 2E 89 75 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 01 8B 4B 14 8B D6 8B C3 E8 ?? ?? ?? ?? EB 03 89 73 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78950_0 {
	meta:
		name = "TControlItem.SetRow"
		size = 188
		refs = "0015 TControlItem.SetRow 0027 TControlItem.GetGridPanel 0067 sInvalidRowIndex 006c LoadResString 0076 _DV_EGridPanelException 007b Exception.CreateFmt 0080 @RaiseExcept 0090 TControlItem.InternalSetLocation 00aa @UStrClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 14 74 75 8B C3 E8 ?? ?? ?? ?? F6 40 1C 01 75 65 85 F6 7D 04 B0 01 EB 19 8B C3 E8 ?? ?? ?? ?? 8B 80 98 02 00 00 8B 40 08 8B 40 08 48 3B F0 0F 9F C0 84 C0 74 2E 89 75 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 01 8B CE 8B 53 10 8B C3 E8 ?? ?? ?? ?? EB 03 89 73 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78951_0 {
	meta:
		name = "TNewLocations.AddNewLocation"
		size = 106
		refs = "0011 @DynArrayLength 0030 TNewLocationRecs 0035 @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 43 04 E8 ?? ?? ?? ?? 3B 43 08 75 22 8B 43 04 E8 ?? ?? ?? ?? 83 C0 0A 50 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 53 08 FF 43 08 8B C2 03 C0 8B 4B 04 8D 04 C1 89 30 8B 4D FC 89 48 04 8B 4D 0C 89 48 08 0F B6 4D 08 88 48 0C 8B C2 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_78952_0 {
	meta:
		name = "TNewLocations.ApplyNewLocations"
		size = 59
		refs = "002f TControlItem.InternalSetLocation"
	strings:
		$1 = { 53 56 57 8B F8 8B 5F 08 4B 85 DB 7C 2A 43 33 F6 8B C6 03 C0 8B 57 04 8D 04 C2 8B 10 85 D2 74 13 0F B6 48 0C 51 6A 00 8B 48 08 8B 40 04 92 E8 ?? ?? ?? ?? 46 4B 75 D9 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78953_0 {
	meta:
		name = "TControlItem.SetRowSpan"
		size = 1816
		refs = "001b TControlItem.SetRowSpan 004e sInvalidSpan 0053 LoadResString 005d _DV_EGridPanelException 0062 Exception.CreateFmt 0067 @RaiseExcept 0073 @CallDynaInst 0088 TControlItem.GetGridPanel 008d TWinControl.DisableAlign 00a8 _DV_TNewLocations 00ad TObject.Create 013a TControlCollection.GetControlItem 0147 TControlItem.GetPushed 0163 TNewLocations.AddNewLocation 016f TNewLocations.ApplyNewLocations 017c TCustomGridPanel.RemoveEmptyAutoAddRows 019a TCustomGridPanel.GetRowSpanIndex 01a9 TCustomGridPanel.GetCellCount 01cb TCustomGridPanel.CellIndexToCell 0351 TControlCollection.GetControl 03ca sCannotAddFixedSize 03de Exception.Create 03f6 TCustomGridPanel.AutoAddRow 0621 @TryFinallyExit 068d TCustomGridPanel.AutoAddColumn 06ac TCollectionItem.Changed 06c1 TObject.Free 06c7 @HandleFinally 06e3 TWinControl.EnableAlign 0705 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 C9 89 4D 9C 89 4D A0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 1C 3B 45 F8 0F 84 BB 06 00 00 83 7D F8 01 73 31 8B 45 F8 89 45 A4 C6 45 A8 00 8D 45 A4 50 6A 00 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 BE FF FF E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 0F 84 6B 06 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 68 ?? ?? ?? ?? 64 FF 35 00 00 00 00 64 89 25 00 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 55 68 ?? ?? ?? ?? 64 FF 35 00 00 00 00 64 89 25 00 00 00 00 8B 45 FC 8B 40 1C 3B 45 F8 0F 86 0F 02 00 00 2B 45 F8 89 45 F4 8B 45 FC 8B 55 F8 89 50 1C 8B 45 FC E8 ?? ?? ?? ?? 0F B6 80 A5 02 00 00 84 C0 74 08 2C 02 0F 85 84 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 80 98 02 00 00 8B 40 08 8B 40 08 8B F8 8B 45 FC 8B 70 14 8B 45 FC 03 70 1C 03 75 F4 8B DF 4B 2B DE 7C 3E 43 8B 45 FC 8B 50 10 8B CE 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 85 FF 74 23 8B C7 E8 ?? ?? ?? ?? 84 C0 74 1C 8B C6 2B 45 F4 50 6A 00 8B 45 FC 8B 48 10 8B D7 8B 45 D4 E8 ?? ?? ?? ?? 46 4B 75 C3 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 21 05 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 4A 14 8B 55 FC 8B 52 10 E8 ?? ?? ?? ?? 8B F0 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 2B DE 0F 8C 14 01 00 00 43 8D 45 E0 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 8B D6 E8 ?? ?? ?? ?? 8B 4D E0 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 DD 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 B6 00 00 00 8B 47 10 3B 45 E4 0F 85 C2 00 00 00 8B 47 14 3B 45 E0 0F 85 B6 00 00 00 8D 45 E0 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 8B D6 2B 55 F4 E8 ?? ?? ?? ?? 83 7D E0 00 7E 6A 8B 45 FC E8 ?? ?? ?? ?? 8B 80 98 02 00 00 89 45 D0 8B 45 D0 8B 40 08 8B 40 08 89 45 CC 8B 47 1C 03 45 E0 3B 45 CC 7E 42 8B 45 FC E8 ?? ?? ?? ?? 8B 80 98 02 00 00 89 45 C8 8B 45 C8 8B 40 08 8B 40 08 89 45 C4 8B 47 1C 03 45 E0 2B 45 C4 01 45 F4 8D 45 E0 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 8B D6 2B 55 F4 E8 ?? ?? ?? ?? 8B 45 E0 50 6A 00 8B 4D E4 8B D7 8B 45 D4 E8 ?? ?? ?? ?? EB 18 3B 7D FC 75 1B 8B 45 E0 50 6A 00 8B 4D E4 8B D7 8B 45 D4 E8 ?? ?? ?? ?? 46 4B 0F 85 ED FE FF FF 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C0 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 80 98 02 00 00 8B 40 08 8B 40 08 8B F8 8B 45 FC 8B 40 1C 8B 55 F8 2B D0 89 55 F4 8B 55 FC 8B 52 14 8B CA 03 C8 3B F9 7E 0E 8B 45 FC 8B 40 14 8B 4D FC 03 41 1C EB 02 8B C7 8B DF 4B 8B CA 03 4D F8 49 3B D9 7E 04 8B D1 EB 03 8B D7 4A 8B F0 8B DA 2B DE 7C 1C 43 8B 45 FC 8B 50 10 8B CE 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 75 07 FF 4D F4 46 4B 75 E5 8B 45 F4 89 45 E8 8B F7 4E 8B DF 2B 5D E8 2B DE 7F 1C 4B 8B 45 FC 8B 50 10 8B CE 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 75 07 FF 4D F4 4E 43 75 E5 8B 45 F4 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 0F B6 80 A5 02 00 00 84 C0 74 08 2C 02 0F 85 B9 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 80 B8 A5 02 00 00 02 75 27 83 7D EC 00 7E 21 8D 55 9C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 9C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D EC 00 7E 16 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 4D EC 83 7D EC 00 7F EA 8B 45 FC E8 ?? ?? ?? ?? 8B 80 98 02 00 00 8B 40 08 8B 40 08 8B F8 8B F7 4E 8B DF 2B 5D F4 2B DE 7F 36 4B 8B CE 2B 4D E8 8B 45 FC 8B 50 10 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 85 FF 74 18 3B 7D FC 74 13 56 6A 01 8B 45 FC 8B 48 10 8B D7 8B 45 D4 E8 ?? ?? ?? ?? 4E 43 75 CB 8B 45 D4 E8 ?? ?? ?? ?? E9 35 02 00 00 8B 45 EC 03 45 E8 85 C0 0F 8E 27 02 00 00 3B 7D E8 7E 05 8B 45 E8 EB 02 8B C7 3B 45 EC 7D 08 8B 45 EC 89 45 C0 EB 03 89 45 C0 8B 45 C0 89 45 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 4A 14 8B 55 FC 8B 52 10 E8 ?? ?? ?? ?? 8B F0 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 2B DE 0F 8C 84 01 00 00 43 8D 45 E0 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 8B D6 E8 ?? ?? ?? ?? 8B 4D E0 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 4D 01 00 00 8B 47 10 3B 45 E4 0F 85 41 01 00 00 8B 47 14 3B 45 E0 0F 85 35 01 00 00 3B 7D FC 75 1A 8B 45 F8 89 45 D8 8B 45 FC 8B 40 10 89 45 E4 8B 45 FC 8B 40 14 89 45 E0 EB 1F 8B 47 1C 89 45 D8 8D 45 E0 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 8B D6 03 55 DC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 80 98 02 00 00 8B 40 08 8B 40 08 8B 55 E0 03 55 D8 3B C2 0F 8D BD 00 00 00 83 7D E0 00 7E 44 8B 45 FC E8 ?? ?? ?? ?? 8B 80 98 02 00 00 89 45 BC 8B 45 BC 8B 40 08 8B 40 08 89 45 B8 8B 45 B8 2B 45 E0 01 45 DC 8D 45 E0 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 8B D6 03 55 DC 2B 55 EC E8 ?? ?? ?? ?? EB 73 3B 7D FC 74 54 8B 45 FC E8 ?? ?? ?? ?? 8B 80 98 02 00 00 89 45 B4 8B 45 B4 8B 40 08 8B 40 08 89 45 B0 8B 45 D8 3B 45 B0 7D 08 8B 45 D8 89 45 AC EB 06 8B 45 B0 89 45 AC 8B 45 AC 01 45 DC 8D 45 E0 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 8B D6 03 55 DC E8 ?? ?? ?? ?? EB 1A 3B 7D FC 75 15 83 7D E0 00 75 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C0 00 00 00 33 C0 89 45 EC 8B 45 E0 50 6A 01 8B 4D E4 8B D7 8B 45 D4 E8 ?? ?? ?? ?? 46 4B 0F 85 7D FE FF FF 8B 45 D4 8B 58 08 4B 85 DB 7C 3B 43 33 F6 8B 45 FC E8 ?? ?? ?? ?? 8B 80 9C 02 00 00 8B 40 08 8B 40 08 8B D6 03 D2 8B 4D D4 8B 49 04 8B 54 D1 04 48 3B D0 7E 0D 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 C8 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 50 1C 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78954_0 {
	meta:
		name = "TControlItem.SetColumnSpan"
		size = 1812
		refs = "001b TControlItem.SetColumnSpan 004e sInvalidSpan 0053 LoadResString 005d _DV_EGridPanelException 0062 Exception.CreateFmt 0067 @RaiseExcept 0073 @CallDynaInst 0088 TControlItem.GetGridPanel 008d TWinControl.DisableAlign 00a8 _DV_TNewLocations 00ad TObject.Create 0137 TControlCollection.GetControlItem 0144 TControlItem.GetPushed 0160 TNewLocations.AddNewLocation 016c TNewLocations.ApplyNewLocations 0179 TCustomGridPanel.RemoveEmptyAutoAddColumns 0197 TCustomGridPanel.GetColumnSpanIndex 01a6 TCustomGridPanel.GetCellCount 01c8 TCustomGridPanel.CellIndexToCell 02da TCustomGridPanel.RemoveEmptyAutoAddRows 034e TControlCollection.GetControl 03c4 sCannotAddFixedSize 03d8 Exception.Create 03f0 TCustomGridPanel.AutoAddColumn 061d @TryFinallyExit 0689 TCustomGridPanel.AutoAddRow 06a8 TCollectionItem.Changed 06bd TObject.Free 06c3 @HandleFinally 06df TWinControl.EnableAlign 0701 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 C9 89 4D 9C 89 4D A0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 18 3B 45 F8 0F 84 B7 06 00 00 83 7D F8 01 73 31 8B 45 F8 89 45 A4 C6 45 A8 00 8D 45 A4 50 6A 00 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 BE FF FF E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 0F 84 67 06 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 68 ?? ?? ?? ?? 64 FF 35 00 00 00 00 64 89 25 00 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 55 68 ?? ?? ?? ?? 64 FF 35 00 00 00 00 64 89 25 00 00 00 00 8B 45 FC 8B 40 18 3B 45 F8 0F 86 0C 02 00 00 2B 45 F8 89 45 F4 8B 45 FC 8B 55 F8 89 50 18 8B 45 FC E8 ?? ?? ?? ?? 0F B6 80 A5 02 00 00 48 2C 02 0F 83 84 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 80 9C 02 00 00 8B 40 08 8B 40 08 8B F8 8B 45 FC 8B 70 10 8B 45 FC 03 70 18 03 75 F4 8B DF 4B 2B DE 7C 3E 43 8B 45 FC 8B 48 14 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 85 FF 74 23 8B C7 E8 ?? ?? ?? ?? 84 C0 74 1C 8B 45 FC 8B 40 14 50 6A 00 8B CE 2B 4D F4 8B D7 8B 45 D4 E8 ?? ?? ?? ?? 46 4B 75 C3 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 20 05 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 4A 14 8B 55 FC 8B 52 10 E8 ?? ?? ?? ?? 8B F0 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 2B DE 0F 8C 14 01 00 00 43 8D 45 E0 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 8B D6 E8 ?? ?? ?? ?? 8B 4D E0 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 DD 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 B6 00 00 00 8B 47 10 3B 45 E4 0F 85 C2 00 00 00 8B 47 14 3B 45 E0 0F 85 B6 00 00 00 8D 45 E0 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 8B D6 2B 55 F4 E8 ?? ?? ?? ?? 83 7D E4 00 7E 6A 8B 45 FC E8 ?? ?? ?? ?? 8B 80 9C 02 00 00 89 45 D0 8B 45 D0 8B 40 08 8B 40 08 89 45 CC 8B 47 18 03 45 E4 3B 45 CC 7E 42 8B 45 FC E8 ?? ?? ?? ?? 8B 80 9C 02 00 00 89 45 C8 8B 45 C8 8B 40 08 8B 40 08 89 45 C4 8B 47 18 03 45 E4 2B 45 C4 01 45 F4 8D 45 E0 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 8B D6 2B 55 F4 E8 ?? ?? ?? ?? 8B 45 E0 50 6A 00 8B 4D E4 8B D7 8B 45 D4 E8 ?? ?? ?? ?? EB 18 3B 7D FC 75 1B 8B 45 E0 50 6A 00 8B 4D E4 8B D7 8B 45 D4 E8 ?? ?? ?? ?? 46 4B 0F 85 ED FE FF FF 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BF 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 80 9C 02 00 00 8B 40 08 8B 40 08 8B F8 8B 45 FC 8B 40 18 8B 55 F8 2B D0 89 55 F4 8B 55 FC 8B 52 10 8B CA 03 C8 3B F9 7E 0E 8B 45 FC 8B 40 10 8B 4D FC 03 41 18 EB 02 8B C7 8B DF 4B 8B CA 03 4D F8 49 3B D9 7E 04 8B D1 EB 03 8B D7 4A 8B F0 8B DA 2B DE 7C 1C 43 8B 45 FC 8B 48 14 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 75 07 FF 4D F4 46 4B 75 E5 8B 45 F4 89 45 E8 8B F7 4E 8B DF 2B 5D E8 2B DE 7F 1C 4B 8B 45 FC 8B 48 14 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 75 07 FF 4D F4 4E 43 75 E5 8B 45 F4 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 0F B6 80 A5 02 00 00 48 2C 02 0F 83 BB 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 80 B8 A5 02 00 00 02 75 27 83 7D EC 00 7E 21 8D 55 9C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 9C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D EC 00 7E 16 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 4D EC 83 7D EC 00 7F EA 8B 45 FC E8 ?? ?? ?? ?? 8B 80 9C 02 00 00 8B 40 08 8B 40 08 8B F8 8B F7 4E 8B DF 2B 5D F4 2B DE 7F 38 4B 8B 45 FC 8B 48 14 8B D6 2B 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 85 FF 74 1A 3B 7D FC 74 15 8B 45 FC 8B 40 14 50 6A 01 8B CE 8B D7 8B 45 D4 E8 ?? ?? ?? ?? 4E 43 75 C9 8B 45 D4 E8 ?? ?? ?? ?? E9 35 02 00 00 8B 45 EC 03 45 E8 85 C0 0F 8E 27 02 00 00 3B 7D E8 7E 05 8B 45 E8 EB 02 8B C7 3B 45 EC 7D 08 8B 45 EC 89 45 C0 EB 03 89 45 C0 8B 45 C0 89 45 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 4A 14 8B 55 FC 8B 52 10 E8 ?? ?? ?? ?? 8B F0 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 2B DE 0F 8C 84 01 00 00 43 8D 45 E0 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 8B D6 E8 ?? ?? ?? ?? 8B 4D E0 8B 55 E4 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 4D 01 00 00 8B 47 10 3B 45 E4 0F 85 41 01 00 00 8B 47 14 3B 45 E0 0F 85 35 01 00 00 3B 7D FC 75 1A 8B 45 F8 89 45 D8 8B 45 FC 8B 40 10 89 45 E4 8B 45 FC 8B 40 14 89 45 E0 EB 1F 8B 47 18 89 45 D8 8D 45 E0 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 8B D6 03 55 DC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 80 9C 02 00 00 8B 40 08 8B 40 08 8B 55 E4 03 55 D8 3B C2 0F 8D BD 00 00 00 83 7D E4 00 7E 44 8B 45 FC E8 ?? ?? ?? ?? 8B 80 9C 02 00 00 89 45 BC 8B 45 BC 8B 40 08 8B 40 08 89 45 B8 8B 45 B8 2B 45 E4 01 45 DC 8D 45 E0 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 8B D6 03 55 DC 2B 55 EC E8 ?? ?? ?? ?? EB 73 3B 7D FC 74 54 8B 45 FC E8 ?? ?? ?? ?? 8B 80 9C 02 00 00 89 45 B4 8B 45 B4 8B 40 08 8B 40 08 89 45 B0 8B 45 D8 3B 45 B0 7D 08 8B 45 D8 89 45 AC EB 06 8B 45 B0 89 45 AC 8B 45 AC 01 45 DC 8D 45 E0 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 8B D6 03 55 DC E8 ?? ?? ?? ?? EB 1A 3B 7D FC 75 15 83 7D E4 00 75 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C0 00 00 00 33 C0 89 45 EC 8B 45 E0 50 6A 01 8B 4D E4 8B D7 8B 45 D4 E8 ?? ?? ?? ?? 46 4B 0F 85 7D FE FF FF 8B 45 D4 8B 58 08 4B 85 DB 7C 3B 43 33 F6 8B 45 FC E8 ?? ?? ?? ?? 8B 80 98 02 00 00 8B 40 08 8B 40 08 8B D6 03 D2 8B 4D D4 8B 49 04 8B 54 D1 08 48 3B D0 7E 0D 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 C8 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 50 18 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78955_0 {
	meta:
		name = "TControlItem.InternalSetLocation"
		size = 127
		refs = "0028 @CallDynaInst 0036 TControlCollection.GetControlItem 004d TControlItem.InternalSetLocation 0073 TCollectionItem.Changed"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 3B 7B 10 75 08 8B 45 FC 3B 43 14 74 5C 80 7D 08 00 74 30 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 85 C0 74 0C 8B 4D FC 8B D7 E8 ?? ?? ?? ?? EB 02 33 C0 85 C0 74 0F 6A 00 6A 00 8B 4B 14 8B 53 10 E8 ?? ?? ?? ?? 89 7B 10 8B 45 FC 89 43 14 80 7D 0C 00 74 05 FF 43 20 EB 09 83 7B 20 00 7E 03 FF 4B 20 33 D2 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_78957_0 {
	meta:
		name = "TControlItem.GetPushed"
		size = 8
	strings:
		$1 = { 83 78 20 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_78958_0 {
	meta:
		name = "TPageAccess.Create"
		size = 72
		refs = "000e @ClassCreate 001d TStrings.Create 0031 @AfterConstruction"
		altNames = "TStringGridStrings.Create TTabPageAccess.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 2C 8B 45 08 89 47 30 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_78959_0 {
	meta:
		name = "TPageAccess.GetCount"
		size = 7
		altNames = "TStringSparseList.GetCount TTabPageAccess.GetCount"
	strings:
		$1 = { 8B 40 2C 8B 40 08 C3 }
	condition:
		$1
}

rule function_78962_0 {
	meta:
		name = "TPageAccess.GetObject"
		size = 19
		refs = "000c TList.Get"
		altNames = "TTabPageAccess.GetObject"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 2C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84884_0 {
	meta:
		name = "TMemoStrings.GetTextStr"
		size = 19
		refs = "000c TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 2C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98717_0 {
	meta:
		name = "TStringsObj.GetCommaText"
		size = 19
		refs = "000c TStrings.GetCommaText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 2C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78964_0 {
	meta:
		name = "TPageAccess.Clear"
		size = 50
		refs = "0019 TList.Get 001e TObject.Free"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 2C 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 2C 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 2C 8B 10 FF 52 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78965_0 {
	meta:
		name = "TPageAccess.Delete"
		size = 84
		refs = "000c TList.Get 0011 TObject.Free 001b TList.Delete 0025 TNotebook.SetPageIndex 0035 GetParentForm"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 2C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 2C E8 ?? ?? ?? ?? 33 D2 8B 43 30 E8 ?? ?? ?? ?? 8B 43 30 F6 40 1C 10 74 1F B2 01 E8 ?? ?? ?? ?? 85 C0 74 14 83 B8 C4 02 00 00 00 74 0B 8B 80 C4 02 00 00 8B 10 FF 52 0C 5E 5B C3 }
	condition:
		$1
}

rule function_78966_0 {
	meta:
		name = "TPageAccess.Insert"
		size = 116
		refs = "0010 _DV_TPage 0015 TPage.Create 002d TControl.SetText 0039 TList.Insert 0043 TNotebook.SetPageIndex 0053 GetParentForm"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B 4B 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 53 30 8B C6 8B 08 FF 91 84 00 00 00 8B D5 8B C6 E8 ?? ?? ?? ?? 8B CE 8B D7 8B 43 2C E8 ?? ?? ?? ?? 8B D7 8B 43 30 E8 ?? ?? ?? ?? 8B 43 30 F6 40 1C 10 74 1F B2 01 E8 ?? ?? ?? ?? 85 C0 74 14 83 B8 C4 02 00 00 00 74 0B 8B 80 C4 02 00 00 8B 10 FF 52 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78967_0 {
	meta:
		name = "TPageAccess.Move"
		size = 65
		refs = "0014 TList.Get 002c TList.Put"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 3B FE 74 2E 8B D6 8B 43 2C E8 ?? ?? ?? ?? 8B E8 8B D7 8B 43 2C E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 2C E8 ?? ?? ?? ?? 8B CD 8B D7 8B 43 2C E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78968_0 {
	meta:
		name = "TPage.Create"
		size = 88
		refs = "000a @ClassCreate 0017 TCustomControl.Create 0020 TControl.SetVisible 0029 TPage.Create 0035 TControl.SetAlign 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 B2 05 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 01 04 04 00 }
	condition:
		$1
}

rule function_78969_0 {
	meta:
		name = "TPage.Paint"
		size = 65
		refs = "0007 TCustomControl.Paint 001d TPen.SetStyle 0027 TBrush.SetStyle"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? F6 46 1C 10 74 2D 8B 9E 78 02 00 00 B2 01 8B 43 44 E8 ?? ?? ?? ?? B2 01 8B 43 48 E8 ?? ?? ?? ?? 8B 46 50 50 8B 46 54 50 33 C9 33 D2 8B C3 8B 18 FF 53 7C 5E 5B C3 }
	condition:
		$1
}

rule function_78970_0 {
	meta:
		name = "TPage.ReadState"
		size = 53
		refs = "000e _DV_TNotebook 0013 @IsClass 0024 TList.Add 002d TWinControl.ReadState"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7E 2C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 87 80 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78971_0 {
	meta:
		name = "TPage.WMNCHitTest"
		size = 20
		refs = "000f TWinControl.WMNCHitTest"
	strings:
		$1 = { F6 40 1C 10 75 08 C7 42 0C FF FF FF FF C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78972_0 {
	meta:
		name = "TNotebook.Create"
		size = 296
		refs = "0015 @ClassCreate 0022 TNotebook.Create 0031 TCustomControl.Create 003d TControl.SetWidth 0049 TControl.SetHeight 0050 _Dn_TList 0055 TObject.Create 0067 _DV_TPageAccess 006c TPageAccess.Create 0084 SDefault 0089 LoadResString 00a0 TNotebook.SetPageIndex 00c1 Registered 00c9 _DV_TPage 00d6 RegisterClasses 00f2 @UStrClr 00f8 @HandleFinally 0107 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? BA 96 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 96 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 80 02 00 00 53 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 84 02 00 00 C7 83 88 02 00 00 FF FF FF FF 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 83 84 02 00 00 8B 08 FF 51 38 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? F7 D0 22 43 28 88 43 28 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 80 3D ?? ?? ?? ?? 00 75 19 A1 ?? ?? ?? ?? 89 45 F4 8D 45 F4 33 D2 E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C3 00 00 00 01 00 00 00 00 00 04 00 }
	condition:
		$1
}

rule function_78973_0 {
	meta:
		name = "TNotebook.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 001a TObject.Free 0038 TCustomControl.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 84 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 80 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78976_0 {
	meta:
		name = "TNotebook.GetChildren"
		size = 64
		refs = "0029 TList.Get"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 80 80 02 00 00 8B 58 08 4B 85 DB 7C 1F 43 33 F6 8B 45 FC 8B 80 80 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 46 4B 75 E4 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_78977_0 {
	meta:
		name = "TNotebook.ReadState"
		size = 108
		refs = "0016 TWinControl.ReadState 003d TList.Get 0046 TControl.BringToFront 004f TControl.SetVisible 0058 TControl.SetAlign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 84 02 00 00 8B 10 FF 52 44 8B D6 8B C3 E8 ?? ?? ?? ?? 8B B3 88 02 00 00 83 FE FF 74 3A 85 F6 7C 36 8B 83 80 02 00 00 3B 70 08 7D 2B 8B D6 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 05 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 C7 83 88 02 00 00 FF FF FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_78978_0 {
	meta:
		name = "TNotebook.ShowControl"
		size = 71
		refs = "0022 TList.Get 002f TNotebook.SetPageIndex 003e TWinControl.ShowControl"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 87 80 02 00 00 8B 70 08 4E 85 F6 7C 23 46 33 DB 8B 87 80 02 00 00 8B D3 E8 ?? ?? ?? ?? 3B E8 75 0B 8B D3 8B C7 E8 ?? ?? ?? ?? EB 0D 43 4E 75 E0 8B D5 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78979_0 {
	meta:
		name = "TCustomRadioGroup.SetItems"
		size = 22
		altNames = "TNotebook.SetPages"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 84 02 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_78980_0 {
	meta:
		name = "TNotebook.SetPageIndex"
		size = 236
		refs = "0041 GetParentForm 0054 TWinControl.ContainsControl 0061 TCustomForm.SetActiveControl 006e TList.Get 0077 TControl.BringToFront 0080 TControl.SetVisible 0089 TControl.SetAlign 00cb TWinControl.SelectFirst"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 F6 43 1C 01 74 0B 89 B3 88 02 00 00 E9 CE 00 00 00 3B B3 88 02 00 00 0F 84 C2 00 00 00 85 F6 0F 8C BA 00 00 00 8B 83 80 02 00 00 3B 70 08 0F 8D AB 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 1A 8B 97 98 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D6 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B E8 8B C5 E8 ?? ?? ?? ?? B2 01 8B C5 E8 ?? ?? ?? ?? B2 05 8B C5 E8 ?? ?? ?? ?? 8B AB 88 02 00 00 85 ED 7C 1F 8B 83 80 02 00 00 3B 68 08 7D 14 8B D5 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 89 B3 88 02 00 00 85 FF 74 0F 3B 9F 98 02 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 66 83 BB 92 02 00 00 00 74 0E 8B D3 8B 83 94 02 00 00 FF 93 90 02 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78981_0 {
	meta:
		name = "TNotebook.SetActivePage"
		size = 31
		refs = "0018 TNotebook.SetPageIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 84 02 00 00 8B 08 FF 51 54 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78982_0 {
	meta:
		name = "TNotebook.GetActivePage"
		size = 28
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 93 88 02 00 00 8B 83 84 02 00 00 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_78983_0 {
	meta:
		name = "FreeSection"
		size = 16
		refs = "0006 THeaderSection 000b @Dispose"
	strings:
		$1 = { 85 C0 74 0B 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_78984_0 {
	meta:
		name = "NewSection"
		size = 58
		refs = "000e THeaderSection 0018 @New 0026 @UStrAsg"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F8 8B 15 ?? ?? ?? ?? B8 0C 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B DE 8D 43 08 8B D7 E8 ?? ?? ?? ?? 89 6B 04 8B 04 24 89 03 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78985_0 {
	meta:
		name = "THeaderStrings.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TStrings.Create 001e _Dn_TList 0023 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_78986_0 {
	meta:
		name = "THeaderStrings.Destroy"
		size = 65
		refs = "0003 @BeforeDestruction 0024 TObject.Free 002f TStrings.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 30 00 74 17 8B C6 8B 10 FF 52 44 8D 46 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_78987_0 {
	meta:
		name = "THeaderStrings.Assign"
		size = 672
		refs = "001b THeaderStrings.Assign 0029 _Dn_TStrings 002e @IsClass 0041 TStrings.BeginUpdate 0056 _Dn_TList 005b TObject.Create 00bb AnsiCompareStr 0166 TList.Get 0170 NewSection 0196 TCustomCanvas.TextWidth 01c8 TList.Add 01e3 TObject.Free 0209 @HandleAnyException 022c FreeSection 023f @RaiseAgain 0244 @DoneExcept 0259 TStrings.EndUpdate 025f @HandleFinally 026b TStrings.Assign 0285 @UStrArrayClr 028d @UStrClr"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 2B 02 00 00 89 5D F0 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 30 8B 40 08 48 89 45 F4 C6 45 EB 00 83 7D F4 00 7C 62 8D 4D FC 8B 55 F4 8B 45 F8 8B 18 FF 53 0C 8B 45 F0 8B 10 FF 52 14 8B D8 4B 85 DB 7C 2B 43 33 F6 8D 4D E4 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 45 E4 8B 55 FC E8 ?? ?? ?? ?? 85 C0 0F 94 45 EB 80 7D EB 00 75 04 46 4B 75 D8 80 7D EB 00 75 0B 8B 55 F4 8B 45 F8 8B 08 FF 51 48 FF 4D F4 83 7D F4 00 7D 9E 33 C0 89 45 F4 8B 45 F0 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C D3 00 00 00 43 33 F6 8B 45 F8 8B 40 30 8B 40 08 3B 45 F4 7E 67 8D 4D E0 8B 55 F4 8B 45 F8 8B 38 FF 57 0C 8B 45 E0 50 8D 4D DC 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 45 DC 5A E8 ?? ?? ?? ?? 85 C0 75 3B 8D 4D D8 8B 55 F4 8B 45 F8 8B 38 FF 57 0C 8B 45 D8 50 8B 55 F4 8B 45 F8 8B 08 FF 51 18 50 8B 45 F8 8B 40 30 8B 55 F4 E8 ?? ?? ?? ?? 8B 50 04 59 58 E8 ?? ?? ?? ?? FF 45 F4 EB 49 8D 4D D4 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 55 D4 8B 45 F8 8B 40 2C 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 83 C0 08 50 8D 4D D0 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 45 D0 50 8B D6 8B 45 F0 8B 08 FF 51 18 8B C8 58 5A E8 ?? ?? ?? ?? 8B D0 8B 45 EC E8 ?? ?? ?? ?? 46 4B 0F 85 30 FF FF FF 8B 45 F8 8B 10 FF 52 44 8B 45 F8 8B 40 30 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 EC 89 50 30 8B 45 F8 8B 40 2C 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 EB 40 E9 ?? ?? ?? ?? 8B 45 EC 8B 58 08 4B 85 DB 7C 1E 43 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F4 4B 75 EA 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78988_0 {
	meta:
		name = "THeaderStrings.DefineProperties"
		size = 104
		refs = "000a _Dn_TReader 000f @IsClass 001c TStrings.DefineProperties 0022 THeaderStrings.ReadData 0028 THeaderStrings.WriteData 0039 THeaderStrings.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 85 C0 0F 9F C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 65 00 63 00 74 00 69 00 6F 00 6E 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_78989_0 {
	meta:
		name = "THeaderStrings.Clear"
		size = 50
		refs = "0019 TList.Get 001e FreeSection"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 30 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 30 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 30 8B 10 FF 52 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78990_0 {
	meta:
		name = "THeaderStrings.Delete"
		size = 53
		refs = "000d TList.Get 0012 FreeSection 001c TList.Delete"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B D3 8B 46 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 46 30 E8 ?? ?? ?? ?? 8B 7E 2C 85 FF 74 0A 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78991_0 {
	meta:
		name = "THeaderStrings.Get"
		size = 33
		refs = "000f TList.Get 0019 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 30 E8 ?? ?? ?? ?? 8B 50 08 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78992_0 {
	meta:
		name = "THeaderStrings.GetCount"
		size = 7
	strings:
		$1 = { 8B 40 30 8B 40 08 C3 }
	condition:
		$1
}

rule function_78993_0 {
	meta:
		name = "THeaderStrings.GetObject"
		size = 21
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 30 E8 ?? ?? ?? ?? 8B 00 5E 5B C3 }
	condition:
		$1
}

rule function_78994_0 {
	meta:
		name = "THeaderStrings.Insert"
		size = 92
		refs = "001a TCustomCanvas.TextWidth 0031 NewSection 003a TList.Expand 0042 TList.Insert"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 8B F0 8B 5E 2C 85 DB 74 14 8B 83 78 02 00 00 8B D7 E8 ?? ?? ?? ?? 83 C0 08 8B D8 EB 05 BB 4B 00 00 00 33 C9 8B D3 8B C7 E8 ?? ?? ?? ?? 50 8B 46 30 E8 ?? ?? ?? ?? 8B D5 59 E8 ?? ?? ?? ?? 8B 7E 2C 85 FF 74 0A 8B C7 8B 10 FF 92 9C 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78995_0 {
	meta:
		name = "THeaderStrings.Put"
		size = 111
		refs = "0012 TList.Get 0029 TCustomCanvas.TextWidth 0041 NewSection 004d TList.Put 0054 FreeSection"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F0 8B D5 8B 46 30 E8 ?? ?? ?? ?? 8B D8 8B 7E 2C 85 FF 74 15 8B 87 78 02 00 00 8B 14 24 E8 ?? ?? ?? ?? 83 C0 08 8B F8 EB 05 BF 4B 00 00 00 8B 0B 8B D7 8B 04 24 E8 ?? ?? ?? ?? 8B C8 8B D5 8B 46 30 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 7E 2C 85 FF 74 0A 8B C7 8B 10 FF 92 9C 00 00 00 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78996_0 {
	meta:
		name = "THeaderStrings.PutObject"
		size = 42
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B D3 8B 46 30 E8 ?? ?? ?? ?? 89 38 8B 7E 2C 85 FF 74 0A 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78997_0 {
	meta:
		name = "THeaderStrings.ReadData"
		size = 262
		refs = "0015 THeaderStrings.ReadData 0025 TReader.CheckValue 003c TReader.ReadString 0058 @UStrLen 007d @UStrCopy 008a StrToIntDef 009b @UStrDelete 00a7 NewSection 00b0 TList.Expand 00bc TList.Insert 00c4 TReader.EndOfList 00eb @UStrClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 44 E9 8B 00 00 00 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? BE 4B 00 00 00 BB 01 00 00 00 8B 45 FC 66 83 38 00 75 4C 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7F 0B 8B 45 FC 66 83 7C 58 FE 00 75 E8 8D 45 F4 50 8B CB 83 E9 02 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 BA 4B 00 00 00 E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C9 8B D6 8B 45 FC E8 ?? ?? ?? ?? 50 8B 47 30 E8 ?? ?? ?? ?? 8B 57 30 8B 52 08 59 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 65 FF FF FF 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_78998_0 {
	meta:
		name = "THeaderStrings.SetUpdateState"
		size = 58
		refs = "001d TWinControl.GetHandle 0023 SendMessage 0032 TControl.Refresh"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 7E 2C 85 FF 74 28 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 F3 01 84 DB 74 08 8B 46 2C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_78999_0 {
	meta:
		name = "THeaderStrings.WriteData"
		size = 208
		refs = "0018 THeaderStrings.WriteData 0028 TWriter.WriteValue 0047 TList.Get 0073 Format 007e TWriter.WriteString 00a1 @UStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4B 46 33 FF 8B 45 FC 8B 40 30 8B D7 E8 ?? ?? ?? ?? 8B D8 8D 45 F4 50 8B 43 04 89 45 E4 C6 45 E8 00 8B 43 08 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 47 4E 75 B8 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 00 00 25 00 64 00 00 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_79000_0 {
	meta:
		name = "THeader.Create"
		size = 140
		refs = "000e @ClassCreate 001c TCustomControl.Create 0025 THeader.Create 0034 TControl.SetWidth 0040 TControl.SetHeight 0047 _DV_THeaderStrings 004c THeaderStrings.Create 0072 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 BA FA 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 80 02 00 00 89 5E 2C C6 83 8D 02 00 00 01 C6 83 8E 02 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 44 00 00 00 }
	condition:
		$1
}

rule function_79001_0 {
	meta:
		name = "THeader.Destroy"
		size = 54
		refs = "0003 @BeforeDestruction 000e THeader.FreeSections 0019 TObject.Free 0024 TCustomControl.Destroy 002f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 80 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79002_0 {
	meta:
		name = "THeader.CreateParams"
		size = 39
		refs = "000b TWinControl.CreateParams 0019 BorderStyles"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 83 8E 02 00 00 8B 04 85 ?? ?? ?? ?? 09 46 04 83 66 24 FC 5E 5B C3 }
	condition:
		$1
}

rule function_79003_0 {
	meta:
		name = "THeader.Paint"
		size = 416
		refs = "0014 THeader.Paint 002e TCanvas.SetFont 003e TBrush.SetColor 0050 TCustomCanvas.TextHeight 0058 TControl.GetClientHeight 007c Rect 0089 @UStrClr 00a8 TList.Get 00bb @UStrLAsg 00cf TControl.GetClientWidth 0139 TCanvas.GetHandle 013f DrawEdge 0183 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 78 02 00 00 89 45 F0 8B 53 6C 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 48 BA 0F 00 00 FF E8 ?? ?? ?? ?? 33 F6 BA ?? ?? ?? ?? 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 2B C2 D1 F8 79 03 83 D0 00 89 45 F8 8B C3 E8 ?? ?? ?? ?? 50 8D 45 E0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 83 80 02 00 00 8B 10 FF 52 14 3B F0 7D 24 8B 83 80 02 00 00 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B F8 8B 47 04 89 45 F4 8D 45 FC 8B 57 08 E8 ?? ?? ?? ?? 46 8B 45 E8 89 45 E0 8B 45 F4 01 45 E8 8B C3 E8 ?? ?? ?? ?? 2B 45 E8 83 F8 02 7C 0F 8B 83 80 02 00 00 8B 10 FF 52 14 3B F0 75 0A 8B C3 E8 ?? ?? ?? ?? 89 45 E8 8B 45 F8 50 8B 45 FC 50 8B 45 EC 48 50 8D 45 D0 50 8B 4D E8 49 8B 55 E4 42 8B 45 E0 40 E8 ?? ?? ?? ?? 8D 55 D0 8B 4D E0 83 C1 03 8B 45 F0 8B 38 FF 97 98 00 00 00 6A 03 6A 04 8D 45 E0 50 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 0C 6A 04 8D 45 E0 50 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B 45 E8 0F 85 21 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_79004_0 {
	meta:
		name = "THeader.FreeSections"
		size = 24
	strings:
		$1 = { 56 57 8B F0 8B BE 80 02 00 00 85 FF 74 07 8B C7 8B 10 FF 52 44 5F 5E C3 }
	condition:
		$1
}

rule function_79005_0 {
	meta:
		name = "THeader.SetBorderStyle"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 8E 02 00 00 74 0B 88 90 8E 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79006_0 {
	meta:
		name = "THeader.SetSections"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 80 02 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_79007_0 {
	meta:
		name = "THeader.GetWidth"
		size = 115
		refs = "002e TList.Get 003c TControl.GetClientWidth"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B 83 80 02 00 00 8B 10 FF 52 14 48 3B F0 75 2C 33 ED 4E 85 F6 7C 1A 46 33 FF 8B 83 80 02 00 00 8B 40 30 8B D7 E8 ?? ?? ?? ?? 03 68 04 47 4E 75 E9 8B C3 E8 ?? ?? ?? ?? 2B C5 EB 2A 85 F6 7C 24 8B 83 80 02 00 00 8B 10 FF 52 14 3B F0 7D 15 8B 83 80 02 00 00 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B 40 04 EB 02 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79008_0 {
	meta:
		name = "THeader.SetWidth"
		size = 46
		refs = "0019 TList.Get"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 85 DB 7C 1D 8B 86 80 02 00 00 8B 40 30 8B D3 E8 ?? ?? ?? ?? 89 78 04 8B C6 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79009_0 {
	meta:
		name = "THeader.WMNCHitTest"
		size = 67
		refs = "000e TWinControl.WMNCHitTest"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 08 89 04 24 0F BF 04 24 89 44 24 04 0F BF 44 24 02 89 44 24 08 8B 44 24 04 89 83 84 02 00 00 8B 44 24 08 89 83 88 02 00 00 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_79010_0 {
	meta:
		name = "THeader.WMSetCursor"
		size = 247
		refs = "0027 TControl.ScreenToClient 0071 TList.Get 009f LoadCursor 00df SetCursor 00eb TWinControl.WMSetCursor"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 14 24 8B D8 33 C0 89 44 24 04 33 C0 89 83 90 02 00 00 8D 4C 24 08 8D 93 84 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 89 83 84 02 00 00 8B 44 24 0C 89 83 88 02 00 00 BD 02 00 00 00 8B 04 24 66 83 78 08 01 75 65 8B 83 80 02 00 00 8B 10 FF 52 14 8B F8 83 EF 02 85 FF 7C 51 47 33 F6 8B 83 80 02 00 00 8B 40 30 8B D6 E8 ?? ?? ?? ?? 03 68 04 8B 83 84 02 00 00 83 C0 02 8B CD 2B C8 89 8B 94 02 00 00 8B C1 99 33 C2 2B C2 83 F8 04 7D 18 68 84 7F 00 00 6A 00 E8 ?? ?? ?? ?? 89 44 24 04 89 B3 90 02 00 00 EB 04 46 4F 75 B2 80 BB 8D 02 00 00 00 75 06 F6 43 1C 10 74 07 83 7C 24 04 00 75 04 33 C0 EB 02 B0 01 88 83 8C 02 00 00 84 C0 74 0C 8B 44 24 04 50 E8 ?? ?? ?? ?? EB 0A 8B 14 24 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79011_0 {
	meta:
		name = "THeader.MouseDown"
		size = 79
		refs = "001f TControl.MouseDown 003e TWinControl.GetHandle 0044 SetCapture"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 8B D3 0F B7 4D FE 8B C6 E8 ?? ?? ?? ?? F6 46 1C 10 74 05 80 FB 01 74 04 84 DB 75 16 80 BE 8C 02 00 00 00 74 0D 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_79012_0 {
	meta:
		name = "THeader.MouseMove"
		size = 279
		refs = "0020 TControl.MouseMove 0027 TWinControl.GetHandle 002e GetCapture 0067 TList.Get 00a4 TControl.GetClientWidth 0103 @CallDynaInst 010a TControl.Refresh"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 66 89 55 FE 8B D8 8B 45 08 50 8B 4D F8 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 0F 85 D4 00 00 00 80 BB 8C 02 00 00 00 0F 84 C7 00 00 00 C7 45 F4 02 00 00 00 8B B3 90 02 00 00 85 F6 7C 1D 46 33 FF 8B 83 80 02 00 00 8B 40 30 8B D7 E8 ?? ?? ?? ?? 8B 40 04 01 45 F4 47 4E 75 E6 8B B3 90 02 00 00 85 F6 7E 1D 8B 83 80 02 00 00 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B 55 F4 2B 50 04 83 C2 02 8B F2 EB 05 BE 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 E8 02 3B 75 F8 7E 03 89 75 F8 3B 45 F8 7D 03 89 45 F8 8B 83 80 02 00 00 8B 40 30 8B 93 90 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 2B 55 F8 83 EA 02 2B 93 94 02 00 00 29 50 04 8B 83 80 02 00 00 8B 40 30 8B B3 90 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 48 04 8B D6 8B C3 66 BE AE FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_79013_0 {
	meta:
		name = "THeader.MouseUp"
		size = 104
		refs = "0019 ReleaseCapture 002f TList.Get 003f @CallDynaInst 005d TControl.MouseUp"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FD 88 55 FF 8B D8 80 BB 8C 02 00 00 00 74 32 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 8B 40 30 8B B3 90 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 48 04 8B D6 8B C3 66 BE AD FF E8 ?? ?? ?? ?? C6 83 8C 02 00 00 00 8B 45 0C 50 8B 45 08 50 0F B6 55 FF 0F B7 4D FD 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_79014_0 {
	meta:
		name = "THeader.Sizing"
		size = 32
	strings:
		$1 = { 53 66 83 B8 9A 02 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 9C 02 00 00 FF 93 98 02 00 00 5B C3 }
	condition:
		$1
}

rule function_79015_0 {
	meta:
		name = "THeader.Sized"
		size = 64
		refs = "002b GetParentForm"
	strings:
		$1 = { 56 8B F0 66 83 BE A2 02 00 00 00 74 13 51 8B C6 8B CA 8B D0 8B 86 A4 02 00 00 FF 96 A0 02 00 00 F6 46 1C 10 74 18 B2 01 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0B 8B 80 C4 02 00 00 8B 10 FF 52 0C 5E C3 }
	condition:
		$1
}

rule function_79017_0 {
	meta:
		name = "TGroupButton.InternalCreate"
		size = 137
		refs = "000b @ClassCreate 001c TRadioButton.Create 0029 TList.Add 0032 TControl.SetVisible 004e TControl.SetParentShowHint 005e TCustomRadioGroup.ButtonClick 0075 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D7 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 68 8B D0 8B C7 8B 08 FF 91 80 00 00 00 33 D2 8B C7 E8 ?? ?? ?? ?? 89 B7 1C 01 00 00 C7 87 18 01 00 00 ?? ?? ?? ?? 8B D6 8B C7 8B 08 FF 91 84 00 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79018_0 {
	meta:
		name = "TGroupButton.Destroy"
		size = 54
		refs = "0003 @BeforeDestruction 0019 TList.RemoveItem 0024 TWinControl.Destroy 002f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 8B 80 80 02 00 00 8B D6 33 C9 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79019_0 {
	meta:
		name = "TGroupButton.CNCommand"
		size = 142
		refs = "0026 TGroupButton.CNCommand 0057 TRadioButton.CNCommand 0066 @HandleAnyException 006b Application 0075 TApplication.HandleException 007a @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC 80 B8 88 02 00 00 00 75 70 8B 45 FC C6 80 88 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 73 06 66 85 F6 74 06 66 83 FE 05 75 1C 8B 45 FC 8B 40 38 8B 10 FF 92 FC 00 00 00 84 C0 74 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 80 88 02 00 00 00 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79020_0 {
	meta:
		name = "TGroupButton.KeyPress"
		size = 66
		refs = "000c TWinControl.KeyPress 001a @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D3 8B 47 38 66 BE B7 FF E8 ?? ?? ?? ?? 66 83 3B 08 74 06 66 83 3B 20 75 14 8B 47 38 8B 10 FF 92 FC 00 00 00 84 C0 75 05 66 C7 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79021_0 {
	meta:
		name = "TGroupButton.KeyDown"
		size = 46
		refs = "0014 TWinControl.KeyDown 0026 @CallDynaInst"
	strings:
		$1 = { 53 56 51 66 89 0C 24 8B F2 8B D8 8B D6 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? 8B D6 0F B7 0C 24 8B 43 38 66 BE B9 FF E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_79023_0 {
	meta:
		name = "TCustomRadioGroup.Create"
		size = 144
		refs = "000e @ClassCreate 001c TCustomGroupBox.Create 0021 TCustomRadioGroup.Create 002b _Dn_TList 0030 TObject.Create 003d _Dn_TStringList 0042 TStringList.Create 0054 TCustomRadioGroup.ItemsChange 0075 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 80 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 84 02 00 00 89 5E 44 C7 46 40 ?? ?? ?? ?? C7 83 88 02 00 00 FF FF FF FF C7 83 8C 02 00 00 01 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 A0 00 04 00 }
	condition:
		$1
}

rule function_79024_0 {
	meta:
		name = "TCustomRadioGroup.Destroy"
		size = 75
		refs = "0003 @BeforeDestruction 0010 TCustomRadioGroup.SetButtonCount 0023 TObject.Free 0039 TCustomControl.Destroy 0044 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 86 84 02 00 00 33 D2 89 50 40 89 50 44 E8 ?? ?? ?? ?? 8B 86 80 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79026_0 {
	meta:
		name = "TCustomRadioGroup.ArrangeButtons"
		size = 411
		refs = "002b GetDC 0035 TFont.GetHandle 003c SelectObject 0048 GetTextMetrics 0057 ReleaseDC 00af BeginDeferWindowPos 00ba TCustomRadioGroup.ArrangeButtons 00eb TList.Get 0116 @CallDynaInst 0121 TControl.GetClientWidth 0150 TWinControl.GetHandle 015a DeferWindowPos 0166 TControl.SetVisible 0188 EndDeferWindowPos 018e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 8B D8 8B 83 80 02 00 00 83 78 08 00 0F 84 79 01 00 00 80 BB 90 02 00 00 00 0F 85 6C 01 00 00 6A 00 E8 ?? ?? ?? ?? 8B F0 8B 43 6C E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B F8 8D 45 A4 50 56 E8 ?? ?? ?? ?? 57 56 E8 ?? ?? ?? ?? 56 6A 00 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 8B 70 08 8B C6 8B 8B 8C 02 00 00 03 C1 48 99 F7 F9 89 45 FC 8B 43 50 83 E8 0A 99 F7 F9 89 45 F8 8B 43 54 8B 4D A4 2B C1 83 E8 05 89 45 EC 8B 45 EC 99 F7 7D FC 89 45 F4 8B 45 EC 99 F7 7D FC D1 FA 79 03 83 D2 00 41 03 D1 89 55 F0 56 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 80 02 00 00 8B 40 08 48 85 C0 0F 8C A0 00 00 00 40 89 45 E0 C7 45 EC 00 00 00 00 8B 83 80 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B F8 0F B6 53 69 8B C7 8B 08 FF 91 8C 00 00 00 8B 45 EC 99 F7 7D FC F7 6D F8 83 C0 08 89 45 E4 8B C7 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? 2B 45 E4 2B 45 F8 89 45 E4 6A 14 8B 45 F4 50 8B 45 F8 50 8B 45 EC 99 F7 7D FC 0F AF 55 F4 03 55 F0 52 8B 45 E4 50 6A 00 8B C7 E8 ?? ?? ?? ?? 50 8B 45 E8 50 E8 ?? ?? ?? ?? 89 45 E8 B2 01 8B C7 E8 ?? ?? ?? ?? FF 45 EC FF 4D E0 0F 85 6B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79027_0 {
	meta:
		name = "TCustomRadioGroup.ButtonClick"
		size = 55
		refs = "0018 TList.IndexOf 0025 TControl.Changed 0030 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 91 02 00 00 00 75 25 8B D6 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 89 83 88 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE EC FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79028_0 {
	meta:
		name = "TCustomRadioGroup.ItemsChange"
		size = 58
		refs = "0034 TCustomRadioGroup.UpdateButtons"
	strings:
		$1 = { 53 8B D8 80 BB 90 02 00 00 00 75 2C 8B 83 84 02 00 00 8B 10 FF 52 14 3B 83 88 02 00 00 7F 12 8B 83 84 02 00 00 8B 10 FF 52 14 48 89 83 88 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79030_0 {
	meta:
		name = "TCustomRadioGroup.ReadState"
		size = 44
		refs = "000d TWinControl.ReadState 001b TWinControl.HandleAllocated 0026 TCustomRadioGroup.UpdateButtons"
	strings:
		$1 = { 53 8B D8 C6 83 90 02 00 00 01 8B C3 E8 ?? ?? ?? ?? C6 83 90 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79032_0 {
	meta:
		name = "TCustomRadioGroup.SetButtonCount"
		size = 63
		refs = "000e _DV_TGroupButton 0013 TGroupButton.InternalCreate 0027 TList.Last 002c TObject.Free"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 EB 0E 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 80 02 00 00 3B 70 08 7F E7 EB 0C 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B BB 80 02 00 00 3B 77 08 7C E9 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79033_0 {
	meta:
		name = "TCustomRadioGroup.SetColumns"
		size = 56
		refs = "0028 TCustomRadioGroup.ArrangeButtons"
	strings:
		$1 = { 56 8B F0 83 FA 01 7D 05 BA 01 00 00 00 83 FA 10 7E 05 BA 10 00 00 00 3B 96 8C 02 00 00 74 17 89 96 8C 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_79034_0 {
	meta:
		name = "TCustomRadioGroup.SetItemIndex"
		size = 129
		refs = "001c TWinControl.HandleNeeded 004b TList.Get"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 80 BB 90 02 00 00 00 74 08 89 B3 88 02 00 00 EB 63 8B C3 E8 ?? ?? ?? ?? 83 FE FF 7D 03 83 CE FF 8B AB 80 02 00 00 8B 45 08 3B F0 7C 03 8B F0 4E 8B BB 88 02 00 00 3B F7 74 3A 85 FF 7C 13 8B D7 8B C5 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 91 FC 00 00 00 8B FE 89 BB 88 02 00 00 85 FF 7C 17 8B D7 8B 83 80 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 08 FF 91 FC 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79037_0 {
	meta:
		name = "TCustomRadioGroup.UpdateButtons"
		size = 243
		refs = "0014 TCustomRadioGroup.UpdateButtons 002e TCustomRadioGroup.SetButtonCount 0063 TList.Get 0069 TControl.SetText 0082 TButtonControl.SetWordWrap 00c1 TCustomRadioGroup.ArrangeButtons 00e0 @UStrClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 84 02 00 00 8B 10 FF 52 14 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 86 80 02 00 00 8B 40 08 48 85 C0 7C 4C 40 89 45 FC 33 DB 8D 4D F8 8B D3 8B 86 84 02 00 00 8B 38 FF 57 0C 8B 45 F8 50 8B D3 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D3 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 0F B6 96 92 02 00 00 E8 ?? ?? ?? ?? 43 FF 4D FC 75 BA 83 BE 88 02 00 00 00 7C 29 C6 86 91 02 00 00 01 8B 96 88 02 00 00 8B 86 80 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 08 FF 91 FC 00 00 00 C6 86 91 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79038_0 {
	meta:
		name = "TCustomRadioGroup.CMEnabledChanged"
		size = 67
		refs = "0008 TWinControl.CMEnabledChanged 002e TList.Get"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 8B 70 08 4E 85 F6 7C 25 46 33 FF 8B C3 8B 10 FF 52 68 50 8B D7 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 5A 8B 08 FF 91 80 00 00 00 47 4E 75 DE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79043_0 {
	meta:
		name = "TCustomRadioGroup.GetButtons"
		size = 22
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79044_0 {
	meta:
		name = "TSplitter.Create"
		size = 148
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 001c TSplitter.Create 0037 TControl.SetHeight 0040 TControl.SetAlign 004c TControl.SetWidth 0057 TControl.SetCursor 007d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 46 58 89 46 58 C6 86 BC 01 00 00 01 BA 64 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 03 8B C6 E8 ?? ?? ?? ?? BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 66 BA F2 FF 8B C6 E8 ?? ?? ?? ?? C7 86 D8 01 00 00 1E 00 00 00 C6 86 F8 01 00 00 03 C7 86 F0 01 00 00 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 20 00 }
	condition:
		$1
}

rule function_79045_0 {
	meta:
		name = "TSplitter.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TGraphicControl.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 C0 01 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79046_0 {
	meta:
		name = "TSplitter.AllocateLineDC"
		size = 178
		refs = "000f TWinControl.GetHandle 0015 GetDCEx 0038 _Dn_TBrush 003d TBrush.Create 0048 TStyleManager.GetIsCustomStyleActive 0051 StyleServices 005c TCustomStyleServices.GetStyleColor 0065 AllocPatternBitmap 0072 TBrush.SetBitmap 0098 TBrush.GetHandle 00a5 SelectObject"
	strings:
		$1 = { 53 56 8B D8 68 12 04 00 00 6A 00 8B 43 38 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 83 D0 01 00 00 80 BB F8 01 00 00 03 0F 85 83 00 00 00 83 BB C0 01 00 00 00 75 5C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 C0 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 28 E8 ?? ?? ?? ?? 8B F0 B2 19 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C0 E8 ?? ?? ?? ?? 8B D0 8B 83 C0 01 00 00 E8 ?? ?? ?? ?? EB 19 BA FF FF FF 00 33 C0 E8 ?? ?? ?? ?? 8B D0 8B 83 C0 01 00 00 E8 ?? ?? ?? ?? 8B 83 C0 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 D0 01 00 00 50 E8 ?? ?? ?? ?? 89 83 F4 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79047_0 {
	meta:
		name = "TSplitter.DrawLine"
		size = 122
		refs = "0071 PatBlt"
	strings:
		$1 = { 56 83 C4 F0 0F B6 90 D4 01 00 00 80 F2 01 88 90 D4 01 00 00 8B 50 48 89 54 24 08 8B 70 4C 89 74 24 0C 8B 4C 24 08 89 0C 24 8B 4C 24 0C 89 4C 24 04 0F B6 48 65 80 C1 FD 80 E9 02 73 0B 03 90 FC 01 00 00 89 14 24 EB 0A 03 B0 FC 01 00 00 89 74 24 04 68 49 00 5A 00 8B 50 54 52 8B 50 50 52 8B 54 24 10 52 8B 54 24 10 52 8B 80 D0 01 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 5E C3 }
	condition:
		$1
}

rule function_79048_0 {
	meta:
		name = "TSplitter.ReleaseLineDC"
		size = 72
		refs = "0016 SelectObject 0025 TWinControl.GetHandle 002b ReleaseDC 003a TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 83 F4 01 00 00 85 C0 74 0D 50 8B 83 D0 01 00 00 50 E8 ?? ?? ?? ?? 8B 83 D0 01 00 00 50 8B 43 38 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 C0 01 00 00 85 C0 74 0D E8 ?? ?? ?? ?? 33 C0 89 83 C0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_79049_0 {
	meta:
		name = "TSplitter.FindControl"
		size = 402
		refs = "0044 TControl.GetAlignWithMargins 00c3 TWinControl.GetControlCount 00db TWinControl.GetControl 0101 TControl.GetBoundsRect 0176 PtInRect"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F0 33 DB 8B 46 48 89 44 24 08 8B 46 4C 89 44 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 0F B6 46 65 FE C8 74 4F FE C8 74 69 FE C8 74 09 FE C8 74 21 E9 47 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 05 FF 0C 24 EB 6E 8B 46 7C 8B 40 08 40 29 04 24 EB 62 8B C6 E8 ?? ?? ?? ?? 84 C0 75 08 8B 46 50 01 04 24 EB 4F 8B 46 7C 8B 40 10 03 46 50 40 01 04 24 EB 40 8B C6 E8 ?? ?? ?? ?? 84 C0 75 06 FF 4C 24 04 EB 2F 8B 46 7C 8B 40 0C 40 29 44 24 04 EB 22 8B C6 E8 ?? ?? ?? ?? 84 C0 75 09 8B 46 54 01 44 24 04 EB 0E 8B 46 7C 8B 40 14 03 46 54 40 01 44 24 04 8B 46 38 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C B4 00 00 00 47 33 ED 8B D5 8B 46 38 E8 ?? ?? ?? ?? 8B D8 80 7B 61 00 0F 84 93 00 00 00 8B C3 8B 10 FF 52 68 84 C0 0F 84 84 00 00 00 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 8B 43 7C 8B 50 10 01 54 24 18 8B 50 08 29 54 24 10 8B 50 14 01 54 24 1C 8B 40 0C 29 44 24 14 8B 44 24 18 2B 44 24 10 75 16 0F B6 46 65 2C 01 74 04 2C 02 75 06 FF 4C 24 10 EB 04 FF 44 24 18 8B 44 24 1C 2B 44 24 14 75 16 0F B6 46 65 2C 01 74 04 2C 02 75 06 FF 4C 24 14 EB 04 FF 44 24 1C 8B D4 8D 44 24 10 E8 ?? ?? ?? ?? 84 C0 75 0A 45 4F 0F 85 4F FF FF FF 33 DB 8B C3 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79050_0 {
	meta:
		name = "TSplitter.RequestAlign"
		size = 64
		refs = "0006 TControl.RequestAlign 002d TControl.SetCursor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 83 80 00 00 00 66 83 F8 F1 74 06 66 83 F8 F2 75 21 0F B6 43 65 48 2C 02 73 0D 66 BA F1 FF 8B C3 E8 ?? ?? ?? ?? EB 0B 66 BA F2 FF 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79051_0 {
	meta:
		name = "TSplitter.Paint"
		size = 416
		refs = "0011 TStyleManager.GetIsCustomStyleActive 001a StyleServices 0024 TCustomStyleServices.GetSystemColor 0034 TBrush.SetColor 0087 InflateRect 00a9 OffsetRect 00bd ColorToRGB 00c3 CreateSolidBrush 00d6 TCanvas.GetHandle 00dc FrameRect 00e2 DeleteObject 0142 TPen.SetStyle 014c TPen.SetMode 0159 TPen.SetColor 0163 TBrush.SetStyle 016a TControl.GetClientWidth 0172 TControl.GetClientHeight"
	strings:
		$1 = { 53 56 83 C4 E0 8B F0 8B D4 8B C6 8B 08 FF 51 60 E8 ?? ?? ?? ?? 84 C0 74 21 E8 ?? ?? ?? ?? BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 86 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 11 8B 86 B0 01 00 00 8B 40 48 8B 56 74 E8 ?? ?? ?? ?? 8D 54 24 10 8B C6 8B 08 FF 51 60 8D 54 24 10 8B 86 B0 01 00 00 8B 08 FF 51 54 80 BE BD 01 00 00 00 0F 84 BE 00 00 00 0F B6 46 65 04 FD 2C 02 73 11 8B C4 B9 02 00 00 00 83 CA FF E8 ?? ?? ?? ?? EB 0F 8B C4 83 C9 FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C4 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 14 00 00 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 53 8D 44 24 04 50 8B 86 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B C4 B9 FE FF FF FF BA FE FF FF FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 10 00 00 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 53 8D 44 24 04 50 8B 86 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? F6 46 1C 10 74 4C 8B 9E B0 01 00 00 8B 43 44 B2 02 E8 ?? ?? ?? ?? 8B 43 44 B2 0E E8 ?? ?? ?? ?? 8B 43 44 BA CE D8 FF 00 E8 ?? ?? ?? ?? 8B 43 48 B2 01 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 33 C9 33 D2 8B C3 8B 18 FF 53 7C 66 83 BE 12 02 00 00 00 74 0E 8B D6 8B 86 14 02 00 00 FF 96 10 02 00 00 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_79052_0 {
	meta:
		name = "TSplitter.DoCanResize"
		size = 48
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 B0 00 00 00 84 C0 74 17 8B 16 3B 93 D8 01 00 00 7F 0D 80 BB BC 01 00 00 00 74 04 33 D2 89 16 5E 5B C3 }
	condition:
		$1
}

rule function_79053_0 {
	meta:
		name = "TSplitter.CanResize"
		size = 42
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 02 02 00 00 00 74 13 54 8B CA 8B D8 8B D0 8B 83 04 02 00 00 FF 93 00 02 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_79054_0 {
	meta:
		name = "TSplitter.MouseDown"
		size = 431
		refs = "0025 TControl.MouseDown 0036 TSplitter.FindControl 0079 TControl.GetClientWidth 008d TWinControl.GetControlCount 00a1 TWinControl.GetControl 00d9 TControl.GetClientHeight 013a TSplitter.UpdateSize 0141 TSplitter.AllocateLineDC 014a ValidParentForm 018c TSplitter.FocusKeyDown 01a2 TSplitter.DrawLine"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 66 89 4D FD 88 55 FF 8B D8 8B 45 0C 50 8B 45 08 50 0F B6 55 FF 0F B7 4D FD 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 0F 85 73 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 83 C4 01 00 00 8B 45 0C 89 45 F4 8B 45 08 89 45 F8 8B 45 F4 89 83 C8 01 00 00 8B 45 F8 89 83 CC 01 00 00 83 BB C4 01 00 00 00 0F 84 3B 01 00 00 0F B6 43 65 04 FD 2C 02 73 60 8B 43 38 E8 ?? ?? ?? ?? 2B 83 D8 01 00 00 89 83 DC 01 00 00 8B 43 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2C 46 33 FF 8B D7 8B 43 38 E8 ?? ?? ?? ?? 80 78 61 00 74 15 0F B6 50 65 80 C2 FD 80 EA 02 73 09 8B 40 50 29 83 DC 01 00 00 47 4E 75 D7 8B 83 C4 01 00 00 8B 40 50 01 83 DC 01 00 00 EB 5C 8B 43 38 E8 ?? ?? ?? ?? 2B 83 D8 01 00 00 89 83 DC 01 00 00 8B 43 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2A 46 33 FF 8B D7 8B 43 38 E8 ?? ?? ?? ?? 80 78 61 00 74 13 0F B6 50 65 4A 80 EA 02 73 09 8B 40 54 29 83 DC 01 00 00 47 4E 75 D9 8B 83 C4 01 00 00 8B 40 54 01 83 DC 01 00 00 8B 4D 08 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 8A 98 02 00 00 85 C9 74 36 8B C1 89 83 B8 01 00 00 8B 90 20 02 00 00 89 93 E8 01 00 00 8B 90 24 02 00 00 89 93 EC 01 00 00 8B 83 B8 01 00 00 89 98 24 02 00 00 C7 80 20 02 00 00 ?? ?? ?? ?? 0F B6 83 F8 01 00 00 2C 01 74 04 2C 02 75 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_79055_0 {
	meta:
		name = "TSplitter.UpdateControlSize"
		size = 388
		refs = "004c TControl.SetWidth 0061 TControl.SetHeight 0071 TWinControl.DisableAlign 0079 TSplitter.UpdateControlSize 009c TControl.SetLeft 00cb TWinControl.EnableAlign 00d1 @HandleFinally 0109 TControl.SetTop"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 80 E0 01 00 00 8B 55 FC 3B 82 F0 01 00 00 0F 84 60 01 00 00 8B 55 FC 0F B6 52 65 FE CA 74 2A FE CA 0F 84 A4 00 00 00 FE CA 74 09 FE CA 74 2F E9 04 01 00 00 8B D0 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? E9 EF 00 00 00 8B D0 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? E9 DA 00 00 00 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 C4 01 00 00 8B 50 50 8B 4D FC 2B 91 E0 01 00 00 03 50 48 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 E0 01 00 00 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 C4 01 00 00 8B 50 54 8B 4D FC 2B 91 E0 01 00 00 03 50 4C E8 ?? ?? ?? ?? 8B 45 FC 8B 90 E0 01 00 00 8B 45 FC 8B 80 C4 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8B 10 FF 92 A8 00 00 00 8B 45 FC 66 83 B8 0A 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 0C 02 00 00 FF 93 08 02 00 00 8B 45 FC 8B 80 E0 01 00 00 8B 55 FC 89 82 F0 01 00 00 5B 59 5D C3 }
	condition:
		$1
}

rule function_79056_0 {
	meta:
		name = "TSplitter.CalcSplitSize"
		size = 211
	strings:
		$1 = { 55 8B EC 51 56 57 89 4D FC 8B CA 8B F0 8B 7D 0C 0F B6 56 65 8B C2 04 FD 2C 02 73 0D 2B 8E C8 01 00 00 8B 45 08 89 08 EB 0E 8B 45 FC 2B 86 CC 01 00 00 8B 4D 08 89 01 33 C0 8B CA FE C9 74 2E FE C9 74 3A FE C9 74 06 FE C9 74 12 EB 3E 8B 86 C4 01 00 00 8B 40 50 8B 4D 08 03 01 EB 2E 8B 86 C4 01 00 00 8B 40 50 8B 4D 08 2B 01 EB 1E 8B 86 C4 01 00 00 8B 40 54 8B 4D 08 03 01 EB 0E 8B 86 C4 01 00 00 8B 40 54 8B 4D 08 2B 01 89 07 3B 86 D8 01 00 00 7D 0A 8B 8E D8 01 00 00 89 0F EB 10 3B 86 DC 01 00 00 7E 08 8B 8E DC 01 00 00 89 0F 3B 07 74 19 80 EA 02 74 05 80 EA 02 75 04 2B 07 EB 06 8B 17 2B D0 8B C2 8B 55 08 01 02 5F 5E 59 5D C2 08 00 }
	condition:
		$1
}

rule function_79057_0 {
	meta:
		name = "TSplitter.UpdateSize"
		size = 22
		refs = "0010 TSplitter.CalcSplitSize"
	strings:
		$1 = { 53 8D 98 E0 01 00 00 53 8D 98 FC 01 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79058_0 {
	meta:
		name = "TSplitter.MouseMove"
		size = 172
		refs = "001e TControl.MouseMove 0040 TSplitter.CalcSplitSize 0067 TSplitter.DrawLine 0089 TSplitter.UpdateControlSize"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 66 89 55 FE 8B D8 8B 7D 08 57 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? F6 45 FE 08 74 7B 83 BB C4 01 00 00 00 74 72 8D 45 F8 50 8D 45 F4 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 8B 08 FF 91 B4 00 00 00 84 C0 74 4E 0F B6 83 F8 01 00 00 2C 01 74 04 2C 02 75 07 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 89 83 E0 01 00 00 8B 45 F4 89 83 FC 01 00 00 80 BB F8 01 00 00 02 75 07 8B C3 E8 ?? ?? ?? ?? 0F B6 83 F8 01 00 00 2C 01 74 04 2C 02 75 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_79059_0 {
	meta:
		name = "TSplitter.MouseUp"
		size = 85
		refs = "001a TControl.MouseUp 0039 TSplitter.DrawLine 0040 TSplitter.UpdateControlSize 004b @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 56 66 89 4D FE 8B F0 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B C6 E8 ?? ?? ?? ?? 83 BE C4 01 00 00 00 74 28 0F B6 86 F8 01 00 00 2C 01 74 04 2C 02 75 07 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BE C6 FF E8 ?? ?? ?? ?? 5E 59 5D C2 08 00 }
	condition:
		$1
}

rule function_79060_0 {
	meta:
		name = "TSplitter.FocusKeyDown"
		size = 57
		refs = "0013 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 56 8B F0 66 83 39 1B 75 0D 8B C6 66 BE C6 FF E8 ?? ?? ?? ?? EB 1B 66 83 BE EA 01 00 00 00 74 11 0F B7 45 08 50 8B 86 EC 01 00 00 FF 96 E8 01 00 00 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_79061_0 {
	meta:
		name = "TSplitter.SetBeveled"
		size = 15
	strings:
		$1 = { 88 90 BD 01 00 00 8B 10 FF 92 A0 00 00 00 C3 }
	condition:
		$1
}

rule function_79062_0 {
	meta:
		name = "TSplitter.StopSizing"
		size = 111
		refs = "0018 TSplitter.DrawLine 0027 TSplitter.ReleaseLineDC"
	strings:
		$1 = { 53 8B D8 83 BB C4 01 00 00 00 74 49 80 BB D4 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 C4 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 B8 01 00 00 85 C0 74 20 8B 93 E8 01 00 00 89 90 20 02 00 00 8B 93 EC 01 00 00 89 90 24 02 00 00 33 C0 89 83 B8 01 00 00 66 83 BB 0A 02 00 00 00 74 0E 8B D3 8B 83 0C 02 00 00 FF 93 08 02 00 00 5B C3 }
	condition:
		$1
}

rule function_79063_0 {
	meta:
		name = "CreateDockPos"
		size = 128
		refs = "0017 @GetMem"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B DA 8B F8 8B 75 1C B8 48 00 00 00 E8 ?? ?? ?? ?? 89 38 8B 55 0C 56 8B F2 8D 78 04 A5 A5 A5 A5 5E 0F B6 55 FF 88 50 14 88 58 15 8B 16 89 50 18 8B 56 04 89 50 1C 8B 55 18 89 50 20 8B 55 14 89 50 24 8B 55 08 89 50 28 C7 40 2C 01 00 00 00 88 58 38 8B 16 89 50 3C 8B 56 04 89 50 40 8B 55 18 89 50 44 8B 55 10 89 50 30 33 D2 89 50 34 5F 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_79064_0 {
	meta:
		name = "FreeDockPos"
		size = 59
		refs = "001e TList.RemoveItem 002c @FreeMem"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 89 04 24 85 DB 74 24 8B F3 8B 3C 24 8B EB 33 C9 8B D5 8B C7 E8 ?? ?? ?? ?? 89 44 24 04 8B 5B 34 8B C6 E8 ?? ?? ?? ?? 85 DB 75 DC 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79065_0 {
	meta:
		name = "AdjustControlRect"
		size = 23
	strings:
		$1 = { 8B 0A 29 08 8B 4A 04 29 48 04 8B 4A 08 01 48 08 8B 52 0C 01 50 0C C3 }
	condition:
		$1
}

rule function_79066_0 {
	meta:
		name = "TCustomControlBar.Create"
		size = 268
		refs = "000e @ClassCreate 001c TCustomControl.Create 0021 TCustomControlBar.Create 0030 TControl.SetWidth 003c TControl.SetHeight 0058 _Dn_TList 005d TObject.Create 006a _Dn_TPicture 006f TPicture.Create 0081 TCustomControlBar.PictureChanged 009b TWinControl.SetBevelKind 00a4 TWinControl.SetDoubleBuffered 00ad TWinControl.SetDockSite 00b9 TCustomControlBar.SetGradientStartColor 00c8 GetShadowColor 00d1 TCustomControlBar.SetGradientEndColor 00da TCustomControlBar.SetGradientDirection 00e3 TCustomControlBar.SetCornerEdge 00f0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 58 BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 32 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 81 02 00 00 01 C6 83 82 02 00 00 01 C6 83 95 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A4 02 00 00 89 5E 14 C7 46 10 ?? ?? ?? ?? C7 83 A8 02 00 00 1A 00 00 00 C6 83 AC 02 00 00 01 B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? BA 05 00 00 FF 8B C3 E8 ?? ?? ?? ?? BA E7 FF FF FF B8 0F 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 02 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 CB 00 24 00 }
	condition:
		$1
}

rule function_79067_0 {
	meta:
		name = "TCustomControlBar.Destroy"
		size = 118
		refs = "0005 @BeforeDestruction 0027 TList.Get 003d @FreeMem 004c TObject.Free 0062 TCustomControl.Destroy 006d @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 85 A0 02 00 00 8B 78 08 4F 85 FF 7C 2A 47 33 F6 8B 85 A0 02 00 00 8B D6 E8 ?? ?? ?? ?? 85 C0 74 12 8B 85 A0 02 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 D9 8B 85 A0 02 00 00 E8 ?? ?? ?? ?? 8B 85 A4 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79068_0 {
	meta:
		name = "TCustomControlBar.SetCornerEdge"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 83 02 00 00 74 10 88 96 83 02 00 00 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_79069_0 {
	meta:
		name = "TCustomControlBar.SetGradientStartColor"
		size = 40
		refs = "0014 TWinControl.HandleAllocated"
	strings:
		$1 = { 56 8B F0 3B 96 9C 02 00 00 74 1B 89 96 9C 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_79070_0 {
	meta:
		name = "TCustomControlBar.SetGradientEndColor"
		size = 40
		refs = "0014 TWinControl.HandleAllocated"
	strings:
		$1 = { 56 8B F0 3B 96 98 02 00 00 74 1B 89 96 98 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_79072_0 {
	meta:
		name = "ShouldRedo"
		size = 60
	strings:
		$1 = { 55 8B EC 53 56 83 78 30 00 74 2B 8B 1A 8B 70 30 3B 5E 3C 75 05 3B 4E 44 74 1C 8B 40 30 8B 1A 89 58 3C 89 48 44 8B 5D 08 89 43 FC 8B 40 30 85 C0 75 EB B0 01 EB 02 33 C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_79073_0 {
	meta:
		name = "TCustomControlBar.AlignControls"
		size = 3356
		refs = "0048 TCustomControlBar.AlignControls 0059 TCustomControlBar.UpdateItems 0070 @TryFinallyExit 00b1 TList.Get 02f9 Bounds 05b4 ShouldRedo 0c28 Rect 0cc4 TControl.SetBoundsRect 0cf3 @CallDynaInst 0d10 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 24 FF FF FF 53 56 89 4D F0 89 55 F4 89 45 F8 8B 45 F8 80 B8 80 02 00 00 00 0F 85 F2 0C 00 00 8B 45 F8 83 B8 B0 01 00 00 00 74 0A 83 7D F4 00 0F 85 DC 0C 00 00 8B 45 F8 C6 80 80 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 88 45 A3 8B 45 F8 8B 80 A0 02 00 00 83 78 08 00 75 0A E8 ?? ?? ?? ?? E9 9D 0C 00 00 33 C0 89 45 AC 33 C0 89 45 A8 8B 45 F8 8B 80 A0 02 00 00 8B 40 08 48 89 45 A4 8B 45 A8 8B 55 A4 2B D0 7C 32 42 89 55 80 89 45 EC 8B 45 F8 8B 80 A0 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B F0 0F B6 46 15 88 46 38 80 7E 15 00 74 03 FF 45 AC FF 45 EC FF 4D 80 75 D5 33 C0 89 45 FC C6 45 87 00 C7 45 88 02 00 00 00 83 7D FC 00 74 07 C6 45 87 01 FF 4D 88 83 7D 88 00 75 0A E8 ?? ?? ?? ?? E9 1A 0C 00 00 33 C0 89 45 D0 33 C0 89 45 CC C7 45 B0 01 00 00 00 8B 45 B0 3B 45 AC 0F 8F 32 0A 00 00 83 7D B0 01 75 05 33 C0 89 45 D0 83 7D B0 01 75 07 33 C0 89 45 A8 EB 07 8B 45 A4 40 89 45 A8 8B 45 F8 8B 80 A0 02 00 00 8B 40 08 48 89 45 A4 8B 45 A8 8B 55 A4 4A 2B D0 7C 37 42 89 55 80 89 45 EC 8B 55 EC 42 8B 45 F8 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? 8B F0 80 7E 15 00 75 06 80 7E 38 00 74 08 8B 45 EC 89 45 A4 EB 08 FF 45 EC FF 4D 80 75 D0 8B 45 F0 8B 40 08 8B 55 F0 2B 02 89 45 E0 33 C0 89 45 DC 33 C0 89 45 D8 8B 45 A8 8B 55 A4 2B D0 0F 8C 19 06 00 00 42 89 55 80 89 45 EC 8B 45 F8 8B 80 A0 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B F0 80 7E 15 00 75 06 80 7E 38 00 74 2A 33 C0 89 45 DC 33 C0 89 45 D8 C6 45 B7 00 80 7D B7 00 74 08 8B 45 D0 89 46 40 EB 06 8B 45 D0 89 46 1C 8B 45 D0 89 45 CC EB 04 C6 45 B7 00 8B 06 89 45 B8 8B 45 F8 F6 40 1C 10 75 0D 8B 45 B8 80 78 61 00 0F 84 9E 05 00 00 83 7E 30 00 0F 85 4D 01 00 00 8B 46 20 89 45 90 8B 46 04 03 46 0C 29 45 90 8D 45 90 50 8D 46 28 50 8D 4E 04 8B 55 B8 8B 45 F8 8B 18 FF 93 08 01 00 00 8B 46 04 03 45 90 03 46 0C 89 46 20 80 7D A3 00 0F 85 B1 00 00 00 83 7E 30 00 0F 85 A7 00 00 00 8B 06 3B 45 F4 0F 85 9C 00 00 00 80 7D B7 00 74 7D 8B 45 F4 8B 40 48 8B 55 F0 2B 02 2B 46 04 89 85 50 FF FF FF 8B 45 F4 8B 40 4C 8B 55 F0 2B 42 04 2B 46 08 89 85 4C FF FF FF 8B 85 50 FF FF FF 89 85 44 FF FF FF 8B 85 4C FF FF FF 89 85 48 FF FF FF 8B 85 44 FF FF FF 89 46 3C 8B 85 48 FF FF FF 89 46 40 8B 45 F4 8B 40 50 03 46 04 03 46 0C 89 46 44 8B 46 24 50 8D 85 24 FF FF FF 50 8B 4E 44 8B 56 40 8B 46 3C E8 ?? ?? ?? ?? EB 19 8B 46 24 50 8D 85 24 FF FF FF 50 8B 4E 20 8B 56 1C 8B 46 18 E8 ?? ?? ?? ?? 3B 75 FC 75 1B 8B 46 24 50 8D 85 24 FF FF FF 50 8B 4E 44 8B 56 40 8B 46 3C E8 ?? ?? ?? ?? EB 19 8B 46 24 50 8D 85 24 FF FF FF 50 8B 4E 20 8B 56 1C 8B 46 18 E8 ?? ?? ?? ?? 8D 8D 24 FF FF FF 8B 55 B8 8B 45 F8 8B 18 FF 93 FC 00 00 00 8B 85 2C FF FF FF 2B 85 24 FF FF FF 89 46 44 EB 76 8B 46 30 89 85 7C FF FF FF 8B 85 7C FF FF FF 8B 50 18 89 56 18 8B 50 1C 89 56 1C 8B 85 7C FF FF FF 8B 50 3C 89 56 3C 8B 50 40 89 56 40 8B 85 7C FF FF FF 8B 40 24 01 46 1C 8B 85 7C FF FF FF 8B 40 24 01 46 40 8B 85 7C FF FF FF 8B 40 20 89 46 20 8B 85 7C FF FF FF 8B 40 44 89 46 44 8B 46 24 50 8D 85 24 FF FF FF 50 8B 4E 44 8B 56 40 8B 46 3C E8 ?? ?? ?? ?? 3B 75 FC 75 44 89 B5 78 FF FF FF 8B 85 78 FF FF FF 8B 95 24 FF FF FF 89 50 3C 8B 85 78 FF FF FF 8B 95 28 FF FF FF 89 50 40 8B 85 2C FF FF FF 2B 85 24 FF FF FF 8B 95 78 FF FF FF 89 42 44 33 C0 89 45 FC C6 45 87 00 EB 24 89 B5 74 FF FF FF 8B 85 74 FF FF FF 8B 95 24 FF FF FF 89 50 18 8B 85 74 FF FF FF 8B 95 28 FF FF FF 89 50 1C 80 7D B7 00 74 14 8B 46 3C 89 45 C0 8B 46 40 89 45 C4 8B 46 44 89 45 BC EB 21 8B 85 24 FF FF FF 89 45 C0 8B 85 28 FF FF FF 89 45 C4 8B 85 2C FF FF FF 2B 85 24 FF FF FF 89 45 BC 8B 45 C0 3B 45 DC 0F 8D 38 02 00 00 83 7D D8 00 0F 8E 28 02 00 00 8B 45 C0 89 45 9C 8B 45 C0 89 45 94 8B 45 D8 89 45 98 8B 45 EC 48 8B 55 A8 2B D0 0F 8F E4 01 00 00 4A 89 95 70 FF FF FF 89 45 E8 8B 45 F8 8B 80 A0 02 00 00 8B 55 E8 E8 ?? ?? ?? ?? 89 85 6C FF FF FF 8B 45 F8 F6 40 1C 10 75 12 8B 85 6C FF FF FF 8B 00 80 78 61 00 0F 84 99 01 00 00 8B 85 6C FF FF FF 8B 40 3C 8B 95 6C FF FF FF 03 42 44 3B 45 9C 0F 8E 8D 01 00 00 8B 85 6C FF FF FF 8B 40 3C 8B 95 6C FF FF FF 03 42 44 2B 45 9C 89 45 E4 8B 45 EC 48 3B 45 E8 7E 1A 8B 85 6C FF FF FF 8B 40 3C 8B 95 6C FF FF FF 03 42 44 8B 55 94 2B D0 29 55 98 8B 45 E4 3B 45 98 7E 06 8B 45 98 89 45 E4 8B 85 6C FF FF FF 8B 40 3C 89 45 94 8B 85 6C FF FF FF 8B 55 E4 29 50 3C 8B 85 6C FF FF FF 8B 40 44 29 45 9C 8B 45 F8 8B 80 A0 02 00 00 8B 55 E8 E8 ?? ?? ?? ?? 89 45 8C 55 8B 45 8C 8B 48 44 8B 45 8C 8D 50 3C 8B 45 8C E8 ?? ?? ?? ?? 59 84 C0 0F 85 EE 00 00 00 8B 85 6C FF FF FF 8B 40 34 89 45 8C 83 7D 8C 00 0F 84 C9 00 00 00 8B 45 8C 89 85 68 FF FF FF 8B 45 F8 8B 80 A0 02 00 00 8B 55 E8 E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8B 48 18 89 4A 18 8B 48 1C 89 4A 1C 8B 45 F8 8B 80 A0 02 00 00 8B 55 E8 E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8B 48 3C 89 4A 3C 8B 48 40 89 4A 40 8B 85 68 FF FF FF 8B 40 30 8B 40 24 8B 95 68 FF FF FF 01 42 1C 8B 85 68 FF FF FF 8B 40 30 8B 40 24 8B 95 68 FF FF FF 01 42 40 8B 45 F8 8B 80 A0 02 00 00 8B 55 E8 E8 ?? ?? ?? ?? 8B 40 20 8B 95 68 FF FF FF 89 42 20 8B 45 F8 8B 80 A0 02 00 00 8B 55 E8 E8 ?? ?? ?? ?? 8B 40 44 8B 95 68 FF FF FF 89 42 44 8B 85 68 FF FF FF 8B 40 34 89 45 8C 83 7D 8C 00 0F 85 37 FF FF FF FF 4D E8 FF 85 70 FF FF FF 0F 85 26 FE FF FF 8B 45 DC 2B 45 C0 89 45 94 8B 45 94 3B 45 D8 7E 06 8B 45 D8 89 45 94 8B 45 94 29 45 D8 8B 45 94 29 45 DC 8B 45 DC 89 45 C0 83 7D FC 00 74 0A 80 7D 87 00 0F 84 E1 00 00 00 8B 45 C4 3B 45 CC 74 06 8B 45 CC 89 45 C4 8B 46 24 03 45 C4 3B 45 D0 7E 09 8B 46 24 03 45 C4 89 45 D0 8B 45 C0 2B 45 DC 01 45 D8 8B 45 C0 2B 45 DC 03 45 BC 01 45 DC 83 7E 30 00 75 14 8B 45 C0 89 46 3C 8B 45 C4 89 46 40 8B 45 BC 89 46 44 EB 33 55 8D 55 C0 8B 4D BC 8B C6 E8 ?? ?? ?? ?? 59 84 C0 75 7D 80 7E 15 00 75 1A 8B 46 3C 3B 45 C0 7D 12 8B 45 C0 89 46 3C 8B 45 C4 89 46 40 8B 45 BC 89 46 44 8B 46 34 89 45 8C 83 7D 8C 00 74 45 8B 5D 8C 8B 46 18 89 43 18 8B 46 1C 89 43 1C 8B 46 3C 89 43 3C 8B 46 40 89 43 40 8B 43 30 8B 40 24 01 43 1C 8B 43 30 8B 40 24 01 43 40 8B 46 20 89 43 20 8B 46 44 89 43 44 8B 43 34 89 45 8C 83 7D 8C 00 75 BB FF 45 EC FF 4D 80 0F 85 EE F9 FF FF 83 7D FC 00 74 0A 80 7D 87 00 0F 84 72 03 00 00 8B 45 E0 2B 45 DC 89 45 D4 83 7D D4 00 0F 8D 50 03 00 00 8B 45 F0 8B 40 08 8B 55 F0 2B 02 89 45 E0 8B 45 DC 89 45 94 8B 45 D8 89 45 98 8B 45 A4 8B 55 A8 2B D0 0F 8F 03 01 00 00 4A 89 55 80 89 45 EC 8B 45 F8 8B 80 A0 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B F0 8B 06 89 45 B8 8B 45 F8 F6 40 1C 10 75 0D 8B 45 B8 80 78 61 00 0F 84 C2 00 00 00 8B 46 3C 03 46 44 3B 45 E0 0F 8E B3 00 00 00 8B 46 3C 03 46 44 2B 45 E0 89 45 C8 8B 45 EC 3B 45 A4 7D 0E 8B 46 3C 03 46 44 8B 55 94 2B D0 29 55 98 8B 45 C8 3B 45 98 7F 08 8B 45 C8 89 45 D4 EB 06 8B 45 98 89 45 D4 8B 45 D4 3B 45 98 7F 7F 8B 46 3C 89 45 94 8B 45 D4 29 46 3C 8B 46 44 29 45 E0 55 8B 4E 44 8D 56 3C 8B C6 E8 ?? ?? ?? ?? 59 84 C0 75 5A 8B 46 34 89 45 8C 83 7D 8C 00 74 42 8B 45 8C 89 85 64 FF FF FF 8B 85 64 FF FF FF 8B 56 3C 89 50 3C 8B 56 40 89 50 40 8B 85 64 FF FF FF 8B 40 30 8B 40 24 8B 95 64 FF FF FF 01 42 40 8B 85 64 FF FF FF 8B 40 34 89 45 8C 83 7D 8C 00 75 BE FF 4D EC FF 45 80 0F 85 04 FF FF FF 83 7D FC 00 74 0A 80 7D 87 00 0F 84 24 02 00 00 83 7D E0 00 0F 8D 4C 01 00 00 8B 45 F0 8B 40 08 8B 55 F0 2B 02 89 45 E0 8B 45 A4 8B 55 A8 2B D0 0F 8F 30 01 00 00 4A 89 55 80 89 45 EC 8B 45 F8 8B 80 A0 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B F0 8B 06 89 45 B8 8B 45 F8 F6 40 1C 10 75 0D 8B 45 B8 80 78 61 00 0F 84 EF 00 00 00 8B 46 3C 03 46 44 3B 45 E0 0F 8E DA 00 00 00 8B 46 3C 03 46 44 2B 45 E0 29 46 44 8B 45 B8 8B 40 78 8B 40 14 03 46 04 03 46 0C 3B 46 44 7E 12 8B 45 B8 8B 40 78 8B 40 14 03 46 04 03 46 0C 89 46 44 8B 46 3C 03 46 44 3B 45 E0 7E 1E 8B 46 3C 03 46 44 2B 45 E0 29 46 3C 8B 45 F0 8B 00 3B 46 3C 7E 08 8B 45 F0 8B 00 89 46 3C 55 8B 4E 44 8D 56 3C 8B C6 E8 ?? ?? ?? ?? 59 84 C0 75 7E 8B 46 34 89 45 8C 83 7D 8C 00 74 60 8B 45 8C 89 85 60 FF FF FF 8B 85 60 FF FF FF 8B 56 18 89 50 18 8B 56 1C 89 50 1C 8B 85 60 FF FF FF 8B 56 3C 89 50 3C 8B 56 40 89 50 40 8B 85 60 FF FF FF 8B 40 30 8B 40 24 8B 95 60 FF FF FF 01 42 40 8B 46 44 8B 95 60 FF FF FF 89 42 44 8B 85 60 FF FF FF 8B 40 34 89 45 8C 83 7D 8C 00 75 A0 8B 46 44 29 45 E0 FF 4D EC FF 45 80 0F 85 D7 FE FF FF 83 7D FC 00 74 0A 80 7D 87 00 0F 84 BE 00 00 00 83 7D E0 00 0F 8D A0 00 00 00 8B 45 A8 3B 45 A4 0F 84 94 00 00 00 8B 45 F8 8B 80 A0 02 00 00 8B 55 A4 E8 ?? ?? ?? ?? 8B F0 33 C0 89 46 3C 8B 46 20 89 46 44 C6 46 38 01 FF 45 AC 55 8B 4E 44 8D 56 3C 8B C6 E8 ?? ?? ?? ?? 59 84 C0 75 70 8B 46 34 89 45 8C 83 7D 8C 00 74 58 8B 45 8C 89 85 5C FF FF FF 8B 85 5C FF FF FF 8B 56 3C 89 50 3C 8B 56 40 89 50 40 8B 85 5C FF FF FF 8B 40 30 8B 40 24 8B 95 5C FF FF FF 01 42 40 8B 46 44 8B 95 5C FF FF FF 89 42 44 8B 85 5C FF FF FF 8B 40 34 89 45 8C 83 7D 8C 00 75 B2 EB 08 FF 45 B0 EB 03 FF 45 B0 8B 45 B0 3B 45 AC 0F 8E CE F5 FF FF 83 7D FC 00 0F 85 8A F5 FF FF C6 45 A2 00 8B 45 F8 8B 80 A0 02 00 00 8B 40 08 48 85 C0 0F 8C 66 01 00 00 40 89 45 80 C7 45 EC 00 00 00 00 8B 45 F8 8B 80 A0 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B F0 89 B5 58 FF FF FF 8B 85 58 FF FF FF 83 78 30 00 0F 85 26 01 00 00 8B 45 F8 F6 40 1C 10 75 12 8B 85 58 FF FF FF 8B 00 80 78 61 00 0F 84 0B 01 00 00 8B 85 58 FF FF FF 83 C0 04 89 85 54 FF FF FF 8B 85 58 FF FF FF 8B 40 40 03 46 24 8B 95 54 FF FF FF 2B 42 0C 50 8D 85 34 FF FF FF 50 8B 85 58 FF FF FF 8B 48 3C 8B 85 58 FF FF FF 03 48 44 8B 85 54 FF FF FF 2B 48 08 8B 85 54 FF FF FF 8B 50 04 8B 85 58 FF FF FF 03 50 40 8B 85 54 FF FF FF 8B 00 8B 9D 58 FF FF FF 03 43 3C E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 8B 40 34 89 45 8C 83 7D 8C 00 74 1B 8B 45 8C 8B 40 24 01 85 40 FF FF FF 8B 45 8C 8B 40 34 89 45 8C 83 7D 8C 00 75 E5 8B 85 58 FF FF FF 8B 00 8B 40 48 3B 85 34 FF FF FF 75 45 8B 85 58 FF FF FF 8B 00 8B 40 4C 3B 85 38 FF FF FF 75 32 8B 85 3C FF FF FF 2B 85 34 FF FF FF 8B 95 58 FF FF FF 8B 12 3B 42 50 75 19 8B 85 40 FF FF FF 2B 85 38 FF FF FF 8B 95 58 FF FF FF 8B 12 3B 42 54 74 17 C6 45 A2 01 8D 95 34 FF FF FF 8B 85 58 FF FF FF 8B 00 E8 ?? ?? ?? ?? FF 45 EC FF 4D 80 0F 85 A5 FE FF FF 80 7D A2 00 75 06 83 7D F4 00 74 0B 8B 45 F8 8B 10 FF 92 9C 00 00 00 8B 45 F8 66 BE EF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 C6 80 80 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79074_0 {
	meta:
		name = "AddControl"
		size = 94
		refs = "0020 TList.Get 0044 TList.Insert 0054 TList.Add"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC 8B 78 08 4F 85 FF 7C 37 47 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 53 4C 3B 50 4C 7C 10 8B 53 4C 3B 50 4C 75 16 8B 53 48 3B 50 48 7D 0E 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 0E 46 4F 75 CC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79075_0 {
	meta:
		name = "TCustomControlBar.UpdateItems"
		size = 983
		refs = "0019 _Dn_TList 001e TObject.Create 0056 TCustomControlBar.UpdateItems 0063 TWinControl.GetControlCount 006d TList.SetCapacity 009d TWinControl.GetControl 00da TList.Get 0166 FreeDockPos 01a0 TList.Add 01d5 Rect 01e1 TControl.GetBoundsRect 024b TList.IndexOf 02e0 AddControl 032d DefaultInsets 034a TCustomControlBar.DockControl 03a8 TObject.Free 03c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 89 55 FC 8B F0 C6 45 FB 00 C6 45 CF 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 DC E8 ?? ?? ?? ?? C7 45 EC FF FF FF FF C6 45 DB 00 8B C6 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 64 02 00 00 40 89 45 BC C7 45 F4 00 00 00 00 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 89 45 E4 F6 46 1C 10 75 0D 8B 45 E4 80 78 61 00 75 04 33 C0 EB 02 B0 01 88 45 DA C6 45 E3 00 8B 86 A0 02 00 00 8B 78 08 4F 85 FF 7C 6E 47 33 DB 8B 86 A0 02 00 00 8B D3 E8 ?? ?? ?? ?? 83 78 30 00 75 54 8B 86 A0 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 00 3B 45 E4 75 40 80 7D DB 00 75 17 8B 86 A0 02 00 00 8B D3 E8 ?? ?? ?? ?? 80 78 14 00 75 04 33 C0 EB 02 B0 01 3A 45 DA 0F 95 45 DB 8B 86 A0 02 00 00 8B D3 E8 ?? ?? ?? ?? 0F B6 55 DA 88 50 14 C6 45 E3 01 EB 04 43 4F 75 95 F6 46 1C 10 0F 95 C0 22 45 E3 74 22 83 7D FC 00 75 1C C6 45 E3 00 8B BE A0 02 00 00 8B C7 8B D3 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 80 7D E3 00 0F 84 53 01 00 00 8B 45 E4 3B 45 FC 0F 85 47 01 00 00 89 5D EC 8B 86 A0 02 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 D4 8B 7D D4 8B 57 08 03 57 10 8B 45 C0 E8 ?? ?? ?? ?? 83 BE 88 02 00 00 00 74 2E 8B 47 1C 03 47 08 8B 17 03 42 54 50 8D 45 AC 50 8B 4F 18 03 4F 20 2B 4F 0C 8B 47 1C 03 47 08 50 8B 47 18 03 47 04 5A E8 ?? ?? ?? ?? EB 0A 8D 55 AC 8B 07 E8 ?? ?? ?? ?? 0F B6 47 15 88 45 EB 80 7D EB 00 74 30 8D 43 01 8B 96 A0 02 00 00 3B 42 08 7D 22 8D 53 01 8B 86 A0 02 00 00 E8 ?? ?? ?? ?? 8B F8 80 7F 15 00 75 0C C6 47 15 01 C6 47 38 01 C6 45 CF 01 0F B6 55 EB 8B 45 C8 E8 ?? ?? ?? ?? 8B D3 8B 45 C4 E8 ?? ?? ?? ?? 8B 45 D4 8B 78 34 85 FF 74 75 8B 86 A0 02 00 00 8B D7 E8 ?? ?? ?? ?? 89 45 F0 0F B6 57 15 8B 45 C8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 C4 E8 ?? ?? ?? ?? 8B DF 8B 53 08 03 53 10 8B 45 C0 E8 ?? ?? ?? ?? 80 7F 15 00 74 31 8B 45 F0 40 8B 96 A0 02 00 00 3B 42 08 7D 22 8B 55 F0 42 8B 86 A0 02 00 00 E8 ?? ?? ?? ?? 89 45 D0 8B 45 D0 80 78 15 00 75 07 8B 45 D0 C6 40 15 01 8B 7F 34 85 FF 75 8B 8B 86 A0 02 00 00 8B 55 D4 E8 ?? ?? ?? ?? EB 1D 80 7D E3 00 75 17 8B 45 E4 3B 45 FC 75 04 C6 45 FB 01 8B 55 E4 8B 45 DC E8 ?? ?? ?? ?? FF 45 F4 FF 4D BC 0F 85 A7 FD FF FF 8B 45 DC 8B 40 08 48 85 C0 7C 5B 40 89 45 BC C7 45 F4 00 00 00 00 8B 55 F4 8B 45 DC E8 ?? ?? ?? ?? 8D 55 9C E8 ?? ?? ?? ?? 8B 45 C8 50 8B 45 C4 50 8B 45 C0 50 6A 00 0F B6 45 CF 50 68 ?? ?? ?? ?? 6A FF 6A FF 6A 00 8B 55 F4 8B 45 DC E8 ?? ?? ?? ?? 8B D0 8D 4D 9C 8B C6 E8 ?? ?? ?? ?? FF 45 F4 FF 4D BC 75 B0 83 7D EC 00 7C 2B 8B 45 C8 50 8B 45 C4 50 8B 45 C0 50 6A 00 0F B6 45 CF 50 68 ?? ?? ?? ?? 6A FF 6A FF 6A 01 8D 4D AC 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 80 7D DB 00 74 0A 8B C6 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79076_0 {
	meta:
		name = "TCustomControlBar.SetRowSize"
		size = 15
	strings:
		$1 = { 3B 90 A8 02 00 00 74 06 89 90 A8 02 00 00 C3 }
	condition:
		$1
}

rule function_79077_0 {
	meta:
		name = "TCustomControlBar.SetRowSnap"
		size = 15
	strings:
		$1 = { 3A 90 AC 02 00 00 74 06 88 90 AC 02 00 00 C3 }
	condition:
		$1
}

rule function_79079_0 {
	meta:
		name = "TCustomControlBar.StickControls"
		size = 174
		refs = "0027 TList.Get 006b TControl.GetBoundsRect"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B E8 8B 85 A0 02 00 00 8B 78 08 4F 85 FF 0F 8C 8B 00 00 00 47 33 F6 8B 85 A0 02 00 00 8B D6 E8 ?? ?? ?? ?? 85 C0 74 6F 8B 85 A0 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D8 8B 43 30 85 C0 74 1F 8B 50 18 89 14 24 8B 50 1C 03 50 24 89 54 24 04 8B 04 24 89 43 18 8B 44 24 04 89 43 1C EB 25 8D 54 24 08 8B 03 E8 ?? ?? ?? ?? 8B 44 24 08 89 43 18 8B 44 24 0C 89 43 1C 8B 43 04 29 43 18 8B 43 08 29 43 1C 8B 03 8B 40 50 03 43 04 03 43 0C 89 43 20 0F B6 43 38 88 43 15 46 4F 0F 85 78 FF FF FF 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79080_0 {
	meta:
		name = "TCustomControlBar.CanAutoSize"
		size = 293
		refs = "0016 TWinControl.HandleAllocated 002b TWinControl.GetControlCount 0060 TList.Get 00a3 TControl.GetClientWidth 010b TControl.GetClientHeight"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 0C 24 8B EA 8B D8 C6 44 24 04 01 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 F7 00 00 00 F6 43 1C 10 74 0F 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E E2 00 00 00 0F B6 43 65 04 FD 2C 02 73 70 33 C0 89 45 00 8B 83 A0 02 00 00 8B 70 08 4E 85 F6 7C 4C 46 33 FF 8B D7 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? 83 78 30 00 75 32 F6 43 1C 10 75 08 8B 10 80 7A 61 00 74 24 8B 10 8B 52 50 03 50 3C 03 50 04 03 50 0C 3B 55 00 7E 11 8B 10 8B 52 50 03 50 3C 03 50 04 03 50 0C 89 55 00 47 4E 75 B7 8B C3 E8 ?? ?? ?? ?? 8B 53 50 2B D0 01 55 00 EB 68 8B 04 24 33 D2 89 10 8B 83 A0 02 00 00 8B 70 08 4E 85 F6 7C 42 46 33 FF 8B D7 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? 83 78 30 00 75 28 F6 43 1C 10 75 08 8B 10 80 7A 61 00 74 1A 8B 50 40 8B 08 03 51 54 03 50 08 03 50 10 8B 0C 24 3B 11 7E 05 8B 04 24 89 10 47 4E 75 C1 8B C3 E8 ?? ?? ?? ?? 8B 53 54 2B D0 8B 04 24 01 10 0F B6 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79081_0 {
	meta:
		name = "AddItem"
		size = 382
		refs = "005e TList.Get 00e3 CreateDockPos 0110 TList.Insert 0177 TCustomControlBar.DockControl"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 83 78 FC 00 75 07 8B 45 08 C6 40 FB 01 8B 45 08 8B 40 F4 8B 55 08 3B 42 FC 75 09 8B 45 08 80 78 18 00 74 50 8B 45 08 80 78 FB 00 74 47 8B 45 08 8B 40 FC 8B 55 08 8B 52 F0 8B 92 A0 02 00 00 3B 42 08 7D 30 8B 45 08 8B 50 FC 8B 45 08 8B 40 F0 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 08 80 78 EF 00 75 0E 80 7B 15 00 74 08 C6 43 15 00 C6 43 38 00 8B 45 08 8B 40 F0 80 B8 AC 02 00 00 00 74 0E 8B 45 08 8B 40 F0 8B 80 A8 02 00 00 EB 0C 8B 45 08 8B 40 E8 8B 55 08 2B 42 E0 8B 55 08 83 C2 DC 52 8B 55 08 8B 52 E4 8B 4D 08 2B 51 DC 52 50 8B 45 08 8B 40 1C 50 8B 45 08 83 C0 C4 50 8B 45 08 8B 40 0C 50 8B 45 08 0F B6 48 D7 8B 45 08 0F B6 50 FB 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 8B D8 8B 45 08 83 78 1C 00 74 09 8B 45 08 8B 40 1C 89 58 34 8B 45 08 8B 50 FC 8B 45 08 8B 40 F0 8B 80 A0 02 00 00 8B CB E8 ?? ?? ?? ?? 8B 45 08 83 78 0C 01 7E 5E 8B 45 08 FF 48 0C 8B 45 08 8B 40 F0 8B 80 A8 02 00 00 8B 55 08 01 42 E0 8B 45 08 8B 40 28 50 8B 45 08 8B 40 24 50 8B 45 08 8B 40 20 50 53 6A 00 8B 45 08 83 C0 C4 50 8B 45 08 8B 40 10 50 8B 45 08 8B 40 0C 50 6A 00 8B 45 08 8D 48 DC 8B 45 08 8B 50 D8 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_79082_0 {
	meta:
		name = "TCustomControlBar.DockControl"
		size = 806
		refs = "0036 TList.Get 0043 TList.Delete 00c9 DefaultInsets 0199 AdjustControlRect 0239 Rect 02c6 AddItem"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 8B 75 14 8D 7D C4 A5 A5 A5 A5 8B F1 89 55 D8 89 45 F0 8B 45 F0 8B 55 D8 89 90 84 02 00 00 8B 45 28 83 78 08 00 7E 19 33 D2 8B 45 28 E8 ?? ?? ?? ?? 88 45 AF 33 D2 8B 45 28 E8 ?? ?? ?? ?? EB 04 C6 45 AF 00 8B 45 24 83 78 08 00 7E 19 33 D2 8B 45 24 E8 ?? ?? ?? ?? 89 45 F4 33 D2 8B 45 24 E8 ?? ?? ?? ?? EB 07 C7 45 F4 FF FF FF FF 8B 45 20 83 78 08 00 7E 18 33 D2 8B 45 20 E8 ?? ?? ?? ?? 8B D8 33 D2 8B 45 20 E8 ?? ?? ?? ?? EB 03 83 CB FF 33 C0 89 45 FC C7 45 C0 01 00 00 80 C7 45 BC 01 00 00 80 56 8D 7D DC A5 A5 A5 A5 5E 83 7D 0C 00 0F 8D FB 00 00 00 8B 46 08 2B 06 89 45 10 BE ?? ?? ?? ?? 8D 7D C4 A5 A5 A5 A5 85 DB 7D 06 8B 5D C8 03 5D D0 03 5D E8 2B 5D E0 8B 45 F0 80 B8 AC 02 00 00 00 74 38 8B 45 F0 FF B0 A8 02 00 00 8B C3 5A 8B CA 99 F7 F9 89 45 0C 83 7D 0C 00 75 03 FF 45 0C 80 7D 08 00 74 1C 8B 45 F0 8B 80 A8 02 00 00 F7 6D 0C 3B D8 7E 0C FF 45 0C EB 07 C7 45 0C 01 00 00 00 8D 45 10 50 8D 45 0C 50 8D 4D C4 8B 55 D8 8B 45 F0 8B 30 FF 96 08 01 00 00 83 7D 0C 00 75 07 C7 45 0C 01 00 00 00 8B 45 F0 0F B6 80 AC 02 00 00 22 45 08 74 25 8B 45 F0 8B 80 A8 02 00 00 F7 6D 0C 3B D8 7E 15 8B 45 F0 FF B0 A8 02 00 00 8B C3 5A 8B CA 99 F7 F9 40 89 45 0C 8B 45 DC 03 45 10 89 45 E4 8D 55 C4 8D 45 DC E8 ?? ?? ?? ?? 8B 45 F0 80 B8 AC 02 00 00 00 74 12 8B 45 F0 8B 80 A8 02 00 00 F7 6D 0C 03 45 E0 89 45 E8 8B 45 F0 F6 40 1C 10 75 0D 8B 45 D8 80 78 61 00 75 04 33 C0 EB 02 B0 01 88 45 D7 8B 45 F0 8B 80 A8 02 00 00 D1 E8 03 45 E0 89 45 B4 C6 45 FB 00 C6 45 EF 00 8B 45 F0 8B 80 A0 02 00 00 8B 40 08 48 85 C0 0F 8C 12 01 00 00 40 89 45 A8 33 F6 8B 45 F0 8B 80 A0 02 00 00 8B D6 E8 ?? ?? ?? ?? 89 45 B8 8B 5D B8 8B 43 1C 03 43 24 50 8D 45 98 50 8B 7B 18 8B CF 03 4B 20 8B 53 1C 8B C7 E8 ?? ?? ?? ?? 8B 45 A4 8B D0 2B 55 9C 3B 55 C0 7E 03 89 55 C0 3B 45 BC 7E 03 89 45 BC 8B 45 DC 3B 45 98 7E 12 8B 45 B4 3B 45 9C 7E 0A C6 45 FB 00 8D 46 01 89 45 FC 8B 45 F0 8B 80 A0 02 00 00 8B 40 08 48 3B F0 74 25 8D 46 01 3B 45 F4 75 06 80 7D AF 00 75 17 8D 56 01 8B 45 F0 8B 80 A0 02 00 00 E8 ?? ?? ?? ?? 80 78 15 00 74 67 8B 45 B4 3B 45 BC 7D 20 83 7D FC 00 75 08 8B 45 B4 3B 45 9C 7C 04 33 C0 EB 02 B0 01 88 45 EF 55 E8 ?? ?? ?? ?? 59 EB 50 8B 45 98 3B 45 DC 7F 0D 8B 45 B8 83 78 34 00 74 04 33 C0 EB 02 B0 01 88 45 FB 8D 46 01 89 45 FC 8B 45 F0 80 B8 AC 02 00 00 00 74 0E 8B 45 F0 8B 80 A8 02 00 00 89 45 C0 EB 05 33 C0 89 45 C0 46 FF 4D A8 0F 85 F4 FE FF FF 55 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule function_79083_0 {
	meta:
		name = "TCustomControlBar.UnDockControl"
		size = 121
		refs = "002d TList.Get 0069 FreeDockPos"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B D8 8B 04 24 89 83 84 02 00 00 8B 83 A0 02 00 00 8B 68 08 4D 85 ED 7C 52 45 33 FF 8B D7 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 06 3B 04 24 75 35 80 7E 15 00 74 20 8B 83 A0 02 00 00 8B 40 08 48 3B F8 7D 12 8D 57 01 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? C6 40 15 01 8B D6 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? EB 04 47 4D 75 B1 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79084_0 {
	meta:
		name = "TCustomControlBar.GetControlInfo"
		size = 59
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 83 3E 00 75 06 C7 06 01 00 00 00 66 83 B8 BA 02 00 00 00 74 18 51 8B 4D 0C 51 56 8B D8 8B CA 8B D0 8B 83 BC 02 00 00 FF 93 B8 02 00 00 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_79085_0 {
	meta:
		name = "DrawGrabber"
		size = 153
		refs = "0013 StyleServices 001d TCustomStyleServices.GetSystemColor 0029 TPen.SetColor"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 83 C3 F0 8B 75 08 83 C6 EC E8 ?? ?? ?? ?? BA 14 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 06 8B 40 44 E8 ?? ?? ?? ?? 8B 4B 04 8B 13 42 8B 06 8B 38 FF 57 64 8B 4B 04 8B 13 8B 06 8B 38 FF 57 60 8B 4B 0C 49 8B 13 8B 06 8B 38 FF 57 60 E8 ?? ?? ?? ?? BA 10 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 06 8B 40 44 E8 ?? ?? ?? ?? 8B 4B 04 8B 53 08 8B 06 8B 38 FF 57 64 8B 4B 0C 8B 53 08 8B 06 8B 38 FF 57 60 8B 4B 0C 8B 13 8B 06 8B 18 FF 53 60 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_79086_0 {
	meta:
		name = "DrawGradient"
		size = 308
		refs = "000a StyleServices 004e TCustomStyleServices.GetElementColor 0086 TStyleManager.GetIsCustomStyleActive 00ac GetShadowColor 00b9 GetHighLightColor 00c7 GradientFillCanvas 0104 InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 E8 8B B0 9C 02 00 00 8B 45 08 8B 40 E8 8B 80 98 02 00 00 89 45 FC 8B C3 8B 10 FF 52 48 84 C0 74 4F 8D 4D EC B2 02 8B C3 8B 38 FF 57 70 8D 45 F8 50 B1 09 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 81 7D F8 FF FF FF 1F 74 03 8B 75 F8 8D 45 F8 50 B1 0A 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 81 7D F8 FF FF FF 1F 74 06 8B 45 F8 89 45 FC E8 ?? ?? ?? ?? 84 C0 75 3D 8B 45 08 8B 40 08 50 8B 45 08 8B 40 E8 0F B6 80 97 02 00 00 50 BA CE FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 50 BA 13 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 EC 59 E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 55 08 56 8B F0 8D 7A F0 A5 A5 A5 A5 5E 8B 45 08 8B 40 EC 8B 50 44 8B C2 8B 40 10 8B 40 1C 8B 52 10 8B 52 1C 8B CA F7 D9 8B 55 08 83 C2 F0 F7 D8 92 E8 ?? ?? ?? ?? 8B 45 08 83 C0 F0 50 8B 45 08 8B 40 E8 0F B6 80 97 02 00 00 50 8B 45 08 8B 40 EC 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79087_0 {
	meta:
		name = "TCustomControlBar.PaintControlFrame"
		size = 800
		refs = "0023 TCustomControlBar.PaintControlFrame 0055 TStyleManager.GetIsCustomStyleActive 0071 DrawStyleEdge 0083 TCanvas.GetHandle 0089 DrawEdge 00a1 BeginPath 023c EndPath 024c SelectClipPath 0258 DrawGradient 0268 StyleServices 02b1 Rect 02ce TCustomStyleServices.DrawElement 0301 DrawGrabber"
	strings:
		$1 = { 55 8B EC 81 C4 3C FF FF FF 53 56 57 8B D9 89 55 EC 89 45 E8 8B 45 E8 80 B8 95 02 00 00 01 75 0C 0F B6 05 ?? ?? ?? ?? 88 45 E7 EB 0A 0F B6 05 ?? ?? ?? ?? 88 45 E7 8B 45 08 50 8D 45 E7 50 8B 4D EC 8B D3 8B 45 E8 8B 18 FF 93 00 01 00 00 F6 45 E7 02 74 39 E8 ?? ?? ?? ?? 84 C0 74 1A A1 ?? ?? ?? ?? 50 8B 55 08 0F B6 0D ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? EB 16 6A 0F 6A 04 8B 45 08 50 8B 45 EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 45 E7 08 0F 84 B9 01 00 00 8B 45 EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 5D 08 8B 1B 8B CB 8B 45 E8 0F B6 80 83 02 00 00 03 C8 8B 55 08 8B 52 04 8B F2 89 4D DC 89 75 E0 8B 4D 08 8B 49 08 8B F1 2B F0 89 55 D8 89 75 D0 8B 75 D8 89 75 D4 89 4D CC 8B F2 03 F0 8B 7D CC 89 7D C4 89 75 C8 89 4D C0 8B 4D 08 8B 49 0C 8B F1 2B F0 8B C6 8B 75 C0 89 75 B8 89 45 BC 8B 45 08 8B 40 08 8B 75 E8 0F B6 B6 83 02 00 00 2B C6 8B F1 89 45 B0 89 75 B4 8B 45 08 8B 00 8B 75 E8 0F B6 B6 83 02 00 00 03 C6 89 45 A8 89 4D AC 8B C3 8B 4D 08 8B 49 0C 8B 75 E8 0F B6 B6 83 02 00 00 2B CE 89 45 A0 89 4D A4 8B C3 8B 4D 08 8B 49 04 8B 5D E8 0F B6 9B 83 02 00 00 03 CB 89 45 98 89 4D 9C 8B 45 08 8B 00 8B 4D E8 0F B6 89 83 02 00 00 03 C1 89 45 90 89 55 94 8B 45 DC 89 85 3C FF FF FF 8B 45 E0 89 85 40 FF FF FF 8B 45 D0 89 85 44 FF FF FF 8B 45 D4 89 85 48 FF FF FF 8B 45 C4 89 85 4C FF FF FF 8B 45 C8 89 85 50 FF FF FF 8B 45 B8 89 85 54 FF FF FF 8B 45 BC 89 85 58 FF FF FF 8B 45 B0 89 85 5C FF FF FF 8B 45 B4 89 85 60 FF FF FF 8B 45 A8 89 85 64 FF FF FF 8B 45 AC 89 85 68 FF FF FF 8B 45 A0 89 85 6C FF FF FF 8B 45 A4 89 85 70 FF FF FF 8B 45 98 89 85 74 FF FF FF 8B 45 9C 89 85 78 FF FF FF 8B 45 90 89 85 7C FF FF FF 8B 45 94 89 45 80 8D 95 3C FF FF FF B9 08 00 00 00 8B 45 EC 8B 18 FF 53 70 8B 45 EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 05 8B 45 EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 45 E7 04 74 07 55 E8 ?? ?? ?? ?? 59 F6 45 E7 01 0F 84 9F 00 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 5F E8 ?? ?? ?? ?? 8D 4D 84 B2 02 8B 18 FF 93 B8 00 00 00 8B 45 08 8B 40 0C 83 E8 03 50 8D 45 F0 50 8B 5D 08 8B 1B 8B CB 83 C1 05 83 C1 02 8B 55 08 8B 52 04 83 C2 02 8B C3 83 C0 02 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 00 8B 45 EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D 84 5A E8 ?? ?? ?? ?? EB 32 8B 45 08 8B 40 0C 83 E8 03 50 8D 45 F0 50 8B 5D 08 8B 1B 83 C3 03 8B CB 83 C1 02 8B 55 08 8B 52 04 83 C2 02 8B C3 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C2 04 00 00 0D 00 00 00 03 00 00 00 00 01 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_79088_0 {
	meta:
		name = "TCustomControlBar.Paint"
		size = 174
		refs = "0044 TList.Get 0065 TControl.GetBoundsRect"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F0 66 83 BE E2 02 00 00 00 74 0E 8B D6 8B 86 E4 02 00 00 FF 96 E0 02 00 00 8B 86 A0 02 00 00 8B 40 08 48 85 C0 7C 79 40 89 44 24 04 C7 04 24 00 00 00 00 8B 14 24 8B 86 A0 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 3B 83 7B 30 00 75 4C F6 46 1C 10 75 06 80 7F 61 00 74 40 8D 54 24 08 8B C7 E8 ?? ?? ?? ?? 8D 43 04 8B 10 29 54 24 08 8B 50 04 29 54 24 0C 8B 50 08 01 54 24 10 8B 40 0C 01 44 24 14 8D 44 24 08 50 8B CF 8B 96 78 02 00 00 8B C6 8B 18 FF 93 0C 01 00 00 FF 04 24 FF 4C 24 04 75 93 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79089_0 {
	meta:
		name = "TCustomControlBar.HitTest"
		size = 34
		refs = "0010 TCustomControlBar.HitTest2"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 04 8B 00 EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79090_0 {
	meta:
		name = "TCustomControlBar.HitTest2"
		size = 174
		refs = "0036 TList.Get 0059 TControl.GetBoundsRect 0093 PtInRect"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 89 4C 24 04 89 14 24 8B F0 8B 86 A0 02 00 00 8B 78 08 4F 85 FF 0F 8C 80 00 00 00 47 C7 44 24 08 00 00 00 00 8B 86 A0 02 00 00 8B 54 24 08 E8 ?? ?? ?? ?? 8B E8 8B DD 83 7B 30 00 75 57 F6 46 1C 10 75 08 8B 03 80 78 61 00 74 49 8D 54 24 14 8B 03 E8 ?? ?? ?? ?? 8D 43 04 8B 10 29 54 24 14 8B 50 04 29 54 24 18 8B 50 08 01 54 24 1C 8B 40 0C 01 44 24 20 8B 04 24 89 44 24 0C 8B 44 24 04 89 44 24 10 8D 54 24 0C 8D 44 24 14 E8 ?? ?? ?? ?? 84 C0 75 09 FF 44 24 08 4F 75 89 33 ED 8B C5 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79091_0 {
	meta:
		name = "TCustomControlBar.IsGradientEndColorStored"
		size = 29
		refs = "000e GetShadowColor"
	strings:
		$1 = { 53 8B D8 BA E7 FF FF FF B8 0F 00 00 FF E8 ?? ?? ?? ?? 3B 83 98 02 00 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_79092_0 {
	meta:
		name = "TCustomControlBar.DoAlignControl"
		size = 140
		refs = "0010 TWinControl.HandleAllocated 0025 TWinControl.DisableAlign 002d TCustomControlBar.DoAlignControl 0077 TWinControl.EnableAlign 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 6B 8B 45 FC F6 40 1C 08 75 62 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 08 FF 51 60 8D 4D EC 8B D3 8B 45 FC 8B 18 FF 93 B0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? F7 D2 23 50 5C 8B 45 FC 89 50 5C 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5B 8B E5 5D C3 10 00 00 00 }
	condition:
		$1
}

rule function_79093_0 {
	meta:
		name = "TCustomControlBar.CNKeyDown"
		size = 129
		refs = "000e TWinControl.CNKeyDown 003a TCustomControlBar.FindPos 004b GetCursorPos 0059 TWinControl.GetHandle 0061 MapWindowPoints"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 66 83 7B 04 11 75 63 F6 46 1C 10 75 5D 80 BE 81 02 00 00 00 74 54 83 BE 88 02 00 00 00 74 4B 8B 96 88 02 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 3A 83 38 00 74 35 8B D8 54 E8 ?? ?? ?? ?? 6A 01 8D 44 24 04 50 8B C6 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 44 24 04 50 6A 01 8B 13 8B 4C 24 08 8B C6 8B 18 FF 93 04 01 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_79094_0 {
	meta:
		name = "ResetDockItems"
		size = 100
		refs = "0027 TList.Get 002c @FreeMem 005c TCustomControlBar.DoAlignControl"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 83 C6 FC 8B 06 8B 80 A0 02 00 00 8B 58 08 4B 83 FB 00 7C 1A 8B 06 8B 80 A0 02 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 75 E6 8B 06 8B 80 A0 02 00 00 8B 10 FF 52 08 8B 06 33 D2 89 90 88 02 00 00 8B 06 33 D2 89 90 84 02 00 00 8B 06 33 D2 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_79095_0 {
	meta:
		name = "TCustomControlBar.MouseDown"
		size = 285
		refs = "0027 TControl.MouseDown 002f TControl.GetMouseCapture 003d ResetDockItems 0055 TCustomControlBar.FindPos 0066 TCustomControlBar.HitTest2 00b8 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 66 89 4D F9 88 55 FB 89 45 FC 8B 7D 0C 57 8B 45 08 50 0F B6 55 FB 0F B7 4D F9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 D9 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 88 02 00 00 85 C0 74 0E 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 0F 8B 4D 08 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 A0 00 00 00 F6 45 F9 40 74 34 8B 45 FC 80 B8 81 02 00 00 00 75 06 F6 45 F9 40 74 22 8B 45 FC F6 40 1C 10 75 19 8B 45 08 50 6A 00 8B CF 8B 13 8B 45 FC 8B 30 FF 96 04 01 00 00 84 C0 75 66 8B 13 8B 45 FC 66 BE AE FF E8 ?? ?? ?? ?? 84 C0 74 54 8B 55 FC 8B 03 89 82 88 02 00 00 8B 55 FC 3B 82 84 02 00 00 75 0D 8B 45 FC 33 D2 89 90 84 02 00 00 EB 0B 8B 45 FC 8B 10 FF 92 10 01 00 00 8B 43 3C 2B C7 89 45 F0 8B 43 40 2B 45 08 89 45 F4 8B 45 FC 8B 55 F0 89 90 8C 02 00 00 8B 55 F4 89 90 90 02 00 00 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_79096_0 {
	meta:
		name = "TCustomControlBar.MouseMove"
		size = 243
		refs = "0020 TControl.MouseMove 0027 TControl.GetMouseCapture 0046 TCustomControlBar.FindPos 00af TControl.GetClientWidth 00bd TControl.GetClientHeight 00e6 TCustomControlBar.DoAlignControl"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 66 89 55 FE 8B D8 8B 45 08 50 8B 4D F8 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 B7 00 00 00 8B 83 88 02 00 00 85 C0 0F 84 A9 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 98 00 00 00 8B F0 8B 45 F8 03 83 8C 02 00 00 89 46 18 8B 45 08 03 83 90 02 00 00 89 46 1C 8B 46 18 89 46 3C 8B 46 1C 89 46 40 8B 06 8B 40 50 03 46 04 03 46 0C 89 46 44 F6 43 1C 10 75 55 80 BB 81 02 00 00 00 74 4C 8B 06 8B 78 54 8B C7 F7 D8 3B 46 18 7F 25 8B C7 F7 D8 3B 46 1C 7F 1C 8B C3 E8 ?? ?? ?? ?? 03 C7 3B 46 18 7C 0E 8B C3 E8 ?? ?? ?? ?? 03 F8 3B 7E 1C 7D 19 8B 45 08 50 6A 01 8B 4D F8 8B 16 8B C3 8B 38 FF 97 04 01 00 00 84 C0 75 09 8B 16 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_79097_0 {
	meta:
		name = "TCustomControlBar.MouseUp"
		size = 106
		refs = "0048 @CallDynaInst 005f TControl.MouseUp"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FD 88 55 FF 8B D8 8B 83 88 02 00 00 85 C0 74 33 8B F0 33 C0 89 83 88 02 00 00 3B B3 84 02 00 00 75 0A 33 C0 89 83 84 02 00 00 EB 0A 8B C3 8B 10 FF 92 10 01 00 00 8B D6 8B C3 66 BE AD FF E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 0F B6 55 FF 0F B7 4D FD 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_79098_0 {
	meta:
		name = "TCustomControlBar.FindPos"
		size = 74
		refs = "0022 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 87 A0 02 00 00 8B 70 08 4E 85 F6 7C 2D 46 33 DB 8B 87 A0 02 00 00 8B D3 E8 ?? ?? ?? ?? 83 78 30 00 75 13 3B 28 75 0F 8B 87 A0 02 00 00 8B D3 E8 ?? ?? ?? ?? EB 06 43 4E 75 D6 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79099_0 {
	meta:
		name = "TCustomControlBar.DragControl"
		size = 77
		refs = "003e TControl.BeginDrag"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA C6 45 FF 01 85 DB 74 20 66 83 B8 B2 02 00 00 00 74 16 8D 55 FF 52 8B F0 8B CB 8B D0 8B 86 B4 02 00 00 FF 96 B0 02 00 00 80 7D FF 00 74 0C 83 C9 FF B2 01 8B C3 E8 ?? ?? ?? ?? 0F B6 45 FF 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_79100_0 {
	meta:
		name = "TCustomControlBar.DockOver"
		size = 144
		refs = "0022 TWinControl.DockOver 005c TControl.EndDrag 007e TWinControl.GetHandle 0084 PostMessage"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B F8 8B 5D 0C 8B 45 10 50 53 8B 45 08 50 8B 4D FC 8B D6 8B C7 E8 ?? ?? ?? ?? 80 BF 81 02 00 00 00 74 59 8B 45 08 80 38 00 74 51 84 DB 75 4D 80 BF 82 02 00 00 00 74 44 8B 46 40 8B 10 FF 52 6C 84 C0 74 38 8B 46 40 89 87 88 02 00 00 B2 01 E8 ?? ?? ?? ?? 8B 9F 88 02 00 00 0F B7 43 48 0F B7 53 4C C1 E2 10 0B C2 50 6A 01 68 01 02 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_79101_0 {
	meta:
		name = "TCustomControlBar.GetSiteInfo"
		size = 71
		refs = "0024 TWinControl.GetSiteInfo"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B 75 0C 8D 7D F4 A5 A5 89 4D FC 8B F0 8B 5D 08 8D 45 F4 50 53 8B 4D FC 8B C6 E8 ?? ?? ?? ?? 80 3B 00 74 09 80 BE 96 02 00 00 00 74 04 33 C0 EB 02 B0 01 88 03 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_79102_0 {
	meta:
		name = "TCustomControlBar.DoBandMove"
		size = 32
	strings:
		$1 = { 53 66 83 B8 C2 02 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 C4 02 00 00 FF 93 C0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_79103_0 {
	meta:
		name = "TCustomControlBar.DoBandPaint"
		size = 46
	strings:
		$1 = { 55 8B EC 53 66 83 B8 CA 02 00 00 00 74 1B 51 8B 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 CC 02 00 00 FF 93 C8 02 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_79104_0 {
	meta:
		name = "TCustomControlBar.DoBeginBandMove"
		size = 42
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 D2 02 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 D4 02 00 00 FF 93 D0 02 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_79105_0 {
	meta:
		name = "TCustomControlBar.DoEndBandMove"
		size = 31
	strings:
		$1 = { 53 66 83 B8 DA 02 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 DC 02 00 00 FF 93 D8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_79106_0 {
	meta:
		name = "TCustomControlBar.GetPalette"
		size = 29
	strings:
		$1 = { 56 33 D2 8B 88 A4 02 00 00 8B 71 0C 85 F6 74 09 8B C6 8B 10 FF 52 28 8B D0 8B C2 5E C3 }
	condition:
		$1
}

rule function_79107_0 {
	meta:
		name = "TCustomControlBar.SetPicture"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 A4 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_79108_0 {
	meta:
		name = "TCustomControlBar.DoPaletteChange"
		size = 153
		refs = "003d GetParentForm 0053 TWinControl.HandleAllocated 0070 TControl.Perform 0082 TWinControl.GetHandle 0088 PostMessage"
	strings:
		$1 = { 53 56 57 55 8B E8 33 DB 8B 85 A4 02 00 00 8B 70 0C 80 7D 61 00 74 7B F6 45 1C 01 75 75 85 F6 74 71 80 7E 22 00 74 6B 8B C6 8B 10 FF 52 28 85 C0 75 06 C6 46 22 00 EB 5A B2 01 8B C5 E8 ?? ?? ?? ?? 8B F8 85 FF 74 4B 80 BF A5 02 00 00 00 74 42 8B C7 E8 ?? ?? ?? ?? 84 C0 74 37 80 BD 94 02 00 00 00 74 12 6A 00 33 C9 BA 0F 03 00 00 8B C7 E8 ?? ?? ?? ?? EB 16 6A 00 6A 00 68 0F 03 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B3 01 C6 46 22 00 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79109_0 {
	meta:
		name = "TCustomControlBar.PictureChanged"
		size = 66
		refs = "0012 TCustomControlBar.DoPaletteChange"
	strings:
		$1 = { 56 8B F0 8B 86 A4 02 00 00 83 78 0C 00 74 1E 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 80 BE 94 02 00 00 00 74 0A 8B C6 8B 10 FF 92 A8 00 00 00 80 BE 94 02 00 00 00 75 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_79110_0 {
	meta:
		name = "TCustomControlBar.CMControlListChange"
		size = 82
		refs = "000c TWinControl.CMControlListChange 002f TCustomControlBar.UnDockControl 0040 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? 83 7B 08 00 75 38 8B 43 04 3B 87 88 02 00 00 75 08 33 C0 89 87 88 02 00 00 8B 53 04 8B C7 E8 ?? ?? ?? ?? 80 7F 66 00 74 0B 8B C7 66 BE EF FF E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79111_0 {
	meta:
		name = "TCustomControlBar.CMDesignHitTest"
		size = 49
		refs = "001a TCustomControlBar.HitTest"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 88 02 00 00 00 75 17 0F BF 4E 0A 0F BF 56 08 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 83 E0 7F 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_79112_0 {
	meta:
		name = "TCustomControlBar.WMEraseBkgnd"
		size = 497
		refs = "0025 TCanvas.SetHandle 0040 TCustomControlBar.WMEraseBkgnd 0084 TPicture.GetWidth 00ae TPicture.GetHeight 0131 @HandleFinally 0170 TStyleManager.GetIsCustomStyleActive 0179 StyleServices 0180 TCustomStyleServices.GetStyleColor 0193 TBrush.SetColor 01bf TBrush.SetStyle 01e6 TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 89 55 F8 89 45 FC 8B 45 F8 8B 40 04 85 C0 74 10 8B D0 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 02 00 00 83 78 0C 00 0F 84 33 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 DC 8B 45 FC 8B 08 FF 51 60 8B 45 FC 0F B6 80 94 02 00 00 88 45 F3 8B 45 FC C6 80 94 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 E4 2B 45 DC 5A 8B CA 99 F7 F9 85 C0 7C 7C 40 89 45 EC C7 45 F4 00 00 00 00 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 E8 2B 45 E0 5A 8B CA 99 F7 F9 8B D8 85 DB 7C 48 43 33 F6 8B 45 FC 8B 80 A4 02 00 00 8B 40 0C 50 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? F7 EE 50 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B D0 0F AF 55 F4 8B 45 FC 8B 80 78 02 00 00 59 8B 38 FF 57 44 46 4B 75 BB FF 45 F4 FF 4D EC 75 8F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B6 55 F3 88 90 94 02 00 00 C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 83 78 04 00 74 10 8B 45 FC 8B 80 78 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 C7 40 0C 01 00 00 00 C3 E9 ?? ?? ?? ?? EB D5 E8 ?? ?? ?? ?? 84 C0 74 21 E8 ?? ?? ?? ?? B2 1D E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 78 02 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 17 8B 45 FC 8B 50 74 8B 45 FC 8B 80 78 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 FC 8B 08 FF 51 60 8D 55 CC 8B 45 FC 8B 80 78 02 00 00 8B 08 FF 51 54 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79113_0 {
	meta:
		name = "TCustomControlBar.SetGradientDirection"
		size = 40
		refs = "0014 TWinControl.HandleAllocated"
	strings:
		$1 = { 56 8B F0 3A 96 97 02 00 00 74 1B 88 96 97 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_79114_0 {
	meta:
		name = "TCustomControlBar.SetDrawingStyle"
		size = 40
		refs = "0014 TWinControl.HandleAllocated"
	strings:
		$1 = { 56 8B F0 3A 96 95 02 00 00 74 1B 88 96 95 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_79115_0 {
	meta:
		name = "TBoundLabel.Create"
		size = 128
		refs = "000b @ClassCreate 001c TCustomLabel.Create 0021 TBoundLabel.Create 0031 TComponent.SetSubComponent 003f TControl.SetText 004a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 24 B2 01 8B C7 E8 ?? ?? ?? ?? 85 F6 74 0A 8B 56 08 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 75 00 62 00 4C 00 61 00 62 00 65 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_79116_0 {
	meta:
		name = "TBoundLabel.AdjustBounds"
		size = 59
		refs = "0007 TCustomLabel.AdjustBounds 0012 _DV_TCustomLabeledEdit 0017 @IsClass 0028 @AsClass 0034 TCustomLabeledEdit.SetLabelPosition"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 90 AC 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79121_0 {
	meta:
		name = "TBoundLabel.SetHeight"
		size = 46
		refs = "0009 TBoundLabel.GetWidth 0012 TBoundLabel.GetTop 001a TBoundLabel.GetLeft"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 50 56 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 59 8B 18 FF 93 A4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79122_0 {
	meta:
		name = "TBoundLabel.SetWidth"
		size = 46
		refs = "000a TBoundLabel.GetHeight 0012 TBoundLabel.GetTop 001a TBoundLabel.GetLeft"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 59 8B 18 FF 93 A4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79123_0 {
	meta:
		name = "TCustomLabeledEdit.Create"
		size = 77
		refs = "000a @ClassCreate 0017 TCustomEdit.Create 002f TCustomLabeledEdit.SetupInternalLabel 003a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 AC 02 00 00 00 C7 86 B0 02 00 00 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_79124_0 {
	meta:
		name = "TCustomLabeledEdit.CMBidimodechanged"
		size = 34
		refs = "0006 TWinControl.CMBiDiModeChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 A8 02 00 00 85 C0 74 0C 0F B6 53 69 8B 08 FF 91 8C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_79125_0 {
	meta:
		name = "TCustomLabeledEdit.CMEnabledchanged"
		size = 43
		refs = "0007 TWinControl.CMEnabledChanged"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 A8 02 00 00 85 F6 74 13 8B C3 8B 10 FF 52 68 8B D0 8B C6 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79126_0 {
	meta:
		name = "TCustomLabeledEdit.CMVisiblechanged"
		size = 31
		refs = "0006 TWinControl.CMVisibleChanged 0019 TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 A8 02 00 00 85 C0 74 09 0F B6 53 61 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79127_0 {
	meta:
		name = "TCustomLabeledEdit.Notification"
		size = 45
		refs = "0010 TWinControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 3B B7 A8 02 00 00 75 0D 80 FB 01 75 08 33 C0 89 87 A8 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79128_0 {
	meta:
		name = "TCustomLabeledEdit.SetBounds"
		size = 40
		refs = "0011 TWinControl.SetBounds 001f TCustomLabeledEdit.SetLabelPosition"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 0C 50 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 0F B6 93 AC 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_79129_0 {
	meta:
		name = "TCustomLabeledEdit.SetLabelPosition"
		size = 702
		refs = "0041 @CallDynaInst 004d AdjustedAlignment 006b TBoundLabel.GetHeight 00a2 TBoundLabel.GetWidth"
	strings:
		$1 = { 53 56 83 C4 B8 8B D8 83 BB A8 02 00 00 00 0F 84 A4 02 00 00 88 93 AC 02 00 00 80 EA 01 72 1B 0F 84 0B 01 00 00 FE CA 0F 84 D5 01 00 00 FE CA 0F 84 18 02 00 00 E9 52 02 00 00 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 0F B6 93 78 02 00 00 E8 ?? ?? ?? ?? 2C 01 72 0F 74 44 FE C8 0F 84 83 00 00 00 E9 28 02 00 00 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 50 8B 43 4C 5A 2B C2 2B 83 B0 02 00 00 8B 53 48 89 54 24 08 89 44 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 E9 F1 01 00 00 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 8B 73 48 03 73 50 2B F0 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 50 8B 43 4C 5A 2B C2 2B 83 B0 02 00 00 89 74 24 10 89 44 24 14 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 E9 AA 01 00 00 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 8B 73 50 2B F0 D1 FE 79 03 83 D6 00 03 73 48 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 50 8B 43 4C 5A 2B C2 2B 83 B0 02 00 00 89 74 24 18 89 44 24 1C 8B 44 24 18 89 04 24 8B 44 24 1C 89 44 24 04 E9 5C 01 00 00 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 0F B6 93 78 02 00 00 E8 ?? ?? ?? ?? 2C 01 72 0B 74 34 FE C8 74 6D E9 36 01 00 00 8B 43 48 89 44 24 20 8B 43 4C 03 43 54 03 83 B0 02 00 00 89 44 24 24 8B 44 24 20 89 04 24 8B 44 24 24 89 44 24 04 E9 0B 01 00 00 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 50 8B 43 48 03 43 50 5A 2B C2 89 44 24 28 8B 43 4C 03 43 54 03 83 B0 02 00 00 89 44 24 2C 8B 44 24 28 89 04 24 8B 44 24 2C 89 44 24 04 E9 CE 00 00 00 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 50 8B 43 50 5A 2B C2 D1 F8 79 03 83 D0 00 03 43 48 89 44 24 30 8B 43 4C 03 43 54 03 83 B0 02 00 00 89 44 24 34 8B 44 24 30 89 04 24 8B 44 24 34 89 44 24 04 E9 8A 00 00 00 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 8B 73 48 2B F0 2B B3 B0 02 00 00 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 50 8B 43 54 5A 2B C2 D1 F8 79 03 83 D0 00 03 43 4C 89 74 24 38 89 44 24 3C 8B 44 24 38 89 04 24 8B 44 24 3C 89 44 24 04 EB 3F 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 50 8B 43 54 5A 2B C2 D1 F8 79 03 83 D0 00 03 43 4C 8B 53 48 03 53 50 03 93 B0 02 00 00 89 54 24 40 89 44 24 44 8B 44 24 40 89 04 24 8B 44 24 44 89 44 24 04 8B B3 A8 02 00 00 8B C6 E8 ?? ?? ?? ?? 50 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 50 8B 4C 24 0C 8B 54 24 08 8B C6 8B 18 FF 93 A4 00 00 00 83 C4 48 5E 5B C3 }
	condition:
		$1
}

rule function_79130_0 {
	meta:
		name = "TCustomLabeledEdit.SetLabelSpacing"
		size = 19
		refs = "000e TCustomLabeledEdit.SetLabelPosition"
	strings:
		$1 = { 89 90 B0 02 00 00 0F B6 90 AC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79131_0 {
	meta:
		name = "TCustomLabeledEdit.SetName"
		size = 191
		refs = "0012 TCustomLabeledEdit.SetName 0032 TControl.GetTextLen 0044 TControl.GetText 004f CompareText 0060 TControl.SetText 0085 TControl.SetName 00ac @UStrArrayClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 46 1C 10 74 42 83 BE A8 02 00 00 00 74 39 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 1D 8D 55 FC 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 08 E8 ?? ?? ?? ?? 85 C0 75 0D 8B D7 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? F6 46 1C 10 74 10 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 74 04 33 DB EB 02 B3 01 8B D7 8B C6 E8 ?? ?? ?? ?? 84 DB 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79132_0 {
	meta:
		name = "TCustomLabeledEdit.SetParent"
		size = 51
		refs = "000b TWinControl.SetParent 002c TControl.SetVisible"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 A8 02 00 00 85 C0 74 17 8B D6 8B 08 FF 91 84 00 00 00 B2 01 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79133_0 {
	meta:
		name = "TCustomLabeledEdit.SetupInternalLabel"
		size = 60
		refs = "0012 _DV_TBoundLabel 0017 TBoundLabel.Create 0028 TComponent.FreeNotification 0035 TCustomLabel.SetFocusControl"
	strings:
		$1 = { 53 56 8B D8 83 BB A8 02 00 00 00 75 2C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A8 02 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79134_0 {
	meta:
		name = "TEditButton.TGlyph.Create"
		size = 101
		refs = "000b @ClassCreate 001d TCustomControl.Create 0046 TControl.SetVisible 0051 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4E 0C 33 D2 8B C7 E8 ?? ?? ?? ?? 89 B7 80 02 00 00 C6 87 84 02 00 00 00 8B 87 80 02 00 00 8B 50 0C 8B C7 8B 08 FF 91 84 00 00 00 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79135_0 {
	meta:
		name = "TEditButton.TGlyph.Click"
		size = 140
	strings:
		$1 = { 53 8B D8 66 83 BB 1A 01 00 00 00 74 22 8B C3 8B 10 FF 52 58 85 C0 74 17 8B C3 8B 10 FF 52 58 8B 40 48 3B 83 18 01 00 00 0F 94 C0 34 01 EB 02 33 C0 84 C0 74 17 8B 83 80 02 00 00 8B 50 0C 8B 83 1C 01 00 00 FF 93 18 01 00 00 5B C3 F6 43 1C 10 75 19 83 7B 70 00 74 13 8B 83 80 02 00 00 8B 50 0C 8B 43 70 8B 08 FF 51 18 EB 1F 66 83 BB 1A 01 00 00 00 74 15 8B 83 80 02 00 00 8B 50 0C 8B 83 1C 01 00 00 FF 93 18 01 00 00 5B C3 }
	condition:
		$1
}

rule function_79136_0 {
	meta:
		name = "TEditButton.TGlyph.CreateWnd"
		size = 38
		refs = "0007 TWinControl.CreateWnd 001f @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 61 00 74 12 8B 83 80 02 00 00 8B 40 0C 66 BE AC FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79137_0 {
	meta:
		name = "TEditButton.TGlyph.Paint"
		size = 162
		refs = "0007 TCustomControl.Paint 0012 TEditButton.GetImages 009b TCustomImageList.Draw"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 81 00 00 00 80 7B 61 00 74 7B 8B 83 80 02 00 00 8B 70 18 8B C3 8B 10 FF 52 68 84 C0 74 35 0F B6 83 84 02 00 00 FE C8 74 06 FE C8 74 14 EB 34 8B 83 80 02 00 00 8B 40 14 83 F8 FF 74 26 8B F0 EB 22 8B 83 80 02 00 00 8B 40 20 83 F8 FF 74 14 8B F0 EB 10 8B 83 80 02 00 00 8B 40 04 83 F8 FF 74 02 8B F0 83 FE FF 74 1D 6A 00 56 6A 01 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 33 C9 8B 93 78 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79138_0 {
	meta:
		name = "TEditButton.TGlyph.WndProc"
		size = 232
		refs = "002a TWinControl.WndProc 009b TControl.ClientToScreen 00d3 @CallDynaInst"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B DA 8B F8 83 3B 7B 75 16 8B 87 80 02 00 00 8B 40 0C 83 B8 84 00 00 00 00 0F 84 BC 00 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 03 3D 0B B0 00 00 7F 15 0F 84 8B 00 00 00 2D 01 02 00 00 74 29 48 74 78 E9 95 00 00 00 2D 13 B0 00 00 74 08 48 74 0E E9 86 00 00 00 C6 87 84 02 00 00 01 EB 73 C6 87 84 02 00 00 00 EB 6A 8B 87 80 02 00 00 83 78 08 00 74 3D 8B 57 38 F6 42 1C 10 75 55 33 D2 89 54 24 08 8B 40 0C 8B 40 54 89 44 24 0C 8B CC 8D 54 24 08 8B C7 E8 ?? ?? ?? ?? 8B 87 80 02 00 00 8B 40 08 8B 4C 24 04 8B 14 24 8B 18 FF 53 50 EB 21 C6 87 84 02 00 00 02 EB 18 C6 87 84 02 00 00 01 EB 0F 8B 87 80 02 00 00 66 BE FD FF E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 9C 00 00 00 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79139_0 {
	meta:
		name = "TEditButton.Create"
		size = 118
		refs = "000e @ClassCreate 001d TObject.Create 0029 _DV_TEditButton.TGlyph 002e TEditButton.TGlyph.Create 005f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 C7 47 14 FF FF FF FF C7 47 18 FF FF FF FF 0F B6 45 08 88 47 1C C7 47 20 FF FF FF FF C7 47 04 FF FF FF FF 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_79140_0 {
	meta:
		name = "TEditButton.Destroy"
		size = 57
		refs = "0003 @BeforeDestruction 0014 TWinControl.RemoveControl 001c TObject.Free 0027 TPersistent.Destroy 0032 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 8B D0 8B 40 38 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79141_0 {
	meta:
		name = "TEditButton.GetEnabled"
		size = 9
	strings:
		$1 = { 8B 40 10 8B 10 FF 52 68 C3 }
	condition:
		$1
}

rule function_79143_0 {
	meta:
		name = "TEditButton.GetHint"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 8B 92 88 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79144_0 {
	meta:
		name = "TEditButton.GetImages"
		size = 10
	strings:
		$1 = { 8B 40 0C 8B 80 AC 02 00 00 C3 }
	condition:
		$1
}

rule function_79146_0 {
	meta:
		name = "TEditButton.GetVisible"
		size = 8
	strings:
		$1 = { 8B 40 10 0F B6 40 61 C3 }
	condition:
		$1
}

rule function_79147_0 {
	meta:
		name = "TEditButton.SetDisabledImageIndex"
		size = 35
		refs = "000e TEditButton.GetEnabled"
	strings:
		$1 = { 56 8B F0 3B 56 04 74 19 89 56 04 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 46 10 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_79148_0 {
	meta:
		name = "TEditButton.SetEnabled"
		size = 45
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 10 8B 10 FF 52 68 3A D8 74 18 8B D3 8B 46 10 8B 08 FF 91 80 00 00 00 8B 46 10 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79149_0 {
	meta:
		name = "TEditButton.SetCustomHint"
		size = 31
		refs = "000a TControl.GetCustomHint 0018 TControl.SetCustomHint"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 E8 ?? ?? ?? ?? 3B F0 74 0A 8B D6 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79150_0 {
	meta:
		name = "TEditButton.SetHint"
		size = 42
		refs = "0013 @UStrEqual 0022 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 7B 10 8B 97 88 00 00 00 E8 ?? ?? ?? ?? 74 0D 8D 87 88 00 00 00 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79151_0 {
	meta:
		name = "TEditButton.SetHotImageIndex"
		size = 37
	strings:
		$1 = { 56 57 8B F0 3B 56 14 74 19 89 56 14 8B 7E 10 80 BF 84 02 00 00 01 75 0A 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_79152_0 {
	meta:
		name = "TEditButton.SetImageIndex"
		size = 37
	strings:
		$1 = { 56 57 8B F0 3B 56 18 74 19 89 56 18 8B 7E 10 80 BF 84 02 00 00 00 75 0A 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_79153_0 {
	meta:
		name = "TEditButton.SetPressedImageIndex"
		size = 37
	strings:
		$1 = { 56 57 8B F0 3B 56 20 74 19 89 56 20 8B 7E 10 80 BF 84 02 00 00 02 75 0A 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_79154_0 {
	meta:
		name = "TEditButton.SetVisible"
		size = 32
		refs = "000d TControl.SetVisible 0019 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B 43 10 3A 50 61 74 11 E8 ?? ?? ?? ?? 8B 43 0C 66 BE AC FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79155_0 {
	meta:
		name = "TEditButton.UpdateBounds"
		size = 357
		refs = "0012 TEditButton.GetImages 0028 TControl.SetWidth 003a TControl.SetHeight 005a TControl.SetTop 0065 StyleServices 013f TControl.SetLeft 014f TEditButton.GetVisible"
	strings:
		$1 = { 53 56 57 8B D8 83 7B 10 00 0F 84 52 01 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 74 26 8B C3 E8 ?? ?? ?? ?? 8B 50 3C 8B 43 10 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 50 38 8B 43 10 E8 ?? ?? ?? ?? EB 14 33 D2 8B 43 10 E8 ?? ?? ?? ?? 33 D2 8B 43 10 E8 ?? ?? ?? ?? 33 D2 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 8B 70 48 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 75 0D BA 01 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 0F B6 43 1C 2C 01 72 07 74 1E E9 86 00 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 04 33 F6 EB 74 BE 01 00 00 00 EB 6D 8B 43 0C 8B 70 50 8B 53 10 2B 72 50 80 B8 80 02 00 00 00 74 03 83 EE 04 80 B8 B9 01 00 00 00 74 3D 33 FF 80 B8 B7 01 00 00 00 74 08 8B 90 BC 01 00 00 03 FA 80 B8 B8 01 00 00 00 74 08 8B 90 BC 01 00 00 03 FA F6 80 B6 01 00 00 04 74 02 2B F7 8B 43 0C F6 80 B6 01 00 00 01 74 02 2B F7 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 75 01 4E 8B 43 0C 80 B8 F1 01 00 00 00 75 19 80 B8 80 02 00 00 00 74 10 BA 02 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 83 C6 02 8B D6 8B 43 10 E8 ?? ?? ?? ?? 8B 43 0C F6 40 1C 10 74 15 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A 33 D2 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79156_0 {
	meta:
		name = "TCustomButtonedEdit.Create"
		size = 173
		refs = "000e @ClassCreate 001c TCustomEdit.Create 0023 _Dn_TControlCanvas 0028 TCanvas.Create 0039 TControlCanvas.SetControl 0040 _Dn_TChangeLink 0045 TObject.Create 0057 TCustomButtonedEdit.ImageListChange 0064 @CallDynaInst 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A8 02 00 00 8B C6 8B D3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B0 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? 6A 00 8B C3 66 BE AD FF E8 ?? ?? ?? ?? 8B CB B2 01 FF 50 0C 89 83 B4 02 00 00 6A 01 8B C3 66 BE AD FF E8 ?? ?? ?? ?? 8B CB B2 01 FF 50 0C 89 83 B8 02 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79157_0 {
	meta:
		name = "TCustomButtonedEdit.Destroy"
		size = 112
		refs = "0003 @BeforeDestruction 001a TObject.Free 005e TWinControl.Destroy 0069 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 A8 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 B0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 B4 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 B8 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79158_0 {
	meta:
		name = "TCustomButtonedEdit.AdjustTextHint"
		size = 204
		refs = "0018 TCustomButtonedEdit.AdjustTextHint 0027 Win32MajorVersion 0036 TCustomEdit.DoSetTextHint 0046 TCanvas.SetFont 0056 TCustomCanvas.TextWidth 007b StringOfChar 0086 @UStrCat 00a5 @UStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 0A A1 ?? ?? ?? ?? 83 38 06 7C 0C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 58 8B 53 6C 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 8B C8 8B C6 99 F7 F9 89 45 F8 8B C6 99 F7 F9 85 D2 7E 03 FF 45 F8 8D 4D F4 8B 55 F8 66 B8 20 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_79159_0 {
	meta:
		name = "TCustomButtonedEdit.DoSetTextHint"
		size = 64
		refs = "0009 TCustomButtonedEdit.DoSetTextHint 001c TCustomButtonedEdit.AdjustTextHint 0031 @UStrClr 0037 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 4D FC 51 8B CA 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_79161_0 {
	meta:
		name = "TCustomButtonedEdit.GetOnLeftButtonClick"
		size = 27
	strings:
		$1 = { 8B 80 B4 02 00 00 8B 40 10 8B 88 18 01 00 00 89 0A 8B 88 1C 01 00 00 89 4A 04 C3 }
	condition:
		$1
}

rule function_79162_0 {
	meta:
		name = "TCustomButtonedEdit.GetOnRightButtonClick"
		size = 27
	strings:
		$1 = { 8B 80 B8 02 00 00 8B 40 10 8B 88 18 01 00 00 89 0A 8B 88 1C 01 00 00 89 4A 04 C3 }
	condition:
		$1
}

rule function_79163_0 {
	meta:
		name = "TCustomButtonedEdit.ImageListChange"
		size = 59
		refs = "0007 TWinControl.HandleAllocated 001a @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 29 8B 83 B4 02 00 00 66 BE FD FF E8 ?? ?? ?? ?? 8B 83 B8 02 00 00 66 BE FD FF E8 ?? ?? ?? ?? 8B C3 66 BE AC FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79164_0 {
	meta:
		name = "TCustomButtonedEdit.DefaultHandler"
		size = 84
		refs = "000b TCustomEdit.DefaultHandler 004d @CallDynaInst"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 03 83 E8 05 74 2C 2D 2E BD 00 00 75 34 8B 86 B4 02 00 00 8B 40 10 8B 10 FF 92 9C 00 00 00 8B 86 B8 02 00 00 8B 40 10 8B 10 FF 92 9C 00 00 00 5E 5B C3 8B 86 B8 02 00 00 66 BE FD FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79165_0 {
	meta:
		name = "TCustomButtonedEdit.Notification"
		size = 130
		refs = "0010 TWinControl.Notification 0034 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 65 3B B7 AC 02 00 00 75 33 33 C0 89 87 AC 02 00 00 8B 87 B4 02 00 00 66 BE FD FF E8 ?? ?? ?? ?? 8B 87 B8 02 00 00 66 BE FD FF E8 ?? ?? ?? ?? 8B C7 66 BE AC FF E8 ?? ?? ?? ?? EB 2A 8B 87 B4 02 00 00 85 C0 74 0C 3B 70 08 75 07 33 D2 89 50 08 EB 14 8B 87 B8 02 00 00 85 C0 74 0A 3B 70 08 75 05 33 D2 89 50 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79166_0 {
	meta:
		name = "TCustomButtonedEdit.SetImages"
		size = 111
		refs = "001b TCustomImageList.UnRegisterChanges 0032 TCustomImageList.RegisterChanges 003f TComponent.FreeNotification 004e @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 AC 02 00 00 3B F0 74 5C 85 C0 74 0B 8B 93 B0 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 AC 02 00 00 85 C0 74 18 8B 93 B0 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 AC 02 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 66 BE FD FF E8 ?? ?? ?? ?? 8B 83 B8 02 00 00 66 BE FD FF E8 ?? ?? ?? ?? 8B C3 66 BE AC FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79168_0 {
	meta:
		name = "TCustomButtonedEdit.SetOnLeftButtonClick"
		size = 34
	strings:
		$1 = { 55 8B EC 8B 80 B4 02 00 00 8B 40 10 8B 55 08 89 90 18 01 00 00 8B 55 0C 89 90 1C 01 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_79169_0 {
	meta:
		name = "TCustomButtonedEdit.SetOnRightButtonClick"
		size = 34
	strings:
		$1 = { 55 8B EC 8B 80 B8 02 00 00 8B 40 10 8B 55 08 89 90 18 01 00 00 8B 55 0C 89 90 1C 01 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_79171_0 {
	meta:
		name = "TCustomButtonedEdit.UpdateEditMargins"
		size = 202
		refs = "000e TCustomButtonedEdit.UpdateEditMargins 001b TWinControl.HandleAllocated 003b TEditButton.GetVisible 0080 TWinControl.GetHandle 0086 SendMessage 0099 TCustomButtonedEdit.AdjustTextHint 00b8 @UStrClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 80 00 00 00 33 DB 33 FF 83 BE AC 02 00 00 00 74 36 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 86 AC 02 00 00 8B 58 3C 83 C3 02 8B 86 B8 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 86 AC 02 00 00 8B 78 3C 83 C7 02 0F B7 C3 0F B7 D7 C1 E2 10 0B C2 50 6A 03 68 D3 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 8E A4 02 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79172_0 {
	meta:
		name = "TCustomButtonedEdit.WndProc"
		size = 309
		refs = "002e TEditButton.GetVisible 0046 StyleServices 007b ExcludeClipRect 00e2 TWinControl.WndProc 010a @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B 06 2D 33 BD 00 00 74 09 83 E8 05 0F 85 C3 00 00 00 83 BB AC 02 00 00 00 0F 84 B6 00 00 00 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 49 8B 83 B4 02 00 00 8B 40 10 8B 68 48 8B 78 4C E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0B 80 BB F1 01 00 00 00 74 02 45 47 8B 83 B4 02 00 00 8B 40 10 8B 50 54 52 8B 50 50 03 50 48 52 47 57 45 55 8B 46 04 50 E8 ?? ?? ?? ?? 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 4F 8B 83 B8 02 00 00 8B 40 10 8B 78 4C E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0A 80 BB F1 01 00 00 00 74 01 47 8B 83 B8 02 00 00 8B 40 10 8B 48 54 51 8B 48 50 8B 93 B8 02 00 00 8B 52 10 8B 52 48 03 CA 51 47 57 52 8B 46 04 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 06 2D 0E B0 00 00 74 30 83 E8 02 74 05 83 E8 2B 75 37 F6 43 1C 01 75 31 8B 83 B4 02 00 00 66 BE FD FF E8 ?? ?? ?? ?? 8B 83 B8 02 00 00 66 BE FD FF E8 ?? ?? ?? ?? EB 11 F6 43 1C 01 75 0B 8B C3 66 BE AC FF E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79173_0 {
	meta:
		name = "TCustomColorBox.CloseUp"
		size = 19
		refs = "0006 TCustomCombo.CloseUp"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 1B 03 00 00 01 5B C3 }
	condition:
		$1
}

rule function_79174_0 {
	meta:
		name = "ColorToPrettyName"
		size = 1333
		refs = "0028 ColorToPrettyName 01d8 SNameBlack 01dd LoadResString 01e9 SNameMaroon 01fa SNameGreen 020b SNameOlive 021c SNameNavy 022d SNamePurple 023e SNameTeal 024f SNameGray 0260 SNameSilver 0271 SNameRed 0282 SNameLime 0293 SNameYellow 02a4 SNameBlue 02b5 SNameFuchsia 02c6 SNameAqua 02d7 SNameWhite 02e8 SNameMoneyGreen 02f9 SNameSkyBlue 030a SNameCream 031b SNameMedGray 032c SNameActiveBorder 033d SNameActiveCaption 034e SNameAppWorkSpace 035f SNameBackground 0370 SNameBtnFace 0381 SNameBtnHighlight 0392 SNameBtnShadow 03a3 SNameBtnText 03b4 SNameCaptionText 03c5 SNameDefault 03d6 SNameGrayText 03e7 SNameGradientActiveCaption 03f8 SNameGradientInactiveCaption 0409 SNameHighlight 041a SNameHighlightText 042b SNameHotLight 043c SNameInactiveBorder 044d SNameInactiveCaption 045e SNameInactiveCaptionText 046f SNameInfoBk 0480 SNameInfoText 0491 SNameMenu 04a2 SNameMenuBar 04b3 SNameMenuHighlight 04c1 SNameMenuText 04cf SNameNone 04dd SNameScrollBar 04eb SName3DDkShadow 04f9 SName3DLight 0507 SNameWindow 0515 SNameWindowFrame 0523 SNameWindowText"
	strings:
		$1 = { 53 56 8B F2 B3 01 3D 1B 00 00 FF 0F 8F 87 00 00 00 0F 84 CD 03 00 00 05 00 00 00 01 83 F8 1A 0F 87 09 05 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D 00 80 80 00 0F 8F 98 00 00 00 0F 84 92 01 00 00 3D 00 80 00 00 7F 48 0F 84 41 01 00 00 83 F8 00 7F 24 0F 84 14 01 00 00 2D 1C 00 00 FF 0F 84 29 03 00 00 48 0F 84 DD 03 00 00 48 0F 84 C5 03 00 00 E9 4F 04 00 00 2D 80 00 00 00 0F 84 FC 00 00 00 83 E8 7F 0F 84 7B 01 00 00 E9 36 04 00 00 3D FF FF 00 00 7F 21 0F 84 8B 01 00 00 2D 80 80 00 00 0F 84 F8 00 00 00 2D 80 7E 00 00 0F 84 64 01 00 00 E9 0E 04 00 00 2D 00 00 80 00 0F 84 EE 00 00 00 2D 80 00 00 00 0F 84 F4 00 00 00 E9 F3 03 00 00 3D 00 00 FF 00 7F 54 0F 84 59 01 00 00 3D C0 DC C0 00 7F 2C 0F 84 90 01 00 00 2D 80 80 80 00 0F 84 EC 00 00 00 2D 20 20 24 00 0F 84 AD 01 00 00 2D 20 20 1C 00 0F 84 E7 00 00 00 E9 B3 03 00 00 2D A6 CA F0 00 0F 84 70 01 00 00 2D 59 31 00 00 0F 84 76 01 00 00 E9 98 03 00 00 3D FF FF FF 00 7F 21 0F 84 31 01 00 00 2D FF 00 FF 00 0F 84 04 01 00 00 2D 01 FE 00 00 0F 84 0A 01 00 00 E9 70 03 00 00 2D FF FF FF 1F 0F 84 03 03 00 00 48 0F 84 F2 01 00 00 E9 59 03 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4A 03 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 39 03 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 28 03 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 17 03 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 06 03 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F5 02 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E4 02 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D3 02 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C2 02 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B1 02 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A0 02 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8F 02 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7E 02 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6D 02 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5C 02 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4B 02 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3A 02 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 29 02 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 18 02 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 07 02 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F6 01 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E5 01 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D4 01 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C3 01 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B2 01 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A1 01 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 90 01 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7F 01 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6E 01 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5D 01 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4C 01 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3B 01 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2A 01 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 19 01 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 08 01 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F7 00 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E6 00 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D5 00 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C4 00 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B3 00 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A2 00 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 91 00 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 80 00 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 72 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 64 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 56 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 48 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2C 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1E 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 33 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_79175_0 {
	meta:
		name = "ColorToBorderColor"
		size = 46
	strings:
		$1 = { 51 66 89 14 24 3C C0 77 14 8B D0 C1 EA 08 80 FA C0 77 0A 8B D0 C1 EA 10 80 FA C0 76 04 33 C0 5A C3 F6 04 24 01 74 05 B8 FF FF FF 00 5A C3 }
	condition:
		$1
}

rule function_79176_0 {
	meta:
		name = "TCustomColorBox.ColorCallBack"
		size = 332
		refs = "0015 TCustomColorBox.ColorCallBack 0022 StringToColor 003d ColorToPrettyName 005a @UStrCopy 0067 @UStrEqual 007d @UStrClr 00b5 @UStrCat 00c2 @UStrFromWChar 00df @UStrLAsg 010a @UStrArrayClr 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F8 F6 87 18 03 00 00 40 0F 84 A3 00 00 00 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 9A 00 00 00 8D 45 F0 50 B9 02 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 BE 03 00 00 00 EB 05 BE 01 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B D6 8B C3 85 C0 74 05 83 E8 04 8B 00 8B F2 2B C6 7C 4F 40 89 45 F4 0F B7 44 73 FE 83 C0 BF 66 83 E8 1A 73 13 83 7D FC 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 0F B7 54 73 FE E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 46 FF 4D F4 75 C1 EB 0A 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 87 B4 02 00 00 8B 4D F8 8B 55 FC 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 63 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_79177_0 {
	meta:
		name = "TCustomColorBox.Create"
		size = 116
		refs = "000a @ClassCreate 0017 TCustomComboBox.Create 002a TCustomColorBox.Create 004f TCustomColorBox.PopulateList 005a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 03 8B C6 8B 08 FF 91 54 01 00 00 0F B6 05 ?? ?? ?? ?? 88 86 18 03 00 00 33 C0 89 86 24 03 00 00 33 C0 89 86 1C 03 00 00 33 C0 89 86 20 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 07 00 00 00 }
	condition:
		$1
}

rule function_79178_0 {
	meta:
		name = "TCustomColorBox.CreateWnd"
		size = 50
		refs = "0006 TCustomComboBox.CreateWnd 0016 TCustomColorBox.PopulateList 002c TCustomColorBox.SetSelected"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 19 03 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 80 BB 1A 03 00 00 00 74 0D 8B 93 24 03 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79179_0 {
	meta:
		name = "TCustomColorBox.DrawItem"
		size = 377
		refs = "0023 TCustomColorBox.DrawItem 006a InflateRect 0074 TCustomColorBox.GetColor 007e TBrush.SetColor 00c7 ColorToRGB 00d0 ColorToBorderColor 0112 TCustomCanvas.TextHeight 0164 @UStrArrayClr 016a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 8B F1 8D 7D EC A5 A5 A5 A5 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B7 78 02 00 00 8D 55 EC 8B C6 8B 08 FF 51 54 8B 46 48 8B 40 10 8B 58 18 56 57 8D 75 EC 8D 7D DC A5 A5 A5 A5 5F 5E 8B 45 E8 2B 45 E0 03 45 DC 89 45 E4 8D 45 DC 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 46 48 E8 ?? ?? ?? ?? 8B 46 48 8B 50 10 8B 52 18 81 FA 00 00 00 20 75 0D 8B 97 1C 03 00 00 E8 ?? ?? ?? ?? EB 13 81 FA FF FF FF 1F 75 0B 8B 97 20 03 00 00 E8 ?? ?? ?? ?? 8D 55 DC 8B C6 8B 08 FF 51 54 8B 46 48 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 0F B7 55 08 E8 ?? ?? ?? ?? 8B D0 8B 46 48 E8 ?? ?? ?? ?? 8D 55 DC 8B C6 8B 08 FF 51 5C 8B D3 8B 46 48 E8 ?? ?? ?? ?? 8B 45 E4 83 C0 05 89 45 EC 8D 4D D8 8B 55 FC 8B 87 B4 02 00 00 8B 18 FF 53 0C 8B 55 D8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 2B 55 F0 2B D0 D1 FA 79 03 83 D2 00 03 55 F0 52 8D 4D D4 8B 55 FC 8B 87 B4 02 00 00 8B 18 FF 53 0C 8B 45 D4 50 8B 4D EC 8D 55 EC 8B C6 8B 18 FF 93 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_79180_0 {
	meta:
		name = "TCustomColorBox.GetColor"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 B4 02 00 00 8B 08 FF 51 18 5E 5B C3 }
	condition:
		$1
}

rule function_79181_0 {
	meta:
		name = "TCustomColorBox.GetColorName"
		size = 28
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 83 B4 02 00 00 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79182_0 {
	meta:
		name = "TCustomColorBox.GetSelected"
		size = 63
		refs = "0006 TWinControl.HandleAllocated 002a TCustomColorBox.GetColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 29 8B C3 8B 10 FF 92 F8 00 00 00 40 74 15 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? EB 0D B8 00 00 00 FF 5B C3 8B 83 24 03 00 00 5B C3 }
	condition:
		$1
}

rule function_79183_0 {
	meta:
		name = "TCustomColorBox.KeyDown"
		size = 23
		refs = "0011 TCustomComboBox.KeyDown"
	strings:
		$1 = { 51 66 89 0C 24 C6 80 1B 03 00 00 00 0F B7 0C 24 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_79184_0 {
	meta:
		name = "TCustomColorBox.KeyPress"
		size = 90
		refs = "000b TCustomComboBox.KeyPress"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? F6 83 18 03 00 00 20 74 3F 66 83 3E 0D 75 39 8B C3 8B 10 FF 92 F8 00 00 00 85 C0 75 2B 8B C3 8B 10 FF 92 58 01 00 00 84 C0 74 18 66 83 BB 9A 02 00 00 00 74 0E 8B D3 8B 83 9C 02 00 00 FF 93 98 02 00 00 66 C7 06 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79185_0 {
	meta:
		name = "TCustomColorBox.Loaded"
		size = 41
		refs = "0006 TCustomCombo.Loaded 0013 TCustomColorBox.SetSelected 0023 TCustomColorBox.PopulateList"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 93 24 03 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB 19 03 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79186_0 {
	meta:
		name = "TCustomColorBox.PickCustomColor"
		size = 276
		refs = "0013 TCustomColorBox.PickCustomColor 0022 _Dn_TColorDialog 0027 TColorDialog.Create 004a ColorToRGB 006c Format 00bd TObject.Free 00c3 @HandleFinally 00da @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 B4 02 00 00 33 D2 8B 08 FF 51 18 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 89 58 70 8D 45 F4 50 89 5D EC C6 45 F0 00 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 40 78 8B 08 FF 51 2C 8B 45 F8 8B 10 FF 52 50 88 45 FF 80 7D FF 00 74 1D 8B 45 F8 8B 48 70 8B 86 B4 02 00 00 33 D2 8B 18 FF 53 24 8B C6 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6C 00 6F 00 72 00 41 00 3D 00 25 00 2E 00 38 00 78 00 00 00 }
	condition:
		$1
}

rule function_79187_0 {
	meta:
		name = "DeleteRange"
		size = 41
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 2B DE 7F 18 4B 8B 45 08 8B 40 FC 8B 80 B4 02 00 00 8B D6 8B 08 FF 51 48 4E 43 75 E9 5E 5B 5D C3 }
	condition:
		$1
}

rule function_79188_0 {
	meta:
		name = "DeleteColor"
		size = 51
	strings:
		$1 = { 55 8B EC 56 8B 55 08 8B 52 FC 8B 92 B4 02 00 00 92 8B 08 FF 51 5C 8B F0 83 FE FF 74 13 8B 45 08 8B 40 FC 8B 80 B4 02 00 00 8B D6 8B 08 FF 51 48 5E 5D C3 }
	condition:
		$1
}

rule function_79189_0 {
	meta:
		name = "TCustomColorBox.PopulateList"
		size = 544
		refs = "0014 TCustomColorBox.PopulateList 0022 TWinControl.HandleAllocated 0045 TStrings.BeginUpdate 00bb TCustomColorBox.ColorCallBack 00c0 GetColorValues 00d7 DeleteColor 0118 DeleteRange 0165 SColorBoxCustomCaption 016a LoadResString 01bb TCustomColorBox.SetSelected 01d6 TStrings.EndUpdate 01e6 @HandleFinally 0207 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 BE 01 00 00 8B 45 FC F6 40 1C 01 0F 85 B1 01 00 00 8B 45 FC 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 FC F6 80 18 03 00 00 20 74 24 8B 45 FC 8B 80 B4 02 00 00 8B 10 FF 52 14 85 C0 7E 12 8B 45 FC 8B 80 B4 02 00 00 33 D2 8B 08 FF 51 18 8B F0 8B 45 FC 8B 98 24 03 00 00 8B 45 FC 8B 80 B4 02 00 00 8B 10 FF 52 44 8B 45 FC 0F B6 15 ?? ?? ?? ?? 3A 90 18 03 00 00 0F 84 CB 00 00 00 8B 45 FC 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC F6 80 18 03 00 00 08 75 0C 55 B8 FF FF FF 1F E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 18 03 00 00 10 75 0C 55 B8 00 00 00 20 E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 18 03 00 00 04 75 1D 55 8B 45 FC 8B 80 B4 02 00 00 8B 10 FF 52 14 8B D0 4A B8 14 00 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 18 03 00 00 02 75 11 55 BA 13 00 00 00 B8 10 00 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 18 03 00 00 01 75 0E 55 BA 0F 00 00 00 33 C0 E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 18 03 00 00 20 74 21 56 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8B 45 FC 8B 80 B4 02 00 00 33 D2 8B 30 FF 56 64 8B 45 FC F6 80 18 03 00 00 80 74 28 8B 45 FC 66 83 B8 2A 03 00 00 00 74 1B 8B 45 FC 8B 88 B4 02 00 00 8B 75 FC 8B 55 FC 8B 86 2C 03 00 00 FF 96 28 03 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 80 19 03 00 00 00 C3 E9 ?? ?? ?? ?? EB E0 8B 45 FC C6 80 19 03 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule function_79190_0 {
	meta:
		name = "TCustomColorBox.Select"
		size = 65
		refs = "003b TCustomCombo.Select"
	strings:
		$1 = { 53 8B D8 80 BB 1B 03 00 00 00 74 2C C6 83 1B 03 00 00 00 F6 83 18 03 00 00 20 74 1C 8B C3 8B 10 FF 92 F8 00 00 00 85 C0 75 0E 8B C3 8B 10 FF 92 58 01 00 00 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79191_0 {
	meta:
		name = "TCustomColorBox.SetDefaultColorColor"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 1C 03 00 00 74 10 89 96 1C 03 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_79192_0 {
	meta:
		name = "TCustomColorBox.SetNoneColorColor"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 20 03 00 00 74 10 89 96 20 03 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_79193_0 {
	meta:
		name = "TCustomColorBox.SetSelected"
		size = 214
		refs = "000c TWinControl.HandleAllocated"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 AB 00 00 00 8B D6 8B 83 B4 02 00 00 8B 08 FF 51 5C 8B F8 83 FF FF 75 24 F6 83 18 03 00 00 20 74 1B 81 FE 00 00 00 FF 74 13 8B CE 33 D2 8B 83 B4 02 00 00 8B 38 FF 57 24 33 FF EB 40 F6 83 18 03 00 00 20 74 37 85 FF 75 33 8B 83 B4 02 00 00 8B 10 FF 52 14 48 85 C0 7E 23 89 04 24 BD 01 00 00 00 8B D5 8B 83 B4 02 00 00 8B 08 FF 51 18 3B C6 75 04 8B FD EB 06 45 FF 0C 24 75 E5 8B C3 8B 10 FF 92 F8 00 00 00 85 C0 75 10 85 FF 75 0C 8B C3 8B 10 FF 92 9C 00 00 00 EB 0C 8B D7 8B C3 8B 08 FF 91 FC 00 00 00 C6 83 1A 03 00 00 00 EB 07 C6 83 1A 03 00 00 01 89 B3 24 03 00 00 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79194_0 {
	meta:
		name = "TCustomColorBox.SetStyle"
		size = 124
		refs = "0026 TCustomColorBox.SetStyle 0043 TCustomColorBox.PopulateList"
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 83 18 03 00 00 3A 04 24 74 5C 0F B6 04 24 88 83 18 03 00 00 0F B6 83 18 03 00 00 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 0F 95 C2 8B C3 8B 08 FF 91 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 8B 10 FF 52 14 85 C0 7E 19 8B C3 8B 10 FF 92 F8 00 00 00 40 75 0C 33 D2 8B C3 8B 08 FF 91 FC 00 00 00 5A 5B C3 00 00 A7 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_79195_0 {
	meta:
		name = "TCustomColorListBox.ColorCallBack"
		size = 332
		refs = "0015 TCustomColorListBox.ColorCallBack 0022 StringToColor 003d ColorToPrettyName 005a @UStrCopy 0067 @UStrEqual 007d @UStrClr 00b5 @UStrCat 00c2 @UStrFromWChar 00df @UStrLAsg 010a @UStrArrayClr 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F8 F6 87 F8 02 00 00 40 0F 84 A3 00 00 00 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 9A 00 00 00 8D 45 F0 50 B9 02 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 BE 03 00 00 00 EB 05 BE 01 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B D6 8B C3 85 C0 74 05 83 E8 04 8B 00 8B F2 2B C6 7C 4F 40 89 45 F4 0F B7 44 73 FE 83 C0 BF 66 83 E8 1A 73 13 83 7D FC 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 0F B7 54 73 FE E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 46 FF 4D F4 75 C1 EB 0A 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 87 88 02 00 00 8B 4D F8 8B 55 FC 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 63 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_79196_0 {
	meta:
		name = "TCustomColorListBox.Create"
		size = 112
		refs = "000a @ClassCreate 0017 TCustomListBox.Create 0020 TCustomListBox.SetStyle 0027 TCustomColorListBox.Create 004c TCustomColorListBox.PopulateList 0057 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 86 F8 02 00 00 33 C0 89 86 04 03 00 00 33 C0 89 86 FC 02 00 00 33 C0 89 86 00 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 07 00 00 00 }
	condition:
		$1
}

rule function_79197_0 {
	meta:
		name = "TCustomColorListBox.CreateWnd"
		size = 50
		refs = "0006 TCustomListBox.CreateWnd 0016 TCustomColorListBox.PopulateList 002c TCustomColorListBox.SetSelected"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB F9 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 80 BB FA 02 00 00 00 74 0D 8B 93 04 03 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79198_0 {
	meta:
		name = "TCustomColorListBox.DrawItem"
		size = 380
		refs = "0023 TCustomColorListBox.DrawItem 006d InflateRect 0077 TCustomColorListBox.GetColor 0081 TBrush.SetColor 00ca ColorToRGB 00d3 ColorToBorderColor 0115 TCustomCanvas.TextHeight 0167 @UStrArrayClr 016d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 8B F1 8D 7D EC A5 A5 A5 A5 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B7 98 02 00 00 8D 55 EC 8B C6 8B 08 FF 51 54 8B 46 48 8B 40 10 8B 58 18 56 57 8D 75 EC 8D 7D DC A5 A5 A5 A5 5F 5E 8B 45 E8 2B 45 E0 03 45 DC 83 C0 05 89 45 E4 8D 45 DC 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 46 48 E8 ?? ?? ?? ?? 8B 46 48 8B 50 10 8B 52 18 81 FA 00 00 00 20 75 0D 8B 97 FC 02 00 00 E8 ?? ?? ?? ?? EB 13 81 FA FF FF FF 1F 75 0B 8B 97 00 03 00 00 E8 ?? ?? ?? ?? 8D 55 DC 8B C6 8B 08 FF 51 54 8B 46 48 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 0F B7 55 08 E8 ?? ?? ?? ?? 8B D0 8B 46 48 E8 ?? ?? ?? ?? 8D 55 DC 8B C6 8B 08 FF 51 5C 8B D3 8B 46 48 E8 ?? ?? ?? ?? 8B 45 E4 83 C0 05 89 45 EC 8D 4D D8 8B 55 FC 8B 87 88 02 00 00 8B 18 FF 53 0C 8B 55 D8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 2B 55 F0 2B D0 D1 FA 79 03 83 D2 00 03 55 F0 52 8D 4D D4 8B 55 FC 8B 87 88 02 00 00 8B 18 FF 53 0C 8B 45 D4 50 8B 4D EC 8D 55 EC 8B C6 8B 18 FF 93 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_79199_0 {
	meta:
		name = "TCustomColorListBox.GetColor"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 88 02 00 00 8B 08 FF 51 18 5E 5B C3 }
	condition:
		$1
}

rule function_79200_0 {
	meta:
		name = "TCustomColorListBox.GetColorName"
		size = 28
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 83 88 02 00 00 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79201_0 {
	meta:
		name = "TCustomColorListBox.GetSelected"
		size = 63
		refs = "0006 TWinControl.HandleAllocated 002a TCustomColorListBox.GetColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 29 8B C3 8B 10 FF 92 F8 00 00 00 40 74 15 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? EB 0D B8 00 00 00 FF 5B C3 8B 83 04 03 00 00 5B C3 }
	condition:
		$1
}

rule function_79202_0 {
	meta:
		name = "TCustomColorListBox.KeyDown"
		size = 23
		refs = "0011 TCustomListBox.KeyDown"
	strings:
		$1 = { 51 66 89 0C 24 C6 80 FB 02 00 00 00 0F B7 0C 24 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_79203_0 {
	meta:
		name = "TCustomColorListBox.KeyPress"
		size = 80
		refs = "000b TCustomListBox.KeyPress"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? F6 83 F8 02 00 00 20 74 35 66 83 3E 0D 75 2F 8B C3 8B 10 FF 92 F8 00 00 00 85 C0 75 21 8B C3 8B 10 FF 92 38 01 00 00 84 C0 74 0E 8B D3 8B 83 1C 01 00 00 FF 93 18 01 00 00 66 C7 06 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79204_0 {
	meta:
		name = "TCustomColorListBox.Loaded"
		size = 41
		refs = "0006 TControl.Loaded 0013 TCustomColorListBox.SetSelected 0023 TCustomColorListBox.PopulateList"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 93 04 03 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB F9 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79205_0 {
	meta:
		name = "TCustomColorListBox.PickCustomColor"
		size = 276
		refs = "0013 TCustomColorListBox.PickCustomColor 0022 _Dn_TColorDialog 0027 TColorDialog.Create 004a ColorToRGB 006c Format 00bd TObject.Free 00c3 @HandleFinally 00da @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 88 02 00 00 33 D2 8B 08 FF 51 18 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 89 58 70 8D 45 F4 50 89 5D EC C6 45 F0 00 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 40 78 8B 08 FF 51 2C 8B 45 F8 8B 10 FF 52 50 88 45 FF 80 7D FF 00 74 1D 8B 45 F8 8B 48 70 8B 86 88 02 00 00 33 D2 8B 18 FF 53 24 8B C6 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6C 00 6F 00 72 00 41 00 3D 00 25 00 2E 00 38 00 78 00 00 00 }
	condition:
		$1
}

rule function_79206_0 {
	meta:
		name = "DeleteRange"
		size = 41
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 2B DE 7F 18 4B 8B 45 08 8B 40 FC 8B 80 88 02 00 00 8B D6 8B 08 FF 51 48 4E 43 75 E9 5E 5B 5D C3 }
	condition:
		$1
}

rule function_79207_0 {
	meta:
		name = "DeleteColor"
		size = 51
	strings:
		$1 = { 55 8B EC 56 8B 55 08 8B 52 FC 8B 92 88 02 00 00 92 8B 08 FF 51 5C 8B F0 83 FE FF 74 13 8B 45 08 8B 40 FC 8B 80 88 02 00 00 8B D6 8B 08 FF 51 48 5E 5D C3 }
	condition:
		$1
}

rule function_79208_0 {
	meta:
		name = "TCustomColorListBox.PopulateList"
		size = 544
		refs = "0014 TCustomColorListBox.PopulateList 0022 TWinControl.HandleAllocated 0045 TStrings.BeginUpdate 00bb TCustomColorListBox.ColorCallBack 00c0 GetColorValues 00d7 DeleteColor 0118 DeleteRange 0165 SColorBoxCustomCaption 016a LoadResString 01bb TCustomColorListBox.SetSelected 01d6 TStrings.EndUpdate 01e6 @HandleFinally 0207 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 BE 01 00 00 8B 45 FC F6 40 1C 01 0F 85 B1 01 00 00 8B 45 FC 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 FC F6 80 F8 02 00 00 20 74 24 8B 45 FC 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 7E 12 8B 45 FC 8B 80 88 02 00 00 33 D2 8B 08 FF 51 18 8B F0 8B 45 FC 8B 98 04 03 00 00 8B 45 FC 8B 80 88 02 00 00 8B 10 FF 52 44 8B 45 FC 0F B6 15 ?? ?? ?? ?? 3A 90 F8 02 00 00 0F 84 CB 00 00 00 8B 45 FC 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC F6 80 F8 02 00 00 08 75 0C 55 B8 FF FF FF 1F E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 F8 02 00 00 10 75 0C 55 B8 00 00 00 20 E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 F8 02 00 00 04 75 1D 55 8B 45 FC 8B 80 88 02 00 00 8B 10 FF 52 14 8B D0 4A B8 14 00 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 F8 02 00 00 02 75 11 55 BA 13 00 00 00 B8 10 00 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 F8 02 00 00 01 75 0E 55 BA 0F 00 00 00 33 C0 E8 ?? ?? ?? ?? 59 8B 45 FC F6 80 F8 02 00 00 20 74 21 56 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8B 45 FC 8B 80 88 02 00 00 33 D2 8B 30 FF 56 64 8B 45 FC F6 80 F8 02 00 00 80 74 28 8B 45 FC 66 83 B8 0A 03 00 00 00 74 1B 8B 45 FC 8B 88 88 02 00 00 8B 75 FC 8B 55 FC 8B 86 0C 03 00 00 FF 96 08 03 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 80 F9 02 00 00 00 C3 E9 ?? ?? ?? ?? EB E0 8B 45 FC C6 80 F9 02 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule function_79209_0 {
	meta:
		name = "TCustomColorListBox.SetDefaultColorColor"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 FC 02 00 00 74 10 89 96 FC 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_79211_0 {
	meta:
		name = "TCustomColorListBox.SetSelected"
		size = 214
		refs = "000c TWinControl.HandleAllocated"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 AB 00 00 00 8B D6 8B 83 88 02 00 00 8B 08 FF 51 5C 8B F8 83 FF FF 75 24 F6 83 F8 02 00 00 20 74 1B 81 FE 00 00 00 FF 74 13 8B CE 33 D2 8B 83 88 02 00 00 8B 38 FF 57 24 33 FF EB 40 F6 83 F8 02 00 00 20 74 37 85 FF 75 33 8B 83 88 02 00 00 8B 10 FF 52 14 48 85 C0 7E 23 89 04 24 BD 01 00 00 00 8B D5 8B 83 88 02 00 00 8B 08 FF 51 18 3B C6 75 04 8B FD EB 06 45 FF 0C 24 75 E5 8B C3 8B 10 FF 92 F8 00 00 00 85 C0 75 10 85 FF 75 0C 8B C3 8B 10 FF 92 9C 00 00 00 EB 0C 8B D7 8B C3 8B 08 FF 91 FC 00 00 00 C6 83 FA 02 00 00 00 EB 07 C6 83 FA 02 00 00 01 89 B3 04 03 00 00 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79212_0 {
	meta:
		name = "TCustomColorListBox.SetStyle"
		size = 124
		refs = "0026 TCustomColorListBox.SetStyle 0043 TCustomColorListBox.PopulateList"
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 83 F8 02 00 00 3A 04 24 74 5C 0F B6 04 24 88 83 F8 02 00 00 0F B6 83 F8 02 00 00 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 0F 95 C2 8B C3 8B 08 FF 91 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 88 02 00 00 8B 10 FF 52 14 85 C0 7E 19 8B C3 8B 10 FF 92 F8 00 00 00 40 75 0C 33 D2 8B C3 8B 08 FF 91 FC 00 00 00 5A 5B C3 00 00 A7 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_79213_0 {
	meta:
		name = "TCustomTrayIcon.Create"
		size = 434
		refs = "0018 @ClassCreate 0025 TCustomTrayIcon.Create 0034 TComponent.Create 003e @GetMem 0055 TCustomTrayIcon.SetBalloonTimeout 005c _Dn_TIcon 0061 TIcon.Create 007c _DV_TTimer 0081 TTimer.Create 009b TTimer.SetEnabled 00aa TTimer.SetOnTimer 00b7 TTimer.SetInterval 00d0 @FillChar 00d5 _NOTIFYICONDATAW.SizeOf 00e6 AllocateHWnd 00f4 Application 00fb TApplication.GetTitle 010b StrPLCopy 0126 TIcon.GetHandle 016d TCustomTrayIcon.Refresh 0187 @UStrArrayClr 018d @HandleFinally 019c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F4 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? B8 BC 03 00 00 E8 ?? ?? ?? ?? 89 43 4C C6 43 38 00 C6 43 44 00 BA 10 27 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 48 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 5C 33 C0 89 43 64 C6 43 68 00 C6 43 45 00 8B 43 5C 33 D2 E8 ?? ?? ?? ?? 53 8B 03 8B 40 4C 50 8B 43 5C E8 ?? ?? ?? ?? 8B 43 5C BA E8 03 00 00 E8 ?? ?? ?? ?? F6 43 1C 10 0F 85 AC 00 00 00 8B 43 4C 33 C9 BA BC 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 4C 89 02 53 8B 03 8B 40 48 50 E8 ?? ?? ?? ?? 8B 73 4C 89 46 04 8D 55 F8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F8 8D 46 18 B9 7F 00 00 00 E8 ?? ?? ?? ?? 8B 43 4C 8B 50 04 89 50 08 C7 80 20 03 00 00 10 27 00 00 8B 43 48 E8 ?? ?? ?? ?? 8B 73 4C 89 46 14 C7 46 0C 03 00 00 00 C7 46 10 01 04 00 00 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 07 8B 43 4C 83 48 0C 04 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79214_0 {
	meta:
		name = "TCustomTrayIcon.Destroy"
		size = 102
		refs = "0003 @BeforeDestruction 0019 TCustomTrayIcon.Refresh 0024 DeallocateHWnd 002c TObject.Free 0049 @FreeMem 0054 TComponent.Destroy 005f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 F6 46 1C 10 75 17 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 46 4C 8B 40 04 E8 ?? ?? ?? ?? 8B 46 48 E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? 8B 46 5C E8 ?? ?? ?? ?? 8B 46 4C BA BC 03 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79215_0 {
	meta:
		name = "TCustomTrayIcon.SetVisible"
		size = 196
		refs = "000f TCustomTrayIcon.SetVisible 0040 TCustomTrayIcon.SetDefaultIcon 0055 TCustomTrayIcon.Refresh 0075 STrayIconRemoveError 007a LoadResString 0084 _Dn_EOutOfResources 0089 Exception.Create 008e @RaiseExcept 009e TTimer.SetEnabled 00b3 @UStrClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 5E 68 0F 84 80 00 00 00 88 5E 68 80 7E 38 00 74 12 80 7E 38 00 74 13 8B 46 48 8B 10 FF 52 20 84 C0 74 07 8B C6 E8 ?? ?? ?? ?? F6 46 1C 10 75 58 80 7E 68 00 74 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 37 F6 46 1C 01 75 31 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7E 38 00 74 0A 8B D3 8B 46 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79216_0 {
	meta:
		name = "TCustomTrayIcon.SetIconList"
		size = 56
		refs = "0021 TCustomImageList.GetIcon 002a TCustomTrayIcon.SetDefaultIcon 0031 TCustomTrayIcon.Refresh"
	strings:
		$1 = { 53 56 8B D8 3B 53 54 74 2C 8B F2 89 73 54 F6 43 1C 10 75 21 85 F6 74 0F 8B 4B 48 8B 53 64 8B C6 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79217_0 {
	meta:
		name = "TCustomTrayIcon.SetHint"
		size = 91
		refs = "000c CompareStr 001a @UStrAsg 002d StrPLCopy 0054 TCustomTrayIcon.Refresh"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 60 E8 ?? ?? ?? ?? 85 C0 74 44 8D 43 60 8B D6 E8 ?? ?? ?? ?? 8B 43 4C 83 C0 18 B9 7F 00 00 00 8B 53 60 E8 ?? ?? ?? ?? 8B 43 60 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 09 8B 43 4C 83 48 0C 04 EB 07 8B 43 4C 83 60 0C FB 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79218_0 {
	meta:
		name = "TCustomTrayIcon.GetAnimateInterval"
		size = 7
	strings:
		$1 = { 8B 40 5C 8B 40 38 C3 }
	condition:
		$1
}

rule function_79220_0 {
	meta:
		name = "TCustomTrayIcon.SetAnimate"
		size = 88
		refs = "001f TCustomImageList.GetCount 0033 TTimer.SetEnabled"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 5E 38 74 48 88 5E 38 F6 46 1C 10 75 3F 8B 7E 54 85 FF 74 1B 8B C7 E8 ?? ?? ?? ?? 85 C0 7E 10 80 7E 68 00 74 0A 8B D3 8B 46 5C E8 ?? ?? ?? ?? 80 7E 38 00 75 17 8B 46 48 8B 10 FF 52 20 84 C0 75 0B 8B 56 48 8B 46 50 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79222_0 {
	meta:
		name = "TCustomTrayIcon.WindowProc"
		size = 828
		refs = "003f TCustomTrayIcon.Refresh 006a TCustomTrayIcon.WindowProc 00d2 ShiftState 00da GetCursorPos 021f Application 022d SetForegroundWindow 0239 TApplication.ProcessMessages 0314 TCustomTrayIcon.RM_TaskbarCreated"
	strings:
		$1 = { 53 56 83 C4 F8 8B CA 8B D8 8B 01 83 E8 11 74 11 83 E8 05 74 18 2D EB 03 00 00 74 2C E9 EF 02 00 00 C7 41 0C 01 00 00 00 E9 FC 02 00 00 83 79 04 00 0F 84 F2 02 00 00 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? E9 E1 02 00 00 8B 41 08 99 3D 06 02 00 00 7F 33 0F 84 02 02 00 00 05 00 FE FF FF 83 F8 05 0F 87 C2 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D 09 02 00 00 7F 1D 0F 84 C8 01 00 00 2D 07 02 00 00 0F 84 DE 01 00 00 48 0F 84 16 02 00 00 E9 7F 02 00 00 05 FD FB FF FF 83 E8 02 0F 82 3E 02 00 00 0F 84 41 02 00 00 E9 66 02 00 00 66 83 BB 92 00 00 00 00 0F 84 58 02 00 00 E8 ?? ?? ?? ?? 8B F0 54 E8 ?? ?? ?? ?? 8B 04 24 50 8B 44 24 08 50 8B CE 8B D3 8B 83 94 00 00 00 FF 93 90 00 00 00 E9 2D 02 00 00 66 83 BB 8A 00 00 00 00 74 2F E8 ?? ?? ?? ?? 8B F0 66 0B 35 ?? ?? ?? ?? 54 E8 ?? ?? ?? ?? 56 8B 44 24 04 50 8B 44 24 0C 50 33 C9 8B D3 8B 83 8C 00 00 00 FF 93 88 00 00 00 C6 43 45 01 E9 EB 01 00 00 E8 ?? ?? ?? ?? 8B F0 66 0B 35 ?? ?? ?? ?? 54 E8 ?? ?? ?? ?? 80 7B 45 00 74 13 66 83 7B 7A 00 74 0C 8B D3 8B 43 7C FF 53 78 C6 43 45 00 66 83 BB 9A 00 00 00 00 0F 84 B0 01 00 00 56 8B 44 24 04 50 8B 44 24 0C 50 33 C9 8B D3 8B 83 9C 00 00 00 FF 93 98 00 00 00 E9 90 01 00 00 66 83 BB 8A 00 00 00 00 0F 84 82 01 00 00 E8 ?? ?? ?? ?? 8B F0 66 0B 35 ?? ?? ?? ?? 54 E8 ?? ?? ?? ?? 56 8B 44 24 04 50 8B 44 24 0C 50 B1 01 8B D3 8B 83 8C 00 00 00 FF 93 88 00 00 00 E9 4E 01 00 00 E8 ?? ?? ?? ?? 8B F0 66 0B 35 ?? ?? ?? ?? 54 E8 ?? ?? ?? ?? 66 83 BB 9A 00 00 00 00 74 1B 56 8B 44 24 04 50 8B 44 24 0C 50 B1 01 8B D3 8B 83 9C 00 00 00 FF 93 98 00 00 00 83 7B 58 00 0F 84 0B 01 00 00 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 43 58 C6 40 69 00 8B 53 04 89 50 6C 8B 4C 24 04 8B 14 24 8B 18 FF 53 50 E9 CE 00 00 00 66 83 BB 82 00 00 00 00 0F 84 C0 00 00 00 8B D3 8B 83 84 00 00 00 FF 93 80 00 00 00 E9 AD 00 00 00 66 83 BB 8A 00 00 00 00 0F 84 9F 00 00 00 E8 ?? ?? ?? ?? 8B F0 66 0B 35 ?? ?? ?? ?? 54 E8 ?? ?? ?? ?? 56 8B 44 24 04 50 8B 44 24 0C 50 B1 02 8B D3 8B 83 8C 00 00 00 FF 93 88 00 00 00 EB 6E 66 83 BB 9A 00 00 00 00 74 64 E8 ?? ?? ?? ?? 8B F0 66 0B 35 ?? ?? ?? ?? 54 E8 ?? ?? ?? ?? 56 8B 44 24 04 50 8B 44 24 0C 50 B1 02 8B D3 8B 83 9C 00 00 00 FF 93 98 00 00 00 EB 33 8B 43 4C 83 60 0C EF EB 2A 66 83 7B 72 00 74 23 8B D3 8B 43 74 FF 53 70 EB 19 8B 01 3B 05 ?? ?? ?? ?? 75 0F 80 7B 68 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 08 00 00 00 10 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_79223_0 {
	meta:
		name = "TCustomTrayIcon.Refresh"
		size = 43
		refs = "000d TIcon.GetHandle 0025 TCustomTrayIcon.Refresh"
	strings:
		$1 = { 53 8B D8 F6 43 1C 10 75 20 8B 43 48 E8 ?? ?? ?? ?? 8B 53 4C 89 42 14 80 7B 68 00 74 0C BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79224_0 {
	meta:
		name = "TCustomTrayIcon.Refresh"
		size = 25
		refs = "000c Shell_NotifyIcon"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 4C 50 56 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_79225_0 {
	meta:
		name = "TCustomTrayIcon.SetIconIndex"
		size = 47
		refs = "0021 TCustomImageList.GetIcon 0028 TCustomTrayIcon.Refresh"
	strings:
		$1 = { 53 56 8B D8 3B 53 64 74 23 8B F2 89 73 64 F6 43 1C 10 75 18 8B 43 54 85 C0 74 0A 8B 4B 48 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79226_0 {
	meta:
		name = "TCustomTrayIcon.DoOnAnimate"
		size = 80
		refs = "0026 TCustomImageList.GetCount 0049 TCustomTrayIcon.Refresh"
	strings:
		$1 = { 53 56 8B D8 66 83 BB A2 00 00 00 00 74 0E 8B D3 8B 83 A4 00 00 00 FF 93 A0 00 00 00 8B 73 54 85 F6 74 1A 8B C6 E8 ?? ?? ?? ?? 48 3B 43 64 7E 0D 8B 53 64 42 8B C3 8B 08 FF 51 44 EB 09 33 D2 8B C3 8B 08 FF 51 44 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79227_0 {
	meta:
		name = "TCustomTrayIcon.SetIcon"
		size = 36
		refs = "001d TCustomTrayIcon.Refresh"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 50 8B 08 FF 51 08 8B D6 8B 43 48 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79228_0 {
	meta:
		name = "TCustomTrayIcon.SetBalloonHint"
		size = 66
		refs = "000c CompareStr 001a @UStrAsg 002f StrPLCopy 003b TCustomTrayIcon.Refresh"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 3C E8 ?? ?? ?? ?? 85 C0 74 2B 8D 43 3C 8B D6 E8 ?? ?? ?? ?? 8B 43 4C 05 20 01 00 00 B9 FF 00 00 00 8B 53 3C E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79229_0 {
	meta:
		name = "TCustomTrayIcon.SetDefaultIcon"
		size = 58
		refs = "001d Application 0034 TCustomTrayIcon.Refresh"
	strings:
		$1 = { 53 8B D8 8B 43 50 8B 10 FF 52 20 84 C0 75 0D 8B 53 50 8B 43 48 8B 08 FF 51 08 EB 15 A1 ?? ?? ?? ?? 8B 00 8B 90 A4 00 00 00 8B 43 48 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79230_0 {
	meta:
		name = "TCustomTrayIcon.SetBalloonTimeout"
		size = 10
	strings:
		$1 = { 8B 40 4C 89 90 20 03 00 00 C3 }
	condition:
		$1
}

rule function_79231_0 {
	meta:
		name = "TCustomTrayIcon.GetBalloonTimeout"
		size = 10
	strings:
		$1 = { 8B 40 4C 8B 80 20 03 00 00 C3 }
	condition:
		$1
}

rule function_79232_0 {
	meta:
		name = "TCustomTrayIcon.GetData"
		size = 19
	strings:
		$1 = { 56 57 8B 40 4C 8B F0 8B FA B9 EF 00 00 00 F3 A5 5F 5E C3 }
	condition:
		$1
}

rule function_79233_0 {
	meta:
		name = "TCustomTrayIcon.Notification"
		size = 54
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 77 58 75 0A 80 FB 01 75 05 33 C0 89 47 58 3B 77 54 75 0A 80 FB 01 75 05 33 C0 89 47 54 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79234_0 {
	meta:
		name = "TCustomTrayIcon.ShowBalloonHint"
		size = 31
		refs = "001a TCustomTrayIcon.Refresh"
	strings:
		$1 = { 8B 50 4C 83 4A 0C 10 0F B6 50 44 8B 48 4C 89 91 A4 03 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79235_0 {
	meta:
		name = "TCustomTrayIcon.SetBalloonTitle"
		size = 66
		refs = "000c CompareStr 001a @UStrAsg 002f StrPLCopy 003b TCustomTrayIcon.Refresh"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 40 E8 ?? ?? ?? ?? 85 C0 74 2B 8D 43 40 8B D6 E8 ?? ?? ?? ?? 8B 43 4C 05 24 03 00 00 B9 3F 00 00 00 8B 53 40 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79236_0 {
	meta:
		name = "TCategoryPanelSurface.Create"
		size = 88
		refs = "000a @ClassCreate 0017 TCustomTransparentControl.Create 0020 TControl.SetAlign 0029 TCategoryPanelSurface.Create 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 05 8B C6 E8 ?? ?? ?? ?? 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 C6 86 80 02 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 00 00 84 00 }
	condition:
		$1
}

rule function_79237_0 {
	meta:
		name = "TCategoryPanelSurface.CreateParams"
		size = 16
		refs = "0006 TCustomTransparentControl.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 83 63 08 DF 5B C3 }
	condition:
		$1
}

rule function_79238_0 {
	meta:
		name = "TCustomCategoryPanel.Create"
		size = 256
		refs = "000e @ClassCreate 001c TCustomPanel.Create 0025 TCustomPanel.SetBevelOuter 00b8 TControl.SetHeight 00cd TCustomPanel.SetShowCaption 00d6 TCustomCategoryPanel.Create 00e6 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? C6 83 99 02 00 00 00 C6 83 98 02 00 00 00 C7 83 9C 02 00 00 FF FF FF FF C7 83 A0 02 00 00 FF FF FF FF C7 83 A4 02 00 00 FF FF FF FF C7 83 A8 02 00 00 C8 00 00 00 C7 83 AC 02 00 00 FF FF FF FF C7 83 B0 02 00 00 FF FF FF FF C7 83 B4 02 00 00 FF FF FF FF C6 83 C8 02 00 00 00 C6 83 D0 02 00 00 00 8B C3 8B 10 FF 92 18 01 00 00 8B CB B2 01 FF 50 38 8B F0 89 B3 F8 02 00 00 8B C6 8B D3 8B 08 FF 91 84 00 00 00 BA C8 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 E4 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 80 00 }
	condition:
		$1
}

rule function_79239_0 {
	meta:
		name = "TCustomCategoryPanel.Destroy"
		size = 72
		refs = "0003 @BeforeDestruction 0018 TCustomCategoryPanelGroup.RemovePanel 002b TObject.Free 0036 TCustomControl.Destroy 0041 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 CC 02 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8D 86 F8 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79240_0 {
	meta:
		name = "TCustomCategoryPanel.CalcRectBounds"
		size = 577
		refs = "000a StyleServices 0042 ThemedChevronState 0061 TCanvas.GetHandle 006b TCustomStyleServices.GetElementSize 0086 TCustomCategoryPanel.UsingImageList 00cd ChevronState 0133 TCustomCategoryPanel.GetHeaderHeight 014e @CallDynaInst 0160 AdjustedAlignment 01ae Rect 01e8 TCustomStyleServices.GetIsSystemStyle"
	strings:
		$1 = { 53 56 57 55 83 C4 CC 8B D8 E8 ?? ?? ?? ?? 8B F8 8B 83 CC 02 00 00 80 B8 BC 02 00 00 02 75 64 8B C7 8B 10 FF 52 48 84 C0 74 59 6A 01 8D 44 24 04 50 0F B6 83 99 02 00 00 0F B6 93 C8 02 00 00 8D 14 55 ?? ?? ?? ?? 0F B6 14 02 8D 4C 24 20 8B C7 8B 30 FF 56 60 8D 44 24 20 50 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? 8B 44 24 04 89 44 24 10 8B 04 24 89 44 24 0C E9 98 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1C 8B 83 CC 02 00 00 8B 80 C4 02 00 00 8B 50 38 89 54 24 10 8B 40 3C 89 44 24 0C EB 71 8B C7 8B 10 FF 52 48 84 C0 74 56 6A 01 8D 44 24 04 50 0F B6 83 99 02 00 00 0F B6 93 C8 02 00 00 8D 14 55 ?? ?? ?? ?? 0F B6 14 02 8D 4C 24 20 8B C7 8B 30 FF 56 60 8D 44 24 20 50 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? 8B 44 24 04 89 44 24 10 8B 04 24 89 44 24 0C EB 10 C7 44 24 10 10 00 00 00 C7 44 24 0C 10 00 00 00 8D 54 24 24 8B C3 8B 08 FF 51 60 8B 44 24 2C 89 44 24 14 33 ED 8B C3 E8 ?? ?? ?? ?? 2B 44 24 10 D1 F8 79 03 83 D0 00 48 89 44 24 08 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 8B 93 CC 02 00 00 0F B6 92 98 02 00 00 E8 ?? ?? ?? ?? 2C 01 72 08 74 0D FE C8 74 16 EB 23 BD 04 00 00 00 EB 1C 8B 6C 24 14 2B 6C 24 0C 83 ED 04 EB 0F 8B 6C 24 14 2B 6C 24 0C D1 FD 79 03 83 D5 00 8B 44 24 10 03 44 24 08 50 8D 44 24 28 50 8B 4C 24 14 03 CD 8B 54 24 10 8B C5 E8 ?? ?? ?? ?? 57 8D 74 24 28 8D BB B8 02 00 00 A5 A5 A5 A5 5F 8B 83 CC 02 00 00 80 B8 BC 02 00 00 02 75 25 80 BB 99 02 00 00 00 74 1C 8B C7 8B 10 FF 52 48 84 C0 74 11 8B C7 E8 ?? ?? ?? ?? 84 C0 74 06 FF 83 BC 02 00 00 8B C3 E8 ?? ?? ?? ?? 48 50 8D 44 24 28 50 8B B3 C0 02 00 00 2B B3 B8 02 00 00 8B 4C 24 1C 2B CE 83 E9 04 83 E9 04 8B C6 83 C0 04 83 C0 04 33 D2 E8 ?? ?? ?? ?? 8D 74 24 24 8D BB D4 02 00 00 A5 A5 A5 A5 83 C4 34 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79241_0 {
	meta:
		name = "TCustomCategoryPanel.CMControlListChanging"
		size = 76
		refs = "002d TWinControl.InsertControl 0045 TWinControl.CMControlListChanging"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7E 08 00 74 34 8B 46 04 3B 58 04 75 2C 8B 46 04 8B 00 3B 83 F8 02 00 00 74 1F 8B 46 04 8B 10 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 8B 46 04 8B 93 F8 02 00 00 89 50 04 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79242_0 {
	meta:
		name = "TCustomCategoryPanel.CNKeyDown"
		size = 88
		refs = "0028 TCustomCategoryPanel.Expand 002f TCustomCategoryPanel.Collapse 0053 TWinControl.CNKeyDown"
	strings:
		$1 = { 0F B7 4A 04 66 83 E9 0D 74 14 66 83 E9 13 74 0E 66 83 E9 05 74 1E 66 83 E9 02 74 27 EB 34 80 B8 99 02 00 00 00 74 07 E8 ?? ?? ?? ?? EB 29 E8 ?? ?? ?? ?? C3 80 B8 99 02 00 00 00 75 1A E8 ?? ?? ?? ?? C3 80 B8 99 02 00 00 00 74 0B E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79243_0 {
	meta:
		name = "TCustomCategoryPanel.Collapse"
		size = 212
		refs = "0026 TCustomCategoryPanel.Collapse 003c TWinControl.GetHandle 0042 ShowWindow 0052 TControl.SetAlign 0080 TControl.SetHeight 008e TWinControl.Realign 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 80 B8 99 02 00 00 00 0F 85 B8 00 00 00 8B 45 FC C6 80 98 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 FC 8B 80 F8 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F8 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC C6 80 99 02 00 00 01 8B 45 FC 8B 40 54 8B 55 FC 89 82 A8 02 00 00 8B 45 FC 8B 10 FF 92 1C 01 00 00 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 98 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 66 83 B8 EA 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 EC 02 00 00 FF 93 E8 02 00 00 5B 59 5D C3 }
	condition:
		$1
}

rule function_79244_0 {
	meta:
		name = "TCustomCategoryPanel.DefineProperties"
		size = 116
		refs = "000b TWinControl.DefineProperties 0011 TCustomCategoryPanel.ReadExpandedHeight 0017 TCustomCategoryPanel.WriteExpandedHeight 0037 TCustomCategoryPanel.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 80 BB 99 02 00 00 00 74 0C 81 BB A8 02 00 00 C8 00 00 00 75 04 33 C9 EB 02 B1 01 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 45 00 78 00 70 00 61 00 6E 00 64 00 65 00 64 00 48 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_79245_0 {
	meta:
		name = "TCustomCategoryPanel.DrawCollapsedPanel"
		size = 372
		refs = "0019 TCustomCategoryPanel.GetHeaderHeight 0030 StyleServices 005b TCustomStyleServices.GetElementColor 007a TBrush.SetColor 00de TPen.SetColor"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F2 8B F8 8D 54 24 04 8B C7 8B 08 FF 51 60 8B C7 E8 ?? ?? ?? ?? 89 44 24 08 8B C7 8B 10 FF 92 1C 01 00 00 89 44 24 10 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 48 84 C0 74 30 54 8D 4C 24 18 B2 02 8B C3 8B 28 FF 95 B0 00 00 00 8D 54 24 18 B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 81 3C 24 FF FF FF 1F 74 05 8B 04 24 EB 03 8B 47 74 8B D0 8B 46 48 E8 ?? ?? ?? ?? 8D 54 24 04 8B C6 8B 08 FF 51 54 83 44 24 08 02 83 44 24 04 05 83 6C 24 0C 05 8B C3 8B 10 FF 52 48 84 C0 74 30 54 8D 4C 24 18 B2 03 8B C3 8B 38 FF 97 B0 00 00 00 8D 54 24 18 B1 04 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 81 3C 24 FF FF FF 1F 74 05 8B 04 24 EB 05 B8 14 00 00 FF 8B D0 8B 46 44 E8 ?? ?? ?? ?? 8B 7C 24 08 8B CF 8B 54 24 04 8B C6 8B 28 FF 55 64 8B CF 8B 54 24 0C 8B C6 8B 38 FF 57 60 FF 44 24 08 8B C3 8B 10 FF 52 48 84 C0 74 30 54 8D 4C 24 18 B2 03 8B C3 8B 38 FF 97 B0 00 00 00 8D 54 24 18 B1 05 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 81 3C 24 FF FF FF 1F 74 05 8B 04 24 EB 05 B8 10 00 00 FF 8B D0 8B 46 44 E8 ?? ?? ?? ?? 8B 5C 24 08 8B CB 8B 54 24 04 8B C6 8B 38 FF 57 64 8B CB 8B 54 24 0C 8B C6 8B 18 FF 53 60 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79246_0 {
	meta:
		name = "TCustomCategoryPanel.DrawHeader"
		size = 97
		refs = "000d TWinControl.GetHandle 0013 GetWindowDC 001e TCustomCategoryPanel.DrawHeader 0051 ReleaseDC 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 08 FF 91 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 59 59 5D C3 }
	condition:
		$1
}

rule function_79247_0 {
	meta:
		name = "TCustomCategoryPanel.DrawHeader"
		size = 177
		refs = "001a _Dn_TCanvas 001f TCanvas.Create 002a TCustomCategoryPanel.DrawHeader 003a TCanvas.SetHandle 00a0 TObject.Free 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 83 BB CC 02 00 00 00 0F 84 95 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 FC 00 00 00 8B 55 FC 8B C3 8B 08 FF 91 0C 01 00 00 8B 55 FC 8B C3 8B 08 FF 91 14 01 00 00 8B 55 FC 8B C3 8B 08 FF 91 10 01 00 00 80 BB 99 02 00 00 00 74 0D 8B 55 FC 8B C3 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79248_0 {
	meta:
		name = "DrawGradientHeader"
		size = 234
		refs = "006f TCustomStyleServices.GetElementColor 00df GradientFillCanvas"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B 45 08 8B 40 F8 8B 80 CC 02 00 00 8B 98 A4 02 00 00 8B B0 A8 02 00 00 8B 45 08 8B 40 F4 8B 10 FF 52 48 84 C0 0F 84 85 00 00 00 8D 4D F4 8B 45 08 8B 40 F4 B2 03 8B 38 FF 57 60 8B 45 08 8B 55 F4 89 50 E8 8B 55 F8 89 50 EC 8B 55 FC 89 50 F0 8B 45 08 83 C0 FC 50 8B 45 08 8D 50 E8 8B 45 08 8B 40 F4 B1 09 E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 08 81 78 FC FF FF FF 1F 74 06 8B 45 08 8B 58 FC 8B 45 08 83 C0 FC 50 8B 45 08 8D 50 E8 8B 45 08 8B 40 F4 B1 0A E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 08 81 78 FC FF FF FF 1F 74 06 8B 45 08 8B 70 FC 8B 45 08 83 C0 D4 50 8B 45 08 8B 40 F8 8B 80 CC 02 00 00 0F B6 80 AC 02 00 00 50 8B 45 08 8B 40 E4 8B CE 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79249_0 {
	meta:
		name = "TCustomCategoryPanel.DrawHeaderBackground"
		size = 303
		refs = "001d TCustomCategoryPanel.GetHeaderHeight 0025 StyleServices 0052 DrawGradientHeader 0086 TCustomStyleServices.GetElementColor 00a1 TBrush.SetColor 00de TCanvas.GetHandle 00e9 TCustomStyleServices.DrawElement"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 89 55 E4 89 45 F8 8D 55 D4 8B 45 F8 8B 08 FF 51 60 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E0 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 8B 80 CC 02 00 00 0F B6 90 BC 02 00 00 80 EA 01 72 0F 0F 84 BC 00 00 00 FE CA 74 11 E9 D9 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 CD 00 00 00 8B 45 F4 8B 10 FF 52 48 84 C0 0F 84 8E 00 00 00 8D 4D E8 B2 02 8B 45 F4 8B 18 FF 53 60 8D 45 FC 50 B1 01 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 19 81 7D FC FF FF FF 1F 74 10 8B 45 E4 8B 40 48 8B 55 FC E8 ?? ?? ?? ?? EB 11 8B 45 F8 8B 50 74 8B 45 E4 8B 40 48 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 E4 8B 08 FF 51 54 8D 45 D4 50 6A 00 8D 4D C8 B2 04 8B 45 F4 8B 18 FF 53 60 8D 45 C8 50 8B 45 E4 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 59 E8 ?? ?? ?? ?? 84 C0 75 38 55 E8 ?? ?? ?? ?? 59 EB 2F 55 E8 ?? ?? ?? ?? 59 EB 26 8B 80 B4 02 00 00 8B 70 0C 85 F6 74 12 8B CE 8D 55 D4 8B 45 E4 8B 18 FF 93 88 00 00 00 EB 07 55 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79250_0 {
	meta:
		name = "TCustomCategoryPanel.DrawHeaderCaption"
		size = 406
		refs = "0019 TCustomCategoryPanel.DrawHeaderCaption 0032 TCanvas.SetFont 003c TBrush.SetStyle 004a Alignments 005f TControl.DrawTextBiDiModeFlags 0067 StyleServices 0080 TControl.GetText 0093 TTextFormatFlags.&op_Implicit 00b8 Parts 00ce TCanvas.GetHandle 00d9 TCustomStyleServices.DrawText 0118 @UStrToPWChar 011f DrawText 012a @CallDynaInst 0135 TCustomCategoryPanel.GetHeaderHeight 0152 Rect 017b @UStrClr 0189 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 C9 89 4D D4 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 CC 02 00 00 8B 90 B0 02 00 00 8B C7 E8 ?? ?? ?? ?? B2 01 8B 47 48 E8 ?? ?? ?? ?? 0F B6 83 80 02 00 00 8B 04 85 ?? ?? ?? ?? 83 C8 64 0D 00 80 00 00 89 45 F8 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 89 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 10 FF 52 48 84 C0 74 65 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 83 D4 02 00 00 50 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 68 FF FF FF 1F 8B 83 CC 02 00 00 80 B8 BC 02 00 00 02 0F 94 C0 83 E0 7F 0F B6 90 ?? ?? ?? ?? 8D 4D C8 8B 45 F4 8B 30 FF 56 60 8D 45 C8 50 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 59 E8 ?? ?? ?? ?? EB 44 8B C7 E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B C3 E8 ?? ?? ?? ?? C7 45 F0 FF FF FF FF 8D 83 D4 02 00 00 89 45 EC 8B 45 F8 89 45 E8 8B 45 E8 50 8B 45 EC 50 8B 45 F0 50 8B 45 FC E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B C3 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 74 38 8B C3 E8 ?? ?? ?? ?? 83 E8 03 50 8D 45 D8 50 8B 4B 50 83 E9 04 BA 02 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B 47 48 E8 ?? ?? ?? ?? 8D 55 D8 8B C7 8B 08 FF 51 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79251_0 {
	meta:
		name = "TCustomCategoryPanel.DrawHeaderChevron"
		size = 796
		refs = "000c StyleServices 0046 ThemedChevron 0061 TCanvas.GetHandle 006b TCustomStyleServices.DrawElement 0077 TCustomCategoryPanel.UsingImageList 011c TCustomImageList.Draw 0146 TCustomCategoryPanel.GetHeaderHeight 0173 @CallDynaInst 0185 AdjustedAlignment 0192 Chevron 01cc TRect.Create 0242 TCustomStyleServices.GetElementColor 025c TPen.SetColor 02fa ChevronDirection 0310 DrawChevron"
	strings:
		$1 = { 53 56 57 55 83 C4 D4 8B EA 8B D8 E8 ?? ?? ?? ?? 8B F8 8B 83 CC 02 00 00 80 B8 BC 02 00 00 02 75 53 8B C7 8B 10 FF 52 48 84 C0 74 48 8D 83 B8 02 00 00 50 6A 00 0F B6 83 99 02 00 00 0F B6 93 C8 02 00 00 8D 14 55 ?? ?? ?? ?? 0F B6 14 02 8D 4C 24 18 8B C7 8B 18 FF 53 60 8D 44 24 18 50 8B C5 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? E9 A0 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A2 00 00 00 80 BB 99 02 00 00 00 74 35 8B 83 A0 02 00 00 0F B6 93 C8 02 00 00 FE CA 74 06 FE CA 74 11 EB 51 8B 93 9C 02 00 00 83 FA FF 74 46 8B C2 EB 42 8B 93 A4 02 00 00 83 FA FF 74 37 8B C2 EB 33 8B 83 B0 02 00 00 0F B6 93 C8 02 00 00 FE CA 74 06 FE CA 74 11 EB 1C 8B 93 AC 02 00 00 83 FA FF 74 11 8B C2 EB 0D 8B 93 B4 02 00 00 83 FA FF 74 02 8B C2 83 F8 FF 0F 84 17 02 00 00 8B 93 BC 02 00 00 52 50 6A 01 8B 83 CC 02 00 00 8B 80 C4 02 00 00 8B 8B B8 02 00 00 8B D5 E8 ?? ?? ?? ?? E9 EF 01 00 00 8B 93 C0 02 00 00 8B 83 B8 02 00 00 2B D0 83 EA 06 D1 FA 79 03 83 D2 00 03 D0 4A 89 14 24 8B C3 E8 ?? ?? ?? ?? 83 E8 06 D1 F8 79 03 83 D0 00 89 44 24 04 80 BB 99 02 00 00 00 74 06 83 04 24 02 EB 05 83 44 24 04 02 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 8B 93 CC 02 00 00 0F B6 92 98 02 00 00 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 40 8D 04 45 ?? ?? ?? ?? 0F B6 93 99 02 00 00 8D 14 52 03 C2 0F B6 93 C8 02 00 00 0F B6 04 10 88 44 24 0C 8B C7 8B 10 FF 52 48 84 C0 74 49 6A 00 8D 54 24 04 B9 03 00 00 00 8D 44 24 20 E8 ?? ?? ?? ?? 8D 44 24 1C 50 6A 00 0F B6 54 24 14 8D 4C 24 18 8B C7 8B 30 FF 56 60 8D 44 24 18 50 8B C5 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? 84 C0 0F 85 0F 01 00 00 0F B6 83 C8 02 00 00 2C 01 72 09 2C 02 72 64 E9 BC 00 00 00 8B C7 8B 10 FF 52 48 84 C0 74 3E 8D 44 24 08 50 0F B6 54 24 10 8D 4C 24 14 8B C7 8B 30 FF 56 60 8D 54 24 14 B1 01 8B C7 E8 ?? ?? ?? ?? 84 C0 74 18 81 7C 24 08 FF FF FF 1F 74 0E 8B 45 44 8B 54 24 08 E8 ?? ?? ?? ?? EB 73 8B 83 CC 02 00 00 8B 90 9C 02 00 00 8B 45 44 E8 ?? ?? ?? ?? EB 5D 8B C7 8B 10 FF 52 48 84 C0 74 3E 8D 44 24 08 50 0F B6 54 24 10 8D 4C 24 14 8B C7 8B 30 FF 56 60 8D 54 24 14 B1 01 8B C7 E8 ?? ?? ?? ?? 84 C0 74 18 81 7C 24 08 FF FF FF 1F 74 0E 8B 45 44 8B 54 24 08 E8 ?? ?? ?? ?? EB 14 8B 83 CC 02 00 00 8B 90 A0 02 00 00 8B 45 44 E8 ?? ?? ?? ?? 6A 03 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 8B 93 CC 02 00 00 0F B6 92 98 02 00 00 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 45 ?? ?? ?? ?? 0F B6 93 99 02 00 00 0F B6 14 10 8D 4C 24 04 8B C5 E8 ?? ?? ?? ?? 83 C4 2C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79252_0 {
	meta:
		name = "TCustomCategoryPanel.Expand"
		size = 234
		refs = "0026 TCustomCategoryPanel.Expand 003c TControl.SetAlign 004c TWinControl.GetHandle 0052 ShowWindow 006d TControl.SetHeight 0081 TControlScrollBar.IsScrollBarVisible 0096 TScrollingWinControl.ScrollInView 00a4 TWinControl.Realign 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 80 B8 99 02 00 00 00 0F 84 CE 00 00 00 8B 45 FC C6 80 98 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F8 02 00 00 B2 05 E8 ?? ?? ?? ?? 6A 05 8B 45 FC 8B 80 F8 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC C6 80 99 02 00 00 00 8B 45 FC 8B 90 A8 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 CC 02 00 00 8B 80 90 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 1F 8B 45 FC 8B 80 CC 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 98 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 66 83 B8 F2 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 F4 02 00 00 FF 93 F0 02 00 00 5B 59 5D C3 }
	condition:
		$1
}

rule function_79254_0 {
	meta:
		name = "TCustomCategoryPanel.GetChildren"
		size = 68
		refs = "0013 TWinControl.GetControlCount 002d TWinControl.GetControl"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 80 F8 02 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1F 43 33 F6 8B 45 FC 8B 80 F8 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 46 4B 75 E4 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_79255_0 {
	meta:
		name = "TCustomCategoryPanel.GetCollapsedHeight"
		size = 15
		refs = "0006 TCustomCategoryPanel.GetHeaderHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C0 06 5B C3 }
	condition:
		$1
}

rule function_79256_0 {
	meta:
		name = "TCustomCategoryPanel.GetHeaderHeight"
		size = 20
	strings:
		$1 = { 8B 90 CC 02 00 00 85 D2 74 07 8B 82 B8 02 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_79257_0 {
	meta:
		name = "TCustomCategoryPanel.GetTabControlList"
		size = 12
		refs = "0006 @CallDynaInst"
	strings:
		$1 = { 56 66 BE B0 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_79258_0 {
	meta:
		name = "TCustomCategoryPanel.GetTabOrderList"
		size = 38
		refs = "0020 @CallDynaInst"
	strings:
		$1 = { 56 8B F0 80 BE 99 02 00 00 00 75 18 83 BE F8 02 00 00 00 74 0F 8B 86 F8 02 00 00 66 BE B0 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_79259_0 {
	meta:
		name = "TCustomCategoryPanel.Loaded"
		size = 42
		refs = "0006 TControl.Loaded 0024 TWinControl.FixupTabList"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB CC 02 00 00 00 74 0A 8B C3 8B 10 FF 92 FC 00 00 00 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79260_0 {
	meta:
		name = "TCustomCategoryPanel.ReadExpandedHeight"
		size = 22
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 83 A8 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79261_0 {
	meta:
		name = "TCustomCategoryPanel.ReadState"
		size = 49
		refs = "000e _DV_TCategoryPanelGroup 0013 @IsClass 0020 TCustomCategoryPanel.SetPanelGroup 0029 TWinControl.ReadState"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7E 2C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79262_0 {
	meta:
		name = "TCustomCategoryPanel.ResizeHeader"
		size = 96
		refs = "0015 TCustomCategoryPanel.ResizeHeader 002f TControl.SetHeight 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 80 98 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 54 2B D1 2B C2 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 98 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_79263_0 {
	meta:
		name = "TCustomCategoryPanel.SetBounds"
		size = 161
		refs = "0057 TCustomCategoryPanel.GetHeaderHeight 006d TWinControl.SetBounds 0094 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F0 8B 7D 08 8B 45 F8 3B 46 4C 74 15 83 BE CC 02 00 00 00 74 0C F6 46 5D 40 75 06 F6 46 1C 01 74 04 33 DB EB 02 B3 01 80 BE 98 02 00 00 00 75 33 3B 7E 54 74 2E 80 BE 99 02 00 00 00 74 06 F6 46 1C 01 74 31 8B C6 E8 ?? ?? ?? ?? 3B F8 7C 26 8B 45 0C 50 57 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 12 8B 45 0C 50 57 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0F 8B 86 CC 02 00 00 66 BE AE FF E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_79264_0 {
	meta:
		name = "TCustomCategoryPanel.SetCollapsed"
		size = 52
		refs = "001e TCustomCategoryPanel.Collapse 0027 TCustomCategoryPanel.Expand"
	strings:
		$1 = { 53 56 8B DA 8B F0 0F B6 86 99 02 00 00 3A D8 74 20 F6 46 1C 01 75 14 84 C0 75 09 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 88 9E 99 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79265_0 {
	meta:
		name = "TCustomCategoryPanel.SetCollapsedHotImageIndex"
		size = 69
		refs = "0039 TCustomCategoryPanel.UpdateButtonState 0040 TCustomCategoryPanel.UpdateHeader"
	strings:
		$1 = { 3B 90 9C 02 00 00 74 3C 89 90 9C 02 00 00 F6 40 1C 01 75 30 8B 88 CC 02 00 00 80 B9 BC 02 00 00 01 75 21 80 B8 99 02 00 00 00 74 18 80 B8 C8 02 00 00 01 75 0F 42 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79266_0 {
	meta:
		name = "TCustomCategoryPanel.SetCollapsedImageIndex"
		size = 69
		refs = "0039 TCustomCategoryPanel.UpdateButtonState 0040 TCustomCategoryPanel.UpdateHeader"
	strings:
		$1 = { 3B 90 A0 02 00 00 74 3C 89 90 A0 02 00 00 F6 40 1C 01 75 30 8B 88 CC 02 00 00 80 B9 BC 02 00 00 01 75 21 80 B8 99 02 00 00 00 74 18 80 B8 C8 02 00 00 00 75 0F 42 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79267_0 {
	meta:
		name = "TCustomCategoryPanel.SetCollapsedPressedImageIndex"
		size = 69
		refs = "0039 TCustomCategoryPanel.UpdateButtonState 0040 TCustomCategoryPanel.UpdateHeader"
	strings:
		$1 = { 3B 90 A4 02 00 00 74 3C 89 90 A4 02 00 00 F6 40 1C 01 75 30 8B 88 CC 02 00 00 80 B9 BC 02 00 00 01 75 21 80 B8 99 02 00 00 00 74 18 80 B8 C8 02 00 00 02 75 0F 42 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79268_0 {
	meta:
		name = "TCustomCategoryPanel.SetExpandedHotImageIndex"
		size = 69
		refs = "0039 TCustomCategoryPanel.UpdateButtonState 0040 TCustomCategoryPanel.UpdateHeader"
	strings:
		$1 = { 3B 90 AC 02 00 00 74 3C 89 90 AC 02 00 00 F6 40 1C 01 75 30 8B 88 CC 02 00 00 80 B9 BC 02 00 00 01 75 21 80 B8 99 02 00 00 00 75 18 80 B8 C8 02 00 00 01 75 0F 42 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79269_0 {
	meta:
		name = "TCustomCategoryPanel.SetExpandedImageIndex"
		size = 69
		refs = "0039 TCustomCategoryPanel.UpdateButtonState 0040 TCustomCategoryPanel.UpdateHeader"
	strings:
		$1 = { 3B 90 B0 02 00 00 74 3C 89 90 B0 02 00 00 F6 40 1C 01 75 30 8B 88 CC 02 00 00 80 B9 BC 02 00 00 01 75 21 80 B8 99 02 00 00 00 75 18 80 B8 C8 02 00 00 00 75 0F 42 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79270_0 {
	meta:
		name = "TCustomCategoryPanel.SetExpandedPressedImageIndex"
		size = 69
		refs = "0039 TCustomCategoryPanel.UpdateButtonState 0040 TCustomCategoryPanel.UpdateHeader"
	strings:
		$1 = { 3B 90 B4 02 00 00 74 3C 89 90 B4 02 00 00 F6 40 1C 01 75 30 8B 88 CC 02 00 00 80 B9 BC 02 00 00 01 75 21 80 B8 99 02 00 00 00 75 18 80 B8 C8 02 00 00 02 75 0F 42 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79271_0 {
	meta:
		name = "TCustomCategoryPanel.SetPanelGroup"
		size = 205
		refs = "0041 TWinControl.UpdateRecreatingFlag 0049 TCustomCategoryPanel.SetPanelGroup 0064 TCustomCategoryPanelGroup.RemovePanel 007f TCustomCategoryPanelGroup.InsertPanel 0096 TWinControl.RecreateWnd 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC 3B 98 CC 02 00 00 0F 84 AD 00 00 00 C6 45 FB 00 8B 45 FC F6 40 1C 01 75 1D 8B 45 FC F6 40 5D 20 0F 95 C0 88 45 FB 80 7D FB 00 75 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 CC 02 00 00 85 C0 74 08 8B 55 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 91 84 00 00 00 85 DB 74 21 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC F6 40 1C 01 75 0E 80 7D FB 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC F6 40 1C 01 75 10 80 7D FB 00 75 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79272_0 {
	meta:
		name = "TCustomCategoryPanel.SetParent"
		size = 126
		refs = "000f TCustomCategoryPanel.SetParent 001d _DV_TCustomCategoryPanelGroup 0022 @IsClass 002f TWinControl.SetParent 003f SInvalidCategoryPanelParent 0044 LoadResString 004e _Dn_EInvalidOperation 0053 Exception.Create 0058 @RaiseExcept 006d @UStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 27 F6 43 1C 08 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79273_0 {
	meta:
		name = "TCustomCategoryPanel.UpdateButtonState"
		size = 297
		refs = "002c TWinControl.GetHandle 0032 GetWindowDC 003d TCustomCategoryPanel.UpdateButtonState 004a _Dn_TCanvas 004f TCanvas.Create 006b TCanvas.SetHandle 00a6 TCanvas.GetHandle 00ac IntersectClipRect 00e7 TObject.Free 00ed @HandleFinally 010e ReleaseDC"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC 8B 45 FC 8B 80 CC 02 00 00 0F B6 80 BC 02 00 00 2C 02 72 0B 0F 84 F7 00 00 00 E9 FD 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 FC 00 00 00 8B 45 FC 8B 80 C4 02 00 00 50 8B 45 FC 8B 80 C0 02 00 00 50 8B 45 FC 8B 80 BC 02 00 00 50 8B 45 FC 8B 80 B8 02 00 00 50 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 91 0C 01 00 00 8B 55 F4 8B 45 FC 8B 08 FF 91 14 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC 8B 10 FF 92 04 01 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_79274_0 {
	meta:
		name = "TCustomCategoryPanel.UpdateControlOriginalParentSize"
		size = 41
		refs = "000b TWinControl.UpdateControlOriginalParentSize 001a TCustomCategoryPanel.GetHeaderHeight"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B CE 8B C3 E8 ?? ?? ?? ?? 8B 46 04 3B 43 54 75 0F 8B C3 E8 ?? ?? ?? ?? 8B 53 54 2B D0 89 56 04 5E 5B C3 }
	condition:
		$1
}

rule function_79275_0 {
	meta:
		name = "TCustomCategoryPanel.UpdateHeader"
		size = 35
		refs = "0013 TCustomPanel.SetAlignment"
	strings:
		$1 = { 53 8B D8 8B 83 CC 02 00 00 0F B6 90 AD 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 04 01 00 00 5B C3 }
	condition:
		$1
}

rule function_79276_0 {
	meta:
		name = "TCustomCategoryPanel.UsingImageList"
		size = 57
	strings:
		$1 = { 8B 90 CC 02 00 00 83 BA C4 02 00 00 00 74 24 80 B8 99 02 00 00 00 75 09 83 B8 B0 02 00 00 FF 75 15 80 B8 99 02 00 00 00 74 09 83 B8 A0 02 00 00 FF 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_79277_0 {
	meta:
		name = "TCustomCategoryPanel.WMKillFocus"
		size = 22
		refs = "0006 TWinControl.WMKillFocus"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 04 01 00 00 5E C3 }
	condition:
		$1
}

rule function_79280_0 {
	meta:
		name = "TCustomCategoryPanel.WMNCPaint"
		size = 22
		refs = "0006 TWinControl.WMNCPaint"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 04 01 00 00 5E C3 }
	condition:
		$1
}

rule function_79278_0 {
	meta:
		name = "TCustomCategoryPanel.WMNCCalcSize"
		size = 52
		refs = "000b TWinControl.WMNCCalcSize 0027 TCustomCategoryPanel.GetHeaderHeight"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 99 02 00 00 00 74 0C 8B C3 8B 10 FF 92 1C 01 00 00 EB 07 8B C3 E8 ?? ?? ?? ?? 8B 56 08 01 42 04 5E 5B C3 }
	condition:
		$1
}

rule function_79279_0 {
	meta:
		name = "TCustomCategoryPanel.WMNCMouseLeave"
		size = 42
		refs = "0024 TCustomCategoryPanel.UpdateButtonState"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 C6 86 D0 02 00 00 00 80 BE C8 02 00 00 00 74 0E C6 86 C8 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_79281_0 {
	meta:
		name = "TCustomCategoryPanel.WMPaint"
		size = 146
		refs = "0010 TStyleManager.GetIsCustomStyleActive 001d TCustomControl.WMPaint 0036 GetWindowOrgEx 0060 SetWindowOrgEx 006b TCustomCategoryPanel.GetHeaderHeight"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 83 7E 04 00 74 09 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 6A 8B 56 04 8B C3 8B 08 FF 91 08 01 00 00 54 8B 46 04 50 E8 ?? ?? ?? ?? 80 BB 99 02 00 00 00 74 23 6A 00 8B C3 8B 10 FF 92 1C 01 00 00 8B 54 24 08 2B D0 52 8B 44 24 08 50 8B 46 04 50 E8 ?? ?? ?? ?? EB 1E 6A 00 8B C3 E8 ?? ?? ?? ?? 8B 54 24 08 2B D0 52 8B 44 24 08 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_79282_0 {
	meta:
		name = "TCustomCategoryPanel.WMSetCursor"
		size = 210
		refs = "003f TCustomCategoryPanel.Expand 004b TCustomCategoryPanel.Collapse 005b TCustomCategoryPanel.UpdateButtonState 008f TWinControl.GetHandle 00a8 _TrackMouseEvent 00c8 TWinControl.WMSetCursor"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 66 83 7E 08 00 0F 85 AF 00 00 00 0F B7 46 0A 66 2D 00 02 74 56 66 FF C8 74 2E 66 FF C8 0F 85 97 00 00 00 C6 83 C8 02 00 00 01 80 BB 99 02 00 00 00 74 0C 8B C3 E8 ?? ?? ?? ?? E9 84 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 7B C6 83 C8 02 00 00 02 8B C3 E8 ?? ?? ?? ?? 80 BB F0 01 00 00 00 74 64 8B C3 8B 10 FF 92 F4 00 00 00 EB 58 80 BB D0 02 00 00 00 75 2F C6 83 D0 02 00 00 01 C7 44 24 04 12 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 44 24 08 C7 44 24 0C FF FF FF FF C7 04 24 10 00 00 00 54 E8 ?? ?? ?? ?? 80 BB C8 02 00 00 00 75 0E C6 83 C8 02 00 00 01 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_79283_0 {
	meta:
		name = "TCustomCategoryPanel.WMSetFocus"
		size = 91
		refs = "0006 TWinControl.WMSetFocus 0017 TControlScrollBar.IsScrollBarVisible 0028 TScrollingWinControl.ScrollInView 004b TControlScrollBar.SetPosition"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 CC 02 00 00 8B 80 90 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 30 8B D6 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 56 4C 85 D2 7D 1C 8B 86 CC 02 00 00 8B 80 90 02 00 00 8B C8 8B 40 0C 03 C2 8B D0 8B C1 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 04 01 00 00 5E C3 }
	condition:
		$1
}

rule function_79284_0 {
	meta:
		name = "TCustomCategoryPanel.WndProc"
		size = 398
		refs = "001c TStyleManager.GetIsCustomStyleActive 0029 StyleServices 0057 _Dn_TCanvas 005c TCanvas.Create 006d TCanvas.SetHandle 0075 TCustomCategoryPanel.WndProc 00a2 TCustomStyleServices.GetElementColor 00bd TBrush.SetColor 00ce TCustomStyleServices.GetSystemColor 00e2 TControl.GetClientHeight 00ee TControl.GetClientWidth 00f9 Rect 0123 TObject.Free 0129 @HandleFinally 0141 TWinControl.WndProc 015f TWinControl.HandleAllocated 016a TCustomCategoryPanel.UpdateHeader 0184 TWinControl.RecreateWnd"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 89 55 FC 8B D8 8B 45 FC 8B 00 83 E8 14 0F 85 20 01 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 13 01 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 0F 84 01 01 00 00 80 BB 68 02 00 00 00 0F 84 E8 00 00 00 8B 45 FC 83 78 04 00 0F 84 DB 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 55 FC 8B 52 04 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 E8 ?? ?? ?? ?? 8D 4D E8 B2 02 8B 30 FF 96 B0 00 00 00 8D 45 E8 50 E8 ?? ?? ?? ?? B1 01 5A E8 ?? ?? ?? ?? 84 C0 74 19 81 7D F4 FF FF FF 1F 74 10 8B 45 F8 8B 40 48 8B 55 F4 E8 ?? ?? ?? ?? EB 1C E8 ?? ?? ?? ?? BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 48 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8D 45 D8 50 8B C3 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F8 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC C7 40 0C 01 00 00 00 EB 4D 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 00 2D 0D B0 00 00 74 1F 83 E8 05 75 32 F6 43 1C 01 75 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 8B C3 E8 ?? ?? ?? ?? EB 18 F6 43 1C 01 75 12 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79285_0 {
	meta:
		name = "TCustomCategoryPanel.WriteExpandedHeight"
		size = 13
		refs = "0008 TWriter.WriteInteger"
	strings:
		$1 = { 8B 80 A8 02 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79287_0 {
	meta:
		name = "TCustomCategoryPanelGroup.Create"
		size = 300
		refs = "000e @ClassCreate 001c TScrollingWinControl.Create 0025 TControl.SetAlign 002e TWinControl.SetBorderWidth 003a TControl.SetColor 003f TCustomCategoryPanelGroup.Create 0084 _Dn_TFont 0089 TFont.Create 00a0 _Dn_TPicture 00a5 TPicture.Create 00b9 _Dn_TChangeLink 00be TObject.Create 00d0 TCustomCategoryPanelGroup.ImageListChange 00d7 _Dn_TList 00ee TControl.SetHeight 00fa TControl.SetWidth 0111 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 03 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA A0 A0 A4 00 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 58 C6 83 98 02 00 00 00 33 C0 89 83 9C 02 00 00 C7 83 A0 02 00 00 80 80 80 00 C7 83 A4 02 00 00 F0 F0 F0 00 C7 83 A8 02 00 00 C0 C0 C0 00 C6 83 AC 02 00 00 01 C6 83 AD 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B0 02 00 00 C7 83 B8 02 00 00 18 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B4 02 00 00 C6 83 BC 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C0 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 C8 02 00 00 BA 5E 01 00 00 8B C3 E8 ?? ?? ?? ?? BA C8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 90 02 00 00 C6 40 1D 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 AB 00 28 00 }
	condition:
		$1
}

rule function_79288_0 {
	meta:
		name = "TCustomCategoryPanelGroup.Destroy"
		size = 158
		refs = "0005 @BeforeDestruction 0027 TList.Get 0046 TObject.Free 008a TScrollingWinControl.Destroy 0095 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 85 C8 02 00 00 8B 70 08 4E 85 F6 7C 1C 46 33 FF 8B 85 C8 02 00 00 8B D7 E8 ?? ?? ?? ?? 33 D2 89 90 CC 02 00 00 47 4E 75 E7 8D 85 B0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 85 B4 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 85 C0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 85 C8 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79289_0 {
	meta:
		name = "TCustomCategoryPanelGroup.CMColorChanged"
		size = 69
		refs = "0008 TWinControl.CMColorChanged 000f TWinControl.HandleAllocated 0031 TList.Get"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2A 8B 83 C8 02 00 00 8B 70 08 4E 85 F6 7C 1C 46 33 FF 8B D7 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 9C 00 00 00 47 4E 75 E7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79290_0 {
	meta:
		name = "TCustomCategoryPanelGroup.CMControlListChanging"
		size = 66
		refs = "001b _DV_TCustomCategoryPanel 0020 @IsClass 002a SInvalidCategoryPanelGroupChild 0031 _Dn_Exception 0036 Exception.CreateRes 003b @RaiseExcept"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 7B 08 00 74 33 8B 43 04 3B 70 04 75 2B 8B 43 04 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79291_0 {
	meta:
		name = "TCustomCategoryPanelGroup.CMDoubleBufferedChanged"
		size = 28
		refs = "0006 TWinControl.CMDoubleBufferedChanged 0016 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB F2 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80918_0 {
	meta:
		name = "TCustomGrid.CMShowingChanged"
		size = 28
		refs = "0006 TWinControl.CMShowingChanged 0016 TCustomGrid.UpdateScrollRange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB F2 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79292_0 {
	meta:
		name = "TCustomCategoryPanelGroup.CreatePanel"
		size = 53
		refs = "002b TCustomCategoryPanel.SetPanelGroup"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 8B 10 FF 92 04 01 00 00 8B CF B2 01 FF 50 38 8B D8 8B D6 8B C3 8B 08 FF 91 84 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79293_0 {
	meta:
		name = "TCustomCategoryPanelGroup.CreateParams"
		size = 45
		refs = "0006 TScrollingWinControl.CreateParams 000b StyleServices"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 14 01 00 00 A8 01 74 09 81 43 08 00 02 00 00 5B C3 81 4B 04 00 00 80 00 5B C3 }
	condition:
		$1
}

rule function_79294_0 {
	meta:
		name = "TCustomCategoryPanelGroup.CollapseAll"
		size = 48
		refs = "001f TList.Get 0024 TCustomCategoryPanel.Collapse"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 C8 02 00 00 8B 58 08 4B 85 DB 7C 19 43 33 F6 8B 87 C8 02 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79317_0 {
	meta:
		name = "TCustomCategoryPanelGroup.UpdatePanelHeaders"
		size = 48
		refs = "001f TList.Get 0024 TCustomCategoryPanel.UpdateHeader"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 C8 02 00 00 8B 58 08 4B 85 DB 7C 19 43 33 F6 8B 87 C8 02 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79295_0 {
	meta:
		name = "TCustomCategoryPanelGroup.CreateWnd"
		size = 27
		refs = "0006 TScrollingWinControl.CreateWnd 0015 TScrollingWinControl.SetAutoScroll"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 01 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79296_0 {
	meta:
		name = "TCustomCategoryPanelGroup.ExpandAll"
		size = 61
		refs = "001f TList.Get 0024 TCustomCategoryPanel.Expand 0035 TControlScrollBar.SetPosition"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 C8 02 00 00 8B 58 08 4B 85 DB 7C 19 43 33 F6 8B 87 C8 02 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EA 8B 87 90 02 00 00 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79299_0 {
	meta:
		name = "TCustomCategoryPanelGroup.InsertPanel"
		size = 117
		refs = "000f TList.Add 002a TControl.SetTop 0045 TControl.SetLeft 004e TControl.SetAlign 005c TCustomPanel.SetAlignment"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 89 9E CC 02 00 00 8B 83 C8 02 00 00 83 78 08 01 75 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 10 8B 83 90 02 00 00 8B 50 10 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 0F B6 93 AD 02 00 00 8B C6 E8 ?? ?? ?? ?? F6 43 1C 01 75 0C 8B D6 8B C3 8B 08 FF 91 FC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79301_0 {
	meta:
		name = "TCustomCategoryPanelGroup.Notification"
		size = 52
		refs = "0010 TWinControl.Notification 002c TCustomCategoryPanelGroup.UpdatePanelHeaders"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 3B B7 C4 02 00 00 75 14 80 FB 01 75 0F 33 C0 89 87 C4 02 00 00 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79302_0 {
	meta:
		name = "ComparePanels"
		size = 26
	strings:
		$1 = { 8B 40 4C 8B CA 2B 41 4C 85 C0 7E 0D 8B 91 CC 02 00 00 C6 82 CC 02 00 00 01 C3 }
	condition:
		$1
}

rule function_79303_0 {
	meta:
		name = "TCustomCategoryPanelGroup.ReorderPanels"
		size = 264
		refs = "0015 ComparePanels 0023 TList.Sort 003b TWinControl.DisableAlign 0043 TCustomCategoryPanelGroup.ReorderPanels 007f TWinControl.UpdateRecreatingFlag 009e TList.Get 00aa TWinControl.RemoveControl 00b4 TWinControl.InsertControl 00d7 @HandleFinally 00f7 TWinControl.EnableAlign"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 45 FC 8B 45 FC C6 80 CC 02 00 00 00 BA ?? ?? ?? ?? 8B 45 FC 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 CC 02 00 00 00 0F 84 CC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 C8 02 00 00 8B 40 08 48 83 F8 00 0F 8C 83 00 00 00 89 45 F8 8B 45 FC F6 40 5D 20 0F 95 C0 88 45 F7 80 7D F7 00 75 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 C8 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F7 00 75 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 FF 4D F8 83 7D F8 FF 75 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79304_0 {
	meta:
		name = "TCustomCategoryPanelGroup.RemovePanel"
		size = 41
		refs = "0019 TList.RemoveItem 0022 TWinControl.RemoveControl"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 89 86 CC 02 00 00 8B 83 C8 02 00 00 8B D6 33 C9 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79305_0 {
	meta:
		name = "TCustomCategoryPanelGroup.SetChevronAlignment"
		size = 26
		refs = "0015 TCustomCategoryPanelGroup.UpdatePanelHeaders"
	strings:
		$1 = { 3A 90 98 02 00 00 74 11 88 90 98 02 00 00 F6 40 1C 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79306_0 {
	meta:
		name = "TCustomCategoryPanelGroup.SetChevronColor"
		size = 26
		refs = "0015 TCustomCategoryPanelGroup.UpdatePanelHeaders"
	strings:
		$1 = { 3B 90 9C 02 00 00 74 11 89 90 9C 02 00 00 F6 40 1C 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79307_0 {
	meta:
		name = "TCustomCategoryPanelGroup.SetChevronHotColor"
		size = 26
		refs = "0015 TCustomCategoryPanelGroup.UpdatePanelHeaders"
	strings:
		$1 = { 3B 90 A0 02 00 00 74 11 89 90 A0 02 00 00 F6 40 1C 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94658_0 {
	meta:
		name = "TCustomTeePanel.SetBorderRound"
		size = 26
		refs = "0015 TCustomTeePanel.SetControlRounded"
	strings:
		$1 = { 3B 90 A0 02 00 00 74 11 89 90 A0 02 00 00 F6 40 1C 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79308_0 {
	meta:
		name = "TCustomCategoryPanelGroup.SetGradientBaseColor"
		size = 26
		refs = "0015 TCustomCategoryPanelGroup.UpdatePanelHeaders"
	strings:
		$1 = { 3B 90 A4 02 00 00 74 11 89 90 A4 02 00 00 F6 40 1C 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79309_0 {
	meta:
		name = "TCustomCategoryPanelGroup.SetGradientColor"
		size = 26
		refs = "0015 TCustomCategoryPanelGroup.UpdatePanelHeaders"
	strings:
		$1 = { 3B 90 A8 02 00 00 74 11 89 90 A8 02 00 00 F6 40 1C 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79310_0 {
	meta:
		name = "TCustomCategoryPanelGroup.SetGradientDirection"
		size = 26
		refs = "0015 TCustomCategoryPanelGroup.UpdatePanelHeaders"
	strings:
		$1 = { 3A 90 AC 02 00 00 74 11 88 90 AC 02 00 00 F6 40 1C 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79311_0 {
	meta:
		name = "TCustomCategoryPanelGroup.SetHeaderAlignment"
		size = 20
		refs = "000f TCustomCategoryPanelGroup.UpdatePanelHeaders"
	strings:
		$1 = { 3A 90 AD 02 00 00 74 0B 88 90 AD 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84898_0 {
	meta:
		name = "TCustomMemo.SetWordWrap"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 AD 02 00 00 74 0B 88 90 AD 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79312_0 {
	meta:
		name = "TCustomCategoryPanelGroup.SetHeaderFont"
		size = 29
		refs = "0017 TCustomCategoryPanelGroup.UpdatePanelHeaders"
	strings:
		$1 = { 56 8B F0 8B 86 B0 02 00 00 8B 08 FF 51 08 F6 46 1C 01 75 07 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_79313_0 {
	meta:
		name = "TCustomCategoryPanelGroup.SetHeaderHeight"
		size = 85
		refs = "001a TWinControl.HandleAllocated 003a TList.Get 0047 TCustomCategoryPanel.ResizeHeader"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 B8 02 00 00 3B D0 74 42 8B F8 89 93 B8 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2F 8B 83 C8 02 00 00 8B 70 08 4E 83 FE 00 7C 20 8B D6 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 8B 8B B8 02 00 00 8B D7 E8 ?? ?? ?? ?? 4E 83 FE FF 75 E0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79314_0 {
	meta:
		name = "TCustomCategoryPanelGroup.SetHeaderImage"
		size = 37
		refs = "001e TCustomCategoryPanelGroup.UpdatePanelHeaders"
	strings:
		$1 = { 56 57 8B F0 8B BE B4 02 00 00 3B D7 74 14 8B C7 8B 08 FF 51 08 F6 46 1C 01 75 07 8B C6 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_79315_0 {
	meta:
		name = "TCustomCategoryPanelGroup.SetHeaderStyle"
		size = 26
		refs = "0015 TCustomCategoryPanelGroup.UpdatePanelHeaders"
	strings:
		$1 = { 3A 90 BC 02 00 00 74 11 88 90 BC 02 00 00 F6 40 1C 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79316_0 {
	meta:
		name = "TCustomCategoryPanelGroup.SetImages"
		size = 111
		refs = "001c TCustomImageList.UnRegisterChanges 0033 TCustomImageList.RegisterChanges 0040 TComponent.FreeNotification 005e TList.Get 0063 TCustomCategoryPanel.UpdateHeader"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 83 C4 02 00 00 3B F0 74 5A 85 C0 74 0B 8B 93 C0 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 C4 02 00 00 85 C0 74 18 8B 93 C0 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 C4 02 00 00 E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 8B 70 08 4E 85 F6 7C 19 46 33 FF 8B D7 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 EA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79318_0 {
	meta:
		name = "TCustomCategoryPanelGroup.WMEraseBkgnd"
		size = 194
		refs = "000e StyleServices 003f TCustomStyleServices.GetElementColor 0055 CreateSolidBrush 0060 TCustomCategoryPanelGroup.WMEraseBkgnd 0084 FillRect 009a DeleteObject 00a0 @HandleFinally 00b8 TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 89 55 FC 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 0F 84 93 00 00 00 8D 45 F4 50 E8 ?? ?? ?? ?? 8D 4D E8 B2 02 8B 30 FF 56 60 8D 45 E8 50 E8 ?? ?? ?? ?? B1 01 5A E8 ?? ?? ?? ?? 84 C0 74 6B 81 7D F4 FF FF FF 1F 74 62 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8D 55 D8 8B C3 8B 08 FF 51 60 8D 45 D8 50 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC C7 40 0C 01 00 00 00 EB 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79320_0 {
	meta:
		name = "TCustomCategoryPanelGroup.WMPaint"
		size = 203
		refs = "0017 TWinControl.WMPaint 0023 _Dn_TCanvas 0028 TCanvas.Create 0033 TCustomCategoryPanelGroup.WMPaint 0044 TCanvas.SetHandle 0060 InflateRect 006e TBrush.SetColor 0086 GetWindowOrgEx 009b SetWindowOrgEx 00b9 TObject.Free 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 8B DA 8B F0 83 7B 04 00 75 0E 8B D3 8B C6 E8 ?? ?? ?? ?? E9 A5 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 04 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 E4 8B C6 8B 08 FF 51 60 8D 45 E4 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 56 74 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F4 8B 08 FF 51 54 8D 45 F8 50 8B 43 04 50 E8 ?? ?? ?? ?? 6A 00 8B 45 FC 48 50 8B 45 F8 48 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79324_0 {
	meta:
		name = "TCustomLinkLabel.Create"
		size = 110
		refs = "000a @ClassCreate 0017 TWinControl.Create 0044 TControl.SetWidth 0050 TControl.SetHeight 005b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 78 02 00 00 00 C6 86 79 02 00 00 01 C6 86 7A 02 00 00 00 33 D2 8B C6 8B 08 FF 91 E8 00 00 00 BA 35 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 11 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_79325_0 {
	meta:
		name = "TCustomLinkLabel.CNCtlColorStatic"
		size = 84
		refs = "0007 StyleServices 001b SetBkMode 0028 TWinControl.GetHandle 0037 TCustomStyleServices.DrawParentBackground 003e GetStockObject"
	strings:
		$1 = { 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 34 6A 01 8B 43 04 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 4B 04 5A E8 ?? ?? ?? ?? 6A 05 E8 ?? ?? ?? ?? 89 43 0C 5E 5B C3 8B D3 8B C6 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_79326_0 {
	meta:
		name = "TCustomLinkLabel.AdjustBounds"
		size = 609
		refs = "0020 TCustomLinkLabel.AdjustBounds 004f CheckWin32Version 006a TWinControl.HandleAllocated 0080 TWinControl.GetHandle 008f SendGetStructMessage 0096 GetSystemMetrics 00d0 GetDC 00ec TFont.GetHandle 00f6 SelectObject 0134 TCustomLinkLabel.ParseLinks 014e @UStrLAsg 015b @UStrToPWChar 0162 GetTextExtentPoint32 016f TControl.GetText 01ce @HandleFinally 01e8 ReleaseDC 023a @UStrClr 024f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 D2 89 55 D8 89 55 FC 89 55 F8 89 55 F0 89 55 F4 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC F6 40 1C 01 0F 85 F2 01 00 00 8B 45 EC 80 B8 79 02 00 00 00 0F 84 E2 01 00 00 33 D2 B8 06 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 76 8B 45 EC 8B 10 FF 92 F8 00 00 00 84 C0 74 67 8B 45 EC E8 ?? ?? ?? ?? 84 C0 0F 84 B3 01 00 00 8D 45 DC 50 6A 00 8B 45 EC E8 ?? ?? ?? ?? B9 FF FF FF 7F BA 01 07 00 00 E8 ?? ?? ?? ?? 6A 05 E8 ?? ?? ?? ?? 03 C0 03 C0 03 45 DC 50 6A 06 E8 ?? ?? ?? ?? 03 C0 03 C0 03 45 E0 50 8B 45 EC 8B 48 4C 8B 45 EC 8B 50 48 8B 45 EC 8B 18 FF 93 A4 00 00 00 E9 5C 01 00 00 6A 00 E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 40 6C E8 ?? ?? ?? ?? 50 8B 45 E8 50 E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 4A 8B 45 EC 8B 10 FF 92 F8 00 00 00 84 C0 74 3B 8D 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8B 75 E8 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 DC 50 53 8B 45 F8 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? EB 4A 8D 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8D 55 D8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D8 89 45 D4 8B 5D D4 85 DB 74 05 83 EB 04 8B 1B 8B 75 E8 8D 45 F4 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 DC 50 53 8B 45 F4 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 50 8B 45 E8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 6A 05 E8 ?? ?? ?? ?? 03 C0 03 C0 03 45 DC 50 6A 06 E8 ?? ?? ?? ?? 03 C0 03 C0 03 45 E0 50 8B 45 EC 8B 48 4C 8B 45 EC 8B 50 48 8B 45 EC 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79327_0 {
	meta:
		name = "TCustomLinkLabel.CreateParams"
		size = 200
		refs = "000c TWinControl.CreateParams 001b CheckWin32Version 0032 TCustomLinkLabel.CreateParams 003b TWinControl.CreateSubClass 0046 @CallDynaInst 0050 LinkAlignments 0068 VisualStyles 008d TextAlignments"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 4B 8B C3 8B 10 FF 92 F8 00 00 00 84 C0 74 3D B9 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 83 E0 7F 8D 04 C5 ?? ?? ?? ?? 0F B6 93 78 02 00 00 8B 04 90 0F B6 93 7A 02 00 00 0B 04 95 ?? ?? ?? ?? EB 2D B9 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 83 E0 7F 8D 04 C5 ?? ?? ?? ?? 0F B6 93 78 02 00 00 8B 04 90 09 47 04 83 67 24 FE 5F 5E 5B C3 00 00 53 00 79 00 73 00 4C 00 69 00 6E 00 6B 00 00 00 53 00 54 00 41 00 54 00 49 00 43 00 00 00 00 00 }
	condition:
		$1
}

rule function_79331_0 {
	meta:
		name = "TCustomLinkLabel.CMNotify"
		size = 238
		refs = "002d TCustomLinkLabel.CMNotify 0069 @UStrFromWArray 0097 TCustomLinkLabel.DoOnLinkClick 00db @UStrArrayClr 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 81 C4 3C FF FF FF 53 56 57 33 C9 89 8D 3C EF FF FF 89 8D 40 EF FF FF 89 8D 44 EF FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 42 08 8B 48 08 83 E9 FC 74 05 83 E9 02 75 7B 8D 70 0C 8D BD 48 EF FF FF B9 2E 04 00 00 F3 A5 8D 85 44 EF FF FF 8D 95 58 EF FF FF B9 30 00 00 00 E8 ?? ?? ?? ?? 83 BD 44 EF FF FF 00 75 27 8D 85 40 EF FF FF 8D 95 B8 EF FF FF B9 24 08 00 00 E8 ?? ?? ?? ?? 8B 95 40 EF FF FF 33 C9 8B C3 E8 ?? ?? ?? ?? EB 25 8D 85 3C EF FF FF 8D 95 58 EF FF FF B9 30 00 00 00 E8 ?? ?? ?? ?? 8B 95 3C EF FF FF B1 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 3C EF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79332_0 {
	meta:
		name = "TCustomLinkLabel.DoOnLinkClick"
		size = 32
	strings:
		$1 = { 53 66 83 B8 82 02 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 84 02 00 00 FF 93 80 02 00 00 5B C3 }
	condition:
		$1
}

rule function_79333_0 {
	meta:
		name = "TCustomLinkLabel.ParseLinks"
		size = 820
		refs = "001b TCustomLinkLabel.ParseLinks 002b TControl.GetText 0049 @UStrClr 0073 @UStrSetLength 00e9 @UniqueStringU 02f6 @UStrArrayClr 0304 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0D 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 8B 45 D0 89 45 CC 8B 45 CC 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0D 8B 45 FC E8 ?? ?? ?? ?? E9 8E 02 00 00 8D 55 C8 8B C6 E8 ?? ?? ?? ?? 8B 45 C8 89 45 CC 8B 45 CC 85 C0 74 05 83 E8 04 8B 00 8B 55 FC 92 E8 ?? ?? ?? ?? BB 01 00 00 00 C6 45 F3 00 33 C0 89 45 EC 8D 55 C4 8B C6 E8 ?? ?? ?? ?? 8B 45 C4 89 45 CC 8B 45 CC 85 C0 74 05 83 E8 04 8B 00 89 45 F8 3B 5D F8 0F 8F 28 02 00 00 8D 55 C0 8B C6 E8 ?? ?? ?? ?? 8B 45 C0 0F B7 44 58 FE 66 83 E8 3C 0F 85 DD 01 00 00 8B FB 3B 5D F8 75 2A FF 45 EC 8D 55 BC 8B C6 E8 ?? ?? ?? ?? 8B 45 BC 0F B7 5C 58 FE 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 66 89 5C 50 FE E9 DB 01 00 00 47 80 7D F3 00 0F 85 EE 00 00 00 8D 55 B8 8B C6 E8 ?? ?? ?? ?? 8B 45 B8 0F B7 44 78 FE 66 89 45 E6 B8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 0F B7 55 E6 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 88 45 DF 80 7D DF 00 0F 84 81 00 00 00 EB 01 47 8D 55 B4 8B C6 E8 ?? ?? ?? ?? 8B 45 B4 66 83 7C 78 FE 3E 74 05 3B 7D F8 7E E5 3B 7D F8 7E 53 8B C7 2B C3 48 85 C0 7C 40 40 89 45 E8 C7 45 F4 00 00 00 00 8D 55 B0 8B C6 E8 ?? ?? ?? ?? 8B 45 B0 8B D3 03 55 F4 0F B7 44 50 FE 50 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 42 03 55 F4 59 66 89 4C 50 FE FF 45 F4 FF 4D E8 75 CB 2B FB 01 7D EC E9 19 01 00 00 8D 5F 01 C6 45 F3 01 E9 04 01 00 00 FF 45 EC 8D 55 AC 8B C6 E8 ?? ?? ?? ?? 8B 45 AC 0F B7 7C 58 FE 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 66 89 7C 50 FE 43 E9 D9 00 00 00 8D 55 A8 8B C6 E8 ?? ?? ?? ?? 8B 45 A8 66 83 7C 78 FE 2F 75 40 8D 55 A4 8B C6 E8 ?? ?? ?? ?? 8B 45 A4 0F B7 04 78 66 89 45 DC B8 ?? ?? ?? ?? 89 45 D8 8B 45 D8 0F B7 55 DC 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 88 45 D7 0F B6 45 D7 88 45 D6 EB 04 C6 45 D6 00 80 7D D6 00 74 19 8D 55 A0 8B C6 E8 ?? ?? ?? ?? 8B 45 A0 66 83 7C 78 02 3E 0F 94 45 D5 EB 04 C6 45 D5 00 80 7D D5 00 74 09 83 C3 04 C6 45 F3 00 EB 4E FF 45 EC 8D 55 9C 8B C6 E8 ?? ?? ?? ?? 8B 45 9C 0F B7 7C 58 FE 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 66 89 7C 50 FE 43 EB 26 FF 45 EC 8D 55 98 8B C6 E8 ?? ?? ?? ?? 8B 45 98 0F B7 7C 58 FE 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 66 89 7C 50 FE 43 3B 5D F8 0F 8E D8 FD FF FF 8B 45 FC 8B 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 BA 0D 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 00 00 02 00 00 00 02 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_79334_0 {
	meta:
		name = "TCustomLinkLabel.SetAlignment"
		size = 37
		refs = "0014 TWinControl.HandleAllocated 001f TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 78 02 00 00 74 18 88 93 78 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79335_0 {
	meta:
		name = "TCustomLinkLabel.SetAutoSize"
		size = 24
		refs = "0013 TCustomLinkLabel.AdjustBounds"
	strings:
		$1 = { 3A 90 79 02 00 00 74 0F 88 90 79 02 00 00 84 D2 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85201_0 {
	meta:
		name = "TCustomStaticText.SetAutoSize"
		size = 24
		refs = "0013 TCustomStaticText.AdjustBounds"
	strings:
		$1 = { 3A 90 79 02 00 00 74 0F 88 90 79 02 00 00 84 D2 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79336_0 {
	meta:
		name = "TCustomLinkLabel.SetUseVisualStyle"
		size = 37
		refs = "0014 TWinControl.HandleAllocated 001f TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 7A 02 00 00 74 18 88 93 7A 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79337_0 {
	meta:
		name = "IsLinkLabelSupported"
		size = 71
		refs = "0002 ManifestResourceTested 000e MainInstance 0016 FindResource 001f ManifestResourcePresent 0034 StyleServices"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 00 75 21 6A 18 6A 01 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 85 C0 0F 95 05 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 80 3D ?? ?? ?? ?? 00 74 0E E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_79339_0 {
	meta:
		name = "TLinkLabelStyleHook.Create"
		size = 79
		refs = "000a @ClassCreate 0017 TStyleHook.Create 0020 StyleServices 0027 TCustomStyleServices.GetStyleColor 0031 TBrush.SetColor 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 16 01 E8 ?? ?? ?? ?? B2 1D E8 ?? ?? ?? ?? 8B D0 8B 46 04 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_79343_0 {
	meta:
		name = "Vcl.ExtCtrls"
		size = 112
		refs = "0002 _DV_05 000a _Dn_TControl 000f StartClassGroup 0019 ActivateClassGroup 0024 _DV_TTimer 0029 GroupDescendentsWith 0034 _DV_TCustomTrayIcon 003e Vcl.ExtCtrls 0043 RegisterWindowMessage 0048 TCustomTrayIcon.RM_TaskbarCreated"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 43 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 00 00 00 54 00 61 00 73 00 6B 00 62 00 61 00 72 00 43 00 72 00 65 00 61 00 74 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_79344_0 {
	meta:
		name = "TSilentPaintPanel.WMPaint"
		size = 133
		refs = "0015 TSilentPaintPanel.WMPaint 0031 TCustomControl.WMPaint 0040 @HandleAnyException 0048 SInvalidImage 004d LoadResString 0058 TControl.SetText 005d @DoneExcept 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79345_0 {
	meta:
		name = "TOpenPictureDialog.Create"
		size = 976
		refs = "0016 @ClassCreate 0023 TOpenPictureDialog.Create 0032 TOpenDialog.Create 003a _Dn_TGraphic 003f GraphicFilter 004a @UStrAsg 0053 _Dn_TPanel 0058 TCustomPanel.Create 0075 TControl.SetText 009c TCustomPanel.SetBevelOuter 00a8 TCustomPanel.SetBorderWidth 00b3 TWinControl.SetTabOrder 00bc _Dn_TLabel 00c1 TCustomLabel.Create 0102 TControl.SetAlign 0124 _Dn_TSpeedButton 0129 TSpeedButton.Create 0168 TSpeedButton.GetGlyph 0173 HInstance 0178 TBitmap.LoadFromResourceName 0183 SPreviewLabel 0188 LoadResString 0191 TControl.SetParentShowHint 019a TControl.SetShowHint 01c4 _DV_TSilentPaintPanel 0216 TCustomPanel.SetBevelInner 0231 _Dn_TImage 0236 TImage.Create 0291 TImage.SetProportional 029a TImage.SetStretch 02a3 TImage.SetCenter 02bf @UStrClr 02c5 @HandleFinally 02d4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 43 78 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D0 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 33 D2 8B C6 E8 ?? ?? ?? ?? 68 A9 00 00 00 68 C8 00 00 00 B9 05 00 00 00 BA CC 00 00 00 8B C6 8B 38 FF 97 A4 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? BA 06 00 00 00 8B C6 E8 ?? ?? ?? ?? 66 BA 01 00 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D4 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 33 D2 8B C6 E8 ?? ?? ?? ?? 68 9D 00 00 00 6A 17 B9 06 00 00 00 BA 06 00 00 00 8B C6 8B 38 FF 97 A4 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 78 8B 93 D0 00 00 00 8B C6 8B 08 FF 91 84 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D8 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 6A 17 6A 16 B9 01 00 00 00 BA 4D 00 00 00 8B C6 8B 38 FF 97 A4 00 00 00 33 D2 8B C6 8B 08 FF 91 80 00 00 00 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 96 88 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 89 9E 1C 01 00 00 8B 03 8B 40 5C 89 86 18 01 00 00 8B 93 D0 00 00 00 8B C6 8B 08 FF 91 84 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 DC 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 33 D2 8B C6 E8 ?? ?? ?? ?? 68 9D 00 00 00 68 91 00 00 00 B9 1D 00 00 00 BA 06 00 00 00 8B C6 8B 38 FF 97 A4 00 00 00 B2 05 8B C6 E8 ?? ?? ?? ?? B2 02 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 E0 00 00 00 8B 93 D0 00 00 00 8B C6 8B 08 FF 91 84 00 00 00 8B B3 E0 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 B2 05 8B C6 E8 ?? ?? ?? ?? 89 9E 24 01 00 00 8B 03 8B 40 5C 89 86 20 01 00 00 8B 93 DC 00 00 00 8B C6 8B 08 FF 91 84 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? C6 86 CA 01 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 69 00 63 00 74 00 75 00 72 00 65 00 50 00 61 00 6E 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 69 00 63 00 74 00 75 00 72 00 65 00 4C 00 61 00 62 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 72 00 65 00 76 00 69 00 65 00 77 00 42 00 75 00 74 00 74 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 52 00 45 00 56 00 49 00 45 00 57 00 47 00 4C 00 59 00 50 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 50 00 61 00 69 00 6E 00 74 00 50 00 61 00 6E 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 69 00 6E 00 74 00 42 00 6F 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_79346_0 {
	meta:
		name = "GetFileNameFromLink"
		size = 302
		refs = "0025 GetFileNameFromLink 0035 @IntfClear 003b IID_IShellLinkW 0045 CLSID_ShellLink 004b CoCreateInstance 0062 IID_IPersistFile 006a Supports 007b @UStrToPWChar 00a9 @UStrSetLength 00e4 Trim 00f2 @UStrAsg 010a @UStrClr 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 9C FD FF FF 53 56 33 DB 89 9D 9C FD FF FF 89 5D FC 89 5D F8 89 4D F0 8B F2 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 6A 01 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 85 9F 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 80 00 00 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 14 85 C0 75 69 6A 00 8B 45 F4 50 8B 45 FC 50 8B 00 FF 50 4C 85 C0 75 56 8B 45 F0 BA 04 01 00 00 E8 ?? ?? ?? ?? 6A 02 8D 85 A0 FD FF FF 50 68 04 01 00 00 8B 45 F0 8B 00 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 0C 85 C0 0F 94 C3 84 DB 74 1E 8D 95 9C FD FF FF 8B 45 F0 8B 00 E8 ?? ?? ?? ?? 8B 95 9C FD FF FF 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 9C FD FF FF E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79347_0 {
	meta:
		name = "ValidFile"
		size = 18
		refs = "0008 FileGetAttr"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 40 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_79348_0 {
	meta:
		name = "TOpenPictureDialog.DoSelectionChange"
		size = 592
		refs = "0019 TOpenPictureDialog.DoSelectionChange 002a TOpenDialog.GetFileName 003b @UStrEqual 0051 @UStrAsg 005b FileExists 0067 ValidFile 0080 ExtractFileExt 008d CompareText 00a4 GetFileNameFromLink 00b5 @UStrLAsg 00e2 TPicture.LoadFromFile 00ee SPictureDesc 00f3 LoadResString 010b TPicture.GetWidth 0126 TPicture.GetHeight 013b Format 014c TControl.SetText 017e @HandleAnyException 0185 @DoneExcept 0191 SPictureLabel 01ca TImage.SetPicture 01d2 srNone 01f0 TOpenDialog.DoSelectionChange 020a @UStrArrayClr 022a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 8B 92 E4 00 00 00 E8 ?? ?? ?? ?? 0F 84 A7 01 00 00 8B 45 F4 05 E4 00 00 00 8B 55 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 84 DB 74 40 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 24 8B 45 F4 8B 10 FF 52 44 8D 4D F8 8B 55 FC E8 ?? ?? ?? ?? 8B D8 84 DB 74 0B 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 84 DB 0F 84 C8 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 80 E0 00 00 00 8B 80 B8 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 F4 8B 80 E0 00 00 00 8B 80 B8 01 00 00 E8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 00 8B 45 F4 8B 80 E0 00 00 00 8B 80 B8 01 00 00 E8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 00 8D 55 D8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 D8 00 00 00 B2 01 8B 08 FF 91 80 00 00 00 8B 45 F4 8B 80 DC 00 00 00 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 84 DB 75 5F 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 F4 8B 80 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 D8 00 00 00 33 D2 8B 08 FF 91 80 00 00 00 8B 45 F4 8B 80 E0 00 00 00 33 D2 E8 ?? ?? ?? ?? 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F4 8B 80 DC 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 6C 00 6E 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_79349_0 {
	meta:
		name = "TOpenPictureDialog.DoClose"
		size = 18
		refs = "0001 TCommonDialog.DoClose 0006 Application 000d TApplication.HideHint"
	strings:
		$1 = { E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79350_0 {
	meta:
		name = "TOpenPictureDialog.DoShow"
		size = 238
		refs = "0012 TOpenPictureDialog.DoShow 0029 GetClientRect 0052 TControl.SetBoundsRect 0060 TControl.GetBoundsRect 007a TControl.SetLeft 0087 TImage.SetPicture 0092 @UStrClr 009a srNone 009f LoadResString 00ad TControl.SetText 00c1 TWinControl.SetParentWindow 00c8 TCommonDialog.DoShow 00e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 33 D2 89 55 CC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B C3 8B 10 FF 52 44 50 E8 ?? ?? ?? ?? 8D 55 E0 8B C3 8B 08 FF 51 58 8B 55 E8 8B 45 E0 2B D0 03 D0 89 55 F0 83 45 F4 04 8D 55 F0 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? 8D 55 D0 8B 83 DC 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 83 D8 00 00 00 2B 50 50 83 EA 02 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 E0 00 00 00 E8 ?? ?? ?? ?? 8D 83 E4 00 00 00 E8 ?? ?? ?? ?? 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 83 DC 00 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 8B D0 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79351_0 {
	meta:
		name = "TOpenPictureDialog.Execute"
		size = 84
		refs = "0002 NewStyleControls 0013 Win32MajorVersion 001e UseLatestCommonDialogs 0028 TOpenPictureDialog.Execute 0037 TOpenDialog.Execute"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? 80 39 00 74 26 F6 40 76 01 75 20 8B 0D ?? ?? ?? ?? 83 39 06 7C 0B 8B 0D ?? ?? ?? ?? 80 39 00 75 0A B9 ?? ?? ?? ?? 89 48 68 EB 05 33 C9 89 48 68 E8 ?? ?? ?? ?? C3 44 00 4C 00 47 00 54 00 45 00 4D 00 50 00 4C 00 41 00 54 00 45 00 00 00 }
	condition:
		$1
}

rule function_79352_0 {
	meta:
		name = "TOpenPictureDialog.PreviewClick"
		size = 728
		refs = "0014 TOpenPictureDialog.PreviewClick 0023 _Dn_TForm 0028 TCustomForm.Create 0050 TCustomForm.SetVisible 0058 SPreviewLabel 005d LoadResString 0068 TControl.SetText 0072 TCustomForm.SetBorderStyle 0086 TCustomForm.SetPosition 0099 TOpenPictureDialog.PreviewKeyPress 00a3 _Dn_TPanel 00a8 TCustomPanel.Create 00c8 TControl.SetAlign 00d1 TCustomPanel.SetBevelOuter 00da TCustomPanel.SetBorderStyle 00e6 TCustomPanel.SetBorderWidth 00f2 TControl.SetColor 0108 TWinControl.SetDoubleBuffered 0112 _Dn_TImage 0117 TImage.Create 0137 TImage.SetStretch 0140 TImage.SetProportional 0149 TImage.SetCenter 017d TPicture.GetWidth 018d TCustomForm.GetMonitor 0192 TMonitor.GetWidth 01a7 TControl.GetClientWidth 01dc TCustomForm.SetClientWidth 01e9 TMonitor.GetHeight 01fe TControl.GetClientHeight 021b TPicture.GetHeight 0233 TCustomForm.SetClientHeight 0253 TObject.Free 0259 @HandleFinally 0270 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 24 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? B2 05 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 A4 02 00 00 01 B2 04 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 B8 2C 02 00 00 C7 80 28 02 00 00 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 33 D2 8B C3 E8 ?? ?? ?? ?? B2 05 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 05 00 00 FF 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 84 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 B2 05 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B 87 E0 00 00 00 8B 90 B8 01 00 00 8B 86 B8 01 00 00 8B 08 FF 51 08 8B D3 8B C6 8B 08 FF 91 84 00 00 00 8B 87 E0 00 00 00 8B 80 B8 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8E AE 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 34 40 85 F6 79 03 83 C6 03 C1 FE 02 8B 45 FC E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 2B D0 52 8B 87 E0 00 00 00 8B 80 B8 01 00 00 E8 ?? ?? ?? ?? 8B D0 58 03 C2 83 C0 0A 3B C6 7E 02 8B C6 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 34 40 85 F6 79 03 83 C6 03 C1 FE 02 8B 45 FC E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 2B D0 52 8B 87 E0 00 00 00 8B 80 B8 01 00 00 E8 ?? ?? ?? ?? 8B D0 58 03 C2 83 C0 0A 3B C6 7E 02 8B C6 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 72 00 65 00 76 00 69 00 65 00 77 00 46 00 6F 00 72 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 61 00 6E 00 65 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 6D 00 61 00 67 00 65 00 00 00 }
	condition:
		$1
}

rule function_79353_0 {
	meta:
		name = "TOpenPictureDialog.PreviewKeyPress"
		size = 14
		refs = "0009 TCustomForm.Close"
	strings:
		$1 = { 66 83 39 1B 75 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79354_0 {
	meta:
		name = "TOpenPictureDialog.IsFilterStored"
		size = 88
		refs = "000c TOpenPictureDialog.IsFilterStored 001a _Dn_TGraphic 001f GraphicFilter 002a @UStrEqual 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 78 E8 ?? ?? ?? ?? 0F 94 C0 34 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_79355_0 {
	meta:
		name = "TSavePictureDialog.Execute"
		size = 100
		refs = "0004 NewStyleControls 0014 Win32MajorVersion 001e UseLatestCommonDialogs 0028 TSavePictureDialog.Execute 0037 GetSaveFileName 003e TOpenDialog.DoExecute"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 24 F6 43 76 01 75 1E A1 ?? ?? ?? ?? 83 38 06 7C 0A A1 ?? ?? ?? ?? 80 38 00 75 0A B8 ?? ?? ?? ?? 89 43 68 EB 05 33 C0 89 43 68 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5B C3 00 00 44 00 4C 00 47 00 54 00 45 00 4D 00 50 00 4C 00 41 00 54 00 45 00 00 00 }
	condition:
		$1
}

rule function_79356_0 {
	meta:
		name = "TSavePictureDialog.Execute"
		size = 104
		refs = "0007 NewStyleControls 0017 Win32MajorVersion 0021 UseLatestCommonDialogs 002b TSavePictureDialog.Execute 003a GetSaveFileName 0043 TOpenDialog.DoExecute"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 24 F6 43 76 01 75 1E A1 ?? ?? ?? ?? 83 38 06 7C 0A A1 ?? ?? ?? ?? 80 38 00 75 0A B8 ?? ?? ?? ?? 89 43 68 EB 05 33 C0 89 43 68 BA ?? ?? ?? ?? 8B CE 8B C3 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5E 5B C3 44 00 4C 00 47 00 54 00 45 00 4D 00 50 00 4C 00 41 00 54 00 45 00 00 00 }
	condition:
		$1
}

rule function_79357_0 {
	meta:
		name = "TOpenTextFileDialog.Create"
		size = 572
		refs = "0016 @ClassCreate 0023 TOpenTextFileDialog.Create 0032 TOpenDialog.Create 0039 _Dn_TStringList 003e TStringList.Create 004e DefaultEncodingNames 0072 _Dn_TPanel 0077 TCustomPanel.Create 0094 TControl.SetText 00b2 TCustomPanel.SetBevelOuter 00c4 TWinControl.SetTabOrder 00cd TWinControl.SetTabStop 00d6 _Dn_TLabel 00db TCustomLabel.Create 00f7 SEncodingLabel 00fc LoadResString 0134 _Dn_TComboBox 0139 TCustomComboBox.Create 0196 @UStrClr 019c @HandleFinally 01ab @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D4 00 00 00 BF 06 00 00 00 BE ?? ?? ?? ?? 8B 83 D4 00 00 00 8B 16 8B 08 FF 51 38 83 C6 04 4F 75 ED 33 C0 89 83 D8 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 E0 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 33 D2 8B C6 E8 ?? ?? ?? ?? 68 2C 01 00 00 6A 16 33 C9 33 D2 8B C6 8B 38 FF 97 A4 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 8D 02 00 00 00 66 BA 01 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 DC 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 6A 5A 6A 15 B9 02 00 00 00 33 D2 8B C6 8B 38 FF 97 A4 00 00 00 8B 93 E0 00 00 00 8B C6 8B 08 FF 91 84 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D0 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 24 68 F6 00 00 00 6A 15 33 C9 BA 49 00 00 00 8B C6 8B 38 FF 97 A4 00 00 00 B2 02 8B C6 8B 08 FF 91 54 01 00 00 8B 93 E0 00 00 00 8B C6 8B 08 FF 91 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 69 00 63 00 74 00 75 00 72 00 65 00 50 00 61 00 6E 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 4C 00 61 00 62 00 65 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 43 00 6F 00 6D 00 62 00 6F 00 00 00 }
	condition:
		$1
}

rule function_79358_0 {
	meta:
		name = "TOpenTextFileDialog.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TOpenDialog.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 D4 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79359_0 {
	meta:
		name = "TOpenTextFileDialog.DoClose"
		size = 32
		refs = "0006 TCommonDialog.DoClose"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 D0 00 00 00 8B 10 FF 92 F8 00 00 00 89 83 D8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_79360_0 {
	meta:
		name = "TOpenTextFileDialog.DoShow"
		size = 462
		refs = "0014 TOpenTextFileDialog.DoShow 002b GetClientRect 004e TOpenTextFileDialog.GetDlgItemRect 00c1 GetParent 00c7 GetDlgItem 00cd SetWindowPos 00f1 TControl.SetWidth 0101 TControl.SetLeft 0121 TControl.SetBoundsRect 0135 TWinControl.SetParentWindow 01a6 TCommonDialog.DoShow 01bb @UStrClr 01c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 D2 89 55 C8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 DC 50 8B C3 8B 10 FF 52 44 50 E8 ?? ?? ?? ?? 8D 55 CC 8B C3 8B 08 FF 51 58 8B 45 D8 2B 45 D0 48 01 45 E0 8D 4D EC BA 41 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 DC F6 43 74 10 75 06 F6 43 74 04 75 1B 8D 4D EC BA 0E 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 2B 45 F0 83 C0 06 29 45 E0 F6 43 74 04 75 4C 8D 4D EC BA 10 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 D0 00 00 00 8B 40 54 83 C0 06 01 45 F0 6A 05 6A 00 6A 00 8B 45 F0 50 8B 45 EC 50 6A 00 68 10 04 00 00 8B C3 8B 10 FF 52 44 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D EC BA 70 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B 7D F4 8B D7 8B 75 EC 2B D6 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? 8B D6 2B 55 DC 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? 89 7D E4 8B 83 D0 00 00 00 8B 40 54 03 45 E0 89 45 E8 8D 55 DC 8B 83 E0 00 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 8B D0 8B 83 E0 00 00 00 E8 ?? ?? ?? ?? 8B 83 D0 00 00 00 8B 80 B4 02 00 00 8B 10 FF 52 44 8B 83 D4 00 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 33 46 C7 45 FC 00 00 00 00 8D 4D C8 8B 55 FC 8B 83 D4 00 00 00 8B 38 FF 57 0C 8B 55 C8 8B 83 D0 00 00 00 8B 80 B4 02 00 00 8B 08 FF 51 38 FF 45 FC 4E 75 D5 8B 93 D8 00 00 00 8B 83 D0 00 00 00 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79361_0 {
	meta:
		name = "TOpenTextFileDialog.Execute"
		size = 64
		refs = "0002 NewStyleControls 0012 TOpenTextFileDialog.Execute 0021 TOpenDialog.Execute"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? 80 39 00 74 10 F6 40 76 01 75 0A B9 ?? ?? ?? ?? 89 48 68 EB 05 33 C9 89 48 68 E8 ?? ?? ?? ?? C3 00 00 54 00 45 00 58 00 54 00 46 00 49 00 4C 00 45 00 44 00 4C 00 47 00 00 00 }
	condition:
		$1
}

rule function_79362_0 {
	meta:
		name = "TOpenTextFileDialog.GetDlgItemRect"
		size = 107
		refs = "0025 GetParent 002b GetDlgItem 0031 GetWindowRect 0043 MapWindowPoints 0053 Rect"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C3 8B 10 FF 52 44 85 C0 74 45 F6 43 76 01 75 2F 56 57 8B C3 8B 10 FF 52 44 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 56 8B C3 8B 10 FF 52 44 50 6A 00 E8 ?? ?? ?? ?? EB 1E 6A 00 56 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? EB 0E 6A 00 56 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79363_0 {
	meta:
		name = "TOpenTextFileDialog.IsEncodingStored"
		size = 181
		refs = "0015 TOpenTextFileDialog.IsEncodingStored 0058 DefaultEncodingNames 0076 AnsiCompareText 009e @UStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 D4 00 00 00 8B 10 FF 52 14 83 F8 06 0F 95 45 FB 80 7D FB 00 75 53 8B 45 FC 8B 80 D4 00 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 3E 46 C7 45 F4 00 00 00 00 BB ?? ?? ?? ?? 8D 4D F0 8B 45 FC 8B 80 D4 00 00 00 8B 55 F4 8B 38 FF 57 0C 8B 45 F0 8B 13 E8 ?? ?? ?? ?? 85 C0 74 06 C6 45 FB 01 EB 09 FF 45 F4 83 C3 04 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79364_0 {
	meta:
		name = "TOpenTextFileDialog.SetEncodings"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 D4 00 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_79365_0 {
	meta:
		name = "TOpenTextFileDialog.WMSize"
		size = 73
		refs = "0017 TOpenTextFileDialog.GetDlgItemRect 0029 TControl.SetWidth"
	strings:
		$1 = { 56 83 C4 F0 8B F0 8B C6 8B 08 FF 51 F0 8B CC BA 70 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 54 24 08 2B 14 24 8B 86 D0 00 00 00 E8 ?? ?? ?? ?? 8B 86 D0 00 00 00 8B 50 50 03 50 48 8B 86 E0 00 00 00 E8 ?? ?? ?? ?? 83 C4 10 5E C3 }
	condition:
		$1
}

rule function_79366_0 {
	meta:
		name = "TSaveTextFileDialog.Execute"
		size = 80
		refs = "0004 NewStyleControls 0014 TSaveTextFileDialog.Execute 0023 GetSaveFileName 002a TOpenDialog.DoExecute"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 10 F6 43 76 01 75 0A B8 ?? ?? ?? ?? 89 43 68 EB 05 33 C0 89 43 68 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5B C3 00 00 54 00 45 00 58 00 54 00 46 00 49 00 4C 00 45 00 44 00 4C 00 47 00 00 00 }
	condition:
		$1
}

rule function_79367_0 {
	meta:
		name = "TSaveTextFileDialog.Execute"
		size = 84
		refs = "0007 NewStyleControls 0017 TSaveTextFileDialog.Execute 0026 GetSaveFileName 002f TOpenDialog.DoExecute"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 10 F6 43 76 01 75 0A B8 ?? ?? ?? ?? 89 43 68 EB 05 33 C0 89 43 68 BA ?? ?? ?? ?? 8B CE 8B C3 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5E 5B C3 54 00 45 00 58 00 54 00 46 00 49 00 4C 00 45 00 44 00 4C 00 47 00 00 00 }
	condition:
		$1
}

rule function_79368_0 {
	meta:
		name = "StandardEncodingFromName"
		size = 281
		refs = "0013 StandardEncodingFromName 0023 SANSIEncoding 0028 LoadResString 0032 @UStrEqual 0039 TEncoding.GetANSI 0048 SASCIIEncoding 005e TEncoding.GetASCII 006d SUnicodeEncoding 0083 TEncoding.GetUnicode 008f SBigEndianEncoding 00a5 TEncoding.GetBigEndianUnicode 00b1 SUTF7Encoding 00c7 TEncoding.GetUTF7 00d3 SUTF8Encoding 00e9 TEncoding.GetUTF8 0105 @UStrArrayClr 010b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 75 0C E8 ?? ?? ?? ?? 8B D8 E9 AB 00 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 75 0C E8 ?? ?? ?? ?? 8B D8 E9 86 00 00 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 75 09 E8 ?? ?? ?? ?? 8B D8 EB 64 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 75 09 E8 ?? ?? ?? ?? 8B D8 EB 42 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 75 09 E8 ?? ?? ?? ?? 8B D8 EB 20 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 75 07 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79371_0 {
	meta:
		name = "SlashSep"
		size = 76
		refs = "000c AnsiLastChar 0018 SlashSep 0025 @UStrCatN 0032 @UStrCat3"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 38 5C 74 15 53 68 ?? ?? ?? ?? 56 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0B 8B C7 8B CE 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_79372_0 {
	meta:
		name = "TPathLabel.Create"
		size = 80
		refs = "000a @ClassCreate 0017 TCustomLabel.Create 0020 TCustomLabel.SetWordWrap 0032 TCustomLabel.SetShowAccelChar 003d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 78 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_79373_0 {
	meta:
		name = "TPathLabel.Paint"
		size = 268
		refs = "001a TPathLabel.Paint 0037 TCustomLabel.GetTransparent 0046 TBrush.SetColor 0050 TBrush.SetStyle 0072 TControl.GetText 0086 MinimizeName 0091 TCanvas.GetHandle 00aa @UStrLAsg 00b9 Alignments 00d0 @UStrToPWChar 00d7 DrawText 00ec @UStrClr 00f9 @UStrArrayClr 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 E4 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 B0 01 00 00 8D 55 E8 8B C3 8B 08 FF 51 60 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1F 8B 46 48 8B 53 74 E8 ?? ?? ?? ?? 8B 46 48 33 D2 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 8B 08 FF 51 54 8B 46 48 B2 01 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 8B 4D F0 2B 4D E8 8B 93 B0 01 00 00 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8B F8 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 0F B6 83 BC 01 00 00 0F B7 04 45 ?? ?? ?? ?? 66 0D 00 08 0F B7 C0 8B D8 53 8D 45 E8 50 56 8B 45 F8 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79374_0 {
	meta:
		name = "CutFirstDirectory"
		size = 200
		refs = "0007 CutFirstDirectory 000c @UStrEqual 0015 @UStrClr 0033 @UStrDelete 005c AnsiPos 007d @UStrCat3"
	strings:
		$1 = { 53 56 8B F0 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B 06 66 83 38 5C 75 15 B3 01 8B C6 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 02 33 DB 8B 06 66 83 38 2E 75 11 8B C6 B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1F 8B D6 8B C8 B8 01 00 00 00 92 E8 ?? ?? ?? ?? 8B 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0E 8B 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 2E 00 2E 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_79375_0 {
	meta:
		name = "MinimizeName"
		size = 356
		refs = "001c MinimizeName 002b @UStrAsg 0035 ExtractFilePath 003f ExtractFileName 0079 @UStrCopy 008b @UStrDelete 0095 @UStrClr 00a4 @UStrEqual 00bb @UStrLAsg 00d5 CutFirstDirectory 00ea @UStrCatN 00ff TCustomCanvas.TextWidth 011e @UStrArrayClr 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F0 8B F2 8B F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B D7 E8 ?? ?? ?? ?? 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8D 55 F4 8B 03 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7C 0D 8B 45 F8 66 83 78 02 3A 0F 94 C0 EB 02 33 C0 84 C0 74 2A 8D 45 FC 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 5D 8D 45 FC E8 ?? ?? ?? ?? EB 53 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 17 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 83 7D F8 00 75 0A 8D 45 FC E8 ?? ?? ?? ?? EB 08 8D 45 F8 E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 75 06 83 7D FC 00 74 0E 8B 13 8B C6 E8 ?? ?? ?? ?? 3B 45 F0 7F 93 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 5C 00 2E 00 2E 00 2E 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 2E 00 2E 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_79376_0 {
	meta:
		name = "VolumeID"
		size = 428
		refs = "002d VolumeID 003a SetErrorMode 007b @UStrFromWChar 008b @UStrCat 0096 @UStrToPWChar 009c GetVolumeInformation 00ab @PWCharLen 00b9 @UStrFromPWCharLen 00c2 @UStrClr 00d5 AnsiUpperCaseFileName 00e2 @UStrAsg 00f1 AnsiLowerCaseFileName 0126 Format 014f @HandleFinally 016e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 D0 FD FF FF 53 56 33 C9 89 8D D8 FD FF FF 89 8D DC FD FF FF 89 8D E0 FD FF FF 89 8D E4 FD FF FF 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 C7 85 EA FD FF FF 00 00 6A 00 6A 00 8D 45 F4 50 8D 45 F8 50 6A 00 68 05 01 00 00 8D 85 EA FD FF FF 50 8D 85 E4 FD FF FF 8B D6 E8 ?? ?? ?? ?? 8D 85 E4 FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E4 FD FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 1B 8D 85 EA FD FF FF E8 ?? ?? ?? ?? 8D 95 EA FD FF FF 8B CB 91 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 66 83 FE 61 73 1C 8D 95 E0 FD FF FF 8B 03 E8 ?? ?? ?? ?? 8B 95 E0 FD FF FF 8B C3 E8 ?? ?? ?? ?? EB 1A 8D 95 DC FD FF FF 8B 03 E8 ?? ?? ?? ?? 8B 95 DC FD FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 D8 FD FF FF 50 8B 03 89 85 D0 FD FF FF C6 85 D4 FD FF FF 11 8D 95 D0 FD FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 D8 FD FF FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D8 FD FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 5B 00 25 00 73 00 5D 00 00 00 00 00 }
	condition:
		$1
}

rule function_79377_0 {
	meta:
		name = "NetworkVolume"
		size = 290
		refs = "0022 NetworkVolume 0066 WNetGetConnection 0078 @UStrSetLength 0082 @UStrToPWChar 00a3 @UStrFromPWCharLen 00b9 AnsiUpperCaseFileName 00c7 @UStrAsg 00d9 AnsiLowerCaseFileName 00f3 VolumeID 0110 @UStrArrayClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 DC FD FF FF 53 56 33 C9 89 8D DC FD FF FF 89 8D E0 FD FF FF 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 05 01 00 00 8B C3 8B D3 83 C2 9F 66 83 EA 1A 73 06 8B C3 66 25 DF FF 66 89 45 F0 66 C7 45 F2 3A 00 66 C7 45 F4 00 00 8D B5 E6 FD FF FF 8D 45 F8 50 56 8D 45 F0 50 E8 ?? ?? ?? ?? 3D EA 00 00 00 75 25 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B F0 8D 45 F8 50 56 8D 45 F0 50 E8 ?? ?? ?? ?? 85 C0 75 53 8B 45 FC 8B 4D F8 8B D6 E8 ?? ?? ?? ?? 66 83 FB 61 73 20 8D 95 E0 FD FF FF 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 95 E0 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? EB 2A 8D 95 DC FD FF FF 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 95 DC FD FF FF 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 DC FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79378_0 {
	meta:
		name = "ProcessPath"
		size = 896
		refs = "0025 ProcessPath 0035 @UGetDir 004a @UStrAsg 0059 AnsiLastChar 0082 @UStrCopy 008e ExtractFileDrive 00c6 @UStrDelete 0116 DirectoryExists 0122 ChDir 0127 @_IOTest 0131 ExtractFileName 01cb @UStrSetLength 0264 Pos 0281 FileExists 02b3 @UStrCat3 02ca @UStrCatN 02d1 @UStrClr 0312 @HandleFinally 032e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D FC 89 5D F8 8B D9 89 55 F4 8B F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 00 8B 55 F4 66 89 02 8B C3 8B D7 E8 ?? ?? ?? ?? 8B 03 66 83 38 5B 75 32 8B 03 E8 ?? ?? ?? ?? 66 83 38 5D 75 25 8B 03 89 45 E4 8B 7D E4 85 FF 74 05 83 EF 04 8B 3F 53 8B CF 83 E9 02 8B 03 BA 02 00 00 00 E8 ?? ?? ?? ?? EB 7C 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0D 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 1B 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B D3 8B C8 B8 01 00 00 00 92 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7C 0D 8B 45 F8 66 83 78 02 3A 0F 94 C0 EB 02 33 C0 84 C0 74 0E 8B 45 F8 0F B7 00 8B 55 F4 66 89 02 EB 08 8B 45 F4 66 C7 00 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 8B 03 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 3B 8B C7 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 8B 16 89 55 E4 8B 55 E4 85 D2 74 05 83 EA 04 8B 12 42 3B C2 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AD 00 00 00 8B C7 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 8B 16 89 55 E4 8B 55 E4 85 D2 74 05 83 EA 04 8B 12 3B D0 7D 32 8B C7 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 8B 16 89 55 E4 8B 55 E4 85 D2 74 05 83 EA 04 8B 12 8B CB 2B C2 48 8B D0 8B C1 E8 ?? ?? ?? ?? EB 55 8B D3 33 C0 E8 ?? ?? ?? ?? 8D 55 DC 8B 03 E8 ?? ?? ?? ?? 8B 45 DC 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 8B D3 8B C8 B8 01 00 00 00 92 E8 ?? ?? ?? ?? 8B 03 89 45 EC 8B 45 EC 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0C 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 79 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 69 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 59 8B 06 B2 01 E8 ?? ?? ?? ?? 84 C0 75 4C 8B 06 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 89 45 E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 48 75 10 8B 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 FF 33 68 ?? ?? ?? ?? FF 36 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 66 83 38 00 75 0C 8B 0B 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_79379_0 {
	meta:
		name = "GetItemHeight"
		size = 63
		refs = "000a GetDC 0013 TFont.GetHandle 001a SelectObject 0023 GetTextMetrics 0032 ReleaseDC"
	strings:
		$1 = { 53 56 83 C4 C4 8B F0 6A 00 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B F0 54 53 E8 ?? ?? ?? ?? 56 53 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 8B 04 24 83 C4 3C 5E 5B C3 }
	condition:
		$1
}

rule function_79380_0 {
	meta:
		name = "TDriveComboBox.Create"
		size = 175
		refs = "0014 @ClassCreate 0021 TDriveComboBox.Create 0030 TCustomComboBox.Create 0043 TDriveComboBox.ReadBitmaps 004d @UGetDir 0070 TDriveComboBox.ResetItemHeight 0085 @UStrClr 008b @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? B2 03 8B C3 8B 08 FF 91 54 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 89 83 1C 03 00 00 66 83 F8 5C 75 09 66 C7 83 1C 03 00 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79381_0 {
	meta:
		name = "TDriveComboBox.Destroy"
		size = 91
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0049 TCustomComboBox.Destroy 0054 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 20 03 00 00 E8 ?? ?? ?? ?? 8B 86 24 03 00 00 E8 ?? ?? ?? ?? 8B 86 28 03 00 00 E8 ?? ?? ?? ?? 8B 86 2C 03 00 00 E8 ?? ?? ?? ?? 8B 86 30 03 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79382_0 {
	meta:
		name = "AddDrive"
		size = 160
		refs = "0015 AddDrive 0047 Format 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 45 08 0F B7 40 FA 66 89 45 EC C6 45 F0 09 89 5D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC 8B 80 B4 02 00 00 8B CE 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 25 00 73 00 3A 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_79383_0 {
	meta:
		name = "TDriveComboBox.BuildList"
		size = 484
		refs = "0019 TDriveComboBox.BuildList 002f GetLogicalDrives 005b @UStrFromWChar 0068 @UStrCat 0070 @UStrToPWChar 0076 GetDriveType 0114 VolumeID 0125 AddDrive 0135 NetworkVolume 01ad @UStrArrayClr 01b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 04 01 00 00 E8 ?? ?? ?? ?? 89 45 F6 33 DB 8B C3 83 F8 1F 77 04 0F A3 45 F6 0F 83 44 01 00 00 8B C3 66 83 C0 61 66 89 45 FA 8D 45 F0 0F B7 55 FA E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 FC 80 BA 1E 03 00 00 01 75 1E 0F B7 55 FA 0F B7 4D FA 83 C1 9F 66 83 E9 1A 73 09 0F B7 55 FA 66 81 E2 DF FF 66 89 55 FA 83 E0 7F 83 F8 06 0F 87 DD 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 EC 0F B7 55 FA E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8B 88 20 03 00 00 8B 45 FC 8B 80 B4 02 00 00 8B 30 FF 56 3C E9 82 00 00 00 55 8D 55 E8 0F B7 45 FA E8 ?? ?? ?? ?? 8B 45 E8 8B 55 FC 8B 92 24 03 00 00 E8 ?? ?? ?? ?? 59 EB 61 55 8D 55 E4 0F B7 45 FA E8 ?? ?? ?? ?? 8B 45 E4 8B 55 FC 8B 92 28 03 00 00 E8 ?? ?? ?? ?? 59 EB 40 55 8D 55 E0 0F B7 45 FA E8 ?? ?? ?? ?? 8B 45 E0 8B 55 FC 8B 92 2C 03 00 00 E8 ?? ?? ?? ?? 59 EB 1F 55 8D 55 DC 0F B7 45 FA E8 ?? ?? ?? ?? 8B 45 DC 8B 55 FC 8B 92 30 03 00 00 E8 ?? ?? ?? ?? 59 43 83 FB 1A 0F 85 A1 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_79384_0 {
	meta:
		name = "TDriveComboBox.GetDrive"
		size = 8
	strings:
		$1 = { 0F B7 80 1C 03 00 00 C3 }
	condition:
		$1
}

rule function_79385_0 {
	meta:
		name = "TDriveComboBox.SetDrive"
		size = 413
		refs = "0016 TDriveComboBox.SetDrive 0161 TDriveComboBox.GetDrive 016a TDirectoryListBox.DriveChange 0175 @CallDynaInst 018a @UStrClr 0190 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 F8 00 00 00 85 C0 7D 04 B0 01 EB 34 8B C6 8B D6 83 C2 9F 66 83 EA 1A 73 06 8B C6 66 25 DF FF 0F B7 8B 1C 03 00 00 8B D1 8B F9 83 C7 9F 66 83 EF 1A 73 07 8B D1 66 81 E2 DF FF 66 3B D0 0F 95 C0 84 C0 0F 84 0B 01 00 00 66 85 F6 75 19 66 89 B3 1C 03 00 00 83 CA FF 8B C3 8B 08 FF 91 FC 00 00 00 E9 C8 00 00 00 80 BB 1E 03 00 00 01 75 1C 8B C6 8B D6 83 C2 9F 66 83 EA 1A 73 06 8B C6 66 25 DF FF 66 89 83 1C 03 00 00 EB 20 8B C6 8B D6 83 C2 9F 66 83 EA 1A 73 06 8B C6 66 25 DF FF 0F B7 C0 83 C0 20 66 89 83 1C 03 00 00 8B 83 B4 02 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 71 46 C7 45 F8 00 00 00 00 8D 4D FC 8B 55 F8 8B 83 B4 02 00 00 8B 38 FF 57 0C 8B 45 FC 0F B7 10 8B C2 8B CA 83 C1 9F 66 83 E9 1A 73 06 8B C2 66 25 DF FF 0F B7 8B 1C 03 00 00 8B D1 8B F9 83 C7 9F 66 83 EF 1A 73 07 8B D1 66 81 E2 DF FF 66 3B D0 75 19 8B 45 FC 66 83 78 02 3A 75 0F 8B 55 F8 8B C3 8B 08 FF 91 FC 00 00 00 EB 06 FF 45 F8 4E 75 97 8B B3 18 03 00 00 85 F6 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 66 BE AE FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79386_0 {
	meta:
		name = "TDriveComboBox.SetTextCase"
		size = 39
		refs = "0020 TDriveComboBox.SetDrive"
	strings:
		$1 = { 53 56 8B D8 88 93 1E 03 00 00 0F B7 B3 1C 03 00 00 8B C3 8B 10 FF 92 58 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79387_0 {
	meta:
		name = "TDriveComboBox.SetDirListBox"
		size = 48
		refs = "002a TComponent.FreeNotification"
	strings:
		$1 = { 53 8B 88 18 03 00 00 85 C9 74 08 33 DB 89 99 FC 02 00 00 8B CA 89 88 18 03 00 00 85 C9 74 0F 89 81 FC 02 00 00 8B D0 8B C1 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79388_0 {
	meta:
		name = "TDriveComboBox.CreateWnd"
		size = 36
		refs = "0006 TCustomComboBox.CreateWnd 001e TDriveComboBox.SetDrive"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 58 01 00 00 0F B7 93 1C 03 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79389_0 {
	meta:
		name = "TDriveComboBox.DrawItem"
		size = 338
		refs = "0020 TDriveComboBox.DrawItem 0081 Bounds 0095 TBitmap.GetCanvas 00f8 TCanvas.GetHandle 0121 @UStrToPWChar 0128 DrawText 013d @UStrClr 0143 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D FC 8B F1 8D 7D E0 A5 A5 A5 A5 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 78 02 00 00 89 45 F0 8D 55 E0 8B 45 F0 8B 08 FF 51 54 C7 45 F4 10 00 00 00 8B 55 F8 8B 86 B4 02 00 00 8B 08 FF 51 18 8B D8 85 DB 0F 84 88 00 00 00 8B C3 8B 10 FF 52 30 89 45 F4 8B C3 8B 10 FF 52 24 50 8D 45 D0 50 8B C3 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D0 50 8B C3 8B 10 FF 52 24 48 50 8B C3 E8 ?? ?? ?? ?? 33 D2 59 8B 38 FF 57 18 50 8B C3 8B 10 FF 52 24 50 8D 45 C0 50 8B C3 8B 10 FF 52 30 50 8B C3 8B 10 FF 52 24 8B 55 E4 03 55 EC 2B D0 D1 FA 79 03 83 D2 00 8B 45 E0 83 C0 02 59 E8 ?? ?? ?? ?? 8D 55 C0 8B CB 8B 45 F0 8B 18 FF 53 3C 8B 45 E0 03 45 F4 83 C0 06 89 45 E0 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 8B D8 8D 4D FC 8B 55 F8 8B 86 B4 02 00 00 8B 30 FF 56 0C 83 CE FF BF 24 08 00 00 57 8D 45 E0 50 56 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_79390_0 {
	meta:
		name = "TDriveComboBox.Click"
		size = 117
		refs = "000d TDriveComboBox.Click 001a TCustomComboBox.Click 004f TDriveComboBox.SetDrive 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F8 00 00 00 85 C0 7C 27 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D FC 8B 83 B4 02 00 00 8B 30 FF 56 0C 8B 45 FC 0F B7 10 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79392_0 {
	meta:
		name = "TDriveComboBox.ResetItemHeight"
		size = 57
		refs = "0008 GetItemHeight"
	strings:
		$1 = { 53 56 8B D8 8B 43 6C E8 ?? ?? ?? ?? 8B F0 8B 83 20 03 00 00 8B 10 FF 52 24 3B F0 7D 0D 8B 83 20 03 00 00 8B 10 FF 52 24 8B F0 8B D6 8B C3 8B 08 FF 91 34 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79393_0 {
	meta:
		name = "TDriveComboBox.ReadBitmaps"
		size = 304
		refs = "0006 _Dn_TBitmap 000b TBitmap.Create 005e TDriveComboBox.ReadBitmaps 0063 HInstance 0069 LoadBitmap 0076 TBitmap.SetHandle"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 20 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 24 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 28 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 2C 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 30 03 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 83 20 03 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 83 24 03 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 83 28 03 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 83 30 03 00 00 E8 ?? ?? ?? ?? 5B C3 46 00 4C 00 4F 00 50 00 50 00 59 00 00 00 00 00 48 00 41 00 52 00 44 00 00 00 00 00 4E 00 45 00 54 00 57 00 4F 00 52 00 4B 00 00 00 43 00 44 00 52 00 4F 00 4D 00 00 00 52 00 41 00 4D 00 00 00 }
	condition:
		$1
}

rule function_79394_0 {
	meta:
		name = "TDriveComboBox.Notification"
		size = 45
		refs = "0010 TWinControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 18 03 00 00 75 08 33 C0 89 87 18 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79395_0 {
	meta:
		name = "DirLevel"
		size = 72
		refs = "000f @UStrToPWChar 0018 StrScan"
	strings:
		$1 = { 53 56 57 55 51 8B D8 33 C0 89 04 24 8B C3 E8 ?? ?? ?? ?? 66 BA 5C 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1D FF 04 24 83 C3 02 8B F3 66 BF 5C 00 8B D7 8B C6 E8 ?? ?? ?? ?? 8B E8 8B DD 85 DB 75 E3 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79396_0 {
	meta:
		name = "TDirectoryListBox.Create"
		size = 113
		refs = "000a @ClassCreate 0017 TCustomListBox.Create 0023 TControl.SetWidth 002c TCustomListBox.SetStyle 0035 TCustomListBox.SetSorted 004c @UGetDir 0053 TDirectoryListBox.ResetItemHeight 005e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 91 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 40 01 00 00 8D 96 14 03 00 00 33 C0 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_79397_0 {
	meta:
		name = "TDirectoryListBox.Destroy"
		size = 93
		refs = "0003 @BeforeDestruction 001a TObject.Free 004b TCustomListBox.Destroy 0056 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 08 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 0C 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 10 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79398_0 {
	meta:
		name = "TDirectoryListBox.DriveChange"
		size = 212
		refs = "0010 TDirectoryListBox.DriveChange 0031 TDirectoryListBox.GetDrive 0059 @UStrFromWChar 0066 @UStrCat 006e ChDir 0073 @_IOTest 0080 @UGetDir 00b2 @UStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B FE 8B C6 83 C0 9F 66 83 E8 1A 73 07 8B FE 66 81 E7 DF FF 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C8 83 C1 9F 66 83 E9 1A 73 07 8B D0 66 81 E2 DF FF 66 3B D7 74 53 66 85 F6 74 31 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 93 14 03 00 00 33 C0 E8 ?? ?? ?? ?? 80 BB 04 03 00 00 00 75 14 8B C3 8B 10 FF 92 44 01 00 00 8B C3 8B 10 FF 92 3C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_79399_0 {
	meta:
		name = "TDirectoryListBox.SetFileListBox"
		size = 48
		refs = "002a TComponent.FreeNotification"
	strings:
		$1 = { 53 8B 88 F8 02 00 00 85 C9 74 08 33 DB 89 99 08 03 00 00 8B CA 89 88 F8 02 00 00 85 C9 74 0F 89 81 08 03 00 00 8B D0 8B C1 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79400_0 {
	meta:
		name = "TDirectoryListBox.SetDirLabel"
		size = 31
		refs = "0012 TComponent.FreeNotification 0019 TDirectoryListBox.SetDirLabelCaption"
	strings:
		$1 = { 53 8B D8 89 93 00 03 00 00 85 D2 74 09 8B C2 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79401_0 {
	meta:
		name = "TDirectoryListBox.SetDir"
		size = 85
		refs = "000d DirectoryExists 001c ChDir 0021 @_IOTest 003a @UGetDir"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 14 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 10 8B 83 14 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 93 14 03 00 00 33 C0 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 44 01 00 00 8B C3 8B 10 FF 92 3C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79402_0 {
	meta:
		name = "TDirectoryListBox.OpenCurrent"
		size = 90
		refs = "000c TDirectoryListBox.OpenCurrent 0028 TDirectoryListBox.GetItemPath 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 38 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_79403_0 {
	meta:
		name = "TDirectoryListBox.Update"
		size = 25
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 44 01 00 00 8B C3 8B 10 FF 92 3C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_79404_0 {
	meta:
		name = "TDirectoryListBox.DisplayCase"
		size = 48
		refs = "001d @UStrAsg 0029 AnsiLowerCase"
	strings:
		$1 = { 53 56 8B F1 8B DA 80 B8 05 03 00 00 00 75 09 80 B8 06 03 00 00 00 74 0C 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79405_0 {
	meta:
		name = "TDirectoryListBox.FileCompareText"
		size = 31
		refs = "000e AnsiCompareStr 001a AnsiCompareFileName"
	strings:
		$1 = { 80 B8 06 03 00 00 00 74 0A 8B C2 8B D1 E8 ?? ?? ?? ?? C3 8B C2 8B D1 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79406_0 {
	meta:
		name = "TDirectoryListBox.ReadDirectoryNames"
		size = 360
		refs = "001f TSearchRec 0024 @InitializeRecord 002c TDirectoryListBox.ReadDirectoryNames 004c SlashSep 0062 FindFirst 0094 @UStrEqual 00c6 FindNext 00e4 FindClose 00ea @HandleFinally 0104 @UStrClr 0115 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 81 C4 88 FD FF FF 53 56 33 DB 89 9D 88 FD FF FF 8B F1 8B DA 8D 85 90 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 85 8C FD FF FF 8D 8D 88 FD FF FF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 85 88 FD FF FF 8D 8D 90 FD FF FF BA 10 00 00 00 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 56 8B 85 A0 FD FF FF 83 E0 10 83 F8 10 75 37 8B 85 A4 FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 25 8B 85 A4 FD FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 13 8B 95 A4 FD FF FF 8B C6 8B 08 FF 51 38 FF 85 8C FD FF FF 8D 85 90 FD FF FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 90 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 88 FD FF FF E8 ?? ?? ?? ?? 8D 85 90 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B 85 8C FD FF FF 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2A 00 2E 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_79407_0 {
	meta:
		name = "TDirectoryListBox.BuildList"
		size = 820
		refs = "001a TDirectoryListBox.BuildList 003c TStrings.BeginUpdate 0057 TDirectoryListBox.GetDirectory 0062 ExtractFileDrive 0072 @UStrCat3 008c @UStrToPWChar 0092 GetVolumeInformation 0135 @UStrCopy 015e AnsiLastChar 0171 AnsiPos 019c @UStrCat 01ab @UStrDelete 020c _Dn_TStringList 0211 TStringList.Create 022c TStringList.SetSorted 0245 TDirectoryListBox.ReadDirectoryNames 0297 TObject.Free 029d @HandleFinally 02ba TStrings.EndUpdate 02ca TWinControl.HandleAllocated 02f6 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8B 80 88 02 00 00 8B 10 FF 52 44 33 F6 8D 55 D4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 E8 50 8D 45 E4 50 6A 00 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 45 E8 03 0F 95 C0 8B 55 EC 88 82 05 03 00 00 F6 45 E8 01 0F 95 C0 8B 55 EC 88 82 06 03 00 00 8B 5D F4 8B C3 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7C 0D 8B 45 F4 66 83 78 02 5C 0F 94 C0 EB 02 33 C0 84 C0 74 5F 8B 45 EC 8B 88 0C 03 00 00 8B 45 EC 8B 80 88 02 00 00 8B 55 F4 8B 38 FF 57 3C 46 8D 55 F0 8B 45 EC E8 ?? ?? ?? ?? 85 DB 74 05 83 EB 04 8B 1B 8D 55 D0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D0 89 45 CC 8B 7D CC 85 FF 74 05 83 EF 04 8B 3F 8D 45 FC 50 8D 53 01 8B CF 8B 45 F0 E8 ?? ?? ?? ?? EB 0B 8D 55 FC 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 9D 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 66 83 38 5C 74 75 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 62 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 F6 75 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8B 88 0C 03 00 00 8B 45 EC 8B 80 88 02 00 00 8B 55 F8 8B 18 FF 53 3C 46 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 9E 8B 45 EC 8B 88 10 03 00 00 8B 45 EC 8B 80 88 02 00 00 8B 55 FC 8B 18 FF 53 3C 8B 45 EC 8B 80 88 02 00 00 8B 10 FF 52 14 48 89 45 DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 EC E8 ?? ?? ?? ?? 8B 55 C8 8B 4D E0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 52 14 8B D8 4B 85 DB 7C 2E 43 33 F6 8D 4D C4 8B D6 8B 45 E0 8B 38 FF 57 0C 8B 55 C4 8B 45 EC 8B 88 08 03 00 00 8B 45 EC 8B 80 88 02 00 00 8B 38 FF 57 3C 46 4B 75 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 8B 80 88 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 0E 8B 55 DC 8B 45 EC 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_79408_0 {
	meta:
		name = "TDirectoryListBox.ReadBitmaps"
		size = 244
		refs = "0006 _Dn_TBitmap 000b TBitmap.Create 003a TDirectoryListBox.ReadBitmaps 0040 HInstance 004b TBitmap.LoadFromResourceName"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 0C 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 08 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 10 03 00 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 83 0C 03 00 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 83 08 03 00 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 83 10 03 00 00 E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4F 00 50 00 45 00 4E 00 46 00 4F 00 4C 00 44 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 4C 00 4F 00 53 00 45 00 44 00 46 00 4F 00 4C 00 44 00 45 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 55 00 52 00 52 00 45 00 4E 00 54 00 46 00 4F 00 4C 00 44 00 45 00 52 00 00 00 }
	condition:
		$1
}

rule function_79410_0 {
	meta:
		name = "TDirectoryListBox.Change"
		size = 118
		refs = "000d TDirectoryListBox.Change 0027 TDirectoryListBox.GetDirectory 0031 TFileListBox.SetDirectory 0038 TDirectoryListBox.SetDirLabelCaption 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 F8 02 00 00 85 F6 74 14 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 83 BB 1A 03 00 00 00 74 0E 8B D3 8B 83 1C 03 00 00 FF 93 18 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79411_0 {
	meta:
		name = "TDirectoryListBox.DrawItem"
		size = 396
		refs = "0026 TDirectoryListBox.DrawItem 007e TDirectoryListBox.GetDirectory 0086 DirLevel 00b9 Bounds 00cd TBitmap.GetCanvas 0137 TDirectoryListBox.DisplayCase 016f @UStrArrayClr 0177 @UStrClr 017d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 DB 89 5D B8 89 5D B4 89 5D DC 8B F1 8D 7D E0 A5 A5 A5 A5 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 98 02 00 00 89 45 F0 8D 55 E0 8B 45 F0 8B 08 FF 51 54 C7 45 F8 10 00 00 00 8B 45 FC 03 C0 03 C0 83 C0 02 89 45 F4 8B 55 FC 8B 86 88 02 00 00 8B 08 FF 51 18 8B D8 85 DB 0F 84 AD 00 00 00 3B 9E 08 03 00 00 75 1D 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 40 03 C0 03 C0 83 C0 02 89 45 F4 8B C3 8B 10 FF 52 30 89 45 F8 8B C3 8B 10 FF 52 24 50 8D 45 CC 50 8B C3 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 CC 50 8B C3 8B 10 FF 52 24 48 50 8B C3 E8 ?? ?? ?? ?? 33 D2 59 8B 38 FF 57 18 50 8B C3 8B 10 FF 52 24 50 8D 45 BC 50 8B C3 8B 10 FF 52 30 50 8B C3 8B 10 FF 52 24 8B 55 E4 03 55 EC 2B D0 D1 FA 79 03 83 D2 00 8B 45 E0 03 45 F4 59 E8 ?? ?? ?? ?? 8D 55 BC 8B CB 8B 45 F0 8B 18 FF 53 3C 8D 4D B4 8B 55 FC 8B 86 88 02 00 00 8B 18 FF 53 0C 8B 55 B4 8D 4D B8 8B C6 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 55 E0 03 55 F8 03 55 F4 83 C2 04 8B 4D E4 8B 45 F0 8B 18 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_79412_0 {
	meta:
		name = "TDirectoryListBox.GetItemPath"
		size = 452
		refs = "0022 TDirectoryListBox.GetItemPath 0030 @UStrClr 004d TDirectoryListBox.GetDirectory 0069 ExtractFileDrive 0079 @UStrCat3 00a4 SlashSep 00bc @UStrAsg 00f5 @UStrDelete 014d @UStrCopy 018c @UStrArrayClr 01a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 83 88 02 00 00 8B 10 FF 52 14 3B F0 0F 8D 2F 01 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 88 02 00 00 8B 08 FF 51 18 85 F6 75 20 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F4 00 00 00 3B 83 08 03 00 00 75 23 8D 4D EC 8B D6 8B 83 88 02 00 00 8B 18 FF 53 0C 8B 55 EC 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? E9 C9 00 00 00 3B 83 10 03 00 00 75 10 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? E9 B1 00 00 00 33 FF 33 C0 89 45 F4 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 8D 55 FC 8B C8 B8 01 00 00 00 92 E8 ?? ?? ?? ?? EB 3A 47 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 3B C7 7C 31 8B 45 FC 66 81 7C 78 FE 00 D8 72 0F 8B 45 FC 66 81 7C 78 FE FF DF 77 03 47 EB 0E 8B 45 FC 66 83 7C 78 FE 5C 75 03 FF 45 F4 8D 46 01 3B 45 F4 75 BE 8D 45 E0 50 8B CF 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 50 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_79413_0 {
	meta:
		name = "TDirectoryListBox.CreateWnd"
		size = 102
		refs = "000c TDirectoryListBox.CreateWnd 0019 TCustomListBox.CreateWnd 002d TDirectoryListBox.GetDirectory 0035 DirLevel 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 44 01 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_79415_0 {
	meta:
		name = "TDirectoryListBox.ResetItemHeight"
		size = 56
		refs = "0008 GetItemHeight 0031 TCustomListBox.SetItemHeight"
	strings:
		$1 = { 53 56 8B D8 8B 43 6C E8 ?? ?? ?? ?? 8B F0 8B 83 0C 03 00 00 8B 10 FF 52 24 40 3B F0 7D 0E 8B 83 0C 03 00 00 8B 10 FF 52 24 8B F0 46 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79416_0 {
	meta:
		name = "TDirectoryListBox.GetDirectory"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 14 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79417_0 {
	meta:
		name = "TDirectoryListBox.GetDrive"
		size = 10
	strings:
		$1 = { 8B 80 14 03 00 00 0F B7 00 C3 }
	condition:
		$1
}

rule function_79418_0 {
	meta:
		name = "TDirectoryListBox.SetDrive"
		size = 180
		refs = "0016 TDirectoryListBox.SetDrive 0037 TDirectoryListBox.GetDrive 006b Format 008d @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B FB 8B C3 83 C0 9F 66 83 E8 1A 73 07 8B FB 66 81 E7 DF FF 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C8 83 C1 9F 66 83 E9 1A 73 07 8B D0 66 81 E2 DF FF 66 3B D7 74 28 8D 45 FC 50 66 89 5D F4 C6 45 F8 09 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 91 38 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 25 00 73 00 3A 00 00 00 }
	condition:
		$1
}

rule function_79419_0 {
	meta:
		name = "TDirectoryListBox.SetDirectory"
		size = 261
		refs = "0014 TDirectoryListBox.SetDirectory 0038 TDirectoryListBox.GetDirectory 0045 TDirectoryListBox.FileCompareText 005e ProcessPath 0074 TDirectoryListBox.GetDrive 009a TDriveComboBox.SetDrive 00a8 TDirectoryListBox.DriveChange 00c5 @HandleFinally 00d2 TDirectoryListBox.SetDir 00e7 @UStrClr 00f4 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 84 A5 00 00 00 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D EC 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 84 85 00 00 00 8D 45 F8 50 8D 4D FC 8D 55 F2 8B C3 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 E8 ?? ?? ?? ?? 66 3B 45 F2 74 2E 8B 45 F4 C6 80 04 03 00 00 01 8B 45 F4 8B 80 FC 02 00 00 85 C0 74 0B 0F B7 55 F2 E8 ?? ?? ?? ?? EB 0C 0F B7 55 F2 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 C6 80 04 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79420_0 {
	meta:
		name = "TDirectoryListBox.KeyPress"
		size = 31
		refs = "000b TCustomListBox.KeyPress 0018 TDirectoryListBox.OpenCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 66 83 3E 0D 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79421_0 {
	meta:
		name = "TDirectoryListBox.Notification"
		size = 81
		refs = "0010 TWinControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 34 3B BE F8 02 00 00 75 0A 33 C0 89 86 F8 02 00 00 EB 22 3B BE FC 02 00 00 75 0A 33 C0 89 86 FC 02 00 00 EB 10 3B BE 00 03 00 00 75 08 33 C0 89 86 00 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79422_0 {
	meta:
		name = "TDirectoryListBox.SetDirLabelCaption"
		size = 141
		refs = "0010 TDirectoryListBox.SetDirLabelCaption 003d TDirectoryListBox.GetDirectory 0053 MinimizeName 005d TControl.SetText 0072 @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 00 03 00 00 85 F6 74 3D 8B 7B 50 80 BE BD 01 00 00 00 75 03 8B 7E 50 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 93 00 03 00 00 8B 92 B0 01 00 00 8B CF E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79423_0 {
	meta:
		name = "TFileListBox.Create"
		size = 188
		refs = "000a @ClassCreate 0017 TCustomListBox.Create 0023 TControl.SetWidth 002a TFileListBox.Create 003d @UGetDir 004d @UStrAsg 0076 TCustomListBox.SetSorted 007f TCustomListBox.SetStyle 0086 TFileListBox.ResetItemHeight 0091 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 91 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 86 00 03 00 00 8D 96 F8 02 00 00 33 C0 E8 ?? ?? ?? ?? 8D 86 FC 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 91 24 01 00 00 C7 86 28 03 00 00 FF FF FF FF 8B C6 8B 10 FF 92 38 01 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 40 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2A 00 2E 00 2A 00 00 00 }
	condition:
		$1
}

rule function_79424_0 {
	meta:
		name = "TFileListBox.Destroy"
		size = 93
		refs = "0003 @BeforeDestruction 001a TObject.Free 004b TCustomListBox.Destroy 0056 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 10 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 14 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 18 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79425_0 {
	meta:
		name = "TFileListBox.Update"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 40 01 00 00 C3 }
	condition:
		$1
}

rule function_79426_0 {
	meta:
		name = "TFileListBox.CreateWnd"
		size = 22
		refs = "0006 TCustomListBox.CreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 40 01 00 00 5B C3 }
	condition:
		$1
}

rule function_79427_0 {
	meta:
		name = "TFileListBox.IsMaskStored"
		size = 44
		refs = "0004 TFileListBox.IsMaskStored 000f @UStrEqual"
	strings:
		$1 = { 53 8B D8 B8 ?? ?? ?? ?? 8B 93 FC 02 00 00 E8 ?? ?? ?? ?? 0F 95 C0 5B C3 B0 04 02 00 FF FF FF FF 03 00 00 00 2A 00 2E 00 2A 00 00 00 }
	condition:
		$1
}

rule function_79428_0 {
	meta:
		name = "TFileListBox.GetDrive"
		size = 10
	strings:
		$1 = { 8B 80 F8 02 00 00 0F B7 00 C3 }
	condition:
		$1
}

rule function_79429_0 {
	meta:
		name = "TFileListBox.ReadBitmaps"
		size = 220
		refs = "0007 _Dn_TBitmap 000c TBitmap.Create 0019 TFileListBox.ReadBitmaps 001e HInstance 0024 LoadBitmap 002d TBitmap.SetHandle"
	strings:
		$1 = { 53 56 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 10 03 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 14 03 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 18 03 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 45 00 58 00 45 00 43 00 55 00 54 00 41 00 42 00 4C 00 45 00 00 00 00 00 43 00 4C 00 4F 00 53 00 45 00 44 00 46 00 4F 00 4C 00 44 00 45 00 52 00 00 00 00 00 55 00 4E 00 4B 00 4E 00 4F 00 57 00 4E 00 46 00 49 00 4C 00 45 00 00 00 }
	condition:
		$1
}

rule function_79430_0 {
	meta:
		name = "TFileListBox.ReadFileNames"
		size = 996
		refs = "0030 TSearchRec 0035 @InitializeRecord 003d TFileListBox.ReadFileNames 0057 TWinControl.HandleAllocated 0066 Attributes 00a5 ChDir 00aa @_IOTest 00c5 Screen 00f1 @UStrToPWChar 0106 StrScan 011e @UStrFromPWChar 0136 FindFirst 0199 Format 0202 ExtractFileExt 0210 AnsiLowerCase 022f @UStrEqual 02ac TScreen.SetCursor 02b7 FindNext 02ca FindClose 0306 @HandleFinally 032e @UStrClr 033e @UStrArrayClr 034f @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 81 C4 64 FD FF FF 53 56 33 D2 89 95 64 FD FF FF 89 95 70 FD FF FF 89 95 74 FD FF FF 89 55 FC 89 85 84 FD FF FF 8D 85 88 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 85 7E FD FF FF 00 00 8B 85 84 FD FF FF E8 ?? ?? ?? ?? 84 C0 0F 84 B7 02 00 00 33 C0 BA ?? ?? ?? ?? 8B 8D 84 FD FF FF 8B D8 80 FB 07 77 0D 83 E3 7F 0F B6 89 00 03 00 00 0F A3 D9 73 0A 0F B7 0A 66 09 8D 7E FD FF FF 40 83 C2 02 3C 06 75 D2 8B 85 84 FD FF FF 8B 80 F8 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 84 FD FF FF 8B 10 FF 92 04 01 00 00 33 C0 89 85 80 FD FF FF A1 ?? ?? ?? ?? 8B 00 0F B7 40 4C 66 89 85 7C FD FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 85 84 FD FF FF 8B 80 FC 02 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 E5 01 00 00 66 BA 3B 00 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 05 66 C7 06 00 00 8D 85 74 FD FF FF 8B D3 E8 ?? ?? ?? ?? 8B 85 74 FD FF FF 8D 8D 88 FD FF FF 0F B7 95 7E FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 85 8C 01 00 00 8B 85 84 FD FF FF F6 80 00 03 00 00 40 75 13 0F B7 85 7E FD FF FF 23 85 98 FD FF FF 0F 84 33 01 00 00 F6 85 98 FD FF FF 10 0F 84 84 00 00 00 8D 85 70 FD FF FF 50 8B 85 9C FD FF FF 89 85 68 FD FF FF C6 85 6C FD FF FF 11 8D 95 68 FD FF FF 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 70 FD FF FF 8B 85 84 FD FF FF 8B 80 88 02 00 00 8B 08 FF 51 38 89 85 80 FD FF FF 8B 85 84 FD FF FF 80 B8 2C 03 00 00 00 0F 84 CA 00 00 00 8B 85 84 FD FF FF 8B 88 14 03 00 00 8B 85 84 FD FF FF 8B 80 88 02 00 00 8B 95 80 FD FF FF 8B 18 FF 53 24 E9 A2 00 00 00 8D 95 64 FD FF FF 8B 85 9C FD FF FF E8 ?? ?? ?? ?? 8B 85 64 FD FF FF 8D 55 FC E8 ?? ?? ?? ?? 8B 85 84 FD FF FF 8B 80 18 03 00 00 89 85 78 FD FF FF 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 2D 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8B 85 84 FD FF FF 8B 80 10 03 00 00 89 85 78 FD FF FF 8B 85 84 FD FF FF 8B 80 88 02 00 00 8B 8D 78 FD FF FF 8B 95 9C FD FF FF 8B 18 FF 53 3C 89 85 80 FD FF FF 83 BD 80 FD FF FF 64 75 10 A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 8D 85 88 FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 84 7F FE FF FF 8D 85 88 FD FF FF E8 ?? ?? ?? ?? 85 F6 74 08 66 C7 06 3B 00 83 C6 02 8B DE 85 DB 0F 85 1B FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 0F B7 95 7C FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 85 84 FD FF FF 8B 10 FF 92 3C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 64 FD FF FF E8 ?? ?? ?? ?? 8D 85 70 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 88 FD FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 5B 00 25 00 73 00 5D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 65 00 78 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 63 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 62 00 61 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 70 00 69 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_79431_0 {
	meta:
		name = "TFileListBox.Click"
		size = 40
		refs = "0006 TControl.Click"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F8 00 00 00 3B 83 28 03 00 00 74 0A 8B C3 8B 10 FF 92 3C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_79432_0 {
	meta:
		name = "TFileListBox.Change"
		size = 203
		refs = "0010 TFileListBox.Change 0039 TFileListBox.GetFileName 0060 TControl.SetText 0085 TCustomEdit.SelectAll 00b2 @UStrClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 F8 00 00 00 89 83 28 03 00 00 83 BB 04 03 00 00 00 74 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 75 13 8B 93 FC 02 00 00 8B 83 04 03 00 00 E8 ?? ?? ?? ?? EB 18 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 83 04 03 00 00 E8 ?? ?? ?? ?? 8B 83 04 03 00 00 E8 ?? ?? ?? ?? 66 83 BB 22 03 00 00 00 74 0E 8B D3 8B 83 24 03 00 00 FF 93 20 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79433_0 {
	meta:
		name = "TFileListBox.SetShowGlyphs"
		size = 72
		refs = "002c TCustomListBox.GetItemHeight 0037 TFileListBox.ResetItemHeight"
	strings:
		$1 = { 53 56 8B F0 3A 96 2C 03 00 00 74 39 88 96 2C 03 00 00 80 BE 2C 03 00 00 01 75 20 8B 86 10 03 00 00 8B 10 FF 52 24 8B D8 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7E 07 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79434_0 {
	meta:
		name = "TFileListBox.GetFileName"
		size = 79
		refs = "002b TCustomListBox.GetSelected 0036 @UStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 8B 10 FF 92 F8 00 00 00 8B F0 85 F6 7C 1C 8B 83 88 02 00 00 8B 10 FF 52 14 85 C0 74 0D 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B C7 E8 ?? ?? ?? ?? EB 0F 8B CF 8B D6 8B 83 88 02 00 00 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79435_0 {
	meta:
		name = "TFileListBox.SetFileName"
		size = 127
		refs = "000f TFileListBox.SetFileName 001f TFileListBox.GetFileName 002b AnsiCompareFileName 0037 TWinControl.GetHandle 0043 SendTextMessage 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 33 C9 8B C6 E8 ?? ?? ?? ?? 85 C0 74 2A 56 8B C3 E8 ?? ?? ?? ?? 33 C9 BA A2 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 FC 00 00 00 8B C3 8B 10 FF 92 3C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79436_0 {
	meta:
		name = "TFileListBox.SetFileEdit"
		size = 141
		refs = "000e TFileListBox.SetFileEdit 0027 TComponent.FreeNotification 0031 TFileListBox.GetFileName 004f TControl.SetText 007c @UStrArrayClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C2 89 83 04 03 00 00 85 C0 74 42 8B D3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 1A 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 04 03 00 00 E8 ?? ?? ?? ?? EB 11 8B 93 FC 02 00 00 8B 83 04 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79437_0 {
	meta:
		name = "TFileListBox.DrawItem"
		size = 324
		refs = "0020 TFileListBox.DrawItem 0084 Bounds 0098 TBitmap.GetCanvas 012f @UStrClr 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 8B F1 8D 7D E4 A5 A5 A5 A5 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 98 02 00 00 89 45 F4 8D 55 E4 8B 45 F4 8B 08 FF 51 54 C7 45 F8 02 00 00 00 80 BE 2C 03 00 00 00 0F 84 A3 00 00 00 8B 55 FC 8B 86 88 02 00 00 8B 08 FF 51 18 8B D8 85 DB 0F 84 8B 00 00 00 8B C3 8B 10 FF 52 24 50 8D 45 D4 50 8B C3 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D4 50 8B C3 8B 10 FF 52 24 48 50 8B C3 E8 ?? ?? ?? ?? 33 D2 59 8B 38 FF 57 18 50 8B C3 8B 10 FF 52 24 50 8D 45 C4 50 8B C3 8B 10 FF 52 30 50 8B C3 8B 10 FF 52 24 8B 55 E8 03 55 F0 2B D0 D1 FA 79 03 83 D2 00 8B 45 E4 83 C0 02 59 E8 ?? ?? ?? ?? 8D 55 C4 8B CB 8B 45 F4 8B 38 FF 57 3C 8B C3 8B 10 FF 52 30 83 C0 06 89 45 F8 8D 4D C0 8B 55 FC 8B 86 88 02 00 00 8B 18 FF 53 0C 8B 45 C0 50 8B 55 E4 03 55 F8 8B 4D E8 8B 45 F4 8B 18 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_79438_0 {
	meta:
		name = "TFileListBox.SetDrive"
		size = 184
		refs = "0016 TFileListBox.SetDrive 006c Format 008e @UStrClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B D6 83 C2 9F 66 83 EA 1A 73 06 8B C6 66 25 DF FF 8B 93 F8 02 00 00 0F B7 0A 8B D1 8B F9 83 C7 9F 66 83 EF 1A 73 07 8B D1 66 81 E2 DF FF 66 3B D0 74 28 8D 45 FC 50 66 89 75 F4 C6 45 F8 09 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 48 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 25 00 73 00 3A 00 00 00 }
	condition:
		$1
}

rule function_79439_0 {
	meta:
		name = "TFileListBox.SetDirectory"
		size = 94
		refs = "0011 AnsiCompareFileName 0020 DirectoryExists 002f ChDir 0034 @_IOTest 004d @UGetDir"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C9 8B 93 F8 02 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 42 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 10 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 93 F8 02 00 00 33 C0 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 40 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79440_0 {
	meta:
		name = "TFileListBox.SetFileType"
		size = 42
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 83 00 03 00 00 3A 04 24 74 14 0F B6 04 24 88 83 00 03 00 00 8B C3 8B 10 FF 92 40 01 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_79441_0 {
	meta:
		name = "TFileListBox.SetMask"
		size = 47
		refs = "000f @UStrEqual 001e @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 FC 02 00 00 8B D6 E8 ?? ?? ?? ?? 74 17 8D 83 FC 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 40 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79443_0 {
	meta:
		name = "TFileListBox.ResetItemHeight"
		size = 65
		refs = "0008 GetItemHeight 003a TCustomListBox.SetItemHeight"
	strings:
		$1 = { 53 56 8B D8 8B 43 6C E8 ?? ?? ?? ?? 8B F0 80 BB 2C 03 00 00 01 75 1E 8B 83 10 03 00 00 8B 10 FF 52 24 40 3B F0 7D 0E 8B 83 10 03 00 00 8B 10 FF 52 24 8B F0 46 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79444_0 {
	meta:
		name = "TFileListBox.ApplyFilePath"
		size = 508
		refs = "0024 TFileListBox.ApplyFilePath 0043 AnsiCompareFileName 006f ProcessPath 00b8 Format 00c2 TFileListBox.SetDirectory 00db Pos 00fa TFileListBox.SetMask 0116 TFileListBox.SetFileName 0120 FileExists 012e TFileListBox.GetFileName 015f SInvalidFileName 0164 LoadResString 016e _Dn_EInvalidOperation 0173 Exception.CreateFmt 0178 @RaiseExcept 018d @UStrClr 01a2 @UStrArrayClr 01b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 C9 89 4D CC 89 4D D8 89 4D EC 89 4D F0 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 91 44 01 00 00 8B 45 F0 33 C9 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 84 2D 01 00 00 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 84 1A 01 00 00 8D 45 F8 50 8D 4D FC 8D 55 F6 8B C6 E8 ?? ?? ?? ?? 8B 83 08 03 00 00 85 C0 74 0C 8B D6 8B 08 FF 91 38 01 00 00 EB 49 66 83 7D F6 00 74 38 8D 45 EC 50 0F B7 45 F6 66 89 45 DC C6 45 E0 09 8B 45 FC 89 45 E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? EB 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 11 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 7C 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 6C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 26 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 83 7D D8 00 75 44 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 2E 89 75 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3A 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_79445_0 {
	meta:
		name = "TFileListBox.GetDirectory"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 F8 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79446_0 {
	meta:
		name = "TFileListBox.GetFilePath"
		size = 116
		refs = "0011 TFileListBox.GetFilePath 001e @UStrClr 0028 TFileListBox.GetFileName 0048 SlashSep 0062 @UStrArrayClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 1A 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B CE 8B 83 F8 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79447_0 {
	meta:
		name = "TFileListBox.Notification"
		size = 81
		refs = "0010 TWinControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 34 3B BE 04 03 00 00 75 0A 33 C0 89 86 04 03 00 00 EB 22 3B BE 08 03 00 00 75 0A 33 C0 89 86 08 03 00 00 EB 10 3B BE 0C 03 00 00 75 08 33 C0 89 86 0C 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79448_0 {
	meta:
		name = "TFilterComboBox.Create"
		size = 99
		refs = "000a @ClassCreate 0017 TCustomComboBox.Create 002e SDefaultFilter 0033 LoadResString 003a _Dn_TStringList 003f TStringList.Create 0050 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 02 8B C6 8B 08 FF 91 54 01 00 00 8D 96 18 03 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 20 03 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_79449_0 {
	meta:
		name = "TFilterComboBox.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TCustomComboBox.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 20 03 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79451_0 {
	meta:
		name = "TFilterComboBox.IsFilterStored"
		size = 89
		refs = "000c TFilterComboBox.IsFilterStored 001a SDefaultFilter 001f LoadResString 002d @UStrEqual 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 93 18 03 00 00 E8 ?? ?? ?? ?? 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_79452_0 {
	meta:
		name = "TFilterComboBox.SetFilter"
		size = 70
		refs = "0011 AnsiCompareFileName 0022 @UStrAsg 0029 TWinControl.HandleAllocated 0034 TFilterComboBox.BuildList 003f @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C9 8B 93 18 03 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 2A 8D 83 18 03 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE AE FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79453_0 {
	meta:
		name = "TFilterComboBox.SetFileListBox"
		size = 54
		refs = "0024 TComponent.FreeNotification"
	strings:
		$1 = { 53 8B D8 8B 83 1C 03 00 00 85 C0 74 08 33 C9 89 88 0C 03 00 00 8B C2 89 83 1C 03 00 00 85 C0 74 13 8B D3 E8 ?? ?? ?? ?? 8B 83 1C 03 00 00 89 98 0C 03 00 00 5B C3 }
	condition:
		$1
}

rule function_79454_0 {
	meta:
		name = "TFilterComboBox.Click"
		size = 25
		refs = "0007 TCustomComboBox.Click 0012 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE AE FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79455_0 {
	meta:
		name = "TFilterComboBox.GetMask"
		size = 124
		refs = "0059 TFilterComboBox.GetMask 005e @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 F8 00 00 00 85 C0 7D 18 8B 83 B4 02 00 00 8B 10 FF 52 14 8B D0 4A 8B C3 8B 08 FF 91 FC 00 00 00 8B C3 8B 10 FF 92 F8 00 00 00 85 C0 7C 1C 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B CE 8B 83 20 03 00 00 8B 18 FF 53 0C 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2A 00 2E 00 2A 00 00 00 }
	condition:
		$1
}

rule function_79456_0 {
	meta:
		name = "TFilterComboBox.BuildList"
		size = 316
		refs = "0011 TFilterComboBox.BuildList 003a @UStrLAsg 0047 AnsiPos 0065 @UStrCopy 0074 @UStrDelete 00bf @UStrClr 0118 @UStrArrayClr 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 92 04 01 00 00 8B 86 20 03 00 00 8B 10 FF 52 44 8D 45 FC 8B 96 18 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 A1 00 00 00 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 25 8D 45 F4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? EB 13 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 86 B4 02 00 00 8B 08 FF 51 38 8B 55 F4 8B 86 20 03 00 00 8B 08 FF 51 38 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 5F FF FF FF 33 D2 8B C6 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7C 00 00 00 }
	condition:
		$1
}

rule function_79457_0 {
	meta:
		name = "TFilterComboBox.Notification"
		size = 45
		refs = "0010 TWinControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 1C 03 00 00 75 08 33 C0 89 87 1C 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79458_0 {
	meta:
		name = "TFilterComboBox.Change"
		size = 94
		refs = "000d TFilterComboBox.Change 0027 TFilterComboBox.GetMask 0031 TFileListBox.SetMask 0038 TCustomComboBox.Change 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 1C 03 00 00 85 F6 74 14 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79459_0 {
	meta:
		name = "TSelectDirDlg.Create"
		size = 1536
		refs = "001f @ClassCreate 002c TSelectDirDlg.Create 003d TCustomForm.CreateNew 0045 SSelectDirCap 004a LoadResString 0054 TControl.SetText 005d TCustomForm.SetBorderStyle 0069 TCustomForm.SetClientWidth 0075 TCustomForm.SetClientHeight 007e TCustomForm.SetPosition 0087 _Dn_TEdit 008c TCustomEdit.Create 00c4 TControl.SetVisible 00cf TWinControl.SetTabOrder 00d8 _Dn_TLabel 00dd TCustomLabel.Create 0110 TCustomLabel.SetFocusControl 0118 SDirNameCap 0130 _DV_TDriveComboBox 0135 TDriveComboBox.Create 017f TSelectDirDlg.DriveListChange 01bb SDrivesCap 01e0 _DV_TPathLabel 01e5 TPathLabel.Create 021d _DV_TDirectoryListBox 0222 TDirectoryListBox.Create 0266 TWinControl.SetTabStop 0272 TCustomListBox.SetItemHeight 027b TCustomListBox.SetIntegralHeight 028b TSelectDirDlg.DirListChange 02c7 SDirsCap 02ec _DV_TFileListBox 02f1 TFileListBox.Create 0342 TFileListBox.SetFileType 034e TFileListBox.SetMask 035b TFont.SetColor 03a3 SFilesCap 03c8 _Dn_TButton 03cd TCustomButton.Create 0415 SNetworkCap 0434 TSelectDirDlg.NetClick 0489 TSelectDirDlg.OKClick 0491 SOKButton 04b3 TCustomButton.SetDefault 0507 SCancelButton 056d SHelpButton 058c TSelectDirDlg.HelpButtonClick 0595 TSelectDirDlg.FormCreate 05a2 TCustomForm.SetActiveControl 05bc @UStrArrayClr 05c2 @HandleFinally 05d1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? B2 03 8B C3 E8 ?? ?? ?? ?? BA A8 01 00 00 8B C3 E8 ?? ?? ?? ?? BA FF 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 04 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 94 03 00 00 8B D3 8B C6 8B 08 FF 91 84 00 00 00 68 39 01 00 00 6A 14 B9 18 00 00 00 BA 08 00 00 00 8B C6 8B 38 FF 97 A4 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 66 BA 01 00 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 91 84 00 00 00 6A 5C 6A 0D B9 08 00 00 00 BA 08 00 00 00 8B C6 8B 38 FF 97 A4 00 00 00 8B 93 94 03 00 00 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 98 03 00 00 8B D3 8B C6 8B 08 FF 91 84 00 00 00 68 B9 00 00 00 6A 13 B9 C0 00 00 00 BA E8 00 00 00 8B C6 8B 38 FF 97 A4 00 00 00 66 BA 02 00 8B C6 E8 ?? ?? ?? ?? 89 9E 94 02 00 00 C7 86 90 02 00 00 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 91 84 00 00 00 6A 29 6A 0D B9 B0 00 00 00 BA E8 00 00 00 8B C6 8B 38 FF 97 A4 00 00 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 93 98 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 9C 03 00 00 8B D3 8B C6 8B 08 FF 91 84 00 00 00 68 D5 00 00 00 6A 0D B9 08 00 00 00 BA 78 00 00 00 8B C6 8B 30 FF 96 A4 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 90 03 00 00 8B D3 8B C6 8B 08 FF 91 84 00 00 00 68 D5 00 00 00 68 8A 00 00 00 B9 48 00 00 00 BA 08 00 00 00 8B C6 8B 38 FF 97 A4 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? BA 11 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 89 9E 1C 03 00 00 C7 86 18 03 00 00 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 91 84 00 00 00 6A 42 6A 0D B9 38 00 00 00 BA 08 00 00 00 8B C6 8B 38 FF 97 A4 00 00 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 93 90 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B0 03 00 00 8B D3 8B C6 8B 08 FF 91 84 00 00 00 68 B9 00 00 00 6A 5D B9 48 00 00 00 BA E8 00 00 00 8B C6 8B 38 FF 97 A4 00 00 00 66 BA 06 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 11 00 00 FF 8B 46 6C E8 ?? ?? ?? ?? BA 0D 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 91 84 00 00 00 6A 39 6A 0D B9 38 00 00 00 BA E8 00 00 00 8B C6 8B 38 FF 97 A4 00 00 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 93 B0 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 AC 03 00 00 8B D3 8B C6 8B 08 FF 91 84 00 00 00 6A 4D 6A 1B B9 E0 00 00 00 BA 08 00 00 00 8B C6 8B 38 FF 97 A4 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 66 BA 03 00 8B C6 E8 ?? ?? ?? ?? 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 89 9E 1C 01 00 00 C7 86 18 01 00 00 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A0 03 00 00 8B D3 8B C6 8B 08 FF 91 84 00 00 00 6A 4D 6A 1B B9 E0 00 00 00 BA AC 00 00 00 8B C6 8B 38 FF 97 A4 00 00 00 66 BA 04 00 8B C6 E8 ?? ?? ?? ?? 89 9E 1C 01 00 00 C7 86 18 01 00 00 ?? ?? ?? ?? 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? C7 86 B4 02 00 00 01 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A4 03 00 00 8B D3 8B C6 8B 08 FF 91 84 00 00 00 6A 4D 6A 1B B9 E0 00 00 00 BA 00 01 00 00 8B C6 8B 38 FF 97 A4 00 00 00 66 BA 05 00 8B C6 E8 ?? ?? ?? ?? C6 86 81 02 00 00 01 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C6 E8 ?? ?? ?? ?? C7 86 B4 02 00 00 02 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A8 03 00 00 8B D3 8B C6 8B 08 FF 91 84 00 00 00 6A 4D 6A 1B B9 E0 00 00 00 BA 54 01 00 00 8B C6 8B 38 FF 97 A4 00 00 00 66 BA 07 00 8B C6 E8 ?? ?? ?? ?? 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B C6 E8 ?? ?? ?? ?? 89 9E 1C 01 00 00 C7 86 18 01 00 00 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 93 90 03 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 40 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2A 00 2E 00 2A 00 00 00 }
	condition:
		$1
}

rule function_79461_0 {
	meta:
		name = "TSelectDirDlg.DirListChange"
		size = 171
		refs = "0010 TSelectDirDlg.DirListChange 0024 TDirectoryListBox.GetDirectory 0032 TControl.SetText 005f TControl.GetText 0078 TCustomEdit.SelectAll 008d @UStrClr 009a @UStrArrayClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 B0 03 00 00 8B 08 FF 91 48 01 00 00 8D 55 F4 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79462_0 {
	meta:
		name = "TSelectDirDlg.FormCreate"
		size = 224
		refs = "000a TSelectDirDlg.FormCreate 000f GetModuleHandle 001c GetProcAddress 0056 TControl.SetVisible 006a TControl.GetBoundsRect 0077 TControl.SetBoundsRect 0080 TSelectDirDlg.DirListChange"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B D8 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 8B E8 89 EE 85 ED 74 32 66 B8 FF FF FF D6 0F B7 C0 8B F0 85 F6 74 23 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 8B F8 89 BB B8 03 00 00 85 FF 0F 95 C2 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? C6 83 B4 03 00 00 00 8B D4 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B D4 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 75 00 73 00 65 00 72 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 57 00 4E 00 45 00 54 00 47 00 45 00 54 00 43 00 41 00 50 00 53 00 00 00 57 00 4E 00 45 00 54 00 43 00 4F 00 4E 00 4E 00 45 00 43 00 54 00 44 00 49 00 41 00 4C 00 4F 00 47 00 00 00 }
	condition:
		$1
}

rule function_79463_0 {
	meta:
		name = "TSelectDirDlg.DriveListChange"
		size = 29
		refs = "000a TDriveComboBox.GetDrive 0017 TDirectoryListBox.SetDrive"
	strings:
		$1 = { 53 8B D8 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79464_0 {
	meta:
		name = "TSelectDirDlg.SetAllowCreate"
		size = 55
		refs = "001f TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 3A 93 B4 03 00 00 74 2A 8B C2 88 83 B4 03 00 00 8B D0 80 F2 01 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 0F B6 93 B4 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79465_0 {
	meta:
		name = "TSelectDirDlg.SetDirectory"
		size = 360
		refs = "0016 TSelectDirDlg.SetDirectory 002e ExpandFileName 003e SlashSep 0075 TDriveComboBox.SetDrive 0080 ExtractFilePath 008b @UStrLAsg 00b9 @UStrCopy 00dc @HandleOnException 00e4 _Dn_EInOutError 00f2 @UGetDir 011f @DoneExcept 0139 @UStrArrayClr 0141 @UStrClr 0147 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 FB 00 00 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 03 0F 8C CC 00 00 00 8B 45 FC 66 83 78 02 3A 0F 85 BE 00 00 00 8B 45 FC 0F B7 10 8B 45 F8 8B 80 98 03 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 EC 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 8B 80 90 03 00 00 8B 08 FF 91 38 01 00 00 33 C0 5A 59 59 64 89 10 EB 48 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 10 8B 45 F8 8B 80 98 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 90 03 00 00 8B 55 FC 8B 08 FF 91 38 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 2A 00 2E 00 2A 00 00 00 }
	condition:
		$1
}

rule function_79466_0 {
	meta:
		name = "TSelectDirDlg.GetDirectory"
		size = 47
		refs = "0018 TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB B4 03 00 00 00 74 10 8B D6 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79467_0 {
	meta:
		name = "TSelectDirDlg.NetClick"
		size = 32
		refs = "000f TWinControl.GetHandle"
	strings:
		$1 = { 53 8B D8 83 BB B8 03 00 00 00 74 12 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 FF 93 B8 03 00 00 5B C3 }
	condition:
		$1
}

rule function_79468_0 {
	meta:
		name = "TSelectDirDlg.OKClick"
		size = 164
		refs = "000f TSelectDirDlg.OKClick 0031 TSelectDirDlg.GetDirectory 0039 DirectoryExists 0045 SConfirmCreateDir 004a LoadResString 0067 MessageDlgPosHelp 008e @UStrArrayClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB B4 03 00 00 00 74 56 80 BB B5 03 00 00 00 74 4D 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 37 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 03 0F B7 15 ?? ?? ?? ?? 33 F6 56 6A FF 6A FF 6A 00 8B CA 8B 55 FC 92 E8 ?? ?? ?? ?? 83 F8 06 74 08 33 C0 89 83 C0 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 03 00 00 00 }
	condition:
		$1
}

rule function_79469_0 {
	meta:
		name = "SelectDirectory"
		size = 480
		refs = "0018 SelectDirectory 0024 Application 002d _DV_TSelectDirDlg 0032 TSelectDirDlg.Create 004d TSelectDirDlg.SetDirectory 005c TSelectDirDlg.SetAllowCreate 0071 Screen 008e TWinControl.ScaleBy 009e TControl.SetParentFont 00aa TScreen.GetWidth 00ca TCustomForm.SetLeft 00d6 TScreen.GetHeight 00f6 TCustomForm.SetTop 010c TFont.SetColor 0120 TControl.SetVisible 013a TControl.SetLeft 0160 TControl.SetHelpContext 0181 TSelectDirDlg.GetDirectory 018b @UStrAsg 0198 ForceDirectories 01ad TObject.Free 01b3 @HandleFinally 01ca @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 13 8B 45 F8 E8 ?? ?? ?? ?? F6 45 FF 01 0F 95 C2 8B 45 F8 E8 ?? ?? ?? ?? F6 45 FF 04 0F 95 C0 8B 55 F8 88 82 B5 03 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 48 83 F8 60 0F 84 8D 00 00 00 8B D0 B9 60 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 B0 03 00 00 B2 01 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 D1 FA 79 03 83 D2 00 8B 45 F8 8B 40 50 D1 F8 79 03 83 D0 00 2B D0 8B 45 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 D1 FA 79 03 83 D2 00 8B 45 F8 8B 40 54 D1 F8 79 03 83 D0 00 2B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 B0 03 00 00 8B 40 6C BA 11 00 00 FF E8 ?? ?? ?? ?? 85 F6 75 46 8B 45 F8 8B 80 A8 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 A4 03 00 00 8B 50 48 8B 45 F8 8B 80 A0 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 A8 03 00 00 8B 50 48 8B 45 F8 8B 80 A4 03 00 00 E8 ?? ?? ?? ?? EB 0A 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 48 0F 94 45 FE 80 7D FE 00 74 22 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? F6 45 FF 02 74 07 8B 03 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79470_0 {
	meta:
		name = "SelectDirCB"
		size = 26
		refs = "0012 TSelectDirCallback.SelectDirCB"
	strings:
		$1 = { 55 8B EC 8B 45 14 8B 55 10 52 50 8B 4D 0C 8B 55 08 E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_79471_0 {
	meta:
		name = "SelectDirectory"
		size = 695
		refs = "001f SelectDirectory 0033 DirectoryExists 003f @UStrClr 004e @FillChar 0056 @IntfClear 005c SHGetMalloc 009b @WStrEqual 00ab SHGetDesktopFolder 00be @WStrToPWChar 00c6 Application 00e3 TWinControl.HandleAllocated 0100 TWinControl.GetHandle 0116 @UStrToPWChar 0120 SelectDirCB 0178 _DV_TSelectDirCallback 017d TSelectDirCallback.Create 01a9 DisableTaskWindows 01b3 SetErrorMode 01cd SHBrowseForFolder 01ee EnableTaskWindows 01f4 @HandleFinally 0224 TObject.Free 0247 SHGetPathFromIDList 025f @UStrFromPWChar"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F4 8B F2 8B F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8B 45 F4 8B 00 E8 ?? ?? ?? ?? 84 C0 75 08 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 B0 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 85 1D 02 00 00 83 7D FC 00 0F 84 13 02 00 00 68 04 01 00 00 8B 45 FC 50 8B 00 FF 50 0C 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 D4 8B C6 33 D2 E8 ?? ?? ?? ?? 74 3B 8D 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 E4 50 8D 45 D4 50 8D 45 E8 50 8B C6 E8 ?? ?? ?? ?? 50 6A 00 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 50 8B 45 F8 50 8B 00 FF 50 0C 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 12 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 89 45 B0 EB 0A 8B C3 E8 ?? ?? ?? ?? 89 45 B0 8B 45 D4 89 45 B4 8B 45 D8 89 45 B8 8B C7 E8 ?? ?? ?? ?? 89 45 BC C7 45 C4 ?? ?? ?? ?? C7 45 C0 01 00 00 00 F6 45 0C 08 74 04 83 4D C0 40 F6 45 0C 01 75 07 81 4D C0 00 02 00 00 F6 45 0C 02 74 04 83 4D C0 10 F6 45 0C 04 74 07 81 4D C0 00 80 00 00 F6 45 0C 10 74 07 81 4D C0 00 40 00 00 F6 45 0C 20 74 04 83 4D C0 20 8B 4D F4 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 E8 ?? ?? ?? ?? 89 45 DC 6A 01 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 B0 50 E8 ?? ?? ?? ?? 89 45 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? F6 45 0C 08 C3 E9 ?? ?? ?? ?? EB F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D D0 00 0F 95 45 F3 80 7D F3 00 74 25 8B 45 D8 50 8B 45 D0 50 E8 ?? ?? ?? ?? 8B 45 D0 50 8B 45 FC 50 8B 00 FF 50 14 8B 45 F4 8B 55 D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 50 8B 45 FC 50 8B 00 FF 50 14 C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_79475_0 {
	meta:
		name = "TSelectDirCallback.SelectDirCB"
		size = 380
		refs = "001a TSelectDirCallback.SelectDirCB 0033 Application 0043 TWinControl.GetHandle 004a Screen 0053 TScreen.MonitorFromWindow 0076 GetWindowRect 0083 TMonitor.GetHeight 009b TMonitor.GetTop 00a5 TMonitor.GetWidth 00bd TMonitor.GetLeft 00cb SetWindowPos 00d9 @UStrToPWChar 00ea SendMessage 0102 SInvalidPath 0107 LoadResString 011e Format 013a MessageDlgPosHelp 0156 @UStrClr 0164 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D E0 89 5D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 83 F9 01 0F 85 BE 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 58 48 85 DB 74 1B 8B C3 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B D8 EB 12 A1 ?? ?? ?? ?? 8B 00 33 C9 33 D2 E8 ?? ?? ?? ?? 8B D8 8D 45 E4 50 8B 45 F8 50 E8 ?? ?? ?? ?? 6A 05 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 45 F0 2B 45 E8 2B F8 D1 FF 79 03 83 D7 00 8B C3 E8 ?? ?? ?? ?? 03 F8 57 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 45 EC 2B 45 E4 2B F8 D1 FF 79 03 83 D7 00 8B C3 E8 ?? ?? ?? ?? 03 F8 57 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 83 7E 04 00 74 70 8B 46 04 E8 ?? ?? ?? ?? 50 6A 01 68 67 04 00 00 8B 45 F8 50 E8 ?? ?? ?? ?? EB 55 83 F9 04 74 05 83 F9 03 75 4B 8D 45 FC 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8B 55 0C 89 55 D8 C6 45 DC 0A 8D 55 D8 33 C9 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? C7 45 F4 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5F 5E 5B 8B E5 5D C2 08 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_79481_0 {
	meta:
		name = "IsIconic"
		size = 34
		refs = "0002 Application 001d IsIconic"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 3B 82 78 01 00 00 75 0D A1 ?? ?? ?? ?? 80 78 38 01 F5 1B C0 C3 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79484_0 {
	meta:
		name = "ShowMDIClientEdge"
		size = 88
		refs = "0015 GetWindowLongPtr 003e SetWindowLongPtr 0050 SetWindowPos"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 85 FF 74 49 8B C7 BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 84 DB 74 0C F6 C4 02 75 32 0D 00 02 00 00 EB 0A F6 C4 02 74 26 25 FF FD FF FF 8B D7 BE EC FF FF FF 50 56 52 E8 ?? ?? ?? ?? 6A 37 6A 00 6A 00 6A 00 6A 00 6A 00 57 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79485_0 {
	meta:
		name = "ChangeAppWindow"
		size = 213
		refs = "0015 GetWindowLongPtr 0043 IsIconic 0053 IsWindowVisible 0070 ShowWindow 008a SetWindowLongPtr"
	strings:
		$1 = { 53 56 57 51 88 0C 24 8B DA 8B F0 8B C6 BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 8B F8 84 DB 74 08 F7 C7 00 00 04 00 74 1A 84 DB 0F 85 A1 00 00 00 B8 00 00 04 00 23 C7 3D 00 00 04 00 0F 85 8F 00 00 00 56 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 88 44 24 02 56 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 88 44 24 01 0F B6 44 24 01 0A 44 24 02 74 08 6A 00 56 E8 ?? ?? ?? ?? 84 DB 74 18 8B C6 BA EC FF FF FF B9 00 00 04 00 0B CF 51 52 50 E8 ?? ?? ?? ?? EB 16 8B C6 BA EC FF FF FF B9 FF FF FB FF 23 CF 51 52 50 E8 ?? ?? ?? ?? 0F B6 04 24 22 44 24 01 75 07 80 7C 24 02 00 74 19 80 7C 24 02 00 74 0A 6A 06 56 E8 ?? ?? ?? ?? EB 08 6A 05 56 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79486_0 {
	meta:
		name = "DoneApplication"
		size = 59
		refs = "0001 Application 0016 TApplication.DoShowOwnedPopups 0022 TApplication.SetShowHint 002c TComponent.Destroying 0036 TComponent.DestroyComponents"
	strings:
		$1 = { A1 ?? ?? ?? ?? 83 B8 78 01 00 00 00 74 0C 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79487_0 {
	meta:
		name = "DoDisableWindow"
		size = 77
		refs = "0009 TaskActiveWindow 0011 IsWindowVisible 001b IsWindowEnabled 0029 @GetMem 002f TaskWindowList 0041 EnableWindow"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 3B 1D ?? ?? ?? ?? 74 36 53 E8 ?? ?? ?? ?? 85 C0 74 2C 53 E8 ?? ?? ?? ?? 85 C0 74 22 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 89 58 04 A3 ?? ?? ?? ?? 6A 00 53 E8 ?? ?? ?? ?? 83 C8 FF 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_79488_0 {
	meta:
		name = "ProcessWMEnableMessages"
		size = 42
		refs = "000d DispatchMessage 001e PeekMessage"
	strings:
		$1 = { 55 8B EC 83 C4 E4 EB 09 8D 45 E4 50 E8 ?? ?? ?? ?? 6A 01 6A 0A 6A 0A 6A 00 8D 45 E4 50 E8 ?? ?? ?? ?? 85 C0 75 E2 8B E5 5D C3 }
	condition:
		$1
}

rule function_79489_0 {
	meta:
		name = "DisableTaskWindows"
		size = 195
		refs = "0010 TaskActiveWindow 0019 TaskWindowList 002d DoDisableWindow 0035 DisableTaskWindows 0041 DisablingWindows 0058 GetCurrentThreadId 005e EnumThreadWindows 0075 @HandleAnyException 007f EnableTaskWindows 0084 @RaiseAgain 0089 @DoneExcept 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 FC 8B 15 ?? ?? ?? ?? 89 55 F8 8B 15 ?? ?? ?? ?? 89 55 F4 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? BB ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 05 ?? ?? ?? ?? 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 53 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 8B 45 F4 A3 ?? ?? ?? ?? 8B 45 F8 A3 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79490_0 {
	meta:
		name = "EnableTaskWindows"
		size = 55
		refs = "000f IsWindow 001e EnableWindow 002c @FreeMem"
	strings:
		$1 = { 53 56 8B F0 85 F6 74 2C 8B DE 8B 43 04 50 E8 ?? ?? ?? ?? 85 C0 74 0B 6A FF 8B 43 04 50 E8 ?? ?? ?? ?? 8B 33 BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 F6 75 D4 5E 5B C3 }
	condition:
		$1
}

rule function_79491_0 {
	meta:
		name = "DoFindWindow"
		size = 106
		refs = "0009 TaskActiveWindow 0010 Application 001e IsWindowVisible 0028 IsWindowEnabled 003a GetWindowLongPtr 0044 TaskFirstWindow 0055 TaskFirstTopMost"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 3B 1D ?? ?? ?? ?? 74 53 A1 ?? ?? ?? ?? 3B 98 78 01 00 00 74 46 53 E8 ?? ?? ?? ?? 85 C0 74 3C 53 E8 ?? ?? ?? ?? 85 C0 74 32 8B C3 BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? A8 08 75 11 83 3D ?? ?? ?? ?? 00 75 17 89 1D ?? ?? ?? ?? EB 0F 83 3D ?? ?? ?? ?? 00 75 06 89 1D ?? ?? ?? ?? 83 C8 FF 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_79492_0 {
	meta:
		name = "FindTopMostWindow"
		size = 62
		refs = "0002 TaskActiveWindow 0009 TaskFirstWindow 0010 TaskFirstTopMost 0015 DoFindWindow 001d GetCurrentThreadId 0023 EnumThreadWindows"
	strings:
		$1 = { 53 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? BB ?? ?? ?? ?? 6A 00 53 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 07 A1 ?? ?? ?? ?? 5B C3 A1 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79493_0 {
	meta:
		name = "SendFocusMessage"
		size = 32
		refs = "0003 FocusCount 0011 SendMessage"
	strings:
		$1 = { 53 8B 1D ?? ?? ?? ?? 6A 00 6A 00 0F B7 D2 52 50 E8 ?? ?? ?? ?? 3B 1D ?? ?? ?? ?? 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_79494_0 {
	meta:
		name = "CheckTaskWindow"
		size = 32
	strings:
		$1 = { 55 8B EC 53 8B 45 0C 83 CA FF 8B C8 8B 19 3B 5D 08 75 06 33 D2 C6 41 04 01 8B C2 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_79495_0 {
	meta:
		name = "CheckTaskWindowAll"
		size = 56
		refs = "0016 GetWindowThreadProcessId 001f GetCurrentProcessId"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 0C 8B 5D 08 83 CF FF 8D 45 FC 50 53 E8 ?? ?? ?? ?? 3B 1E 75 10 E8 ?? ?? ?? ?? 3B 45 FC 75 06 33 FF C6 46 04 01 8B C7 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_79496_0 {
	meta:
		name = "ForegroundTaskCheck"
		size = 66
		refs = "0007 GetActiveWindow 001b CheckTaskWindowAll 0020 EnumWindows 002a CheckTaskWindow 002f GetCurrentThreadId 0035 EnumThreadWindows"
	strings:
		$1 = { 53 83 C4 F8 8B D8 E8 ?? ?? ?? ?? 89 04 24 C6 44 24 04 00 84 DB 74 0F 8B C4 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 8B C4 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0F B6 44 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_79497_0 {
	meta:
		name = "ForegroundTask"
		size = 8
		refs = "0003 ForegroundTaskCheck"
	strings:
		$1 = { 33 C0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79498_0 {
	meta:
		name = "FindGlobalComponent"
		size = 125
		refs = "0007 Screen 000c TScreen.GetFormCount 0022 TScreen.GetForm 0034 CompareText 0046 TScreen.GetDataModuleCount 005c TScreen.GetDataModule"
	strings:
		$1 = { 53 56 57 55 8B E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 29 46 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 F6 43 1D 02 75 0E 8B 53 08 8B C5 E8 ?? ?? ?? ?? 85 C0 74 3A 47 4E 75 DA A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 23 46 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 53 08 8B C5 E8 ?? ?? ?? ?? 85 C0 74 06 47 4E 75 E0 33 DB 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79508_0 {
	meta:
		name = "KeysToShiftState"
		size = 84
		refs = "0007 KeysToShiftState 003b GetKeyState"
	strings:
		$1 = { 53 56 8B D8 0F B7 35 ?? ?? ?? ?? F6 C3 04 74 04 66 83 CE 01 F6 C3 08 74 04 66 83 CE 04 F6 C3 01 74 04 66 83 CE 08 F6 C3 02 74 04 66 83 CE 10 F6 C3 10 74 04 66 83 CE 20 6A 12 E8 ?? ?? ?? ?? 66 85 C0 7D 04 66 83 CE 02 8B C6 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_79509_0 {
	meta:
		name = "KeyDataToShiftState"
		size = 64
		refs = "0007 KeyDataToShiftState 000e GetKeyState"
	strings:
		$1 = { 53 56 8B F0 0F B7 1D ?? ?? ?? ?? 6A 10 E8 ?? ?? ?? ?? 66 85 C0 7D 04 66 83 CB 01 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 04 66 83 CB 04 F7 C6 00 00 00 20 74 04 66 83 CB 02 8B C3 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_79510_0 {
	meta:
		name = "KeyboardStateToShiftState"
		size = 80
		refs = "0007 KeyboardStateToShiftState"
	strings:
		$1 = { 53 56 8B D8 0F B7 35 ?? ?? ?? ?? F6 43 10 80 74 04 66 83 CE 01 F6 43 11 80 74 04 66 83 CE 04 F6 43 12 80 74 04 66 83 CE 02 F6 43 01 80 74 04 66 83 CE 08 F6 43 02 80 74 04 66 83 CE 10 F6 43 04 80 74 04 66 83 CE 20 8B C6 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_79511_0 {
	meta:
		name = "KeyboardStateToShiftState"
		size = 32
		refs = "0009 GetKeyboardState 0010 KeyboardStateToShiftState"
	strings:
		$1 = { 53 81 C4 00 FF FF FF 54 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B D8 8B C3 81 C4 00 01 00 00 5B C3 }
	condition:
		$1
}

rule function_79512_0 {
	meta:
		name = "IsAccel"
		size = 111
		refs = "0011 IsAccel 0021 GetHotkey 002f @UStrFromWChar 003a CompareText 005b @UStrArrayClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 B1 01 5A E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79513_0 {
	meta:
		name = "GetRealParentForm"
		size = 65
		refs = "0013 _DV_TCustomForm 0018 @IsClass"
	strings:
		$1 = { 53 56 8B DA 8B F0 EB 03 8B 76 38 84 DB 75 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 06 83 7E 38 00 75 E2 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 8B C6 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_79514_0 {
	meta:
		name = "GetParentForm"
		size = 14
		refs = "0009 GetRealParentForm"
	strings:
		$1 = { F6 40 1C 10 74 02 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79515_0 {
	meta:
		name = "ValidParentForm"
		size = 128
		refs = "0013 ValidParentForm 0020 GetParentForm 003e SParentRequired 0043 LoadResString 004d _Dn_EInvalidOperation 0052 Exception.CreateFmt 0057 @RaiseExcept 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 31 8B 46 08 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79516_0 {
	meta:
		name = "TControlScrollBar.Create"
		size = 137
		refs = "000e @ClassCreate 001d TObject.Create 0072 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 0F B6 45 08 88 47 18 66 B9 50 00 66 89 4F 0A 0F B7 C1 B9 0A 00 00 00 33 D2 F7 F1 66 89 47 08 C6 47 1C 01 C7 47 20 0A 00 00 00 C7 47 40 04 00 00 00 C7 47 3C 0C 00 00 00 C7 47 28 14 00 00 FF C6 47 2C 01 C6 47 44 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_79517_0 {
	meta:
		name = "TControlScrollBar.IsIncrementStored"
		size = 7
	strings:
		$1 = { 0F B6 40 1F 34 01 C3 }
	condition:
		$1
}

rule function_79518_0 {
	meta:
		name = "TControlScrollBar.Assign"
		size = 80
		refs = "000b _DV_TControlScrollBar 0010 @IsClass 0021 TControlScrollBar.SetVisible 002b TControlScrollBar.SetRange 0035 TControlScrollBar.SetPosition 0048 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8B FE 0F B6 57 1C 8B C3 E8 ?? ?? ?? ?? 8B 57 10 8B C3 E8 ?? ?? ?? ?? 8B 57 0C 8B C3 E8 ?? ?? ?? ?? 0F B7 47 08 66 89 43 08 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79519_0 {
	meta:
		name = "TControlScrollBar.ChangeBiDiPosition"
		size = 55
		refs = "000c TControlScrollBar.IsScrollBarVisible 0018 TControl.UseRightToLeftScrollBar 0025 TControlScrollBar.SetPosition"
	strings:
		$1 = { 53 8B D8 80 7B 18 00 75 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 8B 43 04 E8 ?? ?? ?? ?? 84 C0 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 0A 8B 53 10 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79520_0 {
	meta:
		name = "ProcessHorz"
		size = 112
		refs = "0027 ProcessHorz"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 7B 61 00 74 59 0F B6 43 65 2C 01 72 0A 2C 02 74 06 FE C8 74 40 EB 47 80 7B 65 03 74 15 0F B6 05 ?? ?? ?? ?? 22 43 6B 0F B6 15 ?? ?? ?? ?? 3A D0 75 2C 8B 45 08 8B 40 FC 8B 55 08 8B 52 F8 8B 52 0C 03 53 48 03 53 50 3B D0 7C 02 8B C2 8B 55 08 89 42 FC EB 09 8B 45 08 8B 53 50 01 50 F4 5B 5D C3 05 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_79521_0 {
	meta:
		name = "ProcessVert"
		size = 108
		refs = "0021 ProcessVert"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 7B 61 00 74 53 0F B6 43 65 2C 02 72 04 74 40 EB 47 80 7B 65 01 74 15 0F B6 05 ?? ?? ?? ?? 22 43 6B 0F B6 15 ?? ?? ?? ?? 3A D0 75 2C 8B 45 08 8B 40 FC 8B 55 08 8B 52 F8 8B 52 0C 03 53 4C 03 53 54 3B D0 7C 02 8B C2 8B 55 08 89 42 FC EB 09 8B 45 08 8B 53 54 01 50 F4 5B 5D C3 00 00 0A 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_79522_0 {
	meta:
		name = "TControlScrollBar.CalcAutoRange"
		size = 171
		refs = "003d TWinControl.GetControlCount 005e TWinControl.GetControl 0063 ProcessHorz 0079 ProcessVert 0095 TControlScrollBar.DoSetRange"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 45 F8 8B 45 F8 8B 58 04 80 BB 7C 02 00 00 00 0F 84 87 00 00 00 8B C3 8B 10 FF 92 F8 00 00 00 84 C0 74 6F 33 C0 89 45 FC 33 C0 89 45 F4 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 3A 43 33 F6 8B 45 F8 80 78 18 00 75 16 55 8B 45 F8 8B 40 04 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 14 55 8B 45 F8 8B 40 04 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 75 C9 8B 55 FC 03 55 F4 8B 45 F8 0F B7 40 1A 03 D0 8B 45 F8 E8 ?? ?? ?? ?? EB 0A 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79523_0 {
	meta:
		name = "TControlScrollBar.IsScrollBarVisible"
		size = 54
		refs = "001b TWinControl.GetHandle 0027 GetWindowLongPtr"
	strings:
		$1 = { 53 BB 00 00 10 00 80 78 18 01 75 05 BB 00 00 20 00 80 78 1C 00 74 1B 8B 40 04 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 85 C3 0F 95 C0 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_79524_0 {
	meta:
		name = "ScrollBarVisible"
		size = 54
		refs = "001e TWinControl.GetHandle 002a GetWindowLongPtr"
	strings:
		$1 = { 55 8B EC 53 BB 00 00 10 00 66 83 F8 01 75 05 BB 00 00 20 00 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 85 C3 0F 95 C0 5B 5D C3 }
	condition:
		$1
}

rule function_79525_0 {
	meta:
		name = "Adjustment"
		size = 116
		refs = "0025 ScrollBarVisible 0033 GetSystemMetrics"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 33 DB 8B 45 08 80 78 FB 00 75 58 8B 45 08 80 78 FA 00 74 25 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 59 84 C0 75 15 0F B7 C7 50 E8 ?? ?? ?? ?? 8B D8 8B 45 08 2B 58 F4 F7 DB EB 2A 8B 45 08 80 78 FA 00 75 21 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 59 84 C0 74 11 0F B7 C7 50 E8 ?? ?? ?? ?? 8B D8 8B 45 08 2B 58 F4 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_79526_0 {
	meta:
		name = "TControlScrollBar.ControlSize"
		size = 131
		refs = "0017 TWinControl.GetHandle 0023 GetWindowLongPtr 0046 Adjustment 0054 TControl.GetClientHeight 0076 TControl.GetClientWidth"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D FA 88 55 FB 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? A9 00 00 84 00 0F 95 C0 83 E0 7F 89 45 F4 8B 45 FC 80 78 18 01 75 20 55 66 BA 15 00 33 C0 E8 ?? ?? ?? ?? 59 8B D8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 03 D8 8B C3 EB 20 55 66 BA 14 00 66 B8 01 00 E8 ?? ?? ?? ?? 59 8B D8 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 03 D8 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79527_0 {
	meta:
		name = "TControlScrollBar.GetScrollPos"
		size = 14
	strings:
		$1 = { 33 D2 80 78 1C 00 74 03 8B 50 0C 8B C2 C3 }
	condition:
		$1
}

rule function_79528_0 {
	meta:
		name = "TControlScrollBar.NeedsScrollBarVisible"
		size = 22
		refs = "000a TControlScrollBar.ControlSize"
	strings:
		$1 = { 53 8B D8 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 3B 43 10 0F 9C C0 5B C3 }
	condition:
		$1
}

rule function_79529_0 {
	meta:
		name = "GetRealScrollPosition"
		size = 91
		refs = "0042 TWinControl.GetHandle 0048 FlatSB_GetScrollInfo"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 C7 45 E4 1C 00 00 00 C7 45 E8 10 00 00 00 33 DB 8B 45 08 8B 40 FC 80 78 18 01 75 05 BB 01 00 00 00 8B 45 08 8B 70 F8 0F BF 76 06 8D 45 E4 50 53 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 03 8B 75 FC 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79530_0 {
	meta:
		name = "TControlScrollBar.ScrollMessage"
		size = 766
		refs = "00a3 GetTickCount 00c0 Sleep 00ef TControlScrollBar.SetPosition 01d6 TControlScrollBar.ScrollMessage 023a TControlScrollBar.ControlSize 0282 GetRealScrollPosition"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 55 F8 89 45 FC 8B 45 FC 80 78 1F 00 0F 84 A7 01 00 00 8B 45 F8 0F B7 40 04 66 83 E8 04 0F 83 96 01 00 00 8B 45 F8 0F B7 40 04 66 83 E8 02 72 08 66 83 E8 02 72 23 EB 47 8B 45 FC 0F B7 58 08 8B C3 8B 55 FC 8B 4A 40 99 F7 F9 89 45 F4 8B C3 99 F7 F9 89 55 F0 8B F9 EB 32 8B 45 FC 0F B7 40 0A 89 45 F4 8B 45 FC 8B 58 3C 8B 45 F4 99 F7 FB 89 55 F0 8B 45 F4 99 F7 FB 89 45 F4 8B FB EB 0C 33 FF 33 C0 89 45 F4 33 C0 89 45 F0 33 C0 89 45 EC 85 FF 0F 8E A1 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B F3 2B 75 EC 8B 45 FC 3B 70 20 73 0E 8B 45 FC 8B 40 20 2B C6 50 E8 ?? ?? ?? ?? 89 5D EC 8B 45 F8 0F B7 40 04 66 83 E8 01 72 0E 74 1F 66 FF C8 74 2D 66 FF C8 74 3B EB 4A 8B 45 FC 8B 50 0C 2B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 37 8B 45 FC 8B 50 0C 03 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 24 8B 45 FC 8B 50 0C 2B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 11 8B 45 FC 8B 50 0C 03 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 10 FF 92 A8 00 00 00 4F 85 FF 0F 8F 5F FF FF FF 83 7D F0 00 0F 8E AA 01 00 00 8B 45 F8 0F B7 40 04 66 83 E8 01 72 11 74 25 66 FF C8 74 36 66 FF C8 74 47 E9 8C 01 00 00 8B 45 FC 8B 50 0C 2B 55 F0 8B 45 FC E8 ?? ?? ?? ?? E9 76 01 00 00 8B 45 FC 8B 50 0C 03 55 F0 8B 45 FC E8 ?? ?? ?? ?? E9 60 01 00 00 8B 45 FC 8B 50 0C 2B 55 F0 8B 45 FC E8 ?? ?? ?? ?? E9 4A 01 00 00 8B 45 FC 8B 50 0C 03 55 F0 8B 45 FC E8 ?? ?? ?? ?? E9 34 01 00 00 8B 45 F8 0F BF 40 04 83 F8 07 0F 87 24 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 50 0C 8B 45 FC 0F B7 40 08 2B D0 8B 45 FC E8 ?? ?? ?? ?? E9 E1 00 00 00 8B 45 FC 8B 50 0C 8B 45 FC 0F B7 40 08 03 D0 8B 45 FC E8 ?? ?? ?? ?? E9 C5 00 00 00 33 C9 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 52 0C 2B D0 8B 45 FC E8 ?? ?? ?? ?? E9 A4 00 00 00 33 C9 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 03 50 0C 8B 45 FC E8 ?? ?? ?? ?? E9 83 00 00 00 8B 45 FC 81 78 14 FF 7F 00 00 7E 13 55 E8 ?? ?? ?? ?? 59 8B D0 8B 45 FC E8 ?? ?? ?? ?? EB 64 8B 55 F8 0F BF 52 06 8B 45 FC E8 ?? ?? ?? ?? EB 53 8B 45 FC 80 78 1D 00 74 4A 8B 45 FC 81 78 14 FF 7F 00 00 7E 13 55 E8 ?? ?? ?? ?? 59 8B D0 8B 45 FC E8 ?? ?? ?? ?? EB 2B 8B 55 F8 0F BF 52 06 8B 45 FC E8 ?? ?? ?? ?? EB 1A 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 0E 8B 45 FC 8B 50 14 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79531_0 {
	meta:
		name = "TControlScrollBar.SetButtonSize"
		size = 61
		refs = "0016 SysConsts 001c GetSystemMetrics 002d TScrollingWinControl.UpdateScrollBars"
	strings:
		$1 = { 53 56 8B D8 3B 53 24 74 31 8B F2 85 F6 75 13 0F B6 43 18 8B 04 85 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 89 53 24 C6 43 44 01 8B 43 04 E8 ?? ?? ?? ?? 85 F6 75 05 33 C0 89 43 24 5E 5B C3 }
	condition:
		$1
}

rule function_79532_0 {
	meta:
		name = "TControlScrollBar.SetColor"
		size = 25
		refs = "0014 TScrollingWinControl.UpdateScrollBars"
	strings:
		$1 = { 3B 50 28 74 13 89 50 28 C6 40 2C 00 C6 40 44 01 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79533_0 {
	meta:
		name = "TControlScrollBar.SetParentColor"
		size = 23
		refs = "0012 TControlScrollBar.SetColor"
	strings:
		$1 = { 3A 50 2C 74 11 88 50 2C 84 D2 74 0A BA 14 00 00 FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79534_0 {
	meta:
		name = "TControlScrollBar.SetPosition"
		size = 187
		refs = "004f TWinControl.ScrollBy 006f GetParentForm 0093 TWinControl.GetHandle 0099 FlatSB_GetScrollPos 00b3 FlatSB_SetScrollPos"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 04 F6 40 1C 02 74 08 89 53 0C E9 A1 00 00 00 8B 43 14 3B D0 7E 04 8B D0 EB 06 85 D2 7D 02 33 D2 80 7B 18 00 75 04 33 F6 EB 04 66 BE 01 00 8B 43 0C 3B D0 74 4F 89 53 0C 80 7B 18 00 75 10 2B C2 8B D0 33 C9 8B 43 04 E8 ?? ?? ?? ?? EB 0E 8B C8 2B CA 8B 43 04 33 D2 E8 ?? ?? ?? ?? 8B 43 04 F6 40 1C 10 74 1F 33 D2 E8 ?? ?? ?? ?? 85 C0 74 14 83 B8 C4 02 00 00 00 74 0B 8B 80 C4 02 00 00 8B 10 FF 52 0C 0F B7 FE 57 8B 43 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B 43 0C 74 15 6A FF 8B 43 0C 50 57 8B 43 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79535_0 {
	meta:
		name = "TControlScrollBar.SetSize"
		size = 61
		refs = "0016 SysConsts 001c GetSystemMetrics 002d TScrollingWinControl.UpdateScrollBars"
	strings:
		$1 = { 53 56 8B D8 3B 53 30 74 31 8B F2 85 F6 75 13 0F B6 43 18 8B 04 85 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 89 53 30 C6 43 44 01 8B 43 04 E8 ?? ?? ?? ?? 85 F6 75 05 33 C0 89 43 30 5E 5B C3 }
	condition:
		$1
}

rule function_79536_0 {
	meta:
		name = "TControlScrollBar.SetStyle"
		size = 21
		refs = "0010 TScrollingWinControl.UpdateScrollBars"
	strings:
		$1 = { 3A 50 34 74 0F 88 50 34 C6 40 44 01 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79537_0 {
	meta:
		name = "TControlScrollBar.SetThumbSize"
		size = 21
		refs = "0010 TScrollingWinControl.UpdateScrollBars"
	strings:
		$1 = { 3B 50 38 74 0F 89 50 38 C6 40 44 01 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79538_0 {
	meta:
		name = "TControlScrollBar.DoSetRange"
		size = 23
		refs = "0012 TScrollingWinControl.UpdateScrollBars"
	strings:
		$1 = { 8B CA 89 48 10 85 C9 7D 05 33 D2 89 50 10 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79539_0 {
	meta:
		name = "TControlScrollBar.SetRange"
		size = 20
		refs = "000f TControlScrollBar.DoSetRange"
	strings:
		$1 = { 8B 48 04 C6 81 7C 02 00 00 00 C6 40 1E 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79540_0 {
	meta:
		name = "TControlScrollBar.IsRangeStored"
		size = 13
	strings:
		$1 = { 8B 40 04 0F B6 80 7C 02 00 00 34 01 C3 }
	condition:
		$1
}

rule function_79541_0 {
	meta:
		name = "TControlScrollBar.SetVisible"
		size = 12
		refs = "0007 TScrollingWinControl.UpdateScrollBars"
	strings:
		$1 = { 88 50 1C 8B 40 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79542_0 {
	meta:
		name = "UpdateScrollProperties"
		size = 264
		refs = "001d Styles 002e Props 0039 TWinControl.GetHandle 003f FlatSB_SetScrollProp 00de ColorToRGB"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 75 08 83 C6 FC 80 FB 01 F5 1B C0 50 8B 06 0F B6 40 34 8B 04 85 ?? ?? ?? ?? 50 8B 06 0F B6 40 18 8D 04 80 8B 04 85 ?? ?? ?? ?? 50 8B 06 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 06 83 78 24 00 7E 29 6A 00 8B 06 8B 40 24 50 8B 06 0F B6 40 18 8D 04 80 8B 04 85 ?? ?? ?? ?? 50 8B 06 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 06 83 78 38 00 7E 29 6A 00 8B 06 8B 40 38 50 8B 06 0F B6 40 18 8D 04 80 8B 04 85 ?? ?? ?? ?? 50 8B 06 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 06 83 78 30 00 7E 29 6A 00 8B 06 8B 40 30 50 8B 06 0F B6 40 18 8D 04 80 8B 04 85 ?? ?? ?? ?? 50 8B 06 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 06 8B 40 28 E8 ?? ?? ?? ?? 50 8B 06 0F B6 40 18 8D 04 80 8B 04 85 ?? ?? ?? ?? 50 8B 06 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_79543_0 {
	meta:
		name = "TControlScrollBar.Update"
		size = 275
		refs = "003d TControlScrollBar.ControlSize 00a9 UpdateScrollProperties 00be TWinControl.GetHandle 00c4 FlatSB_SetScrollInfo 00d0 TControlScrollBar.SetPosition"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 88 4D FA 88 55 FB 89 45 FC 8D 75 FC 8B 06 33 D2 89 50 14 33 DB 8B 06 80 78 18 01 75 04 66 BB 01 00 8B 06 80 78 1C 00 74 26 0F B6 4D FA 0F B6 55 FB 8B 06 E8 ?? ?? ?? ?? 8B 16 8B 7A 10 2B F8 8B 06 89 78 14 85 FF 7D 07 8B 06 33 D2 89 50 14 C7 45 DC 1C 00 00 00 C7 45 E0 17 00 00 00 33 C0 89 45 E4 8B 06 83 78 14 00 7E 0A 8B 06 8B 40 10 89 45 E8 EB 05 33 C0 89 45 E8 0F B6 4D FA 0F B6 55 FB 8B 06 E8 ?? ?? ?? ?? 40 89 45 EC 8B 06 8B 40 0C 89 45 F0 89 45 F4 8B 16 33 C0 88 42 44 55 E8 ?? ?? ?? ?? 59 6A FF 8D 45 DC 50 0F B7 C3 50 8B 06 8B 40 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 06 8B 50 0C 8B 06 E8 ?? ?? ?? ?? 33 C9 B2 01 8B 06 E8 ?? ?? ?? ?? 8D 04 C0 B9 0A 00 00 00 99 F7 F9 8B D8 8B 06 66 89 58 0A 8B 06 80 78 1F 00 74 12 0F B7 C3 B9 0A 00 00 00 33 D2 F7 F1 8B 16 66 89 42 08 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79544_0 {
	meta:
		name = "TScrollingWinControl.Create"
		size = 164
		refs = "000d @ClassCreate 001b TWinControl.Create 0024 TScrollingWinControl.Create 0032 _DV_TControlScrollBar 0037 TControlScrollBar.Create 0081 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 80 02 00 00 6A 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 90 02 00 00 C6 83 7C 02 00 00 00 8B 83 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 88 50 10 0F B6 15 ?? ?? ?? ?? 88 50 11 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 00 00 00 00 00 02 00 12 00 00 00 17 00 00 00 }
	condition:
		$1
}

rule function_79545_0 {
	meta:
		name = "TScrollingWinControl.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 001a TObject.Free 0038 TWinControl.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 80 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 90 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79547_0 {
	meta:
		name = "TScrollingWinControl.CreateWnd"
		size = 62
		refs = "0006 TWinControl.CreateWnd 000b SysLocale 0020 CheckWin32Version 002b TWinControl.GetHandle 0031 InitializeFlatSB 0038 TScrollingWinControl.UpdateScrollBars"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 0D 00 75 20 BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 0D 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79548_0 {
	meta:
		name = "TScrollingWinControl.AlignControls"
		size = 31
		refs = "000c TScrollingWinControl.CalcAutoRange 0017 TWinControl.AlignControls"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_115146_0 {
	meta:
		name = "TXMLSchemaItems.AddItem"
		size = 31
		refs = "000c TXMLSchemaItems.CheckParent 0017 TXMLNodeCollection.AddItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79549_0 {
	meta:
		name = "TScrollingWinControl.AutoScrollEnabled"
		size = 30
	strings:
		$1 = { 80 78 66 00 75 12 80 B8 F4 01 00 00 00 74 0C 80 B8 F3 01 00 00 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_79550_0 {
	meta:
		name = "TScrollingWinControl.DoFlipChildren"
		size = 278
		refs = "000f _Dn_TList 0014 TObject.Create 001f TScrollingWinControl.DoFlipChildren 002d TControl.GetClientWidth 0040 TControlScrollBar.IsScrollBarVisible 006a TControlScrollBar.SetPosition 0072 TWinControl.GetControlCount 0086 TWinControl.GetControl 009c TList.Add 00ac TControl.SetLeft 00ca TList.Get 00d6 TControl.Perform 00ee TControlScrollBar.ChangeBiDiPosition 0103 TObject.Free 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 98 80 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 08 8B 43 10 3B 45 F8 7F 04 33 C0 EB 02 B0 01 88 45 F7 80 7D F7 00 74 0F 8B 43 10 89 45 F8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 37 46 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F8 2B 57 50 2B 57 48 8B C7 E8 ?? ?? ?? ?? 43 4E 75 CC 8B 45 F0 8B 70 08 4E 85 F6 7C 1F 46 33 DB 6A 00 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 BA 3E B0 00 00 E8 ?? ?? ?? ?? 43 4E 75 E4 80 7D F7 00 74 0E 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79551_0 {
	meta:
		name = "TScrollingWinControl.DoGesture"
		size = 113
		refs = "003f TControlScrollBar.SetPosition"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 81 3E 04 01 75 61 C6 01 01 F6 46 0C 01 74 14 8B 46 04 89 83 84 02 00 00 8B 46 08 89 83 88 02 00 00 EB 44 8B 83 80 02 00 00 8B 50 0C 8B 4E 04 2B 8B 84 02 00 00 2B D1 E8 ?? ?? ?? ?? 8B 83 90 02 00 00 8B 50 0C 8B 4E 08 2B 8B 88 02 00 00 2B D1 E8 ?? ?? ?? ?? 8B 46 04 89 83 84 02 00 00 8B 46 08 89 83 88 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79552_0 {
	meta:
		name = "TScrollingWinControl.DoGetGestureOptions"
		size = 52
		refs = "000b TControl.DoGetGestureOptions 0020 TScrollingWinControl.DoGetGestureOptions"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? F6 03 02 74 16 80 BE 7C 02 00 00 00 75 0D 0F B6 05 ?? ?? ?? ?? F7 D0 22 03 88 03 5E 5B C3 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_79553_0 {
	meta:
		name = "TScrollingWinControl.CalcAutoRange"
		size = 36
		refs = "0013 TControlScrollBar.CalcAutoRange"
	strings:
		$1 = { 53 8B D8 83 BB 78 02 00 00 00 7F 16 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 83 90 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79554_0 {
	meta:
		name = "TScrollingWinControl.SetAutoScroll"
		size = 58
		refs = "0018 TScrollingWinControl.CalcAutoRange 0027 TControlScrollBar.SetRange"
	strings:
		$1 = { 53 8B D8 3A 93 7C 02 00 00 74 2D 88 93 7C 02 00 00 84 D2 74 09 8B C3 E8 ?? ?? ?? ?? EB 1A 33 D2 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 90 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79556_0 {
	meta:
		name = "TScrollingWinControl.SetVertScrollBar"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 90 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_79557_0 {
	meta:
		name = "TScrollingWinControl.UpdateScrollBars"
		size = 285
		refs = "001b TWinControl.HandleAllocated 002b TScrollingWinControl.UpdateScrollBars 0049 TControlScrollBar.NeedsScrollBarVisible 005f TControlScrollBar.Update 00eb StyleServices 0108 TWinControl.GetHandle 010e SendMessage 0114 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 80 B8 8C 02 00 00 00 0F 85 03 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 F3 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 8C 02 00 00 01 8B 45 FC 8B 80 90 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 26 8B 45 FC 8B 80 80 02 00 00 B1 01 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 90 02 00 00 33 C9 B2 01 E8 ?? ?? ?? ?? EB 5C 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 26 8B 45 FC 8B 80 90 02 00 00 B1 01 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 80 02 00 00 33 C9 B2 01 E8 ?? ?? ?? ?? EB 24 8B 45 FC 8B 80 90 02 00 00 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 80 02 00 00 33 C9 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 8C 02 00 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 14 01 00 00 A8 01 74 17 6A 00 6A 00 68 85 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 59 5D C3 }
	condition:
		$1
}

rule function_79558_0 {
	meta:
		name = "TScrollingWinControl.AutoScrollInView"
		size = 28
		refs = "0017 TScrollingWinControl.ScrollInView"
	strings:
		$1 = { 85 D2 74 17 F6 42 1C 01 75 11 F6 40 1C 01 75 0B F6 40 1C 08 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79559_0 {
	meta:
		name = "TScrollingWinControl.DisableAutoRange"
		size = 7
	strings:
		$1 = { FF 80 78 02 00 00 C3 }
	condition:
		$1
}

rule function_79560_0 {
	meta:
		name = "TScrollingWinControl.EnableAutoRange"
		size = 54
		refs = "0031 TScrollingWinControl.CalcAutoRange"
	strings:
		$1 = { 83 B8 78 02 00 00 00 7E 2C FF 88 78 02 00 00 83 B8 78 02 00 00 00 75 1D 8B 90 80 02 00 00 80 7A 1C 00 75 0C 8B 90 90 02 00 00 80 7A 1C 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79561_0 {
	meta:
		name = "TScrollingWinControl.IsTouchPropertyStored"
		size = 76
		refs = "000b TControl.IsTouchPropertyStored 0021 TScrollingWinControl.IsTouchPropertyStored"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 80 EB 01 72 04 74 18 EB 29 8B 86 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 3A 50 10 0F 95 C0 5E 5B C3 8B 86 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 3A 50 11 0F 95 C0 5E 5B C3 12 00 00 00 17 00 00 00 }
	condition:
		$1
}

rule function_79562_0 {
	meta:
		name = "TScrollingWinControl.ScrollInView"
		size = 337
		refs = "0046 TControl.ClientToScreen 0055 TControl.ScreenToClient 00a3 TControlScrollBar.SetPosition 00ac TControl.GetClientWidth 0108 TControl.GetClientHeight"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F2 8B D8 8B FC 85 F6 0F 84 34 01 00 00 8B D7 8B C6 8B 08 FF 51 60 8B 83 80 02 00 00 0F B7 40 1A 29 07 01 47 08 8B 83 90 02 00 00 0F B7 40 1A 29 47 04 01 47 0C 8D 4C 24 18 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 54 24 18 8D 4C 24 10 8B C3 E8 ?? ?? ?? ?? 8B 44 24 10 89 07 8B 44 24 14 89 47 04 8D 4C 24 18 8D 57 08 8B C6 E8 ?? ?? ?? ?? 8D 54 24 18 8D 4C 24 10 8B C3 E8 ?? ?? ?? ?? 8B 44 24 10 89 47 08 8B 44 24 14 89 47 0C 8B 37 85 F6 7D 12 8B 83 80 02 00 00 8B 50 0C 03 D6 E8 ?? ?? ?? ?? EB 43 8B C3 E8 ?? ?? ?? ?? 8B 6F 08 3B C5 7D 35 8B C3 E8 ?? ?? ?? ?? 2B EE 3B C5 7D 0C 8B C3 E8 ?? ?? ?? ?? 03 07 89 47 08 8B B3 80 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 56 0C 03 57 08 2B D0 8B C6 E8 ?? ?? ?? ?? 8B 77 04 85 F6 7D 12 8B 83 90 02 00 00 8B 50 0C 03 D6 E8 ?? ?? ?? ?? EB 44 8B C3 E8 ?? ?? ?? ?? 8B 6F 0C 3B C5 7D 36 8B C3 E8 ?? ?? ?? ?? 2B EE 3B C5 7D 0D 8B C3 E8 ?? ?? ?? ?? 03 47 04 89 47 0C 8B B3 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 56 0C 03 57 0C 2B D0 8B C6 E8 ?? ?? ?? ?? 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79563_0 {
	meta:
		name = "TScrollingWinControl.ScaleScrollBars"
		size = 164
		refs = "0031 TControlScrollBar.SetPosition 005e MulDiv 0067 TControlScrollBar.SetRange"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 3B FE 74 7D F6 43 1C 01 75 14 8B 83 80 02 00 00 C6 40 1E 01 8B 83 90 02 00 00 C6 40 1E 01 33 D2 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 90 02 00 00 E8 ?? ?? ?? ?? 80 BB 7C 02 00 00 00 75 40 8B AB 80 02 00 00 80 7D 1E 00 74 14 57 56 8B 45 10 50 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 8B AB 90 02 00 00 80 7D 1E 00 74 14 57 56 8B 45 10 50 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 C6 40 1E 00 8B 83 90 02 00 00 C6 40 1E 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79564_0 {
	meta:
		name = "TScrollingWinControl.ChangeScale"
		size = 35
		refs = "0010 TScrollingWinControl.ScaleScrollBars 001b TWinControl.ChangeScale"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90841_0 {
	meta:
		name = "TBarSeries.CalcHorizMargins"
		size = 35
		refs = "0010 TCustomChartSeries.CalcHorizMargins 001b TCustomBarSeries.InternalApplyBarMargin"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90857_0 {
	meta:
		name = "THorizBarSeries.CalcVerticalMargins"
		size = 35
		refs = "0010 TCustomChartSeries.CalcVerticalMargins 001b TCustomBarSeries.InternalApplyBarMargin"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79566_0 {
	meta:
		name = "TScrollingWinControl.WMSize"
		size = 237
		refs = "0019 TScrollingWinControl.WMSize 0029 TWinControl.WMSize 006d @HandleFinally 009c TScrollingWinControl.CalcAutoRange 00e4 TScrollingWinControl.UpdateScrollBars"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC FF 80 78 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 8B 53 04 83 EA 01 72 07 74 09 4A 74 0A EB 0A 33 C0 EB 06 B0 01 EB 02 B0 02 8B D0 8B 45 FC 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FF 88 78 02 00 00 C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC 0F B6 80 8C 02 00 00 88 45 FB 8B 45 FC C6 80 8C 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B6 55 FB 88 90 8C 02 00 00 C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 8B 80 80 02 00 00 80 78 1C 00 75 0F 8B 45 FC 8B 80 90 02 00 00 80 78 1C 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79567_0 {
	meta:
		name = "TScrollingWinControl.WMHScroll"
		size = 36
		refs = "0019 TControlScrollBar.ScrollMessage 001f TWinControl.WMHScroll"
	strings:
		$1 = { 83 7A 08 00 75 18 8B 88 80 02 00 00 80 79 1C 00 74 0C 8B 80 80 02 00 00 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79568_0 {
	meta:
		name = "TScrollingWinControl.WMVScroll"
		size = 36
		refs = "0019 TControlScrollBar.ScrollMessage 001f TWinControl.WMVScroll"
	strings:
		$1 = { 83 7A 08 00 75 18 8B 88 90 02 00 00 80 79 1C 00 74 0C 8B 80 90 02 00 00 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79569_0 {
	meta:
		name = "TScrollingWinControl.AdjustClientRect"
		size = 128
		refs = "000e TControl.GetClientWidth 0028 TControl.GetClientHeight 005e Bounds 0075 TWinControl.AdjustClientRect"
	strings:
		$1 = { 53 56 57 83 C4 EC 89 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 93 80 02 00 00 8B 52 10 3B C2 7D 04 8B F2 EB 02 8B F0 8B C3 E8 ?? ?? ?? ?? 8B 93 90 02 00 00 8B 52 10 3B C2 7E 04 8B F8 EB 02 8B FA 57 8D 44 24 08 50 8B 83 90 02 00 00 8B 50 0C F7 DA 8B 83 80 02 00 00 8B 40 0C F7 D8 8B CE E8 ?? ?? ?? ?? 8B 04 24 8D 74 24 04 8B F8 A5 A5 A5 A5 8B 14 24 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79570_0 {
	meta:
		name = "TScrollingWinControl.CMBiDiModeChanged"
		size = 142
		refs = "0019 TScrollingWinControl.CMBiDiModeChanged 0028 _DV_TScrollBox 002d @IsClass 0046 TWinControl.CMBiDiModeChanged 0062 @HandleFinally 006c TWinControl.HandleAllocated 007e TControlScrollBar.ChangeBiDiPosition 0086 TScrollingWinControl.UpdateScrollBars"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 F8 8B 40 04 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0A 8B 45 F8 C7 40 04 01 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 55 F4 89 50 04 C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_79571_0 {
	meta:
		name = "TScrollBox.CMVisibleChanged"
		size = 25
		refs = "0006 TWinControl.CMVisibleChanged 0013 TScrollingWinControl.UpdateScrollBars"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 61 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83370_0 {
	meta:
		name = "TCustomRibbonPage.RequestAlign"
		size = 25
		refs = "0006 TWinControl.RequestAlign 0013 TCustomRibbonPage.AlignGroups"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 61 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79572_0 {
	meta:
		name = "TScrollBox.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TScrollingWinControl.Create 001c TScrollBox.Create 0028 TScrollingWinControl.SetAutoScroll 0034 TControl.SetWidth 0040 TControl.SetHeight 0052 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 58 B2 01 8B C6 E8 ?? ?? ?? ?? BA B9 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 29 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 98 02 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 AB 00 28 00 }
	condition:
		$1
}

rule function_79574_0 {
	meta:
		name = "TScrollBox.CreateParams"
		size = 77
		refs = "000b TScrollingWinControl.CreateParams 0019 BorderStyles 0021 NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 83 98 02 00 00 8B 04 85 ?? ?? ?? ?? 09 46 04 A1 ?? ?? ?? ?? 80 38 00 74 20 80 BB F1 01 00 00 00 74 17 80 BB 98 02 00 00 01 75 0E 81 66 04 FF FF 7F FF 81 4E 08 00 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79577_0 {
	meta:
		name = "TScrollBox.CMCtl3DChanged"
		size = 44
		refs = "0007 NewStyleControls 001c TWinControl.RecreateWnd 0025 TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 10 80 BB 98 02 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79579_0 {
	meta:
		name = "TCustomFrame.Create"
		size = 264
		refs = "0017 @ClassCreate 0024 TCustomFrame.Create 0033 TScrollingWinControl.Create 0045 _DV_TFrame 0065 InitInheritedComponent 0073 TObject.ClassName 008b SResNotFound 0090 LoadResString 009a _Dn_EResNotFound 009f Exception.CreateFmt 00a4 @RaiseExcept 00b2 TControl.SetWidth 00be TControl.SetHeight 00d8 @UStrArrayClr 00de @HandleFinally 00ed @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D F0 89 5D EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 58 8B 13 89 D0 3B 05 ?? ?? ?? ?? 74 0B F6 43 1D 04 0F 95 C0 34 01 EB 02 33 C0 84 C0 74 4E 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 55 8D 55 F0 8B 03 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 BA 40 01 00 00 8B C3 E8 ?? ?? ?? ?? BA F0 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 8B E5 5D C3 00 00 AB 00 2C 00 }
	condition:
		$1
}

rule function_79580_0 {
	meta:
		name = "TCustomFrame.CreateParams"
		size = 38
		refs = "000b TScrollingWinControl.CreateParams 0016 Application"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7B 38 00 75 0E A1 ?? ?? ?? ?? 8B 80 78 01 00 00 89 46 1C 5E 5B C3 }
	condition:
		$1
}

rule function_79582_0 {
	meta:
		name = "TCustomFrame.PaintWindow"
		size = 94
		refs = "000f _DV_TForm 0014 @IsClass 0038 StyleServices 0048 TWinControl.GetParentBackground"
	strings:
		$1 = { 53 56 8B D8 F6 43 1C 10 74 51 8B 43 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3F 8B 73 38 83 BE C4 02 00 00 00 74 33 8B 86 C4 02 00 00 8B 10 FF 52 38 3B D8 75 24 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 86 C4 02 00 00 8B 10 FF 52 28 5E 5B C3 }
	condition:
		$1
}

rule function_79583_0 {
	meta:
		name = "TCustomFrame.SetParent"
		size = 131
		refs = "0010 TWinControl.HandleAllocated 0023 TWinControl.UpdateRecreatingFlag 002b TCustomFrame.SetParent 0055 TWinControl.SetParent 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 38 00 0F 94 C0 22 45 FB 74 0B 8B 45 FC 8B 10 FF 92 CC 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79584_0 {
	meta:
		name = "TCustomActiveForm.Create"
		size = 96
		refs = "000a @ClassCreate 001e TCustomForm.Create 0027 TCustomForm.SetBorderStyle 002e TCustomActiveForm.Create 0035 TCustomForm.SetBorderIcons 003e TWinControl.SetTabStop 0049 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 86 90 03 00 00 01 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_79585_0 {
	meta:
		name = "TCustomActiveForm.SetAxBorderStyle"
		size = 26
		refs = "0015 TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 90 03 00 00 74 11 88 90 90 03 00 00 F6 40 1C 10 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79586_0 {
	meta:
		name = "TCustomActiveForm.CreateParams"
		size = 84
		refs = "000b TCustomForm.CreateParams"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 75 3C 81 66 04 FF FF 3F FF 0F B6 83 90 03 00 00 FE C8 74 0A FE C8 74 0F FE C8 74 14 EB 20 81 4E 04 00 00 80 00 EB 17 81 4E 08 00 02 00 00 EB 0E 81 4E 04 00 00 40 00 81 4E 08 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79587_0 {
	meta:
		name = "TCustomActiveForm.WantChildKey"
		size = 59
		refs = "0029 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B 33 81 FE 02 01 00 00 75 06 83 7B 04 09 74 1E 8B 43 08 50 8B 4B 04 8B D6 81 C2 00 BC 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79589_0 {
	meta:
		name = "TCustomForm.Create"
		size = 448
		refs = "0018 @ClassCreate 0026 TCustomForm.Create 0036 TScrollingWinControl.Create 003b GlobalNameSpace 0055 Application 0081 @CallDynaInst 008e _DV_TForm 00c7 InitInheritedComponent 00d8 TObject.ClassName 00f0 SResNotFound 00f5 LoadResString 00ff _Dn_EResNotFound 0104 Exception.CreateFmt 0109 @RaiseExcept 0126 @HandleFinally 018c @UStrArrayClr 01a2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D EC 89 5D E8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 14 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 0F B6 80 D5 00 00 00 8B 55 FC 88 82 78 03 00 00 84 C0 74 0C A1 ?? ?? ?? ?? C6 80 D5 00 00 00 00 8B 45 FC 66 BE A4 FF E8 ?? ?? ?? ?? 8B 55 FC 8B 12 89 D0 3B 05 ?? ?? ?? ?? 0F 84 AB 00 00 00 8B 45 FC F6 40 1C 10 0F 85 9E 00 00 00 8B 45 FC 80 88 8C 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 3E 8D 55 EC 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 A0 8C 03 00 00 FE C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 80 B8 81 03 00 00 00 74 0B 8B 45 FC 8B 10 FF 92 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB EC 8B 45 FC 8B 40 58 0B 05 ?? ?? ?? ?? 8B 55 FC 89 42 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C3 00 00 00 00 00 40 00 }
	condition:
		$1
}

rule function_79590_0 {
	meta:
		name = "TCustomForm.AfterConstruction"
		size = 53
		refs = "0027 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 80 BB 81 03 00 00 00 75 0A 8B C3 8B 10 FF 92 08 01 00 00 F6 83 8C 03 00 00 20 74 12 8B C3 66 BE AE FF E8 ?? ?? ?? ?? 80 A3 8C 03 00 00 DF 5E 5B C3 }
	condition:
		$1
}

rule function_79591_0 {
	meta:
		name = "TCustomForm.InitializeNewForm"
		size = 372
		refs = "0005 TCustomForm.InitializeNewForm 0011 TCustomForm.SetLeft 001a TCustomForm.SetTop 0026 TControl.SetWidth 0032 TControl.SetHeight 0039 _Dn_TIcon 003e TIcon.Create 004d GetSystemMetrics 007a TCustomForm.IconChanged 0088 _Dn_TControlCanvas 008d TCanvas.Create 009e TControlCanvas.SetControl 00cc Screen 00de _DV_TGlassFrame 00e3 TGlassFrame.Create 00f5 TCustomForm.UpdateGlassFrame 0125 TCustomForm.SetVisible 012e TControl.SetParentColor 0137 TControl.SetParentFont 014c TWinControl.SetCtl3D 0158 TScreen.AddForm"
	strings:
		$1 = { 53 56 8B D8 A1 ?? ?? ?? ?? 89 43 58 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA 40 01 00 00 8B C3 E8 ?? ?? ?? ?? BA F0 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B4 02 00 00 6A 31 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 44 6A 32 E8 ?? ?? ?? ?? 8B D0 8B 83 B4 02 00 00 8B 08 FF 51 38 8B 83 B4 02 00 00 89 58 14 C7 40 10 ?? ?? ?? ?? C6 83 A7 02 00 00 02 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 AC 02 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 83 A0 02 00 00 C6 83 A1 02 00 00 02 C6 83 A2 02 00 00 00 C6 83 A8 02 00 00 03 C6 83 B8 02 00 00 00 A1 ?? ?? ?? ?? 8B 40 48 89 83 CC 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 7C 03 00 00 89 5E 24 C7 46 20 ?? ?? ?? ?? C6 83 80 03 00 00 00 C6 83 AB 02 00 00 01 8B 13 89 D0 89 83 B0 00 00 00 C6 83 49 03 00 00 FF 33 C0 89 83 74 03 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 E8 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 83 6C 03 00 00 0A 00 00 00 5E 5B C3 00 00 00 AB 00 28 00 07 00 00 00 }
	condition:
		$1
}

rule function_79592_0 {
	meta:
		name = "TCustomForm.CreateNew"
		size = 72
		refs = "000e @ClassCreate 001b TScrollingWinControl.Create 0026 @CallDynaInst 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 66 BE A4 FF E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_79593_0 {
	meta:
		name = "TCustomForm.BeforeDestruction"
		size = 114
		refs = "0004 GlobalNameSpace 0012 TComponent.Destroying 0017 Screen 0023 TList.RemoveItem 002c RemoveFixupReferences 0059 TCustomForm.Hide"
	strings:
		$1 = { 56 8B F0 A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 14 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 7C 8B D6 33 C9 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 83 BE D4 02 00 00 00 74 0B 8B 86 D4 02 00 00 8B 10 FF 52 0C 80 BE A6 02 00 00 01 74 10 F6 86 8C 03 00 00 04 75 07 8B C6 E8 ?? ?? ?? ?? 80 BE 81 03 00 00 00 75 0A 8B C6 8B 10 FF 92 0C 01 00 00 5E C3 }
	condition:
		$1
}

rule function_79594_0 {
	meta:
		name = "TCustomForm.Destroy"
		size = 305
		refs = "0007 @BeforeDestruction 0015 Application 001a TApplication.RemovePopupForm 0028 GlobalNameSpace 0037 TCustomForm.Destroy 005e TCustomForm.MergeMenu 0066 TWinControl.HandleAllocated 007d Screen 0082 TScreen.RemoveForm 0097 TObject.Free 00fa TScrollingWinControl.Destroy 0119 @HandleFinally 0129 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC F6 40 1C 08 75 0C A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 14 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 80 B8 81 03 00 00 00 74 0B 8B 45 FC 8B 10 FF 92 0C 01 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 FC 8B 10 FF 92 D0 00 00 00 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 AC 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 05 B4 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 05 4C 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 05 58 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 05 7C 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 18 C3 E9 ?? ?? ?? ?? EB EC 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_79595_0 {
	meta:
		name = "TCustomForm.DoCreate"
		size = 124
		refs = "001b TCustomForm.DoCreate 0042 @HandleAnyException 004e @CallDynaInst 0057 @RaiseAgain 005c @DoneExcept 0072 TCustomForm.SetVisible"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 66 83 B8 3A 03 00 00 00 74 49 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 55 FC 8B 83 3C 03 00 00 FF 93 38 03 00 00 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 FC 66 BE A5 FF E8 ?? ?? ?? ?? 84 C0 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC F6 80 8C 03 00 00 02 74 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79596_0 {
	meta:
		name = "TCustomForm.DoDestroy"
		size = 94
		refs = "001b TCustomForm.DoDestroy 0042 @HandleAnyException 004a Application 004f TApplication.HandleException 0054 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 66 83 B8 42 03 00 00 00 74 41 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 8B 55 FC 8B 83 44 03 00 00 FF 93 40 03 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79597_0 {
	meta:
		name = "TCustomForm.Loaded"
		size = 130
		refs = "0008 TControl.Loaded 0036 @CallDynaInst 0043 TCustomForm.SetActiveControl 004e Application 0062 TControl.SetParentFont 006d TGlassFrame.FrameExtended 007a TCustomForm.UpdateGlassFrame"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB 98 02 00 00 00 74 32 83 7B 38 00 74 06 F6 43 1C 10 75 26 8B BB 98 02 00 00 33 C0 89 83 98 02 00 00 8B C7 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 80 7B 63 00 74 19 A1 ?? ?? ?? ?? 8B 50 40 8B 43 6C 8B 08 FF 51 08 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 83 7C 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79598_0 {
	meta:
		name = "TCustomForm.Notification"
		size = 314
		refs = "0010 TWinControl.Notification 0045 _Dn_TMainMenu 004a @IsClass 005b TCustomForm.SetMenu 0082 TCustomForm.SetWindowMenu 0093 TCustomForm.SetObjectMenuItem 00a4 TCustomForm.set_PopupParent 00b5 TList.IndexOf 00c6 TList.Delete 00cf TComponent.RemoveFreeNotification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C3 2C 01 72 07 74 48 E9 FD 00 00 00 F6 47 1C 01 0F 85 F3 00 00 00 83 BF BC 02 00 00 00 0F 85 E6 00 00 00 3B 7E 04 0F 85 DD 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C8 00 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? E9 BA 00 00 00 3B B7 BC 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 C8 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 D0 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 3B B7 54 03 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 87 4C 03 00 00 85 C0 74 21 8B D6 E8 ?? ?? ?? ?? 85 C0 7C 16 8B D0 8B 87 4C 03 00 00 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 87 58 03 00 00 85 C0 74 21 8B D6 E8 ?? ?? ?? ?? 85 C0 7C 16 8B D0 8B 87 58 03 00 00 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 3B B7 60 03 00 00 75 08 33 C0 89 87 60 03 00 00 3B B7 E8 02 00 00 75 08 33 C0 89 87 E8 02 00 00 83 BF C4 02 00 00 00 74 0F 8B CB 8B D6 8B 87 C4 02 00 00 8B 18 FF 53 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79599_0 {
	meta:
		name = "TCustomForm.ReadState"
		size = 656
		refs = "000f TWinControl.DisableAlign 0017 TCustomForm.ReadState 004a TObject.ClassParent 0050 _DV_TForm 0059 ModuleIsCpp 006e TWinControl.ReadState 00a9 Screen 00d3 MulDiv 00dc TFont.SetHeight 00f5 TCustomForm.GetTextHeight 0116 TScrollingWinControl.ScaleScrollBars 0129 TControl.ScaleConstraints 013c TWinControl.ScaleControls 0203 TControl.SetClientWidth 021a TControl.SetClientHeight 0263 TControl.Perform 0278 TWinControl.EnableAlign 027e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 33 D2 89 90 D8 02 00 00 8B 45 FC 33 D2 89 90 DC 02 00 00 8B 45 FC 33 D2 89 90 E0 02 00 00 33 DB 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 12 0F B6 05 ?? ?? ?? ?? 34 01 8B 55 FC 88 82 81 03 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 CC 02 00 00 00 0F 84 6E 01 00 00 8B 45 FC 83 B8 E0 02 00 00 00 0F 8E 5E 01 00 00 8B 45 FC F6 80 90 00 00 00 10 74 42 8B 45 FC 8B 80 CC 02 00 00 8B 15 ?? ?? ?? ?? 3B 42 48 74 2E 8B 45 FC 8B 80 CC 02 00 00 50 A1 ?? ?? ?? ?? 8B 40 48 50 8B 45 FC 8B 70 6C 8B 46 10 8B 40 18 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 48 8B 55 FC 89 82 CC 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 E0 02 00 00 3B F0 0F 84 E4 00 00 00 B3 01 8B C8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 88 E0 02 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 88 E0 02 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 80 90 00 00 00 04 74 23 8B 45 FC 8B 80 E0 02 00 00 50 56 8B 45 FC 8B 80 D8 02 00 00 50 E8 ?? ?? ?? ?? 8B 55 FC 89 82 D8 02 00 00 8B 45 FC F6 80 90 00 00 00 08 74 23 8B 45 FC 8B 80 E0 02 00 00 50 56 8B 45 FC 8B 80 DC 02 00 00 50 E8 ?? ?? ?? ?? 8B 55 FC 89 82 DC 02 00 00 8B 45 FC F6 80 90 00 00 00 20 74 46 8B 45 FC 8B 80 E0 02 00 00 50 56 8B 45 FC 8B 80 6C 02 00 00 50 E8 ?? ?? ?? ?? 8B 55 FC 89 82 6C 02 00 00 8B 45 FC 8B 80 E0 02 00 00 50 56 8B 45 FC 8B 80 70 02 00 00 50 E8 ?? ?? ?? ?? 8B 55 FC 89 82 70 02 00 00 8B 45 FC 8B 80 D8 02 00 00 85 C0 7E 0A 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 DC 02 00 00 85 C0 7E 0A 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 0F B6 15 ?? ?? ?? ?? 88 90 90 00 00 00 84 DB 75 24 B9 01 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? B9 01 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 33 C9 BA 3D B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_79600_0 {
	meta:
		name = "TCustomForm.DefineProperties"
		size = 232
		refs = "000c TWinControl.DefineProperties 0016 TCustomForm.WritePixelsPerInch 0022 TCustomForm.DefineProperties 002f TCustomForm.ReadTextHeight 0035 TCustomForm.WriteTextHeight 004e TCustomForm.ReadIgnoreFontProperty"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 53 68 ?? ?? ?? ?? 0F B6 4B 68 80 F1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 04 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 0F B6 4B 68 80 F1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 04 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 69 00 78 00 65 00 6C 00 73 00 50 00 65 00 72 00 49 00 6E 00 63 00 68 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 65 00 78 00 74 00 48 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 67 00 6E 00 6F 00 72 00 65 00 46 00 6F 00 6E 00 74 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_79601_0 {
	meta:
		name = "TCustomForm.ReadIgnoreFontProperty"
		size = 29
		refs = "0009 TReader.ReadBoolean 0016 TControl.SetParentFont"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79602_0 {
	meta:
		name = "TCustomForm.ReadTextHeight"
		size = 22
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 83 E0 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79603_0 {
	meta:
		name = "TCustomForm.WriteTextHeight"
		size = 25
		refs = "0009 TCustomForm.GetTextHeight 0012 TWriter.WriteInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79604_0 {
	meta:
		name = "TCustomForm.WritePixelsPerInch"
		size = 25
		refs = "0009 TCustomForm.GetPixelsPerInch 0012 TWriter.WriteInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79605_0 {
	meta:
		name = "TCustomForm.GetLeft"
		size = 31
	strings:
		$1 = { F6 40 1C 10 74 15 83 78 38 00 74 0F 8B 40 18 25 00 00 FF FF C1 E8 10 0F BF C0 C3 8B 40 48 C3 }
	condition:
		$1
}

rule function_79606_0 {
	meta:
		name = "TCustomForm.GetTop"
		size = 28
	strings:
		$1 = { F6 40 1C 10 74 12 83 78 38 00 74 0C 0F B7 40 18 66 83 E0 FF 0F BF C0 C3 8B 40 4C C3 }
	condition:
		$1
}

rule function_79607_0 {
	meta:
		name = "TCustomForm.GetTextHeight"
		size = 40
		refs = "0006 TCustomForm.GetCanvas 000b TCustomForm.GetTextHeight 0010 TCustomCanvas.TextHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_79609_0 {
	meta:
		name = "TCustomForm.ChangeScale"
		size = 136
		refs = "0011 TScrollingWinControl.ScaleScrollBars 001c TWinControl.ScaleControls 0023 TCustomForm.IsClientSizeStored 002e TControl.GetClientHeight 0039 TControl.GetClientWidth 003f MulDiv 0048 TCustomForm.SetClientWidth 0059 TCustomForm.SetClientHeight 0065 TFont.GetSize 0074 TFont.SetSize 007f TControl.ScaleConstraints"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 8B C3 E8 ?? ?? ?? ?? 8B E8 57 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 57 56 55 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 57 56 8B 6B 6C 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79610_0 {
	meta:
		name = "TCustomForm.IconChanged"
		size = 91
		refs = "0004 NewStyleControls 0010 TWinControl.HandleAllocated 0024 TCustomForm.GetIconHandle 0033 TWinControl.GetHandle 0039 SendMessage 0047 IsIconic"
	strings:
		$1 = { 56 8B F0 A1 ?? ?? ?? ?? 80 38 00 74 32 8B C6 E8 ?? ?? ?? ?? 84 C0 74 41 80 BE A1 02 00 00 03 74 38 8B C6 E8 ?? ?? ?? ?? 50 6A 01 68 80 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E C3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_79611_0 {
	meta:
		name = "TCustomForm.IsClientSizeStored"
		size = 14
		refs = "0006 TCustomForm.IsFormSizeStored"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 34 01 5B C3 }
	condition:
		$1
}

rule function_79612_0 {
	meta:
		name = "TCustomForm.IsFormSizeStored"
		size = 39
	strings:
		$1 = { 80 B8 7C 02 00 00 00 75 1B 8B 90 80 02 00 00 83 7A 10 00 75 0F 8B 80 90 02 00 00 83 78 10 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_79613_0 {
	meta:
		name = "TCustomForm.IsAutoScrollStored"
		size = 51
		refs = "0006 TCustomForm.IsForm"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 0F B6 83 A1 02 00 00 2C 02 74 08 2C 03 74 04 33 C0 EB 02 B0 01 3A 83 7C 02 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_79615_0 {
	meta:
		name = "TCustomForm.DoHide"
		size = 29
	strings:
		$1 = { 53 66 83 B8 1A 03 00 00 00 74 10 8B D8 8B D0 8B 83 1C 03 00 00 FF 93 18 03 00 00 5B C3 }
	condition:
		$1
}

rule function_79616_0 {
	meta:
		name = "TCustomForm.DoShow"
		size = 29
	strings:
		$1 = { 53 66 83 B8 32 03 00 00 00 74 10 8B D8 8B D0 8B 83 34 03 00 00 FF 93 30 03 00 00 5B C3 }
	condition:
		$1
}

rule function_79617_0 {
	meta:
		name = "TCustomForm.GetClientRect"
		size = 144
		refs = "000a TWinControl.GetHandle 000f IsIconic 0021 SetRect 0034 GetWindowLongPtr 0060 AdjustWindowRectEx 0088 TWinControl.GetClientRect"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 6C 6A 00 6A 00 6A 00 6A 00 56 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 50 83 BB BC 02 00 00 00 0F 95 C0 F6 D8 1B C0 50 57 56 E8 ?? ?? ?? ?? 8B 43 54 2B 46 0C 03 46 04 50 8B 43 50 2B 46 08 03 06 50 6A 00 6A 00 56 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79619_0 {
	meta:
		name = "TCustomForm.GetOwnerWindow"
		size = 22
		refs = "000e GetWindow"
	strings:
		$1 = { 8B 90 60 02 00 00 85 D2 74 09 6A 04 52 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_79620_0 {
	meta:
		name = "TCustomForm.GetFloating"
		size = 34
	strings:
		$1 = { 53 8B D8 83 BB 98 00 00 00 00 75 12 8B C3 8B 10 FF 52 70 8B 0B 89 CA 3B D0 0F 94 C0 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_79621_0 {
	meta:
		name = "TCustomForm.SetChildOrder"
		size = 146
		refs = "0015 _Dn_TControl 001a @IsClass 002c TWinControl.SetChildOrder 0035 TWinControl.GetControlCount 0048 TComponent.GetComponentCount 005b TComponent.GetComponent 0064 @CallDynaInst 0080 TComponent.SetComponentIndex"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 89 14 24 8B E8 8B 04 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B 4C 24 04 8B 14 24 8B C5 E8 ?? ?? ?? ?? EB 58 8B C5 E8 ?? ?? ?? ?? 29 44 24 04 C7 44 24 08 FF FF FF FF 8B C5 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 37 43 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 66 BE F1 FF E8 ?? ?? ?? ?? 84 C0 75 1A FF 44 24 08 8B 44 24 08 3B 44 24 04 75 0C 8B D7 8B 04 24 E8 ?? ?? ?? ?? EB 04 47 4B 75 CC 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79622_0 {
	meta:
		name = "TCustomForm.SetParentBiDiMode"
		size = 39
		refs = "000b TControl.SetParentBiDiMode 0021 TControl.Perform"
	strings:
		$1 = { 53 8B D8 3A 53 6A 74 1D 8B C3 E8 ?? ?? ?? ?? 83 7B 38 00 75 10 6A 00 33 C9 BA 3D B0 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79623_0 {
	meta:
		name = "TCustomForm.SetClientWidth"
		size = 52
		refs = "0012 TCustomForm.SetClientWidth 0027 TControl.SetClientWidth"
	strings:
		$1 = { 53 8B D8 F6 43 5C 08 74 1B 89 93 D8 02 00 00 0F B6 05 ?? ?? ?? ?? 0A 83 90 00 00 00 88 83 90 00 00 00 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_79624_0 {
	meta:
		name = "TCustomForm.SetClientHeight"
		size = 52
		refs = "0012 TCustomForm.SetClientHeight 0027 TControl.SetClientHeight"
	strings:
		$1 = { 53 8B D8 F6 43 5C 08 74 1B 89 93 DC 02 00 00 0F B6 05 ?? ?? ?? ?? 0A 83 90 00 00 00 88 83 90 00 00 00 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_79625_0 {
	meta:
		name = "TCustomForm.SetVisible"
		size = 66
		refs = "0032 TCustomForm.SetWindowToMonitor 003b TControl.SetVisible"
	strings:
		$1 = { 53 56 8B DA 8B F0 F6 86 8C 03 00 00 01 74 17 84 DB 74 09 80 8E 8C 03 00 00 02 EB 23 80 A6 8C 03 00 00 FD 5E 5B C3 84 DB 74 0C 3A 5E 61 74 07 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79626_0 {
	meta:
		name = "TCustomForm.VisibleChanging"
		size = 105
		refs = "0009 TCustomForm.VisibleChanging 002c SMDIChildNotVisible 0031 LoadResString 003b _Dn_EInvalidOperation 0040 Exception.Create 0045 @RaiseExcept 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 B8 A6 02 00 00 01 75 2D 80 78 61 00 74 27 83 78 38 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_79628_0 {
	meta:
		name = "TCustomForm.SetParent"
		size = 188
		refs = "0035 TWinControl.UpdateRecreatingFlag 003d TCustomForm.SetParent 007d TWinControl.SetParent 008e TWinControl.UpdateControlState 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC 8B 40 38 3B D8 0F 84 9D 00 00 00 3B 5D FC 0F 84 94 00 00 00 85 C0 0F 94 45 FB 80 7D FB 00 74 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D FB 00 74 0B 8B 45 FC 8B 10 FF 92 CC 00 00 00 8B 45 FC F6 40 1C 10 75 0B 8B 45 FC 33 D2 89 90 98 02 00 00 8B 45 FC 33 D2 89 90 9C 02 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 78 38 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79629_0 {
	meta:
		name = "TCustomForm.ValidateRename"
		size = 62
		refs = "0017 TComponent.ValidateRename"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 BB C4 02 00 00 00 74 13 8B 45 08 50 8B CF 8B D6 8B 83 C4 02 00 00 8B 18 FF 53 30 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_79630_0 {
	meta:
		name = "TCustomForm.WndProc"
		size = 1572
		refs = "00c0 Application 00fa TWinControl.GetHandle 0100 IsIconic 0113 TWinControl.WndProc 0127 TApplication.InternalRestore 0132 FocusMessages 0165 TCustomForm.get_ActiveMDIChild 01a1 SetFocus 01b4 FindControl 01bc GetParent 01d7 GetParentForm 01e9 Screen 0229 TControl.Perform 0256 @CallDynaInst 028a TCustomForm.WndProc 0330 TMenu.FindItem 0341 _Dn_TControlCanvas 0346 TCanvas.Create 0363 SaveDC 0382 TCanvas.SetHandle 0395 TCanvas.SetFont 03ad DrawMenuItem 03d4 RestoreDC 03da @HandleFinally 03f1 TObject.Free 0440 GetWindowDC 051f ReleaseDC 0531 TCustomForm.UpdateGlassFrame 0571 TWinControl.Broadcast 0583 TCustomForm.SetActiveControl 058b RM_TaskbarCreated"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B DA 89 45 FC 8B 03 8B D0 81 FA 1E 03 00 00 7D 3B 83 FA 2C 7F 20 0F 84 D8 03 00 00 83 C2 FA 83 EA 03 0F 82 FF 00 00 00 83 EA 22 0F 84 C2 02 00 00 E9 4A 05 00 00 83 EA 46 0F 84 38 02 00 00 81 EA CC 00 00 00 74 4D E9 34 05 00 00 81 FA 1B B0 00 00 7F 26 0F 84 DB 01 00 00 81 C2 E2 FC FF FF 83 EA 02 0F 82 B9 04 00 00 81 EA FA AC 00 00 0F 84 E1 01 00 00 E9 06 05 00 00 81 EA 47 B0 00 00 0F 84 1B 01 00 00 83 EA 12 0F 84 A2 04 00 00 E9 EC 04 00 00 8B 43 04 25 F0 FF 00 00 3D 20 F1 00 00 74 22 8B 43 04 25 F0 FF 00 00 3D 30 F0 00 00 0F 85 49 05 00 00 A1 ?? ?? ?? ?? 80 78 38 00 0F 84 3A 05 00 00 A1 ?? ?? ?? ?? 8B 40 48 3B 45 FC 0F 85 29 05 00 00 A1 ?? ?? ?? ?? 80 B8 D7 00 00 00 00 0F 84 17 05 00 00 A1 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 88 45 EF 8B D3 8B 45 FC E8 ?? ?? ?? ?? 80 7D EF 00 0F 84 F1 04 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E2 04 00 00 80 3D ?? ?? ?? ?? 00 0F 84 D5 04 00 00 83 3B 07 0F 85 C2 04 00 00 8B 45 FC F6 40 1C 10 0F 85 B5 04 00 00 33 F6 8B 45 FC 80 B8 A6 02 00 00 02 75 1D 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 2A 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 19 8B 45 FC 8B 80 98 02 00 00 85 C0 74 0C 3B 45 FC 74 07 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 69 04 00 00 56 E8 ?? ?? ?? ?? E9 68 04 00 00 8B 73 04 33 FF EB 11 8B C6 E8 ?? ?? ?? ?? 8B F8 56 E8 ?? ?? ?? ?? 8B F0 85 F6 74 04 85 FF 74 E7 85 FF 0F 84 36 04 00 00 B2 01 8B C7 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 3B B8 98 02 00 00 75 0E A1 ?? ?? ?? ?? 3B 78 64 0F 84 12 04 00 00 85 F6 0F 84 0A 04 00 00 3B 75 FC 74 0E A1 ?? ?? ?? ?? 3B 70 68 0F 84 F7 03 00 00 8B 86 98 02 00 00 85 C0 74 12 3B F8 74 0E 6A 00 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B D7 8B C6 8B 08 FF 91 1C 01 00 00 E9 CA 03 00 00 8B 45 FC 83 B8 98 00 00 00 00 0F 84 BA 03 00 00 8B 45 FC 66 BE AC FF E8 ?? ?? ?? ?? E9 A9 03 00 00 8B 45 FC 83 B8 98 00 00 00 00 0F 84 99 03 00 00 8B 45 FC 66 BE AE FF E8 ?? ?? ?? ?? E9 88 03 00 00 8B 45 FC 0F B7 40 1C 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 0F 85 6A 03 00 00 8B 43 08 8B 55 FC 0F B6 92 A7 02 00 00 4A 80 EA 02 73 12 8B 55 FC 80 BA A2 02 00 00 02 74 06 8B D0 83 4A 18 02 8B 55 FC 0F B6 92 A7 02 00 00 80 EA 01 74 09 80 EA 02 0F 85 2D 03 00 00 8B 55 FC 0F B6 92 A1 02 00 00 80 EA 02 74 09 80 EA 03 0F 85 15 03 00 00 83 48 18 01 E9 0C 03 00 00 8B 43 08 89 45 E8 8B 45 E8 83 38 01 0F 85 FA 02 00 00 8B 45 FC 83 B8 BC 02 00 00 00 0F 84 EA 02 00 00 8B 45 E8 8B 50 08 8B 45 FC 8B 80 BC 02 00 00 33 C9 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 CA 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 40 18 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 50 18 8B 45 F4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 90 88 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 0F B7 40 10 50 8B 45 E8 8D 48 1C 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 E8 8B 40 18 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 73 08 83 3E 01 0F 85 FF 01 00 00 8B 45 FC 83 B8 BC 02 00 00 00 0F 84 EF 01 00 00 8B 56 08 8B 45 FC 8B 80 BC 02 00 00 33 C9 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 D2 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 90 88 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 46 10 50 8D 4E 0C 8B 55 F4 8B C7 8B 18 FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 D2 8B 45 FC E8 ?? ?? ?? ?? E9 CE 00 00 00 8B 45 FC 8B B8 98 02 00 00 6A 00 33 C9 BA 0B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 33 C9 BA 33 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? C7 03 51 B0 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 85 FF 0F 84 8B 00 00 00 8B D7 8B 45 FC E8 ?? ?? ?? ?? EB 7F 3B 05 ?? ?? ?? ?? 75 77 6A 00 33 C9 BA 25 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 33 C9 BA 24 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 33 C9 BA 35 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 33 C9 BA 09 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 33 C9 BA 08 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 33 C9 BA 3D B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 33 C9 BA 50 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 00 00 11 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_79631_0 {
	meta:
		name = "Default"
		size = 74
		refs = "003b CallWindowProc"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F8 8B 40 08 50 8B 45 08 8B 40 F8 8B 40 04 50 8B 45 08 8B 40 F8 8B 00 50 8B 45 08 8B 40 FC 8B 80 84 03 00 00 50 8B 45 08 8B 40 FC 8B 80 E4 02 00 00 50 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 89 42 0C 5D C3 }
	condition:
		$1
}

rule function_79632_0 {
	meta:
		name = "MaximizedChildren"
		size = 62
		refs = "000c TCustomForm.get_MDIChildCount 0023 TCustomForm.get_MDIChildren"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 21 43 33 F6 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 80 B8 A2 02 00 00 02 75 04 B0 01 EB 06 46 4B 75 E2 33 C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_79633_0 {
	meta:
		name = "TCustomForm.ClientWndProc"
		size = 483
		refs = "0033 Default 0067 TBrush.GetHandle 0080 FillRect 00ab GetClientRect 00f5 TCustomForm.get_MDIChildCount 00ff MaximizedChildren 0118 ShowMDIClientEdge 013f BeginPaint 014d TCustomForm.ClientWndProc 016c GetWindowRect 017a TControl.ScreenToClient 019b MoveWindowOrg 01a6 TWinControl.PaintHandler 01cc EndPaint 01d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 8C 89 55 F8 89 45 FC 8B 45 F8 8B 00 83 E8 0F 0F 84 07 01 00 00 83 E8 05 74 35 83 E8 2B 0F 84 B2 00 00 00 83 E8 45 0F 85 A7 01 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 F8 83 78 0C 01 0F 85 9A 01 00 00 8B 45 F8 C7 40 0C FF FF FF FF E9 8B 01 00 00 8B 45 F8 8B 40 04 89 45 F4 8B 45 FC 8B 80 C8 01 00 00 E8 ?? ?? ?? ?? 50 8D 55 94 8B 45 FC 8B 08 FF 51 60 8D 45 94 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A6 02 00 00 02 75 3B 8B 45 FC 83 B8 84 03 00 00 00 74 2F 8D 45 A4 50 8B 45 FC 8B 80 84 03 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C8 01 00 00 E8 ?? ?? ?? ?? 50 8D 45 A4 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 F8 C7 40 0C 01 00 00 00 E9 05 01 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC 80 B8 A6 02 00 00 02 0F 85 EE 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 0F 55 E8 ?? ?? ?? ?? 59 84 C0 74 04 33 D2 EB 02 B2 01 8B 45 FC 8B 80 84 03 00 00 E8 ?? ?? ?? ?? E9 BE 00 00 00 8B 45 F8 8B 40 04 89 45 F4 83 7D F4 00 75 19 8D 45 B4 50 8B 45 FC 8B 80 84 03 00 00 50 E8 ?? ?? ?? ?? 8B 55 F8 89 42 04 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 75 42 8D 45 A4 50 8B 45 FC 8B 80 84 03 00 00 50 E8 ?? ?? ?? ?? 8D 4D 8C 8D 55 A4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 8C 89 45 A4 8B 45 90 89 45 A8 8B 4D A8 F7 D9 8B 55 A4 F7 DA 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 75 13 8D 45 B4 50 8B 45 FC 8B 80 84 03 00 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 55 E8 ?? ?? ?? ?? 59 8B E5 5D C3 }
	condition:
		$1
}

rule function_79634_0 {
	meta:
		name = "TCustomForm.AlignControls"
		size = 187
		refs = "000f TScrollingWinControl.AlignControls 0036 SetWindowPos 004c GetClientRect 0060 InvalidateRect 0073 TControl.GetClientHeight 0089 TControl.GetClientWidth 00a5 Rect 00b0 TCustomForm.UpdateGlassFrameControls"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F1 8B D8 8B CE 8B C3 E8 ?? ?? ?? ?? 8B 83 84 03 00 00 85 C0 74 47 6A 14 8B 4E 0C 8B 7E 04 2B CF 51 8B 4E 08 8B 16 2B CA 51 57 52 6A 01 50 E8 ?? ?? ?? ?? 80 BB A6 02 00 00 02 75 21 54 8B 83 84 03 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 10 6A FF 6A 00 8B 83 84 03 00 00 50 E8 ?? ?? ?? ?? F6 43 5D 80 74 4A F6 43 1C 01 75 44 8B C3 E8 ?? ?? ?? ?? 8B 93 7C 03 00 00 2B 42 18 50 8D 44 24 14 50 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 83 7C 03 00 00 2B 48 14 8B B3 7C 03 00 00 8B 56 10 8B 46 0C E8 ?? ?? ?? ?? 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79635_0 {
	meta:
		name = "TCustomForm.CMBiDiModeChanged"
		size = 157
		refs = "0009 TScrollingWinControl.CMBiDiModeChanged 0010 TWinControl.HandleAllocated 001b TWinControl.GetHandle 0027 GetWindowLongPtr 0042 TWinControl.AddBiDiModeExStyle 0059 SetWindowLongPtr 0060 TComponent.GetComponentCount 0073 TComponent.GetComponent 0079 _Dn_TMenu 007e @IsClass 0090 TMenu.ParentBiDiModeChanged"
	strings:
		$1 = { 53 56 57 51 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 45 8B C3 E8 ?? ?? ?? ?? BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 25 FF EF FF FF 25 FF DF FF FF 25 FF BF FF FF 89 04 24 8B D4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA EC FF FF FF 8B 34 24 56 52 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2D 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 D6 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79636_0 {
	meta:
		name = "TCustomForm.CMParentBiDiModeChanged"
		size = 146
		refs = "0021 TCustomForm.CMParentBiDiModeChanged 003f Application 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 80 B8 B8 02 00 00 00 75 7C 8B 45 FC C6 80 B8 02 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 80 78 6A 00 74 3C 8B 45 FC 8B 40 38 85 C0 75 16 A1 ?? ?? ?? ?? 0F B6 50 39 8B 45 FC 8B 08 FF 91 8C 00 00 00 EB 0F 0F B6 50 69 8B 45 FC 8B 08 FF 91 8C 00 00 00 B2 01 8B 45 FC 8B 08 FF 91 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 B8 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_79637_0 {
	meta:
		name = "TCustomForm.CMPopupHwndDestroy"
		size = 104
		refs = "000e FindControl 0026 @DynArrayLength 003d TPopupWndArray 0042 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 46 04 8B 40 04 E8 ?? ?? ?? ?? 85 C0 74 09 8B 46 04 80 78 08 00 75 45 8B 83 5C 03 00 00 E8 ?? ?? ?? ?? 8B F8 8D 47 01 50 8D 83 5C 03 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 83 5C 03 00 00 8B 56 04 8B 12 89 14 F8 8B 83 5C 03 00 00 8B 56 08 89 54 F8 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79638_0 {
	meta:
		name = "TCustomForm.SetDesigner"
		size = 79
		refs = "000e @IntfAddRef 0016 TCustomForm.SetDesigner 002a @IntfCopy 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 C4 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_79639_0 {
	meta:
		name = "TCustomForm.GetBorderIconStyles"
		size = 204
		refs = "0058 TCustomForm.GetBorderIconStyles"
	strings:
		$1 = { 53 56 57 55 51 8B E9 8B FA 8B F0 81 27 FF FF F4 FF 81 65 00 FF FB FF FF 0F B6 86 A1 02 00 00 88 04 24 80 BE A6 02 00 00 01 75 10 0F B6 04 24 84 C0 74 04 2C 03 75 04 C6 04 24 02 0F B6 9E A0 02 00 00 0F B6 04 24 2C 01 72 0B 2C 02 74 10 48 2C 02 72 18 EB 21 0F B6 1D ?? ?? ?? ?? EB 18 0F B6 05 ?? ?? ?? ?? 22 C3 8B D8 EB 0B 0F B6 05 ?? ?? ?? ?? 22 C3 8B D8 0F B6 04 24 2C 03 73 24 80 BE A6 02 00 00 01 75 05 F6 C3 01 74 16 F6 C3 02 74 06 81 0F 00 00 02 00 F6 C3 04 74 06 81 0F 00 00 01 00 F6 C3 01 74 06 81 0F 00 00 08 00 F6 C3 08 74 07 81 4D 00 00 04 00 00 5A 5D 5F 5E 5B C3 00 00 00 00 00 09 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_79640_0 {
	meta:
		name = "TCustomForm.SetBorderIcons"
		size = 252
		refs = "0027 TWinControl.HandleAllocated 0066 TWinControl.GetHandle 0072 GetWindowLongPtr 00a0 @CallDynaInst 00b8 SetWindowLongPtr 00e9 SetWindowPos 00f2 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 56 83 C4 F4 88 14 24 8B D8 0F B6 04 24 3A 83 A0 02 00 00 0F 84 DC 00 00 00 0F B6 04 24 88 83 A0 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 C3 00 00 00 F6 43 1C 10 74 14 F6 43 1C 10 0F 84 B3 00 00 00 83 7B 38 00 0F 84 A9 00 00 00 80 BB A6 02 00 00 01 75 0D 80 BB A2 02 00 00 02 0F 84 8C 00 00 00 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 89 44 24 04 8B C3 E8 ?? ?? ?? ?? BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 89 44 24 08 8D 4C 24 08 8D 54 24 04 8B C3 66 BE A8 FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 8B 74 24 04 56 52 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA EC FF FF FF 8B 74 24 08 56 52 50 E8 ?? ?? ?? ?? 6A 37 6A 00 6A 00 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_79641_0 {
	meta:
		name = "TCustomForm.GetBorderStyles"
		size = 273
		refs = "004a TCustomForm.GetBorderStyles 00c4 NewStyleControls"
	strings:
		$1 = { 55 8B EC 56 57 8B F9 8B F0 81 22 7F FF 3B 7F 81 27 7E FE FF FF 8B 45 08 81 20 FF D7 FF FF 0F B6 86 A1 02 00 00 80 BE A6 02 00 00 01 75 0D 8B C8 84 C9 74 05 80 E9 03 75 02 B0 02 0F B6 C8 83 F9 05 0F 87 AF 00 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 7E 38 00 0F 85 86 00 00 00 83 BE DC 01 00 00 00 75 7D 81 0A 00 00 00 80 EB 75 81 0A 00 00 C0 00 EB 6D 81 0A 00 00 C4 00 EB 65 F6 46 1C 10 74 0E 83 7E 38 00 74 08 81 0A 00 00 C0 00 EB 10 8B 0A 81 C9 00 00 00 80 81 C9 00 00 C0 00 89 0A 8B 0F 83 C9 01 81 C9 00 01 00 00 89 0F 8B 0D ?? ?? ?? ?? 80 39 00 75 10 8B 0A 81 C9 00 00 40 00 81 C9 80 00 00 00 89 0A 8B 55 08 8B 12 83 CA 08 81 CA 00 08 00 00 81 CA 00 20 00 00 8B 4D 08 89 11 04 FC 2C 02 73 0F 80 BE A6 02 00 00 01 74 06 81 0F 80 00 00 00 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_79642_0 {
	meta:
		name = "TCustomForm.SetBorderStyle"
		size = 437
		refs = "003a TScrollingWinControl.SetAutoScroll 0041 TWinControl.HandleAllocated 006a TWinControl.GetHandle 0076 GetWindowLongPtr 00a3 GetClassLongPtr 00bf @CallDynaInst 00e7 SetWindowLongPtr 0117 SetClassLongPtr 0127 NewStyleControls 013c TCustomForm.GetIconHandle 0151 SendMessage 0178 GetSystemMenu 0188 TControl.Perform 01a1 SetWindowPos"
	strings:
		$1 = { 56 57 83 C4 F4 8B F8 3A 97 A1 02 00 00 0F 84 9C 01 00 00 88 97 A1 02 00 00 80 BF 7C 02 00 00 00 74 0F 0F B6 87 A1 02 00 00 2C 02 74 08 2C 03 74 04 33 D2 EB 02 B2 01 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 62 01 00 00 F6 47 1C 10 74 14 F6 47 1C 10 0F 84 52 01 00 00 83 7F 38 00 0F 84 48 01 00 00 8B C7 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 89 04 24 8B C7 E8 ?? ?? ?? ?? BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 89 44 24 04 8B C7 E8 ?? ?? ?? ?? BA E6 FF FF FF 52 50 E8 ?? ?? ?? ?? 89 44 24 08 8D 44 24 08 50 8D 4C 24 08 8D 54 24 04 8B C7 66 BE A7 FF E8 ?? ?? ?? ?? 8D 4C 24 04 8B D4 8B C7 66 BE A8 FF E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? BA F0 FF FF FF 8B 0C 24 51 52 50 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? BA EC FF FF FF 8B 4C 24 04 51 52 50 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? BA E6 FF FF FF 8B 4C 24 08 51 52 50 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 66 A1 ?? ?? ?? ?? 80 38 00 74 3D 80 BF A1 02 00 00 03 74 1E 8B C7 E8 ?? ?? ?? ?? 50 6A 01 68 80 00 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 16 6A 00 6A 01 68 80 00 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A FF 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 81 00 00 00 8B C7 E8 ?? ?? ?? ?? 6A 37 6A 00 6A 00 6A 00 6A 00 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 9C 00 00 00 83 C4 0C 5F 5E C3 }
	condition:
		$1
}

rule function_79643_0 {
	meta:
		name = "TCustomForm.Dock"
		size = 68
		refs = "001f TControl.Dock 0039 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8D 3C 24 A5 A5 A5 A5 8B D8 8B 7B 38 8B B3 98 00 00 00 8B CC 8B C3 E8 ?? ?? ?? ?? 8B 43 38 85 C0 74 13 3B F8 75 0F 3B B3 98 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79644_0 {
	meta:
		name = "TCustomForm.DoDock"
		size = 86
		refs = "004e TControl.DoDock"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 3B B3 98 00 00 00 74 36 85 F6 74 0B 8B C3 8B 10 FF 52 6C 84 C0 74 27 85 F6 75 0F 0F B6 83 EC 02 00 00 88 83 A1 02 00 00 EB 14 0F B6 83 A1 02 00 00 88 83 EC 02 00 00 C6 83 A1 02 00 00 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79645_0 {
	meta:
		name = "TCustomForm.get_ActiveMDIChild"
		size = 51
		refs = "0028 SendMessage 002d FindControl"
	strings:
		$1 = { 53 8B D8 33 C0 80 BB A6 02 00 00 02 75 23 83 BB 84 03 00 00 00 74 1A 6A 00 6A 00 68 29 02 00 00 8B 83 84 03 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79646_0 {
	meta:
		name = "TCustomForm.get_MDIChildCount"
		size = 75
		refs = "0018 Screen 001d TScreen.GetFormCount 0033 TScreen.GetForm"
	strings:
		$1 = { 53 56 57 33 FF 80 B8 A6 02 00 00 02 75 37 83 B8 84 03 00 00 00 74 2E A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1D 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 B8 A6 02 00 00 01 75 01 47 46 4B 75 E6 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79647_0 {
	meta:
		name = "TCustomForm.get_MDIChildren"
		size = 79
		refs = "0018 Screen 001d TScreen.GetFormCount 0033 TScreen.GetForm"
	strings:
		$1 = { 53 56 57 8B FA 80 B8 A6 02 00 00 02 75 3B 83 B8 84 03 00 00 00 74 32 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 21 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 B8 A6 02 00 00 01 75 05 4F 85 FF 7C 06 46 4B 75 E2 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79648_0 {
	meta:
		name = "EnumMonitorsProc"
		size = 47
		refs = "000a _DV_TMonitor 000f TObject.Create 0024 TList.Add"
	strings:
		$1 = { 55 8B EC 53 8B 5D 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 50 04 8B 53 08 89 50 08 8B D0 8B C3 E8 ?? ?? ?? ?? B0 01 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_79649_0 {
	meta:
		name = "TCustomForm.GetMonitor"
		size = 156
		refs = "000d TWinControl.GetHandle 0013 MonitorFromWindow 001a Screen 001f TScreen.GetMonitorCount 0035 TScreen.GetMonitor 0058 TScreen.GetMonitors"
	strings:
		$1 = { 53 56 57 55 8B D8 33 ED 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 28 46 33 DB 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 78 04 75 10 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 EB 47 43 4E 75 DB A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 28 46 33 DB 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 78 04 75 10 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 EB 04 43 4E 75 DB 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79652_0 {
	meta:
		name = "TCustomForm.IsForm"
		size = 7
	strings:
		$1 = { 0F B6 40 68 34 01 C3 }
	condition:
		$1
}

rule function_79653_0 {
	meta:
		name = "TCustomForm.IsIconStored"
		size = 37
		refs = "0006 TCustomForm.IsForm 0015 TIcon.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_79654_0 {
	meta:
		name = "TCustomForm.SetFormStyle"
		size = 372
		refs = "0056 TWinControl.HandleAllocated 0082 HWND_STYLE 008b TWinControl.GetHandle 0091 SetWindowPos 00b1 TCustomForm.SetPosition 00d0 TWinControl.UpdateRecreatingFlag 00d8 TCustomForm.SetFormStyle 011f TCustomForm.NormalColor 0129 TControl.SetColor 0137 TWinControl.UpdateControlState 0146 TCustomForm.SetVisible 0169 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC 3A 98 A6 02 00 00 0F 84 54 01 00 00 84 DB 75 0C 8B 45 FC 80 B8 A6 02 00 00 03 74 11 80 FB 03 75 6A 8B 45 FC 80 B8 A6 02 00 00 00 75 5E 8B 45 FC 88 98 A6 02 00 00 8B 45 FC F6 40 1C 10 0F 85 1D 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 0D 01 00 00 68 13 02 00 00 6A 00 6A 00 6A 00 6A 00 8B 45 FC 80 B8 A6 02 00 00 03 0F 94 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 D5 00 00 00 80 FB 01 75 16 8B 45 FC 80 B8 A7 02 00 00 00 75 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 1C 10 0F 95 C0 34 01 88 45 FB 80 7D FB 00 74 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7D FB 00 74 0B 8B 45 FC 8B 10 FF 92 CC 00 00 00 8B 45 FC 0F B6 80 A6 02 00 00 8B 55 FC 88 9A A6 02 00 00 80 FB 02 74 04 3C 02 75 1E 8B 45 FC 80 B8 F1 01 00 00 00 75 12 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 80 FB 01 75 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79655_0 {
	meta:
		name = "TCustomForm.RefreshMDIMenu"
		size = 121
		refs = "0038 TMenuItem.GetHandle 0041 TWinControl.GetHandle 0047 GetMenu 005f SendMessage 0070 DrawMenuBar"
	strings:
		$1 = { 53 56 57 55 8B E8 80 BD A6 02 00 00 02 75 65 83 BD 84 03 00 00 00 74 5C 33 F6 8B 85 BC 02 00 00 85 C0 74 07 8B 10 FF 52 44 8B F0 33 FF 8B 85 C8 02 00 00 85 C0 74 07 E8 ?? ?? ?? ?? 8B F8 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B F0 0F 95 C3 57 56 68 30 02 00 00 8B 85 84 03 00 00 50 E8 ?? ?? ?? ?? 84 DB 74 0D 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79656_0 {
	meta:
		name = "TCustomForm.SetObjectMenuItem"
		size = 33
		refs = "0012 TComponent.FreeNotification 001b TMenuItem.SetEnabled"
	strings:
		$1 = { 53 8B DA 89 98 D0 02 00 00 85 DB 74 12 8B D0 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79657_0 {
	meta:
		name = "TCustomForm.SetWindowMenu"
		size = 39
		refs = "001a TComponent.FreeNotification 0021 TCustomForm.RefreshMDIMenu"
	strings:
		$1 = { 53 8B D8 3B 93 C8 02 00 00 74 1A 89 93 C8 02 00 00 85 D2 74 09 8B C2 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79658_0 {
	meta:
		name = "TCustomForm.SetMenu"
		size = 555
		refs = "0016 TCustomForm.SetMenu 0025 Screen 002a TScreen.GetFormCount 0041 TScreen.GetForm 0071 SDuplicateMenus 0076 LoadResString 0080 _Dn_EInvalidOperation 0085 Exception.CreateFmt 008a @RaiseExcept 00a1 TMenu.SetWindowHandle 00c6 TComponent.FreeNotification 0103 TWinControl.HandleAllocated 011f TWinControl.GetHandle 0125 GetMenu 012e TStyleManager.GetIsCustomStyleActive 014b SetMenu 01ae TCustomForm.MergeMenu 01b5 TCustomForm.RefreshMDIMenu 01e3 SetWindowPos 01f3 TControl.Perform 0218 @UStrClr 021e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 70 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 7C 61 40 89 45 FC 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B B0 BC 02 00 00 75 41 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B D8 74 31 8B 46 08 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 FF 4D FC 75 A5 8B 83 BC 02 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? F6 43 1C 08 75 0A 85 F6 74 08 F6 46 1C 08 74 02 33 F6 89 B3 BC 02 00 00 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 85 F6 0F 84 B4 00 00 00 F6 43 1C 10 75 0D 80 BB A1 02 00 00 03 0F 84 A1 00 00 00 8B 83 BC 02 00 00 80 78 64 00 75 09 80 BB A6 02 00 00 01 75 06 F6 43 1C 10 74 61 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 91 00 00 00 8B 83 BC 02 00 00 8B 10 FF 52 44 8B F8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B F8 74 22 E8 ?? ?? ?? ?? 84 C0 75 19 8B 83 BC 02 00 00 8B 10 FF 52 44 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 3F 80 BB A6 02 00 00 01 74 36 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2B 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1A 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BB A5 02 00 00 00 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 BB C4 02 00 00 00 74 45 F6 43 1C 10 74 3F 83 7B 38 00 74 39 6A 37 6A 00 6A 00 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 85 00 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 0F 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79659_0 {
	meta:
		name = "TCustomForm.GetPixelsPerInch"
		size = 19
		refs = "000b Screen"
	strings:
		$1 = { 8B 80 CC 02 00 00 85 C0 75 08 A1 ?? ?? ?? ?? 8B 40 48 C3 }
	condition:
		$1
}

rule function_79660_0 {
	meta:
		name = "TCustomForm.GetPopupChildren"
		size = 38
		refs = "000f _Dn_TList 0014 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 BB 4C 03 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 4C 03 00 00 8B 83 4C 03 00 00 5B C3 }
	condition:
		$1
}

rule function_79661_0 {
	meta:
		name = "TCustomForm.GetRecreateChildren"
		size = 38
		refs = "000f _Dn_TList 0014 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 BB 58 03 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 58 03 00 00 8B 83 58 03 00 00 5B C3 }
	condition:
		$1
}

rule function_79662_0 {
	meta:
		name = "TCustomForm.SetPixelsPerInch"
		size = 50
		refs = "0009 TCustomForm.GetPixelsPerInch"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 74 1E 85 F6 74 05 83 FE 24 7C 15 F6 43 1C 01 74 09 83 BB CC 02 00 00 00 74 06 89 B3 CC 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79663_0 {
	meta:
		name = "TCustomForm.SetPosition"
		size = 26
		refs = "0015 TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 A7 02 00 00 74 11 88 90 A7 02 00 00 F6 40 1C 10 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79664_0 {
	meta:
		name = "TCustomForm.SetPopupMode"
		size = 82
		refs = "0024 TCustomForm.set_PopupParent 003b TWinControl.HandleAllocated 004c TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 50 03 00 00 74 45 88 93 50 03 00 00 80 FA 01 75 12 83 BB 54 03 00 00 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 60 03 00 00 33 C0 89 83 64 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D F6 43 1C 10 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79665_0 {
	meta:
		name = "TCustomForm.set_PopupParent"
		size = 100
		refs = "001b TComponent.RemoveFreeNotification 002e TComponent.FreeNotification 004c TWinControl.HandleAllocated 005d TWinControl.RecreateWnd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 54 03 00 00 3B F0 74 51 3B DE 74 4D 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 89 B3 54 03 00 00 85 F6 74 10 8B D3 8B C6 E8 ?? ?? ?? ?? C6 83 50 03 00 00 02 33 C0 89 83 60 03 00 00 33 C0 89 83 64 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D F6 43 1C 10 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79666_0 {
	meta:
		name = "TCustomForm.GetScaled"
		size = 11
	strings:
		$1 = { 83 B8 CC 02 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_79667_0 {
	meta:
		name = "TCustomForm.SetScaled"
		size = 46
		refs = "0009 TCustomForm.GetScaled 001e Screen"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 1A 33 C0 89 86 CC 02 00 00 84 DB 74 0E A1 ?? ?? ?? ?? 8B 40 48 89 86 CC 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79668_0 {
	meta:
		name = "TCustomForm.CMColorChanged"
		size = 49
		refs = "0006 TWinControl.CMColorChanged 001b TBrush.SetColor 002b TControl.Perform"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 AC 02 00 00 85 C0 74 1B 8B 40 48 8B 53 74 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 3B B0 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79669_0 {
	meta:
		name = "TCustomForm.NormalColor"
		size = 22
	strings:
		$1 = { BA 05 00 00 FF 80 B8 A6 02 00 00 02 75 05 BA 0C 00 00 FF 8B C2 C3 }
	condition:
		$1
}

rule function_79670_0 {
	meta:
		name = "TCustomForm.CMCtl3DChanged"
		size = 72
		refs = "0006 TWinControl.CMCtl3DChanged 0016 TCustomForm.NormalColor 0027 TControl.SetColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB F1 01 00 00 00 74 1A 8B C3 E8 ?? ?? ?? ?? 3B 43 74 75 27 BA 0F 00 00 FF 8B C3 E8 ?? ?? ?? ?? 5B C3 81 7B 74 0F 00 00 FF 75 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79671_0 {
	meta:
		name = "TCustomForm.CMFontChanged"
		size = 30
		refs = "0006 TWinControl.CMFontChanged 0018 TCanvas.SetFont"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 AC 02 00 00 85 C0 74 08 8B 53 6C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79672_0 {
	meta:
		name = "TCustomForm.CMMenuChanged"
		size = 25
		refs = "0006 TCustomForm.RefreshMDIMenu 0013 TCustomForm.SetMenu"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 93 BC 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79673_0 {
	meta:
		name = "TCustomForm.SetWindowState"
		size = 62
		refs = "0029 ShowCommands 0031 TWinControl.GetHandle 0037 ShowWindow"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E A2 02 00 00 74 2D 88 9E A2 02 00 00 F6 46 1C 10 75 21 80 BE F2 01 00 00 00 74 18 0F B6 C3 8B 04 85 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79674_0 {
	meta:
		name = "TCustomForm.SetWindowToMonitor"
		size = 926
		refs = "001a Application 003a TCustomForm.GetMonitor 0053 Screen 007c TScreen.GetPrimaryMonitor 009a TScreen.GetMonitorCount 00b6 TScreen.GetMonitor 0128 TMonitor.GetWorkareaRect 0188 TMonitor.GetTop 019a TMonitor.GetHeight 01b8 TMonitor.GetLeft 01cb TMonitor.GetWidth 0203 TCustomForm.GetLeft 028b TCustomForm.GetTop"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 8B D8 0F B6 83 A8 02 00 00 84 C0 0F 84 7E 03 00 00 8B 15 ?? ?? ?? ?? 83 7A 48 00 0F 84 6E 03 00 00 33 D2 89 14 24 3C 02 75 15 A1 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 8B 40 04 89 04 24 EB 40 0F B6 83 A8 02 00 00 3C 03 75 21 8B 15 ?? ?? ?? ?? 83 7A 68 00 74 15 A1 ?? ?? ?? ?? 8B 40 68 E8 ?? ?? ?? ?? 8B 40 04 89 04 24 EB 14 3C 01 75 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 04 89 04 24 8B C3 E8 ?? ?? ?? ?? 8B 40 04 89 44 24 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 0F 8C EF 02 00 00 40 89 44 24 10 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 04 3B 04 24 0F 85 C5 02 00 00 8B 04 24 3B 44 24 04 0F 84 5D 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C A3 02 00 00 47 C7 44 24 08 00 00 00 00 8B 54 24 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 04 3B 44 24 04 0F 85 17 02 00 00 0F B6 83 A7 02 00 00 3C 04 75 58 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 54 24 14 E8 ?? ?? ?? ?? 8B 4B 50 51 8B 4B 54 51 8B 4C 24 28 8B 54 24 20 2B CA 2B 4B 54 D1 F9 79 03 83 D1 00 03 CA 8B 54 24 24 8B 44 24 1C 2B D0 2B 53 50 D1 FA 79 03 83 D2 00 03 D0 8B C3 8B 28 FF 95 A4 00 00 00 E9 B4 01 00 00 3C 06 75 7A 8B 43 50 50 8B 6B 54 55 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 2B C5 D1 F8 79 03 83 D0 00 5A 03 D0 52 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 2B 43 50 D1 F8 79 03 83 D0 00 03 E8 8B D5 8B C3 59 8B 28 FF 95 A4 00 00 00 E9 36 01 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B C3 E8 ?? ?? ?? ?? 03 E8 8B 54 24 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 2B E8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 03 D0 8B C5 03 43 50 3B D0 7D 29 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 E8 2B 6B 50 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 03 D0 52 8B 54 24 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 2B D0 89 54 24 0C 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 03 D0 8B 44 24 0C 03 43 54 3B D0 7D 2D 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 03 D0 2B 53 54 89 54 24 0C 8B 43 50 50 8B 43 54 50 8B 4C 24 14 8B D5 8B C3 8B 28 FF 95 A4 00 00 00 FF 44 24 08 4F 0F 85 C3 FD FF FF EB 5B 80 BB A7 02 00 00 04 75 52 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 54 24 14 E8 ?? ?? ?? ?? 8B 7B 50 57 8B 4B 54 51 8B 4C 24 28 8B 54 24 20 2B CA 2B 4B 54 D1 F9 79 03 83 D1 00 03 CA 8B 54 24 24 8B 44 24 1C 2B D0 2B D7 D1 FA 79 03 83 D2 00 03 D0 8B C3 8B 38 FF 97 A4 00 00 00 46 FF 4C 24 10 0F 85 18 FD FF FF 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79675_0 {
	meta:
		name = "GetNonToolWindowPopupParent"
		size = 125
		refs = "0003 GetParent 001f GetWindowLong 0034 Application 0040 TWinControl.GetHandle 004c GetWindowLongPtr"
	strings:
		$1 = { 53 50 E8 ?? ?? ?? ?? 8B D8 EB 08 53 E8 ?? ?? ?? ?? 8B D8 85 DB 74 18 BA EC FF FF FF 8B C3 E8 ?? ?? ?? ?? 25 80 00 00 00 3D 80 00 00 00 74 DC 85 DB 75 46 A1 ?? ?? ?? ?? 8B 40 48 85 C0 74 18 E8 ?? ?? ?? ?? BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? A8 80 0F 94 C0 EB 02 33 C0 84 C0 74 11 A1 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 8B D8 EB 0B A1 ?? ?? ?? ?? 8B 98 78 01 00 00 8B C3 5B C3 }
	condition:
		$1
}

rule function_79676_0 {
	meta:
		name = "TCustomForm.CreateParams"
		size = 1637
		refs = "0010 TScrollingWinControl.CreateParams 0019 TCustomForm.InitAlphaBlending 009d Application 00da TWinControl.HandleAllocated 00e8 TApplication.GetMainFormHandle 00f8 TWinControl.GetHandle 010e TCustomForm.GetPopupChildren 0115 TList.IndexOf 012d TList.Add 013c TComponent.FreeNotification 016e GetWindowLongPtr 0183 SetWindowLongPtr 01a2 TApplication.GetActiveFormHandle 01b3 IsIconic 01c0 IsWindowVisible 01cd IsWindowEnabled 01fd GetNonToolWindowPopupParent 020d Screen 04d8 @CallDynaInst 059e DefMDIChildProc 05f6 TCustomForm.IsClientSizeStored 061e Rect 063f AdjustWindowRectEx"
	strings:
		$1 = { 53 56 57 55 83 C4 D0 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 83 7B 38 00 0F 85 5B 04 00 00 83 BB DC 01 00 00 00 0F 85 4E 04 00 00 33 F6 F6 43 1C 10 74 04 B0 02 EB 2A F6 83 8C 03 00 00 08 74 0D 80 BB 50 03 00 00 00 75 04 B0 01 EB 14 80 BB A6 02 00 00 00 75 09 0F B6 83 50 03 00 00 EB 02 33 C0 8B AB 60 03 00 00 85 ED 0F 85 9C 03 00 00 83 BB 64 03 00 00 00 0F 85 8F 03 00 00 2C 01 72 13 0F 84 FD 00 00 00 FE C8 0F 84 A1 02 00 00 E9 93 03 00 00 A1 ?? ?? ?? ?? 80 B8 D7 00 00 00 00 0F 84 AA 00 00 00 80 BB 78 03 00 00 00 75 0A A1 ?? ?? ?? ?? 3B 58 48 75 0A 33 C0 89 47 1C E9 64 03 00 00 A1 ?? ?? ?? ?? 8B 68 48 85 ED 74 6E 8B C5 E8 ?? ?? ?? ?? 84 C0 74 63 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 1C A1 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 3B 47 1C 0F 85 2A 03 00 00 A1 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 85 C0 7D 14 A1 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 50 48 8B C3 E8 ?? ?? ?? ?? E9 EA 02 00 00 A1 ?? ?? ?? ?? 8B 80 78 01 00 00 89 47 1C E9 D7 02 00 00 A1 ?? ?? ?? ?? 8B 80 78 01 00 00 89 47 1C BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 8B 57 1C BD EC FF FF FF 25 7F FF FF FF 50 55 52 E8 ?? ?? ?? ?? E9 A3 02 00 00 80 BB 78 03 00 00 00 74 07 33 C0 89 47 1C EB 0D A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 1C 83 7F 1C 00 74 2B 8B 47 1C E8 ?? ?? ?? ?? 85 C0 75 1A 8B 47 1C 50 E8 ?? ?? ?? ?? 85 C0 74 0D 8B 47 1C 50 E8 ?? ?? ?? ?? 85 C0 75 05 33 C0 89 47 1C 8B 47 1C 85 C0 74 23 BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 25 80 00 00 00 3D 80 00 00 00 75 0B 8B 47 1C E8 ?? ?? ?? ?? 89 47 1C 8B 47 1C 85 C0 74 2A 8B 15 ?? ?? ?? ?? 83 7A 6C 00 74 1E 8B 15 ?? ?? ?? ?? 8B 52 6C 3B 82 60 02 00 00 75 0D A1 ?? ?? ?? ?? 8B 70 6C E9 FA 01 00 00 85 C0 0F 85 F2 01 00 00 A1 ?? ?? ?? ?? 80 B8 D7 00 00 00 00 0F 84 AF 00 00 00 80 BB 78 03 00 00 00 75 0A A1 ?? ?? ?? ?? 3B 58 48 75 0A 33 C0 89 47 1C E9 C3 01 00 00 A1 ?? ?? ?? ?? 83 78 48 00 74 74 A1 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 84 C0 74 63 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 1C A1 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 3B 47 1C 0F 85 84 01 00 00 A1 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 85 C0 7D 14 A1 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 50 48 8B C3 E8 ?? ?? ?? ?? E9 44 01 00 00 A1 ?? ?? ?? ?? 8B 80 78 01 00 00 89 47 1C E9 31 01 00 00 A1 ?? ?? ?? ?? 8B 80 78 01 00 00 89 47 1C 8B 47 1C BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 8B 57 1C BD EC FF FF FF 25 7F FF FF FF 50 55 52 E8 ?? ?? ?? ?? 89 04 24 E9 F7 00 00 00 8B AB 54 03 00 00 85 ED 74 18 F6 43 1C 10 75 12 8B C5 E8 ?? ?? ?? ?? 89 47 1C 8B B3 54 03 00 00 EB 0D A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 1C 8B 47 1C 85 C0 74 2A 8B 15 ?? ?? ?? ?? 83 7A 48 00 74 1E 8B 15 ?? ?? ?? ?? 8B 52 48 3B 82 60 02 00 00 75 0D A1 ?? ?? ?? ?? 8B 70 48 E9 97 00 00 00 85 C0 0F 85 8F 00 00 00 A1 ?? ?? ?? ?? 8B 80 78 01 00 00 89 47 1C A1 ?? ?? ?? ?? 80 B8 D7 00 00 00 00 75 73 8B 47 1C 89 44 24 04 C7 44 24 08 EC FF FF FF 8B 44 24 08 50 8B 44 24 08 50 E8 ?? ?? ?? ?? 89 44 24 0C 8B 47 1C 89 44 24 10 C7 44 24 14 EC FF FF FF 8B 44 24 0C 25 7F FF FF FF 89 44 24 18 8B 44 24 18 50 8B 44 24 18 50 8B 44 24 18 50 E8 ?? ?? ?? ?? 89 44 24 1C EB 1B 8B 83 64 03 00 00 85 C0 74 05 89 47 1C EB 0C 8B F5 8B C5 E8 ?? ?? ?? ?? 89 47 1C 85 F6 74 31 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 85 C0 7D 0E 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 89 B3 60 03 00 00 EB 17 8B 47 1C 8B 15 ?? ?? ?? ?? 3B 82 78 01 00 00 74 06 89 83 64 03 00 00 81 67 04 FF FF FC BF C7 47 24 08 00 00 00 F6 43 1C 10 74 12 83 7B 38 00 75 0C 81 4F 04 00 00 CF 00 E9 BC 01 00 00 F6 43 1C 10 74 06 83 7B 38 00 75 1A 0F B6 83 A7 02 00 00 48 2C 02 73 0E C7 47 0C 00 00 00 80 C7 47 10 00 00 00 80 8D 47 24 50 8D 4F 08 8D 57 04 8B C3 66 BE A7 FF E8 ?? ?? ?? ?? 0F B6 83 A1 02 00 00 80 BB A6 02 00 00 01 75 0D 8B D0 84 D2 74 05 80 EA 03 75 02 B0 02 8B D0 80 EA 02 74 05 80 EA 03 75 2B F6 43 1C 10 74 06 83 7B 38 00 75 1F 0F B6 93 A7 02 00 00 80 EA 01 74 05 80 EA 02 75 0E C7 47 14 00 00 00 80 C7 47 18 00 00 00 80 2C 03 73 4C F6 43 1C 10 75 4D 0F B6 83 A2 02 00 00 3C 01 75 2E A1 ?? ?? ?? ?? 80 B8 D7 00 00 00 00 74 17 80 BB 78 03 00 00 00 74 0E A1 ?? ?? ?? ?? C6 80 E0 00 00 00 01 EB 1D 81 4F 04 00 00 00 20 EB 14 3C 02 75 10 81 4F 04 00 00 00 01 EB 07 C6 83 A2 02 00 00 00 F6 43 1D 02 74 07 81 67 04 FF FF 3F FF 80 BB A6 02 00 00 01 75 08 B8 ?? ?? ?? ?? 89 47 28 8D 4F 08 8D 57 04 8B C3 66 BE A8 FF E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 B8 D7 00 00 00 00 74 2F 80 BB 78 03 00 00 00 75 1F F6 43 1C 10 75 06 F6 43 5D 20 74 1A 80 BB A6 02 00 00 01 74 11 A1 ?? ?? ?? ?? 3B 58 48 75 07 81 4F 08 00 00 04 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5F 80 BB A2 02 00 00 02 75 56 8B 83 DC 02 00 00 50 8D 44 24 24 50 8B 8B D8 02 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 47 08 50 83 BB BC 02 00 00 00 0F 95 C0 F6 D8 1B C0 50 8B 47 04 50 8D 44 24 2C 50 E8 ?? ?? ?? ?? 85 C0 74 16 8B 44 24 28 2B 44 24 20 89 47 14 8B 44 24 2C 2B 44 24 24 89 47 18 83 C4 30 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79677_0 {
	meta:
		name = "TCustomForm.CreateWnd"
		size = 520
		refs = "000b TScrollingWinControl.CreateWnd 0010 NewStyleControls 0025 TCustomForm.GetIconHandle 0034 TWinControl.GetHandle 003a SendMessage 0092 TMenuItem.GetHandle 00a5 TControl.GetClientWidth 00ad TControl.GetClientHeight 00bd HInstance 00c8 TCustomForm.CreateWnd 00d4 CreateWindowEx 00e9 MakeObjectInstance 0101 GetWindowLongPtr 0120 SetWindowLongPtr 013b SetWindowPos 015d TList.Get 0162 TWinControl.UpdateControlState 017c @DynArrayHigh 01c2 TPopupWndArray 01c7 @DynArraySetLength 01db TGlassFrame.FrameExtended 01e8 TCustomForm.UpdateGlassFrame"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 3D 80 BB A1 02 00 00 03 74 1E 8B C3 E8 ?? ?? ?? ?? 50 6A 01 68 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 16 6A 00 6A 01 68 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 43 1C 10 0F 85 DF 00 00 00 0F B6 83 A6 02 00 00 2C 02 74 0D FE C8 0F 84 B3 00 00 00 E9 C7 00 00 00 C7 44 24 04 00 FF 00 00 33 C0 89 04 24 8B B3 C8 02 00 00 85 F6 74 0A 8B C6 E8 ?? ?? ?? ?? 89 04 24 68 01 00 33 56 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 A1 ?? ?? ?? ?? 50 8D 44 24 20 50 BA ?? ?? ?? ?? 33 C9 B8 00 02 00 00 E8 ?? ?? ?? ?? 89 83 84 03 00 00 53 8B 03 8B 80 04 01 00 00 50 E8 ?? ?? ?? ?? 89 83 88 03 00 00 8B 83 84 03 00 00 BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 89 83 E4 02 00 00 8B 83 84 03 00 00 BA FC FF FF FF 8B B3 88 03 00 00 56 52 50 E8 ?? ?? ?? ?? EB 19 6A 13 6A 00 6A 00 6A 00 6A 00 6A FF 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 58 03 00 00 85 C0 74 2C 8B 78 08 4F 85 FF 7C 19 47 33 F6 8B D6 8B 83 58 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 EA 8B 83 58 03 00 00 8B 10 FF 52 08 8B 83 5C 03 00 00 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 2D 47 33 F6 8B 83 60 02 00 00 50 8B 83 5C 03 00 00 8B 04 F0 50 68 49 B0 00 00 8B 83 5C 03 00 00 8B 44 F0 04 50 E8 ?? ?? ?? ?? 46 4F 75 D6 6A 00 8D 83 5C 03 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 F6 43 1C 01 75 18 8B 83 7C 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 00 00 4D 00 44 00 49 00 43 00 4C 00 49 00 45 00 4E 00 54 00 00 00 }
	condition:
		$1
}

rule function_79678_0 {
	meta:
		name = "TCustomForm.CreateWindowHandle"
		size = 310
		refs = "001a TCustomForm.CreateWindowHandle 003c Application 0057 SNoMDIForm 005c LoadResString 0069 _Dn_EInvalidOperation 006e Exception.Create 0073 @RaiseExcept 0083 HInstance 00c8 SendStructMessage 00fd TWinControl.CreateWindowHandle 010b TCustomForm.SetLayeredAttribs 0123 @UStrClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 0C FF FF FF 53 56 57 33 C9 89 8D 0C FF FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB A6 02 00 00 01 0F 85 AA 00 00 00 F6 43 1C 10 0F 85 A0 00 00 00 A1 ?? ?? ?? ?? 8B 40 48 85 C0 74 09 83 B8 84 03 00 00 00 75 27 8D 95 0C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 0C FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 42 4C 89 45 DC 8B 02 89 45 E0 A1 ?? ?? ?? ?? 89 45 E4 8B 42 0C 89 45 E8 8B 42 10 89 45 EC 8B 42 14 89 45 F0 8B 42 18 89 45 F4 8B 42 04 89 45 F8 8B 42 20 89 45 FC 8D 45 DC 50 A1 ?? ?? ?? ?? 8B 40 48 8B 80 84 03 00 00 33 C9 BA 20 02 00 00 E8 ?? ?? ?? ?? 89 83 60 02 00 00 80 8B 8C 03 00 00 10 EB 2D 8B F2 8D BD 10 FF FF FF B9 33 00 00 00 F3 A5 81 A5 18 FF FF FF FF FF F7 FF 8D 95 10 FF FF FF 8B C3 E8 ?? ?? ?? ?? 80 A3 8C 03 00 00 EF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 0C FF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79679_0 {
	meta:
		name = "DestroyPopupWindow"
		size = 65
		refs = "0012 FindControl 001e GetWindow 0034 SendMessage"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 0C 8B 5D 08 3B 1E 74 29 8B C3 E8 ?? ?? ?? ?? 85 C0 75 1E 6A 04 53 E8 ?? ?? ?? ?? 3B 06 75 12 6A 00 0F B6 46 04 50 68 4A B0 00 00 53 E8 ?? ?? ?? ?? 83 C8 FF 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_79680_0 {
	meta:
		name = "TCustomForm.DestroyHandle"
		size = 306
		refs = "002d TCustomForm.GetRecreateChildren 006a TList.Get 0071 TWinControl.UpdateRecreatingFlag 0079 TCustomForm.DestroyHandle 009a TList.Add 00e7 @HandleFinally 0117 DestroyPopupWindow 011c GetCurrentThreadId 0122 EnumThreadWindows 012a TWinControl.DestroyHandle"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 45 FC 8B 45 FC 83 B8 60 02 00 00 00 0F 84 0D 01 00 00 8B 45 FC 83 B8 4C 03 00 00 00 0F 84 D0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 80 4C 03 00 00 8B 40 08 48 85 C0 0F 8C B0 00 00 00 40 89 45 E8 C7 45 F8 00 00 00 00 8B 45 FC F6 40 5D 20 74 18 8B 45 FC 8B 80 4C 03 00 00 8B 55 F8 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 4C 03 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 4C 03 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 10 FF 92 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC F6 40 5D 20 74 18 8B 45 FC 8B 80 4C 03 00 00 8B 55 F8 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 FF 45 F8 FF 4D E8 0F 85 5B FF FF FF 8B 45 FC 8B 80 60 02 00 00 89 45 EC 8B 45 FC F6 40 5D 20 0F 95 C0 88 45 F0 8D 45 EC 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_79681_0 {
	meta:
		name = "TCustomForm.DestroyWindowHandle"
		size = 90
		refs = "000d TStyleManager.FFlags 001b _Dn_TStyleManager 0020 TStyleManager.Notification 0029 TWinControl.GetHandle 0034 Application 0043 SendMessage 004c TWinControl.DestroyWindowHandle"
	strings:
		$1 = { 53 8B D8 F6 83 8C 03 00 00 10 74 3D A1 ?? ?? ?? ?? F6 00 01 74 0E 8B CB 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 68 21 02 00 00 A1 ?? ?? ?? ?? 8B 40 48 8B 80 84 03 00 00 50 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 84 03 00 00 5B C3 }
	condition:
		$1
}

rule function_79682_0 {
	meta:
		name = "TCustomForm.DefaultHandler"
		size = 98
		refs = "0022 TWinControl.GetHandle 0028 DefWindowProc 004c DefFrameProc 005b TWinControl.DefaultHandler"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 84 03 00 00 00 74 47 83 3E 05 75 1D 8B 46 08 50 8B 46 04 50 8B 06 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 0C EB 2E 8B 46 08 50 8B 46 04 50 8B 06 50 8B 83 84 03 00 00 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 0C 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79683_0 {
	meta:
		name = "TCustomForm.SetActiveControl"
		size = 189
		refs = "0010 TCustomForm.SetActiveControl 0035 GetRealParentForm 004a @CallDynaInst 0056 SCannotFocus 005b LoadResString 0065 _Dn_EInvalidOperation 006a Exception.Create 006f @RaiseExcept 008b TCustomForm.SetWindowFocus 00ab @UStrClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B BB 98 02 00 00 74 78 85 FF 74 4D F6 43 1C 10 75 47 3B DF 74 22 B2 01 8B C7 E8 ?? ?? ?? ?? 3B D8 75 15 F6 43 1C 01 75 30 8B C7 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 BB 98 02 00 00 F6 43 1C 01 75 1B 80 BB A5 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE AD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79684_0 {
	meta:
		name = "TCustomForm.SetActiveOleControl"
		size = 25
		refs = "0014 TComponent.FreeNotification"
	strings:
		$1 = { 3B 90 E8 02 00 00 74 10 89 90 E8 02 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79685_0 {
	meta:
		name = "TCustomForm.DefocusControl"
		size = 69
		refs = "0016 TWinControl.ContainsControl 003d TCustomForm.SetActiveControl"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 84 DB 74 1A 8B 97 9C 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 8B 46 38 89 87 9C 02 00 00 8B 97 98 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79686_0 {
	meta:
		name = "TCustomForm.FocusControl"
		size = 107
		refs = "002b TWinControl.HandleAllocated 003a @CallDynaInst 0045 TWinControl.GetHandle 004b SetFocus 0054 TCustomForm.SetActiveControl"
	strings:
		$1 = { 53 56 57 55 8B FA 8B E8 0F B6 9D A5 02 00 00 84 DB 74 3C 80 BD A6 02 00 00 01 75 33 85 FF 74 2F 3B BD 98 02 00 00 75 27 8B C7 E8 ?? ?? ?? ?? 84 C0 74 1C 8B C7 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 0D 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D7 8B C5 E8 ?? ?? ?? ?? 84 DB 75 0A 8B C5 8B 10 FF 92 F4 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79687_0 {
	meta:
		name = "TCustomForm.SetFocusedControl"
		size = 672
		refs = "0014 FocusCount 003a Screen 0059 TList.RemoveItem 006a TList.Insert 0072 _DV_TForm 0077 @IsClass 00ca TCustomForm.SetFocusedControl 00f3 TWinControl.GetHandle 010a SendFocusMessage 0113 @TryFinallyExit 01a7 TWinControl.ContainsControl 0209 _DV_TScrollingWinControl 0238 TControl.Perform 027c @HandleFinally 0288 TScreen.UpdateLastActive"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B F8 C6 45 FB 00 FF 05 ?? ?? ?? ?? 83 BF C4 02 00 00 00 75 18 3B 7D FC 74 0B 8B 45 FC 89 87 98 02 00 00 EB 08 33 C0 89 87 98 02 00 00 A1 ?? ?? ?? ?? 8B 55 FC 89 50 64 A1 ?? ?? ?? ?? 89 78 68 A1 ?? ?? ?? ?? 8B 40 58 8B D7 33 C9 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 58 8B CF 33 D2 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2C A1 ?? ?? ?? ?? 89 78 6C A1 ?? ?? ?? ?? 8B 40 54 8B D7 33 C9 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 54 8B CF 33 D2 E8 ?? ?? ?? ?? EB 0A A1 ?? ?? ?? ?? 33 D2 89 50 6C 8B 45 FC F6 40 5C 20 0F 85 CE 01 00 00 8B 45 FC 8B 40 5C 0B 05 ?? ?? ?? ?? 8B 55 FC 89 42 5C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 40 78 3B F8 74 54 85 C0 74 2A E8 ?? ?? ?? ?? 8B D8 A1 ?? ?? ?? ?? 33 D2 89 50 78 66 BA 01 B0 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 74 01 00 00 A1 ?? ?? ?? ?? 89 78 78 8B C7 E8 ?? ?? ?? ?? 66 BA 00 B0 E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 4E 01 00 00 83 BF 9C 02 00 00 00 75 06 89 BF 9C 02 00 00 8B 87 9C 02 00 00 3B 45 FC 0F 84 F9 00 00 00 EB 35 8B 87 9C 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 87 9C 02 00 00 8B 40 38 89 87 9C 02 00 00 66 BA 1B B0 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 F9 00 00 00 8B B7 9C 02 00 00 85 F6 74 46 8B C6 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 B3 EB 36 8B 75 FC EB 02 8B F3 8B 5E 38 3B 9F 9C 02 00 00 75 F3 89 B7 9C 02 00 00 8B C6 E8 ?? ?? ?? ?? 66 BA 1A B0 E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 A9 00 00 00 8B 87 9C 02 00 00 3B 45 FC 75 BF 8B 45 FC 8B 70 38 8B 45 FC F6 40 1C 10 75 29 85 F6 74 25 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 55 FC 8B C6 8B 08 FF 91 FC 00 00 00 8B 76 38 85 F6 75 DB 8B 45 FC 50 33 C9 BA 07 B0 00 00 8B C7 E8 ?? ?? ?? ?? 8B 87 E8 02 00 00 85 C0 74 13 3B 45 FC 74 0E 6A 00 33 C9 BA 2A B0 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? F7 D2 23 50 5C 8B 45 FC 89 50 5C C3 E9 ?? ?? ?? ?? EB E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 FB 01 0F B6 45 FB 5F 5E 5B 59 59 5D C3 00 20 00 00 00 }
	condition:
		$1
}

rule function_79689_0 {
	meta:
		name = "TCustomForm.SetWindowFocus"
		size = 119
		refs = "0035 TWinControl.FindNextControl 0048 TWinControl.GetHandle 004e SetFocus 005c GetFocus 0070 TControl.Perform"
	strings:
		$1 = { 53 56 8B D8 8B 83 98 02 00 00 85 C0 74 0D 83 BB C4 02 00 00 00 75 04 8B F0 EB 2A 83 7B 38 00 74 22 83 BB C4 02 00 00 00 75 19 6A 01 6A 00 B1 01 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 06 8B F3 EB 02 8B F3 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 75 10 6A 00 33 C9 BA 29 B0 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79690_0 {
	meta:
		name = "TCustomForm.SetActive"
		size = 99
		refs = "0021 TControl.Perform 0043 TWinControl.FindNextControl 004c TCustomForm.SetActiveControl 0055 TCustomForm.MergeMenu 005c TCustomForm.SetWindowFocus"
	strings:
		$1 = { 53 56 8B DA 8B F0 88 9E A5 02 00 00 8B 86 E8 02 00 00 85 C0 74 0F 6A 00 0F B6 CB BA 2B B0 00 00 E8 ?? ?? ?? ?? 84 DB 74 37 83 BE 98 02 00 00 00 75 1E F6 46 1C 10 75 18 6A 01 6A 00 B1 01 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79691_0 {
	meta:
		name = "TCustomForm.SendCancelMode"
		size = 80
		refs = "0027 TControl.Perform 0037 TCustomForm.get_ActiveMDIChild 0049 TCustomForm.SendCancelMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB A5 02 00 00 00 74 1C 83 BB 98 02 00 00 00 74 13 56 33 C9 BA 04 B0 00 00 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 80 BB A6 02 00 00 02 75 19 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79692_0 {
	meta:
		name = "TCustomForm.MergeMenu"
		size = 166
		refs = "0010 Application 0097 TMainMenu.Merge 00a0 TMainMenu.Unmerge"
	strings:
		$1 = { 56 F6 80 8C 03 00 00 08 0F 85 96 00 00 00 8B 0D ?? ?? ?? ?? 83 79 48 00 0F 84 86 00 00 00 8B 0D ?? ?? ?? ?? 8B 49 48 83 B9 BC 02 00 00 00 74 74 8B 0D ?? ?? ?? ?? 3B 41 48 74 69 80 B8 A6 02 00 00 01 74 12 8B 0D ?? ?? ?? ?? 8B 49 48 80 B9 A6 02 00 00 02 74 4E 33 F6 F6 40 1C 10 75 24 83 B8 BC 02 00 00 00 74 1B 8B 88 BC 02 00 00 80 79 64 00 75 09 80 B8 A6 02 00 00 01 75 06 8B B0 BC 02 00 00 A1 ?? ?? ?? ?? 8B 40 48 8B 80 BC 02 00 00 84 D2 74 09 8B D6 E8 ?? ?? ?? ?? EB 07 8B D6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_79693_0 {
	meta:
		name = "DoNestedActivation"
		size = 73
		refs = "001d _DV_TCustomForm 0022 @IsClass 003a TWinControl.GetHandle 0040 SendMessage"
	strings:
		$1 = { 53 56 57 55 8B F9 8B DA 8B E8 85 DB 74 36 EB 02 8B DE 8B 73 38 85 F6 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 E6 85 DB 74 16 3B FB 74 12 6A 00 6A 00 55 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79694_0 {
	meta:
		name = "TCustomForm.Activate"
		size = 47
		refs = "0011 DoNestedActivation"
	strings:
		$1 = { 53 8B D8 8B CB 8B 93 98 02 00 00 B8 00 B0 00 00 E8 ?? ?? ?? ?? 66 83 BB F2 02 00 00 00 74 0E 8B D3 8B 83 F4 02 00 00 FF 93 F0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_79695_0 {
	meta:
		name = "TCustomForm.Deactivate"
		size = 47
		refs = "0011 DoNestedActivation"
	strings:
		$1 = { 53 8B D8 8B CB 8B 93 98 02 00 00 B8 01 B0 00 00 E8 ?? ?? ?? ?? 66 83 BB 0A 03 00 00 00 74 0E 8B D3 8B 83 0C 03 00 00 FF 93 08 03 00 00 5B C3 }
	condition:
		$1
}

rule function_79696_0 {
	meta:
		name = "TCustomForm.Paint"
		size = 29
	strings:
		$1 = { 53 66 83 B8 22 03 00 00 00 74 10 8B D8 8B D0 8B 83 24 03 00 00 FF 93 20 03 00 00 5B C3 }
	condition:
		$1
}

rule function_79697_0 {
	meta:
		name = "TCustomForm.GetIconHandle"
		size = 26
		refs = "0007 TIcon.GetHandle 0010 Application 0015 TApplication.GetIconHandle"
	strings:
		$1 = { 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79698_0 {
	meta:
		name = "TCustomForm.PaintWindow"
		size = 505
		refs = "0018 TCustomCanvas.Lock 0020 TCustomForm.PaintWindow 0037 TCanvas.SetHandle 004e SaveDC 006f TGlassFrame.FrameExtended 00c9 ExcludeClipRect 00e8 GetStockObject 00fb TCanvas.GetHandle 0101 FillRect 0119 TBrush.SetColor 012c TBrush.SetStyle 0137 ColorToRGB 014c SetBkColor 0177 RestoreDC 017d @HandleFinally 01a7 @CallDynaInst 01e7 TCustomCanvas.Unlock"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 89 55 F8 89 45 FC 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 AC 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 7C 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1A 8B 45 FC 83 B8 C4 02 00 00 00 0F 84 DA 00 00 00 80 7B 08 00 0F 84 D0 00 00 00 8D 55 E4 8B 45 FC 8B 08 FF 51 60 80 7B 28 00 75 2D 8B 45 FC 80 B8 80 03 00 00 00 75 21 8B 45 F0 2B 43 18 50 8B 45 EC 2B 43 14 50 8B 43 10 50 8B 43 0C 50 8B 45 F8 50 E8 ?? ?? ?? ?? EB 0A 8B 45 FC C6 80 80 03 00 00 00 8B 45 FC 83 B8 C4 02 00 00 00 75 22 6A 04 E8 ?? ?? ?? ?? 50 8D 45 E4 50 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 5A 8B 45 FC 8B 80 AC 02 00 00 8B 40 48 BA 02 00 00 FF E8 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 8B 40 48 B2 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 74 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC 8B 80 AC 02 00 00 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 83 B8 C4 02 00 00 00 74 10 8B 45 FC 8B 80 C4 02 00 00 8B 10 FF 52 28 EB 0C 8B 45 FC 66 BE A3 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79699_0 {
	meta:
		name = "TCustomForm.PaletteChanged"
		size = 161
		refs = "0014 TCustomForm.get_ActiveMDIChild 0031 @CallDynaInst 003b TCustomForm.get_MDIChildCount 005d TCustomForm.get_MDIChildren 0091 TWinControl.PaletteChanged"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 88 54 24 04 89 04 24 33 DB 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 0C 83 7C 24 0C 00 74 14 0F B6 54 24 04 8B 44 24 0C 66 BE D1 FF E8 ?? ?? ?? ?? 8B D8 8B 04 24 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 3C 45 C7 44 24 08 00 00 00 00 84 5C 24 04 75 42 8B 54 24 08 8B 04 24 E8 ?? ?? ?? ?? 8B F8 3B 7C 24 0C 74 12 0F B6 54 24 04 8B C7 66 BE D1 FF E8 ?? ?? ?? ?? 0A D8 FF 44 24 08 4D 75 CD 84 5C 24 04 75 0F 0F B6 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 8B D8 8B C3 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79700_0 {
	meta:
		name = "TCustomForm.WMPaint"
		size = 120
		refs = "000c TWinControl.GetHandle 0011 IsIconic 001a TCustomForm.WMPaint 0029 TWinControl.WMPaint 0046 BeginPaint 004f TCustomForm.GetIconHandle 005a DrawIcon 0068 EndPaint"
	strings:
		$1 = { 53 56 83 C4 C0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 23 A1 ?? ?? ?? ?? 0B 43 5C 89 43 5C 8B D6 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 43 5C 89 43 5C EB 30 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 50 6A 00 6A 00 56 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 40 5E 5B C3 00 00 00 01 00 00 }
	condition:
		$1
}

rule function_79701_0 {
	meta:
		name = "TCustomForm.WMNCPaint"
		size = 38
		refs = "0006 TWinControl.WMNCPaint"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB C4 02 00 00 00 74 11 83 7B 38 00 74 0B 8B 83 C4 02 00 00 8B 10 FF 52 2C 5B C3 }
	condition:
		$1
}

rule function_79702_0 {
	meta:
		name = "TCustomForm.WMIconEraseBkgnd"
		size = 95
		refs = "0022 Application 0030 TBrush.GetHandle 004a FillRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 80 BB A6 02 00 00 01 75 47 80 BB A6 02 00 00 01 75 35 F6 43 1C 10 75 2F A1 ?? ?? ?? ?? 8B 40 48 8B 80 C8 01 00 00 E8 ?? ?? ?? ?? 50 8D 54 24 04 8B C3 8B 08 FF 51 60 8D 44 24 04 50 8B 46 04 50 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 8B 08 FF 51 F0 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_79703_0 {
	meta:
		name = "TCustomForm.WMEraseBkgnd"
		size = 52
		refs = "0009 TWinControl.GetHandle 000e IsIconic 001b TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 C7 06 27 00 00 00 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_79704_0 {
	meta:
		name = "TCustomForm.WMQueryDragIcon"
		size = 19
		refs = "0009 TCustomForm.GetIconHandle"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_79705_0 {
	meta:
		name = "ModifySystemMenu"
		size = 249
		refs = "0046 TWinControl.GetHandle 004c GetSystemMenu 006a DeleteMenu 00d6 EnableMenuItem"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 80 B8 A1 02 00 00 00 0F 84 DF 00 00 00 8B 45 08 8B 40 FC F6 80 A0 02 00 00 01 0F 84 CC 00 00 00 8B 45 08 8B 40 FC 80 B8 A6 02 00 00 01 0F 84 B9 00 00 00 6A 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 80 B8 A1 02 00 00 03 75 5D 6A 00 68 30 F1 00 00 53 E8 ?? ?? ?? ?? 68 00 04 00 00 6A 07 53 E8 ?? ?? ?? ?? 68 00 04 00 00 6A 05 53 E8 ?? ?? ?? ?? 6A 00 68 30 F0 00 00 53 E8 ?? ?? ?? ?? 6A 00 68 20 F0 00 00 53 E8 ?? ?? ?? ?? 6A 00 68 00 F0 00 00 53 E8 ?? ?? ?? ?? 6A 00 68 20 F1 00 00 53 E8 ?? ?? ?? ?? EB 38 8B 45 08 8B 40 FC F6 80 A0 02 00 00 02 75 0D 6A 01 68 20 F0 00 00 53 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC F6 80 A0 02 00 00 04 75 0D 6A 01 68 30 F0 00 00 53 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_79706_0 {
	meta:
		name = "TCustomForm.WMNCCreate"
		size = 51
		refs = "001c TCustomForm.SetMenu 002b ModifySystemMenu"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 08 FF 51 F0 8B 45 FC 8B 90 BC 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 1C 10 75 07 55 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_79707_0 {
	meta:
		name = "TCustomForm.WMNCHitTest"
		size = 33
		refs = "001b TWinControl.WMNCHitTest"
	strings:
		$1 = { 56 8B F0 F6 46 1C 10 74 0F 83 7E 38 00 74 09 8B C6 8B 08 FF 51 F0 5E C3 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_79708_0 {
	meta:
		name = "TCustomForm.WMNCLButtonDown"
		size = 140
		refs = "001e TWinControl.GetHandle 0023 IsIconic 0040 SetWindowPos 005a PostMessage 0079 TControl.BeginDrag 0085 TControl.WMNCLButtonDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7E 04 02 75 74 80 BB 93 00 00 00 01 75 6B F6 43 1C 10 75 65 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 55 6A 07 6A 00 6A 00 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 46 08 50 8B 46 04 50 68 A2 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BB A5 02 00 00 00 74 22 8B C3 8B 10 FF 52 6C 8B D0 80 F2 01 83 C9 FF 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79709_0 {
	meta:
		name = "TCustomForm.WMDestroy"
		size = 404
		refs = "000f TCustomForm.GetRecreateChildren 0033 TList.Get 0038 TWinControl.HandleAllocated 0052 TList.IndexOf 006c TList.Add 009e TCustomForm.GetPopupChildren 00d1 @CallDynaInst 00dc Application 00f0 TApplication.AddPopupForm 0128 SendMessage 0135 NewStyleControls 014a TWinControl.GetHandle 0171 SetMenu 017e TMenu.SetWindowHandle 0188 TWinControl.WMDestroy"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 14 24 8B F8 8B C7 E8 ?? ?? ?? ?? 8B E8 8B 87 4C 03 00 00 85 C0 74 55 8B 70 08 4E 85 F6 7C 4D 46 33 DB 8B D3 8B 87 4C 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8B D3 8B 87 4C 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 85 C0 7D 16 8B D3 8B 87 4C 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 43 4E 75 B6 83 BF 60 03 00 00 00 74 47 8B 87 60 03 00 00 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 85 C0 0F 8D 9D 00 00 00 8B 87 60 03 00 00 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 40 0F 8E 84 00 00 00 8B 87 60 03 00 00 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? EB 70 F6 47 1C 08 75 62 8B C7 66 BE A6 FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 51 A1 ?? ?? ?? ?? 3B 98 78 01 00 00 74 44 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 04 8B 87 60 02 00 00 89 44 24 08 83 BF 64 03 00 00 00 0F 95 C0 88 44 24 0C A1 ?? ?? ?? ?? 8B 80 80 01 00 00 50 8D 44 24 08 50 68 48 B0 00 00 53 E8 ?? ?? ?? ?? 33 C0 89 87 64 03 00 00 A1 ?? ?? ?? ?? 80 38 00 74 16 6A 00 6A 01 68 80 00 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 BF BC 02 00 00 00 74 25 80 BF A6 02 00 00 01 74 1C 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B 87 BC 02 00 00 E8 ?? ?? ?? ?? 8B 14 24 8B C7 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79710_0 {
	meta:
		name = "TCustomForm.WMCommand"
		size = 52
		refs = "0020 TMenu.DispatchCommand 002d TWinControl.WMCommand"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7E 08 00 75 1C 83 BB BC 02 00 00 00 74 13 0F B7 56 04 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79711_0 {
	meta:
		name = "TCustomForm.WMInitMenuPopup"
		size = 21
		refs = "0010 TMenu.DispatchPopup"
	strings:
		$1 = { 8B 88 BC 02 00 00 85 C9 74 0A 8B 52 04 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79712_0 {
	meta:
		name = "TCustomForm.WMMenuChar"
		size = 53
		refs = "0013 TMenu.ProcessMenuChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 BC 02 00 00 85 C0 74 19 8B D6 E8 ?? ?? ?? ?? 83 7E 0C 00 75 15 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_79713_0 {
	meta:
		name = "TCustomForm.WMMenuSelect"
		size = 168
		refs = "000e TCustomForm.WMMenuSelect 0046 GetSubMenu 0055 TMenu.FindItem 0066 GetLongHint 006e Application 0073 TApplication.SetHint 0096 @UStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BF BC 02 00 00 00 74 64 33 F6 66 81 7A 06 FF FF 75 07 66 83 7A 04 00 74 29 33 DB 0F B7 42 04 F6 42 06 10 74 0C B3 01 50 8B 42 08 50 E8 ?? ?? ?? ?? 8B CB 8B D0 8B 87 BC 02 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1A 8D 55 FC 8B 46 5C E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79714_0 {
	meta:
		name = "TCustomForm.WMActivate"
		size = 70
		refs = "0009 TWinControl.GetHandle 0015 GetWindowLongPtr 003f TCustomForm.SetActive"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 25 00 00 00 40 3D 00 00 00 40 74 1E 80 BB A6 02 00 00 02 75 06 F6 43 1C 10 74 0F 66 83 7E 04 00 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79715_0 {
	meta:
		name = "TCustomForm.Resizing"
		size = 55
	strings:
		$1 = { 53 8B D8 F6 43 1C 10 75 0C F6 43 5D 20 75 06 88 93 A2 02 00 00 80 FA 01 74 07 8B C3 8B 10 FF 52 74 83 BB D4 02 00 00 00 74 0B 8B 83 D4 02 00 00 8B 10 FF 52 10 5B C3 }
	condition:
		$1
}

rule function_79717_0 {
	meta:
		name = "TCustomForm.WMQueryEndSession"
		size = 25
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 18 01 00 00 83 E0 7F 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_79718_0 {
	meta:
		name = "TCustomForm.CMAppSysCommand"
		size = 86
		refs = "0033 TCustomForm.SendCancelMode 0044 SendAppMessage"
	strings:
		$1 = { 53 56 8B DA 33 D2 89 53 0C F6 40 1C 10 75 1E 80 B8 A6 02 00 00 01 74 15 83 B8 BC 02 00 00 00 74 0C 8B 90 BC 02 00 00 80 7A 64 00 74 26 8B 73 08 33 D2 E8 ?? ?? ?? ?? 0F B7 4E 08 8B 56 04 B8 17 B0 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 C7 43 0C 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79719_0 {
	meta:
		name = "TCustomForm.WMSysCommand"
		size = 134
		refs = "0016 Application 0027 TApplication.WndProc 0056 TWinControl.WMSysCommand"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 04 25 F0 FF 00 00 3D 20 F0 00 00 75 18 A1 ?? ?? ?? ?? 3B 58 48 75 0E 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2D 8B 46 04 25 F0 FF 00 00 3D 10 F0 00 00 75 15 F6 43 1C 10 75 0F 80 7B 65 00 74 09 80 BB A2 02 00 00 01 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 25 F0 FF 00 00 3D 20 F0 00 00 74 07 3D 20 F1 00 00 75 13 F6 43 1C 10 75 0D 80 7B 65 00 74 07 8B C3 8B 10 FF 52 74 5E 5B C3 }
	condition:
		$1
}

rule function_79720_0 {
	meta:
		name = "TCustomForm.WMShowWindow"
		size = 170
		refs = "0019 TWinControl.GetHandle 001e IsIconic 0038 IsZoomed 006f ShowCommands 007d ShowWindow 0089 Application"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 08 48 74 0A 83 E8 02 74 4B E9 88 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 09 C6 83 A3 02 00 00 02 EB 21 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 09 C6 83 A3 02 00 00 03 EB 07 C6 83 A3 02 00 00 01 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 80 BB A3 02 00 00 00 74 42 0F B6 83 A3 02 00 00 8B 04 85 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 A3 02 00 00 00 A1 ?? ?? ?? ?? 3B 58 48 75 15 A1 ?? ?? ?? ?? C6 40 38 00 5E 5B C3 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_79721_0 {
	meta:
		name = "TCustomForm.WMMDIActivate"
		size = 88
		refs = "001b TWinControl.GetHandle 002c TCustomForm.SetActive 0035 Application 0051 @CallDynaInst"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 8B 08 FF 51 F0 80 BE A6 02 00 00 01 75 3D 8B C6 E8 ?? ?? ?? ?? 3B 43 08 0F 94 C0 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 74 21 A1 ?? ?? ?? ?? 8B 40 48 F6 40 5C 04 74 13 A1 ?? ?? ?? ?? 8B 40 48 B2 01 66 BE D1 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79722_0 {
	meta:
		name = "TCustomForm.WMNextDlgCtl"
		size = 41
		refs = "000c SetFocus 0024 TWinControl.SelectNext"
	strings:
		$1 = { 66 83 7A 08 00 74 0A 8B 42 04 50 E8 ?? ?? ?? ?? C3 6A 01 8B 4A 04 83 F9 01 1B C9 F7 D9 8B 90 98 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79723_0 {
	meta:
		name = "TCustomForm.WMEnterMenuLoop"
		size = 27
		refs = "000b TCustomForm.SendCancelMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_79724_0 {
	meta:
		name = "GetMenuHelpContext"
		size = 61
		refs = "001d TMenu.GetHelpContext"
	strings:
		$1 = { 55 8B EC 53 8B D8 33 C0 85 DB 74 2E 8B 45 08 8B 40 FC 8B 40 08 8B 50 08 B1 01 8B C3 E8 ?? ?? ?? ?? 85 C0 75 15 8B 45 08 8B 40 FC 8B 40 08 8B 50 0C 33 C9 8B C3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_79725_0 {
	meta:
		name = "ControlHasHelp"
		size = 53
	strings:
		$1 = { 53 56 8B F0 33 DB 80 BE 68 01 00 00 01 75 0D 83 BE 70 01 00 00 00 74 04 B3 01 EB 14 80 BE 68 01 00 00 00 75 0B 83 BE 6C 01 00 00 00 74 02 B3 01 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_79726_0 {
	meta:
		name = "GetHelpInfo"
		size = 50
		refs = "0029 @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 BB 68 01 00 00 01 75 0D C6 02 01 8B 83 70 01 00 00 89 01 EB 11 C6 02 00 8B 45 08 8B 93 6C 01 00 00 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_79727_0 {
	meta:
		name = "TCustomForm.WMHelp"
		size = 354
		refs = "0016 TCustomForm.WMHelp 003a FindControl 004c ControlHasHelp 0069 GetHelpInfo 0080 TControl.ClientToScreen 0092 GetMenuHelpContext 00fa Application 00ff TApplication.HelpCommand 0126 TApplication.HelpContext 013b TApplication.HelpKeyword 0150 @UStrClr 0156 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 46 1C 10 0F 85 15 01 00 00 8B 45 FC 8B 40 08 83 78 04 01 75 50 8B 40 0C E8 ?? ?? ?? ?? 8B D8 EB 03 8B 5B 38 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 EE 85 DB 0F 84 E3 00 00 00 8D 45 F8 50 8D 4D F4 8D 55 F3 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 E0 33 C0 89 45 E4 8D 4D E8 8D 55 E0 8B C3 E8 ?? ?? ?? ?? EB 41 C6 45 F3 01 55 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? 59 89 45 F4 83 7D F4 00 75 10 55 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 59 89 45 F4 33 C0 89 45 D8 33 C0 89 45 DC 8D 4D E8 8D 55 D8 8B C6 E8 ?? ?? ?? ?? F6 86 A0 02 00 00 08 74 47 80 7D F3 01 75 41 8B 45 E8 89 45 D0 8B 45 EC 89 45 D4 8B 45 D0 25 FF FF 00 00 8B 55 D4 C1 E2 10 0B C2 8B C8 BA 0D 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA 08 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 80 7D F3 01 75 0F 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 80 7D F3 00 75 0D 8B 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79728_0 {
	meta:
		name = "TCustomForm.WMGetMinMaxInfo"
		size = 106
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 F6 46 1C 02 75 4C 8B 04 24 8B 40 08 8B F8 8B 46 78 8D 57 18 8B 48 14 85 C9 76 02 89 0A 8B 48 10 85 C9 76 03 89 4A 04 8D 57 20 8B 48 0C 85 C9 76 02 89 0A 8B 48 08 85 C9 76 03 89 4A 04 8D 47 20 50 8D 47 24 50 8D 4F 1C 8D 57 18 8B C6 8B 18 FF 53 48 8B 14 24 8B C6 8B 08 FF 51 F0 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79729_0 {
	meta:
		name = "HandleEdge"
		size = 42
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 03 03 C1 2B C6 99 33 C2 2B C2 8B 55 08 8B 52 FC 3B 82 6C 03 00 00 7D 04 2B F1 89 33 5E 5B 5D C3 }
	condition:
		$1
}

rule function_79730_0 {
	meta:
		name = "TCustomForm.WMWindowPosChanging"
		size = 480
		refs = "0024 TCustomForm.UpdateWindowState 0070 TCustomForm.GetMonitor 0078 TMonitor.GetWorkareaRect 0086 HandleEdge 00c6 TWinControl.WMWindowPosChanging 00d6 TGlassFrame.FrameExtended 0155 Rect 01cf TWinControl.GetHandle 01d5 InvalidateRect"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B F2 89 45 FC 8B 5E 08 8B 43 18 25 00 80 00 00 3D 00 80 00 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 68 03 00 00 00 0F 84 88 00 00 00 8B 45 FC 83 78 38 00 74 09 8B 45 FC F6 40 1C 10 75 76 83 7B 08 00 75 06 83 7B 0C 00 74 6A 8B 45 FC 8B 40 50 3B 43 10 75 5F 8B 45 FC 8B 40 54 3B 43 14 75 54 8B 45 FC E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 55 8D 43 08 33 C9 8B 55 CC E8 ?? ?? ?? ?? 59 55 8D 43 0C 33 C9 8B 55 D0 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 48 50 8D 43 08 8B 55 D4 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 48 54 8D 43 0C 8B 55 D8 E8 ?? ?? ?? ?? 59 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B B0 7C 03 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 F7 00 00 00 80 7E 28 00 0F 85 ED 00 00 00 8B 45 FC 80 78 61 00 75 0D 8B 45 FC F6 40 1C 10 0F 84 D7 00 00 00 8B 43 10 85 C0 75 0A 83 7B 14 00 0F 84 C6 00 00 00 8B 55 FC 8B F8 2B 7A 50 8B 45 FC 8B 53 14 2B 50 54 8B DA 85 FF 75 08 85 DB 0F 84 A7 00 00 00 8D 55 EC 8B 45 FC 8B 08 FF 51 60 8B 45 F8 2B 46 18 50 8D 45 DC 50 8B 4D F4 2B 4E 14 8B 56 10 8B 46 0C E8 ?? ?? ?? ?? 8B 45 E8 3B 46 10 7F 1E 85 DB 7E 1A 8B 45 E0 2B C3 89 45 E8 8B 46 18 89 45 E0 8B 45 FC C6 80 80 03 00 00 01 EB 12 85 DB 7E 03 01 5D E8 8B 45 E0 3B 45 E8 7E 03 89 45 E8 8B 56 0C 8B 45 E4 3B D0 7E 18 85 FF 7E 14 2B C7 89 45 DC 89 55 E4 8B 45 FC C6 80 80 03 00 00 01 EB 12 85 FF 7E 03 01 7D E4 8B 45 DC 3B 45 E4 7E 03 89 45 E4 6A 00 8D 45 DC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79731_0 {
	meta:
		name = "TCustomForm.WMNCCalcSize"
		size = 82
		refs = "000b TWinControl.WMNCCalcSize 003a TMenuItem.GetCount 0048 GetSystemMetrics"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 74 3A 83 7B 38 00 74 34 83 BB BC 02 00 00 00 74 2B 8B 83 BC 02 00 00 83 78 3C 00 74 1F 8B 83 BC 02 00 00 8B 40 3C E8 ?? ?? ?? ?? 85 C0 7E 0D 8B 5E 08 6A 0F E8 ?? ?? ?? ?? 01 43 04 5E 5B C3 }
	condition:
		$1
}

rule function_79733_0 {
	meta:
		name = "TCustomForm.CMActivate"
		size = 34
		refs = "0011 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 F6 43 1C 02 75 0E 8B C3 66 BE AE FF E8 ?? ?? ?? ?? 5E 5B C3 80 8B 8C 03 00 00 20 5E 5B C3 }
	condition:
		$1
}

rule function_79734_0 {
	meta:
		name = "TCustomForm.CMDeactivate"
		size = 31
		refs = "0010 @CallDynaInst"
	strings:
		$1 = { 56 8B F0 F6 46 1C 02 75 0D 8B C6 66 BE AC FF E8 ?? ?? ?? ?? 5E C3 80 A6 8C 03 00 00 DF 5E C3 }
	condition:
		$1
}

rule function_79735_0 {
	meta:
		name = "TCustomForm.CMDialogKey"
		size = 154
		refs = "0009 GetKeyState 004b TWinControl.SelectNext 0093 TWinControl.CMDialogKey"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 12 E8 ?? ?? ?? ?? 66 85 C0 7C 7C 0F B7 46 04 66 83 E8 09 74 0B 83 C0 E4 66 83 E8 04 72 34 EB 67 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7C 5B 6A 01 6A 10 E8 ?? ?? ?? ?? 66 85 C0 0F 9D C1 8B 93 98 02 00 00 8B C3 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 5E 5B C3 8B 83 98 02 00 00 85 C0 74 34 6A 00 0F B7 56 04 66 83 FA 27 74 0A 66 83 FA 28 74 04 33 C9 EB 02 B1 01 8B 50 38 92 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79736_0 {
	meta:
		name = "TCustomForm.CMShowingChanged"
		size = 1648
		refs = "0015 TCustomForm.CMShowingChanged 0038 SVisibleChanged 003d LoadResString 0047 _Dn_EInvalidOperation 004c Exception.Create 0051 @RaiseExcept 0056 Application 005b TApplication.UpdateVisible 00aa @CallDynaInst 00b9 @HandleAnyException 00c6 TApplication.HandleException 00cb @DoneExcept 0110 TControl.GetClientWidth 012c TControl.GetClientHeight 0145 Screen 014a TScreen.GetWorkAreaRect 017a TScreen.GetDesktopLeft 0194 TScreen.GetDesktopTop 01d6 TCustomForm.SetWindowToMonitor 0213 _DV_TCustomForm 0218 @IsClass 0232 TCustomForm.GetLeft 024d TCustomForm.GetTop 026d TScreen.GetWidth 0286 TScreen.GetHeight 0358 TScreen.GetDesktopWidth 0386 TScreen.GetDesktopHeight 042b TWinControl.GetHandle 0445 SendMessage 0455 ShowWindow 0468 ShowCommands 049b DefMDIChildProc 04a0 CallWindowProc 04a8 TControl.BringToFront 0541 TCustomForm.MergeMenu 0586 SetWindowPos 059c GetActiveWindow 05ad IsIconic 05be FindTopMostWindow 05e7 SetActiveWindow 0646 @HandleFinally 065d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 1C 10 75 2D 8B 45 FC F6 80 8C 03 00 00 04 74 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 88 8C 03 00 00 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC F6 40 1C 10 0F 85 7B 05 00 00 8B 45 FC 80 B8 F2 01 00 00 00 0F 84 5F 04 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BE A9 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A7 02 00 00 04 74 20 8B 45 FC 80 B8 A7 02 00 00 06 0F 85 F4 00 00 00 8B 45 FC 80 B8 A6 02 00 00 01 0F 85 E4 00 00 00 8B 45 FC 80 B8 A6 02 00 00 01 75 3A A1 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 2B 58 50 D1 FB 79 03 83 D3 00 A1 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 2B 70 54 D1 FE 79 38 83 D6 00 EB 33 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D F4 2B 5D EC 8B 45 FC 2B 58 50 D1 FB 79 03 83 D3 00 8B 75 F8 2B 75 F0 8B 45 FC 2B 70 54 D1 FE 79 03 83 D6 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B D8 7D 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 7D 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 40 50 50 8B 45 FC 8B 40 54 50 8B CE 8B D3 8B 45 FC 8B 18 FF 93 A4 00 00 00 8B 45 FC 80 78 61 00 0F 84 2D 02 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 20 02 00 00 8B 45 FC 0F B6 80 A7 02 00 00 8B D0 80 C2 FA 80 EA 02 0F 83 0D 01 00 00 A1 ?? ?? ?? ?? 8B 70 48 8B 45 FC 80 B8 A7 02 00 00 07 75 1B 8B 45 FC 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 45 FC 8B 70 04 85 F6 74 3D 3B 75 FC 74 38 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 46 50 8B 55 FC 2B 42 50 D1 F8 79 03 83 D0 00 03 D8 8B C6 E8 ?? ?? ?? ?? 8B 56 54 8B 4D FC 2B 51 54 D1 FA 79 03 83 D2 00 03 C2 8B F0 EB 32 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 2B 58 50 D1 FB 79 03 83 D3 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 2B 70 54 D1 FE 79 03 83 D6 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B D8 7D 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 7D 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 40 50 50 8B 45 FC 8B 40 54 50 8B CE 8B D3 8B 45 FC 8B 18 FF 93 A4 00 00 00 8B 45 FC 80 78 61 00 0F 84 08 01 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 FB 00 00 00 3C 05 0F 85 F3 00 00 00 8B 45 FC 80 B8 A6 02 00 00 01 75 3A A1 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 2B 58 50 D1 FB 79 03 83 D3 00 A1 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 2B 70 54 D1 FE 79 61 83 D6 00 EB 5C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 D1 FB 79 03 83 D3 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 D8 8B 45 FC 8B 40 50 D1 F8 79 03 83 D0 00 2B D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 D1 FE 79 03 83 D6 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 F0 8B 45 FC 8B 40 54 D1 F8 79 03 83 D0 00 2B F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B D8 7D 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 7D 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 40 50 50 8B 45 FC 8B 40 54 50 8B CE 8B D3 8B 45 FC 8B 18 FF 93 A4 00 00 00 8B 45 FC C6 80 A7 02 00 00 00 8B 45 FC 80 B8 A6 02 00 00 01 0F 85 B5 00 00 00 8B 45 FC 80 B8 A2 02 00 00 02 75 36 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 68 23 02 00 00 A1 ?? ?? ?? ?? 8B 40 48 8B 80 84 03 00 00 50 E8 ?? ?? ?? ?? 6A 03 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 51 8B 45 FC 0F B6 80 A2 02 00 00 8B 04 85 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 50 8B 55 FC 8B 52 54 C1 E2 10 0B C2 50 6A 00 6A 05 8B 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 68 34 02 00 00 A1 ?? ?? ?? ?? 8B 40 48 8B 80 84 03 00 00 50 E8 ?? ?? ?? ?? E9 5F 01 00 00 8B 45 FC 0F B6 80 A2 02 00 00 8B 04 85 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 3A 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BE AA FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 6C 3B 45 FC 75 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A6 02 00 00 01 75 10 8B 45 FC 8B 10 FF 92 CC 00 00 00 E9 CC 00 00 00 8B 45 FC F6 80 8C 03 00 00 08 74 22 68 97 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 9E 00 00 00 33 DB 8B 45 FC E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 20 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0F 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 25 68 97 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? EB 40 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 2E 8B 45 FC F6 40 1C 10 74 25 8B 45 FC 83 78 38 00 74 1C 8B 45 FC 80 B8 F2 01 00 00 00 74 10 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 A0 8C 03 00 00 FB C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79737_0 {
	meta:
		name = "TCustomForm.CMIconChanged"
		size = 29
		refs = "000a TIcon.GetHandle 0017 TCustomForm.IconChanged"
	strings:
		$1 = { 53 8B D8 8B 83 B4 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79739_0 {
	meta:
		name = "TCustomForm.CMTextChanged"
		size = 78
		refs = "0006 TWinControl.CMTextChanged 0014 Application 0048 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB A6 02 00 00 01 75 39 A1 ?? ?? ?? ?? 83 78 48 00 74 2E A1 ?? ?? ?? ?? 8B 40 48 83 B8 84 03 00 00 00 74 1D 6A 00 6A 00 68 34 02 00 00 A1 ?? ?? ?? ?? 8B 40 48 8B 80 84 03 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79741_0 {
	meta:
		name = "TCustomForm.CMParentFontChanged"
		size = 55
		refs = "001d Application 0031 TControl.SetParentFont"
	strings:
		$1 = { 56 8B F0 80 7E 63 00 74 2C 83 7A 04 00 74 0D 8B 52 08 8B 46 6C 8B 08 FF 51 08 EB 19 A1 ?? ?? ?? ?? 8B 50 40 8B 46 6C 8B 08 FF 51 08 B2 01 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_79742_0 {
	meta:
		name = "TCustomForm.CMIsShortCut"
		size = 42
		refs = "0010 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B D3 8B C7 66 BE A2 FF E8 ?? ?? ?? ?? 84 C0 74 09 C7 43 0C 01 00 00 00 EB 05 33 C0 89 43 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79744_0 {
	meta:
		name = "TCustomForm.Close"
		size = 161
		refs = "0056 @CallDynaInst 0061 Application 0070 TApplication.Terminate 007f TCustomForm.Hide 0090 TCustomForm.SetWindowState 0099 TCustomForm.Release"
	strings:
		$1 = { 53 56 51 8B D8 F6 83 8C 03 00 00 08 74 0F C7 83 C0 02 00 00 02 00 00 00 E9 80 00 00 00 8B C3 8B 10 FF 92 18 01 00 00 84 C0 74 72 80 BB A6 02 00 00 01 75 15 F6 83 A0 02 00 00 02 74 06 C6 04 24 03 EB 0A C6 04 24 00 EB 04 C6 04 24 01 8B D4 8B C3 66 BE AB FF E8 ?? ?? ?? ?? 80 3C 24 00 74 3D A1 ?? ?? ?? ?? 3B 58 48 75 0C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 27 80 3C 24 01 75 09 8B C3 E8 ?? ?? ?? ?? EB 18 80 3C 24 03 75 0B B2 01 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_79745_0 {
	meta:
		name = "TCustomForm.CloseQuery"
		size = 100
		refs = "0016 TCustomForm.get_MDIChildCount 0029 TCustomForm.get_MDIChildren"
	strings:
		$1 = { 53 56 57 51 8B D8 80 BB A6 02 00 00 02 75 2E C6 04 24 00 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1C 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 18 01 00 00 84 C0 74 22 47 4E 75 E7 C6 04 24 01 66 83 BB 02 03 00 00 00 74 10 8B CC 8B D3 8B 83 04 03 00 00 FF 93 00 03 00 00 0F B6 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79746_0 {
	meta:
		name = "TCustomForm.CloseModal"
		size = 150
		refs = "0010 TCustomForm.CloseModal 003c @CallDynaInst 005f TCustomForm.Release 006e @HandleAnyException 0081 Application 0086 TApplication.HandleException 008b @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 FC 8B 10 FF 92 18 01 00 00 84 C0 74 13 C6 45 FB 01 8D 55 FB 8B 45 FC 66 BE AB FF E8 ?? ?? ?? ?? 0F B6 45 FB 2C 01 72 06 FE C8 74 0F EB 15 8B 45 FC 33 D2 89 90 C0 02 00 00 EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 C0 02 00 00 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79747_0 {
	meta:
		name = "TCustomForm.GetFormImage"
		size = 283
		refs = "000e _Dn_TBitmap 0013 TBitmap.Create 001e TCustomForm.GetFormImage 002b TControl.GetClientWidth 003c TControl.GetClientHeight 004e TBitmap.GetCanvas 0059 TCanvas.SetBrush 0082 TCustomCanvas.Lock 0097 TWinControl.GetHandle 00a3 GetWindowLongPtr 00bf TCanvas.GetHandle 00ca TWinControl.PaintTo 00e4 TCustomCanvas.Unlock 00ea @HandleFinally 00fb @HandleAnyException 0103 TObject.Free 0108 @RaiseAgain 010d @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 44 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 38 8B 45 FC E8 ?? ?? ?? ?? 8B 93 C8 01 00 00 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 8B 08 FF 51 60 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? A9 00 00 80 00 74 05 83 CE FF EB 02 33 F6 56 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79748_0 {
	meta:
		name = "TCustomForm.Print"
		size = 557
		refs = "000d Printer 0012 TPrinter.BeginDoc 001a TCustomForm.Print 0028 TCustomForm.GetFormImage 0033 TCustomForm.GetCanvas 0038 TCustomCanvas.Lock 0054 TPrinter.GetCanvas 006e GetDIBSizes 0076 AllocMem 00b0 GetDIB 00d8 TCustomForm.GetPixelsPerInch 00e3 TCanvas.GetHandle 00e9 GetDeviceCaps 00f0 MulDiv 0120 TPrinter.GetPageHeight 0131 TPrinter.GetPageWidth 0199 StretchDIBits 01b1 @FreeMem 01b7 @HandleFinally 01f3 TCustomCanvas.Unlock 01fb TObject.Free 021a TPrinter.EndDoc"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 89 45 DC 8B 45 F8 8B 10 FF 52 70 8B F0 8D 4D F0 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E0 50 8B 4D E4 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 8B 70 04 8B 78 08 8B 45 FC 0F B6 80 AB 02 00 00 FE C8 74 09 FE C8 74 4D E9 90 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 6A 58 8B 45 DC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 50 6A 5A 8B 45 DC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 89 45 E8 EB 4E 57 8B C3 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 89 45 EC 8B C3 E8 ?? ?? ?? ?? 3B 45 EC 7E 0C 8B C3 E8 ?? ?? ?? ?? 89 45 E8 EB 24 8B C3 E8 ?? ?? ?? ?? 89 45 EC 56 8B C3 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 89 45 E8 EB 06 89 75 EC 89 7D E8 68 20 00 CC 00 6A 00 8B 45 E4 50 8B 45 E0 50 57 56 6A 00 6A 00 8B 45 E8 50 8B 45 EC 50 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79750_0 {
	meta:
		name = "TCustomForm.Show"
		size = 21
		refs = "0008 TCustomForm.SetVisible 000f TControl.BringToFront"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79751_0 {
	meta:
		name = "TCustomForm.SetFocus"
		size = 138
		refs = "000c TCustomForm.SetFocus 0039 TWinControl.HandleAllocated 0045 SCannotFocus 004a LoadResString 0054 _Dn_EInvalidOperation 0059 Exception.Create 005e @RaiseExcept 0065 TCustomForm.SetWindowFocus 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB A5 02 00 00 00 75 4A 80 7B 61 00 74 0B 8B C3 8B 10 FF 52 68 84 C0 75 32 F6 43 1C 10 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_79752_0 {
	meta:
		name = "TCustomForm.RecreateAsPopup"
		size = 46
		refs = "0014 TWinControl.HandleAllocated 001f TWinControl.RecreateWnd 0028 TWinControl.UpdateControlState"
	strings:
		$1 = { 53 8B D8 89 93 64 03 00 00 33 C0 89 83 60 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79753_0 {
	meta:
		name = "TCustomForm.Release"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 PostMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 21 B0 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79754_0 {
	meta:
		name = "TCustomForm.ShowModal"
		size = 825
		refs = "0013 TCustomForm.ShowModal 001e CancelDrag 0053 SCannotShowModal 0058 LoadResString 0062 _Dn_EInvalidOperation 0067 Exception.Create 006c @RaiseExcept 0071 GetCapture 0086 SendMessage 008b ReleaseCapture 0090 Application 0095 TApplication.ModalStarted 00a8 GetActiveWindow 00d7 TWinControl.RecreateWnd 00df TWinControl.HandleNeeded 00ee IsWindow 00ff SaveFocusState 0107 Screen 0119 TList.Insert 013d TScreen.SetCursor 014f DisableTaskWindows 0168 TCustomForm.Show 0187 TWinControl.GetHandle 01a2 TApplication.HandleMessage 01d3 TCustomForm.CloseModal 0227 TCustomForm.Hide 022d @HandleFinally 026d EnableTaskWindows 0282 TList.Get 029c TList.RemoveItem 02c2 FindTopMostWindow 02d4 SetActiveWindow 02dc RestoreFocusState 0308 TApplication.ModalFinished 0325 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 D2 89 55 E0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 45 FC 80 78 61 00 75 24 8B 45 FC 8B 10 FF 52 68 84 C0 74 18 8B 45 FC F6 80 8C 03 00 00 08 75 0C 8B 45 FC 80 B8 A6 02 00 00 01 75 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 11 6A 00 6A 00 6A 1F E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 E8 ?? ?? ?? ?? 89 45 E4 8B 45 FC 80 88 8C 03 00 00 08 8B 45 FC 80 B8 50 03 00 00 00 75 39 A1 ?? ?? ?? ?? 80 B8 D4 00 00 00 00 74 2B 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 50 E8 ?? ?? ?? ?? 85 C0 75 08 E8 ?? ?? ?? ?? 89 45 E4 E8 ?? ?? ?? ?? 89 45 F0 A1 ?? ?? ?? ?? 8B 48 78 A1 ?? ?? ?? ?? 8B 40 7C 33 D2 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 55 FC 89 50 78 A1 ?? ?? ?? ?? 0F B7 40 4C 66 89 45 EE 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 50 89 45 E8 33 C0 E8 ?? ?? ?? ?? 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 6A 00 68 00 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 C0 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 B8 A8 00 00 00 00 74 0F 8B 45 FC C7 80 C0 02 00 00 02 00 00 00 EB 14 8B 45 FC 83 B8 C0 02 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 02 00 00 85 C0 74 B8 89 45 F8 6A 00 6A 00 68 01 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 74 05 33 C0 89 45 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 50 3B 45 E8 75 10 0F B7 55 EE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 7C 83 78 08 00 7E 23 33 D2 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B D0 89 51 78 A1 ?? ?? ?? ?? 8B 40 7C 33 C9 E8 ?? ?? ?? ?? EB 0A A1 ?? ?? ?? ?? 33 D2 89 50 78 83 7D E4 00 74 17 8B 45 E4 50 E8 ?? ?? ?? ?? 85 C0 75 0A 33 C0 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 74 09 8B 45 E4 50 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 80 A0 8C 03 00 00 F7 C3 E9 ?? ?? ?? ?? E9 4B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79755_0 {
	meta:
		name = "TraverseClients"
		size = 132
		refs = "001b TWinControl.GetControlCount 0034 TWinControl.GetControl 0054 _Dn_TWinControl 0059 @IsClass 0073 TraverseClients"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 80 BF F2 01 00 00 00 74 6C F6 47 1C 10 75 66 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 58 46 C7 45 FC 00 00 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B D8 F6 43 59 80 74 10 80 7B 61 00 74 0A 8B C3 8B 10 FF 92 98 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 0C 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 FF 45 FC 4E 75 B0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79756_0 {
	meta:
		name = "TCustomForm.UpdateActions"
		size = 106
		refs = "002f TMenuItem.GetCount 0049 TMenuItem.GetItem 0060 TraverseClients"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 F6 43 1C 10 75 57 80 BB F2 01 00 00 00 74 4E 8B C3 8B 10 FF 92 98 00 00 00 8B B3 BC 02 00 00 85 F6 74 31 8B 46 3C E8 ?? ?? ?? ?? 48 85 C0 7C 24 40 89 C6 33 FF 8B 83 BC 02 00 00 8B 40 3C 8B D7 E8 ?? ?? ?? ?? 80 78 42 00 74 05 8B 10 FF 52 50 47 4E 75 E1 55 8B C3 E8 ?? ?? ?? ?? 59 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_79757_0 {
	meta:
		name = "TCustomForm.UpdateWindowState"
		size = 82
		refs = "0009 TWinControl.HandleAllocated 001c TWinControl.GetHandle 0022 GetWindowPlacement"
	strings:
		$1 = { 53 83 C4 D4 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3C C7 04 24 2C 00 00 00 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 08 83 E8 02 74 05 48 74 0B EB 12 C6 83 A2 02 00 00 01 EB 10 C6 83 A2 02 00 00 02 EB 07 C6 83 A2 02 00 00 00 83 C4 2C 5B C3 }
	condition:
		$1
}

rule function_79758_0 {
	meta:
		name = "TCustomForm.RequestAlign"
		size = 31
		refs = "0009 Screen 000e TScreen.AlignForm 001a TWinControl.RequestAlign"
	strings:
		$1 = { 83 78 38 00 75 0D 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 F6 40 1C 10 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79759_0 {
	meta:
		name = "TCustomForm.WMSettingChange"
		size = 31
		refs = "000b TWinControl.WMWinIniChange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7E 04 2F 75 07 8B C3 8B 10 FF 52 74 5E 5B C3 }
	condition:
		$1
}

rule function_79760_0 {
	meta:
		name = "ProcessExecute"
		size = 45
		refs = "001b @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 85 DB 74 18 8B 45 08 8B 50 FC 8B 52 08 8B C3 66 BE F3 FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5E 5B 5D C3 }
	condition:
		$1
}

rule function_79761_0 {
	meta:
		name = "TraverseClients2"
		size = 134
		refs = "001a TWinControl.GetControlCount 002e TWinControl.GetControl 0041 ProcessExecute 004e _Dn_TWinControl 0053 @IsClass 006d TraverseClients2"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 80 B8 F2 01 00 00 00 74 68 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 59 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 80 7B 61 00 74 10 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 84 C0 75 2C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 14 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 04 B0 01 EB 06 47 4E 75 AA 33 C0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79762_0 {
	meta:
		name = "TCustomForm.CMActionExecute"
		size = 82
		refs = "0021 ProcessExecute 003b TraverseClients2"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 F6 43 1C 10 75 3E 80 BB F2 01 00 00 00 74 35 55 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 59 84 C0 75 1A 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 75 0D 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 0A 8B 45 FC C7 40 0C 01 00 00 00 5B 59 5D C3 }
	condition:
		$1
}

rule function_79765_0 {
	meta:
		name = "TCustomForm.CMActionUpdate"
		size = 82
		refs = "0021 ProcessUpdate 003b TraverseClients3"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 F6 43 1C 10 75 3E 80 BB F2 01 00 00 00 74 35 55 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 59 84 C0 75 1A 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 75 0D 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 0A 8B 45 FC C7 40 0C 01 00 00 00 5B 59 5D C3 }
	condition:
		$1
}

rule function_79763_0 {
	meta:
		name = "ProcessUpdate"
		size = 40
	strings:
		$1 = { 55 8B EC 53 8B D8 85 DB 74 14 8B 45 08 8B 50 FC 8B 52 08 8B C3 8B 08 FF 51 3C 84 C0 75 05 33 C0 5B 5D C3 B0 01 5B 5D C3 }
	condition:
		$1
}

rule function_79764_0 {
	meta:
		name = "TraverseClients3"
		size = 142
		refs = "001b TWinControl.GetControlCount 0034 TWinControl.GetControl 0047 ProcessUpdate 0054 _Dn_TWinControl 0059 @IsClass 0073 TraverseClients3"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 80 BF F2 01 00 00 00 74 74 F6 47 1C 10 75 6E 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 60 46 C7 45 FC 00 00 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B D8 80 7B 61 00 74 10 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 84 C0 75 2C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 14 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 04 B0 01 EB 08 FF 45 FC 4E 75 A8 33 C0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79766_0 {
	meta:
		name = "DispatchShortCut"
		size = 122
		refs = "0014 TComponent.GetComponentCount 0028 TComponent.GetComponent 0032 _Dn_TCustomActionList 0037 @IsClass 0048 TCustomActionList.IsShortCut 005d DispatchShortCut"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC C6 45 FB 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 50 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B 45 08 8B 50 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B C6 45 FB 01 EB 19 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 88 45 FB 80 7D FB 00 75 04 47 4E 75 B3 0F B6 45 FB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79767_0 {
	meta:
		name = "TCustomForm.IsShortCut"
		size = 119
		refs = "004e @CallDynaInst 005a DispatchShortCut"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B D8 C6 45 FB 00 66 83 BB 2A 03 00 00 00 74 12 8D 4D FB 8B 55 FC 8B 83 2C 03 00 00 FF 93 28 03 00 00 80 7D FB 00 75 33 8B BB BC 02 00 00 85 FF 74 18 83 7F 40 00 74 12 8B 55 FC 8B C7 66 BE EF FF E8 ?? ?? ?? ?? 84 C0 75 11 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FB 0F B6 45 FB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79768_0 {
	meta:
		name = "TCustomForm.QueryInterface"
		size = 60
		refs = "002d TComponent.QueryInterface"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 83 BB C4 02 00 00 00 74 11 57 56 8B 83 C4 02 00 00 50 8B 00 FF 10 85 C0 74 0A 57 56 53 E8 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_79769_0 {
	meta:
		name = "TCustomForm.MouseWheelHandler"
		size = 54
		refs = "0020 TControl.Perform 002e TControl.MouseWheelHandler"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B BB 9C 02 00 00 85 FF 74 18 8B 46 08 50 8B 4E 04 BA 43 B0 00 00 8B C7 E8 ?? ?? ?? ?? 89 46 0C EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79770_0 {
	meta:
		name = "TCustomForm.HandleCreateException"
		size = 15
		refs = "0003 Application 0008 TApplication.HandleException"
	strings:
		$1 = { 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 C3 }
	condition:
		$1
}

rule function_79771_0 {
	meta:
		name = "TCustomForm.SetLayeredAttribs"
		size = 231
		refs = "0010 SetLayeredWindowAttributes 001e TWinControl.HandleAllocated 002d TWinControl.GetHandle 0039 GetWindowLongPtr 006f SetWindowLongPtr 007d cUseAlpha 008b cUseColorKey 009f ColorToRGB 00e0 RedrawWindow"
	strings:
		$1 = { 53 56 8B D8 F6 43 1C 10 0F 85 D6 00 00 00 83 3D ?? ?? ?? ?? 00 0F 84 C9 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 BA 00 00 00 8B C3 E8 ?? ?? ?? ?? BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 8B F0 80 BB 48 03 00 00 00 75 09 80 BB 70 03 00 00 00 74 63 F7 C6 00 00 08 00 75 1A 8B C3 E8 ?? ?? ?? ?? BA EC FF FF FF 81 CE 00 00 08 00 56 52 50 E8 ?? ?? ?? ?? 0F B6 83 48 03 00 00 8B 04 85 ?? ?? ?? ?? 0F B6 93 70 03 00 00 0B 04 95 ?? ?? ?? ?? 50 0F B6 83 49 03 00 00 50 8B 83 74 03 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? EB 30 8B C3 E8 ?? ?? ?? ?? BA EC FF FF FF 81 E6 FF FF F7 FF 56 52 50 E8 ?? ?? ?? ?? 68 85 04 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79772_0 {
	meta:
		name = "TCustomForm.SetAlphaBlend"
		size = 20
		refs = "000f TCustomForm.SetLayeredAttribs"
	strings:
		$1 = { 3A 90 48 03 00 00 74 0B 88 90 48 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79773_0 {
	meta:
		name = "TCustomForm.SetAlphaBlendValue"
		size = 20
		refs = "000f TCustomForm.SetLayeredAttribs"
	strings:
		$1 = { 3A 90 49 03 00 00 74 0B 88 90 49 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79774_0 {
	meta:
		name = "TCustomForm.SetTransparentColorValue"
		size = 20
		refs = "000f TCustomForm.SetLayeredAttribs"
	strings:
		$1 = { 3B 90 74 03 00 00 74 0B 89 90 74 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79775_0 {
	meta:
		name = "TCustomForm.SetTransparentColor"
		size = 60
		refs = "002f TGlassFrame.SetEnabled 0036 TCustomForm.SetLayeredAttribs"
	strings:
		$1 = { 53 8B D8 3A 93 70 03 00 00 74 2F 88 93 70 03 00 00 80 BB 70 03 00 00 00 74 19 8B 83 7C 03 00 00 80 78 08 00 74 0D 33 D2 8B 83 7C 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79776_0 {
	meta:
		name = "TCustomForm.InitAlphaBlending"
		size = 41
		refs = "0008 SetLayeredWindowAttributes"
	strings:
		$1 = { F6 40 1C 10 75 22 83 3D ?? ?? ?? ?? 00 74 19 80 B8 48 03 00 00 00 75 09 80 B8 70 03 00 00 00 74 07 81 4A 08 00 00 08 00 C3 }
	condition:
		$1
}

rule function_79777_0 {
	meta:
		name = "TCustomForm.MakeFullyVisible"
		size = 234
		refs = "000f TCustomForm.GetMonitor 0018 TCustomForm.GetLeft 0021 TCustomForm.GetTop 002a TMonitor.GetLeft 0032 TMonitor.GetWidth 007e TMonitor.GetTop 0086 TMonitor.GetHeight"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 85 F6 75 09 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 8B E8 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 03 D0 52 8B C3 E8 ?? ?? ?? ?? 03 43 50 5A 3B D0 7D 15 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 03 F8 2B 7B 50 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 3B D0 7D 09 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 03 D0 52 8B C3 E8 ?? ?? ?? ?? 03 43 54 5A 3B D0 7D 15 8B C6 E8 ?? ?? ?? ?? 8B E8 8B C6 E8 ?? ?? ?? ?? 03 E8 2B 6B 54 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 3B D0 7D 09 8B C6 E8 ?? ?? ?? ?? 8B E8 8B 43 50 50 8B 43 54 50 8B CD 8B D7 8B C3 8B 18 FF 93 A4 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79778_0 {
	meta:
		name = "TCustomForm.SetLeft"
		size = 58
		refs = "002f TCustomForm.SetPosition 0035 TControl.SetLeft"
	strings:
		$1 = { F6 40 1C 10 74 2E 83 78 38 00 74 28 8B 48 18 81 E1 FF FF 00 00 C1 E2 10 0B CA 89 48 18 F6 40 1C 01 75 16 80 B8 A7 02 00 00 03 74 0D 33 D2 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79779_0 {
	meta:
		name = "TCustomForm.SetTop"
		size = 61
		refs = "0032 TCustomForm.SetPosition 0038 TControl.SetTop"
	strings:
		$1 = { F6 40 1C 10 74 31 83 78 38 00 74 2B 8B 48 18 81 E1 00 00 FF FF 81 E2 FF FF 00 00 0B CA 89 48 18 F6 40 1C 01 75 16 80 B8 A7 02 00 00 03 74 0D 33 D2 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79780_0 {
	meta:
		name = "TCustomForm.SetGlassFrame"
		size = 12
	strings:
		$1 = { 8B 80 7C 03 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_79781_0 {
	meta:
		name = "TCustomForm.UpdateGlassFrame"
		size = 256
		refs = "0007 DwmCompositionEnabled 0016 TWinControl.HandleAllocated 0077 TCustomForm.UpdateGlassFrame 009a @FillChar 00ab TWinControl.GetHandle 00b1 InvalidateRect 00c1 DwmExtendFrameIntoClientArea"
	strings:
		$1 = { 56 83 C4 F0 8B F0 E8 ?? ?? ?? ?? 84 C0 0F 84 BE 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 AF 00 00 00 8B 86 7C 03 00 00 80 78 08 00 74 55 80 78 28 00 75 1D 8B 50 0C 89 14 24 8B 50 14 89 54 24 04 8B 50 10 89 54 24 08 8B 40 18 89 44 24 0C EB 1F C7 04 24 FF FF FF FF C7 44 24 04 FF FF FF FF C7 44 24 08 FF FF FF FF C7 44 24 0C FF FF FF FF F6 46 1C 10 75 28 A1 ?? ?? ?? ?? 0B 46 5C 89 46 5C EB 1B A1 ?? ?? ?? ?? F7 D0 23 46 5C 89 46 5C 8B C4 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? F6 46 1C 10 74 13 6A FF 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 3E 54 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 EB 24 A1 ?? ?? ?? ?? F7 D0 23 46 5C 89 46 5C F6 46 1C 10 74 11 6A FF 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5E C3 00 00 00 80 00 00 }
	condition:
		$1
}

rule function_79782_0 {
	meta:
		name = "ContainsRect"
		size = 36
	strings:
		$1 = { 8B 0A 3B 08 7C 18 8B 4A 08 3B 48 08 7F 10 8B 4A 04 3B 48 04 7C 08 8B 52 0C 3B 50 0C 7E 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_79783_0 {
	meta:
		name = "DoUpdateControls"
		size = 320
		refs = "000f TWinControl.GetControlCount 002d TWinControl.GetControl 005f TControl.ClientToParent 00ed DoUpdateControls 0110 _Dn_TWinControl 0115 @IsClass"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 15 01 00 00 46 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 80 7C 03 00 00 80 78 28 00 75 4A 8D 55 E8 8B C3 8B 08 FF 51 60 8D 45 E0 50 8B 45 08 8B 48 FC 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E8 8B 45 E4 89 45 EC 8D 45 E0 50 8B 45 08 8B 48 FC 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F0 8B 45 E4 89 45 F4 8B 45 08 8B 40 FC 8B 80 7C 03 00 00 80 78 28 00 74 04 B0 01 EB 3D 8B 45 08 8B 40 F8 8B 00 3B 45 E8 7F 2E 8B 45 08 8B 40 F8 8B 40 08 3B 45 F0 7C 20 8B 45 08 8B 40 F8 8B 40 04 3B 45 EC 7F 12 8B 45 08 8B 40 F8 8B 40 0C 3B 45 F4 7C 04 33 C0 EB 02 B0 01 84 C0 74 13 F6 43 5D 80 75 20 A1 ?? ?? ?? ?? 0B 43 5C 89 43 5C EB 13 F6 43 5D 80 74 0D A1 ?? ?? ?? ?? F7 D0 23 43 5C 89 43 5C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 FF 45 F8 4E 0F 85 F3 FE FF FF 5E 5B 8B E5 5D C3 00 00 00 00 80 00 00 }
	condition:
		$1
}

rule function_79784_0 {
	meta:
		name = "TCustomForm.UpdateGlassFrameControls"
		size = 44
		refs = "0016 DwmCompositionEnabled 0023 DoUpdateControls"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 FC F6 40 1C 10 75 13 E8 ?? ?? ?? ?? 84 C0 74 0A 55 8B 45 FC E8 ?? ?? ?? ?? 59 59 59 5D C3 }
	condition:
		$1
}

rule function_79786_0 {
	meta:
		name = "TForm.Tile"
		size = 54
		refs = "001f TileParams 0031 SendMessage"
	strings:
		$1 = { 80 B8 A6 02 00 00 02 75 2C 83 B8 84 03 00 00 00 74 23 6A 00 0F B6 90 A9 02 00 00 0F B7 14 55 ?? ?? ?? ?? 52 68 26 02 00 00 8B 80 84 03 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79787_0 {
	meta:
		name = "TForm.Cascade"
		size = 40
		refs = "0023 SendMessage"
	strings:
		$1 = { 80 B8 A6 02 00 00 02 75 1E 83 B8 84 03 00 00 00 74 15 6A 00 6A 00 68 27 02 00 00 8B 80 84 03 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79788_0 {
	meta:
		name = "TForm.ArrangeIcons"
		size = 40
		refs = "0023 SendMessage"
	strings:
		$1 = { 80 B8 A6 02 00 00 02 75 1E 83 B8 84 03 00 00 00 74 15 6A 00 6A 00 68 28 02 00 00 8B 80 84 03 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79789_0 {
	meta:
		name = "TForm.Next"
		size = 40
		refs = "0023 SendMessage"
	strings:
		$1 = { 80 B8 A6 02 00 00 02 75 1E 83 B8 84 03 00 00 00 74 15 6A 00 6A 00 68 24 02 00 00 8B 80 84 03 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79790_0 {
	meta:
		name = "TForm.Previous"
		size = 40
		refs = "0023 SendMessage"
	strings:
		$1 = { 80 B8 A6 02 00 00 02 75 1E 83 B8 84 03 00 00 00 74 15 6A 01 6A 00 68 24 02 00 00 8B 80 84 03 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79791_0 {
	meta:
		name = "TCustomDockForm.Create"
		size = 103
		refs = "000e @ClassCreate 002a TScrollingWinControl.SetAutoScroll 0033 TCustomForm.SetBorderStyle 003c TWinControl.SetDockSite 0045 TCustomForm.SetFormStyle 0052 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 6A 00 33 D2 8B C3 8B 30 FF 96 14 01 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? B2 05 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 03 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79792_0 {
	meta:
		name = "TCustomDockForm.DoAddDockClient"
		size = 296
		refs = "0019 TCustomDockForm.DoAddDockClient 0026 TWinControl.GetDockClientCount 0035 TControl.GetTextLen 0042 @UStrFromPWCharLen 0056 @UStrToPWChar 0062 TControl.GetTextBuf 00a9 @UStrSetLength 00b9 TControl.SetText 00c6 TWinControl.DoAddDockClient 00d0 TControl.SetAlign 00df TCustomForm.SetVisible 00f4 @UStrClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 89 4D F4 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 48 0F 85 8C 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 41 8D 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B CB 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 3D BB 01 00 00 00 BA ?? ?? ?? ?? 89 55 F0 8B 55 FC 0F B7 54 5A FE 8B 4D F0 66 81 FA FF 00 77 06 0F B7 D2 0F A3 11 0F 92 C2 84 D2 74 0D 8B D3 4A 8D 45 FC E8 ?? ?? ?? ?? EB 04 43 48 75 C8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? B2 05 8B 45 F8 E8 ?? ?? ?? ?? F6 46 1C 01 75 09 B2 01 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 24 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_79793_0 {
	meta:
		name = "TCustomDockForm.DoRemoveDockClient"
		size = 30
		refs = "0006 TWinControl.DoRemoveDockClient 000d TWinControl.GetDockClientCount 0018 TCustomForm.Release"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79794_0 {
	meta:
		name = "TCustomDockForm.Loaded"
		size = 76
		refs = "000c TWinControl.GetControlCount 0029 TWinControl.GetControl 0035 @CallDynaInst 0040 TCustomForm.Loaded"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 26 47 33 ED 8B D4 8B C3 8B 08 FF 51 60 54 8B D5 8B C3 E8 ?? ?? ?? ?? 8B D3 59 66 BE CC FF E8 ?? ?? ?? ?? 45 4F 75 DD 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79795_0 {
	meta:
		name = "TCustomDockForm.GetSiteInfo"
		size = 43
		refs = "0016 TWinControl.GetDockClientCount"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 75 0C 8D 7D F8 A5 A5 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 8B 45 08 0F 94 00 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_79796_0 {
	meta:
		name = "TCustomDockForm.WMNCHitTest"
		size = 37
		refs = "000b TCustomForm.WMNCHitTest"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 75 0D 83 7E 0C 01 75 07 C7 46 0C 02 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79797_0 {
	meta:
		name = "TCustomDockForm.WMNCLButtonDown"
		size = 148
		refs = "001e TWinControl.GetHandle 0023 IsIconic 002e TWinControl.GetDockClientCount 004b SetWindowPos 0065 PostMessage 0077 TWinControl.GetDockClients 0081 TControl.BeginDrag 008d TCustomForm.WMNCLButtonDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7E 04 02 75 7C 80 BB 93 00 00 00 01 74 73 F6 43 1C 10 75 6D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 5D 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 52 6A 07 6A 00 6A 00 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 46 08 50 8B 46 04 50 68 A2 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BB A5 02 00 00 00 74 1F 33 D2 8B C3 E8 ?? ?? ?? ?? 83 C9 FF B2 01 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79798_0 {
	meta:
		name = "TCustomDockForm.CMControlListChange"
		size = 86
		refs = "000f TWinControl.CMControlListChange 0027 TControl.Perform 003b TControl.GetBoundsRect 004b @CallDynaInst"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7E 08 00 75 36 8B 46 04 50 33 C9 BA 39 B0 00 00 8B C3 E8 ?? ?? ?? ?? 8B 7E 04 3B 9F 98 00 00 00 75 19 8B D4 8B C7 E8 ?? ?? ?? ?? 8B CC 8B C7 83 CA FF 66 BE CC FF E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79799_0 {
	meta:
		name = "TCustomDockForm.CMDockNotification"
		size = 288
		refs = "0016 TCustomDockForm.CMDockNotification 004a TCustomForm.SetVisible 0057 TControl.GetTextLen 0064 @UStrFromPWCharLen 0078 @UStrToPWChar 0084 TControl.GetTextBuf 00c5 @UStrSetLength 00d6 TControl.SetText 00eb @UStrClr 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 8B 08 FF 51 F0 8B 43 08 8B 00 83 E8 0C 74 1F 2D FF AF 00 00 0F 85 9B 00 00 00 8B 43 04 0F B6 50 61 8B 45 F8 E8 ?? ?? ?? ?? E9 87 00 00 00 8B 43 04 E8 ?? ?? ?? ?? 8B C8 41 8D 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 43 04 8B CE E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 37 BB 01 00 00 00 BE ?? ?? ?? ?? 8B 55 FC 0F B7 54 5A FE 66 81 FA FF 00 77 06 0F B7 D2 0F A3 16 0F 92 C2 84 D2 74 0D 8B D3 4A 8D 45 FC E8 ?? ?? ?? ?? EB 04 43 48 75 CE 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 00 24 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_79800_0 {
	meta:
		name = "TCustomDockForm.CMUnDockClient"
		size = 22
		refs = "0006 TWinControl.CMUnDockClient 0010 TControl.SetAlign"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 8B 43 08 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_79801_0 {
	meta:
		name = "TCustomDockForm.CMVisibleChanged"
		size = 61
		refs = "0008 TWinControl.CMVisibleChanged 0015 TWinControl.GetDockClientCount 0028 TWinControl.GetDockClients 0031 TControl.SetVisible"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 08 75 27 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 19 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 0F B6 53 61 E8 ?? ?? ?? ?? 47 4E 75 EA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79802_0 {
	meta:
		name = "TMonitor.GetLeft"
		size = 23
		refs = "000b TMonitor.GetBoundsRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_79872_0 {
	meta:
		name = "TScreen.GetWorkAreaLeft"
		size = 23
		refs = "000b TScreen.GetWorkAreaRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_79803_0 {
	meta:
		name = "TMonitor.GetHeight"
		size = 28
		refs = "000b TMonitor.GetBoundsRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 0C 2B 44 24 04 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_79871_0 {
	meta:
		name = "TScreen.GetWorkAreaHeight"
		size = 28
		refs = "000b TScreen.GetWorkAreaRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 0C 2B 44 24 04 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_79804_0 {
	meta:
		name = "TMonitor.GetTop"
		size = 24
		refs = "000b TMonitor.GetBoundsRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_79874_0 {
	meta:
		name = "TScreen.GetWorkAreaTop"
		size = 24
		refs = "000b TScreen.GetWorkAreaRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_79805_0 {
	meta:
		name = "TMonitor.GetWidth"
		size = 27
		refs = "000b TMonitor.GetBoundsRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 2B 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_79875_0 {
	meta:
		name = "TScreen.GetWorkAreaWidth"
		size = 27
		refs = "000b TScreen.GetWorkAreaRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 2B 04 24 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_79806_0 {
	meta:
		name = "TMonitor.GetBoundsRect"
		size = 42
		refs = "0015 GetMonitorInfo"
	strings:
		$1 = { 53 56 57 83 C4 D8 8B DA C7 04 24 28 00 00 00 54 8B 40 04 50 E8 ?? ?? ?? ?? 8B FB 8D 74 24 04 A5 A5 A5 A5 83 C4 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79807_0 {
	meta:
		name = "TMonitor.GetWorkareaRect"
		size = 42
		refs = "0015 GetMonitorInfo"
	strings:
		$1 = { 53 56 57 83 C4 D8 8B DA C7 04 24 28 00 00 00 54 8B 40 04 50 E8 ?? ?? ?? ?? 8B FB 8D 74 24 14 A5 A5 A5 A5 83 C4 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79808_0 {
	meta:
		name = "TMonitor.GetPrimary"
		size = 32
		refs = "0010 GetMonitorInfo"
	strings:
		$1 = { 83 C4 D8 C7 04 24 28 00 00 00 54 8B 40 04 50 E8 ?? ?? ?? ?? F6 44 24 24 01 0F 95 C0 83 C4 28 C3 }
	condition:
		$1
}

rule function_79809_0 {
	meta:
		name = "EnumFontsProc"
		size = 150
		refs = "000d EnumFontsProc 0029 @UStrFromWArray 0053 AnsiCompareText 0080 @UStrArrayClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D 14 8D 45 FC 8B 55 08 83 C2 1C B9 20 00 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 85 C0 74 23 8B C3 8B 10 FF 52 14 8B D0 4A 8D 4D F8 8B C3 8B 30 FF 56 0C 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 85 C0 74 0A 8B 55 FC 8B C3 8B 08 FF 51 38 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_79810_0 {
	meta:
		name = "TScreen.Create"
		size = 406
		refs = "000e @ClassCreate 001c TComponent.Create 0021 AddDataModule 002a TScreen.AddDataModule 002f RemoveDataModule 0038 TScreen.RemoveDataModule 003f TScreen.CreateCursors 0046 GetKeyboardLayout 0050 _Dn_TList 0055 TObject.Create 009b GetDC 00a5 GetDeviceCaps 00b0 ReleaseDC 00b9 EnumMonitorsProc 00c3 EnumDisplayMonitors 00ca _Dn_TFont 00cf TFont.Create 0124 TScreen.GetMetricSettings 0134 TScreen.IconFontChanged 0181 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 58 04 C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 58 04 C7 00 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 89 43 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 54 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 5C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 60 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 7C 6A 00 E8 ?? ?? ?? ?? 8B F0 6A 5A 56 E8 ?? ?? ?? ?? 89 43 48 56 6A 00 E8 ?? ?? ?? ?? 8B 43 60 50 B8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 84 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 88 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 80 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 8C 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 90 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 84 00 00 00 89 58 0C C7 40 08 ?? ?? ?? ?? 8B 83 88 00 00 00 89 58 0C C7 40 08 ?? ?? ?? ?? 8B 83 80 00 00 00 89 58 0C C7 40 08 ?? ?? ?? ?? 8B 83 8C 00 00 00 89 58 0C C7 40 08 ?? ?? ?? ?? 8B 83 90 00 00 00 89 58 0C C7 40 08 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79811_0 {
	meta:
		name = "TScreen.Destroy"
		size = 315
		refs = "0005 @BeforeDestruction 001c TObject.Free 00e4 TList.Get 0104 TScreen.DestroyCursors 0109 AddDataModule 0115 RemoveDataModule 0127 TComponent.Destroy 0132 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8D 85 8C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 85 80 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 85 88 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 85 84 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 85 90 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 45 5C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 45 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 45 54 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 45 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 45 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 45 7C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 60 85 C0 74 1E 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B 45 60 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8D 45 60 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 10 89 50 04 A1 ?? ?? ?? ?? 33 D2 89 10 89 50 04 B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79814_0 {
	meta:
		name = "TScreen.GetDesktopTop"
		size = 8
		refs = "0003 GetSystemMetrics"
	strings:
		$1 = { 6A 4D E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79815_0 {
	meta:
		name = "TScreen.GetDesktopLeft"
		size = 8
		refs = "0003 GetSystemMetrics"
	strings:
		$1 = { 6A 4C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79816_0 {
	meta:
		name = "TScreen.GetDesktopHeight"
		size = 8
		refs = "0003 GetSystemMetrics"
	strings:
		$1 = { 6A 4F E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79817_0 {
	meta:
		name = "TScreen.GetDesktopWidth"
		size = 8
		refs = "0003 GetSystemMetrics"
	strings:
		$1 = { 6A 4E E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79819_0 {
	meta:
		name = "TScreen.GetMonitorCount"
		size = 21
		refs = "000d GetSystemMetrics"
	strings:
		$1 = { 8B 50 60 8B 52 08 85 D2 75 08 6A 50 E8 ?? ?? ?? ?? C3 8B C2 C3 }
	condition:
		$1
}

rule function_79820_0 {
	meta:
		name = "TScreen.GetForm"
		size = 19
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 54 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79821_0 {
	meta:
		name = "TScreen.GetFormCount"
		size = 7
	strings:
		$1 = { 8B 40 54 8B 40 08 C3 }
	condition:
		$1
}

rule function_79824_0 {
	meta:
		name = "TScreen.UpdateLastActive"
		size = 75
	strings:
		$1 = { 53 8B D8 8B 43 68 3B 43 74 74 1B 89 43 74 66 83 BB AA 00 00 00 00 74 0E 8B D3 8B 83 AC 00 00 00 FF 93 A8 00 00 00 8B 43 64 3B 43 70 74 1B 89 43 70 66 83 BB A2 00 00 00 00 74 0E 8B D3 8B 83 A4 00 00 00 FF 93 A0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_79825_0 {
	meta:
		name = "TScreen.AddForm"
		size = 56
		refs = "000c TList.Add 0014 _DV_TForm 0019 @IsClass 002c Application 0031 TApplication.UpdateVisible"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 58 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B D6 8B 43 54 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79826_0 {
	meta:
		name = "TScreen.RemoveForm"
		size = 82
		refs = "000e TList.RemoveItem 001f Application 0024 TApplication.UpdateVisible 004b THintWindow.ReleaseHandle"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 58 8B D6 33 C9 E8 ?? ?? ?? ?? 8B 43 54 8B D6 33 C9 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 58 83 78 08 00 75 1E A1 ?? ?? ?? ?? 83 B8 88 00 00 00 00 74 10 A1 ?? ?? ?? ?? 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79828_0 {
	meta:
		name = "TScreen.RemoveDataModule"
		size = 11
		refs = "0006 TList.RemoveItem"
	strings:
		$1 = { 8B 40 5C 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79829_0 {
	meta:
		name = "TScreen.CreateCursors"
		size = 88
		refs = "000e LoadCursor 001e CursorMap 002e HInstance 0046 TScreen.InsertCursor"
	strings:
		$1 = { 53 56 57 55 8B E8 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? 89 85 B4 00 00 00 BB EA FF FF FF BE ?? ?? ?? ?? 83 FB EF 7C 0D 83 FB F4 7F 08 8B 3D ?? ?? ?? ?? EB 02 33 FF 8B 06 50 57 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C5 E8 ?? ?? ?? ?? 43 83 C6 04 83 FB FF 75 CF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79830_0 {
	meta:
		name = "TScreen.DestroyCursors"
		size = 100
		refs = "002b DestroyCursor 0039 @FreeMem 004b LoadCursor"
	strings:
		$1 = { 53 56 57 55 8B E8 8B 9D B0 00 00 00 85 DB 74 33 8B 73 04 83 FE EF 7C 05 83 FE F4 7E 09 83 FE EB 74 04 85 F6 7E 09 8B 43 08 50 E8 ?? ?? ?? ?? 8B 3B BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B DF 85 DB 75 CD 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? 8B 95 B4 00 00 00 3B C2 74 06 52 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79831_0 {
	meta:
		name = "TScreen.DeleteCursor"
		size = 75
		refs = "0025 DestroyCursor 0043 @FreeMem"
	strings:
		$1 = { 53 56 57 8B F8 8B 9F B0 00 00 00 33 F6 EB 04 8B F3 8B 1B 85 DB 74 05 3B 53 04 75 F3 85 DB 74 27 8B 43 08 50 E8 ?? ?? ?? ?? 85 F6 75 0A 8B 03 89 87 B0 00 00 00 EB 04 8B 03 89 06 BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79832_0 {
	meta:
		name = "DoFindMonitor"
		size = 81
		refs = "000f TScreen.GetMonitorCount 0026 TScreen.GetMonitor"
	strings:
		$1 = { 55 8B EC 53 56 57 33 FF 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 30 46 33 DB 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 8B 40 04 8B 55 08 3B 42 F8 75 11 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 8B F8 EB 04 43 4E 75 D3 8B C7 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_79833_0 {
	meta:
		name = "TScreen.FindMonitor"
		size = 42
		refs = "000e DoFindMonitor 001b TScreen.GetMonitors"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 55 E8 ?? ?? ?? ?? 59 85 C0 75 0F 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 59 59 5D C3 }
	condition:
		$1
}

rule function_79834_0 {
	meta:
		name = "TScreen.InsertCursor"
		size = 43
		refs = "000f @GetMem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 B8 0C 00 00 00 E8 ?? ?? ?? ?? 8B 93 B0 00 00 00 89 10 89 70 04 89 78 08 89 83 B0 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79835_0 {
	meta:
		name = "TScreen.GetImes"
		size = 580
		refs = "0019 TScreen.GetImes 0033 _Dn_TStringList 0038 TStringList.Create 0049 @UStrClr 0057 GetKeyboardLayoutList 0077 Imm32IsIME 00b4 StrFmt 00bf RegOpenKeyEx 00f9 RegQueryValueEx 0113 @UStrFromWArray 0162 RegCloseKey 0168 @HandleFinally 0188 TStringList.SetSorted"
	strings:
		$1 = { 55 8B EC 81 C4 60 FC FF FF 53 33 D2 89 95 60 FC FF FF 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 3C 00 0F 85 5C 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 3C 8B 45 FC 83 C0 40 E8 ?? ?? ?? ?? 8D 85 EC FE FF FF 50 6A 40 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 17 01 00 00 40 89 45 F0 8D 85 EC FE FF FF 89 45 EC 8B 45 EC 8B 00 E8 ?? ?? ?? ?? 84 C0 0F 84 EB 00 00 00 8D 45 F4 50 68 19 00 02 00 6A 00 6A 00 8B 45 EC 8B 00 89 85 64 FC FF FF C6 85 68 FC FF FF 00 8D 8D 64 FC FF FF BA ?? ?? ?? ?? 8D 85 6C FC FF FF E8 ?? ?? ?? ?? 50 68 02 00 00 80 E8 ?? ?? ?? ?? 85 C0 0F 85 A3 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 00 02 00 00 8D 45 F8 50 8D 85 EC FC FF FF 50 6A 00 6A 00 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 85 C0 75 4F 8D 85 60 FC FF FF 8D 95 EC FC FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 8B 95 60 FC FF FF 8B 45 EC 8B 08 8B 45 FC 8B 40 3C 8B 18 FF 53 3C 8B 45 EC 8B 00 8B 55 FC 3B 42 44 75 16 8B 45 FC 83 C0 40 8D 95 EC FC FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 83 45 EC 04 FF 4D F0 0F 85 F6 FE FF FF 8B 45 FC 8B 40 3C C6 40 39 00 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 58 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 60 FC FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B C3 5B 8B E5 5D C3 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 5C 00 43 00 75 00 72 00 72 00 65 00 6E 00 74 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 53 00 65 00 74 00 5C 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 5C 00 4B 00 65 00 79 00 62 00 6F 00 61 00 72 00 64 00 20 00 4C 00 61 00 79 00 6F 00 75 00 74 00 73 00 5C 00 25 00 2E 00 38 00 78 00 00 00 00 00 6C 00 61 00 79 00 6F 00 75 00 74 00 20 00 74 00 65 00 78 00 74 00 00 00 }
	condition:
		$1
}

rule function_79836_0 {
	meta:
		name = "TScreen.GetDefaultIME"
		size = 26
		refs = "0009 TScreen.GetImes 0013 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79837_0 {
	meta:
		name = "TScreen.IconFontChanged"
		size = 82
		refs = "000f Application 0014 TApplication.NotifyForms 003f TApplication.SetShowHint"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 33 C9 66 BA 35 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B B3 80 00 00 00 75 2F 83 3D ?? ?? ?? ?? 00 74 26 A1 ?? ?? ?? ?? 80 B8 8C 00 00 00 00 74 18 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79839_0 {
	meta:
		name = "TScreen.GetDataModuleCount"
		size = 7
	strings:
		$1 = { 8B 40 5C 8B 40 08 C3 }
	condition:
		$1
}

rule function_79840_0 {
	meta:
		name = "TScreen.GetCursors"
		size = 44
	strings:
		$1 = { 33 C9 83 FA FF 74 22 8B 88 B0 00 00 00 EB 02 8B 09 85 C9 74 05 3B 51 04 75 F5 85 C9 75 08 8B 88 B4 00 00 00 EB 03 8B 49 08 8B C1 C3 }
	condition:
		$1
}

rule function_79841_0 {
	meta:
		name = "TScreen.SetCursor"
		size = 168
		refs = "0020 GetCursorPos 002d WindowFromPoint 003b GetWindowThreadProcessId 0042 GetCurrentThreadId 0075 SendMessage 0093 TScreen.GetCursors 0099 SetCursor"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F2 8B D8 66 3B 73 4C 0F 84 88 00 00 00 66 89 73 4C 66 85 F6 75 6F 54 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 E8 ?? ?? ?? ?? 8B F8 85 FF 74 56 6A 00 57 E8 ?? ?? ?? ?? 8B E8 E8 ?? ?? ?? ?? 3B E8 75 43 8B 04 24 89 44 24 08 8B 44 24 04 89 44 24 0C 8B 44 24 08 25 FF FF 00 00 8B 54 24 0C C1 E2 10 0B C2 50 6A 00 68 84 00 00 00 57 E8 ?? ?? ?? ?? 0F B7 C0 0D 00 00 00 02 50 57 6A 20 57 E8 ?? ?? ?? ?? EB 13 0F BF D6 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? FF 43 50 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79842_0 {
	meta:
		name = "TScreen.SetCursors"
		size = 78
		refs = "0019 LoadCursor 0037 TScreen.DeleteCursor 0046 TScreen.InsertCursor"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 75 20 85 FF 75 14 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? 89 83 B4 00 00 00 EB 25 89 BB B4 00 00 00 EB 1D 83 FE FF 74 18 8B D6 8B C3 E8 ?? ?? ?? ?? 85 FF 74 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79848_0 {
	meta:
		name = "TScreen.GetMetricSettings"
		size = 454
		refs = "0013 Application 002d TScreen.GetMetricSettings 0048 TApplication.SetShowHint 005b SystemParametersInfo 0068 CreateFontIndirect 0075 TFont.SetHandle 007e GetStockObject 0090 tagNONCLIENTMETRICSW.SizeOf 0124 TFont.SetSize 0170 TFont.SetColor 01ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 A8 FD FF FF 53 56 8B D8 C6 45 FF 00 83 3D ?? ?? ?? ?? 00 74 0F A1 ?? ?? ?? ?? 0F B6 80 8C 00 00 00 88 45 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 0C 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? BE 5C 00 00 00 6A 00 8D 45 A0 50 56 6A 1F E8 ?? ?? ?? ?? 85 C0 74 18 8D 45 A0 50 E8 ?? ?? ?? ?? 8B D0 8B 83 84 00 00 00 E8 ?? ?? ?? ?? EB 14 6A 0D E8 ?? ?? ?? ?? 8B D0 8B 83 84 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B5 A8 FD FF FF 6A 00 8D 85 A8 FD FF FF 50 6A 00 6A 29 E8 ?? ?? ?? ?? 85 C0 74 66 8D 85 E4 FE FF FF 50 E8 ?? ?? ?? ?? 8B D0 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 8D 85 88 FE FF FF 50 E8 ?? ?? ?? ?? 8B D0 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8D 85 40 FF FF FF 50 E8 ?? ?? ?? ?? 8B D0 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 8D 85 C0 FD FF FF 50 E8 ?? ?? ?? ?? 8B D0 8B 83 90 00 00 00 E8 ?? ?? ?? ?? EB 4C 8B 83 80 00 00 00 BA 08 00 00 00 E8 ?? ?? ?? ?? 6A 0D E8 ?? ?? ?? ?? 8B D0 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 6A 0D E8 ?? ?? ?? ?? 8B D0 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 6A 0D E8 ?? ?? ?? ?? 8B D0 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B 83 80 00 00 00 BA 17 00 00 FF E8 ?? ?? ?? ?? 8B 83 88 00 00 00 BA 07 00 00 FF E8 ?? ?? ?? ?? 8B 83 8C 00 00 00 BA 08 00 00 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0E 0F B6 55 FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79849_0 {
	meta:
		name = "TScreen.DisableAlign"
		size = 8
	strings:
		$1 = { 66 FF 80 94 00 00 00 C3 }
	condition:
		$1
}

rule function_79850_0 {
	meta:
		name = "TScreen.EnableAlign"
		size = 32
		refs = "001b TScreen.Realign"
	strings:
		$1 = { 66 FF 88 94 00 00 00 66 83 B8 94 00 00 00 00 75 0E F6 80 96 00 00 00 10 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79852_0 {
	meta:
		name = "InsertBefore"
		size = 133
		refs = "001e TCustomForm.GetTop 0052 TCustomForm.GetLeft"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 33 C0 FE C9 74 0E FE C9 74 21 FE C9 74 3A FE C9 74 4D EB 66 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 3B D8 0F 9C C0 EB 4F 8B C7 E8 ?? ?? ?? ?? 8B D8 03 5F 54 8B C6 E8 ?? ?? ?? ?? 03 46 54 3B D8 0F 9C C0 EB 32 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 3B D8 0F 9C C0 EB 1B 8B C7 E8 ?? ?? ?? ?? 8B D8 03 5F 50 8B C6 E8 ?? ?? ?? ?? 03 46 50 3B D8 0F 9C C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79853_0 {
	meta:
		name = "DoPosition"
		size = 438
		refs = "006c TCustomForm.GetLeft 0076 TCustomForm.GetTop 0080 GetSystemMetrics 013e DoPosition"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 88 55 FF 8B D8 8B 45 08 8B 70 FC 8B 76 08 8B 45 08 8B 40 FC 2B 30 85 F6 7C 0A 0F B6 45 FF 04 FD 2C 02 73 03 8B 73 50 8B 45 08 8B 40 FC 8B 40 0C 8B 55 08 8B 52 FC 2B 42 04 89 45 F0 83 7D F0 00 7C 09 0F B6 45 FF 48 2C 02 73 06 8B 43 54 89 45 F0 80 7D FF 01 75 28 80 BB A2 02 00 00 02 75 1F 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B C3 E8 ?? ?? ?? ?? 89 45 F4 6A 3D E8 ?? ?? ?? ?? 8B F0 EB 17 8B 45 08 8B 40 FC 8B 00 89 45 F8 8B 45 08 8B 40 FC 8B 40 04 89 45 F4 0F B6 45 FF FE C8 74 0E FE C8 74 18 FE C8 74 2E FE C8 74 34 EB 47 8B 45 08 8B 40 FC 8B 55 F0 01 50 04 EB 39 8B 45 08 8B 40 FC 8B 55 F0 29 50 0C 8B 45 08 8B 40 FC 8B 40 0C 89 45 F4 EB 1F 8B 45 08 8B 40 FC 01 30 EB 15 8B 45 08 8B 40 FC 29 70 08 8B 45 08 8B 40 FC 8B 40 08 89 45 F8 56 8B 45 F0 50 8B 4D F4 8B 55 F8 8B C3 8B 38 FF 97 A4 00 00 00 80 BB A2 02 00 00 02 75 09 2B 75 F8 8B 45 F4 29 45 F0 8B 43 50 3B F0 75 08 8B 53 54 3B 55 F0 74 7D 0F B6 55 FF 83 FA 05 77 74 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F0 2B 43 54 8B 55 08 8B 52 FC 29 42 04 EB 44 8B 45 F0 2B 43 54 8B 55 08 8B 52 FC 01 42 0C EB 33 2B F0 8B 45 08 8B 40 FC 29 30 EB 27 2B F0 8B 45 08 8B 40 FC 01 70 08 EB 1A 2B F0 8B 45 08 8B 40 FC 01 70 08 8B 45 F0 2B 43 54 8B 55 08 8B 52 FC 01 42 0C 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79854_0 {
	meta:
		name = "DoAlign"
		size = 335
		refs = "006f TList.Add 007a TScreen.GetCustomFormCount 009b TScreen.GetCustomForms 00e6 TList.Get 00f3 InsertBefore 0106 TList.Insert 013d DoPosition"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 45 FF 8B 45 08 8B 40 F8 8B 10 FF 52 08 8B 45 08 83 78 F4 00 74 53 8B 45 08 8B 40 F4 83 78 38 00 75 47 8B 45 08 8B 40 F4 F6 40 1C 10 75 3B 8B 45 08 8B 40 F4 80 78 61 00 74 2F 8B 45 08 8B 40 F4 0F B6 40 65 3A 45 FF 75 20 8B 45 08 8B 40 F4 80 B8 A2 02 00 00 01 74 11 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 87 00 00 00 47 C7 45 F8 00 00 00 00 8B 45 08 8B 40 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 83 7B 38 00 75 63 0F B6 43 65 3A 45 FF 75 5A F6 43 1C 10 75 54 80 7B 61 00 74 4E 80 BB A2 02 00 00 01 74 45 8B 45 08 3B 58 F4 74 3D 33 F6 EB 01 46 8B 45 08 8B 40 F8 3B 70 08 7D 1E 8B 45 08 8B 40 F8 8B D6 E8 ?? ?? ?? ?? 8B D0 0F B6 4D FF 8B C3 E8 ?? ?? ?? ?? 84 C0 74 D6 8B 45 08 8B 40 F8 8B CB 8B D6 E8 ?? ?? ?? ?? FF 45 F8 4F 75 81 8B 45 08 8B 40 F8 8B 78 08 4F 85 FF 7C 2A 47 C7 45 F8 00 00 00 00 8B 45 08 50 8B 45 08 8B 40 F8 8B 55 F8 E8 ?? ?? ?? ?? 0F B6 55 FF E8 ?? ?? ?? ?? 59 FF 45 F8 4F 75 DE 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79855_0 {
	meta:
		name = "AlignWork"
		size = 86
		refs = "000e TScreen.GetCustomFormCount 0023 TScreen.GetCustomForms"
	strings:
		$1 = { 55 8B EC 53 56 B3 01 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 7C 34 8B 45 08 8B 40 F0 8B D6 E8 ?? ?? ?? ?? 83 78 38 00 75 1B F6 40 1C 10 75 15 80 78 65 00 74 0F 80 78 61 00 74 09 80 B8 A2 02 00 00 01 75 08 4E 83 FE FF 75 CC 33 DB 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_79856_0 {
	meta:
		name = "TScreen.AlignForms"
		size = 133
		refs = "0011 AlignWork 001d _Dn_TList 0022 TObject.Create 002d TScreen.AlignForms 003b DoAlign 0075 TObject.Free 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D FC 89 55 F4 89 45 F0 55 E8 ?? ?? ?? ?? 59 84 C0 74 67 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 B0 01 E8 ?? ?? ?? ?? 59 55 B0 02 E8 ?? ?? ?? ?? 59 55 B0 03 E8 ?? ?? ?? ?? 59 55 B0 04 E8 ?? ?? ?? ?? 59 55 B0 05 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_79857_0 {
	meta:
		name = "TScreen.AlignForm"
		size = 131
		refs = "0029 TScreen.DisableAlign 0031 TScreen.AlignForm 0046 SystemParametersInfo 0053 TScreen.AlignForms 0072 TScreen.EnableAlign 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B DA 89 45 FC 8B 45 FC 66 83 B8 94 00 00 00 00 74 0C 8B 45 FC 83 88 96 00 00 00 10 EB 59 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 EC 50 6A 00 6A 30 E8 ?? ?? ?? ?? 8D 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 A0 96 00 00 00 EF 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79858_0 {
	meta:
		name = "TScreen.GetFonts"
		size = 212
		refs = "0019 _Dn_TStringList 001e TStringList.Create 002b GetDC 0036 TScreen.GetFonts 005b @FillChar 006d EnumFontsProc 007a EnumFontFamiliesEx 0087 TStringList.SetSorted 009f ReleaseDC 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 9C 89 45 FC 8B 45 FC 83 78 38 00 0F 85 95 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 38 6A 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 38 BA ?? ?? ?? ?? 8B 08 FF 51 38 8D 45 9C 33 C9 BA 5C 00 00 00 E8 ?? ?? ?? ?? C6 45 B3 01 6A 00 8B 45 FC 8B 40 38 50 68 ?? ?? ?? ?? 8D 45 9C 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8B 40 38 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_79859_0 {
	meta:
		name = "TScreen.ResetFonts"
		size = 17
		refs = "000c TObject.Free"
	strings:
		$1 = { 83 C0 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79860_0 {
	meta:
		name = "GetHint"
		size = 54
		refs = "0021 @UStrAsg 002f @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 DB 74 22 83 BB 88 00 00 00 00 75 05 8B 5B 38 EB 10 8B C6 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 85 DB 75 DE 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79861_0 {
	meta:
		name = "GetHintControl"
		size = 31
	strings:
		$1 = { EB 03 8B 40 38 85 C0 74 09 80 B8 91 00 00 00 00 74 F0 85 C0 74 08 F6 40 1C 10 74 02 33 C0 C3 }
	condition:
		$1
}

rule function_79862_0 {
	meta:
		name = "HintTimerProc"
		size = 82
		refs = "0008 Application 0013 HintTimerProc 0023 TApplication.HintTimerExpired 0032 @HandleAnyException 0042 TApplication.HandleException 0047 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 83 3D ?? ?? ?? ?? 00 74 3C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_79863_0 {
	meta:
		name = "HintMouseThread"
		size = 92
		refs = "0008 Application 000d GetCurrentThreadId 0012 HintThreadID 002a GetCursorPos 0032 FindVCLWindow 003d TApplication.CancelHint 0044 HintDoneEvent 004a WaitForSingleObject"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 BB ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? EB 29 83 3B 00 74 24 8B 03 83 78 64 00 74 1C 8D 45 F8 50 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 85 C0 75 07 8B 03 E8 ?? ?? ?? ?? 6A 64 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3D 02 01 00 00 74 C3 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_79864_0 {
	meta:
		name = "HintGetMsgHook"
		size = 65
		refs = "0013 HintHook 0019 CallNextHookEx 0025 Application 0034 TApplication.IsHintMsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 10 8B 5D 08 56 8B 45 0C 50 53 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 85 DB 7C 15 83 3D ?? ?? ?? ?? 00 74 0C 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_79865_0 {
	meta:
		name = "HookHintHooks"
		size = 116
		refs = "0002 Application 0011 HintHook 0019 GetCurrentThreadId 0021 HintHookDelegate 0029 SetWindowsHookEx 0034 HintDoneEvent 0044 CreateEvent 004f HintThread 005c HintThreadDelegate 0069 CreateThread"
	strings:
		$1 = { 51 A1 ?? ?? ?? ?? 80 B8 B1 00 00 00 00 75 63 83 3D ?? ?? ?? ?? 00 75 1A E8 ?? ?? ?? ?? 50 6A 00 A1 ?? ?? ?? ?? 50 6A 03 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 12 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 1C 54 6A 00 6A 00 A1 ?? ?? ?? ?? 50 68 E8 03 00 00 6A 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_79866_0 {
	meta:
		name = "UnhookHintHooks"
		size = 127
		refs = "0005 HintHook 0013 UnhookWindowsHookEx 001f HintThread 0028 InterlockedExchange 0036 HintDoneEvent 003c SetEvent 0041 GetCurrentThreadId 0047 HintThreadID 0050 Application 0055 TApplication.HandleMessage 006a MsgWaitForMultipleObjects 0077 CloseHandle"
	strings:
		$1 = { 53 56 51 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? BB ?? ?? ?? ?? 33 F6 56 53 E8 ?? ?? ?? ?? 89 04 24 83 3C 24 00 74 46 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 74 25 EB 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 FF 04 00 00 6A FF 6A 00 8D 44 24 0C 50 6A 01 E8 ?? ?? ?? ?? 85 C0 75 DD 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_79867_0 {
	meta:
		name = "GetAnimation"
		size = 47
		refs = "0017 SystemParametersInfo"
	strings:
		$1 = { 53 83 C4 F8 BB 08 00 00 00 89 1C 24 6A 00 8D 44 24 04 50 53 6A 48 E8 ?? ?? ?? ?? 85 C0 74 0A 83 7C 24 04 00 0F 95 C0 EB 02 33 C0 59 5A 5B C3 }
	condition:
		$1
}

rule function_79868_0 {
	meta:
		name = "SetAnimation"
		size = 41
		refs = "0022 SystemParametersInfo"
	strings:
		$1 = { 83 C4 F8 C7 04 24 08 00 00 00 3C 01 F5 1B C0 89 44 24 04 6A 00 8D 44 24 04 50 8B 44 24 08 50 6A 49 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_79869_0 {
	meta:
		name = "ShowWinNoAnimate"
		size = 47
		refs = "0008 GetAnimation 0015 SetAnimation 001c ShowWindow"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 E8 ?? ?? ?? ?? 8B D8 84 DB 74 07 33 C0 E8 ?? ?? ?? ?? 57 56 E8 ?? ?? ?? ?? 84 DB 74 07 B0 01 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79870_0 {
	meta:
		name = "TScreen.GetDesktopRect"
		size = 48
		refs = "0009 TScreen.GetDesktopHeight 0012 TScreen.GetDesktopWidth 001a TScreen.GetDesktopTop 0022 TScreen.GetDesktopLeft 0029 Bounds"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 50 56 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79873_0 {
	meta:
		name = "TScreen.GetWorkAreaRect"
		size = 13
		refs = "0008 SystemParametersInfo"
	strings:
		$1 = { 6A 00 52 6A 00 6A 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79876_0 {
	meta:
		name = "TScreen.MonitorFromPoint"
		size = 43
		refs = "000f MonitorDefaultFlags 001a MonitorFromPoint 0023 TScreen.FindMonitor"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 0F B6 C3 8B 04 85 ?? ?? ?? ?? 50 FF 76 04 FF 36 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79877_0 {
	meta:
		name = "TScreen.MonitorFromRect"
		size = 39
		refs = "000f MonitorDefaultFlags 0016 MonitorFromRect 001f TScreen.FindMonitor"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 0F B6 C3 8B 04 85 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79878_0 {
	meta:
		name = "TScreen.MonitorFromWindow"
		size = 39
		refs = "000f MonitorDefaultFlags 0016 MonitorFromWindow 001f TScreen.FindMonitor"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 0F B6 C3 8B 04 85 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79879_0 {
	meta:
		name = "TScreen.ClearMonitors"
		size = 55
		refs = "0019 TList.Get 001e TObject.Free 0027 Screen"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 60 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 60 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED A1 ?? ?? ?? ?? 8B 40 60 8B 10 FF 52 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79880_0 {
	meta:
		name = "TScreen.GetMonitors"
		size = 30
		refs = "0001 TScreen.ClearMonitors 0006 Screen 000f EnumMonitorsProc 0019 EnumDisplayMonitors"
	strings:
		$1 = { E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 60 50 B8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79881_0 {
	meta:
		name = "DoGetPrimaryMonitor"
		size = 79
		refs = "000f TScreen.GetMonitorCount 0026 TScreen.GetMonitor 002b TMonitor.GetPrimary"
	strings:
		$1 = { 55 8B EC 53 56 57 33 FF 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2E 46 33 DB 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 8B F8 EB 04 43 4E 75 D5 8B C7 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_79882_0 {
	meta:
		name = "TScreen.GetPrimaryMonitor"
		size = 36
		refs = "0009 DoGetPrimaryMonitor 0016 TScreen.GetMonitors"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 55 E8 ?? ?? ?? ?? 59 85 C0 75 0F 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_79883_0 {
	meta:
		name = "TApplication.Create"
		size = 624
		refs = "0013 @ClassCreate 0021 TComponent.Create 0026 IsLibrary 0032 OleInitialize 0045 ApplicationHandleException 005a TApplication.HandleException 005f ApplicationShowException 0074 TApplication.ShowException 007f _Dn_TFont 0084 TFont.Create 0093 TApplication.DefaultFontChanged 009a _Dn_TList 009f TObject.Create 0104 _Dn_TIcon 0109 TIcon.Create 0116 TApplication.Create 011b MainInstance 0123 LoadIcon 012c TIcon.SetHandle 013c TApplication.IconChanged 0167 GetModuleFileName 0176 StrRScan 0188 StrCopy 0197 StrScan 01ac CharNext 01b2 CharLower 01c8 @UStrFromWArray 01ce TApplication.PopupControlProc 01d3 AllocateHWnd 01f1 TApplication.CreateHandle 0230 TApplication.ValidateHelpSystem 0237 TApplication.HookSynchronizeWakeup 0244 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 FC FD FF FF 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 75 15 6A 00 E8 ?? ?? ?? ?? A9 00 00 00 80 0F 94 C0 88 83 84 01 00 00 A1 ?? ?? ?? ?? 66 83 78 02 00 75 0E A1 ?? ?? ?? ?? 89 58 04 C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? 66 83 78 02 00 75 0E A1 ?? ?? ?? ?? 89 58 04 C7 00 ?? ?? ?? ?? C6 43 39 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 40 89 5E 0C C7 46 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 94 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B4 00 00 00 33 C0 89 43 64 33 C0 89 83 88 00 00 00 C7 43 60 18 00 00 FF C7 43 7C F4 01 00 00 C6 83 80 00 00 00 01 33 C0 89 83 84 00 00 00 C7 43 78 C4 09 00 00 C6 83 8C 00 00 00 00 C6 83 A9 00 00 00 01 C6 83 C0 00 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A4 00 00 00 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 A4 00 00 00 89 58 14 C7 40 10 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 9C 00 00 00 68 00 01 00 00 8D 85 FE FD FF FF 50 A1 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 8D 85 FE FD FF FF 66 BA 5C 00 E8 ?? ?? ?? ?? 85 C0 74 0E 8D 50 02 8D 85 FE FD FF FF E8 ?? ?? ?? ?? 8D 85 FE FD FF FF 66 BA 2E 00 E8 ?? ?? ?? ?? 85 C0 74 05 66 C7 00 00 00 8D 85 FE FD FF FF 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 83 90 00 00 00 8D 95 FE FD FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 80 01 00 00 C6 83 D4 00 00 00 00 A1 ?? ?? ?? ?? 80 38 00 75 07 8B C3 E8 ?? ?? ?? ?? C6 43 5D 01 C6 43 5E 01 C6 43 5F 01 C6 83 AA 00 00 00 01 C6 83 D5 00 00 00 00 C6 83 E0 00 00 00 00 33 C0 89 83 D8 00 00 00 C6 83 D7 00 00 00 00 33 C0 89 83 AC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C3 00 00 4D 00 41 00 49 00 4E 00 49 00 43 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_79884_0 {
	meta:
		name = "TApplication.Destroy"
		size = 425
		refs = "0006 @BeforeDestruction 0011 TApplication.UnhookSynchronizeWakeup 001c TApplication.HandleException 0021 ApplicationHandleException 0040 TApplication.ShowException 0045 ApplicationShowException 0069 FreeLibrary 0077 TApplication.CancelHint 0080 TApplication.SetShowHint 008b TComponent.Destroy 009a DeallocateHWnd 00a0 TApplication.CheckIniChange 00a7 TApplication.UnhookMainWindow 00c0 NewStyleControls 00d4 SendMessage 00d9 TOSVersion.FMajor 00ed TOSVersion.FMinor 00fe WTSUnRegisterSessionNotification 0121 BufferedPaintUnInit 012d DestroyWindow 013b @IntfClear 014a FreeObjectInstance 0155 TObject.Free 0194 OleUninitialize 019f @ClassDestroy"
	strings:
		$1 = { 53 56 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 89 74 24 04 C7 04 24 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 3B 04 24 75 0C A1 ?? ?? ?? ?? 33 D2 89 10 89 50 04 89 74 24 0C C7 44 24 08 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 3B 44 24 08 75 0C A1 ?? ?? ?? ?? 33 D2 89 10 89 50 04 8B 86 AC 00 00 00 85 C0 74 06 50 E8 ?? ?? ?? ?? C6 86 A9 00 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 80 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 78 01 00 00 85 C0 74 7C 80 BE B0 00 00 00 00 74 73 8B 15 ?? ?? ?? ?? 80 3A 00 74 0F 6A 00 6A 01 68 80 00 00 00 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 05 7F 14 A1 ?? ?? ?? ?? 83 38 05 75 16 A1 ?? ?? ?? ?? 83 38 01 7C 0C 8B 86 78 01 00 00 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 06 7F 14 A1 ?? ?? ?? ?? 83 38 06 75 0F A1 ?? ?? ?? ?? 83 38 00 7C 05 E8 ?? ?? ?? ?? 8B 86 78 01 00 00 50 E8 ?? ?? ?? ?? 83 7E 50 00 74 08 8D 46 50 E8 ?? ?? ?? ?? 8B 86 7C 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? 8B 86 94 00 00 00 E8 ?? ?? ?? ?? 8B 86 9C 00 00 00 E8 ?? ?? ?? ?? 8B 86 A4 00 00 00 E8 ?? ?? ?? ?? 8D 46 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 80 BE 84 01 00 00 00 74 05 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_79885_0 {
	meta:
		name = "TApplication.CreateHandle"
		size = 525
		refs = "0014 TApplication.CreateHandle 002c IsConsole 003b TApplication.WndProc 0040 MakeObjectInstance 004b DefWindowProc 0050 WindowClass 005f HInstance 0065 GetClassInfo 007d RegisterClass 008a SWindowClass 008f LoadResString 0099 _Dn_EOutOfResources 009e Exception.Create 00a3 @RaiseExcept 00af GetSystemMetrics 00e1 @UStrToPWChar 00f3 CreateWindowEx 0106 TOSVersion.FMajor 011c TOSVersion.FMinor 0129 WTSRegisterSessionNotification 014c BufferedPaintInit 0165 SetWindowLongPtr 016a NewStyleControls 0176 TApplication.GetIconHandle 018a SendMessage 01a4 SetClassLongPtr 01b2 GetSystemMenu 01c1 DeleteMenu 01fa @UStrClr 0200 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 D2 89 55 D4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB B0 00 00 00 00 0F 85 BE 01 00 00 A1 ?? ?? ?? ?? 80 38 00 0F 85 B0 01 00 00 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 7C 01 00 00 B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8D 45 D8 50 A1 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 3A A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 85 C0 75 21 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 00 00 CA 84 6A 00 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 6A 01 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 6A 00 6A 00 6A 00 6A 00 A1 ?? ?? ?? ?? 50 6A 00 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B 15 ?? ?? ?? ?? B8 80 00 00 00 E8 ?? ?? ?? ?? 89 83 78 01 00 00 C6 83 B0 00 00 00 01 8B 15 ?? ?? ?? ?? 83 3A 05 7F 16 8B 15 ?? ?? ?? ?? 83 3A 05 75 13 8B 15 ?? ?? ?? ?? 83 3A 01 7C 08 6A 00 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 06 7F 14 A1 ?? ?? ?? ?? 83 38 06 75 0F A1 ?? ?? ?? ?? 83 38 00 7C 05 E8 ?? ?? ?? ?? 8B 83 78 01 00 00 BA FC FF FF FF 8B B3 7C 01 00 00 56 52 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 35 8B C3 E8 ?? ?? ?? ?? 50 6A 01 68 80 00 00 00 8B 83 78 01 00 00 50 E8 ?? ?? ?? ?? 8B B3 78 01 00 00 BF F2 FF FF FF 8B C3 E8 ?? ?? ?? ?? 50 57 56 E8 ?? ?? ?? ?? 6A 00 8B 83 78 01 00 00 50 E8 ?? ?? ?? ?? 8B D8 6A 00 68 30 F0 00 00 53 E8 ?? ?? ?? ?? 6A 00 68 00 F0 00 00 53 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 0D 6A 00 68 10 F0 00 00 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79886_0 {
	meta:
		name = "TApplication.ControlDestroyed"
		size = 96
		refs = "0003 Screen 0059 TScreen.UpdateLastActive"
	strings:
		$1 = { 53 56 B9 ?? ?? ?? ?? 3B 50 48 75 05 33 DB 89 58 48 3B 50 4C 75 05 33 DB 89 58 4C 8B 19 3B 53 64 75 07 8B 19 33 F6 89 73 64 8B 19 3B 53 68 75 0E 8B 19 33 F6 89 73 68 8B 19 33 F6 89 73 6C 8B 19 3B 53 78 75 07 8B 19 33 F6 89 73 78 3B 50 64 75 05 33 D2 89 50 64 8B 01 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79887_0 {
	meta:
		name = "GetTopMostWindows"
		size = 199
		refs = "000d Application 002e TWinControl.GetHandle 004e GetWindow 0060 GetWindowLongPtr 00b1 TList.Add"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 83 CF FF A1 ?? ?? ?? ?? 80 B8 D7 00 00 00 00 74 1C A1 ?? ?? ?? ?? 83 78 48 00 74 11 A1 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 8B F0 EB 0B A1 ?? ?? ?? ?? 8B B0 78 01 00 00 83 3D ?? ?? ?? ?? 00 74 74 6A 04 53 E8 ?? ?? ?? ?? 3B F0 75 68 8B C3 BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? A8 08 74 35 A1 ?? ?? ?? ?? 83 78 48 00 74 26 8B 45 0C 80 78 04 00 75 1D A1 ?? ?? ?? ?? 8B 70 48 F6 46 1C 08 75 0B 8B C6 E8 ?? ?? ?? ?? 3B D8 75 04 33 C0 EB 06 B0 01 EB 02 33 C0 84 C0 74 14 A1 ?? ?? ?? ?? 8B 80 94 00 00 00 8B D3 E8 ?? ?? ?? ?? EB 07 8B 45 0C 89 18 33 FF 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_79888_0 {
	meta:
		name = "TApplication.DoNormalizeTopMosts"
		size = 177
		refs = "002d GetTopMostWindows 0032 EnumWindows 004a GetWindow 005d GetWindowLongPtr 0096 TList.Get 009c SetWindowPos"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B 83 78 01 00 00 85 C0 0F 84 97 00 00 00 83 BB 98 00 00 00 00 0F 85 84 00 00 00 89 04 24 88 54 24 04 8B C4 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 94 00 00 00 83 78 08 00 74 64 6A 03 8B 44 24 04 50 E8 ?? ?? ?? ?? 8B F0 89 34 24 8B C6 BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? A8 08 74 07 C7 04 24 FE FF FF FF 8B 83 94 00 00 00 8B 70 08 4E 83 FE 00 7C 2B 68 13 02 00 00 6A 00 6A 00 6A 00 6A 00 8B 44 24 14 50 8B D6 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 4E 83 FE FF 75 D5 FF 83 98 00 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_79889_0 {
	meta:
		name = "TApplication.ModalStarted"
		size = 44
	strings:
		$1 = { 53 FF 80 C8 00 00 00 83 B8 C8 00 00 00 01 75 1A 66 83 B8 1A 01 00 00 00 74 10 8B D8 8B D0 8B 83 1C 01 00 00 FF 93 18 01 00 00 5B C3 }
	condition:
		$1
}

rule function_79890_0 {
	meta:
		name = "TApplication.ModalFinished"
		size = 44
	strings:
		$1 = { 53 FF 88 C8 00 00 00 83 B8 C8 00 00 00 00 75 1A 66 83 B8 22 01 00 00 00 74 10 8B D8 8B D0 8B 83 24 01 00 00 FF 93 20 01 00 00 5B C3 }
	condition:
		$1
}

rule function_79893_0 {
	meta:
		name = "TApplication.RemovePopupForm"
		size = 77
		refs = "000e @DynArrayHigh"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? 8B D0 85 D2 7C 31 42 33 C0 8D 34 40 8B 8B D0 00 00 00 3B 7C B1 04 75 1B 8B 93 D0 00 00 00 33 C9 89 4C B2 04 8B 83 D0 00 00 00 C7 04 B0 FF FF FF FF EB 04 40 4A 75 D2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79894_0 {
	meta:
		name = "TApplication.RestoreTopMosts"
		size = 106
		refs = "004c TList.Get 0052 SetWindowPos"
	strings:
		$1 = { 53 56 8B D8 83 BB 78 01 00 00 00 74 5A 83 BB 98 00 00 00 00 7E 51 FF 8B 98 00 00 00 83 BB 98 00 00 00 00 75 42 8B 83 94 00 00 00 8B 70 08 4E 83 FE 00 7C 28 68 13 02 00 00 6A 00 6A 00 6A 00 6A 00 6A FF 8B D6 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 4E 83 FE FF 75 D8 8B 83 94 00 00 00 8B 10 FF 52 08 5E 5B C3 }
	condition:
		$1
}

rule function_79895_0 {
	meta:
		name = "GetPopupOwnerWindows"
		size = 241
		refs = "0011 GetWindow 001c Application 002e GetWindowThreadProcessId 003a GetCurrentProcessId 0051 TList.IndexOf 0067 TList.Add 0090 IsWindowVisible 00a4 @DynArrayLength 00bb :TApplication.:1 00c0 @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 08 83 CF FF 6A 04 56 E8 ?? ?? ?? ?? 8B D8 85 DB 74 19 A1 ?? ?? ?? ?? 3B 98 78 01 00 00 74 0C 8D 45 FC 50 53 E8 ?? ?? ?? ?? EB 05 33 C0 89 45 FC E8 ?? ?? ?? ?? 3B 45 FC 75 28 A1 ?? ?? ?? ?? 8B 80 9C 00 00 00 8B D3 E8 ?? ?? ?? ?? 85 C0 7D 12 A1 ?? ?? ?? ?? 8B 80 9C 00 00 00 8B D3 E8 ?? ?? ?? ?? 85 DB 74 78 A1 ?? ?? ?? ?? 3B B0 78 01 00 00 74 6B A1 ?? ?? ?? ?? 3B 98 78 01 00 00 75 5E 3B 75 0C 74 59 56 E8 ?? ?? ?? ?? 85 C0 74 4F A1 ?? ?? ?? ?? 8B 80 DC 00 00 00 E8 ?? ?? ?? ?? 40 50 A1 ?? ?? ?? ?? 05 DC 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? 8B 80 DC 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 92 DC 00 00 00 89 74 82 FC 8B C7 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_79896_0 {
	meta:
		name = "TApplication.DoShowOwnedPopups"
		size = 361
		refs = "0008 Application 002d TApplication.GetMainFormHandle 0033 GetPopupOwnerWindows 0038 EnumWindows 0057 @DynArrayHigh 006f ShowWindow 0098 TList.Get 009e ShowOwnedPopups 0159 :TApplication.:1 015e @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 A1 ?? ?? ?? ?? 83 B8 78 01 00 00 00 0F 84 4C 01 00 00 84 DB 0F 85 92 00 00 00 83 BE A0 00 00 00 00 75 7E 8B C6 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7E 48 00 74 37 A1 ?? ?? ?? ?? 80 B8 D7 00 00 00 00 74 29 8B 86 DC 00 00 00 E8 ?? ?? ?? ?? 8B F8 83 FF 00 7C 17 6A 00 8B 86 DC 00 00 00 8B 04 B8 50 E8 ?? ?? ?? ?? 4F 83 FF FF 75 E9 8B 86 9C 00 00 00 8B 78 08 4F 83 FF 00 7C 20 80 FB 01 F5 1B C0 50 8B D7 8B 86 9C 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 4F 83 FF FF 75 E0 FF 86 A0 00 00 00 E9 B2 00 00 00 83 BE A0 00 00 00 00 0F 8E A5 00 00 00 FF 8E A0 00 00 00 83 BE A0 00 00 00 00 0F 85 92 00 00 00 83 7E 48 00 74 37 A1 ?? ?? ?? ?? 80 B8 D7 00 00 00 00 74 29 8B 86 DC 00 00 00 E8 ?? ?? ?? ?? 8B F8 83 FF 00 7C 17 6A 05 8B 86 DC 00 00 00 8B 04 B8 50 E8 ?? ?? ?? ?? 4F 83 FF FF 75 E9 8B 86 9C 00 00 00 8B 78 08 4F 83 FF 00 7C 20 80 FB 01 F5 1B C0 50 8B D7 8B 86 9C 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 4F 83 FF FF 75 E0 8B 86 9C 00 00 00 8B 10 FF 52 08 6A 00 8D 86 DC 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79897_0 {
	meta:
		name = "TApplication.IsRightToLeft"
		size = 24
		refs = "0002 SysLocale"
		altNames = "TApplication.UseRightToLeftReading"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 0D 00 74 06 80 78 39 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_79899_0 {
	meta:
		name = "TApplication.UseRightToLeftAlignment"
		size = 24
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 0D 00 74 06 80 78 39 01 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_79900_0 {
	meta:
		name = "TApplication.UseRightToLeftScrollBar"
		size = 27
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 0D 00 74 09 0F B6 40 39 48 2C 02 72 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_79901_0 {
	meta:
		name = "TApplication.CheckIniChange"
		size = 126
		refs = "000d RM_TaskbarCreated 0024 SetThreadLocale 0029 GetFormatSettings 0034 Screen 0039 TScreen.GetMetricSettings 004d TScreen.ResetFonts 0065 ChangeAppWindow"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 33 DB 8B 06 3B 05 ?? ?? ?? ?? 74 05 83 F8 1A 75 60 80 7F 5D 00 74 0F 68 00 04 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7F 5E 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 3B 05 ?? ?? ?? ?? 75 31 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BF D7 00 00 00 00 74 1E B1 01 B2 01 8B 87 78 01 00 00 E8 ?? ?? ?? ?? B1 01 33 D2 8B 87 78 01 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79902_0 {
	meta:
		name = "TApplication.SettingChange"
		size = 124
		refs = "0015 TApplication.SettingChange 0036 @UStrFromPWChar 006a @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 72 01 00 00 00 74 30 8B 46 0C 89 45 FC 8D 45 F8 8B 56 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 FC 50 8B 4E 04 8B D3 8B 83 74 01 00 00 FF 93 70 01 00 00 8B 45 FC 89 46 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79903_0 {
	meta:
		name = "Default"
		size = 61
		refs = "002e DefWindowProc"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F8 8B 40 08 50 8B 45 08 8B 40 F8 8B 40 04 50 8B 45 08 8B 40 F8 8B 00 50 8B 45 08 8B 40 FC 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 89 42 0C 5D C3 }
	condition:
		$1
}

rule function_79904_0 {
	meta:
		name = "DrawAppIcon"
		size = 80
		refs = "0019 BeginPaint 0026 TApplication.GetIconHandle 0031 DrawIcon 0047 EndPaint"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 8D 45 C0 50 8B 45 08 8B 40 FC 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 53 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 08 8B 40 FC 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79905_0 {
	meta:
		name = "TApplication.WndProc"
		size = 1966
		refs = "0013 TApplication.WndProc 0045 TList.Get 006f TApplication.CheckIniChange 01f2 TApplication.Minimize 01ff TApplication.Restore 020a Default 023c TCustomForm.Close 024f IsIconic 0259 DrawAppIcon 0288 TApplication.GetIconHandle 02ab PostMessage 0302 TApplication.RestoreTopMosts 0327 TApplication.NormalizeTopMosts 035c DisablingWindows 0379 EnableTaskWindows 03ba DisableTaskWindows 03cb TApplication.NormalizeAllTopMosts 03eb SendMessage 0433 TApplication.NotifyForms 0442 Application 0447 TApplication.Terminate 044c @Halt0 0470 TApplication.DispatchAction 0489 TApplication.IsShortCut 04b7 TWinControl.GetHandle 04cc IsWindowEnabled 04e1 IsWindowVisible 04ef FocusMessages 04f5 GetFocus 0504 SetFocus 051d TControl.Perform 05c7 GetLastActivePopup 0629 FindTopMostWindow 0651 TApplication.InvokeHelp 0672 TApplication.HookMainWindow 068a TApplication.UnhookMainWindow 06cb Mouse 06d2 TMouse.SettingChanged 06dd TApplication.SettingChange 06ee Screen 06f3 TScreen.ResetFonts 0704 StyleServices 0709 TCustomStyleServices.ApplyThemeChange 0729 TScreen.GetFormCount 073f TScreen.GetForm 0747 TWinControl.Broadcast 076f CheckSynchronize 077b TScreen.GetMonitors 0793 @HandleAnyException 079e TApplication.HandleException 07a3 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 89 55 F8 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 33 D2 89 50 0C 8B 45 FC 8B 80 B4 00 00 00 8B 58 08 4B 85 DB 7C 32 43 33 F6 8B 45 FC 8B 80 B4 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B F8 8B 55 F8 8B 47 04 FF 17 84 C0 74 0D 33 C0 5A 59 59 64 89 10 E9 43 07 00 00 46 4B 75 D1 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 5D F8 8B 1B 8B C3 3D 12 01 00 00 0F 8F AB 00 00 00 0F 84 48 01 00 00 83 F8 14 7F 5E 0F 84 D9 01 00 00 83 F8 11 0F 87 E2 06 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 F8 1D 7F 26 0F 84 F4 05 00 00 83 E8 16 0F 84 F8 02 00 00 83 E8 04 0F 84 B9 05 00 00 83 E8 02 0F 84 A7 01 00 00 E9 68 06 00 00 83 E8 37 0F 84 62 01 00 00 83 E8 1C 0F 84 15 05 00 00 E9 51 06 00 00 3D 17 B0 00 00 7F 53 0F 84 67 03 00 00 3D 00 B0 00 00 7F 2D 0F 84 F3 03 00 00 05 CE FE FF FF 83 E8 07 0F 82 7C 02 00 00 2D 78 01 00 00 0F 84 12 06 00 00 83 E8 69 0F 84 97 05 00 00 E9 10 06 00 00 2D 01 B0 00 00 0F 84 40 04 00 00 83 E8 15 0F 84 FD 02 00 00 E9 F7 05 00 00 3D 31 B0 00 00 7F 26 0F 84 FC 04 00 00 2D 1A B0 00 00 0F 84 5A 04 00 00 83 E8 05 0F 84 95 04 00 00 48 0F 84 A8 04 00 00 E9 CA 05 00 00 05 C1 4F FF FF 83 E8 02 0F 82 9F 02 00 00 83 E8 15 0F 84 83 05 00 00 E9 AE 05 00 00 8B 45 F8 8B 40 04 25 F0 FF 00 00 2D 20 F0 00 00 74 09 2D 00 01 00 00 74 0F EB 1A 8B 45 FC E8 ?? ?? ?? ?? E9 8D 05 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 80 05 00 00 55 E8 ?? ?? ?? ?? 59 E9 74 05 00 00 8B 45 F8 83 78 04 01 0F 85 67 05 00 00 8B 45 FC C6 40 38 01 E9 5B 05 00 00 8B 45 FC 8B 40 48 85 C0 0F 84 4D 05 00 00 E8 ?? ?? ?? ?? E9 43 05 00 00 8B 45 FC 8B 80 78 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 0C 55 E8 ?? ?? ?? ?? 59 E9 25 05 00 00 55 E8 ?? ?? ?? ?? 59 E9 19 05 00 00 8B 45 F8 C7 00 27 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 04 05 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C E9 F1 04 00 00 6A 00 6A 00 68 1A B0 00 00 8B 45 FC 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 E9 CD 04 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 F8 8B F0 8D 7D D8 A5 A5 A5 A5 83 7D DC 01 1B C0 40 8B 55 FC 88 82 A9 00 00 00 84 C0 74 41 8B 45 FC 80 B8 D7 00 00 00 00 74 10 8B 45 FC 80 78 38 00 74 07 8B 45 FC C6 40 38 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 68 00 B0 00 00 8B 45 FC 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? E9 65 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 68 01 B0 00 00 8B 45 FC 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? E9 40 04 00 00 8B 45 F8 8B F0 8D 7D C8 A5 A5 A5 A5 83 7D CC 00 74 3A 80 3D ?? ?? ?? ?? 00 75 25 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 00 00 00 85 C0 74 10 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 B8 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 F4 03 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC 83 B8 B8 00 00 00 00 75 20 80 3D ?? ?? ?? ?? 00 75 17 8B 45 FC 8B 80 78 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 89 82 B8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 B4 03 00 00 8B 75 F8 8B 76 08 56 8B 45 F8 8B 40 04 50 81 C3 00 BC 00 00 53 56 E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C E9 8E 03 00 00 8B 45 F8 8B F0 8D 7D B8 A5 A5 A5 A5 33 C0 89 45 C4 8B 45 FC 8B 40 48 85 C0 74 22 80 B8 A2 02 00 00 01 75 19 8B 45 F8 8B 40 08 50 8B 4D F8 8B 49 04 66 BA 16 00 8B 45 FC E8 ?? ?? ?? ?? 83 7D BC 00 0F 84 47 03 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 33 03 00 00 8B 45 F8 C7 40 0C 01 00 00 00 E9 24 03 00 00 8B 4D F8 8B 49 08 8B D3 8B 45 FC E8 ?? ?? ?? ?? 83 E0 7F 8B 55 F8 89 42 0C E9 06 03 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 F3 02 00 00 8B 45 F8 C7 40 0C 01 00 00 00 E9 E4 02 00 00 8B 45 FC 8B 40 48 85 C0 0F 84 D6 02 00 00 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 C5 02 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 B0 02 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 9B 02 00 00 C6 05 ?? ?? ?? ?? 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 50 8B 4D F8 8B 49 04 BA 12 01 00 00 8B C3 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 8B 45 F8 C7 40 0C 01 00 00 00 E9 4B 02 00 00 8B 45 FC 66 83 B8 4A 01 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 4C 01 00 00 FF 93 48 01 00 00 A1 ?? ?? ?? ?? 8B 58 48 85 DB 74 44 A1 ?? ?? ?? ?? 80 B8 D7 00 00 00 00 74 36 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 25 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? 8B 55 FC 3B 82 D8 00 00 00 74 0F 8B 45 FC 8B 80 D8 00 00 00 50 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 D8 00 00 00 E9 CC 01 00 00 8B 45 FC 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 8B 55 FC 89 82 D8 00 00 00 8B 45 FC 66 83 B8 42 01 00 00 00 0F 84 A3 01 00 00 8B 5D FC 8B 55 FC 8B 83 44 01 00 00 FF 93 40 01 00 00 E9 8C 01 00 00 8B 45 FC 8B 80 78 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 76 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 3B 82 78 01 00 00 0F 85 62 01 00 00 33 C0 E8 ?? ?? ?? ?? 85 C0 0F 84 53 01 00 00 50 E8 ?? ?? ?? ?? E9 48 01 00 00 8B 4D F8 8B 49 08 8B 55 F8 0F B7 52 04 8B 45 FC E8 ?? ?? ?? ?? E9 2E 01 00 00 8B 45 F8 83 78 04 00 75 18 8B 45 F8 8B 40 08 FF 70 04 FF 30 8B 45 FC E8 ?? ?? ?? ?? E9 0D 01 00 00 8B 45 F8 8B 40 08 FF 70 04 FF 30 8B 45 FC E8 ?? ?? ?? ?? E9 F5 00 00 00 8B 45 F8 83 78 04 01 75 14 8B 45 FC 8B 80 BC 00 00 00 8B 55 F8 89 42 0C E9 D8 00 00 00 8B 45 F8 8B 40 08 8B 55 FC 89 82 BC 00 00 00 E9 C4 00 00 00 8B 55 F8 8B 52 04 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 E9 9B 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 E9 85 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 E8 51 B0 00 00 33 C0 89 45 EC 33 C0 89 45 F0 33 C0 89 45 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 54 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 46 4B 75 E8 EB 37 8B 45 F8 8B 40 08 50 8B 4D F8 8B 49 04 66 BA 56 B0 8B 45 FC E8 ?? ?? ?? ?? EB 1C 33 C0 E8 ?? ?? ?? ?? EB 13 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 EB 15 E9 ?? ?? ?? ?? 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79906_0 {
	meta:
		name = "TApplication.GetIconHandle"
		size = 28
		refs = "0007 TIcon.GetHandle 0017 LoadIcon"
	strings:
		$1 = { 8B 80 A4 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 0C 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79907_0 {
	meta:
		name = "TApplication.Minimize"
		size = 260
		refs = "000a IsIconic 0019 TApplication.NormalizeTopMosts 002e SetActiveWindow 003b TApplication.DoShowOwnedPopups 0052 TCustomForm.SetWindowState 0080 TWinControl.GetHandle 0086 IsWindowEnabled 009d TCustomForm.GetTop 00a6 TCustomForm.GetLeft 00bc SetWindowPos 00d4 DefWindowProc 00e6 ShowWinNoAnimate"
	strings:
		$1 = { 53 8B D8 8B 83 78 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 EC 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB D7 00 00 00 00 75 0C 8B 83 78 01 00 00 50 E8 ?? ?? ?? ?? C6 43 38 01 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BB D7 00 00 00 00 74 1F 8B 43 48 85 C0 74 0C B2 01 E8 ?? ?? ?? ?? E9 8F 00 00 00 C6 83 E0 00 00 00 01 E9 83 00 00 00 83 7B 48 00 74 6D 80 7B 5F 00 75 09 8B 43 48 80 78 61 00 74 5E 8B 43 48 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 4C 6A 40 6A 00 8B 43 48 8B 40 50 50 8B 43 48 E8 ?? ?? ?? ?? 50 8B 43 48 E8 ?? ?? ?? ?? 50 8B 43 48 E8 ?? ?? ?? ?? 50 8B 83 78 01 00 00 50 E8 ?? ?? ?? ?? 6A 00 68 20 F0 00 00 68 12 01 00 00 8B 83 78 01 00 00 50 E8 ?? ?? ?? ?? EB 10 BA 06 00 00 00 8B 83 78 01 00 00 E8 ?? ?? ?? ?? 66 83 BB 52 01 00 00 00 74 0E 8B D3 8B 83 54 01 00 00 FF 93 50 01 00 00 5B C3 }
	condition:
		$1
}

rule function_79908_0 {
	meta:
		name = "TApplication.Restore"
		size = 306
		refs = "000b IsIconic 0023 SetActiveWindow 0040 TWinControl.GetHandle 0046 ShowWindow 0065 IsWindowEnabled 0081 DefWindowProc 0093 ShowWinNoAnimate 00a0 GetSystemMetrics 00c5 SetWindowPos 00e2 TCustomForm.SetWindowState 00ea TCustomForm.Show 00f1 TApplication.RestoreTopMosts 00fa TApplication.DoShowOwnedPopups 00ff Screen 0113 SetFocus"
	strings:
		$1 = { 53 56 8B D8 8B 83 78 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 18 01 00 00 C6 43 38 00 8B 83 78 01 00 00 50 E8 ?? ?? ?? ?? 8B 73 48 85 F6 0F 84 97 00 00 00 80 BB D7 00 00 00 00 74 11 6A 09 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 7D 80 7B 5F 00 75 09 8B 43 48 80 78 61 00 74 2C 8B 43 48 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 1A 6A 00 68 20 F1 00 00 68 12 01 00 00 8B 83 78 01 00 00 50 E8 ?? ?? ?? ?? EB 10 BA 09 00 00 00 8B 83 78 01 00 00 E8 ?? ?? ?? ?? 6A 40 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 6A 00 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 6A 00 8B 83 78 01 00 00 50 E8 ?? ?? ?? ?? 8B 43 48 85 C0 74 1E 80 B8 A2 02 00 00 01 75 15 80 78 61 00 75 0F 33 D2 E8 ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 70 64 85 F6 74 0D 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 83 BB 5A 01 00 00 00 74 0E 8B D3 8B 83 5C 01 00 00 FF 93 58 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79909_0 {
	meta:
		name = "TApplication.BringToFront"
		size = 88
		refs = "0017 TWinControl.GetHandle 0029 GetLastActivePopup 003d IsWindowVisible 0047 IsWindowEnabled 0051 SetForegroundWindow"
	strings:
		$1 = { 53 56 8B D8 80 BB D7 00 00 00 00 74 10 83 7B 48 00 74 0A 8B 43 48 E8 ?? ?? ?? ?? EB 06 8B 83 78 01 00 00 85 C0 74 2E 50 E8 ?? ?? ?? ?? 8B F0 85 F6 74 22 3B B3 78 01 00 00 74 1A 56 E8 ?? ?? ?? ?? 85 C0 74 10 56 E8 ?? ?? ?? ?? 85 C0 74 06 56 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79910_0 {
	meta:
		name = "TApplication.GetTitle"
		size = 129
		refs = "0030 GetWindowText 003b @UStrFromPWCharLen 0065 @UStrAsg"
	strings:
		$1 = { 53 56 81 C4 FC FD FF FF 8B F2 8B D8 80 BB B0 00 00 00 00 74 56 80 BB D7 00 00 00 00 75 4D 68 00 01 00 00 8D 44 24 04 50 8B 83 78 01 00 00 50 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C6 E8 ?? ?? ?? ?? 8B 06 89 84 24 00 02 00 00 8B 84 24 00 02 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 75 1C 8B C6 8B 93 90 00 00 00 E8 ?? ?? ?? ?? EB 0D 8B C6 8B 93 90 00 00 00 E8 ?? ?? ?? ?? 81 C4 04 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79911_0 {
	meta:
		name = "TApplication.SetIcon"
		size = 12
		altNames = "TChartAxis.SetTicksInner"
	strings:
		$1 = { 8B 80 A4 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_79912_0 {
	meta:
		name = "TApplication.SetBiDiMode"
		size = 63
		refs = "000b Screen 0010 TScreen.GetFormCount 0028 TScreen.GetForm 0034 TControl.Perform"
	strings:
		$1 = { 53 56 3A 50 39 74 35 88 50 39 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 21 43 33 F6 6A 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 BA 3D B0 00 00 E8 ?? ?? ?? ?? 46 4B 75 E2 5E 5B C3 }
	condition:
		$1
}

rule function_79914_0 {
	meta:
		name = "TApplication.SetTitle"
		size = 154
		refs = "0010 TApplication.SetTitle 0023 @UStrEqual 0045 SetWindowText 0057 @UStrLAsg 005f @UStrToPWChar 0073 @UStrAsg 0088 @UStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 90 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 4E 80 BB B0 00 00 00 00 74 38 80 BB D7 00 00 00 00 74 10 6A 00 8B 83 78 01 00 00 50 E8 ?? ?? ?? ?? EB 1F 8B BB 78 01 00 00 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 8D 83 90 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79915_0 {
	meta:
		name = "TApplication.SetHandle"
		size = 71
		refs = "0022 TApplication.CheckIniChange 0029 TApplication.UnhookMainWindow 0040 TApplication.HookMainWindow"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB B0 00 00 00 00 75 35 3B B3 78 01 00 00 74 2D 83 BB 78 01 00 00 00 74 0D 53 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 B3 78 01 00 00 85 F6 74 0D 53 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79916_0 {
	meta:
		name = "TApplication.IsDlgMsg"
		size = 72
		refs = "0015 IsWindowUnicode 0026 IsDialogMessageW 003b IsDialogMessageA"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 83 BB BC 00 00 00 00 74 34 8B 06 50 E8 ?? ?? ?? ?? 85 C0 74 15 56 8B 83 BC 00 00 00 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 EB 13 56 8B 83 BC 00 00 00 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_79917_0 {
	meta:
		name = "TApplication.IsMDIMsg"
		size = 78
		refs = "001b Screen 0040 TranslateMDISysAccel"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 33 C0 8B 73 48 85 F6 74 3A 80 BE A6 02 00 00 02 75 31 8B 15 ?? ?? ?? ?? 83 7A 6C 00 74 25 8B 15 ?? ?? ?? ?? 8B 52 6C 80 BA A6 02 00 00 01 75 13 57 8B 86 84 03 00 00 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79918_0 {
	meta:
		name = "TApplication.IsKeyMsg"
		size = 247
		refs = "0027 GetCapture 0043 TWinControl.GetHandle 004d GetParent 0056 IsVCLControl 006a IsWindowUnicode 0085 SendMessageW 00a4 SendMessageA 00b3 GetWindowThreadProcessId 00e4 SendMessage"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F2 8B F8 33 DB 8B 46 04 3D 00 01 00 00 0F 82 D3 00 00 00 3D 09 01 00 00 0F 87 C8 00 00 00 E8 ?? ?? ?? ?? 8B E8 85 ED 75 7F 8B 2E 8B 47 48 85 C0 74 19 3B A8 84 03 00 00 75 11 E8 ?? ?? ?? ?? 8B E8 EB 1D 55 E8 ?? ?? ?? ?? 8B E8 8B C5 E8 ?? ?? ?? ?? 84 C0 75 04 85 ED 75 E9 85 ED 75 02 8B 2E 55 E8 ?? ?? ?? ?? 85 C0 74 1F 8B 46 0C 50 8B 46 08 50 8B 46 04 05 00 BC 00 00 50 55 E8 ?? ?? ?? ?? 85 C0 74 61 B3 01 EB 5D 8B 46 0C 50 8B 46 08 50 8B 46 04 05 00 BC 00 00 50 55 E8 ?? ?? ?? ?? 85 C0 74 42 B3 01 EB 3E 54 55 E8 ?? ?? ?? ?? 8D 44 24 04 50 8B 87 78 01 00 00 50 E8 ?? ?? ?? ?? 8B 04 24 3B 44 24 04 75 1D 8B 46 0C 50 8B 46 08 50 8B 46 04 05 00 BC 00 00 50 55 E8 ?? ?? ?? ?? 85 C0 74 02 B3 01 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79919_0 {
	meta:
		name = "TApplication.IsHintMsg"
		size = 50
		refs = "0027 TApplication.CancelHint"
	strings:
		$1 = { 53 56 57 55 8B FA 8B E8 33 DB 8B B5 88 00 00 00 85 F6 74 17 8B D7 8B C6 8B 08 FF 91 04 01 00 00 84 C0 74 07 8B C5 E8 ?? ?? ?? ?? 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79920_0 {
	meta:
		name = "TApplication.IsShortCut"
		size = 106
		refs = "0037 TWinControl.GetHandle 003d IsWindowEnabled 004f @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B D8 C6 04 24 00 66 83 BB 62 01 00 00 00 74 10 8B CC 8B D5 8B 83 64 01 00 00 FF 93 60 01 00 00 80 3C 24 00 75 2E 8B 7B 48 85 FF 74 23 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 12 8B D5 8B 43 48 66 BE A2 FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 04 24 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79921_0 {
	meta:
		name = "TApplication.PopupControlProc"
		size = 193
		refs = "002c @DynArrayHigh 0076 TCustomForm.RecreateAsPopup 0087 TWinControl.HandleNeeded 0096 TWinControl.UpdateControlState 00b3 DefWindowProc"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B DA 8B F0 8B 3B 8B C7 2D 49 B0 00 00 0F 85 89 00 00 00 56 8B F3 8D 7C 24 04 A5 A5 A5 A5 5E 8B 86 D0 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8C 82 00 00 00 40 33 DB 8D 3C 5B 8B 96 D0 00 00 00 8B 14 BA 3B 54 24 04 75 4F 8B 96 D0 00 00 00 83 7C BA 04 00 74 42 8B 86 D0 00 00 00 80 7C B8 08 00 74 15 8B 86 D0 00 00 00 8B 44 B8 04 8B 54 24 08 E8 ?? ?? ?? ?? EB 3E 8B 86 D0 00 00 00 8B 44 B8 04 E8 ?? ?? ?? ?? 8B 86 D0 00 00 00 8B 44 B8 04 E8 ?? ?? ?? ?? EB 1E 43 48 75 9B EB 18 8B 43 08 50 8B 43 04 50 57 8B 86 80 01 00 00 50 E8 ?? ?? ?? ?? 89 43 0C 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79922_0 {
	meta:
		name = "TApplication.ProcessMessage"
		size = 273
		refs = "0015 PeekMessage 0029 IsWindowUnicode 004c PeekMessageW 0062 PeekMessageA 00a3 TApplication.IsPreProcessMessage 00b0 TApplication.IsHintMsg 00c3 TApplication.IsMDIMsg 00d0 TApplication.IsKeyMsg 00dd TApplication.IsDlgMsg 00e7 TranslateMessage 00f4 DispatchMessageW 00fc DispatchMessageA"
	strings:
		$1 = { 53 56 57 55 51 8B FA 8B F0 33 DB 6A 00 6A 00 6A 00 6A 00 57 E8 ?? ?? ?? ?? 85 C0 0F 84 E8 00 00 00 8B 2F 85 ED 74 0E 55 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 88 44 24 01 80 7C 24 01 00 74 16 6A 01 6A 00 6A 00 6A 00 57 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 EB 14 6A 01 6A 00 6A 00 6A 00 57 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 84 C0 0F 84 95 00 00 00 B3 01 83 7F 04 12 0F 84 82 00 00 00 C6 04 24 00 66 83 BE 12 01 00 00 00 74 10 8B CC 8B D7 8B 86 14 01 00 00 FF 96 10 01 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 5E 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 51 80 3C 24 00 75 4B 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 3E 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 31 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 24 57 E8 ?? ?? ?? ?? 80 7C 24 01 00 74 08 57 E8 ?? ?? ?? ?? EB 0F 57 E8 ?? ?? ?? ?? EB 07 C6 86 A8 00 00 00 01 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79924_0 {
	meta:
		name = "TApplication.HandleMessage"
		size = 33
		refs = "000b TApplication.ProcessMessage 0018 TApplication.Idle"
	strings:
		$1 = { 53 83 C4 E4 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 1C 5B C3 }
	condition:
		$1
}

rule function_79925_0 {
	meta:
		name = "TApplication.HookMainWindow"
		size = 94
		refs = "0026 SendMessage 0033 TList.Expand 003d @GetMem 0055 TList.Add"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 BB B0 00 00 00 00 75 1D 8B 83 78 01 00 00 85 C0 74 40 8D 55 08 52 6A 00 68 20 B0 00 00 50 E8 ?? ?? ?? ?? EB 2D 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 89 10 8B 55 0C 89 50 04 8B D0 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_79926_0 {
	meta:
		name = "TApplication.UnhookMainWindow"
		size = 127
		refs = "0028 SendMessage 0048 TList.Get 0061 @FreeMem 006e TList.Delete"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 80 BB B0 00 00 00 00 75 1D 8B 83 78 01 00 00 85 C0 74 5D 8D 55 08 52 6A 01 68 20 B0 00 00 50 E8 ?? ?? ?? ?? EB 4A 8B 83 B4 00 00 00 8B 78 08 4F 85 FF 7C 3C 47 33 F6 8B D6 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 8B 10 3B 55 08 75 21 8B 55 0C 3B 50 04 75 19 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? EB 04 46 4F 75 C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_79928_0 {
	meta:
		name = "TApplication.CreateForm"
		size = 356
		refs = "001c _DV_TForm 0023 TObject.InheritsFrom 0043 TApplication.CreateForm 0084 @HandleAnyException 0095 @RaiseAgain 009a @DoneExcept 00b1 @IsClass 00bf TWinControl.HandleNeeded 00e6 GetWindowLongPtr 0101 SetWindowLongPtr 011f ChangeAppWindow 0157 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 FC 83 78 48 00 75 11 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B 55 FC 88 82 D5 00 00 00 33 C0 89 45 F4 33 F6 55 68 ?? ?? ?? ?? 64 FF 36 64 89 26 8B C3 FF 50 F4 89 45 F4 8B 45 F8 8B 55 F4 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 83 CA FF 8B 45 F4 8B 18 FF 53 38 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 F8 33 D2 89 10 33 C0 89 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 78 48 00 75 7C 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6A 8B 5D F4 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 58 48 8B 45 FC 80 B8 D7 00 00 00 00 74 30 8B 45 FC 8B 80 78 01 00 00 BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 78 01 00 00 B9 EC FF FF FF 0D 00 00 00 08 50 51 52 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 80 D7 00 00 00 34 01 8B C8 8B D0 8B 45 FC 8B 80 78 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 78 48 00 75 1C 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 F4 C6 80 78 03 00 00 00 C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79929_0 {
	meta:
		name = "TApplication.Run"
		size = 286
		refs = "0018 TApplication.Run 0023 DoneApplication 0028 AddExitProc 003c CmdShow 0068 TCustomForm.SetWindowState 0094 TApplication.Minimize 00ab TCustomForm.Show 00b4 TCustomForm.SetVisible 00ca TApplication.HandleMessage 00d9 @HandleAnyException 00e4 TApplication.HandleException 00e9 @DoneExcept 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC C6 80 B1 00 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 48 85 C0 0F 84 BF 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 83 EA 03 74 1E 83 EA 04 75 20 8B 45 FC C6 80 E0 00 00 00 01 8B 45 FC 8B 40 48 C6 80 A2 02 00 00 01 EB 07 B2 02 E8 ?? ?? ?? ?? 8B 45 FC 80 78 5F 00 74 43 8B 45 FC 8B 40 48 80 B8 A2 02 00 00 01 74 0C 8B 55 FC 80 BA E0 00 00 00 01 75 21 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 E0 00 00 00 01 75 14 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? EB 07 B2 01 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 15 E9 ?? ?? ?? ?? 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A8 00 00 00 00 74 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 B1 00 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79930_0 {
	meta:
		name = "TApplication.Terminate"
		size = 17
		refs = "0001 CallTerminateProcs 000c PostQuitMessage"
	strings:
		$1 = { E8 ?? ?? ?? ?? 84 C0 74 07 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79931_0 {
	meta:
		name = "IsClass"
		size = 130
		refs = "000f IsClass 0024 TObject.ClassParent 0034 TObject.ClassName 004b @UStrEqual 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 00 89 C2 8B DA EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 23 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 75 D0 85 DB 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79932_0 {
	meta:
		name = "TApplication.HandleException"
		size = 131
		refs = "0008 GetCapture 001d SendMessage 0022 ExceptObject 002a _Dn_Exception 0031 IsClass 003b _Dn_EAbort 006b TApplication.ShowException 0072 ExceptAddr 007b ShowException"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 E8 ?? ?? ?? ?? 85 C0 74 11 6A 00 6A 00 6A 1F E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 38 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 35 66 83 BE FA 00 00 00 00 74 12 8B CB 8B D7 8B 86 FC 00 00 00 FF 96 F8 00 00 00 EB 19 8B D3 8B C6 E8 ?? ?? ?? ?? EB 0E E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79933_0 {
	meta:
		name = "TApplication.MessageBox"
		size = 382
		refs = "0018 TApplication.GetActiveFormHandle 003a MonitorFromWindow 006d GetMonitorInfo 0080 GetWindowRect 00bb SetWindowPos 00c3 DisableTaskWindows 00cb SaveFocusState 00d6 TApplication.UseRightToLeftReading 00e8 TApplication.MessageBox 00fa MessageBox 0155 EnableTaskWindows 015e SetActiveWindow 0166 RestoreFocusState 016c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 89 4D F8 8B FA 89 45 FC 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 0B 8B 45 FC 8B 98 78 01 00 00 EB 03 8B 5D F0 6A 02 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 EC 6A 02 8B 45 FC 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 89 45 E8 8B 45 EC 3B 45 E8 74 62 C7 45 B8 28 00 00 00 8D 45 B8 50 8B 45 EC 50 E8 ?? ?? ?? ?? 8D 45 A8 50 8B 45 FC 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 6A 1D 6A 00 6A 00 8B 4D C8 8B 55 C0 2B CA D1 F9 79 03 83 D1 00 03 CA 51 8B 55 C4 8B 45 BC 2B D0 D1 FA 79 03 83 D2 00 03 D0 52 6A 00 8B 45 FC 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E0 E8 ?? ?? ?? ?? 89 45 E4 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 06 81 CE 00 00 10 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 56 8B 45 F8 50 57 53 E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 74 3B 6A 1D 6A 00 6A 00 8B 4D B4 8B 55 AC 2B CA D1 F9 79 03 83 D1 00 03 CA 51 8B 55 B0 8B 45 A8 2B D0 D1 FA 79 03 83 D2 00 03 D0 52 6A 00 8B 45 FC 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9C 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_79934_0 {
	meta:
		name = "TApplication.ShowException"
		size = 212
		refs = "0012 TApplication.ShowException 0023 @UStrLAsg 006f @UStrCat 007b TApplication.GetTitle 0083 @UStrToPWChar 0096 TApplication.MessageBox 00b0 @UStrArrayClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 04 8B F0 3B DE 74 15 8B DE 83 7B 04 00 74 EB 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? EB DE 83 7D FC 00 74 24 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 FC 66 83 7C 42 FE 2E 76 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 10 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_79935_0 {
	meta:
		name = "TApplication.InvokeHelp"
		size = 306
		refs = "0023 TApplication.DoOnHelp 002e Screen 004b TWinControl.GetTabOrder 007b TWinControl.HandleAllocated 008f TWinControl.GetHandle 009a TApplication.ValidateHelpSystem 0124 PostMessage"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 0C 24 8B EA 8B F0 33 FF C6 44 24 04 01 8D 44 24 04 50 8B 4C 24 04 8B D5 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 3C A1 ?? ?? ?? ?? 8B 78 68 85 FF 74 0B F6 47 1C 10 74 05 C6 44 24 04 00 85 FF 74 21 8B C7 E8 ?? ?? ?? ?? 66 83 F8 FF 75 14 80 7F 61 00 75 0E 83 BF 98 02 00 00 00 75 05 C6 44 24 04 00 80 7C 24 04 00 0F 84 B4 00 00 00 85 FF 74 4A 8B C7 E8 ?? ?? ?? ?? 84 C0 74 3F 83 BF B0 02 00 00 00 74 36 8B C7 E8 ?? ?? ?? ?? 89 44 24 08 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 82 00 00 00 55 8B 44 24 04 50 8B 8F B0 02 00 00 8B 54 24 10 8B 46 50 8B 18 FF 53 20 8B D8 EB 66 83 7E 54 00 74 3E 8B 86 78 01 00 00 89 44 24 08 8B 46 48 85 C0 74 09 E8 ?? ?? ?? ?? 89 44 24 08 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3B 55 8B 44 24 04 50 8B 4E 54 8B 54 24 10 8B 46 50 8B 18 FF 53 20 8B D8 EB 22 80 BE B0 00 00 00 00 75 19 8B 04 24 50 0F B7 C5 50 68 1F B0 00 00 8B 86 78 01 00 00 50 E8 ?? ?? ?? ?? 8B C3 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79936_0 {
	meta:
		name = "TApplication.DoOnHelp"
		size = 204
		refs = "001d Screen 002b GetParentForm"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 66 89 55 FA 89 45 FC 33 DB 8B 45 08 C6 00 01 33 F6 A1 ?? ?? ?? ?? 8B 40 64 85 C0 74 30 33 D2 E8 ?? ?? ?? ?? 8B F0 85 F6 74 23 66 83 BE 12 03 00 00 00 74 19 8B 45 08 50 8B 4D F4 0F B7 55 FA 8B 86 14 03 00 00 FF 96 10 03 00 00 8B D8 84 DB 75 66 A1 ?? ?? ?? ?? 8B 40 68 85 C0 74 2D 3B F0 74 29 8B F0 85 F6 74 23 66 83 BE 12 03 00 00 00 74 19 8B 45 08 50 8B 4D F4 0F B7 55 FA 8B 86 14 03 00 00 FF 96 10 03 00 00 8B D8 84 DB 75 29 8B 45 FC 66 83 B8 2A 01 00 00 00 74 1C 8B 45 08 50 8B 5D FC 8B 4D F4 0F B7 55 FA 8B 83 2C 01 00 00 FF 93 28 01 00 00 8B D8 8B C3 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_79937_0 {
	meta:
		name = "TApplication.HelpKeyword"
		size = 142
		refs = "0016 TApplication.HelpKeyword 0027 @UStrToPWChar 0034 TApplication.DoOnHelp 0043 TApplication.ValidateHelpSystem 0053 TApplication.GetCurrentHelpFile 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FF 50 8B C7 E8 ?? ?? ?? ?? 8B C8 66 BA 02 01 8B C6 E8 ?? ?? ?? ?? 8B D8 80 7D FF 00 74 28 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B B3 01 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D7 8B 46 50 8B 30 FF 56 0C EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79938_0 {
	meta:
		name = "TApplication.HelpContext"
		size = 135
		refs = "0016 TApplication.HelpContext 002d TApplication.DoOnHelp 003c TApplication.ValidateHelpSystem 004c TApplication.GetCurrentHelpFile 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FF 50 8B CF 66 BA 01 00 8B C6 E8 ?? ?? ?? ?? 8B D8 80 7D FF 00 74 28 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B B3 01 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D7 8B 46 50 8B 30 FF 56 10 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79940_0 {
	meta:
		name = "TApplication.HelpJump"
		size = 142
		refs = "0016 TApplication.HelpJump 0027 @UStrToPWChar 0034 TApplication.DoOnHelp 0043 TApplication.ValidateHelpSystem 0053 TApplication.GetCurrentHelpFile 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FF 50 8B C7 E8 ?? ?? ?? ?? 8B C8 66 BA 02 01 8B C6 E8 ?? ?? ?? ?? 8B D8 80 7D FF 00 74 28 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B B3 01 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D7 8B 46 50 8B 30 FF 56 18 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79941_0 {
	meta:
		name = "TApplication.HelpShowTableOfContents"
		size = 105
		refs = "000d TApplication.HelpShowTableOfContents 001a TApplication.ValidateHelpSystem 002e TApplication.GetCurrentHelpFile 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 21 6A 03 6A 00 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B 96 78 01 00 00 8B 46 50 8B 18 FF 53 20 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79943_0 {
	meta:
		name = "TApplication.SetShowHint"
		size = 87
		refs = "001a HintWindowClass 003b TControl.SetColor 0048 TObject.Free"
	strings:
		$1 = { 53 56 8B D8 3A 93 8C 00 00 00 74 48 8B C2 88 83 8C 00 00 00 84 C0 74 29 83 3D ?? ?? ?? ?? 00 74 33 8B CB B2 01 A1 ?? ?? ?? ?? FF 50 38 8B F0 89 B3 88 00 00 00 8B 53 60 8B C6 E8 ?? ?? ?? ?? EB 13 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 88 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79944_0 {
	meta:
		name = "TApplication.SetHintColor"
		size = 29
		refs = "0018 TControl.SetColor"
	strings:
		$1 = { 3B 50 60 74 17 8B CA 89 48 60 8B 90 88 00 00 00 85 D2 74 08 8B C1 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79945_0 {
	meta:
		name = "TApplication.DefaultFontChanged"
		size = 14
		refs = "0009 TApplication.NotifyForms"
	strings:
		$1 = { 6A 00 33 C9 66 BA 08 B0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79946_0 {
	meta:
		name = "TApplication.DoActionIdle"
		size = 100
		refs = "0004 Screen 0009 TScreen.GetCustomFormCount 001f TScreen.GetCustomForms 0028 TWinControl.HandleAllocated 0033 TWinControl.GetHandle 0039 IsWindowVisible 004a IsWindowEnabled"
	strings:
		$1 = { 53 56 57 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 4C 46 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2C 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 1B 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0A 8B C3 8B 10 FF 92 10 01 00 00 47 4E 75 B7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79947_0 {
	meta:
		name = "TApplication.DoMouseIdle"
		size = 33
		refs = "0008 GetCursorPos 0011 FindDragTarget"
	strings:
		$1 = { 53 83 C4 F8 8B D8 54 E8 ?? ?? ?? ?? 8B C4 B2 01 E8 ?? ?? ?? ?? 3B 43 4C 74 03 89 43 4C 59 5A 5B C3 }
	condition:
		$1
}

rule function_79948_0 {
	meta:
		name = "IdleTimerProc"
		size = 102
		refs = "0008 Application 0013 IdleTimerProc 001e IdleTimerHandle 0026 KillTimer 0037 TApplication.DoActionIdle 0046 @HandleAnyException 0056 TApplication.HandleException 005b @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 83 3D ?? ?? ?? ?? 00 74 50 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_79949_0 {
	meta:
		name = "TApplication.Idle"
		size = 375
		refs = "0018 TApplication.Idle 0026 TApplication.DoMouseIdle 0045 TApplication.CancelHint 004f GetHint 005a GetLongHint 0062 Application 0067 TApplication.SetHint 00b5 TApplication.DoActionIdle 00bd IdleTimerHandle 00c6 IdleTimerDelegate 00d3 IdleTimerProc 00ec SetTimer 0111 @HandleAnyException 011c TApplication.HandleException 0121 @DoneExcept 0126 GetCurrentThreadId 012c MainThreadID 0137 CheckSynchronize 014a WaitMessage 0164 @UStrArrayClr 016a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 80 B8 8C 00 00 00 00 74 11 8B 45 FC 83 78 4C 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 FB 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 83 B8 3A 01 00 00 00 74 15 8D 4D FB 8B 5D FC 8B 55 FC 8B 83 3C 01 00 00 FF 93 38 01 00 00 80 7D FB 00 74 61 8B 45 FC 83 B8 C4 00 00 00 00 7F 0A 8B 45 FC E8 ?? ?? ?? ?? EB 4B 83 3D ?? ?? ?? ?? 00 75 42 83 3D ?? ?? ?? ?? 00 75 0A C7 05 ?? ?? ?? ?? ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 45 FC 8B 80 C4 00 00 00 50 6A 00 6A 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 15 E9 ?? ?? ?? ?? 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 02 75 0F 33 C0 E8 ?? ?? ?? ?? 84 C0 74 04 C6 45 FB 00 80 7D FB 00 74 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79950_0 {
	meta:
		name = "TApplication.DoApplicationIdle"
		size = 37
		refs = "001d TApplication.Idle"
	strings:
		$1 = { 83 C4 E4 33 D2 89 54 24 04 33 D2 89 14 24 33 D2 89 54 24 08 33 D2 89 54 24 0C 8B D4 E8 ?? ?? ?? ?? 83 C4 1C C3 }
	condition:
		$1
}

rule function_79951_0 {
	meta:
		name = "TApplication.NotifyForms"
		size = 71
		refs = "000d Screen 0012 TScreen.GetFormCount 002c TScreen.GetForm 0037 TControl.Perform"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 22 43 33 F6 8B 45 08 50 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 D7 8B 4D FC E8 ?? ?? ?? ?? 46 4B 75 E1 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_79952_0 {
	meta:
		name = "TApplication.IconChanged"
		size = 120
		refs = "0006 NewStyleControls 0012 TApplication.GetIconHandle 0026 SendMessage 0040 SetClassLongPtr 004d IsIconic 0061 InvalidateRect 0070 TApplication.NotifyForms"
	strings:
		$1 = { 53 56 57 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 37 8B C3 E8 ?? ?? ?? ?? 50 6A 01 68 80 00 00 00 8B 83 78 01 00 00 50 E8 ?? ?? ?? ?? 8B B3 78 01 00 00 BF F2 FF FF FF 8B C3 E8 ?? ?? ?? ?? 50 57 56 E8 ?? ?? ?? ?? EB 1F 8B 83 78 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 10 6A FF 6A 00 8B 83 78 01 00 00 50 E8 ?? ?? ?? ?? 6A 00 33 C9 66 BA 1D B0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79953_0 {
	meta:
		name = "TApplication.SetHint"
		size = 145
		refs = "0010 @UStrEqual 001c @UStrAsg 003f _Dn_THintAction 0044 THintAction.Create 0051 TCustomAction.SetHint 0059 TApplication.SetHint 006b @CallDynaInst 0080 TObject.Free 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B 43 58 8B D6 E8 ?? ?? ?? ?? 74 76 8D 43 58 8B D6 E8 ?? ?? ?? ?? 66 83 BB 32 01 00 00 00 74 10 8B D3 8B 83 34 01 00 00 FF 93 30 01 00 00 EB 52 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BE F0 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79954_0 {
	meta:
		name = "SetVisible"
		size = 179
		refs = "0015 IsWindowVisible 0021 AppVisible 005f GetWindowLongPtr 007d SetWindowLongPtr 0088 ShowFlags 00a5 SetWindowPos"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 45 08 8B 40 FC 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 3A 05 ?? ?? ?? ?? 0F 85 84 00 00 00 3A 1D ?? ?? ?? ?? 74 7C 8B 45 08 8B 40 FC 80 B8 D7 00 00 00 00 74 3F 80 3D ?? ?? ?? ?? 00 75 36 8B 45 08 8B 40 FC 8B 80 78 01 00 00 BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 92 78 01 00 00 BE EC FF FF FF 0D 00 00 00 08 50 56 52 E8 ?? ?? ?? ?? 0F B6 C3 0F B7 04 45 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 08 8B 40 FC 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? 88 1D ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_79955_0 {
	meta:
		name = "TApplication.UpdateVisible"
		size = 136
		refs = "0017 Screen 001c TScreen.GetFormCount 0032 TScreen.GetForm 004a TWinControl.HandleAllocated 005c TWinControl.GetHandle 0062 IsChild 006e SetVisible"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 83 B8 78 01 00 00 00 74 6C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 52 46 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 80 7B 61 00 74 37 83 BB DC 01 00 00 00 74 23 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8B 83 DC 01 00 00 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 0B 55 B0 01 E8 ?? ?? ?? ?? 59 EB 0D 47 4E 75 B1 55 33 C0 E8 ?? ?? ?? ?? 59 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_79956_0 {
	meta:
		name = "TApplication.ValidateHelpSystem"
		size = 31
		refs = "000d @IntfClear 0012 GetHelpSystem"
	strings:
		$1 = { 53 8B D8 83 7B 50 00 75 0D 8D 43 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 50 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_79957_0 {
	meta:
		name = "TApplication.StartHintTimer"
		size = 66
		refs = "000c TApplication.StopHintTimer 0011 HintTimerDelegate 001c SetTimer 003a TApplication.CancelHint"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B C7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 56 6A 00 6A 00 E8 ?? ?? ?? ?? 66 89 87 8E 00 00 00 88 9F 8D 00 00 00 66 83 BF 8E 00 00 00 00 75 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79958_0 {
	meta:
		name = "TApplication.StopHintTimer"
		size = 37
		refs = "0016 KillTimer"
	strings:
		$1 = { 53 8B D8 0F B7 83 8E 00 00 00 66 85 C0 74 14 0F B7 C0 50 6A 00 E8 ?? ?? ?? ?? 66 C7 83 8E 00 00 00 00 00 5B C3 }
	condition:
		$1
}

rule function_79959_0 {
	meta:
		name = "TApplication.HintMouseMessage"
		size = 290
		refs = "003d TControl.ClientToScreen 0048 FindDragTarget 004d GetHintControl 0063 TApplication.CancelHint 00a6 PtInRect 00d7 TControl.Perform 00f1 GetCursorPos 00fc TApplication.ActivateHint 0117 TApplication.StartHintTimer"
	strings:
		$1 = { 53 56 57 83 C4 C4 8B F9 8B DA 8B F0 56 8B F7 8D 7C 24 28 A5 A5 A5 A5 5E 8B 44 24 2C 89 44 24 0C 0F BF 44 24 0C 89 44 24 10 0F BF 44 24 0E 89 44 24 14 8D 4C 24 34 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8D 44 24 34 B2 01 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 74 09 80 BF 91 00 00 00 00 75 0C 8B C6 E8 ?? ?? ?? ?? E9 AF 00 00 00 3B 7E 64 74 04 B0 01 EB 37 8B 44 24 2C 89 44 24 18 0F BF 44 24 18 89 44 24 1C 0F BF 44 24 1A 89 44 24 20 8D 4C 24 34 8D 54 24 1C 8B C3 E8 ?? ?? ?? ?? 8D 54 24 34 8D 46 68 E8 ?? ?? ?? ?? 34 01 84 C0 74 6B 0F B6 5E 5C 84 DB 74 0B 8B 86 84 00 00 00 89 04 24 EB 06 8B 46 7C 89 04 24 8B C4 50 0F B6 CB BA 41 B0 00 00 8B C7 E8 ?? ?? ?? ?? 84 DB 74 23 83 3C 24 00 75 1D 88 5E 5C 89 7E 64 8D 44 24 04 50 E8 ?? ?? ?? ?? 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? EB 19 8B C6 E8 ?? ?? ?? ?? 88 5E 5C 89 7E 64 33 C9 8B 14 24 8B C6 E8 ?? ?? ?? ?? 83 C4 3C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79960_0 {
	meta:
		name = "TApplication.HintTimerExpired"
		size = 54
		refs = "0009 TApplication.StopHintTimer 001d TApplication.HideHint 0025 GetCursorPos 002e TApplication.ActivateHint"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 83 8D 00 00 00 2C 01 72 0B 75 18 8B C3 E8 ?? ?? ?? ?? EB 0F 54 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_79961_0 {
	meta:
		name = "TApplication.HideHint"
		size = 113
		refs = "0011 TWinControl.HandleAllocated 0020 TWinControl.GetHandle 0026 IsWindowVisible 004f ShowWindow 005c TControl.SetVisible 006a TApplication.StartHintTimer"
	strings:
		$1 = { 53 56 8B D8 8B B3 88 00 00 00 85 F6 74 60 8B C6 E8 ?? ?? ?? ?? 84 C0 74 55 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 40 8B 83 88 00 00 00 8B 10 FF 92 08 01 00 00 84 C0 74 22 6A 00 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B 83 88 00 00 00 E8 ?? ?? ?? ?? EB 0C B1 01 8B 53 78 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79962_0 {
	meta:
		name = "TApplication.CancelHint"
		size = 48
		refs = "000d InterlockedExchange 0018 TApplication.HideHint 0021 UnhookHintHooks 0028 TApplication.StopHintTimer"
	strings:
		$1 = { 53 56 57 8B D8 8D 73 64 33 FF 57 56 E8 ?? ?? ?? ?? 85 C0 74 17 8B C3 E8 ?? ?? ?? ?? C6 43 5C 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79963_0 {
	meta:
		name = "FindScanline"
		size = 15
	strings:
		$1 = { 51 89 D1 89 FA 89 C7 58 F3 AE 89 C8 89 D7 C3 }
	condition:
		$1
}

rule function_79964_0 {
	meta:
		name = "GetCursorHeightMargin"
		size = 337
		refs = "000c GetSystemMetrics 0018 GetCursor 001e GetIconInfo 002e GetCursorHeightMargin 0042 GetDIBSizes 004d AllocMem 0074 GetDIB 00ba FindScanline 010c @FreeMem 0112 @HandleFinally 012e DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 6A 0E E8 ?? ?? ?? ?? 89 45 FC 8D 45 D8 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 1D 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 4D F4 8D 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 F8 03 45 F4 E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 5D F0 03 5D F8 53 8B 75 F0 8B CE 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 79 8B 45 F0 66 83 78 0E 01 75 6F 8B 46 04 8B D0 0F B7 4E 0E 0F AF D1 83 C2 1F 83 E2 E0 85 D2 79 03 83 C2 07 C1 FA 03 89 55 EC 8B F8 0F AF 7D EC 03 5D F4 2B DF B9 FF 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 1C 8B 46 08 8B 56 04 03 D2 3B C2 7C 10 8B C3 2B C7 33 C9 8B D7 E8 ?? ?? ?? ?? 89 45 FC 8B 4D EC 8B 45 FC 99 F7 F9 89 45 FC 8B 45 E0 29 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 03 55 F4 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 45 E4 85 C0 74 06 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79965_0 {
	meta:
		name = "ValidateHintWindow"
		size = 88
		refs = "000d HintWindowClass 0037 TObject.Free"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 85 DB 75 06 8B 1D ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 88 00 00 00 85 D2 75 04 B0 01 EB 0B 8B C2 8B 00 89 C6 3B DE 0F 95 C0 84 C0 74 20 8B C2 E8 ?? ?? ?? ?? 8B 45 08 8B 48 FC B2 01 8B C3 FF 50 38 8B 55 08 8B 52 FC 89 82 88 00 00 00 5E 5B 5D C3 }
	condition:
		$1
}

rule function_79966_0 {
	meta:
		name = "MultiLineWidth"
		size = 224
		refs = "0012 MultiLineWidth 0030 StrNextChar 003f CharInSet 0058 @UStrFromPWCharLen 0072 TCustomCanvas.TextWidth 00a9 @UStrClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 89 55 F8 8B D8 85 DB 74 71 EB 69 8B F3 EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 0F B7 03 E8 ?? ?? ?? ?? 84 C0 74 E6 8B CB 2B CE D1 F9 79 03 83 D1 00 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 88 00 00 00 8B 80 78 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B F8 3B 7D F8 7E 03 89 7D F8 66 83 3B 0D 75 03 83 C3 02 66 83 3B 0A 75 03 83 C3 02 66 83 3B 00 75 91 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 59 59 5D C3 00 01 24 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_79967_0 {
	meta:
		name = "TApplication.ActivateHint"
		size = 941
		refs = "0029 THintInfo 002e @InitializeRecord 0039 TApplication.ActivateHint 0073 ForegroundTaskCheck 0085 FindDragTarget 008a GetHintControl 009f TControl.GetCustomHint 00c0 GetCursorHeightMargin 00c8 Screen 00cd TScreen.GetWidth 00e5 TControl.GetBoundsRect 012b _Dn_TWinControl 0130 @IsClass 014d ClientToScreen 0161 OffsetRect 0174 TControl.ScreenToClient 0196 GetHint 01a7 GetShortHint 01b5 @UStrLAsg 01c2 HintWindowClass 01df TControl.Perform 0247 ValidateHintWindow 029e @CallDynaInst 02ab MultiLineWidth 02c8 TControl.ClientToScreen 0313 TControl.SetColor 0332 HookHintHooks 0344 TApplication.StartHintTimer 036f TApplication.CancelHint 038c @UStrArrayClr 039a @FinalizeRecord 03a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 70 FF FF FF 53 56 57 33 C9 89 8D 74 FF FF FF 89 8D 70 FF FF FF 8B F2 8D 7D B4 A5 A5 89 45 FC 8D 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 5D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 C6 40 5C 00 33 C0 89 45 EC 8B 03 80 B8 8C 00 00 00 00 0F 84 FB 02 00 00 8B 03 83 78 64 00 0F 84 EF 02 00 00 8B 03 0F B6 80 D6 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 D9 02 00 00 8D 45 B4 B2 01 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 3B 42 64 0F 85 BF 02 00 00 8B 03 8B 40 64 E8 ?? ?? ?? ?? 85 C0 0F 85 AD 02 00 00 8B 03 8B 40 64 89 45 BC 8B 45 B4 89 45 C4 8B 45 B8 89 45 C8 E8 ?? ?? ?? ?? 01 45 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 8B 03 8B 40 60 89 45 D0 8D 55 80 8B 03 8B 40 64 E8 ?? ?? ?? ?? 8D 75 80 8D 7D D4 A5 A5 A5 A5 8D 55 AC 8B 03 8B 40 64 8B 08 FF 51 5C 33 C0 89 45 A4 33 C0 89 45 A8 8B 03 8B 40 64 8B 70 38 85 F6 74 0C 8D 55 A4 8B C6 8B 08 FF 51 5C EB 2F 8B 03 8B 70 64 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 83 BE DC 01 00 00 00 74 10 8D 45 A4 50 8B 86 DC 01 00 00 50 E8 ?? ?? ?? ?? 8B 4D A8 2B 4D B0 8B 55 A4 2B 55 AC 8D 45 D4 E8 ?? ?? ?? ?? 8D 8D 78 FF FF FF 8D 55 B4 8B 03 8B 40 64 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 E4 8B 85 7C FF FF FF 89 45 E8 8D 95 70 FF FF FF 8B 03 8B 40 64 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 8D 95 74 FF FF FF E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 8B 03 8B 40 78 89 45 F0 A1 ?? ?? ?? ?? 89 45 C0 33 C0 89 45 F8 8D 45 BC 50 8B 03 8B 40 64 33 C9 BA 30 B0 00 00 E8 ?? ?? ?? ?? 85 C0 0F 94 45 A3 80 7D A3 00 74 24 8B 03 66 83 B8 6A 01 00 00 00 74 18 8D 45 BC 50 8D 4D A3 8D 55 F4 8B 33 8B 86 6C 01 00 00 FF 96 68 01 00 00 80 7D A3 00 74 08 8B 03 83 78 64 00 75 04 33 C0 EB 02 B0 01 8B 13 88 42 5C 8B 03 80 78 5C 00 0F 84 20 01 00 00 83 7D F4 00 0F 84 16 01 00 00 55 8B 45 C0 E8 ?? ?? ?? ?? 59 8B 03 8B 40 64 0F B6 50 69 8B 03 8B 80 88 00 00 00 8B 08 FF 91 8C 00 00 00 8B 45 F8 50 8D 45 90 50 8B 03 8B 80 88 00 00 00 8B 4D F4 8B 55 CC 8B 30 FF 96 10 01 00 00 8D 45 90 8B 4D C8 8B 55 C4 E8 ?? ?? ?? ?? 8B 03 8B 80 88 00 00 00 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 13 55 8B 45 F4 E8 ?? ?? ?? ?? 59 83 C0 05 29 45 90 29 45 98 8D 8D 78 FF FF FF 8D 55 D4 8B 03 8B 40 64 E8 ?? ?? ?? ?? 8B 03 8B 95 78 FF FF FF 89 50 68 8B 95 7C FF FF FF 89 50 6C 8D 8D 78 FF FF FF 8D 55 DC 8B 03 8B 40 64 E8 ?? ?? ?? ?? 8B 03 8B 95 78 FF FF FF 89 50 70 8B 95 7C FF FF FF 89 50 74 8B 03 8B 80 88 00 00 00 8B 55 D0 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 03 8B 80 88 00 00 00 8B 4D F4 8D 55 90 8B 30 FF 96 0C 01 00 00 E8 ?? ?? ?? ?? 8B 45 EC 85 C0 7E 0D 33 C9 8B D0 8B 03 E8 ?? ?? ?? ?? EB 29 B1 01 8B 55 F0 8B 03 E8 ?? ?? ?? ?? EB 1B 8B 45 EC 85 C0 7E 0D 33 C9 8B D0 8B 03 E8 ?? ?? ?? ?? EB 07 8B 03 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 70 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_79968_0 {
	meta:
		name = "TApplication.AddPopupForm"
		size = 199
		refs = "0041 @DynArrayLength 0085 TPopupFormArray 008a @DynArraySetLength"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F0 33 DB EB 2D 8D 3C 5B 8B 86 D0 00 00 00 3B 6C B8 04 75 11 8B 86 D0 00 00 00 8B 04 B8 89 04 24 E9 91 00 00 00 8B 86 D0 00 00 00 83 3C B8 FF 74 10 43 8B 86 D0 00 00 00 E8 ?? ?? ?? ?? 3B D8 7C C4 8B 86 CC 00 00 00 89 04 24 FF 86 CC 00 00 00 8B 86 D0 00 00 00 E8 ?? ?? ?? ?? 3B D8 7C 2A 8B 86 D0 00 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 01 50 8D 86 D0 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 5B 8B 96 D0 00 00 00 8B 0C 24 89 0C 82 8B 96 D0 00 00 00 89 6C 82 04 8B 96 D0 00 00 00 83 BD 64 03 00 00 00 0F 95 C1 88 4C 82 08 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79969_0 {
	meta:
		name = "TApplication.GetCurrentHelpFile"
		size = 57
		refs = "0008 Screen 0025 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 A1 ?? ?? ?? ?? 8B 58 68 85 DB 74 18 83 BB B0 02 00 00 00 74 0F 8B C7 8B 93 B0 02 00 00 E8 ?? ?? ?? ?? EB 0A 8B C7 8B 56 54 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79970_0 {
	meta:
		name = "TApplication.GetDialogHandle"
		size = 38
		refs = "001a SendMessage"
	strings:
		$1 = { 80 B8 B0 00 00 00 00 75 16 6A 00 6A 01 68 31 B0 00 00 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? C3 8B 80 BC 00 00 00 C3 }
	condition:
		$1
}

rule function_79971_0 {
	meta:
		name = "TApplication.SetDialogHandle"
		size = 44
		refs = "001f SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB B0 00 00 00 00 75 14 56 6A 00 68 31 B0 00 00 8B 83 78 01 00 00 50 E8 ?? ?? ?? ?? 89 B3 BC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79972_0 {
	meta:
		name = "TApplication.GetActiveFormHandle"
		size = 74
		refs = "0028 GetActiveWindow 003d GetLastActivePopup"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 66 83 BB 02 01 00 00 00 74 0E 8B D4 8B 83 04 01 00 00 FF 93 00 01 00 00 83 3C 24 00 75 08 E8 ?? ?? ?? ?? 89 04 24 83 3C 24 00 75 0F 8B 83 78 01 00 00 50 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_79973_0 {
	meta:
		name = "TApplication.GetMainFormHandle"
		size = 62
		refs = "0031 TWinControl.GetHandle"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 66 83 BB 0A 01 00 00 00 74 0E 8B D4 8B 83 0C 01 00 00 FF 93 08 01 00 00 83 3C 24 00 75 11 83 7B 48 00 74 0B 8B 43 48 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_79974_0 {
	meta:
		name = "TApplication.DispatchAction"
		size = 150
		refs = "000f Screen 0024 TControl.Perform 005c _Dn_TCustomAction 0061 @IsClass 0086 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D9 89 14 24 8B F0 A1 ?? ?? ?? ?? 8B 78 68 85 FF 74 11 53 33 C9 8B 54 24 04 8B C7 E8 ?? ?? ?? ?? 48 74 20 8B 6E 48 3B FD 74 15 85 ED 74 11 53 33 C9 8B 54 24 04 8B C5 E8 ?? ?? ?? ?? 48 74 04 33 C0 EB 02 B0 01 88 44 24 04 80 7C 24 04 00 75 32 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 80 7B 72 00 74 1B 80 7B 68 00 74 15 F6 43 1C 10 75 0F 66 83 7B 4A 00 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 0F B6 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79975_0 {
	meta:
		name = "TApplication.ExecuteAction"
		size = 39
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 B8 EA 00 00 00 00 74 10 8B CC 8B D8 8B 83 EC 00 00 00 FF 93 E8 00 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_79976_0 {
	meta:
		name = "TApplication.UpdateAction"
		size = 39
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 B8 F2 00 00 00 00 74 10 8B CC 8B D8 8B 83 F4 00 00 00 FF 93 F0 00 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_79977_0 {
	meta:
		name = "InitProcs"
		size = 116
		refs = "0002 InitProcs 0007 GetModuleHandle 0018 GetProcAddress 001d SetLayeredWindowAttributes"
	strings:
		$1 = { 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 10 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 5B C3 00 75 00 73 00 65 00 72 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 53 00 65 00 74 00 4C 00 61 00 79 00 65 00 72 00 65 00 64 00 57 00 69 00 6E 00 64 00 6F 00 77 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_79978_0 {
	meta:
		name = "TApplication.WakeMainThread"
		size = 19
		refs = "000e PostMessage"
	strings:
		$1 = { 6A 00 6A 00 6A 00 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79979_0 {
	meta:
		name = "TApplication.HookSynchronizeWakeup"
		size = 16
		refs = "0002 WakeMainThread 000b TApplication.WakeMainThread"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 89 42 04 C7 02 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_79980_0 {
	meta:
		name = "TApplication.UnhookSynchronizeWakeup"
		size = 13
		refs = "0001 WakeMainThread"
	strings:
		$1 = { A1 ?? ?? ?? ?? 33 D2 89 10 89 50 04 C3 }
	condition:
		$1
}

rule function_79981_0 {
	meta:
		name = "TApplication.IsPreProcessMessage"
		size = 106
		refs = "000b GetCapture 002d FindControl 0039 GetParent 005d @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 33 DB E8 ?? ?? ?? ?? 8B E8 85 ED 75 4E 8B 2F 8B 46 48 85 C0 74 0C 3B A8 84 03 00 00 75 04 8B F0 EB 26 8B C5 E8 ?? ?? ?? ?? 8B F0 85 F6 75 19 55 E8 ?? ?? ?? ?? 8B E8 85 ED 74 0D 8B C5 E8 ?? ?? ?? ?? 8B F0 85 F6 74 E7 85 F6 74 0F 8B D7 8B C6 66 BE AF FF E8 ?? ?? ?? ?? 8B D8 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79982_0 {
	meta:
		name = "TApplication.InternalRestore"
		size = 133
		refs = "0009 Screen 0027 TWinControl.GetHandle 0031 ShowWinNoAnimate 003d SetActiveWindow 0044 TApplication.RestoreTopMosts 004d TApplication.DoShowOwnedPopups 0066 SetFocus"
	strings:
		$1 = { 53 56 8B D8 C6 43 38 00 A1 ?? ?? ?? ?? 8B 40 6C 8B 73 48 3B C6 74 1E 85 F6 74 1A 80 BE A6 02 00 00 02 74 11 8B C6 E8 ?? ?? ?? ?? BA 09 00 00 00 E8 ?? ?? ?? ?? 8B 83 78 01 00 00 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 70 64 85 F6 74 0D 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 83 BB 5A 01 00 00 00 74 0E 8B D3 8B 83 5C 01 00 00 FF 93 58 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_79983_0 {
	meta:
		name = "TApplication.SetMainFormOnTaskBar"
		size = 415
		refs = "0016 TApplication.SetMainFormOnTaskBar 0040 TWinControl.HandleAllocated 0075 ChangeAppWindow 007d TWinControl.GetHandle 009c GetForegroundWindow 00db SetForegroundWindow 00ec TControl.Perform 0102 GetWindowLongPtr 011a SetWindowLongPtr 0128 SetWindowText 0168 @UStrLAsg 0170 @UStrToPWChar 018c @UStrClr 0192 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E D7 00 00 00 0F 84 4F 01 00 00 88 9E D7 00 00 00 8B 7E 48 85 FF 0F 84 B3 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 A4 00 00 00 8B 46 48 F6 40 1C 10 0F 85 97 00 00 00 8B 46 48 F6 40 1C 02 0F 85 8A 00 00 00 84 DB 74 27 33 C9 33 D2 8B 86 78 01 00 00 E8 ?? ?? ?? ?? 8B 46 48 E8 ?? ?? ?? ?? 8B 56 48 0F B6 4A 61 B2 01 E8 ?? ?? ?? ?? EB 4E 8B 46 48 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 3B F8 0F 94 45 FB 8B 46 48 E8 ?? ?? ?? ?? 8B 56 48 0F B6 4A 61 33 D2 E8 ?? ?? ?? ?? B1 01 B2 01 8B 86 78 01 00 00 E8 ?? ?? ?? ?? 80 7D FB 00 74 0E 8B 46 48 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 33 B0 00 00 8B 46 48 E8 ?? ?? ?? ?? 84 DB 74 3A 8B 86 78 01 00 00 BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 8B 96 78 01 00 00 B9 EC FF FF FF 0D 80 00 00 00 50 51 52 E8 ?? ?? ?? ?? 6A 00 8B 86 78 01 00 00 50 E8 ?? ?? ?? ?? EB 4D 8B 86 78 01 00 00 BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 8B 96 78 01 00 00 B9 EC FF FF FF 25 7F FF FF FF 50 51 52 E8 ?? ?? ?? ?? 8B 9E 78 01 00 00 8D 45 FC 8B 96 90 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_79984_0 {
	meta:
		name = "TGlassFrame.Create"
		size = 84
		refs = "000b @ClassCreate 001a TObject.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 33 C0 89 47 0C 33 C0 89 47 10 33 C0 89 47 14 33 C0 89 47 18 C6 47 28 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79985_0 {
	meta:
		name = "TGlassFrame.Assign"
		size = 85
		refs = "000a _DV_TGlassFrame 000f @IsClass 004e TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 32 8B C6 0F B6 50 08 88 53 08 8B 50 0C 89 53 0C 8B 50 10 89 53 10 8B 50 14 89 53 14 8B 50 18 89 53 18 0F B6 40 28 88 43 28 8B C3 8B 10 FF 52 0C 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_79986_0 {
	meta:
		name = "TGlassFrame.Change"
		size = 89
		refs = "0023 TControl.GetClientHeight 0036 TControl.GetClientWidth 0046 Rect 004f TCustomForm.UpdateGlassFrameControls"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B 43 04 F6 40 1C 01 75 43 66 83 7B 22 00 74 08 8B D3 8B 43 24 FF 53 20 8B 43 04 E8 ?? ?? ?? ?? 2B 43 18 50 8D 44 24 04 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 2B 4B 14 8B 53 10 8B 43 0C E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_79987_0 {
	meta:
		name = "TGlassFrame.FrameExtended"
		size = 70
		refs = "000a DwmCompositionEnabled 0013 TStyleManager.GetActiveStyle 0018 TCustomStyleServices.GetIsSystemStyle"
	strings:
		$1 = { 53 8B D8 80 7B 08 00 74 35 E8 ?? ?? ?? ?? 84 C0 74 2C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 80 7B 28 00 75 1C 83 7B 0C 00 75 16 83 7B 10 00 75 10 83 7B 14 00 75 0A 83 7B 18 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_79988_0 {
	meta:
		name = "TGlassFrame.IntersectsControl"
		size = 227
		refs = "0017 DwmCompositionEnabled 0047 TControl.ClientToParent 00a4 Rect 00bb PtInRect"
	strings:
		$1 = { 53 56 57 83 C4 C8 8B FA 8B F0 33 DB 80 7E 08 00 0F 84 C4 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 B7 00 00 00 0F B6 5E 28 84 DB 0F 85 AB 00 00 00 8B D4 8B C7 8B 08 FF 51 60 8D 44 24 20 50 8D 54 24 04 8B 4E 04 8B C7 E8 ?? ?? ?? ?? 8B 44 24 20 89 04 24 8B 44 24 24 89 44 24 04 8D 44 24 20 50 8D 54 24 0C 8B 4E 04 8B C7 E8 ?? ?? ?? ?? 8B 44 24 20 89 44 24 08 8B 44 24 24 89 44 24 0C 8D 54 24 10 8B 46 04 8B 08 FF 51 60 8B 44 24 1C 2B 46 18 50 8D 44 24 2C 50 8B 4C 24 20 2B 4E 14 8B 56 10 8B 46 0C E8 ?? ?? ?? ?? 8D 74 24 28 8D 7C 24 10 A5 A5 A5 A5 8B D4 8D 44 24 10 E8 ?? ?? ?? ?? 84 C0 74 15 8D 54 24 08 8D 44 24 10 E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 02 B3 01 8B C3 83 C4 38 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79989_0 {
	meta:
		name = "TGlassFrame.SetEnabled"
		size = 48
		refs = "0023 TCustomForm.SetTransparentColor"
	strings:
		$1 = { 53 8B D8 3A 53 08 74 26 88 53 08 80 7B 08 00 74 16 8B 43 04 80 B8 70 03 00 00 00 74 0A 33 D2 8B 43 04 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_79990_0 {
	meta:
		name = "TGlassFrame.SetExtendedFrame"
		size = 93
	strings:
		$1 = { 56 8B F0 83 EA 01 72 0A 74 19 4A 74 27 4A 74 35 EB 49 3B 4E 0C 74 3D 89 4E 0C 41 75 37 C6 46 28 01 EB 31 3B 4E 10 74 2C 89 4E 10 41 75 26 C6 46 28 01 EB 20 3B 4E 14 74 1B 89 4E 14 41 75 15 C6 46 28 01 EB 0F 3B 4E 18 74 0A 89 4E 18 41 75 04 C6 46 28 01 8B C6 8B 10 FF 52 0C 5E C3 }
	condition:
		$1
}

rule function_79991_0 {
	meta:
		name = "TGlassFrame.SetSheetOfGlass"
		size = 44
	strings:
		$1 = { 3A 50 28 74 26 80 78 28 00 74 18 83 78 0C FF 74 1A 83 78 10 FF 74 14 83 78 14 FF 74 0E 83 78 18 FF 74 08 88 50 28 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_79992_0 {
	meta:
		name = "TScrollingStyleHook.TScrollWindow.Create"
		size = 80
		refs = "000a @ClassCreate 0017 TWinControl.Create 0020 TScrollingStyleHook.TScrollWindow.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 33 C0 89 86 78 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 00 00 80 00 }
	condition:
		$1
}

rule function_79993_0 {
	meta:
		name = "TScrollingStyleHook.TScrollWindow.CreateParams"
		size = 86
		refs = "000c TWinControl.CreateParams 003c TScrollingStyleHook.IsPopupWindow"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 43 04 0D 00 00 00 40 0D 00 00 00 02 0D 00 00 00 04 89 43 04 83 4B 08 04 8B 43 24 89 43 24 8B BE 78 02 00 00 85 FF 74 19 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 43 08 0D 80 00 00 00 83 C8 08 89 43 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_79995_0 {
	meta:
		name = "TScrollingStyleHook.TScrollWindow.WMPaint"
		size = 288
		refs = "0011 TWinControl.GetHandle 0017 BeginPaint 001f TScrollingStyleHook.TScrollWindow.WMPaint 0043 GetWindowDC 0071 TScrollingStyleHook.GetVertScrollRect 0083 MoveWindowOrg 00a7 TScrollingStyleHook.GetHorzScrollRect 00e9 ReleaseDC 00ef @HandleFinally 0110 EndPaint"
	strings:
		$1 = { 55 8B EC 83 C4 98 89 45 FC 8D 45 B8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 78 02 00 00 00 0F 84 BC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 7C 02 00 00 00 74 36 8D 55 A8 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B 4D AC F7 D9 8B 55 A8 F7 DA 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 8B 55 F8 8B 08 FF 51 3C EB 34 8D 55 98 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B 4D 9C F7 D9 8B 55 98 F7 DA 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 8B 55 F8 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B E5 5D C3 }
	condition:
		$1
}

rule function_79998_0 {
	meta:
		name = "TScrollingStyleHook.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TMouseTrackControlStyleHook.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 18 01 33 C0 89 46 44 33 C0 89 46 2C C6 46 4A 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_79999_0 {
	meta:
		name = "TScrollingStyleHook.Destroy"
		size = 106
		refs = "0003 @BeforeDestruction 002a TObject.Free 0058 TMouseTrackControlStyleHook.Destroy 0063 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 46 4A 01 8B 46 44 85 C0 74 18 33 D2 89 90 78 02 00 00 8D 46 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 46 2C 85 C0 74 18 33 D2 89 90 78 02 00 00 8D 46 2C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C6 46 4A 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80000_0 {
	meta:
		name = "TScrollingStyleHook.IsPopupWindow"
		size = 72
		refs = "0006 TStyleHook.GetHandle 0012 GetWindowLongPtr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 25 80 00 00 00 3D 80 00 00 00 75 04 B0 01 5B C3 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 25 00 00 00 80 3D 00 00 00 80 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_80001_0 {
	meta:
		name = "TScrollingStyleHook.InitScrollBars"
		size = 640
		refs = "001c TScrollingStyleHook.InitScrollState 0024 TWinControl.GetHandle 002a GetParent 0033 _DV_TScrollingStyleHook.TScrollWindow 0038 TWinControl.CreateParented 0053 TScrollingStyleHook.GetVertScrollRect 0063 IsRectEmpty 0074 OffsetRect 00ae TScrollingStyleHook.IsPopupWindow 00e3 SetWindowPos 013e ShowWindow 0187 TScrollingStyleHook.GetHorzScrollRect 01bc TRect.GetWidth"
	strings:
		$1 = { 53 56 57 55 83 C4 D0 8B D8 8B FC 80 7B 4A 00 0F 85 63 02 00 00 C6 43 4A 01 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 44 89 9E 78 02 00 00 C6 86 7C 02 00 00 01 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 43 08 80 78 69 01 75 4B 8B C7 E8 ?? ?? ?? ?? 84 C0 75 40 8B 17 F7 DA 8B C7 33 C9 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 12 84 C0 74 29 8B C3 8B 10 FF 52 04 84 C0 74 10 8B C7 33 C9 BA 02 00 00 00 E8 ?? ?? ?? ?? EB 0E 8B C7 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 33 6A 08 8B 47 0C 2B 47 04 50 8B 47 08 8B 2F 2B C5 50 8B 73 08 8B 46 4C 03 47 04 50 8B 46 48 03 C5 50 6A FF 8B 43 44 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 31 6A 08 8B 47 0C 2B 47 04 50 8B 47 08 8B 2F 2B C5 50 8B 73 08 8B 46 4C 03 47 04 50 8B 46 48 03 C5 50 6A 00 8B 43 44 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 54 24 20 8B C3 E8 ?? ?? ?? ?? 8D 44 24 20 E8 ?? ?? ?? ?? 84 C0 74 12 6A 00 8B 43 44 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 10 6A 05 8B 43 44 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 2C 89 9E 78 02 00 00 C6 86 7C 02 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 43 08 80 78 69 01 75 37 8D 54 24 20 8B C3 E8 ?? ?? ?? ?? 8D 44 24 20 E8 ?? ?? ?? ?? 84 C0 75 1F 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8D 44 24 10 E8 ?? ?? ?? ?? 8B D0 8B C7 33 C9 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 33 6A 08 8B 47 0C 2B 47 04 50 8B 47 08 8B 2F 2B C5 50 8B 73 08 8B 46 4C 03 47 04 50 8B 46 48 03 C5 50 6A FF 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 31 6A 08 8B 47 0C 2B 47 04 50 8B 47 08 8B 2F 2B C5 50 8B 73 08 8B 46 4C 03 47 04 50 8B 46 48 03 C5 50 6A 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 54 24 20 8B C3 E8 ?? ?? ?? ?? 8D 44 24 20 E8 ?? ?? ?? ?? 84 C0 74 12 6A 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 10 6A 05 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 43 4A 00 83 C4 30 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80002_0 {
	meta:
		name = "TScrollingStyleHook.MouseLeave"
		size = 79
		refs = "0006 TMouseTrackControlStyleHook.MouseLeave"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 48 1B 75 04 C6 43 48 1A 80 7B 30 17 75 04 C6 43 30 16 80 7B 49 03 75 04 C6 43 49 02 80 7B 40 07 75 04 C6 43 40 06 80 7B 31 0B 75 04 C6 43 31 0A 80 7B 28 0F 75 04 C6 43 28 0E 8B C3 8B 10 FF 52 40 5B C3 }
	condition:
		$1
}

rule function_80003_0 {
	meta:
		name = "TScrollingStyleHook.PaintNC"
		size = 52
		refs = "000c TStyleHook.PaintNC 0020 TScrollingStyleHook.InitScrollBars 0027 TScrollingStyleHook.UpdateScroll"
	strings:
		$1 = { 56 8B F0 80 7E 4A 00 75 29 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 34 83 7E 44 00 75 07 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 40 5E C3 }
	condition:
		$1
}

rule function_80004_0 {
	meta:
		name = "TScrollingStyleHook.InitScrollState"
		size = 25
	strings:
		$1 = { C6 40 48 1A C6 40 49 02 C6 40 40 06 C6 40 30 16 C6 40 31 0A C6 40 28 0E C3 }
	condition:
		$1
}

rule function_80005_0 {
	meta:
		name = "TScrollingStyleHook.UpdateScroll"
		size = 551
		refs = "0017 TWinControl.HandleAllocated 0028 TScrollingStyleHook.GetVertScrollRect 0038 IsRectEmpty 004a OffsetRect 0077 TWinControl.GetHandle 007d ShowWindow 0099 TScrollingStyleHook.IsPopupWindow 00d4 SetWindowPos 0130 TScrollingStyleHook.GetHorzScrollRect 0165 TRect.GetWidth"
	strings:
		$1 = { 53 56 57 55 83 C4 D0 8B D8 8B 73 44 85 F6 0F 84 FD 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 EE 00 00 00 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 43 08 80 78 69 01 75 31 8B C4 E8 ?? ?? ?? ?? 84 C0 75 26 8B 14 24 F7 DA 8B C4 33 C9 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 12 84 C0 74 0E 8B C4 33 C9 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 8B 43 44 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 8B 00 00 00 6A 05 8B 43 44 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 39 6A 40 8B 44 24 10 8B 6C 24 08 2B C5 50 8B 44 24 10 8B 7C 24 08 2B C7 50 8B 73 08 8B 46 4C 03 C5 50 8B 46 48 03 C7 50 6A FF 8B 43 44 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 37 6A 40 8B 44 24 10 8B 6C 24 08 2B C5 50 8B 44 24 10 8B 7C 24 08 2B C7 50 8B 73 08 8B 46 4C 03 C5 50 8B 46 48 03 C7 50 6A 00 8B 43 44 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 73 2C 85 F6 0F 84 03 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 F4 00 00 00 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 43 08 80 78 69 01 75 37 8D 54 24 20 8B C3 E8 ?? ?? ?? ?? 8D 44 24 20 E8 ?? ?? ?? ?? 84 C0 75 1F 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8D 44 24 10 E8 ?? ?? ?? ?? 8B D0 8B C4 33 C9 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 8B 00 00 00 6A 05 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 39 6A 40 8B 44 24 10 8B 6C 24 08 2B C5 50 8B 44 24 10 8B 7C 24 08 2B C7 50 8B 73 08 8B 46 4C 03 C5 50 8B 46 48 03 C7 50 6A FF 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 37 6A 40 8B 44 24 10 8B 6C 24 08 2B C5 50 8B 44 24 10 8B 7C 24 08 2B C7 50 8B 73 08 8B 46 4C 03 C5 50 8B 46 48 03 C7 50 6A 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 30 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80006_0 {
	meta:
		name = "TScrollingStyleHook.DrawVertScroll"
		size = 836
		refs = "0013 TStyleHook.GetHandle 002d TScrollingStyleHook.GetVertScrollRect 0035 TRect.GetWidth 0044 _Dn_TBitmap 0049 TBitmap.Create 0054 TScrollingStyleHook.DrawVertScroll 0088 TRect.GetHeight 00c6 TBitmap.GetCanvas 00cb TCanvas.GetHandle 00d2 MoveWindowOrg 00d7 StyleServices 00fb TScrollingStyleHook.GetVertUpButtonRect 0111 TScrollingStyleHook.GetVertDownButtonRect 015a TCustomStyleServices.DrawElement 0164 TScrollingStyleHook.GetVertSliderRect 031c BitBlt 0331 TObject.Free 0337 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 50 FF FF FF 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 1E 03 00 00 85 F6 0F 84 16 03 00 00 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 85 C0 0F 8E FC 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 44 8D 55 B0 8B C3 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 38 8D 95 60 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 64 FF FF FF F7 D8 50 8D 95 50 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 50 FF FF FF F7 D8 50 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 B2 01 00 00 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8D 95 60 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 89 45 E4 8D 95 60 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 89 45 EC 8D 45 E0 E8 ?? ?? ?? ?? 85 C0 7E 34 E8 ?? ?? ?? ?? 8D 4D F0 B2 2D 8B 38 FF 97 BC 00 00 00 8D 45 E0 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D F0 5A E8 ?? ?? ?? ?? 8D 55 A0 8B C3 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 85 C0 7E 46 E8 ?? ?? ?? ?? 0F B6 53 48 8D 4D F0 8B 38 FF 97 BC 00 00 00 8D 95 60 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D F0 5A E8 ?? ?? ?? ?? 8D 55 90 8B C3 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 85 C0 74 16 E8 ?? ?? ?? ?? 0F B6 53 49 8D 4D F0 8B 38 FF 97 BC 00 00 00 EB 12 E8 ?? ?? ?? ?? 8D 4D F0 B2 05 8B 38 FF 97 BC 00 00 00 8D 95 60 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D F0 5A E8 ?? ?? ?? ?? 8D 55 80 8B C3 E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 85 C0 74 16 E8 ?? ?? ?? ?? 0F B6 53 40 8D 4D F0 8B 38 FF 97 BC 00 00 00 EB 12 E8 ?? ?? ?? ?? 8D 4D F0 B2 09 8B 38 FF 97 BC 00 00 00 8D 95 60 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D F0 5A E8 ?? ?? ?? ?? 8D 95 60 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 50 8D 95 50 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 50 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8D 95 70 FF FF FF 8B C3 E8 ?? ?? ?? ?? 68 20 00 CC 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 FC 8B 10 FF 52 24 50 8B 45 FC 8B 10 FF 52 30 50 8B 85 74 FF FF FF 50 8B 85 70 FF FF FF 50 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80007_0 {
	meta:
		name = "TScrollingStyleHook.DrawHorzScroll"
		size = 836
		refs = "0013 TStyleHook.GetHandle 002d TScrollingStyleHook.GetHorzScrollRect 0035 TRect.GetHeight 0044 _Dn_TBitmap 0049 TBitmap.Create 0054 TScrollingStyleHook.DrawHorzScroll 006c TRect.GetWidth 00c6 TBitmap.GetCanvas 00cb TCanvas.GetHandle 00d2 MoveWindowOrg 00d7 StyleServices 00fb TScrollingStyleHook.GetHorzUpButtonRect 0111 TScrollingStyleHook.GetHorzDownButtonRect 015a TCustomStyleServices.DrawElement 0164 TScrollingStyleHook.GetHorzSliderRect 031c BitBlt 0331 TObject.Free 0337 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 50 FF FF FF 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 1E 03 00 00 85 F6 0F 84 16 03 00 00 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 85 C0 0F 8E FC 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 44 8D 55 B0 8B C3 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 38 8D 95 60 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 64 FF FF FF F7 D8 50 8D 95 50 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 50 FF FF FF F7 D8 50 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 B2 01 00 00 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8D 95 60 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 89 45 E0 8D 95 60 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 89 45 E8 8D 45 E0 E8 ?? ?? ?? ?? 85 C0 7E 34 E8 ?? ?? ?? ?? 8D 4D F0 B2 23 8B 38 FF 97 BC 00 00 00 8D 45 E0 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D F0 5A E8 ?? ?? ?? ?? 8D 55 A0 8B C3 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 85 C0 7E 46 E8 ?? ?? ?? ?? 0F B6 53 30 8D 4D F0 8B 38 FF 97 BC 00 00 00 8D 95 60 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D F0 5A E8 ?? ?? ?? ?? 8D 55 90 8B C3 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 85 C0 7E 16 E8 ?? ?? ?? ?? 0F B6 53 31 8D 4D F0 8B 38 FF 97 BC 00 00 00 EB 12 E8 ?? ?? ?? ?? 8D 4D F0 B2 0D 8B 38 FF 97 BC 00 00 00 8D 95 60 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D F0 5A E8 ?? ?? ?? ?? 8D 55 80 8B C3 E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 85 C0 7E 16 E8 ?? ?? ?? ?? 0F B6 53 28 8D 4D F0 8B 38 FF 97 BC 00 00 00 EB 12 E8 ?? ?? ?? ?? 8D 4D F0 B2 11 8B 38 FF 97 BC 00 00 00 8D 95 60 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D F0 5A E8 ?? ?? ?? ?? 8D 95 60 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 50 8D 95 50 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 50 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8D 95 70 FF FF FF 8B C3 E8 ?? ?? ?? ?? 68 20 00 CC 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 FC 8B 10 FF 52 24 50 8B 45 FC 8B 10 FF 52 30 50 8B 85 74 FF FF FF 50 8B 85 70 FF FF FF 50 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80008_0 {
	meta:
		name = "TScrollingStyleHook.GetVertDownButtonRect"
		size = 61
		refs = "000b TScrollingStyleHook.GetVertScrollRect 0012 TRect.GetWidth 001d GetSystemMetrics 0036 Rect"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 12 6A 09 E8 ?? ?? ?? ?? 8B 53 0C 2B D0 89 53 04 5E 5B C3 6A 00 53 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80009_0 {
	meta:
		name = "TScrollingStyleHook.GetVertScrollRect"
		size = 209
		refs = "001b TStyleHook.GetHandle 0021 GetScrollBarInfo 0036 Rect 0058 ScreenToClient 00b4 OffsetRect"
	strings:
		$1 = { 53 56 83 C4 BC 8B F2 8B D8 C7 44 24 08 3C 00 00 00 8D 44 24 08 50 6A FB 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 44 24 2D 80 74 13 6A 00 56 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? E9 8C 00 00 00 8B 44 24 0C 89 04 24 8B 44 24 10 89 44 24 04 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 04 24 89 06 8B 44 24 04 89 46 04 8B 44 24 14 89 04 24 8B 44 24 18 89 44 24 04 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 04 24 89 46 08 8B 44 24 04 89 46 0C 8B C3 8B 10 FF 12 84 C0 74 2F 8B C3 8B 10 FF 52 04 84 C0 74 13 8B C6 B9 02 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? EB 11 8B C6 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 C4 44 5E 5B C3 }
	condition:
		$1
}

rule function_80010_0 {
	meta:
		name = "TScrollingStyleHook.GetVertSliderRect"
		size = 229
		refs = "001b TStyleHook.GetHandle 0021 GetScrollBarInfo 003c Rect 005e ScreenToClient 00c8 OffsetRect"
	strings:
		$1 = { 53 56 83 C4 BC 8B F2 8B D8 C7 44 24 08 3C 00 00 00 8D 44 24 08 50 6A FB 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 2C F6 C4 80 75 04 A8 01 74 13 6A 00 56 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? E9 9A 00 00 00 8B 44 24 0C 89 04 24 8B 44 24 10 89 44 24 04 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 04 24 89 06 8B 44 24 04 89 46 04 8B 44 24 14 89 04 24 8B 44 24 18 89 44 24 04 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 04 24 89 46 08 8B 44 24 04 89 46 0C 8B 44 24 20 89 46 04 8B 44 24 24 89 46 0C 8B C3 8B 10 FF 12 84 C0 74 2F 8B C3 8B 10 FF 52 04 84 C0 74 13 8B C6 B9 02 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? EB 11 8B C6 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 C4 44 5E 5B C3 }
	condition:
		$1
}

rule function_80011_0 {
	meta:
		name = "TScrollingStyleHook.GetVertTrackRect"
		size = 66
		refs = "000b TScrollingStyleHook.GetVertScrollRect 0012 TRect.GetWidth 001d GetSystemMetrics 003b Rect"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 17 6A 09 E8 ?? ?? ?? ?? 01 43 04 6A 09 E8 ?? ?? ?? ?? 29 43 0C 5E 5B C3 6A 00 53 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80012_0 {
	meta:
		name = "TScrollingStyleHook.GetVertUpButtonRect"
		size = 59
		refs = "000b TScrollingStyleHook.GetVertScrollRect 0012 TRect.GetWidth 001d GetSystemMetrics 0034 Rect"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 10 6A 09 E8 ?? ?? ?? ?? 03 43 04 89 43 0C 5E 5B C3 6A 00 53 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80013_0 {
	meta:
		name = "TScrollingStyleHook.GetHorzDownButtonRect"
		size = 60
		refs = "000b TScrollingStyleHook.GetHorzScrollRect 0012 TRect.GetHeight 001d GetSystemMetrics 0035 Rect"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 11 6A 0A E8 ?? ?? ?? ?? 8B 53 08 2B D0 89 13 5E 5B C3 6A 00 53 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80014_0 {
	meta:
		name = "TScrollingStyleHook.GetHorzScrollRect"
		size = 209
		refs = "001b TStyleHook.GetHandle 0021 GetScrollBarInfo 0036 Rect 0058 ScreenToClient 00b4 OffsetRect"
	strings:
		$1 = { 53 56 83 C4 BC 8B F2 8B D8 C7 44 24 08 3C 00 00 00 8D 44 24 08 50 6A FA 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 44 24 2D 80 74 13 6A 00 56 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? E9 8C 00 00 00 8B 44 24 0C 89 04 24 8B 44 24 10 89 44 24 04 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 04 24 89 06 8B 44 24 04 89 46 04 8B 44 24 14 89 04 24 8B 44 24 18 89 44 24 04 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 04 24 89 46 08 8B 44 24 04 89 46 0C 8B C3 8B 10 FF 12 84 C0 74 2F 8B C3 8B 10 FF 52 04 84 C0 74 13 8B C6 B9 02 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? EB 11 8B C6 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 C4 44 5E 5B C3 }
	condition:
		$1
}

rule function_80015_0 {
	meta:
		name = "TScrollingStyleHook.GetHorzSliderRect"
		size = 229
		refs = "001b TStyleHook.GetHandle 0021 GetScrollBarInfo 003d TRect.Create 005f ScreenToClient 00c8 OffsetRect"
	strings:
		$1 = { 53 56 83 C4 BC 8B F2 8B D8 C7 44 24 08 3C 00 00 00 8D 44 24 08 50 6A FA 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 2C F6 C4 80 75 04 A8 01 74 14 6A 00 6A 00 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? E9 99 00 00 00 8B 44 24 0C 89 04 24 8B 44 24 10 89 44 24 04 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 04 24 89 06 8B 44 24 04 89 46 04 8B 44 24 14 89 04 24 8B 44 24 18 89 44 24 04 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 04 24 89 46 08 8B 44 24 04 89 46 0C 8B 44 24 20 89 06 8B 44 24 24 89 46 08 8B C3 8B 10 FF 12 84 C0 74 2F 8B C3 8B 10 FF 52 04 84 C0 74 13 8B C6 B9 02 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? EB 11 8B C6 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 C4 44 5E 5B C3 }
	condition:
		$1
}

rule function_80016_0 {
	meta:
		name = "TScrollingStyleHook.GetHorzTrackRect"
		size = 65
		refs = "000b TScrollingStyleHook.GetHorzScrollRect 0012 TRect.GetWidth 001d GetSystemMetrics 003a Rect"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 16 6A 0A E8 ?? ?? ?? ?? 01 03 6A 0A E8 ?? ?? ?? ?? 29 43 08 5E 5B C3 6A 00 53 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80017_0 {
	meta:
		name = "TScrollingStyleHook.GetHorzUpButtonRect"
		size = 58
		refs = "000b TScrollingStyleHook.GetHorzScrollRect 0012 TRect.GetHeight 001d GetSystemMetrics 0033 Rect"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 0F 6A 0A E8 ?? ?? ?? ?? 03 03 89 43 08 5E 5B C3 6A 00 53 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80018_0 {
	meta:
		name = "TScrollingStyleHook.DrawBorder"
		size = 37
		refs = "0004 StyleServices"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 12 E8 ?? ?? ?? ?? B1 01 8B 53 08 8B 18 FF 93 04 01 00 00 5B C3 }
	condition:
		$1
}

rule function_80019_0 {
	meta:
		name = "TScrollingStyleHook.PaintScroll"
		size = 47
	strings:
		$1 = { 56 57 8B F0 80 7E 4A 00 75 22 8B 7E 44 85 FF 74 0A 8B C7 8B 10 FF 92 A0 00 00 00 8B 7E 2C 85 FF 74 0A 8B C7 8B 10 FF 92 A0 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_80020_0 {
	meta:
		name = "TScrollingStyleHook.WMHScroll"
		size = 23
		refs = "0006 TStyleHook.CallDefaultProc"
		altNames = "TScrollingStyleHook.WMKeyDown TScrollingStyleHook.WMKeyUp TScrollingStyleHook.WMLButtonDown TScrollingStyleHook.WMMouseWheel TScrollingStyleHook.WMVScroll"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 40 C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_80023_0 {
	meta:
		name = "TScrollingStyleHook.WMCaptureChanged"
		size = 90
		refs = "004f TStyleHook.CallDefaultProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 49 04 75 0B C6 43 49 02 8B C3 8B 10 FF 52 40 80 7B 40 08 75 0B C6 43 40 06 8B C3 8B 10 FF 52 40 80 7B 31 0C 75 0B C6 43 31 0A 8B C3 8B 10 FF 52 40 80 7B 28 10 75 0B C6 43 28 0E 8B C3 8B 10 FF 52 40 8B D6 8B C3 E8 ?? ?? ?? ?? C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_80024_0 {
	meta:
		name = "TScrollingStyleHook.WMNCLButtonDown"
		size = 603
		refs = "002c TStyleHook.GetHandle 0032 ScreenToClient 0064 TScrollingStyleHook.GetVertSliderRect 006f PtInRect 009b GetScrollInfo 00b4 Mouse 00bb TMouse.GetCursorPos 00dd SetCapture 00f1 TScrollingStyleHook.GetHorzSliderRect 017b TScrollingStyleHook.GetVertDownButtonRect 019e TRect.GetHeight 01b1 TScrollingStyleHook.GetVertUpButtonRect 01e7 TScrollingStyleHook.GetHorzDownButtonRect 020a TRect.GetWidth 021d TScrollingStyleHook.GetHorzUpButtonRect"
	strings:
		$1 = { 56 81 C4 7C FF FF FF 8B F0 0F BF 42 08 0F BF 52 0A 89 44 24 08 89 54 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 54 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 12 84 C0 74 1D 8B C6 8B 10 FF 52 04 84 C0 74 0B 83 04 24 02 83 44 24 04 02 EB 07 FF 04 24 FF 44 24 04 8D 54 24 6C 8B C6 E8 ?? ?? ?? ?? 8D 44 24 6C 8B D4 E8 ?? ?? ?? ?? 84 C0 74 73 C6 46 32 01 C7 44 24 14 17 00 00 00 C7 44 24 10 1C 00 00 00 8D 44 24 10 50 6A 01 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? DB 44 24 24 D9 5E 34 9B DB 44 24 24 D9 5E 3C 9B 8D 54 24 7C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 84 24 80 00 00 00 89 46 38 C6 46 48 1C 8B C6 8B 10 FF 52 40 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 46 14 01 E9 69 01 00 00 8D 54 24 6C 8B C6 E8 ?? ?? ?? ?? 8D 44 24 6C 8B D4 E8 ?? ?? ?? ?? 84 C0 74 70 C6 46 32 01 C7 44 24 14 17 00 00 00 C7 44 24 10 1C 00 00 00 8D 44 24 10 50 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? DB 44 24 24 D9 5E 34 9B DB 44 24 24 D9 5E 3C 9B 8D 54 24 7C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 44 24 7C 89 46 38 C6 46 30 18 8B C6 8B 10 FF 52 40 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 46 14 01 E9 DF 00 00 00 8D 54 24 6C 8B C6 E8 ?? ?? ?? ?? 8D 44 24 6C 8B D4 E8 ?? ?? ?? ?? 84 C0 74 1C 8D 54 24 2C 8B C6 E8 ?? ?? ?? ?? 8D 44 24 2C E8 ?? ?? ?? ?? 85 C0 7E 04 C6 46 40 08 8D 54 24 6C 8B C6 E8 ?? ?? ?? ?? 8D 44 24 6C 8B D4 E8 ?? ?? ?? ?? 84 C0 74 1C 8D 54 24 3C 8B C6 E8 ?? ?? ?? ?? 8D 44 24 3C E8 ?? ?? ?? ?? 85 C0 7E 04 C6 46 49 04 8D 54 24 6C 8B C6 E8 ?? ?? ?? ?? 8D 44 24 6C 8B D4 E8 ?? ?? ?? ?? 84 C0 74 1C 8D 54 24 4C 8B C6 E8 ?? ?? ?? ?? 8D 44 24 4C E8 ?? ?? ?? ?? 85 C0 7E 04 C6 46 28 10 8D 54 24 6C 8B C6 E8 ?? ?? ?? ?? 8D 44 24 6C 8B D4 E8 ?? ?? ?? ?? 84 C0 74 1C 8D 54 24 5C 8B C6 E8 ?? ?? ?? ?? 8D 44 24 5C E8 ?? ?? ?? ?? 85 C0 7E 04 C6 46 31 0C 8B C6 8B 10 FF 52 40 81 C4 84 00 00 00 5E C3 }
	condition:
		$1
}

rule function_80026_0 {
	meta:
		name = "TScrollingStyleHook.WMNCLButtonUp"
		size = 470
		refs = "002c TStyleHook.GetHandle 0032 ScreenToClient 00a0 TScrollingStyleHook.GetVertSliderRect 00a9 TRect.GetHeight 00b8 TScrollingStyleHook.GetVertDownButtonRect 00c3 PtInRect 00f4 TScrollingStyleHook.GetVertUpButtonRect 0118 TScrollingStyleHook.GetHorzSliderRect 0121 TRect.GetWidth 0130 TScrollingStyleHook.GetHorzDownButtonRect 016c TScrollingStyleHook.GetHorzUpButtonRect 018e TStyleHook.CallDefaultProc"
	strings:
		$1 = { 53 56 83 C4 80 8B F2 8B D8 0F BF 46 08 0F BF 56 0A 89 44 24 08 89 54 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 12 84 C0 74 1D 8B C3 8B 10 FF 52 04 84 C0 74 0B 83 04 24 02 83 44 24 04 02 EB 07 FF 04 24 FF 44 24 04 80 7B 48 1C 75 18 C6 43 32 00 C6 43 48 1A 8B C3 8B 10 FF 52 40 C6 43 14 01 E9 52 01 00 00 80 7B 30 18 75 18 C6 43 32 00 C6 43 30 16 8B C3 8B 10 FF 52 40 C6 43 14 01 E9 34 01 00 00 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8D 44 24 10 E8 ?? ?? ?? ?? 85 C0 7E 24 8D 54 24 70 8B C3 E8 ?? ?? ?? ?? 8D 44 24 70 8B D4 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 40 07 EB 04 C6 43 40 06 8D 54 24 20 8B C3 E8 ?? ?? ?? ?? 8D 44 24 20 E8 ?? ?? ?? ?? 85 C0 7E 24 8D 54 24 70 8B C3 E8 ?? ?? ?? ?? 8D 44 24 70 8B D4 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 49 03 EB 04 C6 43 49 02 8D 54 24 30 8B C3 E8 ?? ?? ?? ?? 8D 44 24 30 E8 ?? ?? ?? ?? 85 C0 7E 24 8D 54 24 70 8B C3 E8 ?? ?? ?? ?? 8D 44 24 70 8B D4 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 28 0F EB 04 C6 43 28 0E 8D 54 24 40 8B C3 E8 ?? ?? ?? ?? 8D 44 24 40 E8 ?? ?? ?? ?? 85 C0 7E 24 8D 54 24 70 8B C3 E8 ?? ?? ?? ?? 8D 44 24 70 8B D4 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 31 0B EB 04 C6 43 31 0A 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 54 24 50 8B C3 E8 ?? ?? ?? ?? 8D 44 24 50 E8 ?? ?? ?? ?? 85 C0 7F 18 8D 54 24 60 8B C3 E8 ?? ?? ?? ?? 8D 44 24 60 E8 ?? ?? ?? ?? 85 C0 7E 07 8B C3 8B 10 FF 52 40 C6 43 14 01 81 C4 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_80027_0 {
	meta:
		name = "TScrollingStyleHook.WMNCMouseMove"
		size = 736
		refs = "000e TMouseTrackControlStyleHook.WMNCMouseMove 0035 TStyleHook.GetHandle 003b ScreenToClient 006f TScrollingStyleHook.GetVertSliderRect 0078 TRect.GetHeight 0092 PtInRect 00d5 TScrollingStyleHook.GetHorzSliderRect 00de TRect.GetWidth 0153 TScrollingStyleHook.GetVertDownButtonRect 01b9 TScrollingStyleHook.GetVertUpButtonRect 021f TScrollingStyleHook.GetHorzDownButtonRect 0285 TScrollingStyleHook.GetHorzUpButtonRect"
	strings:
		$1 = { 53 56 83 C4 80 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 0F BF 43 08 0F BF 53 0A 89 44 24 08 89 54 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 54 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 12 84 C0 74 1D 8B C6 8B 10 FF 52 04 84 C0 74 0B 83 04 24 02 83 44 24 04 02 EB 07 FF 04 24 FF 44 24 04 33 DB 8D 54 24 10 8B C6 E8 ?? ?? ?? ?? 8D 44 24 10 E8 ?? ?? ?? ?? 85 C0 7E 4E 8D 54 24 70 8B C6 E8 ?? ?? ?? ?? 8D 44 24 70 8B D4 E8 ?? ?? ?? ?? 84 C0 74 0E 80 7E 48 1A 75 08 C6 46 48 1B B3 01 EB 26 8D 54 24 70 8B C6 E8 ?? ?? ?? ?? 8D 44 24 70 8B D4 E8 ?? ?? ?? ?? 84 C0 75 0C 80 7E 48 1B 75 06 C6 46 48 1A B3 01 8D 54 24 20 8B C6 E8 ?? ?? ?? ?? 8D 44 24 20 E8 ?? ?? ?? ?? 85 C0 7E 4E 8D 54 24 70 8B C6 E8 ?? ?? ?? ?? 8D 44 24 70 8B D4 E8 ?? ?? ?? ?? 84 C0 74 0E 80 7E 30 16 75 08 C6 46 30 17 B3 01 EB 26 8D 54 24 70 8B C6 E8 ?? ?? ?? ?? 8D 44 24 70 8B D4 E8 ?? ?? ?? ?? 84 C0 75 0C 80 7E 30 17 75 06 C6 46 30 16 B3 01 8D 54 24 30 8B C6 E8 ?? ?? ?? ?? 8D 44 24 30 E8 ?? ?? ?? ?? 85 C0 7E 4E 8D 54 24 70 8B C6 E8 ?? ?? ?? ?? 8D 44 24 70 8B D4 E8 ?? ?? ?? ?? 84 C0 74 0E 80 7E 40 06 75 08 C6 46 40 07 B3 01 EB 26 8D 54 24 70 8B C6 E8 ?? ?? ?? ?? 8D 44 24 70 8B D4 E8 ?? ?? ?? ?? 84 C0 75 0C 80 7E 40 07 75 06 C6 46 40 06 B3 01 8D 54 24 40 8B C6 E8 ?? ?? ?? ?? 8D 44 24 40 E8 ?? ?? ?? ?? 85 C0 7E 4E 8D 54 24 70 8B C6 E8 ?? ?? ?? ?? 8D 44 24 70 8B D4 E8 ?? ?? ?? ?? 84 C0 74 0E 80 7E 49 02 75 08 C6 46 49 03 B3 01 EB 26 8D 54 24 70 8B C6 E8 ?? ?? ?? ?? 8D 44 24 70 8B D4 E8 ?? ?? ?? ?? 84 C0 75 0C 80 7E 49 03 75 06 C6 46 49 02 B3 01 8D 54 24 50 8B C6 E8 ?? ?? ?? ?? 8D 44 24 50 E8 ?? ?? ?? ?? 85 C0 7E 4E 8D 54 24 70 8B C6 E8 ?? ?? ?? ?? 8D 44 24 70 8B D4 E8 ?? ?? ?? ?? 84 C0 74 0E 80 7E 28 0E 75 08 C6 46 28 0F B3 01 EB 26 8D 54 24 70 8B C6 E8 ?? ?? ?? ?? 8D 44 24 70 8B D4 E8 ?? ?? ?? ?? 84 C0 75 0C 80 7E 28 0F 75 06 C6 46 28 0E B3 01 8D 54 24 60 8B C6 E8 ?? ?? ?? ?? 8D 44 24 60 E8 ?? ?? ?? ?? 85 C0 7E 4E 8D 54 24 70 8B C6 E8 ?? ?? ?? ?? 8D 44 24 70 8B D4 E8 ?? ?? ?? ?? 84 C0 74 0E 80 7E 31 0A 75 08 C6 46 31 0B B3 01 EB 26 8D 54 24 70 8B C6 E8 ?? ?? ?? ?? 8D 44 24 70 8B D4 E8 ?? ?? ?? ?? 84 C0 75 0C 80 7E 31 0B 75 06 C6 46 31 0A B3 01 84 DB 74 07 8B C6 8B 10 FF 52 40 81 C4 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_80028_0 {
	meta:
		name = "TScrollingStyleHook.WMLButtonUp"
		size = 202
		refs = "000f TStyleHook.GetHandle 002e PostMessage 0046 ReleaseCapture"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 7B 48 1C 75 40 8B C3 E8 ?? ?? ?? ?? 66 C7 04 24 08 00 66 C7 44 24 02 00 00 6A 00 8B 54 24 04 52 68 15 01 00 00 50 E8 ?? ?? ?? ?? C6 43 32 00 C6 43 48 1A 8B C3 8B 10 FF 52 40 C6 43 14 01 E8 ?? ?? ?? ?? EB 7A 80 7B 30 18 75 41 8B C3 E8 ?? ?? ?? ?? 66 C7 44 24 04 08 00 66 C7 44 24 06 00 00 6A 00 8B 54 24 08 52 68 14 01 00 00 50 E8 ?? ?? ?? ?? C6 43 32 00 C6 43 30 16 8B C3 8B 10 FF 52 40 C6 43 14 01 E8 ?? ?? ?? ?? EB 33 80 7B 49 04 75 04 C6 43 49 02 80 7B 40 08 75 04 C6 43 40 06 80 7B 31 0C 75 04 C6 43 31 0A 80 7B 28 10 75 04 C6 43 28 0E C6 43 32 00 8B C3 8B 10 FF 52 40 59 5A 5B C3 }
	condition:
		$1
}

rule function_80029_0 {
	meta:
		name = "TScrollingStyleHook.WMMouseMove"
		size = 969
		refs = "0013 TMouseTrackControlStyleHook.WMMouseMove 0034 TStyleHook.GetHandle 003a GetScrollInfo 0042 @ROUND 006c Mouse 0073 TMouse.GetCursorPos 0092 TScrollingStyleHook.GetVertTrackRect 009b TRect.GetHeight 0158 SetScrollInfo 0186 PostMessage 0215 TScrollingStyleHook.GetHorzTrackRect 021e TRect.GetWidth 03ad TStyleHook.CallDefaultProc"
	strings:
		$1 = { 53 56 57 83 C4 9C 8B F2 8B D8 8D 7C 24 08 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7B 48 1C 0F 85 79 01 00 00 C7 47 04 17 00 00 00 C7 07 1C 00 00 00 57 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? D9 43 3C E8 ?? ?? ?? ?? 52 50 8B 77 14 8B C6 99 3B 54 24 04 75 03 3B 04 24 5A 58 74 0C 89 74 24 44 DB 44 24 44 D9 5B 3C 9B 8D 54 24 48 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 44 24 4C 2B 43 38 89 44 24 44 DB 44 24 44 DB 7C 24 50 9B 8D 54 24 24 8B C3 E8 ?? ?? ?? ?? 8D 44 24 24 E8 ?? ?? ?? ?? 89 44 24 5C DB 44 24 5C DB 6C 24 50 DE F1 8B 47 0C 2B 47 08 89 44 24 60 DB 44 24 60 DE C9 D8 43 3C D9 5B 3C 9B DB 47 08 D8 5B 3C 9B DF E0 9E 76 07 DB 47 08 D9 5B 3C 9B DB 47 0C D8 5B 3C 9B DF E0 9E 73 07 DB 47 0C D9 5B 3C 9B 8B 77 10 85 F6 74 37 D9 43 3C E8 ?? ?? ?? ?? 52 50 8B 47 0C 2B C6 40 99 3B 54 24 04 75 09 3B 04 24 5A 58 73 19 EB 04 5A 58 7D 13 8B 47 0C 2B 47 10 40 89 44 24 44 DB 44 24 44 D9 5B 3C 9B 8D 54 24 48 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 44 24 4C 89 43 38 D9 43 3C E8 ?? ?? ?? ?? 89 47 14 6A 00 57 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 D9 43 3C E8 ?? ?? ?? ?? 66 C7 04 24 04 00 66 89 44 24 02 6A 00 8B 44 24 04 50 68 15 01 00 00 56 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 40 C6 43 14 01 E9 28 02 00 00 80 7B 30 18 0F 85 7A 01 00 00 C7 47 04 17 00 00 00 C7 07 1C 00 00 00 57 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? D9 43 3C E8 ?? ?? ?? ?? 52 50 8B 77 14 8B C6 99 3B 54 24 04 75 03 3B 04 24 5A 58 74 0C 89 74 24 44 DB 44 24 44 D9 5B 3C 9B 8D 54 24 48 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 44 24 48 2B 43 38 89 44 24 44 DB 44 24 44 DB 7C 24 50 9B 8D 54 24 34 8B C3 E8 ?? ?? ?? ?? 8D 44 24 34 E8 ?? ?? ?? ?? 89 44 24 5C DB 44 24 5C DB 6C 24 50 DE F1 8B 47 0C 2B 47 08 89 44 24 60 DB 44 24 60 DE C9 D8 43 3C D9 5B 3C 9B DB 47 08 D8 5B 3C 9B DF E0 9E 76 07 DB 47 08 D9 5B 3C 9B DB 47 0C D8 5B 3C 9B DF E0 9E 73 07 DB 47 0C D9 5B 3C 9B 8B 77 10 85 F6 74 37 D9 43 3C E8 ?? ?? ?? ?? 52 50 8B 47 0C 2B C6 40 99 3B 54 24 04 75 09 3B 04 24 5A 58 73 19 EB 04 5A 58 7D 13 8B 47 0C 2B 47 10 40 89 44 24 44 DB 44 24 44 D9 5B 3C 9B 8D 54 24 48 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 44 24 48 89 43 38 D9 43 3C E8 ?? ?? ?? ?? 89 47 14 6A 00 57 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 D9 43 3C E8 ?? ?? ?? ?? 66 C7 44 24 04 04 00 66 89 44 24 06 6A 00 8B 44 24 08 50 68 14 01 00 00 56 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 40 C6 43 14 01 E9 A4 00 00 00 0F B6 43 30 3C 18 74 0F 3C 17 75 0B C6 43 30 16 8B C3 8B 10 FF 52 40 0F B6 43 48 3C 1C 74 0F 3C 1B 75 0B C6 43 48 1A 8B C3 8B 10 FF 52 40 0F B6 43 31 3C 0C 74 0F 3C 0B 75 0B C6 43 31 0A 8B C3 8B 10 FF 52 40 0F B6 43 28 3C 10 74 0F 3C 0F 75 0B C6 43 28 0E 8B C3 8B 10 FF 52 40 0F B6 43 49 3C 04 74 0F 3C 03 75 0B C6 43 49 02 8B C3 8B 10 FF 52 40 0F B6 43 40 3C 08 74 0F 3C 07 75 0B C6 43 40 06 8B C3 8B 10 FF 52 40 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7B 32 00 74 07 8B C3 8B 10 FF 52 40 C6 43 14 01 83 C4 64 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80034_0 {
	meta:
		name = "TScrollingStyleHook.PaintBackground"
		size = 19
		refs = "0006 TStyleHook.PaintBackground"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 40 5E C3 }
	condition:
		$1
}

rule function_80035_0 {
	meta:
		name = "TScrollingStyleHook.GetParentBounds"
		size = 94
		refs = "001d TControl.GetBoundsRect 0026 TStyleHook.GetHandle 003a GetWindowRect 004d TRect.Create"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B D8 8B 73 08 85 F6 74 12 83 7E 38 00 74 0C 8B D7 8B 46 38 E8 ?? ?? ?? ?? EB 34 8B C3 E8 ?? ?? ?? ?? 85 C0 74 12 57 8B 43 08 8B 80 DC 01 00 00 50 E8 ?? ?? ?? ?? EB 17 6A 00 6A 00 8D 44 24 08 33 C9 33 D2 E8 ?? ?? ?? ?? 8B F4 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80037_0 {
	meta:
		name = "TScrollingStyleHook.WMShowWindow"
		size = 140
		refs = "000c TStyleHook.CallDefaultProc 001a TWinControl.HandleAllocated 002e TWinControl.GetHandle 0034 ShowWindow"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 7B 44 85 FF 74 33 8B C7 E8 ?? ?? ?? ?? 84 C0 74 28 83 7E 04 00 74 12 6A 05 8B 43 44 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 10 6A 00 8B 43 44 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 7B 2C 85 FF 74 33 8B C7 E8 ?? ?? ?? ?? 84 C0 74 28 83 7E 04 00 74 12 6A 05 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 10 6A 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 43 14 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80038_0 {
	meta:
		name = "TScrollingStyleHook.WMWindowPosChanged"
		size = 111
		refs = "000b TStyleHook.CallDefaultProc 002d TWinControl.GetHandle 0033 ShowWindow 0059 IsWindowVisible 0064 TScrollingStyleHook.UpdateScroll"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 08 8B 40 18 25 80 00 00 00 3D 80 00 00 00 75 2E 8B 73 44 85 F6 74 0F 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 73 2C 85 F6 74 2A 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 19 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_80040_0 {
	meta:
		name = "TScrollingStyleHook.CMVisibleChanged"
		size = 119
		refs = "0008 TWinControl.HandleAllocated 0025 TWinControl.GetHandle 002b ShowWindow"
	strings:
		$1 = { 53 56 8B D8 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 60 8B 73 44 85 F6 74 29 8B 43 08 80 78 61 00 74 11 6A 05 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 0F 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 73 2C 85 F6 74 29 8B 43 08 80 78 61 00 74 11 6A 05 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 0F 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 43 14 00 5E 5B C3 }
	condition:
		$1
}

rule function_80041_0 {
	meta:
		name = "TScrollingStyleHook.WMMove"
		size = 23
		refs = "0006 TStyleHook.CallDefaultProc 000d TScrollingStyleHook.UpdateScroll"
		altNames = "TScrollingStyleHook.WMSize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_85251_0 {
	meta:
		name = "TScrollBarStyleHook.WMKeyDown"
		size = 23
		refs = "0006 TStyleHook.CallDefaultProc 000d TScrollBarStyleHook.PaintScrollBar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_85252_0 {
	meta:
		name = "TScrollBarStyleHook.WMKeyUp"
		size = 23
		refs = "0006 TStyleHook.CallDefaultProc 000d TScrollBarStyleHook.PaintScrollBar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_85250_0 {
	meta:
		name = "TScrollBarStyleHook.WMKillFocus"
		size = 23
		refs = "0006 TStyleHook.CallDefaultProc 000d TScrollBarStyleHook.PaintScrollBar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_85223_0 {
	meta:
		name = "TScrollBarStyleHook.WMMove"
		size = 23
		refs = "0006 TStyleHook.CallDefaultProc 000d TScrollBarStyleHook.UpdateScrollBar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_85249_0 {
	meta:
		name = "TScrollBarStyleHook.WMSetFocus"
		size = 23
		refs = "0006 TStyleHook.CallDefaultProc 000d TScrollBarStyleHook.PaintScrollBar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_85224_0 {
	meta:
		name = "TScrollBarStyleHook.WMSize"
		size = 23
		refs = "0006 TStyleHook.CallDefaultProc 000d TScrollBarStyleHook.UpdateScrollBar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_80043_0 {
	meta:
		name = "RectVCenter"
		size = 98
		refs = "001f OffsetRect 0026 TRect.GetHeight"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B F1 8B D8 8B 4B 04 F7 D9 8B 13 F7 DA 8B C3 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 59 2B C8 D1 F9 79 03 83 D1 00 8B C3 33 D2 E8 ?? ?? ?? ?? 8B C3 8B 4C 24 04 8B 14 24 E8 ?? ?? ?? ?? 8B FE 8B F3 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80044_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.Create"
		size = 258
		refs = "0011 @ClassCreate 0029 Rect 006c TFormStyleHook.TMainMenuBarStyleHook.FMenuBarHook 00eb @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 1C 6A 00 8D 45 E8 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 56 8D 7E 08 8D 75 E8 A5 A5 A5 A5 5E 33 C0 89 46 20 33 C0 89 46 2C C6 86 86 00 00 00 00 C6 86 8C 00 00 00 00 C7 46 04 FF FF FF FF C7 86 94 00 00 00 FF FF FF FF C6 86 8D 00 00 00 00 33 C0 A3 ?? ?? ?? ?? C7 45 F8 FF FF FF FF C7 45 FC FF FF FF FF 8B 45 F8 89 86 98 00 00 00 8B 45 FC 89 86 9C 00 00 00 C6 46 18 00 C6 86 A7 00 00 00 00 C6 86 85 00 00 00 00 C6 86 A5 00 00 00 00 C7 46 34 FF FF FF FF C7 86 A0 00 00 00 FF FF FF FF C7 46 38 FF FF FF FF C6 86 90 00 00 00 00 C6 86 8F 00 00 00 00 C6 86 8E 00 00 00 00 C6 86 A6 00 00 00 00 C6 86 84 00 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80045_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001d TObject.Free 0028 TObject.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 20 00 74 10 8D 46 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80046_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.GetIconFast"
		size = 22
		refs = "000e TFormStyleHook.TMainMenuBarStyleHook.GetIcon"
	strings:
		$1 = { 8B 50 20 85 D2 74 06 83 78 24 00 75 06 E8 ?? ?? ?? ?? C3 8B C2 C3 }
	condition:
		$1
}

rule function_80047_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.GetIcon"
		size = 281
		refs = "000f TFormStyleHook.TMainMenuBarStyleHook.CanTrackMDISystemMenu 0022 TFormStyleHook.GetForm 0027 TCustomForm.get_ActiveMDIChild 002c TWinControl.GetHandle 0040 SendMessage 0068 GetClassName 0076 @FillChar 008b GetWindowLongPtr 0099 GetClassInfoEx 00b6 _Dn_TIcon 00bb TIcon.Create 00c9 GetSystemMetrics 00fa CopyImage 0104 TIcon.SetHandle"
	strings:
		$1 = { 53 56 57 55 81 C4 74 FD FF FF 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 07 33 C0 E9 F0 00 00 00 8B 46 1C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 DB 85 DB 75 0E 6A 00 6A 00 6A 7F 57 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0E 6A 00 6A 01 6A 7F 57 E8 ?? ?? ?? ?? 8B D8 85 DB 75 51 68 5A 02 00 00 8D 44 24 34 50 57 E8 ?? ?? ?? ?? 8B C4 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? C7 04 24 30 00 00 00 8B C7 BA FA FF FF FF 52 50 E8 ?? ?? ?? ?? 8B F8 54 8D 44 24 34 50 57 E8 ?? ?? ?? ?? 85 C0 74 0C 8B 5C 24 2C 85 DB 75 04 8B 5C 24 18 83 7E 20 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 85 DB 74 45 6A 31 E8 ?? ?? ?? ?? 8B F8 85 FF 75 09 6A 1E E8 ?? ?? ?? ?? 8B F8 6A 32 E8 ?? ?? ?? ?? 8B E8 85 ED 75 09 6A 1F E8 ?? ?? ?? ?? 8B E8 6A 00 55 57 6A 01 53 E8 ?? ?? ?? ?? 8B D0 8B 46 20 E8 ?? ?? ?? ?? 89 5E 24 8B 46 20 81 C4 8C 02 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80048_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.CanTrackMDISystemMenu"
		size = 67
		refs = "0007 TFormStyleHook.GetForm 001d TCustomForm.get_ActiveMDIChild"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? 80 B8 A6 02 00 00 02 75 27 8B 43 1C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 16 8B 43 1C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 80 A0 02 00 00 01 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_80049_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.CanTrackSystemMenu"
		size = 45
		refs = "0007 TFormStyleHook.GetForm"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? F6 80 A0 02 00 00 01 74 11 8B 43 1C E8 ?? ?? ?? ?? 80 B8 A1 02 00 00 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_80050_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.SetShowMDIButtons"
		size = 76
		refs = "003f TObject.Free 0046 TFormStyleHook.TMainMenuBarStyleHook.Invalidate"
	strings:
		$1 = { 53 8B D8 3A 93 A5 00 00 00 74 3F 88 93 A5 00 00 00 C7 43 34 FF FF FF FF C7 83 A0 00 00 00 FF FF FF FF C7 43 38 FF FF FF FF 84 D2 75 16 83 7B 20 00 74 10 8D 43 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80051_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.IsSubMenuItem"
		size = 56
	strings:
		$1 = { 53 56 57 55 8B FA B2 01 8B 48 2C 49 85 C9 7C 21 41 33 F6 8B DE 03 DB 03 DB 03 DB 2B DE 8B 68 30 8B 5C 9D 08 3B 5F 68 75 04 33 D2 EB 04 46 49 75 E2 8B C2 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80052_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.CanFindPriorItem"
		size = 33
		refs = "000f TFormStyleHook.TMainMenuBarStyleHook.IsSubMenuItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 12 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_80053_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.CanFindNextItem"
		size = 26
		refs = "000a TMenuItem.GetCount"
	strings:
		$1 = { 53 8B DA 85 DB 74 0F 8B C3 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_80054_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.FindItem"
		size = 29
		refs = "000c TFormStyleHook.TMainMenuBarStyleHook.MainMenu 0015 TMenu.FindItem"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B C7 E8 ?? ?? ?? ?? 8B CB 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80055_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.MenuEnter"
		size = 52
		refs = "0009 HideCaret 0024 TFormStyleHook.TMainMenuBarStyleHook.FindFirstMenuItem 002d TFormStyleHook.TMainMenuBarStyleHook.ProcessMenuLoop"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 00 E8 ?? ?? ?? ?? C6 86 84 00 00 00 00 C6 86 A6 00 00 00 00 84 DB 75 09 B2 01 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80056_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.MenuExit"
		size = 156
		refs = "000a ShowCaret 003b Mouse 0042 TMouse.GetCursorPos 004f WindowFromPoint 0059 TStyleHook.GetHandle 0064 TFormStyleHook.TMainMenuBarStyleHook.ItemFromCursorPos 0093 TFormStyleHook.TMainMenuBarStyleHook.Invalidate"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 6A 00 E8 ?? ?? ?? ?? C6 43 28 00 C6 83 8C 00 00 00 00 C6 83 86 00 00 00 00 C6 43 18 00 C6 83 84 00 00 00 00 C6 83 A6 00 00 00 00 83 7B 04 FF 74 47 8B D4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 E8 ?? ?? ?? ?? 8B F0 8B 43 1C E8 ?? ?? ?? ?? 3B F0 75 1E 8B C3 E8 ?? ?? ?? ?? 40 74 14 8B C3 E8 ?? ?? ?? ?? 8B F0 89 73 04 89 B3 94 00 00 00 EB 11 C7 43 04 FF FF FF FF C7 83 94 00 00 00 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_80057_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.CheckHotKeyItem"
		size = 146
		refs = "0012 TFormStyleHook.TMainMenuBarStyleHook.FindHotKeyItem 0039 TMenuItem.GetCount 0044 TFormStyleHook.TMainMenuBarStyleHook.MenuExit 005a TMenuItem.GetParentMenu 007a TMenu.DispatchCommand 0087 TFormStyleHook.TMainMenuBarStyleHook.TrackMenuFromItem"
	strings:
		$1 = { 53 56 57 55 8B F8 33 DB 0F B7 C2 8B D0 B1 01 8B C7 E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 6E 3B 77 04 75 69 B3 01 8B 47 04 8B D0 03 C0 03 C0 03 C0 2B C2 8B 57 30 8B 44 82 08 E8 ?? ?? ?? ?? 85 C0 75 3F 8B C7 E8 ?? ?? ?? ?? 8B EE 03 ED 03 ED 03 ED 2B EE 8B 47 30 8B 44 A8 08 E8 ?? ?? ?? ?? 85 C0 74 29 8B 47 30 8B 44 A8 08 E8 ?? ?? ?? ?? 8B 57 30 8B 54 AA 08 0F B7 52 54 E8 ?? ?? ?? ?? EB 0B C6 47 18 01 8B C7 E8 ?? ?? ?? ?? 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80058_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.ProcessMenuLoop"
		size = 819
		refs = "0023 TFormStyleHook.TMainMenuBarStyleHook.TrackMenuFromItem 0037 PeekMessage 011f PostQuitMessage 0140 TFormStyleHook.TMainMenuBarStyleHook.Invalidate 014d TFormStyleHook.TMainMenuBarStyleHook.FindHotKeyItem 0172 TMenuItem.GetCount 017d TFormStyleHook.TMainMenuBarStyleHook.MenuExit 0193 TMenuItem.GetParentMenu 01b7 TMenu.DispatchCommand 0210 TFormStyleHook.TMainMenuBarStyleHook.FindPriorMenuItem 021e TFormStyleHook.TMainMenuBarStyleHook.FindNextMenuItem 0262 TFormStyleHook.TMainMenuBarStyleHook.TrackMDIChildSystemMenu 027e TFormStyleHook.TMainMenuBarStyleHook.TrackSystemMenu 02ff DispatchMessage"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 88 14 24 8B F0 80 7E 28 00 0F 85 15 03 00 00 C6 46 28 01 80 3C 24 00 74 07 8B C6 E8 ?? ?? ?? ?? 33 DB 6A 01 6A 00 6A 00 6A 00 8D 44 24 14 50 E8 ?? ?? ?? ?? 85 C0 0F 84 C0 02 00 00 8B 44 24 08 3D A7 00 00 00 7D 54 83 F8 1F 7F 29 0F 84 98 02 00 00 83 C0 FA 83 E8 03 0F 82 8C 02 00 00 83 E8 07 0F 84 BA 00 00 00 83 E8 02 0F 84 9E 00 00 00 E9 7D 02 00 00 2D 86 00 00 00 0F 84 6A 02 00 00 83 C0 E5 83 E8 02 0F 82 5E 02 00 00 48 83 E8 02 0F 82 54 02 00 00 E9 57 02 00 00 3D 01 02 00 00 7D 28 05 59 FF FF FF 83 E8 02 0F 82 3A 02 00 00 83 E8 57 74 77 83 E8 04 74 3E 2D FC 00 00 00 0F 84 37 02 00 00 E9 28 02 00 00 05 FF FD FF FF 83 E8 02 0F 82 12 02 00 00 48 83 E8 02 0F 82 08 02 00 00 48 83 E8 02 0F 82 FE 01 00 00 2D 18 AE 00 00 74 2E E9 FA 01 00 00 83 7C 24 0C 12 0F 85 F9 01 00 00 C6 46 28 00 B3 01 E9 EE 01 00 00 C6 46 28 00 8B 44 24 0C 50 E8 ?? ?? ?? ?? E9 DB 01 00 00 C6 46 28 00 B3 01 E9 D0 01 00 00 80 7E 18 00 75 0B C6 46 18 01 8B C6 E8 ?? ?? ?? ?? B1 01 8B 54 24 0C 8B C6 E8 ?? ?? ?? ?? 8B F8 83 FF FF 74 74 3B 7E 04 75 6F 8B 46 04 8B D0 03 C0 03 C0 03 C0 2B C2 8B 56 30 8B 44 82 08 E8 ?? ?? ?? ?? 85 C0 75 46 8B C6 E8 ?? ?? ?? ?? 8B EF 03 ED 03 ED 03 ED 2B EF 8B 46 30 8B 44 A8 08 E8 ?? ?? ?? ?? 85 C0 0F 84 64 01 00 00 8B 46 30 8B 44 A8 08 E8 ?? ?? ?? ?? 8B 56 30 8B 54 AA 08 0F B7 52 54 E8 ?? ?? ?? ?? E9 43 01 00 00 8B C6 E8 ?? ?? ?? ?? E9 37 01 00 00 8B 44 24 0C 83 F8 25 7F 11 74 50 83 E8 0D 74 73 83 E8 0E 74 12 E9 1D 01 00 00 83 E8 27 74 14 48 74 61 E9 10 01 00 00 8B C6 E8 ?? ?? ?? ?? E9 04 01 00 00 8B 46 1C 8B 40 08 80 78 69 01 75 0E B2 01 8B C6 E8 ?? ?? ?? ?? E9 EA 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? E9 DC 00 00 00 8B 46 1C 8B 40 08 80 78 69 01 75 0E B2 01 8B C6 E8 ?? ?? ?? ?? E9 C2 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? E9 B4 00 00 00 80 BE 84 00 00 00 00 74 13 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 98 00 00 00 80 BE A6 00 00 00 00 74 10 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 7F 8B 7E 04 83 FF FF 74 77 8B C7 03 C0 03 C0 03 C0 2B C7 8B 56 30 8B 44 82 08 E8 ?? ?? ?? ?? 85 C0 75 42 8B 7E 04 8B C6 E8 ?? ?? ?? ?? 8B EF 03 ED 03 ED 03 ED 2B EF 8B 46 30 8B 44 A8 08 E8 ?? ?? ?? ?? 85 C0 74 39 8B 46 30 8B 44 A8 08 E8 ?? ?? ?? ?? 8B 56 30 8B 54 AA 08 0F B7 52 54 E8 ?? ?? ?? ?? EB 1B 8B C6 E8 ?? ?? ?? ?? EB 12 C6 46 28 00 B3 01 EB 0A 8D 44 24 04 50 E8 ?? ?? ?? ?? 80 7E 28 00 0F 85 0D FD FF FF 80 BE 8F 00 00 00 00 75 07 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 8D 44 24 04 50 E8 ?? ?? ?? ?? 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80059_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.FindFirstMenuItem"
		size = 81
		refs = "003f TFormStyleHook.TMainMenuBarStyleHook.Invalidate"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 83 CD FF 8B 70 2C 4E 85 F6 7C 36 46 33 DB 8B D3 03 D2 03 D2 03 D2 2B D3 8B 48 30 8B 7C 91 08 80 7F 42 00 74 18 80 7F 3D 00 74 12 8B EB 80 3C 24 00 74 0E 89 58 04 E8 ?? ?? ?? ?? EB 04 43 4E 75 CD 8B C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80060_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.FindFirstRightMenuItem"
		size = 72
		refs = "0036 TFormStyleHook.TMainMenuBarStyleHook.Invalidate"
	strings:
		$1 = { 53 56 57 83 CF FF 8B 58 2C 4B 83 FB 00 7C 33 8B CB 03 C9 03 C9 03 C9 2B CB 8B 70 30 8B 74 8E 08 80 7E 42 00 74 16 80 7E 3D 00 74 10 8B FB 84 D2 74 10 89 58 04 E8 ?? ?? ?? ?? EB 06 4B 83 FB FF 75 CD 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80061_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.FindHotKeyItem"
		size = 119
		refs = "0048 IsAccel 0061 TFormStyleHook.TMainMenuBarStyleHook.Invalidate"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 88 4C 24 04 89 14 24 8B F0 C7 44 24 08 FF FF FF FF 8B 6E 2C 4D 85 ED 7C 4B 45 33 DB 8B C3 03 C0 03 C0 03 C0 2B C3 8B 56 30 8B 7C 82 08 80 7F 42 00 74 2D 80 7F 3D 00 74 27 8B 57 38 0F B7 04 24 E8 ?? ?? ?? ?? 84 C0 74 17 89 5C 24 08 80 7C 24 04 00 74 10 89 5E 04 8B C6 E8 ?? ?? ?? ?? EB 04 43 4D 75 B8 8B 44 24 08 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80062_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.FindNextMenuItem"
		size = 395
		refs = "004f TFormStyleHook.TMainMenuBarStyleHook.Invalidate 0061 TFormStyleHook.TMainMenuBarStyleHook.CanTrackSystemMenu 0070 TFormStyleHook.TMainMenuBarStyleHook.FindFirstMenuItem 00d9 TFormStyleHook.TMainMenuBarStyleHook.CanTrackMDISystemMenu 0145 TFormStyleHook.TMainMenuBarStyleHook.MenuExit 014c TFormStyleHook.TMainMenuBarStyleHook.TrackSystemMenu 0168 TFormStyleHook.TMainMenuBarStyleHook.TrackMDIChildSystemMenu"
	strings:
		$1 = { 53 56 57 51 88 14 24 8B D8 83 CF FF 8B 43 04 83 F8 FF 75 04 33 C0 EB 01 40 8B F0 8B 43 2C 48 2B C6 7C 36 40 8B D6 03 D2 03 D2 03 D2 2B D6 8B 4B 30 8B 54 91 08 80 7A 42 00 74 1A 80 7A 3D 00 74 14 8B FE 80 3C 24 00 74 10 89 73 04 8B C3 E8 ?? ?? ?? ?? EB 04 46 48 75 CB 83 FF FF 75 1D 8B C3 E8 ?? ?? ?? ?? 84 C0 75 12 0F B6 14 24 8B C3 E8 ?? ?? ?? ?? 8B F8 E9 09 01 00 00 83 FF FF 0F 85 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 95 00 00 00 80 BB 8C 00 00 00 00 0F 85 88 00 00 00 80 BB A6 00 00 00 00 75 2D 80 BB 84 00 00 00 00 75 24 C6 83 A6 00 00 00 01 C6 83 84 00 00 00 00 80 3C 24 00 0F 84 BA 00 00 00 8B C3 E8 ?? ?? ?? ?? E9 AE 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2A 80 BB 84 00 00 00 00 75 21 C6 83 A6 00 00 00 00 C6 83 84 00 00 00 01 80 3C 24 00 0F 84 82 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 79 C6 83 A6 00 00 00 00 C6 83 84 00 00 00 00 0F B6 14 24 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 5C 83 FF FF 75 57 80 BB 8C 00 00 00 00 74 4E 8B C3 E8 ?? ?? ?? ?? 22 04 24 74 10 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 32 8B C3 E8 ?? ?? ?? ?? 22 04 24 74 10 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 16 83 BB 88 00 00 00 00 75 0D 0F B6 14 24 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C7 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80063_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.FindPriorMenuItem"
		size = 371
		refs = "0049 TFormStyleHook.TMainMenuBarStyleHook.Invalidate 005d TFormStyleHook.TMainMenuBarStyleHook.CanTrackSystemMenu 006a TFormStyleHook.TMainMenuBarStyleHook.FindFirstRightMenuItem 0099 TFormStyleHook.TMainMenuBarStyleHook.CanTrackMDISystemMenu 0130 TFormStyleHook.TMainMenuBarStyleHook.MenuExit 0137 TFormStyleHook.TMainMenuBarStyleHook.TrackMDIChildSystemMenu 0152 TFormStyleHook.TMainMenuBarStyleHook.TrackSystemMenu"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 83 CF FF 8B 46 04 83 F8 FF 75 05 8B 46 2C EB 01 48 8B E8 83 FD 00 7C 35 8B C5 03 C0 03 C0 03 C0 2B C5 8B 56 30 8B 44 82 08 80 78 42 00 74 18 80 78 3D 00 74 12 8B FD 84 DB 74 12 89 6E 04 8B C6 E8 ?? ?? ?? ?? EB 06 4D 83 FD FF 75 CB 83 FF FF 75 1B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 10 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 E9 F7 00 00 00 83 FF FF 0F 85 96 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 87 00 00 00 80 BE 8C 00 00 00 00 75 7E 8B C6 E8 ?? ?? ?? ?? 84 C0 74 34 80 BE 84 00 00 00 00 75 2B 80 BE A6 00 00 00 00 75 22 C6 86 A6 00 00 00 00 C6 86 84 00 00 00 01 84 DB 0F 84 A3 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 97 00 00 00 80 BE A6 00 00 00 00 75 1B C6 86 A6 00 00 00 01 C6 86 84 00 00 00 00 84 DB 74 7C 8B C6 E8 ?? ?? ?? ?? EB 73 C6 86 A6 00 00 00 00 C6 86 84 00 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 58 83 FF FF 75 53 80 BE 8C 00 00 00 00 74 4A 8B C6 E8 ?? ?? ?? ?? 84 D8 74 10 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 2F 8B C6 E8 ?? ?? ?? ?? 84 D8 74 10 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 14 83 BE 88 00 00 00 00 75 0B 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80064_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.GetTrackMenuPos"
		size = 282
		refs = "0022 TRect.GetHeight 0066 TRect.GetWidth 008b Screen 0090 TScreen.MonitorFromPoint 00c7 TMonitor.GetWorkareaRect"
	strings:
		$1 = { 53 56 57 83 C4 BC 8B F2 8D 7C 24 18 51 B9 07 00 00 00 F3 A5 59 8B D9 8B F0 8B 7C 24 24 8D 44 24 24 E8 ?? ?? ?? ?? 03 44 24 28 89 7C 24 08 89 44 24 0C 8B 44 24 08 89 03 8B 44 24 0C 89 43 04 8B 03 8B 56 1C 03 82 B0 00 00 00 03 46 08 89 03 8B 43 04 8B 56 1C 03 82 DC 00 00 00 03 46 0C 89 43 04 8D 44 24 24 E8 ?? ?? ?? ?? 03 03 8B 53 04 89 44 24 10 89 54 24 14 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 8B D3 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D4 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F8 74 54 8B 46 1C 8B 40 08 80 78 69 01 74 1F 8B D4 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 54 24 34 E8 ?? ?? ?? ?? 8B 44 24 34 89 03 EB 29 8B D3 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 54 24 34 E8 ?? ?? ?? ?? 8B 7C 24 3C 8D 44 24 24 E8 ?? ?? ?? ?? 2B F8 4F 89 3B 8B 46 1C 8B 40 08 80 78 69 01 75 0B 8D 44 24 24 E8 ?? ?? ?? ?? 01 03 83 C4 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80065_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.HookMenus"
		size = 61
		refs = "000c TFormStyleHook.TMainMenuBarStyleHook.FMenuBarHook 0013 TFormStyleHook.TMainMenuBarStyleHook.FCurrentMenuItem 0021 GetCurrentThreadId 0029 TFormStyleHook.TMainMenuBarStyleHook.PopupMenuHook 0031 SetWindowsHookEx"
	strings:
		$1 = { 53 8B D8 C6 83 A4 00 00 00 01 89 1D ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 83 BB 88 00 00 00 00 75 1B E8 ?? ?? ?? ?? 50 6A 00 B8 ?? ?? ?? ?? 50 6A FF E8 ?? ?? ?? ?? 89 83 88 00 00 00 5B C3 }
	condition:
		$1
}

rule function_80066_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.UnHookMenus"
		size = 50
		refs = "000f UnhookWindowsHookEx 0016 TFormStyleHook.TMainMenuBarStyleHook.FMenuBarHook 001d TFormStyleHook.TMainMenuBarStyleHook.FCurrentMenuItem"
	strings:
		$1 = { 53 8B D8 8B 83 88 00 00 00 85 C0 74 06 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 89 83 88 00 00 00 C6 83 A4 00 00 00 00 5B C3 }
	condition:
		$1
}

rule function_80067_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.ItemFromCursorPos"
		size = 71
		refs = "0009 Mouse 0010 TMouse.GetCursorPos 003f TFormStyleHook.TMainMenuBarStyleHook.ItemFromPoint"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 43 1C 8B 14 24 2B 90 B0 00 00 00 2B 53 08 89 14 24 8B 54 24 04 2B 90 DC 00 00 00 2B 53 0C 89 54 24 04 8B CA 8B C3 8B 14 24 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_80068_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.MDIChildClose"
		size = 58
		refs = "0007 TFormStyleHook.GetForm 000c TCustomForm.get_ActiveMDIChild 002e TWinControl.GetHandle 0034 SendMessage"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 24 6A 00 68 60 F0 00 00 68 12 01 00 00 8B 43 1C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80069_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.MDIChildRestore"
		size = 58
		refs = "0007 TFormStyleHook.GetForm 000c TCustomForm.get_ActiveMDIChild 002e TWinControl.GetHandle 0034 SendMessage"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 24 6A 00 68 20 F1 00 00 68 12 01 00 00 8B 43 1C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80070_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.MDIChildMinimize"
		size = 58
		refs = "0007 TFormStyleHook.GetForm 000c TCustomForm.get_ActiveMDIChild 002e TWinControl.GetHandle 0034 SendMessage"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 24 6A 00 68 20 F0 00 00 68 12 01 00 00 8B 43 1C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80071_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.MDIButtonFromPoint"
		size = 83
		refs = "002f PtInRect"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 0C 24 8B EA 8B F0 C7 44 24 04 FF FF FF FF 33 DB 89 6C 24 08 8B 04 24 89 44 24 0C 8D 54 24 08 8D 3C 5B 8D 44 FE 44 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 44 FE 3C 89 44 24 04 EB 06 43 83 FB 03 75 D1 8B 44 24 04 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80072_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.ItemFromPoint"
		size = 127
		refs = "005b PtInRect"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 4C 24 04 89 14 24 8B F0 C7 44 24 08 FF FF FF FF 8B 7E 2C 4F 85 FF 7C 53 47 33 DB 8B EB 03 ED 03 ED 03 ED 2B EB 8B 46 30 8B 44 A8 08 80 78 42 00 74 35 80 78 3D 00 74 2F 8B 04 24 89 44 24 0C 8B 44 24 04 89 44 24 10 8B 46 30 8D 44 A8 0C 8D 54 24 0C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 46 30 8B 04 A8 89 44 24 08 EB 04 43 4F 75 B0 8B 44 24 08 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80073_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.Invalidate"
		size = 9
	strings:
		$1 = { 8B 40 1C 8B 10 FF 52 24 C3 }
	condition:
		$1
}

rule function_80074_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.MainMenu"
		size = 40
		refs = "0007 TFormStyleHook.GetForm"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? 80 B8 A6 02 00 00 01 75 04 33 C0 5B C3 8B 43 1C E8 ?? ?? ?? ?? 8B 80 BC 02 00 00 5B C3 }
	condition:
		$1
}

rule function_80075_0 {
	meta:
		name = "Insert"
		size = 142
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC FF 02 8B 0A 49 3B C1 75 1F 8B D0 03 C0 03 C0 03 C0 2B C2 8B 55 08 8B 52 08 8B 52 FC 8B 52 30 8B 4D FC 89 4C 82 08 EB 56 8D 58 01 2B D9 7F 32 4B 89 CA 8B CA 03 C9 03 C9 03 C9 2B CA 8B 75 08 8B 76 08 8B 76 FC 8B 76 30 FF 74 8E EC 8B 75 08 8B 76 08 8B 76 FC 8B 76 30 5F 89 7C 8E 08 4A 43 75 D1 8B D0 03 C0 03 C0 03 C0 2B C2 8B 55 08 8B 52 08 8B 52 FC 8B 52 30 8B 4D FC 89 4C 82 08 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80076_0 {
	meta:
		name = "CanAddItem"
		size = 82
		refs = "0017 TMenuItem.GetCount 0031 TMenuItem.GetItem"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 C6 45 FF 01 8B 45 08 8B 40 FC 8B 40 3C E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 26 43 33 F6 8B 45 08 8B 40 FC 8B 40 3C 8B D6 E8 ?? ?? ?? ?? 0F B6 40 43 3A 47 43 75 06 C6 45 FF 00 EB 04 46 4B 75 DD 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80077_0 {
	meta:
		name = "GetItemCount"
		size = 428
		refs = "002a TMenuItem.GetCount 004e :TFormStyleHook.TMainMenuBarStyleHook.:1 0053 @DynArraySetLength 007c TMenuItem.GetItem 00bb CanAddItem 0136 Insert"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B F8 85 FF 75 0A 33 C0 89 45 F8 E9 86 01 00 00 83 7D FC 00 0F 84 21 01 00 00 8B 47 3C E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 03 D8 53 8B 45 08 8B 40 FC 83 C0 30 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 40 3C E8 ?? ?? ?? ?? 89 45 F8 8B 75 F8 4E 85 F6 7C 2B 46 33 DB 8B 45 FC 8B 40 3C 8B D3 E8 ?? ?? ?? ?? 8B D3 03 D2 03 D2 03 D2 2B D3 8B 4D 08 8B 49 FC 8B 49 30 89 44 91 08 43 4E 75 D8 8B 47 3C E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 0F 8C F3 00 00 00 55 8B 47 3C 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 77 C7 45 F0 FF FF FF FF 8B 75 F8 4E 85 F6 7C 43 46 C7 45 F4 00 00 00 00 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 0F B6 40 43 8B 55 F4 8B CA 03 D2 03 D2 03 D2 2B D1 8B 4D 08 8B 49 FC 8B 49 30 8B 54 91 08 3A 42 43 77 08 8B 45 F4 89 45 F0 EB 06 FF 45 F4 4E 75 C5 83 7D F0 FF 75 06 8B 45 F8 89 45 F0 55 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B C8 8D 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 59 4B 83 FB FF 0F 85 6A FF FF FF EB 5B 8B 47 3C E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 50 8B 45 08 8B 40 FC 83 C0 30 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 75 F8 4E 85 F6 7C 28 46 33 DB 8B 47 3C 8B D3 E8 ?? ?? ?? ?? 8B D3 03 D2 03 D2 03 D2 2B D3 8B 4D 08 8B 49 FC 8B 49 30 89 44 91 08 43 4E 75 DB 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80078_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.GetMenuHeight"
		size = 479
		refs = "0012 GetSystemMetrics 001d TFormStyleHook.TMainMenuBarStyleHook.MainMenu 0058 TFormStyleHook.GetForm 0075 TCustomForm.get_ActiveMDIChild 009e TMenuItem.GetCount 00ae TWinControl.GetHandle 00d0 GetItemCount 00de _Dn_TBitmap 00e3 TBitmap.Create 00ee TFormStyleHook.TMainMenuBarStyleHook.GetMenuHeight 00fc TBitmap.GetCanvas 0105 Screen 0124 TFormStyleHook.TMainMenuBarStyleHook.CanTrackMDISystemMenu 0177 TFormStyleHook.TMainMenuBarStyleHook.GetMenuItemWidth 01ae TObject.Free 01b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 F8 89 45 FC 6A 0F E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 AC 01 00 00 8B 45 FC 80 B8 A5 00 00 00 00 74 0B 8B 45 F4 8D 04 40 89 45 E8 EB 05 33 C0 89 45 E8 8B 45 FC E8 ?? ?? ?? ?? 8B F8 33 F6 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 80 B8 A6 02 00 00 02 75 65 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 4D 8B C3 E8 ?? ?? ?? ?? 83 B8 BC 02 00 00 00 74 3D 8B C3 E8 ?? ?? ?? ?? 8B 80 BC 02 00 00 8B 40 3C E8 ?? ?? ?? ?? 85 C0 7E 24 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 52 1C 3B 42 3C 74 0D 8B C3 E8 ?? ?? ?? ?? 8B B0 BC 02 00 00 55 8B D6 8B C7 E8 ?? ?? ?? ?? 59 8B 55 FC 89 42 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 40 8B 15 ?? ?? ?? ?? 8B 92 88 00 00 00 8B 08 FF 51 08 8B 45 FC 80 B8 A5 00 00 00 00 74 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 74 0C 6A 0F E8 ?? ?? ?? ?? 89 45 EC EB 05 33 C0 89 45 EC 8B 45 FC 8B 58 2C 4B 85 DB 7C 4B 43 33 F6 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8B C6 03 C0 03 C0 03 C0 2B C6 8B 55 FC 8B 52 30 8B 54 82 08 8B 45 FC E8 ?? ?? ?? ?? 01 45 EC 8B 55 EC 3B 55 F8 7E 13 83 7D EC 00 74 0D 89 45 EC 6A 0F E8 ?? ?? ?? ?? 01 45 F4 46 4B 75 B8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D E8 00 74 15 8B 45 EC 03 45 E8 3B 45 F8 7E 0A 6A 0F E8 ?? ?? ?? ?? 01 45 F4 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80079_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.GetMenuItemWidth"
		size = 179
		refs = "0010 TMenuItem.GetParentMenu 0033 Rect 003a TCanvas.GetHandle 005b @UStrToPWChar 0062 DrawText 0069 TRect.GetWidth 0090 TCustomImageList.GetCount 009c TFormStyleHook.TMainMenuBarStyleHook.MainMenu"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F1 8B DA 8B E8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 06 80 7B 42 00 75 07 33 F6 E9 84 00 00 00 6A 00 8D 44 24 04 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 73 38 85 F6 74 05 83 EE 04 8B 36 68 00 04 00 00 8D 44 24 04 50 56 8B 43 38 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B F0 83 C6 0A 8B C3 E8 ?? ?? ?? ?? 83 78 4C 00 74 2A 83 7B 44 00 7C 24 8B C3 E8 ?? ?? ?? ?? 8B 40 4C E8 ?? ?? ?? ?? 3B 43 44 7E 10 8B C5 E8 ?? ?? ?? ?? 8B 40 4C 03 70 3C 83 C6 06 8B C6 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80080_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.DrawItem"
		size = 730
		refs = "0021 TMenuItem.GetParentMenu 002e StyleServices 00aa TCanvas.GetHandle 00b0 SaveDC 00bb TFormStyleHook.TMainMenuBarStyleHook.DrawItem 00dc TCustomStyleServices.DrawElement 00fb RestoreDC 0101 @HandleFinally 0148 TFormStyleHook.TMainMenuBarStyleHook.MainMenu 0150 TCustomImageList.GetCount 0184 TRect.GetHeight 01c6 TCustomImageList.GetHandle 01cc ImageList_Draw 0212 TCustomStyleServices.GetElementColor 0224 TFont.SetColor 0271 TControl.DrawTextBiDiModeFlags 0282 @UStrToPWChar 0289 DrawText"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 8B F2 8D 7D CC 51 B9 07 00 00 00 F3 A5 59 89 4D F8 89 45 FC 8B 45 D4 E8 ?? ?? ?? ?? 85 C0 0F 84 A6 02 00 00 E8 ?? ?? ?? ?? 89 45 E8 8B 45 D4 E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 8B 40 04 3B 45 CC 75 36 8B 45 FC 80 B8 8C 00 00 00 00 74 06 C6 45 D0 0E EB 37 8B 45 FC 80 B8 A6 00 00 00 00 75 12 8B 45 FC 80 B8 84 00 00 00 00 75 06 C6 45 D0 0D EB 19 C6 45 D0 0C EB 13 8B 45 D4 80 78 3D 00 74 06 C6 45 D0 0C EB 04 C6 45 D0 0F 0F B6 55 D0 8D 4D C0 8B 45 E8 8B 18 FF 93 9C 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D8 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 4D C0 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8D 75 D8 8D 7D B0 A5 A5 A5 A5 8B 45 FC 8B 40 1C 8B 40 08 80 78 69 01 74 06 83 45 B0 05 EB 04 83 6D B8 05 8B 45 EC 83 78 4C 00 0F 84 CE 00 00 00 8B 45 D4 83 78 44 00 0F 8C C1 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 40 4C E8 ?? ?? ?? ?? 8B 55 D4 3B 42 44 0F 8E A5 00 00 00 8B 45 FC 8B 40 1C 8B 40 08 80 78 69 01 74 05 8B 5D B0 EB 0C 8B 45 EC 8B 40 4C 8B 5D B8 2B 58 3C 8D 45 B0 E8 ?? ?? ?? ?? 8B F0 D1 FE 79 03 83 D6 00 03 75 B4 8B 45 EC 8B 40 4C 8B 40 38 D1 F8 79 03 83 D0 00 2B F0 6A 01 56 53 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 D4 8B 40 44 50 8B 45 FC E8 ?? ?? ?? ?? 8B 40 4C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B 40 08 80 78 69 01 74 14 8B 45 EC 8B 40 4C 8B 40 3C 03 45 B0 83 C0 03 89 45 B0 EB 12 8B 45 EC 8B 40 4C 8B 55 B8 2B 50 3C 83 EA 03 89 55 B8 8D 45 F0 50 B1 02 8D 55 C0 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 F8 8B 40 40 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 8C 00 00 00 00 75 0C 8B 45 FC 80 B8 86 00 00 00 00 74 4F 8B 45 FC 80 78 18 00 74 46 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 45 D4 8B 58 38 85 DB 74 05 83 EB 04 8B 1B 8B 45 FC 8B 40 1C 8B 40 08 BA 24 00 00 00 E8 ?? ?? ?? ?? 50 8D 45 B0 50 53 8B 45 D4 8B 40 38 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? EB 44 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 45 D4 8B 58 38 85 DB 74 05 83 EB 04 8B 1B 8B 45 FC 8B 40 1C 8B 40 08 BA 24 00 10 00 E8 ?? ?? ?? ?? 50 8D 45 B0 50 53 8B 45 D4 8B 40 38 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80084_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.Paint"
		size = 1699
		refs = "0016 TRect.GetWidth 0029 TRect.GetHeight 0036 StyleServices 0051 TFormStyleHook.TMainMenuBarStyleHook.MainMenu 006e TFormStyleHook.GetForm 008b TCustomForm.get_ActiveMDIChild 00c4 TMenuItem.GetCount 00d4 TWinControl.GetHandle 00f6 _Dn_TBitmap 00fb TBitmap.Create 0106 TFormStyleHook.TMainMenuBarStyleHook.Paint 0136 TBitmap.GetCanvas 013b TCanvas.GetHandle 0141 SaveDC 0182 Rect 01a2 TCustomStyleServices.DrawElement 01c6 RestoreDC 01cc @HandleFinally 01df Screen 01fc TBrush.SetStyle 0210 TFormStyleHook.TMainMenuBarStyleHook.CanTrackMDISystemMenu 0230 TFormStyleHook.TMainMenuBarStyleHook.GetIconFast 0235 TIcon.GetHandle 024d DrawIconEx 0259 GetItemCount 0278 GetSystemMetrics 0307 TFormStyleHook.TMainMenuBarStyleHook.GetMenuItemWidth 04d2 TFormStyleHook.TMainMenuBarStyleHook.DrawItem 0690 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 89 55 F8 89 45 FC 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 85 C0 0F 84 7A 06 00 00 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 85 C0 0F 84 67 06 00 00 E8 ?? ?? ?? ?? 89 45 D4 8B 45 D4 8B 10 FF 52 44 84 C0 0F 84 4F 06 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 0F 84 3A 06 00 00 33 C0 89 45 EC 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 80 B8 A6 02 00 00 02 75 78 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 60 8B C3 E8 ?? ?? ?? ?? 80 B8 A5 02 00 00 00 74 50 8B C3 E8 ?? ?? ?? ?? 83 B8 BC 02 00 00 00 74 40 8B C3 E8 ?? ?? ?? ?? 8B 80 BC 02 00 00 8B 40 3C E8 ?? ?? ?? ?? 85 C0 7E 27 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 52 1C 3B 42 3C 74 10 8B C3 E8 ?? ?? ?? ?? 8B 80 BC 02 00 00 89 45 EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 50 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 59 8B 18 FF 53 6C 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D C4 B2 0A 8B 45 D4 8B 18 FF 93 9C 00 00 00 8B 45 F4 8B 10 FF 52 24 50 8D 45 B4 50 8B 45 F4 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 B4 50 6A 00 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8D 4D C4 8B 45 D4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC 50 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 40 8B 15 ?? ?? ?? ?? 8B 92 88 00 00 00 8B 08 FF 51 08 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A5 00 00 00 00 74 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 84 DB 74 2F 6A 03 6A 00 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 02 6A 02 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 55 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 59 8B 55 FC 89 42 2C 8B 45 FC 8B 40 1C 8B 40 08 80 78 69 01 0F 94 45 DB 6A 0F E8 ?? ?? ?? ?? 89 45 E0 80 7D DB 00 75 0D 84 DB 74 05 8B 75 E0 EB 34 33 F6 EB 30 8B 45 FC 80 B8 A5 00 00 00 00 74 17 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 8B F0 8B 45 E0 8D 04 40 2B F0 EB 0D 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 8B F0 33 C0 89 45 E8 8B 45 FC 8B 40 2C 48 85 C0 0F 8C 0A 02 00 00 40 89 45 D0 33 DB 8B FB 03 FF 03 FF 03 FF 2B FB 8B 45 FC 8B 40 30 89 1C B8 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 40 30 8B 54 B8 08 8B 45 FC E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 75 29 6A 00 8D 45 B4 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 30 56 8D 75 B4 8D 7C B8 0C A5 A5 A5 A5 5E E9 99 01 00 00 80 7D DB 00 0F 85 82 00 00 00 8B 45 FC 8B 40 30 89 74 B8 0C 8B C3 03 C0 03 C0 03 C0 2B C3 8B 55 FC 8B 52 30 8B 44 82 0C 03 45 E4 8B 55 FC 8B 52 30 89 44 BA 14 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 8B FB 03 FF 03 FF 03 FF 2B FB 8B 55 FC 8B 52 30 3B 44 BA 14 7D 27 85 F6 74 23 6A 0F E8 ?? ?? ?? ?? 01 45 E8 8B 45 FC 8B 40 30 33 D2 89 54 B8 0C 8B 45 FC 8B 40 30 8B 55 E4 89 54 B8 14 8B 45 FC 8B 40 30 8B 74 B8 14 E9 B6 00 00 00 8B 45 FC 8B 40 30 8B D6 2B 55 E4 89 54 B8 0C 8B C3 03 C0 03 C0 03 C0 2B C3 8B 55 FC 8B 52 30 8B 44 82 0C 03 45 E4 8B 55 FC 8B 52 30 89 44 BA 14 8B FB 03 FF 03 FF 03 FF 2B FB 8B 45 FC 8B 40 30 83 7C B8 0C 00 7D 65 85 F6 74 61 6A 0F E8 ?? ?? ?? ?? 01 45 E8 8B 45 FC 80 B8 A5 00 00 00 00 74 1F 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 8B 55 E0 8D 14 52 2B C2 8B 55 FC 8B 52 30 89 44 BA 14 EB 15 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 8B 55 FC 8B 52 30 89 44 BA 14 8B 45 FC 8B 40 30 8B 44 B8 14 2B 45 E4 8B 55 FC 8B 52 30 89 44 BA 0C 8B 45 FC 8B 40 30 8B 74 B8 0C 8B FB 03 FF 03 FF 03 FF 2B FB 8B 45 FC 8B 40 30 8B 55 E8 89 54 B8 10 6A 0F E8 ?? ?? ?? ?? 8B D3 03 D2 03 D2 03 D2 2B D3 8B 4D FC 8B 49 30 03 44 91 10 8B 55 FC 8B 52 30 89 44 BA 18 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 40 30 8D 14 B8 8B 45 FC E8 ?? ?? ?? ?? 43 FF 4D D0 0F 85 FC FD FF FF 8B 45 F4 8B 10 FF 52 30 8B F0 8B 45 F4 8B 10 FF 52 24 2B 45 E0 89 45 E8 8B 45 FC 80 B8 A5 00 00 00 00 0F 84 5F 01 00 00 33 DB 8D 04 5B 8B 55 FC 89 5C C2 3C 8B C3 83 E8 01 72 0E 74 52 48 0F 84 8B 00 00 00 E9 C4 00 00 00 8B 45 FC 8B 40 34 3B D8 75 1B 8B 55 FC 3B 9A A0 00 00 00 75 10 8D 04 5B 8B 55 FC C6 44 C2 40 3E E9 9F 00 00 00 3B C3 75 10 8D 04 5B 8B 55 FC C6 44 C2 40 3D E9 8B 00 00 00 8D 04 5B 8B 55 FC C6 44 C2 40 3C EB 7E 8B 45 FC 8B 40 34 3B D8 75 18 8B 55 FC 3B 9A A0 00 00 00 75 0D 8D 04 5B 8B 55 FC C6 44 C2 40 46 EB 5C 3B C3 75 0D 8D 04 5B 8B 55 FC C6 44 C2 40 45 EB 4B 8D 04 5B 8B 55 FC C6 44 C2 40 44 EB 3E 8B 45 FC 8B 40 34 3B D8 75 18 8B 55 FC 3B 9A A0 00 00 00 75 0D 8D 04 5B 8B 55 FC C6 44 C2 40 2E EB 1C 3B C3 75 0D 8D 04 5B 8B 55 FC C6 44 C2 40 2D EB 0B 8D 04 5B 8B 55 FC C6 44 C2 40 2C 8B 45 E8 03 45 E0 50 8D 45 B4 50 8B C6 2B 45 E0 8B CE 8B 55 E8 E8 ?? ?? ?? ?? 8D 04 5B 8B 55 FC 56 8D 75 B4 8D 7C C2 44 A5 A5 A5 A5 5E 8D 04 5B 8B 55 FC 0F B6 54 C2 40 8D 4D C4 8B 45 D4 8B 38 FF 97 FC 00 00 00 8D 04 5B 8B 55 FC 8D 44 C2 44 50 6A 00 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8D 4D C4 8B 45 D4 E8 ?? ?? ?? ?? 2B 75 E0 43 83 FB 03 0F 85 A3 FE FF FF 8B 45 F4 50 8B 45 FC 8B 48 0C 8B 45 FC 8B 50 08 8B 45 F8 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80085_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.PopupMenuHook"
		size = 1420
		refs = "0011 TFormStyleHook.TMainMenuBarStyleHook.FMenuBarHook 0027 TFormStyleHook.TMainMenuBarStyleHook.MainMenu 0049 CallNextHookEx 0087 PostMessage 00c3 Mouse 00ca TMouse.GetCursorPos 00d5 WindowFromPoint 00e4 TStyleHook.GetHandle 0152 TFormStyleHook.TMainMenuBarStyleHook.MouseMove 01d7 TFormStyleHook.TMainMenuBarStyleHook.MenuExit 0202 GetSubMenu 021c TFormStyleHook.TMainMenuBarStyleHook.FindItem 0221 TFormStyleHook.TMainMenuBarStyleHook.FCurrentMenuItem 026e TFormStyleHook.TMainMenuBarStyleHook.CanFindNextItem 0285 TFormStyleHook.TMainMenuBarStyleHook.CanFindPriorItem 02c3 TFormStyleHook.TMainMenuBarStyleHook.CanTrackMDISystemMenu 02e7 EndMenu 0334 TFormStyleHook.TMainMenuBarStyleHook.FindNextMenuItem 0342 TFormStyleHook.TMainMenuBarStyleHook.FindFirstMenuItem 0446 TFormStyleHook.TMainMenuBarStyleHook.FindPriorMenuItem 0454 TFormStyleHook.TMainMenuBarStyleHook.FindFirstRightMenuItem"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 5D 10 8B 7D 08 83 3D ?? ?? ?? ?? 00 74 17 83 3D ?? ?? ?? ?? 00 74 15 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 07 33 F6 E9 4B 05 00 00 53 8B 45 0C 50 57 A1 ?? ?? ?? ?? 8B 80 88 00 00 00 50 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 85 2A 05 00 00 A1 ?? ?? ?? ?? 80 B8 A4 00 00 00 00 74 26 A1 ?? ?? ?? ?? C6 80 A4 00 00 00 00 81 7B 04 1F 01 00 00 74 11 6A 00 6A 28 68 00 01 00 00 8B 03 50 E8 ?? ?? ?? ?? 83 FF 02 0F 85 ED 04 00 00 8B 43 04 2D 00 01 00 00 0F 84 88 01 00 00 83 E8 04 0F 84 10 01 00 00 83 E8 1B 0F 84 2C 01 00 00 2D E1 00 00 00 0F 85 C2 04 00 00 8D 55 D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? FF 75 D4 FF 75 D0 E8 ?? ?? ?? ?? 8B D8 A1 ?? ?? ?? ?? 8B 40 1C E8 ?? ?? ?? ?? 3B D8 0F 85 91 04 00 00 A1 ?? ?? ?? ?? 80 B8 8F 00 00 00 00 0F 85 7F 04 00 00 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 1C 8B 40 08 8B 55 F4 2B 50 48 8B 0D ?? ?? ?? ?? 2B 51 08 89 55 F4 8B 55 F8 2B 50 4C A1 ?? ?? ?? ?? 2B 50 0C 89 55 F8 A1 ?? ?? ?? ?? 8B 58 04 8B CA A1 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 04 3B D8 0F 84 1B 04 00 00 40 0F 84 14 04 00 00 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C6 80 8F 00 00 00 01 A1 ?? ?? ?? ?? 8B 40 1C E8 ?? ?? ?? ?? 0F B7 55 F4 66 89 55 F0 0F B7 55 F8 66 89 55 F2 8B 55 F0 52 6A 01 68 A1 00 00 00 50 E8 ?? ?? ?? ?? E9 C6 03 00 00 83 7B 08 12 0F 85 BC 03 00 00 A1 ?? ?? ?? ?? C6 80 8F 00 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A1 03 00 00 C6 45 FF 00 8B 43 08 C1 E8 10 A8 10 74 04 C6 45 FF 01 80 7D FF 01 75 12 0F B7 43 08 50 8B 43 0C 50 E8 ?? ?? ?? ?? 8B D8 EB 06 0F B7 43 08 8B D8 0F B6 4D FF 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E9 57 03 00 00 A1 ?? ?? ?? ?? 8B 40 1C 8B 40 08 80 78 69 01 75 1D 8B 43 08 83 F8 27 75 09 C7 43 08 25 00 00 00 EB 0C 83 F8 25 75 07 C7 43 08 27 00 00 00 33 C0 8B 53 08 83 FA 27 75 12 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 83 FA 25 75 10 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 83 EA 25 0F 84 77 01 00 00 83 EA 02 0F 85 E3 02 00 00 84 C0 0F 84 DB 02 00 00 A1 ?? ?? ?? ?? C6 40 18 01 A1 ?? ?? ?? ?? 80 B8 A7 00 00 00 00 74 61 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 53 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C6 80 8E 00 00 00 01 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 1C E8 ?? ?? ?? ?? 0F B7 55 F4 66 89 55 EC 0F B7 55 F8 66 89 55 EE 8B 55 EC 52 6A 01 68 A1 00 00 00 50 E8 ?? ?? ?? ?? E9 63 02 00 00 A1 ?? ?? ?? ?? 80 B8 A7 00 00 00 00 75 0E 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 FF 74 5C 8B 15 ?? ?? ?? ?? 89 42 04 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C6 80 8F 00 00 00 01 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 1C E8 ?? ?? ?? ?? 0F B7 55 F4 66 89 55 E8 0F B7 55 F8 66 89 55 EA 8B 55 E8 52 6A 01 68 A1 00 00 00 50 E8 ?? ?? ?? ?? E9 DA 01 00 00 A1 ?? ?? ?? ?? 80 B8 A7 00 00 00 00 0F 85 C8 01 00 00 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C6 80 90 00 00 00 01 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 1C E8 ?? ?? ?? ?? 0F B7 55 F4 66 89 55 E4 0F B7 55 F8 66 89 55 E6 8B 55 E4 52 6A 01 68 A1 00 00 00 50 E8 ?? ?? ?? ?? E9 75 01 00 00 84 C0 0F 84 6D 01 00 00 A1 ?? ?? ?? ?? C6 40 18 01 A1 ?? ?? ?? ?? 80 B8 85 00 00 00 00 74 05 83 C8 FF EB 28 A1 ?? ?? ?? ?? 80 B8 A7 00 00 00 00 75 0E 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 FF 74 5C 8B 15 ?? ?? ?? ?? 89 42 04 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C6 80 8F 00 00 00 01 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 1C E8 ?? ?? ?? ?? 0F B7 55 F4 66 89 55 E0 0F B7 55 F8 66 89 55 E2 8B 55 E0 52 6A 01 68 A1 00 00 00 50 E8 ?? ?? ?? ?? E9 C8 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5E A1 ?? ?? ?? ?? 80 B8 85 00 00 00 00 75 50 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C6 80 8E 00 00 00 01 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 1C E8 ?? ?? ?? ?? 0F B7 55 F4 66 89 55 DC 0F B7 55 F8 66 89 55 DE 8B 55 DC 52 6A 01 68 A1 00 00 00 50 E8 ?? ?? ?? ?? EB 5C A1 ?? ?? ?? ?? 80 B8 A7 00 00 00 00 75 4E 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C6 80 90 00 00 00 01 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 1C E8 ?? ?? ?? ?? 0F B7 55 F4 66 89 55 D8 0F B7 55 F8 66 89 55 DA 8B 55 D8 52 6A 01 68 A1 00 00 00 50 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_80086_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.SetBoundsRect"
		size = 14
	strings:
		$1 = { 56 57 8B F2 8D 78 08 A5 A5 A5 A5 5F 5E C3 }
	condition:
		$1
}

rule function_80087_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.MouseUp"
		size = 221
		refs = "0011 TFormStyleHook.TMainMenuBarStyleHook.ItemFromPoint 0020 TFormStyleHook.TMainMenuBarStyleHook.Invalidate 0039 TMenuItem.GetCount 0044 TFormStyleHook.TMainMenuBarStyleHook.MainMenu 0061 TMenu.DispatchCommand 0075 TFormStyleHook.TMainMenuBarStyleHook.MDIButtonFromPoint 00b6 TFormStyleHook.TMainMenuBarStyleHook.MDIChildClose 00bf TFormStyleHook.TMainMenuBarStyleHook.MDIChildRestore 00c8 TFormStyleHook.TMainMenuBarStyleHook.MDIChildMinimize"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 89 73 04 46 74 48 8B C3 E8 ?? ?? ?? ?? 8B 43 04 8B D0 03 C0 03 C0 03 C0 2B C2 8B 53 30 8B 44 82 08 E8 ?? ?? ?? ?? 85 C0 75 24 8B C3 E8 ?? ?? ?? ?? 8B 53 04 8B CA 03 D2 03 D2 03 D2 2B D1 8B 4B 30 8B 54 91 08 0F B7 52 54 E8 ?? ?? ?? ?? 80 BB A5 00 00 00 00 74 6A 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 89 43 34 8B 43 34 83 F8 FF 74 4A 3B 83 A0 00 00 00 75 42 C7 83 A0 00 00 00 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 43 34 8D 04 40 8B 44 C3 3C 83 E8 01 72 07 74 0E 48 74 14 EB 25 8B C3 E8 ?? ?? ?? ?? EB 1C 8B C3 E8 ?? ?? ?? ?? EB 13 8B C3 E8 ?? ?? ?? ?? EB 0A C7 83 A0 00 00 00 FF FF FF FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80088_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.MouseDown"
		size = 174
		refs = "0014 TFormStyleHook.TMainMenuBarStyleHook.ItemFromPoint 0025 TFormStyleHook.TMainMenuBarStyleHook.MenuEnter 0037 TFormStyleHook.TMainMenuBarStyleHook.CanTrackMDISystemMenu 0049 GetSystemMetrics 0061 Rect 006c PtInRect 0077 TFormStyleHook.TMainMenuBarStyleHook.TrackMDIChildSystemMenu 008b TFormStyleHook.TMainMenuBarStyleHook.MDIButtonFromPoint 00a2 TFormStyleHook.TMainMenuBarStyleHook.Invalidate"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B E9 8B FA 8B D8 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 89 73 04 46 74 0B B2 01 8B C3 E8 ?? ?? ?? ?? EB 50 80 BB A5 00 00 00 00 74 47 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3C 89 3C 24 89 6C 24 04 6A 0F E8 ?? ?? ?? ?? 50 8D 44 24 0C 50 6A 0F E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 44 24 08 8B D4 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 80 BB A5 00 00 00 00 74 22 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 89 73 34 8B C6 89 83 A0 00 00 00 40 74 07 8B C3 E8 ?? ?? ?? ?? 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80089_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.MouseMove"
		size = 336
		refs = "001d Mouse 0024 TMouse.GetCursorPos 0031 TPoint.&op_Equality 0098 TFormStyleHook.TMainMenuBarStyleHook.ItemFromPoint 00cb TFormStyleHook.TMainMenuBarStyleHook.Invalidate 00ff TMenuItem.GetCount 010a TFormStyleHook.TMainMenuBarStyleHook.TrackMenuFromItem 011e TFormStyleHook.TMainMenuBarStyleHook.MDIButtonFromPoint"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F9 8B F2 8B D8 80 BB 8F 00 00 00 00 0F 85 2F 01 00 00 8B D4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D4 8D 83 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 1A 80 BB 86 00 00 00 00 0F 85 03 01 00 00 80 BB 8C 00 00 00 00 0F 85 F6 00 00 00 8B D4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 04 24 89 83 98 00 00 00 8B 44 24 04 89 83 9C 00 00 00 85 F6 7C 04 85 FF 7D 04 33 C0 EB 02 B0 01 88 83 8D 00 00 00 80 BB 8C 00 00 00 00 74 1E 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 40 74 1E 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 89 43 04 EB 0E 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 89 43 04 8B 43 04 3B 83 94 00 00 00 74 46 8B C3 E8 ?? ?? ?? ?? 8B 43 04 89 83 94 00 00 00 80 BB 8C 00 00 00 00 74 2D 83 BB 88 00 00 00 00 75 24 8B 43 04 8B D0 03 C0 03 C0 03 C0 2B C2 8B 53 30 8B 44 82 08 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? 80 BB A5 00 00 00 00 74 32 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B E8 89 6B 34 3B 6B 38 74 0D 8B C3 E8 ?? ?? ?? ?? 8B 43 34 89 43 38 83 7B 34 FF 75 0A C7 83 A0 00 00 00 FF FF FF FF 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80090_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.TrackMDIChildSystemMenu"
		size = 258
		refs = "001b TFormStyleHook.GetForm 0035 TCustomForm.get_ActiveMDIChild 0083 TControl.ClientToScreen 008f TFormStyleHook.GetMDIWorkArea 0096 TCustomForm.GetLeft 00ab TCustomForm.GetTop 00c1 TFormStyleHook.TMainMenuBarStyleHook.HookMenus 00db TWinControl.GetHandle 00e1 SendMessage 00e8 TFormStyleHook.TMainMenuBarStyleHook.UnHookMenus 00f6 TFormStyleHook.TMainMenuBarStyleHook.Invalidate"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B D8 C6 83 84 00 00 00 00 C6 83 A6 00 00 00 00 8B 43 1C E8 ?? ?? ?? ?? 80 B8 A6 02 00 00 02 0F 85 CE 00 00 00 8B 43 1C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 B7 00 00 00 C6 83 85 00 00 00 01 80 BE A2 02 00 00 02 75 17 8B 43 1C 8B B8 B0 00 00 00 03 7B 08 8B A8 DC 00 00 00 03 6B 14 EB 54 33 C0 89 44 24 08 33 C0 89 44 24 0C 8B CC 8D 54 24 08 8B 43 1C 8B 40 08 E8 ?? ?? ?? ?? 8D 54 24 10 8B 43 1C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 04 24 03 44 24 10 03 F8 03 7B 08 8B C6 E8 ?? ?? ?? ?? 8B E8 8B 44 24 04 03 44 24 14 03 E8 03 6B 0C 8B C3 E8 ?? ?? ?? ?? 0F B7 C7 0F B7 D5 C1 E2 10 0B C2 50 6A 00 68 13 03 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 85 00 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80091_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.TrackSystemMenu"
		size = 235
		refs = "006a Screen 006f TScreen.MonitorFromPoint 009e TMonitor.GetWorkareaRect 00a9 TFormStyleHook.TMainMenuBarStyleHook.HookMenus 00c4 TStyleHook.GetHandle 00ca SendMessage 00d1 TFormStyleHook.TMainMenuBarStyleHook.UnHookMenus 00df TFormStyleHook.TMainMenuBarStyleHook.Invalidate"
	strings:
		$1 = { 53 56 57 55 83 C4 D0 8B D8 C6 83 84 00 00 00 00 C6 83 A6 00 00 00 00 C6 83 A7 00 00 00 01 8B 43 1C 8B B0 B0 00 00 00 03 73 08 8B B8 DC 00 00 00 03 7B 0C 89 74 24 10 89 7C 24 14 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 8D 46 32 89 44 24 18 89 7C 24 1C 8B 44 24 18 89 44 24 08 8B 44 24 1C 89 44 24 0C 8B D4 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8D 54 24 08 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B E8 74 1D 8D 54 24 08 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 54 24 20 E8 ?? ?? ?? ?? 8B 74 24 20 8B C3 E8 ?? ?? ?? ?? 0F B7 C6 0F B7 D7 C1 E2 10 0B C2 50 6A 00 68 13 03 00 00 8B 43 1C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 A7 00 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 30 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80092_0 {
	meta:
		name = "TFormStyleHook.TMainMenuBarStyleHook.TrackMenuFromItem"
		size = 370
		refs = "0021 TFormStyleHook.TMainMenuBarStyleHook.Invalidate 003a TMenuItem.GetCount 005e TFormStyleHook.TMainMenuBarStyleHook.GetTrackMenuPos 0065 TFormStyleHook.TMainMenuBarStyleHook.HookMenus 007b TStyleHook.GetHandle 00a6 TMenuItem.GetHandle 00ac TrackPopupMenu 00f4 TFormStyleHook.TMainMenuBarStyleHook.UnHookMenus 010c TFormStyleHook.TMainMenuBarStyleHook.FindItem 0119 TMenuItem.GetParentMenu 0122 TMenu.DispatchCommand 013a PostMessage 0141 TFormStyleHook.TMainMenuBarStyleHook.MenuExit 0160 TFormStyleHook.TMainMenuBarStyleHook.ProcessMenuLoop"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D8 C6 83 84 00 00 00 00 C6 83 A6 00 00 00 00 C6 83 8C 00 00 00 01 8B C3 E8 ?? ?? ?? ?? 8B 43 04 8B D0 03 C0 03 C0 03 C0 2B C2 8B 53 30 8B 44 82 08 E8 ?? ?? ?? ?? 85 C0 0F 84 25 01 00 00 8B 43 04 8B D0 03 C0 03 C0 03 C0 2B C2 8B 53 30 8D 14 82 8B CC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 1C 8B 40 08 80 78 69 01 74 3F 6A 00 8B 43 1C E8 ?? ?? ?? ?? 50 6A 00 8B 44 24 10 50 8B 44 24 10 50 68 02 41 00 00 8B 43 04 8B D0 03 C0 03 C0 03 C0 2B C2 8B 53 30 8B 44 82 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 EB 3D 6A 00 8B 43 1C E8 ?? ?? ?? ?? 50 6A 00 8B 44 24 10 50 8B 44 24 10 50 68 0A 41 00 00 8B 43 04 8B D0 03 C0 03 C0 03 C0 2B C2 8B 53 30 8B 44 82 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? C6 83 8C 00 00 00 00 85 F6 74 44 33 C9 8B EE 8B D5 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 12 8B C7 E8 ?? ?? ?? ?? 0F B7 57 54 E8 ?? ?? ?? ?? EB 16 6A 00 55 68 11 01 00 00 8B 43 1C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 1D 80 BB 8F 00 00 00 00 75 14 C6 83 86 00 00 00 01 C6 43 28 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80093_0 {
	meta:
		name = "TFormStyleHook.Create"
		size = 254
		refs = "000a @ClassCreate 0017 TMouseTrackControlStyleHook.Create 00eb @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 0F 00 C6 46 16 01 C6 46 18 01 33 C0 89 46 74 33 C0 89 86 8C 00 00 00 33 C0 89 86 9C 00 00 00 33 C0 89 86 94 00 00 00 33 C0 89 86 88 00 00 00 33 C0 89 86 90 00 00 00 33 C0 89 46 3C C6 86 C8 00 00 00 00 33 C0 89 86 B8 00 00 00 33 C0 89 86 BC 00 00 00 C6 86 98 00 00 00 00 C6 86 99 00 00 00 00 C6 46 25 01 C6 46 50 00 C6 46 38 00 33 C0 89 86 C4 00 00 00 8B 46 08 8B 40 48 89 86 B0 00 00 00 8B 46 08 8B 40 4C 89 86 DC 00 00 00 8B 46 08 8B 40 50 89 86 E0 00 00 00 8B 46 08 8B 40 54 89 46 58 C6 86 B4 00 00 00 01 33 C0 89 46 6C 33 C0 89 46 70 33 C0 89 46 54 33 C0 89 86 C0 00 00 00 C6 86 E4 00 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_80094_0 {
	meta:
		name = "TFormStyleHook.Destroy"
		size = 238
		refs = "0004 @BeforeDestruction 001e TObject.Free 002e DeleteObject 005b SetWindowLongPtr 0066 FreeObjectInstance 00db TMouseTrackControlStyleHook.Destroy 00e6 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 6C 00 74 10 8D 46 6C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 86 C4 00 00 00 85 C0 74 0E 50 E8 ?? ?? ?? ?? 33 C0 89 86 C4 00 00 00 83 BE 88 00 00 00 00 74 27 8B 46 08 8B 80 84 03 00 00 BA FC FF FF FF 8B BE 90 00 00 00 57 52 50 E8 ?? ?? ?? ?? 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 83 7E 74 00 74 10 8D 46 74 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 83 BE 8C 00 00 00 00 74 13 8D 86 8C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 83 BE 9C 00 00 00 00 74 13 8D 86 9C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 83 BE 94 00 00 00 00 74 13 8D 86 94 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80096_0 {
	meta:
		name = "TFormStyleHook.MDIHorzScroll"
		size = 175
		refs = "001a TFormStyleHook.MDIHorzScroll 0028 TFormStyleHook.GetForm 002d TCustomForm.get_MDIChildCount 0046 TCustomForm.get_MDIChildren 0060 TCustomForm.GetLeft 0078 TCustomForm.SetLeft 0099 @HandleFinally 00a5 TFormStyleHook.GetMDIScrollInfo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 89 45 FC 8B 45 FC C6 80 C8 00 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 48 46 33 DB 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 80 78 61 00 74 2C 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 C7 50 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 43 4E 75 BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 C8 00 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 D2 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80097_0 {
	meta:
		name = "TFormStyleHook.MDIVertScroll"
		size = 175
		refs = "001a TFormStyleHook.MDIVertScroll 0028 TFormStyleHook.GetForm 002d TCustomForm.get_MDIChildCount 0046 TCustomForm.get_MDIChildren 0060 TCustomForm.GetTop 0078 TCustomForm.SetTop 0099 @HandleFinally 00a5 TFormStyleHook.GetMDIScrollInfo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 89 45 FC 8B 45 FC C6 80 C8 00 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 48 46 33 DB 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 80 78 61 00 74 2C 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 C7 50 8B 45 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 43 4E 75 BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 C8 00 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 D2 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80098_0 {
	meta:
		name = "TFormStyleHook.OnMDIHScroll"
		size = 76
		refs = "0031 TFormStyleHook.MDIHorzScroll"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 BB 98 00 00 00 00 75 38 80 F9 08 75 33 8B 83 8C 00 00 00 8B 80 7C 02 00 00 2B 83 B8 00 00 00 85 C0 74 0B 8B D0 F7 DA 8B C3 E8 ?? ?? ?? ?? 8B 83 8C 00 00 00 8B 80 7C 02 00 00 89 83 B8 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_80099_0 {
	meta:
		name = "TFormStyleHook.OnMDIVScroll"
		size = 76
		refs = "0031 TFormStyleHook.MDIVertScroll"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 BB 99 00 00 00 00 75 38 80 F9 08 75 33 8B 83 9C 00 00 00 8B 80 7C 02 00 00 2B 83 BC 00 00 00 85 C0 74 0B 8B D0 F7 DA 8B C3 E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 8B 80 7C 02 00 00 89 83 BC 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_80100_0 {
	meta:
		name = "TFormStyleHook.MDIChildMaximized"
		size = 48
		refs = "0006 TFormStyleHook.GetForm 000b TCustomForm.get_ActiveMDIChild"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 15 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 B8 A2 02 00 00 02 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_80101_0 {
	meta:
		name = "TFormStyleHook.GetMDIScrollInfo"
		size = 1600
		refs = "002b TWinControl.HandleAllocated 0049 TFormStyleHook.MDIChildMaximized 0054 TWinControl.GetHandle 005a IsWindowVisible 006d ShowWindow 00a6 TFormStyleHook.GetMDIWorkArea 00cd TFormStyleHook.GetForm 00d2 TCustomForm.get_MDIChildCount 00f0 TCustomForm.get_MDIChildren 013c GetWindowRect 0165 OffsetRect 018a TRect.GetWidth 01ae TRect.GetHeight 02ba SetWindowPos 03db TFormStyleHook.AdjustMDIScrollBars 0443 TScrollBar.SetPageSize 0467 TScrollBar.SetParams 0634 TFormStyleHook.GetMDIScrollInfo"
	strings:
		$1 = { 53 56 57 55 83 C4 AC 88 14 24 8B D8 8B B3 8C 00 00 00 8B BB 9C 00 00 00 85 F6 0F 84 18 06 00 00 85 FF 0F 84 10 06 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 01 06 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 F2 05 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 49 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0F 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 B2 05 00 00 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 9E 05 00 00 C6 44 24 18 00 8D 54 24 24 8B C3 E8 ?? ?? ?? ?? C7 44 24 04 FF FF FF 7F C7 44 24 08 FF FF FF 7F C7 44 24 0C 01 00 00 80 C7 44 24 10 01 00 00 80 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 0F 8C F9 00 00 00 40 89 44 24 1C 33 ED 8B C3 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 80 78 61 00 0F 84 CF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 43 3C 0F 84 B3 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 44 24 20 8D 44 24 34 50 8B D5 8B 44 24 24 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 44 24 44 50 8B 43 08 8B 80 84 03 00 00 50 E8 ?? ?? ?? ?? 8B 4C 24 48 F7 D9 8B 54 24 44 F7 DA 8D 44 24 34 E8 ?? ?? ?? ?? 8B 44 24 34 3B 44 24 04 7D 04 89 44 24 04 8B 44 24 38 3B 44 24 08 7D 04 89 44 24 08 8D 44 24 34 E8 ?? ?? ?? ?? 03 44 24 34 3B 44 24 0C 7E 11 8D 44 24 34 E8 ?? ?? ?? ?? 03 44 24 34 89 44 24 0C 8D 44 24 34 E8 ?? ?? ?? ?? 03 44 24 38 3B 44 24 10 7E 11 8D 44 24 34 E8 ?? ?? ?? ?? 03 44 24 38 89 44 24 10 45 FF 4C 24 1C 0F 85 0E FF FF FF 83 7C 24 04 00 7C 13 8D 44 24 24 E8 ?? ?? ?? ?? 3B 44 24 0C 7C 04 33 C0 EB 02 B0 01 88 44 24 19 83 7C 24 08 00 7C 13 8D 44 24 24 E8 ?? ?? ?? ?? 3B 44 24 10 7C 04 33 C0 EB 02 B0 01 88 44 24 1A 80 7C 24 1A 00 74 2A 80 7C 24 19 00 75 23 83 7C 24 04 00 7C 16 8D 44 24 24 E8 ?? ?? ?? ?? 2B 47 50 3B 44 24 0C 7C 04 33 C0 EB 02 B0 01 88 44 24 19 80 7C 24 19 00 74 2A 80 7C 24 1A 00 75 23 83 7C 24 08 00 7C 16 8D 44 24 24 E8 ?? ?? ?? ?? 2B 46 54 3B 44 24 10 7C 04 33 C0 EB 02 B0 01 88 44 24 1A 80 7C 24 19 00 74 53 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 42 6A 40 8B 46 54 50 8D 44 24 2C E8 ?? ?? ?? ?? 50 8B 44 24 3C 2B 46 54 50 8B 44 24 34 50 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 05 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 44 24 18 01 EB 2C 80 7C 24 19 00 75 25 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 14 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 44 24 18 01 80 7C 24 1A 00 0F 84 89 00 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 78 80 7C 24 19 00 74 30 6A 40 8D 44 24 28 E8 ?? ?? ?? ?? 2B 46 54 50 8B 6F 50 55 8B 44 24 34 50 8B 44 24 3C 2B C5 50 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 2B 6A 40 8D 44 24 28 E8 ?? ?? ?? ?? 50 8B 6F 50 55 8B 44 24 34 50 8B 44 24 3C 2B C5 50 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 05 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 44 24 18 01 EB 2C 80 7C 24 1A 00 75 25 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 14 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 44 24 18 01 8D 44 24 24 E8 ?? ?? ?? ?? 8B E8 8D 44 24 24 E8 ?? ?? ?? ?? 89 44 24 14 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 98 00 00 00 83 7C 24 04 00 7E 06 33 C0 89 44 24 04 8D 44 24 24 E8 ?? ?? ?? ?? 3B 44 24 0C 7E 0D 8D 44 24 24 E8 ?? ?? ?? ?? 89 44 24 0C 80 3C 24 00 74 5B C6 83 98 00 00 00 01 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0E 8B D5 2B 57 50 8B C6 E8 ?? ?? ?? ?? EB 09 8B D5 8B C6 E8 ?? ?? ?? ?? 8B 44 24 0C 2B 44 24 04 48 50 8B 54 24 08 F7 DA 33 C9 8B C6 E8 ?? ?? ?? ?? 8B 86 7C 02 00 00 89 83 B8 00 00 00 C6 83 98 00 00 00 00 0F B7 86 88 02 00 00 66 89 86 92 02 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 9C 00 00 00 83 7C 24 08 00 7E 06 33 C0 89 44 24 08 8D 44 24 24 E8 ?? ?? ?? ?? 3B 44 24 10 7E 0D 8D 44 24 24 E8 ?? ?? ?? ?? 89 44 24 10 80 3C 24 00 74 5F C6 83 99 00 00 00 01 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 10 8B 54 24 14 2B 56 54 8B C7 E8 ?? ?? ?? ?? EB 0B 8B 54 24 14 8B C7 E8 ?? ?? ?? ?? 8B 44 24 10 2B 44 24 08 48 50 8B 54 24 0C F7 DA 33 C9 8B C7 E8 ?? ?? ?? ?? 8B 87 7C 02 00 00 89 83 BC 00 00 00 C6 83 99 00 00 00 00 0F B7 87 88 02 00 00 66 89 87 92 02 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 16 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 05 C6 44 24 18 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 67 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 56 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 41 6A 40 8B 46 54 50 8B 6F 50 55 8B 44 24 3C 2B 46 54 50 8B 44 24 3C 2B C5 50 6A 00 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 05 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 4A 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 26 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 28 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 13 6A 00 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 7C 24 18 00 74 0B 0F B6 14 24 8B C3 E8 ?? ?? ?? ?? 83 C4 54 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80102_0 {
	meta:
		name = "TFormStyleHook.InitMDIScrollBars"
		size = 351
		refs = "0011 TWinControl.GetHandle 001a _Dn_TScrollBar 001f TWinControl.CreateParented 0030 TScrollBar.SetKind 0040 TFormStyleHook.OnMDIHScroll 0049 GetSystemMetrics 0063 SetWindowPos 0076 ShowWindow 00b6 TFormStyleHook.OnMDIVScroll 0106 _Dn_TScrollBarStyleHook.TScrollWindow"
	strings:
		$1 = { 53 56 8B D8 83 BB 8C 00 00 00 00 75 6D 8B 43 08 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 8C 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 89 9E A4 02 00 00 C7 86 A0 02 00 00 ?? ?? ?? ?? 6A 08 6A 03 E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 6A 00 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 BB 9C 00 00 00 00 75 6D 8B 43 08 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 9C 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 89 9E A4 02 00 00 C7 86 A0 02 00 00 ?? ?? ?? ?? 6A 08 6A 00 6A 02 E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 BB 94 00 00 00 00 75 63 8B 43 08 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 94 00 00 00 8B C6 C6 80 78 02 00 00 01 6A 08 6A 03 E8 ?? ?? ?? ?? 50 6A 02 E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80103_0 {
	meta:
		name = "TFormStyleHook.AdjustMDIScrollBars"
		size = 542
		refs = "000d TFormStyleHook.GetMDIWorkArea 0022 TWinControl.GetHandle 0028 IsWindowVisible 0060 TRect.GetWidth 0090 SetWindowPos 0117 TRect.GetHeight"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B B3 8C 00 00 00 85 F6 0F 84 B3 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 9E 00 00 00 8B B3 9C 00 00 00 85 F6 74 58 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 47 6A 40 8B 83 8C 00 00 00 8B 40 54 50 8D 44 24 08 E8 ?? ?? ?? ?? 8B 93 9C 00 00 00 2B 42 50 50 8B 83 8C 00 00 00 8B 54 24 18 2B 50 54 52 8B 44 24 10 50 6A 00 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 3C 6A 40 8B 83 8C 00 00 00 8B 40 54 50 8D 44 24 08 E8 ?? ?? ?? ?? 50 8B 83 8C 00 00 00 8B 54 24 18 2B 50 54 52 8B 44 24 10 50 6A 00 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B B3 9C 00 00 00 85 F6 0F 84 A5 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 90 00 00 00 8B B3 8C 00 00 00 85 F6 74 51 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 40 6A 40 8D 44 24 04 E8 ?? ?? ?? ?? 8B 93 8C 00 00 00 2B 42 54 50 8B 83 9C 00 00 00 8B 70 50 56 8B 44 24 10 50 8B 44 24 18 2B C6 50 6A 00 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 35 6A 40 8D 44 24 04 E8 ?? ?? ?? ?? 50 8B 83 9C 00 00 00 8B 70 50 56 8B 44 24 10 50 8B 44 24 18 2B C6 50 6A 00 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B B3 94 00 00 00 85 F6 0F 84 84 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 73 83 BB 9C 00 00 00 00 74 6A 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 55 83 BB 8C 00 00 00 00 74 4C 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 37 6A 40 8B 83 8C 00 00 00 8B 78 54 57 8B 83 9C 00 00 00 8B 70 50 56 8B 44 24 18 2B C7 50 8B 44 24 18 2B C6 50 6A 00 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80104_0 {
	meta:
		name = "TFormStyleHook.GetMDIWorkArea"
		size = 89
		refs = "0023 GetWindowRect 003d TControl.ClientToScreen 004f OffsetRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D6 8B 43 08 8B 08 FF 51 60 8B 43 08 8B 80 84 03 00 00 85 C0 74 33 56 50 E8 ?? ?? ?? ?? 33 C0 89 44 24 08 33 C0 89 44 24 0C 8B CC 8D 54 24 08 8B 43 08 E8 ?? ?? ?? ?? 8B 4C 24 04 F7 D9 8B 14 24 F7 DA 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_80105_0 {
	meta:
		name = "TFormStyleHook.MDIClientWndProc"
		size = 242
		refs = "0028 TCustomForm.get_ActiveMDIChild 0044 TWinControl.GetHandle 004a SendMessage 0062 StyleServices 007e TControl.GetClientHeight 008c TControl.GetClientWidth 0097 Rect 00b9 TCustomStyleServices.DrawElement 00d1 TFormStyleHook.GetForm 00e4 CallWindowProc"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B F2 8B F8 B3 01 8B 06 83 E8 14 74 4E 83 E8 6F 74 41 83 E8 02 74 40 48 0F 85 9B 00 00 00 8B 47 08 E8 ?? ?? ?? ?? 85 C0 74 1E 8B 46 08 50 8B 46 04 50 8B 06 50 8B 47 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 DB C7 46 0C 01 00 00 00 EB 66 33 DB EB 62 33 DB EB 5E E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 50 C6 44 24 10 1F 33 C0 89 44 24 14 8B 47 08 E8 ?? ?? ?? ?? 50 8D 44 24 04 50 8B 47 08 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 14 54 6A 00 E8 ?? ?? ?? ?? 8B 56 04 8D 4C 24 18 E8 ?? ?? ?? ?? 33 DB 84 DB 74 28 8B 46 08 50 8B 46 04 50 8B 06 50 8B C7 E8 ?? ?? ?? ?? 8B 80 84 03 00 00 50 8B 87 90 00 00 00 50 E8 ?? ?? ?? ?? 89 46 0C 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80106_0 {
	meta:
		name = "TFormStyleHook.PaintBackground"
		size = 102
		refs = "000a StyleServices 0025 TControl.GetClientHeight 0033 TControl.GetClientWidth 003e Rect 004c TCanvas.GetHandle 005c TCustomStyleServices.DrawElement"
	strings:
		$1 = { 53 56 83 C4 E4 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 49 C6 04 24 1F 33 C0 89 44 24 04 8B 43 08 E8 ?? ?? ?? ?? 50 8D 44 24 10 50 8B 43 08 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 44 24 0C 50 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 0C 5A E8 ?? ?? ?? ?? 83 C4 1C 5E 5B C3 }
	condition:
		$1
}

rule function_80107_0 {
	meta:
		name = "TFormStyleHook.GetBorderSize"
		size = 414
		refs = "0014 Rect 001b TFormStyleHook.GetForm 002d StyleServices 008a TCustomStyleServices.GetElementSize"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B FA 8B F0 6A 00 57 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 B8 A1 02 00 00 00 0F 84 6B 01 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 59 01 00 00 8B C6 E8 ?? ?? ?? ?? 80 B8 A1 02 00 00 04 74 14 8B C6 E8 ?? ?? ?? ?? 80 B8 A1 02 00 00 05 74 04 B3 02 EB 02 B3 05 E8 ?? ?? ?? ?? 8B D3 8D 4C 24 08 8B 18 FF 93 FC 00 00 00 6A 01 8D 44 24 04 50 E8 ?? ?? ?? ?? 8D 4C 24 10 33 D2 E8 ?? ?? ?? ?? 8B 44 24 04 89 47 04 8B C6 E8 ?? ?? ?? ?? 80 B8 A1 02 00 00 04 74 14 8B C6 E8 ?? ?? ?? ?? 80 B8 A1 02 00 00 05 74 04 B3 14 EB 02 B3 1A E8 ?? ?? ?? ?? 8B D3 8D 4C 24 08 8B 18 FF 93 FC 00 00 00 6A 01 8D 44 24 04 50 E8 ?? ?? ?? ?? 8D 4C 24 10 33 D2 E8 ?? ?? ?? ?? 8B 04 24 89 07 8B C6 E8 ?? ?? ?? ?? 80 B8 A1 02 00 00 04 74 14 8B C6 E8 ?? ?? ?? ?? 80 B8 A1 02 00 00 05 74 04 B3 16 EB 02 B3 1C E8 ?? ?? ?? ?? 8B D3 8D 4C 24 08 8B 18 FF 93 FC 00 00 00 6A 01 8D 44 24 04 50 E8 ?? ?? ?? ?? 8D 4C 24 10 33 D2 E8 ?? ?? ?? ?? 8B 04 24 89 47 08 8B C6 E8 ?? ?? ?? ?? 80 B8 A1 02 00 00 04 74 14 8B C6 E8 ?? ?? ?? ?? 80 B8 A1 02 00 00 05 74 04 B3 18 EB 02 B3 1E E8 ?? ?? ?? ?? 8B D3 8D 4C 24 08 8B 18 FF 93 FC 00 00 00 6A 01 8D 44 24 04 50 E8 ?? ?? ?? ?? 8D 4C 24 10 33 D2 E8 ?? ?? ?? ?? 8B 44 24 04 89 47 0C 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80109_0 {
	meta:
		name = "TFormStyleHook.NormalizePoint"
		size = 327
		refs = "0024 TWinControl.GetHandle 002a GetParent 0059 ClientToScreen 0081 TStyleHook.GetHandle 00a1 ScreenToClient"
	strings:
		$1 = { 53 56 57 83 C4 C8 8B F2 8D 3C 24 A5 A5 8B F1 8B D8 8B 7B 08 80 BF A6 02 00 00 01 0F 85 9E 00 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 93 B0 00 00 00 89 54 24 18 8B 93 DC 00 00 00 89 54 24 1C 8B 54 24 18 89 54 24 08 8B 54 24 1C 89 54 24 0C 8D 54 24 08 52 50 E8 ?? ?? ?? ?? 33 C0 89 44 24 20 33 C0 89 44 24 24 8B 44 24 20 89 44 24 10 8B 44 24 24 89 44 24 14 8D 44 24 10 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 04 24 89 06 8B 44 24 04 89 46 04 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 10 2B 44 24 08 01 06 8B 44 24 14 2B 44 24 0C 01 46 04 E9 81 00 00 00 8B 83 B0 00 00 00 89 44 24 28 8B 83 DC 00 00 00 89 44 24 2C 8B 44 24 28 89 44 24 08 8B 44 24 2C 89 44 24 0C 33 C0 89 44 24 30 33 C0 89 44 24 34 8B 44 24 30 89 44 24 10 8B 44 24 34 89 44 24 14 8D 44 24 10 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 04 24 89 06 8B 44 24 04 89 46 04 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 10 2B 44 24 08 01 06 8B 44 24 14 2B 44 24 0C 01 46 04 83 C4 38 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80110_0 {
	meta:
		name = "TFormStyleHook.GetHitTest"
		size = 870
		refs = "0035 PtInRect 0052 TFormStyleHook.GetBorderSize 0198 Rect"
	strings:
		$1 = { 53 56 57 55 81 C4 48 FF FF FF 8B F2 8D 3C 24 A5 A5 8B D8 BE 01 00 00 00 8B 43 08 80 B8 A1 02 00 00 00 75 27 8B 7B 74 85 FF 0F 84 2A 03 00 00 8B D4 8D 47 08 E8 ?? ?? ?? ?? 84 C0 0F 84 18 03 00 00 BE 05 00 00 00 E9 0E 03 00 00 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 56 8D 73 28 8D BC 24 9C 00 00 00 A5 A5 A5 A5 5E 8B 44 24 08 89 84 24 9C 00 00 00 89 44 24 0C 8B 7B 74 85 FF 74 18 8B D4 8D 47 08 E8 ?? ?? ?? ?? 84 C0 74 0A BE 05 00 00 00 E9 C5 02 00 00 8B D4 8D 84 24 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 0A BE 02 00 00 00 E9 A9 02 00 00 8B D4 8D 43 40 E8 ?? ?? ?? ?? 84 C0 74 0A BE 14 00 00 00 E9 91 02 00 00 8B D4 8D 43 78 E8 ?? ?? ?? ?? 84 C0 74 0A BE 09 00 00 00 E9 79 02 00 00 8B D4 8D 83 A0 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 0A BE 08 00 00 00 E9 5E 02 00 00 8B D4 8D 43 5C E8 ?? ?? ?? ?? 84 C0 74 0A BE 15 00 00 00 E9 46 02 00 00 8B D4 8D 83 CC 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 0A BE 03 00 00 00 E9 2B 02 00 00 8B 7B 08 0F B6 87 A2 02 00 00 3C 02 75 04 B0 01 EB 05 3C 01 0F 94 C0 84 C0 0F 85 0C 02 00 00 0F B6 97 A1 02 00 00 80 FA 03 75 04 B0 01 EB 06 80 FA 01 0F 94 C0 84 C0 74 04 B0 01 EB 06 80 FA 04 0F 94 C0 84 C0 74 4D 8B 43 58 2B 44 24 14 50 8D 84 24 AC 00 00 00 50 8B 8B E0 00 00 00 2B 4C 24 18 8B 54 24 14 8B 44 24 10 E8 ?? ?? ?? ?? 8D 84 24 A8 00 00 00 8B D4 E8 ?? ?? ?? ?? 84 C0 74 0A BE 01 00 00 00 E9 A1 01 00 00 BE 12 00 00 00 E9 97 01 00 00 8B 7C 24 0C 57 8D 44 24 1C 50 8B 6C 24 10 8B CD 33 D2 33 C0 E8 ?? ?? ?? ?? 57 8D 44 24 2C 50 8B 83 E0 00 00 00 2B 44 24 18 8B 8B E0 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 43 58 50 8D 44 24 3C 50 8B 53 58 2B 54 24 1C 8B CD 33 C0 E8 ?? ?? ?? ?? 8B 43 58 50 8D 44 24 4C 50 8B 53 58 2B 54 24 1C 8B 83 E0 00 00 00 2B 44 24 18 8B 8B E0 00 00 00 E8 ?? ?? ?? ?? 57 8D 44 24 5C 50 8B 4C 24 30 33 D2 8B 44 24 28 E8 ?? ?? ?? ?? 8B 44 24 3C 50 8D 44 24 6C 50 8B CD 8B 54 24 2C 33 C0 E8 ?? ?? ?? ?? 8B 44 24 4C 50 8D 44 24 7C 50 8B BB E0 00 00 00 8B C7 2B 44 24 18 8B CF 8B 54 24 3C E8 ?? ?? ?? ?? 8B 7B 58 57 8D 84 24 8C 00 00 00 50 8B D7 2B 54 24 1C 8B 4C 24 50 8B 44 24 48 E8 ?? ?? ?? ?? 8B D4 8D 44 24 18 E8 ?? ?? ?? ?? 84 C0 74 0A BE 0D 00 00 00 E9 9E 00 00 00 8B D4 8D 44 24 28 E8 ?? ?? ?? ?? 84 C0 74 0A BE 0E 00 00 00 E9 85 00 00 00 8B D4 8D 44 24 38 E8 ?? ?? ?? ?? 84 C0 74 07 BE 10 00 00 00 EB 6F 8B D4 8D 44 24 48 E8 ?? ?? ?? ?? 84 C0 74 07 BE 11 00 00 00 EB 59 8B D4 8D 44 24 68 E8 ?? ?? ?? ?? 84 C0 74 07 BE 0A 00 00 00 EB 43 8B D4 8D 44 24 78 E8 ?? ?? ?? ?? 84 C0 74 07 BE 0B 00 00 00 EB 2D 8B D4 8D 84 24 88 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 07 BE 0F 00 00 00 EB 14 8B D4 8D 44 24 58 E8 ?? ?? ?? ?? 84 C0 74 05 BE 0C 00 00 00 8B C6 81 C4 B8 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80111_0 {
	meta:
		name = "TFormStyleHook.CMDialogChar"
		size = 44
		refs = "0015 TFormStyleHook.TMainMenuBarStyleHook.CheckHotKeyItem"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 74 85 F6 74 1A 0F B7 57 04 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B C7 47 0C 01 00 00 00 C6 43 14 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80112_0 {
	meta:
		name = "TFormStyleHook.WMSetText"
		size = 71
		refs = "0017 TStyleHook.SetRedraw 0020 TStyleHook.CallDefaultProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 F6 80 8C 03 00 00 04 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 F6 80 8C 03 00 00 04 75 10 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_80113_0 {
	meta:
		name = "IsAnyMDIChildMaximized"
		size = 148
		refs = "0017 TCustomForm.get_MDIChildCount 0033 TCustomForm.get_MDIChildren 0038 TWinControl.GetHandle"
	strings:
		$1 = { 55 8B EC 51 53 56 57 C6 45 FF 00 8B 45 08 8B 40 FC 8B 58 08 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 68 46 33 DB 8B 45 08 8B 40 FC 8B 78 08 8B D3 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 3B 42 3C 74 18 8B 45 08 8B 40 FC 8B 78 08 8B D3 8B C7 E8 ?? ?? ?? ?? 0F B6 40 61 EB 02 33 C0 84 C0 74 21 8B 45 08 8B 40 FC 8B 78 08 8B D3 8B C7 E8 ?? ?? ?? ?? 80 B8 A2 02 00 00 02 75 06 C6 45 FF 01 EB 04 43 4E 75 9B 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80114_0 {
	meta:
		name = "TFormStyleHook.WMMDIChildClose"
		size = 126
		refs = "001b IsAnyMDIChildMaximized 003c TFormStyleHook.TMainMenuBarStyleHook.SetShowMDIButtons 0077 TFormStyleHook.GetMDIScrollInfo"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 42 04 8B 55 FC 89 42 3C 8B 45 FC 83 78 74 00 74 58 55 E8 ?? ?? ?? ?? 59 84 C0 74 1E 8B 45 FC 8B 40 74 80 B8 A5 00 00 00 00 75 0F 8B 45 FC 8B 40 74 B2 01 E8 ?? ?? ?? ?? EB 27 55 E8 ?? ?? ?? ?? 59 84 C0 75 1C 8B 45 FC 8B 40 74 80 B8 A5 00 00 00 00 74 0D 8B 45 FC 8B 40 74 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 B2 01 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_80115_0 {
	meta:
		name = "TFormStyleHook.WMDestroy"
		size = 47
		refs = "001c Application 0024 TWinControl.GetHandle 002a PostMessage"
	strings:
		$1 = { 8B 50 08 F6 42 5D 20 75 25 80 BA A6 02 00 00 01 75 1C 6A 00 6A 00 68 2D 05 00 00 A1 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80116_0 {
	meta:
		name = "TFormStyleHook.WMSysCommand"
		size = 125
		refs = "002d TWinControl.GetHandle 0038 Application 0046 PostMessage 0073 TFormStyleHook.TMainMenuBarStyleHook.MenuEnter"
	strings:
		$1 = { 53 8B D8 8B 42 04 2D 20 F0 00 00 74 3F 83 E8 40 74 09 2D A0 00 00 00 74 45 EB 60 8B 43 08 80 B8 A6 02 00 00 01 75 54 6A 00 8B 43 08 E8 ?? ?? ?? ?? 50 68 2D 05 00 00 A1 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 8B 43 08 80 B8 A6 02 00 00 01 75 23 C6 43 50 00 5B C3 8B 43 74 85 C0 74 16 C6 80 86 00 00 00 01 C6 40 18 01 33 D2 E8 ?? ?? ?? ?? C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_80117_0 {
	meta:
		name = "TFormStyleHook.WMInitMenu"
		size = 44
		refs = "000a TWinControl.GetHandle 0010 GetMenu 0025 SetMenu"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B 46 04 75 10 6A 00 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80118_0 {
	meta:
		name = "TFormStyleHook.CMMenuChanged"
		size = 43
		refs = "0007 TWinControl.GetHandle 000d GetMenu 0021 SetMenu"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 10 6A 00 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_80119_0 {
	meta:
		name = "TFormStyleHook.WMNCHitTest"
		size = 60
		refs = "0022 TFormStyleHook.NormalizePoint 002b TFormStyleHook.GetHitTest"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 0F BF 46 08 0F BF 56 0A 89 44 24 08 89 54 24 0C 8B CC 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 89 46 0C C6 43 14 01 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_80120_0 {
	meta:
		name = "TFormStyleHook.WMNCCalcSize"
		size = 334
		refs = "002c TMenuItem.GetCount 0051 _DV_TFormStyleHook.TMainMenuBarStyleHook 0056 TFormStyleHook.TMainMenuBarStyleHook.Create 00d3 TFormStyleHook.GetBorderSize 00ee TFormStyleHook.TMainMenuBarStyleHook.GetMenuHeight 0111 Rect 011d TFormStyleHook.TMainMenuBarStyleHook.SetBoundsRect"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F2 8B D8 8B 43 08 80 B8 A6 02 00 00 01 75 07 33 C0 89 43 74 EB 76 8B B8 BC 02 00 00 85 FF 74 0F 8B 47 3C E8 ?? ?? ?? ?? 85 C0 0F 9F C0 EB 02 33 C0 84 C0 74 09 83 7B 74 00 0F 94 C0 EB 02 33 C0 84 C0 74 13 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 74 EB 35 8B 43 08 8B B8 BC 02 00 00 85 FF 75 04 B0 01 EB 15 85 FF 74 0F 8B 47 3C E8 ?? ?? ?? ?? 85 C0 0F 94 C0 EB 02 33 C0 84 C0 74 0B 83 7B 74 00 74 05 33 C0 89 43 74 83 7E 04 00 74 0F 8B 43 08 80 B8 A1 02 00 00 00 0F 95 C0 EB 02 33 C0 84 C0 74 04 B0 01 EB 17 8B 43 08 80 B8 A1 02 00 00 00 75 09 83 7B 74 00 0F 95 C0 EB 02 33 C0 84 C0 74 78 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 43 74 85 C0 74 45 8B 93 E0 00 00 00 8B 2C 24 2B D5 2B 54 24 08 E8 ?? ?? ?? ?? 8B F8 8B 44 24 04 03 C7 50 8D 44 24 14 50 8B 8B E0 00 00 00 2B 4C 24 10 8B 54 24 0C 8B C5 E8 ?? ?? ?? ?? 8D 54 24 10 8B 43 74 E8 ?? ?? ?? ?? EB 02 33 FF 8B 46 08 8B 14 24 01 10 03 7C 24 04 01 78 04 8B 54 24 08 29 50 08 8B 54 24 0C 29 50 0C C6 43 14 01 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80121_0 {
	meta:
		name = "TFormStyleHook.GetIconFast"
		size = 22
		refs = "000e TFormStyleHook.GetIcon"
	strings:
		$1 = { 8B 50 6C 85 D2 74 06 83 78 70 00 75 06 E8 ?? ?? ?? ?? C3 8B C2 C3 }
	condition:
		$1
}

rule function_80122_0 {
	meta:
		name = "TFormStyleHook.GetIcon"
		size = 263
		refs = "0015 TStyleHook.GetHandle 001b SendMessage 0051 GetClassName 005f @FillChar 0079 GetWindowLongPtr 0087 GetClassInfoEx 00a4 _Dn_TIcon 00a9 TIcon.Create 00b7 GetSystemMetrics 00e8 CopyImage 00f2 TIcon.SetHandle"
	strings:
		$1 = { 53 56 57 55 81 C4 D0 FD FF FF 8B D8 6A 00 6A 00 6A 7F 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 85 F6 75 15 6A 00 6A 01 6A 7F 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 85 F6 75 5D 68 00 02 00 00 8D 44 24 34 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C4 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? C7 04 24 30 00 00 00 8B C3 E8 ?? ?? ?? ?? BA FA FF FF FF 52 50 E8 ?? ?? ?? ?? 8B F8 54 8D 44 24 34 50 57 E8 ?? ?? ?? ?? 85 C0 74 0C 8B 74 24 2C 85 F6 75 04 8B 74 24 18 83 7B 6C 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 6C 85 F6 74 45 6A 31 E8 ?? ?? ?? ?? 8B F8 85 FF 75 09 6A 1E E8 ?? ?? ?? ?? 8B F8 6A 32 E8 ?? ?? ?? ?? 8B E8 85 ED 75 09 6A 1F E8 ?? ?? ?? ?? 8B E8 6A 00 55 57 6A 01 56 E8 ?? ?? ?? ?? 8B D0 8B 43 6C E8 ?? ?? ?? ?? 89 73 70 8B 43 6C 81 C4 30 02 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80123_0 {
	meta:
		name = "TFormStyleHook.PaintNC"
		size = 2560
		refs = "001a TFormStyleHook.PaintNC 0041 TFormStyleHook.TMainMenuBarStyleHook.Paint 005a Rect 0117 StyleServices 012e TFormStyleHook.GetBorderSize 0172 _Dn_TBitmap 0177 TBitmap.Create 01c8 TBitmap.GetCanvas 01cd TCanvas.GetHandle 01dc TCustomStyleServices.DrawElement 0269 TCustomStyleServices.GetElementContentRect 0285 GetSystemMetrics 02ad RectVCenter 02b5 TRect.GetWidth 02ca TFormStyleHook.GetIconFast 02cf TIcon.GetHandle 02ea DrawIconEx 0799 TControl.UseRightToLeftReading 07ad TStyleHook.GetText 07d6 TCustomStyleServices.DrawText 07f6 TObject.Free 09e8 @UStrClr 09ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 70 FF FF FF 53 56 57 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 80 B8 A1 02 00 00 00 75 1A 83 7B 74 00 0F 84 9D 09 00 00 8B 55 F8 8B 43 74 E8 ?? ?? ?? ?? E9 8D 09 00 00 6A 00 8D 85 70 FF FF FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D B5 70 FF FF FF 8D 7B 40 A5 A5 A5 A5 6A 00 8D 85 70 FF FF FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D B5 70 FF FF FF 8D 7B 78 A5 A5 A5 A5 6A 00 8D 85 70 FF FF FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D B5 70 FF FF FF 8D BB A0 00 00 00 A5 A5 A5 A5 6A 00 8D 85 70 FF FF FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D B5 70 FF FF FF 8D 7B 5C A5 A5 A5 A5 6A 00 8D 85 70 FF FF FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D B5 70 FF FF FF 8D BB CC 00 00 00 A5 A5 A5 A5 6A 00 8D 85 70 FF FF FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D B5 70 FF FF FF 8D 7B 28 A5 A5 A5 A5 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 AF 08 00 00 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 8B 43 08 0F B6 80 A1 02 00 00 3C 04 74 07 3C 05 0F 95 C0 EB 02 33 C0 84 C0 74 12 80 7B 50 00 74 06 C6 45 F7 02 EB 16 C6 45 F7 03 EB 10 80 7B 50 00 74 06 C6 45 F7 05 EB 04 C6 45 F7 06 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 4D C4 8B 93 E0 00 00 00 8B C6 8B 38 FF 57 6C 8B C6 8B 10 FF 52 24 50 8D 45 A0 50 8B C6 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 55 F7 8D 4D E8 8B 38 FF 97 FC 00 00 00 8D 45 A0 50 6A 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E8 5A E8 ?? ?? ?? ?? 56 8D 75 A0 8D 7D 80 A5 A5 A5 A5 5E 8B 45 E8 89 45 DC 8B 45 EC 89 45 E0 8B 45 F0 89 45 E4 8B 43 08 F6 80 A0 02 00 00 01 74 0C 80 B8 A1 02 00 00 03 0F 95 C2 EB 02 33 D2 84 D2 74 0C 80 B8 A1 02 00 00 04 0F 95 C2 EB 02 33 D2 84 D2 74 0C 80 B8 A1 02 00 00 05 0F 95 C0 EB 02 33 C0 84 C0 0F 84 C9 00 00 00 E8 ?? ?? ?? ?? 8D 4D D0 B2 20 8B 38 FF 97 FC 00 00 00 8D 45 A0 50 8D 45 90 50 E8 ?? ?? ?? ?? 8D 4D D0 33 D2 E8 ?? ?? ?? ?? 84 C0 75 11 6A 00 8D 45 90 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 6A 32 E8 ?? ?? ?? ?? 50 8D 45 B0 50 6A 31 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 8D 70 FF FF FF 8D 45 B0 8D 55 90 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 85 C0 7E 31 6A 03 6A 00 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 B4 50 8B 45 B0 50 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 83 C0 05 01 45 80 56 8D 75 90 8D BB CC 00 00 00 A5 A5 A5 A5 5E EB 06 8B 45 C0 01 45 80 8B 43 08 F6 80 A0 02 00 00 01 0F 84 FE 00 00 00 8B 43 08 80 B8 A1 02 00 00 04 74 0F 8B 43 08 80 B8 A1 02 00 00 05 0F 95 C0 EB 02 33 C0 84 C0 74 33 83 BB C0 00 00 00 14 75 0C 83 7B 54 14 75 06 C6 45 F6 36 EB 4F 83 7B 54 14 75 06 C6 45 F6 35 EB 43 80 7B 50 00 74 06 C6 45 F6 34 EB 37 C6 45 F6 37 EB 31 83 BB C0 00 00 00 14 75 0C 83 7B 54 14 75 06 C6 45 F6 3A EB 1C 83 7B 54 14 75 06 C6 45 F6 39 EB 10 80 7B 50 00 74 06 C6 45 F6 38 EB 04 C6 45 F6 3B E8 ?? ?? ?? ?? 0F B6 55 F6 8D 4D E8 8B 38 FF 97 FC 00 00 00 8D 45 A0 50 8D 45 90 50 E8 ?? ?? ?? ?? 8D 4D E8 33 D2 E8 ?? ?? ?? ?? 84 C0 75 11 6A 00 8D 45 90 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 90 50 6A 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E8 5A E8 ?? ?? ?? ?? 83 7D 90 00 7E 06 8B 45 90 89 45 88 56 8D 75 90 8D 7B 40 A5 A5 A5 A5 5E 8B 43 08 F6 80 A0 02 00 00 04 74 0F 8B 53 08 F6 82 A0 02 00 00 01 0F 95 C2 EB 02 33 D2 84 D2 74 0C 80 B8 A1 02 00 00 03 0F 95 C2 EB 02 33 D2 84 D2 74 0C 80 B8 A1 02 00 00 04 0F 95 C2 EB 02 33 D2 84 D2 0F 84 FF 00 00 00 80 B8 A1 02 00 00 05 0F 84 F2 00 00 00 80 B8 A2 02 00 00 02 75 33 83 BB C0 00 00 00 09 75 0C 83 7B 54 09 75 06 C6 45 F6 42 EB 4F 83 7B 54 09 75 06 C6 45 F6 41 EB 43 80 7B 50 00 74 06 C6 45 F6 40 EB 37 C6 45 F6 43 EB 31 83 BB C0 00 00 00 09 75 0C 83 7B 54 09 75 06 C6 45 F6 32 EB 1C 83 7B 54 09 75 06 C6 45 F6 31 EB 10 80 7B 50 00 74 06 C6 45 F6 30 EB 04 C6 45 F6 33 E8 ?? ?? ?? ?? 0F B6 55 F6 8D 4D E8 8B 38 FF 97 FC 00 00 00 8D 45 A0 50 8D 45 90 50 E8 ?? ?? ?? ?? 8D 4D E8 33 D2 E8 ?? ?? ?? ?? 84 C0 75 11 6A 00 8D 45 90 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 85 C0 7E 21 8D 45 90 50 6A 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E8 5A E8 ?? ?? ?? ?? 83 7D 90 00 7E 06 8B 45 90 89 45 88 56 8D 75 90 8D 7B 78 A5 A5 A5 A5 5E 8B 43 08 F6 80 A0 02 00 00 02 74 0F 8B 53 08 F6 82 A0 02 00 00 01 0F 95 C2 EB 02 33 D2 84 D2 74 0C 80 B8 A1 02 00 00 03 0F 95 C2 EB 02 33 D2 84 D2 74 0C 80 B8 A1 02 00 00 04 0F 95 C2 EB 02 33 D2 84 D2 0F 84 C6 00 00 00 80 B8 A1 02 00 00 05 0F 84 B9 00 00 00 83 BB C0 00 00 00 08 75 0C 83 7B 54 08 75 06 C6 45 F6 2A EB 1C 83 7B 54 08 75 06 C6 45 F6 29 EB 10 80 7B 50 00 74 06 C6 45 F6 28 EB 04 C6 45 F6 2B E8 ?? ?? ?? ?? 0F B6 55 F6 8D 4D E8 8B 38 FF 97 FC 00 00 00 8D 45 A0 50 8D 45 90 50 E8 ?? ?? ?? ?? 8D 4D E8 33 D2 E8 ?? ?? ?? ?? 84 C0 75 11 6A 00 8D 45 90 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 85 C0 7E 21 8D 45 90 50 6A 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E8 5A E8 ?? ?? ?? ?? 83 7D 90 00 7E 06 8B 45 90 89 45 88 56 8D 75 90 8D BB A0 00 00 00 A5 A5 A5 A5 5E 8B 43 08 F6 80 A0 02 00 00 08 74 0F 8B 43 08 F6 80 A0 02 00 00 01 0F 95 C0 EB 02 33 C0 84 C0 0F 84 F2 00 00 00 8B 43 08 F6 80 A0 02 00 00 04 75 11 8B 43 08 F6 80 A0 02 00 00 02 0F 95 C0 34 01 EB 02 33 C0 84 C0 74 04 B0 01 EB 0D 8B 43 08 80 B8 A1 02 00 00 03 0F 94 C0 84 C0 0F 84 B6 00 00 00 83 BB C0 00 00 00 15 75 0C 83 7B 54 15 75 06 C6 45 F6 4A EB 1C 83 7B 54 15 75 06 C6 45 F6 49 EB 10 80 7B 50 00 74 06 C6 45 F6 48 EB 04 C6 45 F6 4B E8 ?? ?? ?? ?? 0F B6 55 F6 8D 4D E8 8B 38 FF 97 FC 00 00 00 8D 45 A0 50 8D 45 90 50 E8 ?? ?? ?? ?? 8D 4D E8 33 D2 E8 ?? ?? ?? ?? 84 C0 75 11 6A 00 8D 45 90 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 85 C0 7E 21 8D 45 90 50 6A 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E8 5A E8 ?? ?? ?? ?? 83 7D 90 00 7E 06 8B 45 90 89 45 88 56 8D 75 90 8D 7B 5C A5 A5 A5 A5 5E 8B 3D ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 06 81 CF 00 20 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 80 50 57 68 FF FF FF 1F 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D DC 5A E8 ?? ?? ?? ?? 56 8D 75 80 8D 7B 28 A5 A5 A5 A5 5E 56 33 C9 33 D2 8B 45 F8 8B 38 FF 57 44 8B C6 E8 ?? ?? ?? ?? 83 7B 74 00 74 0B 8B 55 F8 8B 43 74 E8 ?? ?? ?? ?? 8B 43 08 80 B8 A1 02 00 00 04 74 0F 8B 43 08 80 B8 A1 02 00 00 05 0F 95 C0 EB 02 33 C0 84 C0 74 12 80 7B 50 00 74 06 C6 45 F7 14 EB 16 C6 45 F7 15 EB 10 80 7B 50 00 74 06 C6 45 F7 1A EB 04 C6 45 F7 1B 8B 43 58 8B 75 CC 2B C6 50 8D 45 A0 50 8B 4D C0 8B 55 C4 33 C0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 55 F7 8D 4D E8 8B 38 FF 97 FC 00 00 00 8B 45 AC 2B 45 A4 85 C0 7E 1D 8D 45 A0 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E8 5A E8 ?? ?? ?? ?? 8B 43 08 80 B8 A1 02 00 00 04 74 0F 8B 43 08 80 B8 A1 02 00 00 05 0F 95 C0 EB 02 33 C0 84 C0 74 12 80 7B 50 00 74 06 C6 45 F7 16 EB 16 C6 45 F7 17 EB 10 80 7B 50 00 74 06 C6 45 F7 1C EB 04 C6 45 F7 1D 8B 43 58 2B C6 50 8D 45 A0 50 8B BB E0 00 00 00 8B C7 2B 45 C8 8B CF 8B 55 C4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 55 F7 8D 4D E8 8B 38 FF 97 FC 00 00 00 8B 45 AC 2B 45 A4 85 C0 7E 1D 8D 45 A0 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E8 5A E8 ?? ?? ?? ?? 8B 43 08 80 B8 A1 02 00 00 04 74 0F 8B 43 08 80 B8 A1 02 00 00 05 0F 95 C0 EB 02 33 C0 84 C0 74 12 80 7B 50 00 74 06 C6 45 F7 18 EB 16 C6 45 F7 19 EB 10 80 7B 50 00 74 06 C6 45 F7 1E EB 04 C6 45 F7 1F 8B 7B 58 57 8D 45 A0 50 8B D7 2B D6 8B 8B E0 00 00 00 33 C0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 55 F7 8D 4D E8 8B 18 FF 93 FC 00 00 00 8B 45 AC 2B 45 A4 85 C0 7E 1D 8D 45 A0 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E8 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 41 01 00 }
	condition:
		$1
}

rule function_80124_0 {
	meta:
		name = "TFormStyleHook.WMNCActivate"
		size = 244
		refs = "0034 Win32MajorVersion 0042 TStyleHook.SetRedraw 004b TStyleHook.CallDefaultProc 008c TStyleHook.GetHandle 0092 RedrawWindow 00bb PostMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7E 04 00 0F 97 C0 88 43 50 8B 43 74 85 C0 74 0A 80 78 28 00 74 04 C6 40 28 00 8B 43 08 0F B6 80 A6 02 00 00 3C 01 75 69 3C 01 75 13 A1 ?? ?? ?? ?? 83 38 06 7C 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 08 80 B8 A6 02 00 00 01 75 44 A1 ?? ?? ?? ?? 83 38 06 7C 3A B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 08 F6 40 1C 08 75 28 8B 43 08 F6 40 1C 01 75 1F 68 81 01 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 07 C7 46 0C 01 00 00 00 8B 43 08 8B 80 84 03 00 00 85 C0 74 13 8B 56 08 52 8B 56 04 52 68 86 00 00 00 50 E8 ?? ?? ?? ?? 8B 43 08 80 B8 A1 02 00 00 00 74 22 80 B8 A6 02 00 00 01 75 0C 80 B8 A2 02 00 00 02 0F 94 C0 EB 02 33 C0 84 C0 75 07 8B C3 8B 10 FF 52 24 C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_80125_0 {
	meta:
		name = "TFormStyleHook.GetRegion"
		size = 128
		refs = "000c StyleServices 002d Rect 0074 TCustomStyleServices.GetElementRegion"
	strings:
		$1 = { 53 83 C4 E0 8B D8 33 C0 89 04 24 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 5F 8B 43 58 50 8D 44 24 08 50 8B 8B E0 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 43 08 0F B6 80 A1 02 00 00 3C 04 74 07 3C 05 0F 95 C0 EB 02 33 C0 84 C0 74 04 B3 02 EB 02 B3 05 E8 ?? ?? ?? ?? 8B D3 8D 4C 24 14 8B 18 FF 93 FC 00 00 00 54 E8 ?? ?? ?? ?? 8D 4C 24 08 8D 54 24 18 E8 ?? ?? ?? ?? 8B 04 24 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_80126_0 {
	meta:
		name = "TFormStyleHook.ChangeSize"
		size = 187
		refs = "0014 TStyleHook.GetHandle 0019 IsIconic 0028 TFormStyleHook.GetBorderSize 0057 TFormStyleHook.ChangeSize 0065 TFormStyleHook.GetRegion 0088 SetWindowRgn 00a4 DeleteObject 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 45 FC 8B 45 FC C6 40 38 01 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 17 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 03 45 F4 8B 55 FC 89 42 58 8B 45 FC 8B 40 08 80 B8 A1 02 00 00 00 74 70 8B 45 FC 8B 80 C4 00 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 82 C4 00 00 00 6A FF 8B 45 FC 8B 80 C4 00 00 00 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 09 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 8B 45 FC C6 40 38 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_80127_0 {
	meta:
		name = "TFormStyleHook.WMMove"
		size = 56
		refs = "0012 TStyleHook.CallDefaultProc 0020 Application 0028 TWinControl.GetHandle 002e SendMessage"
	strings:
		$1 = { 53 8B D8 8B 43 08 80 B8 A6 02 00 00 01 75 27 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 68 2C 05 00 00 A1 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_80128_0 {
	meta:
		name = "TFormStyleHook.WMMDIChildMove"
		size = 124
		refs = "0023 TFormStyleHook.GetMDIScrollInfo 0035 TFormStyleHook.MDIChildMaximized 004f TFormStyleHook.TMainMenuBarStyleHook.SetShowMDIButtons"
	strings:
		$1 = { 53 8B D8 8B 43 08 80 B8 A6 02 00 00 02 75 6B 80 BB C8 00 00 00 00 75 62 8B 42 04 89 43 3C B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 3C 83 7B 74 00 74 44 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8B 43 74 80 B8 A5 00 00 00 00 75 0C B2 01 8B 43 74 E8 ?? ?? ?? ?? EB 21 8B C3 E8 ?? ?? ?? ?? 84 C0 75 16 8B 43 74 80 B8 A5 00 00 00 00 74 0A 33 D2 8B 43 74 E8 ?? ?? ?? ?? C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_80129_0 {
	meta:
		name = "TFormStyleHook.WMSize"
		size = 169
		refs = "000a TStyleHook.GetHandle 000f IsIconic 0018 Application 0020 TWinControl.GetHandle 0046 TStyleHook.CallDefaultProc 004f TFormStyleHook.GetMDIScrollInfo 0086 SendMessage"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 21 A1 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 3B F8 74 07 8B C3 8B 10 FF 52 24 83 BB 88 00 00 00 00 74 18 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? C6 43 14 01 EB 4C 8B 43 08 80 B8 A6 02 00 00 01 75 40 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 68 2C 05 00 00 A1 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 8B 10 FF 52 24 C6 43 14 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80130_0 {
	meta:
		name = "TFormStyleHook.WMWindowPosChanging"
		size = 159
		refs = "000c TStyleHook.CallDefaultProc 0084 TFormStyleHook.ChangeSize"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? C6 43 14 01 33 D2 80 7B 38 00 75 7F 8B 7E 08 8B 47 18 A8 01 74 04 A8 02 75 53 A8 02 75 15 8B 47 08 89 83 B0 00 00 00 8B 46 08 8B 40 0C 89 83 DC 00 00 00 8B 46 08 F6 40 18 01 75 31 8B 46 08 8B 78 10 3B BB E0 00 00 00 75 08 8B 50 14 3B 53 58 74 06 F6 40 18 01 74 04 33 D2 EB 02 B2 01 89 BB E0 00 00 00 8B 46 08 8B 40 14 89 43 58 84 D2 74 1A 8B C3 E8 ?? ?? ?? ?? 8B 43 08 80 B8 A1 02 00 00 00 74 07 8B C3 8B 10 FF 52 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80132_0 {
	meta:
		name = "TFormStyleHook.UpdateForm"
		size = 38
		refs = "0014 TControl.SetWidth"
	strings:
		$1 = { 53 8B D8 8B 43 08 80 B8 A1 02 00 00 00 74 15 8B 50 50 4A E8 ?? ?? ?? ?? 8B 43 08 8B 50 50 42 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80133_0 {
	meta:
		name = "TFormStyleHook.WMNCMouseMove"
		size = 203
		refs = "000e TMouseTrackControlStyleHook.WMNCMouseMove 0037 TFormStyleHook.NormalizePoint 0053 TFormStyleHook.TMainMenuBarStyleHook.MouseMove"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 83 7E 74 00 74 45 83 7B 04 05 75 3F 0F BF 43 08 0F BF 53 0A 89 44 24 08 89 54 24 0C 8B CC 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 8B 46 74 8B 50 08 29 14 24 8B 50 0C 29 54 24 04 8B 4C 24 04 8B 14 24 E8 ?? ?? ?? ?? C6 46 14 01 EB 21 8B 46 74 85 C0 74 1A 80 B8 8D 00 00 00 00 74 11 83 7B 04 05 74 0B 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 8B 43 04 83 F8 14 74 0F 83 F8 09 74 0A 83 F8 08 74 05 83 F8 15 75 1E 3B 46 54 74 0A 89 46 54 8B C6 8B 10 FF 52 24 33 C0 89 43 0C 33 C0 89 03 C6 46 14 01 EB 12 83 7E 54 00 74 0C 33 C0 89 46 54 8B C6 8B 10 FF 52 24 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_80134_0 {
	meta:
		name = "TFormStyleHook.WMNCRButtonDown"
		size = 34
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 83 7B 74 00 74 0A 83 7E 04 05 75 04 C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_80135_0 {
	meta:
		name = "TFormStyleHook.WMNCLButtonDown"
		size = 268
		refs = "002e TFormStyleHook.TMainMenuBarStyleHook.TrackMDIChildSystemMenu 0057 TFormStyleHook.TMainMenuBarStyleHook.TrackSystemMenu 0082 TFormStyleHook.TMainMenuBarStyleHook.ProcessMenuLoop 00b1 TFormStyleHook.NormalizePoint 00cd TFormStyleHook.TMainMenuBarStyleHook.MouseDown"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 8B 43 74 85 C0 74 22 80 B8 8E 00 00 00 00 74 19 C6 40 28 00 C6 80 8E 00 00 00 00 E8 ?? ?? ?? ?? C6 43 14 01 E9 CB 00 00 00 8B 43 74 85 C0 74 22 80 B8 90 00 00 00 00 74 19 C6 40 28 00 C6 80 90 00 00 00 00 E8 ?? ?? ?? ?? C6 43 14 01 E9 A2 00 00 00 8B 43 74 85 C0 74 21 80 B8 8F 00 00 00 00 74 18 C6 40 28 00 C6 80 8F 00 00 00 00 B2 01 E8 ?? ?? ?? ?? C6 43 14 01 EB 7A 83 7B 74 00 74 43 83 7E 04 05 75 3D 0F BF 46 08 0F BF 56 0A 89 44 24 08 89 54 24 0C 8B CC 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 8B 43 74 8B 50 08 29 14 24 8B 50 0C 29 54 24 04 8B 4C 24 04 8B 14 24 E8 ?? ?? ?? ?? C6 43 14 01 8B 46 04 83 F8 14 74 0F 83 F8 09 74 0A 83 F8 08 74 05 83 F8 15 75 1A 89 83 C0 00 00 00 8B C3 8B 10 FF 52 24 33 C0 89 46 0C 33 C0 89 06 C6 43 14 01 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_80136_0 {
	meta:
		name = "TFormStyleHook.WMNCRButtonUp"
		size = 58
		refs = "0013 TStyleHook.GetHandle 0034 SendMessage"
	strings:
		$1 = { 53 8B DA 83 7B 04 02 75 2F 80 B8 E4 00 00 00 00 74 26 E8 ?? ?? ?? ?? 0F B7 53 08 0F B7 4B 0A 0F B7 D2 0F B7 C9 C1 E1 10 0B D1 52 6A 00 68 13 03 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80137_0 {
	meta:
		name = "TFormStyleHook.WMNCLButtonUp"
		size = 385
		refs = "004a TFormStyleHook.NormalizePoint 0066 TFormStyleHook.TMainMenuBarStyleHook.MouseUp"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B DA 8B F0 8B 86 C0 00 00 00 8B F8 85 C0 74 0F 33 C0 89 86 C0 00 00 00 8B C6 8B 10 FF 52 24 83 7E 74 00 74 43 83 7B 04 05 75 3D 0F BF 43 08 0F BF 53 0A 89 44 24 08 89 54 24 0C 8B CC 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 8B 46 74 8B 50 08 29 14 24 8B 50 0C 29 54 24 04 8B 4C 24 04 8B 14 24 E8 ?? ?? ?? ?? C6 46 14 01 8B 43 04 83 F8 0C 0F 84 00 01 00 00 83 F8 0F 0F 84 F7 00 00 00 83 F8 0A 0F 84 EE 00 00 00 83 F8 0B 0F 84 E5 00 00 00 83 F8 02 0F 84 DC 00 00 00 83 F8 0D 0F 84 D3 00 00 00 83 F8 0E 0F 84 CA 00 00 00 83 F8 11 0F 84 C1 00 00 00 83 F8 10 0F 84 B8 00 00 00 83 F8 03 0F 84 AF 00 00 00 3B 7E 54 0F 85 99 00 00 00 83 F8 14 75 0C 8B C6 8B 10 FF 52 34 E9 88 00 00 00 83 F8 09 75 0F 8B 56 08 F6 82 A0 02 00 00 04 0F 95 C2 EB 02 33 D2 84 D2 74 1E 8B 46 08 80 B8 A2 02 00 00 02 74 09 8B C6 8B 10 FF 52 3C EB 59 8B C6 8B 10 FF 52 48 EB 50 83 F8 08 75 0F 8B 56 08 F6 82 A0 02 00 00 02 0F 95 C2 EB 02 33 D2 84 D2 74 1E 8B 46 08 80 B8 A2 02 00 00 01 74 09 8B C6 8B 10 FF 52 44 EB 21 8B C6 8B 10 FF 52 48 EB 18 83 F8 15 75 13 8B 46 08 F6 80 A0 02 00 00 08 74 07 8B C6 8B 10 FF 52 38 33 C0 89 43 0C 33 C0 89 03 C6 46 14 01 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80138_0 {
	meta:
		name = "TFormStyleHook.WMNCLButtonDblClk"
		size = 79
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 8B 08 FF 51 F0 8B 43 04 83 F8 0C 74 35 83 F8 0F 74 30 83 F8 0A 74 2B 83 F8 0B 74 26 83 F8 02 74 21 83 F8 0D 74 1C 83 F8 0E 74 17 83 F8 11 74 12 83 F8 10 74 0D 33 C0 89 43 0C 33 C0 89 03 C6 46 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_80139_0 {
	meta:
		name = "TFormStyleHook.MouseEnter"
		size = 20
		refs = "0006 TMouseTrackControlStyleHook.MouseEnter"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 C0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_80140_0 {
	meta:
		name = "TFormStyleHook.MouseLeave"
		size = 68
		refs = "0006 TMouseTrackControlStyleHook.MouseLeave 003e TFormStyleHook.TMainMenuBarStyleHook.MouseMove"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 54 00 74 20 33 C0 89 43 54 33 C0 89 83 C0 00 00 00 8B 43 08 80 B8 A1 02 00 00 00 74 07 8B C3 8B 10 FF 52 24 8B 43 74 85 C0 74 0B 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80141_0 {
	meta:
		name = "TFormStyleHook.WMActivate"
		size = 33
		refs = "000b TStyleHook.CallDefaultProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 66 83 7E 04 00 0F 97 C0 88 43 50 C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_80142_0 {
	meta:
		name = "TFormStyleHook.WMNCUAHDrawCaption"
		size = 16
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 24 C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_80143_0 {
	meta:
		name = "TFormStyleHook.Close"
		size = 41
		refs = "0006 TStyleHook.GetHandle 0023 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 19 6A 00 68 60 F0 00 00 68 12 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80144_0 {
	meta:
		name = "TFormStyleHook.Restore"
		size = 54
		refs = "0013 TStyleHook.GetHandle 0030 SendMessage"
	strings:
		$1 = { 53 8B D8 33 C0 89 83 C0 00 00 00 33 C0 89 43 54 8B C3 E8 ?? ?? ?? ?? 85 C0 74 19 6A 00 68 20 F1 00 00 68 12 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80145_0 {
	meta:
		name = "TFormStyleHook.Maximize"
		size = 98
		refs = "0006 TStyleHook.GetHandle 0024 IsZoomed 0041 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 52 33 C0 89 83 C0 00 00 00 33 C0 89 43 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 1B 6A 00 68 20 F1 00 00 68 12 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 19 6A 00 68 30 F0 00 00 68 12 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80146_0 {
	meta:
		name = "TFormStyleHook.Minimize"
		size = 97
		refs = "0006 TStyleHook.GetHandle 0023 IsIconic 0040 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 51 33 C0 89 83 C0 00 00 00 33 C0 89 43 54 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1B 6A 00 68 20 F1 00 00 68 12 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 19 6A 00 68 20 F0 00 00 68 12 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80147_0 {
	meta:
		name = "TFormStyleHook.Help"
		size = 30
		refs = "0012 TStyleHook.GetHandle 0018 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 68 80 F1 00 00 68 12 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80148_0 {
	meta:
		name = "TFormStyleHook.WMShowWindow"
		size = 282
		refs = "0029 _DV_TForm 002e @IsClass 0056 GetWindowLongPtr 0068 MakeObjectInstance 008a SetWindowLongPtr 0091 TFormStyleHook.InitMDIScrollBars 0098 TFormStyleHook.AdjustMDIScrollBars 009d TStyleManager.GetSystemStyle 00ad TStyleHook.GetHandle 0113 TFormStyleHook.UpdateForm"
	strings:
		$1 = { 53 56 8B D8 83 7A 04 00 0F 84 09 01 00 00 80 BB B4 00 00 00 00 0F 84 FC 00 00 00 C6 83 B4 00 00 00 00 8B 73 08 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 66 80 BE A6 02 00 00 02 75 5D 83 BB 88 00 00 00 00 75 54 8B 86 84 03 00 00 BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 89 83 90 00 00 00 53 8B 03 8B 40 40 50 E8 ?? ?? ?? ?? 89 83 88 00 00 00 8B 43 08 8B 80 84 03 00 00 BA FC FF FF FF 8B B3 88 00 00 00 56 52 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 75 1D 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? A9 00 00 C0 00 0F 95 C0 EB 02 33 C0 84 C0 74 43 8B 43 08 80 B8 A6 02 00 00 01 74 37 C6 83 E4 00 00 00 01 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 8B D6 BE F0 FF FF FF 25 FF FF 3F FF 50 56 52 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80149_0 {
	meta:
		name = "TFormStyleHook.WMGetMinMaxInfo"
		size = 51
		refs = "000e TStyleHook.CallDefaultProc 0017 TFormStyleHook.GetBorderSize"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 46 08 8B 54 24 04 03 54 24 0C 89 50 1C C6 43 14 01 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_80150_0 {
	meta:
		name = "TScrollBoxStyleHook.Create"
		size = 79
		refs = "000a @ClassCreate 0017 TScrollingStyleHook.Create 0020 StyleServices 0027 TCustomStyleServices.GetStyleColor 0031 TBrush.SetColor 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 16 01 E8 ?? ?? ?? ?? B2 17 E8 ?? ?? ?? ?? 8B D0 8B 46 04 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_80152_0 {
	meta:
		name = "Finalization"
		size = 53
		refs = "0002 _DV_02 000a Application 0012 DoneApplication 0018 HintDoneEvent 0026 CloseHandle 002b FindGlobalComponent 0030 UnregisterFindGlobalComponentProc"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 2C 83 3D ?? ?? ?? ?? 00 74 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80153_0 {
	meta:
		name = "Vcl.Forms"
		size = 92
		refs = "0002 _DV_02 000a _Nn__137E 000f @InitImports 0014 InitProcs 0019 Vcl.Forms 001e RegisterWindowMessage 0023 RM_TaskbarCreated 0028 FindGlobalComponent 002d RegisterFindGlobalComponentProc 0034 IdleTimerHandle"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 2F B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 00 00 00 54 00 61 00 73 00 6B 00 62 00 61 00 72 00 43 00 72 00 65 00 61 00 74 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_80199_0 {
	meta:
		name = "InternalDeletePalette"
		size = 19
		refs = "0006 SystemPalette16 000e DeleteObject"
	strings:
		$1 = { 85 C0 74 0E 3B 05 ?? ?? ?? ?? 74 06 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80200_0 {
	meta:
		name = "GetHashCode"
		size = 17
	strings:
		$1 = { 89 D1 89 C2 31 C0 66 C1 C0 05 32 02 42 49 75 F6 C3 }
	condition:
		$1
}

rule function_80201_0 {
	meta:
		name = "TResourceManager.Create"
		size = 57
		refs = "000a @ClassCreate 001b InitializeCriticalSection 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 66 89 4E 20 8D 46 08 50 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_80202_0 {
	meta:
		name = "TResourceManager.Destroy"
		size = 34
		refs = "0003 @BeforeDestruction 0010 DeleteCriticalSection 001b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 08 50 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80203_0 {
	meta:
		name = "TPatternManager.Lock"
		size = 10
		refs = "0005 EnterCriticalSection"
		altNames = "TResourceManager.Lock"
	strings:
		$1 = { 83 C0 08 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80625_0 {
	meta:
		name = "TPatternManager.Unlock"
		size = 10
		refs = "0005 LeaveCriticalSection"
	strings:
		$1 = { 83 C0 08 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80204_0 {
	meta:
		name = "TResourceManager.Unlock"
		size = 10
		refs = "0005 LeaveCriticalSection"
	strings:
		$1 = { 83 C0 08 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80205_0 {
	meta:
		name = "TResourceManager.AllocResource"
		size = 269
		refs = "0018 GetHashCode 002c EnterCriticalSection 0034 TResourceManager.AllocResource 003f TThread.GetCurrentThread 0080 CompareMem 0099 @GetMem 00c9 Move 00f7 LeaveCriticalSection 00fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B DA 89 45 FC 8B 45 FC 0F B7 50 20 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 45 F4 8B 45 F4 83 C0 08 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B 78 08 8B 45 FC 8B 40 04 89 45 F8 EB 08 8B 45 F8 8B 00 89 45 F8 83 7D F8 00 74 29 8B 45 F8 3B 78 10 75 EA 8B 45 F8 66 3B 70 0C 75 E1 8B 45 FC 0F B7 48 20 8B D3 8B 45 F8 83 C0 14 E8 ?? ?? ?? ?? 84 C0 74 C9 83 7D F8 00 75 48 8B 45 FC 0F B7 40 20 83 C0 14 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 55 FC 8B 52 04 89 10 33 D2 89 50 04 8B 13 89 50 08 66 89 70 0C 89 78 10 8B 55 FC 0F B7 4A 20 8D 50 14 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 50 04 8B 45 F8 FF 40 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 89 45 F0 8B 45 F0 83 C0 08 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80206_0 {
	meta:
		name = "TResourceManager.FreeResource"
		size = 206
		refs = "002a EnterCriticalSection 0032 TResourceManager.FreeResource 0096 LeaveCriticalSection 009c @HandleFinally 00b4 DeleteObject 00c6 @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 55 F8 89 45 FC 83 7D F8 00 0F 84 B4 00 00 00 8B 45 F8 89 45 F0 8B 45 FC 89 45 EC 8B 45 EC 83 C0 08 50 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F0 FF 48 04 8B 45 F0 83 78 04 00 0F 94 45 F7 80 7D F7 00 74 28 8B 45 FC 8B 40 04 3B 45 F8 75 0F 8B 45 F8 8B 00 8B 55 FC 89 42 04 EB 10 8B C2 8B 10 3B 55 F8 75 F7 8B 55 F8 8B 12 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 89 45 E8 8B 45 E8 83 C0 08 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 80 7D F7 00 74 22 8B 45 F0 8B 40 08 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 11 8B 45 F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_80207_0 {
	meta:
		name = "TResourceManager.ChangeResource"
		size = 135
		refs = "001f EnterCriticalSection 0027 TResourceManager.ChangeResource 003b TResourceManager.AllocResource 0055 TResourceManager.FreeResource 0074 LeaveCriticalSection 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 FC 89 45 F4 8B 45 F4 83 C0 08 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B F8 89 7B 10 3B F7 74 07 8B C3 8B 10 FF 52 0C 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 89 45 F0 8B 45 F0 83 C0 08 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80209_0 {
	meta:
		name = "TResourceManager.AssignResource"
		size = 147
		refs = "001e EnterCriticalSection 0026 TResourceManager.AssignResource 0052 TResourceManager.FreeResource 0061 TResourceManager.ChangeResource 0080 LeaveCriticalSection 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8B FA 89 45 FC 8B 45 FC 89 45 F8 8B 45 F8 83 C0 08 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 10 3B F3 74 2E 8B 43 10 3B 46 10 75 19 FF 46 04 89 77 10 8B C7 8B 10 FF 52 0C 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 0D 8D 4E 14 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 89 45 F4 8B 45 F4 83 C0 08 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80210_0 {
	meta:
		name = "TBrushResourceManager.FreeObjects"
		size = 23
		refs = "0012 TObject.Free"
	strings:
		$1 = { 80 7A 21 00 74 10 8D 42 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80211_0 {
	meta:
		name = "ClearColor"
		size = 132
		refs = "001a EnterCriticalSection 0022 ClearColor 0047 DeleteObject 0071 LeaveCriticalSection 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 FC 89 45 F8 8B 45 F8 83 C0 08 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 04 85 DB 74 20 8B F3 8B 7E 08 85 FF 74 11 83 7E 18 00 7D 0B 57 E8 ?? ?? ?? ?? 33 C0 89 46 08 8B 1B 85 DB 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 89 45 F4 8B 45 F4 83 C0 08 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80212_0 {
	meta:
		name = "PaletteChanged"
		size = 173
		refs = "000e CanvasList 0013 TThreadList.LockList 001e PaletteChanged 0031 TList.Get 003a TCustomCanvas.Lock 0044 TCanvas.DeselectHandles 0054 PenManager 0059 ClearColor 005e BrushManager 008a TCustomCanvas.Unlock 009b TMonitor.Exit 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C0 89 45 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 EB 1E 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? FF 45 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 3B 45 FC 7F D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 5D FC 4B 85 DB 7C 16 43 33 F6 8B D6 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80213_0 {
	meta:
		name = "ColorToRGB"
		size = 16
		refs = "000b GetSysColor"
	strings:
		$1 = { 85 C0 7D 0B 25 FF 00 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80220_0 {
	meta:
		name = "TGraphicsObject.Lock"
		size = 14
		refs = "0009 EnterCriticalSection"
	strings:
		$1 = { 8B 50 14 85 D2 74 06 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80221_0 {
	meta:
		name = "TGraphicsObject.Unlock"
		size = 14
		refs = "0009 LeaveCriticalSection"
	strings:
		$1 = { 8B 50 14 85 D2 74 06 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80222_0 {
	meta:
		name = "TGraphicsObject.HandleAllocated"
		size = 19
	strings:
		$1 = { 8B 50 10 85 D2 74 06 83 7A 08 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_80223_0 {
	meta:
		name = "GetCharsetValues"
		size = 35
		refs = "000b FontCharsets"
	strings:
		$1 = { 55 8B EC 53 56 BE 12 00 00 00 BB ?? ?? ?? ?? 8B 13 8B 45 0C FF 55 08 83 C3 08 4E 75 F2 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_80224_0 {
	meta:
		name = "CharsetToIdent"
		size = 13
		refs = "0003 FontCharsets 0008 IntToIdent"
	strings:
		$1 = { 6A 11 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80225_0 {
	meta:
		name = "IdentToCharset"
		size = 13
		refs = "0003 FontCharsets 0008 IdentToInt"
	strings:
		$1 = { 6A 11 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80226_0 {
	meta:
		name = "GetFontData"
		size = 267
		refs = "001c GetFontData 002a DefFontData 0046 GetObject 0099 @UStrFromWArray 00aa UTF8EncodeToShortString 00ba @PStrNCpy 00f8 @UStrClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 A0 FE FF FF 53 56 57 33 C9 89 8D A0 FE FF FF 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B FB BE ?? ?? ?? ?? B9 24 00 00 00 F3 A5 5E 85 F6 0F 84 A6 00 00 00 8D 45 A4 50 6A 5C 56 E8 ?? ?? ?? ?? 85 C0 0F 84 92 00 00 00 8B 45 A4 89 43 04 81 7D B4 BC 02 00 00 7C 04 80 4B 0D 01 80 7D B8 01 75 04 80 4B 0D 02 80 7D B9 01 75 04 80 4B 0D 04 80 7D BA 01 75 04 80 4B 0D 08 0F B6 45 BB 88 43 0E 8D 85 A0 FE FF FF 8D 55 C0 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 85 A0 FE FF FF 8D 95 A4 FE FF FF E8 ?? ?? ?? ?? 8D 95 A4 FE FF FF 8D 43 0F B1 7C E8 ?? ?? ?? ?? 0F B6 45 BF 24 0F FE C8 74 0A FE C8 75 0C C6 43 0C 01 EB 0A C6 43 0C 02 EB 04 C6 43 0C 00 89 33 8B 45 B0 89 43 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A0 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80227_0 {
	meta:
		name = "TFont.Create"
		size = 93
		refs = "000a @ClassCreate 0017 TObject.Create 001e DefFontData 0028 FontManager 002d TResourceManager.AllocResource 003c ScreenLogPixels 004a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 C7 46 18 08 00 00 FF A1 ?? ?? ?? ?? 89 46 1C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_80228_0 {
	meta:
		name = "TFont.Destroy"
		size = 49
		refs = "0003 @BeforeDestruction 000f FontManager 0014 TResourceManager.FreeResource 001f TPersistent.Destroy 002a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 56 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80270_0 {
	meta:
		name = "TBrush.Destroy"
		size = 49
		refs = "0003 @BeforeDestruction 000f BrushManager 0014 TResourceManager.FreeResource 001f TPersistent.Destroy 002a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 56 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80255_0 {
	meta:
		name = "TPen.Destroy"
		size = 49
		refs = "0003 @BeforeDestruction 000f PenManager 0014 TResourceManager.FreeResource 001f TPersistent.Destroy 002a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 56 10 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80229_0 {
	meta:
		name = "TFont.Changed"
		size = 26
		refs = "0006 TGraphicsObject.Changed"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 20 00 74 08 8B 43 20 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_80230_0 {
	meta:
		name = "TFont.Assign"
		size = 210
		refs = "0012 _DV_TFont 0017 @IsClass 0027 TGraphicsObject.Lock 002f TFont.Assign 0058 FontManager 005d TResourceManager.AssignResource 0068 TFont.SetColor 007a TFont.GetSize 0084 TFont.SetSize 0099 TGraphicsObject.Unlock 009f @HandleFinally 00c9 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9F 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 10 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 18 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 3B 43 1C 74 11 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80231_0 {
	meta:
		name = "TFont.GetData"
		size = 24
	strings:
		$1 = { 56 57 8B 40 10 8D 70 14 8B FA B9 24 00 00 00 F3 A5 33 C0 89 02 5F 5E C3 }
	condition:
		$1
}

rule function_80232_0 {
	meta:
		name = "TFont.SetData"
		size = 80
		refs = "000e TGraphicsObject.Lock 0016 TFont.SetData 0026 FontManager 002b TResourceManager.ChangeResource 0040 TGraphicsObject.Unlock 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_80273_0 {
	meta:
		name = "TBrush.SetData"
		size = 80
		refs = "000e TGraphicsObject.Lock 0016 TBrush.SetData 0026 BrushManager 002b TResourceManager.ChangeResource 0040 TGraphicsObject.Unlock 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_80258_0 {
	meta:
		name = "TPen.SetData"
		size = 80
		refs = "000e TGraphicsObject.Lock 0016 TPen.SetData 0026 PenManager 002b TResourceManager.ChangeResource 0040 TGraphicsObject.Unlock 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_80233_0 {
	meta:
		name = "TChartBrush.SetBackColor"
		size = 14
		altNames = "TFont.SetColor"
	strings:
		$1 = { 3B 50 18 74 08 89 50 18 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_80234_0 {
	meta:
		name = "IsDefaultFont"
		size = 42
		refs = "0009 DefFontData 001c @AStrCmp"
	strings:
		$1 = { 53 8B D8 0F B6 43 0E 3A 05 ?? ?? ?? ?? 75 13 B8 ?? ?? ?? ?? 8D 53 0F 0F B6 08 41 E8 ?? ?? ?? ?? 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_80235_0 {
	meta:
		name = "TFont.GetHandle"
		size = 564
		refs = "0019 TFont.GetHandle 0037 FontManager 0046 EnterCriticalSection 00cc DefFontData 00ec @UStrFromString 00f9 CompareText 010c UTF8ToUnicodeString 011c StrPLCopy 0143 Win32Platform 014d GetDefFontCharSet 015c IsDefaultFont 016b TFont.GetQuality 0189 TFont.GetPitch 01ac CreateFontIndirect 01d3 LeaveCriticalSection 01d9 @HandleFinally 01f6 @UStrClr 0203 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 56 33 D2 89 55 8C 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 89 45 F4 8B 45 F4 83 78 08 00 0F 85 A9 01 00 00 A1 ?? ?? ?? ?? 89 45 F0 8B 45 F0 83 C0 08 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 83 78 08 00 0F 85 51 01 00 00 8B 45 F4 8B 40 18 89 45 90 33 C0 89 45 94 8B 45 F4 8B 40 1C 89 45 98 89 45 9C 8B 45 F4 F6 40 21 01 74 09 C7 45 A0 BC 02 00 00 EB 07 C7 45 A0 90 01 00 00 8B 45 F4 F6 40 21 02 0F 95 C0 88 45 A4 8B 45 F4 F6 40 21 04 0F 95 C0 88 45 A5 8B 45 F4 F6 40 21 08 0F 95 C0 88 45 A6 8B 45 F4 0F B6 40 22 3C 01 75 15 80 3D ?? ?? ?? ?? 01 74 0C 0F B6 05 ?? ?? ?? ?? 88 45 A7 EB 03 88 45 A7 8D 45 8C 8B 55 F4 83 C2 23 E8 ?? ?? ?? ?? 8B 45 8C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 21 BE ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 45 AC B9 1F 00 00 00 8B 55 FC E8 ?? ?? ?? ?? EB 20 8B 45 F4 8D 70 23 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 45 AC B9 1F 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 01 75 1C E8 ?? ?? ?? ?? 3C 80 75 13 8B 45 F4 83 C0 14 E8 ?? ?? ?? ?? 84 C0 74 04 C6 45 A7 80 8B C3 E8 ?? ?? ?? ?? 88 45 AA 83 7D 9C 00 74 06 C6 45 A8 07 EB 04 C6 45 A8 00 C6 45 A9 00 8B C3 E8 ?? ?? ?? ?? FE C8 74 06 FE C8 74 08 EB 0C C6 45 AB 02 EB 0A C6 45 AB 01 EB 04 C6 45 AB 00 8D 45 90 50 E8 ?? ?? ?? ?? 8B 55 F4 89 42 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 EC 8B 45 EC 83 C0 08 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 8B 45 F4 8B 58 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_80236_0 {
	meta:
		name = "TFont.SetHandle"
		size = 39
		refs = "0011 GetFontData 001a TFont.SetData"
	strings:
		$1 = { 53 56 81 C4 70 FF FF FF 8B F2 8B D8 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 90 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_80238_0 {
	meta:
		name = "TFont.SetHeight"
		size = 51
		refs = "0019 TFont.GetData 0026 TFont.SetData"
	strings:
		$1 = { 53 56 81 C4 70 FF FF FF 8B F2 8B D8 8B 43 10 3B 70 18 74 16 8B D4 8B C3 E8 ?? ?? ?? ?? 89 74 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 90 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_80239_0 {
	meta:
		name = "TFont.GetName"
		size = 83
		refs = "000d TFont.GetName 0023 UTF8ToUnicodeString 002d @UStrAsg 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 10 8D 58 23 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80240_0 {
	meta:
		name = "TFont.SetName"
		size = 91
		refs = "0015 TFont.GetData 0025 @FillChar 0033 UTF8EncodeToShortString 0045 @PStrNCpy 004e TFont.SetData"
	strings:
		$1 = { 53 56 81 C4 70 FE FF FF 8B F2 8B D8 85 F6 74 42 8B D4 8B C3 E8 ?? ?? ?? ?? 8D 44 24 0F 33 C9 BA 7D 00 00 00 E8 ?? ?? ?? ?? 8D 94 24 90 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 94 24 90 00 00 00 8D 44 24 0F B1 7C E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 90 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_80241_0 {
	meta:
		name = "TFont.GetSize"
		size = 25
		refs = "0011 MulDiv"
	strings:
		$1 = { 53 8B D8 8B 43 1C 50 6A 48 8B 43 10 8B 40 18 50 E8 ?? ?? ?? ?? F7 D8 5B C3 }
	condition:
		$1
}

rule function_80242_0 {
	meta:
		name = "TFont.SetSize"
		size = 32
		refs = "000e MulDiv 0019 TFont.SetHeight"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 48 8B 43 1C 50 56 E8 ?? ?? ?? ?? 8B D0 F7 DA 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80243_0 {
	meta:
		name = "TFont.GetStyle"
		size = 10
	strings:
		$1 = { 8B 40 10 0F B6 50 21 8B C2 C3 }
	condition:
		$1
}

rule function_80244_0 {
	meta:
		name = "TFont.SetStyle"
		size = 64
		refs = "0020 TFont.GetData 0033 TFont.SetData"
	strings:
		$1 = { 53 56 81 C4 6C FF FF FF 88 14 24 8B F0 8B 46 10 0F B6 58 21 3A 1C 24 74 1E 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 0F B6 04 24 88 44 24 11 8D 54 24 04 8B C6 E8 ?? ?? ?? ?? 81 C4 94 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_80245_0 {
	meta:
		name = "TBrush.GetStyle"
		size = 8
		altNames = "TFont.GetPitch TPen.GetStyle"
	strings:
		$1 = { 8B 40 10 0F B6 40 20 C3 }
	condition:
		$1
}

rule function_80247_0 {
	meta:
		name = "TFont.SetPitch"
		size = 54
		refs = "000f TFont.GetPitch 001c TFont.GetData 0029 TFont.SetData"
	strings:
		$1 = { 53 56 81 C4 70 FF FF FF 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 16 8B D4 8B C6 E8 ?? ?? ?? ?? 88 5C 24 0C 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 90 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_80248_0 {
	meta:
		name = "TFont.SetQuality"
		size = 57
		refs = "000f TFont.GetQuality 001c TFont.GetData 002c TFont.SetData"
	strings:
		$1 = { 53 56 81 C4 70 FF FF FF 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 19 8B D4 8B C6 E8 ?? ?? ?? ?? 88 9C 24 8C 00 00 00 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 90 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_80249_0 {
	meta:
		name = "TFont.GetCharset"
		size = 8
	strings:
		$1 = { 8B 40 10 0F B6 40 22 C3 }
	condition:
		$1
}

rule function_80250_0 {
	meta:
		name = "TFont.SetCharset"
		size = 54
		refs = "000f TFont.GetCharset 001c TFont.GetData 0029 TFont.SetData"
	strings:
		$1 = { 53 56 81 C4 70 FF FF FF 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 16 8B D4 8B C6 E8 ?? ?? ?? ?? 88 5C 24 0E 8B D4 8B C6 E8 ?? ?? ?? ?? 81 C4 90 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_80251_0 {
	meta:
		name = "TBrush.GetBitmap"
		size = 7
		altNames = "TFont.GetOrientation TPen.GetWidth"
	strings:
		$1 = { 8B 40 10 8B 40 1C C3 }
	condition:
		$1
}

rule function_80252_0 {
	meta:
		name = "TFont.SetOrientation"
		size = 54
		refs = "000f TFont.GetOrientation 001c TFont.GetData 0029 TFont.SetData"
	strings:
		$1 = { 53 56 81 C4 70 FF FF FF 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 74 16 8B D4 8B C3 E8 ?? ?? ?? ?? 89 74 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 81 C4 90 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_80253_0 {
	meta:
		name = "GetPenData"
		size = 270
		refs = "0011 DefPenData 0028 GetObject 004d LogPenStyles 0078 @GetMem 0083 GetPenData 00cd @FreeMem 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F2 8B D8 56 8B FE BE ?? ?? ?? ?? A5 A5 A5 A5 5E 85 DB 0F 84 E5 00 00 00 6A 00 6A 00 53 E8 ?? ?? ?? ?? 8B F8 83 FF 10 75 34 8D 45 EC 50 6A 10 53 E8 ?? ?? ?? ?? 85 C0 0F 84 C0 00 00 00 8B 45 EC 0F B6 80 ?? ?? ?? ?? 88 46 0C 8B 45 F0 89 46 08 8B 45 F8 89 46 04 89 1E E9 A0 00 00 00 83 FF 18 0F 8C 97 00 00 00 83 FF 1C 7E 64 8B C7 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 50 57 53 E8 ?? ?? ?? ?? 85 C0 74 20 8B 45 FC 8B 10 83 E2 0F 0F B6 92 ?? ?? ?? ?? 88 56 0C 8B 50 04 89 56 08 8B 40 0C 89 46 04 89 1E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 D0 50 6A 1C 53 E8 ?? ?? ?? ?? 85 C0 74 1E 8B 45 D0 83 E0 0F 0F B6 80 ?? ?? ?? ?? 88 46 0C 8B 45 D4 89 46 08 8B 45 DC 89 46 04 89 1E 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80254_0 {
	meta:
		name = "TPen.Create"
		size = 75
		refs = "000a @ClassCreate 0017 TObject.Create 001c DefPenData 0021 PenManager 0026 TResourceManager.AllocResource 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 C6 46 18 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_80256_0 {
	meta:
		name = "TPen.Assign"
		size = 183
		refs = "0012 _DV_TPen 0017 @IsClass 0027 TGraphicsObject.Lock 002f TPen.Assign 0058 PenManager 005d TResourceManager.AssignResource 0069 TPen.SetMode 007e TGraphicsObject.Unlock 0084 @HandleFinally 00ae TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 84 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 10 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 53 18 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80257_0 {
	meta:
		name = "TPen.GetData"
		size = 21
	strings:
		$1 = { 56 57 8B 40 10 8D 70 14 8B FA A5 A5 A5 A5 33 C0 89 02 5F 5E C3 }
	condition:
		$1
}

rule function_80260_0 {
	meta:
		name = "TPen.SetColor"
		size = 45
		refs = "0016 TPen.GetData 0023 TPen.SetData"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B 43 10 3B 70 18 74 16 8B D4 8B C3 E8 ?? ?? ?? ?? 89 74 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_80261_0 {
	meta:
		name = "TPen.GetHandle"
		size = 175
		refs = "001a PenManager 0029 EnterCriticalSection 0031 TPen.GetHandle 004f PenStyles 0066 ColorToRGB 0072 CreatePenIndirect 0099 LeaveCriticalSection 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 8B 40 10 89 45 FC 8B 45 FC 83 78 08 00 0F 85 8C 00 00 00 A1 ?? ?? ?? ?? 89 45 F8 8B 45 F8 83 C0 08 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 08 00 75 38 8B 45 FC 0F B6 40 20 0F B7 04 45 ?? ?? ?? ?? 89 45 E4 8B 45 FC 8B 40 1C 89 45 E8 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 89 45 F0 8D 45 E4 50 E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 F4 8B 45 F4 83 C0 08 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 8B 45 FC 8B 40 08 8B E5 5D C3 }
	condition:
		$1
}

rule function_80263_0 {
	meta:
		name = "TPen.SetMode"
		size = 14
		altNames = "TQuickAccessToolbar.SetPosition"
	strings:
		$1 = { 3A 50 18 74 08 88 50 18 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_80265_0 {
	meta:
		name = "TPen.SetStyle"
		size = 48
		refs = "000c TPen.GetStyle 0019 TPen.GetData 0026 TPen.SetData"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 16 8B D4 8B C6 E8 ?? ?? ?? ?? 88 5C 24 0C 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_80267_0 {
	meta:
		name = "TPen.SetWidth"
		size = 49
		refs = "001a TPen.GetData 0027 TPen.SetData"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 85 F6 7C 1E 8B 43 10 3B 70 1C 74 16 8B D4 8B C3 E8 ?? ?? ?? ?? 89 74 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_80268_0 {
	meta:
		name = "GetBrushData"
		size = 134
		refs = "000e DefBrushData 0020 GetObject 004e _DV_TBitmap 0053 TBitmap.Create 0066 TBitmap.SetHandle"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B DA 8B F0 56 8B FB BE ?? ?? ?? ?? A5 A5 A5 A5 5E 85 F6 74 64 54 6A 0C 56 E8 ?? ?? ?? ?? 85 C0 74 57 8B 04 24 83 E8 01 72 09 74 0D 83 E8 02 74 0E EB 33 C6 43 0C 00 EB 37 C6 43 0C 01 EB 31 83 7B 08 00 75 13 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 C6 43 0D 01 8B 43 08 8B 54 24 08 E8 ?? ?? ?? ?? EB 0A 0F B6 44 24 08 04 02 88 43 0C 8B 44 24 04 89 43 04 89 33 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80269_0 {
	meta:
		name = "TBrush.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TObject.Create 001c DefBrushData 0021 BrushManager 0026 TResourceManager.AllocResource 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_80271_0 {
	meta:
		name = "TBrush.Assign"
		size = 167
		refs = "0012 _DV_TBrush 0017 @IsClass 0023 TGraphicsObject.Lock 002b TBrush.Assign 0054 BrushManager 0059 TResourceManager.AssignResource 006e TGraphicsObject.Unlock 0074 @HandleFinally 009e TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 78 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 10 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80272_0 {
	meta:
		name = "TBrush.GetData"
		size = 26
	strings:
		$1 = { 56 57 8B 40 10 8D 70 14 8B FA A5 A5 A5 A5 33 C0 89 02 33 C0 89 42 08 5F 5E C3 }
	condition:
		$1
}

rule function_80275_0 {
	meta:
		name = "TBrush.SetBitmap"
		size = 33
		refs = "0006 DefBrushData 0017 TBrush.SetData"
	strings:
		$1 = { 56 57 83 C4 F0 BE ?? ?? ?? ?? 8B FC A5 A5 A5 A5 89 54 24 08 8B D4 E8 ?? ?? ?? ?? 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_80277_0 {
	meta:
		name = "TBrush.SetColor"
		size = 93
		refs = "0018 TBrush.GetStyle 003a TBrush.GetData 0053 TBrush.SetData"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B 43 10 3B 70 18 74 04 B0 01 EB 1C 8B C3 E8 ?? ?? ?? ?? 3C 01 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 74 22 8B D4 8B C3 E8 ?? ?? ?? ?? 89 74 24 04 80 7C 24 0C 01 75 05 C6 44 24 0C 00 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_80278_0 {
	meta:
		name = "TBrush.GetHandle"
		size = 243
		refs = "001a BrushManager 0029 EnterCriticalSection 0031 TBrush.GetHandle 00aa ColorToRGB 00b6 CreateBrushIndirect 00dd LeaveCriticalSection 00e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 8B 40 10 89 45 FC 8B 45 FC 83 78 08 00 0F 85 D0 00 00 00 A1 ?? ?? ?? ?? 89 45 F8 8B 45 F8 83 C0 08 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 78 08 00 75 7C 8B 45 FC 8B 40 1C 85 C0 74 1E C7 45 E8 03 00 00 00 B2 01 8B 08 FF 51 78 8B 45 FC 8B 40 1C 8B 10 FF 52 70 89 45 F0 EB 37 33 C0 89 45 F0 8B 45 FC 0F B6 40 20 8B D0 80 EA 01 72 04 74 09 EB 10 33 C0 89 45 E8 EB 19 C7 45 E8 01 00 00 00 EB 10 C7 45 E8 02 00 00 00 83 E0 7F 83 E8 02 89 45 F0 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 89 45 EC 8D 45 E8 50 E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 F4 8B 45 F4 83 C0 08 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 8B 45 FC 8B 40 08 8B E5 5D C3 }
	condition:
		$1
}

rule function_80281_0 {
	meta:
		name = "TBrush.SetStyle"
		size = 89
		refs = "0034 TBrush.GetData 004f TBrush.SetData"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B 46 10 0F B6 50 20 3A DA 74 04 B0 01 EB 13 80 FB 01 75 0C 81 78 18 FF FF FF 00 0F 95 C0 EB 02 33 C0 84 C0 74 24 8B D4 8B C6 E8 ?? ?? ?? ?? 8B C3 88 44 24 0C 3C 01 75 08 C7 44 24 04 FF FF FF 00 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_80282_0 {
	meta:
		name = "TFontRecall.Create"
		size = 72
		refs = "000b @ClassCreate 0019 _DV_TFont 001e TFont.Create 0029 TRecall.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 56 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80284_0 {
	meta:
		name = "TBrushRecall.Create"
		size = 72
		refs = "000b @ClassCreate 0019 _DV_TBrush 001e TBrush.Create 0029 TRecall.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 56 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80283_0 {
	meta:
		name = "TPenRecall.Create"
		size = 72
		refs = "000b @ClassCreate 0019 _DV_TPen 001e TPen.Create 0029 TRecall.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 56 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80287_0 {
	meta:
		name = "TCustomCanvas.Ellipse"
		size = 21
	strings:
		$1 = { 53 8B 4A 08 51 8B 4A 0C 51 8B 4A 04 8B 12 8B 18 FF 53 50 5B C3 }
	condition:
		$1
}

rule function_80288_0 {
	meta:
		name = "TCustomCanvas.Lock"
		size = 37
		refs = "0004 CounterLock 0009 EnterCriticalSection 0016 LeaveCriticalSection"
	strings:
		$1 = { 53 8B D8 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 34 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 1C 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80289_0 {
	meta:
		name = "TCustomCanvas.Rectangle"
		size = 21
	strings:
		$1 = { 53 8B 4A 08 51 8B 4A 0C 51 8B 4A 04 8B 12 8B 18 FF 53 7C 5B C3 }
	condition:
		$1
}

rule function_80290_0 {
	meta:
		name = "TCustomCanvas.RoundRect"
		size = 42
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 42 08 50 8B 42 0C 50 51 8B 45 08 50 8B 02 8B 4A 04 8B D6 92 8B 18 FF 93 84 00 00 00 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_80291_0 {
	meta:
		name = "TCustomCanvas.TextHeight"
		size = 32
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC 8B D6 8B C3 8B 18 FF 93 8C 00 00 00 8B 44 24 04 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_80292_0 {
	meta:
		name = "TCustomCanvas.TextWidth"
		size = 31
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC 8B D6 8B C3 8B 18 FF 93 8C 00 00 00 8B 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_80293_0 {
	meta:
		name = "TCustomCanvas.TryLock"
		size = 91
		refs = "0008 CounterLock 000d EnterCriticalSection 0015 TCustomCanvas.TryLock 0030 TCustomCanvas.Lock 0047 LeaveCriticalSection 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 34 00 0F 94 45 FF 80 7D FF 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 0F B6 45 FF 5B 59 5D C3 }
	condition:
		$1
}

rule function_80294_0 {
	meta:
		name = "TCustomCanvas.Unlock"
		size = 37
		refs = "0008 LeaveCriticalSection 000d CounterLock 0012 EnterCriticalSection"
	strings:
		$1 = { 53 8B D8 8D 43 1C 50 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 4B 34 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80295_0 {
	meta:
		name = "TCanvas.Create"
		size = 196
		refs = "000b @ClassCreate 0018 TObject.Create 0021 InitializeCriticalSection 0028 _DV_TFont 002d TFont.Create 003c TCanvas.FontChanged 0049 _DV_TPen 004e TPen.Create 005d TCanvas.PenChanged 006a _DV_TBrush 006f TBrush.Create 007e TCanvas.BrushChanged 0092 TCanvas.Create 009c CanvasList 00a1 TThreadList.Add 00ac @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 1C 50 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 40 89 7E 0C C7 46 08 ?? ?? ?? ?? 8D 47 1C 89 46 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 44 89 7E 0C C7 46 08 ?? ?? ?? ?? 8D 47 1C 89 46 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 48 89 7E 0C C7 46 08 ?? ?? ?? ?? 8D 47 1C 89 46 14 C7 47 54 20 00 CC 00 0F B6 05 ?? ?? ?? ?? 88 47 3C 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_80296_0 {
	meta:
		name = "TCanvas.Destroy"
		size = 92
		refs = "0003 @BeforeDestruction 0010 CanvasList 0015 TThreadList.RemoveItem 001e TCanvas.SetHandle 0026 TObject.Free 003f DeleteCriticalSection 004a TPersistent.Destroy 0055 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B1 01 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? 8B 46 48 E8 ?? ?? ?? ?? 8D 46 1C 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80297_0 {
	meta:
		name = "TCanvas.Arc"
		size = 88
		refs = "0016 TCanvas.Arc 0040 Arc"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 57 56 8B 43 38 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 5F 5E 5B 5D C2 18 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_80298_0 {
	meta:
		name = "TCanvas.ArcTo"
		size = 88
		refs = "0016 TCanvas.ArcTo 0040 ArcTo"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 57 56 8B 43 38 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 5F 5E 5B 5D C2 18 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_80301_0 {
	meta:
		name = "TCanvas.Chord"
		size = 88
		refs = "0016 TCanvas.Chord 0040 Chord"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 57 56 8B 43 38 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 5F 5E 5B 5D C2 18 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_80313_0 {
	meta:
		name = "TCanvas.Pie"
		size = 88
		refs = "0016 TCanvas.Pie 0040 Pie"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 57 56 8B 43 38 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 5F 5E 5B 5D C2 18 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_80299_0 {
	meta:
		name = "TCanvas.AngleArc"
		size = 72
		refs = "0016 TCanvas.AngleArc 0032 AngleArc"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C FF 75 08 FF 75 0C 8B 45 10 50 57 56 8B 43 38 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 5F 5E 5B 5D C2 0C 00 0D 00 00 00 }
	condition:
		$1
}

rule function_80300_0 {
	meta:
		name = "TCanvas.BrushCopy"
		size = 708
		refs = "0022 TCustomCanvas.Lock 002a TCanvas.BrushCopy 004f TBitmap.GetCanvas 0089 TBitmap.GetTransparentColor 00a5 CreateCompatibleDC 00b5 SelectObject 00c1 _DV_TBitmap 00c6 TBitmap.Create 00df TBitmap.Mask 0174 TransparentStretchBlt 01b1 StretchBlt 01bf SetTextColor 01d3 SetBkColor 0241 TObject.Free 025f DeleteDC 0265 @HandleFinally 0281 TCustomCanvas.Unlock"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 4D F8 8B F2 89 45 FC 8B 5D 0C 83 7D F8 00 0F 84 94 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 2C 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 2B 06 89 45 F0 8B 46 0C 2B 46 04 89 45 EC 8B 7B 08 2B 3B 8B 43 0C 2B 43 04 89 45 F4 8B 45 F8 E8 ?? ?? ?? ?? 3B 45 08 75 2C 33 C0 89 45 DC 8B 45 F8 8B 10 FF 52 74 89 45 D8 6A 00 E8 ?? ?? ?? ?? 89 45 E0 8B 45 D8 50 8B 45 E0 50 E8 ?? ?? ?? ?? 89 45 D8 EB 4C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 8B 55 F8 8B 45 DC 8B 08 FF 51 08 8B 55 08 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 DC E8 ?? ?? ?? ?? 8B 40 38 89 45 E0 33 C0 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 FC 8B 40 48 8B 40 10 0F B6 40 20 3C 01 75 40 8B 45 F0 50 8B 45 EC 50 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 38 50 8B 03 50 8B 43 04 50 57 8B 45 F4 50 8B 45 E0 50 8B 03 50 8B 43 04 50 8B 4E 04 8B 16 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? E9 AD 00 00 00 68 20 00 CC 00 8B 45 F4 50 57 8B 43 04 50 8B 03 50 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 38 50 8B 45 EC 50 8B 45 F0 50 8B 46 04 50 8B 06 50 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 89 45 E4 68 FF FF FF 00 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 89 45 E8 68 46 07 E2 00 8B 45 F4 50 57 8B 43 04 50 8B 03 50 8B 45 E0 50 8B 45 EC 50 8B 45 F0 50 8B 46 04 50 8B 06 50 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0A 8B 45 DC E8 ?? ?? ?? ?? EB 1C 83 7D D8 00 74 0D 8B 45 D8 50 8B 45 E0 50 E8 ?? ?? ?? ?? 8B 45 E0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 8B 10 FF 52 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 09 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_80302_0 {
	meta:
		name = "TCanvas.CopyRect"
		size = 136
		refs = "001b TCanvas.CopyRect 006d StretchBlt"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 0F B6 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 2C 8B 53 54 52 8B 57 0C 2B 57 04 52 8B 57 08 2B 17 52 8B 57 04 52 8B 17 52 8B 55 FC 8B 52 38 52 8B 56 0C 2B 56 04 52 8B 56 08 8B 06 2B D0 52 8B 56 04 52 50 8B 43 38 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 5F 5E 5B 59 5D C2 04 00 0B 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_80303_0 {
	meta:
		name = "TCanvas.Draw"
		size = 172
		refs = "0030 TCanvas.Draw 0045 ColorToRGB 004f SetBkColor 0064 SetTextColor 0088 Rect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 85 F6 0F 84 84 00 00 00 8B C6 8B 10 FF 52 20 84 C0 75 79 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 43 48 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 50 8B 43 38 50 E8 ?? ?? ?? ?? 8B 43 40 8B 40 18 E8 ?? ?? ?? ?? 50 8B 43 38 50 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 24 03 45 FC 50 8D 45 EC 50 8B C6 8B 10 FF 52 30 8B C8 03 CF 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8D 4D EC 8B D3 8B C6 8B 30 FF 56 14 8B C3 8B 10 FF 52 24 5F 5E 5B 8B E5 5D C2 04 00 01 00 00 00 }
	condition:
		$1
}

rule function_80304_0 {
	meta:
		name = "TCanvas.Draw"
		size = 180
		refs = "0030 TCanvas.Draw 0045 ColorToRGB 004f SetBkColor 0064 SetTextColor 008d Rect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B FA 8B D8 8B 75 0C 85 F6 0F 84 89 00 00 00 8B C6 8B 10 FF 52 20 84 C0 75 7E 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 43 48 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 50 8B 43 38 50 E8 ?? ?? ?? ?? 8B 43 40 8B 40 18 E8 ?? ?? ?? ?? 50 8B 43 38 50 E8 ?? ?? ?? ?? 0F B6 45 08 50 8B C6 8B 10 FF 52 24 03 45 FC 50 8D 45 EC 50 8B C6 8B 10 FF 52 30 8B C8 03 CF 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8D 4D EC 8B D3 8B C6 8B 30 FF 56 18 8B C3 8B 10 FF 52 24 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_80305_0 {
	meta:
		name = "TCanvas.DrawFocusRect"
		size = 52
		refs = "0010 TCanvas.DrawFocusRect 0021 DrawFocusRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 56 8B 43 38 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 5E 5B C3 00 09 00 00 00 }
	condition:
		$1
}

rule function_80306_0 {
	meta:
		name = "TCanvas.Ellipse"
		size = 72
		refs = "0016 TCanvas.Ellipse 0030 Ellipse"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 45 08 50 8B 45 0C 50 57 56 8B 43 38 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 5F 5E 5B 5D C2 08 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_80318_0 {
	meta:
		name = "TCanvas.Rectangle"
		size = 72
		refs = "0016 TCanvas.Rectangle 0030 Rectangle"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 45 08 50 8B 45 0C 50 57 56 8B 43 38 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 5F 5E 5B 5D C2 08 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_80307_0 {
	meta:
		name = "TCanvas.FillRect"
		size = 60
		refs = "0010 TCanvas.FillRect 001f TBrush.GetHandle 002a FillRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 43 48 E8 ?? ?? ?? ?? 50 56 8B 43 38 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 5E 5B C3 09 00 00 00 }
	condition:
		$1
}

rule function_80309_0 {
	meta:
		name = "TCanvas.FrameRect"
		size = 60
		refs = "0010 TCanvas.FrameRect 001f TBrush.GetHandle 002a FrameRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 43 48 E8 ?? ?? ?? ?? 50 56 8B 43 38 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 5E 5B C3 09 00 00 00 }
	condition:
		$1
}

rule function_80308_0 {
	meta:
		name = "TCanvas.FloodFill"
		size = 80
		refs = "0016 TCanvas.FloodFill 0029 FillStyles 0039 ExtFloodFill"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 0F B6 45 08 0F B7 04 45 ?? ?? ?? ?? 50 8B 45 0C 50 57 56 8B 43 38 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 5F 5E 5B 5D C2 08 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_80311_0 {
	meta:
		name = "TCanvas.LineTo"
		size = 56
		refs = "0013 TCanvas.LineTo 0025 LineTo"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 57 56 8B 43 38 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 5F 5E 5B C3 0D 00 00 00 }
	condition:
		$1
}

rule function_80312_0 {
	meta:
		name = "TCanvas.MoveTo"
		size = 44
		refs = "000c TCanvas.MoveTo 0020 MoveToEx"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 6A 00 57 56 8B 43 38 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 01 00 00 00 }
	condition:
		$1
}

rule function_80314_0 {
	meta:
		name = "TCanvas.Polygon"
		size = 60
		refs = "0013 TCanvas.Polygon 0026 Polygon"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 47 57 56 8B 43 38 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 5F 5E 5B C3 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_80316_0 {
	meta:
		name = "TCanvas.PolyBezier"
		size = 60
		refs = "0013 TCanvas.PolyBezier 0026 PolyBezier"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 47 57 56 8B 43 38 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 5F 5E 5B C3 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_80317_0 {
	meta:
		name = "TCanvas.PolyBezierTo"
		size = 60
		refs = "0013 TCanvas.PolyBezierTo 0026 PolyBezierTo"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 47 57 56 8B 43 38 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 5F 5E 5B C3 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_80315_0 {
	meta:
		name = "TCanvas.Polyline"
		size = 60
		refs = "0013 TCanvas.Polyline 0026 Polyline"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 47 57 56 8B 43 38 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 5F 5E 5B C3 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_80320_0 {
	meta:
		name = "TCanvas.RoundRect"
		size = 80
		refs = "0016 TCanvas.RoundRect 0038 RoundRect"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 57 56 8B 43 38 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 5F 5E 5B 5D C2 10 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_80321_0 {
	meta:
		name = "TCanvas.StretchDraw"
		size = 60
		refs = "0017 TCanvas.StretchDraw"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 85 F6 74 27 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B CF 8B D3 8B C6 8B 30 FF 56 14 8B C3 8B 10 FF 52 24 5F 5E 5B C3 0F 00 00 00 }
	condition:
		$1
}

rule function_80322_0 {
	meta:
		name = "TCanvas.GetCanvasOrientation"
		size = 44
		refs = "0013 TCanvas.GetHandle 0019 GetWindowOrgEx"
	strings:
		$1 = { 53 56 83 C4 F8 8B F0 33 DB F6 46 18 80 74 16 54 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 3C 24 00 74 02 B3 01 8B C3 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_80323_0 {
	meta:
		name = "TCanvas.TextOut"
		size = 252
		refs = "001d TCanvas.TextOut 004c TCustomCanvas.TextWidth 0082 @UStrLAsg 0094 @UStrToPWChar 00ae ExtTextOut 00e2 @UStrClr 00e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B C3 8B 10 FF 52 0C 3C 01 75 0D 8B D7 8B C3 E8 ?? ?? ?? ?? 40 01 45 F8 8B F7 85 F6 74 05 83 EE 04 8B 36 8B 43 38 89 45 F0 8B 45 F8 89 45 EC 8B 45 F4 89 45 E8 8B 43 18 89 45 E4 33 C0 89 45 E0 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 33 C0 89 45 DC 8B 45 DC 50 56 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 E0 50 8B 45 E4 50 8B 45 E8 50 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 03 55 F8 8B 4D F4 8B C3 8B 30 FF 56 64 8B C3 8B 10 FF 52 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 0B 00 00 00 }
	condition:
		$1
}

rule function_80324_0 {
	meta:
		name = "TCanvas.TextRect"
		size = 256
		refs = "0023 TCanvas.TextRect 0073 TCustomCanvas.TextWidth 00a4 @UStrLAsg 00b0 @UStrToPWChar 00ca ExtTextOut 00e6 @UStrClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D FC 8B F2 8D 7D D4 A5 A5 A5 A5 89 4D F8 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 43 18 83 C8 04 89 45 F4 8B 43 48 8B 40 10 0F B6 40 20 3C 01 74 04 83 4D F4 02 F6 43 18 80 74 18 8B C3 8B 10 FF 52 0C 3C 01 75 0D 8B D7 8B C3 E8 ?? ?? ?? ?? 40 01 45 F8 8B F7 85 F6 74 05 83 EE 04 8B 36 8B 43 38 89 45 F0 8B 45 F8 89 45 EC 8B 45 0C 89 45 E8 8B 45 F4 89 45 E4 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 33 FF 57 56 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 D4 50 8B 45 E4 50 8B 45 E8 50 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 0B 00 00 00 }
	condition:
		$1
}

rule function_80325_0 {
	meta:
		name = "TCanvas.TextRect"
		size = 229
		refs = "0019 TCanvas.TextRect 0032 TTextFormats 0037 GetEnumName 004d SInvalidTextFormatFlag 0054 _Dn_EInvalidOperation 0059 Exception.CreateResFmt 005e @RaiseExcept 0066 TTextFormatFlags.&op_Implicit 0075 TCanvas.GetHandle 009a @UStrToPWChar 00a1 DrawTextEx 00b3 @PWCharLen 00bb @UStrSetLength 00d0 @UStrClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 8B F9 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 0A 80 74 39 8D 4D EC BA 17 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 07 89 45 E8 8B 5D E8 85 DB 74 05 83 EB 04 8B 1B 6A 00 8B 45 F8 50 8B 45 FC 50 53 8B 07 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? F6 45 09 02 74 14 8B 07 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80326_0 {
	meta:
		name = "TCanvas.TextExtent"
		size = 144
		refs = "0019 TCanvas.TextExtent 0050 @UStrLAsg 005a @UStrToPWChar 0061 GetTextExtentPoint32 0076 @UStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 51 2C 33 C0 89 07 33 C0 89 47 04 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8B 76 38 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 57 53 8B 45 FC E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_80330_0 {
	meta:
		name = "TCanvas.GetPenPos"
		size = 40
		refs = "0009 TCanvas.GetPenPos 001a GetCurrentPositionEx"
	strings:
		$1 = { 53 56 8B F2 8B D8 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 56 8B 43 38 50 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_80334_0 {
	meta:
		name = "TCanvas.GetClipRect"
		size = 40
		refs = "0009 TCanvas.GetClipRect 001a GetClipBox"
	strings:
		$1 = { 53 56 8B F2 8B D8 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 56 8B 43 38 50 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_80331_0 {
	meta:
		name = "TCanvas.SetPenPos"
		size = 31
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 8B 4C 24 04 8B 14 24 8B 18 FF 53 64 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80332_0 {
	meta:
		name = "TCanvas.GetPixel"
		size = 44
		refs = "000c TCanvas.GetPixel 001e GetPixel"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 57 56 8B 43 38 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_80333_0 {
	meta:
		name = "TCanvas.SetPixel"
		size = 72
		refs = "0016 TCanvas.SetPixel 0025 ColorToRGB 0031 SetPixel"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 45 08 E8 ?? ?? ?? ?? 50 57 56 8B 43 38 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 5F 5E 5B 5D C2 04 00 00 05 00 00 00 }
	condition:
		$1
}

rule function_80335_0 {
	meta:
		name = "TCanvas.GetHandle"
		size = 36
		refs = "000d TCanvas.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 28 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 2C 8B 43 38 5B C3 00 00 00 0F 00 00 00 }
	condition:
		$1
}

rule function_80336_0 {
	meta:
		name = "TCanvas.DeselectHandles"
		size = 96
		refs = "000e TCanvas.DeselectHandles 0020 StockPen 0027 SelectObject 002c StockBrush 003b StockFont"
	strings:
		$1 = { 53 56 8B D8 8B 73 38 85 F6 74 4D 0F B6 05 ?? ?? ?? ?? F7 D0 22 43 3C 0F B6 53 3C 3A D0 74 39 A1 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 43 38 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 43 38 50 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? F7 D0 22 43 3C 88 43 3C 5E 5B C3 00 0E 00 00 00 }
	condition:
		$1
}

rule function_80338_0 {
	meta:
		name = "TCanvas.SetHandle"
		size = 84
		refs = "0017 TCanvas.DeselectHandles"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B 43 38 3B F0 74 3F 85 C0 74 26 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 51 14 8B 04 24 89 43 4C 8B 44 24 04 89 43 50 33 C0 89 43 38 80 63 3C FE 85 F6 74 11 80 4B 3C 01 89 73 38 8D 53 4C 8B C3 8B 08 FF 51 1C 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_80339_0 {
	meta:
		name = "TCanvas.RequiredState"
		size = 124
		refs = "0014 TCanvas.RequiredState 0033 SNoCanvasHandle 003a _Dn_EInvalidOperation 003f Exception.CreateRes 0044 @RaiseExcept 0050 TCanvas.CreateFont 005c TCanvas.CreatePen 0068 TCanvas.CreateBrush"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 0F B6 5E 3C F7 D3 22 1C 24 0F B6 05 ?? ?? ?? ?? 3A C3 74 56 F6 C3 01 74 27 8B C6 8B 10 FF 92 9C 00 00 00 83 7E 38 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 C3 02 74 07 8B C6 E8 ?? ?? ?? ?? F6 C3 04 74 07 8B C6 E8 ?? ?? ?? ?? F6 C3 08 74 07 8B C6 E8 ?? ?? ?? ?? 0A 5E 3C 88 5E 3C 5A 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_80340_0 {
	meta:
		name = "TCanvas.CreateFont"
		size = 44
		refs = "0007 TFont.GetHandle 0011 SelectObject 001c ColorToRGB 0026 SetTextColor"
	strings:
		$1 = { 53 8B D8 8B 43 40 E8 ?? ?? ?? ?? 50 8B 43 38 50 E8 ?? ?? ?? ?? 8B 43 40 8B 40 18 E8 ?? ?? ?? ?? 50 8B 43 38 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80341_0 {
	meta:
		name = "TCanvas.CreatePen"
		size = 48
		refs = "0007 TPen.GetHandle 0011 SelectObject 0020 PenModes 002a SetROP2"
	strings:
		$1 = { 53 8B D8 8B 43 44 E8 ?? ?? ?? ?? 50 8B 43 38 50 E8 ?? ?? ?? ?? 8B 43 44 0F B6 40 18 0F B7 04 45 ?? ?? ?? ?? 50 8B 43 38 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80342_0 {
	meta:
		name = "TCanvas.CreateBrush"
		size = 114
		refs = "0008 TBrush.GetHandle 000e UnrealizeObject 0020 SelectObject 0034 ColorToRGB 003e SetBkColor 0049 SetBkMode"
	strings:
		$1 = { 53 56 8B D8 8B 43 48 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? 50 8B 43 38 50 E8 ?? ?? ?? ?? 8B 43 48 8B 70 10 80 7E 20 00 75 20 8B 46 18 E8 ?? ?? ?? ?? 50 8B 43 38 50 E8 ?? ?? ?? ?? 6A 02 8B 43 38 50 E8 ?? ?? ?? ?? 5E 5B C3 8B 46 18 E8 ?? ?? ?? ?? F7 D0 50 8B 43 38 50 E8 ?? ?? ?? ?? 6A 01 8B 43 38 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80343_0 {
	meta:
		name = "TCanvas.FontChanged"
		size = 30
		refs = "000e StockFont 0018 SelectObject"
	strings:
		$1 = { 53 8B D8 F6 43 3C 02 74 13 80 63 3C FD A1 ?? ?? ?? ?? 50 8B 43 38 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80344_0 {
	meta:
		name = "TCanvas.PenChanged"
		size = 30
		refs = "000e StockPen 0018 SelectObject"
	strings:
		$1 = { 53 8B D8 F6 43 3C 04 74 13 80 63 3C FB A1 ?? ?? ?? ?? 50 8B 43 38 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80345_0 {
	meta:
		name = "TCanvas.BrushChanged"
		size = 30
		refs = "000e StockBrush 0018 SelectObject"
	strings:
		$1 = { 53 8B D8 F6 43 3C 08 74 13 80 63 3C F7 A1 ?? ?? ?? ?? 50 8B 43 38 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80352_0 {
	meta:
		name = "GDIError"
		size = 168
		refs = "0016 GDIError 0021 GetLastError 0047 FormatMessage 0061 @UStrFromWArray 006e _Dn_EOutOfResources 0073 Exception.Create 0078 @RaiseExcept 007f OutOfResources 0097 @UStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FD FF FF 53 33 C0 89 85 FC FD FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D8 85 DB 74 53 6A 00 68 00 01 00 00 8D 85 00 FE FF FF 50 68 00 04 00 00 53 6A 00 68 00 10 00 00 E8 ?? ?? ?? ?? 85 C0 74 2F 8D 85 FC FD FF FF 8D 95 00 FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 8B 8D FC FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80354_0 {
	meta:
		name = "DupBits"
		size = 351
		refs = "0018 CreateCompatibleDC 002d DupBits 0042 GetObject 0059 CreateBitmap 0065 GetDC 0073 GDIError 0092 CreateCompatibleBitmap 00b8 ReleaseDC 00be @HandleFinally 00d3 SelectObject 010e StretchBlt 0140 DeleteDC"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B F2 8D 7D F4 A5 A5 8B D9 89 45 FC 6A 00 E8 ?? ?? ?? ?? 89 45 E8 6A 00 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 CC 50 6A 18 8B 45 FC 50 E8 ?? ?? ?? ?? 84 DB 74 18 6A 00 6A 01 6A 01 8B 45 F8 50 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 F0 EB 62 6A 00 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 05 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8B 45 F4 50 8B 45 EC 50 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 83 7D F0 00 74 64 8B 45 FC 50 8B 45 E8 50 E8 ?? ?? ?? ?? 8B D8 8B 45 F0 50 8B 45 E4 50 E8 ?? ?? ?? ?? 8B F0 68 20 00 CC 00 8B 45 D4 50 8B 45 D0 50 6A 00 6A 00 8B 45 E8 50 8B 45 F8 50 8B 45 F4 50 6A 00 6A 00 8B 45 E4 50 E8 ?? ?? ?? ?? 85 DB 74 0A 53 8B 45 E8 50 E8 ?? ?? ?? ?? 85 F6 74 0A 56 8B 45 E4 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 50 E8 ?? ?? ?? ?? 8B 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80355_0 {
	meta:
		name = "GetDInColors"
		size = 32
	strings:
		$1 = { 8B D0 66 FF CA 74 0C 66 83 EA 03 74 06 66 83 EA 04 75 0A 8B C8 B8 01 00 00 00 D3 E0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_80356_0 {
	meta:
		name = "BytesPerScanline"
		size = 29
	strings:
		$1 = { 53 49 8B D8 0F AF DA 03 D9 F7 D1 23 D9 B9 08 00 00 00 8B C3 99 F7 F9 89 C3 8B C3 5B C3 }
	condition:
		$1
}

rule function_80357_0 {
	meta:
		name = "TransparentStretchBlt"
		size = 649
		refs = "001c Win32Platform 0044 CreateCompatibleBitmap 0049 GDICheck 0059 SelectObject 0064 TransparentStretchBlt 009d MaskBlt 00c3 DeleteObject 00c9 @HandleFinally 00d7 CreateCompatibleDC 0117 SystemPalette16 0121 SelectPalette 016a RealizePalette 018c StretchBlt 01b6 SetTextColor 01c4 SetBkColor 0270 DeleteDC"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D F8 89 55 FC 8B F8 8B 75 14 8B 5D 18 C6 45 F7 01 A1 ?? ?? ?? ?? 83 38 02 0F 85 A6 00 00 00 3B 5D 2C 0F 85 9D 00 00 00 3B 75 28 0F 85 94 00 00 00 6A 01 6A 01 8B 45 24 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 10 50 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 29 00 AA CC 8B 45 08 50 8B 45 0C 50 8B 45 EC 50 8B 45 1C 50 8B 45 20 50 8B 45 24 50 8B 45 28 50 8B 45 2C 50 8B 45 F8 50 8B 45 FC 50 57 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 8B 45 10 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 33 C0 89 45 DC 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 53 8B 45 24 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 E8 6A 00 A1 ?? ?? ?? ?? 50 8B 45 24 50 E8 ?? ?? ?? ?? 89 45 DC 6A 00 8B 45 DC 50 8B 45 24 50 E8 ?? ?? ?? ?? 83 7D DC 00 74 14 6A FF 8B 45 DC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 DC EB 14 6A FF A1 ?? ?? ?? ?? 50 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 DC 8B 45 F0 50 E8 ?? ?? ?? ?? 68 20 00 CC 00 56 53 8B 45 08 50 8B 45 0C 50 8B 45 10 50 56 53 6A 00 6A 00 8B 45 F0 50 E8 ?? ?? ?? ?? 68 28 03 44 00 56 53 8B 45 1C 50 8B 45 20 50 8B 45 24 50 56 53 6A 00 6A 00 8B 45 F0 50 E8 ?? ?? ?? ?? 6A 00 57 E8 ?? ?? ?? ?? 89 45 E4 68 FF FF FF 00 57 E8 ?? ?? ?? ?? 89 45 E0 68 C6 00 88 00 56 53 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 28 50 8B 45 2C 50 8B 45 F8 50 8B 45 FC 50 57 E8 ?? ?? ?? ?? 68 46 00 66 00 56 53 6A 00 6A 00 8B 45 F0 50 8B 45 28 50 8B 45 2C 50 8B 45 F8 50 8B 45 FC 50 57 E8 ?? ?? ?? ?? 8B 45 E4 50 57 E8 ?? ?? ?? ?? 8B 45 E0 50 57 E8 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 EC 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0F 6A 00 8B 45 DC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 28 00 }
	condition:
		$1
}

rule function_80358_0 {
	meta:
		name = "RGBTripleToQuad"
		size = 57
	strings:
		$1 = { 53 56 57 8B F0 8B FE BA FF 00 00 00 8D 04 97 8D 0C 52 8D 0C 0E 0F B6 59 02 88 58 02 0F B6 59 01 88 58 01 0F B6 09 88 08 C6 40 03 00 4A 85 D2 75 DB C6 47 03 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80359_0 {
	meta:
		name = "RGBQuadToTriple"
		size = 123
		refs = "0068 @FillChar"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 14 24 8B F0 89 74 24 04 8B 3C 24 8B 3F 4F 85 FF 7E 29 B9 01 00 00 00 8B 44 24 04 8D 04 88 8D 14 49 8D 14 16 0F B6 58 02 88 5A 02 0F B6 58 01 88 5A 01 0F B6 00 88 02 41 4F 75 DC 8B 04 24 81 38 00 01 00 00 7D 28 8B 04 24 BA 00 01 00 00 2B 10 8D 14 52 8B 04 24 8B 00 8D 04 40 8D 04 06 33 C9 E8 ?? ?? ?? ?? 8B 04 24 C7 00 00 01 00 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80360_0 {
	meta:
		name = "ByteSwapColors"
		size = 83
		refs = "000d Test8086"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC A1 ?? ?? ?? ?? 0F B6 00 89 45 F4 8B 55 FC 8B 4D F8 49 78 2F 83 7D F4 02 7E 10 8B 04 8A 0F C8 C1 E8 08 89 04 8A 49 79 F2 EB 19 53 31 DB 8B 04 8A 88 C7 88 E3 C1 E8 10 C1 E3 08 88 C3 89 1C 8A 49 79 E9 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80361_0 {
	meta:
		name = "CreateSystemPalette"
		size = 277
		refs = "0028 Move 002f GetDC 003a CreateSystemPalette 004b GetDeviceCaps 006a GetSystemPaletteEntries 00f8 ReleaseDC 00fe @HandleFinally 010c CreatePalette"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FB FF FF 53 66 C7 85 F8 FB FF FF 00 03 66 C7 85 FA FB FF FF 10 00 8D 95 FC FB FF FF B9 40 00 00 00 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 68 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 83 FB 10 0F 8C 8A 00 00 00 8D 85 FC FB FF FF 50 6A 08 6A 00 8B 45 FC 50 E8 ?? ?? ?? ?? 81 BD 18 FC FF FF C0 C0 C0 00 75 4C 8D 85 18 FC FF FF 50 6A 01 8B C3 83 E8 08 50 8B 45 FC 50 E8 ?? ?? ?? ?? 0F B7 85 FA FB FF FF 8D 84 85 E0 FB FF FF 50 6A 07 83 EB 07 53 8B 45 FC 50 E8 ?? ?? ?? ?? 8D 85 1C FC FF FF 50 6A 01 6A 07 8B 45 FC 50 E8 ?? ?? ?? ?? EB 1E 0F B7 85 FA FB FF FF 8D 84 85 DC FB FF FF 50 6A 08 83 EB 08 53 8B 45 FC 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8D 85 F8 FB FF FF 50 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80362_0 {
	meta:
		name = "SystemPaletteOverride"
		size = 150
		refs = "000f SystemPalette16 0019 GetDC 0024 SystemPaletteOverride 0035 GetDeviceCaps 004d GetPaletteEntries 0081 ReleaseDC 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 C6 45 FF 00 83 3D ?? ?? ?? ?? 00 74 77 6A 00 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 68 8B 45 F8 50 E8 ?? ?? ?? ?? 83 F8 10 7C 2F 8D 43 04 50 6A 08 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0F B7 43 02 8D 44 83 E4 50 6A 08 6A 08 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 0F B6 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80363_0 {
	meta:
		name = "PaletteFromDIBColorTable"
		size = 162
		refs = "001a CreateCompatibleDC 0023 SelectObject 0037 GetDIBColorTable 0049 DeleteDC 005f Move 0076 SystemPaletteOverride 0088 ByteSwapColors 0090 CreatePalette"
	strings:
		$1 = { 53 56 57 81 C4 FC FB FF FF 8B F8 33 F6 66 C7 04 24 00 03 85 FF 74 38 6A 00 E8 ?? ?? ?? ?? 8B D8 57 53 E8 ?? ?? ?? ?? 8B F8 8D 44 24 04 50 68 00 01 00 00 6A 00 53 E8 ?? ?? ?? ?? 66 89 44 24 02 57 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? EB 14 66 89 4C 24 02 8B C2 8D 54 24 04 03 C9 03 C9 E8 ?? ?? ?? ?? 66 83 7C 24 02 00 74 2B 66 83 7C 24 02 10 75 0B 8B C4 E8 ?? ?? ?? ?? 84 C0 75 0E 0F B7 54 24 02 8D 44 24 04 E8 ?? ?? ?? ?? 8B C4 50 E8 ?? ?? ?? ?? 8B F0 8B C6 81 C4 04 04 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80364_0 {
	meta:
		name = "PaletteToDIBColorTable"
		size = 81
		refs = "0018 GetObject 003b GetPaletteEntries 0045 ByteSwapColors"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 33 C0 89 04 24 85 DB 74 36 54 6A 04 53 E8 ?? ?? ?? ?? 85 C0 74 29 83 3C 24 00 74 23 8B C7 40 3B 04 24 7D 03 89 04 24 56 8B 44 24 04 50 6A 00 53 E8 ?? ?? ?? ?? 8B C6 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80365_0 {
	meta:
		name = "TwoBitsFromDIB"
		size = 436
		refs = "002a BytesPerScanline 0042 GetDInColors 004b GetDC 0059 OutOfResources 0061 TwoBitsFromDIB 0090 CreateDIBitmap 0095 GDICheck 00b3 DupBits 00cb DeleteObject 00d1 @HandleFinally 019f ReleaseDC"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 FC D1 68 08 8B 55 FC 0F B7 52 0E 8B 45 FC 8B 40 04 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC F7 6A 08 8B 55 FC 89 42 14 8B 45 FC 0F B7 40 0E E8 ?? ?? ?? ?? 8B F0 6A 00 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 05 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 7D FC 8B C7 83 C0 28 8B D6 03 D2 03 D2 03 C2 89 45 EC 6A 00 57 8B 45 EC 50 6A 04 8B 45 FC 50 8B 45 F0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 08 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 89 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC 8B 40 14 01 45 EC 8B 45 FC 66 BB 01 00 66 89 58 0E 0F B7 D3 8B 45 FC 8B 40 04 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC F7 6A 08 8B 55 FC 89 42 14 8B 45 FC C7 40 20 02 00 00 00 8B 45 FC C7 40 24 02 00 00 00 8B 45 FC 83 C0 28 33 D2 89 10 C7 40 04 FF FF FF 00 6A 00 8B 5D FC 53 8B 45 EC 50 6A 04 53 8B 45 F0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 08 B1 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80366_0 {
	meta:
		name = "AdjustColor"
		size = 10
	strings:
		$1 = { 85 C0 75 05 B8 FF FF FF 7F C3 }
	condition:
		$1
}

rule function_80367_0 {
	meta:
		name = "BetterSize"
		size = 226
	strings:
		$1 = { 55 8B EC 51 53 56 57 0F B6 0A 84 C9 75 12 8B 4D 08 8B 49 08 FF 31 B9 00 01 00 00 5B 2B CB EB 0B 0F B6 C9 8B 5D 08 8B 5B 08 2B 0B 0F B6 5A 01 84 DB 75 10 8B 55 08 8B 52 08 BB 00 01 00 00 2B 5A 04 EB 0E 0F B6 D3 8B 5D 08 8B 5B 08 2B 53 04 8B DA 0F B6 10 84 D2 75 12 8B 55 08 8B 52 08 BE 00 01 00 00 2B 32 89 75 FC EB 0E 0F B6 D2 8B 75 08 8B 76 08 2B 16 89 55 FC 0F B6 50 01 84 D2 75 10 8B 45 08 8B 40 08 BE 00 01 00 00 2B 70 04 EB 0C 0F B6 F2 8B 45 08 8B 40 08 2B 70 04 8B C1 99 33 C2 2B C2 8B F8 8B 45 FC 99 33 C2 2B C2 3B F8 7F 25 85 C9 7E 05 3B 4D FC 7F 1C 8B C3 99 33 C2 2B C2 8B C8 8B C6 99 33 C2 2B C2 3B C8 7F 08 85 DB 7E 08 3B F3 7D 04 33 C0 EB 02 B0 01 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80368_0 {
	meta:
		name = "ReadIcon"
		size = 822
		refs = "0022 AllocMem 002d ReadIcon 004f GetSystemMetrics 0077 GetDC 0085 OutOfResources 009e GetDeviceCaps 00e4 ReleaseDC 00ea @HandleFinally 014d BetterSize 0201 TwoBitsFromDIB 0210 GetObject 0270 GetBitmapBits 0287 DeleteObject 02ae HInstance 02b4 CreateIcon 02c6 GDIError 02de @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 5D 0C 8B 45 F4 C1 E0 04 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F0 8B 4D EC 8B 45 FC 8B 30 FF 56 0C 8B 03 0B 43 04 75 1B 6A 0B E8 ?? ?? ?? ?? 8B 55 08 89 02 6A 0C E8 ?? ?? ?? ?? 8B 55 08 89 42 04 EB 0D 8B 45 08 8B 13 89 10 8B 53 04 89 50 04 6A 00 E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 00 75 05 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 0E 8B 45 D8 50 E8 ?? ?? ?? ?? 8B D8 6A 0C 8B 45 D8 50 E8 ?? ?? ?? ?? 66 0F AF D8 8B C3 66 83 F8 08 76 09 C7 45 E4 FF FF FF 7F EB 0C 8B C8 B8 01 00 00 00 D3 E0 89 45 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 89 45 DC 8B 45 F0 0F B7 40 02 85 C0 75 05 B8 FF FF FF 7F 89 45 E0 8B 7D F4 4F 85 FF 7E 50 BB 01 00 00 00 8B C3 03 C0 8B 55 F0 0F B7 44 C2 02 85 C0 75 05 B8 FF FF FF 7F 8B F0 3B 75 E4 7F 2B 3B 75 E0 7C 26 55 8B C3 03 C0 8B 55 F0 8D 14 C2 8B 45 DC 03 C0 8B 4D F0 8D 04 C1 E8 ?? ?? ?? ?? 59 84 C0 74 06 89 5D DC 89 75 E0 43 4F 75 B5 8B 45 DC 03 C0 8B 55 F0 8D 04 C2 89 45 C0 8B 45 C0 0F B6 00 84 C0 75 0B 8B 45 08 C7 00 00 01 00 00 EB 08 0F B6 C0 8B 55 08 89 02 8B 45 C0 0F B6 40 01 84 C0 75 0C 8B 45 08 C7 40 04 00 01 00 00 EB 09 0F B6 C0 8B 55 08 89 42 04 8B 45 C0 8B 40 08 E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 C0 8B 50 0C 8B 45 EC 03 45 10 2B D0 66 B9 01 00 8B 45 FC 8B 18 FF 53 14 8B 45 C0 8B 48 08 8B 5D D4 8B D3 8B 45 FC 8B 30 FF 56 0C 8B 45 08 50 8D 4D C8 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8D 45 90 50 6A 18 8B 45 C8 50 E8 ?? ?? ?? ?? 8D 45 A8 50 6A 18 8B 45 CC 50 E8 ?? ?? ?? ?? 8B 5D 9C 0F AF 5D 98 0F B7 45 A0 0F AF D8 8B 45 B4 F7 6D B0 0F B7 55 B8 F7 EA 89 45 C4 8B C3 03 45 C4 89 45 E8 8B 45 E8 E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7D D0 8B 75 D0 03 F3 57 53 8B 45 C8 50 E8 ?? ?? ?? ?? 56 8B 45 C4 50 8B 45 CC 50 E8 ?? ?? ?? ?? 8B 45 CC 50 E8 ?? ?? ?? ?? 8B 45 C8 50 E8 ?? ?? ?? ?? 56 57 0F B6 45 BA 50 0F B6 45 B8 50 8B 45 08 8B 40 04 50 8B 45 08 8B 00 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 F8 89 02 8B 45 F8 83 38 00 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 E8 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C0 8B 50 08 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_80369_0 {
	meta:
		name = "ComputeAldusChecksum"
		size = 53
	strings:
		$1 = { 33 D2 66 33 10 8B 08 C1 E9 10 66 33 D1 66 33 50 04 66 33 50 06 66 33 50 08 66 33 50 0A 66 33 50 0C 66 33 50 0E 66 33 50 10 8B 40 10 C1 E8 10 66 33 D0 8B C2 C3 }
	condition:
		$1
}

rule function_80370_0 {
	meta:
		name = "InitializeBitmapInfoHeader"
		size = 228
		refs = "0015 GetObject 001e InvalidBitmap 004b @FillChar 00c9 BytesPerScanline"
	strings:
		$1 = { 53 56 57 83 C4 AC 8B F1 8B DA 33 D2 89 54 24 18 54 6A 54 50 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? EB 3F 83 F8 40 7C 18 83 7C 24 18 28 72 11 56 8B FB 8D 74 24 1C B9 0A 00 00 00 F3 A5 5E EB 22 8B C3 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? C7 03 28 00 00 00 8B 44 24 04 89 43 04 8B 44 24 08 89 43 08 8B C6 83 E8 02 74 0F 48 83 E8 0E 72 11 2D F0 00 00 00 72 15 EB 1E 66 C7 43 0E 01 00 EB 24 66 C7 43 0E 04 00 89 73 20 EB 19 66 C7 43 0E 08 00 89 73 20 EB 0E 0F B7 44 24 12 66 F7 6C 24 10 66 89 43 0E 66 C7 43 0C 01 00 8B 43 20 3B 43 24 73 03 89 43 24 83 7B 14 00 75 21 0F B7 53 0E 8B 43 04 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B 43 08 99 33 C2 2B C2 0F AF C8 89 4B 14 83 C4 54 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80371_0 {
	meta:
		name = "InternalGetDIBSizes"
		size = 101
		refs = "0013 InitializeBitmapInfoHeader"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 8B F1 8B DA 8D 55 D8 8B 4D 08 E8 ?? ?? ?? ?? 0F B7 45 E6 66 83 F8 08 76 11 C7 03 28 00 00 00 F6 45 E8 03 74 2B 83 03 0C EB 26 8B 55 F8 85 D2 75 14 8B C8 B8 01 00 00 00 D3 E0 03 C0 03 C0 83 C0 28 89 03 EB 0B 8B C2 03 C0 03 C0 83 C0 28 89 03 8B 45 EC 89 06 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80373_0 {
	meta:
		name = "InternalGetDIB"
		size = 177
		refs = "0017 InitializeBitmapInfoHeader 0023 CreateCompatibleDC 002e InternalGetDIB 0044 SelectPalette 0050 RealizePalette 0067 GetDIBits 0098 DeleteDC 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 8B FA 8B F0 8B D3 8B 4D 08 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 F8 6A 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 18 6A 00 57 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F4 50 E8 ?? ?? ?? ?? 6A 00 53 8B 45 0C 50 8B 43 08 50 6A 00 56 8B 45 F4 50 E8 ?? ?? ?? ?? 85 C0 0F 95 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0F 6A 00 8B 45 F8 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 0F B6 45 FF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_80376_0 {
	meta:
		name = "CheckBool"
		size = 10
		refs = "0005 WinError"
	strings:
		$1 = { 85 C0 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80377_0 {
	meta:
		name = "WriteIcon"
		size = 510
		refs = "001b @FillChar 0034 GetIconInfo 0039 CheckBool 0041 WriteIcon 0057 InternalGetDIBSizes 0091 AllocMem 00c8 InternalGetDIB 01a3 @FreeMem 01ca @HandleFinally 01e2 DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 88 4D FF 8B F2 8B D8 8D 45 D6 33 C9 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC 50 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 02 8D 4D F0 8D 55 F8 8B 45 C8 E8 ?? ?? ?? ?? 6A FF 8D 4D EC 8D 55 F4 8B 45 CC E8 ?? ?? ?? ?? 33 C0 89 45 E8 33 C0 89 45 E4 33 C0 89 45 E0 33 C0 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E8 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E4 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E0 8B 45 EC E8 ?? ?? ?? ?? 89 45 DC 8B 45 E4 50 6A 02 8B 4D E8 33 D2 8B 45 C8 E8 ?? ?? ?? ?? 8B 45 DC 50 6A FF 8B 4D E0 33 D2 8B 45 CC E8 ?? ?? ?? ?? 80 7D FF 00 74 1E 8B 45 F4 83 C0 16 03 45 EC 03 45 F0 89 45 D0 8D 55 D0 B9 04 00 00 00 8B C3 8B 30 FF 56 10 66 C7 45 D8 01 00 66 C7 45 DA 01 00 8D 55 D6 B9 06 00 00 00 8B C3 8B 30 FF 56 10 8B 75 E0 8B C6 0F B6 50 04 88 55 AC 0F B6 50 08 88 55 AD 0F B7 50 0C 66 0F AF 50 0E 66 89 55 AE 8B 45 F4 03 45 EC 03 45 F0 89 45 B4 C7 45 B8 16 00 00 00 8D 55 AC B9 10 00 00 00 8B C3 8B 38 FF 57 10 8B C6 8B 50 08 01 50 08 8B 55 E0 8B 4D F4 8B C3 8B 30 FF 56 10 8B 55 DC 8B 4D EC 8B C3 8B 30 FF 56 10 8B 55 E4 8B 4D F0 8B C3 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 DC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 CC 50 E8 ?? ?? ?? ?? 8B 45 C8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80379_0 {
	meta:
		name = "TGraphic.Changed"
		size = 24
	strings:
		$1 = { 53 C6 40 20 01 66 83 78 12 00 74 0A 8B D8 8B D0 8B 43 14 FF 53 10 5B C3 }
	condition:
		$1
}

rule function_80380_0 {
	meta:
		name = "DoWrite"
		size = 84
		refs = "001d _DV_TGraphic 0022 @IsClass"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 83 78 20 00 74 34 8B 45 08 8B 40 FC 8B 58 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B D3 8B 45 08 8B 40 F8 8B 08 FF 51 1C 84 C0 74 04 33 C0 EB 12 B0 01 5B 5D C3 8B 45 08 8B 40 F8 8B 10 FF 52 20 34 01 5B 5D C3 }
	condition:
		$1
}

rule function_80381_0 {
	meta:
		name = "TGraphic.DefineProperties"
		size = 84
		refs = "0023 DoWrite 002b TGraphic.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 F8 50 8B 00 8B 40 34 50 8B 45 F8 50 8B 00 8B 40 48 50 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 08 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_80382_0 {
	meta:
		name = "TGraphic.DrawTransparent"
		size = 20
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B C6 8B 18 FF 53 14 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_80383_0 {
	meta:
		name = "TGraphic.Equals"
		size = 318
		refs = "006b _Dn_TMemoryStream 0070 TObject.Create 007b TGraphic.Equals 00e9 CompareMem 010b TObject.Free 0111 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F2 8B D8 85 F6 74 0F 8B 13 89 D0 8B 0E 89 CA 3B D0 0F 94 C0 EB 02 33 C0 88 45 FF 8B C3 8B 10 FF 52 20 84 C0 75 0B 8B C6 8B 10 FF 52 20 84 C0 74 24 8B C3 8B 10 FF 52 20 84 C0 74 0B 8B C6 8B 10 FF 52 20 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FF E9 D6 00 00 00 80 7D FF 00 0F 84 CC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 8B 08 FF 51 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B C6 8B 08 FF 51 48 8B 45 F8 8B 10 FF 12 52 50 8B 45 F4 8B 10 FF 12 3B 54 24 04 75 03 3B 04 24 5A 58 75 1E 8B 45 F8 8B 10 FF 12 8B C8 8B 45 F4 8B 50 04 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80384_0 {
	meta:
		name = "TGraphic.Equals"
		size = 47
		refs = "000a _DV_TGraphic 000f @IsClass 0028 TObject.Equals"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 8B 08 FF 51 1C 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80387_0 {
	meta:
		name = "TGraphic.GetTransparent"
		size = 5
	strings:
		$1 = { 0F B6 40 21 C3 }
	condition:
		$1
}

rule function_80388_0 {
	meta:
		name = "TGraphic.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TGraphic.LoadFromFile 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F0 6A 20 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_80389_0 {
	meta:
		name = "TGraphic.Progress"
		size = 42
	strings:
		$1 = { 55 8B EC 53 66 83 78 1A 00 74 1A 0F B6 5D 14 53 0F B6 5D 10 53 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 43 1C FF 53 18 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_80390_0 {
	meta:
		name = "TGraphic.ReadData"
		size = 12
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 5C 5E C3 }
	condition:
		$1
}

rule function_80391_0 {
	meta:
		name = "TGraphic.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TGraphic.SaveToFile 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F0 68 00 FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_80393_0 {
	meta:
		name = "TGraphic.SetModified"
		size = 17
	strings:
		$1 = { 84 D2 74 08 8B D0 8B 08 FF 51 10 C3 C6 40 20 00 C3 }
	condition:
		$1
}

rule function_80394_0 {
	meta:
		name = "TGraphic.SetSize"
		size = 25
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 8B 08 FF 51 44 8B D6 8B C3 8B 08 FF 51 38 5E 5B C3 }
	condition:
		$1
}

rule function_80395_0 {
	meta:
		name = "TGraphic.SetTransparent"
		size = 16
	strings:
		$1 = { 3A 50 21 74 0A 88 50 21 8B D0 8B 08 FF 51 10 C3 }
	condition:
		$1
}

rule function_80396_0 {
	meta:
		name = "TGraphic.WriteData"
		size = 12
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 60 5E C3 }
	condition:
		$1
}

rule function_80397_0 {
	meta:
		name = "TFileFormatsList.Create"
		size = 456
		refs = "0015 @ClassCreate 0021 TFileFormatsList.Create 0030 TObject.Create 0037 _DV_TMetafile 0040 SVMetafiles 0045 LoadResString 0054 TFileFormatsList.Add 0064 SVEnhMetafiles 007f _DV_TIcon 0088 SVIcons 00a3 _DV_TWICImage 00ac SVTIFFImages 00eb _DV_TBitmap 00f4 SVBitmaps 0122 @UStrArrayClr 0128 @HandleFinally 0135 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 50 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 77 00 6D 00 66 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 65 00 6D 00 66 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 69 00 63 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 69 00 66 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 74 00 69 00 66 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 62 00 6D 00 70 00 00 00 }
	condition:
		$1
}

rule function_80398_0 {
	meta:
		name = "TFileFormatsList.Destroy"
		size = 75
		refs = "0005 @BeforeDestruction 001d TList.Get 0023 TFileFormat 0028 @Dispose 0037 TList.Destroy 0042 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 6F 08 4D 85 ED 7C 1B 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4D 75 E8 B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80399_0 {
	meta:
		name = "TFileFormatsList.Add"
		size = 147
		refs = "001a TFileFormatsList.Add 0026 TFileFormat 0030 @New 003f AnsiLowerCase 004a @UStrAsg 0069 TList.Add 007e @UStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? B8 10 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B DE 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 43 04 E8 ?? ?? ?? ?? 8B 45 08 89 03 8D 43 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 0C 89 43 0C 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_80400_0 {
	meta:
		name = "TFileFormatsList.FindExt"
		size = 151
		refs = "0017 @UStrAddRef 001f TFileFormatsList.FindExt 0030 AnsiLowerCase 003b @UStrLAsg 004d TList.Get 005a @UStrEqual 0082 @UStrArrayClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 5F 08 4B 83 FB 00 7C 22 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 8B 46 04 8B 55 FC E8 ?? ?? ?? ?? 75 04 8B 1E EB 08 4B 83 FB FF 75 DE 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80401_0 {
	meta:
		name = "TFileFormatsList.FindClassName"
		size = 122
		refs = "0017 TFileFormatsList.FindClassName 002f TList.Get 003b TObject.ClassName 0046 @UStrEqual 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5F 08 4B 83 FB 00 7C 28 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 30 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 74 08 4B 83 FB FF 75 D8 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80402_0 {
	meta:
		name = "TFileFormatsList.Remove"
		size = 74
		refs = "0016 TList.Get 0021 TObject.InheritsFrom 002b TFileFormat 0032 @Dispose 003b TList.Delete"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 5F 08 4B 83 FB 00 7C 34 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 8B D5 8B 06 E8 ?? ?? ?? ?? 84 C0 74 16 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 4B 83 FB FF 75 CC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80403_0 {
	meta:
		name = "TFileFormatsList.BuildFilterStrings"
		size = 676
		refs = "002f TFileFormatsList.BuildFilterStrings 003c _Dn_TStringBuilder 0041 TStringBuilder.Create 0080 TList.Get 008c TObject.InheritsFrom 00b0 TStringBuilder.Append 00d3 LoadStr 00de @UStrAsg 0108 Format 015a sAllFilter 015f LoadResString 019d TStringBuilder.Insert 01de TObject.Free 01ec @HandleFinally 0208 @UStrArrayClr 0210 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 33 DB 89 5D B0 89 5D B4 89 5D C0 89 5D BC 89 5D B8 89 5D CC 89 5D E0 89 5D E4 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 F0 8B 45 FC 8B 70 08 4E 83 FE 00 0F 8C D2 00 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 03 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 AA 00 00 00 83 7B 04 00 0F 84 A0 00 00 00 83 7D F0 00 74 18 66 BA 7C 00 8B 45 EC E8 ?? ?? ?? ?? 66 BA 3B 00 8B 45 E8 E8 ?? ?? ?? ?? 83 7B 08 00 75 1C 83 7B 0C 00 74 16 8D 55 E4 8B 43 0C E8 ?? ?? ?? ?? 8B 55 E4 8D 43 08 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 43 08 89 45 D0 C6 45 D4 11 8B 43 04 89 45 D8 C6 45 DC 11 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 EC E8 ?? ?? ?? ?? 8D 45 CC 50 8B 43 04 89 45 C4 C6 45 C8 11 8D 55 C4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 45 E8 E8 ?? ?? ?? ?? FF 45 F0 4E 83 FE FF 0F 85 2E FF FF FF 83 7D F0 01 7E 4F 8D 45 C0 50 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 89 45 D0 C6 45 D4 11 8D 55 B8 8B 45 E8 8B 08 FF 51 DC 8B 45 B8 89 45 D8 C6 45 DC 11 8D 55 D0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8D 55 B4 8B 45 EC 8B 08 FF 51 DC 8B 55 B4 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 B0 8B 45 E8 8B 08 FF 51 DC 8B 55 B0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 25 00 73 00 20 00 28 00 2A 00 2E 00 25 00 73 00 29 00 7C 00 2A 00 2E 00 25 00 31 00 3A 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2A 00 2E 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 25 00 73 00 20 00 28 00 25 00 73 00 29 00 7C 00 25 00 31 00 3A 00 73 00 7C 00 00 00 }
	condition:
		$1
}

rule function_80404_0 {
	meta:
		name = "TClipboardFormats.Create"
		size = 134
		refs = "000a @ClassCreate 0017 TObject.Create 001e _Dn_TList 003b _DV_TMetafile 0046 TClipboardFormats.Add 005d _DV_TBitmap 0073 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B 0D ?? ?? ?? ?? 66 BA 03 00 8B C6 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 66 BA 0E 00 8B C6 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 66 BA 02 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_80405_0 {
	meta:
		name = "TClipboardFormats.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
		altNames = "TDesigntimeWarnings.Destroy TFadeControls.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114252_0 {
	meta:
		name = "TUtilsNameValueList.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TPersistent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80406_0 {
	meta:
		name = "TClipboardFormats.Add"
		size = 104
		refs = "0017 TList.Add 0022 TClipboardFormats.Add 0045 @HandleAnyException 0053 TList.Delete 0058 @RaiseAgain 005d @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 89 45 FC 8B 45 FC 8B 40 04 8B D1 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 D3 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80407_0 {
	meta:
		name = "TClipboardFormats.FindFormat"
		size = 60
		refs = "0019 TList.Get"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 08 8B 58 08 4B 83 FB 00 7C 23 8B D3 8B 46 08 E8 ?? ?? ?? ?? 0F B7 D7 3B C2 75 0C 8B D3 8B 46 04 E8 ?? ?? ?? ?? EB 08 4B 83 FB FF 75 DD 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80408_0 {
	meta:
		name = "TClipboardFormats.Remove"
		size = 70
		refs = "0019 TList.Get 0020 TObject.InheritsFrom 002e TList.Delete"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 46 04 8B 58 08 4B 83 FB 00 7C 2F 8B D3 8B 46 04 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 84 C0 74 14 8B D3 8B 46 04 E8 ?? ?? ?? ?? 8B D3 8B 46 08 E8 ?? ?? ?? ?? 4B 83 FB FF 75 D1 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80411_0 {
	meta:
		name = "TPicture.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TObject.Create 001c GetFileFormats 0021 GetClipboardFormats 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_80413_0 {
	meta:
		name = "TPicture.AssignTo"
		size = 53
		refs = "0014 @IsClass 002c TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B 06 89 C7 8B 6B 0C 8B C5 8B D7 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D5 8B C6 8B 08 FF 51 08 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80414_0 {
	meta:
		name = "TPicture.ForceType"
		size = 98
		refs = "000f @IsClass 001a TObject.Free 0039 @FindDynaInst 005a @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 0C 8B C6 8B D7 E8 ?? ?? ?? ?? 84 C0 75 47 8B C6 E8 ?? ?? ?? ?? 33 C0 89 43 0C B2 01 8B C7 FF 50 50 8B F0 89 73 0C 89 5E 14 8B C3 66 BA FD FF E8 ?? ?? ?? ?? 89 46 10 89 5E 1C 8B C3 66 BA FC FF E8 ?? ?? ?? ?? 89 46 18 8B D3 8B C3 66 BE FD FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80415_0 {
	meta:
		name = "TPicture.GetBitmap"
		size = 21
		refs = "0005 _DV_TBitmap 000c TPicture.ForceType"
	strings:
		$1 = { 53 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 5B C3 }
	condition:
		$1
}

rule function_80416_0 {
	meta:
		name = "TPicture.GetIcon"
		size = 21
		refs = "0005 _DV_TIcon 000c TPicture.ForceType"
	strings:
		$1 = { 53 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 5B C3 }
	condition:
		$1
}

rule function_80417_0 {
	meta:
		name = "TPicture.GetMetafile"
		size = 21
		refs = "0005 _DV_TMetafile 000c TPicture.ForceType"
	strings:
		$1 = { 53 8B D8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 5B C3 }
	condition:
		$1
}

rule function_80421_0 {
	meta:
		name = "TPicture.SetGraphic"
		size = 172
		refs = "003a @FindDynaInst 0060 TPicture.SetGraphic 006e TObject.Free 0081 @CallDynaInst 0090 @HandleAnyException 009d @RaiseAgain 00a2 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 33 C0 89 45 FC 85 F6 74 48 8B 06 89 C7 B2 01 8B C7 FF 50 50 89 45 FC 8B D6 8B 45 FC 8B 08 FF 51 08 8B 45 FC 89 58 14 50 8B C3 66 BA FD FF E8 ?? ?? ?? ?? 8B D0 58 89 50 10 8B 45 FC 89 58 1C 50 8B C3 66 BA FC FF E8 ?? ?? ?? ?? 8B D0 58 89 50 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C E8 ?? ?? ?? ?? 8B 45 FC 89 43 0C 8B D3 8B C3 66 BE FD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80422_0 {
	meta:
		name = "TPicture.LoadFromFile"
		size = 310
		refs = "0019 TPicture.LoadFromFile 0029 ExtractFileExt 003b @UStrDelete 0043 FileFormats 0048 TFileFormatsList.FindExt 0066 SUnknownExtension 006b LoadResString 0075 _DV_EInvalidGraphic 007a Exception.CreateFmt 007f @RaiseExcept 00a9 @FindDynaInst 00c8 @HandleAnyException 00d0 TObject.Free 00d5 @RaiseAgain 00da @DoneExcept 0106 @CallDynaInst 011b @UStrClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 31 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B C6 FF 50 50 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 58 1C 50 8B C3 66 BA FC FF E8 ?? ?? ?? ?? 8B D0 58 89 50 18 8B D7 8B 45 F8 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B 75 F8 89 73 0C 89 5E 14 8B C3 66 BA FD FF E8 ?? ?? ?? ?? 89 46 10 8B D3 8B C3 66 BE FD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80423_0 {
	meta:
		name = "TPicture.SaveToFile"
		size = 21
	strings:
		$1 = { 56 57 8B F0 8B 7E 0C 85 FF 74 07 8B C7 8B 08 FF 51 58 5F 5E C3 }
	condition:
		$1
}

rule function_80424_0 {
	meta:
		name = "TPicture.LoadFromClipboardFormat"
		size = 195
		refs = "0013 ClipboardFormats 0018 TClipboardFormats.FindFormat 0023 SUnknownClipboardFormat 0028 InvalidGraphic 003a TPicture.LoadFromClipboardFormat 0052 @FindDynaInst 0078 @HandleAnyException 0080 TObject.Free 0085 @RaiseAgain 008a @DoneExcept 00b6 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B D8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B C6 FF 50 50 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 58 1C 50 8B C3 66 BA FC FF E8 ?? ?? ?? ?? 8B D0 58 89 50 18 8B 45 08 50 8B 4D FC 8B D7 8B 45 F8 8B 30 FF 56 64 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B 75 F8 89 73 0C 89 5E 14 8B C3 66 BA FD FF E8 ?? ?? ?? ?? 89 46 10 8B D3 8B C3 66 BE FD FF E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_80425_0 {
	meta:
		name = "TPicture.SaveToClipboardFormat"
		size = 33
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 8B 7E 0C 85 FF 74 0B 8B 45 08 50 8B C7 8B 18 FF 53 68 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_80426_0 {
	meta:
		name = "TPicture.SupportsClipboardFormat"
		size = 22
		refs = "0004 GetClipboardFormats 000b TClipboardFormats.FindFormat"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_80427_0 {
	meta:
		name = "TPicture.LoadFromStream"
		size = 23
		refs = "0009 TPicture.GetBitmap"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 5C 5F 5E C3 }
	condition:
		$1
}

rule function_80428_0 {
	meta:
		name = "TPicture.SaveToStream"
		size = 23
		refs = "0009 TPicture.GetBitmap"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 60 5E 5B C3 }
	condition:
		$1
}

rule function_80429_0 {
	meta:
		name = "TPicture.Assign"
		size = 91
		refs = "000f TPicture.SetGraphic 001a _DV_TPicture 001f @IsClass 0037 _DV_TGraphic 0054 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 75 0C 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 53 0C 8B C6 E8 ?? ?? ?? ?? EB 25 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80430_0 {
	meta:
		name = "TPicture.RegisterFileFormat"
		size = 35
		refs = "0010 GetFileFormats 0019 TFileFormatsList.Add"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 8B CE 8B D3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_80431_0 {
	meta:
		name = "TPicture.RegisterFileFormatRes"
		size = 34
		refs = "000f GetFileFormats 0018 TFileFormatsList.Add"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 56 8B 45 08 50 E8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_80432_0 {
	meta:
		name = "TPicture.RegisterClipboardFormat"
		size = 23
		refs = "0007 GetClipboardFormats 0010 TClipboardFormats.Add"
	strings:
		$1 = { 53 56 8B F1 8B DA E8 ?? ?? ?? ?? 8B CE 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81408_0 {
	meta:
		name = "TGIFExtension.RegisterExtension"
		size = 23
		refs = "0007 GetExtensionList 0010 TExtensionList.Add"
	strings:
		$1 = { 53 56 8B F1 8B DA E8 ?? ?? ?? ?? 8B CE 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80433_0 {
	meta:
		name = "TPicture.UnregisterGraphicClass"
		size = 47
		refs = "0005 FileFormats 0014 TFileFormatsList.Remove 001a ClipboardFormats 0029 TClipboardFormats.Remove"
	strings:
		$1 = { 53 8B DA 83 3D ?? ?? ?? ?? 00 74 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80434_0 {
	meta:
		name = "TPicture.Changed"
		size = 34
	strings:
		$1 = { 53 8B D8 66 83 7B 12 00 74 08 8B D3 8B 43 14 FF 53 10 83 7B 18 00 74 08 8B 43 18 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_80435_0 {
	meta:
		name = "TPicture.Progress"
		size = 42
	strings:
		$1 = { 55 8B EC 53 66 83 78 22 00 74 1A 0F B6 5D 14 53 0F B6 5D 10 53 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 43 24 FF 53 20 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_80436_0 {
	meta:
		name = "TPicture.ReadData"
		size = 329
		refs = "0019 TPicture.ReadData 0041 TArray<System.Byte> 0046 @DynArraySetLength 005c TEncoding.GetUTF8 0067 TEncoding.GetString 006f FileFormats 0074 TFileFormatsList.FindClassName 00b0 @HandleAnyException 00b8 TObject.Free 00bd @RaiseAgain 00c2 @DoneExcept 00e8 @FindDynaInst 0113 @CallDynaInst 012e @DynArrayClear 0136 @UStrClr 013c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F3 B9 01 00 00 00 8B C6 8B 38 FF 57 0C 0F B6 45 F3 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 0F B6 4D F3 8B 55 F8 8B C6 8B 38 FF 57 0C E8 ?? ?? ?? ?? 8D 4D FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 C0 89 45 F4 85 FF 74 43 B2 01 8B C7 FF 50 50 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F4 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B 45 F4 89 43 0C 83 7D F4 00 74 30 8B 45 F4 89 58 14 50 8B C3 66 BA FD FF E8 ?? ?? ?? ?? 8B D0 58 89 50 10 8B 45 F4 89 58 1C 50 8B C3 66 BA FC FF E8 ?? ?? ?? ?? 8B D0 58 89 50 18 8B D3 8B C3 66 BE FD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80437_0 {
	meta:
		name = "TPicture.WriteData"
		size = 176
		refs = "0014 TPicture.WriteData 002b TObject.ClassName 0035 @UStrClr 003a TEncoding.GetUTF8 0045 TEncoding.GetBytes 004d @DynArrayLength 0090 TArray<System.Byte> 0095 @DynArrayClear 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 0C 85 FF 74 0C 8D 55 FC 8B 07 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8D 55 F4 B9 01 00 00 00 8B C6 8B 38 FF 57 10 8B 55 F8 8B 4D F4 8B C6 8B 38 FF 57 10 8B 43 0C 85 C0 74 07 8B D6 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80438_0 {
	meta:
		name = "DoWrite"
		size = 115
		refs = "0018 _DV_TPicture 001d @IsClass"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 8B 70 20 85 F6 74 4E B3 01 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 48 8B DE 8B 45 08 8B 40 F8 8B 40 0C 3B 43 0C 74 21 8B 45 08 8B 40 F8 8B 70 0C 85 F6 74 18 83 7B 0C 00 74 12 8B 53 0C 8B C6 8B 08 FF 51 1C 84 C0 74 04 33 C0 EB 02 B0 01 8B D8 EB 0D 8B 45 08 8B 40 F8 83 78 0C 00 0F 95 C3 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_80439_0 {
	meta:
		name = "TPicture.DefineProperties"
		size = 84
		refs = "0012 TPicture.ReadData 001b TPicture.WriteData 0021 DoWrite 0029 TPicture.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 08 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_80440_0 {
	meta:
		name = "TPicture.GetWidth"
		size = 23
	strings:
		$1 = { 56 33 D2 8B 70 0C 85 F6 74 09 8B C6 8B 10 FF 52 30 8B D0 8B C2 5E C3 }
	condition:
		$1
}

rule function_80441_0 {
	meta:
		name = "TPicture.GetHeight"
		size = 23
	strings:
		$1 = { 56 33 D2 8B 70 0C 85 F6 74 09 8B C6 8B 10 FF 52 24 8B D0 8B C2 5E C3 }
	condition:
		$1
}

rule function_80442_0 {
	meta:
		name = "TMetafileImage.Destroy"
		size = 57
		refs = "0003 @BeforeDestruction 0014 DeleteEnhMetaFile 001c InternalDeletePalette 0027 TSharedImage.Destroy 0032 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80444_0 {
	meta:
		name = "TMetafileCanvas.Create"
		size = 151
		refs = "0012 @ClassCreate 0020 TMetafileCanvas.Create 0034 TMetafile.GetAuthor 0042 TMetafile.GetDesc 0051 TMetafileCanvas.CreateWithComment 006b @UStrArrayClr 0071 @HandleFinally 007e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 50 8B CF 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_80445_0 {
	meta:
		name = "TMetafileCanvas.CreateWithComment"
		size = 620
		refs = "0016 @ClassCreate 002c TMetafileCanvas.CreateWithComment 003c TCanvas.Create 0055 GetDC 0071 TMetafile.GetMMWidth 008f GetDeviceCaps 009d TMetafile.SetMMWidth 00cd MulDiv 00e1 TMetafile.GetMMHeight 010d TMetafile.SetMMHeight 016c Rect 01ac @UStrCatN 01b4 @UStrToPWChar 01c8 CreateEnhMetaFile 01d3 GDIError 01dd TCanvas.SetHandle 01fb ReleaseDC 0201 @HandleFinally 0218 @UStrClr 022e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FB 89 45 FC 8B 75 08 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 78 58 8B 45 10 89 45 F4 83 7D 10 00 75 0A 6A 00 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 85 C0 75 61 8B 45 FC 8B 40 58 8B 10 FF 52 30 85 C0 75 1B 6A 04 8B 45 F4 50 E8 ?? ?? ?? ?? 6B D0 64 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? EB 37 6A 08 8B 45 F4 50 E8 ?? ?? ?? ?? 50 6A 04 8B 45 F4 50 E8 ?? ?? ?? ?? 6B C0 64 50 8B 45 FC 8B 78 58 8B C7 8B 10 FF 52 30 50 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 85 C0 75 61 8B 45 FC 8B 40 58 8B 10 FF 52 24 85 C0 75 1B 6A 06 8B 45 F4 50 E8 ?? ?? ?? ?? 6B D0 64 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? EB 37 6A 0A 8B 45 F4 50 E8 ?? ?? ?? ?? 50 6A 06 8B 45 F4 50 E8 ?? ?? ?? ?? 6B C0 64 50 8B 45 FC 8B 78 58 8B C7 8B 10 FF 52 24 50 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 50 8D 45 E4 50 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 04 B0 01 EB 10 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C0 84 C0 74 23 53 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? EB 02 33 C0 50 8D 45 E4 50 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 8B D8 85 DB 75 05 E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D 10 00 75 0B 8B 45 F4 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 01 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_80446_0 {
	meta:
		name = "TMetafileCanvas.Destroy"
		size = 72
		refs = "0004 @BeforeDestruction 000f TCanvas.GetHandle 001a TCanvas.SetHandle 0020 CloseEnhMetaFile 002a TMetafile.SetHandle 0035 TCanvas.Destroy 0040 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 33 D2 8B C7 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 8B D0 8B 47 58 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80447_0 {
	meta:
		name = "TMetafile.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TGraphic.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 2C 01 C6 46 21 01 33 D2 8B C6 8B 08 FF 51 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_80448_0 {
	meta:
		name = "TIcon.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TSharedImage.Release 001a TPersistent.Destroy 0025 @ClassDestroy"
		altNames = "TMetafile.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 28 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111820_0 {
	meta:
		name = "TXmlOutputSource.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TUtilsCustomOutputStream.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 28 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80449_0 {
	meta:
		name = "TMetafile.Assign"
		size = 148
		refs = "000f _DV_TMetafile 0014 @IsClass 0029 TSharedImage.Release 0045 _DV_TMetafileImage 004a TObject.Create 0059 TSharedImage.Reference 008c TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 74 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6B 33 FF 8B 43 28 85 C0 74 08 8B 78 14 E8 ?? ?? ?? ?? 85 F6 74 11 8B C6 8B 50 28 89 53 28 0F B6 40 2C 88 43 2C EB 13 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 C6 43 2C 01 8B 43 28 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 28 3B F8 74 0B 8B C3 8B 10 FF 52 28 85 C0 75 04 33 C0 EB 02 B0 01 88 43 22 8B D3 8B C3 8B 08 FF 51 10 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80451_0 {
	meta:
		name = "TMetafile.Draw"
		size = 144
		refs = "0029 TCanvas.GetHandle 002f SelectPalette 003e RealizePalette 0070 PlayEnhMetaFile"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 0C 24 8B FA 8B D8 83 7B 28 00 74 74 8B C3 8B 10 FF 52 28 8B F0 33 ED 85 F6 74 1F 6A FF 56 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B E8 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 04 24 56 57 8B F0 8D 7C 24 0C A5 A5 A5 A5 5F 5E FF 4C 24 0C FF 4C 24 10 8D 44 24 04 50 8B 43 28 8B 40 08 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 F6 74 10 6A FF 55 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80452_0 {
	meta:
		name = "TMetafile.GetAuthor"
		size = 100
		refs = "000a @UStrClr 0024 GetEnhMetaFileDescription 0033 @UStrSetLength 003a @UStrToPWChar 0054 @PWCharLen"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 43 28 85 C0 74 4B 83 78 08 00 74 45 6A 00 6A 00 8B 40 08 50 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 32 8B C6 8B D7 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 50 57 8B 43 28 8B 40 08 50 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 92 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80453_0 {
	meta:
		name = "TMetafile.GetDesc"
		size = 127
		refs = "000a @UStrClr 0024 GetEnhMetaFileDescription 0033 @UStrSetLength 003a @UStrToPWChar 0054 @PWCharLen 0063 @UStrDelete"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B 46 28 85 C0 74 66 83 78 08 00 74 60 6A 00 6A 00 8B 40 08 50 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 4D 8B C3 8B D7 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 50 57 8B 46 28 8B 40 08 50 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 48 01 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 92 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80454_0 {
	meta:
		name = "TMetafile.GetEmpty"
		size = 8
	strings:
		$1 = { 83 78 28 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_80455_0 {
	meta:
		name = "TMetafile.GetHandle"
		size = 14
	strings:
		$1 = { 8B 50 28 85 D2 74 04 8B 42 08 C3 33 C0 C3 }
	condition:
		$1
}

rule function_80456_0 {
	meta:
		name = "TBitmap.HandleAllocated"
		size = 19
		altNames = "TMetafile.HandleAllocated"
	strings:
		$1 = { 8B 50 28 85 D2 74 06 83 7A 08 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_80457_0 {
	meta:
		name = "TMetafile.GetHeight"
		size = 97
		refs = "000f TMetafile.NewImage 002e GetEnhMetaFileHeader 0042 MulDiv 004e ScreenLogPixels"
	strings:
		$1 = { 53 83 C4 94 8B D8 83 7B 28 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 5B 28 66 83 7B 18 00 75 2B 8B 43 08 85 C0 75 05 8B 43 20 EB 33 54 6A 6C 50 E8 ?? ?? ?? ?? 6B 44 24 54 64 50 8B 44 24 50 50 8B 43 10 50 E8 ?? ?? ?? ?? EB 14 68 EC 09 00 00 A1 ?? ?? ?? ?? 50 8B 43 10 50 E8 ?? ?? ?? ?? 83 C4 6C 5B C3 }
	condition:
		$1
}

rule function_80458_0 {
	meta:
		name = "TMetafile.GetInch"
		size = 16
	strings:
		$1 = { 33 D2 8B 48 28 85 C9 74 04 0F B7 51 18 8B C2 C3 }
	condition:
		$1
}

rule function_80459_0 {
	meta:
		name = "TMetafile.GetMMHeight"
		size = 24
		refs = "000c TMetafile.NewImage"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 28 8B 40 10 5B C3 }
	condition:
		$1
}

rule function_80460_0 {
	meta:
		name = "TMetafile.GetMMWidth"
		size = 24
		refs = "000c TMetafile.NewImage"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 28 8B 40 0C 5B C3 }
	condition:
		$1
}

rule function_80461_0 {
	meta:
		name = "TMetafile.GetPalette"
		size = 137
		refs = "0029 GetEnhMetaFilePaletteEntries 0048 InternalDeletePalette 006d CreatePalette"
	strings:
		$1 = { 53 56 57 81 C4 FC FB FF FF 8B D8 33 FF 8B 43 28 85 C0 74 69 83 78 08 00 74 63 83 78 14 00 75 57 6A 00 6A 00 8B 40 08 50 E8 ?? ?? ?? ?? 8B F0 85 F6 74 4A 81 FE 00 01 00 00 7E 06 81 E6 FF 00 00 00 8B 43 28 8B 40 14 E8 ?? ?? ?? ?? 66 C7 04 24 00 03 66 89 74 24 02 8D 44 24 04 50 56 8B 43 28 8B 40 08 50 E8 ?? ?? ?? ?? 8B C4 50 E8 ?? ?? ?? ?? 8B 53 28 89 42 14 8B 43 28 8B 78 14 8B C7 81 C4 04 04 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80462_0 {
	meta:
		name = "TMetafile.GetWidth"
		size = 97
		refs = "000f TMetafile.NewImage 002e GetEnhMetaFileHeader 0042 MulDiv 004e ScreenLogPixels"
	strings:
		$1 = { 53 83 C4 94 8B D8 83 7B 28 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 5B 28 66 83 7B 18 00 75 2B 8B 43 08 85 C0 75 05 8B 43 1C EB 33 54 6A 6C 50 E8 ?? ?? ?? ?? 6B 44 24 50 64 50 8B 44 24 4C 50 8B 43 0C 50 E8 ?? ?? ?? ?? EB 14 68 EC 09 00 00 A1 ?? ?? ?? ?? 50 8B 43 0C 50 E8 ?? ?? ?? ?? 83 C4 6C 5B C3 }
	condition:
		$1
}

rule function_80463_0 {
	meta:
		name = "TMetafile.LoadFromStream"
		size = 83
		refs = "000b TMetafile.TestEMF 0018 TMetafile.ReadEMFStream 0028 TStream.GetPosition 0034 TMetafile.ReadWMFStream"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 1A 8B C6 8B 10 FF 12 50 8B C6 E8 ?? ?? ?? ?? 59 2B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 28 85 C0 0F 95 C0 88 43 22 8B D3 8B C3 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_80464_0 {
	meta:
		name = "TMetafile.NewImage"
		size = 39
		refs = "0008 TSharedImage.Release 000f _DV_TMetafileImage 0014 TObject.Create 0020 TSharedImage.Reference"
	strings:
		$1 = { 53 56 8B D8 8B 43 28 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 28 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80465_0 {
	meta:
		name = "TMetafile.ReadData"
		size = 107
		refs = "002c TMetafile.TestEMF 0039 TMetafile.ReadEMFStream 004a TMetafile.ReadWMFStream"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B D4 B9 04 00 00 00 8B C6 8B 38 FF 57 0C 83 3C 24 04 7F 0B 33 D2 8B C3 8B 08 FF 51 08 EB 27 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0F 8B 0C 24 83 E9 04 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 28 85 C0 0F 95 C0 88 43 22 8B D3 8B C3 8B 08 FF 51 10 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80466_0 {
	meta:
		name = "TMetafile.ReadEMFStream"
		size = 206
		refs = "0010 TMetafile.NewImage 001f TStream.ReadBuffer 002d InvalidMetafile 0035 @GetMem 0043 TMetafile.ReadEMFStream 0059 Move 0079 SetEnhMetaFileBits 00bb @FreeMem 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 55 90 B9 6C 00 00 00 8B C7 E8 ?? ?? ?? ?? 81 7D B8 20 45 4D 46 74 05 E8 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 89 45 FC 8B 5E 28 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8D 45 90 B9 6C 00 00 00 E8 ?? ?? ?? ?? 8B 4D C0 83 E9 6C 8B 55 FC 83 C2 6C 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 C0 50 E8 ?? ?? ?? ?? 8B F8 89 7B 08 85 FF 75 05 E8 ?? ?? ?? ?? 66 C7 43 18 00 00 8B 45 B0 2B 45 A8 89 43 0C 8B 45 B4 2B 45 AC 89 43 10 C6 46 2C 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 C0 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80467_0 {
	meta:
		name = "TMetafile.ReadWMFStream"
		size = 381
		refs = "0017 TMetafile.NewImage 0038 ComputeAldusChecksum 0043 InvalidMetafile 004f @GetMem 005d TMetafile.ReadWMFStream 00a3 MulDiv 00ec SetWinMetaFileBits 010c GetEnhMetaFileHeader 012d DeleteEnhMetaFile 016a @FreeMem 0170 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 60 FF FF FF 53 56 57 89 4D F8 89 55 FC 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 55 DE B9 16 00 00 00 8B 45 FC 8B 18 FF 53 0C 81 7D DE D7 CD C6 9A 75 0E 8D 45 DE E8 ?? ?? ?? ?? 66 3B 45 F2 74 05 E8 ?? ?? ?? ?? 83 6D F8 16 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 5E 28 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 4D F8 8B 45 FC 8B 38 FF 57 0C 8B 46 28 0F B7 55 EC 66 89 50 18 66 83 7D EC 00 75 06 66 C7 45 EC 60 00 0F B7 45 EC 50 68 EC 09 00 00 0F BF 45 E8 0F BF 55 E4 2B C2 50 E8 ?? ?? ?? ?? 89 43 0C 0F B7 45 EC 50 68 EC 09 00 00 0F BF 45 EA 0F BF 55 E6 2B C2 50 E8 ?? ?? ?? ?? 89 43 10 C7 45 CC 08 00 00 00 33 C0 89 45 D0 33 C0 89 45 D4 33 C0 89 45 D8 8D 45 CC 50 6A 00 8B 45 F4 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F8 89 7B 08 85 FF 75 05 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 50 6A 6C 8B 43 08 50 E8 ?? ?? ?? ?? C7 45 CC 08 00 00 00 8B 45 80 89 45 D0 8B 45 84 89 45 D4 33 C0 89 45 D8 8B 43 08 50 E8 ?? ?? ?? ?? 8D 45 CC 50 6A 00 8B 45 F4 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F8 89 7B 08 85 FF 75 05 E8 ?? ?? ?? ?? C6 46 2C 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80468_0 {
	meta:
		name = "TMetafile.SaveToFile"
		size = 208
		refs = "0018 TMetafile.SaveToFile 0040 ExtractFileExt 004b AnsiLowerCaseFileName 0058 @UStrEqual 006b TGraphic.SaveToFile 0088 @HandleFinally 00a4 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F4 89 4D F0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 0F B6 40 2C 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 8B 45 FC C6 40 2C 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B6 55 FB 88 50 2C C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 77 00 6D 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_80469_0 {
	meta:
		name = "TMetafile.SaveToStream"
		size = 25
		refs = "000d TMetafile.WriteEMFStream 0014 TMetafile.WriteWMFStream"
	strings:
		$1 = { 83 78 28 00 74 12 80 78 2C 00 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80470_0 {
	meta:
		name = "TMetafile.SetHandle"
		size = 142
		refs = "0012 GetEnhMetaFileHeader 001b InvalidMetafile 0022 TMetafile.UniqueImage 0032 DeleteEnhMetaFile 003d InternalDeletePalette"
	strings:
		$1 = { 53 56 83 C4 94 8B F2 8B D8 85 F6 74 12 54 6A 6C 56 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 28 8B 40 08 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 43 28 8B 40 14 E8 ?? ?? ?? ?? 8B 43 28 33 D2 89 50 14 89 70 08 33 D2 89 50 1C 33 D2 89 50 20 85 F6 74 16 8B 54 24 20 2B 54 24 18 89 50 0C 8B 54 24 24 2B 54 24 1C 89 50 10 8B C3 8B 10 FF 52 28 85 C0 0F 95 C0 88 43 22 8B D3 8B C3 8B 08 FF 51 10 83 C4 6C 5E 5B C3 }
	condition:
		$1
}

rule function_80471_0 {
	meta:
		name = "TMetafile.SetHeight"
		size = 113
		refs = "0012 TMetafile.NewImage 0031 GetEnhMetaFileHeader 0042 MulDiv 004b TMetafile.SetMMHeight 0052 ScreenLogPixels"
	strings:
		$1 = { 53 56 83 C4 94 8B F2 8B D8 83 7B 28 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 28 66 83 78 18 00 75 31 8B 50 08 85 D2 75 05 89 70 20 EB 3F 54 6A 6C 52 E8 ?? ?? ?? ?? 8B 44 24 4C 50 6B 44 24 58 64 50 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 1A A1 ?? ?? ?? ?? 50 68 EC 09 00 00 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C4 6C 5E 5B C3 }
	condition:
		$1
}

rule function_80472_0 {
	meta:
		name = "TMetafile.SetInch"
		size = 54
		refs = "000f TMetafile.NewImage 001f TMetafile.UniqueImage"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 28 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 28 66 3B 70 18 74 17 8B C3 E8 ?? ?? ?? ?? 8B 43 28 66 89 70 18 8B D3 8B C3 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_80473_0 {
	meta:
		name = "TMetafile.SetMMHeight"
		size = 57
		refs = "000f TMetafile.NewImage 0023 TMetafile.UniqueImage"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 28 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 28 33 D2 89 50 20 3B 70 10 74 16 8B C3 E8 ?? ?? ?? ?? 8B 43 28 89 70 10 8B D3 8B C3 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_80474_0 {
	meta:
		name = "TMetafile.SetMMWidth"
		size = 57
		refs = "000f TMetafile.NewImage 0023 TMetafile.UniqueImage"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 28 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 28 33 D2 89 50 1C 3B 70 0C 74 16 8B C3 E8 ?? ?? ?? ?? 8B 43 28 89 70 0C 8B D3 8B C3 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_80476_0 {
	meta:
		name = "TMetafile.SetWidth"
		size = 113
		refs = "0012 TMetafile.NewImage 0031 GetEnhMetaFileHeader 0042 MulDiv 004b TMetafile.SetMMWidth 0052 ScreenLogPixels"
	strings:
		$1 = { 53 56 83 C4 94 8B F2 8B D8 83 7B 28 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 28 66 83 78 18 00 75 31 8B 50 08 85 D2 75 05 89 70 1C EB 3F 54 6A 6C 52 E8 ?? ?? ?? ?? 8B 44 24 48 50 6B 44 24 54 64 50 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 1A A1 ?? ?? ?? ?? 50 68 EC 09 00 00 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C4 6C 5E 5B C3 }
	condition:
		$1
}

rule function_80477_0 {
	meta:
		name = "TMetafile.TestEMF"
		size = 94
		refs = "0013 TStream.GetPosition"
	strings:
		$1 = { 53 56 57 83 C4 94 8B DA 8B C3 8B 10 FF 12 8B F0 8B C3 E8 ?? ?? ?? ?? 2B F0 83 FE 6C 7E 1E 8B D4 B9 6C 00 00 00 8B C3 8B 38 FF 57 0C 66 B9 01 00 BA 94 FF FF FF 8B C3 8B 18 FF 53 14 83 FE 6C 7E 10 83 3C 24 01 75 0A 81 7C 24 28 20 45 4D 46 74 04 33 C0 EB 02 B0 01 83 C4 6C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80478_0 {
	meta:
		name = "TMetafile.UniqueImage"
		size = 131
		refs = "000f TMetafile.NewImage 001e _DV_TMetafileImage 0023 TObject.Create 0037 CopyEnhMetaFile 0071 TSharedImage.Release 007b TSharedImage.Reference"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 28 85 C0 75 09 8B C3 E8 ?? ?? ?? ?? EB 6A 83 78 04 01 7E 64 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 28 8B 78 08 85 FF 74 0B 6A 00 57 E8 ?? ?? ?? ?? 89 46 08 8B 43 28 8B 40 10 89 46 10 8B 43 28 8B 40 0C 89 46 0C 8B 43 28 0F B7 40 18 66 89 46 18 8B 43 28 8B 40 1C 89 46 1C 8B 43 28 8B 40 20 89 46 20 8B 43 28 E8 ?? ?? ?? ?? 8B C6 89 43 28 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80479_0 {
	meta:
		name = "TMetafile.WriteData"
		size = 131
		refs = "0024 TStream.GetPosition 0039 TMetafile.WriteEMFStream 0044 TMetafile.WriteWMFStream"
	strings:
		$1 = { 53 56 57 51 8B DA 8B F0 83 7E 28 00 74 70 33 C0 89 04 24 8B D4 B9 04 00 00 00 8B C3 8B 38 FF 57 10 8B C3 E8 ?? ?? ?? ?? 83 E8 04 89 04 24 80 7E 2C 00 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 04 24 99 52 50 33 D2 8B C3 8B 08 FF 51 18 8B C3 8B 10 FF 12 2B 04 24 89 04 24 8B D4 B9 04 00 00 00 8B C3 8B 30 FF 56 10 6A 00 6A 00 B2 02 8B C3 8B 08 FF 51 18 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80480_0 {
	meta:
		name = "TMetafile.WriteEMFStream"
		size = 137
		refs = "001c GetEnhMetaFileBits 002d @GetMem 0038 TMetafile.WriteEMFStream 005f TStream.WriteBuffer 0077 @FreeMem 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8B 43 28 85 C0 74 70 6A 00 6A 00 8B 40 08 50 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 5A 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 45 F8 50 8B 43 28 8B 40 08 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 4D F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80481_0 {
	meta:
		name = "TMetafile.WriteWMFStream"
		size = 328
		refs = "0021 @FillChar 0053 MulDiv 0076 ComputeAldusChecksum 0081 GetDC 008c TMetafile.WriteWMFStream 00a5 GetWinMetaFileBits 00b0 @GetMem 00e2 GDIError 00f1 TStream.WriteBuffer 0116 @FreeMem 011c @HandleFinally 0136 ReleaseDC"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 8B F2 8B D8 83 7B 28 00 0F 84 2C 01 00 00 8D 45 DE 33 C9 BA 16 00 00 00 E8 ?? ?? ?? ?? 8B 5B 28 C7 45 DE D7 CD C6 9A 0F B7 43 18 66 85 C0 75 08 66 C7 45 EC 60 00 EB 04 66 89 45 EC 68 EC 09 00 00 0F B7 45 EC 50 8B 43 0C 50 E8 ?? ?? ?? ?? 66 89 45 E8 68 EC 09 00 00 0F B7 45 EC 50 8B 43 10 50 E8 ?? ?? ?? ?? 66 89 45 EA 8D 45 DE E8 ?? ?? ?? ?? 66 89 45 F2 6A 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 6A 08 6A 00 6A 00 8B 43 08 50 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 6A 08 8B 45 F4 50 8B 45 FC 50 8B 43 08 50 E8 ?? ?? ?? ?? 3B 45 FC 73 05 E8 ?? ?? ?? ?? 8D 55 DE B9 16 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80482_0 {
	meta:
		name = "TMetafile.LoadFromClipboardFormat"
		size = 131
		refs = "000e GetClipboardData 0019 SUnknownClipboardFormat 001e InvalidGraphic 0025 TMetafile.NewImage 0030 CopyEnhMetaFile 0042 GetEnhMetaFileHeader"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 8B D8 6A 0E E8 ?? ?? ?? ?? 8B F8 85 FF 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 73 28 6A 00 57 E8 ?? ?? ?? ?? 89 46 08 8D 45 94 50 6A 6C 8B 46 08 50 E8 ?? ?? ?? ?? 8B 45 B4 2B 45 AC 89 46 0C 8B 45 B8 2B 45 B0 89 46 10 66 C7 46 18 00 00 C6 43 2C 01 8B C3 8B 10 FF 52 28 85 C0 0F 95 C0 88 43 22 8B D3 8B C3 8B 08 FF 51 10 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80483_0 {
	meta:
		name = "TMetafile.SaveToClipboardFormat"
		size = 49
		refs = "0024 CopyEnhMetaFile"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B D8 8B 73 28 85 F6 74 19 66 C7 02 0E 00 8B 45 08 33 D2 89 10 6A 00 8B 46 08 50 E8 ?? ?? ?? ?? 89 07 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_80484_0 {
	meta:
		name = "TMetafile.ReleaseHandle"
		size = 25
		refs = "0006 TMetafile.UniqueImage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 28 8B 50 08 33 C9 89 48 08 8B C2 5B C3 }
	condition:
		$1
}

rule function_80485_0 {
	meta:
		name = "TMetafile.SetSize"
		size = 172
		refs = "0015 TMetafile.NewImage 0037 GetEnhMetaFileHeader 0048 MulDiv 0051 TMetafile.SetMMWidth 006b TMetafile.SetMMHeight 0072 ScreenLogPixels"
	strings:
		$1 = { 53 56 57 83 C4 94 8B F9 8B F2 8B D8 83 7B 28 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 28 66 83 78 18 00 75 4E 8B 50 08 85 D2 75 08 89 70 1C 89 78 20 EB 73 54 6A 6C 52 E8 ?? ?? ?? ?? 8B 44 24 48 50 6B 44 24 54 64 50 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 44 24 4C 50 6B 44 24 58 64 50 57 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 34 A1 ?? ?? ?? ?? 50 68 EC 09 00 00 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 68 EC 09 00 00 57 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C4 6C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80487_0 {
	meta:
		name = "DeselectBitmap"
		size = 127
		refs = "0010 BitmapCanvasList 0015 TThreadList.LockList 001f DeselectBitmap 0037 TList.Get 004e TBitmapCanvas.FreeContext 006e TMonitor.Exit 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 83 7D FC 00 74 6B A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 5E 08 4B 83 FB 00 7C 26 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 58 85 D2 74 10 8B 52 28 8B 52 08 3B 55 FC 75 05 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80490_0 {
	meta:
		name = "TBitmapCanvas.FreeContext"
		size = 161
		refs = "0019 TCustomCanvas.Lock 0021 TBitmapCanvas.FreeContext 003e SelectObject 0057 SelectPalette 0067 TCanvas.SetHandle 006d DeleteDC 0077 BitmapCanvasList 007c TThreadList.RemoveItem 0091 TCustomCanvas.Unlock 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 83 78 38 00 0F 84 88 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 5C 85 C0 74 0D 50 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 60 85 C0 74 0F 6A FF 50 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 58 38 33 D2 8B 45 FC E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? B1 01 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_80491_0 {
	meta:
		name = "TBitmapCanvas.CreateHandle"
		size = 235
		refs = "001a TCustomCanvas.Lock 0022 TBitmapCanvas.CreateHandle 0033 TBitmap.HandleNeeded 0044 DeselectBitmap 004f TBitmap.PaletteNeeded 0056 CreateCompatibleDC 006f SelectObject 0098 SelectPalette 00a4 RealizePalette 00b8 TCanvas.SetHandle 00c0 BitmapCanvasList 00c5 TThreadList.Add 00da TCustomCanvas.Unlock 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 83 78 58 00 0F 84 D0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 58 8B 40 28 8B 40 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 58 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 58 8B 40 28 8B 70 08 85 F6 74 0F 56 53 E8 ?? ?? ?? ?? 8B 55 FC 89 42 5C EB 08 8B 45 FC 33 D2 89 50 5C 8B 45 FC 8B 40 58 8B 40 28 8B 70 10 85 F6 74 17 6A FF 56 53 E8 ?? ?? ?? ?? 8B 55 FC 89 42 60 53 E8 ?? ?? ?? ?? EB 08 8B 45 FC 33 D2 89 50 60 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80493_0 {
	meta:
		name = "TSharedImage.Reference"
		size = 4
	strings:
		$1 = { FF 40 04 C3 }
	condition:
		$1
}

rule function_80494_0 {
	meta:
		name = "TSharedImage.Release"
		size = 31
		refs = "0019 TObject.Free"
	strings:
		$1 = { 53 8B D8 85 DB 74 16 FF 4B 04 83 7B 04 00 75 0D 8B C3 8B 10 FF 12 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80495_0 {
	meta:
		name = "TBitmapImage.Destroy"
		size = 97
		refs = "0003 @BeforeDestruction 0013 DeselectBitmap 001c DeleteObject 0034 CloseHandle 0044 TObject.Free 004f TSharedImage.Destroy 005a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 85 C0 74 13 E8 ?? ?? ?? ?? 8B 46 14 50 E8 ?? ?? ?? ?? 33 C0 89 46 14 8B C6 8B 10 FF 12 8B 46 64 85 C0 74 06 50 E8 ?? ?? ?? ?? 8D 46 6C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80496_0 {
	meta:
		name = "TBitmapImage.FreeHandle"
		size = 75
		refs = "000b DeselectBitmap 0019 DeleteObject 003b InternalDeletePalette"
	strings:
		$1 = { 53 8B D8 8B 43 08 85 C0 74 13 E8 ?? ?? ?? ?? 8B 43 08 3B 43 14 74 06 50 E8 ?? ?? ?? ?? 8B 43 0C 85 C0 74 13 E8 ?? ?? ?? ?? 8B 43 0C 50 E8 ?? ?? ?? ?? 33 C0 89 43 0C 8B 43 10 E8 ?? ?? ?? ?? 33 C0 89 43 08 33 C0 89 43 10 5B C3 }
	condition:
		$1
}

rule function_80497_0 {
	meta:
		name = "CreateMappedBmp"
		size = 456
		refs = "0027 InternalGetDIBSizes 0032 AllocMem 003d CreateMappedBmp 0060 InternalGetDIB 0092 ByteSwapColors 00ba ColorToRGB 00f8 GetDC 0112 CreateCompatibleDC 012c CreateCompatibleBitmap 013f SelectObject 0168 StretchDIBits 0175 DeleteDC 018d ReleaseDC 0193 @HandleFinally 01b0 @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 89 4D F8 89 55 FC 8B D8 89 5D F4 85 DB 0F 84 A0 01 00 00 6A 00 8D 4D E4 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 03 45 E4 E8 ?? ?? ?? ?? 89 45 F0 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 75 F0 8B C6 03 45 E8 89 45 E0 8B 45 E0 50 6A 00 8B 4D F0 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 0F B7 40 0E 66 83 F8 08 0F 87 24 01 00 00 8B C8 B8 01 00 00 00 D3 E0 89 45 EC 8B 45 F0 8B 00 03 C6 89 45 DC 8B 45 DC 8B 55 EC E8 ?? ?? ?? ?? 8B 45 EC 48 85 C0 7C 4C 40 89 45 D0 C7 45 D8 00 00 00 00 8B 7D F8 85 FF 7C 32 47 8B 5D FC 8B 75 0C 8B 03 E8 ?? ?? ?? ?? 8B 55 DC 8B 4D D8 3B 04 8A 75 10 8B 06 E8 ?? ?? ?? ?? 8B 55 DC 8B 4D D8 89 04 8A 83 C6 04 83 C3 04 4F 75 D5 FF 45 D8 FF 4D D0 75 BF 8B 45 DC 8B 55 EC E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 89 45 D4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 D4 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 57 8B 75 F0 8B 46 08 50 8B 46 04 50 8B 45 D4 50 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 3A 8B 45 F4 50 53 E8 ?? ?? ?? ?? 8B F8 68 20 00 CC 00 6A 00 8B 4D F0 51 8B 4D E0 51 8B 56 08 52 8B 46 04 50 6A 00 6A 00 52 50 6A 00 6A 00 53 E8 ?? ?? ?? ?? 57 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 E8 03 55 E4 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_80498_0 {
	meta:
		name = "CreateMappedRes"
		size = 669
		refs = "001a FindResource 0029 LoadResource 0034 CreateMappedRes 0043 LockResource 00a0 @GetMem 00bf Move 00df ByteSwapColors 0107 ColorToRGB 014b GetDC 0165 CreateCompatibleDC 017f CreateCompatibleBitmap 0192 SelectObject 01b9 StretchDIBits 01c9 DeleteDC 01e1 ReleaseDC 01e7 @HandleFinally 0201 @FreeMem 0210 _DV_TBitmap 0215 TBitmap.Create 0232 TBitmap.LoadFromResourceID 023a TBitmap.ReleaseHandle 0252 TObject.Free 0285 FreeResource"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 89 4D FC 8B F2 8B D8 33 C0 89 45 F8 6A 02 56 53 E8 ?? ?? ?? ?? 85 C0 0F 84 6B 02 00 00 50 53 E8 ?? ?? ?? ?? 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 0F 84 1F 02 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 E8 0F B7 40 0E 0F B7 D0 8B 4D E8 0F B7 49 0C 0F AF D1 83 FA 08 0F 87 8E 01 00 00 8B C8 B8 01 00 00 00 D3 E0 89 45 F0 8B 45 E8 8B 00 8B 55 F0 03 D2 03 D2 03 C2 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 89 45 E4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 55 E4 8B 45 E8 8B 4D EC E8 ?? ?? ?? ?? 8B 45 E8 66 83 78 0E 08 77 75 8B 45 E4 8B 00 03 45 E4 89 45 E0 8B 45 E0 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 48 85 C0 7C 4C 40 89 45 CC C7 45 DC 00 00 00 00 8B 7D 10 85 FF 7C 32 47 8B 5D FC 8B 75 0C 8B 03 E8 ?? ?? ?? ?? 8B 55 E0 8B 4D DC 3B 04 8A 75 10 8B 06 E8 ?? ?? ?? ?? 8B 55 E0 8B 4D DC 89 04 8A 83 C6 04 83 C3 04 4F 75 D5 FF 45 DC FF 4D CC 75 BF 8B 45 E0 8B 55 F0 E8 ?? ?? ?? ?? 8B 7D E8 03 7D EC 6A 00 E8 ?? ?? ?? ?? 89 45 D8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 D8 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 58 8B 75 E4 8B 46 08 50 8B 46 04 50 8B 45 D8 50 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 3B 8B 45 F8 50 53 E8 ?? ?? ?? ?? 89 45 D4 68 20 00 CC 00 6A 00 8B 4D E4 51 57 8B 56 08 52 8B 46 04 50 6A 00 6A 00 52 50 6A 00 6A 00 53 E8 ?? ?? ?? ?? 8B 45 D4 50 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 EC 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D3 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 F8 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_80499_0 {
	meta:
		name = "CreateGrayMappedBmp"
		size = 23
		refs = "0001 SysGrays 0008 Grays 0012 CreateMappedBmp"
	strings:
		$1 = { 68 ?? ?? ?? ?? 6A 03 BA ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80500_0 {
	meta:
		name = "CreateGrayMappedRes"
		size = 20
		refs = "0003 SysGrays 000a Grays 000f CreateMappedRes"
	strings:
		$1 = { 6A 03 68 ?? ?? ?? ?? 6A 03 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80501_0 {
	meta:
		name = "UpdateDIBColorTable"
		size = 188
		refs = "0032 PaletteToDIBColorTable 003f GetDC 004b CreateCompatibleDC 0058 SelectObject 0063 UpdateDIBColorTable 007c SetDIBColorTable 009f DeleteDC 00aa ReleaseDC 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FB FF FF 53 56 89 55 FC 8B F0 85 F6 0F 84 9E 00 00 00 66 83 79 26 08 0F 87 93 00 00 00 8D 95 F0 FB FF FF B9 FF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 7A 6A 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 F4 56 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 F0 FB FF FF 50 53 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80502_0 {
	meta:
		name = "FixupBitFields"
		size = 73
	strings:
		$1 = { F6 40 28 03 74 42 83 78 40 00 75 3C 0F B7 50 26 66 83 FA 10 75 17 C7 40 40 00 F8 00 00 C7 40 44 E0 07 00 00 C7 40 48 1F 00 00 00 EB 1B 66 83 FA 20 75 15 C7 40 40 00 00 FF 00 C7 40 44 00 FF 00 00 C7 40 48 FF 00 00 00 C3 }
	condition:
		$1
}

rule function_80503_0 {
	meta:
		name = "CopyBitmap"
		size = 1633
		refs = "0064 DeselectBitmap 0081 GetObject 008b InvalidBitmap 0092 GetDC 0097 GDICheck 00a3 CreateCompatibleDC 00b3 CopyBitmap 00ef CreateBitmap 0113 CreateCompatibleBitmap 012a @GetMem 0163 GetDeviceCaps 01fe PaletteToDIBColorTable 021a SelectObject 0240 GetDIBColorTable 026b GetDIBits 029e FixupBitFields 02b4 Move 02cb CreateDIBSection 02de GDIError 0331 @TryFinallyExit 0350 @FreeMem 0356 @HandleFinally 03ad SelectPalette 03b9 RealizePalette 03dc TBrush.GetHandle 03fa Rect 040a FillRect 0418 ColorToRGB 0422 SetTextColor 043d SetBkColor 0486 SetDIBColorTable 04a8 PatBlt 0566 BitBlt 059d DeleteDC 0600 @HandleAnyException 0609 DeleteObject 060e @RaiseAgain 0613 @DoneExcept 0634 ReleaseDC"
	strings:
		$1 = { 55 8B EC 81 C4 68 FF FF FF 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 C0 89 45 F0 8B 45 0C 83 78 18 00 74 1A 8B 45 0C 83 78 1C 00 0F 84 25 06 00 00 8B 45 0C 83 78 20 00 0F 84 18 06 00 00 8B 45 0C 83 78 18 00 75 1A 8B 45 0C 83 78 04 00 0F 84 02 06 00 00 8B 45 0C 83 78 08 00 0F 84 F5 05 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 90 83 7D FC 00 74 1C 8D 85 78 FF FF FF 50 6A 54 8B 45 FC 50 E8 ?? ?? ?? ?? 83 F8 18 7D 05 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 0C 83 78 18 28 73 5E 8B 45 0C 0F B7 40 10 8B 55 0C 66 0B 42 12 66 83 F8 01 75 26 6A 00 6A 01 6A 01 8B 45 0C 8B 40 08 50 8B 45 0C 8B 40 04 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 E9 5C 02 00 00 8B 45 0C 8B 40 08 50 8B 45 0C 8B 40 04 50 8B 45 E8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 E9 38 02 00 00 B8 2C 04 00 00 E8 ?? ?? ?? ?? 89 45 D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 0C C7 40 18 28 00 00 00 8B 45 0C 66 C7 40 24 01 00 8B 45 0C 66 83 78 26 00 75 23 6A 0C 8B 45 E8 50 E8 ?? ?? ?? ?? 8B D8 6A 0E 8B 45 E8 50 E8 ?? ?? ?? ?? 66 0F AF D8 8B 45 0C 66 89 58 26 8B 45 0C 8B 55 D8 8D 70 18 8B FA B9 0A 00 00 00 F3 A5 8B 45 0C 8B 40 1C 8B 55 0C 89 42 04 8B 45 0C 8B 40 20 8B 55 0C 89 42 08 8B 45 0C 66 83 78 26 08 0F 87 C7 00 00 00 8B 45 0C 66 83 78 26 01 75 28 83 7D FC 00 74 06 83 7D 8C 00 75 1C 8B 45 D8 33 D2 89 50 28 8B 45 D8 83 C0 28 83 C0 04 C7 00 FF FF FF 00 E9 CF 00 00 00 83 7D F4 00 74 18 8B 45 D8 8D 50 28 B9 FF 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 B1 00 00 00 83 7D FC 00 0F 84 A7 00 00 00 8B 45 FC 50 8B 45 E4 50 E8 ?? ?? ?? ?? 89 45 EC 83 7D 90 00 76 25 83 7D 8C 00 74 1F 8B 45 D8 83 C0 28 50 68 00 01 00 00 6A 00 8B 45 E4 50 E8 ?? ?? ?? ?? 8B 55 0C 89 42 38 EB 23 6A 00 8B 45 D8 50 6A 00 8B 45 0C 8B 40 20 99 33 C2 2B C2 50 6A 00 8B 45 FC 50 8B 45 E4 50 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 E4 50 E8 ?? ?? ?? ?? EB 3A 8B 45 0C 0F B7 40 26 66 83 F8 10 74 06 66 83 F8 20 75 27 8B 45 0C F6 40 28 03 74 1E 8B 45 0C E8 ?? ?? ?? ?? 8B 45 D8 8D 50 28 8B 45 0C 83 C0 40 B9 0C 00 00 00 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 D4 50 6A 00 8B 45 D8 50 8B 45 E8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 83 7D D4 00 75 05 E8 ?? ?? ?? ?? 83 7D FC 00 74 57 8B 45 0C 8B 40 1C 3B 85 7C FF FF FF 75 49 8B 45 0C 8B 40 20 3B 45 80 75 3E 8B 45 0C 66 83 78 26 08 76 34 6A 00 8B 45 D8 50 8B 45 D4 50 8B 45 0C 8B 40 20 99 33 C2 2B C2 50 6A 00 8B 45 FC 50 8B 45 E4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 16 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 E4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 DC 33 DB 83 7D F4 00 74 1B 6A 00 8B 45 F4 50 8B 45 E4 50 E8 ?? ?? ?? ?? 89 45 DC 8B 45 E4 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 08 00 0F 84 B7 00 00 00 8B 45 08 8B 40 48 E8 ?? ?? ?? ?? 50 8B 45 0C 8B 40 08 50 8D 85 68 FF FF FF 50 8B 4D 0C 8B 49 04 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 68 FF FF FF 50 8B 45 E4 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 40 8B 40 18 E8 ?? ?? ?? ?? 50 8B 45 E4 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 48 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 50 8B 45 E4 50 E8 ?? ?? ?? ?? 8B 45 0C 66 83 78 26 01 75 61 8B 45 0C 83 78 14 00 74 58 8B 45 08 8B 40 40 8B 40 18 E8 ?? ?? ?? ?? 89 45 CC 8B 45 08 8B 40 48 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 89 45 D0 8D 45 CC 50 6A 02 6A 00 8B 45 E4 50 E8 ?? ?? ?? ?? EB 20 68 62 00 FF 00 8B 45 0C 8B 40 08 50 8B 45 0C 8B 40 04 50 6A 00 6A 00 8B 45 E4 50 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 F3 00 00 00 8B 45 E8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 45 E0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 83 7D F8 00 74 1A 6A 00 8B 45 F8 50 8B 45 E0 50 E8 ?? ?? ?? ?? 8B D8 8B 45 E0 50 E8 ?? ?? ?? ?? 83 7D 08 00 74 33 8B 45 08 8B 40 40 8B 40 18 E8 ?? ?? ?? ?? 50 8B 45 E0 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 48 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 50 8B 45 E0 50 E8 ?? ?? ?? ?? 68 20 00 CC 00 6A 00 6A 00 8B 45 E0 50 8B 45 0C 8B 40 08 50 8B 45 0C 8B 40 04 50 6A 00 6A 00 8B 45 E4 50 E8 ?? ?? ?? ?? 83 7D F8 00 74 0C 6A FF 53 8B 45 E0 50 E8 ?? ?? ?? ?? 56 8B 45 E0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0F 6A FF 8B 45 DC 50 8B 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 8B 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 50 E8 ?? ?? ?? ?? 8B 45 E8 50 6A 00 E8 ?? ?? ?? ?? 83 7D F0 00 74 0F 8B 45 0C 50 6A 54 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B 45 F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_80504_0 {
	meta:
		name = "CopyPalette"
		size = 97
		refs = "001a GetObject 0046 GetPaletteEntries 0050 CreatePalette"
	strings:
		$1 = { 53 56 81 C4 F8 FB FF FF 8B D8 33 F6 85 DB 74 46 33 C0 89 04 24 54 6A 04 53 E8 ?? ?? ?? ?? 85 C0 74 34 83 3C 24 00 74 2E 66 C7 44 24 04 00 03 0F B7 04 24 66 89 44 24 06 8D 44 24 08 50 8B 44 24 04 50 6A 00 53 E8 ?? ?? ?? ?? 8D 44 24 04 50 E8 ?? ?? ?? ?? 8B F0 8B C6 81 C4 08 04 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_80505_0 {
	meta:
		name = "CopyBitmapAsMask"
		size = 524
		refs = "0024 GetObject 0033 DeselectBitmap 0045 CopyBitmapAsMask 0052 GetDC 0057 GDICheck 0063 CreateCompatibleDC 007e CreateBitmap 0098 SelectObject 00ba PatBlt 00fe CopyBitmap 0123 SelectPalette 012c RealizePalette 014b SetBkColor 016f BitBlt 0198 DeleteObject 01ae DeleteDC 01b4 @HandleFinally 01f6 ReleaseDC"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 57 8B F9 8B F2 8B D8 33 C0 89 45 FC 85 DB 0F 84 E6 01 00 00 8D 45 90 50 6A 54 53 E8 ?? ?? ?? ?? 85 C0 0F 84 D2 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 F8 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 00 6A 01 6A 01 8B 45 98 50 8B 45 94 50 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 84 3E 01 00 00 8B 45 FC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 E4 81 FF FF FF FF 1F 75 1C 6A 42 8B 45 98 50 8B 45 94 50 6A 00 6A 00 8B 45 F0 50 E8 ?? ?? ?? ?? E9 F7 00 00 00 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D A4 00 74 1E C6 45 EF 01 33 C0 89 45 A8 8D 45 90 50 6A 00 8B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 04 C6 45 EF 00 53 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 E8 85 F6 74 2A 6A 00 56 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 6A 00 56 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 57 8B 45 F4 50 E8 ?? ?? ?? ?? 8B F0 68 20 00 CC 00 6A 00 6A 00 8B 45 F4 50 8B 45 98 50 8B 45 94 50 6A 00 6A 00 8B 45 F0 50 E8 ?? ?? ?? ?? 56 8B 45 F4 50 E8 ?? ?? ?? ?? 83 7D E8 00 74 0D 8B 45 E8 50 8B 45 F4 50 E8 ?? ?? ?? ?? 80 7D EF 00 74 06 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 83 7D E4 00 74 0D 8B 45 E4 50 8B 45 F0 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 09 8B 45 F0 50 E8 ?? ?? ?? ?? 83 7D F8 00 74 0B 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80506_0 {
	meta:
		name = "TBitmap.Create"
		size = 113
		refs = "000e @ClassCreate 001c TGraphic.Create 002e _DV_TBitmapImage 0033 TObject.Create 0043 DDBsOnly 005c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C7 43 34 00 00 00 20 C6 43 39 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 28 8B C6 FF 40 04 80 3D ?? ?? ?? ?? 00 74 09 B2 01 8B C3 8B 08 FF 51 78 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80508_0 {
	meta:
		name = "TBitmap.Assign"
		size = 274
		refs = "0015 _DV_TBitmap 001a @IsClass 002a TBitmap.FreeContext 002f BitmapImageLock 0034 EnterCriticalSection 003c TBitmap.Assign 0059 TSharedImage.Release 0086 TBitmap.GetPixelFormat 0090 TBitmap.SetPixelFormat 00ab @FillChar 00bf TBitmap.NewImage 00d6 LeaveCriticalSection 00dc @HandleFinally 0108 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 8B DA 89 45 FC 85 DB 74 15 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 DC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 74 56 8B F3 8B 46 28 FF 40 04 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 46 28 8B 55 FC 89 42 28 0F B6 46 21 8B 55 FC 88 42 21 8B 46 34 8B 55 FC 89 42 34 0F B6 46 38 8B 55 FC 88 42 38 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 0F B6 46 39 8B 55 FC 88 42 39 EB 23 8D 45 A8 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 50 6A 00 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 10 FF 52 28 85 C0 0F 95 C0 8B 55 FC 88 42 22 8B 55 FC 8B 45 FC 8B 08 FF 51 10 EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80509_0 {
	meta:
		name = "TBitmap.CopyImage"
		size = 191
		refs = "0021 TBitmap.FreeContext 0033 TBitmap.CopyImage 003f SystemPalette16 004d CopyPalette 0064 CopyBitmap 0082 TBitmap.NewImage 0091 @HandleAnyException 0099 InternalDeletePalette 00a8 DeleteObject 00ad @RaiseAgain 00b2 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 8B 75 08 8D 7D A4 51 B9 15 00 00 00 F3 A5 59 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 FC 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 35 ?? ?? ?? ?? 75 05 89 75 F8 EB 0A 8B C6 E8 ?? ?? ?? ?? 89 45 F8 8D 45 A4 50 8B 43 2C 50 8B 4D F8 8B D6 8B C7 E8 ?? ?? ?? ?? 89 45 FC 8D 45 A4 50 8B 43 28 0F B6 40 71 50 6A 00 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 7D FC 00 74 09 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80510_0 {
	meta:
		name = "TBitmap.Changing"
		size = 41
		refs = "0006 TBitmap.FreeImage 0023 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 28 33 D2 89 50 50 33 D2 89 50 54 83 C0 6C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80511_0 {
	meta:
		name = "TBitmap.Changed"
		size = 10
		refs = "0005 TGraphic.Changed"
	strings:
		$1 = { C6 40 31 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80512_0 {
	meta:
		name = "TBitmap.Dormant"
		size = 122
		refs = "000b _Dn_TMemoryStream 0010 TObject.Create 002a TStream.SetSize64 004a TBitmap.FreeContext 005a TObject.Free 006f TBitmap.NewImage"
	strings:
		$1 = { 53 56 57 83 C4 AC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 8B 08 FF 51 60 8B C6 8B 10 FF 12 52 50 8B C6 E8 ?? ?? ?? ?? 8B 43 28 56 8D 70 18 8D 7C 24 04 B9 15 00 00 00 F3 A5 5E 33 C0 89 44 24 14 8B C3 E8 ?? ?? ?? ?? 8D 43 2C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 54 8B 43 28 0F B6 40 71 50 56 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 83 C4 54 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80513_0 {
	meta:
		name = "TBitmap.Draw"
		size = 684
		refs = "0016 TBitmap.Draw 0025 TBitmap.PaletteNeeded 0044 SelectPalette 0053 RealizePalette 0065 GetDeviceCaps 00a7 GetBrushOrgEx 00b5 SetStretchBltMode 00cd SetBrushOrgEx 00d6 TBitmap.GetMonochrome 00e4 TCanvas.GetHandle 010a TBitmap.MaskHandleNeeded 0111 TBitmap.GetCanvas 014b CreateCompatibleDC 0150 GDICheck 0160 SelectObject 019f TransparentStretchBlt 01ce DeleteDC 01d4 @HandleFinally 022d AlphaBlend 026d StretchBlt"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F9 89 55 FC 8B D8 8B 73 28 0F B6 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 2C 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 F8 C6 45 F7 00 8B 46 10 85 C0 74 22 6A FF 50 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? C6 45 F7 01 6A 0C 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 50 6A 0E 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 8B D0 58 F7 EA 83 F8 08 7F 0F 0F B7 56 2A 0F B7 4E 28 0F AF D1 3B C2 7C 04 33 C0 EB 02 B0 01 84 C0 74 38 8D 45 EC 50 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 6A 04 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 F0 50 8B 45 EC 50 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? EB 1B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 6A 03 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 2C 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 08 FF 51 2C 8B C3 8B 10 FF 52 2C 84 C0 0F 84 AA 00 00 00 33 C0 89 45 E4 33 C0 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 46 0C 50 8B 45 E8 50 E8 ?? ?? ?? ?? 89 45 E4 8B 47 08 2B 07 50 8B 47 0C 2B 47 04 50 8B C3 E8 ?? ?? ?? ?? 8B 40 38 50 6A 00 6A 00 8B 46 1C 50 8B 46 20 50 8B 45 E8 50 6A 00 6A 00 8B 4F 04 8B 17 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 50 8B 45 E8 50 E8 ?? ?? ?? ?? 83 7D E8 00 74 09 8B 45 E8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B C3 8B 10 FF 52 4C 84 C0 74 4E C6 45 E0 00 C6 45 E1 00 C6 45 E2 FF C6 45 E3 01 FF 75 E0 8B 46 20 50 8B 46 1C 50 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B 40 38 50 8B 47 0C 2B 47 04 50 8B 47 08 2B 07 50 8B 47 04 50 8B 07 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 3E 8B 45 FC 8B 40 54 50 8B 46 20 50 8B 46 1C 50 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B 40 38 50 8B 47 0C 2B 47 04 50 8B 47 08 2B 07 50 8B 47 04 50 8B 07 50 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F7 00 74 12 6A FF 8B 45 F8 50 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 00 0F 00 00 00 }
	condition:
		$1
}

rule function_80514_0 {
	meta:
		name = "TBitmap.DrawTransparent"
		size = 700
		refs = "0016 TBitmap.DrawTransparent 0025 TBitmap.PaletteNeeded 0044 SelectPalette 0053 RealizePalette 0065 GetDeviceCaps 00a7 GetBrushOrgEx 00b5 SetStretchBltMode 00cd SetBrushOrgEx 00d6 TBitmap.GetMonochrome 00e4 TCanvas.GetHandle 010a TBitmap.MaskHandleNeeded 0111 TBitmap.GetCanvas 014b CreateCompatibleDC 0150 GDICheck 0160 SelectObject 019f TransparentStretchBlt 01ce DeleteDC 01d4 @HandleFinally 022c AlphaBlend"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F9 89 55 FC 8B D8 8B 73 28 0F B6 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 2C 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 F8 C6 45 F7 00 8B 46 10 85 C0 74 22 6A FF 50 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? C6 45 F7 01 6A 0C 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 50 6A 0E 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 8B D0 58 F7 EA 83 F8 08 7F 0F 0F B7 56 2A 0F B7 4E 28 0F AF D1 3B C2 7C 04 33 C0 EB 02 B0 01 84 C0 74 38 8D 45 EC 50 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 6A 04 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 F0 50 8B 45 EC 50 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? EB 1B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 6A 03 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 2C 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 08 FF 51 2C 8B C3 8B 10 FF 52 2C 84 C0 0F 84 AA 00 00 00 33 C0 89 45 E4 33 C0 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8B 46 0C 50 8B 45 E8 50 E8 ?? ?? ?? ?? 89 45 E4 8B 47 08 2B 07 50 8B 47 0C 2B 47 04 50 8B C3 E8 ?? ?? ?? ?? 8B 40 38 50 6A 00 6A 00 8B 46 1C 50 8B 46 20 50 8B 45 E8 50 6A 00 6A 00 8B 4F 04 8B 17 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0D 8B 45 E4 50 8B 45 E8 50 E8 ?? ?? ?? ?? 83 7D E8 00 74 09 8B 45 E8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 66 83 7E 3E 20 75 51 C6 45 E0 00 C6 45 E1 00 0F B6 45 08 88 45 E2 C6 45 E3 01 FF 75 E0 8B 46 20 50 8B 46 1C 50 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B 40 38 50 8B 47 0C 2B 47 04 50 8B 47 08 2B 07 50 8B 47 04 50 8B 07 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 4F C6 45 E0 00 C6 45 E1 00 0F B6 45 08 88 45 E2 C6 45 E3 00 FF 75 E0 8B 46 20 50 8B 46 1C 50 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B 40 38 50 8B 47 0C 2B 47 04 50 8B 47 08 2B 07 50 8B 47 04 50 8B 07 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F7 00 74 12 6A FF 8B 45 F8 50 8B 45 FC 8B 40 38 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 00 0F 00 00 00 }
	condition:
		$1
}

rule function_80515_0 {
	meta:
		name = "TBitmap.FreeImage"
		size = 99
		refs = "0010 TBitmap.HandleNeeded 002d TBitmap.CopyImage 0049 DeleteObject 0052 GDIError"
	strings:
		$1 = { 53 56 8B F0 8B 5E 28 83 7B 04 01 7E 27 8B C6 E8 ?? ?? ?? ?? 80 7B 70 00 74 04 33 C0 EB 03 8B 43 10 8D 53 18 52 8B C8 8B 53 08 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B 43 08 85 C0 74 25 3B 43 14 74 20 8B 73 14 85 F6 74 0F 56 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 33 C0 89 43 14 33 C0 89 43 2C 5E 5B C3 }
	condition:
		$1
}

rule function_80516_0 {
	meta:
		name = "TBitmap.GetEmpty"
		size = 27
	strings:
		$1 = { 8B 40 28 83 78 08 00 75 0C 83 78 14 00 75 06 83 78 6C 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_80517_0 {
	meta:
		name = "TBitmap.GetCanvas"
		size = 69
		refs = "000d TBitmap.HandleNeeded 001c _DV_TBitmapCanvas 0021 TBitmapCanvas.Create 003b TBitmap.Changing"
	strings:
		$1 = { 53 56 8B D8 83 7B 2C 00 75 35 8B C3 E8 ?? ?? ?? ?? 83 7B 2C 00 75 28 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 2C 89 5E 0C 8B 03 8B 40 10 89 46 08 89 5E 14 C7 46 10 ?? ?? ?? ?? 8B 43 2C 5E 5B C3 }
	condition:
		$1
}

rule function_80518_0 {
	meta:
		name = "TBitmap.GetHandle"
		size = 34
		refs = "0006 TBitmap.FreeContext 000d TBitmap.HandleNeeded 0016 TBitmap.Changing"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 43 28 8B 40 08 5B C3 }
	condition:
		$1
}

rule function_80520_0 {
	meta:
		name = "TBitmap.GetHandleType"
		size = 41
	strings:
		$1 = { 8B 40 28 8B 50 08 85 D2 74 05 3B 50 14 75 17 83 78 14 00 75 0E 83 78 30 00 75 04 B0 01 EB 09 33 C0 EB 05 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_80521_0 {
	meta:
		name = "TBitmap.GetHeight"
		size = 14
	strings:
		$1 = { 8B C8 8B 41 28 8B 40 20 99 33 C2 2B C2 C3 }
	condition:
		$1
}

rule function_80522_0 {
	meta:
		name = "TBitmap.GetMaskHandle"
		size = 18
		refs = "0006 TBitmap.MaskHandleNeeded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 28 8B 40 0C 5B C3 }
	condition:
		$1
}

rule function_80523_0 {
	meta:
		name = "TBitmap.GetMonochrome"
		size = 26
	strings:
		$1 = { 8B 40 28 83 C0 18 66 83 78 10 01 75 07 66 83 78 12 01 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_80524_0 {
	meta:
		name = "TBitmap.GetPalette"
		size = 18
		refs = "0006 TBitmap.PaletteNeeded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 28 8B 40 10 5B C3 }
	condition:
		$1
}

rule function_80525_0 {
	meta:
		name = "TBitmap.GetPixelFormat"
		size = 129
		refs = "0009 TBitmap.GetHandleType"
	strings:
		$1 = { 53 56 8B F0 B3 08 8B C6 E8 ?? ?? ?? ?? 3C 01 75 04 33 DB EB 67 8B 46 28 8D 50 18 8D 42 18 0F B7 48 0E 83 F9 10 7F 11 74 27 49 74 18 83 E9 03 74 17 83 E9 04 74 16 EB 44 83 E9 18 74 33 83 E9 08 74 32 EB 38 B3 01 EB 34 B3 02 EB 30 B3 03 EB 2C 8B 40 10 83 E8 01 72 07 83 E8 02 74 06 EB 1D B3 04 EB 19 81 7A 44 E0 07 00 00 75 10 B3 05 EB 0C B3 06 EB 08 83 78 10 00 75 02 B3 07 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_80526_0 {
	meta:
		name = "TBitmap.GetScanline"
		size = 98
		refs = "000d TBitmap.Changing 0026 SScanLine 002b InvalidOperation 0032 TBitmap.DIBNeeded 0037 GdiFlush 0054 BytesPerScanline"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 43 28 83 C0 18 8B E8 8D 70 18 85 FF 7C 05 3B 7D 08 7C 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 08 85 C0 7E 05 2B C7 48 8B F8 0F B7 56 0E B9 20 00 00 00 8B 46 04 E8 ?? ?? ?? ?? F7 EF 03 45 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80527_0 {
	meta:
		name = "TBitmap.GetSupportsPartialTransparency"
		size = 25
	strings:
		$1 = { 8B 50 28 66 83 7A 3E 20 75 09 0F B6 40 39 48 2C 02 72 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_80528_0 {
	meta:
		name = "TBitmap.PreMultiplyAlpha"
		size = 162
		refs = "001f TBitmap.HandleNeeded 0030 TBitmap.CopyImage 0056 MulDiv"
	strings:
		$1 = { 53 56 57 55 8B F0 8B 46 28 66 83 78 3E 20 0F 85 89 00 00 00 83 78 04 01 7E 1A 8B D8 8B C6 E8 ?? ?? ?? ?? 8D 43 18 50 8B 4B 10 8B 53 08 8B C6 E8 ?? ?? ?? ?? 8B 46 28 8B 40 2C 85 C0 74 5F 8B D8 EB 4B 8D 43 03 0F B6 38 68 FF 00 00 00 0F B7 EF 55 0F B6 03 50 E8 ?? ?? ?? ?? 88 03 68 FF 00 00 00 55 8D 43 01 0F B6 00 50 E8 ?? ?? ?? ?? 8D 53 01 88 02 68 FF 00 00 00 55 8D 43 02 0F B6 00 50 E8 ?? ?? ?? ?? 8D 53 02 88 02 83 C3 04 8B 46 28 8B 40 2C 8B 56 28 03 42 44 3B C3 77 A5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80529_0 {
	meta:
		name = "TBitmap.UnPreMultiplyAlpha"
		size = 190
		refs = "001f TBitmap.HandleNeeded 0030 TBitmap.CopyImage 006f MulDiv"
	strings:
		$1 = { 53 56 57 55 8B F0 8B 46 28 66 83 78 3E 20 0F 85 A5 00 00 00 83 78 04 01 7E 1A 8B D8 8B C6 E8 ?? ?? ?? ?? 8D 43 18 50 8B 4B 10 8B 53 08 8B C6 E8 ?? ?? ?? ?? 8B 46 28 8B 40 2C 85 C0 74 7B 8B D8 EB 6A 8D 43 03 80 38 00 75 11 C6 03 00 8D 43 01 C6 00 00 8D 43 02 C6 00 00 EB 4E 8D 43 03 0F B6 38 0F B7 C7 50 68 FF 00 00 00 0F B6 03 50 E8 ?? ?? ?? ?? 88 03 0F B7 C7 50 68 FF 00 00 00 8D 43 01 0F B6 00 50 E8 ?? ?? ?? ?? 8D 53 01 88 02 0F B7 C7 50 68 FF 00 00 00 8D 43 02 0F B6 00 50 E8 ?? ?? ?? ?? 8D 53 02 88 02 83 C3 04 8B 6E 28 8B 45 2C 03 45 44 3B C3 77 89 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80530_0 {
	meta:
		name = "TBitmap.SetAlphaFormat"
		size = 89
		refs = "001a TBitmap.HandleNeeded 002b TBitmap.CopyImage 0038 TBitmap.PreMultiplyAlpha 0045 TBitmap.UnPreMultiplyAlpha"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 5E 39 74 49 8B 46 28 83 78 04 01 7E 1A 8B F8 8B C6 E8 ?? ?? ?? ?? 8D 47 18 50 8B 4F 10 8B 57 08 8B C6 E8 ?? ?? ?? ?? 80 7E 39 00 75 09 8B C6 E8 ?? ?? ?? ?? EB 0B 84 DB 75 07 8B C6 E8 ?? ?? ?? ?? 88 5E 39 8B D6 8B C6 8B 08 FF 51 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80531_0 {
	meta:
		name = "TBitmap.GetTransparentColor"
		size = 69
		refs = "0010 TBitmap.GetMonochrome 002b TBitmap.GetCanvas 003a ColorToRGB"
	strings:
		$1 = { 53 8B D8 8B 43 34 3D 00 00 00 20 75 2C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 B8 FF FF FF 00 EB 1F 8B C3 8B 10 FF 52 24 48 50 8B C3 E8 ?? ?? ?? ?? 33 D2 59 8B 18 FF 53 18 EB 05 E8 ?? ?? ?? ?? 0D 00 00 00 02 5B C3 }
	condition:
		$1
}

rule function_80532_0 {
	meta:
		name = "TBitmap.GetWidth"
		size = 7
	strings:
		$1 = { 8B 40 28 8B 40 1C C3 }
	condition:
		$1
}

rule function_80533_0 {
	meta:
		name = "TBitmap.DIBNeeded"
		size = 115
		refs = "0012 TBitmap.PaletteNeeded 0027 GetObject 0069 CopyBitmap"
	strings:
		$1 = { 53 56 8B 58 28 83 7B 08 00 74 65 83 7B 14 00 75 5F E8 ?? ?? ?? ?? 83 7B 30 00 75 3C 8D 43 18 50 6A 54 8B 43 08 50 E8 ?? ?? ?? ?? 8D 43 18 8B D0 83 C0 18 C7 00 28 00 00 00 8B 4A 04 89 48 04 8B 4A 08 89 48 08 66 C7 40 0C 01 00 0F B7 4A 10 66 0F AF 4A 12 66 89 48 0E 8D 43 18 50 6A 00 8B 73 10 8B CE 8B D6 8B 43 08 E8 ?? ?? ?? ?? 89 43 14 5E 5B C3 }
	condition:
		$1
}

rule function_80534_0 {
	meta:
		name = "TBitmap.FreeContext"
		size = 15
		refs = "000a TBitmapCanvas.FreeContext"
	strings:
		$1 = { 8B 50 2C 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80535_0 {
	meta:
		name = "TBitmap.HandleNeeded"
		size = 160
		refs = "0029 TStream.SetPosition 0040 TBitmap.HandleNeeded 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC 8B 40 28 83 78 08 00 75 75 83 78 14 00 75 6F 83 78 6C 00 74 69 6A 00 6A 00 8B 40 6C E8 ?? ?? ?? ?? 8B 45 FC 8B 50 10 89 55 F0 8B 50 14 89 55 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 33 D2 89 50 10 89 50 14 8B 45 FC 8B 40 28 8B 50 6C 8B 45 FC 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F0 89 50 10 8B 55 F4 89 50 14 C3 E9 ?? ?? ?? ?? EB E9 8B 45 FC 8B 40 28 83 78 08 00 75 06 8B 50 14 89 50 08 8B E5 5D C3 }
	condition:
		$1
}

rule function_80536_0 {
	meta:
		name = "TBitmap.Mask"
		size = 225
		refs = "001b TBitmap.Mask 0028 TBitmap.FreeContext 002f TBitmap.HandleNeeded 0036 ColorToRGB 0046 CopyBitmapAsMask 0058 @FillChar 0067 GetObject 0073 SystemPalette16 007f CopyPalette 009d TBitmap.NewImage 00ac @HandleAnyException 00b4 InternalDeletePalette 00c3 DeleteObject 00c8 @RaiseAgain 00cd @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 8B FA 8B D8 33 C0 89 45 FC 33 C0 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 73 28 8B 56 10 8B 46 08 E8 ?? ?? ?? ?? 89 45 FC 8D 45 A4 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 50 6A 54 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 43 28 8B 40 10 3B 05 ?? ?? ?? ?? 75 05 89 45 F8 EB 08 E8 ?? ?? ?? ?? 89 45 F8 8D 45 A4 50 8B 43 28 0F B6 40 71 50 6A 00 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 7D FC 00 74 09 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80537_0 {
	meta:
		name = "TBitmap.MaskHandleNeeded"
		size = 96
		refs = "001b DeselectBitmap 0024 DeleteObject 0030 TBitmap.FreeContext 0037 TBitmap.HandleNeeded 0041 TBitmap.GetTransparentColor 004e CopyBitmapAsMask"
	strings:
		$1 = { 53 56 8B D8 80 7B 32 00 74 06 80 7B 31 00 75 4D 8B 73 28 8B 46 0C 85 C0 74 13 E8 ?? ?? ?? ?? 8B 46 0C 50 E8 ?? ?? ?? ?? 33 C0 89 46 0C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 73 28 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 56 10 8B 46 08 E8 ?? ?? ?? ?? 89 46 0C C6 43 32 01 C6 43 31 01 5E 5B C3 }
	condition:
		$1
}

rule function_80538_0 {
	meta:
		name = "TBitmap.PaletteNeeded"
		size = 184
		refs = "0030 DeselectBitmap 0047 PaletteFromDIBColorTable 0057 GetDC 005c GDICheck 006c GetDeviceCaps 009a CreateHalftonePalette 00a5 ReleaseDC"
	strings:
		$1 = { 53 56 57 55 8B F8 8B 6F 28 80 7F 30 00 0F 85 A0 00 00 00 83 7D 10 00 0F 85 96 00 00 00 83 7D 14 00 0F 84 8C 00 00 00 8B 45 14 3B 45 08 75 05 E8 ?? ?? ?? ?? 0F B7 4D 3E B8 01 00 00 00 D3 E0 8B C8 33 D2 8B 45 14 E8 ?? ?? ?? ?? 8B F0 89 75 10 85 F6 75 5F 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 80 7D 70 00 75 27 6A 0C 56 E8 ?? ?? ?? ?? 8B D8 6A 0E 56 E8 ?? ?? ?? ?? 0F AF D8 0F B7 45 2A 0F B7 55 28 F7 EA 3B D8 7C 04 33 DB EB 02 B3 01 88 5D 70 84 DB 74 09 56 E8 ?? ?? ?? ?? 89 45 10 56 6A 00 E8 ?? ?? ?? ?? 83 7D 10 00 75 04 C6 47 30 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80539_0 {
	meta:
		name = "TBitmap.LoadFromClipboardFormat"
		size = 132
		refs = "0017 SUnknownClipboardFormat 001c InvalidGraphic 0023 TBitmap.FreeContext 0032 @FillChar 003e GetObject 0059 TBitmap.CopyImage"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 8B D9 8B F0 66 83 FA 02 75 04 85 DB 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 45 AC 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC 50 6A 54 53 E8 ?? ?? ?? ?? 83 7D C0 00 75 05 33 C0 89 45 C4 8D 45 AC 50 8B 4D 08 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 46 28 C6 40 71 00 8B C6 8B 10 FF 52 28 85 C0 0F 95 C0 88 46 22 8B D6 8B C6 8B 08 FF 51 10 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80540_0 {
	meta:
		name = "TBitmap.LoadFromResourceName"
		size = 110
		refs = "0010 TBitmap.FreeContext 001c _Dn_TResourceStream 0021 TResourceStream.Create 002c TBitmap.LoadFromResourceName 0047 TBitmap.ReadDIB 005c TObject.Free 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 57 6A 02 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 FC 8B 10 FF 12 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80541_0 {
	meta:
		name = "TBitmap.LoadFromResourceID"
		size = 110
		refs = "0010 TBitmap.FreeContext 001c _Dn_TResourceStream 0021 TResourceStream.CreateFromID 002c TBitmap.LoadFromResourceID 0047 TBitmap.ReadDIB 005c TObject.Free 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 57 6A 02 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 FC 8B 10 FF 12 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80542_0 {
	meta:
		name = "TBitmap.LoadFromStream"
		size = 35
		refs = "0010 TStream.GetPosition 001c TBitmap.ReadStream"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 10 FF 12 50 8B C3 E8 ?? ?? ?? ?? 59 2B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80543_0 {
	meta:
		name = "TBitmap.NewImage"
		size = 253
		refs = "0013 _DV_TBitmapImage 0018 TObject.Create 0023 TBitmap.NewImage 006f _Dn_TMemoryStream 0074 @AsClass 0089 @HandleAnyException 0091 TObject.Free 0096 @RaiseAgain 009b @DoneExcept 00a0 BitmapImageLock 00a5 EnterCriticalSection 00be TSharedImage.Release 00e1 LeaveCriticalSection 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B DA 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 58 08 8B 45 F8 89 70 10 8B 45 10 8B 55 F8 8B F0 8D 7A 18 B9 15 00 00 00 F3 A5 8B 45 F8 0F B6 55 0C 88 50 71 8B 45 F8 83 78 2C 00 74 0C 8B 45 F8 8B 40 08 8B 55 F8 89 42 14 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 6C 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 89 42 28 FF 40 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC C6 40 32 00 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_80544_0 {
	meta:
		name = "TBitmap.ReadData"
		size = 39
		refs = "001e TBitmap.ReadStream"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B D4 B9 04 00 00 00 8B C6 8B 38 FF 57 0C 8B 0C 24 8B D6 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80545_0 {
	meta:
		name = "TBitmap.ReadDIB"
		size = 1421
		refs = "0054 @GetMem 0065 TBitmap.ReadDIB 00a3 @FillChar 0102 _Dn_TMemoryStream 0107 TObject.Create 0184 TStream.CopyFrom 01b7 InvalidBitmap 01e3 TStream.ReadBuffer 01f9 GetDInColors 020a DIBPalSizes 0243 BytesPerScanline 026a RGBTripleToQuad 0271 GetDC 0276 GDICheck 029c DDBsOnly 02d6 CreateCompatibleDC 02eb CreateCompatibleBitmap 02f5 SelectObject 0313 PaletteFromDIBColorTable 0325 SelectPalette 0331 RealizePalette 0355 CreateDIBitmap 0363 GetLastError 0373 RaiseLastOSError 03a8 DeleteObject 03ae @HandleFinally 03cc DeleteDC 03d4 @FreeMem 03f3 CreateDIBSection 0441 @HandleAnyException 044f @RaiseAgain 0454 @DoneExcept 046c ReleaseDC 04c4 GetObject 04ff TObject.Free 0544 TBitmap.NewImage 0562 TBitmap.PreMultiplyAlpha"
	strings:
		$1 = { 55 8B EC 81 C4 54 FF FF FF 53 56 57 8B F1 89 55 F8 89 45 FC 33 C0 89 45 D0 33 C0 89 45 D8 33 C0 89 45 C8 8D 55 E0 B9 04 00 00 00 8B 45 F8 8B 18 FF 53 0C 83 7D E0 0C 0F 94 45 DF 80 7D DF 00 74 07 C7 45 E0 28 00 00 00 8B 45 E0 83 C0 0C 05 00 04 00 00 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 89 45 C4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 7D DF 00 74 4C 8D 55 B8 83 C2 04 B9 08 00 00 00 8B 45 F8 8B 18 FF 53 0C 8B 5D C4 8B C3 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? 8B C3 0F B7 55 BC 89 50 04 0F B7 55 BE 89 50 08 0F B7 55 C0 66 89 50 0C 0F B7 55 C2 66 89 50 0E 83 EE 0C E9 CF 00 00 00 8B 4D E0 83 E9 04 8B 55 E8 83 C2 04 8B 45 F8 8B 18 FF 53 0C 8B 45 E0 2B F0 8B 45 C4 8B 40 10 83 F8 03 0F 84 A7 00 00 00 85 C0 0F 84 9F 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 83 7D 08 00 75 2F 8D 85 56 FF FF FF 33 C9 BA 0E 00 00 00 E8 ?? ?? ?? ?? 66 C7 85 56 FF FF FF 42 4D 8B C6 03 45 E0 89 85 58 FF FF FF 8D 85 56 FF FF FF 89 45 08 8B 55 08 B9 0E 00 00 00 8B 45 C8 8B 18 FF 53 10 8D 55 E0 B9 04 00 00 00 8B 45 C8 8B 18 FF 53 10 8B 4D E0 83 E9 04 8B 55 E8 83 C2 04 8B 45 C8 8B 18 FF 53 10 8B C6 33 D2 52 50 8B 55 F8 8B 45 C8 E8 ?? ?? ?? ?? 8B D6 F7 DA 66 B9 02 00 8B 45 C8 8B 18 FF 53 14 8B 45 C8 89 45 F8 8B 5D C4 8B 45 E0 89 03 8B 45 E8 03 45 E0 89 45 E4 66 83 7B 0C 01 74 05 E8 ?? ?? ?? ?? 83 7D E0 28 75 2D 0F B7 43 0E 66 83 F8 10 74 06 66 83 F8 20 75 1D 83 7B 10 03 75 17 8B 55 E4 B9 0C 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 83 45 E4 0C 83 EE 0C 83 7B 20 00 75 0C 0F B7 43 0E E8 ?? ?? ?? ?? 89 43 20 8B 4B 20 0F B6 7D DF 0F B6 87 ?? ?? ?? ?? 0F AF C8 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 43 20 0F B6 97 ?? ?? ?? ?? F7 EA 2B F0 83 7B 14 00 74 06 83 7B 10 00 75 21 0F B7 53 0E 8B 43 04 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B 43 08 99 33 C2 2B C2 0F AF C8 89 4B 14 8B 43 14 3B F0 76 02 8B F0 80 7D DF 00 74 08 8B 45 E4 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 C4 8B 40 10 85 C0 74 05 83 F8 03 75 0D 80 3D ?? ?? ?? ?? 00 0F 84 39 01 00 00 33 C0 89 45 F0 8B C6 E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 EC 8B CE 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 01 6A 01 8B 45 F4 50 E8 ?? ?? ?? ?? 50 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 D4 33 C0 89 45 CC 8B 45 C4 8B 40 20 85 C0 76 2A 8B C8 8B 55 E4 33 C0 E8 ?? ?? ?? ?? 89 45 D0 6A 00 8B 45 D0 50 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 CC 8B 45 F0 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 45 E8 50 8B 55 EC 52 6A 04 50 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 00 75 15 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D CC 00 74 0F 6A FF 8B 45 CC 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 45 F0 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 09 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 6A 00 6A 00 8D 45 EC 50 6A 00 8B 45 E8 50 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 00 74 06 83 7D EC 00 75 15 E8 ?? ?? ?? ?? 85 C0 75 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 EC 8B CE 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 D8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 C4 66 83 78 0E 08 76 22 8B 45 C4 83 78 20 00 76 19 83 7D D0 00 75 13 8B 45 C4 8B 48 20 8B 55 E4 33 C0 E8 ?? ?? ?? ?? 89 45 D0 8D 85 64 FF FF FF 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8D 85 64 FF FF FF 50 6A 54 8B 45 D8 50 E8 ?? ?? ?? ?? 8B 45 C4 8B 40 18 89 45 94 8B 45 C4 8B 40 1C 89 45 98 8B 45 C4 8B 40 20 89 45 9C 8B 45 C4 8B 40 24 89 45 A0 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 85 64 FF FF FF 50 0F B6 45 DF 50 8B 45 C8 50 8B 4D D0 8B 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 66 83 78 3E 20 75 11 8B 45 FC 80 78 39 01 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 28 85 C0 0F 95 C0 8B 55 FC 88 42 22 8B 55 FC 8B 45 FC 8B 08 FF 51 10 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80546_0 {
	meta:
		name = "TBitmap.ReadStream"
		size = 110
		refs = "000f TBitmap.FreeContext 0023 @FillChar 0037 TBitmap.NewImage 0047 TStream.ReadBuffer 0054 InvalidBitmap 0063 TBitmap.ReadDIB"
	strings:
		$1 = { 53 56 57 83 C4 9C 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 85 F6 75 26 8D 44 24 10 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8D 44 24 10 50 6A 00 6A 00 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? EB 2A 8B D4 B9 0E 00 00 00 8B C7 E8 ?? ?? ?? ?? 66 81 3C 24 42 4D 74 05 E8 ?? ?? ?? ?? 54 8B CE 83 E9 0E 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 64 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80547_0 {
	meta:
		name = "TBitmap.SetHandle"
		size = 194
		refs = "001c TBitmap.FreeContext 002b @FillChar 003b GetObject 0057 SystemPalette16 0068 CopyPalette 0073 TBitmap.SetHandle 008d TBitmap.NewImage 009c @HandleAnyException 00a4 InternalDeletePalette 00a9 @RaiseAgain 00ae @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 8B FA 8B D8 8B 73 28 3B 7E 08 0F 84 A2 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 A8 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 85 FF 74 0C 8D 45 A8 50 6A 54 57 E8 ?? ?? ?? ?? 83 7E 04 01 75 0D 8B 46 10 89 45 FC 33 C0 89 46 10 EB 1D 8B 46 10 3B 05 ?? ?? ?? ?? 75 0A A1 ?? ?? ?? ?? 89 45 FC EB 08 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 A8 50 6A 00 6A 00 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80548_0 {
	meta:
		name = "TBitmap.SetHandleType"
		size = 314
		refs = "000e TBitmap.GetHandleType 005b TBitmap.FreeContext 0062 TBitmap.PaletteNeeded 0069 TBitmap.DIBNeeded 0095 TBitmap.NewImage 00ab TBitmap.CopyImage 00f7 CopyPalette 0109 CopyBitmap"
	strings:
		$1 = { 53 56 57 55 83 C4 AC 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 0F 84 18 01 00 00 8B 7E 28 83 7F 08 00 75 21 83 7F 14 00 75 1B 80 FB 01 75 0A 33 C0 89 47 30 E9 FA 00 00 00 C7 47 30 28 00 00 00 E9 EE 00 00 00 84 DB 75 69 8B 47 14 85 C0 74 09 3B 47 08 0F 84 DA 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7F 04 01 75 2B 8B 47 14 33 D2 89 57 14 8B 6F 10 33 D2 89 57 10 8D 57 18 52 0F B6 57 71 52 6A 00 8B CD 8B D0 8B C6 E8 ?? ?? ?? ?? E9 8B 00 00 00 8D 47 18 50 8B 4F 10 8B 57 14 8B C6 E8 ?? ?? ?? ?? EB 78 8B 47 08 85 C0 74 05 3B 47 14 75 75 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 56 57 8D 77 18 8D 7C 24 08 B9 15 00 00 00 F3 A5 5F 5E 33 C0 89 44 24 18 83 7F 04 01 0F 94 C3 84 DB 74 05 8B 6F 10 EB 0A 8B 47 10 E8 ?? ?? ?? ?? 8B E8 54 6A 00 8B CD 8B 57 10 8B 47 14 E8 ?? ?? ?? ?? 84 DB 74 05 89 47 08 EB 13 54 0F B6 57 71 52 6A 00 8B CD 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C6 8B 08 FF 51 10 83 C4 54 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80549_0 {
	meta:
		name = "TBitmap.SetHeight"
		size = 16
	strings:
		$1 = { 53 8B 48 28 8B 49 1C 87 CA 8B 18 FF 53 6C 5B C3 }
	condition:
		$1
}

rule function_80550_0 {
	meta:
		name = "TBitmap.SetMaskHandle"
		size = 20
	strings:
		$1 = { 8B 48 28 3B 51 0C 74 0B 89 51 0C C6 40 32 01 C6 40 31 01 C3 }
	condition:
		$1
}

rule function_80551_0 {
	meta:
		name = "TBitmap.SetMonochrome"
		size = 124
		refs = "002b TBitmap.HandleNeeded 0068 TBitmap.CopyImage"
	strings:
		$1 = { 53 56 57 83 C4 AC 8B DA 8B F8 8B 77 28 8D 46 30 66 83 78 0C 01 75 07 66 83 78 0E 01 74 04 33 C0 EB 02 B0 01 3A D8 74 4D 8B C7 E8 ?? ?? ?? ?? 56 57 83 C6 18 8D 7C 24 08 B9 15 00 00 00 F3 A5 5F 5E 33 C0 89 44 24 18 0F B6 C3 66 89 44 24 24 66 89 44 24 26 66 89 44 24 10 66 89 44 24 12 54 8B 4E 10 8B 56 08 8B C7 E8 ?? ?? ?? ?? 8B D7 8B C7 8B 08 FF 51 10 83 C4 54 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80552_0 {
	meta:
		name = "TBitmap.SetPalette"
		size = 212
		refs = "0029 InternalDeletePalette 0037 TBitmap.FreeContext 003e TBitmap.HandleNeeded 0062 CopyBitmap 006d TBitmap.SetPalette 008a TBitmap.NewImage 0099 @HandleAnyException 00a2 DeleteObject 00a7 @RaiseAgain 00ac @DoneExcept 00bc UpdateDIBColorTable"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 8B FA 8B D8 8B 43 28 3B 78 10 0F 84 B4 00 00 00 8B F0 85 FF 75 15 83 7E 04 01 75 0F 8B 46 10 E8 ?? ?? ?? ?? 33 C0 89 46 10 EB 7C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 57 83 C6 18 8D 7D A8 B9 15 00 00 00 F3 A5 5F 5E 8D 45 A8 50 6A 00 8B 56 10 8B 46 08 8B CF E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 A8 50 0F B6 46 71 50 6A 00 8B CF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 28 8D 48 18 8B 40 14 8B D7 E8 ?? ?? ?? ?? C6 43 22 01 8B D3 8B C3 8B 08 FF 51 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80553_0 {
	meta:
		name = "TBitmap.SetPixelFormat"
		size = 357
		refs = "0012 TBitmap.GetPixelFormat 003a SInvalidPixelFormat 003f InvalidGraphic 0053 @FillChar 0092 BitCounts 00b1 SystemPalette16 00bd GetDC 00c2 GDICheck 00ca CreateHalftonePalette 00d9 ReleaseDC 00ff TBitmap.SetPixelFormat 011e TBitmap.CopyImage 0147 DeleteObject 014d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 3A D8 0F 84 40 01 00 00 8B C3 2C 01 72 06 2C 07 74 11 EB 1E B2 01 8B 45 FC 8B 08 FF 51 78 E9 25 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 16 01 00 00 8D 45 A0 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 8D 70 18 8D 7D A0 B9 06 00 00 00 F3 A5 C6 45 F7 00 33 D2 89 55 B4 C7 45 B8 28 00 00 00 8B 55 A4 89 55 BC 8B 55 A8 89 55 C0 66 C7 45 C4 01 00 0F B6 D3 0F B6 92 ?? ?? ?? ?? 66 89 55 C6 8B 40 10 89 45 F8 80 EB 02 74 0B FE CB 74 11 80 EB 02 74 31 EB 4B A1 ?? ?? ?? ?? 89 45 F8 EB 41 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 53 E8 ?? ?? ?? ?? 89 45 F8 C6 45 F7 01 53 6A 00 E8 ?? ?? ?? ?? EB 1C C7 45 C8 03 00 00 00 C7 45 E0 00 F8 00 00 C7 45 E4 E0 07 00 00 C7 45 E8 1F 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 A0 50 8B 45 FC 8B 10 FF 52 70 8B D0 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 0F 95 C0 8B 55 FC 88 42 22 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F7 00 74 09 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 8B 55 FC 8B 45 FC 8B 08 FF 51 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80554_0 {
	meta:
		name = "TBitmap.SetTransparentColor"
		size = 77
		refs = "002c TBitmap.HandleNeeded 003d TBitmap.CopyImage"
	strings:
		$1 = { 53 56 8B F0 3B 56 34 74 41 81 FA 00 00 00 20 75 06 C6 46 38 00 EB 04 C6 46 38 01 89 56 34 8B 46 28 83 78 04 01 7E 1A 8B D8 8B C6 E8 ?? ?? ?? ?? 8D 43 18 50 8B 4B 10 8B 53 08 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_80555_0 {
	meta:
		name = "TBitmap.SetTransparentMode"
		size = 44
		refs = "0014 TBitmap.SetTransparentColor 001d TBitmap.GetTransparentColor"
	strings:
		$1 = { 53 8B D8 3A 53 38 74 22 84 D2 75 0E BA 00 00 00 20 8B C3 E8 ?? ?? ?? ?? EB 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80556_0 {
	meta:
		name = "TBitmap.SetWidth"
		size = 14
	strings:
		$1 = { 53 8B 48 28 8B 49 20 8B 18 FF 53 6C 5B C3 }
	condition:
		$1
}

rule function_80558_0 {
	meta:
		name = "TBitmap.WriteStream"
		size = 732
		refs = "001c @FillChar 0048 TStream.WriteBuffer 006c TBitmap.DIBNeeded 0083 TBitmap.UnPreMultiplyAlpha 00a7 InternalGetDIBSizes 00fe TBitmap.GetCanvas 0105 TBitmap.WriteStream 011a SelectObject 011f GDICheck 013b GetDIBColorTable 0193 PaletteToDIBColorTable 01e3 FixupBitFields 0211 RGBQuadToTriple 02ac PalSize"
	strings:
		$1 = { 53 56 57 55 81 C4 D4 FB FF FF 8B D9 8B FA 8B F0 8D 44 24 10 33 C9 BA 0E 00 00 00 E8 ?? ?? ?? ?? 66 C7 44 24 10 42 4D 8B 46 28 8B 68 6C 85 ED 74 38 8B C5 8B 10 FF 12 89 04 24 84 DB 74 0E 8B D4 B9 04 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 46 28 8B 58 6C 8B C3 8B 10 FF 12 8B C8 8B 53 04 8B C7 8B 18 FF 53 10 E9 64 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 46 28 66 83 78 3E 20 75 0D 80 7E 39 01 75 07 8B C6 E8 ?? ?? ?? ?? 8B 6E 28 33 C0 89 04 24 8B 45 14 85 C0 0F 84 29 01 00 00 8B 55 50 52 8D 4C 24 04 8D 54 24 0C E8 ?? ?? ?? ?? 80 7D 71 00 74 22 C7 44 24 08 0C 00 00 00 0F B7 45 3E 66 83 F8 08 77 10 8B C8 B8 01 00 00 00 D3 E0 8D 04 40 01 44 24 08 8B 44 24 08 83 C0 0E 01 04 24 8D 44 24 10 33 C9 BA 0E 00 00 00 E8 ?? ?? ?? ?? 66 C7 44 24 10 42 4D 66 83 7D 3E 08 77 5B 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 08 FF 51 2C 8B 45 14 50 8B 46 2C 8B 40 38 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 0C 8D 44 24 2C 50 68 00 01 00 00 6A 00 8B 46 2C 8B 40 38 50 E8 ?? ?? ?? ?? 89 44 24 04 8B 44 24 0C 50 8B 46 2C 8B 40 38 50 E8 ?? ?? ?? ?? EB 06 33 C0 89 44 24 04 8B 45 50 85 C0 76 0A 3B 44 24 04 73 04 89 44 24 04 80 7D 71 00 75 3E 83 7C 24 04 00 75 37 83 7D 10 00 74 31 80 7D 70 00 75 2B 8D 54 24 2C B9 FF 00 00 00 8B 45 10 E8 ?? ?? ?? ?? 89 44 24 04 66 83 7D 3E 08 76 0F 8B 44 24 04 03 C0 03 C0 01 04 24 01 44 24 08 8B 04 24 89 44 24 12 8B 44 24 08 83 C0 0E 89 44 24 1A 84 DB 74 0E 8B D4 B9 04 00 00 00 8B C7 E8 ?? ?? ?? ?? 83 3C 24 00 0F 84 EE 00 00 00 8D 45 18 E8 ?? ?? ?? ?? 83 7C 24 04 00 74 27 8B 45 50 85 C0 74 06 3B 44 24 04 74 07 8B 44 24 04 89 45 50 80 7D 71 00 74 0D 8D 54 24 04 8D 44 24 2C E8 ?? ?? ?? ?? 80 7D 71 00 74 4F 8D 45 30 C7 44 24 20 0C 00 00 00 0F B7 50 04 66 89 54 24 24 0F B7 50 08 66 89 54 24 26 66 C7 44 24 28 01 00 0F B7 40 0E 66 89 44 24 2A 8D 54 24 10 B9 0E 00 00 00 8B C7 E8 ?? ?? ?? ?? 8D 54 24 20 B9 0C 00 00 00 8B C7 E8 ?? ?? ?? ?? EB 3B 8D 54 24 10 B9 0E 00 00 00 8B C7 E8 ?? ?? ?? ?? 8D 55 30 B9 28 00 00 00 8B C7 E8 ?? ?? ?? ?? 66 83 7D 3E 08 76 15 F6 45 40 03 74 0F 8D 55 58 B9 0C 00 00 00 8B C7 E8 ?? ?? ?? ?? 0F B6 45 71 0F B6 88 ?? ?? ?? ?? 0F AF 4C 24 04 8D 54 24 2C 8B C7 E8 ?? ?? ?? ?? 8B 55 2C 8B 4D 44 8B C7 E8 ?? ?? ?? ?? 81 C4 2C 04 00 00 5D 5F 5E 5B C3 01 00 00 00 }
	condition:
		$1
}

rule function_80559_0 {
	meta:
		name = "TBitmap.ReleaseHandle"
		size = 51
		refs = "0006 TBitmap.HandleNeeded 000f TBitmap.Changing"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 43 28 8B 50 08 8B CA 3B 50 14 75 0A 33 D2 89 50 14 33 D2 89 50 2C 33 D2 89 50 08 8B C1 5B C3 }
	condition:
		$1
}

rule function_80560_0 {
	meta:
		name = "TBitmap.ReleaseMaskHandle"
		size = 20
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 74 8B 53 28 33 C9 89 4A 0C 5B C3 }
	condition:
		$1
}

rule function_80561_0 {
	meta:
		name = "TBitmap.ReleasePalette"
		size = 34
		refs = "0006 TBitmap.HandleNeeded 000f TBitmap.Changing"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 43 28 8B 50 10 33 C9 89 48 10 8B C2 5B C3 }
	condition:
		$1
}

rule function_80563_0 {
	meta:
		name = "TBitmap.SaveToClipboardFormat"
		size = 157
		refs = "0016 TBitmap.HandleNeeded 0049 CopyBitmap 0056 TBitmap.SaveToClipboardFormat 0067 CopyPalette 007b @HandleAnyException 0086 DeleteObject 008b @RaiseAgain 0090 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 89 4D FC 8B D8 66 C7 02 02 00 8B C3 E8 ?? ?? ?? ?? 8B 73 28 56 83 C6 18 8D 7D A8 B9 15 00 00 00 F3 A5 5E 33 C0 89 45 C0 33 C0 89 45 BC 8D 45 A8 50 8B 43 2C 50 8B 7E 10 8B CF 8B D7 8B 46 08 E8 ?? ?? ?? ?? 8B 55 FC 89 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 28 8B 40 10 E8 ?? ?? ?? ?? 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80564_0 {
	meta:
		name = "TBitmap.SetSize"
		size = 96
		refs = "000f TBitmap.HandleNeeded 004c TBitmap.CopyImage"
	strings:
		$1 = { 53 56 57 83 C4 AC 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 28 3B 70 1C 75 05 3B 78 20 74 39 56 57 8D 70 18 8D 7C 24 08 B9 15 00 00 00 F3 A5 5F 5E 89 74 24 04 89 7C 24 08 89 74 24 1C 89 7C 24 20 54 8B 48 10 8B 50 08 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 83 C4 54 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80565_0 {
	meta:
		name = "TBitmap.TransparentColorStored"
		size = 8
	strings:
		$1 = { 80 78 38 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_80567_0 {
	meta:
		name = "TIconImage.FreeHandle"
		size = 23
		refs = "000c DestroyIcon"
	strings:
		$1 = { 53 8B D8 8B 43 14 85 C0 74 06 50 E8 ?? ?? ?? ?? 33 C0 89 43 14 5B C3 }
	condition:
		$1
}

rule function_80568_0 {
	meta:
		name = "HasAlpha"
		size = 53
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 33 C9 8B 5D FC 4B 85 DB 7C 1D 43 8B 55 FC 4A 85 D2 7C 11 42 F6 40 03 FF 74 04 B1 01 EB 09 83 C0 04 4A 75 F0 4B 75 E4 8B C1 5B 59 5D C3 }
	condition:
		$1
}

rule function_80569_0 {
	meta:
		name = "TIcon.AssignTo"
		size = 703
		refs = "0011 _DV_TBitmap 0016 @IsClass 0045 TBitmap.SetPixelFormat 004f TBitmap.SetAlphaFormat 0057 TBitmap.GetCanvas 0061 TBrush.SetColor 007f Rect 00ae TIcon.GetHandle 00c0 TCanvas.GetHandle 00c6 DrawIconEx 0101 AllocMem 010c TIcon.AssignTo 0144 GetDIBits 016f HasAlpha 01a8 GetIconInfo 024a SetDIBits 0260 DeleteObject 026f @HandleFinally 0286 @FreeMem 02b4 TPersistent.AssignTo"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 8D 02 00 00 89 75 F4 8B C3 8B 10 FF 52 24 50 8B C3 8B 10 FF 52 30 8B D0 8B 45 F4 59 8B 30 FF 56 6C B2 07 8B 45 F4 E8 ?? ?? ?? ?? B2 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 50 8D 45 A0 50 8B C3 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 A0 50 8B 45 F4 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 6A 03 6A 00 6A 00 8B C3 8B 10 FF 52 24 50 8B C3 8B 10 FF 52 30 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C7 45 B0 2C 00 00 00 66 C7 45 BC 01 00 8B C3 8B 10 FF 52 30 89 45 B8 8B C3 8B 10 FF 52 24 89 45 B4 33 C0 89 45 C0 66 C7 45 BE 20 00 8B 45 B4 03 C0 03 C0 F7 6D B8 E8 ?? ?? ?? ?? 89 45 FC 33 FF 55 68 ?? ?? ?? ?? 64 FF 37 64 89 27 8B 45 F4 8B 10 FF 52 70 8B F0 6A 00 8D 45 B0 50 8B 45 FC 50 8B C3 8B 10 FF 52 24 50 6A 00 56 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 8B C3 8B 10 FF 52 24 3B F0 0F 85 39 01 00 00 8B C3 8B 10 FF 52 24 50 8B C3 8B 10 FF 52 30 8B D0 8B 45 FC 59 E8 ?? ?? ?? ?? 84 C0 0F 85 17 01 00 00 8B 45 B4 03 C0 03 C0 F7 6D B8 E8 ?? ?? ?? ?? 89 45 F8 33 F6 55 68 ?? ?? ?? ?? 64 FF 36 64 89 26 8D 45 DC 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 F6 55 68 ?? ?? ?? ?? 64 FF 36 64 89 26 6A 00 8D 45 B0 50 8B 45 F8 50 8B C3 8B 10 FF 52 24 50 6A 00 8B 45 E8 50 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 8B C3 8B 10 FF 52 24 3B F0 75 5C 8B 55 FC 8B 4D F8 8B 45 B8 48 85 C0 7C 2A 40 89 45 F0 8B 45 B4 48 85 C0 7C 19 40 83 39 00 74 06 33 F6 89 32 EB 04 C6 42 03 FF 83 C2 04 83 C1 04 48 75 E8 FF 4D F0 75 DA 6A 00 8D 45 B0 50 8B 45 FC 50 8B C3 8B 10 FF 52 24 50 6A 00 8B 45 F4 8B 10 FF 52 70 50 6A 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 50 E8 ?? ?? ?? ?? 8B 45 EC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80570_0 {
	meta:
		name = "TIcon.Create"
		size = 81
		refs = "000b @ClassCreate 0018 TGraphic.Create 0023 _DV_TIconImage 0028 TObject.Create 003d @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 21 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 28 8B C6 FF 40 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80572_0 {
	meta:
		name = "TIcon.Assign"
		size = 91
		refs = "000f _DV_TIcon 0014 @IsClass 002c TSharedImage.Release 003f TIcon.NewImage 0053 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 32 85 DB 74 18 8B FB 8B 47 28 FF 40 04 8B 46 28 E8 ?? ?? ?? ?? 8B 47 28 89 46 28 EB 0B 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C6 8B 08 FF 51 10 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80573_0 {
	meta:
		name = "TIcon.Draw"
		size = 68
		refs = "000c TIcon.Draw 0024 TIcon.GetHandle 0035 DrawIconEx"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 51 2C 6A 03 6A 00 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 8B 47 04 50 8B 07 50 8B 46 38 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_80574_0 {
	meta:
		name = "TIcon.GetEmpty"
		size = 21
	strings:
		$1 = { 8B 40 28 83 78 14 00 75 06 83 78 08 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_80575_0 {
	meta:
		name = "TIcon.GetHandle"
		size = 18
		refs = "0006 TIcon.HandleNeeded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 28 8B 40 14 5B C3 }
	condition:
		$1
}

rule function_80576_0 {
	meta:
		name = "TIcon.HandleAllocated"
		size = 19
	strings:
		$1 = { 8B 50 28 85 D2 74 06 83 7A 14 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_80577_0 {
	meta:
		name = "TIcon.GetHeight"
		size = 43
		refs = "0016 TIcon.HandleNeeded 0025 GetSystemMetrics"
	strings:
		$1 = { 53 8B D8 8B 53 28 8B 42 10 85 C0 75 1C 83 7A 08 00 74 0F 8B C3 E8 ?? ?? ?? ?? 8B 43 28 8B 40 10 EB 07 6A 0C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80578_0 {
	meta:
		name = "TIcon.GetWidth"
		size = 43
		refs = "0016 TIcon.HandleNeeded 0025 GetSystemMetrics"
	strings:
		$1 = { 53 8B D8 8B 53 28 8B 42 0C 85 C0 75 1C 83 7A 08 00 74 0F 8B C3 E8 ?? ?? ?? ?? 8B 43 28 8B 40 0C EB 07 6A 0C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80579_0 {
	meta:
		name = "TIcon.HandleNeeded"
		size = 120
		refs = "001c TStream.SetPosition 002b TStream.ReadBuffer 003f StockIcon 0060 ReadIcon 0067 InvalidIcon"
	strings:
		$1 = { 53 56 83 C4 F4 8B F0 8B 5E 28 83 7B 14 00 75 62 8B 43 08 85 C0 74 5B 6A 00 6A 00 E8 ?? ?? ?? ?? 8B D4 B9 06 00 00 00 8B 43 08 E8 ?? ?? ?? ?? 0F B7 44 24 02 66 83 E8 01 72 04 74 0D EB 28 A1 ?? ?? ?? ?? 89 44 24 08 EB 22 6A 06 8D 46 2C 50 8D 43 0C 50 0F B7 4C 24 10 8D 54 24 14 8B 43 08 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 8B 44 24 08 89 43 14 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_80580_0 {
	meta:
		name = "TIcon.ImageNeeded"
		size = 177
		refs = "001f InvalidIcon 0026 _Dn_TMemoryStream 002b TObject.Create 0036 TIcon.ImageNeeded 0043 TIcon.GetHandle 0049 StockIcon 005a @FillChar 006a TStream.WriteBuffer 007f WriteIcon 008e @HandleAnyException 0096 TObject.Free 009b @RaiseAgain 00a0 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F0 8B 5E 28 83 7B 08 00 0F 85 92 00 00 00 83 7B 14 00 75 05 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 21 8D 45 F6 33 C9 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 55 F6 B9 06 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 13 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 43 08 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80581_0 {
	meta:
		name = "TIcon.LoadFromResourceID"
		size = 29
		refs = "000c LoadIcon 0015 TIcon.SetHandle"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80582_0 {
	meta:
		name = "TIcon.LoadFromResourceName"
		size = 36
		refs = "000c @UStrToPWChar 0013 LoadIcon 001c TIcon.SetHandle"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80583_0 {
	meta:
		name = "TIcon.LoadFromStream"
		size = 181
		refs = "0010 _Dn_TMemoryStream 0015 TObject.Create 0020 TIcon.LoadFromStream 0034 TStream.GetPosition 0055 TStream.ReadBuffer 0074 InvalidIcon 0080 TIcon.NewImage 008f @HandleAnyException 0097 TObject.Free 009c @RaiseAgain 00a1 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 12 50 8B C6 E8 ?? ?? ?? ?? 5A 2B D0 8B 45 FC 8B 08 FF 51 04 8B 45 FC 8B 10 FF 12 8B C8 8B 45 FC 8B 50 04 8B C6 E8 ?? ?? ?? ?? 8D 55 F6 B9 06 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 0F B7 45 F8 66 83 E8 02 72 05 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80584_0 {
	meta:
		name = "TIcon.NewImage"
		size = 113
		refs = "0010 _DV_TIconImage 0015 TObject.Create 0020 TIcon.NewImage 0041 @HandleAnyException 0049 TObject.Free 004e @RaiseAgain 0053 @DoneExcept 0061 TSharedImage.Release"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 70 14 8B 45 FC 89 78 08 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC FF 40 04 8B 43 28 E8 ?? ?? ?? ?? 8B 45 FC 89 43 28 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80585_0 {
	meta:
		name = "TIcon.ReleaseHandle"
		size = 57
		refs = "0013 CopyIcon 001e TIcon.NewImage"
	strings:
		$1 = { 53 56 57 8B D8 8B 73 28 83 7E 04 01 7E 14 8B 46 14 50 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 7E 14 33 C0 89 46 14 8B D3 8B C3 8B 08 FF 51 10 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80586_0 {
	meta:
		name = "TIcon.SetHandle"
		size = 148
		refs = "0014 TIcon.NewImage 0022 GetIconInfo 002e TIcon.SetHandle 0043 GetObject 006f DeleteObject 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 8B DA 89 45 FC 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 85 DB 74 68 8D 45 E8 50 53 E8 ?? ?? ?? ?? 85 C0 74 5A 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 D0 50 6A 18 8B 45 F8 50 E8 ?? ?? ?? ?? 85 C0 74 12 8B 45 FC 8B 40 28 8B 55 D4 89 50 0C 8B 55 D8 89 50 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 55 FC 8B 45 FC 8B 08 FF 51 10 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80587_0 {
	meta:
		name = "TIcon.SetHeight"
		size = 24
		refs = "000e SChangeIconSize 0013 InvalidOperation"
	strings:
		$1 = { 8B 48 28 83 79 14 00 75 04 89 50 30 C3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80588_0 {
	meta:
		name = "TIcon.SetSize"
		size = 30
		refs = "0013 SChangeIconSize 0018 InvalidOperation"
	strings:
		$1 = { 53 8B 58 28 83 7B 14 00 75 08 89 50 2C 89 48 30 5B C3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80590_0 {
	meta:
		name = "TIcon.SetWidth"
		size = 24
		refs = "000e SChangeIconSize 0013 InvalidOperation"
	strings:
		$1 = { 8B 48 28 83 79 14 00 75 04 89 50 2C C3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80591_0 {
	meta:
		name = "TIcon.SaveToStream"
		size = 40
		refs = "0009 TIcon.ImageNeeded 0021 TStream.WriteBuffer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 28 8B 58 08 8B C3 8B 10 FF 12 8B C8 8B 53 04 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80592_0 {
	meta:
		name = "TIcon.LoadFromClipboardFormat"
		size = 17
		refs = "0004 SIconToClipboard 0009 InvalidOperation"
		altNames = "TIcon.SaveToClipboardFormat"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_80594_0 {
	meta:
		name = "TWICImage.Assign"
		size = 383
		refs = "0010 _DV_TWICImage 0015 @IsClass 0030 @IntfClear 003c TWICImage.FImagingFactory 0058 _DV_TBitmap 005d TBitmap.Create 006b TWICImage.Assign 008e @HandleAnyException 00a1 TObject.Free 00a6 @RaiseAgain 00ab @DoneExcept 00e1 TMemoryStream.Clear 00ef TStream.SetPosition 0107 TStream.CopyFrom 015f TWICImage.CreateWicBitmap 0169 TWICImage.SetImageFormat 0175 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 F6 00 00 00 8B F3 83 7E 38 00 74 1D 8B 45 FC 83 C0 38 E8 ?? ?? ?? ?? 50 6A 00 8B 46 38 50 A1 ?? ?? ?? ?? 50 8B 00 FF 50 48 83 7E 30 00 74 63 8B 45 FC 83 78 30 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 56 30 8B 45 FC 8B 40 30 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC 83 C0 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 56 83 C6 3D 8D 78 3D A5 A5 A5 A5 5E 0F B6 46 3C 8B 55 FC 88 42 3C 8B 46 28 8B 55 FC 89 42 28 8B 46 2C 8B 55 FC 89 42 2C 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 6A 00 6A 00 8B F3 8B 46 34 E8 ?? ?? ?? ?? 8B 7B 34 8B C7 8B 10 FF 12 52 50 8B D7 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 0F B6 46 4D 8B 55 FC 88 42 4D EB 62 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 47 8B 45 FC 83 C0 38 E8 ?? ?? ?? ?? 8B 45 FC 83 78 30 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 8B 45 FC 8B 40 30 8B D3 8B 08 FF 51 08 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80595_0 {
	meta:
		name = "TWICImage.AssignTo"
		size = 55
		refs = "000a _DV_TBitmap 000f @IsClass 001a TWICImage.RequireBitmap 0030 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B C3 E8 ?? ?? ?? ?? 8B 53 30 8B C6 8B 08 FF 51 08 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80597_0 {
	meta:
		name = "TWICImage.Create"
		size = 164
		refs = "000b @ClassCreate 0018 TGraphic.Create 001e TWICImage.FImagingFactory 002b @IntfClear 0031 TWICImage.Create 003a CLSID_WICImagingFactory 0040 CoCreateInstance 0052 GUID_ContainerFormatBmp 0068 _Dn_TMemoryStream 006d TObject.Create 007f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 21 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 05 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 0B A1 ?? ?? ?? ?? 50 8B 00 FF 50 04 A1 ?? ?? ?? ?? 56 8D 7E 3D 8B F0 A5 A5 A5 A5 5E C6 46 3C 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 34 C6 46 4D 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B C3 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_80598_0 {
	meta:
		name = "TWICImage.Destroy"
		size = 88
		refs = "0003 @BeforeDestruction 001d TObject.Free 002a TWICImage.FImagingFactory 0046 TPersistent.Destroy 0051 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 30 00 74 10 8D 46 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 46 34 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 00 FF 50 08 85 C0 75 07 33 C0 A3 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80599_0 {
	meta:
		name = "TWICImage.CreateWicBitmap"
		size = 332
		refs = "0014 TWICImage.CreateWicBitmap 0022 TMemoryStream.Clear 0035 GUID_WICPixelFormat32bppBGRA 0046 GUID_WICPixelFormat32bppBGR 0056 TBitmap.SetPixelFormat 0086 :TWICImage.:1 008b @DynArraySetLength 009d @FillChar 00df TBitmap.GetCanvas 00e4 TCanvas.GetHandle 00ea GetDIBits 00f2 @IntfClear 00ff @DynArrayLength 0118 TWICImage.FImagingFactory 0139 @DynArrayClear 013f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 34 E8 ?? ?? ?? ?? C6 43 4D 01 8B 43 30 80 78 39 01 75 11 8B 15 ?? ?? ?? ?? 8B F2 8D 7D EC A5 A5 A5 A5 EB 0F 8B 15 ?? ?? ?? ?? 8B F2 8D 7D EC A5 A5 A5 A5 B2 07 E8 ?? ?? ?? ?? 8B 43 30 8B 10 FF 52 30 89 43 28 8B 43 30 8B 10 FF 52 24 8B F0 89 73 2C 8B 43 28 03 C0 03 C0 F7 EE 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 C0 33 C9 BA 2C 00 00 00 E8 ?? ?? ?? ?? C7 45 C0 2C 00 00 00 8B 43 28 89 45 C4 8B 43 2C F7 D8 89 45 C8 66 C7 45 CC 01 00 66 C7 45 CE 20 00 6A 00 8D 45 C0 50 8B 45 FC 50 8B 43 2C 50 6A 00 8B 43 30 8B 10 FF 52 70 50 8B 43 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 43 38 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 73 28 8B C6 03 C0 03 C0 50 8D 45 EC 50 8B 43 2C 50 56 A1 ?? ?? ?? ?? 50 8B 00 FF 50 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80600_0 {
	meta:
		name = "TWICImage.Draw"
		size = 43
		refs = "000d TWICImage.RequireBitmap"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 73 30 85 F6 74 0E 8B D5 8B CE 8B C7 8B 18 FF 93 88 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80601_0 {
	meta:
		name = "TWICImage.GetEmpty"
		size = 8
	strings:
		$1 = { 83 78 38 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_80605_0 {
	meta:
		name = "WicCheck"
		size = 91
		refs = "0009 WicCheck 001e SInvalidImage 0023 LoadResString 002d _DV_EInvalidGraphic 0032 Exception.Create 0037 @RaiseExcept 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A9 00 00 00 80 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_80606_0 {
	meta:
		name = "TWICImage.LoadFromStream"
		size = 319
		refs = "0018 TWICImage.LoadFromStream 002e TObject.Free 0036 TMemoryStream.Clear 0045 TStream.GetPosition 005a TStream.CopyFrom 0066 TStream.SetPosition 0072 _Dn_TStreamAdapter 0077 TStreamAdapter.Create 0081 @IntfClear 0089 GUID_NULL 0097 TWICImage.FImagingFactory 00a2 WicCheck 00be TWICImage.SetEncoderContainerFormat 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 12 52 50 8B C6 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 8B D6 8B 43 34 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 43 34 E8 ?? ?? ?? ?? 6A 00 8B 4B 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 A1 ?? ?? ?? ?? 50 85 F6 74 03 83 EE EC 56 A1 ?? ?? ?? ?? 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8D 43 38 E8 ?? ?? ?? ?? 50 6A 02 8B 45 F8 50 A1 ?? ?? ?? ?? 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 8D 43 2C 50 8D 43 28 50 8B 43 38 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? C6 43 4D 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80607_0 {
	meta:
		name = "TWICImage.SaveToStream"
		size = 432
		refs = "001b TWICImage.SaveToStream 0033 TMemoryStream.Clear 003f _Dn_TStreamAdapter 0044 TStreamAdapter.Create 005d @IntfClear 0063 TWICImage.FImagingFactory 0088 GUID_NULL 0154 TStream.SetPosition 0168 TStream.CopyFrom 01a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 4D 00 0F 84 1D 01 00 00 8B 43 34 E8 ?? ?? ?? ?? 6A 00 8B 4B 34 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 85 C0 74 03 83 E8 F8 50 8B 00 FF 50 04 8D 45 F0 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 8B 00 FF 50 38 85 F6 74 03 83 EE EC 56 8B 45 F0 50 8B 00 FF 50 38 8D 45 FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 8D 43 3D 50 A1 ?? ?? ?? ?? 50 8B 00 FF 50 20 6A 02 8B 45 F0 50 8B 45 FC 50 8B 00 FF 50 0C 8D 45 F4 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 28 8B 45 F4 50 8B 45 F8 50 8B 00 FF 50 0C 8D 45 DC 50 8B 43 38 50 8B 00 FF 50 10 8D 45 DC 50 8B 45 F8 50 8B 00 FF 50 18 8B 43 2C 50 8B 43 28 50 8B 45 F8 50 8B 00 FF 50 10 8D 45 EC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 8B 00 FF 50 24 8B 45 EC 50 8B 43 38 50 8B 00 FF 50 18 8B 45 EC 50 8B 45 F8 50 8B 00 FF 50 20 6A 00 8B 43 38 50 8B 45 F8 50 8B 00 FF 50 2C 8B 45 F8 50 8B 00 FF 50 30 8B 45 FC 50 8B 00 FF 50 2C C6 43 4D 00 6A 00 6A 00 8B 43 34 E8 ?? ?? ?? ?? 8B 73 34 8B C6 8B 10 FF 12 52 50 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80608_0 {
	meta:
		name = "TWICImage.LoadFromClipboardFormat"
		size = 144
		refs = "0015 @IntfClear 0037 TWICImage.LoadFromClipboardFormat 0058 TWICImage.CreateWicBitmap 0067 @HandleAnyException 007a TObject.Free 007f @RaiseAgain 0084 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC 83 C0 38 E8 ?? ?? ?? ?? 8B 45 FC 8B 58 30 85 DB 75 10 8B C3 83 CA FF 8B 08 FF 51 50 8B 55 FC 89 42 30 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 08 50 8B 45 FC 8B 40 30 8B CF 8B D6 8B 18 FF 53 64 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC 83 C0 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_80609_0 {
	meta:
		name = "TWICImage.SaveToClipboardFormat"
		size = 42
		refs = "000f TWICImage.RequireBitmap"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B 43 30 8B 18 FF 53 68 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_80610_0 {
	meta:
		name = "TWICImage.SetEncoderContainerFormat"
		size = 178
		refs = "000d IsEqualGUID 0027 GUID_ContainerFormatBmp 003d GUID_ContainerFormatPng 0053 GUID_ContainerFormatJpeg 0069 GUID_ContainerFormatTiff 007f GUID_ContainerFormatGif 0095 GUID_ContainerFormatWmp"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8D 43 3D 50 56 E8 ?? ?? ?? ?? 84 C0 0F 85 95 00 00 00 C6 43 4D 01 56 8D 7B 3D A5 A5 A5 A5 5E A1 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 3C 00 EB 72 A1 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 3C 01 EB 5C A1 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 3C 02 EB 46 A1 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 3C 04 EB 30 A1 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 3C 03 EB 1A A1 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 3C 05 EB 04 C6 43 3C 06 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80611_0 {
	meta:
		name = "TWICImage.SetImageFormat"
		size = 164
		refs = "0021 TWICImage.SetImageFormat 003f GUID_ContainerFormatBmp 0050 GUID_ContainerFormatPng 0061 GUID_ContainerFormatJpeg 0072 GUID_ContainerFormatGif 0083 GUID_ContainerFormatTiff 0094 GUID_ContainerFormatWmp"
	strings:
		$1 = { 56 57 3A 50 3C 0F 84 96 00 00 00 C6 40 4D 01 88 50 3C 83 E2 7F 83 FA 05 0F 87 83 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B F2 8D 78 3D A5 A5 A5 A5 EB 53 8B 15 ?? ?? ?? ?? 8B F2 8D 78 3D A5 A5 A5 A5 EB 42 8B 15 ?? ?? ?? ?? 8B F2 8D 78 3D A5 A5 A5 A5 EB 31 8B 15 ?? ?? ?? ?? 8B F2 8D 78 3D A5 A5 A5 A5 EB 20 8B 15 ?? ?? ?? ?? 8B F2 8D 78 3D A5 A5 A5 A5 EB 0F 8B 15 ?? ?? ?? ?? 8B F2 8D 78 3D A5 A5 A5 A5 5F 5E C3 }
	condition:
		$1
}

rule function_80612_0 {
	meta:
		name = "TWICImage.SetHandle"
		size = 91
		refs = "0018 TObject.Free 0020 @IntfClear 0028 TMemoryStream.Clear 003d TWICImage.FImagingFactory"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 30 00 74 10 8D 43 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 38 E8 ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? C6 43 4D 01 8D 43 38 E8 ?? ?? ?? ?? 50 6A 02 56 A1 ?? ?? ?? ?? 50 8B 00 FF 50 48 8D 43 2C 50 8D 43 28 50 8B 43 38 50 8B 00 FF 50 0C 5E 5B C3 }
	condition:
		$1
}

rule function_80615_0 {
	meta:
		name = "TWICImage.RequireBitmap"
		size = 444
		refs = "0018 TWICImage.RequireBitmap 0073 :TWICImage.:2 0078 @DynArraySetLength 0083 @IntfClear 0090 GUID_WICPixelFormat32bppBGRA 0096 WICConvertBitmapSource 00a2 @DynArrayLength 00be @FillChar 00ec _DV_TBitmap 00f1 TBitmap.Create 0110 TBitmap.SetPixelFormat 014d SetDIBits 015a TBitmap.SetAlphaFormat 0169 @HandleAnyException 017c TObject.Free 0181 @RaiseAgain 0186 @DoneExcept 01a1 @DynArrayClear 01af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 D2 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 78 30 00 0F 85 5B 01 00 00 8B 45 F4 83 78 38 00 0F 84 4E 01 00 00 8B 45 F4 83 C0 2C 50 8B 45 F4 83 C0 28 50 8B 45 F4 8B 40 38 50 8B 00 FF 50 0C 8B 45 F4 8B 58 28 03 DB 03 DB 8B 45 F4 8B 40 2C F7 EB 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 F4 8B 40 38 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 50 53 6A 00 8B 45 FC 50 8B 00 FF 50 1C 8D 45 C8 33 C9 BA 2C 00 00 00 E8 ?? ?? ?? ?? C7 45 C8 2C 00 00 00 8B 45 F4 8B 40 28 89 45 CC 8B 45 F4 8B 40 2C F7 D8 89 45 D0 66 C7 45 D4 01 00 66 C7 45 D6 20 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F4 89 58 30 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B C3 B2 07 E8 ?? ?? ?? ?? 8B 45 F4 8B 48 2C 8B 45 F4 8B 50 28 8B 45 F4 8B 40 30 8B 18 FF 53 6C 6A 00 8D 45 C8 50 8B 45 F8 50 8B 45 F4 8B 40 2C 50 6A 00 8B 45 F4 8B 40 30 8B 10 FF 52 70 50 6A 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 30 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 F4 83 C0 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80616_0 {
	meta:
		name = "GraphicFilter"
		size = 77
		refs = "000f GraphicFilter 001e GetFileFormats 0027 TFileFormatsList.BuildFilterStrings 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 E8 ?? ?? ?? ?? 8B CE 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80617_0 {
	meta:
		name = "GraphicExtension"
		size = 167
		refs = "0012 GraphicExtension 001d GetFileFormats 002d FileFormats 0032 TList.Get 003c TObject.ClassName 0053 @UStrEqual 006b @UStrAsg 007a @UStrClr 0094 @UStrArrayClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 58 08 4B 83 FB 00 7C 4D 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 75 18 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 04 8B C7 E8 ?? ?? ?? ?? EB 0D 4B 83 FB FF 75 B3 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80618_0 {
	meta:
		name = "GraphicFileMask"
		size = 75
		refs = "000f GraphicFileMask 001b GetFileFormats 0025 TFileFormatsList.BuildFilterStrings 003a @UStrClr 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 E8 ?? ?? ?? ?? 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80619_0 {
	meta:
		name = "InitScreenLogPixels"
		size = 99
		refs = "0007 GetDC 0012 InitScreenLogPixels 0023 GetDeviceCaps 0028 ScreenLogPixels 0040 ReleaseDC 0046 @HandleFinally 004d Pal16 0057 CreateSystemPalette 005c SystemPalette16"
	strings:
		$1 = { 55 8B EC 51 6A 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 5A 8B 45 FC 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED B8 ?? ?? ?? ?? BA 0F 00 00 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_80620_0 {
	meta:
		name = "GetDefFontCharSet"
		size = 68
		refs = "000a GetDC 0015 StockFont 001c SelectObject 0027 GetTextMetrics 0038 ReleaseDC"
	strings:
		$1 = { 53 56 83 C4 C4 B3 01 6A 00 E8 ?? ?? ?? ?? 8B F0 85 F6 74 28 A1 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 85 C0 74 10 54 56 E8 ?? ?? ?? ?? 85 C0 74 05 0F B6 5C 24 38 56 6A 00 E8 ?? ?? ?? ?? 8B C3 83 C4 3C 5E 5B C3 }
	condition:
		$1
}

rule function_80621_0 {
	meta:
		name = "InitDefFontData"
		size = 476
		refs = "0012 InitDefFontData 001f ScreenLogPixels 0027 MulDiv 002e DefFontData 0033 Win32Platform 003d GetDefFontCharSet 004e @UStrLAsg 0055 _Dn_TRegistry 005a TRegistry.Create 0078 TRegistry.SetRootKey 0085 TRegistry.OpenKeyReadOnly 0099 TRegistry.ReadString 00a1 TRegistry.CloseKey 00b6 TObject.Free 00bc @HandleFinally 00d2 UTF8EncodeToShortString 00e4 @PStrNCpy 00f9 @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 48 A1 ?? ?? ?? ?? 50 6A 08 E8 ?? ?? ?? ?? F7 D8 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 01 75 16 E8 ?? ?? ?? ?? 3C 80 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 02 00 00 80 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 18 8D 4D FC BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D FC 00 74 20 8D 95 F8 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF B8 ?? ?? ?? ?? B1 7C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 68 00 6F 00 6D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3C 00 00 00 53 00 4F 00 46 00 54 00 57 00 41 00 52 00 45 00 5C 00 4D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 5C 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 20 00 4E 00 54 00 5C 00 43 00 75 00 72 00 72 00 65 00 6E 00 74 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 5C 00 46 00 6F 00 6E 00 74 00 53 00 75 00 62 00 73 00 74 00 69 00 74 00 75 00 74 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4D 00 53 00 20 00 53 00 68 00 65 00 6C 00 6C 00 20 00 44 00 6C 00 67 00 20 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_80622_0 {
	meta:
		name = "TPatternManager.Create"
		size = 53
		refs = "000a @ClassCreate 0017 InitializeCriticalSection 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 08 50 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_80623_0 {
	meta:
		name = "TPatternManager.Destroy"
		size = 41
		refs = "0003 @BeforeDestruction 000e TPatternManager.FreePatterns 0017 DeleteCriticalSection 0022 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 46 08 50 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80626_0 {
	meta:
		name = "TPatternManager.AllocPattern"
		size = 178
		refs = "0014 TPatternManager.Lock 001c TPatternManager.AllocPattern 005b @GetMem 0075 TPatternManager.CreateBitmap 009c TPatternManager.Unlock 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F8 EB 08 8B 45 F8 8B 00 89 45 F8 83 7D F8 00 74 10 8B 45 F8 3B 58 08 75 EA 8B 45 F8 3B 70 0C 75 E2 83 7D F8 00 75 36 B8 10 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 7D F8 8B 45 FC 8B 40 04 89 07 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 47 04 89 5F 08 89 77 0C 8B 45 FC 8B 55 F8 89 50 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80627_0 {
	meta:
		name = "TPatternManager.CreateBitmap"
		size = 265
		refs = "0011 _DV_TBitmap 0016 TBitmap.Create 0021 TPatternManager.CreateBitmap 0049 TBitmap.GetCanvas 0059 TBrush.SetStyle 0066 TBrush.SetColor 0086 Rect 00da TBitmap.Dormant 00e9 @HandleAnyException 00f1 TObject.Free 00f6 @RaiseAgain 00fb @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D FC 8B DA B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 08 00 00 00 8B 45 F8 8B 08 FF 51 44 BA 08 00 00 00 8B 45 F8 8B 08 FF 51 38 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 48 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 24 50 8D 45 E4 50 8B 45 F8 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F4 8B 08 FF 51 54 33 F6 33 DB 8B C6 25 01 00 00 80 79 05 48 83 C8 FE 40 8B D3 81 E2 01 00 00 80 79 05 4A 83 CA FE 42 3B C2 75 10 8B 45 FC 50 8B CE 8B D3 8B 45 F4 8B 38 FF 57 20 43 83 FB 09 75 C9 46 83 FE 09 75 C1 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80628_0 {
	meta:
		name = "TPatternManager.FreePatterns"
		size = 125
		refs = "001a TPatternManager.Lock 0022 TPatternManager.FreePatterns 0048 TPatternManager.Unlock 004e @HandleFinally 0061 TObject.Free 0069 @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 45 FC EB 60 89 5D F8 8B 45 F8 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 00 8B 55 FC 89 42 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B 70 04 85 F6 74 07 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 58 04 85 DB 75 96 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80629_0 {
	meta:
		name = "AllocPatternBitmap"
		size = 54
		refs = "0008 PatternManager 0012 ColorToRGB 0027 TPatternManager.AllocPattern"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 3D ?? ?? ?? ?? 00 74 22 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 40 04 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_80630_0 {
	meta:
		name = "TTextFormatFlags.&op_Implicit"
		size = 45
		refs = "000a CFlags"
	strings:
		$1 = { 56 51 89 04 24 33 F6 33 C0 BA ?? ?? ?? ?? 8B C8 80 F9 1F 77 07 83 E1 7F 0F A3 0C 24 73 02 0B 32 40 83 C2 04 3C 18 75 E6 8B C6 5A 5E C3 }
	condition:
		$1
}

rule function_80631_0 {
	meta:
		name = "TStyleElementEdgeFlags.&op_Implicit"
		size = 20
		altNames = "TTextFormatFlags.&op_Implicit"
	strings:
		$1 = { 83 C4 F8 89 04 24 8B 04 24 89 44 24 04 8B 44 24 04 59 5A C3 }
	condition:
		$1
}

rule function_80632_0 {
	meta:
		name = "TStyleElementEdgeFlags.&op_Implicit"
		size = 9
		altNames = "TTextFormatFlags.&op_Implicit"
	strings:
		$1 = { 51 89 04 24 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_80633_0 {
	meta:
		name = "TTextFormatFlags.&op_Implicit"
		size = 436
		refs = "0009 TTextFormatFlags.&op_Implicit"
	strings:
		$1 = { 53 56 57 51 8B D8 8B FC A1 ?? ?? ?? ?? 89 07 B8 08 00 00 00 23 C3 83 F8 08 75 03 83 0F 01 B8 00 04 00 00 23 C3 3D 00 04 00 00 75 03 83 0F 02 B8 01 00 00 00 23 C3 83 F8 01 75 03 83 0F 04 B8 00 20 00 00 23 C3 3D 00 20 00 00 75 03 83 0F 08 B8 00 80 00 00 23 C3 3D 00 80 00 00 75 03 83 0F 10 B8 00 40 00 00 23 C3 3D 00 40 00 00 75 03 83 0F 20 B8 40 00 00 00 23 C3 83 F8 40 75 03 83 0F 40 B8 00 02 00 00 23 C3 3D 00 02 00 00 75 06 81 0F 80 00 00 00 33 F6 23 F3 85 F6 75 06 81 0F 00 01 00 00 B8 00 00 01 00 23 C3 3D 00 00 01 00 75 06 81 0F 00 02 00 00 B8 00 01 00 00 23 C3 3D 00 01 00 00 75 06 81 0F 00 04 00 00 B8 00 08 00 00 23 C3 3D 00 08 00 00 75 06 81 0F 00 08 00 00 B8 02 00 00 00 23 C3 83 F8 02 75 06 81 0F 00 10 00 00 B8 00 00 02 00 23 C3 3D 00 00 02 00 75 06 81 0F 00 20 00 00 B8 20 00 00 00 23 C3 83 F8 20 75 06 81 0F 00 40 00 00 85 F6 75 06 81 0F 00 80 00 00 B8 04 00 00 00 23 C3 83 F8 04 75 06 81 0F 00 00 01 00 B8 10 00 00 00 23 C3 83 F8 10 75 06 81 0F 00 00 02 00 B8 00 00 10 00 23 C3 3D 00 00 10 00 75 06 81 0F 00 00 04 00 B8 00 00 08 00 23 C3 3D 00 00 08 00 75 06 81 0F 00 00 08 00 B8 00 00 20 00 23 C3 3D 00 00 20 00 75 06 81 0F 00 00 10 00 B8 80 00 00 00 23 C3 3D 80 00 00 00 75 06 81 0F 00 00 20 00 81 E3 00 00 04 00 81 FB 00 00 04 00 75 06 81 0F 00 00 40 00 8B 07 5A 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_80634_0 {
	meta:
		name = "TGDIHandleRecall.Create"
		size = 97
		refs = "000e @ClassCreate 0021 GetCurrentObject 002b _DV_TCanvas 0030 TCanvas.Create 003f TCanvas.SetHandle 004a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 8B F1 89 77 08 8B 45 08 50 56 E8 ?? ?? ?? ?? 89 47 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 04 8B 57 08 8B C6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_80635_0 {
	meta:
		name = "TGDIHandleRecall.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 0011 TCanvas.SetHandle 0019 TObject.Free 0026 SelectObject 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 33 D2 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B 46 0C 50 8B 46 08 50 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80636_0 {
	meta:
		name = "Finalization"
		size = 199
		refs = "0007 Finalization 0013 _DV_42 001e PatternManager 0023 TObject.Free 0028 FileFormats 0032 ClipboardFormats 003c FreeMemoryContexts 0041 BitmapCanvasList 004b CanvasList 0055 FontManager 005f PenManager 0069 BrushManager 0073 SystemPalette16 0079 DeleteObject 007e BitmapImageLock 0083 DeleteCriticalSection 0088 CounterLock 0092 TWICImage.FImagingFactory 0097 @IntfClear 009c FontCharsets 00a7 TIdentMapEntry 00ac @FinalizeArray 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 93 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 12 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_80637_0 {
	meta:
		name = "Vcl.Graphics"
		size = 263
		refs = "0002 _DV_42 000e InitScreenLogPixels 0013 BitmapImageLock 0018 InitializeCriticalSection 001d CounterLock 0029 GetStockObject 002e StockPen 003a StockBrush 0046 StockFont 0052 LoadIcon 0057 StockIcon 005c InitDefFontData 0067 _DV_TResourceManager 006c TResourceManager.Create 0071 FontManager 0086 PenManager 0091 _DV_TBrushResourceManager 009b BrushManager 00a2 _DV_TPatternManager 00a7 TPatternManager.Create 00ac PatternManager 00b3 _Dn_TThreadList 00b8 TThreadList.Create 00bd BitmapCanvasList 00ce CanvasList 00d3 RegisterColorIntegerConsts 00d8 TColorRec.ColorToRGB 00de ColorToRGB 00e3 RegisterAlphaColorIntegerConsts 00e8 CharsetToIdent 00ed IdentToCharset 00f2 TFontCharset 00f7 RegisterIntegerConsts"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 0F 83 F9 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 07 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 05 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 0D E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 B9 90 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 66 B9 10 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 66 B9 10 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80638_0 {
	meta:
		name = "ColorRGBToHLS"
		size = 836
		refs = "0012 @GetTls 0018 CachedRGBToHLSclrRGB 0026 CachedRGBToHLSHue 0038 CachedRGBToHLSLum 004a CachedRGBToHLSSat 00c1 ColorRGBToHLS 00d9 @TRUNC 02be @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 89 4D F8 89 55 FC 8B F0 E8 ?? ?? ?? ?? 3B B0 ?? ?? ?? ?? 75 3B E8 ?? ?? ?? ?? 0F B7 80 ?? ?? ?? ?? 8B 55 FC 66 89 02 E8 ?? ?? ?? ?? 0F B7 80 ?? ?? ?? ?? 8B 55 F8 66 89 02 E8 ?? ?? ?? ?? 0F B7 80 ?? ?? ?? ?? 8B 55 08 66 89 02 E9 BE 02 00 00 8B DE 0F B6 DB 8B C6 C1 E8 08 0F B6 F8 8B C6 C1 E8 10 0F B6 C0 66 89 45 DE 0F B7 D7 0F B7 C3 3B D0 7D 04 8B D0 EB 03 0F B7 D7 0F B7 4D DE 3B D1 7F 04 0F B7 55 DE 89 55 C0 DB 45 C0 DD 5D D0 9B 0F B7 D7 3B C2 7C 03 0F B7 C7 0F B7 55 DE 3B C2 7C 04 0F B7 45 DE 89 45 C0 DB 45 C0 DD 5D C8 9B DD 45 D0 DC 45 C8 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DD 5D E8 9B DD 45 E8 E8 ?? ?? ?? ?? 8B 55 F8 66 89 02 DD 45 D0 DC 5D C8 9B DF E0 9E 75 15 8B 45 FC 66 C7 00 A0 00 8B 45 08 66 C7 00 00 00 E9 D2 01 00 00 8B 45 F8 0F B7 00 89 45 C0 DB 45 C0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 28 DD 45 D0 DC 65 C8 D8 0D ?? ?? ?? ?? DD 45 D0 DC 45 C8 D8 35 ?? ?? ?? ?? DE C1 DD 45 D0 DC 45 C8 DE F9 DD 5D E0 9B EB 32 DD 45 D0 DC 65 C8 D8 0D ?? ?? ?? ?? D9 05 ?? ?? ?? ?? DC 65 D0 DC 65 C8 D8 35 ?? ?? ?? ?? DE C1 D9 05 ?? ?? ?? ?? DC 65 D0 DC 65 C8 DE F9 DD 5D E0 9B 0F B7 C3 89 45 C0 DB 45 C0 DC 6D D0 D8 0D ?? ?? ?? ?? DD 45 D0 DC 65 C8 D8 35 ?? ?? ?? ?? DE C1 DD 45 D0 DC 65 C8 DE F9 E8 ?? ?? ?? ?? 66 89 45 C6 0F B7 C7 89 45 C0 DB 45 C0 DC 6D D0 D8 0D ?? ?? ?? ?? DD 45 D0 DC 65 C8 D8 35 ?? ?? ?? ?? DE C1 DD 45 D0 DC 65 C8 DE F9 E8 ?? ?? ?? ?? 66 89 45 C4 0F B7 45 DE 89 45 C0 DB 45 C0 DC 6D D0 D8 0D ?? ?? ?? ?? DD 45 D0 DC 65 C8 D8 35 ?? ?? ?? ?? DE C1 DD 45 D0 DC 65 C8 DE F9 E8 ?? ?? ?? ?? 8B D0 0F B7 C3 89 45 C0 DB 45 C0 DC 5D D0 9B DF E0 9E 75 15 0F B7 C2 0F B7 55 C4 2B C2 89 45 C0 DB 45 C0 DD 5D F0 9B EB 53 0F B7 C7 89 45 C0 DB 45 C0 DC 5D D0 9B DF E0 9E 75 21 0F B7 45 C6 89 45 C0 DB 45 C0 D8 05 ?? ?? ?? ?? 0F B7 C2 89 45 BC DB 45 BC DE E9 DD 5D F0 9B EB 20 0F B7 45 C4 89 45 C0 DB 45 C0 D8 05 ?? ?? ?? ?? 0F B7 45 C6 89 45 BC DB 45 BC DE E9 DD 5D F0 9B DD 45 F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0D DD 45 F0 D8 05 ?? ?? ?? ?? DD 5D F0 9B DD 45 F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 0D DD 45 F0 D8 25 ?? ?? ?? ?? DD 5D F0 9B DD 45 F0 E8 ?? ?? ?? ?? 8B 55 FC 66 89 02 DD 45 E0 E8 ?? ?? ?? ?? 8B 55 08 66 89 02 E8 ?? ?? ?? ?? 89 B0 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 0F B7 12 66 89 90 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 0F B7 12 66 89 90 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 0F B7 12 66 89 90 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 00 00 70 43 00 00 7F 43 00 00 FF 43 00 00 F0 42 00 00 00 40 00 00 20 42 00 00 A0 42 00 00 20 43 00 00 00 00 }
	condition:
		$1
}

rule function_80639_0 {
	meta:
		name = "HueToRGB"
		size = 240
		refs = "000b HueToRGB 00cd @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0D DD 45 08 D8 05 ?? ?? ?? ?? DD 5D 08 9B DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 0D DD 45 08 D8 25 ?? ?? ?? ?? DD 5D 08 9B DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 1E DD 45 10 DC 65 18 DC 4D 08 D8 05 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DC 45 18 DD 5D F8 9B EB 5E DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0E 8B 45 10 89 45 F8 8B 45 14 89 45 FC EB 41 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 26 DD 45 10 DC 65 18 D9 05 ?? ?? ?? ?? DC 65 08 DE C9 D8 05 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DC 45 18 DD 5D F8 9B EB 0C 8B 45 18 89 45 F8 8B 45 1C 89 45 FC DD 45 F8 E8 ?? ?? ?? ?? 59 59 5D C2 18 00 00 00 00 00 00 00 00 70 43 00 00 20 42 00 00 A0 41 00 00 F0 42 00 00 20 43 }
	condition:
		$1
}

rule function_80640_0 {
	meta:
		name = "RoundColor"
		size = 44
		refs = "0008 RoundColor 001d @ROUND"
	strings:
		$1 = { 55 8B EC DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 07 B8 FF 00 00 00 EB 08 DD 45 08 E8 ?? ?? ?? ?? 5D C2 08 00 00 00 00 00 00 7F 43 }
	condition:
		$1
}

rule function_80641_0 {
	meta:
		name = "ColorHLSToRGB"
		size = 548
		refs = "0021 ColorHLSToRGB 0111 HueToRGB 01d1 RoundColor"
	strings:
		$1 = { 53 56 57 83 C4 CC 8B F0 66 85 C9 75 54 0F B7 C2 8B D0 C1 E0 08 2B C2 89 44 24 2C DB 44 24 2C D8 35 ?? ?? ?? ?? DD 1C 24 9B 8B 04 24 89 44 24 08 8B 44 24 04 89 44 24 0C 8B 04 24 89 44 24 10 8B 44 24 04 89 44 24 14 0F B7 C6 89 44 24 2C DB 44 24 2C D8 1D ?? ?? ?? ?? 9B DF E0 9E E9 67 01 00 00 0F B7 C2 89 44 24 2C DB 44 24 2C D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 2A 0F B7 C2 0F B7 C9 81 C1 F0 00 00 00 0F AF C1 89 44 24 2C DB 44 24 2C D8 05 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DD 5C 24 20 9B EB 30 0F B7 C2 8B F8 0F B7 D9 03 FB 89 7C 24 2C DB 44 24 2C 0F AF C3 89 44 24 30 DB 44 24 30 D8 05 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DE E9 DD 5C 24 20 9B 0F B7 C2 03 C0 89 44 24 2C DB 44 24 2C DC 64 24 20 DD 5C 24 18 9B FF 74 24 1C FF 74 24 1C FF 74 24 2C FF 74 24 2C 0F B7 C6 89 44 24 3C DB 44 24 3C D8 05 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 8B D0 C1 E0 08 2B C2 89 44 24 2C DB 44 24 2C D8 05 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DD 1C 24 9B FF 74 24 1C FF 74 24 1C FF 74 24 2C FF 74 24 2C 0F B7 C6 89 44 24 3C DB 44 24 3C 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 8B D0 C1 E0 08 2B C2 89 44 24 2C DB 44 24 2C D8 05 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DD 5C 24 08 9B FF 74 24 1C FF 74 24 1C FF 74 24 2C FF 74 24 2C 0F B7 C6 89 44 24 3C DB 44 24 3C D8 25 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 8B D0 C1 E0 08 2B C2 89 44 24 2C DB 44 24 2C D8 05 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? DD 5C 24 10 9B FF 74 24 04 FF 74 24 04 E8 ?? ?? ?? ?? 8B D8 FF 74 24 0C FF 74 24 0C E8 ?? ?? ?? ?? 88 44 24 28 FF 74 24 14 FF 74 24 14 E8 ?? ?? ?? ?? 0F B6 D3 0F B6 4C 24 28 C1 E1 08 0B D1 0F B6 C0 C1 E0 10 0B D0 8B C2 83 C4 34 5F 5E 5B C3 00 00 00 70 43 00 00 20 43 00 00 F0 42 00 00 A0 42 }
	condition:
		$1
}

rule function_80642_0 {
	meta:
		name = "ColorAdjustLuma"
		size = 139
		refs = "000b @GetTls 0011 CachedColorValue 001e CachedLumValue 002b CachedColorAdjustLuma 0039 ColorToRGB 0046 ColorRGBToHLS 005c ColorHLSToRGB"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 E8 ?? ?? ?? ?? 3B 98 ?? ?? ?? ?? 75 1A E8 ?? ?? ?? ?? 3B B0 ?? ?? ?? ?? 75 0D E8 ?? ?? ?? ?? 8B B8 ?? ?? ?? ?? EB 52 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 06 8D 54 24 04 E8 ?? ?? ?? ?? 0F B7 54 24 02 66 03 D6 0F B7 4C 24 04 0F B7 04 24 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 B0 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 B8 ?? ?? ?? ?? 8B C7 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80643_0 {
	meta:
		name = "GetHighLightColor"
		size = 216
		refs = "000b @GetTls 0011 CachedHighlightColor 001e CachedHighlightLum 002b CachedHighlight 004e ColorToRGB 0064 ColorRGBToHLS 009a ColorHLSToRGB 00a9 ColorAdjustLuma"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B DA 8B F0 E8 ?? ?? ?? ?? 3B B0 ?? ?? ?? ?? 75 1D E8 ?? ?? ?? ?? 3B 98 ?? ?? ?? ?? 75 10 E8 ?? ?? ?? ?? 8B B8 ?? ?? ?? ?? E9 9C 00 00 00 81 FE 0F 00 00 FF 75 0F 83 FB 13 75 0A BF 14 00 00 FF E9 85 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 8D 44 24 04 50 8D 4C 24 06 8D 54 24 04 8B C7 E8 ?? ?? ?? ?? 66 81 7C 24 04 DC 00 76 31 0F B7 44 24 02 2B C3 78 28 0F B7 44 24 02 2B C3 3D FF FF 00 00 7F 1A 0F B7 54 24 02 66 2B D3 0F B7 4C 24 04 0F B7 04 24 E8 ?? ?? ?? ?? 8B F8 EB 0D 33 C9 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 B0 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 B8 ?? ?? ?? ?? 8B C7 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80644_0 {
	meta:
		name = "GetShadowColor"
		size = 215
		refs = "000b @GetTls 0011 CachedShadowColor 001e CachedShadowLum 002b CachedShadow 004b ColorToRGB 0061 ColorRGBToHLS 0099 ColorHLSToRGB 00a8 ColorAdjustLuma"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B DA 8B F0 E8 ?? ?? ?? ?? 3B B0 ?? ?? ?? ?? 75 1D E8 ?? ?? ?? ?? 3B 98 ?? ?? ?? ?? 75 10 E8 ?? ?? ?? ?? 8B B8 ?? ?? ?? ?? E9 9B 00 00 00 81 FE 0F 00 00 FF 75 0C 83 FB CE 75 07 BF 10 00 00 FF EB 66 8B C6 E8 ?? ?? ?? ?? 8B F8 8D 44 24 04 50 8D 4C 24 06 8D 54 24 04 8B C7 E8 ?? ?? ?? ?? 66 81 7C 24 04 A0 00 72 33 0F B7 44 24 02 03 C3 85 C0 7C 28 0F B7 44 24 02 03 C3 3D FF FF 00 00 7F 1A 0F B7 54 24 02 66 03 D3 0F B7 4C 24 04 0F B7 04 24 E8 ?? ?? ?? ?? 8B F8 EB 0D 33 C9 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 B0 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 B8 ?? ?? ?? ?? 8B C7 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80645_0 {
	meta:
		name = "DrawArrow"
		size = 205
		refs = "003c TBrush.SetColor 0046 ArrowPts 0095 TPen.SetWidth"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B F1 8D 7D F0 A5 A5 88 55 FB 89 45 FC 83 7D FC 00 0F 84 A4 00 00 00 8B 45 FC 8B 40 48 8B 50 10 8B 52 18 89 55 EC 8B 55 FC 8B 52 44 8B 52 10 8B 52 18 E8 ?? ?? ?? ?? BB 03 00 00 00 B8 ?? ?? ?? ?? 8D 55 CC 0F B6 4D FB 8D 34 49 8B 0C F0 0F AF 4D 08 03 4D F0 8B 74 F0 04 0F AF 75 08 03 75 F4 89 4D E4 89 75 E8 8B 4D E4 89 0A 8B 4D E8 89 4A 04 83 C2 08 83 C0 08 4B 75 CA 8B 45 FC 8B 40 44 8B 50 10 8B 5A 1C BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 CC B9 02 00 00 00 8B 45 FC 8B 30 FF 56 6C 8B 45 FC 8B 40 44 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 48 8B 55 EC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80646_0 {
	meta:
		name = "DrawLine"
		size = 230
		refs = "000f ArrowPts"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 BB 03 00 00 00 B8 ?? ?? ?? ?? 8D 55 C8 8B 4D 08 0F B6 49 FF 8D 0C 49 8B 0C C8 8B 75 08 0F AF 4E 08 8B 75 08 03 4E F4 8B 75 08 0F B6 76 FF 8D 34 76 8B 74 F0 04 8B 7D 08 0F AF 77 08 8B 7D 08 03 77 F8 89 4D F8 89 75 FC 8B 4D F8 89 0A 8B 4D FC 89 4A 04 83 C2 08 83 C0 08 4B 75 B1 8B 45 08 0F B6 40 FF 2C 01 72 42 74 24 FE C8 74 3C FE C8 75 52 8B 45 D8 40 89 45 F0 8B 45 DC 48 89 45 F4 8B 45 F0 89 45 D8 8B 45 F4 89 45 DC EB 36 8B 45 D8 48 89 45 E8 8B 45 DC 40 89 45 EC 8B 45 E8 89 45 D8 8B 45 EC 89 45 DC EB 1A 8B 45 D8 40 89 45 E0 8B 45 DC 40 89 45 E4 8B 45 E0 89 45 D8 8B 45 E4 89 45 DC 8D 55 C8 8B 45 08 8B 40 F0 B9 02 00 00 00 8B 18 FF 53 70 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80647_0 {
	meta:
		name = "DrawChevron"
		size = 180
		refs = "0032 TPen.SetWidth 004c DrawLine"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F4 A5 A5 88 55 FF 89 45 F0 83 7D F0 00 0F 84 8B 00 00 00 8B 45 F0 8B 40 44 8B 50 10 8B 5A 1C BA 01 00 00 00 E8 ?? ?? ?? ?? 0F B6 45 FF 2C 02 72 06 2C 02 72 30 EB 5A 8B 45 08 29 45 F4 55 E8 ?? ?? ?? ?? 59 FF 45 F4 55 E8 ?? ?? ?? ?? 59 83 45 F4 03 55 E8 ?? ?? ?? ?? 59 FF 45 F4 55 E8 ?? ?? ?? ?? 59 EB 2C 8B 45 08 29 45 F8 55 E8 ?? ?? ?? ?? 59 FF 45 F8 55 E8 ?? ?? ?? ?? 59 83 45 F8 03 55 E8 ?? ?? ?? ?? 59 FF 45 F8 55 E8 ?? ?? ?? ?? 59 8B 45 F0 8B 40 44 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80648_0 {
	meta:
		name = "DrawCheck"
		size = 588
		refs = "0025 _Dn_TPenRecall 002a TPenRecall.Create 0035 DrawCheck 0048 TPen.SetWidth 0127 TPen.SetColor 0237 TObject.Free 023d @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 24 FF FF FF 53 56 57 8B F2 8D 7D F8 A5 A5 8B D9 8B F0 85 F6 0F 84 24 02 00 00 8B 4E 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 FF 55 68 ?? ?? ?? ?? 64 FF 37 64 89 27 8B 46 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 89 45 EC 8B 55 FC 89 55 F0 8B C8 03 CB 89 4D E4 8B CA 03 CB 89 4D E8 8B CB 03 C9 03 C8 03 CB 89 4D DC 8B FA 2B FB 89 7D E0 89 4D D4 8B 4D FC 2B CB 49 89 4D D8 8B 4D F8 03 CB 89 4D CC 8B 4D FC 03 CB 49 89 4D D0 48 89 45 C4 83 EA 02 89 55 C8 8B 45 EC 89 85 5C FF FF FF 8B 45 F0 89 85 60 FF FF FF 8B 45 E4 89 85 64 FF FF FF 8B 45 E8 89 85 68 FF FF FF 8B 45 DC 89 85 6C FF FF FF 8B 45 E0 89 85 70 FF FF FF 8B 45 D4 89 85 74 FF FF FF 8B 45 D8 89 85 78 FF FF FF 8B 45 CC 89 85 7C FF FF FF 8B 45 D0 89 45 80 8B 45 C4 89 45 84 8B 45 C8 89 45 88 8D 95 5C FF FF FF B9 05 00 00 00 8B C6 8B 38 FF 57 70 80 7D 08 00 0F 84 08 01 00 00 8B 46 44 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 55 F8 8B CA 49 89 4D BC 8B 45 FC 8B F8 4F 89 7D C0 89 4D B4 89 45 B8 89 55 AC 8B C8 41 89 4D B0 8B CA 03 CB 89 4D A4 8B C8 03 CB 41 89 4D A8 8B CB 03 C9 03 CA 03 CB 41 89 4D 9C 8B C8 2B CB 89 4D A0 8B CB 03 C9 03 CA 03 CB 41 89 4D 94 8B C8 2B CB 49 89 4D 98 8B CB 03 C9 03 CA 03 CB 41 89 4D 8C 2B C3 83 E8 02 89 45 90 8B 45 BC 89 85 24 FF FF FF 8B 45 C0 89 85 28 FF FF FF 8B 45 B4 89 85 2C FF FF FF 8B 45 B8 89 85 30 FF FF FF 8B 45 AC 89 85 34 FF FF FF 8B 45 B0 89 85 38 FF FF FF 8B 45 A4 89 85 3C FF FF FF 8B 45 A8 89 85 40 FF FF FF 8B 45 9C 89 85 44 FF FF FF 8B 45 A0 89 85 48 FF FF FF 8B 45 94 89 85 4C FF FF FF 8B 45 98 89 85 50 FF FF FF 8B 45 8C 89 85 54 FF FF FF 8B 45 90 89 85 58 FF FF FF 8D 95 24 FF FF FF B9 06 00 00 00 8B C6 8B 18 FF 53 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80649_0 {
	meta:
		name = "GradientFillCanvas"
		size = 207
		refs = "0014 ColorToRGB 00a8 cGradientDirections 00bc TCanvas.GetHandle 00c2 GradientFill"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 4D FC 8B F8 8B 5D 0C 8B C2 E8 ?? ?? ?? ?? 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 13 89 55 D4 8B 53 04 89 55 D8 8B D6 0F B6 D2 C1 E2 08 66 89 55 DC 8B D6 C1 EA 10 0F B6 D2 C1 E2 08 66 89 55 E0 8B D6 C1 EA 08 0F B6 D2 C1 E2 08 66 89 55 DE 66 C7 45 E2 00 00 8B 53 08 89 55 E4 8B 53 0C 89 55 E8 0F B6 D0 C1 E2 08 66 89 55 EC 8B D0 C1 EA 10 0F B6 D2 C1 E2 08 66 89 55 F0 C1 E8 08 0F B6 C0 C1 E0 08 66 89 45 EE 66 C7 45 F2 00 00 33 C0 89 45 F4 C7 45 F8 01 00 00 00 0F B6 45 08 8B 04 85 ?? ?? ?? ?? 50 6A 01 8D 45 F4 50 6A 02 8D 45 D4 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_80650_0 {
	meta:
		name = "ShrinkImage"
		size = 532
		refs = "0018 ShrinkImage 004a :3 004f @DynArraySetLength 0071 @ROUND 00ae TBitmap.GetScanline 01ff @DynArrayClear 0205 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 C9 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 30 89 45 C4 8B 45 F4 8B 10 FF 52 24 8B D8 8B 45 F8 8B 10 FF 52 24 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 4B 85 DB 0F 8C 89 01 00 00 43 89 5D C0 C7 45 E8 00 00 00 00 DB 45 E8 DC 75 08 E8 ?? ?? ?? ?? 89 45 D8 8B 45 E8 40 89 45 B4 DB 45 B4 DC 75 08 E8 ?? ?? ?? ?? 48 89 45 D0 8B 45 F8 8B 10 FF 52 24 3B 45 D0 7F 0C 8B 45 F8 8B 10 FF 52 24 48 89 45 D0 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 8B 45 C4 48 85 C0 0F 8C 1B 01 00 00 40 89 45 BC C7 45 EC 00 00 00 00 DB 45 EC DC 75 08 E8 ?? ?? ?? ?? 89 45 D4 8B 45 EC 40 89 45 B4 DB 45 B4 DC 75 08 E8 ?? ?? ?? ?? 48 89 45 CC 33 C0 89 45 E4 33 C0 89 45 E0 33 C0 89 45 DC 33 F6 8B 45 F8 8B 10 FF 52 30 3B 45 CC 7F 0C 8B 45 F8 8B 10 FF 52 30 48 89 45 CC 8B 45 D8 8B 55 D0 2B D0 7C 62 42 89 55 B8 89 45 C8 8B 45 FC 8B 55 C8 83 3C 90 00 75 14 8B 55 C8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 4D C8 89 04 8A 8B 45 FC 8B 55 C8 8B 04 90 8B 4D D4 8B 55 CC 2B D1 7C 20 42 8D 1C 49 0F B6 3C 18 01 7D E4 0F B6 7C 18 01 01 7D E0 0F B6 5C 18 02 01 5D DC 46 41 4A 75 E1 FF 45 C8 FF 4D B8 75 A5 8B 5D EC 8D 1C 5B DB 45 E4 89 75 B4 DB 45 B4 DE F9 E8 ?? ?? ?? ?? 8B 55 F0 88 04 1A DB 45 E0 89 75 B4 DB 45 B4 DE F9 E8 ?? ?? ?? ?? 8B 55 F0 88 44 1A 01 DB 45 DC 89 75 B4 DB 45 B4 DE F9 E8 ?? ?? ?? ?? 8B 55 F0 88 44 1A 02 FF 45 EC FF 4D BC 0F 85 F0 FE FF FF FF 45 E8 FF 4D C0 0F 85 82 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_80651_0 {
	meta:
		name = "EnlargeImage"
		size = 796
		refs = "001b EnlargeImage 0088 :4 008d @DynArraySetLength 00b6 @ROUND 00f5 TBitmap.GetScanline 02ff @DynArrayClear 0305 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 64 FF FF FF 53 56 57 33 C9 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 30 89 45 A4 8B 45 F4 8B 10 FF 52 24 8B D8 8B 45 F4 8B 10 FF 52 30 89 85 74 FF FF FF DB 85 74 FF FF FF DB BD 68 FF FF FF 9B 8B 45 F8 8B 10 FF 52 30 89 85 64 FF FF FF DB 85 64 FF FF FF DB AD 68 FF FF FF DE F1 DD 5D 08 9B 8B 45 F8 8B 10 FF 52 24 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 4B 85 DB 0F 8C 4B 02 00 00 43 89 5D A0 C7 45 E4 00 00 00 00 DB 45 E4 DC 75 08 DD 5D A8 9B DD 45 A8 E8 ?? ?? ?? ?? 89 45 C4 DB 45 C4 DC 6D A8 DD 5D 80 9B DD 45 80 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 08 33 C0 89 45 80 89 45 84 D9 05 ?? ?? ?? ?? DC 65 80 DD 9D 78 FF FF FF 9B 8B 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F0 8B 45 A4 48 85 C0 0F 8C D4 01 00 00 40 89 45 9C C7 45 E8 00 00 00 00 DB 45 E8 DC 75 08 DD 5D A8 9B 8B 45 F8 8B 10 FF 52 30 48 89 85 74 FF FF FF DB 85 74 FF FF FF DC 5D A8 9B DF E0 9E 73 19 8B 45 F8 8B 10 FF 52 30 48 89 85 74 FF FF FF DB 85 74 FF FF FF DD 5D A8 9B DD 45 A8 E8 ?? ?? ?? ?? 89 45 C0 DB 45 C0 DC 6D A8 DD 5D 90 9B DD 45 90 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 08 33 C0 89 45 90 89 45 94 D9 05 ?? ?? ?? ?? DC 65 90 DD 5D 88 9B 33 C0 89 45 D8 89 45 DC 33 C0 89 45 D0 89 45 D4 33 C0 89 45 C8 89 45 CC 33 C0 89 45 BC 8D 85 78 FF FF FF 89 45 98 8B 5D C4 03 5D BC 8B 45 F8 8B 10 FF 52 24 3B D8 7C 0B 8B 45 F8 8B 10 FF 52 24 8B D8 4B 8B 45 FC 83 3C 98 00 75 10 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 89 04 9A 8B 45 FC 8B 04 98 89 45 EC 33 DB 8D 75 88 8B 45 F8 8B 10 FF 52 30 8B 55 C0 03 D3 3B C2 7F 0C 8B 45 F8 8B 10 FF 52 30 48 89 45 C0 8B 45 C0 03 C3 8D 3C 40 DD 06 8B 45 98 DC 08 DD 5D B0 9B 8B 45 EC 0F B6 04 38 89 85 74 FF FF FF DB 85 74 FF FF FF DC 4D B0 DC 45 D8 DD 5D D8 9B 8B 45 EC 0F B6 44 38 01 89 85 74 FF FF FF DB 85 74 FF FF FF DC 4D B0 DC 45 D0 DD 5D D0 9B 8B 45 EC 0F B6 44 38 02 89 85 74 FF FF FF DB 85 74 FF FF FF DC 4D B0 DC 45 C8 DD 5D C8 9B 43 83 C6 08 83 FB 02 0F 85 6A FF FF FF FF 45 BC 83 45 98 08 83 7D BC 02 0F 85 15 FF FF FF 8B 7D E8 8D 3C 7F DD 45 D8 E8 ?? ?? ?? ?? 8B 55 F0 88 04 3A DD 45 D0 E8 ?? ?? ?? ?? 8B 55 F0 88 44 3A 01 DD 45 C8 E8 ?? ?? ?? ?? 8B 55 F0 88 44 3A 02 FF 45 E8 FF 4D 9C 0F 85 37 FE FF FF FF 45 E4 FF 4D A0 0F 85 C0 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_80652_0 {
	meta:
		name = "ScaleImage"
		size = 214
		refs = "001e @ROUND 0041 TBitmap.SetPixelFormat 005b TBitmap.GetCanvas 0068 TBrush.SetColor 007b Rect 00b8 ShrinkImage 00c9 EnlargeImage"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B DA 8B F0 8B C6 8B 10 FF 52 30 89 45 F8 DB 45 F8 DC 4D 08 E8 ?? ?? ?? ?? 8B F8 8B C6 8B 10 FF 52 24 89 45 F8 DB 45 F8 DC 4D 08 E8 ?? ?? ?? ?? 89 45 FC B2 06 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C3 8B 08 FF 51 44 8B 55 FC 8B C3 8B 08 FF 51 38 8B C3 E8 ?? ?? ?? ?? 8B 40 48 BA FF FF FF 1F E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 E8 50 8B CF 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E8 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 B2 06 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 30 8B F8 8B C6 8B 10 FF 52 30 3B F8 7D 11 FF 75 0C FF 75 08 8B D3 8B C6 E8 ?? ?? ?? ?? EB 0F FF 75 0C FF 75 08 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_80653_0 {
	meta:
		name = "ColorToWebColorStr"
		size = 192
		refs = "0014 ColorToWebColorStr 001f ColorToRGB 0063 Format 006e UpperCase 0083 @UStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D F8 89 55 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 50 8B F3 8B C6 0F B6 C0 89 45 E0 C6 45 E4 00 8B C6 C1 E8 08 0F B6 C0 89 45 E8 C6 45 EC 00 8B C6 C1 E8 10 0F B6 C0 89 45 F0 C6 45 F4 00 8D 55 E0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 23 00 25 00 2E 00 32 00 78 00 25 00 2E 00 32 00 78 00 25 00 2E 00 32 00 78 00 00 00 }
	condition:
		$1
}

rule function_80655_0 {
	meta:
		name = "WebColorToRGB"
		size = 184
		refs = "0013 WebColorToRGB 005b Format 0063 StrToInt 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B F3 8B C6 0F B6 C0 89 45 E4 C6 45 E8 00 8B C6 C1 E8 08 0F B6 C0 89 45 EC C6 45 F0 00 8B C6 C1 E8 10 0F B6 C0 89 45 F4 C6 45 F8 00 8D 55 E4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 24 00 25 00 2E 00 32 00 78 00 25 00 2E 00 32 00 78 00 25 00 2E 00 32 00 78 00 00 00 }
	condition:
		$1
}

rule function_80656_0 {
	meta:
		name = "RGBToWebColorStr"
		size = 184
		refs = "0016 RGBToWebColorStr 005e Format 0068 UpperCase 007d @UStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B F3 8B C6 0F B6 C0 89 45 E4 C6 45 E8 00 8B C6 C1 E8 08 0F B6 C0 89 45 EC C6 45 F0 00 8B C6 C1 E8 10 0F B6 C0 89 45 F4 C6 45 F8 00 8D 55 E4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 23 00 25 00 2E 00 32 00 78 00 25 00 2E 00 32 00 78 00 25 00 2E 00 32 00 78 00 00 00 }
	condition:
		$1
}

rule function_80657_0 {
	meta:
		name = "RGBToWebColorName"
		size = 52
		refs = "000c RGBToWebColorStr 0016 WebNamedColors 0024 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? B8 8A 00 00 00 BB ?? ?? ?? ?? 3B 33 75 0C 8B C7 8B 53 04 E8 ?? ?? ?? ?? EB 06 83 C3 08 48 75 EA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80658_0 {
	meta:
		name = "WebColorNameToColor"
		size = 148
		refs = "0014 @UStrAddRef 001c WebColorNameToColor 002c WebNamedColors 0036 CompareText 004d SInvalidColorString 0052 LoadResString 005c _Dn_Exception 0061 Exception.Create 0066 @RaiseExcept 0080 @UStrArrayClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 8A 00 00 00 BB ?? ?? ?? ?? 8B 13 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 05 8B 5B FC EB 27 83 C3 08 4E 75 E7 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80659_0 {
	meta:
		name = "WebColorStrToColor"
		size = 512
		refs = "0018 @UStrAddRef 0020 WebColorStrToColor 005a SInvalidColorString 005f LoadResString 0069 _Dn_Exception 006e Exception.Create 0073 @RaiseExcept 00da Pos 00e8 OffsetValue 00fc @UStrCopy 010c @UStrCat3 0114 StrToInt 01a3 @UStrArrayClr 01ab @UStrClr 01b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 83 F8 06 7D 04 B0 01 EB 11 8B C2 85 C0 74 05 83 E8 04 8B 00 83 F8 07 0F 9F C0 84 C0 74 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 4B BA 01 00 00 00 BE ?? ?? ?? ?? 8B 4D FC 0F B7 4C 51 FE 66 81 F9 FF 00 77 06 0F B7 C9 0F A3 0E 0F 92 C1 84 C9 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 42 48 75 BA 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 0F 94 C0 83 E0 7F 8B 34 85 ?? ?? ?? ?? 8D 45 E8 50 8D 56 01 B9 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 4D E8 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8D 45 E0 50 8D 56 03 B9 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 4D E0 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 88 45 FB 8D 45 D8 50 8D 56 05 B9 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 4D D8 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 0F B6 D3 0F B6 4D FB C1 E1 08 0B D1 0F B6 C0 C1 E0 10 0B D0 8B C2 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 00 00 00 00 00 08 00 FF 03 7E 00 00 00 7E 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_80660_0 {
	meta:
		name = "Compare"
		size = 512
		refs = "003a ColorRGBToHLS"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B DA 33 F6 8B 55 08 0F B6 52 0C 80 EA 03 0F 83 AE 00 00 00 8B 55 08 80 7A 08 00 74 32 8D 55 FA 52 8D 4D FC 8D 55 FE 8B 7D 08 8B 7F FC 8B 04 C7 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 4D F6 8D 55 F8 8B 45 08 8B 40 FC 8B 04 D8 E8 ?? ?? ?? ?? EB 30 8D 55 F4 52 8D 4D F6 8D 55 F8 8B 7D 08 8B 7F FC 8B 04 C7 E8 ?? ?? ?? ?? 8D 45 FA 50 8D 4D FC 8D 55 FE 8B 45 08 8B 40 FC 8B 04 D8 E8 ?? ?? ?? ?? 8B 45 08 0F B6 40 0C 2C 01 72 0B 74 18 FE C8 74 23 E9 59 01 00 00 0F B7 75 F8 0F B7 45 FE 2B F0 E9 4A 01 00 00 0F B7 75 F8 0F B7 45 FE 2B F0 E9 3B 01 00 00 0F B7 75 F6 0F B7 45 FC 2B F0 E9 2C 01 00 00 8B 55 08 80 7A 08 00 74 58 8B 55 08 8B 52 FC 8B 14 C2 8B FA 8B CF 0F B6 C9 66 89 4D F2 8B FA 8B CF C1 E9 08 0F B6 C9 66 89 4D F0 8B C2 C1 E8 10 0F B6 C0 8B 55 08 8B 52 FC 8B 14 DA 8B FA 8B CF 0F B6 C9 66 89 4D EE 8B FA 8B CF C1 E9 08 0F B6 C9 66 89 4D EC C1 EA 10 0F B6 D2 66 89 55 EA EB 6D 8B 55 08 8B 52 FC 8B 14 C2 8B FA 8B CF 0F B6 C9 66 89 4D EE 8B FA 8B CF C1 E9 08 0F B6 C9 66 89 4D EC 8B C2 C1 E8 10 0F B6 C0 66 89 45 EA 8B 45 08 8B 40 FC 8B 04 D8 89 45 E4 0F B6 55 E4 88 55 E3 0F B6 55 E3 66 89 55 F2 89 45 DC 8B 55 DC C1 EA 08 88 55 DB 0F B6 55 DB 66 89 55 F0 89 45 D4 8B 45 D4 C1 E8 10 88 45 D3 0F B6 45 D3 8B 55 08 0F B6 52 0C 80 EA 03 74 0E FE CA 74 16 FE CA 74 1E FE CA 74 25 EB 44 0F B7 75 EE 0F B7 45 F2 2B F0 EB 38 0F B7 75 EC 0F B7 45 F0 2B F0 EB 2C 0F B7 75 EA 0F B7 C0 2B F0 EB 21 0F B7 75 EE 0F B7 55 EC 03 F2 0F B7 55 EA 03 F2 0F B7 55 F2 0F B7 4D F0 03 D1 0F B7 C0 03 D0 2B F2 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80661_0 {
	meta:
		name = "SortColorArray"
		size = 286
		refs = "0016 @DynArrayAddRef 001f TIdentMapEntry 0024 @InitializeRecord 002c SortColorArray 004d Compare 007c @CopyRecord 00fb @FinalizeRecord 0104 TColorArray 0109 @DynArrayClear 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D EC 89 55 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F0 8B 75 EC 8B 7D F0 03 7D EC D1 EF EB 01 43 55 8B D7 8B C3 E8 ?? ?? ?? ?? 59 85 C0 7C F0 EB 01 4E 55 8B D7 8B C6 E8 ?? ?? ?? ?? 59 85 C0 7F F0 3B F3 7C 4F 8D 45 F4 8B 55 FC 8D 14 DA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8D 04 D8 8B 55 FC 8D 14 F2 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8D 04 F0 8D 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B DF 75 04 8B FE EB 06 3B F7 75 02 8B FB 43 4E 3B F3 7D 88 3B 75 F0 7E 14 0F B6 45 0C 50 6A 00 8B CE 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 89 5D F0 3B 5D EC 0F 8C 52 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_80662_0 {
	meta:
		name = "DrawTransparentBitmap"
		size = 138
		refs = "0029 TBitmap.GetPixelFormat 0055 TBitmap.GetCanvas 005a TCanvas.GetHandle 007d AlphaBlend"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F1 8D 7D E8 A5 A5 A5 A5 89 55 FC 8B D8 C6 45 F8 00 C6 45 F9 00 0F B6 45 08 88 45 FA 8B C3 E8 ?? ?? ?? ?? 3C 07 75 06 C6 45 FB 01 EB 04 C6 45 FB 00 FF 75 F8 8B C3 8B 10 FF 52 24 50 8B C3 8B 10 FF 52 30 50 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F4 8B 7D EC 2B C7 50 8B 45 F0 8B 75 E8 2B C6 50 57 56 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80663_0 {
	meta:
		name = "DrawTransparentBitmap"
		size = 150
		refs = "0033 TBitmap.GetPixelFormat 0061 TBitmap.GetCanvas 0066 TCanvas.GetHandle 0089 AlphaBlend"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B 75 0C 8D 7D D8 A5 A5 A5 A5 8B F2 8D 7D E8 A5 A5 A5 A5 89 4D FC 8B D8 C6 45 F8 00 C6 45 F9 00 0F B6 45 08 88 45 FA 8B C3 E8 ?? ?? ?? ?? 3C 07 75 06 C6 45 FB 01 EB 04 C6 45 FB 00 FF 75 F8 8B 45 F4 2B 45 EC 50 8B 45 F0 2B 45 E8 50 8B 45 EC 50 8B 45 E8 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 E4 8B 7D DC 2B C7 50 8B 45 E0 8B 75 D8 2B C6 50 57 56 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_80664_0 {
	meta:
		name = "SplitTransparentBitmap"
		size = 211
		refs = "0017 _Dn_TBitmap 001c TBitmap.Create 003d TBitmap.GetPixelFormat 0046 TBitmap.SetPixelFormat 006b TBitmap.GetScanline 0082 @FillChar 00a5 Rect 00b6 TBitmap.GetCanvas 00c5 DrawTransparentBitmap"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 8B F2 8D 7C 24 04 A5 A5 A5 A5 89 04 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 4C 24 10 2B 4C 24 08 8B 54 24 0C 2B 54 24 04 8B C3 8B 30 FF 56 6C 8B 04 24 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3C 07 75 35 8B C3 8B 10 FF 52 24 8B F0 4E 85 F6 7C 27 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B E8 8B C3 8B 10 FF 52 30 03 C0 03 C0 8B D5 33 C9 92 E8 ?? ?? ?? ?? 47 4E 75 DC 8B C3 8B 10 FF 52 24 50 8D 44 24 18 50 8B C3 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 44 24 14 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C8 8D 54 24 0C 8B 44 24 08 E8 ?? ?? ?? ?? 8B C3 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80665_0 {
	meta:
		name = "LoadCompressedResourceBitmap"
		size = 189
		refs = "000d @UStrAddRef 0015 LoadCompressedResourceBitmap 0022 _Dn_TBitmap 0027 TBitmap.Create 0036 HInstance 003d _Dn_TResourceStream 0042 TResourceStream.Create 004f _Dn_TZDecompressionStream 0054 TZDecompressionStream.Create 0085 TObject.Free 0093 @HandleFinally 00aa @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 50 6A 0A 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F0 8B 45 F8 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_80666_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_2 001a WebNamedColors 0025 TIdentMapEntry 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 8A 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_80667_0 {
	meta:
		name = "Vcl.GraphUtil"
		size = 127
		refs = "0002 _DV_2 000a @GetTls 0012 CachedHighlightLum 001f CachedHighlightColor 002c CachedHighlight 0039 CachedShadowLum 0046 CachedShadowColor 0053 CachedShadow 0060 CachedColorValue 006d CachedLumValue 007a CachedColorAdjustLuma"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 75 E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80674_0 {
	meta:
		name = "GridRect"
		size = 101
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 7C 24 08 A5 A5 8B F0 8D 3C 24 A5 A5 8B 44 24 08 89 01 8B 04 24 3B 44 24 08 7D 02 89 01 8B 04 24 89 41 08 8B 44 24 08 3B 04 24 7E 03 89 41 08 8B 44 24 0C 89 41 04 8B 44 24 04 3B 44 24 0C 7D 03 89 41 04 8B 44 24 04 89 41 0C 8B 44 24 0C 3B 44 24 04 7E 03 89 41 0C 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_80675_0 {
	meta:
		name = "PointInGridRect"
		size = 25
		altNames = "PtInRect"
	strings:
		$1 = { 3B 01 7C 0F 3B 41 08 7F 0A 3B 51 04 7C 05 3B 51 0C 7E 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_80677_0 {
	meta:
		name = "Includes"
		size = 73
		refs = "0015 PtInRect"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 45 08 8B 48 FC 8B 53 04 8B 03 E8 ?? ?? ?? ?? 84 C0 75 18 8B 45 08 8B 48 F8 8B 53 04 8B 03 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 84 C0 74 0A 8B 13 89 16 8B 53 04 89 56 04 5E 5B 5D C3 }
	condition:
		$1
}

rule function_80678_0 {
	meta:
		name = "Build"
		size = 117
		refs = "0019 Includes"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 B3 01 8B 45 0C 50 8B D6 8B C7 E8 ?? ?? ?? ?? 59 84 C0 74 24 8B 45 0C 50 8D 56 08 8B 45 08 E8 ?? ?? ?? ?? 59 84 C0 75 35 8B 45 FC 8B 10 89 56 08 8B 50 04 89 56 0C EB 25 8B 45 0C 50 8B D6 8B 45 FC E8 ?? ?? ?? ?? 59 84 C0 74 10 8B 45 08 8B 10 89 56 08 8B 50 04 89 56 0C EB 02 33 DB 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_80679_0 {
	meta:
		name = "XorRects"
		size = 355
		refs = "001e @FillChar 002c IntersectRect 005d UnionRect 0093 Build"
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 53 56 57 8B D9 89 55 F8 89 45 FC 8B C3 33 C9 BA 40 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8D 45 88 E8 ?? ?? ?? ?? 84 C0 75 1C 8B 45 FC 8B F0 8B FB A5 A5 A5 A5 8B 45 F8 8B F0 8D 7B 10 A5 A5 A5 A5 E9 0C 01 00 00 8B 4D F8 8B 55 FC 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 F0 8B 95 7C FF FF FF 89 55 F4 89 45 E8 8B 55 8C 89 55 EC 89 45 E0 8B 45 94 89 45 E4 55 8D 45 E0 50 8D 4D E8 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 06 8B 45 88 89 43 08 8B 45 88 89 45 D8 8B 85 7C FF FF FF 89 45 DC 8B 55 90 89 55 D0 89 45 D4 8B 55 80 89 55 C8 89 45 CC 55 8D 45 C8 50 8D 4D D0 8D 55 D8 8D 43 10 E8 ?? ?? ?? ?? 59 84 C0 74 06 8B 45 8C 89 43 1C 8B 45 80 89 45 C0 8B 55 8C 89 55 C4 89 45 B8 8B 55 94 89 55 BC 89 45 B0 8B 45 84 89 45 B4 55 8D 45 B0 50 8D 4D B8 8D 55 C0 8D 43 20 E8 ?? ?? ?? ?? 59 84 C0 74 06 8B 45 90 89 43 20 8B 85 78 FF FF FF 89 45 A8 8B 45 84 89 45 AC 8B 55 88 89 55 A0 89 45 A4 8B 55 90 89 55 98 89 45 9C 55 8D 45 98 50 8D 4D A0 8D 55 A8 8D 43 30 E8 ?? ?? ?? ?? 59 84 C0 74 06 8B 45 94 89 43 34 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80680_0 {
	meta:
		name = "ModifyExtents"
		size = 240
		refs = "0019 ModifyExtents 0047 SIndexOutOfRange 004c LoadResString 0054 InvalidOp 0064 STooManyDeleted 0083 SGridTooLarge 00a2 @ReallocMem 00db @UStrArrayClr 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 0F 84 9A 00 00 00 83 3B 00 75 04 33 F6 EB 04 8B 03 8B 30 83 7D FC 00 7C 05 3B 75 FC 7D 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 03 FE 8B F7 85 F6 7D 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 1D 81 FE FE FF FF 07 7C 15 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 85 F6 7E 01 46 8B D6 03 D2 03 D2 8B C3 E8 ?? ?? ?? ?? 83 3B 00 74 1A 8B 45 FC 40 3B F0 7E 0D 8B 13 8B 4D 08 89 0C 82 40 3B F0 7F F3 4E 8B 03 89 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80681_0 {
	meta:
		name = "UpdateExtents"
		size = 28
		refs = "0015 ModifyExtents"
	strings:
		$1 = { 53 56 33 F6 83 38 00 74 04 8B 18 8B 33 51 8B CA 2B CE 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80682_0 {
	meta:
		name = "MoveExtent"
		size = 89
		refs = "002d Move"
	strings:
		$1 = { 53 56 57 55 8B F1 8B D8 83 3B 00 74 47 8B 03 8B 3C 90 3B F2 7E 1D 8B C6 2B C2 8B C8 03 C9 03 C9 8B 03 8D 44 90 04 8B 2B 8D 54 95 00 E8 ?? ?? ?? ?? EB 1C 3B F2 7D 18 8B 03 8D 04 B0 8B 0B 8D 4C B1 04 2B D6 03 D2 03 D2 87 CA E8 ?? ?? ?? ?? 8B 03 89 3C B0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80683_0 {
	meta:
		name = "CompareExtents"
		size = 51
	strings:
		$1 = { 53 56 57 8B FA 33 D2 85 C0 74 1D 85 FF 74 1E 8B 30 85 F6 7C 0F 46 33 C9 8B 1C 88 3B 1C 8F 75 0D 41 4E 75 F4 B2 01 EB 05 85 FF 0F 94 C2 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80686_0 {
	meta:
		name = "TInplaceEdit.Create"
		size = 98
		refs = "000a @ClassCreate 0017 TCustomMaskEdit.Create 0020 TWinControl.SetParentCtl3D 0029 TWinControl.SetCtl3D 0032 TWinControl.SetTabStop 003b TCustomEdit.SetBorderStyle 0044 TWinControl.SetDoubleBuffered 004f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_80687_0 {
	meta:
		name = "TInplaceEdit.CreateParams"
		size = 16
		refs = "0006 TCustomEdit.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 83 4B 04 04 5B C3 }
	condition:
		$1
}

rule function_80688_0 {
	meta:
		name = "TInplaceEdit.SetGrid"
		size = 7
	strings:
		$1 = { 89 90 C8 02 00 00 C3 }
	condition:
		$1
}

rule function_80690_0 {
	meta:
		name = "TInplaceEdit.WMGetDlgCode"
		size = 37
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 8B 83 C8 02 00 00 F6 80 BD 02 00 00 08 74 04 83 4E 0C 02 5E 5B C3 }
	condition:
		$1
}

rule function_80691_0 {
	meta:
		name = "TInplaceEdit.WMPaste"
		size = 32
		refs = "0019 TCustomMaskEdit.WMPaste"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 1C 01 00 00 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80693_0 {
	meta:
		name = "TInplaceEdit.WMCut"
		size = 32
		refs = "0019 TCustomMaskEdit.WMCut"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 1C 01 00 00 84 C0 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80692_0 {
	meta:
		name = "TInplaceEdit.WMClear"
		size = 32
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 1C 01 00 00 84 C0 74 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_80694_0 {
	meta:
		name = "TInplaceEdit.DblClick"
		size = 18
		refs = "000c @CallDynaInst"
	strings:
		$1 = { 56 8B 80 C8 02 00 00 66 BE EB FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_80695_0 {
	meta:
		name = "TInplaceEdit.DoMouseWheel"
		size = 53
		refs = "0029 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 57 8B 75 08 8D 7D F4 A5 A5 66 89 55 FE 8B F0 8D 45 F4 50 0F B7 55 FE 8B 86 C8 02 00 00 66 BE E4 FF E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80696_0 {
	meta:
		name = "TInplaceEdit.EditCanModify"
		size = 18
		refs = "000c @CallDynaInst"
	strings:
		$1 = { 56 8B 80 C8 02 00 00 66 BE AB FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_80697_0 {
	meta:
		name = "SendToParent"
		size = 52
		refs = "0022 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 56 8B 45 08 0F B7 48 F6 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC 8B 80 C8 02 00 00 66 BE B9 FF E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 66 C7 00 00 00 5E 5D C3 }
	condition:
		$1
}

rule function_80698_0 {
	meta:
		name = "ParentEvent"
		size = 69
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 08 8B 40 FC 8B 80 C8 02 00 00 8B 90 20 02 00 00 89 55 F8 8B 90 24 02 00 00 89 55 FC 66 83 7D FA 00 74 16 8B 55 08 0F B7 52 F6 52 8B 55 08 8B 4A F8 8B D0 8B 45 FC FF 55 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_80699_0 {
	meta:
		name = "ForwardMovement"
		size = 27
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 80 C8 02 00 00 F6 80 BD 02 00 00 20 0F 95 C0 5D C3 }
	condition:
		$1
}

rule function_80700_0 {
	meta:
		name = "Ctrl"
		size = 15
	strings:
		$1 = { 55 8B EC 8B 45 08 F6 40 F6 04 0F 95 C0 5D C3 }
	condition:
		$1
}

rule function_80701_0 {
	meta:
		name = "Selection"
		size = 36
		refs = "0017 TWinControl.GetHandle 001d SendMessage"
	strings:
		$1 = { 55 8B EC 53 8B D8 8D 43 04 50 53 68 B0 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_80702_0 {
	meta:
		name = "CaretPos"
		size = 57
		refs = "000b GetCaretPos 002b TWinControl.GetHandle 0031 SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8D 45 F8 50 E8 ?? ?? ?? ?? 0F B7 45 F8 0F B7 55 FC C1 E2 10 0B C2 50 6A 00 68 D7 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_80703_0 {
	meta:
		name = "RightSide"
		size = 88
		refs = "0010 Selection 001c TCustomMaskEdit.GetTextLen 0027 CaretPos"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B 45 08 50 8D 45 F8 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 8B 45 08 50 E8 ?? ?? ?? ?? 59 3B F0 75 1C 8B 5D F8 85 DB 74 05 3B 5D FC 75 10 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3B 45 FC 74 04 33 C0 EB 02 B0 01 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80704_0 {
	meta:
		name = "LeftSide"
		size = 73
		refs = "000f Selection 0019 CaretPos 0036 TCustomMaskEdit.GetTextLen"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B 45 08 50 8D 45 F8 E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 85 C0 75 1C 83 7D F8 00 75 16 8B 5D FC 85 DB 74 13 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3B D8 74 04 33 C0 EB 02 B0 01 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80705_0 {
	meta:
		name = "TInplaceEdit.KeyDown"
		size = 568
		refs = "008a SendToParent 0097 TInplaceEdit.KeyDown 00cc @CallDynaInst 00e7 ForwardMovement 00f6 Ctrl 0101 LeftSide 0136 RightSide 01b0 ParentEvent 01c2 TInplaceEdit.Deselect 0224 TCustomMaskEdit.KeyDown"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 66 89 4D F6 89 55 F8 89 45 FC 8B 45 F8 0F B7 00 83 F8 26 7F 3D 74 6A 83 F8 23 7F 21 0F 84 5B 01 00 00 83 E8 09 0F 84 96 01 00 00 83 E8 12 74 51 83 C0 FA 83 E8 02 72 49 E9 C5 01 00 00 83 E8 24 0F 84 02 01 00 00 48 0F 84 91 00 00 00 E9 B0 01 00 00 83 F8 2D 7F 13 74 34 83 E8 27 0F 84 B1 00 00 00 48 74 1C E9 98 01 00 00 83 E8 2E 0F 84 5D 01 00 00 83 E8 43 0F 84 2B 01 00 00 E9 81 01 00 00 55 E8 ?? ?? ?? ?? 59 E9 75 01 00 00 0F B7 05 ?? ?? ?? ?? 66 3B 45 F6 75 0C 55 E8 ?? ?? ?? ?? 59 E9 5C 01 00 00 0F B7 05 ?? ?? ?? ?? 66 3B 45 F6 0F 85 4B 01 00 00 8B 45 FC 8B 80 C8 02 00 00 66 BE AB FF E8 ?? ?? ?? ?? 84 C0 0F 85 31 01 00 00 8B 45 F8 66 C7 00 00 00 E9 24 01 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 15 01 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 75 0F 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 FB 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 EF 00 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 E0 00 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 75 0F 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 C6 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 BA 00 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 AB 00 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 75 0F 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 91 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 85 00 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 74 7A 55 E8 ?? ?? ?? ?? 59 84 C0 75 0B 55 E8 ?? ?? ?? ?? 59 84 C0 74 64 55 E8 ?? ?? ?? ?? 59 EB 5B 55 E8 ?? ?? ?? ?? 59 8B 45 F8 66 83 38 71 75 4B 8B 45 FC E8 ?? ?? ?? ?? EB 60 F6 45 F6 02 75 3B 55 E8 ?? ?? ?? ?? 59 EB 32 55 E8 ?? ?? ?? ?? 59 84 C0 74 09 55 E8 ?? ?? ?? ?? 59 EB 1E 8B 45 FC 8B 80 C8 02 00 00 66 BE AB FF E8 ?? ?? ?? ?? 84 C0 75 08 8B 45 F8 66 C7 00 00 00 8B 45 F8 66 83 38 00 74 16 55 E8 ?? ?? ?? ?? 59 8B 55 F8 0F B7 4D F6 8B 45 FC E8 ?? ?? ?? ?? 5E 8B E5 5D C3 00 00 00 00 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_80706_0 {
	meta:
		name = "TInplaceEdit.KeyPress"
		size = 236
		refs = "0017 @CallDynaInst 003f MessageBeep 008b TWinControl.GetHandle 0091 SendMessage 009e TCustomMaskEdit.GetTextLen 00ab TInplaceEdit.Deselect 00b4 TCustomEdit.SelectAll 00e2 TCustomMaskEdit.KeyPress"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B DA 8B F8 8B D3 8B 87 C8 02 00 00 66 BE B7 FF E8 ?? ?? ?? ?? 66 83 3B 20 72 22 0F B7 13 8B 87 C8 02 00 00 66 BE AD FF E8 ?? ?? ?? ?? 84 C0 75 0C 66 C7 03 00 00 6A 00 E8 ?? ?? ?? ?? 0F B7 03 83 F8 16 7F 11 74 72 83 E8 08 74 6D 48 74 1D 83 E8 04 74 1F EB 7B 83 E8 18 74 5E 83 E8 03 74 0C 83 C0 FB 2D E0 FF 00 00 72 4F EB 65 66 C7 03 00 00 EB 5E 8D 44 24 04 50 8D 44 24 04 50 68 B0 00 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 3C 24 00 75 16 8B C7 E8 ?? ?? ?? ?? 3B 44 24 04 75 09 8B C7 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 66 C7 03 00 00 EB 18 8B 87 C8 02 00 00 66 BE AB FF E8 ?? ?? ?? ?? 84 C0 75 05 66 C7 03 00 00 66 83 3B 00 74 09 8B D3 8B C7 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80707_0 {
	meta:
		name = "TInplaceEdit.KeyUp"
		size = 28
		refs = "0015 @CallDynaInst"
	strings:
		$1 = { 56 51 66 89 0C 24 0F B7 0C 24 8B 80 C8 02 00 00 66 BE B8 FF E8 ?? ?? ?? ?? 5A 5E C3 }
	condition:
		$1
}

rule function_80708_0 {
	meta:
		name = "TInplaceEdit.WndProc"
		size = 123
		refs = "001c GetParentForm 004b GetMessageTime 0058 GetDoubleClickTime 0073 TWinControl.WndProc"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 06 83 E8 07 74 09 2D FA 01 00 00 74 35 EB 57 B2 01 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1B B2 01 8B C3 E8 ?? ?? ?? ?? 8B 93 C8 02 00 00 8B 08 FF 91 1C 01 00 00 84 C0 74 38 8B D6 8B C3 8B 08 FF 51 EC EB 2D E8 ?? ?? ?? ?? 8B F8 2B BB CC 02 00 00 E8 ?? ?? ?? ?? 3B F8 73 06 C7 06 03 02 00 00 33 C0 89 83 CC 02 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80709_0 {
	meta:
		name = "TInplaceEdit.Deselect"
		size = 30
		refs = "0012 TWinControl.GetHandle 0018 SendMessage"
	strings:
		$1 = { 53 8B D8 6A FF 68 FF FF FF 7F 68 B1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80710_0 {
	meta:
		name = "TInplaceEdit.Invalidate"
		size = 131
		refs = "000b TWinControl.GetHandle 0011 ValidateRect 0022 InvalidateRect 0030 GetClientRect 0050 MapWindowPoints"
	strings:
		$1 = { 53 83 C4 F0 8B D8 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A FF 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 8D 44 24 04 50 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 54 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8D 44 24 04 50 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_80711_0 {
	meta:
		name = "TInplaceEdit.Hide"
		size = 102
		refs = "0007 TWinControl.HandleAllocated 0012 TWinControl.GetHandle 0018 IsWindowVisible 0023 TInplaceEdit.Invalidate 003f SetWindowPos 004a @CallDynaInst 005f SetFocus"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 43 8B C3 E8 ?? ?? ?? ?? 68 8C 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 74 11 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80712_0 {
	meta:
		name = "TInplaceEdit.PosEqual"
		size = 64
		refs = "000d TWinControl.GetHandle 0013 GetWindowRect 002d MapWindowPoints 0036 EqualRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 8D 44 24 04 50 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_80713_0 {
	meta:
		name = "TInplaceEdit.InternalMove"
		size = 174
		refs = "000d IsRectEmpty 0018 TInplaceEdit.Hide 0032 TWinControl.GetHandle 0038 IsWindowVisible 004b TInplaceEdit.Invalidate 0070 SetWindowPos 0094 @CallDynaInst 00a5 SetFocus"
	strings:
		$1 = { 53 56 57 55 8B D9 8B F2 8B F8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C7 E8 ?? ?? ?? ?? E9 88 00 00 00 8B C7 8B 10 FF 92 B4 00 00 00 84 DB 75 15 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 8B C7 E8 ?? ?? ?? ?? 6A 48 8B 46 0C 2B 46 04 50 8B 46 08 8B 2E 2B C5 50 8B 46 04 50 55 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 30 01 00 00 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 8B 87 C8 02 00 00 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 74 0D 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80718_0 {
	meta:
		name = "TInplaceEdit.SetFocus"
		size = 35
		refs = "0006 TWinControl.GetHandle 000c IsWindowVisible 001d SetFocus"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0D 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80719_0 {
	meta:
		name = "TInplaceEdit.UpdateContents"
		size = 186
		refs = "0010 TInplaceEdit.UpdateContents 001f TCustomMaskEdit.SetText 0040 @CallDynaInst 004a TCustomMaskEdit.SetEditMask 008d TCustomMaskEdit.SetMaxLength 00a7 @UStrArrayClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8B BB C8 02 00 00 8B 8F 94 02 00 00 8B 97 90 02 00 00 8B C7 66 BE A6 FF E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 50 8B BB C8 02 00 00 8B 8F 94 02 00 00 8B 97 90 02 00 00 8B C7 66 BE A9 FF E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 66 BE A7 FF E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80721_0 {
	meta:
		name = "TCustomGrid.Create"
		size = 424
		refs = "000e @ClassCreate 001c TCustomControl.Create 0021 NewStyleControls 002b TCustomGrid.Create 00d0 GetShadowColor 00fa TControl.SetColor 0103 TControl.SetParentColor 010c TWinControl.SetTabStop 0172 TCustomGrid.Initialize 017f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 0A A1 ?? ?? ?? ?? 89 43 58 EB 08 A1 ?? ?? ?? ?? 89 43 58 C6 83 89 02 00 00 01 C7 83 8C 02 00 00 05 00 00 00 C7 83 C8 02 00 00 05 00 00 00 C7 83 A4 02 00 00 01 00 00 00 C7 83 A8 02 00 00 01 00 00 00 C7 83 B8 02 00 00 01 00 00 00 A1 ?? ?? ?? ?? 89 83 BC 02 00 00 A1 ?? ?? ?? ?? 89 83 22 03 00 00 C7 83 AC 02 00 00 0F 00 00 FF C6 83 CC 02 00 00 03 C6 83 88 02 00 00 01 C7 83 98 02 00 00 40 00 00 00 C7 83 9C 02 00 00 18 00 00 00 C6 83 04 03 00 00 01 C6 83 A0 02 00 00 01 BA E7 FF FF FF B8 F0 F0 F0 00 E8 ?? ?? ?? ?? 89 83 B0 02 00 00 C7 83 B4 02 00 00 FF FF FF 00 C6 83 21 03 00 00 01 C6 83 05 03 00 00 00 BA 05 00 00 FF 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 F7 AB 98 02 00 00 50 8B 83 C8 02 00 00 F7 AB 9C 02 00 00 50 8B 4B 4C 8B 53 48 8B C3 8B 30 FF 96 A4 00 00 00 C7 83 30 03 00 00 FF FF FF FF C7 83 34 03 00 00 FF FF FF FF C6 83 38 03 00 00 00 8B 83 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 88 50 10 0F B6 15 ?? ?? ?? ?? 88 50 11 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 C2 00 2A 00 D2 00 2A 00 1F 00 00 00 C0 00 00 00 12 00 00 00 }
	condition:
		$1
}

rule function_80722_0 {
	meta:
		name = "TCustomGrid.Destroy"
		size = 88
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0025 TCustomControl.Destroy 0030 @FreeMem 0051 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 F4 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 F4 02 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 08 03 00 00 E8 ?? ?? ?? ?? 8B 86 0C 03 00 00 E8 ?? ?? ?? ?? 8B 86 10 03 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80723_0 {
	meta:
		name = "DoSizeAdjust"
		size = 286
		refs = "0018 DoSizeAdjust 003f STooManyDeleted 0044 LoadResString 004c InvalidOp 00a9 ModifyExtents 0107 @UStrClr 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 00 8B 55 0C 03 42 FC 89 45 F4 8B 45 0C 8B 40 F8 3B 45 F4 7E 15 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 0C 83 78 FC 00 7D 30 83 3B 00 74 2B 33 C0 89 45 F8 8B 45 0C 8B 50 F8 8B 45 0C 8B 40 F8 8B 4D 0C 2B 41 FC 48 2B C2 7C 1A 40 8B 0B 8B 0C 91 01 4D F8 42 48 75 F4 EB 0B 8B 45 0C 8B 40 FC F7 EE 89 45 F8 83 3B 00 74 14 56 8B 45 0C 8B 48 FC 8B 45 0C 8B 50 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 10 8B 45 08 8B 00 8B 55 0C 3B 42 F8 7C 34 8B 45 0C 83 78 FC 00 7D 20 8B 45 0C 8B 40 F8 8B 55 0C 2B 42 FC 8B 55 08 3B 02 7E 0D 8B 45 0C 8B 40 F8 8B 55 08 89 02 EB 0B 8B 45 0C 8B 40 FC 8B 55 08 01 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80724_0 {
	meta:
		name = "TCustomGrid.AdjustSize"
		size = 352
		refs = "0087 DoSizeAdjust 00e9 TCustomGrid.GridRectToScreenRect 00f1 IsRectEmpty 0109 TWinControl.GetHandle 010f ScrollWindow 011c UpdateWindow 012d @CallDynaInst 0153 TCustomGrid.MoveCurrent"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 4D FC 89 55 F8 8B F8 83 7D FC 00 0F 84 3C 01 00 00 8B 87 90 02 00 00 89 45 F0 8B 87 94 02 00 00 89 45 F4 8B 87 8C 02 00 00 89 45 E8 8B 97 C8 02 00 00 89 55 EC 8B 8F A4 02 00 00 89 4D D4 48 89 45 DC 8B 87 A8 02 00 00 89 45 D8 4A 89 55 E0 33 F6 33 C0 89 45 E4 8B 5D FC 85 DB 7D 02 F7 DB 80 7D 08 00 74 39 55 8D 45 F4 50 8D 97 0C 03 00 00 8D 87 C8 02 00 00 8B 8F 9C 02 00 00 E8 ?? ?? ?? ?? 59 89 45 E4 8B 45 F8 89 45 D8 03 5D F8 8B 87 D4 02 00 00 3B D8 7F 3C 48 89 45 E0 EB 36 55 8D 45 F0 50 8D 97 08 03 00 00 8D 87 8C 02 00 00 8B 8F 98 02 00 00 E8 ?? ?? ?? ?? 59 8B F0 8B 45 F8 89 45 D4 03 5D F8 8B 87 D0 02 00 00 3B D8 7F 04 48 89 45 DC 6A 01 8D 4D C4 8D 55 D4 8B C7 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 84 C0 75 27 8D 45 C4 50 8D 45 C4 50 8B 45 E4 50 56 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 4D EC 8B 55 E8 8B C7 66 BE A2 FF E8 ?? ?? ?? ?? 8B 45 F0 3B 87 90 02 00 00 75 0B 8B 55 F4 3B 97 94 02 00 00 74 10 6A 01 6A 01 8B 4D F4 8B D0 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80725_0 {
	meta:
		name = "TCustomGrid.BoxRect"
		size = 49
		refs = "0026 TCustomGrid.GridRectToScreenRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 8B F0 89 55 F0 8B 45 10 89 45 F8 89 4D F4 8B 45 0C 89 45 FC 6A 00 8B 4D 08 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_80726_0 {
	meta:
		name = "TCustomGrid.DoExit"
		size = 268
		refs = "0013 TCustomGrid.DoExit 0047 TLinkObservers.GetEditGridLink 008c @HandleAnyException 00b8 @RaiseAgain 00bd @DoneExcept 00c5 TWinControl.DoExit 00d9 TCustomGrid.HideEditor 00ef IEditGridLinkObserver 00f9 @FinalizeArray 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 20 BA 02 00 00 00 8B 08 FF 51 14 84 C0 0F 84 8A 00 00 00 8B 45 FC 8B 10 FF 52 20 8B D8 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 44 84 C0 74 6A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 20 8B D8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 20 33 C0 5A 59 59 64 89 10 EB 36 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 20 8B D8 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 28 8B 45 FC 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 80 BD 02 00 00 20 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80727_0 {
	meta:
		name = "TCustomGrid.CellRect"
		size = 36
		refs = "0019 TCustomGrid.BoxRect"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 56 57 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_80730_0 {
	meta:
		name = "TCustomGrid.CanEditModify"
		size = 8
	strings:
		$1 = { 0F B6 80 89 02 00 00 C3 }
	condition:
		$1
}

rule function_80731_0 {
	meta:
		name = "TCustomGrid.CanEditShow"
		size = 88
		refs = "000b TCustomGrid.CanEditShow 002b TWinControl.HandleAllocated 003f TCustomGrid.IsActiveControl"
	strings:
		$1 = { 53 8B D8 8B 83 BC 02 00 00 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 75 2E 80 BB 05 03 00 00 00 74 25 F6 43 1C 10 75 1F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 F6 83 BD 02 00 00 20 75 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 00 00 14 00 00 00 04 00 00 }
	condition:
		$1
}

rule function_80732_0 {
	meta:
		name = "TCustomGrid.IsActiveControl"
		size = 98
		refs = "000c GetParentForm 001e Screen 0032 GetFocus 0048 GetParent 0050 IsWindow"
	strings:
		$1 = { 53 56 57 8B F8 33 DB B2 01 8B C7 E8 ?? ?? ?? ?? 85 C0 74 1D 3B B8 98 02 00 00 75 0D 8B 15 ?? ?? ?? ?? 8B 12 3B 42 68 74 04 33 DB EB 2F B3 01 EB 2B E8 ?? ?? ?? ?? 8B F0 EB 14 3B B7 60 02 00 00 75 04 B3 01 EB 08 56 E8 ?? ?? ?? ?? 8B F0 56 E8 ?? ?? ?? ?? 85 C0 74 04 84 DB 74 DE 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80733_0 {
	meta:
		name = "TCustomGrid.IsGradientEndColorStored"
		size = 29
		refs = "000e GetShadowColor"
	strings:
		$1 = { 53 8B D8 BA E7 FF FF FF B8 F0 F0 F0 00 E8 ?? ?? ?? ?? 3B 83 B0 02 00 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_80739_0 {
	meta:
		name = "TCustomGrid.HideEditor"
		size = 13
		refs = "0008 TCustomGrid.HideEdit"
	strings:
		$1 = { C6 80 05 03 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80740_0 {
	meta:
		name = "TCustomGrid.ShowEditor"
		size = 13
		refs = "0008 TCustomGrid.UpdateEdit"
	strings:
		$1 = { C6 80 05 03 00 00 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80741_0 {
	meta:
		name = "TCustomGrid.ShowEditorChar"
		size = 52
		refs = "000a TCustomGrid.ShowEditor 0026 TWinControl.GetHandle 002c PostMessage"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 F4 02 00 00 85 F6 74 18 6A 00 0F B7 C7 50 68 02 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80742_0 {
	meta:
		name = "TCustomGrid.InvalidateEditor"
		size = 26
		refs = "0015 TCustomGrid.UpdateEdit"
	strings:
		$1 = { C7 80 F8 02 00 00 FF FF FF FF C7 80 FC 02 00 00 FF FF FF FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80743_0 {
	meta:
		name = "TCustomGrid.ReadColWidths"
		size = 67
		refs = "000d TReader.CheckValue 0022 TReader.ReadInteger 002d TCustomGrid.SetColWidths"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 B2 01 8B C5 E8 ?? ?? ?? ?? 8B 9F 8C 02 00 00 4B 85 DB 7C 19 43 33 F6 8B C5 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? 46 4B 75 EA 33 D2 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80744_0 {
	meta:
		name = "TCustomGrid.ReadRowHeights"
		size = 67
		refs = "000d TReader.CheckValue 0022 TReader.ReadInteger 002d TCustomGrid.SetRowHeights"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 B2 01 8B C5 E8 ?? ?? ?? ?? 8B 9F C8 02 00 00 4B 85 DB 7C 19 43 33 F6 8B C5 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? 46 4B 75 EA 33 D2 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80745_0 {
	meta:
		name = "TCustomGrid.WriteColWidths"
		size = 67
		refs = "000d TWriter.WriteValue 0024 TCustomGrid.GetColWidths 002d TWriter.WriteInteger"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 B2 01 8B C5 E8 ?? ?? ?? ?? 8B 9F 8C 02 00 00 4B 85 DB 7C 19 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 46 4B 75 EA 33 D2 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80746_0 {
	meta:
		name = "TCustomGrid.WriteRowHeights"
		size = 67
		refs = "000d TWriter.WriteValue 0024 TCustomGrid.GetRowHeights 002d TWriter.WriteInteger"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 B2 01 8B C5 E8 ?? ?? ?? ?? 8B 9F C8 02 00 00 4B 85 DB 7C 19 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 46 4B 75 EA 33 D2 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80747_0 {
	meta:
		name = "DoColWidths"
		size = 64
		refs = "0024 CompareExtents"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 20 85 DB 74 1C 8B 45 08 8B 40 F8 8B 90 08 03 00 00 8B 83 08 03 00 00 E8 ?? ?? ?? ?? 34 01 5B 5D C3 8B 45 08 8B 40 F8 83 B8 08 03 00 00 00 0F 95 C0 5B 5D C3 }
	condition:
		$1
}

rule function_80748_0 {
	meta:
		name = "DoRowHeights"
		size = 64
		refs = "0024 CompareExtents"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 20 85 DB 74 1C 8B 45 08 8B 40 F8 8B 90 0C 03 00 00 8B 83 0C 03 00 00 E8 ?? ?? ?? ?? 34 01 5B 5D C3 8B 45 08 8B 40 F8 83 B8 0C 03 00 00 00 0F 95 C0 5B 5D C3 }
	condition:
		$1
}

rule function_80749_0 {
	meta:
		name = "TCustomGrid.DefineProperties"
		size = 192
		refs = "0014 TWinControl.DefineProperties 0029 TCustomGrid.ReadColWidths 0032 TCustomGrid.WriteColWidths 0038 DoColWidths 0040 TCustomGrid.DefineProperties 0051 TCustomGrid.ReadRowHeights 005a TCustomGrid.WriteRowHeights 0060 DoRowHeights"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 21 03 00 00 00 74 50 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6C 00 57 00 69 00 64 00 74 00 68 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 6F 00 77 00 48 00 65 00 69 00 67 00 68 00 74 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_80750_0 {
	meta:
		name = "TCustomGrid.MoveColumn"
		size = 209
		refs = "002d MoveExtent 004d TCustomGrid.MoveAdjust 007a TCustomGrid.GetVisibleRowCount 009b TCustomGrid.InvalidateRect 00aa @CallDynaInst 00c5 TCustomGrid.UpdateEdit"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F9 8B F2 8B D8 3B FE 0F 84 B4 00 00 00 83 BB 08 03 00 00 00 74 23 8D 4F 01 8D 6E 01 8B D5 8D 83 08 03 00 00 E8 ?? ?? ?? ?? 8D 4F 01 8B D5 8D 83 10 03 00 00 E8 ?? ?? ?? ?? 57 8D 93 90 02 00 00 8B CE 8B C3 E8 ?? ?? ?? ?? 57 8D 93 80 02 00 00 8B CE 8B C3 E8 ?? ?? ?? ?? 57 8D 93 F8 02 00 00 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 89 44 24 0C 3B FE 7E 09 89 34 24 89 7C 24 08 EB 07 89 3C 24 89 74 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 66 BE A4 FF E8 ?? ?? ?? ?? 83 BB 08 03 00 00 00 74 0B 8B C3 66 BE 9F FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80752_0 {
	meta:
		name = "TCustomGrid.MoveRow"
		size = 129
		refs = "001f MoveExtent 002f TCustomGrid.MoveAdjust 005e @CallDynaInst 0079 TCustomGrid.UpdateEdit"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 83 BB 0C 03 00 00 00 74 11 8D 4F 01 8D 56 01 8D 83 0C 03 00 00 E8 ?? ?? ?? ?? 57 8D 93 94 02 00 00 8B CE 8B C3 E8 ?? ?? ?? ?? 57 8D 93 84 02 00 00 8B CE 8B C3 E8 ?? ?? ?? ?? 57 8D 93 FC 02 00 00 8B CE 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 66 BE A3 FF E8 ?? ?? ?? ?? 83 BB 0C 03 00 00 00 74 0B 8B C3 66 BE 9E FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80754_0 {
	meta:
		name = "TCustomGrid.MouseCoord"
		size = 81
		refs = "0019 TCustomGrid.CalcDrawInfo 002a TCustomGrid.CalcCoordFromPoint"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8D 55 98 8B C6 E8 ?? ?? ?? ?? 8D 45 98 50 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 83 3B 00 7D 09 C7 43 04 FF FF FF FF EB 0C 83 7B 04 00 7D 06 C7 03 FF FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80755_0 {
	meta:
		name = "TCustomGrid.MoveColRow"
		size = 24
		refs = "000f TCustomGrid.MoveCurrent"
	strings:
		$1 = { 55 8B EC 53 0F B6 5D 0C 53 0F B6 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_80758_0 {
	meta:
		name = "TCustomGrid.Sizing"
		size = 88
		refs = "0023 TCustomGrid.CalcDrawInfo"
	strings:
		$1 = { 53 56 57 83 C4 90 8B F9 8B F2 8B D8 0F B6 83 20 03 00 00 88 04 24 80 3C 24 00 75 2E 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 54 8D 44 24 08 50 8D 44 24 10 50 8D 44 24 18 50 8D 44 24 20 50 8B CF 8B D6 8B C3 8B 18 FF 93 FC 00 00 00 80 3C 24 00 0F 95 C0 83 C4 70 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80759_0 {
	meta:
		name = "TCustomGrid.TopLeftChanged"
		size = 62
		refs = "0028 TCustomGrid.CellRect 0035 TInplaceEdit.UpdateLoc"
	strings:
		$1 = { 53 83 C4 F0 8B D8 80 BB 05 03 00 00 00 74 2A 83 BB F4 02 00 00 00 74 21 54 8B 8B 94 02 00 00 8B 93 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B D4 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_80760_0 {
	meta:
		name = "FillDWord"
		size = 11
	strings:
		$1 = { 87 D1 57 89 C7 89 D0 F3 AB 5F C3 }
	condition:
		$1
}

rule function_80761_0 {
	meta:
		name = "StackAlloc"
		size = 48
	strings:
		$1 = { 59 89 E2 83 C0 03 83 E0 FC 3D FC 0F 00 00 7E 13 81 EC FC 0F 00 00 50 2D 00 10 00 00 79 F2 05 00 10 00 00 29 C4 89 E0 52 89 E2 83 EA 04 52 51 C3 }
	condition:
		$1
}

rule function_80762_0 {
	meta:
		name = "StackFree"
		size = 21
	strings:
		$1 = { 59 8B 14 24 83 E8 08 39 E2 75 08 39 C2 75 04 8B 64 24 04 51 C3 }
	condition:
		$1
}

rule function_80763_0 {
	meta:
		name = "DrawAxisLines"
		size = 483
		refs = "003b TPen.SetWidth 004f TPen.SetColor 0097 ExtCreatePen 00a1 TPen.SetHandle 00de @CallDynaInst 01d0 TCanvas.GetHandle 01d6 PolyPolyline"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 4D FC 8B FA 8B D8 8B 45 0C 8B 40 1C 8B 40 FC 8B B0 78 02 00 00 83 3B 00 0F 84 B2 01 00 00 8B 45 0C 8B 40 1C 8B 40 FC 8B 90 B8 02 00 00 8B 46 44 E8 ?? ?? ?? ?? 80 7D 08 00 74 10 8B 45 0C 8B 50 0C 8B 46 44 E8 ?? ?? ?? ?? EB 0E 8B 45 0C 8B 50 08 8B 46 44 E8 ?? ?? ?? ?? 8B 46 44 8B 40 10 83 78 1C 01 7E 36 33 D2 89 55 D4 8B 40 18 89 45 D8 33 C0 89 45 DC 6A 00 6A 00 8D 45 D4 50 8B 46 44 8B 40 10 8B 40 1C 50 68 00 22 01 00 E8 ?? ?? ?? ?? 8B D0 8B 46 44 E8 ?? ?? ?? ?? 8B 45 0C 8B 40 1C 8B 40 F8 89 45 F0 8B D7 8B 43 2C FF 53 28 8B 55 0C 8B 52 14 8B 4D FC 8B 14 8A 8B 0B D1 E9 03 D1 03 C2 89 45 F8 8B 45 0C 8B 40 1C 8B 40 FC 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 09 83 7D FC 00 75 03 FF 45 F8 8B 45 FC 83 F0 01 8B 55 0C 8B 52 14 8B 14 82 89 55 E8 83 C0 02 8B 55 0C 8B 52 14 8B 04 82 89 45 E4 8B 45 FC 83 C0 02 8B 55 0C 8B 52 14 8B 04 82 03 03 89 45 EC 8B 45 0C 8B 40 1C 8B 40 F4 03 C0 03 C0 89 45 E0 33 C0 89 45 F4 8B 45 F4 03 45 FC 8B 55 F0 8B 4D F8 89 0C 82 8B 45 FC 83 F0 01 8B D0 03 55 F4 8B 4D F0 8B 75 E8 89 34 91 83 45 F4 02 8B 55 F4 03 55 FC 8B 4D F0 8B 75 F8 89 34 91 03 45 F4 8B 55 F0 8B 4D E4 89 0C 82 83 45 F4 02 47 8B D7 8B 43 2C FF 53 28 03 03 85 C0 7F 05 3B 7B 10 7E EC 01 45 F8 8B 45 F8 3B 45 EC 7F 0D 3B 7B 10 7F 08 8B 45 F4 3B 45 E0 7E 8E 8B 45 F4 C1 E8 02 50 8B 45 0C 8B 40 1C 8B 40 F0 50 8B 45 F0 50 8B 45 0C 8B 40 1C 8B 40 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80764_0 {
	meta:
		name = "DrawLines"
		size = 144
		refs = "0040 DrawAxisLines"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B D8 8B 7D 18 8B 45 14 8B 00 8B 55 14 3B 42 08 74 6A 8B 45 14 8B 40 04 8B 55 14 3B 42 0C 74 5C 84 DB 75 2D 55 53 8B 45 1C 83 C0 C0 B9 01 00 00 00 8B D7 E8 ?? ?? ?? ?? 59 55 0F B6 45 FF 50 8B 45 1C 83 C0 90 33 C9 8B D6 E8 ?? ?? ?? ?? 59 EB 2B 55 0F B6 45 FF 50 8B 45 1C 83 C0 90 33 C9 8B D6 E8 ?? ?? ?? ?? 59 55 53 8B 45 1C 83 C0 C0 B9 01 00 00 00 8B D7 E8 ?? ?? ?? ?? 59 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_80765_0 {
	meta:
		name = "DrawCells"
		size = 1092
		refs = "0032 TCustomGrid.GetRowHeights 0046 TCustomGrid.GetColWidths 0069 TCanvas.GetHandle 006f RectVisible 00ba TCustomGrid.IsActiveControl 00e7 SetCaretPos 00fb PointInGridRect 0150 TCanvas.SetFont 016a DrawCells 026c TStyleManager.GetIsCustomStyleActive 0293 DrawEdge 033a Win32MajorVersion 0356 InflateRect 0368 TBrush.SetStyle 0386 DrawStyleFocusRect 0393 @CallDynaInst 03ae DrawFocusRect"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 89 4D F8 89 45 FC 8B 5D 1C 83 C3 FC 89 55 F4 8B 45 18 89 45 D4 E9 F2 03 00 00 8B 7D FC 8B 45 F8 89 45 D0 8B 03 8B 55 F4 E8 ?? ?? ?? ?? 03 45 D4 89 45 DC E9 AF 03 00 00 8B 03 8B D7 E8 ?? ?? ?? ?? 03 45 D0 89 45 D8 8B 45 D8 3B 45 D0 0F 8E 87 03 00 00 8D 45 D0 50 8B 03 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 84 68 03 00 00 0F B6 45 08 88 45 F3 8B 03 3B B8 30 03 00 00 75 2B 8B 03 8B 80 34 03 00 00 3B 45 F4 75 1E 8B 03 F6 80 BE 02 00 00 02 74 04 80 4D F3 10 8B 03 80 B8 38 03 00 00 00 74 04 80 4D F3 20 8B 03 E8 ?? ?? ?? ?? 88 45 F2 80 7D F2 00 74 28 8B 03 8B 80 94 02 00 00 3B 45 F4 75 1B 8B 03 3B B8 90 02 00 00 75 11 8B 45 D4 50 8B 45 D0 50 E8 ?? ?? ?? ?? 80 4D F3 02 8B 45 1C 8D 48 80 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 74 04 80 4D F3 01 F6 45 F3 02 74 22 8B 03 F6 80 BD 02 00 00 04 74 17 8B 03 80 B8 05 03 00 00 00 74 0C 8B 03 F6 40 1C 10 0F 84 B4 02 00 00 8B 03 80 B8 04 03 00 00 00 75 08 8B 03 F6 40 1C 10 74 68 8B 03 8B 50 6C 8B 03 8B 80 78 02 00 00 E8 ?? ?? ?? ?? F6 45 F3 01 74 36 F6 45 F3 02 74 18 8B 03 8B 80 BC 02 00 00 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 74 18 57 8B 45 F4 50 8D 55 D0 8B 03 0F B6 4D F3 8B 30 FF 96 14 01 00 00 EB 1A 0F B6 45 F3 50 57 8B 45 F4 50 8D 55 D0 8B 03 8B 4D 0C 8B 30 FF 96 10 01 00 00 57 8D 75 D0 8D 7D E0 A5 A5 A5 A5 5F F6 45 F3 20 74 06 FF 45 E4 FF 45 E0 8D 45 E0 50 0F B6 45 F3 50 8B 03 8B 4D F4 8B D7 8B 30 FF 96 0C 01 00 00 8B 03 80 B8 04 03 00 00 00 0F 84 D1 00 00 00 F6 45 F3 04 0F 84 C7 00 00 00 8B 03 80 B8 F1 01 00 00 00 0F 84 B8 00 00 00 8B 45 1C 8B 80 7C FF FF FF 8B 55 1C 0B 82 78 FF FF FF 0F 84 A0 00 00 00 8B 03 80 B8 2C 03 00 00 00 0F 85 91 00 00 00 F6 45 F3 20 0F 85 87 00 00 00 57 8D 75 D0 8D 7D C0 A5 A5 A5 A5 5F 8B 45 1C F6 80 7C FF FF FF 04 75 0B 8B 45 1C 8B 40 90 01 45 C8 EB 15 8B 45 1C F6 80 7C FF FF FF 08 75 09 8B 45 1C 8B 40 C0 01 45 CC E8 ?? ?? ?? ?? 84 C0 75 46 8B 45 1C 8B 80 7C FF FF FF 50 6A 04 8D 45 C0 50 8B 03 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 1C 8B 80 78 FF FF FF 50 6A 04 8D 45 C0 50 8B 03 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 03 80 B8 04 03 00 00 00 0F 84 1A 01 00 00 8B 03 F6 40 1C 10 0F 85 0E 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 03 F6 80 BC 02 00 00 20 0F 85 F6 00 00 00 F6 45 F3 02 0F 84 EC 00 00 00 8B 03 8B 80 BC 02 00 00 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 0F 84 D0 00 00 00 8B 03 F6 80 BD 02 00 00 10 0F 85 C1 00 00 00 57 8D 75 D0 8D 7D C0 A5 A5 A5 A5 5F 8B 03 80 B8 2C 03 00 00 01 75 21 A1 ?? ?? ?? ?? 83 38 06 7C 17 E8 ?? ?? ?? ?? 84 C0 75 0E 8D 45 C0 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 8B 03 8B 80 78 02 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B 03 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8D 55 C0 E8 ?? ?? ?? ?? EB 57 8B 03 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 19 8D 45 C0 50 8B 03 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 2F 57 8D 75 C0 8D 7D E0 A5 A5 A5 A5 5F 8B 45 C8 89 45 E0 8B 45 C0 89 45 E8 8D 45 E0 50 8B 03 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 1C 8B 40 90 03 45 D8 89 45 D0 47 8B 45 D0 3B 45 14 7D 0E 8B 03 3B B8 8C 02 00 00 0F 8C 3B FC FF FF 8B 45 1C 8B 40 C0 03 45 DC 89 45 D4 FF 45 F4 8B 45 D4 3B 45 10 7D 11 8B 03 8B 80 C8 02 00 00 3B 45 F4 0F 8F F5 FB FF FF 5F 5E 5B 8B E5 5D C2 14 00 00 20 10 00 00 00 00 00 00 00 24 00 00 }
	condition:
		$1
}

rule function_80766_0 {
	meta:
		name = "TCustomGrid.Paint"
		size = 2304
		refs = "0019 @CallDynaInst 0026 TCustomGrid.ChangeGridOrientation 0038 TStyleManager.GetActiveStyle 0073 TCustomStyleServices.GetElementColor 011d GetShadowColor 03af TCustomGrid.CalcDrawInfo 0407 StackAlloc 0429 FillDWord 0436 ColorToRGB 04a2 DrawLines 05df StackFree 05f1 TCustomGrid.GetSelection 0652 TCustomGrid.Paint 065e DrawCells 0760 TCustomGrid.GridRectToScreenRect 0772 TBrush.SetStyle 0782 Win32MajorVersion 078c TStyleManager.GetIsCustomStyleActive 07a1 InflateRect 07c9 TCanvas.GetHandle 07d4 DrawStyleFocusRect 083e DrawFocusRect 085e TBrush.SetColor 0876 Rect"
	strings:
		$1 = { 55 8B EC 81 C4 1C FF FF FF 53 56 57 89 45 FC 8D 7D FC 8B 07 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 09 B2 01 8B 07 E8 ?? ?? ?? ?? 8B 07 8B 40 74 8B 17 89 82 28 03 00 00 E8 ?? ?? ?? ?? 8B D8 8B 07 0F B6 80 2C 03 00 00 3C 01 0F 85 A6 00 00 00 8D 85 70 FF FF FF 50 8D 8D 2C FF FF FF B2 02 8B C3 8B 30 FF 96 88 00 00 00 8D 95 2C FF FF FF 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 07 05 28 03 00 00 50 8D 8D 2C FF FF FF B2 02 8B C3 8B 30 FF 96 88 00 00 00 8D 95 2C FF FF FF B1 01 8B C3 E8 ?? ?? ?? ?? 8D 85 68 FF FF FF 50 8D 8D 2C FF FF FF B2 07 8B C3 8B 30 FF 96 88 00 00 00 8D 95 2C FF FF FF 33 C9 8B C3 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF 50 8D 8D 2C FF FF FF B2 07 8B C3 8B 30 FF 96 88 00 00 00 8D 95 2C FF FF FF B1 01 8B C3 E8 ?? ?? ?? ?? E9 A1 02 00 00 3C 02 0F 85 58 01 00 00 C7 85 70 FF FF FF F0 F0 F0 00 8B 07 8B 40 74 89 85 6C FF FF FF BA D3 FF FF FF B8 F0 F0 F0 00 E8 ?? ?? ?? ?? 89 85 68 FF FF FF 8B C3 8B 10 FF 52 48 84 C0 0F 84 60 02 00 00 8D 85 74 FF FF FF 50 8D 8D 2C FF FF FF B2 0A 8B C3 8B 30 FF 96 88 00 00 00 8D 95 2C FF FF FF 33 C9 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 81 BD 74 FF FF FF FF FF FF 1F 74 0C 8B 85 74 FF FF FF 89 85 70 FF FF FF 8D 85 74 FF FF FF 50 8D 8D 2C FF FF FF B2 0A 8B C3 8B 30 FF 96 88 00 00 00 8D 95 2C FF FF FF B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 81 BD 74 FF FF FF FF FF FF 1F 74 0E 8B 07 8B 95 74 FF FF FF 89 90 28 03 00 00 8D 85 74 FF FF FF 50 8D 8D 2C FF FF FF B2 0F 8B C3 8B 30 FF 96 88 00 00 00 8D 95 2C FF FF FF 33 C9 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 81 BD 74 FF FF FF FF FF FF 1F 74 0C 8B 85 74 FF FF FF 89 85 68 FF FF FF 8D 85 74 FF FF FF 50 8D 8D 2C FF FF FF B2 0F 8B C3 8B 30 FF 96 88 00 00 00 8D 95 2C FF FF FF B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 62 01 00 00 81 BD 74 FF FF FF FF FF FF 1F 0F 84 52 01 00 00 8B 85 74 FF FF FF 89 85 6C FF FF FF E9 41 01 00 00 C7 85 70 FF FF FF C0 C0 C0 00 8B 07 8B 80 AC 02 00 00 89 85 6C FF FF FF 33 C0 89 85 68 FF FF FF 8B C3 8B 10 FF 52 48 84 C0 0F 84 12 01 00 00 8D 85 74 FF FF FF 50 8D 8D 2C FF FF FF B2 12 8B C3 8B 30 FF 96 88 00 00 00 8D 95 2C FF FF FF 33 C9 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 81 BD 74 FF FF FF FF FF FF 1F 74 0C 8B 85 74 FF FF FF 89 85 70 FF FF FF 8D 85 74 FF FF FF 50 8D 8D 2C FF FF FF B2 12 8B C3 8B 30 FF 96 88 00 00 00 8D 95 2C FF FF FF B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 81 BD 74 FF FF FF FF FF FF 1F 74 0E 8B 07 8B 95 74 FF FF FF 89 90 28 03 00 00 8D 85 74 FF FF FF 50 8D 8D 2C FF FF FF B2 17 8B C3 8B 30 FF 96 88 00 00 00 8D 95 2C FF FF FF 33 C9 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 81 BD 74 FF FF FF FF FF FF 1F 74 0C 8B 85 74 FF FF FF 89 85 68 FF FF FF 8D 85 74 FF FF FF 50 8D 8D 2C FF FF FF B2 17 8B C3 8B 30 FF 96 88 00 00 00 8D 95 2C FF FF FF B1 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 81 BD 74 FF FF FF FF FF FF 1F 74 0C 8B 85 74 FF FF FF 89 85 6C FF FF FF 8D 95 58 FF FF FF 8B 07 8B 80 78 02 00 00 8B 08 FF 51 10 8D 55 90 8B 07 E8 ?? ?? ?? ?? 83 7D 90 00 7F 0A 83 7D C0 00 0F 8E 28 02 00 00 8B 17 FF B2 D4 02 00 00 8B 55 D0 59 2B D1 8B 0F 03 91 A8 02 00 00 8B 07 FF B0 D0 02 00 00 8B 45 A0 59 2B C1 8B 0F 03 81 A4 02 00 00 3B D0 7C 02 8B C2 83 C0 03 89 45 F4 8B 45 F4 03 C0 03 C0 03 C0 03 C0 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F4 03 C0 03 C0 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 B9 02 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 07 8B 80 28 03 00 00 E8 ?? ?? ?? ?? 3D C0 C0 C0 00 75 0A C7 85 70 FF FF FF 80 80 80 00 55 6A 00 33 C0 89 85 1C FF FF FF 33 C0 89 85 20 FF FF FF 8B 45 94 89 85 24 FF FF FF 8B 45 C4 89 85 28 FF FF FF 8D 85 1C FF FF FF 50 6A 03 8B 85 68 FF FF FF 50 8B 85 6C FF FF FF 50 8B 07 F6 80 BC 02 00 00 01 0F 95 C2 8B 07 F6 80 BC 02 00 00 02 0F 95 C0 33 C9 E8 ?? ?? ?? ?? 59 55 6A 00 8B 45 94 89 85 1C FF FF FF 33 C0 89 85 20 FF FF FF 8B 45 98 89 85 24 FF FF FF 8B 45 C4 89 85 28 FF FF FF 8D 85 1C FF FF FF 50 6A 03 8B 85 68 FF FF FF 50 8B 85 6C FF FF FF 50 8B 07 F6 80 BC 02 00 00 01 0F 95 C2 8B 07 F6 80 BC 02 00 00 02 0F 95 C0 8B 0F 8B 89 D0 02 00 00 E8 ?? ?? ?? ?? 59 55 8B 07 8B 80 D4 02 00 00 50 33 C0 89 85 1C FF FF FF 8B 45 C4 89 85 20 FF FF FF 8B 45 94 89 85 24 FF FF FF 8B 45 C8 89 85 28 FF FF FF 8D 85 1C FF FF FF 50 6A 03 8B 85 68 FF FF FF 50 8B 85 6C FF FF FF 50 8B 07 F6 80 BC 02 00 00 01 0F 95 C2 8B 07 F6 80 BC 02 00 00 02 0F 95 C0 33 C9 E8 ?? ?? ?? ?? 59 55 8B 07 8B 80 D4 02 00 00 50 8B 45 94 89 85 1C FF FF FF 8B 45 C4 89 85 20 FF FF FF 8B 45 98 89 85 24 FF FF FF 8B 45 C8 89 85 28 FF FF FF 8D 85 1C FF FF FF 50 6A 03 8B 85 70 FF FF FF 50 8B 07 8B 80 28 03 00 00 50 8B 07 F6 80 BC 02 00 00 04 0F 95 C2 8B 07 F6 80 BC 02 00 00 08 0F 95 C0 8B 0F 8B 89 D0 02 00 00 E8 ?? ?? ?? ?? 59 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 80 8B 07 E8 ?? ?? ?? ?? 33 C0 89 85 7C FF FF FF 33 C0 89 85 78 FF FF FF 8B 07 F6 80 BC 02 00 00 01 74 14 C7 85 7C FF FF FF 04 00 00 00 C7 85 78 FF FF FF 01 00 00 00 8B 07 F6 80 BC 02 00 00 02 74 0E 83 8D 7C FF FF FF 08 83 8D 78 FF FF FF 02 55 6A 00 8B 45 94 50 8B 45 C4 50 8B 85 6C FF FF FF 50 0F B6 05 ?? ?? ?? ?? 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 59 55 6A 00 8B 45 98 50 8B 45 C4 50 8B 85 6C FF FF FF 50 0F B6 05 ?? ?? ?? ?? 50 8B 07 8B 4D 94 2B 88 00 03 00 00 8B 07 8B 80 D0 02 00 00 33 D2 E8 ?? ?? ?? ?? 59 55 8B 45 C4 50 8B 45 94 50 8B 45 C8 50 8B 85 6C FF FF FF 50 0F B6 05 ?? ?? ?? ?? 50 8B 07 8B 90 D4 02 00 00 33 C9 33 C0 E8 ?? ?? ?? ?? 59 55 8B 45 C4 50 8B 45 98 50 8B 45 C8 50 8B 07 8B 80 28 03 00 00 50 0F B6 05 ?? ?? ?? ?? 50 8B 07 8B 4D 94 2B 88 00 03 00 00 8B 07 8B 90 D4 02 00 00 8B 07 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? 59 8B 07 F6 40 1C 10 0F 85 31 01 00 00 8B 07 F6 80 BD 02 00 00 10 0F 84 22 01 00 00 8B 07 80 B8 04 03 00 00 00 0F 84 13 01 00 00 8B 07 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 0F 84 00 01 00 00 6A 00 8D 95 1C FF FF FF 8B 07 E8 ?? ?? ?? ?? 8D 95 1C FF FF FF 8D 8D 38 FF FF FF 8B 07 E8 ?? ?? ?? ?? 8B 07 8B 80 78 02 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 07 80 B8 2C 03 00 00 01 75 24 A1 ?? ?? ?? ?? 83 38 06 7C 1A E8 ?? ?? ?? ?? 84 C0 75 11 8D 85 38 FF FF FF 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 57 8D B5 38 FF FF FF 8D BD 48 FF FF FF A5 A5 A5 A5 5F E8 ?? ?? ?? ?? 84 C0 74 1A 8B 07 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8D 95 48 FF FF FF E8 ?? ?? ?? ?? EB 68 8B 07 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 15 8D 95 48 FF FF FF 8B 07 8B 80 78 02 00 00 8B 08 FF 51 4C EB 44 57 8D B5 38 FF FF FF 8D BD 48 FF FF FF A5 A5 A5 A5 5F 8B 85 40 FF FF FF 89 85 48 FF FF FF 8B 85 38 FF FF FF 89 85 50 FF FF FF 8D 85 48 FF FF FF 50 8B 07 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 98 3B 45 9C 7D 43 8B 07 8B 90 28 03 00 00 8B 07 8B 80 78 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 45 C8 50 8D 85 1C FF FF FF 50 8B 4D 9C 33 D2 8B 45 98 E8 ?? ?? ?? ?? 8D 95 1C FF FF FF 8B 07 8B 80 78 02 00 00 8B 08 FF 51 54 8B 45 C8 3B 45 CC 7D 43 8B 07 8B 90 28 03 00 00 8B 07 8B 80 78 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 45 CC 50 8D 85 1C FF FF FF 50 8B 4D 9C 8B 55 C8 33 C0 E8 ?? ?? ?? ?? 8D 95 1C FF FF FF 8B 07 8B 80 78 02 00 00 8B 08 FF 51 54 8B 07 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B 07 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 04 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_80767_0 {
	meta:
		name = "DoCalc"
		size = 102
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 55 FC 8B D8 8B 73 04 3B 75 FC 7E 0D 33 C0 8B 53 18 4A 33 C9 89 4D F4 EB 0A 8B 43 1C 8B 53 20 4A 89 75 F4 C7 45 F8 FF FF FF FF 8B F0 2B D6 7C 24 42 89 55 F0 8B D6 8B 43 2C FF 53 28 03 03 01 45 F4 8B 45 FC 3B 45 F4 7D 05 89 75 F8 EB 06 46 FF 4D F0 75 E0 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80768_0 {
	meta:
		name = "DoCalcRightToLeft"
		size = 128
		refs = "0015 TControl.GetClientWidth"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 2B 45 FC 89 45 FC 8B 43 04 3B 45 FC 7E 16 33 F6 8B 7B 18 4F 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F4 EB 0A 8B 73 1C 8B 7B 20 4F 89 45 F4 C7 45 F8 FF FF FF FF 2B FE 7C 24 47 89 7D F0 8B D6 8B 43 2C FF 53 28 03 03 01 45 F4 8B 45 FC 3B 45 F4 7D 05 89 75 F8 EB 06 46 FF 4D F0 75 E0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80769_0 {
	meta:
		name = "TCustomGrid.CalcCoordFromPoint"
		size = 91
		refs = "0020 @CallDynaInst 002e DoCalc 003d DoCalcRightToLeft"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 7D 08 8B 5D 0C 8B 45 FC 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 0E 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 89 07 EB 0E 55 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 59 89 07 8D 43 30 8B 55 F4 E8 ?? ?? ?? ?? 89 47 04 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_80770_0 {
	meta:
		name = "TCustomGrid.CanObserve"
		size = 18
	strings:
		$1 = { 33 C0 83 FA 02 75 03 B0 01 C3 83 FA 03 75 02 B0 01 C3 }
	condition:
		$1
}

rule function_80773_0 {
	meta:
		name = "TCustomGrid.ObserverAdded"
		size = 192
		refs = "0017 TCustomGrid.ObserverAdded 0024 _DV_TCustomGrid.ObserverAdded$6145$ActRec 0029 TObject.Create 003c @IntfCopy 005d @IntfClear 006b Supports 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 0C 83 7D F4 02 75 10 8B D3 85 D2 74 03 83 EA EC 8B C7 8B 08 FF 51 1C 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 11 8B D3 85 D2 74 03 83 EA F0 8B 45 FC 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 48 B6 11 A9 E5 E1 EC 4E 9F EE D8 E6 2F FA 0E 71 }
	condition:
		$1
}

rule function_80774_0 {
	meta:
		name = "TCustomGrid.ObserverCurrent"
		size = 13
	strings:
		$1 = { C6 42 04 00 8B 80 90 02 00 00 89 02 C3 }
	condition:
		$1
}

rule function_80776_0 {
	meta:
		name = "TCustomGrid.CalcDrawInfo"
		size = 35
		refs = "0009 TControl.GetClientHeight 0011 TControl.GetClientWidth 001c TCustomGrid.CalcDrawInfoXY"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80777_0 {
	meta:
		name = "CalcAxis"
		size = 94
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 89 53 0C 8B 43 04 89 43 08 8B 43 04 89 43 14 8B 43 1C 89 43 10 8B 73 1C 8B 43 20 48 2B C6 7C 31 40 89 45 FC 8B D6 8B 43 2C FF 53 28 03 03 01 43 08 8B 43 0C 8B D0 03 13 3B 53 08 7D 05 89 43 08 EB 0F 89 73 10 8B 43 08 89 43 14 46 FF 4D FC 75 D3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80778_0 {
	meta:
		name = "TCustomGrid.CalcDrawInfoXY"
		size = 42
		refs = "000c TCustomGrid.CalcFixedInfo 0015 CalcAxis"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B D3 E8 ?? ?? ?? ?? 8B C3 8B D6 E8 ?? ?? ?? ?? 8D 43 30 8B 55 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_80779_0 {
	meta:
		name = "CalcFixedAxis"
		size = 140
		refs = "0022 CalcFixedAxis"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 45 18 8B 40 FC 8B 80 BC 02 00 00 23 45 FC 8B 15 ?? ?? ?? ?? 3B D0 75 06 33 C0 89 03 EB 0E 8B 45 18 8B 40 FC 8B 80 B8 02 00 00 89 03 33 C0 89 43 04 8B 75 F8 4E 85 F6 7C 14 46 33 FF 8B D7 8B 45 0C FF 55 08 03 03 01 43 04 47 4E 75 EF 8B 45 F8 89 43 18 8B 45 14 89 43 1C 8B 45 10 89 43 20 8B 45 08 89 43 28 8B 45 0C 89 43 2C 5F 5E 5B 59 59 5D C2 10 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_80780_0 {
	meta:
		name = "TCustomGrid.CalcFixedInfo"
		size = 132
		refs = "0024 TCustomGrid.GetColWidths 0035 TCustomGrid.CalcFixedInfo 003a CalcFixedAxis 0059 TCustomGrid.GetRowHeights"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 55 8B 45 FC 8B 80 D0 02 00 00 50 8B 45 FC 8B 80 8C 02 00 00 50 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 8B 88 A4 02 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 D4 02 00 00 50 8B 45 FC 8B 80 C8 02 00 00 50 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 8B 88 A8 02 00 00 8D 43 30 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5B 59 5D C3 00 00 00 05 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_80781_0 {
	meta:
		name = "CalcMaxCell"
		size = 113
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 55 FC 8B D8 8B 45 FC 89 45 F8 8B 43 0C 03 03 89 45 F4 8B 75 FC 8B 43 18 2B C6 7F 43 48 89 45 F0 8B D6 8B 43 2C FF 53 28 85 C0 7E 2D 29 45 F4 8B 03 29 45 F4 8B 43 04 3B 45 F4 7E 1A 8B 45 F8 3B 45 FC 75 1B 8B 55 FC 8B 43 2C FF 53 28 85 C0 7F 0E 89 75 F8 EB 09 89 75 F8 4E FF 45 F0 75 C1 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80782_0 {
	meta:
		name = "TCustomGrid.CalcMaxTopLeft"
		size = 45
		refs = "0012 CalcMaxCell"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B DA 8B 7D 08 8B 13 8B C6 E8 ?? ?? ?? ?? 89 07 8B 53 04 8D 46 30 E8 ?? ?? ?? ?? 89 47 04 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_80783_0 {
	meta:
		name = "CalcAxisState"
		size = 280
		refs = "0022 @CallDynaInst 0031 TControl.GetClientWidth"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 88 4D FB 89 55 FC 8B F8 80 7D FB 03 75 24 8B 45 08 8B 40 FC 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 11 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 2B 45 FC 89 45 FC 8B 5F 04 8B 07 89 45 EC 33 D2 89 55 F0 83 7D EC 07 7D 11 C7 45 EC 07 00 00 00 8B 55 EC 2B D0 D1 EA 89 55 F0 8B 47 1C 8B 57 20 4A 2B D0 7C 5F 42 89 55 E8 89 45 F4 8B 55 F4 8B 47 2C FF 57 28 03 D8 3B 5F 08 7F 48 8B C3 2B 45 F0 3B 45 FC 7F 34 03 45 EC 3B 45 FC 7C 2C 0F B6 45 FB 8B 55 08 8B 52 18 88 02 8B 45 08 8B 40 10 89 18 2B 5D FC 8B 45 08 8B 40 0C 89 18 8B 45 08 8B 40 14 8B 55 F4 89 10 EB 52 03 1F FF 45 F4 FF 4D E8 75 A8 8B 47 0C 3B 47 08 75 40 8B D0 2B 55 F0 3B 55 FC 7F 36 3B 45 FC 7C 31 0F B6 45 FB 8B 55 08 8B 52 18 88 02 8B 47 0C 8B 55 08 8B 52 10 89 02 8B 47 0C 2B 45 FC 8B 55 08 8B 52 0C 89 02 8B 47 10 40 8B 55 08 8B 52 14 89 02 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80784_0 {
	meta:
		name = "XOutsideHorzFixedBoundary"
		size = 76
		refs = "000f @CallDynaInst 0033 TControl.GetClientWidth"
	strings:
		$1 = { 55 8B EC 56 8B 45 08 8B 40 FC 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 15 8B 45 08 8B 40 F8 8B 55 08 8B 52 08 3B 42 04 0F 9F C0 5E 5D C3 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 08 2B 42 04 8B 55 08 3B 42 F8 0F 9F C0 5E 5D C3 }
	condition:
		$1
}

rule function_80785_0 {
	meta:
		name = "XOutsideOrEqualHorzFixedBoundary"
		size = 76
		refs = "000f @CallDynaInst 0033 TControl.GetClientWidth"
	strings:
		$1 = { 55 8B EC 56 8B 45 08 8B 40 FC 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 15 8B 45 08 8B 40 F8 8B 55 08 8B 52 08 3B 42 04 0F 9D C0 5E 5D C3 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 08 2B 42 04 8B 55 08 3B 42 F8 0F 9D C0 5E 5D C3 }
	condition:
		$1
}

rule function_80786_0 {
	meta:
		name = "TCustomGrid.CalcSizingState"
		size = 208
		refs = "0042 TCustomGrid.CalcSizingState 0054 TControl.GetClientHeight 0062 TControl.GetClientWidth 006e XOutsideHorzFixedBoundary 008e CalcAxisState 00a4 XOutsideOrEqualHorzFixedBoundary"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 F8 89 45 FC 8B 45 18 C6 00 00 8B 45 14 C7 00 FF FF FF FF 8B 45 FC 8B 98 BC 02 00 00 8B 45 FC F6 40 1C 10 74 0D 8B 45 FC 8B 80 22 03 00 00 0B C3 8B D8 8B C3 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 74 6E 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 89 42 3C 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 89 42 0C 55 E8 ?? ?? ?? ?? 59 84 C0 74 1E F6 C3 80 74 19 8B 45 08 3B 70 34 7D 3A 55 8B 45 08 B1 03 8B 55 F8 E8 ?? ?? ?? ?? 59 EB 29 8B 45 08 3B 70 34 7E 21 F6 C3 40 74 1C 55 E8 ?? ?? ?? ?? 59 84 C0 75 11 55 8B 45 08 83 C0 30 B1 02 8B D6 E8 ?? ?? ?? ?? 59 5E 5B 59 59 5D C2 14 00 00 00 C0 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_80787_0 {
	meta:
		name = "TCustomGrid.ChangeGridOrientation"
		size = 399
		refs = "0011 TControl.GetClientWidth 0057 TCanvas.GetHandle 005d SetMapMode 007a SetWindowOrgEx 0083 TControl.GetClientHeight 009d SetViewportExtEx 00c8 SetWindowExtEx"
	strings:
		$1 = { 53 83 C4 D0 8B D8 84 D2 0F 84 C3 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 44 24 10 33 C0 89 44 24 14 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 C7 44 24 18 FF FF FF FF C7 44 24 1C 01 00 00 00 8B 44 24 18 89 44 24 08 8B 44 24 1C 89 44 24 0C 6A 08 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 44 24 08 50 8B 44 24 08 50 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? F7 6C 24 10 50 8B C3 E8 ?? ?? ?? ?? F7 6C 24 10 50 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 B9 00 00 00 33 C0 89 44 24 20 33 C0 89 44 24 24 8B 44 24 20 89 04 24 8B 44 24 24 89 44 24 04 C7 44 24 28 01 00 00 00 C7 44 24 2C 01 00 00 00 8B 44 24 28 89 44 24 08 8B 44 24 2C 89 44 24 0C 6A 08 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 44 24 08 50 8B 44 24 08 50 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? F7 6C 24 10 50 8B C3 E8 ?? ?? ?? ?? F7 6C 24 10 50 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 30 5B C3 }
	condition:
		$1
}

rule function_80788_0 {
	meta:
		name = "MinRedraw"
		size = 103
		refs = "002f TCustomGrid.CellRect 0058 TWinControl.GetHandle 005e InvalidateRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 4D FC 8B 40 10 8B 52 10 3B D0 7F 02 8B C2 8B D8 8D 45 EC 50 8B CB 23 4D FC 8B 55 FC F7 D2 23 D3 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 54 89 45 F8 8B 45 08 8B 40 FC 8B 40 50 89 45 F4 6A 00 8D 45 EC 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80789_0 {
	meta:
		name = "DoChange"
		size = 423
		refs = "0031 UpdateExtents 00e7 TCustomGrid.MoveCurrent 010b TCustomGrid.MoveAnchor 013d TCustomGrid.InvalidateGrid 0146 TWinControl.HandleAllocated 0154 TCustomGrid.CalcDrawInfo 0168 MinRedraw 0186 TCustomGrid.UpdateScrollRange 019d @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 8B 5D 08 83 C3 FC 8B 03 83 B8 08 03 00 00 00 74 1C 8B 03 8B 88 98 02 00 00 8B 03 8B 90 8C 02 00 00 8B 03 05 08 03 00 00 E8 ?? ?? ?? ?? 8B 03 83 B8 10 03 00 00 00 74 19 8B 03 8B 90 8C 02 00 00 8B 03 05 10 03 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 03 83 B8 0C 03 00 00 00 74 1C 8B 03 8B 88 9C 02 00 00 8B 03 8B 90 C8 02 00 00 8B 03 05 0C 03 00 00 E8 ?? ?? ?? ?? 8B 03 8B 90 90 02 00 00 89 55 F8 8B 90 94 02 00 00 89 55 FC 8B 03 8B 80 C8 02 00 00 8B 13 3B 82 94 02 00 00 7F 04 48 89 45 FC 8B 03 8B 80 8C 02 00 00 8B 13 3B 82 90 02 00 00 7F 04 48 89 45 F8 8B 13 8B 92 90 02 00 00 8B 45 F8 3B D0 75 0D 8B 13 8B 92 94 02 00 00 3B 55 FC 74 0F 6A 01 6A 01 8B 13 8B 4D FC 92 E8 ?? ?? ?? ?? 8B 03 8B 80 80 02 00 00 3B 45 F8 75 0D 8B 03 8B 80 84 02 00 00 3B 45 FC 74 0A 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8B 03 80 B8 26 03 00 00 00 75 20 8B 03 8B 80 D0 02 00 00 8B 55 08 3B 42 B4 75 10 8B 03 8B 80 D4 02 00 00 8B 55 08 3B 42 E4 74 09 8B 03 E8 ?? ?? ?? ?? EB 40 8B 03 E8 ?? ?? ?? ?? 84 C0 74 35 8D 55 98 8B 03 E8 ?? ?? ?? ?? 8B 45 08 50 8D 55 98 8B 45 08 83 C0 98 33 C9 E8 ?? ?? ?? ?? 59 8B 45 08 50 8D 55 C8 8B 45 08 83 C0 C8 83 C9 FF E8 ?? ?? ?? ?? 59 8B 03 E8 ?? ?? ?? ?? 8B 45 08 8B 48 90 8B 45 08 8B 50 94 8B 03 66 BE A2 FF E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80790_0 {
	meta:
		name = "TCustomGrid.ChangeSize"
		size = 215
		refs = "0014 TWinControl.HandleAllocated 0023 TCustomGrid.CalcDrawInfo 007f TCustomGrid.ChangeSize 008b DoChange 009b @HandleAnyException 00c2 TCustomGrid.InvalidateGrid 00c7 @RaiseAgain 00cc @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 57 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0B 8D 55 98 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 89 45 94 8B 45 FC 8B 80 C8 02 00 00 89 45 90 8B 45 FC 89 98 8C 02 00 00 8B 45 FC 89 B0 C8 02 00 00 8B 45 FC 3B 98 A4 02 00 00 7D 0A 4B 8B 45 FC 89 98 A4 02 00 00 8B 45 FC 3B B0 A8 02 00 00 7D 0A 4E 8B 45 FC 89 B0 A8 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 EB 36 E9 ?? ?? ?? ?? 8B 45 FC 8B 55 94 89 90 8C 02 00 00 8B 45 FC 8B 55 90 89 90 C8 02 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80791_0 {
	meta:
		name = "TCustomGrid.ClampInView"
		size = 200
		refs = "000c TWinControl.HandleAllocated 001f TCustomGrid.CalcDrawInfo 0065 TCustomGrid.CalcMaxTopLeft 00be TCustomGrid.TopLeftMoved"
	strings:
		$1 = { 53 56 83 C4 90 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 AA 00 00 00 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8B 06 3B 44 24 20 7F 1C 8B 56 04 3B 54 24 50 7F 13 3B 83 D0 02 00 00 7C 0B 8B 46 04 3B 83 D4 02 00 00 7D 7B 8B 83 D0 02 00 00 89 44 24 08 8B 83 D4 02 00 00 89 44 24 0C 54 8D 4C 24 14 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A8 00 00 00 8B 06 3B 83 D0 02 00 00 7D 08 89 83 D0 02 00 00 EB 0F 3B 44 24 20 7E 09 8B 04 24 89 83 D0 02 00 00 8B 46 04 3B 83 D4 02 00 00 7D 08 89 83 D4 02 00 00 EB 10 3B 44 24 50 7E 0A 8B 44 24 04 89 83 D4 02 00 00 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 83 C4 70 5E 5B C3 }
	condition:
		$1
}

rule function_80792_0 {
	meta:
		name = "TCustomGrid.DrawSizingLine"
		size = 320
		refs = "0010 _Dn_TPen 0015 TPen.Create 0020 TCustomGrid.DrawSizingLine 004a TPen.SetStyle 0057 TPen.SetMode 0067 TPen.SetWidth 0089 @CallDynaInst 0110 TCanvas.SetPen 0116 @HandleFinally 012d TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 78 02 00 00 89 45 F8 8B 45 F8 8B 50 44 8B 45 FC 8B 08 FF 51 08 8B 45 F8 8B 40 44 B2 02 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 44 B2 0E E8 ?? ?? ?? ?? 8B 45 F8 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 20 03 00 00 02 75 59 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 27 8B 8B DC 02 00 00 8B 57 0C 8B 45 F8 8B 30 FF 56 64 8B 57 0C 2B 57 08 8B 8B DC 02 00 00 8B 45 F8 8B 18 FF 53 60 EB 44 8B 8B DC 02 00 00 33 D2 8B 45 F8 8B 30 FF 56 64 8B 8B DC 02 00 00 8B 57 08 8B 45 F8 8B 18 FF 53 60 EB 21 8B 93 DC 02 00 00 33 C9 8B 45 F8 8B 30 FF 56 64 8B 4F 38 8B 93 DC 02 00 00 8B 45 F8 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80793_0 {
	meta:
		name = "TCustomGrid.DrawCellHighlight"
		size = 1095
		refs = "0015 TStyleManager.GetActiveStyle 0042 CSelected 007c CRowSelectedCenter 009b CRowSelectedLeft 00bd CRowSelectedRight 00e3 TBrush.SetStyle 00e8 TStyleManager.GetIsCustomStyleActive 00f5 TCustomStyleServices.GetStyleColor 0105 TBrush.SetColor 010c TOSVersion.FMajor 0140 TCanvas.GetHandle 016a TCustomStyleServices.DrawElement 018b TCustomStyleServices.GetElementColor 01b0 TFont.SetColor 01e9 TCustomStyleServices.GetSystemColor 021a InflateRect 0279 GetShadowColor 0357 GradientFillCanvas"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 88 4D FB 89 55 FC 8B D8 8B 7D 0C E8 ?? ?? ?? ?? 8B F0 F6 83 BD 02 00 00 10 74 04 80 4D FB 08 8B 45 FC 56 57 8B F0 8D 7D D0 A5 A5 A5 A5 5F 5E 0F B6 83 2C 03 00 00 0F B6 80 ?? ?? ?? ?? 88 45 FA 8B C6 8B 10 FF 52 48 84 C0 74 74 F6 45 FB 08 74 6E 8B 83 A4 02 00 00 8B D0 42 3B FA 7C 26 8B 93 8C 02 00 00 4A 3B FA 7D 1B 0F B6 83 2C 03 00 00 0F B6 80 ?? ?? ?? ?? 88 45 FA 83 45 D8 04 83 6D D0 04 EB 3B 3B C7 75 17 0F B6 83 2C 03 00 00 0F B6 80 ?? ?? ?? ?? 88 45 FA 83 45 D8 04 EB 20 8B 83 8C 02 00 00 48 3B F8 75 15 0F B6 83 2C 03 00 00 0F B6 80 ?? ?? ?? ?? 88 45 FA 83 6D D0 04 0F B6 83 2C 03 00 00 3C 01 0F 85 F2 00 00 00 8B 83 78 02 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B B2 0E 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 78 02 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 1D A1 ?? ?? ?? ?? 83 38 06 7D 13 8B 83 78 02 00 00 8B 40 48 BA 0D 00 00 FF E8 ?? ?? ?? ?? 8B 55 FC 8B 83 78 02 00 00 8B 08 FF 51 54 89 75 E4 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 89 45 E0 0F B6 55 FA 8D 4D C4 8B C6 8B 38 FF 97 88 00 00 00 8D 45 D0 50 8B 45 FC 50 8D 4D C4 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 50 0F B6 55 FA 8D 4D B8 8B C6 8B 38 FF 97 88 00 00 00 8D 55 B8 B1 02 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 81 7D F4 FF FF FF 1F 75 07 C7 45 F4 0E 00 00 FF 8B 83 78 02 00 00 8B 40 40 8B 55 F4 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? E9 75 02 00 00 3C 02 0F 85 B0 01 00 00 8B 45 FC 56 57 8B F0 8D 7D D0 A5 A5 A5 A5 5F 5E BA 0D 00 00 FF 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 78 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 55 D0 8B 83 78 02 00 00 8B 08 FF 51 5C F6 45 FB 08 74 4F 8D 45 D0 83 C9 FF 33 D2 E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 8B D0 42 3B FA 7C 1C 8B 93 8C 02 00 00 4A 3B FA 7D 11 8D 45 D0 33 C9 BA 02 00 00 00 E8 ?? ?? ?? ?? EB 27 3B C7 75 05 FF 45 D0 EB 1E 8B 83 8C 02 00 00 48 3B F8 75 13 FF 4D D8 EB 0E 8D 45 D0 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? BA 2D 00 00 00 B8 0D 00 00 FF E8 ?? ?? ?? ?? 89 45 F4 BA 0A 00 00 00 B8 0D 00 00 FF E8 ?? ?? ?? ?? 89 45 F0 C7 45 EC 0E 00 00 FF 8B C6 8B 10 FF 52 48 84 C0 0F 84 9C 00 00 00 8D 45 E8 50 0F B6 55 FA 8D 4D B8 8B C6 8B 38 FF 97 88 00 00 00 8D 55 B8 B1 09 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 81 7D E8 FF FF FF 1F 74 06 8B 45 E8 89 45 F4 8D 45 E8 50 0F B6 55 FA 8D 4D B8 8B C6 8B 38 FF 97 88 00 00 00 8D 55 B8 B1 0A 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 81 7D E8 FF FF FF 1F 74 06 8B 45 E8 89 45 F0 8D 45 E8 50 0F B6 55 FA 8D 4D B8 8B C6 8B 38 FF 97 88 00 00 00 8D 55 B8 B1 02 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 81 7D E8 FF FF FF 1F 74 06 8B 45 E8 89 45 EC 8D 45 D0 50 6A 01 8B 4D F0 8B 55 F4 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 40 8B 55 EC E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? E9 BD 00 00 00 8B 83 78 02 00 00 8B 40 48 BA 0D 00 00 FF E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 40 BA 0E 00 00 FF E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 48 84 C0 74 7E 8D 45 F4 50 0F B6 55 FA 8D 4D B8 8B C6 8B 38 FF 97 88 00 00 00 8D 55 B8 B1 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1A 81 7D F4 FF FF FF 1F 74 11 8B 83 78 02 00 00 8B 40 48 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 F4 50 0F B6 55 FA 8D 4D B8 8B C6 8B 38 FF 97 88 00 00 00 8D 55 B8 B1 02 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1A 81 7D F4 FF FF FF 1F 74 11 8B 83 78 02 00 00 8B 40 40 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 78 02 00 00 8B 08 FF 51 54 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_80794_0 {
	meta:
		name = "TCustomGrid.DrawCellBackground"
		size = 1272
		refs = "001c TStyleManager.GetActiveStyle 0061 CFixedStates 0081 TCanvas.GetHandle 0087 SaveDC 0092 TCustomGrid.DrawCellBackground 00cf TCustomStyleServices.DrawElement 00f4 RestoreDC 00fa @HandleFinally 010f TBrush.SetStyle 0120 TCustomStyleServices.GetElementColor 0149 TFont.SetColor 01c3 GetHighLightColor 021b CFixedGradientStates 02bd GradientFillCanvas 0320 CFixedClassicStates 0358 CNormalClassicStates 0389 CNormalStates 03ba CNormalGradientStates 0400 TBrush.SetColor 041f TStyleManager.GetIsCustomStyleActive 0441 DrawStyleEdge 0483 DrawEdge"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 89 4D F8 89 45 FC 8B 5D 10 8B F2 8D 7D D8 A5 A5 A5 A5 E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 80 B8 2C 03 00 00 01 0F 85 1F 01 00 00 F6 C3 04 0F 84 16 01 00 00 8D 75 D8 8D 7D C8 A5 A5 A5 A5 FF 45 E4 FF 45 E0 F6 C3 20 0F 95 C0 83 E0 7F F6 C3 10 0F 95 C2 83 E2 7F 8D 14 55 ?? ?? ?? ?? 0F B6 14 02 8D 4D BC 8B 45 F4 8B 18 FF 93 88 00 00 00 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 5D F4 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B 55 BC 89 55 B0 8B 55 C0 89 55 B4 8B 55 C4 89 55 B8 8D 55 D8 52 8D 55 C8 52 8D 4D B0 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B 45 FC 8B 80 78 02 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8D 45 F0 50 B1 02 8D 55 BC 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 B5 03 00 00 81 7D F0 FF FF FF 1F 0F 84 A8 03 00 00 8B 45 FC 8B 80 78 02 00 00 8B 40 40 8B 55 F0 E8 ?? ?? ?? ?? E9 8F 03 00 00 8B 45 FC 80 B8 2C 03 00 00 02 0F 85 77 01 00 00 F6 C3 04 0F 84 6E 01 00 00 8B 45 FC F6 80 BC 02 00 00 01 75 03 FF 45 E0 8B 45 FC F6 80 BC 02 00 00 02 75 03 FF 45 E4 F6 C3 10 0F 95 C0 84 C0 75 05 F6 C3 20 74 49 F6 C3 20 74 17 8B 45 FC 8B 80 B0 02 00 00 89 45 EC 8B 45 FC 8B B0 B4 02 00 00 EB 42 8B 45 FC 8B 80 B4 02 00 00 BA 13 00 00 00 E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 8B 80 B0 02 00 00 BA 13 00 00 00 E8 ?? ?? ?? ?? 8B F0 EB 15 8B 45 FC 8B 80 B4 02 00 00 89 45 EC 8B 45 FC 8B B0 B0 02 00 00 8B 45 F4 8B 10 FF 52 48 84 C0 0F 84 A2 00 00 00 F6 C3 20 0F 95 C0 83 E0 7F F6 C3 10 0F 95 C2 83 E2 7F 8D 14 55 ?? ?? ?? ?? 0F B6 14 02 8D 4D BC 8B 45 F4 8B 18 FF 93 88 00 00 00 8D 45 F0 50 B1 09 8D 55 BC 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 0F 81 7D F0 FF FF FF 1F 74 06 8B 45 F0 89 45 EC 8D 45 F0 50 B1 0A 8D 55 BC 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 0C 81 7D F0 FF FF FF 1F 74 03 8B 75 F0 8D 45 F0 50 B1 02 8D 55 BC 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 1D 81 7D F0 FF FF FF 1F 74 14 8B 45 FC 8B 80 78 02 00 00 8B 40 40 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 D8 50 6A 01 8B 45 FC 8B 80 78 02 00 00 8B CE 8B 55 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? E9 08 02 00 00 8B 45 F4 8B 10 FF 52 48 84 C0 0F 84 07 01 00 00 8B 45 FC 0F B6 80 2C 03 00 00 2C 01 72 0F 74 73 FE C8 0F 84 9C 00 00 00 E9 C6 00 00 00 F6 C3 04 74 30 F6 C3 20 0F 95 C0 83 E0 7F F6 C3 10 0F 95 C2 83 E2 7F 8D 14 55 ?? ?? ?? ?? 0F B6 14 02 8D 4D BC 8B 45 F4 8B 30 FF 96 88 00 00 00 E9 91 00 00 00 F6 C3 01 74 0C 8B 45 FC F6 80 BC 02 00 00 20 75 04 33 C0 EB 02 B0 01 83 E0 7F 0F B6 90 ?? ?? ?? ?? 8D 4D BC 8B 45 F4 8B 30 FF 96 88 00 00 00 EB 60 F6 C3 01 74 0C 8B 45 FC F6 80 BC 02 00 00 20 75 04 33 C0 EB 02 B0 01 83 E0 7F 0F B6 90 ?? ?? ?? ?? 8D 4D BC 8B 45 F4 8B 30 FF 96 88 00 00 00 EB 2F F6 C3 01 74 0C 8B 45 FC F6 80 BC 02 00 00 20 75 04 33 C0 EB 02 B0 01 83 E0 7F 0F B6 90 ?? ?? ?? ?? 8D 4D BC 8B 45 F4 8B 30 FF 96 88 00 00 00 8D 45 F0 50 B1 01 8D 55 BC 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 0F 81 7D F0 FF FF FF 1F 74 06 8B 45 F0 89 45 F8 8B 45 FC 8B 80 78 02 00 00 8B 40 48 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 80 78 02 00 00 8B 08 FF 51 54 F6 C3 20 0F 84 85 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 3E A1 ?? ?? ?? ?? 50 8D 55 D8 8B 45 FC 8B 80 78 02 00 00 0F B6 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 55 D8 8B 45 FC 8B 80 78 02 00 00 0F B6 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3E FF 4D E0 FF 4D E4 6A 03 6A 08 8D 45 D8 50 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 0C 6A 08 8D 45 D8 50 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 48 84 C0 74 32 8D 45 F0 50 B1 02 8D 55 BC 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 1D 81 7D F0 FF FF FF 1F 74 14 8B 45 FC 8B 80 78 02 00 00 8B 40 40 8B 55 F0 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 00 00 10 00 00 00 02 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule function_80795_0 {
	meta:
		name = "TCustomGrid.DrawMove"
		size = 400
		refs = "000f _Dn_TPen 0014 TPen.Create 001f TCustomGrid.DrawMove 0051 TPen.SetStyle 005b TPen.SetMode 0068 TPen.SetWidth 008b TCustomGrid.CellRect 00ba TControl.GetClientWidth 00fe @CallDynaInst 0137 TControl.GetClientHeight 0160 TCanvas.SetPen 0166 @HandleFinally 017d TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 78 02 00 00 8B 53 44 8B 45 F8 8B 08 FF 51 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 44 B2 02 E8 ?? ?? ?? ?? 8B 43 44 B2 0E E8 ?? ?? ?? ?? 8B 43 44 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 20 03 00 00 04 75 53 8D 45 E8 50 8B 45 FC 8B 88 E8 02 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E8 02 00 00 8B 55 FC 3B 82 E4 02 00 00 7E 05 8B 75 F4 EB 03 8B 75 EC 8B CE 33 D2 8B C3 8B 38 FF 57 64 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 8B 18 FF 53 60 EB 7B 8D 45 E8 50 8B 45 FC 8B 90 E8 02 00 00 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E8 02 00 00 8B 55 FC 3B 82 E4 02 00 00 7E 1A 8B 45 FC 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 05 8B 75 F0 EB 1D 8B 75 E8 EB 18 8B 45 FC 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 05 8B 75 E8 EB 03 8B 75 F0 33 C9 8B D6 8B C3 8B 38 FF 57 64 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80796_0 {
	meta:
		name = "TCustomGrid.FixedCellClick"
		size = 32
	strings:
		$1 = { 53 66 83 B8 1A 03 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 1C 03 00 00 FF 93 18 03 00 00 5B C3 }
	condition:
		$1
}

rule function_80797_0 {
	meta:
		name = "TCustomGrid.FocusCell"
		size = 43
		refs = "0010 TCustomGrid.MoveCurrent 0017 TCustomGrid.UpdateEdit 0022 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 56 8B F0 0F B6 45 08 50 6A 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BE EC FF E8 ?? ?? ?? ?? 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_80798_0 {
	meta:
		name = "LinePos"
		size = 91
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 55 FC 8B D8 33 F6 8B 43 18 3B 45 FC 7E 04 33 C0 EB 0B 8B 43 1C 3B 45 FC 7F 03 8B 73 04 8B 55 FC 4A 2B D0 7C 25 42 89 55 F4 89 45 F8 8B 55 F8 8B 43 2C FF 53 28 03 03 03 F0 3B 73 0C 7E 04 33 F6 EB 08 FF 45 F8 FF 4D F4 75 E2 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80799_0 {
	meta:
		name = "CalcAxis"
		size = 234
		refs = "0038 Rect 006a LinePos"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F1 89 55 FC 8B D8 C6 45 FB 00 8B 43 18 3B 45 FC 7F 37 8B 43 1C 3B 45 FC 7E 2F 8B 43 1C 3B F0 7D 25 6A 00 8D 45 E8 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 10 8B 40 FC 8D 75 E8 8B F8 A5 A5 A5 A5 E9 8D 00 00 00 89 45 FC 8B 43 10 3B F0 7E 19 8B F0 8B 43 20 48 3B F0 7D 01 46 8B C3 8B D6 E8 ?? ?? ?? ?? 85 C0 75 01 4E 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 55 0C 89 02 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 55 08 89 02 8B 45 08 83 38 00 75 15 8B 55 FC 8B 43 2C FF 53 28 8B 55 0C 03 02 8B 55 08 89 02 EB 0D 8B D6 8B 43 2C FF 53 28 8B 55 08 01 02 8B 43 0C 8B 55 08 3B 02 7D 05 8B 55 08 89 02 8B 45 10 80 78 08 00 74 07 8B 03 8B 55 08 01 02 C6 45 FB 01 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_80800_0 {
	meta:
		name = "TCustomGrid.GridRectToScreenRect"
		size = 260
		refs = "002a Rect 005b TCustomGrid.CalcDrawInfo 0090 CalcAxis 00be @CallDynaInst 00dd TControl.GetClientWidth"
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 53 56 57 8B F2 8D 7D EC A5 A5 A5 A5 89 4D FC 8B D8 6A 00 8D 85 78 FF FF FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 FC 8D B5 78 FF FF FF 8B F8 A5 A5 A5 A5 8B 45 EC 3B 45 F4 0F 8F B2 00 00 00 8B 45 F0 3B 45 F8 0F 8F A6 00 00 00 8D 55 88 8B C3 E8 ?? ?? ?? ?? 8B 45 98 40 8B 75 EC 3B C6 0F 8C 8D 00 00 00 8B 45 C8 40 3B 45 F0 0F 8C 80 00 00 00 55 8B 45 FC 50 8B 45 FC 83 C0 08 50 8D 45 88 8B 4D F4 8B D6 E8 ?? ?? ?? ?? 59 84 C0 74 1E 55 8B 45 FC 83 C0 04 50 8B 45 FC 83 C0 0C 50 8D 45 B8 8B 4D F8 8B 55 F0 E8 ?? ?? ?? ?? 59 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 35 8B 83 78 02 00 00 8B 10 FF 52 0C 84 C0 75 26 8B 75 FC 8B 36 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 2B 42 08 8B 55 FC 89 02 8B C3 E8 ?? ?? ?? ?? 2B C6 8B 55 FC 89 42 08 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80801_0 {
	meta:
		name = "TCustomGrid.Initialize"
		size = 95
	strings:
		$1 = { 8B 90 A4 02 00 00 89 90 D0 02 00 00 8B 90 A8 02 00 00 89 90 D4 02 00 00 8B 90 D0 02 00 00 89 90 90 02 00 00 8B 90 D4 02 00 00 89 90 94 02 00 00 8B 90 90 02 00 00 89 90 80 02 00 00 8B 90 94 02 00 00 89 90 84 02 00 00 F6 80 BD 02 00 00 10 74 0D 8B 90 8C 02 00 00 4A 89 90 80 02 00 00 C3 }
	condition:
		$1
}

rule function_80802_0 {
	meta:
		name = "TCustomGrid.InvalidateCell"
		size = 35
		refs = "001a TCustomGrid.InvalidateRect"
	strings:
		$1 = { 56 83 C4 F0 8B F0 89 4C 24 04 89 14 24 89 4C 24 0C 89 54 24 08 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E C3 }
	condition:
		$1
}

rule function_80803_0 {
	meta:
		name = "TCustomGrid.InvalidateCol"
		size = 60
		refs = "000c TWinControl.HandleAllocated 0020 TCustomGrid.GetVisibleRowCount 0032 TCustomGrid.InvalidateRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 33 C0 89 44 24 04 89 34 24 8B C3 E8 ?? ?? ?? ?? 40 89 44 24 0C 89 74 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_80804_0 {
	meta:
		name = "TCustomGrid.InvalidateRow"
		size = 60
		refs = "000c TWinControl.HandleAllocated 0024 TCustomGrid.GetVisibleColCount 0032 TCustomGrid.InvalidateRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 89 74 24 04 33 C0 89 04 24 89 74 24 0C 8B C3 E8 ?? ?? ?? ?? 40 89 44 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_80806_0 {
	meta:
		name = "TCustomGrid.InvalidateRect"
		size = 72
		refs = "0014 TWinControl.HandleAllocated 0029 TCustomGrid.GridRectToScreenRect 0037 TWinControl.GetHandle 003d InvalidateRect"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8D 3C 24 A5 A5 A5 A5 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 6A 01 8D 4C 24 14 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 6A 00 8D 44 24 14 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80808_0 {
	meta:
		name = "Min"
		size = 40
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 FC 00 75 0E 8B 45 08 8B 40 F8 8B 80 A4 02 00 00 5D C3 8B 45 08 8B 40 F8 8B 80 A8 02 00 00 5D C3 }
	condition:
		$1
}

rule function_80809_0 {
	meta:
		name = "Max"
		size = 28
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 FC 00 75 08 8B 45 08 8B 40 F0 5D C3 8B 45 08 8B 40 F4 5D C3 }
	condition:
		$1
}

rule function_80810_0 {
	meta:
		name = "PageUp"
		size = 94
		refs = "0023 TCustomGrid.CalcMaxTopLeft"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8D 45 F8 50 8B 45 08 8D 48 90 8B 45 08 8B 40 F8 8D 90 D0 02 00 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 83 78 FC 00 75 11 8B 45 08 8B 40 F8 8B 80 D0 02 00 00 2B 45 F8 EB 0F 8B 45 08 8B 40 F8 8B 80 D4 02 00 00 2B 45 FC 83 F8 01 7D 05 B8 01 00 00 00 59 59 5D C3 }
	condition:
		$1
}

rule function_80811_0 {
	meta:
		name = "PageDown"
		size = 81
		refs = "0010 TCustomGrid.CalcDrawInfo"
	strings:
		$1 = { 55 8B EC 83 C4 A0 8D 55 A0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 83 78 FC 00 75 14 8B 45 08 8B 40 F8 FF B0 D0 02 00 00 8B 45 B0 5A 2B C2 EB 12 8B 45 08 8B 40 F8 FF B0 D4 02 00 00 8B 45 E0 5A 2B C2 83 F8 01 7D 05 B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_80812_0 {
	meta:
		name = "CalcScrollBar"
		size = 311
		refs = "001c CalcScrollBar 0053 PageUp 0066 PageDown 009b @CallDynaInst 00ad Max 00b9 Min 00c9 LongMulDiv"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B D8 8B 45 08 8B 40 8C 83 F8 07 0F 87 17 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 2B DF E9 E9 00 00 00 03 DF E9 E2 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 59 F7 EF 2B D8 E9 CF 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 59 F7 EF 03 D8 E9 BC 00 00 00 8B 45 08 8B 40 F8 F6 80 BD 02 00 00 40 75 0D 8B 45 08 83 78 8C 04 0F 85 A0 00 00 00 8B 45 08 8B 40 F8 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 03 4F 75 37 6A 7F 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B D8 8B 45 08 50 E8 ?? ?? ?? ?? 59 2B D8 53 8B 45 08 8B 40 0C 50 E8 ?? ?? ?? ?? 8B D8 8B 45 08 50 E8 ?? ?? ?? ?? 59 03 D8 EB 53 6A 7F 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B D8 8B 45 08 50 E8 ?? ?? ?? ?? 59 2B D8 53 8B 45 08 8B 40 0C 50 E8 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B D8 58 2B D8 EB 1A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B D8 EB 0C 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B D8 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_80813_0 {
	meta:
		name = "ModifyPixelScrollBar"
		size = 432
		refs = "0027 TCustomGrid.GetColWidths 0035 TControl.GetClientWidth 004f ModifyPixelScrollBar 0085 TCustomCanvas.TextWidth 00ea @CallDynaInst 00fc Max 014d TCustomGrid.ScrollData 015c @FillChar 0179 TCustomGrid.InvalidateRect 0192 TCustomGrid.UpdateScrollPos"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 FC 8B F0 8B 45 08 8B 40 F8 8B 98 00 03 00 00 8B 45 08 8B 50 AC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 89 45 F8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B F8 8B 45 08 2B 78 94 8B C6 83 F8 07 0F 87 C5 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 80 78 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 F7 6A 88 2B D8 EB 7E 8B 45 08 8B 40 F8 8B 80 78 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 F7 6A 88 03 D8 EB 5E 8B 45 08 8B 40 88 F7 EF 2B D8 EB 52 8B 45 08 8B 40 88 F7 EF 03 D8 EB 46 8B 45 08 8B 40 F8 F6 80 BD 02 00 00 40 75 05 83 FE 04 75 32 8B 45 08 8B 40 F8 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 05 8B 5D FC EB 1A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B D8 2B 5D FC EB 09 33 DB EB 05 8B 5D F8 2B DF 85 DB 7D 04 33 DB EB 0B 8B 45 F8 2B C7 3B D8 7C 02 8B D8 8B 45 08 8B 40 F8 8B 80 00 03 00 00 3B D8 74 62 8B 55 08 8B 52 F8 89 9A 00 03 00 00 8B D0 2B D3 8B 45 08 8B 40 F8 33 C9 E8 ?? ?? ?? ?? 8D 45 E8 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 80 A8 02 00 00 89 45 F4 8B 45 08 8B 40 F8 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 10 FF 92 A8 00 00 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_80814_0 {
	meta:
		name = "TCustomGrid.ModifyScrollBar"
		size = 485
		refs = "0020 @CallDynaInst 007e TCustomGrid.CalcDrawInfo 009c ModifyPixelScrollBar 00d1 TCustomGrid.CalcMaxTopLeft 010c CalcScrollBar 012d TCustomGrid.GetColWidths 016c TCustomGrid.GetRowHeights 01d8 TCustomGrid.MoveTopLeft"
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 53 56 57 89 4D 8C 89 55 FC 89 45 F8 8D 7D 80 8B 45 F8 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 06 80 7D 08 00 75 09 C7 45 88 01 00 00 00 EB 07 C7 45 88 FF FF FF FF 8B 45 F8 80 78 61 00 74 30 8B 45 F8 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 20 8B 45 F8 80 B8 F0 01 00 00 00 74 14 8B 45 F8 F6 40 1C 10 75 0B 8B 45 F8 8B 10 FF 92 F4 00 00 00 8D 55 90 8B 45 F8 E8 ?? ?? ?? ?? 83 7D FC 00 75 1E 8B 45 F8 83 B8 8C 02 00 00 01 75 12 55 8B 55 0C 8B 45 8C E8 ?? ?? ?? ?? 59 E9 36 01 00 00 8B 45 F8 8B 80 8C 02 00 00 48 89 45 F0 8B 45 F8 8B 80 C8 02 00 00 48 89 45 F4 8D 85 78 FF FF FF 50 8D 4D 90 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 F0 8B 85 7C FF FF FF 89 45 F4 8B 45 F8 8B 90 D0 02 00 00 89 17 8B 90 D4 02 00 00 89 57 04 83 7D FC 00 75 3A 8B 37 8B DE 55 8B 55 88 8B C6 E8 ?? ?? ?? ?? 59 89 07 8B 45 F8 8B 80 A4 02 00 00 8B 37 3B C6 7D 56 3B 75 F0 7D 51 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7F 43 3B F3 75 C8 EB 3D 8B 77 04 8B DE 55 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 59 89 47 04 8B 45 F8 8B 80 A8 02 00 00 8B 77 04 3B C6 7D 17 3B 75 F4 7D 12 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7F 04 3B F3 75 C3 8B 17 8B 45 F0 3B D0 7F 02 8B C2 8B 55 F8 8B 92 A4 02 00 00 3B C2 7D 02 8B C2 89 07 8B 57 04 8B 45 F4 3B D0 7F 02 8B C2 8B 55 F8 8B 92 A8 02 00 00 3B C2 7D 02 8B C2 89 47 04 8B 55 F8 8B 92 D0 02 00 00 8B 07 3B D0 75 0E 8B 55 F8 8B 92 D4 02 00 00 3B 57 04 74 0D 8B 4F 04 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_80815_0 {
	meta:
		name = "TCustomGrid.MoveAdjust"
		size = 52
	strings:
		$1 = { 55 8B EC 56 57 8B 45 08 3B 0A 75 04 89 02 EB 1E 8B F1 8B F8 3B C1 7D 04 8B F0 8B F9 3B 32 7F 0E 3B 3A 7C 0A 3B C1 7D 04 FF 02 EB 02 FF 0A 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_80816_0 {
	meta:
		name = "TCustomGrid.MoveAnchor"
		size = 132
		refs = "0011 TCustomGrid.MoveAnchor 0024 TCustomGrid.GetSelection 0054 TCustomGrid.ClampInView 0072 TCustomGrid.MoveCurrent"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B 83 BC 02 00 00 23 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B D0 75 47 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 06 89 83 80 02 00 00 8B 46 04 89 83 84 02 00 00 F6 83 BD 02 00 00 10 74 0D 8B 83 8C 02 00 00 48 89 83 80 02 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 91 08 01 00 00 EB 10 6A 01 6A 01 8B 4E 04 8B 16 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 10 04 00 00 10 00 00 00 }
	condition:
		$1
}

rule function_80817_0 {
	meta:
		name = "TCustomGrid.MoveCurrent"
		size = 344
		refs = "0019 TCustomGrid.MoveCurrent 0044 SIndexOutOfRange 0049 LoadResString 0051 InvalidOp 0072 TCustomGrid.GetSelection 00a3 TCustomGrid.HideEditor 0108 TCustomGrid.ClampInView 0122 TCustomGrid.InvalidateCell 0143 @UStrClr 0149 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 19 83 7D FC 00 7C 13 3B B3 8C 02 00 00 7D 0B 8B 45 FC 3B 83 C8 02 00 00 7C 15 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 8B 38 FF 97 18 01 00 00 84 C0 0F 84 C6 00 00 00 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 83 90 02 00 00 89 45 F4 8B 83 94 02 00 00 89 45 F8 89 B3 90 02 00 00 8B 45 FC 89 83 94 02 00 00 F6 83 BD 02 00 00 20 75 07 8B C3 E8 ?? ?? ?? ?? 80 7D 0C 00 75 09 F6 83 BC 02 00 00 10 75 2E 8B 83 90 02 00 00 89 83 80 02 00 00 8B 83 94 02 00 00 89 83 84 02 00 00 F6 83 BD 02 00 00 10 74 0D 8B 83 8C 02 00 00 48 89 83 80 02 00 00 F6 83 BD 02 00 00 10 74 0C 8B 83 A4 02 00 00 89 83 90 02 00 00 80 7D 08 00 74 0D 8D 93 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 8B C3 8B 08 FF 91 08 01 00 00 8B 4D F8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_80818_0 {
	meta:
		name = "TCustomGrid.MoveTopLeft"
		size = 84
		refs = "004a TCustomGrid.TopLeftMoved"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 3B B3 D0 02 00 00 75 08 3B BB D4 02 00 00 74 32 8B C3 8B 10 FF 92 A8 00 00 00 8B 83 D0 02 00 00 89 04 24 8B 83 D4 02 00 00 89 44 24 04 89 B3 D0 02 00 00 89 BB D4 02 00 00 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80819_0 {
	meta:
		name = "TCustomGrid.ResizeCol"
		size = 21
		altNames = "TCustomGrid.ResizeRow"
	strings:
		$1 = { 55 8B EC 56 8B F0 8B C6 8B 10 FF 92 9C 00 00 00 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_80821_0 {
	meta:
		name = "TCustomGrid.SelectionMoved"
		size = 117
		refs = "000d TWinControl.HandleAllocated 0020 TCustomGrid.GridRectToScreenRect 002d TCustomGrid.GetSelection 004b XorRects 005e TWinControl.GetHandle 0064 InvalidateRect"
	strings:
		$1 = { 53 56 57 83 C4 90 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 59 6A 01 8D 4C 24 04 8B D3 8B C7 E8 ?? ?? ?? ?? 6A 01 8D 54 24 64 8B C7 E8 ?? ?? ?? ?? 8D 54 24 64 8D 4C 24 14 8B C7 E8 ?? ?? ?? ?? 8D 4C 24 20 8D 54 24 10 8B C4 E8 ?? ?? ?? ?? BE 04 00 00 00 8D 5C 24 20 6A 00 53 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C3 10 4E 75 EA 83 C4 70 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80822_0 {
	meta:
		name = "TCustomGrid.ScrollDataInfo"
		size = 428
		refs = "0032 @CallDynaInst 004b Rect 005c TControl.GetClientWidth 0092 TWinControl.GetHandle 0098 ScrollWindowEx 0195 TCustomGrid.GetSelection 019f TCustomGrid.InvalidateRect"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 08 C7 45 F8 02 00 00 00 80 BB 04 03 00 00 00 75 04 83 4D F8 04 85 F6 75 76 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 17 8B 47 3C 50 8D 45 E8 50 8B 4F 0C 8B 47 04 33 D2 E8 ?? ?? ?? ?? EB 28 8B 47 3C 50 8D 45 E8 50 8B C3 E8 ?? ?? ?? ?? 2B 47 04 50 8B C3 E8 ?? ?? ?? ?? 2B 47 0C 33 D2 59 E8 ?? ?? ?? ?? F7 5D FC 8B 45 F8 50 6A 00 6A 00 8D 45 E8 50 8D 45 E8 50 6A 00 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 E5 00 00 00 83 7D FC 00 75 3A 8B 47 3C 50 8D 45 E8 50 8B 4F 0C 8B 57 34 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 6A 00 8D 45 E8 50 8D 45 E8 50 56 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 A5 00 00 00 8B 47 34 50 8D 45 E8 50 8B 4F 0C 8B 47 04 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 6A 00 8D 45 E8 50 8D 45 E8 50 6A 00 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 47 3C 50 8D 45 E8 50 8B 4F 04 8B 57 34 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 6A 00 8D 45 E8 50 8D 45 E8 50 56 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 47 3C 50 8D 45 E8 50 8B 4F 0C 8B 57 34 8B 47 04 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 6A 00 8D 45 E8 50 8D 45 E8 50 56 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 83 BD 02 00 00 10 74 14 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80823_0 {
	meta:
		name = "TCustomGrid.ScrollData"
		size = 40
		refs = "0011 TCustomGrid.CalcDrawInfo 001d TCustomGrid.ScrollDataInfo"
	strings:
		$1 = { 53 56 57 83 C4 A0 8B F9 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 54 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 60 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80824_0 {
	meta:
		name = "CalcScroll"
		size = 136
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 4D F8 89 55 FC 8B D8 8B 75 08 C6 45 F7 00 8B 45 FC 3B 45 F8 7D 08 8B 45 FC 8B 55 F8 EB 06 8B 45 F8 8B 55 FC 33 C9 89 0E 4A 2B D0 7C 38 42 89 55 EC 89 45 F0 8B 55 F0 8B 43 2C FF 53 28 03 03 01 06 8B 43 08 2B 43 04 3B 06 7D 12 8B 45 0C 8B 70 FC 8B C6 8B 10 FF 92 9C 00 00 00 EB 16 FF 45 F0 FF 4D EC 75 CF 8B 45 FC 3B 45 F8 7D 02 F7 1E C6 45 F7 01 0F B6 45 F7 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80825_0 {
	meta:
		name = "TCustomGrid.TopLeftMoved"
		size = 127
		refs = "0011 TCustomGrid.UpdateScrollPos 001c TCustomGrid.CalcDrawInfo 0034 CalcScroll 0069 TCustomGrid.ScrollDataInfo 0075 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 55 90 8B 45 FC E8 ?? ?? ?? ?? 55 8D 45 F4 50 8B 45 FC 8B 88 D0 02 00 00 8B 13 8D 45 90 E8 ?? ?? ?? ?? 59 84 C0 74 30 55 8D 45 F8 50 8B 45 FC 8B 88 D4 02 00 00 8B 53 04 8D 45 C0 E8 ?? ?? ?? ?? 59 84 C0 74 12 8D 45 90 50 8B 4D F8 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BE A1 FF E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80826_0 {
	meta:
		name = "SetScroll"
		size = 127
		refs = "0015 @CallDynaInst 0057 TWinControl.GetHandle 005d GetScrollPos 0076 SetScrollPos"
	strings:
		$1 = { 55 8B EC 53 56 57 8B DA 8B F8 8B 45 08 8B 40 FC 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 2F 66 85 FF 75 2A 8B 45 08 8B 40 FC 83 B8 8C 02 00 00 01 74 0B B8 7F 00 00 00 2B C3 8B D8 EB 10 8B 45 08 8B 40 F8 8B 55 08 2B 42 F4 2B C3 8B D8 0F B7 F7 56 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B D8 74 15 6A FF 53 56 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_80827_0 {
	meta:
		name = "TCustomGrid.UpdateScrollPos"
		size = 334
		refs = "0011 TWinControl.HandleAllocated 0032 TCustomGrid.CalcDrawInfo 005b TCustomGrid.CalcMaxTopLeft 0091 TCustomGrid.GetColWidths 009b TControl.GetClientWidth 00ce TCustomGrid.ModifyScrollBar 00da SetScroll 00fe LongMulDiv"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 56 89 45 FC 8D 75 FC 8B 06 E8 ?? ?? ?? ?? 84 C0 0F 84 2B 01 00 00 8B 06 80 B8 CC 02 00 00 00 0F 84 1C 01 00 00 8D 55 88 8B 06 E8 ?? ?? ?? ?? 8B 06 8B 80 8C 02 00 00 48 89 45 EC 8B 06 8B 80 C8 02 00 00 48 89 45 F0 8D 45 80 50 8D 4D 88 8D 55 EC 8B 06 E8 ?? ?? ?? ?? 8B 45 80 89 45 EC 8B 45 84 89 45 F0 8B 06 0F B6 80 CC 02 00 00 2C 01 74 08 2C 02 0F 85 8C 00 00 00 8B 06 83 B8 8C 02 00 00 01 75 56 8B 55 A4 8B 06 E8 ?? ?? ?? ?? 89 45 F8 8B 06 E8 ?? ?? ?? ?? 2B 45 8C 89 45 F4 8B 06 8B 80 00 03 00 00 85 C0 7E 23 8B 55 F8 2B D0 3B 55 F4 7D 19 8B 45 F8 2B 45 F4 50 6A 01 B9 04 00 00 00 33 D2 8B 06 E8 ?? ?? ?? ?? EB 38 55 8B D0 33 C0 E8 ?? ?? ?? ?? 59 EB 2B 55 8B 06 8B 98 A4 02 00 00 8B 45 EC 2B C3 50 6A 7F 8B 06 8B 80 D0 02 00 00 2B C3 50 E8 ?? ?? ?? ?? 8B D0 33 C0 E8 ?? ?? ?? ?? 59 8B 06 0F B6 80 CC 02 00 00 04 FE 2C 02 73 2D 55 8B 06 8B 98 A8 02 00 00 8B 45 F0 2B C3 50 6A 7F 8B 06 8B 80 D4 02 00 00 2B C3 50 E8 ?? ?? ?? ?? 8B D0 66 B8 01 00 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80828_0 {
	meta:
		name = "DoUpdate"
		size = 35
	strings:
		$1 = { 55 8B EC 8B 45 08 80 78 8F 00 75 15 8B 45 08 8B 40 88 8B 10 FF 92 A8 00 00 00 8B 45 08 C6 40 8F 01 5D C3 }
	condition:
		$1
}

rule function_80829_0 {
	meta:
		name = "ScrollBarVisible"
		size = 110
		refs = "0056 TWinControl.GetHandle 005c GetScrollRange"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 33 C0 8B 55 08 8B 52 88 80 BA CC 02 00 00 03 74 29 66 85 DB 75 0F 8B 55 08 8B 52 88 80 BA CC 02 00 00 01 74 15 66 83 FB 01 75 35 8B 55 08 8B 52 88 80 BA CC 02 00 00 02 75 26 8D 45 F8 50 8D 45 FC 50 0F B7 C3 50 8B 45 08 8B 40 88 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 0F 95 C0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80830_0 {
	meta:
		name = "CalcSizeInfo"
		size = 120
		refs = "0020 TCustomGrid.CalcDrawInfoXY 0061 TCustomGrid.CalcMaxTopLeft"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 08 8B 40 DC 50 8B 45 08 8B 48 AC 8B 45 08 8D 50 A0 8B 45 08 8B 40 88 E8 ?? ?? ?? ?? 8B 45 08 8B 40 88 8B 80 8C 02 00 00 48 8B 55 08 89 42 98 8B 45 08 8B 40 88 8B 80 C8 02 00 00 48 8B 55 08 89 42 9C 8D 45 F8 50 8B 45 08 8D 48 A0 8B 45 08 8D 50 98 8B 45 08 8B 40 88 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 89 50 98 8B 55 FC 89 50 9C 59 59 5D C3 }
	condition:
		$1
}

rule function_80831_0 {
	meta:
		name = "SetAxisRange"
		size = 121
		refs = "0016 CalcSizeInfo 0033 TWinControl.GetHandle 0039 SetScrollRange 0065 DoUpdate"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 0C 8B 45 10 50 E8 ?? ?? ?? ?? 59 8B 03 3B 45 08 7E 1D 6A FF 6A 7F 6A 00 0F B7 C6 50 8B 45 10 8B 40 88 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1B 6A FF 6A 00 6A 00 0F B7 C6 50 8B 45 10 8B 40 88 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 07 3B 03 7E 11 8B 45 10 50 E8 ?? ?? ?? ?? 59 8B 03 8B 55 FC 89 02 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_80832_0 {
	meta:
		name = "SetHorzRange"
		size = 146
		refs = "002b TCustomGrid.GetColWidths 0038 TControl.GetClientWidth 0052 TWinControl.GetHandle 0058 SetScrollRange 008a SetAxisRange"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 0F B6 40 87 2C 01 74 04 2C 02 75 7C 8B 45 08 8B 40 88 83 B8 8C 02 00 00 01 75 3C 8B 45 08 8B 40 88 33 D2 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 88 E8 ?? ?? ?? ?? 2B D8 85 DB 7D 02 33 DB 6A FF 53 6A 00 6A 00 8B 45 08 8B 40 88 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 31 8B 45 08 50 6A 00 8B 45 08 8B 40 88 8B 80 A4 02 00 00 50 8B 45 08 8B 40 88 8D 88 D0 02 00 00 8B 45 08 8D 50 90 8B 45 08 83 C0 98 E8 ?? ?? ?? ?? 59 5B 5D C3 }
	condition:
		$1
}

rule function_80833_0 {
	meta:
		name = "SetVertRange"
		size = 67
		refs = "003c SetAxisRange"
	strings:
		$1 = { 55 8B EC 8B 45 08 0F B6 40 87 04 FE 2C 02 73 31 8B 45 08 50 6A 01 8B 45 08 8B 40 88 8B 80 A8 02 00 00 50 8B 45 08 8B 40 88 8D 88 D4 02 00 00 8B 45 08 8D 50 94 8B 45 08 83 C0 9C E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_80834_0 {
	meta:
		name = "TCustomGrid.UpdateScrollRange"
		size = 330
		refs = "001d TWinControl.HandleAllocated 003d TControl.GetClientWidth 0048 TControl.GetClientHeight 0053 ScrollBarVisible 005f GetSystemMetrics 00b3 TCustomGrid.UpdateScrollRange 00bf SetHorzRange 00d1 SetVertRange 0111 @HandleFinally 011b TCustomGrid.UpdateScrollPos 0142 TCustomGrid.TopLeftMoved"
	strings:
		$1 = { 55 8B EC 83 C4 84 89 45 88 8B 45 88 80 B8 CC 02 00 00 00 0F 84 2D 01 00 00 8B 45 88 E8 ?? ?? ?? ?? 84 C0 0F 84 1D 01 00 00 8B 45 88 80 B8 F2 01 00 00 00 0F 84 0D 01 00 00 8B 45 88 E8 ?? ?? ?? ?? 89 45 AC 8B 45 88 E8 ?? ?? ?? ?? 89 45 DC 55 33 C0 E8 ?? ?? ?? ?? 59 84 C0 74 0A 6A 03 E8 ?? ?? ?? ?? 01 45 DC 55 66 B8 01 00 E8 ?? ?? ?? ?? 59 84 C0 74 0A 6A 02 E8 ?? ?? ?? ?? 01 45 AC 8B 45 88 8B 90 D0 02 00 00 89 55 90 8B 90 D4 02 00 00 89 55 94 8B 45 88 0F B6 80 CC 02 00 00 88 45 87 8B 45 88 C6 80 CC 02 00 00 00 C6 45 8F 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 8B 45 88 E8 ?? ?? ?? ?? 89 45 DC 55 E8 ?? ?? ?? ?? 59 8B 45 88 E8 ?? ?? ?? ?? 3B 45 AC 74 12 8B 45 88 E8 ?? ?? ?? ?? 89 45 AC 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 45 87 8B 55 88 88 82 CC 02 00 00 C3 E9 ?? ?? ?? ?? EB EB 8B 45 88 E8 ?? ?? ?? ?? 8B 45 88 8B 80 D0 02 00 00 3B 45 90 75 0E 8B 45 88 8B 80 D4 02 00 00 3B 45 94 74 0B 8D 55 90 8B 45 88 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_80836_0 {
	meta:
		name = "TCustomGrid.CreateParams"
		size = 125
		refs = "000b TWinControl.CreateParams 0051 NewStyleControls"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 81 4E 04 00 00 01 00 0F B6 83 CC 02 00 00 04 FE 2C 02 73 07 81 4E 04 00 00 20 00 0F B6 83 CC 02 00 00 2C 01 74 04 2C 02 75 07 81 4E 04 00 00 10 00 C7 46 24 08 00 00 00 80 BB 88 02 00 00 01 75 2A A1 ?? ?? ?? ?? 80 38 00 74 19 80 BB F1 01 00 00 00 74 10 81 66 04 FF FF 7F FF 81 4E 08 00 02 00 00 EB 07 81 4E 04 00 00 80 00 5E 5B C3 }
	condition:
		$1
}

rule function_80837_0 {
	meta:
		name = "TCustomGrid.CreateWnd"
		size = 52
		refs = "0006 TWinControl.CreateWnd 0023 ThemeControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 83 A0 02 00 00 88 83 2C 03 00 00 80 BB A0 02 00 00 01 75 12 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 C6 83 2C 03 00 00 00 5B C3 }
	condition:
		$1
}

rule function_80838_0 {
	meta:
		name = "TCustomGrid.DoGesture"
		size = 361
		refs = "0064 TCustomGrid.GetRowHeights 00a4 VertScrollFlags 00b0 TCustomGrid.ModifyScrollBar 00fb TCustomGrid.GetColWidths 0134 HorizScrollFlags"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 8B F0 66 81 3B 04 01 0F 85 4C 01 00 00 C6 01 01 F6 43 0C 01 74 17 8B 43 04 89 86 C0 02 00 00 8B 43 08 89 86 C4 02 00 00 E9 2C 01 00 00 F6 43 0C 04 0F 85 22 01 00 00 8B 7B 08 2B BE C4 02 00 00 8B C7 99 33 C2 2B C2 8B E8 83 FD 01 0F 8E 80 00 00 00 8B 96 D4 02 00 00 8B C6 E8 ?? ?? ?? ?? 89 44 24 04 8B C5 99 F7 7C 24 04 8B C8 8B C7 99 33 C2 2B C2 99 F7 7C 24 04 85 D2 74 08 85 C9 0F 8E D5 00 00 00 8B E9 4D 85 ED 7C 23 45 6A 00 6A 01 85 FF 0F 9F C0 83 E0 7F 8B 0C 85 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 4D 75 DE 8B 43 04 89 86 C0 02 00 00 8B 43 08 89 86 C4 02 00 00 8B C7 99 F7 7C 24 04 01 96 C4 02 00 00 E9 87 00 00 00 8B 7B 04 2B BE C0 02 00 00 8B C7 99 33 C2 2B C2 8B E8 83 FD 01 7E 70 8B 96 D0 02 00 00 8B C6 E8 ?? ?? ?? ?? 89 04 24 8B C5 99 F7 3C 24 8B C8 8B C7 99 33 C2 2B C2 99 F7 3C 24 85 D2 74 04 85 C9 7E 45 8B E9 4D 85 ED 7C 20 45 6A 00 6A 01 85 FF 0F 9F C0 83 E0 7F 8B 0C 85 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 4D 75 E1 8B 43 04 89 86 C0 02 00 00 8B 43 08 89 86 C4 02 00 00 8B C7 99 F7 3C 24 01 96 C0 02 00 00 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80839_0 {
	meta:
		name = "CalcPageExtents"
		size = 108
		refs = "0010 TCustomGrid.CalcDrawInfo"
	strings:
		$1 = { 55 8B EC 8B 45 08 8D 50 A0 8B 45 08 8B 40 9C E8 ?? ?? ?? ?? 8B 45 08 8B 40 B0 8B 55 08 8B 52 9C 2B 82 D0 02 00 00 8B 55 08 89 42 98 8B 45 08 83 78 98 01 7D 0A 8B 45 08 C7 40 98 01 00 00 00 8B 45 08 8B 40 E0 8B 55 08 8B 52 9C 2B 82 D4 02 00 00 8B 55 08 89 42 94 8B 45 08 83 78 94 01 7D 0A 8B 45 08 C7 40 94 01 00 00 00 5D C3 }
	condition:
		$1
}

rule function_80840_0 {
	meta:
		name = "Restrict"
		size = 63
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B 75 08 8B 5D 0C 8B 38 3B DF 7D 04 89 18 EB 06 3B D7 7E 02 89 10 8B 50 04 3B F2 7D 05 89 70 04 EB 0B 3B 55 FC 7D 06 8B 55 FC 89 50 04 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_80841_0 {
	meta:
		name = "TCustomGrid.KeyDown"
		size = 1644
		refs = "0039 TCustomGrid.KeyDown 004d TWinControl.KeyDown 008c TLinkObservers.GetEditGridLink 00d2 @CallDynaInst 0125 CalcPageExtents 03ea TCustomGrid.GetTabStops 040c TCustomGrid.SetEditorMode 0444 TCustomGrid.CalcMaxTopLeft 0484 Restrict 04af TCustomGrid.MoveTopLeft 055e @HandleAnyException 0590 @RaiseAgain 0595 @DoneExcept 05df TCustomGrid.FocusCell 060b TLinkObservers.PositionLinkPosChanged 0633 IEditGridLinkObserver 063d @FinalizeArray 0659 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 58 FF FF FF 53 56 57 33 DB 89 9D 58 FF FF FF 89 9D 5C FF FF FF 89 9D 60 FF FF FF 89 9D 6C FF FF FF 89 9D 70 FF FF FF 66 89 4D 92 8B FA 89 45 9C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 0F B7 4D 92 8B 45 9C E8 ?? ?? ?? ?? 8B 45 9C 8B 10 FF 52 20 BA 02 00 00 00 8B 08 FF 51 14 84 C0 74 5A 66 83 3F 2E 74 0C 66 83 3F 2D 75 4E F6 45 92 01 74 48 8B 45 9C 8B 10 FF 52 20 8B D8 8D 95 70 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 8B 10 FF 52 24 84 C0 74 22 8B 45 9C 8B 10 FF 52 20 8B D8 8D 95 6C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 8B 10 FF 52 2C 33 DB 0F B7 17 0F B7 4D 92 8B 45 9C 66 BE AC FF E8 ?? ?? ?? ?? 84 C0 75 05 66 C7 07 00 00 8B 45 9C 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 07 BE 01 00 00 00 EB 03 83 CE FF 8B 45 9C 8B 90 90 02 00 00 89 55 80 8B 90 94 02 00 00 89 55 84 8B 45 9C 8B 90 D0 02 00 00 89 55 88 8B 90 D4 02 00 00 89 55 8C 55 E8 ?? ?? ?? ?? 59 F6 45 92 04 0F 84 FA 00 00 00 0F B7 07 83 C0 DF 83 F8 07 0F 87 CD 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FF 4D 8C E9 9E 02 00 00 FF 45 8C E9 96 02 00 00 8B 45 9C F6 80 BD 02 00 00 10 0F 85 86 02 00 00 8B 45 98 F7 EE 29 45 80 29 45 88 E9 76 02 00 00 8B 45 9C F6 80 BD 02 00 00 10 0F 85 66 02 00 00 8B 45 98 F7 EE 01 45 80 01 45 88 E9 56 02 00 00 8B 45 9C 8B 80 D4 02 00 00 89 45 84 E9 45 02 00 00 8B 45 E0 89 45 84 E9 3A 02 00 00 8B 45 9C 8B 80 A4 02 00 00 89 45 80 8B 45 9C 8B 80 A8 02 00 00 89 45 84 8B 45 9C 66 BE C7 FF E8 ?? ?? ?? ?? 8B D8 E9 0F 02 00 00 8B 45 9C 8B 80 8C 02 00 00 48 89 45 80 8B 45 9C 8B 80 C8 02 00 00 48 89 45 84 8B 45 9C 66 BE C7 FF E8 ?? ?? ?? ?? 8B D8 E9 E2 01 00 00 0F B7 07 83 F8 25 7F 39 74 60 83 F8 22 7F 1D 0F 84 8D 00 00 00 83 E8 09 0F 84 04 01 00 00 83 E8 18 0F 84 8C 00 00 00 E9 B6 01 00 00 83 E8 23 0F 84 BD 00 00 00 48 0F 84 88 00 00 00 E9 A1 01 00 00 83 E8 26 74 14 48 74 3D 48 74 16 83 E8 49 0F 84 83 01 00 00 E9 88 01 00 00 FF 4D 84 E9 80 01 00 00 FF 45 84 E9 78 01 00 00 8B 45 9C F6 80 BD 02 00 00 10 74 08 29 75 84 E9 64 01 00 00 29 75 80 E9 5C 01 00 00 8B 45 9C F6 80 BD 02 00 00 10 74 08 01 75 84 E9 48 01 00 00 01 75 80 E9 40 01 00 00 8B 45 94 01 45 84 8B 45 94 01 45 8C E9 2F 01 00 00 8B 45 94 29 45 84 8B 45 94 29 45 8C E9 1E 01 00 00 8B 45 9C F6 80 BD 02 00 00 10 74 11 8B 45 9C 8B 80 A8 02 00 00 89 45 84 E9 01 01 00 00 8B 45 9C 8B 80 A4 02 00 00 89 45 80 E9 F0 00 00 00 8B 45 9C F6 80 BD 02 00 00 10 74 12 8B 45 9C 8B 80 C8 02 00 00 48 89 45 84 E9 D2 00 00 00 8B 45 9C 8B 80 8C 02 00 00 48 89 45 80 E9 C0 00 00 00 F6 45 92 02 0F 85 B6 00 00 00 F6 45 92 01 74 49 FF 4D 80 8B 45 9C 8B 80 A4 02 00 00 3B 45 80 7E 2B 8B 45 9C 8B 80 8C 02 00 00 48 89 45 80 FF 4D 84 8B 45 9C 8B 80 A8 02 00 00 3B 45 84 7E 0D 8B 45 9C 8B 80 C8 02 00 00 48 89 45 84 0F B7 05 ?? ?? ?? ?? 66 89 45 92 EB 3A FF 45 80 8B 45 9C 8B 80 8C 02 00 00 3B 45 80 7F 29 8B 45 9C 8B 80 A4 02 00 00 89 45 80 FF 45 84 8B 45 9C 8B 80 C8 02 00 00 3B 45 84 7F 0C 8B 45 9C 8B 80 A8 02 00 00 89 45 84 8B 55 80 8B 45 9C E8 ?? ?? ?? ?? 84 C0 75 1E 8B 45 9C 8B 80 90 02 00 00 3B 45 80 0F 85 56 FF FF FF EB 0A B2 01 8B 45 9C E8 ?? ?? ?? ?? 8B 45 9C 8B 80 8C 02 00 00 48 89 85 78 FF FF FF 8B 45 9C 8B 80 C8 02 00 00 48 89 85 7C FF FF FF 8D 85 64 FF FF FF 50 8D 4D A0 8D 95 78 FF FF FF 8B 45 9C E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 89 85 78 FF FF FF 8B 85 68 FF FF FF 89 85 7C FF FF FF 8B 85 78 FF FF FF 50 8B 85 7C FF FF FF 50 8B 45 9C 8B 88 A8 02 00 00 8B 45 9C 8B 90 A4 02 00 00 8D 45 88 E8 ?? ?? ?? ?? 8B 55 9C 8B 92 D0 02 00 00 8B 45 88 3B D0 75 0E 8B 55 9C 8B 92 D4 02 00 00 3B 55 8C 74 0D 8B 4D 8C 8B D0 8B 45 9C E8 ?? ?? ?? ?? 8B 45 9C 8B 80 8C 02 00 00 48 50 8B 45 9C 8B 80 C8 02 00 00 48 50 8B 45 9C 8B 88 A8 02 00 00 8B 45 9C 8B 90 A4 02 00 00 8D 45 80 E8 ?? ?? ?? ?? 8B 45 9C 8B 10 FF 52 20 BA 02 00 00 00 8B 08 FF 51 14 84 C0 0F 84 9C 00 00 00 8B 45 9C 8B 10 FF 52 20 8B F0 8D 95 60 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 8B 10 FF 52 44 84 C0 74 76 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 9C 8B 10 FF 52 20 8B F0 8D 95 5C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 8B 10 FF 52 20 33 C0 5A 59 59 64 89 10 EB 3C E9 ?? ?? ?? ?? 8B 45 9C 8B 10 FF 52 20 8B D8 8D 95 58 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 8B 10 FF 52 28 8B 45 9C 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B 92 90 02 00 00 8B 45 80 3B D0 75 0E 8B 55 9C 8B 92 94 02 00 00 3B 55 84 74 58 8B 55 9C 8B 92 94 02 00 00 8B 75 84 3B D6 0F 95 85 77 FF FF FF F6 45 92 01 0F 95 C2 80 F2 01 52 8B CE 8B D0 8B 45 9C E8 ?? ?? ?? ?? 80 BD 77 FF FF FF 00 74 23 8B 45 9C 8B 10 FF 52 20 BA 03 00 00 00 8B 08 FF 51 14 84 C0 74 0D 8B 45 9C 8B 10 FF 52 20 E8 ?? ?? ?? ?? 84 DB 74 0B 8B 45 9C 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 58 FF FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CC 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_80842_0 {
	meta:
		name = "TCustomGrid.KeyPress"
		size = 565
		refs = "001c TCustomGrid.KeyPress 002c TWinControl.KeyPress 0063 TLinkObservers.GetEditGridLink 0078 MessageBeep 019c @HandleAnyException 01c8 @RaiseAgain 01cd @DoneExcept 01f3 TCustomGrid.HideEditor 01fd TCustomGrid.ShowEditor 0218 IEditGridLinkObserver 0222 @FinalizeArray 0228 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 20 BA 02 00 00 00 8B 08 FF 51 14 84 C0 0F 84 87 01 00 00 66 83 3B 20 72 31 8B 45 FC 8B 10 FF 52 20 8B F0 0F B7 3B 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B D7 8B 08 FF 51 34 84 C0 75 0C 6A 00 E8 ?? ?? ?? ?? 66 C7 03 00 00 0F B7 03 83 F8 18 7F 1A 74 2B 83 E8 08 74 26 83 E8 05 0F 84 AE 00 00 00 83 E8 09 74 18 E9 2E 01 00 00 83 E8 1B 74 59 83 C0 FB 2D E0 FF 00 00 0F 83 1B 01 00 00 8B 45 FC 8B 10 FF 52 20 8B F0 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 24 84 C0 75 0A 66 C7 03 00 00 E9 F1 00 00 00 8B 45 FC 8B 10 FF 52 20 8B F0 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 2C E9 D0 00 00 00 8B 45 FC 8B 10 FF 52 20 8B F0 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 44 84 C0 74 1C 8B 45 FC 8B 10 FF 52 20 8B F0 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 28 66 C7 03 00 00 E9 8A 00 00 00 8B 45 FC 8B 10 FF 52 20 8B F0 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 8B 10 FF 52 44 84 C0 74 6A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 20 8B F0 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 52 20 33 C0 5A 59 59 64 89 10 EB 36 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 20 8B D8 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 8B 10 FF 52 28 8B 45 FC 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC F6 80 BD 02 00 00 20 75 29 66 83 3B 0D 75 23 8B 45 FC 80 B8 05 03 00 00 00 74 0A 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 66 C7 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80843_0 {
	meta:
		name = "TCustomGrid.MouseDown"
		size = 1617
		refs = "0042 TCustomGrid.MouseDown 0054 TCustomGrid.HideEdit 0069 @CallDynaInst 0077 GetParentForm 008e TCustomGrid.IsActiveControl 009c TControl.SetMouseCapture 00d2 TCustomGrid.CalcDrawInfo 013d TControl.GetClientWidth 015d TCustomGrid.DrawSizingLine 017a TCustomGrid.CalcCoordFromPoint 01d2 TCustomGrid.ShowEditor 0218 TLinkObservers.GetEditGridLink 0266 @HandleAnyException 028d @RaiseAgain 0292 @DoneExcept 02a4 TCustomGrid.MoveCurrent 02ac TCustomGrid.UpdateEdit 02d5 TLinkObservers.PositionLinkPosChanged 02fe TWinControl.GetHandle 0304 SetTimer 0315 TCustomGrid.MoveAnchor 0463 TCustomGrid.InvalidateCell 0506 TCustomGrid.DrawMove 05f7 TControl.MouseDown 0632 IEditGridLinkObserver 063c @FinalizeArray 0642 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 60 FF FF FF 53 56 57 33 DB 89 9D 60 FF FF FF 89 9D 64 FF FF FF 89 9D 68 FF FF FF 89 9D 6C FF FF FF 89 9D 70 FF FF FF 89 9D 74 FF FF FF 66 89 4D FA 8B DA 89 45 FC 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 1C 10 75 44 8B 45 FC 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 75 0E B2 01 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 26 8B 45 FC 8B 10 FF 92 F4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0F 33 D2 8B 45 FC E8 ?? ?? ?? ?? E9 78 05 00 00 84 DB 75 17 F6 45 FA 40 74 11 8B 45 FC 66 BE EB FF E8 ?? ?? ?? ?? E9 1A 05 00 00 84 DB 0F 85 12 05 00 00 8D 95 78 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 20 03 00 00 50 8B 45 FC 05 D8 02 00 00 50 8B 45 FC 05 DC 02 00 00 50 8B 45 FC 05 E0 02 00 00 50 8D 85 78 FF FF FF 50 8B 4D 08 8B D7 8B 45 FC 8B 30 FF 96 FC 00 00 00 8B 45 FC 80 B8 20 03 00 00 00 74 49 8B 45 FC 80 B8 20 03 00 00 03 75 2A 8B 45 FC 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 2B 82 DC 02 00 00 8B 55 FC 89 82 DC 02 00 00 8D 95 78 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? E9 B7 04 00 00 8D 85 78 FF FF FF 50 8D 45 F0 50 8B 4D 08 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 02 00 00 3B 45 F0 0F 8F 92 02 00 00 8B 45 FC 8B 80 A8 02 00 00 3B 45 F4 0F 8F 80 02 00 00 8B 45 FC F6 80 BD 02 00 00 04 0F 84 38 01 00 00 8B 45 FC 8B 80 90 02 00 00 3B 45 F0 75 1B 8B 45 FC 8B 80 94 02 00 00 3B 45 F4 75 0D 8B 45 FC E8 ?? ?? ?? ?? E9 FE 00 00 00 8B 45 FC 8B 80 94 02 00 00 3B 45 F4 0F 95 45 EE 8B 45 FC 8B 10 FF 52 20 BA 02 00 00 00 8B 08 FF 51 14 84 C0 0F 84 91 00 00 00 8B 45 FC 8B 10 FF 52 20 8B F0 8D 95 74 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 8B 10 FF 52 44 84 C0 74 6B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 20 8B F0 8D 95 70 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 8B 10 FF 52 20 33 C0 5A 59 59 64 89 10 EB 31 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 20 8B D8 8D 95 6C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 8B 10 FF 52 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 6A 01 8B 4D F4 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 80 7D EE 00 74 23 8B 45 FC 8B 10 FF 52 20 BA 03 00 00 00 8B 08 FF 51 14 84 C0 74 0D 8B 45 FC 8B 10 FF 52 20 E8 ?? ?? ?? ?? 8B 45 FC 66 BE EC FF E8 ?? ?? ?? ?? E9 F0 02 00 00 8B 45 FC C6 80 20 03 00 00 01 6A 00 6A 3C 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? F6 45 FA 01 74 10 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? E9 BC 02 00 00 8B 45 FC 8B 10 FF 52 20 BA 02 00 00 00 8B 08 FF 51 14 84 C0 0F 84 91 00 00 00 8B 45 FC 8B 10 FF 52 20 8B F0 8D 95 68 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 8B 10 FF 52 44 84 C0 74 6B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 20 8B F0 8D 95 64 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 8B 10 FF 52 20 33 C0 5A 59 59 64 89 10 EB 31 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 20 8B D8 8D 95 60 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 8B 10 FF 52 28 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 92 94 02 00 00 8B 45 F4 3B D0 0F 95 45 EE 6A 01 6A 01 8B C8 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 80 7D EE 00 0F 84 E4 01 00 00 8B 45 FC 8B 10 FF 52 20 BA 03 00 00 00 8B 08 FF 51 14 84 C0 0F 84 CA 01 00 00 8B 45 FC 8B 10 FF 52 20 E8 ?? ?? ?? ?? E9 B8 01 00 00 8B 45 FC 83 B8 30 03 00 00 FF 75 0C 8B 45 FC 83 B8 34 03 00 00 FF 74 2D 8B 45 FC C6 80 38 03 00 00 01 8B 45 FC 88 98 39 03 00 00 8B 45 FC 8B 88 34 03 00 00 8B 45 FC 8B 90 30 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 80 BD 02 00 00 01 0F 84 B0 00 00 00 83 7D F0 00 0F 8C A6 00 00 00 8B 45 FC 8B 80 A4 02 00 00 3B 45 F0 0F 8E 94 00 00 00 8B 45 FC 8B 80 A8 02 00 00 3B 45 F4 0F 8F 82 00 00 00 8B 55 FC 8B 45 F4 89 82 E4 02 00 00 8B 55 FC 89 82 E8 02 00 00 89 7D E4 8B 45 08 89 45 E8 8D 45 E4 50 8B 45 FC 8D 88 E8 02 00 00 8B 45 FC 8D 90 E4 02 00 00 8B 45 FC 66 BE 9C FF E8 ?? ?? ?? ?? 84 C0 0F 84 ED 00 00 00 8B 45 FC C6 80 20 03 00 00 04 8B 45 FC 8B 10 FF 92 A8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? C6 45 EF 01 6A 00 6A 3C 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 B3 00 00 00 8B 45 FC F6 80 BD 02 00 00 02 0F 84 A3 00 00 00 83 7D F4 00 0F 8C 99 00 00 00 8B 45 FC 8B 80 A8 02 00 00 3B 45 F4 0F 8E 87 00 00 00 8B 45 FC 8B 80 A4 02 00 00 3B 45 F0 7F 79 8B 55 FC 8B 45 F0 89 82 E4 02 00 00 8B 55 FC 89 82 E8 02 00 00 89 7D DC 8B 45 08 89 45 E0 8D 45 DC 50 8B 45 FC 8D 88 E8 02 00 00 8B 45 FC 8D 90 E4 02 00 00 8B 45 FC 66 BE 9D FF E8 ?? ?? ?? ?? 84 C0 74 35 8B 45 FC C6 80 20 03 00 00 05 8B 45 FC 8B 10 FF 92 A8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? C6 45 EF 01 6A 00 6A 3C 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8B 45 08 50 8B D3 0F B7 4D FA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 80 7D EF 00 74 08 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 60 FF FF FF 8B 15 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_80844_0 {
	meta:
		name = "TCustomGrid.MouseMove"
		size = 592
		refs = "001a TCustomGrid.CalcDrawInfo 0049 TCustomGrid.CalcCoordFromPoint 00bd TCustomGrid.MoveAnchor 00e1 TCustomGrid.MoveAndScroll 0115 TCustomGrid.DrawSizingLine 01b3 TCustomGrid.InvalidateCell 0243 TControl.MouseMove"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 56 57 8B F1 66 89 55 FE 8B D8 8B 7D 08 8D 55 80 8B C3 E8 ?? ?? ?? ?? 0F B6 83 20 03 00 00 FE C8 74 11 48 2C 02 0F 82 DD 00 00 00 2C 02 0F 83 15 01 00 00 8D 45 80 50 8D 45 F4 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 3B 83 A4 02 00 00 0F 8C DD 01 00 00 8B 55 F8 3B 93 A8 02 00 00 0F 8C CE 01 00 00 8B 55 90 42 3B C2 0F 8F C2 01 00 00 8B 55 C0 42 3B 55 F8 0F 8C B5 01 00 00 0F B6 93 20 03 00 00 FE CA 74 0E 80 EA 03 74 56 FE CA 74 2E E9 9C 01 00 00 8B 45 F4 3B 83 80 02 00 00 75 0F 8B 45 F8 3B 83 84 02 00 00 0F 84 82 01 00 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? E9 73 01 00 00 89 75 EC 89 7D F0 8D 55 80 52 8D 55 80 52 6A 00 8D 55 EC 52 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? E9 4F 01 00 00 89 75 E4 89 7D E8 8D 45 80 50 8D 45 B0 50 6A 01 8D 45 E4 50 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? E9 2A 01 00 00 8D 55 80 8B C3 E8 ?? ?? ?? ?? 80 BB 20 03 00 00 02 75 10 8B C7 03 83 E0 02 00 00 89 83 DC 02 00 00 EB 0E 8B C6 03 83 E0 02 00 00 89 83 DC 02 00 00 8D 55 80 8B C3 E8 ?? ?? ?? ?? E9 EA 00 00 00 F6 43 1C 10 0F 85 EE 00 00 00 8D 45 80 50 8D 45 F4 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? F6 83 BE 02 00 00 01 74 0B 8B 45 F8 3B 83 A8 02 00 00 7E 14 F6 83 BD 02 00 00 80 74 72 8B 45 F4 3B 83 A4 02 00 00 7F 67 8B 83 30 03 00 00 83 F8 FF 75 09 83 BB 34 03 00 00 FF 74 0F 8B 8B 34 03 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 3B 83 30 03 00 00 75 0B 8B 45 F8 3B 83 34 03 00 00 74 6C 8B 45 F4 89 83 30 03 00 00 8B 45 F8 89 83 34 03 00 00 C6 83 38 03 00 00 00 8B 8B 34 03 00 00 8B 93 30 03 00 00 8B C3 E8 ?? ?? ?? ?? EB 3E 8B 83 30 03 00 00 83 F8 FF 75 09 83 BB 34 03 00 00 FF 74 2A 8B 8B 34 03 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? C7 83 30 03 00 00 FF FF FF FF C7 83 34 03 00 00 FF FF FF FF C6 83 38 03 00 00 00 57 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80845_0 {
	meta:
		name = "ResizeLine"
		size = 87
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D8 8B 43 04 89 45 FC 8B 43 1C 8B 55 08 8B 52 FC 8B B2 D8 02 00 00 4E 2B F0 7C 18 46 89 45 F8 8B 55 F8 8B 43 2C FF 53 28 03 03 01 45 FC FF 45 F8 4E 75 EC 8B 45 08 8B 40 FC 8B 80 DC 02 00 00 2B 45 FC 89 45 FC 8B 45 FC 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80846_0 {
	meta:
		name = "TCustomGrid.MouseUp"
		size = 803
		refs = "001d TCustomGrid.MouseUp 005c @CallDynaInst 0066 TWinControl.GetHandle 006c KillTimer 0074 TCustomGrid.UpdateEdit 0090 TCustomGrid.CalcDrawInfo 009b TCustomGrid.DrawSizingLine 00bf TControl.GetClientWidth 00e6 ResizeLine 0103 TCustomGrid.SetColWidths 010b TCustomGrid.UpdateDesigner 0136 TCustomGrid.SetRowHeights 014b TCustomGrid.DrawMove 01a9 TCustomGrid.MoveColumn 0224 TCustomGrid.MoveRow 0251 TCustomGrid.MouseCoord 02d3 TControl.MouseUp 030e TCustomGrid.InvalidateCell 0314 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 56 57 66 89 4D F9 88 55 FB 89 45 FC 8B 7D 08 8B 5D 0C 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 0F B6 80 20 03 00 00 FE C8 74 18 48 2C 02 72 4F 0F 84 82 01 00 00 FE C8 0F 84 FF 00 00 00 E9 F0 01 00 00 57 8B CB 0F B7 55 F9 8B 45 FC 66 BE D4 FF E8 ?? ?? ?? ?? 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 BE EC FF E8 ?? ?? ?? ?? E9 3C 02 00 00 8D 55 80 8B 45 FC E8 ?? ?? ?? ?? 8D 55 80 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 20 03 00 00 03 75 2A 8B 45 FC 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 2B 82 DC 02 00 00 8B 55 FC 89 82 DC 02 00 00 8B 45 FC 80 B8 20 03 00 00 03 75 33 55 8D 45 80 E8 ?? ?? ?? ?? 59 83 F8 01 0F 8E D1 01 00 00 8B 55 FC 8B 92 D8 02 00 00 8B C8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 B1 01 00 00 55 8D 45 B0 E8 ?? ?? ?? ?? 59 83 F8 01 0F 8E 9E 01 00 00 8B 55 FC 8B 92 D8 02 00 00 8B C8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 7E 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 5D E8 89 7D EC 8D 45 E8 50 8B 45 FC 8D 88 E8 02 00 00 8B 45 FC 8D 90 E4 02 00 00 8B 45 FC 66 BE 99 FF E8 ?? ?? ?? ?? 84 C0 74 2A 8B 55 FC 8B 92 E8 02 00 00 8B 45 FC 8B 80 E4 02 00 00 3B D0 74 14 8B CA 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 03 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 5D E0 89 7D E4 8D 45 E0 50 8B 45 FC 8D 88 E8 02 00 00 8B 45 FC 8D 90 E4 02 00 00 8B 45 FC 66 BE 98 FF E8 ?? ?? ?? ?? 84 C0 74 2A 8B 55 FC 8B 92 E8 02 00 00 8B 45 FC 8B 80 E4 02 00 00 3B D0 74 14 8B CA 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 88 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F0 50 8B CF 8B D3 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 75 6A 8B 45 FC 83 B8 30 03 00 00 FF 74 5E 8B 45 FC 83 B8 34 03 00 00 FF 74 52 8B 45 FC F6 80 BD 02 00 00 80 74 14 8B 45 FC 8B 80 A4 02 00 00 3B 45 F0 7E 06 83 7D F0 00 7D 20 8B 45 FC F6 80 BE 02 00 00 01 74 26 8B 45 FC 8B 80 A8 02 00 00 3B 45 F4 7E 18 83 7D F4 00 7C 12 8B 4D F4 8B 55 F0 8B 45 FC 66 BE AA FF E8 ?? ?? ?? ?? 53 57 0F B6 55 FB 0F B7 4D F9 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 20 03 00 00 00 8B 45 FC C6 80 38 03 00 00 00 8B 45 FC 8B 88 34 03 00 00 8B 45 FC 8B 90 30 03 00 00 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_80847_0 {
	meta:
		name = "TCustomGrid.MoveAndScroll"
		size = 376
		refs = "001b @CallDynaInst 002c TControl.GetClientWidth 0077 TCustomGrid.DrawMove 009a TCustomGrid.ModifyScrollBar 00ae TCustomGrid.CalcDrawInfo"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 10 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 13 83 7D 0C 00 75 0D 8B C3 E8 ?? ?? ?? ?? 2B 45 FC 89 45 FC 8B 45 F8 3B 83 E8 02 00 00 0F 84 2A 01 00 00 8B 47 18 3B 83 E8 02 00 00 75 0C 8B 47 04 3B 45 FC 0F 8F 13 01 00 00 8B 47 20 48 3B 83 E8 02 00 00 75 0C 8B 47 08 3B 45 FC 0F 8C FB 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 47 04 3B 45 FC 7E 37 8B 47 18 3B 83 E8 02 00 00 7D 24 6A 00 6A 00 33 C9 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A8 00 00 00 8B 55 14 8B C3 E8 ?? ?? ?? ?? 8B 47 1C 89 45 F8 EB 5B 8B 47 14 3B 45 FC 7F 44 8B 57 10 8B 83 E8 02 00 00 3B D0 75 2F 8B 57 20 4A 3B C2 7D 27 6A 00 6A 00 B9 01 00 00 00 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A8 00 00 00 8B 55 14 8B C3 E8 ?? ?? ?? ?? 8B 47 10 89 45 F8 EB 0F 83 7D F8 00 7D 09 8B 83 E8 02 00 00 89 45 F8 80 BB 20 03 00 00 05 75 1C 8B 45 08 50 8D 4D F8 8D 93 E4 02 00 00 8B C3 66 BE 9B FF E8 ?? ?? ?? ?? 84 C0 75 25 80 BB 20 03 00 00 04 75 25 8B 45 08 50 8D 4D F8 8D 93 E4 02 00 00 8B C3 66 BE 9A FF E8 ?? ?? ?? ?? 84 C0 74 09 8B 45 F8 89 83 E8 02 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_80848_0 {
	meta:
		name = "TCustomGrid.GetColWidths"
		size = 30
	strings:
		$1 = { 8B 88 08 03 00 00 85 C9 74 08 3B 90 8C 02 00 00 7C 07 8B 80 98 02 00 00 C3 8B 44 91 04 C3 }
	condition:
		$1
}

rule function_80849_0 {
	meta:
		name = "TCustomGrid.GetRowHeights"
		size = 30
	strings:
		$1 = { 8B 88 0C 03 00 00 85 C9 74 08 3B 90 C8 02 00 00 7C 07 8B 80 9C 02 00 00 C3 8B 44 91 04 C3 }
	condition:
		$1
}

rule function_80850_0 {
	meta:
		name = "TCustomGrid.GetGridWidth"
		size = 18
		refs = "0006 TCustomGrid.CalcDrawInfo"
	strings:
		$1 = { 83 C4 A0 8B D4 E8 ?? ?? ?? ?? 8B 44 24 08 83 C4 60 C3 }
	condition:
		$1
}

rule function_80851_0 {
	meta:
		name = "TCustomGrid.GetGridHeight"
		size = 18
		refs = "0006 TCustomGrid.CalcDrawInfo"
	strings:
		$1 = { 83 C4 A0 8B D4 E8 ?? ?? ?? ?? 8B 44 24 38 83 C4 60 C3 }
	condition:
		$1
}

rule function_80852_0 {
	meta:
		name = "TCustomGrid.GetSelection"
		size = 28
		refs = "0015 GridRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8D 93 80 02 00 00 8D 83 90 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80853_0 {
	meta:
		name = "TCustomGrid.GetTabStops"
		size = 18
	strings:
		$1 = { 8B 88 10 03 00 00 85 C9 75 03 B0 01 C3 8B 44 91 04 C3 }
	condition:
		$1
}

rule function_80854_0 {
	meta:
		name = "TCustomGrid.GetVisibleColCount"
		size = 31
		refs = "000b TCustomGrid.CalcDrawInfo"
	strings:
		$1 = { 53 83 C4 A0 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 10 2B 83 D0 02 00 00 40 83 C4 60 5B C3 }
	condition:
		$1
}

rule function_80855_0 {
	meta:
		name = "TCustomGrid.GetVisibleRowCount"
		size = 31
		refs = "000b TCustomGrid.CalcDrawInfo"
	strings:
		$1 = { 53 83 C4 A0 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 40 2B 83 D4 02 00 00 40 83 C4 60 5B C3 }
	condition:
		$1
}

rule function_80857_0 {
	meta:
		name = "TCustomGrid.SetCol"
		size = 22
		refs = "0011 TCustomGrid.FocusCell"
	strings:
		$1 = { 3B 90 90 02 00 00 74 0D 6A 01 8B 88 94 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80858_0 {
	meta:
		name = "TCustomGrid.SetColCount"
		size = 92
		refs = "0026 TCustomGrid.SetFixedCols 0035 TCustomGrid.ChangeSize"
	strings:
		$1 = { 53 56 8B DA 8B F0 3B 9E 8C 02 00 00 74 4B 83 FB 01 7D 05 BB 01 00 00 00 3B 9E A4 02 00 00 7F 0A 8B D3 4A 8B C6 E8 ?? ?? ?? ?? 8B 8E C8 02 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? F6 86 BD 02 00 00 10 74 17 8B 86 8C 02 00 00 48 89 86 80 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_80859_0 {
	meta:
		name = "TCustomGrid.SetColWidths"
		size = 171
		refs = "0012 TCustomGrid.SetColWidths 0038 UpdateExtents 0048 SIndexOutOfRange 004d LoadResString 0055 InvalidOp 006f TCustomGrid.ResizeCol 0084 @CallDynaInst 0099 @UStrClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE 08 03 00 00 00 75 17 8D 86 08 03 00 00 8B 8E 98 02 00 00 8B 96 8C 02 00 00 E8 ?? ?? ?? ?? 3B 9E 8C 02 00 00 7C 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 86 08 03 00 00 8B 44 98 04 3B F8 74 21 57 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 86 08 03 00 00 89 7C 98 04 8B C6 66 BE 9F FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80860_0 {
	meta:
		name = "TCustomGrid.SetDefaultColWidth"
		size = 62
		refs = "001b UpdateExtents 002c @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 83 BF 08 03 00 00 00 74 0F 8D 87 08 03 00 00 33 C9 33 D2 E8 ?? ?? ?? ?? 89 9F 98 02 00 00 8B C7 66 BE 9F FF E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80861_0 {
	meta:
		name = "TCustomGrid.SetDefaultRowHeight"
		size = 62
		refs = "001b UpdateExtents 002c @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 83 BF 0C 03 00 00 00 74 0F 8D 87 0C 03 00 00 33 C9 33 D2 E8 ?? ?? ?? ?? 89 9F 9C 02 00 00 8B C7 66 BE 9E FF E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80862_0 {
	meta:
		name = "TCustomGrid.SetDrawingStyle"
		size = 64
		refs = "0025 ThemeControl"
	strings:
		$1 = { 56 8B F0 3A 96 A0 02 00 00 74 33 8B C2 88 86 A0 02 00 00 88 86 2C 03 00 00 80 BE A0 02 00 00 01 75 12 8B C6 E8 ?? ?? ?? ?? 84 C0 75 07 C6 86 2C 03 00 00 00 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_80863_0 {
	meta:
		name = "TCustomGrid.SetFixedColor"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 AC 02 00 00 74 10 89 96 AC 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_80864_0 {
	meta:
		name = "TCustomGrid.SetFixedCols"
		size = 152
		refs = "0011 TCustomGrid.SetFixedCols 002b SIndexOutOfRange 0030 LoadResString 0038 InvalidOp 0048 SFixedColTooBig 0062 TCustomGrid.Initialize 0086 @UStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 9E A4 02 00 00 74 4D 85 DB 7D 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3B 9E 8C 02 00 00 7C 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 9E A4 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80865_0 {
	meta:
		name = "TCustomGrid.SetFixedRows"
		size = 152
		refs = "0011 TCustomGrid.SetFixedRows 002b SIndexOutOfRange 0030 LoadResString 0038 InvalidOp 0048 SFixedRowTooBig 0062 TCustomGrid.Initialize 0086 @UStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 9E A8 02 00 00 74 4D 85 DB 7D 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3B 9E C8 02 00 00 7C 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 9E A8 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80866_0 {
	meta:
		name = "TCustomGrid.SetEditorMode"
		size = 40
		refs = "000a TCustomGrid.HideEditor 0013 TCustomGrid.ShowEditor 0022 TInplaceEdit.Deselect"
	strings:
		$1 = { 53 8B D8 84 D2 75 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 83 F4 02 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80867_0 {
	meta:
		name = "TCustomGrid.SetGradientEndColor"
		size = 40
		refs = "0014 TWinControl.HandleAllocated"
	strings:
		$1 = { 56 8B F0 3B 96 B0 02 00 00 74 1B 89 96 B0 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_80868_0 {
	meta:
		name = "TCustomGrid.SetGradientStartColor"
		size = 40
		refs = "0014 TWinControl.HandleAllocated"
	strings:
		$1 = { 56 8B F0 3B 96 B4 02 00 00 74 1B 89 96 B4 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_80869_0 {
	meta:
		name = "TCustomGrid.SetGridLineWidth"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 B8 02 00 00 74 10 89 96 B8 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_80870_0 {
	meta:
		name = "TCustomGrid.SetLeftCol"
		size = 20
		refs = "000f TCustomGrid.MoveTopLeft"
	strings:
		$1 = { 3B 90 D0 02 00 00 74 0B 8B 88 D4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80871_0 {
	meta:
		name = "TCustomGrid.SetOptions"
		size = 116
		refs = "003c TCustomGrid.ShowEditor 0045 TCustomGrid.HideEditor 0063 TCustomGrid.MoveCurrent"
	strings:
		$1 = { 56 51 89 14 24 8B F0 8B 04 24 3B 86 BC 02 00 00 74 5F F6 44 24 01 10 74 07 81 24 24 FF DF FF FF 8B 04 24 89 86 BC 02 00 00 80 BE 05 03 00 00 00 75 17 F6 44 24 01 20 74 09 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? F6 44 24 01 10 74 17 6A 01 6A 00 8B 8E 94 02 00 00 8B 96 90 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5A 5E C3 }
	condition:
		$1
}

rule function_80872_0 {
	meta:
		name = "TCustomGrid.SetRow"
		size = 24
		refs = "0013 TCustomGrid.FocusCell"
	strings:
		$1 = { 3B 90 94 02 00 00 74 0F 6A 01 8B CA 8B 90 90 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80873_0 {
	meta:
		name = "TCustomGrid.SetRowCount"
		size = 60
		refs = "0026 TCustomGrid.SetFixedRows 0035 TCustomGrid.ChangeSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 C8 02 00 00 74 2B 83 FE 01 7D 05 BE 01 00 00 00 3B B3 A8 02 00 00 7F 0A 8B D6 4A 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 93 8C 02 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80874_0 {
	meta:
		name = "TCustomGrid.SetRowHeights"
		size = 171
		refs = "0012 TCustomGrid.SetRowHeights 0038 UpdateExtents 0048 SIndexOutOfRange 004d LoadResString 0055 InvalidOp 006f TCustomGrid.ResizeRow 0084 @CallDynaInst 0099 @UStrClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE 0C 03 00 00 00 75 17 8D 86 0C 03 00 00 8B 8E 9C 02 00 00 8B 96 C8 02 00 00 E8 ?? ?? ?? ?? 3B 9E C8 02 00 00 7C 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 86 0C 03 00 00 8B 44 98 04 3B F8 74 21 57 8B C8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 86 0C 03 00 00 89 7C 98 04 8B C6 66 BE 9E FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80876_0 {
	meta:
		name = "TCustomGrid.SetSelection"
		size = 88
		refs = "0018 TCustomGrid.GetSelection"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8D 3C 24 A5 A5 A5 A5 8B D8 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 83 80 02 00 00 8B 44 24 04 89 83 84 02 00 00 8B 44 24 08 89 83 90 02 00 00 8B 44 24 0C 89 83 94 02 00 00 8D 54 24 10 8B C3 8B 08 FF 91 08 01 00 00 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80877_0 {
	meta:
		name = "TCustomGrid.SetTabStops"
		size = 136
		refs = "0012 TCustomGrid.SetTabStops 0037 UpdateExtents 0047 SIndexOutOfRange 004c LoadResString 0054 InvalidOp 0076 @UStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BF 10 03 00 00 00 75 16 8D 87 10 03 00 00 B9 01 00 00 00 8B 97 8C 02 00 00 E8 ?? ?? ?? ?? 3B B7 8C 02 00 00 7C 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 0F B6 C3 8B 97 10 03 00 00 89 44 B2 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80878_0 {
	meta:
		name = "TCustomGrid.SetTopRow"
		size = 22
		refs = "0011 TCustomGrid.MoveTopLeft"
	strings:
		$1 = { 3B 90 D4 02 00 00 74 0D 8B CA 8B 90 D0 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80879_0 {
	meta:
		name = "TCustomGrid.HideEdit"
		size = 105
		refs = "0017 TCustomGrid.HideEdit 0025 TCustomGrid.UpdateText 005a TInplaceEdit.Hide 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 B8 F4 02 00 00 00 74 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C7 80 F8 02 00 00 FF FF FF FF 8B 45 FC C7 80 FC 02 00 00 FF FF FF FF 8B 45 FC 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 59 5D C3 }
	condition:
		$1
}

rule function_80880_0 {
	meta:
		name = "UpdateEditor"
		size = 110
		refs = "0043 TCustomMaskEdit.GetMaxLength 0067 TCustomEdit.SelectAll"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 FC 8B 03 8B 80 90 02 00 00 8B 13 89 82 F8 02 00 00 8B 03 8B 80 94 02 00 00 8B 13 89 82 FC 02 00 00 8B 03 8B 80 F4 02 00 00 8B 10 FF 92 34 01 00 00 8B 03 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 40 75 0B 8B 03 C6 80 89 02 00 00 00 EB 09 8B 03 C6 80 89 02 00 00 01 8B 03 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_80881_0 {
	meta:
		name = "TCustomGrid.UpdateEdit"
		size = 224
		refs = "0045 TInplaceEdit.SetGrid 005f UpdateEditor 0092 TCustomGrid.HideEdit 00c6 TCustomGrid.CellRect 00d7 TInplaceEdit.Move"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 45 FC 8B 45 FC 8B 10 FF 92 04 01 00 00 84 C0 0F 84 BE 00 00 00 8B 45 FC 83 B8 F4 02 00 00 00 75 3D 8B 45 FC 8B 10 FF 92 00 01 00 00 8B D8 8B 45 FC 89 98 F4 02 00 00 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F4 02 00 00 8B 55 FC 8B 08 FF 91 84 00 00 00 55 E8 ?? ?? ?? ?? 59 EB 37 8B 45 FC 8B 80 90 02 00 00 8B 55 FC 3B 82 F8 02 00 00 75 14 8B 45 FC 8B 80 94 02 00 00 8B 55 FC 3B 82 FC 02 00 00 74 0F 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 10 FF 92 04 01 00 00 84 C0 74 2F 8D 45 EC 50 8B 45 FC 8B 88 94 02 00 00 8B 45 FC 8B 90 90 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80882_0 {
	meta:
		name = "TCustomGrid.UpdateText"
		size = 114
		refs = "000d TCustomGrid.UpdateText 0035 TCustomMaskEdit.GetText 004c @CallDynaInst 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 F8 02 00 00 83 FE FF 74 2E 83 BB FC 02 00 00 FF 74 25 8D 55 FC 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 8B FC 02 00 00 8B D6 8B C3 66 BE A8 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80883_0 {
	meta:
		name = "TCustomGrid.WMChar"
		size = 116
		refs = "0010 TCustomGrid.WMChar 0043 TCustomGrid.ShowEditorChar 004b TWinControl.WMChar"
	strings:
		$1 = { 56 57 F6 80 BD 02 00 00 04 74 2D 0F B7 72 04 BF ?? ?? ?? ?? 8B CE 66 81 F9 FF 00 77 06 0F B7 C9 0F A3 0F 0F 92 C1 84 C9 74 04 B1 01 EB 0C 66 83 7A 04 20 0F 93 C1 EB 02 33 C9 84 C9 74 0C 0F B7 52 04 E8 ?? ?? ?? ?? 5F 5E C3 E8 ?? ?? ?? ?? 5F 5E C3 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_80884_0 {
	meta:
		name = "TCustomGrid.WMCommand"
		size = 50
		refs = "0014 TWinControl.GetHandle 002a TCustomGrid.UpdateText"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 F4 02 00 00 85 F6 74 1D 8B C6 E8 ?? ?? ?? ?? 3B 47 08 75 11 0F B7 47 06 66 2D 00 03 75 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80885_0 {
	meta:
		name = "TCustomGrid.WMGetDlgCode"
		size = 46
	strings:
		$1 = { C7 42 0C 01 00 00 00 F6 80 BD 02 00 00 10 75 1D F6 80 BD 02 00 00 08 74 04 83 4A 0C 02 F6 80 BD 02 00 00 04 74 07 81 4A 0C 80 00 00 00 C3 }
	condition:
		$1
}

rule function_80886_0 {
	meta:
		name = "TCustomGrid.WMKillFocus"
		size = 78
		refs = "000f TWinControl.WMKillFocus 0014 DestroyCaret 001d TCustomGrid.GetSelection 0026 TCustomGrid.InvalidateRect 0037 TWinControl.GetHandle 0043 TCustomGrid.HideEdit"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 8B BB F4 02 00 00 85 FF 74 13 8B C7 E8 ?? ?? ?? ?? 3B 46 04 74 07 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80887_0 {
	meta:
		name = "TCustomGrid.WMLButtonDown"
		size = 38
		refs = "0006 TControl.WMLButtonDown 0014 GetMessageTime"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB F4 02 00 00 00 74 11 E8 ?? ?? ?? ?? 8B 93 F4 02 00 00 89 82 CC 02 00 00 5B C3 }
	condition:
		$1
}

rule function_80888_0 {
	meta:
		name = "TCustomGrid.WMNCHitTest"
		size = 82
		refs = "0034 TControl.ScreenToClient"
	strings:
		$1 = { 53 56 83 C4 EC 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 8B 46 08 89 04 24 0F BF 04 24 89 44 24 04 0F BF 44 24 02 89 44 24 08 8D 4C 24 0C 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B 44 24 0C 89 83 EC 02 00 00 8B 44 24 10 89 83 F0 02 00 00 83 C4 14 5E 5B C3 }
	condition:
		$1
}

rule function_80889_0 {
	meta:
		name = "TCustomGrid.WMSetCursor"
		size = 171
		refs = "0026 TCustomGrid.CalcDrawInfo 0061 Screen 006d TScreen.GetCursors 0094 SetCursor 009f TWinControl.WMSetCursor"
	strings:
		$1 = { 53 56 57 55 83 C4 90 8B FA 8B D8 33 F6 66 83 7F 08 01 75 7A 0F B6 83 20 03 00 00 84 C0 75 38 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 54 8D 44 24 08 50 8D 44 24 10 50 8D 44 24 18 50 8D 44 24 20 50 8B 8B F0 02 00 00 8B 93 EC 02 00 00 8B C3 8B 28 FF 95 FC 00 00 00 EB 03 88 04 24 80 3C 24 02 75 15 A1 ?? ?? ?? ?? 8B 00 BA F1 FF FF FF E8 ?? ?? ?? ?? 8B F0 EB 19 80 3C 24 03 75 13 A1 ?? ?? ?? ?? 8B 00 BA F2 FF FF FF E8 ?? ?? ?? ?? 8B F0 85 F6 74 08 56 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 70 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80890_0 {
	meta:
		name = "TCustomGrid.WMSetFocus"
		size = 92
		refs = "000f TWinControl.WMSetFocus 001c TWinControl.GetHandle 0022 CreateCaret 0041 TCustomGrid.GetSelection 004a TCustomGrid.InvalidateRect 0051 TCustomGrid.UpdateEdit"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B BB F4 02 00 00 85 FF 74 0C 8B C7 E8 ?? ?? ?? ?? 3B 46 04 74 19 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80891_0 {
	meta:
		name = "TCustomGrid.WMSize"
		size = 46
		refs = "0007 TWinControl.WMSize 000e TCustomGrid.UpdateScrollRange 0019 @CallDynaInst"
	strings:
		$1 = { 56 57 8B F8 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C7 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 0A 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_80892_0 {
	meta:
		name = "TCustomGrid.WMVScroll"
		size = 22
		refs = "0011 TCustomGrid.ModifyScrollBar"
	strings:
		$1 = { 0F BF 4A 06 51 6A 01 0F BF 4A 04 BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80893_0 {
	meta:
		name = "TCustomGrid.WMHScroll"
		size = 19
		refs = "000e TCustomGrid.ModifyScrollBar"
	strings:
		$1 = { 0F BF 4A 06 51 6A 01 0F BF 4A 04 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_80894_0 {
	meta:
		name = "TCustomGrid.WMEraseBkgnd"
		size = 141
		refs = "000e GetSystemMetrics 0029 @CallDynaInst 0043 Bounds 006b TBrush.GetHandle 007a FillRect"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B EA 8B D8 6A 02 E8 ?? ?? ?? ?? 89 04 24 6A 03 E8 ?? ?? ?? ?? 8B F8 89 7C 24 04 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 18 57 8D 44 24 0C 50 8B 53 54 2B D7 8B 4C 24 08 33 C0 E8 ?? ?? ?? ?? EB 1B 57 8D 44 24 0C 50 8B 53 54 2B D7 8B 43 50 8B 74 24 08 2B C6 8B CE E8 ?? ?? ?? ?? 8B 83 C8 01 00 00 E8 ?? ?? ?? ?? 50 8D 44 24 0C 50 8B 45 04 50 E8 ?? ?? ?? ?? C7 45 0C 01 00 00 00 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80895_0 {
	meta:
		name = "TCustomGrid.CancelMode"
		size = 149
		refs = "000d TCustomGrid.CancelMode 0036 TWinControl.GetHandle 003c KillTimer 0049 TCustomGrid.CalcDrawInfo 0054 TCustomGrid.DrawSizingLine 005e TCustomGrid.DrawMove 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 98 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 0F B6 80 20 03 00 00 FE C8 74 0B 48 2C 02 72 18 2C 02 72 2C EB 42 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 30 8D 55 98 8B 45 FC E8 ?? ?? ?? ?? 8D 55 98 8B 45 FC E8 ?? ?? ?? ?? EB 18 8B 45 FC E8 ?? ?? ?? ?? 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 20 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B E5 5D C3 }
	condition:
		$1
}

rule function_80897_0 {
	meta:
		name = "TCustomGrid.CMCancelMode"
		size = 45
		refs = "0026 TCustomGrid.CancelMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 F4 02 00 00 85 C0 74 0A 8B D6 8B 08 FF 91 90 00 00 00 8B D6 8B C3 8B 08 FF 51 F0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80898_0 {
	meta:
		name = "TCustomGrid.CMFontChanged"
		size = 36
		refs = "0014 TControl.SetFont 001d TWinControl.CMFontChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 F4 02 00 00 85 C0 74 08 8B 53 6C E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80899_0 {
	meta:
		name = "TCustomGrid.CMMouseLeave"
		size = 67
		refs = "0006 TControl.CMMouseLeave 0029 TCustomGrid.InvalidateCell"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 30 03 00 00 83 F8 FF 75 09 83 BB 34 03 00 00 FF 74 23 8B 8B 34 03 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? C7 83 30 03 00 00 FF FF FF FF C7 83 34 03 00 00 FF FF FF FF 5B C3 }
	condition:
		$1
}

rule function_80901_0 {
	meta:
		name = "TCustomGrid.CMDesignHitTest"
		size = 31
		refs = "0011 TCustomGrid.Sizing"
	strings:
		$1 = { 53 56 8B DA 8B F0 0F BF 4B 0A 0F BF 53 08 8B C6 E8 ?? ?? ?? ?? F6 D8 1B C0 89 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_80902_0 {
	meta:
		name = "TCustomGrid.CMWantSpecialKey"
		size = 41
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 F6 83 BD 02 00 00 04 74 0E 66 83 7E 04 0D 75 07 C7 46 0C 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_80903_0 {
	meta:
		name = "TCustomGrid.TimedScroll"
		size = 177
		refs = "00a9 TCustomGrid.MoveAnchor"
	strings:
		$1 = { 83 C4 EC 88 14 24 8B 90 80 02 00 00 89 54 24 0C 8B 90 84 02 00 00 89 54 24 10 8B 90 8C 02 00 00 4A 89 54 24 04 8B 90 C8 02 00 00 4A 89 54 24 08 F6 04 24 01 74 12 8B 90 80 02 00 00 3B 90 A4 02 00 00 7E 04 FF 4C 24 0C F6 04 24 02 74 10 8B 90 80 02 00 00 3B 54 24 04 7D 04 FF 44 24 0C F6 04 24 04 74 12 8B 90 84 02 00 00 3B 90 A8 02 00 00 7E 04 FF 4C 24 10 F6 04 24 08 74 10 8B 90 84 02 00 00 3B 54 24 08 7D 04 FF 44 24 10 8B 90 80 02 00 00 3B 54 24 0C 75 0C 8B 90 84 02 00 00 3B 54 24 10 74 09 8D 54 24 0C E8 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_80904_0 {
	meta:
		name = "TCustomGrid.WMTimer"
		size = 372
		refs = "001f GetCursorPos 002c TControl.ScreenToClient 0046 TCustomGrid.CalcDrawInfo 004d TCustomGrid.WMTimer 006a TCustomGrid.CalcCoordFromPoint 00a1 TCustomGrid.MoveAndScroll 00d6 @CallDynaInst 00fe TControl.GetClientWidth"
	strings:
		$1 = { 53 56 57 83 C4 80 8B F8 0F B6 87 20 03 00 00 2C 01 74 0A 04 FD 2C 02 0F 83 46 01 00 00 54 E8 ?? ?? ?? ?? 8D 4C 24 78 8B D4 8B C7 E8 ?? ?? ?? ?? 8B 44 24 78 89 04 24 8B 44 24 7C 89 44 24 04 8D 54 24 18 8B C7 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 44 24 08 8D 44 24 18 50 8D 44 24 10 50 8B 4C 24 0C 8B 54 24 08 8B C7 E8 ?? ?? ?? ?? 0F B6 87 20 03 00 00 FE C8 74 56 2C 03 74 2D FE C8 0F 85 DE 00 00 00 8D 44 24 18 50 8D 44 24 1C 50 6A 00 8D 44 24 0C 50 8B 4C 24 1C 8B 54 24 10 8B C7 E8 ?? ?? ?? ?? E9 B9 00 00 00 8D 44 24 18 50 8D 44 24 4C 50 6A 01 8D 44 24 0C 50 8B 4C 24 20 8B 54 24 14 8B C7 E8 ?? ?? ?? ?? E9 94 00 00 00 8B C7 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 1D 8B 04 24 3B 44 24 1C 7D 07 80 4C 24 08 01 EB 3C 3B 44 24 2C 7E 36 80 4C 24 08 02 EB 2F 8B C7 E8 ?? ?? ?? ?? 8B D8 2B 5C 24 2C 8B C7 E8 ?? ?? ?? ?? 2B 44 24 1C 8B 14 24 3B DA 7E 07 80 4C 24 08 02 EB 09 3B C2 7D 05 80 4C 24 08 01 8B 44 24 04 3B 44 24 4C 7D 07 80 4C 24 08 04 EB 0B 3B 44 24 5C 7E 05 80 4C 24 08 08 0F B6 05 ?? ?? ?? ?? 3A 44 24 08 74 10 0F B6 54 24 08 8B C7 66 BE A0 FF E8 ?? ?? ?? ?? 81 C4 80 00 00 00 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_80907_0 {
	meta:
		name = "TCustomGrid.DeleteColumn"
		size = 33
		refs = "000d TCustomGrid.MoveColumn 001b TCustomGrid.SetColCount"
	strings:
		$1 = { 53 8B D8 8B 8B 8C 02 00 00 49 8B C3 E8 ?? ?? ?? ?? 8B 93 8C 02 00 00 4A 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80908_0 {
	meta:
		name = "TCustomGrid.DeleteRow"
		size = 33
		refs = "000d TCustomGrid.MoveRow 001b TCustomGrid.SetRowCount"
	strings:
		$1 = { 53 8B D8 8B 8B C8 02 00 00 49 8B C3 E8 ?? ?? ?? ?? 8B 93 C8 02 00 00 4A 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_80909_0 {
	meta:
		name = "TCustomGrid.UpdateDesigner"
		size = 61
		refs = "000c TWinControl.HandleAllocated 001f GetParentForm"
	strings:
		$1 = { 53 8B D8 F6 43 1C 10 74 32 8B C3 E8 ?? ?? ?? ?? 84 C0 74 27 F6 43 1C 40 75 21 B2 01 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 83 B8 C4 02 00 00 00 74 0B 8B 80 C4 02 00 00 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_80910_0 {
	meta:
		name = "TCustomGrid.DoMouseWheelDown"
		size = 75
		refs = "001f TControl.DoMouseWheelDown 003e TCustomGrid.SetRow"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F1 8D 7C 24 04 A5 A5 66 89 14 24 8B D8 8D 4C 24 04 0F B7 14 24 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1D 8B 93 C8 02 00 00 4A 8B 83 94 02 00 00 3B D0 7E 0A 8B D0 42 8B C3 E8 ?? ?? ?? ?? B0 01 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80911_0 {
	meta:
		name = "TCustomGrid.DoMouseWheelUp"
		size = 72
		refs = "001f TControl.DoMouseWheelUp 003b TCustomGrid.SetRow"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F1 8D 7C 24 04 A5 A5 66 89 14 24 8B D8 8D 4C 24 04 0F B7 14 24 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1A 8B 83 94 02 00 00 3B 83 A8 02 00 00 7E 0A 8B D0 4A 8B C3 E8 ?? ?? ?? ?? B0 01 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80912_0 {
	meta:
		name = "TCustomGrid.BeginColumnDrag"
		size = 9
		altNames = "TCustomGrid.BeginRowDrag TCustomGrid.CheckColumnDrag TCustomGrid.CheckRowDrag TCustomGrid.EndColumnDrag TCustomGrid.EndRowDrag TCustomStyleToolBarElements.HasTransparentParts"
	strings:
		$1 = { 55 8B EC B0 01 5D C2 04 00 }
	condition:
		$1
}

rule function_80920_0 {
	meta:
		name = "TCustomDrawGrid.MouseToCell"
		size = 55
		refs = "001a TCustomGrid.MouseCoord"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 8B 55 F8 89 10 8B 45 08 8B 55 FC 89 10 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_80921_0 {
	meta:
		name = "TCustomDrawGrid.ColumnMoved"
		size = 32
	strings:
		$1 = { 53 66 83 B8 42 03 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 44 03 00 00 FF 93 40 03 00 00 5B C3 }
	condition:
		$1
}

rule function_80923_0 {
	meta:
		name = "TCustomDrawGrid.GetEditMask"
		size = 63
		refs = "0014 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 66 83 BB 52 03 00 00 00 74 15 8B 45 FC 50 56 8B CF 8B D3 8B 83 54 03 00 00 FF 93 50 03 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_80924_0 {
	meta:
		name = "TCustomDrawGrid.GetEditText"
		size = 63
		refs = "0014 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 66 83 BB 5A 03 00 00 00 74 15 8B 45 FC 50 56 8B CF 8B D3 8B 83 5C 03 00 00 FF 93 58 03 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_80925_0 {
	meta:
		name = "TCustomDrawGrid.RowMoved"
		size = 32
	strings:
		$1 = { 53 66 83 B8 62 03 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 64 03 00 00 FF 93 60 03 00 00 5B C3 }
	condition:
		$1
}

rule function_80926_0 {
	meta:
		name = "TCustomDrawGrid.SelectCell"
		size = 47
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 6A 03 00 00 00 74 18 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 83 6C 03 00 00 FF 93 68 03 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_80927_0 {
	meta:
		name = "TCustomDrawGrid.SetEditText"
		size = 42
	strings:
		$1 = { 55 8B EC 53 66 83 B8 72 03 00 00 00 74 17 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 74 03 00 00 FF 93 70 03 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_80928_0 {
	meta:
		name = "TCustomDrawGrid.DrawCell"
		size = 159
		refs = "002b @CallDynaInst 0036 TControl.GetClientWidth 005d TCustomGrid.ChangeGridOrientation"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B 75 0C 8D 7D EC A5 A5 A5 A5 89 4D FC 8B FA 8B D8 66 83 BB 4A 03 00 00 00 74 72 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 2E 8B C3 E8 ?? ?? ?? ?? 2B 45 EC 89 45 EC 8B C3 E8 ?? ?? ?? ?? 8B F0 2B 75 F4 89 75 F4 8B 45 EC 89 75 EC 89 45 F4 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 EC 50 0F B6 45 08 50 8B CF 8B D3 8B 83 4C 03 00 00 FF 93 48 03 00 00 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_80929_0 {
	meta:
		name = "TCustomDrawGrid.TopLeftChanged"
		size = 36
		refs = "0006 TCustomGrid.TopLeftChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB 7A 03 00 00 00 74 0E 8B D3 8B 83 7C 03 00 00 FF 93 78 03 00 00 5B C3 }
	condition:
		$1
}

rule function_80930_0 {
	meta:
		name = "NewStrItem"
		size = 43
		refs = "0009 TStrItem 0013 @New 0021 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 15 ?? ?? ?? ?? B8 08 00 00 00 E8 ?? ?? ?? ?? 8B D8 89 3B 8D 43 04 8B D6 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80932_0 {
	meta:
		name = "ExpandDir"
		size = 57
		refs = "0013 @ReallocMem 002c @FillChar"
	strings:
		$1 = { 53 56 51 8B F1 8B DA 89 04 24 8B D6 03 D2 03 D2 8B C4 E8 ?? ?? ?? ?? 8B C6 2B 03 8B D0 03 D2 03 D2 8B 03 8B 0C 24 8D 04 81 33 C9 E8 ?? ?? ?? ?? 89 33 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_80933_0 {
	meta:
		name = "MakeSec"
		size = 38
		refs = "000f @GetMem 001c @FillChar"
	strings:
		$1 = { 53 56 57 8B F2 03 F6 03 F6 0F B7 FE 8B C7 E8 ?? ?? ?? ?? 8B D8 8B D7 8B C3 33 C9 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80934_0 {
	meta:
		name = "TSparsePointerArray.Create"
		size = 97
		refs = "000a @ClassCreate 0025 SPAIndexMask 003c SPASecShift 0050 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 33 DB 89 58 04 33 DB 89 58 08 C7 40 10 FF FF FF FF 0F B6 D9 0F B6 B3 ?? ?? ?? ?? 46 66 89 70 14 0F B6 B3 ?? ?? ?? ?? 66 89 70 0C 0F B6 8B ?? ?? ?? ?? 66 89 48 0E C7 40 18 FF FF FF FF 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_80935_0 {
	meta:
		name = "TSparsePointerArray.Destroy"
		size = 91
		refs = "0006 @BeforeDestruction 002b @FreeMem 0051 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 51 E8 ?? ?? ?? ?? 88 14 24 8B F0 33 DB 0F B7 6E 14 03 ED 03 ED EB 15 8B 46 04 8B 3C 98 85 FF 74 0A 0F B7 D5 8B C7 E8 ?? ?? ?? ?? 43 3B 5E 08 72 E6 8B 46 04 85 C0 74 0C 8B 56 08 03 D2 03 D2 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80936_0 {
	meta:
		name = "TSparsePointerArray.GetAt"
		size = 72
	strings:
		$1 = { 53 3B 50 18 75 05 8B 48 1C EB 39 0F B7 48 0E 8B DA D3 EB 8B CB 3B 48 08 72 04 33 C9 EB 16 8B 58 04 8B 0C 8B 85 C9 74 0C 0F B7 58 0C 23 DA 03 DB 03 DB 03 CB 85 C9 75 04 33 C9 EB 02 8B 09 89 50 18 89 48 1C 8B C1 5B C3 }
	condition:
		$1
}

rule function_80937_0 {
	meta:
		name = "TSparsePointerArray.MakeAt"
		size = 100
		refs = "001f ExpandDir 003c MakeSec"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 0F B7 4B 0E 8B F7 D3 EE 3B 73 08 72 12 8D 4E 01 8D 53 08 8B 43 04 E8 ?? ?? ?? ?? 8B E8 EB 03 8B 6B 04 89 6B 04 8B 44 B5 00 85 C0 75 0F 0F B7 53 14 8B C6 E8 ?? ?? ?? ?? 89 44 B5 00 0F B7 53 0C 23 D7 03 D2 03 D2 03 C2 3B 7B 10 7E 03 89 7B 10 C7 43 18 FF FF FF FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80938_0 {
	meta:
		name = "TSparsePointerArray.PutAt"
		size = 52
		refs = "0012 TSparsePointerArray.GetAt 001f TSparsePointerArray.MakeAt 002c TSparsePointerArray.ResetHighBound"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 85 F6 75 0D 8B D7 8B C3 E8 ?? ?? ?? ?? 85 C0 74 16 8B D7 8B C3 E8 ?? ?? ?? ?? 89 30 85 F6 75 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80939_0 {
	meta:
		name = "TSparsePointerArray.ForAll"
		size = 193
		refs = "0012 @IntfAddRef 001a TSparsePointerArray.ForAll 00ac @IntfClear 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 33 C0 89 45 F0 EB 5A 8B 45 F8 8B 40 04 8B 55 F0 8B 1C 90 85 DB 74 47 33 C0 89 45 EC 8B 45 F8 0F B7 48 0E 8B 45 F0 D3 E0 89 45 E8 EB 1F 8B 33 85 F6 74 10 8B CE 8B 55 E8 8B 45 FC 8B 30 FF 56 0C 89 45 F4 83 C3 04 FF 45 EC FF 45 E8 8B 45 F8 0F B7 40 14 3B 45 EC 7E 06 83 7D F4 00 74 CF FF 45 F0 8B 45 F8 8B 40 08 3B 45 F0 76 06 83 7D F4 00 74 95 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80940_0 {
	meta:
		name = "TSparsePointerArray.ResetHighBound$6314$ActRec.$0$Body"
		size = 29
	strings:
		$1 = { 53 8B 58 10 3B 53 10 7E 07 BB 01 00 00 00 EB 09 33 DB 85 C9 74 03 89 50 0C 8B C3 5B C3 }
	condition:
		$1
}

rule function_80941_0 {
	meta:
		name = "TSparsePointerArray.ResetHighBound"
		size = 124
		refs = "000d TSparsePointerArray.ResetHighBound 001a _DV_TSparsePointerArray.ResetHighBound$6314$ActRec 001f TObject.Create 0032 @IntfCopy 004d TSparsePointerArray.ForAll 006b @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 10 C7 43 0C FF FF FF FF 8B D3 85 D2 74 03 83 EA EC 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 8B 53 0C 89 50 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80942_0 {
	meta:
		name = "TSparseList.Create"
		size = 73
		refs = "000e @ClassCreate 001e TObject.Create 0027 TSparseList.NewList 0034 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80943_0 {
	meta:
		name = "TSparseList.Destroy"
		size = 39
		refs = "0003 @BeforeDestruction 0020 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 85 C0 74 07 B2 01 8B 08 FF 51 FC 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80944_0 {
	meta:
		name = "TSparseList.Clear"
		size = 31
		refs = "0014 TSparseList.NewList"
	strings:
		$1 = { 53 8B D8 B2 01 8B 43 04 8B 08 FF 51 FC 0F B6 53 0C 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 08 5B C3 }
	condition:
		$1
}

rule function_80945_0 {
	meta:
		name = "TSparseList.Delete"
		size = 75
		refs = "0023 TSparsePointerArray.GetAt 002e TSparsePointerArray.PutAt"
	strings:
		$1 = { 53 56 57 55 8B D8 85 D2 7C 3C 3B 53 08 7D 37 8B F2 8B 7B 08 4F 2B FE 7C 1D 47 8D 56 01 8B 6B 04 8B C5 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C5 E8 ?? ?? ?? ?? 46 4F 75 E4 33 C9 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? FF 4B 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80946_0 {
	meta:
		name = "TSparseList.Exchange"
		size = 57
		refs = "000f TSparseList.Get 0025 TSparseList.Put"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B E8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80948_0 {
	meta:
		name = "TSparseList.Get"
		size = 105
		refs = "000f TSparseList.Get 0021 SListIndexError 0026 LoadResString 0030 _Dn_TList 0035 TList.Error 003f TSparsePointerArray.GetAt 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7D 1C 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CB A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 46 04 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80949_0 {
	meta:
		name = "TSparseList.Insert"
		size = 162
		refs = "0019 TSparseList.Insert 002b SListIndexError 0030 LoadResString 003a _Dn_TList 003f TList.Error 0051 TSparsePointerArray.GetAt 005d TSparsePointerArray.PutAt 008f @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7D 1C 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B CF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5E 08 3B FB 7D 1C 8B D3 4A 8B 46 04 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 46 04 E8 ?? ?? ?? ?? 4B 3B FB 7C E4 8B 4D FC 8B D7 8B 46 04 E8 ?? ?? ?? ?? 3B 7E 08 7E 03 89 7E 08 FF 46 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80950_0 {
	meta:
		name = "TSparseList.Move"
		size = 50
		refs = "0013 TSparseList.Get 001e TSparseList.Delete 0029 TSparseList.Insert"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 3B FE 74 1F 8B D6 8B C3 E8 ?? ?? ?? ?? 8B E8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80951_0 {
	meta:
		name = "TSparseList.NewList"
		size = 29
		refs = "000e _DV_TSparsePointerArray 0013 TSparsePointerArray.Create"
	strings:
		$1 = { 53 56 8B DA 8B F0 88 5E 0C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_80952_0 {
	meta:
		name = "TSparseList.Put"
		size = 117
		refs = "0012 TSparseList.Put 0024 SListIndexError 0029 LoadResString 0033 _Dn_TList 0038 TList.Error 0044 TSparsePointerArray.PutAt 0063 @UStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7D 1C 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 43 04 8B 40 10 40 89 43 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80953_0 {
	meta:
		name = "TStringSparseList.Create"
		size = 81
		refs = "000e @ClassCreate 001e TStrings.Create 0027 _DV_TSparseList 002c TSparseList.Create 003c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 2C 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80954_0 {
	meta:
		name = "TStringSparseList.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 2C 00 74 11 8B C6 8B 10 FF 52 44 8B 46 2C B2 01 8B 08 FF 51 FC 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80955_0 {
	meta:
		name = "TStringSparseList.ReadData"
		size = 121
		refs = "0017 TStringSparseList.ReadData 0024 TReader.ReadInteger 0036 TReader.ReadString 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 27 6A 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 59 8B 38 FF 57 64 4E 85 F6 7F D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80956_0 {
	meta:
		name = "TStringSparseList.WriteData$6330$ActRec.$0$Body"
		size = 6
	strings:
		$1 = { FF 40 10 33 C0 C3 }
	condition:
		$1
}

rule function_80957_0 {
	meta:
		name = "TStringSparseList.WriteData$6330$ActRec.$1$Body"
		size = 30
		refs = "000a TWriter.WriteInteger 0015 TWriter.WriteString"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B 43 0C E8 ?? ?? ?? ?? 8B 56 04 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_80958_0 {
	meta:
		name = "TStringSparseList.WriteData"
		size = 145
		refs = "0010 TStringSparseList.WriteData 001d _DV_TStringSparseList.WriteData$6330$ActRec 0022 TObject.Create 0035 @IntfCopy 004e TSparseList.ForAll 0059 TWriter.WriteInteger 007f @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 7B 0C 33 C0 89 43 10 8B D3 85 D2 74 03 83 EA E8 8B 46 2C E8 ?? ?? ?? ?? 8B 53 10 8B 43 0C E8 ?? ?? ?? ?? 8B D3 85 D2 74 03 83 EA EC 8B 46 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80959_0 {
	meta:
		name = "TStringSparseList.DefineProperties"
		size = 56
		refs = "0003 TStringSparseList.ReadData 0009 TStringSparseList.WriteData 0012 TStringSparseList.DefineProperties"
	strings:
		$1 = { 53 50 68 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? B1 01 8B C2 BA ?? ?? ?? ?? 8B 18 FF 53 04 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 69 00 73 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_80960_0 {
	meta:
		name = "TStringSparseList.Get"
		size = 48
		refs = "000f TSparseList.Get 001c @UStrClr 0028 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B D7 8B 43 2C E8 ?? ?? ?? ?? 8B D8 85 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 04 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80962_0 {
	meta:
		name = "TStringSparseList.GetObject"
		size = 30
		refs = "000c TSparseList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 2C E8 ?? ?? ?? ?? 85 C0 75 05 33 C0 5E 5B C3 8B 00 5E 5B C3 }
	condition:
		$1
}

rule function_80963_0 {
	meta:
		name = "TStringSparseList.Put"
		size = 104
		refs = "0012 TSparseList.Get 0034 TSparseList.Put 0040 NewStrItem 0057 DisposeStrItem 005e TStringSparseList.Changed"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B D8 8B D5 8B 43 2C E8 ?? ?? ?? ?? 8B F0 85 F6 75 04 33 FF EB 02 8B 3E 83 3C 24 00 75 12 85 FF 75 0E 33 C9 8B D5 8B 43 2C E8 ?? ?? ?? ?? EB 16 8B D7 8B 04 24 E8 ?? ?? ?? ?? 8B C8 8B D5 8B 43 2C E8 ?? ?? ?? ?? 85 F6 74 07 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80964_0 {
	meta:
		name = "TStringSparseList.PutObject"
		size = 63
		refs = "000f TSparseList.Get 0024 NewStrItem 0030 TSparseList.Put 0037 TStringSparseList.Changed"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B D7 8B 43 2C E8 ?? ?? ?? ?? 85 C0 74 04 89 30 EB 19 85 F6 74 15 8B D6 33 C0 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 43 2C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80966_0 {
	meta:
		name = "TStringSparseList.Delete"
		size = 45
		refs = "000c TSparseList.Get 0015 DisposeStrItem 001f TSparseList.Delete 0026 TStringSparseList.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 2C E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 8B D6 8B 43 2C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_80968_0 {
	meta:
		name = "TStringSparseList.Insert"
		size = 41
		refs = "000e NewStrItem 001a TSparseList.Insert 0021 TStringSparseList.Changed"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 2C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80969_0 {
	meta:
		name = "TStringSparseList.Clear$6343$ActRec.$0$Body"
		size = 10
		refs = "0003 DisposeStrItem"
	strings:
		$1 = { 8B C1 E8 ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule function_80987_0 {
	meta:
		name = "TStringGrid.Destroy$6361$ActRec.$0$Body"
		size = 10
		refs = "0003 TObject.Free"
	strings:
		$1 = { 8B C1 E8 ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule function_80970_0 {
	meta:
		name = "TStringSparseList.Clear"
		size = 120
		refs = "000d TStringSparseList.Clear 001a _DV_TStringSparseList.Clear$6343$ActRec 001f TObject.Create 0032 @IntfCopy 0043 TSparseList.ForAll 004b TSparseList.Clear 0052 TStringSparseList.Changed 0067 @IntfClear 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B D6 85 D2 74 03 83 EA F4 8B 43 2C E8 ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80972_0 {
	meta:
		name = "TStringGridStrings.Assign"
		size = 246
		refs = "0017 TStringGridStrings.Assign 0025 _Dn_TStrings 002a @IsClass 003a TStrings.BeginUpdate 00bc TStrings.EndUpdate 00c2 @HandleFinally 00ce TStrings.Assign 00e3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 92 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 14 8B D8 4B 8B 45 FC 8B 10 FF 52 14 3B D8 7C 0B 8B 45 FC 8B 10 FF 52 14 8B D8 4B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 3A 43 89 5D F8 33 DB 8D 4D F4 8B D3 8B C6 8B 38 FF 57 0C 8B 4D F4 8B D3 8B 45 FC 8B 38 FF 57 20 8B D3 8B C6 8B 08 FF 51 18 8B C8 8B D3 8B 45 FC 8B 38 FF 57 24 43 FF 4D F8 75 CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_80973_0 {
	meta:
		name = "TStringGridStrings.CalcXY"
		size = 64
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 55 08 8B 58 30 85 DB 75 0E C7 01 FF FF FF FF C7 02 FF FF FF FF EB 18 85 DB 7E 0A 8B 75 FC 89 31 4B 89 1A EB 0A F7 DB 4B 89 19 8B 45 FC 89 02 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_80974_0 {
	meta:
		name = "TStringGridStrings.Add"
		size = 172
		refs = "0018 TStringGridStrings.Add 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 40 46 33 DB 8D 4D F4 8B D3 8B 45 FC 8B 38 FF 57 0C 83 7D F4 00 75 26 83 7D F8 00 75 11 B9 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 30 FF 56 20 EB 16 8B 4D F8 8B D3 8B 45 FC 8B 30 FF 56 20 EB 07 43 4E 75 C3 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_80975_0 {
	meta:
		name = "TStringGridStrings.Clear$6349$ActRec.$0$Body"
		size = 37
	strings:
		$1 = { 53 56 57 8B F2 8B D8 33 C9 8B D6 8B 43 0C 8B 38 FF 57 24 33 C9 8B D6 8B 43 0C 8B 18 FF 53 20 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80976_0 {
	meta:
		name = "TStringGridStrings.Clear"
		size = 191
		refs = "000e TStringGridStrings.Clear 001b _DV_TStringGridStrings.Clear$6349$ActRec 0020 TObject.Create 0033 @IntfCopy 0050 TSparseList.Get 0065 TSparseList.ForAll 00ad @IntfClear 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B F7 89 73 0C 8B 7E 30 85 FF 7E 28 8B D7 4A 8B 46 2C 8B 80 88 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 44 8B D3 85 D2 74 03 83 EA F0 8B 40 2C E8 ?? ?? ?? ?? EB 31 85 FF 7D 2D 8B C6 8B 10 FF 52 14 48 83 F8 00 7C 20 89 C6 33 C9 8B D6 8B 43 0C 8B 38 FF 57 24 33 C9 8B D6 8B 43 0C 8B 38 FF 57 20 4E 83 FE FF 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_80978_0 {
	meta:
		name = "TStringGridStrings.Get"
		size = 62
		refs = "0015 TStringGridStrings.CalcXY 0022 @UStrClr 0035 TStringGrid.GetCells"
	strings:
		$1 = { 53 56 83 C4 F8 8B F1 8B D8 8D 44 24 04 50 8D 4C 24 04 8B C3 E8 ?? ?? ?? ?? 83 3C 24 00 7D 09 8B C6 E8 ?? ?? ?? ?? EB 11 56 8B 4C 24 08 8B 54 24 04 8B 43 2C E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_80979_0 {
	meta:
		name = "TStringGridStrings.GetCount"
		size = 35
	strings:
		$1 = { 8B 50 30 85 D2 75 03 33 C0 C3 85 D2 7E 0B 8B 40 2C 8B 80 8C 02 00 00 EB 09 8B 40 2C 8B 80 C8 02 00 00 C3 }
	condition:
		$1
}

rule function_80980_0 {
	meta:
		name = "TStringGridStrings.GetObject"
		size = 51
		refs = "0012 TStringGridStrings.CalcXY 002b TStringGrid.GetObjects"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8D 44 24 04 50 8D 4C 24 04 8B C3 E8 ?? ?? ?? ?? 83 3C 24 00 7D 04 33 C0 EB 0F 8B 4C 24 04 8B 14 24 8B 43 2C E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_80981_0 {
	meta:
		name = "TStringGridStrings.Insert"
		size = 74
		refs = "000a TStringGridStrings.Insert 0018 SInvalidStringGridOp 001d LoadResString 0025 InvalidOp 003a @UStrClr 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_80982_0 {
	meta:
		name = "TStringGridStrings.Put"
		size = 47
		refs = "0015 TStringGridStrings.CalcXY 0026 TStringGrid.SetCells"
	strings:
		$1 = { 53 56 83 C4 F8 8B F1 8B D8 8D 44 24 04 50 8D 4C 24 04 8B C3 E8 ?? ?? ?? ?? 56 8B 4C 24 08 8B 54 24 04 8B 43 2C E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_80983_0 {
	meta:
		name = "TStringGridStrings.PutObject"
		size = 47
		refs = "0015 TStringGridStrings.CalcXY 0026 TStringGrid.SetObjects"
	strings:
		$1 = { 53 56 83 C4 F8 8B F1 8B D8 8D 44 24 04 50 8D 4C 24 04 8B C3 E8 ?? ?? ?? ?? 56 8B 4C 24 08 8B 54 24 04 8B 43 2C E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_80988_0 {
	meta:
		name = "TStringGrid.Destroy"
		size = 249
		refs = "000b @BeforeDestruction 0017 TStringGrid.Destroy 0024 _DV_TStringGrid.Destroy$6361$ActRec 0029 TObject.Create 003c @IntfCopy 0064 TSparseList.ForAll 006f TObject.Free 00be TCustomGrid.Destroy 00d3 @IntfClear 00e1 @HandleFinally 00ee @ClassDestroy"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F8 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8D 45 FC 8B D6 85 D2 74 03 83 EA F4 E8 ?? ?? ?? ?? 83 BF 8C 03 00 00 00 74 19 8B 87 8C 03 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 87 8C 03 00 00 E8 ?? ?? ?? ?? 83 BF 90 03 00 00 00 74 19 8B 87 90 03 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 87 90 03 00 00 E8 ?? ?? ?? ?? 83 BF 88 03 00 00 00 74 19 8B 87 88 03 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 87 88 03 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80989_0 {
	meta:
		name = "TStringGrid.ColumnMoved$6363$ActRec.$0$Body"
		size = 17
	strings:
		$1 = { 53 8B 50 10 8B 40 0C 91 8B 18 FF 53 78 33 C0 5B C3 }
	condition:
		$1
}

rule function_80990_0 {
	meta:
		name = "TStringGrid.ColumnMoved"
		size = 154
		refs = "0019 TStringGrid.ColumnMoved 0026 _DV_TStringGrid.ColumnMoved$6363$ActRec 002b TObject.Create 003e @IntfCopy 005b TSparseList.ForAll 0072 TCustomDrawGrid.ColumnMoved 0087 @IntfClear 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 45 F8 89 43 0C 89 7B 10 8B D3 85 D2 74 03 83 EA EC 8B 86 88 03 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 8B 4B 0C 8B 53 10 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_80991_0 {
	meta:
		name = "TStringGrid.RowMoved"
		size = 49
		refs = "0014 TSparseList.Move 0029 TCustomDrawGrid.RowMoved"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_80992_0 {
	meta:
		name = "TStringGrid.GetEditText"
		size = 65
		refs = "0017 TStringGrid.GetCells"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 66 83 BB 5A 03 00 00 00 74 15 57 8B 45 08 50 8B CE 8B D3 8B 83 5C 03 00 00 FF 93 58 03 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_80993_0 {
	meta:
		name = "TStringGrid.SetEditText"
		size = 189
		refs = "0019 TStringGrid.SetEditText 0027 TStringGrid.DisableEditUpdate 0047 TStringGrid.GetCells 0052 @UStrEqual 0066 TStringGrid.SetCells 007b TStringGrid.EnableEditUpdate 0081 @HandleFinally 0095 TCustomDrawGrid.SetEditText 00aa @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 E8 ?? ?? ?? ?? 74 12 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_80994_0 {
	meta:
		name = "TStringGrid.DrawCell"
		size = 471
		refs = "002a TStringGrid.DrawCell 0042 TStyleManager.GetActiveStyle 0070 CFixedHot 0098 CFixedPressed 00b8 CFixedNormal 00e2 CCellSelected 0102 CCellNormal 011e TStringGrid.GetCells 012c TCustomCanvas.TextHeight 0135 TRect.GetHeight 01a5 TCustomDrawGrid.DrawCell 01ba @UStrClr 01c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D FC 8B 75 0C 8D 7D E4 A5 A5 A5 A5 89 4D F4 89 55 F8 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE 04 03 00 00 00 0F 84 56 01 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 0F 84 11 01 00 00 83 45 E4 04 F6 C3 04 74 6D F6 C3 10 74 23 E8 ?? ?? ?? ?? 0F B6 96 2C 03 00 00 0F B6 92 ?? ?? ?? ?? 8D 4D D8 8B 38 FF 97 88 00 00 00 E9 8D 00 00 00 F6 C3 20 74 20 E8 ?? ?? ?? ?? 0F B6 96 2C 03 00 00 0F B6 92 ?? ?? ?? ?? 8D 4D D8 8B 38 FF 97 88 00 00 00 EB 68 E8 ?? ?? ?? ?? 0F B6 96 2C 03 00 00 0F B6 92 ?? ?? ?? ?? 8D 4D D8 8B 38 FF 97 88 00 00 00 EB 48 F6 C3 01 75 05 F6 C3 08 74 20 E8 ?? ?? ?? ?? 0F B6 96 2C 03 00 00 0F B6 92 ?? ?? ?? ?? 8D 4D D8 8B 38 FF 97 88 00 00 00 EB 1E E8 ?? ?? ?? ?? 0F B6 96 2C 03 00 00 0F B6 92 ?? ?? ?? ?? 8D 4D D8 8B 38 FF 97 88 00 00 00 8D 45 FC 50 8B 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 50 8D 45 E4 E8 ?? ?? ?? ?? 5A 2B C2 D1 F8 79 03 83 D0 00 03 45 E8 50 8B 45 FC 50 8B 4D E4 83 C1 02 8D 55 E4 8B 86 78 02 00 00 8B 38 FF 97 98 00 00 00 EB 33 8B 45 E8 83 C0 02 50 8D 45 D4 50 8B 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 4D E4 83 C1 02 8D 55 E4 8B 86 78 02 00 00 8B 38 FF 97 98 00 00 00 8D 45 E4 50 53 8B 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_80995_0 {
	meta:
		name = "TStringGrid.DisableEditUpdate"
		size = 7
	strings:
		$1 = { FF 80 84 03 00 00 C3 }
	condition:
		$1
}

rule function_80996_0 {
	meta:
		name = "TStringGrid.EnableEditUpdate"
		size = 7
	strings:
		$1 = { FF 88 84 03 00 00 C3 }
	condition:
		$1
}

rule function_80997_0 {
	meta:
		name = "TStringGrid.Initialize"
		size = 130
		refs = "0024 _DV_TSparseList 0029 TSparseList.Create"
	strings:
		$1 = { 53 56 8B F0 83 BE 90 03 00 00 00 75 26 81 BE 8C 02 00 00 00 02 00 00 7E 04 B3 01 EB 02 33 DB 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 90 03 00 00 81 BE C8 02 00 00 00 01 00 00 7E 04 B3 01 EB 02 33 DB 83 BE 8C 03 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 8C 03 00 00 83 BE 88 03 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 88 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_80998_0 {
	meta:
		name = "TStringGrid.SetUpdateState"
		size = 41
	strings:
		$1 = { 53 8B D8 88 93 80 03 00 00 84 D2 75 1A 80 BB 81 03 00 00 00 74 11 8B C3 8B 10 FF 92 9C 00 00 00 C6 83 81 03 00 00 00 5B C3 }
	condition:
		$1
}

rule function_80999_0 {
	meta:
		name = "TStringGrid.Update"
		size = 74
		refs = "0019 TCustomGrid.InvalidateCell 0042 TCustomGrid.InvalidateEditor"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 BB 80 03 00 00 00 75 0D 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? EB 07 C6 83 81 03 00 00 01 3B B3 90 02 00 00 75 18 3B BB 94 02 00 00 75 10 83 BB 84 03 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81000_0 {
	meta:
		name = "TStringGrid.EnsureColRow"
		size = 99
		refs = "0025 TSparseList.Get 0045 _DV_TStringGridStrings 004a TStringGridStrings.Create 0057 TSparseList.Put"
	strings:
		$1 = { 53 56 57 55 51 88 0C 24 8B EA 8B F0 80 3C 24 00 74 08 8D BE 90 03 00 00 EB 06 8D BE 8C 03 00 00 8B 07 8B D5 E8 ?? ?? ?? ?? 8B D8 85 DB 75 2C 80 3C 24 00 74 07 8B C5 F7 D8 48 EB 03 8D 45 01 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 07 8B CB 8B D5 E8 ?? ?? ?? ?? 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81001_0 {
	meta:
		name = "TStringGrid.EnsureDataRow"
		size = 81
		refs = "0010 TSparseList.Get 0031 _DV_TStringSparseList 0036 TStringSparseList.Create 0047 TSparseList.Put"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 75 31 81 BB 8C 02 00 00 00 02 00 00 7E 04 B0 01 EB 02 33 C0 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B CE 8B D7 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81002_0 {
	meta:
		name = "TStringGrid.GetCells"
		size = 65
		refs = "001a TSparseList.Get 0027 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B D8 8B 75 08 8B D7 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 0C 8B CE 8B 55 FC 8B C3 8B 18 FF 53 0C 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_81004_0 {
	meta:
		name = "TStringGrid.GetObjects"
		size = 41
		refs = "0012 TSparseList.Get"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B D6 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 07 8B D7 8B 08 FF 51 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81006_0 {
	meta:
		name = "TStringGrid.SetCells"
		size = 77
		refs = "0014 TStringGrid.EnsureDataRow 0029 TStringGrid.EnsureColRow 0041 TStringGrid.Update"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D 08 8B D6 8B 38 FF 57 20 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_81007_0 {
	meta:
		name = "TStringGrid.SetCols"
		size = 31
		refs = "0010 TStringGrid.EnsureColRow"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81008_0 {
	meta:
		name = "TStringGrid.SetObjects"
		size = 77
		refs = "0014 TStringGrid.EnsureDataRow 0029 TStringGrid.EnsureColRow 0041 TStringGrid.Update"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D 08 8B D6 8B 38 FF 57 24 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_81009_0 {
	meta:
		name = "TStringGrid.SetRows"
		size = 31
		refs = "0010 TStringGrid.EnsureColRow"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81010_0 {
	meta:
		name = "TPopupListbox.CreateParams"
		size = 49
		refs = "000b TCustomListBox.CreateParams 0023 TWinControl.AddBiDiModeExStyle"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 81 4B 04 00 00 80 00 C7 43 08 88 00 00 00 8D 53 08 8B C6 E8 ?? ?? ?? ?? C7 43 24 00 08 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_81011_0 {
	meta:
		name = "TPopupListbox.CreateWnd"
		size = 53
		refs = "0006 TCustomListBox.CreateWnd 000f TWinControl.GetHandle 0015 SetParent 002f CallWindowProc"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 07 8B C3 E8 ?? ?? ?? ?? 50 8B 83 5C 02 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81012_0 {
	meta:
		name = "TPopupListbox.KeyPress"
		size = 230
		refs = "0010 TPopupListbox.KeyPress 003e @UStrClr 0045 GetTickCount 0086 @UStrFromWChar 0094 @UStrCat 00a2 TWinControl.GetHandle 00b1 SendTextMessage 00bf TCustomListBox.KeyPress 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 06 66 83 E8 08 74 14 66 83 E8 13 74 0E 83 C0 FB 66 2D E0 FF 72 12 E9 83 00 00 00 8D 83 F8 02 00 00 E8 ?? ?? ?? ?? EB 76 E8 ?? ?? ?? ?? 8B F8 8B C7 2B 83 FC 02 00 00 3D D0 07 00 00 7E 0B 8D 83 F8 02 00 00 E8 ?? ?? ?? ?? 89 BB FC 02 00 00 8B 83 F8 02 00 00 85 C0 74 05 83 E8 04 8B 00 83 F8 20 7D 19 8D 45 FC 0F B7 16 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 F8 02 00 00 E8 ?? ?? ?? ?? 8B 83 F8 02 00 00 50 8B C3 E8 ?? ?? ?? ?? B9 FF FF 00 00 BA 8C 01 00 00 E8 ?? ?? ?? ?? 66 C7 06 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81013_0 {
	meta:
		name = "TPopupListbox.MouseUp"
		size = 83
		refs = "0023 TControl.MouseUp 0047 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FD 88 55 FF 8B F0 8B 5D 08 8B 7D 0C 57 53 0F B6 55 FF 0F B7 4D FD 8B C6 E8 ?? ?? ?? ?? 85 FF 7C 0E 85 DB 7C 0A 3B 7E 50 7D 05 3B 5E 54 7C 04 33 D2 EB 02 B2 01 8B 46 04 66 BE AD FF E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_81014_0 {
	meta:
		name = "TInplaceEditList.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TInplaceEdit.Create 001e GetSystemMetrics 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 89 86 D0 02 00 00 C6 86 DC 02 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81015_0 {
	meta:
		name = "TInplaceEditList.BoundsChanged"
		size = 162
		refs = "001c SetRect 0034 @CallDynaInst 0058 TWinControl.GetHandle 0064 SendStructMessage 007a SendMessage 007f SysLocale 0098 TWinControl.SetImeCompositionWindow"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B 43 54 50 8B 43 50 83 E8 02 50 6A 02 6A 02 8D 44 24 10 50 E8 ?? ?? ?? ?? 80 BB DC 02 00 00 00 74 2B 8B 83 C8 02 00 00 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 0C 8B 83 D0 02 00 00 29 44 24 08 EB 0C 8B 83 D0 02 00 00 83 E8 02 01 04 24 54 8B C3 E8 ?? ?? ?? ?? 33 C9 BA B4 00 00 00 E8 ?? ?? ?? ?? 6A 00 6A 00 68 B7 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 0C 00 74 13 8B 44 24 04 50 8B 4C 24 04 8B 53 6C 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_81016_0 {
	meta:
		name = "TInplaceEditList.CloseUp"
		size = 427
		refs = "001b TInplaceEditList.CloseUp 0045 GetCapture 005a SendMessage 0061 TInplaceEditList.GetPickList 009d @VarFromUStr 00b7 TWinControl.GetHandle 00bd SetWindowPos 00cb TInplaceEdit.Invalidate 00db VarIsEmpty 00e7 VarIsNull 00f6 VarToStr 0104 TCustomMaskEdit.GetText 010d @UStrEqual 011a @VarToUStr 012c TControl.Perform 0135 TCustomEdit.SetModified 0161 @CallDynaInst 017b @UStrArrayClr 0183 @UStrClr 0198 @VarClr 019e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE E4 02 00 00 00 0F 84 33 01 00 00 8B 86 D8 02 00 00 3B 86 D4 02 00 00 0F 85 21 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 11 6A 00 6A 00 6A 1F E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 F8 00 00 00 40 74 31 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 F8 00 00 00 50 8B C6 E8 ?? ?? ?? ?? 8B 80 88 02 00 00 8D 4D EC 5A 8B 38 FF 57 0C 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 68 97 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B 86 D8 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 86 E4 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 0F 84 8E 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 0C 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 76 8D 55 E8 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 55 E4 58 E8 ?? ?? ?? ?? 74 52 8D 45 E0 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 E0 50 33 C9 BA 0C 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B 9E C8 02 00 00 8D 55 DC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 8B 94 02 00 00 8B 93 90 02 00 00 8B C3 66 BE A8 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81017_0 {
	meta:
		name = "TInplaceEditList.DoDropDownKeys"
		size = 120
		refs = "003a @CallDynaInst"
	strings:
		$1 = { 56 57 51 66 89 0C 24 8B FA 0F B7 17 66 83 EA 0D 74 3E 66 83 EA 0E 74 38 66 83 EA 0B 74 06 66 83 EA 02 75 50 F6 04 24 02 74 4A 80 B8 E4 02 00 00 00 74 0D B2 01 66 BE AD FF E8 ?? ?? ?? ?? EB 09 66 BE AB FF E8 ?? ?? ?? ?? 66 C7 07 00 00 EB 24 80 B8 E4 02 00 00 00 74 1B F6 04 24 02 75 15 66 83 3F 0D 0F 94 C2 66 BE AD FF E8 ?? ?? ?? ?? 66 C7 07 00 00 5A 5F 5E C3 }
	condition:
		$1
}

rule function_81018_0 {
	meta:
		name = "TInplaceEditList.DoEditButtonClick"
		size = 33
	strings:
		$1 = { 53 66 83 B8 F2 02 00 00 00 74 14 8B D8 8B 90 C8 02 00 00 8B 83 F4 02 00 00 FF 93 F0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_81019_0 {
	meta:
		name = "TInplaceEditList.DoGetPickListItems"
		size = 99
		refs = "001a TInplaceEditList.GetPickList"
	strings:
		$1 = { 53 56 8B D8 80 BB E7 02 00 00 00 75 53 66 83 BB EA 02 00 00 00 74 2C 8B C3 E8 ?? ?? ?? ?? 8B 80 88 02 00 00 50 8B B3 C8 02 00 00 8B 8E 94 02 00 00 8B 96 90 02 00 00 8B 83 EC 02 00 00 FF 93 E8 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 0F 9F C0 88 83 E7 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_81020_0 {
	meta:
		name = "TInplaceEditList.GetPickList"
		size = 102
		refs = "0012 _DV_TPopupListbox 0017 TCustomListBox.Create 0022 TControl.SetVisible 003e TInplaceEditList.ListMouseUp 0047 TCustomListBox.SetIntegralHeight 0053 TCustomListBox.SetItemHeight"
	strings:
		$1 = { 53 56 8B D8 83 BB D4 02 00 00 00 75 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 8B 08 FF 91 84 00 00 00 89 9E DC 00 00 00 C7 86 D8 00 00 00 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? BA 0B 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 B3 D4 02 00 00 8B 83 D4 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_81021_0 {
	meta:
		name = "TInplaceEditList.DropDown"
		size = 639
		refs = "001a TInplaceEditList.DropDown 003b TControl.SetWidth 0058 @CallDynaInst 005f TInplaceEditList.GetPickList 0067 TControl.SetColor 0076 TControl.SetFont 00a5 TCustomListBox.GetItemHeight 00bc TControl.SetHeight 00fc TCustomMaskEdit.GetText 0154 TControl.GetClientWidth 01a8 TCustomCanvas.TextWidth 01c9 TControl.SetClientWidth 01e3 TControl.ClientToScreen 01f0 Screen 01f7 TScreen.GetHeight 0229 TWinControl.GetHandle 022f SetWindowPos 023d TInplaceEdit.Invalidate 024a SetFocus 025f @UStrClr 026c @UStrArrayClr 0272 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 D8 89 55 DC 89 55 E0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB E4 02 00 00 00 0F 85 1D 02 00 00 8B 53 50 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 3B 83 D4 02 00 00 0F 85 7C 01 00 00 8B C3 66 BE AC FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 53 74 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 53 6C E8 ?? ?? ?? ?? 83 BB E0 02 00 00 00 7E 3F 8B C3 E8 ?? ?? ?? ?? 8B 80 88 02 00 00 8B 10 FF 52 14 3B 83 E0 02 00 00 7C 25 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F7 AB E0 02 00 00 83 C0 04 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 34 8B C3 E8 ?? ?? ?? ?? 8B 80 88 02 00 00 8B 10 FF 52 14 8B F0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F AF F0 83 C6 04 56 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 83 7D E0 00 75 14 8B C3 E8 ?? ?? ?? ?? 83 CA FF 8B 08 FF 91 FC 00 00 00 EB 32 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 50 8B C3 E8 ?? ?? ?? ?? 8B 80 88 02 00 00 5A 8B 08 FF 51 54 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B C3 E8 ?? ?? ?? ?? 8B 80 88 02 00 00 8B 10 FF 52 14 48 85 C0 7C 4C 40 89 45 EC C7 45 F4 00 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 80 88 02 00 00 8D 4D D8 8B 55 F4 8B 30 FF 56 0C 8B 45 D8 50 8B C3 E8 ?? ?? ?? ?? 8B 80 98 02 00 00 5A E8 ?? ?? ?? ?? 8B F0 3B 75 F0 7E 03 89 75 F0 FF 45 F4 FF 4D EC 75 BF 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 43 48 89 45 E4 8B 43 4C 89 45 E8 8D 4D F8 8D 55 E4 8B 43 38 E8 ?? ?? ?? ?? 8B 7D FC 8B F7 03 73 54 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 93 D8 02 00 00 8B 52 54 03 D6 3B C2 7D 0B 8B 83 D8 02 00 00 8B F7 2B 70 54 6A 51 6A 00 6A 00 56 8B 45 F8 50 6A 00 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 E4 02 00 00 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81022_0 {
	meta:
		name = "TInplaceEditList.KeyDown"
		size = 92
		refs = "001d TInplaceEditList.KeyDown 0034 TWinControl.GetHandle 003e KillMessage 004d TInplaceEdit.KeyDown"
	strings:
		$1 = { 53 56 51 66 89 0C 24 8B F2 8B D8 80 BB DC 02 00 00 01 75 30 66 83 3E 0D 75 2A 0F B7 05 ?? ?? ?? ?? 66 3B 04 24 75 1D 8B C3 8B 10 FF 92 3C 01 00 00 8B C3 E8 ?? ?? ?? ?? BA 02 01 00 00 E8 ?? ?? ?? ?? EB 0D 8B D6 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_81023_0 {
	meta:
		name = "TInplaceEditList.ListMouseUp"
		size = 70
		refs = "002e PtInRect 003b @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 E8 56 8B F0 84 C9 75 32 8B 45 0C 89 45 F8 8B 45 08 89 45 FC 8D 55 E8 8B 86 D8 02 00 00 8B 08 FF 51 60 8D 45 E8 8D 55 F8 E8 ?? ?? ?? ?? 8B D0 8B C6 66 BE AD FF E8 ?? ?? ?? ?? 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_81024_0 {
	meta:
		name = "TInplaceEditList.MouseDown"
		size = 159
		refs = "0030 TInplaceEditList.OverButton 004a @CallDynaInst 0055 TControl.SetMouseCapture 0069 TInplaceEditList.TrackButton 0092 TControl.MouseDown"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 66 89 4D FE 8B DA 8B F8 84 DB 75 6C 80 BF DC 02 00 00 00 74 63 8B 45 0C 89 45 F4 8B 45 08 89 45 F8 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 74 49 80 BF E4 02 00 00 00 74 0F 33 D2 8B C7 66 BE AD FF E8 ?? ?? ?? ?? EB 31 B2 01 8B C7 E8 ?? ?? ?? ?? C6 87 E5 02 00 00 01 8B 4D 08 8B 55 0C 8B C7 E8 ?? ?? ?? ?? 83 BF D8 02 00 00 00 74 0B 8B C7 66 BE AB FF E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B D3 0F B7 4D FE 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_81025_0 {
	meta:
		name = "TInplaceEditList.MouseMove"
		size = 208
		refs = "0028 TInplaceEditList.TrackButton 0048 TControl.ClientToScreen 0059 TControl.ScreenToClient 0072 PtInRect 007d TInplaceEditList.StopTracking 0088 TWinControl.GetHandle 00b3 SendMessage 00c3 TControl.MouseMove"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B F1 66 89 55 FE 8B D8 8B 7D 08 80 BB E5 02 00 00 00 0F 84 98 00 00 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB E4 02 00 00 00 0F 84 80 00 00 00 89 75 EC 89 7D F0 8D 4D DC 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 55 DC 8D 4D F4 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8D 55 CC 8B 83 D8 02 00 00 8B 08 FF 51 60 8D 45 CC 8D 55 F4 E8 ?? ?? ?? ?? 84 C0 74 3F 8B C3 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 89 55 E4 8B 55 F8 89 55 E8 8B 55 E4 81 E2 FF FF 00 00 8B 4D E8 C1 E1 10 0B D1 52 6A 00 68 01 02 00 00 50 E8 ?? ?? ?? ?? EB 0E 57 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81026_0 {
	meta:
		name = "TInplaceEditList.MouseUp"
		size = 88
		refs = "001b TInplaceEditList.StopTracking 004d TControl.MouseUp"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B DA 8B F0 0F B6 86 E6 02 00 00 88 45 FD 8B C6 E8 ?? ?? ?? ?? 84 DB 75 19 80 BE DC 02 00 00 01 75 10 80 7D FD 00 74 0A 8B C6 8B 10 FF 92 3C 01 00 00 8B 45 0C 50 8B 45 08 50 8B D3 0F B7 4D FE 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_81027_0 {
	meta:
		name = "TInplaceEditList.PaintWindow"
		size = 556
		refs = "001f TInplaceEditList.ButtonRect 0026 TStyleManager.GetActiveStyle 00bf TCustomStyleServices.DrawElement 00f3 DrawFrameControl 0181 DrawEdge 01cf PatBlt 0217 ExcludeClipRect 0220 TWinControl.PaintWindow"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F2 8B D8 80 BB DC 02 00 00 00 0F 84 03 02 00 00 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 33 ED E8 ?? ?? ?? ?? 8B F8 0F B6 83 DC 02 00 00 FE C8 0F 84 C1 00 00 00 FE C8 0F 85 BE 01 00 00 8B C7 8B 10 FF 52 48 84 C0 74 7A 83 BB D8 02 00 00 00 75 12 8D 4C 24 14 B2 1D 8B C7 8B 28 FF 95 88 00 00 00 EB 46 80 BB E6 02 00 00 00 74 12 8D 4C 24 14 B2 1C 8B C7 8B 28 FF 95 88 00 00 00 EB 2B 80 BB F8 02 00 00 00 74 12 8D 4C 24 14 B2 1B 8B C7 8B 28 FF 95 88 00 00 00 EB 10 8D 4C 24 14 B2 1A 8B C7 8B 28 FF 95 88 00 00 00 8D 44 24 04 50 6A 00 8D 4C 24 1C 8B D6 8B C7 E8 ?? ?? ?? ?? E9 39 01 00 00 83 BB D8 02 00 00 00 75 07 BD 00 01 00 00 EB 0E 80 BB E6 02 00 00 00 74 05 BD 00 42 00 00 83 CD 05 55 6A 03 8D 44 24 0C 50 56 E8 ?? ?? ?? ?? E9 05 01 00 00 8B C7 8B 10 FF 52 48 84 C0 74 5C 80 BB E6 02 00 00 00 74 12 8D 4C 24 14 B2 20 8B C7 8B 28 FF 95 88 00 00 00 EB 2B 80 BB F8 02 00 00 00 74 12 8D 4C 24 14 B2 1F 8B C7 8B 28 FF 95 88 00 00 00 EB 10 8D 4C 24 14 B2 1E 8B C7 8B 28 FF 95 88 00 00 00 8D 44 24 04 50 6A 00 8D 4C 24 1C 8B D6 8B C7 E8 ?? ?? ?? ?? EB 22 80 BB E6 02 00 00 00 74 05 BD 00 40 00 00 81 CD 0F 08 00 00 55 6A 05 8D 44 24 0C 50 56 E8 ?? ?? ?? ?? 8B 6C 24 0C 8B 44 24 04 2B E8 D1 ED 03 E8 4D 0F B6 93 E6 02 00 00 03 EA 8B 4C 24 10 8B 44 24 08 2B C8 D1 E9 03 C8 49 03 CA 89 0C 24 8B BB D0 02 00 00 C1 EF 03 85 FF 75 05 BF 01 00 00 00 6A 42 57 57 8B 44 24 0C 50 55 56 E8 ?? ?? ?? ?? 6A 42 57 57 8B 44 24 0C 50 8B C7 03 C0 8B D5 2B D0 52 56 E8 ?? ?? ?? ?? 6A 42 57 57 8B 44 24 0C 50 8B C7 03 C0 03 E8 55 56 E8 ?? ?? ?? ?? 8B 44 24 10 50 8B 44 24 10 50 8B 44 24 10 50 8B 44 24 10 50 56 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81028_0 {
	meta:
		name = "TInplaceEditList.StopTracking"
		size = 43
		refs = "0015 TInplaceEditList.TrackButton 0025 TControl.SetMouseCapture"
	strings:
		$1 = { 53 8B D8 80 BB E5 02 00 00 00 74 1D 83 C9 FF 83 CA FF 8B C3 E8 ?? ?? ?? ?? C6 83 E5 02 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81029_0 {
	meta:
		name = "TInplaceEditList.TrackButton"
		size = 82
		refs = "0013 TInplaceEditList.ButtonRect 0025 PtInRect 0041 TWinControl.GetHandle 0047 InvalidateRect"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F9 8B F2 8B D8 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 89 34 24 89 7C 24 04 8B D4 8D 44 24 08 E8 ?? ?? ?? ?? 3A 83 E6 02 00 00 74 1A 88 83 E6 02 00 00 6A 00 8D 44 24 0C 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81030_0 {
	meta:
		name = "TInplaceEditList.UpdateContents"
		size = 88
		refs = "002e @CallDynaInst 0042 TInplaceEditList.GetPickList 004f TInplaceEdit.UpdateContents"
	strings:
		$1 = { 53 56 57 55 8B E8 33 C0 89 85 D8 02 00 00 C6 85 E7 02 00 00 00 8B BD C8 02 00 00 8B 8F 94 02 00 00 8B 97 90 02 00 00 8B C7 66 BE A5 FF E8 ?? ?? ?? ?? 8B D8 88 9D DC 02 00 00 80 FB 02 75 0D 8B C5 E8 ?? ?? ?? ?? 89 85 D8 02 00 00 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81031_0 {
	meta:
		name = "TInplaceEditList.RestoreContents"
		size = 26
		refs = "0014 TCustomGrid.UpdateText"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 20 01 00 00 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81032_0 {
	meta:
		name = "TInplaceEditList.CMCancelMode"
		size = 33
		refs = "001b @CallDynaInst"
	strings:
		$1 = { 56 8B F0 8B 42 08 3B F0 74 15 3B 86 D8 02 00 00 74 0D 33 D2 8B C6 66 BE AD FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_81034_0 {
	meta:
		name = "TInplaceEditList.WMKillFocus"
		size = 173
		refs = "000f TInplaceEditList.WMKillFocus 001a SysLocale 0029 TWinControl.WMKillFocus 0033 Screen 003a TScreen.GetDefaultIME 0048 @UStrAsg 0063 TWinControl.GetHandle 007a ActivateKeyboardLayout 0087 @CallDynaInst 009c @UStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 78 0C 00 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 4F 8D 55 FC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 D8 01 00 00 E8 ?? ?? ?? ?? C6 83 D4 01 00 00 03 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 3B 46 04 74 12 6A 01 A1 ?? ?? ?? ?? 8B 00 8B 40 44 50 E8 ?? ?? ?? ?? 33 D2 8B C3 66 BE AD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81035_0 {
	meta:
		name = "TInplaceEditList.ButtonRect"
		size = 77
		refs = "0012 @CallDynaInst 002f Rect"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 83 C8 02 00 00 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 1B 8B 43 54 50 57 8B 73 50 8B C6 2B 83 D0 02 00 00 8B CE 33 D2 E8 ?? ?? ?? ?? EB 14 8B 43 54 50 57 8B 8B D0 02 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81036_0 {
	meta:
		name = "TInplaceEditList.OverButton"
		size = 33
		refs = "000e TInplaceEditList.ButtonRect 0017 PtInRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B C4 8B D6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_81037_0 {
	meta:
		name = "TInplaceEditList.WMLButtonDblClk"
		size = 60
		refs = "0026 TInplaceEditList.OverButton 0033 TControl.WMLButtonDblClk"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 80 BB DC 02 00 00 00 74 1C 0F BF 46 08 0F BF 56 0A 89 04 24 89 54 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_81039_0 {
	meta:
		name = "TInplaceEditList.WMSetCursor"
		size = 100
		refs = "000b GetCursorPos 0018 TControl.ScreenToClient 0039 TInplaceEditList.OverButton 0049 LoadCursor 004f SetCursor 005a TWinControl.WMSetCursor"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 54 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 80 BB DC 02 00 00 00 74 21 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_81040_0 {
	meta:
		name = "TInplaceEditList.WndProc"
		size = 134
		refs = "0030 KeyDataToShiftState 006c TWinControl.GetHandle 0072 SendMessage 007d TInplaceEdit.WndProc"
	strings:
		$1 = { 53 56 57 51 8B DA 8B F0 8B 03 2D 00 01 00 00 74 0A 83 E8 02 74 05 83 E8 02 75 5D 80 BE DC 02 00 00 02 75 54 0F B7 43 04 66 89 04 24 8B 43 08 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C6 8B 38 FF 97 38 01 00 00 0F B7 04 24 66 89 43 04 66 83 7B 04 00 74 27 80 BE E4 02 00 00 00 74 1E 8B 43 08 50 8B 43 04 50 8B 03 50 8B 86 D8 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81041_0 {
	meta:
		name = "TInplaceEditList.DblClick"
		size = 348
		refs = "000d TInplaceEditList.DblClick 0033 TInplaceEdit.DblClick 004c TInplaceEditList.GetPickList 0063 @CallDynaInst 00f0 TControl.Perform 00f9 TCustomEdit.SetModified 0121 TCustomEdit.SelectAll 014b @UStrClr 0151 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB DC 02 00 00 00 74 10 8B 83 C8 02 00 00 66 83 B8 22 01 00 00 00 74 0C 8B C3 E8 ?? ?? ?? ?? E9 FE 00 00 00 80 BB DC 02 00 00 02 0F 85 DE 00 00 00 8B C3 E8 ?? ?? ?? ?? 3B 83 D8 02 00 00 0F 85 CB 00 00 00 8B C3 66 BE AC FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 0F 8E B9 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 F8 00 00 00 8B F0 46 8B C3 E8 ?? ?? ?? ?? 8B 80 88 02 00 00 8B 10 FF 52 14 3B F0 7C 02 33 F6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 F8 00 00 00 50 8B C3 E8 ?? ?? ?? ?? 8B 80 88 02 00 00 8D 4D FC 5A 8B 30 FF 56 0C 8B 45 FC 50 33 C9 BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B B3 C8 02 00 00 8B 45 FC 50 8B 8E 94 02 00 00 8B 96 90 02 00 00 8B C6 66 BE A8 FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 13 80 BB DC 02 00 00 01 75 0A 8B C3 8B 10 FF 92 3C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81042_0 {
	meta:
		name = "TInplaceEditList.CMMouseEnter"
		size = 49
		refs = "0006 TControl.CMMouseEnter 000b TStyleManager.GetActiveStyle 002b TInplaceEdit.Invalidate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 17 80 BB F8 02 00 00 00 75 0E C6 83 F8 02 00 00 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81043_0 {
	meta:
		name = "TInplaceEditList.CMMouseLeave"
		size = 49
		refs = "0006 TControl.CMMouseLeave 000b TStyleManager.GetActiveStyle 002b TInplaceEdit.Invalidate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 17 80 BB F8 02 00 00 00 74 0E C6 83 F8 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81047_0 {
	meta:
		name = "THTMLHelpViewer.ValidateHelpViewer"
		size = 41
		refs = "000a FInitializedCookie 0018 HtmlHelp"
	strings:
		$1 = { 53 8B D8 80 7B 40 00 75 1E 68 ?? ?? ?? ?? B9 1C 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 C6 43 40 01 5B C3 }
	condition:
		$1
}

rule function_81049_0 {
	meta:
		name = "THTMLHelpViewer.UnderstandsKeyword"
		size = 108
		refs = "000f THTMLHelpViewer.UnderstandsKeyword 0021 THTMLHelpViewer.GetHelpFile 002c HtmlHelpTester 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? BB 01 00 00 00 83 3D ?? ?? ?? ?? 00 74 15 8B 4D FC 8B D6 A1 ?? ?? ?? ?? 8B 30 FF 56 0C 84 C0 75 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81050_0 {
	meta:
		name = "THTMLHelpViewer.GetHelpStrings"
		size = 172
		refs = "0012 THTMLHelpViewer.GetHelpStrings 001e HtmlHelpTester 0038 _Dn_TStringList 003d TStringList.Create 0049 THTMLHelpViewer.GetViewerName 005f @UStrCatN 0083 @UStrArrayClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 10 8B D7 A1 ?? ?? ?? ?? 8B 08 FF 51 18 8B D8 EB 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 F8 8B C6 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 57 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_90036_0 {
	meta:
		name = "TWinHelpViewer.GetHelpStrings"
		size = 172
		refs = "0012 TWinHelpViewer.GetHelpStrings 001e WinHelpTester 0038 _Dn_TStringList 003d TStringList.Create 0049 TWinHelpViewer.GetViewerName 005f @UStrCatN 0083 @UStrArrayClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 10 8B D7 A1 ?? ?? ?? ?? 8B 08 FF 51 18 8B D8 EB 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 F8 8B C6 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 57 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_81052_0 {
	meta:
		name = "THTMLHelpViewer.ShowTableOfContents"
		size = 145
		refs = "0010 THTMLHelpViewer.ShowTableOfContents 001d THTMLHelpViewer.ValidateHelpViewer 0029 THTMLHelpViewer.GetHelpFile 003f THTMLHelpViewer.SynchTopic 004c @UStrLAsg 0059 @UStrToPWChar 0064 HtmlHelp 007e @UStrArrayClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 44 8B 10 FF 52 0C 8B F0 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B DE 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 F6 33 FF 57 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81053_0 {
	meta:
		name = "THTMLHelpViewer.ShowHelp"
		size = 158
		refs = "0015 THTMLHelpViewer.ShowHelp 0022 THTMLHelpViewer.ValidateHelpViewer 002e THTMLHelpViewer.GetHelpFile 003c @UStrToPWChar 0077 THTMLHelpViewer.LookupKeyword 008c @UStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? C7 45 DC 20 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 45 E4 33 C0 89 45 E0 33 C0 89 45 E8 33 C0 89 45 EC 33 C0 89 45 F0 33 C0 89 45 F4 C7 45 F8 FF FF FF FF 8D 45 DC 50 8B 43 44 8B 10 FF 52 0C 8B D0 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81055_0 {
	meta:
		name = "THTMLHelpViewer.SoftShutDown"
		size = 23
		refs = "0012 HtmlHelp"
	strings:
		$1 = { 80 78 40 00 74 10 6A 00 B9 12 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81056_0 {
	meta:
		name = "THTMLHelpViewer.ShutDown"
		size = 81
		refs = "0006 THTMLHelpViewer.SoftShutDown 0011 FInitializedCookie 001f HtmlHelp 0038 @IntfClear 003e HtmlHelpTester"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 40 00 74 1E 68 ?? ?? ?? ?? B9 1D 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? C6 43 40 00 33 C0 A3 ?? ?? ?? ?? 83 7B 44 00 74 08 8D 43 44 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81057_0 {
	meta:
		name = "THTMLHelpViewer.UnderstandsTopic"
		size = 103
		refs = "000f THTMLHelpViewer.UnderstandsTopic 0021 THTMLHelpViewer.GetHelpFile 0027 HtmlHelpTester 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 13 8B 4D FC 8B D6 A1 ?? ?? ?? ?? 8B 18 FF 53 10 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81058_0 {
	meta:
		name = "THTMLHelpViewer.DisplayTopic"
		size = 208
		refs = "0014 THTMLHelpViewer.DisplayTopic 0021 THTMLHelpViewer.ValidateHelpViewer 002d THTMLHelpViewer.GetHelpFile 0048 @UStrCatN 005d @UStrLAsg 006a @UStrToPWChar 0075 HtmlHelp 008f @UStrArrayClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 44 8B 10 FF 52 0C 8B D8 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 33 F6 33 FF 57 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 3A 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 68 00 74 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_81059_0 {
	meta:
		name = "THTMLHelpViewer.UnderstandsContext"
		size = 114
		refs = "0019 THTMLHelpViewer.UnderstandsContext 0027 HtmlHelpTester 0037 THTMLHelpViewer.GetHelpFile 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 83 3D ?? ?? ?? ?? 00 74 1E 8D 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D7 A1 ?? ?? ?? ?? 8B 18 FF 53 14 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_90045_0 {
	meta:
		name = "TWinHelpViewer.UnderstandsContext"
		size = 114
		refs = "0019 TWinHelpViewer.UnderstandsContext 0027 WinHelpTester 0037 TWinHelpViewer.HelpFile 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 83 3D ?? ?? ?? ?? 00 74 1E 8D 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D7 A1 ?? ?? ?? ?? 8B 18 FF 53 14 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81060_0 {
	meta:
		name = "THTMLHelpViewer.DisplayHelpByContext"
		size = 150
		refs = "0014 THTMLHelpViewer.DisplayHelpByContext 0021 THTMLHelpViewer.ValidateHelpViewer 002d THTMLHelpViewer.GetHelpFile 0043 THTMLHelpViewer.SynchTopic 0050 @UStrLAsg 005e @UStrToPWChar 0069 HtmlHelp 0083 @UStrArrayClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 44 8B 10 FF 52 0C 8B F0 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B DE 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? BE 0F 00 00 00 57 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81061_0 {
	meta:
		name = "THTMLHelpViewer.CallWinHelp"
		size = 265
		refs = "0019 THTMLHelpViewer.CallWinHelp 0026 THTMLHelpViewer.ValidateHelpViewer 0034 THTMLHelpViewer.GetHelpFile 0044 HtmlHelpTester 00db THTMLHelpViewer.CallHtmlHelp 00f2 @UStrClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 33 DB 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 9F 00 00 00 83 3D ?? ?? ?? ?? 00 74 12 8D 4D 08 8D 55 0C A1 ?? ?? ?? ?? 8B 38 FF 57 24 EB 02 33 C0 84 C0 75 66 0F B7 45 0C 83 F8 0B 77 75 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 C7 45 0C 0F 00 EB 1E 66 C7 45 0C 12 00 EB 16 66 C7 45 0C 02 00 EB 0E 66 C7 45 0C 02 00 EB 06 66 C7 45 0C 01 00 0F B7 45 0C 50 8B 45 08 50 8B 4D FC 8B 55 F8 8B C6 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_81062_0 {
	meta:
		name = "THTMLHelpViewer.CallHtmlHelp"
		size = 231
		refs = "001d @UStrAddRef 0025 THTMLHelpViewer.CallHtmlHelp 0032 THTMLHelpViewer.ValidateHelpViewer 004f THTMLHelpViewer.SoftShutDown 005e THTMLHelpViewer.DisplayTextPopup 006d THTMLHelpViewer.DisplayHelpByContext 0080 THTMLHelpViewer.LookupALink 008f THTMLHelpViewer.SynchTopic 009d @UStrLAsg 00a9 @UStrToPWChar 00b4 HtmlHelp 00d0 @UStrArrayClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F8 89 4D FC 89 55 F4 8B D8 8B 75 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 33 FF 8B C6 83 E8 0E 74 16 48 74 22 83 E8 03 74 05 48 74 29 EB 3A 8B C3 E8 ?? ?? ?? ?? EB 65 8B 4D 08 8B 55 F4 8B C3 E8 ?? ?? ?? ?? EB 56 8B 4D FC 8B 55 08 8B C3 E8 ?? ?? ?? ?? EB 47 8B 45 08 50 8B 4D FC 8B 55 F4 8B C3 E8 ?? ?? ?? ?? EB 34 8B 4D FC 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 5D F4 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 7D 08 57 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 8B F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_81063_0 {
	meta:
		name = "THTMLHelpViewer.DisplayIndex"
		size = 100
		refs = "000f THTMLHelpViewer.DisplayIndex 001c THTMLHelpViewer.ValidateHelpViewer 0028 THTMLHelpViewer.GetHelpFile 003e HtmlHelp 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 56 8B 43 44 8B 10 FF 52 0C B9 02 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81064_0 {
	meta:
		name = "THTMLHelpViewer.DisplaySearch"
		size = 178
		refs = "0015 THTMLHelpViewer.DisplaySearch 0022 THTMLHelpViewer.ValidateHelpViewer 002e THTMLHelpViewer.GetHelpFile 003d @FillChar 004b @UStrToPWChar 008b HtmlHelp 00a0 @UStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 45 DC 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? C7 45 DC 20 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 45 E4 C7 45 E0 FF FF FF FF C7 45 E8 FF FF FF FF 33 C0 89 45 EC 33 C0 89 45 F0 C7 45 F4 FF FF FF FF 33 C0 89 45 F8 8D 45 DC 50 8B 43 44 8B 10 FF 52 0C B9 03 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81065_0 {
	meta:
		name = "THTMLHelpViewer.DisplayTopic"
		size = 232
		refs = "0016 THTMLHelpViewer.DisplayTopic 0023 THTMLHelpViewer.ValidateHelpViewer 002f THTMLHelpViewer.GetHelpFile 0050 @UStrCatN 0065 @UStrLAsg 0072 @UStrToPWChar 007d HtmlHelp 0097 @UStrArrayClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 57 8D 45 F8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 43 44 8B 10 FF 52 0C 8B D8 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 33 F6 33 FF 57 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 3A 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 68 00 74 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_81066_0 {
	meta:
		name = "THTMLHelpViewer.SetupPopupWindow"
		size = 81
		refs = "0044 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 0C 8D 7D E8 A5 A5 A5 A5 8B F2 8D 7D F8 A5 A5 8B F1 8B D8 8B 45 F8 89 43 10 8B 45 FC 89 43 14 89 73 18 8B 45 10 89 43 1C 8D 75 E8 8D 7B 20 A5 A5 A5 A5 8D 43 30 8B 55 08 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_81067_0 {
	meta:
		name = "THTMLHelpViewer.SetupPopupSource"
		size = 28
		refs = "0013 @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 8B D8 89 53 34 89 4B 38 8D 43 3C 8B 55 08 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81068_0 {
	meta:
		name = "THTMLHelpViewer.Popup"
		size = 5
	strings:
		$1 = { 84 D2 84 C9 C3 }
	condition:
		$1
}

rule function_81070_0 {
	meta:
		name = "THTMLHelpViewer.SynchTopic"
		size = 95
		refs = "000e THTMLHelpViewer.SynchTopic 0020 @UStrLAsg 002d @UStrToPWChar 0038 HtmlHelp 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DA 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 33 F6 33 FF 57 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81071_0 {
	meta:
		name = "THTMLHelpViewer.LookupALink"
		size = 40
		refs = "0010 @UStrToPWChar 001e HtmlHelp"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B D0 B9 13 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81072_0 {
	meta:
		name = "THTMLHelpViewer.LookupKeyword"
		size = 40
		refs = "0010 @UStrToPWChar 001e HtmlHelp"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B D0 B9 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81073_0 {
	meta:
		name = "THTMLHelpViewer.DisplayTextPopup"
		size = 82
		refs = "000f THTMLHelpViewer.DisplayTextPopup 001e @UStrToPWChar 002c HtmlHelp 0041 @UStrClr 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 45 FC E8 ?? ?? ?? ?? 8B D0 B9 0E 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81074_0 {
	meta:
		name = "THTMLHelpViewer.Create"
		size = 90
		refs = "000a @ClassCreate 0017 TObject.Create 001c HelpViewerIntf 002a @IntfCopy 0035 FInitializedCookie 003c THTMLHelpViewer.ClearSetup 0047 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B D6 85 D2 74 03 83 EA B8 E8 ?? ?? ?? ?? C6 46 40 00 33 C0 A3 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81075_0 {
	meta:
		name = "THTMLHelpViewer.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 000e HelpViewer 0019 TObject.Destroy 0024 @ClassDestroy"
		altNames = "TWinHelpViewer.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 A3 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81076_0 {
	meta:
		name = "THTMLHelpViewer.GetHelpFile"
		size = 212
		refs = "0014 THTMLHelpViewer.GetHelpFile 0021 @UStrClr 0042 @UStrLAsg 004e HtmlHelpTester 008c @UStrCatN 0096 @UStrAsg 00b0 @UStrArrayClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 FF 75 13 83 7B 44 00 74 0D 8D 55 FC 8B 43 44 8B 08 FF 51 10 EB 0A 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 83 7D FC 00 75 16 83 3D ?? ?? ?? ?? 00 74 0D 8D 55 FC A1 ?? ?? ?? ?? 8B 08 FF 51 20 83 3D ?? ?? ?? ?? 00 74 25 8D 55 F8 A1 ?? ?? ?? ?? 8B 08 FF 51 1C FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_81077_0 {
	meta:
		name = "THTMLHelpViewer.InternalShutDown"
		size = 37
		refs = "0006 THTMLHelpViewer.SoftShutDown 001f @IntfClear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 44 00 74 13 8B 53 0C 8B 43 44 8B 08 FF 51 14 8D 43 44 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81078_0 {
	meta:
		name = "Finalization"
		size = 119
		refs = "0007 Finalization 0013 _DV_1 001a HelpViewer 002a THTMLHelpViewer.InternalShutDown 002f HelpViewerIntf 0034 @IntfClear 0039 HtmlHelpTester 004d ViewerName 0052 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 47 A1 ?? ?? ?? ?? 83 78 44 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_81079_0 {
	meta:
		name = "Vcl.HtmlHelpViewer"
		size = 91
		refs = "0007 Vcl.HtmlHelpViewer 0013 _DV_1 001d _DV_THTMLHelpViewer 0022 THTMLHelpViewer.Create 0027 HelpViewer 0034 @IntfClear 003b HelpViewerIntf 0040 RegisterViewer 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 2A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 C0 44 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_81080_0 {
	meta:
		name = "TIdAntiFreeze.Process"
		size = 61
		refs = "000a Application 0011 TApplication.ProcessMessages 0025 PeekMessage 0035 TApplication.HandleMessage"
	strings:
		$1 = { 83 C4 E4 80 78 39 00 74 0E A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? EB 22 6A 00 6A 00 6A 00 6A 00 8D 44 24 10 50 E8 ?? ?? ?? ?? 85 C0 74 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 83 C4 1C C3 }
	condition:
		$1
}

rule function_81099_0 {
	meta:
		name = "Register"
		size = 8
		refs = "0002 GIFImageDefaultAnimationLoop"
	strings:
		$1 = { C6 05 ?? ?? ?? ?? 00 C3 }
	condition:
		$1
}

rule function_81100_0 {
	meta:
		name = "WebPalette"
		size = 134
		refs = "0078 CreatePalette"
	strings:
		$1 = { 53 56 57 81 C4 98 FC FF FF 66 C7 44 24 02 00 03 66 C7 44 24 04 D8 00 C6 04 24 00 8D 7C 24 06 C6 44 24 01 00 8B F7 33 C9 8B D6 8B C2 0F B6 1C 24 6B DB 33 88 18 0F B6 5C 24 01 6B DB 33 88 58 01 8B D9 6B DB 33 88 58 02 C6 40 03 00 41 83 C2 04 80 F9 06 75 D5 FE 44 24 01 83 C6 18 80 7C 24 01 06 75 C3 FE 04 24 81 C7 90 00 00 00 80 3C 24 06 75 AD 8D 44 24 02 50 E8 ?? ?? ?? ?? 81 C4 68 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81101_0 {
	meta:
		name = "GDIError"
		size = 213
		refs = "001c GDIError 0027 GetLastError 004d FormatMessage 0067 @UStrFromWArray 0074 _Dn_EOutOfResources 0079 Exception.Create 007e @RaiseExcept 008b SOutOfResources 0090 LoadResString 00c4 @UStrArrayClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FD FF FF 53 33 C0 89 85 F8 FD FF FF 89 85 FC FD FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D8 85 DB 74 53 6A 00 68 00 01 00 00 8D 85 00 FE FF FF 50 68 00 04 00 00 53 6A 00 68 00 10 00 00 E8 ?? ?? ?? ?? 85 C0 74 2F 8D 85 FC FD FF FF 8D 95 00 FE FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 8B 8D FC FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 27 8D 95 F8 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D F8 FD FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81105_0 {
	meta:
		name = "ByteAlignBit"
		size = 7
	strings:
		$1 = { 83 C0 07 C1 E8 03 C3 }
	condition:
		$1
}

rule function_81106_0 {
	meta:
		name = "WordAlignBit"
		size = 9
	strings:
		$1 = { 83 C0 0F C1 E8 04 03 C0 C3 }
	condition:
		$1
}

rule function_81107_0 {
	meta:
		name = "DWordAlignBit"
		size = 11
	strings:
		$1 = { 83 C0 1F C1 E8 05 03 C0 03 C0 C3 }
	condition:
		$1
}

rule function_81108_0 {
	meta:
		name = "AlignBit"
		size = 13
	strings:
		$1 = { 49 F7 EA 03 C1 F7 D1 23 C1 C1 E8 03 C3 }
	condition:
		$1
}

rule function_81109_0 {
	meta:
		name = "Colors2bpp"
		size = 33
	strings:
		$1 = { 85 C0 75 05 33 C9 8B C1 C3 B9 01 00 00 00 BA 02 00 00 00 3B D0 7D 07 41 03 D2 3B D0 7C F9 8B C1 C3 }
	condition:
		$1
}

rule function_81110_0 {
	meta:
		name = "TGIFWriter.WriteByte"
		size = 20
		altNames = "WriteByte"
	strings:
		$1 = { 53 51 88 14 24 8B D4 B9 01 00 00 00 8B 18 FF 53 10 5A 5B C3 }
	condition:
		$1
}

rule function_81111_0 {
	meta:
		name = "ReadByte"
		size = 21
	strings:
		$1 = { 53 51 8B D4 B9 01 00 00 00 8B 18 FF 53 0C 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_81112_0 {
	meta:
		name = "ReadCheck"
		size = 102
		refs = "0016 ReadCheck 0032 sOutOfData 0037 LoadResString 003f Error 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B D9 89 55 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B CB 8B 30 FF 56 0C 3B D8 74 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81113_0 {
	meta:
		name = "WriteStrings"
		size = 198
		refs = "001a WriteStrings 003a @LStrFromUStr 0050 @LStrToPChar 006f WriteByte 00ab @UStrClr 00b3 @LStrClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 51 1C 8B 55 F0 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 85 F6 7E 35 81 FE FF 00 00 00 7E 04 B3 FF EB 02 8B DE 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 CB 8B 55 F4 8B 45 F8 8B 38 FF 57 10 0F B6 C3 01 45 F4 0F B6 C3 2B F0 85 F6 7F CB 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81114_0 {
	meta:
		name = "ReadStrings"
		size = 254
		refs = "0025 ReadStrings 005b ReadCheck 007f @LStrFromArray 008d @LStrCat 00b3 @UStrFromLStr 00d8 @UStrClr 00e3 @LStrClr 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 56 57 33 C9 89 8D F0 FE FF FF 89 8D F4 FE FF FF 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 44 8D 55 FB B9 01 00 00 00 8B C3 8B 38 FF 57 0C 48 75 7C 80 7D FB 00 76 5B 0F B6 4D FB 8D 95 FB FE FF FF 8B C3 E8 ?? ?? ?? ?? 0F B6 45 FB C6 84 05 FB FE FF FF 00 8D 85 F4 FE FF FF 8D 95 FB FE FF FF B9 00 01 00 00 6A 00 E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 8D 45 FC E8 ?? ?? ?? ?? 8D 55 FB B9 01 00 00 00 8B C3 8B 38 FF 57 0C 48 75 06 80 7D FB 00 77 A5 8D 85 F0 FE FF FF 8B 55 FC E8 ?? ?? ?? ?? 8B 95 F0 FE FF FF 8B C6 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81115_0 {
	meta:
		name = "InitializeBitmapInfoHeader"
		size = 304
		refs = "001a InitializeBitmapInfoHeader 0031 GetObject 003f SInvalidBitmap 0044 LoadResString 004c Error 0073 @FillChar 00c3 sInvalidPixelFormat 011d @UStrArrayClr 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 33 DB 89 5D A0 89 5D A4 88 4D FF 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 89 55 C0 8D 55 A8 52 6A 54 50 E8 ?? ?? ?? ?? 8B F0 85 F6 75 15 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A4 E8 ?? ?? ?? ?? 83 FE 40 7C 14 83 7D C0 28 72 0E 8B FB 8D 75 C0 B9 0A 00 00 00 F3 A5 EB 20 8B C3 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? C7 03 28 00 00 00 8B 45 AC 89 43 04 8B 45 B0 89 43 08 0F B6 45 FF FE C8 74 0E FE C8 74 12 FE C8 74 16 2C 03 74 1A EB 20 66 C7 43 0E 01 00 EB 2D 66 C7 43 0E 04 00 EB 25 66 C7 43 0E 08 00 EB 1D 66 C7 43 0E 18 00 EB 15 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? 66 C7 43 0C 01 00 33 C0 89 43 10 8B 53 04 0F B7 4B 0E B8 20 00 00 00 48 0F AF D1 03 D0 F7 D0 23 D0 8B CA C1 E9 03 8B 43 08 99 33 C2 2B C2 F7 E9 89 43 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81116_0 {
	meta:
		name = "InternalGetDIBSizes"
		size = 82
		refs = "0014 InitializeBitmapInfoHeader"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 8B F1 8B DA 0F B6 4D 08 8D 55 D8 E8 ?? ?? ?? ?? 0F B7 45 E6 66 83 F8 08 76 11 C7 03 28 00 00 00 F6 45 E8 03 74 17 83 03 0C EB 12 8B C8 B8 01 00 00 00 D3 E0 03 C0 03 C0 83 C0 28 89 03 8B 45 EC 89 06 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81117_0 {
	meta:
		name = "InternalGetDIB"
		size = 183
		refs = "0018 InitializeBitmapInfoHeader 0024 CreateCompatibleDC 002f InternalGetDIB 0045 SelectPalette 0051 RealizePalette 006d GetDIBits 009e DeleteDC 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 8B FA 8B F0 0F B6 4D 08 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 F8 6A 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 18 6A 00 57 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F4 50 E8 ?? ?? ?? ?? 6A 00 53 8B 45 0C 50 8B 43 08 99 33 C2 2B C2 50 6A 00 56 8B 45 F4 50 E8 ?? ?? ?? ?? 85 C0 0F 95 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0F 6A 00 8B 45 F8 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 0F B6 45 FF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_81118_0 {
	meta:
		name = "DIBFromBit"
		size = 228
		refs = "0019 DIBFromBit 002b SInvalidBitmap 0030 LoadResString 0038 Error 004a InternalGetDIBSizes 008a @FillChar 00ba InternalGetDIB 00cf @UStrClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 15 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 0F B6 45 10 50 8D 4D F0 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 83 C0 0E 03 45 F0 89 45 F4 8B 55 F4 8B C3 8B 08 FF 51 04 8B 5B 04 8B C3 83 C0 0E 8B 55 0C 89 02 8B 45 0C 8B 00 03 45 F8 8B 55 08 89 02 8B FB 8B C7 33 C9 BA 0E 00 00 00 E8 ?? ?? ?? ?? 8B C7 66 C7 00 42 4D 8B 55 F4 89 50 02 8B 55 F8 83 C2 0E 89 50 0A 8B 45 08 8B 00 50 0F B6 45 10 50 8B 4D 0C 8B 09 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_81121_0 {
	meta:
		name = "SafeSetPixelFormat"
		size = 47
		refs = "000b TBitmap.SetPixelFormat 0017 TBitmap.ReleasePalette 0021 DeleteObject"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 80 FB 03 75 18 8B C6 E8 ?? ?? ?? ?? 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 28 5E 5B C3 }
	condition:
		$1
}

rule function_81123_0 {
	meta:
		name = "TGIFItem.Warning"
		size = 15
	strings:
		$1 = { 53 51 8B CA 8B 50 04 92 8B 18 FF 53 74 5B C3 }
	condition:
		$1
}

rule function_81125_0 {
	meta:
		name = "TGIFItem.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TGIFItem.LoadFromFile 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 20 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_81126_0 {
	meta:
		name = "TGIFItem.SaveToFile"
		size = 86
		refs = "000f _Dn_TFileStream 0016 TFileStream.Create 0021 TGIFItem.SaveToFile 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 68 00 FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_81132_0 {
	meta:
		name = "TGIFList.Add"
		size = 33
		refs = "000b TGIFList.IndexOf 001a TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 F8 FF 75 0A 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81133_0 {
	meta:
		name = "TGIFList.Clear"
		size = 25
		refs = "000a TGIFList.Delete"
	strings:
		$1 = { 53 8B D8 EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 04 83 78 08 00 7F EE 5B C3 }
	condition:
		$1
}

rule function_81134_0 {
	meta:
		name = "TGIFList.Delete"
		size = 40
		refs = "000d TList.Get 0019 TList.Delete 0020 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B F8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81136_0 {
	meta:
		name = "TGIFList.First"
		size = 11
		refs = "0006 TList.Get"
	strings:
		$1 = { 8B 40 04 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81142_0 {
	meta:
		name = "TGIFList.SaveToStream"
		size = 48
		refs = "001c TList.Get"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 04 8B 58 08 4B 85 DB 7C 18 43 33 F6 8B 47 04 8B D6 E8 ?? ?? ?? ?? 8B D5 8B 08 FF 51 14 46 4B 75 EB 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81143_0 {
	meta:
		name = "TGIFList.Warning"
		size = 89
		refs = "0011 @UStrAddRef 0019 TGIFList.Warning 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B C6 8B 10 FF 52 10 8B CB 8B D6 8B 18 FF 53 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81146_0 {
	meta:
		name = "TDIBReader.Create"
		size = 76
		refs = "000d @ClassCreate 001f TDIB.Create 002b SetPixelFormat 0036 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B6 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 56 08 8B 46 04 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81149_0 {
	meta:
		name = "TDIBWriter.Create"
		size = 225
		refs = "0019 @ClassCreate 002f TDIBWriter.Create 0042 TDIB.Create 0054 sInvalidPixelFormat 0059 LoadResString 0061 Error 0073 sBadDimension 00b3 @UStrArrayClr 00b9 @HandleFinally 00c8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B F0 8B 7D 10 8B 5D 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 4D F8 33 D2 8B C6 E8 ?? ?? ?? ?? 80 EB 03 74 1A 80 EB 03 74 15 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 85 FF 74 06 83 7D 0C 00 75 15 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 0C 89 46 20 89 7E 24 8B 45 08 89 46 1C 33 C0 89 46 0C 33 C0 89 46 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_81150_0 {
	meta:
		name = "TDIBWriter.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 000e TDIBWriter.UpdateBitmap 0015 TDIBWriter.FreeDIB 0020 TObject.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81151_0 {
	meta:
		name = "TDIBWriter.GetScanline"
		size = 202
		refs = "0012 TDIBWriter.GetScanline 001f TDIBWriter.NeedDIB 002d sNoDIB 0032 LoadResString 003a Error 004e SScanLine 005d _Dn_EInvalidGraphicOperation 0062 Exception.Create 0067 @RaiseExcept 006c GdiFlush 00b5 @UStrArrayClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7B 10 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 73 0C 85 FF 7C 05 3B 7B 20 7C 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 08 85 C0 7E 05 2B C7 48 8B F8 B8 20 00 00 00 48 8B 56 04 0F B7 4E 0E 0F AF D1 03 D0 F7 D0 23 D0 8B C2 C1 E8 03 0F AF F8 03 7B 10 8B DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81152_0 {
	meta:
		name = "ByteSwapColors"
		size = 85
		refs = "0011 GetSystemInfo"
	strings:
		$1 = { 55 8B EC 83 C4 D4 89 55 F8 89 45 FC 8D 45 D4 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 4D F8 49 78 33 8D 45 D4 66 83 78 20 03 74 10 8B 04 8A 0F C8 C1 E8 08 89 04 8A 49 79 F2 EB 19 53 31 DB 8B 04 8A 88 C7 88 E3 C1 E8 10 C1 E3 08 88 C3 89 1C 8A 49 79 E9 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81153_0 {
	meta:
		name = "TDIBWriter.CreateDIB"
		size = 515
		refs = "0015 TDIBWriter.CreateDIB 0023 TDIBWriter.FreeDIB 004d @GetMem 00b4 GetObject 00dc GetPaletteEntries 00ee ByteSwapColors 0123 @FillChar 018d GlobalAllocPtr 01a1 sOutOfMemDIB 01a6 LoadResString 01b0 _Dn_EOutOfMemory 01b5 Exception.Create 01ba @RaiseExcept 01c9 @HandleAnyException 01d6 @RaiseAgain 01db @DoneExcept 01f0 @UStrClr 01f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 08 03 75 0C 8B 45 FC C7 40 14 28 04 00 00 EB 0A 8B 45 FC C7 40 14 28 00 00 00 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 0C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C7 03 28 00 00 00 8B 45 FC 8B 40 24 89 43 04 8B 45 FC 8B 40 20 89 43 08 66 C7 43 0C 01 00 33 C0 89 43 14 33 C0 89 43 10 8B 45 FC 80 78 08 03 0F 85 A1 00 00 00 66 C7 43 0E 08 00 8B 45 FC 8B 58 1C 85 DB 74 48 8D 45 FA 50 6A 02 53 E8 ?? ?? ?? ?? 85 C0 74 38 66 83 7D FA 00 74 31 8B 45 FC 8B 40 0C 83 C0 28 50 0F B7 45 FA 50 6A 00 8B 45 FC 8B 40 1C 50 E8 ?? ?? ?? ?? 0F B7 55 FA 8B 45 FC 8B 40 0C 83 C0 28 E8 ?? ?? ?? ?? EB 06 66 C7 45 FA 00 00 66 81 7D FA 00 01 73 25 0F B7 45 FA BA 00 01 00 00 2B D0 8B 45 FC 8B 40 0C 83 C0 28 0F B7 4D FA 03 C9 03 C9 03 C1 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C C7 40 20 00 01 00 00 0F B7 55 FA 89 50 24 EB 10 66 C7 43 0E 18 00 33 C0 89 43 20 33 C0 89 43 24 B8 20 00 00 00 48 8B 55 FC 8B 4A 24 8B 55 FC 8B 52 0C 0F B7 52 0E 0F AF CA 03 C8 F7 D0 23 C8 C1 E9 03 8B 45 FC 8B 40 20 99 33 C2 2B C2 8B D8 0F AF D9 8B 45 FC 89 58 18 8B D3 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 70 10 85 F6 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81154_0 {
	meta:
		name = "TDIBWriter.FreeDIB"
		size = 39
		refs = "000b @FreeMem 0017 GlobalFreePtr"
	strings:
		$1 = { 53 8B D8 8B 43 0C 85 C0 74 05 E8 ?? ?? ?? ?? 8B 43 10 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 89 43 0C 33 C0 89 43 10 5B C3 }
	condition:
		$1
}

rule function_81155_0 {
	meta:
		name = "TDIBWriter.HasDIB"
		size = 8
		altNames = "TDomXPathSyntaxTree.GetIsPrepared"
	strings:
		$1 = { 83 78 10 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_81156_0 {
	meta:
		name = "TDIBWriter.NeedDIB"
		size = 23
		refs = "0006 TDIBWriter.HasDIB 0011 TDIBWriter.CreateDIB"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81157_0 {
	meta:
		name = "TDIBWriter.UpdateBitmap"
		size = 208
		refs = "000d TDIBWriter.HasDIB 001c _Dn_TMemoryStream 0021 TObject.Create 002c TDIBWriter.UpdateBitmap 0054 @FillChar 009e TStream.SetPosition 00be TObject.Free 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 B1 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5E 14 83 C3 0E 03 5E 18 8B D3 8B 45 FC 8B 08 FF 51 04 8D 45 EE 33 C9 BA 0E 00 00 00 E8 ?? ?? ?? ?? 66 C7 45 EE 42 4D 89 5D F0 8B 46 14 83 C0 0E 89 45 F8 8D 55 EE B9 0E 00 00 00 8B 45 FC 8B 18 FF 53 10 8B 4E 14 8B 56 0C 8B 45 FC 8B 18 FF 53 10 8B 4E 18 8B 56 10 8B 45 FC 8B 18 FF 53 10 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 46 04 8B 55 FC 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81160_0 {
	meta:
		name = "TFastColorLookup.Create"
		size = 223
		refs = "000f @ClassCreate 0021 TColorLookup.Create 002b @GetMem 003e GetPaletteEntries 0047 TColorLookup.SetColors 00c9 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? B8 00 04 00 00 E8 ?? ?? ?? ?? 8B F8 89 7B 08 57 68 00 01 00 00 6A 00 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? B8 00 00 02 00 E8 ?? ?? ?? ?? 89 43 0C 33 C0 8B 53 0C 66 C7 04 42 FF FF 40 3D 00 00 01 00 75 EF 8B 43 04 85 C0 7E 4E 8B F0 4E 85 F6 7C 47 46 33 C0 8B 53 08 8D 14 82 0F B6 4A 01 80 E1 FC 0F B6 F9 03 FF 03 FF 03 FF 0F B6 0A C1 E9 03 0B F9 0F B6 52 02 80 E2 F8 0F B6 D2 C1 E2 08 0B FA 8B D7 8B 4B 0C 66 83 3C 51 FF 75 07 8B 4B 0C 66 89 04 51 40 4E 75 BC 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81161_0 {
	meta:
		name = "TFastColorLookup.Destroy"
		size = 65
		refs = "0003 @BeforeDestruction 0013 @FreeMem 002f TObject.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 0C 85 C0 74 0A BA 00 00 02 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81162_0 {
	meta:
		name = "IntSqr"
		size = 8
	strings:
		$1 = { 8B D0 0F AF D0 8B C2 C3 }
	condition:
		$1
}

rule function_81163_0 {
	meta:
		name = "TFastColorLookup.Lookup"
		size = 298
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 B3 FC 22 D9 0F B6 F3 03 F6 03 F6 03 F6 0F B6 DA C1 EB 03 0B F3 0F B6 5D 14 80 E3 F8 0F B6 DB C1 E3 08 0B F3 89 75 F8 8B 58 0C 8B 75 F8 66 83 3C 73 FF 74 0F 8B 50 0C 8B 4D F8 0F B6 14 4A E9 B0 00 00 00 C7 45 F4 00 00 03 00 33 DB 89 5D F0 8B 58 04 4B 85 DB 0F 8C 86 00 00 00 43 89 5D EC C7 45 FC 00 00 00 00 8B 58 08 8B 75 FC 8D 1C B3 89 5D E8 8B 5D E8 0F B6 1B 0F B6 F2 2B DE 8B 75 E8 0F B6 36 0F B6 FA 2B F7 0F AF DE 53 8B 5D E8 0F B6 5B 01 0F B6 F1 2B DE 8B 75 E8 0F B6 76 01 0F B6 F9 2B F7 0F AF DE 5E 03 F3 56 8B 5D E8 0F B6 5B 02 0F B6 75 14 2B DE 8B 75 E8 0F B6 76 02 0F B6 7D 14 2B F7 0F AF DE 5E 03 F3 3B 75 F4 7D 09 89 75 F4 8B 5D FC 89 5D F0 FF 45 FC FF 4D EC 75 85 0F B6 55 F0 8B 48 0C 8B 5D F8 0F B7 75 F0 66 89 34 59 0F B6 CA 8B 40 08 8D 04 88 0F B6 08 8B 5D 10 88 0B 0F B6 48 01 8B 5D 0C 88 0B 0F B6 40 02 8B 4D 08 88 01 8B C2 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_81164_0 {
	meta:
		name = "TSlowColorLookup.Create"
		size = 142
		refs = "000f @ClassCreate 0021 TColorLookup.Create 0033 GetPaletteEntries 003c TColorLookup.SetColors 004e @GetMem 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 0C 6A 00 68 00 01 00 00 6A 00 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 7B 04 85 FF 7E 28 8B C7 03 C0 03 C0 E8 ?? ?? ?? ?? 89 43 08 8B 43 08 50 68 00 01 00 00 6A 00 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81165_0 {
	meta:
		name = "TSlowColorLookup.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0013 @FreeMem 001e TObject.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81166_0 {
	meta:
		name = "TSlowColorLookup.Lookup"
		size = 94
		refs = "0028 GetNearestPaletteIndex"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B DA 8B F0 0F B6 C3 0F B6 55 FF C1 E2 08 0B C2 0F B6 55 14 C1 E2 10 0B C2 50 8B 46 0C 50 E8 ?? ?? ?? ?? 8B D0 8B 46 08 85 C0 74 20 0F B6 CA 8D 04 88 8B 4D 10 0F B6 18 88 19 8B 4D 0C 0F B6 58 01 88 19 8B 4D 08 0F B6 40 02 88 01 8B C2 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_81168_0 {
	meta:
		name = "TNetscapeColorLookup.Lookup"
		size = 128
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B CA 8B 7D 08 8B 75 0C 8B 5D 10 0F B6 C1 83 C0 03 B9 33 00 00 00 33 D2 F7 F1 88 03 0F B6 45 FF 83 C0 03 B9 33 00 00 00 33 D2 F7 F1 88 06 0F B6 45 14 83 C0 03 B9 33 00 00 00 33 D2 F7 F1 88 07 0F B6 06 03 C0 8D 04 40 02 07 0F B6 13 03 D2 03 D2 8D 14 D2 02 C2 0F B6 13 6B D2 33 88 13 0F B6 16 6B D2 33 88 16 0F B6 17 6B D2 33 88 17 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_81170_0 {
	meta:
		name = "TGrayWindowsLookup.Lookup"
		size = 97
		refs = "001a MulDiv 0056 TSlowColorLookup.Lookup"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B DA 8B F0 68 00 01 00 00 6A 1D 0F B6 45 14 50 E8 ?? ?? ?? ?? 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 68 00 01 00 00 68 96 00 00 00 0F B6 45 FF 50 E8 ?? ?? ?? ?? 50 68 00 01 00 00 6A 4D 0F B6 C3 50 E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_81172_0 {
	meta:
		name = "TGrayScaleLookup.Lookup"
		size = 53
	strings:
		$1 = { 55 8B EC 0F B6 45 14 6B C0 1D 0F B6 C9 69 C9 96 00 00 00 03 C1 0F B6 D2 6B D2 4D 03 C2 C1 E8 08 8B D0 8B 4D 10 88 11 8B 4D 0C 88 11 8B 4D 08 88 11 5D C2 10 00 }
	condition:
		$1
}

rule function_81174_0 {
	meta:
		name = "TMonochromeLookup.Lookup"
		size = 88
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B 4D 08 8B 5D 0C 8B 45 10 0F B6 75 14 6B F6 1D 0F B6 7D FF 69 FF 96 00 00 00 03 F7 0F B6 D2 6B D2 4D 03 F2 81 FE 00 7F 00 00 76 0D B2 01 C6 00 FF C6 03 FF C6 01 FF EB 0B 33 D2 C6 00 00 C6 03 00 C6 01 00 8B C2 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_81176_0 {
	meta:
		name = "TDitherEngine.Create"
		size = 92
		refs = "000e @ClassCreate 001d TObject.Create 0045 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 08 89 47 0C 89 77 10 B8 01 FF FF FF 89 84 87 10 04 00 00 40 3D 00 01 00 00 75 F1 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81177_0 {
	meta:
		name = "TDitherEngine.Dither"
		size = 61
		refs = "002e TDitherEngine.NextColumn"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B D8 0F B6 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 0F B6 4D FF 8B 43 0C 8B 30 FF 56 04 88 45 FE 8B C3 E8 ?? ?? ?? ?? 0F B6 45 FE 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_81178_0 {
	meta:
		name = "TDitherEngine.NextLine"
		size = 25
	strings:
		$1 = { 8B 50 04 F7 DA 89 50 04 4A 75 06 33 D2 89 50 08 C3 8B 50 10 4A 89 50 08 C3 }
	condition:
		$1
}

rule function_81179_0 {
	meta:
		name = "TDitherEngine.NextColumn"
		size = 7
	strings:
		$1 = { 8B 50 04 01 50 08 C3 }
	condition:
		$1
}

rule function_81180_0 {
	meta:
		name = "TDitherEngine.Reset"
		size = 13
	strings:
		$1 = { C7 40 04 01 00 00 00 33 D2 89 50 08 C3 }
	condition:
		$1
}

rule function_81181_0 {
	meta:
		name = "TFloydSteinbergDitherer.Create"
		size = 253
		refs = "0010 @ClassCreate 0028 TDitherEngine.Create 00a8 @GetMem 00e5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 8B 45 08 50 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 33 D2 0F B6 CA 89 8C 83 10 04 00 00 8B F0 F7 DE F7 D9 89 8C B3 10 04 00 00 42 40 83 F8 10 7C E2 83 F8 30 7D 24 0F B6 F2 89 B4 83 10 04 00 00 8B C8 F7 D9 F7 DE 89 B4 8B 10 04 00 00 8B C8 80 E1 01 02 D1 40 83 F8 30 7C DC 3D 00 01 00 00 7D 1F 0F B6 CA 89 8C 83 10 04 00 00 8B F0 F7 DE F7 D9 89 8C B3 10 04 00 00 40 3D 00 01 00 00 7C E1 8B 43 10 83 C0 02 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 10 08 00 00 8B 43 10 83 C0 02 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 14 08 00 00 8B 43 10 83 C0 02 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 18 08 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_81182_0 {
	meta:
		name = "TFloydSteinbergDitherer.Destroy"
		size = 69
		refs = "0003 @BeforeDestruction 0012 @FreeMem 0033 TObject.Destroy 003e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 10 08 00 00 E8 ?? ?? ?? ?? 8B 86 14 08 00 00 E8 ?? ?? ?? ?? 8B 86 18 08 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81183_0 {
	meta:
		name = "TFloydSteinbergDitherer.Dither"
		size = 622
		refs = "0127 TDitherEngine.Dither"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FE 88 55 FF 8B D8 8B 75 10 8B 83 1C 08 00 00 8B 10 03 93 28 08 00 00 83 C2 08 85 D2 79 03 83 C2 0F C1 FA 04 89 93 28 08 00 00 0F B6 45 FF 03 84 93 10 04 00 00 89 83 28 08 00 00 85 C0 7D 0A 33 C0 89 83 28 08 00 00 EB 11 3D FF 00 00 00 7E 0A C7 83 28 08 00 00 FF 00 00 00 8B 83 20 08 00 00 8B 10 03 93 2C 08 00 00 83 C2 08 85 D2 79 03 83 C2 0F C1 FA 04 89 93 2C 08 00 00 0F B6 45 FE 03 84 93 10 04 00 00 89 83 2C 08 00 00 85 C0 7D 0A 33 C0 89 83 2C 08 00 00 EB 11 3D FF 00 00 00 7E 0A C7 83 2C 08 00 00 FF 00 00 00 8B 83 24 08 00 00 8B 10 03 93 30 08 00 00 83 C2 08 85 D2 79 03 83 C2 0F C1 FA 04 89 93 30 08 00 00 0F B6 45 14 03 84 93 10 04 00 00 89 83 30 08 00 00 85 C0 7D 0A 33 C0 89 83 30 08 00 00 EB 11 3D FF 00 00 00 7E 0A C7 83 30 08 00 00 FF 00 00 00 0F B6 83 30 08 00 00 50 56 8B 45 0C 50 8B 45 08 50 0F B6 8B 2C 08 00 00 0F B6 93 28 08 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 0F B6 06 29 83 28 08 00 00 8B 83 28 08 00 00 85 C0 74 42 8B C8 03 C0 01 83 28 08 00 00 8B B3 40 08 00 00 03 B3 28 08 00 00 8B BB 1C 08 00 00 89 37 01 83 28 08 00 00 8B B3 34 08 00 00 03 B3 28 08 00 00 89 B3 40 08 00 00 89 8B 34 08 00 00 01 83 28 08 00 00 8B 45 0C 0F B6 00 29 83 2C 08 00 00 8B 83 2C 08 00 00 85 C0 74 42 8B C8 03 C0 01 83 2C 08 00 00 8B B3 44 08 00 00 03 B3 2C 08 00 00 8B BB 20 08 00 00 89 37 01 83 2C 08 00 00 8B B3 38 08 00 00 03 B3 2C 08 00 00 89 B3 44 08 00 00 89 8B 38 08 00 00 01 83 2C 08 00 00 8B 45 08 0F B6 00 29 83 30 08 00 00 8B 83 30 08 00 00 85 C0 74 42 8B C8 03 C0 01 83 30 08 00 00 8B B3 48 08 00 00 03 B3 30 08 00 00 8B BB 24 08 00 00 89 37 01 83 30 08 00 00 8B B3 3C 08 00 00 03 B3 30 08 00 00 89 B3 48 08 00 00 89 8B 3C 08 00 00 01 83 30 08 00 00 83 7B 04 01 75 17 83 83 1C 08 00 00 04 83 83 20 08 00 00 04 83 83 24 08 00 00 04 EB 15 83 AB 1C 08 00 00 04 83 AB 20 08 00 00 04 83 AB 24 08 00 00 04 8B C2 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_81184_0 {
	meta:
		name = "TFloydSteinbergDitherer.NextLine"
		size = 249
		refs = "008e TDitherEngine.NextLine"
	strings:
		$1 = { 53 8B D8 8B 83 1C 08 00 00 8B 93 40 08 00 00 89 10 8B 83 20 08 00 00 8B 93 44 08 00 00 89 10 8B 83 24 08 00 00 8B 93 48 08 00 00 89 10 33 C0 89 83 28 08 00 00 8B D0 89 93 2C 08 00 00 89 93 30 08 00 00 8B 83 2C 08 00 00 89 83 34 08 00 00 8B 83 2C 08 00 00 89 83 38 08 00 00 8B 83 2C 08 00 00 89 83 3C 08 00 00 8B 83 2C 08 00 00 89 83 40 08 00 00 8B 83 2C 08 00 00 89 83 44 08 00 00 8B 83 2C 08 00 00 89 83 48 08 00 00 8B C3 E8 ?? ?? ?? ?? 83 7B 04 01 75 26 8B 83 10 08 00 00 89 83 1C 08 00 00 8B 83 14 08 00 00 89 83 20 08 00 00 8B 83 18 08 00 00 89 83 24 08 00 00 5B C3 8B 83 10 08 00 00 8B 53 10 8D 44 90 04 89 83 1C 08 00 00 8B 83 14 08 00 00 8B 53 10 8D 44 90 04 89 83 20 08 00 00 8B 83 18 08 00 00 8B 53 10 8D 44 90 04 89 83 24 08 00 00 5B C3 }
	condition:
		$1
}

rule function_81185_0 {
	meta:
		name = "TFloydSteinbergDitherer.Reset"
		size = 221
		refs = "0006 TDitherEngine.Reset 001f @FillChar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 10 83 C0 02 8B D0 03 D2 03 D2 8B 83 10 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 02 8B D0 03 D2 03 D2 8B 83 14 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 02 8B D0 03 D2 03 D2 8B 83 18 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 83 10 08 00 00 89 83 1C 08 00 00 8B 83 14 08 00 00 89 83 20 08 00 00 8B 83 18 08 00 00 89 83 24 08 00 00 33 C0 89 83 28 08 00 00 89 83 2C 08 00 00 8B 83 28 08 00 00 89 83 30 08 00 00 8B 83 28 08 00 00 89 83 34 08 00 00 8B 83 28 08 00 00 89 83 38 08 00 00 8B 83 28 08 00 00 89 83 3C 08 00 00 8B 83 28 08 00 00 89 83 40 08 00 00 8B 83 28 08 00 00 89 83 44 08 00 00 8B 83 28 08 00 00 89 83 48 08 00 00 5B C3 }
	condition:
		$1
}

rule function_81186_0 {
	meta:
		name = "T5by3Ditherer.Create"
		size = 380
		refs = "000e @ClassCreate 0020 TDitherEngine.Create 00a0 @GetMem 0165 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 45 08 50 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 33 D2 0F B6 CA 89 8C 83 10 04 00 00 8B F0 F7 DE F7 D9 89 8C B3 10 04 00 00 42 40 83 F8 08 7C E2 83 F8 20 7D 24 0F B6 F2 89 B4 83 10 04 00 00 8B C8 F7 D9 F7 DE 89 B4 8B 10 04 00 00 8B C8 80 E1 01 02 D1 40 83 F8 20 7C DC 3D 00 01 00 00 7D 1F 0F B6 CA 89 8C 83 10 04 00 00 8B F0 F7 DE F7 D9 89 8C B3 10 04 00 00 40 3D 00 01 00 00 7C E1 8B 43 10 83 C0 04 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 10 08 00 00 8B 43 10 83 C0 04 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 14 08 00 00 8B 43 10 83 C0 04 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 18 08 00 00 8B 43 10 83 C0 04 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 1C 08 00 00 8B 43 10 83 C0 04 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 20 08 00 00 8B 43 10 83 C0 04 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 24 08 00 00 8B 43 10 83 C0 04 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 28 08 00 00 8B 43 10 83 C0 04 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 2C 08 00 00 8B 43 10 83 C0 04 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 30 08 00 00 C7 83 5C 08 00 00 01 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_81187_0 {
	meta:
		name = "T5by3Ditherer.Destroy"
		size = 135
		refs = "0003 @BeforeDestruction 0012 @FreeMem 0075 TObject.Destroy 0080 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 10 08 00 00 E8 ?? ?? ?? ?? 8B 86 14 08 00 00 E8 ?? ?? ?? ?? 8B 86 18 08 00 00 E8 ?? ?? ?? ?? 8B 86 1C 08 00 00 E8 ?? ?? ?? ?? 8B 86 20 08 00 00 E8 ?? ?? ?? ?? 8B 86 24 08 00 00 E8 ?? ?? ?? ?? 8B 86 28 08 00 00 E8 ?? ?? ?? ?? 8B 86 2C 08 00 00 E8 ?? ?? ?? ?? 8B 86 30 08 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81188_0 {
	meta:
		name = "T5by3Ditherer.Dither"
		size = 496
		refs = "00e7 TDitherEngine.Dither"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 4D FE 88 55 FF 8B D8 8B 83 34 08 00 00 8B 00 8B 8B 5C 08 00 00 8B F9 D1 FF 79 03 83 D7 00 03 C7 99 F7 F9 8B F0 0F B6 45 FF 03 84 B3 10 04 00 00 8B F0 85 F6 7D 04 33 F6 EB 0D 81 FE FF 00 00 00 7E 05 BE FF 00 00 00 8B 83 38 08 00 00 8B 00 03 C7 99 F7 F9 89 45 F8 0F B6 45 FE 8B 55 F8 03 84 93 10 04 00 00 89 45 F8 83 7D F8 00 7D 07 33 C0 89 45 F8 EB 10 81 7D F8 FF 00 00 00 7E 07 C7 45 F8 FF 00 00 00 8B 83 3C 08 00 00 8B 00 03 C7 99 F7 F9 89 45 F4 0F B6 45 14 8B 55 F4 03 84 93 10 04 00 00 89 45 F4 83 7D F4 00 7D 07 33 C0 89 45 F4 EB 10 81 7D F4 FF 00 00 00 7E 07 C7 45 F4 FF 00 00 00 0F B6 45 F4 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 0F B6 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 88 45 FD 8B 83 4C 08 00 00 50 8B 45 10 0F B6 00 2B F0 56 8B 8B 40 08 00 00 8B 93 34 08 00 00 8B C3 8B 30 FF 56 10 8B 83 50 08 00 00 50 8B 45 0C 0F B6 00 8B 55 F8 2B D0 52 8B 8B 44 08 00 00 8B 93 38 08 00 00 8B C3 8B 30 FF 56 10 8B 83 54 08 00 00 50 8B 45 08 0F B6 00 8B 55 F4 2B D0 52 8B 8B 48 08 00 00 8B 93 3C 08 00 00 8B C3 8B 30 FF 56 10 83 7B 04 01 75 41 83 83 34 08 00 00 04 83 83 38 08 00 00 04 83 83 3C 08 00 00 04 83 83 40 08 00 00 04 83 83 44 08 00 00 04 83 83 48 08 00 00 04 83 83 4C 08 00 00 04 83 83 50 08 00 00 04 83 83 54 08 00 00 04 EB 3F 83 AB 34 08 00 00 04 83 AB 38 08 00 00 04 83 AB 3C 08 00 00 04 83 AB 40 08 00 00 04 83 AB 44 08 00 00 04 83 AB 48 08 00 00 04 83 AB 4C 08 00 00 04 83 AB 50 08 00 00 04 83 AB 54 08 00 00 04 0F B6 45 FD 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_81189_0 {
	meta:
		name = "T5by3Ditherer.NextLine"
		size = 524
		refs = "0018 @FillChar 00bd TDitherEngine.NextLine"
	strings:
		$1 = { 53 8B D8 8B 43 10 83 C0 04 8B D0 03 D2 03 D2 8B 83 10 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 04 8B D0 03 D2 03 D2 8B 83 14 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 04 8B D0 03 D2 03 D2 8B 83 18 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 83 10 08 00 00 8B 93 1C 08 00 00 89 93 10 08 00 00 8B 93 28 08 00 00 89 93 1C 08 00 00 89 83 28 08 00 00 8B 83 14 08 00 00 8B 93 20 08 00 00 89 93 14 08 00 00 8B 93 2C 08 00 00 89 93 20 08 00 00 89 83 2C 08 00 00 8B 83 18 08 00 00 8B 93 24 08 00 00 89 93 18 08 00 00 8B 93 30 08 00 00 89 93 24 08 00 00 89 83 30 08 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 04 03 C0 89 83 58 08 00 00 83 7B 04 01 0F 85 89 00 00 00 8B 83 10 08 00 00 83 C0 08 89 83 34 08 00 00 8B 83 14 08 00 00 83 C0 08 89 83 38 08 00 00 8B 83 18 08 00 00 83 C0 08 89 83 3C 08 00 00 8B 83 1C 08 00 00 83 C0 08 89 83 40 08 00 00 8B 83 20 08 00 00 83 C0 08 89 83 44 08 00 00 8B 83 24 08 00 00 83 C0 08 89 83 48 08 00 00 8B 83 28 08 00 00 83 C0 08 89 83 4C 08 00 00 8B 83 2C 08 00 00 83 C0 08 89 83 50 08 00 00 8B 83 30 08 00 00 83 C0 08 89 83 54 08 00 00 5B C3 8B 83 10 08 00 00 8B 53 10 8D 44 90 04 89 83 34 08 00 00 8B 83 14 08 00 00 8B 53 10 8D 44 90 04 89 83 38 08 00 00 8B 83 18 08 00 00 8B 53 10 8D 44 90 04 89 83 3C 08 00 00 8B 83 1C 08 00 00 8B 53 10 8D 44 90 04 89 83 40 08 00 00 8B 83 20 08 00 00 8B 53 10 8D 44 90 04 89 83 44 08 00 00 8B 83 24 08 00 00 8B 53 10 8D 44 90 04 89 83 48 08 00 00 8B 83 28 08 00 00 8B 53 10 8D 44 90 04 89 83 4C 08 00 00 8B 83 2C 08 00 00 8B 53 10 8D 44 90 04 89 83 50 08 00 00 8B 83 30 08 00 00 8B 53 10 8D 44 90 04 89 83 54 08 00 00 5B C3 }
	condition:
		$1
}

rule function_81190_0 {
	meta:
		name = "T5by3Ditherer.Reset"
		size = 383
		refs = "0006 TDitherEngine.Reset 001f @FillChar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 10 83 C0 04 8B D0 03 D2 03 D2 8B 83 10 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 04 8B D0 03 D2 03 D2 8B 83 14 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 04 8B D0 03 D2 03 D2 8B 83 18 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 04 8B D0 03 D2 03 D2 8B 83 1C 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 04 8B D0 03 D2 03 D2 8B 83 20 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 04 8B D0 03 D2 03 D2 8B 83 24 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 04 8B D0 03 D2 03 D2 8B 83 28 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 04 8B D0 03 D2 03 D2 8B 83 2C 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 04 8B D0 03 D2 03 D2 8B 83 30 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 04 03 C0 89 83 58 08 00 00 8B 83 10 08 00 00 83 C0 08 89 83 34 08 00 00 8B 83 14 08 00 00 83 C0 08 89 83 38 08 00 00 8B 83 18 08 00 00 83 C0 08 89 83 3C 08 00 00 8B 83 1C 08 00 00 83 C0 08 89 83 40 08 00 00 8B 83 20 08 00 00 83 C0 08 89 83 44 08 00 00 8B 83 24 08 00 00 83 C0 08 89 83 48 08 00 00 8B 83 28 08 00 00 83 C0 08 89 83 4C 08 00 00 8B 83 2C 08 00 00 83 C0 08 89 83 50 08 00 00 8B 83 30 08 00 00 83 C0 08 89 83 54 08 00 00 5B C3 }
	condition:
		$1
}

rule function_81191_0 {
	meta:
		name = "TStuckiDitherer.Create"
		size = 73
		refs = "000d @ClassCreate 001e T5by3Ditherer.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 5C 08 00 00 2A 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81192_0 {
	meta:
		name = "TStuckiDitherer.Propagate"
		size = 127
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B 5D 08 8B 55 0C 85 DB 74 63 8B B0 58 08 00 00 01 1C B2 8B B0 58 08 00 00 F7 DE 01 1C B2 03 DB 8B B0 58 08 00 00 01 1C B1 8B B0 58 08 00 00 F7 DE 01 1C B1 8B 70 04 01 1C B2 8B 70 04 F7 DE 01 1C B2 03 DB 8B 75 FC 8B B8 58 08 00 00 01 1C BE 8B 70 04 F7 DE 01 1C B1 8B 70 04 01 1C B1 01 1A 03 DB 8B 55 FC 8B 40 04 01 1C 82 01 19 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_81193_0 {
	meta:
		name = "TSierraDitherer.Create"
		size = 73
		refs = "000d @ClassCreate 001e T5by3Ditherer.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 5C 08 00 00 20 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81194_0 {
	meta:
		name = "TSierraDitherer.Propagate"
		size = 116
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B 55 08 85 D2 74 5B 8D 1C 12 8B B0 58 08 00 00 01 1C B1 8B B0 58 08 00 00 F7 DE 01 1C B1 8B 75 0C 8B 78 04 01 1C BE 8B 70 04 F7 DE 8B 7D 0C 01 1C B7 03 DA 8B 75 FC 8B B8 58 08 00 00 01 1C BE 8B 75 0C 01 1E 03 DA 8B 70 04 F7 DE 01 1C B1 8B 70 04 01 1C B1 03 DA 8B 55 FC 8B 40 04 01 1C 82 01 19 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_81195_0 {
	meta:
		name = "TJaJuNiDitherer.Create"
		size = 73
		refs = "000d @ClassCreate 001e T5by3Ditherer.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 5C 08 00 00 26 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81196_0 {
	meta:
		name = "TJaJuNiDitherer.Propagate"
		size = 139
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B 5D 08 8B 55 0C 85 DB 74 6C 8B B0 58 08 00 00 01 1C B2 8B B0 58 08 00 00 F7 DE 01 1C B2 8D 34 1B 89 75 F8 03 5D F8 8B B0 58 08 00 00 01 1C B1 8B B0 58 08 00 00 F7 DE 01 1C B1 8B 70 04 01 1C B2 8B 70 04 F7 DE 01 1C B2 03 5D F8 8B 75 FC 8B B8 58 08 00 00 01 1C BE 8B 70 04 F7 DE 01 1C B1 8B 70 04 01 1C B1 01 1A 03 5D F8 8B 55 FC 8B 40 04 01 1C 82 01 19 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_81197_0 {
	meta:
		name = "TSteveArcheDitherer.Create"
		size = 433
		refs = "000e @ClassCreate 0020 TDitherEngine.Create 00a0 @GetMem 019a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 45 08 50 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 33 D2 0F B6 CA 89 8C 83 10 04 00 00 8B F0 F7 DE F7 D9 89 8C B3 10 04 00 00 42 40 83 F8 08 7C E2 83 F8 10 7D 24 0F B6 F2 89 B4 83 10 04 00 00 8B C8 F7 D9 F7 DE 89 B4 8B 10 04 00 00 8B C8 80 E1 01 02 D1 40 83 F8 10 7C DC 3D 00 01 00 00 7D 1F 0F B6 CA 89 8C 83 10 04 00 00 8B F0 F7 DE F7 D9 89 8C B3 10 04 00 00 40 3D 00 01 00 00 7C E1 8B 43 10 83 C0 06 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 10 08 00 00 8B 43 10 83 C0 06 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 14 08 00 00 8B 43 10 83 C0 06 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 18 08 00 00 8B 43 10 83 C0 06 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 1C 08 00 00 8B 43 10 83 C0 06 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 20 08 00 00 8B 43 10 83 C0 06 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 24 08 00 00 8B 43 10 83 C0 06 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 28 08 00 00 8B 43 10 83 C0 06 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 2C 08 00 00 8B 43 10 83 C0 06 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 30 08 00 00 8B 43 10 83 C0 06 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 34 08 00 00 8B 43 10 83 C0 06 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 38 08 00 00 8B 43 10 83 C0 06 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 3C 08 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_81198_0 {
	meta:
		name = "TSteveArcheDitherer.Destroy"
		size = 168
		refs = "0003 @BeforeDestruction 0012 @FreeMem 0096 TObject.Destroy 00a1 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 10 08 00 00 E8 ?? ?? ?? ?? 8B 86 14 08 00 00 E8 ?? ?? ?? ?? 8B 86 18 08 00 00 E8 ?? ?? ?? ?? 8B 86 1C 08 00 00 E8 ?? ?? ?? ?? 8B 86 20 08 00 00 E8 ?? ?? ?? ?? 8B 86 24 08 00 00 E8 ?? ?? ?? ?? 8B 86 28 08 00 00 E8 ?? ?? ?? ?? 8B 86 2C 08 00 00 E8 ?? ?? ?? ?? 8B 86 30 08 00 00 E8 ?? ?? ?? ?? 8B 86 34 08 00 00 E8 ?? ?? ?? ?? 8B 86 38 08 00 00 E8 ?? ?? ?? ?? 8B 86 3C 08 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81199_0 {
	meta:
		name = "Propagate"
		size = 239
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 45 FC 8B 4D 08 8B 5D 0C 85 C9 0F 84 C9 00 00 00 8D 04 89 8B 75 10 8B 76 FC 8B B6 74 08 00 00 01 04 B3 8B 75 10 8B 76 FC 8B B6 74 08 00 00 F7 DE 01 04 B3 8B C1 03 C0 03 C0 8D 04 40 8B 75 10 8B 76 FC 8B B6 74 08 00 00 F7 DE 01 04 B2 8B 75 10 8B 76 FC 8B B6 70 08 00 00 F7 DE 8B 7D F8 01 04 B7 8B 75 10 8B 76 FC 8B B6 70 08 00 00 8B 7D F8 01 04 B7 8B 75 10 8B 76 FC 8B 76 04 F7 DE 01 04 B3 8B 75 10 8B 76 FC 8B 76 04 01 04 B3 8B 5D 10 8B 5B FC 8B 9B 74 08 00 00 C1 E0 04 01 04 9A 6B C1 1A 8B 5D 10 8B 5B FC 8B 5B 04 F7 DB 01 04 9A 8B 5D F8 01 03 8B 45 10 8B 40 FC 8B 40 04 6B D9 1E 01 1C 82 8B 45 10 8B 40 FC 8B 80 70 08 00 00 8B 55 FC C1 E1 05 01 0C 82 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_81200_0 {
	meta:
		name = "TSteveArcheDitherer.Dither"
		size = 654
		refs = "00e0 TDitherEngine.Dither 0117 Propagate"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FB 8B CA 89 45 FC 8B 45 FC 8B 80 40 08 00 00 8B 00 83 C0 64 BB C8 00 00 00 99 F7 FB 8B D8 0F B6 C1 8B 55 FC 03 84 9A 10 04 00 00 8B D8 85 DB 7D 04 33 DB EB 0D 81 FB FF 00 00 00 7E 05 BB FF 00 00 00 8B 45 FC 8B 80 44 08 00 00 8B 00 83 C0 64 B9 C8 00 00 00 99 F7 F9 8B F0 0F B6 45 FB 8B 55 FC 03 84 B2 10 04 00 00 8B F0 85 F6 7D 04 33 F6 EB 0D 81 FE FF 00 00 00 7E 05 BE FF 00 00 00 8B 45 FC 8B 80 48 08 00 00 8B 00 83 C0 64 B9 C8 00 00 00 99 F7 F9 8B F8 8B 45 FC 8B 84 B8 10 04 00 00 0F B6 55 14 03 C2 8B F8 85 FF 7D 04 33 FF EB 0D 81 FF FF 00 00 00 7E 05 BF FF 00 00 00 8B C7 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 88 45 FA 55 8B 45 FC 8B 80 64 08 00 00 50 8B 45 10 0F B6 00 2B D8 53 8B 45 FC 8B 88 58 08 00 00 8B 45 FC 8B 90 4C 08 00 00 8B 45 FC 8B 80 40 08 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 68 08 00 00 50 8B 45 0C 0F B6 00 2B F0 56 8B 45 FC 8B 88 5C 08 00 00 8B 45 FC 8B 90 50 08 00 00 8B 45 FC 8B 80 44 08 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 6C 08 00 00 50 8B 45 08 0F B6 00 2B F8 57 8B 45 FC 8B 88 60 08 00 00 8B 45 FC 8B 90 54 08 00 00 8B 45 FC 8B 80 48 08 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC 83 78 04 01 75 7A 8B 45 FC 83 80 40 08 00 00 04 8B 45 FC 83 80 44 08 00 00 04 8B 45 FC 83 80 48 08 00 00 04 8B 45 FC 83 80 4C 08 00 00 04 8B 45 FC 83 80 50 08 00 00 04 8B 45 FC 83 80 54 08 00 00 04 8B 45 FC 83 80 58 08 00 00 04 8B 45 FC 83 80 5C 08 00 00 04 8B 45 FC 83 80 60 08 00 00 04 8B 45 FC 83 80 64 08 00 00 04 8B 45 FC 83 80 68 08 00 00 04 8B 45 FC 83 80 6C 08 00 00 04 EB 78 8B 45 FC 83 A8 40 08 00 00 04 8B 45 FC 83 A8 44 08 00 00 04 8B 45 FC 83 A8 48 08 00 00 04 8B 45 FC 83 A8 4C 08 00 00 04 8B 45 FC 83 A8 50 08 00 00 04 8B 45 FC 83 A8 54 08 00 00 04 8B 45 FC 83 A8 58 08 00 00 04 8B 45 FC 83 A8 5C 08 00 00 04 8B 45 FC 83 A8 60 08 00 00 04 8B 45 FC 83 A8 64 08 00 00 04 8B 45 FC 83 A8 68 08 00 00 04 8B 45 FC 83 A8 6C 08 00 00 04 0F B6 45 FA 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_81201_0 {
	meta:
		name = "TSteveArcheDitherer.NextLine"
		size = 674
		refs = "0018 @FillChar 00e1 TDitherEngine.NextLine"
	strings:
		$1 = { 53 8B D8 8B 43 10 83 C0 06 8B D0 03 D2 03 D2 8B 83 10 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 06 8B D0 03 D2 03 D2 8B 83 14 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 06 8B D0 03 D2 03 D2 8B 83 18 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 83 10 08 00 00 8B 93 1C 08 00 00 89 93 10 08 00 00 8B 93 28 08 00 00 89 93 1C 08 00 00 8B 93 34 08 00 00 89 93 28 08 00 00 89 83 34 08 00 00 8B 83 14 08 00 00 8B 93 20 08 00 00 89 93 14 08 00 00 8B 93 2C 08 00 00 89 93 20 08 00 00 8B 93 38 08 00 00 89 93 2C 08 00 00 89 83 38 08 00 00 8B 83 18 08 00 00 8B 93 24 08 00 00 89 93 18 08 00 00 8B 93 30 08 00 00 89 93 24 08 00 00 8B 93 3C 08 00 00 89 93 30 08 00 00 89 83 3C 08 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 04 03 C0 89 83 70 08 00 00 8B 43 04 8D 04 40 89 83 74 08 00 00 83 7B 04 01 0F 85 B6 00 00 00 8B 83 10 08 00 00 83 C0 0C 89 83 40 08 00 00 8B 83 14 08 00 00 83 C0 0C 89 83 44 08 00 00 8B 83 18 08 00 00 83 C0 0C 89 83 48 08 00 00 8B 83 1C 08 00 00 83 C0 0C 89 83 4C 08 00 00 8B 83 20 08 00 00 83 C0 0C 89 83 50 08 00 00 8B 83 24 08 00 00 83 C0 0C 89 83 54 08 00 00 8B 83 28 08 00 00 83 C0 0C 89 83 58 08 00 00 8B 83 2C 08 00 00 83 C0 0C 89 83 5C 08 00 00 8B 83 30 08 00 00 83 C0 0C 89 83 60 08 00 00 8B 83 34 08 00 00 83 C0 0C 89 83 64 08 00 00 8B 83 38 08 00 00 83 C0 0C 89 83 68 08 00 00 8B 83 3C 08 00 00 83 C0 0C 89 83 6C 08 00 00 5B C3 8B 83 10 08 00 00 8B 53 10 8D 44 90 08 89 83 40 08 00 00 8B 83 14 08 00 00 8B 53 10 8D 44 90 08 89 83 44 08 00 00 8B 83 18 08 00 00 8B 53 10 8D 44 90 08 89 83 48 08 00 00 8B 83 1C 08 00 00 8B 53 10 8D 44 90 08 89 83 4C 08 00 00 8B 83 20 08 00 00 8B 53 10 8D 44 90 08 89 83 50 08 00 00 8B 83 24 08 00 00 8B 53 10 8D 44 90 08 89 83 54 08 00 00 8B 83 28 08 00 00 8B 53 10 8D 44 90 08 89 83 58 08 00 00 8B 83 2C 08 00 00 8B 53 10 8D 44 90 08 89 83 5C 08 00 00 8B 83 30 08 00 00 8B 53 10 8D 44 90 08 89 83 60 08 00 00 8B 83 28 08 00 00 8B 53 10 8D 44 90 08 89 83 64 08 00 00 8B 83 2C 08 00 00 8B 53 10 8D 44 90 08 89 83 68 08 00 00 8B 83 30 08 00 00 8B 53 10 8D 44 90 08 89 83 6C 08 00 00 5B C3 }
	condition:
		$1
}

rule function_81202_0 {
	meta:
		name = "TSteveArcheDitherer.Reset"
		size = 515
		refs = "0006 TDitherEngine.Reset 001f @FillChar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 10 83 C0 06 8B D0 03 D2 03 D2 8B 83 10 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 06 8B D0 03 D2 03 D2 8B 83 14 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 06 8B D0 03 D2 03 D2 8B 83 18 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 06 8B D0 03 D2 03 D2 8B 83 1C 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 06 8B D0 03 D2 03 D2 8B 83 20 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 06 8B D0 03 D2 03 D2 8B 83 24 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 06 8B D0 03 D2 03 D2 8B 83 28 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 06 8B D0 03 D2 03 D2 8B 83 2C 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 06 8B D0 03 D2 03 D2 8B 83 30 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 06 8B D0 03 D2 03 D2 8B 83 34 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 06 8B D0 03 D2 03 D2 8B 83 38 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 06 8B D0 03 D2 03 D2 8B 83 3C 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 04 03 C0 89 83 70 08 00 00 8B 43 04 8D 04 40 89 83 74 08 00 00 8B 83 10 08 00 00 83 C0 0C 89 83 40 08 00 00 8B 83 14 08 00 00 83 C0 0C 89 83 44 08 00 00 8B 83 18 08 00 00 83 C0 0C 89 83 48 08 00 00 8B 83 1C 08 00 00 83 C0 0C 89 83 4C 08 00 00 8B 83 20 08 00 00 83 C0 0C 89 83 50 08 00 00 8B 83 24 08 00 00 83 C0 0C 89 83 54 08 00 00 8B 83 28 08 00 00 83 C0 0C 89 83 58 08 00 00 8B 83 2C 08 00 00 83 C0 0C 89 83 5C 08 00 00 8B 83 30 08 00 00 83 C0 0C 89 83 60 08 00 00 8B 83 34 08 00 00 83 C0 0C 89 83 64 08 00 00 8B 83 38 08 00 00 83 C0 0C 89 83 68 08 00 00 8B 83 3C 08 00 00 83 C0 0C 89 83 6C 08 00 00 5B C3 }
	condition:
		$1
}

rule function_81203_0 {
	meta:
		name = "TBurkesDitherer.Create"
		size = 307
		refs = "000e @ClassCreate 0020 TDitherEngine.Create 00a0 @GetMem 011c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 45 08 50 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 33 D2 0F B6 CA 89 8C 83 10 04 00 00 8B F0 F7 DE F7 D9 89 8C B3 10 04 00 00 42 40 83 F8 10 7C E2 83 F8 30 7D 24 0F B6 F2 89 B4 83 10 04 00 00 8B C8 F7 D9 F7 DE 89 B4 8B 10 04 00 00 8B C8 80 E1 01 02 D1 40 83 F8 30 7C DC 3D 00 01 00 00 7D 1F 0F B6 CA 89 8C 83 10 04 00 00 8B F0 F7 DE F7 D9 89 8C B3 10 04 00 00 40 3D 00 01 00 00 7C E1 8B 43 10 83 C0 04 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 10 08 00 00 8B 43 10 83 C0 04 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 14 08 00 00 8B 43 10 83 C0 04 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 18 08 00 00 8B 43 10 83 C0 04 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 1C 08 00 00 8B 43 10 83 C0 04 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 20 08 00 00 8B 43 10 83 C0 04 03 C0 03 C0 E8 ?? ?? ?? ?? 89 83 24 08 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_81204_0 {
	meta:
		name = "TBurkesDitherer.Destroy"
		size = 102
		refs = "0003 @BeforeDestruction 0012 @FreeMem 0054 TObject.Destroy 005f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 10 08 00 00 E8 ?? ?? ?? ?? 8B 86 14 08 00 00 E8 ?? ?? ?? ?? 8B 86 18 08 00 00 E8 ?? ?? ?? ?? 8B 86 1C 08 00 00 E8 ?? ?? ?? ?? 8B 86 20 08 00 00 E8 ?? ?? ?? ?? 8B 86 24 08 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81205_0 {
	meta:
		name = "Propagate"
		size = 88
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 83 C3 FC 85 C9 74 45 03 C9 8B 33 8B B6 40 08 00 00 01 0C B2 8B 33 8B B6 40 08 00 00 F7 DE 01 0C B2 03 C9 8B 33 8B B6 40 08 00 00 01 0C B0 8B 33 8B 76 04 F7 DE 01 0C B2 8B 33 8B 76 04 01 0C B2 03 C9 8B 1B 8B 5B 04 01 0C 98 01 0A 5E 5B 5D C3 }
	condition:
		$1
}

rule function_81206_0 {
	meta:
		name = "TBurkesDitherer.Dither"
		size = 474
		refs = "00da TDitherEngine.Dither 00ff Propagate"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC 8B 80 28 08 00 00 8B 18 83 C3 10 85 DB 79 03 83 C3 1F C1 FB 05 0F B6 C2 8B 55 FC 03 84 9A 10 04 00 00 8B D8 85 DB 7D 04 33 DB EB 0D 81 FB FF 00 00 00 7E 05 BB FF 00 00 00 8B 45 FC 8B 80 2C 08 00 00 8B 30 83 C6 10 85 F6 79 03 83 C6 1F C1 FE 05 0F B6 C1 8B 55 FC 03 84 B2 10 04 00 00 8B F0 85 F6 7D 04 33 F6 EB 0D 81 FE FF 00 00 00 7E 05 BE FF 00 00 00 8B 45 FC 8B 80 30 08 00 00 8B 38 83 C7 10 85 FF 79 03 83 C7 1F C1 FF 05 8B 45 FC 8B 84 B8 10 04 00 00 0F B6 55 14 03 C2 8B F8 85 FF 7D 04 33 FF EB 0D 81 FF FF 00 00 00 7E 05 BF FF 00 00 00 8B C7 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 55 8B 45 10 0F B6 00 8B CB 2B C8 8B 45 FC 8B 90 34 08 00 00 8B 45 FC 8B 80 28 08 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 0C 0F B6 00 8B CE 2B C8 8B 45 FC 8B 90 38 08 00 00 8B 45 FC 8B 80 2C 08 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 08 0F B6 00 8B CF 2B C8 8B 45 FC 8B 90 3C 08 00 00 8B 45 FC 8B 80 30 08 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC 83 78 04 01 75 3E 8B 45 FC 83 80 28 08 00 00 04 8B 45 FC 83 80 2C 08 00 00 04 8B 45 FC 83 80 30 08 00 00 04 8B 45 FC 83 80 34 08 00 00 04 8B 45 FC 83 80 38 08 00 00 04 8B 45 FC 83 80 3C 08 00 00 04 EB 3C 8B 45 FC 83 A8 28 08 00 00 04 8B 45 FC 83 A8 2C 08 00 00 04 8B 45 FC 83 A8 30 08 00 00 04 8B 45 FC 83 A8 34 08 00 00 04 8B 45 FC 83 A8 38 08 00 00 04 8B 45 FC 83 A8 3C 08 00 00 04 0F B6 45 FB 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_81207_0 {
	meta:
		name = "TBurkesDitherer.NextLine"
		size = 382
		refs = "0018 @FillChar 0099 TDitherEngine.NextLine"
	strings:
		$1 = { 53 8B D8 8B 43 10 83 C0 04 8B D0 03 D2 03 D2 8B 83 10 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 04 8B D0 03 D2 03 D2 8B 83 14 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 04 8B D0 03 D2 03 D2 8B 83 18 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 83 10 08 00 00 8B 93 1C 08 00 00 89 93 10 08 00 00 89 83 1C 08 00 00 8B 83 14 08 00 00 8B 93 20 08 00 00 89 93 14 08 00 00 89 83 20 08 00 00 8B 83 18 08 00 00 8B 93 24 08 00 00 89 93 18 08 00 00 89 83 24 08 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 04 03 C0 89 83 40 08 00 00 83 7B 04 01 75 5C 8B 83 10 08 00 00 83 C0 08 89 83 28 08 00 00 8B 83 14 08 00 00 83 C0 08 89 83 2C 08 00 00 8B 83 18 08 00 00 83 C0 08 89 83 30 08 00 00 8B 83 1C 08 00 00 83 C0 08 89 83 34 08 00 00 8B 83 20 08 00 00 83 C0 08 89 83 38 08 00 00 8B 83 24 08 00 00 83 C0 08 89 83 3C 08 00 00 5B C3 8B 83 10 08 00 00 8B 53 10 8D 44 90 04 89 83 28 08 00 00 8B 83 14 08 00 00 8B 53 10 8D 44 90 04 89 83 2C 08 00 00 8B 83 18 08 00 00 8B 53 10 8D 44 90 04 89 83 30 08 00 00 8B 83 1C 08 00 00 8B 53 10 8D 44 90 04 89 83 34 08 00 00 8B 83 20 08 00 00 8B 53 10 8D 44 90 04 89 83 38 08 00 00 8B 83 24 08 00 00 8B 53 10 8D 44 90 04 89 83 3C 08 00 00 5B C3 }
	condition:
		$1
}

rule function_81208_0 {
	meta:
		name = "TBurkesDitherer.Reset"
		size = 263
		refs = "0006 TDitherEngine.Reset 001f @FillChar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 10 83 C0 04 8B D0 03 D2 03 D2 8B 83 10 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 04 8B D0 03 D2 03 D2 8B 83 14 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 04 8B D0 03 D2 03 D2 8B 83 18 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 04 8B D0 03 D2 03 D2 8B 83 1C 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 04 8B D0 03 D2 03 D2 8B 83 20 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 10 83 C0 04 8B D0 03 D2 03 D2 8B 83 24 08 00 00 33 C9 E8 ?? ?? ?? ?? 8B 43 04 03 C0 89 83 40 08 00 00 8B 83 10 08 00 00 83 C0 08 89 83 28 08 00 00 8B 83 14 08 00 00 83 C0 08 89 83 2C 08 00 00 8B 83 18 08 00 00 83 C0 08 89 83 30 08 00 00 8B 83 1C 08 00 00 83 C0 08 89 83 34 08 00 00 8B 83 20 08 00 00 83 C0 08 89 83 38 08 00 00 8B 83 24 08 00 00 83 C0 08 89 83 3C 08 00 00 5B C3 }
	condition:
		$1
}

rule function_81209_0 {
	meta:
		name = "TOctreeNode.Create"
		size = 121
		refs = "000d @ClassCreate 0065 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 33 D2 89 50 08 33 D2 89 50 0C 33 D2 89 50 10 33 D2 89 50 14 33 DB 33 D2 89 54 98 1C 43 83 FB 08 75 F4 3B 4D 10 0F 94 C2 88 50 04 84 D2 74 0C 33 D2 89 50 18 8B 55 0C FF 02 EB 0F 8B 55 08 8B 14 8A 89 50 18 8B 55 08 89 04 8A 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_81210_0 {
	meta:
		name = "TOctreeNode.Destroy"
		size = 47
		refs = "0004 @BeforeDestruction 0016 TObject.Free 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 BF 07 00 00 00 8B 44 BE 1C E8 ?? ?? ?? ?? 4F 83 FF FF 75 F1 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81211_0 {
	meta:
		name = "TColorQuantizer.Create"
		size = 75
		refs = "000d @ClassCreate 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 33 DB 89 58 04 33 DB 89 58 08 33 DB 33 F6 89 74 98 0C 43 83 FB 08 75 F4 89 48 2C 8B 4D 08 89 48 30 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81212_0 {
	meta:
		name = "TColorQuantizer.Destroy"
		size = 41
		refs = "0003 @BeforeDestruction 0017 TColorQuantizer.DeleteTree 0022 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 04 00 74 0A 8D 56 04 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81213_0 {
	meta:
		name = "TColorQuantizer.GetColorTable"
		size = 19
		refs = "000d TColorQuantizer.GetPaletteColors"
	strings:
		$1 = { 51 33 C9 89 0C 24 54 8B CA 8B 50 04 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_81214_0 {
	meta:
		name = "TColorQuantizer.AddColor"
		size = 216
		refs = "002a _DV_TOctreeNode 002f TOctreeNode.Create 006b Mask 00cb TColorQuantizer.AddColor"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FB 8B DA 89 45 FC 8B 75 10 83 3B 00 75 1C 8B 45 14 50 8B 45 0C 50 8B 45 08 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 03 80 78 04 00 74 22 8B 03 FF 40 08 0F B6 45 FB 8B 13 01 42 0C 0F B6 45 1C 8B 13 01 42 10 0F B6 45 18 8B 13 01 42 14 EB 70 B8 07 00 00 00 2B C6 8B C8 0F B6 96 ?? ?? ?? ?? 22 55 FB 0F B6 D2 D3 EA 03 D2 03 D2 0F B6 8E ?? ?? ?? ?? 22 4D 1C 0F B6 F9 8B C8 D3 EF 03 FF 0B D7 0F B6 8E ?? ?? ?? ?? 22 4D 18 0F B6 F9 8B C8 D3 EF 0B D7 8B C2 0F B6 55 1C 52 0F B6 55 18 52 8B 55 14 52 46 56 8B 55 0C 52 8B 55 08 52 8B 13 8D 54 82 1C 0F B6 4D FB 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 18 00 }
	condition:
		$1
}

rule function_81215_0 {
	meta:
		name = "TColorQuantizer.DeleteTree"
		size = 55
		refs = "001e TColorQuantizer.DeleteTree 002b TObject.Free"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 BB 07 00 00 00 8B 06 83 7C 98 1C 00 74 0D 8B 06 8D 54 98 1C 8B C7 E8 ?? ?? ?? ?? 4B 83 FB FF 75 E4 8B 06 E8 ?? ?? ?? ?? 33 C0 89 06 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81216_0 {
	meta:
		name = "TColorQuantizer.GetPaletteColors"
		size = 130
		refs = "0070 TColorQuantizer.GetPaletteColors"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B F8 80 7E 04 00 74 46 8B 45 08 8B 00 8B 55 FC 8D 0C 82 8B 5E 08 85 DB 74 1E 8B 46 0C 99 F7 FB 88 41 02 8B 46 10 99 F7 7E 08 88 41 01 8B 46 14 99 F7 7E 08 88 01 EB 0B C6 41 02 00 C6 41 01 00 C6 01 00 C6 41 03 00 8B 45 08 FF 00 EB 20 33 DB 8B 44 9E 1C 85 C0 74 10 8B 55 08 52 8B 4D FC 8B D0 8B C7 E8 ?? ?? ?? ?? 43 83 FB 08 75 E2 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_81217_0 {
	meta:
		name = "TColorQuantizer.ReduceTree"
		size = 149
		refs = "005d TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B 45 08 8B DA 4B EB 01 4B 85 DB 7E 06 83 3C 98 00 74 F5 8B 34 98 8B 56 18 89 14 98 33 FF 33 C0 89 45 F8 33 C0 89 45 F4 33 C0 89 45 F0 33 DB 8B 44 9E 1C 85 C0 74 27 03 78 0C 8B 50 10 01 55 F8 8B 50 14 01 55 F4 8B 40 08 01 46 08 8B 44 9E 1C E8 ?? ?? ?? ?? 33 C0 89 44 9E 1C FF 45 F0 43 83 FB 08 75 CB C6 46 04 01 89 7E 0C 8B 45 F8 89 46 10 8B 45 F4 89 46 14 8B 45 F0 48 8B 55 FC 29 02 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81218_0 {
	meta:
		name = "TColorQuantizer.ProcessPixel"
		size = 70
		refs = "0022 TColorQuantizer.AddColor 0035 TColorQuantizer.ReduceTree"
	strings:
		$1 = { 55 8B EC 53 8B D8 51 0F B6 45 08 50 8B 43 30 50 6A 00 8D 43 08 50 8D 43 0C 50 8D 43 04 8B CB 92 91 E8 ?? ?? ?? ?? EB 11 8D 43 0C 50 8D 4B 08 8B 53 30 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B 43 2C 7F E7 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81219_0 {
	meta:
		name = "TDIBQuantizer.ProcessImage"
		size = 126
		refs = "005e TColorQuantizer.ProcessPixel"
	strings:
		$1 = { 53 56 57 83 C4 F0 89 14 24 8B F8 C6 44 24 04 01 8B 04 24 8B 40 04 8B 10 FF 52 24 48 85 C0 7C 52 40 89 44 24 0C C7 44 24 08 00 00 00 00 8B 54 24 08 8B 04 24 8B 08 FF 11 8B F0 8B 04 24 8B 40 04 8B 10 FF 52 30 8B D8 4B 85 DB 7C 1C 43 8B C6 0F B6 10 52 0F B6 48 01 0F B6 50 02 8B C7 E8 ?? ?? ?? ?? 83 C6 03 4B 75 E5 FF 44 24 08 FF 4C 24 0C 75 BB 0F B6 44 24 04 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81220_0 {
	meta:
		name = "ProcessPixels"
		size = 84
		refs = "0039 TColorQuantizer.ProcessPixel"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 85 FF 7E 3A 0F B6 03 3B 45 08 74 25 0F B6 03 8D 04 40 8B 55 FC 8D 34 02 0F B6 46 02 50 8B 45 0C 8B 40 FC 0F B6 4E 01 0F B6 16 E8 ?? ?? ?? ?? EB 07 8B 45 0C C6 40 FB 01 43 4F 85 FF 7F C6 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_81221_0 {
	meta:
		name = "TGIFQuantizer.ProcessImage"
		size = 152
		refs = "0026 TGIFList.GetCount 0043 TGIFImageList.GetFrame 004c TGIFFrame.GetEmpty 0057 TGIFFrame.GetTransparent 0063 TGIFGraphicControlExtension.GetTransparentColorIndex 0074 TGIFFrame.GetActiveColorMap 0082 ProcessPixels"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F4 89 45 FC C6 45 FB 00 8B 45 F4 8B 10 FF 52 20 84 C0 75 6E 8B 45 F4 8B 40 30 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 5C 46 C7 45 F0 00 00 00 00 8B 45 F4 8B 40 30 8B 55 F0 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 33 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 43 34 E8 ?? ?? ?? ?? 0F B6 F8 EB 03 83 CF FF 55 57 8B C3 E8 ?? ?? ?? ?? 8B 48 04 8B 53 1C 8B 43 18 E8 ?? ?? ?? ?? 59 FF 45 F0 4E 75 AC 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81222_0 {
	meta:
		name = "BuildPalette"
		size = 149
		refs = "0021 GetStockObject 0030 GetPaletteEntries 0087 CreatePalette"
	strings:
		$1 = { 53 56 57 81 C4 FC FB FF FF 8B F2 8B D8 84 C9 74 34 81 FE EC 00 00 00 7E 05 BE EC 00 00 00 6A 0F E8 ?? ?? ?? ?? 8D 54 24 04 52 6A 14 6A 00 50 E8 ?? ?? ?? ?? 8D 4C 24 54 8B C6 66 83 C0 14 66 89 44 24 02 EB 09 8D 4C 24 04 66 89 74 24 02 66 C7 04 24 00 03 8B FB 85 F6 7E 29 8B C1 8B D7 0F B6 5A 02 88 18 0F B6 5A 01 88 58 01 0F B6 1A 88 58 02 0F B6 52 03 88 50 03 83 C1 04 83 C7 04 4E 85 F6 7F D7 8B C4 50 E8 ?? ?? ?? ?? 81 C4 04 04 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81223_0 {
	meta:
		name = "doCreateOptimizedPaletteFromSingleBitmap"
		size = 148
		refs = "0029 _DV_TDIBQuantizer 0031 TColorQuantizer.Create 003c doCreateOptimizedPaletteFromSingleBitmap 004c TDIBQuantizer.ProcessImage 005a TColorQuantizer.GetColorTable 006f TObject.Free 0075 @HandleFinally 0089 BuildPalette"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FB FF FF 53 89 55 FC 8B D8 80 7D 08 00 74 10 81 7D FC EC 00 00 00 7E 07 C7 45 FC EC 00 00 00 51 B2 01 A1 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8D 95 F8 FB FF FF 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 85 F8 FB FF FF 0F B6 4D 08 8B 55 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81224_0 {
	meta:
		name = "doCreateOptimizedPaletteFromGIF"
		size = 331
		refs = "0059 TGIFImageList.GetFrame 005e TGIFFrame.GetTransparent 0076 TGIFList.GetCount 009a TGIFGraphicControlExtension.GetTransparentColor 00d8 _DV_TGIFQuantizer 00dd TColorQuantizer.Create 00e8 doCreateOptimizedPaletteFromGIF 00f8 TGIFQuantizer.ProcessImage 0106 TColorQuantizer.GetColorTable 011b TObject.Free 0121 @HandleFinally 013e BuildPalette"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FB FF FF 53 56 57 88 4D FB 89 55 FC 8B F0 8B 7D 08 80 7D FB 00 74 10 81 7D FC EC 00 00 00 7E 07 C7 45 FC EC 00 00 00 C6 45 F3 00 33 DB 80 7D FB 00 74 09 81 7D FC EC 00 00 00 74 2A 80 7D FB 00 75 36 81 7D FC 00 01 00 00 75 2D EB 19 8B 46 30 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 F3 80 7D F3 00 75 13 43 80 7D F3 00 75 0C 8B 46 30 E8 ?? ?? ?? ?? 3B D8 7C D5 80 7D F3 00 74 46 FF 4D FC 8B 45 FC 89 07 8B 46 30 8B D3 E8 ?? ?? ?? ?? 8B 40 34 E8 ?? ?? ?? ?? 8B D0 8B 07 8D 84 85 F3 FB FF FF 8B CA C1 E9 10 80 E1 FF 88 08 8B CA C1 E9 08 80 E1 FF 88 48 01 80 E2 FF 88 50 02 C6 40 03 00 EB 06 C7 07 FF FF FF FF 6A 08 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8D 95 F3 FB FF FF 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F3 00 74 03 FF 45 FC 8D 85 F3 FB FF FF 0F B6 4D FB 8B 55 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81225_0 {
	meta:
		name = "CreateOptimizedPaletteFromSingleBitmap"
		size = 105
		refs = "0013 _DV_TDIBReader 0018 TDIBReader.Create 0023 CreateOptimizedPaletteFromSingleBitmap 003a doCreateOptimizedPaletteFromSingleBitmap 0052 TObject.Free 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 8B DA 6A 06 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 08 50 8B CE 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_81226_0 {
	meta:
		name = "CreateOptimizedPaletteFromManyBitmaps"
		size = 355
		refs = "001e CreateOptimizedPaletteFromManyBitmaps 003e sInvalidBitmapList 0043 LoadResString 004e Error 006f _DV_TDIBQuantizer 0074 TColorQuantizer.Create 00a8 TList.Get 00b1 _DV_TDIBReader 00b6 TDIBReader.Create 00d2 TDIBQuantizer.ProcessImage 00e7 TObject.Free 00ed @HandleFinally 0105 TColorQuantizer.GetColorTable 0134 BuildPalette 014e @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 E4 FB FF FF 53 33 DB 89 9D E4 FB FF FF 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 09 8B 45 FC 83 78 08 00 75 1B 8D 95 E4 FB FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E4 FB FF FF E8 ?? ?? ?? ?? 80 7D 08 00 74 10 81 7D F8 EC 00 00 00 7E 07 C7 45 F8 EC 00 00 00 53 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 48 85 C0 7C 67 40 89 45 E8 C7 45 F4 00 00 00 00 6A 06 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 F4 FF 4D E8 75 A4 8D 95 E8 FB FF FF 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 85 E8 FB FF FF 0F B6 4D 08 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E4 FB FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B C3 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81227_0 {
	meta:
		name = "GrayScalePalette"
		size = 80
		refs = "0047 CreatePalette"
	strings:
		$1 = { 55 8B EC 81 C4 FC FB FF FF 56 66 C7 85 FC FB FF FF 00 03 66 C7 85 FE FB FF FF 00 01 33 C0 8D B5 00 FC FF FF 8B D6 8B C8 88 0A 88 4A 01 88 4A 02 C6 42 03 04 40 83 C6 04 3D 00 01 00 00 75 E5 8D 85 FC FB FF FF 50 E8 ?? ?? ?? ?? 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_81228_0 {
	meta:
		name = "MonochromePalette"
		size = 99
		refs = "005b CreatePalette"
	strings:
		$1 = { 55 8B EC 81 C4 FC FB FF FF 66 C7 85 FC FB FF FF 00 03 66 C7 85 FE FB FF FF 02 00 C6 85 00 FC FF FF 00 C6 85 01 FC FF FF 00 C6 85 02 FC FF FF 00 C6 85 03 FC FF FF 04 C6 85 04 FC FF FF FF C6 85 05 FC FF FF FF C6 85 06 FC FF FF FF C6 85 07 FC FF FF 04 8D 85 FC FB FF FF 50 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_81229_0 {
	meta:
		name = "WindowsGrayScalePalette"
		size = 93
		refs = "0029 Values 0053 CreatePalette"
	strings:
		$1 = { 55 8B EC 81 C4 FC FB FF FF 53 56 66 C7 85 FC FB FF FF 00 03 66 C7 85 FE FB FF FF 04 00 BE 04 00 00 00 8D 8D 00 FC FF FF B8 ?? ?? ?? ?? 8B D1 0F B6 18 88 1A 0F B6 18 88 5A 01 0F B6 18 88 5A 02 C6 42 03 04 40 83 C1 04 4E 75 E2 8D 85 FC FB FF FF 50 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81230_0 {
	meta:
		name = "WindowsHalftonePalette"
		size = 86
		refs = "0009 GetDC 000e GDICheck 0019 WindowsHalftonePalette 0028 CreateHalftonePalette 0043 ReleaseDC 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_81231_0 {
	meta:
		name = "CreateDitherPalette"
		size = 247
		refs = "000e CreateDitherPalette 0058 WebPalette 0061 GrayScalePalette 006a MonochromePalette 0073 WindowsGrayScalePalette 007e GetStockObject 0087 WindowsHalftonePalette 0097 sNoPalette 009c LoadResString 00a4 Error 00ab CopyPalette 00e4 @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 E0 7F 83 F8 09 0F 87 A8 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 DB EB 77 E8 ?? ?? ?? ?? 8B D8 EB 6E E8 ?? ?? ?? ?? 8B D8 EB 65 E8 ?? ?? ?? ?? 8B D8 EB 5C E8 ?? ?? ?? ?? 8B D8 EB 53 6A 0F E8 ?? ?? ?? ?? 8B D8 EB 48 E8 ?? ?? ?? ?? 8B D8 EB 3F 85 DB 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 19 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81232_0 {
	meta:
		name = "CreateColorMapper"
		size = 86
		refs = "0016 TGenericColorMapper 0022 _DV_TNetscapeColorLookup 0027 TNetscapeColorLookup.Create 0031 _DV_TGrayScaleLookup 0036 TGrayScaleLookup.Create 0040 _DV_TMonochromeLookup 0045 TMonochromeLookup.Create"
	strings:
		$1 = { 80 EA 04 74 36 FE CA 74 23 FE CA 74 10 FE CA 75 39 8B C8 B2 01 A1 ?? ?? ?? ?? FF 10 C3 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 8B C8 B2 01 A1 ?? ?? ?? ?? FF 10 C3 }
	condition:
		$1
}

rule function_81233_0 {
	meta:
		name = "CreateDitherer"
		size = 162
		refs = "000f CreateDitherer 0031 _DV_TDitherEngine 003a TDitherEngine.Create 0041 _DV_TFloydSteinbergDitherer 004a TFloydSteinbergDitherer.Create 0051 _DV_TStuckiDitherer 005a TStuckiDitherer.Create 0061 _DV_TSierraDitherer 006a TSierraDitherer.Create 0071 _DV_TJaJuNiDitherer 007a TJaJuNiDitherer.Create 0081 _DV_TSteveArcheDitherer 008a TSteveArcheDitherer.Create 0091 _DV_TBurkesDitherer 009a TBurkesDitherer.Create"
	strings:
		$1 = { 83 E0 7F 83 F8 06 0F 87 93 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 51 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? C3 51 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? C3 51 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? C3 51 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? C3 51 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? C3 51 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? C3 51 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_81234_0 {
	meta:
		name = "ReduceColors"
		size = 691
		refs = "0014 _Dn_TBitmap 0019 TBitmap.Create 0024 ReduceColors 0043 SetPixelFormat 006b BitmapAllocationThreshold 00aa _DV_TDIBReader 00af TDIBReader.Create 00d8 doCreateOptimizedPaletteFromSingleBitmap 00e7 CreateDitherPalette 00f4 CreateColorMapper 0105 @TryFinallyExit 0128 CreateDitherer 0165 _DV_TDIBWriter 016a TDIBWriter.Create 0241 TObject.Free 027a DeleteObject 0280 @HandleFinally 0291 @HandleAnyException 029e @RaiseAgain 02a3 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 88 4D FB 8B DA 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 75 22 8B 55 FC 8B 45 F4 8B 08 FF 51 08 B2 06 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 53 02 00 00 8B 45 FC 8B 10 FF 52 30 8B F0 8B 45 FC 8B 10 FF 52 24 0F AF F0 3B 35 ?? ?? ?? ?? 7E 0A B2 01 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 C0 89 45 E8 33 C0 89 45 E0 33 C0 89 45 DC 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 06 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 8B C3 04 F9 2C 02 73 23 80 FB 08 0F 94 C0 50 8B 4D 0C BA 01 00 00 00 D3 E2 B9 06 00 00 00 8B 45 DC E8 ?? ?? ?? ?? 89 45 F0 EB 0D 8B C3 8B 55 08 E8 ?? ?? ?? ?? 89 45 F0 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 83 78 04 00 75 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 91 01 00 00 8B 45 FC 8B 10 FF 52 30 8B D0 0F B6 45 FB 8B 4D EC E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 75 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 60 01 00 00 6A 03 8B 45 FC 8B 10 FF 52 30 50 8B 45 FC 8B 10 FF 52 24 50 8B 45 F0 50 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 89 45 E4 8B 45 E8 8B 10 FF 52 04 E9 96 00 00 00 8B 55 E4 8B 45 DC 8B 08 FF 11 89 45 D8 8B 55 E4 8B 45 E0 8B 08 FF 11 89 45 D4 8B 45 E8 8B 58 08 8D 1C 5B 03 5D D8 8B 45 E8 8B 70 08 03 75 D4 EB 43 66 8B 03 66 89 45 D1 8A 43 02 88 45 D3 0F B6 45 D1 50 8D 45 D3 50 8D 45 D2 50 8D 45 D1 50 0F B6 4D D2 0F B6 55 D3 8B 45 E8 8B 38 FF 57 08 88 06 8B 45 E8 8B 40 04 8D 04 40 03 D8 8B 45 E8 8B 40 04 03 F0 8B 45 E8 8B 40 08 8B 55 E8 3B 42 10 7D 09 8B 45 E8 83 78 08 00 7D A6 FF 45 E4 8B 45 E8 8B 10 FF 52 0C 8B 45 FC 8B 10 FF 52 24 3B 45 E4 0F 8F 59 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 08 8B 45 EC E8 ?? ?? ?? ?? 83 7D E8 00 74 08 8B 45 E8 E8 ?? ?? ?? ?? 83 7D E0 00 74 08 8B 45 E0 E8 ?? ?? ?? ?? 83 7D DC 00 74 08 8B 45 DC E8 ?? ?? ?? ?? 83 7D F0 00 74 09 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B1 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_81235_0 {
	meta:
		name = "TGIFColorMap.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TObject.Create 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 08 C6 46 0C 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81236_0 {
	meta:
		name = "TGIFColorMap.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 000e TGIFColorMap.Clear 0020 TPersistent.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 1C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81237_0 {
	meta:
		name = "TGIFColorMap.Clear"
		size = 38
		refs = "000f TColorMap 0014 @DynArraySetLength"
	strings:
		$1 = { 53 8B D8 6A 00 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 43 08 C6 43 0C 00 5B C3 }
	condition:
		$1
}

rule function_81238_0 {
	meta:
		name = "TGIFColorMap.Color2RGB"
		size = 26
	strings:
		$1 = { 8B C2 C1 E8 10 24 FF 88 41 02 8B C2 C1 E8 08 24 FF 88 41 01 80 E2 FF 88 11 C3 }
	condition:
		$1
}

rule function_81239_0 {
	meta:
		name = "TGIFColorMap.RGB2Color"
		size = 29
	strings:
		$1 = { 55 8B EC 0F B6 45 0A C1 E0 10 0F B6 55 09 C1 E2 08 0B C2 0F B6 55 08 0B C2 5D C2 04 00 }
	condition:
		$1
}

rule function_81240_0 {
	meta:
		name = "TGIFColorMap.SaveToStream"
		size = 89
		refs = "0017 TStream.WriteBuffer 001e TGIFColorMap.GetBitsPerPixel"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 43 08 85 C0 74 47 8D 0C 40 8B 53 04 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C8 B8 01 00 00 00 D3 E0 2B 43 08 8B D8 C6 04 24 00 C6 44 24 01 00 C6 44 24 02 00 85 DB 7E 13 8B D4 B9 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 4B 85 DB 7F ED 5A 5E 5B C3 }
	condition:
		$1
}

rule function_81241_0 {
	meta:
		name = "TGIFColorMap.LoadFromStream"
		size = 45
		refs = "000c TGIFColorMap.Clear 0015 TGIFColorMap.SetCapacity 0022 ReadCheck"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 0C 76 8B 53 04 8B C7 E8 ?? ?? ?? ?? 89 73 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81242_0 {
	meta:
		name = "TGIFColorMap.IndexOf"
		size = 130
		refs = "000e TGIFColorMap.Color2RGB"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B CC 8B D6 8B 03 E8 ?? ?? ?? ?? 80 7B 0C 00 74 34 33 C0 EB 26 8D 14 40 8B 4B 04 8D 14 11 0F B6 0A 3A 0C 24 75 14 0F B6 4A 01 3A 4C 24 01 75 0A 0F B6 52 02 3A 54 24 02 74 3D 40 3B 43 08 7C D5 83 C8 FF EB 32 8B 43 08 48 85 C0 7C 2A 8D 14 40 8B 4B 04 8D 14 11 0F B6 0A 3A 0C 24 75 14 0F B6 4A 01 3A 4C 24 01 75 0A 0F B6 52 02 3A 54 24 02 74 05 48 85 C0 7D D6 5A 5E 5B C3 }
	condition:
		$1
}

rule function_81243_0 {
	meta:
		name = "TGIFColorMap.SetCapacity"
		size = 85
		refs = "000a @DynArrayLength 0028 MulDiv 0046 TColorMap 004b @DynArraySetLength"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 3B D8 7E 40 83 FB 10 7F 07 BB 10 00 00 00 EB 10 6A 20 6A 20 83 C3 20 4B 53 E8 ?? ?? ?? ?? 8B D8 81 FB 00 01 00 00 7E 05 BB 00 01 00 00 53 8D 46 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_81244_0 {
	meta:
		name = "TGIFColorMap.ImportPalette"
		size = 145
		refs = "0010 TGIFColorMap.Clear 0022 GetPaletteEntries 0035 TGIFColorMap.SetCapacity"
	strings:
		$1 = { 53 56 57 81 C4 F8 FB FF FF 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 8D 44 24 08 50 68 00 01 00 00 6A 00 53 E8 ?? ?? ?? ?? 89 04 24 83 3C 24 00 74 58 8B 14 24 8B C7 E8 ?? ?? ?? ?? 8B 34 24 4E 85 F6 7C 39 46 C7 44 24 04 00 00 00 00 8D 44 24 08 8B 54 24 04 8D 14 52 8B 4F 04 8D 14 11 8B C8 0F B6 19 88 1A 0F B6 59 01 88 5A 01 0F B6 49 02 88 4A 02 FF 44 24 04 83 C0 04 4E 75 D4 8B 04 24 89 47 08 8B C7 8B 10 FF 52 1C 81 C4 08 04 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81245_0 {
	meta:
		name = "TGIFColorMap.ImportColorMap"
		size = 58
		refs = "000c TGIFColorMap.Clear 0019 TGIFColorMap.SetCapacity 002b Move"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 85 F6 74 22 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 89 43 08 8D 0C 40 8B 53 04 8B C7 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81246_0 {
	meta:
		name = "TGIFColorMap.ImportColorTable"
		size = 110
		refs = "0012 TGIFColorMap.Clear 0024 TGIFColorMap.SetCapacity"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 4C 24 04 89 14 24 8B F8 8B C7 E8 ?? ?? ?? ?? 83 7C 24 04 00 74 4B 8B 54 24 04 8B C7 E8 ?? ?? ?? ?? 8B 74 24 04 4E 85 F6 7C 29 46 33 C9 8D 04 49 8B 57 04 8D 04 02 8B 14 24 8D 14 8A 0F B6 5A 02 88 18 0F B6 5A 01 88 58 01 0F B6 12 88 50 02 41 4E 75 DA 8B 44 24 04 89 47 08 8B C7 8B 10 FF 52 1C 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81247_0 {
	meta:
		name = "TGIFColorMap.ImportDIBColors"
		size = 119
		refs = "0010 TGIFColorMap.Clear 001a @GetMem 0025 TGIFColorMap.ImportDIBColors 003c GetDIBColorTable 0049 TGIFColorMap.ImportColorTable 005e @FreeMem 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? B8 00 04 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 50 68 00 01 00 00 6A 00 53 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 10 FF 52 1C 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81248_0 {
	meta:
		name = "TGIFColorMap.ExportPalette"
		size = 121
		refs = "006b CreatePalette"
	strings:
		$1 = { 53 56 57 81 C4 F8 FB FF FF 8B 50 08 85 D2 75 04 33 C0 EB 5B 66 C7 44 24 04 00 03 0F B7 48 08 66 89 4C 24 06 8B FA 4F 85 FF 7C 3A 47 C7 04 24 00 00 00 00 8D 4C 24 08 8B 14 24 8D 14 52 8B 58 04 8D 34 13 8B D1 0F B6 1E 88 1A 0F B6 5E 01 88 5A 01 0F B6 5E 02 88 5A 02 C6 42 03 04 FF 04 24 83 C1 04 4F 75 D2 8D 44 24 04 50 E8 ?? ?? ?? ?? 81 C4 08 04 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81249_0 {
	meta:
		name = "TGIFColorMap.Add"
		size = 176
		refs = "0016 TGIFColorMap.Add 002d sTooManyColors 0032 LoadResString 003a Error 0045 @DynArrayLength 0054 TGIFColorMap.SetCapacity 0060 TGIFColorMap.Color2RGB 009b @UStrClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 7B 08 00 01 00 00 7C 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 73 08 8B 43 04 E8 ?? ?? ?? ?? 3B F0 7C 0B 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 8B D7 8B 03 E8 ?? ?? ?? ?? 8B 43 08 8D 04 40 8B 53 04 66 8B 4D F8 66 89 0C 02 8A 4D FA 88 4C 02 02 FF 43 08 C6 43 0C 00 8B C3 8B 10 FF 52 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81250_0 {
	meta:
		name = "TGIFColorMap.AddUnique"
		size = 31
		refs = "000b TGIFColorMap.IndexOf 0018 TGIFColorMap.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81251_0 {
	meta:
		name = "TGIFColorMap.Delete"
		size = 140
		refs = "000f TGIFColorMap.Delete 0026 sBadColorIndex 002b LoadResString 0033 Error 005b Move 007b @UStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? FF 4B 08 8B 53 08 3B F2 7D 1E 8D 04 76 8B 4B 04 8D 4C 01 03 51 8B 4B 04 8D 04 01 2B D6 8D 0C 52 8B D0 58 E8 ?? ?? ?? ?? C6 43 0C 00 8B C3 8B 10 FF 52 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81252_0 {
	meta:
		name = "TGIFColorMap.GetColor"
		size = 158
		refs = "000f TGIFColorMap.GetColor 0026 sBadColorIndex 002b LoadResString 0045 sEmptyColorMap 0052 Error 006e TGIFColorMap.RGB2Color 008a @UStrArrayClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 D2 7C 05 3B 53 08 7C 36 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 8B C3 8B 30 FF 56 0C 83 7B 08 00 75 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 8D 04 52 8B 53 04 0F B6 4C 02 02 C1 E1 10 66 8B 0C 02 51 8B 03 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81253_0 {
	meta:
		name = "TGIFColorMap.SetColor"
		size = 140
		refs = "0018 TGIFColorMap.SetColor 002f sBadColorIndex 0034 LoadResString 003c Error 0048 TGIFColorMap.Color2RGB 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F8 8B D7 8B 03 E8 ?? ?? ?? ?? 8D 04 76 8B 53 04 66 8B 4D F8 66 89 0C 02 8A 4D FA 88 4C 02 02 8B C3 8B 10 FF 52 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81254_0 {
	meta:
		name = "Swap"
		size = 42
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 08 89 4D F8 8B 48 04 89 4D FC 8B 0A 89 08 8B 4A 04 89 48 04 8B 45 F8 89 02 8B 45 FC 89 42 04 59 59 5D C3 }
	condition:
		$1
}

rule function_81255_0 {
	meta:
		name = "QuickSort"
		size = 145
		refs = "0064 Swap 007d QuickSort"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 5D FC 8B 75 F8 8B 45 FC 03 45 F8 D1 E8 8B 55 08 8B BC C2 00 F8 FF FF EB 01 43 8B 45 08 8B 84 D8 00 F8 FF FF 2B C7 85 C0 7F EF EB 01 4E 8B 45 08 8B 84 F0 00 F8 FF FF 2B C7 78 F1 3B F3 7C 1B 8B 45 08 8D 94 F0 00 F8 FF FF 8B 45 08 8D 84 D8 00 F8 FF FF E8 ?? ?? ?? ?? 43 4E 3B F3 7D BC 3B 75 FC 7E 0F 8B 45 08 50 8B D6 8B 45 FC E8 ?? ?? ?? ?? 59 89 5D FC 3B 5D F8 7C 85 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81256_0 {
	meta:
		name = "TGIFColorMap.DoOptimize"
		size = 403
		refs = "001a TGIFColorMap.DoOptimize 0056 QuickSort 00c8 TColorMap 00cd @DynArrayCopy 0179 @DynArrayClear 017f @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC F6 FF FF 53 56 57 33 D2 89 95 FC F7 FF FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 08 01 7F 0C C6 85 FB F7 FF FF 00 E9 29 01 00 00 C6 46 0C 01 C6 85 FB F7 FF FF 01 8D 95 00 F8 FF FF 8B C6 8B 08 FF 51 10 55 8B 56 08 4A 33 C0 E8 ?? ?? ?? ?? 59 8B 46 08 48 85 C0 7C 14 40 33 D2 8D 8D 04 F8 FF FF 3B 11 75 07 42 83 C1 08 48 75 F5 8B 46 08 3B D0 0F 84 DD 00 00 00 48 85 C0 7C 19 40 33 D2 8D 8D 04 F8 FF FF 8B 19 88 94 1D EC F6 FF FF 42 83 C1 08 48 75 F0 8D 95 EC F6 FF FF 8B C6 8B 08 FF 51 14 C6 85 FA F7 FF FF 00 8B 46 08 89 85 F4 F7 FF FF 8D 8D FC F7 FF FF 8B 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 08 48 85 C0 7C 76 40 33 D2 8D 8D EC F6 FF FF 89 8D F0 F7 FF FF 8D 8D 00 F8 FF FF 89 8D EC F7 FF FF 8B 8D F0 F7 FF FF 0F B6 09 8D 0C 49 8B 5E 04 8D 0C 0B 8D 1C 52 8B BD FC F7 FF FF 03 FB 66 8B 1F 66 89 19 8A 5F 02 88 59 02 8B 8D EC F7 FF FF 83 39 00 75 16 80 BD FA F7 FF FF 00 75 0D C6 85 FA F7 FF FF 01 89 95 F4 F7 FF FF 42 83 85 EC F7 FF FF 08 FF 85 F0 F7 FF FF 48 75 A5 8B 85 F4 F7 FF FF 89 46 08 8B C6 8B 10 FF 52 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 FC F7 FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 0F B6 85 FB F7 FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81258_0 {
	meta:
		name = "TGIFColorMap.Assign"
		size = 68
		refs = "000b _DV_TGIFColorMap 0010 @IsClass 0023 TGIFColorMap.ImportColorMap 003c TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B FE 8B 4F 08 8B 57 04 8B C3 E8 ?? ?? ?? ?? 0F B6 47 0C 88 43 0C 8B C3 8B 10 FF 52 1C EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81259_0 {
	meta:
		name = "TGIFGlobalColorMap.Create"
		size = 60
		refs = "000b @ClassCreate 001a TGIFColorMap.Create 0028 @AfterConstruction"
		altNames = "TGIFLocalColorMap.Create"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81284_0 {
	meta:
		name = "TGIFStream.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81260_0 {
	meta:
		name = "TGIFGlobalColorMap.Warning"
		size = 18
		altNames = "TGIFLocalColorMap.Warning"
	strings:
		$1 = { 53 51 8B CA 8B 50 10 8B 52 04 92 8B 18 FF 53 74 5B C3 }
	condition:
		$1
}

rule function_81261_0 {
	meta:
		name = "TGIFGlobalColorMap.BuildHistogram"
		size = 214
		refs = "003e TGIFList.GetCount 005f TGIFImageList.GetFrame 0064 TGIFFrame.GetActiveColorMap"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 54 24 04 89 04 24 8B 04 24 8B 78 08 4F 85 FF 7C 18 47 33 F6 8B 44 24 04 83 C0 04 89 30 33 D2 89 50 FC 46 83 C0 08 4F 75 F2 8B 04 24 8B 40 10 8B 40 04 8B 40 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 82 00 00 00 47 33 F6 8B 04 24 8B 40 10 8B 40 04 8B 40 30 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 04 24 75 5E 8B 04 24 8B 40 10 8B 40 04 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B 58 18 8B 04 24 8B 40 10 8B 40 04 8B 40 30 8B D6 E8 ?? ?? ?? ?? 0F B7 68 29 8B 04 24 8B 40 10 8B 40 04 8B 40 30 8B D6 E8 ?? ?? ?? ?? 0F B7 40 2B 0F AF E8 8B C5 03 C3 3B C3 76 0F 0F B6 13 8B 4C 24 04 FF 04 D1 43 3B C3 77 F1 46 4F 75 81 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81262_0 {
	meta:
		name = "TGIFGlobalColorMap.MapImages"
		size = 254
		refs = "0014 TGIFList.GetCount 0032 TGIFImageList.GetFrame 0037 TGIFFrame.GetActiveColorMap 00ac TGIFFrame.GetTransparent 00c8 TGIFGraphicControlExtension.GetTransparentColorIndex 00ec TGIFGraphicControlExtension.SetTransparentColorIndex"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F0 8B 46 10 8B 40 04 8B 40 30 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 0F 8C D5 00 00 00 45 33 FF 8B 46 10 8B 40 04 8B 40 30 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 0F 85 AD 00 00 00 8B 46 10 8B 40 04 8B 40 30 8B D7 E8 ?? ?? ?? ?? 8B 58 18 8B 46 10 8B 40 04 8B 40 30 8B D7 E8 ?? ?? ?? ?? 0F B7 40 29 50 8B 46 10 8B 40 04 8B 40 30 8B D7 E8 ?? ?? ?? ?? 0F B7 40 2B 8B D0 58 F7 EA 03 C3 3B C3 76 11 0F B6 13 8B 0C 24 0F B6 14 11 88 13 43 3B C3 77 EF 8B 46 10 8B 40 04 8B 40 30 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3C 8B 46 10 8B 40 04 8B 40 30 8B D7 E8 ?? ?? ?? ?? 8B 40 34 E8 ?? ?? ?? ?? 0F B6 C0 8B 14 24 0F B6 04 02 50 8B 46 10 8B 40 04 8B 40 30 8B D7 E8 ?? ?? ?? ?? 8B 40 34 5A E8 ?? ?? ?? ?? 47 4D 0F 85 2E FF FF FF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81263_0 {
	meta:
		name = "TGIFGlobalColorMap.Optimize"
		size = 34
		refs = "000d TGIFList.GetCount 0018 TGIFColorMap.DoOptimize"
	strings:
		$1 = { 53 8B D8 8B 43 10 8B 40 04 8B 40 30 E8 ?? ?? ?? ?? 85 C0 7E 09 8B C3 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_81264_0 {
	meta:
		name = "TGIFGlobalColorMap.Changed"
		size = 14
	strings:
		$1 = { 8B 40 10 8B 40 04 33 D2 8B 08 FF 51 3C C3 }
	condition:
		$1
}

rule function_81265_0 {
	meta:
		name = "TGIFHeader.Create"
		size = 77
		refs = "000a @ClassCreate 0017 TGIFItem.Create 0020 _DV_TGIFGlobalColorMap 0025 TGIFGlobalColorMap.Create 002f TGIFHeader.Clear 003a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 10 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81267_0 {
	meta:
		name = "TGIFHeader.Clear"
		size = 37
		refs = "0007 TGIFColorMap.Clear"
	strings:
		$1 = { 53 8B D8 8B 43 10 E8 ?? ?? ?? ?? 66 C7 43 08 00 00 66 C7 43 0A 00 00 C6 43 0C 00 C6 43 0D 00 C6 43 0E 00 5B C3 }
	condition:
		$1
}

rule function_81268_0 {
	meta:
		name = "TGIFHeader.Assign"
		size = 108
		refs = "000b _DV_TGIFHeader 0010 @IsClass 003f _DV_TGIFColorMap 004f TGIFHeader.Clear 0064 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8B FB 8B 57 10 8B 46 10 8B 08 FF 51 08 8B 47 08 89 46 08 66 8B 47 0C 66 89 46 0C 8A 47 0E 88 46 0E EB 2D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 46 10 8B 08 FF 51 08 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81269_0 {
	meta:
		name = "TGIFHeader.Prepare"
		size = 58
		refs = "001d TGIFHeader.GetColorResolution 002b TGIFHeader.GetBitsPerPixel"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B 46 10 83 78 08 00 7E 0B B3 80 80 78 0C 00 74 03 80 CB 08 8B C6 E8 ?? ?? ?? ?? C1 E0 04 24 70 0A D8 8B C6 E8 ?? ?? ?? ?? 48 24 07 0A D8 88 5E 0C 5E 5B C3 }
	condition:
		$1
}

rule function_81270_0 {
	meta:
		name = "TGIFHeader.SaveToStream"
		size = 212
		refs = "0016 TGIFHeader.SaveToStream 0024 TGIFImage.GetVersion 0032 sGIFErrorSaveEmpty 0037 LoadResString 003f Error 0060 GIFVersions 0074 TGIFHeader.Prepare 00a9 TGIFColorMap.SaveToStream 00be @UStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 E8 ?? ?? ?? ?? 8B D8 84 DB 75 15 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 66 8B 05 ?? ?? ?? ?? 66 89 45 F6 8A 05 ?? ?? ?? ?? 88 45 F8 0F B6 C3 8D 04 40 66 8B 90 ?? ?? ?? ?? 66 89 55 F9 8A 90 ?? ?? ?? ?? 88 55 FB 8B C6 E8 ?? ?? ?? ?? 8D 55 F6 B9 06 00 00 00 8B 45 FC 8B 18 FF 53 10 8D 56 08 B9 07 00 00 00 8B 45 FC 8B 18 FF 53 10 0F B6 46 0C 24 80 3C 80 75 0B 8B 55 FC 8B 46 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 47 49 46 00 }
	condition:
		$1
}

rule function_81271_0 {
	meta:
		name = "TGIFHeader.LoadFromStream"
		size = 364
		refs = "0018 TGIFHeader.LoadFromStream 0025 TStream.GetPosition 0036 ReadCheck 0046 @UStrFromArray 0051 UpperCase 005e @UStrEqual 006c TStream.SetPosition 00bd sBadSignature 00c2 LoadResString 00ca Error 0108 sScreenBadColorSize 0121 TGIFColorMap.LoadFromStream 012b TGIFColorMap.Clear 0145 @UStrArrayClr 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F8 8D 55 FA B9 06 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 8D 55 FA B9 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 6A 8B C7 99 52 50 8B C3 E8 ?? ?? ?? ?? 66 B9 01 00 BA 04 00 00 00 8B C3 8B 38 FF 57 14 8D 55 FA B9 06 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 8D 55 FA B9 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 15 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8D 56 08 B9 07 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 46 0C 8B D0 80 E2 80 80 FA 80 75 3C 8B C8 80 E1 07 BF 02 00 00 00 D3 E7 83 FF 02 7C 08 81 FF 00 01 00 00 7E 15 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B CF 8B D3 8B 46 10 E8 ?? ?? ?? ?? EB 08 8B 46 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 49 00 46 00 00 00 }
	condition:
		$1
}

rule function_81272_0 {
	meta:
		name = "TGIFHeader.GetVersion"
		size = 31
		refs = "0019 TGIFItem.GetVersion"
	strings:
		$1 = { 53 8B D8 8B 43 10 80 78 0C 00 75 06 80 7B 0E 00 74 04 B0 02 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81273_0 {
	meta:
		name = "TGIFHeader.GetBackgroundColor"
		size = 13
		refs = "0008 TGIFColorMap.GetColor"
	strings:
		$1 = { 0F B6 50 0D 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81274_0 {
	meta:
		name = "TGIFHeader.SetBackgroundColor"
		size = 28
		refs = "000c TGIFColorMap.AddUnique 0015 TGIFHeader.SetBackgroundColorIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 10 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81275_0 {
	meta:
		name = "TGIFHeader.SetBackgroundColorIndex"
		size = 112
		refs = "000c TGIFHeader.SetBackgroundColorIndex 002b sBadColorIndex 0030 LoadResString 003c TGIFItem.Warning 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 8B 40 08 0F B6 CA 3B C1 7F 1F 85 C0 7E 1B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 88 53 0D 8B D3 8B 43 04 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_81277_0 {
	meta:
		name = "TGIFHeader.GetColorResolution"
		size = 14
		refs = "0007 TGIFColorMap.GetBitsPerPixel"
	strings:
		$1 = { 53 8B D8 8B 43 10 E8 ?? ?? ?? ?? 48 5B C3 }
	condition:
		$1
}

rule function_81280_0 {
	meta:
		name = "TGIFLocalColorMap.BuildHistogram"
		size = 71
	strings:
		$1 = { 53 56 57 55 8B 58 10 8B 4B 18 0F B7 73 29 0F B7 5B 2B 0F AF F3 03 F1 8B 58 08 4B 85 DB 7C 14 43 33 FF 8D 42 04 89 38 33 ED 89 68 FC 47 83 C0 08 4B 75 F2 3B F1 76 0B 0F B6 01 FF 04 C2 41 3B F1 77 F5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81281_0 {
	meta:
		name = "TGIFLocalColorMap.MapImages"
		size = 89
		refs = "0032 TGIFFrame.GetTransparent 0043 TGIFGraphicControlExtension.GetTransparentColorIndex 0051 TGIFGraphicControlExtension.SetTransparentColorIndex"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 53 10 8B 42 18 0F B7 4A 29 0F B7 52 2B 0F AF CA 03 C8 8B D1 3B D0 76 0E 0F B6 08 0F B6 0C 0E 88 08 40 3B D0 77 F2 8B 43 10 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 43 10 8B 78 34 8B C7 E8 ?? ?? ?? ?? 0F B6 C0 0F B6 14 06 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81283_0 {
	meta:
		name = "TGIFLocalColorMap.Changed"
		size = 11
		refs = "0006 TGIFFrame.SetPalette"
	strings:
		$1 = { 33 D2 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81285_0 {
	meta:
		name = "TGIFBitReader.Warning"
		size = 28
		altNames = "TGIFStream.Warning"
	strings:
		$1 = { 55 8B EC 53 66 83 78 0A 00 74 0C 8B 5D 08 53 8B D8 8B 43 0C FF 53 08 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81290_0 {
	meta:
		name = "TGIFReader.Create"
		size = 95
		refs = "000e @ClassCreate 001c TGIFStream.Create 002f @GetMem 0048 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 43 28 33 C0 89 43 2C 8B 43 28 E8 ?? ?? ?? ?? 8B F0 89 73 20 89 73 24 C6 43 30 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_81291_0 {
	meta:
		name = "TGIFReader.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 0013 @FreeMem 0023 TObject.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 20 85 C0 74 0A E8 ?? ?? ?? ?? 33 C0 89 46 20 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81292_0 {
	meta:
		name = "TGIFReader.GetEOF"
		size = 18
	strings:
		$1 = { 80 78 30 00 74 06 83 78 2C 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_81293_0 {
	meta:
		name = "TGIFReader.SkipData"
		size = 72
	strings:
		$1 = { 53 56 51 8B D8 33 C0 89 43 2C 8B 43 20 89 43 24 80 7B 30 00 75 2A 8B D4 B9 01 00 00 00 8B 43 10 8B 30 FF 56 0C 48 75 18 80 3C 24 00 74 12 0F B6 14 24 66 B9 01 00 8B 43 10 8B 30 FF 56 14 EB D6 C6 43 30 01 5A 5E 5B C3 }
	condition:
		$1
}

rule function_81294_0 {
	meta:
		name = "TGIFReader.GetData"
		size = 368
		refs = "0016 TGIFReader.GetData 002f Move 007c TStream.GetPosition 00a8 sOutOfData 00ad LoadResString 015e @UStrArrayClr 0164 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 F0 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 2C 85 C0 7E 0C 8B 56 20 8B 4E 24 91 E8 ?? ?? ?? ?? 8B 46 20 89 46 24 03 46 2C 89 45 F8 E9 F2 00 00 00 8D 55 FF B9 01 00 00 00 8B 46 10 8B 18 FF 53 0C 48 74 09 C6 46 30 01 E9 E8 00 00 00 80 7D FF 00 75 09 C6 46 30 01 E9 D9 00 00 00 8B 46 10 8B 10 FF 12 52 50 8B 46 10 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A 52 50 0F B6 45 FF 33 D2 3B 54 24 04 75 09 3B 04 24 5A 58 76 38 EB 04 5A 58 7E 32 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 B1 01 8B D6 8B C6 8B 18 FF 53 1C 8B 46 10 8B 10 FF 12 8B D8 8B 46 10 E8 ?? ?? ?? ?? 2A D8 88 5D FF 0F B6 45 FF 03 46 2C 3B 46 28 7E 11 66 B9 01 00 83 CA FF 8B 46 10 8B 18 FF 53 14 EB 55 0F B6 4D FF 8B 55 F8 8B 46 10 8B 18 FF 53 0C 8B D8 3A 5D FF 74 1F 88 5D FF 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 B1 01 8B D6 8B C6 8B 18 FF 53 1C 0F B6 45 FF 01 45 F8 0F B6 45 FF 01 46 2C 80 7E 30 00 75 0C 8B 46 2C 3B 46 28 0F 8C FC FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81295_0 {
	meta:
		name = "TGIFReader.Read"
		size = 99
		refs = "0033 Move 0051 TGIFReader.GetData"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F9 8B D8 89 54 24 04 33 C0 89 04 24 85 FF 7E 41 8B 6B 2C 85 ED 7E 29 3B FD 7D 04 8B F7 EB 02 8B F5 8B 54 24 04 8B 43 24 8B CE E8 ?? ?? ?? ?? 01 73 24 29 73 2C 01 74 24 04 2B FE 01 34 24 EB 0D 80 7B 30 00 75 0B 8B C3 E8 ?? ?? ?? ?? 85 FF 7F BF 8B 04 24 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81296_0 {
	meta:
		name = "TGIFWriter.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TGIFStream.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 20 01 00 00 01 00 00 00 C6 86 24 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81298_0 {
	meta:
		name = "TGIFWriter.FlushBuffer"
		size = 52
		refs = "0024 TStream.WriteBuffer"
	strings:
		$1 = { 53 8B D8 80 BB 24 01 00 00 00 74 26 0F B6 83 20 01 00 00 48 88 43 20 8D 53 20 8B 8B 20 01 00 00 8B 43 10 E8 ?? ?? ?? ?? C7 83 20 01 00 00 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_81299_0 {
	meta:
		name = "TGIFWriter.Write"
		size = 122
		refs = "0037 Move 0068 TGIFWriter.FlushBuffer"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F9 8B F0 C6 86 24 01 00 00 01 89 3C 24 89 54 24 04 85 FF 7E 53 EB 28 BB 00 01 00 00 2B DD 3B FB 7D 02 8B DF 8D 54 2E 20 8B 44 24 04 8B CB E8 ?? ?? ?? ?? 01 5C 24 04 01 9E 20 01 00 00 2B FB 8B AE 20 01 00 00 81 FD 00 01 00 00 7D 04 85 FF 7F C6 81 BE 20 01 00 00 00 01 00 00 7C 07 8B C6 E8 ?? ?? ?? ?? 85 FF 7F D7 8B 04 24 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81301_0 {
	meta:
		name = "TGIFBitReader.Create"
		size = 134
		refs = "000f @ClassCreate 001f TObject.Create 0024 GIFFileBufferSize 002e _DV_TGIFReader 0033 TGIFReader.Create 0042 TGIFBitReader.Warning 0070 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 10 89 5E 0C C7 46 08 ?? ?? ?? ?? 33 C0 89 83 14 01 00 00 33 C0 89 83 18 01 00 00 C7 83 1C 01 00 00 02 00 00 00 C6 83 20 01 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81304_0 {
	meta:
		name = "TGIFBitReader.ReadBits"
		size = 406
		refs = "0012 TGIFBitReader.ReadBits 003d sDecodeTooFewBits 0042 LoadResString 0051 TGIFBitReader.Warning 00eb TGIFReader.GetEOF 0161 Masks 0181 @UStrArrayClr 0187 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 18 01 00 00 2B 83 14 01 00 00 3B F0 0F 8C C5 00 00 00 80 BB 20 01 00 00 00 74 24 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 B1 01 8B D3 8B C3 E8 ?? ?? ?? ?? 83 CF FF E9 0E 01 00 00 8B 83 1C 01 00 00 0F B6 44 03 12 88 43 14 8B 83 1C 01 00 00 0F B6 44 03 13 88 43 15 8D 53 16 B9 FE 00 00 00 8B 43 10 8B 38 FF 57 0C 83 C0 02 89 83 1C 01 00 00 8B 83 14 01 00 00 2B 83 18 01 00 00 83 C0 10 89 83 14 01 00 00 8B 83 1C 01 00 00 03 C0 03 C0 03 C0 89 83 18 01 00 00 2B 83 14 01 00 00 3B F0 7C 24 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B1 01 8B D3 8B C3 E8 ?? ?? ?? ?? 83 CF FF E9 84 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 88 83 20 01 00 00 8B 93 14 01 00 00 8B FA 03 FE 85 FF 79 03 83 C7 07 C1 FF 03 8B C2 85 C0 79 03 83 C0 07 C1 F8 03 3B F8 75 07 0F B6 44 03 14 EB 35 8D 48 01 3B F9 75 13 0F B6 4C 03 14 0F B6 44 03 15 C1 E0 08 0B C8 8B C1 EB 1B 0F B6 4C 03 14 0F B6 7C 03 15 C1 E7 08 0B CF 0F B6 44 03 16 C1 E0 10 0B C8 8B C1 8B CA 83 E1 07 8B F8 D3 EF 23 3C B5 ?? ?? ?? ?? 01 B3 14 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81305_0 {
	meta:
		name = "TGIFBitReader.SkipData"
		size = 20
		refs = "0007 TGIFReader.SkipData"
	strings:
		$1 = { 53 8B D8 8B 43 10 E8 ?? ?? ?? ?? C6 83 20 01 00 00 01 5B C3 }
	condition:
		$1
}

rule function_81306_0 {
	meta:
		name = "Push"
		size = 116
		refs = "000c Push 002d sInvalidData 0032 LoadResString 003a Error 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 80 FC FF FE FF 8B 55 08 83 C2 FC 3B C2 76 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 80 FC FF FE FF 89 18 8B 45 08 83 80 FC FF FE FF 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_81307_0 {
	meta:
		name = "Lookup"
		size = 181
		refs = "0019 Lookup 0039 sInvalidData 003e LoadResString 0046 Error 006b sDecodeCircular 00a0 @UStrArrayClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B 7D 08 81 C7 FC FF FE FF 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D8 3B F3 7F 61 8B 07 8B 55 08 83 C2 FC 3B C2 76 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 84 98 00 00 FF FF 8B 17 89 02 83 07 04 8B 45 08 3B 9C 98 00 40 FF FF 75 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 9C 98 00 40 FF FF 3B F3 7E 9F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81308_0 {
	meta:
		name = "NextLZW"
		size = 679
		refs = "003d TGIFBitReader.ReadBits 006a @FillChar 0195 Push 01b3 Lookup"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 45 08 80 B8 FB FF FE FF 00 74 15 8B 45 08 C6 80 FB FF FE FF 00 8B 45 08 8B B0 F4 FF FE FF EB 19 8B 45 08 8B 90 EC FF FE FF 8B 45 08 8B 80 F0 FF FE FF E8 ?? ?? ?? ?? 8B F0 85 F6 0F 8C 53 02 00 00 8B 45 08 3B B0 F4 FF FE FF 0F 85 0C 01 00 00 8B 45 08 05 00 40 FF FF 33 C9 BA 00 40 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B B8 F4 FF FE FF 4F 85 FF 7C 1F 47 C7 45 F8 00 00 00 00 8B 45 08 8D 98 00 00 FF FF 8B 45 F8 89 03 FF 45 F8 83 C3 04 4F 75 F2 8B 45 08 BA 00 10 00 00 2B 90 F4 FF FE FF 4A 8B 45 08 8B 80 F4 FF FE FF 8B 4D 08 8D 84 81 00 00 FF FF 33 C9 E8 ?? ?? ?? ?? 8B 45 08 0F B6 80 EB FF FE FF 40 8B 55 08 89 82 EC FF FE FF 8B 45 08 8B 80 F4 FF FE FF 03 C0 8B 55 08 89 82 E4 FF FE FF 8B 45 08 8B 80 F4 FF FE FF 83 C0 02 8B 55 08 89 82 E0 FF FE FF 8B 45 08 05 00 80 FF FF 8B 55 08 89 82 FC FF FE FF 8B 45 08 8B 90 EC FF FE FF 8B 45 08 8B 80 F0 FF FE FF E8 ?? ?? ?? ?? 8B 55 08 89 82 DC FF FE FF 8B 45 08 8B 80 DC FF FE FF 8B 55 08 3B 82 F4 FF FE FF 74 CC 8B 45 08 8B 80 DC FF FE FF 8B 55 08 89 82 D8 FF FE FF 8B 45 08 8B B0 DC FF FE FF E9 38 01 00 00 8B 45 08 3B B0 D4 FF FE FF 75 08 83 CE FF E9 25 01 00 00 89 75 FC 8B 45 08 3B B0 E0 FF FE FF 7C 1C 8B 45 08 50 8B 45 08 8B 80 DC FF FE FF E8 ?? ?? ?? ?? 59 8B 45 08 8B B0 D8 FF FE FF 8B 45 08 50 8B 45 08 8B 90 F4 FF FE FF 8B C6 E8 ?? ?? ?? ?? 59 8B F0 8B 45 08 8B 84 B0 00 00 FF FF 8B 55 08 89 82 DC FF FE FF 8B 45 08 50 8B 45 08 8B 80 DC FF FE FF E8 ?? ?? ?? ?? 59 8B 45 08 8B B0 E0 FF FE FF 81 FE FF 0F 00 00 7F 6C 8B 45 08 8B 80 D8 FF FE FF 8B 55 08 89 84 B2 00 40 FF FF 8B 45 08 8B 80 DC FF FE FF 8B 55 08 89 84 B2 00 00 FF FF 8B 45 08 FF 80 E0 FF FE FF 8B 45 08 8B 80 E0 FF FE FF 8B 55 08 3B 82 E4 FF FE FF 7C 29 8B 45 08 81 B8 E4 FF FE FF FF 0F 00 00 7F 1A 8B 45 08 8B 90 E4 FF FE FF 03 D2 89 90 E4 FF FE FF 8B 45 08 FF 80 EC FF FE FF 8B 45 08 8B 55 FC 89 90 D8 FF FE FF 8B 45 08 8B 80 FC FF FE FF 8B 55 08 81 C2 00 80 FF FF 3B C2 76 17 8B 45 08 83 A8 FC FF FE FF 04 8B 45 08 8B 80 FC FF FE FF 8B 30 EB 08 85 F6 0F 8D AD FD FF FF 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81309_0 {
	meta:
		name = "readLZW"
		size = 60
		refs = "0035 NextLZW"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 80 FC FF FE FF 8B 55 08 81 C2 00 80 FF FF 3B C2 76 17 8B 45 08 83 A8 FC FF FE FF 04 8B 45 08 8B 80 FC FF FE FF 8B 00 5D C3 8B 45 08 50 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_81310_0 {
	meta:
		name = "TGIFFrame.Decompress"
		size = 994
		refs = "0042 TGIFFrame.Decompress 006c sOutOfData 0071 LoadResString 0080 TGIFItem.Warning 0099 sInvalidData 00b9 TGIFFrame.NewImage 00c0 TGIFFrame.ClearImage 012c _DV_TGIFBitReader 0131 TGIFBitReader.Create 0165 TGIFFrame.GetInterlaced 01c1 readLZW 01cb @TryFinallyExit 025d TStream.GetPosition 0263 MulDiv 027a Rect 028c sProgressLoading 02a8 @CallDynaInst 0382 TGIFBitReader.SkipData 039a TObject.Free 03a0 @HandleFinally 03bf @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 50 B8 10 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 A0 53 56 57 33 C9 89 8D 9C FF FE FF 89 8D A0 FF FE FF 89 8D B4 FF FE FF 89 8D B8 FF FE FF 89 95 D0 FF FE FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 EB FF FE FF B9 01 00 00 00 8B 85 D0 FF FE FF 8B 30 FF 56 0C 48 74 24 8D 95 B8 FF FE FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D B8 FF FE FF B2 01 8B C3 E8 ?? ?? ?? ?? E9 1D 03 00 00 80 BD EB FF FE FF 0C 76 24 8D 95 B4 FF FE FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D B4 FF FE FF B2 01 8B C3 E8 ?? ?? ?? ?? E9 F0 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 85 EB FF FE FF 40 89 85 EC FF FE FF 0F B6 8D EB FF FE FF B8 01 00 00 00 D3 E0 89 85 F4 FF FE FF 8B 85 F4 FF FE FF 40 89 85 D4 FF FE FF 8B 85 F4 FF FE FF 03 C0 89 85 E4 FF FE FF 8B 85 F4 FF FE FF 83 C0 02 89 85 E0 FF FE FF C6 85 FB FF FE FF 01 8D 85 00 80 FF FF 89 85 FC FF FE FF 8B 8D D0 FF FE FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 F0 FF FE FF 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 04 8B 95 F0 FF FE FF 89 42 0C 8B 00 8B 40 74 89 42 08 BF 10 27 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 51 01 00 00 33 C0 89 85 C8 FF FE FF 33 C0 89 85 C4 FF FE FF C7 85 C0 FF FE FF 08 00 00 00 0F B7 43 2B 48 85 C0 0F 8C E3 01 00 00 40 89 85 BC FF FE FF 8B 53 18 0F B7 43 29 8B C8 0F AF 8D C8 FF FE FF 03 D1 89 95 CC FF FE FF 8B F0 4E 85 F6 7C 27 46 55 E8 ?? ?? ?? ?? 59 85 C0 7D 0A E8 ?? ?? ?? ?? E9 D2 01 00 00 8B 95 CC FF FE FF 88 02 FF 85 CC FF FE FF 4E 75 DA 8B 85 C0 FF FE FF 01 85 C8 FF FE FF 0F B7 43 2B 3B 85 C8 FF FE FF 7F 42 83 BD C4 FF FE FF 00 7E 14 B9 02 00 00 00 8B 85 C0 FF FE FF 99 F7 F9 89 85 C0 FF FE FF FF 85 C4 FF FE FF 8B 85 C0 FF FE FF D1 F8 79 03 83 D0 00 89 85 C8 FF FE FF 0F B7 43 2B 3B 85 C8 FF FE FF 7E BE 0F B7 43 29 2B F8 85 FF 7F 68 8B 85 D0 FF FE FF 8B 10 FF 12 50 6A 64 8B 85 D0 FF FE FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 85 A4 FF FE FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 A4 FF FE FF 50 8D 95 A0 FF FE FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 A0 FF FE FF 50 8B 43 04 B1 01 8B D3 66 BE FD FF E8 ?? ?? ?? ?? BF 10 27 00 00 FF 8D BC FF FE FF 0F 85 E2 FE FF FF E9 B9 00 00 00 8B 43 18 89 85 CC FF FE FF 0F B7 43 2B 0F B7 53 29 F7 EA 48 85 C0 0F 8C 9D 00 00 00 40 89 85 BC FF FE FF 55 E8 ?? ?? ?? ?? 59 85 C0 0F 8C 87 00 00 00 8B 95 CC FF FE FF 88 02 FF 85 CC FF FE FF 4F 85 FF 7D 68 8B 85 D0 FF FE FF 8B 10 FF 12 50 6A 64 8B 85 D0 FF FE FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 85 A4 FF FE FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 A4 FF FE FF 50 8D 95 9C FF FE FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 9C FF FE FF 50 8B 43 04 B1 01 8B D3 66 BE FD FF E8 ?? ?? ?? ?? BF 10 27 00 00 FF 8D BC FF FE FF 0F 85 6A FF FF FF 8B 85 F0 FF FE FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 85 F0 FF FE FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 9C FF FE FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 B4 FF FE FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81311_0 {
	meta:
		name = "HashKey"
		size = 20
	strings:
		$1 = { 8B C8 8B C1 C1 E8 04 33 C1 B9 49 1F 00 00 99 F7 F9 8B C2 C3 }
	condition:
		$1
}

rule function_81312_0 {
	meta:
		name = "NextHashKey"
		size = 29
	strings:
		$1 = { 66 BA 49 1F 66 2B D0 66 85 C0 75 04 66 BA 01 00 66 2B C2 66 85 C0 7D 04 66 05 49 1F C3 }
	condition:
		$1
}

rule function_81313_0 {
	meta:
		name = "THashTable.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TObject.Create 0021 @GetMem 002b THashTable.Clear 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B8 24 7D 00 00 E8 ?? ?? ?? ?? 89 46 04 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81315_0 {
	meta:
		name = "THashTable.Clear"
		size = 19
		refs = "000e @FillChar"
	strings:
		$1 = { 8B 40 04 B9 FF 00 00 00 BA 24 7D 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81316_0 {
	meta:
		name = "THashTable.Insert"
		size = 78
		refs = "000d HashKey 0018 NextHashKey"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 8B C7 E8 ?? ?? ?? ?? 8B D8 EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 0F BF C3 8B 56 04 8B 04 82 25 00 F0 FF FF 3D 00 F0 FF FF 75 E2 C1 E7 0C 66 81 E5 FF 0F 0F BF C5 0B F8 0F BF C3 8B 56 04 89 3C 82 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81317_0 {
	meta:
		name = "THashTable.Lookup"
		size = 116
		refs = "000c HashKey 0047 NextHashKey"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 8B C5 E8 ?? ?? ?? ?? 8B D8 C1 E5 0C 0F BF C3 8B 57 04 8B 34 82 81 E6 00 F0 FF FF 81 FE 00 F0 FF FF 74 38 3B F5 75 14 0F BF C3 8B 57 04 0F B7 04 82 66 25 FF 0F 66 89 04 24 EB 26 8B C3 E8 ?? ?? ?? ?? 8B D8 0F BF C3 8B 57 04 8B 34 82 81 E6 00 F0 FF FF 81 FE 00 F0 FF FF 75 C8 66 C7 04 24 FF FF 0F B7 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81319_0 {
	meta:
		name = "TGIFEncoder.MaxCodesFromBits"
		size = 11
	strings:
		$1 = { 8B CA 66 B8 01 00 66 D3 E0 48 C3 }
	condition:
		$1
}

rule function_81320_0 {
	meta:
		name = "TGIFEncoder.Output"
		size = 118
		refs = "0016 BitBucketMask 003a TGIFWriter.WriteByte"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 34 85 C0 7E 17 8B C8 8B D6 D3 E2 8B 04 85 ?? ?? ?? ?? 23 43 30 0B D0 89 53 30 EB 03 89 73 30 8B 43 3C 01 43 34 EB 17 0F B6 53 30 80 E2 FF 8B 43 2C E8 ?? ?? ?? ?? C1 6B 30 08 83 6B 34 08 83 7B 34 08 7D E3 0F BF 43 48 3B F0 75 1F EB 17 0F B6 53 30 80 E2 FF 8B 43 2C E8 ?? ?? ?? ?? C1 6B 30 08 83 6B 34 08 83 7B 34 00 7F E3 5E 5B C3 }
	condition:
		$1
}

rule function_81321_0 {
	meta:
		name = "TGIFEncoder.Clear"
		size = 13
	strings:
		$1 = { C6 40 38 01 0F BF 50 46 8B 08 FF 11 C3 }
	condition:
		$1
}

rule function_81322_0 {
	meta:
		name = "TGIFEncoder.BumpPixel"
		size = 146
	strings:
		$1 = { FF 48 50 83 78 50 00 0F 8F 82 00 00 00 80 78 24 00 75 03 33 C0 C3 8B 50 1C 89 50 50 8B 50 58 83 EA 01 72 0A 74 20 4A 74 35 4A 74 4A EB 4C 83 40 54 08 8B 50 54 3B 50 20 7C 40 FF 40 58 C7 40 54 04 00 00 00 EB 34 83 40 54 08 8B 50 54 3B 50 20 7C 28 FF 40 58 C7 40 54 02 00 00 00 EB 1C 83 40 54 04 8B 50 54 3B 50 20 7C 10 FF 40 58 C7 40 54 01 00 00 00 EB 04 83 40 54 02 8B 50 54 3B 50 20 7C 03 33 C0 C3 0F AF 50 1C 03 50 28 89 50 4C B0 01 C3 }
	condition:
		$1
}

rule function_81323_0 {
	meta:
		name = "TGIFEncoder.Compress"
		size = 430
		refs = "008b TGIFEncoder.MaxCodesFromBits 010b _DV_TGIFWriter 0110 TGIFWriter.Create 0120 TGIFEncoder.Compress 018e TObject.Free 0194 @HandleFinally 01a3 WriteByte"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B 45 FC 8B 55 08 89 50 10 8B 45 FC 89 58 18 8B 45 FC 88 48 14 8B 45 FC 8B 55 18 89 50 1C 8B 45 FC 8B 55 14 89 50 20 8B 45 FC 0F B6 55 10 88 50 24 8B 45 FC 8B 55 0C 89 50 28 8B 45 FC 80 78 14 01 77 07 8B 45 FC C6 40 14 02 8B 45 FC 0F B6 40 14 40 8B 55 FC 89 42 40 8B 45 FC 8D 50 14 8B 45 FC 8B 40 18 B9 01 00 00 00 8B 30 FF 56 10 8B 45 FC 8B 70 40 8B 45 FC 89 70 3C 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 66 89 42 44 8B 45 FC 8B 48 40 49 66 B8 01 00 66 D3 E0 8B 55 FC 66 89 42 46 8B D0 42 8B 45 FC 66 89 50 48 42 8B 45 FC 66 89 50 4A 8B 45 FC 33 D2 89 50 30 8B 45 FC 33 D2 89 50 34 8B 45 FC 80 78 24 00 74 0E 8B 45 FC 8B 40 1C 8B 55 FC 89 42 50 EB 12 8B 45 FC 8B 40 1C 8B 55 FC F7 6A 20 8B 55 FC 89 42 50 8B 45 FC 33 D2 89 50 54 8B 45 FC 33 D2 89 50 58 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 70 2C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 08 89 56 08 8B 50 0C 89 56 0C 8B 45 FC 83 78 28 00 74 2A 8B 45 FC 83 78 20 00 7E 21 8B 45 FC 83 78 1C 00 7E 18 8B 45 FC 8B 10 FF 52 08 8B 45 FC 0F BF 50 48 8B 45 FC 8B 08 FF 11 EB 0E 8B 45 FC 0F BF 50 48 8B 45 FC 8B 08 FF 11 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8B 40 18 33 D2 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_81324_0 {
	meta:
		name = "TLZWEncoder.Output"
		size = 93
		refs = "0007 TGIFEncoder.Output 002c TGIFEncoder.MaxCodesFromBits"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 43 62 66 3B 43 44 7F 06 80 7B 38 00 74 3F 80 7B 38 00 74 19 8B 73 40 89 73 3C 8B D6 8B C3 E8 ?? ?? ?? ?? 66 89 43 44 C6 43 38 00 EB 20 FF 43 3C 8B 73 3C 83 FE 0C 75 08 66 C7 43 44 00 10 EB 0D 8B D6 8B C3 E8 ?? ?? ?? ?? 66 89 43 44 5E 5B C3 }
	condition:
		$1
}

rule function_81325_0 {
	meta:
		name = "TLZWEncoder.Clear"
		size = 32
		refs = "0006 TGIFEncoder.Clear 000e THashTable.Clear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 64 E8 ?? ?? ?? ?? 0F B7 43 46 66 83 C0 02 66 89 43 62 5B C3 }
	condition:
		$1
}

rule function_81326_0 {
	meta:
		name = "TLZWEncoder.DoCompress"
		size = 408
		refs = "0013 TLZWEncoder.DoCompress 0020 _DV_THashTable 0025 THashTable.Create 0078 sInvalidColor 007d LoadResString 0085 Error 00d5 THashTable.Lookup 011c THashTable.Insert 0135 TGIFEncoder.BumpPixel 0163 TObject.Free 0169 @HandleFinally 0185 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 64 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 04 8B 45 FC 8B 40 28 8B 55 FC 89 42 4C 0F B6 00 8B 55 FC 66 89 42 60 8B 45 FC FF 40 4C 8B 45 FC 0F BF 40 60 8B 55 FC 3B 42 10 0F 8C BD 00 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E9 A3 00 00 00 8B 45 FC 8B 40 4C 0F B6 18 8B 45 FC FF 40 4C 0F B6 C3 8B 55 FC 3B 42 10 7C 15 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 0F BF 70 60 C1 E6 08 0F B6 C3 0B F0 8B 45 FC 8B 40 64 8B D6 E8 ?? ?? ?? ?? 8B F8 66 85 FF 7C 09 8B 45 FC 66 89 78 60 EB 48 8B 45 FC 0F BF 50 60 8B 45 FC 8B 08 FF 11 0F B6 C3 8B 55 FC 66 89 42 60 8B 45 FC 66 81 78 62 FF 0F 7D 1D 8B 45 FC 0F B7 48 62 8B 45 FC 8B 40 64 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 66 FF 40 62 EB 08 8B 45 FC 8B 10 FF 52 04 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 4D FF FF FF 8B 45 FC 0F BF 50 60 8B 45 FC 8B 08 FF 11 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 64 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81327_0 {
	meta:
		name = "TGIFFrame.Compress"
		size = 175
		refs = "001d TGIFColorMap.GetBitsPerPixel 0029 TGIFImage.GetBitsPerPixel 003b _DV_TLZWEncoder 0040 TObject.Create 004b TGIFFrame.Compress 0073 TGIFFrame.GetInterlaced 0087 TGIFEncoder.Compress 009c TObject.Free 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B F0 8B 5E 20 8B 43 08 85 C0 7E 0D 8B F8 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 13 8B 46 04 E8 ?? ?? ?? ?? 8B D8 8B CB BF 01 00 00 00 D3 E7 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 8B 55 F8 89 42 0C 8B 00 8B 40 74 89 42 08 0F B7 46 29 50 0F B7 46 2B 50 8B C6 E8 ?? ?? ?? ?? 50 8B 46 18 50 57 0F B6 CB 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81329_0 {
	meta:
		name = "TGIFExtensionList.GetImage"
		size = 7
	strings:
		$1 = { 8B 40 08 8B 40 04 C3 }
	condition:
		$1
}

rule function_81332_0 {
	meta:
		name = "TGIFExtensionList.LoadFromStream"
		size = 331
		refs = "0019 TGIFExtensionList.LoadFromStream 004f _DV_TGIFExtension 0054 TGIFExtension.FindExtension 0065 sUnknownExtension 006a LoadResString 0072 Error 00b0 TGIFList.Add 00bf @HandleAnyException 00c7 TObject.Free 00cc @RaiseAgain 00d1 @DoneExcept 00db sBadExtensionLabel 0138 @UStrArrayClr 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D F0 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FF B9 01 00 00 00 8B C3 8B 38 FF 57 0C 48 0F 85 E9 00 00 00 E9 C6 00 00 00 0F B6 45 FF 66 83 F8 21 0F 85 8B 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 15 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 66 B9 01 00 83 CA FF 8B C3 8B 38 FF 57 14 8B 4E 08 B2 01 8B 45 F4 FF 50 20 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 8B 08 FF 51 18 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 34 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 8B C6 8B 30 FF 56 0C EB 22 8D 55 FF B9 01 00 00 00 8B C3 8B 38 FF 57 0C 48 75 1E 0F B6 45 FF 2C 2C 74 08 2C 0F 0F 85 2A FF FF FF 66 B9 01 00 83 CA FF 8B C3 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81333_0 {
	meta:
		name = "TGIFExtensionList.Assign"
		size = 131
		refs = "000e _DV_TGIFExtensionList 0013 @IsClass 001e _Dn_TMemoryStream 0023 TObject.Create 002e TGIFExtensionList.Assign 0069 TObject.Free 006f @HandleFinally 007a TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 14 33 C9 33 D2 8B 45 FC 8B 30 FF 56 14 8B 55 FC 8B C3 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81413_0 {
	meta:
		name = "TGIFExtension.Assign"
		size = 131
		refs = "000e _DV_TGIFExtension 0013 @IsClass 001e _Dn_TMemoryStream 0023 TObject.Create 002e TGIFExtension.Assign 0069 TObject.Free 006f @HandleFinally 007a TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 14 33 C9 33 D2 8B 45 FC 8B 30 FF 56 14 8B 55 FC 8B C3 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81334_0 {
	meta:
		name = "TGIFFrame.Create"
		size = 161
		refs = "000a @ClassCreate 0017 TGIFItem.Create 0020 _DV_TGIFExtensionList 0025 TGIFExtensionList.Create 0031 _DV_TGIFLocalColorMap 0036 TGIFLocalColorMap.Create 0083 TGIFList.Add 008e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 C6 46 24 2C 66 C7 46 25 00 00 66 C7 46 27 00 00 66 C7 46 29 00 00 66 C7 46 2B 00 00 C6 46 2D 00 33 C0 89 46 08 33 C0 89 46 0C C6 46 10 01 33 C0 89 46 18 33 C0 89 46 1C 33 C0 89 46 34 8B 46 04 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81335_0 {
	meta:
		name = "TGIFFrame.Destroy"
		size = 89
		refs = "0003 @BeforeDestruction 0018 TGIFList.Remove 001f TGIFFrame.Clear 0027 TObject.Free 003c DeleteObject 0047 TPersistent.Destroy 0052 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 85 C0 74 0A 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 8B 46 14 85 C0 74 06 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81336_0 {
	meta:
		name = "TGIFFrame.Clear"
		size = 55
		refs = "0007 TGIFList.Clear 000f TGIFColorMap.Clear 0016 TGIFFrame.FreeImage 0025 TGIFFrame.DoSetBounds 0031 TGIFFrame.Dormant"
	strings:
		$1 = { 53 8B D8 8B 43 30 E8 ?? ?? ?? ?? 8B 43 20 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 34 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81337_0 {
	meta:
		name = "TGIFFrame.GetEmpty"
		size = 32
	strings:
		$1 = { 83 78 18 00 74 17 83 78 1C 00 74 11 66 83 78 2B 00 74 0A 66 83 78 29 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_81338_0 {
	meta:
		name = "TGIFFrame.GetPalette"
		size = 103
		refs = "002c TGIFImage.GetDoDither 0035 WebPalette 004e TGIFColorMap.ExportPalette"
	strings:
		$1 = { 53 56 57 8B D8 8B 73 08 85 F6 74 15 8B C6 8B 10 FF 52 28 85 C0 74 0A 8B 43 08 8B 10 FF 52 28 EB 42 8B 43 14 85 C0 75 3B 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 0E E8 ?? ?? ?? ?? 8B F0 89 73 14 8B C6 EB 21 8B 73 20 83 7E 08 00 7E 10 8B C6 E8 ?? ?? ?? ?? 8B F8 89 7B 14 8B C7 EB 08 8B 43 04 8B 10 FF 52 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81339_0 {
	meta:
		name = "TGIFFrame.SetPalette"
		size = 80
		refs = "0014 DeleteObject 003a TGIFFrame.FreeBitmap"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 14 3B F0 74 3E 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 7B 08 85 FF 74 0B 8B C7 8B 10 FF 52 28 3B F0 75 04 33 C0 EB 02 B0 01 89 73 14 84 C0 74 15 8B C3 E8 ?? ?? ?? ?? 8B 43 04 C6 40 22 01 8B D3 8B 08 FF 51 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81340_0 {
	meta:
		name = "TGIFFrame.NeedImage"
		size = 102
		refs = "000c TGIFFrame.NeedImage 001f TGIFFrame.NewImage 0026 TGIFFrame.ClearImage 0034 sEmptyImage 0039 LoadResString 0041 Error 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 18 00 75 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7B 1C 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_81341_0 {
	meta:
		name = "TGIFFrame.ClearImage"
		size = 54
		refs = "0012 TGIFFrame.GetTransparent 001e TGIFGraphicControlExtension.GetTransparentColorIndex 0030 @FillChar"
	strings:
		$1 = { 53 8B D8 83 7B 18 00 74 2B 83 7B 1C 00 74 25 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 43 34 E8 ?? ?? ?? ?? EB 02 33 C0 0F B6 C8 8B 43 18 8B 53 1C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81342_0 {
	meta:
		name = "TGIFFrame.NewImage"
		size = 49
		refs = "0007 TGIFFrame.FreeImage 001d @GetMem"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 73 2B 0F B7 43 29 0F AF F0 85 F6 74 0C 8B C6 E8 ?? ?? ?? ?? 89 43 18 EB 05 33 C0 89 43 18 89 73 1C 5E 5B C3 }
	condition:
		$1
}

rule function_81343_0 {
	meta:
		name = "TGIFFrame.FreeImage"
		size = 27
		refs = "000b @FreeMem"
	strings:
		$1 = { 53 8B D8 8B 43 18 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 89 43 1C 33 C0 89 43 18 5B C3 }
	condition:
		$1
}

rule function_81345_0 {
	meta:
		name = "TGIFFrame.SetHasBitmap"
		size = 28
		refs = "0010 TGIFFrame.GetBitmap 0017 TGIFFrame.FreeBitmap"
	strings:
		$1 = { 83 78 08 00 0F 95 C1 3A D1 74 10 84 D2 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81346_0 {
	meta:
		name = "TGIFFrame.NewBitmap"
		size = 27
		refs = "0006 TGIFFrame.FreeBitmap 000d _Dn_TBitmap 0012 TBitmap.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 5B C3 }
	condition:
		$1
}

rule function_81348_0 {
	meta:
		name = "TGIFFrame.FreeBitmap"
		size = 22
		refs = "000b TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 08 85 C0 74 0A E8 ?? ?? ?? ?? 33 C0 89 43 08 5B C3 }
	condition:
		$1
}

rule function_81349_0 {
	meta:
		name = "TGIFFrame.FreeMask"
		size = 27
		refs = "000c DeleteObject"
	strings:
		$1 = { 53 8B D8 8B 43 0C 85 C0 74 0B 50 E8 ?? ?? ?? ?? 33 C0 89 43 0C C6 43 10 01 5B C3 }
	condition:
		$1
}

rule function_81350_0 {
	meta:
		name = "TGIFFrame.FreePalette"
		size = 23
		refs = "000c DeleteObject"
	strings:
		$1 = { 53 8B D8 8B 43 14 85 C0 74 0B 50 E8 ?? ?? ?? ?? 33 C0 89 43 14 5B C3 }
	condition:
		$1
}

rule function_81351_0 {
	meta:
		name = "TGIFFrame.HasMask"
		size = 43
		refs = "000c TGIFFrame.GetTransparent 0017 TGIFFrame.FreeBitmap 001e TGIFFrame.GetBitmap"
	strings:
		$1 = { 53 8B D8 80 7B 10 00 74 19 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7B 0C 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_81352_0 {
	meta:
		name = "TGIFFrame.DoGetDitherBitmap"
		size = 1253
		refs = "0017 TGIFFrame.DoGetDitherBitmap 0024 _Dn_TBitmap 0029 TBitmap.Create 004a BitmapAllocationThreshold 0056 SetPixelFormat 005d TGIFFrame.GetEmpty 0080 TGIFFrame.GetPalette 0085 CopyPalette 00c9 _DV_TNetscapeColorLookup 00ce TNetscapeColorLookup.Create 00e0 _DV_TFloydSteinbergDitherer 00e5 TFloydSteinbergDitherer.Create 0106 _DV_TDIBWriter 010b TDIBWriter.Create 0115 TGIFFrame.GetActiveColorMap 0121 TColorMap 0126 @DynArrayAsg 0133 TGIFFrame.GetTransparent 0168 TGIFGraphicControlExtension.GetTransparentColorIndex 0192 MulDiv 0207 @GetMem 021c @FillChar 0287 Rect 0293 sProgressRendering 0298 LoadResString 02ac @CallDynaInst 0346 TDitherEngine.NextColumn 0426 CreateBitmap 0444 @FreeMem 044a @HandleFinally 0467 TObject.Free 049a @HandleAnyException 04a7 @RaiseAgain 04ac @DoneExcept 04c1 @UStrClr 04cf @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 D2 89 55 AC 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 0F B7 47 29 0F B7 57 2B F7 EA 3B 05 ?? ?? ?? ?? 7E 0A B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 3B 0F B7 57 29 8B 45 F8 8B 08 FF 51 44 0F B7 57 2B 8B 45 F8 8B 08 FF 51 38 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 3C 33 C0 5A 59 59 64 89 10 E9 10 04 00 00 33 C0 89 45 F4 33 C0 89 45 F0 33 C0 89 45 EC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B C7 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 50 0F B7 4F 29 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 6A 03 0F B7 47 29 50 0F B7 47 2B 50 8B C7 E8 ?? ?? ?? ?? 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B C7 E8 ?? ?? ?? ?? 8B 50 04 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7F 10 00 74 0B 8B C7 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 DB C6 45 DA 00 C6 47 10 00 C6 45 DC 00 C6 45 D9 00 83 7F 0C 00 75 61 80 7D DB 00 74 5B C6 45 DB 01 8B 47 34 E8 ?? ?? ?? ?? 88 45 DC 0F B6 45 DC 8D 04 40 8B 55 FC 66 8B 0C 02 66 89 4D DD 8A 4C 02 02 88 4D DF 6A 33 0F B6 45 DE 50 6A 06 E8 ?? ?? ?? ?? 8B D8 0F B6 45 DF B9 33 00 00 00 33 D2 F7 F1 02 D8 6A 33 0F B6 45 DD 50 6A 24 E8 ?? ?? ?? ?? 02 D8 43 88 5D D9 33 C0 89 45 D0 C6 45 C3 00 80 7D DB 00 74 58 0F B7 47 29 0F B7 D0 8B CA 83 C1 0F C1 E9 04 03 C9 89 4D C8 83 C2 07 C1 EA 03 89 55 C4 66 83 E0 07 0F B7 C0 B9 08 00 00 00 2B C8 83 E1 07 B0 01 D2 E0 88 45 C2 0F B7 47 2B F7 6D C8 E8 ?? ?? ?? ?? 89 45 D4 0F B7 57 2B 0F AF 55 C8 8B 45 D4 33 C9 E8 ?? ?? ?? ?? EB 13 33 C0 89 45 D4 33 C0 89 45 C8 33 C0 89 45 C4 C6 45 C2 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E0 8B 45 F0 8B 10 FF 52 04 8B 45 D4 89 45 CC 8B 47 18 89 45 E8 E9 99 01 00 00 F6 45 E0 1F 75 49 0F B7 47 2B 50 6A 64 8B 45 E0 50 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 45 B0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 B0 50 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC 50 8B 47 04 B1 01 8B D7 66 BE FD FF E8 ?? ?? ?? ?? 8B 55 E0 8B 45 EC 8B 08 FF 11 89 45 E4 80 7D DB 00 74 36 0F B6 4D D9 0F B7 57 29 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 F0 83 78 04 01 75 0C 8B 45 CC 89 45 D0 C6 45 C3 80 EB 11 8B 45 CC 03 45 C4 48 89 45 D0 0F B6 45 C2 88 45 C3 8B 45 F0 8B 40 08 01 45 E4 E9 B4 00 00 00 8B 45 E8 0F B6 18 0F B6 C3 8D 04 40 8B 55 FC 66 8B 0C 02 66 89 4D DD 8A 4C 02 02 88 4D DF 80 7D DB 00 74 21 3A 5D DC 75 1C 8B 45 D0 0F B6 00 0A 45 C3 8B 55 D0 88 02 C6 45 DA 01 8B 45 F0 E8 ?? ?? ?? ?? EB 26 0F B6 45 DF 50 8D 45 DD 50 8D 45 DE 50 8D 45 DF 50 0F B6 4D DE 0F B6 55 DD 8B 45 F0 8B 18 FF 53 08 8B 55 E4 88 02 80 7D DB 00 74 31 8B 45 F0 83 78 04 01 75 18 0F B6 45 C3 D1 E8 88 45 C3 80 7D C3 00 75 19 C6 45 C3 80 FF 45 D0 EB 10 D0 65 C3 80 7D C3 00 75 07 C6 45 C3 01 FF 4D D0 8B 45 F0 8B 40 04 01 45 E8 8B 45 F0 8B 40 04 01 45 E4 8B 45 F0 8B 40 08 8B 55 F0 3B 42 10 7D 0D 8B 45 F0 83 78 08 00 0F 8D 31 FF FF FF 80 7D DB 00 74 06 8B 45 C8 01 45 CC FF 45 E0 0F B7 47 29 8B 55 F0 2B 42 04 01 45 E8 8B 45 F0 8B 10 FF 52 0C 0F B7 47 2B 3B 45 E0 0F 8F 5A FE FF FF 80 7D DB 00 74 20 80 7D DA 00 74 1A 8B 45 D4 50 6A 01 6A 01 0F B7 47 2B 50 0F B7 47 29 50 E8 ?? ?? ?? ?? 89 47 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D4 00 74 08 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? 83 7D F0 00 74 08 8B 45 F0 E8 ?? ?? ?? ?? 83 7D EC 00 74 08 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81353_0 {
	meta:
		name = "TGIFFrame.DoGetBitmap"
		size = 814
		refs = "0014 TGIFFrame.DoGetBitmap 0021 _Dn_TBitmap 0026 TBitmap.Create 0047 BitmapAllocationThreshold 0053 SetPixelFormat 005a TGIFFrame.GetEmpty 007d TGIFFrame.GetPalette 0082 CopyPalette 00b7 _DV_TDIBWriter 00bc TDIBWriter.Create 00da TGIFFrame.GetTransparent 0107 TGIFGraphicControlExtension.GetTransparentColorIndex 012b @GetMem 0140 @FillChar 019b MulDiv 01af Rect 01bb sProgressRendering 01c0 LoadResString 01d4 @CallDynaInst 01e3 Move 029f CreateBitmap 02bd @FreeMem 02c3 @HandleFinally 02da TObject.Free 02f1 @HandleAnyException 02fe @RaiseAgain 0303 @DoneExcept 0318 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 D2 89 55 B8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 47 29 0F B7 57 2B F7 EA 3B 05 ?? ?? ?? ?? 7E 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 3B 0F B7 57 29 8B 45 FC 8B 08 FF 51 44 0F B7 57 2B 8B 45 FC 8B 08 FF 51 38 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 3C 33 C0 5A 59 59 64 89 10 E9 6A 02 00 00 6A 03 0F B7 47 29 50 0F B7 47 2B 50 8B C7 E8 ?? ?? ?? ?? 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7F 10 00 74 0B 8B C7 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 EA C6 45 E9 00 C6 47 10 00 C6 45 EB 00 83 7F 0C 00 75 11 80 7D EA 00 74 0B 8B 47 34 E8 ?? ?? ?? ?? 88 45 EB 80 7D EA 00 74 3A 0F B7 47 29 83 C0 0F C1 E8 04 03 C0 89 45 D8 0F B7 47 2B F7 6D D8 E8 ?? ?? ?? ?? 89 45 E4 0F B7 57 2B 0F AF 55 D8 8B 45 E4 33 C9 E8 ?? ?? ?? ?? 83 7D E4 00 0F 95 45 EA EB 0A 33 C0 89 45 E4 33 C0 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 47 18 89 45 EC 8B 45 E4 89 45 DC E9 F7 00 00 00 8B 55 F8 8B 45 F4 8B 08 FF 11 89 45 F0 F6 45 F8 1F 75 49 0F B7 47 2B 50 6A 64 8B 45 F8 50 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 45 BC 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 BC 50 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 50 8B 47 04 B1 01 8B D7 66 BE FD FF E8 ?? ?? ?? ?? 0F B7 4F 29 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? FF 45 F8 80 7D EA 00 74 7C B3 80 8B 45 DC 89 45 E0 C6 45 D3 00 0F B7 47 29 48 85 C0 7C 4C 40 89 45 CC 8B 45 EC 0F B6 00 3A 45 EB 75 03 08 5D D3 0F B6 C3 D1 E8 8B D8 84 DB 75 27 B3 80 80 7D E9 00 75 0A 80 7D D3 00 75 04 33 C0 EB 02 B0 01 88 45 E9 8B 45 E0 0F B6 55 D3 88 10 FF 45 E0 C6 45 D3 00 FF 45 EC FF 4D CC 75 B8 80 7D D3 00 74 0D C6 45 E9 01 8B 45 E0 0F B6 55 D3 88 10 8B 45 D8 01 45 DC EB 07 0F B7 47 29 01 45 EC 0F B7 47 2B 3B 45 F8 0F 8F FC FE FF FF 80 7D EA 00 74 20 80 7D E9 00 74 1A 8B 45 E4 50 6A 01 6A 01 0F B7 47 2B 50 0F B7 47 29 50 E8 ?? ?? ?? ?? 89 47 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 08 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81354_0 {
	meta:
		name = "TGIFFrame.GetBitmap"
		size = 420
		refs = "0018 TGIFFrame.GetBitmap 0039 TGIFFrame.GetEmpty 006c Rect 0078 sProgressRendering 007d LoadResString 0095 @CallDynaInst 00ae TGIFImage.GetDoDither 00ba TGIFFrame.DoGetDitherBitmap 00ca TGIFFrame.DoGetBitmap 014d @HandleFinally 015e @HandleOnException 0166 _Dn_EAbort 0174 @DoneExcept 018e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 D2 89 55 DC 89 55 E0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 89 45 F8 83 7D F8 00 0F 85 43 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 33 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 F4 0F B6 45 F4 50 6A 00 6A 00 8D 45 E4 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E4 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 FC 8B 40 04 33 C9 8B 55 FC 66 BE FD FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 EB 0E 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 C7 45 F4 64 00 00 00 8B 45 FC 8B 40 08 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 45 F4 50 8B 45 FC 8B 58 04 0F B6 43 22 50 6A 00 8D 45 E4 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E4 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B C3 B1 02 8B 55 FC 66 BE FD FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 80 78 22 00 74 08 8B 55 FC 8B 08 FF 51 10 C3 E9 ?? ?? ?? ?? EB 9E 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81355_0 {
	meta:
		name = "TGIFFrame.SetBitmap"
		size = 29
		refs = "0009 TGIFFrame.FreeBitmap"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 85 FF 74 09 8B D7 8B C6 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_81356_0 {
	meta:
		name = "TGIFFrame.GetActiveColorMap"
		size = 41
		refs = "0010 TGIFImage.GetColorMap"
	strings:
		$1 = { 53 8B D8 8B 43 20 83 78 08 00 7F 0E 8B 43 04 E8 ?? ?? ?? ?? 83 78 08 00 75 05 8B 43 20 5B C3 8B 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81357_0 {
	meta:
		name = "TGIFFrame.GetInterlaced"
		size = 8
	strings:
		$1 = { F6 40 2D 40 0F 95 C0 C3 }
	condition:
		$1
}

rule function_81358_0 {
	meta:
		name = "TGIFFrame.SetInterlaced"
		size = 14
	strings:
		$1 = { 84 D2 74 05 80 48 2D 40 C3 80 60 2D BF C3 }
	condition:
		$1
}

rule function_81359_0 {
	meta:
		name = "TGIFFrame.GetVersion"
		size = 83
		refs = "0016 TGIFItem.GetVersion 0026 TGIFExtensionList.GetExtension 0044 TGIFList.GetCount"
	strings:
		$1 = { 53 56 57 51 8B F0 8B 46 20 80 78 0C 00 74 04 B3 02 EB 09 8B C6 E8 ?? ?? ?? ?? 8B D8 33 FF EB 1B 8B D7 8B 46 30 E8 ?? ?? ?? ?? 8B 10 FF 52 0C 88 04 24 3A 1C 24 73 04 0F B6 1C 24 80 FB 02 73 0C 8B 46 30 E8 ?? ?? ?? ?? 3B F8 7C D4 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81360_0 {
	meta:
		name = "TGIFFrame.GetColorResolution"
		size = 14
		refs = "0007 TGIFColorMap.GetBitsPerPixel"
	strings:
		$1 = { 53 8B D8 8B 43 20 E8 ?? ?? ?? ?? 48 5B C3 }
	condition:
		$1
}

rule function_81362_0 {
	meta:
		name = "TGIFFrame.GetBoundsRect"
		size = 52
		refs = "002b Rect"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 0F B7 7B 27 0F B7 C7 0F B7 53 2B 03 C2 50 55 0F B7 73 25 0F B7 CE 0F B7 43 29 03 C8 0F B7 D7 0F B7 C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81363_0 {
	meta:
		name = "TGIFFrame.SetHeight"
		size = 23
		refs = "0012 TGIFFrame.DoSetBounds"
	strings:
		$1 = { 0F B7 48 29 51 0F B7 D2 52 0F B7 48 27 0F B7 50 25 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81364_0 {
	meta:
		name = "TGIFFrame.SetLeft"
		size = 23
		refs = "0012 TGIFFrame.DoSetBounds"
	strings:
		$1 = { 0F B7 48 29 51 0F B7 48 2B 51 0F B7 48 27 0F B7 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81365_0 {
	meta:
		name = "TGIFFrame.SetTop"
		size = 23
		refs = "0012 TGIFFrame.DoSetBounds"
	strings:
		$1 = { 0F B7 48 29 51 0F B7 48 2B 51 0F B7 CA 0F B7 50 25 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81366_0 {
	meta:
		name = "TGIFFrame.SetWidth"
		size = 23
		refs = "0012 TGIFFrame.DoSetBounds"
	strings:
		$1 = { 0F B7 D2 52 0F B7 50 2B 52 0F B7 48 27 0F B7 50 25 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81367_0 {
	meta:
		name = "CheckSize"
		size = 83
		refs = "0009 CheckSize 0022 sBadSize 0027 LoadResString 002f Error 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 C0 7C 07 3D FF FF 00 00 7E 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_81368_0 {
	meta:
		name = "TGIFFrame.DoSetBounds"
		size = 302
		refs = "0020 TGIFFrame.DoSetBounds 0030 CheckSize 0073 TGIFFrame.FreeBitmap 007a TGIFFrame.FreeMask 0081 TGIFFrame.NewImage 0088 TGIFFrame.ClearImage 00f3 sScreenSizeExceeded 00f8 LoadResString 0104 TGIFItem.Warning 0119 @UStrClr 011f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F8 89 55 FC 8B D8 8B 7D 08 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 03 C6 E8 ?? ?? ?? ?? 8B 45 F8 03 C7 E8 ?? ?? ?? ?? 0F B7 43 29 3B F0 75 0C 0F B7 43 2B 3B F8 75 04 33 C0 EB 02 B0 01 0F B7 55 FC 66 89 53 25 0F B7 55 F8 66 89 53 27 66 89 73 29 66 89 7B 2B 84 C0 74 1C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 45 F7 00 8B 43 04 8B 10 FF 52 30 8B 55 FC 03 D6 3B C2 7D 1D 8B 43 04 8B 10 FF 52 30 85 C0 7E 04 C6 45 F7 01 8B 55 FC 03 D6 8B 43 04 8B 08 FF 51 44 8B 43 04 8B 10 FF 52 24 8B 75 F8 03 F7 3B C6 7D 1A 8B 43 04 8B 10 FF 52 24 85 C0 7E 04 C6 45 F7 01 8B D6 8B 43 04 8B 08 FF 51 38 80 7D F7 00 74 19 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_81369_0 {
	meta:
		name = "TGIFFrame.SetBoundsRect"
		size = 33
		refs = "001a TGIFFrame.DoSetBounds"
	strings:
		$1 = { 53 56 8B 5A 08 8B 0A 2B D9 43 53 8B 5A 0C 8B 72 04 2B DE 43 53 8B D6 87 CA E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81370_0 {
	meta:
		name = "TGIFFrame.GetClientRect"
		size = 28
		refs = "0015 Rect"
	strings:
		$1 = { 53 56 8B F2 8B D8 0F B7 43 2B 50 56 0F B7 4B 29 33 D2 33 C0 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81371_0 {
	meta:
		name = "TGIFFrame.GetPixel"
		size = 113
		refs = "0012 TGIFFrame.GetPixel 002d sBadPixelCoordinates 0032 LoadResString 003a Error 0043 TGIFFrame.GetScanline 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 09 0F B7 43 29 48 3B F0 7E 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 03 F0 0F B6 1E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81372_0 {
	meta:
		name = "TGIFFrame.SetPixel"
		size = 183
		refs = "001a TGIFFrame.SetPixel 0035 sBadPixelCoordinates 003a LoadResString 0042 Error 004c TGIFFrame.GetScanline 0059 TGIFFrame.GetActiveColorMap 006b sInvalidColor 007f TGIFFrame.FreeBitmap 0086 TGIFFrame.FreeMask 00a2 @UStrArrayClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 09 0F B7 47 29 48 3B F0 7E 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 03 F0 3A 1E 74 36 8B C7 E8 ?? ?? ?? ?? 8B 40 08 0F B6 D3 3B C2 7F 15 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 88 1E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81373_0 {
	meta:
		name = "TGIFFrame.GetScanline"
		size = 113
		refs = "000f TGIFFrame.GetScanline 002a sBadPixelCoordinates 002f LoadResString 0037 Error 003e TGIFFrame.NeedImage 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 09 0F B7 43 2B 48 3B F0 7E 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B7 43 29 F7 EE 03 43 18 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81374_0 {
	meta:
		name = "TGIFFrame.GetTransparent"
		size = 32
		refs = "000e TGIFGraphicControlExtension.GetTransparent"
	strings:
		$1 = { 53 56 8B D8 8B 73 34 85 F6 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_81375_0 {
	meta:
		name = "TGIFFrame.Prepare"
		size = 56
		refs = "0024 TGIFFrame.GetColorResolution"
	strings:
		$1 = { 53 8B D8 80 63 2D 50 8B 43 20 83 78 08 00 7E 26 80 4B 2D 80 8B 43 20 80 78 0C 00 74 04 80 4B 2D 20 8B C3 E8 ?? ?? ?? ?? 24 07 0F B6 53 2D 80 E2 F8 0A C2 88 43 2D 5B C3 }
	condition:
		$1
}

rule function_81376_0 {
	meta:
		name = "TGIFFrame.SaveToStream"
		size = 73
		refs = "0014 TGIFFrame.GetEmpty 001f TGIFFrame.Prepare 0038 TGIFColorMap.SaveToStream 0041 TGIFFrame.Compress"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B 43 30 8B 08 FF 51 14 8B C3 E8 ?? ?? ?? ?? 84 C0 75 29 8B C3 E8 ?? ?? ?? ?? 8D 53 24 B9 0A 00 00 00 8B C6 8B 38 FF 57 10 8B D6 8B 43 20 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81377_0 {
	meta:
		name = "TGIFFrame.LoadFromStream"
		size = 494
		refs = "0015 TGIFFrame.LoadFromStream 0022 TGIFFrame.Clear 0077 ReadCheck 0089 sInvalidData 008e LoadResString 0096 Error 00ec sBadSize 00fd TGIFItem.Warning 012b sScreenSizeExceeded 016b sImageBadColorSize 0184 TGIFColorMap.LoadFromStream 018d TGIFFrame.Decompress 0194 TGIFFrame.GetEmpty 01b1 TGIFFrame.DoSetBounds 01b7 GIFImageRenderOnLoad 01c1 TGIFFrame.GetBitmap 01db @UStrArrayClr 01e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 30 8B 08 FF 51 18 8D 55 FF B9 01 00 00 00 8B C6 8B 38 FF 57 0C 48 0F 85 7F 01 00 00 66 B9 01 00 83 CA FF 8B C6 8B 38 FF 57 14 0F B6 45 FF 66 83 F8 3B 0F 84 63 01 00 00 80 7D FF 00 0F 84 59 01 00 00 8D 53 24 B9 0A 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 43 24 66 83 F8 2C 74 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 0F B7 53 25 0F B7 CA 0F B7 7B 29 03 CF 81 F9 FF FF 00 00 76 0F B0 01 66 03 53 29 66 81 E2 FF FF 66 89 53 29 0F B7 53 27 0F B7 CA 0F B7 7B 2B 03 CF 81 F9 FF FF 00 00 76 0F B0 01 66 03 53 2B 66 81 E2 FF FF 66 89 53 2B 84 C0 74 19 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 8B C3 E8 ?? ?? ?? ?? 66 83 7B 2B 00 74 07 66 83 7B 29 00 75 31 8B 43 04 8B 10 FF 52 24 66 89 43 2B 8B 43 04 8B 10 FF 52 30 66 89 43 29 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 8B C3 E8 ?? ?? ?? ?? 0F B6 43 2D 8B D0 80 E2 80 80 FA 80 75 3A 8B C8 80 E1 07 BF 02 00 00 00 D3 E7 83 FF 02 7C 08 81 FF 00 01 00 00 7E 15 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B CF 8B D6 8B 43 20 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 29 0F B7 43 29 50 0F B7 43 2B 50 0F B7 4B 27 0F B7 53 25 8B C3 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81378_0 {
	meta:
		name = "TGIFFrame.AssignTo"
		size = 54
		refs = "000a _Dn_TBitmap 000f @IsClass 001a TGIFFrame.GetBitmap 002f TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 08 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81611_0 {
	meta:
		name = "TJPEGImage.AssignTo"
		size = 54
		refs = "000a _Dn_TBitmap 000f @IsClass 001a TJPEGImage.GetBitmap 002f TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 08 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81379_0 {
	meta:
		name = "Import8Bit"
		size = 427
		refs = "0015 Import8Bit 0032 TBitmap.GetHandleType 0044 TBitmap.GetCanvas 0049 TCanvas.GetHandle 0059 TGIFColorMap.ImportDIBColors 0079 TGIFColorMap.ImportPalette 00aa MulDiv 00be Rect 00ca sProgressConverting 00cf LoadResString 00ed @CallDynaInst 010a Move 0169 SInvalidBitmap 017e TGIFItem.Warning 0198 @UStrArrayClr 019e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C0 89 45 E4 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 78 18 8B 45 08 8B 40 FC 8B 40 08 E8 ?? ?? ?? ?? 84 C0 75 25 8B 45 08 8B 40 FC 8B 40 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 40 20 E8 ?? ?? ?? ?? EB 1E 8B 45 08 8B 40 FC 8B 40 08 8B 10 FF 52 28 8B D0 8B 45 08 8B 40 FC 8B 40 20 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 0F B7 40 2B 48 85 C0 0F 8C 94 00 00 00 40 89 45 FC 33 DB F6 C3 1F 75 56 8B 45 08 8B 40 FC 0F B7 40 2B 50 6A 64 53 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 45 EC 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 08 8B 50 FC 8B 45 08 8B 40 FC 8B 40 04 B1 01 66 BE FD FF E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B D3 8B 08 FF 11 8B 55 08 8B 52 FC 0F B7 4A 29 8B D7 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 0F B7 40 29 03 F8 43 FF 4D FC 0F 85 72 FF FF FF 8B 45 08 8B 40 FC 8B 40 20 81 78 08 00 01 00 00 7D 4C 0F B6 40 08 8B 55 08 8B 52 FC 8B 7A 18 8B 55 08 8B 52 FC 8B 5A 1C 33 D2 85 DB 7E 0F 3A 07 77 05 C6 07 00 B2 01 47 4B 85 DB 7F F1 84 D2 74 1D 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8B 45 08 8B 40 FC B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81380_0 {
	meta:
		name = "Import4Bit"
		size = 300
		refs = "0011 Import4Bit 003e TGIFColorMap.ImportPalette 0078 MulDiv 008c Rect 0098 sProgressConverting 009d LoadResString 00bb @CallDynaInst 011a @UStrClr 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C0 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 58 18 8B 45 08 8B 40 FC 8B 40 08 8B 10 FF 52 28 8B D0 8B 45 08 8B 40 FC 8B 40 20 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 0F B7 40 2B 48 85 C0 0F 8C B4 00 00 00 40 89 45 F8 C7 45 FC 00 00 00 00 F6 45 FC 1F 75 59 8B 45 08 8B 40 FC 0F B7 40 2B 50 6A 64 8B 45 FC 50 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 45 E8 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 08 8B 50 FC 8B 45 08 8B 40 FC 8B 40 04 B1 01 66 BE FD FF E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 FC 8B 08 FF 11 8B F0 8B 45 08 8B 40 FC 0F B7 40 29 48 85 C0 7C 20 40 33 D2 F6 C2 01 75 0A 0F B6 0E C1 E9 04 88 0B EB 09 0F B6 0E 80 E1 0F 88 0B 46 43 42 48 75 E3 FF 45 FC FF 4D F8 0F 85 57 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81381_0 {
	meta:
		name = "Import1Bit"
		size = 315
		refs = "0012 Import1Bit 0042 TGIFColorMap.ImportPalette 007c MulDiv 0090 Rect 009c sProgressConverting 00a1 LoadResString 00bf @CallDynaInst 0128 @UStrClr 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C0 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 18 89 45 FC 8B 45 08 8B 40 FC 8B 40 08 8B 10 FF 52 28 8B D0 8B 45 08 8B 40 FC 8B 40 20 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 0F B7 40 2B 48 85 C0 0F 8C BE 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 F6 45 F8 1F 75 59 8B 45 08 8B 40 FC 0F B7 40 2B 50 6A 64 8B 45 F8 50 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 45 E4 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E4 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 08 8B 50 FC 8B 45 08 8B 40 FC 8B 40 04 B1 01 66 BE FD FF E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 F8 8B 08 FF 11 8B F0 8B 45 08 8B 40 FC 0F B7 48 29 33 C0 33 D2 85 C9 7E 27 85 C0 75 09 B8 08 00 00 00 0F B6 16 46 BB 80 00 00 00 23 DA C1 EB 07 8B 7D FC 88 1F 03 D2 FF 45 FC 48 49 85 C9 7F D9 FF 45 F8 FF 4D F4 0F 85 4D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81382_0 {
	meta:
		name = "Import24Bit"
		size = 487
		refs = "0014 Import24Bit 0076 MulDiv 008a Rect 0096 sProgressConverting 009b LoadResString 00b9 @CallDynaInst 012f TGIFColorMap.AddUnique 0174 TColorMap 0179 @DynArrayAsg 01c7 @UStrClr 01d5 @DynArrayClear 01db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 33 C0 89 45 94 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 18 89 45 F4 33 C0 8D 55 AC C7 02 FF FF FF FF 40 83 C2 08 83 F8 08 75 F1 33 DB 8B 45 08 8B 40 FC 0F B7 40 2B 48 85 C0 0F 8C 10 01 00 00 40 89 45 E8 C7 45 EC 00 00 00 00 F6 45 EC 1F 75 59 8B 45 08 8B 40 FC 0F B7 40 2B 50 6A 64 8B 45 EC 50 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 45 98 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 98 50 8D 55 94 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 94 50 8B 45 08 8B 50 FC 8B 45 08 8B 40 FC 8B 40 04 B1 01 66 BE FD FF E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 EC 8B 08 FF 11 89 45 F0 8B 45 08 8B 40 FC 0F B7 70 29 4E 85 F6 7C 7B 46 33 C0 89 45 FC 8B 45 F0 66 8B 10 66 89 55 FC 8A 50 02 88 55 FE 8B C3 83 7C C5 AC FF 74 27 8B 54 C5 A8 3B 55 FC 75 0E 0F B6 54 C5 AC 8B 4D F4 88 11 8B D8 EB 3B 85 C0 75 07 B8 07 00 00 00 EB 01 48 3B D8 75 D2 8B 45 08 8B 40 FC 8B 40 20 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 88 02 43 83 E3 07 8B 45 FC 89 44 DD A8 8B 45 F4 0F B6 00 89 44 DD AC FF 45 F4 83 45 F0 03 4E 75 86 FF 45 EC FF 4D E8 0F 85 FB FE FF FF 8D 45 F8 8B 55 08 8B 52 FC 8B 52 20 8B 52 04 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 20 8B 40 08 48 85 C0 7C 28 8D 14 40 8B 4D F8 0F B6 0C 11 8B 5D F8 0F B6 5C 13 02 8B 75 F8 88 1C 16 8B 5D F8 88 4C 13 02 83 45 F8 03 48 85 C0 7D D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81383_0 {
	meta:
		name = "ImportViaDraw"
		size = 67
		refs = "002b SetPixelFormat 0033 TBitmap.GetCanvas"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 24 8B D0 8B C3 8B 08 FF 51 38 8B C6 8B 10 FF 52 30 8B D0 8B C3 8B 08 FF 51 44 B2 06 8B C3 E8 ?? ?? ?? ?? 56 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 18 FF 53 44 5E 5B C3 }
	condition:
		$1
}

rule function_81384_0 {
	meta:
		name = "MakeTransparent"
		size = 51
		refs = "0010 _DV_TGIFGraphicControlExtension 0015 TGIFGraphicControlExtension.Create 0020 TGIFGraphicControlExtension.SetTransparent 0029 TGIFGraphicControlExtension.SetTransparentColorIndex"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 45 08 8B 48 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_81385_0 {
	meta:
		name = "AddMask"
		size = 277
		refs = "003a GIFDefaultTransparentColor 003f TGIFColorMap.Add 0051 _DV_TDIBReader 0056 TDIBReader.Create 0061 AddMask 009b TGIFFrame.GetScanline 00de TObject.Free 00e4 @HandleFinally 00f8 MakeTransparent 010c TGIFColorMap.Delete"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D8 8B 45 08 8B 40 FC 8B 40 20 8B 10 FF 52 18 8B 45 08 8B 40 FC 8B 50 20 8B 42 08 85 C0 0F 84 E5 00 00 00 3D 00 01 00 00 0F 84 DA 00 00 00 8B C2 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 C6 45 F3 00 6A 03 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 08 8B 40 FC 0F B7 40 2B 48 85 C0 7C 53 40 89 45 EC C7 45 F4 00 00 00 00 8B 55 F4 8B 45 FC 8B 08 FF 11 8B D8 8B 45 08 8B 40 FC 8B 55 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 0F B7 40 29 48 85 C0 7C 15 40 80 3B 00 74 0A 0F B6 4D F8 88 0A C6 45 F3 01 43 42 48 75 EC FF 45 F4 FF 4D EC 75 B8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F3 00 74 0F 8B 45 08 50 8B 45 F8 E8 ?? ?? ?? ?? 59 EB 11 8B 45 08 8B 40 FC 8B 40 20 8B 55 F8 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81386_0 {
	meta:
		name = "AddMaskOnly"
		size = 141
		refs = "0010 _Dn_TBitmap 0015 TBitmap.Create 002f AddMaskOnly 003f TBitmap.SetHandle 0056 AddMask 006c TBitmap.ReleaseHandle 0074 TObject.Free 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 85 DB 74 7B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 51 08 8B 45 08 50 8B 45 F8 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81387_0 {
	meta:
		name = "AddIconMask"
		size = 105
		refs = "0010 TIcon.GetHandle 0016 GetIconInfo 0022 AddIconMask 0034 AddMaskOnly 004b DeleteObject 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D8 8D 45 EC 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 46 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 50 8B 45 F8 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 06 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81388_0 {
	meta:
		name = "DrawMetafile"
		size = 156
		refs = "0039 SetPixelFormat 0040 TBitmap.GetCanvas 004a TBrush.SetColor 005b TBrush.SetStyle"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 8B D8 8B 45 08 8B 40 FC 8B 10 FF 52 30 8B D0 8B C3 8B 08 FF 51 44 8B 45 08 8B 40 FC 8B 10 FF 52 24 8B D0 8B C3 8B 08 FF 51 38 B2 06 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 40 48 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 51 10 8D 45 F0 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 8B 45 08 8B 40 FC 50 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 18 FF 53 44 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81389_0 {
	meta:
		name = "AddMetafileMask"
		size = 207
		refs = "000d _Dn_TBitmap 0012 TBitmap.Create 001d AddMetafileMask 004e DrawMetafile 0063 TBitmap.GetCanvas 008b AddMask 00a1 TObject.Free 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 BA FF FF FF 00 8B 45 F8 E8 ?? ?? ?? ?? 59 55 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? C7 40 54 46 00 66 00 8B 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 18 FF 53 44 8B 45 08 50 8B 45 F8 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81390_0 {
	meta:
		name = "TGIFFrame.Assign"
		size = 1442
		refs = "0021 TGIFFrame.Assign 0041 TGIFFrame.Clear 004f _DV_TGIFFrame 0054 @IsClass 006e TGIFFrame.GetEmpty 0095 TGIFFrame.NewImage 00bb Move 00c5 TGIFFrame.GetActiveColorMap 00e7 TGIFFrame.GetHasBitmap 00f7 TGIFFrame.NewBitmap 00fe TGIFFrame.GetBitmap 0119 _Dn_TBitmap 0151 TGIFFrame.SetWidth 0162 TGIFFrame.SetHeight 0169 TBitmap.GetPixelFormat 0181 @FillChar 0194 GetObject 020e ReduceColors 025d Rect 0269 sProgressConverting 026e LoadResString 0286 @CallDynaInst 02b7 _DV_TDIBReader 02bc TDIBReader.Create 02e3 Import8Bit 02ec Import4Bit 02f5 Import1Bit 02fe Import24Bit 0314 TObject.Free 031a @HandleFinally 0344 AddMaskOnly 034d TGIFFrame.GetTransparent 0358 TBitmap.GetTransparentColor 0364 TGIFGraphicControlExtension.GetTransparentColorIndex 0377 TGIFColorMap.SetColor 038e TGIFColorMap.IndexOf 0399 MakeTransparent 040b _Dn_TGraphic 043c TBitmap.Create 0456 _Dn_TIcon 0468 _Dn_TMetafile 048a ImportViaDraw 0499 @HandleAnyException 04a9 @DoneExcept 0526 AddIconMask 0542 AddMetafileMask 054e _Dn_TPicture 0572 TPersistent.Assign 058f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 7C FF FF FF 53 56 57 33 C9 89 8D 7C FF FF FF 89 4D 80 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 3B 45 FC 0F 84 3F 05 00 00 83 7D F4 00 75 0D 8B 45 FC E8 ?? ?? ?? ?? E9 2C 05 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 5D F4 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 FC 04 00 00 8B 45 FC 8B 53 24 89 50 24 8B 53 28 89 50 28 66 8B 53 2C 66 89 50 2C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 18 85 C0 74 1C 8B 55 F4 83 7A 18 00 74 13 8B 55 FC 8B 4A 1C 8B D0 8B 45 F4 8B 40 18 E8 ?? ?? ?? ?? 8B 5D F4 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 20 8B 08 FF 51 08 8B 53 30 8B 45 FC 8B 40 30 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 83 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 08 8B 08 FF 51 08 E9 62 04 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 DC 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 5D F4 8B C3 8B 10 FF 52 20 84 C0 0F 85 32 04 00 00 8B C3 8B 10 FF 52 30 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 88 45 F3 80 7D F3 00 75 58 8D 45 94 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8D 45 94 50 6A 54 8B C3 8B 10 FF 52 70 50 E8 ?? ?? ?? ?? 83 7D A8 00 75 05 33 C0 89 45 AC 83 7D AC 28 73 25 0F B7 45 A6 66 FF C8 74 18 66 83 E8 03 74 0C 66 83 E8 04 75 10 C6 45 F3 03 EB 0A C6 45 F3 02 EB 04 C6 45 F3 01 80 7D F3 03 77 06 80 7D F3 00 75 4C 8B 45 FC 8B 40 04 80 78 3C 09 75 0C 8B 45 F4 8B 10 FF 52 28 8B F0 EB 02 33 F6 8B 45 FC 8B 58 04 8B 43 40 50 56 0F B6 8B 8C 00 00 00 0F B6 53 3C 8B 45 F4 E8 ?? ?? ?? ?? 8B F8 8B 45 FC 89 78 08 8B C7 E8 ?? ?? ?? ?? 88 45 F3 EB 16 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 55 F4 8B 08 FF 51 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 E8 0F B6 45 E8 50 6A 00 6A 00 8D 45 84 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 84 50 8D 55 80 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 80 50 8B 45 FC 8B 40 04 33 C9 8B 55 FC 66 BE FD FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 45 F3 48 2C 03 72 08 2C 02 74 04 C6 45 F3 06 0F B6 45 F3 50 8B 45 FC 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 F3 FE C8 74 1A FE C8 74 0D FE C8 75 1B 55 E8 ?? ?? ?? ?? 59 EB 19 55 E8 ?? ?? ?? ?? 59 EB 10 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B 10 FF 52 2C 84 C0 74 72 80 7D F3 03 77 06 80 7D F3 00 75 45 55 8B 5D F4 8B C3 8B 10 FF 52 74 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 49 8B C3 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 0F B6 C0 50 8B 45 FC E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? EB 21 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 20 E8 ?? ?? ?? ?? 83 F8 FF 74 07 55 E8 ?? ?? ?? ?? 59 C7 45 E8 64 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 45 E8 50 8B 45 FC 8B 58 04 0F B6 43 22 50 6A 00 8D 45 84 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 84 50 8D 95 7C FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 50 8B C3 B1 02 8B 55 FC 66 BE FD FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AC 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 2D 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 20 84 C0 0F 85 42 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 12 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 4F E9 ?? ?? ?? ?? 8B 55 F4 8B 45 EC 8B 08 FF 51 08 E8 ?? ?? ?? ?? EB 38 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 EC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 EB 15 E9 ?? ?? ?? ?? 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 55 8B 45 F4 E8 ?? ?? ?? ?? 59 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 39 55 8B 45 F4 E8 ?? ?? ?? ?? 59 EB 2D 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 F4 8B 50 0C 8B 45 FC 8B 08 FF 51 08 EB 0B 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81391_0 {
	meta:
		name = "TransparentStretchBlt"
		size = 1007
		refs = "0019 Win32Platform 0044 CreateCompatibleBitmap 0049 GDICheck 0059 SelectObject 0064 TransparentStretchBlt 009d MaskBlt 00c3 DeleteObject 00c9 @HandleFinally 00d9 CreateCompatibleDC 0166 CreateBitmap 01c4 BitBlt 01cb SystemPalette16 01d4 SelectPalette 021c RealizePalette 02c9 DeleteDC 02dc SetTextColor 02ec SetBkColor 0320 StretchBlt"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 89 4D F4 89 55 F8 89 45 FC 8B 5D 24 C6 45 F3 01 A1 ?? ?? ?? ?? 83 38 02 0F 85 A9 00 00 00 8B 45 18 3B 45 2C 0F 85 9D 00 00 00 8B 45 14 3B 45 28 0F 85 91 00 00 00 6A 01 6A 01 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 50 8B 45 10 50 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 29 00 AA CC 8B 45 08 50 8B 45 0C 50 8B 45 E4 50 8B 45 1C 50 8B 45 20 50 53 8B 45 28 50 8B 45 2C 50 8B 45 F4 50 8B 45 F8 50 8B 45 FC 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 50 8B 45 10 50 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DF 33 C0 89 45 D4 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 14 50 8B 45 18 50 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E4 50 8B 45 EC 50 E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 6A 01 6A 01 8B 45 14 50 8B 45 18 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 50 8B 45 E8 50 E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 08 00 33 00 8B 45 1C 50 8B 45 20 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 20 50 8B 45 E8 50 E8 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 8B 00 50 53 E8 ?? ?? ?? ?? 89 45 D4 6A 00 8B 45 D4 50 53 E8 ?? ?? ?? ?? 83 7D D4 00 74 14 6A FF 8B 45 D4 50 8B 45 EC 50 E8 ?? ?? ?? ?? 89 45 D4 EB 16 6A FF A1 ?? ?? ?? ?? 8B 00 50 8B 45 EC 50 E8 ?? ?? ?? ?? 89 45 D4 8B 45 EC 50 E8 ?? ?? ?? ?? 68 20 00 CC 00 8B 45 1C 50 8B 45 20 50 8B 45 E8 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 20 50 8B 45 EC 50 E8 ?? ?? ?? ?? 68 C6 00 88 00 8B 45 1C 50 8B 45 20 50 53 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 20 50 8B 45 EC 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D8 00 74 0D 8B 45 D8 50 8B 45 E8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 6A 00 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 68 FF FF FF 00 8B 45 FC 50 E8 ?? ?? ?? ?? 8B F0 68 C6 00 88 00 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 20 50 8B 45 10 50 8B 45 28 50 8B 45 2C 50 8B 45 F4 50 8B 45 F8 50 8B 45 FC 50 E8 ?? ?? ?? ?? 68 86 00 EE 00 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 20 50 8B 45 EC 50 8B 45 28 50 8B 45 2C 50 8B 45 F4 50 8B 45 F8 50 8B 45 FC 50 E8 ?? ?? ?? ?? 53 8B 45 FC 50 E8 ?? ?? ?? ?? 56 8B 45 FC 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0D 8B 45 DC 50 8B 45 EC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D4 00 74 0F 6A 00 8B 45 D4 50 8B 45 EC 50 E8 ?? ?? ?? ?? 8B 45 EC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 0F B6 45 F3 5E 5B 8B E5 5D C2 28 00 }
	condition:
		$1
}

rule function_81392_0 {
	meta:
		name = "TGIFFrame.Draw"
		size = 83
		refs = "0025 TGIFFrame.StretchDraw 003a TGIFFrame.ScaleRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 84 DB 74 14 0F B6 45 0C 50 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? EB 1F 0F B6 45 0C 50 53 8D 4D EC 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 4D EC 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_81393_0 {
	meta:
		name = "TGIFFrame.StretchDraw"
		size = 614
		refs = "001d TGIFFrame.GetTransparent 002c TGIFFrame.HasMask 0046 TGIFFrame.StretchDraw 0053 CreateCompatibleDC 0058 GDICheck 0068 SelectObject 00b7 TGIFFrame.GetBitmap 00bc TBitmap.GetCanvas 00c1 TCanvas.GetHandle 00ea TransparentStretchBlt 01ae DeleteDC 01b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F1 89 55 FC 8B D8 80 7D 0C 00 0F 84 A0 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 91 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 82 01 00 00 33 C0 89 45 F4 33 C0 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 43 0C 50 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 F4 80 7D 08 00 0F 84 B9 00 00 00 8B 06 0F B7 53 25 03 C2 89 45 E4 0F B7 53 29 03 D0 89 55 EC E9 92 00 00 00 8B 46 04 0F B7 53 27 03 C2 89 45 E8 0F B7 43 2B 03 45 E8 89 45 F0 EB 5A 0F B7 43 29 50 0F B7 43 2B 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 00 6A 00 0F B7 43 29 50 0F B7 43 2B 50 8B 45 F8 50 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B CF 8B 55 E4 E8 ?? ?? ?? ?? 8B 43 04 8B 10 FF 52 24 01 45 E8 8B 43 04 8B 10 FF 52 24 01 45 F0 8B 46 0C 8B 7D E8 3B C7 7F 9C 8B 43 04 8B 10 FF 52 30 01 45 E4 8B 43 04 8B 10 FF 52 30 01 45 EC 8B 46 08 3B 45 E4 0F 8F 62 FF FF FF EB 49 8B 46 08 8B 3E 2B C7 50 8B 46 0C 2B 46 04 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 00 6A 00 0F B7 43 29 50 0F B7 43 2B 50 8B 45 F8 50 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 4E 04 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0D 8B 45 F4 50 8B 45 F8 50 E8 ?? ?? ?? ?? 83 7D F8 00 74 09 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 80 7D 08 00 0F 84 83 00 00 00 8B 06 0F B7 53 25 03 C2 89 45 E4 0F B7 53 29 03 D0 89 55 EC EB 63 8B 46 04 0F B7 53 27 03 C2 89 45 E8 0F B7 43 2B 03 45 E8 89 45 F0 EB 2D 8B C3 E8 ?? ?? ?? ?? 8B C8 8D 55 E4 8B 45 FC 8B 38 FF 97 88 00 00 00 8B 43 04 8B 10 FF 52 24 01 45 E8 8B 43 04 8B 10 FF 52 24 01 45 F0 8B 46 0C 3B 45 E8 7F CB 8B 43 04 8B 10 FF 52 30 01 45 E4 8B 43 04 8B 10 FF 52 30 01 45 EC 8B 46 08 3B 45 E4 7F 95 EB 16 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 45 FC 8B 18 FF 93 88 00 00 00 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_81394_0 {
	meta:
		name = "TGIFFrame.ScaleRect"
		size = 173
		refs = "004e MulDiv"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B F2 8D 7C 24 08 A5 A5 A5 A5 8B F1 8B D8 8B 43 04 8B 10 FF 52 24 8B E8 8B 7C 24 14 2B 7C 24 0C 8B 43 04 8B 10 FF 52 30 89 44 24 04 8B 44 24 10 2B 44 24 08 89 04 24 8B 44 24 04 50 8B 44 24 04 50 0F B7 43 25 50 E8 ?? ?? ?? ?? 03 44 24 08 89 06 55 57 0F B7 43 27 50 E8 ?? ?? ?? ?? 03 44 24 0C 89 46 04 8B 44 24 04 50 8B 44 24 04 50 0F B7 43 25 0F B7 53 29 03 C2 50 E8 ?? ?? ?? ?? 03 44 24 08 89 46 08 55 57 0F B7 43 27 0F B7 53 2B 03 C2 50 E8 ?? ?? ?? ?? 03 44 24 0C 89 46 0C 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81395_0 {
	meta:
		name = "TGIFFrame.Crop"
		size = 679
		refs = "000c TGIFFrame.GetEmpty 001b TGIFFrame.GetTransparent 002b TGIFGraphicControlExtension.GetTransparentColorIndex 006a TGIFFrame.GetPixel 017d TGIFList.GetCount 0188 TGIFGraphicControlExtension.GetDelay 01a2 TGIFFrame.FreeImage 01a9 TGIFFrame.FreeBitmap 01b0 TGIFFrame.FreeMask 01cf TGIFFrame.NewImage 01d8 TGIFFrame.GetScanline 01ea TGIFFrame.Clear 0218 @GetMem 024c Move"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 85 87 02 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 78 02 00 00 8B 47 34 E8 ?? ?? ?? ?? 88 04 24 33 C0 89 44 24 04 0F B7 47 29 48 89 44 24 0C 33 C0 89 44 24 08 0F B7 47 2B 48 89 44 24 10 B3 01 EB 2F 8B 74 24 08 8B 6C 24 10 2B EE 7C 1B 45 8B CE 8B 54 24 04 8B C7 E8 ?? ?? ?? ?? 3A 04 24 74 04 33 DB EB 04 46 4D 75 E6 84 DB 74 04 FF 44 24 04 8B 44 24 04 3B 44 24 0C 7F 04 84 DB 75 C3 B3 01 EB 2F 8B 74 24 08 8B 6C 24 10 2B EE 7C 1B 45 8B CE 8B 54 24 0C 8B C7 E8 ?? ?? ?? ?? 3A 04 24 74 04 33 DB EB 04 46 4D 75 E6 84 DB 74 04 FF 4C 24 0C 8B 44 24 04 3B 44 24 0C 7F 04 84 DB 75 C3 8B 44 24 04 3B 44 24 0C 0F 8F 82 00 00 00 B3 01 EB 2F 8B 74 24 04 8B 6C 24 0C 2B EE 7C 1B 45 8B 4C 24 08 8B D6 8B C7 E8 ?? ?? ?? ?? 3A 04 24 74 04 33 DB EB 04 46 4D 75 E6 84 DB 74 04 FF 44 24 08 8B 44 24 08 3B 44 24 10 7F 04 84 DB 75 C3 B3 01 EB 2F 8B 74 24 04 8B 6C 24 0C 2B EE 7C 1B 45 8B 4C 24 10 8B D6 8B C7 E8 ?? ?? ?? ?? 3A 04 24 74 04 33 DB EB 04 46 4D 75 E6 84 DB 74 04 FF 4C 24 10 8B 44 24 08 3B 44 24 10 7F 04 84 DB 75 C3 8B 44 24 04 3B 44 24 0C 7F 0A 8B 44 24 08 3B 44 24 10 7E 7D 8B 47 04 8B 40 30 E8 ?? ?? ?? ?? 48 7E 0D 8B 47 34 E8 ?? ?? ?? ?? 66 85 C0 77 0E 8B 47 04 8B 40 30 E8 ?? ?? ?? ?? 48 75 48 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 66 C7 47 25 00 00 66 C7 47 27 00 00 66 C7 47 29 01 00 66 C7 47 2B 01 00 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 0F B6 14 24 88 10 E9 B8 00 00 00 8B C7 E8 ?? ?? ?? ?? E9 AC 00 00 00 8B 5C 24 0C 2B 5C 24 04 43 8B 44 24 10 2B 44 24 08 40 89 44 24 1C 8B C3 F7 6C 24 1C 89 44 24 14 8B 44 24 14 E8 ?? ?? ?? ?? 89 44 24 18 8B 77 18 0F B7 47 29 F7 6C 24 08 03 F0 03 74 24 04 8B 44 24 18 89 44 24 20 8B 6C 24 1C 4D 85 ED 7C 1B 45 8B 54 24 20 8B C6 8B CB E8 ?? ?? ?? ?? 0F B7 47 29 03 F0 01 5C 24 20 4D 75 E6 8B C7 E8 ?? ?? ?? ?? 8B 44 24 18 89 47 18 8B 44 24 14 89 47 1C 0F B7 44 24 04 66 01 47 25 0F B7 44 24 08 66 01 47 27 66 89 5F 29 0F B7 44 24 1C 66 89 47 2B 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81396_0 {
	meta:
		name = "CanMakeTransparent"
		size = 79
		refs = "0027 TGIFImage.GetColorMap"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 40 20 8B 40 08 85 C0 7E 0A 3D 00 01 00 00 0F 9C C0 5D C3 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 83 78 08 00 7E 1A 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 81 78 08 00 01 00 00 0F 9C C0 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule function_81397_0 {
	meta:
		name = "GetTransparentColorIndex"
		size = 186
		refs = "001b GIFDefaultTransparentColor 0020 TGIFColorMap.Add 0032 TGIFList.GetCount 004b TGIFImageList.GetFrame 0063 TGIFFrame.GetTransparent 0096 TGIFGraphicControlExtension.GetTransparentColorIndex 00a6 TGIFImage.GetColorMap"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 08 83 C7 FC 8B 07 8B 58 20 83 7B 08 00 7E 12 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8C 00 00 00 8B 07 8B 40 04 8B 40 30 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 63 46 33 DB 8B 07 8B 40 04 8B 40 30 8B D3 E8 ?? ?? ?? ?? 3B 07 74 49 8B 07 8B 40 04 8B 40 30 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 31 8B 07 8B 40 04 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 40 20 83 78 08 00 75 19 8B 07 8B 40 04 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 40 34 E8 ?? ?? ?? ?? EB 19 43 4E 75 A0 8B 07 8B 40 04 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_81398_0 {
	meta:
		name = "TGIFFrame.Merge"
		size = 664
		refs = "001b TGIFFrame.Merge 0029 TGIFFrame.GetEmpty 005c TGIFGraphicControlExtension.GetDisposal 0071 TGIFFrame.GetBoundsRect 008d IntersectRect 009d TGIFFrame.GetTransparent 00ac TGIFGraphicControlExtension.GetTransparentColorIndex 00bb CanMakeTransparent 0108 TGIFFrame.GetActiveColorMap 0114 TColorMap 0119 @DynArrayAsg 015e TGIFFrame.GetScanline 01de CompareMem 01f2 GetTransparentColorIndex 0236 _DV_TGIFGraphicControlExtension 023b TGIFGraphicControlExtension.Create 024a TGIFGraphicControlExtension.SetTransparent 0255 TGIFGraphicControlExtension.SetTransparentColorIndex 025d TGIFFrame.FreeBitmap 0265 TGIFFrame.FreeMask 0285 @FinalizeArray 028b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 C9 89 4D F8 89 4D F4 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 34 02 00 00 83 7D F0 00 0F 84 2A 02 00 00 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 85 1A 02 00 00 8B 45 F0 8B 58 34 85 DB 74 11 8B C3 E8 ?? ?? ?? ?? 04 FE 2C 02 0F 82 FF 01 00 00 8D 55 D0 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 FC E8 ?? ?? ?? ?? 8D 45 C0 50 8D 45 D0 50 8D 45 B0 50 E8 ?? ?? ?? ?? 85 C0 0F 84 D0 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 88 45 EE C6 45 EC 00 EB 17 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 A1 01 00 00 C6 45 EE 00 C6 45 EC 01 8B 45 F0 E8 ?? ?? ?? ?? 88 45 ED 80 7D ED 00 74 10 8B 45 F0 8B 40 34 E8 ?? ?? ?? ?? 88 45 EF EB 04 C6 45 EF 00 8B 45 F0 0F B7 40 27 8B 55 B4 2B D0 89 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 50 04 8D 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 50 04 8D 45 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B7 40 27 8B 55 B4 2B D0 8B 4D BC 2B C8 49 2B CA 0F 8C C4 00 00 00 41 89 4D E0 89 55 E4 8B 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 03 75 B0 8B 45 F0 0F B7 40 25 2B F0 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 7D B0 03 DF 8B 45 FC 0F B7 40 25 2B D8 8B C7 8B 7D B8 4F 2B F8 7C 70 47 80 7D EC 00 75 08 0F B6 03 3A 45 EE 74 5C 80 7D ED 00 74 08 0F B6 06 3A 45 EF 74 4E 8B 45 F4 3B 45 F8 75 07 0F B6 03 3A 06 74 25 0F B6 06 8D 04 40 8B 55 F8 03 D0 0F B6 03 8D 04 40 8B 4D F4 8D 04 01 B9 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 1A 80 7D EC 00 74 0E C6 45 EC 00 55 E8 ?? ?? ?? ?? 59 88 45 EE 0F B6 45 EE 88 03 43 46 4F 75 91 FF 45 E8 FF 45 E4 FF 4D E0 0F 85 43 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 39 80 7D EC 00 75 33 8B 45 FC 8B 40 34 85 C0 75 13 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 02 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 0F B6 55 EE 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81399_0 {
	meta:
		name = "TGIFTrailer.SaveToStream"
		size = 10
		refs = "0005 WriteByte"
	strings:
		$1 = { 8B C2 B2 3B E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81400_0 {
	meta:
		name = "TGIFTrailer.LoadFromStream"
		size = 119
		refs = "0015 TGIFTrailer.LoadFromStream 003f sBadTrailer 0044 LoadResString 0050 TGIFItem.Warning 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FF B9 01 00 00 00 8B C6 8B 30 FF 56 0C 48 75 23 0F B6 45 FF 66 83 F8 3B 74 19 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81401_0 {
	meta:
		name = "TExtensionList.Create"
		size = 113
		refs = "000a @ClassCreate 0017 TObject.Create 001d _DV_TGIFTextExtension 0026 TExtensionList.Add 002c _DV_TGIFGraphicControlExtension 003b _DV_TGIFCommentExtension 004a _DV_TGIFApplicationExtension 005e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? B2 F9 8B C6 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? B2 FE 8B C6 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? B2 FF 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81402_0 {
	meta:
		name = "TExtensionList.Destroy"
		size = 74
		refs = "0005 @BeforeDestruction 001d TList.Get 0027 @FreeMem 0036 TList.Destroy 0041 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 6F 08 4D 85 ED 7C 1A 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? BA 08 00 00 00 E8 ?? ?? ?? ?? 46 4D 75 E9 B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81403_0 {
	meta:
		name = "TExtensionList.Add"
		size = 39
		refs = "000f @GetMem 001f TList.Add"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B D0 88 5A 04 89 3A 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81404_0 {
	meta:
		name = "TExtensionList.FindExt"
		size = 46
		refs = "0015 TList.Get"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 7E 08 4F 83 FF 00 7C 18 8B D7 8B C6 E8 ?? ?? ?? ?? 3A 58 04 75 04 8B 00 EB 08 4F 83 FF FF 75 E8 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81405_0 {
	meta:
		name = "TExtensionList.Remove"
		size = 58
		refs = "0015 TList.Get 0023 @FreeMem 002c TList.Delete"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 5E 08 4B 83 FB 00 7C 26 8B D3 8B C6 E8 ?? ?? ?? ?? 3B 38 75 13 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81409_0 {
	meta:
		name = "TGIFExtension.FindExtension"
		size = 101
		refs = "000b TStream.GetPosition 0029 GetExtensionList 0032 TExtensionList.FindExt 0059 TStream.SetPosition"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B FA 8B C7 E8 ?? ?? ?? ?? 89 44 24 04 8B D4 B9 01 00 00 00 8B C7 8B 18 FF 53 0C 48 74 04 33 DB EB 35 E8 ?? ?? ?? ?? 0F B6 14 24 E8 ?? ?? ?? ?? 8B D8 85 DB 74 13 8B D7 8B C3 FF 50 24 8B F0 3B DE 74 06 8B DE 85 DB 75 ED 8B 44 24 04 99 52 50 8B C7 E8 ?? ?? ?? ?? 8B C3 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81411_0 {
	meta:
		name = "TGIFExtension.Create"
		size = 82
		refs = "000e @ClassCreate 0021 TGIFItem.Create 0030 TGIFList.Add 003d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 4E 04 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 89 43 08 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81412_0 {
	meta:
		name = "TGIFExtension.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 0018 TGIFList.Remove 0023 TPersistent.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 85 C0 74 0A 8B 40 30 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81414_0 {
	meta:
		name = "TGIFExtension.SaveToStream"
		size = 40
	strings:
		$1 = { 53 56 51 8B F2 8B D8 C6 04 24 21 8B C3 8B 10 FF 52 1C 88 44 24 01 8B D4 B9 02 00 00 00 8B C6 8B 18 FF 53 10 5A 5E 5B C3 }
	condition:
		$1
}

rule function_81415_0 {
	meta:
		name = "TGIFExtension.DoReadFromStream"
		size = 111
		refs = "0010 TGIFExtension.DoReadFromStream 0024 ReadCheck 0036 sBadExtensionLabel 003b LoadResString 0043 Error 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FE B9 02 00 00 00 92 E8 ?? ?? ?? ?? 0F B6 45 FE 66 83 F8 21 74 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 5D FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81416_0 {
	meta:
		name = "TGIFExtension.LoadFromStream"
		size = 102
		refs = "000f TGIFExtension.LoadFromStream 001e TGIFExtension.DoReadFromStream 0033 sBadExtensionInstance 0038 LoadResString 0040 Error 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 52 1C 5A 3A D0 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81417_0 {
	meta:
		name = "TGIFGraphicControlExtension.Create"
		size = 176
		refs = "0014 @ClassCreate 0021 TGIFGraphicControlExtension.Create 0030 TGIFExtension.Create 0060 sMultipleGCE 0065 LoadResString 0071 TGIFItem.Warning 0086 @UStrClr 008c @HandleFinally 009b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 0C 04 C6 43 0D 00 66 C7 43 0E 00 00 C6 43 10 00 C6 43 11 00 8B 43 08 85 C0 74 24 83 78 34 00 75 05 89 58 34 EB 19 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81418_0 {
	meta:
		name = "TGIFGraphicControlExtension.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 0023 TGIFExtension.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 85 C0 74 0A 3B 70 34 75 05 33 D2 89 50 34 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81420_0 {
	meta:
		name = "TGIFGraphicControlExtension.GetTransparent"
		size = 12
	strings:
		$1 = { 0F B6 40 0D 24 01 3C 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_81421_0 {
	meta:
		name = "TGIFGraphicControlExtension.SetTransparent"
		size = 35
		refs = "000e TGIFGraphicControlExtension.GetTransparentColorIndex 0017 TGIFGraphicControlExtension.SetTransparentColorIndex"
	strings:
		$1 = { 53 8B D8 84 D2 74 16 80 4B 0D 01 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 80 63 0D FE 5B C3 }
	condition:
		$1
}

rule function_81422_0 {
	meta:
		name = "TGIFGraphicControlExtension.GetTransparentColor"
		size = 30
		refs = "0006 TGIFGraphicControlExtension.GetTransparentColorIndex 0012 TGIFFrame.GetActiveColorMap 0018 TGIFColorMap.GetColor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 C0 50 8B 43 08 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81423_0 {
	meta:
		name = "TGIFGraphicControlExtension.SetTransparentColor"
		size = 27
		refs = "000a TGIFFrame.GetActiveColorMap 0011 TGIFColorMap.AddUnique"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 88 43 10 5E 5B C3 }
	condition:
		$1
}

rule function_81425_0 {
	meta:
		name = "TGIFGraphicControlExtension.SetTransparentColorIndex"
		size = 210
		refs = "0011 TGIFGraphicControlExtension.SetTransparentColorIndex 001f TGIFFrame.GetActiveColorMap 0068 GIFDefaultTransparentColor 006d TGIFColorMap.Add 0075 sBadColorIndexFixed 007a LoadResString 0086 TGIFItem.Warning 0090 sBadColorIndex 00c0 @UStrArrayClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 E8 ?? ?? ?? ?? 8B 40 08 0F B6 D3 3B C2 7F 7A 8B 46 08 E8 ?? ?? ?? ?? 83 78 08 00 7E 6C 8B 46 08 E8 ?? ?? ?? ?? 8B 40 08 0F B6 D3 3B C2 75 3F 8B 46 08 E8 ?? ?? ?? ?? 81 78 08 00 01 00 00 7D 2E 8B 46 08 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 8B C6 E8 ?? ?? ?? ?? EB 1B 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 8B C6 E8 ?? ?? ?? ?? 33 DB 88 5E 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81426_0 {
	meta:
		name = "TGIFGraphicControlExtension.GetDelay"
		size = 5
	strings:
		$1 = { 0F B7 40 0E C3 }
	condition:
		$1
}

rule function_81428_0 {
	meta:
		name = "TGIFGraphicControlExtension.GetUserInput"
		size = 12
	strings:
		$1 = { 0F B6 40 0D 24 02 3C 02 0F 94 C0 C3 }
	condition:
		$1
}

rule function_81429_0 {
	meta:
		name = "TGIFGraphicControlExtension.SetUserInput"
		size = 14
	strings:
		$1 = { 84 D2 74 05 80 48 0D 02 C3 80 60 0D FD C3 }
	condition:
		$1
}

rule function_81430_0 {
	meta:
		name = "TGIFGraphicControlExtension.GetDisposal"
		size = 13
	strings:
		$1 = { 0F B6 40 0D 24 1C 0F B6 C0 C1 E8 02 C3 }
	condition:
		$1
}

rule function_81431_0 {
	meta:
		name = "TGIFGraphicControlExtension.SetDisposal"
		size = 20
	strings:
		$1 = { 0F B6 48 0D 80 E1 E3 03 D2 03 D2 80 E2 1C 0A CA 88 48 0D C3 }
	condition:
		$1
}

rule function_81432_0 {
	meta:
		name = "TGIFGraphicControlExtension.SaveToStream"
		size = 33
		refs = "000b TGIFExtension.SaveToStream"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 53 0C B9 06 00 00 00 8B C6 8B 18 FF 53 10 5E 5B C3 }
	condition:
		$1
}

rule function_81433_0 {
	meta:
		name = "TGIFGraphicControlExtension.LoadFromStream"
		size = 113
		refs = "000f TGIFGraphicControlExtension.LoadFromStream 001e TGIFExtension.LoadFromStream 003a sOutOfData 003f LoadResString 004b TGIFItem.Warning 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 53 0C B9 06 00 00 00 8B C6 8B 30 FF 56 0C 83 F8 06 74 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81434_0 {
	meta:
		name = "TGIFTextExtension.Create"
		size = 112
		refs = "000a @ClassCreate 0017 TGIFExtension.Create 001e _Dn_TStringList 0023 TStringList.Create 005d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C C6 46 10 0C 66 C7 46 11 00 00 66 C7 46 13 00 00 66 C7 46 15 00 00 66 C7 46 17 00 00 C6 46 19 00 C6 46 1A 00 C6 46 1B 00 C6 46 1C 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81437_0 {
	meta:
		name = "TGIFTextExtension.GetForegroundColor"
		size = 16
		refs = "000b TGIFColorMap.GetColor"
	strings:
		$1 = { 0F B6 50 1B 8B 40 08 8B 40 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81438_0 {
	meta:
		name = "TGIFTextExtension.SetForegroundColor"
		size = 27
		refs = "000a TGIFFrame.GetActiveColorMap 0011 TGIFColorMap.AddUnique"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 88 43 1B 5E 5B C3 }
	condition:
		$1
}

rule function_81439_0 {
	meta:
		name = "TGIFTextExtension.GetBackgroundColor"
		size = 22
		refs = "0007 TGIFFrame.GetActiveColorMap 0010 TGIFColorMap.GetColor"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 0F B6 53 1C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81440_0 {
	meta:
		name = "TGIFTextExtension.SetBackgroundColor"
		size = 25
		refs = "000f TGIFColorMap.AddUnique"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 8B 40 20 8B D6 E8 ?? ?? ?? ?? 88 43 1C 5E 5B C3 }
	condition:
		$1
}

rule function_81441_0 {
	meta:
		name = "TGIFTextExtension.SaveToStream"
		size = 45
		refs = "000c TGIFExtension.SaveToStream 0025 WriteStrings"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 53 10 B9 0D 00 00 00 8B C6 8B 38 FF 57 10 8B 53 0C 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81442_0 {
	meta:
		name = "TGIFTextExtension.LoadFromStream"
		size = 43
		refs = "000b TGIFExtension.LoadFromStream 001a ReadCheck 0024 ReadStrings"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 53 10 B9 0D 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 53 0C 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81447_0 {
	meta:
		name = "TGIFCommentExtension.SaveToStream"
		size = 28
		refs = "000b TGIFExtension.SaveToStream 0015 WriteStrings"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 53 0C 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81448_0 {
	meta:
		name = "TGIFCommentExtension.LoadFromStream"
		size = 28
		refs = "000b TGIFExtension.LoadFromStream 0015 ReadStrings"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 53 0C 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81450_0 {
	meta:
		name = "TAppExtensionList.Create"
		size = 89
		refs = "000a @ClassCreate 0017 TObject.Create 001d _DV_TGIFAppExtNSLoop 0022 NSLoopIdent 0029 TAppExtensionList.Add 0046 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81451_0 {
	meta:
		name = "TAppExtensionList.Destroy"
		size = 74
		refs = "0005 @BeforeDestruction 001d TList.Get 0027 @FreeMem 0036 TList.Destroy 0041 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 6F 08 4D 85 ED 7C 1A 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? BA 10 00 00 00 E8 ?? ?? ?? ?? 46 4D 75 E9 B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81452_0 {
	meta:
		name = "TAppExtensionList.Add"
		size = 77
		refs = "001a @GetMem 0042 TList.Add"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F2 8D 3C 24 A5 A5 66 A5 A4 8B F1 8B D8 B8 10 00 00 00 E8 ?? ?? ?? ?? 8B 14 24 89 50 04 8B 54 24 04 89 50 08 66 8B 54 24 08 66 89 50 0C 8A 54 24 0A 88 50 0E 89 30 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81453_0 {
	meta:
		name = "TAppExtensionList.FindExt"
		size = 76
		refs = "0020 TList.Get 0031 CompareMem"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F2 8D 3C 24 A5 A5 66 A5 A4 8B F8 8B 5F 08 4B 83 FB 00 7C 28 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 8B D4 8D 46 04 B9 0B 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 04 8B 06 EB 08 4B 83 FB FF 75 D8 33 C0 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81454_0 {
	meta:
		name = "TAppExtensionList.Remove"
		size = 58
		refs = "0015 TList.Get 0023 @FreeMem 002c TList.Delete"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 5E 08 4B 83 FB 00 7C 26 8B D3 8B C6 E8 ?? ?? ?? ?? 3B 38 75 13 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81456_0 {
	meta:
		name = "TGIFApplicationExtension.RegisterExtension"
		size = 39
		refs = "0013 GetAppExtensionList 001c TAppExtensionList.Add"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F2 8D 3C 24 A5 A5 66 A5 A4 8B D9 E8 ?? ?? ?? ?? 8B CB 8B D4 E8 ?? ?? ?? ?? 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81457_0 {
	meta:
		name = "TGIFApplicationExtension.FindSubExtension"
		size = 171
		refs = "000e TStream.GetPosition 0048 _DV_TGIFUnknownAppExtension 0076 TStream.SetPosition 007f TGIFExtension.FindSubExtension 0088 GetAppExtensionList 0091 TAppExtensionList.FindExt"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B DA 8B F8 8B C3 E8 ?? ?? ?? ?? 89 04 24 33 F6 8D 54 24 04 B9 01 00 00 00 8B C3 8B 28 FF 55 0C 48 75 77 80 7C 24 04 0A 75 1D 8D 54 24 05 B9 0A 00 00 00 8B C3 8B 18 FF 53 0C 83 F8 0A 75 5B 8B 35 ?? ?? ?? ?? EB 53 0F B6 44 24 04 83 F8 0B 75 15 8D 54 24 05 B9 0B 00 00 00 8B C3 8B 30 FF 56 0C 83 F8 0B 74 1A 8B 04 24 99 52 50 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 EB 1A E8 ?? ?? ?? ?? 8D 54 24 05 E8 ?? ?? ?? ?? 8B F0 85 F6 75 06 8B 35 ?? ?? ?? ?? 8B C6 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81458_0 {
	meta:
		name = "TGIFApplicationExtension.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TGIFExtension.Create 0026 @FillChar 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 0C 33 C9 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81459_0 {
	meta:
		name = "TGIFApplicationExtension.Create"
		size = 87
		refs = "000d @ClassCreate 001a TGIFExtension.Create 0041 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 10 89 56 0C 8B 50 04 89 56 10 66 8B 50 08 66 89 56 14 8A 50 0A 88 56 16 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81462_0 {
	meta:
		name = "TGIFApplicationExtension.GetAuthentication"
		size = 24
		refs = "0011 @UStrFromArray"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8D 53 14 B9 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81463_0 {
	meta:
		name = "StrCopyPad"
		size = 131
		refs = "001c StrCopyPad 0032 @LStrFromUStr 003a @LStrToPChar 006e @LStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 89 55 FC 8B F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 08 0F B6 10 88 17 47 40 4E 85 F6 7E 05 80 38 00 75 EF 85 F6 7E 08 88 1F 47 4E 85 F6 7F F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_81464_0 {
	meta:
		name = "TGIFApplicationExtension.SetAuthentication"
		size = 16
		refs = "000b StrCopyPad"
	strings:
		$1 = { 6A 20 83 C0 14 B9 03 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81465_0 {
	meta:
		name = "TGIFApplicationExtension.GetIdentifier"
		size = 24
		refs = "0011 @UStrFromArray"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8D 53 0C B9 08 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81466_0 {
	meta:
		name = "TGIFApplicationExtension.SetIdentifier"
		size = 16
		refs = "000b StrCopyPad"
	strings:
		$1 = { 6A 20 83 C0 0C B9 08 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81467_0 {
	meta:
		name = "TGIFApplicationExtension.SaveToStream"
		size = 53
		refs = "000c TGIFExtension.SaveToStream 0015 WriteByte"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B2 0B 8B C6 E8 ?? ?? ?? ?? 8D 53 0C B9 0B 00 00 00 8B C6 8B 38 FF 57 10 8B D6 8B C3 8B 08 FF 51 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81468_0 {
	meta:
		name = "TGIFApplicationExtension.LoadFromStream"
		size = 168
		refs = "0010 TGIFApplicationExtension.LoadFromStream 001f TGIFExtension.LoadFromStream 0026 ReadByte 003d @FillChar 004c sBadBlockSize 0051 LoadResString 0059 Error 0068 ReadCheck 0096 @UStrClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 F8 83 FF 0A 75 11 8D 46 0C 33 C9 BA 0B 00 00 00 E8 ?? ?? ?? ?? EB 1A 83 FF 0B 7D 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 56 0C B9 0B 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 EF 0B 66 B9 01 00 8B D7 8B C3 8B 38 FF 57 14 8B D3 8B C6 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81469_0 {
	meta:
		name = "TGIFBlock.Create"
		size = 97
		refs = "000f @ClassCreate 001f TObject.Create 002c @GetMem 003e @FillChar 004b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B DF 88 5E 04 0F B6 C3 E8 ?? ?? ?? ?? 8B F8 89 7E 08 0F B6 56 04 8B C7 33 C9 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81471_0 {
	meta:
		name = "TGIFBlock.SaveToStream"
		size = 40
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8D 53 04 B9 01 00 00 00 8B C6 8B 38 FF 57 10 0F B6 4B 04 8B 53 08 8B C6 8B 18 FF 53 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81472_0 {
	meta:
		name = "TGIFBlock.LoadFromStream"
		size = 14
		refs = "0009 ReadCheck"
	strings:
		$1 = { 0F B6 48 04 8B 40 08 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81474_0 {
	meta:
		name = "TGIFUnknownAppExtension.Destroy"
		size = 81
		refs = "0005 @BeforeDestruction 0021 TList.Get 0026 TObject.Free 003d TGIFApplicationExtension.Destroy 0048 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 18 8B 68 08 4D 85 ED 7C 16 45 33 FF 8B 46 18 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4D 75 ED 8B 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81475_0 {
	meta:
		name = "TGIFUnknownAppExtension.SaveData"
		size = 57
		refs = "001c TList.Get 0023 TGIFBlock.SaveToStream 0030 WriteByte"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 18 8B 58 08 4B 85 DB 7C 18 43 33 F6 8B 47 18 8B D6 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 46 4B 75 EB 33 D2 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81476_0 {
	meta:
		name = "TGIFUnknownAppExtension.LoadData"
		size = 177
		refs = "0022 TList.Get 0027 TObject.Free 0040 _DV_TGIFBlock 0045 TGIFBlock.Create 0050 TGIFUnknownAppExtension.LoadData 0061 TGIFBlock.LoadFromStream 0070 @HandleAnyException 007d @RaiseAgain 0082 @DoneExcept 008d TList.Add"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B D8 8B 43 18 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B 43 18 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 43 18 8B 10 FF 52 08 EB 58 0F B6 4D FB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 18 8B 55 F4 E8 ?? ?? ?? ?? 8D 55 FB B9 01 00 00 00 8B 45 FC 8B 30 FF 56 0C 48 75 06 80 7D FB 00 75 8F 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81478_0 {
	meta:
		name = "TGIFAppExtNSLoop.SaveData"
		size = 92
		refs = "000c WriteByte"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 B2 03 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8D 56 18 B9 02 00 00 00 8B C3 8B 38 FF 57 10 83 7E 1C 00 76 21 B2 05 8B C3 E8 ?? ?? ?? ?? B2 02 8B C3 E8 ?? ?? ?? ?? 8D 56 1C B9 04 00 00 00 8B C3 8B 30 FF 56 10 33 D2 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81479_0 {
	meta:
		name = "TGIFAppExtNSLoop.LoadData"
		size = 252
		refs = "0019 TGIFAppExtNSLoop.LoadData 0026 ReadByte 005a sInvalidData 005f LoadResString 0067 Error 0079 ReadCheck 00ea @UStrArrayClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 4D F4 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 0F B6 D8 85 DB 0F 84 9F 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 C0 89 45 F8 4B 8B 45 F8 83 E0 07 48 74 05 48 74 33 EB 60 83 FB 02 7D 15 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8D 50 18 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 EB 02 EB 2F 83 FB 04 7D 15 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8D 50 1C B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 EB 04 85 DB 7E 0D 66 B9 01 00 8B D3 8B C6 8B 18 FF 53 14 8B C6 E8 ?? ?? ?? ?? 0F B6 D8 85 DB 0F 85 61 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81484_0 {
	meta:
		name = "TGIFImageList.LoadFromStream"
		size = 425
		refs = "0019 TGIFImageList.LoadFromStream 006e _DV_TGIFFrame 0073 TGIFFrame.Create 009e TStream.GetPosition 00a4 MulDiv 00ac GIFImageRenderOnLoad 00be Rect 00ca sProgressLoading 00cf LoadResString 00e7 @CallDynaInst 00ef TGIFFrame.GetEmpty 00fe TGIFList.GetCount 010a TObject.Free 0119 @HandleAnyException 0126 @RaiseAgain 012b @DoneExcept 0135 sBadBlock 0196 @UStrArrayClr 019c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 89 4D E4 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FF B9 01 00 00 00 8B C3 8B 30 FF 56 0C 48 0F 85 47 01 00 00 80 7D FF 00 74 E4 E9 20 01 00 00 66 B9 01 00 83 CA FF 8B C3 8B 30 FF 56 14 0F B6 45 FF 2C 21 74 08 2C 0B 0F 85 CF 00 00 00 8B C7 8B 10 FF 52 10 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 8B 08 FF 51 18 8B C3 8B 10 FF 12 50 6A 64 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 0F B6 05 ?? ?? ?? ?? 50 6A 00 8D 45 E8 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8B C7 8B 10 FF 52 10 B1 01 8B D7 66 BE FD FF E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 17 8B 45 F8 8B 40 30 E8 ?? ?? ?? ?? 85 C0 75 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 34 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 8B C7 8B 30 FF 56 0C EB 26 8D 55 FF B9 01 00 00 00 8B C3 8B 30 FF 56 0C 48 75 22 80 7D FF 00 74 E8 0F B6 45 FF 66 83 F8 3B 0F 85 D2 FE FF FF 66 B9 01 00 83 CA FF 8B C3 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81485_0 {
	meta:
		name = "TGIFImageList.SaveToStream"
		size = 190
		refs = "0017 TGIFImageList.SaveToStream 0024 TGIFList.GetCount 0038 TGIFImageList.GetFrame 0053 MulDiv 0067 Rect 0073 sProgressSaving 0078 LoadResString 0090 @CallDynaInst 00ab @UStrClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 6D 40 89 45 F8 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 14 8B C3 E8 ?? ?? ?? ?? 50 6A 64 8D 47 01 50 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 45 E8 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8B C3 8B 10 FF 52 10 B1 01 8B D3 66 BE FD FF E8 ?? ?? ?? ?? 47 FF 4D F8 75 99 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81486_0 {
	meta:
		name = "CompareColor"
		size = 9
		altNames = "SortByWidth"
	strings:
		$1 = { 8B 52 0C 2B 50 0C 8B C2 C3 }
	condition:
		$1
}

rule function_81487_0 {
	meta:
		name = "CompareCount"
		size = 7
	strings:
		$1 = { 8B 12 2B 10 8B C2 C3 }
	condition:
		$1
}

rule function_81488_0 {
	meta:
		name = "THistogram.Create"
		size = 228
		refs = "0011 @ClassCreate 0022 TObject.Create 0038 _Dn_TList 004b @GetMem 0069 TList.SetCapacity 008f TList.Add 00cd @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 89 46 08 8B 45 F8 89 46 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 8B 46 08 C1 E0 04 E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 5E 10 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B 46 08 48 85 C0 7C 4F 40 89 45 F4 33 FF 8B C7 03 C0 8B 56 04 8D 1C C2 8B 56 04 8D 14 C2 8B 46 10 E8 ?? ?? ?? ?? 89 7B 04 33 C0 89 03 33 C0 89 43 0C 8D 04 7F 8B 55 F8 8B 52 04 66 8B 0C 02 66 89 4B 0C 8A 4C 02 02 88 4B 0E C7 43 08 00 01 00 00 47 FF 4D F4 75 B7 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81489_0 {
	meta:
		name = "THistogram.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000f TObject.Free 001f @FreeMem 002a TObject.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81490_0 {
	meta:
		name = "THistogram.ProcessFrame"
		size = 311
		refs = "0018 THistogram.ProcessFrame 0028 TGIFFrame.GetEmpty 003e TList.Add 005d TGIFFrame.GetTransparent 006e TGIFGraphicControlExtension.GetTransparentColorIndex 00a1 sInvalidColor 00a6 LoadResString 00b3 TGIFItem.Warning 00fc TGIFGraphicControlExtension.SetTransparentColorIndex 0109 TGIFGraphicControlExtension.SetTransparent 0122 @UStrClr 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 DD 00 00 00 8B 45 FC 8B 40 14 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 70 18 8B 45 F8 0F B7 78 29 8B 45 F8 0F B7 40 2B 0F AF F8 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 84 DB 74 10 8B 45 F8 8B 40 34 E8 ?? ?? ?? ?? 88 45 F6 EB 04 C6 45 F6 00 C6 45 F7 00 85 FF 7E 66 84 DB 74 08 0F B6 06 3A 45 F6 74 4B 0F B6 06 8B 55 FC 3B 42 08 7C 1D C6 06 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 06 03 C0 8B 55 FC 8B 52 04 8D 04 C2 89 45 F0 8B 45 F0 81 38 FF FF FF 7F 74 16 8B 45 F0 FF 00 EB 09 0F B6 45 F7 0A C3 88 45 F7 46 4F 85 FF 7F 9A 84 DB 74 20 80 7D F7 00 75 1A 8B 45 F8 8B 40 34 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 34 33 D2 E8 ?? ?? ?? ?? 0F B6 5D F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81491_0 {
	meta:
		name = "THistogram.Prune"
		size = 105
		refs = "0007 CompareCount 000f TList.Sort 0024 TList.Get 0057 TList.SetCount"
	strings:
		$1 = { 53 56 57 55 8B D8 BA ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 8B 73 08 4E 85 F6 7C 46 46 33 ED 8B D5 8B 43 10 E8 ?? ?? ?? ?? 83 38 00 75 30 8B FD 8B 73 08 4E 2B F7 7C 15 46 8B D7 8B 43 10 E8 ?? ?? ?? ?? C7 00 FF FF FF FF 47 4E 75 EC 8B C5 89 43 08 8B D0 8B 43 10 E8 ?? ?? ?? ?? EB 04 45 4E 75 BD 8B 43 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81492_0 {
	meta:
		name = "THistogram.MapImages"
		size = 292
		refs = "003b TList.Get 00a4 TGIFFrame.GetTransparent 00c1 TGIFGraphicControlExtension.GetTransparentColorIndex 00d2 TGIFGraphicControlExtension.SetTransparentColorIndex"
	strings:
		$1 = { 53 56 57 55 81 C4 EC FE FF FF 88 4C 24 05 88 54 24 04 89 04 24 8B 04 24 8B 40 10 8B 40 08 48 85 C0 7C 40 40 89 44 24 10 C7 44 24 08 00 00 00 00 8B 04 24 8B 40 10 8B 54 24 08 E8 ?? ?? ?? ?? 0F B6 58 08 8B 04 24 8B 40 10 8B 54 24 08 E8 ?? ?? ?? ?? 8B 40 04 88 5C 04 14 FF 44 24 08 FF 4C 24 10 75 CD 8B 04 24 8B 40 14 8B 40 08 48 85 C0 0F 8C A4 00 00 00 40 89 44 24 10 C7 44 24 08 00 00 00 00 8B 04 24 8B 40 14 8B 54 24 08 E8 ?? ?? ?? ?? 8B F8 8B 6F 18 0F B7 77 29 0F B7 47 2B 0F AF F0 8B C7 E8 ?? ?? ?? ?? 84 C0 74 07 80 7C 24 04 00 75 04 33 DB EB 02 B3 01 84 DB 74 1B 8B 47 34 E8 ?? ?? ?? ?? 88 44 24 0C 8B 47 34 0F B6 54 24 05 E8 ?? ?? ?? ?? EB 05 C6 44 24 0C 00 85 F6 7E 2A 84 DB 74 14 0F B6 45 00 3A 44 24 0C 75 0A 0F B6 44 24 05 88 45 00 EB 0C 0F B6 45 00 0F B6 44 04 14 88 45 00 4E 45 85 F6 7F D6 FF 44 24 08 FF 4C 24 10 0F 85 69 FF FF FF 81 C4 14 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81494_0 {
	meta:
		name = "TColorMapOptimizer.Destroy"
		size = 87
		refs = "0004 @BeforeDestruction 0010 TObject.Free 0026 TList.Get 0044 TObject.Destroy 004f @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B 46 08 8B 78 08 4F 83 FF 00 7C 15 8B 46 08 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4F 83 FF FF 75 EB 8B 46 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81495_0 {
	meta:
		name = "TColorMapOptimizer.ProcessImage"
		size = 360
		refs = "000f TGIFImage.GetColorMap 002a _DV_THistogram 002f THistogram.Create 0040 TGIFList.GetCount 0057 TGIFImageList.GetFrame 0072 TGIFFrame.GetEmpty 0090 THistogram.ProcessFrame 00b7 TList.Add 00c0 TObject.Free"
	strings:
		$1 = { 53 56 57 55 51 8B D8 C6 43 18 00 8B 43 04 E8 ?? ?? ?? ?? 83 78 08 00 0F 8E A7 00 00 00 8B 43 04 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 C6 04 24 00 8B 43 04 8B 40 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 60 47 33 F6 8B 43 04 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B 40 20 83 78 08 00 75 43 8B 43 04 8B 40 30 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 2D C6 04 24 01 8B 43 04 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 84 C0 75 0A 80 7B 18 00 75 04 33 C0 EB 02 B0 01 88 43 18 46 4F 75 A3 80 3C 24 00 74 0C 8B D5 8B 43 08 E8 ?? ?? ?? ?? EB 07 8B C5 E8 ?? ?? ?? ?? 8B 43 04 8B 40 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 88 00 00 00 47 33 F6 8B 43 04 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B 40 20 83 78 08 00 7E 67 8B 43 04 8B 40 30 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 51 8B 43 04 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B 48 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B D5 8B 43 08 E8 ?? ?? ?? ?? 8B 43 04 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 84 C0 75 0A 80 7B 18 00 75 04 33 C0 EB 02 B0 01 88 43 18 46 4F 0F 85 7B FF FF FF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81496_0 {
	meta:
		name = "TColorMapOptimizer.MergeColors"
		size = 95
		refs = "0010 CompareColor 0015 TList.Sort 001f TList.Get"
	strings:
		$1 = { 53 56 57 55 8B F8 8B 47 0C 83 78 08 00 74 4B BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 0C 33 D2 E8 ?? ?? ?? ?? 8B D8 8B 47 0C 8B 70 08 4E 85 F6 7E 2A BD 01 00 00 00 8B 47 0C 8B D5 E8 ?? ?? ?? ?? 8B 50 0C 3B 53 0C 75 0D 8B 10 01 13 33 D2 89 10 89 58 0C EB 02 8B D8 45 4E 75 DB 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81498_0 {
	meta:
		name = "TColorMapOptimizer.MapColors"
		size = 480
		refs = "000a CompareCount 0012 TList.Sort 0047 TList.Get 006b TColorMap 0070 @DynArraySetLength 01ad GIFDefaultTransparentColor 01b2 _DV_TGIFColorMap 01b7 TGIFColorMap.Color2RGB"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 8B D8 BA ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 80 7B 18 00 74 07 BF FF 00 00 00 EB 05 BF 00 01 00 00 8B 43 0C 8B 40 08 89 43 14 48 85 C0 7C 26 40 89 44 24 08 33 F6 3B FE 7E 0F 8B D6 8B 43 0C E8 ?? ?? ?? ?? 83 38 00 75 05 89 73 14 EB 07 46 FF 4C 24 08 75 E1 68 00 01 00 00 8D 43 10 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 14 48 85 C0 7C 3A 40 89 44 24 08 33 F6 8B D6 8B 43 0C E8 ?? ?? ?? ?? 89 70 08 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8D 14 76 8B 4B 10 03 CA 66 8B 50 0C 66 89 11 8A 50 0E 88 51 02 46 FF 4C 24 08 75 CD 8B 73 14 8B 43 0C 8B 40 08 48 2B C6 0F 8C CF 00 00 00 40 89 44 24 08 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B F8 83 3F 00 75 0E 8B 47 0C 8B 40 08 89 47 08 E9 A0 00 00 00 33 C0 89 44 24 04 C7 04 24 03 FA 02 00 8B 43 14 48 85 C0 7C 79 40 89 44 24 0C 33 ED 8B D5 8B 43 0C E8 ?? ?? ?? ?? 0F B6 40 0C 0F B6 57 0C 2B C2 8B D0 0F AF D0 89 54 24 10 8B D5 8B 43 0C E8 ?? ?? ?? ?? 0F B6 40 0D 0F B6 57 0D 2B C2 8B D0 0F AF D0 89 54 24 14 8B D5 8B 43 0C E8 ?? ?? ?? ?? 0F B6 40 0E 0F B6 57 0E 2B C2 8B D0 0F AF D0 8B C2 8B 54 24 10 03 54 24 14 03 C2 3B 04 24 7D 07 89 04 24 89 6C 24 04 45 FF 4C 24 0C 75 8E 8B 54 24 04 8B 43 0C E8 ?? ?? ?? ?? 8B 40 08 89 47 08 46 FF 4C 24 08 0F 85 36 FF FF FF 80 7B 18 00 74 38 0F B6 43 14 88 43 19 8D 4C 24 18 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 14 8D 04 40 8B 53 10 66 8B 4C 24 18 66 89 0C 02 8A 4C 24 1A 88 4C 02 02 FF 43 14 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81499_0 {
	meta:
		name = "TColorMapOptimizer.ReplaceColorMaps"
		size = 105
		refs = "000c TGIFList.GetCount 0023 TGIFImageList.GetFrame 003e TGIFColorMap.Clear 004a TGIFImage.GetColorMap 0055 TGIFColorMap.ImportColorMap"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 04 8B 40 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2F 47 33 F6 8B 43 04 8B 40 30 8B D6 E8 ?? ?? ?? ?? 83 78 20 00 74 15 8B 43 04 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B 40 20 E8 ?? ?? ?? ?? 46 4F 75 D4 8B 43 04 E8 ?? ?? ?? ?? 8B 4B 14 8B 53 10 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? C6 40 0C 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81500_0 {
	meta:
		name = "TColorMapOptimizer.Optimize"
		size = 402
		refs = "0013 TGIFImage.SuspendDraw 001b TColorMapOptimizer.Optimize 002c TGIFImage.StopDraw 0034 TColorMapOptimizer.ProcessImage 0054 TList.Get 0059 THistogram.Prune 0077 TList.SetCapacity 00c6 TList.Add 00d8 TColorMapOptimizer.MergeColors 00e0 TColorMapOptimizer.MapColors 00e8 TColorMapOptimizer.ReplaceColorMaps 0119 THistogram.MapImages 012b TGIFList.GetCount 0145 TGIFImageList.GetFrame 014c TGIFFrame.SetHasBitmap 0163 TGIFFrame.SetPalette 017f TGIFImage.ResumeDraw 0185 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 F6 8B 45 FC 8B 40 08 8B 58 08 4B 85 DB 7C 1B 43 33 FF 8B 45 FC 8B 40 08 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 F0 47 4B 75 E8 8B 45 FC 8B 40 0C 8B 10 FF 52 08 8B 45 FC 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 58 08 4B 85 DB 7C 4B 43 33 FF 8B 45 FC 8B 40 08 8B D7 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 70 08 4E 85 F6 7C 29 46 C7 45 F8 00 00 00 00 8B 45 F4 8B 40 10 8B 55 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? FF 45 F8 4E 75 DF 47 4B 75 B8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 58 08 4B 85 DB 7C 27 43 33 FF 8B 45 FC 8B 40 08 8B D7 E8 ?? ?? ?? ?? 8B 55 FC 0F B6 4A 19 8B 55 FC 0F B6 52 18 E8 ?? ?? ?? ?? 47 4B 75 DC 8B 45 FC 8B 40 04 8B 40 30 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 35 43 33 FF 8B 45 FC 8B 40 04 8B 40 30 8B D7 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 30 8B D7 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 47 4B 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81501_0 {
	meta:
		name = "TCustomGIFRenderer.Changed"
		size = 16
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 44 C6 43 30 01 5B C3 }
	condition:
		$1
}

rule function_81502_0 {
	meta:
		name = "TCustomGIFRenderer.CheckChange"
		size = 16
	strings:
		$1 = { 80 78 30 00 74 09 C6 40 30 00 8B 10 FF 52 24 C3 }
	condition:
		$1
}

rule function_81503_0 {
	meta:
		name = "TCustomGIFRenderer.Create"
		size = 74
		refs = "000b @ClassCreate 001a TObject.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 08 C7 47 24 64 00 00 00 8B C7 8B 10 FF 52 1C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81504_0 {
	meta:
		name = "TCustomGIFRenderer.DoNextFrame"
		size = 150
		refs = "0013 TGIFList.GetCount 004f TGIFFrame.GetEmpty"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 73 2C 8B 7B 28 8B 43 08 8B 40 30 E8 ?? ?? ?? ?? 48 3B 43 2C 7F 54 FF 43 38 8B 43 34 85 C0 74 05 3B 43 38 7E 12 33 D2 8B C3 8B 08 FF 51 10 8B C3 8B 10 FF 52 28 EB 3E 8B C3 8B 10 FF 52 48 8B 6B 28 85 ED 74 45 8B C5 E8 ?? ?? ?? ?? 84 C0 74 3A 85 FF 74 36 8B C7 E8 ?? ?? ?? ?? 84 C0 75 2B 8B D6 8B C3 8B 08 FF 51 10 EB 20 8B 53 2C 42 8B C3 8B 08 FF 51 10 8B 43 28 E8 ?? ?? ?? ?? 84 C0 74 09 3B 73 2C 0F 85 7B FF FF FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81505_0 {
	meta:
		name = "TCustomGIFRenderer.Draw"
		size = 83
		refs = "0014 EqualRect"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 3B 73 0C 75 0E 57 8D 43 10 50 E8 ?? ?? ?? ?? 85 C0 75 1E 8B C3 8B 10 FF 52 24 89 73 0C 56 57 8B F7 8D 7B 10 A5 A5 A5 A5 5F 5E 8B C3 8B 10 FF 52 30 8B C3 8B 10 FF 52 18 8B C8 8B D7 8B C6 8B 18 FF 93 88 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81507_0 {
	meta:
		name = "TCustomGIFRenderer.Initialize"
		size = 30
		refs = "0007 TGIFImage.EffectiveBackgroundColor"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 89 43 20 C7 43 34 01 00 00 00 8B C3 8B 10 FF 52 1C 5B C3 }
	condition:
		$1
}

rule function_81508_0 {
	meta:
		name = "TCustomGIFRenderer.InternalSetFrameIndex"
		size = 45
		refs = "0019 TGIFImageList.GetFrame"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 2C 74 1F 83 FE FF 74 12 8B 43 08 8B 40 30 8B D6 E8 ?? ?? ?? ?? 89 43 28 EB 05 33 C0 89 43 28 89 73 2C 5E 5B C3 }
	condition:
		$1
}

rule function_81510_0 {
	meta:
		name = "TCustomGIFRenderer.NextFrame"
		size = 39
		refs = "000a TGIFList.GetCount"
	strings:
		$1 = { 53 8B D8 8B 43 08 8B 40 30 E8 ?? ?? ?? ?? 85 C0 7E 09 8B C3 8B 10 FF 52 2C 5B C3 83 CA FF 8B C3 8B 08 FF 51 10 5B C3 }
	condition:
		$1
}

rule function_81511_0 {
	meta:
		name = "TCustomGIFRenderer.Reset"
		size = 38
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 44 33 C0 89 43 38 83 CA FF 8B C3 8B 08 FF 51 10 8B C3 8B 10 FF 52 3C C6 43 30 00 5B C3 }
	condition:
		$1
}

rule function_81512_0 {
	meta:
		name = "TCustomGIFRenderer.SetAnimate"
		size = 14
	strings:
		$1 = { 3A 50 05 74 08 88 50 05 8B 10 FF 52 1C C3 }
	condition:
		$1
}

rule function_81513_0 {
	meta:
		name = "TCustomGIFRenderer.SetBackgroundColor"
		size = 14
	strings:
		$1 = { 3B 50 20 74 08 89 50 20 8B 10 FF 52 1C C3 }
	condition:
		$1
}

rule function_81514_0 {
	meta:
		name = "TCustomGIFRenderer.SetFrameIndex"
		size = 24
	strings:
		$1 = { 53 8B D8 3B 53 2C 74 0E 8B C3 8B 08 FF 51 10 8B C3 8B 10 FF 52 1C 5B C3 }
	condition:
		$1
}

rule function_81516_0 {
	meta:
		name = "TCustomGIFRenderer.SetSpeed"
		size = 14
	strings:
		$1 = { 3B 50 24 74 08 89 50 24 8B 10 FF 52 1C C3 }
	condition:
		$1
}

rule function_81517_0 {
	meta:
		name = "TCustomGIFRenderer.SetTransparent"
		size = 14
	strings:
		$1 = { 3A 50 04 74 08 88 50 04 8B 10 FF 52 1C C3 }
	condition:
		$1
}

rule function_81518_0 {
	meta:
		name = "TCustomGIFRenderer.StartAnimation"
		size = 5
	strings:
		$1 = { C6 40 3C 01 C3 }
	condition:
		$1
}

rule function_81519_0 {
	meta:
		name = "TCustomGIFRenderer.StopAnimation"
		size = 11
	strings:
		$1 = { 80 78 3C 00 74 04 C6 40 3C 00 C3 }
	condition:
		$1
}

rule function_81520_0 {
	meta:
		name = "TGIFRenderer.AnimationTimerEvent"
		size = 33
		refs = "0006 TGIFRenderer.StopAnimationTimer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 60 01 8B C3 8B 10 FF 52 3C 8B D3 8B 43 08 8B 08 FF 51 10 5B C3 }
	condition:
		$1
}

rule function_81522_0 {
	meta:
		name = "TGIFRenderer.Clear"
		size = 44
		refs = "0016 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 44 8D 43 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 4C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81524_0 {
	meta:
		name = "TGIFRenderer.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 000e TGIFRenderer.Clear 0016 TObject.Free 0021 TObject.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81525_0 {
	meta:
		name = "TGIFRenderer.UndoPreviousFrame"
		size = 194
		refs = "0010 TGIFImage.GetIsTransparent 001c TBitmap.GetCanvas 0033 TGIFFrame.ScaleRect 005e TCanvas.CopyRect 0073 TBrush.SetColor 0085 TBrush.SetStyle"
	strings:
		$1 = { 53 83 C4 D0 8B D8 80 7B 04 00 74 58 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 4C 8B 43 50 E8 ?? ?? ?? ?? 8D 54 24 10 8B 08 FF 51 10 8D 54 24 10 8B CC 8B 43 48 E8 ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? C7 40 54 20 00 CC 00 54 8B 43 40 E8 ?? ?? ?? ?? 50 8B 43 50 E8 ?? ?? ?? ?? 8D 54 24 08 59 E8 ?? ?? ?? ?? EB 59 8B 43 50 E8 ?? ?? ?? ?? 8B 40 48 8B 53 20 E8 ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 43 50 E8 ?? ?? ?? ?? 8D 54 24 20 8B 08 FF 51 10 8D 54 24 20 8D 4C 24 10 8B 43 48 E8 ?? ?? ?? ?? 8D 44 24 10 50 8B 43 50 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 83 C4 30 5B C3 }
	condition:
		$1
}

rule function_81526_0 {
	meta:
		name = "TGIFRenderer.Draw"
		size = 112
		refs = "000b timeGetTime 0018 TCustomGIFRenderer.Draw 0029 TGIFList.GetCount 0067 TGIFRenderer.StartAnimationTimer"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 E8 ?? ?? ?? ?? 8B F0 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 80 7B 05 00 74 49 8B 43 08 8B 40 30 E8 ?? ?? ?? ?? 85 C0 7E 3A 80 7B 3C 00 75 07 8B C3 8B 10 FF 52 40 80 7B 3C 00 74 27 80 7B 60 00 74 21 E8 ?? ?? ?? ?? 2B C6 50 8B 43 54 5A 2B C2 83 F8 01 7D 05 B8 01 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81527_0 {
	meta:
		name = "TGIFRenderer.GetBitmap"
		size = 15
		refs = "0006 TGIFRenderer.RenderFrame"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 50 5B C3 }
	condition:
		$1
}

rule function_81529_0 {
	meta:
		name = "TGIFRenderer.Initialize"
		size = 864
		refs = "000c TCustomGIFRenderer.Initialize 0030 TBitmap.GetCanvas 0051 TGIFImageList.GetFrame 0061 TGIFList.GetCount 0079 TGIFExtensionList.GetExtension 0083 _DV_TGIFAppExtNSLoop 0088 @IsClass 0097 TCustomGIFRenderer.SetLoopMax 00c3 TGIFRenderer.Initialize 00d3 GIFClearOnLoop 010f TGIFGraphicControlExtension.GetDisposal 0139 _Dn_TBitmap 013e TBitmap.Create 016e TGIFImage.GetIsTransparent 01ac TCanvas.CopyRect 01c0 TBrush.SetStyle 01d3 TBrush.SetColor 0209 TObject.Free"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 56 1C 2B 56 14 8B 46 50 8B 08 FF 51 38 8B 56 18 2B 56 10 8B 46 50 8B 08 FF 51 44 8B 46 50 E8 ?? ?? ?? ?? C7 40 54 20 00 CC 00 33 C0 89 04 24 C6 44 24 04 00 EB 62 8B 46 08 8B 40 30 8B 14 24 E8 ?? ?? ?? ?? 89 44 24 08 8B 44 24 08 8B 40 30 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 3A 45 33 DB 8B 44 24 08 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B F8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 0F B7 57 18 8B C6 E8 ?? ?? ?? ?? C6 44 24 04 01 EB 04 43 4D 75 C9 FF 04 24 80 7C 24 04 00 75 10 8B 46 08 8B 40 30 E8 ?? ?? ?? ?? 3B 04 24 7F 87 0F B6 1D ?? ?? ?? ?? 80 7E 05 00 0F 84 EA 01 00 00 80 3D ?? ?? ?? ?? 00 74 03 80 CB 04 8B 46 08 8B 40 30 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 34 45 C7 04 24 00 00 00 00 8B 46 08 8B 40 30 8B 14 24 E8 ?? ?? ?? ?? 8B 78 34 85 FF 74 11 8B C7 E8 ?? ?? ?? ?? 3C 07 77 06 83 E0 7F 0F AB C3 FF 04 24 4D 75 D4 F6 C3 04 0F 84 D1 00 00 00 80 7E 04 00 0F 84 C7 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7E 40 8B 46 50 8B 10 FF 52 24 8B D0 8B C7 8B 08 FF 51 38 8B 46 50 8B 10 FF 52 30 8B D0 8B 46 40 8B 08 FF 51 44 8B 46 08 E8 ?? ?? ?? ?? 84 C0 74 3C 8B 46 40 E8 ?? ?? ?? ?? C7 40 54 20 00 CC 00 8D 46 10 50 8B 46 40 E8 ?? ?? ?? ?? 8D 54 24 10 8B 08 FF 51 10 8D 44 24 10 50 8B 46 40 E8 ?? ?? ?? ?? 8B 4E 0C 5A E8 ?? ?? ?? ?? EB 5B 8B 46 40 E8 ?? ?? ?? ?? 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 8B 40 48 8B 56 20 E8 ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 8D 54 24 0C 8B 08 FF 51 10 8D 44 24 0C 50 8B 46 40 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 EB 10 8D 46 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? F6 C3 08 0F 84 95 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 5E 4C 8B 46 50 8B 10 FF 52 24 8B D0 8B C3 8B 08 FF 51 38 8B 46 50 8B 10 FF 52 30 8B D0 8B 46 4C 8B 08 FF 51 44 8B 46 4C E8 ?? ?? ?? ?? C7 40 54 20 00 CC 00 8B 46 4C E8 ?? ?? ?? ?? 8B 40 48 8B 56 20 E8 ?? ?? ?? ?? 8B 46 4C E8 ?? ?? ?? ?? 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8D 46 10 50 8B 46 4C E8 ?? ?? ?? ?? 8D 54 24 10 8B 08 FF 51 10 8D 44 24 10 50 8B 46 4C E8 ?? ?? ?? ?? 8B 4E 0C 5A E8 ?? ?? ?? ?? EB 10 8D 46 4C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 80 7E 04 00 74 48 8B 46 08 E8 ?? ?? ?? ?? 84 C0 74 3C 8B 46 50 E8 ?? ?? ?? ?? C7 40 54 20 00 CC 00 8D 46 10 50 8B 46 50 E8 ?? ?? ?? ?? 8D 54 24 10 8B 08 FF 51 10 8D 44 24 10 50 8B 46 50 E8 ?? ?? ?? ?? 8B 4E 0C 5A E8 ?? ?? ?? ?? EB 49 8B 46 50 E8 ?? ?? ?? ?? 8B 40 48 8B 56 20 E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? 8D 54 24 0C 8B 08 FF 51 10 8D 44 24 0C 50 8B 46 50 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 83 C4 1C 5D 5F 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_81530_0 {
	meta:
		name = "TGIFRenderer.Loop"
		size = 25
		refs = "0006 TCustomGIFRenderer.Loop 000c GIFClearOnLoop"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 04 C6 43 45 02 5B C3 }
	condition:
		$1
}

rule function_81531_0 {
	meta:
		name = "TGIFRenderer.DoNextFrame"
		size = 155
		refs = "0015 TCustomGIFRenderer.DoNextFrame 0032 TGIFGraphicControlExtension.GetDisposal 003c TGIFGraphicControlExtension.GetDelay 004b GIFDefaultDelay 005d GIFMinimumDelay 006b GIFMaximumDelay 008a GIFDelayExp 0090 MulDiv"
	strings:
		$1 = { 53 56 57 8B D8 0F B6 43 44 88 43 45 8B 43 28 89 43 48 8B C3 E8 ?? ?? ?? ?? C6 43 58 01 8B 43 28 85 C0 74 05 8B 70 34 EB 02 33 F6 85 F6 74 22 8B C6 E8 ?? ?? ?? ?? 88 43 44 8B C6 E8 ?? ?? ?? ?? 0F B7 C0 8B F0 85 F6 75 12 8B 35 ?? ?? ?? ?? EB 0A C6 43 44 01 8B 35 ?? ?? ?? ?? 3B 35 ?? ?? ?? ?? 7D 06 8B 35 ?? ?? ?? ?? 3B 35 ?? ?? ?? ?? 7E 06 8B 35 ?? ?? ?? ?? 8B 7B 24 85 FF 7F 06 8B 35 ?? ?? ?? ?? 57 6A 64 0F AF 35 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 89 43 54 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81532_0 {
	meta:
		name = "TGIFRenderer.RenderFrame"
		size = 440
		refs = "0046 TBitmap.GetCanvas 0087 TCanvas.CopyRect 00a0 TGIFRenderer.UndoPreviousFrame 00f9 TGIFFrame.GetPalette 0105 SystemPalette16 011b SelectPalette 0126 TGIFRenderer.RenderFrame 013c TCanvas.GetHandle 0142 RealizePalette 0176 TGIFFrame.Draw 01a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 89 45 FC 8B 45 FC 8B 10 FF 52 20 8B 45 FC 80 78 58 00 0F 84 94 01 00 00 8B 45 FC 83 78 28 00 0F 84 87 01 00 00 8B 45 FC 0F B6 40 44 3C 03 75 54 8B 55 FC 3A 42 45 74 4C 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 51 10 8D 45 E8 50 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 8D 55 D8 8B 08 FF 51 10 8D 45 D8 50 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 59 5A E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 45 2C 02 74 06 FE C8 74 0C EB 56 8B 45 FC E8 ?? ?? ?? ?? EB 4C 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 51 10 8D 45 E8 50 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8D 55 D8 8B 08 FF 51 10 8D 45 D8 50 8B 45 FC 8B 40 4C E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 59 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 E8 ?? ?? ?? ?? 8B D8 85 DB 75 08 8B 1D ?? ?? ?? ?? 8B 1B 6A 00 53 8B 45 FC 8B 40 50 8B 10 FF 52 70 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 01 6A 00 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 51 10 8D 45 E8 50 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 28 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 17 6A 00 8B 45 F8 50 8B 45 FC 8B 40 50 8B 10 FF 52 70 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B 45 FC C6 40 58 00 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81533_0 {
	meta:
		name = "TGIFRenderer.Reset"
		size = 16
		refs = "0006 TCustomGIFRenderer.Reset"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 45 01 5B C3 }
	condition:
		$1
}

rule function_81534_0 {
	meta:
		name = "TGIFRenderer.StartAnimation"
		size = 66
		refs = "000d TCustomGIFRenderer.StartAnimation 0016 _Dn_TTimer 001b TTimer.Create 0029 TTimer.SetEnabled 002f TGIFRenderer.AnimationTimerEvent 0037 TTimer.SetOnTimer"
	strings:
		$1 = { 53 56 8B D8 80 7B 3C 00 75 35 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 5C 33 D2 8B C6 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 43 5C E8 ?? ?? ?? ?? C6 43 60 01 5E 5B C3 }
	condition:
		$1
}

rule function_81535_0 {
	meta:
		name = "TGIFRenderer.StartAnimationTimer"
		size = 33
		refs = "000d TTimer.SetInterval 0017 TTimer.SetEnabled"
	strings:
		$1 = { 53 8B D8 80 7B 3C 00 74 16 8B 43 5C E8 ?? ?? ?? ?? B2 01 8B 43 5C E8 ?? ?? ?? ?? C6 43 60 00 5B C3 }
	condition:
		$1
}

rule function_81536_0 {
	meta:
		name = "TGIFRenderer.StopAnimation"
		size = 41
		refs = "000c TGIFRenderer.StopAnimationTimer 001c TObject.Free 0023 TCustomGIFRenderer.StopAnimation"
	strings:
		$1 = { 53 8B D8 80 7B 3C 00 74 1E 8B C3 E8 ?? ?? ?? ?? 8D 43 5C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81537_0 {
	meta:
		name = "TGIFRenderer.StopAnimationTimer"
		size = 25
		refs = "000f TTimer.SetEnabled"
	strings:
		$1 = { 53 8B D8 80 7B 3C 00 74 0A 33 D2 8B 43 5C E8 ?? ?? ?? ?? C6 43 60 00 5B C3 }
	condition:
		$1
}

rule function_81538_0 {
	meta:
		name = "TGIFImage.Create"
		size = 192
		refs = "000a @ClassCreate 0017 TGraphic.Create 0020 _DV_TGIFImageList 0025 TGIFImageList.Create 0031 _DV_TGIFHeader 0036 TGIFHeader.Create 0045 GIFImageDefaultAnimate 004f GIFImageDefaultDithering 0059 GIFImageDefaultAnimationLoop 0063 GIFImageDefaultColorReduction 006b GIFImageDefaultColorReductionBits 0075 GIFImageDefaultDitherMode 0080 GIFImageDefaultAnimationSpeed 0099 TGIFImage.NewImage 00ad @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 34 33 C0 89 46 38 0F B6 05 ?? ?? ?? ?? 88 46 28 0F B6 05 ?? ?? ?? ?? 88 46 2A 0F B6 05 ?? ?? ?? ?? 88 46 29 0F B6 05 ?? ?? ?? ?? 88 46 3C A1 ?? ?? ?? ?? 89 46 40 0F B6 05 ?? ?? ?? ?? 88 86 8C 00 00 00 A1 ?? ?? ?? ?? 89 46 54 C7 46 58 FF FF FF 1F C6 46 2B 00 C6 46 2C 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 51 40 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81539_0 {
	meta:
		name = "TGIFImage.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TGIFImage.InternalClear 0016 TObject.Free 0029 TPersistent.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? 8B 46 34 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81540_0 {
	meta:
		name = "TGIFImage.Clear"
		size = 21
		refs = "0006 TGIFImage.InternalClear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 5B C3 }
	condition:
		$1
}

rule function_81541_0 {
	meta:
		name = "TGIFImage.InternalClear"
		size = 67
		refs = "0006 TGIFImage.StopDraw 000d TGIFImage.FreeBitmap 0015 TGIFList.Clear 0020 TGIFColorMap.Clear 0034 TGIFHeader.Prepare"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 30 E8 ?? ?? ?? ?? 8B 43 34 8B 40 10 E8 ?? ?? ?? ?? 8B 43 34 66 C7 40 0A 00 00 66 C7 40 08 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 3C 5B C3 }
	condition:
		$1
}

rule function_81543_0 {
	meta:
		name = "TGIFImage.GetVersion"
		size = 64
		refs = "0012 TGIFImageList.GetFrame 002c TGIFList.GetCount"
	strings:
		$1 = { 53 56 57 51 8B F8 33 DB 33 F6 EB 1C 8B 47 30 8B D6 E8 ?? ?? ?? ?? 8B 10 FF 52 0C 88 04 24 3A 1C 24 73 04 0F B6 1C 24 46 8B 47 30 E8 ?? ?? ?? ?? 3B F0 7D 05 80 FB 02 72 D3 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81544_0 {
	meta:
		name = "TGIFImage.GetColorResolution"
		size = 81
		refs = "000a TGIFHeader.GetColorResolution 0014 TGIFList.GetCount 0028 TGIFImageList.GetFrame 002d TGIFFrame.GetColorResolution"
	strings:
		$1 = { 53 56 57 55 8B F8 8B 47 34 E8 ?? ?? ?? ?? 8B E8 8B 47 30 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2B 46 33 DB 8B 47 30 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B E8 7D 11 8B 47 30 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 43 4E 75 D8 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81545_0 {
	meta:
		name = "TGIFImage.GetBitsPerPixel"
		size = 81
		refs = "000a TGIFHeader.GetBitsPerPixel 0014 TGIFList.GetCount 0028 TGIFImageList.GetFrame 002d TGIFFrame.GetBitsPerPixel"
	strings:
		$1 = { 53 56 57 55 8B F8 8B 47 34 E8 ?? ?? ?? ?? 8B E8 8B 47 30 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2B 46 33 DB 8B 47 30 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B E8 7D 11 8B 47 30 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 43 4E 75 D8 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81546_0 {
	meta:
		name = "TGIFImage.GetBackgroundColorIndex"
		size = 8
	strings:
		$1 = { 8B 40 34 0F B6 40 0D C3 }
	condition:
		$1
}

rule function_81547_0 {
	meta:
		name = "TGIFImage.SetBackgroundColorIndex"
		size = 50
		refs = "0011 TGIFImage.StopDraw 001b TGIFHeader.SetBackgroundColorIndex 0022 TGIFImage.Pack"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 34 3A 58 0D 74 21 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 46 34 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_81548_0 {
	meta:
		name = "TGIFImage.GetBackgroundColor"
		size = 9
		refs = "0004 TGIFHeader.GetBackgroundColor"
	strings:
		$1 = { 8B 40 34 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81549_0 {
	meta:
		name = "TGIFImage.SetBackgroundColor"
		size = 54
		refs = "000a TGIFHeader.GetBackgroundColor 0015 TGIFImage.StopDraw 001f TGIFHeader.SetBackgroundColor 0026 TGIFImage.Pack"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 34 E8 ?? ?? ?? ?? 3B F0 74 21 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 34 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_81550_0 {
	meta:
		name = "TGIFImage.GetAspectRatio"
		size = 8
	strings:
		$1 = { 8B 40 34 0F B6 40 0E C3 }
	condition:
		$1
}

rule function_81551_0 {
	meta:
		name = "TGIFImage.SetAspectRatio"
		size = 46
		refs = "0011 TGIFImage.StopDraw 001e TGIFImage.Pack"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 34 3A 58 0E 74 1D 8B C6 E8 ?? ?? ?? ?? 8B 46 34 88 58 0E 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_81552_0 {
	meta:
		name = "TGIFImage.SetDithering"
		size = 40
		refs = "000e TGIFImage.StopDraw 0018 TGIFImage.Pack"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 2A 74 1A 8B C6 E8 ?? ?? ?? ?? 88 5E 2A 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_81553_0 {
	meta:
		name = "TGIFImage.SetAnimate"
		size = 33
		refs = "000e TGIFImage.StopDraw"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 28 74 13 8B C6 E8 ?? ?? ?? ?? 88 5E 28 8B D6 8B C6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_81554_0 {
	meta:
		name = "TGIFImage.SetAnimateLoop"
		size = 29
		refs = "000e TGIFImage.StopDraw"
	strings:
		$1 = { 53 8B D8 3A 53 29 74 13 88 53 29 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 5B C3 }
	condition:
		$1
}

rule function_81555_0 {
	meta:
		name = "TGIFImage.SetAnimationSpeed"
		size = 100
		refs = "002b TGIFImage.SuspendDraw 0033 TGIFImage.SetAnimationSpeed 0054 TGIFImage.ResumeDraw 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 85 DB 7D 04 33 DB EB 0D 81 FB E8 03 00 00 7E 05 BB E8 03 00 00 8B 45 FC 3B 58 54 74 39 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 58 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_81556_0 {
	meta:
		name = "TGIFImage.SetReductionBits"
		size = 93
		refs = "000f TGIFImage.SetReductionBits 0027 sInvalidBitSize 002c LoadResString 0034 Error 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FB 03 7C 05 83 FB 08 7E 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 5E 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81557_0 {
	meta:
		name = "TGIFImage.SetTransparent"
		size = 45
		refs = "0014 TGIFImage.StopDraw 001d TGraphic.SetTransparent"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 2C 3A D8 74 19 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_81558_0 {
	meta:
		name = "TGIFImage.OptimizeColorMap"
		size = 93
		refs = "000f _DV_TColorMapOptimizer 0014 TColorMapOptimizer.Create 001f TGIFImage.OptimizeColorMap 002d TColorMapOptimizer.Optimize 0042 TObject.Free 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 FC 8B 45 FC 8B 08 FF 51 10 59 59 5D C3 }
	condition:
		$1
}

rule function_81559_0 {
	meta:
		name = "Scan"
		size = 23
	strings:
		$1 = { 57 89 C7 89 C9 88 D0 F2 AE B8 00 00 00 00 75 05 B8 01 00 00 00 5F C3 }
	condition:
		$1
}

rule function_81560_0 {
	meta:
		name = "TGIFImage.Optimize"
		size = 2422
		refs = "0030 TGIFImage.Optimize 004e TGIFImage.SuspendDraw 0064 TGIFImage.StopDraw 0079 Rect 0085 sProgressOptimizing 008a LoadResString 009f @CallDynaInst 00bd TGIFList.GetCount 00d8 TGIFImage.GetColorMap 0110 TGIFImageList.GetFrame 013d MulDiv 01b3 TGIFFrame.GetTransparent 01e1 TGIFGraphicControlExtension.GetTransparentColorIndex 01f9 Scan 0214 TGIFGraphicControlExtension.SetTransparent 02af TGIFGraphicControlExtension.GetDisposal 02e9 TGIFFrame.GetBoundsRect 0310 IntersectRect 0321 EqualRect 033c TGIFGraphicControlExtension.SetDisposal 041e TGIFFrame.Merge 04e7 TGIFExtensionList.GetExtension 04ed _DV_TGIFCommentExtension 04f2 @IsClass 0517 _DV_TGIFTextExtension 053d _DV_TGIFUnknownAppExtension 0563 _DV_TGIFAppExtNSLoop 0595 TGIFList.Delete 05b1 TGIFFrame.GetEmpty 05e0 TObject.Free 06a0 TGIFGraphicControlExtension.GetDelay 06b5 TGIFFrame.Crop 0718 TGIFGraphicControlExtension.SetDelay 07fb TGIFGraphicControlExtension.GetTransparent 0806 TGIFGraphicControlExtension.GetUserInput 08d0 ExceptObject 091d @HandleFinally 0934 TGIFImage.ResumeDraw 0961 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 8C 53 56 57 33 DB 89 5D 8C 89 5D 90 89 5D 94 89 5D 98 89 5D 9C 89 5D A0 89 5D A4 89 5D A8 89 5D AC 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 20 84 C0 0F 85 01 09 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8D 45 B0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 B0 50 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC 50 33 C9 8B 55 FC 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 03 C0 03 C0 03 C0 89 45 F0 F6 45 FB 08 0F 84 AB 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 78 08 00 7E 0D 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 18 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 7E 47 33 DB FF 45 F4 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 40 20 83 78 08 00 7E 5E 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 40 20 8B 10 FF 52 18 8B 45 F0 50 6A 64 8B 45 F4 50 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 45 B0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 B0 50 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 50 B1 01 8B 55 FC 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? 43 4F 75 85 F6 45 FB 04 0F 84 0A 02 00 00 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C CA 00 00 00 47 33 DB FF 45 F4 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A2 00 00 00 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 40 1C 50 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 40 34 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 40 18 5A 59 E8 ?? ?? ?? ?? 84 C0 75 60 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 40 34 33 D2 E8 ?? ?? ?? ?? 8B 45 F0 50 6A 64 8B 45 F4 50 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 45 B0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 B0 50 8D 55 A4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A4 50 B1 01 8B 55 FC 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? 43 4F 0F 85 39 FF FF FF 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8B F8 83 EF 02 85 FF 0F 8C 22 01 00 00 47 33 DB FF 45 F4 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 83 78 34 00 0F 84 EB 00 00 00 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 40 34 E8 ?? ?? ?? ?? 04 FE 2C 02 0F 83 CC 00 00 00 8D 53 01 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 B1 00 00 00 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8D 53 01 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8D 55 D0 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 45 E0 50 8D 45 C0 50 E8 ?? ?? ?? ?? 85 C0 74 71 8D 45 D0 50 8D 45 C0 50 E8 ?? ?? ?? ?? 85 C0 74 17 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 40 34 33 D2 E8 ?? ?? ?? ?? 8B 45 F0 50 6A 64 8B 45 F4 50 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 45 B0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 B0 50 8D 55 A0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 50 B1 01 8B 55 FC 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? 43 4F 0F 85 F3 FE FF FF EB 10 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 03 C0 01 45 F4 F6 45 FB 02 0F 84 C9 00 00 00 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 01 0F 8C C0 00 00 00 FF 45 F4 8B F3 4E EB 01 4E 85 F6 7E 2C 8B 45 FC 8B 40 30 8B D6 E8 ?? ?? ?? ?? 83 78 34 00 74 19 8B 45 FC 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B 40 34 E8 ?? ?? ?? ?? 3C 03 74 CF 85 F6 7C 21 8B 45 FC 8B 40 30 8B D6 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 F0 50 6A 64 8B 45 F4 50 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 45 B0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 B0 50 8D 55 9C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 50 B1 01 8B 55 FC 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? 4B 85 DB 0F 85 50 FF FF FF EB 0E 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 01 45 F4 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 01 45 F4 F6 45 FB 04 0F 84 9B 01 00 00 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 0F 8C 3B 01 00 00 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 40 30 E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 0F 8C CF 00 00 00 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 84 00 00 00 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 5E 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 38 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 40 30 8B D6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 85 DB 7F 0E 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 48 75 17 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 40 30 8B D6 E8 ?? ?? ?? ?? 4E 83 FE FF 0F 85 31 FF FF FF 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 40 30 E8 ?? ?? ?? ?? 85 C0 75 12 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 0F 85 C5 FE FF FF 8B 45 F0 50 6A 64 8B 45 F4 50 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 45 B0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 B0 50 8D 55 98 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 50 B1 01 8B 55 FC 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? F6 45 FB 01 0F 84 3D 01 00 00 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 0F 8C 34 01 00 00 FF 45 F4 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 FD 00 00 00 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 E3 00 00 00 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 40 34 E8 ?? ?? ?? ?? 0F B7 F0 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5A 85 DB 7E 49 8B D3 4A 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 32 8B FB 4F 8B D7 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8B 40 34 E8 ?? ?? ?? ?? 66 03 C6 50 8B D7 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8B 40 34 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 45 F0 50 6A 64 8B 45 F4 50 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 45 B0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 B0 50 8D 55 94 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 94 50 B1 01 8B 55 FC 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? 4B 83 FB FF 0F 85 DC FE FF FF EB 0E 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 01 45 F4 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 01 45 F4 F6 45 FB 04 0F 84 1E 01 00 00 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 0F 8C BE 00 00 00 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 83 78 34 00 74 60 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 70 34 8B C6 E8 ?? ?? ?? ?? 66 85 C0 74 0E 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 48 75 36 8B C6 E8 ?? ?? ?? ?? 84 C0 75 2B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 20 8B C6 E8 ?? ?? ?? ?? 2C 02 72 0E 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 48 75 07 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? 8B 40 30 E8 ?? ?? ?? ?? 85 C0 75 12 8B 45 FC 8B 40 30 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 0F 85 42 FF FF FF 8B 45 F0 50 6A 64 8B 45 F4 50 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 45 B0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 B0 50 8D 55 90 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 90 50 B1 01 8B 55 FC 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 07 BB 64 00 00 00 EB 02 33 DB 53 6A 00 6A 00 8D 45 B0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 B0 50 8D 55 8C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 8C 50 B1 02 8B 55 FC 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 FC 8B 45 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_81561_0 {
	meta:
		name = "TGIFImage.Pack"
		size = 155
		refs = "0008 TGIFImage.FreeBitmap 0019 TGIFList.GetCount 002d TGIFImageList.GetFrame 0034 TGIFFrame.SetBitmap 0045 TGIFFrame.SetPalette 008a TGIFColorMap.Clear"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 3C 8B 43 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 29 47 33 F6 8B D6 8B 43 30 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B D6 8B 43 30 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 46 4F 75 DA 8B 43 34 8B 40 10 83 78 08 00 7F 3E 8B 43 30 E8 ?? ?? ?? ?? 48 75 33 33 D2 8B 43 30 E8 ?? ?? ?? ?? 8B 50 20 8B 43 34 8B 40 10 8B 08 FF 51 08 33 D2 8B 43 30 E8 ?? ?? ?? ?? 8B 40 20 E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81562_0 {
	meta:
		name = "TGIFImage.ResumeDraw"
		size = 51
	strings:
		$1 = { 53 8B D8 FF 8B 90 00 00 00 83 BB 90 00 00 00 00 75 1F 8B 83 88 00 00 00 85 C0 74 0E 80 BB 94 00 00 00 00 74 05 8B 10 FF 52 40 C6 83 94 00 00 00 00 5B C3 }
	condition:
		$1
}

rule function_81563_0 {
	meta:
		name = "TGIFImage.SaveToStream"
		size = 353
		refs = "0019 TGIFImage.SaveToStream 003c Rect 0048 sProgressSaving 004d LoadResString 0062 @CallDynaInst 0094 _DV_TGIFTrailer 0099 TGIFItem.Create 00c9 TObject.Free 00cf @HandleFinally 00db TGraphic.SetModified 014f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 C9 89 4D DC 89 4D E0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 0F B6 45 F8 50 6A 00 6A 00 8D 45 E4 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E4 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 33 C9 8B 55 FC 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 34 8B D3 8B 08 FF 51 14 8B 45 FC 8B 40 30 8B D3 8B 08 FF 51 14 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F4 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 D2 8B 45 FC E8 ?? ?? ?? ?? C7 45 F8 64 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 45 F8 50 6A 01 6A 00 8D 45 E4 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E4 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 B1 02 8B 55 FC 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81564_0 {
	meta:
		name = "TGIFImage.LoadFromStream"
		size = 432
		refs = "001b TGIFImage.LoadFromStream 003e Rect 004a sProgressLoading 004f LoadResString 0064 @CallDynaInst 007a TGIFImage.InternalClear 0082 TStream.GetPosition 00b9 _DV_TGIFTrailer 00be TGIFItem.Create 00ef TObject.Free 00f5 @HandleFinally 0111 @HandleAnyException 011f TStream.SetPosition 0124 @RaiseAgain 0129 @DoneExcept 019d @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D D4 89 4D D8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 0F B6 45 F4 50 6A 00 6A 00 8D 45 DC 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 DC 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 50 33 C9 8B 55 FC 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 34 8B 55 F8 8B 08 FF 51 18 8B 45 FC 8B 40 30 8B 55 F8 8B 08 FF 51 18 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 EC 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 FC 8B 45 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 45 F0 99 52 50 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 F4 64 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 45 F4 50 6A 01 6A 00 8D 45 DC 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 DC 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 50 B1 02 8B 55 FC 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81565_0 {
	meta:
		name = "TGIFImage.GetBitmap"
		size = 419
		refs = "0025 _Dn_TBitmap 002a TBitmap.Create 0044 TGIFList.GetCount 0056 TGIFImageList.GetFrame 008d TGIFFrame.GetTransparent 00a0 TGIFFrame.GetBitmap 00f4 CopyPalette 0118 TGIFImage.EffectiveBackgroundColor 0122 TBitmap.GetCanvas 012c TBrush.SetStyle 013e TBrush.SetColor 0192 TGIFFrame.Draw"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8B C6 8B 10 FF 52 20 84 C0 0F 85 81 01 00 00 8B 7E 50 85 FF 0F 85 78 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 5E 50 8B FB 89 73 14 8B 06 8B 40 10 89 43 10 8B 46 30 E8 ?? ?? ?? ?? 85 C0 0F 8E 4A 01 00 00 33 D2 8B 46 30 E8 ?? ?? ?? ?? 0F B7 58 29 8B C6 8B 10 FF 52 30 3B D8 75 4A 33 D2 8B 46 30 E8 ?? ?? ?? ?? 0F B7 58 2B 8B C6 8B 10 FF 52 24 3B D8 75 31 33 D2 8B 46 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1E 33 D2 8B 46 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 46 50 8B 08 FF 51 08 E9 E7 00 00 00 33 D2 8B 46 50 8B 08 FF 51 3C 8B C6 8B 10 FF 52 24 8B D0 8B 46 50 8B 08 FF 51 38 8B C6 8B 10 FF 52 30 8B D0 8B 46 50 8B 08 FF 51 44 33 D2 8B 46 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 28 E8 ?? ?? ?? ?? 8B D0 8B 46 50 8B 08 FF 51 3C 33 D2 8B 46 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4B 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 46 50 E8 ?? ?? ?? ?? 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? 8B 40 48 8B D3 E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? 8B D4 8B 08 FF 51 10 54 8B 46 50 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 6A 01 6A 00 8B 46 50 E8 ?? ?? ?? ?? 8D 54 24 08 8B 08 FF 51 10 8D 44 24 08 50 33 D2 8B 46 30 E8 ?? ?? ?? ?? 50 8B 46 50 E8 ?? ?? ?? ?? 8B D0 58 59 E8 ?? ?? ?? ?? EB 02 33 FF 8B C7 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81566_0 {
	meta:
		name = "TGIFImage.NewBitmap"
		size = 103
		refs = "000f _Dn_TBitmap 0014 TBitmap.Create 0032 CopyPalette"
	strings:
		$1 = { 53 56 57 8B D8 8B 7B 50 85 FF 75 55 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 50 8B FE 89 5E 14 8B 03 8B 40 10 89 46 10 8B C3 8B 10 FF 52 28 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 3C 8B C3 8B 10 FF 52 24 8B D0 8B 43 50 8B 08 FF 51 38 8B C3 8B 10 FF 52 30 8B D0 8B 43 50 8B 08 FF 51 44 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81567_0 {
	meta:
		name = "TGIFImage.Dormant"
		size = 60
		refs = "0008 TGIFImage.FreeBitmap 000f TGIFImage.FreePalette 0017 TGIFList.GetCount 002b TGIFImageList.GetFrame 0030 TGIFFrame.Dormant"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 16 43 33 FF 8B D7 8B 46 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81568_0 {
	meta:
		name = "TGIFImage.FreePalette"
		size = 23
		refs = "000c DeleteObject"
	strings:
		$1 = { 53 8B D8 8B 43 38 85 C0 74 0B 50 E8 ?? ?? ?? ?? 33 C0 89 43 38 5B C3 }
	condition:
		$1
}

rule function_81569_0 {
	meta:
		name = "TGIFImage.FreeBitmap"
		size = 28
		refs = "0006 TGIFImage.StopDraw 0016 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81570_0 {
	meta:
		name = "TGIFImage.Add"
		size = 442
		refs = "0016 TGIFImage.Add 0029 _DV_TGIFImage 002e @IsClass 003a TGIFList.GetCount 0056 _DV_TGIFFrame 005b TGIFFrame.Create 0077 TGIFImageList.GetFrame 0090 @HandleAnyException 0098 TObject.Free 009d @RaiseAgain 00a2 @DoneExcept 00b5 _Dn_TGraphic 0172 sUnsupportedClass 0177 LoadResString 017f Error 0186 TGIFImage.FreeBitmap 01a4 @UStrClr 01aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7B 8B 47 30 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 0F 8C 3A 01 00 00 43 C7 45 F8 00 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 30 8B 55 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F8 4B 75 A5 E9 D2 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4F 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 45 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 E9 8B 00 00 00 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 72 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4C 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 45 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C6 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81571_0 {
	meta:
		name = "TGIFImage.GetEmpty"
		size = 18
		refs = "0007 TGIFList.GetCount"
	strings:
		$1 = { 53 8B D8 8B 43 30 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_81572_0 {
	meta:
		name = "TGIFImage.GetHeight"
		size = 8
	strings:
		$1 = { 8B 40 34 0F B7 40 0A C3 }
	condition:
		$1
}

rule function_81573_0 {
	meta:
		name = "TGIFImage.GetWidth"
		size = 8
	strings:
		$1 = { 8B 40 34 0F B7 40 08 C3 }
	condition:
		$1
}

rule function_81574_0 {
	meta:
		name = "TGIFImage.GetIsTransparent"
		size = 51
		refs = "0011 TGIFImageList.GetFrame 0016 TGIFFrame.GetTransparent 0025 TGIFList.GetCount"
	strings:
		$1 = { 53 56 57 8B F0 33 DB 33 FF EB 12 8B D7 8B 46 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 47 84 DB 75 0C 8B 46 30 E8 ?? ?? ?? ?? 3B F8 7C DE 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81576_0 {
	meta:
		name = "TGIFImage.GetPalette"
		size = 305
		refs = "0014 TGIFImage.GetPalette 002b sNoColorTable 0030 LoadResString 0038 Error 008e TGIFImage.GetDoDither 0097 WebPalette 00ba TGIFColorMap.ExportPalette 00d2 TGIFList.GetCount 00e3 TGIFImageList.GetFrame 00e8 TGIFFrame.GetPalette 0105 @HandleFinally 011c @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 2C 00 74 15 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC C6 40 2C 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 F8 8B 45 FC 8B 58 50 85 DB 74 1B 8B C3 8B 10 FF 52 28 85 C0 74 10 8B 45 FC 8B 40 50 8B 10 FF 52 28 89 45 F8 EB 74 8B 45 FC 8B 40 38 85 C0 74 05 89 45 F8 EB 65 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 12 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 38 89 5D F8 EB 47 8B 45 FC 8B 40 34 8B 58 10 83 7B 08 00 7E 14 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 70 38 89 75 F8 EB 24 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 85 C0 7E 15 8B 45 FC 8B 40 30 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 2C 00 C3 E9 ?? ?? ?? ?? EB F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81577_0 {
	meta:
		name = "TGIFImage.SetPalette"
		size = 87
		refs = "000f TGIFImage.StopDraw 001c DeleteObject 0042 TGIFImage.FreeBitmap"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 3B 73 38 74 47 8B C3 E8 ?? ?? ?? ?? 8B 43 38 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 7B 50 85 FF 74 0B 8B C7 8B 10 FF 52 28 3B F0 75 04 33 C0 EB 02 B0 01 89 73 38 84 C0 74 14 8B C3 E8 ?? ?? ?? ?? C6 43 22 01 8B D3 8B C3 8B 08 FF 51 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81578_0 {
	meta:
		name = "TGIFImage.SetHeight"
		size = 130
		refs = "001a TGIFList.GetCount 002e TGIFImageList.GetFrame 0062 TGIFImage.StopDraw 0070 TGIFImage.FreeBitmap"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 85 FF 7C 08 81 FF FF FF 00 00 7E 02 33 FF 8B 43 30 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 2F 45 33 F6 8B D6 8B 43 30 E8 ?? ?? ?? ?? 0F B7 40 27 50 8B D6 8B 43 30 E8 ?? ?? ?? ?? 0F B7 40 2B 8B D0 58 03 C2 3B F8 7D 02 8B F8 46 4D 75 D4 8B 43 34 0F B7 40 0A 3B F8 74 1E 8B C3 E8 ?? ?? ?? ?? 8B 43 34 66 89 78 0A 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81579_0 {
	meta:
		name = "TGIFImage.SetWidth"
		size = 130
		refs = "001a TGIFList.GetCount 002e TGIFImageList.GetFrame 0062 TGIFImage.StopDraw 0070 TGIFImage.FreeBitmap"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 85 FF 7C 08 81 FF FF FF 00 00 7E 02 33 FF 8B 43 30 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 2F 45 33 F6 8B D6 8B 43 30 E8 ?? ?? ?? ?? 0F B7 40 25 50 8B D6 8B 43 30 E8 ?? ?? ?? ?? 0F B7 40 29 8B D0 58 03 C2 3B F8 7D 02 8B F8 46 4D 75 D4 8B 43 34 0F B7 40 08 3B F8 74 1E 8B C3 E8 ?? ?? ?? ?? 8B 43 34 66 89 78 08 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81580_0 {
	meta:
		name = "TGIFImage.StopDraw"
		size = 46
		refs = "0028 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 83 88 00 00 00 85 C0 74 1F 8B 10 FF 52 44 C6 83 94 00 00 00 00 8D 83 88 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81581_0 {
	meta:
		name = "TGIFImage.SuspendDraw"
		size = 56
	strings:
		$1 = { FF 80 90 00 00 00 83 B8 90 00 00 00 01 75 28 8B 90 88 00 00 00 85 D2 74 17 0F B6 52 3C 88 90 94 00 00 00 8B 80 88 00 00 00 8B 10 FF 52 44 EB 07 C6 80 94 00 00 00 00 C3 }
	condition:
		$1
}

rule function_81582_0 {
	meta:
		name = "TGIFImage.WriteData"
		size = 52
		refs = "0008 GIFImageOptimizeOnStream 0018 TGIFImage.WriteData 001f TGIFImage.Optimize 0028 TGraphic.WriteData"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 3D ?? ?? ?? ?? 00 74 14 6A 00 6A 08 33 C9 0F B6 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 0F 00 00 00 }
	condition:
		$1
}

rule function_81583_0 {
	meta:
		name = "TGIFImage.AssignTo"
		size = 135
		refs = "0014 _Dn_TBitmap 0019 @IsClass 0025 TGIFImage.GetBitmap 0039 TGIFImage.AssignTo 0060 @HandleOnException 0068 _Dn_EConvertError 0077 TPersistent.AssignTo 007c @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 08 EB 4B 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81584_0 {
	meta:
		name = "TGIFImage.Assign"
		size = 1053
		refs = "001e TGIFImage.Assign 003e TGIFImage.InternalClear 004c _DV_TGIFImage 0051 @IsClass 00ad Rect 00b9 sProgressCopying 00be LoadResString 00d3 @CallDynaInst 0160 TGIFList.GetCount 0177 TGIFImageList.GetFrame 0181 TGIFImage.Add 0195 MulDiv 01e9 @HandleAnyException 01f3 @RaiseAgain 01f8 @DoneExcept 0249 @HandleFinally 027f _Dn_TClipboard 02aa CF_PICTURE 02b4 TClipboard.HasFormat 02bf _Dn_TPicture 02c4 TPicture.Create 0303 TObject.Free 0316 TPersistent.Assign 036a _DV_TGIFFrame 036f TGIFFrame.Create 03c9 @HandleOnException 03d1 _Dn_EConvertError 040a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D D0 89 4D D4 89 4D D8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 3B 45 FC 0F 84 C0 03 00 00 83 7D F8 00 75 0D 8B 45 FC E8 ?? ?? ?? ?? E9 A2 03 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 1D 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 5D F8 8B 53 18 89 50 18 8B 53 1C 89 50 1C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 53 48 89 50 48 8B 53 4C 89 50 4C 33 C0 89 45 EC 0F B6 45 EC 50 6A 00 6A 00 8D 45 DC 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 DC 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 50 33 C9 8B 55 FC 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 34 8B 45 FC 8B 40 34 8B 08 FF 51 08 8B 43 58 8B 55 FC 89 42 58 0F B6 43 28 8B 55 FC 88 42 28 8B 43 54 8B 55 FC 89 42 54 8B C3 8B 10 FF 52 2C 8B D0 8B 45 FC 8B 08 FF 51 40 0F B6 43 2A 8B 55 FC 88 42 2A 0F B6 43 29 8B 55 FC 88 42 29 0F B6 43 3C 8B 55 FC 88 42 3C 0F B6 83 8C 00 00 00 8B 55 FC 88 82 8C 00 00 00 8B 43 30 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 6C 47 33 DB 8B 75 F8 8B 46 30 8B D3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? 50 6A 64 8D 43 01 50 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8D 45 DC 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 DC 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 50 B1 01 8B 55 FC 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? 43 4F 75 97 C7 45 EC 64 00 00 00 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? 33 C0 89 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 45 EC 50 6A 00 6A 00 8D 45 DC 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 DC 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 B1 02 8B 55 FC 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 48 89 50 4C 8B 45 FC 33 D2 89 50 18 89 50 1C C3 E9 ?? ?? ?? ?? EB E2 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A7 00 00 00 8B 5D F8 8B C3 8B 10 FF 52 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? 0F B7 12 8B C3 E8 ?? ?? ?? ?? 84 C0 74 53 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 F0 8B 08 FF 51 08 8B 45 F0 8B 50 0C 8B 45 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B 45 F8 8B 50 0C 8B 45 FC 8B 08 FF 51 08 E9 8D 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 F4 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 21 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81585_0 {
	meta:
		name = "TGIFImage.LoadFromClipboardFormat"
		size = 391
		refs = "0019 TGIFImage.LoadFromClipboardFormat 002e GetClipboardData 0042 CF_GIF 0051 GlobalSize 005c GlobalLock 0073 _Dn_TMemoryStream 0078 TObject.Create 00a2 Move 00c1 TObject.Free 00c7 @HandleFinally 00df GlobalUnlock 00fa _Dn_TBitmap 00ff TBitmap.Create 0150 SUnknownClipboardFormat 0155 LoadResString 015d Error 0172 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D FC 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 0C 0F B7 C6 50 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 84 AC 00 00 00 66 3B 35 ?? ?? ?? ?? 0F 85 9F 00 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 50 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 8B 08 FF 51 04 8B 45 F8 8B 50 04 8B C6 8B CB E8 ?? ?? ?? ?? 8B 55 F8 8B C7 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 83 7D FC 00 74 5B 66 83 FE 02 75 55 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 4D FC 8B D6 8B 45 F4 8B 18 FF 53 64 8B 55 F4 8B C7 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81586_0 {
	meta:
		name = "TGIFImage.SaveToClipboardFormat"
		size = 304
		refs = "0036 CF_GIF 0040 _Dn_TMemoryStream 0045 TObject.Create 0050 TGIFImage.SaveToClipboardFormat 006d HeapAllocFlags 0076 GlobalAlloc 009c GlobalLock 00c2 Move 00da GlobalUnlock 00e0 @HandleFinally 00f1 @HandleAnyException 00fc GlobalFree 0101 @RaiseAgain 0106 @DoneExcept 011b TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F0 8B 45 08 33 D2 89 10 8B C6 8B 10 FF 52 20 84 C0 74 11 66 C7 03 00 00 8B 45 FC 33 D2 89 10 E9 F4 00 00 00 0F B7 05 ?? ?? ?? ?? 66 89 03 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C6 8B 08 FF 51 60 8B 45 F8 8B 10 FF 12 50 A1 ?? ?? ?? ?? 0F B7 00 50 E8 ?? ?? ?? ?? 8B 55 FC 89 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 38 00 74 51 8B 45 FC 8B 00 50 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 12 8B C8 8B D3 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_81587_0 {
	meta:
		name = "TGIFImage.GetColorMap"
		size = 7
	strings:
		$1 = { 8B 40 34 8B 40 10 C3 }
	condition:
		$1
}

rule function_81588_0 {
	meta:
		name = "TGIFImage.GetDoDither"
		size = 27
		refs = "000e DoAutoDither"
	strings:
		$1 = { 80 78 2A 01 74 12 80 78 2A 02 75 09 80 3D ?? ?? ?? ?? 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_81589_0 {
	meta:
		name = "TGIFImage.EffectiveBackgroundColor"
		size = 224
		refs = "0016 TGIFImage.GetColorMap 0023 TGIFImage.GetBackgroundColor 0032 ColorToRGB 0046 TGIFImage.GetDoDither 0057 _DV_TNetscapeColorLookup 005c TNetscapeColorLookup.Create 0067 TGIFImage.EffectiveBackgroundColor 0078 _DV_TGIFColorMap 007d TGIFColorMap.Color2RGB 00b4 TGIFColorMap.RGB2Color 00cc TObject.Free 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D8 8B 43 58 3D FF FF FF 1F 75 28 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 7E 0C 8B C3 E8 ?? ?? ?? ?? 89 45 FC EB 17 B8 05 00 00 FF E8 ?? ?? ?? ?? 89 45 FC EB 08 E8 ?? ?? ?? ?? 89 45 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 86 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F5 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 F7 50 8D 45 F5 50 8D 45 F6 50 8D 45 F7 50 0F B6 4D F6 0F B6 55 F5 8B 45 F8 8B 18 FF 53 04 0F B6 45 F7 C1 E0 10 66 8B 45 F5 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81590_0 {
	meta:
		name = "TGIFImage.CreateRenderer"
		size = 77
		refs = "0009 _DV_TGIFRenderer 000e TGIFRenderer.Create 0031 TGIFImage.EffectiveBackgroundColor"
	strings:
		$1 = { 53 56 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 53 54 8B C6 8B 08 FF 51 08 8B C3 8B 10 FF 52 2C 8B D0 8B C6 8B 08 FF 51 0C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 04 0F B6 53 28 8B C6 8B 08 FF 11 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81591_0 {
	meta:
		name = "TGIFImage.Draw"
		size = 275
		refs = "0021 TGIFList.GetCount 0038 TGIFImage.Draw 006e TGIFImageList.GetFrame 0073 TGIFFrame.GetTransparent 0081 TBrush.SetStyle 0089 TGIFImage.EffectiveBackgroundColor 0093 TBrush.SetColor 00bd TGIFFrame.Draw 0108 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 8B 45 FC 80 78 2B 00 0F 85 F4 00 00 00 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 85 C0 0F 84 E1 00 00 00 8B 45 FC C6 40 2B 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 30 E8 ?? ?? ?? ?? 48 74 09 8B 45 FC 80 78 28 00 75 6A 8B 45 FC 8B 10 FF 52 2C 84 C0 75 3B 8B 45 FC 8B 40 30 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 8B 43 48 33 D2 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 43 48 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 54 8B 45 FC 8B 10 FF 52 2C 50 6A 00 8B 45 FC 8B 40 30 33 D2 E8 ?? ?? ?? ?? 8B CE 8B D3 E8 ?? ?? ?? ?? EB 2F 8B 45 FC 83 B8 88 00 00 00 00 75 11 8B 45 FC 8B 10 FF 52 70 8B 55 FC 89 82 88 00 00 00 8B CE 8B 45 FC 8B 80 88 00 00 00 8B D3 8B 18 FF 53 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 2B 00 C3 E9 ?? ?? ?? ?? EB F1 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81592_0 {
	meta:
		name = "TGIFImage.Warning"
		size = 43
		refs = "0022 Error"
	strings:
		$1 = { 55 8B EC 53 66 83 78 4A 00 74 0E 8B 5D 08 53 8B D8 8B 43 4C FF 53 48 EB 0D 80 F9 02 75 08 8B 45 08 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81593_0 {
	meta:
		name = "Finalization"
		size = 45
		refs = "0002 _DV_82 0009 ExtensionList 000e TObject.Free 0013 AppExtensionList 001e _DV_TGIFImage 0023 _Dn_TPicture 0028 TPicture.UnregisterGraphicClass"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81594_0 {
	meta:
		name = "Vcl.Imaging.GIFImg"
		size = 300
		refs = "000c Vcl.Imaging.GIFImg 0018 _DV_82 0024 _DV_TGIFImage 002d sGIFImageFile 0032 LoadResString 003f _Dn_TPicture 0044 TPicture.RegisterFileFormat 0059 @UStrToPWChar 005f RegisterClipboardFormat 0065 CF_GIF 007c TPicture.RegisterClipboardFormat 0083 GetDC 0088 DesktopDC 00a3 GetDeviceCaps 00bf PaletteDevice 00cb DoAutoDither 00e5 ReleaseDC 00eb @HandleFinally 0107 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 0F 83 CE 00 00 00 A1 ?? ?? ?? ?? 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 0C A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 6A 0E A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0F AF D8 83 FB 08 0F 9E 05 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? A2 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 49 00 46 00 00 00 }
	condition:
		$1
}

rule function_81597_0 {
	meta:
		name = "jfread"
		size = 23
	strings:
		$1 = { 55 8B EC 53 0F AF D1 8B CA 8B 55 08 92 8B 18 FF 53 0C 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81598_0 {
	meta:
		name = "jfwrite"
		size = 29
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B C6 0F AF D1 8B CA 8B 55 08 92 8B 18 FF 53 10 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81601_0 {
	meta:
		name = "JpegError"
		size = 113
		refs = "0012 JpegError 0032 sJPEGError 0037 LoadResString 0041 _DV_EJPEG 0046 Exception.CreateFmt 004b @RaiseExcept 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B 40 14 89 45 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81605_0 {
	meta:
		name = "ResetErrorMgr"
		size = 13
	strings:
		$1 = { 8B 10 33 C9 89 4A 6C 33 C0 89 42 14 C3 }
	condition:
		$1
}

rule function_81608_0 {
	meta:
		name = "TJPEGImage.Create"
		size = 119
		refs = "000b @ClassCreate 0014 JPEGDefaults 001d TGraphic.Create 0024 TJPEGImage.NewImage 0063 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 BE ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 0F B6 06 88 47 44 0F B6 46 01 88 47 3D 8B 46 04 89 47 48 8B 46 08 89 47 40 0F B6 46 0C 88 47 45 0F B6 46 0D 88 47 46 8B 46 10 89 47 4C 0F B6 46 14 88 47 3C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81609_0 {
	meta:
		name = "TJPEGImage.Destroy"
		size = 65
		refs = "0003 @BeforeDestruction 0014 DeleteObject 001c TObject.Free 0024 TSharedImage.Release 002f TPersistent.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 38 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81610_0 {
	meta:
		name = "TJPEGImage.Assign"
		size = 125
		refs = "000b _DV_TJPEGImage 0010 @IsClass 001c TSharedImage.Release 0034 TJPEGImage.NewBitmap 0049 _Dn_TBitmap 0059 TJPEGImage.NewImage 0075 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8B 43 28 E8 ?? ?? ?? ?? 8B FE 8B 47 28 89 43 28 FF 40 04 83 7F 2C 00 74 48 8B C3 E8 ?? ?? ?? ?? 8B 57 2C 8B 43 2C 8B 08 FF 51 08 EB 34 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 2C 8B 08 FF 51 08 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81612_0 {
	meta:
		name = "ProgressCallback"
		size = 244
		refs = "0020 GetTickCount 0061 Rect 0098 ProgressCallback 00a2 @TRUNC 00e2 @CallDynaInst"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8B 46 08 85 C0 0F 84 D3 00 00 00 83 78 14 00 0F 84 C9 00 00 00 8B D8 E8 ?? ?? ?? ?? 8B D0 8B CA 8B 43 20 2B C8 81 F9 F4 01 00 00 0F 82 AD 00 00 00 89 53 20 85 C0 0F 84 A2 00 00 00 83 7E 10 00 74 2D 8B FE 8B 87 8C 00 00 00 50 8D 44 24 04 50 8B 4F 70 8B 53 24 33 C0 E8 ?? ?? ?? ?? 8B 44 24 0C 3B 43 24 7D 1B 8B 47 74 89 44 24 0C EB 12 6A 00 8D 44 24 04 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? DB 43 04 DB 43 08 DE F9 DB 43 0C DE C1 D8 0D ?? ?? ?? ?? DB 43 10 DE F9 E8 ?? ?? ?? ?? 3B 43 1C 74 3B 89 43 1C 83 7E 10 00 74 09 8B 96 8C 00 00 00 89 53 24 50 8B 44 24 10 2B 44 24 08 83 F8 04 0F 9D C0 50 8D 44 24 08 50 6A 00 B1 01 8B 73 14 8B D6 8B C6 66 BE FD FF E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_81613_0 {
	meta:
		name = "ReleaseContext"
		size = 33
		refs = "0013 jpeg_destroy"
	strings:
		$1 = { 53 8B D8 83 BB B8 00 00 00 00 74 13 8D 83 B8 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 B8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_81614_0 {
	meta:
		name = "InitDecompressor"
		size = 525
		refs = "0017 @FillChar 0021 jpeg_std_error 004b jpeg_CreateDecompress 0053 InitDecompressor 0066 ProgressCallback 008f TStream.SetPosition 00a2 jpeg_stdio_src 00b2 jpeg_read_header 019a jpeg_has_multiple_scans 01f1 @HandleAnyException 01f9 ReleaseContext 01fe @RaiseAgain 0203 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B D8 8B 45 FC 33 C9 BA 88 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B F8 BE ?? ?? ?? ?? B9 21 00 00 00 F3 A5 8B 45 FC 8B 55 FC 89 82 B8 00 00 00 8B 45 FC 05 B8 00 00 00 B9 D0 01 00 00 BA 3E 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C7 80 84 00 00 00 ?? ?? ?? ?? 8B 45 FC 89 98 98 00 00 00 8B 45 FC 05 84 00 00 00 8B 55 FC 89 82 C0 00 00 00 6A 00 6A 00 8B 43 28 8B 40 08 E8 ?? ?? ?? ?? 8B 43 28 8B 50 08 8B 45 FC 05 B8 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 B8 00 00 00 83 CA FF E8 ?? ?? ?? ?? 8B 45 FC C7 80 E8 00 00 00 01 00 00 00 0F B6 4B 4C B8 01 00 00 00 D3 E0 8B 55 FC 89 82 EC 00 00 00 80 7B 3C 01 F5 1B C0 8B 55 FC 89 82 08 01 00 00 80 7B 3D 00 74 0D 8B 45 FC C7 80 E4 00 00 00 01 00 00 00 83 7B 40 01 74 0C 8B 45 FC 83 B8 E4 00 00 00 01 75 1A 8B 45 FC C7 80 0C 01 00 00 FF FF FF FF 8B 45 FC C7 80 18 01 00 00 EC 00 00 00 83 7B 48 01 75 25 8B 45 FC C7 80 00 01 00 00 01 00 00 00 8B 45 FC 33 D2 89 90 14 01 00 00 8B 45 FC C7 80 10 01 00 00 01 00 00 00 8B 45 FC 8B 80 00 01 00 00 8B 55 FC 89 82 AC 00 00 00 8B 45 FC 83 B8 14 01 00 00 01 1B C0 40 8B 55 FC 88 82 B0 00 00 00 8B 45 FC 8B 80 10 01 00 00 8B 55 FC 89 82 B4 00 00 00 80 7B 45 00 74 55 8B 45 FC 05 B8 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 44 8B 45 FC 8B 80 14 01 00 00 8B 55 FC 89 82 24 01 00 00 8B 45 FC C7 80 00 01 00 00 01 00 00 00 8B 45 FC 33 D2 89 90 14 01 00 00 8B 45 FC C7 80 10 01 00 00 01 00 00 00 8B 45 FC C7 80 F8 00 00 00 FF FF FF FF 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81615_0 {
	meta:
		name = "TJPEGImage.CalcOutputDimensions"
		size = 139
		refs = "001b InitDecompressor 0023 TJPEGImage.CalcOutputDimensions 003c jpeg_calc_output_dimensions 0059 jpeg_has_multiple_scans 007a ReleaseContext 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 78 FD FF FF 53 8B D8 80 7B 50 00 74 74 8D 95 78 FD FF FF 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 85 38 FE FF FF 8D 85 30 FE FF FF E8 ?? ?? ?? ?? 8B 85 A0 FE FF FF 89 43 30 8B 85 A4 FE FF FF 89 43 34 8D 85 30 FE FF FF E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 88 43 46 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81617_0 {
	meta:
		name = "TJPEGImage.Compress"
		size = 913
		refs = "001d @FillChar 0022 jpeg_std_error 0050 jpeg_CreateCompress 0058 TJPEGImage.Compress 0076 ProgressCallback 009f TJPEGImage.NewImage 00a6 _Dn_TMemoryStream 00ab TObject.Create 00c1 TStream.SetPosition 00d5 jpeg_stdio_dest 0106 @TryFinallyExit 0170 _Dn_TBitmap 0175 TBitmap.Create 019e TBitmap.SetPixelFormat 01a9 jpeg_set_defaults 01be jpeg_set_quality 01e1 jpeg_set_colorspace 01f5 jpeg_simple_progression 01ff TBitmap.GetScanline 025b Rect 0275 @CallDynaInst 0291 jpeg_start_compress 02a4 jpeg_write_scanlines 02c9 jpeg_finish_compress 02db ExceptObject 031f @HandleFinally 0336 TObject.Free 034d @HandleOnException 0355 _Dn_EAbort 0366 @DoneExcept 037e ReleaseContext"
	strings:
		$1 = { 55 8B EC 81 C4 58 FD FF FF 53 56 57 89 45 FC 8D 85 68 FD FF FF 33 C9 BA 88 02 00 00 E8 ?? ?? ?? ?? BE ?? ?? ?? ?? 8D BD 68 FD FF FF B9 21 00 00 00 F3 A5 8D 85 68 FD FF FF 89 85 20 FE FF FF 8D 85 20 FE FF FF B9 78 01 00 00 BA 3E 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 85 EC FD FF FF ?? ?? ?? ?? 8B 45 FC 89 85 00 FE FF FF 8D 85 EC FD FF FF 89 85 28 FE FF FF 8B 45 FC 8B 40 28 83 78 08 00 74 08 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 28 89 58 08 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 28 8B 50 08 8D 85 20 FE FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 58 2C 85 DB 74 1A 8B C3 8B 10 FF 52 30 85 C0 74 0F 8B 45 FC 8B 40 2C 8B 10 FF 52 24 85 C0 75 12 33 C0 5A 59 59 64 89 10 E8 ?? ?? ?? ?? E9 7B 02 00 00 8B 45 FC 8B 40 2C 8B 10 FF 52 30 89 85 3C FE FF FF 8B 45 FC 8B 40 2C 8B 10 FF 52 30 8B 55 FC 8B 52 28 89 42 10 8B 45 FC 8B 40 2C 8B 10 FF 52 24 89 85 40 FE FF FF 8B 45 FC 8B 40 2C 8B 10 FF 52 24 8B 55 FC 8B 52 28 89 42 0C C7 85 44 FE FF FF 03 00 00 00 C7 85 48 FE FF FF 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 2C 8B 45 F0 8B 08 FF 51 08 B2 06 8B 45 F0 E8 ?? ?? ?? ?? 8D 85 20 FE FF FF E8 ?? ?? ?? ?? 8B 45 FC 0F B6 50 44 8D 85 20 FE FF FF 83 C9 FF E8 ?? ?? ?? ?? 8B 45 FC 80 78 3D 00 74 1A 8B 45 FC 8B 40 28 C6 40 14 01 8D 85 20 FE FF FF BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 78 46 00 74 0B 8D 85 20 FE FF FF E8 ?? ?? ?? ?? 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F4 83 BD 40 FE FF FF 01 76 2F BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 2B 5D F4 85 DB 7E 10 F6 C3 03 75 0B 8B 85 40 FE FF FF 89 45 F8 EB 12 C7 45 F8 01 00 00 00 EB 09 C7 45 F8 01 00 00 00 33 DB 6A 00 6A 00 6A 00 8D 85 58 FD FF FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 58 FD FF FF 50 6A 00 33 C9 8B 55 FC 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 20 FE FF FF 83 CA FF E8 ?? ?? ?? ?? EB 1D 8D 55 F4 8D 85 20 FE FF FF 8B 4D F8 E8 ?? ?? ?? ?? 8B F0 8B C3 F7 EE 03 45 F4 89 45 F4 8B 85 00 FF FF FF 3B 85 40 FE FF FF 72 D5 8D 85 20 FE FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 07 BB 64 00 00 00 EB 02 33 DB 53 6A 00 6A 00 8D 85 58 FD FF FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 58 FD FF FF 50 6A 00 B1 02 8B 55 FC 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 68 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81619_0 {
	meta:
		name = "TJPEGImage.Draw"
		size = 34
		refs = "000c TJPEGImage.GetBitmap"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C6 8B 18 FF 93 88 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81620_0 {
	meta:
		name = "TJPEGImage.Equals"
		size = 69
		refs = "000d _DV_TJPEGImage 0012 @IsClass 0031 TGraphic.Equals"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 33 DB 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 8B 47 28 83 78 08 00 74 16 8B 56 28 83 7A 08 00 74 0D 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 EB 06 3B 46 28 0F 94 C3 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81621_0 {
	meta:
		name = "TJPEGImage.FreeBitmap"
		size = 18
		refs = "0007 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 2C E8 ?? ?? ?? ?? 33 C0 89 43 2C 5B C3 }
	condition:
		$1
}

rule function_81622_0 {
	meta:
		name = "BuildPalette"
		size = 171
		refs = "009e CreatePalette"
	strings:
		$1 = { 56 57 81 C4 FC FB FF FF 8B F8 66 C7 04 24 00 03 0F B7 97 84 00 00 00 66 89 54 24 02 83 7F 2C 01 75 30 0F B7 F2 4E 85 F6 7C 70 46 33 C9 8D 54 24 04 8B 87 88 00 00 00 8B 00 0F B6 04 08 88 02 88 42 01 88 42 02 C6 42 03 00 41 83 C2 04 4E 75 E1 EB 48 0F B7 F2 4E 85 F6 7C 40 46 33 C9 8D 54 24 04 8B 87 88 00 00 00 8B 40 08 0F B6 04 08 88 02 8B 87 88 00 00 00 8B 40 04 0F B6 04 08 88 42 01 8B 87 88 00 00 00 8B 00 0F B6 04 08 88 42 02 C6 42 03 00 41 83 C2 04 4E 75 C7 8B C4 50 E8 ?? ?? ?? ?? 81 C4 04 04 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_81623_0 {
	meta:
		name = "BuildColorMap"
		size = 139
		refs = "001a GetPaletteEntries"
	strings:
		$1 = { 53 56 57 55 81 C4 FC FB FF FF 8B D8 8D 44 24 04 50 68 00 01 00 00 6A 00 52 E8 ?? ?? ?? ?? 8B F0 85 F6 74 5C 6A 03 8B 7B 04 8B C3 8B CE BA 01 00 00 00 FF 57 08 89 83 88 00 00 00 89 B3 84 00 00 00 8B FE 4F 85 FF 7C 38 47 33 D2 8D 44 24 04 8B B3 88 00 00 00 8B 4E 08 8D 2C 11 0F B6 08 88 4D 00 8B 4E 04 8D 2C 11 0F B6 48 01 88 4D 00 8B 0E 8D 34 11 0F B6 48 02 88 0E 42 83 C0 04 4F 75 CF 81 C4 04 04 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81624_0 {
	meta:
		name = "CMYKToRGB"
		size = 84
	strings:
		$1 = { 53 83 C4 F8 89 04 24 0F B6 04 24 0F B6 4C 24 03 F7 E9 BB FF 00 00 00 33 D2 F7 F3 88 44 24 06 0F B6 44 24 01 F7 E9 BB FF 00 00 00 33 D2 F7 F3 88 44 24 05 0F B6 44 24 02 F7 E9 B9 FF 00 00 00 33 D2 F7 F1 88 44 24 04 C6 44 24 07 FF 8B 44 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_81625_0 {
	meta:
		name = "TJPEGImage.GetBitmap"
		size = 1257
		refs = "0039 _Dn_TBitmap 003e TBitmap.Create 005f InitDecompressor 0067 TJPEGImage.GetBitmap 0088 TBitmap.SetHandle 00a7 TBitmap.SetPixelFormat 00eb Rect 0105 @CallDynaInst 0133 BuildColorMap 013e CopyPalette 0157 DeleteObject 016a jpeg_start_decompress 019c TBitmap.GetScanline 0209 jpeg_start_output 0229 TBitmap.GetPixelFormat 023e BuildPalette 0275 jpeg_read_scanlines 029c CMYKToRGB 02d2 jpeg_finish_output 02dd jpeg_consume_input 0420 jpeg_finish_decompress 0432 ExceptObject 0499 @HandleFinally 04aa @HandleOnException 04b2 _Dn_EAbort 04bb @DoneExcept 04d3 ReleaseContext"
	strings:
		$1 = { 55 8B EC 81 C4 48 FD FF FF 53 56 57 89 45 FC 8B 45 FC 8B 40 2C 89 45 F8 83 7D F8 00 0F 85 BD 04 00 00 8B 55 FC 8B 52 28 83 7A 08 00 0F 84 AD 04 00 00 85 C0 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 2C 8B 45 FC 8B 40 2C 89 45 F8 C6 45 E7 01 8D 95 58 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 2C 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 83 78 40 01 74 09 83 BD 3C FE FF FF 01 75 0F 8B 45 FC 8B 40 2C B2 03 E8 ?? ?? ?? ?? EB 2A 8B 85 3C FE FF FF 83 C0 FC 83 E8 02 73 0F 8B 45 FC 8B 40 2C B2 07 E8 ?? ?? ?? ?? EB 0D 8B 45 FC 8B 40 2C B2 06 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8D 85 48 FD FF FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 48 FD FF FF 50 6A 00 33 C9 8B 55 FC 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 38 85 C0 74 42 8B 55 FC 83 7A 40 01 75 2B 8B D0 8D 85 10 FE FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 2C 8B 08 FF 51 3C C6 45 E7 00 EB 0E 50 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 38 8D 85 10 FE FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 58 2C 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 95 80 FE FF FF 8B C3 8B 08 FF 51 44 8B 95 84 FE FF FF 8B C3 8B 08 FF 51 38 33 D2 8B C3 E8 ?? ?? ?? ?? 89 45 EC 83 BD 84 FE FF FF 01 76 32 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 2B 45 EC 89 45 E8 83 7D E8 00 7E 11 F6 45 E8 03 75 0B 8B 85 90 FE FF FF 89 45 F4 EB 15 C7 45 F4 01 00 00 00 EB 0C C7 45 F4 01 00 00 00 33 C0 89 45 E8 83 BD 50 FE FF FF 00 0F 84 47 01 00 00 E9 DA 00 00 00 8D 85 10 FE FF FF 8B 95 A0 FE FF FF E8 ?? ?? ?? ?? 8B 85 18 FE FF FF 83 78 0C 00 75 3D 83 BD 98 FE FF FF 00 74 34 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 3C 03 75 25 80 7D E7 00 74 1F 8D 85 10 FE FF FF E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 2C 8B 08 FF 51 3C 8B 45 FC C6 40 22 01 8B 45 FC 8B 40 2C 33 D2 E8 ?? ?? ?? ?? 89 45 EC EB 55 8D 55 EC 8D 85 10 FE FF FF 8B 4D F4 E8 ?? ?? ?? ?? 89 45 F0 83 BD 3C FE FF FF 04 75 2F 8B 7D EC 8B 45 FC 8B 40 2C 8B 10 FF 52 30 8B D8 EB 0E 8B F7 8B 06 E8 ?? ?? ?? ?? 89 06 83 C7 04 8B C7 2B 45 EC 8B D3 03 D2 03 D2 3B C2 7C E3 8B 45 E8 F7 6D F0 01 45 EC 8B 85 9C FE FF FF 3B 85 84 FE FF FF 72 9D 8D 85 10 FE FF FF E8 ?? ?? ?? ?? 8D 85 10 FE FF FF E8 ?? ?? ?? ?? 83 F8 02 0F 85 12 FF FF FF 8B 85 04 FE FF FF 89 85 58 FE FF FF 8B 85 0C FE FF FF 89 85 68 FE FF FF 80 BD 08 FE FF FF 00 74 12 C7 85 6C FE FF FF FF FF FF FF 33 C0 89 85 98 FE FF FF 8D 85 10 FE FF FF 8B 95 A0 FE FF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 2C 33 D2 E8 ?? ?? ?? ?? 89 45 EC 83 BD 50 FE FF FF 00 74 0D 80 BD 08 FE FF FF 00 0F 84 A3 00 00 00 83 BD 98 FE FF FF 00 0F 84 96 00 00 00 80 7D E7 00 0F 84 8C 00 00 00 8D 85 10 FE FF FF E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 2C 8B 08 FF 51 3C 8B 45 FC C6 40 22 01 8B 45 FC 8B 40 2C 33 D2 E8 ?? ?? ?? ?? 89 45 EC EB 5B 8D 55 EC 8D 85 10 FE FF FF 8B 4D F4 E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 3C 07 75 2F 8B 7D EC 8B 45 FC 8B 40 2C 8B 10 FF 52 30 8B D8 EB 0E 8B F7 8B 06 E8 ?? ?? ?? ?? 89 06 83 C7 04 8B C7 2B 45 EC 8B D3 03 D2 03 D2 3B C2 7C E3 8B 45 E8 F7 6D F0 01 45 EC 8B 85 9C FE FF FF 3B 85 84 FE FF FF 72 97 83 BD 50 FE FF FF 00 74 0B 8D 85 10 FE FF FF E8 ?? ?? ?? ?? 8D 85 10 FE FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 09 C7 45 E8 64 00 00 00 EB 05 33 C0 89 45 E8 0F B6 45 E8 50 8B 45 FC 0F B6 40 22 50 6A 00 8D 85 48 FD FF FF 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 48 FD FF FF 50 6A 00 B1 02 8B 55 FC 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? 8B 45 FC 80 78 22 00 74 0B 8B 55 FC 8B 45 FC 8B 08 FF 51 10 C3 E9 ?? ?? ?? ?? EB 92 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 58 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81626_0 {
	meta:
		name = "TJPEGImage.GetEmpty"
		size = 41
	strings:
		$1 = { 53 56 8B D8 8B 43 28 83 78 08 00 75 12 8B 73 2C 85 F6 74 10 8B C6 8B 10 FF 52 20 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_81627_0 {
	meta:
		name = "TJPEGImage.GetGrayscale"
		size = 21
	strings:
		$1 = { 80 78 3D 00 75 0C 8B 40 28 80 78 14 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_81628_0 {
	meta:
		name = "TJPEGImage.GetPalette"
		size = 102
		refs = "002c GetDC 0036 GetDeviceCaps 004e CreateHalftonePalette 005b ReleaseDC"
	strings:
		$1 = { 53 56 57 55 8B D8 33 F6 8B 43 2C 85 C0 74 09 8B 10 FF 52 28 8B F0 EB 47 8B 43 38 85 C0 74 04 8B F0 EB 3C 83 7B 40 00 75 36 6A 00 E8 ?? ?? ?? ?? 8B F8 6A 0C 57 E8 ?? ?? ?? ?? 8B E8 6A 0E 57 E8 ?? ?? ?? ?? 0F AF E8 83 FD 08 7F 0B 57 E8 ?? ?? ?? ?? 8B F0 89 73 38 57 6A 00 E8 ?? ?? ?? ?? 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81629_0 {
	meta:
		name = "TJPEGImage.GetHeight"
		size = 43
		refs = "0022 TJPEGImage.CalcOutputDimensions"
	strings:
		$1 = { 53 8B D8 8B 43 2C 85 C0 74 07 8B 10 FF 52 24 5B C3 83 7B 4C 00 75 08 8B 43 28 8B 40 0C EB 0A 8B C3 E8 ?? ?? ?? ?? 8B 43 34 5B C3 }
	condition:
		$1
}

rule function_81630_0 {
	meta:
		name = "TJPEGImage.GetWidth"
		size = 43
		refs = "0022 TJPEGImage.CalcOutputDimensions"
	strings:
		$1 = { 53 8B D8 8B 43 2C 85 C0 74 07 8B 10 FF 52 30 5B C3 83 7B 4C 00 75 08 8B 43 28 8B 40 10 EB 0A 8B C3 E8 ?? ?? ?? ?? 8B 43 30 5B C3 }
	condition:
		$1
}

rule function_81631_0 {
	meta:
		name = "TJPEGImage.JPEGNeeded"
		size = 15
		refs = "000a TJPEGImage.Compress"
	strings:
		$1 = { 8B 50 28 83 7A 08 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81632_0 {
	meta:
		name = "TJPEGImage.LoadFromClipboardFormat"
		size = 39
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 08 50 8B 4D FC 8B D7 8B 46 2C 8B 18 FF 53 64 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_81633_0 {
	meta:
		name = "TJPEGImage.LoadFromStream"
		size = 35
		refs = "0010 TStream.GetPosition 001c TJPEGImage.ReadStream"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 10 FF 12 50 8B C3 E8 ?? ?? ?? ?? 5A 2B D0 8B CB 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81634_0 {
	meta:
		name = "TJPEGImage.NewBitmap"
		size = 28
		refs = "0007 TObject.Free 000e _Dn_TBitmap 0013 TBitmap.Create"
	strings:
		$1 = { 53 8B D8 8B 43 2C E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 5B C3 }
	condition:
		$1
}

rule function_81635_0 {
	meta:
		name = "TJPEGImage.NewImage"
		size = 41
		refs = "000c TSharedImage.Release 0013 _DV_TJPEGData 0018 TObject.Create"
	strings:
		$1 = { 53 56 8B D8 8B 43 28 85 C0 74 05 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 28 8B C6 FF 40 04 5E 5B C3 }
	condition:
		$1
}

rule function_81636_0 {
	meta:
		name = "TJPEGImage.ReadData"
		size = 39
		refs = "001e TJPEGImage.ReadStream"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B D4 B9 04 00 00 00 8B C6 8B 38 FF 57 0C 8B CE 8B 14 24 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81637_0 {
	meta:
		name = "TJPEGImage.ReadStream"
		size = 322
		refs = "0018 TJPEGImage.NewImage 0023 TObject.Free 0038 _Dn_TMemoryStream 003d TObject.Create 004e TStream.SetSize64 005e TStream.ReadBuffer 006b jpeg_std_error 0099 jpeg_CreateDecompress 00a1 TJPEGImage.ReadStream 00b3 TStream.SetPosition 00c1 jpeg_stdio_src 00cf jpeg_read_header 00f9 jpeg_has_multiple_scans 011d jpeg_destroy_decompress 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 A0 FD FF FF 53 56 57 89 4D F8 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 2C 8B 45 FC 8B 58 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 08 8B C6 99 52 50 8B C7 E8 ?? ?? ?? ?? 8B 43 08 8B 50 04 8B CE 8B 45 F8 E8 ?? ?? ?? ?? 85 F6 0F 8E BF 00 00 00 BE ?? ?? ?? ?? 8D BD 74 FF FF FF B9 21 00 00 00 F3 A5 8D 85 74 FF FF FF 89 85 A0 FD FF FF 8D 85 A0 FD FF FF B9 D0 01 00 00 BA 3E 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 43 08 E8 ?? ?? ?? ?? 8B 53 08 8D 85 A0 FD FF FF E8 ?? ?? ?? ?? 8D 85 A0 FD FF FF 83 CA FF E8 ?? ?? ?? ?? 8B 85 BC FD FF FF 89 43 10 8B 85 C0 FD FF FF 89 43 0C 83 BD C8 FD FF FF 01 0F 94 C0 88 43 14 8D 85 A0 FD FF FF E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 8B 55 FC 88 42 46 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A0 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC C6 40 22 01 8B 55 FC 8B 45 FC 8B 08 FF 51 10 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81638_0 {
	meta:
		name = "TJPEGImage.SaveToClipboardFormat"
		size = 39
		refs = "0013 TJPEGImage.GetBitmap"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 18 FF 53 68 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81639_0 {
	meta:
		name = "TJPEGImage.SaveToStream"
		size = 40
		refs = "0009 TJPEGImage.JPEGNeeded"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 28 8B 58 08 8B C3 8B 10 FF 12 8B C8 8B 53 04 8B C6 8B 18 FF 53 10 5E 5B C3 }
	condition:
		$1
}

rule function_81640_0 {
	meta:
		name = "TJPEGImage.SetGrayscale"
		size = 37
		refs = "000e TJPEGImage.FreeBitmap"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 3D 74 17 8B C6 E8 ?? ?? ?? ?? 88 5E 3D C6 46 22 01 8B D6 8B C6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_81642_0 {
	meta:
		name = "TJPEGImage.SetPalette"
		size = 86
		refs = "002d TJPEGImage.FreeBitmap 003a DeleteObject"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 3B 77 38 74 46 8B 5F 2C 85 DB 74 0B 8B C3 8B 10 FF 52 28 3B F0 75 04 33 C0 EB 02 B0 01 8B D8 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? 8B 47 38 85 C0 74 06 50 E8 ?? ?? ?? ?? 89 77 38 84 DB 74 0D C6 47 22 01 8B D7 8B C7 8B 08 FF 51 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81643_0 {
	meta:
		name = "TJPEGImage.SetPerformance"
		size = 37
		refs = "000e TJPEGImage.FreeBitmap"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 48 74 17 8B C3 E8 ?? ?? ?? ?? 89 73 48 C6 43 22 01 8B D3 8B C3 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_81644_0 {
	meta:
		name = "TJPEGImage.SetPixelFormat"
		size = 37
		refs = "000e TJPEGImage.FreeBitmap"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 40 74 17 8B C3 E8 ?? ?? ?? ?? 89 73 40 C6 43 22 01 8B D3 8B C3 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_81645_0 {
	meta:
		name = "TJPEGImage.SetScale"
		size = 37
		refs = "000e TJPEGImage.FreeBitmap"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 4C 74 17 8B C3 E8 ?? ?? ?? ?? 89 73 4C C6 43 50 01 8B D3 8B C3 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_81646_0 {
	meta:
		name = "TJPEGImage.SetSmoothing"
		size = 33
		refs = "000e TJPEGImage.FreeBitmap"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 3C 74 13 8B C6 E8 ?? ?? ?? ?? 88 5E 3C 8B D6 8B C6 8B 08 FF 51 10 5E 5B C3 }
	condition:
		$1
}

rule function_81648_0 {
	meta:
		name = "TJPEGImage.WriteData"
		size = 76
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 33 C0 89 04 24 8B 43 28 8B 78 08 85 FF 74 09 8B C7 8B 10 FF 12 89 04 24 8B D4 B9 04 00 00 00 8B C6 8B 38 FF 57 10 83 3C 24 00 7E 13 8B 43 28 8B 40 08 8B 50 04 8B 0C 24 8B C6 8B 18 FF 53 10 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81649_0 {
	meta:
		name = "InitDefaults"
		size = 67
		refs = "0005 GetDC 000f GetDeviceCaps 0027 JPEGDefaults 003c ReleaseDC"
	strings:
		$1 = { 53 56 6A 00 E8 ?? ?? ?? ?? 8B D8 6A 0C 53 E8 ?? ?? ?? ?? 8B F0 6A 0E 53 E8 ?? ?? ?? ?? 0F AF F0 83 FE 08 7F 0C C7 05 ?? ?? ?? ?? 01 00 00 00 EB 07 33 C0 A3 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81650_0 {
	meta:
		name = "jpeg_CreateDecompress"
		size = 208
		refs = "0059 memset 006f @jinit_memory_mgr 00b7 @jinit_marker_reader 00be @jinit_input_controller"
	strings:
		$1 = { 53 8B D8 56 33 C0 57 89 43 04 83 FA 3E 8B F1 74 19 8B 03 C7 40 14 0C 00 00 00 C7 40 18 3E 00 00 00 89 50 1C 8B C3 8B 10 FF 12 81 FE D0 01 00 00 74 19 8B 03 C7 40 14 15 00 00 00 C7 40 18 D0 01 00 00 89 70 1C 8B C3 8B 10 FF 12 8B 33 8B 7B 0C 68 D0 01 00 00 6A 00 53 E8 ?? ?? ?? ?? 83 C4 0C 89 33 89 7B 0C C7 43 10 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 33 C9 89 53 08 8D 93 A4 00 00 00 89 4B 18 33 C0 33 C9 40 89 0A 83 C2 04 83 F8 04 7C F3 33 C0 8D 93 B4 00 00 00 33 C9 89 0A 33 C9 89 4A 10 40 83 C2 04 83 F8 04 7C EE 33 C0 89 83 30 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C7 43 14 C8 00 00 00 5F 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_81651_0 {
	meta:
		name = "jpeg_destroy_decompress"
		size = 508
		refs = "0001 jpeg_destroy 0009 @jpeg_abort"
	strings:
		$1 = { E8 ?? ?? ?? ?? C3 90 90 E8 ?? ?? ?? ?? C3 90 90 53 8B D8 56 8B 43 24 48 74 11 83 E8 02 74 1F 48 0F 84 F9 00 00 00 E9 59 01 00 00 C7 43 28 01 00 00 00 C7 43 2C 01 00 00 00 E9 50 01 00 00 83 BB 18 01 00 00 00 74 0C C7 43 28 03 00 00 00 E9 C3 00 00 00 83 BB 24 01 00 00 00 74 50 8A 93 28 01 00 00 80 EA 01 72 04 74 0E EB 18 C7 43 28 02 00 00 00 E9 9F 00 00 00 C7 43 28 03 00 00 00 E9 93 00 00 00 8B 03 33 D2 C7 40 14 72 00 00 00 8A 93 28 01 00 00 89 50 18 8B C3 83 CA FF 8B 08 FF 51 04 C7 43 28 03 00 00 00 EB 6C EB 6A 8B 8B D8 00 00 00 8B 01 8B 51 54 8B 89 A8 00 00 00 83 F8 01 75 13 83 FA 02 75 0E 83 F9 03 75 09 C7 43 28 03 00 00 00 EB 41 83 F8 52 75 13 83 FA 47 75 0E 83 F9 42 75 09 C7 43 28 02 00 00 00 EB 29 8B 33 83 C6 18 89 06 89 56 04 89 4E 08 8B 03 C7 40 14 6F 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 04 C7 43 28 03 00 00 00 C7 43 2C 02 00 00 00 EB 6F 83 BB 24 01 00 00 00 74 4C 8A 93 28 01 00 00 80 EA 01 72 06 FE CA 74 0B EB 12 C7 43 28 04 00 00 00 EB 39 C7 43 28 05 00 00 00 EB 30 8B 03 33 D2 C7 40 14 72 00 00 00 8A 93 28 01 00 00 89 50 18 8B C3 83 CA FF 8B 08 FF 51 04 C7 43 28 05 00 00 00 EB 09 EB 07 C7 43 28 04 00 00 00 C7 43 2C 04 00 00 00 EB 0A 33 C9 33 C0 89 4B 28 89 43 2C C7 43 30 01 00 00 00 C7 43 34 01 00 00 00 33 D2 33 C9 89 53 38 33 C0 C7 43 3C 00 00 F0 3F 89 4B 40 89 43 44 C7 43 48 02 00 00 00 C7 43 4C 01 00 00 00 C7 43 50 01 00 00 00 33 D2 33 C9 89 53 54 33 C0 C7 43 58 02 00 00 00 C7 43 5C 01 00 00 00 C7 43 60 00 01 00 00 89 8B 88 00 00 00 33 D2 89 43 64 89 53 68 33 C9 89 4B 6C 5E 5B C3 90 }
	condition:
		$1
}

rule function_81652_0 {
	meta:
		name = "jpeg_read_header"
		size = 108
		refs = "005e @jpeg_abort"
	strings:
		$1 = { 53 8B D8 56 8B F2 8B 43 14 3D C8 00 00 00 74 1C 3D C9 00 00 00 74 15 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 8B C3 E8 39 00 00 00 8B D0 83 EA 01 72 2F 74 05 4A 74 09 EB 28 B8 01 00 00 00 EB 21 85 F6 74 0F 8B 13 8B C3 C7 42 14 33 00 00 00 8B 10 FF 12 8B C3 E8 ?? ?? ?? ?? B8 02 00 00 00 EB 00 5E 5B C3 }
	condition:
		$1
}

rule function_81653_0 {
	meta:
		name = "jpeg_consume_input"
		size = 224
		refs = "0015 jpeg_CreateDecompress"
	strings:
		$1 = { 53 8B D8 56 33 F6 8B 43 14 05 38 FF FF FF 83 F8 0A 77 7C 8A 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 04 03 02 01 01 01 01 01 01 00 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 8B 90 B4 01 00 00 FF 52 04 8B C3 8B 50 18 FF 52 08 C7 43 14 C9 00 00 00 8B C3 8B 90 B4 01 00 00 FF 12 8B F0 83 FE 01 75 3A 8B C3 E8 37 FD FF FF C7 43 14 CA 00 00 00 EB 2A BE 01 00 00 00 EB 23 8B C3 8B 90 B4 01 00 00 FF 12 8B F0 EB 15 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 8B C6 5E 5B C3 90 90 90 53 8B D8 8B 43 14 3D C8 00 00 00 7C 07 3D D2 00 00 00 7E 15 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 8B 8B B4 01 00 00 8B 41 14 5B C3 }
	condition:
		$1
}

rule function_81654_0 {
	meta:
		name = "jpeg_has_multiple_scans"
		size = 52
	strings:
		$1 = { 53 8B D8 8B 43 14 3D CA 00 00 00 7C 07 3D D2 00 00 00 7E 15 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 8B 8B B4 01 00 00 8B 41 10 5B C3 }
	condition:
		$1
}

rule function_81655_0 {
	meta:
		name = "jpeg_finish_decompress"
		size = 174
		refs = "00a3 @jpeg_abort"
	strings:
		$1 = { 53 8B D8 8B 43 14 3D CD 00 00 00 74 07 3D CE 00 00 00 75 34 83 7B 40 00 75 2E 8B 93 8C 00 00 00 3B 53 74 73 0F 8B 0B 8B C3 C7 41 14 43 00 00 00 8B 10 FF 12 8B C3 8B 90 A4 01 00 00 FF 52 04 C7 43 14 D2 00 00 00 EB 44 81 7B 14 CF 00 00 00 75 09 C7 43 14 D2 00 00 00 EB 32 81 7B 14 D2 00 00 00 74 29 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 EB 12 8B C3 8B 90 B4 01 00 00 FF 12 85 C0 75 04 33 C0 5B C3 8B 93 B4 01 00 00 83 7A 14 00 74 E2 8B C3 8B 50 18 FF 52 18 8B C3 E8 ?? ?? ?? ?? B8 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_81656_0 {
	meta:
		name = "_DF_."
		size = 2864
		refs = "00a7 _DV_. 00cf @jpeg_get_small 01a1 @jpeg_get_large 04f0 @jpeg_mem_available 054a @jpeg_open_backing_store 085d @jzero_far 0aa5 @jpeg_free_large 0ae0 @jpeg_free_small 0b26 @jpeg_mem_term"
	strings:
		$1 = { 8B 08 C7 41 14 36 00 00 00 89 51 18 8B 10 FF 12 C3 90 90 90 53 56 57 55 83 C4 F4 8B F8 8B F1 81 FE F0 C9 9A 3B 89 14 24 8B 47 04 89 44 24 04 76 0C BA 01 00 00 00 8B C7 E8 C3 FF FF FF 8B C6 83 E0 07 85 C0 76 09 BA 08 00 00 00 2B D0 03 F2 83 3C 24 00 7C 06 83 3C 24 02 7C 15 8B 07 C7 40 14 0E 00 00 00 8B 14 24 89 50 18 8B C7 8B 10 FF 12 8B 44 24 04 8B 14 24 33 ED 8B 44 90 34 85 C0 74 0D 3B 70 08 76 08 8B E8 8B 00 85 C0 75 F3 85 C0 0F 85 97 00 00 00 8D 46 10 85 ED 89 44 24 08 75 0C 8B 14 24 8B 1C 95 ?? ?? ?? ?? EB 0A 8B 04 24 8B 1C 85 ?? ?? ?? ?? B8 00 CA 9A 3B 2B 44 24 08 3B D8 76 02 8B D8 8B 54 24 08 8B C7 03 D3 E8 ?? ?? ?? ?? 85 C0 75 20 B9 02 00 00 00 8B C3 33 D2 F7 F1 89 C3 83 FB 32 73 DD BA 02 00 00 00 8B C7 E8 0B FF FF FF EB CF 8B 54 24 04 8B 4C 24 08 03 CB 03 DE 03 4A 4C 8B 54 24 04 89 4A 4C 33 C9 33 D2 89 08 89 50 04 89 58 08 85 ED 75 0D 8B 54 24 04 8B 0C 24 89 44 8A 34 EB 03 89 45 00 8D 50 10 03 50 04 01 70 04 29 70 08 8B C2 83 C4 0C 5D 5F 5E 5B C3 90 53 56 57 55 8B E8 51 89 14 24 8B F1 81 FE F0 C9 9A 3B 8B 7D 04 76 0C BA 03 00 00 00 8B C5 E8 99 FE FF FF 8B C6 83 E0 07 85 C0 76 09 BA 08 00 00 00 2B D0 03 F2 83 3C 24 00 7C 06 83 3C 24 02 7C 16 8B 45 00 C7 40 14 0E 00 00 00 8B 14 24 89 50 18 8B C5 8B 10 FF 12 8D 56 10 8B C5 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0C BA 04 00 00 00 8B C5 E8 49 FE FF FF 8B 4F 4C 03 CE 83 C1 10 33 D2 89 4F 4C 8B 0C 24 8B 44 8F 3C 89 03 89 73 04 89 53 08 8D 43 10 8B 0C 24 89 5C 8F 3C 5A 5D 5F 5E 5B C3 90 55 8B EC 83 C4 E8 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 33 D2 8B 70 04 B8 F0 C9 9A 3B F7 75 F4 8B D8 85 DB 7F 13 8B 45 FC 8B 10 C7 42 14 46 00 00 00 8B 45 FC 8B 10 FF 12 3B 5D 08 7D 05 89 5D EC EB 06 8B 4D 08 89 4D EC 8B 7D EC 89 7E 50 8B 4D 08 C1 E1 02 8B 55 F8 8B 45 FC E8 CE FD FF FF 89 45 F0 33 C0 89 45 E8 8B 55 E8 3B 55 08 73 55 8B 4D 08 2B 4D E8 3B 4D EC 76 05 8B 45 EC EB 06 8B 45 08 2B 45 E8 89 45 EC 8B 4D EC 8B 45 FC 0F AF 4D F4 8B 55 F8 E8 C3 FE FF FF 8B D0 8B 4D EC 8B 45 F0 8B 5D E8 8D 04 98 85 C9 76 10 89 10 FF 45 E8 83 C0 04 03 55 F4 49 85 C9 77 F0 8B 55 E8 3B 55 08 72 AB 8B 45 F0 5F 5E 5B 8B E5 5D C2 04 00 90 55 8B EC 83 C4 E8 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 70 04 8B 45 F4 C1 E0 07 50 B8 F0 C9 9A 3B 5A 8B CA 33 D2 F7 F1 8B D8 85 DB 7F 13 8B 45 FC 8B 10 C7 42 14 46 00 00 00 8B 45 FC 8B 10 FF 12 3B 5D 08 7D 05 89 5D EC EB 06 8B 4D 08 89 4D EC 8B 7D EC 89 7E 50 8B 4D 08 C1 E1 02 8B 55 F8 8B 45 FC E8 F1 FC FF FF 89 45 F0 33 C0 89 45 E8 8B 55 E8 3B 55 08 73 5D 8B 4D 08 2B 4D E8 3B 4D EC 76 05 8B 45 EC EB 06 8B 45 08 2B 45 E8 89 45 EC 8B 4D EC 0F AF 4D F4 C1 E1 07 8B 55 F8 8B 45 FC E8 E3 FD FF FF 8B D0 8B 4D EC 8B 45 F0 8B 5D E8 8D 04 98 85 C9 76 15 89 10 FF 45 E8 83 C0 04 8B 5D F4 C1 E3 07 03 D3 49 85 C9 77 EB 8B 45 E8 3B 45 08 72 A3 8B 45 F0 5F 5E 5B 8B E5 5D C2 04 00 55 8B EC 51 53 8B D8 56 57 8B FA 89 4D FC 83 FF 01 8B 73 04 74 12 8B 03 C7 40 14 0E 00 00 00 89 78 18 8B C3 8B 10 FF 12 B9 80 00 00 00 8B D7 8B C3 E8 42 FC FF FF 33 C9 89 08 8B 55 0C 89 50 04 8B 4D 10 89 48 08 8B 55 08 89 50 0C 33 D2 8B 4D FC 89 48 20 89 50 28 8B 4E 44 89 48 2C 89 46 44 5F 5E 5B 59 5D C2 0C 00 55 8B EC 51 53 8B D8 56 57 8B FA 89 4D FC 83 FF 01 8B 73 04 74 12 8B 03 C7 40 14 0E 00 00 00 89 78 18 8B C3 8B 10 FF 12 B9 80 00 00 00 8B D7 8B C3 E8 DA FB FF FF 33 C9 89 08 8B 55 0C 89 50 04 8B 4D 10 89 48 08 8B 55 08 89 50 0C 33 D2 8B 4D FC 89 48 20 89 50 28 8B 4E 48 89 48 2C 89 46 48 5F 5E 5B 59 5D C2 0C 00 53 56 57 8B F8 55 51 8B 6F 04 33 C0 89 04 24 33 F6 8B 5D 44 85 DB 74 25 83 3B 00 75 19 8B 43 08 8B 53 0C 0F AF D0 8B 4B 04 03 D6 0F AF C8 03 0C 24 8B F2 89 0C 24 8B 5B 2C 85 DB 75 DB 8B 5D 48 85 DB 74 2B 83 3B 00 75 1F 8B 43 08 8B 53 0C 0F AF D0 8B 4B 04 0F AF C8 C1 E2 07 C1 E1 07 03 D6 03 0C 24 8B F2 89 0C 24 8B 5B 2C 85 DB 75 D5 85 F6 0F 8E 1A 01 00 00 8B 45 4C 8B D6 50 8B C7 8B 4C 24 04 E8 ?? ?? ?? ?? 8B C8 3B 0C 24 7C 07 BE 00 CA 9A 3B EB 10 8B C1 99 F7 FE 8B F0 85 F6 7F 05 BE 01 00 00 00 8B 5D 44 85 DB 74 6D 83 3B 00 75 61 8B 43 04 48 33 D2 F7 73 0C 40 3B F0 7C 08 8B 4B 04 89 4B 10 EB 21 8B CE 8D 53 30 0F AF 4B 0C 89 4B 10 8B C7 8B 4B 04 0F AF 4B 08 E8 ?? ?? ?? ?? C7 43 28 01 00 00 00 8B 4B 10 BA 01 00 00 00 51 8B C7 8B 4B 08 E8 7C FC FF FF 89 03 33 C0 8B 4D 50 33 D2 89 4B 14 89 43 18 89 53 1C 33 C9 89 4B 24 8B 5B 2C 85 DB 75 93 8B 5D 48 85 DB 74 70 83 3B 00 75 64 8B 43 04 48 33 D2 F7 73 0C 40 3B F0 7C 08 8B 4B 04 89 4B 10 EB 24 8B CE 8D 53 30 0F AF 4B 0C 89 4B 10 8B C7 8B 4B 04 0F AF 4B 08 C1 E1 07 E8 ?? ?? ?? ?? C7 43 28 01 00 00 00 8B 4B 10 BA 01 00 00 00 51 8B C7 8B 4B 08 E8 D9 FC FF FF 89 03 33 C0 8B 4D 50 33 D2 89 4B 14 89 43 18 89 53 1C 33 C9 89 4B 24 8B 5B 2C 85 DB 75 90 5A 5D 5F 5E 5B C3 90 53 56 57 83 C4 F0 89 4C 24 04 8B DA 89 04 24 8B 43 08 89 44 24 08 8B 53 18 0F AF 54 24 08 89 54 24 0C 33 F6 EB 77 2B C6 3B 43 14 7E 05 8B 43 14 EB 05 8B 43 10 2B C6 8B 53 18 03 D6 8B 4B 1C 2B CA 3B C1 7C 05 8B 43 1C 2B C2 8B 4B 04 2B CA 3B C1 7C 05 8B 43 04 2B C2 85 C0 7E 48 8B F8 0F AF 7C 24 08 83 7C 24 04 00 74 17 8B 44 24 0C 50 57 8B 13 8B 44 24 08 8B 0C B2 8D 53 30 FF 53 34 EB 15 8B 4C 24 0C 8D 53 30 51 57 8B 0B 8B 44 24 08 8B 0C B1 FF 53 30 01 7C 24 0C 03 73 14 8B 43 10 3B F0 7C 82 83 C4 10 5F 5E 5B C3 90 53 56 57 83 C4 F0 89 4C 24 04 8B DA 89 04 24 8B 43 08 C1 E0 07 89 44 24 08 8B 53 18 0F AF 54 24 08 89 54 24 0C 33 F6 EB 77 2B C6 3B 43 14 7E 05 8B 43 14 EB 05 8B 43 10 2B C6 8B 53 18 03 D6 8B 4B 1C 2B CA 3B C1 7C 05 8B 43 1C 2B C2 8B 4B 04 2B CA 3B C1 7C 05 8B 43 04 2B C2 85 C0 7E 48 8B F8 0F AF 7C 24 08 83 7C 24 04 00 74 17 8B 44 24 0C 50 57 8B 13 8B 44 24 08 8B 0C B2 8D 53 30 FF 53 34 EB 15 8B 4C 24 0C 8D 53 30 51 57 8B 0B 8B 44 24 08 8B 0C B1 FF 53 30 01 7C 24 0C 03 73 14 8B 43 10 3B F0 7C 82 83 C4 10 5F 5E 5B C3 90 90 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 0C 8B 7D F8 03 F8 3B 7B 04 77 0A 3B 43 0C 77 05 83 3B 00 75 13 8B 45 FC 8B 10 C7 42 14 16 00 00 00 8B 45 FC 8B 10 FF 12 8B 43 18 3B 45 F8 77 07 03 43 10 3B F8 76 5D 83 7B 28 00 75 13 8B 55 FC 8B 0A C7 41 14 45 00 00 00 8B 45 FC 8B 10 FF 12 83 7B 24 00 74 14 B9 01 00 00 00 8B D3 8B 45 FC E8 2C FE FF FF 33 C9 89 4B 24 8B 4D F8 3B 4B 18 76 08 8B 45 F8 89 43 18 EB 0E 8B C7 2B 43 10 85 C0 7D 02 33 C0 89 43 18 33 C9 8B D3 8B 45 FC E8 FD FD FF FF 8B 43 1C 3B F8 76 73 3B 45 F8 73 1E 83 7D 08 00 74 13 8B 55 FC 8B 0A C7 41 14 16 00 00 00 8B 45 FC 8B 10 FF 12 8B 75 F8 EB 03 8B 73 1C 83 7D 08 00 74 03 89 7B 1C 83 7B 20 00 74 25 8B 43 08 89 45 F4 8B 43 18 2B F0 2B F8 3B FE 76 2D 8B 13 8B 04 B2 8B 55 F4 E8 ?? ?? ?? ?? 46 3B FE 77 EE EB 19 83 7D 08 00 75 13 8B 4D FC 8B 09 C7 41 14 16 00 00 00 8B 45 FC 8B 10 FF 12 83 7D 08 00 74 07 C7 43 24 01 00 00 00 8B 45 F8 2B 43 18 C1 E0 02 03 03 5F 5E 5B 8B E5 5D C2 08 00 90 90 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 0C 8B 7D F8 03 F8 3B 7B 04 77 0A 3B 43 0C 77 05 83 3B 00 75 13 8B 45 FC 8B 10 C7 42 14 16 00 00 00 8B 45 FC 8B 10 FF 12 8B 43 18 3B 45 F8 77 07 03 43 10 3B F8 76 5D 83 7B 28 00 75 13 8B 55 FC 8B 0A C7 41 14 45 00 00 00 8B 45 FC 8B 10 FF 12 83 7B 24 00 74 14 B9 01 00 00 00 8B D3 8B 45 FC E8 94 FD FF FF 33 C9 89 4B 24 8B 4D F8 3B 4B 18 76 08 8B 45 F8 89 43 18 EB 0E 8B C7 2B 43 10 85 C0 7D 02 33 C0 89 43 18 33 C9 8B D3 8B 45 FC E8 65 FD FF FF 8B 43 1C 3B F8 76 76 3B 45 F8 73 1E 83 7D 08 00 74 13 8B 55 FC 8B 0A C7 41 14 16 00 00 00 8B 45 FC 8B 10 FF 12 8B 75 F8 EB 03 8B 73 1C 83 7D 08 00 74 03 89 7B 1C 83 7B 20 00 74 28 8B 43 08 C1 E0 07 89 45 F4 8B 43 18 2B F0 2B F8 3B FE 76 2D 8B 13 8B 04 B2 8B 55 F4 E8 ?? ?? ?? ?? 46 3B FE 77 EE EB 19 83 7D 08 00 75 13 8B 4D FC 8B 09 C7 41 14 16 00 00 00 8B 45 FC 8B 10 FF 12 83 7D 08 00 74 07 C7 43 24 01 00 00 00 8B 45 F8 2B 43 18 C1 E0 02 03 03 5F 5E 5B 8B E5 5D C2 08 00 90 90 90 53 56 57 83 C4 F8 89 54 24 04 89 04 24 8B 04 24 83 7C 24 04 00 8B 70 04 7C 07 83 7C 24 04 02 7C 1A 8B 04 24 8B 00 C7 40 14 0E 00 00 00 8B 54 24 04 89 50 18 8B 04 24 8B 10 FF 12 83 7C 24 04 01 75 4E 8B 5E 44 85 DB 74 1B 83 7B 28 00 74 0E 33 C0 89 43 28 8D 53 30 8B 04 24 FF 53 38 8B 5B 2C 85 DB 75 E5 33 D2 89 56 44 8B 5E 48 85 DB 74 1B 83 7B 28 00 74 0E 33 C0 89 43 28 8D 53 30 8B 04 24 FF 53 38 8B 5B 2C 85 DB 75 E5 33 D2 89 56 48 8B 4C 24 04 8B 54 24 04 8B 44 8E 3C 33 C9 89 4C 96 3C 85 C0 74 25 8B 58 04 8B 38 03 58 08 8B D0 83 C3 10 8B 04 24 8B CB E8 ?? ?? ?? ?? 8B 4E 4C 8B C7 2B CB 89 4E 4C 85 C0 75 DB 8B 54 24 04 8B 44 96 34 8B 54 24 04 33 C9 89 4C 96 34 85 C0 74 25 8B 58 04 8B 38 03 58 08 8B D0 83 C3 10 8B 04 24 8B CB E8 ?? ?? ?? ?? 8B 4E 4C 8B C7 2B CB 89 4E 4C 85 C0 75 DB 59 5A 5F 5E 5B C3 53 56 8B F0 BB 01 00 00 00 8B D3 8B C6 E8 E2 FE FF FF 4B 85 DB 7D F2 B9 54 00 00 00 8B 56 04 8B C6 E8 ?? ?? ?? ?? 33 C9 8B C6 89 4E 04 E8 ?? ?? ?? ?? 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_81657_0 {
	meta:
		name = "@jinit_memory_mgr"
		size = 243
		refs = "0039 @jpeg_mem_init 0047 @jpeg_get_small 0054 @jpeg_mem_term 006e _DF_."
	strings:
		$1 = { 53 56 57 8B F0 33 C0 89 46 04 EB 0F 8B 16 8B C6 C7 42 14 02 00 00 00 8B 10 FF 12 B8 00 CA 9A 3B 3D 00 CA 9A 3B 74 0F 8B 16 8B C6 C7 42 14 03 00 00 00 8B 10 FF 12 8B C6 E8 ?? ?? ?? ?? 8B F8 BA 54 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 1B 8B C6 E8 ?? ?? ?? ?? 8B 06 33 D2 C7 40 14 36 00 00 00 89 50 18 8B C6 8B 10 FF 12 C7 03 ?? ?? ?? ?? BA 01 00 00 00 C7 43 04 ?? ?? ?? ?? C7 43 08 ?? ?? ?? ?? C7 43 0C ?? ?? ?? ?? C7 43 10 ?? ?? ?? ?? C7 43 14 ?? ?? ?? ?? C7 43 18 ?? ?? ?? ?? C7 43 1C ?? ?? ?? ?? C7 43 20 ?? ?? ?? ?? C7 43 24 ?? ?? ?? ?? C7 43 28 ?? ?? ?? ?? C7 43 30 00 CA 9A 3B 89 7B 2C 8D 43 38 33 C9 89 08 33 C9 89 48 08 4A 83 C0 FC 85 D2 7D EF 33 C0 33 D2 89 43 44 89 53 48 C7 43 4C 54 00 00 00 89 5E 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81658_0 {
	meta:
		name = "@jpeg_get_large"
		size = 8
		refs = "0002 malloc"
		altNames = "@jpeg_get_small"
	strings:
		$1 = { 52 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule function_81661_0 {
	meta:
		name = "@jpeg_free_large"
		size = 8
		refs = "0002 free"
	strings:
		$1 = { 52 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule function_81659_0 {
	meta:
		name = "@jpeg_free_small"
		size = 8
		refs = "0002 free"
	strings:
		$1 = { 52 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule function_81662_0 {
	meta:
		name = "@jpeg_mem_available"
		size = 12
	strings:
		$1 = { 55 8B EC 8B C1 5D C2 04 00 90 90 90 }
	condition:
		$1
}

rule function_81663_0 {
	meta:
		name = "@jpeg_open_backing_store"
		size = 16
	strings:
		$1 = { 8B 10 C7 42 14 31 00 00 00 8B 08 FF 11 C3 90 90 }
	condition:
		$1
}

rule function_81664_0 {
	meta:
		name = "@jpeg_mem_init"
		size = 4
	strings:
		$1 = { 33 C0 C3 90 }
	condition:
		$1
}

rule function_81666_0 {
	meta:
		name = "_DF_."
		size = 1304
		refs = "0122 @jdiv_round_up 03c1 memcpy 0428 _DF_."
	strings:
		$1 = { 53 8B D8 56 57 81 7B 20 DC FF 00 00 7F 09 81 7B 1C DC FF 00 00 7E 16 8B 03 C7 40 14 29 00 00 00 C7 40 18 DC FF 00 00 8B C3 8B 10 FF 12 83 BB D4 00 00 00 08 74 18 8B 03 C7 40 14 0F 00 00 00 8B 93 D4 00 00 00 89 50 18 8B C3 8B 10 FF 12 83 7B 24 0A 7E 1C 8B 03 C7 40 14 1A 00 00 00 8B 53 24 89 50 18 C7 40 1C 0A 00 00 00 8B C3 8B 10 FF 12 C7 83 34 01 00 00 01 00 00 00 C7 83 38 01 00 00 01 00 00 00 33 FF 8B B3 D8 00 00 00 EB 63 8B 46 08 85 C0 7E 11 83 F8 04 7F 0C 83 7E 0C 00 7E 06 83 7E 0C 04 7E 0F 8B 13 8B C3 C7 42 14 12 00 00 00 8B 10 FF 12 8B 8B 34 01 00 00 3B 4E 08 7E 08 8B 8B 34 01 00 00 EB 03 8B 4E 08 89 8B 34 01 00 00 8B 83 38 01 00 00 3B 46 0C 7E 08 8B 93 38 01 00 00 EB 03 8B 56 0C 89 93 38 01 00 00 47 83 C6 54 3B 7B 24 7C 98 C7 83 3C 01 00 00 08 00 00 00 33 FF 8B B3 D8 00 00 00 EB 6F C7 46 24 08 00 00 00 8B 93 34 01 00 00 C1 E2 03 8B 43 1C 0F AF 46 08 E8 ?? ?? ?? ?? 89 46 1C 8B 93 38 01 00 00 C1 E2 03 8B 43 20 0F AF 46 0C E8 ?? ?? ?? ?? 89 46 20 8B 43 1C F7 6E 08 8B 93 34 01 00 00 E8 ?? ?? ?? ?? 89 46 28 8B 43 20 F7 6E 0C 8B 93 38 01 00 00 E8 ?? ?? ?? ?? 89 46 2C 33 C9 C7 46 30 01 00 00 00 89 4E 4C 47 83 C6 54 3B 7B 24 7C 8C 8B 93 38 01 00 00 8B 43 20 C1 E2 03 E8 ?? ?? ?? ?? 89 83 40 01 00 00 8B 8B 48 01 00 00 3B 4B 24 7C 09 83 BB DC 00 00 00 00 74 0F 8B 83 B4 01 00 00 C7 40 10 01 00 00 00 EB 0B 8B 93 B4 01 00 00 33 C9 89 4A 10 5F 5E 5B C3 90 53 8B D8 56 57 51 83 BB 48 01 00 00 01 75 65 8B 8B 4C 01 00 00 8B 41 1C 89 83 5C 01 00 00 8B 51 20 89 93 60 01 00 00 C7 41 34 01 00 00 00 C7 41 38 01 00 00 00 C7 41 3C 01 00 00 00 8B 41 24 89 41 40 C7 41 44 01 00 00 00 8B 41 20 33 D2 F7 71 0C 8B C2 85 C0 75 03 8B 41 0C 89 41 48 33 D2 C7 83 64 01 00 00 01 00 00 00 89 93 68 01 00 00 E9 0E 01 00 00 8B 83 48 01 00 00 85 C0 7E 05 83 F8 04 7E 1F 8B 03 C7 40 14 1A 00 00 00 8B 93 48 01 00 00 89 50 18 C7 40 1C 04 00 00 00 8B C3 8B 10 FF 12 8B 93 34 01 00 00 8B 43 1C C1 E2 03 E8 ?? ?? ?? ?? 89 83 5C 01 00 00 8B 93 38 01 00 00 8B 43 20 C1 E2 03 E8 ?? ?? ?? ?? 89 83 60 01 00 00 33 C9 89 8B 64 01 00 00 33 F6 8D 83 4C 01 00 00 89 04 24 E9 8E 00 00 00 8B 14 24 8B 0A 8B 79 08 89 79 34 8B 41 0C 89 41 38 8B 51 34 0F AF D0 89 51 3C 8B 79 34 0F AF 79 24 89 79 40 8B 41 1C 33 D2 F7 71 34 8B C2 85 C0 75 03 8B 41 34 89 41 44 8B 41 20 33 D2 F7 71 38 8B C2 85 C0 75 03 8B 41 38 89 41 48 8B 79 3C 8B 83 64 01 00 00 03 C7 83 F8 0A 7E 24 8B 13 8B C3 C7 42 14 0D 00 00 00 8B 10 FF 12 EB 13 8B 8B 64 01 00 00 FF 83 64 01 00 00 89 B4 8B 68 01 00 00 8B CF 83 C7 FF 85 C9 7F E4 46 83 04 24 04 3B B3 48 01 00 00 0F 8C 66 FF FF FF 5A 5F 5E 5B C3 90 53 56 57 55 83 C4 F8 8B D8 33 C0 89 04 24 8D 93 4C 01 00 00 89 54 24 04 EB 69 8B 4C 24 04 8B 31 83 7E 4C 00 75 55 8B 7E 10 85 FF 7C 0F 83 FF 04 7D 0A 83 BC BB A4 00 00 00 00 75 12 8B 03 C7 40 14 34 00 00 00 89 78 18 8B C3 8B 10 FF 12 8B C3 B9 84 00 00 00 BA 01 00 00 00 8B 68 04 FF 55 00 8B E8 68 84 00 00 00 8B 84 BB A4 00 00 00 50 55 E8 ?? ?? ?? ?? 83 C4 0C 89 6E 4C FF 04 24 83 44 24 04 04 8B 14 24 3B 93 48 01 00 00 7C 8C 59 5A 5D 5F 5E 5B C3 90 90 90 53 8B D8 8B C3 E8 D6 FD FF FF 8B C3 E8 57 FF FF FF 8B C3 8B 90 BC 01 00 00 FF 12 8B C3 8B 90 AC 01 00 00 FF 12 8B 8B AC 01 00 00 8B 83 B4 01 00 00 8B 49 04 89 08 5B C3 8B 80 B4 01 00 00 C7 00 ?? ?? ?? ?? C3 90 90 90 53 8B D8 56 57 8B B3 B4 01 00 00 83 7E 14 00 74 0A B8 02 00 00 00 E9 8D 00 00 00 8B C3 8B 90 B8 01 00 00 FF 52 04 8B F8 8B C7 83 E8 01 72 77 74 05 48 74 34 EB 70 83 7E 18 00 74 0E 8B C3 E8 8D FB FF FF 33 D2 89 56 18 EB 5C 83 7E 10 00 75 0F 8B 0B 8B C3 C7 41 14 23 00 00 00 8B 10 FF 12 8B C3 E8 52 FF FF FF EB 3E C7 46 14 01 00 00 00 83 7E 18 00 74 1D 8B 93 B8 01 00 00 83 7A 10 00 74 25 8B 0B 8B C3 C7 41 14 3B 00 00 00 8B 10 FF 12 EB 14 8B 83 90 00 00 00 3B 83 98 00 00 00 7D 06 89 83 98 00 00 00 8B C7 5F 5E 5B C3 53 8B D8 33 D2 33 C9 8B 83 B4 01 00 00 C7 00 ?? ?? ?? ?? 89 50 10 89 48 14 C7 40 18 01 00 00 00 8B C3 8B 10 FF 52 10 8B C3 8B 90 B8 01 00 00 FF 12 33 C9 89 8B A0 00 00 00 5B C3 90 }
	condition:
		$1
}

rule function_81667_0 {
	meta:
		name = "@jinit_input_controller"
		size = 71
		refs = "001a _DF_."
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 1C 00 00 00 33 D2 8B 70 04 FF 16 89 83 B4 01 00 00 C7 00 ?? ?? ?? ?? C7 40 04 ?? ?? ?? ?? C7 40 08 ?? ?? ?? ?? C7 40 0C ?? ?? ?? ?? 33 D2 33 C9 89 50 10 89 48 14 C7 40 18 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_81668_0 {
	meta:
		name = "_DF_."
		size = 172
		refs = "0025 jfread"
	strings:
		$1 = { 8B 40 18 C7 40 24 01 00 00 00 C3 90 53 56 8B F0 B9 00 10 00 00 BA 01 00 00 00 8B 5E 18 8B 43 1C 50 8B 43 20 E8 ?? ?? ?? ?? 85 C0 77 37 83 7B 24 00 74 0F 8B 16 8B C6 C7 42 14 2A 00 00 00 8B 10 FF 12 8B 0E 8B C6 83 CA FF C7 41 14 78 00 00 00 8B 08 FF 51 04 8B 43 20 C6 00 FF C6 40 01 D9 B8 02 00 00 00 8B 53 20 33 C9 89 13 89 43 04 B8 01 00 00 00 89 4B 24 5E 5B C3 90 90 90 53 56 57 8B F8 8B DA 85 DB 8B 77 18 7E 17 EB 09 2B D8 8B C7 E8 77 FF FF FF 8B 46 04 3B D8 7F F0 01 1E 29 5E 04 5F 5E 5B C3 90 90 90 C3 90 90 90 }
	condition:
		$1
}

rule function_81669_0 {
	meta:
		name = "jpeg_stdio_src"
		size = 106
		refs = "003d _DF_. 0052 @jpeg_resync_to_restart"
	strings:
		$1 = { 53 56 8B F0 57 55 8B FA 83 7E 18 00 75 25 8B C6 B9 28 00 00 00 33 D2 8B 58 04 FF 13 8B D8 8B C6 89 5E 18 B9 00 10 00 00 8B 68 04 33 D2 FF 55 00 89 43 20 8B 5E 18 33 C0 33 D2 C7 43 08 ?? ?? ?? ?? C7 43 0C ?? ?? ?? ?? C7 43 10 ?? ?? ?? ?? C7 43 14 ?? ?? ?? ?? C7 43 18 ?? ?? ?? ?? 89 7B 1C 89 43 04 89 13 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81670_0 {
	meta:
		name = "jpeg_start_decompress"
		size = 400
		refs = "000f @jinit_master_decompress"
	strings:
		$1 = { 53 8B D8 81 7B 14 CA 00 00 00 75 22 8B C3 E8 ?? ?? ?? ?? 83 7B 40 00 74 0E C7 43 14 CF 00 00 00 B8 01 00 00 00 5B C3 C7 43 14 CB 00 00 00 81 7B 14 CB 00 00 00 75 68 8B 93 B4 01 00 00 83 7A 10 00 74 4E 83 7B 08 00 74 07 8B C3 8B 50 08 FF 12 8B C3 8B 90 B4 01 00 00 FF 12 85 C0 75 04 33 C0 5B C3 83 F8 02 74 2A 83 7B 08 00 74 D6 83 F8 03 74 03 48 75 CE 8B 53 08 FF 42 04 8B 4A 04 8B 43 08 3B 48 08 7C BD 8B 93 40 01 00 00 01 50 08 EB B2 8B 8B 90 00 00 00 89 8B 98 00 00 00 EB 1E 81 7B 14 CC 00 00 00 74 15 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 8B C3 E8 04 00 00 00 5B C3 90 90 53 8B D8 56 57 81 7B 14 CC 00 00 00 0F 84 89 00 00 00 8B C3 8B 90 A4 01 00 00 FF 12 33 C9 89 8B 8C 00 00 00 C7 43 14 CC 00 00 00 EB 6E EB 44 8B 43 08 85 C0 74 16 8B 93 8C 00 00 00 89 50 04 8B 4B 74 89 48 08 8B C3 8B 50 08 FF 12 8B C3 8B B3 8C 00 00 00 6A 00 8D 8B 8C 00 00 00 8B B8 A8 01 00 00 33 D2 FF 57 04 3B B3 8C 00 00 00 75 04 33 C0 EB 4E 8B 93 8C 00 00 00 3B 53 74 72 B1 8B C3 8B 90 A4 01 00 00 FF 52 04 8B C3 8B 90 A4 01 00 00 FF 12 33 C9 89 8B 8C 00 00 00 8B 8B A4 01 00 00 83 79 08 00 75 CC 83 7B 44 00 74 07 B8 CE 00 00 00 EB 05 B8 CD 00 00 00 89 43 14 B8 01 00 00 00 5F 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_81671_0 {
	meta:
		name = "jpeg_read_scanlines"
		size = 316
	strings:
		$1 = { 53 8B D8 56 57 51 8B F9 81 7B 14 CD 00 00 00 8B F2 74 15 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 8B 8B 8C 00 00 00 3B 4B 74 72 17 8B 0B 8B C3 83 CA FF C7 41 14 7B 00 00 00 8B 08 FF 51 04 33 C0 EB 40 8B 43 08 85 C0 74 16 8B 93 8C 00 00 00 89 50 04 8B 4B 74 89 48 08 8B C3 8B 50 08 FF 12 33 C9 8B C3 89 0C 24 57 8B D6 8B B0 A8 01 00 00 8D 4C 24 04 FF 56 04 8B 04 24 01 83 8C 00 00 00 8B 04 24 5A 5F 5E 5B C3 90 53 8B D8 56 57 55 8B E9 81 7B 14 CE 00 00 00 8B FA 74 15 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 8B 8B 8C 00 00 00 3B 4B 74 72 17 8B 0B 8B C3 83 CA FF C7 41 14 7B 00 00 00 8B 08 FF 51 04 33 C0 EB 5A 8B 43 08 85 C0 74 16 8B 93 8C 00 00 00 89 50 04 8B 4B 74 89 48 08 8B C3 8B 50 08 FF 12 8B B3 38 01 00 00 0F AF B3 3C 01 00 00 3B F5 76 0F 8B 03 C7 40 14 17 00 00 00 8B C3 8B 10 FF 12 8B D7 8B C3 8B 88 AC 01 00 00 FF 51 0C 85 C0 75 04 33 C0 EB 08 01 B3 8C 00 00 00 8B C6 5D 5F 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_81672_0 {
	meta:
		name = "jpeg_start_output"
		size = 96
	strings:
		$1 = { 53 8B D8 56 8B F2 8B 43 14 3D CF 00 00 00 74 1C 3D CC 00 00 00 74 15 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 85 F6 7F 05 BE 01 00 00 00 8B 83 B4 01 00 00 83 78 14 00 74 0E 3B B3 90 00 00 00 7E 06 8B B3 90 00 00 00 89 B3 98 00 00 00 8B C3 E8 A0 FD FF FF 5E 5B C3 90 }
	condition:
		$1
}

rule function_81673_0 {
	meta:
		name = "jpeg_finish_output"
		size = 136
	strings:
		$1 = { 53 8B D8 8B 43 14 3D CD 00 00 00 74 07 3D CE 00 00 00 75 1A 83 7B 40 00 74 14 8B C3 8B 90 A4 01 00 00 FF 52 04 C7 43 14 D0 00 00 00 EB 32 81 7B 14 D0 00 00 00 74 29 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 EB 12 8B C3 8B 90 B4 01 00 00 FF 12 85 C0 75 04 33 C0 5B C3 8B 93 90 00 00 00 3B 93 98 00 00 00 7F 0C 8B 8B B4 01 00 00 83 79 14 00 74 D4 C7 43 14 CF 00 00 00 B8 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_81674_0 {
	meta:
		name = "_DF_."
		size = 144
	strings:
		$1 = { 53 83 78 4C 00 75 09 83 B8 2C 01 00 00 00 74 04 33 C0 5B C3 83 78 28 03 75 12 83 78 24 03 75 0C 83 78 2C 02 75 06 83 78 78 03 74 04 33 C0 5B C3 8B 90 D8 00 00 00 83 7A 08 02 75 24 83 7A 5C 01 75 1E 83 BA B0 00 00 00 01 75 15 83 7A 0C 02 7F 0F 83 7A 60 01 75 09 83 BA B4 00 00 00 01 74 04 33 C0 5B C3 8B 90 D8 00 00 00 8B 5A 24 8B 88 3C 01 00 00 3B D9 75 0D 3B 4A 78 75 08 3B 8A CC 00 00 00 74 04 33 C0 5B C3 B8 01 00 00 00 5B C3 90 }
	condition:
		$1
}

rule function_81675_0 {
	meta:
		name = "jpeg_calc_output_dimensions"
		size = 1656
		refs = "0037 @jdiv_round_up 021e memset 027b memcpy 0360 @jinit_1pass_quantizer 037c @jinit_2pass_quantizer 0398 @jinit_merged_upsampler 03a1 @jinit_color_deconverter 03a8 @jinit_upsampler 03b2 @jinit_d_post_controller 03b9 @jinit_inverse_dct 03e3 @jinit_phuff_decoder 03ec @jinit_huff_decoder 0410 @jinit_d_coef_controller 041f @jinit_d_main_controller"
	strings:
		$1 = { 53 8B D8 56 57 81 7B 14 CA 00 00 00 74 15 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 8B 4B 30 C1 E1 03 3B 4B 34 77 2F BA 08 00 00 00 8B 43 1C E8 ?? ?? ?? ?? 89 43 70 BA 08 00 00 00 8B 43 20 E8 ?? ?? ?? ?? 89 43 74 C7 83 3C 01 00 00 01 00 00 00 E9 83 00 00 00 8B 4B 30 C1 E1 02 3B 4B 34 77 2C BA 04 00 00 00 8B 43 1C E8 ?? ?? ?? ?? 89 43 70 BA 04 00 00 00 8B 43 20 E8 ?? ?? ?? ?? 89 43 74 C7 83 3C 01 00 00 02 00 00 00 EB 4C 8B 4B 30 03 C9 3B 4B 34 77 2C BA 02 00 00 00 8B 43 1C E8 ?? ?? ?? ?? 89 43 70 BA 02 00 00 00 8B 43 20 E8 ?? ?? ?? ?? 89 43 74 C7 83 3C 01 00 00 04 00 00 00 EB 16 8B 4B 1C 89 4B 70 8B 4B 20 89 4B 74 C7 83 3C 01 00 00 08 00 00 00 33 FF 8B B3 D8 00 00 00 EB 48 8B 83 3C 01 00 00 EB 02 03 C0 83 F8 08 7D 32 8B 56 08 0F AF D0 03 D2 8B 8B 34 01 00 00 0F AF 8B 3C 01 00 00 3B D1 7F 19 8B 56 0C 0F AF D0 03 D2 8B 8B 38 01 00 00 0F AF 8B 3C 01 00 00 3B D1 7E C7 89 46 24 47 83 C6 54 3B 7B 24 7C B3 33 FF 8B B3 D8 00 00 00 EB 38 8B 46 08 F7 6E 24 F7 6B 1C 8B 93 34 01 00 00 C1 E2 03 E8 ?? ?? ?? ?? 89 46 28 8B 46 0C F7 6E 24 F7 6B 20 8B 93 38 01 00 00 C1 E2 03 E8 ?? ?? ?? ?? 89 46 2C 47 83 C6 54 3B 7B 24 7C C3 8B 4B 2C 49 74 0D 49 83 E9 02 72 10 83 E9 02 72 14 EB 1B C7 43 78 01 00 00 00 EB 18 C7 43 78 03 00 00 00 EB 0F C7 43 78 04 00 00 00 EB 06 8B 4B 24 89 4B 78 83 7B 54 00 74 07 B8 01 00 00 00 EB 03 8B 43 78 89 43 7C 8B C3 E8 A4 FD FF FF 85 C0 74 0E 8B 93 38 01 00 00 89 93 80 00 00 00 EB 0A C7 83 80 00 00 00 01 00 00 00 5F 5E 5B C3 53 8B D8 8B C3 56 B9 80 05 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B F0 81 C6 00 01 00 00 89 B3 44 01 00 00 68 00 01 00 00 6A 00 8D 86 00 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B D6 88 02 40 42 3D FF 00 00 00 7E F5 81 C6 80 00 00 00 B8 80 00 00 00 8D 96 80 00 00 00 C6 02 FF 40 42 3D 00 02 00 00 7C F4 68 80 01 00 00 6A 00 8D 8E 00 02 00 00 51 E8 ?? ?? ?? ?? 83 C4 0C 68 80 00 00 00 8B 83 44 01 00 00 50 81 C6 80 03 00 00 56 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 90 90 90 53 8B D8 56 8B C3 8B B3 A4 01 00 00 E8 67 FD FF FF 8B C3 E8 4C FF FF FF 8B 43 70 F7 6B 78 8B D0 3B C2 74 0F 8B 0B 8B C3 C7 41 14 46 00 00 00 8B 10 FF 12 33 C9 8B C3 89 4E 0C E8 A9 FC FF FF 89 46 10 33 D2 89 56 14 33 C9 89 4E 18 83 7B 54 00 74 06 83 7B 40 00 75 0F 33 C9 89 4B 64 33 C0 89 43 68 33 D2 89 53 6C 83 7B 54 00 0F 84 90 00 00 00 83 7B 44 00 74 0F 8B 0B 8B C3 C7 41 14 2F 00 00 00 8B 10 FF 12 83 7B 78 03 74 1B C7 43 64 01 00 00 00 33 C9 89 4B 68 33 C0 89 43 6C 33 D2 89 93 88 00 00 00 EB 28 83 BB 88 00 00 00 00 74 09 C7 43 68 01 00 00 00 EB 16 83 7B 5C 00 74 09 C7 43 6C 01 00 00 00 EB 07 C7 43 64 01 00 00 00 83 7B 64 00 74 10 8B C3 E8 ?? ?? ?? ?? 8B 93 CC 01 00 00 89 56 14 83 7B 6C 00 75 06 83 7B 68 00 74 10 8B C3 E8 ?? ?? ?? ?? 8B 93 CC 01 00 00 89 56 18 83 7B 44 00 75 27 83 7E 10 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 53 6C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 BB E0 00 00 00 00 74 11 8B 13 8B C3 C7 42 14 01 00 00 00 8B 10 FF 12 EB 19 83 BB DC 00 00 00 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 8B 93 B4 01 00 00 83 7A 10 00 75 0A 83 7B 40 00 75 04 33 C0 EB 05 B8 01 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 83 7B 44 00 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 50 04 FF 52 18 8B C3 8B 90 B4 01 00 00 FF 52 08 83 7B 08 00 74 5D 83 7B 40 00 75 57 8B 8B B4 01 00 00 83 79 10 00 74 4B 83 BB DC 00 00 00 00 74 0B 8B 53 24 8D 14 52 83 C2 02 EB 03 8B 53 24 8B 43 08 33 C9 89 48 04 8B 8B 40 01 00 00 0F AF CA 89 48 08 33 D2 89 50 0C 83 7B 6C 00 74 07 B8 03 00 00 00 EB 05 B8 02 00 00 00 8B 53 08 89 42 10 FF 46 0C 5E 5B C3 53 8B D8 56 8B B3 A4 01 00 00 83 7E 08 00 74 34 33 C0 33 D2 89 46 08 8B C3 8B 88 CC 01 00 00 FF 11 BA 02 00 00 00 8B C3 8B 88 B0 01 00 00 FF 11 BA 02 00 00 00 8B C3 8B 88 A8 01 00 00 FF 11 E9 BA 00 00 00 83 7B 54 00 74 47 83 BB 88 00 00 00 00 75 3E 83 7B 5C 00 74 18 83 7B 6C 00 74 12 8B 56 18 89 93 CC 01 00 00 C7 46 08 01 00 00 00 EB 20 83 7B 64 00 74 0B 8B 4E 14 89 8B CC 01 00 00 EB 0F 8B 03 C7 40 14 2E 00 00 00 8B C3 8B 10 FF 12 8B C3 8B 90 C0 01 00 00 FF 12 8B C3 8B 90 AC 01 00 00 FF 52 08 83 7B 44 00 75 52 83 7E 10 00 75 0A 8B C3 8B 90 C8 01 00 00 FF 12 8B C3 8B 90 C4 01 00 00 FF 12 83 7B 54 00 74 0D 8B 56 08 8B C3 8B 88 CC 01 00 00 FF 11 83 7E 08 00 74 07 BA 03 00 00 00 EB 02 33 D2 8B C3 8B 88 B0 01 00 00 FF 11 33 D2 8B C3 8B 88 A8 01 00 00 FF 11 8B 43 08 85 C0 74 4B 8B 56 0C 89 50 0C 83 7E 08 00 74 07 B9 02 00 00 00 EB 05 B9 01 00 00 00 03 4E 0C 8B 43 08 89 48 10 83 7B 40 00 74 24 8B 93 B4 01 00 00 83 7A 14 00 75 18 83 7B 6C 00 74 07 B9 02 00 00 00 EB 05 B9 01 00 00 00 8B 43 08 01 48 10 5E 5B C3 90 53 83 78 54 00 8B 98 A4 01 00 00 74 09 8B 90 CC 01 00 00 FF 52 08 FF 43 0C 5B C3 90 53 8B D8 56 81 7B 14 CF 00 00 00 8B B3 A4 01 00 00 74 15 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 83 7B 54 00 74 2B 83 7B 68 00 74 25 83 BB 88 00 00 00 00 74 1C 8B C3 8B 4E 18 89 8B CC 01 00 00 8B 90 CC 01 00 00 FF 52 0C 33 C9 89 4E 08 5E 5B C3 8B 0B 8B C3 C7 41 14 2E 00 00 00 8B 10 FF 12 5E 5B C3 90 }
	condition:
		$1
}

rule function_81676_0 {
	meta:
		name = "@jinit_master_decompress"
		size = 55
		refs = "001d _DF_."
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 1C 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 83 A4 01 00 00 C7 00 ?? ?? ?? ?? C7 40 04 ?? ?? ?? ?? 33 D2 89 50 08 8B C3 E8 DC FB FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_81677_0 {
	meta:
		name = "_DF_."
		size = 3252
		refs = "018f _DF_. 01ec @jpeg_make_d_derived_tbl 03a4 @jpeg_fill_bit_buffer 0417 @jpeg_huff_decode 0470 _DV_. 06d7 jpeg_natural_order"
	strings:
		$1 = { 53 56 8B D8 57 55 83 C4 EC 83 BB 90 01 00 00 00 0F 94 C0 83 E0 01 8B AB BC 01 00 00 89 04 24 33 C0 83 3C 24 00 74 10 83 BB 94 01 00 00 00 74 2D B8 01 00 00 00 EB 26 8B 93 94 01 00 00 3B 93 90 01 00 00 7C 05 83 FA 40 7C 05 B8 01 00 00 00 83 BB 48 01 00 00 01 74 05 B8 01 00 00 00 8B 93 98 01 00 00 85 D2 74 0E 4A 3B 93 9C 01 00 00 74 05 B8 01 00 00 00 83 BB 9C 01 00 00 0D 7E 05 B8 01 00 00 00 85 C0 74 33 8B 03 C7 40 14 10 00 00 00 8B 93 90 01 00 00 89 50 18 8B 8B 94 01 00 00 89 48 1C 8B 93 98 01 00 00 89 50 20 8B 8B 9C 01 00 00 89 48 24 8B C3 8B 10 FF 12 33 C0 89 44 24 04 8D 8B 4C 01 00 00 89 4C 24 0C E9 9E 00 00 00 8B 4C 24 0C 8B 01 8B 50 04 89 54 24 08 8B 74 24 08 C1 E6 08 03 B3 A0 00 00 00 83 3C 24 00 75 24 83 3E 00 7D 1F 8B 03 33 C9 C7 40 14 73 00 00 00 8B 54 24 08 89 50 18 89 48 1C 8B C3 83 CA FF 8B 08 FF 51 04 8B BB 90 01 00 00 8D 04 BE 8B F0 EB 3C 83 3E 00 7D 04 33 C0 EB 02 8B 06 3B 83 98 01 00 00 74 1D 8B 03 C7 40 14 73 00 00 00 8B 54 24 08 89 50 18 89 78 1C 83 CA FF 8B C3 8B 08 FF 51 04 8B 8B 9C 01 00 00 89 0E 47 83 C6 04 3B BB 94 01 00 00 7E BC FF 44 24 04 83 44 24 0C 04 8B 44 24 04 3B 83 48 01 00 00 0F 8C 52 FF FF FF 83 BB 98 01 00 00 00 75 18 83 3C 24 00 74 09 C7 45 04 ?? ?? ?? ?? EB 1F C7 45 04 ?? ?? ?? ?? EB 16 83 3C 24 00 74 09 C7 45 04 ?? ?? ?? ?? EB 07 C7 45 04 ?? ?? ?? ?? 33 D2 8D 4D 18 89 54 24 04 89 4C 24 10 8D BB 4C 01 00 00 EB 57 8B 07 83 3C 24 00 74 21 83 BB 98 01 00 00 00 75 32 8B 70 14 BA 01 00 00 00 8B CE 8D 44 B5 2C 50 8B C3 E8 ?? ?? ?? ?? EB 1A 8B 70 18 33 D2 8B CE 8D 44 B5 2C 50 8B C3 E8 ?? ?? ?? ?? 8B 54 B5 2C 89 55 3C 8B 4C 24 10 33 F6 89 31 FF 44 24 04 83 44 24 10 04 83 C7 04 8B 44 24 04 3B 83 48 01 00 00 7C 9D 33 D2 33 C9 89 55 10 89 4D 0C 33 C9 33 C0 89 4D 08 89 45 14 8B 93 14 01 00 00 89 55 28 83 C4 14 5D 5F 5E 5B C3 90 90 90 53 8B D8 56 8B B3 BC 01 00 00 8B 46 10 85 C0 79 03 83 C0 07 C1 F8 03 8B 93 B8 01 00 00 01 42 18 33 C9 89 4E 10 8B C3 8B 90 B8 01 00 00 FF 52 08 85 C0 75 05 33 C0 5E 5B C3 33 D2 8D 46 18 EB 08 33 C9 42 89 08 83 C0 04 3B 93 48 01 00 00 7C F0 33 D2 89 56 14 8B 8B 14 01 00 00 89 4E 28 83 BB A0 01 00 00 00 75 05 33 C0 89 46 08 B8 01 00 00 00 5E 5B C3 53 56 57 55 8B E8 83 C4 B4 8B DA 8B 85 BC 01 00 00 89 04 24 8B 95 9C 01 00 00 89 54 24 04 83 BD 14 01 00 00 00 74 1B 8B 0C 24 83 79 28 00 75 12 8B C5 E8 55 FF FF FF 85 C0 75 07 33 C0 E9 EF 01 00 00 8B 14 24 83 7A 08 00 0F 85 D7 01 00 00 89 6C 24 34 8B 45 18 8B 10 89 54 24 24 8D 95 68 01 00 00 8B 48 04 89 4C 24 28 8B 04 24 8B 0C 24 8B 70 10 8B 79 0C 8B 04 24 56 57 8D 7C 24 40 8D 70 14 B9 05 00 00 00 F3 A5 5F 5E 33 C0 8B CB 89 44 24 08 89 54 24 20 89 4C 24 1C E9 4A 01 00 00 8B 44 24 1C 8B 10 89 54 24 10 8B 4C 24 20 8B 01 89 44 24 0C 8B 54 24 0C 8B 84 95 4C 01 00 00 8B 50 14 8B 0C 24 8B 44 91 2C 89 44 24 14 83 FE 08 7D 31 6A 00 8D 44 24 28 8B CE 8B D7 E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 46 01 00 00 8B 7C 24 2C 8B 74 24 30 83 FE 08 7D 0A C7 44 24 18 01 00 00 00 EB 3A 8D 4E F8 8B C7 D3 F8 25 FF 00 00 00 8B 54 24 14 8B 94 82 90 00 00 00 89 54 24 18 85 D2 74 13 2B 74 24 18 8B 4C 24 14 33 DB 8A 9C 01 90 04 00 00 EB 34 C7 44 24 18 09 00 00 00 8B 44 24 14 8B CE 50 8B 54 24 1C 52 8B D7 8D 44 24 2C E8 ?? ?? ?? ?? 8B D8 85 C0 7D 07 33 C0 E9 D1 00 00 00 8B 7C 24 2C 8B 74 24 30 85 DB 74 51 3B DE 7E 21 53 8D 44 24 28 8B CE 8B D7 E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 A8 00 00 00 8B 7C 24 2C 8B 74 24 30 2B F3 8B CE 8B C7 D3 F8 8B CB BA 01 00 00 00 D3 E2 4A 23 C2 3B 04 9D ?? ?? ?? ?? 7D 0B 8B 14 9D ?? ?? ?? ?? 03 D0 EB 02 8B D0 8B DA 8B 44 24 0C 8B 4C 24 0C 03 5C 84 3C 89 5C 8C 3C 8B 4C 24 04 8B 44 24 10 66 D3 E3 66 89 18 FF 44 24 08 83 44 24 20 04 83 44 24 1C 04 8B 95 64 01 00 00 3B 54 24 08 0F 8F A6 FE FF FF 8B 45 18 8B 54 24 24 89 10 8B 4C 24 28 89 48 04 8B 04 24 89 78 0C 8B 14 24 89 72 10 8D 74 24 38 8B 0C 24 8D 79 14 B9 05 00 00 00 F3 A5 8B 04 24 FF 48 28 B8 01 00 00 00 83 C4 4C 5D 5F 5E 5B C3 90 90 90 53 56 57 55 83 C4 CC 8B F2 89 04 24 8B 04 24 8B 90 BC 01 00 00 89 54 24 04 8B 0C 24 8B B9 94 01 00 00 89 7C 24 08 8B 04 24 8B 90 9C 01 00 00 89 54 24 0C 8B 0C 24 83 B9 14 01 00 00 00 74 1D 8B 7C 24 04 83 7F 28 00 75 13 8B 04 24 E8 FF FC FF FF 85 C0 75 07 33 C0 E9 25 02 00 00 8B 54 24 04 83 7A 08 00 0F 85 0B 02 00 00 8B 4C 24 04 8B 79 14 89 7C 24 14 83 7C 24 14 00 76 09 FF 4C 24 14 E9 E5 01 00 00 8B 04 24 89 44 24 30 8B 14 24 8B 42 18 8B 10 89 54 24 20 8B 48 04 89 4C 24 24 8B 44 24 04 8B 7C 24 04 8B 58 10 8B 06 8B 6F 0C 89 44 24 18 8B 54 24 04 8B 4A 3C 89 4C 24 1C 8B 0C 24 8B 81 90 01 00 00 89 44 24 10 8B 54 24 10 3B 54 24 08 0F 8F 70 01 00 00 83 FB 08 7D 2E 6A 00 8D 44 24 24 8B CB 8B D5 E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 89 01 00 00 8B 6C 24 28 8B 5C 24 2C 83 FB 08 7D 07 BE 01 00 00 00 EB 30 8D 4B F8 8B C5 D3 F8 25 FF 00 00 00 8B 54 24 1C 8B B4 82 90 00 00 00 85 F6 74 10 2B DE 8B 54 24 1C 0F B6 BC 02 90 04 00 00 EB 2D BE 09 00 00 00 8B 44 24 1C 50 56 8D 44 24 28 8B CB 8B D5 E8 ?? ?? ?? ?? 8B F8 85 C0 7D 07 33 C0 E9 25 01 00 00 8B 6C 24 28 8B 5C 24 2C 8B F7 C1 FE 04 83 E7 0F 85 FF 74 71 01 74 24 10 3B FB 7E 21 57 8D 44 24 24 8B CB 8B D5 E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 F0 00 00 00 8B 6C 24 28 8B 5C 24 2C 2B DF 8B CB 8B F5 D3 FE 8B CF B8 01 00 00 00 D3 E0 48 23 F0 3B 34 BD ?? ?? ?? ?? 7D 0B 8B 14 BD ?? ?? ?? ?? 03 D6 EB 02 8B D6 8B FA 8B 4C 24 0C 66 D3 E7 8B 44 24 10 8B 0C 85 ?? ?? ?? ?? 8B 44 24 18 66 89 3C 48 EB 56 83 FE 0F 75 07 83 44 24 10 0F EB 4A 8B CE BF 01 00 00 00 D3 E7 89 7C 24 14 85 F6 74 33 3B F3 7E 1E 56 8D 44 24 24 8B CB 8B D5 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 69 8B 6C 24 28 8B 5C 24 2C 2B DE 8B C5 8B CB 4F D3 F8 23 C7 8B F0 01 74 24 14 FF 4C 24 14 EB 12 FF 44 24 10 8B 54 24 10 3B 54 24 08 0F 8E 90 FE FF FF 8B 0C 24 8B 41 18 8B 54 24 20 89 10 8B 54 24 24 89 50 04 8B 44 24 04 89 68 0C 8B 4C 24 04 89 59 10 8B 44 24 04 8B 54 24 14 89 50 14 8B 4C 24 04 B8 01 00 00 00 FF 49 28 83 C4 34 5D 5F 5E 5B C3 90 90 90 53 56 8B D8 57 83 C4 DC 8B F2 8B 83 BC 01 00 00 BA 01 00 00 00 89 04 24 8B 8B 9C 01 00 00 D3 E2 89 54 24 04 83 BB 14 01 00 00 00 74 1B 8B 0C 24 83 79 28 00 75 12 8B C3 E8 87 FA FF FF 85 C0 75 07 33 C0 E9 A8 00 00 00 89 5C 24 20 8B 43 18 8B 10 89 54 24 10 8B 48 04 89 4C 24 14 8B 0C 24 8B 04 24 8B 51 0C 33 C9 8B 40 10 89 4C 24 08 8B CE 8B F1 EB 49 8B 0E 89 4C 24 0C 83 F8 01 7D 1C 6A 01 8D 4C 24 14 91 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 5D 8B 54 24 18 8B 44 24 1C 48 8B C8 8B FA D3 FF F7 C7 01 00 00 00 74 0C 8B 4C 24 0C 66 8B 7C 24 04 66 09 39 FF 44 24 08 83 C6 04 8B 4C 24 08 3B 8B 64 01 00 00 7C AB 8B 4B 18 8B 74 24 10 89 31 8B 5C 24 14 89 59 04 8B 0C 24 89 51 0C 8B 14 24 89 42 10 8B 04 24 FF 48 28 B8 01 00 00 00 83 C4 24 5F 5E 5B C3 90 53 56 57 55 81 C4 B8 FE FF FF 8B FA 89 04 24 8B 04 24 8B 90 BC 01 00 00 89 54 24 04 BA 01 00 00 00 8B 0C 24 8B B1 94 01 00 00 89 74 24 08 8B 04 24 8B 80 9C 01 00 00 8B C8 D3 E2 8B C8 83 C8 FF D3 E0 89 54 24 0C 89 44 24 10 8B 14 24 83 BA 14 01 00 00 00 74 1D 8B 74 24 04 83 7E 28 00 75 13 8B 04 24 E8 64 F9 FF FF 85 C0 75 07 33 C0 E9 AD 03 00 00 8B 54 24 04 83 7A 08 00 0F 85 66 03 00 00 8B 0C 24 89 4C 24 44 8B 34 24 8B 46 18 8B 10 89 54 24 34 8B 48 04 89 4C 24 38 8B 44 24 04 8B 74 24 04 8B 58 10 8B 44 24 04 8B 76 0C 8B 50 14 89 54 24 1C 33 D2 8B 0F 89 4C 24 20 8B 4C 24 04 8B 41 3C 89 44 24 24 89 54 24 28 8B 0C 24 8B 81 90 01 00 00 89 44 24 14 83 7C 24 1C 00 0F 85 3E 02 00 00 8B 54 24 28 8D 4C 94 48 89 4C 24 30 8B 44 24 14 8D 14 85 ?? ?? ?? ?? 89 54 24 2C 8B 4C 24 14 3B 4C 24 08 0F 8F 15 02 00 00 83 FB 08 7D 2C 6A 00 8D 44 24 38 8B CB 8B D6 E8 ?? ?? ?? ?? 85 C0 75 05 E9 CC 02 00 00 8B 74 24 3C 8B 5C 24 40 83 FB 08 7D 07 BD 01 00 00 00 EB 30 8D 4B F8 8B C6 D3 F8 25 FF 00 00 00 8B 54 24 24 8B AC 82 90 00 00 00 85 ED 74 10 2B DD 8B 54 24 24 0F B6 BC 02 90 04 00 00 EB 2B BD 09 00 00 00 8B 44 24 24 50 55 8D 44 24 3C 8B CB 8B D6 E8 ?? ?? ?? ?? 8B F8 85 C0 7D 05 E9 6A 02 00 00 8B 74 24 3C 8B 5C 24 40 8B C7 83 E7 0F C1 F8 04 85 FF 89 44 24 18 74 56 4F 74 17 8B 14 24 8B 0A C7 41 14 76 00 00 00 83 CA FF 8B 04 24 8B 08 FF 51 04 83 FB 01 7D 20 6A 01 8D 44 24 38 8B CB 8B D6 E8 ?? ?? ?? ?? 85 C0 75 05 E9 1B 02 00 00 8B 74 24 3C 8B 5C 24 40 4B 8B CB 8B C6 D3 F8 A8 01 74 06 8B 7C 24 0C EB 6E 8B 7C 24 10 EB 68 83 7C 24 18 0F 74 61 8B 4C 24 18 BF 01 00 00 00 D3 E7 89 7C 24 1C 83 7C 24 18 00 0F 84 07 01 00 00 3B 5C 24 18 7D 23 8B 44 24 18 8B CB 50 8D 44 24 38 8B D6 E8 ?? ?? ?? ?? 85 C0 75 05 E9 BA 01 00 00 8B 74 24 3C 8B 5C 24 40 2B 5C 24 18 8B C6 8B CB 4F D3 F8 23 C7 89 44 24 18 8B 54 24 18 01 54 24 1C E9 C0 00 00 00 8B 4C 24 2C 8B 29 03 ED 03 6C 24 20 66 83 7D 00 00 74 58 83 FB 01 7D 20 6A 01 8D 44 24 38 8B CB 8B D6 E8 ?? ?? ?? ?? 85 C0 75 05 E9 64 01 00 00 8B 74 24 3C 8B 5C 24 40 4B 8B CB 8B C6 D3 F8 A8 01 74 2E 66 8B 45 00 0F BF D0 23 54 24 0C 75 21 66 85 C0 7C 0B 66 8B 4C 24 0C 66 01 4D 00 EB 11 66 8B 4C 24 10 66 01 4D 00 EB 06 FF 4C 24 18 78 17 FF 44 24 14 83 44 24 2C 04 8B 44 24 14 3B 44 24 08 0F 8E 78 FF FF FF 85 FF 74 1D 8B 54 24 2C 8B 02 8B 54 24 20 66 89 3C 42 8B 4C 24 30 89 01 FF 44 24 28 83 44 24 30 04 FF 44 24 14 83 44 24 2C 04 8B 4C 24 14 3B 4C 24 08 0F 8E EB FD FF FF 83 7C 24 1C 00 0F 86 8F 00 00 00 8B 44 24 14 8D 3C 85 ?? ?? ?? ?? 8B 44 24 14 3B 44 24 08 7F 76 8B 2F 03 ED 03 6C 24 20 66 83 7D 00 00 74 56 83 FB 01 7D 20 6A 01 8D 44 24 38 8B CB 8B D6 E8 ?? ?? ?? ?? 85 C0 75 05 E9 88 00 00 00 8B 74 24 3C 8B 5C 24 40 4B 8B CB 8B C6 D3 F8 A8 01 74 26 66 8B 45 00 0F BF D0 23 54 24 0C 75 19 66 85 C0 7C 0B 66 8B 4C 24 0C 66 01 4D 00 EB 09 66 8B 4C 24 10 66 01 4D 00 FF 44 24 14 83 C7 04 8B 44 24 14 3B 44 24 08 7E 8A FF 4C 24 1C 8B 14 24 8B 42 18 8B 54 24 34 89 10 8B 4C 24 38 89 48 04 8B 4C 24 04 89 71 0C 8B 44 24 04 89 58 10 8B 54 24 04 8B 44 24 1C 89 42 14 8B 54 24 04 B8 01 00 00 00 FF 4A 28 EB 2B 8B 54 24 28 83 7C 24 28 00 8D 44 94 48 7E 1A FF 4C 24 28 83 C0 FC 8B 10 8B 4C 24 20 66 C7 04 51 00 00 83 7C 24 28 00 7F E6 33 C0 81 C4 48 01 00 00 5D 5F 5E 5B C3 90 }
	condition:
		$1
}

rule function_81678_0 {
	meta:
		name = "@jinit_phuff_decoder"
		size = 116
		refs = "001f _DF_."
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 40 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B D0 89 93 BC 01 00 00 C7 02 ?? ?? ?? ?? 33 C0 8D 4A 2C 8B D1 33 C9 89 0A 40 83 C2 04 83 F8 04 7C F3 8B C3 8B 4B 24 C1 E1 06 BA 01 00 00 00 8B 70 04 C1 E1 02 FF 16 8B F0 89 B3 A0 00 00 00 8B D6 33 C9 EB 12 33 C0 C7 02 FF FF FF FF 83 C2 04 40 83 F8 40 7C F1 41 3B 4B 24 7C E9 5E 5B C3 }
	condition:
		$1
}

rule function_81679_0 {
	meta:
		name = "_DF_."
		size = 312
	strings:
		$1 = { 53 8B D8 56 57 83 C4 F0 8B B3 BC 01 00 00 83 BB 90 01 00 00 00 75 1B 83 BB 94 01 00 00 3F 75 12 83 BB 98 01 00 00 00 75 09 83 BB 9C 01 00 00 00 74 13 8B 03 C7 40 14 7A 00 00 00 83 CA FF 8B C3 8B 08 FF 51 04 33 D2 89 14 24 8D 4E 14 89 4C 24 0C 8D 83 4C 01 00 00 89 44 24 08 EB 44 8B 54 24 08 8B 12 8B 42 14 8B 7A 18 8B C8 8D 54 86 28 52 BA 01 00 00 00 8B C3 E8 BC 00 00 00 8D 4C BE 38 33 D2 51 8B CF 8B C3 E8 AC 00 00 00 8B 4C 24 0C 33 C0 89 01 FF 04 24 83 44 24 0C 04 83 44 24 08 04 8B 93 48 01 00 00 3B 14 24 7F B1 33 C9 89 4C 24 04 8D 46 48 8D 8B 68 01 00 00 EB 50 8B 11 89 14 24 8B 14 24 8B 94 93 4C 01 00 00 8B 7A 14 8B 7C BE 28 89 38 8B 7A 18 8B 7C BE 38 89 78 28 83 7A 30 00 74 16 C7 40 50 01 00 00 00 83 7A 24 01 0F 9F C2 83 E2 01 89 50 78 EB 08 33 D2 89 50 78 89 50 50 FF 44 24 04 83 C0 04 83 C1 04 8B 93 64 01 00 00 3B 54 24 04 7F A4 33 C0 89 46 10 33 C9 89 4E 0C 33 C9 89 4E 08 8B 83 14 01 00 00 89 46 24 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81680_0 {
	meta:
		name = "@jpeg_make_d_derived_tbl"
		size = 764
		refs = "01f0 memset"
	strings:
		$1 = { 55 8B EC 81 C4 C8 FA FF FF 53 56 57 8B F1 89 55 F8 89 45 FC 8B 5D 08 85 F6 7C 05 83 FE 04 7C 16 8B 45 FC 8B 00 C7 40 14 32 00 00 00 89 70 18 8B 45 FC 8B 10 FF 12 83 7D F8 00 74 0C 8B 4D FC 8B 8C B1 B4 00 00 00 EB 0A 8B 45 FC 8B 8C B0 C4 00 00 00 89 4D F4 83 7D F4 00 75 16 8B 45 FC 8B 00 C7 40 14 32 00 00 00 89 70 18 8B 45 FC 8B 10 FF 12 83 3B 00 75 14 8B 45 FC B9 90 05 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 03 8B 03 BE 01 00 00 00 89 45 F0 33 C0 8B 55 F0 8B 4D F4 89 8A 8C 00 00 00 89 45 EC 8B 45 F4 8D 58 01 33 C0 8A 03 89 45 E8 83 7D E8 00 7C 0E 8B 55 EC 03 55 E8 81 FA 00 01 00 00 7E 13 8B 4D FC 8B 09 C7 41 14 08 00 00 00 8B 45 FC 8B 10 FF 12 8B 4D EC 8D 84 0D CC FE FF FF EB 08 8B D6 88 10 FF 45 EC 40 8B 55 E8 83 45 E8 FF 85 D2 75 ED 46 43 83 FE 10 7E AC 8B 45 EC 33 DB C6 84 05 CC FE FF FF 00 8B 4D EC 33 C0 89 4D E4 0F BE B5 CC FE FF FF 89 45 EC EB 4A 8B 55 EC 8B 45 EC 8D 84 05 CC FE FF FF 8D 94 95 C8 FA FF FF EB 0A 89 1A 83 C2 04 FF 45 EC 40 43 0F BE 08 3B F1 74 EF 8B CE B8 01 00 00 00 D3 E0 3B C3 7F 13 8B 55 FC 8B 0A C7 41 14 08 00 00 00 8B 45 FC 8B 10 FF 12 03 DB 46 8B 4D EC 80 BC 0D CC FE FF FF 00 75 A9 33 C0 89 45 EC BE 01 00 00 00 8B 45 F0 8D 50 4C 89 55 E0 8B 4D F4 8D 41 01 80 38 00 74 2B 8B 55 EC 8B 4D EC 2B 8C 95 C8 FA FF FF 8B 55 E0 89 0A 33 C9 8A 08 01 4D EC 8B 55 EC 8B 8C 95 C4 FA FF FF 8B 55 E0 89 4A B8 EB 0A 8B 4D E0 C7 41 B8 FF FF FF FF 83 45 E0 04 46 40 83 FE 10 7E BB 8B 45 F0 C7 40 44 FF FF 0F 00 68 00 04 00 00 6A 00 8B 45 F0 05 90 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 89 55 EC BE 01 00 00 00 8B 45 F4 8D 50 01 89 55 E0 C7 45 E8 01 00 00 00 8B 4D F4 8B 5D EC 8D 44 19 11 89 45 D0 8B 55 EC 8D 8C 95 C8 FA FF FF 89 4D D8 8B 7D E0 8B C7 89 45 DC EB 58 8B 45 D8 BA 08 00 00 00 2B D6 8B 5D D0 8B 00 8B CA D3 E0 8B CA BA 01 00 00 00 D3 E2 8B CA 8B 55 F0 89 5D D4 85 C9 8B 5D F0 8D 94 02 90 04 00 00 8D 84 83 90 00 00 00 7E 12 89 30 8B 5D D4 8A 1B 88 1A 42 83 C0 04 49 85 C9 7F EE FF 45 E8 83 45 D8 04 FF 45 D0 FF 45 EC 8B 45 DC 33 D2 8A 10 3B 55 E8 7D 9C 46 FF 45 E0 83 FE 08 0F 8E 64 FF FF FF 83 7D F8 00 74 46 33 C9 89 4D E8 8B 45 F4 8D 50 11 89 55 E0 8B 4D E8 3B 4D E4 7D 30 8B 45 E0 0F B6 00 85 C0 7C 05 83 F8 0F 7E 13 8B 55 FC 8B 0A C7 41 14 08 00 00 00 8B 45 FC 8B 10 FF 12 FF 45 E8 FF 45 E0 8B 4D E8 3B 4D E4 7C D0 5F 5E 5B 8B E5 5D C2 04 00 90 }
	condition:
		$1
}

rule function_81681_0 {
	meta:
		name = "@jpeg_fill_bit_buffer"
		size = 332
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 18 8B 45 FC 8B 70 04 8B 45 FC 8B 50 10 89 55 F0 8B 4D F0 83 B9 A0 01 00 00 00 0F 85 9B 00 00 00 83 7D F4 19 0F 8D E1 00 00 00 85 F6 75 1F 8B 45 F0 8B 50 18 FF 52 0C 85 C0 75 07 33 C0 E9 EB 00 00 00 8B 55 F0 8B 42 18 8B 18 8B 70 04 4E 33 C0 8A 03 43 3D FF 00 00 00 75 46 85 F6 75 1F 8B 45 F0 8B 50 18 FF 52 0C 85 C0 75 07 33 C0 E9 BB 00 00 00 8B 55 F0 8B 42 18 8B 18 8B 70 04 4E 33 C0 8A 03 43 3D FF 00 00 00 74 D0 85 C0 75 07 B8 FF 00 00 00 EB 0B 8B 55 F0 89 82 A0 01 00 00 EB 1B 8B 4D F8 C1 E1 08 0B C1 89 45 F8 83 45 F4 08 83 7D F4 19 0F 8C 71 FF FF FF EB 50 8B 4D 08 3B 4D F4 7E 48 8B 45 F0 8B 90 BC 01 00 00 83 7A 08 00 75 27 8B 4D F0 8B 01 C7 40 14 75 00 00 00 83 CA FF 8B 45 F0 8B 08 FF 51 04 8B 55 F0 8B 8A BC 01 00 00 C7 41 08 01 00 00 00 B9 19 00 00 00 2B 4D F4 D3 65 F8 C7 45 F4 19 00 00 00 8B 45 FC 89 18 8B 55 FC 89 72 04 8B 45 FC 8B 55 F8 89 50 08 B8 01 00 00 00 8B 4D FC 8B 5D F4 89 59 0C 5E 5B 8B E5 5D C2 04 00 90 90 }
	condition:
		$1
}

rule function_81682_0 {
	meta:
		name = "@jpeg_huff_decode"
		size = 1488
		refs = "030d _DV_. 044f jpeg_natural_order"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 89 55 F8 89 45 FC 8B 7D 08 3B FB 7E 29 57 8B CB 8B 55 F8 8B 45 FC E8 8E FE FF FF 85 C0 75 08 83 C8 FF E9 BE 00 00 00 8B 55 FC 8B 4A 08 89 4D F8 8B 75 FC 8B 5E 0C 2B DF 8B 75 F8 8B CB B8 01 00 00 00 D3 FE 8B CF 8B 55 0C D3 E0 48 8D 0C BA 89 4D F4 23 F0 EB 40 03 F6 83 FB 01 7D 27 6A 01 8B CB 8B 55 F8 8B 45 FC E8 3D FE FF FF 85 C0 75 05 83 C8 FF EB 70 8B 55 FC 8B 4A 08 89 4D F8 8B 45 FC 8B 58 0C 4B 8B CB 8B 45 F8 D3 F8 83 E0 01 0B F0 47 83 45 F4 04 8B 55 F4 3B 32 7F B9 8B 4D FC 8B 45 F8 83 FF 10 89 41 08 8B 55 FC 89 5A 0C 7E 1B 8B 45 FC 8B 40 10 8B 10 C7 42 14 76 00 00 00 83 CA FF 8B 08 FF 51 04 33 C0 EB 19 8B 5D 0C 8B 55 0C 8B 83 8C 00 00 00 8B 4C BA 48 8D 14 30 33 C0 8A 44 0A 11 5F 5E 5B 8B E5 5D C2 08 00 90 90 90 53 8B D8 56 57 8B B3 BC 01 00 00 8B 46 10 85 C0 79 03 83 C0 07 C1 F8 03 8B 93 B8 01 00 00 01 42 18 33 C9 89 4E 10 8B C3 8B 90 B8 01 00 00 FF 52 08 85 C0 75 04 33 C0 EB 33 33 D2 8D 46 14 EB 08 33 C9 42 89 08 83 C0 04 3B 93 48 01 00 00 7C F0 8B 93 14 01 00 00 89 56 24 83 BB A0 01 00 00 00 75 05 33 FF 89 7E 08 B8 01 00 00 00 5F 5E 5B C3 53 56 57 55 83 C4 B0 8B F2 89 04 24 8B 04 24 8B 90 BC 01 00 00 89 54 24 04 8B 0C 24 83 B9 14 01 00 00 00 74 1D 8B 7C 24 04 83 7F 24 00 75 13 8B 04 24 E8 59 FF FF FF 85 C0 75 07 33 C0 E9 1A 04 00 00 8B 54 24 04 83 7A 08 00 0F 85 00 04 00 00 8B 0C 24 89 4C 24 3C 8B 3C 24 8B 47 18 8B 10 89 54 24 2C 8B 48 04 89 4C 24 30 B9 04 00 00 00 8B 44 24 04 8B 7C 24 04 8B 58 10 8B 44 24 04 8B 7F 0C 56 57 8D 7C 24 48 8D 70 14 F3 A5 5F 5E 33 C0 89 44 24 08 8B 14 24 8D 8A 68 01 00 00 8B D6 89 4C 24 28 8B 4C 24 04 8D 41 48 89 44 24 24 89 54 24 20 E9 53 03 00 00 8B 4C 24 20 8B 01 89 44 24 0C 8B 54 24 24 8B 0A 89 4C 24 10 8B 44 24 24 8B 50 28 89 54 24 14 83 FB 08 7D 2E 6A 00 8D 44 24 30 8B CB 8B D7 E8 5E FC FF FF 85 C0 75 07 33 C0 E9 67 03 00 00 8B 7C 24 34 8B 5C 24 38 83 FB 08 7D 07 BD 01 00 00 00 EB 30 8D 4B F8 8B C7 D3 F8 25 FF 00 00 00 8B 54 24 10 8B AC 82 90 00 00 00 85 ED 74 10 2B DD 8B 54 24 10 0F B6 B4 02 90 04 00 00 EB 2D BD 09 00 00 00 8B 44 24 10 50 55 8D 44 24 34 8B CB 8B D7 E8 48 FD FF FF 8B F0 85 C0 7D 07 33 C0 E9 03 03 00 00 8B 7C 24 34 8B 5C 24 38 85 F6 74 51 3B F3 7E 21 56 8D 44 24 30 8B CB 8B D7 E8 D1 FB FF FF 85 C0 75 07 33 C0 E9 DA 02 00 00 8B 7C 24 34 8B 5C 24 38 2B DE 8B CB 8B C7 D3 F8 8B CE BA 01 00 00 00 D3 E2 4A 23 C2 3B 04 B5 ?? ?? ?? ?? 7D 0B 8B 14 B5 ?? ?? ?? ?? 03 D0 EB 02 8B D0 8B F2 8B 44 24 24 83 78 50 00 74 15 8B 4C 24 28 8B 01 03 74 84 40 89 74 84 40 8B 54 24 0C 66 89 32 8B 4C 24 24 83 79 78 00 0F 84 2B 01 00 00 BD 01 00 00 00 83 FB 08 7D 31 6A 00 8D 44 24 30 8B CB 8B D7 E8 4C FB FF FF 85 C0 75 07 33 C0 E9 55 02 00 00 8B 7C 24 34 8B 5C 24 38 83 FB 08 7D 0A C7 44 24 18 01 00 00 00 EB 39 8D 4B F8 8B C7 D3 F8 25 FF 00 00 00 8B 54 24 14 8B 94 82 90 00 00 00 89 54 24 18 85 D2 74 12 2B 5C 24 18 8B 4C 24 14 0F B6 B4 01 90 04 00 00 EB 34 C7 44 24 18 09 00 00 00 8B 44 24 14 8B CB 50 8B 54 24 1C 52 8B D7 8D 44 24 34 E8 26 FC FF FF 8B F0 85 C0 7D 07 33 C0 E9 E1 01 00 00 8B 7C 24 34 8B 5C 24 38 8B C6 C1 F8 04 83 E6 0F 85 F6 74 64 03 E8 3B F3 7E 21 56 8D 44 24 30 8B CB 8B D7 E8 A5 FA FF FF 85 C0 75 07 33 C0 E9 AE 01 00 00 8B 7C 24 34 8B 5C 24 38 2B DE 8B CB 8B C7 D3 F8 8B CE BA 01 00 00 00 D3 E2 4A 23 C2 3B 04 B5 ?? ?? ?? ?? 7D 0B 8B 14 B5 ?? ?? ?? ?? 03 D0 EB 02 8B D0 8B 04 AD ?? ?? ?? ?? 8B 4C 24 0C 8B F2 66 89 34 41 EB 0C 83 F8 0F 0F 85 FB 00 00 00 83 C5 0F 45 83 FD 40 0F 8C DF FE FF FF E9 E9 00 00 00 BD 01 00 00 00 83 FB 08 7D 31 6A 00 8D 44 24 30 8B CB 8B D7 E8 21 FA FF FF 85 C0 75 07 33 C0 E9 2A 01 00 00 8B 7C 24 34 8B 5C 24 38 83 FB 08 7D 0A C7 44 24 1C 01 00 00 00 EB 39 8D 4B F8 8B C7 D3 F8 25 FF 00 00 00 8B 54 24 14 8B 94 82 90 00 00 00 89 54 24 1C 85 D2 74 12 2B 5C 24 1C 8B 4C 24 14 0F B6 B4 01 90 04 00 00 EB 34 C7 44 24 1C 09 00 00 00 8B 44 24 14 8B CB 50 8B 54 24 20 52 8B D7 8D 44 24 34 E8 FB FA FF FF 8B F0 85 C0 7D 07 33 C0 E9 B6 00 00 00 8B 7C 24 34 8B 5C 24 38 8B C6 C1 F8 04 83 E6 0F 85 F6 74 2B 03 E8 3B F3 7E 21 56 8D 44 24 30 8B CB 8B D7 E8 7A F9 FF FF 85 C0 75 07 33 C0 E9 83 00 00 00 8B 7C 24 34 8B 5C 24 38 2B DE EB 08 83 F8 0F 75 0D 83 C5 0F 45 83 FD 40 0F 8C 1C FF FF FF FF 44 24 08 83 44 24 28 04 83 44 24 24 04 83 44 24 20 04 8B 04 24 8B 90 64 01 00 00 3B 54 24 08 0F 8F 9A FC FF FF 8B 0C 24 8B 54 24 2C 8D 74 24 40 8B 41 18 89 10 8B 4C 24 30 89 48 04 8B 4C 24 04 89 79 0C B9 04 00 00 00 8B 44 24 04 89 58 10 8B 54 24 04 8D 7A 14 F3 A5 8B 44 24 04 FF 48 24 B8 01 00 00 00 83 C4 50 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81683_0 {
	meta:
		name = "@jinit_huff_decoder"
		size = 64
		refs = "001d _DF_."
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 E8 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 83 BC 01 00 00 C7 00 ?? ?? ?? ?? C7 40 04 ?? ?? ?? ?? 33 D2 83 C0 38 33 C9 89 08 89 48 F0 42 83 C0 04 83 FA 04 7C F0 5E 5B C3 }
	condition:
		$1
}

rule function_81684_0 {
	meta:
		name = "_DF_."
		size = 1396
		refs = "010a @jcopy_sample_rows"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 B9 00 04 00 00 8B 9E C4 01 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 43 10 8B C6 B9 00 04 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 43 14 8B C6 B9 00 04 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 43 18 8B C6 B9 00 04 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 43 1C 33 C0 BA 80 FF FF FF 69 CA E9 66 01 00 81 C1 00 80 00 00 8B 73 10 C1 F9 10 89 0C 86 69 CA A2 C5 01 00 81 C1 00 80 00 00 8B 73 14 C1 F9 10 89 0C 86 69 CA 2E 49 FF FF 8B 73 18 89 0C 86 69 CA E6 A7 FF FF 8B 73 1C 81 C1 00 80 00 00 89 0C 86 40 42 3D FF 00 00 00 7E AF 5F 5E 5B C3 90 8B 90 C4 01 00 00 33 C9 89 4A 24 8B 40 74 89 42 2C C3 90 90 55 8B EC 83 C4 EC 53 56 89 4D F4 89 55 F8 89 45 FC 8B 55 FC 8B 45 10 8B 4D 08 8B 9A C4 01 00 00 83 7B 24 00 74 28 6A 00 6A 01 8B 53 28 52 8B 4D 0C 8B 09 C1 E1 02 03 C8 8D 43 20 33 D2 E8 ?? ?? ?? ?? BE 01 00 00 00 33 C0 89 43 24 EB 53 BE 02 00 00 00 8B 53 2C 3B F2 76 02 8B F2 8B 55 0C 8B 12 2B CA 3B CE 73 02 8B F1 8B 4D 0C 83 FE 01 8B 09 8B 0C 88 89 4D EC 76 09 8B 44 90 04 89 45 F0 EB 0D 8B 53 20 89 55 F0 C7 43 24 01 00 00 00 8D 4D EC 51 8B 45 F4 8B 55 F8 8B 08 8B 45 FC FF 53 0C 8B 4D 0C 01 31 29 73 2C 83 7B 24 00 75 05 8B 45 F4 FF 00 5E 5B 8B E5 5D C2 10 00 55 8B EC 51 53 56 89 55 FC 8B D9 8B 4D 0C 8B 90 C4 01 00 00 8B F2 8B 09 C1 E1 02 03 4D 10 51 8B 0B 8B 55 FC FF 56 0C 8B 45 0C FF 00 FF 03 5E 5B 59 5D C2 10 00 90 90 90 55 8B EC 83 C4 D0 53 56 57 89 45 FC 8B 45 FC 8B 98 C4 01 00 00 8B 45 FC 8B 73 10 8B 80 44 01 00 00 89 75 DC 8B 73 14 89 75 D8 8B 73 18 89 75 D4 8B 5B 1C 89 5D D0 8B 1A 8B 1C 8B 89 5D EC 8B 5A 04 8B 1C 8B 89 5D E8 8B 52 08 8B 0C 8A 89 4D E4 8B 4D FC 8B 55 08 8B 49 70 8B 12 D1 E9 89 4D E0 83 7D E0 00 0F 86 A3 00 00 00 8B 4D E8 0F B6 09 FF 45 E8 8B 5D E4 0F B6 1B 89 5D F0 FF 45 E4 8B 5D DC 8B 75 F0 8B 1C B3 89 5D F8 8B 5D D0 8B 7D F0 8B 34 8B 8B 5D D4 03 34 BB 8B 5D D8 C1 FE 10 8B 0C 8B 89 4D F4 33 C9 8B 7D EC 8A 0F FF 45 EC 8B 7D F8 8D 1C 08 8A 1C 3B 88 5A 02 8D 1C 08 8D 0C 08 8A 1C 33 88 5A 01 8B 5D F4 8A 0C 19 88 0A 33 C9 8B 7D EC 83 C2 03 8A 0F FF 45 EC 8B 7D F8 8D 1C 08 8A 1C 3B 88 5A 02 8D 1C 08 8D 0C 08 8A 1C 33 88 5A 01 8B 5D F4 8A 0C 19 88 0A 83 C2 03 FF 4D E0 83 7D E0 00 0F 87 5D FF FF FF 8B 4D FC F6 41 70 01 74 5C 8B 4D E8 8B 5D E4 0F B6 09 0F B6 1B 89 5D F0 8B 5D DC 8B 75 F0 8B 1C B3 89 5D F8 8B 5D D0 8B 7D F0 8B 34 8B 8B 5D D4 03 34 BB 8B 5D D8 C1 FE 10 8B 0C 8B 89 4D F4 33 C9 8B 7D EC 8A 0F 8B 7D F8 8D 1C 08 8A 1C 3B 88 5A 02 8D 1C 08 03 C1 8A 1C 33 88 5A 01 8B 4D F4 8A 04 08 88 02 5F 5E 5B 8B E5 5D C2 04 00 90 55 8B EC 83 C4 C4 53 56 57 89 4D F8 89 45 FC 8B 5D 08 8B 45 FC 8B 80 C4 01 00 00 8B 4D FC 8B 89 44 01 00 00 8B 70 10 89 75 D0 8B 70 14 89 75 CC 8B 70 18 89 75 C8 8B 40 1C 89 45 C4 8B 45 F8 03 C0 8B 32 8B 34 86 89 75 E4 8B 32 8B 44 86 04 89 45 E0 8B 42 04 8B 75 F8 8B 04 B0 89 45 DC 8B 52 08 8B 45 F8 8B 14 82 89 55 D8 8B 03 8B 53 04 89 55 E8 8B 55 FC 8B 52 70 D1 EA 89 55 D4 83 7D D4 00 0F 86 0D 01 00 00 8B 55 DC 0F B6 12 FF 45 DC 8B 5D D8 0F B6 1B 89 5D EC FF 45 D8 8B 5D D0 8B 75 EC 8B 1C B3 89 5D F4 8B 5D C4 8B 7D EC 8B 34 93 8B 5D C8 03 34 BB 8B 5D CC C1 FE 10 8B 14 93 89 55 F0 8B 55 E4 0F B6 12 FF 45 E4 8B 5D F4 8D 3C 11 8A 1C 1F 88 58 02 8D 1C 11 8D 14 11 8A 1C 33 88 58 01 8B 5D F0 8A 14 1A 88 10 83 C0 03 8B 55 E4 0F B6 12 FF 45 E4 8B 5D F4 8D 3C 11 8A 1C 1F 88 58 02 8D 1C 11 8D 14 11 8A 1C 33 88 58 01 8B 5D F0 8A 14 1A 88 10 83 C0 03 8B 55 E0 0F B6 12 FF 45 E0 8B 5D F4 8D 3C 11 8A 1C 1F 8B 7D E8 88 5F 02 8D 1C 11 8B 7D E8 8D 14 11 8A 1C 33 88 5F 01 8B 5D F0 8A 14 1A 8B 5D E8 88 13 83 45 E8 03 8B 55 E0 0F B6 12 FF 45 E0 8B 5D F4 8D 3C 11 8A 1C 1F 8B 7D E8 88 5F 02 8D 1C 11 8D 14 11 8A 1C 33 8B 75 E8 88 5E 01 8B 5D F0 8A 14 1A 8B 5D E8 88 13 83 45 E8 03 FF 4D D4 83 7D D4 00 0F 87 F3 FE FF FF 8B 55 FC F6 42 70 01 0F 84 8C 00 00 00 8B 55 DC 8B 5D D8 0F B6 12 0F B6 1B 89 5D EC 8B 5D D0 8B 75 EC 8B 1C B3 89 5D F4 8B 5D C4 8B 7D EC 8B 34 93 8B 5D C8 03 34 BB 8B 5D CC C1 FE 10 8B 14 93 89 55 F0 8B 55 E4 8B 5D F4 0F B6 12 8D 3C 11 8A 1C 1F 88 58 02 8D 1C 11 8D 14 11 8A 1C 33 88 58 01 8B 5D F0 8A 14 1A 88 10 33 D2 8B 45 E0 8A 10 8B 45 F4 8D 1C 11 8A 04 03 8B 5D E8 88 43 02 8D 04 11 8B 5D E8 8D 14 11 8A 04 30 88 43 01 8B 45 F0 8B 5D E8 8A 0C 02 88 0B 5F 5E 5B 8B E5 5D C2 04 00 90 90 }
	condition:
		$1
}

rule function_81685_0 {
	meta:
		name = "@jinit_merged_upsampler"
		size = 125
		refs = "0022 _DF_."
	strings:
		$1 = { 53 56 8B F0 57 8B C6 B9 30 00 00 00 BA 01 00 00 00 8B 58 04 FF 13 8B D8 33 C0 89 9E C4 01 00 00 C7 03 ?? ?? ?? ?? 89 43 08 8B 56 70 0F AF 56 78 89 53 28 83 BE 38 01 00 00 02 75 23 C7 43 04 ?? ?? ?? ?? 8B C6 BA 01 00 00 00 C7 43 0C ?? ?? ?? ?? 8B 78 04 8B 4B 28 FF 57 04 89 43 20 EB 13 C7 43 04 ?? ?? ?? ?? C7 43 0C ?? ?? ?? ?? 33 C0 89 43 20 8B C6 E8 13 FA FF FF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81686_0 {
	meta:
		name = "_DF_."
		size = 988
		refs = "0246 @jcopy_sample_rows"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 B9 00 04 00 00 8B 9E C8 01 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 43 08 8B C6 B9 00 04 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 43 0C 8B C6 B9 00 04 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 43 10 8B C6 B9 00 04 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 43 14 33 C0 BA 80 FF FF FF 69 CA E9 66 01 00 81 C1 00 80 00 00 8B 73 08 C1 F9 10 89 0C 86 69 CA A2 C5 01 00 81 C1 00 80 00 00 8B 73 0C C1 F9 10 89 0C 86 69 CA 2E 49 FF FF 8B 73 10 89 0C 86 69 CA E6 A7 FF FF 8B 73 14 81 C1 00 80 00 00 89 0C 86 40 42 3D FF 00 00 00 7E AF 5F 5E 5B C3 90 55 8B EC 83 C4 CC 53 56 57 89 4D F8 89 55 FC 8B 90 C8 01 00 00 8B 48 70 89 4D E8 8B 88 44 01 00 00 8B 42 08 89 45 E4 8B 42 0C 89 45 E0 8B 42 10 89 45 DC 8B 52 14 89 55 D8 E9 B5 00 00 00 8B 5D FC 8B 55 F8 8B 75 F8 33 FF 8B 03 8B 5D F8 8B 14 90 8B 45 FC 8B 40 04 8B 1C 98 8B 45 FC 8B 40 08 8B 34 B0 FF 45 F8 8B 45 0C 8B 00 83 45 0C 04 89 7D EC 89 75 CC 89 5D D0 89 55 D4 8B 55 EC 3B 55 E8 73 70 8B 55 D4 8B 5D D0 0F B6 12 0F B6 1B 89 5D F4 8B 5D CC 0F B6 1B 89 5D F0 8B 5D E4 8B 75 F0 8B 1C B3 8D 34 11 8A 1C 1E 88 58 02 8B 5D D8 8B 75 F4 8B 7D F0 8B 1C B3 8B 75 DC 03 1C BE 8D 34 11 C1 FB 10 8D 14 11 8A 1C 1E 88 58 01 8B 5D E0 8B 75 F4 8B 1C B3 8A 14 1A 88 10 83 C0 03 FF 45 EC FF 45 CC FF 45 D0 FF 45 D4 8B 55 EC 3B 55 E8 72 90 FF 4D 08 0F 89 42 FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 90 90 90 55 8B EC 83 C4 F0 53 56 57 8B 58 24 89 5D FC 8B 40 70 89 45 F8 EB 4A 33 C0 89 45 F4 8B C2 89 45 F0 8B 45 F4 3B 45 FC 7D 33 8B 45 F0 8B 5D 0C 8B 7D F8 8B 33 8B 00 03 75 F4 85 FF 8B 04 88 76 0D 8A 18 88 1E 40 03 75 FC 4F 85 FF 77 F3 FF 45 F4 83 45 F0 04 8B 45 F4 3B 45 FC 7C CD 41 83 45 0C 04 FF 4D 08 79 B1 5F 5E 5B 8B E5 5D C2 08 00 90 55 8B EC 53 6A 00 8B 5D 08 53 8B 40 70 50 8B 02 8B D1 8B 4D 0C E8 ?? ?? ?? ?? 5B 5D C2 08 00 90 55 8B EC 51 53 56 57 8B 40 70 89 45 FC EB 2C 8B 02 33 FF 8B 1C 88 8B 45 0C 41 8B F3 8B 00 83 45 0C 04 3B 7D FC 73 14 8A 1E 88 18 88 58 01 88 58 02 83 C0 03 47 46 3B 7D FC 72 EC FF 4D 08 79 CF 5F 5E 5B 59 5D C2 08 00 55 8B EC 83 C4 C4 53 56 57 89 4D F8 89 55 FC 8B 90 C8 01 00 00 8B 48 70 89 4D E4 8B 88 44 01 00 00 8B 42 08 89 45 E0 8B 42 0C 89 45 DC 8B 42 10 89 45 D8 8B 52 14 89 55 D4 E9 ED 00 00 00 8B 5D FC 8B 55 F8 8B 75 F8 33 FF 8B 03 8B 5D F8 8B 14 90 8B 45 FC 8B 40 04 8B 1C 98 8B 45 FC 8B 40 08 8B 04 B0 89 45 EC 8B 45 FC 8B 75 F8 8B 40 0C 8B 34 B0 FF 45 F8 8B 45 0C 8B 00 83 45 0C 04 89 7D E8 89 75 C4 8B 75 EC 89 75 C8 89 5D CC 89 55 D0 8B 55 E8 3B 55 E4 0F 83 8F 00 00 00 8B 55 D0 8B 5D CC 0F B6 12 0F B6 1B 89 5D F4 8B 5D C8 0F B6 1B 89 5D F0 8B 5D E0 8B 75 F0 8B 1C B3 BE FF 00 00 00 03 DA 2B F3 8A 1C 31 88 18 8B 5D D4 8B 75 F4 8B 7D F0 8B 1C B3 8B 75 D8 03 1C BE BE FF 00 00 00 C1 FB 10 03 DA 2B F3 8A 1C 31 88 58 01 8B 5D DC 8B 75 F4 03 14 B3 BB FF 00 00 00 2B DA 8A 14 19 88 50 02 8B 55 C4 8A 12 88 50 03 83 C0 04 FF 45 E8 FF 45 C4 FF 45 C8 FF 45 CC FF 45 D0 8B 55 E8 3B 55 E4 0F 82 71 FF FF FF FF 4D 08 0F 89 0A FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 90 90 90 C3 90 90 90 }
	condition:
		$1
}

rule function_81687_0 {
	meta:
		name = "@jinit_color_deconverter"
		size = 460
		refs = "001f _DF_."
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 18 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B F0 89 B3 C8 01 00 00 C7 06 ?? ?? ?? ?? 8B 43 28 48 74 0D 48 83 E8 02 72 1E 83 E8 02 72 30 EB 45 83 7B 24 01 74 54 8B 13 8B C3 C7 42 14 0A 00 00 00 8B 10 FF 12 EB 43 83 7B 24 03 74 3D 8B 0B 8B C3 C7 41 14 0A 00 00 00 8B 10 FF 12 EB 2C 83 7B 24 04 74 26 8B 0B 8B C3 C7 41 14 0A 00 00 00 8B 10 FF 12 EB 15 83 7B 24 01 7D 0F 8B 0B 8B C3 C7 41 14 0A 00 00 00 8B 10 FF 12 8B 4B 2C 49 74 11 49 74 65 83 E9 02 0F 84 AE 00 00 00 E9 E6 00 00 00 C7 43 78 01 00 00 00 8B 43 28 83 F8 01 74 05 83 F8 03 75 2F C7 46 04 ?? ?? ?? ?? B8 01 00 00 00 EB 17 8B D0 8B 8B D8 00 00 00 C1 E2 03 33 F6 2B D0 40 8D 14 52 89 74 91 30 3B 43 24 7C E4 E9 C9 00 00 00 8B 03 C7 40 14 1B 00 00 00 8B C3 8B 10 FF 12 E9 B5 00 00 00 C7 43 78 03 00 00 00 83 7B 28 03 75 13 C7 46 04 ?? ?? ?? ?? 8B C3 E8 0B FB FF FF E9 95 00 00 00 83 7B 28 01 75 0C C7 46 04 ?? ?? ?? ?? E9 83 00 00 00 83 7B 28 02 75 09 C7 46 04 ?? ?? ?? ?? EB 74 8B 13 8B C3 C7 42 14 1B 00 00 00 8B 10 FF 12 EB 63 C7 43 78 04 00 00 00 83 7B 28 05 75 10 C7 46 04 ?? ?? ?? ?? 8B C3 E8 B9 FA FF FF EB 46 83 7B 28 04 75 09 C7 46 04 ?? ?? ?? ?? EB 37 8B 13 8B C3 C7 42 14 1B 00 00 00 8B 10 FF 12 EB 26 8B 4B 2C 3B 4B 28 75 0F 8B 4B 24 89 4B 78 C7 46 04 ?? ?? ?? ?? EB 0F 8B 03 C7 40 14 1B 00 00 00 8B C3 8B 10 FF 12 83 7B 54 00 74 0A C7 43 7C 01 00 00 00 5E 5B C3 8B 4B 78 89 4B 7C 5E 5B C3 }
	condition:
		$1
}

rule function_81688_0 {
	meta:
		name = "_DF_."
		size = 2996
		refs = "008c _DV_. 06e6 @jzero_far 0b01 _DF_."
	strings:
		$1 = { 53 56 57 83 C4 E8 89 54 24 04 89 04 24 8B 04 24 8B 50 78 89 54 24 08 8B 0C 24 8B 41 60 89 44 24 0C BB 01 00 00 00 43 8B C3 B9 01 00 00 00 3B 4C 24 08 7D 0A 0F AF C3 41 3B 4C 24 08 7C F6 3B 44 24 0C 7E E2 4B 83 FB 02 7D 16 8B 14 24 8B 12 C7 42 14 38 00 00 00 89 42 18 8B 04 24 8B 08 FF 11 BE 01 00 00 00 33 C9 8B 44 24 04 3B 4C 24 08 7D 0F 0F AF F3 89 18 41 83 C0 04 3B 4C 24 08 7C F1 33 D2 89 54 24 10 33 C9 C7 44 24 14 ?? ?? ?? ?? 3B 4C 24 08 7D 50 8B 1C 24 83 7B 2C 02 75 08 8B 44 24 14 8B 18 EB 02 8B D9 8B 44 24 04 FF 34 98 8B C6 5A 8B FA 99 F7 FF 8B 54 24 04 8B 14 9A 42 0F AF C2 3B 44 24 0C 7F 1D 8B 54 24 04 FF 04 9A 8B F0 C7 44 24 10 01 00 00 00 41 83 44 24 14 04 3B 4C 24 08 7C B0 83 7C 24 10 00 75 93 8B C6 83 C4 18 5F 5E 5B C3 90 90 55 8B EC 8B C1 53 C1 E0 08 8B 5D 08 8B D3 2B C1 D1 FA 79 03 83 D2 00 03 C2 99 F7 FB 5B 5D C2 04 00 90 90 90 03 C9 55 8B EC 8B C1 C1 E0 08 53 8B 5D 08 2B C1 03 C3 03 DB 05 FF 00 00 00 99 F7 FB 5B 5D C2 04 00 90 90 90 53 56 57 55 83 C4 D0 89 04 24 8B 04 24 8B 90 CC 01 00 00 89 54 24 04 8B 54 24 04 8B 04 24 83 C2 20 E8 9A FE FF FF 89 44 24 0C 8B 0C 24 83 79 78 03 75 47 8B 04 24 8B 00 83 C0 18 8B 54 24 0C 89 10 8B 4C 24 04 8B 51 20 89 50 04 8B 4C 24 04 8B 51 24 89 50 08 8B 4C 24 04 8B 51 28 89 50 0C 8B 04 24 8B 08 C7 41 14 5E 00 00 00 BA 01 00 00 00 8B 04 24 8B 08 FF 51 04 EB 20 8B 04 24 8B 00 C7 40 14 5F 00 00 00 8B 54 24 0C 89 50 18 BA 01 00 00 00 8B 04 24 8B 08 FF 51 04 8B 04 24 8B 50 78 52 BA 01 00 00 00 8B 44 24 04 8B 4C 24 10 8B 58 04 FF 53 08 89 44 24 08 33 D2 8B 44 24 0C 89 44 24 1C 89 54 24 10 8B 4C 24 08 8B C1 89 44 24 2C 8B 54 24 04 8D 4A 20 89 4C 24 20 E9 A5 00 00 00 8B 44 24 20 8B 10 89 54 24 18 8B 44 24 1C 99 F7 7C 24 18 8B F0 33 C0 89 44 24 14 8B 54 24 2C 8B CA 89 4C 24 28 8B 7C 24 14 3B 7C 24 18 7D 64 8B 44 24 18 48 50 8B 4C 24 18 8B 54 24 14 8B 44 24 04 E8 92 FE FF FF 8B F8 8B 4C 24 14 0F AF CE 8B 44 24 28 8B D0 89 54 24 24 3B 4C 24 0C 7D 26 33 C0 8B 54 24 24 3B F0 7E 12 8B 1A 03 D9 03 D8 40 53 8B DF 5D 3B F0 88 5D 00 7F EE 03 4C 24 1C 3B 4C 24 0C 7C DA FF 44 24 14 8B 44 24 14 3B 44 24 18 7C 9C 89 74 24 1C FF 44 24 10 83 44 24 2C 04 83 44 24 20 04 8B 14 24 8B 4A 78 3B 4C 24 10 0F 8F 4B FF FF FF 8B 44 24 04 8B 54 24 08 89 50 10 8B 4C 24 04 8B 5C 24 0C 89 59 14 83 C4 30 5D 5F 5E 5B C3 90 53 56 57 83 C4 E0 89 04 24 8B 04 24 8B 90 CC 01 00 00 89 54 24 04 8B 0C 24 83 79 58 01 75 15 C7 44 24 14 FE 01 00 00 8B 44 24 04 C7 40 1C 01 00 00 00 EB 0F 33 D2 89 54 24 14 8B 4C 24 04 33 DB 89 59 1C 8B 04 24 8B 50 78 52 BA 01 00 00 00 8B 44 24 04 8B 4C 24 18 81 C1 00 01 00 00 8B 58 04 FF 53 08 8B 54 24 04 89 42 18 8B 44 24 04 8B 48 14 89 4C 24 10 33 FF 8B 44 24 04 8D 50 20 89 54 24 18 E9 D4 00 00 00 8B 4C 24 18 8B 31 89 74 24 0C 8B 44 24 10 99 F7 7C 24 0C 89 44 24 10 83 7C 24 14 00 74 0E 8B 4C 24 04 8B 71 18 81 04 BE FF 00 00 00 8B 44 24 04 33 F6 8B 50 18 8B 0C BA 8B D7 89 4C 24 08 8B 44 24 0C 48 33 C9 50 8B 44 24 04 E8 52 FD FF FF 33 DB 8B 54 24 08 8B CA 89 4C 24 1C 3B C3 7D 18 8B 44 24 0C 8B D7 48 46 50 8B CE 8B 44 24 04 E8 2E FD FF FF 3B C3 7C E8 8B D6 8B 4C 24 1C 0F AF 54 24 10 88 11 43 FF 44 24 1C 81 FB FF 00 00 00 7E CA 83 7C 24 14 00 74 36 BB 01 00 00 00 8B 44 24 08 05 00 01 00 00 8B D3 8B 4C 24 08 F7 DA 03 CA 8B 54 24 08 8A 12 88 11 8B 4C 24 08 8A 91 FF 00 00 00 88 10 43 40 81 FB FF 00 00 00 7E D8 47 83 44 24 18 04 8B 04 24 3B 78 78 0F 8C 20 FF FF FF 83 C4 20 5F 5E 5B C3 90 90 53 56 57 55 8B 70 04 8B DA BA 01 00 00 00 83 C4 F0 B9 00 04 00 00 FF 16 89 04 24 8B EB C1 E5 09 81 C5 00 FE FF FF 33 C0 89 44 24 04 C7 44 24 0C ?? ?? ?? ?? 8B 14 24 8B CA 89 4C 24 08 33 FF 8B 44 24 08 8B F0 8B 44 24 0C 8B D8 33 C0 8A 03 03 C0 BA FF 00 00 00 2B D0 8B CA C1 E1 08 2B CA 85 C9 7D 0B 8B C1 F7 D8 99 F7 FD F7 D8 EB 05 8B C1 99 F7 FD 89 06 47 83 C6 04 43 83 FF 10 7C CC FF 44 24 04 83 44 24 0C 10 83 44 24 08 40 83 7C 24 04 10 7C A9 8B 04 24 83 C4 10 5D 5F 5E 5B C3 90 53 56 57 83 C4 F8 89 04 24 8B 04 24 8B 90 CC 01 00 00 89 54 24 04 33 DB 8B 44 24 04 8D 70 20 EB 39 8B 3E 33 C9 33 D2 8B 44 24 04 83 C0 20 3B DA 7E 11 3B 38 75 05 8B 48 14 EB 08 42 83 C0 04 3B DA 7F EF 85 C9 75 0C 8B D7 8B 04 24 E8 0F FF FF FF 8B C8 89 4E 14 43 83 C6 04 8B 14 24 3B 5A 78 7C BF 59 5A 5F 5E 5B C3 55 8B EC 83 C4 E0 53 56 57 8B 98 CC 01 00 00 8B 5B 18 89 5D FC 8B 58 70 89 5D EC 8B 40 78 89 45 E8 33 C0 89 45 F4 89 4D E0 89 55 E4 8B 45 F4 3B 45 08 7D 61 8B 55 E4 8B 5D E0 8B 0A 8B 03 89 45 F8 8B 55 EC 89 55 F0 83 7D F0 00 76 35 33 F6 33 D2 8B 45 FC 3B 55 E8 7D 16 33 DB 8A 19 8B 38 0F B6 1C 1F 03 F3 41 42 83 C0 04 3B 55 E8 7C EA 8B C6 8B 55 F8 88 02 FF 45 F8 FF 4D F0 83 7D F0 00 77 CB FF 45 F4 83 45 E0 04 83 45 E4 04 8B 4D F4 3B 4D 08 7C 9F 5F 5E 5B 8B E5 5D C2 04 00 90 90 55 8B EC 83 C4 E4 53 56 57 8B 98 CC 01 00 00 8B 73 18 8B 3E 89 7D FC 8B 7E 04 89 7D F8 8B 5E 08 89 5D F4 8B 40 70 89 45 EC 33 C0 89 45 F0 89 4D E4 89 55 E8 8B 45 F0 3B 45 08 7D 54 8B 55 E8 8B 02 8B 55 E4 8B 0A 8B 75 EC 85 F6 76 30 33 D2 8B 5D FC 8A 10 40 8B 7D F8 0F B6 14 13 33 DB 8A 18 40 0F B6 1C 1F 03 D3 33 DB 8A 18 8B 7D F4 40 0F B6 1C 1F 03 D3 88 11 41 4E 85 F6 77 D0 FF 45 F0 83 45 E4 04 83 45 E8 04 8B 45 F0 3B 45 08 7C AC 5F 5E 5B 8B E5 5D C2 04 00 90 90 90 55 8B EC 83 C4 CC 53 56 57 8B 98 CC 01 00 00 89 5D FC 8B 58 78 89 5D EC 8B 40 70 89 45 E0 33 C0 89 45 E4 89 55 CC 89 4D DC 8B 45 E4 3B 45 08 0F 8D CE 00 00 00 8B 55 DC 8B 02 8B 55 E0 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B 41 30 89 45 F0 89 55 E8 8B 4D FC 8D 41 34 89 45 D0 8B 55 DC 8B CA 89 4D D4 8B 45 CC 8B D0 89 55 D8 8B 4D E8 3B 4D EC 7D 68 8B 45 D8 8B 4D D4 8B 5D E8 8B 10 8B 45 FC 8B 09 03 55 E8 8B 40 18 8B 04 98 89 45 F8 8B 45 D0 8B 5D F0 C1 E3 06 8B 00 03 C3 89 45 F4 33 C0 8B 75 E0 85 F6 76 24 33 DB 8B 7D F8 8A 1A 8D 1C 1F 53 8B 5D F4 5F 8B 1C 83 40 8A 1C 1F 00 19 41 03 55 EC 83 E0 0F 4E 85 F6 77 DC FF 45 E8 83 45 D0 04 8B 55 E8 3B 55 EC 7C 98 8B 4D F0 41 83 E1 0F 89 4D F0 8B 45 FC 8B 55 F0 89 50 30 FF 45 E4 83 45 CC 04 83 45 DC 04 8B 4D E4 3B 4D 08 0F 8C 32 FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 55 8B EC 83 C4 CC 53 56 57 8B 98 CC 01 00 00 89 5D FC 8B 5D FC 8B 5B 18 8B 33 89 75 F8 8B 73 04 89 75 F4 8B 5B 08 89 5D F0 8B 40 70 89 45 D4 33 C0 89 45 DC 89 4D CC 89 55 D0 8B 45 DC 3B 45 08 0F 8D C8 00 00 00 8B 55 FC 8B 4A 30 89 4D E0 8B 55 CC 8B 4D FC 8B 45 D0 8B 32 8B 55 E0 8B 79 34 C1 E2 06 8B 00 03 FA 89 7D EC 8B 4D FC 8B 79 38 03 FA 89 7D E8 8B 4D FC 8B 79 3C 03 FA 33 D2 89 7D E4 8B 4D D4 89 4D D8 83 7D D8 00 76 56 0F B6 38 8B 4D F8 40 33 DB 8A 18 8D 3C 39 8B 4D EC 40 8B 0C 91 0F B6 0C 0F 8B 7D F4 8D 1C 1F 53 8B 5D E8 5F 8B 1C 93 0F B6 1C 1F 03 CB 33 DB 8A 18 8B 7D F0 40 8D 1C 1F 53 8B 5D E4 5F 8B 1C 93 42 0F B6 1C 1F 03 CB 88 0E 46 83 E2 0F FF 4D D8 83 7D D8 00 77 AA 8B 45 E0 40 83 E0 0F 89 45 E0 8B 4D FC 8B 5D E0 89 59 30 FF 45 DC 83 45 CC 04 83 45 D0 04 8B 45 DC 3B 45 08 0F 8C 38 FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 90 55 8B EC 83 C4 B0 53 56 8B 98 CC 01 00 00 89 5D FC 8B 58 78 89 5D DC 8B 58 70 89 5D C8 8B 80 44 01 00 00 89 45 C4 33 C0 89 45 D0 89 55 B0 89 4D C0 8B 45 D0 3B 45 08 0F 8D 77 01 00 00 8B 55 C0 8B 02 8B 55 C8 E8 ?? ?? ?? ?? 33 C9 89 4D D4 8B 45 FC 8D 50 44 89 55 B4 8B 4D C0 8B C1 89 45 B8 8B 55 B0 8B CA 89 4D BC 8B 45 D4 3B 45 DC 0F 8D 11 01 00 00 8B 55 BC 8B 0A 03 4D D4 89 4D EC 8B 45 B8 8B 10 89 55 E8 8B 4D FC 83 79 54 00 74 2A 8B 45 C8 83 CE FF 48 8B D0 0F AF 55 DC 01 55 EC 01 45 E8 8B 45 DC F7 D8 89 45 D8 8B 55 B4 8B 5D C8 43 03 DB 8B 0A 03 CB EB 10 BE 01 00 00 00 8B 45 DC 89 45 D8 8B 55 B4 8B 0A 8B 5D FC 8B 55 D4 8B 43 18 8B 1C 90 89 5D E4 8B 45 FC 8B 50 10 8B 45 D4 8B 14 82 33 C0 89 55 E0 33 D2 89 55 F4 89 55 F8 8B 55 C8 89 55 CC 83 7D CC 00 76 6D 0F BF 14 71 03 C2 8B 55 EC 83 C0 08 8B 5D E8 0F B6 12 C1 F8 04 03 C2 8B 55 C4 0F B6 04 02 8B 55 E4 0F B6 14 02 00 13 8B 5D E0 0F B6 14 13 2B C2 89 45 F0 8B D0 66 8B 5D F4 03 D2 03 C2 66 03 D8 03 C2 66 89 19 8B 5D F8 03 D8 03 C2 89 5D F4 8B 5D F0 89 5D F8 8B 55 D8 01 55 EC 01 75 E8 8B D6 03 D2 03 CA FF 4D CC 83 7D CC 00 77 93 66 8B 45 F4 66 89 01 FF 45 D4 83 45 B4 04 8B 4D D4 3B 4D DC 0F 8C EF FE FF FF 8B 45 FC 83 78 54 00 74 04 33 D2 EB 05 BA 01 00 00 00 8B 45 FC 89 50 54 FF 45 D0 83 45 B0 04 83 45 C0 04 8B 4D D0 3B 4D 08 0F 8C 89 FE FF FF 5E 5B 8B E5 5D C2 04 00 53 56 8B D8 57 55 51 8B 83 CC 01 00 00 8B 53 70 03 D2 83 C2 04 33 FF 89 14 24 8D 70 44 EB 16 8B C3 8B 0C 24 BA 01 00 00 00 8B 68 04 FF 55 04 89 06 47 83 C6 04 3B 7B 78 7C E5 5A 5D 5F 5E 5B C3 53 8B D8 56 57 55 8B B3 CC 01 00 00 8B 46 10 89 83 88 00 00 00 8B 56 14 89 93 84 00 00 00 8B 4B 58 83 E9 01 72 0A 74 26 49 74 5A E9 93 00 00 00 83 7B 78 03 75 0C C7 46 04 ?? ?? ?? ?? E9 90 00 00 00 C7 46 04 ?? ?? ?? ?? E9 84 00 00 00 83 7B 78 03 75 09 C7 46 04 ?? ?? ?? ?? EB 07 C7 46 04 ?? ?? ?? ?? 33 C9 89 4E 30 83 7E 1C 00 75 07 8B C3 E8 B6 F7 FF FF 83 7E 34 00 75 56 8B C3 E8 B9 F9 FF FF EB 4D C7 46 04 ?? ?? ?? ?? 33 D2 89 56 54 83 7E 44 00 75 07 8B C3 E8 22 FF FF FF 8B 6B 70 8D 46 44 03 ED 8B F0 83 C5 04 33 FF EB 0D 8B 06 8B D5 E8 ?? ?? ?? ?? 47 83 C6 04 3B 7B 78 7C EE EB 0F 8B 0B 8B C3 C7 41 14 30 00 00 00 8B 10 FF 12 5D 5F 5E 5B C3 90 C3 90 90 90 8B 10 C7 42 14 2E 00 00 00 8B 08 FF 11 C3 90 90 }
	condition:
		$1
}

rule function_81689_0 {
	meta:
		name = "@jinit_1pass_quantizer"
		size = 146
		refs = "001d _DF_."
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 58 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 83 CC 01 00 00 C7 00 ?? ?? ?? ?? C7 40 08 ?? ?? ?? ?? C7 40 0C ?? ?? ?? ?? 33 D2 33 C9 89 50 44 89 48 34 83 7B 78 04 7E 16 8B 03 C7 40 14 37 00 00 00 C7 40 18 04 00 00 00 8B C3 8B 10 FF 12 81 7B 60 00 01 00 00 7E 16 8B 03 C7 40 14 39 00 00 00 C7 40 18 00 01 00 00 8B C3 8B 10 FF 12 8B C3 E8 11 F5 FF FF 8B C3 E8 BE F6 FF FF 83 7B 58 02 75 07 8B C3 E8 45 FE FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_81690_0 {
	meta:
		name = "_DF_."
		size = 4580
		refs = "10ef _DF_. 1191 @jzero_far"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B 88 CC 01 00 00 8B 59 18 8B 40 70 89 45 F8 33 C9 89 4D FC 89 55 F4 8B 4D FC 3B 4D 08 7D 54 8B 45 F4 8B 00 8B 4D F8 85 C9 76 39 0F B6 70 01 33 D2 8A 10 C1 FA 03 C1 FE 02 C1 E6 06 8B 14 93 03 D6 0F B6 70 02 C1 FE 03 03 F6 03 D6 66 FF 02 66 8B 32 0F B7 F6 85 F6 7F 03 66 FF 0A 83 C0 03 49 85 C9 77 C7 FF 45 FC 83 45 F4 04 8B 45 FC 3B 45 08 7C AC 5E 5B 8B E5 5D C2 04 00 90 53 56 57 33 DB 33 FF 33 C9 3B D1 7E 19 8B 70 1C 3B DE 7D 0A 83 78 18 00 7E 04 8B F8 8B DE 41 83 C0 20 3B D1 7F E7 8B C7 5F 5E 5B C3 53 56 57 33 DB 33 FF 33 C9 3B D1 7E 13 8B 70 18 3B DE 7D 04 8B F8 8B DE 41 83 C0 20 3B D1 7F ED 8B C7 5F 5E 5B C3 90 90 53 56 57 83 C4 B8 89 14 24 8B 80 CC 01 00 00 8B 40 18 89 44 24 04 8B 14 24 8B 0A 89 4C 24 08 8B 04 24 8B 50 04 89 54 24 0C 8B 0C 24 8B 41 08 89 44 24 10 8B 14 24 8B 4A 0C 89 4C 24 14 8B 04 24 8B 50 10 89 54 24 18 8B 0C 24 8B 71 14 8B 44 24 0C 3B 44 24 08 7E 74 8B 54 24 08 8B 4C 24 04 8D 04 91 89 44 24 24 3B 54 24 0C 7F 5F 8B 5C 24 10 8B 44 24 24 8B C8 89 4C 24 20 3B 5C 24 14 7F 3F 8B 44 24 20 8B 08 8B C3 C1 E0 06 03 C8 8B 44 24 18 03 C0 03 C8 8B 44 24 18 3B F0 7C 1B 66 8B 39 83 C1 02 66 85 FF 74 0B 89 54 24 08 8B 04 24 89 10 EB 18 40 3B F0 7D E5 43 3B 5C 24 14 7E C1 42 83 44 24 24 04 3B 54 24 0C 7E A1 8B 4C 24 0C 3B 4C 24 08 7E 75 8B 54 24 0C 8B 44 24 04 8D 0C 90 89 4C 24 2C 3B 54 24 08 7C 60 8B 5C 24 10 8B 44 24 2C 8B C8 89 4C 24 28 3B 5C 24 14 7F 40 8B 44 24 28 8B 08 8B C3 C1 E0 06 03 C8 8B 44 24 18 03 C0 03 C8 8B 44 24 18 3B F0 7C 1C 66 8B 39 83 C1 02 66 85 FF 74 0C 89 54 24 0C 8B 04 24 89 50 04 EB 18 40 3B F0 7D E4 43 3B 5C 24 14 7E C0 4A 83 44 24 2C FC 3B 54 24 08 7D A0 8B 4C 24 14 3B 4C 24 10 7E 6B 8B 5C 24 10 3B 5C 24 14 7F 61 8B 54 24 08 8B 44 24 04 8D 0C 90 89 4C 24 30 3B 54 24 0C 7F 45 8B 44 24 30 8B 08 8B C3 C1 E0 06 03 C8 8B 44 24 18 03 C0 03 C8 8B 44 24 18 3B F0 7C 1C 66 8B 39 83 C1 02 66 85 FF 74 0C 89 5C 24 10 8B 04 24 89 58 08 EB 18 40 3B F0 7D E4 42 83 44 24 30 04 3B 54 24 0C 7E BB 43 3B 5C 24 14 7E 9F 8B 54 24 14 3B 54 24 10 7E 6B 8B 5C 24 14 3B 5C 24 10 7C 61 8B 54 24 08 8B 44 24 04 8D 0C 90 89 4C 24 34 3B 54 24 0C 7F 45 8B 44 24 34 8B 08 8B C3 C1 E0 06 03 C8 8B 44 24 18 03 C0 03 C8 8B 44 24 18 3B F0 7C 1C 66 8B 39 83 C1 02 66 85 FF 74 0C 89 5C 24 14 8B 04 24 89 58 0C EB 18 40 3B F0 7D E4 42 83 44 24 34 04 3B 54 24 0C 7E BB 4B 3B 5C 24 10 7D 9F 3B 74 24 18 7E 69 8B 44 24 18 3B F0 7C 61 8B 54 24 08 8B 4C 24 04 8D 3C 91 89 7C 24 38 3B 54 24 0C 7F 47 8B 4C 24 38 8B 5C 24 10 C1 E3 06 8B 09 03 CB 8B D8 03 DB 03 CB 8B 5C 24 10 3B 5C 24 14 7F 1C 66 83 39 00 74 0C 89 44 24 18 8B 14 24 89 42 10 EB 1B 43 83 C1 40 3B 5C 24 14 7E E4 42 83 44 24 38 04 3B 54 24 0C 7E B9 40 3B F0 7D 9F 3B 74 24 18 7E 69 8B C6 3B 44 24 18 7C 61 8B 54 24 08 8B 4C 24 04 8D 3C 91 89 7C 24 3C 3B 54 24 0C 7F 45 8B 4C 24 3C 8B 5C 24 10 C1 E3 06 8B 09 03 CB 8B D8 03 DB 03 CB 8B 5C 24 10 3B 5C 24 14 7F 1A 66 83 39 00 74 0A 8B F0 8B 14 24 89 42 14 EB 1D 43 83 C1 40 3B 5C 24 14 7E E6 42 83 44 24 3C 04 3B 54 24 0C 7E BB 48 3B 44 24 18 7D 9F 8B 44 24 0C 8B 54 24 14 2B 44 24 08 2B 54 24 10 C1 E0 03 8B CE 8B D8 33 FF 0F AF D8 C1 E2 02 2B 4C 24 18 C1 E1 03 03 C9 8D 14 52 8B C2 F7 EA 8B D1 03 D8 0F AF D1 8B 0C 24 03 DA 89 59 18 89 7C 24 1C 8B 54 24 08 8B 44 24 04 8D 0C 90 89 4C 24 44 3B 54 24 0C 7F 56 8B 5C 24 10 8B 44 24 44 8B C8 89 4C 24 40 3B 5C 24 14 7F 36 8B 44 24 40 8B 08 8B C3 C1 E0 06 03 C8 8B 44 24 18 03 C0 03 C8 8B 44 24 18 3B F0 7C 12 66 83 39 00 74 04 FF 44 24 1C 40 83 C1 02 3B F0 7D EE 43 3B 5C 24 14 7E CA 42 83 44 24 44 04 3B 54 24 0C 7E AA 8B 14 24 8B 4C 24 1C 89 4A 1C 83 C4 48 5F 5E 5B C3 55 8B EC 83 C4 F0 53 56 8B F1 89 55 F8 89 45 FC 3B 75 08 0F 8D F7 00 00 00 8B C6 03 C0 3B 45 08 7F 0C 8B D6 8B 45 F8 E8 B0 FB FF FF EB 0A 8B D6 8B 45 F8 E8 D0 FB FF FF 85 C0 0F 84 D0 00 00 00 8B DE C1 E3 05 03 5D F8 8B 50 04 89 53 04 8B 48 0C 89 4B 0C 8B 50 14 89 53 14 8B 08 89 0B 8B 50 08 89 53 08 8B 48 10 89 4B 10 8B 50 04 2B 10 C1 E2 03 89 55 F4 8B 48 0C 2B 48 08 C1 E1 02 8D 14 49 8B 48 14 2B 48 10 C1 E1 03 03 C9 89 4D F0 B9 01 00 00 00 3B 55 F0 7D 08 8B 55 F0 B9 02 00 00 00 3B 55 F4 7D 02 33 C9 83 E9 01 72 07 74 19 49 74 2C EB 3E 8B 50 04 03 10 D1 FA 79 03 83 D2 00 89 50 04 42 89 13 EB 2A 8B 50 0C 03 50 08 D1 FA 79 03 83 D2 00 89 50 0C 42 89 53 08 EB 14 8B 50 14 03 50 10 D1 FA 79 03 83 D2 00 89 50 14 42 89 53 10 8B D0 8B 45 FC E8 34 FB FF FF 8B D3 8B 45 FC E8 2A FB FF FF 46 3B 75 08 0F 8C 09 FF FF FF 8B C6 5E 5B 8B E5 5D C2 04 00 90 90 53 56 57 55 83 C4 D0 89 4C 24 04 89 04 24 8B 04 24 33 C9 8B 80 CC 01 00 00 8B 40 18 89 4C 24 18 33 C9 89 4C 24 1C 33 C9 89 4C 24 20 33 C9 89 4C 24 24 8B 0A 8B 5A 04 89 5C 24 08 8B 5A 08 8D 04 88 89 5C 24 0C 8B 5A 0C 89 5C 24 10 8B 5A 10 89 5C 24 14 8B 72 14 89 44 24 2C 3B 4C 24 08 0F 8F 8B 00 00 00 8B 5C 24 0C 8B 44 24 2C 8B D0 89 54 24 28 3B 5C 24 10 7F 67 8B 7C 24 28 8B C3 C1 E0 06 8B 54 24 14 8B 3F 03 D2 03 F8 03 FA 8B 54 24 14 3B F2 7C 43 66 8B 07 83 C7 02 0F B7 C0 85 C0 74 31 01 44 24 18 8B E9 C1 E5 03 83 C5 04 0F AF E8 01 6C 24 1C 8B EB C1 E5 02 83 C5 02 0F AF E8 01 6C 24 20 8B EA C1 E5 03 83 C5 04 0F AF E8 01 6C 24 24 42 3B F2 7D BD 43 3B 5C 24 10 7E 99 41 83 44 24 2C 04 3B 4C 24 08 0F 8E 75 FF FF FF 8B 4C 24 18 D1 F9 8B C1 03 44 24 1C 99 F7 7C 24 18 8B 14 24 8B 9A 88 00 00 00 8B 13 8B 74 24 04 88 04 32 8B C1 03 44 24 20 99 F7 7C 24 18 8B 53 04 8B 74 24 04 88 04 32 8B C1 03 44 24 24 99 F7 7C 24 18 8B 4B 08 8B 54 24 04 88 04 11 83 C4 30 5D 5F 5E 5B C3 53 56 57 8B F8 8B C7 8B DA 55 8B CB 8B 70 04 BA 01 00 00 00 C1 E1 05 FF 16 8B F0 33 C0 33 D2 33 C9 89 06 8B C7 C7 46 04 1F 00 00 00 89 56 08 8B D6 C7 46 0C 3F 00 00 00 89 4E 10 BD 01 00 00 00 C7 46 14 1F 00 00 00 E8 84 F9 FF FF 53 8B CD 8B D6 8B C7 E8 48 FD FF FF 8B E8 33 DB 3B EB 7E 15 8B D3 8B CB C1 E2 05 8B C7 03 D6 E8 4C FE FF FF 43 3B EB 7F EB 89 AF 84 00 00 00 BA 01 00 00 00 8B 07 C7 40 14 60 00 00 00 89 68 18 8B C7 8B 08 FF 51 04 5D 5F 5E 5B C3 55 8B EC 81 C4 C4 FB FF FF 53 56 89 4D F8 89 55 FC 8B 90 84 00 00 00 89 55 F4 8B 4D FC 83 C1 18 89 4D F0 8B 55 FC 03 55 F0 D1 FA 89 55 E4 8B 4D F8 83 C1 1C 89 4D EC 8B 55 F8 03 55 EC D1 FA 89 55 E0 8B 4D 0C 83 C1 18 89 4D E8 33 C9 8B 55 0C 03 55 E8 D1 FA 89 55 DC 8D 95 C4 FB FF FF C7 45 D4 FF FF FF 7F 89 4D D8 89 55 C4 8B 88 88 00 00 00 8B 51 08 8B CA 89 4D C8 8B 90 88 00 00 00 8B 4A 04 8B D1 89 55 CC 8B 80 88 00 00 00 8B 08 8B C1 89 45 D0 8B 55 D8 3B 55 F4 0F 8D 61 01 00 00 8B 4D D0 33 DB 8A 19 3B 5D FC 7D 16 8B C3 2B 45 FC 8B D0 0F AF D0 8B C3 2B 45 F0 8B C8 0F AF C8 EB 38 3B 5D F0 7E 16 8B C3 2B 45 F0 8B D0 0F AF D0 8B C3 2B 45 FC 8B C8 0F AF C8 EB 1D 33 D2 3B 5D E4 7F 0C 8B C3 2B 45 F0 8B C8 0F AF C8 EB 0A 8B C3 2B 45 FC 8B C8 0F AF C8 8B 45 CC 33 DB 8A 18 3B 5D F8 7D 1E 8B C3 2B 45 F8 2B 5D EC 8D 04 40 8B F0 0F AF F0 8D 04 5B 03 D6 8B D8 0F AF D8 03 CB EB 44 3B 5D EC 7E 1E 8B C3 2B 45 EC 2B 5D F8 8D 04 40 8B F0 0F AF F0 8D 04 5B 03 D6 8B D8 0F AF D8 03 CB EB 21 3B 5D E0 7F 0F 2B 5D EC 8D 04 5B 8B D8 0F AF D8 03 CB EB 0D 2B 5D F8 8D 04 5B 8B D8 0F AF D8 03 CB 8B 45 C8 33 DB 8A 18 3B 5D 0C 7D 1E 8B C3 2B 45 0C 03 C0 8B F0 0F AF F0 03 D6 8B C3 2B 45 E8 03 C0 8B D8 0F AF D8 03 CB EB 46 3B 5D E8 7E 1E 8B C3 2B 45 E8 03 C0 8B F0 0F AF F0 03 D6 8B C3 2B 45 0C 03 C0 8B D8 0F AF D8 03 CB EB 23 3B 5D DC 7F 10 8B C3 2B 45 E8 03 C0 8B D8 0F AF D8 03 CB EB 0E 8B C3 2B 45 0C 03 C0 8B D8 0F AF D8 03 CB 8B 45 C4 89 10 3B 4D D4 7D 03 89 4D D4 FF 45 D8 83 45 C4 04 FF 45 C8 FF 45 CC FF 45 D0 8B 55 D8 3B 55 F4 0F 8C 9F FE FF FF 33 DB 33 C9 89 5D D8 8B 5D D8 8B 45 08 8B D0 8D 85 C4 FB FF FF 3B 5D F4 7D 1C 8B 18 3B 5D D4 7F 07 8A 5D D8 41 88 1A 42 FF 45 D8 83 C0 04 8B 5D D8 3B 5D F4 7C E4 8B C1 5E 5B 8B E5 5D C2 08 00 90 90 90 55 8B EC 81 C4 C4 FD FF FF 53 56 57 89 4D F4 89 55 F8 89 45 FC C7 45 E8 7F 00 00 00 8D 8D C4 FD FF FF C7 01 FF FF FF 7F 83 C1 04 FF 4D E8 83 7D E8 00 7D EE 33 C0 89 45 E8 8B 55 0C 8B C2 89 45 C4 8B 55 E8 3B 55 10 0F 8D 22 01 00 00 8B 4D C4 33 C0 8A 01 89 45 E4 8B 55 FC 8B 4D E4 8B 92 88 00 00 00 8B 02 0F B6 04 08 50 8B 45 F8 59 2B C1 8B C8 0F AF C8 89 4D DC 8B 4A 04 8B 5D E4 C1 E0 04 0F B6 0C 19 8B 5D F4 83 C0 40 2B D9 8D 0C 5B 89 4D CC 8B 4D CC 0F AF 4D CC 01 4D DC 8B 4D E4 8B 52 08 0F B6 14 0A 8B 4D 14 2B CA 03 C9 89 4D C8 8B 55 C8 0F AF 55 C8 01 55 DC 8B 55 CC C1 E2 03 8D 14 52 81 C2 90 00 00 00 89 55 CC 8B 4D C8 C1 E1 05 81 C1 00 01 00 00 89 4D C8 8D 8D C4 FD FF FF 8B 55 08 89 55 E0 89 45 D4 C7 45 F0 03 00 00 00 8B 45 DC 89 45 D8 8B 5D CC 89 5D D0 C7 45 EC 07 00 00 00 8B 75 D8 8B 55 C8 B8 03 00 00 00 3B 31 7D 0A 89 31 8A 5D E4 8B 7D E0 88 1F 03 F2 81 C2 00 02 00 00 83 C1 04 FF 45 E0 48 85 C0 7D DF 8B 45 D0 01 45 D8 81 45 D0 20 01 00 00 FF 4D EC 83 7D EC 00 7D BE 8B 55 D4 01 55 DC 81 45 D4 80 00 00 00 FF 4D F0 83 7D F0 00 7D 95 FF 45 E8 FF 45 C4 8B 4D E8 3B 4D 10 0F 8C DE FE FF FF 5F 5E 5B 8B E5 5D C2 10 00 55 8B EC 81 C4 6C FE FF FF 53 56 57 8B D8 89 4D F8 89 55 FC 8B 83 CC 01 00 00 8D 8D EC FE FF FF 8B 50 18 89 55 F4 C1 7D FC 02 C1 7D F8 03 C1 7D 08 02 8B 75 FC 8B 7D F8 8B 45 08 C1 E7 05 C1 E6 05 83 C7 02 C1 E0 05 83 C6 04 83 C0 04 89 45 F0 8B C3 8B 55 F0 52 51 8B CF 8B D6 E8 E4 FB FF FF 8B 55 F0 8D 8D 6C FE FF FF 52 50 8D 85 EC FE FF FF 8B D6 50 51 8B CF 8B C3 E8 0A FE FF FF C1 65 FC 02 C1 65 F8 03 C1 65 08 02 8D 8D 6C FE FF FF 33 C0 89 45 EC 33 DB 8B 45 FC 03 45 EC 8B 55 F4 8B 04 82 8B 55 F8 03 D3 C1 E2 06 03 C2 8B 55 08 03 D2 03 C2 33 D2 0F B6 31 46 41 66 89 30 83 C0 02 42 83 FA 04 7C EF 43 83 FB 08 7C CA FF 45 EC 83 7D EC 04 7C BF 5F 5E 5B 8B E5 5D C2 04 00 90 55 8B EC 83 C4 DC 53 56 89 45 FC 8B 45 FC 8B 80 CC 01 00 00 8B 40 18 89 45 F8 8B 45 FC 8B 40 70 89 45 E4 33 C0 89 45 EC 89 4D DC 89 55 E0 8B 45 EC 3B 45 08 0F 8D 8A 00 00 00 8B 55 E0 8B 45 DC 8B 1A 8B 10 89 55 F4 8B 4D E4 89 4D E8 83 7D E8 00 76 5A 33 C0 33 D2 8A 03 43 33 C9 C1 F8 03 8A 13 43 C1 FA 02 8A 0B C1 F9 03 43 89 4D F0 8B 4D F8 8B 34 81 8B CA C1 E1 06 03 F1 8B 4D F0 03 C9 03 F1 66 83 3E 00 75 0F 8B 4D F0 51 8B CA 8B 55 FC 92 E8 89 FE FF FF 8B 45 F4 8A 0E 80 C1 FF 88 08 FF 45 F4 FF 4D E8 83 7D E8 00 77 A6 FF 45 EC 83 45 DC 04 83 45 E0 04 8B 55 EC 3B 55 08 0F 8C 76 FF FF FF 5E 5B 8B E5 5D C2 04 00 55 8B EC 83 C4 90 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 90 CC 01 00 00 89 55 F0 8B 4D F0 8B 41 18 89 45 EC 8B 55 FC 8B 4A 70 89 4D B0 8B 45 FC 8B 90 44 01 00 00 89 55 AC 8B 4D F0 8B 41 28 89 45 A8 8B 55 FC 8B 8A 88 00 00 00 8B 01 89 45 A4 8B 55 FC 8B 8A 88 00 00 00 8B 41 04 89 45 A0 8B 55 FC 8B 8A 88 00 00 00 33 D2 8B 41 08 89 45 9C 89 55 B8 8B 4D F4 8B C1 89 45 90 8B 55 F8 8B CA 89 4D 94 8B 45 B8 3B 45 08 0F 8D 66 02 00 00 8B 55 94 8B 0A 89 4D CC 8B 45 90 8B 10 89 55 C8 8B 4D F0 83 79 24 00 74 3F 8B 45 B0 48 8D 14 40 01 55 CC 8B 4D B0 49 01 4D C8 C7 45 C0 FF FF FF FF C7 45 BC FD FF FF FF 8B 4D B0 8B 45 F0 8D 0C 49 8B 50 20 83 C1 03 03 C9 03 D1 89 55 D0 33 D2 8B 45 F0 89 50 24 EB 21 C7 45 C0 01 00 00 00 C7 45 BC 03 00 00 00 8B 4D F0 8B 41 20 89 45 D0 8B 55 F0 C7 42 24 01 00 00 00 33 C0 33 D2 89 45 E0 89 45 E4 89 45 E8 89 55 D4 89 55 D8 89 55 DC 8B 45 B0 33 C9 89 45 B4 89 CB 83 7D B4 00 8B F1 8B F9 0F 86 88 01 00 00 8B 4D D0 8B 45 BC 0F BF 14 41 8B 45 BC 8B 4D D0 03 FA 0F BF 54 41 02 8B 45 BC 8B 4D D0 03 F2 83 C7 08 0F BF 54 41 04 C1 FF 04 8B 4D A8 03 DA 83 C6 08 83 C3 08 8B 3C B9 C1 FB 04 8B 4D A8 C1 FE 04 8B 45 A8 8B 55 CC 8B 1C 98 8B 34 B1 8B 45 CC 33 C9 8A 0A 33 D2 03 F9 8B 4D CC 8A 50 01 33 C0 03 F2 8B 55 AC 8A 41 02 33 C9 03 D8 8B 45 AC 8A 0C 3A 33 D2 8B F9 8B 4D AC 8A 14 30 33 C0 8A 04 19 8B F2 8B D8 8B C7 C1 F8 03 8B 55 EC 8B 0C 82 8B D6 C1 FA 02 C1 E2 06 03 CA 8B D3 C1 FA 03 03 D2 03 CA 89 4D C4 8B 4D C4 66 83 39 00 75 15 8B D3 C1 FA 03 52 8B CE C1 F9 02 8B D0 8B 45 FC E8 57 FC FF FF 8B 4D C4 8B 55 C8 0F B7 01 48 88 02 33 D2 8B 4D A4 8A 14 01 8B 4D A0 2B FA 33 D2 8A 14 01 8B 4D 9C 2B F2 0F B6 04 01 2B D8 89 7D 98 8B C7 66 8B 55 DC 03 C0 03 F8 8B 4D D0 66 03 D7 03 F8 66 89 11 8B 55 E8 03 D7 03 F8 89 55 DC 8B C6 8B 4D 98 03 C0 89 4D E8 89 75 98 66 8B 55 D8 03 F0 66 03 D6 8B 4D D0 03 F0 66 89 51 02 8B 55 E4 03 D6 03 F0 89 55 D8 8B C3 8B 4D 98 03 C0 89 4D E4 89 5D 98 66 8B 55 D4 03 D8 66 03 D3 8B 4D D0 03 D8 66 89 51 04 8B 55 E0 03 D3 03 D8 89 55 D4 8B 4D 98 89 4D E0 8B 45 BC 01 45 CC 8B 4D C0 01 4D C8 8B 45 BC 03 C0 01 45 D0 FF 4D B4 83 7D B4 00 0F 87 78 FE FF FF 8B 55 D0 66 8B 45 DC 66 89 02 8B 55 D0 66 8B 4D D8 66 89 4A 02 8B 45 D0 66 8B 55 D4 66 89 50 04 FF 45 B8 83 45 90 04 83 45 94 04 8B 4D B8 3B 4D 08 0F 8C 9A FD FF FF }
	condition:
		$1
}

rule function_81691_0 {
	meta:
		name = "@jinit_2pass_quantizer"
		size = 288
		refs = "0025 _DF_."
	strings:
		$1 = { 53 8B D8 8B C3 56 57 55 8B 70 04 B9 2C 00 00 00 BA 01 00 00 00 FF 16 8B F0 33 C0 89 B3 CC 01 00 00 33 D2 C7 06 ?? ?? ?? ?? C7 46 0C ?? ?? ?? ?? 89 46 20 89 56 28 83 7B 78 03 74 0F 8B 0B 8B C3 C7 41 14 2F 00 00 00 8B 10 FF 12 8B C3 B9 80 00 00 00 BA 01 00 00 00 8B 78 04 FF 17 89 46 18 33 FF 8B C3 B9 00 10 00 00 BA 01 00 00 00 8B 68 04 FF 55 04 8B 56 18 89 04 BA 47 83 FF 20 7C E2 C7 46 1C 01 00 00 00 83 7B 6C 00 74 55 8B 7B 60 83 FF 08 7D 16 8B 03 C7 40 14 38 00 00 00 C7 40 18 08 00 00 00 8B C3 8B 10 FF 12 81 FF 00 01 00 00 7E 16 8B 03 C7 40 14 39 00 00 00 C7 40 18 00 01 00 00 8B C3 8B 10 FF 12 8B C3 6A 03 8B CF BA 01 00 00 00 8B 68 04 FF 55 08 89 46 10 89 7E 14 EB 05 33 C0 89 46 10 83 7B 58 00 74 07 C7 43 58 02 00 00 00 83 7B 58 02 75 22 8B 4B 70 8B C3 03 C9 BA 01 00 00 00 8B 78 04 8D 0C 49 83 C1 0C FF 57 04 89 46 20 8B C3 E8 0D FD FF FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81692_0 {
	meta:
		name = "_DF_."
		size = 1528
		refs = "03f0 _DF_."
	strings:
		$1 = { 53 56 8B D8 57 83 C4 F0 8B 83 A8 01 00 00 89 04 24 8B C3 8B 93 3C 01 00 00 89 54 24 08 BA 01 00 00 00 8B 4B 24 8B 70 04 03 C9 C1 E1 02 FF 16 8B F0 8B 04 24 89 70 38 8B 53 24 8B 0C 24 C1 E2 02 03 F2 89 71 3C 33 F6 8B 83 D8 00 00 00 89 44 24 0C EB 68 8B 54 24 0C 8B 42 0C 8B 54 24 0C F7 6A 24 99 F7 BB 3C 01 00 00 89 44 24 04 8B C3 8B 4C 24 08 BA 01 00 00 00 83 C1 04 8B 78 04 0F AF 4C 24 04 03 C9 C1 E1 02 FF 17 8B 54 24 04 8B 0C 24 C1 E2 02 03 C2 8B 51 38 89 04 B2 8B 4C 24 08 8B 14 24 83 C1 04 0F AF 4C 24 04 C1 E1 02 03 C1 8B 4A 3C 89 04 B1 46 83 44 24 0C 54 3B 73 24 7C 93 83 C4 10 5F 5E 5B C3 90 53 56 57 55 83 C4 DC 89 04 24 8B 04 24 8B 90 A8 01 00 00 33 C0 89 54 24 04 8B 0C 24 8B 89 3C 01 00 00 89 44 24 08 8B 14 24 8B 9A D8 00 00 00 89 5C 24 0C 8B 44 24 04 8D 50 08 89 54 24 14 E9 ED 00 00 00 8B 5C 24 0C 8B 54 24 0C 8B 74 24 08 8B 43 0C F7 6A 24 8B 14 24 8B 9A 3C 01 00 00 99 F7 FB 8B D0 8B 44 24 04 8B 5C 24 08 8B 40 38 8B 1C 98 8B 44 24 04 8B FB 8B 40 3C 8B 34 B0 8B 44 24 14 8B 00 89 44 24 10 89 7C 24 20 8B FE 33 C0 89 7C 24 1C 8B 7C 24 10 89 7C 24 18 EB 24 8B 7C 24 18 8B 6C 24 1C 8B 3F 89 7D 00 8B 6C 24 20 89 7D 00 40 83 44 24 20 04 83 44 24 1C 04 83 44 24 18 04 8D 79 02 0F AF FA 3B C7 7C D2 33 C0 EB 37 8B FA 0F AF F9 03 F8 8B 6C 24 10 FF 74 BD 00 8D 79 FE 0F AF FA 03 F8 5D 89 2C BE 8D 79 FE 0F AF FA 03 F8 8B 6C 24 10 FF 74 BD 00 8B FA 0F AF F9 03 F8 5D 89 2C BE 40 8B FA 03 FF 3B C7 7C C1 33 C0 3B D0 7E 0E 8B F0 2B F2 8B 3B 89 3C B3 40 3B D0 7F F2 83 44 24 14 04 FF 44 24 08 83 44 24 0C 54 8B 04 24 8B 50 24 3B 54 24 08 0F 8F 03 FF FF FF 83 C4 24 5D 5F 5E 5B C3 53 56 57 55 83 C4 E8 89 04 24 8B 04 24 8B 90 A8 01 00 00 33 C0 89 54 24 04 8B 0C 24 8B 89 3C 01 00 00 89 44 24 08 8B 14 24 8B 9A D8 00 00 00 89 5C 24 0C E9 AC 00 00 00 8B 44 24 0C 8B 54 24 0C 8B 74 24 08 8B 40 0C F7 6A 24 8B 14 24 8B 9A 3C 01 00 00 99 F7 FB 8B D0 8B 44 24 04 8B 5C 24 08 8B 40 38 8B 1C 98 8B 44 24 04 8B 40 3C 8B 34 B0 33 C0 8B FE 3B D0 89 7C 24 14 8B FB 89 7C 24 10 7E 59 8D 79 01 0F AF FA 03 F8 FF 34 BB 8B F8 2B FA 5D 89 2C BB 8D 79 01 0F AF FA 03 F8 FF 34 BE 8B F8 2B FA 5D 89 2C BE 8D 79 02 0F AF FA 03 F8 8B 6C 24 10 8B 6D 00 89 2C BB 8D 79 02 0F AF FA 03 F8 8B 6C 24 14 8B 6D 00 89 2C BE 40 83 44 24 14 04 83 44 24 10 04 3B D0 7F A7 FF 44 24 08 83 44 24 0C 54 8B 04 24 8B 50 24 3B 54 24 08 0F 8F 44 FF FF FF 83 C4 18 5D 5F 5E 5B C3 53 56 57 55 83 C4 F0 33 C9 89 04 24 8B 04 24 8B 90 A8 01 00 00 89 54 24 04 89 4C 24 08 8B 04 24 8B 90 D8 00 00 00 89 54 24 0C EB 7F 8B 4C 24 0C 8B 44 24 0C 8B 14 24 8B 59 0C 0F AF 58 24 8B C3 8B 8A 3C 01 00 00 99 F7 F9 8B F0 8B 44 24 0C 33 D2 8B 40 2C F7 F3 8B CA 85 C9 75 02 8B CB 83 7C 24 08 00 75 0E 8D 41 FF 99 F7 FE 40 8B 54 24 04 89 42 48 8B 44 24 04 8B 58 40 8B 44 24 04 8B 54 98 38 8B 44 24 08 8B 1C 82 33 C0 8D 54 8B FC EB 09 8D 3C 08 8B 2A 89 2C BB 40 8B FE 03 FF 3B C7 7C EF FF 44 24 08 83 44 24 0C 54 8B 04 24 8B 50 24 3B 54 24 08 0F 8F 71 FF FF FF 83 C4 10 5D 5F 5E 5B C3 90 53 83 EA 01 8B 98 A8 01 00 00 72 05 4A 74 3E EB 45 8B 90 C4 01 00 00 83 7A 08 00 74 1D C7 43 04 ?? ?? ?? ?? E8 CF FC FF FF 33 C0 89 43 40 33 C9 89 4B 44 33 C9 89 4B 4C EB 07 C7 43 04 ?? ?? ?? ?? 33 C0 33 D2 89 43 30 89 53 34 5B C3 C7 43 04 ?? ?? ?? ?? 5B C3 8B 10 C7 42 14 04 00 00 00 8B 08 FF 11 5B C3 90 90 90 55 8B EC 83 C4 F8 53 56 8B F0 57 89 4D FC 8B FA 8B 9E A8 01 00 00 83 7B 30 00 75 19 8D 53 08 8B C6 8B 88 AC 01 00 00 FF 51 0C 85 C0 74 40 C7 43 30 01 00 00 00 8B 8E 3C 01 00 00 89 4D F8 8B 45 F8 50 57 8B 55 FC 8B C6 52 8D 53 08 8B 4D 08 51 8D 4B 34 8B B0 B0 01 00 00 FF 56 04 8B 43 34 3B 45 F8 72 0A 33 D2 33 C9 89 53 30 89 4B 34 5F 5E 5B 59 59 5D C2 04 00 90 55 8B EC 83 C4 F8 53 56 57 8B F0 89 4D F8 89 55 FC 8B 9E A8 01 00 00 83 7B 30 00 75 24 8B 43 40 8B 54 83 38 8B C6 8B 88 AC 01 00 00 FF 51 0C 85 C0 0F 84 E8 00 00 00 C7 43 30 01 00 00 00 FF 43 4C 8B 53 44 83 EA 01 72 4E 74 74 4A 74 05 E9 CC 00 00 00 8B 4B 48 51 8B 45 FC 50 8B 55 F8 52 8B 4D 08 51 8D 4B 34 8B 43 40 8B 54 83 38 8B C6 8B B8 B0 01 00 00 FF 57 04 8B 43 34 3B 43 48 0F 82 9B 00 00 00 33 D2 89 53 44 8B 4D F8 8B 09 3B 4D 08 0F 83 88 00 00 00 33 C0 89 43 34 8B 96 3C 01 00 00 4A 89 53 48 8B 4B 4C 3B 8E 40 01 00 00 75 07 8B C6 E8 A4 FD FF FF C7 43 44 01 00 00 00 8B 53 48 52 8B 4D FC 51 8B 45 F8 50 8B 55 08 52 8D 4B 34 8B 43 40 8B 54 83 38 8B C6 8B B8 B0 01 00 00 FF 57 04 8B 43 34 3B 43 48 72 33 83 7B 4C 01 75 07 8B C6 E8 67 FC FF FF 83 73 40 01 33 D2 89 53 30 8B 8E 3C 01 00 00 41 89 4B 34 8B 8E 3C 01 00 00 83 C1 02 89 4B 48 C7 43 44 02 00 00 00 5F 5E 5B 59 59 5D C2 04 00 55 8B EC 53 6A 00 52 51 8B 55 08 52 33 D2 33 C9 8B 98 B0 01 00 00 FF 53 04 5B 5D C2 04 00 90 90 }
	condition:
		$1
}

rule function_81693_0 {
	meta:
		name = "@jinit_d_main_controller"
		size = 221
		refs = "0026 _DF_."
	strings:
		$1 = { 53 56 8B F0 57 8B C6 55 8B DA BA 01 00 00 00 8B 78 04 83 C4 F4 B9 50 00 00 00 FF 17 8B F8 89 BE A8 01 00 00 C7 07 ?? ?? ?? ?? 85 DB 74 0F 8B 06 C7 40 14 04 00 00 00 8B C6 8B 10 FF 12 8B 8E C4 01 00 00 83 79 08 00 74 2E 83 BE 3C 01 00 00 02 7D 0F 8B 06 C7 40 14 2F 00 00 00 8B C6 8B 10 FF 12 8B C6 E8 A0 F9 FF FF 8B 96 3C 01 00 00 83 C2 02 89 54 24 08 EB 0A 8B 8E 3C 01 00 00 89 4C 24 08 33 C0 89 04 24 8B 9E D8 00 00 00 8D 47 08 8B F8 EB 3A 8B 43 0C F7 6B 24 99 F7 BE 3C 01 00 00 89 44 24 04 8B C6 8B 4C 24 04 BA 01 00 00 00 0F AF 4C 24 08 51 8B 4B 1C 8B 68 04 0F AF 4B 24 FF 55 08 89 07 83 C7 04 FF 04 24 83 C3 54 8B 04 24 3B 46 24 7C BE 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81694_0 {
	meta:
		name = "_DF_."
		size = 3968
		refs = "0080 _DF_. 010b @jzero_far 0afe @jcopy_block_row"
	strings:
		$1 = { 83 B8 48 01 00 00 01 8B 90 AC 01 00 00 7E 09 C7 42 1C 01 00 00 00 EB 29 8B 88 40 01 00 00 49 3B 88 94 00 00 00 76 0E 8B 80 4C 01 00 00 8B 40 0C 89 42 1C EB 0C 8B 88 4C 01 00 00 8B 41 48 89 42 1C 33 C9 33 C0 89 4A 14 89 42 18 C3 33 D2 89 90 94 00 00 00 E8 A7 FF FF FF C3 90 90 53 8B D8 56 8B B3 AC 01 00 00 83 7E 10 00 74 21 83 7B 50 00 74 14 8B C3 E8 23 06 00 00 85 C0 74 09 C7 46 0C ?? ?? ?? ?? EB 07 C7 46 0C ?? ?? ?? ?? 33 D2 89 93 9C 00 00 00 5E 5B C3 53 56 57 83 C4 C4 89 54 24 04 89 04 24 8B 04 24 8B 90 AC 01 00 00 89 54 24 08 8B 0C 24 8B 81 5C 01 00 00 48 89 44 24 10 8B 14 24 8B 8A 40 01 00 00 49 89 4C 24 14 8B 44 24 08 8B 50 18 89 54 24 24 E9 9C 01 00 00 8B 4C 24 08 8B 41 14 89 44 24 0C 8B 54 24 0C 3B 54 24 10 0F 87 76 01 00 00 8B 0C 24 8B 44 24 08 8B 91 64 01 00 00 8B 40 20 C1 E2 07 E8 ?? ?? ?? ?? 8B 04 24 8B 54 24 08 83 C2 20 8B 88 BC 01 00 00 FF 51 04 85 C0 75 1D 8B 54 24 08 8B 44 24 24 89 42 18 33 C0 8B 54 24 08 8B 4C 24 0C 89 4A 14 E9 8B 01 00 00 33 D2 33 C9 89 54 24 18 89 4C 24 1C 8B 04 24 8D 90 4C 01 00 00 89 54 24 38 E9 E7 00 00 00 8B 4C 24 38 8B 19 83 7B 30 00 75 0C 8B 43 3C 01 44 24 18 E9 C6 00 00 00 8B 14 24 8B 8A C0 01 00 00 8B 43 04 8B 54 81 04 89 54 24 34 8B 4C 24 0C 3B 4C 24 10 73 05 8B 4B 34 EB 03 8B 4B 44 89 4C 24 28 8B 44 24 04 8B 53 04 8B 0C 90 8B 44 24 24 F7 6B 24 C1 E0 02 03 C8 89 4C 24 2C 8B 54 24 0C 0F AF 53 40 89 54 24 30 33 C9 89 4C 24 20 EB 65 8B 04 24 8B 90 94 00 00 00 3B 54 24 14 72 0D 8B 4C 24 24 03 4C 24 20 3B 4B 48 7D 34 8B 7C 24 30 33 F6 3B 74 24 28 7D 28 8B 44 24 2C 50 57 8B 54 24 20 8B 4C 24 10 03 D6 8B 44 24 08 8B 4C 91 20 8B D3 FF 54 24 3C 03 7B 24 46 3B 74 24 28 7C D8 8B 4B 34 01 4C 24 18 8B 43 24 C1 E0 02 01 44 24 2C FF 44 24 20 8B 54 24 20 3B 53 38 7C 92 FF 44 24 1C 83 44 24 38 04 8B 04 24 8B 90 48 01 00 00 3B 54 24 1C 0F 8F 06 FF FF FF FF 44 24 0C 8B 4C 24 0C 3B 4C 24 10 0F 86 8A FE FF FF 8B 44 24 08 33 D2 89 50 14 FF 44 24 24 8B 4C 24 08 8B 41 1C 3B 44 24 24 0F 8F 53 FE FF FF 8B 14 24 FF 82 9C 00 00 00 8B 0C 24 FF 81 94 00 00 00 8B 81 94 00 00 00 8B 14 24 3B 82 40 01 00 00 73 0F 8B 04 24 E8 4A FD FF FF B8 03 00 00 00 EB 11 8B 04 24 8B 90 B4 01 00 00 FF 52 0C B8 04 00 00 00 83 C4 3C 5F 5E 5B C3 90 90 90 33 C0 C3 90 53 56 57 83 C4 C8 33 C9 89 04 24 8B 04 24 8D 74 24 28 8B 90 AC 01 00 00 89 54 24 04 89 4C 24 0C 8B 04 24 8D 98 4C 01 00 00 EB 42 8B 03 89 44 24 18 8B 54 24 18 8B 7A 0C 57 6A 01 8B 44 24 08 8B 54 24 20 8B 88 94 00 00 00 8B 44 24 0C 0F AF CF 8B 7A 04 8B 54 B8 48 8B 44 24 08 8B 78 04 FF 57 20 89 06 FF 44 24 0C 83 C6 04 83 C3 04 8B 04 24 8B 90 48 01 00 00 3B 54 24 0C 7F AF 8B 4C 24 04 8B 41 18 89 44 24 10 E9 10 01 00 00 8B 54 24 04 8B 4A 14 89 4C 24 08 E9 E0 00 00 00 33 C0 8D 54 24 28 89 44 24 0C 89 54 24 24 8B 0C 24 33 DB 81 C1 4C 01 00 00 89 4C 24 1C EB 79 8B 44 24 1C 8B 10 89 54 24 18 8B 4C 24 18 8B 41 34 F7 6C 24 08 89 44 24 14 33 F6 8B 44 24 24 8B D0 89 54 24 20 EB 3B 8B 7C 24 20 8B 4C 24 10 03 CE 8B 07 8B 14 88 8B 4C 24 14 C1 E1 07 8B 44 24 04 03 D1 33 C9 8D 44 98 20 EB 0D 89 10 81 C2 80 00 00 00 43 83 C0 04 41 8B 7C 24 18 3B 4F 34 7C EA 46 8B 44 24 18 3B 70 38 7C BC FF 44 24 0C 83 44 24 24 04 83 44 24 1C 04 8B 14 24 8B 8A 48 01 00 00 3B 4C 24 0C 0F 8F 74 FF FF FF 8B 04 24 8B 54 24 04 83 C2 20 8B 88 BC 01 00 00 FF 51 04 85 C0 75 1A 8B 44 24 04 8B 54 24 10 89 50 18 33 C0 8B 4C 24 04 8B 5C 24 08 89 59 14 EB 6F FF 44 24 08 8B 14 24 8B 8A 5C 01 00 00 3B 4C 24 08 0F 87 0D FF FF FF 8B 44 24 04 33 D2 89 50 14 FF 44 24 10 8B 4C 24 04 8B 41 1C 3B 44 24 10 0F 8F DF FE FF FF 8B 14 24 FF 82 94 00 00 00 8B 8A 94 00 00 00 8B 1C 24 3B 8B 40 01 00 00 73 0F 8B 04 24 E8 55 FB FF FF B8 03 00 00 00 EB 11 8B 04 24 8B 90 B4 01 00 00 FF 52 0C B8 04 00 00 00 83 C4 38 5F 5E 5B C3 90 90 53 56 57 83 C4 D4 8B FA 89 04 24 8B 04 24 8B B0 AC 01 00 00 8B 04 24 8B 90 40 01 00 00 4A 89 54 24 04 EB 16 8B 04 24 8B 90 B4 01 00 00 FF 12 85 C0 75 07 33 C0 E9 8D 01 00 00 8B 14 24 8B 1C 24 8B 8A 90 00 00 00 3B 8B 98 00 00 00 7C D6 8B 04 24 8B 0C 24 8B 90 90 00 00 00 3B 91 98 00 00 00 75 14 8B 04 24 8B 0C 24 8B 90 94 00 00 00 3B 91 9C 00 00 00 76 AE 33 C0 89 44 24 0C 8B 14 24 8B 9A D8 00 00 00 8B C7 89 44 24 24 8D 56 48 89 54 24 20 E9 FA 00 00 00 83 7B 30 00 0F 84 DF 00 00 00 8B 43 0C 50 6A 00 8B 54 24 08 8B 8A 9C 00 00 00 0F AF C8 8B 44 24 28 8B 10 8B 44 24 08 8B 70 04 FF 56 20 8B C8 8B 04 24 8B 90 9C 00 00 00 3B 54 24 04 73 09 8B 43 0C 89 44 24 14 EB 1A 8B 43 20 33 D2 F7 73 0C 89 54 24 14 83 7C 24 14 00 75 07 8B 43 0C 89 44 24 14 8B 14 24 8B 82 C0 01 00 00 8B 54 24 0C 8B 44 90 04 89 44 24 1C 8B 54 24 24 8B 02 89 44 24 18 33 D2 89 54 24 10 89 4C 24 28 8B 4C 24 10 3B 4C 24 14 7D 55 8B 44 24 28 33 FF 8B 30 33 C0 89 44 24 08 EB 1F 8B 54 24 18 8B CE 52 57 8B 44 24 08 8B D3 FF 54 24 24 81 C6 80 00 00 00 03 7B 24 FF 44 24 08 8B 4C 24 08 3B 4B 1C 72 D8 8B 4B 24 C1 E1 02 01 4C 24 18 FF 44 24 10 83 44 24 28 04 8B 44 24 10 3B 44 24 14 7C AB 83 44 24 20 04 83 44 24 24 04 FF 44 24 0C 83 C3 54 8B 14 24 8B 4A 24 3B 4C 24 0C 0F 8F F6 FE FF FF 8B 04 24 FF 80 9C 00 00 00 8B 90 9C 00 00 00 8B 04 24 3B 90 40 01 00 00 73 07 B8 03 00 00 00 EB 05 B8 04 00 00 00 83 C4 2C 5F 5E 5B C3 90 90 53 56 57 83 C4 F4 89 04 24 8B 04 24 8B 98 AC 01 00 00 33 C0 89 44 24 04 8B 14 24 83 BA DC 00 00 00 00 74 0C 8B 0C 24 83 B9 A0 00 00 00 00 75 07 33 C0 E9 D2 00 00 00 83 7B 70 00 75 1C 8B 14 24 8B 04 24 8B 4A 24 8B 70 04 C1 E1 03 BA 01 00 00 00 8D 0C 49 FF 16 89 43 70 8B 04 24 8B 73 70 33 DB 8B 90 D8 00 00 00 89 54 24 08 E9 89 00 00 00 8B 4C 24 08 8B 41 4C 85 C0 75 07 33 C0 E9 87 00 00 00 66 83 38 00 74 23 66 83 78 02 00 74 1C 66 83 78 10 00 74 15 66 83 78 20 00 74 0E 66 83 78 12 00 74 07 66 83 78 04 00 75 04 33 C0 EB 5A 8B 14 24 8B 82 A0 00 00 00 8B D3 C1 E2 08 03 C2 83 38 00 7D 04 33 C0 EB 41 B9 01 00 00 00 8D 56 04 83 C0 04 8B 38 89 3A 83 38 00 74 08 C7 44 24 04 01 00 00 00 41 83 C2 04 83 C0 04 83 F9 05 7E E3 83 C6 18 43 83 44 24 08 54 8B 04 24 3B 58 24 0F 8C 6B FF FF FF 8B 44 24 04 83 C4 0C 5F 5E 5B C3 53 56 57 81 C4 E8 FE FF FF 89 54 24 04 89 04 24 8B 04 24 8B 90 AC 01 00 00 89 54 24 08 8B 0C 24 8B 81 40 01 00 00 48 89 44 24 0C EB 63 8B 14 24 8B 1C 24 8B 8A 98 00 00 00 3B 8B 90 00 00 00 75 39 8B 04 24 83 B8 90 01 00 00 00 75 07 BA 01 00 00 00 EB 02 33 D2 89 94 24 90 00 00 00 8B 04 24 8B 1C 24 8B 88 94 00 00 00 8B 83 9C 00 00 00 03 84 24 90 00 00 00 3B C8 77 3D 8B 04 24 8B 90 B4 01 00 00 FF 12 85 C0 75 07 33 C0 E9 37 07 00 00 8B 14 24 8B 1C 24 8B 8A 98 00 00 00 3B 8B 90 00 00 00 7C 13 8B 04 24 8B 90 B4 01 00 00 83 7A 14 00 0F 84 76 FF FF FF 33 C9 89 4C 24 18 8B 04 24 8B 90 D8 00 00 00 89 54 24 40 E9 C2 06 00 00 8B 4C 24 40 83 79 30 00 0F 84 AB 06 00 00 8B 04 24 8B 90 9C 00 00 00 3B 54 24 0C 73 1D 8B 4C 24 40 8B 41 0C 89 44 24 20 8B 54 24 20 03 D2 33 C9 89 54 24 24 89 4C 24 4C EB 38 8B 54 24 40 8B 44 24 40 8B 4A 0C 8B 40 20 33 D2 F7 F1 89 54 24 20 83 7C 24 20 00 75 0B 8B 44 24 40 8B 40 0C 89 44 24 20 8B 54 24 20 89 54 24 24 C7 44 24 4C 01 00 00 00 8B 0C 24 83 B9 9C 00 00 00 00 76 55 8B 44 24 40 8B 50 0C 01 54 24 24 8B 4C 24 24 51 6A 00 8B 44 24 08 8B 54 24 48 8B 5C 24 10 8B 88 9C 00 00 00 49 8B 44 24 20 0F AF 4A 0C 8B 54 83 48 8B 44 24 08 8B 58 04 FF 53 20 89 44 24 28 8B 44 24 40 8B 50 0C C1 E2 02 01 54 24 28 33 C9 89 4C 24 48 EB 2B 8B 44 24 24 50 6A 00 8B 44 24 08 8B 4C 24 20 8B 54 24 10 8B 58 04 8B 54 8A 48 33 C9 FF 53 20 89 44 24 28 C7 44 24 48 01 00 00 00 8B 4C 24 18 8B 44 24 08 C1 E1 03 8B 50 70 8D 0C 49 03 D1 89 54 24 50 8B 44 24 40 8B 50 4C 89 54 24 54 8B 4C 24 54 0F B7 01 89 44 24 58 8B 54 24 54 0F B7 4A 02 89 4C 24 5C 8B 44 24 54 0F B7 50 10 89 54 24 64 8B 4C 24 54 0F B7 41 20 89 44 24 6C 8B 54 24 54 0F B7 4A 12 89 4C 24 68 8B 44 24 54 0F B7 50 04 89 54 24 60 8B 0C 24 8B 54 24 18 8B 81 C0 01 00 00 8B 4C 90 04 89 4C 24 44 8B 44 24 04 8B 54 24 18 8B 0C 90 33 C0 89 4C 24 38 89 44 24 1C 8B 54 24 28 8B CA 89 8C 24 94 00 00 00 8B 44 24 1C 3B 44 24 20 0F 8D 0D 05 00 00 8B 94 24 94 00 00 00 8B 0A 89 4C 24 2C 83 7C 24 48 00 74 11 83 7C 24 1C 00 75 0A 8B 44 24 2C 89 44 24 30 EB 0E 8B 94 24 94 00 00 00 8B 4A FC 89 4C 24 30 83 7C 24 4C 00 74 15 8B 44 24 20 48 3B 44 24 1C 75 0A 8B 54 24 2C 89 54 24 34 EB 0E 8B 8C 24 94 00 00 00 8B 41 04 89 44 24 34 8B 54 24 30 0F BF 0A 89 4C 24 78 89 4C 24 74 89 4C 24 70 8B 44 24 2C 0F BF 10 89 94 24 80 00 00 00 89 54 24 7C 8B 44 24 34 8B F2 0F BF 10 89 94 24 8C 00 00 00 89 94 24 88 00 00 00 89 94 24 84 00 00 00 33 C0 89 44 24 3C 33 C0 8B 4C 24 40 8B 79 1C 4F 89 7C 24 14 89 44 24 10 8B 54 24 10 3B 54 24 14 0F 87 1F 04 00 00 8D 94 24 98 00 00 00 B9 01 00 00 00 8B 44 24 2C E8 ?? ?? ?? ?? 8B 7C 24 10 3B 7C 24 14 73 33 8B 44 24 30 0F BF 90 80 00 00 00 89 54 24 78 8B 4C 24 2C 0F BF B9 80 00 00 00 89 BC 24 80 00 00 00 8B 44 24 34 0F BF 90 80 00 00 00 89 94 24 8C 00 00 00 8B 4C 24 50 8B 59 04 85 DB 0F 84 93 00 00 00 66 83 BC 24 9A 00 00 00 00 0F 85 84 00 00 00 8B CE 2B 8C 24 80 00 00 00 0F AF 4C 24 58 C1 E1 02 8D 0C C9 85 C9 7C 32 8B 44 24 5C 8B 54 24 5C C1 E0 07 C1 E2 08 03 C1 8B CA 99 F7 F9 85 DB 7E 4B 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 3E 8B CB B8 01 00 00 00 D3 E0 48 EB 32 8B 44 24 5C 8B 54 24 5C C1 E0 07 C1 E2 08 2B C1 8B CA 99 F7 F9 85 DB 7E 17 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 0A 8B CB B8 01 00 00 00 D3 E0 48 F7 D8 66 89 84 24 9A 00 00 00 8B 54 24 50 8B 5A 08 85 DB 0F 84 95 00 00 00 66 83 BC 24 A8 00 00 00 00 0F 85 86 00 00 00 8B 4C 24 74 2B 8C 24 88 00 00 00 0F AF 4C 24 58 C1 E1 02 8D 0C C9 85 C9 7C 32 8B 44 24 64 8B 54 24 64 C1 E0 07 C1 E2 08 03 C1 8B CA 99 F7 F9 85 DB 7E 4B 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 3E 8B CB B8 01 00 00 00 D3 E0 48 EB 32 8B 44 24 64 8B 54 24 64 C1 E0 07 C1 E2 08 2B C1 8B CA 99 F7 F9 85 DB 7E 17 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 0A 8B CB B8 01 00 00 00 D3 E0 48 F7 D8 66 89 84 24 A8 00 00 00 8B 54 24 50 8B 5A 0C 85 DB 0F 84 9A 00 00 00 66 83 BC 24 B8 00 00 00 00 0F 85 8B 00 00 00 8B 4C 24 74 8B 44 24 7C 03 8C 24 88 00 00 00 03 C0 2B C8 0F AF 4C 24 58 8D 0C C9 85 C9 7C 32 8B 44 24 6C 8B 54 24 6C C1 E0 07 C1 E2 08 03 C1 8B CA 99 F7 F9 85 DB 7E 4B 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 3E 8B CB B8 01 00 00 00 D3 E0 48 EB 32 8B 44 24 6C 8B 54 24 6C C1 E0 07 C1 E2 08 2B C1 8B CA 99 F7 F9 85 DB 7E 17 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 0A 8B CB B8 01 00 00 00 D3 E0 48 F7 D8 66 89 84 24 B8 00 00 00 8B 54 24 50 8B 5A 10 85 DB 0F 84 9D 00 00 00 66 83 BC 24 AA 00 00 00 00 0F 85 8E 00 00 00 8B 4C 24 70 2B 4C 24 78 2B 8C 24 84 00 00 00 03 8C 24 8C 00 00 00 0F AF 4C 24 58 8D 0C 89 85 C9 7C 32 8B 44 24 68 8B 54 24 68 C1 E0 07 C1 E2 08 03 C1 8B CA 99 F7 F9 85 DB 7E 4B 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 3E 8B CB B8 01 00 00 00 D3 E0 48 EB 32 8B 44 24 68 8B 54 24 68 C1 E0 07 C1 E2 08 2B C1 8B CA 99 F7 F9 85 DB 7E 17 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 0A 8B CB B8 01 00 00 00 D3 E0 48 F7 D8 66 89 84 24 AA 00 00 00 8B 54 24 50 8B 5A 14 85 DB 0F 84 96 00 00 00 66 83 BC 24 9C 00 00 00 00 0F 85 87 00 00 00 03 B4 24 80 00 00 00 8B 4C 24 7C 03 C9 2B F1 0F AF 74 24 58 8D 0C F6 85 C9 7C 32 8B 44 24 60 8B 54 24 60 C1 E0 07 C1 E2 08 03 C1 8B CA 99 F7 F9 85 DB 7E 4B 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 3E 8B CB B8 01 00 00 00 D3 E0 48 EB 32 8B 44 24 60 8B 54 24 60 C1 E0 07 C1 E2 08 2B C1 8B CA 99 F7 F9 85 DB 7E 17 8B CB BA 01 00 00 00 D3 E2 3B C2 7C 0A 8B CB B8 01 00 00 00 D3 E0 48 F7 D8 66 89 84 24 9C 00 00 00 8B 54 24 38 52 8B 44 24 40 50 8D 8C 24 A0 00 00 00 8B 54 24 48 8B 44 24 08 FF 54 24 4C 8B 54 24 74 89 54 24 70 8B 4C 24 78 89 4C 24 74 8B 74 24 7C 8B 84 24 80 00 00 00 89 44 24 7C 8B 94 24 88 00 00 00 89 94 24 84 00 00 00 8B 8C 24 8C 00 00 00 89 8C 24 88 00 00 00 81 44 24 2C 80 00 00 00 81 44 24 30 80 00 00 00 81 44 24 34 80 00 00 00 8B 7C 24 40 8B 47 24 01 44 24 3C FF 44 24 10 8B 54 24 10 3B 54 24 14 0F 86 E1 FB FF FF 8B 4C 24 40 8B 41 24 C1 E0 02 01 44 24 38 FF 44 24 1C 83 84 24 94 00 00 00 04 8B 54 24 1C 3B 54 24 20 0F 8C F3 FA FF FF FF 44 24 18 83 44 24 40 54 8B 0C 24 8B 41 24 3B 44 24 18 0F 8F 2E F9 FF FF 8B 14 24 FF 82 9C 00 00 00 8B 8A 9C 00 00 00 8B 1C 24 3B 8B 40 01 00 00 73 07 B8 03 00 00 00 EB 05 B8 04 00 00 00 81 C4 18 01 00 00 5F 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_81695_0 {
	meta:
		name = "@jinit_d_coef_controller"
		size = 273
		refs = "002a _DF_. 0074 @jround_up"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 55 8B DA BA 01 00 00 00 8B 70 04 83 C4 F4 B9 74 00 00 00 FF 16 8B F0 33 C0 89 B7 AC 01 00 00 85 DB C7 06 ?? ?? ?? ?? C7 46 08 ?? ?? ?? ?? 89 46 70 0F 84 8D 00 00 00 33 D2 89 14 24 8B 9F D8 00 00 00 8D 46 48 89 44 24 08 EB 5B 8B 53 0C 89 54 24 04 83 BF DC 00 00 00 00 74 0B 8B 4C 24 04 8D 0C 49 89 4C 24 04 8B 53 08 8B 43 1C E8 ?? ?? ?? ?? 50 8B 53 0C 8B 43 20 E8 ?? ?? ?? ?? 50 8B C7 8B 4C 24 0C BA 01 00 00 00 51 B9 01 00 00 00 8B 68 04 FF 55 14 8B 54 24 08 89 02 83 44 24 08 04 FF 04 24 83 C3 54 8B 47 24 3B 04 24 7F 9D C7 46 04 ?? ?? ?? ?? C7 46 0C ?? ?? ?? ?? 8D 4E 48 89 4E 10 EB 3E 8B C7 B9 00 05 00 00 BA 01 00 00 00 8B 58 04 FF 53 04 8B C8 33 C0 8D 56 20 8B D8 C1 E3 07 03 D9 89 1A 40 83 C2 04 83 F8 0A 7C EE C7 46 04 ?? ?? ?? ?? C7 46 0C ?? ?? ?? ?? 33 C0 89 46 10 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81696_0 {
	meta:
		name = "_DF_."
		size = 608
		refs = "0020 _DF_."
	strings:
		$1 = { 53 56 8B F0 83 EA 01 8B 9E B0 01 00 00 72 08 4A 74 5C 4A 74 3B EB 75 83 7E 54 00 74 25 C7 43 04 ?? ?? ?? ?? 83 7B 0C 00 75 71 8B 43 10 33 C9 50 8B C6 6A 01 8B 70 04 8B 53 08 FF 56 1C 89 43 0C EB 59 8B 86 C4 01 00 00 8B 50 04 89 53 04 EB 4B 83 7B 08 00 75 0F 8B 0E 8B C6 C7 41 14 04 00 00 00 8B 10 FF 12 C7 43 04 ?? ?? ?? ?? EB 2D 83 7B 08 00 75 0F 8B 0E 8B C6 C7 41 14 04 00 00 00 8B 10 FF 12 C7 43 04 ?? ?? ?? ?? EB 0F 8B 0E 8B C6 C7 41 14 04 00 00 00 8B 10 FF 12 33 C9 89 4B 18 89 4B 14 5E 5B C3 90 90 55 8B EC 83 C4 F4 53 56 89 4D F8 89 45 FC 8B 45 FC 8B 98 B0 01 00 00 8B 45 0C FF 30 8B 45 08 59 2B C1 8B 4B 10 3B C1 76 02 8B C1 33 C9 89 4D F4 8B 4D 14 51 8B 4B 0C 51 8D 4D F4 51 50 8B 4D F8 8B 45 FC 8B B0 C4 01 00 00 FF 56 04 8B 45 F4 50 8B 55 0C 8B 45 FC 8B 0A 8B 53 0C C1 E1 02 8B 98 CC 01 00 00 03 4D 10 FF 53 04 8B 45 0C 8B 55 F4 01 10 5E 5B 8B E5 5D C2 10 00 90 90 55 8B EC 83 C4 F0 53 56 57 8B F0 89 4D F8 89 55 FC 8B 9E B0 01 00 00 83 7B 18 00 75 17 8B 43 10 50 8B C6 6A 01 8B 78 04 8B 4B 14 8B 53 08 FF 57 1C 89 43 0C 8B 43 18 89 45 F4 8B 55 14 52 8B 4B 0C 51 8D 4B 18 51 8B 43 10 50 8B C6 8B 4D F8 8B 55 FC 8B B8 C4 01 00 00 FF 57 04 8B 43 18 3B 45 F4 76 28 2B 45 F4 89 45 F0 8B C6 8B 55 F0 52 8B 55 F4 8B B0 CC 01 00 00 C1 E2 02 03 53 0C 33 C9 FF 56 04 8B 45 0C 8B 55 F0 01 10 8B 43 10 3B 43 18 77 08 01 43 14 33 D2 89 53 18 5F 5E 5B 8B E5 5D C2 10 00 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 98 B0 01 00 00 83 7B 18 00 75 18 8B 43 10 50 6A 00 8B 45 FC 8B 4B 14 8B 53 08 8B 70 04 FF 56 1C 89 43 0C 8B 73 10 8B 45 0C 2B 73 18 FF 30 8B 45 08 5A 2B C2 3B C6 73 02 8B F0 8B 45 FC 8B 40 74 2B 43 14 3B C6 73 02 8B F0 56 8B 45 0C 8B 53 18 C1 E2 02 8B 08 8B 45 FC C1 E1 02 03 4D 10 03 53 0C 8B B8 CC 01 00 00 FF 57 04 8B 45 0C 01 30 01 73 18 8B 43 10 3B 43 18 77 08 01 43 14 33 D2 89 53 18 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_81697_0 {
	meta:
		name = "@jinit_d_post_controller"
		size = 142
		refs = "0026 _DF_. 0052 @jround_up"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 8B FA BA 01 00 00 00 B9 1C 00 00 00 8B 58 04 FF 13 8B D8 33 C0 89 9E B0 01 00 00 33 D2 C7 03 ?? ?? ?? ?? 89 43 08 89 53 0C 83 7E 54 00 74 54 8B 8E 38 01 00 00 85 FF 89 4B 10 74 2C 8B 4E 70 0F AF 4E 78 51 8B 53 10 8B 46 74 E8 ?? ?? ?? ?? 50 8B C6 8B 4B 10 BA 01 00 00 00 51 33 C9 8B 70 04 FF 56 10 89 43 08 EB 1B 8B 43 10 BA 01 00 00 00 50 8B C6 8B 4E 70 0F AF 4E 78 8B 70 04 FF 56 08 89 43 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81698_0 {
	meta:
		name = "_DF_."
		size = 600
		refs = "005b @jpeg_idct_1x1 006e @jpeg_idct_2x2 007e @jpeg_idct_4x4 009c @jpeg_idct_ifast 00ae @jpeg_idct_float 0180 _DV_."
	strings:
		$1 = { 53 56 57 55 83 C4 D0 33 D2 33 C9 89 04 24 8B 04 24 8B 80 C0 01 00 00 89 54 24 0C 89 4C 24 10 33 D2 89 54 24 04 83 C0 04 8B 0C 24 8B 91 D8 00 00 00 89 54 24 08 89 44 24 20 E9 FF 01 00 00 8B 4C 24 08 8B 41 24 48 74 0F 48 74 1F 83 E8 02 74 2A 83 E8 04 74 35 EB 7C C7 44 24 10 ?? ?? ?? ?? 33 D2 89 54 24 0C E9 86 00 00 00 C7 44 24 10 ?? ?? ?? ?? 33 C9 89 4C 24 0C EB 76 C7 44 24 10 ?? ?? ?? ?? 33 C0 89 44 24 0C EB 66 8B 14 24 8B 4A 48 49 74 05 49 74 14 EB 24 C7 44 24 10 ?? ?? ?? ?? C7 44 24 0C 01 00 00 00 EB 46 C7 44 24 10 ?? ?? ?? ?? C7 44 24 0C 02 00 00 00 EB 34 8B 04 24 8B 10 C7 42 14 30 00 00 00 8B 04 24 8B 10 FF 12 EB 1F EB 1D 8B 0C 24 8B 01 C7 40 14 07 00 00 00 8B 54 24 08 8B 4A 24 89 48 18 8B 04 24 8B 10 FF 12 8B 4C 24 20 8B 5C 24 10 89 19 8B 44 24 08 83 78 30 00 0F 84 27 01 00 00 8B 54 24 20 8B 4A 28 3B 4C 24 0C 0F 84 16 01 00 00 8B 44 24 08 8B 50 4C 89 54 24 14 83 7C 24 14 00 0F 84 00 01 00 00 8B 4C 24 20 8B 5C 24 0C 89 59 28 8B 44 24 0C 83 E8 01 72 0A 74 2D 48 74 6B E9 CF 00 00 00 8B 54 24 08 8B 52 50 33 C0 8B CA 8B 54 24 14 0F B7 1A 89 19 40 83 C1 04 83 C2 02 83 F8 40 7C EF E9 BD 00 00 00 8B 44 24 08 8B 50 50 33 C0 89 54 24 24 B9 ?? ?? ?? ?? 8B 54 24 14 0F B7 1A 0F BF 31 0F AF DE 8B 74 24 24 81 C3 00 08 00 00 C1 FB 0C 89 1E 40 83 44 24 24 04 83 C1 02 83 C2 02 83 F8 40 7C D7 EB 7C 8B 44 24 08 8B 50 50 33 C0 89 54 24 18 33 D2 89 54 24 1C C7 44 24 28 ?? ?? ?? ?? 33 FF 8B 54 24 18 8D 1C 82 B9 ?? ?? ?? ?? 8B 54 24 28 8B F2 8B 54 24 14 8D 14 42 0F B7 2A 89 6C 24 2C 40 DB 44 24 2C DC 0E DC 09 D9 1B 83 C3 04 83 C2 02 47 83 C1 08 83 FF 08 7C DF FF 44 24 1C 83 44 24 28 08 83 7C 24 1C 08 7C B4 EB 13 8B 04 24 8B 10 C7 42 14 30 00 00 00 8B 04 24 8B 10 FF 12 83 44 24 20 04 FF 44 24 04 83 44 24 08 54 8B 0C 24 8B 41 24 3B 44 24 04 0F 8F F1 FD FF FF 83 C4 30 5D 5F 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_81699_0 {
	meta:
		name = "@jinit_inverse_dct"
		size = 121
		refs = "0020 _DF_. 0055 memset"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 55 51 B9 54 00 00 00 8B 58 04 BA 01 00 00 00 FF 13 89 86 C0 01 00 00 C7 00 ?? ?? ?? ?? 33 D2 8D 78 2C 89 14 24 8B 9E D8 00 00 00 EB 37 8B C6 B9 00 01 00 00 BA 01 00 00 00 8B 68 04 FF 55 00 89 43 50 68 00 01 00 00 6A 00 8B 43 50 50 E8 ?? ?? ?? ?? 83 C4 0C C7 07 FF FF FF FF 83 C7 04 FF 04 24 83 C3 54 8B 14 24 3B 56 24 7C C1 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81700_0 {
	meta:
		name = "_DF_."
		size = 1264
		refs = "01ce @jcopy_sample_rows"
	strings:
		$1 = { 8B 90 C4 01 00 00 8B 88 38 01 00 00 89 4A 5C 8B 40 74 89 42 60 C3 90 90 55 8B EC 83 C4 E4 53 56 8B F0 57 89 4D F8 89 55 FC 8B 9E C4 01 00 00 8B 43 5C 3B 86 38 01 00 00 7C 64 33 D2 89 55 F4 8B 8E D8 00 00 00 89 4D F0 8B 4D FC 8B C1 89 45 E4 8D 53 34 89 55 E8 EB 39 8B 4D F4 C1 E1 02 03 CB 83 C1 0C 51 8B 45 F8 8B 55 E4 8B 7D E8 8B 08 8B 45 E8 0F AF 48 30 C1 E1 02 8B C6 03 0A 8B 55 F0 FF 17 83 45 E8 04 83 45 E4 04 FF 45 F4 83 45 F0 54 8B 4D F4 3B 4E 24 7C BF 33 C9 89 4B 5C 8B 86 38 01 00 00 2B 43 5C 89 45 EC 8B 43 60 3B 45 EC 73 03 89 45 EC 8B 55 0C 8B 0A 29 4D 08 8B 4D EC 3B 4D 08 76 06 8B 45 08 89 45 EC 8B 55 0C 8B 0A 8D 53 0C C1 E1 02 03 4D 10 51 8B 45 EC 50 8B C6 8B 4B 5C 8B B8 C8 01 00 00 FF 57 04 8B 45 0C 8B 55 EC 01 10 8B 4D EC 29 4B 60 8B 43 5C 03 45 EC 89 43 5C 3B 86 38 01 00 00 7C 05 8B 55 F8 FF 02 5F 5E 5B 8B E5 5D C2 10 00 90 90 90 55 8B EC 8B 45 08 89 08 5D C2 04 00 55 8B EC 8B 45 08 33 D2 89 10 5D C2 04 00 90 90 55 8B EC 83 C4 E8 53 56 57 89 45 FC 8B 45 FC 8B 5D 08 8B 80 C4 01 00 00 8B 1B 89 5D F8 8B 5A 04 33 D2 0F B6 B4 18 8C 00 00 00 89 75 F4 0F B6 84 18 96 00 00 00 89 45 F0 8B C2 89 55 EC 8D 0C 81 89 4D E8 EB 5F 8B 45 E8 8B 55 EC 8B 30 8B 45 F8 8B 04 90 8B 55 FC 8B 7A 70 03 F8 3B F8 76 16 8A 0E 46 8B 55 F4 85 D2 7E 08 88 08 40 4A 85 D2 7F F8 3B F8 77 EA 83 7D F0 01 7E 1F 8B 45 EC 40 50 8B 45 F0 48 50 8B 55 FC 8B 4A 70 51 8B 4D F8 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 83 45 E8 04 8B 45 F0 01 45 EC 8B 55 FC 8B 8A 38 01 00 00 3B 4D EC 7F 93 5F 5E 5B 8B E5 5D C2 04 00 90 55 8B EC 83 C4 F4 33 D2 53 56 57 89 45 FC 8B 45 08 8B 00 89 55 F8 8B D8 8B C1 89 5D F4 EB 2A 8B 55 F4 8B 4D FC 8B 30 8B 12 8B 79 70 03 FA 3B FA 76 0D 8A 0E 46 88 0A 42 88 0A 42 3B FA 77 F3 FF 45 F8 83 45 F4 04 83 C0 04 8B 55 FC 8B 92 38 01 00 00 3B 55 F8 7F C8 5F 5E 5B 8B E5 5D C2 04 00 55 8B EC 83 C4 EC 53 56 89 45 FC 33 DB 8B 45 08 8B 10 8B C3 89 55 F8 89 5D F4 8B 5D F4 8B 55 F8 8D 04 81 8D 14 9A 89 55 EC 89 45 F0 EB 4B 8B 45 EC 8B 55 FC 8B 4D F0 8B 00 8B 72 70 03 F0 8B 09 3B F0 76 0D 8A 11 41 88 10 40 88 10 40 3B F0 77 F3 8B 45 F4 40 50 6A 01 8B 4D FC 8B 41 70 50 8B 4D F8 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 83 45 F0 04 83 45 F4 02 83 45 EC 08 8B 55 FC 8B 8A 38 01 00 00 3B 4D F4 7F A7 5E 5B 8B E5 5D C2 04 00 90 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 33 D2 8B 45 08 8B 00 89 55 F4 8B D8 8B C1 89 5D F0 EB 78 8B 30 8B 55 F0 8B 0A 33 D2 8A 16 46 88 11 41 8D 14 52 33 DB 8A 1E 03 D3 83 C2 02 C1 FA 02 88 11 41 8B 55 F8 8B 7A 28 83 EF 02 85 FF 76 2A 33 D2 33 DB 8A 16 46 8A 5E FE 8D 14 52 03 DA 43 C1 FB 02 88 19 33 DB 8A 1E 41 03 D3 83 C2 02 C1 FA 02 88 11 41 4F 85 FF 77 D6 33 D2 8A 16 0F B6 76 FF 8D 1C 52 03 DE 43 C1 FB 02 88 19 41 88 11 FF 45 F4 83 45 F0 04 83 C0 04 8B 55 FC 8B 8A 38 01 00 00 3B 4D F4 0F 8F 76 FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 90 90 90 55 8B EC 83 C4 D4 53 56 57 89 45 FC 8B 45 08 8B 00 89 45 F8 33 C0 89 45 E4 8B D8 8D 04 99 89 45 D4 E9 13 01 00 00 33 C9 89 4D E0 8B 45 F8 8B 4D E4 8D 04 88 89 45 D8 8B 4D D4 8B C1 89 45 DC 8B 4D DC 8B 01 89 45 F4 83 7D E0 00 75 0B 8B 4D DC 8B 41 FC 89 45 F0 EB 09 8B 4D DC 8B 41 04 89 45 F0 8B 4D D8 8B 09 FF 45 E4 83 45 D8 04 8B 45 F4 0F B6 00 8D 34 40 8B 45 F0 0F B6 00 FF 45 F0 FF 45 F4 03 F0 8B 45 F4 0F B6 00 8D 3C 40 8B 45 F0 0F B6 00 03 F8 8B C6 FF 45 F0 FF 45 F4 C1 E0 02 83 C0 08 C1 F8 04 88 01 8D 04 76 03 C7 41 83 C0 07 C1 F8 04 88 01 89 75 EC 8B 42 28 41 83 E8 02 8B F7 89 45 E8 83 7D E8 00 76 41 8B 45 F4 0F B6 00 8D 3C 40 8B 45 F0 0F B6 00 FF 45 F0 03 F8 FF 45 F4 8D 04 76 8B D8 03 C7 03 5D EC 83 C0 07 83 C3 08 C1 FB 04 88 19 41 C1 F8 04 88 01 89 75 EC 8B F7 41 FF 4D E8 83 7D E8 00 77 BF 8D 04 76 03 45 EC 83 C0 08 C1 F8 04 88 01 8B C6 C1 E0 02 41 83 C0 07 C1 F8 04 88 01 FF 45 E0 83 7D E0 02 0F 8C 0A FF FF FF 83 45 D4 04 8B 4D FC 8B 81 38 01 00 00 3B 45 E4 0F 8F DB FE FF FF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81701_0 {
	meta:
		name = "@jinit_upsampler"
		size = 536
		refs = "002b _DF_. 01df @jround_up"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 55 83 C4 E4 B9 A0 00 00 00 8B 58 04 BA 01 00 00 00 FF 13 89 04 24 8B 04 24 89 86 C4 01 00 00 8B 14 24 C7 02 ?? ?? ?? ?? 8B 0C 24 C7 41 04 ?? ?? ?? ?? 8B 3C 24 33 C0 89 47 08 83 BE 2C 01 00 00 00 74 0F 8B 16 8B C6 C7 42 14 19 00 00 00 8B 10 FF 12 83 7E 4C 00 74 09 83 BE 3C 01 00 00 01 7F 04 33 C9 EB 05 B9 01 00 00 00 89 4C 24 0C 33 FF 89 7C 24 04 8B BE D8 00 00 00 8B 04 24 8D 90 8C 00 00 00 89 54 24 18 8B 0C 24 8D 59 64 E9 6A 01 00 00 8B 47 08 8B 4F 24 F7 E9 99 F7 BE 3C 01 00 00 8B E8 8B 47 0C F7 E9 99 F7 BE 3C 01 00 00 8B C8 8B 86 34 01 00 00 89 44 24 10 8B 96 38 01 00 00 89 54 24 14 89 0B C7 44 24 08 01 00 00 00 83 7F 30 00 75 12 C7 43 D0 ?? ?? ?? ?? 33 C9 89 4C 24 08 E9 D9 00 00 00 3B 6C 24 10 75 18 3B 4C 24 14 75 12 C7 43 D0 ?? ?? ?? ?? 33 C9 89 4C 24 08 E9 BB 00 00 00 8B C5 03 C0 3B 44 24 10 75 2B 3B 4C 24 14 75 25 83 7C 24 0C 00 74 12 83 7F 28 02 76 0C C7 43 D0 ?? ?? ?? ?? E9 92 00 00 00 C7 43 D0 ?? ?? ?? ?? E9 86 00 00 00 8B D5 03 D2 3B 54 24 10 75 33 8B C1 03 C0 3B 44 24 14 75 29 83 7C 24 0C 00 74 19 83 7F 28 02 76 13 C7 43 D0 ?? ?? ?? ?? 8B 14 24 C7 42 08 01 00 00 00 EB 52 C7 43 D0 ?? ?? ?? ?? EB 49 8B 44 24 10 99 F7 FD 85 D2 75 2F 8B 44 24 14 99 F7 F9 85 D2 75 24 C7 43 D0 ?? ?? ?? ?? 8B 44 24 10 99 F7 FD 8B 54 24 18 88 02 8B 44 24 14 99 F7 F9 8B 4C 24 18 88 41 0A EB 0F 8B 06 C7 40 14 26 00 00 00 8B C6 8B 10 FF 12 83 7C 24 08 00 74 27 8B 8E 38 01 00 00 51 8B 96 34 01 00 00 8B 46 70 E8 ?? ?? ?? ?? 8B C8 8B C6 BA 01 00 00 00 8B 68 04 FF 55 08 89 43 A8 83 C3 04 FF 44 24 18 FF 44 24 04 83 C7 54 8B 44 24 04 3B 46 24 0F 8C 89 FE FF FF 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81702_0 {
	meta:
		name = "@jpeg_idct_float"
		size = 1092
		refs = "00f6 @jpeg_idct_float 0329 _ftol"
	strings:
		$1 = { 55 8B EC 81 C4 B0 FE FF FF 53 56 57 BF 08 00 00 00 8B 80 44 01 00 00 8D 9D B0 FE FF FF 05 80 00 00 00 89 45 B8 8B C1 8B 52 50 66 83 78 10 00 75 7A 66 83 78 20 00 75 73 66 83 78 30 00 75 6C 66 83 78 40 00 75 65 66 83 78 50 00 75 5E 66 83 78 60 00 75 57 66 83 78 70 00 75 50 DF 00 83 C0 02 D8 0A 83 C2 04 D9 5D B4 8B 4D B4 89 0B 8B 4D B4 89 4B 20 8B 4D B4 89 4B 40 8B 4D B4 89 4B 60 8B 4D B4 89 8B 80 00 00 00 8B 4D B4 89 8B A0 00 00 00 8B 4D B4 89 8B C0 00 00 00 8B 4D B4 89 8B E0 00 00 00 83 C3 04 E9 83 01 00 00 DF 00 D8 0A D9 5D FC DF 40 20 D8 4A 40 D9 5D F8 DF 40 40 D8 8A 80 00 00 00 D9 5D F4 DF 40 60 D8 8A C0 00 00 00 D9 5D F0 D9 45 FC D8 45 F4 D9 5D DC D9 45 FC D8 65 F4 D9 5D D8 D9 45 F8 D8 45 F0 D9 5D D0 D9 45 F8 D8 65 F0 D8 0D ?? ?? ?? ?? D8 65 D0 D9 5D D4 D9 45 DC D8 45 D0 D9 5D FC D9 45 DC D8 65 D0 D9 5D F0 D9 45 D8 D8 45 D4 D9 5D F8 D9 45 D8 D8 65 D4 D9 5D F4 DF 40 10 D8 4A 20 D9 5D EC DF 40 30 D8 4A 60 D9 5D E8 DF 40 50 D8 8A A0 00 00 00 D9 5D E4 DF 40 70 D8 8A E0 00 00 00 D9 5D E0 D9 45 E4 D8 45 E8 D9 5D BC D9 45 E4 D8 65 E8 D9 5D C8 D9 45 EC D8 45 E0 D9 5D C4 D9 45 EC D8 65 E0 D9 5D C0 D9 45 C4 D8 45 BC D9 5D E0 D9 45 C4 D8 65 BC D8 0D ?? ?? ?? ?? D9 5D D8 D9 45 C8 D8 45 C0 D8 0D ?? ?? ?? ?? D9 5D CC D9 05 ?? ?? ?? ?? D8 4D C0 D8 65 CC D9 5D DC D9 05 ?? ?? ?? ?? D8 4D C8 83 C0 02 83 C2 04 D8 45 CC D9 5D D4 D9 45 D4 D8 65 E0 D9 5D E4 D9 45 D8 D8 65 E4 D9 5D E8 D9 45 DC D8 45 E8 D9 5D EC D9 45 FC D8 45 E0 D9 1B D9 45 FC D8 65 E0 D9 9B E0 00 00 00 D9 45 F8 D8 45 E4 D9 5B 20 D9 45 F8 D8 65 E4 D9 9B C0 00 00 00 D9 45 F4 D8 45 E8 D9 5B 40 D9 45 F4 D8 65 E8 D9 9B A0 00 00 00 D9 45 F0 D8 45 EC D9 9B 80 00 00 00 D9 45 F0 D8 65 EC D9 5B 60 83 C3 04 4F 85 FF 0F 8F F3 FD FF FF 8B 45 0C 8D 9D B0 FE FF FF 8B D0 33 FF 89 55 B0 8B 4D B0 D9 03 D8 43 10 8B 31 03 75 08 D9 5D DC D9 03 D8 63 10 D9 5D D8 D9 43 08 D8 43 18 D9 5D D0 D9 43 08 D8 63 18 D8 0D ?? ?? ?? ?? D8 65 D0 D9 5D D4 D9 45 DC D8 45 D0 D9 5D FC D9 45 DC D8 65 D0 D9 5D F0 D9 45 D8 D8 45 D4 D9 5D F8 D9 45 D8 D8 65 D4 D9 5D F4 D9 43 14 D8 43 0C D9 5D BC D9 43 14 D8 63 0C D9 5D C8 D9 43 04 D8 43 1C D9 5D C4 D9 43 04 D8 63 1C D9 5D C0 D9 45 C4 D8 45 BC D9 5D E0 D9 45 C4 D8 65 BC D8 0D ?? ?? ?? ?? D9 5D D8 D9 45 C8 D8 45 C0 D8 0D ?? ?? ?? ?? D9 5D CC D9 05 ?? ?? ?? ?? D8 4D C0 D8 65 CC D9 5D DC D9 05 ?? ?? ?? ?? D8 4D C8 D8 45 CC D9 5D D4 D9 45 D4 D8 65 E0 D9 5D E4 D9 45 D8 D8 65 E4 D9 5D E8 D9 45 DC D8 45 E8 D9 5D EC D9 45 FC D8 45 E0 E8 ?? ?? ?? ?? 83 C0 04 C1 F8 03 25 FF 03 00 00 8B 55 B8 8A 0C 02 88 0E D9 45 FC D8 65 E0 E8 ?? ?? ?? ?? 83 C0 04 C1 F8 03 25 FF 03 00 00 8B 55 B8 8A 0C 02 88 4E 07 D9 45 F8 D8 45 E4 E8 ?? ?? ?? ?? 83 C0 04 C1 F8 03 25 FF 03 00 00 8B 55 B8 8A 0C 02 88 4E 01 D9 45 F8 D8 65 E4 E8 ?? ?? ?? ?? 83 C0 04 C1 F8 03 25 FF 03 00 00 8B 55 B8 8A 0C 02 88 4E 06 D9 45 F4 D8 45 E8 E8 ?? ?? ?? ?? 83 C0 04 C1 F8 03 25 FF 03 00 00 8B 55 B8 8A 0C 02 88 4E 02 D9 45 F4 D8 65 E8 E8 ?? ?? ?? ?? 83 C0 04 C1 F8 03 25 FF 03 00 00 8B 55 B8 8A 0C 02 88 4E 05 D9 45 F0 D8 45 EC E8 ?? ?? ?? ?? 83 C0 04 C1 F8 03 25 FF 03 00 00 8B 55 B8 8A 0C 02 88 4E 04 D9 45 F0 D8 65 EC E8 ?? ?? ?? ?? 83 C0 04 8B 55 B8 C1 F8 03 25 FF 03 00 00 83 C3 20 8A 0C 02 88 4E 03 47 83 45 B0 04 83 FF 08 0F 8C 1D FE FF FF 5F 5E 5B 8B E5 5D C2 08 00 00 F3 04 B5 3F 5E 83 EC 3F D4 8B 8A 3F 75 3D 27 C0 }
	condition:
		$1
}

rule function_81703_0 {
	meta:
		name = "@jpeg_idct_ifast"
		size = 1073
	strings:
		$1 = { 55 8B EC 81 C4 C0 FE FF FF 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 90 44 01 00 00 81 C2 80 00 00 00 89 55 C8 8B 55 F4 8B 45 F8 8B 48 50 89 4D CC 8D 85 C0 FE FF FF C7 45 C4 08 00 00 00 66 83 7A 10 00 75 65 66 83 7A 20 00 75 5E 66 83 7A 30 00 75 57 66 83 7A 40 00 75 50 66 83 7A 50 00 75 49 66 83 7A 60 00 75 42 66 83 7A 70 00 75 3B 0F BF 0A 8B 5D CC 83 C2 02 0F AF 0B 89 08 89 48 20 89 48 40 89 48 60 89 88 80 00 00 00 89 88 A0 00 00 00 89 88 C0 00 00 00 89 88 E0 00 00 00 83 45 CC 04 83 C0 04 E9 79 01 00 00 0F BF 0A 8B 5D CC 0F AF 0B 89 4D F0 0F BF 4A 20 8B 5D CC 0F AF 4B 40 89 4D EC 0F BF 4A 40 8B 5D CC 0F AF 8B 80 00 00 00 89 4D E8 0F BF 4A 60 8B 5D CC 0F AF 8B C0 00 00 00 89 4D E4 8B 4D F0 8B 5D F0 8B 75 EC 03 5D E8 2B 4D E8 03 75 E4 89 75 D8 8B 75 EC 8B 7D D8 2B 75 E4 69 F6 6A 01 00 00 C1 FE 08 03 FB 2B 75 D8 89 7D F0 2B 5D D8 89 5D E4 8D 1C 0E 2B CE 89 5D EC 89 4D E8 0F BF 4A 10 8B 5D CC 0F AF 4B 20 89 4D E0 0F BF 4A 30 8B 5D CC 8B 7D CC 0F BF 72 50 0F AF 4B 60 8B 5D CC 0F AF B3 A0 00 00 00 0F BF 5A 70 0F AF 9F E0 00 00 00 89 5D DC 8D 1C 31 2B F1 8B 4D E0 03 4D DC 8B 7D E0 2B 7D DC 83 C2 02 89 7D D0 8D 3C 0B 2B CB 89 7D DC 8B 5D D0 69 C9 6A 01 00 00 03 DE 69 F6 63 FD FF FF 8B FB C1 E3 04 2B DF C1 E3 02 2B DF C1 FE 08 C1 F9 08 8D 1C DF C1 FB 08 89 5D D4 03 75 D4 8B 5D D0 8B FB 2B 75 DC C1 E3 04 2B CE 03 DF 8D 1C 9F 8D 1C 9F C1 FB 08 2B 5D D4 8D 1C 19 89 5D E0 8B 5D F0 03 5D DC 89 18 8B 5D F0 2B 5D DC 89 98 E0 00 00 00 8B 5D EC 03 DE 89 58 20 8B 5D EC 2B DE 89 98 C0 00 00 00 8B 5D E8 03 D9 89 58 40 8B 5D E8 2B D9 89 98 A0 00 00 00 8B 4D E4 03 4D E0 89 88 80 00 00 00 8B 4D E4 2B 4D E0 89 48 60 83 45 CC 04 83 C0 04 FF 4D C4 83 7D C4 00 0F 8F 0E FE FF FF 8D 85 C0 FE FF FF 33 D2 89 55 C4 8B 55 0C 8B CA 89 4D C0 8B 55 C0 8B 12 03 55 08 83 78 04 00 75 54 83 78 08 00 75 4E 83 78 0C 00 75 48 83 78 10 00 75 42 83 78 14 00 75 3C 83 78 18 00 75 36 83 78 1C 00 75 30 8B 08 C1 F9 05 81 E1 FF 03 00 00 8B 5D C8 8A 0C 0B 88 0A 88 4A 01 88 4A 02 88 4A 03 88 4A 04 88 4A 05 88 4A 06 88 4A 07 83 C0 20 E9 70 01 00 00 8B 08 8B 70 10 8B D9 2B CE 03 DE 8B 70 08 8B FE 03 78 18 89 7D D8 2B 70 18 69 F6 6A 01 00 00 C1 FE 08 8B 7D D8 2B 75 D8 03 FB 89 7D F0 2B 5D D8 89 5D E4 8D 1C 0E 2B CE 89 5D EC 89 4D E8 8B 48 14 8B 78 04 8B D9 8B F1 8B 48 04 03 48 1C 03 58 0C 2B 70 0C 2B 78 1C 89 7D D0 8D 3C 0B 2B CB 89 7D DC 8B 5D D0 69 C9 6A 01 00 00 03 DE 69 F6 63 FD FF FF 8B FB C1 E3 04 2B DF C1 E3 02 2B DF C1 FE 08 C1 F9 08 8D 1C DF C1 FB 08 89 5D D4 03 75 D4 8B 5D D0 8B FB 2B 75 DC C1 E3 04 2B CE 03 DF 8D 1C 9F 8D 1C 9F C1 FB 08 2B 5D D4 8D 1C 19 89 5D E0 8B 5D F0 8B 7D C8 03 5D DC C1 FB 05 81 E3 FF 03 00 00 8A 1C 1F 88 1A 8B 5D F0 8B 7D C8 2B 5D DC C1 FB 05 81 E3 FF 03 00 00 8A 1C 1F 88 5A 07 8B 5D EC 8B 7D C8 03 DE C1 FB 05 81 E3 FF 03 00 00 8A 1C 1F 88 5A 01 8B 5D EC 2B DE 8B 75 C8 C1 FB 05 81 E3 FF 03 00 00 8A 1C 1E 88 5A 06 8B 5D E8 8B 75 C8 03 D9 C1 FB 05 81 E3 FF 03 00 00 8A 1C 1E 88 5A 02 8B 5D E8 2B D9 8B 4D C8 C1 FB 05 81 E3 FF 03 00 00 8A 0C 19 88 4A 05 8B 4D E4 8B 5D C8 03 4D E0 C1 F9 05 81 E1 FF 03 00 00 8A 0C 0B 88 4A 04 8B 4D E4 8B 5D C8 2B 4D E0 C1 F9 05 81 E1 FF 03 00 00 83 C0 20 8A 0C 0B 88 4A 03 FF 45 C4 83 45 C0 04 83 7D C4 08 0F 8C 1D FE FF FF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_81704_0 {
	meta:
		name = "@jpeg_idct_4x4"
		size = 948
	strings:
		$1 = { 55 8B EC 81 C4 58 FF FF FF 53 56 57 8B 80 44 01 00 00 05 80 00 00 00 89 45 E0 8B D9 8B 42 50 89 45 E4 8D 85 58 FF FF FF C7 45 DC 08 00 00 00 83 7D DC 04 0F 84 A1 01 00 00 66 83 7B 10 00 75 3F 66 83 7B 20 00 75 38 66 83 7B 30 00 75 31 66 83 7B 50 00 75 2A 66 83 7B 60 00 75 23 66 83 7B 70 00 75 1C 0F BF 13 8B 4D E4 0F AF 11 C1 E2 02 89 10 89 50 20 89 50 40 89 50 60 E9 5B 01 00 00 0F BF 13 8B 4D E4 8B 75 E4 0F AF 11 0F BF 4B 20 0F AF 4E 40 89 4D F0 0F BF 4B 60 8B 75 E4 0F AF 8E C0 00 00 00 89 4D EC 8B 4D F0 8B F1 C1 E1 04 2B CE C1 E1 02 2B CE C1 E2 0E 8D 0C CE C1 E1 05 03 CE 8B 75 EC 8B FE F7 DE 8D 34 B7 C1 E6 04 2B F7 C1 E6 06 03 F7 03 F6 03 CE 8D 34 11 2B D1 89 75 FC 89 55 F8 0F BF 53 70 8B 4D E4 0F AF 91 E0 00 00 00 89 55 F4 0F BF 53 50 8B 4D E4 0F AF 91 A0 00 00 00 89 55 F0 0F BF 53 30 8B 4D E4 0F AF 51 60 89 55 EC 0F BF 53 10 8B 4D E4 0F AF 51 20 89 55 E8 8B 55 F4 8B CA F7 DA 8D 14 D1 8D 14 91 C1 E2 05 2B D1 69 4D F0 75 2E 00 00 03 D2 03 D1 69 4D EC 79 BA FF FF 03 D1 8B 4D E8 8B F1 C1 E1 04 03 CE C1 E1 06 2B CE 8D 0C CE 03 D1 8B 4D F4 8B F1 F7 D9 C1 E1 06 2B CE C1 E1 02 2B CE 69 75 F0 C2 EC FF FF C1 E1 04 03 CE 69 75 EC CD 1C 00 00 03 CE 8B 75 E8 8B FE 8D 34 B7 8D 34 F7 C1 E6 08 03 F7 8D 34 77 03 CE 8B 75 FC 03 F1 81 C6 00 08 00 00 C1 FE 0C 89 30 8B 75 FC 2B F1 81 C6 00 08 00 00 C1 FE 0C 89 70 60 8B 4D F8 03 CA 81 C1 00 08 00 00 C1 F9 0C 89 48 20 8B 4D F8 2B CA 81 C1 00 08 00 00 C1 F9 0C 89 48 40 83 C3 02 83 45 E4 04 83 C0 04 FF 4D DC 83 7D DC 00 0F 8F 3E FE FF FF 8D 85 58 FF FF FF 33 D2 89 55 DC 8B 55 0C 8B CA 89 4D D8 8B 55 D8 8B 32 03 75 08 83 78 04 00 75 45 83 78 08 00 75 3F 83 78 0C 00 75 39 83 78 14 00 75 33 83 78 18 00 75 2D 83 78 1C 00 75 27 8B 10 83 C2 10 C1 FA 05 81 E2 FF 03 00 00 8B 4D E0 8A 14 11 88 16 88 56 01 88 56 02 88 56 03 83 C0 20 E9 42 01 00 00 8B 48 08 8B 10 8B D9 C1 E1 04 2B CB C1 E1 02 2B CB C1 E2 0E 8D 0C CB C1 E1 05 03 CB 8B 58 18 8B FB F7 DB 8D 1C 9F C1 E3 04 2B DF C1 E3 06 03 DF 03 DB 03 CB 8D 1C 11 2B D1 89 5D FC 89 55 F8 8B 50 1C 89 55 F4 8B 48 14 89 4D F0 8B 50 0C 89 55 EC 8B 48 04 89 4D E8 69 7D F0 75 2E 00 00 8B 55 F4 8B CA F7 DA 8D 14 D1 8D 14 91 C1 E2 05 2B D1 69 4D EC 79 BA FF FF 03 D2 03 D7 8B 7D E8 03 D1 8B CF C1 E7 04 03 F9 C1 E7 06 2B F9 8D 3C F9 8B 4D F4 8B D9 03 D7 F7 D9 C1 E1 06 2B CB C1 E1 02 2B CB 69 5D F0 C2 EC FF FF C1 E1 04 03 CB 69 5D EC CD 1C 00 00 03 CB 8B 5D E8 8B FB 8D 1C 9F 8D 1C DF C1 E3 08 03 DF 8D 1C 5F 8B 7D E0 03 CB 8B 5D FC 03 D9 81 C3 00 00 04 00 C1 FB 13 81 E3 FF 03 00 00 8A 1C 1F 88 1E 8B 5D FC 2B D9 8B 4D E0 81 C3 00 00 04 00 C1 FB 13 81 E3 FF 03 00 00 8A 0C 19 88 4E 03 8B 7D F8 8B 4D E0 03 FA 81 C7 00 00 04 00 C1 FF 13 81 E7 FF 03 00 00 8A 0C 39 88 4E 01 8B 7D F8 2B FA 8B 55 E0 81 C7 00 00 04 00 C1 FF 13 81 E7 FF 03 00 00 83 C0 20 8A 0C 3A 88 4E 02 FF 45 DC 83 45 D8 04 83 7D DC 04 0F 8C 5A FE FF FF 5F 5E 5B 8B E5 5D C2 08 00 90 }
	condition:
		$1
}

rule function_81705_0 {
	meta:
		name = "@jpeg_idct_2x2"
		size = 496
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 8B 80 44 01 00 00 05 80 00 00 00 89 45 F4 8D 45 AC 8B 52 50 89 55 F8 BA 08 00 00 00 83 FA 06 0F 84 D0 00 00 00 83 FA 04 0F 84 C7 00 00 00 83 FA 02 0F 84 BE 00 00 00 66 83 79 10 00 75 2B 66 83 79 30 00 75 24 66 83 79 50 00 75 1D 66 83 79 70 00 75 16 0F BF 19 8B 75 F8 0F AF 1E C1 E3 02 89 18 89 58 20 E9 8C 00 00 00 0F BF 19 8B 75 F8 0F AF 1E C1 E3 0F 89 5D FC 0F BF 59 70 8B 75 F8 8B 7D F8 0F AF 9E E0 00 00 00 69 F3 EE E8 FF FF 0F BF 59 50 0F AF 9F A0 00 00 00 69 DB 37 1B 00 00 03 F3 8B 7D F8 0F BF 59 30 0F AF 5F 60 69 DB 46 D7 FF FF 03 F3 8B 7D F8 0F BF 59 10 0F AF 5F 20 8B FB C1 E3 03 2B DF 8D 1C 9F C1 E3 08 2B DF C1 E3 02 03 F3 8B 5D FC 03 DE 81 C3 00 10 00 00 C1 FB 0D 89 18 8B 5D FC 2B DE 81 C3 00 10 00 00 C1 FB 0D 89 58 20 83 C1 02 83 45 F8 04 83 C0 04 4A 85 D2 0F 8F 14 FF FF FF 8B 4D 0C 8D 45 AC 89 4D EC 33 D2 8B 4D EC 8B 09 03 4D 08 83 78 04 00 75 39 83 78 0C 00 75 33 83 78 14 00 75 2D 83 78 1C 00 75 27 8B 18 8B 75 F4 83 C3 10 C1 FB 05 81 E3 FF 03 00 00 83 C0 20 8A 1C 1E 88 5D F3 8A 5D F3 88 19 8A 5D F3 88 59 01 EB 74 8B 18 C1 E3 0F 89 5D FC 69 58 14 37 1B 00 00 69 70 1C EE E8 FF FF 03 F3 69 58 0C 46 D7 FF FF 03 F3 8B 58 04 8B FB C1 E3 03 2B DF 8D 1C 9F C1 E3 08 2B DF 8B 7D F4 C1 E3 02 03 F3 8B 5D FC 03 DE 81 C3 00 00 08 00 C1 FB 14 81 E3 FF 03 00 00 8A 1C 1F 88 19 8B 5D FC 2B DE 8B 75 F4 81 C3 00 00 08 00 C1 FB 14 81 E3 FF 03 00 00 83 C0 20 8A 1C 1E 88 59 01 42 83 45 EC 04 83 FA 02 0F 8C 37 FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 90 90 }
	condition:
		$1
}

rule function_81706_0 {
	meta:
		name = "@jpeg_idct_1x1"
		size = 57
	strings:
		$1 = { 55 8B EC 56 8B B0 44 01 00 00 8B 42 50 0F BF 11 0F AF 10 8B C2 81 C6 80 00 00 00 83 C0 04 8B 4D 0C C1 F8 03 25 FF 03 00 00 8A 14 06 8B 01 8B 4D 08 88 14 08 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_81707_0 {
	meta:
		name = "_DF_."
		size = 7172
		refs = "0a37 @jpeg_alloc_huff_table 0a4a memcpy 0bae @jpeg_alloc_quant_table 0bce jpeg_natural_order 1908 _DF_."
	strings:
		$1 = { 53 8B D8 8B 03 C7 40 14 66 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 04 8B 93 B8 01 00 00 83 7A 0C 00 74 0F 8B 0B 8B C3 C7 41 14 3D 00 00 00 8B 10 FF 12 33 D2 8D 83 E4 00 00 00 C6 00 00 C6 40 10 01 C6 40 20 05 42 40 83 FA 10 7C EE 33 C9 33 C0 89 8B 14 01 00 00 33 C9 89 4B 28 89 83 2C 01 00 00 33 D2 33 C9 89 93 18 01 00 00 C6 83 1C 01 00 00 01 C6 83 1D 01 00 00 01 C6 83 1E 01 00 00 00 66 C7 83 20 01 00 00 01 00 66 C7 83 22 01 00 00 01 00 89 8B 24 01 00 00 C6 83 28 01 00 00 00 8B 83 B8 01 00 00 C7 40 0C 01 00 00 00 B8 01 00 00 00 5B C3 53 56 57 55 83 C4 F0 8B D8 89 4C 24 04 89 14 24 8B 43 18 89 44 24 0C 8B 44 24 0C 8B 54 24 0C 8B 78 04 8B 32 8B 04 24 89 83 DC 00 00 00 8B 54 24 04 89 93 E0 00 00 00 85 FF 75 21 8B 74 24 0C 8B C3 FF 56 0C 85 C0 75 07 33 C0 E9 26 03 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 4F 0F B6 2E C1 E5 08 46 85 FF 75 21 8B 74 24 0C 8B C3 FF 56 0C 85 C0 75 07 33 C0 E9 F9 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 4F 33 C0 8A 06 03 E8 46 85 FF 75 21 8B 74 24 0C 8B C3 FF 56 0C 85 C0 75 07 33 C0 E9 CC 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 33 C0 4F 8A 06 46 89 83 D4 00 00 00 85 FF 75 21 8B 74 24 0C 8B C3 FF 56 0C 85 C0 75 07 33 C0 E9 9B 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 33 C0 4F 8A 06 46 C1 E0 08 85 FF 89 43 20 75 21 8B 74 24 0C 8B C3 FF 56 0C 85 C0 75 07 33 C0 E9 6A 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 4F 33 C0 8A 06 01 43 20 46 85 FF 75 21 8B 74 24 0C 8B C3 FF 56 0C 85 C0 75 07 33 C0 E9 3C 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 33 C0 4F 8A 06 46 C1 E0 08 85 FF 89 43 1C 75 21 8B 74 24 0C 8B C3 FF 56 0C 85 C0 75 07 33 C0 E9 0B 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 4F 33 C0 8A 06 01 43 1C 46 85 FF 75 21 8B 74 24 0C 8B C3 FF 56 0C 85 C0 75 07 33 C0 E9 DD 01 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 33 C0 4F 8A 06 46 89 43 24 83 ED 08 8B 03 83 C0 18 8B 93 A0 01 00 00 89 10 8B 4B 1C 89 48 04 8B 53 20 89 50 08 8B 4B 24 89 48 0C 8B 03 C7 40 14 64 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 04 8B 8B B8 01 00 00 83 79 10 00 74 0F 8B 03 C7 40 14 3A 00 00 00 8B C3 8B 10 FF 12 83 7B 20 00 76 0C 83 7B 1C 00 76 06 83 7B 24 00 7F 0F 8B 0B 8B C3 C7 41 14 20 00 00 00 8B 10 FF 12 8B 4B 24 8D 0C 49 3B E9 74 0F 8B 0B 8B C3 C7 41 14 0B 00 00 00 8B 10 FF 12 83 BB D8 00 00 00 00 75 21 8B 4B 24 BA 01 00 00 00 8B C1 8D 0C 88 8D 0C 88 8B C3 C1 E1 02 8B 68 04 FF 55 00 89 83 D8 00 00 00 33 C0 89 44 24 08 8B AB D8 00 00 00 E9 D4 00 00 00 8B 44 24 08 89 45 04 85 FF 75 21 8B 74 24 0C 8B C3 FF 56 0C 85 C0 75 07 33 C0 E9 E1 00 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 33 C0 4F 8A 06 46 89 45 00 85 FF 75 21 8B 74 24 0C 8B C3 FF 56 0C 85 C0 75 07 33 C0 E9 B3 00 00 00 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 4F 33 C0 8A 06 46 8B D0 C1 FA 04 83 E2 0F 83 E0 0F 89 55 08 89 45 0C 85 FF 75 1E 8B 74 24 0C 8B C3 FF 56 0C 85 C0 75 04 33 C0 EB 7A 8B 54 24 0C 8B 44 24 0C 8B 78 04 8B 32 33 C0 4F 8A 06 46 89 45 10 8B 03 83 C0 18 8B 55 00 89 10 8B 4D 08 89 48 04 8B 55 0C 89 50 08 8B 4D 10 89 48 0C 8B 03 C7 40 14 65 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 04 FF 44 24 08 83 C5 54 8B 4C 24 08 3B 4B 24 0F 8C 1F FF FF FF 8B 83 B8 01 00 00 C7 40 10 01 00 00 00 8B 54 24 0C B8 01 00 00 00 89 32 8B 74 24 0C 89 7E 04 83 C4 10 5D 5F 5E 5B C3 90 90 90 53 56 57 55 8B D8 83 C4 E8 8B 43 18 89 44 24 10 8B 44 24 10 8B 54 24 10 8B 68 04 8B 83 B8 01 00 00 8B 3A 83 78 10 00 75 0F 8B 13 8B C3 C7 42 14 3E 00 00 00 8B 10 FF 12 85 ED 75 21 8B 74 24 10 8B C3 FF 56 0C 85 C0 75 07 33 C0 E9 E8 02 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 4D 0F B6 37 C1 E6 08 47 85 ED 75 21 8B 7C 24 10 8B C3 FF 57 0C 85 C0 75 07 33 C0 E9 BB 02 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 4D 33 C0 8A 07 03 F0 47 85 ED 75 21 8B 7C 24 10 8B C3 FF 57 0C 85 C0 75 07 33 C0 E9 8E 02 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 33 C0 4D 8A 07 47 89 44 24 04 8B 03 C7 40 14 67 00 00 00 8B 54 24 04 89 50 18 8B C3 BA 01 00 00 00 8B 08 FF 51 04 8B 4C 24 04 03 C9 83 C1 06 3B F1 75 0E 83 7C 24 04 01 7C 07 83 7C 24 04 04 7E 0F 8B 03 C7 40 14 0B 00 00 00 8B C3 8B 10 FF 12 8B 4C 24 04 8D 83 4C 01 00 00 89 8B 48 01 00 00 33 C9 89 0C 24 89 44 24 14 8B 14 24 3B 54 24 04 0F 8D ED 00 00 00 85 ED 75 21 8B 74 24 10 8B C3 FF 56 0C 85 C0 75 07 33 C0 E9 F3 01 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 33 C0 4D 8A 07 47 89 44 24 0C 85 ED 75 21 8B 74 24 10 8B C3 FF 56 0C 85 C0 75 07 33 C0 E9 C4 01 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 33 C0 4D 8A 07 47 89 44 24 08 33 C0 8B B3 D8 00 00 00 EB 0C 8B 54 24 0C 3B 16 74 1F 40 83 C6 54 3B 43 24 7C EF 8B 03 C7 40 14 05 00 00 00 8B 4C 24 0C 89 48 18 8B C3 8B 10 FF 12 8B 4C 24 14 89 31 8B 4C 24 08 C1 F9 04 83 E1 0F 89 4E 14 8B 44 24 08 83 E0 0F 89 46 18 8B 03 83 C0 18 8B 54 24 0C 89 10 8B 4E 14 89 48 04 8B 56 18 89 50 08 8B 03 C7 40 14 68 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 04 FF 04 24 83 44 24 14 04 8B 0C 24 3B 4C 24 04 0F 8C 13 FF FF FF 85 ED 75 21 8B 74 24 10 8B C3 FF 56 0C 85 C0 75 07 33 C0 E9 06 01 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 33 C0 4D 8A 07 47 89 44 24 08 8B 54 24 08 89 93 90 01 00 00 85 ED 75 21 8B 74 24 10 8B C3 FF 56 0C 85 C0 75 07 33 C0 E9 CD 00 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 33 C0 4D 8A 07 47 89 44 24 08 8B 54 24 08 89 93 94 01 00 00 85 ED 75 21 8B 74 24 10 8B C3 FF 56 0C 85 C0 75 07 33 C0 E9 94 00 00 00 8B 54 24 10 8B 44 24 10 8B 68 04 8B 3A 33 C0 4D 8A 07 47 89 44 24 08 8B 54 24 08 C1 FA 04 83 E2 0F 89 93 98 01 00 00 8B 4C 24 08 83 E1 0F 89 8B 9C 01 00 00 8B 03 83 C0 18 8B 93 90 01 00 00 89 10 8B 8B 94 01 00 00 89 48 04 8B 93 98 01 00 00 89 50 08 8B 8B 9C 01 00 00 89 48 0C 8B 03 C7 40 14 69 00 00 00 BA 01 00 00 00 8B C3 8B 08 FF 51 04 8B 8B B8 01 00 00 33 C0 89 41 14 FF 83 90 00 00 00 8B 54 24 10 89 3A 8B 44 24 10 89 68 04 B8 01 00 00 00 83 C4 18 5D 5F 5E 5B C3 53 56 57 55 8B F8 81 C4 D4 FE FF FF 8B 47 18 89 44 24 0C 8B 44 24 0C 8B 54 24 0C 8B 1A 8B 70 04 85 F6 75 21 8B 5C 24 0C 8B C7 FF 53 0C 85 C0 75 07 33 C0 E9 EF 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 70 04 8B 1A 33 C0 4E 8A 03 43 C1 E0 08 85 F6 89 04 24 75 21 8B 5C 24 0C 8B C7 FF 53 0C 85 C0 75 07 33 C0 E9 BE 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 70 04 8B 1A 4E 33 C0 8A 03 01 04 24 43 83 2C 24 02 83 3C 24 10 0F 8E 73 02 00 00 85 F6 75 21 8B 5C 24 0C 8B C7 FF 53 0C 85 C0 75 07 33 C0 E9 82 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 70 04 8B 1A 33 C0 4E 8A 03 43 89 44 24 04 8B 07 C7 40 14 50 00 00 00 8B 54 24 04 89 50 18 8B C7 BA 01 00 00 00 8B 08 FF 51 04 C6 44 24 18 00 33 C9 8D 44 24 19 89 4C 24 08 89 44 24 10 BD 01 00 00 00 85 F6 75 21 8B 5C 24 0C 8B C7 FF 53 0C 85 C0 75 07 33 C0 E9 1F 02 00 00 8B 54 24 0C 8B 44 24 0C 8B 70 04 8B 1A 8B 54 24 10 8A 03 4E 43 88 02 33 C9 8A C8 01 4C 24 08 45 FF 44 24 10 83 FD 10 7E BF 83 2C 24 11 8B 07 83 C0 18 33 D2 8A 54 24 19 89 10 33 C9 8A 4C 24 1A 89 48 04 33 D2 8A 54 24 1B 89 50 08 33 C9 8A 4C 24 1C 89 48 0C 33 D2 8A 54 24 1D 89 50 10 33 C9 8A 4C 24 1E 89 48 14 33 D2 8A 54 24 1F 89 50 18 33 C9 8A 4C 24 20 89 48 1C 8B 07 C7 40 14 56 00 00 00 BA 02 00 00 00 8B C7 8B 08 FF 51 04 8B 07 83 C0 18 33 D2 8A 54 24 21 89 10 33 C9 8A 4C 24 22 89 48 04 33 D2 8A 54 24 23 89 50 08 33 C9 8A 4C 24 24 89 48 0C 33 D2 8A 54 24 25 89 50 10 33 C9 8A 4C 24 26 89 48 14 33 D2 8A 54 24 27 89 50 18 33 C9 8A 4C 24 28 89 48 1C 8B 07 C7 40 14 56 00 00 00 BA 02 00 00 00 8B C7 8B 08 FF 51 04 81 7C 24 08 00 01 00 00 7F 09 8B 4C 24 08 3B 0C 24 7E 0F 8B 07 C7 40 14 08 00 00 00 8B C7 8B 10 FF 12 33 ED 8D 44 24 2C 89 44 24 14 3B 6C 24 08 7D 3A 85 F6 75 21 8B 5C 24 0C 8B C7 FF 53 0C 85 C0 75 07 33 C0 E9 E6 00 00 00 8B 54 24 0C 8B 44 24 0C 8B 70 04 8B 1A 8B 44 24 14 8A 13 4E 43 88 10 45 FF 44 24 14 3B 6C 24 08 7C C6 8B 4C 24 08 29 0C 24 F6 44 24 04 10 74 16 83 6C 24 04 10 8B 6C 24 04 C1 E5 02 03 EF 81 C5 C4 00 00 00 EB 0F 8B 6C 24 04 C1 E5 02 03 EF 81 C5 B4 00 00 00 83 7C 24 04 00 7C 07 83 7C 24 04 04 7C 16 8B 07 C7 40 14 1E 00 00 00 8B 54 24 04 89 50 18 8B C7 8B 10 FF 12 83 7D 00 00 75 0A 8B C7 E8 ?? ?? ?? ?? 89 45 00 6A 11 8D 54 24 1C 52 8B 4D 00 51 E8 ?? ?? ?? ?? 83 C4 0C 68 00 01 00 00 8D 4C 24 30 51 8B 45 00 83 C0 11 50 E8 ?? ?? ?? ?? 83 C4 0C 83 3C 24 10 0F 8F 8D FD FF FF 83 3C 24 00 74 0F 8B 17 8B C7 C7 42 14 0B 00 00 00 8B 10 FF 12 8B 4C 24 0C B8 01 00 00 00 89 19 8B 7C 24 0C 89 77 04 81 C4 2C 01 00 00 5D 5F 5E 5B C3 90 90 53 56 57 55 8B E8 83 C4 E8 8B 45 18 89 44 24 10 8B 44 24 10 8B 54 24 10 8B 32 8B 78 04 85 FF 75 21 8B 5C 24 10 8B C5 FF 53 0C 85 C0 75 07 33 C0 E9 5D 02 00 00 8B 54 24 10 8B 44 24 10 8B 78 04 8B 32 33 C0 4F 8A 06 46 C1 E0 08 85 FF 89 04 24 75 21 8B 5C 24 10 8B C5 FF 53 0C 85 C0 75 07 33 C0 E9 2C 02 00 00 8B 54 24 10 8B 44 24 10 8B 78 04 8B 32 4F 33 C0 8A 06 01 04 24 46 83 2C 24 02 83 3C 24 00 0F 8E E0 01 00 00 85 FF 75 21 8B 5C 24 10 8B C5 FF 53 0C 85 C0 75 07 33 C0 E9 F0 01 00 00 8B 54 24 10 8B 44 24 10 8B 78 04 8B 32 4F 33 DB 8A 1E 46 8B C3 C1 F8 04 83 E3 0F 89 44 24 08 8B 45 00 C7 40 14 51 00 00 00 89 58 18 8B 54 24 08 89 50 1C 8B C5 BA 01 00 00 00 8B 08 FF 51 04 83 FB 04 7C 13 8B 45 00 C7 40 14 1F 00 00 00 89 58 18 8B C5 8B 10 FF 12 83 BC 9D A4 00 00 00 00 75 0E 8B C5 E8 ?? ?? ?? ?? 89 84 9D A4 00 00 00 8B 94 9D A4 00 00 00 33 C9 89 54 24 0C 89 4C 24 04 C7 44 24 14 ?? ?? ?? ?? 83 7C 24 08 00 74 5D 85 FF 75 21 8B 5C 24 10 8B C5 FF 53 0C 85 C0 75 07 33 C0 E9 49 01 00 00 8B 54 24 10 8B 44 24 10 8B 78 04 8B 32 4F 33 DB 8A 1E C1 E3 08 46 85 FF 75 21 8B 74 24 10 8B C5 FF 56 0C 85 C0 75 07 33 C0 E9 1B 01 00 00 8B 54 24 10 8B 44 24 10 8B 78 04 8B 32 4F 33 C0 8A 06 03 D8 46 EB 2B 85 FF 75 21 8B 5C 24 10 8B C5 FF 53 0C 85 C0 75 07 33 C0 E9 EC 00 00 00 8B 54 24 10 8B 44 24 10 8B 78 04 8B 32 4F 33 DB 8A 1E 46 8B 44 24 14 8B 10 8B 4C 24 0C 66 89 1C 51 FF 44 24 04 83 44 24 14 04 83 7C 24 04 40 0F 8C 4F FF FF FF 8B 45 00 83 78 68 02 7C 6D 33 D2 89 54 24 04 8B 4C 24 0C 8B D9 8B 45 00 83 C0 18 0F B7 13 89 10 0F B7 4B 02 89 48 04 0F B7 53 04 89 50 08 0F B7 4B 06 89 48 0C 0F B7 53 08 89 50 10 0F B7 4B 0A 89 48 14 0F B7 53 0C 89 50 18 0F B7 4B 0E 89 48 1C 8B 45 00 C7 40 14 5D 00 00 00 BA 02 00 00 00 8B C5 8B 08 FF 51 04 83 44 24 04 08 83 C3 10 83 7C 24 04 40 7C 9F 83 2C 24 41 83 7C 24 08 00 74 04 83 2C 24 40 83 3C 24 00 0F 8F 20 FE FF FF 83 3C 24 00 74 10 8B 45 00 C7 40 14 0B 00 00 00 8B C5 8B 10 FF 12 8B 4C 24 10 B8 01 00 00 00 89 31 8B 74 24 10 89 7E 04 83 C4 18 5D 5F 5E 5B C3 90 90 53 56 57 55 83 C4 F8 8B E8 8B 7D 18 8B 1F 8B 77 04 85 F6 75 15 8B C5 FF 57 0C 85 C0 75 07 33 C0 E9 BD 00 00 00 8B 1F 8B 77 04 33 C0 4E 8A 03 43 C1 E0 08 85 F6 89 04 24 75 15 8B C5 FF 57 0C 85 C0 75 07 33 C0 E9 98 00 00 00 8B 1F 8B 77 04 4E 33 C0 8A 03 01 04 24 43 83 3C 24 04 74 10 8B 55 00 8B C5 C7 42 14 0B 00 00 00 8B 10 FF 12 85 F6 75 12 8B C5 FF 57 0C 85 C0 75 04 33 C0 EB 63 8B 1F 8B 77 04 33 C0 4E 8A 03 43 C1 E0 08 85 F6 89 44 24 04 75 12 8B C5 FF 57 0C 85 C0 75 04 33 C0 EB 40 8B 1F 8B 77 04 4E 33 C0 8A 03 01 44 24 04 43 8B 45 00 C7 40 14 52 00 00 00 8B 54 24 04 89 50 18 8B C5 BA 01 00 00 00 8B 08 FF 51 04 8B 4C 24 04 B8 01 00 00 00 89 8D 14 01 00 00 89 1F 89 77 04 59 5A 5D 5F 5E 5B C3 90 90 90 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F0 8B 7D FC 03 7D 08 83 7D FC 0E 0F 82 7B 01 00 00 33 C0 8A 03 83 F8 4A 0F 85 6E 01 00 00 33 D2 8A 53 01 83 FA 46 0F 85 60 01 00 00 33 C9 8A 4B 02 83 F9 49 0F 85 52 01 00 00 33 C9 8A 4B 03 83 F9 46 0F 85 44 01 00 00 80 7B 04 00 0F 85 3A 01 00 00 C7 86 18 01 00 00 01 00 00 00 8A 43 05 88 86 1C 01 00 00 33 C0 8A 53 06 88 96 1D 01 00 00 33 D2 8A 4B 07 88 8E 1E 01 00 00 33 C9 8A 43 08 8A 53 09 C1 E0 08 66 03 C2 33 D2 66 89 86 20 01 00 00 33 C0 8A 4B 0A 8A 43 0B C1 E1 08 66 03 C8 66 89 8E 22 01 00 00 8A 96 1C 01 00 00 4A 74 29 8B 06 33 D2 33 C9 C7 40 14 77 00 00 00 8A 96 1C 01 00 00 89 50 18 83 CA FF 8A 8E 1D 01 00 00 89 48 1C 8B C6 8B 08 FF 51 04 8B 06 83 C0 18 33 D2 8A 96 1C 01 00 00 89 10 33 C9 8A 8E 1D 01 00 00 89 48 04 0F B7 96 20 01 00 00 89 50 08 0F B7 8E 22 01 00 00 89 48 0C 33 D2 8A 96 1E 01 00 00 89 50 10 8B 06 C7 40 14 57 00 00 00 BA 01 00 00 00 8B C6 8B 08 FF 51 04 8A 4B 0C 0A 4B 0D 74 25 8B 06 33 D2 C7 40 14 5A 00 00 00 8A 53 0C 89 50 18 33 D2 8A 53 0D 89 50 1C 8B C6 BA 01 00 00 00 8B 08 FF 51 04 33 C9 33 C0 8A 43 0D 8A 4B 0C 0F AF C8 83 EF 0E 8D 14 49 3B FA 0F 84 05 01 00 00 8B 06 BA 01 00 00 00 C7 40 14 58 00 00 00 89 78 18 8B C6 8B 08 FF 51 04 E9 E8 00 00 00 83 7D FC 06 0F 82 C6 00 00 00 33 D2 8A 13 83 FA 4A 0F 85 B9 00 00 00 33 C9 8A 4B 01 83 F9 46 0F 85 AB 00 00 00 33 C0 8A 43 02 83 F8 58 0F 85 9D 00 00 00 33 D2 8A 53 }
	condition:
		$1
}

rule function_81708_0 {
	meta:
		name = "@jpeg_resync_to_restart"
		size = 316
	strings:
		$1 = { 53 56 8B F0 57 55 8B EA 8B 06 8B 9E A0 01 00 00 83 CA FF C7 40 14 79 00 00 00 89 58 18 89 68 1C 8B C6 8B 08 FF 51 04 81 FB C0 00 00 00 7D 07 BF 02 00 00 00 EB 68 81 FB D0 00 00 00 7C 08 81 FB D7 00 00 00 7E 07 BF 03 00 00 00 EB 51 8D 45 01 83 E0 07 05 D0 00 00 00 3B D8 74 10 8D 55 02 83 E2 07 81 C2 D0 00 00 00 3B DA 75 07 BF 03 00 00 00 EB 2B 8D 45 FF 83 E0 07 05 D0 00 00 00 3B D8 74 10 8D 55 FE 83 E2 07 81 C2 D0 00 00 00 3B DA 75 07 BF 02 00 00 00 EB 05 BF 01 00 00 00 8B 06 C7 40 14 61 00 00 00 89 58 18 89 78 1C BA 04 00 00 00 8B C6 8B 08 FF 51 04 4F 74 0B 4F 74 17 4F 74 2E E9 60 FF FF FF 33 D2 B8 01 00 00 00 89 96 A0 01 00 00 EB 26 8B C6 E8 D3 F9 FF FF 85 C0 75 04 33 C0 EB 17 8B 9E A0 01 00 00 E9 37 FF FF FF B8 01 00 00 00 EB 05 E9 2B FF FF FF 5D 5F 5E 5B C3 90 90 90 8B 90 B8 01 00 00 33 C9 89 88 D8 00 00 00 33 C9 89 88 90 00 00 00 33 C9 89 88 A0 01 00 00 33 C0 89 42 0C 33 C0 89 42 10 33 C9 89 4A 18 33 C0 89 82 A4 00 00 00 C3 90 90 }
	condition:
		$1
}

rule function_81709_0 {
	meta:
		name = "@jinit_marker_reader"
		size = 116
		refs = "0023 _DF_."
	strings:
		$1 = { 53 51 89 04 24 B9 AC 00 00 00 33 D2 8B 04 24 8B 58 04 FF 13 8B D0 8B 04 24 33 C9 89 90 B8 01 00 00 C7 02 ?? ?? ?? ?? 8D 42 20 C7 42 04 ?? ?? ?? ?? C7 42 08 ?? ?? ?? ?? C7 42 1C ?? ?? ?? ?? 89 4A 60 33 C9 C7 00 ?? ?? ?? ?? 33 DB 89 58 44 41 83 C0 04 83 F9 10 7C EC C7 42 20 ?? ?? ?? ?? C7 42 58 ?? ?? ?? ?? 8B 04 24 E8 5A FF FF FF 5A 5B C3 90 90 90 }
	condition:
		$1
}

rule function_81710_0 {
	meta:
		name = "jpeg_save_markers"
		size = 231
		refs = "001c _DF_."
	strings:
		$1 = { 53 56 8B B0 B8 01 00 00 8B 58 04 8B 5B 30 83 EB 14 3B D9 7D 02 8B CB 85 C9 74 2D BB ?? ?? ?? ?? 81 FA E0 00 00 00 75 0C 83 F9 0E 73 07 B9 0E 00 00 00 EB 2E 81 FA EE 00 00 00 75 26 83 F9 0C 73 21 B9 0C 00 00 00 EB 1A BB ?? ?? ?? ?? 81 FA E0 00 00 00 74 08 81 FA EE 00 00 00 75 05 BB ?? ?? ?? ?? 81 FA FE 00 00 00 75 09 89 5E 1C 89 4E 60 5E 5B C3 81 FA E0 00 00 00 7C 19 81 FA EF 00 00 00 7F 11 89 9C 96 A0 FC FF FF 89 8C 96 E4 FC FF FF 5E 5B C3 8B 08 C7 41 14 44 00 00 00 89 51 18 8B 10 FF 12 5E 5B C3 90 53 81 FA FE 00 00 00 8B 98 B8 01 00 00 75 05 89 4B 1C 5B C3 81 FA E0 00 00 00 7C 11 81 FA EF 00 00 00 7F 09 89 8C 93 A0 FC FF FF 5B C3 8B 08 C7 41 14 44 00 00 00 89 51 18 8B 10 FF 12 5B C3 }
	condition:
		$1
}

rule function_81711_0 {
	meta:
		name = "@jdiv_round_up"
		size = 16
	strings:
		$1 = { 53 8B CA 8B D8 8D 44 19 FF 99 F7 F9 5B C3 90 90 }
	condition:
		$1
}

rule function_81712_0 {
	meta:
		name = "@jround_up"
		size = 24
	strings:
		$1 = { 53 8B DA 8B C8 8D 43 FF 03 C8 8B C1 99 F7 FB 8B C1 2B C2 5B C3 90 90 90 }
	condition:
		$1
}

rule function_81713_0 {
	meta:
		name = "@jcopy_sample_rows"
		size = 76
		refs = "0036 memcpy"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 8B 45 08 C1 E2 02 89 45 FC 03 DA 8B 55 10 C1 E2 02 8B F1 03 F2 8B 7D 0C 85 FF 7E 1D 8B 03 83 C3 04 8B 16 83 C6 04 8B 4D FC 51 50 52 E8 ?? ?? ?? ?? 83 C4 0C 4F 85 FF 7F E3 5F 5E 5B 59 5D C2 0C 00 90 90 }
	condition:
		$1
}

rule function_81714_0 {
	meta:
		name = "@jcopy_block_row"
		size = 16
		refs = "0007 memcpy"
	strings:
		$1 = { C1 E1 07 51 50 52 E8 ?? ?? ?? ?? 83 C4 0C C3 90 }
	condition:
		$1
}

rule function_81715_0 {
	meta:
		name = "@jzero_far"
		size = 13
		refs = "0005 memset"
	strings:
		$1 = { 52 6A 00 50 E8 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_81716_0 {
	meta:
		name = "@jpeg_abort"
		size = 68
	strings:
		$1 = { 53 56 57 8B F0 83 7E 04 00 74 32 BB 01 00 00 00 8B D3 8B C6 8B 48 04 FF 51 24 4B 85 DB 7F F1 83 7E 10 00 74 11 C7 46 14 C8 00 00 00 33 FF 89 BE 30 01 00 00 EB 07 C7 46 14 64 00 00 00 5F 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_81717_0 {
	meta:
		name = "jpeg_destroy"
		size = 32
	strings:
		$1 = { 53 8B D8 83 7B 04 00 74 08 8B C3 8B 50 04 FF 52 28 33 C9 89 4B 04 33 C9 89 4B 14 5B C3 90 90 90 }
	condition:
		$1
}

rule function_81718_0 {
	meta:
		name = "@jpeg_alloc_quant_table"
		size = 24
	strings:
		$1 = { 53 B9 84 00 00 00 33 D2 8B 58 04 FF 13 33 D2 89 90 80 00 00 00 5B C3 90 }
	condition:
		$1
}

rule function_81719_0 {
	meta:
		name = "@jpeg_alloc_huff_table"
		size = 23
	strings:
		$1 = { 53 B9 18 01 00 00 33 D2 8B 58 04 FF 13 33 D2 89 90 14 01 00 00 5B C3 }
	condition:
		$1
}

rule function_81720_0 {
	meta:
		name = "_DF_."
		size = 208
		refs = "0045 jfwrite 00b2 jfflush"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 B9 00 10 00 00 8B 5E 18 BA 01 00 00 00 8B 70 04 FF 16 8B F8 89 7B 18 89 3B C7 43 04 00 10 00 00 5F 5E 5B C3 90 53 56 8B F0 B9 00 10 00 00 BA 01 00 00 00 8B 5E 18 8B 43 14 50 8B 43 18 E8 ?? ?? ?? ?? 3D 00 10 00 00 74 0F 8B 16 8B C6 C7 42 14 25 00 00 00 8B 10 FF 12 8B 4B 18 B8 01 00 00 00 89 0B C7 43 04 00 10 00 00 5E 5B C3 90 53 56 57 8B F8 8B 5F 18 BE 00 10 00 00 2B 73 04 85 F6 76 26 8B 43 14 8B CE 50 BA 01 00 00 00 8B 43 18 E8 ?? ?? ?? ?? 3B F0 74 0F 8B 17 8B C7 C7 42 14 25 00 00 00 8B 10 FF 12 8B 43 14 E8 ?? ?? ?? ?? 85 C0 74 0F 8B 17 8B C7 C7 42 14 25 00 00 00 8B 10 FF 12 5F 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_81721_0 {
	meta:
		name = "jpeg_stdio_dest"
		size = 61
		refs = "0024 _DF_."
	strings:
		$1 = { 53 8B D8 56 57 83 7B 18 00 8B F2 75 11 8B C3 B9 1C 00 00 00 33 D2 8B 78 04 FF 17 89 43 18 8B 43 18 C7 40 08 ?? ?? ?? ?? C7 40 0C ?? ?? ?? ?? C7 40 10 ?? ?? ?? ?? 89 70 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81722_0 {
	meta:
		name = "_DF_."
		size = 288
		refs = "0052 @jpeg_alloc_quant_table 00c4 _DV_."
	strings:
		$1 = { 55 8B EC 51 53 8B D8 56 57 89 4D FC 83 7B 14 64 8B F2 74 15 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 85 F6 7C 05 83 FE 04 7C 12 8B 03 C7 40 14 1F 00 00 00 89 70 18 8B C3 8B 10 FF 12 8D 4C B3 48 8B F1 83 3E 00 75 09 8B C3 E8 ?? ?? ?? ?? 89 06 33 C9 8B 55 FC 8B DA 8B 03 F7 6D 0C 83 C0 32 BF 64 00 00 00 99 F7 FF 85 C0 7F 05 B8 01 00 00 00 3D FF 7F 00 00 7E 05 B8 FF 7F 00 00 83 7D 08 00 74 0C 3D FF 00 00 00 7E 05 B8 FF 00 00 00 8B 16 66 89 04 4A 41 83 C3 04 83 F9 40 7C BA 8B 0E 33 DB 89 99 80 00 00 00 5F 5E 5B 59 5D C2 08 00 90 53 56 57 8B F9 8B F2 8B D8 56 57 B9 ?? ?? ?? ?? 33 D2 8B C3 E8 2F FF FF FF 56 57 B9 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 1C FF FF FF 5F 5E 5B C3 53 8B C8 85 C9 7F 05 B9 01 00 00 00 83 F9 64 7E 05 B9 64 00 00 00 83 F9 32 7D 0C B8 88 13 00 00 99 F7 F9 8B C8 EB 0B 03 C9 BB C8 00 00 00 2B D9 8B CB 8B C1 5B C3 90 90 }
	condition:
		$1
}

rule function_81723_0 {
	meta:
		name = "jpeg_set_quality"
		size = 252
		refs = "0033 @jpeg_alloc_huff_table 0040 memcpy 00a8 _DV_."
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C2 E8 BB FF FF FF 8B D0 8B CE 8B C3 E8 80 FF FF FF 5E 5B C3 90 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 83 3E 00 75 0A 8B 45 FC E8 ?? ?? ?? ?? 89 06 6A 11 57 8B 16 52 E8 ?? ?? ?? ?? 83 C4 0C 33 DB BA 01 00 00 00 8D 47 01 33 C9 42 8A 08 40 03 D9 83 FA 10 7E F3 83 FB 01 7C 08 81 FB 00 01 00 00 7E 13 8B 4D FC 8B 01 C7 40 14 08 00 00 00 8B 45 FC 8B 10 FF 12 53 8B 4D 08 51 8B 3E 83 C7 11 57 E8 ?? ?? ?? ?? 83 C4 0C 8B 06 33 D2 89 90 14 01 00 00 5F 5E 5B 59 5D C2 04 00 90 53 8B D8 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8D 53 58 8B C3 E8 61 FF FF FF 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8D 53 68 8B C3 E8 4D FF FF FF 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8D 53 5C 8B C3 E8 39 FF FF FF 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8D 53 6C 8B C3 E8 25 FF FF FF 5B C3 90 90 90 }
	condition:
		$1
}

rule function_81724_0 {
	meta:
		name = "jpeg_set_defaults"
		size = 372
		refs = "010b _DF_."
	strings:
		$1 = { 53 8B D8 56 83 7B 14 64 74 15 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 83 7B 44 00 75 11 8B C3 B9 48 03 00 00 33 D2 8B 70 04 FF 16 89 43 44 C7 43 38 08 00 00 00 B9 01 00 00 00 BA 4B 00 00 00 8B C3 E8 B6 FE FF FF 8B C3 E8 53 FF FF FF 33 D2 8D 43 78 C6 00 00 C6 40 10 01 C6 40 20 05 42 40 83 FA 10 7C EE 33 D2 33 C9 89 93 AC 00 00 00 89 8B A8 00 00 00 33 C9 33 C0 89 8B B0 00 00 00 33 D2 89 83 B4 00 00 00 89 93 B8 00 00 00 83 7B 38 08 7E 0A C7 83 B8 00 00 00 01 00 00 00 33 C9 33 C0 89 8B BC 00 00 00 89 83 C0 00 00 00 C7 83 C4 00 00 00 02 00 00 00 33 D2 33 C9 89 93 C8 00 00 00 89 8B CC 00 00 00 C6 83 D4 00 00 00 01 C6 83 D5 00 00 00 01 C6 83 D6 00 00 00 00 66 C7 83 D8 00 00 00 01 00 66 C7 83 DA 00 00 00 01 00 8B C3 E8 04 00 00 00 5E 5B C3 90 8B 50 28 83 FA 05 77 5E FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BA 01 00 00 00 E8 43 00 00 00 C3 BA 03 00 00 00 E8 38 00 00 00 C3 BA 03 00 00 00 E8 2D 00 00 00 C3 BA 04 00 00 00 E8 22 00 00 00 C3 BA 05 00 00 00 E8 17 00 00 00 C3 33 D2 E8 0F 00 00 00 C3 8B 08 C7 41 14 09 00 00 00 8B 10 FF 12 C3 }
	condition:
		$1
}

rule function_81725_0 {
	meta:
		name = "jpeg_set_colorspace"
		size = 1128
		refs = "0040 _DF_."
	strings:
		$1 = { 53 8B D8 56 8B F2 83 7B 14 64 74 15 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 89 73 40 33 C9 89 8B D0 00 00 00 33 C9 89 8B DC 00 00 00 83 FE 05 0F 87 66 03 00 00 FF 24 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 83 D0 00 00 00 01 00 00 00 C7 43 3C 01 00 00 00 8B 43 44 33 D2 C7 00 01 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 50 10 33 D2 89 50 14 33 C9 89 48 18 5E 5B C3 C7 83 DC 00 00 00 01 00 00 00 C7 43 3C 03 00 00 00 8B 43 44 33 D2 33 C9 C7 00 52 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 50 10 33 D2 89 48 14 89 50 18 8B 43 44 33 C9 83 C0 54 33 D2 C7 00 47 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 48 10 33 C9 89 50 14 89 48 18 8B 43 44 33 D2 05 A8 00 00 00 33 C9 C7 00 42 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 50 10 33 D2 89 48 14 89 50 18 5E 5B C3 C7 83 D0 00 00 00 01 00 00 00 C7 43 3C 03 00 00 00 8B 43 44 33 C9 33 D2 C7 00 01 00 00 00 C7 40 08 02 00 00 00 C7 40 0C 02 00 00 00 89 48 10 33 C9 89 50 14 89 48 18 8B 43 44 83 C0 54 C7 00 02 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 C7 40 10 01 00 00 00 C7 40 14 01 00 00 00 C7 40 18 01 00 00 00 8B 43 44 05 A8 00 00 00 C7 00 03 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 C7 40 10 01 00 00 00 C7 40 14 01 00 00 00 C7 40 18 01 00 00 00 5E 5B C3 C7 83 DC 00 00 00 01 00 00 00 C7 43 3C 04 00 00 00 8B 43 44 33 D2 33 C9 C7 00 43 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 50 10 33 D2 89 48 14 89 50 18 8B 43 44 33 C9 83 C0 54 33 D2 C7 00 4D 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 48 10 33 C9 89 50 14 89 48 18 8B 43 44 33 D2 05 A8 00 00 00 33 C9 C7 00 59 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 50 10 33 D2 89 48 14 89 50 18 8B 43 44 33 C9 05 FC 00 00 00 33 D2 C7 00 4B 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 48 10 33 C9 89 50 14 89 48 18 5E 5B C3 C7 83 DC 00 00 00 01 00 00 00 C7 43 3C 04 00 00 00 8B 43 44 33 D2 33 C9 C7 00 01 00 00 00 C7 40 08 02 00 00 00 C7 40 0C 02 00 00 00 89 50 10 33 D2 89 48 14 89 50 18 8B 43 44 33 D2 83 C0 54 33 C9 C7 00 02 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 C7 40 10 01 00 00 00 C7 40 14 01 00 00 00 C7 40 18 01 00 00 00 8B 43 44 05 A8 00 00 00 C7 00 03 00 00 00 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 C7 40 10 01 00 00 00 C7 40 14 01 00 00 00 C7 40 18 01 00 00 00 8B 43 44 05 FC 00 00 00 C7 00 04 00 00 00 C7 40 08 02 00 00 00 C7 40 0C 02 00 00 00 89 50 10 33 D2 89 48 14 89 50 18 5E 5B C3 8B 43 24 89 43 3C 8B 43 3C 83 F8 01 7C 05 83 F8 0A 7E 1C 8B 03 C7 40 14 1A 00 00 00 8B 53 3C 89 50 18 C7 40 1C 0A 00 00 00 8B C3 8B 10 FF 12 33 D2 EB 2C 8D 04 92 33 C9 8D 04 82 C1 E0 02 03 43 44 89 10 C7 40 08 01 00 00 00 C7 40 0C 01 00 00 00 89 48 10 33 C9 89 48 14 33 C9 89 48 18 42 3B 53 3C 7C CF 5E 5B C3 8B 03 C7 40 14 0A 00 00 00 8B C3 8B 10 FF 12 5E 5B C3 90 90 90 55 8B EC C7 00 01 00 00 00 89 50 04 89 48 14 8B 55 10 89 50 18 8B 4D 0C 89 48 1C 8B 55 08 89 50 20 83 C0 24 5D C2 0C 00 55 8B EC 53 56 57 8B 75 10 33 DB 3B D3 7E 23 C7 00 01 00 00 00 89 58 04 89 48 14 89 70 18 8B 7D 0C 89 78 1C 8B 7D 08 89 78 20 83 C0 24 43 3B D3 7F DD 5F 5E 5B 5D C2 0C 00 90 90 90 55 8B EC 53 56 83 FA 04 7F 2B 89 10 33 DB 8D 70 04 3B D3 7E 0A 89 1E 43 83 C6 04 3B D3 7F F6 33 D2 89 50 18 89 50 14 89 48 1C 8B 4D 08 89 48 20 83 C0 24 EB 0E 6A 00 51 8B 4D 08 51 33 C9 E8 81 FF FF FF 5E 5B 5D C2 04 00 90 90 90 }
	condition:
		$1
}

rule function_81726_0 {
	meta:
		name = "jpeg_simple_progression"
		size = 538
	strings:
		$1 = { 53 56 8B F0 57 51 83 7E 14 64 8B 7E 3C 74 15 8B 06 C7 40 14 14 00 00 00 8B 56 14 89 50 18 8B C6 8B 10 FF 12 83 FF 03 75 0F 83 7E 40 03 75 09 C7 04 24 0A 00 00 00 EB 1C 83 FF 04 7E 0C 8B CF 03 C9 8D 0C 49 89 0C 24 EB 0B 8B C7 C1 E0 02 83 C0 02 89 04 24 83 BE 70 01 00 00 00 74 0B 8B 96 74 01 00 00 3B 14 24 7D 31 83 3C 24 0A 7E 05 8B 0C 24 EB 05 B9 0A 00 00 00 89 8E 74 01 00 00 8B C6 8B 8E 74 01 00 00 C1 E1 02 8B 58 04 33 D2 8D 0C C9 FF 13 89 86 70 01 00 00 8B 9E 70 01 00 00 83 FF 03 89 9E AC 00 00 00 8B 04 24 89 86 A8 00 00 00 0F 85 E7 00 00 00 83 7E 40 03 0F 85 DD 00 00 00 6A 01 33 C9 8B D7 8B C3 E8 E6 FE FF FF 8B D8 6A 05 6A 00 6A 02 B9 01 00 00 00 33 D2 8B C3 E8 6C FE FF FF 8B D8 6A 3F 6A 00 6A 01 B9 01 00 00 00 BA 02 00 00 00 8B C3 E8 53 FE FF FF 8B D8 6A 3F 6A 00 6A 01 B9 01 00 00 00 BA 01 00 00 00 8B C3 E8 3A FE FF FF 8B D8 6A 3F 6A 00 6A 02 B9 06 00 00 00 33 D2 8B C3 E8 24 FE FF FF 8B D8 6A 3F 6A 02 6A 01 B9 01 00 00 00 33 D2 8B C3 E8 0E FE FF FF 8B D8 6A 00 B9 01 00 00 00 8B D7 8B C3 E8 60 FE FF FF 8B D8 6A 3F 6A 01 6A 00 B9 01 00 00 00 BA 02 00 00 00 8B C3 E8 E3 FD FF FF 8B D8 6A 3F 6A 01 6A 00 B9 01 00 00 00 BA 01 00 00 00 8B C3 E8 CA FD FF FF 8B D8 6A 3F 6A 01 6A 00 B9 01 00 00 00 33 D2 8B C3 E8 B4 FD FF FF EB 77 6A 01 33 C9 8B D7 8B C3 E8 09 FE FF FF 8B D8 6A 05 6A 00 6A 02 B9 01 00 00 00 8B D7 8B C3 E8 B7 FD FF FF 8B D8 6A 3F 6A 00 6A 02 B9 06 00 00 00 8B D7 8B C3 E8 A1 FD FF FF 8B D8 6A 3F 6A 02 6A 01 B9 01 00 00 00 8B D7 8B C3 E8 8B FD FF FF 8B D8 6A 00 B9 01 00 00 00 8B D7 8B C3 E8 B5 FD FF FF 8B D8 6A 3F 6A 01 6A 00 B9 01 00 00 00 8B D7 8B C3 E8 63 FD FF FF 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81727_0 {
	meta:
		name = "jpeg_start_compress"
		size = 116
		refs = "002a @jpeg_suppress_tables 0040 @jinit_compress_master"
	strings:
		$1 = { 53 8B D8 56 8B F2 83 7B 14 64 74 15 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 85 F6 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 10 8B C3 8B 50 18 FF 52 08 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 90 4C 01 00 00 FF 12 33 C9 89 8B E0 00 00 00 83 BB B0 00 00 00 00 74 07 B9 66 00 00 00 EB 05 B9 65 00 00 00 89 4B 14 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_81728_0 {
	meta:
		name = "jpeg_write_scanlines"
		size = 361
	strings:
		$1 = { 53 8B D8 56 57 51 8B FA 83 7B 14 65 8B F1 74 15 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 8B 8B E0 00 00 00 3B 4B 20 72 13 8B 0B 8B C3 83 CA FF C7 41 14 7B 00 00 00 8B 08 FF 51 04 8B 43 08 85 C0 74 16 8B 93 E0 00 00 00 89 50 04 8B 53 20 89 50 08 8B C3 8B 48 08 FF 11 8B 8B 4C 01 00 00 83 79 0C 00 74 0B 8B C3 8B 90 4C 01 00 00 FF 52 04 8B 43 20 2B 83 E0 00 00 00 3B C6 73 02 8B F0 33 C0 8B D7 89 04 24 8B C3 56 8D 4C 24 04 8B B0 50 01 00 00 FF 56 04 8B 04 24 01 83 E0 00 00 00 8B 04 24 5A 5F 5E 5B C3 90 90 53 8B D8 56 57 55 8B E9 83 7B 14 66 8B FA 74 15 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 8B 8B E0 00 00 00 3B 4B 20 72 17 8B 0B 8B C3 83 CA FF C7 41 14 7B 00 00 00 8B 08 FF 51 04 33 C0 EB 6D 8B 43 08 85 C0 74 16 8B 93 E0 00 00 00 89 50 04 8B 4B 20 89 48 08 8B C3 8B 50 08 FF 12 8B 8B 4C 01 00 00 83 79 0C 00 74 0B 8B C3 8B 90 4C 01 00 00 FF 52 04 8B B3 EC 00 00 00 C1 E6 03 3B F5 76 0F 8B 03 C7 40 14 17 00 00 00 8B C3 8B 10 FF 12 8B D7 8B C3 8B 88 58 01 00 00 FF 51 04 85 C0 75 04 33 C0 EB 08 01 B3 E0 00 00 00 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81729_0 {
	meta:
		name = "jpeg_CreateCompress"
		size = 216
		refs = "0059 memset 006d @jinit_memory_mgr 00c9 jpeg_destroy 00d1 @jpeg_abort"
	strings:
		$1 = { 53 8B D8 56 33 C0 57 89 43 04 83 FA 3E 8B F1 74 19 8B 03 C7 40 14 0C 00 00 00 C7 40 18 3E 00 00 00 89 50 1C 8B C3 8B 10 FF 12 81 FE 78 01 00 00 74 19 8B 03 C7 40 14 15 00 00 00 C7 40 18 78 01 00 00 89 70 1C 8B C3 8B 10 FF 12 8B 33 8B 7B 0C 68 78 01 00 00 6A 00 53 E8 ?? ?? ?? ?? 83 C4 0C 89 33 89 7B 0C 33 C0 89 43 10 8B C3 E8 ?? ?? ?? ?? 33 D2 33 C9 89 53 08 89 4B 18 33 C9 33 C0 89 4B 44 8D 53 48 33 C9 40 89 0A 83 C2 04 83 F8 04 7C F3 33 C0 8D 53 58 33 C9 89 0A 33 C9 89 4A 10 40 83 C2 04 83 F8 04 7C EE 33 C0 33 D2 89 83 70 01 00 00 89 53 30 C7 43 34 00 00 F0 3F C7 43 14 64 00 00 00 5F 5E 5B C3 E8 ?? ?? ?? ?? C3 90 90 E8 ?? ?? ?? ?? C3 90 90 }
	condition:
		$1
}

rule function_81730_0 {
	meta:
		name = "@jpeg_suppress_tables"
		size = 72
	strings:
		$1 = { 53 56 33 C9 8D 58 48 8B 33 85 F6 74 06 89 96 80 00 00 00 41 83 C3 04 83 F9 04 7C EB 33 C9 83 C0 58 8B 18 85 DB 74 06 89 93 14 01 00 00 8B 58 10 85 DB 74 06 89 93 14 01 00 00 41 83 C0 04 83 F9 04 7C DE 5E 5B C3 90 90 }
	condition:
		$1
}

rule function_81731_0 {
	meta:
		name = "jpeg_finish_compress"
		size = 497
		refs = "00d3 @jpeg_abort 01d8 @jinit_marker_writer"
	strings:
		$1 = { 53 8B D8 56 8B 43 14 83 F8 65 74 05 83 F8 66 75 27 8B 93 E0 00 00 00 3B 53 20 73 0F 8B 0B 8B C3 C7 41 14 43 00 00 00 8B 10 FF 12 8B C3 8B 90 4C 01 00 00 FF 52 08 EB 79 83 7B 14 67 74 73 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 EB 5C 8B C3 8B 90 4C 01 00 00 FF 12 33 F6 EB 3B 8B 43 08 85 C0 74 13 89 70 04 8B 93 F0 00 00 00 89 50 08 8B C3 8B 50 08 FF 12 33 D2 8B C3 8B 88 58 01 00 00 FF 51 04 85 C0 75 0F 8B 0B 8B C3 C7 41 14 18 00 00 00 8B 10 FF 12 46 3B B3 F0 00 00 00 72 BD 8B C3 8B 90 4C 01 00 00 FF 52 08 8B 8B 4C 01 00 00 83 79 10 00 74 98 8B C3 8B 90 5C 01 00 00 FF 52 0C 8B C3 8B 50 18 FF 52 10 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 90 90 55 8B EC 53 8B D8 56 57 83 BB E0 00 00 00 00 8B FA 8B F1 75 12 8B 43 14 83 F8 65 74 1F 83 F8 66 74 1A 83 F8 67 74 15 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 8B C3 8B D7 8B 4D 08 8B B8 5C 01 00 00 FF 57 14 8B 83 5C 01 00 00 8B 78 18 EB 09 33 D2 8A 16 8B C3 FF D7 46 8B 4D 08 83 45 08 FF 85 C9 75 EC 5F 5E 5B 5D C2 04 00 90 90 53 8B D8 56 57 83 BB E0 00 00 00 00 8B F9 8B F2 75 12 8B 43 14 83 F8 65 74 1F 83 F8 66 74 1A 83 F8 67 74 15 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 8B C3 8B CF 8B D6 8B 98 5C 01 00 00 FF 53 14 5F 5E 5B C3 8B 88 5C 01 00 00 FF 51 18 C3 90 90 53 8B D8 83 7B 14 64 74 15 8B 03 C7 40 14 14 00 00 00 8B 53 14 89 50 18 8B C3 8B 10 FF 12 8B C3 8B 10 FF 52 10 8B C3 8B 50 18 FF 52 08 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 90 5C 01 00 00 FF 52 10 8B C3 8B 50 18 FF 52 10 5B C3 }
	condition:
		$1
}

rule function_81732_0 {
	meta:
		name = "@jinit_compress_master"
		size = 172
		refs = "0008 @jinit_c_master_control 0018 @jinit_color_converter 001f @jinit_downsampler 0028 @jinit_c_prep_controller 002f @jinit_forward_dct 0059 @jinit_phuff_encoder 0062 @jinit_huff_encoder 0084 @jinit_c_coef_controller 008d @jinit_c_main_controller 0094 @jinit_marker_writer"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 83 BB B0 00 00 00 00 75 17 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 BB B4 00 00 00 00 74 11 8B 13 8B C3 C7 42 14 01 00 00 00 8B 10 FF 12 EB 19 83 BB E4 00 00 00 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 83 BB A8 00 00 00 01 7F 0D 83 BB B8 00 00 00 00 75 04 33 D2 EB 05 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 50 04 FF 52 18 8B C3 8B 90 5C 01 00 00 FF 12 5B C3 }
	condition:
		$1
}

rule function_81733_0 {
	meta:
		name = "_DF_."
		size = 2008
		refs = "010a jpeg_natural_order"
	strings:
		$1 = { 53 8B D8 56 8B 43 18 8B 08 FF 00 88 11 FF 48 04 75 1A 8B F0 8B C3 FF 56 0C 85 C0 75 0F 8B 13 8B C3 C7 42 14 18 00 00 00 8B 10 FF 12 5E 5B C3 90 53 56 8B F2 8B D8 BA FF 00 00 00 8B C3 E8 BE FF FF FF 8B D6 8B C3 E8 B5 FF FF FF 5E 5B C3 90 90 53 56 8B F2 8B D8 8B D6 8B C3 C1 FA 08 81 E2 FF 00 00 00 E8 98 FF FF FF 8B D6 8B C3 81 E2 FF 00 00 00 E8 89 FF FF FF 5E 5B C3 90 90 53 56 57 55 83 C4 F4 89 14 24 8B F0 8B 04 24 8B 6C 86 48 85 ED 75 15 8B 06 C7 40 14 34 00 00 00 8B 14 24 89 50 18 8B C6 8B 10 FF 12 33 FF 33 DB 8B C5 0F B7 10 81 FA FF 00 00 00 7E 05 BF 01 00 00 00 43 83 C0 02 83 FB 40 7C E7 83 BD 80 00 00 00 00 0F 85 83 00 00 00 BA DB 00 00 00 8B C6 E8 50 FF FF FF 85 FF 74 07 BA 83 00 00 00 EB 05 BA 43 00 00 00 8B C6 E8 59 FF FF FF 8B D7 8B C6 C1 E2 04 03 14 24 E8 FA FE FF FF C7 44 24 08 ?? ?? ?? ?? 33 DB 8B 44 24 08 85 FF 8B 10 0F B7 4C 55 00 89 4C 24 04 74 0E 8B 54 24 04 8B C6 C1 EA 08 E8 CF FE FF FF 8B 54 24 04 8B C6 81 E2 FF 00 00 00 E8 BE FE FF FF 43 83 44 24 08 04 83 FB 40 7C C3 C7 85 80 00 00 00 01 00 00 00 8B C7 83 C4 0C 5D 5F 5E 5B C3 90 90 90 53 56 57 55 83 C4 F4 89 14 24 8B F0 85 C9 74 0D 8B 04 24 8B 7C 86 68 83 04 24 10 EB 07 8B 04 24 8B 7C 86 58 85 FF 75 15 8B 06 C7 40 14 32 00 00 00 8B 14 24 89 50 18 8B C6 8B 10 FF 12 83 BF 14 01 00 00 00 0F 85 89 00 00 00 BA C4 00 00 00 8B C6 E8 76 FE FF FF 33 ED BB 01 00 00 00 8D 47 01 33 D2 43 8A 10 40 03 EA 83 FB 10 7E F3 8D 55 13 8B C6 E8 75 FE FF FF 8B 14 24 8B C6 E8 1B FE FF FF BB 01 00 00 00 8D 47 01 89 44 24 04 8B 54 24 04 0F B6 12 8B C6 E8 01 FE FF FF 43 FF 44 24 04 83 FB 10 7E E8 33 DB 8D 47 11 89 44 24 08 3B EB 7E 17 8B 54 24 08 0F B6 12 8B C6 E8 DC FD FF FF 43 FF 44 24 08 3B EB 7F E9 C7 87 14 01 00 00 01 00 00 00 83 C4 0C 5D 5F 5E 5B C3 90 C3 90 90 90 53 8B D8 BA DD 00 00 00 8B C3 E8 DD FD FF FF BA 04 00 00 00 8B C3 E8 F1 FD FF FF 8B 93 C8 00 00 00 8B C3 E8 E4 FD FF FF 5B C3 90 90 53 56 57 8B D8 8B C3 E8 B4 FD FF FF 8B 53 3C 8B C3 8D 14 52 83 C2 08 E8 C4 FD FF FF 81 7B 20 FF FF 00 00 7F 09 81 7B 1C FF FF 00 00 7E 16 8B 03 C7 40 14 29 00 00 00 C7 40 18 FF FF 00 00 8B C3 8B 10 FF 12 8B 53 38 8B C3 E8 42 FD FF FF 8B 53 20 8B C3 E8 88 FD FF FF 8B 53 1C 8B C3 E8 7E FD FF FF 8B 53 3C 8B C3 E8 24 FD FF FF 33 FF 8B 73 44 EB 27 8B 16 8B C3 E8 14 FD FF FF 8B 56 08 8B C3 C1 E2 04 03 56 0C E8 04 FD FF FF 8B 56 10 8B C3 E8 FA FC FF FF 47 83 C6 54 3B 7B 3C 7C D4 5F 5E 5B C3 90 53 56 57 55 8B D8 BA DA 00 00 00 8B C3 E8 0A FD FF FF 8B 93 F4 00 00 00 8B C3 03 D2 83 C2 06 E8 18 FD FF FF 8B 93 F4 00 00 00 8B C3 E8 BB FC FF FF 33 ED 8D BB F8 00 00 00 EB 4D 8B 37 8B C3 8B 16 E8 A6 FC FF FF 8B 46 14 8B 56 18 83 BB E4 00 00 00 00 74 23 83 BB 3C 01 00 00 00 75 18 33 D2 83 BB 44 01 00 00 00 74 0F 83 BB B4 00 00 00 00 75 06 33 C0 EB 02 33 C0 C1 E0 04 03 D0 8B C3 E8 68 FC FF FF 45 83 C7 04 3B AB F4 00 00 00 7C AB 8B 93 3C 01 00 00 8B C3 E8 4F FC FF FF 8B 93 40 01 00 00 8B C3 E8 42 FC FF FF 8B 93 44 01 00 00 8B C3 C1 E2 04 03 93 48 01 00 00 E8 2C FC FF FF 5D 5F 5E 5B C3 90 90 90 53 8B D8 BA E0 00 00 00 8B C3 E8 45 FC FF FF BA 10 00 00 00 8B C3 E8 59 FC FF FF BA 4A 00 00 00 8B C3 E8 FD FB FF FF BA 46 00 00 00 8B C3 E8 F1 FB FF FF BA 49 00 00 00 8B C3 E8 E5 FB FF FF BA 46 00 00 00 8B C3 E8 D9 FB FF FF 33 D2 8B C3 E8 D0 FB FF FF 33 D2 8B C3 8A 93 D4 00 00 00 E8 C1 FB FF FF 33 D2 8B C3 8A 93 D5 00 00 00 E8 B2 FB FF FF 33 D2 8B C3 8A 93 D6 00 00 00 E8 A3 FB FF FF 0F B7 93 D8 00 00 00 8B C3 E8 E5 FB FF FF 0F B7 93 DA 00 00 00 8B C3 E8 D7 FB FF FF 33 D2 8B C3 E8 7E FB FF FF 33 D2 8B C3 E8 75 FB FF FF 5B C3 90 90 90 53 8B D8 BA EE 00 00 00 8B C3 E8 91 FB FF FF BA 0E 00 00 00 8B C3 E8 A5 FB FF FF BA 41 00 00 00 8B C3 E8 49 FB FF FF BA 64 00 00 00 8B C3 E8 3D FB FF FF BA 6F 00 00 00 8B C3 E8 31 FB FF FF BA 62 00 00 00 8B C3 E8 25 FB FF FF BA 65 00 00 00 8B C3 E8 19 FB FF FF BA 64 00 00 00 8B C3 E8 5D FB FF FF 33 D2 8B C3 E8 54 FB FF FF 33 D2 8B C3 E8 4B FB FF FF 8B 4B 40 83 E9 03 74 07 83 E9 02 74 10 EB 1C BA 01 00 00 00 8B C3 E8 E0 FA FF FF 5B C3 BA 02 00 00 00 8B C3 E8 D2 FA FF FF 5B C3 33 D2 8B C3 E8 C7 FA FF FF 5B C3 90 53 56 57 8B F1 8B FA 8B D8 81 FE FD FF 00 00 76 0F 8B 03 C7 40 14 0B 00 00 00 8B C3 8B 10 FF 12 8B D7 8B C3 E8 CB FA FF FF 8D 56 02 8B C3 E8 E1 FA FF FF 5F 5E 5B C3 90 E8 87 FA FF FF C3 90 90 53 8B D8 56 8B C3 8B B3 5C 01 00 00 BA D8 00 00 00 E8 9E FA FF FF 33 C9 89 4E 1C 83 BB D0 00 00 00 00 74 07 8B C3 E8 35 FE FF FF 83 BB DC 00 00 00 00 74 07 8B C3 E8 D9 FE FF FF 5E 5B C3 90 90 53 56 57 55 51 8B D8 33 C0 89 04 24 33 FF 8B 73 44 EB 11 8B 56 10 8B C3 E8 A3 FA FF FF 01 04 24 47 83 C6 54 3B 7B 3C 7C EA 83 BB B4 00 00 00 00 75 0F 83 BB E4 00 00 00 00 75 06 83 7B 38 08 74 04 33 ED EB 41 BD 01 00 00 00 33 FF 8B 73 44 EB 12 83 7E 14 01 7F 06 83 7E 18 01 7E 02 33 ED 47 83 C6 54 3B 7B 3C 7C E9 83 3C 24 00 74 18 85 ED 74 14 33 ED 8B 03 C7 40 14 4B 00 00 00 33 D2 8B C3 8B 08 FF 51 04 83 BB B4 00 00 00 00 74 0E BA C9 00 00 00 8B C3 E8 19 FC FF FF EB 35 83 BB E4 00 00 00 00 74 0E BA C2 00 00 00 8B C3 E8 02 FC FF FF EB 1E 85 ED 74 0E BA C0 00 00 00 8B C3 E8 F0 FB FF FF EB 0C BA C1 00 00 00 8B C3 E8 E2 FB FF FF 5A 5D 5F 5E 5B C3 53 56 8B D8 57 55 51 8B 83 5C 01 00 00 89 04 24 83 BB B4 00 00 00 00 74 09 8B C3 E8 8C FB FF FF EB 6D 33 ED 8D BB F8 00 00 00 EB 5B 83 BB E4 00 00 00 00 8B 37 74 31 83 BB 3C 01 00 00 00 75 17 83 BB 44 01 00 00 00 75 3A 33 C9 8B 56 14 8B C3 E8 7B FA FF FF EB 2C B9 01 00 00 00 8B 56 18 8B C3 E8 6A FA FF FF EB 1B 33 C9 8B 56 14 8B C3 E8 5C FA FF FF B9 01 00 00 00 8B 56 18 8B C3 E8 4D FA FF FF 45 83 C7 04 3B AB F4 00 00 00 7C 9D 8B 0C 24 8B 41 1C 3B 83 C8 00 00 00 74 13 8B C3 E8 0C FB FF FF 8B 14 24 8B 8B C8 00 00 00 89 4A 1C 8B C3 E8 C9 FB FF FF 5A 5D 5F 5E 5B C3 90 90 90 BA D9 00 00 00 E8 D2 F8 FF FF C3 90 53 56 57 8B F8 BA D8 00 00 00 8B C7 E8 BF F8 FF FF 33 DB 8D 77 48 83 3E 00 74 09 8B D3 8B C7 E8 F8 F8 FF FF 43 83 C6 04 83 FB 04 7C E9 83 BF B4 00 00 00 00 75 32 33 DB 8D 77 58 83 3E 00 74 0B 33 C9 8B D3 8B C7 E8 B9 F9 FF FF 83 7E 10 00 74 0E B9 01 00 00 00 8B D3 8B C7 E8 A5 F9 FF FF 43 83 C6 04 83 FB 04 7C D3 BA D9 00 00 00 8B C7 E8 5C F8 FF FF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81734_0 {
	meta:
		name = "@jinit_marker_writer"
		size = 83
		refs = "001d _DF_."
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 20 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 83 5C 01 00 00 C7 00 ?? ?? ?? ?? C7 40 04 ?? ?? ?? ?? C7 40 08 ?? ?? ?? ?? C7 40 0C ?? ?? ?? ?? C7 40 10 ?? ?? ?? ?? C7 40 14 ?? ?? ?? ?? C7 40 18 ?? ?? ?? ?? 33 D2 89 50 1C 5E 5B C3 }
	condition:
		$1
}

rule function_81735_0 {
	meta:
		name = "_DF_."
		size = 2664
		refs = "0151 @jdiv_round_up"
	strings:
		$1 = { 53 8B D8 56 57 83 7B 20 00 76 12 83 7B 1C 00 76 0C 83 7B 3C 00 7E 06 83 7B 24 00 7F 0F 8B 03 C7 40 14 20 00 00 00 8B C3 8B 10 FF 12 81 7B 20 DC FF 00 00 7F 09 81 7B 1C DC FF 00 00 7E 16 8B 03 C7 40 14 29 00 00 00 C7 40 18 DC FF 00 00 8B C3 8B 10 FF 12 8B 43 1C F7 6B 24 8B D0 3B C2 74 0F 8B 0B 8B C3 C7 41 14 46 00 00 00 8B 10 FF 12 83 7B 38 08 74 15 8B 03 C7 40 14 0F 00 00 00 8B 53 38 89 50 18 8B C3 8B 10 FF 12 83 7B 3C 0A 7E 1C 8B 03 C7 40 14 1A 00 00 00 8B 53 3C 89 50 18 C7 40 1C 0A 00 00 00 8B C3 8B 10 FF 12 C7 83 E8 00 00 00 01 00 00 00 C7 83 EC 00 00 00 01 00 00 00 33 FF 8B 73 44 EB 63 8B 46 08 85 C0 7E 11 83 F8 04 7F 0C 83 7E 0C 00 7E 06 83 7E 0C 04 7E 0F 8B 13 8B C3 C7 42 14 12 00 00 00 8B 10 FF 12 8B 8B E8 00 00 00 3B 4E 08 7E 08 8B 8B E8 00 00 00 EB 03 8B 4E 08 89 8B E8 00 00 00 8B 83 EC 00 00 00 3B 46 0C 7E 08 8B 93 EC 00 00 00 EB 03 8B 56 0C 89 93 EC 00 00 00 47 83 C6 54 3B 7B 3C 7C 98 33 FF 8B 73 44 EB 6D 89 7E 04 C7 46 24 08 00 00 00 8B 93 E8 00 00 00 C1 E2 03 8B 43 1C 0F AF 46 08 E8 ?? ?? ?? ?? 89 46 1C 8B 93 EC 00 00 00 C1 E2 03 8B 43 20 0F AF 46 0C E8 ?? ?? ?? ?? 89 46 20 8B 43 1C F7 6E 08 8B 93 E8 00 00 00 E8 ?? ?? ?? ?? 89 46 28 8B 43 20 F7 6E 0C 8B 93 EC 00 00 00 E8 ?? ?? ?? ?? 89 46 2C C7 46 30 01 00 00 00 47 83 C6 54 3B 7B 3C 7C 8E 8B 93 EC 00 00 00 8B 43 20 C1 E2 03 E8 ?? ?? ?? ?? 89 83 F0 00 00 00 5F 5E 5B C3 90 53 56 57 8B F0 55 81 C4 B8 F5 FF FF 83 BE A8 00 00 00 00 7F 16 8B 06 33 C9 C7 40 14 13 00 00 00 8B 16 8B C6 89 4A 18 8B 10 FF 12 8B 8E AC 00 00 00 89 0C 24 8B 3C 24 83 7F 14 00 75 09 8B 04 24 83 78 18 3F 74 36 C7 86 E4 00 00 00 01 00 00 00 8D 5C 24 48 33 C0 89 44 24 0C EB 15 33 FF C7 03 FF FF FF FF 83 C3 04 47 83 FF 40 7C F1 FF 44 24 0C 8B 44 24 0C 3B 46 3C 7C E2 EB 28 33 D2 33 C9 89 96 E4 00 00 00 89 4C 24 0C 8D 44 24 20 EB 0B 33 D2 89 10 FF 44 24 0C 83 C0 04 8B 4C 24 0C 3B 4E 3C 7C EC C7 44 24 04 01 00 00 00 E9 AE 02 00 00 8B 3C 24 8B 07 89 44 24 08 83 7C 24 08 00 7E 07 83 7C 24 08 04 7E 1D 8B 06 C7 40 14 1A 00 00 00 8B 54 24 08 89 50 18 C7 40 1C 04 00 00 00 8B C6 8B 10 FF 12 33 C9 89 4C 24 0C 8B 3C 24 83 C7 04 8B 44 24 0C 3B 44 24 08 7D 54 8B 1F 85 DB 7C 05 3B 5E 3C 7C 16 8B 06 C7 40 14 13 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 83 7C 24 0C 00 7E 1B 3B 5F FC 7F 16 8B 06 C7 40 14 13 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 FF 44 24 0C 83 C7 04 8B 4C 24 0C 3B 4C 24 08 7C AC 8B 3C 24 8B 47 14 89 44 24 10 8B 14 24 8B 4A 18 89 4C 24 14 8B 3C 24 8B 04 24 8B 50 20 8B 6F 1C 89 54 24 18 83 BE E4 00 00 00 00 0F 84 5A 01 00 00 83 7C 24 10 00 7C 2F 83 7C 24 10 40 7D 28 8B 4C 24 14 3B 4C 24 10 7C 1E 83 7C 24 14 40 7D 17 85 ED 7C 13 83 FD 0A 7F 0E 83 7C 24 18 00 7C 07 83 7C 24 18 0A 7E 16 8B 06 C7 40 14 11 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 83 7C 24 10 00 75 1F 83 7C 24 14 00 74 35 8B 06 C7 40 14 11 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 EB 1D 83 7C 24 08 01 74 16 8B 06 C7 40 14 11 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 33 C9 89 4C 24 0C 8B 3C 24 8D 47 04 89 44 24 1C 8B 54 24 0C 3B 54 24 08 0F 8D 2A 01 00 00 8B 4C 24 1C 8B 19 C1 E3 08 8D 44 24 48 03 D8 83 7C 24 10 00 74 1B 83 3B 00 7D 16 8B 06 C7 40 14 11 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 8B 7C 24 10 3B 7C 24 14 8D 04 BB 8B D8 7F 54 83 3B 00 7D 1C 85 ED 74 3B 8B 06 C7 40 14 11 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 EB 23 3B 2B 75 09 8D 4D FF 3B 4C 24 18 74 16 8B 06 C7 40 14 11 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 8B 4C 24 18 89 0B 47 83 C3 04 3B 7C 24 14 7E AC FF 44 24 0C 83 44 24 1C 04 8B 7C 24 0C 3B 7C 24 08 0F 8C 55 FF FF FF EB 7D 83 7C 24 10 00 75 12 83 7C 24 14 3F 75 0B 85 ED 75 07 83 7C 24 18 00 74 16 8B 06 C7 40 14 11 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 33 C9 89 4C 24 0C 8B 3C 24 83 C7 04 8B 44 24 0C 3B 44 24 08 7D 38 8B 1F 83 7C 9C 20 00 74 16 8B 06 C7 40 14 13 00 00 00 8B 54 24 04 89 50 18 8B C6 8B 10 FF 12 C7 44 9C 20 01 00 00 00 FF 44 24 0C 83 C7 04 8B 4C 24 0C 3B 4C 24 08 7C C8 83 04 24 24 FF 44 24 04 8B 7C 24 04 3B BE A8 00 00 00 0F 8E 42 FD FF FF 83 BE E4 00 00 00 00 74 35 33 C0 8D 5C 24 48 89 44 24 0C EB 1E 83 3B 00 7D 0F 8B 06 C7 40 14 2D 00 00 00 8B C6 8B 10 FF 12 FF 44 24 0C 81 C3 00 01 00 00 8B 4C 24 0C 3B 4E 3C 7C D9 EB 30 33 FF 8D 5C 24 20 89 7C 24 0C EB 1B 83 3B 00 75 0F 8B 06 C7 40 14 2D 00 00 00 8B C6 8B 10 FF 12 FF 44 24 0C 83 C3 04 8B 4C 24 0C 3B 4E 3C 7C DC 81 C4 48 0A 00 00 5D 5F 5E 5B C3 53 8B D8 56 57 55 8B 93 AC 00 00 00 85 D2 74 6D 8B 83 4C 01 00 00 8D B3 F8 00 00 00 8B 48 20 C1 E1 02 8D 0C C9 03 CA 8B D1 8B 02 8D 4A 04 89 83 F4 00 00 00 33 C0 EB 1B 8B 39 8B EF 8D 7C BD 00 8D 7C BD 00 C1 E7 02 03 7B 44 89 3E 40 83 C6 04 83 C1 04 3B 02 7C E1 8B 42 14 89 83 3C 01 00 00 8B 4A 18 89 8B 40 01 00 00 8B 42 1C 89 83 44 01 00 00 8B 52 20 89 93 48 01 00 00 EB 6E 83 7B 3C 04 7E 1C 8B 03 C7 40 14 1A 00 00 00 8B 53 3C 89 50 18 C7 40 1C 04 00 00 00 8B C3 8B 10 FF 12 8B 4B 3C 89 8B F4 00 00 00 33 C0 8D 93 F8 00 00 00 EB 12 8D 0C 80 8D 0C 88 C1 E1 02 03 4B 44 89 0A 40 83 C2 04 3B 43 3C 7C E9 33 C9 33 C0 89 8B 3C 01 00 00 33 D2 C7 83 40 01 00 00 3F 00 00 00 89 83 44 01 00 00 89 93 48 01 00 00 5D 5F 5E 5B C3 53 8B D8 56 57 51 83 BB F4 00 00 00 01 75 66 8B 8B F8 00 00 00 8B 41 1C 89 83 08 01 00 00 8B 51 20 89 93 0C 01 00 00 C7 41 34 01 00 00 00 C7 41 38 01 00 00 00 C7 41 3C 01 00 00 00 C7 41 40 08 00 00 00 C7 41 44 01 00 00 00 8B 41 20 33 D2 F7 71 0C 8B C2 85 C0 75 03 8B 41 0C 89 41 48 33 D2 C7 83 10 01 00 00 01 00 00 00 89 93 14 01 00 00 E9 0D 01 00 00 8B 83 F4 00 00 00 85 C0 7E 05 83 F8 04 7E 1F 8B 03 C7 40 14 1A 00 00 00 8B 93 F4 00 00 00 89 50 18 C7 40 1C 04 00 00 00 8B C3 8B 10 FF 12 8B 93 E8 00 00 00 8B 43 1C C1 E2 03 E8 ?? ?? ?? ?? 89 83 08 01 00 00 8B 93 EC 00 00 00 8B 43 20 C1 E2 03 E8 ?? ?? ?? ?? 89 83 0C 01 00 00 33 C9 89 8B 10 01 00 00 33 F6 8D 83 F8 00 00 00 89 04 24 E9 8D 00 00 00 8B 14 24 8B 0A 8B 79 08 89 79 34 8B 41 0C 89 41 38 8B 51 34 0F AF D0 89 51 3C 8B 79 34 C1 E7 03 89 79 40 8B 41 1C 33 D2 F7 71 34 8B C2 85 C0 75 03 8B 41 34 89 41 44 8B 41 20 33 D2 F7 71 38 8B C2 85 C0 75 03 8B 41 38 89 41 48 8B 79 3C 8B 83 10 01 00 00 03 C7 83 F8 0A 7E 24 8B 13 8B C3 C7 42 14 0D 00 00 00 8B 10 FF 12 EB 13 8B 8B 10 01 00 00 FF 83 10 01 00 00 89 B4 8B 14 01 00 00 8B CF 83 C7 FF 85 C9 7F E4 46 83 04 24 04 3B B3 F4 00 00 00 0F 8C 67 FF FF FF 8B 83 CC 00 00 00 85 C0 7E 18 F7 AB 08 01 00 00 3D FF FF 00 00 7C 05 B8 FF FF 00 00 89 83 C8 00 00 00 5A 5F 5E 5B C3 90 90 90 53 8B D8 56 8B B3 4C 01 00 00 8B 46 14 83 E8 01 72 12 0F 84 A1 00 00 00 48 0F 84 F2 00 00 00 E9 42 01 00 00 8B C3 E8 39 FD FF FF 8B C3 E8 22 FE FF FF 83 BB B0 00 00 00 00 75 20 8B C3 8B 90 60 01 00 00 FF 12 8B C3 8B 90 64 01 00 00 FF 12 33 D2 8B C3 8B 88 54 01 00 00 FF 11 8B C3 8B 90 68 01 00 00 FF 12 8B 93 B8 00 00 00 8B C3 8B 88 6C 01 00 00 FF 11 83 7E 1C 01 7E 07 BA 03 00 00 00 EB 02 33 D2 8B C3 8B 88 58 01 00 00 FF 11 33 D2 8B C3 8B 88 50 01 00 00 FF 11 83 BB B8 00 00 00 00 74 0A 33 C9 89 4E 0C E9 C8 00 00 00 C7 46 0C 01 00 00 00 E9 BC 00 00 00 8B C3 E8 A4 FC FF FF 8B C3 E8 8D FD FF FF 83 BB 3C 01 00 00 00 75 12 83 BB 44 01 00 00 00 74 09 83 BB B4 00 00 00 00 74 25 BA 01 00 00 00 8B C3 8B 88 6C 01 00 00 FF 11 BA 02 00 00 00 8B C3 8B 88 58 01 00 00 FF 11 33 D2 89 56 0C EB 6E C7 46 14 02 00 00 00 FF 46 18 83 BB B8 00 00 00 00 75 0E 8B C3 E8 43 FC FF FF 8B C3 E8 2C FD FF FF 33 D2 8B C3 8B 88 6C 01 00 00 FF 11 BA 02 00 00 00 8B C3 8B 88 58 01 00 00 FF 11 83 7E 20 00 75 0B 8B C3 8B 90 5C 01 00 00 FF 52 04 8B C3 8B 90 5C 01 00 00 FF 52 08 33 C9 89 4E 0C EB 0F 8B 0B 8B C3 C7 41 14 30 00 00 00 8B 10 FF 12 8B 4E 1C 49 3B 4E 18 0F 94 C0 83 E0 01 89 46 10 8B 43 08 85 C0 74 0C 8B 56 18 89 50 0C 8B 4E 1C 89 48 10 5E 5B C3 90 53 8B D8 8B 83 4C 01 00 00 33 D2 89 50 0C 8B C3 8B 90 5C 01 00 00 FF 52 04 8B C3 8B 90 5C 01 00 00 FF 52 08 5B C3 90 90 53 56 8B F0 8B 9E 4C 01 00 00 8B C6 8B 90 6C 01 00 00 FF 52 08 8B 4B 14 83 E9 01 72 07 74 1A 49 74 20 EB 31 C7 43 14 02 00 00 00 83 BE B8 00 00 00 00 75 21 FF 43 20 EB 1C C7 43 14 02 00 00 00 EB 13 83 BE B8 00 00 00 00 74 07 C7 43 14 01 00 00 00 FF 43 20 FF 43 18 5E 5B C3 90 }
	condition:
		$1
}

rule function_81736_0 {
	meta:
		name = "@jinit_c_master_control"
		size = 200
		refs = "0024 _DF_."
	strings:
		$1 = { 53 56 8B F0 57 8B C6 8B FA BA 01 00 00 00 B9 24 00 00 00 8B 58 04 FF 13 8B D8 33 C0 89 9E 4C 01 00 00 C7 03 ?? ?? ?? ?? C7 43 04 ?? ?? ?? ?? C7 43 08 ?? ?? ?? ?? 89 43 10 8B C6 E8 58 F5 FF FF 83 BE AC 00 00 00 00 74 09 8B C6 E8 0C F7 FF FF EB 12 33 D2 89 96 E4 00 00 00 C7 86 A8 00 00 00 01 00 00 00 83 BE E4 00 00 00 00 74 0A C7 86 B8 00 00 00 01 00 00 00 85 FF 74 1B 83 BE B8 00 00 00 00 74 09 C7 43 14 01 00 00 00 EB 0E C7 43 14 02 00 00 00 EB 05 33 C9 89 4B 14 33 C9 33 C0 89 4B 20 89 43 18 83 BE B8 00 00 00 00 74 0D 8B 96 A8 00 00 00 03 D2 89 53 1C EB 09 8B 8E A8 00 00 00 89 4B 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81737_0 {
	meta:
		name = "_DF_."
		size = 220
		refs = "002c _DF_."
	strings:
		$1 = { 53 83 B8 B0 00 00 00 00 8B 88 50 01 00 00 75 2F 33 DB 89 59 08 33 DB 89 59 0C 33 DB 89 59 10 89 51 14 83 EA 01 72 02 EB 09 C7 41 04 ?? ?? ?? ?? 5B C3 8B 10 C7 42 14 04 00 00 00 8B 08 FF 11 5B C3 90 90 90 55 8B EC 83 C4 F8 53 56 57 8B F0 89 4D F8 89 55 FC 8B 9E 50 01 00 00 EB 69 83 7B 0C 08 73 1F 8B 45 08 8D 53 18 50 8B C6 52 8D 4B 0C 51 6A 08 8B B8 54 01 00 00 8B 4D F8 8B 55 FC FF 57 04 83 7B 0C 08 75 49 8D 53 18 8B C6 8B 88 58 01 00 00 FF 51 04 85 C0 75 14 83 7B 10 00 75 31 8B 4D F8 FF 09 C7 43 10 01 00 00 00 EB 23 83 7B 10 00 74 0A 8B 45 F8 FF 00 33 D2 89 53 10 33 C9 89 4B 0C FF 43 08 8B 43 08 3B 86 F0 00 00 00 72 8C 5F 5E 5B 59 59 5D C2 04 00 90 90 }
	condition:
		$1
}

rule function_81738_0 {
	meta:
		name = "@jinit_c_main_controller"
		size = 132
		refs = "0022 _DF_."
	strings:
		$1 = { 53 8B D8 56 57 8B C3 55 51 8B F2 8B 78 04 BA 01 00 00 00 B9 40 00 00 00 FF 17 89 83 50 01 00 00 C7 00 ?? ?? ?? ?? 83 BB B0 00 00 00 00 75 4F 85 F6 74 11 8B 03 C7 40 14 04 00 00 00 8B C3 8B 10 FF 12 EB 3A 33 C9 8D 78 18 89 0C 24 8B 73 44 EB 25 8B 46 0C BA 01 00 00 00 C1 E0 03 50 8B C3 8B 4E 1C C1 E1 03 8B 68 04 FF 55 08 89 07 83 C7 04 FF 04 24 83 C6 54 8B 04 24 3B 43 3C 7C D3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81739_0 {
	meta:
		name = "_DF_."
		size = 1172
		refs = "0060 @jcopy_sample_rows 041a memcpy"
	strings:
		$1 = { 53 56 8B F0 85 D2 8B 9E 54 01 00 00 74 0F 8B 06 C7 40 14 04 00 00 00 8B C6 8B 10 FF 12 8B 4E 20 33 C0 89 4B 30 33 C9 89 4B 34 89 43 38 8B 96 EC 00 00 00 03 D2 89 53 3C 5E 5B C3 90 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B F0 8B DF 3B 5D 08 7D 19 53 6A 01 8B 45 FC 8D 57 FF 50 8B C6 8B CE E8 ?? ?? ?? ?? 43 3B 5D 08 7C E7 5F 5E 5B 59 5D C2 04 00 90 90 55 8B EC 83 C4 EC 53 56 57 8B D8 89 4D F8 89 55 FC 8B B3 54 01 00 00 E9 20 01 00 00 8B 8B EC 00 00 00 8B 55 14 2B 4E 34 2B D0 8B C2 89 4D F4 3B 45 F4 76 05 8B 55 F4 EB 02 8B D0 89 55 F4 8B 46 34 50 8B 4D F4 51 8D 4E 08 8B 45 F8 8B 10 8B C3 C1 E2 02 03 55 FC 8B B8 60 01 00 00 FF 57 04 8B 55 F8 8B 45 F4 01 02 8B 4D F4 01 4E 34 29 46 30 83 7E 30 00 75 3F 8B 4E 34 3B 8B EC 00 00 00 7D 34 33 FF 8D 46 08 89 45 F0 EB 1C 8B 93 EC 00 00 00 52 8B 4D F0 8B 01 8B 4E 34 8B 53 1C E8 26 FF FF FF 47 83 45 F0 04 3B 7B 3C 7C DF 8B 8B EC 00 00 00 89 4E 34 8B 46 34 3B 83 EC 00 00 00 75 24 8B 55 10 52 8D 56 08 8B 4D 0C 8B 01 33 C9 50 8B C3 8B B8 64 01 00 00 FF 57 04 33 C0 89 46 34 8B 55 0C FF 02 83 7E 30 00 75 52 8B 4D 0C 8B 09 3B 4D 08 73 48 8B 45 10 8B 73 44 8B D0 33 FF 89 55 EC EB 2A 8B 46 0C 8B D0 0F AF 55 08 52 8B 4D 0C 8B 09 0F AF C8 8B 56 1C C1 E2 03 8B 45 EC 8B 00 E8 A3 FE FF FF 83 45 EC 04 47 83 C6 54 3B 7B 3C 7C D1 8B 55 0C 8B 4D 08 89 0A EB 18 8B 4D F8 8B 01 3B 45 14 73 0E 8B 55 0C 8B 12 3B 55 08 0F 82 C8 FE FF FF 5F 5E 5B 8B E5 5D C2 10 00 90 90 90 55 8B EC 83 C4 E4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 98 54 01 00 00 8B 45 FC 8B 90 EC 00 00 00 8D 14 52 89 55 E8 E9 62 01 00 00 8B 4D F4 8B 01 3B 45 14 0F 83 AF 00 00 00 8B 4B 3C 8B 55 14 2B 4B 34 2B D0 8B C2 89 4D F0 3B 45 F0 76 05 8B 55 F0 EB 02 8B D0 89 55 F0 8B 43 34 50 8B 4D F0 51 8D 4B 08 8B 45 F4 8B 10 8B 45 FC C1 E2 02 03 55 F8 8B B0 60 01 00 00 FF 56 04 8B 45 FC 8B 50 20 3B 53 30 75 50 33 C9 89 4D EC 8D 4B 08 89 4D E4 EB 38 BF 01 00 00 00 8B 45 E4 8B F0 EB 1A 8B D7 F7 DA 52 6A 01 8B 4D FC 8B 51 1C 52 33 D2 8B 06 8B C8 E8 ?? ?? ?? ?? 47 8B 4D FC 3B B9 EC 00 00 00 7E DB FF 45 EC 83 45 E4 04 8B 4D FC 8B 41 3C 3B 45 EC 7F BD 8B 55 F4 8B 45 F0 01 02 8B 55 F0 01 53 34 29 43 30 EB 47 83 7B 30 00 0F 85 A9 00 00 00 8B 4B 34 3B 4B 3C 7D 35 33 C9 8D 73 08 89 4D EC EB 1A 8B 43 3C 50 8B 55 FC 8B 52 1C 8B 06 8B 4B 34 E8 4C FD FF FF FF 45 EC 83 C6 04 8B 4D FC 8B 41 3C 3B 45 EC 7F DB 8B 53 3C 89 53 34 8B 4B 34 3B 4B 3C 75 56 8B 45 10 50 8B 55 0C 8B 0A 51 8D 53 08 8B 4B 38 8B 45 FC 8B B0 64 01 00 00 FF 56 04 8B 45 0C FF 00 8B 55 FC 8B 8A EC 00 00 00 01 4B 38 8B 4B 38 3B 4D E8 7C 05 33 C0 89 43 38 8B 53 34 3B 55 E8 7C 05 33 C9 89 4B 34 8B 45 FC 8B 90 EC 00 00 00 03 53 34 89 53 3C 8B 4D 0C 8B 01 3B 45 08 0F 82 90 FE FF FF 5F 5E 5B 8B E5 5D C2 10 00 53 56 57 55 83 C4 EC 89 04 24 8B 04 24 8B B0 54 01 00 00 8B 04 24 8B 98 EC 00 00 00 8B 04 24 8B 50 3C 8B 04 24 0F AF D3 8B 78 04 8D 0C 92 C1 E1 02 BA 01 00 00 00 FF 17 89 44 24 0C 33 C0 89 44 24 04 8B 14 24 8B 4A 44 89 4C 24 08 8D 4E 08 89 4C 24 10 E9 A7 00 00 00 8D 04 5B 50 8B 54 24 0C 8B 4C 24 0C 8B 42 1C 8B 54 24 04 C1 E0 03 F7 AA E8 00 00 00 99 F7 79 08 8B C8 8B 44 24 04 BA 01 00 00 00 8B 70 04 FF 56 08 8B F0 8D 04 5B C1 E0 02 8B D3 50 56 C1 E2 02 03 54 24 14 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 3B D8 8B CE 8B 54 24 0C 7E 25 8D 3C 58 8B 3C BE 89 3A 8D 3C 98 8B 6C 24 0C 8D 7C BD 00 57 8B 39 5D 89 7D 00 40 83 C1 04 83 C2 04 3B D8 7F DB 8B C3 8B CB C1 E1 02 8B 54 24 10 C1 E0 02 03 44 24 0C 8D 0C 89 89 02 01 4C 24 0C 83 44 24 10 04 FF 44 24 04 83 44 24 08 54 8B 0C 24 8B 41 3C 3B 44 24 04 0F 8F 49 FF FF FF 83 C4 14 5D 5F 5E 5B C3 90 }
	condition:
		$1
}

rule function_81740_0 {
	meta:
		name = "@jinit_c_prep_controller"
		size = 166
		refs = "0033 _DF_."
	strings:
		$1 = { 53 56 57 55 51 8B D8 85 D2 74 0F 8B 03 C7 40 14 04 00 00 00 8B C3 8B 10 FF 12 8B C3 B9 40 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 83 54 01 00 00 C7 00 ?? ?? ?? ?? 8B 93 64 01 00 00 83 7A 08 00 74 10 C7 40 04 ?? ?? ?? ?? 8B C3 E8 97 FE FF FF EB 4D C7 40 04 ?? ?? ?? ?? 33 C9 8D 78 08 89 0C 24 8B 73 44 EB 31 8B 83 EC 00 00 00 50 8B 46 1C C1 E0 03 F7 AB E8 00 00 00 99 F7 7E 08 8B C8 8B C3 BA 01 00 00 00 8B 68 04 FF 55 08 89 07 83 C7 04 FF 04 24 83 C6 54 8B 04 24 3B 43 3C 7C C7 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81741_0 {
	meta:
		name = "_DF_."
		size = 1856
		refs = "008a _DF_. 01f6 @jzero_far"
	strings:
		$1 = { 83 B8 F4 00 00 00 01 8B 90 58 01 00 00 7E 09 C7 42 14 01 00 00 00 EB 26 8B 88 F0 00 00 00 49 3B 4A 08 76 0E 8B 80 F8 00 00 00 8B 40 0C 89 42 14 EB 0C 8B 88 F8 00 00 00 8B 41 48 89 42 14 33 C9 33 C0 89 4A 0C 89 42 10 C3 90 90 90 53 56 8B F0 57 33 C0 8B FA 8B 9E 58 01 00 00 89 43 08 8B C6 E8 9B FF FF FF 83 EF 01 72 08 4F 74 41 4F 74 20 EB 5A 83 7B 40 00 74 0F 8B 16 8B C6 C7 42 14 04 00 00 00 8B 10 FF 12 C7 43 04 ?? ?? ?? ?? EB 4B 83 7B 40 00 75 0F 8B 0E 8B C6 C7 41 14 04 00 00 00 8B 10 FF 12 C7 43 04 ?? ?? ?? ?? EB 2D 83 7B 40 00 75 0F 8B 0E 8B C6 C7 41 14 04 00 00 00 8B 10 FF 12 C7 43 04 ?? ?? ?? ?? EB 0F 8B 0E 8B C6 C7 41 14 04 00 00 00 8B 10 FF 12 5F 5E 5B C3 90 53 56 57 83 C4 CC 89 54 24 04 89 04 24 8B 04 24 8B B0 58 01 00 00 8B 04 24 8B 90 08 01 00 00 4A 89 54 24 0C 8B 0C 24 8B B9 F0 00 00 00 4F 89 7C 24 10 8B 46 10 89 44 24 20 E9 AE 01 00 00 8B 56 0C 89 54 24 08 8B 4C 24 08 3B 4C 24 0C 0F 87 90 01 00 00 33 FF 33 C0 89 7C 24 14 89 44 24 18 8B 14 24 8D 8A F8 00 00 00 89 4C 24 30 E9 28 01 00 00 8B 7C 24 30 8B 1F 8B 44 24 08 3B 44 24 0C 73 05 8B 53 34 EB 03 8B 53 44 89 54 24 24 8B 44 24 08 F7 6B 40 89 44 24 2C 8B 4C 24 20 C1 E1 03 89 4C 24 28 33 C9 89 4C 24 1C E9 D5 00 00 00 8B 46 08 3B 44 24 10 72 0D 8B 54 24 20 03 54 24 1C 3B 53 48 7D 78 8B 4C 24 14 8B 44 8E 18 50 8B 54 24 2C 52 8B 4C 24 34 51 8B 44 24 30 50 8B 43 04 8B 54 24 14 8B 0C 82 8B 44 24 10 8B D3 8B B8 68 01 00 00 FF 57 04 8B 43 34 3B 44 24 24 7E 75 8B 54 24 14 03 54 24 24 8B 4C 96 18 8B D0 2B 54 24 24 8B C1 C1 E2 07 E8 ?? ?? ?? ?? 8B 44 24 24 EB 15 8B 54 24 14 03 D0 8B 4C 96 14 8B 54 96 18 66 8B 09 66 89 0A 40 3B 43 34 7C E6 EB 37 8B 44 24 14 8B 44 86 18 8B 53 34 C1 E2 07 E8 ?? ?? ?? ?? 33 C0 8B 54 24 14 8D 54 96 14 EB 13 8B 4C 24 14 8B 3A 03 C8 66 8B 3F 8B 4C 8E 18 66 89 39 40 3B 43 34 7C E8 8B 43 34 01 44 24 14 83 44 24 28 08 FF 44 24 1C 8B 54 24 1C 3B 53 38 0F 8C 1E FF FF FF FF 44 24 18 83 44 24 30 04 8B 0C 24 8B B9 F4 00 00 00 3B 7C 24 18 0F 8F C5 FE FF FF 8D 56 18 8B 04 24 8B 88 6C 01 00 00 FF 51 04 85 C0 75 12 8B 7C 24 20 89 7E 10 8B 44 24 08 89 46 0C 33 C0 EB 38 FF 44 24 08 8B 54 24 08 3B 54 24 0C 0F 86 70 FE FF FF 33 C9 89 4E 0C FF 44 24 20 8B 7E 14 3B 7C 24 20 0F 8F 45 FE FF FF FF 46 08 8B 04 24 E8 1C FD FF FF B8 01 00 00 00 83 C4 34 5F 5E 5B C3 53 56 57 83 C4 B8 89 54 24 04 89 04 24 8B 04 24 8B 90 58 01 00 00 89 54 24 08 8B 0C 24 8B 81 F0 00 00 00 48 33 D2 89 44 24 0C 89 54 24 1C 8B 0C 24 8B 41 44 89 44 24 28 8B 54 24 04 8B CA 89 4C 24 40 8B 44 24 08 8D 50 40 89 54 24 34 E9 12 02 00 00 8B 4C 24 28 8B 41 0C 50 6A 01 8B 54 24 10 8B 5C 24 3C 8B 4A 08 8B 13 0F AF C8 8B 44 24 08 8B 58 04 FF 53 20 89 44 24 2C 8B 44 24 08 8B 50 08 3B 54 24 0C 73 0D 8B 4C 24 28 8B 41 0C 89 44 24 24 EB 28 8B 54 24 28 8B 42 20 8B 54 24 28 8B 4A 0C 33 D2 F7 F1 89 54 24 24 83 7C 24 24 00 75 0B 8B 44 24 28 8B 40 0C 89 44 24 24 8B 54 24 28 8B 4A 1C 33 D2 89 4C 24 10 8B 44 24 28 8B 58 08 8B 44 24 10 F7 F3 8B F2 85 F6 7E 06 8B C3 2B C6 8B F0 33 D2 89 54 24 20 8B 4C 24 40 89 4C 24 3C 8B 44 24 2C 8B D0 89 54 24 38 8B 4C 24 20 3B 4C 24 24 0F 8D 89 00 00 00 8B 44 24 38 8B 10 89 54 24 30 8B 4C 24 30 51 8B 44 24 24 C1 E0 03 50 6A 00 8B 54 24 1C 52 8B 44 24 10 8B 4C 24 4C 8B 54 24 38 8B B8 68 01 00 00 8B 09 FF 57 04 85 F6 7E 39 8B 44 24 10 C1 E0 07 01 44 24 30 8B D6 C1 E2 07 8B 44 24 30 E8 ?? ?? ?? ?? 8B 54 24 30 33 C0 3B F0 66 8B 4A 80 8B 54 24 30 7E 0E 66 89 0A 40 81 C2 80 00 00 00 3B F0 7F F2 FF 44 24 20 83 44 24 38 04 8B 44 24 20 3B 44 24 24 0F 8C 77 FF FF FF 8B 4C 24 08 8B 49 08 3B 4C 24 0C 0F 85 AF 00 00 00 01 74 24 10 8B 44 24 10 33 D2 F7 F3 89 44 24 14 8B 4C 24 24 89 4C 24 20 8B 44 24 2C 8B 54 24 20 8D 0C 90 89 4C 24 44 EB 75 8B 44 24 44 8B 10 89 54 24 30 8B 4C 24 44 8B 54 24 10 C1 E2 07 8B 44 24 30 8B 71 FC E8 ?? ?? ?? ?? 33 C9 89 4C 24 18 8B 4C 24 18 3B 4C 24 14 73 3B 8B C3 8B 54 24 30 C1 E0 07 66 8B 4C 06 80 33 C0 3B D8 7E 0E 66 89 0A 40 81 C2 80 00 00 00 3B D8 7F F2 8B C3 C1 E0 07 01 44 24 30 03 F0 FF 44 24 18 8B 4C 24 18 3B 4C 24 14 72 C5 FF 44 24 20 83 44 24 44 04 8B 4C 24 28 8B 41 0C 3B 44 24 20 0F 8F 7A FF FF FF 83 44 24 34 04 83 44 24 40 04 FF 44 24 1C 83 44 24 28 54 8B 14 24 8B 42 3C 3B 44 24 1C 0F 8F DE FD FF FF 8B 54 24 04 8B 04 24 E8 08 00 00 00 83 C4 48 5F 5E 5B C3 90 53 56 57 83 C4 C8 33 C9 89 04 24 8B 04 24 8D 74 24 28 8B 90 58 01 00 00 89 54 24 04 89 4C 24 0C 8B 04 24 8D 98 F8 00 00 00 EB 3F 8B 03 89 44 24 18 8B 54 24 18 8B 7A 0C 57 6A 00 8B 44 24 0C 8B 54 24 20 8B 48 08 8B 44 24 0C 0F AF CF 8B 7A 04 8B 54 B8 40 8B 44 24 08 8B 78 04 FF 57 20 89 06 FF 44 24 0C 83 C6 04 83 C3 04 8B 04 24 8B 90 F4 00 00 00 3B 54 24 0C 7F B2 8B 4C 24 04 8B 41 10 89 44 24 10 E9 10 01 00 00 8B 54 24 04 8B 4A 0C 89 4C 24 08 E9 E0 00 00 00 33 C0 8D 54 24 28 89 44 24 0C 89 54 24 24 8B 0C 24 33 DB 81 C1 F8 00 00 00 89 4C 24 1C EB 79 8B 44 24 1C 8B 10 89 54 24 18 8B 4C 24 18 8B 41 34 F7 6C 24 08 89 44 24 14 33 F6 8B 44 24 24 8B D0 89 54 24 20 EB 3B 8B 7C 24 20 8B 4C 24 10 03 CE 8B 07 8B 14 88 8B 4C 24 14 C1 E1 07 8B 44 24 04 03 D1 33 C9 8D 44 98 18 EB 0D 89 10 81 C2 80 00 00 00 43 83 C0 04 41 8B 7C 24 18 3B 4F 34 7C EA 46 8B 44 24 18 3B 70 38 7C BC FF 44 24 0C 83 44 24 24 04 83 44 24 1C 04 8B 14 24 8B 8A F4 00 00 00 3B 4C 24 0C 0F 8F 74 FF FF FF 8B 04 24 8B 54 24 04 83 C2 18 8B 88 6C 01 00 00 FF 51 04 85 C0 75 1A 8B 44 24 04 8B 54 24 10 89 50 10 33 C0 8B 4C 24 04 8B 5C 24 08 89 59 0C EB 49 FF 44 24 08 8B 14 24 8B 8A 08 01 00 00 3B 4C 24 08 0F 87 0D FF FF FF 8B 44 24 04 33 D2 89 50 0C FF 44 24 10 8B 4C 24 04 8B 41 14 3B 44 24 10 0F 8F DF FE FF FF 8B 54 24 04 FF 42 08 8B 04 24 E8 CF F8 FF FF B8 01 00 00 00 83 C4 38 5F 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_81742_0 {
	meta:
		name = "@jinit_c_coef_controller"
		size = 197
		refs = "002f _DF_. 004d @jround_up"
	strings:
		$1 = { 53 56 8B F0 57 8B C6 55 8B DA BA 01 00 00 00 8B 78 04 83 C4 F8 B9 68 00 00 00 FF 17 89 04 24 85 DB 8B 04 24 89 86 58 01 00 00 8B 14 24 C7 02 ?? ?? ?? ?? 74 53 33 C9 89 4C 24 04 8B 5E 44 8B 04 24 8D 78 40 EB 37 8B 53 08 8B 43 1C E8 ?? ?? ?? ?? 50 8B 53 0C 8B 43 20 E8 ?? ?? ?? ?? 50 8B C6 8B 4B 0C BA 01 00 00 00 51 33 C9 8B 68 04 FF 55 14 89 07 83 C7 04 FF 44 24 04 83 C3 54 8B 46 3C 3B 44 24 04 7F C0 EB 36 8B C6 B9 00 05 00 00 BA 01 00 00 00 8B 58 04 FF 53 04 8B C8 33 C0 8B 14 24 83 C2 18 8B D8 C1 E3 07 03 D9 89 1A 40 83 C2 04 83 F8 0A 7C EE 8B 04 24 33 D2 89 50 40 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81743_0 {
	meta:
		name = "_DF_."
		size = 1080
	strings:
		$1 = { 53 8B D8 8B C3 56 51 B9 00 20 00 00 8B B3 60 01 00 00 8B 58 04 BA 01 00 00 00 FF 13 89 04 24 89 46 08 33 D2 8B 0C 24 8B C1 69 CA 8B 4C 00 00 89 08 69 CA 46 96 00 00 89 88 00 04 00 00 69 CA 2F 1D 00 00 81 C1 00 80 00 00 89 88 00 08 00 00 69 CA CD D4 FF FF 89 88 00 0C 00 00 69 CA 33 AB FF FF 89 88 00 10 00 00 8B CA C1 E1 0F 81 C1 FF 7F 80 00 89 88 00 14 00 00 69 CA D1 94 FF FF 89 88 00 18 00 00 69 CA 2F EB FF FF 89 88 00 1C 00 00 42 83 C0 04 81 FA FF 00 00 00 7E 8D 5A 5E 5B C3 55 8B EC 83 C4 E0 53 56 57 89 4D F8 89 55 FC 8B 90 60 01 00 00 8B 72 08 8B 40 1C 89 45 EC E9 D1 00 00 00 8B 55 FC 8B 02 83 45 FC 04 8B 55 F8 8B 5D F8 8B 0A 8B 55 0C 8B 5B 08 8B 14 91 8B 4D F8 8B 79 04 8B 4D 0C 8B 0C 8F 8B 7D 0C 8B 1C BB 33 FF FF 45 0C 89 7D F0 89 5D E0 89 4D E4 89 55 E8 8B 55 F0 3B 55 EC 0F 83 88 00 00 00 33 D2 33 C9 8A 50 02 33 DB 8A 48 01 8A 18 89 5D F4 83 C0 03 8B 1C 96 8B 7D F4 03 9C 8E 00 04 00 00 03 9C BE 00 08 00 00 8B 7D E8 C1 FB 10 88 1F 8B 9C 96 00 0C 00 00 8B 7D F4 03 9C 8E 00 10 00 00 03 9C BE 00 14 00 00 8B 7D E4 C1 FB 10 88 1F 8B 94 96 00 14 00 00 8B 7D E0 03 94 8E 00 18 00 00 8B 4D F4 03 94 8E 00 1C 00 00 C1 FA 10 88 17 FF 45 F0 FF 45 E0 FF 45 E4 FF 45 E8 8B 55 F0 3B 55 EC 0F 82 78 FF FF FF FF 4D 08 0F 89 26 FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 90 90 55 8B EC 83 C4 E8 53 56 57 89 4D F8 89 55 FC 8B 90 60 01 00 00 8B 72 08 8B 40 1C 89 45 E8 EB 5E 8B 55 FC 8B 02 83 45 FC 04 8B 55 F8 8B 0A 8B 55 0C 8B 0C 91 FF 45 0C 33 D2 3B 55 E8 73 40 33 DB 8A 58 02 89 5D F4 33 DB 8A 58 01 89 5D F0 33 DB 8A 18 83 C0 03 89 5D EC 8B 5D F4 8B 7D F0 8B 1C 9E 03 9C BE 00 04 00 00 8B 7D EC 03 9C BE 00 08 00 00 C1 FB 10 88 19 42 41 3B 55 E8 72 C0 FF 4D 08 79 9D 5F 5E 5B 8B E5 5D C2 08 00 55 8B EC 83 C4 D8 53 56 57 89 4D F8 89 55 FC 8B 90 60 01 00 00 8B 72 08 8B 40 1C 89 45 E8 E9 0B 01 00 00 8B 55 FC 8B 02 83 45 FC 04 8B 55 F8 8B 5D F8 8B 0A 8B 55 0C 8B 5B 08 8B 14 91 8B 4D F8 8B 79 04 8B 4D 0C 8B 0C 8F 8B 7D 0C 8B 1C BB 89 5D F0 8B 5D F8 8B 7D 0C 8B 5B 0C 8B 1C BB 33 FF FF 45 0C 89 7D EC 8B 7D F0 89 7D D8 89 4D DC 89 55 E0 8B D3 89 55 E4 8B 4D EC 3B 4D E8 0F 83 AB 00 00 00 33 D2 33 DB 8A 10 52 BA FF 00 00 00 0F B6 78 01 59 8A 58 02 2B D1 B9 FF 00 00 00 2B CF BF FF 00 00 00 2B FB 89 7D F4 8B 5D E4 8B FB 8A 58 03 83 C0 04 88 1F 8B 1C 96 8B 7D F4 03 9C 8E 00 04 00 00 03 9C BE 00 08 00 00 8B 7D E0 C1 FB 10 88 1F 8B 9C 96 00 0C 00 00 8B 7D F4 03 9C 8E 00 10 00 00 03 9C BE 00 14 00 00 8B 7D DC C1 FB 10 88 1F 8B 94 96 00 14 00 00 8B 7D D8 03 94 8E 00 18 00 00 8B 4D F4 03 94 8E 00 1C 00 00 C1 FA 10 88 17 FF 45 EC FF 45 D8 FF 45 DC FF 45 E0 FF 45 E4 8B 55 EC 3B 55 E8 0F 82 55 FF FF FF FF 4D 08 0F 89 EC FE FF FF 5F 5E 5B 8B E5 5D C2 08 00 55 8B EC 83 C4 F8 53 56 57 8B 58 1C 89 5D FC 8B 40 24 89 45 F8 EB 25 8B 01 8B 5D 0C 8B 32 83 C2 04 8B 04 98 33 FF FF 45 0C 3B 7D FC 73 0E 8A 1E 88 18 03 75 F8 47 40 3B 7D FC 72 F2 FF 4D 08 79 D6 5F 5E 5B 59 59 5D C2 08 00 90 90 55 8B EC 83 C4 F0 53 56 57 8B 58 3C 89 5D F8 8B 40 1C 89 45 F4 EB 4D 33 C0 89 45 FC 8B C1 89 45 F0 8B 45 FC 3B 45 F8 7D 35 8B 45 F0 8B 5D 0C 33 FF 8B 32 8B 00 3B 7D F4 8B 04 98 73 12 8B 5D FC 8A 1C 1E 88 18 03 75 F8 47 40 3B 7D F4 72 EE FF 45 FC 83 45 F0 04 8B 45 FC 3B 45 F8 7C CB 83 C2 04 FF 45 0C FF 4D 08 79 AE 5F 5E 5B 8B E5 5D C2 08 00 90 90 C3 90 90 90 }
	condition:
		$1
}

rule function_81744_0 {
	meta:
		name = "@jinit_color_converter"
		size = 585
		refs = "001f _DF_."
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 0C 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B F0 89 B3 60 01 00 00 C7 06 ?? ?? ?? ?? 8B 43 28 48 74 0D 48 83 E8 02 72 1E 83 E8 02 72 30 EB 45 83 7B 24 01 74 54 8B 13 8B C3 C7 42 14 09 00 00 00 8B 10 FF 12 EB 43 83 7B 24 03 74 3D 8B 0B 8B C3 C7 41 14 09 00 00 00 8B 10 FF 12 EB 2C 83 7B 24 04 74 26 8B 0B 8B C3 C7 41 14 09 00 00 00 8B 10 FF 12 EB 15 83 7B 24 01 7D 0F 8B 0B 8B C3 C7 41 14 09 00 00 00 8B 10 FF 12 8B 4B 40 83 F9 05 0F 87 84 01 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 7B 3C 01 74 0F 8B 0B 8B C3 C7 41 14 0A 00 00 00 8B 10 FF 12 83 7B 28 01 75 0A C7 46 04 ?? ?? ?? ?? 5E 5B C3 83 7B 28 02 75 10 C7 06 ?? ?? ?? ?? C7 46 04 ?? ?? ?? ?? 5E 5B C3 83 7B 28 03 75 0A C7 46 04 ?? ?? ?? ?? 5E 5B C3 8B 0B 8B C3 C7 41 14 1B 00 00 00 8B 10 FF 12 5E 5B C3 83 7B 3C 03 74 0F 8B 0B 8B C3 C7 41 14 0A 00 00 00 8B 10 FF 12 83 7B 28 02 75 0A C7 46 04 ?? ?? ?? ?? 5E 5B C3 8B 0B 8B C3 C7 41 14 1B 00 00 00 8B 10 FF 12 5E 5B C3 83 7B 3C 03 74 0F 8B 0B 8B C3 C7 41 14 0A 00 00 00 8B 10 FF 12 83 7B 28 02 75 10 C7 06 ?? ?? ?? ?? C7 46 04 ?? ?? ?? ?? 5E 5B C3 83 7B 28 03 75 0A C7 46 04 ?? ?? ?? ?? 5E 5B C3 8B 0B 8B C3 C7 41 14 1B 00 00 00 8B 10 FF 12 5E 5B C3 83 7B 3C 04 74 0F 8B 0B 8B C3 C7 41 14 0A 00 00 00 8B 10 FF 12 83 7B 28 04 75 0A C7 46 04 ?? ?? ?? ?? 5E 5B C3 8B 0B 8B C3 C7 41 14 1B 00 00 00 8B 10 FF 12 5E 5B C3 83 7B 3C 04 74 0F 8B 0B 8B C3 C7 41 14 0A 00 00 00 8B 10 FF 12 83 7B 28 04 75 10 C7 06 ?? ?? ?? ?? C7 46 04 ?? ?? ?? ?? 5E 5B C3 83 7B 28 05 75 0A C7 46 04 ?? ?? ?? ?? 5E 5B C3 8B 0B 8B C3 C7 41 14 1B 00 00 00 8B 10 FF 12 5E 5B C3 8B 4B 40 3B 4B 28 75 08 8B 43 3C 3B 43 24 74 0F 8B 13 8B C3 C7 42 14 1B 00 00 00 8B 10 FF 12 C7 46 04 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81746_0 {
	meta:
		name = "@jinit_downsampler"
		size = 376
		refs = "002f _DF_."
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D8 8B C3 B9 34 00 00 00 C7 44 24 04 01 00 00 00 8B 70 04 BA 01 00 00 00 FF 16 8B E8 33 C0 89 AB 64 01 00 00 C7 45 00 ?? ?? ?? ?? C7 45 04 ?? ?? ?? ?? 89 45 08 83 BB BC 00 00 00 00 74 0F 8B 13 8B C3 C7 42 14 19 00 00 00 8B 10 FF 12 33 C9 8D 7D 0C 89 0C 24 8B 73 44 E9 DE 00 00 00 8B 46 08 3B 83 E8 00 00 00 75 31 8B 56 0C 3B 93 EC 00 00 00 75 26 83 BB C0 00 00 00 00 74 12 C7 07 ?? ?? ?? ?? C7 45 08 01 00 00 00 E9 A4 00 00 00 C7 07 ?? ?? ?? ?? E9 99 00 00 00 8B 4E 08 03 C9 3B 8B E8 00 00 00 75 19 8B 4E 0C 3B 8B EC 00 00 00 75 0E 33 C0 89 44 24 04 C7 07 ?? ?? ?? ?? EB 73 8B 56 08 03 D2 3B 93 E8 00 00 00 75 2D 8B 4E 0C 03 C9 3B 8B EC 00 00 00 75 20 83 BB C0 00 00 00 00 74 0F C7 07 ?? ?? ?? ?? C7 45 08 01 00 00 00 EB 41 C7 07 ?? ?? ?? ?? EB 39 8B 83 E8 00 00 00 99 F7 7E 08 85 D2 75 1C 8B 83 EC 00 00 00 99 F7 7E 0C 85 D2 75 0E 33 C9 89 4C 24 04 C7 07 ?? ?? ?? ?? EB 0F 8B 0B 8B C3 C7 41 14 26 00 00 00 8B 10 FF 12 83 C7 04 FF 04 24 83 C6 54 8B 0C 24 3B 4B 3C 0F 8C 16 FF FF FF 83 BB C0 00 00 00 00 74 19 83 7C 24 04 00 75 12 8B 03 C7 40 14 63 00 00 00 33 D2 8B C3 8B 08 FF 51 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81747_0 {
	meta:
		name = "_DF_."
		size = 1180
		refs = "00a6 _DV_. 014f _DF_. 045e _ftol"
	strings:
		$1 = { 53 56 57 83 C4 D8 33 C9 89 04 24 8B 04 24 8B 90 68 01 00 00 89 54 24 04 89 4C 24 08 8B 04 24 8B 50 44 89 54 24 0C E9 6E 01 00 00 8B 4C 24 0C 8B 59 10 85 DB 7C 0F 83 FB 04 7D 0A 8B 04 24 83 7C 98 48 00 75 16 8B 14 24 8B 02 C7 40 14 34 00 00 00 89 58 18 8B 04 24 8B 10 FF 12 8B 0C 24 8B 4C 99 48 89 4C 24 10 8B 04 24 8B 90 C4 00 00 00 4A 74 08 4A 74 67 E9 03 01 00 00 8B 4C 24 04 83 7C 99 0C 00 75 1A 8B 04 24 B9 00 01 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B 54 24 04 89 44 9A 0C 8B 44 24 04 33 F6 BA ?? ?? ?? ?? 8B 44 98 0C 8B C8 8B 44 24 10 0F B7 18 0F BF 3A 0F AF DF 81 C3 00 04 00 00 C1 FB 0B 89 19 46 83 C1 04 83 C2 02 83 C0 02 83 FE 40 7C DD E9 B4 00 00 00 8B 44 24 04 83 7C 98 20 00 75 1A 8B 04 24 B9 00 01 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B 54 24 04 89 44 9A 20 8B 44 24 04 33 F6 8B 4C 98 20 33 C0 89 4C 24 14 89 44 24 18 C7 44 24 20 ?? ?? ?? ?? 33 DB 8B 44 24 14 8D 0C B0 BA ?? ?? ?? ?? 8B 44 24 20 89 44 24 1C 8B 44 24 10 8D 04 70 0F B7 38 89 7C 24 24 DB 44 24 24 8B 7C 24 1C DC 0F DC 0A D8 0D ?? ?? ?? ?? D8 3D ?? ?? ?? ?? D9 19 46 83 C1 04 83 C0 02 43 83 C2 08 83 FB 08 7C CF FF 44 24 18 83 44 24 20 08 83 7C 24 18 08 7C A2 EB 13 8B 04 24 8B 10 C7 42 14 30 00 00 00 8B 04 24 8B 10 FF 12 FF 44 24 08 83 44 24 0C 54 8B 0C 24 8B 41 3C 3B 44 24 08 0F 8F 82 FE FF FF 83 C4 28 5F 5E 5B C3 00 00 00 41 00 00 80 3F 55 8B EC 81 C4 E4 FE FF FF 53 56 57 89 4D FC 8B 80 68 01 00 00 8B 48 08 89 4D F8 8B 52 10 8B 44 90 0C 33 D2 89 45 F4 8B 45 10 C1 E0 02 01 45 FC 89 55 F0 8B 4D F0 3B 4D 08 0F 83 0C 01 00 00 8B 45 FC 8D 95 E4 FE FF FF 8B C8 33 DB 8B 01 03 45 0C 0F B6 30 40 83 C6 80 89 32 83 C2 04 0F B6 30 40 83 C6 80 89 32 83 C2 04 0F B6 30 40 83 C6 80 89 32 83 C2 04 0F B6 30 40 83 C6 80 89 32 83 C2 04 0F B6 30 40 83 C6 80 89 32 83 C2 04 0F B6 30 40 83 C6 80 89 32 83 C2 04 0F B6 30 40 83 C6 80 89 32 83 C2 04 0F B6 00 83 C0 80 89 02 83 C2 04 43 83 C1 04 83 FB 08 7C 93 8D 85 E4 FE FF FF FF 55 F8 8B 45 F0 C1 E0 07 03 45 14 33 D2 89 55 EC 8B C8 89 4D E4 8D 85 E4 FE FF FF 89 45 E8 8B 55 F4 8B F2 8B 3E 8B 45 E8 8B 18 85 DB 7D 1B F7 DB 8B C7 D1 F8 03 D8 3B FB 7F 09 8B C3 99 F7 FF 89 C3 EB 02 33 DB F7 DB EB 15 8B C7 D1 F8 03 D8 3B FB 7F 09 8B C3 99 F7 FF 89 C3 EB 02 33 DB 8B 45 E4 66 89 18 FF 45 EC 83 45 E4 02 83 45 E8 04 83 C6 04 83 7D EC 40 7C AB FF 45 F0 83 45 0C 08 8B 55 F0 3B 55 08 0F 82 F4 FE FF FF 5F 5E 5B 8B E5 5D C2 10 00 55 8B EC 81 C4 C8 FE FF FF 53 56 57 89 4D FC 8B 80 68 01 00 00 8B 48 1C 89 4D F8 8B 52 10 8B 44 90 20 33 D2 89 45 F4 8B 45 10 C1 E0 02 01 45 FC 89 55 F0 8B 4D F0 3B 4D 08 0F 83 43 01 00 00 8B 45 FC 8D 95 E8 FE FF FF 8B C8 33 DB 8B 01 03 45 0C 0F B6 30 83 C6 80 40 89 B5 E4 FE FF FF DB 85 E4 FE FF FF D9 1A 0F B6 30 83 C6 80 83 C2 04 89 B5 E0 FE FF FF 40 DB 85 E0 FE FF FF D9 1A 0F B6 30 83 C6 80 83 C2 04 89 B5 DC FE FF FF 40 DB 85 DC FE FF FF D9 1A 0F B6 30 83 C6 80 83 C2 04 89 B5 D8 FE FF FF 40 DB 85 D8 FE FF FF D9 1A 0F B6 30 83 C6 80 83 C2 04 89 B5 D4 FE FF FF 40 DB 85 D4 FE FF FF D9 1A 0F B6 30 83 C6 80 83 C2 04 89 B5 D0 FE FF FF 40 DB 85 D0 FE FF FF D9 1A 0F B6 30 83 C6 80 83 C2 04 89 B5 CC FE FF FF 40 DB 85 CC FE FF FF D9 1A 0F B6 00 83 C0 80 83 C2 04 89 85 C8 FE FF FF DB 85 C8 FE FF FF D9 1A 83 C2 04 43 83 C1 04 83 FB 08 0F 8C 2F FF FF FF 8D 85 E8 FE FF FF FF 55 F8 8B 45 F0 8D 9D E8 FE FF FF C1 E0 07 03 45 14 33 D2 89 55 E8 8B F8 8B 45 F4 8B F0 D9 03 D8 0E D9 5D EC D9 45 EC D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 05 00 C0 66 89 07 FF 45 E8 83 C7 02 83 C6 04 83 C3 04 83 7D E8 40 7C D2 FF 45 F0 83 45 0C 08 8B 55 F0 3B 55 08 0F 82 BD FE FF FF 5F 5E 5B 8B E5 5D C2 10 00 00 00 01 80 46 }
	condition:
		$1
}

rule function_81748_0 {
	meta:
		name = "@jinit_forward_dct"
		size = 122
		refs = "001f _DF_. 003b @jpeg_fdct_ifast 004b @jpeg_fdct_float"
	strings:
		$1 = { 53 56 8B F0 B9 30 00 00 00 BA 01 00 00 00 8B C6 8B 58 04 FF 13 8B D8 89 9E 68 01 00 00 C7 03 ?? ?? ?? ?? 8B 86 C4 00 00 00 48 74 05 48 74 12 EB 20 C7 43 04 ?? ?? ?? ?? C7 43 08 ?? ?? ?? ?? EB 1F C7 43 04 ?? ?? ?? ?? C7 43 1C ?? ?? ?? ?? EB 0F 8B 16 8B C6 C7 42 14 30 00 00 00 8B 10 FF 12 33 D2 8D 43 0C 33 C9 89 08 33 C9 89 48 14 42 83 C0 04 83 FA 04 7C EE 5E 5B C3 }
	condition:
		$1
}

rule function_81749_0 {
	meta:
		name = "_DF_."
		size = 2708
		refs = "003f _DF_. 0125 memset 013c @jpeg_make_c_derived_tbl 0562 jpeg_natural_order 0a59 @jpeg_alloc_huff_table 0a6b @jpeg_gen_optimal_table"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B F8 89 14 24 8B 9F 6C 01 00 00 89 7B 20 8B 04 24 89 43 0C 83 BF 3C 01 00 00 00 0F 94 C2 83 E2 01 89 54 24 04 83 BF 44 01 00 00 00 75 19 83 7C 24 04 00 74 09 C7 43 04 ?? ?? ?? ?? EB 3A C7 43 04 ?? ?? ?? ?? EB 31 83 7C 24 04 00 74 09 C7 43 04 ?? ?? ?? ?? EB 21 C7 43 04 ?? ?? ?? ?? 83 7B 40 00 75 14 8B C7 B9 E8 03 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 43 40 83 3C 24 00 74 09 C7 43 08 ?? ?? ?? ?? EB 07 C7 43 08 ?? ?? ?? ?? 33 C0 89 44 24 08 8D 53 24 89 54 24 10 8D 8F F8 00 00 00 89 4C 24 0C E9 9D 00 00 00 8B 4C 24 0C 8B 54 24 10 8B 01 33 C9 89 0A 83 7C 24 04 00 74 0E 83 BF 44 01 00 00 00 75 71 8B 70 14 EB 06 8B 70 18 89 73 34 83 3C 24 00 74 4E 85 F6 7C 05 83 FE 04 7C 12 8B 07 C7 40 14 32 00 00 00 89 70 18 8B C7 8B 10 FF 12 83 7C B3 5C 00 75 16 8B C7 B9 04 04 00 00 BA 01 00 00 00 8B 68 04 FF 55 00 89 44 B3 5C 68 04 04 00 00 6A 00 8B 44 B3 5C 50 E8 ?? ?? ?? ?? 83 C4 0C EB 12 8D 54 B3 4C 8B CE 52 8B C7 8B 54 24 08 E8 ?? ?? ?? ?? FF 44 24 08 83 44 24 10 04 83 44 24 0C 04 8B 8F F4 00 00 00 3B 4C 24 08 0F 8F 53 FF FF FF 33 C9 33 C0 89 4B 38 89 43 3C 33 D2 33 C9 89 53 18 89 4B 1C 8B 87 C8 00 00 00 33 D2 89 43 44 89 53 48 83 C4 14 5D 5F 5E 5B C3 53 8B D8 56 8B 43 20 8B 70 18 FF 56 0C 85 C0 75 10 8B 43 20 8B 10 C7 42 14 18 00 00 00 8B 10 FF 12 8B 0E 89 4B 10 8B 4E 04 89 4B 14 5E 5B C3 90 53 8B D8 56 57 55 8B F9 85 FF 8B 6B 1C 8B F2 75 10 8B 43 20 8B 10 C7 42 14 28 00 00 00 8B 10 FF 12 83 7B 0C 00 75 6E 8B CF B8 01 00 00 00 D3 E0 48 03 EF B9 18 00 00 00 23 F0 2B CD D3 E6 0B 73 18 83 FD 08 7C 49 8B FE C1 FF 10 81 E7 FF 00 00 00 8B C7 8B 53 10 FF 43 10 88 02 FF 4B 14 75 07 8B C3 E8 69 FF FF FF 81 FF FF 00 00 00 75 15 8B 53 10 FF 43 10 C6 02 00 FF 4B 14 75 07 8B C3 E8 4C FF FF FF C1 E6 08 83 ED 08 83 FD 08 7D B7 89 73 18 89 6B 1C 5D 5F 5E 5B C3 90 90 53 8B D8 B9 07 00 00 00 BA 7F 00 00 00 8B C3 E8 50 FF FF FF 33 C9 33 C0 89 4B 18 89 43 1C 5B C3 53 83 78 0C 00 74 09 8B 44 90 5C FF 04 88 5B C3 8B 54 90 4C 8B 1C 8A 0F BE 94 0A 00 04 00 00 8B CA 8B D3 E8 1C FF FF FF 5B C3 90 90 53 56 57 8B F8 8B F1 8B DA 83 7F 0C 00 75 19 85 F6 76 15 0F BE 13 B9 01 00 00 00 8B C7 E8 F6 FE FF FF 43 4E 85 F6 77 EB 5F 5E 5B C3 53 8B D8 56 83 7B 38 00 76 57 8B 43 38 33 F6 EB 01 46 D1 F8 75 FB 83 FE 0E 7E 10 8B 43 20 8B 10 C7 42 14 28 00 00 00 8B 10 FF 12 8B CE C1 E1 04 8B 53 34 8B C3 E8 6E FF FF FF 85 F6 74 0C 8B CE 8B 53 38 8B C3 E8 A2 FE FF FF 33 C9 89 4B 38 8B 4B 3C 8B 53 40 8B C3 E8 78 FF FF FF 33 C9 89 4B 3C 5E 5B C3 53 56 8B F2 8B D8 8B C3 E8 8F FF FF FF 83 7B 0C 00 75 35 8B C3 E8 0A FF FF FF 8B 53 10 FF 43 10 C6 02 FF FF 4B 14 75 07 8B C3 E8 29 FE FF FF 8B 4B 10 8B D6 FF 43 10 80 C2 D0 88 11 FF 4B 14 75 07 8B C3 E8 10 FE FF FF 8B 53 20 83 BA 3C 01 00 00 00 75 1D 33 D2 8D 43 24 EB 08 33 C9 42 89 08 83 C0 04 8B 4B 20 3B 91 F4 00 00 00 7C ED 5E 5B C3 33 C0 33 D2 89 43 38 89 53 3C 5E 5B C3 90 90 53 56 57 8B F8 83 C4 E8 8B DA 8B B7 6C 01 00 00 8B 87 48 01 00 00 89 44 24 08 8B 57 18 8B 0A 89 4E 10 8B 4F 18 8B 41 04 89 46 14 83 BF C8 00 00 00 00 74 10 83 7E 44 00 75 0A 8B 56 48 8B C6 E8 3C FF FF FF 33 D2 89 54 24 04 8D 8F 14 01 00 00 89 4C 24 14 8B C3 89 44 24 10 E9 8C 00 00 00 8B 54 24 10 8B 02 8B 54 24 14 8B 12 8B 8C 97 F8 00 00 00 89 4C 24 0C 8B 4C 24 08 0F BF 00 D3 F8 89 04 24 8B 04 24 2B 44 96 24 8B 0C 24 89 4C 96 24 89 04 24 85 C0 7D 05 F7 D8 FF 0C 24 33 DB 85 C0 74 07 43 D1 F8 85 C0 75 F9 83 FB 0B 7E 0F 8B 07 C7 40 14 06 00 00 00 8B C7 8B 10 FF 12 8B 4C 24 0C 8B 51 14 8B CB 8B C6 E8 F7 FD FF FF 85 DB 74 0C 8B CB 8B 14 24 8B C6 E8 2B FD FF FF FF 44 24 04 83 44 24 14 04 83 44 24 10 04 8B 87 10 01 00 00 3B 44 24 04 0F 8F 64 FF FF FF 8B 56 10 8B 47 18 89 10 8B 56 14 89 50 04 8B 87 C8 00 00 00 85 C0 74 13 83 7E 44 00 75 0A 89 46 44 FF 46 48 83 66 48 07 FF 4E 44 B8 01 00 00 00 83 C4 18 5F 5E 5B C3 90 90 53 56 57 55 83 C4 E4 8B F2 89 04 24 8B 04 24 8B 98 6C 01 00 00 8B 04 24 8B 90 40 01 00 00 89 54 24 0C 8B 0C 24 8B 89 48 01 00 00 89 4C 24 10 8B 04 24 8B 50 18 8B 0A 89 4B 10 8B 04 24 8B 50 18 8B 4A 04 89 4B 14 8B 04 24 83 B8 C8 00 00 00 00 74 10 83 7B 44 00 75 0A 8B 53 48 8B C3 E8 EA FD FF FF 8B 16 89 54 24 14 33 F6 8B 04 24 8B 90 3C 01 00 00 89 54 24 08 8B 4C 24 08 8D 0C 8D ?? ?? ?? ?? 89 4C 24 18 8B 44 24 08 3B 44 24 0C 0F 8F C3 00 00 00 8B 54 24 18 8B 0A 8B 44 24 14 0F BF 3C 48 85 FF 75 06 46 E9 94 00 00 00 85 FF 7D 12 F7 DF 8B 4C 24 10 D3 FF 8B C7 F7 D0 89 44 24 04 EB 0A 8B 4C 24 10 D3 FF 89 7C 24 04 85 FF 75 03 46 EB 6D 83 7B 38 00 76 07 8B C3 E8 08 FD FF FF 83 FE 0F 7E 17 B9 F0 00 00 00 8B 53 34 8B C3 E8 9C FC FF FF 83 EE 10 83 FE 0F 7F E9 BD 01 00 00 00 EB 01 45 D1 FF 75 FB 83 FD 0A 7E 13 8B 04 24 8B 10 C7 42 14 06 00 00 00 8B 04 24 8B 10 FF 12 8B CE 8B 53 34 C1 E1 04 8B C3 03 CD E8 5F FC FF FF 8B CD 8B 54 24 04 8B C3 E8 96 FB FF FF 33 F6 FF 44 24 08 83 44 24 18 04 8B 44 24 08 3B 44 24 0C 0F 8E 3D FF FF FF 85 F6 7E 13 FF 43 38 81 7B 38 FF 7F 00 00 75 07 8B C3 E8 7A FC FF FF 8B 14 24 8B 42 18 8B 53 10 89 10 8B 4B 14 89 48 04 8B 0C 24 8B 81 C8 00 00 00 85 C0 74 13 83 7B 44 00 75 0A 89 43 44 FF 43 48 83 63 48 07 FF 4B 44 B8 01 00 00 00 83 C4 1C 5D 5F 5E 5B C3 53 56 8B D8 57 55 51 8B B3 6C 01 00 00 8B 83 48 01 00 00 89 04 24 8B FA 8B 53 18 8B 0A 89 4E 10 8B 4B 18 8B 41 04 89 46 14 83 BB C8 00 00 00 00 74 10 83 7E 44 00 75 0A 8B 56 48 8B C6 E8 5E FC FF FF 33 ED 8B C7 8B F8 EB 1E 8B 07 8B 0C 24 0F BF 10 8B C2 8B D0 8B C6 D3 FA B9 01 00 00 00 E8 C4 FA FF FF 45 83 C7 04 3B AB 10 01 00 00 7C DA 8B 43 18 8B 56 10 89 10 8B 4E 14 89 48 04 8B 83 C8 00 00 00 85 C0 74 13 83 7E 44 00 75 0A 89 46 44 FF 46 48 83 66 48 07 FF 4E 44 B8 01 00 00 00 5A 5D 5F 5E 5B C3 90 90 53 56 57 55 81 C4 E0 FE FF FF 8B FA 89 04 24 8B 04 24 8B 98 6C 01 00 00 8B 04 24 8B 90 40 01 00 00 89 54 24 10 8B 04 24 8B 0C 24 8B 50 18 8B B1 48 01 00 00 8B 0A 89 4B 10 8B 0C 24 8B 41 18 8B 50 04 89 53 14 8B 0C 24 83 B9 C8 00 00 00 00 74 10 83 7B 44 00 75 0A 8B 53 48 8B C3 E8 97 FB FF FF 8B 0F 33 C0 89 4C 24 14 89 44 24 0C 8B 14 24 8B 8A 3C 01 00 00 89 4C 24 08 8B 44 24 08 8B 4C 24 08 3B 4C 24 10 8D 54 84 20 8B 44 24 08 8D 04 85 ?? ?? ?? ?? 7F 48 8B 08 8B 7C 24 14 0F BF 0C 4F 89 4C 24 04 83 7C 24 04 00 7D 04 F7 5C 24 04 8B CE D3 7C 24 04 8B 4C 24 04 89 0A 83 7C 24 04 01 75 08 8B 4C 24 08 89 4C 24 0C FF 44 24 08 83 C2 04 83 C0 04 8B 4C 24 08 3B 4C 24 10 7E B8 8B 04 24 8B 6B 40 03 6B 3C 33 FF 8B 90 3C 01 00 00 33 F6 89 54 24 08 8B 4C 24 08 8D 0C 8D ?? ?? ?? ?? 89 4C 24 1C 8B 44 24 08 8D 54 84 20 89 54 24 18 8B 4C 24 08 3B 4C 24 10 0F 8F D6 00 00 00 8B 44 24 18 8B 10 89 54 24 04 85 D2 75 31 47 E9 A6 00 00 00 EB 29 8B C3 E8 58 FA FF FF B9 F0 00 00 00 8B 53 34 8B C3 E8 F1 F9 FF FF 83 EF 10 8B CE 8B D5 8B C3 E8 0F FA FF FF 8B 6B 40 33 F6 83 FF 0F 7E 0A 8B 44 24 08 3B 44 24 0C 7E C8 83 7C 24 04 01 7E 0E 8A 54 24 04 80 E2 01 88 54 35 00 46 EB 57 8B C3 E8 0B FA FF FF 8B CF 8B 53 34 C1 E1 04 8B C3 41 E8 A3 F9 FF FF 8B 54 24 1C 8B 0A 8B 7C 24 14 66 83 3C 4F 00 7D 04 33 C0 EB 05 B8 01 00 00 00 89 44 24 04 B9 01 00 00 00 8B 54 24 04 8B C3 E8 B9 F8 FF FF 8B CE 8B D5 8B C3 E8 96 F9 FF FF 8B 6B 40 33 F6 33 FF FF 44 24 08 83 44 24 1C 04 83 44 24 18 04 8B 44 24 08 3B 44 24 10 0F 8E 2A FF FF FF 85 FF 7F 04 85 F6 76 1F FF 43 38 01 73 3C 81 7B 38 FF 7F 00 00 74 09 81 7B 3C A9 03 00 00 76 07 8B C3 E8 78 F9 FF FF 8B 14 24 8B 42 18 8B 53 10 89 10 8B 4B 14 89 48 04 8B 0C 24 8B 81 C8 00 00 00 85 C0 74 13 83 7B 44 00 75 0A 89 43 44 FF 43 48 83 63 48 07 FF 4B 44 B8 01 00 00 00 81 C4 20 01 00 00 5D 5F 5E 5B C3 90 90 90 53 56 8B F0 8B 46 18 8B 9E 6C 01 00 00 8B 10 8B C3 89 53 10 8B 4E 18 8B 49 04 89 4B 14 E8 12 F9 FF FF 8B C3 E8 93 F8 FF FF 8B 46 18 8B 53 10 89 10 8B 4B 14 89 48 04 5E 5B C3 90 90 53 56 57 55 83 C4 E4 8B F0 8B 86 6C 01 00 00 89 04 24 8B 04 24 E8 DE F8 FF FF 83 BE 3C 01 00 00 00 0F 94 C2 83 E2 01 89 54 24 04 6A 10 6A 00 8D 4C 24 14 51 E8 ?? ?? ?? ?? 83 C4 0C 33 FF 89 7C 24 08 8D AE F8 00 00 00 EB 60 83 7C 24 04 00 8B 45 00 74 0E 83 BE 44 01 00 00 00 75 46 8B 58 14 EB 03 8B 58 18 83 7C 9C 0C 00 75 37 83 7C 24 04 00 74 06 8D 7C 9E 58 EB 04 8D 7C 9E 68 83 3F 00 75 09 8B C6 E8 ?? ?? ?? ?? 89 07 8B 14 24 8B 4C 9A 5C 8B 17 8B C6 E8 ?? ?? ?? ?? C7 44 9C 0C 01 00 00 00 FF 44 24 08 83 C5 04 8B 4C 24 08 3B 8E F4 00 00 00 7C 94 83 C4 1C 5D 5F 5E 5B C3 90 90 }
	condition:
		$1
}

rule function_81750_0 {
	meta:
		name = "@jinit_phuff_encoder"
		size = 66
		refs = "0021 _DF_."
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 6C 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 8B C8 33 D2 89 8B 6C 01 00 00 C7 01 ?? ?? ?? ?? 8D 41 4C 33 DB 89 18 33 DB 89 58 10 42 83 C0 04 83 FA 04 7C EE 33 C0 89 41 40 5E 5B C3 }
	condition:
		$1
}

rule function_81751_0 {
	meta:
		name = "@jpeg_fdct_ifast"
		size = 618
	strings:
		$1 = { 53 56 57 55 83 C4 E8 89 04 24 8B 04 24 C7 44 24 14 07 00 00 00 8B 10 8B 58 1C 8B CA 8B F2 8B 50 04 2B F3 03 CB 8B 78 18 8B DA 2B D7 89 54 24 10 03 DF 8B 50 08 8B 78 14 8B EA 2B D7 03 EF 89 6C 24 04 89 54 24 0C 8B 50 0C 8B FA 03 78 10 2B 50 10 89 54 24 08 8D 14 0F 2B CF 8B F9 8B 4C 24 04 03 CB 2B 5C 24 04 8D 2C 11 2B D1 89 28 89 50 10 8D 14 1F 8B CA 8D 14 91 8D 14 51 8D 14 91 8D 14 91 C1 FA 08 8D 0C 3A 2B FA 89 48 08 89 78 18 8B 54 24 08 8B 5C 24 10 03 54 24 0C 03 DE 8B FA 8B 4C 24 0C 2B FB 03 4C 24 10 8B EF 8D 7C 7D 00 C1 E7 04 03 FD 8B EA C1 E2 04 03 FF 03 D5 C1 FF 08 8D 54 95 00 8D 54 55 00 8B EB C1 FA 08 03 D7 8D 5C 9D 00 8D 5C 9D 00 C1 E3 03 2B DD 03 DB C1 FB 08 03 FB 8B DF 8B F9 8D 0C 8F 8D 0C 4F 8D 0C 8F 8D 0C 8F C1 F9 08 8D 3C 31 2B F1 8B CE 8D 34 0A 2B CA 89 70 14 89 48 0C 8D 14 3B 2B FB 89 50 04 89 78 1C 83 C0 20 FF 4C 24 14 83 7C 24 14 00 0F 8D F0 FE FF FF 8B 04 24 C7 44 24 14 07 00 00 00 8B 10 8B 98 E0 00 00 00 8B CA 8B F2 2B F3 03 CB 8B 58 20 8B 50 20 03 98 C0 00 00 00 2B 90 C0 00 00 00 89 54 24 10 8B 50 40 03 90 A0 00 00 00 89 54 24 04 8B 50 40 2B 90 A0 00 00 00 89 54 24 0C 8B 78 60 8B 50 60 03 B8 80 00 00 00 2B 90 80 00 00 00 89 54 24 08 8D 14 0F 2B CF 8B F9 8B 4C 24 04 03 CB 2B 5C 24 04 8D 2C 11 2B D1 89 28 89 90 80 00 00 00 8D 14 1F 8B CA 8D 14 91 8D 14 51 8D 14 91 8D 14 91 C1 FA 08 8D 0C 3A 2B FA 89 48 40 89 B8 C0 00 00 00 8B 54 24 08 8B 5C 24 10 03 54 24 0C 03 DE 8B FA 8B 4C 24 0C 2B FB 03 4C 24 10 8B EF 8D 7C 7D 00 C1 E7 04 03 FD 8B EA C1 E2 04 03 FF 03 D5 C1 FF 08 8D 54 95 00 8D 54 55 00 8B EB C1 FA 08 03 D7 8D 5C 9D 00 8D 5C 9D 00 C1 E3 03 2B DD 03 DB C1 FB 08 03 FB 8B DF 8B F9 8D 0C 8F 8D 0C 4F 8D 0C 8F 8D 0C 8F C1 F9 08 8D 3C 31 2B F1 8B CE 8D 34 0A 2B CA 89 B0 A0 00 00 00 89 48 60 8D 14 3B 2B FB 89 50 20 89 B8 E0 00 00 00 83 C0 04 FF 4C 24 14 83 7C 24 14 00 0F 8D CE FE FF FF 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81752_0 {
	meta:
		name = "@jpeg_fdct_float"
		size = 812
		refs = "00a4 @jpeg_fdct_float"
	strings:
		$1 = { 83 C4 B4 8B D0 B9 07 00 00 00 D9 02 D8 42 1C D9 1C 24 D9 02 D8 62 1C D9 5C 24 1C D9 42 04 D8 42 18 D9 5C 24 04 D9 42 04 D8 62 18 D9 5C 24 18 D9 42 08 D8 42 14 D9 5C 24 08 D9 42 08 D8 62 14 D9 5C 24 14 D9 42 0C D8 42 10 D9 5C 24 0C D9 42 0C D8 62 10 D9 5C 24 10 D9 04 24 D8 44 24 0C D9 5C 24 20 D9 04 24 D8 64 24 0C D9 5C 24 2C D9 44 24 04 D8 44 24 08 D9 5C 24 24 D9 44 24 04 D8 64 24 08 D9 5C 24 28 D9 44 24 20 D8 44 24 24 D9 1A D9 44 24 20 D8 64 24 24 D9 5A 10 D9 44 24 28 D8 44 24 2C D8 0D ?? ?? ?? ?? D9 5C 24 30 D9 44 24 2C D8 44 24 30 D9 5A 08 D9 44 24 2C D8 64 24 30 D9 5A 18 D9 44 24 10 D8 44 24 14 D9 5C 24 20 D9 44 24 14 D8 44 24 18 D9 5C 24 24 D9 44 24 18 D8 44 24 1C D9 5C 24 28 D9 44 24 20 D8 64 24 28 D8 0D ?? ?? ?? ?? D9 5C 24 40 D9 05 ?? ?? ?? ?? D8 4C 24 20 D8 44 24 40 D9 5C 24 34 D9 05 ?? ?? ?? ?? D8 4C 24 28 D8 44 24 40 D9 5C 24 3C D9 44 24 24 D8 0D ?? ?? ?? ?? D9 5C 24 38 D9 44 24 1C D8 44 24 38 D9 5C 24 44 D9 44 24 1C D8 64 24 38 D9 5C 24 48 D9 44 24 48 D8 44 24 34 D9 5A 14 D9 44 24 48 D8 64 24 34 D9 5A 0C D9 44 24 44 D8 44 24 3C D9 5A 04 D9 44 24 44 D8 64 24 3C D9 5A 1C 83 C2 20 49 85 C9 0F 8D 90 FE FF FF 8B D0 B9 07 00 00 00 D9 02 D8 82 E0 00 00 00 D9 1C 24 D9 02 D8 A2 E0 00 00 00 D9 5C 24 1C D9 42 20 D8 82 C0 00 00 00 D9 5C 24 04 D9 42 20 D8 A2 C0 00 00 00 D9 5C 24 18 D9 42 40 D8 82 A0 00 00 00 D9 5C 24 08 D9 42 40 D8 A2 A0 00 00 00 D9 5C 24 14 D9 42 60 D8 82 80 00 00 00 D9 5C 24 0C D9 42 60 D8 A2 80 00 00 00 D9 5C 24 10 D9 04 24 D8 44 24 0C D9 5C 24 20 D9 04 24 D8 64 24 0C D9 5C 24 2C D9 44 24 04 D8 44 24 08 D9 5C 24 24 D9 44 24 04 D8 64 24 08 D9 5C 24 28 D9 44 24 20 D8 44 24 24 D9 1A D9 44 24 20 D8 64 24 24 D9 9A 80 00 00 00 D9 44 24 28 D8 44 24 2C D8 0D ?? ?? ?? ?? D9 5C 24 30 D9 44 24 2C D8 44 24 30 D9 5A 40 D9 44 24 2C D8 64 24 30 D9 9A C0 00 00 00 D9 44 24 10 D8 44 24 14 D9 5C 24 20 D9 44 24 14 D8 44 24 18 D9 5C 24 24 D9 44 24 18 D8 44 24 1C D9 5C 24 28 D9 44 24 20 D8 64 24 28 D8 0D ?? ?? ?? ?? D9 5C 24 40 D9 05 ?? ?? ?? ?? D8 4C 24 20 D8 44 24 40 D9 5C 24 34 D9 05 ?? ?? ?? ?? D8 4C 24 28 D8 44 24 40 D9 5C 24 3C D9 44 24 24 D8 0D ?? ?? ?? ?? D9 5C 24 38 D9 44 24 1C D8 44 24 38 D9 5C 24 44 D9 44 24 1C D8 64 24 38 D9 5C 24 48 D9 44 24 48 D8 44 24 34 D9 9A A0 00 00 00 D9 44 24 48 D8 64 24 34 D9 5A 60 D9 44 24 44 D8 44 24 3C D9 5A 20 D9 44 24 44 D8 64 24 3C D9 9A E0 00 00 00 83 C2 04 49 85 C9 0F 8D 6C FE FF FF 83 C4 4C C3 00 00 00 F3 04 35 3F 15 EF C3 3E D4 8B 0A 3F 75 3D A7 3F }
	condition:
		$1
}

rule function_81753_0 {
	meta:
		name = "_DF_."
		size = 400
		refs = "001b _DF_. 00d5 memset"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B F0 89 14 24 83 3C 24 00 8B 9E 6C 01 00 00 74 10 C7 43 04 ?? ?? ?? ?? C7 43 08 ?? ?? ?? ?? EB 0E C7 43 04 ?? ?? ?? ?? C7 43 08 ?? ?? ?? ?? 33 C0 89 44 24 04 8D 53 14 89 54 24 10 8D 8E F8 00 00 00 89 4C 24 0C E9 0B 01 00 00 8B 4C 24 0C 8B 01 8B 78 14 8B 40 18 89 44 24 08 83 3C 24 00 0F 84 AE 00 00 00 85 FF 7C 05 83 FF 04 7C 12 8B 06 C7 40 14 32 00 00 00 89 78 18 8B C6 8B 10 FF 12 83 7C 24 08 00 7C 07 83 7C 24 08 04 7C 16 8B 06 C7 40 14 32 00 00 00 8B 54 24 08 89 50 18 8B C6 8B 10 FF 12 83 7C BB 4C 00 75 16 8B C6 B9 04 04 00 00 BA 01 00 00 00 8B 68 04 FF 55 00 89 44 BB 4C 68 04 04 00 00 6A 00 8B 44 BB 4C 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 54 24 08 83 7C 93 5C 00 75 19 8B C6 B9 04 04 00 00 BA 01 00 00 00 8B 78 04 FF 17 8B 54 24 08 89 44 93 5C 68 04 04 00 00 6A 00 8B 44 24 10 8B 4C 83 5C 51 E8 ?? ?? ?? ?? 83 C4 0C EB 2D 8D 4C BB 2C BA 01 00 00 00 51 8B CF 8B C6 E8 63 00 00 00 8B 4C 24 08 8B C6 C1 E1 02 03 CB 83 C1 3C 33 D2 51 8B 4C 24 0C E8 49 00 00 00 8B 4C 24 10 33 C0 89 01 FF 44 24 04 83 44 24 10 04 83 44 24 0C 04 8B 54 24 04 3B 96 F4 00 00 00 0F 8C E5 FE FF FF 33 C9 33 C0 89 4B 0C 89 43 10 8B 96 C8 00 00 00 33 C9 89 53 24 89 4B 28 83 C4 14 5D 5F 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_81754_0 {
	meta:
		name = "@jpeg_make_c_derived_tbl"
		size = 2064
		refs = "015d memset 0389 jpeg_natural_order"
	strings:
		$1 = { 55 8B EC 81 C4 D0 FA FF FF 53 56 57 8B F1 89 55 F8 89 45 FC 8B 5D 08 85 F6 7C 05 83 FE 04 7C 16 8B 45 FC 8B 00 C7 40 14 32 00 00 00 89 70 18 8B 45 FC 8B 10 FF 12 83 7D F8 00 74 09 8B 4D FC 8B 4C B1 58 EB 07 8B 45 FC 8B 4C B0 68 89 4D F4 83 7D F4 00 75 16 8B 45 FC 8B 00 C7 40 14 32 00 00 00 89 70 18 8B 45 FC 8B 10 FF 12 83 3B 00 75 14 8B 45 FC B9 00 05 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 03 8B 03 89 45 F0 33 DB BF 01 00 00 00 8B 45 F4 8D 50 01 89 55 E0 8B 4D E0 0F B6 31 85 F6 7C 0A 8D 04 1E 3D 00 01 00 00 7E 13 8B 55 FC 8B 0A C7 41 14 08 00 00 00 8B 45 FC 8B 10 FF 12 8D 84 1D D4 FE FF FF EB 06 8B D7 43 88 10 40 8B CE 83 C6 FF 85 C9 75 F1 47 FF 45 E0 83 FF 10 7E B8 C6 84 1D D4 FE FF FF 00 89 5D EC 33 F6 0F BE 85 D4 FE FF FF 89 45 E8 33 DB EB 46 8D 94 9D D0 FA FF FF 8D 84 1D D4 FE FF FF EB 08 89 32 43 83 C2 04 40 46 0F BE 08 3B 4D E8 74 F0 8B 4D E8 B8 01 00 00 00 D3 E0 3B C6 7F 13 8B 55 FC 8B 0A C7 41 14 08 00 00 00 8B 45 FC 8B 10 FF 12 03 F6 FF 45 E8 80 BC 1D D4 FE FF FF 00 75 B0 68 00 01 00 00 6A 00 8B 45 F0 05 00 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D F8 00 74 07 BA 0F 00 00 00 EB 05 BA FF 00 00 00 89 55 E4 8D 85 D4 FE FF FF 89 45 D8 8D 95 D0 FA FF FF 89 55 DC 33 DB 8B 4D F4 3B 5D EC 8D 79 11 7D 54 0F B6 37 85 F6 7C 12 3B 75 E4 7F 0D 8B 45 F0 80 BC 30 00 04 00 00 00 74 13 8B 55 FC 8B 0A C7 41 14 08 00 00 00 8B 45 FC 8B 10 FF 12 8B 4D DC 8B 45 F0 8B 09 89 0C B0 8B 55 D8 8B 45 F0 8A 0A 88 8C 30 00 04 00 00 43 FF 45 D8 83 45 DC 04 47 3B 5D EC 7C AC 5F 5E 5B 8B E5 5D C2 04 00 90 90 90 53 8B D8 56 8B 43 20 8B 70 18 FF 56 0C 85 C0 75 05 33 C0 5E 5B C3 8B 16 B8 01 00 00 00 89 13 8B 4E 04 89 4B 04 5E 5B C3 53 8B D8 56 57 55 8B F9 85 FF 8B 6B 0C 8B F2 75 10 8B 43 20 8B 10 C7 42 14 28 00 00 00 8B 10 FF 12 8B CF B8 01 00 00 00 D3 E0 48 03 EF B9 18 00 00 00 23 F0 2B CD D3 E6 0B 73 08 83 FD 08 7C 55 8B FE C1 FF 10 81 E7 FF 00 00 00 8B C7 8B 13 FF 03 88 02 FF 4B 04 75 0F 8B C3 E8 79 FF FF FF 85 C0 75 04 33 C0 EB 39 81 FF FF 00 00 00 75 1B 8B 13 FF 03 C6 02 00 FF 4B 04 75 0F 8B C3 E8 56 FF FF FF 85 C0 75 04 33 C0 EB 16 C1 E6 08 83 ED 08 83 FD 08 7D AB 89 73 08 89 6B 0C B8 01 00 00 00 5D 5F 5E 5B C3 90 90 90 53 8B D8 B9 07 00 00 00 BA 7F 00 00 00 8B C3 E8 44 FF FF FF 85 C0 75 04 33 C0 5B C3 33 D2 33 C9 89 53 08 89 4B 0C B8 01 00 00 00 5B C3 90 90 90 55 8B EC 83 C4 EC 53 56 57 89 55 F8 89 45 FC 8B 5D 0C 8B 45 F8 0F BF 10 2B D1 89 55 F4 8B F2 85 F6 7D 05 F7 DE FF 4D F4 33 FF 85 F6 74 07 47 D1 FE 85 F6 75 F9 83 FF 0B 7E 13 8B 45 FC 8B 40 20 8B 10 C7 42 14 06 00 00 00 8B 10 FF 12 0F BE 8C 3B 00 04 00 00 8B 14 BB 8B 45 FC E8 C8 FE FF FF 85 C0 75 07 33 C0 E9 1D 01 00 00 85 FF 74 18 8B CF 8B 55 F4 8B 45 FC E8 AC FE FF FF 85 C0 75 07 33 C0 E9 01 01 00 00 C7 45 F0 01 00 00 00 C7 45 EC ?? ?? ?? ?? 33 DB 8B 45 EC 8B 10 8B 4D F8 0F BF 34 51 85 F6 75 06 43 E9 A2 00 00 00 83 FB 0F 7E 2E 8B 45 08 8B 55 08 0F BE 88 F0 04 00 00 8B 45 FC 8B 92 C0 03 00 00 E8 5B FE FF FF 85 C0 75 07 33 C0 E9 B0 00 00 00 83 EB 10 83 FB 0F 7F D2 89 75 F4 85 F6 7D 05 F7 DE FF 4D F4 BF 01 00 00 00 EB 01 47 D1 FE 75 FB 83 FF 0A 7E 13 8B 45 FC 8B 40 20 8B 10 C7 42 14 06 00 00 00 8B 10 FF 12 8B C3 C1 E0 04 03 C7 8B 55 08 0F BE 8C 02 00 04 00 00 8B 55 08 8B 14 82 8B 45 FC E8 F8 FD FF FF 85 C0 75 04 33 C0 EB 50 8B CF 8B 55 F4 8B 45 FC E8 E3 FD FF FF 85 C0 75 04 33 C0 EB 3B 33 DB FF 45 F0 83 45 EC 04 83 7D F0 40 0F 8C 37 FF FF FF 85 DB 7E 1F 8B 45 08 8B 55 08 0F BE 88 00 04 00 00 8B 45 FC 8B 12 E8 AD FD FF FF 85 C0 75 04 33 C0 EB 05 B8 01 00 00 00 5F 5E 5B 8B E5 5D C2 08 00 90 90 90 53 56 8B F2 8B D8 8B C3 E8 2F FE FF FF 85 C0 75 05 33 C0 5E 5B C3 8B 13 FF 03 C6 02 FF FF 4B 04 75 10 8B C3 E8 43 FD FF FF 85 C0 75 05 33 C0 5E 5B C3 8B 0B 8B D6 FF 03 80 C2 D0 88 11 FF 4B 04 75 10 8B C3 E8 23 FD FF FF 85 C0 75 05 33 C0 5E 5B C3 33 D2 8D 43 10 EB 08 33 C9 42 89 08 83 C0 04 8B 4B 20 3B 91 F4 00 00 00 7C ED B8 01 00 00 00 5E 5B C3 53 56 8B F0 57 55 83 C4 D4 8B 46 18 8B DA 8B AE 6C 01 00 00 8B 10 89 54 24 08 8B 48 04 89 4C 24 0C 56 8D 7C 24 14 8D 75 0C B9 06 00 00 00 F3 A5 5E 89 74 24 28 83 BE C8 00 00 00 00 74 1D 83 7D 24 00 75 17 8B 55 28 8D 44 24 08 E8 3C FF FF FF 85 C0 75 07 33 C0 E9 AA 00 00 00 33 D2 89 14 24 8B CB 8B D9 8D 8E 14 01 00 00 89 4C 24 04 EB 48 8B 44 24 04 8B 38 8B 84 BE F8 00 00 00 8B 50 14 8B 4C 95 2C 51 8B 48 18 8B 44 8D 3C 50 8B 4C BC 20 8D 44 24 10 8B 13 E8 5C FD FF FF 85 C0 75 04 33 C0 EB 61 8B 13 0F BF 0A 89 4C BC 18 FF 04 24 83 C3 04 83 44 24 04 04 8B 0C 24 3B 8E 10 01 00 00 7C AD 8B 46 18 8B 54 24 08 8D 7D 0C B9 06 00 00 00 89 10 8B 54 24 0C 89 50 04 56 8D 74 24 14 F3 A5 5E 8B 86 C8 00 00 00 85 C0 74 13 83 7D 24 00 75 0A 89 45 24 FF 45 28 83 65 28 07 FF 4D 24 B8 01 00 00 00 83 C4 2C 5D 5F 5E 5B C3 90 90 90 53 8B D8 56 57 8B 43 18 83 C4 DC 8B B3 6C 01 00 00 8B 10 89 14 24 8B 48 04 89 4C 24 04 56 8D 7C 24 0C 83 C6 0C B9 06 00 00 00 F3 A5 5E 89 5C 24 20 8B C4 E8 80 FC FF FF 85 C0 75 0F 8B 13 8B C3 C7 42 14 18 00 00 00 8B 10 FF 12 8B 43 18 8B 14 24 8D 7E 0C 89 10 8B 4C 24 04 89 48 04 56 8D 74 24 0C B9 06 00 00 00 F3 A5 5E 83 C4 24 5F 5E 5B C3 90 90 90 55 8B EC 83 C4 EC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 7D 08 8B 45 F8 0F BF 00 2B 45 F4 85 C0 7D 02 F7 D8 33 F6 85 C0 74 07 46 D1 F8 85 C0 75 F9 83 FE 0B 7E 13 8B 45 FC 8B 10 C7 42 14 06 00 00 00 8B 45 FC 8B 10 FF 12 8B 4D 0C FF 04 B1 33 DB C7 45 F0 01 00 00 00 C7 45 EC ?? ?? ?? ?? 8B 45 EC 8B 10 8B 4D F8 0F BF 04 51 85 C0 75 03 43 EB 47 83 FB 0F 7E 0E FF 87 C0 03 00 00 83 EB 10 83 FB 0F 7F F2 85 C0 7D 02 F7 D8 BE 01 00 00 00 EB 01 46 D1 F8 75 FB 83 FE 0A 7E 13 8B 45 FC 8B 10 C7 42 14 06 00 00 00 8B 45 FC 8B 10 FF 12 C1 E3 04 03 F3 FF 04 B7 33 DB FF 45 F0 83 45 EC 04 83 7D F0 40 7C 99 85 DB 7E 02 FF 07 5F 5E 5B 8B E5 5D C2 08 00 90 90 90 53 56 57 55 83 C4 F4 8B E8 89 14 24 83 BD C8 00 00 00 00 8B 9D 6C 01 00 00 74 29 83 7B 24 00 75 20 33 F6 8D 43 14 EB 08 33 D2 46 89 10 83 C0 04 3B B5 F4 00 00 00 7C F0 8B 8D C8 00 00 00 89 4B 24 FF 4B 24 33 C9 89 4C 24 04 8B 04 24 8B F8 8D 85 14 01 00 00 89 44 24 08 EB 3F 8B 54 24 08 8B 32 8B 84 B5 F8 00 00 00 8B 50 14 8B 4C 93 4C 51 8B 48 18 8B 44 8B 5C 50 8B 17 8B 4C B3 14 8B C5 E8 A3 FE FF FF 8B 17 0F BF 0A 89 4C B3 14 FF 44 24 04 83 C7 04 83 44 24 08 04 8B 85 10 01 00 00 3B 44 24 04 7F B5 B8 01 00 00 00 83 C4 0C 5D 5F 5E 5B C3 90 }
	condition:
		$1
}

rule function_81755_0 {
	meta:
		name = "@jpeg_gen_optimal_table"
		size = 700
		refs = "001e memset 0199 memcpy 0249 @jpeg_alloc_huff_table"
	strings:
		$1 = { 53 56 57 81 C4 C8 F7 FF FF 89 4C 24 08 89 54 24 04 89 04 24 6A 21 6A 00 8D 44 24 14 50 E8 ?? ?? ?? ?? 83 C4 0C 68 04 04 00 00 6A 00 8D 54 24 38 52 E8 ?? ?? ?? ?? 83 C4 0C 33 DB 8D 84 24 34 04 00 00 C7 00 FF FF FF FF 43 83 C0 04 81 FB 01 01 00 00 7C EE 8B 54 24 08 C7 82 00 04 00 00 01 00 00 00 83 C8 FF BF 00 CA 9A 3B 33 DB 8B 54 24 08 8B 0A 85 C9 74 08 3B F9 7C 04 8B F9 8B C3 43 83 C2 04 81 FB 00 01 00 00 7E E6 83 CA FF BF 00 CA 9A 3B 33 DB 8B 4C 24 08 8B 31 85 F6 74 0C 3B FE 7C 08 3B C3 74 04 8B FE 8B D3 43 83 C1 04 81 FB 00 01 00 00 7E E2 85 D2 7C 51 8B 4C 24 08 8B 5C 24 08 8B 0C 91 01 0C 83 33 DB 8B 4C 24 08 89 1C 91 FF 44 84 30 EB 06 8B C1 FF 44 84 30 8B 8C 84 34 04 00 00 85 C9 7D EF 89 94 84 34 04 00 00 FF 44 94 30 EB 06 8B D0 FF 44 94 30 8B 84 94 34 04 00 00 85 C0 7D EF E9 57 FF FF FF 33 DB 8D 74 24 30 8B 06 85 C0 74 1E 83 F8 20 7E 13 8B 14 24 8B 0A C7 41 14 27 00 00 00 8B 04 24 8B 10 FF 12 8B 0E FE 44 0C 0C 43 83 C6 04 81 FB 00 01 00 00 7E D0 BB 20 00 00 00 8D 74 24 2C 8B CE EB 1F 8D 43 FE 8D 54 04 0C EB 02 48 4A 80 3A 00 74 F9 80 01 FE FE 41 FF 80 44 04 0D 02 FE 4C 04 0C 0F B6 39 85 FF 7F DA 4B 4E 83 FB 10 7F CF 8D 44 1C 0C EB 02 4B 48 80 38 00 74 F9 FE 4C 1C 0C 6A 11 8D 54 24 10 52 8B 4C 24 0C 51 E8 ?? ?? ?? ?? 83 C4 0C 33 FF BB 01 00 00 00 33 C0 8B 54 24 04 8D 74 3A 11 8D 54 24 30 3B 1A 75 04 88 06 47 46 40 83 C2 04 3D FF 00 00 00 7E ED 43 83 FB 20 7E D9 8B 44 24 04 33 C9 89 88 14 01 00 00 81 C4 38 08 00 00 5F 5E 5B C3 53 56 57 55 83 C4 D4 8B D8 8B 83 6C 01 00 00 89 04 24 6A 10 6A 00 8D 54 24 14 52 E8 ?? ?? ?? ?? 83 C4 0C 6A 10 6A 00 8D 4C 24 24 51 E8 ?? ?? ?? ?? 83 C4 0C 33 C9 89 4C 24 04 8D 83 F8 00 00 00 89 44 24 08 EB 77 8B 54 24 08 8B 02 8B 78 14 8B 68 18 83 7C BC 0C 00 75 2A 8D 74 BB 58 83 3E 00 75 09 8B C3 E8 ?? ?? ?? ?? 89 06 8B 14 24 8B 4C BA 4C 8B 16 8B C3 E8 A1 FD FF FF C7 44 BC 0C 01 00 00 00 83 7C AC 1C 00 75 2A 8D 74 AB 68 83 3E 00 75 09 8B C3 E8 ?? ?? ?? ?? 89 06 8B 14 24 8B 4C AA 5C 8B 16 8B C3 E8 70 FD FF FF C7 44 AC 1C 01 00 00 00 FF 44 24 04 83 44 24 08 04 8B 4C 24 04 3B 8B F4 00 00 00 0F 8C 79 FF FF FF 83 C4 2C 5D 5F 5E 5B C3 90 90 90 }
	condition:
		$1
}

rule function_81756_0 {
	meta:
		name = "@jinit_huff_encoder"
		size = 65
		refs = "001d _DF_."
	strings:
		$1 = { 53 8B D8 8B C3 56 B9 6C 00 00 00 BA 01 00 00 00 8B 70 04 FF 16 89 83 6C 01 00 00 C7 00 ?? ?? ?? ?? 33 D2 83 C0 3C 33 C9 89 08 89 48 F0 33 C9 89 48 20 89 48 10 42 83 C0 04 83 FA 04 7C E8 5E 5B C3 }
	condition:
		$1
}

rule function_81757_0 {
	meta:
		name = "Finalization"
		size = 25
		refs = "0002 _DV_3 000a _DV_TJPEGImage 000f _Dn_TPicture 0014 TPicture.UnregisterGraphicClass"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 10 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81758_0 {
	meta:
		name = "Vcl.Imaging.jpeg"
		size = 192
		refs = "000b Vcl.Imaging.jpeg 0017 _DV_3 001f InitDefaults 0024 _DV_TJPEGImage 002d sJPEGImageFile 0032 LoadResString 003f _Dn_TPicture 0044 TPicture.RegisterFileFormat 0083 @UStrArrayClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 4F E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6A 00 70 00 65 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6A 00 70 00 67 00 00 00 }
	condition:
		$1
}

rule function_81759_0 {
	meta:
		name = "DrawTransparentBitmap"
		size = 596
		refs = "001f CreateCompatibleDC 0034 CreateDIBitmap 003b SelectObject 009a CreateBitmap 00b8 CreateCompatibleBitmap 00f5 SetBkColor 0119 StretchBlt 013f BitBlt 01f0 DeleteObject 022f DeleteDC"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 8B 75 0C 8D 7D B0 A5 A5 A5 A5 8B D9 8B F2 89 45 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 8B F8 6A 00 8B 45 10 50 56 6A 04 53 8B 45 FC 50 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 89 45 C0 8B 43 04 99 33 C2 2B C2 89 45 C4 8B 43 08 99 33 C2 2B C2 89 45 C8 8B 45 B8 2B 45 B0 89 45 CC 8B 5D BC 2B 5D B4 89 5D D0 8B 45 FC 50 E8 ?? ?? ?? ?? 89 45 D8 8B 45 FC 50 E8 ?? ?? ?? ?? 89 45 D4 8B 45 FC 50 E8 ?? ?? ?? ?? 89 45 DC 6A 00 6A 01 6A 01 53 8B 75 CC 56 E8 ?? ?? ?? ?? 89 45 F4 6A 00 6A 01 6A 01 53 56 E8 ?? ?? ?? ?? 89 45 F0 53 56 8B 45 FC 50 E8 ?? ?? ?? ?? 89 45 EC 8B 45 F4 50 8B 45 D8 50 E8 ?? ?? ?? ?? 89 45 E8 8B 45 F0 50 8B 45 D4 50 E8 ?? ?? ?? ?? 89 45 E4 8B 45 EC 50 8B 45 DC 50 E8 ?? ?? ?? ?? 89 45 E0 8B 45 08 50 57 E8 ?? ?? ?? ?? 89 45 F8 68 20 00 CC 00 8B 45 C8 50 8B 45 C4 50 6A 00 6A 00 57 53 56 6A 00 6A 00 8B 45 D4 50 E8 ?? ?? ?? ?? 8B 45 F8 50 57 E8 ?? ?? ?? ?? 68 08 00 33 00 6A 00 6A 00 8B 45 D4 50 53 56 6A 00 6A 00 8B 45 D8 50 E8 ?? ?? ?? ?? 68 20 00 CC 00 8B 45 B4 50 8B 45 B0 50 8B 45 FC 50 53 56 6A 00 6A 00 8B 45 DC 50 E8 ?? ?? ?? ?? 68 C6 00 88 00 6A 00 6A 00 8B 45 D4 50 53 56 6A 00 6A 00 8B 45 DC 50 E8 ?? ?? ?? ?? 68 C6 00 88 00 53 56 6A 00 6A 00 8B 45 D8 50 8B 45 C8 50 8B 45 C4 50 6A 00 6A 00 57 E8 ?? ?? ?? ?? 68 86 00 EE 00 8B 45 C8 50 8B 45 C4 50 6A 00 6A 00 57 53 56 6A 00 6A 00 8B 45 DC 50 E8 ?? ?? ?? ?? 68 20 00 CC 00 6A 00 6A 00 8B 45 DC 50 53 56 8B 45 B4 50 8B 45 B0 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 D8 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 D4 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 DC 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 C0 50 57 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 DC 50 E8 ?? ?? ?? ?? 8B 45 D8 50 E8 ?? ?? ?? ?? 8B 45 D4 50 E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_81760_0 {
	meta:
		name = "make_crc_table"
		size = 65
		refs = "0005 crc_table 0039 crc_table_computed"
	strings:
		$1 = { 53 56 33 F6 B9 ?? ?? ?? ?? 8B C6 BA 08 00 00 00 BB 01 00 00 00 23 D8 84 DB 74 09 D1 E8 35 20 83 B8 ED EB 02 D1 E8 4A 75 E7 89 01 46 83 C1 04 81 FE 00 01 00 00 75 D2 C6 05 ?? ?? ?? ?? 01 5E 5B C3 }
	condition:
		$1
}

rule function_81761_0 {
	meta:
		name = "update_crc"
		size = 69
		refs = "000b crc_table_computed 0013 make_crc_table 0030 crc_table"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 8B C7 48 85 C0 7C 21 40 33 D2 0F B6 0C 16 33 CB 81 E1 FF 00 00 00 8B 0C 8D ?? ?? ?? ?? C1 EB 08 33 CB 8B D9 42 48 75 E2 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81762_0 {
	meta:
		name = "PaethPredictor"
		size = 87
	strings:
		$1 = { 53 56 57 51 88 14 24 8B D8 0F B6 04 24 0F B6 F9 2B C7 99 33 C2 2B C2 8B F0 0F B6 C3 2B C7 99 33 C2 2B C2 8B F8 0F B6 C3 0F B6 14 24 03 C2 0F B6 D1 03 D2 2B C2 99 33 C2 2B C2 3B FE 7C 08 3B C6 7C 04 8B C3 EB 0C 3B C7 7C 06 0F B6 04 24 EB 02 8B C1 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81764_0 {
	meta:
		name = "ByteSwap16"
		size = 6
	strings:
		$1 = { 0F C8 C1 E8 10 C3 }
	condition:
		$1
}

rule function_81765_0 {
	meta:
		name = "BytesForPixels"
		size = 132
		refs = "000b BytesForPixels"
	strings:
		$1 = { 0F B6 D2 83 FA 06 77 79 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B6 D1 0F AF D0 83 C2 07 85 D2 79 03 83 C2 07 C1 FA 03 8B C2 C3 0F B6 D1 0F AF D0 8D 04 52 85 C0 79 03 83 C0 07 C1 F8 03 C3 0F B6 D1 0F AF D0 8B C2 03 C0 85 C0 79 03 83 C0 07 C1 F8 03 C3 0F B6 D1 0F AF D0 8B C2 03 C0 03 C0 85 C0 79 03 83 C0 07 C1 F8 03 C3 33 C0 C3 }
	condition:
		$1
}

rule function_81766_0 {
	meta:
		name = "RegisterChunk"
		size = 57
		refs = "0005 ChunkClasses 0011 _DV_TPNGPointerList 0016 TPNGPointerList.Create 0025 @GetMem 0033 TPNGPointerList.Add"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 04 00 00 00 E8 ?? ?? ?? ?? 89 18 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81767_0 {
	meta:
		name = "FreeChunkClassList"
		size = 66
		refs = "0004 ChunkClasses 0023 TPNGPointerList.GetItem 002d @FreeMem 003b TObject.Free"
	strings:
		$1 = { 53 56 83 3D ?? ?? ?? ?? 00 74 34 A1 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 1D 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 E6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81769_0 {
	meta:
		name = "CreateClassChunk"
		size = 199
		refs = "001b CreateClassChunk 0027 _DV_TChunk 002d ChunkClasses 004c TPNGPointerList.GetItem 0067 @UStrFromArray 0070 @UStrEqual 00b2 @UStrArrayClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 3D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 56 A1 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 49 46 33 DB 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 8D 55 F4 FF 10 8B 45 F4 50 8D 45 F0 8D 55 F8 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 58 E8 ?? ?? ?? ?? 75 10 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 38 EB 04 43 4E 75 BA 8B 4D FC B2 01 8B C7 FF 50 08 8B D8 8B 45 F8 89 43 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81770_0 {
	meta:
		name = "ZLIBInitInflate"
		size = 58
		refs = "0010 @FillChar 001a @GetMem 0027 ZLIB_VERSION 0030 inflateInit_"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 33 C9 BA 40 00 00 00 E8 ?? ?? ?? ?? B8 FF FF 00 00 E8 ?? ?? ?? ?? 89 43 38 89 73 3C 6A 38 A1 ?? ?? ?? ?? 8B 00 50 53 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_81771_0 {
	meta:
		name = "ZLIBInitDeflate"
		size = 85
		refs = "001b @FillChar 0022 @GetMem 0038 ZLIB_VERSION 0046 deflateInit_"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B F8 8B 5D 08 8B C3 33 C9 BA 40 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 43 38 89 7B 3C 8B 43 38 89 43 0C 89 73 10 6A 38 A1 ?? ?? ?? ?? 8B 00 50 0F B6 45 FF 50 53 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_81772_0 {
	meta:
		name = "ZLIBTerminateDeflate"
		size = 20
		refs = "0005 deflateEnd 000e @FreeMem"
	strings:
		$1 = { 53 8B D8 53 E8 ?? ?? ?? ?? 59 8B 43 38 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81773_0 {
	meta:
		name = "ZLIBTerminateInflate"
		size = 20
		refs = "0005 inflateEnd 000e @FreeMem"
	strings:
		$1 = { 53 8B D8 53 E8 ?? ?? ?? ?? 59 8B 43 38 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81774_0 {
	meta:
		name = "DecompressZLIB"
		size = 285
		refs = "001c DecompressZLIB 0039 @FillChar 0040 ZLIB_VERSION 004c inflateInit_ 0070 @GetMem 007d @ReallocMem 0097 inflate 00c7 @LStrFromPChar 00d2 @UStrFromLStr 00db inflateEnd 0104 @LStrClr 010a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D BC 8B F9 89 55 FC 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 33 C0 89 06 8D 45 C0 33 C9 BA 38 00 00 00 E8 ?? ?? ?? ?? 6A 38 A1 ?? ?? ?? ?? 8B 00 50 8D 45 C0 50 E8 ?? ?? ?? ?? 83 C4 0C 89 5D C0 8B 45 FC 89 45 C4 83 7D D0 00 75 2E 81 06 00 01 00 00 83 3F 00 75 0B 8B 06 E8 ?? ?? ?? ?? 89 07 EB 09 8B 16 8B C7 E8 ?? ?? ?? ?? 8B 07 03 45 D4 89 45 CC C7 45 D0 00 01 00 00 6A 00 8D 45 C0 50 E8 ?? ?? ?? ?? 83 C4 08 8B D8 83 FB 01 75 0E 8B 45 D4 89 06 8B 16 8B C7 E8 ?? ?? ?? ?? 85 DB 7D 2B C6 45 FB 00 8D 45 BC 8B 55 D8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 BC 8B 45 08 E8 ?? ?? ?? ?? 8D 45 C0 50 E8 ?? ?? ?? ?? 59 EB 11 4B 0F 85 73 FF FF FF 8D 45 C0 50 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_81775_0 {
	meta:
		name = "CompressZLIB"
		size = 335
		refs = "0026 CompressZLIB 0043 @FillChar 004a ZLIB_VERSION 005a deflateInit_ 008c deflate 00ab @GetMem 00b8 @ReallocMem 00d3 Move 00f0 @LStrFromPChar 00fe @UStrFromLStr 0107 deflateEnd 0136 @LStrClr 013c @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 B4 FE FF FF 53 56 57 33 DB 89 9D B4 FE FF FF 89 4D F8 89 55 FC 8B D8 8B 75 0C 8B 7D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 01 33 C0 89 06 8D 45 B8 33 C9 BA 38 00 00 00 E8 ?? ?? ?? ?? 6A 38 A1 ?? ?? ?? ?? 8B 00 50 8B 45 F8 50 8D 45 B8 50 E8 ?? ?? ?? ?? 83 C4 10 89 5D B8 8B 45 FC 89 45 BC E9 9F 00 00 00 83 7D C8 00 75 10 8D 85 B8 FE FF FF 89 45 C4 C7 45 C8 00 01 00 00 6A 04 8D 45 B8 50 E8 ?? ?? ?? ?? 83 C4 08 8B D8 83 FB 01 74 04 85 DB 75 3B 8B 45 CC 01 06 83 3F 00 75 0B 8B 06 E8 ?? ?? ?? ?? 89 07 EB 09 8B 16 8B C7 E8 ?? ?? ?? ?? 8B 07 03 06 2B 45 CC 89 45 F0 8B 4D CC 8B 55 F0 8D 85 B8 FE FF FF E8 ?? ?? ?? ?? EB 35 85 DB 7D 31 C6 45 F7 00 8D 85 B4 FE FF FF 8B 55 D0 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 95 B4 FE FF FF 8B 45 08 E8 ?? ?? ?? ?? 8D 45 B8 50 E8 ?? ?? ?? ?? 59 EB 14 83 7D BC 00 0F 87 57 FF FF FF 8D 45 B8 50 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 B4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_81776_0 {
	meta:
		name = "TPNGPointerList.Create"
		size = 70
		refs = "000b @ClassCreate 001a TObject.Create 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 33 C0 89 47 0C 33 C0 89 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81777_0 {
	meta:
		name = "TPNGPointerList.Remove"
		size = 106
		refs = "001d TPNGPointerList.GetItem 005a Move"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F8 83 CD FF 8B 77 08 4E 85 F6 7C 17 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 3B 04 24 75 02 8B EB 43 4E 75 EC 85 ED 7C 30 8B D5 8B C7 E8 ?? ?? ?? ?? 8B D8 FF 4F 08 8B 47 08 3B E8 7D 1D 8B 57 0C 8D 14 AA 8B 4F 0C 8D 4C A9 04 2B C5 03 C0 03 C0 91 E8 ?? ?? ?? ?? EB 02 33 DB 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81778_0 {
	meta:
		name = "TPNGPointerList.Add"
		size = 33
		refs = "000d TPNGPointerList.SetSize 001a TPNGPointerList.SetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 53 08 4A 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81779_0 {
	meta:
		name = "TPNGPointerList.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a @FreeMem 0025 TObject.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C 85 C0 74 0C 8B 56 08 03 D2 03 D2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81780_0 {
	meta:
		name = "TPNGPointerList.GetItem"
		size = 18
	strings:
		$1 = { 8B 48 08 49 3B D1 77 07 8B 40 0C 8B 04 90 C3 33 C0 C3 }
	condition:
		$1
}

rule function_81781_0 {
	meta:
		name = "TPNGPointerList.Insert"
		size = 79
		refs = "001a TPNGPointerList.SetSize 003c Move 0047 TPNGPointerList.SetItem"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B 43 08 3B F0 72 04 85 C0 75 37 8B D0 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 73 1B 2B C6 48 8B C8 03 C9 03 C9 8B 43 0C 8D 54 B0 04 8B 43 0C 8D 04 B0 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81782_0 {
	meta:
		name = "TPNGPointerList.SetItem"
		size = 17
	strings:
		$1 = { 53 8B 58 08 4B 3B D3 77 06 8B 40 0C 89 0C 90 5B C3 }
	condition:
		$1
}

rule function_81783_0 {
	meta:
		name = "TPNGPointerList.SetSize"
		size = 69
		refs = "0018 @GetMem 002f @ReallocMem 0036 @FreeMem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 85 C0 75 14 85 F6 76 10 8B C6 03 C0 03 C0 E8 ?? ?? ?? ?? 89 43 0C EB 1E 85 F6 76 10 8B D6 03 D2 03 D2 8D 43 0C E8 ?? ?? ?? ?? EB 0A E8 ?? ?? ?? ?? 33 C0 89 43 0C 89 73 08 5E 5B C3 }
	condition:
		$1
}

rule function_81784_0 {
	meta:
		name = "TPNGList.FindChunk"
		size = 72
		refs = "001e TPNGList.GetItem 0025 @IsClass"
		altNames = "TPNGList.ItemFromClass"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 33 C0 89 04 24 8B 77 08 4E 85 F6 7C 29 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B C7 E8 ?? ?? ?? ?? 89 04 24 EB 04 43 4E 75 DA 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81785_0 {
	meta:
		name = "TPNGList.RemoveChunk"
		size = 18
		refs = "000c TObject.Free"
	strings:
		$1 = { 53 8B DA 8B D3 8B 08 FF 11 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81786_0 {
	meta:
		name = "TPNGList.Add"
		size = 604
		refs = "001c TPNGList.Add 002d _DV_TChunkIHDR 0035 _DV_TChunkIDAT 003d _DV_TChunkPLTE 0045 _DV_TChunkIEND 005b EPNGCannotAddChunkText 0060 LoadResString 0069 _DV_EPngError 0071 TPngImage.RaiseError 0079 _DV_TChunkgAMA 0088 TPNGList.ItemFromClass 0092 _DV_TChunktRNS 00ab _DV_TChunkpHYs 0119 EPNGCannotAddInvalidImageText 0160 TChunk.GetIndex 016d TPNGPointerList.Insert 0246 @UStrArrayClr 024c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 3B 35 ?? ?? ?? ?? 74 18 3B 35 ?? ?? ?? ?? 74 10 3B 35 ?? ?? ?? ?? 74 08 3B 35 ?? ?? ?? ?? 75 2C 8B 43 04 80 B8 3C 01 00 00 00 75 20 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8B 15 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? EB 69 3B 35 ?? ?? ?? ?? 75 11 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 32 3B 35 ?? ?? ?? ?? 75 11 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 19 3B 35 ?? ?? ?? ?? 75 2F 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1E 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC 8B 15 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 04 85 FF 75 2F 8B 43 04 80 B8 3C 01 00 00 00 75 23 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 8B 15 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? E9 F8 00 00 00 8B 4B 04 B2 01 8B C6 FF 50 08 89 45 FC 3B 35 ?? ?? ?? ?? 74 10 3B 35 ?? ?? ?? ?? 74 08 3B 35 ?? ?? ?? ?? 75 19 8B C7 E8 ?? ?? ?? ?? 8B C8 41 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 BA 00 00 00 3B 35 ?? ?? ?? ?? 75 12 8B 4B 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 A0 00 00 00 3B 35 ?? ?? ?? ?? 75 11 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 87 00 00 00 3B 35 ?? ?? ?? ?? 75 6B 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 16 8B C6 E8 ?? ?? ?? ?? 8B C8 41 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 46 83 7D F4 00 74 16 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 2A 8B C7 E8 ?? ?? ?? ?? 8B C8 41 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 14 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81789_0 {
	meta:
		name = "TChunk.ResizeData"
		size = 13
		refs = "0008 @ReallocMem"
	strings:
		$1 = { 89 50 08 83 C0 04 42 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81790_0 {
	meta:
		name = "TChunk.GetIndex"
		size = 64
		refs = "0029 TPNGList.GetItem"
	strings:
		$1 = { 53 56 57 55 8B F0 83 CD FF 8B 46 0C 8B 80 38 01 00 00 8B 78 08 4F 85 FF 7C 1F 47 33 DB 8B 46 0C 8B 80 38 01 00 00 8B D3 E8 ?? ?? ?? ?? 3B F0 75 04 8B EB EB 04 43 4F 75 E4 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81791_0 {
	meta:
		name = "TChunk.GetHeader"
		size = 32
		refs = "000f TPNGList.GetItem 0015 _DV_TChunkIHDR 001a @AsClass"
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 80 38 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81792_0 {
	meta:
		name = "TChunk.Assign"
		size = 45
		refs = "0012 TChunk.ResizeData 0026 Move"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 10 89 43 10 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B 43 08 85 C0 76 0D 8B C8 8B 53 04 8B 46 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81793_0 {
	meta:
		name = "TChunk.Create"
		size = 281
		refs = "001b @ClassCreate 002b TChunk.Create 003a TObject.Create 0044 TObject.ClassName 0073 @UStrCopy 0083 @LStrFromUStr 009c @UniqueStringA 00a9 Move 00b3 @GetMem 00d6 @UStrClr 00ee @LStrClr 00f4 @HandleFinally 0103 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F0 88 55 F7 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8D 55 EC 8B 03 E8 ?? ?? ?? ?? 8B 45 EC 89 45 E8 8B 75 E8 85 F6 74 05 83 EE 04 8B 36 8D 45 E4 50 8B CE BA 07 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 F8 04 75 15 8D 45 FC E8 ?? ?? ?? ?? 8D 53 10 B9 04 00 00 00 E8 ?? ?? ?? ?? B8 01 00 00 00 E8 ?? ?? ?? ?? 89 43 04 33 C0 89 43 08 8B 45 F0 89 43 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 80 7D F7 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81794_0 {
	meta:
		name = "TChunk.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0013 @FreeMem 001e TObject.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 56 08 42 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81795_0 {
	meta:
		name = "TChunk.GetChunkName"
		size = 26
		refs = "0013 @LStrFromArray"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8D 53 10 B9 04 00 00 00 6A 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81796_0 {
	meta:
		name = "TChunk.GetName"
		size = 123
		refs = "0013 TChunk.GetName 0023 TObject.ClassName 004f @UStrCopy 0069 @UStrArrayClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 89 45 F4 8B 5D F4 85 DB 74 05 83 EB 04 8B 1B 56 8B CB BA 07 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81797_0 {
	meta:
		name = "TChunk.SaveData"
		size = 140
		refs = "000e ByteSwap 0051 update_crc"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B 43 08 E8 ?? ?? ?? ?? 89 04 24 8B D4 B9 04 00 00 00 8B C6 8B 38 FF 57 10 8D 53 10 B9 04 00 00 00 8B C6 8B 38 FF 57 10 8B 43 08 85 C0 76 0C 8B 53 04 8B C8 8B C6 8B 38 FF 57 10 8D 53 10 B9 04 00 00 00 83 C8 FF E8 ?? ?? ?? ?? 89 44 24 04 8B 4B 08 8B 53 04 8B 44 24 04 E8 ?? ?? ?? ?? 83 F0 FF E8 ?? ?? ?? ?? 89 44 24 04 8D 54 24 04 B9 04 00 00 00 8B C6 8B 18 FF 53 10 B0 01 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81799_0 {
	meta:
		name = "TChunk.LoadFromStream"
		size = 211
		refs = "0019 TChunk.LoadFromStream 0029 TChunk.ResizeData 0053 ByteSwap 0066 update_crc 008f EPngInvalidCRCText 0094 LoadResString 009d _DV_EPngInvalidCRC 00a5 TPngImage.RaiseError 00ba @UStrClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 08 8B C3 E8 ?? ?? ?? ?? 83 7D 08 00 7E 0D 8B 53 04 8B 4D 08 8B C6 8B 38 FF 57 0C 8D 55 F4 B9 04 00 00 00 8B C6 8B 30 FF 56 0C 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F4 8D 55 FC B9 04 00 00 00 83 C8 FF E8 ?? ?? ?? ?? 8B F0 8B 4D 08 8B 53 04 8B C6 E8 ?? ?? ?? ?? 83 F0 FF 8B F0 3B 75 F4 0F 94 45 FB 80 7D FB 00 75 1E 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8B 15 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81800_0 {
	meta:
		name = "TChunktIME.LoadFromStream"
		size = 121
		refs = "0015 TChunk.LoadFromStream"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B D8 8B 75 08 56 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 55 83 FE 07 75 50 8B 53 04 0F B6 0A C1 E1 08 42 0F B6 12 66 03 CA 66 89 4B 14 8B 53 04 83 C2 02 0F B6 12 88 53 16 8B 53 04 83 C2 03 0F B6 12 88 53 17 8B 53 04 83 C2 04 0F B6 12 88 53 18 8B 53 04 83 C2 05 0F B6 12 88 53 19 8B 53 04 83 C2 06 0F B6 12 88 53 1A 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_81801_0 {
	meta:
		name = "TChunktIME.Assign"
		size = 48
	strings:
		$1 = { 53 8B CA 0F B7 59 14 66 89 58 14 0F B6 59 16 88 58 16 0F B6 59 17 88 58 17 0F B6 59 18 88 58 18 0F B6 59 19 88 58 19 0F B6 51 1A 88 50 1A 5B C3 }
	condition:
		$1
}

rule function_81802_0 {
	meta:
		name = "TChunktIME.SaveToStream"
		size = 104
		refs = "000f TChunk.ResizeData 0018 ByteSwap16 0060 TChunk.SaveToStream"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 BA 07 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F B7 43 14 E8 ?? ?? ?? ?? 8B 73 04 66 89 06 83 C6 02 0F B6 43 16 88 06 8B 43 04 83 C0 03 0F B6 53 17 88 10 8B 43 04 83 C0 04 0F B6 53 18 88 10 8B 43 04 83 C0 05 0F B6 53 19 88 10 8B 43 04 83 C0 06 0F B6 53 1A 88 10 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81803_0 {
	meta:
		name = "TChunkzTXt.LoadFromStream"
		size = 296
		refs = "001a TChunkzTXt.LoadFromStream 002b TChunktEXt.LoadFromStream 0051 @LStrFromPChar 007f @LStrClr 00cc DecompressZLIB 00dd @LStrSetLength 00e5 @UniqueStringA 00f2 Move 00fa @FreeMem 010f @UStrClr 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 4D F8 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 88 45 F7 80 7D F7 00 0F 84 C2 00 00 00 83 FE 04 0F 8C B9 00 00 00 8D 43 14 8B 53 04 B9 00 00 00 00 E8 ?? ?? ?? ?? 83 7B 14 00 75 0B 8B 43 04 0F B6 00 88 45 F6 EB 15 8B 43 14 85 C0 74 05 83 E8 04 8B 00 03 43 14 0F B6 00 88 45 F6 8D 43 18 E8 ?? ?? ?? ?? 80 7D F6 00 75 75 33 C0 89 45 F0 8B 43 14 8B F8 85 FF 74 05 83 EF 04 8B 3F 89 45 E8 83 7D E8 00 74 0B 8B 45 E8 83 E8 04 8B 00 89 45 E8 8D 45 EC 50 8D 45 FC 50 8D 4D F0 8B D6 2B 55 E8 83 EA 02 8B 43 04 03 C7 83 C0 02 E8 ?? ?? ?? ?? 84 C0 74 22 8D 43 18 33 C9 8B 55 EC E8 ?? ?? ?? ?? 8D 43 18 E8 ?? ?? ?? ?? 8B 4D EC 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81804_0 {
	meta:
		name = "TChunkzTXt.SaveToStream"
		size = 336
		refs = "0017 TChunkzTXt.SaveToStream 0035 @LStrAsg 003d @UniqueStringA 006a CompressZLIB 008b TChunk.ResizeData 0098 @FillChar 00c0 Move 0102 TChunk.SaveData 0116 @FreeMem 012b @UStrClr 0131 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 83 7B 18 00 75 0D 8D 43 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 18 E8 ?? ?? ?? ?? 8B F8 8B 73 18 85 F6 74 05 83 EE 04 8B 36 8D 45 F4 50 8D 45 F0 50 8D 45 FC 50 8B 43 0C 0F B6 88 2D 01 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 94 00 00 00 8B 43 14 85 C0 74 05 83 E8 04 8B 00 8D 50 02 03 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 43 04 33 C9 8B 53 08 E8 ?? ?? ?? ?? 83 7B 14 00 74 22 8D 43 14 E8 ?? ?? ?? ?? 8B D0 8B 43 14 85 C0 74 05 83 E8 04 8B 00 8B C8 8B C2 8B 53 04 E8 ?? ?? ?? ?? 8B 43 14 85 C0 74 05 83 E8 04 8B 00 03 43 04 40 C6 00 00 83 7D F0 00 7E 1F 8B 43 14 85 C0 74 05 83 E8 04 8B 00 8B 4D F0 8B 53 04 03 D0 83 C2 02 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 83 7D F4 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 E4 04 01 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_81805_0 {
	meta:
		name = "TChunktEXt.Assign"
		size = 35
		refs = "0010 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8D 43 14 8B FE 8B 57 14 E8 ?? ?? ?? ?? 8D 43 18 8B 57 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81806_0 {
	meta:
		name = "TChunktEXt.LoadFromStream"
		size = 149
		refs = "001d TChunk.LoadFromStream 003b @LStrFromPChar 0056 @LStrSetLength 005e @UniqueStringA 0085 Move"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 89 55 FC 8B D8 8B 75 08 56 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 88 45 F7 80 7D F7 00 74 5F 83 FE 03 7C 5A 8D 43 14 8B 53 04 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 43 14 85 C0 74 05 83 E8 04 8B 00 8B D6 2B D0 4A 8D 43 18 33 C9 E8 ?? ?? ?? ?? 8D 43 18 E8 ?? ?? ?? ?? 8B F0 8B 43 14 85 C0 74 05 83 E8 04 8B 00 8B 53 18 85 D2 74 05 83 EA 04 8B 12 8B CA 03 43 04 40 8B D6 E8 ?? ?? ?? ?? 0F B6 45 F7 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81807_0 {
	meta:
		name = "TChunktEXt.SaveToStream"
		size = 163
		refs = "0026 TChunk.ResizeData 0033 @FillChar 0041 @UniqueStringA 005b Move 009b TChunk.SaveToStream"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 14 85 C0 74 05 83 E8 04 8B 00 8B 53 18 85 D2 74 05 83 EA 04 8B 12 8D 54 02 01 8B C3 E8 ?? ?? ?? ?? 8B 43 04 33 C9 8B 53 08 E8 ?? ?? ?? ?? 83 7B 14 00 74 22 8D 43 14 E8 ?? ?? ?? ?? 8B D0 8B 43 14 85 C0 74 05 83 E8 04 8B 00 8B C8 8B C2 8B 53 04 E8 ?? ?? ?? ?? 83 7B 18 00 74 31 8B 7B 14 85 FF 74 05 83 EF 04 8B 3F 8D 43 18 E8 ?? ?? ?? ?? 8B D0 8B 43 18 85 C0 74 05 83 E8 04 8B 00 8B C8 8B C2 8B 53 04 03 D7 42 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81808_0 {
	meta:
		name = "TChunkIHDR.Create"
		size = 68
		refs = "000a @ClassCreate 0026 TChunk.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 14 33 C0 89 46 1C 33 C0 89 46 18 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81810_0 {
	meta:
		name = "TChunkIHDR.Assign"
		size = 234
		refs = "0010 TChunkIHDR.Assign 001e _DV_TChunkIHDR 0023 @IsClass 0044 TChunkIHDR.PrepareImageData 0062 Move 0099 CopyPalette 00ad EPNGCannotAssignChunkText 00b2 LoadResString 00bb _DV_EPngError 00c3 TPngImage.RaiseError 00d8 @UStrClr 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7E 8B FE 56 57 8D B7 58 04 00 00 8D BB 58 04 00 00 A5 A5 A5 A4 5F 5E 8B C3 E8 ?? ?? ?? ?? 8B 8B 68 04 00 00 0F AF 8B 5C 04 00 00 8B 93 50 04 00 00 8B 87 50 04 00 00 E8 ?? ?? ?? ?? 8B 8B 58 04 00 00 0F AF 8B 5C 04 00 00 8B 93 54 04 00 00 8B 87 54 04 00 00 E8 ?? ?? ?? ?? 56 57 8D 77 4C 8D 7B 4C B9 00 01 00 00 F3 A5 5F 5E 8B 47 1C E8 ?? ?? ?? ?? 8B D0 8B 43 0C 8B 08 FF 51 3C EB 1E 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B 15 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81811_0 {
	meta:
		name = "TChunkIHDR.FreeImageData"
		size = 113
		refs = "000c DeleteObject 0019 DeleteDC 0028 @FreeMem"
	strings:
		$1 = { 53 8B D8 8B 43 14 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 43 18 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 83 54 04 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B 43 1C 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 83 4C 04 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 89 43 14 33 C0 89 43 18 33 C0 89 83 54 04 00 00 33 C0 89 83 50 04 00 00 33 C0 89 43 1C 33 C0 89 83 4C 04 00 00 5B C3 }
	condition:
		$1
}

rule function_81812_0 {
	meta:
		name = "TChunkIHDR.LoadFromStream"
		size = 371
		refs = "0019 TChunkIHDR.LoadFromStream 002d TChunk.LoadFromStream 0047 EPNGInvalidIHDRText 004c LoadResString 0055 _DV_EPngInvalidIHDR 005d TPngImage.RaiseError 007e ByteSwap 00b7 EPNGSizeExceedsText 00c5 _DV_EPNGSizeExceeds 00e2 EPNGUnknownCompressionText 00f0 _DV_EPNGUnknownCompression 0113 EPNGUnknownInterlaceText 0121 _DV_EPNGUnknownInterlace 0142 TChunkIHDR.PrepareImageData 015c @UStrArrayClr 0162 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 4D FC 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 84 0B 01 00 00 83 7E 08 0D 73 25 33 DB 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8B 15 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? E9 E0 00 00 00 8B 46 04 56 8D BE 58 04 00 00 8B F0 A5 A5 A5 A4 5E 8B 86 58 04 00 00 E8 ?? ?? ?? ?? 89 86 58 04 00 00 8B 86 5C 04 00 00 E8 ?? ?? ?? ?? 89 86 5C 04 00 00 81 BE 58 04 00 00 FF FF 00 00 77 0C 81 BE 5C 04 00 00 FF FF 00 00 76 22 33 DB 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B 15 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? EB 73 80 BE 62 04 00 00 00 74 22 33 DB 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8B 15 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? EB 48 0F B6 86 64 04 00 00 84 C0 74 26 3C 01 74 22 33 DB 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC 8B 15 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? EB 17 0F B6 86 64 04 00 00 8B 56 0C 88 82 34 01 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81813_0 {
	meta:
		name = "TChunkIHDR.SaveToStream"
		size = 106
		refs = "0020 TChunk.ResizeData 0038 ByteSwap 0061 TChunk.SaveToStream"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 80 BB 60 04 00 00 02 75 07 C6 83 60 04 00 00 04 BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 73 04 56 8B FE 8D B3 58 04 00 00 A5 A5 A5 A4 5E 8B 06 E8 ?? ?? ?? ?? 8B 7B 04 89 07 8B 47 04 E8 ?? ?? ?? ?? 8B 73 04 89 46 04 8B 43 0C 0F B6 80 34 01 00 00 88 46 0C 8B D5 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81814_0 {
	meta:
		name = "TChunkIHDR.CreateGrayscalePalette"
		size = 142
		refs = "0022 @FillChar 0057 MulDiv 007f CreatePalette"
	strings:
		$1 = { 53 56 57 55 81 C4 FC FB FF FF 8B DA 8B E8 83 FB 10 75 05 BB 08 00 00 00 8B C4 33 C9 BA 04 04 00 00 E8 ?? ?? ?? ?? 66 C7 04 24 00 03 8B CB 66 B8 01 00 66 D3 E0 66 89 44 24 02 0F B7 F0 4E 85 F6 7C 39 46 33 FF 8D 5C 24 04 0F B7 44 24 02 48 50 68 FF 00 00 00 57 E8 ?? ?? ?? ?? 8B 55 0C 0F B6 84 02 3D 01 00 00 88 03 0F B6 03 88 43 01 0F B6 03 88 43 02 47 83 C3 04 4E 75 CE 8B C4 50 E8 ?? ?? ?? ?? 81 C4 04 04 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81815_0 {
	meta:
		name = "TChunkIHDR.PaletteToDIB"
		size = 104
		refs = "0017 @FillChar 0029 GetPaletteEntries"
	strings:
		$1 = { 53 56 57 81 C4 FC FB FF FF 8B F2 8B D8 8B C4 33 C9 BA 04 04 00 00 E8 ?? ?? ?? ?? 8D 44 24 04 50 68 00 01 00 00 6A 00 56 E8 ?? ?? ?? ?? 8B F8 89 7B 44 8B F7 4E 85 F6 7C 25 46 33 D2 8D 44 24 06 0F B6 08 88 4C 93 4C 0F B6 48 FE 88 4C 93 4E 0F B6 48 FF 88 4C 93 4D 42 83 C0 04 4E 75 E2 81 C4 04 04 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81816_0 {
	meta:
		name = "SetInfo"
		size = 74
	strings:
		$1 = { 55 8B EC 8B 4D 08 8B 49 FC 88 51 20 8B 55 08 8B 52 FC 83 C2 24 C7 02 28 00 00 00 8B 4D 08 8B 49 FC 8B 89 5C 04 00 00 89 4A 08 8B 4D 08 8B 49 FC 8B 89 58 04 00 00 89 4A 04 66 C7 42 0C 01 00 66 89 42 0E 33 C0 89 42 10 5D C3 }
	condition:
		$1
}

rule function_81817_0 {
	meta:
		name = "TChunkIHDR.PrepareImageData"
		size = 627
		refs = "0019 @FillChar 0020 TChunkIHDR.FreeImageData 0054 TChunkIHDR.PrepareImageData 0087 SetInfo 00fd @GetMem 016c CreateCompatibleDC 0185 TCanvas.SetHandle 01a7 CreateHalftonePalette 01be TChunkIHDR.CreateGrayscalePalette 01dc ResizePalette 0201 SelectPalette 020c RealizePalette 0218 TChunkIHDR.PaletteToDIB 0237 CreateDIBSection 024a SelectObject"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8D 5D FC 8B 03 83 C0 24 33 C9 BA 28 04 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 03 0F B6 80 61 04 00 00 2C 01 72 0F FE C8 74 79 48 2C 02 72 06 FE C8 74 70 EB 7C 8B 03 0F B6 80 60 04 00 00 0F B6 D0 83 FA 10 77 6B 0F B6 92 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 00 01 02 00 01 00 00 00 01 00 00 00 00 00 00 00 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 0F B6 C0 B2 01 E8 ?? ?? ?? ?? 59 EB 2E 55 B2 01 B8 04 00 00 00 E8 ?? ?? ?? ?? 59 EB 1E 55 B2 01 B8 08 00 00 00 E8 ?? ?? ?? ?? 59 EB 0E 55 33 D2 B8 18 00 00 00 E8 ?? ?? ?? ?? 59 8B 03 0F B7 40 32 8B 13 F7 AA 58 04 00 00 83 C0 1F 83 E0 E0 C1 E8 03 8B 13 89 82 68 04 00 00 8B 03 0F B6 80 61 04 00 00 3C 06 74 04 3C 04 75 39 8B 03 8B 80 58 04 00 00 8B 13 F7 AA 5C 04 00 00 E8 ?? ?? ?? ?? 8B F0 8B 03 89 B0 54 04 00 00 8B 03 8B 90 58 04 00 00 8B 03 0F AF 90 5C 04 00 00 8B C6 33 C9 E8 ?? ?? ?? ?? 8B 03 80 B8 60 04 00 00 10 75 39 8B 03 8B 80 68 04 00 00 8B 13 F7 AA 5C 04 00 00 E8 ?? ?? ?? ?? 8B F0 8B 03 89 B0 4C 04 00 00 8B 03 8B 90 68 04 00 00 8B 03 0F AF 90 5C 04 00 00 8B C6 33 C9 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B F0 8B 03 89 70 18 8B D6 8B 03 8B 40 0C 8B 80 28 01 00 00 E8 ?? ?? ?? ?? 8B 03 80 78 20 00 0F 84 87 00 00 00 8B 03 80 B8 61 04 00 00 03 75 12 8B 03 8B 40 18 50 E8 ?? ?? ?? ?? 8B 13 89 42 1C EB 15 8B 03 0F B6 90 60 04 00 00 8B 03 E8 ?? ?? ?? ?? 8B 13 89 42 1C 8B 03 0F B7 48 32 B8 01 00 00 00 D3 E0 50 8B 03 8B 40 1C 50 E8 ?? ?? ?? ?? 8B 03 0F B7 48 32 B8 01 00 00 00 D3 E0 8B 13 89 42 44 6A 00 8B 03 8B 40 1C 50 8B 03 8B 40 18 50 E8 ?? ?? ?? ?? 8B 03 8B 40 18 50 E8 ?? ?? ?? ?? 8B 03 8B 50 1C 8B 03 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 03 05 50 04 00 00 50 6A 00 8B 03 83 C0 24 50 8B 03 8B 40 18 50 E8 ?? ?? ?? ?? 8B F0 8B 03 89 70 14 56 8B 03 8B 40 18 50 E8 ?? ?? ?? ?? 8B 03 8B 90 68 04 00 00 8B 03 0F AF 90 5C 04 00 00 8B 03 8B 80 50 04 00 00 33 C9 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81818_0 {
	meta:
		name = "TChunktRNS.SetTransparentColor"
		size = 257
		refs = "0015 @FillChar 0020 TChunk.GetHeader 0046 TChunk.ResizeData 004e ByteSwap16 00d1 CompareMem"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B DA 8B F8 8D 47 15 33 C9 BA 00 01 00 00 E8 ?? ?? ?? ?? C6 47 14 01 8B C7 E8 ?? ?? ?? ?? 8B F0 0F B6 86 61 04 00 00 2C 01 72 0D FE C8 74 28 FE C8 74 66 E9 BD 00 00 00 BA 02 00 00 00 8B C7 E8 ?? ?? ?? ?? 0F B6 C3 E8 ?? ?? ?? ?? 8D 57 15 66 89 02 E9 9E 00 00 00 BA 06 00 00 00 8B C7 E8 ?? ?? ?? ?? 0F B6 C3 E8 ?? ?? ?? ?? 8D 57 15 66 89 02 8B C3 C1 E8 08 0F B6 C0 E8 ?? ?? ?? ?? 8D 57 17 66 89 02 8B C3 C1 E8 10 0F B6 C0 E8 ?? ?? ?? ?? 8D 57 19 66 89 02 EB 5C 88 5C 24 02 8B C3 C1 E8 08 88 44 24 01 C1 EB 10 88 1C 24 0F B6 46 44 48 84 C0 72 25 40 88 44 24 04 B3 00 8B D4 0F B6 C3 8D 44 86 4C B9 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 07 43 FE 4C 24 04 75 E2 0F B6 D3 8D 47 15 B9 FF 00 00 00 E8 ?? ?? ?? ?? 0F B6 D3 42 8B C7 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81819_0 {
	meta:
		name = "TChunktRNS.GetTransparentColor"
		size = 220
		refs = "000c TChunk.GetHeader 008d _DV_TChunkPLTE 0092 TPNGList.ItemFromClass 00af TChunkPLTE.GetPaletteItem"
	strings:
		$1 = { 53 56 57 55 51 8B D8 33 ED 8B C3 E8 ?? ?? ?? ?? 8B F0 0F B6 86 61 04 00 00 2C 01 72 0D FE C8 74 28 FE C8 74 5D E9 AA 00 00 00 0F B6 43 16 0F B6 44 86 4E 0F B6 D0 8B EA 8B CA C1 E1 08 0B E9 C1 E2 10 0B EA E9 8B 00 00 00 0F B6 43 16 8B 56 0C 0F B6 AC 02 3D 01 00 00 0F B6 43 18 8B 56 0C 0F B6 84 02 3D 01 00 00 C1 E0 08 0B E8 0F B6 43 1A 8B 56 0C 0F B6 84 02 3D 01 00 00 C1 E0 10 0B E8 EB 52 8B 46 0C 8B 80 38 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 43 08 48 85 C0 7C 34 40 33 F6 80 7C 33 15 00 75 26 8B D6 8B C7 E8 ?? ?? ?? ?? 89 04 24 0F B6 6C 24 02 0F B6 44 24 01 C1 E0 08 0B E8 0F B6 04 24 C1 E0 10 0B E8 EB 04 46 48 75 CF 8B C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81820_0 {
	meta:
		name = "TChunktRNS.SaveToStream"
		size = 43
		refs = "001b Move 0024 TChunk.SaveToStream"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 53 08 81 FA 00 01 00 00 77 0E 8B 43 04 8D 4B 15 91 87 CA E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81821_0 {
	meta:
		name = "TChunktRNS.Assign"
		size = 45
		refs = "0015 Move 0025 TChunk.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8D 53 15 8B FE 8D 47 15 B9 00 01 00 00 E8 ?? ?? ?? ?? 0F B6 47 14 88 43 14 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81822_0 {
	meta:
		name = "TChunktRNS.LoadFromStream"
		size = 234
		refs = "0019 TChunktRNS.LoadFromStream 002a TChunk.LoadFromStream 0047 EPNGInvalidPaletteText 004c LoadResString 0055 _DV_EPNGInvalidPalette 005d TPngImage.RaiseError 006f @FillChar 007c Move 0083 TChunk.GetHeader 00d2 @UStrClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D FC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 0F 84 86 00 00 00 81 FE 00 01 00 00 7E 1E 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B 15 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8D 43 15 B9 FF 00 00 00 BA 00 01 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B CE 8D 53 15 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 80 61 04 00 00 2C 01 72 0A FE C8 74 06 FE C8 74 08 EB 25 C6 43 14 01 EB 1F 33 D2 8B C6 48 85 C0 7C 0F 40 33 C9 80 7C 0B 15 FF 74 01 42 41 48 75 F4 4A 0F 94 C0 88 43 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81823_0 {
	meta:
		name = "TChunkIDAT.PreparePalette"
		size = 189
		refs = "003b @FillChar 0078 MulDiv 00a5 CreatePalette"
	strings:
		$1 = { 53 56 57 55 81 C4 F4 FB FF FF 8B 78 14 0F B6 87 61 04 00 00 84 C0 74 08 3C 04 0F 85 92 00 00 00 0F B6 4F 32 66 B8 01 00 66 D3 E0 66 89 04 24 8D 44 24 08 33 C9 BA 04 04 00 00 E8 ?? ?? ?? ?? 66 C7 44 24 08 00 03 0F B7 04 24 66 89 44 24 0A 0F B7 2C 24 4D 85 ED 7C 47 45 C7 44 24 04 00 00 00 00 8D 74 24 0C 8B DE 0F B7 04 24 48 50 68 FF 00 00 00 8B 44 24 0C 50 E8 ?? ?? ?? ?? 8B 57 0C 0F B6 84 02 3D 01 00 00 88 03 0F B6 03 88 43 01 0F B6 03 88 43 02 FF 44 24 04 83 C6 04 4D 75 C6 8D 44 24 08 50 E8 ?? ?? ?? ?? 8B 57 0C 92 8B 08 FF 51 3C 81 C4 0C 04 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81824_0 {
	meta:
		name = "TChunkIDAT.IDATZlibRead"
		size = 652
		refs = "0026 TChunkIDAT.IDATZlibRead 0045 TStream.GetPosition 0087 ByteSwap 00a2 EPngInvalidCRCText 00a7 LoadResString 00b6 _DV_EPngInvalidCRC 00bb TPngImage.RaiseError 00ef @UStrFromArray 00fc @UStrEqual 0106 EPNGMissingMultipleIDATText 011a _DV_EPNGMissingMultipleIDAT 013b update_crc 01e9 inflate 0204 EPNGZLIBErrorText 0216 ZLIBErrors 021b @UStrCat 022a _DV_EPNGZLIBError 025b @UStrArrayClr 0261 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 89 5D E0 89 5D E4 89 4D F8 8B DA 89 45 FC 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 43 0C 8B 45 10 89 43 10 E9 F4 01 00 00 8B 43 3C E8 ?? ?? ?? ?? 52 50 8B 06 99 3B 54 24 04 75 03 3B 04 24 5A 58 0F 85 FA 00 00 00 83 7B 10 00 0F 86 F0 00 00 00 83 7B 04 00 0F 85 E6 00 00 00 8D 55 E8 8B 43 3C B9 04 00 00 00 8B 38 FF 57 0C 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 08 8B 12 83 F2 FF 3B C2 74 2D C7 45 F4 FF FF FF FF 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8B 45 FC 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 81 01 00 00 8B D6 8B 43 3C B9 04 00 00 00 8B 38 FF 57 0C 8D 55 EC 8B 43 3C B9 04 00 00 00 8B 38 FF 57 0C 8D 45 E0 8D 55 EC B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 2D 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC 8B 45 FC 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 F4 FF FF FF FF E9 16 01 00 00 8D 55 EC B9 04 00 00 00 83 C8 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 8B 43 3C E8 ?? ?? ?? ?? 8B F8 8B 06 E8 ?? ?? ?? ?? 03 F8 89 3E 83 7B 04 00 0F 85 82 00 00 00 8B 43 3C E8 ?? ?? ?? ?? 05 FF FF 00 00 83 D2 00 52 50 8B 06 99 3B 54 24 04 75 09 3B 04 24 5A 58 73 22 EB 04 5A 58 7D 1C 8B 43 3C E8 ?? ?? ?? ?? 8B 0E 2B C8 8B 53 38 8B 43 3C 8B 38 FF 57 0C 89 43 04 EB 13 8B 53 38 8B 43 3C B9 FF FF 00 00 8B 38 FF 57 0C 89 43 04 8B 4B 04 8B 53 38 8B 45 08 8B 00 E8 ?? ?? ?? ?? 8B 55 08 89 02 83 7B 04 00 75 0B 8B 45 10 2B 43 10 89 45 F4 EB 65 8B 43 38 89 03 6A 00 53 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 83 7D F0 00 7D 3C C7 45 F4 FF FF FF FF 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 8B 55 F0 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 8B 45 FC 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 83 7B 10 00 0F 87 02 FE FF FF 8B 45 10 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 44 00 41 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_81825_0 {
	meta:
		name = "TChunkIDAT.CopyInterlacedRGB8"
		size = 123
		refs = "0014 ColumnStart 0060 ColumnIncrement"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 55 FF 8B 75 10 0F B6 55 FF 8B 14 95 ?? ?? ?? ?? 8D 1C 52 03 F3 8D 59 02 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1E 46 8D 59 01 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1E 46 0F B6 19 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1E 46 83 C1 03 0F B6 5D FF 8B 1C 9D ?? ?? ?? ?? 8D 3C 5B 83 EF 03 03 F7 03 D3 3B 50 18 7C AA 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_81826_0 {
	meta:
		name = "TChunkIDAT.CopyInterlacedRGB16"
		size = 203
		refs = "0019 ColumnStart 00a7 ColumnIncrement"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 55 FF 8B 55 08 8B 75 10 0F B6 5D FF 8B 1C 9D ?? ?? ?? ?? 89 5D F8 8B 5D F8 8D 1C 5B 03 F3 8D 59 04 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1E 46 8D 59 02 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1E 46 0F B6 19 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1E 46 8D 59 05 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1A 42 8D 59 03 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1A 42 8D 59 01 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1A 42 83 C1 06 0F B6 5D FF 8B 1C 9D ?? ?? ?? ?? 8D 3C 5B 83 EF 03 03 F7 01 5D F8 8B 5D F8 3B 58 18 0F 8C 66 FF FF FF 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_81827_0 {
	meta:
		name = "TChunkIDAT.CopyInterlacedPalette148"
		size = 176
		refs = "0015 ColumnStart 0026 StartBit 005a BitTable 0085 ColumnIncrement"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F8 88 55 FF 0F B6 55 FF 8B 14 95 ?? ?? ?? ?? 8B 48 14 0F B6 89 60 04 00 00 8B 0C 8D ?? ?? ?? ?? 89 4D F4 8B 48 14 0F B6 B1 60 04 00 00 8B CE 0F AF CA 85 C9 79 03 83 C1 07 C1 F9 03 03 4D 10 89 4D F0 8B 4D F4 8B 5D F8 0F B6 1B D3 EB 22 1C B5 ?? ?? ?? ?? 8B 0C B5 ?? ?? ?? ?? 0F AF F2 81 E6 07 00 00 80 79 05 4E 83 CE F8 46 2B CE D2 E3 8B 4D F0 08 19 0F B6 4D FF 03 14 8D ?? ?? ?? ?? 8B 48 14 0F B6 89 60 04 00 00 29 4D F4 83 7D F4 00 7D 91 FF 45 F8 3B 50 18 0F 8C 71 FF FF FF 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_81828_0 {
	meta:
		name = "TChunkIDAT.CopyInterlacedPalette2"
		size = 129
		refs = "0019 ColumnStart 0062 ColumnIncrement"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 88 55 FB 89 45 FC 0F B6 45 FB 8B 34 85 ?? ?? ?? ?? B8 06 00 00 00 8B D6 D1 FA 79 03 83 D2 00 03 55 10 8B C8 8B 5D F4 0F B6 1B D3 EB 80 E3 03 8B CE 03 C9 03 C9 81 E1 07 00 00 80 79 05 49 83 C9 F8 41 51 B9 04 00 00 00 5F 2B CF D2 E3 08 1A 0F B6 55 FB 03 34 95 ?? ?? ?? ?? 83 E8 02 85 C0 7D B5 FF 45 F4 8B 45 FC 3B 70 18 7C A5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_81829_0 {
	meta:
		name = "TChunkIDAT.CopyInterlacedGray2"
		size = 133
		refs = "0019 ColumnStart 0066 ColumnIncrement"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 88 55 FB 89 45 FC 0F B6 45 FB 8B 34 85 ?? ?? ?? ?? B8 06 00 00 00 8B D6 D1 FA 79 03 83 D2 00 03 55 10 8B C8 8B 5D F4 0F B6 1B D3 EB 03 DB 03 DB 80 E3 0F 8B CE 03 C9 03 C9 81 E1 07 00 00 80 79 05 49 83 C9 F8 41 51 B9 04 00 00 00 5F 2B CF D2 E3 08 1A 0F B6 55 FB 03 34 95 ?? ?? ?? ?? 83 E8 02 85 C0 7D B1 FF 45 F4 8B 45 FC 3B 70 18 7C A1 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_81830_0 {
	meta:
		name = "TChunkIDAT.CopyInterlacedGrayscale16"
		size = 81
		refs = "0013 ColumnStart 0036 ColumnIncrement"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 75 10 0F B6 C2 8B 04 85 ?? ?? ?? ?? 03 F0 0F B6 19 88 1E 46 8D 59 01 0F B6 1B 8B 7D 08 88 1F FF 45 08 83 C1 02 0F B6 DA 8B 1C 9D ?? ?? ?? ?? 8B FB 4F 03 F7 03 C3 8B 5D FC 3B 43 18 7C D0 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_81831_0 {
	meta:
		name = "TChunkIDAT.CopyInterlacedRGBAlpha8"
		size = 148
		refs = "0010 ColumnStart 0072 ColumnIncrement"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 10 0F B6 DA 8B 1C 9D ?? ?? ?? ?? 89 5D FC 8B 5D FC 8D 1C 5B 03 F3 8B 5D FC 01 5D 0C 8D 59 03 0F B6 1B 8B 7D 0C 88 1F 8D 59 02 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1E 46 8D 59 01 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1E 46 0F B6 19 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1E 46 83 C1 04 0F B6 DA 8B 1C 9D ?? ?? ?? ?? 8D 3C 5B 83 EF 03 03 F7 01 5D 0C 01 5D FC 8B 58 18 3B 5D FC 7F 99 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_81832_0 {
	meta:
		name = "TChunkIDAT.CopyInterlacedRGBAlpha16"
		size = 223
		refs = "0019 ColumnStart 00b8 ColumnIncrement"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 55 FF 8B 55 08 8B 75 10 0F B6 5D FF 8B 1C 9D ?? ?? ?? ?? 89 5D F8 8B 5D F8 8D 1C 5B 03 F3 8B 5D F8 01 5D 0C 8D 59 06 0F B6 1B 8B 7D 0C 88 1F 8D 59 04 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1E 46 8D 59 02 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1E 46 0F B6 19 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1E 46 8D 59 05 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1A 42 8D 59 03 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1A 42 8D 59 01 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1A 42 83 C1 08 0F B6 5D FF 8B 1C 9D ?? ?? ?? ?? 8D 3C 5B 83 EF 03 03 F7 01 5D 0C 01 5D F8 8B 5D F8 3B 58 18 0F 8C 58 FF FF FF 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_81833_0 {
	meta:
		name = "TChunkIDAT.CopyInterlacedGrayscaleAlpha8"
		size = 86
		refs = "0013 ColumnStart 0033 ColumnIncrement"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 10 0F B6 DA 8B 34 9D ?? ?? ?? ?? 03 C6 01 75 0C 0F B6 19 88 18 41 8B 5D 0C 8B FB 0F B6 19 88 1F 41 0F B6 DA 8B 1C 9D ?? ?? ?? ?? 03 C3 01 5D 0C 0F B6 DA 03 34 9D ?? ?? ?? ?? 8B 5D FC 3B 73 18 7C CE 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_81834_0 {
	meta:
		name = "TChunkIDAT.CopyInterlacedGrayscaleAlpha16"
		size = 104
		refs = "0013 ColumnStart 0045 ColumnIncrement"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 10 0F B6 DA 8B 34 9D ?? ?? ?? ?? 03 C6 01 75 0C 8D 59 01 0F B6 1B 8B 7D 08 88 1F FF 45 08 0F B6 19 88 18 83 C1 02 8B 5D 0C 8B FB 0F B6 19 88 1F 83 C1 02 0F B6 DA 8B 1C 9D ?? ?? ?? ?? 03 C3 01 5D 0C 0F B6 DA 03 34 9D ?? ?? ?? ?? 8B 5D FC 3B 73 18 7C BC 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_81835_0 {
	meta:
		name = "TChunkIDAT.DecodeInterlacedAdam7"
		size = 683
		refs = "002f TChunkIDAT.DecodeInterlacedAdam7 0069 TChunkIDAT.CopyInterlacedRGB8 0078 TChunkIDAT.CopyInterlacedRGB16 00c6 TChunkIDAT.CopyInterlacedPalette148 00d7 TChunkIDAT.CopyInterlacedPalette2 00e3 TChunkIDAT.CopyInterlacedGray2 00ef TChunkIDAT.CopyInterlacedGrayscale16 010c TChunkIDAT.CopyInterlacedRGBAlpha8 0118 TChunkIDAT.CopyInterlacedRGBAlpha16 0135 TChunkIDAT.CopyInterlacedGrayscaleAlpha8 0141 TChunkIDAT.CopyInterlacedGrayscaleAlpha16 014c ColumnStart 0153 ColumnIncrement 015a RowStart 015f RowIncrement 0192 BytesForPixels 01ac @FillChar 0218 TChunkIDAT.IDATZlibRead 0223 TChunkIDAT.FilterRow"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 4D FC 8B D8 33 C0 89 45 E0 89 45 E4 8B 43 14 0F B6 90 61 04 00 00 0F B6 CA 83 F9 06 0F 87 19 01 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B6 80 60 04 00 00 2C 08 74 09 2C 08 74 14 E9 E2 00 00 00 89 5D E4 C7 45 E0 ?? ?? ?? ?? E9 D3 00 00 00 89 5D E4 C7 45 E0 ?? ?? ?? ?? E9 C4 00 00 00 0F B6 80 60 04 00 00 83 F8 10 0F 87 B4 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 02 00 01 00 00 00 01 00 00 00 00 00 00 00 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 89 5D E4 C7 45 E0 ?? ?? ?? ?? EB 79 80 FA 03 75 0C 89 5D E4 C7 45 E0 ?? ?? ?? ?? EB 68 89 5D E4 C7 45 E0 ?? ?? ?? ?? EB 5C 89 5D E4 C7 45 E0 ?? ?? ?? ?? EB 50 0F B6 80 60 04 00 00 2C 08 74 06 2C 08 74 0E EB 3F 89 5D E4 C7 45 E0 ?? ?? ?? ?? EB 33 89 5D E4 C7 45 E0 ?? ?? ?? ?? EB 27 0F B6 80 60 04 00 00 2C 08 74 06 2C 08 74 0E EB 16 89 5D E4 C7 45 E0 ?? ?? ?? ?? EB 0A 89 5D E4 C7 45 E0 ?? ?? ?? ?? C6 45 FB 00 C7 45 DC ?? ?? ?? ?? C7 45 D8 ?? ?? ?? ?? C7 45 D4 ?? ?? ?? ?? BE ?? ?? ?? ?? 8B 45 DC FF 30 8B 43 18 5A 2B C2 8B 55 D8 8B 0A 03 C1 48 99 F7 F9 8B F8 8B 43 14 0F B6 88 60 04 00 00 8B 43 14 0F B6 90 61 04 00 00 8B C7 E8 ?? ?? ?? ?? 89 43 20 0F B6 43 48 34 01 83 E0 7F 8B 44 83 40 8B 53 20 33 C9 E8 ?? ?? ?? ?? 8B 45 D4 8B 00 89 45 F4 8B 43 14 8B 90 68 04 00 00 8B 4B 1C 49 2B 4D F4 0F AF D1 8B CA 03 88 50 04 00 00 89 4D EC 8B 88 54 04 00 00 8B 7B 18 0F AF 7D F4 03 CF 89 4D F0 03 90 4C 04 00 00 89 55 E8 83 7B 20 00 0F 86 8B 00 00 00 EB 7D 8B 43 20 40 50 8D 43 4C 50 8B 45 08 50 0F B6 43 48 8B 4C 83 40 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 85 C0 74 66 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F0 50 8B 45 E8 50 0F B6 43 48 8B 44 83 40 8D 48 01 0F B6 55 FB 8B 45 E4 FF 55 E0 0F B6 43 48 34 01 88 43 48 8B 06 01 45 F4 8B 43 14 8B 80 68 04 00 00 F7 2E 29 45 EC 8B 06 F7 6B 18 01 45 F0 8B 43 14 8B 80 68 04 00 00 F7 2E 29 45 E8 8B 45 F4 3B 43 1C 0F 8C 77 FF FF FF FE 45 FB 83 C6 04 83 45 D4 04 83 45 D8 04 83 45 DC 04 80 7D FB 07 0F 85 C1 FE FF FF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_81836_0 {
	meta:
		name = "TChunkIDAT.CopyNonInterlacedRGB8"
		size = 83
	strings:
		$1 = { 55 8B EC 53 56 57 8B 70 18 85 F6 7E 3F 8D 5A 02 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 19 41 8D 5A 01 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 19 41 0F B6 1A 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 19 41 83 C2 03 4E 75 C1 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_81837_0 {
	meta:
		name = "TChunkIDAT.CopyNonInterlacedRGB16"
		size = 157
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 08 8B 58 18 85 DB 0F 8E 80 00 00 00 89 5D FC 8D 5A 04 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 19 41 8D 5A 02 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 19 41 0F B6 1A 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 19 41 8D 5A 05 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1E 46 8D 5A 03 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1E 46 8D 5A 01 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1E 46 83 C2 06 FF 4D FC 75 83 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_81838_0 {
	meta:
		name = "TChunkIDAT.CopyNonInterlacedPalette148"
		size = 18
		refs = "000a Move"
	strings:
		$1 = { 55 8B EC 8B 40 20 92 87 CA E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_81839_0 {
	meta:
		name = "TChunkIDAT.CopyNonInterlacedGray2"
		size = 65
	strings:
		$1 = { 55 8B EC 56 57 8B F9 8B 70 20 85 F6 7E 2D 0F B6 02 0F B6 C8 C1 E9 02 80 E1 0F 24 F0 0A C8 88 0F 47 0F B6 02 8B C8 03 C9 03 C9 80 E1 0F C1 E0 04 24 F0 0A C8 88 0F 47 42 4E 75 D3 5F 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_81840_0 {
	meta:
		name = "TChunkIDAT.CopyNonInterlacedPalette2"
		size = 67
	strings:
		$1 = { 55 8B EC 53 56 57 8B 70 20 85 F6 7E 2F 0F B6 3A 8B C7 C1 E8 04 24 03 8B DF C1 EB 02 80 E3 30 0A C3 88 01 41 0F B6 02 24 03 0F B6 1A 03 DB 03 DB 80 E3 30 0A C3 88 01 41 42 4E 75 D1 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_81841_0 {
	meta:
		name = "TChunkIDAT.CopyNonInterlacedGrayscale16"
		size = 42
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 8B 40 18 85 C0 7E 15 0F B6 1A 88 19 41 8D 5A 01 0F B6 1B 88 1E 46 83 C2 02 48 75 EB 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_81842_0 {
	meta:
		name = "TChunkIDAT.CopyNonInterlacedRGBAlpha8"
		size = 97
	strings:
		$1 = { 55 8B EC 53 56 57 8B 70 18 85 F6 7E 4D 8D 5A 03 0F B6 1B 8B 7D 0C 88 1F 8D 5A 02 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 19 41 8D 5A 01 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 19 41 0F B6 1A 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 19 41 83 C2 04 FF 45 0C 4E 75 B3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_81843_0 {
	meta:
		name = "TChunkIDAT.CopyNonInterlacedRGBAlpha16"
		size = 175
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 08 8B 58 18 85 DB 0F 8E 92 00 00 00 89 5D FC 8D 5A 06 0F B6 1B 8B 7D 0C 88 1F 8D 5A 04 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 19 41 8D 5A 02 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 19 41 0F B6 1A 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 19 41 8D 5A 05 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1E 46 8D 5A 03 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1E 46 8D 5A 01 0F B6 1B 8B 78 0C 0F B6 9C 1F 3D 01 00 00 88 1E 46 83 C2 08 FF 45 0C FF 4D FC 0F 85 71 FF FF FF 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_81844_0 {
	meta:
		name = "TChunkIDAT.CopyNonInterlacedGrayscaleAlpha8"
		size = 38
	strings:
		$1 = { 55 8B EC 53 56 8B 75 0C 8B 40 18 85 C0 7E 11 0F B6 1A 88 19 42 0F B6 1A 88 1E 42 41 46 48 75 EF 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_81845_0 {
	meta:
		name = "TChunkIDAT.CopyNonInterlacedGrayscaleAlpha16"
		size = 58
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 40 18 85 C0 7E 23 8D 5A 01 0F B6 1B 8B 7D 08 88 1F FF 45 08 0F B6 1A 88 19 83 C2 02 0F B6 1A 88 1E 83 C2 02 41 46 48 75 DD 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_81846_0 {
	meta:
		name = "TChunkIDAT.DecodeNonInterlaced"
		size = 492
		refs = "002f TChunkIDAT.DecodeNonInterlaced 006b TChunkIDAT.CopyNonInterlacedRGB8 007a TChunkIDAT.CopyNonInterlacedRGB16 00c8 TChunkIDAT.CopyNonInterlacedPalette148 00d9 TChunkIDAT.CopyNonInterlacedPalette2 00e5 TChunkIDAT.CopyNonInterlacedGray2 00f1 TChunkIDAT.CopyNonInterlacedGrayscale16 0110 TChunkIDAT.CopyNonInterlacedRGBAlpha8 011c TChunkIDAT.CopyNonInterlacedRGBAlpha16 013b TChunkIDAT.CopyNonInterlacedGrayscaleAlpha8 0147 TChunkIDAT.CopyNonInterlacedGrayscaleAlpha16 0197 TChunkIDAT.IDATZlibRead 01a2 TChunkIDAT.FilterRow"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 8B D8 33 C0 89 45 E8 89 45 EC 8B 43 14 0F B6 90 61 04 00 00 0F B6 CA 83 F9 06 0F 87 1F 01 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B6 90 60 04 00 00 80 EA 08 74 0A 80 EA 08 74 14 E9 E6 00 00 00 89 5D EC C7 45 E8 ?? ?? ?? ?? E9 D7 00 00 00 89 5D EC C7 45 E8 ?? ?? ?? ?? E9 C8 00 00 00 0F B6 88 60 04 00 00 83 F9 10 0F 87 B8 00 00 00 0F B6 89 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 00 01 02 00 01 00 00 00 01 00 00 00 00 00 00 00 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 89 5D EC C7 45 E8 ?? ?? ?? ?? EB 7D 80 FA 03 75 0C 89 5D EC C7 45 E8 ?? ?? ?? ?? EB 6C 89 5D EC C7 45 E8 ?? ?? ?? ?? EB 60 89 5D EC C7 45 E8 ?? ?? ?? ?? EB 54 0F B6 90 60 04 00 00 80 EA 08 74 07 80 EA 08 74 0E EB 41 89 5D EC C7 45 E8 ?? ?? ?? ?? EB 35 89 5D EC C7 45 E8 ?? ?? ?? ?? EB 29 0F B6 90 60 04 00 00 80 EA 08 74 07 80 EA 08 74 0E EB 16 89 5D EC C7 45 E8 ?? ?? ?? ?? EB 0A 89 5D EC C7 45 E8 ?? ?? ?? ?? 8B 90 68 04 00 00 8B 4B 1C 49 0F AF D1 8B F2 03 B0 50 04 00 00 89 75 F4 8B B0 54 04 00 00 89 75 F8 03 90 4C 04 00 00 89 55 F0 8B F1 85 F6 72 68 46 8B 43 20 40 50 8D 43 4C 50 8B 45 08 50 0F B6 43 48 8B 4C 83 40 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 85 C0 74 44 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 F0 50 0F B6 43 48 8B 44 83 40 8D 50 01 8B 4D F4 8B 45 EC FF 55 E8 0F B6 43 48 34 01 88 43 48 8B 43 14 8B 80 68 04 00 00 29 45 F4 29 45 F0 8B 43 18 01 45 F8 4E 75 99 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_81847_0 {
	meta:
		name = "TChunkIDAT.FilterRow"
		size = 427
		refs = "018c PaethPredictor"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D8 0F B6 43 48 8B 44 83 40 0F B6 00 FE C8 74 19 FE C8 74 50 FE C8 0F 84 8D 00 00 00 FE C8 0F 84 EE 00 00 00 E9 73 01 00 00 8B 73 24 46 8B 7B 20 2B FE 0F 82 64 01 00 00 47 8B D6 2B 53 24 0F B6 4B 48 8B 4C 8B 40 0F B6 14 11 0F B6 43 48 8B 44 83 40 02 14 30 80 E2 FF 88 14 30 46 4F 75 DA E9 38 01 00 00 8B 7B 20 85 FF 0F 86 2D 01 00 00 BE 01 00 00 00 0F B6 43 48 8B D0 80 F2 01 83 E2 7F 8B 54 93 40 0F B6 14 32 83 E0 7F 8B 44 83 40 02 14 30 80 E2 FF 0F B6 43 48 8B 44 83 40 88 14 30 46 4F 75 D0 E9 F3 00 00 00 8B 7B 20 85 FF 0F 86 E8 00 00 00 BE 01 00 00 00 0F B6 43 48 34 01 83 E0 7F 8B 44 83 40 0F B6 04 30 8B CE 49 8B 53 24 3B CA 73 04 33 ED EB 10 8B CE 2B CA 0F B6 53 48 8B 54 93 40 0F B6 2C 0A 03 C5 D1 F8 79 03 83 D0 00 0F B6 53 48 8B 54 93 40 02 04 32 24 FF 0F B6 53 48 8B 54 93 40 88 04 32 46 4F 75 AC E9 8A 00 00 00 33 ED 33 C0 89 44 24 04 8B 7B 20 85 FF 76 7B BE 01 00 00 00 0F B6 43 48 34 01 83 E0 7F 8B 44 83 40 0F B6 04 30 8B D6 4A 3B 53 24 72 2C 8B D6 2B 53 24 0F B6 4B 48 8B 4C 8B 40 0F B6 2C 11 0F B6 53 48 80 F2 01 83 E2 7F 8B 54 93 40 8B CE 2B 4B 24 0F B6 14 0A 89 54 24 04 0F B6 53 48 8B 54 93 40 0F B6 14 32 89 14 24 0F B6 4C 24 04 50 8B C5 5A E8 ?? ?? ?? ?? 02 04 24 24 FF 0F B6 53 48 8B 54 93 40 88 04 32 46 4F 75 8A 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81848_0 {
	meta:
		name = "TChunkIDAT.LoadFromStream"
		size = 412
		refs = "0019 TChunkIDAT.LoadFromStream 002f TPNGList.GetItem 0035 _DV_TChunkIHDR 003a @AsClass 004c TChunkIDAT.PreparePalette 0074 update_crc 0085 TPngImage.GetPixelInfo 008f ZLIBInitInflate 0096 TStream.GetPosition 00a5 @GetMem 00c2 @FillChar 00ec TChunkIDAT.DecodeNonInterlaced 0102 TChunkIDAT.DecodeInterlacedAdam7 010a ZLIBTerminateInflate 0116 @FreeMem 013d ByteSwap 0158 EPngInvalidCRCText 015d LoadResString 0166 _DV_EPngInvalidCRC 016e TPngImage.RaiseError 0183 @UStrClr 0189 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 DB 89 5D AC 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 80 38 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 14 80 7F 20 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B 43 14 8B 80 58 04 00 00 89 43 18 8B 43 14 8B 80 5C 04 00 00 89 43 1C 8D 55 FC B9 04 00 00 00 83 C8 FF E8 ?? ?? ?? ?? 89 45 F0 8D 4B 24 8D 53 20 8B 43 0C E8 ?? ?? ?? ?? 8D 55 B0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 03 45 08 89 43 4C 8B 43 20 40 E8 ?? ?? ?? ?? 89 43 40 8B 43 20 40 E8 ?? ?? ?? ?? 89 43 44 8B 53 20 42 8B 43 40 33 C9 E8 ?? ?? ?? ?? C6 43 48 01 8B 43 0C 0F B6 80 34 01 00 00 2C 01 72 04 74 18 EB 2A 8B 45 08 50 8D 45 F0 50 8D 4D B0 8B D6 8B C3 E8 ?? ?? ?? ?? EB 14 8B 45 08 50 8D 45 F0 50 8D 4D B0 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8B 53 20 42 8B 43 40 E8 ?? ?? ?? ?? 8B 53 20 42 8B 43 44 E8 ?? ?? ?? ?? 8D 55 F4 B9 04 00 00 00 8B C6 8B 30 FF 56 0C 83 75 F0 FF 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 3B 45 F0 0F 94 45 FB 80 7D FB 00 75 1E 8D 55 AC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D AC 8B 15 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81849_0 {
	meta:
		name = "TChunkIDAT.SaveToStream"
		size = 415
		refs = "0016 TPNGList.GetItem 001c _DV_TChunkIHDR 0021 @AsClass 0049 TPngImage.GetPixelInfo 0051 @GetMem 0062 @FillChar 00ef ZLIBInitDeflate 010c TChunkIDAT.EncodeNonInterlaced 0119 TChunkIDAT.EncodeInterlacedAdam7 0120 ZLIBTerminateDeflate 012b @FreeMem"
	strings:
		$1 = { 53 56 57 83 C4 C0 8B FA 8B D8 8B 43 0C 8B 80 38 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 14 8B 86 58 04 00 00 89 43 18 8B 43 14 8B 80 5C 04 00 00 89 43 1C 8D 4B 24 8D 53 20 8B 43 0C E8 ?? ?? ?? ?? 8B 43 20 E8 ?? ?? ?? ?? 8B F0 89 73 3C 8B 53 20 8B C6 33 C9 E8 ?? ?? ?? ?? 8B 43 20 E8 ?? ?? ?? ?? 8B F0 89 73 28 8B 53 20 8B C6 33 C9 E8 ?? ?? ?? ?? 8B 43 0C F6 80 2C 01 00 00 02 74 0B 8B 43 20 E8 ?? ?? ?? ?? 89 43 2C 8B 43 0C F6 80 2C 01 00 00 04 74 0B 8B 43 20 E8 ?? ?? ?? ?? 89 43 30 8B 43 0C F6 80 2C 01 00 00 08 74 0B 8B 43 20 E8 ?? ?? ?? ?? 89 43 34 8B 43 0C F6 80 2C 01 00 00 10 74 0B 8B 43 20 E8 ?? ?? ?? ?? 89 43 38 54 8B 73 0C 8B 8E 30 01 00 00 0F B6 96 2D 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B 43 0C 0F B6 80 34 01 00 00 2C 01 72 04 74 0F EB 18 8B CC 8B D7 8B C3 E8 ?? ?? ?? ?? EB 0B 8B CC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B 53 20 8B 43 3C E8 ?? ?? ?? ?? 8B 53 20 8B 43 28 E8 ?? ?? ?? ?? 8B 43 0C F6 80 2C 01 00 00 02 74 0B 8B 53 20 8B 43 2C E8 ?? ?? ?? ?? 8B 43 0C F6 80 2C 01 00 00 04 74 0B 8B 53 20 8B 43 30 E8 ?? ?? ?? ?? 8B 43 0C F6 80 2C 01 00 00 08 74 0B 8B 53 20 8B 43 34 E8 ?? ?? ?? ?? 8B 43 0C F6 80 2C 01 00 00 10 74 0B 8B 53 20 8B 43 38 E8 ?? ?? ?? ?? B0 01 83 C4 40 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81850_0 {
	meta:
		name = "WriteIDAT"
		size = 135
		refs = "0010 ByteSwap 0026 IDATHeader 0044 update_crc"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F1 8B FA 8B D8 8B C6 E8 ?? ?? ?? ?? 89 04 24 8B D4 B9 04 00 00 00 8B C3 8B 28 FF 55 10 BA ?? ?? ?? ?? B9 04 00 00 00 8B C3 8B 28 FF 55 10 BA ?? ?? ?? ?? B9 04 00 00 00 83 C8 FF E8 ?? ?? ?? ?? 89 44 24 04 8B D7 8B CE 8B C3 8B 28 FF 55 10 8B CE 8B D7 8B 44 24 04 E8 ?? ?? ?? ?? 83 F0 FF E8 ?? ?? ?? ?? 89 44 24 04 8D 54 24 04 B9 04 00 00 00 8B C3 8B 18 FF 53 10 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81851_0 {
	meta:
		name = "TChunkIDAT.IDATZlibWrite"
		size = 86
		refs = "0017 deflate 0034 WriteIDAT"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B F0 89 0B 8B 45 08 89 43 04 EB 37 6A 00 53 E8 ?? ?? ?? ?? 83 C4 08 83 7B 10 00 75 26 8B 46 0C 8B 88 30 01 00 00 8B 53 38 8B 43 3C E8 ?? ?? ?? ?? 8B 43 38 89 43 0C 8B 46 0C 8B 80 30 01 00 00 89 43 10 83 7B 04 00 77 C3 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81852_0 {
	meta:
		name = "TChunkIDAT.FinishIDATZlib"
		size = 106
		refs = "0024 WriteIDAT 003e deflate"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 C0 89 03 33 C0 89 43 04 EB 29 8B 46 0C 8B 88 30 01 00 00 2B 4B 10 8B 53 38 8B 43 3C E8 ?? ?? ?? ?? 8B 43 38 89 43 0C 8B 46 0C 8B 80 30 01 00 00 89 43 10 6A 04 53 E8 ?? ?? ?? ?? 83 C4 08 48 75 C9 8B 46 0C 8B 80 30 01 00 00 8B 53 10 3B C2 76 0F 8B C8 2B CA 8B 43 3C 8B 53 38 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81853_0 {
	meta:
		name = "TChunkIDAT.EncodeNonInterlacedRGB8"
		size = 74
	strings:
		$1 = { 55 8B EC 53 56 57 8B 70 18 85 F6 7E 36 8D 5A 02 0F B6 1B 8B 78 0C 0F B6 5C 1F 28 88 19 41 8D 5A 01 0F B6 1B 8B 78 0C 0F B6 5C 1F 28 88 19 41 0F B6 1A 8B 78 0C 0F B6 5C 1F 28 88 19 41 83 C2 03 4E 75 CA 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81854_0 {
	meta:
		name = "TChunkIDAT.EncodeNonInterlacedRGB16"
		size = 83
	strings:
		$1 = { 55 8B EC 53 56 57 8B 58 18 85 DB 7E 3F 8D 72 02 0F B6 36 8B 78 0C 0F B6 74 37 28 66 89 31 83 C1 02 8D 72 01 0F B6 36 8B 78 0C 0F B6 74 37 28 66 89 31 83 C1 02 0F B6 32 8B 78 0C 0F B6 74 37 28 66 89 31 83 C1 02 83 C2 03 4B 75 C1 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81855_0 {
	meta:
		name = "TChunkIDAT.EncodeNonInterlacedPalette148"
		size = 18
		refs = "000a Move"
	strings:
		$1 = { 55 8B EC 8B 40 20 92 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_81856_0 {
	meta:
		name = "TChunkIDAT.EncodeNonInterlacedGrayscale16"
		size = 29
	strings:
		$1 = { 55 8B EC 53 8B 40 18 85 C0 7E 0D 0F B6 1A 66 89 19 83 C1 02 42 48 75 F3 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81857_0 {
	meta:
		name = "TChunkIDAT.EncodeNonInterlacedRGBAlpha8"
		size = 86
	strings:
		$1 = { 55 8B EC 53 56 57 8B 70 18 85 F6 7E 42 8D 5A 02 0F B6 1B 8B 78 0C 0F B6 5C 1F 28 88 19 41 8D 5A 01 0F B6 1B 8B 78 0C 0F B6 5C 1F 28 88 19 41 0F B6 1A 8B 78 0C 0F B6 5C 1F 28 88 19 41 8B 5D 08 0F B6 1B 88 19 41 83 C2 03 FF 45 08 4E 75 BE 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81858_0 {
	meta:
		name = "TChunkIDAT.EncodeNonInterlacedRGBAlpha16"
		size = 98
	strings:
		$1 = { 55 8B EC 53 56 57 8B 58 18 85 DB 7E 4E 8D 72 02 0F B6 36 8B 78 0C 0F B6 74 37 28 66 89 31 83 C1 02 8D 72 01 0F B6 36 8B 78 0C 0F B6 74 37 28 66 89 31 83 C1 02 0F B6 32 8B 78 0C 0F B6 74 37 28 66 89 31 83 C1 02 8B 75 08 0F B6 36 66 89 31 83 C1 02 83 C2 03 FF 45 08 4B 75 B2 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81859_0 {
	meta:
		name = "TChunkIDAT.EncodeNonInterlacedGrayscaleAlpha8"
		size = 38
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 8B 40 18 85 C0 7E 11 0F B6 1A 88 19 41 0F B6 1E 88 19 41 42 46 48 75 EF 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81860_0 {
	meta:
		name = "TChunkIDAT.EncodeNonInterlacedGrayscaleAlpha16"
		size = 44
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8B 40 18 85 C0 7E 17 0F B6 32 66 89 31 83 C1 02 0F B6 33 66 89 31 83 C1 02 42 43 48 75 E9 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81861_0 {
	meta:
		name = "TChunkIDAT.EncodeNonInterlaced"
		size = 423
		refs = "002a TChunkIDAT.EncodeNonInterlaced 0068 TChunkIDAT.EncodeNonInterlacedRGB8 0079 TChunkIDAT.EncodeNonInterlacedRGB16 00a6 TChunkIDAT.EncodeNonInterlacedPalette148 00b4 TChunkIDAT.EncodeNonInterlacedGrayscale16 00d5 TChunkIDAT.EncodeNonInterlacedRGBAlpha8 00e3 TChunkIDAT.EncodeNonInterlacedRGBAlpha16 0104 TChunkIDAT.EncodeNonInterlacedGrayscaleAlpha8 0112 TChunkIDAT.EncodeNonInterlacedGrayscaleAlpha16 0154 TChunkIDAT.FilterToEncode 0167 TChunkIDAT.IDATZlibWrite 019c TChunkIDAT.FinishIDATZlib"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F9 8B D8 33 C0 89 44 24 10 89 44 24 14 8B 43 14 0F B6 90 61 04 00 00 83 FA 06 0F 87 EF 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B6 90 60 04 00 00 80 EA 08 74 0A 80 EA 08 74 16 E9 B6 00 00 00 89 5C 24 14 C7 44 24 10 ?? ?? ?? ?? E9 A5 00 00 00 89 5C 24 14 C7 44 24 10 ?? ?? ?? ?? E9 94 00 00 00 0F B6 90 60 04 00 00 FE CA 74 11 80 EA 03 74 0C 80 EA 04 74 07 80 EA 08 74 10 EB 78 89 5C 24 14 C7 44 24 10 ?? ?? ?? ?? EB 6A 89 5C 24 14 C7 44 24 10 ?? ?? ?? ?? EB 5C 0F B6 90 60 04 00 00 80 EA 08 74 07 80 EA 08 74 10 EB 49 89 5C 24 14 C7 44 24 10 ?? ?? ?? ?? EB 3B 89 5C 24 14 C7 44 24 10 ?? ?? ?? ?? EB 2D 0F B6 90 60 04 00 00 80 EA 08 74 07 80 EA 08 74 10 EB 1A 89 5C 24 14 C7 44 24 10 ?? ?? ?? ?? EB 0C 89 5C 24 14 C7 44 24 10 ?? ?? ?? ?? 8B 88 68 04 00 00 8B 53 1C 4A 0F AF CA 03 88 50 04 00 00 89 0C 24 8B 80 54 04 00 00 89 44 24 04 8B F2 85 F6 72 5B 46 8B 44 24 04 50 8B 4B 3C 8B 54 24 04 8B 44 24 18 FF 54 24 14 8B C3 E8 ?? ?? ?? ?? 88 44 24 08 6A 01 8D 4C 24 0C 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 43 20 50 0F B6 44 24 0C 8B 4C 83 28 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 43 14 8B 80 68 04 00 00 29 04 24 8B 43 18 01 44 24 04 4E 75 A6 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81862_0 {
	meta:
		name = "TChunkIDAT.EncodeInterlacedRGB8"
		size = 108
		refs = "0014 ColumnStart 0054 ColumnIncrement"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 55 FF 8B 75 0C 0F B6 55 FF 8B 14 95 ?? ?? ?? ?? 8D 1C 52 03 CB 8D 59 02 0F B6 1B 8B 78 0C 0F B6 5C 1F 28 88 1E 46 8D 59 01 0F B6 1B 8B 78 0C 0F B6 5C 1F 28 88 1E 46 0F B6 19 8B 78 0C 0F B6 5C 1F 28 88 1E 46 0F B6 5D FF 8B 1C 9D ?? ?? ?? ?? 8D 3C 5B 03 CF 03 D3 3B 50 18 7C B9 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_81863_0 {
	meta:
		name = "TChunkIDAT.EncodeInterlacedRGB16"
		size = 117
		refs = "0014 ColumnStart 005d ColumnIncrement"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 55 FF 8B 75 0C 0F B6 55 FF 8B 14 95 ?? ?? ?? ?? 8D 1C 52 03 CB 8D 59 02 0F B6 1B 8B 78 0C 0F B6 5C 1F 28 66 89 1E 83 C6 02 8D 59 01 0F B6 1B 8B 78 0C 0F B6 5C 1F 28 66 89 1E 83 C6 02 0F B6 19 8B 78 0C 0F B6 5C 1F 28 66 89 1E 83 C6 02 0F B6 5D FF 8B 1C 9D ?? ?? ?? ?? 8D 3C 5B 03 CF 03 D3 3B 50 18 7C B0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_81864_0 {
	meta:
		name = "TChunkIDAT.EncodeInterlacedPalette148"
		size = 201
		refs = "001d @FillChar 0028 ColumnStart 003c StartBit 0090 BitTable 00a4 ColumnIncrement"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 88 55 FB 89 45 FC 8B 45 FC 8B 50 20 8B 45 0C 33 C9 E8 ?? ?? ?? ?? 0F B6 45 FB 8B 14 85 ?? ?? ?? ?? 8B 45 FC 8B 40 14 83 C0 24 0F B7 48 0E 8B 34 8D ?? ?? ?? ?? 0F B7 48 0E 0F AF CA 85 C9 79 03 83 C1 07 C1 F9 03 03 4D F4 89 4D F0 8B 4D FC 8B 49 14 0F B6 89 60 04 00 00 8B 0C 8D ?? ?? ?? ?? 0F B7 58 0E 0F AF DA 81 E3 07 00 00 80 79 05 4B 83 CB F8 43 2B CB 8B 5D F0 0F B6 1B D3 EB 0F B7 48 0E 22 1C 8D ?? ?? ?? ?? 8B CE D2 E3 8B 4D 0C 08 19 0F B6 4D FB 03 14 8D ?? ?? ?? ?? 0F B7 48 0E 2B F1 85 F6 7D 8E FF 45 0C 8B 4D FC 3B 51 18 0F 8C 74 FF FF FF 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_81865_0 {
	meta:
		name = "TChunkIDAT.EncodeInterlacedGrayscale16"
		size = 62
		refs = "0012 ColumnStart 0027 ColumnIncrement"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 0C 0F B6 DA 8B 1C 9D ?? ?? ?? ?? 03 CB 0F B6 31 66 89 30 83 C0 02 0F B6 F2 8B 34 B5 ?? ?? ?? ?? 03 CE 03 DE 8B 75 FC 3B 5E 18 7C E1 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_81866_0 {
	meta:
		name = "TChunkIDAT.EncodeInterlacedRGBAlpha8"
		size = 131
		refs = "0010 ColumnStart 0064 ColumnIncrement"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 0C 0F B6 DA 8B 1C 9D ?? ?? ?? ?? 89 5D FC 8B 5D FC 8D 1C 5B 03 CB 8B 5D FC 01 5D 08 8D 59 02 0F B6 1B 8B 78 0C 0F B6 5C 1F 28 88 1E 46 8D 59 01 0F B6 1B 8B 78 0C 0F B6 5C 1F 28 88 1E 46 0F B6 19 8B 78 0C 0F B6 5C 1F 28 88 1E 46 8B 5D 08 0F B6 1B 88 1E 46 0F B6 DA 8B 1C 9D ?? ?? ?? ?? 8D 3C 5B 03 CF 01 5D 08 01 5D FC 8B 5D FC 3B 58 18 7C AA 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_81867_0 {
	meta:
		name = "TChunkIDAT.EncodeInterlacedRGBAlpha16"
		size = 143
		refs = "0010 ColumnStart 0070 ColumnIncrement"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 0C 0F B6 DA 8B 1C 9D ?? ?? ?? ?? 89 5D FC 8B 5D FC 8D 1C 5B 03 CB 8B 5D FC 01 5D 08 8D 59 02 0F B6 1B 8B 78 0C 0F B6 5C 1F 28 66 89 1E 83 C6 02 8D 59 01 0F B6 1B 8B 78 0C 0F B6 5C 1F 28 66 89 1E 83 C6 02 0F B6 19 8B 78 0C 0F B6 5C 1F 28 66 89 1E 83 C6 02 8B 5D 08 0F B6 1B 66 89 1E 83 C6 02 0F B6 DA 8B 1C 9D ?? ?? ?? ?? 8D 3C 5B 03 CF 01 5D 08 01 5D FC 8B 5D FC 3B 58 18 7C 9E 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_81868_0 {
	meta:
		name = "TChunkIDAT.EncodeInterlacedGrayscaleAlpha8"
		size = 92
		refs = "0016 ColumnStart 0030 ColumnIncrement"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 08 8B 75 0C 0F B6 DA 8B 3C 9D ?? ?? ?? ?? 03 CF 03 C7 0F B6 19 88 1E 46 0F B6 18 88 1E 46 0F B6 DA 8B 1C 9D ?? ?? ?? ?? 03 CB 0F B6 DA 8B 1C 9D ?? ?? ?? ?? 03 C3 0F B6 DA 03 3C 9D ?? ?? ?? ?? 8B 5D FC 3B 7B 18 7C CA 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_81869_0 {
	meta:
		name = "TChunkIDAT.EncodeInterlacedGrayscaleAlpha16"
		size = 88
		refs = "0012 ColumnStart 0036 ColumnIncrement"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 75 0C 0F B6 C2 8B 04 85 ?? ?? ?? ?? 03 C8 01 45 08 0F B6 19 66 89 1E 83 C6 02 8B 5D 08 0F B6 1B 66 89 1E 83 C6 02 0F B6 DA 8B 1C 9D ?? ?? ?? ?? 03 CB 01 5D 08 0F B6 DA 03 04 9D ?? ?? ?? ?? 8B 5D FC 3B 43 18 7C CA 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_81870_0 {
	meta:
		name = "TChunkIDAT.EncodeInterlacedAdam7"
		size = 601
		refs = "002c TChunkIDAT.EncodeInterlacedAdam7 0068 TChunkIDAT.EncodeInterlacedRGB8 0079 TChunkIDAT.EncodeInterlacedRGB16 00a3 TChunkIDAT.EncodeInterlacedPalette148 00b1 TChunkIDAT.EncodeInterlacedGrayscale16 00d0 TChunkIDAT.EncodeInterlacedRGBAlpha8 00de TChunkIDAT.EncodeInterlacedRGBAlpha16 00fd TChunkIDAT.EncodeInterlacedGrayscaleAlpha8 010b TChunkIDAT.EncodeInterlacedGrayscaleAlpha16 0118 ColumnStart 011d ColumnIncrement 0125 RowStart 012a RowIncrement 015b BytesForPixels 016b @FillChar 01d0 TChunkIDAT.FilterToEncode 01e5 TChunkIDAT.IDATZlibWrite 024d TChunkIDAT.FinishIDATZlib"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 89 0C 24 8B D8 33 C0 89 44 24 18 89 44 24 1C 8B 43 14 0F B6 90 61 04 00 00 83 FA 06 0F 87 E6 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B6 80 60 04 00 00 2C 08 74 09 2C 08 74 16 E9 AF 00 00 00 89 5C 24 1C C7 44 24 18 ?? ?? ?? ?? E9 9E 00 00 00 89 5C 24 1C C7 44 24 18 ?? ?? ?? ?? E9 8D 00 00 00 0F B6 80 60 04 00 00 FE C8 74 0E 2C 03 74 0A 2C 04 74 06 2C 08 74 10 EB 74 89 5C 24 1C C7 44 24 18 ?? ?? ?? ?? EB 66 89 5C 24 1C C7 44 24 18 ?? ?? ?? ?? EB 58 0F B6 80 60 04 00 00 2C 08 74 06 2C 08 74 10 EB 47 89 5C 24 1C C7 44 24 18 ?? ?? ?? ?? EB 39 89 5C 24 1C C7 44 24 18 ?? ?? ?? ?? EB 2B 0F B6 80 60 04 00 00 2C 08 74 06 2C 08 74 10 EB 1A 89 5C 24 1C C7 44 24 18 ?? ?? ?? ?? EB 0C 89 5C 24 1C C7 44 24 18 ?? ?? ?? ?? C6 44 24 04 00 C7 44 24 20 ?? ?? ?? ?? BF ?? ?? ?? ?? C7 44 24 24 ?? ?? ?? ?? BE ?? ?? ?? ?? 8B 44 24 20 FF 30 8B 43 18 5A 2B C2 8B 0F 03 C1 48 99 F7 F9 8B E8 8B 43 14 0F B6 88 60 04 00 00 8B 43 14 0F B6 90 61 04 00 00 8B C5 E8 ?? ?? ?? ?? 89 43 20 8B 53 20 8B 43 28 33 C9 E8 ?? ?? ?? ?? 8B 44 24 24 8B 00 89 44 24 08 8B 43 14 8B 90 68 04 00 00 8B 4B 1C 49 2B 4C 24 08 0F AF D1 03 90 50 04 00 00 89 54 24 10 8B 80 54 04 00 00 8B 53 18 0F AF 54 24 08 03 C2 89 44 24 0C 83 7B 20 00 76 77 EB 6C 8B 43 3C 50 8B 44 24 10 50 8B 4C 24 18 0F B6 54 24 0C 8B 44 24 24 FF 54 24 20 8B C3 E8 ?? ?? ?? ?? 88 44 24 05 6A 01 8D 4C 24 09 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B 43 20 50 0F B6 44 24 09 8B 4C 83 28 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B 06 01 44 24 08 8B 43 14 8B 80 68 04 00 00 F7 2E 29 44 24 10 8B 06 F7 6B 18 01 44 24 0C 8B 44 24 08 3B 43 1C 7C 8B FE 44 24 04 83 C6 04 83 44 24 24 04 83 C7 04 83 44 24 20 04 80 7C 24 04 07 0F 85 E7 FE FF FF 8B 14 24 8B C3 E8 ?? ?? ?? ?? 83 C4 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81871_0 {
	meta:
		name = "TChunkIDAT.FilterToEncode"
		size = 592
		refs = "0141 PaethPredictor 0162 Move 016c TChunkIDAT.FilterToEncode 01c7 @SetElem"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B F0 8B 46 0C F6 80 2C 01 00 00 02 74 3D 8B 7E 20 4F 85 FF 72 35 47 33 DB 8B 46 24 3B D8 72 11 8B D3 2B D0 8B 46 3C 0F B6 04 10 88 44 24 0C EB 05 C6 44 24 0C 00 8B 46 3C 0F B6 04 18 2A 44 24 0C 8B 56 2C 88 04 1A 43 4F 75 CE 8B 46 0C F6 80 2C 01 00 00 04 74 22 8B 7E 20 4F 85 FF 72 1A 47 33 DB 8B 46 3C 0F B6 04 18 8B 56 28 2A 04 1A 8B 56 30 88 04 1A 43 4F 75 E9 8B 46 0C F6 80 2C 01 00 00 08 74 54 8B 7E 20 4F 85 FF 72 4C 47 33 DB 8B 46 24 3B D8 72 11 8B D3 2B D0 8B 46 3C 0F B6 04 10 88 44 24 0C EB 05 C6 44 24 0C 00 8B 46 28 0F B6 04 18 88 44 24 0D 0F B6 44 24 0D 0F B6 54 24 0C 03 C2 D1 E8 8B 56 3C 0F B6 14 1A 2A D0 8B 46 34 88 14 18 43 4F 75 B7 8B 46 0C F6 80 2C 01 00 00 10 74 6D C6 44 24 0C 00 C6 44 24 0E 00 8B 7E 20 4F 85 FF 72 5B 47 33 DB 8B 46 24 3B D8 72 1F 8B D3 2B D0 8B 46 3C 0F B6 04 10 88 44 24 0C 8B C3 2B 46 24 8B 56 28 0F B6 04 02 88 44 24 0E 8B 46 28 0F B6 04 18 88 44 24 0D 0F B6 4C 24 0E 0F B6 54 24 0D 0F B6 44 24 0C E8 ?? ?? ?? ?? 8B 56 3C 0F B6 14 1A 2A D0 8B 46 38 88 14 18 43 4F 75 A8 8B 4E 20 8B 56 28 8B 46 3C E8 ?? ?? ?? ?? 8B 46 0C 0F B6 15 ?? ?? ?? ?? 3A 90 2C 01 00 00 74 12 8B 46 0C 0F B6 15 ?? ?? ?? ?? 3A 90 2C 01 00 00 75 09 C6 04 24 00 E9 A7 00 00 00 33 C0 89 44 24 08 C6 04 24 00 33 DB 8B 46 0C 8B D3 80 FA 07 77 0D 83 E2 7F 0F B6 80 2C 01 00 00 0F A3 D0 73 78 33 C0 89 44 24 04 8B D3 8D 44 24 10 B1 01 E8 ?? ?? ?? ?? 0F B6 44 24 10 8B 56 0C 3A 82 2C 01 00 00 75 05 88 1C 24 EB 5A 8B 7E 20 4F 83 EF 02 72 32 47 B8 02 00 00 00 8B 54 9E 28 0F B6 14 02 8B 4C 9E 28 3A 54 01 FF 74 12 8B 54 9E 28 0F B6 14 02 8B 4C 9E 28 3A 54 01 FE 75 04 FF 44 24 04 40 4F 75 D4 8B 44 24 04 3B 44 24 08 76 0B 88 1C 24 8B 44 24 04 89 44 24 08 43 83 FB 05 0F 85 65 FF FF FF 0F B6 04 24 83 C4 14 5F 5E 5B C3 00 00 00 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_81872_0 {
	meta:
		name = "TChunkPLTE.GetPaletteItem"
		size = 129
		refs = "0015 TChunkPLTE.GetPaletteItem 002e EPNGUnknownPalEntryText 0033 LoadResString 003c _DV_EPngError 0044 TPngImage.RaiseError 004d TChunk.GetHeader 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 C3 8B 56 14 4A 3B C2 7E 20 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8B 15 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? EB 11 8B C6 E8 ?? ?? ?? ?? 0F B6 D3 8B 44 90 4C 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_81873_0 {
	meta:
		name = "TChunkPLTE.LoadFromStream"
		size = 350
		refs = "0020 TChunkPLTE.LoadFromStream 0031 TChunk.LoadFromStream 006c EPNGInvalidPaletteText 0071 LoadResString 007d _DV_EPNGInvalidPalette 0085 TPngImage.RaiseError 00a9 @FillChar 0123 CreatePalette 0145 @UStrClr 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FB FF FF 53 56 57 33 DB 89 9D EC FB FF FF 89 4D FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 4D FC 8B C6 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 0F 84 EF 00 00 00 8B C3 B9 03 00 00 00 99 F7 F9 85 D2 75 11 8B C3 B9 03 00 00 00 99 F7 F9 3D 00 01 00 00 7E 2D C6 45 FB 00 8D 95 EC FB FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D EC FB FF FF 8B 15 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? E9 A3 00 00 00 8B C3 B9 03 00 00 00 99 F7 F9 89 46 14 8D 85 F0 FB FF FF 33 C9 BA 04 04 00 00 E8 ?? ?? ?? ?? 66 C7 85 F0 FB FF FF 00 03 0F B7 46 14 66 89 85 F2 FB FF FF 8B 4E 04 8B 46 14 48 85 C0 7C 4F 40 89 45 F4 8D 95 F4 FB FF FF 8B C2 0F B6 19 8B 7E 0C 0F B6 9C 1F 3D 01 00 00 88 18 0F B6 59 01 8B 7E 0C 0F B6 9C 1F 3D 01 00 00 88 58 01 0F B6 59 02 8B 7E 0C 0F B6 9C 1F 3D 01 00 00 88 58 02 C6 40 03 00 83 C1 03 83 C2 04 FF 4D F4 75 BB 8D 85 F0 FB FF FF 50 E8 ?? ?? ?? ?? 8B D0 8B 46 0C 8B 08 FF 51 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FB FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81874_0 {
	meta:
		name = "TChunkPLTE.SaveToStream"
		size = 212
		refs = "0018 TChunk.GetHeader 002b TChunk.ResizeData 003e @FillChar 005d GetPaletteEntries 00c5 TChunk.SaveToStream"
	strings:
		$1 = { 53 56 57 55 81 C4 D0 F7 FF FF 89 14 24 8B F0 83 7E 14 00 75 0D 8B C6 E8 ?? ?? ?? ?? 8B 40 44 89 46 14 8B 56 14 8D 14 52 8B C6 E8 ?? ?? ?? ?? 8D 84 24 2C 04 00 00 33 C9 BA 04 04 00 00 E8 ?? ?? ?? ?? 8D 84 24 30 04 00 00 50 68 00 01 00 00 6A 00 8B C6 E8 ?? ?? ?? ?? 8B 40 1C 50 E8 ?? ?? ?? ?? 8B 5E 04 8B C6 E8 ?? ?? ?? ?? 56 8D 70 24 8D 7C 24 08 B9 0A 01 00 00 F3 A5 5E 8B 7E 14 4F 85 FF 7C 3C 47 8D 84 24 30 04 00 00 8B D0 0F B6 0A 8B 6E 0C 0F B6 4C 0D 28 88 0B 43 0F B6 4A 01 8B 6E 0C 0F B6 4C 0D 28 88 0B 43 0F B6 52 02 8B 4E 0C 0F B6 54 11 28 88 13 43 83 C0 04 4F 75 CC 8B 14 24 8B C6 E8 ?? ?? ?? ?? 81 C4 30 08 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81875_0 {
	meta:
		name = "TChunkPLTE.Assign"
		size = 114
		refs = "000f TChunkPLTE.Assign 001d _DV_TChunkPLTE 0022 @IsClass 0036 EPNGCannotAssignChunkText 003b LoadResString 0044 _DV_EPngError 004c TPngImage.RaiseError 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 46 14 89 43 14 EB 1E 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B 15 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81876_0 {
	meta:
		name = "TChunkgAMA.Assign"
		size = 124
		refs = "000f TChunkgAMA.Assign 001d _DV_TChunkgAMA 0022 @IsClass 002d TChunkgAMA.GetValue 0036 TChunkgAMA.SetValue 0040 EPNGCannotAssignChunkText 0045 LoadResString 004e _DV_EPngError 0056 TPngImage.RaiseError 006b @UStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 1E 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B 15 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81878_0 {
	meta:
		name = "TChunkgAMA.GetValue"
		size = 40
		refs = "0011 TChunk.ResizeData 0022 ByteSwap"
	strings:
		$1 = { 53 8B D8 83 7B 08 04 74 13 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? B8 01 00 00 00 5B C3 8B 43 04 8B 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81879_0 {
	meta:
		name = "Power"
		size = 136
		refs = "000b Power 0061 Ln 0072 Exp"
	strings:
		$1 = { 55 8B EC 83 C4 F0 DB 6D 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 14 33 C0 89 45 F0 C7 45 F4 00 00 00 80 66 C7 45 F8 FF 3F EB 51 DB 6D 14 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 0F DB 6D 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0E 33 C0 89 45 F0 89 45 F4 66 89 45 F8 EB 25 0F B7 45 1C 50 FF 75 18 FF 75 14 E8 ?? ?? ?? ?? DB 6D 08 DE C9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 8B E5 5D C2 18 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_81880_0 {
	meta:
		name = "TChunkgAMA.LoadFromStream"
		size = 272
		refs = "0018 TChunk.LoadFromStream 002c TChunkgAMA.GetValue 0047 TChunkgAMA.LoadFromStream 0079 Power 0084 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B D8 8B 45 08 50 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 0F 84 C0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 AF 00 00 00 8B 7B 0C 33 DB 89 5D F4 DB 45 F4 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 89 75 EC 33 C0 89 45 F0 DF 6D EC D8 35 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 D8 3D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 84 1F 3D 01 00 00 89 5D F4 DB 45 F4 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B 89 75 EC 33 C0 89 45 F0 DF 6D EC D8 35 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 D8 3D ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 5C 07 28 43 81 FB 00 01 00 00 0F 85 56 FF FF FF 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 7F 43 00 50 C3 47 CD CC CC CC CC CC CC 8C 00 40 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_81881_0 {
	meta:
		name = "TChunkgAMA.SetValue"
		size = 39
		refs = "0014 TChunk.ResizeData 001b ByteSwap"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 08 04 74 0C BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 53 04 89 02 5E 5B C3 }
	condition:
		$1
}

rule function_81882_0 {
	meta:
		name = "TPngImage.Assign"
		size = 120
		refs = "000e TPngImage.ClearChunks 0018 _DV_TPngImage 001d @IsClass 002a TPngImage.AssignPNG 0034 _Dn_TBitmap 0046 TBitmap.GetTransparentColor 004b ColorToRGB 0065 TPngImage.AssignHandle 0070 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 85 DB 75 09 8B C6 E8 ?? ?? ?? ?? EB 60 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 44 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8B FB 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C7 8B 10 FF 52 2C 50 8B C7 8B 10 FF 52 70 8B D0 8B C6 59 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81883_0 {
	meta:
		name = "TPngImage.ClearChunks"
		size = 68
		refs = "0008 TPngImage.InitializeGamma 0026 TPNGList.GetItem 002b TObject.Free 003c TPNGPointerList.SetSize"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 38 01 00 00 8B 58 08 4B 85 DB 7C 19 43 33 FF 8B D7 8B 86 38 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 EA 33 D2 8B 86 38 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81884_0 {
	meta:
		name = "TPngImage.CreateBlank"
		size = 384
		refs = "0016 @ClassCreate 0029 TPngImage.CreateBlank 0081 EInvalidSpec 0086 LoadResString 008f _DV_EPNGInvalidSpec 0096 TPngImage.RaiseError 00ac TPngImage.InitializeGamma 00bf _DV_TChunkIEND 00c4 TPNGList.Add 00d0 _DV_TChunkIHDR 0102 TChunkIHDR.PrepareImageData 0114 _DV_TChunkPLTE 0131 _DV_TChunkIDAT 0152 @UStrClr 0158 @HandleFinally 0167 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 8B 7D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 8B 08 FF 51 50 8B 45 F8 85 C0 74 0D 83 C0 FE 83 E8 03 72 05 83 E8 01 75 2D 8B C7 48 83 E8 02 72 0F 83 E8 01 74 0A 83 E8 04 74 05 83 E8 08 75 16 83 7D F8 03 75 05 83 FF 10 74 0B 83 7D F8 02 75 27 83 FF 08 73 22 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 A2 00 00 00 83 FF 02 75 05 BF 04 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 3C 01 00 00 01 8B 83 38 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 38 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 0F B6 45 F8 88 86 61 04 00 00 8B C7 88 86 60 04 00 00 8B 45 0C 89 86 58 04 00 00 8B 45 08 89 86 5C 04 00 00 8B C6 E8 ?? ?? ?? ?? 80 7E 20 00 74 1D 8B 83 38 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF BA 01 00 00 00 D3 E2 89 50 14 8B 83 38 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 3C 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_81885_0 {
	meta:
		name = "TPngImage.Create"
		size = 132
		refs = "000a @ClassCreate 0017 TGraphic.Create 001e _Dn_TCanvas 0023 TCanvas.Create 0030 TPngImage.Create 0057 _DV_TPNGList 005c TPNGPointerList.Create 006d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 28 01 00 00 0F B6 05 ?? ?? ?? ?? 88 86 2C 01 00 00 C6 86 2D 01 00 00 07 C6 86 34 01 00 00 00 C7 86 30 01 00 00 FF FF 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 38 01 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 02 00 00 00 }
	condition:
		$1
}

rule function_81886_0 {
	meta:
		name = "TPngImage.Destroy"
		size = 69
		refs = "0003 @BeforeDestruction 000e TPngImage.ClearChunks 0019 TObject.Free 0033 TPersistent.Destroy 003e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 38 01 00 00 E8 ?? ?? ?? ?? 8B 86 28 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81887_0 {
	meta:
		name = "TPngImage.GetPixelInfo"
		size = 264
		refs = "000c TPngImage.HeaderPresent 001b TPngImage.GetHeader 0046 BytesForPixels 0066 TPngImage.GetPixelInfo"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 E4 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 80 60 04 00 00 50 8B C3 E8 ?? ?? ?? ?? 0F B6 80 61 04 00 00 50 8B C3 E8 ?? ?? ?? ?? 8B 80 58 04 00 00 5A 59 E8 ?? ?? ?? ?? 89 07 8B C3 E8 ?? ?? ?? ?? 0F B6 80 61 04 00 00 83 F8 06 0F 87 93 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 B8 60 04 00 00 10 75 08 C7 06 02 00 00 00 EB 66 C7 06 01 00 00 00 EB 5E C7 06 01 00 00 00 EB 56 8B C3 E8 ?? ?? ?? ?? 0F B6 80 60 04 00 00 8D 04 40 C1 E8 03 89 06 EB 3E 8B C3 E8 ?? ?? ?? ?? 0F B6 80 60 04 00 00 03 C0 C1 E8 03 89 06 EB 27 8B C3 E8 ?? ?? ?? ?? 0F B6 80 60 04 00 00 03 C0 03 C0 C1 E8 03 89 06 EB 0E 33 C0 89 06 EB 08 33 C0 89 06 33 C0 89 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81888_0 {
	meta:
		name = "TPngImage.GetHeight"
		size = 39
		refs = "0006 TPngImage.HeaderPresent 0017 TPNGList.GetItem"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 33 D2 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B 80 5C 04 00 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_81889_0 {
	meta:
		name = "TPngImage.GetWidth"
		size = 33
		refs = "0006 TPngImage.HeaderPresent 0011 TPngImage.GetHeader"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B C3 E8 ?? ?? ?? ?? 8B 80 58 04 00 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_81890_0 {
	meta:
		name = "TPngImage.GetEmpty"
		size = 14
	strings:
		$1 = { 8B 80 38 01 00 00 83 78 08 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_81891_0 {
	meta:
		name = "TPngImage.RaiseError"
		size = 82
		refs = "000e @UStrAddRef 0016 TPngImage.RaiseError 0028 Exception.Create 002d @RaiseExcept 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B DA 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_81892_0 {
	meta:
		name = "TPngImage.SetMaxIdatSize"
		size = 26
	strings:
		$1 = { 81 FA FF FF 00 00 7D 0B C7 80 30 01 00 00 FF FF 00 00 C3 89 90 30 01 00 00 C3 }
	condition:
		$1
}

rule function_81894_0 {
	meta:
		name = "TPngImage.DrawUsingPixelInformation"
		size = 332
		refs = "0015 GetDC 001f GetDeviceCaps 002d TPngImage.DrawUsingPixelInformation 0059 ReleaseDC 0060 TPngImage.HasPixelInformation 008f Rect 00a8 TPngImage.GetPixelInformation 00d5 @TRUNC"
	strings:
		$1 = { 53 56 57 55 83 C4 C8 8B F1 8D 3C 24 A5 A5 8B FA 8B F0 6A 00 E8 ?? ?? ?? ?? 8B D8 6A 5A 53 E8 ?? ?? ?? ?? 89 44 24 1C DB 44 24 1C DB 2D ?? ?? ?? ?? DE F9 DD 5C 24 08 9B 6A 58 53 E8 ?? ?? ?? ?? 89 44 24 1C DB 44 24 1C DB 2D ?? ?? ?? ?? DE F9 DD 5C 24 10 9B 53 6A 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 3D 8B C6 8B 10 FF 52 24 03 44 24 04 50 8D 44 24 24 50 8B C6 8B 10 FF 52 30 8B C8 03 4C 24 08 8B 54 24 0C 8B 44 24 08 E8 ?? ?? ?? ?? 8D 4C 24 20 8B D7 8B C6 8B 18 FF 53 14 E9 93 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 8B 10 FF 52 30 89 44 24 1C DB 44 24 1C 8B 43 14 89 44 24 30 33 C0 89 44 24 34 DF 6C 24 30 DC 74 24 10 DE F9 E8 ?? ?? ?? ?? 8B E8 8B C6 8B 10 FF 52 24 89 44 24 1C DB 44 24 1C 8B 43 18 89 44 24 30 33 C0 89 44 24 34 DF 6C 24 30 DC 74 24 08 DE F9 E8 ?? ?? ?? ?? 89 44 24 18 8B 44 24 04 03 44 24 18 50 8D 44 24 24 50 8B 4C 24 08 03 CD 8B 54 24 0C 8B 44 24 08 E8 ?? ?? ?? ?? 8D 4C 24 20 8B D7 8B C6 8B 18 FF 53 14 83 C4 38 5D 5F 5E 5B C3 61 32 55 30 2A A9 13 D0 F9 3F 00 00 }
	condition:
		$1
}

rule function_81895_0 {
	meta:
		name = "TPngImage.HasPixelInformation"
		size = 27
		refs = "0005 _DV_TChunkpHYs 0010 TPNGList.ItemFromClass"
	strings:
		$1 = { 53 8B D8 8B 15 ?? ?? ?? ?? 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_81896_0 {
	meta:
		name = "TPngImage.GetPixelInformation"
		size = 47
		refs = "0005 _DV_TChunkpHYs 0010 TPNGList.ItemFromClass 0025 TPNGList.Add"
	strings:
		$1 = { 53 8B D8 8B 15 ?? ?? ?? ?? 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 15 8B 15 ?? ?? ?? ?? 8B 83 38 01 00 00 E8 ?? ?? ?? ?? C6 40 1C 01 5B C3 }
	condition:
		$1
}

rule function_81897_0 {
	meta:
		name = "TPngImage.GetHeader"
		size = 132
		refs = "000d TPngImage.GetHeader 0026 TPNGList.GetItem 0030 _DV_TChunkIHDR 0035 @IsClass 0045 EPNGHeaderNotPresentText 004a LoadResString 0053 _DV_EPNGHeaderNotPresent 005a TPngImage.RaiseError 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 38 01 00 00 83 78 08 00 74 1E 33 D2 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 8B DE EB 1F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81898_0 {
	meta:
		name = "AdjustRect"
		size = 31
	strings:
		$1 = { 8B 08 8B 50 08 3B CA 7E 05 89 48 08 89 10 8B 48 04 8B 50 0C 3B CA 7E 06 89 48 0C 89 50 04 C3 }
	condition:
		$1
}

rule function_81899_0 {
	meta:
		name = "TPngImage.DrawPartialTrans"
		size = 2417
		refs = "0030 TPngImage.DrawPartialTrans 0062 AdjustRect 0085 TPngImage.GetHeader 015b @FillChar 0163 BitmapInfoHeader 0186 CreateCompatibleDC 019a EPNGOutMemoryText 019f LoadResString 01ab _DV_EPNGOutMemory 01b3 TPngImage.RaiseError 01cd CreateDIBSection 01eb DeleteObject 01f4 DeleteDC 0225 SelectObject 0254 BitBlt 0337 @TRUNC 06f3 _DV_TChunktRNS 06f8 TPNGList.ItemFromClass 070a _DV_TChunkPLTE 0828 TChunkPLTE.GetPaletteItem 095e @UStrArrayClr 0964 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 2C FF FF FF 53 56 57 33 DB 89 9D 30 FF FF FF 89 9D 34 FF FF FF 8B F1 8D BD 74 FF FF FF A5 A5 A5 A5 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 85 7C FF FF FF 3B 85 74 FF FF FF 0F 84 F9 08 00 00 8B 45 80 3B 85 78 FF FF FF 0F 84 EA 08 00 00 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 2B 85 74 FF FF FF 89 45 B4 8B 45 80 2B 85 78 FF FF FF 89 45 B0 8B 45 FC E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 8B 80 58 04 00 00 3B 45 B4 75 12 8B 45 E4 8B 80 5C 04 00 00 3B 45 B0 75 04 33 C0 EB 02 B0 01 88 45 AF 80 7D AF 00 74 3C 8B 45 B4 89 85 40 FF FF FF 33 C0 89 85 44 FF FF FF DF AD 40 FF FF FF 8B 45 E4 8B 80 58 04 00 00 89 85 38 FF FF FF 33 C0 89 85 3C FF FF FF DF AD 38 FF FF FF DE F9 DD 5D A0 9B EB 0C 33 C0 89 45 A0 C7 45 A4 00 00 F0 3F 80 7D AF 00 74 3C 8B 45 B0 89 85 40 FF FF FF 33 C0 89 85 44 FF FF FF DF AD 40 FF FF FF 8B 45 E4 8B 80 5C 04 00 00 89 85 38 FF FF FF 33 C0 89 85 3C FF FF FF DF AD 38 FF FF FF DE F9 DD 5D 98 9B EB 0C 33 C0 89 45 98 C7 45 9C 00 00 F0 3F 8D 85 48 FF FF FF 33 C9 BA 2C 00 00 00 E8 ?? ?? ?? ?? 8B 45 B4 A3 ?? ?? ?? ?? 8B 45 B0 F7 D8 A3 ?? ?? ?? ?? BE ?? ?? ?? ?? 8D BD 48 FF FF FF B9 0A 00 00 00 F3 A5 6A 00 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 24 8D 95 34 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 34 FF FF FF 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8D 45 F0 50 6A 00 8D 85 48 FF FF FF 50 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 74 06 83 7D F0 00 75 3C 83 7D E8 00 74 09 8B 45 E8 50 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 8D 95 30 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 30 FF FF FF 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 EC 68 20 00 CC 00 8B 85 78 FF FF FF 50 8B 85 74 FF FF FF 50 8B 45 F8 50 8B 45 B0 50 8B 45 B4 50 6A 00 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 E4 8B 80 58 04 00 00 89 45 C8 0F B7 85 56 FF FF FF F7 6D B4 83 C0 1F 83 E0 E0 C1 E8 03 89 45 D0 8B 45 E4 0F B7 40 32 8B 55 E4 F7 AA 58 04 00 00 83 C0 1F 83 E0 E0 C1 E8 03 89 45 CC 8B 45 F0 89 45 BC 8B 45 E4 8B B0 54 04 00 00 8B 45 E4 8B 80 68 04 00 00 8B 55 E4 8B 92 5C 04 00 00 4A F7 EA 8B 55 E4 03 82 50 04 00 00 89 45 C4 8B 45 C4 89 45 C0 8B 45 E4 0F B7 40 32 66 FF C8 0F 84 D0 01 00 00 66 83 E8 03 0F 84 C6 01 00 00 66 83 E8 04 0F 84 BC 01 00 00 66 83 E8 10 0F 85 00 06 00 00 8B 45 B0 85 C0 0F 8E F5 05 00 00 89 45 94 C7 45 B8 01 00 00 00 8B 45 B4 48 85 C0 0F 8C 43 01 00 00 40 89 45 90 33 FF 80 7D AF 00 74 18 89 BD 2C FF FF FF DB 85 2C FF FF FF DC 75 A0 E8 ?? ?? ?? ?? 8B D8 EB 02 8B DF 80 3C 1E 00 0F 84 09 01 00 00 80 3C 1E FF 75 28 8B 45 BC 8D 04 B8 8D 14 5B 8B 4D C4 8D 14 11 66 8B 0A 66 89 08 8A 4A 02 88 48 02 8B 45 BC C6 44 B8 03 FF E9 DB 00 00 00 8B 45 BC 8D 04 B8 89 45 8C 0F B6 04 1E F6 D0 0F B6 C0 8B 55 8C 0F B6 52 02 F7 EA 8D 14 5B 83 C2 02 8B 4D C4 0F B6 14 11 0F B6 0C 1E 0F AF D1 83 C2 7F 03 C2 B9 FF 00 00 00 33 D2 F7 F1 8B 55 8C 88 42 02 0F B6 04 1E F6 D0 0F B6 C0 8B 55 8C 0F B6 52 01 F7 EA 8D 14 5B 42 8B 4D C4 0F B6 14 11 0F B6 0C 1E 0F AF D1 83 C2 7F 03 C2 B9 FF 00 00 00 33 D2 F7 F1 8B 55 8C 88 42 01 0F B6 04 1E F6 D0 0F B6 C0 8B 55 8C 0F B6 12 F7 EA 8D 14 5B 8B 4D C4 0F B6 14 11 0F B6 0C 1E 0F AF D1 83 C2 7F 03 C2 B9 FF 00 00 00 33 D2 F7 F1 8B 55 8C 88 02 8B 45 8C 0F B6 40 03 F6 D0 0F B6 C0 0F B6 14 1E F6 D2 0F B6 D2 F7 EA 83 C0 7F B9 FF 00 00 00 33 D2 F7 F1 F6 D0 8B 55 8C 88 42 03 47 FF 4D 90 0F 85 C3 FE FF FF 8B 45 D0 01 45 BC 80 7D AF 00 74 0D DB 45 B8 DC 75 98 E8 ?? ?? ?? ?? EB 03 8B 45 B8 8B 55 CC 0F AF D0 8B 4D C0 2B CA 89 4D C4 8B 55 E4 8B 92 54 04 00 00 8B 4D C8 0F AF C8 03 D1 89 D6 FF 45 B8 FF 4D 94 0F 85 68 FE FF FF E9 4E 04 00 00 8B 45 E4 80 B8 61 04 00 00 04 0F 85 2C 02 00 00 8B 45 B0 85 C0 0F 8E 33 04 00 00 89 45 94 C7 45 B8 01 00 00 00 8B 45 B4 48 85 C0 0F 8C BD 01 00 00 40 89 45 90 33 FF 80 7D AF 00 74 18 89 BD 2C FF FF FF DB 85 2C FF FF FF DC 75 A0 E8 ?? ?? ?? ?? 8B D8 EB 02 8B DF 8B 45 E4 0F B6 80 60 04 00 00 FE C8 74 0D FE C8 74 53 2C 02 74 4F E9 9A 00 00 00 8B C3 25 07 00 00 80 79 05 48 83 C8 F8 40 89 45 D4 B9 08 00 00 00 8B C3 99 F7 F9 89 C3 8B 45 D4 25 07 00 00 80 79 05 48 83 C8 F8 40 B9 07 00 00 00 2B C8 8B 45 C4 0F B6 04 18 D3 E8 24 01 8B D0 C1 E0 08 2B C2 88 45 DB EB 5A 8B C3 25 03 00 00 80 79 05 48 83 C8 FC 40 89 45 D4 B9 02 00 00 00 8B C3 99 F7 F9 89 C3 8B 45 D4 25 01 00 00 80 79 05 48 83 C8 FE 40 BA 01 00 00 00 2B D0 8B CA 03 C9 03 C9 8B 45 C4 0F B6 04 18 D3 E8 24 0F 8B D0 C1 E0 04 03 C2 88 45 DB EB 0A 8B 45 C4 0F B6 04 18 88 45 DB 8B 45 BC 8D 04 B8 89 45 88 8B 45 E4 83 C0 24 89 45 84 0F B6 04 1E F6 D0 0F B6 C0 8B 55 88 0F B6 52 02 F7 EA 0F B6 55 DB 0F B6 0C 1E 0F AF D1 83 C2 7F 03 C2 B9 FF 00 00 00 33 D2 F7 F1 8B 55 88 88 42 02 0F B6 04 1E F6 D0 0F B6 C0 8B 55 88 0F B6 52 01 F7 EA 0F B6 55 DB 0F B6 0C 1E 0F AF D1 83 C2 7F 03 C2 B9 FF 00 00 00 33 D2 F7 F1 8B 55 88 88 42 01 0F B6 04 1E F6 D0 0F B6 C0 8B 55 88 0F B6 12 F7 EA 0F B6 55 DB 0F B6 0C 1E 0F AF D1 83 C2 7F 03 C2 B9 FF 00 00 00 33 D2 F7 F1 8B 55 88 88 02 8B 45 88 0F B6 40 03 F6 D0 0F B6 C0 0F B6 14 1E F6 D2 0F B6 D2 F7 EA 83 C0 7F B9 FF 00 00 00 33 D2 F7 F1 F6 D0 8B 55 88 88 42 03 47 FF 4D 90 0F 85 49 FE FF FF 8B 45 D0 01 45 BC 80 7D AF 00 74 0D DB 45 B8 DC 75 98 E8 ?? ?? ?? ?? EB 03 8B 45 B8 8B 55 CC 0F AF D0 8B 4D C0 2B CA 89 4D C4 8B 55 E4 8B 92 54 04 00 00 8B 4D C8 0F AF C8 03 D1 89 D6 FF 45 B8 FF 4D 94 0F 85 EE FD FF FF E9 12 02 00 00 8B 45 FC 8B 80 38 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8B 45 FC 8B 80 38 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 8B 45 B0 85 C0 0F 8E D9 01 00 00 89 45 94 C7 45 B8 01 00 00 00 8B 45 B4 48 85 C0 0F 8C 8D 01 00 00 40 89 45 90 33 FF 80 7D AF 00 74 18 89 BD 2C FF FF FF DB 85 2C FF FF FF DC 75 A0 E8 ?? ?? ?? ?? 8B D8 EB 02 8B DF 8B 45 E4 0F B6 80 60 04 00 00 FE C8 74 0D FE C8 74 4C 2C 02 74 48 E9 8C 00 00 00 8B C3 25 07 00 00 80 79 05 48 83 C8 F8 40 89 45 D4 B9 08 00 00 00 8B C3 99 F7 F9 89 C3 8B 45 D4 25 07 00 00 80 79 05 48 83 C8 F8 40 B9 07 00 00 00 2B C8 8B 45 C4 0F B6 04 18 D3 E8 24 01 88 45 DB EB 53 8B C3 25 03 00 00 80 79 05 48 83 C8 FC 40 89 45 D4 B9 02 00 00 00 8B C3 99 F7 F9 89 C3 8B 45 D4 25 01 00 00 80 79 05 48 83 C8 FE 40 BA 01 00 00 00 2B D0 8B CA 03 C9 03 C9 8B 45 C4 0F B6 04 18 D3 E8 24 0F 88 45 DB EB 0A 8B 45 C4 0F B6 04 18 88 45 DB 8B 45 BC 8D 34 B8 0F B6 45 DB 8B 55 E0 0F B6 5C 02 15 0F B6 55 DB 8B 45 DC E8 ?? ?? ?? ?? C1 E8 10 0F B6 C0 0F B6 D3 F7 EA 05 FF 00 00 00 0F B6 D3 B9 FF 00 00 00 2B CA 0F B6 56 02 0F AF CA 03 C1 C1 E8 08 88 46 02 0F B6 55 DB 8B 45 DC E8 ?? ?? ?? ?? C1 E8 08 0F B6 C0 0F B6 D3 F7 EA 05 FF 00 00 00 0F B6 D3 B9 FF 00 00 00 2B CA 0F B6 56 01 0F AF CA 03 C1 C1 E8 08 88 46 01 0F B6 55 DB 8B 45 DC E8 ?? ?? ?? ?? 0F B6 C0 0F B6 D3 F7 EA 05 FF 00 00 00 0F B6 D3 B9 FF 00 00 00 2B CA 0F B6 16 0F AF CA 03 C1 C1 E8 08 88 06 47 FF 4D 90 0F 85 79 FE FF FF 8B 45 D0 01 45 BC 80 7D AF 00 74 0D DB 45 B8 DC 75 98 E8 ?? ?? ?? ?? EB 03 8B 45 B8 8B 55 CC 0F AF D0 8B 45 C0 2B C2 89 45 C4 FF 45 B8 FF 4D 94 0F 85 31 FE FF FF 68 20 00 CC 00 6A 00 6A 00 8B 45 F4 50 8B 45 B0 50 8B 45 B4 50 8B 85 78 FF FF FF 50 8B 85 74 FF FF FF 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 45 E8 50 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 30 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81900_0 {
	meta:
		name = "TPngImage.Draw"
		size = 216
		refs = "0022 TPNGList.GetItem 0028 _DV_TChunkIHDR 002d @AsClass 0036 TPngImage.GetTransparencyMode 0045 TCanvas.GetHandle 0050 TPngImage.DrawPartialTrans 005e TPngImage.GetTransparentColor 0063 ColorToRGB 0079 DrawTransparentBitmap 008a SetStretchBltMode 00cf StretchDIBits"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 8B D8 8B C3 8B 10 FF 52 20 84 C0 0F 85 BA 00 00 00 33 D2 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? FE C8 74 18 FE C8 75 3D 8B C5 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? EB 7D 8D 46 24 50 57 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C5 E8 ?? ?? ?? ?? 8D 4E 24 8B 96 50 04 00 00 E8 ?? ?? ?? ?? EB 54 6A 03 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 20 00 CC 00 6A 00 8D 46 24 50 8B 86 50 04 00 00 50 8B 86 5C 04 00 00 50 8B 86 58 04 00 00 50 6A 00 6A 00 8B 47 0C 2B 47 04 50 8B 47 08 8B 1F 2B C3 50 8B 47 04 50 53 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81901_0 {
	meta:
		name = "TPngImage.LoadFromStream"
		size = 956
		refs = "001b TPngImage.LoadFromStream 002e TPngImage.ClearChunks 0045 PngHeader 004f @AStrCmp 0059 EPNGInvalidFileHeaderText 005e LoadResString 0067 _DV_EPNGInvalidFileHeader 006f TPngImage.RaiseError 008b TPNGPointerList.SetSize 00d4 EPNGUnexpectedEndText 00e2 _DV_EPngUnexpectedEnd 00f2 ByteSwap 011a @UStrFromArray 0127 @UStrEqual 0143 EPNGIHDRNotFirstText 0151 _DV_EPNGIHDRNotFirst 01e9 CreateClassChunk 01fd TPNGPointerList.SetItem 020f TPNGList.GetItem 0219 _DV_TChunk 0259 EPNGUnknownCriticalChunkText 0267 _DV_EPNGUnknownCriticalChunk 02ba @HandleAnyException 02d0 @RaiseAgain 02d5 @DoneExcept 0317 EPNGNoImageDataText 0325 _DV_EPNGNoImageData 0347 @UStrArrayClr 034d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 B9 08 00 00 00 8B C3 8B 30 FF 56 0C 8D 45 F4 BA ?? ?? ?? ?? B9 08 00 00 00 E8 ?? ?? ?? ?? 74 23 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 B9 02 00 00 C6 45 F3 00 8B 45 FC 8B 80 38 01 00 00 BA 0A 00 00 00 E8 ?? ?? ?? ?? FF 45 EC 8B 45 FC 8B 80 38 01 00 00 8B 50 08 3B 55 EC 73 08 83 C2 0A E8 ?? ?? ?? ?? 8D 55 E8 B9 04 00 00 00 8B C3 8B 30 FF 56 0C 85 C0 75 30 8B 55 EC 4A 8B 45 FC 8B 80 38 01 00 00 E8 ?? ?? ?? ?? 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E8 8D 55 E4 B9 04 00 00 00 8B C3 8B 30 FF 56 0C 83 7D EC 01 75 54 8D 45 D8 8D 55 E4 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 35 8B 55 EC 4A 8B 45 FC 8B 80 38 01 00 00 E8 ?? ?? ?? ?? 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 CF 01 00 00 80 7D F3 00 74 1F 8D 45 D0 8D 55 E4 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1F 8D 45 CC 8D 55 E4 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 19 FF 4D EC 8B 55 E8 83 C2 04 66 B9 01 00 8B C3 8B 30 FF 56 14 E9 1A 01 00 00 8D 45 C8 8D 55 E4 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 45 F3 01 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 EC 4A 8B 45 FC 8B 80 38 01 00 00 E8 ?? ?? ?? ?? 8B 55 EC 4A 8B 45 FC 8B 80 38 01 00 00 E8 ?? ?? ?? ?? 8B 00 89 C2 3B 15 ?? ?? ?? ?? 75 09 F6 45 E4 20 0F 94 C0 EB 02 33 C0 84 C0 74 45 8D 45 C4 8D 55 E4 B9 04 00 00 00 E8 ?? ?? ?? ?? 83 7D C4 00 74 2F 8B 45 FC 8B 80 38 01 00 00 8B 55 EC E8 ?? ?? ?? ?? 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 50 8B 55 EC 4A 8B 45 FC 8B 80 38 01 00 00 E8 ?? ?? ?? ?? 8B 4D E4 8B D3 8B 30 FF 56 0C 84 C0 75 0A 33 C0 5A 59 59 64 89 10 EB 4D 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 8B 45 FC 8B 80 38 01 00 00 8B 55 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 BC 8D 55 E4 B9 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 93 FD FF FF 8B 45 FC 8B 80 38 01 00 00 8B 55 EC E8 ?? ?? ?? ?? 80 7D F3 00 75 1E 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 48 00 44 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 44 00 41 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 48 00 52 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 45 00 4E 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_81902_0 {
	meta:
		name = "TPngImage.SetHeight"
		size = 27
		refs = "0014 TPngImage.Resize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 30 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81903_0 {
	meta:
		name = "TPngImage.SetWidth"
		size = 27
		refs = "0014 TPngImage.Resize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 24 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81904_0 {
	meta:
		name = "TPngImage.SaveToClipboardFormat"
		size = 188
		refs = "0013 _Dn_TBitmap 0018 TBitmap.Create 0023 TPngImage.SaveToClipboardFormat 006b Rect 0077 TBitmap.GetCanvas 00a7 TObject.Free 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 30 8B D0 8B 45 F8 8B 08 FF 51 44 8B C6 8B 10 FF 52 24 8B D0 8B 45 F8 8B 08 FF 51 38 8B 45 F8 8B 10 FF 52 24 50 8D 45 E8 50 8B 45 F8 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C6 59 8B 18 FF 53 14 8B 45 08 50 8B 4D FC 8B D7 8B 45 F8 8B 18 FF 53 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81905_0 {
	meta:
		name = "TPngImage.LoadFromClipboardFormat"
		size = 121
		refs = "0013 _Dn_TBitmap 0018 TBitmap.Create 0023 TPngImage.LoadFromClipboardFormat 004f TPngImage.AssignHandle 0064 TObject.Free 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 4D FC 8B D7 8B 45 F8 8B 18 FF 53 64 6A 00 8B 45 F8 8B 10 FF 52 70 8B D0 33 C9 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_81906_0 {
	meta:
		name = "TPngImage.GetTransparent"
		size = 17
		refs = "0006 TPngImage.GetTransparencyMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_81907_0 {
	meta:
		name = "TPngImage.SaveToStream"
		size = 74
		refs = "000a PngHeader 0035 TPNGList.GetItem"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F8 BA ?? ?? ?? ?? B9 08 00 00 00 8B 04 24 8B 18 FF 53 10 8B 87 38 01 00 00 8B 58 08 4B 85 DB 7C 1C 43 33 F6 8B 87 38 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B 14 24 8B 08 FF 51 10 46 4B 75 E7 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81908_0 {
	meta:
		name = "BuildHeader"
		size = 148
		refs = "0060 TChunkIHDR.PrepareImageData 0067 CreateCompatibleDC 0086 GetDIBits 008c DeleteDC"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 41 04 89 83 58 04 00 00 8B 41 08 99 33 C2 2B C2 89 83 5C 04 00 00 66 83 79 12 10 72 09 C6 83 60 04 00 00 08 EB 0A 0F B6 41 12 88 83 60 04 00 00 66 83 79 12 10 72 09 C6 83 61 04 00 00 02 EB 07 C6 83 61 04 00 00 03 C6 83 62 04 00 00 00 C6 83 64 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B F0 6A 00 8D 43 24 50 8B 83 50 04 00 00 50 8B 83 5C 04 00 00 50 6A 00 57 56 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81909_0 {
	meta:
		name = "TPngImage.LoadFromResourceName"
		size = 212
		refs = "0015 TPngImage.LoadFromResourceName 0031 _Dn_TResourceStream 003a TResourceStream.Create 004c @HandleAnyException 0054 EPNGCouldNotLoadResourceText 0059 LoadResString 0062 _DV_EPNGCouldNotLoadResource 006a TPngImage.RaiseError 006f @DoneExcept 00a4 TObject.Free 00aa @HandleFinally 00c1 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 51 6A 0A A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 EB 2F E9 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3B E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81910_0 {
	meta:
		name = "TPngImage.LoadFromResourceID"
		size = 212
		refs = "0015 TPngImage.LoadFromResourceID 0031 _Dn_TResourceStream 003a TResourceStream.CreateFromID 004c @HandleAnyException 0054 EPNGCouldNotLoadResourceText 0059 LoadResString 0062 _DV_EPNGCouldNotLoadResource 006a TPngImage.RaiseError 006f @DoneExcept 00a4 TObject.Free 00aa @HandleFinally 00c1 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 51 6A 0A A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 EB 2F E9 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3B E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81911_0 {
	meta:
		name = "DetectPixelFormat"
		size = 176
		refs = "000b TPngImage.GetHeader 0018 TPngImage.GetTransparencyMode 0034 DetectPixelFormat 008a _Dn_Exception 008f Exception.Create 0094 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3C 02 75 05 B0 06 5B 5D C3 0F B6 83 60 04 00 00 83 F8 10 77 69 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 02 00 02 00 00 00 03 00 00 00 00 00 00 00 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B0 01 EB 49 B0 02 EB 45 0F B6 83 61 04 00 00 2C 01 72 0A FE C8 74 06 FE C8 74 06 EB 08 B0 06 EB 2C B0 03 EB 28 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_81912_0 {
	meta:
		name = "TPngImage.AssignTo"
		size = 489
		refs = "0012 _DV_TPngImage 0017 @IsClass 0025 TPngImage.AssignPNG 0032 _Dn_TBitmap 0047 TPngImage.HeaderPresent 0074 TPngImage.GetTransparencyMode 0081 TBitmap.SetPixelFormat 008a TBitmap.SetAlphaFormat 0091 TBitmap.GetCanvas 009b TBrush.SetColor 00bb Bounds 00d4 DetectPixelFormat 0100 CopyPalette 0128 _DV_TChunktRNS 012d TPNGList.ItemFromClass 0136 TChunktRNS.GetTransparentColor 013f TBitmap.SetTransparentColor 0156 TCanvas.GetHandle 015c SetStretchBltMode 016b TPngImage.GetHeader 01bc StretchDIBits 01de TPersistent.AssignTo"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B DA 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 B4 01 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 95 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 85 01 00 00 8B 45 FC 8B 10 FF 52 24 50 8B 45 FC 8B 10 FF 52 30 8B D0 8B F3 8B C6 59 8B 38 FF 57 6C 8B 45 FC E8 ?? ?? ?? ?? 3C 02 75 56 B2 07 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 50 8D 45 EC 50 8B 45 FC 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 EC 50 8B C6 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 EB 19 55 E8 ?? ?? ?? ?? 59 8B D0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 28 85 C0 74 16 8B 45 FC 8B 10 FF 52 28 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 3C 8B 45 FC E8 ?? ?? ?? ?? 3C 01 0F 85 A5 00 00 00 8B 45 FC 8B 80 38 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 51 40 6A 03 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 20 00 CC 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 83 C0 24 50 8B 45 FC E8 ?? ?? ?? ?? 8B 80 50 04 00 00 50 8B 45 FC 8B 10 FF 52 24 50 8B 45 FC 8B 10 FF 52 30 50 6A 00 6A 00 8B 45 FC 8B 10 FF 52 24 50 8B 45 FC 8B 10 FF 52 30 50 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 20 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 18 FF 53 44 EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81913_0 {
	meta:
		name = "TPngImage.AssignHandle"
		size = 401
		refs = "001b GetObject 0022 TPngImage.ClearChunks 002b _DV_TChunkIHDR 0030 TChunkIHDR.Create 003e BuildHeader 004d _DV_TChunkPLTE 0052 TChunk.Create 0067 _DV_TChunktRNS 007f _DV_TChunkIDAT 0090 _DV_TChunkIEND 00a5 TPNGPointerList.Add 0112 @FillChar 0168 CreatePalette 0173 TPngImage.DoSetPalette 0184 TChunktRNS.SetTransparentColor"
	strings:
		$1 = { 55 8B EC 81 C4 D4 FB FF FF 53 56 57 88 4D FF 8B FA 8B F0 8D 45 D8 50 6A 18 57 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 4D D8 8B D7 8B C3 E8 ?? ?? ?? ?? 80 7B 20 00 74 12 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 EB 02 33 FF 80 7D FF 00 74 13 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 EB 05 33 C0 89 45 F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 86 38 01 00 00 8B D3 E8 ?? ?? ?? ?? 80 7B 20 00 74 0D 8B 86 38 01 00 00 8B D7 E8 ?? ?? ?? ?? 80 7D FF 00 74 0E 8B 86 38 01 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B 86 38 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 86 38 01 00 00 8B 55 F4 E8 ?? ?? ?? ?? 80 7B 20 00 0F 84 81 00 00 00 0F B7 4D EA B8 01 00 00 00 D3 E0 89 47 14 8D 85 D4 FB FF FF 33 C9 BA 04 04 00 00 E8 ?? ?? ?? ?? 66 C7 85 D4 FB FF FF 00 03 0F B7 4D EA 66 B8 01 00 66 D3 E0 66 89 85 D6 FB FF FF 0F B7 F8 4F 85 FF 7C 27 47 33 D2 8D 85 D8 FB FF FF 0F B6 4C 93 4E 88 08 0F B6 4C 93 4D 88 48 01 0F B6 4C 93 4C 88 48 02 42 83 C0 04 4F 75 E2 8D 85 D4 FB FF FF 50 E8 ?? ?? ?? ?? 33 C9 8B D0 8B C6 E8 ?? ?? ?? ?? 80 7D FF 00 74 0B 8B 55 08 8B 45 F0 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81914_0 {
	meta:
		name = "TPngImage.AssignPNG"
		size = 212
		refs = "0021 TPngImage.SetMaxIdatSize 0042 TPngImage.ClearChunks 0056 TPNGPointerList.SetSize 0079 TPNGList.GetItem 0099 TPNGPointerList.SetItem"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B EA 8B D8 0F B6 85 34 01 00 00 88 83 34 01 00 00 8B 95 30 01 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 85 2D 01 00 00 88 83 2D 01 00 00 0F B6 85 2C 01 00 00 88 83 2C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 85 38 01 00 00 8B 50 08 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B 83 38 01 00 00 8B 40 08 48 85 C0 7C 58 40 89 04 24 33 F6 8B BD 38 01 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 00 89 44 24 04 8B CB B2 01 8B 44 24 04 FF 50 08 8B C8 8B D6 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 50 8B D6 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 04 46 FF 0C 24 75 AE 8D 75 28 8D 7B 28 B9 40 00 00 00 F3 A5 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81915_0 {
	meta:
		name = "TPngImage.GetAlphaScanline"
		size = 48
		refs = "0004 TPngImage.GetHeader"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 0F B6 90 61 04 00 00 80 FA 06 74 05 80 FA 04 75 11 0F AF 98 58 04 00 00 03 98 54 04 00 00 89 DA EB 02 33 D2 8B C2 5B C3 }
	condition:
		$1
}

rule function_81916_0 {
	meta:
		name = "TPngImage.GetExtraScanline"
		size = 43
		refs = "0005 TPngImage.GetHeader"
	strings:
		$1 = { 53 56 8B DA E8 ?? ?? ?? ?? 8B B0 5C 04 00 00 4E 8B 90 68 04 00 00 0F AF F2 03 B0 4C 04 00 00 0F AF DA 2B F3 89 F1 8B C1 5E 5B C3 }
	condition:
		$1
}

rule function_81917_0 {
	meta:
		name = "TPngImage.GetScanline"
		size = 43
		refs = "0005 TPngImage.GetHeader"
	strings:
		$1 = { 53 56 8B DA E8 ?? ?? ?? ?? 8B B0 5C 04 00 00 4E 8B 90 68 04 00 00 0F AF F2 03 B0 50 04 00 00 0F AF DA 2B F3 89 F1 8B C1 5E 5B C3 }
	condition:
		$1
}

rule function_81918_0 {
	meta:
		name = "TPngImage.GetSupportsPartialTransparency"
		size = 17
		refs = "0006 TPngImage.GetTransparencyMode"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 02 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_81919_0 {
	meta:
		name = "TPngImage.InitializeGamma"
		size = 25
	strings:
		$1 = { 33 D2 8B CA 88 8C 10 3D 01 00 00 88 4C 10 28 42 81 FA 00 01 00 00 75 EA C3 }
	condition:
		$1
}

rule function_81920_0 {
	meta:
		name = "TPngImage.GetTransparencyMode"
		size = 114
		refs = "0008 TPngImage.GetHeader 0012 _DV_TChunktRNS 001d TPNGList.ItemFromClass 0030 TPngImage.GetTransparencyMode"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 33 DB 8B 15 ?? ?? ?? ?? 8B 87 38 01 00 00 E8 ?? ?? ?? ?? 0F B6 96 61 04 00 00 83 FA 06 77 3F FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B3 02 EB 18 85 C0 74 14 B3 01 EB 10 85 C0 74 0C 80 78 14 00 74 04 B3 01 EB 02 B3 02 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81921_0 {
	meta:
		name = "TPngImage.AddtEXt"
		size = 52
		refs = "000b _DV_TChunktEXt 0016 TPNGList.Add 0022 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 15 ?? ?? ?? ?? 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 14 8B D6 E8 ?? ?? ?? ?? 8D 43 18 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81922_0 {
	meta:
		name = "TPngImage.AddzTXt"
		size = 52
		refs = "000b _DV_TChunkzTXt 0016 TPNGList.Add 0022 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 15 ?? ?? ?? ?? 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 43 14 8B D6 E8 ?? ?? ?? ?? 8D 43 18 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81923_0 {
	meta:
		name = "TPngImage.RemoveTransparency"
		size = 121
		refs = "0007 TPngImage.GetHeader 0028 _DV_TChunktRNS 0033 TPNGList.ItemFromClass 0044 TPNGList.RemoveChunk 006a @FreeMem"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 0F B6 83 61 04 00 00 8B D0 80 EA 03 74 0B FE CA 74 2C 80 EA 02 74 27 EB 50 8B 15 ?? ?? ?? ?? 8B 86 38 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 3B 8B D0 8B 86 38 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 3C 04 75 09 C6 83 61 04 00 00 00 EB 07 C6 83 61 04 00 00 02 8B 83 54 04 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 89 83 54 04 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_81924_0 {
	meta:
		name = "TPngImage.CreateAlpha"
		size = 213
		refs = "0007 TPngImage.GetHeader 0049 @GetMem 0067 @FillChar 0076 _DV_TChunktRNS 007b TPNGList.ItemFromClass 0092 TPNGList.Add 00a0 TChunk.ResizeData 00b9 TChunk.GetHeader"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 0F B6 83 61 04 00 00 8B D0 80 EA 01 72 0D FE CA 74 09 FE CA 74 4B E9 AA 00 00 00 84 C0 75 09 C6 83 61 04 00 00 04 EB 07 C6 83 61 04 00 00 06 8B 83 58 04 00 00 F7 AB 5C 04 00 00 E8 ?? ?? ?? ?? 8B F0 89 B3 54 04 00 00 8B 93 58 04 00 00 0F AF 93 5C 04 00 00 8B C6 B1 FF E8 ?? ?? ?? ?? 5E 5B C3 8B 86 38 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 13 8B 86 38 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 43 15 B9 FF 00 00 00 BA 00 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 88 60 04 00 00 B8 01 00 00 00 D3 E0 89 43 08 C6 43 14 00 5E 5B C3 }
	condition:
		$1
}

rule function_81925_0 {
	meta:
		name = "TPngImage.GetTransparentColor"
		size = 35
		refs = "0005 _DV_TChunktRNS 0010 TPNGList.ItemFromClass 0019 TChunktRNS.GetTransparentColor"
	strings:
		$1 = { 53 8B D8 8B 15 ?? ?? ?? ?? 8B 83 38 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_81926_0 {
	meta:
		name = "TPngImage.SetTransparentColor"
		size = 211
		refs = "0015 TPngImage.SetTransparentColor 0023 TPngImage.HeaderPresent 0033 TPngImage.GetHeader 0050 EPNGCannotChangeTransparentText 0055 LoadResString 005e _DV_EPNGCannotChangeTransparent 0066 TPngImage.RaiseError 006e _DV_TChunktRNS 007c TPNGList.ItemFromClass 0099 TPNGList.Add 00a4 ColorToRGB 00ae TChunktRNS.SetTransparentColor 00c3 @UStrClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 83 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8A 80 61 04 00 00 2C 01 72 2B 48 2C 02 72 26 74 04 2C 02 75 66 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 46 8B 15 ?? ?? ?? ?? 8B 45 FC 8B 80 38 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 17 8B 15 ?? ?? ?? ?? 8B 45 FC 8B 80 38 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_81927_0 {
	meta:
		name = "TPngImage.HeaderPresent"
		size = 71
		refs = "0024 TPNGList.GetItem 002a _DV_TChunkIHDR 002f @IsClass"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 80 38 01 00 00 83 78 08 00 74 1F 33 D2 8B 45 FC 8B 80 38 01 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FB 8A 45 FB 59 59 5D C3 }
	condition:
		$1
}

rule function_81928_0 {
	meta:
		name = "GetByteArrayPixel"
		size = 405
		refs = "0013 TPngImage.GetHeader 0037 TPngImage.GetScanline 00d1 _DV_TChunkPLTE 00d6 TPNGList.ItemFromClass 00de TChunkPLTE.GetPaletteItem"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 8A 80 60 04 00 00 88 45 EE 80 7D EE 08 76 04 C6 45 EE 08 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 50 33 C0 8A 45 EE 50 B8 08 00 00 00 5A 8B CA 33 D2 F7 F1 50 8B 45 F8 5A 8B CA 99 F7 F9 5A 8A 04 02 88 45 EF 33 C0 8A 45 EE 50 B8 08 00 00 00 5A 8B CA 33 D2 F7 F1 50 8B 45 F8 5A 8B CA 99 F7 F9 33 C0 8A 45 EE 0F AF D0 33 C0 8A 45 EE B9 08 00 00 00 2B C8 2B CA 33 C0 8A 45 EF D3 E8 88 45 EF 33 C0 8A 45 EE B9 08 00 00 00 2B C8 B8 FF 00 00 00 D3 E8 20 45 EF 8B 45 E8 8A 80 61 04 00 00 2C 01 72 66 2C 02 0F 85 C3 00 00 00 8B 45 FC 8B 80 38 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8A 55 EF E8 ?? ?? ?? ?? 89 45 E4 33 C0 8A 45 E6 8B 55 FC 0F B6 84 02 3D 01 00 00 33 D2 8A 55 E5 8B 4D FC 0F B6 94 11 3D 01 00 00 C1 E2 08 0B C2 33 D2 8A 55 E4 8B 4D FC 0F B6 94 11 3D 01 00 00 C1 E2 10 0B C2 89 45 F0 EB 6A 8B 45 E8 80 B8 60 04 00 00 01 75 1E 8A 45 EF 8B D0 C1 E0 08 2B C2 25 FF 00 00 00 8B 55 FC 8A 84 02 3D 01 00 00 88 45 EF EB 1D 8A 4D EE B0 01 D2 E0 40 F6 6D EF 25 FF 00 00 00 8B 55 FC 8A 84 02 3D 01 00 00 88 45 EF 33 C0 8A 45 EF 33 D2 8A 55 EF C1 E2 08 0B C2 33 D2 8A 55 EF C1 E2 10 0B C2 89 45 F0 EB 05 33 C0 89 45 F0 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_81929_0 {
	meta:
		name = "SetByteArrayPixel"
		size = 258
		refs = "0013 TPngImage.GetHeader 001e ColorToRGB 002d GetNearestPaletteIndex 0051 TPngImage.GetScanline 00b3 ClearFlag"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 8B 45 08 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 10 FF 52 28 50 E8 ?? ?? ?? ?? 88 45 EE 8B 45 E8 8A 80 60 04 00 00 88 45 EF 80 7D EF 08 76 04 C6 45 EF 08 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 50 33 C0 8A 45 EF 50 B8 08 00 00 00 5A 8B CA 33 D2 F7 F1 50 8B 45 F8 5A 8B CA 99 F7 F9 5A 8D 04 02 89 45 F0 33 C0 8A 45 EF 50 B8 08 00 00 00 5A 8B CA 33 D2 F7 F1 50 8B 45 F8 5A 8B CA 99 F7 F9 33 C0 8A 45 EF 0F AF D0 33 C0 8A 45 EF B9 08 00 00 00 2B C8 2B CA 33 C0 8A 45 EF 8A 04 85 ?? ?? ?? ?? D2 E0 F6 D0 8B 55 F0 20 02 33 C0 8A 45 EF 50 B8 08 00 00 00 5A 8B CA 33 D2 F7 F1 50 8B 45 F8 5A 8B CA 99 F7 F9 33 C0 8A 45 EF 0F AF D0 33 C0 8A 45 EF B9 08 00 00 00 2B C8 2B CA 8A 45 EE D2 E0 8B 55 F0 08 02 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81930_0 {
	meta:
		name = "GetRGBLinePixel"
		size = 77
		refs = "0016 TPngImage.GetScanline"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 4D F4 89 55 F8 89 45 FC 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 14 52 03 C2 89 45 EC 8B 45 EC 0F B6 40 02 8B 55 EC 0F B6 52 01 C1 E2 08 0B C2 8B 55 EC 0F B6 12 C1 E2 10 0B C2 89 45 F0 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_81931_0 {
	meta:
		name = "SetRGBLinePixel"
		size = 75
		refs = "0016 TPngImage.GetScanline"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 14 52 03 C2 89 45 F0 8B 45 08 8B 55 F0 88 42 02 8B 45 08 C1 E8 08 8B 55 F0 88 42 01 8B 45 08 C1 E8 10 8B 55 F0 88 02 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81932_0 {
	meta:
		name = "GetGrayLinePixel"
		size = 70
		refs = "0016 TPngImage.GetScanline"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 4D F4 89 55 F8 89 45 FC 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8A 04 10 88 45 EF 33 C0 8A 45 EF 33 D2 8A 55 EF C1 E2 08 0B C2 33 D2 8A 55 EF C1 E2 10 0B C2 89 45 F0 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_81933_0 {
	meta:
		name = "SetGrayLinePixel"
		size = 41
		refs = "0016 TPngImage.GetScanline"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 4D 08 88 0C 10 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81934_0 {
	meta:
		name = "Min"
		size = 41
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC 8B 45 FC 3B 45 F8 7D 08 8B 45 FC 89 45 F4 EB 06 8B 45 F8 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule function_81935_0 {
	meta:
		name = "TPngImage.Resize"
		size = 822
		refs = "0019 TPngImage.Resize 003b TPngImage.GetHeader 004a CreateCompatibleDC 0079 CreateDIBSection 0089 SelectObject 009a TCanvas.SetHandle 00cc Min 00e7 TPngImage.GetScanline 011f Move 014e @GetMem 0165 @FillChar 0195 TPngImage.GetAlphaScanline 01da @FreeMem 0245 TPngImage.GetExtraScanline 02a2 DeleteObject 02ae DeleteDC 02fa EInvalidNewSize 02ff LoadResString 0308 _DV_EPNGInvalidNewSize 0310 TPngImage.RaiseError 0325 @UStrClr 032b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 33 DB 89 5D B4 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 0F 8E C9 02 00 00 83 7D F4 00 0F 8E BF 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 8B 40 18 50 E8 ?? ?? ?? ?? 89 45 E0 8B 45 F8 8B 55 F0 89 42 28 8B 45 F4 8B 55 F0 89 42 2C 6A 00 6A 00 8D 45 DC 50 6A 00 8B 45 F0 83 C0 24 50 8B 45 E0 50 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 50 8B 45 E0 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 28 01 00 00 8B 55 E0 E8 ?? ?? ?? ?? 8B 45 F0 0F B7 40 32 F7 6D F8 83 C0 1F 83 E0 E0 85 C0 79 03 83 C0 07 C1 F8 03 89 45 E8 55 8B 45 FC 8B 10 FF 52 24 8B D0 4A 8B 45 F4 48 E8 ?? ?? ?? ?? 59 85 C0 7C 56 40 89 45 D0 C7 45 EC 00 00 00 00 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 89 45 CC 55 8B 45 F0 8B 90 68 04 00 00 8B 45 E8 E8 ?? ?? ?? ?? 59 89 45 C8 8B 55 F4 4A 0F AF 55 E8 03 55 DC 8B 45 EC 0F AF 45 E8 2B D0 8B 45 CC 8B 4D C8 E8 ?? ?? ?? ?? FF 45 EC FF 4D D0 75 B5 8B 45 F0 80 B8 61 04 00 00 06 74 10 8B 45 F0 80 B8 61 04 00 00 04 0F 85 A3 00 00 00 8B 45 F8 F7 6D F4 E8 ?? ?? ?? ?? 89 45 D8 8B 55 F8 0F AF 55 F4 8B 45 D8 B9 FF 00 00 00 E8 ?? ?? ?? ?? 55 8B 45 FC 8B 10 FF 52 24 8B D0 4A 8B 45 F4 48 E8 ?? ?? ?? ?? 59 85 C0 7C 4D 40 89 45 D0 C7 45 EC 00 00 00 00 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 89 45 C4 55 8B 45 FC 8B 10 FF 52 30 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 59 89 45 C0 8B 55 EC 0F AF 55 F8 03 55 D8 8B 45 C4 8B 4D C0 E8 ?? ?? ?? ?? FF 45 EC FF 4D D0 75 BE 8B 45 F0 8B 80 54 04 00 00 E8 ?? ?? ?? ?? 8B 45 D8 8B 55 F0 89 82 54 04 00 00 8B 45 F0 80 B8 60 04 00 00 10 0F 85 A0 00 00 00 8B 45 F8 F7 6D F4 E8 ?? ?? ?? ?? 89 45 D4 8B 55 F8 0F AF 55 F4 8B 45 D4 33 C9 E8 ?? ?? ?? ?? 55 8B 45 FC 8B 10 FF 52 24 8B D0 4A 8B 45 F4 48 E8 ?? ?? ?? ?? 59 85 C0 7C 4D 40 89 45 D0 C7 45 EC 00 00 00 00 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 89 45 BC 55 8B 45 FC 8B 10 FF 52 30 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 59 89 45 B8 8B 55 EC 0F AF 55 F8 03 55 D4 8B 45 BC 8B 4D B8 E8 ?? ?? ?? ?? FF 45 EC FF 4D D0 75 BE 8B 45 F0 8B 80 4C 04 00 00 E8 ?? ?? ?? ?? 8B 45 D4 8B 55 F0 89 82 4C 04 00 00 8B 45 F0 8B 40 14 50 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 18 50 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 F0 89 82 68 04 00 00 8B 45 F8 8B 55 F0 89 82 58 04 00 00 8B 45 F4 8B 55 F0 89 82 5C 04 00 00 8B 45 DC 8B 55 F0 89 82 50 04 00 00 8B 45 E4 8B 55 F0 89 42 14 8B 45 E0 8B 55 F0 89 42 18 EB 1E 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D B4 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81936_0 {
	meta:
		name = "TPngImage.SetPixels"
		size = 164
		refs = "003f TPngImage.GetHeader 0065 SetByteArrayPixel 0086 SetGrayLinePixel 009a SetRGBLinePixel"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 83 7D F8 00 0F 8C 85 00 00 00 8B 45 FC 8B 10 FF 52 30 48 3B 45 F8 7C 77 83 7D F4 00 7C 71 8B 45 FC 8B 10 FF 52 24 48 3B 45 F4 7C 63 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 8A 80 61 04 00 00 84 C0 74 04 2C 03 75 14 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 33 8B 45 F0 8A 80 61 04 00 00 2C 04 75 14 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 12 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81937_0 {
	meta:
		name = "TPngImage.GetPixels"
		size = 169
		refs = "003f TPngImage.GetHeader 0061 GetByteArrayPixel 0081 GetGrayLinePixel 0094 GetRGBLinePixel"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 4D F4 89 55 F8 89 45 FC 83 7D F8 00 0F 8C 84 00 00 00 8B 45 FC 8B 10 FF 52 30 48 3B 45 F8 7C 76 83 7D F4 00 7C 70 8B 45 FC 8B 10 FF 52 24 48 3B 45 F4 7C 62 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 8A 80 61 04 00 00 84 C0 74 04 2C 03 75 13 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 EB 38 8B 45 EC 8A 80 61 04 00 00 2C 04 75 13 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 EB 18 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 EB 05 33 C0 89 45 F0 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_81938_0 {
	meta:
		name = "TPngImage.GetPalette"
		size = 30
		refs = "000d TPngImage.GetHeader"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 40 1C 89 45 F8 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_81939_0 {
	meta:
		name = "TChunkpHYs.Assign"
		size = 52
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 40 18 8B 55 FC 89 42 18 8B 45 F8 8B 40 14 8B 55 FC 89 42 14 8B 45 F8 8A 40 1C 8B 55 FC 88 42 1C 59 59 5D C3 }
	condition:
		$1
}

rule function_81940_0 {
	meta:
		name = "TChunkpHYs.LoadFromStream"
		size = 115
		refs = "001d TChunk.LoadFromStream 0039 ByteSwap"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F4 89 55 F8 89 45 FC 8B 45 08 50 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 88 45 F3 80 7D F3 00 74 40 83 7D 08 09 75 3A 8B 45 FC 8B 40 04 8B 00 E8 ?? ?? ?? ?? 8B 55 FC 89 42 14 8B 45 FC 8B 40 04 83 C0 04 8B 00 E8 ?? ?? ?? ?? 8B 55 FC 89 42 18 8B 45 FC 8B 40 04 83 C0 08 8A 00 8B 55 FC 88 42 1C 8A 45 F3 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81941_0 {
	meta:
		name = "TChunkpHYs.SaveToStream"
		size = 104
		refs = "0015 TChunk.ResizeData 0020 ByteSwap 005a TChunk.SaveToStream"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 55 F8 89 45 FC BA 09 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 E8 ?? ?? ?? ?? 8B 55 FC 8B 52 04 89 02 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 55 FC 8B 52 04 83 C2 04 89 02 8B 45 FC 8A 40 1C 8B 55 FC 8B 52 04 83 C2 08 88 02 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 88 45 F7 8A 45 F7 8B E5 5D C3 }
	condition:
		$1
}

rule function_81942_0 {
	meta:
		name = "TPngImage.DoSetPalette"
		size = 126
		refs = "0013 TPngImage.GetHeader 002f TChunkIHDR.PaletteToDIB 0046 SelectPalette 0057 RealizePalette 0068 DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 F4 88 4D F7 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 80 78 20 00 74 5D 80 7D F7 00 74 10 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 6A 00 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 8B 40 18 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 18 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 1C 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 89 50 1C 8B E5 5D C3 }
	condition:
		$1
}

rule function_81943_0 {
	meta:
		name = "TPngImage.SetPalette"
		size = 29
		refs = "0015 TPngImage.DoSetPalette"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC B1 01 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_81944_0 {
	meta:
		name = "TPngImage.GetLibraryVersion"
		size = 56
		refs = "0010 TPngImage.GetLibraryVersion 0015 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 31 00 2E 00 35 00 36 00 34 00 00 00 }
	condition:
		$1
}

rule function_81945_0 {
	meta:
		name = "Finalization"
		size = 90
		refs = "0007 Finalization 0013 _DV_83 001b _DV_TPngImage 0020 _Dn_TPicture 0025 TPicture.UnregisterGraphicClass 002a FreeChunkClassList 002f ZLIBErrors 003a string 003f @FinalizeArray 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2A 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 09 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_81946_0 {
	meta:
		name = "Vcl.Imaging.pngimage"
		size = 140
		refs = "0002 _DV_83 000c ChunkClasses 0012 crc_table_computed 0018 RegisterCommonChunks 001d _DV_TPngImage 0023 Vcl.Imaging.pngimage 002d _Dn_TPicture 0032 TPicture.RegisterFileFormat"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 2D 33 C0 A3 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 19 00 00 00 50 00 6F 00 72 00 74 00 61 00 62 00 6C 00 65 00 20 00 4E 00 65 00 74 00 77 00 6F 00 72 00 6B 00 20 00 47 00 72 00 61 00 70 00 68 00 69 00 63 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 4E 00 47 00 00 00 }
	condition:
		$1
}

rule function_81949_0 {
	meta:
		name = "GetRGBColor"
		size = 30
		refs = "0001 ColorToRGB"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B D0 81 EA FF FF FF 1F 74 05 4A 74 06 EB 09 83 C8 FF C3 B8 00 00 00 FF C3 }
	condition:
		$1
}

rule function_81950_0 {
	meta:
		name = "GetColor"
		size = 30
	strings:
		$1 = { 8B D0 81 EA 00 00 00 FF 74 0E 81 EA FF FF FF 00 75 0B B8 FF FF FF 1F C3 B8 00 00 00 20 C3 }
	condition:
		$1
}

rule function_81951_0 {
	meta:
		name = "TCustomImageList.Create"
		size = 74
		refs = "000a @ClassCreate 0017 TComponent.Create 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 3C 10 00 00 00 C7 46 38 10 00 00 00 8B C6 8B 10 FF 52 44 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_81952_0 {
	meta:
		name = "TCustomImageList.CreateSize"
		size = 81
		refs = "000e @ClassCreate 001f TComponent.Create 003a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 3C 8B 45 08 89 47 38 8B C7 8B 10 FF 52 44 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81953_0 {
	meta:
		name = "TCustomImageList.Destroy"
		size = 105
		refs = "0004 @BeforeDestruction 0011 TList.Last 001a TCustomImageList.UnRegisterChanges 002b TObject.Free 0032 TCustomImageList.FreeHandle 0056 TComponent.Destroy 0061 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 EB 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 77 54 83 7E 08 00 7F E7 8B 47 58 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 47 54 E8 ?? ?? ?? ?? 33 C0 89 47 54 8B 47 5C 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81954_0 {
	meta:
		name = "TCustomImageList.Initialize"
		size = 188
		refs = "000c TCustomImageList.Initialize 0019 _Dn_TList 001e TObject.Create 003e SInvalidImageSize 0043 LoadResString 004d _Dn_EInvalidOperation 0052 Exception.Create 0057 @RaiseExcept 006b TCustomImageList.SetDrawingStyle 0088 _Dn_TBitmap 008d TBitmap.Create 0097 TCustomImageList.InitBitmap 00ac @UStrClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 54 8B 43 38 83 F8 01 7C 0D 3D 00 80 00 00 7F 06 83 7B 3C 01 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 43 40 04 00 00 00 C6 43 49 01 B2 02 8B C3 E8 ?? ?? ?? ?? C6 43 4B 00 C7 43 4C FF FF FF 1F C7 43 50 FF FF FF 1F C6 43 70 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 58 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_81956_0 {
	meta:
		name = "TCustomImageList.HandleNeeded"
		size = 12
		refs = "0007 TCustomImageList.CreateImageList"
	strings:
		$1 = { 83 78 44 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_81957_0 {
	meta:
		name = "TCustomImageList.InitBitmap"
		size = 196
		refs = "000d GetDC 0018 TCustomImageList.InitBitmap 003b CreateCompatibleBitmap 0044 TBitmap.SetHandle 004b TBitmap.GetCanvas 0055 TBrush.SetColor 0073 Rect 009c ReleaseDC 00a2 @HandleFinally 00b3 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 45 FC 6A 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 58 8B 45 FC 8B 40 38 50 8B 45 FC 8B 40 3C 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 50 8D 45 E8 50 8B C3 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E8 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8B 40 5C 85 C0 74 0D E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 5C 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81958_0 {
	meta:
		name = "TCustomImageList.SetNewDimensions"
		size = 55
		refs = "001b ImageList_GetIconSize 002f TCustomImageList.InitBitmap"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B 43 3C 89 44 24 04 8B 43 38 89 04 24 54 8D 44 24 08 50 52 E8 ?? ?? ?? ?? 8B 44 24 04 89 43 3C 8B 04 24 89 43 38 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_81959_0 {
	meta:
		name = "TCustomImageList.SetShareImages"
		size = 9
	strings:
		$1 = { 3A 50 4A 74 03 88 50 4A C3 }
	condition:
		$1
}

rule function_81960_0 {
	meta:
		name = "TCustomImageList.SetWidth"
		size = 58
		refs = "001b ImageList_SetIconSize 0022 TCustomImageList.Clear 0029 TCustomImageList.InitBitmap 0034 @CallDynaInst"
	strings:
		$1 = { 56 8B F0 3B 56 3C 74 30 8B CA 89 4E 3C 8B 46 44 85 C0 74 0B 8B 56 38 52 51 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BE F0 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_81961_0 {
	meta:
		name = "TCustomImageList.SetHeight"
		size = 58
		refs = "001b ImageList_SetIconSize 0022 TCustomImageList.Clear 0029 TCustomImageList.InitBitmap 0034 @CallDynaInst"
	strings:
		$1 = { 56 8B F0 3B 56 38 74 30 8B CA 89 4E 38 8B 46 44 85 C0 74 0B 51 8B 56 3C 52 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BE F0 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_81962_0 {
	meta:
		name = "TCustomImageList.SetHandle"
		size = 43
		refs = "0009 TCustomImageList.FreeHandle 0016 TCustomImageList.SetNewDimensions 0024 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 F6 74 17 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 44 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81963_0 {
	meta:
		name = "TCustomImageList.GetBitmapHandle"
		size = 16
	strings:
		$1 = { 85 D2 74 03 8B C2 C3 8B 40 58 8B 10 FF 52 70 C3 }
	condition:
		$1
}

rule function_81964_0 {
	meta:
		name = "TCustomImageList.GetHandle"
		size = 15
		refs = "0006 TCustomImageList.HandleNeeded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 44 5B C3 }
	condition:
		$1
}

rule function_81965_0 {
	meta:
		name = "TCustomImageList.GetImageHandle"
		size = 133
		refs = "000f TCustomImageList.CheckImage 001a TBitmap.GetPixelFormat 0024 ColorDepthToPixelFormat 005a TBitmap.SetPixelFormat 0062 TBitmap.GetCanvas"
	strings:
		$1 = { 53 56 57 55 8B F9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 85 DB 74 61 8B C3 E8 ?? ?? ?? ?? 0F B6 56 70 3A 82 ?? ?? ?? ?? 75 09 8B C3 8B 10 FF 52 70 EB 4D 8B C3 8B 10 FF 52 24 50 8B C3 8B 10 FF 52 30 8B D0 8B C7 59 8B 28 FF 55 6C 0F B6 46 70 0F B6 90 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 53 8B C7 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 18 FF 53 44 8B C7 8B 10 FF 52 70 EB 08 8B 46 58 8B 10 FF 52 70 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81966_0 {
	meta:
		name = "TCustomImageList.FreeHandle"
		size = 48
		refs = "0013 TCustomImageList.GetHandle 0019 ImageList_Destroy 0029 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 83 7B 44 00 74 13 80 7B 4A 00 75 0D 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 89 43 44 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_81967_0 {
	meta:
		name = "TCustomImageList.CreateImageList"
		size = 161
		refs = "000e TCustomImageList.CreateImageList 0024 ColorDepthToILConst 002f Mask 003d ImageList_Create 004e SInvalidImageList 0053 LoadResString 005d _Dn_EInvalidOperation 0062 Exception.Create 0067 @RaiseExcept 007a TCustomImageList.SetBkColor 008f @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 40 56 56 0F B6 43 70 8B 04 85 ?? ?? ?? ?? 0F B6 53 49 0B 04 95 ?? ?? ?? ?? 50 8B 43 38 50 8B 43 3C 50 E8 ?? ?? ?? ?? 8B F8 89 7B 44 85 FF 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 4C 3D FF FF FF 1F 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81968_0 {
	meta:
		name = "TCustomImageList.GetImageBitmap"
		size = 49
		refs = "0009 TCustomImageList.GetCount 0017 TCustomImageList.GetHandle 001d ImageList_GetImageInfo"
	strings:
		$1 = { 53 83 C4 E0 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 19 54 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 05 8B 04 24 EB 02 33 C0 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_81969_0 {
	meta:
		name = "TCustomImageList.GetMaskBitmap"
		size = 50
		refs = "0009 TCustomImageList.GetCount 0017 TCustomImageList.GetHandle 001d ImageList_GetImageInfo"
	strings:
		$1 = { 53 83 C4 E0 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 1A 54 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 06 8B 44 24 04 EB 02 33 C0 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_81970_0 {
	meta:
		name = "TCustomImageList.Add"
		size = 203
		refs = "0012 _Dn_TBitmap 0017 TBitmap.Create 0022 TCustomImageList.Add 004d TCustomImageList.HandleNeeded 005a TCustomImageList.GetImageHandle 0075 ImageList_Add 008d TObject.Free 0093 @HandleFinally 00be @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F1 8B DA 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 50 8B 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 44 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 66 BE F0 FF E8 ?? ?? ?? ?? 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81971_0 {
	meta:
		name = "TCustomImageList.AddMasked"
		size = 283
		refs = "0012 _Dn_TBitmap 0017 TBitmap.Create 0022 TCustomImageList.AddMasked 006f TBitmap.SetTransparentColor 0077 TCustomImageList.HandleNeeded 0089 TCustomImageList.GetBitmapHandle 0097 TCustomImageList.GetImageHandle 00a4 ImageList_Add 00bc TObject.Free 00c2 @HandleFinally 00dc TCustomImageList.GetHandle 010e @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F1 8B DA 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 49 00 0F 84 8F 00 00 00 83 FE FF 0F 84 86 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F0 8B 08 FF 51 08 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 74 8B D0 8B 45 FC E8 ?? ?? ?? ?? 50 8B 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 44 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 6A 00 8B 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 66 BE F0 FF E8 ?? ?? ?? ?? 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81972_0 {
	meta:
		name = "TCustomImageList.AddIcon"
		size = 79
		refs = "0012 TCustomImageList.Add 001f TCustomImageList.CheckImage 0026 TCustomImageList.GetHandle 002f TIcon.GetHandle 0038 ImageList_ReplaceIcon 0045 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 75 0F 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 24 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 50 6A FF 57 E8 ?? ?? ?? ?? 8B F8 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81973_0 {
	meta:
		name = "TCustomImageList.GetBitmap"
		size = 122
		refs = "0030 TCustomImageList.GetCount 0064 TBitmap.GetCanvas 006f TCustomImageList.Draw"
	strings:
		$1 = { 53 56 57 51 8B F1 89 14 24 8B F8 85 F6 74 09 83 7F 44 00 0F 95 C0 EB 02 33 C0 84 C0 74 09 83 3C 24 FF 0F 9F C0 EB 02 33 C0 84 C0 74 0F 8B C7 E8 ?? ?? ?? ?? 3B 04 24 0F 9F C0 EB 02 33 C0 8B D8 84 DB 74 2F 8B 57 38 8B C6 8B 08 FF 51 38 8B 57 3C 8B C6 8B 08 FF 51 44 6A 00 8B 44 24 04 50 6A 01 8B C6 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C7 E8 ?? ?? ?? ?? 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81974_0 {
	meta:
		name = "TCustomImageList.GetIcon"
		size = 18
		refs = "000c TCustomImageList.GetIcon"
	strings:
		$1 = { 53 0F B6 58 48 53 0F B6 58 4B 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_81975_0 {
	meta:
		name = "TCustomImageList.GetIcon"
		size = 75
		refs = "001d DrawingStyles 0028 Images 0031 TCustomImageList.GetHandle 0037 ImageList_GetIcon 0040 TIcon.SetHandle"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 85 F6 74 34 83 7B 44 00 74 2E 0F B6 45 0C 8B 04 85 ?? ?? ?? ?? 0F B6 55 08 0B 04 95 ?? ?? ?? ?? 50 57 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_81976_0 {
	meta:
		name = "TCustomImageList.GetCount"
		size = 28
		refs = "000c TCustomImageList.GetHandle 0012 ImageList_GetImageCount"
	strings:
		$1 = { 53 8B D8 83 7B 44 00 74 0F 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_81977_0 {
	meta:
		name = "TCustomImageList.Replace"
		size = 289
		refs = "0018 TCustomImageList.Replace 0025 _Dn_TBitmap 002a TBitmap.Create 006f TCustomImageList.GetImageHandle 0087 TCustomImageList.GetHandle 008d ImageList_Replace 0099 SReplaceImage 009e LoadResString 00a8 _Dn_EInvalidOperation 00ad Exception.Create 00b2 @RaiseExcept 00c7 TObject.Free 00cd @HandleFinally 00f8 @CallDynaInst 010d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 44 00 74 51 8B 4D F4 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 50 8B 4D F8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 50 53 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 66 BE F0 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81978_0 {
	meta:
		name = "TCustomImageList.ReplaceMasked"
		size = 547
		refs = "001b TCustomImageList.ReplaceMasked 0038 TCustomImageList.CheckImage 0045 TCustomImageList.AddMasked 0067 _Dn_TBitmap 006c TBitmap.Create 00c0 TBitmap.SetMonochrome 00ea TBitmap.GetCanvas 00ef TCanvas.GetHandle 00fc TCustomImageList.GetHandle 0102 ImageList_Draw 0149 ImageList_Replace 0155 SReplaceImage 015a LoadResString 0164 _Dn_EInvalidOperation 0169 Exception.Create 016e @RaiseExcept 0183 TObject.Free 0189 @HandleFinally 01c0 TCustomImageList.Delete 01f5 @CallDynaInst 020f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D EC 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 44 00 0F 84 BB 01 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 4D 08 8B D6 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 FF 0F 84 76 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 38 8B 45 F4 8B 08 FF 51 38 8B 45 FC 8B 50 3C 8B 45 F4 8B 08 FF 51 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 38 8B 45 F0 8B 08 FF 51 38 8B 45 FC 8B 50 3C 8B 45 F0 8B 08 FF 51 44 6A 00 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 10 6A 00 6A 00 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 70 50 8B 45 F4 8B 10 FF 52 70 50 53 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 BE F0 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81979_0 {
	meta:
		name = "TCustomImageList.ReplaceIcon"
		size = 166
		refs = "0012 TCustomImageList.ReplaceIcon 002f TCustomImageList.Replace 003a TCustomImageList.CheckImage 0041 TIcon.GetHandle 004a TCustomImageList.GetHandle 0050 ImageList_ReplaceIcon 005b SReplaceImage 0060 LoadResString 006a _Dn_EInvalidOperation 006f Exception.Create 0074 @RaiseExcept 007f @CallDynaInst 0094 @UStrClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 44 00 74 56 85 F6 75 0F 6A 00 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? EB 43 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 57 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 40 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81980_0 {
	meta:
		name = "TCustomImageList.Delete"
		size = 134
		refs = "000f TCustomImageList.Delete 001c TCustomImageList.GetCount 0028 SImageIndexError 002d LoadResString 0037 _Dn_EInvalidOperation 003c Exception.Create 0041 @RaiseExcept 004f TCustomImageList.GetHandle 0055 ImageList_Remove 0060 @CallDynaInst 0075 @UStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3B F0 7C 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 44 00 74 0E 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_81982_0 {
	meta:
		name = "TCustomImageList.SetBkColor"
		size = 48
		refs = "0011 GetRGBColor 0018 ImageList_SetBkColor 0028 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 44 85 FF 74 10 8B C6 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? EB 03 89 73 4C 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81983_0 {
	meta:
		name = "TCustomImageList.SetColorDepth"
		size = 95
		refs = "0016 TCustomImageList.BeginUpdate 001e TCustomImageList.SetColorDepth 002c TCustomImageList.FreeHandle 003a TCustomImageList.CreateImageList 004f TCustomImageList.EndUpdate 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 3A 58 70 74 49 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 88 58 70 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_81984_0 {
	meta:
		name = "TCustomImageList.SetSize"
		size = 66
		refs = "0023 ImageList_SetIconSize 002a TCustomImageList.Clear 0031 TCustomImageList.InitBitmap 003c @CallDynaInst"
	strings:
		$1 = { 56 8B F0 3B 4E 38 75 05 3B 56 3C 74 33 89 4E 38 8B CA 89 4E 3C 8B 46 44 85 C0 74 0B 8B 56 38 52 51 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BE F0 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_81985_0 {
	meta:
		name = "TCustomImageList.GetBkColor"
		size = 34
		refs = "000c TCustomImageList.GetHandle 0012 ImageList_GetBkColor 0017 GetColor"
	strings:
		$1 = { 53 8B D8 83 7B 44 00 74 14 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B 43 4C 5B C3 }
	condition:
		$1
}

rule function_81986_0 {
	meta:
		name = "TCustomImageList.DoDraw"
		size = 459
		refs = "0028 GetRGBColor 0030 TCustomImageList.GetBkColor 004a TCanvas.GetHandle 0053 TCustomImageList.GetHandle 0059 ImageList_DrawEx 006b _Dn_TBitmap 0070 TBitmap.Create 007e TBitmap.SetMonochrome 009a TBitmap.GetCanvas 00a7 TBrush.SetColor 00bb Rect 0147 SetTextColor 014f SetBkColor 0171 BitBlt"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D FC 8B F2 8B D8 83 7B 44 00 0F 84 A8 01 00 00 80 7D 08 00 74 42 8B 45 0C 50 8B 43 50 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 10 50 8B 45 14 50 8B 45 FC E8 ?? ?? ?? ?? 50 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 60 01 00 00 83 7B 5C 00 75 2E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 5C B2 01 8B C7 E8 ?? ?? ?? ?? 8B 53 3C 8B C7 8B 08 FF 51 44 8B 53 38 8B C7 8B 08 FF 51 38 8B 43 5C E8 ?? ?? ?? ?? 8B 40 48 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 43 38 50 8D 45 DC 50 8B 4B 3C 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 43 5C E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 6A 00 6A 00 6A FF 6A 00 6A 00 6A 00 6A 00 8B 43 5C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 10 03 43 38 50 8D 45 EC 50 8B 4D 14 03 4B 3C 8B 55 10 8B 45 14 E8 ?? ?? ?? ?? 8B 43 5C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 FC 8B 40 48 BA 14 00 00 FF E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 68 FF FF FF 00 56 E8 ?? ?? ?? ?? 6A 00 56 E8 ?? ?? ?? ?? 68 46 07 E2 00 6A 00 6A 00 57 8B 43 38 50 8B 43 3C 50 8B 45 10 40 50 8B 45 14 40 50 56 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 48 BA 10 00 00 FF E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 68 FF FF FF 00 56 E8 ?? ?? ?? ?? 6A 00 56 E8 ?? ?? ?? ?? 68 46 07 E2 00 6A 00 6A 00 57 8B 43 38 50 8B 43 3C 50 8B 45 10 50 8B 45 14 50 56 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_81987_0 {
	meta:
		name = "TCustomImageList.Draw"
		size = 37
		refs = "001c TCustomImageList.Draw"
	strings:
		$1 = { 55 8B EC 53 8B 5D 10 53 8B 5D 0C 53 0F B6 58 48 53 0F B6 58 4B 53 0F B6 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_81988_0 {
	meta:
		name = "TCustomImageList.Draw"
		size = 68
		refs = "001c DrawingStyles 0027 Images"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 83 7E 44 00 74 2D 51 8B 45 18 50 0F B6 45 10 8B 04 85 ?? ?? ?? ?? 0F B6 55 0C 0B 04 95 ?? ?? ?? ?? 50 0F B6 45 08 50 8B 55 14 8B C6 8B CF 8B 18 FF 53 40 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_81989_0 {
	meta:
		name = "TCustomImageList.DrawOverlay"
		size = 36
		refs = "001b TCustomImageList.DrawOverlay"
	strings:
		$1 = { 55 8B EC 53 8B 5D 14 53 8B 5D 10 53 0F B6 5D 0C 53 6A 02 6A 00 0F B6 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_81990_0 {
	meta:
		name = "TCustomImageList.DrawOverlay"
		size = 90
		refs = "0029 DrawingStyles 0034 Images"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F0 83 7E 44 00 74 40 0F B6 7D 14 47 C1 E7 08 8B 45 FC 50 8B 45 1C 50 0F B6 45 10 8B 04 85 ?? ?? ?? ?? 0F B6 4D 0C 0B 04 8D ?? ?? ?? ?? 81 E7 00 0F 00 00 0B C7 50 0F B6 45 08 50 8B CA 8B C6 8B 55 18 8B 18 FF 53 40 5F 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_81991_0 {
	meta:
		name = "TCustomImageList.Overlay"
		size = 48
		refs = "0018 TCustomImageList.GetHandle 001e ImageList_SetOverlayImage"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 83 7F 44 00 74 1B 0F B6 C3 40 50 56 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81992_0 {
	meta:
		name = "TCustomImageList.CopyImages"
		size = 434
		refs = "0028 Rect 0030 TCustomImageList.BeginUpdate 0038 TCustomImageList.CopyImages 0045 _Dn_TBitmap 004a TBitmap.Create 0069 ColorDepthToPixelFormat 0071 TBitmap.SetPixelFormat 00ac TBitmap.SetMonochrome 00d1 ImageList_GetImageCount 00ee TBitmap.GetCanvas 0107 TCanvas.GetHandle 0112 ImageList_Draw 014c TCustomImageList.Add 0165 TObject.Free 016b @HandleFinally 019f TCustomImageList.EndUpdate"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 40 38 50 8D 45 DC 50 8B 45 FC 8B 48 3C 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 0F B6 40 70 0F B6 90 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 48 38 8B 45 FC 8B 50 3C 8B 45 F0 8B 18 FF 53 6C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 50 38 8B 45 EC 8B 08 FF 51 38 8B 45 FC 8B 50 3C 8B 45 EC 8B 08 FF 51 44 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 78 46 33 DB 83 7D F4 FF 74 05 3B 5D F4 75 66 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 8D 55 DC 8B C7 8B 08 FF 51 54 6A 00 6A 00 6A 00 8B C7 E8 ?? ?? ?? ?? 50 53 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B F8 8D 55 DC 8B C7 8B 08 FF 51 54 6A 10 6A 00 6A 00 8B C7 E8 ?? ?? ?? ?? 50 53 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 4D EC 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 8B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81993_0 {
	meta:
		name = "TCustomImageList.GetImages"
		size = 165
		refs = "001f Rect 0026 TBitmap.GetCanvas 0035 TBrush.SetColor 004c TCanvas.GetHandle 0055 TCustomImageList.GetHandle 005b ImageList_Draw"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8B FA 8B D8 8B 43 38 50 8D 45 F0 50 8B 4B 3C 33 D2 33 C0 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 BA FF FF FF 00 8B 46 48 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 8B 08 FF 51 54 6A 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 57 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 8B F0 8B 46 48 BA FF FF FF 00 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 8B 08 FF 51 54 6A 10 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 57 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_81994_0 {
	meta:
		name = "TCustomImageList.InsertImage"
		size = 258
		refs = "001c TCustomImageList.InsertImage 002a TCustomImageList.BeginUpdate 0040 TCustomImageList.GetCount 004c SImageIndexError 0051 LoadResString 005b _Dn_EInvalidOperation 0060 Exception.Create 0065 @RaiseExcept 0076 TCustomImageList.AddMasked 0085 TCustomImageList.Add 00a7 TCustomImageList.GetHandle 00b7 ImageList_Copy 00d0 TCustomImageList.EndUpdate 00d6 @HandleFinally 00ed @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B DA 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7E 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FE FF 74 0E 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? EB 0D 8B 4D 0C 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 E8 02 8B F3 2B F0 7F 25 4E 89 C3 6A 01 8D 43 01 50 8B 45 FC E8 ?? ?? ?? ?? 50 53 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 4B 46 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_81995_0 {
	meta:
		name = "TCustomImageList.Insert"
		size = 20
		refs = "000b TCustomImageList.InsertImage"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 6A FF E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_81997_0 {
	meta:
		name = "TCustomImageList.InsertIcon"
		size = 345
		refs = "001a TCustomImageList.InsertIcon 0032 TCustomImageList.BeginUpdate 004e _DV_TCustomImageList 0053 TCustomImageList.CreateSize 0069 TCustomImageList.Clear 0071 TCustomImageList.GetCount 007d SImageIndexError 0082 LoadResString 008c _Dn_EInvalidOperation 0091 Exception.Create 0096 @RaiseExcept 009d _Dn_TIcon 00a2 TIcon.Create 00bc TCustomImageList.GetIcon 00c7 TCustomImageList.AddIcon 0119 TCustomImageList.EndUpdate 0121 TObject.Free 012f @HandleFinally 0146 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D F8 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 33 C0 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 05 B9 05 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 55 FC 8B 45 F4 8B 08 FF 51 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 3B F8 7E 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B DF 4B 85 DB 7C 1F 43 33 F6 8B 4D F0 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 E4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B F7 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 4B 2B DE 7C 1D 43 8B 4D F0 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_81998_0 {
	meta:
		name = "TCustomImageList.Move"
		size = 112
		refs = "001c TCustomImageList.GetHandle 002b ImageList_Copy 0067 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 3B CD 7D 29 8B F9 8B DD 4B 2B DF 7C 4B 43 6A 01 55 8B C6 E8 ?? ?? ?? ?? 50 57 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 47 4B 75 E3 EB 2B 3B CD 7E 27 8B F9 8D 5D 01 2B DF 7F 1E 4B 6A 01 55 8B C6 E8 ?? ?? ?? ?? 50 57 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 4F 43 75 E3 8B C6 66 BE F0 FF E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_81999_0 {
	meta:
		name = "TCustomImageList.AddImage"
		size = 53
		refs = "0011 TCustomImageList.GetCount 001a TCustomImageList.GetHandle 0025 TCustomImageList.CopyImages"
	strings:
		$1 = { 53 56 57 55 8B E9 8B F2 8B D8 85 F6 74 1D 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CD 8B C3 E8 ?? ?? ?? ?? EB 03 83 CF FF 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82000_0 {
	meta:
		name = "TCustomImageList.AddImages"
		size = 32
		refs = "000d TCustomImageList.GetHandle 0019 TCustomImageList.CopyImages"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 13 8B C6 E8 ?? ?? ?? ?? 8B D0 83 C9 FF 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82001_0 {
	meta:
		name = "TCustomImageList.Assign"
		size = 144
		refs = "0011 TCustomImageList.FreeHandle 001b _DV_TCustomImageList 0020 @IsClass 002b _Dn_TMemoryStream 0030 TObject.Create 003b TCustomImageList.Assign 0057 TStream.SetPosition 0076 TObject.Free 007c @HandleFinally 0087 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 85 F6 75 09 8B C3 E8 ?? ?? ?? ?? EB 74 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 4C 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82002_0 {
	meta:
		name = "TCustomImageList.AssignTo"
		size = 131
		refs = "000e _DV_TCustomImageList 0013 @IsClass 001e _Dn_TMemoryStream 0023 TObject.Create 002e TCustomImageList.AssignTo 004a TStream.SetPosition 0069 TObject.Free 006f @HandleFinally 007a TPersistent.AssignTo"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 4C 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82003_0 {
	meta:
		name = "TCustomImageList.CheckImage"
		size = 120
		refs = "000f TCustomImageList.CheckImage 0039 SInvalidImageSize 003e LoadResString 0048 _Dn_EInvalidOperation 004d Exception.Create 0052 @RaiseExcept 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 39 8B C6 8B 10 FF 52 24 3B 43 38 7C 0C 8B C6 8B 10 FF 52 30 3B 43 3C 7D 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82004_0 {
	meta:
		name = "TCustomImageList.SetDrawingStyle"
		size = 24
		refs = "0012 @CallDynaInst"
	strings:
		$1 = { 56 8B F0 3A 56 48 74 0E 88 56 48 8B C6 66 BE F0 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_82006_0 {
	meta:
		name = "TCustomImageList.GetInstRes"
		size = 31
		refs = "0016 TCustomImageList.InternalGetInstRes"
	strings:
		$1 = { 55 8B EC 53 8B 5D 14 53 8B 5D 10 53 0F B6 5D 0C 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_82007_0 {
	meta:
		name = "TCustomImageList.GetInstRes"
		size = 52
		refs = "0010 @UStrToPWChar 0029 TCustomImageList.InternalGetInstRes"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 8B 45 14 E8 ?? ?? ?? ?? 50 8B 45 10 50 0F B6 45 0C 50 8B 45 08 50 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_82008_0 {
	meta:
		name = "TCustomImageList.InternalGetInstRes"
		size = 144
		refs = "004b ResMap 0065 ImageList_LoadImage 0077 TCustomImageList.CopyImages 007d ImageList_Destroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FB 89 55 FC 8B F8 8B 45 0C 33 F6 A8 01 74 03 83 CE 00 A8 02 74 03 83 CE 40 A8 04 74 03 83 CE 10 A8 08 74 06 81 CE 00 10 00 00 A8 10 74 03 83 CE 20 A8 20 74 03 83 CE 01 56 0F B6 45 FB 8B 04 85 ?? ?? ?? ?? 50 8B 45 08 50 8B 47 40 50 8B 45 10 50 8B 45 14 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 16 83 C9 FF 8B D3 8B C7 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? B0 01 EB 02 33 C0 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_82009_0 {
	meta:
		name = "TCustomImageList.GetResource"
		size = 36
		refs = "0015 MainInstance 001c TCustomImageList.GetInstRes"
	strings:
		$1 = { 55 8B EC 51 8B 4D 10 51 0F B6 4D 0C 51 8B 4D 08 51 8B CA 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_82010_0 {
	meta:
		name = "TCustomImageList.ResInstLoad"
		size = 40
		refs = "000f TCustomImageList.ResInstLoad 0019 TCustomImageList.GetInstRes"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 53 8B 58 3C 53 0F B6 1D ?? ?? ?? ?? 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_82011_0 {
	meta:
		name = "TCustomImageList.ResourceLoad"
		size = 216
		refs = "0015 MainInstance 001d HInstance 0031 TCustomImageList.ResourceLoad 004a TCustomImageList.GetInstRes 0054 LibModuleList"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 88 55 FB 89 45 FC 33 DB A1 ?? ?? ?? ?? 8B 00 3B 05 ?? ?? ?? ?? 75 2F 8B 45 F4 50 8B 45 FC 8B 40 3C 50 0F B6 05 ?? ?? ?? ?? 50 8B 45 08 50 0F B6 4D FB 8B 15 ?? ?? ?? ?? 8B 12 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 74 8B 35 ?? ?? ?? ?? 8B 36 85 F6 74 68 8B FE 8B 45 F4 50 8B 45 FC 8B 40 3C 50 0F B6 05 ?? ?? ?? ?? 50 8B 45 08 50 0F B6 4D FB 8B 57 10 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 75 30 8B 47 04 3B 47 10 74 28 8B 45 F4 50 8B 45 FC 8B 40 3C 50 0F B6 05 ?? ?? ?? ?? 50 8B 45 08 50 0F B6 4D FB 8B 57 04 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 75 06 8B 36 85 F6 75 98 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_82012_0 {
	meta:
		name = "TCustomImageList.FileLoad"
		size = 36
		refs = "000b TCustomImageList.FileLoad 0015 TCustomImageList.GetResource"
	strings:
		$1 = { 55 8B EC 53 8B 58 3C 53 0F B6 1D ?? ?? ?? ?? 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 04 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_82013_0 {
	meta:
		name = "TCustomImageList.Change"
		size = 77
		refs = "0028 TList.Get 0031 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B D8 C6 43 60 01 83 7B 64 00 7F 38 8B 43 54 85 C0 74 22 8B 78 08 4F 85 FF 7C 1A 47 33 ED 8B D5 8B 43 54 E8 ?? ?? ?? ?? 66 BE FF FF E8 ?? ?? ?? ?? 45 4F 75 E9 66 83 7B 6A 00 74 08 8B D3 8B 43 6C FF 53 68 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82014_0 {
	meta:
		name = "TCustomImageList.UnRegisterChanges"
		size = 66
		refs = "0020 TList.Get 0033 TList.Delete"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 43 54 85 C0 74 2E 8B 78 08 4F 85 FF 7C 26 47 33 F6 8B D6 8B 43 54 E8 ?? ?? ?? ?? 3B E8 75 11 33 C0 89 45 04 8B D6 8B 43 54 E8 ?? ?? ?? ?? EB 04 46 4F 75 DD 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82015_0 {
	meta:
		name = "TCustomImageList.RegisterChanges"
		size = 18
		refs = "000d TList.Add"
	strings:
		$1 = { 89 42 04 8B 48 54 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82016_0 {
	meta:
		name = "StreamsEqual"
		size = 66
		refs = "0030 CompareMem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 12 52 50 8B C6 8B 10 FF 12 3B 54 24 04 75 03 3B 04 24 5A 58 75 17 8B C3 8B 10 FF 12 8B C8 8B 56 04 8B 43 04 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_82017_0 {
	meta:
		name = "TCustomImageList.Equal"
		size = 238
		refs = "0014 TCustomImageList.GetCount 0050 _Dn_TMemoryStream 0055 TObject.Create 0060 TCustomImageList.Equal 00a2 StreamsEqual 00ba TObject.Free 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B FA 8B F0 85 FF 74 14 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 3B D8 74 09 C6 45 FF 00 E9 B5 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 75 14 8B C7 E8 ?? ?? ?? ?? 85 C0 75 09 C6 45 FF 01 E9 96 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C6 8B 08 FF 51 4C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B C7 8B 08 FF 51 4C 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82018_0 {
	meta:
		name = "DoWrite"
		size = 87
		refs = "001d _DV_TCustomImageList 0022 @IsClass 0033 TCustomImageList.Equal 004b TCustomImageList.GetCount"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 83 78 20 00 74 34 8B 45 08 8B 40 FC 8B 58 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B D3 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 15 B0 01 5B 5D C3 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 5B 5D C3 }
	condition:
		$1
}

rule function_82019_0 {
	meta:
		name = "TCustomImageList.DefineProperties"
		size = 100
		refs = "0014 TComponent.DefineProperties 002e DoWrite 0036 TCustomImageList.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 8B 40 48 50 8B 45 F8 50 8B 00 8B 40 4C 50 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 08 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 69 00 74 00 6D 00 61 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_82020_0 {
	meta:
		name = "TCustomImageList.ReadD2Stream"
		size = 658
		refs = "0019 TStream.ReadBuffer 002f _Dn_TBitmap 0034 TBitmap.Create 003f TCustomImageList.ReadD2Stream 004c TStream.GetPosition 0067 TStream.SetPosition 00d2 TBitmap.SetMonochrome 0108 Rect 0110 TCustomImageList.BeginUpdate 0199 Bounds 01a5 TBitmap.GetCanvas 01b7 TCanvas.CopyRect 020b TCustomImageList.Add 0235 TObject.Free 0245 TCustomImageList.EndUpdate 024b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B F2 89 45 FC 8D 55 E8 B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 55 E4 B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 8B D6 8B 45 F8 8B 08 FF 51 5C 8B C3 03 45 E8 99 52 50 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F0 8B 08 FF 51 5C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 50 3C 8B 45 F4 8B 08 FF 51 44 8B 45 FC 8B 50 38 8B 45 F4 8B 08 FF 51 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC B2 01 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 50 3C 8B 45 EC 8B 08 FF 51 44 8B 45 FC 8B 50 38 8B 45 EC 8B 08 FF 51 38 8B 45 FC 8B 40 38 50 8D 45 D0 50 8B 45 FC 8B 48 3C 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 24 8B 55 FC 8B 4A 38 99 F7 F9 48 85 C0 0F 8C E8 00 00 00 40 89 45 E0 33 FF 83 7D E4 00 0F 84 D8 00 00 00 8B 45 F8 8B 10 FF 52 30 8B 55 FC 8B 4A 3C 99 F7 F9 8B F0 4E 85 F6 0F 8C B2 00 00 00 46 33 DB 83 7D E4 00 0F 84 A5 00 00 00 8B 45 FC 8B 40 38 50 8D 45 C0 50 8B 45 FC 8B 48 3C 8B 45 FC 8B 50 38 0F AF D7 8B 45 FC 8B 40 3C 0F AF C3 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 D0 59 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 50 8D 45 C0 50 8B 45 FC 8B 48 3C 8B 45 FC 8B 50 38 0F AF D7 8B 45 FC 8B 40 3C 0F AF C3 E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 EC E8 ?? ?? ?? ?? 8D 55 D0 59 E8 ?? ?? ?? ?? 8B 4D EC 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? FF 4D E4 43 4E 0F 85 51 FF FF FF 47 FF 4D E0 0F 85 1E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82021_0 {
	meta:
		name = "TCustomImageList.ReadD3Stream"
		size = 449
		refs = "0016 _Dn_TStreamAdapter 001b TStreamAdapter.Create 0026 TCustomImageList.ReadD3Stream 003c ImageList_Read 0046 TCustomImageList.SetHandle 005b TObject.Free 0061 @HandleFinally 0079 _Dn_TMemoryStream 007e TObject.Create 009b TStream.SetPosition 00a6 TMemoryStream.LoadFromStream 01a6 SImageReadFail 01ad _Dn_EReadError 01b2 Exception.CreateRes 01b7 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 55 F8 89 45 FC 6A 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 85 C0 74 03 83 E8 EC 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 83 78 44 00 0F 85 47 01 00 00 33 DB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 6A 00 6A 12 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 EF B9 01 00 00 00 8B 45 F0 8B 30 FF 56 0C 48 75 4C 80 7D EF 01 75 46 6A 00 6A 38 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 EE B9 01 00 00 00 8B 45 F0 8B 30 FF 56 0C 48 75 27 0F B6 45 EE 08 45 EF 6A 00 6A 12 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 EF B9 01 00 00 00 8B 45 F0 8B 18 FF 53 10 48 0F 94 C3 84 DB 74 65 6A 00 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 6A 00 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 85 C0 74 03 83 E8 EC 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 83 78 44 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82022_0 {
	meta:
		name = "TCustomImageList.ReadData"
		size = 176
		refs = "000d TCustomImageList.FreeHandle 0014 TStream.GetPosition 0053 TStream.SetPosition 0071 TCustomImageList.ReadD3Stream 007c TCustomImageList.ReadD2Stream 0081 TStyleManager.GetActiveStyle 0091 TCustomImageList.GetHandle 0097 ImageList_GetImageCount 00a5 ImageList_SetImageCount"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 44 24 0C 8B D4 B9 04 00 00 00 8B C7 8B 18 FF 53 0C 8D 54 24 04 B9 04 00 00 00 8B C7 8B 18 FF 53 0C 0F B6 1C 24 0F B7 04 24 C1 E8 08 88 44 24 08 8B 44 24 0C 99 52 50 8B C7 E8 ?? ?? ?? ?? 8B 04 24 3B 44 24 04 74 17 80 FB 49 75 12 80 7C 24 08 4C 75 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 75 1B 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82023_0 {
	meta:
		name = "TCustomImageList.WriteData"
		size = 368
		refs = "000d CachedComCtrlVer 0015 TCustomImageList.WriteData 001a GetFileVersion 0035 GetModuleHandle 0046 GetProcAddress 004b ImageListWriteExProc 0056 _Dn_TStreamAdapter 005b TStreamAdapter.Create 0089 TCustomImageList.GetHandle 009a SImageWriteFail 00a1 _Dn_EWriteError 00a6 Exception.CreateRes 00ab @RaiseExcept 00c5 ImageList_Write 00f5 TObject.Free 00fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 83 3D ?? ?? ?? ?? 00 75 3B B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 81 3D ?? ?? ?? ?? 00 00 06 00 72 20 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 74 10 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 38 8B 45 FC 85 C0 74 03 83 E8 EC 50 6A 01 8B C3 E8 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 85 C0 74 4C 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 33 8B 45 FC 85 C0 74 03 83 E8 EC 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 6F 00 6D 00 63 00 74 00 6C 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 63 00 6F 00 6D 00 63 00 74 00 6C 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 49 00 6D 00 61 00 67 00 65 00 4C 00 69 00 73 00 74 00 5F 00 57 00 72 00 69 00 74 00 65 00 45 00 78 00 00 00 }
	condition:
		$1
}

rule function_82024_0 {
	meta:
		name = "TCustomImageList.BeginUpdate"
		size = 4
	strings:
		$1 = { FF 40 64 C3 }
	condition:
		$1
}

rule function_82025_0 {
	meta:
		name = "TCustomImageList.EndUpdate"
		size = 31
		refs = "0019 @CallDynaInst"
	strings:
		$1 = { 56 83 78 64 00 7E 03 FF 48 64 80 78 60 00 74 0D C6 40 60 00 66 BE F0 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_82026_0 {
	meta:
		name = "TChangeLink.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0015 TCustomImageList.UnRegisterChanges 0020 TObject.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82027_0 {
	meta:
		name = "TChangeLink.Change"
		size = 21
	strings:
		$1 = { 53 66 83 78 0A 00 74 0B 8B D8 8B 50 04 8B 43 0C FF 53 08 5B C3 }
	condition:
		$1
}

rule function_82030_0 {
	meta:
		name = "StartPan"
		size = 45
		refs = "000a Mouse 0011 TMouse.CreatePanningWindow"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 33 DB A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 85 C0 74 0E 8B CF 8B D6 8B 18 FF 93 00 01 00 00 8B D8 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82031_0 {
	meta:
		name = "StopPan"
		size = 28
		refs = "0001 Mouse 0017 TMouse.SetPanningWindow"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 83 78 28 00 74 0E A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82032_0 {
	meta:
		name = "TPanningWindow.Create"
		size = 172
		refs = "000e @ClassCreate 001c TCustomControl.Create 0025 TPanningWindow.Create 003f TBrush.SetStyle 0048 _Dn_TTimer 004d TTimer.Create 0061 TTimer.SetInterval 006e TTimer.SetEnabled 0075 _Dn_TIcon 007a TIcon.Create 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 58 0B 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? F7 D2 23 D0 89 53 58 8B 83 C8 01 00 00 B2 01 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 80 02 00 00 8B C6 BA 28 00 00 00 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 33 D2 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 98 02 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 40 00 00 00 00 00 08 00 }
	condition:
		$1
}

rule function_82033_0 {
	meta:
		name = "TPanningWindow.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 001c TObject.Free 0032 TCustomControl.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 92 04 01 00 00 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B 86 98 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82034_0 {
	meta:
		name = "TPanningWindow.CreateParams"
		size = 60
		refs = "0006 TWinControl.CreateParams 002a NewStyleControls"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 33 C0 89 43 0C 33 C0 89 43 10 C7 43 14 01 00 00 00 C7 43 18 01 00 00 00 C7 43 04 00 00 00 80 A1 ?? ?? ?? ?? 80 38 00 74 07 C7 43 08 80 00 08 00 5B C3 }
	condition:
		$1
}

rule function_82035_0 {
	meta:
		name = "TPanningWindow.DoUpdate"
		size = 62
	strings:
		$1 = { 53 8B DA 66 83 B8 AA 02 00 00 00 74 15 51 8B CB 8B D8 8B D0 8B 83 AC 02 00 00 FF 93 A8 02 00 00 5B C3 B9 02 00 00 00 8B 03 99 F7 F9 89 03 B9 02 00 00 00 8B 43 04 99 F7 F9 89 43 04 5B C3 }
	condition:
		$1
}

rule function_82036_0 {
	meta:
		name = "TPanningWindow.DoWheelTimer"
		size = 68
		refs = "0009 Mouse 0010 TMouse.GetCursorPos 001d ScreenToClient"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B D4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 54 8B 83 DC 01 00 00 50 E8 ?? ?? ?? ?? 8B 83 88 02 00 00 29 44 24 04 8B 83 84 02 00 00 29 04 24 8B D4 8B C3 8B 08 FF 91 10 01 00 00 59 5A 5B C3 }
	condition:
		$1
}

rule function_82037_0 {
	meta:
		name = "TPanningWindow.GetIsPanning"
		size = 8
	strings:
		$1 = { 0F B6 80 95 02 00 00 C3 }
	condition:
		$1
}

rule function_82038_0 {
	meta:
		name = "TPanningWindow.GetPanInterval"
		size = 10
	strings:
		$1 = { 8B 80 80 02 00 00 8B 40 38 C3 }
	condition:
		$1
}

rule function_82039_0 {
	meta:
		name = "TPanningWindow.GetPanOptions"
		size = 60
		refs = "0005 TPanningWindow.GetPanOptions 0017 GetWindowLongPtr"
	strings:
		$1 = { 53 56 0F B6 1D ?? ?? ?? ?? 8B 80 DC 01 00 00 BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 8B F0 F7 C6 00 00 10 00 74 03 80 CB 02 F7 C6 00 00 20 00 74 03 80 CB 01 8B C3 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_82040_0 {
	meta:
		name = "TPanningWindow.MakeImageRegion"
		size = 86
		refs = "0005 SetLayeredWindowAttributes 0017 TWinControl.GetHandle 003d CreateEllipticRgn 004f SetWindowRgn"
	strings:
		$1 = { 53 56 8B D8 A1 ?? ?? ?? ?? 83 38 00 74 1A 6A 01 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 5E 5B C3 8B 83 A4 02 00 00 48 50 8B 83 A0 02 00 00 48 50 6A 03 6A 03 E8 ?? ?? ?? ?? 8B F0 6A 00 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82041_0 {
	meta:
		name = "TPanningWindow.MouseMove"
		size = 94
		refs = "0018 TControl.MouseMove 0020 Mouse 0027 TMouse.GetCursorPos 0037 ScreenToClient 0053 TPanningWindow.UpdateCursor"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 66 89 55 FE 8B D8 8B 45 08 50 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 83 DC 01 00 00 50 E8 ?? ?? ?? ?? 8B 83 88 02 00 00 29 45 F8 8B 83 84 02 00 00 29 45 F4 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_82042_0 {
	meta:
		name = "TPanningWindow.Paint"
		size = 25
	strings:
		$1 = { 53 8B 90 98 02 00 00 52 33 C9 33 D2 8B 80 78 02 00 00 8B 18 FF 53 44 5B C3 }
	condition:
		$1
}

rule function_82043_0 {
	meta:
		name = "TPanningWindow.SetPanCursor"
		size = 384
		refs = "0024 TPanningWindow.SetPanCursor 0155 Screen 015c TScreen.GetCursors 0162 SetCursor"
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 04 24 3A 83 9E 02 00 00 0F 84 4F 01 00 00 0F B6 04 24 88 83 9E 02 00 00 0F B6 05 ?? ?? ?? ?? 22 04 24 0F B6 15 ?? ?? ?? ?? 3A D0 75 7F 66 BB C8 FF 0F B6 05 ?? ?? ?? ?? 22 04 24 0F B6 15 ?? ?? ?? ?? 3A D0 75 26 66 BB C4 FF 0F B6 05 ?? ?? ?? ?? 22 04 24 0F B6 15 ?? ?? ?? ?? 3A D0 0F 85 E5 00 00 00 66 BB CE FF E9 DC 00 00 00 0F B6 05 ?? ?? ?? ?? 22 04 24 0F B6 15 ?? ?? ?? ?? 3A D0 75 09 66 BB CB FF E9 BE 00 00 00 0F B6 05 ?? ?? ?? ?? 22 04 24 0F B6 15 ?? ?? ?? ?? 3A D0 0F 85 A5 00 00 00 66 BB C9 FF E9 9C 00 00 00 0F B6 05 ?? ?? ?? ?? 22 04 24 0F B6 15 ?? ?? ?? ?? 3A D0 75 3A 66 BB CA FF 0F B6 05 ?? ?? ?? ?? 22 04 24 0F B6 15 ?? ?? ?? ?? 3A D0 75 06 66 BB C5 FF EB 68 0F B6 05 ?? ?? ?? ?? 22 04 24 0F B6 15 ?? ?? ?? ?? 3A D0 75 53 66 BB CC FF EB 4D 0F B6 05 ?? ?? ?? ?? 22 04 24 0F B6 15 ?? ?? ?? ?? 3A D0 75 1F 66 BB C7 FF 0F B6 05 ?? ?? ?? ?? 22 04 24 0F B6 15 ?? ?? ?? ?? 3A D0 75 1F 66 BB C6 FF EB 19 0F B6 05 ?? ?? ?? ?? 22 04 24 0F B6 15 ?? ?? ?? ?? 3A D0 75 19 66 BB CD FF 0F BF D3 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 5B C3 00 00 00 08 00 00 00 01 00 00 00 06 00 00 00 02 00 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_82045_0 {
	meta:
		name = "TPanningWindow.StartPanning"
		size = 732
		refs = "0010 TPanningWindow.StartPanning 001d TWinControl.SetParentWindow 004d Mouse 0054 TMouse.GetCursorPos 0061 ScreenToClient 009a TPanningWindow.DoWheelTimer 00a5 TTimer.SetOnTimer 00b2 TTimer.SetEnabled 00b7 Screen 00e4 HInstance 00ea LoadIcon 00f7 TIcon.SetHandle 01c6 Rect 01e7 ClientToScreen 0233 TControl.SetBoundsRect 023a TPanningWindow.MakeImageRegion 024d SetCaptureControl 025b TPanningWindow.GetPanControl 0282 TControl.SetVisible"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B F9 8B F0 33 DB 0F B6 05 ?? ?? ?? ?? 88 86 94 02 00 00 8B C6 E8 ?? ?? ?? ?? 89 BE B0 02 00 00 8B C6 8B 10 FF 92 08 01 00 00 88 86 94 02 00 00 0F B6 05 ?? ?? ?? ?? 3A 86 94 02 00 00 0F 84 3E 02 00 00 8B D4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 54 8B 86 DC 01 00 00 50 E8 ?? ?? ?? ?? 8B 04 24 89 86 84 02 00 00 8B 44 24 04 89 86 88 02 00 00 33 C0 89 44 24 10 33 C0 89 44 24 14 8B 44 24 10 89 86 8C 02 00 00 8B 44 24 14 89 86 90 02 00 00 56 68 ?? ?? ?? ?? 8B 86 80 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 86 80 02 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 0F B7 40 4C 66 89 86 9C 02 00 00 0F B6 05 ?? ?? ?? ?? 88 86 9E 02 00 00 F6 86 94 02 00 00 01 75 26 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 0F B6 1D ?? ?? ?? ?? EB 53 F6 86 94 02 00 00 02 75 26 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 0F B6 1D ?? ?? ?? ?? EB 24 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 0F B6 1D ?? ?? ?? ?? 8B 86 98 02 00 00 8B 10 FF 52 30 89 86 A0 02 00 00 8B 86 98 02 00 00 8B 10 FF 52 24 8B F8 89 BE A4 02 00 00 8B 86 A4 02 00 00 D1 F8 79 03 83 D0 00 03 44 24 04 50 8D 44 24 1C 50 D1 FF 79 03 83 D7 00 8B 54 24 0C 2B D7 8B 86 A0 02 00 00 D1 F8 79 03 83 D0 00 50 8B 6C 24 0C 8B C5 59 2B C1 8B 8E A0 02 00 00 D1 F9 79 03 83 D1 00 03 CD E8 ?? ?? ?? ?? 8B 44 24 18 89 44 24 08 8B 44 24 1C 89 44 24 0C 8D 44 24 08 50 8B 86 DC 01 00 00 50 E8 ?? ?? ?? ?? 8B 44 24 08 89 44 24 18 8B 44 24 0C 89 44 24 1C 8B 44 24 20 89 44 24 08 8B 44 24 24 89 44 24 0C 8D 44 24 08 50 8B 86 DC 01 00 00 50 E8 ?? ?? ?? ?? 8B 44 24 08 89 44 24 20 8B 44 24 0C 89 44 24 24 8D 54 24 18 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 8B 08 FF 91 0C 01 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 95 02 00 00 01 8B C6 E8 ?? ?? ?? ?? 85 C0 74 1A 8B C6 E8 ?? ?? ?? ?? 8B 58 5C 0B 1D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 58 5C B2 01 8B C6 E8 ?? ?? ?? ?? B3 01 8B C3 83 C4 28 5D 5F 5E 5B C3 00 00 00 00 00 00 56 00 43 00 4C 00 5F 00 45 00 57 00 00 00 00 00 0C 00 00 00 56 00 43 00 4C 00 5F 00 4E 00 53 00 00 00 00 00 03 00 00 00 56 00 43 00 4C 00 5F 00 4E 00 45 00 53 00 57 00 00 00 00 00 0F 00 00 00 00 10 00 00 }
	condition:
		$1
}

rule function_82046_0 {
	meta:
		name = "TPanningWindow.StopPanning"
		size = 124
		refs = "001d TTimer.SetEnabled 0024 SetCaptureControl 0029 Screen 0037 TScreen.SetCursor 003e TPanningWindow.GetPanControl 004f TPanningWindow.StopPanning 0067 TControl.SetVisible"
	strings:
		$1 = { 53 56 8B D8 80 BB 95 02 00 00 00 74 68 C6 83 95 02 00 00 00 33 D2 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 0F B7 93 9C 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1C 8B C3 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? F7 D6 23 70 5C 8B C3 E8 ?? ?? ?? ?? 89 70 5C 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 CC 00 00 00 5E 5B C3 00 10 00 00 }
	condition:
		$1
}

rule function_82047_0 {
	meta:
		name = "TPanningWindow.UpdateCursor"
		size = 356
		refs = "000d TPanningWindow.UpdateCursor 00f3 @CallDynaInst 0114 Mouse"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B DA 8B F8 0F B6 05 ?? ?? ?? ?? 88 04 24 8B C7 8B 10 FF 92 08 01 00 00 A8 01 75 05 33 C0 89 43 04 8B C7 8B 10 FF 92 08 01 00 00 A8 02 75 04 33 C0 89 03 8B 03 99 33 C2 2B C2 83 F8 08 7D 4D 8B 43 04 99 33 C2 2B C2 83 F8 08 7D 40 8B C7 8B 10 FF 92 08 01 00 00 A8 01 75 0C 0F B6 05 ?? ?? ?? ?? 88 04 24 EB 6F 8B C7 8B 10 FF 92 08 01 00 00 A8 02 75 0C 0F B6 05 ?? ?? ?? ?? 88 04 24 EB 55 0F B6 05 ?? ?? ?? ?? 88 04 24 EB 49 8B C7 8B 10 FF 92 08 01 00 00 A8 02 74 16 8B 03 83 F8 F8 7D 06 80 0C 24 04 EB 09 83 F8 08 7E 04 80 0C 24 08 8B C7 8B 10 FF 92 08 01 00 00 A8 01 74 17 8B 43 04 83 F8 F8 7D 06 80 0C 24 01 EB 09 83 F8 08 7E 04 80 0C 24 02 8B 03 89 44 24 04 8B 43 04 89 44 24 08 8B CC 8B D3 8B C7 66 BE AE FF E8 ?? ?? ?? ?? 8B 44 24 04 89 87 8C 02 00 00 8B 44 24 08 89 87 90 02 00 00 8B 03 99 33 C2 2B C2 8B 15 ?? ?? ?? ?? 8B 12 3B 42 08 7D 04 33 C0 89 03 8B 43 04 99 33 C2 2B C2 8B 15 ?? ?? ?? ?? 8B 12 3B 42 08 7D 05 33 C0 89 43 04 0F B6 14 24 8B C7 8B 08 FF 91 0C 01 00 00 83 C4 0C 5F 5E 5B C3 00 00 00 00 00 00 0C 00 00 00 03 00 00 00 0F 00 00 00 }
	condition:
		$1
}

rule function_82048_0 {
	meta:
		name = "TPanningWindow.UpdateScroll"
		size = 224
		refs = "0014 TPanningWindow.UpdateCursor 003a cHorzCode 0047 Mouse 0071 SendMessage 009c cVertCode"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 08 01 00 00 A8 02 74 52 83 3C 24 00 74 4C 8B 0C 24 85 C9 0F 9E C0 83 E0 7F 8B 3C 85 ?? ?? ?? ?? 8B C1 99 33 C2 2B C2 8B 15 ?? ?? ?? ?? 8B 12 8B 4A 08 99 F7 F9 8B D8 4B 85 DB 7C 1E 43 6A 00 0F B7 C7 83 C8 00 50 68 14 01 00 00 8B 86 DC 01 00 00 50 E8 ?? ?? ?? ?? 4B 75 E3 8B C6 8B 10 FF 92 08 01 00 00 A8 01 74 54 83 7C 24 04 00 74 4D 8B 4C 24 04 85 C9 0F 9E C0 83 E0 7F 8B 3C 85 ?? ?? ?? ?? 8B C1 99 33 C2 2B C2 8B 15 ?? ?? ?? ?? 8B 12 8B 4A 08 99 F7 F9 8B D8 4B 85 DB 7C 1E 43 6A 00 0F B7 C7 83 C8 00 50 68 15 01 00 00 8B 86 DC 01 00 00 50 E8 ?? ?? ?? ?? 4B 75 E3 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82049_0 {
	meta:
		name = "CursorToIdent"
		size = 13
		refs = "0003 cIdentCursor 0008 IntToIdent"
	strings:
		$1 = { 6A 0A B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82050_0 {
	meta:
		name = "IdentToCursor"
		size = 13
		refs = "0003 cIdentCursor 0008 IdentToInt"
	strings:
		$1 = { 6A 0A B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82051_0 {
	meta:
		name = "LoadCursors"
		size = 123
		refs = "000c LoadCursors 001c cCursor 0022 HInstance 002c @UStrLAsg 0034 @UStrToPWChar 003b LoadCursor 0041 Screen 004e TScreen.SetCursors 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 0B 00 00 00 BB ?? ?? ?? ?? 8B 3D ?? ?? ?? ?? 8D 45 FC 8B 13 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B C8 8B 43 FC 92 E8 ?? ?? ?? ?? 83 C3 08 4E 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82052_0 {
	meta:
		name = "DestroyCursors"
		size = 37
		refs = "0008 cCursor 000d Screen 0018 TScreen.SetCursors"
	strings:
		$1 = { 53 56 BE 0B 00 00 00 BB ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 C9 8B 13 E8 ?? ?? ?? ?? 83 C3 08 4E 75 EA 5E 5B C3 }
	condition:
		$1
}

rule function_82053_0 {
	meta:
		name = "TPanningWindow.WndProc"
		size = 83
		refs = "004d TWinControl.WndProc"
	strings:
		$1 = { 56 8B F0 8B 02 3D 07 02 00 00 7F 1A 74 30 83 E8 08 74 2B 83 E8 17 74 26 2D E2 01 00 00 74 1F 83 E8 03 74 1A EB 24 2D 0A 02 00 00 74 11 83 E8 0B 74 0C 2D EF AD 00 00 74 05 83 E8 3F 75 0C 8B C6 8B 10 FF 92 04 01 00 00 5E C3 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_82055_0 {
	meta:
		name = "Finalization"
		size = 95
		refs = "0007 Finalization 0013 _DV_2 001a DestroyCursors 001f cCursor 002a TIdentMapEntry 002f @FinalizeArray 0034 cIdentCursor 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2F E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0B 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0B 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_82056_0 {
	meta:
		name = "Vcl.IMouse"
		size = 31
		refs = "0002 _DV_2 000a LoadCursors 000f Mouse 0017 _DV_TPanningWindow"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 15 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? 89 50 2C C3 }
	condition:
		$1
}

rule function_82057_0 {
	meta:
		name = "TListControlItem.Assign"
		size = 135
		refs = "000f _DV_TListControlItem 0014 @IsClass 0031 TListControlItem.Assign 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 66 8B 45 FC 8B 70 04 85 F6 74 07 8B C6 8B 10 FF 52 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B F3 8B 56 10 8B 45 FC 8B 08 FF 51 20 8B 56 18 8B 45 FC 8B 08 FF 51 28 8B 56 14 8B 45 FC 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB E9 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82058_0 {
	meta:
		name = "TListControlItem.Changed"
		size = 14
	strings:
		$1 = { 8B 50 0C 85 D2 74 06 92 8B 08 FF 51 1C C3 }
	condition:
		$1
}

rule function_82060_0 {
	meta:
		name = "TListControlItem.GetDisplayName"
		size = 47
		refs = "001c @UStrAsg 0028 TCollectionItem.GetDisplayName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0D 8B C6 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82061_0 {
	meta:
		name = "TListControlItem.SetCaption"
		size = 26
		refs = "000c @UStrAsg 0013 TListControlItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 10 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82062_0 {
	meta:
		name = "TListControlItem.SetData"
		size = 9
		refs = "0004 TListControlItem.Changed"
	strings:
		$1 = { 89 50 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90019_0 {
	meta:
		name = "TItemProp.SetMaxLength"
		size = 9
		refs = "0004 TItemProp.UpdateEdit"
	strings:
		$1 = { 89 50 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82063_0 {
	meta:
		name = "TListControlItem.SetImageIndex"
		size = 9
		refs = "0004 TListControlItem.Changed"
	strings:
		$1 = { 89 50 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82064_0 {
	meta:
		name = "ListItemsCompare"
		size = 42
		refs = "000e TListControlItems.GetListItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 59 8B 18 FF 53 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82065_0 {
	meta:
		name = "TListControlItems.Add"
		size = 15
		refs = "0006 TCollection.Add"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 89 58 0C 5B C3 }
	condition:
		$1
}

rule function_82066_0 {
	meta:
		name = "TListControlItems.CustomSort"
		size = 27
		refs = "0016 TListControlItems.QuickSort"
	strings:
		$1 = { 80 78 1D 00 74 14 8B 48 08 8B 49 08 83 F9 01 7E 09 52 49 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82067_0 {
	meta:
		name = "TListControlItems.CompareItems"
		size = 57
		refs = "0025 AnsiCompareStr 0033 AnsiCompareText"
	strings:
		$1 = { 53 66 83 78 22 00 74 0F 51 8B D8 8B CA 8B D0 8B 43 24 FF 53 20 5B C3 80 78 1C 00 74 0E 8B 41 10 8B 52 10 92 E8 ?? ?? ?? ?? EB 0C 8B 41 10 8B 52 10 92 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82069_0 {
	meta:
		name = "TListControlItems.ExchangeItems"
		size = 89
		refs = "0010 TListControlItems.GetListItem 002c TCollectionItem.GetIndex"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B E8 8B D7 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D7 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C5 8B 08 FF 51 14 8B D6 8B 04 24 8B 08 FF 51 14 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82072_0 {
	meta:
		name = "TListControlItems.SetSortType"
		size = 23
		refs = "000d ListItemsCompare 0012 TListControlItems.CustomSort"
	strings:
		$1 = { 3A 50 1D 74 11 88 50 1D 84 D2 74 0A BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82074_0 {
	meta:
		name = "TListControlItems.Create"
		size = 71
		refs = "000d @ClassCreate 001e TOwnedCollection.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 1C 00 C6 46 1D 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_82075_0 {
	meta:
		name = "TCustomListAction.Create"
		size = 85
		refs = "000a @ClassCreate 0017 TCustomAction.Create 002e TCustomAction.SetEnabled 0037 TCustomListAction.SetActive 0042 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 D0 00 00 00 FF FF FF FF C6 46 68 00 B2 01 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_82076_0 {
	meta:
		name = "TCustomListAction.ExecuteTarget"
		size = 268
		refs = "002a TCustomListAction.ExecuteTarget 0038 _Dn_TCustomListControl 003d @IsClass 0072 TList.Get 0078 _DV_TListActionLink 00ca _Dn_TControl 00cf @AsClass 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 89 45 FC 8B 45 FC 80 B8 B0 00 00 00 00 0F 85 EA 00 00 00 8B 45 FC C6 80 B0 00 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 74 8B C7 8B 10 FF 92 F8 00 00 00 8B 55 FC 89 82 D0 00 00 00 8B 45 FC 8B 40 58 8B 70 08 4E 85 F6 7C 53 46 33 DB 8B 45 FC 8B 40 58 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8B 45 FC 8B 40 58 8B D3 E8 ?? ?? ?? ?? 3B 78 20 74 1E 8B 45 FC 8B 40 58 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 D0 00 00 00 8B 08 FF 91 A4 00 00 00 43 4E 75 B0 8B 45 FC 66 83 B8 CA 00 00 00 00 74 21 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 5D FC 8B 55 FC 8B 83 CC 00 00 00 FF 93 C8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 B0 00 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82077_0 {
	meta:
		name = "TCustomListAction.GetCount"
		size = 43
	strings:
		$1 = { 53 51 C7 04 24 FF FF FF FF 66 83 B8 C2 00 00 00 00 74 12 8B CC 8B D8 8B D0 8B 83 C4 00 00 00 FF 93 C0 00 00 00 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_82080_0 {
	meta:
		name = "TCustomListAction.Loaded"
		size = 51
		refs = "0006 TComponent.Loaded 001a TCustomListAction.SetActive 002d TCustomListAction.SetImages"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 83 A9 00 00 00 84 C0 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 B4 00 00 00 85 C0 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82081_0 {
	meta:
		name = "TCustomListAction.SetActive"
		size = 260
		refs = "0074 TList.Get 007a _DV_TListActionLink 007f @IsClass 0095 TCustomListAction.SetActive 00d2 @HandleFinally 00fc TCustomListAction.SetItemIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F0 88 55 FB 89 45 FC 80 7D FB 00 74 1B 8B 45 FC F6 40 1C 01 74 12 8B 45 FC 0F B6 55 FB 88 90 A9 00 00 00 E9 D3 00 00 00 8B 45 FC 0F B6 80 A8 00 00 00 3A 45 FB 0F 84 C0 00 00 00 8B 45 FC 0F B6 55 FB 88 90 A8 00 00 00 8B 45 FC 8B 40 58 8B 40 08 48 85 C0 0F 8C 81 00 00 00 40 89 45 F0 C7 45 F4 00 00 00 00 8B 45 FC 8B 40 58 8B 55 F4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 51 8B 45 FC C6 80 B8 00 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 58 8B 55 F4 E8 ?? ?? ?? ?? 0F B6 55 FB 8B 08 FF 91 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 B8 00 00 00 00 C3 E9 ?? ?? ?? ?? EB EE FF 45 F4 FF 4D F0 75 8A 8B 45 FC 8B 10 FF 52 40 8B 45 FC 8B 80 D0 00 00 00 83 F8 FF 74 0A 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_82082_0 {
	meta:
		name = "TCustomListAction.SetImages"
		size = 108
		refs = "003c TList.Get 0042 _DV_TListActionLink 0047 @IsClass"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 85 ED 74 0E F6 43 1C 01 74 08 89 AB B4 00 00 00 EB 4D 3B AB AC 00 00 00 74 45 89 AB AC 00 00 00 8B 43 58 8B 78 08 4F 85 FF 7C 34 47 33 F6 8B D6 8B 43 58 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B D6 8B 43 58 E8 ?? ?? ?? ?? 8B D5 8B 08 FF 91 A0 00 00 00 46 4F 75 CF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82083_0 {
	meta:
		name = "TCustomListAction.SetItemIndex"
		size = 91
		refs = "0025 TList.Get 002b _DV_TListActionLink 0030 @IsClass"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 80 BB A8 00 00 00 00 74 45 8B 43 58 8B 78 08 4F 85 FF 7C 34 47 33 F6 8B D6 8B 43 58 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B D6 8B 43 58 E8 ?? ?? ?? ?? 8B D5 8B 08 FF 91 A4 00 00 00 46 4F 75 CF 89 AB D0 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82085_0 {
	meta:
		name = "TCustomVirtualListAction.GetItem"
		size = 80
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 33 DB 8B C6 8B 10 FF 52 64 85 C0 7E 2B 66 83 BE DA 00 00 00 00 0F 95 C3 84 DB 74 1C 8B 45 FC 50 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B 86 DC 00 00 00 FF 96 D8 00 00 00 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_82086_0 {
	meta:
		name = "TCustomVirtualListAction.GetString"
		size = 221
		refs = "001b TCustomVirtualListAction.GetString 0064 SNoGetItemEventHandler 0069 LoadResString 0073 _Dn_Exception 0078 Exception.Create 007d @RaiseExcept 0094 SListIndexError 00a8 Exception.CreateFmt 00c2 @UStrClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 64 3B F0 7D 53 8B C3 8B 10 FF 52 64 85 C0 7E 48 66 83 BB DA 00 00 00 00 74 1B 57 8D 45 FC 50 8D 45 F8 50 8B CE 8B D3 8B 83 DC 00 00 00 FF 93 D8 00 00 00 EB 51 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2E 89 75 EC C6 45 F0 00 8D 45 EC 50 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82087_0 {
	meta:
		name = "TStaticListItems.Notify"
		size = 418
		refs = "0051 TList.Get 005c _Dn_TCustomComboBoxEx 0061 @IsClass 0073 TComboExItems.Add 00a7 _Dn_TCustomListView 00be TListItems.Add 00cd TListItem.SetCaption 00dc TListItem.SetImage 00e9 TListItem.SetData 014b TCollectionItem.GetIndex 0193 TListItems.Delete"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F8 80 E9 01 72 0D FE C9 0F 84 E1 00 00 00 E9 7D 01 00 00 8B 47 28 85 C0 0F 84 72 01 00 00 80 B8 A8 00 00 00 00 0F 84 65 01 00 00 8B 40 58 8B 70 08 4E 85 F6 0F 8C 56 01 00 00 46 33 ED 8B 47 28 8B 40 58 8B D5 E8 ?? ?? ?? ?? 8B D8 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 39 8B 43 20 8B 80 0C 03 00 00 E8 ?? ?? ?? ?? 8B D8 8B 04 24 8B 50 10 8B C3 8B 08 FF 51 20 8B 04 24 8B 50 18 8B C3 8B 08 FF 51 28 8B 04 24 8B 50 14 8B C3 8B 08 FF 51 24 EB 4B 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 39 8B 43 20 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 04 24 8B 50 10 8B C3 E8 ?? ?? ?? ?? 8B 04 24 8B 48 18 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 04 24 8B 50 14 8B C3 E8 ?? ?? ?? ?? 45 4E 0F 85 53 FF FF FF E9 A1 00 00 00 8B 47 28 85 C0 0F 84 96 00 00 00 80 B8 A8 00 00 00 00 0F 84 89 00 00 00 8B 40 58 8B 70 08 4E 85 F6 7C 7E 46 33 ED 8B 47 28 8B 40 58 8B D5 E8 ?? ?? ?? ?? 89 44 24 04 8B 44 24 04 8B 40 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B 04 24 E8 ?? ?? ?? ?? 8B D0 8B 44 24 04 8B 40 20 8B 80 B4 02 00 00 8B 08 FF 51 48 EB 32 8B 44 24 04 8B 40 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8B 04 24 E8 ?? ?? ?? ?? 8B D0 8B 44 24 04 8B 40 20 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 45 4E 75 85 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82088_0 {
	meta:
		name = "TStaticListItems.Update"
		size = 268
		refs = "000e TListControlItems.Update 0060 TList.Get 006b _Dn_TCustomComboBoxEx 0070 @IsClass 007e TCollectionItem.GetIndex 008b TListControlItems.GetListItem 00b6 _Dn_TCustomListView 00d6 TListItems.GetItem 00e2 TListItem.SetCaption 00ee TListItem.SetImage 00f8 TListItem.SetData"
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 47 28 85 C0 0F 84 E9 00 00 00 85 DB 0F 84 E1 00 00 00 80 B8 A8 00 00 00 00 0F 84 D4 00 00 00 80 B8 B8 00 00 00 00 0F 85 C7 00 00 00 8B 40 58 8B 68 08 4D 85 ED 0F 8C B8 00 00 00 45 C7 04 24 00 00 00 00 8B 47 28 8B 40 58 8B 14 24 E8 ?? ?? ?? ?? 8B F0 8B 46 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 39 8B 76 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 86 0C 03 00 00 E8 ?? ?? ?? ?? 8B F0 8B 53 10 8B C6 8B 08 FF 51 20 8B 53 18 8B C6 8B 08 FF 51 28 8B 53 14 8B C6 8B 08 FF 51 24 EB 4B 8B 46 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 39 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 46 20 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 53 10 8B C6 E8 ?? ?? ?? ?? 8B 4B 18 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 53 14 8B C6 E8 ?? ?? ?? ?? FF 04 24 4D 0F 85 50 FF FF FF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82089_0 {
	meta:
		name = "TCustomStaticListAction.Create"
		size = 95
		refs = "000e @ClassCreate 001c TCustomListAction.Create 002d _DV_TStaticListItems 0032 TListControlItems.Create 004a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 70 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D8 00 00 00 89 5E 28 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82090_0 {
	meta:
		name = "TCustomStaticListAction.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TCustomAction.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 D8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82091_0 {
	meta:
		name = "TCustomStaticListAction.GetCount"
		size = 13
	strings:
		$1 = { 8B 80 D8 00 00 00 8B 40 08 8B 40 08 C3 }
	condition:
		$1
}

rule function_82092_0 {
	meta:
		name = "TCustomStaticListAction.GetItem"
		size = 97
		refs = "0031 TListControlItems.GetListItem"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B F8 85 F6 7C 11 8B 87 D8 00 00 00 8B 40 08 3B 70 08 0F 9C C0 EB 02 33 C0 8B D8 84 DB 74 32 8B D6 8B 87 D8 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 04 24 8B 08 FF 51 08 66 83 BF E2 00 00 00 00 74 11 54 8B CE 8B D7 8B 87 E4 00 00 00 FF 97 E0 00 00 00 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82094_0 {
	meta:
		name = "TCustomStaticListAction.GetString"
		size = 36
		refs = "0012 TListControlItems.GetListItem 001c @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 8B 50 10 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82095_0 {
	meta:
		name = "TCustomStaticListAction.SetListitems"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 D8 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_82096_0 {
	meta:
		name = "TCustomStaticListAction.SetString"
		size = 33
		refs = "0012 TListControlItems.GetListItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82098_0 {
	meta:
		name = "TListActionLink.IsImagesLinked"
		size = 43
		refs = "000b _DV_TCustomListAction 0010 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 10 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 83 BE AC 00 00 00 00 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_82099_0 {
	meta:
		name = "TListActionLink.SetAction"
		size = 68
		refs = "0007 TBasicActionLink.SetAction 0010 _Dn_TCustomListControl 0015 @IsClass 0024 _DV_TCustomListAction 003d TListActionLink.RefreshControl"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B 73 10 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 80 BE A8 00 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82100_0 {
	meta:
		name = "TListActionLink.SetActive"
		size = 105
		refs = "0011 _Dn_TCustomListControl 0016 @IsClass 0034 _DV_TCustomListAction 0062 TListActionLink.RefreshControl"
	strings:
		$1 = { 53 56 8B DA 8B F0 84 DB 75 21 8B 5E 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 48 8B C3 8B 10 FF 92 04 01 00 00 5E 5B C3 84 DB 74 1E 8B 46 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 46 10 80 B8 A8 00 00 00 00 74 19 8B 46 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82102_0 {
	meta:
		name = "TListActionLink.RefreshControl"
		size = 337
		refs = "0014 TListActionLink.RefreshControl 0023 _DV_TCustomListAction 0028 @IsClass 003b _Dn_TCustomListControl 0059 _DV_TStaticListAction 006f @AsClass 0094 TListControlItems.GetListItem 009f TCustomStaticListAction.GetItem 00cc _DV_TVirtualListAction 010b TCustomVirtualListAction.GetItem 013e @UStrClr 0144 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 F9 00 00 00 8B 5E 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B C3 8B 10 FF 92 04 01 00 00 8B 5E 10 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 62 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C7 8B 10 FF 52 64 48 85 C0 0F 8C A8 00 00 00 40 89 45 F0 33 DB 8B 87 D8 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 19 8B 87 D8 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 A8 00 00 00 43 FF 4D F0 75 C5 EB 65 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 54 8B C3 8B 10 FF 52 64 48 85 C0 7C 48 40 89 45 F0 33 DB 8B 46 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 45 F8 50 8D 45 F4 50 8D 4D FC 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 F4 50 8B 4D F8 8B 55 FC 8B C6 8B 38 FF 97 AC 00 00 00 43 FF 4D F0 75 BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82105_0 {
	meta:
		name = "TListActionLink.SetItemIndex"
		size = 43
		refs = "000e _Dn_TCustomListControl 0013 @IsClass"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D7 8B C6 8B 08 FF 91 FC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82108_0 {
	meta:
		name = "TCustomMaskEdit.Create"
		size = 88
		refs = "000a @ClassCreate 0017 TCustomEdit.Create 001e TCustomMaskEdit.Create 0029 DefaultBlank 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 86 B5 02 00 00 A1 ?? ?? ?? ?? 0F B7 00 66 89 86 AC 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_82109_0 {
	meta:
		name = "TCustomMaskEdit.KeyDown"
		size = 225
		refs = "001d TCustomEdit.KeyDown 0024 TCustomMaskEdit.GetMasked 005a TCustomMaskEdit.ArrowKeys 009a TCustomMaskEdit.HomeEndKeys 00cb TCustomMaskEdit.DeleteKeys 00d9 TCustomMaskEdit.CheckCursor"
	strings:
		$1 = { 53 56 51 66 89 0C 24 8B F2 8B D8 80 BB C4 02 00 00 00 75 0D 8B D6 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 AD 00 00 00 66 83 3E 00 0F 84 A3 00 00 00 F6 04 24 02 0F 85 99 00 00 00 66 83 3E 25 74 06 66 83 3E 27 75 21 0F B7 16 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? F6 04 24 01 75 79 F6 04 24 04 75 73 66 C7 06 00 00 EB 6C 66 83 3E 26 74 06 66 83 3E 28 75 07 66 C7 06 00 00 EB 59 66 83 3E 24 74 06 66 83 3E 23 75 15 0F B7 16 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? 66 C7 06 00 00 EB 38 66 83 3E 2E 75 06 F6 04 24 01 74 06 66 83 3E 08 75 1F 8B C3 8B 10 FF 92 1C 01 00 00 84 C0 74 0A 0F B7 16 8B C3 E8 ?? ?? ?? ?? 66 C7 06 00 00 EB 07 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_82110_0 {
	meta:
		name = "TCustomMaskEdit.KeyUp"
		size = 79
		refs = "001d TWinControl.KeyUp 0024 TCustomMaskEdit.GetMasked 0047 TCustomMaskEdit.CheckCursor"
	strings:
		$1 = { 53 56 51 66 89 0C 24 8B F2 8B D8 80 BB C4 02 00 00 00 75 0D 8B D6 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 66 83 3E 00 74 19 66 83 3E 25 74 06 66 83 3E 27 75 0D F6 04 24 04 74 07 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_82111_0 {
	meta:
		name = "TCustomMaskEdit.KeyPress"
		size = 112
		refs = "000c TCustomEdit.KeyPress 0013 TCustomMaskEdit.GetMasked 0025 TCustomMaskEdit.KeyPress 0041 TCustomMaskEdit.CharKeys"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2F 66 83 3E 00 74 29 0F B7 06 BF ?? ?? ?? ?? 66 3D FF 00 77 06 0F B7 C0 0F A3 07 0F 92 C0 84 C0 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? 66 C7 06 00 00 5F 5E 5B C3 00 00 08 00 40 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_82112_0 {
	meta:
		name = "TCustomMaskEdit.WMLButtonDown"
		size = 28
		refs = "000b TControl.WMLButtonDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 0F BF 46 08 89 83 BC 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_82113_0 {
	meta:
		name = "TCustomMaskEdit.WMLButtonUp"
		size = 94
		refs = "000e TControl.WMLButtonUp 0015 TCustomMaskEdit.GetMasked 0026 TCustomMaskEdit.GetSel 0055 TCustomMaskEdit.CheckCursor"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3C 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 83 B8 02 00 00 8B 04 24 3B 44 24 04 74 16 0F BF 46 08 3B 83 BC 02 00 00 7E 0A 8B 44 24 04 89 83 B8 02 00 00 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_82114_0 {
	meta:
		name = "TCustomMaskEdit.WMSetFocus"
		size = 30
		refs = "0006 TWinControl.WMSetFocus 000d TCustomMaskEdit.GetMasked 0018 TCustomMaskEdit.CheckCursor"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82115_0 {
	meta:
		name = "TCustomMaskEdit.SetEditText"
		size = 104
		refs = "000f TCustomMaskEdit.SetEditText 001f TCustomMaskEdit.GetEditText 0029 @UStrEqual 0032 @UStrToPWChar 003b TControl.SetTextBuf 0042 TCustomMaskEdit.CheckCursor 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 74 17 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82117_0 {
	meta:
		name = "TCustomMaskEdit.GetTextLen"
		size = 94
		refs = "0012 TCustomMaskEdit.GetTextLen 0022 TCustomMaskEdit.GetText 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_82118_0 {
	meta:
		name = "TCustomMaskEdit.GetText"
		size = 145
		refs = "0011 TCustomMaskEdit.GetText 001e TCustomMaskEdit.GetMasked 002b TControl.GetText 0037 TCustomMaskEdit.GetEditText 0043 TCustomMaskEdit.RemoveEditFormat 005b TCustomMaskEdit.AddEditFormat 0065 @UStrAsg 007f @UStrArrayClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 38 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 80 BB B4 02 00 00 00 74 19 8D 45 F8 50 8B 16 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_82119_0 {
	meta:
		name = "TCustomMaskEdit.SetText"
		size = 260
		refs = "0013 TCustomMaskEdit.SetText 0020 TCustomMaskEdit.GetMasked 002d TControl.SetText 003c @UStrLAsg 005e PadInputLiterals 007b TCustomMaskEdit.AddEditFormat 00b5 SMaskErr 00bc _DV_EDBEditError 00c1 Exception.CreateRes 00c6 @RaiseExcept 00d0 TCustomMaskEdit.SetEditText 00ea @UStrArrayClr 00f2 @UStrClr 00f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 9E 00 00 00 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 80 BB B4 02 00 00 00 74 26 8D 45 F4 50 0F B7 8B AC 02 00 00 8B 55 FC 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? EB 1B 8D 45 F0 50 B1 01 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? F6 83 B5 02 00 00 04 75 37 F6 43 1C 10 74 31 F6 43 1C 01 75 2B 8D 4D F8 8B 55 FC 8B C3 8B 30 FF 96 24 01 00 00 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82120_0 {
	meta:
		name = "TCustomMaskEdit.WMCut"
		size = 119
		refs = "000a TCustomMaskEdit.GetMasked 0020 TCustomEdit.CopyToClipboard 002b TCustomMaskEdit.DeleteKeys 0032 TWinControl.HandleAllocated 003d TWinControl.GetHandle 0043 GetParent 0052 GetDlgCtrlID 006f SendMessage"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B D6 8B C3 8B 08 FF 51 F0 EB 56 8B C3 E8 ?? ?? ?? ?? 66 BA 2E 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 39 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0F B7 F8 81 CF 00 00 00 03 8B C3 E8 ?? ?? ?? ?? 50 57 68 11 01 00 00 56 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82121_0 {
	meta:
		name = "TCustomMaskEdit.WMPaste"
		size = 306
		refs = "0019 TCustomMaskEdit.WMPaste 0026 TCustomMaskEdit.GetMasked 0031 TCustomEdit.GetReadOnly 0048 Clipboard 005a TClipboard.GetAsText 0071 TCustomMaskEdit.GetSel 007b TCustomMaskEdit.GetEditText 008f TCustomMaskEdit.DeleteSelection 0099 TCustomMaskEdit.SetEditText 00aa TCustomMaskEdit.InputString 00c1 TCustomMaskEdit.SetCursor 00c8 TWinControl.HandleAllocated 00d3 TWinControl.GetHandle 00d9 GetParent 00e8 GetDlgCtrlID 0105 SendMessage 011f @UStrArrayClr 0125 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B C3 8B 08 FF 51 F0 E9 C2 00 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 18 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 14 8D 4D F0 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 2B 45 F4 50 8D 55 F8 8B 4D F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 39 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0F B7 F8 81 CF 00 00 00 03 8B C3 E8 ?? ?? ?? ?? 50 57 68 11 01 00 00 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82122_0 {
	meta:
		name = "TCustomMaskEdit.GetMasked"
		size = 15
	strings:
		$1 = { 53 8B D8 83 BB A8 02 00 00 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_82123_0 {
	meta:
		name = "TCustomMaskEdit.GetMaxChars"
		size = 31
		refs = "0006 TCustomMaskEdit.GetMasked 0019 TControl.GetTextLen"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 08 8B 83 B0 02 00 00 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82124_0 {
	meta:
		name = "TCustomMaskEdit.ReformatText"
		size = 201
		refs = "0014 TCustomMaskEdit.ReformatText 0024 TCustomMaskEdit.GetEditText 0031 TCustomMaskEdit.RemoveEditFormat 003e @UStrAsg 0056 MaskOffsetToOffset 0063 MaskGetMaskSave 0070 MaskGetMaskBlank 0087 TCustomMaskEdit.AddEditFormat 0092 @UStrLAsg 009c TCustomMaskEdit.SetEditText 00b6 @UStrArrayClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8D 83 A8 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B F7 85 F6 74 05 83 EE 04 8B 36 8B D6 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 89 83 B0 02 00 00 8B C7 E8 ?? ?? ?? ?? 88 83 B4 02 00 00 8B C7 E8 ?? ?? ?? ?? 66 89 83 AC 02 00 00 8D 45 F4 50 B1 01 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82125_0 {
	meta:
		name = "TCustomMaskEdit.SetEditMask"
		size = 201
		refs = "0012 @UStrEqual 0031 TCustomMaskEdit.SetEditText 0038 TWinControl.HandleAllocated 0049 TCustomMaskEdit.GetSel 0052 TCustomMaskEdit.ReformatText 0072 TCustomEdit.SetMaxLength 0079 TCustomMaskEdit.GetMasked 00a5 TWinControl.GetHandle 00ac GetFocus 00c0 TCustomMaskEdit.SetCursor"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C6 8B 93 A8 02 00 00 E8 ?? ?? ?? ?? 0F 84 A8 00 00 00 F6 43 1C 10 74 13 85 F6 74 0F F6 43 1C 01 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 80 A3 B5 02 00 00 FE 83 BB A8 02 00 00 00 74 07 80 8B B5 02 00 00 01 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 83 BB B0 02 00 00 00 7E 0D 8B 93 B0 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 8B C3 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 10 F6 43 1C 10 75 0A 8B 14 24 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_82127_0 {
	meta:
		name = "TCustomMaskEdit.SetMaxLength"
		size = 45
		refs = "0009 TCustomMaskEdit.GetMasked 0016 TCustomEdit.SetMaxLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 93 B0 02 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82128_0 {
	meta:
		name = "TCustomMaskEdit.GetSel"
		size = 33
		refs = "0013 TWinControl.GetHandle 0019 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82129_0 {
	meta:
		name = "TCustomMaskEdit.SetSel"
		size = 33
		refs = "0013 TWinControl.GetHandle 0019 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 B1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82130_0 {
	meta:
		name = "TCustomMaskEdit.SetCursor"
		size = 706
		refs = "0034 TCustomMaskEdit.SetCursor 004d TCustomMaskEdit.GetEditText 005a ByteType 006a TCustomMaskEdit.GetMasked 0088 TCustomMaskEdit.GetNextEditChar 010c TCustomMaskEdit.SetSel 0121 GetKeyboardState 0146 @CallDynaInst 0151 ArrowKey 0165 SetKeyboardState 01a4 TWinControl.GetHandle 01aa SendMessage 01f4 @HandleFinally 02a0 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 E0 FD FF FF 53 56 33 C9 89 8D E0 FD FF FF 89 8D E4 FD FF FF 89 8D E8 FD FF FF 89 8D F0 FD FF FF 89 8D F4 FD FF FF 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FB 01 7C 20 8D 95 F4 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 F4 FD FF FF 8B D3 E8 ?? ?? ?? ?? 3C 01 75 01 4B 89 5D F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 9E 01 00 00 83 7D F8 00 7D 05 33 C0 89 45 F8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 5D F8 43 8D 95 F0 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 F0 FD FF FF 89 85 EC FD FF FF 8B 85 EC FD FF FF 85 C0 74 05 83 E8 04 8B 00 3B D8 7D 30 8D 95 E8 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 E8 FD FF FF 0F B7 44 58 FE 66 3D 00 D8 72 06 66 3D FF DF 76 04 33 C0 EB 02 B0 01 84 C0 74 01 43 8B 45 FC 8B 80 B0 02 00 00 3B 45 F8 7F 06 89 45 F8 8B 5D F8 8B CB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 3B 5D F8 0F 84 ED 00 00 00 8D 85 F8 FE FF FF 50 E8 ?? ?? ?? ?? BA 00 01 00 00 8D 85 F8 FD FF FF C6 00 00 40 4A 75 F9 C6 85 08 FE FF FF 81 8B 45 FC 66 BE C7 FF E8 ?? ?? ?? ?? 83 E0 7F 0F B7 04 45 ?? ?? ?? ?? C6 84 05 F8 FD FF FF 81 8D 85 F8 FD FF FF 50 E8 ?? ?? ?? ?? 8B 45 FC C6 80 C4 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8B 45 FC 66 BE C7 FF E8 ?? ?? ?? ?? 83 E0 7F 0F B7 04 45 ?? ?? ?? ?? 50 68 00 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 01 8B 45 FC 66 BE C7 FF E8 ?? ?? ?? ?? 83 E0 7F 0F B7 04 45 ?? ?? ?? ?? 50 68 01 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 C4 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8D 85 F8 FE FF FF 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 B8 02 00 00 EB 73 83 7D F8 00 7D 05 33 C0 89 45 F8 8D 95 E4 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 E4 FD FF FF 89 85 EC FD FF FF 8B 85 EC FD FF FF 85 C0 74 05 83 E8 04 8B 00 3B 45 F8 7F 2C 8D 95 E0 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 85 E0 FD FF FF 89 85 EC FD FF FF 8B 85 EC FD FF FF 85 C0 74 05 83 E8 04 8B 00 89 45 F8 8B 4D F8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E0 FD FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 F0 FD FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82131_0 {
	meta:
		name = "TCustomMaskEdit.CheckCursor"
		size = 64
		refs = "0009 TWinControl.HandleAllocated 0014 TCustomMaskEdit.GetMasked 0025 TCustomMaskEdit.GetSel 0038 TCustomMaskEdit.SetCursor"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 3B 44 24 04 75 0A 8B 14 24 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_82134_0 {
	meta:
		name = "TCustomMaskEdit.Reset"
		size = 38
		refs = "0006 TCustomEdit.GetModified 0017 TCustomMaskEdit.SetEditText 0020 TCustomEdit.SetModified"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 8B 93 C0 02 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82135_0 {
	meta:
		name = "TCustomMaskEdit.CharKeys"
		size = 476
		refs = "001b TCustomMaskEdit.CharKeys 0053 TCustomEdit.GetReadOnly 008a TCustomMaskEdit.GetSel 009e TCustomMaskEdit.DeleteKeys 00a8 TCustomMaskEdit.GetNextEditChar 00b5 TCustomMaskEdit.SetCursor 00e1 TWinControl.GetHandle 00eb PeekMessage 00fe PostQuitMessage 010a TCustomMaskEdit.InputChar 013c @UStrFromWChar 0157 @UStrCat3 0167 TCustomMaskEdit.SetSel 018b SendTextMessage 01a4 TCustomMaskEdit.CursorInc 01be @UStrArrayClr 01c6 @UStrClr 01cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 C9 89 4D D0 89 4D CC 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 66 83 3B 1B 75 0F 8B C6 8B 10 FF 92 20 01 00 00 E9 6A 01 00 00 8B C6 8B 10 FF 92 1C 01 00 00 84 C0 0F 84 58 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 49 01 00 00 0F B7 03 66 83 F8 08 0F 84 3C 01 00 00 66 83 F8 0D 75 0F 8B C6 8B 10 FF 92 2C 01 00 00 E9 27 01 00 00 8D 4D F0 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 2B 45 F4 48 7E 22 66 BA 2E 00 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 89 45 F4 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 0F B7 03 66 3D 00 D8 72 06 66 3D FF DF 76 04 33 C0 EB 02 B0 01 84 C0 74 30 6A 01 68 02 01 00 00 68 02 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 8D 45 D4 50 E8 ?? ?? ?? ?? 85 C0 74 0F 83 7D D8 12 75 09 8B 45 DC 50 E8 ?? ?? ?? ?? 8B D3 8B 4D F4 8B C6 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 0F 84 8D 00 00 00 0F B7 03 66 3D 00 D8 72 06 66 3D FF DF 76 04 33 C0 EB 02 B0 01 84 C0 74 39 8D 45 D0 0F B7 55 DC E8 ?? ?? ?? ?? 8B 45 D0 50 8D 45 CC 0F B7 13 E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC 59 E8 ?? ?? ?? ?? 8B 4D F4 83 C1 02 8B 55 F4 8B C6 E8 ?? ?? ?? ?? EB 0B 8D 45 FC 0F B7 13 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 33 C9 BA C2 00 00 00 E8 ?? ?? ?? ?? 8D 4D F0 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 33 C9 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82136_0 {
	meta:
		name = "TCustomMaskEdit.ArrowKeys"
		size = 498
		refs = "001c TCustomMaskEdit.ArrowKeys 0039 TCustomMaskEdit.GetSel 0065 TCustomMaskEdit.SetSel 00ed TCustomMaskEdit.GetEditText 011d TCustomMaskEdit.CursorDec 0131 TCustomMaskEdit.CursorInc 0154 TCustomMaskEdit.SetCursor 01e0 @UStrArrayClr 01e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D EC 89 5D F0 66 89 4D FE 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 FE 04 0F 85 9A 01 00 00 8D 4D F4 8D 55 F8 8B C3 E8 ?? ?? ?? ?? F6 45 FE 01 0F 84 90 00 00 00 66 83 FE 27 75 3F FF 83 B8 02 00 00 8B 45 F8 40 3B 45 F4 75 13 8B 4D F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? FF 83 B8 02 00 00 8B 83 B0 02 00 00 3B 83 B8 02 00 00 0F 8D 49 01 00 00 89 83 B8 02 00 00 E9 3E 01 00 00 FF 8B B8 02 00 00 8B 45 F8 83 C0 02 3B 45 F4 75 20 8B 83 B8 02 00 00 3B 45 F8 7E 15 8B 45 F8 40 8B C8 8B D0 8B C3 E8 ?? ?? ?? ?? FF 8B B8 02 00 00 83 BB B8 02 00 00 00 0F 8D 00 01 00 00 33 C0 89 83 B8 02 00 00 E9 F3 00 00 00 8B 45 F4 2B 45 F8 83 F8 01 7E 78 83 F8 02 75 53 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 0F B7 04 50 66 3D 00 D8 72 06 66 3D FF DF 76 04 33 C0 EB 02 B0 01 84 C0 74 29 66 83 FE 25 75 0F 8B 55 F8 8B C3 E8 ?? ?? ?? ?? E9 A4 00 00 00 B9 02 00 00 00 8B 55 F8 8B C3 E8 ?? ?? ?? ?? E9 90 00 00 00 8B 45 F4 3B 83 B8 02 00 00 75 06 FF 8B B8 02 00 00 8B 93 B8 02 00 00 8B C3 E8 ?? ?? ?? ?? EB 70 66 83 FE 25 75 0C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 5E 8B 45 F4 3B 45 F8 75 0C 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 4A 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8B 55 F8 0F B7 04 50 66 3D 00 D8 72 06 66 3D FF DF 76 04 33 C0 EB 02 B0 01 84 C0 74 11 B9 02 00 00 00 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 0F B9 01 00 00 00 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82137_0 {
	meta:
		name = "TCustomMaskEdit.CursorInc"
		size = 53
		refs = "000f TCustomMaskEdit.GetNextEditChar 001e IsLiteralChar 002d TCustomMaskEdit.SetCursor"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8D 1C 39 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 8B D3 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 02 8B DF 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82138_0 {
	meta:
		name = "TCustomMaskEdit.CursorDec"
		size = 26
		refs = "000b TCustomMaskEdit.GetPriorEditChar 0014 TCustomMaskEdit.SetCursor"
	strings:
		$1 = { 53 8B D8 8B C2 48 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82139_0 {
	meta:
		name = "TCustomMaskEdit.GetFirstEditChar"
		size = 33
		refs = "0009 TCustomMaskEdit.GetMasked 0016 TCustomMaskEdit.GetNextEditChar"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_82140_0 {
	meta:
		name = "TCustomMaskEdit.GetLastEditChar"
		size = 41
		refs = "0007 TCustomMaskEdit.GetMaxChars 0010 TCustomMaskEdit.GetMasked 001e TCustomMaskEdit.GetPriorEditChar"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 4A 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_82141_0 {
	meta:
		name = "TCustomMaskEdit.GetNextEditChar"
		size = 39
		refs = "001a IsLiteralChar"
	strings:
		$1 = { 53 56 8B F0 8B DA EB 01 43 3B 9E B0 02 00 00 7D 11 8B D3 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 E6 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_82142_0 {
	meta:
		name = "TCustomMaskEdit.GetPriorEditChar"
		size = 50
		refs = "0016 IsLiteralChar 0027 TCustomMaskEdit.GetNextEditChar"
	strings:
		$1 = { 53 56 8B F0 8B DA EB 01 4B 85 DB 7C 11 8B D3 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 EA 85 DB 7D 0B 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_82143_0 {
	meta:
		name = "TCustomMaskEdit.HomeEndKeys"
		size = 208
		refs = "0018 TCustomMaskEdit.GetSel 0051 TCustomMaskEdit.SetSel 0058 TCustomMaskEdit.CheckCursor 0063 TCustomMaskEdit.SetCursor"
	strings:
		$1 = { 53 56 83 C4 F4 66 89 0C 24 8B F2 8B D8 8D 4C 24 08 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 66 83 FE 24 75 4F F6 04 24 01 74 36 8B 44 24 04 3B 83 B8 02 00 00 74 14 8B 44 24 04 40 3B 44 24 08 74 09 8B 44 24 04 40 89 44 24 08 8B 4C 24 08 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 B8 02 00 00 EB 59 F6 04 24 01 74 3A 8B 44 24 08 3B 83 B8 02 00 00 74 14 8B 44 24 04 40 3B 44 24 08 74 09 8B 44 24 08 48 89 44 24 04 8B 8B B0 02 00 00 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 0D 8B 93 B0 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 B0 02 00 00 89 83 B8 02 00 00 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_82144_0 {
	meta:
		name = "TCustomMaskEdit.DeleteKeys"
		size = 274
		refs = "0019 TCustomMaskEdit.DeleteKeys 0026 TCustomEdit.GetReadOnly 003a TCustomMaskEdit.GetSel 0053 TCustomMaskEdit.CursorDec 0079 TCustomMaskEdit.GetEditText 008b TCustomMaskEdit.DeleteSelection 009f @UStrCopy 00aa TWinControl.GetHandle 00b6 SendTextMessage 00c7 TCustomMaskEdit.GetNextEditChar 00d2 TCustomMaskEdit.SetCursor 00ff @UStrClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 8B F2 8B D8 8D 7D F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 BC 00 00 00 8D 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 2B 07 48 7F 25 66 83 FE 08 75 1F 8B 37 8B 17 8B C3 E8 ?? ?? ?? ?? 8D 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? 3B 37 0F 84 83 00 00 00 8B 45 F4 2B 07 48 7C 7B 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 2B 07 50 8D 55 FC 8B 0F 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 4D F4 2B 0F 8B 17 42 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 33 C9 BA C2 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 2B 07 48 74 16 8B 17 8B C3 E8 ?? ?? ?? ?? 89 07 8B 17 8B C3 E8 ?? ?? ?? ?? EB 16 8D 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 17 4A 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82145_0 {
	meta:
		name = "TCustomMaskEdit.CMEnter"
		size = 143
		refs = "000f TCustomMaskEdit.CMEnter 001c TCustomMaskEdit.GetMasked 0039 TCustomMaskEdit.GetEditText 0047 @UStrAsg 0050 TCustomEdit.CMEnter 005e TCustomMaskEdit.CheckCursor 007e @UStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 40 F6 43 1C 10 75 3A F6 83 B5 02 00 00 02 75 21 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 80 A3 B5 02 00 00 FD 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82146_0 {
	meta:
		name = "TCustomMaskEdit.CMTextChanged"
		size = 141
		refs = "0012 TCustomMaskEdit.CMTextChanged 001f TCustomEdit.CMTextChanged 0029 TCustomMaskEdit.GetEditText 0037 @UStrAsg 003e TWinControl.HandleAllocated 004f TCustomMaskEdit.GetSel 0059 TCustomMaskEdit.GetNextEditChar 0067 TCustomMaskEdit.SetCursor 007c @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82147_0 {
	meta:
		name = "TCustomMaskEdit.CMWantSpecialKey"
		size = 54
		refs = "0019 TCustomMaskEdit.GetMasked 0024 TCustomEdit.GetModified"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 66 83 7E 04 1B 75 1D 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 C7 46 0C 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_82148_0 {
	meta:
		name = "TCustomMaskEdit.CMExit"
		size = 52
		refs = "0009 TCustomMaskEdit.GetMasked 0024 TCustomMaskEdit.CheckCursor 002d TCustomEdit.CMExit"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 F6 43 1C 10 75 11 8B C3 8B 10 FF 92 2C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82149_0 {
	meta:
		name = "TCustomMaskEdit.ValidateEdit"
		size = 159
		refs = "0013 TCustomMaskEdit.ValidateEdit 0023 TCustomMaskEdit.GetEditText 002a TCustomMaskEdit.GetMasked 0035 TCustomEdit.GetModified 006e TCustomMaskEdit.SetCursor 008d @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 4A 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3F 8D 4D F8 8B 55 FC 8B C6 8B 18 FF 93 24 01 00 00 84 C0 75 2B F6 46 1C 10 75 11 80 8E B5 02 00 00 02 8B C6 8B 10 FF 92 F4 00 00 00 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 28 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_82150_0 {
	meta:
		name = "TCustomMaskEdit.ValidateError"
		size = 57
		refs = "0009 MessageBeep 0020 SMaskEditErr 0027 _DV_EDBEditError 002c Exception.CreateResFmt 0031 @RaiseExcept"
	strings:
		$1 = { 53 83 C4 F8 8B D8 6A 00 E8 ?? ?? ?? ?? 8B 83 A8 02 00 00 89 04 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_82151_0 {
	meta:
		name = "TCustomMaskEdit.AddEditFormat"
		size = 72
		refs = "0025 MaskDoFormatText"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B F2 8B D8 8B 7D 08 80 7D FF 00 75 14 57 66 B9 20 00 8B D6 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? EB 15 57 0F B7 8B AC 02 00 00 8B D6 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_82152_0 {
	meta:
		name = "TCustomMaskEdit.RemoveEditFormat"
		size = 549
		refs = "001c TCustomMaskEdit.RemoveEditFormat 0032 @UStrAsg 0062 MaskGetCharType 0082 @UStrCopy 00b4 @UStrCat3 00da MaskGetCurrentDirectives 019a @UStrSetLength 01e5 @UniqueStringU 020a @UStrClr 0218 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D FC 8B F1 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F0 01 00 00 00 8B C6 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 A8 02 00 00 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 7D C7 45 EC 01 00 00 00 8B 45 F8 8B 80 A8 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 88 45 EB 0F B6 45 EB 48 2C 02 73 46 8D 45 FC 50 8B 4D F0 49 8B 06 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 06 89 45 E4 8B 7D E4 85 FF 74 05 83 EF 04 8B 3F 8D 45 E0 50 8B CF 2B 4D F0 8B 55 F0 42 8B 06 E8 ?? ?? ?? ?? 8B 4D E0 8B C6 8B 55 FC E8 ?? ?? ?? ?? 0F B6 45 EB 04 FC 2C 02 73 03 FF 45 F0 FF 45 EC 4B 75 8A 8B 45 F8 8B 80 A8 02 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D8 F6 C3 01 74 67 C7 45 F0 01 00 00 00 8B 06 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 1F BF 01 00 00 00 8B 06 0F B7 44 78 FE 8B 55 F8 66 3B 82 AC 02 00 00 75 07 FF 45 F0 47 4B 75 E6 83 7D F0 01 74 7A 8B 06 89 45 E4 8B 5D E4 85 DB 74 05 83 EB 04 8B 1B 56 8B CB 2B 4D F0 41 8B 06 8B 55 F0 E8 ?? ?? ?? ?? EB 56 8B 06 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 89 45 F4 8B 5D F4 85 DB 7E 3B BF 01 00 00 00 8B 45 F4 2B C7 8B 16 0F B7 04 42 8B 55 F8 66 3B 82 AC 02 00 00 75 1F 8B 06 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 8B D0 4A 8B C6 E8 ?? ?? ?? ?? 47 4B 75 CA 8B 45 F8 66 83 B8 AC 02 00 00 20 74 4A 8B 06 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 89 45 F4 8B 5D F4 85 DB 7E 2F BF 01 00 00 00 8B 06 0F B7 44 78 FE 8B 55 F8 66 3B 82 AC 02 00 00 75 0E 8B C6 E8 ?? ?? ?? ?? 66 C7 44 78 FE 20 00 3B 7D F4 7F 04 47 4B 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82153_0 {
	meta:
		name = "TCustomMaskEdit.InputChar"
		size = 160
		refs = "0021 OffsetToMaskOffset 0034 MaskGetCharType 004b TCustomMaskEdit.DoInputChar 0069 TCustomMaskEdit.FindLiteralChar 007c MaskOffsetToOffset 0087 TCustomMaskEdit.SetCursor 0094 MessageBeep"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B EA 8B F0 B3 01 83 BE A8 02 00 00 00 74 77 33 DB 8B D7 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 62 8B D7 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? 88 04 24 0F B7 45 00 66 89 44 24 02 8B D5 8B CF 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 38 0F B6 04 24 04 FC 2C 02 73 2E 0F B7 4C 24 02 8B D7 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 1A 8B D7 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B D7 8B C6 E8 ?? ?? ?? ?? EB 0B 84 DB 75 07 6A 00 E8 ?? ?? ?? ?? 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82154_0 {
	meta:
		name = "IsKatakana"
		size = 24
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 83 7A 04 11 75 06 04 5F 2C 3F 72 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_82155_0 {
	meta:
		name = "TestChar"
		size = 140
	strings:
		$1 = { 55 8B EC 51 53 8B 45 08 8B 40 FC 8B 80 A8 02 00 00 89 45 FC 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 08 3B 42 F8 7E 5C 8B 45 08 8B 40 F8 8B 55 08 8B 52 FC 8B 92 A8 02 00 00 0F B7 54 42 FE 8B C2 8B CA 83 C1 9F 66 83 E9 1A 73 06 8B C2 66 25 DF FF 8B 55 08 8B 52 F8 8B 4D 08 8B 49 FC 8B 89 A8 02 00 00 0F B7 14 51 8B CA 8B DA 83 C3 9F 66 83 EB 1A 73 07 8B CA 66 81 E1 DF FF 66 3B C8 0F 94 C0 EB 02 33 C0 34 01 5B 59 5D C3 }
	condition:
		$1
}

rule function_82156_0 {
	meta:
		name = "TCustomMaskEdit.DoInputChar"
		size = 748
		refs = "0022 TCustomMaskEdit.DoInputChar 003b MaskGetCharType 0056 MaskIntlLiteralToChar 006f MaskGetCurrentDirectives 013e TestChar 0153 IsCharAlpha 0168 @UStrLAsg 0170 @UniqueStringU 0187 AnsiUpperCase 01a5 AnsiLowerCase 0213 IsKatakana 025a IsCharAlphaNumeric 02bf @UStrArrayClr 02c7 @UStrClr 02cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 45 FC 8B 80 A8 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 48 2C 02 73 1E 8B 45 FC 8B 80 A8 02 00 00 8B 55 F8 0F B7 44 50 FE E8 ?? ?? ?? ?? 66 89 06 E9 47 02 00 00 8B 45 FC 8B 80 A8 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 88 45 F3 8B 45 FC 8B 80 A8 02 00 00 8B 55 F8 0F B7 44 50 FE 83 F8 43 7F 23 0F 84 8E 00 00 00 83 E8 23 74 54 83 E8 0D 74 38 83 E8 09 74 33 83 E8 08 0F 84 18 01 00 00 E9 FA 01 00 00 83 E8 4C 0F 84 0A 01 00 00 83 E8 15 0F 84 01 01 00 00 83 E8 02 74 5A 83 E8 09 0F 84 F3 00 00 00 E9 D5 01 00 00 66 83 3E 30 72 0A 66 83 3E 39 0F 86 C5 01 00 00 33 DB E9 BE 01 00 00 66 83 3E 30 72 0A 66 83 3E 39 0F 86 AE 01 00 00 66 83 3E 20 0F 84 A4 01 00 00 66 83 3E 2B 0F 84 9A 01 00 00 66 83 3E 2D 0F 84 90 01 00 00 33 DB E9 89 01 00 00 0F B7 06 66 3D 00 D8 72 06 66 3D FF DF 76 04 33 C0 EB 02 B0 01 84 C0 74 15 55 0F B7 06 E8 ?? ?? ?? ?? 59 84 C0 74 07 33 DB E9 5B 01 00 00 0F B7 06 50 E8 ?? ?? ?? ?? 85 C0 0F 84 4A 01 00 00 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 0F B7 16 66 89 10 F6 45 F3 02 74 18 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F4 E8 ?? ?? ?? ?? EB 1C F6 45 F3 04 74 16 8D 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 0F B7 00 66 89 06 E9 E7 00 00 00 0F B7 06 66 3D 00 D8 72 06 66 3D FF DF 76 04 33 C0 EB 02 B0 01 84 C0 74 19 55 0F B7 06 E8 ?? ?? ?? ?? 59 84 C0 0F 84 BC 00 00 00 33 DB E9 B5 00 00 00 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 0F B7 16 66 89 10 0F B7 06 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 F4 0F B7 00 66 89 06 E9 80 00 00 00 0F B7 06 50 E8 ?? ?? ?? ?? 85 C0 75 30 33 DB 8B 45 FC 8B 80 A8 02 00 00 8B 55 F8 0F B7 7C 50 FE 66 83 FF 41 74 06 66 83 FF 61 75 4B 0F B7 06 50 E8 ?? ?? ?? ?? 85 C0 74 3E B3 01 EB 3A F6 45 F3 02 74 18 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F4 E8 ?? ?? ?? ?? EB 1C F6 45 F3 04 74 16 8D 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 0F B7 00 66 89 06 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_82157_0 {
	meta:
		name = "TCustomMaskEdit.Validate"
		size = 187
		refs = "0040 MaskGetCharType"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 4C 24 04 89 14 24 8B E8 C6 44 24 08 01 C7 44 24 0C 01 00 00 00 8B 85 A8 02 00 00 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 7C BF 01 00 00 00 8B 85 A8 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 48 2C 02 72 04 2C 02 75 06 FF 44 24 0C EB 53 80 FB 04 75 4E 83 3C 24 00 74 48 8B 04 24 8B 54 24 0C 0F B7 44 50 FE 66 3B 85 AC 02 00 00 74 1D 8B 04 24 8B 54 24 0C 66 83 7C 50 FE 20 75 20 8B 85 A8 02 00 00 66 83 7C 78 FE 43 74 12 C6 44 24 08 00 8B 44 24 0C 48 8B 54 24 04 89 02 EB 08 FF 44 24 0C 47 4E 75 89 0F B6 44 24 08 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82158_0 {
	meta:
		name = "TCustomMaskEdit.DeleteSelection"
		size = 158
		refs = "002f OffsetToMaskOffset 005c MaskGetCharType 0075 @UniqueStringU"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F8 89 55 FC 8B F8 8B 45 08 C6 45 F7 01 85 C0 74 75 8B 5D F8 43 03 C3 89 45 F0 8B 87 A8 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 7C 5A 8B D0 8B 87 A8 02 00 00 85 C0 74 05 83 E8 04 8B 00 8B F0 2B F2 7C 43 46 89 55 EC 8B 87 A8 02 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B D0 4A 80 EA 02 73 03 43 EB 1B 04 FC 2C 02 73 15 8B 45 FC E8 ?? ?? ?? ?? 0F B7 97 AC 02 00 00 66 89 54 58 FE 43 3B 5D F0 7D 06 FF 45 EC 4E 75 C1 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_82159_0 {
	meta:
		name = "TCustomMaskEdit.InputString"
		size = 773
		refs = "0021 TCustomMaskEdit.InputString 0044 @UStrLAsg 0052 OffsetToMaskOffset 0072 MaskGetCharType 00a0 TCustomMaskEdit.DoInputChar 00bc @UniqueStringU 013b @UStrCopy 014a @UStrFromWChar 016e @UStrCatN 019a @UStrLen 01db ByteType 01f9 @UStrCat 02c4 @UStrCat3 02e5 @UStrArrayClr 02ed @UStrClr 02f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 89 45 F4 85 FF 0F 84 96 02 00 00 BB 01 00 00 00 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B 55 08 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 8C 6F 02 00 00 89 7D F0 E9 2B 01 00 00 8B 55 F0 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? 88 45 EF 0F B6 45 EF 48 2C 02 72 09 48 2C 02 0F 83 E8 00 00 00 8B 45 FC 0F B7 44 58 FE 66 89 45 EC 8D 55 EC 8B 4D F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 2E 66 81 7D EC 00 D8 72 1B 66 81 7D EC FF DF 77 13 8D 45 FC E8 ?? ?? ?? ?? 0F B7 96 AC 02 00 00 66 89 14 58 0F B7 86 AC 02 00 00 66 89 45 EC 0F B6 45 EF 48 2C 02 73 0E 8B 45 FC 0F B7 44 58 FE 66 3B 45 EC 75 27 8D 45 FC E8 ?? ?? ?? ?? 0F B7 55 EC 66 89 54 58 FE 66 81 7D EC 00 D8 72 6C 66 81 7D EC FF DF 77 64 43 FF 45 F0 EB 5E 8B 45 FC 89 45 E8 83 7D E8 00 74 0B 8B 45 E8 83 E8 04 8B 00 89 45 E8 8D 45 E0 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? FF 75 E0 8D 45 DC 0F B7 55 EC E8 ?? ?? ?? ?? FF 75 DC 8D 45 D8 50 8B 4D E8 8B D3 8B 45 FC E8 ?? ?? ?? ?? FF 75 D8 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 43 8B C3 03 45 08 3B 86 B0 02 00 00 7F 27 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 3B FB 7C 17 FF 45 F0 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? 3B 45 F0 0F 8D C1 FE FF FF 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 03 45 08 3B 86 B0 02 00 00 0F 8D AC 00 00 00 8B FA 85 FF 74 05 83 EF 04 8B 3F 8B 55 08 03 D7 42 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 3C 02 75 1B 8D 45 D4 0F B7 96 AC 02 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? 43 8B 45 FC 8B F8 85 FF 74 05 83 EF 04 8B 3F 89 45 E4 83 7D E4 00 74 0B 8B 45 E4 83 E8 04 8B 00 89 45 E4 8D 45 D0 50 8B 45 F8 8B 00 8B 4D 08 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 D0 FF 75 FC 8D 45 CC 50 8B 45 08 03 45 E4 8B 8E B0 02 00 00 2B C8 8B 55 08 03 D7 42 8B 45 F8 8B 00 E8 ?? ?? ?? ?? FF 75 CC 8B 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 58 8B 7D 08 8B 96 B0 02 00 00 2B 55 08 8B 45 FC E8 ?? ?? ?? ?? 3C 01 75 01 47 8D 45 C8 50 8B 8E B0 02 00 00 2B CF BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C8 50 8D 45 C4 50 8B 45 F8 8B 00 8B 4D 08 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 F8 59 E8 ?? ?? ?? ?? 03 5D 08 4B 89 5D F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_82160_0 {
	meta:
		name = "TCustomMaskEdit.FindLiteralChar"
		size = 111
		refs = "0023 MaskGetCharType 0043 MaskIntlLiteralToChar 005c @UStrLen"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 66 89 0C 24 8B FA 8B F0 C7 44 24 04 FF FF FF FF EB 3C 47 8B D7 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 48 2C 02 73 25 8B 86 A8 02 00 00 0F B7 6C 78 FE 80 FB 02 75 09 8B C5 E8 ?? ?? ?? ?? 8B E8 66 3B 2C 24 75 15 89 7C 24 04 EB 0F 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? 3B F8 7C B5 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82163_0 {
	meta:
		name = "FindPopupControl"
		size = 49
		refs = "000a FindVCLWindow 001f TWinControl.ControlAtPos"
	strings:
		$1 = { 53 56 57 8B F8 33 F6 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 74 17 6A 00 6A 00 8B D7 33 C9 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 02 8B F3 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82164_0 {
	meta:
		name = "Error"
		size = 33
		refs = "0010 _DV_EMenuError 0015 Exception.CreateRes 001a @RaiseExcept"
	strings:
		$1 = { 55 8B EC 51 89 45 FC FF 75 04 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_82165_0 {
	meta:
		name = "ShortCut"
		size = 56
	strings:
		$1 = { 51 66 89 14 24 33 D2 0F B7 C8 C1 E9 08 84 C9 75 23 8B D0 F6 04 24 01 74 05 66 81 C2 00 20 F6 04 24 04 74 05 66 81 C2 00 40 F6 04 24 02 74 05 66 81 C2 00 80 8B C2 5A C3 }
	condition:
		$1
}

rule function_82166_0 {
	meta:
		name = "ShortCutToKey"
		size = 60
		refs = "0013 ShortCutToKey"
	strings:
		$1 = { 53 56 8B F1 8B D8 66 B8 FF 1F 66 23 C3 66 89 02 0F B7 05 ?? ?? ?? ?? 66 89 06 F6 C7 20 74 04 66 83 0E 01 F6 C7 40 74 04 66 83 0E 04 F6 C7 80 74 04 66 83 0E 02 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_82167_0 {
	meta:
		name = "GetSpecialName"
		size = 91
		refs = "000f @UStrClr 001a MapVirtualKey 0033 GetKeyNameText 0045 @UStrFromWArray"
	strings:
		$1 = { 53 56 81 C4 00 FE FF FF 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 6A 00 0F B6 C3 50 E8 ?? ?? ?? ?? C1 E0 10 8B D8 85 DB 74 2B 68 00 01 00 00 8D 44 24 04 50 53 E8 ?? ?? ?? ?? 85 C0 74 10 8B C6 8B D4 B9 00 01 00 00 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 81 C4 00 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_82168_0 {
	meta:
		name = "ShortCutToText"
		size = 508
		refs = "0012 ShortCutToText 009f MenuKeyCaps 00a4 @UStrLAsg 010e @UStrFromWChar 0144 IntToStr 0154 @UStrCat3 0160 GetSpecialName 016d @UStrClr 0181 @UStrCat 01d6 @UStrArrayClr 01dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DF 0F B6 C3 83 F8 2D 7D 27 83 C0 F8 83 E8 02 72 68 83 E8 03 74 7A 83 E8 0E 0F 84 84 00 00 00 83 C0 FB 83 E8 09 0F 82 8B 00 00 00 E9 0D 01 00 00 83 F8 41 7D 1B 83 C0 D3 83 E8 02 0F 82 8C 00 00 00 48 83 E8 0A 0F 82 99 00 00 00 E9 ED 00 00 00 83 C0 BF 83 E8 1A 0F 82 9B 00 00 00 83 C0 FB 83 E8 0A 0F 82 A2 00 00 00 83 C0 FA 83 E8 18 0F 82 A9 00 00 00 E9 C4 00 00 00 8D 45 FC 0F B6 D3 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B7 00 00 00 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A4 00 00 00 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 91 00 00 00 8D 45 FC 80 C3 04 0F B6 D3 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7A 8D 45 FC 80 C3 0D 0F B6 D3 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 63 8D 45 FC 0F B6 D3 83 EA 30 83 C2 30 E8 ?? ?? ?? ?? EB 50 8D 45 FC 0F B6 D3 83 EA 41 83 C2 41 E8 ?? ?? ?? ?? EB 3D 8D 45 FC 0F B6 D3 83 EA 60 83 C2 30 E8 ?? ?? ?? ?? EB 2A 8D 55 F8 0F B6 C3 83 E8 6F E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 4F 8B C6 E8 ?? ?? ?? ?? 66 F7 C7 00 20 74 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 F7 C7 00 40 74 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 F7 C7 00 80 74 0D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 46 00 00 00 }
	condition:
		$1
}

rule function_82169_0 {
	meta:
		name = "CompareFront"
		size = 134
		refs = "0042 @UStrToPWChar 0055 AnsiStrLIComp 0078 @UStrDelete"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 89 45 FC C6 45 FB 00 8B 45 FC 8B 00 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B D3 85 D2 74 05 83 EA 04 8B 12 3B D0 7F 48 8B F3 85 F6 74 05 83 EE 04 8B 36 8B C3 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B CE 5A E8 ?? ?? ?? ?? 85 C0 75 1F C6 45 FB 01 8B C3 85 C0 74 05 83 E8 04 8B 00 8B 55 FC 8B C8 B8 01 00 00 00 92 E8 ?? ?? ?? ?? 0F B6 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82170_0 {
	meta:
		name = "TextToShortCut"
		size = 252
		refs = "0015 @UStrAddRef 001d TextToShortCut 0030 MenuKeyCaps 0035 CompareFront 009e ShortCutToText 00a9 AnsiCompareText 00d6 @UStrArrayClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 33 F6 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 66 81 CE 00 20 EB E7 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 66 81 CE 00 40 EB CF 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 66 81 CE 00 40 EB B6 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 66 81 CE 00 80 EB 9D 83 7D FC 00 74 2C 66 BB 08 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 07 8B FB 66 0B FE EB 08 43 66 81 FB 56 02 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5E 00 00 00 }
	condition:
		$1
}

rule function_82171_0 {
	meta:
		name = "UniqueCommand"
		size = 32
		refs = "0002 CommandPool 0007 TBits.OpenBit 0018 TBits.SetBit"
	strings:
		$1 = { 53 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 0F B7 D3 B1 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_82172_0 {
	meta:
		name = "Iterate"
		size = 98
		refs = "001e TMenuItem.GetItem 0050 TMenuItem.GetCount"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 8B F2 8B D8 C6 45 F7 00 85 F6 74 41 EB 2E 8B 13 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 0F B6 40 43 8B 55 08 3B 42 FC 7F 24 8B 45 FC 8B 55 08 FF 32 FF 55 F8 83 C4 04 88 45 F7 FF 03 80 7D F7 00 75 0B 8B C6 E8 ?? ?? ?? ?? 3B 03 7F C1 0F B6 45 F7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82173_0 {
	meta:
		name = "IterateMenus"
		size = 270
		refs = "0026 TMenuItem.GetCount 005b TMenuItem.GetItem 0090 Iterate"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D F4 8B FA 89 45 F8 33 C0 89 45 F0 33 C0 89 45 EC 33 DB 33 F6 85 FF 74 09 8B C7 E8 ?? ?? ?? ?? 8B D8 83 7D F4 00 74 0A 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 C6 45 EA 00 E9 AA 00 00 00 C7 45 FC FF 00 00 00 C6 45 EB FF 3B 5D F0 7E 11 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 0F B6 40 43 89 45 FC 3B 75 EC 7E 12 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 0F B6 40 43 88 45 EB 0F B6 45 EB 3B 45 FC 7C 14 55 8D 45 F0 8B 4D F8 8B D7 E8 ?? ?? ?? ?? 59 88 45 EA EB 1F 0F B6 45 EB 89 45 FC 55 8D 45 EC 8B 4D F8 8B 55 F4 E8 ?? ?? ?? ?? 59 88 45 EA EB 03 FF 45 F0 3B 5D F0 7E 18 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 0F B6 40 43 3B 45 FC 7E E5 EB 03 FF 45 EC 3B 75 EC 7E 14 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 0F B6 40 43 3B 45 FC 7E E4 80 7D EA 00 75 12 3B 5D F0 0F 8F 47 FF FF FF 3B 75 EC 0F 8F 3E FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82175_0 {
	meta:
		name = "TMenuActionLink.IsAutoCheckLinked"
		size = 52
		refs = "000b _Dn_TCustomAction 0010 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 10 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B 43 18 0F B6 80 B0 00 00 00 3A 86 9D 00 00 00 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_82176_0 {
	meta:
		name = "TMenuActionLink.IsCaptionLinked"
		size = 43
		refs = "0006 TActionLink.IsCaptionLinked 001b SameCaption"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8B 43 10 8B 50 6C 8B 43 18 8B 40 38 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_82177_0 {
	meta:
		name = "TMenuActionLink.IsCheckedLinked"
		size = 37
		refs = "0006 TActionLink.IsCheckedLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 43 18 0F B6 40 3C 8B 53 10 3A 42 71 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_82178_0 {
	meta:
		name = "TMenuActionLink.IsEnabledLinked"
		size = 37
		refs = "0006 TActionLink.IsEnabledLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 43 18 0F B6 40 3D 8B 53 10 3A 42 72 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_82179_0 {
	meta:
		name = "TMenuActionLink.IsHelpContextLinked"
		size = 36
		refs = "0006 TActionLink.IsHelpContextLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 43 18 8B 40 58 8B 53 10 3B 42 7C 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_82180_0 {
	meta:
		name = "TMenuActionLink.IsHintLinked"
		size = 44
		refs = "0006 TActionLink.IsHintLinked 001e @UStrEqual"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 8B 43 18 8B 40 5C 8B 53 10 8B 92 84 00 00 00 E8 ?? ?? ?? ?? 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_82181_0 {
	meta:
		name = "TMenuActionLink.IsGroupIndexLinked"
		size = 46
		refs = "0006 TActionLink.IsGroupIndexLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8B 43 18 80 78 41 00 74 0F 8B 43 18 0F B6 40 43 8B 53 10 3B 42 74 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_82182_0 {
	meta:
		name = "TMenuActionLink.IsImageIndexLinked"
		size = 39
		refs = "0006 TActionLink.IsImageIndexLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B 43 18 8B 40 44 8B 53 10 3B 82 88 00 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_82183_0 {
	meta:
		name = "TMenuActionLink.IsShortCutLinked"
		size = 41
		refs = "0006 TActionLink.IsShortCutLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 8B 43 18 0F B7 40 64 8B 53 10 66 3B 82 8C 00 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_82184_0 {
	meta:
		name = "TMenuActionLink.IsVisibleLinked"
		size = 40
		refs = "0006 TActionLink.IsVisibleLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 43 18 0F B6 40 42 8B 53 10 3A 82 8E 00 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_82185_0 {
	meta:
		name = "TMenuActionLink.IsOnExecuteLinked"
		size = 39
		refs = "0006 TBasicActionLink.IsOnExecuteLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B 43 18 8B 80 90 00 00 00 8B 53 10 3B 42 48 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_82186_0 {
	meta:
		name = "TMenuActionLink.SetAutoCheck"
		size = 29
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 78 84 C0 74 09 8B 46 18 88 98 B0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_82188_0 {
	meta:
		name = "TMenuActionLink.SetChecked"
		size = 30
		refs = "0017 TMenuItem.SetChecked"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 24 84 C0 74 0A 8B D3 8B 46 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82189_0 {
	meta:
		name = "TMenuActionLink.SetEnabled"
		size = 30
		refs = "0017 TMenuItem.SetEnabled"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 28 84 C0 74 0A 8B D3 8B 46 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82190_0 {
	meta:
		name = "TMenuActionLink.SetHelpContext"
		size = 26
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 30 84 C0 74 06 8B 43 18 89 70 58 5E 5B C3 }
	condition:
		$1
}

rule function_82191_0 {
	meta:
		name = "TMenuActionLink.SetHint"
		size = 33
		refs = "001a @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 38 84 C0 74 0D 8B 43 18 83 C0 5C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82195_0 {
	meta:
		name = "TMenuActionLink.SetOnExecute"
		size = 43
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 08 84 C0 74 15 8B 43 18 8B 55 08 89 90 90 00 00 00 8B 55 0C 89 90 94 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_82199_0 {
	meta:
		name = "TMenuItem.Create"
		size = 129
		refs = "000e @ClassCreate 001c TComponent.Create 0031 UniqueCommand 0044 @UStrClr 004b _Dn_TChangeLink 0050 TObject.Create 005f TMenuItem.ImageListChange 006c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 42 01 C6 43 3D 01 C6 43 3F 02 C6 43 40 02 E8 ?? ?? ?? ?? 66 89 43 54 C7 43 44 FF FF FF FF 8D 43 5C E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 7C 89 5E 0C C7 46 08 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82200_0 {
	meta:
		name = "TMenuItem.Destroy"
		size = 208
		refs = "0003 @BeforeDestruction 000e ShortCutItems 0013 TMenuItemStack.ClearItem 0021 TMenuItem.Remove 0031 TMenuItem.GetItem 0036 TObject.Free 003d TMenuItem.GetCount 0053 TMenuItem.MergeWith 005f DestroyMenu 00a2 CommandPool 00a7 TBits.SetBit 00be TComponent.Destroy 00c9 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 68 85 C0 74 1C 8B D6 E8 ?? ?? ?? ?? 33 C0 89 46 68 EB 0E 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 7F E7 83 BE B4 00 00 00 00 74 15 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 86 B4 00 00 00 50 E8 ?? ?? ?? ?? 8D 46 60 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 7C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 0F B7 46 54 66 85 C0 74 0F 0F B7 D0 33 C9 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 50 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82201_0 {
	meta:
		name = "TMenuItem.AppendTo"
		size = 764
		refs = "001d TMenuItem.AppendTo 0038 @UStrLAsg 003f TMenuItem.GetCount 004a TMenuItem.GetHandle 006c _DV_TMainMenu 0071 @IsClass 0089 ShortCutToText 0099 @UStrCatN 009e GetVersion 00ab Win32Platform 00b5 Win32MajorVersion 00d8 TMenuItem.GetParentMenu 00e1 TMenuItem.GetImageList 012f CheckWin32Version 0138 TStyleManager.GetSystemStyle 0172 @UStrEqual 017f ISeparators 018a IRadios 0195 IBreaks 01a2 IRTL 01ac IOwnerDraw 01ba IChecks 01c5 IEnables 01d0 IDefaults 0206 @UStrToPWChar 021a InsertMenuItem 0239 Separators 0244 Breaks 024f Checks 025a Enables 028d InsertMenu 02be @UStrClr 02cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D BC 89 5D FC 88 4D F7 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7F 42 00 0F 84 7C 02 00 00 8D 45 FC 8B 57 38 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 C0 7E 0C 8B C7 E8 ?? ?? ?? ?? 89 45 D4 EB 4A 66 83 7F 64 00 74 43 8B 5F 68 85 DB 74 18 83 7B 68 00 75 12 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 24 FF 75 FC 68 ?? ?? ?? ?? 8D 55 BC 0F B7 47 64 E8 ?? ?? ?? ?? FF 75 BC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 04 0F 82 79 01 00 00 A1 ?? ?? ?? ?? 83 38 01 75 0A A1 ?? ?? ?? ?? 83 38 04 7E 09 C7 45 C0 30 00 00 00 EB 07 C7 45 C0 2C 00 00 00 C7 45 C4 3F 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B F0 8B C7 E8 ?? ?? ?? ?? 89 45 F0 85 F6 74 0C 80 7E 44 00 75 1C 83 7D F0 00 75 16 8B 5F 50 85 DB 74 0B 8B C3 8B 10 FF 52 20 84 C0 74 04 33 C0 EB 02 B0 01 8B D8 8B 47 68 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 42 33 D2 B8 06 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 32 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 24 84 DB 74 18 83 7D F0 00 74 06 83 7F 44 FF 75 10 83 7F 50 00 75 0A 80 7E 44 00 75 04 33 C0 EB 02 B0 01 8B D8 8B 47 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 0F B6 57 41 8B 14 95 ?? ?? ?? ?? 0F B6 4F 4C 0B 14 8D ?? ?? ?? ?? 0B C2 0F B6 55 F7 0B 04 95 ?? ?? ?? ?? 0F B6 D3 0B 04 95 ?? ?? ?? ?? 89 45 C8 0F B6 47 3C 8B 04 85 ?? ?? ?? ?? 0F B6 57 3D 0B 04 95 ?? ?? ?? ?? 0F B6 57 3E 0B 04 95 ?? ?? ?? ?? 89 45 CC 0F B7 47 54 89 45 D0 33 C0 89 45 D4 33 C0 89 45 D8 33 C0 89 45 DC 8B C7 E8 ?? ?? ?? ?? 85 C0 7E 0A 8B C7 E8 ?? ?? ?? ?? 89 45 D4 8B 45 FC E8 ?? ?? ?? ?? 89 45 E4 8D 45 C0 50 6A FF 6A FF 8B 45 F8 50 E8 ?? ?? ?? ?? E9 8A 00 00 00 8B 47 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 83 E0 7F 8B 1C 85 ?? ?? ?? ?? 0F B6 47 4C 8B 04 85 ?? ?? ?? ?? 0F B6 57 3C 0B 04 95 ?? ?? ?? ?? 0F B6 57 3D 0B 04 95 ?? ?? ?? ?? 0B D8 81 CB 00 04 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 7E 22 8B 47 38 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 50 83 CB 10 53 6A FF 8B 45 F8 50 E8 ?? ?? ?? ?? EB 1A 8B 45 FC E8 ?? ?? ?? ?? 50 0F B7 47 54 50 53 6A FF 8B 45 F8 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_82202_0 {
	meta:
		name = "AddIn"
		size = 31
		refs = "0017 TMenuItem.AppendTo"
	strings:
		$1 = { 55 8B EC 8B 55 08 0F B6 4A FB 8B 55 08 8B 52 FC 8B 92 B4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5D C3 }
	condition:
		$1
}

rule function_82203_0 {
	meta:
		name = "TMenuItem.PopulateMenu"
		size = 111
		refs = "0018 _DV_TMainMenu 001d @IsClass 002b TMenuItem.InternalRethinkHotkeys 0035 TMenuItem.InternalRethinkLines 0046 TMenu.IsRightToLeft 005e AddIn 0066 IterateMenus"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC 8B 58 74 85 DB 74 25 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 58 74 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 FB 8B 45 FC 8B 50 6C B8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_82204_0 {
	meta:
		name = "TMenuItem.ReadShortCutText"
		size = 86
		refs = "000f TMenuItem.ReadShortCutText 001f TReader.ReadString 0027 TextToShortCut 0030 TMenuItem.SetShortCut 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82205_0 {
	meta:
		name = "TMenuItem.MergeWith"
		size = 57
		refs = "002c TComponent.FreeNotification 0033 TMenuItem.RebuildHandle"
	strings:
		$1 = { 53 8B D8 85 D2 74 06 F6 42 1C 08 75 2A 8B 43 6C 3B D0 74 23 85 C0 74 05 33 C9 89 48 70 8B C2 89 43 6C 85 C0 74 0A 89 58 70 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82206_0 {
	meta:
		name = "TMenuItem.Loaded"
		size = 60
		refs = "0007 TComponent.Loaded 000e TMenuItem.GetAction 0028 @CallDynaInst 0035 TMenuItem.RebuildHandle"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 16 8B C3 E8 ?? ?? ?? ?? 8B D0 B1 01 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? 80 7B 78 00 74 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82207_0 {
	meta:
		name = "TMenuItem.RebuildHandle"
		size = 212
		refs = "0027 TMenuItem.RebuildHandle 0033 TMenuItem.GetHandle 0039 GetMenuItemCount 005a GetMenuState 0071 RemoveMenu 008b _DV_TMainMenu 0090 @IsClass 00b1 DestroyMenu 00c2 TMenuItem.PopulateMenu"
	strings:
		$1 = { 53 56 57 55 8B E8 F6 45 1C 08 0F 85 BF 00 00 00 F6 45 1C 02 74 09 C6 45 78 01 E9 B0 00 00 00 8B 45 70 85 C0 74 0A E8 ?? ?? ?? ?? E9 9F 00 00 00 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 94 C3 85 F6 7E 34 68 00 04 00 00 8B FE 4F 57 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A8 04 75 15 68 00 04 00 00 57 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B3 01 4E 85 F6 7F CC 84 DB 74 4F 83 7D 68 00 75 39 8B 45 74 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 16 8B 85 B4 00 00 00 50 E8 ?? ?? ?? ?? 33 C0 89 85 B4 00 00 00 EB 07 8B C5 E8 ?? ?? ?? ?? 33 D2 8B C5 8B 08 FF 51 4C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82208_0 {
	meta:
		name = "TMenuItem.VerifyGroupIndex"
		size = 96
		refs = "000f TMenuItem.GetCount 0027 TMenuItem.GetItem 0031 SGroupIndexTooLow 0036 Error"
	strings:
		$1 = { 53 56 57 55 51 8B D9 89 14 24 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 40 46 33 ED 3B 2C 24 7D 1A 8B D5 8B C7 E8 ?? ?? ?? ?? 3A 58 43 73 26 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8B D5 8B C7 E8 ?? ?? ?? ?? 3A 58 43 76 0C 8B D5 8B C7 E8 ?? ?? ?? ?? 88 58 43 45 4E 75 C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82209_0 {
	meta:
		name = "TMenuItem.GetHandle"
		size = 88
		refs = "0011 _DV_TPopupMenu 0016 @IsClass 001f CreatePopupMenu 002c CreateMenu 0040 SOutOfResources 0045 Error 004c TMenuItem.PopulateMenu"
	strings:
		$1 = { 53 8B D8 83 BB B4 00 00 00 00 75 44 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D E8 ?? ?? ?? ?? 89 83 B4 00 00 00 EB 0B E8 ?? ?? ?? ?? 89 83 B4 00 00 00 83 BB B4 00 00 00 00 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 B4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_82210_0 {
	meta:
		name = "TMenuItem.DefineProperties"
		size = 84
		refs = "000b TComponent.DefineProperties 0011 TMenuItem.ReadShortCutText 001c TMenuItem.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 68 00 6F 00 72 00 74 00 43 00 75 00 74 00 54 00 65 00 78 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_82211_0 {
	meta:
		name = "TMenuItem.DoDrawText"
		size = 604
		refs = "0023 TMenuItem.DoDrawText 0030 TMenuItem.GetParentMenu 003d TMenu.IsRightToLeft 0071 @UStrLAsg 009c @UStrCat 00a9 @UStrEqual 00d4 TCanvas.GetHandle 00da DrawEdge 00ec TBrush.SetStyle 0113 TFont.SetStyle 0135 OffsetRect 0145 TFont.SetColor 017a @UStrToPWChar 0181 DrawText 019f ColorToRGB 0221 @UStrArrayClr 0227 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 4D EC 89 55 F0 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 74 30 8B C7 E8 ?? ?? ?? ?? 84 C0 74 25 F6 C3 00 75 08 83 E3 FF 83 CB 02 EB 12 B8 02 00 00 00 23 C3 83 F8 02 75 06 83 E3 FD 83 CB 00 81 CB 00 00 02 00 8D 45 FC 8B 55 EC E8 ?? ?? ?? ?? F6 C7 04 74 26 83 7D FC 00 74 13 8B 45 FC 66 83 38 26 75 17 8B 45 FC 66 83 78 02 00 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 34 F6 C7 04 0F 85 53 01 00 00 8B 45 10 8B F0 8D 7D D4 A5 A5 A5 A5 83 45 D8 04 6A 02 6A 06 8D 45 D4 50 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 28 01 00 00 8B 45 F0 8B 40 48 B2 01 E8 ?? ?? ?? ?? 80 7E 3E 00 74 21 8B 45 F0 8B 78 40 8B 47 10 0F B6 40 21 88 45 EB 0F B6 15 ?? ?? ?? ?? 0A 55 EB 8B C7 E8 ?? ?? ?? ?? 80 7E 3D 00 0F 85 B4 00 00 00 80 7D 0C 00 75 6C 8B 45 10 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 40 BA 14 00 00 FF E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8B F8 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 89 5D E4 8B 45 E4 50 8B 45 10 50 56 8B 45 F8 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 8B 45 10 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 80 7D 0C 00 74 2C B8 0D 00 00 FF E8 ?? ?? ?? ?? 8B F0 B8 10 00 00 FF E8 ?? ?? ?? ?? 3B F0 75 12 8B 45 F0 8B 40 40 BA 14 00 00 FF E8 ?? ?? ?? ?? EB 10 8B 45 F0 8B 40 40 BA 10 00 00 FF E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8B F8 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 53 8B 45 10 50 56 8B 45 F4 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 0C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_82212_0 {
	meta:
		name = "TMenuItem.DrawItem"
		size = 64
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 66 83 B8 9A 00 00 00 00 74 1B 8D 4D F0 51 0F B6 4D 08 51 8B D8 8B CA 8B D0 8B 83 9C 00 00 00 FF 93 98 00 00 00 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_82213_0 {
	meta:
		name = "DoThemedDrawText"
		size = 356
		refs = "001d DoThemedDrawText 002b TMenuItem.GetParentMenu 0038 TMenu.IsRightToLeft 007d @UStrLAsg 00a8 @UStrCat 00b2 TBrush.SetStyle 00d9 TFont.SetStyle 00ec TStyleManager.GetSystemStyle 00fa MenuStates 0110 TCanvas.GetHandle 011d TCustomStyleServices.DrawText 0132 @UStrClr 0138 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D FC 89 4D F4 8B F2 89 45 F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 85 FF 74 41 8B C7 E8 ?? ?? ?? ?? 84 C0 74 36 F6 C7 01 74 13 A1 ?? ?? ?? ?? F7 D0 23 C3 0B 05 ?? ?? ?? ?? 8B D8 EB 18 F6 C7 10 74 13 A1 ?? ?? ?? ?? 0B C3 8B 15 ?? ?? ?? ?? F7 D2 23 D0 8B DA 81 CB 00 20 00 00 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? F6 C3 02 74 26 83 7D FC 00 74 13 8B 45 FC 66 83 38 26 75 17 8B 45 FC 66 83 78 02 00 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 46 48 E8 ?? ?? ?? ?? 8B 45 F8 80 78 3E 00 74 1E 8B 7E 40 8B 47 10 0F B6 40 21 88 45 F3 0F B6 15 ?? ?? ?? ?? 0A 55 F3 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 10 50 53 68 FF FF FF 1F E8 ?? ?? ?? ?? 8B 55 F8 0F B6 52 3D 0F B6 92 ?? ?? ?? ?? 8D 4D E4 8B 18 FF 93 9C 00 00 00 8D 45 E4 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 00 00 01 00 00 00 10 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_82214_0 {
	meta:
		name = "ThemedDraw"
		size = 2836
		refs = "0017 ThemedDraw 0022 TStyleManager.GetSystemStyle 005c MenuBarItemStates 0075 TCustomStyleServices.GetElementColor 0086 TFont.SetColor 00b0 MenuBarStates 00d0 TCanvas.GetHandle 00da TCustomStyleServices.DrawElement 00f2 TBrush.SetColor 014b MenuItemStates 0190 CheckMarkStates 01be TCustomStyleServices.GetElementSize 01db TCustomStyleServices.GetElementMargins 0215 Rect 02cf OffsetRect 03a0 _DV_TPopupMenu 03a5 @IsClass 03ee MenuHighlightStates 0427 @UStrEqual 0452 TCustomImageList.GetCount 050d CheckMarkBkgStates 059a TCustomImageList.Draw 07cc SubMenuStates 08b0 Alignments 08e5 @SetExpand 093d DoThemedDrawText 09eb ShortCutToText 0a30 TCustomCanvas.TextWidth 0a61 TMenuItem.DoDrawText 0ae7 @UStrClr 0aed @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 5C FF FF FF 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B F0 8B 45 08 80 78 08 00 0F 84 D4 00 00 00 8B 45 08 F6 40 0C 01 75 0D 8B 45 08 F6 40 0C 40 0F 84 98 00 00 00 8D 45 F8 50 8B 45 08 8B 40 DC 0F B6 40 3D 0F B6 90 ?? ?? ?? ?? 8D 4D 80 8B C6 8B 38 FF 97 9C 00 00 00 8D 55 80 B1 02 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 D8 8B 40 40 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 83 C0 F0 50 6A 00 8B 45 08 F6 40 0C 01 0F 95 C0 83 E0 7F 8B 55 08 F6 42 0C 40 0F 95 C2 83 E2 7F 8D 14 55 ?? ?? ?? ?? 0F B6 14 02 8D 4D 80 8B C6 8B 38 FF 97 9C 00 00 00 8D 45 80 50 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? E9 96 00 00 00 8B 45 08 8B 40 D8 8B 40 48 BA 1E 00 00 FF E8 ?? ?? ?? ?? 8B 45 08 8D 50 F0 8B 45 08 8B 40 D8 8B 08 FF 51 54 EB 70 8B 45 08 83 C0 F0 50 6A 00 8D 4D 80 B2 12 8B C6 8B 38 FF 97 9C 00 00 00 8D 45 80 50 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 08 8B 40 DC 0F B6 40 3D 0F B6 90 ?? ?? ?? ?? 8D 4D 80 8B C6 8B 38 FF 97 9C 00 00 00 8D 55 80 B1 02 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 D8 8B 40 40 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 DC 0F B6 40 41 8B 55 08 8B 52 DC 0F B6 52 3D 8D 14 55 ?? ?? ?? ?? 0F B6 14 02 8D 4D 8C 8B C6 8B 38 FF 97 9C 00 00 00 6A 01 8D 45 E8 50 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 8B D0 8D 4D 8C 8B C6 E8 ?? ?? ?? ?? 6A 01 8D 45 C8 50 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 8B D0 8D 4D 8C 8B C6 E8 ?? ?? ?? ?? 8B C3 34 01 84 C0 74 34 8B 45 08 8B 40 F4 03 45 EC 03 45 D4 03 45 D4 50 8D 45 A8 50 8B 45 08 8B 78 F0 8B CF 03 4D E8 03 4D CC 03 4D CC 8B 45 08 8B 50 F4 8B C7 E8 ?? ?? ?? ?? EB 35 8B 45 08 8B 40 F4 03 45 EC 03 45 D4 03 45 D4 50 8D 45 A8 50 8B 45 08 8B 48 F8 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 2B 45 E8 8B 7D CC 2B C7 2B C7 E8 ?? ?? ?? ?? 8B 45 08 56 8D 78 E0 8D 75 A8 A5 A5 A5 A5 5E 8B 45 08 83 78 D4 00 74 6B 8B 45 08 8B 40 D4 8B 40 38 8B 55 EC 3B C2 7E 08 2B C2 8B 55 08 01 42 EC 8B 45 08 8B 40 D4 8B 40 3C 8B 55 E8 3B C2 7E 1B 8B CB 80 F1 01 84 C9 74 0A 2B C2 8B 55 08 01 42 E8 EB 08 2B C2 8B 55 08 29 42 E0 8B 45 08 8B 48 EC 2B 4D B4 D1 F9 79 03 83 D1 00 8B 45 08 8B 50 E8 2B 55 B0 D1 FA 79 03 83 D2 00 8D 45 A8 E8 ?? ?? ?? ?? 8B 45 08 56 8D 70 E0 8D 7D B8 A5 A5 A5 A5 5E 84 DB 74 09 8B 45 08 8B 40 E0 89 45 C0 8D 4D 8C B2 1B 8B C6 8B 38 FF 97 9C 00 00 00 6A 01 8D 45 F0 50 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 8B D0 8D 4D 8C 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 45 D8 50 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 8B D0 8D 4D 8C 8B C6 E8 ?? ?? ?? ?? 8B C3 34 01 84 C0 74 11 8B 45 F0 03 45 C8 01 45 C0 8B 45 D8 01 45 C0 EB 0F 8B 45 F0 03 45 CC 29 45 B8 8B 45 DC 29 45 C0 8B 45 08 80 78 08 00 75 1D 8D 45 B8 50 6A 00 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 8B D0 8D 4D 8C 8B C6 E8 ?? ?? ?? ?? 8B 45 08 83 78 D0 00 74 09 8B 45 08 C6 40 CF 00 EB 2E 8B 45 08 8B 40 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 08 8B 40 D0 0F B6 40 68 8B 55 08 88 42 CF EB 07 8B 45 08 C6 40 CF 00 8B 45 08 80 78 CE 00 74 49 8B 45 08 80 78 08 00 75 40 8B 45 08 83 C0 F0 50 6A 00 8B 45 08 8B 40 DC 0F B6 40 3D 0F B6 90 ?? ?? ?? ?? 8D 4D 80 8B C6 8B 38 FF 97 9C 00 00 00 8D 45 80 50 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 8B 45 08 8B 40 DC 8B 40 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 06 03 00 00 8B 45 08 83 78 D4 00 74 4A 8B 45 08 8B 40 DC 8B 78 44 83 FF FF 7E 12 8B 45 08 8B 45 08 8B 40 D4 E8 ?? ?? ?? ?? 3B F8 7C 2E 8B 45 08 8B 40 DC 80 78 3C 00 74 1E 8B 45 08 8B 40 DC 83 78 50 00 74 16 8B 45 08 8B 40 DC 8B 40 50 8B 10 FF 52 20 84 C0 75 04 33 C0 EB 02 B0 01 8B 55 08 88 42 CD 8B 45 08 80 78 CD 00 75 20 8B 45 08 8B 40 DC 8B 78 50 85 FF 0F 84 8D 02 00 00 8B C7 8B 10 FF 52 20 84 C0 0F 85 7E 02 00 00 8B 45 08 80 78 CD 00 0F 84 77 01 00 00 8B 45 08 8B 40 DC 8B 78 44 83 FF FF 0F 8E CB 00 00 00 8B 45 08 8B 45 08 8B 40 D4 E8 ?? ?? ?? ?? 3B F8 0F 8D B5 00 00 00 8B 45 08 8B 40 DC 80 78 3C 00 74 3D 8D 45 A8 50 6A 00 8B 45 08 8B 40 DC 0F B6 40 3D 0F B6 90 ?? ?? ?? ?? 8D 4D 80 8B C6 8B 38 FF 97 9C 00 00 00 8D 45 80 50 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 8B 4D 08 8B 49 EC 8B 55 08 8B 52 E4 2B CA 8B 7D 08 8B 7F D4 2B 4F 38 D1 F9 79 03 83 D1 00 03 CA 51 8B 55 08 8B 52 DC 8B 52 44 52 8B 55 08 8B 52 DC 0F B6 52 3D 52 8B 55 08 8B 4A E8 8B 45 08 8B 40 E0 2B C8 8B 55 08 8B 52 D4 2B 4A 3C D1 F9 79 03 83 D1 00 03 C8 8B 45 08 8B 40 D4 8B 55 08 8B 52 D8 E8 ?? ?? ?? ?? E9 94 01 00 00 8B 45 08 80 78 08 00 0F 85 87 01 00 00 8D 45 A8 50 6A 00 8B 45 08 8B 40 DC 0F B6 40 3D 0F B6 90 ?? ?? ?? ?? 8D 4D 80 8B C6 8B 38 FF 97 9C 00 00 00 8D 45 80 50 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 8D 45 A8 50 6A 00 8B 45 08 8B 40 DC 0F B6 40 41 8B 55 08 8B 52 DC 0F B6 52 3D 8D 14 55 ?? ?? ?? ?? 0F B6 14 02 8D 4D 80 8B C6 8B 38 FF 97 9C 00 00 00 8D 45 80 50 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? E9 FA 00 00 00 6A 10 8D 45 98 50 B9 10 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 4D 08 8B 49 EC 8B 55 08 8B 52 E4 2B CA 83 E9 10 D1 F9 79 03 83 D1 00 03 CA 51 8B 55 08 8B 52 E8 8B 45 08 8B 40 E0 2B D0 83 EA 10 D1 FA 79 03 83 D2 00 03 D0 8D 45 98 59 E8 ?? ?? ?? ?? 8B 45 08 8B 40 DC 8B 40 50 8B 10 FF 52 30 3B 45 E8 7D 34 8B 45 08 8B 40 DC 8B 40 50 8B 10 FF 52 30 8B 55 A0 2B 55 98 2B D0 D1 FA 79 03 83 D2 00 01 55 98 8B 45 08 8B 40 DC 8B 40 50 8B 10 FF 52 30 03 45 98 89 45 A0 8B 45 08 8B 40 DC 8B 40 50 8B 10 FF 52 24 3B 45 EC 7D 34 8B 45 08 8B 40 DC 8B 40 50 8B 10 FF 52 24 8B 55 A4 2B 55 9C 2B D0 D1 FA 79 03 83 D2 00 01 55 9C 8B 45 08 8B 40 DC 8B 40 50 8B 10 FF 52 24 03 45 9C 89 45 A4 8B 45 08 8B 40 DC 8B 48 50 8D 55 98 8B 45 08 8B 40 D8 8B 38 FF 97 88 00 00 00 6A 00 8D 45 D8 50 8D 4D 80 B2 1C 8B C6 8B 38 FF 97 9C 00 00 00 8D 45 80 50 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 8B 45 08 80 78 08 00 0F 85 A2 00 00 00 8B C3 34 01 84 C0 74 14 8B 45 08 8B 55 C0 89 50 F0 8B 45 08 8B 55 D8 01 50 F0 EB 12 8B 45 08 8B 55 B8 89 50 F8 8B 45 08 8B 55 D8 29 50 F8 8B 45 08 8B 40 DC 8B 40 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 C6 00 00 00 6A 01 8D 45 F0 50 8B 45 08 8B 40 DC 0F B6 40 3D 0F B6 90 ?? ?? ?? ?? 8D 4D 80 8B C6 8B 38 FF 97 9C 00 00 00 8D 45 80 50 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 8B C3 34 01 84 C0 74 0B 8B 45 08 8B 55 F0 29 50 F8 EB 76 8B 45 08 8B 55 F0 01 50 F0 EB 6B 8B 45 08 83 78 D4 00 74 0C 8B 45 08 8B 40 DC 83 78 44 FF 75 0C 8B 45 08 8B 40 DC 83 78 50 00 74 2C 84 DB 75 14 8B 45 08 8B 40 E8 8B 55 08 2B 42 E0 8B 55 08 01 42 F0 EB 32 8B 45 08 8B 40 E8 8B 55 08 2B 42 E0 8B 55 08 29 42 F8 EB 1E 84 DB 75 0E 8B 45 D8 83 C0 03 8B 55 08 01 42 F0 EB 0C 8B 45 D8 83 C0 03 8B 55 08 29 42 F8 8B 45 08 8B 40 DC 8B 40 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 CF 01 00 00 BE ?? ?? ?? ?? 8D BD 5C FF FF FF 66 A5 A4 8B 45 08 0F B6 40 CF 0F B6 80 ?? ?? ?? ?? 3C 17 77 1B 83 E0 7F 8D 95 5C FF FF FF 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F AB 02 8D 85 5C FF FF FF 8D 95 60 FF FF FF B9 00 03 00 00 E8 ?? ?? ?? ?? 8B B5 60 FF FF FF 8B 45 08 F6 40 0D 01 74 06 81 CE 00 00 04 00 8B 45 08 8B 55 08 56 8D 70 F0 8D 7A BC A5 A5 A5 A5 5E 8B 45 08 83 C0 F0 50 8B 45 08 0F B6 40 CE 50 A1 ?? ?? ?? ?? 0B C6 50 8B 45 08 8B 40 DC 8B 48 38 8B 45 08 8B 50 D8 8B 45 08 8B 40 DC E8 ?? ?? ?? ?? 84 DB 74 18 8B 45 08 8B 40 BC 8B 55 08 89 42 F0 8B 45 08 8B 40 C4 8B 55 08 89 42 F8 8B 45 08 8B 48 C8 8B 45 08 2B 48 C0 8B 45 08 8B 40 FC 8B 55 08 2B 42 F4 2B C8 D1 F9 79 03 83 D1 00 8B 45 08 83 C0 F0 33 D2 E8 ?? ?? ?? ?? 8B 45 08 83 C0 F0 50 8B 45 08 0F B6 40 CE 50 56 8B 45 08 8B 40 DC 8B 48 38 8B 45 08 8B 50 D8 8B 45 08 8B 40 DC E8 ?? ?? ?? ?? 8B 45 08 8B 40 DC 0F B7 70 64 66 85 F6 0F 84 0E 01 00 00 8B 45 08 80 78 08 00 0F 85 01 01 00 00 8B 45 08 8B 40 DC 83 78 60 00 0F 85 F1 00 00 00 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 84 DB 75 20 8B 45 08 8B 40 F8 8B 55 08 89 42 F0 8B 45 08 8B 40 C4 2B 45 F0 2B 45 D8 8B 55 08 89 42 F8 EB 2D 8B 45 F0 8B D0 03 D0 03 55 D8 03 55 DC 8B 45 08 89 50 F0 8B 45 08 8B 40 D8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 08 03 42 F0 8B 55 08 89 42 F8 8B 45 08 83 C0 F0 50 8B 45 08 0F B6 40 CE 50 6A 02 8B 45 08 8B 50 D8 8B 45 08 8B 40 DC 8B 4D FC E8 ?? ?? ?? ?? EB 6F 84 DB 75 0C 8B 45 C0 40 8B 55 08 89 42 F0 EB 0A 8B 45 B8 48 8B 55 08 89 42 F8 8D 4D 8C B2 20 8B C6 8B 18 FF 93 9C 00 00 00 6A 00 8D 45 D8 50 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 8B D0 8D 4D 8C 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 55 E4 29 50 FC 8B 45 08 83 C0 F0 50 6A 00 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 8B D0 8D 4D 8C 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 40 40 00 00 02 04 00 00 }
	condition:
		$1
}

rule function_82215_0 {
	meta:
		name = "NormalDraw"
		size = 2400
		refs = "000c NormalDraw 0036 TStyleManager.GetSystemStyle 0072 TBrush.SetColor 009a TFont.SetColor 00f9 _DV_TPopupMenu 00fe @IsClass 0148 @UStrEqual 019e TCustomImageList.GetCount 02c0 AllocPatternBitmap 02d0 TBrush.SetBitmap 0387 TCustomImageList.Draw 0393 _Dn_TBitmap 0398 TBitmap.Create 03c5 LoadBitmap 03d2 TBitmap.SetHandle 0481 TObject.Free 0487 @HandleFinally 0661 EdgeStyle 0674 TCanvas.GetHandle 067a DrawEdge 075c OffsetRect 0797 Alignments 07e4 TFont.SetStyle 081a TMenuItem.DoDrawText 0911 ShortCutToText 093a @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 80 78 BB 00 74 09 8B 45 08 80 78 BA 00 75 1B 8B 45 08 80 78 BB 00 0F 84 87 00 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 79 8B 45 08 F6 40 0C 01 75 09 8B 45 08 F6 40 0C 40 74 4B E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 15 8B 45 08 8B 40 D8 8B 40 48 BA 1D 00 00 FF E8 ?? ?? ?? ?? EB 13 8B 45 08 8B 40 D8 8B 40 48 BA 0D 00 00 FF E8 ?? ?? ?? ?? 8B 45 08 8B 40 D8 8B 40 40 BA 0E 00 00 FF E8 ?? ?? ?? ?? EB 1C 8B 45 08 80 78 08 00 74 13 8B 45 08 8B 40 D8 8B 40 48 BA 1E 00 00 FF E8 ?? ?? ?? ?? 8B 45 08 80 78 CE 00 74 09 8B 45 08 80 78 BB 00 74 11 8B 45 08 8D 50 F0 8B 45 08 8B 40 D8 8B 08 FF 51 54 8B 45 08 83 78 D0 00 74 09 8B 45 08 C6 40 CF 00 EB 2E 8B 45 08 8B 40 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 08 8B 40 D0 0F B6 40 68 8B 55 08 88 42 CF EB 07 8B 45 08 C6 40 CF 00 8B 45 08 8B 40 F0 40 8B 55 08 89 42 E0 8B 45 08 8B 40 F4 40 8B 55 08 89 42 E4 8B 45 08 8B 40 DC 8B 40 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2F 8B 45 08 8D 50 F0 8B 45 08 8B 40 D8 8B 08 FF 51 54 8B 45 08 33 D2 89 50 E0 8B 45 08 C7 40 E8 FC FF FF FF 8B 45 08 C6 40 B9 00 E9 94 04 00 00 8B 45 08 83 78 D4 00 74 44 8B 45 08 8B 40 DC 8B 58 44 83 FB FF 7E 12 8B 45 08 8B 45 08 8B 40 D4 E8 ?? ?? ?? ?? 3B D8 7C 28 8B 45 08 8B 40 DC 80 78 3C 00 74 18 8B 45 08 8B 40 DC 8B 70 50 85 F6 74 0F 8B C6 8B 10 FF 52 20 84 C0 75 04 33 C0 EB 02 B0 01 8B 55 08 88 42 CD 8B 45 08 80 78 CD 00 75 20 8B 45 08 8B 40 DC 8B 58 50 85 DB 0F 84 C4 03 00 00 8B C3 8B 10 FF 52 20 84 C0 0F 85 B5 03 00 00 8B 45 08 C6 40 B9 01 8B 45 08 80 78 CD 00 74 2C 8B 45 08 8B 40 E0 8B 55 08 8B 52 D4 03 42 3C 8B 55 08 89 42 E8 8B 45 08 8B 40 E4 8B 55 08 8B 52 D4 03 42 38 8B 55 08 89 42 EC EB 1E 8B 45 08 8B 40 E0 83 C0 10 8B 55 08 89 42 E8 8B 45 08 8B 40 E4 83 C0 10 8B 55 08 89 42 EC 8B 45 08 8B 40 DC 80 78 3C 00 0F 84 C2 00 00 00 8B 45 08 80 78 BB 00 0F 85 B5 00 00 00 8B 45 08 FF 40 E8 8B 45 08 FF 40 EC 8B 45 08 8B 40 D8 8B 40 48 8B 40 10 8B 40 18 8B 55 08 89 42 B4 8B 45 08 F6 40 0C 01 75 47 8B 45 08 8B 40 D8 8B 40 48 8B 40 10 8B 40 18 8B 55 08 89 42 B4 BA 14 00 00 FF B8 0F 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 D8 8B 40 48 E8 ?? ?? ?? ?? 8B 45 08 8D 50 E0 8B 45 08 8B 40 D8 8B 08 FF 51 54 EB 24 8B 45 08 8B 40 D8 8B 40 48 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B 45 08 8D 50 E0 8B 45 08 8B 40 D8 8B 08 FF 51 54 8B 45 08 8B 50 B4 8B 45 08 8B 40 D8 8B 40 48 E8 ?? ?? ?? ?? 8B 45 08 FF 40 E0 8B 45 08 FF 40 E4 8B 45 08 80 78 CD 00 0F 84 55 01 00 00 8B 45 08 8B 40 DC 8B 58 44 83 FB FF 7E 4A 8B 45 08 8B 45 08 8B 40 D4 E8 ?? ?? ?? ?? 3B D8 7D 38 8B 45 08 8B 40 E4 50 8B 45 08 8B 40 DC 8B 40 44 50 8B 45 08 8B 40 DC 0F B6 40 3D 50 8B 45 08 8B 48 E0 8B 45 08 8B 50 D8 8B 45 08 8B 40 D4 E8 ?? ?? ?? ?? E9 0A 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 B0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 B0 B2 01 8B 08 FF 51 40 68 F8 7F 00 00 6A 00 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 B0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 D8 8B 40 40 8B 40 18 8B 55 08 89 42 B4 8B 45 08 8B 40 D8 8B 40 40 BA 12 00 00 FF E8 ?? ?? ?? ?? 8B 45 08 8B 40 B0 50 8B 45 08 8B 40 B0 8B 10 FF 52 24 8B 55 08 8B 52 EC 8B 4D 08 8B 71 E4 2B D6 2B D0 D1 FA 79 03 83 D2 00 03 D6 42 52 8B 45 08 8B 40 B0 8B 10 FF 52 30 8B 55 08 8B 52 E8 8B 4D 08 8B 59 E0 2B D3 2B D0 D1 FA 79 03 83 D2 00 03 D3 42 8B 45 08 8B 40 D8 59 8B 18 FF 53 44 8B 45 08 8B 50 B4 8B 45 08 8B 40 D8 8B 40 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 B0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 08 8B 55 08 8D 70 E0 8D 7A BC A5 A5 A5 A5 8B 45 08 8B 40 DC 8B 40 50 8B 10 FF 52 30 8B 55 08 8B 52 E8 8B 4D 08 2B 51 E0 3B C2 7D 4A 8B 45 08 8B 40 DC 8B 40 50 8B 10 FF 52 30 8B 55 08 8B 52 E8 8B 4D 08 2B 51 E0 2B D0 D1 FA 79 03 83 D2 00 8B 45 08 03 50 E0 42 8B 45 08 89 50 E0 8B 45 08 8B 40 DC 8B 40 50 8B 10 FF 52 30 8B 55 08 03 42 E0 8B 55 08 89 42 E8 8B 45 08 8B 40 DC 8B 40 50 8B 10 FF 52 24 8B 55 08 8B 52 EC 8B 4D 08 2B 51 E4 3B C2 7D 4A 8B 45 08 8B 40 DC 8B 40 50 8B 10 FF 52 24 8B 55 08 8B 52 EC 8B 4D 08 2B 51 E4 2B D0 D1 FA 79 03 83 D2 00 8B 45 08 03 50 E4 42 8B 45 08 89 50 E4 8B 45 08 8B 40 DC 8B 40 50 8B 10 FF 52 24 8B 55 08 03 42 E4 8B 55 08 89 42 EC 8B 45 08 8B 40 DC 8B 48 50 8B 45 08 8D 50 E0 8B 45 08 8B 40 D8 8B 18 FF 93 88 00 00 00 8B 45 08 8B 55 08 8D 70 BC 8D 7A E0 A5 A5 A5 A5 8B 45 08 8B 40 DC 80 78 3C 00 74 6B 8B 45 08 FF 48 E8 8B 45 08 FF 48 EC EB 5D 8B 45 08 83 78 D4 00 74 35 8B 45 08 80 78 08 00 75 2C 8B 45 08 8B 40 E0 8B 55 08 8B 52 D4 03 42 3C 8B 55 08 89 42 E8 8B 45 08 8B 40 E4 8B 55 08 8B 52 D4 03 42 38 8B 55 08 89 42 EC EB 18 8B 45 08 8B 40 E0 8B 55 08 89 42 E8 8B 45 08 8B 40 E4 8B 55 08 89 42 EC 8B 45 08 C6 40 B9 00 8B 45 08 FF 48 E0 8B 45 08 FF 48 E4 8B 45 08 83 40 E8 02 8B 45 08 83 40 EC 02 8B 45 08 8B 40 DC 80 78 3C 00 75 12 8B 45 08 80 78 CE 00 74 3E 8B 45 08 80 78 B9 00 74 35 8B 45 08 80 78 BB 00 75 2C 6A 0F 8B 45 08 8B 40 DC 0F B6 40 3C 8B 04 85 ?? ?? ?? ?? 50 8B 45 08 83 C0 E0 50 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 08 80 78 CE 00 74 4C 8B 45 08 80 78 B9 00 74 0D 8B 45 08 8B 40 E8 40 8B 55 08 89 42 F0 8B 45 08 80 78 AF 00 74 09 8B 45 08 80 78 08 00 75 13 8B 45 08 8B 40 D8 8B 40 48 BA 0D 00 00 FF E8 ?? ?? ?? ?? 8B 45 08 8D 50 F0 8B 45 08 8B 40 D8 8B 08 FF 51 54 8B 45 08 80 78 08 00 0F 84 80 00 00 00 8B 45 08 80 78 AF 00 74 77 8B 45 08 80 78 BB 00 74 09 8B 45 08 80 78 BA 00 75 65 8B 45 08 80 78 CE 00 74 1E 6A 0F 6A 02 8B 45 08 83 C0 F0 50 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 25 8B 45 08 F6 40 0C 40 74 1C 6A 0F 6A 04 8B 45 08 83 C0 F0 50 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 08 80 78 CE 00 75 10 8B 45 08 83 C0 F0 83 C9 FF 33 D2 E8 ?? ?? ?? ?? 8B 45 08 80 78 CE 00 74 09 8B 45 08 80 78 B9 00 75 0D 8B 45 08 8B 40 E8 40 8B 55 08 89 42 F0 8B 45 08 83 40 F0 02 8B 45 08 FF 48 F8 8B 45 08 0F B6 40 CF 0F B7 1C 45 ?? ?? ?? ?? 66 83 CB 60 0F B7 DB 8B 45 08 80 78 AE 00 74 0F 8B 45 08 F6 40 0D 01 74 06 81 CB 00 00 10 00 8B 45 08 8B 55 08 8D 70 F0 8D 7A BC A5 A5 A5 A5 8B 45 08 F6 40 0C 20 74 15 8B 45 08 8B 40 D8 8B 40 40 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 83 C0 F0 50 8B 45 08 0F B6 40 CE 50 B8 00 04 00 00 0B C3 0D 00 01 00 00 50 8B 45 08 8B 40 DC 8B 48 38 8B 45 08 8B 50 D8 8B 45 08 8B 40 DC E8 ?? ?? ?? ?? 8B 45 08 8B 48 C8 8B 45 08 2B 48 C0 8B 45 08 8B 40 FC 8B 55 08 2B 42 F4 2B C8 D1 F9 79 03 83 D1 00 8B 45 08 83 C0 F0 33 D2 E8 ?? ?? ?? ?? 8B 45 08 80 78 08 00 74 2D 8B 45 08 80 78 CE 00 74 24 8B 45 08 80 78 AF 00 74 1B 8B 45 08 80 78 BB 00 75 12 8B 45 08 83 C0 F0 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 83 C0 F0 50 8B 45 08 0F B6 40 CE 50 53 8B 45 08 8B 40 DC 8B 48 38 8B 45 08 8B 50 D8 8B 45 08 8B 40 DC E8 ?? ?? ?? ?? 8B 45 08 8B 40 DC 66 83 78 64 00 74 70 8B 45 08 80 78 08 00 75 67 8B 45 08 80 78 AD 00 74 0C 8B 45 08 8B 40 DC 83 78 60 00 75 52 8B 45 08 8B 40 F8 8B 55 08 89 42 F0 8B 45 08 8B 40 C4 83 E8 0A 8B 55 08 89 42 F8 8B 45 08 83 C0 F0 50 8B 45 08 0F B6 40 CE 50 6A 02 8D 55 FC 8B 45 08 8B 40 DC 0F B7 40 64 E8 ?? ?? ?? ?? 8B 4D FC 8B 45 08 8B 50 D8 8B 45 08 8B 40 DC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_82216_0 {
	meta:
		name = "BiDiDraw"
		size = 2432
		refs = "000c BiDiDraw 0036 TStyleManager.GetSystemStyle 0072 TBrush.SetColor 009a TFont.SetColor 0105 _DV_TPopupMenu 010a @IsClass 0154 @UStrEqual 01af TCustomImageList.GetCount 02c4 AllocPatternBitmap 02d4 TBrush.SetBitmap 038b TCustomImageList.Draw 0397 _Dn_TBitmap 039c TBitmap.Create 03c9 LoadBitmap 03d6 TBitmap.SetHandle 0485 TObject.Free 048b @HandleFinally 0669 EdgeStyle 067c TCanvas.GetHandle 0682 DrawEdge 0764 OffsetRect 079f Alignments 07ec TFont.SetStyle 0822 TMenuItem.DoDrawText 08fc ShortCutToText 0914 TCustomCanvas.TextWidth 095a @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 80 78 BB 00 74 09 8B 45 08 80 78 BA 00 75 1B 8B 45 08 80 78 BB 00 0F 84 87 00 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 79 8B 45 08 F6 40 0C 01 75 09 8B 45 08 F6 40 0C 40 74 4B E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 15 8B 45 08 8B 40 D8 8B 40 48 BA 1D 00 00 FF E8 ?? ?? ?? ?? EB 13 8B 45 08 8B 40 D8 8B 40 48 BA 0D 00 00 FF E8 ?? ?? ?? ?? 8B 45 08 8B 40 D8 8B 40 40 BA 0E 00 00 FF E8 ?? ?? ?? ?? EB 1C 8B 45 08 80 78 08 00 74 13 8B 45 08 8B 40 D8 8B 40 48 BA 1E 00 00 FF E8 ?? ?? ?? ?? 8B 45 08 80 78 CE 00 74 15 8B 45 08 80 78 BB 00 74 1D 8B 45 08 8B 40 DC 80 78 3C 00 75 11 8B 45 08 8D 50 F0 8B 45 08 8B 40 D8 8B 08 FF 51 54 8B 45 08 83 78 D0 00 74 09 8B 45 08 C6 40 CF 00 EB 2E 8B 45 08 8B 40 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 08 8B 40 D0 0F B6 40 68 8B 55 08 88 42 CF EB 07 8B 45 08 C6 40 CF 00 8B 45 08 8B 40 F8 48 8B 55 08 89 42 E8 8B 45 08 8B 40 F4 40 8B 55 08 89 42 E4 8B 45 08 8B 40 DC 8B 40 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 34 8B 45 08 8D 50 F0 8B 45 08 8B 40 D8 8B 08 FF 51 54 8B 45 08 8B 40 E8 83 C0 02 8B 55 08 89 42 E0 8B 45 08 33 D2 89 50 E8 8B 45 08 C6 40 B9 00 E9 8B 04 00 00 8B 45 08 83 78 D4 00 74 44 8B 45 08 8B 40 DC 8B 58 44 83 FB FF 7E 12 8B 45 08 8B 45 08 8B 40 D4 E8 ?? ?? ?? ?? 3B D8 7C 28 8B 45 08 8B 40 DC 80 78 3C 00 74 18 8B 45 08 8B 40 DC 8B 70 50 85 F6 74 0F 8B C6 8B 10 FF 52 20 84 C0 75 04 33 C0 EB 02 B0 01 8B 55 08 88 42 CD 8B 45 08 80 78 CD 00 75 20 8B 45 08 8B 40 DC 8B 58 50 85 DB 0F 84 BB 03 00 00 8B C3 8B 10 FF 52 20 84 C0 0F 85 AC 03 00 00 8B 45 08 C6 40 B9 01 8B 45 08 80 78 CD 00 74 2C 8B 45 08 8B 40 E8 8B 55 08 8B 52 D4 2B 42 3C 8B 55 08 89 42 E0 8B 45 08 8B 40 E4 8B 55 08 8B 52 D4 03 42 38 8B 55 08 89 42 EC EB 1E 8B 45 08 8B 40 E8 83 E8 10 8B 55 08 89 42 E0 8B 45 08 8B 40 E4 83 C0 10 8B 55 08 89 42 EC 8B 45 08 8B 40 DC 80 78 3C 00 0F 84 B5 00 00 00 8B 45 08 FF 48 E0 8B 45 08 FF 40 EC 8B 45 08 8B 40 D8 8B 40 48 8B 40 10 8B 40 18 8B 55 08 89 42 B4 8B 45 08 F6 40 0C 01 75 47 8B 45 08 8B 40 D8 8B 40 48 8B 40 10 8B 40 18 8B 55 08 89 42 B4 BA 14 00 00 FF B8 0F 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 D8 8B 40 48 E8 ?? ?? ?? ?? 8B 45 08 8D 50 E0 8B 45 08 8B 40 D8 8B 08 FF 51 54 EB 24 8B 45 08 8B 40 D8 8B 40 48 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B 45 08 8D 50 E0 8B 45 08 8B 40 D8 8B 08 FF 51 54 8B 45 08 8B 50 B4 8B 45 08 8B 40 D8 8B 40 48 E8 ?? ?? ?? ?? 8B 45 08 FF 48 E8 8B 45 08 FF 40 E4 8B 45 08 80 78 CD 00 0F 84 55 01 00 00 8B 45 08 8B 40 DC 8B 58 44 83 FB FF 7E 4A 8B 45 08 8B 45 08 8B 40 D4 E8 ?? ?? ?? ?? 3B D8 7D 38 8B 45 08 8B 40 E4 50 8B 45 08 8B 40 DC 8B 40 44 50 8B 45 08 8B 40 DC 0F B6 40 3D 50 8B 45 08 8B 48 E0 8B 45 08 8B 50 D8 8B 45 08 8B 40 D4 E8 ?? ?? ?? ?? E9 0E 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 B0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 B0 B2 01 8B 08 FF 51 40 68 F8 7F 00 00 6A 00 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 B0 E8 ?? ?? ?? ?? 8B 45 08 8B 40 D8 8B 40 40 8B 40 18 8B 55 08 89 42 B4 8B 45 08 8B 40 D8 8B 40 40 BA 12 00 00 FF E8 ?? ?? ?? ?? 8B 45 08 8B 40 B0 50 8B 45 08 8B 40 B0 8B 10 FF 52 24 8B 55 08 8B 52 EC 8B 4D 08 8B 71 E4 2B D6 2B D0 D1 FA 79 03 83 D2 00 03 D6 42 52 8B 45 08 8B 40 B0 8B 10 FF 52 30 8B 55 08 8B 52 E8 8B 4D 08 8B 59 E0 2B D3 2B D0 D1 FA 79 03 83 D2 00 03 D3 42 8B 45 08 8B 40 D8 59 8B 18 FF 53 44 8B 45 08 8B 50 B4 8B 45 08 8B 40 D8 8B 40 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 B0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 08 8B 55 08 8D 70 E0 8D 7A BC A5 A5 A5 A5 8B 45 08 8B 40 DC 8B 40 50 8B 10 FF 52 30 8B 55 08 8B 52 E8 8B 4D 08 2B 51 E0 3B C2 7D 4E 8B 45 08 8B 40 DC 8B 40 50 8B 10 FF 52 30 8B 55 08 8B 52 E8 8B 4D 08 2B 51 E0 2B D0 D1 FA 79 03 83 D2 00 8B 45 08 8B 40 E8 2B C2 40 8B 55 08 89 42 E8 8B 45 08 8B 40 DC 8B 40 50 8B 10 FF 52 30 8B 55 08 8B 52 E8 2B D0 8B 45 08 89 50 E0 8B 45 08 8B 40 DC 8B 40 50 8B 10 FF 52 24 8B 55 08 8B 52 EC 8B 4D 08 2B 51 E4 3B C2 7D 4A 8B 45 08 8B 40 DC 8B 40 50 8B 10 FF 52 24 8B 55 08 8B 52 EC 8B 4D 08 2B 51 E4 2B D0 D1 FA 79 03 83 D2 00 8B 45 08 03 50 E4 42 8B 45 08 89 50 E4 8B 45 08 8B 40 DC 8B 40 50 8B 10 FF 52 24 8B 55 08 03 42 E4 8B 55 08 89 42 EC 8B 45 08 8B 40 DC 8B 48 50 8B 45 08 8D 50 E0 8B 45 08 8B 40 D8 8B 18 FF 93 88 00 00 00 8B 45 08 8B 55 08 8D 70 BC 8D 7A E0 A5 A5 A5 A5 8B 45 08 8B 40 DC 80 78 3C 00 74 6B 8B 45 08 FF 48 E8 8B 45 08 FF 48 EC EB 5D 8B 45 08 83 78 D4 00 74 35 8B 45 08 80 78 08 00 75 2C 8B 45 08 8B 40 E8 8B 55 08 8B 52 D4 2B 42 3C 8B 55 08 89 42 E0 8B 45 08 8B 40 E4 8B 55 08 8B 52 D4 03 42 38 8B 55 08 89 42 EC EB 18 8B 45 08 8B 40 E8 8B 55 08 89 42 E0 8B 45 08 8B 40 E4 8B 55 08 89 42 EC 8B 45 08 C6 40 B9 00 8B 45 08 FF 48 E0 8B 45 08 FF 48 E4 8B 45 08 83 40 E8 02 8B 45 08 83 40 EC 02 8B 45 08 8B 40 DC 80 78 3C 00 75 1B 8B 45 08 80 78 CE 00 74 3E 8B 45 08 80 78 B9 00 74 35 8B 45 08 80 78 BB 00 75 2C 6A 0F 8B 45 08 8B 40 DC 0F B6 40 3C 8B 04 85 ?? ?? ?? ?? 50 8B 45 08 83 C0 E0 50 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 08 80 78 CE 00 74 4C 8B 45 08 80 78 B9 00 74 0D 8B 45 08 8B 40 E0 48 8B 55 08 89 42 F8 8B 45 08 80 78 AF 00 74 09 8B 45 08 80 78 08 00 75 13 8B 45 08 8B 40 D8 8B 40 48 BA 0D 00 00 FF E8 ?? ?? ?? ?? 8B 45 08 8D 50 F0 8B 45 08 8B 40 D8 8B 08 FF 51 54 8B 45 08 80 78 08 00 0F 84 80 00 00 00 8B 45 08 80 78 AF 00 74 77 8B 45 08 80 78 BB 00 74 09 8B 45 08 80 78 BA 00 75 65 8B 45 08 80 78 CE 00 74 1E 6A 0F 6A 02 8B 45 08 83 C0 F0 50 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 25 8B 45 08 F6 40 0C 40 74 1C 6A 0F 6A 04 8B 45 08 83 C0 F0 50 8B 45 08 8B 40 D8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 08 80 78 CE 00 75 10 8B 45 08 83 C0 F0 83 C9 FF 33 D2 E8 ?? ?? ?? ?? 8B 45 08 80 78 CE 00 74 09 8B 45 08 80 78 B9 00 75 0D 8B 45 08 8B 40 E0 48 8B 55 08 89 42 F8 8B 45 08 83 40 F0 02 8B 45 08 FF 48 F8 8B 45 08 0F B6 40 CF 0F B7 1C 45 ?? ?? ?? ?? 66 83 CB 60 0F B7 DB 8B 45 08 80 78 AE 00 74 0F 8B 45 08 F6 40 0D 01 74 06 81 CB 00 00 10 00 8B 45 08 8B 55 08 8D 70 F0 8D 7A BC A5 A5 A5 A5 8B 45 08 F6 40 0C 20 74 15 8B 45 08 8B 40 D8 8B 40 40 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 83 C0 F0 50 8B 45 08 0F B6 40 CE 50 B8 00 04 00 00 0B C3 0D 00 01 00 00 50 8B 45 08 8B 40 DC 8B 48 38 8B 45 08 8B 50 D8 8B 45 08 8B 40 DC E8 ?? ?? ?? ?? 8B 45 08 8B 40 BC 8B 55 08 89 42 F0 8B 45 08 8B 40 C4 8B 55 08 89 42 F8 8B 45 08 8B 48 C8 8B 45 08 2B 48 C0 8B 45 08 8B 40 FC 8B 55 08 2B 42 F4 2B C8 D1 F9 79 03 83 D1 00 8B 45 08 83 C0 F0 33 D2 E8 ?? ?? ?? ?? 8B 45 08 80 78 08 00 74 24 8B 45 08 80 78 CE 00 74 1B 8B 45 08 80 78 AF 00 74 12 8B 45 08 83 C0 F0 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 83 C0 F0 50 8B 45 08 0F B6 40 CE 50 53 8B 45 08 8B 40 DC 8B 48 38 8B 45 08 8B 50 D8 8B 45 08 8B 40 DC E8 ?? ?? ?? ?? 8B 45 08 8B 40 DC 66 83 78 64 00 74 79 8B 45 08 80 78 08 00 75 70 8B 45 08 80 78 AD 00 74 0C 8B 45 08 8B 40 DC 83 78 60 00 75 5B 8D 55 FC 8B 45 08 8B 40 DC 0F B7 40 64 E8 ?? ?? ?? ?? 8B 45 08 C7 40 F0 0A 00 00 00 8B 45 08 8B 40 D8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 08 03 42 F0 8B 55 08 89 42 F8 8B 45 08 83 C0 F0 50 8B 45 08 0F B6 40 CE 50 6A 02 8B 45 08 8B 50 D8 8B 45 08 8B 40 DC 8B 4D FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_82217_0 {
	meta:
		name = "TMenuItem.AdvancedDrawItem"
		size = 421
		refs = "001c TMenuItem.GetParentMenu 0027 TMenuItem.GetImageList 0039 Win32MajorVersion 004d Win32MinorVersion 006a Win32Platform 0087 CheckWin32Version 0095 TStyleManager.GetSystemStyle 00aa GetThemeSysBool 0164 TMenu.IsRightToLeft 0173 ThemedDraw 018e NormalDraw 0197 BiDiDraw"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 89 55 D8 89 45 DC 8B 45 DC E8 ?? ?? ?? ?? 89 45 D0 8B 45 DC E8 ?? ?? ?? ?? 89 45 D4 F6 45 0C 01 0F 95 C0 88 45 CE A1 ?? ?? ?? ?? 83 38 04 7F 18 A1 ?? ?? ?? ?? 83 38 04 75 0A A1 ?? ?? ?? ?? 83 38 00 7F 04 33 C0 EB 02 B0 01 88 45 AF A1 ?? ?? ?? ?? 83 38 04 7E 0A A1 ?? ?? ?? ?? 83 38 02 74 04 33 C0 EB 02 B0 01 88 45 AE BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 88 45 BB 80 7D BB 00 74 29 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 1B 68 E9 03 00 00 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 83 F8 01 1B C0 40 88 45 BA EB 04 C6 45 BA 00 83 7D D0 00 74 6D 8B 45 D0 80 78 44 00 75 06 83 7D D4 00 74 5E 8B 45 DC 66 83 B8 A2 00 00 00 00 75 0D 8B 45 DC 66 83 B8 9A 00 00 00 00 74 44 0F B6 45 CE 50 8D 4D F0 8B 55 D8 8B 45 DC 8B 18 FF 53 44 8B 45 DC 66 83 B8 A2 00 00 00 00 0F 84 88 00 00 00 8D 45 F0 50 0F B7 45 0C 50 8B 5D DC 8B 4D D8 8B 55 DC 8B 83 A4 00 00 00 FF 93 A0 00 00 00 EB 68 33 D2 B8 06 00 00 00 E8 ?? ?? ?? ?? 88 45 AD 80 7D AD 00 74 31 E8 ?? ?? ?? ?? B2 0A 8B 08 FF 51 50 85 C0 74 21 55 83 7D D0 00 74 0C 8B 45 D0 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 E8 ?? ?? ?? ?? 59 EB 22 83 7D D0 00 74 15 8B 45 D0 E8 ?? ?? ?? ?? 84 C0 75 09 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_82219_0 {
	meta:
		name = "TMenuItem.GetImageList"
		size = 52
		refs = "0025 TMenuItem.GetParentMenu"
	strings:
		$1 = { 53 33 DB 8B 50 68 EB 03 8B 52 68 85 D2 74 09 83 BA 80 00 00 00 00 74 F0 85 D2 74 08 8B 9A 80 00 00 00 EB 0C E8 ?? ?? ?? ?? 85 C0 74 03 8B 58 4C 8B C3 5B C3 }
	condition:
		$1
}

rule function_82220_0 {
	meta:
		name = "GetMenuSize"
		size = 74
		refs = "000a tagNONCLIENTMETRICSW.SizeOf 0022 SystemParametersInfo"
	strings:
		$1 = { 55 8B EC 81 C4 08 FE FF FF E8 ?? ?? ?? ?? 89 85 08 FE FF FF 6A 00 8D 85 08 FE FF FF 50 6A 00 6A 29 E8 ?? ?? ?? ?? 85 C0 74 1C 8B 45 08 8B 40 EC 8B 95 E0 FE FF FF 89 10 8B 45 08 8B 40 08 8B 95 E4 FE FF FF 89 10 8B E5 5D C3 }
	condition:
		$1
}

rule function_82221_0 {
	meta:
		name = "MeasureThemedMenuItem"
		size = 1096
		refs = "0018 MeasureThemedMenuItem 0037 TStyleManager.GetSystemStyle 0050 CheckMarkStates 0072 TMenuItem.GetHandle 007c TCustomStyleServices.GetElementSize 0182 TCustomStyleServices.GetElementMargins 0287 @UStrEqual 0307 Rect 0334 _DV_TPopupMenu 0339 @IsClass 036b ShortCutToText 037e @UStrCat3 0390 @UStrLAsg 03ab CAlignments 03d7 @SetExpand 03f7 DoThemedDrawText 0420 @UStrClr 0426 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 C0 89 45 C0 8B 75 08 83 C6 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 08 33 D2 89 10 8B 45 08 8B 40 EC 33 D2 89 10 E8 ?? ?? ?? ?? 8B D8 6A 01 8D 45 F0 50 8B C3 8B 10 FF 52 48 83 E0 7F 8D 04 45 ?? ?? ?? ?? 8B 16 0F B6 52 41 0F B6 14 10 8D 4D D4 8B C3 8B 38 FF 97 9C 00 00 00 8D 45 D4 50 8B 06 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 8B 45 08 83 78 E4 00 74 1A 8B 45 08 8B 40 E4 8B 40 38 3B 45 F4 7E 0C 8B 45 08 8B 40 E4 8B 40 38 89 45 F4 8B 45 08 83 78 E4 00 74 1A 8B 45 08 8B 40 E4 8B 40 3C 3B 45 F0 7E 0C 8B 45 08 8B 40 E4 8B 40 3C 89 45 F0 8B 45 08 80 78 E3 00 74 5E 8B 45 08 83 78 E4 00 74 08 8B 06 83 78 44 FF 75 08 8B 06 83 78 50 00 74 0B 8B 45 08 8B 40 EC 8B 55 F0 01 10 6A 01 8D 45 F8 50 8D 4D D4 B2 0C 8B C3 8B 38 FF 97 9C 00 00 00 8D 45 D4 50 8B 06 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 55 FC 01 10 E9 CD 01 00 00 8B 45 08 8B 40 08 8B 55 F4 01 10 8B 45 08 8B 40 EC 8B 55 F0 01 10 6A 01 8D 45 E0 50 8B C3 8B 10 FF 52 48 83 E0 7F 8D 04 45 ?? ?? ?? ?? 8B 16 0F B6 52 41 0F B6 14 10 8D 4D D4 8B C3 8B 38 FF 97 9C 00 00 00 8D 45 D4 50 8B 06 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 8B 45 E8 03 45 EC 8B 55 08 8B 52 08 01 02 8B 45 E0 03 45 E4 8B 55 08 8B 52 EC 01 02 6A 01 8D 45 F8 50 8D 4D D4 B2 1B 8B C3 8B 38 FF 97 9C 00 00 00 8D 45 D4 50 8B 06 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 8B 45 08 8B 40 EC 8B 55 F8 01 10 6A 00 8D 45 E0 50 8D 4D D4 B2 1B 8B C3 8B 38 FF 97 9C 00 00 00 8D 45 D4 50 8B 06 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 8B 45 E0 03 45 E4 8B 55 08 8B 52 EC 01 02 6A 00 8D 45 E0 50 8D 4D D4 B2 1C 8B C3 8B 38 FF 97 9C 00 00 00 8D 45 D4 50 8B 06 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 8B 45 E0 03 45 E4 8B 55 08 8B 52 EC 01 02 6A 01 8D 45 F8 50 8D 4D D4 B2 21 8B C3 8B 38 FF 97 9C 00 00 00 8D 45 D4 50 8B 06 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 8B 45 08 8B 40 EC 8B 55 F8 01 10 8B 06 8B 40 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 6D 6A 01 8D 45 F8 50 8D 4D D4 B2 20 8B C3 8B 38 FF 97 9C 00 00 00 8D 45 D4 50 8B 06 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 6A 00 8D 45 E0 50 8D 4D D4 B2 20 8B C3 8B 38 FF 97 9C 00 00 00 8D 45 D4 50 8B 06 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 8B 45 FC 03 45 EC 8B 55 08 8B 52 08 89 02 8B 45 08 8B 40 EC 8B 55 F8 01 10 6A 00 8D 45 C4 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 08 56 8D 75 C4 8D 78 F0 A5 A5 A5 A5 5E 8B 45 08 83 78 DC 00 74 09 8B 45 08 C6 40 DB 00 EB 2E 8B 45 08 8B 40 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 08 8B 40 DC 0F B6 40 68 8B 55 08 88 42 DB EB 07 8B 45 08 C6 40 DB 00 8B 06 0F B7 58 64 66 85 DB 74 1F 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 8B 4D C0 8B 06 8B 50 38 8B 45 08 83 C0 D4 E8 ?? ?? ?? ?? EB 10 8B 45 08 83 C0 D4 8B 16 8B 52 38 E8 ?? ?? ?? ?? 56 BE ?? ?? ?? ?? 8D 7D 9C 66 A5 A4 5E 8B 45 08 0F B6 40 DB 0F B6 80 ?? ?? ?? ?? 3C 17 77 18 83 E0 7F 8D 55 9C 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F AB 02 8D 45 9C 8D 55 A0 B9 00 03 00 00 E8 ?? ?? ?? ?? 8B 5D A0 8B 45 08 83 C0 F0 50 6A 00 53 8B 45 08 8B 48 D4 8B 45 08 8B 50 D0 8B 06 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 08 2B 42 F0 8B 55 08 8B 52 EC 01 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 42 44 00 00 }
	condition:
		$1
}

rule function_82222_0 {
	meta:
		name = "TMenuItem.MeasureItem"
		size = 620
		refs = "001d TMenuItem.MeasureItem 002f @CallDynaInst 0035 _DV_TMainMenu 003a @IsClass 0048 GetMenuSize 0057 TMenuItem.GetImageList 0062 TMenuItem.GetParentMenu 0071 CheckWin32Version 007a TStyleManager.GetSystemStyle 008b MeasureThemedMenuItem 00a1 @UStrEqual 0157 Rect 016c _DV_TPopupMenu 019b ShortCutToText 01ac @UStrCat3 01bc @UStrLAsg 01c8 Alignments 01f0 TMenuItem.DoDrawText 023d @UStrClr 024b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 DB 89 5D CC 89 5D D4 89 4D EC 89 55 D0 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 66 BE F2 FF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D C6 45 E3 01 55 E8 ?? ?? ?? ?? 59 EB 04 C6 45 E3 00 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E8 E8 ?? ?? ?? ?? 89 45 DC 33 D2 B8 06 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 1C E8 ?? ?? ?? ?? B2 0A 8B 08 FF 51 50 85 C0 74 0C 55 E8 ?? ?? ?? ?? 59 E9 6D 01 00 00 8B 45 E8 8B 40 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 16 8B 45 08 C7 00 05 00 00 00 8B 45 EC C7 00 FE FF FF FF 33 C0 EB 71 83 7D E4 00 74 2F 8B 45 E8 83 78 44 FF 7F 06 80 7D E3 00 75 20 8B 45 E4 8B 40 3C 8B 55 EC 89 02 80 7D E3 00 75 0B 8B 45 E4 8B 40 38 8B 55 08 89 02 B0 01 EB 3C 8B 45 E8 8B 58 50 85 DB 74 27 8B C3 8B 10 FF 52 20 84 C0 75 1C 8B 45 EC C7 00 10 00 00 00 80 7D E3 00 75 09 8B 45 08 C7 00 10 00 00 00 B0 01 EB 0B 8B 45 EC C7 00 F9 FF FF FF 33 C0 84 C0 74 0C 80 7D E3 00 75 06 8B 45 EC 83 00 0F 80 7D E3 00 75 06 8B 45 08 83 00 03 6A 00 8D 45 F0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 83 7D DC 00 74 06 C6 45 DB 00 EB 22 8B 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 DC 0F B6 40 68 88 45 DB EB 04 C6 45 DB 00 8B 45 E8 0F B7 58 64 66 85 DB 74 1D 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 4D CC 8B 45 E8 8B 50 38 8D 45 D4 E8 ?? ?? ?? ?? EB 0E 8D 45 D4 8B 55 E8 8B 52 38 E8 ?? ?? ?? ?? 0F B6 45 DB 0F B7 04 45 ?? ?? ?? ?? 66 83 C8 40 66 83 C8 20 66 0D 00 01 66 0D 00 04 0F B7 C0 8D 55 F0 52 6A 00 50 8B 4D D4 8B 55 D0 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 F8 2B 45 F0 83 C0 07 8B 55 EC 01 02 8B 45 E8 66 83 B8 AA 00 00 00 00 74 1D 8B 45 EC 50 8B 45 08 50 8B 5D E8 8B 4D D0 8B 55 E8 8B 83 AC 00 00 00 FF 93 A8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_82224_0 {
	meta:
		name = "TMenuItem.SetBreak"
		size = 16
	strings:
		$1 = { 3A 50 4C 74 0A 88 50 4C B2 01 8B 08 FF 51 4C C3 }
	condition:
		$1
}

rule function_82225_0 {
	meta:
		name = "TMenuItem.SetCaption"
		size = 40
		refs = "000c @UStrEqual 0018 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 8B D6 E8 ?? ?? ?? ?? 74 13 8D 43 38 8B D6 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 4C 5E 5B C3 }
	condition:
		$1
}

rule function_82226_0 {
	meta:
		name = "TMenuItem.TurnSiblingsOff"
		size = 73
		refs = "000f TMenuItem.GetCount 0023 TMenuItem.GetItem 003d TMenuItem.SetChecked"
	strings:
		$1 = { 53 56 57 8B D8 8B 73 68 85 F6 74 39 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 2D 40 89 C6 33 FF 8B D7 8B 43 68 E8 ?? ?? ?? ?? 3B D8 74 16 80 78 41 00 74 10 0F B6 50 43 3A 53 43 75 07 33 D2 E8 ?? ?? ?? ?? 47 4E 75 D8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82227_0 {
	meta:
		name = "TMenuItem.SetChecked"
		size = 81
		refs = "0022 Checks 0032 TMenuItem.GetHandle 0038 CheckMenuItem 0049 TMenuItem.TurnSiblingsOff"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 5E 3C 74 41 88 5E 3C 8B 7E 68 85 FF 74 26 F6 46 1C 02 75 20 0F B6 C3 8B 04 85 ?? ?? ?? ?? 83 C8 00 50 0F B7 46 54 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 84 DB 74 0D 80 7E 41 00 74 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82228_0 {
	meta:
		name = "TMenuItem.SetEnabled"
		size = 118
		refs = "0010 Win32Platform 001c TMenuItem.GetCount 004f Enables 005f TMenuItem.GetHandle 0065 EnableMenuItem"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 5E 3D 74 66 88 5E 3D A1 ?? ?? ?? ?? 83 38 02 75 0B 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0D 8B 7E 68 85 FF 74 11 83 7F 70 00 74 0B B2 01 8B C6 8B 08 FF 51 4C EB 36 8B 7E 68 85 FF 74 26 F6 46 1C 02 75 20 0F B6 C3 8B 04 85 ?? ?? ?? ?? 83 C8 00 50 0F B7 46 54 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 4C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82229_0 {
	meta:
		name = "TMenuItem.SetGroupIndex"
		size = 65
		refs = "0018 TMenuItem.IndexOf 0023 TMenuItem.VerifyGroupIndex 0039 TMenuItem.TurnSiblingsOff"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 5E 43 74 31 8B 7E 68 85 FF 74 14 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C7 E8 ?? ?? ?? ?? 88 5E 43 80 7E 3C 00 74 0D 80 7E 41 00 74 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82230_0 {
	meta:
		name = "TMenuItem.GetAction"
		size = 14
	strings:
		$1 = { 8B 50 48 85 D2 74 04 8B 42 10 C3 33 C0 C3 }
	condition:
		$1
}

rule function_82232_0 {
	meta:
		name = "TMenuItem.GetCount"
		size = 14
	strings:
		$1 = { 8B 50 60 85 D2 75 03 33 C0 C3 8B 42 08 C3 }
	condition:
		$1
}

rule function_82233_0 {
	meta:
		name = "TMenuItem.GetItem"
		size = 35
		refs = "000d SMenuIndexError 0012 Error 001c TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 60 00 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 60 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82234_0 {
	meta:
		name = "TMenuItem.SetShortCut"
		size = 18
	strings:
		$1 = { 66 3B 50 64 74 0B 66 89 50 64 B2 01 8B 08 FF 51 4C C3 }
	condition:
		$1
}

rule function_82235_0 {
	meta:
		name = "TMenuItem.SetVisible"
		size = 16
	strings:
		$1 = { 3A 50 42 74 0A 88 50 42 B2 01 8B 08 FF 51 4C C3 }
	condition:
		$1
}

rule function_82236_0 {
	meta:
		name = "TMenuItem.SetImageIndex"
		size = 16
	strings:
		$1 = { 3B 50 44 74 0A 89 50 44 B2 01 8B 08 FF 51 4C C3 }
	condition:
		$1
}

rule function_82237_0 {
	meta:
		name = "TMenuItem.GetMenuIndex"
		size = 24
		refs = "000f TMenuItem.IndexOf"
	strings:
		$1 = { 83 CA FF 8B 48 68 85 C9 74 0B 8B D0 8B C1 E8 ?? ?? ?? ?? 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_82238_0 {
	meta:
		name = "TMenuItem.SetMenuIndex"
		size = 70
		refs = "000f TMenuItem.GetCount 0023 TMenuItem.GetMenuIndex 0033 TMenuItem.Remove 003e TMenuItem.Insert"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 68 85 C0 74 34 E8 ?? ?? ?? ?? 85 F6 7D 02 33 F6 3B C6 7F 03 8B F0 4E 8B C3 E8 ?? ?? ?? ?? 3B F0 74 17 8B 7B 68 8B D3 8B C7 E8 ?? ?? ?? ?? 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82239_0 {
	meta:
		name = "TMenuItem.GetChildren"
		size = 56
		refs = "000d TMenuItem.GetCount 0021 TMenuItem.GetItem"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 19 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 46 4B 75 EA 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_82240_0 {
	meta:
		name = "TMenuItem.SetChildOrder"
		size = 29
		refs = "000a _DV_TMenuItem 000f @AsClass 0016 TMenuItem.SetMenuIndex"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82241_0 {
	meta:
		name = "TMenuItem.SetDefault"
		size = 92
		refs = "001b TMenuItem.GetCount 002f TMenuItem.GetItem"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 3A 5D 3E 74 4A 84 DB 74 3A 83 7D 68 00 74 34 8B 45 68 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 25 47 33 F6 8B D6 8B 45 68 E8 ?? ?? ?? ?? 80 78 3E 00 74 0E 8B D6 8B 45 68 E8 ?? ?? ?? ?? C6 40 3E 00 46 4F 75 DE 88 5D 3E B2 01 8B C5 8B 08 FF 51 4C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82242_0 {
	meta:
		name = "TMenuItem.InitiateAction"
		size = 15
	strings:
		$1 = { 8B 50 48 85 D2 74 07 8B C2 8B 10 FF 52 1C C3 }
	condition:
		$1
}

rule function_82243_0 {
	meta:
		name = "TMenuItem.Insert"
		size = 185
		refs = "0011 SMenuReinserted 0016 Error 0023 _Dn_TList 0028 TObject.Create 0044 TList.Get 0062 TMenuItem.SetGroupIndex 006f TMenuItem.VerifyGroupIndex 007b TList.Insert 008e TMenuItem.SubItemChanged 009e TMenuItem.RebuildHandle 00a5 TMenuItem.GetCount"
	strings:
		$1 = { 53 56 57 55 8B F1 8B FA 8B D8 83 7E 68 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 60 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 60 8B EF 4D 85 ED 7C 30 8B 43 60 3B 68 08 7D 28 8B D5 8B 43 60 E8 ?? ?? ?? ?? 0F B6 40 43 3A 46 43 76 15 8B D5 8B 43 60 E8 ?? ?? ?? ?? 0F B6 50 43 8B C6 E8 ?? ?? ?? ?? 0F B6 4E 43 8B D7 8B C3 E8 ?? ?? ?? ?? 8B CE 8B D7 8B 43 60 E8 ?? ?? ?? ?? 89 5E 68 89 9E 8C 00 00 00 C7 86 88 00 00 00 ?? ?? ?? ?? 83 BB B4 00 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 48 0F 94 C2 8B C3 8B 08 FF 51 4C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82244_0 {
	meta:
		name = "TMenuItem.Delete"
		size = 118
		refs = "0014 TMenuItem.GetCount 001d SMenuIndexError 0022 Error 002c TList.Get 0038 TList.Delete 005b TMenuItem.RebuildHandle"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 7C 11 83 7B 60 00 74 0B 8B C3 E8 ?? ?? ?? ?? 3B F0 7C 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 60 E8 ?? ?? ?? ?? 8B F8 8B D6 8B 43 60 E8 ?? ?? ?? ?? 33 C0 89 47 68 33 C0 89 87 88 00 00 00 89 87 8C 00 00 00 83 BB B4 00 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 94 C2 8B C3 8B 08 FF 51 4C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82245_0 {
	meta:
		name = "TMenuItem.Click"
		size = 176
		refs = "0042 TMenuItem.SetChecked 0053 TMenuItem.GetAction"
	strings:
		$1 = { 53 56 8B D8 80 7B 3D 00 0F 84 9F 00 00 00 83 7B 48 00 75 09 80 BB B0 00 00 00 00 75 1B 8B 73 48 85 F6 74 22 8B C6 8B 10 FF 52 78 84 C0 75 17 80 BB B0 00 00 00 00 74 0E 0F B6 53 3C 80 F2 01 8B C3 E8 ?? ?? ?? ?? 66 83 BB 92 00 00 00 00 74 2D 8B C3 E8 ?? ?? ?? ?? 85 C0 74 22 8B C3 E8 ?? ?? ?? ?? 8B 40 48 3B 83 90 00 00 00 74 10 8B D3 8B 83 94 00 00 00 FF 93 90 00 00 00 EB 30 F6 43 1C 10 75 12 83 7B 48 00 74 0C 8B D3 8B 43 48 8B 08 FF 51 18 EB 18 66 83 BB 92 00 00 00 00 74 0E 8B D3 8B 83 94 00 00 00 FF 93 90 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_82246_0 {
	meta:
		name = "TMenuItem.IndexOf"
		size = 24
		refs = "000e TList.IndexOf"
	strings:
		$1 = { 56 83 C9 FF 8B 70 60 85 F6 74 09 8B C6 E8 ?? ?? ?? ?? 8B C8 8B C1 5E C3 }
	condition:
		$1
}

rule function_82247_0 {
	meta:
		name = "TMenuItem.Add"
		size = 27
		refs = "0009 TMenuItem.GetCount 0014 TMenuItem.Insert"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82248_0 {
	meta:
		name = "TMenuItem.Remove"
		size = 40
		refs = "0007 TMenuItem.IndexOf 0013 SMenuNotFound 0018 Error 0021 TMenuItem.Delete"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 83 FE FF 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82249_0 {
	meta:
		name = "TMenuItem.MenuChanged"
		size = 66
		refs = "0011 _DV_TMenu 0016 @IsClass"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 7E 68 00 75 16 8B 46 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 8B C6 66 83 BE 8A 00 00 00 00 74 11 53 8B C8 8B D6 8B 86 8C 00 00 00 FF 96 88 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_82250_0 {
	meta:
		name = "TMenuItem.SubItemChanged"
		size = 90
		refs = "0021 TMenuItem.RebuildHandle 0033 TMenuItem.SubItemChanged 0040 _DV_TMainMenu 0045 @IsClass 0050 TMainMenu.ItemChanged"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 80 7D 08 00 74 16 83 BB B4 00 00 00 00 75 06 83 7B 70 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B 43 68 85 C0 74 0D 6A 00 8B CE 8B D3 E8 ?? ?? ?? ?? EB 1B 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_82251_0 {
	meta:
		name = "TMenuItem.GetBitmap"
		size = 39
		refs = "000c _Dn_TBitmap 0011 TBitmap.Create"
	strings:
		$1 = { 53 8B D8 83 7B 50 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 50 B2 01 8B 43 50 8B 08 FF 51 40 8B 43 50 5B C3 }
	condition:
		$1
}

rule function_82252_0 {
	meta:
		name = "TMenuItem.SetAction"
		size = 109
		refs = "000f TObject.Free 0027 @CallDynaInst 0048 TMenuItem.DoActionChange 0065 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 85 FF 75 0F 8B 43 48 E8 ?? ?? ?? ?? 33 C0 89 43 48 EB 4F 83 7B 48 00 75 15 8B C3 66 BE EF FF E8 ?? ?? ?? ?? 8B CB B2 01 FF 50 14 89 43 48 8B D7 8B 43 48 8B 08 FF 51 0C 8B 43 48 89 58 0C C7 40 08 ?? ?? ?? ?? F6 47 1C 01 0F 95 C1 8B D7 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82253_0 {
	meta:
		name = "TMenuItem.SetBitmap"
		size = 49
		refs = "000f _Dn_TBitmap 0014 TBitmap.Create"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 7E 50 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 8B D3 8B 46 50 8B 08 FF 51 08 B2 01 8B C6 8B 08 FF 51 4C 5E 5B C3 }
	condition:
		$1
}

rule function_82254_0 {
	meta:
		name = "TMenuItem.InitiateActions"
		size = 44
		refs = "0008 TMenuItem.GetCount 001b TMenuItem.GetItem"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 52 50 46 4B 75 EE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82255_0 {
	meta:
		name = "TMenuItem.GetParentComponent"
		size = 20
	strings:
		$1 = { 8B 50 68 85 D2 74 0A 83 7A 74 00 74 04 8B 42 74 C3 8B C2 C3 }
	condition:
		$1
}

rule function_82256_0 {
	meta:
		name = "TMenuItem.SetParentComponent"
		size = 82
		refs = "0010 TMenuItem.Remove 001c _DV_TMenu 0021 @IsClass 002f TMenuItem.Add 0039 _DV_TMenuItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 68 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 85 F6 74 37 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 46 3C 8B D3 E8 ?? ?? ?? ?? EB 1A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82257_0 {
	meta:
		name = "TMenuItem.GetParentMenu"
		size = 15
	strings:
		$1 = { EB 02 8B C2 8B 50 68 85 D2 75 F7 8B 40 74 C3 }
	condition:
		$1
}

rule function_82258_0 {
	meta:
		name = "TMenuItem.SetRadioItem"
		size = 41
		refs = "001a TMenuItem.TurnSiblingsOff"
	strings:
		$1 = { 53 8B D8 3A 53 41 74 1F 88 53 41 80 7B 3C 00 74 0D 80 7B 41 00 74 07 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 4C 5B C3 }
	condition:
		$1
}

rule function_82259_0 {
	meta:
		name = "TMenuItem.ActionChange"
		size = 293
		refs = "000d _Dn_TCustomAction 0012 @IsClass 0048 TMenuItem.SetCaption 005d TMenuItem.SetChecked 0072 TMenuItem.SetEnabled 009a @UStrAsg 00b5 TMenuItem.SetGroupIndex 00cc TMenuItem.SetImageIndex 00e5 TMenuItem.SetShortCut 00fd TMenuItem.SetVisible"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 03 01 00 00 84 DB 74 09 80 BE B0 00 00 00 00 75 0D 0F B6 87 9D 00 00 00 88 86 B0 00 00 00 84 DB 74 06 83 7E 38 00 75 0A 8B 57 6C 8B C6 E8 ?? ?? ?? ?? 84 DB 74 06 80 7E 3C 00 75 0B 0F B6 57 71 8B C6 E8 ?? ?? ?? ?? 84 DB 74 06 80 7E 3D 01 75 0B 0F B6 57 72 8B C6 E8 ?? ?? ?? ?? 84 DB 74 06 83 7E 58 00 75 06 8B 47 7C 89 46 58 84 DB 74 06 83 7E 5C 00 75 0E 8D 46 5C 8B 97 84 00 00 00 E8 ?? ?? ?? ?? 80 7E 41 00 74 15 84 DB 74 06 80 7E 43 00 75 0B 0F B6 57 74 8B C6 E8 ?? ?? ?? ?? 84 DB 74 06 83 7E 44 FF 75 0D 8B 97 88 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 07 66 83 7E 64 00 75 0E 0F B7 97 8C 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 06 80 7E 42 01 75 0E 0F B6 97 8E 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0A 66 83 BE 92 00 00 00 00 75 12 8B 47 48 89 86 90 00 00 00 8B 47 4C 89 86 94 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82260_0 {
	meta:
		name = "TMenuItem.DoActionChange"
		size = 35
		refs = "0009 TMenuItem.GetAction 001c @CallDynaInst"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 3B F8 75 0F 33 C9 8B D7 8B C6 66 BE F0 FF E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_82261_0 {
	meta:
		name = "TMenuItem.IsCaptionStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 48 85 F6 74 10 8B C6 8B 10 FF 52 20 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_82262_0 {
	meta:
		name = "TMenuItem.IsCheckedStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 48 85 F6 74 10 8B C6 8B 10 FF 52 24 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_82263_0 {
	meta:
		name = "TMenuItem.IsEnabledStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 48 85 F6 74 10 8B C6 8B 10 FF 52 28 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_82264_0 {
	meta:
		name = "TMenuItem.IsHintStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 48 85 F6 74 10 8B C6 8B 10 FF 52 38 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_82265_0 {
	meta:
		name = "TMenuItem.IsHelpContextStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 48 85 F6 74 10 8B C6 8B 10 FF 52 30 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_82266_0 {
	meta:
		name = "TMenuItem.IsImageIndexStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 48 85 F6 74 10 8B C6 8B 10 FF 52 3C 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_82267_0 {
	meta:
		name = "TMenuItem.IsShortCutStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 48 85 F6 74 10 8B C6 8B 10 FF 52 40 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_82268_0 {
	meta:
		name = "TMenuItem.IsVisibleStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 48 85 F6 74 10 8B C6 8B 10 FF 52 44 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_82269_0 {
	meta:
		name = "TMenuItem.IsOnClickStored"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 48 85 F6 74 10 8B C6 8B 10 FF 52 08 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_82270_0 {
	meta:
		name = "TMenuItem.AssignTo"
		size = 122
		refs = "000b _Dn_TCustomAction 0010 @IsClass 0021 TCustomAction.SetEnabled 0035 TCustomAction.SetHint 003f TCustomAction.SetImageIndex 0049 TCustomAction.SetCaption 0054 TCustomAction.SetVisible 0072 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 55 0F B6 53 3D 8B FE 8B C7 E8 ?? ?? ?? ?? 8B 53 58 8B C7 8B 08 FF 51 58 8B 53 5C 8B C7 E8 ?? ?? ?? ?? 8B 53 44 8B C7 E8 ?? ?? ?? ?? 8B 53 38 8B C7 E8 ?? ?? ?? ?? 0F B6 53 42 8B C7 E8 ?? ?? ?? ?? FF B3 94 00 00 00 FF B3 90 00 00 00 8B C7 8B 10 FF 52 44 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82271_0 {
	meta:
		name = "TMenuItem.Notification"
		size = 84
		refs = "0010 TComponent.Notification 001c TMenuItem.GetAction 0029 TMenuItem.SetAction 003c TMenuItem.SetSubMenuImages 004c TMenuItem.MergeWith"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 37 8B C6 E8 ?? ?? ?? ?? 3B F8 75 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 21 3B BE 80 00 00 00 75 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 0E 3B 7E 6C 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82272_0 {
	meta:
		name = "TMenuItem.SetSubMenuImages"
		size = 67
		refs = "0014 TCustomImageList.UnRegisterChanges 0028 TCustomImageList.RegisterChanges 0035 TComponent.FreeNotification 003c TMenuItem.UpdateItems"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 80 00 00 00 85 C0 74 08 8B 53 7C E8 ?? ?? ?? ?? 8B C6 89 83 80 00 00 00 85 C0 74 15 8B 53 7C E8 ?? ?? ?? ?? 8B D3 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82273_0 {
	meta:
		name = "TMenuItem.ImageListChange"
		size = 14
		refs = "0009 TMenuItem.UpdateItems"
	strings:
		$1 = { 3B 90 80 00 00 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82274_0 {
	meta:
		name = "UpdateItem"
		size = 39
		refs = "0007 UpdateItem 0011 IterateMenus 001e TMenuItem.SubItemChanged"
	strings:
		$1 = { 53 56 8B F0 33 DB B8 ?? ?? ?? ?? 8B CE 8B 56 6C E8 ?? ?? ?? ?? 6A 01 8B CE 8B D6 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_82276_0 {
	meta:
		name = "TMenuItem.UpdateItems"
		size = 16
		refs = "0006 _DV_TMenuUpdater 000b TMenuUpdater.DoIterateMenus"
	strings:
		$1 = { 8B C8 8B 50 6C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82277_0 {
	meta:
		name = "TMenuItem.Add"
		size = 33
		refs = "0013 TMenuItem.Add"
	strings:
		$1 = { 53 56 57 8B F8 8B F1 85 F6 7C 12 46 8B DA 8B 13 8B C7 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F1 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82278_0 {
	meta:
		name = "TMenuItem.Clear"
		size = 42
		refs = "0007 TMenuItem.GetCount 0018 TMenuItem.GetItem 001d TObject.Free"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 14 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 75 EC 5E 5B C3 }
	condition:
		$1
}

rule function_82280_0 {
	meta:
		name = "CopyToBest"
		size = 129
		refs = "0078 @UStrLAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 8B 08 FF 51 08 8B 45 08 8B 40 F4 8B 10 FF 52 14 8B 55 08 89 42 F0 8B 45 08 8B 40 EC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 31 46 33 DB 8B 45 08 8B 40 EC 8B D3 8B 08 FF 51 18 50 8B 45 08 8B 40 EC 8B D3 8B 08 FF 51 18 8B 50 38 8B 45 08 8B 40 F8 59 8B 38 FF 57 3C 43 4E 75 D2 8B 45 08 83 C0 E8 8B 55 08 8B 52 FC E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_82282_0 {
	meta:
		name = "TMenuItem.InternalRethinkHotkeys"
		size = 1212
		refs = "001c TMenuItem.InternalRethinkHotkeys 003d TMenuItem.GetAutoHotkeys 004e ValidMenuHotkeys 0053 @UStrLAsg 0081 _Dn_TStringList 0086 TStringList.Create 00bd TMenuItem.GetCount 00d5 TMenuItem.GetItem 00f5 @UStrEqual 0122 GetHotkey 012d UpperCase 0163 AnsiPos 0170 IfHotkeyAvailable 0196 StripHotkey 019f @UStrAsg 0260 @UStrCopy 027e SysLocale 0291 InsertHotkeyFarEastFormat 02a2 @UStrInsert 02ce @UStrLen 02f3 CopyToBest 0402 @UStrDelete 0436 TObject.Free 0454 @HandleFinally 0470 @UStrArrayClr 0485 @UStrClr"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 88 55 DB 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 DA 00 80 7D DB 00 75 19 F6 43 1C 10 0F 85 20 04 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 11 04 00 00 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F4 33 C0 89 45 EC 33 C0 89 45 D4 33 C0 89 45 F8 33 C0 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B C3 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 03 01 00 00 40 89 45 CC 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 80 78 42 00 0F 84 E0 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 C4 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 83 78 38 00 0F 84 B1 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 38 8D 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 8D 55 E4 E8 ?? ?? ?? ?? 83 7D E4 00 75 22 8B D6 8B C3 E8 ?? ?? ?? ?? 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 48 38 33 D2 8B 45 D4 8B 38 FF 57 64 EB 6A 8B 15 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 74 58 55 8B 45 E4 E8 ?? ?? ?? ?? 59 84 C0 75 4A 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C0 38 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 38 8D 55 C4 E8 ?? ?? ?? ?? 8B 55 C4 58 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 48 38 33 D2 8B 45 D4 8B 38 FF 57 64 46 FF 4D CC 0F 85 03 FF FF FF 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 D4 8B 10 FF 52 14 48 85 C0 0F 8C 65 01 00 00 40 89 45 CC 8D 45 FC 8B 55 DC E8 ?? ?? ?? ?? 8B 55 D4 8B 45 EC 8B 08 FF 51 08 8B 45 F4 8B 10 FF 52 44 8B 45 EC 8B 10 FF 52 14 8B F0 4E 83 FE 00 0F 8C C5 00 00 00 8D 4D E0 8B D6 8B 45 EC 8B 18 FF 53 0C BB 01 00 00 00 E9 94 00 00 00 8B 45 E0 66 81 7C 58 FE 00 D8 72 0F 8B 45 E0 66 81 7C 58 FE FF DF 77 03 43 EB 78 8D 45 C0 50 B9 01 00 00 00 8B D3 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 C0 8D 55 E4 E8 ?? ?? ?? ?? 55 8B 45 E4 E8 ?? ?? ?? ?? 59 84 C0 74 4C A1 ?? ?? ?? ?? 80 78 0C 00 74 0F 8D 45 E0 8B CB 8B 55 E4 E8 ?? ?? ?? ?? EB 0F 8D 55 E0 8B CB B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 45 EC 8B 08 FF 51 18 8B C8 8B 55 E0 8B 45 F4 8B 18 FF 53 3C 8B D6 8B 45 EC 8B 08 FF 51 48 EB 11 43 8B 45 E0 E8 ?? ?? ?? ?? 3B D8 0F 8E 5C FF FF FF 4E 83 FE FF 0F 85 3B FF FF FF 8B 45 F4 8B 10 FF 52 14 3B 45 F0 7E 07 55 E8 ?? ?? ?? ?? 59 8B 45 EC 8B 10 FF 52 14 85 C0 7E 4A 8B 45 EC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 33 F6 8B D6 8B 45 EC 8B 08 FF 51 18 8B D0 8B 45 D4 8B 08 FF 51 5C 8B F8 8B 45 D4 8B 10 FF 52 14 8B C8 49 8B D7 8B 45 D4 8B 38 FF 57 78 46 4B 75 D1 FF 4D CC 0F 85 9F FE FF FF 83 7D F0 00 75 07 55 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 10 FF 52 14 85 C0 0F 9F 45 DA 8B 45 F8 8B 10 FF 52 14 48 85 C0 0F 8C AB 00 00 00 40 89 45 CC 33 F6 8D 4D E0 8B D6 8B 45 F8 8B 18 FF 53 0C A1 ?? ?? ?? ?? 80 78 0C 00 74 6E 8B 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 5D 83 7D E8 00 74 57 8B 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 46 8B 5D E8 85 DB 74 05 83 EB 04 8B 1B 8D 45 BC 50 B9 01 00 00 00 8B D3 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 BC 8D 45 E0 33 C9 E8 ?? ?? ?? ?? 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 8D 55 E8 B9 01 00 00 00 92 E8 ?? ?? ?? ?? 8B D6 8B 45 F8 8B 08 FF 51 18 83 C0 38 8B 55 E0 E8 ?? ?? ?? ?? 46 FF 4D CC 0F 85 5B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 0F B6 45 DA 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 }
	condition:
		$1
}

rule function_82283_0 {
	meta:
		name = "TMenuItem.RethinkHotkeys"
		size = 33
		refs = "0009 TMenuItem.InternalRethinkHotkeys"
	strings:
		$1 = { 53 56 8B F0 B2 01 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 09 B2 01 8B C6 8B 08 FF 51 4C 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_82294_0 {
	meta:
		name = "TMenuItem.RethinkLines"
		size = 33
		refs = "0009 TMenuItem.InternalRethinkLines"
	strings:
		$1 = { 53 56 8B F0 B2 01 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 09 B2 01 8B C6 8B 08 FF 51 4C 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_82284_0 {
	meta:
		name = "TMenuItem.SetAutoHotkeys"
		size = 16
	strings:
		$1 = { 3A 50 3F 74 0A 88 50 3F B2 01 8B 08 FF 51 4C C3 }
	condition:
		$1
}

rule function_82285_0 {
	meta:
		name = "TMenuItem.IsLine"
		size = 40
		refs = "0007 TMenuItem.IsLine 000c @UStrEqual"
	strings:
		$1 = { 53 8B D8 8B 43 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_82286_0 {
	meta:
		name = "TMenuItem.Find"
		size = 205
		refs = "0016 @UStrAddRef 001e TMenuItem.Find 0034 StripHotkey 003f @UStrLAsg 0046 TMenuItem.GetCount 0064 TMenuItem.GetItem 007a AnsiCompareText 00aa @UStrClr 00b7 @UStrArrayClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 48 46 33 DB 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 38 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0E 8B D3 8B C7 E8 ?? ?? ?? ?? 89 45 F0 EB 04 43 4E 75 BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82287_0 {
	meta:
		name = "TMenuItem.InsertNewLine"
		size = 267
		refs = "0010 SMenuNotFound 0015 Error 0020 TMenuItem.GetMenuIndex 0035 TMenuItem.GetItem 003a TMenuItem.IsLine 0060 TMenuItem.SetVisible 007b NewLine 0085 TMenuItem.Insert 0097 TMenuItem.GetCount"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 3B 75 68 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 6E 8B C5 E8 ?? ?? ?? ?? 85 C0 7E 41 8B C5 E8 ?? ?? ?? ?? 8B D0 4A 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 8B C5 E8 ?? ?? ?? ?? 8B F8 4F 8B C5 E8 ?? ?? ?? ?? 8B D0 4A 8B C6 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? E9 9B 00 00 00 8B C5 E8 ?? ?? ?? ?? 8B F8 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8B C6 5A E8 ?? ?? ?? ?? EB 79 8B C5 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 48 3B D8 7D 40 8B C5 E8 ?? ?? ?? ?? 8B D0 42 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 26 8B C5 E8 ?? ?? ?? ?? 8B F8 83 C7 02 8B C5 E8 ?? ?? ?? ?? 8B D0 42 8B C6 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? EB 24 8B C5 E8 ?? ?? ?? ?? 8B F8 83 C7 02 8B C5 E8 ?? ?? ?? ?? 40 50 E8 ?? ?? ?? ?? 8B C8 8B C6 5A E8 ?? ?? ?? ?? 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82290_0 {
	meta:
		name = "TMenuItem.NewBottomLine"
		size = 68
		refs = "0009 TMenuItem.GetCount 0012 NewLine 001b TMenuItem.Add 002e TMenuItem.GetItem 0039 TMenuItem.InsertNewLine"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 75 10 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 1E 8B C3 E8 ?? ?? ?? ?? 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_82291_0 {
	meta:
		name = "TMenuItem.NewTopLine"
		size = 60
		refs = "0009 TMenuItem.GetCount 0012 NewLine 001b TMenuItem.Add 0026 TMenuItem.GetItem 0031 TMenuItem.InsertNewLine"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 75 10 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 16 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_82292_0 {
	meta:
		name = "TMenuItem.InternalRethinkLines"
		size = 328
		refs = "0020 TMenuItem.GetAutoLineReduction 003b TMenuItem.GetCount 004c TMenuItem.GetItem 0060 TMenuItem.IsLine"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 8B F0 C6 04 24 00 84 DB 75 19 F6 46 1C 10 0F 85 20 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 11 01 00 00 33 C0 89 44 24 04 33 ED 8B 5C 24 04 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 2B FB 7C 3F 47 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 42 00 74 2B 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B D3 8B C6 E8 ?? ?? ?? ?? C6 40 42 00 C6 04 24 01 EB 06 89 5C 24 04 EB 04 43 4F 75 C2 8B 5C 24 04 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 2B FB 7C 5D 47 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 85 ED 74 0E 80 7D 42 00 74 08 C6 45 42 00 C6 04 24 01 8B D3 8B C6 E8 ?? ?? ?? ?? 8B E8 EB 27 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 42 00 74 18 85 ED 74 0E 80 7D 42 00 75 08 C6 45 42 01 C6 04 24 01 33 ED 89 5C 24 04 43 4F 75 A4 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 8B 7C 24 04 2B FB 7F 37 4F 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 42 00 74 23 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B D3 8B C6 E8 ?? ?? ?? ?? C6 40 42 00 C6 04 24 01 4B 47 75 CA 0F B6 04 24 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82293_0 {
	meta:
		name = "TMenuItem.SetAutoLineReduction"
		size = 16
	strings:
		$1 = { 3A 50 40 74 0A 88 50 40 B2 01 8B 08 FF 51 4C C3 }
	condition:
		$1
}

rule function_82295_0 {
	meta:
		name = "TMenuItem.GetAutoHotkeys"
		size = 47
		refs = "0015 TMenuItem.GetAutoHotkeys 001f cBooleanToItemAutoFlag 0029 cItemAutoFlagToBoolean"
	strings:
		$1 = { 53 8B D8 0F B6 43 3F 3C 02 75 18 83 7B 68 00 74 12 8B 43 68 E8 ?? ?? ?? ?? 83 E0 7F 0F B6 80 ?? ?? ?? ?? 83 E0 7F 0F B6 80 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82296_0 {
	meta:
		name = "TMenuItem.GetAutoLineReduction"
		size = 47
		refs = "0015 TMenuItem.GetAutoLineReduction 001f cBooleanToItemAutoFlag 0029 cItemAutoFlagToBoolean"
	strings:
		$1 = { 53 8B D8 0F B6 43 40 3C 02 75 18 83 7B 68 00 74 12 8B 43 68 E8 ?? ?? ?? ?? 83 E0 7F 0F B6 80 ?? ?? ?? ?? 83 E0 7F 0F B6 80 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82297_0 {
	meta:
		name = "TMenu.Create"
		size = 156
		refs = "000f @ClassCreate 001f _DV_TMenuItem 0024 TMenuItem.Create 0044 _Dn_TChangeLink 0049 TObject.Create 0058 TMenu.ImageListChange 0067 TComponent.Create 0079 TMenu.ParentBiDiModeChanged 0086 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 3C 89 9E 8C 00 00 00 8B 03 8B 40 48 89 86 88 00 00 00 89 5E 74 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 48 89 5E 0C C7 46 08 ?? ?? ?? ?? C6 43 45 01 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 3C C6 40 3F 00 C6 40 40 00 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82299_0 {
	meta:
		name = "TMenu.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TComponent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 3C E8 ?? ?? ?? ?? 8B 46 48 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82300_0 {
	meta:
		name = "TMenu.GetChildren"
		size = 29
		refs = "0014 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 56 8B F0 FF 75 0C FF 75 08 8B 46 3C 66 BE FD FF E8 ?? ?? ?? ?? 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_82302_0 {
	meta:
		name = "TMenu.SetChildOrder"
		size = 17
		refs = "000b @CallDynaInst"
	strings:
		$1 = { 56 8B F0 8B 46 3C 66 BE F9 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_82303_0 {
	meta:
		name = "TMenu.UpdateItems"
		size = 23
		refs = "000a _DV_TMenuUpdater 0012 TMenuUpdater.DoIterateMenus"
	strings:
		$1 = { 8B 50 3C 8B 4A 6C 8B C2 8B 15 ?? ?? ?? ?? 87 CA 91 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82304_0 {
	meta:
		name = "Find"
		size = 154
		refs = "0061 TMenuItem.GetCount 0078 TMenuItem.GetItem 007d Find"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 C6 45 FF 00 8B 45 08 80 78 FF 00 75 0E 8B 45 08 8B 40 F8 0F B7 53 54 3B C2 74 2E 8B 45 08 80 78 FF 01 75 0E 8B 45 08 8B 40 F8 3B 83 B4 00 00 00 74 17 8B 45 08 80 78 FF 02 75 1A 8B 45 08 8B 40 F8 0F B7 53 64 3B C2 75 0C 8B 45 08 89 58 F4 C6 45 FF 01 EB 32 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 24 46 33 FF 8B 45 08 50 8B D7 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 06 C6 45 FF 01 EB 04 47 4E 75 DF 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82305_0 {
	meta:
		name = "TMenu.FindItem"
		size = 47
		refs = "0013 Find 0023 IterateMenus"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D FF 89 55 F8 33 D2 89 55 F4 B9 ?? ?? ?? ?? 8B 50 3C 8B 5A 6C 8B C2 91 8B D3 E8 ?? ?? ?? ?? 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82306_0 {
	meta:
		name = "TMenu.GetHelpContext"
		size = 109
		refs = "0021 _DV_TPopupMenu 0026 @IsClass 003c TPopupMenu.GetHelpContext 004b TMenu.FindItem"
	strings:
		$1 = { 53 56 57 55 51 88 0C 24 8B EA 8B F0 33 FF B3 01 80 3C 24 00 74 02 33 DB 80 FB 01 75 27 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B C6 8B 10 FF 52 44 3B E8 75 0B 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 21 8B CB 8B D5 8B C6 E8 ?? ?? ?? ?? EB 03 8B 40 68 85 C0 74 06 83 78 58 00 74 F3 85 C0 74 03 8B 78 58 8B C7 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82307_0 {
	meta:
		name = "TMenu.DispatchCommand"
		size = 28
		refs = "0009 TMenu.FindItem"
	strings:
		$1 = { 53 33 DB 0F B7 D2 33 C9 E8 ?? ?? ?? ?? 85 C0 74 07 8B 10 FF 52 54 B3 01 8B C3 5B C3 }
	condition:
		$1
}

rule function_82308_0 {
	meta:
		name = "TMenu.DispatchPopup"
		size = 191
		refs = "000c TMenu.FindItem 0023 TMenuItem.InitiateActions 0033 TMenuItem.InternalRethinkHotkeys 003e TMenuItem.InternalRethinkLines 004b TMenuItem.RebuildHandle 0050 Application 0081 SendMessage 008c TWinControl.GetHandle 0092 DrawMenuBar 00a4 _DV_TPopupMenu 00a9 @IsClass"
	strings:
		$1 = { 53 56 57 8B F0 33 DB B1 01 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 80 00 00 00 F6 47 1C 10 75 07 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 54 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D8 33 D2 8B C7 E8 ?? ?? ?? ?? 0A D8 84 DB 74 07 8B C7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 40 48 85 C0 74 39 8B D8 80 BB A6 02 00 00 02 75 2E 3B BB C8 02 00 00 75 26 6A 00 6A 00 68 34 02 00 00 8B 83 84 03 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 0D 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B3 01 EB 1F F6 46 1C 10 75 19 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 46 3C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82309_0 {
	meta:
		name = "TMenu.IsOwnerDraw"
		size = 18
	strings:
		$1 = { 80 78 44 00 75 09 83 78 4C 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_82310_0 {
	meta:
		name = "IsWOW64"
		size = 116
		refs = "000a IsWOW64 0014 GetModuleHandle 001a GetProcAddress 0027 GetCurrentProcess 002d IsWow64Process"
	strings:
		$1 = { 55 8B EC 51 33 C0 89 45 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0F 8D 45 FC 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 59 5D C3 00 49 00 73 00 57 00 6F 00 77 00 36 00 34 00 50 00 72 00 6F 00 63 00 65 00 73 00 73 00 00 00 00 00 6B 00 65 00 72 00 6E 00 65 00 6C 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_82311_0 {
	meta:
		name = "GetAltGRStatus"
		size = 556
		refs = "0016 GetAltGRStatus 0022 IsAltGRKeyLayout 0032 GetKeyboardLayoutName 0039 _Dn_TRegistry 003e TRegistry.Create 005c TRegistry.SetRootKey 006c @UStrFromWArray 007c @UStrCat3 0087 TRegistry.OpenKeyReadOnly 009f TRegistry.ReadString 00ac SafeLoadLibrary 00d1 GetProcAddress 00e4 IsWOW64 0113 FreeLibrary 0119 @HandleFinally 0130 TObject.Free 0152 @UStrArrayClr 015a @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 C0 89 45 DC 89 45 D8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 05 ?? ?? ?? ?? 00 66 C7 45 E0 00 00 8D 45 E0 50 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA 02 00 00 80 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 D8 8D 55 E0 B9 0A 00 00 00 E8 ?? ?? ?? ?? 8B 4D D8 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 8C 00 00 00 8D 4D FC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? BA 00 80 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 66 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 85 C0 74 28 8B D8 FF D3 8B D8 85 DB 74 1E E8 ?? ?? ?? ?? 85 C0 74 05 8B 43 50 EB 03 8B 43 28 83 E0 01 83 F8 01 0F 94 05 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 33 00 00 00 5C 00 53 00 59 00 53 00 54 00 45 00 4D 00 5C 00 43 00 75 00 72 00 72 00 65 00 6E 00 74 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 53 00 65 00 74 00 5C 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 5C 00 4B 00 65 00 79 00 62 00 6F 00 61 00 72 00 64 00 20 00 4C 00 61 00 79 00 6F 00 75 00 74 00 73 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4C 00 61 00 79 00 6F 00 75 00 74 00 20 00 46 00 69 00 6C 00 65 00 00 00 4B 00 62 00 64 00 4C 00 61 00 79 00 65 00 72 00 44 00 65 00 73 00 63 00 72 00 69 00 70 00 74 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_82312_0 {
	meta:
		name = "IsAltGRPressed"
		size = 57
		refs = "0009 GetKeyState 0015 GetKeyboardLayout 001d CurrentKeyboardLayout 0024 GetAltGRStatus 0031 IsAltGRKeyLayout"
	strings:
		$1 = { 53 33 DB 68 A5 00 00 00 E8 ?? ?? ?? ?? 66 85 C0 7D 23 6A 00 E8 ?? ?? ?? ?? 8B D8 3B 1D ?? ?? ?? ?? 74 0B E8 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? 0F B6 1D ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_82313_0 {
	meta:
		name = "ShortCutFromMessage"
		size = 80
		refs = "001c GetKeyState"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8D 3C 24 A5 A5 A5 A5 0F B6 5C 24 04 66 85 DB 74 2E 6A 10 E8 ?? ?? ?? ?? 66 85 C0 7D 05 66 81 C3 00 20 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 05 66 81 C3 00 40 F6 44 24 0B 20 74 05 66 81 C3 00 80 8B C3 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82314_0 {
	meta:
		name = "NthParentOf"
		size = 15
	strings:
		$1 = { EB 04 8B 40 68 4A 85 D2 7E 04 85 C0 75 F4 C3 }
	condition:
		$1
}

rule function_82315_0 {
	meta:
		name = "DoClick"
		size = 339
		refs = "002a DoClick 0078 TMenu.FindItem 009d NthParentOf 00e7 TMenuItem.InitiateActions 0127 @HandleAnyException 0132 Application 0139 TApplication.HandleException 013e @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F2 8B D8 C6 45 FF 01 8B 03 8B 40 68 89 45 F8 83 7D F8 00 74 13 8B 45 08 50 8D 56 01 8D 45 F8 E8 ?? ?? ?? ?? 59 88 45 FF 0F B6 45 FF 84 C0 0F 84 0A 01 00 00 2C 03 0F 84 02 01 00 00 80 7D FF 02 75 76 8B 45 08 83 78 FC 00 74 13 8B 45 08 8B 40 FC 0F B7 40 64 8B 55 08 66 3B 42 FA 74 2C 8B 45 08 0F B7 50 FA 8B 45 08 8B 40 F4 B1 02 E8 ?? ?? ?? ?? 8B 55 08 89 42 FC 8B 45 08 83 78 FC 00 75 09 C6 45 FF 03 E9 B4 00 00 00 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 89 03 83 3B 00 0F 84 9C 00 00 00 8B 03 8B 40 68 3B 45 F8 0F 85 8E 00 00 00 85 F6 75 04 C6 45 FF 01 8B 03 80 78 3D 00 74 7A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F4 F6 40 1C 10 75 07 8B 03 E8 ?? ?? ?? ?? 8B 03 8B 10 FF 52 54 8B 45 08 83 78 FC 00 74 1D 8B 03 8B 55 08 3B 42 FC 74 17 8B 45 08 8B 40 FC 0F B7 40 64 8B 55 08 66 3B 42 FA 74 04 C6 45 FF 02 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 08 8B 50 F4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 C6 45 FF 00 0F B6 45 FF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_82316_0 {
	meta:
		name = "TMenu.IsShortCut"
		size = 244
		refs = "0010 IsAltGRPressed 001f ShortCutFromMessage 0034 ShortCutItems 0039 TOrderedList.Push 0041 TMenu.IsShortCut 0059 TMenu.FindItem 0088 DoClick 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B F2 89 45 F4 33 DB E8 ?? ?? ?? ?? 84 C0 0F 85 D0 00 00 00 8B C6 E8 ?? ?? ?? ?? 66 89 45 FA 8B 45 F4 8B 40 3C 89 45 EC 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 45 F3 00 0F B7 55 FA B1 02 8B 45 F4 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 49 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 55 8D 45 FC 33 D2 E8 ?? ?? ?? ?? 59 88 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 83 7D EC 00 74 06 80 7D F3 02 74 90 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 83 7D FC 00 75 0A 83 7D EC 00 74 04 33 DB EB 02 B3 01 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82317_0 {
	meta:
		name = "TMenu.IsBiDiModeStored"
		size = 7
	strings:
		$1 = { 0F B6 40 45 34 01 C3 }
	condition:
		$1
}

rule function_82318_0 {
	meta:
		name = "TMenu.DoBiDiModeChanged"
		size = 262
		refs = "000e SysLocale 003e Win32Platform 0048 Win32MajorVersion 006e TMenu.DoBiDiModeChanged 0082 GetMenuItemInfo 008d TMenu.IsRightToLeft 00a5 @TryFinallyExit 00da SetMenuItemInfo 00e7 DrawMenuBar 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 30 FF FF FF 53 56 8B D8 A1 ?? ?? ?? ?? 80 78 0D 00 0F 84 E4 00 00 00 83 7B 40 00 0F 84 DA 00 00 00 8B C3 8B 10 FF 52 44 8B F0 C7 45 D4 10 00 00 00 C7 45 F8 50 00 00 00 A1 ?? ?? ?? ?? 83 38 01 75 0A A1 ?? ?? ?? ?? 83 38 04 7E 09 C7 45 D0 30 00 00 00 EB 07 C7 45 D0 2C 00 00 00 8D 85 30 FF FF FF 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D0 50 6A FF 6A 00 56 E8 ?? ?? ?? ?? 85 C0 74 61 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 81 E2 00 60 00 00 83 FA 01 1B D2 42 3A C2 75 07 E8 ?? ?? ?? ?? EB 55 8B C3 E8 ?? ?? ?? ?? 83 E0 7F C1 E0 0D 8D 04 40 8B 55 D8 81 E2 FF 9F FF FF 0B C2 89 45 D8 C7 45 D4 10 00 00 00 8D 45 D0 50 6A FF 6A 00 56 E8 ?? ?? ?? ?? 85 C0 74 09 8B 43 40 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82319_0 {
	meta:
		name = "BuildImage"
		size = 208
		refs = "0011 GetMenuItemCount 0053 TMenu.DoGetMenuString 005a StrEnd 006b GetMenuState"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 89 45 F4 8B 45 08 8D 98 00 FC FF FF 8B 45 08 83 C0 F6 89 45 F8 33 F6 E9 8A 00 00 00 53 8B 45 F8 2B C3 D1 F8 79 03 83 D0 00 50 68 00 04 00 00 8B 45 08 8B 80 FC FB FF FF 8B CE 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 68 00 04 00 00 56 8B 45 FC 50 E8 ?? ?? ?? ?? 8B F8 66 F7 C7 02 00 74 0D 66 C7 03 24 00 83 C3 02 66 C7 03 00 00 66 F7 C7 40 00 74 0D 66 C7 03 40 00 83 C3 02 66 C7 03 00 00 66 F7 C7 01 00 74 0D 66 C7 03 23 00 83 C3 02 66 C7 03 00 00 66 C7 03 3B 00 83 C3 02 66 C7 03 00 00 46 3B 75 F4 7D 09 3B 5D F8 0F 82 68 FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82320_0 {
	meta:
		name = "TMenu.UpdateImage"
		size = 132
		refs = "0034 BuildImage 004f @UStrToPWChar 005a StrComp 0079 @UStrFromWArray"
	strings:
		$1 = { 55 8B EC 81 C4 FC FB FF FF 53 89 85 FC FB FF FF 33 DB 66 C7 85 00 FC FF FF 00 00 8B 85 FC FB FF FF 83 78 40 00 74 12 55 8B 85 FC FB FF FF 8B 10 FF 52 44 E8 ?? ?? ?? ?? 59 8B 85 FC FB FF FF 83 78 58 00 74 1D 8B 85 FC FB FF FF 8B 40 58 E8 ?? ?? ?? ?? 8D 95 00 FC FF FF E8 ?? ?? ?? ?? 85 C0 74 1B B3 01 8B 85 FC FB FF FF 83 C0 58 8D 95 00 FC FF FF B9 00 02 00 00 E8 ?? ?? ?? ?? 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82321_0 {
	meta:
		name = "TMenu.SetOwnerDraw"
		size = 14
		refs = "0009 TMenu.UpdateItems"
	strings:
		$1 = { 3A 50 44 74 08 88 50 44 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82322_0 {
	meta:
		name = "TMenu.AdjustBiDiBehavior"
		size = 127
		refs = "000a SysLocale 002c TMenu.AdjustBiDiBehavior 0040 TMenu.SetBiDiMode 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC A1 ?? ?? ?? ?? 80 78 0D 00 74 67 8B 45 FC 0F B6 40 38 88 45 FB 8B 55 FC 0F B6 52 45 88 55 FA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 84 C0 75 0C B2 01 8B 45 FC E8 ?? ?? ?? ?? EB 0A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 FB 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 0F B6 55 FA 88 50 45 C3 E9 ?? ?? ?? ?? EB E2 59 59 5D C3 }
	condition:
		$1
}

rule function_82323_0 {
	meta:
		name = "TMenu.SetWindowHandle"
		size = 56
		refs = "000c TMenu.UpdateImage 0011 SysLocale 0028 TMenu.ParentBiDiModeChanged 0031 TMenu.AdjustBiDiBehavior"
	strings:
		$1 = { 53 56 8B F2 8B D8 89 73 40 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 0D 00 74 1A 85 F6 74 16 80 7B 45 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82324_0 {
	meta:
		name = "TMenu.DoChange"
		size = 23
	strings:
		$1 = { 53 66 83 78 52 00 74 0D 51 8B D8 8B CA 8B D0 8B 43 54 FF 53 50 5B C3 }
	condition:
		$1
}

rule function_82325_0 {
	meta:
		name = "TMenu.Loaded"
		size = 23
		refs = "0006 TComponent.Loaded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C3 8B 18 FF 53 40 5B C3 }
	condition:
		$1
}

rule function_82326_0 {
	meta:
		name = "TMenu.MenuChanged"
		size = 60
		refs = "000c TMenu.MenuChanged"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 0F B7 05 ?? ?? ?? ?? 66 23 43 1C 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 0D 0F B6 4D 08 8B D6 8B C3 8B 18 FF 53 40 5E 5B 5D C2 04 00 00 09 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_82327_0 {
	meta:
		name = "TMenu.ImageListChange"
		size = 11
		refs = "0006 TMenu.UpdateItems"
	strings:
		$1 = { 3B 50 4C 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82328_0 {
	meta:
		name = "TMenu.SetImages"
		size = 58
		refs = "0011 TCustomImageList.UnRegisterChanges 0022 TCustomImageList.RegisterChanges 002c TComponent.FreeNotification 0033 TMenu.UpdateItems"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 4C 85 C0 74 08 8B 53 48 E8 ?? ?? ?? ?? 8B C6 89 43 4C 85 C0 74 12 8B 53 48 E8 ?? ?? ?? ?? 8B D3 8B 43 4C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82329_0 {
	meta:
		name = "TMenu.Notification"
		size = 43
		refs = "0010 TComponent.Notification 0023 TMenu.SetImages"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 77 4C 75 0E 80 FB 01 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82330_0 {
	meta:
		name = "TMenu.IsRightToLeft"
		size = 24
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 0D 00 74 06 80 78 38 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_82331_0 {
	meta:
		name = "IsAccelChar"
		size = 89
		refs = "000e GetSubMenu 001c TMenu.FindItem 0027 GetMenuItemID 004c IsAccel"
	strings:
		$1 = { 55 8B EC 56 33 F6 F6 C2 10 74 19 51 50 E8 ?? ?? ?? ?? 8B 55 0C 8B 52 FC B1 01 92 E8 ?? ?? ?? ?? 8B F0 EB 1C 51 50 E8 ?? ?? ?? ?? 83 F8 FF 74 10 8B 55 0C 8B 52 FC 33 C9 92 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0E 0F B7 45 08 8B 56 38 E8 ?? ?? ?? ?? EB 02 33 C0 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_82332_0 {
	meta:
		name = "IsInitialChar"
		size = 232
		refs = "0017 IsInitialChar 002a GetSubMenu 0038 TMenu.FindItem 0057 TMenuItem.GetCount 0064 TMenuItem.GetItem 007c @UStrFromWChar 0097 AnsiCompareText 00a6 GetHotkey 00d2 @UStrArrayClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 66 89 55 FE 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 F6 45 FE 10 74 19 56 50 E8 ?? ?? ?? ?? 8B 55 0C 8B 52 FC B1 01 92 E8 ?? ?? ?? ?? 8B D8 EB 2A 8B 55 0C 8B 52 FC B1 01 92 E8 ?? ?? ?? ?? 8B D8 85 DB 74 16 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 0B 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 4C 83 7B 38 00 74 46 8D 45 F8 0F B7 55 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 8B 53 38 0F B7 12 E8 ?? ?? ?? ?? 8B 45 F4 5A E8 ?? ?? ?? ?? 85 C0 75 11 8D 55 F0 8B 43 38 E8 ?? ?? ?? ?? 83 7D F0 00 74 04 33 C0 EB 02 B0 01 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_82333_0 {
	meta:
		name = "TMenu.ProcessMenuChar"
		size = 378
		refs = "002d GetMenuItemCount 004d GetMenuState 0061 IsAccelChar 00f9 IsInitialChar"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B DA 89 45 FC 33 C0 89 43 0C C7 45 F4 FF FF FF FF C7 45 F0 FF FF FF FF C7 45 EC FF FF FF FF 8B 43 08 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 48 85 C0 7C 78 40 89 45 E8 33 F6 68 00 04 00 00 56 8B 43 08 50 E8 ?? ?? ?? ?? 8B F8 55 0F B7 43 04 50 8B 43 08 8B CE 8B D7 E8 ?? ?? ?? ?? 59 84 C0 74 44 66 F7 C7 02 00 74 0F 83 7D F4 00 7D 37 C7 45 F4 FE FF FF FF EB 2E 83 7D F4 00 7D 0C 89 75 F4 C7 43 0C 02 00 00 00 EB 07 C7 43 0C 03 00 00 00 66 F7 C7 80 00 74 05 89 75 F0 EB 09 83 7D F0 00 7C 03 89 75 EC 46 FF 4D E8 75 8E 83 7D F4 FF 7D 0C C7 43 0C 00 00 01 00 E9 AD 00 00 00 83 7D F4 00 7D 7A 8B 45 F8 48 85 C0 7C 72 40 89 45 E8 33 F6 68 00 04 00 00 56 8B 43 08 50 E8 ?? ?? ?? ?? 8B F8 55 0F B7 43 04 50 8B 43 08 8B CE 8B D7 E8 ?? ?? ?? ?? 59 84 C0 74 3E 66 F7 C7 02 00 74 09 C7 43 0C 00 00 01 00 EB 61 83 7D F4 00 7D 0C 89 75 F4 C7 43 0C 02 00 00 00 EB 07 C7 43 0C 03 00 00 00 66 F7 C7 80 00 74 05 89 75 F0 EB 09 83 7D F0 00 7C 03 89 75 EC 46 FF 4D E8 75 94 8B 43 0C 83 F8 02 75 0B C1 E0 10 0B 45 F4 89 43 0C EB 1A 83 F8 03 75 15 83 7D EC 00 7D 06 8B 55 F4 89 55 EC C1 E0 10 0B 45 EC 89 43 0C 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82334_0 {
	meta:
		name = "TMenu.DoGetMenuString"
		size = 169
		refs = "0010 TMenu.IsOwnerDraw 0024 GetMenuState 002f GetSubMenu 003c TMenu.FindItem 0048 GetMenuItemID 007c StrPLCopy 0084 @PWCharLen 009d GetMenuString"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 76 33 C0 89 45 FC 8B 45 08 50 56 57 E8 ?? ?? ?? ?? A8 10 74 19 56 57 E8 ?? ?? ?? ?? 8B F8 B1 01 8B D7 8B C3 E8 ?? ?? ?? ?? 89 45 FC EB 1C 56 57 E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 0E 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 23 8B 45 10 66 C7 00 00 00 8B 45 FC 8B 50 38 8B 4D 0C 8B 45 10 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? EB 17 33 C0 EB 13 8B 45 08 50 8B 45 0C 50 8B 45 10 50 56 57 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_82335_0 {
	meta:
		name = "TMenu.SetBiDiMode"
		size = 18
		refs = "000d TMenu.DoBiDiModeChanged"
	strings:
		$1 = { 3A 50 38 74 0C 88 50 38 C6 40 45 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82336_0 {
	meta:
		name = "TMenu.SetParentBiDiMode"
		size = 14
		refs = "0009 TMenu.ParentBiDiModeChanged"
	strings:
		$1 = { 3A 50 45 74 08 88 50 45 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82337_0 {
	meta:
		name = "TMenu.ParentBiDiModeChanged"
		size = 38
		refs = "000d FindControl 001c TMenu.SetBiDiMode"
	strings:
		$1 = { 53 8B D8 80 7B 45 00 74 1B 8B 43 40 E8 ?? ?? ?? ?? 85 C0 74 0F 0F B6 50 69 8B C3 E8 ?? ?? ?? ?? C6 43 45 01 5B C3 }
	condition:
		$1
}

rule function_82338_0 {
	meta:
		name = "TMenu.ParentBiDiModeChanged"
		size = 43
		refs = "0010 _Dn_TControl 0015 @AsClass 0020 TMenu.SetBiDiMode"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 45 00 74 1C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 50 69 8B C3 E8 ?? ?? ?? ?? C6 43 45 01 5E 5B C3 }
	condition:
		$1
}

rule function_82339_0 {
	meta:
		name = "TMenu.GetAutoHotkeys"
		size = 15
		refs = "000a cItemAutoFlagToMenu"
	strings:
		$1 = { 8B 40 3C 0F B6 40 3F 0F B6 80 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82340_0 {
	meta:
		name = "TMenu.SetAutoHotkeys"
		size = 17
		refs = "0006 cMenuAutoFlagToItem"
	strings:
		$1 = { 83 E2 7F 0F B6 92 ?? ?? ?? ?? 8B 40 3C 88 50 3F C3 }
	condition:
		$1
}

rule function_82341_0 {
	meta:
		name = "TMenu.GetAutoLineReduction"
		size = 15
		refs = "000a cItemAutoFlagToMenu"
	strings:
		$1 = { 8B 40 3C 0F B6 40 40 0F B6 80 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82342_0 {
	meta:
		name = "TMenu.SetAutoLineReduction"
		size = 17
		refs = "0006 cMenuAutoFlagToItem"
	strings:
		$1 = { 83 E2 7F 0F B6 92 ?? ?? ?? ?? 8B 40 3C 88 50 40 C3 }
	condition:
		$1
}

rule function_82343_0 {
	meta:
		name = "TMainMenu.SetAutoMerge"
		size = 31
		refs = "001a SendMessage"
	strings:
		$1 = { 3A 50 64 74 19 88 50 64 8B 50 40 85 D2 74 0F 6A 00 6A 00 68 15 B0 00 00 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82344_0 {
	meta:
		name = "TMainMenu.MenuChanged"
		size = 89
		refs = "0017 TMenu.UpdateImage 002f SendMessage 003c DrawMenuBar 004d TMenu.MenuChanged"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B F8 83 7F 40 00 74 2C 8B C7 E8 ?? ?? ?? ?? 8B D8 85 F6 75 12 6A 00 6A 00 68 15 B0 00 00 8B 47 40 50 E8 ?? ?? ?? ?? 84 DB 74 09 8B 47 40 50 E8 ?? ?? ?? ?? 0F B6 45 08 50 8B CE 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_82345_0 {
	meta:
		name = "TMainMenu.Merge"
		size = 27
		refs = "000b TMenuItem.MergeWith"
	strings:
		$1 = { 85 D2 74 0C 8B 40 3C 8B 52 3C E8 ?? ?? ?? ?? C3 33 D2 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82346_0 {
	meta:
		name = "TMainMenu.Unmerge"
		size = 26
		refs = "0015 TMenuItem.MergeWith"
	strings:
		$1 = { 85 D2 74 15 8B 48 3C 8B 49 6C 3B 4A 3C 75 0A 33 D2 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82347_0 {
	meta:
		name = "TMainMenu.ItemChanged"
		size = 42
		refs = "0023 SendMessage"
	strings:
		$1 = { 53 56 8B D8 6A 00 33 C9 33 D2 8B C3 8B 30 FF 56 48 8B 43 40 85 C0 74 0F 6A 00 6A 00 68 15 B0 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82348_0 {
	meta:
		name = "TMainMenu.GetHandle"
		size = 16
		refs = "000b TMenu.GetHandle"
	strings:
		$1 = { 8B 50 60 85 D2 74 03 8B C2 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82349_0 {
	meta:
		name = "ProcessAccels"
		size = 155
		refs = "0071 TMenuItem.GetCount 0088 TMenuItem.GetItem 008d ProcessAccels"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 0F B7 56 64 66 85 D2 74 5D 8B 45 08 83 78 FC 00 74 4C B0 03 F6 C6 40 74 02 0C 08 F6 C6 80 74 02 0C 10 F6 C6 20 74 02 0C 04 0F B6 C0 8B 55 08 8B 52 FC 66 89 02 0F B7 46 64 66 25 FF 00 8B 55 08 8B 52 FC 66 89 42 02 8B 45 08 8B 40 FC 0F B7 56 54 66 89 50 04 8B 45 08 83 40 FC 06 EB 30 8B 45 08 FF 40 F8 EB 28 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1A 43 33 FF 8B 45 08 50 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 47 4B 75 E9 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_82350_0 {
	meta:
		name = "ProcessAccelItems"
		size = 54
		refs = "0023 ProcessAccels"
	strings:
		$1 = { 55 8B EC 53 56 8B 55 08 8B 4A 08 85 C9 7C 21 41 8B 55 08 8B 52 0C 0F B6 58 43 3B 1A 75 0C 8B 55 08 52 E8 ?? ?? ?? ?? 59 EB 06 83 C2 04 49 75 E6 33 C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_82351_0 {
	meta:
		name = "TMainMenu.GetOle2AcceleratorTable"
		size = 129
		refs = "0021 ProcessAccelItems 0027 IterateMenus 0041 @GetMem 0061 CreateAcceleratorTable 006d @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F0 89 55 F4 8B D8 33 C0 89 45 F8 33 C0 89 45 FC 8B 43 3C 8B 50 6C B9 ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 10 83 7D F8 00 74 39 8B 45 F8 03 C0 8D 04 40 E8 ?? ?? ?? ?? 8B F0 89 75 FC 8B 43 3C 8B 50 6C B9 ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? 8B 45 F8 50 56 E8 ?? ?? ?? ?? 8B 55 F4 89 02 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 89 10 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_82352_0 {
	meta:
		name = "AddOle2"
		size = 75
		refs = "003a TMenuItem.AppendTo"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 45 08 8B 70 FC 85 F6 7C 32 46 8B 45 08 8B 58 F8 0F B6 47 43 3B 03 75 1D 8B 55 08 8B 52 0C FF 04 82 8B 45 08 0F B6 48 F3 8B 45 08 8B 50 F4 8B C7 E8 ?? ?? ?? ?? 83 C3 04 4E 75 D5 33 C0 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_82353_0 {
	meta:
		name = "TMainMenu.PopulateOle2Menu"
		size = 77
		refs = "0012 TMenu.IsRightToLeft 003d AddOle2 0042 IterateMenus"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D F8 89 55 F4 8B D8 8B C3 E8 ?? ?? ?? ?? 88 45 F3 8B 45 10 89 45 FC 8B 55 08 85 D2 7C 0E 42 8B 45 0C 33 C9 89 08 83 C0 04 4A 75 F6 8B 43 3C 8B C8 8B 50 6C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_82354_0 {
	meta:
		name = "TMainMenu.SetOle2MenuHandle"
		size = 9
		refs = "0004 TMainMenu.ItemChanged"
	strings:
		$1 = { 89 50 60 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112009_0 {
	meta:
		name = "TXmlStreamBuilder.SetOutputSource"
		size = 9
		refs = "0004 TXmlStreamBuilder.ResetCurrentEncoding"
	strings:
		$1 = { 89 50 60 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82355_0 {
	meta:
		name = "TPopupList.MainWndProc"
		size = 73
		refs = "000e TPopupList.MainWndProc 002b @HandleAnyException 0030 Application 003a TApplication.HandleException 003f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82356_0 {
	meta:
		name = "TPopupList.WndProc"
		size = 1365
		refs = "0017 TPopupList.WndProc 007a TList.Get 0083 TMenu.DispatchCommand 00b8 TMenu.DispatchPopup 00fd GetSubMenu 0128 TMenu.FindItem 013f GetLongHint 0147 Application 014e TApplication.SetHint 01e6 TMenu.GetHelpContext 0207 Screen 023c TApplication.HelpCommand 024f TApplication.HelpContext 02a4 _Dn_TControlCanvas 02a9 TCanvas.Create 02c6 SaveDC 02e5 TCanvas.SetHandle 02fa TCanvas.SetFont 0313 DrawMenuItem 033a RestoreDC 0340 @HandleFinally 0357 TObject.Free 03b4 GetWindowDC 04b8 ReleaseDC 050d TMenu.ProcessMenuChar 052a DefWindowProc 0542 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 C9 89 4D C8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 3D 11 01 00 00 7F 20 74 36 83 E8 2B 0F 84 30 02 00 00 48 0F 84 34 03 00 00 83 E8 27 0F 84 29 01 00 00 E9 CD 04 00 00 2D 17 01 00 00 74 47 83 E8 08 74 77 48 0F 84 71 04 00 00 E9 B5 04 00 00 8B 45 FC 8B 58 08 4B 85 DB 0F 8C A6 04 00 00 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 0F B7 56 04 E8 ?? ?? ?? ?? 84 C0 0F 85 A2 04 00 00 47 4B 75 E1 E9 7F 04 00 00 8B 45 FC 8B 58 08 4B 85 DB 0F 8C 70 04 00 00 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 56 04 E8 ?? ?? ?? ?? 84 C0 0F 85 6D 04 00 00 47 4B 75 E2 E9 4A 04 00 00 C6 45 F3 00 F6 46 06 10 74 04 C6 45 F3 01 8B 45 FC 8B 58 08 4B 85 DB 7C 75 43 33 FF 80 7D F3 01 75 20 8B 46 08 85 C0 74 10 0F B7 56 04 52 50 E8 ?? ?? ?? ?? 89 45 F8 EB 10 C7 45 F8 FF FF FF FF EB 07 0F B7 46 04 89 45 F8 8B D7 8B 45 FC E8 ?? ?? ?? ?? 0F B6 4D F3 8B 55 F8 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 22 8D 55 C8 8B 45 F4 8B 40 5C E8 ?? ?? ?? ?? 8B 55 C8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? E9 DA 03 00 00 47 4B 75 8E A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? E9 A9 03 00 00 8B 46 08 89 45 D8 8B 45 FC 8B 58 08 4B 85 DB 0F 8C 94 03 00 00 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B 55 D8 3B 42 0C 75 12 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 40 3C 89 45 F4 EB 1A 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8B 52 0C B1 01 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 85 00 00 00 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8B 52 08 B1 01 E8 ?? ?? ?? ?? 85 C0 75 17 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8B 52 0C 33 C9 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 52 6C 85 D2 0F 84 19 03 00 00 85 C0 75 06 8B 82 70 01 00 00 F6 82 A0 02 00 00 08 74 1A 8B 15 ?? ?? ?? ?? 8B 12 8B C8 B8 08 00 00 00 92 E8 ?? ?? ?? ?? E9 EC 02 00 00 8B 15 ?? ?? ?? ?? 8B 12 92 E8 ?? ?? ?? ?? E9 D9 02 00 00 47 4B 0F 85 26 FF FF FF E9 B2 02 00 00 8B 46 08 89 45 D4 8B 45 FC 8B 58 08 4B 85 DB 0F 8C 9D 02 00 00 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8B 52 08 33 C9 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 C2 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D4 8B 40 18 50 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D4 8B 50 18 8B 45 EC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 90 88 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D4 0F B7 40 10 50 8B 45 D4 8D 48 1C 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 D4 8B 40 18 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 47 4B 0F 85 12 FF FF FF E9 A7 01 00 00 8B 46 08 89 45 D0 8B 45 FC 8B 58 08 4B 85 DB 0F 8C 92 01 00 00 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D0 8B 52 08 33 C9 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 18 01 00 00 8B 45 FC 8B 40 10 50 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 50 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 E4 8B 45 EC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 90 88 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D0 8B 40 0C 89 45 E0 8B 45 D0 8B 40 10 89 45 DC 8D 45 DC 50 8D 4D E0 8B 55 EC 8B 45 F4 8B 18 FF 53 48 8B 45 D0 8B 55 E0 89 50 0C 8B 45 D0 8B 55 DC 89 50 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 E4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 50 8B 45 FC 8B 40 10 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 47 4B 0F 85 BC FE FF FF EB 49 8B 45 FC 8B 58 08 4B 85 DB 7C 3E 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 89 45 CC 8B 45 CC 8B 10 FF 52 44 3B 46 08 74 11 8B 56 08 B1 01 8B 45 CC E8 ?? ?? ?? ?? 85 C0 74 0C 8B D6 8B 45 CC E8 ?? ?? ?? ?? EB 1E 47 4B 75 C5 8B 46 08 50 8B 46 04 50 8B 06 50 8B 45 FC 8B 40 10 50 E8 ?? ?? ?? ?? 89 46 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82357_0 {
	meta:
		name = "TPopupList.Add"
		size = 38
		refs = "000e TPopupList.MainWndProc 0013 AllocateHWnd 001f TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 08 00 75 0E 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82358_0 {
	meta:
		name = "TPopupList.Remove"
		size = 28
		refs = "0008 TList.RemoveItem 0016 DeallocateHWnd"
	strings:
		$1 = { 53 8B D8 8B C3 33 C9 E8 ?? ?? ?? ?? 83 7B 08 00 75 08 8B 43 10 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82359_0 {
	meta:
		name = "TPopupMenu.Create"
		size = 119
		refs = "000a @ClassCreate 0017 TMenu.Create 003e Application 0054 PopupList 0059 TPopupList.Add 0064 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 60 FF FF FF FF C7 46 64 FF FF FF FF 8B 46 3C 89 B0 94 00 00 00 8B 16 8B 52 4C 89 90 90 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 89 46 40 C6 46 69 01 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_82364_0 {
	meta:
		name = "TPopupMenu.SetHelpContext"
		size = 7
	strings:
		$1 = { 8B 40 3C 89 50 58 C3 }
	condition:
		$1
}

rule function_82365_0 {
	meta:
		name = "TPopupMenu.SetBiDiModeFromPopupControl"
		size = 73
		refs = "0004 SysLocale 0018 FindPopupControl 0027 TMenu.SetBiDiMode 0032 Application"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 80 78 0D 00 74 39 80 7B 45 00 74 33 8D 43 60 E8 ?? ?? ?? ?? 85 C0 74 11 0F B6 50 69 8B C3 E8 ?? ?? ?? ?? C6 43 45 01 EB 16 A1 ?? ?? ?? ?? 8B 00 0F B6 50 39 8B C3 E8 ?? ?? ?? ?? C6 43 45 01 5B C3 }
	condition:
		$1
}

rule function_82366_0 {
	meta:
		name = "TPopupMenu.UseRightToLeftAlignment"
		size = 73
		refs = "0005 SysLocale 0019 FindPopupControl 0026 @CallDynaInst 002f Application 0036 TApplication.UseRightToLeftAlignment"
	strings:
		$1 = { 56 33 D2 8B 0D ?? ?? ?? ?? 80 79 0D 00 74 36 80 78 45 00 74 29 83 C0 60 E8 ?? ?? ?? ?? 85 C0 74 0D 66 BE C7 FF E8 ?? ?? ?? ?? 8B D0 EB 17 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 EB 07 80 78 38 01 0F 94 C2 8B C2 5E C3 }
	condition:
		$1
}

rule function_82367_0 {
	meta:
		name = "TPopupMenu.Popup"
		size = 169
		refs = "0019 TPopupMenu.SetPopupPoint 0020 TPopupMenu.SetBiDiModeFromPopupControl 0033 TMenuItem.InternalRethinkHotkeys 003d TMenuItem.InternalRethinkLines 0045 TMenuItem.RebuildHandle 004c TMenu.AdjustBiDiBehavior 0053 TPopupMenu.UseRightToLeftAlignment 0060 Flags 0074 Buttons 0087 PopupList 0098 TMenuItem.GetHandle 009e TrackPopupMenu"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F9 8B F2 8B D8 89 34 24 89 7C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 8B 08 FF 51 4C 33 D2 8B 43 3C E8 ?? ?? ?? ?? 33 D2 8B 43 3C E8 ?? ?? ?? ?? 8B 43 3C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 40 8D 04 45 ?? ?? ?? ?? 0F B6 53 68 0F B7 2C 50 0F B6 43 70 66 0B 2C 45 ?? ?? ?? ?? 0F B7 ED 0F B6 43 71 C1 E0 0A 0B E8 6A 00 A1 ?? ?? ?? ?? 8B 40 10 50 6A 00 57 56 55 8B 43 3C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82368_0 {
	meta:
		name = "TPopupMenu.SetPopupPoint"
		size = 30
	strings:
		$1 = { 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 8B 14 24 89 50 60 8B 54 24 04 89 50 64 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_82369_0 {
	meta:
		name = "TMenuItemStack.ClearItem"
		size = 59
		refs = "001c TList.Get"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 04 8B 70 08 4E 85 F6 7C 23 46 33 DB 8B 47 04 8B D3 E8 ?? ?? ?? ?? 3B 28 75 0E 8B 47 04 8B D3 E8 ?? ?? ?? ?? 33 D2 89 10 43 4E 75 E0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82372_0 {
	meta:
		name = "NewMenu"
		size = 58
		refs = "0010 _DV_TMainMenu 0015 TMenu.Create 002d InitMenuItems"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 51 24 8B 55 FC 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_82374_0 {
	meta:
		name = "NewSubMenu"
		size = 108
		refs = "0017 _DV_TMenuItem 001c TMenuItem.Create 0032 TMenuItem.Add 0042 TMenuItem.SetCaption 005d TMenuItem.SetEnabled"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 75 0C 85 F6 7C 13 46 8B 5D 10 8B 13 8B C7 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F1 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 89 47 58 8B 55 F4 8B C7 8B 08 FF 51 24 0F B6 55 08 8B C7 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_82375_0 {
	meta:
		name = "NewItem"
		size = 114
		refs = "0013 _DV_TMenuItem 0018 TMenuItem.Create 0023 TMenuItem.SetCaption 002c TMenuItem.SetShortCut 004f TMenuItem.SetChecked 005a TMenuItem.SetEnabled"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B FA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 45 10 89 83 90 00 00 00 8B 45 14 89 83 94 00 00 00 8B 45 0C 89 43 58 0F B6 55 FF 8B C3 E8 ?? ?? ?? ?? 0F B6 55 18 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B C3 8B 08 FF 51 24 8B C3 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_82376_0 {
	meta:
		name = "NewLine"
		size = 52
		refs = "0006 _DV_TMenuItem 000b TMenuItem.Create 0012 NewLine 0019 TMenuItem.SetCaption"
	strings:
		$1 = { 53 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_82377_0 {
	meta:
		name = "DrawMenuItem"
		size = 231
		refs = "0018 Win32MajorVersion 002c Win32MinorVersion 0043 @CallDynaInst 0049 _DV_TMainMenu 004e @IsClass 0074 TBrush.SetColor 0081 TFont.SetColor"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F1 8D 7D E8 A5 A5 A5 A5 8B FA 89 45 FC A1 ?? ?? ?? ?? 83 38 04 7F 18 A1 ?? ?? ?? ?? 83 38 04 75 0A A1 ?? ?? ?? ?? 83 38 00 7F 04 33 DB EB 02 B3 01 8B 45 FC 66 BE F2 FF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 FB F6 45 08 01 74 2C 80 7D FB 00 74 0A 80 7D FB 00 74 20 84 DB 75 1C BA 0D 00 00 FF 8B 47 48 E8 ?? ?? ?? ?? BA 0E 00 00 FF 8B 47 40 E8 ?? ?? ?? ?? EB 40 84 DB 74 22 F6 45 08 80 74 1C BA 04 00 00 FF 8B 47 48 E8 ?? ?? ?? ?? BA 11 00 00 FF 8B 47 40 E8 ?? ?? ?? ?? EB 1A BA 04 00 00 FF 8B 47 48 E8 ?? ?? ?? ?? BA 07 00 00 FF 8B 47 40 E8 ?? ?? ?? ?? 0F B7 45 08 50 0F B6 45 FB 50 8D 4D E8 8B D7 8B 45 FC 8B 18 FF 53 40 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_82378_0 {
	meta:
		name = "StripHotkey"
		size = 282
		refs = "0010 @UStrAsg 0052 SysLocale 00ee @UStrDelete 0106 @UStrLen"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? BD 01 00 00 00 E9 E5 00 00 00 8B 06 0F B7 7C 68 FE 66 81 FF 00 D8 72 07 66 81 FF FF DF 76 04 33 DB EB 02 B3 01 84 DB 74 06 45 E9 BF 00 00 00 8B 06 66 83 7C 68 FE 26 0F 85 B1 00 00 00 A1 ?? ?? ?? ?? 80 78 0C 00 74 7B 83 FD 01 7E 30 8B 06 89 04 24 8B 04 24 89 44 24 04 83 7C 24 04 00 74 0D 8B 44 24 04 83 E8 04 8B 00 89 44 24 04 8B 44 24 04 2B C5 83 F8 02 0F 9D 44 24 08 EB 05 C6 44 24 08 00 80 7C 24 08 00 74 0F 8B 06 66 83 7C 68 FC 28 0F 94 44 24 09 EB 05 C6 44 24 09 00 80 7C 24 09 00 74 0F 8B 06 66 83 7C 68 02 29 0F 94 44 24 0A EB 05 C6 44 24 0A 00 0F B6 44 24 0A 88 44 24 0B EB 05 C6 44 24 0B 00 80 7C 24 0B 00 74 11 8B D5 4A 8B C6 B9 04 00 00 00 E8 ?? ?? ?? ?? EB 0E 8B C6 B9 01 00 00 00 8B D5 E8 ?? ?? ?? ?? 45 8B 06 E8 ?? ?? ?? ?? 3B E8 0F 8E 0C FF FF FF 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82379_0 {
	meta:
		name = "GetHotkey"
		size = 110
		refs = "000e @UStrClr 005f @UStrFromWChar"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F0 8B 04 24 E8 ?? ?? ?? ?? BB 01 00 00 00 8B C6 85 C0 74 05 83 E8 04 8B 00 8B E8 3B EB 7C 40 0F B7 7C 5E FE 66 81 FF 00 D8 72 0A 66 81 FF FF DF 77 03 43 EB 25 66 83 7C 5E FE 26 75 1D 8B C5 2B C3 48 7C 16 43 66 83 7C 5E FE 26 74 0D 8B 04 24 0F B7 54 5E FE E8 ?? ?? ?? ?? 43 3B EB 7D C0 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82380_0 {
	meta:
		name = "SameCaption"
		size = 107
		refs = "0011 SameCaption 0021 StripHotkey 0036 AnsiCompareText 0057 @UStrArrayClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_82381_0 {
	meta:
		name = "AnsiSameCaption"
		size = 107
		refs = "0011 AnsiSameCaption 0021 StripHotkey 0036 AnsiCompareText 0057 @UStrArrayClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_82382_0 {
	meta:
		name = "Finalization"
		size = 109
		refs = "0007 Finalization 0013 _DV_01 001a ShortCutItems 001f TObject.Free 0024 PopupList 002e CommandPool 0038 ValidMenuHotkeys 003d @UStrClr 0042 MenuKeyCaps 004d string 0052 @FinalizeArray 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 3D A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 12 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_82383_0 {
	meta:
		name = "Vcl.Menus"
		size = 133
		refs = "0002 _DV_01 000a _Nn__6CD 000f @InitResStringImports 0014 _Dn_TControl 0019 StartClassGroup 0023 ActivateClassGroup 002e _DV_TMenuItem 0033 GroupDescendentsWith 003e _DV_TMenu 004d RegisterClass 0054 _Dn_TBits 0059 TObject.Create 005e CommandPool 0065 _DV_TPopupList 006f PopupList 0076 _DV_TMenuItemStack 007b TOrderedList.Create 0080 ShortCutItems"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 7B B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82384_0 {
	meta:
		name = "TMediaPlayer.Create"
		size = 244
		refs = "000d @ClassCreate 001b TCustomControl.Create 0024 TMediaPlayer.Create 002e TMediaPlayer.LoadBitmaps 0090 TControl.SetWidth 009c TControl.SetHeight 00c8 TWinControl.SetTabStop 00d5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 8B C3 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 83 10 03 00 00 0F B7 05 ?? ?? ?? ?? 66 89 83 12 03 00 00 0F B7 05 ?? ?? ?? ?? 66 89 83 14 03 00 00 33 C0 0F B6 D0 03 D2 C6 84 D3 80 02 00 00 01 C6 84 D3 81 02 00 00 01 C6 84 D3 82 02 00 00 01 C6 84 D3 83 02 00 00 00 40 3C 09 75 D6 BA F0 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 1E 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 50 03 00 00 00 C6 83 8C 03 00 00 01 C6 83 8D 03 00 00 00 C6 83 8E 03 00 00 01 C6 83 64 03 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 00 00 00 40 00 00 00 FF 01 00 00 }
	condition:
		$1
}

rule function_82385_0 {
	meta:
		name = "TMediaPlayer.Destroy"
		size = 76
		refs = "0004 @BeforeDestruction 0027 mciSendCommand 002e TMediaPlayer.DestroyBitmaps 0039 TCustomControl.Destroy 0044 @ClassDestroy"
	strings:
		$1 = { 53 56 51 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B7 86 62 03 00 00 66 85 C0 74 13 8B D4 52 6A 02 68 04 08 00 00 0F B7 C0 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_82386_0 {
	meta:
		name = "TMediaPlayer.Loaded"
		size = 34
		refs = "0006 TControl.Loaded 001c TMediaPlayer.Open"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 75 10 80 BB 8D 03 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82387_0 {
	meta:
		name = "TMediaPlayer.LoadBitmaps"
		size = 356
		refs = "002e BtnTypeName 0035 BtnStateName 003c _Dn_TBitmap 0041 TBitmap.Create 0076 TMediaPlayer.LoadBitmaps 007f StrFmt 0085 HInstance 008b LoadBitmap 00a5 TBitmap.SetHandle"
	strings:
		$1 = { 53 56 57 55 83 C4 90 8B F0 33 C0 89 44 24 04 33 C0 89 44 24 08 8B 44 24 04 89 86 30 03 00 00 8B 44 24 08 89 86 34 03 00 00 C6 04 24 00 BD ?? ?? ?? ?? 33 DB BF ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 D3 0F B6 0C 24 03 C9 8D 0C CE 89 84 91 84 02 00 00 6A 01 8B 07 89 44 24 64 C6 44 24 68 0A 8B 45 00 89 44 24 6C C6 44 24 70 0A 8D 4C 24 64 BA ?? ?? ?? ?? 8D 44 24 10 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 0F B6 C3 0F B6 0C 24 03 C9 8D 0C CE 8B 84 81 84 02 00 00 E8 ?? ?? ?? ?? 0F B6 C3 0F B6 14 24 03 D2 8D 14 D6 8B 84 82 84 02 00 00 8B 10 FF 52 30 3B 86 30 03 00 00 7E 1E 0F B6 C3 0F B6 14 24 03 D2 8D 14 D6 8B 84 82 84 02 00 00 8B 10 FF 52 30 89 86 30 03 00 00 0F B6 C3 0F B6 14 24 03 D2 8D 14 D6 8B 84 82 84 02 00 00 8B 10 FF 52 24 3B 86 34 03 00 00 7E 1E 0F B6 C3 0F B6 14 24 03 D2 8D 14 D6 8B 84 82 84 02 00 00 8B 10 FF 52 24 89 86 34 03 00 00 43 83 C7 04 80 FB 03 0F 85 07 FF FF FF FE 04 24 83 C5 04 80 3C 24 09 0F 85 F0 FE FF FF 83 86 30 03 00 00 08 83 86 34 03 00 00 04 83 C4 70 5D 5F 5E 5B C3 25 00 73 00 5F 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_82388_0 {
	meta:
		name = "TMediaPlayer.DestroyBitmaps"
		size = 54
		refs = "001f TObject.Free"
	strings:
		$1 = { 53 56 51 8B F0 C6 04 24 00 33 DB 0F B6 04 24 03 C0 8D 04 C6 0F B6 D3 8B 84 90 84 02 00 00 E8 ?? ?? ?? ?? 43 80 FB 03 75 E2 FE 04 24 80 3C 24 09 75 D7 5A 5E 5B C3 }
	condition:
		$1
}

rule function_82389_0 {
	meta:
		name = "TMediaPlayer.SetAutoEnable"
		size = 40
		refs = "0015 TMediaPlayer.DrawAutoButtons 0023 TMediaPlayer.SetEnabledButtons"
	strings:
		$1 = { 3A 90 8C 03 00 00 74 1F 8B CA 88 88 8C 03 00 00 84 C9 74 07 E8 ?? ?? ?? ?? EB 0C 0F B7 90 12 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82390_0 {
	meta:
		name = "TMediaPlayer.SetEnabledButtons"
		size = 72
	strings:
		$1 = { 56 51 66 89 14 24 8B F0 0F B7 04 24 66 89 86 12 03 00 00 33 C0 8B D0 80 FA 0F 77 0B 83 E2 7F 66 0F A3 96 12 03 00 00 0F 92 C2 0F B6 C8 03 C9 88 94 CE 81 02 00 00 40 3C 09 75 DA 8B C6 8B 10 FF 92 9C 00 00 00 5A 5E C3 }
	condition:
		$1
}

rule function_82391_0 {
	meta:
		name = "TMediaPlayer.DrawAutoButtons"
		size = 55
	strings:
		$1 = { 56 8B F0 33 C0 8B D0 80 FA 0F 77 0B 83 E2 7F 66 0F A3 96 16 03 00 00 0F 92 C2 0F B6 C8 03 C9 88 94 CE 83 02 00 00 40 3C 09 75 DA 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_82392_0 {
	meta:
		name = "TMediaPlayer.SetColored"
		size = 72
	strings:
		$1 = { 56 51 66 89 14 24 8B F0 0F B7 04 24 66 89 86 14 03 00 00 33 C0 8B D0 80 FA 0F 77 0B 83 E2 7F 66 0F A3 96 14 03 00 00 0F 92 C2 0F B6 C8 03 C9 88 94 CE 82 02 00 00 40 3C 09 75 DA 8B C6 8B 10 FF 92 9C 00 00 00 5A 5E C3 }
	condition:
		$1
}

rule function_82393_0 {
	meta:
		name = "TMediaPlayer.SetVisible"
		size = 113
		refs = "0044 TMediaPlayer.VisibleButtonCount 006a TMediaPlayer.Adjust"
	strings:
		$1 = { 56 51 66 89 14 24 8B F0 0F B7 04 24 66 89 86 10 03 00 00 33 C0 8B D0 80 FA 0F 77 0B 83 E2 7F 66 0F A3 96 10 03 00 00 0F 92 C2 0F B6 C8 03 C9 88 94 CE 80 02 00 00 40 3C 09 75 DA F6 46 1C 40 74 26 8B C6 E8 ?? ?? ?? ?? 50 8B 46 50 48 5A 8B CA 99 F7 F9 40 89 86 2C 03 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5A 5E C3 8B C6 E8 ?? ?? ?? ?? 5A 5E C3 }
	condition:
		$1
}

rule function_82394_0 {
	meta:
		name = "TMediaPlayer.VisibleButtonCount"
		size = 36
	strings:
		$1 = { 56 33 F6 33 D2 0F B6 CA 03 C9 80 BC C8 80 02 00 00 00 74 01 46 42 80 FA 09 75 EA 85 F6 75 01 46 8B C6 5E C3 }
	condition:
		$1
}

rule function_82395_0 {
	meta:
		name = "TMediaPlayer.Adjust"
		size = 40
		refs = "0006 TMediaPlayer.VisibleButtonCount 0018 TControl.SetWidth"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 96 2C 03 00 00 4A 0F AF D0 42 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_82396_0 {
	meta:
		name = "TMediaPlayer.WMSize"
		size = 144
		refs = "0011 TWinControl.WMSize 001e TMediaPlayer.VisibleButtonCount"
	strings:
		$1 = { 53 56 57 83 C4 F4 89 14 24 8B D8 8B 14 24 8B C3 E8 ?? ?? ?? ?? F6 43 1C 40 75 6E 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 83 30 03 00 00 48 F7 E9 40 89 44 24 04 8B B3 34 03 00 00 89 74 24 08 8B 43 50 48 99 F7 F9 8B F8 47 89 BB 2C 03 00 00 8B C7 48 F7 E9 40 8B 54 24 04 3B C2 7D 02 8B C2 8B 53 54 3B F2 7E 02 8B D6 3B 43 50 75 05 3B 53 54 74 12 50 52 8B 4B 4C 8B C3 8B 53 48 8B 18 FF 93 A4 00 00 00 8B 04 24 33 D2 89 50 0C 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82397_0 {
	meta:
		name = "TMediaPlayer.DrawButton"
		size = 759
		refs = "0039 TBrush.SetStyle 0046 TBrush.SetColor 0053 TPen.SetColor 0060 TPen.SetWidth 0240 Rect 026f Bounds 0283 TWinControl.GetHandle 028a GetFocus 02c0 InflateRect 02d5 OffsetRect 02e5 TCanvas.GetHandle 02eb DrawFocusRect"
	strings:
		$1 = { 53 56 57 55 83 C4 C4 8B F9 88 14 24 8B D8 80 BB 19 03 00 00 00 74 0C 0F B6 04 24 3A 83 1A 03 00 00 74 04 33 C0 EB 02 B0 01 88 44 24 01 8B B3 78 02 00 00 33 D2 8B 46 48 E8 ?? ?? ?? ?? BA 0F 00 00 FF 8B 46 48 E8 ?? ?? ?? ?? BA 06 00 00 FF 8B 46 44 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 46 44 E8 ?? ?? ?? ?? 8B C7 03 83 2C 03 00 00 50 8B 43 54 50 33 C9 8B D7 8B C6 8B 28 FF 55 7C 80 7C 24 01 00 74 46 BA 10 00 00 FF 8B 46 44 E8 ?? ?? ?? ?? 8B 4B 54 83 E9 02 8D 57 01 8B C6 8B 28 FF 55 64 8D 57 01 B9 01 00 00 00 8B C6 8B 28 FF 55 60 8B D7 03 93 2C 03 00 00 4A B9 01 00 00 00 8B C6 8B 28 FF 55 60 E9 8D 00 00 00 BA 14 00 00 FF 8B 46 44 E8 ?? ?? ?? ?? 8B 4B 54 83 E9 02 8D 57 01 8B C6 8B 28 FF 55 64 8D 57 01 B9 01 00 00 00 8B C6 8B 28 FF 55 60 8B D7 03 93 2C 03 00 00 4A B9 01 00 00 00 8B C6 8B 28 FF 55 60 BA 10 00 00 FF 8B 46 44 E8 ?? ?? ?? ?? 8B 4B 54 83 E9 02 8D 57 02 8B C6 8B 28 FF 55 64 8B 4B 54 83 E9 02 8B D7 03 93 2C 03 00 00 83 EA 02 8B C6 8B 28 FF 55 60 8B D7 03 93 2C 03 00 00 83 EA 02 B9 01 00 00 00 8B C6 8B 28 FF 55 60 8B C3 8B 10 FF 52 68 84 C0 75 06 F6 43 1C 10 74 5B 80 BB 8C 03 00 00 00 74 2C F6 43 1C 10 75 26 0F B6 04 24 8B D0 03 D2 80 BC D3 83 02 00 00 00 74 10 33 C0 80 BC D3 82 02 00 00 00 74 30 B0 02 EB 2C B0 01 EB 28 0F B6 04 24 8B D0 03 D2 80 BC D3 81 02 00 00 00 74 10 33 C0 80 BC D3 82 02 00 00 00 74 0A B0 02 EB 06 B0 01 EB 02 B0 01 83 E0 7F 0F B6 14 24 03 D2 8D 14 D3 8B AC 82 84 02 00 00 8B C5 8B 10 FF 52 30 D1 F8 79 03 83 D0 00 8B 93 2C 03 00 00 D1 FA 79 03 83 D2 00 2B D0 89 54 24 04 8B C5 8B 10 FF 52 24 D1 F8 79 03 83 D0 00 8B 53 54 D1 FA 79 03 83 D2 00 2B D0 89 54 24 08 80 7C 24 01 00 74 08 FF 44 24 04 FF 44 24 08 8B C5 8B 10 FF 52 24 50 8D 44 24 20 50 8B C5 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 80 80 00 00 8B C5 8B 10 FF 52 24 50 8D 44 24 38 50 8B C5 8B 10 FF 52 30 8B C8 8B C7 03 44 24 14 8B 54 24 18 E8 ?? ?? ?? ?? 8D 54 24 34 8B CD 8B C6 8B 30 FF 56 3C 8B C3 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 5D 0F B6 04 24 3A 83 50 03 00 00 75 51 8B 43 54 50 8D 44 24 10 50 8B 8B 2C 03 00 00 33 D2 8B C7 E8 ?? ?? ?? ?? 6A FD 6A FD 8D 44 24 14 50 E8 ?? ?? ?? ?? 80 7C 24 01 00 74 0E 6A 01 6A 01 8D 44 24 14 50 E8 ?? ?? ?? ?? 8D 44 24 0C 50 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 3C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82398_0 {
	meta:
		name = "TMediaPlayer.Paint"
		size = 115
		refs = "0011 TBrush.SetStyle 001e TPen.SetColor 002b TPen.SetWidth 005c TMediaPlayer.DrawButton"
	strings:
		$1 = { 53 56 57 8B F0 8B 9E 78 02 00 00 8B 43 48 B2 01 E8 ?? ?? ?? ?? 8B 43 44 BA 06 00 00 FF E8 ?? ?? ?? ?? 8B 43 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 46 50 50 8B 46 54 50 33 C9 33 D2 8B C3 8B 18 FF 53 7C 33 FF 33 DB 0F B6 C3 03 C0 80 BC C6 80 02 00 00 00 74 14 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? 8B 86 2C 03 00 00 48 03 F8 43 80 FB 09 75 D7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82399_0 {
	meta:
		name = "TMediaPlayer.AutoButtonSet"
		size = 560
		refs = "0012 TMediaPlayer.AutoButtonSet"
	strings:
		$1 = { 53 8B D8 0F B6 C2 83 F8 08 0F 87 16 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? F7 D0 66 23 83 16 03 00 00 66 89 83 16 03 00 00 0F B7 05 ?? ?? ?? ?? 66 0B 83 16 03 00 00 66 89 83 16 03 00 00 5B C3 80 BB 53 03 00 00 00 74 08 66 83 8B 16 03 00 00 01 80 BB 56 03 00 00 00 0F 84 9F 01 00 00 66 81 8B 16 03 00 00 80 00 5B C3 80 BB 53 03 00 00 00 74 08 66 83 8B 16 03 00 00 01 80 BB 56 03 00 00 00 74 09 66 81 8B 16 03 00 00 80 00 0F B7 05 ?? ?? ?? ?? F7 D0 66 23 83 16 03 00 00 66 89 83 16 03 00 00 5B C3 80 BB 53 03 00 00 00 74 08 66 83 8B 16 03 00 00 01 80 BB 56 03 00 00 00 74 09 66 81 8B 16 03 00 00 80 00 0F B7 05 ?? ?? ?? ?? F7 D0 66 23 83 16 03 00 00 66 89 83 16 03 00 00 5B C3 80 BB 53 03 00 00 00 74 08 66 83 8B 16 03 00 00 01 80 BB 56 03 00 00 00 74 09 66 81 8B 16 03 00 00 80 00 0F B7 05 ?? ?? ?? ?? F7 D0 66 23 83 16 03 00 00 66 89 83 16 03 00 00 5B C3 80 BB 53 03 00 00 00 74 08 66 83 8B 16 03 00 00 01 80 BB 56 03 00 00 00 74 09 66 81 8B 16 03 00 00 80 00 0F B7 05 ?? ?? ?? ?? F7 D0 66 23 83 16 03 00 00 66 89 83 16 03 00 00 5B C3 80 BB 53 03 00 00 00 74 08 66 83 8B 16 03 00 00 01 80 BB 56 03 00 00 00 74 09 66 81 8B 16 03 00 00 80 00 0F B7 05 ?? ?? ?? ?? F7 D0 66 23 83 16 03 00 00 66 89 83 16 03 00 00 5B C3 0F B7 05 ?? ?? ?? ?? F7 D0 66 23 83 16 03 00 00 66 89 83 16 03 00 00 0F B7 05 ?? ?? ?? ?? 66 0B 83 16 03 00 00 66 89 83 16 03 00 00 5B C3 80 BB 53 03 00 00 00 74 08 66 83 8B 16 03 00 00 01 80 BB 56 03 00 00 00 74 09 66 81 8B 16 03 00 00 80 00 0F B7 05 ?? ?? ?? ?? F7 D0 66 23 83 16 03 00 00 66 89 83 16 03 00 00 5B C3 00 81 00 00 00 06 00 00 00 }
	condition:
		$1
}

rule function_82400_0 {
	meta:
		name = "TMediaPlayer.DoMouseDown"
		size = 237
		refs = "00ad Rect 00d8 TMediaPlayer.DrawButton 00e1 TControl.SetMouseCapture"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B EA 8B F0 33 FF 33 C0 33 DB 0F B6 D3 03 D2 80 BC D6 80 02 00 00 00 74 4E 3B FD 7F 41 8B D7 03 96 2C 03 00 00 3B EA 7F 35 80 BE 8C 03 00 00 00 74 0F 0F B6 C3 03 C0 80 BC C6 83 02 00 00 00 75 13 0F B6 C3 03 C0 80 BC C6 81 02 00 00 00 0F 84 8A 00 00 00 88 9E 1A 03 00 00 B0 01 EB 0F 8B 96 2C 03 00 00 4A 03 FA 43 80 FB 09 75 9D 84 C0 74 6D 0F B6 86 1A 03 00 00 3A 86 50 03 00 00 74 10 88 86 50 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B 46 54 50 8D 44 24 04 50 8B CF 03 8E 2C 03 00 00 33 D2 8B C7 E8 ?? ?? ?? ?? 56 57 8D BE 1C 03 00 00 8D 74 24 08 A5 A5 A5 A5 5F 5E C6 86 18 03 00 00 01 C6 86 19 03 00 00 01 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82401_0 {
	meta:
		name = "TMediaPlayer.WMLButtonDblClk"
		size = 14
		refs = "0009 TMediaPlayer.DoMouseDown"
		altNames = "TMediaPlayer.WMLButtonDown"
	strings:
		$1 = { 0F BF 4A 0A 0F BF 52 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82403_0 {
	meta:
		name = "TMediaPlayer.WMMouseMove"
		size = 119
		refs = "003f PtInRect 006d TMediaPlayer.DrawButton"
	strings:
		$1 = { 53 56 83 C4 F0 8B F0 80 BE 18 03 00 00 00 74 61 0F BF 42 08 0F BF 52 0A 89 44 24 08 89 54 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 FF 74 24 04 FF 74 24 04 8D 86 1C 03 00 00 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 0F B6 9E 19 03 00 00 3A C3 74 1D 80 F3 01 88 9E 19 03 00 00 0F B6 96 1A 03 00 00 8B 8E 1C 03 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_82404_0 {
	meta:
		name = "TMediaPlayer.DoClick"
		size = 191
		refs = "0019 @CallDynaInst 0036 TMediaPlayer.DoClick 0061 TMediaPlayer.Play 006a TMediaPlayer.Pause 0073 TMediaPlayer.Stop 007c TMediaPlayer.Next 0085 TMediaPlayer.Previous 008e TMediaPlayer.Step 0097 TMediaPlayer.Back 00a0 TMediaPlayer.StartRecording 00a9 TMediaPlayer.Eject 00b7 TMediaPlayer.DoPostClick"
	strings:
		$1 = { 53 56 51 8B D8 C6 04 24 01 0F B6 93 1A 03 00 00 8B CC 8B C3 66 BE AD FF E8 ?? ?? ?? ?? 80 3C 24 00 0F 84 94 00 00 00 0F B6 83 1A 03 00 00 83 F8 08 77 7A FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 46 8B C3 E8 ?? ?? ?? ?? EB 3D 8B C3 E8 ?? ?? ?? ?? EB 34 8B C3 E8 ?? ?? ?? ?? EB 2B 8B C3 E8 ?? ?? ?? ?? EB 22 8B C3 E8 ?? ?? ?? ?? EB 19 8B C3 E8 ?? ?? ?? ?? EB 10 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 0F B6 93 1A 03 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_82405_0 {
	meta:
		name = "TMediaPlayer.DoPostClick"
		size = 19
		refs = "000d @CallDynaInst"
	strings:
		$1 = { 56 0F B6 90 1A 03 00 00 66 BE AC FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_82406_0 {
	meta:
		name = "TMediaPlayer.WMLButtonUp"
		size = 134
		refs = "0009 TControl.SetMouseCapture 0036 TMediaPlayer.DrawButton 0044 TMediaPlayer.DoClick 0071 @CallDynaInst 0078 TMediaPlayer.DrawAutoButtons"
	strings:
		$1 = { 53 56 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 80 BB 18 03 00 00 00 74 66 80 BB 19 03 00 00 00 74 5D C6 83 19 03 00 00 00 0F B6 93 1A 03 00 00 8B 8B 1C 03 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 93 1A 03 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB 8C 03 00 00 00 74 2B 83 BB 74 03 00 00 00 75 22 80 BB 51 03 00 00 00 74 19 0F B6 93 1A 03 00 00 8B C3 66 BE AE FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 18 03 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_82407_0 {
	meta:
		name = "TAbstractFieldValuesAdapter.GetField"
		size = 9
		altNames = "TMediaPlayer.WMKillFocus TMediaPlayer.WMSetFocus"
	strings:
		$1 = { 8B 10 FF 92 F8 00 00 00 C3 }
	condition:
		$1
}

rule function_82410_0 {
	meta:
		name = "TMediaPlayer.KeyDown"
		size = 227
		refs = "00ba TMediaPlayer.DoClick 00d5 @CallDynaInst 00dc TMediaPlayer.DrawAutoButtons"
	strings:
		$1 = { 56 57 8B F8 0F B7 02 66 83 E8 20 0F 84 88 00 00 00 66 83 E8 05 74 48 66 83 E8 02 0F 85 BF 00 00 00 0F B6 87 50 03 00 00 3C 08 73 01 40 3C 08 74 0F 0F B6 D0 03 D2 80 BC D7 80 02 00 00 00 74 E8 3A 87 50 03 00 00 0F 84 94 00 00 00 88 87 50 03 00 00 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E C3 0F B6 87 50 03 00 00 84 C0 76 01 48 84 C0 74 0F 0F B6 D0 03 D2 80 BC D7 80 02 00 00 00 74 E8 3A 87 50 03 00 00 74 5A 88 87 50 03 00 00 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E C3 0F B6 87 50 03 00 00 0F B6 D0 03 D2 80 BC D7 81 02 00 00 00 74 31 8B D0 88 97 1A 03 00 00 8B C7 E8 ?? ?? ?? ?? 80 BF 8C 03 00 00 00 74 19 0F B6 97 1A 03 00 00 8B C7 66 BE AE FF E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_82411_0 {
	meta:
		name = "TMediaPlayer.MMNotify"
		size = 164
		refs = "0012 TMediaPlayer.GetMode 0040 TMediaPlayer.MMNotify 0057 TMediaPlayer.DrawAutoButtons 0099 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 8C 03 00 00 00 74 4C 8B C3 E8 ?? ?? ?? ?? 3C 01 75 41 80 BB 53 03 00 00 00 74 08 66 83 8B 16 03 00 00 01 80 BB 56 03 00 00 00 74 09 66 81 8B 16 03 00 00 80 00 0F B7 05 ?? ?? ?? ?? F7 D0 66 23 83 16 03 00 00 66 89 83 16 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 46 04 48 74 0F 48 74 15 83 E8 02 74 19 83 E8 04 74 1D EB 22 C6 83 78 03 00 00 00 EB 19 C6 83 78 03 00 00 01 EB 10 C6 83 78 03 00 00 02 EB 07 C6 83 78 03 00 00 03 8B C3 66 BE AB FF E8 ?? ?? ?? ?? 5E 5B C3 06 00 00 00 }
	condition:
		$1
}

rule function_82412_0 {
	meta:
		name = "TMediaPlayer.CheckIfOpen"
		size = 33
		refs = "000b SNotOpenErr 0012 _DV_EMCIDeviceError 0017 Exception.CreateRes 001c @RaiseExcept"
	strings:
		$1 = { 80 B8 51 03 00 00 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82413_0 {
	meta:
		name = "TMediaPlayer.Click"
		size = 32
	strings:
		$1 = { 53 66 83 B8 3A 03 00 00 00 74 13 51 8B CA 8B D8 8B D0 8B 83 3C 03 00 00 FF 93 38 03 00 00 5B C3 }
	condition:
		$1
}

rule function_82414_0 {
	meta:
		name = "TMediaPlayer.PostClick"
		size = 31
	strings:
		$1 = { 53 66 83 B8 42 03 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 44 03 00 00 FF 93 40 03 00 00 5B C3 }
	condition:
		$1
}

rule function_82415_0 {
	meta:
		name = "TMediaPlayer.DoNotify"
		size = 29
	strings:
		$1 = { 53 66 83 B8 4A 03 00 00 00 74 10 8B D8 8B D0 8B 83 4C 03 00 00 FF 93 48 03 00 00 5B C3 }
	condition:
		$1
}

rule function_82417_0 {
	meta:
		name = "TMediaPlayer.GetDeviceID"
		size = 8
	strings:
		$1 = { 0F B7 80 62 03 00 00 C3 }
	condition:
		$1
}

rule function_82418_0 {
	meta:
		name = "TMediaPlayer.Open"
		size = 648
		refs = "0013 TMediaPlayer.Open 0028 @FillChar 0038 TMediaPlayer.Close 004b DeviceName 0059 @UStrToPWChar 0112 TWinControl.GetHandle 012c mciSendCommand 0142 TMediaPlayer.GetErrorMessage 014c _DV_EMCIDeviceError 0151 Exception.Create 0156 @RaiseExcept 0174 TMediaPlayer.GetLength 0189 TMediaPlayer.GetDeviceCaps 019f TMediaPlayer.SetDisplay 01a9 TMediaPlayer.GetDisplayRect 01d9 TMediaPlayer.SetTimeFormat 0241 TMediaPlayer.GetMode 0252 @CallDynaInst 0259 TMediaPlayer.DrawAutoButtons 026e @UStrClr 0274 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 D2 89 55 D8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 80 BB 51 03 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 EC 0F B6 83 64 03 00 00 8B 04 85 ?? ?? ?? ?? 89 45 F4 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 89 83 58 03 00 00 80 BB 5E 03 00 00 00 74 1C 80 BB 5C 03 00 00 00 74 0A C7 83 58 03 00 00 02 00 00 00 C6 83 5E 03 00 00 00 EB 0A C7 83 58 03 00 00 02 00 00 00 80 BB 5F 03 00 00 00 74 17 80 BB 5D 03 00 00 00 74 07 83 8B 58 03 00 00 01 C6 83 5F 03 00 00 00 80 BB 64 03 00 00 00 74 0A 81 8B 58 03 00 00 00 20 00 00 80 BB 64 03 00 00 00 74 0C 81 8B 58 03 00 00 00 20 00 00 EB 0A 81 8B 58 03 00 00 00 02 00 00 83 BB 88 03 00 00 00 74 0A 81 8B 58 03 00 00 00 02 00 00 80 BB 8F 03 00 00 00 74 0A 81 8B 58 03 00 00 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 EC 8D 45 EC 50 8B 83 58 03 00 00 50 68 03 08 00 00 6A 00 E8 ?? ?? ?? ?? 8B F0 89 B3 74 03 00 00 85 F6 74 23 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FE 00 00 00 C6 83 51 03 00 00 01 0F B7 45 F0 66 89 83 62 03 00 00 8B C3 E8 ?? ?? ?? ?? B9 0A 00 00 00 99 F7 F9 89 83 70 03 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB 57 03 00 00 00 74 2F 8B 93 7C 03 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 2B 45 DC 89 83 80 03 00 00 8B 45 E8 2B 45 E0 89 83 84 03 00 00 0F B6 83 64 03 00 00 3C 02 74 04 3C 0B 75 09 B2 0A 8B C3 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 83 16 03 00 00 80 BB 54 03 00 00 00 74 15 0F B7 05 ?? ?? ?? ?? 66 0B 83 16 03 00 00 66 89 83 16 03 00 00 80 BB 53 03 00 00 00 74 08 66 83 8B 16 03 00 00 01 80 BB 56 03 00 00 00 74 09 66 81 8B 16 03 00 00 80 00 80 BB 55 03 00 00 00 74 09 66 81 8B 16 03 00 00 00 01 8B C3 E8 ?? ?? ?? ?? 3C 02 75 0D 33 D2 8B C3 66 BE AE FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 18 00 00 00 60 00 00 00 }
	condition:
		$1
}

rule function_82419_0 {
	meta:
		name = "TMediaPlayer.Close"
		size = 204
		refs = "0008 TMediaPlayer.GetDeviceID 006f TWinControl.GetHandle 008e mciSendCommand 00b1 TMediaPlayer.Close 00bf TMediaPlayer.DrawAutoButtons"
	strings:
		$1 = { 53 56 51 8B D8 8B C3 E8 ?? ?? ?? ?? 66 85 C0 0F 84 AE 00 00 00 33 C0 89 83 58 03 00 00 80 BB 5E 03 00 00 00 74 1C 80 BB 5C 03 00 00 00 74 0A C7 83 58 03 00 00 02 00 00 00 C6 83 5E 03 00 00 00 EB 0A C7 83 58 03 00 00 02 00 00 00 80 BB 5F 03 00 00 00 74 17 80 BB 5D 03 00 00 00 74 07 83 8B 58 03 00 00 01 C6 83 5F 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 58 03 00 00 50 68 04 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 8B F0 89 B3 74 03 00 00 85 F6 75 25 C6 83 51 03 00 00 00 66 C7 83 62 03 00 00 00 00 0F B7 05 ?? ?? ?? ?? 66 89 83 16 03 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_82420_0 {
	meta:
		name = "TMediaPlayer.Play"
		size = 271
		refs = "000a TMediaPlayer.CheckIfOpen 001a TMediaPlayer.GetPosition 0023 TMediaPlayer.GetLength 0040 TMediaPlayer.Rewind 00e0 TWinControl.GetHandle 00ff mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F4 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 8E 03 00 00 00 74 2D 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 75 19 80 BB 60 03 00 00 00 75 10 80 BB 61 03 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 58 03 00 00 80 BB 5F 03 00 00 00 74 1C 80 BB 5D 03 00 00 00 74 0A C7 83 58 03 00 00 01 00 00 00 C6 83 5F 03 00 00 00 EB 0A C7 83 58 03 00 00 01 00 00 00 80 BB 5E 03 00 00 00 74 17 80 BB 5C 03 00 00 00 74 07 83 8B 58 03 00 00 02 C6 83 5E 03 00 00 00 80 BB 60 03 00 00 00 74 18 83 8B 58 03 00 00 04 8B 83 6C 03 00 00 89 44 24 04 C6 83 60 03 00 00 00 80 BB 61 03 00 00 00 74 18 83 8B 58 03 00 00 08 8B 83 68 03 00 00 89 44 24 08 C6 83 61 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 58 03 00 00 50 68 06 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_82421_0 {
	meta:
		name = "TMediaPlayer.StartRecording"
		size = 215
		refs = "0009 TMediaPlayer.CheckIfOpen 00a9 TWinControl.GetHandle 00c8 mciSendCommand"
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 58 03 00 00 80 BB 5F 03 00 00 00 74 1C 80 BB 5D 03 00 00 00 74 0A C7 83 58 03 00 00 01 00 00 00 C6 83 5F 03 00 00 00 EB 0A C7 83 58 03 00 00 01 00 00 00 80 BB 5E 03 00 00 00 74 17 80 BB 5C 03 00 00 00 74 07 83 8B 58 03 00 00 02 C6 83 5E 03 00 00 00 80 BB 60 03 00 00 00 74 18 83 8B 58 03 00 00 04 8B 83 6C 03 00 00 89 44 24 04 C6 83 60 03 00 00 00 80 BB 61 03 00 00 00 74 18 83 8B 58 03 00 00 08 8B 83 68 03 00 00 89 44 24 08 C6 83 61 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 58 03 00 00 50 68 0F 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_82422_0 {
	meta:
		name = "TMediaPlayer.Stop"
		size = 145
		refs = "0007 TMediaPlayer.CheckIfOpen 0065 TWinControl.GetHandle 0084 mciSendCommand"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 58 03 00 00 80 BB 5E 03 00 00 00 74 1C 80 BB 5C 03 00 00 00 74 0A C7 83 58 03 00 00 02 00 00 00 C6 83 5E 03 00 00 00 EB 0A C7 83 58 03 00 00 02 00 00 00 80 BB 5F 03 00 00 00 74 17 80 BB 5D 03 00 00 00 74 07 83 8B 58 03 00 00 01 C6 83 5F 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 58 03 00 00 50 68 08 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_82423_0 {
	meta:
		name = "TMediaPlayer.Pause"
		size = 75
		refs = "000e SNotOpenErr 0015 _DV_EMCIDeviceError 001a Exception.CreateRes 001f @RaiseExcept 0026 TMediaPlayer.GetMode 0031 TMediaPlayer.PauseOnly 0045 TMediaPlayer.Resume"
	strings:
		$1 = { 53 8B D8 80 BB 51 03 00 00 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3C 02 75 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 3C 05 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82424_0 {
	meta:
		name = "TMediaPlayer.PauseOnly"
		size = 145
		refs = "0007 TMediaPlayer.CheckIfOpen 0065 TWinControl.GetHandle 0084 mciSendCommand"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 58 03 00 00 80 BB 5E 03 00 00 00 74 1C 80 BB 5C 03 00 00 00 74 0A C7 83 58 03 00 00 02 00 00 00 C6 83 5E 03 00 00 00 EB 0A C7 83 58 03 00 00 02 00 00 00 80 BB 5F 03 00 00 00 74 17 80 BB 5D 03 00 00 00 74 07 83 8B 58 03 00 00 01 C6 83 5F 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 58 03 00 00 50 68 09 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_82425_0 {
	meta:
		name = "TMediaPlayer.Resume"
		size = 180
		refs = "0008 TMediaPlayer.CheckIfOpen 0058 TWinControl.GetHandle 0077 mciSendCommand 008a TMediaPlayer.Play"
	strings:
		$1 = { 53 56 51 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 58 03 00 00 80 BB 5F 03 00 00 00 74 15 80 BB 5D 03 00 00 00 74 16 C7 83 58 03 00 00 01 00 00 00 EB 0A C7 83 58 03 00 00 01 00 00 00 80 BB 5E 03 00 00 00 74 10 80 BB 5C 03 00 00 00 74 07 83 8B 58 03 00 00 02 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 58 03 00 00 50 68 55 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 8B F0 89 B3 74 03 00 00 85 F6 74 09 8B C3 E8 ?? ?? ?? ?? EB 20 80 BB 5F 03 00 00 00 74 07 C6 83 5F 03 00 00 00 80 BB 5E 03 00 00 00 74 07 C6 83 5E 03 00 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_82426_0 {
	meta:
		name = "TMediaPlayer.Next"
		size = 386
		refs = "000b TMediaPlayer.CheckIfOpen 006f TMediaPlayer.GetTimeFormat 007e TMediaPlayer.GetMode 0089 TMediaPlayer.GetPosition 008e mci_TMSF_Track 0098 TMediaPlayer.GetTracks 00ac TMediaPlayer.GetTrackPosition 00b5 TMediaPlayer.SetFrom 00de TMediaPlayer.Play 0153 TWinControl.GetHandle 0172 mciSendCommand"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 58 03 00 00 80 BB 5E 03 00 00 00 74 1C 80 BB 5C 03 00 00 00 74 0A C7 83 58 03 00 00 02 00 00 00 C6 83 5E 03 00 00 00 EB 0A C7 83 58 03 00 00 02 00 00 00 80 BB 5F 03 00 00 00 74 17 80 BB 5D 03 00 00 00 74 07 83 8B 58 03 00 00 01 C6 83 5F 03 00 00 00 8B B3 58 03 00 00 8B C3 E8 ?? ?? ?? ?? 3C 0A 0F 85 C9 00 00 00 8B C3 E8 ?? ?? ?? ?? 3C 02 75 68 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 F0 8B C3 E8 ?? ?? ?? ?? 3B F0 75 1B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 D0 42 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 1A 03 00 00 00 E9 8E 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 F8 8B C3 E8 ?? ?? ?? ?? 3B F8 75 16 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 EB 1B 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 D0 42 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 83 CE 08 89 B3 58 03 00 00 EB 0C 81 CE 00 02 00 00 89 B3 58 03 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 58 03 00 00 50 68 07 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82427_0 {
	meta:
		name = "TMediaPlayer.Previous"
		size = 439
		refs = "000c TMediaPlayer.CheckIfOpen 0070 TMediaPlayer.GetTimeFormat 007f TMediaPlayer.GetPosition 008d mci_TMSF_Track 0097 TMediaPlayer.GetTrackPosition 00a0 TMediaPlayer.GetMode 00b6 mci_TMSF_Minute 00ca mci_TMSF_Second 00f7 TMediaPlayer.SetFrom 0109 TMediaPlayer.Play 0187 TWinControl.GetHandle 01a6 mciSendCommand"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 58 03 00 00 80 BB 5E 03 00 00 00 74 1C 80 BB 5C 03 00 00 00 74 0A C7 83 58 03 00 00 02 00 00 00 C6 83 5E 03 00 00 00 EB 0A C7 83 58 03 00 00 02 00 00 00 80 BB 5F 03 00 00 00 74 17 80 BB 5D 03 00 00 00 74 07 83 8B 58 03 00 00 01 C6 83 5F 03 00 00 00 8B AB 58 03 00 00 8B C3 E8 ?? ?? ?? ?? 3C 0A 0F 85 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 D0 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 3C 02 75 71 8B C6 E8 ?? ?? ?? ?? 3C 01 74 4A 8B C6 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 3A D0 75 36 8B C6 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 3A D0 75 22 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 D0 4A 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 1A 03 00 00 00 E9 97 00 00 00 8B C6 E8 ?? ?? ?? ?? 3C 01 74 45 8B C6 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 3A D0 75 31 8B C6 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 3A D0 75 1D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 D0 4A 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 EB 04 89 7C 24 04 83 CD 08 89 AB 58 03 00 00 EB 0C 81 CD 00 01 00 00 89 AB 58 03 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 58 03 00 00 50 68 07 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82428_0 {
	meta:
		name = "TMediaPlayer.Step"
		size = 219
		refs = "000a TMediaPlayer.CheckIfOpen 0027 TMediaPlayer.GetPosition 0030 TMediaPlayer.GetLength 003b TMediaPlayer.Rewind 00ad TWinControl.GetHandle 00cc mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 57 03 00 00 00 0F 84 BB 00 00 00 80 BB 8E 03 00 00 00 74 1B 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 58 03 00 00 80 BB 5E 03 00 00 00 74 1C 80 BB 5C 03 00 00 00 74 0A C7 83 58 03 00 00 02 00 00 00 C6 83 5E 03 00 00 00 EB 0A C7 83 58 03 00 00 02 00 00 00 80 BB 5F 03 00 00 00 74 17 80 BB 5D 03 00 00 00 74 07 83 8B 58 03 00 00 01 C6 83 5F 03 00 00 00 81 8B 58 03 00 00 00 00 02 00 8B 83 70 03 00 00 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 58 03 00 00 50 68 0E 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_82429_0 {
	meta:
		name = "TMediaPlayer.Back"
		size = 193
		refs = "0009 TMediaPlayer.CheckIfOpen 0094 TWinControl.GetHandle 00b3 mciSendCommand"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 57 03 00 00 00 0F 84 A3 00 00 00 33 C0 89 83 58 03 00 00 80 BB 5E 03 00 00 00 74 1C 80 BB 5C 03 00 00 00 74 0A C7 83 58 03 00 00 02 00 00 00 C6 83 5E 03 00 00 00 EB 0A C7 83 58 03 00 00 02 00 00 00 80 BB 5F 03 00 00 00 74 17 80 BB 5D 03 00 00 00 74 07 83 8B 58 03 00 00 01 C6 83 5F 03 00 00 00 8B 83 58 03 00 00 0D 00 00 02 00 0D 00 00 01 00 89 83 58 03 00 00 8B 83 70 03 00 00 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 58 03 00 00 50 68 0E 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 59 5A 5B C3 }
	condition:
		$1
}

rule function_82430_0 {
	meta:
		name = "TMediaPlayer.Eject"
		size = 172
		refs = "0009 TMediaPlayer.CheckIfOpen 007e TWinControl.GetHandle 009d mciSendCommand"
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 55 03 00 00 00 0F 84 8D 00 00 00 33 C0 89 83 58 03 00 00 80 BB 5E 03 00 00 00 74 1C 80 BB 5C 03 00 00 00 74 0A C7 83 58 03 00 00 02 00 00 00 C6 83 5E 03 00 00 00 EB 0A C7 83 58 03 00 00 02 00 00 00 80 BB 5F 03 00 00 00 74 17 80 BB 5D 03 00 00 00 74 07 83 8B 58 03 00 00 01 C6 83 5F 03 00 00 00 81 8B 58 03 00 00 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B C4 50 8B 83 58 03 00 00 50 68 0D 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_82431_0 {
	meta:
		name = "TMediaPlayer.SetPosition"
		size = 163
		refs = "000c TMediaPlayer.CheckIfOpen 0071 TWinControl.GetHandle 0094 mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 58 03 00 00 80 BB 5E 03 00 00 00 74 1C 80 BB 5C 03 00 00 00 74 0A C7 83 58 03 00 00 02 00 00 00 C6 83 5E 03 00 00 00 EB 0A C7 83 58 03 00 00 02 00 00 00 80 BB 5F 03 00 00 00 74 17 80 BB 5D 03 00 00 00 74 07 83 8B 58 03 00 00 01 C6 83 5F 03 00 00 00 83 8B 58 03 00 00 08 8B C3 E8 ?? ?? ?? ?? 89 04 24 89 74 24 04 8B C4 50 8B 83 58 03 00 00 50 68 07 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_82432_0 {
	meta:
		name = "TMediaPlayer.Rewind"
		size = 44
		refs = "0009 TMediaPlayer.CheckIfOpen 0024 mciSendCommand"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? B8 02 01 00 00 8B D4 52 50 68 07 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_82433_0 {
	meta:
		name = "TMediaPlayer.GetTrackLength"
		size = 71
		refs = "000c TMediaPlayer.CheckIfOpen 0039 mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? B8 12 01 00 00 89 83 58 03 00 00 C7 44 24 08 01 00 00 00 89 74 24 0C 8B D4 52 50 68 14 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 8B 44 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_82434_0 {
	meta:
		name = "TMediaPlayer.GetTrackPosition"
		size = 56
		refs = "002c mciSendCommand"
	strings:
		$1 = { 83 C4 F0 B9 12 01 00 00 89 88 58 03 00 00 C7 44 24 08 02 00 00 00 89 54 24 0C 8B D4 52 51 68 14 08 00 00 0F B7 80 62 03 00 00 50 E8 ?? ?? ?? ?? 8B 44 24 04 83 C4 10 C3 }
	condition:
		$1
}

rule function_82435_0 {
	meta:
		name = "TMediaPlayer.Save"
		size = 186
		refs = "0009 TMediaPlayer.CheckIfOpen 0021 @UStrToPWChar 0083 TWinControl.GetHandle 00ac mciSendCommand"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB 88 03 00 00 00 0F 84 9C 00 00 00 8B 83 88 03 00 00 E8 ?? ?? ?? ?? 89 44 24 04 33 C0 89 83 58 03 00 00 80 BB 5E 03 00 00 00 74 1C 80 BB 5C 03 00 00 00 74 0A C7 83 58 03 00 00 02 00 00 00 C6 83 5E 03 00 00 00 EB 0A C7 83 58 03 00 00 02 00 00 00 80 BB 5F 03 00 00 00 74 17 80 BB 5D 03 00 00 00 74 07 83 8B 58 03 00 00 01 C6 83 5F 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 04 24 81 8B 58 03 00 00 00 01 00 00 8B C4 50 8B 83 58 03 00 00 50 68 13 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 59 5A 5B C3 }
	condition:
		$1
}

rule function_82436_0 {
	meta:
		name = "TMediaPlayer.SetWait"
		size = 22
	strings:
		$1 = { 3A 90 5C 03 00 00 74 06 88 90 5C 03 00 00 C6 80 5E 03 00 00 01 C3 }
	condition:
		$1
}

rule function_82437_0 {
	meta:
		name = "TMediaPlayer.SetNotify"
		size = 22
	strings:
		$1 = { 3A 90 5D 03 00 00 74 06 88 90 5D 03 00 00 C6 80 5F 03 00 00 01 C3 }
	condition:
		$1
}

rule function_82438_0 {
	meta:
		name = "TMediaPlayer.SetFrom"
		size = 22
	strings:
		$1 = { 3B 90 6C 03 00 00 74 06 89 90 6C 03 00 00 C6 80 60 03 00 00 01 C3 }
	condition:
		$1
}

rule function_82439_0 {
	meta:
		name = "TMediaPlayer.SetTo"
		size = 22
	strings:
		$1 = { 3B 90 68 03 00 00 74 06 89 90 68 03 00 00 C6 80 61 03 00 00 01 C3 }
	condition:
		$1
}

rule function_82440_0 {
	meta:
		name = "TMediaPlayer.SetDeviceType"
		size = 15
	strings:
		$1 = { 3A 90 64 03 00 00 74 06 88 90 64 03 00 00 C3 }
	condition:
		$1
}

rule function_82441_0 {
	meta:
		name = "TMediaPlayer.SetTimeFormat"
		size = 59
		refs = "002b mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F4 8B D8 BE 01 04 00 00 89 B3 58 03 00 00 0F B6 C2 89 44 24 04 8B C4 50 56 68 0D 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_82442_0 {
	meta:
		name = "TMediaPlayer.SetDisplay"
		size = 133
		refs = "002d TWinControl.GetHandle 004d mciSendCommand 0072 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 85 F6 74 6A 80 BB 51 03 00 00 00 74 61 80 BB 57 03 00 00 00 74 58 C7 83 58 03 00 00 02 00 01 00 8B C6 E8 ?? ?? ?? ?? 89 44 24 04 8B C4 50 8B 83 58 03 00 00 50 68 41 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 8B F8 89 BB 74 03 00 00 85 FF 74 0A 33 C0 89 83 7C 03 00 00 EB 17 89 B3 7C 03 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? EB 06 89 B3 7C 03 00 00 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82443_0 {
	meta:
		name = "TMediaPlayer.Notification"
		size = 61
		refs = "0010 TWinControl.Notification 002d TMediaPlayer.SetOrigDisplay"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 20 3B B7 7C 03 00 00 75 18 80 BF 51 03 00 00 00 74 07 8B C7 E8 ?? ?? ?? ?? 33 C0 89 87 7C 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82444_0 {
	meta:
		name = "TMediaPlayer.SetOrigDisplay"
		size = 76
		refs = "003c mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 80 BB 51 03 00 00 00 74 36 80 BB 57 03 00 00 00 74 2D BE 02 00 01 00 89 B3 58 03 00 00 33 C0 89 44 24 04 8B C4 50 56 68 41 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_82445_0 {
	meta:
		name = "TMediaPlayer.SetDisplayRect"
		size = 154
		refs = "004c Rect 0089 mciSendCommand"
	strings:
		$1 = { 53 56 57 83 C4 CC 8B F2 8D 3C 24 A5 A5 A5 A5 8B D8 80 BB 51 03 00 00 00 74 79 80 BB 57 03 00 00 00 74 70 83 7C 24 0C 00 75 28 83 7C 24 08 00 75 21 8B 83 84 03 00 00 50 8D 44 24 28 50 8B 8B 80 03 00 00 8B 54 24 0C 8B 44 24 08 E8 ?? ?? ?? ?? EB 0A 8B F4 8D 7C 24 24 A5 A5 A5 A5 BE 00 00 05 00 89 B3 58 03 00 00 56 8D 74 24 28 8D 7C 24 18 A5 A5 A5 A5 5E 8D 44 24 10 50 56 68 42 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 83 C4 34 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82446_0 {
	meta:
		name = "TMediaPlayer.GetDisplayRect"
		size = 82
		refs = "0039 mciSendCommand"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B FA 8B D8 80 BB 51 03 00 00 00 74 38 80 BB 57 03 00 00 00 74 2F BE 00 00 04 00 89 B3 58 03 00 00 8B C4 50 56 68 43 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 8D 74 24 04 A5 A5 A5 A5 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82447_0 {
	meta:
		name = "TMediaPlayer.GetDeviceCaps"
		size = 402
		refs = "002c mciSendCommand"
	strings:
		$1 = { 53 56 57 83 C4 D0 8B D8 8B F4 B8 02 01 00 00 89 83 58 03 00 00 C7 46 08 08 00 00 00 56 50 68 0B 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 8B 46 04 88 83 53 03 00 00 84 C0 74 07 80 8B 52 03 00 00 04 C7 46 08 01 00 00 00 56 8B 83 58 03 00 00 50 68 0B 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 8B 46 04 88 83 56 03 00 00 84 C0 74 07 80 8B 52 03 00 00 08 C7 46 08 07 00 00 00 56 8B 83 58 03 00 00 50 68 0B 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 8B 46 04 88 83 55 03 00 00 84 C0 74 07 80 8B 52 03 00 00 02 C7 46 08 03 00 00 00 56 8B 83 58 03 00 00 50 68 0B 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 8B 46 04 88 83 57 03 00 00 84 C0 74 07 80 8B 52 03 00 00 10 C7 46 08 04 00 00 00 56 8B 83 58 03 00 00 50 68 0B 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 8B 46 04 3D 07 02 00 00 74 15 3D 08 02 00 00 74 0E 3D 03 02 00 00 74 07 3D 01 02 00 00 75 07 C6 83 54 03 00 00 01 80 BB 54 03 00 00 00 74 07 80 8B 52 03 00 00 01 BE 00 00 02 00 89 B3 58 03 00 00 8D 44 24 0C 50 56 68 43 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 8D 74 24 10 8D 7C 24 20 A5 A5 A5 A5 8B 44 24 28 2B 44 24 20 89 83 80 03 00 00 8B 44 24 2C 2B 44 24 24 89 83 84 03 00 00 83 C4 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82448_0 {
	meta:
		name = "TMediaPlayer.GetFileName"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 88 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82449_0 {
	meta:
		name = "TMediaPlayer.GetStart"
		size = 71
		refs = "000a TMediaPlayer.CheckIfOpen 0033 mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? BE 02 03 00 00 89 B3 58 03 00 00 C7 44 24 08 02 00 00 00 8B C4 50 56 68 14 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 8B 44 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_82450_0 {
	meta:
		name = "TMediaPlayer.GetLength"
		size = 71
		refs = "000a TMediaPlayer.CheckIfOpen 0033 mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? BE 02 01 00 00 89 B3 58 03 00 00 C7 44 24 08 01 00 00 00 8B C4 50 56 68 14 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 8B 44 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_82451_0 {
	meta:
		name = "TMediaPlayer.GetTracks"
		size = 71
		refs = "000a TMediaPlayer.CheckIfOpen 0033 mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? BE 02 01 00 00 89 B3 58 03 00 00 C7 44 24 08 03 00 00 00 8B C4 50 56 68 14 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 8B 44 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_82452_0 {
	meta:
		name = "TMediaPlayer.GetMode"
		size = 67
		refs = "002c mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 BE 02 01 00 00 89 B3 58 03 00 00 C7 44 24 08 04 00 00 00 8B C4 50 56 68 14 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 0F B6 44 24 04 2C 0C 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_82453_0 {
	meta:
		name = "TMediaPlayer.GetPosition"
		size = 64
		refs = "002c mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 BE 02 01 00 00 89 B3 58 03 00 00 C7 44 24 08 02 00 00 00 8B C4 50 56 68 14 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 8B 44 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_82454_0 {
	meta:
		name = "TMediaPlayer.GetTimeFormat"
		size = 72
		refs = "000a TMediaPlayer.CheckIfOpen 0033 mciSendCommand"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? BE 02 01 00 00 89 B3 58 03 00 00 C7 44 24 08 06 00 00 00 8B C4 50 56 68 14 08 00 00 0F B7 83 62 03 00 00 50 E8 ?? ?? ?? ?? 89 83 74 03 00 00 0F B6 44 24 04 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_82455_0 {
	meta:
		name = "TMediaPlayer.GetErrorMessage"
		size = 98
		refs = "0032 mciGetErrorString 003d SMCIUnknownError 0042 LoadResString 004b @PWCharLen 0055 @UStrFromPWCharLen"
	strings:
		$1 = { 53 56 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 84 24 00 20 00 00 83 C4 04 8B F2 8B D8 68 00 20 00 00 8D 44 24 04 50 8B 83 74 03 00 00 50 E8 ?? ?? ?? ?? 85 C0 75 0E 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 8B C4 E8 ?? ?? ?? ?? 8B D4 8B CE 91 E8 ?? ?? ?? ?? 81 C4 00 20 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_82456_0 {
	meta:
		name = "TMediaPlayer.SetFileName"
		size = 95
		refs = "000e @UStrAddRef 0016 TMediaPlayer.SetFileName 002a @UStrEqual 003a @UStrAsg 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 93 88 03 00 00 E8 ?? ?? ?? ?? 74 0E 8D 83 88 03 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_82461_0 {
	meta:
		name = "StringToClassID"
		size = 49
		refs = "0019 StringToWideChar 001f CLSIDFromString 0024 OleCheck"
	strings:
		$1 = { 53 56 81 C4 00 FF FF FF 8B F2 8B D8 56 8D 54 24 04 B9 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_82463_0 {
	meta:
		name = "ProgIDToClassID"
		size = 49
		refs = "0019 StringToWideChar 001f CLSIDFromProgID 0024 OleCheck"
	strings:
		$1 = { 53 56 81 C4 00 FF FF FF 8B F2 8B D8 56 8D 54 24 04 B9 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_82462_0 {
	meta:
		name = "ClassIDToString"
		size = 42
		refs = "000a StringFromCLSID 000f OleCheck 0019 WideCharToString 0022 CoTaskMemFree"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 04 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_82464_0 {
	meta:
		name = "ClassIDToProgID"
		size = 42
		refs = "000a ProgIDFromCLSID 000f OleCheck 0019 WideCharToString 0022 CoTaskMemFree"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 04 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_82465_0 {
	meta:
		name = "CreateRegKey"
		size = 249
		refs = "0017 CreateRegKey 0024 _Dn_TStringList 0029 TStringList.Create 0038 TStrings.SetDelimiter 0042 TStrings.SetDelimitedText 0083 @UStrToPWChar 008d RegCreateKeyEx 00bb RegSetValueEx 00c4 RegCloseKey 00d1 TObject.Free 00e6 @UStrClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 66 BA 5C 00 8B 45 F4 E8 ?? ?? ?? ?? 8B D3 8B 45 F4 E8 ?? ?? ?? ?? C7 45 F8 00 00 00 80 8B 45 F4 8B 10 FF 52 14 8B D8 4B 85 DB 7C 39 43 33 F6 6A 00 8D 45 F8 50 6A 00 68 3F 00 0F 00 6A 00 6A 00 6A 00 8D 4D F0 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 46 4B 75 CA 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 43 8B C3 03 C0 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 01 6A 00 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82466_0 {
	meta:
		name = "DeleteRegKey"
		size = 23
		refs = "0006 @UStrToPWChar 0011 RegDeleteKey"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 50 68 00 00 00 80 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82467_0 {
	meta:
		name = "GetServerKey"
		size = 128
		refs = "0004 Automation 0011 GetServerKey 0016 @UStrAsg"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 80 78 10 00 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 6E 00 70 00 72 00 6F 00 63 00 53 00 65 00 72 00 76 00 65 00 72 00 33 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4C 00 6F 00 63 00 61 00 6C 00 53 00 65 00 72 00 76 00 65 00 72 00 33 00 32 00 00 00 }
	condition:
		$1
}

rule function_82468_0 {
	meta:
		name = "FindCmdLineSwitch"
		size = 212
		refs = "0012 FindCmdLineSwitch 001d ParamCount 0032 ParamStr 0067 @UStrCopy 0072 CompareText 0095 @UStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 5B BE 01 00 00 00 8D 55 FC 8B C6 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 55 FC 0F B7 12 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 84 C0 74 29 8D 45 F4 50 B9 FF FF FF 7F BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 75 04 B3 01 EB 06 46 4B 75 AA 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 A0 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_82469_0 {
	meta:
		name = "WideCharToShortString"
		size = 39
	strings:
		$1 = { 56 33 F6 0F B7 0C 70 66 85 C9 74 15 66 81 F9 00 01 72 02 33 C9 46 88 0C 32 81 FE FF 00 00 00 75 E2 8B C6 88 02 5E C3 }
	condition:
		$1
}

rule function_82470_0 {
	meta:
		name = "SameSymbol"
		size = 32
	strings:
		$1 = { 53 31 DB 31 C9 8A 08 3A 0A 75 0F 8A 3C 01 32 3C 11 F6 C7 DF 75 04 49 75 F2 43 31 C0 88 D8 5B C3 }
	condition:
		$1
}

rule function_82471_0 {
	meta:
		name = "GetAutoTable"
		size = 4
	strings:
		$1 = { 8B 40 B0 C3 }
	condition:
		$1
}

rule function_82472_0 {
	meta:
		name = "GetDispIDOfName"
		size = 105
		refs = "001a GetAutoTable 003e SameSymbol 0055 TObject.ClassParent"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B E8 8B 04 24 0F B7 00 66 89 44 24 04 8B C5 E8 ?? ?? ?? ?? 85 C0 74 30 8B 30 8D 58 04 8B 7B 04 0F B7 07 66 33 44 24 04 66 A9 FF DF 75 12 8B D7 8B 04 24 E8 ?? ?? ?? ?? 84 C0 74 04 8B 03 EB 18 83 C3 14 4E 85 F6 75 D5 8B C5 E8 ?? ?? ?? ?? 8B E8 85 ED 75 B8 83 C8 FF 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82473_0 {
	meta:
		name = "GetAutoEntry"
		size = 61
		refs = "000c GetAutoTable 002d TObject.ClassParent"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 16 8B 10 83 C0 04 3B 30 75 05 85 78 08 75 17 83 C0 14 4A 85 D2 75 EF 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 D2 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82474_0 {
	meta:
		name = "VarFromInterface"
		size = 50
		refs = "000a @VarClear 0014 IID_IDispatch 001f OleCheck"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 85 F6 74 1C 54 A1 ?? ?? ?? ?? 50 56 8B 06 FF 10 E8 ?? ?? ?? ?? 66 C7 03 09 00 8B 04 24 89 43 08 5A 5E 5B C3 }
	condition:
		$1
}

rule function_82475_0 {
	meta:
		name = "VarToInterface"
		size = 58
		refs = "0022 SVarNotObject 0029 _DV_EOleError 002e Exception.CreateRes 0033 @RaiseExcept"
	strings:
		$1 = { 33 D2 0F B7 08 66 83 F9 09 75 05 8B 50 08 EB 0C 66 81 F9 09 40 75 05 8B 40 08 8B 10 85 D2 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C2 C3 }
	condition:
		$1
}

rule function_82476_0 {
	meta:
		name = "VarToAutoObject"
		size = 72
		refs = "0003 VarToInterface 000b IID_IAutoDispatch 001a SVarNotAutoObject 0021 _DV_EOleError 0026 Exception.CreateRes 002b @RaiseExcept"
	strings:
		$1 = { 53 51 E8 ?? ?? ?? ?? 8B D8 54 68 ?? ?? ?? ?? 53 8B 03 FF 10 85 C0 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 50 8B 00 FF 50 1C 8B D8 8B 04 24 50 8B 00 FF 50 08 8B C3 5A 5B C3 }
	condition:
		$1
}

rule function_82477_0 {
	meta:
		name = "CreateOleObject"
		size = 136
		refs = "0018 StringToWideChar 0028 CLSIDFromProgID 002d OleCheck 0036 IID_IUnknown 0044 CoCreateInstance 0051 CreateOleObject 0061 VarFromInterface 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 8B DA 8D 95 EC FE FF FF B9 80 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 85 EC FE FF FF 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 A1 ?? ?? ?? ?? 50 6A 05 6A 00 8D 45 EC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 08 C3 E9 ?? ?? ?? ?? EB EF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82478_0 {
	meta:
		name = "GetActiveOleObject"
		size = 128
		refs = "0018 StringToWideChar 0028 CLSIDFromProgID 002d OleCheck 003c GetActiveObject 0049 GetActiveOleObject 0059 VarFromInterface 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 8B DA 8D 95 EC FE FF FF B9 80 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 85 EC FE FF FF 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 6A 00 8D 45 EC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 08 C3 E9 ?? ?? ?? ?? EB EF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82479_0 {
	meta:
		name = "DispInvoke"
		size = 698
		refs = "001d DispInvoke 0098 StringToOleStr 010f @VarCast 0245 GUID_NULL 025c DispInvokeError 027b OleStrToStrVar 02a1 SysFreeString 02ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 B0 FC FF FF 53 56 57 89 4D F8 8B F2 89 45 FC 33 C0 89 45 EC 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 0F B6 46 01 89 45 F0 83 7D F0 00 0F 84 8E 01 00 00 8B 45 0C 89 45 E8 8B 45 F0 03 C0 8D BC C5 B0 FC FF FF 33 DB 83 EF 10 0F B6 44 1E 03 8B D0 80 E2 7F 0F B6 D2 89 55 F4 24 80 83 7D F4 0A 75 12 C7 07 0A 00 00 00 C7 47 08 04 00 02 80 E9 43 01 00 00 83 7D F4 48 75 68 8B 55 EC 8D 94 D5 B0 FE FF FF 89 55 E4 84 C0 74 2A 8B 45 E8 8B 00 8B 00 E8 ?? ?? ?? ?? 8B 55 E4 89 02 8B 45 E8 8B 00 8B 55 E4 89 42 04 C7 07 08 40 00 00 8B 45 E4 89 47 08 EB 25 8B 45 E8 8B 00 E8 ?? ?? ?? ?? 8B 55 E4 89 02 8B 45 E4 33 D2 89 50 04 C7 07 08 00 00 00 8B 45 E4 8B 00 89 47 08 FF 45 EC E9 D1 00 00 00 84 C0 74 3F 83 7D F4 0C 75 22 8B 45 E8 8B 00 66 81 38 00 01 75 16 8B 45 E8 8B 00 8B D0 8B 45 E8 8B 00 B9 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 0D 00 40 00 00 89 07 8B 45 E8 8B 00 89 47 08 E9 8E 00 00 00 83 7D F4 0C 75 63 8B 45 E8 8B 00 66 81 38 00 01 75 3A 8B 45 EC 8D 84 C5 B0 FE FF FF 89 45 E0 8B 45 E8 8B 00 8B 40 08 E8 ?? ?? ?? ?? 8B 55 E0 89 02 8B 45 E0 33 D2 89 50 04 C7 07 08 00 00 00 8B 45 E0 8B 00 89 47 08 FF 45 EC EB 42 8B 45 E8 8B 00 8B 10 89 17 8B 50 04 89 57 04 8B 50 08 89 57 08 8B 40 0C 89 47 0C EB 25 8B 45 F4 89 07 8B 45 E8 8B 00 89 47 08 83 7D F4 05 7C 12 83 7D F4 07 7F 0C 83 45 E8 04 8B 45 E8 8B 00 89 47 0C 83 45 E8 04 43 3B 5D F0 0F 85 86 FE FF FF 8D 85 B0 FC FF FF 89 45 D0 8B 45 F8 83 C0 04 89 45 D4 8B 45 F0 89 45 D8 0F B6 46 02 89 45 DC 8B 45 F8 8B 10 0F B6 06 83 F8 04 75 28 8B 8D B0 FC FF FF 81 E1 FF 0F 00 00 83 F9 09 75 05 B8 08 00 00 00 8B 4D F8 C7 01 FD FF FF FF 83 6D D4 04 FF 45 DC EB 16 83 F8 01 75 11 83 7D F0 00 75 0B 83 7D 08 00 74 05 B8 03 00 00 00 6A 00 8D 4D B0 51 8B 4D 08 51 8D 4D D0 51 50 68 00 08 00 00 A1 ?? ?? ?? ?? 50 52 8B 45 FC 50 8B 00 FF 50 18 85 C0 74 08 8D 55 B0 E8 ?? ?? ?? ?? 8B 5D EC 85 DB 74 1C 4B 8D B4 DD B0 FE FF FF 8B 7E 04 85 FF 74 09 8B D7 8B 06 E8 ?? ?? ?? ?? 85 DB 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 5D EC 85 DB 74 12 4B 8B 84 DD B0 FE FF FF 50 E8 ?? ?? ?? ?? 85 DB 75 EE C3 E9 ?? ?? ?? ?? EB DF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_82480_0 {
	meta:
		name = "DispInvokeError"
		size = 81
		refs = "000c OleError 0015 _DV_EOleException 001a EOleException.Create 0029 SysFreeString 004a @RaiseExcept"
	strings:
		$1 = { 53 56 8B DA 3D 09 00 02 80 74 05 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 04 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 43 08 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 43 0C 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82481_0 {
	meta:
		name = "GetIDsOfNames"
		size = 170
		refs = "0063 GUID_NULL 008d SNoMethod 0094 _DV_EOleError 0099 Exception.CreateResFmt 009e @RaiseExcept"
	strings:
		$1 = { 55 8B EC 81 C4 70 F7 FF FF 53 56 89 4D F8 8B DA 89 45 FC 33 C0 33 F6 8D 94 45 78 F7 FF FF 85 F6 75 08 89 95 78 FF FF FF EB 0C 8B 4D F8 2B CE 89 94 8D 78 FF FF FF 0F B7 14 43 66 89 94 45 78 F7 FF FF 40 66 85 D2 75 EE 46 3B 75 F8 75 C9 8B 45 08 50 68 00 08 00 00 8B 45 F8 50 8D 85 78 FF FF FF 50 A1 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 14 85 C0 74 2D 89 9D 70 F7 FF FF C6 85 74 F7 FF FF 0A 8D 85 70 F7 FF FF 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_82482_0 {
	meta:
		name = "VarDispInvoke"
		size = 84
		refs = "0013 VarToInterface 002d GetIDsOfNames 0038 @VarClear 0049 DispInvoke"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 56 57 8B 5D 10 8B 7D 08 8B 45 0C E8 ?? ?? ?? ?? 8B F0 8D 45 80 50 0F B6 4B 02 41 0F B6 43 01 8D 54 03 03 8B C6 E8 ?? ?? ?? ?? 85 FF 74 07 8B C7 E8 ?? ?? ?? ?? 8D 45 14 50 57 8D 4D 80 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82483_0 {
	meta:
		name = "DllGetClassObject"
		size = 151
		refs = "0007 Automation 001d IsEqualCLSID 0029 DllGetClassObject 0039 _DV_TClassFactory 003e TClassFactory.Create 004f @HandleAnyException 0059 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 A1 ?? ?? ?? ?? 8B 58 04 33 F6 85 DB 74 6E 8B 45 08 50 8D 43 10 50 E8 ?? ?? ?? ?? 84 C0 74 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? BF FF FF 00 80 E8 ?? ?? ?? ?? EB 2F E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 56 8B 06 FF 10 8B F8 56 8B 06 FF 50 08 EB 13 8B 5B 04 85 DB 75 92 8B 45 10 33 D2 89 10 BF 11 01 04 80 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_82484_0 {
	meta:
		name = "DllCanUnloadNow"
		size = 32
		refs = "0007 Automation"
	strings:
		$1 = { B8 01 00 00 00 8B 15 ?? ?? ?? ?? 83 7A 08 00 75 0E 8B 15 ?? ?? ?? ?? 83 7A 0C 00 75 02 33 C0 C3 }
	condition:
		$1
}

rule function_82485_0 {
	meta:
		name = "DllRegisterServer"
		size = 15
		refs = "0003 Automation 0008 TAutomation.UpdateRegistry"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule function_82486_0 {
	meta:
		name = "DllUnregisterServer"
		size = 15
		refs = "0003 Automation 0008 TAutomation.UpdateRegistry"
	strings:
		$1 = { 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule function_82487_0 {
	meta:
		name = "EOleSysError.Create"
		size = 180
		refs = "0019 @ClassCreate 0027 EOleSysError.Create 0037 SysErrorMessage 0047 SOleError 004c LoadResString 0061 FmtStr 006d Exception.Create 008a @UStrArrayClr 0090 @HandleFinally 009d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F8 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 75 24 6A 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 75 F0 C6 45 F4 00 8D 4D F0 8D 45 FC E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82488_0 {
	meta:
		name = "EOleException.Create"
		size = 236
		refs = "0016 @ClassCreate 0025 EOleException.Create 0058 CharInSet 0066 @UStrSetLength 0076 Exception.CreateHelp 009d @UStrClr 00a3 @HandleFinally 00b2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FB 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 08 00 74 35 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 EB 01 4B 85 DB 7E 16 BA ?? ?? ?? ?? 8B 45 FC 0F B7 44 58 FE E8 ?? ?? ?? ?? 84 C0 75 E5 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 46 10 50 8B 4D FC 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 46 1C 85 C0 74 05 89 47 18 EB 06 0F B7 06 89 47 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 59 5D C3 00 00 00 FF FF FF FF 01 40 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_82490_0 {
	meta:
		name = "TAutoDispatch.QueryInterface"
		size = 24
		refs = "0010 TAutoObject.QueryInterface"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 4D 10 8B 55 0C 8B 40 04 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_82491_0 {
	meta:
		name = "TAutoDispatch.AddRef"
		size = 18
		refs = "000a TAutoObject.AddRef"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 04 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_82492_0 {
	meta:
		name = "TAutoDispatch.Release"
		size = 18
		refs = "000a TAutoObject.Release"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 04 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_82494_0 {
	meta:
		name = "TAutoDispatch.GetTypeInfo"
		size = 19
		altNames = "TEventDispatch.GetTypeInfo TEventDispatchEx.GetTypeInfo TOleControl.GetTypeInfo TServerEventDispatch.GetTypeInfo"
	strings:
		$1 = { 55 8B EC 8B 45 14 33 D2 89 10 B8 01 40 00 80 5D C2 10 00 }
	condition:
		$1
}

rule function_82495_0 {
	meta:
		name = "TAutoDispatch.GetIDsOfNames"
		size = 28
		refs = "0014 TAutoObject.GetIDsOfNames"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 1C 52 8B 4D 14 8B 55 10 8B 40 04 E8 ?? ?? ?? ?? 5D C2 18 00 }
	condition:
		$1
}

rule function_82496_0 {
	meta:
		name = "TAutoDispatch.Invoke"
		size = 41
		refs = "0021 TAutoObject.Invoke"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 1C 52 8B 55 20 52 8B 55 24 52 8B 55 28 52 0F B7 4D 18 8B 55 0C 8B 40 04 E8 ?? ?? ?? ?? 5D C2 24 00 }
	condition:
		$1
}

rule function_82497_0 {
	meta:
		name = "TAutoDispatch.GetAutoObject"
		size = 13
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 04 5D C2 04 00 }
	condition:
		$1
}

rule function_82498_0 {
	meta:
		name = "TAutoObject.Create"
		size = 72
		refs = "000a @ClassCreate 0015 Automation 001a TAutomation.CountAutoObject 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 46 04 01 00 00 00 8B C6 8B 10 FF 12 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_82499_0 {
	meta:
		name = "TAutoObject.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 000f TObject.Free 0016 Automation 001b TAutomation.CountAutoObject 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82502_0 {
	meta:
		name = "TAutoObject.GetExceptionInfo"
		size = 119
		refs = "0012 TAutoObject.GetExceptionInfo 0022 TObject.ClassName 002a StringToOleStr 0035 _Dn_Exception 003a @IsClass 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 43 04 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B 47 04 E8 ?? ?? ?? ?? 89 43 08 C7 43 1C 05 40 00 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82503_0 {
	meta:
		name = "TAutoObject.GetIDsOfNames"
		size = 112
		refs = "0021 WideCharToShortString 0030 GetDispIDOfName"
	strings:
		$1 = { 55 8B EC 81 C4 FC FE FF FF 53 56 89 4D FC 8B F0 8B 5D 08 8B 02 8D 95 FC FE FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B 16 89 D0 8D 95 FC FE FF FF E8 ?? ?? ?? ?? 8B F0 89 33 83 7D FC 01 7E 18 8B 45 FC 48 85 C0 7E 10 BA 01 00 00 00 C7 04 93 FF FF FF FF 42 48 75 F5 46 74 06 83 7D FC 01 7E 07 B8 06 00 02 80 EB 02 33 C0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_82504_0 {
	meta:
		name = "TAutoObject.GetOleObject"
		size = 34
		refs = "0009 @VarClear 001b TAutoObject.AddRef"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 66 C7 06 09 00 8B 43 08 89 46 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82505_0 {
	meta:
		name = "TAutoObject.Invoke"
		size = 908
		refs = "0025 GetAutoEntry 00b5 @FillChar 00c3 TAutoObject.Invoke 017e OleStrToStrVar 01d6 VariantChangeTypeEx 0201 VariantClear 023c @TryFinallyExit 025d TAutoObject.InvokeMethod 0275 StringToOleStr 0283 SysFreeString 02de Move 0307 @UStrClr 0323 @VarClear 0337 @HandleFinally 0348 @HandleAnyException 0364 ExceptObject 037c @DoneExcept"
	strings:
		$1 = { 55 8B EC 81 C4 CC FC FF FF 53 56 57 8B D9 89 45 E8 83 FB 08 75 05 BB 04 00 00 00 8B 4D E8 8B 09 89 C8 8B CB E8 ?? ?? ?? ?? 8B F8 85 FF 74 0E 8B 47 0C 80 38 00 75 12 83 7D 10 00 74 0C C7 45 E4 03 00 02 80 E9 37 03 00 00 8B 45 14 8B 40 0C 83 FB 04 75 01 48 85 C0 74 0C C7 45 E4 07 00 02 80 E9 1B 03 00 00 8B 45 14 8B 40 08 89 45 E0 8B 47 0C 0F B6 40 01 3B 45 E0 74 0C C7 45 E4 0E 00 02 80 E9 FA 02 00 00 33 C0 89 45 E4 33 C0 89 45 DC 8B 75 E0 4E 85 F6 7C 12 46 8D 9D CC FC FF FF 66 C7 03 00 00 83 C3 10 4E 75 F5 8D 45 EC 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 66 C7 45 EC 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D E0 00 0F 84 68 01 00 00 8B 45 E0 03 C0 8B 55 14 8B 12 8D 34 C2 8D 85 CC FC FF FF 89 45 D8 33 DB 83 EE 10 8B 47 0C 0F B6 44 18 02 8B D0 80 E2 7F 88 55 D7 24 80 66 83 3E 0A 75 16 80 7D D7 0C 75 04 84 C0 74 0C C7 45 E4 0F 00 02 80 E9 F6 00 00 00 84 C0 74 77 0F B6 55 D7 80 E2 3F 0F B6 D2 66 81 CA 00 40 0F B7 06 66 3B D0 74 0C C7 45 E4 05 00 02 80 E9 CF 00 00 00 80 7D D7 48 75 3D 8B 45 DC 8D 84 C5 CC FE FF FF 89 45 CC 8B 45 CC 33 D2 89 10 8B 46 08 8B 55 CC 89 42 04 8B 55 CC 8B 00 E8 ?? ?? ?? ?? 8B 45 D8 66 C7 00 00 41 8B 45 CC 8B 55 D8 89 42 08 FF 45 DC EB 7E 8B 55 D8 66 89 02 8B 46 08 8B 55 D8 89 42 08 EB 6D 80 7D D7 0C 75 10 8B 45 D8 66 C7 00 0C 40 8B 45 D8 89 70 08 EB 57 0F B6 45 D7 24 3F 0F B6 C0 50 6A 00 68 00 04 00 00 56 8B 45 D8 50 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 75 41 80 7D D7 48 75 2D 33 C0 89 45 FC 8D 55 FC 8B 45 D8 8B 40 08 E8 ?? ?? ?? ?? 8B 45 D8 50 E8 ?? ?? ?? ?? 8B 45 D8 66 C7 00 00 01 8B 45 D8 8B 55 FC 89 50 08 83 45 D8 10 43 3B 5D E0 0F 85 D9 FE FF FF 83 7D E4 00 74 23 83 7D 08 00 74 0B 8B 45 E0 2B C3 48 8B 55 08 89 02 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 33 01 00 00 8D 45 EC 50 8D 8D CC FC FF FF 8B D7 8B 45 E8 E8 ?? ?? ?? ?? 8B 75 DC 4E 85 F6 7C 2C 46 8D 9D CC FE FF FF 8B FB 8B 07 E8 ?? ?? ?? ?? 89 45 D0 8B 47 04 8B 00 50 E8 ?? ?? ?? ?? 8B 47 04 8B 55 D0 89 10 83 C3 08 4E 75 DB 83 7D 10 00 74 4D 66 81 7D EC 00 01 75 24 8B 45 F4 E8 ?? ?? ?? ?? 89 45 D0 8B 45 10 50 E8 ?? ?? ?? ?? 8B 45 10 66 C7 00 08 00 8B 55 D0 89 50 08 EB 21 8B 45 10 50 E8 ?? ?? ?? ?? 8B 45 10 8B D0 8D 45 EC B9 10 00 00 00 E8 ?? ?? ?? ?? 66 C7 45 EC 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 75 DC 4E 85 F6 7C 14 46 8D 9D CC FE FF FF 8B C3 E8 ?? ?? ?? ?? 83 C3 08 4E 75 F3 8B 75 E0 4E 85 F6 7C 14 46 8D 9D CC FC FF FF 8B C3 E8 ?? ?? ?? ?? 83 C3 10 4E 75 F3 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 33 C0 5A 59 59 64 89 10 EB 39 E9 ?? ?? ?? ?? 83 7D 0C 00 74 22 8B 5D 0C 8B C3 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B CB 8B 45 E8 8B 18 FF 53 04 C7 45 E4 09 00 02 80 E8 ?? ?? ?? ?? 8B 45 E4 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_82506_0 {
	meta:
		name = "TAutoObject.InvokeMethod"
		size = 275
		refs = "00ba TAutoObject.InvokeMethod"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 89 D3 8B 73 0C BF FE FF FF FF 0F B6 46 01 09 C0 74 3F 89 5D F8 89 C3 89 CE 66 8B 06 83 F8 04 74 21 83 F8 05 74 19 83 F8 06 74 14 83 F8 07 74 0F 47 7F 0F 74 05 8B 56 08 EB 0B 8B 4E 08 EB 06 FF 76 0C FF 76 08 83 C6 10 4B 75 CE 8B 5D F8 8B 73 0C 8A 06 3C 08 74 0D 3C 48 74 13 3C 0C 75 2E 8B 45 08 EB 1B 8B 45 08 66 C7 00 08 00 EB 08 8B 45 08 66 C7 00 00 01 83 C0 08 C7 00 00 00 00 00 47 7F 0A 74 04 89 C2 EB 05 89 C1 EB 01 50 8B 45 FC 8D 7B 10 F7 43 08 08 00 00 00 74 05 8B 38 03 7B 10 FF 17 8B 55 08 8A 0E 83 E1 3F FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? D9 5A 08 9B EB 0F DD 5A 08 9B EB 09 DF 7A 08 9B EB 03 89 42 08 66 89 0A 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_82507_0 {
	meta:
		name = "TAutoObject.QueryInterface"
		size = 85
		refs = "000a IID_IUnknown 0011 IsEqualIID 001a IID_IDispatch 002a IID_IAutoDispatch 0040 TAutoObject.AddRef"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 A1 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 84 C0 75 1F A1 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 84 C0 75 0F 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 84 C0 74 10 8B 46 08 89 07 8B C6 E8 ?? ?? ?? ?? 33 C0 EB 09 33 C0 89 07 B8 02 40 00 80 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82508_0 {
	meta:
		name = "TAutoObject.Release"
		size = 22
		refs = "000e TObject.Free"
	strings:
		$1 = { 53 FF 48 04 8B 50 04 8B DA 85 D2 75 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_82509_0 {
	meta:
		name = "TClassFactory.Create"
		size = 53
		refs = "0009 @ClassCreate 000f Automation 0025 @AfterConstruction"
	strings:
		$1 = { 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? FF 43 0C C7 40 04 01 00 00 00 89 48 08 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_82510_0 {
	meta:
		name = "TClassFactory.Destroy"
		size = 24
		refs = "0001 @BeforeDestruction 0007 Automation 0013 @ClassDestroy"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? FF 49 0C 84 D2 7E 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82511_0 {
	meta:
		name = "TClassFactory.QueryInterface"
		size = 75
		refs = "0010 IID_IUnknown 0017 IsEqualIID 0020 IID_IClassFactory"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 A1 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 84 C0 75 10 A1 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 84 C0 74 0C 89 1F 53 8B 03 FF 50 04 33 C0 EB 09 33 C0 89 07 B8 02 40 00 80 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_82512_0 {
	meta:
		name = "TClassFactory.AddRef"
		size = 16
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 40 04 8B 40 04 5D C2 04 00 }
	condition:
		$1
}

rule function_82513_0 {
	meta:
		name = "TClassFactory.Release"
		size = 31
		refs = "0014 TObject.Free"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 FF 48 04 8B 50 04 8B DA 85 D2 75 05 E8 ?? ?? ?? ?? 8B C3 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_82514_0 {
	meta:
		name = "TClassFactory.CreateInstance"
		size = 115
		refs = "0021 TClassFactory.CreateInstance 0040 @HandleAnyException 004a @DoneExcept 005d TAutoObject.QueryInterface 0066 TAutoObject.Release"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 14 8B 45 08 33 D2 89 16 83 7D 0C 00 74 07 BE 10 01 04 80 EB 4D 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 08 B2 01 FF 50 08 8B D8 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? BE FF FF 00 80 E8 ?? ?? ?? ?? EB 1A E8 ?? ?? ?? ?? 8B CE 8B 55 10 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_82515_0 {
	meta:
		name = "TClassFactory.LockServer"
		size = 26
		refs = "000b Automation 0010 TAutomation.CountAutoObject"
	strings:
		$1 = { 55 8B EC 83 7D 0C 01 1B D2 42 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_82516_0 {
	meta:
		name = "TRegistryClass.Create"
		size = 184
		refs = "0011 @ClassCreate 0027 @UStrAsg 0032 StringToClassID 0057 Automation 006d _DV_TClassFactory 0072 TClassFactory.Create 0083 RegFlags 0090 CoRegisterClassObject 00a1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 06 89 47 08 8D 47 0C 8B 56 04 E8 ?? ?? ?? ?? 8D 55 F0 8B 46 08 E8 ?? ?? ?? ?? 56 57 8D 75 F0 83 C7 10 A5 A5 A5 A5 5F 5E 8D 47 20 8B 56 0C E8 ?? ?? ?? ?? 0F B6 46 10 88 47 24 A1 ?? ?? ?? ?? 80 78 10 00 75 39 80 7F 24 00 74 33 8B 4F 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 47 28 50 0F B6 47 24 8B 04 85 ?? ?? ?? ?? 50 6A 04 56 8D 47 10 50 E8 ?? ?? ?? ?? 56 8B 06 FF 50 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82517_0 {
	meta:
		name = "TRegistryClass.Destroy"
		size = 38
		refs = "0003 @BeforeDestruction 0014 CoRevokeClassObject 001f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 28 85 C0 74 06 50 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82518_0 {
	meta:
		name = "TRegistryClass.UpdateRegistry"
		size = 612
		refs = "001a TRegistryClass.UpdateRegistry 0035 ClassIDToString 0046 HInstance 004c GetModuleFileName 005c @UStrFromPWCharLen 006f CreateRegKey 0082 @UStrCat3 00ce @UStrCatN 00f4 GetServerKey 0156 DeleteRegKey 01df @UStrArrayClr 01f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 47 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 24 00 0F 84 98 01 00 00 8D 55 FC 8D 46 10 E8 ?? ?? ?? ?? 68 0C 02 00 00 8D 85 EC FD FF FF 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8D 95 EC FD FF FF 8D 45 F8 E8 ?? ?? ?? ?? 84 DB 0F 84 B9 00 00 00 8B 56 20 8B 46 0C E8 ?? ?? ?? ?? 8D 85 E8 FD FF FF B9 ?? ?? ?? ?? 8B 56 0C E8 ?? ?? ?? ?? 8B 85 E8 FD FF FF 8B 55 FC E8 ?? ?? ?? ?? 8D 85 E4 FD FF FF 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E4 FD FF FF 8B 56 20 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 85 E0 FD FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 E0 FD FF FF 8B 56 0C E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 85 D8 FD FF FF E8 ?? ?? ?? ?? FF B5 D8 FD FF FF 8D 85 DC FD FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 85 DC FD FF FF 8B 55 F8 E8 ?? ?? ?? ?? E9 A5 00 00 00 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 85 D0 FD FF FF E8 ?? ?? ?? ?? FF B5 D0 FD FF FF 8D 85 D4 FD FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 85 D4 FD FF FF E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 85 CC FD FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 85 CC FD FF FF E8 ?? ?? ?? ?? 8D 85 C8 FD FF FF 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 C8 FD FF FF E8 ?? ?? ?? ?? 8D 85 C4 FD FF FF B9 ?? ?? ?? ?? 8B 56 0C E8 ?? ?? ?? ?? 8B 85 C4 FD FF FF E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 C4 FD FF FF BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 5C 00 43 00 6C 00 73 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 4C 00 53 00 49 00 44 00 5C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 5C 00 50 00 72 00 6F 00 67 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_82519_0 {
	meta:
		name = "InitAutomation"
		size = 26
		refs = "0002 SaveInitProc 0010 Automation 0015 TAutomation.Initialize"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 06 FF 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82520_0 {
	meta:
		name = "TAutomation.Create"
		size = 264
		refs = "000a @ClassCreate 0013 IsLibrary 001e TAutomation.Create 0023 FindCmdLineSwitch 006c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? 0F B6 00 88 46 10 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0E B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 C6 46 11 01 EB 26 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 C6 46 11 02 EB 12 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 C6 46 11 03 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 41 00 55 00 54 00 4F 00 4D 00 41 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 4D 00 42 00 45 00 44 00 44 00 49 00 4E 00 47 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 52 00 45 00 47 00 53 00 45 00 52 00 56 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 4E 00 52 00 45 00 47 00 53 00 45 00 52 00 56 00 45 00 52 00 00 00 }
	condition:
		$1
}

rule function_82521_0 {
	meta:
		name = "TAutomation.Destroy"
		size = 53
		refs = "0005 @BeforeDestruction 001a TObject.Free 002c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 EB 0F 8B F7 8B 46 04 89 45 04 8B C6 E8 ?? ?? ?? ?? 8B 7D 04 85 FF 75 EA 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82522_0 {
	meta:
		name = "TAutomation.CountAutoObject"
		size = 23
		refs = "0012 TAutomation.LastReleased"
	strings:
		$1 = { 84 D2 74 04 FF 40 08 C3 FF 48 08 83 78 08 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82523_0 {
	meta:
		name = "TAutomation.Initialize"
		size = 34
		refs = "000d TAutomation.UpdateRegistry 001c @Halt0"
	strings:
		$1 = { 53 8B D8 80 7B 11 03 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 0F B6 43 11 04 FE 2C 02 73 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82524_0 {
	meta:
		name = "TAutomation.LastReleased"
		size = 49
		refs = "002a PostQuitMessage"
	strings:
		$1 = { 53 51 80 78 10 00 75 26 80 78 11 01 0F 94 04 24 66 83 78 1A 00 74 0A 8B D4 8B D8 8B 43 1C FF 53 18 80 3C 24 00 74 07 6A 00 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_82525_0 {
	meta:
		name = "TAutomation.RegisterClass"
		size = 28
		refs = "0006 _DV_TRegistryClass 000d TRegistryClass.Create"
	strings:
		$1 = { 53 8B D8 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 53 04 89 50 04 89 43 04 5B C3 }
	condition:
		$1
}

rule function_82526_0 {
	meta:
		name = "TAutomation.UpdateRegistry"
		size = 30
		refs = "0010 TRegistryClass.UpdateRegistry"
	strings:
		$1 = { 53 56 8B DA 8B 70 04 85 F6 74 10 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 76 04 85 F6 75 F0 5E 5B C3 }
	condition:
		$1
}

rule function_82527_0 {
	meta:
		name = "Finalization"
		size = 24
		refs = "0002 _DV_8 0009 Automation 000e TObject.Free 0013 OleUninitialize"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 0F A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82528_0 {
	meta:
		name = "Vcl.OleAuto"
		size = 57
		refs = "0002 _DV_8 000c OleInitialize 0013 _DV_TAutomation 0018 TAutomation.Create 001d Automation 0022 InitProc 0029 SaveInitProc 0034 InitAutomation"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 2F 6A 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82531_0 {
	meta:
		name = "WStrLen"
		size = 15
	strings:
		$1 = { 33 D2 EB 01 42 66 83 3C 50 00 75 F8 8B C2 C3 }
	condition:
		$1
}

rule function_82532_0 {
	meta:
		name = "PixelsToHimetric"
		size = 53
		refs = "0007 PixPerInch 0015 MulDiv"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 50 68 EC 09 00 00 8B 03 50 E8 ?? ?? ?? ?? 89 06 A1 ?? ?? ?? ?? 50 68 EC 09 00 00 8B 43 04 50 E8 ?? ?? ?? ?? 89 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_82533_0 {
	meta:
		name = "HimetricToPixels"
		size = 53
		refs = "000c PixPerInch 0015 MulDiv"
	strings:
		$1 = { 53 56 8B F2 8B D8 68 EC 09 00 00 A1 ?? ?? ?? ?? 50 8B 03 50 E8 ?? ?? ?? ?? 89 06 68 EC 09 00 00 A1 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 89 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_82534_0 {
	meta:
		name = "CenterWindow"
		size = 79
		refs = "0009 GetWindowRect 0016 GetSystemMetrics 0046 SetWindowPos"
	strings:
		$1 = { 53 83 C4 F0 8B D8 54 53 E8 ?? ?? ?? ?? 6A 15 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 2B 44 24 18 03 44 24 10 B9 03 00 00 00 99 F7 F9 50 6A 00 E8 ?? ?? ?? ?? 2B 44 24 18 03 44 24 10 D1 F8 79 03 83 D0 00 50 6A 00 53 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_82535_0 {
	meta:
		name = "OleDialogHook"
		size = 72
		refs = "001c GetWindowLongPtr 003a CenterWindow"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 33 C0 81 7D 0C 10 01 00 00 75 31 8B C3 BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? A9 00 00 00 40 74 10 8B C3 BA F8 FF FF FF 52 50 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? B8 01 00 00 00 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_82536_0 {
	meta:
		name = "DestroyMetaPict"
		size = 36
		refs = "0009 GlobalLock 0012 DeleteMetaFile 0018 GlobalUnlock 001e GlobalFree"
	strings:
		$1 = { 53 8B D8 85 DB 74 1B 53 E8 ?? ?? ?? ?? 8B 40 0C 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82537_0 {
	meta:
		name = "ShadeRect"
		size = 150
		refs = "000c HatchBits 0019 CreateBitmap 0021 CreatePatternBrush 0028 SelectObject 0035 SetTextColor 0040 SetBkColor 0063 PatBlt 0085 DeleteObject"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F2 8B D8 68 ?? ?? ?? ?? 6A 01 6A 01 6A 08 6A 08 E8 ?? ?? ?? ?? 8B F8 57 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B E8 68 FF FF FF 00 53 E8 ?? ?? ?? ?? 89 04 24 6A 00 53 E8 ?? ?? ?? ?? 89 44 24 04 68 C9 00 A0 00 8B 56 0C 2B 56 04 52 8B 56 08 8B 06 2B D0 52 8B 56 04 52 50 53 E8 ?? ?? ?? ?? 8B 44 24 04 50 53 E8 ?? ?? ?? ?? 8B 04 24 50 53 E8 ?? ?? ?? ?? 55 53 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82538_0 {
	meta:
		name = "OleStdGetFirstMoniker"
		size = 150
		refs = "0015 OleStdGetFirstMoniker 0022 @IntfClear 006f @IntfCopy 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 DB 74 49 8D 45 F8 50 53 8B 03 FF 50 58 85 C0 75 32 83 7D F8 01 75 2C 8D 45 FC E8 ?? ?? ?? ?? 50 6A FF 53 8B 03 FF 50 30 85 C0 75 20 6A 00 8B C6 E8 ?? ?? ?? ?? 50 6A 01 8B 45 FC 50 8B 00 FF 50 0C EB 09 8B C6 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_82539_0 {
	meta:
		name = "OleStdGetLenFilePrefixOfMoniker"
		size = 190
		refs = "0016 OleStdGetLenFilePrefixOfMoniker 002c OleStdGetFirstMoniker 0051 @IntfClear 0059 CreateBindCtx 0082 WStrLen 008d CoTaskMemFree 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 85 DB 74 6B 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 5B 8D 45 F4 50 8B 45 FC 50 8B 00 FF 50 58 85 C0 75 4A 83 7D F4 02 75 44 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 85 C0 75 30 8D 45 F0 50 6A 00 8B 45 F8 50 8B 45 FC 50 8B 00 FF 50 50 85 C0 75 19 83 7D F0 00 74 13 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 8B 45 F0 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82540_0 {
	meta:
		name = "CoAllocCStr"
		size = 45
		refs = "0016 CoTaskMemAlloc 001e @UStrToPWChar 0026 StrCopy"
	strings:
		$1 = { 53 56 8B F0 8B DE 85 DB 74 05 83 EB 04 8B 1B 43 8B C3 03 C0 50 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82541_0 {
	meta:
		name = "GetFullNameStr"
		size = 35
		refs = "0013 @UStrFromPWChar 001c CoTaskMemFree"
	strings:
		$1 = { 53 51 8B DA 54 6A 01 50 8B 00 FF 50 40 8B C3 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_82542_0 {
	meta:
		name = "GetShortNameStr"
		size = 35
		refs = "0013 @UStrFromPWChar 001c CoTaskMemFree"
	strings:
		$1 = { 53 51 8B DA 54 6A 02 50 8B 00 FF 50 40 8B C3 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_82543_0 {
	meta:
		name = "GetDisplayNameStr"
		size = 33
		refs = "0011 @UStrFromPWChar 001a CoTaskMemFree"
	strings:
		$1 = { 53 51 8B DA 54 50 8B 00 FF 50 20 8B C3 8B 14 24 E8 ?? ?? ?? ?? 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_82544_0 {
	meta:
		name = "GetVCLFrameForm"
		size = 68
		refs = "0014 _DV_TOleForm 0019 TOleForm.Create 0026 GetVCLFrameForm 002b @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB D4 02 00 00 00 75 0E 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 93 D4 02 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 C0 E1 02 CD DA 52 D0 11 9E A6 00 20 AF 3D 82 DA }
	condition:
		$1
}

rule function_82545_0 {
	meta:
		name = "IsFormMDIChild"
		size = 37
		refs = "0007 _Dn_TForm 000c @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 80 BB A6 02 00 00 01 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_82546_0 {
	meta:
		name = "LinkError"
		size = 101
		refs = "000c LinkError 001c SLinkProperties 0021 LoadResString 0029 @UStrToPWChar 0038 Application 0040 TApplication.MessageBox 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 10 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_82547_0 {
	meta:
		name = "TOleUILinkInfo.Create"
		size = 112
		refs = "000f @ClassCreate 001f TObject.Create 002c @IntfClear 0032 TOleUILinkInfo.Create 004a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F7 89 73 0C 8D 43 10 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 86 8C 02 00 00 50 8B 00 FF 10 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 1D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82548_0 {
	meta:
		name = "TOleUILinkInfo.GetNextLink"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 08 83 7D 0C 00 75 05 8B 40 0C EB 02 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_82549_0 {
	meta:
		name = "TOleUILinkInfo.SetLinkUpdateOptions"
		size = 53
		refs = "0028 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 10 50 8B 43 10 50 8B 00 FF 50 0C 8B F8 F7 C7 00 00 00 80 75 0C 8B 43 0C 66 BE AE FF E8 ?? ?? ?? ?? 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_82550_0 {
	meta:
		name = "TOleUILinkInfo.GetLinkUpdateOptions"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 10 52 8B 40 10 50 8B 00 FF 50 10 5D C2 0C 00 }
	condition:
		$1
}

rule function_82551_0 {
	meta:
		name = "TOleUILinkInfo.SetLinkSource"
		size = 269
		refs = "001b TOleUILinkInfo.SetLinkSource 003b @UStrFromPWChar 004e StringToWideChar 0091 TOleContainer.UpdateObject 00a0 @HandleAnyException 00ab Application 00b2 TApplication.HandleException 00b7 @DoneExcept 00c6 SInvalidLinkSource 00cb LoadResString 00d6 LinkError 00ee @UStrClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FD FF FF 53 56 57 33 C0 89 85 F8 FD FF FF 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 05 40 00 80 83 7D 1C 00 0F 84 8B 00 00 00 8D 45 FC 8B 55 10 E8 ?? ?? ?? ?? 8D 95 FC FD FF FF B9 00 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 10 50 8B 00 FF 50 1C A9 00 00 00 80 0F 94 C0 84 C0 74 6F 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B 55 18 89 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 08 8B 50 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 1B 8D 95 F8 FD FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F8 FD FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FD FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_82552_0 {
	meta:
		name = "TOleUILinkInfo.GetLinkSource"
		size = 231
		refs = "0016 TOleUILinkInfo.GetLinkSource 0031 GetDisplayNameStr 0039 CoAllocCStr 004e @IntfClear 0066 OleStdGetLenFilePrefixOfMoniker 007d GetFullNameStr 009f GetShortNameStr 00c8 @UStrArrayClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B 7D 14 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 0C 8B 45 10 85 C0 74 18 8D 55 F8 8B 43 10 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 10 89 02 85 FF 74 26 33 C0 89 07 8D 45 FC E8 ?? ?? ?? ?? 50 8B 43 10 50 8B 00 FF 50 18 83 7D FC 00 74 0A 8B 45 FC E8 ?? ?? ?? ?? 89 07 8B 45 18 85 C0 74 1B 8D 55 F4 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 18 89 02 8B 45 1C 85 C0 74 1B 8D 55 F0 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 1C 89 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule function_82553_0 {
	meta:
		name = "TOleUILinkInfo.OpenLinkSource"
		size = 81
		refs = "000a TOleUILinkInfo.OpenLinkSource 001e TOleContainer.DoVerb 002d @HandleAnyException 0038 Application 003f TApplication.HandleException 0044 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 0C 83 CA FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 08 8B 50 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_82554_0 {
	meta:
		name = "TOleUILinkInfo.UpdateLink"
		size = 78
		refs = "000a TOleUILinkInfo.UpdateLink 001b TOleContainer.UpdateObject 002a @HandleAnyException 0035 Application 003c TApplication.HandleException 0041 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 45 08 8B 50 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_82555_0 {
	meta:
		name = "TOleUILinkInfo.CancelLink"
		size = 83
		refs = "000a TOleUILinkInfo.CancelLink 0018 SCannotBreakLink 001d LoadResString 0025 LinkError 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BB 01 40 00 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_82557_0 {
	meta:
		name = "TEnumFormatEtc.Create"
		size = 78
		refs = "000e @ClassCreate 001d TObject.Create 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B 45 0C 89 47 10 8B 45 08 89 47 14 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_82558_0 {
	meta:
		name = "TEnumFormatEtc.Next"
		size = 95
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 0C 8B 45 08 33 D2 EB 24 8B 48 14 8D 0C 89 8B 70 0C 8D 0C 8E 51 8D 0C 92 8B 75 10 5F 8D 0C 8E 8B F7 8B F9 A5 A5 A5 A5 A5 FF 40 14 42 3B DA 7E 08 8B 48 14 3B 48 10 7C D0 83 7D 14 00 74 05 8B 45 14 89 10 3B DA 75 04 33 C0 EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_82559_0 {
	meta:
		name = "TEnumFormatEtc.Skip"
		size = 42
	strings:
		$1 = { 55 8B EC 53 8B 55 0C 8B 45 08 8B 48 10 8B D9 2B 58 14 3B D3 7F 07 01 50 14 33 C0 EB 08 89 48 14 B8 01 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_82561_0 {
	meta:
		name = "TEnumFormatEtc.Clone"
		size = 65
		refs = "0020 _DV_TEnumFormatEtc 0025 TEnumFormatEtc.Create 0036 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 43 10 50 8B 43 14 50 8B 4B 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_82563_0 {
	meta:
		name = "TDataObject.GetObjectDescriptor"
		size = 624
		refs = "0018 TDataObject.GetObjectDescriptor 0029 GetFullNameStr 0034 @UStrLAsg 003c @IntfClear 005c SLinkedObject 0061 LoadResString 007a Format 0090 GetDisplayNameStr 00b1 @LStrFromUStr 00b9 @LStrToPChar 00c3 MultiByteToWideChar 0115 GlobalAlloc 012b GlobalLock 013d @FillChar 020e GlobalUnlock 0228 @LStrArrayClr 0235 @UStrArrayClr 0250 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 46 0C E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 46 0C 50 8B 00 FF 10 83 7D F4 00 74 40 8D 45 DC 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 50 8B 45 FC 89 45 D0 C6 45 D4 11 8D 55 D0 33 C9 58 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 6A 00 6A 00 53 8D 45 CC 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 40 89 45 E8 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 6A 00 6A 00 53 8D 45 C8 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F8 47 8B 45 E8 03 C7 03 C0 83 C0 34 89 45 EC 8B 45 EC 50 6A 02 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 0F 84 EC 00 00 00 8B 45 F0 50 E8 ?? ?? ?? ?? 89 45 E4 8B 5D E4 8B C3 33 C9 8B 55 EC E8 ?? ?? ?? ?? 8B 45 EC 89 03 8D 43 04 50 8B 46 0C 50 8B 00 FF 50 3C C7 43 14 01 00 00 00 8D 43 28 50 6A 01 8B 46 0C 50 8B 00 FF 50 58 B8 34 00 00 00 89 43 2C 8B 75 E4 03 F0 8B 45 FC 89 45 E0 83 7D E0 00 74 0B 8B 45 E0 83 E8 04 8B 00 89 45 E0 8B 45 E8 50 56 8B 45 E0 50 8D 45 C4 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 8B 45 E8 66 C7 44 46 FE 00 00 8B C7 03 C0 03 43 2C 89 43 30 8B 75 E4 03 F0 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 57 56 53 8D 45 C0 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 66 C7 44 7E FE 00 00 8B 45 F0 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 8B 45 F0 5F 5E 5B 8B E5 5D C3 1D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82564_0 {
	meta:
		name = "TDataObject.GetData"
		size = 86
		refs = "0026 CFObjectDescriptor 003b TDataObject.GetObjectDescriptor"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 10 8B 45 0C 8B 55 08 BE 64 00 04 80 33 C9 89 0B 33 C9 89 4B 04 33 C9 89 4B 08 0F B7 08 3B 0D ?? ?? ?? ?? 75 22 83 78 08 01 75 1C 83 78 10 01 75 16 8B C2 E8 ?? ?? ?? ?? 85 C0 74 0B C7 03 01 00 00 00 89 43 04 33 F6 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_82565_0 {
	meta:
		name = "TDataObject.GetDataHere"
		size = 176
		refs = "0011 TDataObject.GetDataHere 0025 CFEmbeddedObject 0043 @IntfClear 0069 OleSave 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 45 0C 8B 5D 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BE 64 00 04 80 0F B7 10 3B 15 ?? ?? ?? ?? 75 4F 83 78 08 01 75 49 83 78 10 08 75 43 8B 45 10 33 D2 89 50 08 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 43 0C 50 8B 00 FF 10 83 7D FC 00 74 1F 6A 00 8B 45 10 8B 40 04 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B F0 6A 00 8B 45 FC 50 8B 00 FF 50 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C2 0C 00 0A 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82566_0 {
	meta:
		name = "TDataObject.QueryGetData"
		size = 59
		refs = "0016 CFEmbeddedObject 0027 CFObjectDescriptor"
	strings:
		$1 = { 55 8B EC 8B 45 0C BA 64 00 04 80 83 78 08 01 75 24 0F B7 08 3B 0D ?? ?? ?? ?? 75 06 83 78 10 08 74 11 0F B7 08 3B 0D ?? ?? ?? ?? 75 08 83 78 10 01 75 02 33 D2 8B C2 5D C2 08 00 }
	condition:
		$1
}

rule function_82567_0 {
	meta:
		name = "TDataObject.GetCanonicalFormatEtc"
		size = 20
	strings:
		$1 = { 55 8B EC 8B 45 10 33 D2 89 50 04 B8 01 40 00 80 5D C2 0C 00 }
	condition:
		$1
}

rule function_82569_0 {
	meta:
		name = "TDataObject.EnumFormatEtc"
		size = 79
		refs = "001a DataFormats 0021 _DV_TEnumFormatEtc 0026 TEnumFormatEtc.Create 0036 @IntfCopy 0041 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 10 85 DB 74 04 33 C0 89 03 83 7D 0C 01 75 29 6A 02 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B C3 E8 ?? ?? ?? ?? 33 C0 EB 0C 8B C3 E8 ?? ?? ?? ?? B8 01 40 00 80 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_82570_0 {
	meta:
		name = "TDataObject.DAdvise"
		size = 12
	strings:
		$1 = { 55 8B EC B8 03 00 04 80 5D C2 14 00 }
	condition:
		$1
}

rule function_82571_0 {
	meta:
		name = "TDataObject.DUnadvise"
		size = 12
	strings:
		$1 = { 55 8B EC B8 03 00 04 80 5D C2 08 00 }
	condition:
		$1
}

rule function_82572_0 {
	meta:
		name = "TDataObject.EnumDAdvise"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 0C 85 C0 74 04 33 D2 89 10 B8 03 00 04 80 5D C2 08 00 }
	condition:
		$1
}

rule function_82573_0 {
	meta:
		name = "TOleContainer.GetObjectInfo"
		size = 229
		refs = "0019 TOleContainer.GetObjectInfo 002a TOleContainer.GetObjectDataSize 003e GetFullNameStr 0046 CoAllocCStr 007f GetShortNameStr 009d TControl.GetText 00c1 @UStrClr 00ce @UStrArrayClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B 7D 14 8B 75 10 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 09 8B C3 E8 ?? ?? ?? ?? 89 06 85 FF 74 18 8D 55 FC 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 07 8B 45 18 85 C0 74 1B 8D 55 F8 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 18 89 02 8B 45 1C 85 C0 74 1B 8D 55 F4 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 1C 89 02 8B 45 20 85 C0 74 17 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 20 89 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule function_82574_0 {
	meta:
		name = "TOleContainer.GetConvertInfo"
		size = 28
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 10 52 8B 80 8C 02 00 00 50 8B 00 FF 50 3C 33 C0 5D C2 1C 00 }
	condition:
		$1
}

rule function_82576_0 {
	meta:
		name = "TOleContainer.GetViewInfo"
		size = 63
		refs = "0016 TOleContainer.GetIconMetaPict"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 14 8B 75 10 8B 5D 08 85 F6 74 09 8B C3 E8 ?? ?? ?? ?? 89 06 85 FF 74 08 8B 83 90 02 00 00 89 07 8B 45 18 85 C0 74 07 8B 45 18 33 D2 89 10 33 C0 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_82577_0 {
	meta:
		name = "TOleContainer.SetViewInfo"
		size = 54
		refs = "001f TOleContainer.GetIconic 002b TOleContainer.SetDrawAspect"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 14 48 74 07 83 E8 03 74 06 EB 08 33 C0 EB 0B B0 01 EB 07 8B C3 E8 ?? ?? ?? ?? 8B 4D 10 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_82578_0 {
	meta:
		name = "TOleContainer.GetMoniker"
		size = 31
		refs = "0012 @IntfClear"
	strings:
		$1 = { 55 8B EC 8B 45 14 85 C0 74 04 33 D2 89 10 8B 45 14 E8 ?? ?? ?? ?? B8 01 40 00 80 5D C2 10 00 }
	condition:
		$1
}

rule function_82579_0 {
	meta:
		name = "TOleContainer.GetContainer"
		size = 31
		refs = "0012 @IntfClear"
	strings:
		$1 = { 55 8B EC 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 0C E8 ?? ?? ?? ?? B8 02 40 00 80 5D C2 08 00 }
	condition:
		$1
}

rule function_82581_0 {
	meta:
		name = "TOleContainer.OnShowWindow"
		size = 47
	strings:
		$1 = { 55 8B EC 56 8B 45 0C 8B 75 08 83 F8 01 1B D2 42 3A 96 C8 02 00 00 74 10 88 96 C8 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 33 C0 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_82583_0 {
	meta:
		name = "TOleContainer.GetWindow"
		size = 49
		refs = "0017 TWinControl.GetHandle"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 0C 8B 5D 08 80 BB F4 02 00 00 00 74 0B 8B C3 E8 ?? ?? ?? ?? 89 06 EB 0A 8B 43 38 E8 ?? ?? ?? ?? 89 06 33 C0 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_82585_0 {
	meta:
		name = "TOleContainer.CanInPlaceActivate"
		size = 55
		refs = "0025 TOleContainer.GetIconic"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 BE 01 00 00 00 F6 43 1C 10 75 1C 80 7B 61 00 74 16 80 BB C0 02 00 00 00 74 0D 8B C3 E8 ?? ?? ?? ?? 84 C0 75 02 33 F6 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_82586_0 {
	meta:
		name = "TOleContainer.OnInPlaceActivate"
		size = 104
		refs = "000e @IntfClear 0014 TOleContainer.OnInPlaceActivate"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8D 83 AC 02 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 8C 02 00 00 50 8B 00 FF 10 8D 83 B0 02 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 8C 02 00 00 50 8B 00 FF 10 33 C0 5B 5D C2 04 00 00 00 13 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 17 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82587_0 {
	meta:
		name = "TOleContainer.OnUIActivate"
		size = 19
		refs = "0009 TOleContainer.SetUIActive"
	strings:
		$1 = { 55 8B EC 8B 45 08 B2 01 E8 ?? ?? ?? ?? 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_82858_0 {
	meta:
		name = "TOleControl.OnUIActivate"
		size = 19
		refs = "0009 TOleControl.SetUIActive"
	strings:
		$1 = { 55 8B EC 8B 45 08 B2 01 E8 ?? ?? ?? ?? 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_82588_0 {
	meta:
		name = "TOleContainer.GetWindowContext"
		size = 263
		refs = "0032 @IntfCopy 003a @IntfClear 0057 Rect 0089 TControl.ScreenToClient 0090 TControl.GetClientHeight 009b TControl.GetClientWidth 00ad SetRect 00d1 TOleContainer.CreateAccelTable"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 75 1C 8B 7D 14 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 10 85 C0 74 04 33 D2 89 10 8B 45 0C 8B 93 A8 02 00 00 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 80 BB F4 02 00 00 00 74 2E 8B 43 54 50 8D 45 E8 50 8B 4B 50 33 D2 33 C0 E8 ?? ?? ?? ?? 56 57 8D 75 E8 A5 A5 A5 A5 5F 5E 8B 45 18 56 8B F7 8B F8 A5 A5 A5 A5 5E EB 59 8D 55 E0 8B C3 8B 08 FF 51 5C 8D 55 E0 8D 4D F8 8B 43 38 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 03 45 FC 50 8B C3 E8 ?? ?? ?? ?? 03 45 F8 50 8B 45 FC 50 8B 45 F8 50 57 E8 ?? ?? ?? ?? 68 FF 3F 00 00 68 FF 3F 00 00 68 00 C0 FF FF 68 00 C0 FF FF 8B 45 18 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 89 46 04 8D 46 08 50 8B 83 A8 02 00 00 50 8B 00 FF 50 0C 8B 83 B4 02 00 00 89 46 0C 8B 83 B8 02 00 00 89 46 10 33 C0 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_82590_0 {
	meta:
		name = "TOleContainer.OnUIDeactivate"
		size = 52
		refs = "0029 TOleContainer.SetUIActive"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 6A 00 6A 00 6A 00 8B 83 A8 02 00 00 50 8B 00 FF 50 28 8B 83 A8 02 00 00 8B 10 FF 52 44 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_82591_0 {
	meta:
		name = "TOleContainer.OnInPlaceDeactivate"
		size = 36
		refs = "000e @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8D 83 B0 02 00 00 E8 ?? ?? ?? ?? 8D 83 AC 02 00 00 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_82593_0 {
	meta:
		name = "TOleContainer.DeactivateAndUndo"
		size = 24
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 80 AC 02 00 00 50 8B 00 FF 50 18 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_82594_0 {
	meta:
		name = "TOleContainer.OnPosRectChange"
		size = 83
		refs = "000a TOleContainer.OnPosRectChange 001b TOleContainer.ObjectMoved 0023 TOleContainer.UpdateObjectRect 0032 @HandleAnyException 0037 Application 0041 TApplication.HandleException 0046 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 0C 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_82595_0 {
	meta:
		name = "TOleContainer.OnDataChange"
		size = 21
		refs = "000c @CallDynaInst"
	strings:
		$1 = { 55 8B EC 56 8B 45 08 66 BE AE FF E8 ?? ?? ?? ?? 5E 5D C2 0C 00 }
	condition:
		$1
}

rule function_82596_0 {
	meta:
		name = "TOleContainer.OnViewChange"
		size = 26
		refs = "0012 TOleContainer.UpdateView"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 3B 90 90 02 00 00 75 05 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_82600_0 {
	meta:
		name = "TOleContainer.ActivateMe"
		size = 256
		refs = "000e @IntfAddRef 0016 TOleContainer.ActivateMe 002f @IntfClear 009e @IntfCopy 00b0 TOleContainer.UpdateObjectRect 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 5D 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 05 40 00 80 83 7D 0C 00 75 4D 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 8C 02 00 00 50 8B 00 FF 10 85 C0 75 79 83 7D FC 00 74 73 8D 45 0C E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B C3 85 C0 74 05 2D FC FC FF FF 50 8B 45 FC 50 8B 00 FF 50 0C 8B F0 85 F6 75 4B EB 15 8B C3 85 C0 74 05 2D FC FC FF FF 50 8B 45 0C 50 8B 00 FF 50 0C C6 83 F4 02 00 00 01 8D 83 F0 02 00 00 8B 55 0C E8 ?? ?? ?? ?? 6A FF 8B 45 0C 50 8B 00 FF 50 28 8B C3 E8 ?? ?? ?? ?? 6A FF 8B 45 0C 50 8B 00 FF 50 24 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5E 5B 59 5D C2 08 00 00 C5 BC 22 B7 68 4E 1B 10 A2 BC 00 AA 00 40 47 70 }
	condition:
		$1
}

rule function_82601_0 {
	meta:
		name = "TOleContainer.Create"
		size = 196
		refs = "000a @ClassCreate 0017 TCustomControl.Create 0026 NewStyleControls 0030 TOleContainer.Create 0049 TControl.SetWidth 0055 TControl.SetHeight 005e TWinControl.SetTabStop 0067 TControl.SetParentColor 00a6 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 80 02 00 00 01 00 00 00 A1 ?? ?? ?? ?? 80 38 00 74 0A A1 ?? ?? ?? ?? 89 46 58 EB 08 A1 ?? ?? ?? ?? 89 46 58 BA 79 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 79 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 C0 02 00 00 01 C6 86 C1 02 00 00 01 C6 86 C2 02 00 00 02 C6 86 C3 02 00 00 01 C6 86 C4 02 00 00 01 C6 86 C5 02 00 00 01 C7 86 90 02 00 00 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 E8 00 00 00 F8 00 00 00 }
	condition:
		$1
}

rule function_82603_0 {
	meta:
		name = "TOleContainer._AddRef"
		size = 22
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 80 80 02 00 00 8B 80 80 02 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_82604_0 {
	meta:
		name = "TOleContainer.AdjustBounds"
		size = 83
		refs = "0027 HimetricToPixels 002e TOleContainer.GetBorderWidth"
	strings:
		$1 = { 53 83 C4 F8 8B D8 F6 43 1C 02 75 43 80 BB C7 02 00 00 04 75 3A 83 BB 8C 02 00 00 00 74 31 8B D4 8D 83 94 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 03 C0 8B 14 24 03 D0 52 03 44 24 08 50 8B 4B 4C 8B 53 48 8B C3 8B 18 FF 93 A4 00 00 00 59 5A 5B C3 }
	condition:
		$1
}

rule function_82605_0 {
	meta:
		name = "TOleContainer.ChangeIconDialog"
		size = 216
		refs = "000f TOleContainer.CheckObject 0025 @FillChar 003e Application 0056 OleDialogHook 006e OleCheck 0075 TOleContainer.GetIconMetaPict 0083 TOleContainer.ChangeIconDialog 0095 OleUIChangeIcon 00a7 TOleContainer.SetDrawAspect 00c3 DestroyMetaPict 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 B8 FD FF FF 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 45 FF 00 8D 85 B8 FD FF FF 33 C9 BA 44 02 00 00 E8 ?? ?? ?? ?? C7 85 B8 FD FF FF 44 02 00 00 C7 85 BC FD FF FF 02 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 89 85 C0 FD FF FF C7 85 C8 FD FF FF ?? ?? ?? ?? 8D 85 E0 FD FF FF 50 8B 83 8C 02 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 85 DC FD FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 B8 FD FF FF 50 E8 ?? ?? ?? ?? 48 75 13 8B 8D DC FD FF FF B2 01 8B C3 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 85 DC FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 0F B6 45 FF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82606_0 {
	meta:
		name = "TOleContainer.CheckObject"
		size = 33
		refs = "000b SEmptyContainer 0012 _Dn_EOleError 0017 Exception.CreateRes 001c @RaiseExcept"
	strings:
		$1 = { 83 B8 8C 02 00 00 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82607_0 {
	meta:
		name = "TOleContainer.Close"
		size = 31
		refs = "0006 TOleContainer.CheckObject 0019 OleCheck"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 83 8C 02 00 00 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82608_0 {
	meta:
		name = "TOleContainer.Copy"
		size = 132
		refs = "000c TOleContainer.Copy 0019 TOleContainer.Close 0026 _DV_TDataObject 002b TDataObject.Create 0041 @IntfCast 004a OleSetClipboard 004f OleCheck 0064 @IntfClear 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 0E 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82609_0 {
	meta:
		name = "TOleContainer.CreateAccelTable"
		size = 82
		refs = "0049 TMainMenu.GetOle2AcceleratorTable"
	strings:
		$1 = { 53 83 C4 F4 8B D8 83 BB B4 02 00 00 00 75 3E 8B 83 A8 02 00 00 8B 10 FF 52 48 8B 80 BC 02 00 00 85 C0 74 29 33 D2 89 14 24 C7 44 24 04 02 00 00 00 C7 44 24 08 04 00 00 00 54 6A 02 8D 8B B8 02 00 00 8D 93 B4 02 00 00 E8 ?? ?? ?? ?? 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_82610_0 {
	meta:
		name = "TOleContainer.CreateLinkToFile"
		size = 117
		refs = "0014 TCreateInfo 0019 @InitializeRecord 0021 TOleContainer.CreateLinkToFile 003d @WStrFromUStr 0047 TOleContainer.CreateObjectFromInfo 0062 @FinalizeRecord 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B D9 8B F2 8B F8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E0 02 88 5D E1 33 C0 89 45 E4 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82611_0 {
	meta:
		name = "TOleContainer.CreateObject"
		size = 129
		refs = "0014 TCreateInfo 0019 @InitializeRecord 0021 TOleContainer.CreateObject 003d ProgIDToClassID 0053 TOleContainer.CreateObjectFromInfo 006e @FinalizeRecord 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B D9 8B F2 8B F8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E0 00 88 5D E1 33 C0 89 45 E4 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 57 8D 75 D0 8D 7D E8 A5 A5 A5 A5 5F 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82612_0 {
	meta:
		name = "TOleContainer.CreateObjectFromFile"
		size = 117
		refs = "0014 TCreateInfo 0019 @InitializeRecord 0021 TOleContainer.CreateObjectFromFile 003d @WStrFromUStr 0047 TOleContainer.CreateObjectFromInfo 0062 @FinalizeRecord 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B D9 8B F2 8B F8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E0 01 88 5D E1 33 C0 89 45 E4 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82613_0 {
	meta:
		name = "TOleContainer.CreateObjectFromInfo"
		size = 572
		refs = "0012 TOleContainer.DestroyObject 001a TOleContainer.CreateObjectFromInfo 0028 TOleContainer.CreateStorage 005c @IntfClear 0086 OleCreate 008b OleCheck 00c6 @WStrToPWChar 00cc GUID_NULL 00d2 OleCreateFromFile 0118 OleCreateLinkToFile 0156 OleCreateFromData 0194 OleCreateLinkFromData 01ae TOleContainer.InitObject 01b6 TControl.GetClientWidth 01c0 TControl.GetClientHeight 01d1 PixelsToHimetric 01f5 TOleContainer.SetDrawAspect 01fd TOleContainer.UpdateView 020c @HandleAnyException 0219 @RaiseAgain 021e @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 0F B6 03 83 F8 04 0F 87 65 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 05 8C 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 88 02 00 00 50 8B 45 FC 85 C0 74 05 2D F8 FC FF FF 50 6A 00 6A 01 68 ?? ?? ?? ?? 8D 43 08 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 09 01 00 00 8B 45 FC 05 8C 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 88 02 00 00 50 8B 45 FC 85 C0 74 05 2D F8 FC FF FF 50 6A 00 6A 01 68 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BD 00 00 00 8B 45 FC 05 8C 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 88 02 00 00 50 8B 45 FC 85 C0 74 05 2D F8 FC FF FF 50 6A 00 6A 01 68 ?? ?? ?? ?? 8B 43 18 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7A 8B 45 FC 05 8C 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 88 02 00 00 50 8B 45 FC 85 C0 74 05 2D F8 FC FF FF 50 6A 00 6A 01 68 ?? ?? ?? ?? 8B 43 1C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3C 8B 45 FC 05 8C 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 88 02 00 00 50 8B 45 FC 85 C0 74 05 2D F8 FC FF FF 50 6A 00 6A 01 68 ?? ?? ?? ?? 8B 43 1C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C7 80 90 02 00 00 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 FC E8 ?? ?? ?? ?? 89 75 F4 89 45 F8 8D 55 EC 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 EC 50 6A 01 8B 45 FC 8B 80 8C 02 00 00 50 8B 00 FF 50 44 8B 4B 04 0F B6 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 00 00 12 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82615_0 {
	meta:
		name = "TOleContainer.CreateStorage"
		size = 67
		refs = "000a @IntfClear 0014 CreateILockBytesOnHGlobal 0019 OleCheck 0038 StgCreateDocfileOnILockBytes"
	strings:
		$1 = { 53 8B D8 8D 83 84 02 00 00 E8 ?? ?? ?? ?? 50 6A FF 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 88 02 00 00 E8 ?? ?? ?? ?? 50 6A 00 68 12 10 00 00 8B 83 84 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82616_0 {
	meta:
		name = "TOleContainer.DblClick"
		size = 26
		refs = "000f TOleContainer.DoVerb 0015 TControl.DblClick"
	strings:
		$1 = { 80 B8 C2 02 00 00 02 75 0B BA 00 00 FF FF E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82617_0 {
	meta:
		name = "TOleContainer.DefineProperties"
		size = 76
		refs = "000b TWinControl.DefineProperties 0011 TOleContainer.LoadFromStream 0017 TOleContainer.SaveToStream 0026 TOleContainer.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 83 BB 8C 02 00 00 00 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 08 5E 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_82618_0 {
	meta:
		name = "TOleContainer.DesignModified"
		size = 32
		refs = "0003 GetParentForm"
		altNames = "TOleControl.DesignModified"
	strings:
		$1 = { B2 01 E8 ?? ?? ?? ?? 85 C0 74 14 83 B8 C4 02 00 00 00 74 0B 8B 80 C4 02 00 00 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_82619_0 {
	meta:
		name = "TOleContainer.DestroyAccelTable"
		size = 37
		refs = "000f DestroyAcceleratorTable"
	strings:
		$1 = { 53 8B D8 8B 83 B4 02 00 00 85 C0 74 16 50 E8 ?? ?? ?? ?? 33 C0 89 83 B4 02 00 00 33 C0 89 83 B8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_82620_0 {
	meta:
		name = "TOleContainer.DestroyObject"
		size = 328
		refs = "000d TOleContainer.DestroyObject 0025 TOleContainer.SetViewAdviseSink 0036 @IntfClear 0090 @CallDynaInst 00c3 TOleContainer.DestroyVerbs 00ca TOleContainer.DestroyAccelTable 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 8C 02 00 00 00 74 74 33 D2 8B C3 E8 ?? ?? ?? ?? 83 BB A0 02 00 00 00 74 3F 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 8C 02 00 00 50 8B 00 FF 10 83 7D FC 00 74 18 8B 83 A0 02 00 00 50 8B 45 FC 50 8B 00 FF 50 28 8D 45 FC E8 ?? ?? ?? ?? 33 C0 89 83 A0 02 00 00 6A 01 8B 83 8C 02 00 00 50 8B 00 FF 50 18 8B C3 8B 10 FF 92 9C 00 00 00 8B C3 66 BE AE FF E8 ?? ?? ?? ?? 8D 83 F0 02 00 00 E8 ?? ?? ?? ?? 8D 83 8C 02 00 00 E8 ?? ?? ?? ?? 8D 83 88 02 00 00 E8 ?? ?? ?? ?? 8D 83 84 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 BB A4 02 00 00 00 74 3E 8B 83 A8 02 00 00 3B 83 A4 02 00 00 74 0D 8B D3 8B 83 A8 02 00 00 8B 08 FF 51 40 8B D3 8B 83 A4 02 00 00 8B 08 FF 51 40 8D 83 A8 02 00 00 E8 ?? ?? ?? ?? 8D 83 A4 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 0E 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82621_0 {
	meta:
		name = "TOleContainer.DestroyVerbs"
		size = 43
		refs = "000a TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 BC 02 00 00 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 9C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_82622_0 {
	meta:
		name = "TOleContainer.DoEnter"
		size = 31
		refs = "0012 TOleContainer.DoVerb 0019 TWinControl.DoEnter"
	strings:
		$1 = { 53 8B D8 80 BB C2 02 00 00 01 75 0A 83 CA FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82623_0 {
	meta:
		name = "TOleContainer.DoVerb"
		size = 200
		refs = "000d TOleContainer.CheckObject 0021 TOleContainer.UpdateVerbs 0036 SInvalidVerb 003d _Dn_EOleError 0042 Exception.CreateRes 0047 @RaiseExcept 0082 TWinControl.GetHandle 008f TControl.GetBoundsRect 00bd OleCheck"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 F6 7E 4E 83 BB 9C 02 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 8B 10 FF 52 14 3B F0 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 83 9C 02 00 00 8B 08 FF 51 18 66 83 E0 FF 0F BF C0 8B F0 EB 0A 81 FE 00 00 FF FF 75 02 33 F6 80 BB F4 02 00 00 00 74 14 8B D4 8B C3 8B 08 FF 51 60 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 13 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 8B F8 54 57 6A 00 8B C3 85 C0 74 05 2D F8 FC FF FF 50 6A 00 56 8B 83 8C 02 00 00 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82624_0 {
	meta:
		name = "TOleContainer.GetBorderWidth"
		size = 45
		refs = "000e NewStyleControls"
	strings:
		$1 = { 80 B8 C4 02 00 00 00 75 03 33 C0 C3 8B 15 ?? ?? ?? ?? 80 3A 00 74 10 80 B8 F1 01 00 00 00 74 07 B8 02 00 00 00 EB 05 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_82625_0 {
	meta:
		name = "TOleContainer.GetCanPaste"
		size = 119
		refs = "000a TOleContainer.GetCanPaste 0018 @IntfClear 001e OleGetClipboard 0033 OleQueryCreateFromData 0040 OleQueryLinkFromData 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A9 00 00 00 80 0F 94 C0 84 C0 74 22 8B 45 FC 50 E8 ?? ?? ?? ?? 85 C0 74 11 8B 45 FC 50 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 06 B0 01 EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_82626_0 {
	meta:
		name = "TOleContainer.GetIconic"
		size = 11
	strings:
		$1 = { 83 B8 90 02 00 00 04 0F 94 C0 C3 }
	condition:
		$1
}

rule function_82627_0 {
	meta:
		name = "TOleContainer.GetIconMetaPict"
		size = 236
		refs = "0013 TOleContainer.GetIconMetaPict 0020 TOleContainer.CheckObject 0033 @IntfClear 00a3 OleCheck 00b0 OleGetIconOfClass 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 33 F6 83 BB 90 02 00 00 04 75 5F 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 8C 02 00 00 50 8B 00 FF 10 83 7D FC 00 74 40 66 C7 45 E8 03 00 33 C0 89 45 EC C7 45 F0 04 00 00 00 C7 45 F4 FF FF FF FF C7 45 F8 20 00 00 00 8D 45 DC 50 8D 45 E8 50 8B 45 FC 50 8B 00 FF 50 0C A9 00 00 00 80 0F 94 C0 84 C0 74 03 8B 75 E0 85 F6 75 24 8D 45 CC 50 8B 83 8C 02 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 6A FF 6A 00 8D 45 CC 50 E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 8B E5 5D C3 00 0E 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82628_0 {
	meta:
		name = "TOleContainer.GetLinked"
		size = 112
		refs = "000c TOleContainer.GetLinked 0019 TOleContainer.CheckObject 0021 @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 8C 02 00 00 50 8B 00 FF 10 83 7D FC 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 1D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82629_0 {
	meta:
		name = "TOleContainer.GetObjectDataSize"
		size = 41
		refs = "000a GetHGlobalFromILockBytes 001f GlobalSize"
	strings:
		$1 = { 51 54 8B 80 84 02 00 00 50 E8 ?? ?? ?? ?? A9 00 00 00 80 0F 94 C0 84 C0 74 0B 8B 04 24 50 E8 ?? ?? ?? ?? 5A C3 33 C0 5A C3 }
	condition:
		$1
}

rule function_82630_0 {
	meta:
		name = "TOleContainer.GetObjectVerbs"
		size = 27
		refs = "000f TOleContainer.UpdateVerbs"
	strings:
		$1 = { 53 8B D8 83 BB 9C 02 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 5B C3 }
	condition:
		$1
}

rule function_82631_0 {
	meta:
		name = "TOleContainer.GetOleClassName"
		size = 49
		refs = "000c TOleContainer.CheckObject 001e OleCheck 0027 ClassIDToProgID"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 54 8B 83 8C 02 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B D6 8B C4 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_82632_0 {
	meta:
		name = "TOleContainer.GetOleObject"
		size = 112
		refs = "000f TOleContainer.GetOleObject 001c TOleContainer.CheckObject 002f @IntfCast 0039 @VarFromDisp 004e @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 93 8C 02 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82633_0 {
	meta:
		name = "TOleContainer.GetPopupMenu"
		size = 282
		refs = "0014 TOleContainer.GetPopupMenu 003b TOleContainer.GetObjectVerbs 005e _Dn_TPopupMenu 0063 TPopupMenu.Create 008e _Dn_TMenuItem 0093 TMenuItem.Create 00b1 TMenuItem.SetCaption 00c7 TOleContainer.PopupVerbMenuClick 00d7 TMenuItem.Add 00ee TControl.GetPopupMenu 0105 @UStrClr 010b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB C3 02 00 00 00 0F 84 C0 00 00 00 83 BB 8C 02 00 00 00 0F 84 B3 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 0F 8E 9F 00 00 00 83 BB BC 02 00 00 00 0F 85 8A 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 BC 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 48 85 C0 7C 65 40 89 45 F8 C7 45 FC 00 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8D 4D F4 8B 55 FC 8B 38 FF 57 0C 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 89 46 0C 89 9E 94 00 00 00 C7 86 90 00 00 00 ?? ?? ?? ?? 8B 83 BC 02 00 00 8B 40 3C 8B D6 E8 ?? ?? ?? ?? FF 45 FC FF 4D F8 75 A6 8B 9B BC 02 00 00 EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82634_0 {
	meta:
		name = "TOleContainer.GetPrimaryVerb"
		size = 74
		refs = "0011 TOleContainer.UpdateVerbs"
	strings:
		$1 = { 53 56 57 8B F8 83 BF 9C 02 00 00 00 75 07 8B C7 E8 ?? ?? ?? ?? 8B 87 9C 02 00 00 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1B 43 33 F6 8B 87 9C 02 00 00 8B D6 8B 08 FF 51 18 A9 FF FF 00 00 74 06 46 4B 75 E8 33 F6 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82635_0 {
	meta:
		name = "TOleContainer.GetSourceDoc"
		size = 132
		refs = "000f TOleContainer.GetSourceDoc 001c TOleContainer.CheckObject 0023 @UStrClr 002b @IntfClear 004c GetDisplayNameStr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 8C 02 00 00 50 8B 00 FF 10 83 7D FC 00 74 0A 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 1D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82636_0 {
	meta:
		name = "TOleContainer.GetState"
		size = 66
		refs = "0032 OleIsRunning"
	strings:
		$1 = { 53 8B D8 83 BB 8C 02 00 00 00 75 04 33 C0 5B C3 80 BB C8 02 00 00 00 74 04 B0 03 EB 23 80 BB C9 02 00 00 00 74 04 B0 05 EB 16 8B 83 8C 02 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 04 B0 02 EB 02 B0 01 5B C3 }
	condition:
		$1
}

rule function_82637_0 {
	meta:
		name = "FindForm"
		size = 43
		refs = "000c _Dn_TCustomForm 0011 @IsClass"
	strings:
		$1 = { 53 56 8B D8 85 DB 74 1C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 8B F3 EB 09 8B 5B 04 85 DB 75 E4 33 F6 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_82638_0 {
	meta:
		name = "TOleContainer.InitObject"
		size = 488
		refs = "0017 TOleContainer.InitObject 0026 GetParentForm 0033 FindForm 0042 ValidParentForm 004c GetVCLFrameForm 005a @IntfCopy 0088 IsFormMDIChild 0094 Application 00c2 TOleContainer.SetViewAdviseSink 00cc TControl.GetText 00d7 @WStrFromUStr 00df @WStrToPWChar 00ef TApplication.GetTitle 011d OleSetContainedObject 0125 @IntfClear 0192 @UStrClr 019a @WStrClr 01b3 IVCLFrameForm 01bd @FinalizeArray 01cb @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 09 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 55 E4 8D 83 A4 02 00 00 E8 ?? ?? ?? ?? 8D 83 A8 02 00 00 8B 93 A4 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 A4 02 00 00 8B 08 FF 51 3C 8B 83 A4 02 00 00 8B 10 FF 52 48 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 55 E0 A1 ?? ?? ?? ?? 8B 00 8B 40 48 E8 ?? ?? ?? ?? 8B 55 E0 8D 83 A8 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 A8 02 00 00 8B 08 FF 51 3C B2 01 8B C3 E8 ?? ?? ?? ?? 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 DC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 50 8D 55 D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 50 8B 83 8C 02 00 00 50 8B 00 FF 50 14 6A FF 8B 83 8C 02 00 00 50 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 8C 02 00 00 50 8B 00 FF 10 83 7D FC 00 74 41 66 C7 45 E8 00 00 33 C0 89 45 EC C7 45 F0 FF FF FF FF C7 45 F4 FF FF FF FF C7 45 F8 FF FF FF FF 8D 83 A0 02 00 00 50 85 DB 74 06 81 EB 00 FD FF FF 53 6A 01 8D 45 E8 50 8B 45 FC 50 8B 00 FF 50 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5E 5B 8B E5 5D C3 00 0E 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82639_0 {
	meta:
		name = "TOleContainer.InsertObjectDialog"
		size = 412
		refs = "0016 tagOLEUIINSERTOBJECTW 001b @InitializeRecord 0024 TCreateInfo 0031 TOleContainer.InsertObjectDialog 0057 @FillChar 0082 Application 0097 OleDialogHook 00c1 OleUIInsertObject 0109 @WStrFromWArray 0125 TOleContainer.CreateObjectFromInfo 014e DestroyMetaPict 0154 @HandleFinally 0174 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 81 C4 6C FD FF FF 53 56 57 8B D8 8D 85 70 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 85 6F FF FF FF 00 C6 83 CD 02 00 00 00 8D 85 70 FF FF FF 33 C9 BA 70 00 00 00 E8 ?? ?? ?? ?? 8D 85 6E FD FF FF 33 C9 BA 00 02 00 00 E8 ?? ?? ?? ?? C7 85 70 FF FF FF 70 00 00 00 C7 85 74 FF FF FF 02 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 89 85 78 FF FF FF C7 45 80 ?? ?? ?? ?? 8D 85 6E FD FF FF 89 45 A4 C7 45 A8 00 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 48 75 75 8B B5 74 FF FF FF F7 C6 02 00 00 00 74 12 C6 45 E0 00 56 8D 75 94 8D 7D E8 A5 A5 A5 A5 5E EB 25 F7 C6 08 00 00 00 75 06 C6 45 E0 01 EB 04 C6 45 E0 02 8D 45 F8 8D 95 6E FD FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? F7 C6 10 00 00 00 0F 95 C0 88 45 E1 8B 45 DC 89 45 E4 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 80 7D E0 00 75 07 C6 83 CD 02 00 00 01 C6 85 6F FF FF FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 70 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 0F B6 85 6F FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82640_0 {
	meta:
		name = "TOleContainer.KeyDown"
		size = 78
		refs = "0014 TWinControl.KeyDown 0033 TOleContainer.DoVerb"
	strings:
		$1 = { 53 56 51 66 89 0C 24 8B F2 8B D8 8B D6 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? 80 BB C2 02 00 00 00 74 29 66 83 3E 0D 75 23 F6 04 24 04 74 0C 83 CA FF 8B C3 E8 ?? ?? ?? ?? EB 0C BA 00 00 FF FF 8B C3 E8 ?? ?? ?? ?? 66 C7 06 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_82642_0 {
	meta:
		name = "TOleContainer.LoadFromStream"
		size = 416
		refs = "0012 TOleContainer.DestroyObject 0021 TStream.ReadBuffer 003c SInvalidStreamFormat 0043 _Dn_EOleError 0048 Exception.CreateRes 004d @RaiseExcept 0058 GlobalAlloc 0066 OutOfMemoryError 006e TOleContainer.LoadFromStream 007d GlobalLock 00ad GlobalUnlock 00b3 @HandleFinally 00c2 @IntfClear 00ce CreateILockBytesOnHGlobal 00d3 OleCheck 00fd StgOpenStorageOnILockBytes 0131 OleLoad 014a TOleContainer.InitObject 0152 TOleContainer.UpdateView 0161 @HandleAnyException 0170 GlobalFree 017d @RaiseAgain 0182 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC B9 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 81 7D EC 42 44 4F 43 74 23 8B 45 FC 80 B8 C6 02 00 00 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 6A 02 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 05 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B 4D F4 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC 05 84 02 00 00 E8 ?? ?? ?? ?? 50 6A FF 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F8 8B 45 FC 05 88 02 00 00 E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 12 6A 00 8B 45 FC 8B 80 84 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 05 8C 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 85 C0 74 05 2D F8 FC FF FF 50 68 ?? ?? ?? ?? 8B 45 FC 8B 80 88 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F0 89 90 90 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 83 7D F8 00 74 09 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 00 00 12 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82643_0 {
	meta:
		name = "TOleContainer.MouseDown"
		size = 56
		refs = "002d TControl.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B DA 8B F0 84 DB 75 0A 8B C6 8B 10 FF 92 F4 00 00 00 8B 45 0C 50 8B 45 08 50 8B D3 0F B7 4D FE 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_82644_0 {
	meta:
		name = "TOleContainer.Changed"
		size = 26
		refs = "0015 TOleContainer.DesignModified"
	strings:
		$1 = { F6 40 1C 02 75 13 C6 80 CA 02 00 00 01 C6 80 CB 02 00 00 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82645_0 {
	meta:
		name = "TOleContainer.ObjectMoved"
		size = 68
		refs = "001d TOleContainer.GetBorderWidth 0029 InflateRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 66 83 BB E2 02 00 00 00 74 2B 8B F2 8B FC A5 A5 A5 A5 8B C3 E8 ?? ?? ?? ?? 50 50 8D 44 24 08 50 E8 ?? ?? ?? ?? 8B CC 8B D3 8B 83 E4 02 00 00 FF 93 E0 02 00 00 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82646_0 {
	meta:
		name = "TOleContainer.ObjectPropertiesDialog"
		size = 523
		refs = "0023 tagOLEUIOBJECTPROPSW 0028 @InitializeRecord 0030 TOleContainer.ObjectPropertiesDialog 003d TOleContainer.CheckObject 004e @FillChar 00bb @IntfCopy 00c2 TOleContainer.GetLinked 00d3 _DV_TOleUILinkInfo 00d8 TOleUILinkInfo.Create 0110 Application 0120 MainInstance 013a GetFullNameStr 015f SPropDlgCaption 0164 LoadResString 0172 Format 017a @UStrToPWChar 018e OleDialogHook 01bf OleUIObjectProperties 01e1 @UStrArrayClr 01ef @FinalizeRecord 01f7 @UStrClr 01fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 10 FF FF FF 53 56 33 D2 89 95 14 FF FF FF 89 95 10 FF FF FF 89 55 FC 8B F0 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 33 DB 8D 45 D4 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? 8D 45 A0 33 C9 BA 34 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? 8D 85 48 FF FF FF 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? 8D 85 20 FF FF FF 33 C9 BA 28 00 00 00 E8 ?? ?? ?? ?? C7 45 D4 28 00 00 00 C7 45 D8 08 00 00 00 8D 45 A0 89 45 DC 8D 45 E4 8B D6 85 D2 74 06 81 EA 08 FD FF FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 23 83 4D D8 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 45 EC E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 89 45 F0 8D 85 48 FF FF FF 89 45 F4 8D 85 20 FF FF FF 89 45 F8 C7 45 A0 34 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 89 45 A8 A1 ?? ?? ?? ?? 8B 00 89 45 AC 8D 45 FC 50 8D 95 14 FF FF FF 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 8B 85 14 FF FF FF 89 85 18 FF FF FF C6 85 1C FF FF FF 11 8D 85 18 FF FF FF 50 8D 95 10 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 33 C9 5A E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 B4 C7 85 78 FF FF FF 28 00 00 00 C7 45 88 ?? ?? ?? ?? C7 85 48 FF FF FF 30 00 00 00 C7 85 4C FF FF FF 04 00 00 00 C7 85 20 FF FF FF 28 00 00 00 C7 85 24 FF FF FF 10 00 00 00 8D 45 D4 50 E8 ?? ?? ?? ?? 48 75 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 10 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82647_0 {
	meta:
		name = "TOleContainer.Paint"
		size = 565
		refs = "0030 Rect 003e NewStyleControls 006f TBrush.SetStyle 0080 TBrush.SetColor 0099 TCanvas.GetHandle 009f DrawEdge 00c9 HimetricToPixels 0193 SetRect 01b8 IntersectClipRect 01f4 OleDraw 0211 ShadeRect"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B D8 80 BB F4 02 00 00 00 74 0D 80 BB C9 02 00 00 00 0F 85 0E 02 00 00 8B 43 54 50 8D 44 24 1C 50 8B 4B 50 33 D2 33 C0 E8 ?? ?? ?? ?? 80 BB C4 02 00 00 01 75 21 A1 ?? ?? ?? ?? 80 38 00 74 10 80 BB F1 01 00 00 00 74 07 BE 0F 20 00 00 EB 0C BE 0F A0 00 00 EB 05 BE 00 40 00 00 8B 83 78 02 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 48 8B 53 74 E8 ?? ?? ?? ?? 81 CE 00 08 00 00 56 6A 0A 8D 44 24 20 50 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 BB 8C 02 00 00 00 0F 84 65 01 00 00 8B 74 24 20 2B 74 24 18 8B 7C 24 24 2B 7C 24 1C 8B D4 8D 83 94 02 00 00 E8 ?? ?? ?? ?? 83 BB 90 02 00 00 01 75 48 80 BB C7 02 00 00 02 75 3F 83 3C 24 00 7E 39 83 7C 24 04 00 7E 32 8B C6 8B 6C 24 04 F7 ED 8B D7 8B 0C 24 0F AF D1 3B C2 7E 10 8B C1 F7 EF 99 F7 FD 89 04 24 89 7C 24 04 EB 0E 8B C5 F7 EE 99 F7 F9 89 44 24 04 89 34 24 83 BB 90 02 00 00 04 74 12 80 BB C7 02 00 00 01 74 09 80 BB C7 02 00 00 02 75 37 8B 04 24 2B F0 D1 FE 79 03 83 D6 00 89 74 24 08 8B 54 24 04 2B FA D1 FF 79 03 83 D7 00 89 7C 24 0C 8B 4C 24 08 03 C8 89 4C 24 10 8B 44 24 0C 03 C2 89 44 24 14 EB 64 80 BB C7 02 00 00 00 75 45 8B 44 24 04 50 8B 44 24 04 50 8B 44 24 24 50 8B 44 24 24 50 8D 44 24 18 50 E8 ?? ?? ?? ?? 8B 44 24 24 50 8B 44 24 24 50 8B 44 24 24 50 8B 44 24 24 50 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 16 57 56 8B 44 24 24 50 8B 44 24 24 50 8D 44 24 18 50 E8 ?? ?? ?? ?? 8D 44 24 08 50 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 8B 83 90 02 00 00 50 8B 83 8C 02 00 00 50 E8 ?? ?? ?? ?? 80 BB C8 02 00 00 00 74 14 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8D 54 24 18 E8 ?? ?? ?? ?? 80 BB CC 02 00 00 00 74 0F 8D 54 24 18 8B 83 78 02 00 00 8B 08 FF 51 4C 83 C4 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82648_0 {
	meta:
		name = "TOleContainer.Paste"
		size = 377
		refs = "0013 TCreateInfo 0018 @InitializeRecord 0020 TOleContainer.Paste 002d TOleContainer.GetCanPaste 003d @IntfClear 0043 OleGetClipboard 0048 OleCheck 006e @IntfCopy 0075 CFObjectDescriptor 00b9 GlobalLock 00cc GlobalUnlock 00d5 ReleaseStgMedium 0128 TOleContainer.CreateObjectFromInfo 013d DestroyMetaPict 0143 @HandleFinally 0160 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 33 D2 89 55 FC 8B D8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 10 01 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 45 DC 03 C6 45 DD 00 33 C0 89 45 E0 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 45 C8 33 C0 89 45 CC C7 45 D0 01 00 00 00 C7 45 D4 FF FF FF FF C7 45 D8 01 00 00 00 8D 45 BC 50 8D 45 C8 50 8B 45 FC 50 8B 00 FF 50 0C A9 00 00 00 80 0F 94 C0 84 C0 74 25 8B 45 C0 50 E8 ?? ?? ?? ?? 83 78 14 04 75 04 C6 45 DD 01 8B 45 C0 50 E8 ?? ?? ?? ?? 8D 45 BC 50 E8 ?? ?? ?? ?? 80 7D DD 00 74 43 66 C7 45 C8 03 00 33 C0 89 45 CC C7 45 D0 04 00 00 00 C7 45 D4 FF FF FF FF C7 45 D8 20 00 00 00 8D 45 BC 50 8D 45 C8 50 8B 45 FC 50 8B 00 FF 50 0C A9 00 00 00 80 0F 94 C0 84 C0 74 06 8B 45 C0 89 45 E0 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82649_0 {
	meta:
		name = "TOleContainer.PasteSpecialDialog"
		size = 452
		refs = "0012 tagOLEUIPASTESPECIALW 0017 @InitializeRecord 0020 TCreateInfo 0033 TOleContainer.PasteSpecialDialog 0044 TOleContainer.GetCanPaste 005b @FillChar 0075 Application 0087 OleDialogHook 0098 CFLinkSource 00a6 CFEmbeddedObject 0123 OleUIPasteSpecial 0151 @IntfCopy 015b TOleContainer.CreateObjectFromInfo 0174 DestroyMetaPict 017a @HandleFinally 0197 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 81 C4 40 FF FF FF 53 56 8B D8 8D 45 8C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D B5 40 FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 8B 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 30 01 00 00 8D 45 8C 33 C9 BA 54 00 00 00 E8 ?? ?? ?? ?? 8B C6 33 C9 BA 48 00 00 00 E8 ?? ?? ?? ?? C7 45 8C 54 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 89 45 94 C7 45 9C ?? ?? ?? ?? 89 75 B4 C7 45 B8 02 00 00 00 C7 45 BC ?? ?? ?? ?? C7 45 C0 01 00 00 00 0F B7 05 ?? ?? ?? ?? 66 89 06 C7 46 08 01 00 00 00 C7 46 0C FF FF FF FF C7 46 10 08 00 00 00 B8 ?? ?? ?? ?? 89 46 14 B8 ?? ?? ?? ?? 89 46 18 C7 46 1C 00 0A 00 00 0F B7 05 ?? ?? ?? ?? 66 89 46 24 C7 46 2C 01 00 00 00 C7 46 30 FF FF FF FF C7 46 34 04 00 00 00 B8 ?? ?? ?? ?? 89 46 38 B8 ?? ?? ?? ?? 89 46 3C C7 46 40 01 08 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 8C 50 E8 ?? ?? ?? ?? 48 75 39 83 7D D0 00 74 06 C6 45 E0 04 EB 04 C6 45 E0 03 F6 45 90 08 0F 95 C0 88 45 E1 8B 45 D4 89 45 E4 8D 45 FC 8B 55 B0 E8 ?? ?? ?? ?? 8D 55 E0 8B C3 E8 ?? ?? ?? ?? C6 45 8B 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 0F B6 45 8B 5E 5B 8B E5 5D C3 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_82650_0 {
	meta:
		name = "TOleContainer.PopupVerbMenuClick"
		size = 32
		refs = "000a _Dn_TMenuItem 000f @AsClass 0019 TOleContainer.DoVerb"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 0C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82651_0 {
	meta:
		name = "TOleContainer.QueryInterface"
		size = 104
		refs = "001c TOleContainer.QueryInterface 0022 IsEqualIID 0040 TObject.GetInterface"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 33 C0 89 07 C7 45 FC 02 40 00 80 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 84 C0 74 0F 80 BB C1 02 00 00 00 74 1A F6 43 1C 10 75 14 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 33 C0 89 45 FC 8B 45 FC 5F 5E 5B 59 5D C2 0C 00 C7 BC 22 B7 68 4E 1B 10 A2 BC 00 AA 00 40 47 70 }
	condition:
		$1
}

rule function_82652_0 {
	meta:
		name = "TOleContainer._Release"
		size = 22
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 88 80 02 00 00 8B 80 80 02 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_82653_0 {
	meta:
		name = "TOleContainer.Run"
		size = 29
		refs = "0006 TOleContainer.CheckObject 0012 OleRun 0017 OleCheck"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82654_0 {
	meta:
		name = "TOleContainer.SaveObject"
		size = 176
		refs = "000e TOleContainer.SaveObject 0032 @IntfCast 0044 OleSave 0049 OleCheck 005c @IntfClear 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 83 BB 8C 02 00 00 00 74 57 8D 45 FC 8B 93 8C 02 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 8B 83 88 02 00 00 50 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B 45 FC 50 8B 00 FF 50 20 8D 45 FC E8 ?? ?? ?? ?? 6A 00 8B 83 88 02 00 00 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? C6 83 CB 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C2 04 00 0A 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82655_0 {
	meta:
		name = "TOleContainer.SaveAsDocument"
		size = 228
		refs = "0013 TOleContainer.SaveAsDocument 0020 TOleContainer.CheckObject 002f TOleContainer.SaveObject 0037 @IntfClear 0068 @WStrFromUStr 0070 @WStrToPWChar 0076 StgCreateDocfile 007b OleCheck 008a OleSave 00af @WStrClr 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB CB 02 00 00 00 74 06 53 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 8C 02 00 00 50 8B 00 FF 10 83 7D F8 00 74 4C 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 68 12 10 00 00 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B 45 FC 50 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B 45 F8 50 8B 00 FF 50 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 0A 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82657_0 {
	meta:
		name = "TOleContainer.SaveToStream"
		size = 406
		refs = "0018 TOleContainer.SaveToStream 0025 TOleContainer.CheckObject 0034 TOleContainer.SaveObject 0045 @IntfClear 004f CreateILockBytesOnHGlobal 0054 OleCheck 006d StgCreateDocfileOnILockBytes 00aa GetHGlobalFromILockBytes 00d9 TControl.GetBoundsRect 0114 GlobalSize 0126 TStream.WriteBuffer 012f GlobalLock 015f GlobalUnlock 0165 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB CB 02 00 00 00 74 06 53 E8 ?? ?? ?? ?? 80 BB C5 02 00 00 00 74 74 8D 45 FC E8 ?? ?? ?? ?? 50 6A FF 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 68 12 10 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 6A 00 6A 00 8B 83 88 02 00 00 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 6A 00 8B 45 F8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 FC 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 8D 45 F4 50 8B 83 84 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB C6 02 00 00 00 74 2C 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 0F B7 45 D8 66 89 45 E8 0F B7 45 DC 66 89 45 EA 0F B7 45 E0 66 89 45 EC 0F B7 45 E4 66 89 45 EE EB 10 C7 45 E8 42 44 4F 43 8B 83 90 02 00 00 89 45 EC 8B 45 F4 50 E8 ?? ?? ?? ?? 89 45 F0 8D 55 E8 B9 0C 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 8B 4D F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82658_0 {
	meta:
		name = "TOleContainer.SetBorderStyle"
		size = 36
		refs = "0014 TOleContainer.AdjustBounds"
	strings:
		$1 = { 56 8B F0 3A 96 C4 02 00 00 74 17 88 96 C4 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_82659_0 {
	meta:
		name = "TOleContainer.SetDrawAspect"
		size = 600
		refs = "001f tagSTATDATA 0024 @InitializeRecord 002c TOleContainer.SetDrawAspect 0093 @IntfCast 00a3 @IntfClear 00b2 OleCheck 00dc @FinalizeRecord 00fb @FillChar 012f TOleContainer.SetViewAdviseSink 016f OleGetIconOfClass 01e5 DestroyMetaPict 01eb @HandleFinally 0201 TOleContainer.UpdateObject 0209 TOleContainer.UpdateView"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D CC 88 55 D3 89 45 D4 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D4 8B 98 90 02 00 00 80 7D D3 00 74 14 8B 45 D4 C7 80 90 02 00 00 04 00 00 00 BF 01 00 00 00 EB 12 8B 45 D4 C7 80 90 02 00 00 01 00 00 00 BF 02 00 00 00 8B 45 D4 8B B0 90 02 00 00 3B DE 75 09 83 FE 04 0F 85 8C 01 00 00 8D 45 FC 8B 55 D4 8B 92 8C 02 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B DE 0F 84 94 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 83 7D F8 00 74 34 EB 12 3B 5D E0 75 0D 8B 45 F4 50 8B 45 FC 50 8B 00 FF 50 10 6A 00 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 01 8B 45 F8 50 8B 00 FF 50 0C 85 C0 74 CE 8D 45 B0 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 8B 80 90 02 00 00 89 45 B8 C7 45 BC FF FF FF FF 8D 45 C8 50 57 8D 45 B0 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? B2 01 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 83 B8 90 02 00 00 04 0F 85 AE 00 00 00 33 C0 89 45 C4 83 7D CC 00 75 2E 8D 45 94 50 8B 45 D4 8B 80 8C 02 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 6A FF 6A 00 8D 45 94 50 E8 ?? ?? ?? ?? 89 45 C4 8B 45 C4 89 45 CC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 45 B0 03 00 33 C0 89 45 B4 C7 45 B8 04 00 00 00 C7 45 BC FF FF FF FF C7 45 C0 20 00 00 00 C7 45 A4 20 00 00 00 8B 45 CC 89 45 A8 33 C0 89 45 AC 6A 00 8D 45 A4 50 8D 45 B0 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 D4 83 B8 90 02 00 00 01 75 08 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C3 00 1E 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82660_0 {
	meta:
		name = "TOleContainer.SetFocused"
		size = 110
		refs = "001b TWinControl.GetHandle 0021 GetUpdateRect 0041 TOleContainer.GetBorderWidth 0058 InflateRect"
	strings:
		$1 = { 56 83 C4 F0 8B F0 3A 96 CC 02 00 00 74 5B 88 96 CC 02 00 00 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0C 8B C6 8B 10 FF 92 9C 00 00 00 EB 34 8B D4 8B C6 8B 08 FF 51 60 8B C6 E8 ?? ?? ?? ?? F7 D8 50 8B C6 E8 ?? ?? ?? ?? F7 D8 50 8D 44 24 08 50 E8 ?? ?? ?? ?? 8B D4 8B 86 78 02 00 00 8B 08 FF 51 4C 83 C4 10 5E C3 }
	condition:
		$1
}

rule function_82661_0 {
	meta:
		name = "TOleContainer.SetIconic"
		size = 38
		refs = "0009 TOleContainer.GetIconic 0014 TOleContainer.CheckObject 001f TOleContainer.SetDrawAspect"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 12 8B C6 E8 ?? ?? ?? ?? 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82662_0 {
	meta:
		name = "TOleContainer.SetSizeMode"
		size = 36
		refs = "0014 TOleContainer.AdjustBounds"
	strings:
		$1 = { 56 8B F0 3A 96 C7 02 00 00 74 17 88 96 C7 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_82663_0 {
	meta:
		name = "TOleContainer.SetUIActive"
		size = 267
		refs = "0010 TOleContainer.SetUIActive 0029 GetParentForm 0054 TControl.Perform 005e TCustomForm.SetActiveOleControl 00b1 TWinControl.GetHandle 00b7 SetFocus 00bf TOleContainer.DestroyAccelTable 00ed @HandleAnyException 00f2 Application 00fc TApplication.HandleException 0101 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 88 98 C9 02 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 AB 00 00 00 84 DB 74 53 8B 86 E8 02 00 00 85 C0 74 13 3B 45 FC 74 0E 6A 00 33 C9 BA 2A B0 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 F4 00 00 00 8B 45 FC 66 83 B8 D2 02 00 00 00 74 68 8B 5D FC 8B 55 FC 8B 83 D4 02 00 00 FF 93 D0 02 00 00 EB 54 8B 86 E8 02 00 00 3B 45 FC 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 86 98 02 00 00 3B 45 FC 75 0E 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 DA 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 DC 02 00 00 FF 93 D8 02 00 00 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82664_0 {
	meta:
		name = "TOleContainer.SetViewAdviseSink"
		size = 172
		refs = "0011 TOleContainer.SetViewAdviseSink 001f @IntfClear 004c @IntfCopy 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 86 8C 02 00 00 50 8B 00 FF 10 85 C0 75 38 84 DB 74 16 8D 45 F8 8B D6 85 D2 74 06 81 EA 00 FD FF FF E8 ?? ?? ?? ?? EB 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 00 8B 86 90 02 00 00 50 8B 45 FC 50 8B 00 FF 50 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 0D 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82665_0 {
	meta:
		name = "TOleContainer.UpdateObject"
		size = 44
		refs = "001a OleCheck 0025 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 83 BB 8C 02 00 00 00 74 1C 8B 83 8C 02 00 00 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B C3 66 BE AE FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82666_0 {
	meta:
		name = "TOleContainer.UpdateObjectRect"
		size = 191
		refs = "004e TControl.ScreenToClient 0055 TControl.GetClientHeight 0066 TControl.GetClientWidth 0079 Rect"
	strings:
		$1 = { 53 83 C4 D0 8B D8 80 BB F4 02 00 00 00 74 2A 83 BB F0 02 00 00 00 74 21 8D 54 24 18 8B C3 8B 08 FF 51 60 8D 44 24 18 50 8B 83 F0 02 00 00 50 8B 00 FF 50 18 E9 81 00 00 00 8D 54 24 28 8B C3 8B 08 FF 51 5C 8D 54 24 28 8B CC 8B 43 38 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 03 44 24 04 50 8D 44 24 0C 50 8B C3 E8 ?? ?? ?? ?? 8B C8 03 4C 24 08 8B 54 24 0C 8B 44 24 08 E8 ?? ?? ?? ?? 83 BB AC 02 00 00 00 74 34 68 FF 3F 00 00 8D 44 24 1C 50 B9 FF 3F 00 00 BA 00 C0 FF FF B8 00 C0 FF FF E8 ?? ?? ?? ?? 8D 44 24 18 50 8D 44 24 0C 50 8B 83 AC 02 00 00 50 8B 00 FF 50 1C 83 C4 30 5B C3 }
	condition:
		$1
}

rule function_82667_0 {
	meta:
		name = "TOleContainer.UpdateVerbs"
		size = 211
		refs = "001a TOleContainer.UpdateVerbs 0027 TOleContainer.CheckObject 002e TOleContainer.DestroyVerbs 0035 _Dn_TStringList 003a TStringList.Create 0048 @IntfClear 0075 @UStrFromPWChar 00b8 @UStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 E4 89 55 FC 8B D8 8D 75 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 9C 02 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 8B 83 8C 02 00 00 50 8B 00 FF 50 30 85 C0 75 4A EB 2B 0F B7 06 66 89 45 F8 0F B7 46 08 66 89 45 FA 8D 45 E4 8B 56 04 E8 ?? ?? ?? ?? 8B 55 E4 8B 4D F8 8B 83 9C 02 00 00 8B 38 FF 57 3C 6A 00 56 6A 01 8B 45 FC 50 8B 00 FF 50 0C 85 C0 75 0B 83 3E 00 7C 06 F6 46 0C 02 75 B8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82668_0 {
	meta:
		name = "TOleContainer.UpdateView"
		size = 168
		refs = "000d TOleContainer.UpdateView 001b @IntfClear 005a TOleContainer.AdjustBounds 006f @CallDynaInst 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 8C 02 00 00 50 8B 00 FF 10 A9 00 00 00 80 0F 94 C0 84 C0 74 22 8D 83 94 02 00 00 50 6A 00 6A FF 8B 83 90 02 00 00 50 8B 45 FC 50 8B 00 FF 50 24 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 8B C3 66 BE AE FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 27 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82669_0 {
	meta:
		name = "TOleContainer.CMCtl3DChanged"
		size = 54
		refs = "0007 NewStyleControls 001c TOleContainer.AdjustBounds 002f TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 1A 80 BB C4 02 00 00 01 75 11 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82670_0 {
	meta:
		name = "TOleContainer.CMDocWindowActivate"
		size = 89
		refs = "001b IsFormMDIChild"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB A4 02 00 00 00 74 47 8B 83 A4 02 00 00 8B 10 FF 52 48 E8 ?? ?? ?? ?? 84 C0 74 33 8B 46 04 50 8B 83 B0 02 00 00 50 8B 00 FF 50 1C 83 7E 04 00 75 1D 6A 00 6A 00 6A 00 8B 83 A8 02 00 00 50 8B 00 FF 50 28 8B 83 A8 02 00 00 8B 10 FF 52 44 5E 5B C3 }
	condition:
		$1
}

rule function_82671_0 {
	meta:
		name = "TOleContainer.CMUIDeactivate"
		size = 43
		refs = "0008 GetParentForm"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 3B 98 E8 02 00 00 75 15 83 BB AC 02 00 00 00 74 0C 8B 83 AC 02 00 00 50 8B 00 FF 50 18 5B C3 }
	condition:
		$1
}

rule function_82673_0 {
	meta:
		name = "TOleContainer.WMSetFocus"
		size = 61
		refs = "0007 TWinControl.WMSetFocus 002a SetFocus 0036 TOleContainer.SetFocused"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB C9 02 00 00 00 74 1D 54 8B 83 AC 02 00 00 50 8B 00 FF 50 0C 85 C0 75 0C 8B 04 24 50 E8 ?? ?? ?? ?? 5A 5B C3 B2 01 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_82674_0 {
	meta:
		name = "TOleContainer.WMSize"
		size = 70
		refs = "0006 TWinControl.WMSize"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? F6 46 1C 01 75 18 66 83 BE EA 02 00 00 00 74 0E 8B D6 8B 86 EC 02 00 00 FF 96 E8 02 00 00 80 BE F4 02 00 00 00 74 09 80 BE C9 02 00 00 00 75 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_82675_0 {
	meta:
		name = "TOleContainer.WMWindowPosChanged"
		size = 75
		refs = "000e TControl.GetBoundsRect 0017 TWinControl.WMWindowPosChanged 0036 EqualRect 0041 TOleContainer.UpdateObjectRect"
	strings:
		$1 = { 53 56 83 C4 E0 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB C9 02 00 00 00 74 21 54 8D 54 24 14 8B C3 E8 ?? ?? ?? ?? 8D 44 24 14 50 E8 ?? ?? ?? ?? 85 C0 75 07 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_82676_0 {
	meta:
		name = "TOleForm.OnDestroy"
		size = 40
		refs = "0016 TList.Get 001b TOleContainer.DestroyObject"
	strings:
		$1 = { 53 56 8B F0 8B 46 10 8B 58 08 4B 83 FB 00 7C 15 8B D3 8B 46 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 75 EB 5E 5B C3 }
	condition:
		$1
}

rule function_82677_0 {
	meta:
		name = "TOleForm.OnResize"
		size = 110
		refs = "001c TControl.GetClientWidth 0029 TControl.GetClientHeight 0035 TOleForm.GetBorder"
	strings:
		$1 = { 53 83 C4 F0 8B D8 83 7B 14 00 74 5D 8B 43 0C 80 B8 A2 02 00 00 01 74 51 8B 43 0C E8 ?? ?? ?? ?? 3B 43 18 75 0D 8B 43 0C E8 ?? ?? ?? ?? 3B 43 1C 74 37 54 53 E8 ?? ?? ?? ?? 6A FF 8B C3 85 C0 74 03 83 E8 CC 50 8D 44 24 08 50 8B 43 14 50 8B 00 FF 50 20 8B 43 0C E8 ?? ?? ?? ?? 89 43 18 8B 43 0C E8 ?? ?? ?? ?? 89 43 1C 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_82678_0 {
	meta:
		name = "TOleForm.GetWindow"
		size = 27
		refs = "000b TWinControl.GetHandle"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 43 0C E8 ?? ?? ?? ?? 8B 55 0C 89 02 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_82680_0 {
	meta:
		name = "TOleForm.GetBorder"
		size = 191
		refs = "002e TWinControl.GetControlCount 0048 TWinControl.GetControl 0059 TOleForm.IsSpacer 0066 TOleForm.IsToolControl"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 08 33 C0 89 45 FC 8D 55 E8 8B 46 0C 8B 08 FF 51 60 8B 45 0C 56 8D 75 E8 8B F8 A5 A5 A5 A5 5E 8B 46 0C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 7A 47 C7 45 F8 00 00 00 00 8B 55 F8 8B 46 0C E8 ?? ?? ?? ?? 8B D8 80 7B 61 00 74 59 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 4C 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 75 3F 0F B6 43 65 FE C8 74 23 FE C8 74 2A FE C8 74 06 FE C8 74 0C EB 29 8B 45 0C 8B 53 50 01 10 EB 1F 8B 45 0C 8B 53 50 29 50 08 EB 14 8B 45 0C 8B 53 54 01 50 04 EB 09 8B 45 0C 8B 53 54 29 50 0C FF 45 F8 4F 75 8E 8B 45 FC 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_82681_0 {
	meta:
		name = "TOleForm.RequestBorderSpace"
		size = 105
		refs = "0016 _Dn_TForm 001b @IsClass 002f TWinControl.GetControlCount 0043 TWinControl.GetControl"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 08 33 C0 89 45 FC 8B 5E 0C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 80 BB A6 02 00 00 02 74 32 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 1F 40 89 C3 33 FF 8B 46 0C 8B D7 E8 ?? ?? ?? ?? 80 78 61 00 74 06 80 78 65 05 74 0B 47 4B 75 E6 C7 45 FC A1 01 04 80 8B 45 FC 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_82682_0 {
	meta:
		name = "TOleForm.SetBorderSpace"
		size = 302
		refs = "001e TOleForm.RequestBorderSpace 0038 TWinControl.GetControlCount 004d TWinControl.GetControl 0058 TOleForm.IsToolControl 0065 TControl.SetVisible 006f TList.Add 007c Alignments 00a0 _Dn_TControl 00a5 TControl.Create 00c6 TControl.SetTop 00d1 TControl.SetLeft 00de TControl.SetAlign 00fe TControl.SetHeight 010a TControl.SetWidth 011f TWinControl.EnableAlign"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B 75 08 33 C0 83 7D 0C 00 0F 84 0D 01 00 00 8B 45 0C 50 56 E8 ?? ?? ?? ?? 85 C0 0F 85 FB 00 00 00 8B 46 0C 66 FF 80 B4 01 00 00 8B 46 0C E8 ?? ?? ?? ?? 48 85 C0 7C 38 40 89 45 F8 33 DB 8B D3 8B 46 0C E8 ?? ?? ?? ?? 8B F8 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D7 8B 46 20 E8 ?? ?? ?? ?? 43 FF 4D F8 75 CE 33 DB B8 ?? ?? ?? ?? 89 45 F4 8B 45 0C 8B 04 98 89 45 FC 83 7D FC 00 7E 7C 8B 7C 9E 24 85 FF 75 59 8B 4E 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 83 FB 02 7D 07 B8 10 27 00 00 EB 05 B8 F0 D8 FF FF F6 C3 01 74 0B 8B D0 8B C7 E8 ?? ?? ?? ?? EB 09 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 0F B6 10 8B C7 E8 ?? ?? ?? ?? 8B 56 0C 8B C7 8B 08 FF 91 84 00 00 00 89 7C 9E 24 F6 C3 01 74 0C 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 0A 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 43 FF 45 F4 83 FB 04 0F 85 68 FF FF FF 8B 46 0C E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_82683_0 {
	meta:
		name = "TOleForm.SetActiveObject"
		size = 132
		refs = "0013 @IntfCopy 0033 GetParent 0040 FindControl 0059 SetWindowPos 0068 TControl.GetClientWidth 0073 TControl.GetClientHeight"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 08 33 FF 8D 46 14 8B 55 0C E8 ?? ?? ?? ?? 83 7E 14 00 74 5D 8D 45 FC 50 8B 46 14 50 8B 00 FF 50 0C 85 C0 75 36 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 27 8B C3 E8 ?? ?? ?? ?? 85 C0 74 17 6A 13 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 FC 50 E8 ?? ?? ?? ?? EB 05 89 5D FC EB CA 8B 46 0C E8 ?? ?? ?? ?? 89 46 18 8B 46 0C E8 ?? ?? ?? ?? 89 46 1C 8B C7 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_82684_0 {
	meta:
		name = "TOleForm.InsertMenus"
		size = 68
		refs = "0038 TMainMenu.PopulateOle2Menu"
	strings:
		$1 = { 55 8B EC 83 C4 F4 8B 45 08 8B 40 0C 8B 80 BC 02 00 00 85 C0 74 26 6A 02 8B 55 10 52 6A 05 33 D2 89 55 F4 C7 45 F8 02 00 00 00 C7 45 FC 04 00 00 00 8D 4D F4 8B 55 0C E8 ?? ?? ?? ?? 33 C0 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_82685_0 {
	meta:
		name = "TOleForm.SetMenu"
		size = 58
		refs = "001c TMainMenu.SetOle2MenuHandle 0031 OleSetMenuDescriptor"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 0C 8B 98 BC 02 00 00 33 C0 85 DB 74 1F 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 14 50 8B 43 40 50 8B 45 10 50 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_82686_0 {
	meta:
		name = "TOleControl.RemoveMenus"
		size = 39
		refs = "0012 RemoveMenu 0018 GetMenuItemCount"
		altNames = "TOleForm.RemoveMenus"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C EB 0D 68 00 04 00 00 6A 00 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 85 C0 7F E9 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_82687_0 {
	meta:
		name = "TOleForm.SetStatusText"
		size = 30
		refs = "0013 @UStrFromPWChar"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 43 0C 05 88 00 00 00 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_82689_0 {
	meta:
		name = "TOleForm.TranslateAccelerator"
		size = 49
		refs = "001b TMenu.DispatchCommand"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 0C 8B 98 BC 02 00 00 85 DB 74 13 0F B7 55 10 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 05 B8 01 00 00 00 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_82690_0 {
	meta:
		name = "TOleForm.Create"
		size = 112
		refs = "000b @ClassCreate 001a TObject.Create 0024 _Dn_TList 0051 @IntfCopy 005c @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 20 8B 47 0C 05 D4 02 00 00 8B D7 85 D2 74 03 83 EA C8 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82691_0 {
	meta:
		name = "TOleForm.Destroy"
		size = 72
		refs = "0004 @BeforeDestruction 001a @IntfClear 0022 TObject.Free 0035 TObject.Destroy 0040 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 77 0C 85 F6 74 0B 8D 86 D4 02 00 00 E8 ?? ?? ?? ?? 8B 47 20 E8 ?? ?? ?? ?? 8B 47 10 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82692_0 {
	meta:
		name = "TOleForm.ClearBorderSpace"
		size = 93
		refs = "0016 TObject.Free 003a TList.Get 0041 TControl.SetVisible 0055 TWinControl.EnableAlign"
	strings:
		$1 = { 53 56 57 8B F0 8B 46 0C 66 FF 80 B4 01 00 00 33 DB 8B 44 9E 24 E8 ?? ?? ?? ?? 33 C0 89 44 9E 24 43 83 FB 04 75 EB 8B 46 20 8B 78 08 4F 85 FF 7C 18 47 33 DB 8B D3 8B 46 20 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 43 4F 75 EB 8B 46 20 8B 10 FF 52 08 8B 46 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82693_0 {
	meta:
		name = "TOleForm.IsSpacer"
		size = 20
	strings:
		$1 = { 33 C9 3B 54 88 24 75 03 B0 01 C3 41 83 F9 04 75 F1 33 C0 C3 }
	condition:
		$1
}

rule function_82694_0 {
	meta:
		name = "TOleForm.IsToolControl"
		size = 46
		refs = "001e TControl.Perform"
	strings:
		$1 = { 53 8B DA 80 7B 61 00 74 1D 0F B6 43 65 48 2C 04 73 14 6A 00 33 C9 BA 32 B0 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_82696_0 {
	meta:
		name = "TOleForm.RemoveContainer"
		size = 11
		refs = "0006 TList.RemoveItem"
	strings:
		$1 = { 8B 40 10 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82698_0 {
	meta:
		name = "Initialize"
		size = 256
		refs = "0003 DataFormats 000a GetDC 0014 GetDeviceCaps 0019 PixPerInch 002e ReleaseDC 0033 Initialize 0038 RegisterClipboardFormat 003d CFObjectDescriptor 004c CFEmbeddedObject 005b CFLinkSource"
	strings:
		$1 = { 53 56 BE ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B D8 6A 58 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 5A 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 06 C7 46 08 01 00 00 00 C7 46 0C FF FF FF FF C7 46 10 08 00 00 00 0F B7 05 ?? ?? ?? ?? 66 89 46 14 C7 46 1C 01 00 00 00 C7 46 20 FF FF FF FF C7 46 24 01 00 00 00 5E 5B C3 00 00 00 4F 00 62 00 6A 00 65 00 63 00 74 00 20 00 44 00 65 00 73 00 63 00 72 00 69 00 70 00 74 00 6F 00 72 00 00 00 45 00 6D 00 62 00 65 00 64 00 64 00 65 00 64 00 20 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 4C 00 69 00 6E 00 6B 00 20 00 53 00 6F 00 75 00 72 00 63 00 65 00 00 00 }
	condition:
		$1
}

rule function_82700_0 {
	meta:
		name = "Vcl.OleCtnrs"
		size = 22
		refs = "0002 _DV_3 000c OleInitialize 0011 Initialize"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0C 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82703_0 {
	meta:
		name = "OleFontToFont"
		size = 124
		refs = "0011 OleFontToFont 0021 @VarToIntf 0031 @IntfCast 003b SetOleFont 0050 @IntfClear 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 03 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_82704_0 {
	meta:
		name = "StringToVarOleStr"
		size = 31
		refs = "0009 @VarClear 0010 StringToOleStr"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 43 08 66 C7 03 08 00 5E 5B C3 }
	condition:
		$1
}

rule function_82706_0 {
	meta:
		name = "TEventDispatch.QueryInterface"
		size = 108
		refs = "0014 TObject.GetInterface 0033 IsEqualIID 003f TEventDispatch.QueryInterface"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 8B 4D 10 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 33 8B 7B 04 85 FF 74 27 8B 87 78 02 00 00 83 C0 10 50 56 E8 ?? ?? ?? ?? 84 C0 74 13 8B 4D 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 EB 05 B8 02 40 00 80 5F 5E 5B 5D C2 0C 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82707_0 {
	meta:
		name = "TEventDispatch._AddRef"
		size = 19
		refs = "000b TOleControl._AddRef"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 04 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_82708_0 {
	meta:
		name = "TEventDispatch._Release"
		size = 19
		refs = "000b TOleControl._Release"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 04 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_82712_0 {
	meta:
		name = "TEventDispatch.Invoke"
		size = 70
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 1C 8B 45 0C 8B 75 08 3D A1 FD FF FF 7C 18 3D A8 FD FF FF 7F 11 8B CF 8B D0 8B 46 04 8B 18 FF 93 F8 00 00 00 EB 0F 8B CF 8B D0 8B 46 04 8B 18 FF 93 FC 00 00 00 33 C0 5F 5E 5B 5D C2 24 00 }
	condition:
		$1
}

rule function_82713_0 {
	meta:
		name = "TEnumPropDesc.Create"
		size = 347
		refs = "0014 @ClassCreate 0025 TEnumPropDesc.Create 0044 AllocMem 0074 OleCheck 00c2 @UStrFromWStr 00d6 @UStrDelete 00de @UStrLen 010a @HandleFinally 012d @WStrClr 0143 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 F7 89 45 F8 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 48 04 8B 45 F8 89 58 08 8B C3 03 C0 03 C0 03 C0 E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C 4B 85 DB 0F 8C C5 00 00 00 43 89 5D E8 C7 45 F0 00 00 00 00 8D 45 EC 50 8B 45 F0 50 8B 45 08 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 8D 45 FC 50 8B 45 EC 8B 00 50 8B 45 08 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 0C 8B 55 F0 8D 1C D0 8B 45 EC 8B 40 08 8B 40 08 89 03 8D 43 04 8B 55 FC E8 ?? ?? ?? ?? EB 12 8D 43 04 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 48 7E 09 8B 43 04 66 83 38 5F 74 DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 8B 45 08 50 8B 00 FF 50 54 C3 E9 ?? ?? ?? ?? EB EB FF 45 F0 FF 4D E8 0F 85 46 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 80 7D F7 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F8 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_82714_0 {
	meta:
		name = "TEnumPropDesc.Destroy"
		size = 63
		refs = "0003 @BeforeDestruction 0017 TEnumValue 001c @FinalizeArray 002d @FreeMem 0038 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C 85 C0 74 1F 8B 4E 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 03 D2 03 D2 03 D2 8B 46 0C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82715_0 {
	meta:
		name = "TEnumPropDesc.GetStrings"
		size = 184
		refs = "0014 TEnumPropDesc.GetStrings 0062 Format 0086 @UStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 70 08 4E 85 F6 7C 4C 46 C7 45 F8 00 00 00 00 8B 45 FC 8B 40 0C 8B 55 F8 8D 1C D0 8D 45 F4 50 8B 03 89 45 E4 C6 45 E8 00 8B 43 04 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 0C FF 55 08 FF 45 F8 4E 75 BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 64 00 20 00 2D 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_82716_0 {
	meta:
		name = "TEnumPropDesc.StringToValue"
		size = 304
		refs = "0017 TEnumPropDesc.StringToValue 002c @UStrLen 003f CharInSet 005b @UStrCopy 0063 StrToInt 00af AnsiCompareText 00d4 SBadPropValue 00db _Dn_EOleError 00e0 Exception.CreateResFmt 00e5 @RaiseExcept 00fa @UStrClr 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F0 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 EB 01 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 13 BA ?? ?? ?? ?? 0F B7 44 5E FE E8 ?? ?? ?? ?? 84 C0 75 E1 83 FB 01 7E 40 8D 45 F0 50 8B CB 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 78 08 4F 85 FF 7C 50 47 33 DB 8B 45 FC 8B 40 0C 8B 04 D8 3B 45 F8 74 63 43 4F 75 EE EB 39 8B 45 FC 8B 78 08 4F 85 FF 7C 2E 47 33 DB 8B 45 FC 8B 40 0C 8D 04 D8 89 45 F4 8B 45 F4 8B 50 04 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0A 8B 45 F4 8B 00 89 45 F8 EB 28 43 4F 75 D5 89 75 E8 C6 45 EC 11 8D 45 E8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 20 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_82717_0 {
	meta:
		name = "TEnumPropDesc.ValueToString"
		size = 132
		refs = "0045 TEnumPropDesc.ValueToString 004a Format 005a IntToStr"
	strings:
		$1 = { 53 56 57 83 C4 EC 89 0C 24 8B FA 8B 50 08 4A 85 D2 7C 41 42 33 F6 8B 48 0C 8D 1C F1 3B 3B 75 30 8B 04 24 50 8B 03 89 44 24 08 C6 44 24 0C 00 8B 43 04 89 44 24 10 C6 44 24 14 11 8D 54 24 08 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 46 4A 75 C2 8B 14 24 8B C7 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 64 00 20 00 2D 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_82718_0 {
	meta:
		name = "TOleControl.Create"
		size = 564
		refs = "000f @ClassCreate 001d TWinControl.Create 0047 _Dn_TList 004c TObject.Create 0064 TList.SetCount 007c _Dn_TFont 0081 TFont.Create 0090 TList.Put 00dc _Dn_TPicture 00e1 TPicture.Create 00fd TList.Get 0107 TOleControl.PictureChanged 0114 _DV_TEventDispatch 0119 TEventDispatch.Create 0126 TOleControl.CreateInstance 0150 OleCheck 0199 @IntfClear 019f TOleControl.Create 01c1 TControl.SetVisible 01ed TWinControl.SetTabStop 01f3 TOleControl.RequestNewObjectLayout 0205 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 80 4B 28 02 8B C3 8B 10 FF 92 00 01 00 00 8B 83 78 02 00 00 FF 40 48 8B 83 78 02 00 00 83 78 34 00 7E 54 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B0 02 00 00 8B 83 78 02 00 00 8B 50 34 8B C6 E8 ?? ?? ?? ?? 8B 83 B0 02 00 00 8B 78 08 4F 85 FF 7C 22 47 33 F6 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 83 B0 02 00 00 8B D6 E8 ?? ?? ?? ?? 46 4F 75 E1 8B 83 78 02 00 00 83 78 3C 00 7E 6B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B4 02 00 00 8B 83 78 02 00 00 8B 50 3C 8B C6 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 8B 78 08 4F 85 FF 7C 39 47 33 F6 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 83 B4 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 8B D6 E8 ?? ?? ?? ?? 89 58 14 C7 40 10 ?? ?? ?? ?? 46 4F 75 CA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 80 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 88 02 00 00 8B C3 8B 08 FF 91 04 01 00 00 8D 83 AC 02 00 00 50 6A 01 8B 83 88 02 00 00 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 F6 40 44 02 75 32 F6 83 AE 02 00 00 02 75 0C 8B 83 78 02 00 00 F6 40 44 01 74 1D 8B C3 85 C0 74 05 2D 0C FD FF FF 50 8B 83 88 02 00 00 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 83 8C 02 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 88 02 00 00 50 8B 00 FF 10 E8 ?? ?? ?? ?? F6 83 AD 02 00 00 04 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? F6 83 AE 02 00 00 01 74 0A A1 ?? ?? ?? ?? 89 43 58 EB 08 A1 ?? ?? ?? ?? 89 43 58 F6 83 AD 02 00 00 60 0F 94 C2 8B C3 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 00 80 23 D5 7F 07 4E 1B 10 AE 2D 08 00 2B 2E C7 13 81 10 00 00 80 10 00 00 }
	condition:
		$1
}

rule function_82719_0 {
	meta:
		name = "FreeList"
		size = 56
		refs = "001c TList.Get 0021 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F0 83 3E 00 74 2A 8B 06 8B 58 08 4B 85 DB 7C 15 43 33 FF 8B 06 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 EE 8B 06 E8 ?? ?? ?? ?? 33 C0 89 06 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82720_0 {
	meta:
		name = "TOleControl.Destroy"
		size = 179
		refs = "0003 @BeforeDestruction 0025 TOleControl.DestroyControl 002c TOleControl.DestroyStorage 0037 @IntfClear 0064 TObject.Free 006f FreeList 0096 TOleControl.DestroyEnumPropDescs 00a1 TWinControl.Destroy 00ac @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 BE 88 02 00 00 00 74 0E 6A 01 8B 86 88 02 00 00 50 8B 00 FF 50 18 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 86 8C 02 00 00 E8 ?? ?? ?? ?? 83 BE 88 02 00 00 00 74 0E 6A 00 8B 86 88 02 00 00 50 8B 00 FF 50 0C 8D 86 88 02 00 00 E8 ?? ?? ?? ?? 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8D 86 B0 02 00 00 E8 ?? ?? ?? ?? 8D 86 B4 02 00 00 E8 ?? ?? ?? ?? 8B 86 78 02 00 00 FF 48 48 8B 86 78 02 00 00 83 78 48 00 75 07 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82721_0 {
	meta:
		name = "TOleControl.BrowseProperties"
		size = 11
		refs = "0006 TOleControl.DoObjectVerb"
	strings:
		$1 = { BA F9 FF FF FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82722_0 {
	meta:
		name = "TOleControl.CreateControl"
		size = 800
		refs = "0013 TOleControl.CreateControl 004d @IntfClear 006e @HandleAnyException 0076 @DoneExcept 00a1 OleCheck 00e1 CreateStreamOnHGlobal 0106 TOleControl.DestroyStorage 01c1 InterfaceConnect 028e TOleControl.RequestNewObjectLayout 02a5 TOleControl.DestroyControl 02aa @RaiseAgain 02d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 B8 90 02 00 00 00 0F 85 86 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F4 8B 80 88 02 00 00 50 8B 00 FF 50 10 8B D8 33 C0 5A 59 59 64 89 10 EB 0D E9 ?? ?? ?? ?? 83 CB FF E8 ?? ?? ?? ?? 85 DB 75 06 83 7D F8 00 75 21 8B 45 F4 85 C0 74 05 2D 0C FD FF FF 50 8B 45 F4 8B 80 88 02 00 00 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 F4 8B 98 84 02 00 00 85 DB 75 22 8B 45 F4 83 B8 8C 02 00 00 00 74 16 8B 45 F4 8B 80 8C 02 00 00 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? EB 36 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 F4 8B 80 8C 02 00 00 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 05 90 02 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F4 8B 80 88 02 00 00 50 8B 00 FF 10 E8 ?? ?? ?? ?? 8B 45 F4 C7 80 C8 02 00 00 10 00 00 00 8B 45 F4 05 C8 02 00 00 50 8B 45 F4 8B 80 90 02 00 00 50 8B 00 FF 50 0C 8B 45 F4 05 94 02 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F4 8B 80 88 02 00 00 50 8B 00 FF 10 E8 ?? ?? ?? ?? 8B 45 F4 05 98 02 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F4 8B 80 88 02 00 00 50 8B 00 FF 10 8B 45 F4 05 A4 02 00 00 50 8B 4D F4 85 C9 74 06 81 E9 28 FD FF FF BA ?? ?? ?? ?? 8B 45 F4 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 05 A8 02 00 00 50 8B 45 F4 8B 88 80 02 00 00 85 C9 74 03 83 E9 F8 8B 45 F4 8B 80 78 02 00 00 8D 50 10 8B 45 F4 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 78 02 00 00 F6 40 2C 01 74 11 68 0B FE FF FF 8B 45 F4 50 8B 00 FF 90 0C 01 00 00 8B 45 F4 8B 80 78 02 00 00 F6 40 2C 08 74 11 68 FE FD FF FF 8B 45 F4 50 8B 00 FF 90 0C 01 00 00 8B 45 F4 8B 80 78 02 00 00 F6 40 2C 04 74 11 68 00 FE FF FF 8B 45 F4 50 8B 00 FF 90 0C 01 00 00 8B 45 F4 8B 80 78 02 00 00 F6 40 2C 02 74 11 68 FF FD FF FF 8B 45 F4 50 8B 00 FF 90 0C 01 00 00 6A FF 8B 45 F4 8B 80 90 02 00 00 50 8B 00 FF 50 14 8B 45 F4 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 88 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 AA D3 6B 37 45 38 1B 10 84 ED 08 00 2B 2E C7 13 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_82723_0 {
	meta:
		name = "FindMember"
		size = 58
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 52 FC 8B 92 78 02 00 00 8B 52 4C 8B 52 08 4A 85 D2 7C 1C 42 8B 4D 08 8B 49 FC 8B 89 78 02 00 00 8B 49 4C 3B 41 04 75 04 B0 01 5D C3 4A 75 E5 33 C0 5D C3 }
	condition:
		$1
}

rule function_82724_0 {
	meta:
		name = "CreateEnum"
		size = 238
		refs = "001d CreateEnum 0036 @IntfClear 0046 OleCheck 0084 _DV_TEnumPropDesc 0089 TEnumPropDesc.Create 009e TList.Expand 00a4 TList.Add 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F0 8D 7D F4 A5 A5 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7D F8 1D 0F 85 98 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 F4 50 53 8B 03 FF 50 38 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 83 78 28 00 75 35 8B 45 F0 0F B7 40 2E 50 8B 45 FC 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC 8B 80 78 02 00 00 8B 40 4C E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 50 8B 00 FF 50 4C C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82725_0 {
	meta:
		name = "ProcessTypeInfo"
		size = 656
		refs = "0012 ProcessTypeInfo 002a OleCheck 0045 IsEqualGUID 004e @TryFinallyExit 008a @IntfClear 00fc CreateEnum 011d @HandleFinally 0174 FindMember"
	strings:
		$1 = { 55 8B EC 83 C4 E0 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 0A E8 ?? ?? ?? ?? E9 05 02 00 00 8B 45 F0 83 78 28 03 74 09 8B 45 F0 F6 40 36 40 74 45 8B 45 F0 F6 40 36 80 74 3C 8D 45 E4 50 6A 00 8B 45 F8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 E4 50 8B 45 F8 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 8B 45 F0 0F B7 40 2E 48 85 C0 7C 71 40 89 45 E0 C7 45 F4 00 00 00 00 8D 45 EC 50 8B 45 F4 50 8B 45 F8 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 EC 8B 08 8B 45 EC 83 C0 0C 8B 55 F8 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 50 8B 00 FF 50 54 C3 E9 ?? ?? ?? ?? EB EB FF 45 F4 FF 4D E0 75 9A 8B 45 F0 0F B7 40 2C 48 85 C0 0F 8C FF 00 00 00 40 89 45 E0 C7 45 F4 00 00 00 00 8D 45 E8 50 8B 45 F4 50 8B 45 F8 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 50 8B 45 E8 8B 00 E8 ?? ?? ?? ?? 59 84 C0 0F 85 8B 00 00 00 8B 45 E8 8B 40 10 83 E8 02 74 0C 83 E8 02 74 21 83 E8 04 74 43 EB 74 8B 45 08 50 8B 45 E8 8B 08 8B 45 E8 83 C0 20 8B 55 F8 E8 ?? ?? ?? ?? 59 EB 5A 8B 45 08 50 8B 45 E8 0F BF 40 18 03 C0 8B 55 E8 8B 52 08 8D 44 C2 F0 8B 55 E8 8B 0A 8B 55 F8 E8 ?? ?? ?? ?? 59 EB 33 8B 45 E8 0F BF 40 18 03 C0 8B 55 E8 8B 52 08 66 83 7C C2 F4 1A 75 1C 8B 55 08 52 8B 55 E8 8B 52 08 8B 44 C2 F0 8B 55 E8 8B 0A 8B 55 F8 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 50 8B 45 F8 50 8B 00 FF 50 50 C3 E9 ?? ?? ?? ?? EB EB FF 45 F4 FF 4D E0 0F 85 0C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F8 50 8B 00 FF 50 4C C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82726_0 {
	meta:
		name = "TOleControl.CreateEnumPropDescs"
		size = 189
		refs = "0015 TOleControl.CreateEnumPropDescs 0023 TOleControl.CreateControl 002a _Dn_TList 002f TObject.Create 0051 @IntfClear 006a OleCheck 0073 ProcessTypeInfo 0083 @HandleAnyException 008b TOleControl.DestroyEnumPropDescs 0090 @RaiseAgain 0095 @DoneExcept 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 92 78 02 00 00 89 42 4C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 FC 8B 80 94 02 00 00 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 55 8B 45 F8 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_82727_0 {
	meta:
		name = "LicenseCheck"
		size = 125
		refs = "0012 LicenseCheck 002f TObject.ClassName 0048 _Dn_EOleError 004d Exception.CreateFmt 0052 @RaiseExcept 0057 OleCheck 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 3D 12 01 04 80 75 33 8D 55 F4 8B 45 08 8B 40 FC 8B 00 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82728_0 {
	meta:
		name = "TOleControl.CreateInstance"
		size = 328
		refs = "0011 TOleControl.CreateInstance 003b @IntfClear 0054 CoGetClassObject 0059 OleCheck 006d @WStrFromPWChar 0076 SInvalidLicense 007b LoadResString 00a9 LicenseCheck 00b5 SNotLicensed 00e4 CoCreateInstance 0105 @UStrArrayClr 010d @WStrClr 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 1C 10 0F 85 88 00 00 00 8B 45 FC 8B 80 78 02 00 00 83 78 28 00 74 79 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 00 6A 05 8B 45 FC 8B 80 78 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 92 78 02 00 00 8B 52 28 E8 ?? ?? ?? ?? 55 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 05 88 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 F4 50 68 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F8 50 8B 00 FF 50 1C 5A E8 ?? ?? ?? ?? 59 EB 3F 55 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 05 88 02 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 05 6A 00 8B 45 FC 8B 80 78 02 00 00 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B E5 5D C3 00 00 00 8F B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 12 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82729_0 {
	meta:
		name = "TOleControl.CreateStorage"
		size = 224
		refs = "0015 TOleControl.CreateStorage 0023 TOleControl.DestroyStorage 003c GlobalAlloc 0050 OutOfMemoryError 0066 @IntfClear 0078 CreateStreamOnHGlobal 007d OleCheck 00a6 @HandleAnyException 00b3 @RaiseAgain 00b8 @DoneExcept 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 83 B8 8C 02 00 00 00 0F 84 85 00 00 00 6A 00 6A 02 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 89 98 84 02 00 00 85 DB 75 05 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 8B 45 F8 8B 80 84 02 00 00 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 8B 45 FC 50 8B 45 F8 8B 80 8C 02 00 00 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_82730_0 {
	meta:
		name = "TOleControl.CreateWnd"
		size = 161
		refs = "0009 TOleControl.CreateControl 001b TControl.GetBoundsRect 0023 TWinControl.GetParentHandle 0051 SCannotActivate 0058 _Dn_EOleError 005d Exception.CreateRes 0062 @RaiseExcept 0069 TOleControl.HookControlWndProc 0076 TWinControl.GetHandle 007c IsWindowVisible 008f ShowWindow 0098 TWinControl.CreateWnd"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? F6 83 AD 02 00 00 04 75 7F 8B D4 8B C3 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 50 6A 00 8B C3 85 C0 74 05 2D 0C FD FF FF 50 6A 00 6A FB 8B 83 88 02 00 00 50 8B 00 FF 50 2C 83 BB 9C 02 00 00 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7B 61 00 75 29 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 18 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_82731_0 {
	meta:
		name = "TOleControl.DefaultHandler"
		size = 144
		refs = "000e TOleControl.DefaultHandler 001b TWinControl.HandleAllocated 0050 TWinControl.GetHandle 005d CallWindowProc 0073 TWinControl.DefaultHandler 0082 @HandleAnyException 0087 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4B 8B 06 3D 00 BC 00 00 72 0D 3D 00 C0 00 00 73 06 81 2E 00 9C 00 00 F6 83 AE 02 00 00 01 75 2C 8B 46 08 50 8B 46 04 50 8B 06 50 8B C3 E8 ?? ?? ?? ?? 50 8B 83 5C 02 00 00 50 E8 ?? ?? ?? ?? 89 46 0C 33 C0 5A 59 59 64 89 10 EB 1D 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_82732_0 {
	meta:
		name = "TOleControl.SuppressException"
		size = 38
		refs = "000a _Dn_EOleSysError 000f @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A F6 43 1C 10 0F 95 C0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_82733_0 {
	meta:
		name = "TOleControl.DefineProperties"
		size = 180
		refs = "0010 TOleControl.DefineProperties 0020 TWinControl.DefineProperties 0029 TOleControl.ReadData 0032 TOleControl.WriteData 005a @HandleOnException 0062 _Dn_Exception 007e @RaiseAgain 0083 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 83 B8 88 02 00 00 00 0F 95 C1 BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B D3 8B 45 FC 8B 08 FF 91 08 01 00 00 84 C0 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 44 00 61 00 74 00 61 00 00 00 }
	condition:
		$1
}

rule function_82735_0 {
	meta:
		name = "TOleControl.DestroyControl"
		size = 104
		refs = "0019 InterfaceDisconnect 0024 TOleControl.DestroyControl 003a @IntfClear"
	strings:
		$1 = { 53 8B D8 8D 8B A8 02 00 00 8B 83 78 02 00 00 8D 50 10 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 8D 8B A4 02 00 00 BA ?? ?? ?? ?? 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 8D 83 98 02 00 00 E8 ?? ?? ?? ?? 8D 83 94 02 00 00 E8 ?? ?? ?? ?? 8D 83 90 02 00 00 E8 ?? ?? ?? ?? 5B C3 00 00 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_82736_0 {
	meta:
		name = "TOleControl.DestroyEnumPropDescs"
		size = 63
		refs = "0021 TList.Get 0026 TObject.Free"
	strings:
		$1 = { 53 56 57 8B 98 78 02 00 00 8B 43 4C 85 C0 74 2B 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B D7 8B 43 4C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 43 4C E8 ?? ?? ?? ?? 33 C0 89 43 4C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82737_0 {
	meta:
		name = "TOleControl.DestroyStorage"
		size = 29
		refs = "000f GlobalFree"
	strings:
		$1 = { 53 8B D8 8B 83 84 02 00 00 85 C0 74 0E 50 E8 ?? ?? ?? ?? 33 C0 89 83 84 02 00 00 5B C3 }
	condition:
		$1
}

rule function_82738_0 {
	meta:
		name = "TOleControl.DestroyWindowHandle"
		size = 82
		refs = "0022 SetWindowLongPtr 004b TWinControl.DestroyWindowHandle"
	strings:
		$1 = { 53 56 8B D8 F6 83 AD 02 00 00 04 75 3B 8B 83 60 02 00 00 BA FC FF FF FF 8B B3 5C 02 00 00 56 52 50 E8 ?? ?? ?? ?? 83 BB 88 02 00 00 00 74 0E 6A 01 8B 83 88 02 00 00 50 8B 00 FF 50 18 33 C0 89 83 60 02 00 00 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82739_0 {
	meta:
		name = "TOleControl.DoObjectVerb"
		size = 204
		refs = "0010 TOleControl.CreateControl 0015 GetActiveWindow 001f DisableTaskWindows 002a TOleControl.DoObjectVerb 003b TControl.GetBoundsRect 0047 TWinControl.GetParentHandle 006e OleCheck 0083 EnableTaskWindows 008c SetActiveWindow 0095 SetFocus 009b @HandleFinally 00c3 TOleControl.DesignModified"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 8B 45 FC 85 C0 74 05 2D 0C FD FF FF 50 6A 00 53 8B 45 FC 8B 80 88 02 00 00 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 FC 83 B8 8C 02 00 00 00 74 1A 8B 45 FC 8B 80 8C 02 00 00 50 8B 00 FF 50 10 48 74 08 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82743_0 {
	meta:
		name = "TOleControl.GetCompProp"
		size = 30
		refs = "000e TOleControl.GetDoubleProp"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? DF 3C 24 9B DF 2C 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_82744_0 {
	meta:
		name = "TOleControl.GetCurrencyProp"
		size = 34
		refs = "0008 TOleControl.GetProperty"
	strings:
		$1 = { 83 C4 E8 8D 4C 24 08 E8 ?? ?? ?? ?? 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 DF 2C 24 83 C4 18 C3 }
	condition:
		$1
}

rule function_82745_0 {
	meta:
		name = "TOleControl.GetDoubleProp"
		size = 34
		refs = "0008 TOleControl.GetProperty"
		altNames = "TOleControl.GetOleDateProp TOleControl.GetTDateTimeProp"
	strings:
		$1 = { 83 C4 E8 8D 4C 24 08 E8 ?? ?? ?? ?? 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 DD 04 24 83 C4 18 C3 }
	condition:
		$1
}

rule function_82746_0 {
	meta:
		name = "TOleControl.GetEnumPropDesc"
		size = 63
		refs = "0013 TOleControl.CreateEnumPropDescs 002b TList.Get"
	strings:
		$1 = { 53 56 57 55 8B EA 8B B8 78 02 00 00 83 7F 4C 00 75 05 E8 ?? ?? ?? ?? 8B 47 4C 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 4C 8B D6 E8 ?? ?? ?? ?? 3B 68 04 74 06 46 4B 75 ED 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82747_0 {
	meta:
		name = "TOleControl.GetEventMethod"
		size = 93
		refs = "003a TObject.ClassParent 003f TObject.InstanceSize"
	strings:
		$1 = { 53 56 57 51 89 C3 8B 8B 78 02 00 00 8B 79 20 8B 71 24 31 C0 EB 06 3B 14 86 74 0B 40 39 F8 75 F6 31 C0 31 D2 EB 2D 50 81 79 30 91 01 00 00 72 07 8B 41 50 85 C0 75 12 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 07 83 E0 F8 01 C3 58 8B 54 C3 04 8B 04 C3 59 89 01 89 51 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82748_0 {
	meta:
		name = "Exchange"
		size = 7
	strings:
		$1 = { 8B 0A 87 08 89 0A C3 }
	condition:
		$1
}

rule function_82749_0 {
	meta:
		name = "Find"
		size = 282
		refs = "0014 Find 0029 StringToOleStr 005a OleCheck 007a @IntfClear 00bd Exchange 00e6 SysFreeString 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 08 3B 58 F4 0F 8D 88 00 00 00 8D 45 F4 50 53 8B 06 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? F6 45 F4 03 74 63 8D 45 F0 50 53 8B 06 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 06 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 45 08 83 C0 FC 50 6A 01 8D 45 EC 50 8B 45 FC 50 8B 00 FF 50 28 8B F8 81 FF 06 00 02 80 74 17 8B C7 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? C6 45 FB 01 EB 0D 43 8B 45 08 3B 58 F4 0F 8C 78 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82750_0 {
	meta:
		name = "TOleControl.GetHelpContext"
		size = 460
		refs = "001b @UStrAddRef 0023 TOleControl.GetHelpContext 0035 @UStrClr 003c TOleControl.CreateControl 0044 @IntfClear 0058 @IntfCast 0066 OleCheck 00b6 Find 00f1 @UStrDelete 0111 Pos 015f OleStrToString 0168 SysFreeString 0195 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 5D F0 8B F1 89 55 F8 8B D8 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 06 8B 45 08 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 45 E4 8B 93 88 02 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E B8 00 00 00 8D 45 E8 50 8B 45 F0 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 E8 0F B7 40 30 89 45 F4 8B 45 E8 50 8B 45 F0 50 8B 00 FF 50 4C 55 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 59 8B D8 84 DB 75 43 8B 55 F8 8B C2 85 C0 74 05 83 E8 04 8B 00 8B 4D F8 66 83 7C 41 FE 5F 75 2A 8B C2 85 C0 74 05 83 E8 04 8B 00 8B D0 4A 8D 45 F8 B9 01 00 00 00 E8 ?? ?? ?? ?? 55 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 59 8B D8 84 DB 75 31 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 21 8D 45 F8 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 55 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 59 8B D8 84 DB 74 31 8D 45 EC 50 56 6A 00 6A 00 8B 45 FC 50 8B 45 F0 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 55 08 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC 50 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5E 5B 8B E5 5D C2 04 00 00 00 00 83 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_82751_0 {
	meta:
		name = "TOleControl.GetIDispatchProp"
		size = 29
		refs = "0009 TOleControl.GetProperty 0014 @IntfCopy"
		altNames = "TOleControl.GetIUnknownProp"
	strings:
		$1 = { 53 83 C4 F0 8B D9 8B CC E8 ?? ?? ?? ?? 8B C3 8B 54 24 08 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_82752_0 {
	meta:
		name = "TOleControl.GetIntegerProp"
		size = 18
		refs = "0006 TOleControl.GetProperty"
	strings:
		$1 = { 83 C4 F0 8B CC E8 ?? ?? ?? ?? 8B 44 24 08 83 C4 10 C3 }
	condition:
		$1
}

rule function_82754_0 {
	meta:
		name = "TOleControl.GetMainMenu"
		size = 76
		refs = "0007 GetParentForm 0015 _Dn_TForm 001a @IsClass 0034 Application"
	strings:
		$1 = { 53 56 33 F6 B2 01 E8 ?? ?? ?? ?? 8B D8 85 DB 74 36 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 80 BB A6 02 00 00 01 74 08 8B B3 BC 02 00 00 EB 14 A1 ?? ?? ?? ?? 8B 00 8B 40 48 85 C0 74 06 8B B0 BC 02 00 00 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_82755_0 {
	meta:
		name = "TOleControl.GetObjectVerbs"
		size = 217
		refs = "001b TOleControl.GetObjectVerbs 0028 TOleControl.CreateControl 0038 @IntfClear 0061 OleRegEnumVerbs 0078 @UStrFromPWChar 0083 StripHotkey 00c0 @UStrArrayClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 C9 89 4D E4 89 4D E0 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 44 8D 45 FC E8 ?? ?? ?? ?? 50 8B 83 88 02 00 00 50 8B 00 FF 50 30 3D 00 00 04 00 75 15 8D 45 FC E8 ?? ?? ?? ?? 50 8B 83 78 02 00 00 50 E8 ?? ?? ?? ?? 85 C0 75 41 EB 2A F6 45 F4 02 74 24 8D 45 E0 8B 55 EC E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 4D E8 8B 45 F8 8B 18 FF 53 3C 6A 00 8D 45 E8 50 6A 01 8B 45 FC 50 8B 00 FF 50 0C 85 C0 74 C1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82756_0 {
	meta:
		name = "TOleControl.GetOleBoolProp"
		size = 19
		refs = "0006 TOleControl.GetProperty"
		altNames = "TOleControl.GetSmallintProp TOleControl.GetWordBoolProp"
	strings:
		$1 = { 83 C4 F0 8B CC E8 ?? ?? ?? ?? 0F B7 44 24 08 83 C4 10 C3 }
	condition:
		$1
}

rule function_82758_0 {
	meta:
		name = "TOleControl.GetTFontProp"
		size = 208
		refs = "001a TOleControl.GetTFontProp 0054 TList.Get 006d TOleControl.GetIDispatchProp 007d @IntfCast 0088 SetOleFont 00a1 @IntfClear 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 87 B0 02 00 00 8B 70 08 4E 85 F6 7C 59 46 33 DB 8B 87 78 02 00 00 8B 40 38 8B 04 98 3B 45 FC 75 41 8B 87 B0 02 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 83 78 20 00 75 28 8D 4D F0 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 43 4E 75 AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 03 E0 F6 BE 74 A8 1A 10 8B BA 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_82763_0 {
	meta:
		name = "TOleControl.GetOleObject"
		size = 112
		refs = "000f TOleControl.GetOleObject 001c TOleControl.CreateControl 002f @IntfCast 0039 @VarFromDisp 004e @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 93 88 02 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82764_0 {
	meta:
		name = "TOleControl.GetDefaultDispatch"
		size = 52
		refs = "0009 TOleControl.CreateControl 0016 TOleControl.GetDefaultDispatch 001b @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 93 88 02 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82765_0 {
	meta:
		name = "TOleControl.GetOleVariantProp"
		size = 31
		refs = "000c @VarClear 0017 TOleControl.GetProperty"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C6 E8 ?? ?? ?? ?? 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82766_0 {
	meta:
		name = "TOleControl.GetTPictureProp"
		size = 208
		refs = "001a TOleControl.GetTPictureProp 0054 TList.Get 006d TOleControl.GetIDispatchProp 007d @IntfCast 0088 SetOlePicture 00a1 @IntfClear 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 87 B4 02 00 00 8B 70 08 4E 85 F6 7C 59 46 33 DB 8B 87 78 02 00 00 8B 40 40 8B 04 98 3B 45 FC 75 41 8B 87 B4 02 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 83 78 18 00 75 28 8D 4D F0 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 43 4E 75 AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 81 09 F8 7B 32 BF 1A 10 8B BB 00 AA 00 30 0C AB }
	condition:
		$1
}

rule function_82767_0 {
	meta:
		name = "TOleControl.GetPropDisplayString"
		size = 128
		refs = "0012 TOleControl.GetPropDisplayString 001f TOleControl.CreateControl 0030 @WStrClr 004c @UStrFromWStr 0059 TOleControl.GetStringProp 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 BB 98 02 00 00 00 74 26 8D 45 FC E8 ?? ?? ?? ?? 50 56 8B 83 98 02 00 00 50 8B 00 FF 50 0C 85 C0 75 0C 8B C7 8B 55 FC E8 ?? ?? ?? ?? EB 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82768_0 {
	meta:
		name = "TOleControl.GetPropDisplayStrings"
		size = 250
		refs = "0019 TOleControl.GetPropDisplayStrings 0026 TOleControl.CreateControl 007b @UStrFromPWChar 00b4 CoTaskMemFree 00d0 @HandleFinally 00e7 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 44 83 BB 98 02 00 00 00 0F 84 97 00 00 00 8D 45 EC 50 8D 45 F4 50 56 8B 83 98 02 00 00 50 8B 00 FF 50 14 85 C0 75 7E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 F4 4E 85 F6 7C 26 46 33 DB 8D 45 E8 8B 55 F8 8B 14 9A E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F0 8B 0C 98 8B 45 FC 8B 38 FF 57 3C 43 4E 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 75 F4 4E 85 F6 7C 13 46 33 DB 8B 45 F8 8B 04 98 50 E8 ?? ?? ?? ?? 43 4E 75 F0 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82769_0 {
	meta:
		name = "TOleControl.GetProperty"
		size = 144
		refs = "0014 tagEXCEPINFO 0019 @InitializeRecord 0021 TOleControl.GetProperty 002e TOleControl.CreateControl 003f DispParams 0048 GUID_NULL 0062 DispatchInvokeError 007d @FinalizeRecord 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8B FA 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 66 C7 06 00 00 6A 00 8D 45 E0 50 56 68 ?? ?? ?? ?? 6A 02 6A 00 A1 ?? ?? ?? ?? 50 57 8B 83 94 02 00 00 50 8B 00 FF 50 18 85 C0 74 08 8D 55 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82771_0 {
	meta:
		name = "TOleControl.GetSingleProp"
		size = 26
		refs = "0008 TOleControl.GetProperty"
	strings:
		$1 = { 83 C4 EC 8D 4C 24 04 E8 ?? ?? ?? ?? 8B 44 24 0C 89 04 24 D9 04 24 83 C4 14 C3 }
	condition:
		$1
}

rule function_82773_0 {
	meta:
		name = "TOleControl.GetStringProp"
		size = 92
		refs = "0018 TOleControl.GetStringProp 002a TOleControl.GetVariantProp 0034 @VarToUStr 0049 @VarClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82775_0 {
	meta:
		name = "TOleControl.GetWideStringProp"
		size = 43
		refs = "000f @WStrClr 001a TOleControl.GetProperty"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8B FA 8B D8 8B C6 E8 ?? ?? ?? ?? 8B CC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 89 06 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82777_0 {
	meta:
		name = "TOleControl.HookControlWndProc"
		size = 154
		refs = "0035 SNoWindowHandle 003c _Dn_EOleError 0041 Exception.CreateRes 0046 @RaiseExcept 005b GetWindowLongPtr 0066 CreationControl 0078 InitWndProc 0080 SetWindowLongPtr 0092 SendMessage"
	strings:
		$1 = { 53 56 51 8B D8 83 BB 9C 02 00 00 00 0F 84 84 00 00 00 83 BB 60 02 00 00 00 75 7B 33 C0 89 04 24 54 8B 83 9C 02 00 00 50 8B 00 FF 50 0C 83 3C 24 00 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 89 83 60 02 00 00 BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 89 83 5C 02 00 00 A1 ?? ?? ?? ?? 89 18 8B 83 60 02 00 00 BA FC FF FF FF BE ?? ?? ?? ?? 56 52 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 83 60 02 00 00 50 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_82778_0 {
	meta:
		name = "CallEventMethod"
		size = 64
	strings:
		$1 = { 53 56 55 89 E5 89 C3 8B 53 0C 85 D2 74 24 31 C0 8D 73 10 8A 06 3C 01 77 0D 74 0E 84 E4 75 0A 8B 4E 04 B4 01 EB 06 FF 76 08 FF 76 04 83 C6 0C 4A 75 E1 8B 53 08 8B 43 04 FF 13 89 EC 5D 5E 5B C3 }
	condition:
		$1
}

rule function_82779_0 {
	meta:
		name = "TOleControl.D2InvokeEvent"
		size = 414
		refs = "001b TOleControl.GetEventMethod 0038 TOleControl.D2InvokeEvent 00a6 OleStrToStrVar 0133 CallEventMethod 014f StringToOleStr 0167 @HandleAnyException 016c Application 0176 TApplication.HandleException 017b @DoneExcept 018f @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 64 FD FF FF 53 56 57 8B D9 89 45 FC 8D 8D 64 FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 81 BD 64 FD FF FF 00 00 01 00 0F 8C 68 01 00 00 33 C0 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 53 08 8B 45 FC 89 85 6C FD FF FF 8B C2 89 85 70 FD FF FF 85 D2 0F 84 CE 00 00 00 03 C0 8B 13 8D 04 C2 8B D8 8D B5 74 FD FF FF 33 C0 89 45 F8 83 EB 10 8B 03 25 FF FF 00 00 BA FF 0F 00 00 23 D0 83 FA 08 75 46 C6 06 00 8B 55 F4 8D BC D5 F4 FE FF FF 33 D2 89 17 F6 C4 40 74 17 8B D7 8B 43 08 8B 00 E8 ?? ?? ?? ?? 8B 43 08 89 47 04 89 7E 04 EB 14 8B D7 8B 43 08 E8 ?? ?? ?? ?? 33 C0 89 47 04 8B 07 89 46 04 FF 45 F4 EB 49 8B D0 83 EA 04 74 0B 4A 83 EA 03 72 10 4A 74 1E EB 24 C6 06 01 8B 43 08 89 46 04 EB 2C C6 06 02 8B 43 08 89 46 04 8B 43 0C 89 46 08 EB 1B C6 06 00 89 5E 04 EB 13 C6 06 00 F6 C4 20 74 05 89 5E 04 EB 06 8B 43 08 89 46 04 83 C6 0C FF 45 F8 8B 45 F8 3B 85 70 FD FF FF 0F 85 46 FF FF FF 8D 85 64 FD FF FF E8 ?? ?? ?? ?? 8B 5D F4 85 DB 74 1E 4B 8D B4 DD F4 FE FF FF 83 7E 04 00 74 0C 8B 06 E8 ?? ?? ?? ?? 8B 56 04 89 02 85 DB 75 E2 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D F4 85 DB 74 11 4B 8D 84 DD F4 FE FF FF E8 ?? ?? ?? ?? 85 DB 75 EF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82780_0 {
	meta:
		name = "TOleControl.InvokeEvent"
		size = 221
		refs = "0028 TOleControl.D2InvokeEvent 0038 TOleControl.GetEventMethod 004d TOleControl.InvokeEvent 00be @HandleAnyException 00c3 Application 00cd TApplication.HandleException 00d2 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 89 45 F8 8B 45 F8 8B 80 78 02 00 00 81 78 30 2C 01 00 00 7D 10 8B 4D FC 8B 45 F8 E8 ?? ?? ?? ?? E9 A5 00 00 00 8D 4D F0 8B 45 F8 E8 ?? ?? ?? ?? 81 7D F0 00 00 01 00 0F 8C 8D 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 56 8B 75 FC 8B 5E 08 85 DB 74 45 8B 36 89 D8 C1 E0 04 31 D2 01 C6 83 EE 10 8B 06 66 3D 04 00 77 20 74 27 84 D2 75 10 89 F1 FE C2 A9 00 20 00 00 75 1B 8B 4E 08 EB 16 A9 00 20 00 00 74 0C 56 EB 0C 66 3D 07 00 77 DC FF 76 0C FF 76 08 4B 75 C6 8B 55 F8 8B 45 F4 FF 55 F0 5E 5B 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82781_0 {
	meta:
		name = "GetStringResult"
		size = 62
		refs = "000b GetStringResult 0019 OleStrToStrVar 002f SysFreeString 0035 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 59 5D C3 }
	condition:
		$1
}

rule function_82783_0 {
	meta:
		name = "TOleControl.InvokeMethod"
		size = 185
		refs = "000a TOleControl.CreateControl 0038 DispatchInvoke 0044 TOleControl.InvokeMethod 008d GetStringResult 0096 @VarClear"
	strings:
		$1 = { 53 56 57 89 C3 89 D6 89 CF E8 ?? ?? ?? ?? FF 36 89 E1 31 C0 50 50 50 50 89 E2 8D 45 10 80 7E 04 08 74 09 80 7E 04 0C 74 03 8D 45 0C 50 52 8D 56 05 8B 83 94 02 00 00 E8 ?? ?? ?? ?? 31 C0 8A 46 04 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 8B 44 24 08 66 89 07 EB 2C 8B 44 24 08 89 FA E8 ?? ?? ?? ?? EB 1F 89 F8 E8 ?? ?? ?? ?? 89 E6 B9 04 00 00 00 F3 A5 EB 0D 8B 44 24 0C 89 47 04 8B 44 24 08 89 07 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82784_0 {
	meta:
		name = "TOleControl.IsCustomProperty"
		size = 104
		refs = "000f TOleControl.IsCustomProperty 0026 @WStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 98 02 00 00 00 74 1A 8D 45 FC E8 ?? ?? ?? ?? 50 56 8B 83 98 02 00 00 50 8B 00 FF 50 0C 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82785_0 {
	meta:
		name = "TOleControl.IsPropPageProperty"
		size = 67
		refs = "0024 GUID_NULL 002f IsEqualCLSID"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 83 BB 98 02 00 00 00 74 25 54 56 8B 83 98 02 00 00 50 8B 00 FF 50 10 48 75 14 A1 ?? ?? ?? ?? 50 8D 44 24 04 50 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_82786_0 {
	meta:
		name = "TOleControl.PaletteChanged"
		size = 79
		refs = "000d TWinControl.HandleAllocated 0022 TWinControl.GetHandle 002f CallWindowProc 0043 TWinControl.PaletteChanged"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 22 04 24 74 22 6A 00 6A 00 68 0F 03 00 00 8B C6 E8 ?? ?? ?? ?? 50 8B 86 5C 02 00 00 50 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 75 0D 0F B6 14 24 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_82787_0 {
	meta:
		name = "TOleControl.PictureChanged"
		size = 105
		refs = "0016 _Dn_TPicture 001b @IsClass 0039 TList.Get 005a TOleControl.SetTPictureProp"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 8B 9E B4 02 00 00 85 DB 74 52 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 41 8B 43 08 48 85 C0 7C 39 40 89 C3 33 FF 8B D7 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 3B E8 75 1F 8B C5 83 78 18 00 74 1B 8B 96 78 02 00 00 8B 52 40 8B 14 BA 8B C8 8B C6 E8 ?? ?? ?? ?? EB 04 47 4B 75 CC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82788_0 {
	meta:
		name = "TOleControl.ReadData"
		size = 186
		refs = "0010 TOleControl.DestroyStorage 0018 TOleControl.ReadData 002c GlobalAlloc 0040 OutOfMemoryError 004f GlobalLock 008c GlobalUnlock 0092 @HandleFinally 00a3 @HandleAnyException 00b0 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 12 50 6A 02 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 B0 84 02 00 00 85 F6 75 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 84 02 00 00 50 E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 12 8B C8 8B D6 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 84 02 00 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82789_0 {
	meta:
		name = "TOleControl.SetBounds"
		size = 234
		refs = "0043 Screen 0054 MulDiv 00ba Rect 00dd TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 08 8B 75 0C 8B 43 50 3B F0 74 04 85 C0 7F 13 8B 53 54 3B FA 0F 84 A5 00 00 00 85 D2 0F 8E 9D 00 00 00 F6 83 AD 02 00 00 04 74 04 B0 01 EB 4F A1 ?? ?? ?? ?? 8B 00 8B 40 48 50 68 EC 09 00 00 56 E8 ?? ?? ?? ?? 89 45 F4 A1 ?? ?? ?? ?? 8B 00 8B 40 48 50 68 EC 09 00 00 57 E8 ?? ?? ?? ?? 8B 55 F4 89 55 EC 89 45 F0 8D 45 EC 50 6A 01 8B 83 88 02 00 00 50 8B 00 FF 50 44 85 C0 0F 95 C0 84 C0 74 06 8B 73 50 8B 7B 54 83 BB 9C 02 00 00 00 74 2E 8B 43 4C 03 C7 50 8D 45 DC 50 8B 4B 48 03 CE 8B 53 4C 8B 43 48 E8 ?? ?? ?? ?? 8D 45 DC 50 8D 45 DC 50 8B 83 9C 02 00 00 50 8B 00 FF 50 1C 56 57 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_82793_0 {
	meta:
		name = "TOleControl.SetCompProp"
		size = 33
		refs = "0017 TOleControl.SetProperty"
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 C7 45 F0 14 00 DF 6D 08 DD 5D F8 9B 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_82794_0 {
	meta:
		name = "TOleControl.SetCurrencyProp"
		size = 38
		refs = "001c TOleControl.SetProperty"
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 C7 45 F0 06 00 8B 4D 08 89 4D F8 8B 4D 0C 89 4D FC 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_82795_0 {
	meta:
		name = "TOleControl.SetDoubleProp"
		size = 38
		refs = "001c TOleControl.SetProperty"
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 C7 45 F0 05 00 8B 4D 08 89 4D F8 8B 4D 0C 89 4D FC 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_82796_0 {
	meta:
		name = "TOleControl.SetIDispatchProp"
		size = 24
		refs = "0010 TOleControl.SetProperty"
	strings:
		$1 = { 83 C4 F0 66 C7 04 24 09 00 89 4C 24 08 8B CC E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_82797_0 {
	meta:
		name = "TOleControl.SetIntegerProp"
		size = 24
		refs = "0010 TOleControl.SetProperty"
	strings:
		$1 = { 83 C4 F0 66 C7 04 24 03 00 89 4C 24 08 8B CC E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_82798_0 {
	meta:
		name = "TOleControl.SetIUnknownProp"
		size = 24
		refs = "0010 TOleControl.SetProperty"
	strings:
		$1 = { 83 C4 F0 66 C7 04 24 0D 00 89 4C 24 08 8B CC E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_82799_0 {
	meta:
		name = "TOleControl.SetName"
		size = 180
		refs = "0012 TOleControl.SetName 0023 @UStrLAsg 002c TControl.SetName 006f TOleControl.GetStringProp 007a @UStrEqual 0087 TOleControl.SetStringProp 00a1 @UStrArrayClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 83 BB 90 02 00 00 00 74 52 68 42 FD FF FF 8B 83 90 02 00 00 50 8B 00 FF 50 14 8B 83 78 02 00 00 8B 40 2C A8 30 74 34 A8 10 74 07 BF FA FD FF FF EB 05 BF FB FD FF FF 8D 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 75 0B 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_82800_0 {
	meta:
		name = "TOleControl.SetOleBoolProp"
		size = 41
		refs = "0021 TOleControl.SetProperty"
		altNames = "TOleControl.SetWordBoolProp"
	strings:
		$1 = { 83 C4 F0 66 C7 04 24 0B 00 66 85 C9 74 09 66 C7 44 24 08 FF FF EB 07 66 C7 44 24 08 00 00 8B CC E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_82801_0 {
	meta:
		name = "TOleControl.SetOleDateProp"
		size = 38
		refs = "001c TOleControl.SetProperty"
		altNames = "TOleControl.SetTDateTimeProp"
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 C7 45 F0 07 00 8B 4D 08 89 4D F8 8B 4D 0C 89 4D FC 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_82802_0 {
	meta:
		name = "TOleControl.SetTFontProp"
		size = 170
		refs = "001a TOleControl.SetTFontProp 004f TList.Get 0071 GetOleFont 007e TOleControl.SetIDispatchProp 0097 @IntfClear 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 B0 02 00 00 8B 70 08 4E 85 F6 7C 54 46 33 DB 8B 87 78 02 00 00 8B 40 38 8B 04 98 3B 45 F8 75 3C 8B 87 B0 02 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 F0 8B 55 F4 8B 45 F0 8B 08 FF 51 08 8B 45 F0 83 78 20 00 75 18 8D 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 43 4E 75 AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82808_0 {
	meta:
		name = "TOleControl.SetParent"
		size = 222
		refs = "0017 TOleControl.SetParent 0027 TWinControl.SetParent 0045 @IntfClear 0066 @HandleAnyException 006e @DoneExcept 0099 OleCheck 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 85 DB 0F 84 87 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 8B 80 88 02 00 00 50 8B 00 FF 50 10 8B D8 33 C0 5A 59 59 64 89 10 EB 0D E9 ?? ?? ?? ?? 83 CB FF E8 ?? ?? ?? ?? 85 DB 75 06 83 7D FC 00 75 21 8B 45 F8 85 C0 74 05 2D 0C FD FF FF 50 8B 45 F8 8B 80 88 02 00 00 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 F8 83 B8 90 02 00 00 00 74 11 6A FF 8B 45 F8 8B 80 90 02 00 00 50 8B 00 FF 50 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_82809_0 {
	meta:
		name = "TOleControl.SetTPictureProp"
		size = 240
		refs = "001b TOleControl.SetTPictureProp 0081 TList.Get 0097 GetOlePicture 00a5 TOleControl.SetIDispatchProp 00c6 @HandleFinally 00dd @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 80 B8 B8 02 00 00 00 0F 85 97 00 00 00 8B 45 F8 C6 80 B8 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 B4 02 00 00 8B 70 08 4E 85 F6 7C 4F 46 33 DB 8B 45 F8 8B 80 78 02 00 00 8B 40 40 8B 04 98 3B 45 F4 75 34 8B 45 F8 8B 80 B4 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B F8 8B 55 F0 8B C7 8B 08 FF 51 08 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 43 4E 75 B4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 C6 80 B8 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82810_0 {
	meta:
		name = "TOleControl.SetPropDisplayString"
		size = 290
		refs = "0023 TOleControl.SetPropDisplayString 0030 _Dn_TStringList 0035 TStringList.Create 0054 TOleControl.GetPropDisplayStrings 007e AnsiCompareText 008a @VarClr 00ae OleCheck 00bc TOleControl.SetProperty 00c1 @TryFinallyExit 00dc TObject.Free 00e2 @HandleFinally 00f2 TOleControl.SetStringProp 0107 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E4 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D E0 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 52 14 8B F0 4E 85 F6 7C 64 46 33 DB 8D 4D DC 8B D3 8B 45 E0 8B 38 FF 57 0C 8B 55 DC 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 75 41 8D 45 F0 E8 ?? ?? ?? ?? 50 8B D3 8B 45 E0 8B 08 FF 51 18 50 8B 45 E8 50 8B 45 EC 8B 80 98 02 00 00 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 8D 4D F0 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2F 43 4E 75 9F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 4D E4 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82811_0 {
	meta:
		name = "TOleControl.SetProperty"
		size = 181
		refs = "0014 tagEXCEPINFO 0019 @InitializeRecord 0021 TOleControl.SetProperty 002e TOleControl.CreateControl 0036 DispIDArgs 006d GUID_NULL 0087 DispatchInvokeError 00a2 @FinalizeRecord 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F1 8B FA 8B D8 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 75 D0 B8 ?? ?? ?? ?? 89 45 D4 C7 45 D8 01 00 00 00 C7 45 DC 01 00 00 00 66 83 3E 09 74 07 B8 04 00 00 00 EB 05 B8 08 00 00 00 6A 00 8D 55 E0 52 6A 00 8D 55 D0 52 50 6A 00 A1 ?? ?? ?? ?? 50 57 8B 83 94 02 00 00 50 8B 00 FF 50 18 85 C0 74 08 8D 55 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82812_0 {
	meta:
		name = "TOleControl.SetShortIntProp"
		size = 9
		refs = "0004 TOleControl.SetIntegerProp"
	strings:
		$1 = { 0F BE C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82813_0 {
	meta:
		name = "TOleControl.SetSingleProp"
		size = 32
		refs = "0016 TOleControl.SetProperty"
	strings:
		$1 = { 55 8B EC 83 C4 F0 66 C7 45 F0 04 00 8B 4D 08 89 4D F8 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_82814_0 {
	meta:
		name = "TOleControl.SetSmallintProp"
		size = 25
		refs = "0011 TOleControl.SetProperty"
	strings:
		$1 = { 83 C4 F0 66 C7 04 24 02 00 66 89 4C 24 08 8B CC E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_82815_0 {
	meta:
		name = "TOleControl.SetStringProp"
		size = 94
		refs = "0018 StringToOleStr 0023 TOleControl.SetStringProp 0035 TOleControl.SetProperty 004b SysFreeString 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 66 C7 45 F0 08 00 8B C7 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82816_0 {
	meta:
		name = "TOleControl.SetUIActive"
		size = 86
		refs = "000c GetParentForm 0032 TControl.Perform 003b TCustomForm.SetActiveOleControl"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 B2 01 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 74 3C 84 DB 74 27 8B 87 E8 02 00 00 85 C0 74 12 3B F0 74 0E 6A 00 33 C9 BA 2A B0 00 00 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? EB 11 3B B7 E8 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82817_0 {
	meta:
		name = "TOleControl.SetVariantProp"
		size = 92
		refs = "0018 TOleControl.SetVariantProp 0028 @OleVarFromVar 0034 TOleControl.SetOleVariantProp 0049 @VarClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82818_0 {
	meta:
		name = "TOleControl.SetWideStringProp"
		size = 66
		refs = "0017 @WStrEqual 0020 @WStrToPWChar 0037 TOleControl.SetProperty"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8B FA 8B D8 66 C7 04 24 08 00 8B C6 33 D2 E8 ?? ?? ?? ?? 74 0D 8B C6 E8 ?? ?? ?? ?? 89 44 24 08 EB 06 33 C0 89 44 24 08 8B CC 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82819_0 {
	meta:
		name = "TOleControl.SetWordProp"
		size = 9
		refs = "0004 TOleControl.SetIntegerProp"
	strings:
		$1 = { 0F B7 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82825_0 {
	meta:
		name = "TOleControl.ShowAboutBox"
		size = 13
		refs = "0001 DispInfo 0008 TOleControl.InvokeMethod"
	strings:
		$1 = { BA ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82826_0 {
	meta:
		name = "TOleControl.StandardEvent"
		size = 525
		refs = "0014 TOleControl.StandardEvent 005d @CallDynaInst 0085 @VarToInteger 00aa ShiftMap 0157 ButtonMap 0162 MouseMap 01ee @HandleAnyException 01f3 Application 01fd TApplication.HandleException 0202 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 89 45 FC 8B 19 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 05 5F 02 00 00 83 F8 07 0F 87 B5 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 66 BE EC FF E8 ?? ?? ?? ?? E9 7D 01 00 00 8B 45 FC 66 BE EB FF E8 ?? ?? ?? ?? E9 6C 01 00 00 83 79 08 02 0F 8C 62 01 00 00 8D 43 10 E8 ?? ?? ?? ?? 66 89 45 F2 8B C3 E8 ?? ?? ?? ?? 8B F8 81 EE A4 FD FF FF 74 21 83 EE 02 75 36 83 E7 07 0F B7 0C 7D ?? ?? ?? ?? 8D 55 F2 8B 45 FC 66 BE B9 FF E8 ?? ?? ?? ?? EB 1A 83 E7 07 0F B7 0C 7D ?? ?? ?? ?? 8D 55 F2 8B 45 FC 66 BE B8 FF E8 ?? ?? ?? ?? F6 43 11 40 0F 84 00 01 00 00 8B 43 18 0F B7 55 F2 66 89 10 E9 F1 00 00 00 83 79 08 00 0F 8E E7 00 00 00 8B C3 E8 ?? ?? ?? ?? 66 89 45 F0 8D 55 F0 8B 45 FC 66 BE B7 FF E8 ?? ?? ?? ?? F6 43 01 40 0F 84 C3 00 00 00 8B 43 08 0F B7 55 F0 66 89 10 E9 B4 00 00 00 83 79 08 04 0F 8C AA 00 00 00 8D 43 30 E8 ?? ?? ?? ?? 8B F8 83 E7 07 8D 43 20 E8 ?? ?? ?? ?? 83 E0 07 89 45 F4 0F B6 87 ?? ?? ?? ?? 88 45 F9 0F B7 04 7D ?? ?? ?? ?? 8B 55 F4 66 0B 04 55 ?? ?? ?? ?? 66 89 45 FA 8D 43 10 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 89 45 F4 81 EE A1 FD FF FF 74 39 4E 74 1E 4E 75 4C 57 8B 45 F4 50 0F B6 55 F9 0F B7 4D FA 8B 45 FC 66 BE D5 FF E8 ?? ?? ?? ?? EB 31 8B 45 F4 50 8B CF 0F B7 55 FA 8B 45 FC 66 BE D4 FF E8 ?? ?? ?? ?? EB 19 57 8B 45 F4 50 0F B6 55 F9 0F B7 4D FA 8B 45 FC 66 BE D3 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82827_0 {
	meta:
		name = "TOleControl.WndProc"
		size = 232
		refs = "0025 TWinControl.GetHandle 0046 GetMessageTime 00de TWinControl.WndProc"
	strings:
		$1 = { 53 56 83 C4 E4 8B F2 8B D8 8B 06 3D 00 BD 00 00 72 66 3D 09 BD 00 00 77 5F 83 BB A0 02 00 00 00 74 56 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B 06 2D 00 BC 00 00 89 44 24 04 8B 46 04 89 44 24 08 8B 46 08 89 44 24 0C E8 ?? ?? ?? ?? 89 44 24 10 C7 44 24 14 F1 E1 5D 11 C7 44 24 18 F1 E1 5D 11 54 8B 83 A0 02 00 00 50 8B 00 FF 50 14 85 C0 75 09 C7 46 0C 01 00 00 00 EB 6A 8B 06 2D 08 B0 00 00 74 05 48 74 35 EB 53 80 7B 63 00 74 4D 83 BB 90 02 00 00 00 74 44 68 41 FD FF FF 8B 83 90 02 00 00 50 8B 00 FF 50 14 68 40 FD FF FF 8B 83 90 02 00 00 50 8B 00 FF 50 14 EB 20 80 7B 64 00 74 1A 83 BB 90 02 00 00 00 74 11 68 43 FD FF FF 8B 83 90 02 00 00 50 8B 00 FF 50 14 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 1C 5E 5B C3 }
	condition:
		$1
}

rule function_82828_0 {
	meta:
		name = "TOleControl.WriteData"
		size = 261
		refs = "0020 TOleControl.WriteData 0042 TOleControl.CreateStorage 0051 GlobalLock 0070 GlobalSize 0097 GlobalUnlock 009d @HandleFinally 00ba TOleControl.DestroyStorage 00d1 @HandleOnException 00d9 _Dn_Exception 00f5 @RaiseAgain 00fa @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F2 89 45 FC 8B 45 FC 83 B8 84 02 00 00 00 0F 95 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D FB 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 84 02 00 00 50 E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 84 02 00 00 50 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C6 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 84 02 00 00 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 75 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B D3 8B 45 FC 8B 08 FF 91 08 01 00 00 84 C0 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_82829_0 {
	meta:
		name = "TOleControl.WMEraseBkgnd"
		size = 30
		refs = "0018 TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 56 8B F0 F6 86 AD 02 00 00 04 75 09 8B C6 8B 08 FF 51 F0 5E C3 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_82830_0 {
	meta:
		name = "TOleControl.WMPaint"
		size = 111
		refs = "001e TWinControl.GetHandle 0024 BeginPaint 0045 OleDraw 0059 EndPaint 0064 TWinControl.WMPaint"
	strings:
		$1 = { 53 56 57 83 C4 B0 8B FA 8B D8 F6 83 AD 02 00 00 04 74 4C 8B 77 04 85 F6 75 10 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 8D 54 24 40 8B C3 8B 08 FF 51 60 8D 44 24 40 50 56 6A 01 8B 83 88 02 00 00 50 E8 ?? ?? ?? ?? 83 7F 04 00 75 19 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 50 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82831_0 {
	meta:
		name = "TOleControl.CMDocWindowActivate"
		size = 92
		refs = "000d GetParentForm 0019 _Dn_TForm 001e @IsClass 0053 TOleControl.SetMenu"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 B2 01 8B C6 E8 ?? ?? ?? ?? 8B F8 33 DB 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 02 8B DF 85 DB 74 2B 80 BB A6 02 00 00 01 75 22 8B 45 04 50 8B 86 A0 02 00 00 50 8B 00 FF 50 1C 83 7D 04 00 75 0C 6A 00 6A 00 6A 00 56 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82832_0 {
	meta:
		name = "TOleControl.CMColorChanged"
		size = 131
		refs = "000b TWinControl.CMColorChanged 002e TWinControl.HandleAllocated 0044 TOleControl.CMColorChanged 005d TOleControl.SetColorProp 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 F6 40 2C 01 74 62 8B 45 FC 80 B8 B9 02 00 00 00 75 56 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 4A 8B 45 FC C6 80 B9 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 48 74 BA 0B FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 B9 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_82833_0 {
	meta:
		name = "TOleControl.CMEnabledChanged"
		size = 137
		refs = "000b TWinControl.CMEnabledChanged 002e TWinControl.HandleAllocated 0044 TOleControl.CMEnabledChanged 0063 TOleControl.SetWordBoolProp 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 F6 40 2C 08 74 68 8B 45 FC 80 B8 BB 02 00 00 00 75 5C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 50 8B 45 FC C6 80 BB 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 68 F6 D8 1B C9 BA FE FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 BB 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_82834_0 {
	meta:
		name = "TOleControl.CMFontChanged"
		size = 256
		refs = "0011 TOleControl.CMFontChanged 001f TWinControl.CMFontChanged 004a TWinControl.HandleAllocated 008f TOleControl.SetIntegerProp 00ac FontToOleFont 00bc TOleControl.SetVariantProp 00d9 @HandleFinally 00f0 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 F6 40 2C 06 0F 84 A9 00 00 00 8B 45 FC 80 B8 BA 02 00 00 00 0F 85 99 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 89 00 00 00 8B 45 FC C6 80 BA 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 78 02 00 00 F6 40 2C 02 74 16 8B 45 FC 8B 40 6C 8B 48 18 BA FF FD FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 F6 40 2C 04 74 1E 8D 55 EC 8B 45 FC 8B 40 6C E8 ?? ?? ?? ?? 8D 4D EC BA 00 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 BA 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_82835_0 {
	meta:
		name = "TOleControl.CMDialogKey"
		size = 156
		refs = "0011 @CallDynaInst 002f @FillChar 0036 TWinControl.GetHandle 006a IsAccelerator 0091 TWinControl.CMDialogKey"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B FA 8B D8 8B C3 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 73 66 83 BB D0 02 00 00 00 74 69 8D 44 24 04 33 C9 BA 1C 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 44 24 04 C7 44 24 08 00 01 00 00 8B 47 04 89 44 24 0C 8B 47 08 89 44 24 10 54 8D 44 24 08 50 0F B7 83 D0 02 00 00 50 8B 83 CC 02 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 1A 8D 44 24 04 50 8B 83 90 02 00 00 50 8B 00 FF 50 10 C7 47 0C 01 00 00 00 EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82836_0 {
	meta:
		name = "TOleControl.CMUIActivate"
		size = 80
		refs = "000b GetParentForm 0020 TControl.GetBoundsRect 0028 TWinControl.GetParentHandle"
	strings:
		$1 = { 53 83 C4 F0 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 85 C0 74 08 3B 98 E8 02 00 00 74 30 8B D4 8B C3 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 50 6A 00 8B C3 85 C0 74 05 2D 0C FD FF FF 50 6A 00 6A FC 8B 83 88 02 00 00 50 8B 00 FF 50 2C 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_82837_0 {
	meta:
		name = "TOleControl.CMUIDeactivate"
		size = 71
		refs = "0009 GetParentForm 0040 TOleControl.OnUIDeactivate"
	strings:
		$1 = { 53 56 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 08 3B 9E E8 02 00 00 75 29 83 BB 9C 02 00 00 00 74 0C 8B 83 9C 02 00 00 50 8B 00 FF 50 18 85 F6 74 10 3B 9E 98 02 00 00 75 08 6A 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82839_0 {
	meta:
		name = "TOleControl._AddRef"
		size = 22
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 80 7C 02 00 00 8B 80 7C 02 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_82840_0 {
	meta:
		name = "TOleControl._Release"
		size = 22
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 88 7C 02 00 00 8B 80 7C 02 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_82843_0 {
	meta:
		name = "TOleControl.GetContainer"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 0C 85 C0 74 04 33 D2 89 10 B8 02 40 00 80 5D C2 08 00 }
	condition:
		$1
}

rule function_82844_0 {
	meta:
		name = "TOleControl.ShowObject"
		size = 17
		refs = "0007 TOleControl.HookControlWndProc"
	strings:
		$1 = { 55 8B EC 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_82846_0 {
	meta:
		name = "TOleControl.RequestNewObjectLayout"
		size = 161
		refs = "002d Screen 003c MulDiv"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B 5D 08 8D 45 F4 50 6A 01 8B 83 88 02 00 00 50 8B 00 FF 50 48 89 45 FC 83 7D FC 00 75 6E 68 EC 09 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 48 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8B F0 68 EC 09 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 48 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F8 F6 83 AD 02 00 00 04 74 1D 83 BB 90 02 00 00 00 75 14 83 FE 20 7E 05 BE 20 00 00 00 83 FF 20 7E 05 BF 20 00 00 00 56 57 8B 4B 4C 8B 53 48 8B C3 8B 18 FF 93 A4 00 00 00 8B 45 FC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_82850_0 {
	meta:
		name = "TOleControl.TransformCoords"
		size = 160
		refs = "0018 Screen 0026 MulDiv 005c TOleControl.TransformCoords 006d @ROUND"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 10 8B 5D 0C F6 45 14 04 74 46 68 EC 09 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 48 50 8B 03 50 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC D9 1E 9B 68 EC 09 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 48 50 8B 43 04 50 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC D9 5E 04 9B EB 38 D9 06 D8 0D ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 DB 40 48 DE F9 E8 ?? ?? ?? ?? 89 03 D9 46 04 D8 0D ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 DB 40 48 DE F9 E8 ?? ?? ?? ?? 89 43 04 33 C0 5E 5B 59 5D C2 10 00 00 00 00 00 C0 1E 45 }
	condition:
		$1
}

rule function_82855_0 {
	meta:
		name = "TOleControl.OleInPlaceSite_GetWindow"
		size = 42
		refs = "0011 TWinControl.GetParentHandle"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 33 FF 8B C3 E8 ?? ?? ?? ?? 89 06 83 3E 00 75 05 BF 05 40 00 80 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_82857_0 {
	meta:
		name = "TOleControl.OnInPlaceActivate"
		size = 104
		refs = "000e @IntfClear 0014 TOleControl.OnInPlaceActivate"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8D 83 9C 02 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 88 02 00 00 50 8B 00 FF 10 8D 83 A0 02 00 00 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 83 88 02 00 00 50 8B 00 FF 10 33 C0 5B 5D C2 04 00 00 00 13 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 17 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82859_0 {
	meta:
		name = "TOleControl.GetWindowContext"
		size = 148
		refs = "0035 @IntfCopy 003d @IntfClear 0047 TControl.GetBoundsRect 006c SetRect 0078 TWinControl.GetTopParentHandle"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 75 1C 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 10 85 C0 74 04 33 D2 89 10 8B 45 0C 8B D3 85 D2 74 06 81 EA 18 FD FF FF E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 14 56 8D 75 F0 8B F8 A5 A5 A5 A5 5E 68 FF 7F 00 00 68 FF 7F 00 00 6A 00 6A 00 8B 45 18 50 E8 ?? ?? ?? ?? 33 C0 89 46 04 8B C3 E8 ?? ?? ?? ?? 89 46 08 33 C0 89 46 0C 33 C0 89 46 10 33 C0 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_82861_0 {
	meta:
		name = "TOleControl.OnUIDeactivate"
		size = 35
		refs = "000f TOleControl.SetMenu 0018 TOleControl.SetUIActive"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 6A 00 6A 00 6A 00 53 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_82862_0 {
	meta:
		name = "TOleControl.OnInPlaceDeactivate"
		size = 36
		refs = "000e @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8D 83 A0 02 00 00 E8 ?? ?? ?? ?? 8D 83 9C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_82864_0 {
	meta:
		name = "TOleControl.DeactivateAndUndo"
		size = 24
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 80 9C 02 00 00 50 8B 00 FF 50 18 33 C0 5D C2 04 00 }
	condition:
		$1
}

rule function_82865_0 {
	meta:
		name = "TOleControl.OnPosRectChange"
		size = 62
		refs = "001d Rect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B 5D 08 68 FF 7F 00 00 8D 45 F0 50 B9 FF 7F 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 0C 50 8B 83 9C 02 00 00 50 8B 00 FF 50 1C 33 C0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_82866_0 {
	meta:
		name = "TOleControl.GetBorder"
		size = 12
		altNames = "TOleControl.RequestBorderSpace"
	strings:
		$1 = { 55 8B EC B8 A1 01 04 80 5D C2 08 00 }
	condition:
		$1
}

rule function_82870_0 {
	meta:
		name = "TOleControl.OleInPlaceFrame_GetWindow"
		size = 26
		refs = "000a TWinControl.GetTopParentHandle"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B C3 E8 ?? ?? ?? ?? 8B 55 0C 89 02 33 C0 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_82871_0 {
	meta:
		name = "TOleControl.InsertMenus"
		size = 64
		refs = "000a TOleControl.GetMainMenu 0034 TMainMenu.PopulateOle2Menu"
	strings:
		$1 = { 55 8B EC 83 C4 F4 8B 45 08 E8 ?? ?? ?? ?? 85 C0 74 26 6A 02 8B 55 10 52 6A 05 33 D2 89 55 F4 C7 45 F8 02 00 00 00 C7 45 FC 04 00 00 00 8D 4D F4 8B 55 0C E8 ?? ?? ?? ?? 33 C0 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_82872_0 {
	meta:
		name = "TOleControl.SetMenu"
		size = 56
		refs = "0008 TOleControl.GetMainMenu 001a TMainMenu.SetOle2MenuHandle 002f OleSetMenuDescriptor"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 E8 ?? ?? ?? ?? 8B D8 33 C0 85 DB 74 1F 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 14 50 8B 43 40 50 8B 45 10 50 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_82876_0 {
	meta:
		name = "TOleControl.OleInPlaceFrame_TranslateAccelerator"
		size = 12
	strings:
		$1 = { 55 8B EC B8 01 00 00 00 5D C2 0C 00 }
	condition:
		$1
}

rule function_82880_0 {
	meta:
		name = "TOleControl.Invoke"
		size = 417
		refs = "001a TOleControl.Invoke 0094 @VarFromInt 00a4 StringToVarOleStr 00ae @VarCopy 00d2 FontToOleFont 00f7 GetUserDefaultLCID 010d @VarFromBool 0180 Variant 018a @FinalizeArray 0190 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B 5D 20 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 18 02 0F 84 3B 01 00 00 85 DB 0F 84 33 01 00 00 33 FF 8B 45 0C 05 CB 02 00 00 83 F8 0E 0F 87 19 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 8B 56 74 B1 FC E8 ?? ?? ?? ?? E9 D1 00 00 00 8D 55 F0 8B 46 08 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? E9 B7 00 00 00 8B 46 38 85 C0 74 0B 80 7E 63 00 74 05 8B 70 6C EB 03 8B 76 6C 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8D 55 E0 8B C3 E8 ?? ?? ?? ?? E9 89 00 00 00 8B C3 8B 56 6C 8B 52 18 B1 FC E8 ?? ?? ?? ?? EB 78 E8 ?? ?? ?? ?? 8B D0 8B C3 B1 FC E8 ?? ?? ?? ?? EB 66 8B C3 B2 01 E8 ?? ?? ?? ?? EB 5B 8B C3 F6 46 1C 10 0F 95 C2 80 F2 01 E8 ?? ?? ?? ?? EB 48 8B C3 F6 46 1C 10 0F 95 C2 E8 ?? ?? ?? ?? EB 38 8B C3 33 D2 E8 ?? ?? ?? ?? EB 2D 8B C3 33 D2 E8 ?? ?? ?? ?? EB 22 8B C3 B2 01 E8 ?? ?? ?? ?? EB 17 8B C3 B2 01 E8 ?? ?? ?? ?? EB 0C BF 03 00 02 80 EB 05 BF 03 00 02 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C7 5F 5E 5B 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule function_82881_0 {
	meta:
		name = "TOleControl.OnChanged"
		size = 537
		refs = "0010 TOleControl.OnChanged 007a TOleControl.GetIntegerProp 0084 TControl.SetColor 00a1 @HandleFinally 00d8 TOleControl.GetWordBoolProp 0141 TOleControl.GetVariantProp 014f OleFontToFont 01ac TFont.SetColor 01da @HandleOnException 01e2 _Dn_EOleError 01eb @DoneExcept 0202 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 2D FE FD FF FF 74 75 48 0F 84 39 01 00 00 48 0F 84 CD 00 00 00 83 E8 0B 0F 85 86 01 00 00 8B 45 08 80 B8 B9 02 00 00 00 0F 85 76 01 00 00 8B 45 08 C6 80 B9 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 0B FE FF FF 8B 45 08 E8 ?? ?? ?? ?? 8B D0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 C6 80 B9 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 08 80 B8 BB 02 00 00 00 0F 85 18 01 00 00 8B 45 08 C6 80 BB 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA FE FD FF FF 8B 45 08 E8 ?? ?? ?? ?? 66 83 F8 01 1B D2 42 8B 45 08 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 C6 80 BB 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 08 80 B8 BA 02 00 00 00 0F 85 B2 00 00 00 8B 45 08 C6 80 BA 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 BA 00 FE FF FF 8B 45 08 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 08 8B 52 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 C6 80 BA 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 08 80 B8 BA 02 00 00 00 75 51 8B 45 08 C6 80 BA 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA FF FD FF FF 8B 45 08 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 C6 80 BA 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_82883_0 {
	meta:
		name = "TCustomElementBehavior.GetSize"
		size = 9
		altNames = "TOleControl.PostMessageFilter TOleControl.PreMessageFilter"
	strings:
		$1 = { 55 8B EC 33 C0 5D C2 1C 00 }
	condition:
		$1
}

rule function_82885_0 {
	meta:
		name = "TOleControl.QueryService"
		size = 53
	strings:
		$1 = { 55 8B EC 53 8B 45 08 66 83 B8 C2 02 00 00 00 74 1A 8B 55 14 52 8B 4D 10 8B 55 0C 8B D8 8B 83 C4 02 00 00 FF 93 C0 02 00 00 EB 05 B8 01 40 00 80 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_82892_0 {
	meta:
		name = "TServerEventDispatch.Create"
		size = 42
		refs = "0008 @ClassCreate 001b @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 04 C7 40 08 01 00 00 00 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_82893_0 {
	meta:
		name = "TServerEventDispatch.QueryInterface"
		size = 100
		refs = "0016 TObject.GetInterface 002e IsEqualIID 0039 TServerEventDispatch.QueryInterface"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 2B 8B 43 04 8B 40 38 83 C0 20 50 56 E8 ?? ?? ?? ?? 84 C0 74 12 8B CF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 EB 05 B8 02 40 00 80 5F 5E 5B 5D C2 0C 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_82894_0 {
	meta:
		name = "TServerEventDispatch._AddRef"
		size = 31
		refs = "0010 TOleServer._AddRef"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 43 04 85 C0 74 06 50 E8 ?? ?? ?? ?? FF 43 08 8B 43 08 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_82895_0 {
	meta:
		name = "TServerEventDispatch._Release"
		size = 31
		refs = "0010 TOleServer._Release"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 43 04 85 C0 74 06 50 E8 ?? ?? ?? ?? FF 4B 08 8B 43 08 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_82899_0 {
	meta:
		name = "TServerEventDispatch.Invoke$7171$ActRec.$0$Body"
		size = 26
	strings:
		$1 = { 53 56 57 8B F0 8B 46 0C 8B 78 04 85 FF 74 07 8B C7 8B 18 FF 53 48 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82900_0 {
	meta:
		name = "TServerEventDispatch.Invoke"
		size = 120
		refs = "000e TServerEventDispatch.Invoke 001b _DV_TServerEventDispatch.Invoke$7171$ActRec 0020 TObject.Create 0033 @IntfCopy 004c EventDispatchInvoke 0063 @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 0C 8B 45 1C 8B CB 85 C9 74 03 83 E9 F0 8B D0 8B 45 0C E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 24 00 }
	condition:
		$1
}

rule function_82901_0 {
	meta:
		name = "TServerEventDispatch.ServerDisconnect"
		size = 15
	strings:
		$1 = { 83 78 04 00 0F 95 C2 33 C9 89 48 04 8B C2 C3 }
	condition:
		$1
}

rule function_82902_0 {
	meta:
		name = "TOleServer.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TComponent.Create 002d _DV_TServerEventDispatch 0032 TServerEventDispatch.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 40 8B 46 38 FF 40 38 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_82903_0 {
	meta:
		name = "TOleServer.Destroy"
		size = 78
		refs = "0003 @BeforeDestruction 0016 TServerEventDispatch.ServerDisconnect 001f TServerEventDispatch._Release 002b TObject.Free 003c TComponent.Destroy 0047 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 50 8B 46 40 E8 ?? ?? ?? ?? 8B 46 40 50 E8 ?? ?? ?? ?? 85 C0 75 08 8B 46 40 E8 ?? ?? ?? ?? 8B 46 38 FF 48 38 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82904_0 {
	meta:
		name = "TOleServer.Loaded"
		size = 36
		refs = "0006 TComponent.Loaded 0013 TOleServer.GetAutoConnect"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 75 12 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 8B 10 FF 52 4C 5B C3 }
	condition:
		$1
}

rule function_82906_0 {
	meta:
		name = "TOleServer.GetServer"
		size = 343
		refs = "001a TOleServer.GetServer 0027 TOleServer.GetConnectKind 004c CreateComObject 0058 @IntfClear 0064 GetActiveObject 0081 ClassIDToProgID 0096 GUIDToString 00ac sNoRunningObject 00b1 LoadResString 00bf Format 00cc _Dn_EOleSysError 00d1 EOleSysError.Create 00d6 @RaiseExcept 010e @WStrFromUStr 011b CreateRemoteComObject 0130 @WStrClr 013d @UStrArrayClr 0145 @UStrClr 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 2C 01 0F 82 A9 00 00 00 74 11 FE C8 74 1C FE C8 0F 84 C6 00 00 00 E9 D9 00 00 00 8B D6 8B 43 38 E8 ?? ?? ?? ?? E9 CA 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 6A 00 8B 43 38 50 E8 ?? ?? ?? ?? 8B F0 F7 C6 00 00 00 80 0F 84 A9 00 00 00 8D 45 FC 50 8D 55 E8 8B 43 38 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 55 E4 8B 43 38 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F4 C6 45 F8 11 8D 45 EC 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 56 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 43 8B C6 E8 ?? ?? ?? ?? 50 6A 00 8B 43 38 50 E8 ?? ?? ?? ?? A9 00 00 00 80 0F 94 C0 84 C0 75 24 8B D6 8B 43 38 E8 ?? ?? ?? ?? EB 18 8D 45 DC 8B 53 4C E8 ?? ?? ?? ?? 8B 45 DC 8B CE 8B 53 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82907_0 {
	meta:
		name = "TOleServer.ConnectEvents"
		size = 27
		refs = "0016 InterfaceConnect"
	strings:
		$1 = { 8D 48 44 51 8B 48 40 85 C9 74 03 83 E9 F4 8B 40 38 83 C0 20 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82908_0 {
	meta:
		name = "TOleServer.DisconnectEvents"
		size = 16
		refs = "000b InterfaceDisconnect"
	strings:
		$1 = { 8D 48 44 8B 40 38 83 C0 20 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82909_0 {
	meta:
		name = "TOleServer.GetConnectKind"
		size = 19
	strings:
		$1 = { 53 8B D8 83 7B 4C 00 74 04 B0 03 5B C3 0F B6 43 50 5B C3 }
	condition:
		$1
}

rule function_82911_0 {
	meta:
		name = "TOleServer.GetAutoConnect"
		size = 24
		refs = "0006 TOleServer.GetConnectKind"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 04 75 04 33 C0 5B C3 0F B6 43 48 5B C3 }
	condition:
		$1
}

rule function_82914_0 {
	meta:
		name = "TOleServer._AddRef"
		size = 16
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 40 3C 8B 40 3C 5D C2 04 00 }
	condition:
		$1
}

rule function_82915_0 {
	meta:
		name = "TOleServer._Release"
		size = 16
	strings:
		$1 = { 55 8B EC 8B 45 08 FF 48 3C 8B 40 3C 5D C2 04 00 }
	condition:
		$1
}

rule function_82918_0 {
	meta:
		name = "GetBufStart"
		size = 72
		refs = "0012 GetBufStart 001a CharInSet"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 89 06 EB 05 83 C3 02 FF 06 BA ?? ?? ?? ?? 0F B7 03 E8 ?? ?? ?? ?? 84 C0 75 EA 8B C3 5E 5B C3 00 00 02 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_82919_0 {
	meta:
		name = "PutString"
		size = 48
	strings:
		$1 = { 53 56 8B CA 85 C9 74 05 83 E9 04 8B 09 85 C9 7E 14 BB 01 00 00 00 0F B7 74 5A FE 66 89 30 83 C0 02 43 49 75 F1 66 C7 00 0D 0A 83 C0 04 5E 5B C3 }
	condition:
		$1
}

rule function_82921_0 {
	meta:
		name = "TOutlineNode.Destroy"
		size = 335
		refs = "0009 @BeforeDestruction 002f TOutlineNode.Destroy 0051 TOutlineNode.GetIndex 0064 TOutlineNode.Clear 007a TCustomOutline.ResetSelectedItem 008b TOutlineNode.GetList 0090 TList.Last 00a6 TOutlineNode.Remove 00c8 TCustomOutline.SetRowFromNode 00fb TCustomOutline.DeleteNode 0126 @HandleFinally 0137 TPersistent.Destroy 0145 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 40 1C 8B 90 44 03 00 00 3B 55 FC 75 07 C6 80 92 03 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 F6 8B 45 FC 83 78 10 00 74 13 8B 45 FC 8B 40 1C 8B 80 50 03 00 00 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 83 78 04 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B 90 94 03 00 00 3B 55 FC 75 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 58 10 85 DB 74 77 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 FC 0F 94 C0 8B D8 8B 45 FC 8B 40 10 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 83 78 08 00 75 13 8B 45 FC 8B 50 10 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? EB 21 84 DB 74 1D 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 1C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B CE 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 1C 8B 90 44 03 00 00 3B 55 FC 75 07 C6 80 92 03 00 00 00 C3 E9 ?? ?? ?? ?? EB E0 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_82922_0 {
	meta:
		name = "TOutlineNode.Clear"
		size = 62
		refs = "0019 TList.Get 0031 TObject.Free"
	strings:
		$1 = { 56 57 55 8B F8 8B 47 04 8B 70 08 4E 85 F6 7C 1D 46 33 ED 8B 47 04 8B D5 E8 ?? ?? ?? ?? 33 D2 89 50 10 B2 01 8B 08 FF 51 FC 45 4E 75 E6 8B 47 04 E8 ?? ?? ?? ?? 33 C0 89 47 04 5D 5F 5E C3 }
	condition:
		$1
}

rule function_82923_0 {
	meta:
		name = "TOutlineNode.SetHorzScrollBar"
		size = 22
		refs = "0011 TCustomOutline.SetHorzScrollBar"
	strings:
		$1 = { 8B 50 10 85 D2 74 0E 80 7A 18 00 74 08 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82924_0 {
	meta:
		name = "TOutlineNode.GetList"
		size = 29
		refs = "000c _Dn_TList 0011 TObject.Create"
	strings:
		$1 = { 53 8B D8 83 7B 04 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 8B 43 04 5B C3 }
	condition:
		$1
}

rule function_82926_0 {
	meta:
		name = "TOutlineNode.GetLastIndex"
		size = 44
		refs = "0006 TOutlineNode.GetList 0018 TList.Last 001d TOutlineNode.GetLastIndex 0026 TOutlineNode.GetIndex"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 74 13 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82927_0 {
	meta:
		name = "TOutlineNode.SetText"
		size = 79
		refs = "000d @UStrAsg 0031 TOutlineNode.GetRowOfNode 0040 TCustomOutline.InvalidateCell 0047 TOutlineNode.SetHorzScrollBar"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8D 43 08 8B D6 E8 ?? ?? ?? ?? 8B 43 10 85 C0 74 33 80 78 18 00 74 26 33 C0 89 04 24 8B 73 1C 8B CC 8B 86 44 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 0C 24 83 E9 02 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_82928_0 {
	meta:
		name = "TOutlineNode.ChangeExpandedCount"
		size = 24
		refs = "0013 TOutlineNode.ChangeExpandedCount"
	strings:
		$1 = { 80 78 18 00 74 11 01 50 20 8B 48 10 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82929_0 {
	meta:
		name = "TOutlineNode.GetIndex"
		size = 29
		refs = "0009 TCustomOutline.BadIndex 0014 TOutlineNode.SetGoodIndex"
	strings:
		$1 = { 53 8B D8 8B D3 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B 43 14 5B C3 }
	condition:
		$1
}

rule function_82930_0 {
	meta:
		name = "TOutlineNode.GetLevel"
		size = 20
	strings:
		$1 = { 33 D2 8B 40 10 85 C0 74 08 42 8B 40 10 85 C0 75 F8 8B C2 C3 }
	condition:
		$1
}

rule function_82931_0 {
	meta:
		name = "TOutlineNode.SetLevel"
		size = 33
		refs = "0009 TOutlineNode.GetLevel 001a TCustomOutline.SetLevel"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B C6 74 0D 56 8B C8 8B D3 8B 43 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82932_0 {
	meta:
		name = "TOutlineNode.ChangeLevelBy"
		size = 30
		refs = "0009 TOutlineNode.GetLevel 0017 TOutlineNode.SetLevel"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D0 0F BE C3 03 D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82933_0 {
	meta:
		name = "TOutlineNode.GetDisplayWidth"
		size = 11
		refs = "0006 TCustomOutline.GetNodeDisplayWidth"
	strings:
		$1 = { 8B D0 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82934_0 {
	meta:
		name = "TOutlineNode.HasVisibleParent"
		size = 19
	strings:
		$1 = { 8B 50 10 85 D2 74 06 80 7A 18 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_82935_0 {
	meta:
		name = "TOutlineNode.GetVisibleParent"
		size = 18
	strings:
		$1 = { EB 02 8B C2 8B 50 10 85 D2 74 06 80 7A 18 00 74 F1 C3 }
	condition:
		$1
}

rule function_82936_0 {
	meta:
		name = "TOutlineNode.GetFullPath"
		size = 140
		refs = "0010 TOutlineNode.GetFullPath 0048 @UStrCatN 0054 @UStrAsg 005e EmptyStr 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 10 85 F6 74 39 83 7E 10 00 74 27 8D 55 FC 8B C6 E8 ?? ?? ?? ?? FF 75 FC 8B 43 1C FF B0 54 03 00 00 FF 73 08 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 1B 8B C7 8B 53 08 E8 ?? ?? ?? ?? EB 0F 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82937_0 {
	meta:
		name = "TOutlineNode.HasAsParent"
		size = 26
		refs = "0011 TOutlineNode.HasAsParent"
	strings:
		$1 = { 3B D0 75 03 B0 01 C3 8B 48 10 85 C9 74 09 8B C1 E8 ?? ?? ?? ?? EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_82938_0 {
	meta:
		name = "TOutlineNode.GetTopItem"
		size = 31
	strings:
		$1 = { 33 C9 83 78 10 00 74 14 EB 0B 83 7A 10 00 75 03 8B 48 14 8B C2 8B 50 10 85 D2 75 EE 8B C1 C3 }
	condition:
		$1
}

rule function_82939_0 {
	meta:
		name = "TOutlineNode.getFirstChild"
		size = 37
		refs = "0006 TOutlineNode.GetList 0015 TOutlineNode.GetNode 001a TOutlineNode.GetIndex"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 7E 10 33 D2 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 83 C8 FF 5B C3 }
	condition:
		$1
}

rule function_82940_0 {
	meta:
		name = "TOutlineNode.GetLastChild"
		size = 46
		refs = "0006 TOutlineNode.GetList 001e TOutlineNode.GetNode 0023 TOutlineNode.GetIndex"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 7E 19 8B C3 E8 ?? ?? ?? ?? 8B 50 08 4A 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 83 C8 FF 5B C3 }
	condition:
		$1
}

rule function_82941_0 {
	meta:
		name = "TOutlineNode.GetNextChild"
		size = 100
		refs = "0013 TOutlineNode.GetList 0027 TOutlineNode.GetNode 002c TOutlineNode.GetIndex"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C7 04 24 FF FF FF FF 8B C7 E8 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 3C 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B E8 75 23 8B C7 E8 ?? ?? ?? ?? 8B 40 08 48 3B D8 7D 18 8D 53 01 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 EB 04 43 4E 75 C7 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82942_0 {
	meta:
		name = "TOutlineNode.GetPrevChild"
		size = 81
		refs = "000e TOutlineNode.GetList 0020 TOutlineNode.GetNode 0025 TOutlineNode.GetIndex"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 83 CD FF 8B C6 E8 ?? ?? ?? ?? 8B 58 08 4B 83 FB 00 7C 2F 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F8 75 17 85 DB 7E 19 8B D3 4A 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 EB 06 4B 83 FB FF 75 D1 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82943_0 {
	meta:
		name = "TOutlineNode.MoveTo"
		size = 33
		refs = "000d TOutlineNode.GetIndex 0019 TCustomOutline.Move"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 53 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 47 1C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82944_0 {
	meta:
		name = "TOutlineNode.FullExpand"
		size = 65
		refs = "0008 TOutlineNode.HasChildren 0015 TOutlineNode.SetExpandedState 001c TOutlineNode.GetList 0030 TOutlineNode.GetNode 0035 TOutlineNode.FullExpand"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2D B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 15 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 EE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82945_0 {
	meta:
		name = "TOutlineNode.GetRowOfNode"
		size = 97
		refs = "002a TOutlineNode.GetList 003e TOutlineNode.GetNode 004a TOutlineNode.GetRowOfNode"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B F8 8B 44 24 04 FF 00 3B 3C 24 75 04 B3 01 EB 39 33 DB 80 7F 18 00 74 31 8B C7 E8 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 22 46 33 ED 8B D5 8B C7 E8 ?? ?? ?? ?? 8B 4C 24 04 8B 14 24 E8 ?? ?? ?? ?? 8B D8 84 DB 75 04 45 4E 75 E1 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82946_0 {
	meta:
		name = "TOutlineNode.GetVisibleNode"
		size = 378
		refs = "0017 TOutlineNode.GetVisibleNode 0037 TOutlineNode.GetList 0055 TOutlineNode.GetNode 0140 SOutlineIndexError 0145 LoadResString 014f TOutlineNode.Error 0164 @UStrClr 016a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D DC 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 08 89 7D F8 E9 24 01 00 00 33 C0 89 45 F8 8B C7 E8 ?? ?? ?? ?? 8B 40 08 89 45 E0 33 C0 89 45 E8 8B 47 20 3B 45 E0 75 13 8B 55 FC 4A 8B C7 E8 ?? ?? ?? ?? 89 45 F8 E9 F2 00 00 00 33 C0 89 45 F4 E9 BE 00 00 00 8B 5D F4 8B 75 E0 4E 2B F3 7C 14 46 8B D3 8B C7 E8 ?? ?? ?? ?? 80 78 18 00 75 04 43 4E 75 ED 3B 5D F4 7E 28 8B C3 2B 45 F4 3B 45 FC 7C 16 8B 55 F4 03 55 FC 4A 8B C7 E8 ?? ?? ?? ?? 89 45 F8 E9 87 00 00 00 8B C3 2B 45 F4 29 45 FC 8B D3 8B C7 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 8B 40 20 40 89 45 EC 8B 45 EC 03 C3 2B 45 F4 89 45 F0 8B 45 F0 01 45 E8 8B 45 EC 3B 45 FC 7C 11 8B 55 FC 4A 8B 45 E4 E8 ?? ?? ?? ?? 89 45 F8 EB 3F 8D 43 01 8B 55 E0 2B D0 8B 47 20 2B 45 E8 3B D0 75 14 8B 55 FC 2B 55 EC 03 D3 8B C7 E8 ?? ?? ?? ?? 89 45 F8 EB 36 8B 45 EC 29 45 FC 89 5D F4 FF 45 F4 8B 45 E0 48 3B 45 F4 0F 8D 35 FF FF FF 83 7D F8 00 75 17 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82947_0 {
	meta:
		name = "RecurseNode"
		size = 49
		refs = "000a TOutlineNode.GetIndex 002b TOutlineNode.GetNodeAtIndex"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 3B 42 F8 75 08 8B 45 08 8B 40 FC 5D C3 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_82948_0 {
	meta:
		name = "TOutlineNode.GetNodeAtIndex"
		size = 211
		refs = "0013 TOutlineNode.GetIndex 002d TOutlineNode.GetList 004e TOutlineNode.GetNode 005b RecurseNode 00bb _DV_OutlineError 00c0 TObject.Create 00c5 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 3B 45 F8 75 0B 8B 45 F4 89 45 F0 E9 A2 00 00 00 33 F6 8B 45 F4 E8 ?? ?? ?? ?? 8B 58 08 4B 33 C0 89 45 F0 3B F3 7F 74 8D 3C 33 D1 FF 79 03 83 D7 00 8B D7 8B 45 F4 E8 ?? ?? ?? ?? 89 45 FC 3B DE 75 0C 55 E8 ?? ?? ?? ?? 59 89 45 F0 EB 4D 8B 45 FC E8 ?? ?? ?? ?? 3B 45 F8 7E 05 8B DF 4B EB 37 8B 45 FC E8 ?? ?? ?? ?? 3B 45 F8 7D 1E 3B DF 7E 1A 8D 57 01 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 F8 7F 05 8D 77 01 EB 0C 55 E8 ?? ?? ?? ?? 59 89 45 F0 EB 04 3B F3 7E 8C 83 7D F0 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82949_0 {
	meta:
		name = "TOutlineNode.GetDataItem"
		size = 84
		refs = "0015 TOutlineNode.GetIndex 0022 TOutlineNode.GetList 0036 TOutlineNode.GetNode 003e TOutlineNode.GetDataItem"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B 45 0C 3B 04 24 75 0B 8B C5 E8 ?? ?? ?? ?? 8B F0 EB 2F 33 F6 8B C5 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 1E 43 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 14 24 E8 ?? ?? ?? ?? 8B F0 85 F6 75 04 47 4B 75 E5 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82950_0 {
	meta:
		name = "TOutlineNode.GetTextItem"
		size = 89
		refs = "0011 @UStrEqual 001a TOutlineNode.GetIndex 0027 TOutlineNode.GetList 003b TOutlineNode.GetNode 0043 TOutlineNode.GetTextItem"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B 04 24 8B 55 08 E8 ?? ?? ?? ?? 75 0B 8B C5 E8 ?? ?? ?? ?? 8B F0 EB 2F 33 F6 8B C5 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 1E 43 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B 14 24 E8 ?? ?? ?? ?? 8B F0 85 F6 75 04 47 4B 75 E5 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82953_0 {
	meta:
		name = "TOutlineNode.SetExpandedState"
		size = 258
		refs = "000d TOutlineNode.SetExpandedState 0035 SOutlineExpandError 003a LoadResString 0044 TOutlineNode.Error 0052 TOutlineNode.GetIndex 0060 @CallDynaInst 006b TOutlineNode.GetList 0075 TOutlineNode.ChangeExpandedCount 007e TOutlineNode.CloseNode 00a6 TCustomOutline.ResizeGrid 00d5 TOutlineNode.SetHorzScrollBar 00dc TOutlineNode.Repaint 00f1 @UStrClr 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 53 18 0F 84 C0 00 00 00 84 D2 74 57 8B 73 10 85 F6 74 24 80 7E 18 00 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 76 10 85 F6 75 DC 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 1C 66 BE 97 FF E8 ?? ?? ?? ?? C6 43 18 01 8B C3 E8 ?? ?? ?? ?? 8B 50 08 8B C3 E8 ?? ?? ?? ?? EB 57 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 7E 13 8B C3 E8 ?? ?? ?? ?? 8B 50 08 F7 DA 8B C3 E8 ?? ?? ?? ?? 8B 43 1C E8 ?? ?? ?? ?? 84 C0 74 0B 8B 43 1C 8B 10 FF 92 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 1C 66 BE 96 FF E8 ?? ?? ?? ?? C6 43 18 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82954_0 {
	meta:
		name = "TOutlineNode.CloseNode"
		size = 81
		refs = "0008 TOutlineNode.GetList 001c TOutlineNode.GetNode 0021 TOutlineNode.CloseNode 0045 TOutlineNode.ChangeExpandedCount"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 15 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 EE 8B C6 E8 ?? ?? ?? ?? 83 78 08 00 7E 13 8B C6 E8 ?? ?? ?? ?? 8B 50 08 F7 DA 8B C6 E8 ?? ?? ?? ?? C6 46 18 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82955_0 {
	meta:
		name = "TOutlineNode.Repaint"
		size = 36
		refs = "000e TCustomOutline.ResizeGrid"
	strings:
		$1 = { 53 56 8B F0 8B 5E 1C 85 DB 74 16 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 46 1C 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_82956_0 {
	meta:
		name = "TOutlineNode.SetGoodIndex"
		size = 65
		refs = "0009 TCustomOutline.SetGoodIndex 001e TOutlineNode.ReIndex"
	strings:
		$1 = { 53 8B D8 8B D3 8B 43 1C E8 ?? ?? ?? ?? 8B 50 10 85 D2 74 10 8B 48 14 51 6A 01 8B CB 92 E8 ?? ?? ?? ?? EB 12 8B 53 1C 3B 9A 44 03 00 00 74 07 8B 40 14 40 89 43 14 8B 43 1C 89 98 48 03 00 00 5B C3 }
	condition:
		$1
}

rule function_82957_0 {
	meta:
		name = "TOutlineNode.AddNode"
		size = 68
		refs = "0009 TOutlineNode.GetList 0010 TList.Add 001e TOutlineNode.ChangeExpandedCount 0031 TOutlineNode.SetGoodIndex 003b TOutlineNode.SetHorzScrollBar"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 89 73 10 8B 53 20 42 8B C6 E8 ?? ?? ?? ?? 8B 46 1C 80 B8 40 03 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 73 14 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_82958_0 {
	meta:
		name = "TOutlineNode.InsertNode"
		size = 120
		refs = "000f TOutlineNode.GetList 0023 TOutlineNode.GetNode 003b TList.Insert 004f TOutlineNode.ChangeExpandedCount 0062 TOutlineNode.SetGoodIndex 006c TOutlineNode.SetHorzScrollBar"
	strings:
		$1 = { 53 56 57 55 51 8B E9 89 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 78 08 4F 85 FF 7C 2D 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 14 3B 04 24 75 15 8B C3 E8 ?? ?? ?? ?? 8B CD 8B D6 E8 ?? ?? ?? ?? 89 5D 10 EB 04 46 4F 75 D6 8B 55 20 42 8B C3 E8 ?? ?? ?? ?? 8B 43 1C 80 B8 40 03 00 00 00 75 07 8B C5 E8 ?? ?? ?? ?? 8B 5D 14 8B C5 E8 ?? ?? ?? ?? 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82959_0 {
	meta:
		name = "TOutlineNode.InternalRemove"
		size = 111
		refs = "0013 TOutlineNode.GetNode 001d TCustomOutline.SetGoodIndex 0030 TOutlineNode.GetList 0037 TList.Delete 0044 TOutlineNode.ChangeExpandedCount 0060 TOutlineNode.SetExpandedState 0067 TOutlineNode.SetHorzScrollBar"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 85 F6 74 16 8B D6 4A 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 1C E8 ?? ?? ?? ?? EB 0A 8B D3 8B 43 1C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 57 20 42 F7 DA 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 75 0F 83 7B 10 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82960_0 {
	meta:
		name = "TOutlineNode.Remove"
		size = 34
		refs = "0009 TOutlineNode.GetList 0010 TList.IndexOf 001b TOutlineNode.InternalRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_82961_0 {
	meta:
		name = "TOutlineNode.ReIndex"
		size = 125
		refs = "0016 TOutlineNode.GetList 001d TList.IndexOf 0040 TOutlineNode.GetNode 004b TOutlineNode.Resync 0070 TOutlineNode.ReIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8B C6 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B 78 08 4F 58 2B F8 7C 2B 47 89 45 F8 84 DB 74 1B 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 55 0C 8B 4D FC E8 ?? ?? ?? ?? 84 C0 75 21 EB 02 B3 01 FF 45 F8 4F 75 D9 8B 46 10 85 C0 74 10 8B 55 0C 52 6A 00 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_82962_0 {
	meta:
		name = "TOutlineNode.Resync"
		size = 99
		refs = "002c TOutlineNode.GetList 0040 TOutlineNode.GetNode 004c TOutlineNode.Resync"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B F8 8B 04 24 8B 00 89 47 14 3B 7C 24 04 75 04 B3 01 EB 38 33 DB 8B 04 24 FF 00 8B C7 E8 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 22 46 33 ED 8B D5 8B C7 E8 ?? ?? ?? ?? 8B 14 24 8B 4C 24 04 E8 ?? ?? ?? ?? 8B D8 84 DB 75 04 45 4E 75 E1 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82963_0 {
	meta:
		name = "TOutlineNode.GetExpandedNodeCount"
		size = 62
		refs = "0014 TOutlineNode.GetList 0028 TOutlineNode.GetNode 002d TOutlineNode.GetExpandedNodeCount"
	strings:
		$1 = { 53 56 57 55 8B F0 BD 01 00 00 00 80 7E 18 00 74 26 8B C6 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 17 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 E8 47 4B 75 EC 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82964_0 {
	meta:
		name = "TOutlineNode.GetMaxDisplayWidth"
		size = 74
		refs = "000b TOutlineNode.GetDisplayWidth 001e TOutlineNode.GetList 0032 TOutlineNode.GetNode 0039 TOutlineNode.GetMaxDisplayWidth"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 73 02 8B F0 80 7B 18 00 74 28 8B C3 E8 ?? ?? ?? ?? 8B 78 08 4F 85 FF 7C 19 47 33 ED 8B D5 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F0 45 4F 75 EA 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82965_0 {
	meta:
		name = "TCustomOutline.Error"
		size = 24
		refs = "0008 _DV_EOutlineError 000d Exception.Create 0012 @RaiseExcept"
		altNames = "TOutlineNode.Error"
	strings:
		$1 = { 53 8B DA 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82966_0 {
	meta:
		name = "TOutlineNode.HasChildren"
		size = 19
		refs = "0006 TOutlineNode.GetList"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_82967_0 {
	meta:
		name = "TOutlineNode.WriteNode"
		size = 128
		refs = "0017 TOutlineNode.GetLevel 0036 PutString 004d TStream.WriteBuffer 0054 TOutlineNode.GetList 0068 TOutlineNode.GetNode 0072 TOutlineNode.WriteNode"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F0 83 7E 10 00 74 3F 8B DD 8B C6 E8 ?? ?? ?? ?? 66 83 F8 01 76 0F 66 C7 03 09 00 48 83 C3 02 66 83 F8 01 77 F1 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B D8 8B CB 2B CD D1 F9 79 03 83 D1 00 8B D5 8B 04 24 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 1A 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 0C 24 8B D5 E8 ?? ?? ?? ?? 47 4B 75 E9 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82968_0 {
	meta:
		name = "TOutlineNode.WriteNode"
		size = 272
		refs = "001c TOutlineNode.WriteNode 002f TOutlineNode.GetLevel 003e StringOfChar 004c @UStrCat3 005a TEncoding.GetBytes 0062 @DynArrayLength 006f TStream.WriteBuffer 009b TOutlineNode.GetList 00af TOutlineNode.GetNode 00d3 @UStrClr 00dc TArray<System.Byte> 00e1 @DynArrayClear 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F0 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 10 00 74 6C 8B C6 E8 ?? ?? ?? ?? 8B D0 4A 8D 4D EC 66 B8 09 00 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC 8B 4E 08 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 1B 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 4D F0 8B 55 F4 E8 ?? ?? ?? ?? 47 4B 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_82969_0 {
	meta:
		name = "TOutlineNode.IsEqual"
		size = 45
		refs = "000d @UStrEqual"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 8B 56 08 E8 ?? ?? ?? ?? 75 10 8B 43 0C 3B 46 0C 75 08 8B 43 20 3B 46 20 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_82970_0 {
	meta:
		name = "TOutlineStrings.Get"
		size = 100
		refs = "000a TCustomOutline.Get 0013 TOutlineNode.GetLevel 001d EmptyStr 0024 @UStrAsg 0038 TOutlineStrings.Get 003d @UStrCat"
	strings:
		$1 = { 53 56 57 8B D9 8B 40 2C 42 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F B7 C6 83 E8 02 85 C0 7C 12 40 89 C6 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 4E 75 F1 8B C3 8B 57 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_82973_0 {
	meta:
		name = "WriteNodes"
		size = 166
		refs = "0018 TCustomOutline.GetItemCount 005f TCustomOutline.Get 0076 TOutlineNode.IsEqual"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 08 8B 40 FC 8B 70 20 85 F6 74 77 8B 46 2C E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 F8 8B 40 2C E8 ?? ?? ?? ?? 3B D8 75 5B 8B 46 2C E8 ?? ?? ?? ?? 85 C0 7E 4F 33 DB 8B 45 08 8B 40 F8 8B 40 2C E8 ?? ?? ?? ?? 48 85 C0 7E 4D 89 45 FC BF 01 00 00 00 8B D7 8B 46 2C E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 F8 8B 40 2C 8B D7 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D8 80 F3 01 84 DB 75 1B 47 FF 4D FC 75 D0 EB 13 8B 45 08 8B 40 F8 8B 40 2C E8 ?? ?? ?? ?? 85 C0 0F 9F C3 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82974_0 {
	meta:
		name = "TOutlineStrings.DefineProperties"
		size = 84
		refs = "0012 TOutlineStrings.ReadData 001b TOutlineStrings.WriteData 0021 WriteNodes 0029 TOutlineStrings.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4E 00 6F 00 64 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_82975_0 {
	meta:
		name = "TOutlineStrings.ReadData"
		size = 290
		refs = "0016 TOutlineStrings.ReadData 0026 TReader.CheckValue 002d _Dn_TStringList 0032 TStringList.Create 0050 TReader.ReadString 0063 TReader.EndOfList 006e _Dn_TMemoryStream 0073 TObject.Create 0089 TEncoding.GetUTF8 00a5 TStream.SetPosition 00b7 TCustomOutline.LoadFromStream 00cc TObject.Free 00d2 @HandleFinally 0110 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 08 FF 51 38 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 DE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 F8 8B 30 FF 96 88 00 00 00 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 43 2C 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82976_0 {
	meta:
		name = "TOutlineStrings.WriteData"
		size = 299
		refs = "0017 TOutlineStrings.WriteData 0027 TWriter.WriteValue 002e _Dn_TMemoryStream 0033 TObject.Create 0049 TEncoding.GetUTF8 0056 TCustomOutline.SaveToStream 0062 TStream.SetPosition 0069 _Dn_TStringList 006e TStringList.Create 00bb TWriter.WriteString 00d4 TObject.Free 00da @HandleFinally 0118 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B C8 8B 43 2C 8B 55 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 45 F4 8B 18 FF 53 74 8B 45 F4 8B 10 FF 52 14 8B D8 4B 85 DB 7C 1F 43 33 F6 8D 4D F0 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82977_0 {
	meta:
		name = "TOutlineStrings.Add"
		size = 275
		refs = "0014 TOutlineStrings.Add 0021 @UStrToPWChar 0029 GetBufStart 0033 @UStrFromPWChar 003b TCustomOutline.GetItemCount 0052 TCustomOutline.Get 0066 TOutlineNode.GetLevel 0088 SOutlineFileLoad 008d LoadResString 0098 TCustomOutline.Error 00cc TOutlineNode.GetIndex 00d9 TCustomOutline.AddChild 00f6 @UStrArrayClr 00fe @UStrClr 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B D0 8D 45 FC E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 85 C0 7E 17 8B 5E 2C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 09 8B 46 2C 8B 98 44 03 00 00 8B C3 E8 ?? ?? ?? ?? 3B 45 F8 72 0B 8B 56 2C 3B 9A 44 03 00 00 75 24 8B 55 F8 2B D0 83 FA 01 76 45 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 46 2C E8 ?? ?? ?? ?? EB 2B 8B 7D F8 47 2B F8 77 23 4F 8B 5B 10 85 DB 75 18 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 46 2C E8 ?? ?? ?? ?? 47 75 DE 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 4D FC 8B 46 2C E8 ?? ?? ?? ?? 48 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82978_0 {
	meta:
		name = "TOutlineStrings.Delete"
		size = 10
		refs = "0005 TCustomOutline.Delete"
	strings:
		$1 = { 42 8B 40 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82979_0 {
	meta:
		name = "TOutlineStrings.Insert"
		size = 10
		refs = "0005 TCustomOutline.Insert"
	strings:
		$1 = { 42 8B 40 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82980_0 {
	meta:
		name = "TOutlineStrings.PutObject"
		size = 17
		refs = "0008 TCustomOutline.Get"
	strings:
		$1 = { 53 8B D9 42 8B 40 2C E8 ?? ?? ?? ?? 89 58 0C 5B C3 }
	condition:
		$1
}

rule function_82981_0 {
	meta:
		name = "TOutlineStrings.GetObject"
		size = 23
		refs = "000d TCustomOutline.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 56 01 8B 43 2C E8 ?? ?? ?? ?? 8B 40 0C 5E 5B C3 }
	condition:
		$1
}

rule function_82982_0 {
	meta:
		name = "TCustomOutline.Create"
		size = 272
		refs = "000e @ClassCreate 001c TCustomGrid.Create 0028 TControl.SetWidth 0034 TControl.SetHeight 0040 TControl.SetColor 0049 TControl.SetParentColor 0050 TCustomOutline.SetRowHeight 0059 TCustomGrid.SetRowCount 0065 TCustomGrid.SetColCount 006e TCustomGrid.SetFixedCols 0077 TCustomGrid.SetFixedRows 0085 TCustomOutline.Init 008c _DV_TOutlineStrings 0091 TStrings.Create 00a2 TCustomOutline.Create 00a9 TCustomGrid.SetOptions 00b7 TCustomOutline.SetOutlineOptions 00c7 @UStrAsg 00d5 TCustomOutline.CreateGlyph 00e2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? BA 79 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 61 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 05 00 00 FF 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 04 03 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 5C 03 00 00 89 5E 2C 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 83 54 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 88 03 00 00 05 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 00 00 03 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_82983_0 {
	meta:
		name = "TCustomOutline.Destroy"
		size = 80
		refs = "0004 @BeforeDestruction 0013 TObject.Free 003d TCustomGrid.Destroy 0048 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 5C 03 00 00 E8 ?? ?? ?? ?? 8B 86 44 03 00 00 E8 ?? ?? ?? ?? 33 FF 8B 84 BE 64 03 00 00 E8 ?? ?? ?? ?? 47 83 FF 05 75 EE B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82984_0 {
	meta:
		name = "TCustomOutline.Init"
		size = 97
		refs = "0011 _DV_TOutlineNode 0016 TOutlineNode.Create 002d TCustomOutline.ResetSelectedItem 005b TCustomOutline.ResizeGrid"
	strings:
		$1 = { 53 8B D8 83 BB 44 03 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 44 03 00 00 8B 83 44 03 00 00 C6 40 18 01 8B C3 E8 ?? ?? ?? ?? 8B 83 44 03 00 00 89 83 48 03 00 00 8B 83 44 03 00 00 89 83 50 03 00 00 C6 83 40 03 00 00 00 33 C0 89 83 4C 03 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82985_0 {
	meta:
		name = "TCustomOutline.CreateGlyph"
		size = 104
		refs = "0009 TCustomOutline.CreateGlyph 0023 Images 002a _Dn_TBitmap 002f TBitmap.Create 0040 HInstance 0046 LoadBitmap 004f TBitmap.SetHandle"
	strings:
		$1 = { 53 56 57 55 8B F8 0F B6 05 ?? ?? ?? ?? 88 87 60 03 00 00 0F B6 05 ?? ?? ?? ?? 88 87 61 03 00 00 33 DB BE ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 89 AC 9F 64 03 00 00 8B 06 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 43 83 C6 04 83 FB 05 75 CB 5D 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_82986_0 {
	meta:
		name = "TCustomOutline.SetRowHeight"
		size = 145
		refs = "0014 GetDC 001f TCustomOutline.SetRowHeight 0032 GetDeviceCaps 003b TFont.GetSize 0041 MulDiv 005c TCustomGrid.SetDefaultRowHeight 0080 ReleaseDC 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 80 BB 90 03 00 00 01 74 7B 6A 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 48 6A 5A 8B 45 FC 50 E8 ?? ?? ?? ?? 50 8B 43 6C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 89 B3 58 03 00 00 6A 64 6A 78 56 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 89 83 8C 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_82987_0 {
	meta:
		name = "TCustomOutline.Clear"
		size = 31
		refs = "0012 TObject.Free 0019 TCustomOutline.Init"
	strings:
		$1 = { 53 8B D8 8D 83 44 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_82988_0 {
	meta:
		name = "WriteOutline"
		size = 104
		refs = "0014 WriteOutline"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 58 20 85 DB 74 38 0F B6 05 ?? ?? ?? ?? 3A 83 60 03 00 00 74 20 8B 45 08 8B 40 F8 0F B6 80 60 03 00 00 F7 D0 22 83 60 03 00 00 0F B6 15 ?? ?? ?? ?? 3A D0 75 04 33 C0 EB 1B B0 01 5B 5D C3 8B 45 08 8B 40 F8 0F B6 15 ?? ?? ?? ?? 3A 90 60 03 00 00 0F 95 C0 5B 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_82989_0 {
	meta:
		name = "TCustomOutline.DefineProperties"
		size = 96
		refs = "0014 TCustomGrid.DefineProperties 001d TCustomOutline.ReadBinaryData 0026 TCustomOutline.WriteBinaryData 002c WriteOutline 0034 TCustomOutline.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 08 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_82991_0 {
	meta:
		name = "TCustomOutline.ReadBinaryData"
		size = 17
		refs = "000c TStream.ReadBuffer"
	strings:
		$1 = { 05 61 03 00 00 B9 01 00 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82992_0 {
	meta:
		name = "TCustomOutline.WriteBinaryData"
		size = 17
		refs = "000c TStream.WriteBuffer"
	strings:
		$1 = { 05 60 03 00 00 B9 01 00 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82993_0 {
	meta:
		name = "TCustomOutline.IsCurItem"
		size = 25
		refs = "000d TOutlineNode.GetIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 50 03 00 00 E8 ?? ?? ?? ?? 3B F0 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_82994_0 {
	meta:
		name = "TCustomOutline.GetItemCount"
		size = 12
		refs = "0007 TOutlineNode.GetLastIndex"
	strings:
		$1 = { 8B 80 44 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83020_0 {
	meta:
		name = "TCustomOutline.FullExpand"
		size = 12
		refs = "0007 TOutlineNode.FullExpand"
	strings:
		$1 = { 8B 80 44 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83032_0 {
	meta:
		name = "TCustomOutline.GetDataItem"
		size = 12
		refs = "0007 TOutlineNode.GetDataItem"
	strings:
		$1 = { 8B 80 44 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83034_0 {
	meta:
		name = "TCustomOutline.GetTextItem"
		size = 12
		refs = "0007 TOutlineNode.GetTextItem"
	strings:
		$1 = { 8B 80 44 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_82995_0 {
	meta:
		name = "TCustomOutline.MoveNode"
		size = 685
		refs = "0020 TCustomOutline.MoveNode 0045 TCustomOutline.IsCurItem 0067 TOutlineNode.GetNodeAtIndex 0079 @HandleOnException 0081 _DV_OutlineError 008d SOutlineIndexError 0092 LoadResString 009d TCustomOutline.Error 00a2 @DoneExcept 0122 TOutlineNode.HasAsParent 0132 TOutlineNode.GetLevel 0141 SOutlineMaxLevels 016c TOutlineNode.GetList 0182 TOutlineNode.GetNode 0187 TOutlineNode.SetGoodIndex 01b5 TList.IndexOf 01d8 TOutlineNode.GetIndex 01e8 TOutlineNode.InsertNode 01f5 TOutlineNode.AddNode 0216 TOutlineNode.InternalRemove 0222 TOutlineNode.Remove 0235 TOutlineNode.SetExpandedState 0273 TCustomOutline.ResizeGrid 0298 @UStrArrayClr 029e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D E8 89 5D EC 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 5D F8 0F 84 4F 02 00 00 8B 45 FC 8B 80 50 03 00 00 89 45 F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 44 03 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 50 03 00 00 89 45 F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 5A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 44 03 00 00 8B 55 F8 E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 85 54 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? 3D FF 00 00 00 76 18 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 44 03 00 00 8B 45 FC 3B 98 48 03 00 00 75 22 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 74 15 8B 45 FC 8B 80 44 03 00 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 70 10 83 CB FF 0F B6 45 08 2C 01 72 5F 74 50 FE C8 75 67 8B 45 F0 3B 70 10 75 2A 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 3B D8 7E 03 43 EB 03 83 CB FF 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 40 10 8B 4D F4 E8 ?? ?? ?? ?? EB 1B 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? EB 0E 8B 45 F0 8B 40 10 8B 55 F4 E8 ?? ?? ?? ?? 83 FB FF 74 0E 8B CB 8B 55 F4 8B C6 E8 ?? ?? ?? ?? EB 0A 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 80 78 18 00 75 0A 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 44 03 00 00 8B 45 FC 3B 98 48 03 00 00 75 22 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 74 15 8B 45 FC 8B 80 44 03 00 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_82996_0 {
	meta:
		name = "TCustomOutline.AttachNode"
		size = 497
		refs = "0020 @UStrAddRef 0028 TCustomOutline.AttachNode 003d _DV_TOutlineNode 0042 TOutlineNode.Create 0050 TOutlineNode.SetText 0087 TCustomOutline.IsCurItem 00a9 TOutlineNode.GetNodeAtIndex 00bb @HandleOnException 00c3 _DV_OutlineError 00cf SOutlineIndexError 00d4 LoadResString 00df TCustomOutline.Error 00e4 @DoneExcept 0101 SOutlineError 0129 TOutlineNode.GetIndex 0139 TOutlineNode.InsertNode 0146 TOutlineNode.GetLevel 0155 SOutlineMaxLevels 0165 TOutlineNode.Error 0170 TOutlineNode.AddNode 017b TCustomOutline.ResizeGrid 0199 @HandleAnyException 01a8 Application 01b2 TApplication.HandleException 01d1 @UStrArrayClr 01d9 @UStrClr 01df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 4D FC 8B DA 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 0C 89 50 0C 8B 45 F0 C7 40 14 FF FF FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 50 03 00 00 89 45 EC 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 44 03 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D 08 00 75 2B 8B 45 EC 8B 40 10 89 45 EC 83 7D EC 00 75 18 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? C6 45 08 01 0F B6 45 08 FE C8 74 21 FE C8 75 52 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 40 10 8B 4D F0 E8 ?? ?? ?? ?? 89 45 F4 EB 35 8B 45 EC E8 ?? ?? ?? ?? 3D FF 00 00 00 76 18 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 45 EC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 F8 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? B2 01 8B 45 F0 8B 08 FF 51 FC A1 ?? ?? ?? ?? 8B 00 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F4 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_82997_0 {
	meta:
		name = "TCustomOutline.Get"
		size = 233
		refs = "001a TCustomOutline.Get 0036 TCustomOutline.IsCurItem 0058 TOutlineNode.GetNodeAtIndex 006a @HandleOnException 0072 _DV_OutlineError 007e SOutlineIndexError 0083 LoadResString 008e TCustomOutline.Error 0093 @DoneExcept 00a9 SOutlineError 00d3 @UStrArrayClr 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 50 03 00 00 89 45 F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 44 03 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 44 03 00 00 3B 45 F8 75 18 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_82998_0 {
	meta:
		name = "TCustomOutline.GetSelectedItem"
		size = 103
		refs = "0018 TOutlineNode.HasVisibleParent 0027 TOutlineNode.GetVisibleParent 0036 TOutlineNode.GetList 004e TOutlineNode.GetVisibleNode 005f TOutlineNode.GetIndex"
	strings:
		$1 = { 53 56 57 8B D8 8B BB 44 03 00 00 8B B3 94 03 00 00 3B FE 74 1E 8B C6 E8 ?? ?? ?? ?? 84 C0 75 38 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 89 83 94 03 00 00 EB 25 8B C7 E8 ?? ?? ?? ?? 83 78 08 00 7E 18 8B 93 94 02 00 00 42 8B 83 44 03 00 00 E8 ?? ?? ?? ?? 89 83 94 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_82999_0 {
	meta:
		name = "TCustomOutline.ResetSelectedItem"
		size = 13
	strings:
		$1 = { 8B 90 44 03 00 00 89 90 94 03 00 00 C3 }
	condition:
		$1
}

rule function_83000_0 {
	meta:
		name = "TCustomOutline.SetRowFromNode"
		size = 46
		refs = "001a TOutlineNode.GetRowOfNode 0027 TCustomGrid.SetRow"
	strings:
		$1 = { 53 51 8B D8 3B 93 44 03 00 00 74 1F 33 C0 89 04 24 8B CC 8B 83 44 03 00 00 E8 ?? ?? ?? ?? 8B 14 24 83 EA 02 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_83001_0 {
	meta:
		name = "TCustomOutline.SetSelectedItem"
		size = 314
		refs = "001a TCustomOutline.SetSelectedItem 0042 TOutlineNode.GetList 0068 TOutlineNode.GetIndex 008a TOutlineNode.GetNodeAtIndex 009c @HandleOnException 00a4 _DV_OutlineError 00b0 SOutlineIndexError 00b5 LoadResString 00c0 TCustomOutline.Error 00c5 @DoneExcept 00cd TOutlineNode.HasVisibleParent 00d9 TOutlineNode.GetVisibleParent 00f3 TCustomOutline.SetRowFromNode 00fd SOutlineSelection 0127 @UStrArrayClr 012d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 40 03 00 00 00 0F 85 DD 00 00 00 85 DB 75 19 8B 45 FC 8B 80 44 03 00 00 E8 ?? ?? ?? ?? 83 78 08 00 7E 05 BB 01 00 00 00 85 DB 0F 8E A0 00 00 00 8B 45 FC 8B B0 94 03 00 00 89 75 F8 8B C6 E8 ?? ?? ?? ?? 3B D8 74 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 44 03 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 55 F8 89 90 94 03 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 18 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83003_0 {
	meta:
		name = "TCustomOutline.InsertObject"
		size = 144
		refs = "0010 TCustomOutline.InsertObject 002c TCustomOutline.AttachNode 0041 TCustomOutline.AddChildObject 004d SOutlineError 0052 LoadResString 005c TCustomOutline.Error 0065 TCustomOutline.SetCurItem 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CF FF 85 DB 7E 13 8B 45 08 50 6A 02 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 2C 85 DB 75 11 8B 45 08 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_83005_0 {
	meta:
		name = "TCustomOutline.AddObject"
		size = 144
		refs = "0010 TCustomOutline.AddObject 002c TCustomOutline.AttachNode 0041 TCustomOutline.AddChildObject 004d SOutlineError 0052 LoadResString 005c TCustomOutline.Error 0065 TCustomOutline.SetCurItem 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CF FF 85 DB 7E 13 8B 45 08 50 6A 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 2C 85 DB 75 11 8B 45 08 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_83007_0 {
	meta:
		name = "TCustomOutline.AddChildObject"
		size = 123
		refs = "0010 TCustomOutline.AddChildObject 002c TCustomOutline.AttachNode 0038 SOutlineError 003d LoadResString 0047 TCustomOutline.Error 0050 TCustomOutline.SetCurItem 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CF FF 85 F6 7C 13 8B 45 08 50 6A 01 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_83008_0 {
	meta:
		name = "TCustomOutline.Delete"
		size = 193
		refs = "0015 TCustomOutline.Delete 003d TOutlineNode.GetNodeAtIndex 0042 TObject.Free 0051 @HandleOnException 0059 _DV_OutlineError 0065 SOutlineIndexError 006a LoadResString 0075 TCustomOutline.Error 007a @DoneExcept 0084 SOutlineError 00ae @UStrArrayClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7E 5D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 44 03 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 48 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83009_0 {
	meta:
		name = "TCustomOutline.Move"
		size = 107
		refs = "0012 TCustomOutline.Move 002a TCustomOutline.MoveNode 0034 SOutlineError 0039 LoadResString 0043 TCustomOutline.Error 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B D8 8B 45 08 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 3C 01 74 04 85 D2 7E 0C 50 8B CE 8B C3 E8 ?? ?? ?? ?? EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_83010_0 {
	meta:
		name = "TCustomOutline.DeleteNode"
		size = 223
		refs = "0028 TOutlineNode.GetList 003e TOutlineNode.GetNode 0043 TOutlineNode.SetGoodIndex 004b TCustomOutline.DeleteNode 0061 TOutlineNode.GetNodeAtIndex 0079 @HandleOnException 0081 _DV_OutlineError 009c @DoneExcept 00bd TCustomOutline.GetSelectedItem 00c5 TCustomOutline.ResizeGrid"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 89 55 F8 89 45 FC 8B 45 FC 8B 98 44 03 00 00 8B 45 FC 3B 98 48 03 00 00 75 22 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 74 15 8B 45 FC 8B 80 44 03 00 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 44 03 00 00 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 89 82 50 03 00 00 33 C0 5A 59 59 64 89 10 EB 28 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 80 44 03 00 00 8B 55 FC 89 82 50 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 44 03 00 00 8B 55 FC 3B 82 94 03 00 00 75 0D 3B 45 F8 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 FC 8B 10 FF 92 9C 00 00 00 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_83011_0 {
	meta:
		name = "MoveUp"
		size = 79
		refs = "0018 TOutlineNode.GetIndex 0022 TOutlineNode.GetNextChild 003a TOutlineNode.MoveTo"
	strings:
		$1 = { 53 56 8B F0 8B DE 8B C2 83 F8 01 72 08 8B 5B 10 48 85 C0 75 F8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 10 E8 ?? ?? ?? ?? 83 F8 FF 75 16 8B 43 10 E8 ?? ?? ?? ?? 8B D0 B1 01 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 B1 02 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83012_0 {
	meta:
		name = "MoveDown"
		size = 199
		refs = "0017 MoveDown 002d TOutlineNode.GetList 003f TOutlineNode.GetNode 0044 TOutlineNode.GetIndex 0079 TOutlineNode.MoveTo 0083 SOutlineBadLevel 0088 LoadResString 0096 TCustomOutline.Error 00b4 @UStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 76 7C 8B 77 10 8B C6 E8 ?? ?? ?? ?? 8B 58 08 4B 83 FB 00 72 21 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 5A 3B D0 74 06 4B 83 FB FF 75 DF 85 DB 76 20 8B D3 4A 8B C6 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D0 B1 01 8B C7 E8 ?? ?? ?? ?? EB 1B 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? FF 4D FC 83 7D FC 00 77 84 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_83013_0 {
	meta:
		name = "TCustomOutline.SetLevel"
		size = 135
		refs = "0018 TCustomOutline.SetLevel 0031 MoveUp 0044 MoveDown 004f SOutlineBadLevel 0054 LoadResString 005f TCustomOutline.Error 0074 @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 8B DA 89 45 FC 8B 45 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 2B C8 85 C0 76 23 85 C9 7E 0B 8B D1 8B C3 E8 ?? ?? ?? ?? EB 2C 55 8B C1 99 33 C2 2B C2 8B D0 8B C3 E8 ?? ?? ?? ?? 59 EB 18 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_83014_0 {
	meta:
		name = "TCustomOutline.Click"
		size = 61
		refs = "000a TOutlineNode.GetList 0022 TOutlineNode.GetVisibleNode 0027 TOutlineNode.GetIndex 0030 TCustomOutline.SetSelectedItem 0037 TControl.Click"
	strings:
		$1 = { 53 8B D8 8B 83 44 03 00 00 E8 ?? ?? ?? ?? 83 78 08 00 7E 20 8B 93 94 02 00 00 42 8B 83 44 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83015_0 {
	meta:
		name = "TCustomOutline.WMSize"
		size = 89
		refs = "0006 TCustomGrid.WMSize 0041 TControl.GetClientWidth 004a TCustomGrid.SetDefaultColWidth 0053 TCustomOutline.SetHorzScrollBar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB A0 03 00 00 00 75 44 80 BB A1 03 00 00 00 75 3B 0F B6 83 CC 02 00 00 84 C0 74 17 2C 02 74 13 80 BB 90 03 00 00 01 75 1C 66 83 BB 9A 03 00 00 00 74 12 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83016_0 {
	meta:
		name = "TCustomOutline.KeyPress"
		size = 77
		refs = "000b TCustomGrid.KeyPress 0036 TOutlineNode.SetExpandedState 0046 TOutlineNode.FullExpand"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 94 03 00 00 3B 83 44 03 00 00 74 2D 0F B7 16 66 83 EA 2A 74 1F 66 FF CA 74 08 66 83 EA 02 74 0B EB 17 B2 01 E8 ?? ?? ?? ?? EB 0E 33 D2 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83017_0 {
	meta:
		name = "TCustomOutline.KeyDown"
		size = 582
		refs = "0015 TCustomGrid.KeyDown 0020 TOutlineNode.GetList 003c TOutlineNode.GetVisibleNode 0099 TList.Get 00a2 TOutlineNode.GetIndex 00ab TCustomOutline.SetSelectedItem 00c0 TList.Last 00df TOutlineNode.HasChildren 0106 TOutlineNode.SetExpandedState 011c TCustomOutline.FullExpand 0139 MessageBeep 0145 TCustomOutline.GetSelectedItem 01b9 TList.IndexOf 01c3 TOutlineNode.GetNode"
	strings:
		$1 = { 53 56 57 51 66 89 0C 24 8B FA 8B D8 8B D7 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? 8B 83 44 03 00 00 E8 ?? ?? ?? ?? 83 78 08 00 0F 84 13 02 00 00 8B 93 94 02 00 00 42 8B 83 44 03 00 00 E8 ?? ?? ?? ?? 8B F0 0F B7 07 83 F8 26 7F 23 0F 84 34 01 00 00 83 E8 0D 0F 84 A3 00 00 00 83 E8 16 74 56 48 74 2A 48 0F 84 F0 00 00 00 E9 B4 01 00 00 83 E8 27 0F 84 AF 00 00 00 48 0F 84 5A 01 00 00 83 E8 42 0F 84 89 00 00 00 E9 96 01 00 00 8B 83 44 03 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E9 8D 01 00 00 8B 83 44 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 0E 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 80 7E 18 00 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 E1 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E9 45 01 00 00 0F B6 56 18 80 F2 01 8B C6 E8 ?? ?? ?? ?? E9 32 01 00 00 F6 04 24 04 0F 84 08 01 00 00 8B C3 E8 ?? ?? ?? ?? E9 1C 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 80 7E 18 00 75 0C 6A 00 E8 ?? ?? ?? ?? E9 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 42 8B C3 E8 ?? ?? ?? ?? E9 E9 00 00 00 8B 7E 10 3B BB 44 03 00 00 75 0C 6A 00 E8 ?? ?? ?? ?? E9 D2 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E9 BD 00 00 00 F6 04 24 04 0F 84 93 00 00 00 8B 7E 10 8B C7 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 3B F0 75 0C 6A 00 E8 ?? ?? ?? ?? E9 92 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B D0 4A 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 6A F6 04 24 04 74 44 8B 7E 10 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 75 09 6A 00 E8 ?? ?? ?? ?? EB 48 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B D0 42 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 20 8B 93 94 02 00 00 42 8B 83 44 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83018_0 {
	meta:
		name = "TCustomOutline.DblClick"
		size = 35
		refs = "0006 TControl.DblClick 001d TCustomOutline.DoExpand"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 94 03 00 00 3B 83 44 03 00 00 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83019_0 {
	meta:
		name = "TCustomOutline.MouseDown"
		size = 50
		refs = "001a TCustomGrid.MouseDown 0021 TCustomOutline.ResetSelectedItem 0028 TCustomOutline.GetSelectedItem"
	strings:
		$1 = { 55 8B EC 51 53 66 89 4D FE 8B D8 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_83021_0 {
	meta:
		name = "TCustomOutline.FullCollapse"
		size = 55
		refs = "000c TOutlineNode.GetList 0024 TOutlineNode.GetNode 002b TOutlineNode.SetExpandedState"
	strings:
		$1 = { 53 56 57 8B F8 8B 87 44 03 00 00 E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 1B 43 33 F6 8B 87 44 03 00 00 8B D6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 46 4B 75 E8 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83022_0 {
	meta:
		name = "TCustomOutline.SetHorzScrollBar"
		size = 79
		refs = "0040 TOutlineNode.GetMaxDisplayWidth 0049 TCustomOutline.SetDisplayWidth"
	strings:
		$1 = { 53 8B D8 0F B6 83 CC 02 00 00 2C 01 74 04 2C 02 75 3B 83 BB 4C 03 00 00 00 7F 32 80 BB 92 03 00 00 00 75 29 80 BB 90 03 00 00 01 75 0A 66 83 BB 9A 03 00 00 00 75 16 33 D2 8B 83 44 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83023_0 {
	meta:
		name = "TCustomOutline.DoExpand"
		size = 13
		refs = "0008 TOutlineNode.SetExpandedState"
	strings:
		$1 = { 0F B6 42 18 34 01 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83024_0 {
	meta:
		name = "TCustomOutline.BeginUpdate"
		size = 29
		refs = "0011 TCustomOutline.SetUpdateState"
	strings:
		$1 = { 53 8B D8 83 BB 4C 03 00 00 00 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? FF 83 4C 03 00 00 5B C3 }
	condition:
		$1
}

rule function_83025_0 {
	meta:
		name = "TCustomOutline.EndUpdate"
		size = 23
		refs = "0012 TCustomOutline.SetUpdateState"
	strings:
		$1 = { FF 88 4C 03 00 00 83 B8 4C 03 00 00 00 75 07 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83026_0 {
	meta:
		name = "TCustomOutline.SetUpdateState"
		size = 106
		refs = "001a TCustomOutline.ResizeGrid 0033 TOutlineNode.GetList 004b TList.Get 0050 TOutlineNode.SetGoodIndex 0064 TCustomOutline.SetHorzScrollBar"
	strings:
		$1 = { 53 8B D8 3A 93 40 03 00 00 74 5D 8B C2 88 83 40 03 00 00 84 C0 75 51 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C3 8B 10 FF 92 9C 00 00 00 8B 83 44 03 00 00 E8 ?? ?? ?? ?? 83 78 08 00 7E 19 8B 83 44 03 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8B 83 44 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83027_0 {
	meta:
		name = "TCustomOutline.ResizeGrid"
		size = 176
		refs = "0037 TCustomOutline.ResizeGrid 0051 TCustomGrid.SetRowCount 006e @HandleFinally 009a TOutlineNode.GetIndex 00a4 TCustomOutline.SetSelectedItem"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC 33 DB 8B 45 FC 80 B8 40 03 00 00 00 0F 85 8B 00 00 00 8B 45 FC 8B 80 C8 02 00 00 89 45 F8 8B 45 FC C6 80 A1 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 44 03 00 00 8B 50 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 A1 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 80 C8 02 00 00 3B 45 F8 0F 95 C3 8B 45 FC 8B B0 94 03 00 00 8B 45 FC 3B B0 44 03 00 00 74 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_83028_0 {
	meta:
		name = "TCustomOutline.BadIndex"
		size = 29
		refs = "0011 TCustomOutline.CompareNodes"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 8B 48 03 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 3C 02 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_83029_0 {
	meta:
		name = "TCustomOutline.SetGoodIndex"
		size = 103
		refs = "0012 TCustomOutline.CompareNodes 0030 TOutlineNode.GetList 0037 TList.IndexOf 0045 TOutlineNode.GetNode"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B CE 8B 93 48 03 00 00 8B C3 E8 ?? ?? ?? ?? 2C 02 72 08 74 0E FE C8 74 2F EB 35 8B 83 48 03 00 00 EB 33 8B 7E 10 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 85 C0 74 0C 8B D0 4A 8B C7 E8 ?? ?? ?? ?? EB 12 8B C7 EB 0E 8B 83 44 03 00 00 EB 06 8B 83 44 03 00 00 89 83 48 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83030_0 {
	meta:
		name = "GetParentNodeAtLevel"
		size = 13
	strings:
		$1 = { 85 D2 7E 08 8B 40 10 4A 85 D2 7F F8 C3 }
	condition:
		$1
}

rule function_83031_0 {
	meta:
		name = "TCustomOutline.CompareNodes"
		size = 209
		refs = "0020 TOutlineNode.GetLevel 0041 GetParentNodeAtLevel 0082 TOutlineNode.GetList 0089 TList.IndexOf"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 0C 24 8B EA 3B 2C 24 75 07 B0 01 E9 B1 00 00 00 8B DD 8B 34 24 8B C5 E8 ?? ?? ?? ?? 8B F8 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 04 3B 7C 24 04 7E 11 8B D7 2B 54 24 04 8B C5 E8 ?? ?? ?? ?? 8B D8 EB 1C 3B 7C 24 04 7D 16 8B 54 24 04 2B D7 8B 04 24 E8 ?? ?? ?? ?? 8B F0 EB 04 8B D8 8B F2 8B 56 10 8B 43 10 3B D0 75 F2 8B 43 10 89 44 24 08 83 7C 24 08 00 74 4A 8B 44 24 08 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B D8 8B 44 24 08 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 3B C3 7E 04 33 C0 EB 22 3B D8 7E 04 B0 02 EB 1A 3B 7C 24 04 7E 04 B0 02 EB 10 3B 7C 24 04 75 04 B0 01 EB 06 33 C0 EB 02 B0 03 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83033_0 {
	meta:
		name = "TCustomOutline.GetItem"
		size = 83
		refs = "0018 TCustomGrid.MouseCoord 002b TOutlineNode.GetList 003f TOutlineNode.GetVisibleNode 0044 TOutlineNode.GetIndex"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 8B FA 8B D8 83 CE FF 54 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 7C 24 04 85 FF 7F 11 8B 83 44 03 00 00 E8 ?? ?? ?? ?? 83 78 08 00 7E 15 8B D7 42 8B 83 44 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83035_0 {
	meta:
		name = "TCustomOutline.SetCurItem"
		size = 209
		refs = "0015 TCustomOutline.SetCurItem 0027 SInvalidCurrentItem 002c LoadResString 0037 TCustomOutline.Error 0041 TCustomOutline.IsCurItem 0063 TOutlineNode.GetNodeAtIndex 007b @HandleOnException 0083 _DV_OutlineError 008f SOutlineIndexError 00a4 @DoneExcept 00be @UStrArrayClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7D 18 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 5F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 44 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 89 82 50 03 00 00 33 C0 5A 59 59 64 89 10 EB 2E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83036_0 {
	meta:
		name = "TCustomOutline.SetOutlineStyle"
		size = 36
		refs = "0014 TCustomOutline.SetHorzScrollBar"
	strings:
		$1 = { 56 8B F0 3A 96 88 03 00 00 74 17 88 96 88 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_83038_0 {
	meta:
		name = "TCustomOutline.SetDisplayWidth"
		size = 84
		refs = "0015 TCustomOutline.SetDisplayWidth 002e TCustomGrid.SetDefaultColWidth 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 80 A0 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 3B 90 98 02 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 A0 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_83039_0 {
	meta:
		name = "TCustomOutline.GetNodeDisplayWidth"
		size = 247
		refs = "002d TCanvas.SetFont 0037 TCustomCanvas.TextWidth 0051 TCustomOutline.GetNodeDisplayWidth 0070 TOutlineNode.GetLevel"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B D8 33 F6 8B 83 9C 02 00 00 2B 83 58 03 00 00 D1 F8 79 03 83 D0 00 89 04 24 8B BB 78 02 00 00 8B 53 6C 8B C7 E8 ?? ?? ?? ?? 8B 55 08 8B C7 E8 ?? ?? ?? ?? 40 8B F8 0F B6 83 88 03 00 00 83 F8 05 0F 87 99 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 48 F7 AB 9C 02 00 00 03 F0 EB 68 8B C5 E8 ?? ?? ?? ?? 40 F7 AB 9C 02 00 00 03 F0 EB 56 8B C5 E8 ?? ?? ?? ?? F7 AB 9C 02 00 00 03 F0 EB 45 8B C5 E8 ?? ?? ?? ?? 48 F7 AB 9C 02 00 00 2B 04 24 03 F0 F6 83 91 03 00 00 01 74 29 03 B3 9C 02 00 00 EB 21 8B C5 E8 ?? ?? ?? ?? F7 AB 9C 02 00 00 2B 04 24 03 F0 F6 83 91 03 00 00 01 74 06 03 B3 9C 02 00 00 03 F7 85 F6 7D 02 33 F6 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83040_0 {
	meta:
		name = "TCustomOutline.GetVisibleNode"
		size = 13
		refs = "0008 TOutlineNode.GetVisibleNode"
	strings:
		$1 = { 42 8B 80 44 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83041_0 {
	meta:
		name = "GetBitmap"
		size = 21
	strings:
		$1 = { 55 8B EC 83 E0 7F 8B 55 08 8B 52 FC 8B 84 82 64 03 00 00 5D C3 }
	condition:
		$1
}

rule function_83042_0 {
	meta:
		name = "DrawFocusCell"
		size = 72
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F8 8B 55 08 01 42 F0 8B 45 08 8B 40 FC 8B 80 94 02 00 00 8B 55 08 3B 42 E4 75 23 8B 45 08 8B 40 E0 83 78 08 00 74 17 8B 45 08 8D 50 E8 8B 45 08 8B 40 FC 8B 80 78 02 00 00 8B 08 FF 51 54 5D C3 }
	condition:
		$1
}

rule function_83043_0 {
	meta:
		name = "DrawTheText"
		size = 78
		refs = "0030 DrawFocusCell 0048 TCustomOutline.DrawText"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 80 9C 02 00 00 8B 55 08 0F B7 52 DE 4A F7 EA 8B 55 08 01 42 E8 8B 45 08 8B 40 E8 8B 55 08 89 42 F0 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8D 48 E8 8B 45 08 8B 50 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_83044_0 {
	meta:
		name = "DrawPlusMinusPicture"
		size = 266
		refs = "003e GetBitmap 00b7 DrawFocusCell 00cb TCustomOutline.DrawText 0101 TCustomOutline.DrawPictures"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B 5D 08 83 C3 E8 8B 45 08 8B 40 FC 8B 80 9C 02 00 00 8B 55 08 0F B7 52 DE 4A F7 EA 01 03 8B 45 08 80 78 DD 00 74 55 8B 45 08 80 78 DC 00 74 26 8B 45 08 50 B0 01 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D8 8B 45 08 50 B0 02 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D4 EB 40 8B 45 08 50 33 C0 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D8 8B 45 08 50 B0 03 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D4 EB 1A 8B 45 08 33 D2 89 50 D8 8B 45 08 50 B0 04 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D4 8B 45 08 8B 40 FC 8B 80 9C 02 00 00 03 C0 01 03 8B 03 89 43 08 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B CB 8B 45 08 8B 50 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 9C 02 00 00 03 C0 29 03 53 8B 45 08 8B 40 D8 89 45 F8 8B 45 08 8B 40 D4 89 45 FC 8D 55 F8 8B 45 08 8B 40 FC B9 01 00 00 00 E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_83045_0 {
	meta:
		name = "DrawPictureText"
		size = 175
		refs = "0047 GetBitmap 006a DrawFocusCell 007e TCustomOutline.DrawText 00a6 TCustomOutline.DrawPictures"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 08 83 C6 E8 8B 45 08 8B 40 FC 8B 80 9C 02 00 00 8B 55 08 0F B7 52 DE 4A F7 EA 01 06 8B 45 08 80 78 DD 00 74 11 8B 45 08 80 78 DC 00 74 04 B3 02 EB 06 B3 03 EB 02 B3 04 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D8 8B 45 08 8B 40 FC 8B 80 9C 02 00 00 01 06 8B 06 89 46 08 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B CE 8B 45 08 8B 50 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 9C 02 00 00 29 06 56 8B 45 08 8B 40 D8 89 45 FC 8D 55 FC 8B 45 08 8B 40 FC 33 C9 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83046_0 {
	meta:
		name = "DrawPlusMinusText"
		size = 173
		refs = "0031 DrawFocusCell 0049 TCustomOutline.DrawText 006c GetBitmap 00a5 TCustomOutline.DrawPictures"
	strings:
		$1 = { 55 8B EC 51 53 8B 45 08 8B 40 FC 8B 80 9C 02 00 00 8B 55 08 0F B7 52 DE F7 EA 8B 55 08 01 42 E8 8B 45 08 8B 40 E8 8B 55 08 89 42 F0 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8D 48 E8 8B 45 08 8B 50 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 80 78 DD 00 74 53 8B 45 08 80 78 DC 00 74 04 B3 01 EB 02 33 DB 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D8 8B 45 08 8B 40 FC 8B 80 9C 02 00 00 8B 55 08 29 42 E8 8B 45 08 83 C0 E8 50 8B 45 08 8B 40 D8 89 45 FC 8D 55 FC 8B 45 08 8B 40 FC 33 C9 E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_83047_0 {
	meta:
		name = "DrawTheTree"
		size = 130
		refs = "0019 TCustomOutline.DrawTree 005f DrawFocusCell 007b TCustomOutline.DrawText"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 E8 8B 45 08 8B 48 E0 8B D3 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 9C 02 00 00 8B D0 8B 4D 08 0F B7 49 DE 49 0F AF D1 8B 4D 08 2B 51 D0 01 13 8B 55 08 8B 52 FC F6 82 91 03 00 00 01 74 02 01 03 8B 03 8B 55 08 03 42 D0 89 43 08 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 D0 01 03 8B CB 8B 45 08 8B 50 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_83048_0 {
	meta:
		name = "DrawTreePicture"
		size = 220
		refs = "001b TCustomOutline.DrawTree 0063 DrawFocusCell 0077 TCustomOutline.DrawText 00b2 GetBitmap 00d3 TCustomOutline.DrawPictures"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 08 83 C6 E8 8B 45 08 8B 48 E0 8B D6 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 9C 02 00 00 8B D0 8B 4D 08 0F B7 49 DE 49 0F AF D1 8B 4D 08 2B 51 D0 01 16 8B 55 08 8B 52 FC F6 82 91 03 00 00 01 74 02 01 06 01 06 8B 06 8B 55 08 03 42 D0 89 46 08 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B CE 8B 45 08 8B 50 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 9C 02 00 00 8B 55 08 2B 42 D0 29 06 8B 45 08 80 78 DD 00 74 11 8B 45 08 80 78 DC 00 74 04 B3 02 EB 06 B3 03 EB 02 B3 04 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 8B 55 08 89 42 D8 56 8B 45 08 8B 40 D8 89 45 FC 8D 55 FC 8B 45 08 8B 40 FC 33 C9 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83049_0 {
	meta:
		name = "TCustomOutline.DrawCell"
		size = 920
		refs = "0025 TOutlineNode.GetList 0038 TStyleManager.GetIsCustomStyleActive 0041 TStyleManager.GetActiveStyle 0048 TCustomStyleServices.GetStyleColor 0052 TBrush.SetColor 00a7 TWinControl.GetHandle 00ae GetFocus 00bd TCustomOutline.DrawCell 00f1 TCanvas.GetHandle 00f7 DrawFocusRect 0151 TCustomOutline.GetVisibleNode 0180 TCanvas.SetFont 01ab TCustomStyleServices.GetStyleFontColor 01b5 TFont.SetColor 01db TCustomCanvas.TextWidth 0204 TCustomStyleServices.GetSystemColor 0252 TOutlineNode.HasChildren 025d TOutlineNode.GetLevel 0294 DrawTheText 029d DrawPlusMinusText 02a6 DrawPlusMinusPicture 02af DrawPictureText 02b8 DrawTheTree 02c1 DrawTreePicture"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 75 0C 8D 7D E8 A5 A5 A5 A5 89 4D E4 89 45 FC 8D 75 FC 8B 06 8B 80 44 03 00 00 E8 ?? ?? ?? ?? 83 78 08 00 75 45 8B 06 8B 98 78 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 18 E8 ?? ?? ?? ?? B2 0E E8 ?? ?? ?? ?? 8B D0 8B 43 48 E8 ?? ?? ?? ?? EB 0D 8B 06 8B 50 74 8B 43 48 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 08 FF 51 54 E9 0E 03 00 00 8B 06 80 B8 90 03 00 00 01 0F 85 C5 00 00 00 8B 06 66 83 B8 9A 03 00 00 00 0F 84 B5 00 00 00 8B 06 8B 80 94 02 00 00 3B 45 E4 0F 85 80 00 00 00 8B 06 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 75 4A 8D 45 E8 50 0F B7 05 ?? ?? ?? ?? 50 8B 1E 8B 4D E4 8B 16 8B 83 9C 03 00 00 FF 93 98 03 00 00 8B 06 F6 80 91 03 00 00 02 0F 84 9E 02 00 00 8D 45 E8 50 8B 06 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 82 02 00 00 8D 45 E8 50 0F B7 05 ?? ?? ?? ?? 50 8B 1E 8B 4D E4 8B 16 8B 83 9C 03 00 00 FF 93 98 03 00 00 E9 5E 02 00 00 8D 45 E8 50 0F B7 05 ?? ?? ?? ?? 50 8B 1E 8B 4D E4 8B 16 8B 83 9C 03 00 00 FF 93 98 03 00 00 E9 3A 02 00 00 8B 7D E8 8B 55 E4 8B 06 E8 ?? ?? ?? ?? 89 45 E0 8B 45 F4 2B 45 EC 8B 16 2B 82 58 03 00 00 D1 F8 79 03 83 D0 00 89 45 D0 8B 06 8B 98 78 02 00 00 8B 06 8B 50 6C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2E E8 ?? ?? ?? ?? B2 0E E8 ?? ?? ?? ?? 8B D0 8B 43 48 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 20 E8 ?? ?? ?? ?? 8B D0 8B 43 40 E8 ?? ?? ?? ?? EB 0D 8B 06 8B 50 74 8B 43 48 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 08 FF 51 54 8B 45 E0 8B 50 08 8B C3 E8 ?? ?? ?? ?? 40 89 45 F8 8B 06 8B 80 94 02 00 00 3B 45 E4 75 54 E8 ?? ?? ?? ?? 84 C0 74 31 E8 ?? ?? ?? ?? BA 0D 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 43 48 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 21 E8 ?? ?? ?? ?? 8B D0 8B 43 40 E8 ?? ?? ?? ?? EB 1A BA 0D 00 00 FF 8B 43 48 E8 ?? ?? ?? ?? BA 0E 00 00 FF 8B 43 40 E8 ?? ?? ?? ?? 8B 45 E0 0F B6 40 18 88 45 DC 8B 45 E0 E8 ?? ?? ?? ?? 88 45 DD 8B 45 E0 E8 ?? ?? ?? ?? 66 89 45 DE 8B 06 0F B6 80 88 03 00 00 83 F8 05 77 53 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 EB 2B 55 E8 ?? ?? ?? ?? 59 EB 22 55 E8 ?? ?? ?? ?? 59 EB 19 55 E8 ?? ?? ?? ?? 59 EB 10 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 8B 06 8B 80 94 02 00 00 3B 45 E4 0F 85 AB 00 00 00 8B 45 E0 83 78 08 00 0F 84 9E 00 00 00 8B 06 8B 80 9C 02 00 00 8B D0 0F B7 4D DE 49 0F AF D1 03 FA 89 7D E8 8B 16 80 BA 88 03 00 00 04 72 14 8B 55 D0 29 55 E8 8B 16 F6 82 91 03 00 00 01 74 03 01 45 E8 8B 06 0F B6 80 88 03 00 00 84 C0 74 0F 3C 04 74 0B 8B 16 8B 92 9C 02 00 00 01 55 E8 3C 03 75 0B 8B 06 8B 80 9C 02 00 00 01 45 E8 8B 06 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 75 2B 8B 06 F6 80 91 03 00 00 02 74 20 E8 ?? ?? ?? ?? 84 C0 75 17 8D 45 E8 50 8B 06 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 00 11 00 00 00 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_83050_0 {
	meta:
		name = "TCustomOutline.DrawTree"
		size = 613
		refs = "0034 TOutlineNode.GetLevel 0053 _Dn_TPen 0058 TPen.Create 0063 TCustomOutline.DrawTree 0088 TStyleManager.GetIsCustomStyleActive 0091 TStyleManager.GetActiveStyle 0098 TCustomStyleServices.GetStyleFontColor 00a5 TPen.SetColor 00c4 TPen.SetWidth 00e8 TOutlineNode.GetList 00ef TList.IndexOf 023b @HandleFinally 0252 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B F2 8D 7D D4 A5 A5 A5 A5 89 4D FC 8B F0 8B 86 9C 02 00 00 D1 F8 79 03 83 D0 00 66 89 45 FA 0F B7 45 E0 66 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 83 E8 03 89 45 F0 F6 86 91 03 00 00 01 74 03 FF 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 86 78 02 00 00 8B 50 44 8B 45 F4 8B 08 FF 51 08 8B 86 78 02 00 00 89 45 E8 E8 ?? ?? ?? ?? 84 C0 74 1B E8 ?? ?? ?? ?? B2 18 E8 ?? ?? ?? ?? 8B D0 8B 45 E8 8B 40 44 E8 ?? ?? ?? ?? EB 0D 8B 45 E8 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 58 10 EB 70 8B 43 10 89 45 E4 8B 45 E4 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B F8 8B 45 E4 E8 ?? ?? ?? ?? 8B 40 08 48 3B F8 7D 43 8B 96 9C 02 00 00 0F AF 55 F0 03 55 D4 0F B7 45 FA 03 D0 8B 86 78 02 00 00 8B 4D D8 8B 38 FF 57 64 8B 96 9C 02 00 00 0F AF 55 F0 03 55 D4 0F B7 45 FA 03 D0 0F B7 4D F8 8B 86 78 02 00 00 8B 38 FF 57 60 8B 5B 10 FF 4D F0 83 7B 10 00 74 16 F6 86 91 03 00 00 01 75 81 8B 43 10 83 78 10 00 0F 85 74 FF FF FF 8B 45 FC 8B 58 10 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 8B 40 08 48 3B F8 75 0C 0F B7 45 D8 66 03 45 FA 66 89 45 F8 F6 86 91 03 00 00 01 0F 95 C0 84 C0 75 06 83 7D EC 01 7E 6E 84 C0 75 03 FF 4D EC 8B 86 9C 02 00 00 8B 55 EC 4A F7 EA 01 45 D4 0F B7 5D FA 8B D3 03 55 D4 8B 4D D8 8B 45 E8 8B 38 FF 57 64 0F B7 4D F8 8B D3 03 55 D4 8B 45 E8 8B 38 FF 57 60 8B CB 03 4D D8 8B D3 03 55 D4 8B 45 E8 8B 38 FF 57 64 8B D3 03 55 D4 8B 86 58 03 00 00 D1 F8 79 03 83 D0 00 03 D0 8B CB 03 4D D8 8B 45 E8 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 8B 40 44 8B 55 F4 8B 08 FF 51 08 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83051_0 {
	meta:
		name = "TCustomOutline.DrawPictures"
		size = 495
		refs = "003b TStyleManager.GetIsCustomStyleActive 0044 TStyleManager.GetActiveStyle 004b TCustomStyleServices.GetStyleColor 005b TBrush.SetColor 0166 Bounds 0171 TBitmap.GetTransparentColor"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 8B 75 08 8D 7D E4 A5 A5 A5 A5 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 8B F9 8B F2 8B D8 8B 83 78 02 00 00 8B 40 48 8B 40 10 8B 40 18 89 45 F8 E8 ?? ?? ?? ?? 84 C0 74 1E E8 ?? ?? ?? ?? B2 0E E8 ?? ?? ?? ?? 8B D0 8B 83 78 02 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 11 8B 83 78 02 00 00 8B 40 48 8B 53 74 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 8B 93 58 03 00 00 2B C2 D1 F8 79 03 83 D0 00 66 89 45 FE 0F B7 45 FE 03 45 E8 89 45 D8 03 C2 89 45 E0 66 85 FF 0F 82 2C 01 00 00 47 66 89 7D F6 8B 3E 0F B7 45 FE 03 45 E4 48 89 45 D4 03 83 58 03 00 00 89 45 DC 8B 83 9C 02 00 00 01 45 E4 85 FF 0F 84 F3 00 00 00 F6 83 91 03 00 00 04 0F 85 AC 00 00 00 8B C7 8B 10 FF 52 24 03 45 D8 3B 45 E0 7D 0D 8B C7 8B 10 FF 52 24 03 45 D8 89 45 E0 8B C7 8B 10 FF 52 30 03 45 D4 3B 45 DC 7D 0D 8B C7 8B 10 FF 52 30 03 45 D4 89 45 DC 8B 45 E0 2B 45 D8 8B 93 58 03 00 00 2B D0 D1 FA 79 03 83 D2 00 85 D2 7E 23 8B 93 9C 02 00 00 2B D0 D1 FA 79 03 83 D2 00 8B 45 D8 03 55 E8 89 55 D8 8B 55 E0 2B D0 03 55 D8 89 55 E0 8B 45 E0 2B 45 D8 50 8D 45 C4 50 8B 4D DC 2B 4D D4 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 C4 50 8B C7 E8 ?? ?? ?? ?? 50 8D 55 D4 8B CF 8B 83 78 02 00 00 8B 38 FF 57 3C EB 3A 8B C7 8B 10 FF 52 24 50 8D 45 C4 50 8B C7 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 C4 50 8B C7 E8 ?? ?? ?? ?? 50 8D 55 D4 8B CF 8B 83 78 02 00 00 8B 38 FF 57 3C 83 C6 04 66 FF 4D F6 0F 85 D9 FE FF FF 8B 83 78 02 00 00 8B 40 48 8B 55 F8 E8 ?? ?? ?? ?? 8B 7D B8 8B 75 BC 8B 5D C0 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_83052_0 {
	meta:
		name = "TCustomOutline.DrawText"
		size = 137
		refs = "001d TCustomOutline.DrawText 002e TCanvas.GetHandle 0047 @UStrLAsg 005a @UStrToPWChar 0061 DrawText 0076 @UStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F1 8D 7D EC A5 A5 A5 A5 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B 5E 08 85 DB 74 05 83 EB 04 8B 1B 8B F8 8D 45 FC 8B 56 08 E8 ?? ?? ?? ?? BE 24 08 00 00 56 8D 45 EC 50 53 8B 45 FC E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83053_0 {
	meta:
		name = "TCustomOutline.StoreBitmap"
		size = 22
	strings:
		$1 = { 80 FA 07 77 0D 83 E2 7F 0F B6 80 60 03 00 00 0F A3 D0 0F 92 C0 C3 }
	condition:
		$1
}

rule function_83054_0 {
	meta:
		name = "TCustomOutline.ClearBitmap"
		size = 21
		refs = "000b TObject.Free"
	strings:
		$1 = { 53 8B DA 83 3B 00 74 0B 8B 03 E8 ?? ?? ?? ?? 33 C0 89 03 5B C3 }
	condition:
		$1
}

rule function_83055_0 {
	meta:
		name = "TCustomOutline.ChangeBitmap"
		size = 94
		refs = "0040 TCustomOutline.ClearBitmap"
	strings:
		$1 = { 53 56 57 55 8B D9 8B EA 8B F0 0F B6 C3 8D BC 86 64 03 00 00 8B C3 3C 07 77 1B 83 E0 7F 8D 96 60 03 00 00 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F AB 02 85 ED 75 0D 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? EB 09 8B 07 8B D5 8B 08 FF 51 08 8B C6 8B 10 FF 92 9C 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83056_0 {
	meta:
		name = "TCustomOutline.SetPicture"
		size = 8
		refs = "0003 TCustomOutline.ChangeBitmap"
	strings:
		$1 = { 87 D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83057_0 {
	meta:
		name = "TCustomOutline.GetPicture"
		size = 55
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 01 74 21 8B C6 3C 07 77 1B 83 E0 7F 8D 93 60 03 00 00 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F AB 02 8B 84 B3 64 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_83060_0 {
	meta:
		name = "TCustomOutline.SetItemHeight"
		size = 72
		refs = "0017 TCustomOutline.SetRowHeight 0022 TCustomGrid.SetDefaultRowHeight 0032 MulDiv"
	strings:
		$1 = { 56 8B F0 8B C2 89 86 8C 03 00 00 80 BE 90 03 00 00 01 74 09 8B C6 E8 ?? ?? ?? ?? 5E C3 8B D0 8B C6 E8 ?? ?? ?? ?? 6A 78 6A 64 8B 86 8C 03 00 00 50 E8 ?? ?? ?? ?? 89 86 58 03 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_83061_0 {
	meta:
		name = "TCustomOutline.SetStyle"
		size = 24
		refs = "0013 TCustomOutline.SetRowHeight"
	strings:
		$1 = { 3A 90 90 03 00 00 74 0F 88 90 90 03 00 00 84 D2 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83062_0 {
	meta:
		name = "TCustomOutline.SetOutlineOptions"
		size = 42
	strings:
		$1 = { 56 51 88 14 24 8B F0 0F B6 86 91 03 00 00 3A 04 24 74 14 0F B6 04 24 88 86 91 03 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5A 5E C3 }
	condition:
		$1
}

rule function_83063_0 {
	meta:
		name = "LineStart"
		size = 55
	strings:
		$1 = { 8B CA 2B C8 D1 F9 79 03 83 D1 00 83 E9 02 85 C9 7E 24 83 EA 04 EB 03 83 EA 02 66 83 3A 0D 74 04 3B C2 72 F3 3B C2 73 0C 83 C2 02 66 83 3A 0A 75 03 83 C2 02 8B C2 C3 }
	condition:
		$1
}

rule function_83064_0 {
	meta:
		name = "GetString"
		size = 108
		refs = "000f GetString 0017 CharInSet 002f @UStrFromPWCharLen"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B F3 EB 03 83 C3 02 BA ?? ?? ?? ?? 0F B7 03 E8 ?? ?? ?? ?? 84 C0 74 EC 8B CB 2B CE D1 F9 79 03 83 D1 00 8B C7 8B D6 E8 ?? ?? ?? ?? 66 83 3B 0D 75 03 83 C3 02 66 83 3B 0A 75 03 83 C3 02 8B C3 5F 5E 5B C3 00 00 20 00 04 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_83066_0 {
	meta:
		name = "TCustomOutline.LoadFromStream"
		size = 648
		refs = "0025 TCustomOutline.LoadFromStream 0032 _Dn_TStringList 0037 TStringList.Create 0055 TCustomOutline.Clear 0072 TStrings.GetEnumerator 00ad @UStrLAsg 00e8 CharInSet 00f6 _DV_TOutlineNode 00fb TOutlineNode.Create 011e @UStrCopy 0129 TOutlineNode.SetText 0149 SOutlineFileLoad 014e LoadResString 0159 TCustomOutline.Error 0193 TOutlineNode.GetList 019b TList.Add 01b6 @HandleAnyException 01be TObject.Free 01c3 @RaiseAgain 01c8 @DoneExcept 01d0 TStringsEnumerator.MoveNext 01fb @HandleFinally 0245 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D C4 89 5D C8 89 5D CC 89 5D FC 89 5D F8 8B F9 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B B0 44 03 00 00 8B CF 8B D3 8B 45 E4 8B 18 FF 53 74 8B 45 E4 E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 40 01 00 00 8B 45 DC 89 45 D4 8D 4D F8 8B 45 D4 8B 50 04 8B 45 D4 8B 40 08 8B 18 FF 53 0C 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 33 DB 8B 45 FC 89 45 D0 83 7D D0 00 74 0B 8B 45 D0 83 E8 04 8B 00 89 45 D0 8B 45 D0 89 45 EC EB 01 43 8D 43 01 3B 45 EC 7F 15 8B 45 FC 0F B7 04 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 E2 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 CC 50 8D 53 01 8B 4D EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC 8B 45 E0 E8 ?? ?? ?? ?? 3B 5D E8 7F 0B 8B 45 F4 3B B0 44 03 00 00 75 22 8B C3 2B 45 E8 48 7E 4B 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F4 E8 ?? ?? ?? ?? EB 31 8B 45 E8 8B D3 2B D0 7F 28 4A 89 55 D8 8B 76 10 85 F6 75 18 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B 45 F4 E8 ?? ?? ?? ?? FF 45 D8 75 DC 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 89 70 10 8B 75 E0 89 5D E8 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 84 C0 0F 85 B0 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 0A B2 01 8B 45 DC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 F4 F6 40 1C 01 75 08 8B 45 F4 8B 10 FF 52 0C C3 E9 ?? ?? ?? ?? EB DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 00 02 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_83067_0 {
	meta:
		name = "TCustomOutline.Loaded"
		size = 220
		refs = "0007 TControl.Loaded 0014 TOutlineNode.GetList 0023 TCustomGrid.SetRow 002a TCustomOutline.ResetSelectedItem 0031 TCustomOutline.ResizeGrid 005a TList.Get 005f TOutlineNode.SetGoodIndex 0080 TOutlineNode.FullExpand 00b7 TCustomOutline.ChangeBitmap 00c4 TCustomOutline.Loaded 00d1 TCustomOutline.SetHorzScrollBar"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 9E 44 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 08 89 43 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 7E 27 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 89 86 94 03 00 00 F6 46 1C 10 74 07 8B C3 E8 ?? ?? ?? ?? 33 DB 8B C3 3C 07 77 0D 83 E0 7F 0F B6 96 61 03 00 00 0F A3 C2 73 20 8B C3 3C 07 77 0D 83 E0 7F 0F B6 96 60 03 00 00 0F A3 C2 72 0B 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? 43 80 FB 05 75 C5 0F B6 05 ?? ?? ?? ?? 88 86 61 03 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_83071_0 {
	meta:
		name = "TCustomOutline.SaveToStream"
		size = 137
		refs = "0012 TCustomOutline.SaveToStream 0021 TEncoding.GetANSI 0035 @DynArrayLength 004d TStream.WriteBuffer 005c TOutlineNode.WriteNode 0072 TArray<System.Byte> 0077 @DynArrayClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 07 E8 ?? ?? ?? ?? 8B D8 8D 55 FC 8B C3 8B 08 FF 51 24 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 14 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B CB 8B D7 8B 86 44 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83072_0 {
	meta:
		name = "TCustomOutline.SetStrings"
		size = 46
		refs = "0020 TOutlineNode.FullExpand 0027 TCustomOutline.SetHorzScrollBar"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 5C 03 00 00 8B 08 FF 51 08 F6 46 1C 10 74 0B 8B 86 44 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_83073_0 {
	meta:
		name = "TCustomOutline.GetStrings"
		size = 7
	strings:
		$1 = { 8B 80 5C 03 00 00 C3 }
	condition:
		$1
}

rule function_83076_0 {
	meta:
		name = "TCustomOutline.Collapse"
		size = 31
	strings:
		$1 = { 53 66 83 B8 82 03 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 84 03 00 00 FF 93 80 03 00 00 5B C3 }
	condition:
		$1
}

rule function_83079_0 {
	meta:
		name = "GetActionControlStyle"
		size = 83
		refs = "0001 TStyleManager.GetIsCustomStyleActive 000d TOSVersion.FMajor 0017 TStyleManager.GetActiveStyle 0043 TOSVersion.FMinor"
	strings:
		$1 = { E8 ?? ?? ?? ?? 84 C0 74 03 B0 02 C3 A1 ?? ?? ?? ?? 83 38 06 7C 18 E8 ?? ?? ?? ?? B2 0A 8B 08 FF 51 50 85 C0 74 04 B0 02 EB 28 B0 01 EB 24 A1 ?? ?? ?? ?? 83 38 05 7F 14 A1 ?? ?? ?? ?? 83 38 05 75 0E A1 ?? ?? ?? ?? 83 38 01 7C 04 B0 01 EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_83080_0 {
	meta:
		name = "TPlatformDefaultStyleActionBars.GetAddRemoveItemClass"
		size = 31
		refs = "0001 GetActionControlStyle 000e _Dn_TStandardAddRemoveItem 0014 _Dn_TXPStyleAddRemoveItem 001a _Dn_TThemedAddRemoveItem"
	strings:
		$1 = { E8 ?? ?? ?? ?? 2C 01 72 04 74 08 EB 0C A1 ?? ?? ?? ?? C3 A1 ?? ?? ?? ?? C3 A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83081_0 {
	meta:
		name = "TPlatformDefaultStyleActionBars.GetColorMapClass"
		size = 31
		refs = "0001 GetActionControlStyle 000e _Dn_TStandardColorMap 0014 _Dn_TXPColorMap 001a _Dn_TThemedColorMap"
	strings:
		$1 = { E8 ?? ?? ?? ?? 2C 01 72 04 74 08 EB 0C A1 ?? ?? ?? ?? C3 A1 ?? ?? ?? ?? C3 A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83084_0 {
	meta:
		name = "TPlatformDefaultStyleActionBars.GetScrollBtnClass"
		size = 31
		refs = "0001 GetActionControlStyle 000e _Dn_TStandardToolScrollBtn 0014 _Dn_TXPStyleToolScrollBtn 001a _Dn_TThemedToolScrollBtn"
	strings:
		$1 = { E8 ?? ?? ?? ?? 2C 01 72 04 74 08 EB 0C A1 ?? ?? ?? ?? C3 A1 ?? ?? ?? ?? C3 A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83082_0 {
	meta:
		name = "TPlatformDefaultStyleActionBars.GetControlClass"
		size = 446
		refs = "000b _Dn_TCustomActionToolBar 0010 @IsClass 001f TActionClient.GetHasItems 0028 GetActionControlStyle 0035 _Dn_TStandardDropDownButton 003f _Dn_TXPStyleDropDownBtn 0049 _Dn_TThemedDropDownButton 0055 TActionClientItem.GetAction 005b _Dn_TStaticListAction 0071 _Dn_TVirtualListAction 007f _Dn_TCustomComboControl 0096 _Dn_TStandardButtonControl 00a0 _Dn_TXPStyleButton 00aa _Dn_TThemedButtonControl 00b7 _Dn_TCustomActionMainMenuBar 00d2 _Dn_TStandardMenuButton 00dc _Dn_TXPStyleMenuButton 00e6 _Dn_TThemedMenuButton 00f3 _Dn_TCustomizeActionToolBar 010e TActionClientItem.GetParentItem 012e _Dn_TStandardMenuItem 0138 _Dn_TXPStyleMenuItem 013f _Dn_TThemedMenuItem 0153 _Dn_TStandardAddRemoveItem 015a _Dn_TXPStyleAddRemoveItem 0161 _Dn_TThemedAddRemoveItem 016b _Dn_TCustomActionPopupMenu"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 97 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2B E8 ?? ?? ?? ?? 2C 01 72 04 74 0C EB 14 A1 ?? ?? ?? ?? E9 7C 01 00 00 A1 ?? ?? ?? ?? E9 72 01 00 00 A1 ?? ?? ?? ?? E9 68 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A A1 ?? ?? ?? ?? E9 32 01 00 00 E8 ?? ?? ?? ?? 2C 01 72 04 74 0C EB 14 A1 ?? ?? ?? ?? E9 1B 01 00 00 A1 ?? ?? ?? ?? E9 11 01 00 00 A1 ?? ?? ?? ?? E9 07 01 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B E8 ?? ?? ?? ?? 2C 01 72 04 74 0C EB 14 A1 ?? ?? ?? ?? E9 DF 00 00 00 A1 ?? ?? ?? ?? E9 D5 00 00 00 A1 ?? ?? ?? ?? E9 CB 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 67 8B FB 83 BF 44 03 00 00 00 74 15 8B C6 E8 ?? ?? ?? ?? 8B 97 44 03 00 00 3B 82 B0 03 00 00 74 25 E8 ?? ?? ?? ?? 2C 01 72 04 74 0C EB 11 A1 ?? ?? ?? ?? E9 83 00 00 00 A1 ?? ?? ?? ?? EB 7C A1 ?? ?? ?? ?? EB 75 E8 ?? ?? ?? ?? 2C 01 72 04 74 09 EB 0E A1 ?? ?? ?? ?? EB 61 A1 ?? ?? ?? ?? EB 5A A1 ?? ?? ?? ?? EB 53 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 E8 ?? ?? ?? ?? 2C 01 72 04 74 09 EB 0E A1 ?? ?? ?? ?? EB 2E A1 ?? ?? ?? ?? EB 27 A1 ?? ?? ?? ?? EB 20 E8 ?? ?? ?? ?? 2C 01 72 04 74 09 EB 0E A1 ?? ?? ?? ?? EB 0C A1 ?? ?? ?? ?? EB 05 A1 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83083_0 {
	meta:
		name = "TPlatformDefaultStyleActionBars.GetPopupClass"
		size = 88
		refs = "0007 _Dn_TCustomActionToolBar 000c @IsClass 0015 GetActionControlStyle 0022 _Dn_TStandardCustomizePopup 0029 _Dn_TXPStyleCustomizePopup 0030 _Dn_TThemedCustomizePopup 0044 _Dn_TStandardMenuPopup 004b _Dn_TXPStylePopupMenu 0052 _Dn_TThemedPopupMenu"
	strings:
		$1 = { 53 8B DA 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 E8 ?? ?? ?? ?? 2C 01 72 04 74 09 EB 0E A1 ?? ?? ?? ?? EB 2E A1 ?? ?? ?? ?? EB 27 A1 ?? ?? ?? ?? 5B C3 E8 ?? ?? ?? ?? 2C 01 72 04 74 09 EB 0E A1 ?? ?? ?? ?? EB 0C A1 ?? ?? ?? ?? EB 05 A1 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83085_0 {
	meta:
		name = "TPlatformDefaultStyleActionBars.GetStyleName"
		size = 68
		refs = "0006 TPlatformDefaultStyleActionBars.GetStyleName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 6C 00 61 00 74 00 66 00 6F 00 72 00 6D 00 20 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_83087_0 {
	meta:
		name = "Vcl.PlatformDefaultStyleActnCtrls"
		size = 113
		refs = "0009 Vcl.PlatformDefaultStyleActnCtrls 0015 _DV_2 001f _DV_TPlatformDefaultStyleActionBars 0024 TObject.Create 0029 PlatformDefaultStyle 003e DefaultActnBarStyle 0043 @UStrAsg 004d RegisterActnBarStyle 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 35 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? 8B 08 FF 51 08 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_83088_0 {
	meta:
		name = "FetchStr"
		size = 62
	strings:
		$1 = { 56 8B 30 83 38 00 74 32 8B 10 EB 03 83 C2 02 66 83 3A 20 74 F7 8B F2 EB 03 83 C2 02 0F B7 0A 66 85 C9 74 06 66 83 F9 2C 75 EF 66 83 3A 2C 75 08 66 C7 02 00 00 83 C2 02 89 10 8B C6 5E C3 }
	condition:
		$1
}

rule function_83090_0 {
	meta:
		name = "AbortProc"
		size = 34
		refs = "0004 Application 000b TApplication.ProcessMessages 0010 FPrinter"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F B6 40 1D 34 01 F6 D8 1B C0 5D C2 08 00 }
	condition:
		$1
}

rule function_83091_0 {
	meta:
		name = "NewPage"
		size = 20
		refs = "000a FPrinter 000f TPrinter.NewPage"
	strings:
		$1 = { 33 D2 89 10 33 D2 89 50 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83092_0 {
	meta:
		name = "CharHeight"
		size = 39
		refs = "000b FPrinter 0010 TPrinter.GetCanvas 0015 TCanvas.GetHandle 001b GetTextMetrics"
	strings:
		$1 = { 55 8B EC 83 C4 C4 8D 45 C4 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0F B7 45 C4 8B E5 5D C3 }
	condition:
		$1
}

rule function_83093_0 {
	meta:
		name = "NewLine"
		size = 59
		refs = "000f CharHeight 0030 NewPage"
	strings:
		$1 = { 53 8B D8 33 C0 89 03 8B 43 10 85 C0 75 0D E8 ?? ?? ?? ?? 0F B7 C0 01 43 04 EB 03 01 43 04 8B 43 0C 8B 53 10 03 D2 2B C2 3B 43 04 7D 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 10 5B C3 }
	condition:
		$1
}

rule function_83094_0 {
	meta:
		name = "PrnOutStr"
		size = 194
		refs = "000f FPrinter 0014 TPrinter.GetCanvas 0031 TCanvas.GetHandle 0037 GetTextExtentPointA 0042 CharPrevA 0092 TextOutA 00a4 NewLine"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 0C 24 8B F2 8B F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 83 3C 24 00 0F 8E 96 00 00 00 8B 1C 24 8D 44 24 04 50 53 56 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 21 03 DE 53 56 E8 ?? ?? ?? ?? 2B C6 8B D8 8D 44 24 04 50 53 56 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 DB 7E 0B 8B 07 03 44 24 04 3B 47 08 7F D0 8B 47 10 3B 44 24 08 7D 0A 8B 44 24 08 83 C0 02 89 47 10 53 56 8B 47 04 50 8B 07 50 8B C5 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 29 1C 24 03 F3 83 3C 24 00 7E 09 8B C7 E8 ?? ?? ?? ?? EB 06 8B 44 24 04 01 07 83 3C 24 00 0F 8F 6A FF FF FF 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83095_0 {
	meta:
		name = "Flush"
		size = 64
		refs = "001f PrnOutStr"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 FC 00 74 17 8B 45 08 8B 48 FC 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 40 8B 55 08 01 42 F4 8B 55 08 29 42 F0 8B 45 08 33 D2 89 50 FC 5D C3 }
	condition:
		$1
}

rule function_83096_0 {
	meta:
		name = "AvgCharWidth"
		size = 39
		refs = "000b FPrinter 0010 TPrinter.GetCanvas 0015 TCanvas.GetHandle 001b GetTextMetrics"
	strings:
		$1 = { 55 8B EC 83 C4 C4 8D 45 C4 50 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0F B7 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule function_83097_0 {
	meta:
		name = "PrnString"
		size = 198
		refs = "0040 Flush 0046 AvgCharWidth 0079 NewLine 00a4 NewPage"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F0 89 55 F4 89 45 F8 33 C0 89 45 FC 8B 45 FC 3B 45 F0 0F 8D 97 00 00 00 8B 45 F4 8B 55 FC 0F B6 04 10 2C 09 74 0E FE C8 74 54 2C 02 74 61 FE C8 74 43 EB 6C 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B D8 03 DB 03 DB 03 DB 8B 45 F8 8B 00 0F B7 F3 03 C6 40 99 F7 FE 2B F2 46 8B 45 F8 01 30 8B 45 F8 8B 00 8B 55 F8 3B 42 08 7E 38 8B 45 F8 E8 ?? ?? ?? ?? EB 2E 55 E8 ?? ?? ?? ?? 59 EB 25 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? EB 14 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? EB 03 FF 45 FC 8B 45 FC 3B 45 F0 0F 8C 69 FF FF FF 55 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83098_0 {
	meta:
		name = "PrnInput"
		size = 13
	strings:
		$1 = { 33 D2 89 50 0C 33 D2 89 50 10 33 C0 C3 }
	condition:
		$1
}

rule function_83099_0 {
	meta:
		name = "PrnOutput"
		size = 26
		refs = "000d PrnString"
	strings:
		$1 = { 53 8B D8 8B 4B 0C 8B 53 14 8D 43 28 E8 ?? ?? ?? ?? 33 C0 89 43 0C 33 C0 5B C3 }
	condition:
		$1
}

rule function_83101_0 {
	meta:
		name = "PrnClose"
		size = 13
		refs = "0001 FPrinter 0006 TPrinter.EndDoc"
	strings:
		$1 = { A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 C3 }
	condition:
		$1
}

rule function_83102_0 {
	meta:
		name = "PrnOpen"
		size = 116
		refs = "000e PrnInput 0015 PrnIgnore 002b PrnOutput 0039 PrnClose 003e FPrinter 0043 TPrinter.BeginDoc 0057 TPrinter.GetPageWidth 0064 TPrinter.GetPageHeight"
	strings:
		$1 = { 53 8B D8 66 81 7B 04 B1 D7 75 17 C7 43 1C ?? ?? ?? ?? C7 43 20 ?? ?? ?? ?? C7 43 24 ?? ?? ?? ?? EB 4E 66 C7 43 04 B2 D7 C7 43 1C ?? ?? ?? ?? C7 43 20 ?? ?? ?? ?? C7 43 24 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 43 28 33 C0 89 43 2C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 30 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 34 33 C0 89 43 38 33 C0 5B C3 }
	condition:
		$1
}

rule function_83103_0 {
	meta:
		name = "AssignPrn"
		size = 53
		refs = "0004 Printer 0012 @FillChar 002f PrnOpen"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B C3 33 C9 BA DA 02 00 00 E8 ?? ?? ?? ?? 66 C7 43 04 B0 D7 C7 43 08 80 00 00 00 8D 83 50 02 00 00 89 43 14 C7 43 18 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83104_0 {
	meta:
		name = "TPrinterDevice.Create"
		size = 95
		refs = "000e @ClassCreate 001d TObject.Create 0027 @UStrFromPWChar 0048 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 04 8B D6 E8 ?? ?? ?? ?? 8D 47 08 8B 55 0C E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_83105_0 {
	meta:
		name = "TPrinterDevice.IsEqual"
		size = 132
		refs = "0011 TPrinterDevice.IsEqual 0021 @UStrFromPWChar 002c @UStrEqual 006e @UStrArrayClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 08 E8 ?? ?? ?? ?? 75 1E 83 7B 0C 00 74 1C 8D 45 F8 8B 55 08 E8 ?? ?? ?? ?? 8B 55 F8 8B 43 0C E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_83107_0 {
	meta:
		name = "TPrinterCanvas.CreateHandle"
		size = 35
		refs = "0009 TPrinter.SetState 0010 TPrinterCanvas.UpdateFont 001d TCanvas.SetHandle"
	strings:
		$1 = { 53 8B D8 B2 01 8B 43 58 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 58 8B 50 20 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83108_0 {
	meta:
		name = "TPrinterCanvas.Changing"
		size = 29
		refs = "0009 TPrinter.CheckPrinting 0010 TCustomCanvas.Changing 0017 TPrinterCanvas.UpdateFont"
	strings:
		$1 = { 53 8B D8 B2 01 8B 43 58 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83109_0 {
	meta:
		name = "TPrinterCanvas.UpdateFont"
		size = 69
		refs = "000f GetDeviceCaps 001e TFont.GetSize 003d TFont.SetSize"
	strings:
		$1 = { 53 56 57 8B D8 6A 5A 8B 43 58 8B 40 20 50 E8 ?? ?? ?? ?? 8B 73 40 3B 46 1C 74 26 8B C6 E8 ?? ?? ?? ?? 8B F0 6A 5A 8B 43 58 8B 40 20 50 E8 ?? ?? ?? ?? 8B 7B 40 89 47 1C 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83110_0 {
	meta:
		name = "TPrinter.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TObject.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 14 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83111_0 {
	meta:
		name = "TPrinter.Destroy"
		size = 120
		refs = "0003 @BeforeDestruction 0014 TPrinter.EndDoc 001d TPrinter.SetState 0024 TPrinter.FreePrinters 002b TPrinter.FreeFonts 0033 TObject.Free 0040 ClosePrinter 004d GlobalUnlock 0056 GlobalFree 0066 TObject.Destroy 0071 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 1C 00 74 07 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B 46 24 85 C0 74 06 50 E8 ?? ?? ?? ?? 8B 46 2C 85 C0 74 14 50 E8 ?? ?? ?? ?? 8B 46 2C 50 E8 ?? ?? ?? ?? 33 C0 89 46 2C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83112_0 {
	meta:
		name = "TPrinter.SetState"
		size = 301
		refs = "0016 TPrinter.SetState 0042 TPrinter.CheckPrinting 0050 TCanvas.SetHandle 0059 DeleteDC 006d CreateIC 008f CreateDC 009a TPrinter.GetPrinterIndex 00a2 TPrinter.GetPrinters 00ba @UStrToPWChar 00e6 SInvalidPrinter 00eb LoadResString 00f3 RaiseError 011a @UStrClr 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 46 1F 3A D8 0F 84 DD 00 00 00 33 FF 8B D3 80 EA 01 72 08 74 2D FE CA 74 38 EB 56 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 04 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 8B 46 20 50 E8 ?? ?? ?? ?? 33 C0 89 46 20 EB 2F 3C 02 0F 84 9D 00 00 00 BF ?? ?? ?? ?? EB 20 8B 46 04 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 8B 46 20 85 C0 74 06 50 E8 ?? ?? ?? ?? BF ?? ?? ?? ?? 85 FF 74 6F 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 18 89 45 FC 8B 46 28 50 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 FF D7 89 46 20 83 7E 20 00 75 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 46 04 85 C0 74 08 8B 56 20 E8 ?? ?? ?? ?? 88 5E 1F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_83113_0 {
	meta:
		name = "TPrinter.CheckPrinting"
		size = 112
		refs = "000b TPrinter.CheckPrinting 0022 SNotPrinting 0027 LoadResString 002f RaiseError 0039 SPrinting 0060 @UStrArrayClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 3A 50 1C 74 30 84 D2 74 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_83114_0 {
	meta:
		name = "TPrinter.Abort"
		size = 47
		refs = "0008 TPrinter.CheckPrinting 000f TPrinter.GetCanvas 0014 TCanvas.GetHandle 001a AbortDoc 0025 TPrinter.EndDoc"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 43 1D 01 8B C3 E8 ?? ?? ?? ?? C6 43 1D 01 5B C3 }
	condition:
		$1
}

rule function_83115_0 {
	meta:
		name = "TPrinter.BeginDoc"
		size = 147
		refs = "000b TPrinter.CheckPrinting 0014 TPrinter.SetState 001b TPrinter.GetCanvas 002f TPrinterCanvas.UpdateFont 004c @FillChar 005b @UStrToPWChar 0064 AbortProc 006d SetAbortProc 0077 StartDoc 008a StartPage"
	strings:
		$1 = { 53 83 C4 EC 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 02 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 80 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 1C 01 C6 43 1D 00 C7 43 0C 01 00 00 00 8B C4 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? C7 04 24 14 00 00 00 8B 43 18 E8 ?? ?? ?? ?? 89 44 24 04 68 ?? ?? ?? ?? 8B 43 20 50 E8 ?? ?? ?? ?? 54 8B 43 20 50 E8 ?? ?? ?? ?? 85 C0 7F 06 C6 43 1C 00 EB 09 8B 43 20 50 E8 ?? ?? ?? ?? 83 C4 14 5B C3 }
	condition:
		$1
}

rule function_83116_0 {
	meta:
		name = "TPrinter.EndDoc"
		size = 51
		refs = "0008 TPrinter.CheckPrinting 0011 EndPage 0020 EndDoc"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 20 50 E8 ?? ?? ?? ?? 80 7B 1D 00 75 09 8B 43 20 50 E8 ?? ?? ?? ?? C6 43 1C 00 C6 43 1D 00 33 C0 89 43 0C 5B C3 }
	condition:
		$1
}

rule function_83117_0 {
	meta:
		name = "TPrinter.NewPage"
		size = 50
		refs = "0008 TPrinter.CheckPrinting 0011 EndPage 001a StartPage 0024 TPrinter.GetCanvas"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 20 50 E8 ?? ?? ?? ?? 8B 43 20 50 E8 ?? ?? ?? ?? FF 43 0C 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_83118_0 {
	meta:
		name = "TPrinter.GetPrinter"
		size = 106
		refs = "0011 TPrinter.GetPrinterIndex 0019 TPrinter.GetPrinters 0029 @UStrToPWChar 0032 StrCopy"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 18 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B D0 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 8B 53 2C 89 10 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_83119_0 {
	meta:
		name = "TPrinter.SetPrinterCapabilities"
		size = 60
		refs = "0009 TPrinter.SetPrinterCapabilities"
	strings:
		$1 = { 53 56 8B F2 8B D8 0F B6 05 ?? ?? ?? ?? 88 43 1E F7 C6 01 00 00 00 74 04 80 4B 1E 02 F7 C6 00 01 00 00 74 04 80 4B 1E 01 F7 C6 00 80 00 00 74 04 80 4B 1E 04 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_83120_0 {
	meta:
		name = "TPrinter.SetPrinter"
		size = 540
		refs = "0020 TPrinter.SetPrinter 002f TPrinter.CheckPrinting 0040 GlobalUnlock 0049 GlobalFree 005e GlobalLock 006d TPrinter.SetPrinterCapabilities 0074 TPrinter.FreeFonts 0081 ClosePrinter 008f TPrinter.SetState 009d TPrinter.GetPrinters 00cb TPrinterDevice.IsEqual 00e4 @UStrFromPWChar 0110 _DV_TPrinterDevice 0115 TPrinterDevice.Create 0122 SDeviceOnPort 0127 LoadResString 014b Format 016c OpenPrinter 018b DocumentProperties 0193 GlobalAlloc 0207 @UStrArrayClr 020d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D EC 89 5D E8 89 4D F8 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 2C 3B D8 74 1B 85 C0 74 14 50 E8 ?? ?? ?? ?? 8B 46 2C 50 E8 ?? ?? ?? ?? 33 C0 89 46 28 89 5E 2C 8B 5E 2C 85 DB 74 15 53 E8 ?? ?? ?? ?? 8B F8 89 7E 28 8B 57 48 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 24 85 C0 74 0B 50 E8 ?? ?? ?? ?? 33 C0 89 46 24 33 D2 8B C6 E8 ?? ?? ?? ?? C7 45 F4 FF FF FF FF 8B C6 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 8B 10 FF 52 14 8B F8 4F 85 FF 7C 3E 47 33 DB 8B 45 0C 50 8B D3 8B 45 F0 8B 08 FF 51 18 8B 4D FC 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 1A 8B D3 8B 45 F0 8B 08 FF 51 18 83 C0 0C 8B 55 0C E8 ?? ?? ?? ?? 89 5D F4 EB 04 43 4F 75 C5 83 7D F4 FF 75 64 8B 46 10 8B 10 FF 52 14 89 45 F4 8B 45 FC 50 8B 45 0C 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 45 EC 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 55 FC 89 55 D8 C6 45 DC 0A 8B 55 0C 89 55 E0 C6 45 E4 0A 8D 55 D8 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 46 10 59 8B 18 FF 53 3C 8B 45 F4 89 46 14 6A 00 8D 46 24 50 8B 45 FC 50 E8 ?? ?? ?? ?? 85 C0 74 7D 83 7E 2C 00 75 64 6A 00 6A 00 6A 00 8B 45 FC 50 8B 46 24 50 6A 00 E8 ?? ?? ?? ?? 50 6A 42 E8 ?? ?? ?? ?? 8B D8 89 5E 2C 85 DB 74 3E 53 E8 ?? ?? ?? ?? 8B F8 89 7E 28 6A 02 57 57 8B 45 FC 50 8B 46 24 50 6A 00 E8 ?? ?? ?? ?? 85 C0 7D 1C 8B 46 2C 50 E8 ?? ?? ?? ?? 8B 46 2C 50 E8 ?? ?? ?? ?? 33 C0 89 46 2C 33 C0 89 46 28 83 7E 2C 00 74 0D 8B 46 28 8B 50 48 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_83121_0 {
	meta:
		name = "TPrinter.GetCanvas"
		size = 31
		refs = "000e _DV_TPrinterCanvas 0013 TPrinterCanvas.Create"
	strings:
		$1 = { 53 8B D8 83 7B 04 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 8B 43 04 5B C3 }
	condition:
		$1
}

rule function_83122_0 {
	meta:
		name = "EnumFontsProc"
		size = 92
		refs = "000a EnumFontsProc 0023 @UStrFromWArray 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 83 C2 1C B9 20 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 14 8B 08 FF 51 38 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_83123_0 {
	meta:
		name = "TPrinter.GetFonts"
		size = 143
		refs = "0017 TPrinter.GetFonts 0027 TPrinter.SetState 002e _Dn_TStringList 0033 TStringList.Create 0045 EnumFontsProc 0053 EnumFonts 0062 @HandleAnyException 0075 TObject.Free 007a @RaiseAgain 007f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 83 78 08 00 75 70 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 B2 01 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 8B 45 FC 8B 40 08 50 68 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 40 20 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC 83 C0 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83124_0 {
	meta:
		name = "TPrinter.GetHandle"
		size = 17
		refs = "0008 TPrinter.SetState"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 20 5B C3 }
	condition:
		$1
}

rule function_83125_0 {
	meta:
		name = "TPrinter.GetNumCopies"
		size = 100
		refs = "000c TPrinter.GetNumCopies 0019 TPrinter.GetPrinterIndex 0027 SInvalidPrinterOp 002c LoadResString 0034 RaiseError 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7B 2C 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 43 28 0F BF 40 56 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_83126_0 {
	meta:
		name = "TPrinter.SetNumCopies"
		size = 118
		refs = "000f TPrinter.SetNumCopies 001e TPrinter.CheckPrinting 0025 TPrinter.GetPrinterIndex 0033 SInvalidPrinterOp 0038 LoadResString 0040 RaiseError 0049 TPrinter.SetState 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7B 2C 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 28 66 89 70 56 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83127_0 {
	meta:
		name = "TPrinter.GetOrientation"
		size = 107
		refs = "000c TPrinter.GetOrientation 0019 TPrinter.GetPrinterIndex 0027 SInvalidPrinterOp 002c LoadResString 0034 RaiseError 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7B 2C 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 43 28 66 83 78 4C 01 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_83128_0 {
	meta:
		name = "TPrinter.SetOrientation"
		size = 129
		refs = "000f TPrinter.SetOrientation 001e TPrinter.CheckPrinting 0025 TPrinter.GetPrinterIndex 0033 SInvalidPrinterOp 0038 LoadResString 0040 RaiseError 0049 TPrinter.SetState 0054 Orientations 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7E 2C 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 C3 0F B7 04 85 ?? ?? ?? ?? 8B 56 28 66 89 42 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83129_0 {
	meta:
		name = "TPrinter.GetPageHeight"
		size = 25
		refs = "0008 TPrinter.SetState 0013 GetDeviceCaps"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 6A 0A 8B 43 20 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83130_0 {
	meta:
		name = "TPrinter.GetPageWidth"
		size = 25
		refs = "0008 TPrinter.SetState 0013 GetDeviceCaps"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 6A 08 8B 43 20 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83131_0 {
	meta:
		name = "TPrinter.GetPrinterIndex"
		size = 21
		refs = "000c TPrinter.SetToDefaultPrinter"
	strings:
		$1 = { 53 8B D8 83 7B 14 FF 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 14 5B C3 }
	condition:
		$1
}

rule function_83132_0 {
	meta:
		name = "TPrinter.SetPrinterIndex"
		size = 291
		refs = "001b TPrinter.SetPrinterIndex 002a TPrinter.CheckPrinting 0036 TPrinter.GetPrinters 004a SPrinterIndexError 004f LoadResString 005a RaiseError 0066 TPrinter.GetPrinterIndex 0070 TPrinter.SetToDefaultPrinter 00a0 Printer 00b1 TPrinter.GetPrinter 00ba GlobalUnlock 00c3 GlobalFree 00e9 TPrinter.SetPrinter 00f0 TPrinter.FreeFonts 00f9 TPrinter.SetState 0111 @UStrClr 0117 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 F9 FF FF 53 56 33 C9 89 8D F8 F9 FF FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 83 FE FF 7C 10 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 3B F0 7C 1B 8D 95 F8 F9 FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F8 F9 FF FF E8 ?? ?? ?? ?? 83 FE FF 74 0A 8B C3 E8 ?? ?? ?? ?? 40 75 07 8B C3 E8 ?? ?? ?? ?? 3B 73 14 0F 84 80 00 00 00 83 FE FF 74 03 89 73 14 8B C3 E8 ?? ?? ?? ?? 8B 53 14 8B 08 FF 51 18 8D 85 FC F9 FF FF 50 8D 45 FC 50 E8 ?? ?? ?? ?? 8D 8D FC FB FF FF 8D 95 FC FD FF FF E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 33 C0 89 45 FC 8D 85 FC F9 FF FF 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8D 8D FC FB FF FF 8D 95 FC FD FF FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 F9 FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83133_0 {
	meta:
		name = "TPrinter.GetPrinters"
		size = 575
		refs = "001b TPrinter.GetPrinters 0035 _Dn_TStringList 003a TStringList.Create 0055 Win32Platform 008c EnumPrinters 00a7 @GetMem 00da @TryFinallyExit 0114 _DV_TPrinterDevice 0119 TPrinterDevice.Create 0124 @UStrFromPWChar 014a FetchStr 016d SDeviceOnPort 0172 LoadResString 0192 Format 01d6 @FreeMem 01dc @HandleFinally 01ed @HandleAnyException 01f8 TObject.Free 0205 @RaiseAgain 020a @DoneExcept 022a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 D2 89 55 D8 89 55 D4 89 55 DC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 10 00 0F 85 DC 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 10 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 83 38 02 75 0B BE 06 00 00 00 C6 45 F3 04 EB 09 BE 02 00 00 00 C6 45 F3 05 33 C0 89 45 F8 8D 45 F4 50 8D 45 F8 50 6A 00 6A 00 0F B6 7D F3 57 6A 00 56 E8 ?? ?? ?? ?? 83 7D F8 00 75 0D 33 C0 5A 59 59 64 89 10 E9 71 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F4 50 8D 45 F8 50 8B 45 F8 50 8B 45 E8 50 57 6A 00 56 E8 ?? ?? ?? ?? 85 C0 75 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 29 01 00 00 8B 45 E8 89 45 E4 8B 45 F4 48 85 C0 0F 8C C5 00 00 00 40 89 45 E0 80 7D F3 04 75 36 8B 5D E4 8B 33 56 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 45 DC 8B D6 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 8B 40 10 59 8B 18 FF 53 3C 83 45 E4 0C EB 7C 8B 75 E4 8B 46 04 89 45 EC 8D 45 EC E8 ?? ?? ?? ?? 8B D8 EB 5D 8B 06 50 53 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 45 D8 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 8B 16 89 55 C4 C6 45 C8 0A 89 5D CC C6 45 D0 0A 8D 55 C4 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC 8B 40 10 59 8B 18 FF 53 3C 8D 45 EC E8 ?? ?? ?? ?? 8B D8 66 83 3B 00 75 9D 83 45 E4 14 FF 4D E0 0F 85 3F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 58 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83135_0 {
	meta:
		name = "TPrinter.SetToDefaultPrinter"
		size = 529
		refs = "0027 TPrinter.SetToDefaultPrinter 004e EnumPrinters 0057 GetLastError 0071 SNoDefaultPrinter 0076 LoadResString 0081 RaiseError 0088 RaiseLastOSError 0090 AllocMem 00e0 GetDefaultPrinter 00f6 @FillChar 0107 FetchStr 0111 TPrinter.GetPrinters 013e @UStrLAsg 0148 @UStrFromPWChar 0153 AnsiCompareText 0170 @UStrToPWChar 018f TPrinter.SetPrinter 0194 @TryFinallyExit 01b1 @FreeMem 01b7 @HandleFinally 01f1 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 81 C4 D8 F7 FF FF 53 56 57 33 D2 89 95 D8 F7 FF FF 89 95 DC F7 FF FF 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 33 C0 89 45 E8 8D 45 E8 50 8D 45 EC 50 6A 00 6A 00 6A 05 6A 00 6A 01 E8 ?? ?? ?? ?? 85 C0 75 36 E8 ?? ?? ?? ?? 83 F8 7A 74 2C E8 ?? ?? ?? ?? 83 F8 7B 75 1D 8D 95 DC F7 FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 DC F7 FF FF E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 E8 50 8D 45 EC 50 8B 45 EC 50 8B 45 E0 50 6A 05 6A 00 6A 01 E8 ?? ?? ?? ?? 83 7D E8 00 76 07 8B 45 E0 8B 38 EB 40 C7 45 F0 00 04 00 00 8D 45 F0 50 8D 85 E0 F7 FF FF 50 E8 ?? ?? ?? ?? 85 C0 75 12 8B 55 F0 03 D2 8D 85 E0 F7 FF FF 33 C9 E8 ?? ?? ?? ?? 8D 85 E0 F7 FF FF 89 45 E4 8D 45 E4 E8 ?? ?? ?? ?? 8B F8 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 52 14 8B D8 4B 85 DB 7C 7B 43 C7 45 F0 00 00 00 00 8B 55 F0 8B C6 8B 08 FF 51 18 8B 50 08 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 3A 8B 55 F0 8B C6 8B 08 FF 51 18 8B D8 8B 43 0C E8 ?? ?? ?? ?? 50 6A 00 8B 43 04 E8 ?? ?? ?? ?? 50 8B 43 08 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3E FF 45 F0 4B 75 8D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 95 D8 F7 FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 D8 F7 FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D8 F7 FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83136_0 {
	meta:
		name = "TPrinter.FreePrinters"
		size = 68
		refs = "0028 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F0 8B 5E 10 85 DB 74 34 8B C3 8B 10 FF 52 14 48 85 C0 7C 18 40 89 C3 33 FF 8B D7 8B 46 10 8B 08 FF 51 18 E8 ?? ?? ?? ?? 47 4B 75 ED 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83137_0 {
	meta:
		name = "TPrinter.FreeFonts"
		size = 17
		refs = "000c TObject.Free"
	strings:
		$1 = { 83 C0 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83143_0 {
	meta:
		name = "HandleReconcileError"
		size = 147
		refs = "000d _DV_TReconcileErrorForm 0016 TReconcileErrorForm.CreateForm 0021 HandleReconcileError 0062 TReconcileErrorForm.SetFieldValues 007d TObject.Free 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D8 52 51 A1 ?? ?? ?? ?? B2 01 8B CB E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 92 20 01 00 00 48 75 2F 8B 45 F8 8B B0 98 03 00 00 8B 96 88 02 00 00 8B 86 84 02 00 00 8B 08 FF 51 18 88 45 FF 80 7D FF 03 75 10 8B D3 8B 45 F8 E8 ?? ?? ?? ?? EB 04 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_83144_0 {
	meta:
		name = "VarToString"
		size = 268
		refs = "001b @VarAddRef 0023 VarToString 003f VarIsClear 004b SUnchanged 0050 LoadResString 0060 BinaryDataTypes 007c SBinary 0091 SAdt 00a5 SArray 00b7 VarToStr 00c6 @HandleOnException 00ce _Dn_Exception 00df @UStrAsg 00e4 @DoneExcept 00f9 @VarClr 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F0 8D 7D F0 A5 A5 A5 A5 89 4D EC 8B DA 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 65 8B C3 3C 37 77 1A 83 E0 7F BA ?? ?? ?? ?? 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F A3 02 73 0F 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 34 8B C3 2C 1A 75 0F 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1F 80 EB 1B 75 0F 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 EC 8B 53 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83145_0 {
	meta:
		name = "TReconcileErrorForm.CreateForm"
		size = 92
		refs = "000d @ClassCreate 0030 Application 003b TCustomForm.Create 0046 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 8E B4 03 00 00 0F B6 45 0C 88 86 BC 03 00 00 8B 45 08 89 86 B8 03 00 00 8B 0D ?? ?? ?? ?? 8B 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_83146_0 {
	meta:
		name = "TReconcileErrorForm.InitDataFields"
		size = 475
		refs = "0018 TReconcileErrorForm.InitDataFields 0030 TFields.GetCount 004f TFields.GetField 0061 TFieldData 006b @New 00ab TField.GetNewValue 00ba VarToString 00c8 @UStrAsg 00d2 TField.GetCurValue 00da VarIsClear 011c TField.GetOldValue 0147 TList.Add 0156 @HandleAnyException 0164 @Dispose 0169 @RaiseAgain 016e @DoneExcept 0183 TReconcileErrorForm.InitUpdateData 0198 @VarClr 01a0 @UStrClr 01ce @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EB 00 8B 86 B4 03 00 00 8B 40 38 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 3F 01 00 00 40 89 45 E4 33 FF 8B 86 B4 03 00 00 8B 40 38 8B D7 E8 ?? ?? ?? ?? 8B D8 80 7B 4A 00 0F 85 13 01 00 00 8B 15 ?? ?? ?? ?? B8 18 00 00 00 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 B4 03 00 00 8B 40 38 8B D7 E8 ?? ?? ?? ?? 8B 55 EC 89 02 8B 45 EC C6 40 14 00 80 BE BC 03 00 00 02 74 27 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8D 45 D0 0F B6 53 48 8D 4D E0 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 EC 83 C0 04 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 04 C6 45 EB 01 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 8D 45 BC 0F B6 53 48 8D 4D CC E8 ?? ?? ?? ?? 8B 55 CC 8B 45 EC 83 C0 0C E8 ?? ?? ?? ?? 80 BE BC 03 00 00 01 74 27 8D 55 A8 8B C3 E8 ?? ?? ?? ?? 8D 45 A8 0F B6 53 48 8D 4D B8 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 EC 83 C0 08 E8 ?? ?? ?? ?? 8B 86 C0 03 00 00 8B 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 FF 4D E4 0F 85 C7 FE FF FF 0F B6 55 EB 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83147_0 {
	meta:
		name = "TReconcileErrorForm.InitUpdateData"
		size = 356
		refs = "0018 TReconcileErrorForm.InitUpdateData 0033 TCustomGrid.SetColCount 003b SFieldName 0040 LoadResString 0053 TStringGrid.SetCells 006d SValue 0083 UpdateKindStr 008b @UStrCat3 00b1 SOriginal 00e0 SConflict 0151 @UStrArrayClr 0157 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 BA 04 00 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 33 C9 33 D2 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 80 BB BC 03 00 00 02 74 44 8B FE 89 BB C8 03 00 00 46 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 0F B6 83 BC 03 00 00 8B 14 85 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 33 C9 8B D7 8B 83 94 03 00 00 E8 ?? ?? ?? ?? EB 29 8B FE 89 BB CC 03 00 00 46 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 33 C9 8B D7 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 80 7D FF 00 74 29 8B FE 89 BB C4 03 00 00 46 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 33 C9 8B D7 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 80 BB BC 03 00 00 00 75 29 8B FE 89 BB CC 03 00 00 46 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 33 C9 8B D7 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83148_0 {
	meta:
		name = "AddAction"
		size = 43
		refs = "000d ActionStr"
	strings:
		$1 = { 55 8B EC 53 0F B6 C8 83 E0 7F 8B 14 85 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 98 03 00 00 8B 80 84 02 00 00 8B 18 FF 53 3C 5B 5D C3 }
	condition:
		$1
}

rule function_83149_0 {
	meta:
		name = "TReconcileErrorForm.InitReconcileActions"
		size = 83
		refs = "000b AddAction 004c TCustomRadioGroup.SetItemIndex"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 55 33 C0 E8 ?? ?? ?? ?? 59 55 B0 04 E8 ?? ?? ?? ?? 59 55 B0 03 E8 ?? ?? ?? ?? 59 8B 45 FC 83 B8 C4 03 00 00 00 7E 12 55 B0 05 E8 ?? ?? ?? ?? 59 55 B0 02 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 98 03 00 00 33 D2 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_83150_0 {
	meta:
		name = "TReconcileErrorForm.DisplayFieldValues"
		size = 755
		refs = "0019 TReconcileErrorForm.DisplayFieldValues 0053 TCustomGrid.SetCol 0063 TCustomGrid.SetRow 0078 TCustomGrid.SetRowCount 0080 SNoData 0085 LoadResString 0098 TStringGrid.SetCells 00f8 TList.Get 0114 SUnchanged 0124 @UStrEqual 0172 TField.GetDisplayName 0236 TStringGrid.SetObjects 02c6 TReconcileErrorForm.AdjustColumnWidths 02e0 @UStrArrayClr 02e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 61 00 0F 84 9D 02 00 00 8B B3 98 03 00 00 8B 96 88 02 00 00 8B 86 84 02 00 00 8B 08 FF 51 18 88 45 FB BA 01 00 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? BE 01 00 00 00 BA 02 00 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B CE 33 D2 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 83 94 03 00 00 8B 80 8C 02 00 00 48 85 C0 7E 24 89 45 F4 C7 45 FC 01 00 00 00 6A 00 8B CE 8B 55 FC 8B 83 94 03 00 00 E8 ?? ?? ?? ?? FF 45 FC FF 4D F4 75 E6 8B 83 C0 03 00 00 8B 40 08 48 85 C0 0F 8C E0 01 00 00 40 89 45 F4 C7 45 FC 00 00 00 00 8B 55 FC 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8B F8 8B 83 A4 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 1E 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 47 0C E8 ?? ?? ?? ?? 0F 84 89 01 00 00 8B 83 B0 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 1E 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 47 04 E8 ?? ?? ?? ?? 0F 84 59 01 00 00 8D 56 01 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8D 55 E4 8B 07 E8 ?? ?? ?? ?? 8B 45 E4 50 8B CE 33 D2 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 83 BB C8 03 00 00 00 0F 8E A4 00 00 00 0F B6 45 FB 2C 03 74 2B 48 2C 02 73 5E 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B CE 8B 93 C8 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? EB 4F 80 7F 14 00 74 19 8B 47 10 50 8B CE 8B 93 C8 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? EB 30 8B 47 04 50 8B CE 8B 93 C8 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? EB 17 8B 47 04 50 8B CE 8B 93 C8 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 50 8B CE 8B 93 C8 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 83 C4 03 00 00 85 C0 7E 13 8B 57 0C 52 8B CE 8B D0 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 83 BB CC 03 00 00 00 7E 56 0F B6 45 FB 2C 02 74 04 2C 03 75 33 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 47 0C E8 ?? ?? ?? ?? 74 19 8B 47 0C 50 8B CE 8B 93 CC 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? EB 17 8B 47 08 50 8B CE 8B 93 CC 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 46 FF 45 FC FF 4D F4 0F 85 2B FE FF FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83151_0 {
	meta:
		name = "TReconcileErrorForm.SetFieldValues"
		size = 135
		refs = "0014 TReconcileErrorForm.SetFieldValues 003e TList.Get 0051 @VarFromUStr 005b TField.SetNewValue 0074 @VarClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 C0 03 00 00 8B 70 08 4E 85 F6 7C 34 46 33 FF 8B 45 FC 8B 80 C0 03 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 80 7B 14 00 74 15 8D 45 EC 8B 53 10 E8 ?? ?? ?? ?? 8D 55 EC 8B 03 E8 ?? ?? ?? ?? 47 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83152_0 {
	meta:
		name = "TReconcileErrorForm.AdjustColumnWidths"
		size = 72
		refs = "000f TCustomGrid.GetColWidths 0017 TControl.GetClientWidth 003b TCustomGrid.SetColWidths"
	strings:
		$1 = { 53 56 57 55 8B B0 94 03 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 2B C2 8B 9E 8C 02 00 00 4B 99 F7 FB 8B E8 85 DB 7E 15 BF 01 00 00 00 8B CD 49 8B D7 8B C6 E8 ?? ?? ?? ?? 47 4B 75 F0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83153_0 {
	meta:
		name = "TReconcileErrorForm.FormCreate"
		size = 392
		refs = "0016 TReconcileErrorForm.FormCreate 0030 _Dn_TList 0035 TObject.Create 0042 TReconcileErrorForm.InitDataFields 004e SCaption 0053 LoadResString 0072 Format 007c TControl.SetText 008a UpdateKindStr 011f TReconcileErrorForm.InitReconcileActions 0135 TCustomCanvas.TextHeight 0141 TCustomGrid.SetDefaultRowHeight 015b @UStrArrayClr 0161 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB B4 03 00 00 00 0F 84 18 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 C0 03 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 83 B4 03 00 00 8B 40 08 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B6 83 BC 03 00 00 8B 14 85 ?? ?? ?? ?? 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B 83 B8 03 00 00 8B 50 04 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 8B 83 B8 03 00 00 83 78 1C 00 74 1A 8B 83 B8 03 00 00 8B 50 1C 8B 83 AC 03 00 00 8B 80 A8 02 00 00 8B 08 FF 51 38 83 BB C4 03 00 00 00 0F 9F C2 8B 83 A4 03 00 00 8B 08 FF 91 80 00 00 00 8B B3 A4 03 00 00 8B C6 8B 10 FF 52 68 8B D0 8B C6 8B 08 FF 91 FC 00 00 00 83 BB C8 03 00 00 00 0F 9F C2 8B 83 B0 03 00 00 8B 08 FF 91 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B B3 94 03 00 00 8B 86 78 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 57 00 67 00 6A 00 70 00 00 00 }
	condition:
		$1
}

rule function_83154_0 {
	meta:
		name = "TReconcileErrorForm.FormDestroy"
		size = 71
		refs = "0023 TList.Get 0029 TFieldData 002e @Dispose"
	strings:
		$1 = { 53 56 57 8B F0 8B 86 C0 03 00 00 85 C0 74 34 8B 58 08 4B 85 DB 7C 1F 43 33 FF 8B D7 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 E4 B2 01 8B 86 C0 03 00 00 8B 08 FF 51 FC 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83155_0 {
	meta:
		name = "TReconcileErrorForm.UpdateDataSetEditText"
		size = 65
		refs = "0018 TStringGrid.GetObjects 0023 @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B D8 8B 7D 0C 8B CF 8B D6 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 83 C0 10 8B 55 08 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 83 94 03 00 00 E8 ?? ?? ?? ?? C6 40 14 01 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_83156_0 {
	meta:
		name = "TReconcileErrorForm.UpdateDataSelectCell"
		size = 112
		refs = "003b TReconcileErrorForm.UpdateDataSelectCell 0042 TCustomGrid.SetOptions"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B D8 3B BB C8 03 00 00 75 36 8B B3 98 03 00 00 8B 96 88 02 00 00 8B 86 84 02 00 00 8B 08 FF 51 18 3C 03 75 1B 8B B3 94 03 00 00 8B 96 BC 02 00 00 0B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 1B 8B B3 94 03 00 00 8B 15 ?? ?? ?? ?? F7 D2 23 96 BC 02 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 00 00 00 04 00 00 }
	condition:
		$1
}

rule function_83157_0 {
	meta:
		name = "Finalization"
		size = 90
		refs = "0007 Finalization 0013 _DV_4 001a ActionStr 0025 string 002a @FinalizeArray 002f UpdateKindStr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2A B8 ?? ?? ?? ?? B9 06 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_83159_0 {
	meta:
		name = "RibbonMouseWheelHook"
		size = 280
		refs = "001d FHookHandle 0023 CallNextHookEx 0047 WindowFromPoint 004c FindControl 0056 _DV_TRibbonGroup 005b @IsClass 0067 _DV_TCustomRibbonPage 0081 _DV_TCustomRibbon 00b0 GetKeyboardState 00bb KeyboardStateToShiftState 00e0 TCustomRibbon.DoMouseWheelEx"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 57 8B 7D 0C 8B 75 08 85 F6 7D 16 8B 45 10 50 57 56 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 E3 00 00 00 81 FF 0A 02 00 00 0F 85 C6 00 00 00 8B 45 10 89 45 FC 8B 45 FC FF 70 04 FF 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A EB 03 8B 5B 38 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 E8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4C 80 BB C8 02 00 00 00 75 43 8D 85 F4 FE FF FF 50 E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8B F0 33 C0 89 45 F4 33 C0 89 45 F8 8D 45 F4 50 8B 45 FC 8B 48 14 C1 E9 10 0F BE C9 8B D6 8B C3 E8 ?? ?? ?? ?? B8 01 00 00 00 EB 24 8B 45 10 50 57 56 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 11 8B 45 10 50 57 56 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_83160_0 {
	meta:
		name = "CreateMouseWheelHook"
		size = 47
		refs = "0002 FHookHandle 0010 UnhookWindowsHookEx 0015 GetCurrentThreadId 001d RibbonMouseWheelHook 0025 SetWindowsHookEx"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 00 B8 ?? ?? ?? ?? 50 6A 07 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83161_0 {
	meta:
		name = "DestroyMouseWheelHook"
		size = 21
		refs = "0002 FHookHandle 0010 UnhookWindowsHookEx"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83162_0 {
	meta:
		name = "CanAddControl"
		size = 48
		refs = "0006 CanAddControl"
	strings:
		$1 = { 53 8B D8 0F B7 05 ?? ?? ?? ?? 66 23 43 1C 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 06 F6 43 1C 10 75 04 33 C0 5B C3 B0 01 5B C3 03 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_83163_0 {
	meta:
		name = "TCustomActionControlBar.CMControlChange"
		size = 688
		refs = "0018 TCustomActionControlBar.CMControlChange 0054 CanAddControl 006a _Dn_TCustomActionControl 006f TObject.InheritsFrom 0078 @TryFinallyExit 009e TActionClient.GetHasItems 00b0 TActionClient.GetItems 00d5 TActionClients.GetActionClient 010b TCustomActionBar.GetItems 0120 TActionBars.Add 013e TActionClient.SetActionBar 014b TActionClients.Add 0155 _Dn_TRibbonComboBox 015a @IsClass 0167 TActionClientItem.SetCommandStyle 0171 TActionClientItem.SetCaption 017e TCheckBoxProperties.SetWidth 0188 TControlProperties.SetContainedControl 019f _DV_TRibbonGallery 01c8 TGalleryProperties.SetGalleryType 01ef TControl.SetHeight 021b @IntfClear 022a Supports 0255 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 B8 84 02 00 00 00 0F 84 49 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 80 B8 28 03 00 00 00 0F 85 0B 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 FB 01 00 00 8B 5D F4 8B 5B 04 8B 03 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A E8 ?? ?? ?? ?? E9 FA 01 00 00 8B 45 F4 83 78 08 00 0F 84 CD 01 00 00 8B 45 F8 8B B0 80 02 00 00 85 F6 74 54 8B C6 E8 ?? ?? ?? ?? 84 C0 74 49 8B 45 F8 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 2E 46 33 FF 8B 45 F8 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 40 78 3B 58 20 75 0A E8 ?? ?? ?? ?? E9 90 01 00 00 47 4E 75 D5 8B 45 F8 C6 80 29 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 2F 8B 45 F8 8B 80 84 02 00 00 8B 40 74 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 91 4C 01 00 00 8B 45 F8 8B 80 80 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 39 B2 05 8B C6 E8 ?? ?? ?? ?? 8B 53 08 8B C6 E8 ?? ?? ?? ?? 8B 46 78 BA 96 00 00 00 E8 ?? ?? ?? ?? 8B 46 78 8B D3 E8 ?? ?? ?? ?? 8B D6 8B 45 F8 8B 08 FF 91 68 01 00 00 EB 7C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 B2 04 8B C6 E8 ?? ?? ?? ?? 8B 46 78 BA E9 00 00 00 E8 ?? ?? ?? ?? 8B 46 78 B2 02 E8 ?? ?? ?? ?? EB 49 8B 53 08 8B C6 E8 ?? ?? ?? ?? B2 08 8B C6 E8 ?? ?? ?? ?? 83 7B 54 42 7E 0C BA 42 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 46 78 BA 96 00 00 00 E8 ?? ?? ?? ?? 8B 46 78 8B D3 E8 ?? ?? ?? ?? 8B D6 8B 45 F8 8B 08 FF 91 68 01 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 C6 80 29 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 08 FF 51 F0 C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 82 20 50 60 D4 9A EF 46 98 66 39 19 8B FC CD 2E }
	condition:
		$1
}

rule function_83164_0 {
	meta:
		name = "GetButtonWidth"
		size = 354
		refs = "001e GetButtonWidth 002d TCustomCanvas.TextWidth 0039 TCustomCanvas.TextHeight 0063 TCanvas.GetHandle 0070 @UStrLAsg 0091 @UStrToPWChar 009b DrawText 014f @UStrArrayClr 0155 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C6 E8 ?? ?? ?? ?? 89 45 F0 8B D7 8B C6 E8 ?? ?? ?? ?? 03 C0 89 45 EC 83 7D F0 20 0F 8E BB 00 00 00 56 57 8B F3 8D 7D B8 A5 A5 A5 A5 5F 5E C7 45 E8 10 04 00 00 8B C6 E8 ?? ?? ?? ?? 89 45 E4 8D 45 FC 8B D7 E8 ?? ?? ?? ?? C7 45 E0 FF FF FF FF 8B 45 E8 89 45 DC 8B 45 DC 50 8D 45 B8 50 8B 45 E0 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 E4 50 E8 ?? ?? ?? ?? EB 53 83 43 08 0A 56 57 8B F3 8D 7D B8 A5 A5 A5 A5 5F 5E 8B C6 E8 ?? ?? ?? ?? 89 45 D8 8D 45 F8 8B D7 E8 ?? ?? ?? ?? C7 45 D4 FF FF FF FF 8B 45 E8 89 45 D0 8B 45 D0 50 8D 45 B8 50 8B 45 D4 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 D8 50 E8 ?? ?? ?? ?? 89 45 CC 8B 45 C4 3B 45 EC 7F A5 8B FB 8D 75 B8 A5 A5 A5 A5 EB 32 8B C6 E8 ?? ?? ?? ?? 8B F0 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 83 CF FF C7 45 C8 00 04 00 00 8B 45 C8 50 53 57 8B 45 F4 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83165_0 {
	meta:
		name = "TRibbonGroupCollapsedControl.AdjustBounds"
		size = 292
		refs = "0012 TRibbonGroupCollapsedControl.AdjustBounds 001f _Dn_TCanvas 0024 TCanvas.Create 003c GetDC 0058 TCanvas.SetHandle 0063 TCanvas.SetFont 0077 Rect 0081 TControl.GetText 008f GetButtonWidth 00d9 ReleaseDC 00df @HandleFinally 00f6 TObject.Free 0113 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 D2 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 53 6C 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8D 45 E8 50 B9 2A 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 4D E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 2B 45 E8 83 C0 0A 83 F8 2A 7F 05 B8 2A 00 00 00 50 8B 43 54 50 8B 4B 4C 8B 53 48 8B C3 8B 18 FF 93 A4 00 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83166_0 {
	meta:
		name = "TRibbonGroupCollapsedControl.Click"
		size = 274
		refs = "0039 TControl.ClientToScreen 004a TControl.SetWidth 0057 TCustomRibbonGroup.GetGroupHeight 0077 Rect 0080 _DV_TRibbonGroupDockForm 0085 TRibbonGroupDockForm.Create 00ba TWinControl.GetHandle 00c0 SetWindowPos 00e1 TControl.SetAlign 00ee TCustomForm.SetVisible"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B D8 83 BB BC 01 00 00 00 0F 84 F4 00 00 00 83 BB C0 01 00 00 00 0F 85 E7 00 00 00 33 C0 89 44 24 08 8B 43 54 89 44 24 0C 8B CC 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 8B 93 C8 01 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B BB BC 01 00 00 8B C7 E8 ?? ?? ?? ?? 03 44 24 04 50 8D 44 24 14 50 8B 4F 50 8B 74 24 08 03 CE 8B 6C 24 0C 8B D5 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 BB C0 01 00 00 89 9F A8 03 00 00 6A 50 8B 83 BC 01 00 00 8B 40 54 83 C0 05 50 8B 83 BC 01 00 00 8B 40 50 83 C0 02 50 55 56 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 93 C0 01 00 00 8B 83 BC 01 00 00 8B 08 FF 91 84 00 00 00 B2 05 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 C0 01 00 00 E8 ?? ?? ?? ?? 8B 83 C0 01 00 00 8B 10 FF 92 F4 00 00 00 8B C3 8B 10 FF 92 9C 00 00 00 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83167_0 {
	meta:
		name = "TRibbonGroupCollapsedControl.CloseUp"
		size = 44
		refs = "0014 TControl.SetWidth"
	strings:
		$1 = { 53 8B D8 8B 83 BC 01 00 00 85 C0 74 0B 8B 53 50 83 C2 04 E8 ?? ?? ?? ?? 33 C0 89 83 C0 01 00 00 8B C3 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_83168_0 {
	meta:
		name = "TRibbonGroupCollapsedControl.CMFontchanged"
		size = 31
		refs = "0007 TControl.CMFontChanged 0018 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 01 75 0B 8B C3 66 BE C6 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83171_0 {
	meta:
		name = "TRibbonGroupCollapsedControl.CMTextchanged"
		size = 41
		refs = "0018 @CallDynaInst"
	strings:
		$1 = { 56 57 8B F8 8B C7 8B 08 FF 51 F0 F6 47 1C 01 75 15 8B C7 66 BE C6 FF E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_83172_0 {
	meta:
		name = "TRibbonGroupCollapsedControl.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 D8 01 00 00 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83173_0 {
	meta:
		name = "TRibbonGroupCollapsedControl.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TGraphicControl.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 CC 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83174_0 {
	meta:
		name = "TRibbonGroupCollapsedControl.GetKeyTip"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 D0 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83177_0 {
	meta:
		name = "TRibbonGroupCollapsedControl.HandleKeyTip"
		size = 90
		refs = "0012 TRibbonGroupCollapsedControl.HandleKeyTip 0024 TRibbonGroupCollapsedControl.GetKeyTip 002e _Dn_TKeyTipValidator 0033 TKeyTipValidator.Validate 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 57 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83761_0 {
	meta:
		name = "TRibbonApplicationMenuButton.HandleKeyTip"
		size = 90
		refs = "0012 TRibbonApplicationMenuButton.HandleKeyTip 0024 TRibbonApplicationMenuButton.GetKeyTip 002e _DV_TKeyTipValidator 0033 TKeyTipValidator.Validate 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 57 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83639_0 {
	meta:
		name = "TRibbonBaseButtonControl.HandleKeyTip"
		size = 90
		refs = "0012 TRibbonBaseButtonControl.HandleKeyTip 0024 TRibbonBaseButtonControl.GetKeyTip 002e _DV_TKeyTipValidator 0033 TKeyTipValidator.Validate 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 57 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83867_0 {
	meta:
		name = "TRibbonComboControl.HandleKeyTip"
		size = 90
		refs = "0012 TRibbonComboControl.HandleKeyTip 0024 TRibbonComboControl.GetKeyTip 002e _DV_TKeyTipValidator 0033 TKeyTipValidator.Validate 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 57 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83729_0 {
	meta:
		name = "TRibbonCustomControl.HandleKeyTip"
		size = 90
		refs = "0012 TRibbonCustomControl.HandleKeyTip 0024 TRibbonCustomControl.GetKeyTip 002e _DV_TKeyTipValidator 0033 TKeyTipValidator.Validate 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 57 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83178_0 {
	meta:
		name = "TRibbonGroupCollapsedControl.HideKeyTip"
		size = 41
		refs = "0009 TRibbonGroupCollapsedControl.HandleKeyTip 0022 TObject.Free"
	strings:
		$1 = { 53 51 8B D8 8B CC 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 75 13 8D 83 CC 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_83179_0 {
	meta:
		name = "TCustomRibbonGroup.KeyTipClick"
		size = 12
		refs = "0006 @CallDynaInst"
		altNames = "TRibbonApplicationMenuButton.KeyTipClick TRibbonBaseButtonControl.KeyTipClick TRibbonGroupCollapsedControl.KeyTipClick"
	strings:
		$1 = { 56 66 BE EC FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_83180_0 {
	meta:
		name = "TRibbonGroupCollapsedControl.Notification"
		size = 118
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 59 8B 96 BC 01 00 00 8B C7 8B 08 FF 51 D4 84 C0 74 0A 33 C0 89 86 BC 01 00 00 EB 3E 8B 96 C4 01 00 00 8B C7 8B 08 FF 51 D4 84 C0 74 0A 33 C0 89 86 C4 01 00 00 EB 23 8B 96 D4 01 00 00 8B C7 8B 08 FF 51 D4 84 C0 74 12 33 C0 89 86 D4 01 00 00 C7 86 D8 01 00 00 FF FF FF FF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83181_0 {
	meta:
		name = "IsDroppedDown"
		size = 60
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 98 BC 01 00 00 85 DB 74 1E 83 7B 38 00 74 18 8B 45 08 8B 40 FC 8B 90 C0 01 00 00 8B 43 38 8B 08 FF 51 D4 84 C0 75 05 33 C0 5B 5D C3 B0 01 5B 5D C3 }
	condition:
		$1
}

rule function_83182_0 {
	meta:
		name = "TRibbonGroupCollapsedControl.Paint"
		size = 968
		refs = "0024 TRibbonGroupCollapsedControl.Paint 0052 TCustomActionBar.GetColorMap 0076 TFont.SetColor 007d TRibbonGroupCollapsedControl.RibbonStyle 00a4 Rect 00db IsDroppedDown 00ff TRibbonStyleActionBars.DrawElement 01b2 TCustomImageList.Draw 0203 TBrush.SetStyle 0215 TCanvas.GetHandle 0222 TControl.GetText 0247 @UStrToPWChar 0251 DrawText 026b TCustomCanvas.TextHeight 02ab @UStrCat3 0392 @UStrArrayClr 03a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 84 53 56 57 33 D2 89 55 84 89 55 88 89 55 F8 89 55 F4 89 55 F0 89 45 FC 8D 5D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B 50 6C 8B 03 8B 80 B0 01 00 00 8B 40 40 8B 08 FF 51 08 8B 03 8B B0 BC 01 00 00 85 F6 74 2B 8B C6 E8 ?? ?? ?? ?? 85 C0 74 20 8B 03 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? 8B 50 58 8B 03 8B 80 B0 01 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B F0 8B 03 8B 78 54 57 8D 45 AC 50 8B 03 8B 48 50 83 E9 03 8B D7 D1 FA 79 03 83 D2 00 B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 03 8B 40 50 D1 F8 79 03 83 D0 00 83 E8 10 83 F8 06 7D 07 BF 06 00 00 00 EB 02 8B F8 6A 00 8D 45 AC 50 33 C9 BA 06 00 00 00 8B C7 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 74 36 8D 55 8C 8B 03 8B 08 FF 51 60 8D 45 8C 50 8B 03 8B 88 B0 01 00 00 B2 0E 8B C6 E8 ?? ?? ?? ?? 8D 45 AC 50 8B 03 8B 88 B0 01 00 00 B2 10 8B C6 E8 ?? ?? ?? ?? EB 60 8B 03 80 B8 B8 01 00 00 00 74 21 8D 55 8C 8B 03 8B 08 FF 51 60 8D 45 8C 50 8B 03 8B 88 B0 01 00 00 B2 0D 8B C6 E8 ?? ?? ?? ?? EB 1F 8D 55 8C 8B 03 8B 08 FF 51 60 8D 45 8C 50 8B 03 8B 88 B0 01 00 00 B2 0C 8B C6 E8 ?? ?? ?? ?? 8D 45 AC 50 8B 03 8B 88 B0 01 00 00 B2 0F 8B C6 E8 ?? ?? ?? ?? 8B 03 8B 80 D4 01 00 00 85 C0 74 30 8B 13 83 BA D8 01 00 00 FF 7E 25 8B 55 B0 83 C2 04 52 8B 13 8B 92 D8 01 00 00 52 6A 01 8B 4D AC 83 C1 08 8B 13 8B 92 B0 01 00 00 E8 ?? ?? ?? ?? 8B 03 8B 78 54 57 8D 45 AC 50 8B 03 8B 48 50 83 E9 03 8B D7 D1 FA 79 03 83 D2 00 B8 03 00 00 00 E8 ?? ?? ?? ?? 6A 00 8D 45 9C 50 8B 03 8B 48 50 83 E9 03 33 D2 B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 03 8B 80 B0 01 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? BF 11 08 00 00 8B 03 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 89 45 DC 8D 55 F8 8B 03 E8 ?? ?? ?? ?? C7 45 D8 FF FF FF FF B8 00 04 00 00 0B C7 89 45 D4 8B 45 D4 50 8D 45 9C 50 8B 45 D8 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 DC 50 E8 ?? ?? ?? ?? 8D 55 88 8B 03 E8 ?? ?? ?? ?? 8B 55 88 8B 03 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 89 45 E4 8B 45 A8 2B 45 A0 3B 45 E4 0F 9F 45 E3 80 7D E3 00 74 4E 8B 03 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 89 45 D0 8D 55 84 8B 03 E8 ?? ?? ?? ?? 8B 55 84 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 CC FF FF FF FF 57 8D 45 AC 50 8B 45 CC 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 D0 50 E8 ?? ?? ?? ?? EB 3C 8B 03 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 89 45 C8 8D 55 F0 8B 03 E8 ?? ?? ?? ?? C7 45 C4 FF FF FF FF 57 8D 45 AC 50 8B 45 C4 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 C8 50 E8 ?? ?? ?? ?? 8B 03 8B 48 50 D1 F9 79 03 83 D1 00 8B C1 83 E8 03 8B 13 8B 52 54 D1 FA 79 03 83 D2 00 03 55 E4 80 7D E3 00 74 05 83 E9 08 03 C1 89 45 BC 83 C2 03 89 55 C0 8B 45 BC 89 45 E8 8B 45 C0 89 45 EC 6A 00 8D 45 8C 50 33 C9 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 8C 50 68 FF 00 00 00 8B 03 8B 88 B0 01 00 00 B2 23 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 84 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_83183_0 {
	meta:
		name = "TRibbonGroupCollapsedControl.RibbonStyle"
		size = 54
		refs = "0016 _Dn_TRibbonStyleActionBars 001b @IsClass 002d RibbonLunaStyle"
	strings:
		$1 = { 53 56 8B D8 8B B3 C4 01 00 00 85 F6 74 1E 8B 86 E8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B 86 E8 00 00 00 5E 5B C3 A1 ?? ?? ?? ?? 8B 00 5E 5B C3 }
	condition:
		$1
}

rule function_83184_0 {
	meta:
		name = "TRibbonGroupCollapsedControl.SetGroup"
		size = 82
		refs = "0017 TComponent.RemoveFreeNotification 0024 TRibbonGroupCollapsedControl.SetupGroupImage 0035 TCustomRibbonGroup.GetGroupHeight 003e TControl.SetHeight 004b TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 BC 01 00 00 3B F0 74 3F 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 89 B3 BC 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B B3 BC 01 00 00 85 F6 74 1D 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83185_0 {
	meta:
		name = "TRibbonGroupCollapsedControl.SetKeyTip"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 D0 01 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83187_0 {
	meta:
		name = "TRibbonGroupCollapsedControl.SetupGroupImage"
		size = 174
		refs = "0029 TWinControl.GetControlCount 003e TWinControl.GetControl 0079 TCustomImageList.GetCount"
	strings:
		$1 = { 53 56 57 55 8B D8 33 C0 89 83 D4 01 00 00 C7 83 D8 01 00 00 FF FF FF FF 8B B3 BC 01 00 00 85 F6 0F 84 83 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 78 33 F6 EB 64 8B D6 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 58 8B F8 85 FF 74 4B 8B 6F 64 85 ED 74 44 8B 45 40 89 83 D4 01 00 00 83 BB D4 01 00 00 00 74 32 8B 87 88 00 00 00 89 83 D8 01 00 00 8B 83 D4 01 00 00 E8 ?? ?? ?? ?? 3B 83 D8 01 00 00 7D 0A C7 83 D8 01 00 00 FF FF FF FF 83 BB D8 01 00 00 FF 7F 11 46 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 48 3B F0 7E 8C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83188_0 {
	meta:
		name = "TRibbonGroupCollapsedControl.SetActionManager"
		size = 7
	strings:
		$1 = { 89 90 C4 01 00 00 C3 }
	condition:
		$1
}

rule function_83189_0 {
	meta:
		name = "TRibbonGroupCollapsedControl.ShowKeyTip"
		size = 111
		refs = "000c TRibbonGroupCollapsedControl.ShowKeyTip 0025 TObject.Free 0039 TRibbonGroupCollapsedControl.GetKeyTip 0044 ShowKeyTip 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 CC 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 6A 06 8B C3 8B 10 FF 52 68 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B CB 5A E8 ?? ?? ?? ?? 89 83 CC 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_83190_0 {
	meta:
		name = "TCustomActionControlBar.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TCustomActionToolBar.Create 0027 TCustomActionControlBar.Create 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 28 03 00 00 00 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 01 00 00 00 }
	condition:
		$1
}

rule function_83191_0 {
	meta:
		name = "TCustomActionControlBar.CreateControl"
		size = 168
		refs = "000e TCustomActionControlBar.CreateControl 001b TCustomActionToolBar.CreateControl 0036 _Dn_TControlProperties 003b @AsClass 0045 @IntfClear 0053 Supports 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 E8 ?? ?? ?? ?? 8B F0 85 DB 74 4C 0F B6 43 76 2C 05 74 04 2C 03 75 40 8B 43 78 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 16 8B 57 20 8B 45 FC 8B 08 FF 51 14 8B 43 44 8B 10 FF 92 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 5D C3 00 00 82 20 50 60 D4 9A EF 46 98 66 39 19 8B FC CD 2E }
	condition:
		$1
}

rule function_83192_0 {
	meta:
		name = "TCustomActionControlBar.CreateControls"
		size = 240
		refs = "0014 TCustomActionControlBar.CreateControls 0028 TCustomActionToolBar.CreateControls 003f TCustomActionBar.GetItems 0063 TActionClients.GetActionClient 0079 @IntfClear 0088 Supports 0095 _Dn_TControlProperties 009a @AsClass 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 83 28 03 00 00 01 8B C3 E8 ?? ?? ?? ?? C6 83 28 03 00 00 00 83 BB 84 02 00 00 00 74 7E 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 6A 47 C7 45 F8 00 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 0F B6 46 76 2C 05 74 04 2C 03 75 3F 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? 84 C0 74 24 8B 46 78 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 20 8B 45 FC 8B 08 FF 51 14 8B 46 44 8B 10 FF 92 08 01 00 00 FF 45 F8 4F 75 9E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 82 20 50 60 D4 9A EF 46 98 66 39 19 8B FC CD 2E }
	condition:
		$1
}

rule function_83193_0 {
	meta:
		name = "TCustomActionControlBar.GetControlClass"
		size = 67
		refs = "0016 _Dn_TRibbonComboControl 0022 _Dn_TRibbonCustomControl 0029 TCustomActionToolBar.GetControlClass 0036 _Dn_TRibbonTextControl"
	strings:
		$1 = { 53 8B CA 80 B8 29 03 00 00 00 74 23 0F B6 59 76 80 FB 05 75 07 A1 ?? ?? ?? ?? EB 25 80 FB 08 75 07 A1 ?? ?? ?? ?? EB 19 E8 ?? ?? ?? ?? 5B C3 80 79 76 03 75 07 A1 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83194_0 {
	meta:
		name = "HideKeyTips"
		size = 204
		refs = "0013 TCustomRibbon.GetApplicationButton 001f @IntfClear 0026 HideKeyTips 002c Supports 0083 TCustomRibbon.TabHideKeyTips 0090 TCustomRibbon.GetActivePage 00a6 TCustomRibbonPage.HideKeyTips"
	strings:
		$1 = { 55 8B EC 8B 45 08 80 78 F7 00 75 7D 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 50 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 08 8B 40 FC 33 D2 8B 08 FF 51 14 8B 45 08 83 C0 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 08 8B 40 F0 8B 80 CC 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 08 8B 40 F8 33 D2 8B 08 FF 51 10 8B 45 08 8B 40 F0 33 C9 33 D2 E8 ?? ?? ?? ?? 5D C3 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 85 C0 74 12 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 5D C3 C8 71 BC 4C 5E C0 C4 4A 8D 8E 9E 89 EC 0B FD 34 F9 13 90 31 66 86 CB 4E 8F FF 60 EA 9B 35 90 A7 }
	condition:
		$1
}

rule function_83195_0 {
	meta:
		name = "TCustomRibbon.DisplayKeyTips"
		size = 1768
		refs = "002a TCustomRibbon.DisplayKeyTips 0050 TCustomRibbon.GetTabIndex 0064 TCustomRibbon.SetTabIndex 0073 TCustomRibbon.SetKeyTipsVisible 0088 _Dn_TKeyTipList 008d TKeyTipList.Create 00cb TComponent.FreeNotification 00db TWinControl.GetHandle 00e1 ImmAssociateContext 0108 TCustomRibbon.CheckAndResetMinimizedState 0110 TCustomRibbon.GetApplicationButton 0119 @IntfClear 0126 Supports 0174 TCustomRibbon.TabShowKeyTips 017e TCustomRibbon.GetActivePage 0183 TCustomRibbonPage.ShowKeyTips 018d @UStrClr 019b PeekMessage 0236 TranslateMessage 023c DispatchMessage 027f @UStrFromWChar 028d @UStrCat3 0295 TKeyTipList.Clear 02af @UStrAsg 02c3 TCustomRibbon.TabHandledKeyTips 02e4 TCustomRibbonPage.HandleKeyTips 02ec TKeyTipList.GetFull 02ff TKeyTipList.GetPartial 032f TCustomRibbon.TabHideKeyTips 0341 TCustomRibbonPage.HideKeyTips 034c @UStrLAsg 0374 MessageBeep 038e HideKeyTips 03b1 TRibbonTabs.SelectNext 03c1 TRibbonTabs.SelectPrior 03cb TCustomRibbon.SetAllowKeyboardNavigation 042c PostQuitMessage 0446 TCustomRibbon.Idle 046f TKeyTipList.GetItem 04fa @CallDynaInst 053a PostMessage 05cd TCustomForm.SetActiveControl 05e2 TComponent.RemoveFreeNotification 05f8 SetFocus 062d @HandleFinally 0644 TObject.Free 0695 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 C9 89 4D B4 89 4D FC 89 4D F8 89 4D EC 89 4D E8 89 4D E4 88 55 F7 89 45 F0 8D 75 B8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 80 B8 28 03 00 00 00 75 2D 8B 45 F0 80 B8 C8 02 00 00 00 74 21 8B 45 F0 E8 ?? ?? ?? ?? 40 7E 16 80 7D F7 00 75 10 83 CA FF 8B 45 F0 E8 ?? ?? ?? ?? E9 02 06 00 00 B2 01 8B 45 F0 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 D8 C6 45 D7 00 8B 45 F0 8B 80 E8 02 00 00 8B 80 98 02 00 00 8B 55 F0 89 82 58 03 00 00 85 C0 74 21 8B 55 F0 E8 ?? ?? ?? ?? 6A 00 8B 45 F0 8B 80 58 03 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 D8 C6 45 DE 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 45 DF 00 80 7D F7 00 75 76 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0A 33 D2 8B 45 FC 8B 08 FF 51 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F0 8B 80 CC 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 F8 8B 10 FF 52 14 8B 45 F0 80 B8 3D 03 00 00 00 75 17 8B 45 F0 E8 ?? ?? ?? ?? EB 0D 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 8D 45 EC E8 ?? ?? ?? ?? 6A 01 6A 00 6A 00 6A 00 56 E8 ?? ?? ?? ?? 85 C0 0F 84 99 02 00 00 8B 46 04 8B D0 81 FA A1 00 00 00 7D 17 83 EA 10 0F 84 47 02 00 00 83 EA 02 0F 84 5F 02 00 00 E9 67 02 00 00 81 C2 5F FF FF FF 83 EA 0D 0F 82 2A 02 00 00 83 C2 AE 83 EA 0A 72 14 81 C2 09 FF FF FF 83 EA 0E 0F 82 13 02 00 00 E9 3C 02 00 00 8B 46 04 3D 04 01 00 00 75 06 83 7E 08 12 74 06 83 7E 08 1B 75 39 81 7E 04 01 01 00 00 75 0A 83 7E 08 1B 0F 84 2B 02 00 00 8B 46 08 83 F8 1B 0F 94 45 DF B3 01 83 F8 12 0F 84 16 02 00 00 56 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? E9 05 02 00 00 3D 01 01 00 00 0F 84 FA 01 00 00 8B 46 08 8B D0 83 C2 D0 83 EA 0A 72 14 83 C2 F9 83 EA 1A 72 0C 83 C2 FB 83 EA 0A 0F 83 0C 01 00 00 8B F8 83 7D EC 00 74 22 8D 45 B4 8B D7 E8 ?? ?? ?? ?? 8B 4D B4 8D 45 E8 8B 55 EC E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? EB 0A 8D 45 E8 8B D7 E8 ?? ?? ?? ?? 8B 45 E0 83 C0 08 8B 55 E8 E8 ?? ?? ?? ?? 80 7D F7 00 75 10 8D 4D E0 8B 55 E8 8B 45 F0 E8 ?? ?? ?? ?? EB 1F 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 74 13 8B 45 F0 E8 ?? ?? ?? ?? 8D 4D E0 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 74 07 B3 01 E9 4F 01 00 00 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 48 0F 94 C0 EB 02 33 C0 84 C0 74 36 80 7D F7 00 75 10 8B 4D E0 8B 55 E8 8B 45 F0 E8 ?? ?? ?? ?? EB 10 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 E0 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 E8 E8 ?? ?? ?? ?? E9 F5 00 00 00 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 83 F8 02 75 0B 8D 45 E8 8B 55 EC E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? E9 CD 00 00 00 8B D0 83 EA 09 74 08 83 C2 E4 83 EA 04 73 63 55 E8 ?? ?? ?? ?? 59 8B 46 08 8B D0 83 EA 25 74 05 83 EA 02 75 33 83 F8 27 75 10 8B 45 F0 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? EB 0E 8B 45 F0 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 45 F0 E8 ?? ?? ?? ?? C6 45 DE 00 EB 04 C6 45 DE 01 B3 01 80 7D DE 00 74 69 56 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? EB 5B B3 01 83 F8 79 74 54 56 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? EB 46 05 5F FF FF FF 83 E8 04 73 07 55 E8 ?? ?? ?? ?? 59 B3 01 56 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? EB 25 33 DB 8B 46 08 50 E8 ?? ?? ?? ?? EB 18 56 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? EB 0A 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 84 DB 0F 84 3F FD FF FF 55 E8 ?? ?? ?? ?? 59 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 84 03 01 00 00 33 D2 8B 45 E0 E8 ?? ?? ?? ?? 8B D8 0F B6 43 10 84 C0 75 10 8B 43 04 8B 10 FF 92 0C 01 00 00 E9 D1 00 00 00 3C 02 75 6F 8D 45 E4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 83 7D E4 00 74 10 8B 45 E4 8B 10 FF 52 10 85 C0 74 04 33 C0 EB 02 B0 01 88 45 DE 80 7D DE 00 75 04 C6 45 D7 01 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 FC 8B 10 FF 52 18 EB 6C 8B 43 04 66 BE EC FF E8 ?? ?? ?? ?? EB 5E 3C 04 75 0E 8B 43 04 66 BE EC FF E8 ?? ?? ?? ?? EB 4C 3C 01 75 32 8B 53 0C 8B 45 F0 E8 ?? ?? ?? ?? 80 7D F7 00 75 17 6A 01 6A 00 68 01 04 00 00 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 45 DE 00 C6 45 D7 01 EB 16 3C 05 75 12 8B 43 04 8B 80 64 03 00 00 66 BE F0 FF E8 ?? ?? ?? ?? 80 7D F7 01 75 08 8B 45 F0 E8 ?? ?? ?? ?? 80 7D DF 00 74 27 80 7D F7 01 75 21 8B 45 F0 E8 ?? ?? ?? ?? 6A 00 6A 00 68 01 04 00 00 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 0E 80 7D F7 00 74 08 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D DE 00 74 2E 8B 45 F0 8B 90 58 03 00 00 8B 45 F0 8B 80 E8 02 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 58 03 00 00 85 C0 74 1E 8B 55 F0 E8 ?? ?? ?? ?? EB 14 80 7D D7 00 75 0E 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F0 8B 98 58 03 00 00 85 DB 74 17 83 7D D8 00 74 11 8B 45 D8 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F0 33 D2 89 90 58 03 00 00 C3 E9 ?? ?? ?? ?? EB 81 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5F 5E 5B 8B E5 5D C3 C8 71 BC 4C 5E C0 C4 4A 8D 8E 9E 89 EC 0B FD 34 F9 13 90 31 66 86 CB 4E 8F FF 60 EA 9B 35 90 A7 82 20 50 60 D4 9A EF 46 98 66 39 19 8B FC CD 2E }
	condition:
		$1
}

rule function_83196_0 {
	meta:
		name = "TCustomRibbon.AddRecentItem"
		size = 301
		refs = "000f TCustomRibbon.HasApplicationMenu 002e TCustomRibbon.GetMenu 003d TOptionItems.Insert 0048 _Dn_TAction 004d TAction.Create 005d TCustomAction.SetCaption 0064 TCollectionItem.GetIndex 0071 TCustomRibbon.RecentActionHandler 0089 TList.Add 0094 TOptionItem.SetAction 00b0 TOptionItems.GetItem 00bb @UStrEqual 00d7 TList.RemoveItem 00e0 TCollection.Delete 010b TList.Get"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 14 24 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 07 01 00 00 8B 86 D0 02 00 00 80 78 1C 00 0F 85 F7 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B B8 C8 03 00 00 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 04 8B 14 24 8B 44 24 04 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 54 24 04 89 42 0C 56 68 ?? ?? ?? ?? 8B 44 24 0C 8B 10 FF 52 44 8B 86 48 03 00 00 8B 54 24 04 E8 ?? ?? ?? ?? 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B 47 08 8B 40 08 83 F8 01 7E 46 8B D8 4B 83 FB 01 7C 3E 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 18 8B 14 24 E8 ?? ?? ?? ?? 75 23 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 0C 8B 96 48 03 00 00 33 C9 92 E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 4B 85 DB 75 C2 33 FF 8B 86 48 03 00 00 8B 58 08 4B 83 FB 00 7C 1F 8B AE 48 03 00 00 89 5C 24 08 8B 54 24 08 8B C5 E8 ?? ?? ?? ?? 89 78 0C 47 4B 83 FB FF 75 E1 8B 44 24 04 8B 40 0C EB 03 83 C8 FF 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83197_0 {
	meta:
		name = "TCustomRibbon.AddTab"
		size = 170
		refs = "0017 TCustomRibbon.AddTab 0024 TCustomRibbon.GetActivePage 0031 TRibbonTabs.Add 003e TControl.GetText 0048 TRibbonTabItem.SetCaption 0052 TRibbonTabItem.SetPage 0060 TControl.SetVisible 0068 TControl.BringToFront 006f TCustomRibbon.RebuildRibbonMetrics 0095 @UStrClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 8B D8 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 43 14 85 C0 74 16 B2 01 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 DB 74 0D 85 FF 74 09 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_83198_0 {
	meta:
		name = "TCustomRibbon.BeginUpdate"
		size = 7
	strings:
		$1 = { FF 80 A0 02 00 00 C3 }
	condition:
		$1
}

rule function_83199_0 {
	meta:
		name = "TCustomRibbon.CMBidimodechanged"
		size = 184
		refs = "0006 TWinControl.CMBiDiModeChanged 000d TCustomRibbon.HasApplicationMenu 001c TCustomRibbon.CustomFrameSupported 0029 TCustomRibbon.GetRibbonMetric 0031 TCustomRibbon.GetMenu 0037 TControl.SetTop 005b TControl.SetLeft 0069 TCustomRibbon.CMBidimodechanged 006e TControl.SetAnchors"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 89 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 19 B2 0D 8B C6 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 0E 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 80 7E 69 00 75 23 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2E 8B C6 E8 ?? ?? ?? ?? 8B 56 50 2B 50 50 52 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 00 00 03 00 00 00 06 00 00 00 }
	condition:
		$1
}

rule function_83200_0 {
	meta:
		name = "TCustomRibbon.CMDesignHitTest"
		size = 88
		refs = "0009 IsLeftMouseButtonPressed 001d TCustomRibbon.CMDesignHitTest 0024 TCustomRibbon.TestTabScrollButtonClick 0037 TCustomRibbon.CheckTabChange"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2D 80 BB 3D 03 00 00 00 75 32 0F B7 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 20 0F BF 4E 0A 0F BF 56 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 0F B7 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_83201_0 {
	meta:
		name = "TCustomRibbon.CMFontchanged"
		size = 206
		refs = "000c TWinControl.CMFontChanged 001d _Dn_TFont 0022 TFont.Create 002d TCustomRibbon.CMFontchanged 0045 TCustomRibbon.GetColorMap 0050 TFont.SetColor 007b TActionBars.GetActionBar 009c TControl.SetFont 00a7 TCustomRibbon.RebuildRibbonMetrics 00bc TObject.Free 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 01 0F 85 AE 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 53 6C 8B 45 FC 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 8B 50 58 8B 45 FC E8 ?? ?? ?? ?? 8B 83 B8 02 00 00 85 C0 74 46 8B 40 74 8B 40 08 8B 78 08 4F 85 FF 7C 38 47 33 F6 8B 83 B8 02 00 00 8B 40 74 8B D6 E8 ?? ?? ?? ?? 83 78 0C 00 74 1B 8B 83 B8 02 00 00 8B 40 74 8B D6 E8 ?? ?? ?? ?? 8B 40 0C 8B 55 FC E8 ?? ?? ?? ?? 46 4F 75 CB 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83202_0 {
	meta:
		name = "TCustomRibbon.CMMouseenter"
		size = 19
		refs = "0006 TControl.CMMouseEnter"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 90 02 00 00 01 5B C3 }
	condition:
		$1
}

rule function_83203_0 {
	meta:
		name = "TCustomRibbon.CMMouseleave"
		size = 36
		refs = "0006 TControl.CMMouseLeave 0017 TCustomRibbon.SetHotTabIndex 001e TCustomRibbon.InvalidateScrollButtons"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 90 02 00 00 00 83 CA FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83204_0 {
	meta:
		name = "TCustomRibbon.CMTextchanged"
		size = 67
		refs = "0009 TWinControl.HandleAllocated 0014 TCustomRibbon.GetCaptionHeight 0026 Rect 0034 TWinControl.GetHandle 003a InvalidateRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2D 8B C3 E8 ?? ?? ?? ?? 50 8D 44 24 04 50 8B 4B 50 33 D2 33 C0 E8 ?? ?? ?? ?? 6A FF 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_83205_0 {
	meta:
		name = "TCustomRibbon.CMThemeChanged"
		size = 32
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 C7 86 40 03 00 00 FF FF FF FF 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_83206_0 {
	meta:
		name = "TCustomRibbon.Create"
		size = 568
		refs = "0016 @ClassCreate 0025 TCustomRibbon.Create 0036 TComponent.GetComponentCount 004f TComponent.GetComponent 0055 _DV_TCustomRibbon 005a @IsClass 0066 SDuplicateRibbonComponentsNotAllowed 006b LoadResString 0075 _DV_ERibbonException 007a Exception.Create 007f @RaiseExcept 0090 TCustomControl.Create 00bc _DV_TCustomTabData 00c1 TCustomTabData.Create 0107 _DV_TQuickAccessToolbar 010c TQuickAccessToolbar.Create 011b _DV_TApplicationMenu 0120 TApplicationMenu.Create 0143 _DV_TRibbonTabItem 014d _DV_TRibbonTabs 0152 TRibbonTabs.Create 0179 TCustomRibbon.QuickAccessToolbarPropsChangeHandler 0182 TCustomRibbon.SetShowHelpButton 0189 TCustomRibbon.InitializeSystemMenu 0192 TControl.SetAlign 019b TCustomRibbon.GetRibbonMetric 01a4 TControl.SetHeight 01ad _Dn_TObjectList 01b2 TObjectList.Create 01c6 TCustomRibbon.FindActionManager 01cf TCustomRibbon.SetActionManager 01e4 TWinControl.SetDoubleBuffered 01ef CreateMouseWheelHook 0204 @UStrClr 020a @HandleFinally 0219 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 56 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 48 46 C7 45 F8 00 00 00 00 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F8 4E 75 C0 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? F7 D0 22 43 28 88 43 28 C7 83 5C 03 00 00 00 00 80 3F C7 83 40 03 00 00 FF FF FF FF 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 FC 02 00 00 A1 ?? ?? ?? ?? F7 D0 23 43 58 89 43 58 C6 83 3D 03 00 00 00 C6 83 3C 03 00 00 00 C6 83 28 03 00 00 00 C6 83 12 03 00 00 01 C6 83 D4 02 00 00 00 C6 83 11 03 00 00 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 CC 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D0 02 00 00 33 C0 89 83 C0 02 00 00 33 C0 89 83 BC 02 00 00 33 C0 89 83 A0 02 00 00 A1 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 8C 02 00 00 C7 83 A4 02 00 00 FF FF FF FF C6 83 A8 02 00 00 00 8B 83 CC 02 00 00 89 58 14 C7 40 10 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 02 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 48 03 00 00 C6 83 F8 02 00 00 01 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 E8 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 01 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_83207_0 {
	meta:
		name = "TCustomRibbon.DblClick"
		size = 135
		refs = "000a TControl.DblClick 0013 Mouse 001a TMouse.GetCursorPos 0027 TControl.ScreenToClient 004f TCustomRibbon.GetActivePage 0060 TCustomRibbon.SetMinimized 007d SetCaptureControl"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 54 24 08 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 54 24 08 8B CC 8B C3 E8 ?? ?? ?? ?? 8B 4C 24 04 8B 14 24 8B C3 8B 30 FF 96 44 01 00 00 8B F0 83 FE FF 7E 37 80 BB C8 02 00 00 00 75 1A 8B C3 E8 ?? ?? ?? ?? 3B B0 84 02 00 00 75 0B B2 01 8B C3 E8 ?? ?? ?? ?? EB 1B 80 BB C8 02 00 00 00 74 12 33 D2 8B C3 E8 ?? ?? ?? ?? EB 07 33 C0 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_83210_0 {
	meta:
		name = "TCustomRibbon.DeleteTab"
		size = 55
		refs = "001b TRibbonTabs.GetItem 002e TObject.Free"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B BB 8C 02 00 00 8B 47 08 3B 70 08 7D 1C 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 40 14 89 04 24 8B 04 24 33 D2 89 14 24 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83211_0 {
	meta:
		name = "TCustomRibbon.Destroy"
		size = 228
		refs = "0003 @BeforeDestruction 000e TCustomRibbon.CleanupQuickAccessToolbarGroups 0019 TObject.Free 002b TCustomRibbon.IsDesigning 00c7 TCustomRibbon.FinalizeSystemMenu 00d2 TCustomControl.Destroy 00dd @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 0C 03 00 00 E8 ?? ?? ?? ?? 8B 86 FC 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 2B 66 83 BE F2 02 00 00 00 74 21 83 BE E8 02 00 00 00 74 18 8B 86 E8 02 00 00 8B 96 F0 02 00 00 89 50 40 8B 96 F4 02 00 00 89 50 44 33 C0 89 86 E8 02 00 00 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 8B 86 AC 02 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 89 86 BC 02 00 00 8D 86 C0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 CC 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 86 D0 02 00 00 E8 ?? ?? ?? ?? 8B 86 48 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83213_0 {
	meta:
		name = "TCustomRibbon.DoTabChange"
		size = 42
	strings:
		$1 = { 55 8B EC 53 66 83 B8 9A 02 00 00 00 74 17 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 9C 02 00 00 FF 93 98 02 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_83214_0 {
	meta:
		name = "DrawRoundRect"
		size = 45
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B F8 8B 46 08 50 8B 46 0C 50 51 8B 45 08 50 8B 16 8B 4E 04 8B C7 8B 18 FF 93 84 00 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_83215_0 {
	meta:
		name = "CenterInRect"
		size = 107
		refs = "001a TCustomCanvas.TextWidth 0046 TCustomCanvas.TextHeight"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 8B DA 89 45 FC 8B 75 08 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 53 08 2B 13 3B C2 7E 06 33 C0 89 06 EB 12 D1 FA 79 03 83 D2 00 D1 F8 79 03 83 D0 00 2B D0 89 16 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 53 0C 2B 53 04 D1 FA 79 03 83 D2 00 2B D0 89 56 04 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_83216_0 {
	meta:
		name = "CalcWidth"
		size = 352
		refs = "001d CalcWidth 0034 Rect 0039 TextFlags 006b Format 0073 @UStrToPWChar 0085 TCanvas.GetHandle 008b DrawText 00b5 TControl.GetText 00dd CaptionFmt 0126 @UStrClr 013c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D D8 89 4D E4 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 E8 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0D 00 04 00 00 50 8D 45 E8 50 6A FF 8D 45 E4 50 8B 45 08 8B 40 FC 8B 80 C4 02 00 00 89 45 DC C6 45 E0 11 8D 55 DC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F0 89 03 8B 45 08 8B 40 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 50 8D 55 D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 8D 45 DC 50 8B 45 08 8B 40 FC 83 B8 C4 02 00 00 00 0F 95 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 83 CE FF 8B 3D ?? ?? ?? ?? 81 CF 00 04 00 00 57 8D 45 E8 50 56 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 F0 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_83217_0 {
	meta:
		name = "CalcWidth"
		size = 308
		refs = "0023 CalcWidth 003a Rect 0058 TextFlags 0078 TControl.GetText 009c GlassCaptionFmt 00a7 Format 00af @UStrToPWChar 00c6 States 00d5 Parts 00e3 TCanvas.GetHandle 00ea GetThemeTextExtent 0119 @UStrClr 0127 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 57 33 DB 89 5D A4 89 5D 90 89 4D F8 89 55 FC 8B F0 8B 7D 08 83 C7 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 A8 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? C7 45 B8 40 00 00 00 33 C0 89 45 BC 81 4D BC 00 02 00 00 8D 45 A8 50 6A 00 A1 ?? ?? ?? ?? 50 6A FF 8D 45 A4 50 8B 07 8B 80 C4 02 00 00 89 45 94 C6 45 98 11 8D 55 90 8B 07 E8 ?? ?? ?? ?? 8B 45 90 89 45 9C C6 45 A0 11 8D 45 94 50 8B 07 83 B8 C4 02 00 00 00 0F 95 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 45 A4 E8 ?? ?? ?? ?? 50 8B 07 8B 98 E8 02 00 00 0F B6 83 A5 02 00 00 8B 04 85 ?? ?? ?? ?? 50 0F B6 83 A2 02 00 00 8B 04 85 ?? ?? ?? ?? 50 8B 07 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 56 A1 ?? ?? ?? ?? 8B 00 FF D0 8B 45 FC 8B 55 B0 89 10 8B 45 F8 33 D2 89 10 81 65 BC FF FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83218_0 {
	meta:
		name = "FixRect"
		size = 121
		refs = "001f TControl.GetClientWidth"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 45 08 8B 40 FC 80 B8 44 03 00 00 00 75 5D 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 03 C6 D1 F8 79 03 83 D0 00 3B 43 08 7D 30 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 2B C6 D1 F8 79 03 83 D0 00 3B 03 7E 18 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 2B C6 D1 F8 79 03 83 D0 00 89 03 EB 14 8B 43 08 2B 03 3B F0 7F 0B 2B C6 D1 F8 79 03 83 D0 00 01 03 5E 5B 5D C3 }
	condition:
		$1
}

rule function_83219_0 {
	meta:
		name = "TCustomRibbon.DrawCaption"
		size = 1380
		refs = "0021 TCustomRibbon.DrawCaption 003e _Dn_TBitmap 0043 TBitmap.Create 0076 TCustomRibbon.GetRibbonMetric 007f GetSystemMetrics 0090 TCustomRibbon.CustomFrameSupported 00bc Rect 00e8 TObject.Free 00ee @HandleFinally 00f5 Screen 010b TCanvas.SetFont 0113 TCustomRibbon.GetColorMap 012a TFont.SetColor 0143 TCustomRibbon.GetCaptionHeight 0150 TControl.GetClientWidth 0163 TCustomRibbon.HasQuickAccessToolbar 0186 TQuickAccessToolbar.GetBarWidth 0199 TCustomRibbon.HasApplicationMenu 01a5 TCustomRibbon.GetMenu 01f6 TCustomRibbon.GlassFrameSupported 0214 TWinControl.GetHandle 021a DwmGetWindowAttribute 0238 OpenThemeData 025c CalcWidth 026c FixRect 0278 TextFlags 029f TControl.GetText 02c4 GlassCaptionFmt 02cf Format 02d7 @UStrToPWChar 02ef States 02fe Parts 030d TCanvas.GetHandle 0317 DrawThemeText 0331 CloseThemeData 0430 DrawText 04a5 CaptionFmt 04e9 @UStrClr 0506 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 D2 89 55 9C 89 55 AC 89 55 A8 89 55 F8 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 44 03 00 00 00 0F 84 B9 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EB 8B 45 FC 8B 08 FF 91 50 01 00 00 8B D0 8B 45 E4 8B 08 FF 51 08 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D8 6A 31 E8 ?? ?? ?? ?? 2B D8 D1 FB 79 03 83 D3 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 8B F3 EB 02 33 F6 6A 32 E8 ?? ?? ?? ?? 03 C3 50 8D 45 B0 50 6A 31 E8 ?? ?? ?? ?? 8B C8 03 CE 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 B0 8B 45 FC 8B 80 78 02 00 00 8B 4D E4 8B 18 FF 93 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 A1 ?? ?? ?? ?? 8B 00 8B 90 90 00 00 00 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 90 BC 00 00 00 8B 45 FC 8B 80 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? 6A 00 8D 45 C0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 D0 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2A 8B 45 FC 8B 80 CC 02 00 00 80 78 18 00 75 1B 8B 45 FC 8B 98 CC 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 53 04 03 42 48 89 45 D0 EB 3C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 29 8B 45 FC E8 ?? ?? ?? ?? 80 78 61 00 74 1B 8B 45 FC E8 ?? ?? ?? ?? 8B 58 48 8B 45 FC E8 ?? ?? ?? ?? 03 58 50 89 5D D0 EB 07 C7 45 D0 10 00 00 00 83 45 D0 0A 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 73 01 00 00 B2 0D 8B 45 FC E8 ?? ?? ?? ?? 89 45 D4 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 3F 01 00 00 6A 10 8D 45 C0 50 6A 05 8B 45 FC 8B 80 E8 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B2 0D 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C0 2B D0 89 55 D8 68 ?? ?? ?? ?? 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 4D EC 8D 55 F0 8B 45 E0 E8 ?? ?? ?? ?? 59 55 8B 55 F0 03 55 EC 8D 45 D0 E8 ?? ?? ?? ?? 59 8D 45 D0 50 6A 00 A1 ?? ?? ?? ?? 0D 00 80 00 00 50 6A FF 8D 45 AC 50 8B 45 FC 8B 80 C4 02 00 00 89 45 B0 C6 45 B4 11 8D 55 A8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A8 89 45 B8 C6 45 BC 11 8D 45 B0 50 8B 45 FC 83 B8 C4 02 00 00 00 0F 95 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 45 AC E8 ?? ?? ?? ?? 50 8B 45 FC 8B 98 E8 02 00 00 0F B6 83 A5 02 00 00 8B 04 85 ?? ?? ?? ?? 50 0F B6 83 A2 02 00 00 8B 04 85 ?? ?? ?? ?? 50 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 E0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 50 A1 ?? ?? ?? ?? 8B 00 FF D0 C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 92 88 02 00 00 2B 42 48 29 45 D8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 64 01 00 00 55 8D 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 59 55 8B 55 F0 03 55 EC 8D 45 D0 E8 ?? ?? ?? ?? 59 8B 45 FC 80 B8 F8 02 00 00 00 74 21 8B 45 FC E8 ?? ?? ?? ?? 8B 90 BC 00 00 00 8B 45 FC 8B 80 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? EB 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 50 50 8B 45 FC 8B 80 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 50 8B 45 FC 8B 80 C4 02 00 00 89 45 A0 C6 45 A4 11 8D 55 A0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 CE FF 8B 3D ?? ?? ?? ?? 83 CF 00 81 CF 00 80 00 00 57 8D 45 D0 50 56 8B 45 F8 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B 45 F0 01 45 D0 8B 45 FC 80 B8 F8 02 00 00 00 74 1F 8B 45 FC E8 ?? ?? ?? ?? 8B 90 B8 00 00 00 8B 45 FC 8B 80 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B D8 8D 45 F4 50 8D 55 9C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 9C 89 45 A0 C6 45 A4 11 8D 45 A0 50 8B 45 FC 83 B8 C4 02 00 00 00 0F 95 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 33 C9 5A E8 ?? ?? ?? ?? 83 CE FF 8B 3D ?? ?? ?? ?? 83 CF 00 81 CF 00 80 00 00 57 8D 45 D0 50 56 8B 45 F4 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 00 00 00 43 00 6F 00 6D 00 70 00 6F 00 73 00 69 00 74 00 65 00 64 00 57 00 69 00 6E 00 64 00 6F 00 77 00 3A 00 3A 00 57 00 69 00 6E 00 64 00 6F 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_83220_0 {
	meta:
		name = "TCustomRibbon.DrawQuickAccessToolbar"
		size = 192
		refs = "000b TCustomRibbon.HasQuickAccessToolbar 005e Rect 0066 TCustomRibbon.GetStyle 0073 TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A2 00 00 00 80 BB 44 03 00 00 00 0F 85 95 00 00 00 8B 83 CC 02 00 00 80 78 18 00 0F 85 85 00 00 00 80 7B 69 00 75 3F 8B 83 CC 02 00 00 8B 40 04 8B 70 4C 8B C6 83 C0 18 50 8D 44 24 04 50 8B D6 B9 31 00 00 00 B8 22 00 00 00 E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 8B 8B 78 02 00 00 B2 01 E8 ?? ?? ?? ?? EB 40 8B 83 CC 02 00 00 8B 40 04 8B 78 4C 8B C7 83 C0 18 50 8D 44 24 04 50 8B 73 50 83 EE 22 8B CE 8B D7 8B C6 83 E8 0F E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 8B 8B 78 02 00 00 B2 02 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83221_0 {
	meta:
		name = "AdjustRect"
		size = 64
		refs = "002a Rect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 8B 43 0C 03 45 08 50 8D 45 F0 50 8B 4B 08 03 4D 0C 8B 53 04 03 D7 8B 03 03 C6 E8 ?? ?? ?? ?? 8D 75 F0 8B FB A5 A5 A5 A5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_83222_0 {
	meta:
		name = "TCustomRibbon.DrawTab"
		size = 1599
		refs = "0019 TCustomRibbon.DrawTab 0028 TCustomRibbon.ValidTab 0037 TCustomRibbon.GetStyle 0093 TRibbonStyleActionBars.DrawElement 0156 Rect 03c0 TBrush.SetStyle 03da TCustomRibbon.GetRibbonMetric 03ea TFont.SetSize 03f1 TCustomRibbon.GetTabIndex 03fc TCustomRibbon.GetColorMap 0410 TFont.SetColor 043e TRibbonTabs.GetItem 0452 CenterInRect 04a3 TRibbonTabItem.GetMinTabWidth 0517 TCanvas.GetHandle 0531 @UStrLAsg 0553 @UStrToPWChar 055a DrawText 0606 TCustomTabData.GetSeparatorOpacity 062c @UStrClr 0632 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 44 FF FF FF 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 E7 05 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F0 8D 8D 64 FF FF FF 8B D6 8B C3 8B 38 FF 97 48 01 00 00 8B BD 6C FF FF FF 2B BD 64 FF FF FF 3B B3 A4 02 00 00 75 6C 3B B3 94 02 00 00 74 43 80 BB C8 02 00 00 00 75 06 FF 8D 70 FF FF FF 8D 85 64 FF FF FF 50 68 FF 00 00 00 8B 8B 78 02 00 00 B2 03 8B 45 F0 E8 ?? ?? ?? ?? 80 BB C8 02 00 00 00 0F 85 10 03 00 00 FF 85 70 FF FF FF E9 05 03 00 00 8D 85 64 FF FF FF 50 68 FF 00 00 00 8B 8B 78 02 00 00 B2 02 8B 45 F0 E8 ?? ?? ?? ?? E9 E4 02 00 00 3B B3 94 02 00 00 0F 85 2E 01 00 00 80 BB 28 03 00 00 00 75 09 80 BB 3C 03 00 00 00 74 21 8D 85 64 FF FF FF 50 68 FF 00 00 00 8B 8B 78 02 00 00 B2 05 8B 45 F0 E8 ?? ?? ?? ?? E9 A5 02 00 00 C7 45 E8 FE FF FF FF 33 C0 89 45 E4 C7 45 E0 03 00 00 00 C7 45 DC FF FF FF FF 8B 85 70 FF FF FF 03 45 DC 50 8D 85 44 FF FF FF 50 8B 8D 6C FF FF FF 03 4D E0 8B 95 68 FF FF FF 03 55 E4 8B 85 64 FF FF FF 03 45 E8 E8 ?? ?? ?? ?? 56 57 8D B5 44 FF FF FF 8D BD 64 FF FF FF A5 A5 A5 A5 5F 5E 8D 85 64 FF FF FF 50 68 FF 00 00 00 8B 8B 78 02 00 00 33 D2 8B 45 F0 E8 ?? ?? ?? ?? C7 45 D8 02 00 00 00 33 C0 89 45 D4 C7 45 D0 FD FF FF FF C7 45 CC 01 00 00 00 8B 85 70 FF FF FF 03 45 CC 50 8D 85 44 FF FF FF 50 8B 8D 6C FF FF FF 03 4D D0 8B 95 68 FF FF FF 03 55 D4 8B 85 64 FF FF FF 03 45 D8 E8 ?? ?? ?? ?? 56 57 8D B5 44 FF FF FF 8D BD 64 FF FF FF A5 A5 A5 A5 5F 5E 8D 85 64 FF FF FF 50 68 FF 00 00 00 8B 8B 78 02 00 00 B2 01 8B 45 F0 E8 ?? ?? ?? ?? E9 AA 01 00 00 80 BB C8 02 00 00 00 75 61 C7 45 C8 FE FF FF FF 33 C0 89 45 C4 C7 45 C0 02 00 00 00 C7 45 BC FF FF FF FF 8B 85 70 FF FF FF 03 45 BC 50 8D 85 44 FF FF FF 50 8B 8D 6C FF FF FF 03 4D C0 8B 95 68 FF FF FF 03 55 C4 8B 85 64 FF FF FF 03 45 C8 E8 ?? ?? ?? ?? 56 57 8D B5 44 FF FF FF 8D BD 64 FF FF FF A5 A5 A5 A5 5F 5E EB 5D C7 45 B8 FE FF FF FF 33 C0 89 45 B4 C7 45 B0 02 00 00 00 33 C0 89 45 AC 8B 85 70 FF FF FF 03 45 AC 50 8D 85 44 FF FF FF 50 8B 8D 6C FF FF FF 03 4D B0 8B 95 68 FF FF FF 03 55 B4 8B 85 64 FF FF FF 03 45 B8 E8 ?? ?? ?? ?? 56 57 8D B5 44 FF FF FF 8D BD 64 FF FF FF A5 A5 A5 A5 5F 5E 8D 85 64 FF FF FF 50 68 FF 00 00 00 8B 8B 78 02 00 00 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 80 BB C8 02 00 00 00 75 61 C7 45 A8 02 00 00 00 33 C0 89 45 A4 C7 45 A0 FE FF FF FF C7 45 9C 01 00 00 00 8B 85 70 FF FF FF 03 45 9C 50 8D 85 44 FF FF FF 50 8B 8D 6C FF FF FF 03 4D A0 8B 95 68 FF FF FF 03 55 A4 8B 85 64 FF FF FF 03 45 A8 E8 ?? ?? ?? ?? 56 57 8D B5 44 FF FF FF 8D BD 64 FF FF FF A5 A5 A5 A5 5F 5E EB 5D C7 45 98 02 00 00 00 33 C0 89 45 94 C7 45 90 FE FF FF FF 33 C0 89 45 8C 8B 85 70 FF FF FF 03 45 8C 50 8D 85 44 FF FF FF 50 8B 8D 6C FF FF FF 03 4D 90 8B 95 68 FF FF FF 03 55 94 8B 85 64 FF FF FF 03 45 98 E8 ?? ?? ?? ?? 56 57 8D B5 44 FF FF FF 8D BD 64 FF FF FF A5 A5 A5 A5 5F 5E 8B 83 78 02 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 40 8B 53 6C 8B 08 FF 51 08 B2 0C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F0 75 1D 8B C3 E8 ?? ?? ?? ?? 8B 90 98 00 00 00 8B 83 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? EB 1B 8B C3 E8 ?? ?? ?? ?? 8B 90 B4 00 00 00 8B 83 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? 8D 45 F4 50 8B D6 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 48 18 8D 95 64 FF FF FF 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 8D 85 44 FF FF FF 50 8B 95 68 FF FF FF 03 55 F8 8B 85 64 FF FF FF 03 45 F4 8B 8D 6C FF FF FF E8 ?? ?? ?? ?? 56 57 8D B5 44 FF FF FF 8D BD 64 FF FF FF A5 A5 A5 A5 5F 5E 8B D6 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 EF 06 2B F8 85 FF 0F 9E 45 EF 80 7D EF 00 74 58 BF 04 00 00 00 33 C0 89 45 88 C7 45 84 FC FF FF FF 33 C0 89 45 80 8B 85 70 FF FF FF 03 45 80 50 8D 85 44 FF FF FF 50 8B 8D 6C FF FF FF 03 4D 84 8B 95 68 FF FF FF 03 55 88 8B 85 64 FF FF FF 03 C7 E8 ?? ?? ?? ?? 56 8D B5 44 FF FF FF 8D BD 64 FF FF FF A5 A5 A5 A5 5E 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B D6 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 50 18 8D 45 FC E8 ?? ?? ?? ?? 83 CE FF 33 C0 89 85 7C FF FF FF 8B 85 7C FF FF FF 50 8D 85 64 FF FF FF 50 56 8B 45 FC E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 80 7D EF 00 74 5E BE FC FF FF FF 33 FF C7 85 78 FF FF FF 04 00 00 00 33 C0 89 85 74 FF FF FF 8B 85 70 FF FF FF 03 85 74 FF FF FF 50 8D 85 44 FF FF FF 50 8B 8D 6C FF FF FF 03 8D 78 FF FF FF 8B 95 68 FF FF FF 03 D7 8B 85 64 FF FF FF 03 C6 E8 ?? ?? ?? ?? 8D B5 44 FF FF FF 8D BD 64 FF FF FF A5 A5 A5 A5 8B 83 FC 02 00 00 80 78 0D 00 76 4D 8B 85 70 FF FF FF 50 8D 85 54 FF FF FF 50 8B B5 6C FF FF FF 83 C6 03 8B CE 41 8B 95 68 FF FF FF 2B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 85 54 FF FF FF 50 8B 83 FC 02 00 00 E8 ?? ?? ?? ?? 50 8B 8B 78 02 00 00 B2 0C 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83223_0 {
	meta:
		name = "TCustomRibbon.EndUpdate"
		size = 47
	strings:
		$1 = { 56 8B F0 FF 8E A0 02 00 00 83 BE A0 02 00 00 00 7D 08 33 C0 89 86 A0 02 00 00 83 BE A0 02 00 00 00 75 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_83224_0 {
	meta:
		name = "TCustomRibbon.FixUpPageIndexes"
		size = 131
		refs = "0022 TRibbonTabs.GetItem 003f TCustomRibbonPage.SetIndex 0075 TCollection.Delete"
	strings:
		$1 = { 53 56 57 8B F0 8B 86 8C 02 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 31 47 33 DB 8B D3 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 83 78 14 00 74 17 8B D3 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 8B 40 14 8B D3 E8 ?? ?? ?? ?? 43 4F 75 D2 8B 86 8C 02 00 00 8B 40 08 8B 58 08 4B 83 FB 00 7C 26 8B D3 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 83 78 14 00 75 0D 8B D3 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83225_0 {
	meta:
		name = "TCustomRibbon.FixUpTabList"
		size = 157
		refs = "0025 TRibbonTabs.GetItem 003e TRibbonTabItem.SetPage 0074 TCollection.Delete 0081 TCustomRibbon.FixUpPageIndexes 0094 TCustomRibbon.SetTabIndex"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 8B 86 8C 02 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 2D 47 33 DB 8B D3 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 3B 68 14 75 14 8B D3 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 43 4F 75 D6 8B 86 8C 02 00 00 8B 40 08 8B 58 08 4B 83 FB 00 7C 26 8B D3 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 83 78 14 00 75 0D 8B D3 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DA 8B C6 E8 ?? ?? ?? ?? C7 86 94 02 00 00 FF FF FF FF 33 D2 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83226_0 {
	meta:
		name = "TCustomRibbon.GetActivePage"
		size = 100
		refs = "0006 TCustomRibbon.GetTabIndex 003b TRibbonTabs.GetItem"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 40 7E 18 8B C3 E8 ?? ?? ?? ?? 8B 93 8C 02 00 00 8B 52 08 3B 42 08 0F 9C C0 EB 02 33 C0 84 C0 74 35 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 19 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 40 14 EB 06 33 C0 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_83227_0 {
	meta:
		name = "TCustomRibbon.SetupDefaultColorMap"
		size = 176
		refs = "0014 TObject.Free 0024 _DV_TRibbonLunaColorMap 0032 _Dn_TActionBarStyleEx 0037 @AsClass 0060 TCustomRibbon.SetupDefaultColorMap 0074 TComponent.SetSubComponent"
	strings:
		$1 = { 53 56 57 8B D8 8D 83 C0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B B3 B8 02 00 00 85 F6 75 08 8B 35 ?? ?? ?? ?? EB 1A 8B 86 E8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 04 8B F0 85 F6 75 06 8B 35 ?? ?? ?? ?? 8B CB B2 01 8B C6 FF 50 38 8B F8 89 BB C0 02 00 00 BA ?? ?? ?? ?? 8B C7 8B 08 FF 51 24 B2 01 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B 83 C0 02 00 00 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 43 00 6F 00 6C 00 6F 00 72 00 4D 00 61 00 70 00 00 00 }
	condition:
		$1
}

rule function_83228_0 {
	meta:
		name = "TCustomRibbon.GetCaptionHeight"
		size = 67
		refs = "000f GetSystemMetrics 0026 TCustomRibbon.CustomFrameSupported"
	strings:
		$1 = { 53 8B D8 83 BB 40 03 00 00 FF 75 2F 6A 04 E8 ?? ?? ?? ?? 83 F8 1A 7F 05 B8 1A 00 00 00 89 83 40 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 6A 21 E8 ?? ?? ?? ?? 01 83 40 03 00 00 8B 83 40 03 00 00 5B C3 }
	condition:
		$1
}

rule function_83229_0 {
	meta:
		name = "TCustomRibbon.GetColorMap"
		size = 39
		refs = "000f TCustomRibbon.SetupDefaultColorMap"
	strings:
		$1 = { 53 8B D8 83 BB BC 02 00 00 00 75 13 8B C3 E8 ?? ?? ?? ?? 8B 83 C0 02 00 00 89 83 BC 02 00 00 8B 83 BC 02 00 00 5B C3 }
	condition:
		$1
}

rule function_83230_0 {
	meta:
		name = "TCustomRibbon.GetHelpButtonRect"
		size = 122
		refs = "0016 TCustomRibbon.GetRibbonMetric 0046 Rect"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 80 BB A8 02 00 00 00 74 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 46 80 7B 69 00 75 29 8B 83 AC 02 00 00 8B 40 54 03 C6 50 57 8B 83 AC 02 00 00 FF 70 50 8B 6B 50 8B C5 5A 2B C2 8B CD 8B D6 E8 ?? ?? ?? ?? EB 29 8B AB AC 02 00 00 8B 45 54 03 C6 50 57 8B 4D 50 8B D6 33 C0 E8 ?? ?? ?? ?? EB 0E 6A 00 57 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83231_0 {
	meta:
		name = "TCustomRibbon.GetTabAt"
		size = 112
		refs = "0055 PtInRect"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 89 4C 24 04 89 14 24 8B F8 8B 87 FC 02 00 00 8B 40 10 8B D8 8B 87 8C 02 00 00 8B 40 08 8B 70 08 4E 2B F3 7C 39 46 8B 04 24 89 44 24 08 8B 44 24 04 89 44 24 0C 8D 4C 24 10 8B D3 8B C7 8B 28 FF 95 48 01 00 00 8D 44 24 10 8D 54 24 08 E8 ?? ?? ?? ?? 84 C0 74 04 8B C3 EB 07 43 4E 75 C8 83 C8 FF 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83233_0 {
	meta:
		name = "TCustomRibbon.GetTabRect"
		size = 263
		refs = "0016 TCustomRibbon.ValidTab 002c Rect 0066 TCustomRibbon.GetRibbonMetric 00a6 TRibbonTabs.GetItem 00fc IntersectRect"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B D8 8B 14 24 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 6A 00 8B 44 24 08 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? E9 CB 00 00 00 BD 2F 00 00 00 8B 83 FC 02 00 00 8B 78 10 8B 34 24 4E 2B F7 7C 16 46 8B D7 8B C3 8B 08 FF 91 4C 01 00 00 83 C0 06 03 E8 47 4E 75 EB 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 B2 0B 8B C3 E8 ?? ?? ?? ?? 03 C6 83 C0 02 50 8B 44 24 08 50 8B 54 24 08 8B C3 8B 08 FF 91 4C 01 00 00 8B C8 03 CD 8D 56 02 8B C5 E8 ?? ?? ?? ?? 8B 14 24 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 83 78 14 00 74 3A 8B 14 24 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 89 68 0C 8B 14 24 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 33 D2 89 50 10 8B 14 24 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 14 24 8B 08 FF 51 14 8B 83 FC 02 00 00 8D 48 38 8B 54 24 04 8B 44 24 04 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83234_0 {
	meta:
		name = "TCustomRibbon.GetTabWidth"
		size = 82
		refs = "001c TCustomRibbon.GetRibbonMetric 002c TFont.SetSize 0035 TCustomRibbon.ValidTab 0046 TCustomTabData.GetNewWidth"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 78 02 00 00 8B 40 40 8B 53 6C 8B 08 FF 51 08 B2 0C 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B D6 8B 83 FC 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_83235_0 {
	meta:
		name = "TCustomRibbon.GlassFrameSupported"
		size = 47
		refs = "0004 DwmCompositionEnabled"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 84 C0 74 1B 83 BB E8 02 00 00 00 74 12 8B 83 E8 02 00 00 8B 80 7C 03 00 00 80 78 08 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_83236_0 {
	meta:
		name = "TCustomRibbon.HelpButtonClickHandler"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 1C 01 00 00 C3 }
	condition:
		$1
}

rule function_83237_0 {
	meta:
		name = "TCustomRibbon.HideKeyTips"
		size = 66
		refs = "0013 TCustomRibbon.TabHideKeyTips 001a TCustomRibbon.GetActivePage 002c TCustomRibbonPage.HideKeyTips 0033 TCustomRibbon.CheckAndResetMinimizedState 003c TCustomRibbon.SetKeyTipsVisible"
	strings:
		$1 = { 53 8B D8 80 BB 28 03 00 00 00 74 34 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83238_0 {
	meta:
		name = "TCustomRibbon.SetBounds"
		size = 195
		refs = "0016 TCustomRibbon.GetRibbonHeight 0022 TWinControl.SetBounds 0029 TCustomRibbon.HasQuickAccessToolbar 0042 TCustomRibbon.GetRibbonMetric 0057 Rect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 50 8B C3 E8 ?? ?? ?? ?? 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 62 8B B3 CC 02 00 00 80 7E 18 00 75 2D 33 D2 8B C3 E8 ?? ?? ?? ?? 50 8D 45 F0 50 8B 46 04 8B 40 50 8B 4B 50 33 D2 E8 ?? ?? ?? ?? 8D 75 F0 8D BB D8 02 00 00 A5 A5 A5 A5 EB 50 33 D2 8B C3 E8 ?? ?? ?? ?? 50 8D 45 F0 50 8B 4B 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 75 F0 8D BB D8 02 00 00 A5 A5 A5 A5 EB 27 33 D2 8B C3 E8 ?? ?? ?? ?? 50 8D 45 F0 50 8B 4B 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 75 F0 8D BB D8 02 00 00 A5 A5 A5 A5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_83239_0 {
	meta:
		name = "TCustomRibbon.GetIcon"
		size = 104
		refs = "0021 TCustomRibbon.GetIcon 0026 HInstance 002c LoadImage 003c TIcon.SetHandle"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 D0 02 00 00 8B 40 08 8B 10 FF 52 20 84 C0 74 28 6A 00 6A 20 6A 20 6A 01 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 83 D0 02 00 00 8B 40 08 E8 ?? ?? ?? ?? 8B 83 D0 02 00 00 0F B6 50 0C 88 16 8B 40 08 5E 5B C3 00 00 4D 00 41 00 49 00 4E 00 49 00 43 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_83240_0 {
	meta:
		name = "TCustomRibbon.GetMenu"
		size = 29
		refs = "0006 TCustomRibbon.HasApplicationMenu"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 83 D0 02 00 00 8B 40 10 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_83241_0 {
	meta:
		name = "TCustomRibbon.TabHandledKeyTips"
		size = 352
		refs = "0020 TCustomRibbon.TabHandledKeyTips 002e TCustomRibbon.GetApplicationButton 0037 @IntfClear 0044 Supports 0077 TKeyTipList.Add 00d3 TRibbonTabs.GetItem 00db TRibbonTabItem.GetKeyTip 00e6 _Dn_TKeyTipValidator 00eb TKeyTipValidator.Validate 011d @UStrClr 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 2F 8D 4D EB 8B 55 F0 8B 45 FC 8B 18 FF 53 10 80 7D EB 00 74 1B 8B 45 F4 E8 ?? ?? ?? ?? 50 6A FF 0F B6 4D EB 8B 45 EC 8B 00 33 D2 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F4 8B 80 CC 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 4D EC 8B 55 F0 8B 45 F8 8B 18 FF 53 0C 8B 45 F4 8B 80 FC 02 00 00 8B 58 10 8B 70 50 2B F3 7C 4C 46 6A 00 8D 45 EB 50 8B 45 F4 8B 80 8C 02 00 00 8B D3 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 4D E4 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D EB 00 74 13 6A 00 53 0F B6 4D EB 8B 45 EC 8B 00 B2 01 E8 ?? ?? ?? ?? 43 4E 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 C8 71 BC 4C 5E C0 C4 4A 8D 8E 9E 89 EC 0B FD 34 F9 13 90 31 66 86 CB 4E 8F FF 60 EA 9B 35 90 A7 }
	condition:
		$1
}

rule function_83242_0 {
	meta:
		name = "TCustomRibbon.TabHideKeyTips"
		size = 572
		refs = "0023 TCustomRibbon.TabHideKeyTips 0031 TCustomRibbon.GetApplicationButton 003a @IntfClear 0047 Supports 00c1 TRibbonTabs.GetItem 00c9 TObject.Free 00ee _Dn_TStringList 00f3 TStringList.Create 010c TKeyTipList.GetCount 0120 TKeyTipList.GetItem 0133 IntToStr 014c TStringList.SetSorted 01da @HandleFinally 01f6 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D FC 89 5D F8 89 4D F0 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 14 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F4 8B 80 CC 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 55 F0 8B 45 F8 8B 08 FF 51 10 83 7D F0 00 75 5D 8B 45 F4 8B 80 FC 02 00 00 8B 40 10 8B D8 8B 45 F4 8B 80 8C 02 00 00 8B 40 08 8B 70 08 4E 2B F3 0F 8C 2C 01 00 00 46 8B 45 F4 8B 80 8C 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 40 30 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 8C 02 00 00 8B D3 E8 ?? ?? ?? ?? 33 D2 89 50 30 43 4E 75 CF E9 F5 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2F 46 33 DB 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 80 7F 10 01 75 16 8D 55 E4 8B 47 0C E8 ?? ?? ?? ?? 8B 55 E4 8B 45 EC 8B 08 FF 51 38 43 4E 75 D4 B2 01 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F4 8B 80 FC 02 00 00 8B 40 10 8B D8 8B 45 F4 8B 80 8C 02 00 00 8B 40 08 8B 70 08 4E 2B F3 7C 51 46 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8D 4D E8 8B 45 EC 8B 38 FF 97 9C 00 00 00 84 C0 75 2D 8B 45 F4 8B 80 8C 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 40 30 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 8C 02 00 00 8B D3 E8 ?? ?? ?? ?? 33 D2 89 50 30 43 4E 75 B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 00 C8 71 BC 4C 5E C0 C4 4A 8D 8E 9E 89 EC 0B FD 34 F9 13 90 31 66 86 CB 4E 8F FF 60 EA 9B 35 90 A7 }
	condition:
		$1
}

rule function_83243_0 {
	meta:
		name = "TCustomRibbon.TabShowKeyTips"
		size = 297
		refs = "0014 TCustomRibbon.TabShowKeyTips 003f TRibbonTabs.GetItem 005a TObject.Free 0094 TControl.ClientToScreen 00b2 Rect 00d9 TRibbonTabItem.GetKeyTip 00e5 ShowKeyTip 0116 @UStrClr 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 D2 89 55 C8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 FC 02 00 00 8B 70 10 8B 40 50 2B C6 0F 8C D3 00 00 00 40 89 45 F4 8B D6 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 83 78 30 00 74 27 8B D6 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 40 30 E8 ?? ?? ?? ?? 8B D6 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 33 D2 89 50 30 8D 4D DC 8B D6 8B C3 8B 38 FF 97 48 01 00 00 8B 7D DC 89 7D EC 8B 45 E8 89 45 F0 8D 4D F8 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 2B 45 E0 50 8D 45 CC 50 8B 4D E4 2B CF 8B 55 FC 83 EA 11 8B 45 F8 E8 ?? ?? ?? ?? 56 8D 75 CC 8D 7D DC A5 A5 A5 A5 5E 8D 45 DC 50 6A 02 8B D6 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8D 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 B1 01 B2 01 E8 ?? ?? ?? ?? 8B F8 8B D6 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 89 78 30 46 FF 4D F4 0F 85 31 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83244_0 {
	meta:
		name = "TCustomRibbon.InitializeSystemMenu"
		size = 115
		refs = "000b _DV_TRibbonSystemButton 0010 TRibbonSystemButton.Create"
	strings:
		$1 = { 53 56 8B D8 6A 04 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 80 02 00 00 8B D3 8B C6 8B 08 FF 91 84 00 00 00 6A 02 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 84 02 00 00 8B D3 8B C6 8B 08 FF 91 84 00 00 00 6A 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 88 02 00 00 8B D3 8B C6 8B 08 FF 91 84 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_83245_0 {
	meta:
		name = "TCustomRibbon.InvalidateHeaderArea"
		size = 132
		refs = "0016 TCustomRibbon.GetRibbonMetric 0028 TWinControl.GetHandle 002e InvalidateRect 0035 TCustomRibbon.HasApplicationMenu 0064 TCustomRibbon.HasQuickAccessToolbar"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8B D4 8B C6 8B 08 FF 51 60 33 D2 8B C6 E8 ?? ?? ?? ?? 89 44 24 0C 6A FF 8D 44 24 04 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 24 8B DE 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 83 D0 02 00 00 8B 78 10 EB 02 33 FF 8B C7 8B 10 FF 92 9C 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 11 8B 86 CC 02 00 00 8B 40 04 8B 10 FF 92 9C 00 00 00 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83246_0 {
	meta:
		name = "TCustomRibbon.InvalidateScrollButtons"
		size = 97
		refs = "0027 TWinControl.GetHandle 002d InvalidateRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B 83 FC 02 00 00 F6 40 0E 01 74 1D 8D 70 24 8B FC A5 A5 A5 A5 6A FF 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 FC 02 00 00 F6 40 0E 02 74 1D 8D 70 14 8B FC A5 A5 A5 A5 6A FF 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83247_0 {
	meta:
		name = "TCustomRibbon.InvalidateTabArea"
		size = 98
		refs = "0052 TWinControl.GetHandle 0058 InvalidateRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 80 BB 3D 03 00 00 00 75 4C 83 BB 8C 02 00 00 00 74 43 8B 83 8C 02 00 00 8B 40 08 83 78 08 00 7E 34 8B CC 33 D2 8B C3 8B 30 FF 96 48 01 00 00 FF 4C 24 04 C7 04 24 2F 00 00 00 8B 43 50 89 44 24 08 6A FF 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_83248_0 {
	meta:
		name = "TCustomRibbon.FinalizeSystemMenu"
		size = 38
		refs = "000a TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B 83 84 02 00 00 E8 ?? ?? ?? ?? 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83249_0 {
	meta:
		name = "TCustomRibbon.FindActionManager"
		size = 76
		refs = "000f TComponent.GetComponentCount 0023 TComponent.GetComponent 0029 _Dn_TCustomActionManager 002e @IsClass"
	strings:
		$1 = { 53 56 57 8B D8 8B 73 04 85 F6 74 3A 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2C 47 33 F6 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 43 04 E8 ?? ?? ?? ?? EB 06 46 4F 75 D7 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83251_0 {
	meta:
		name = "TCustomRibbon.IsTabsStored"
		size = 17
	strings:
		$1 = { 8B 80 8C 02 00 00 8B 40 08 83 78 08 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_83252_0 {
	meta:
		name = "TCustomRibbon.KeyDown"
		size = 258
		refs = "0019 TWinControl.KeyDown 002f TRibbonTabs.SelectPrior 003e TCustomRibbon.HasApplicationMenu 0063 TRibbonApplicationMenuBar.SelectApplicationButton 0079 TRibbonTabs.SelectNext 00be TWinControl.GetHandle 00c4 SetFocus 00cb Application 00e4 TCustomRibbon.SetKeyTipsVisible 00ed TCustomRibbon.SetAllowKeyboardNavigation"
	strings:
		$1 = { 53 56 51 66 89 0C 24 8B D8 80 BB 3C 03 00 00 00 75 10 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? E9 DC 00 00 00 66 83 3A 25 75 44 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 85 C3 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 83 D0 02 00 00 8B 40 10 EB 02 33 C0 E8 ?? ?? ?? ?? E9 92 00 00 00 66 83 3A 27 75 39 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 7D 8B C3 E8 ?? ?? ?? ?? 84 C0 74 72 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 83 D0 02 00 00 8B 40 10 EB 02 33 C0 E8 ?? ?? ?? ?? EB 53 66 83 3A 1B 75 42 8B B3 58 03 00 00 85 F6 74 0F 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 15 A1 ?? ?? ?? ?? 8B 00 8B 40 48 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? EB 0B 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_83253_0 {
	meta:
		name = "TCustomRibbon.DoMouseWheelDown"
		size = 90
		refs = "003c TRibbonTabs.SelectNext 004b TControl.DoMouseWheelDown"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F1 8D 7C 24 04 A5 A5 66 89 14 24 8B D8 80 BB C8 02 00 00 00 75 34 80 BB 28 03 00 00 00 75 2B 8B 83 E8 02 00 00 80 B8 A5 02 00 00 00 74 1C 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8D 4C 24 04 0F B7 14 24 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83255_0 {
	meta:
		name = "TCustomRibbon.DoMouseWheelUp"
		size = 90
		refs = "003c TRibbonTabs.SelectPrior 004b TControl.DoMouseWheelUp"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F1 8D 7C 24 04 A5 A5 66 89 14 24 8B D8 80 BB C8 02 00 00 00 75 34 80 BB 28 03 00 00 00 75 2B 8B 83 E8 02 00 00 80 B8 A5 02 00 00 00 74 1C 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8D 4C 24 04 0F B7 14 24 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83254_0 {
	meta:
		name = "TCustomRibbon.DoMouseWheelEx"
		size = 71
		refs = "0037 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 57 8B 75 08 8D 7D F4 A5 A5 66 89 55 FE 8B F0 80 BE C8 02 00 00 00 75 1E 80 BE 28 03 00 00 00 75 15 8D 45 F4 50 0F B7 55 FE 8B C6 66 BE E4 FF E8 ?? ?? ?? ?? EB 02 33 C0 5F 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_83256_0 {
	meta:
		name = "TCustomRibbon.DoRecentItemClick"
		size = 32
	strings:
		$1 = { 53 66 83 B8 52 03 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 54 03 00 00 FF 93 50 03 00 00 5B C3 }
	condition:
		$1
}

rule function_83257_0 {
	meta:
		name = "TCustomRibbon.DoScrollTabsLeft"
		size = 62
		refs = "0020 TCustomRibbon.RebuildRibbonMetrics"
	strings:
		$1 = { 53 8B D8 8B 83 FC 02 00 00 8B 50 50 8B 8B 8C 02 00 00 8B 49 08 3B 51 08 7D 0A FF 40 10 8B C3 E8 ?? ?? ?? ?? 66 83 BB 1A 03 00 00 00 74 0E 8B D3 8B 83 1C 03 00 00 FF 93 18 03 00 00 5B C3 }
	condition:
		$1
}

rule function_83258_0 {
	meta:
		name = "TCustomRibbon.DoScrollTabsRight"
		size = 51
		refs = "0015 TCustomRibbon.RebuildRibbonMetrics"
	strings:
		$1 = { 53 8B D8 8B 83 FC 02 00 00 83 78 10 00 7E 0A FF 48 10 8B C3 E8 ?? ?? ?? ?? 66 83 BB 22 03 00 00 00 74 0E 8B D3 8B 83 24 03 00 00 FF 93 20 03 00 00 5B C3 }
	condition:
		$1
}

rule function_83259_0 {
	meta:
		name = "ClearClickPending"
		size = 29
	strings:
		$1 = { 55 8B EC 33 C0 0F B6 D0 8B 4D 08 8B 49 FC C6 84 11 30 03 00 00 00 40 3C 04 75 EA 5D C3 }
	condition:
		$1
}

rule function_83260_0 {
	meta:
		name = "TCustomRibbon.TestTabScrollButtonClick"
		size = 364
		refs = "001d ClearClickPending 0026 Mouse 002d TMouse.GetCursorPos 003b TControl.ScreenToClient 0055 PtInRect 00a8 TCustomRibbon.TestTabScrollButtonClick"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 66 89 55 FA 89 45 FC 33 DB F6 45 FA 08 0F 84 8A 00 00 00 55 E8 ?? ?? ?? ?? 59 8D 55 E8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 55 E8 8D 4D F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B B0 FC 02 00 00 F6 46 0E 01 74 20 8D 55 F0 8D 46 24 E8 ?? ?? ?? ?? 84 C0 74 11 8B 45 FC C6 80 30 03 00 00 01 B3 01 E9 F0 00 00 00 8B 45 FC 8B B0 FC 02 00 00 F6 46 0E 02 0F 84 DD 00 00 00 8D 55 F0 8D 46 14 E8 ?? ?? ?? ?? 84 C0 0F 84 CA 00 00 00 8B 45 FC C6 80 31 03 00 00 01 B3 01 E9 B9 00 00 00 0F B7 05 ?? ?? ?? ?? 66 3B 45 FA 0F 85 A8 00 00 00 8D 55 E8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 55 E8 8D 4D F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B B0 FC 02 00 00 F6 46 0E 01 74 34 8D 55 F0 8D 46 24 E8 ?? ?? ?? ?? 84 C0 74 25 8B 45 FC C6 80 D4 02 00 00 01 8B 45 FC 80 B8 30 03 00 00 00 74 0B 8B 45 FC 8B 10 FF 92 28 01 00 00 B3 01 EB 41 8B 45 FC 8B B0 FC 02 00 00 F6 46 0E 02 74 32 8D 55 F0 8D 46 14 E8 ?? ?? ?? ?? 84 C0 74 23 8B 45 FC C6 80 D4 02 00 00 01 8B 45 FC 80 B8 31 03 00 00 00 74 0B 8B 45 FC 8B 10 FF 92 2C 01 00 00 B3 01 55 E8 ?? ?? ?? ?? 59 8B C3 5E 5B 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_83261_0 {
	meta:
		name = "TCustomRibbon.GetActiveScrollButton"
		size = 106
		refs = "000f Mouse 0016 TMouse.GetCursorPos 0023 TControl.ScreenToClient 0039 PtInRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F8 33 DB 8D 54 24 08 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 54 24 08 8B CC 8B C7 E8 ?? ?? ?? ?? 8B B7 FC 02 00 00 F6 46 0E 01 74 12 8B D4 8D 46 24 E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 1C 8B B7 FC 02 00 00 F6 46 0E 02 74 10 8B D4 8D 46 14 E8 ?? ?? ?? ?? 84 C0 74 02 B3 02 8B C3 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83262_0 {
	meta:
		name = "TCustomRibbon.GetApplicationButton"
		size = 54
		refs = "0006 TCustomRibbon.HasApplicationMenu 0029 TCustomActionBar.FindFirstVisibleItem"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 24 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 83 D0 02 00 00 8B 58 10 EB 02 33 DB 8B C3 E8 ?? ?? ?? ?? 8B 40 44 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_83263_0 {
	meta:
		name = "TCustomRibbon.DrawScrollButtons"
		size = 350
		refs = "000f Mouse 0016 TMouse.GetCursorPos 0023 TControl.ScreenToClient 004d PtInRect 0058 IsLeftMouseButtonPressed 006d TCustomRibbon.GetStyle 007a TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F0 33 DB 8D 54 24 18 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 54 24 18 8B CC 8B C6 E8 ?? ?? ?? ?? 8B 86 FC 02 00 00 F6 40 0E 01 0F 84 87 00 00 00 B3 01 56 8D 70 24 8D 7C 24 0C A5 A5 A5 A5 5E 8B D4 8D 44 24 08 E8 ?? ?? ?? ?? 84 C0 74 4B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 20 8D 44 24 08 50 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E 78 02 00 00 B2 0B E8 ?? ?? ?? ?? EB 3E 8D 44 24 08 50 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E 78 02 00 00 B2 0A E8 ?? ?? ?? ?? EB 1E 8D 44 24 08 50 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E 78 02 00 00 B2 09 E8 ?? ?? ?? ?? 8B 86 FC 02 00 00 F6 40 0E 02 0F 84 87 00 00 00 B3 01 56 8D 70 14 8D 7C 24 0C A5 A5 A5 A5 5E 8B D4 8D 44 24 08 E8 ?? ?? ?? ?? 84 C0 74 4B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 20 8D 44 24 08 50 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E 78 02 00 00 B2 08 E8 ?? ?? ?? ?? EB 3E 8D 44 24 08 50 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E 78 02 00 00 B2 07 E8 ?? ?? ?? ?? EB 1E 8D 44 24 08 50 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E 78 02 00 00 B2 06 E8 ?? ?? ?? ?? 8B C3 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83264_0 {
	meta:
		name = "TCustomRibbon.DrawSystemButtons"
		size = 245
		refs = "000e TCustomRibbon.CustomFrameSupported 0017 DwmCompositionEnabled 002c TControl.SetVisible 007f TCustomRibbon.GetRibbonMetric 00c3 TControl.SetBoundsRect"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B D8 8B EC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 E8 ?? ?? ?? ?? 84 C0 74 04 33 D2 EB 02 B2 01 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 E8 ?? ?? ?? ?? 84 C0 74 04 33 D2 EB 02 B2 01 8B 83 84 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 E8 ?? ?? ?? ?? 84 C0 74 04 33 D2 EB 02 B2 01 8B 83 88 02 00 00 E8 ?? ?? ?? ?? B2 0A 8B C3 E8 ?? ?? ?? ?? 8B F0 83 EE 02 8D 54 24 10 8B C3 8B 08 FF 51 60 8B 7C 24 18 89 7D 08 2B FE 89 7D 00 B2 0D 8B C3 E8 ?? ?? ?? ?? 89 45 04 B2 09 8B C3 E8 ?? ?? ?? ?? 03 45 04 89 45 0C 8B D5 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 29 75 08 29 75 00 8B D5 8B 83 84 02 00 00 E8 ?? ?? ?? ?? 29 75 08 29 75 00 8B D5 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83265_0 {
	meta:
		name = "TCustomRibbon.Loaded"
		size = 512
		refs = "000e TCustomRibbon.SetColorMap 0015 TControl.Loaded 0034 TWinControl.GetControlCount 0047 TWinControl.GetControl 004d _DV_TCustomRibbonPage 0052 @IsClass 007a TRibbonTabs.GetItem 00de TControl.SetVisible 00f7 _DV_TCustomRibbon 00fc @AsClass 0113 TCustomRibbonPage.SetRibbon 011e TCustomRibbon.DeleteTab 014e TControl.SetBoundsRect 015f TApplicationMenu.Initialize 0166 TCustomRibbon.IsDesigning 019e TActionBars.GetActionBar 01a9 _DV_TCustomRibbonQuickAccessToolbar 01b9 TCustomRibbon.Loaded 01db TCustomRibbon.SetTabIndex 01e2 TCustomRibbon.CheckRibbonSize 01e9 TCustomRibbon.RebuildRibbonMetrics 01f0 TCustomRibbon.DrawSystemButtons"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 8B 40 08 8B 40 08 48 85 C0 7C 67 40 89 44 24 04 33 F6 8B C3 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 4B 45 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2C 8B D7 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 3B B0 84 02 00 00 75 15 8B D6 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 14 24 89 50 14 EB 04 47 4D 75 B8 46 FF 4C 24 04 75 A0 8B 83 8C 02 00 00 8B 40 08 8B 70 08 4E 83 FE 00 0F 8C 85 00 00 00 8B D6 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 83 78 14 00 74 5F 8B D6 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 40 14 85 F6 75 09 80 BB 3D 03 00 00 00 74 04 33 D2 EB 02 B2 01 E8 ?? ?? ?? ?? 8B D6 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 40 14 8B 40 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D6 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 40 14 5A E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 4E 83 FE FF 0F 85 7B FF FF FF 80 BB A8 02 00 00 00 74 1D 8D 54 24 08 8B C3 8B 08 FF 91 40 01 00 00 8D 54 24 08 8B 83 AC 02 00 00 E8 ?? ?? ?? ?? 8B 93 2C 03 00 00 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 5D 83 BB B8 02 00 00 00 74 54 8B 83 B8 02 00 00 8B 40 74 8B 40 08 8B 40 08 48 85 C0 7C 40 40 89 44 24 04 33 F6 8B 83 B8 02 00 00 8B 40 74 8B D6 E8 ?? ?? ?? ?? 8B F8 8B 47 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0E 0F B6 15 ?? ?? ?? ?? 8B C7 8B 08 FF 51 24 46 FF 4C 24 04 75 C7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 18 5D 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_83266_0 {
	meta:
		name = "TCustomRibbon.MouseMove"
		size = 109
		refs = "001c TControl.MouseMove 0045 TCustomRibbon.SetHotTabIndex 004c TCustomRibbon.GetActiveScrollButton 0061 TCustomRibbon.InvalidateScrollButtons"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 66 89 55 FE 8B D8 8B 7D 08 57 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 80 BB F8 02 00 00 00 74 3C 80 BB 3D 03 00 00 00 75 33 8B CF 8B D6 8B C3 8B 30 FF 96 44 01 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 83 CA FF 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_83267_0 {
	meta:
		name = "TCustomRibbon.MouseUp"
		size = 105
		refs = "0020 TControl.MouseUp 0038 TCustomRibbon.TestTabScrollButtonClick 0048 TCustomRibbon.CheckTabChange 0056 SetCaptureControl 005d TCustomRibbon.InvalidateScrollButtons"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FE 8B DA 8B F0 8B 7D 0C 57 8B 45 08 50 0F B7 4D FE 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 75 32 80 BE 3D 03 00 00 00 75 22 0F B7 55 FE 8B C6 E8 ?? ?? ?? ?? 84 C0 75 13 8B 4D 08 8B D7 8B C6 E8 ?? ?? ?? ?? C6 86 D4 02 00 00 00 33 C0 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_83268_0 {
	meta:
		name = "TCustomRibbon.MoveGroup"
		size = 114
		refs = "0010 TRibbonTabs.GetPageFromPageCaption 0023 TRibbonTabs.FindGroup 003e TList.RemoveItem 0045 TCustomRibbonPage.AlignGroups 0063 TCustomRibbonPage.AddGroup"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 86 8C 02 00 00 8B D1 E8 ?? ?? ?? ?? 8B D8 85 DB 74 54 8B 86 8C 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B F0 8B BE 4C 03 00 00 85 FF 74 16 8B 87 80 02 00 00 8B D6 33 C9 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 85 F6 74 21 3B 5E 38 74 1C 8B D3 8B C6 8B 08 FF 91 84 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83269_0 {
	meta:
		name = "TCustomRibbon.Notification"
		size = 330
		refs = "0012 TCustomRibbon.Notification 0023 TWinControl.Notification 0057 TQuickAccessToolbar.SetActionBar 0068 TCustomRibbon.InvalidateHeaderArea 009e TApplicationMenu.SetMenu 00bd _DV_TCustomRibbonPage 00c2 @IsClass 00d6 TControl.GetText 00e4 TRibbonTabs.IndexOfCaption 00f8 TRibbonTabs.GetItem 010a TCollection.Delete 0111 TCustomRibbon.InvalidateTabArea 0138 @UStrClr 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 0F 85 F7 00 00 00 3B B7 B8 02 00 00 75 0D 33 C0 89 87 B8 02 00 00 E9 E2 00 00 00 8B 87 CC 02 00 00 85 C0 74 22 3B 70 04 75 1D 33 D2 E8 ?? ?? ?? ?? F6 47 1C 08 0F 85 C2 00 00 00 8B C7 E8 ?? ?? ?? ?? E9 B6 00 00 00 8B 87 BC 02 00 00 3B F0 75 15 3B 87 C0 02 00 00 74 0D 33 C0 89 87 BC 02 00 00 E9 97 00 00 00 8B 87 D0 02 00 00 3B 70 10 75 0C 33 D2 E8 ?? ?? ?? ?? E9 80 00 00 00 3B B7 2C 03 00 00 75 0A 33 C0 89 87 2C 03 00 00 EB 6E 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4D F6 47 1C 08 75 57 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 87 8C 02 00 00 E8 ?? ?? ?? ?? 8B D8 83 FB FF 7E 1F 8B D3 8B 87 8C 02 00 00 E8 ?? ?? ?? ?? 33 D2 89 50 14 8B D3 8B 87 8C 02 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 10 3B B7 58 03 00 00 75 08 33 C0 89 87 58 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83270_0 {
	meta:
		name = "TCustomRibbon.Paint"
		size = 538
		refs = "0025 TCustomRibbon.RebuildRibbonMetrics 0059 TCustomRibbon.GetRibbonMetric 0078 TCustomRibbon.CustomFrameSupported 0083 TCustomRibbon.GlassFrameSupported 0097 TBrush.SetColor 00c1 TCustomRibbon.GetStyle 00ce TRibbonStyleActionBars.DrawElement 0165 TCustomRibbon.DrawScrollButtons 0196 TCustomRibbon.GetColorMap 01aa TPen.SetColor"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B 83 78 02 00 00 8B 40 40 8B 53 6C 8B 08 FF 51 08 80 BB 34 03 00 00 00 75 0E 8B C3 E8 ?? ?? ?? ?? C6 83 34 03 00 00 01 8B D4 8B C3 8B 08 FF 51 60 80 BB C8 02 00 00 00 75 12 80 BB 3D 03 00 00 00 75 09 80 BB 44 03 00 00 00 74 10 B2 02 8B C3 E8 ?? ?? ?? ?? 48 89 44 24 0C EB 11 8B 83 CC 02 00 00 80 78 18 01 75 05 83 6C 24 0C 1A 8B C3 E8 ?? ?? ?? ?? 84 C0 74 75 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 8B 83 78 02 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B D4 8B 83 78 02 00 00 8B 08 FF 51 54 EB 6A 80 BB F8 02 00 00 00 74 21 54 33 D2 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 8B 78 02 00 00 33 D2 E8 ?? ?? ?? ?? EB 40 54 33 D2 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 8B 78 02 00 00 B2 01 E8 ?? ?? ?? ?? EB 1F 54 33 D2 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 8B 78 02 00 00 33 D2 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 01 44 24 04 54 6A FF 8B C3 E8 ?? ?? ?? ?? 8B 8B 78 02 00 00 B2 03 E8 ?? ?? ?? ?? 80 BB 3D 03 00 00 00 75 28 8B 83 FC 02 00 00 8B 78 10 8B 70 50 2B F7 7C 11 46 8B D7 8B C3 8B 08 FF 91 38 01 00 00 47 4E 75 F0 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 34 01 00 00 8B C3 8B 10 FF 92 30 01 00 00 80 BB C8 02 00 00 00 75 0D 80 BB 3D 03 00 00 00 0F 84 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 90 A0 00 00 00 8B 83 78 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 4B 54 83 E9 02 33 D2 8B 83 78 02 00 00 8B 30 FF 56 64 8B 4B 54 83 E9 02 8B 53 50 8B 83 78 02 00 00 8B 30 FF 56 60 8B C3 E8 ?? ?? ?? ?? 8B 90 9C 00 00 00 8B 83 78 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 4B 54 49 33 D2 8B 83 78 02 00 00 8B 30 FF 56 64 8B 4B 54 49 8B 53 50 8B 83 78 02 00 00 8B 18 FF 53 60 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83272_0 {
	meta:
		name = "TCustomRibbon.RemoveAllTabs"
		size = 117
		refs = "000c TCustomRibbon.BeginUpdate 0014 TCustomRibbon.RemoveAllTabs 003f TRibbonTabs.GetItem 004a TCustomRibbon.RemoveTab 0065 TCustomRibbon.EndUpdate 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 8C 02 00 00 8B 40 08 8B 58 08 4B 83 FB 00 7C 21 8B 45 FC 8B 80 8C 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 50 18 8B 45 FC E8 ?? ?? ?? ?? 4B 83 FB FF 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_83273_0 {
	meta:
		name = "TCustomRibbon.RemoveRecentItem"
		size = 259
		refs = "0013 TCustomRibbon.HasApplicationMenu 0044 TCustomRibbon.RemoveRecentItem 0061 TOptionItems.GetItem 006c @UStrEqual 0093 TList.RemoveItem 009c TCollection.Delete 00a1 @TryFinallyExit 00de TList.Get 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 D5 00 00 00 8B 5D FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 83 D0 02 00 00 8B 40 10 EB 02 33 C0 8B B0 C8 03 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 46 08 8B 58 08 4B 85 DB 7C 52 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 40 18 8B 55 F8 E8 ?? ?? ?? ?? 0F 94 45 F7 80 7D F7 00 74 2D 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 40 0C 8B 55 FC 8B 92 48 03 00 00 33 C9 92 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 51 47 4B 75 B1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 DB 8B 45 FC 8B 80 48 03 00 00 8B 78 08 4F 83 FF 00 7C 20 8B 45 FC 8B B0 48 03 00 00 89 7D F0 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 89 58 0C 43 4F 83 FF FF 75 E0 C3 E9 ?? ?? ?? ?? EB C4 C6 45 F7 00 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83274_0 {
	meta:
		name = "TCustomRibbon.CreateContextMenu"
		size = 397
		refs = "0011 TCustomRibbon.CreateContextMenu 002a TObject.Free 0033 _Dn_TPopupActionBar 0038 TPopupActionBar.Create 0053 TPopupActionBar.SetStyle 006f TCustomRibbon.AddToQuickAccessToolbarHandler 007b SAddToQuickAccessToolbar 0080 LoadResString 008c NewItem 009b TMenuItem.Add 00a0 NewLine 00b8 TCustomRibbon.CustomizeQuickAccessToolbarHandler 00c4 SCustomizeQuickAccessToolbar 00ec TCustomRibbon.ChangeQuickAccessToolbarPositionHandler 00f8 SShowQuickAccessToolbarBelow 0135 TCustomRibbon.MinimizeRibbonHandler 0141 SMinimizeTheRibbon 017b @UStrArrayClr 0181 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 0C 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 0C 03 00 00 8B 83 B8 02 00 00 8B 90 E8 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 83 0C 03 00 00 89 58 7C 8B 13 8B 92 FC 00 00 00 89 50 78 6A 01 53 68 ?? ?? ?? ?? 6A 00 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 93 0C 03 00 00 8B 52 3C 92 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 0C 03 00 00 8B 40 3C E8 ?? ?? ?? ?? 6A 01 53 68 ?? ?? ?? ?? 6A 00 6A 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 93 0C 03 00 00 8B 52 3C 92 E8 ?? ?? ?? ?? 6A 01 53 68 ?? ?? ?? ?? 6A 00 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 93 0C 03 00 00 8B 52 3C 92 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 0C 03 00 00 8B 40 3C E8 ?? ?? ?? ?? 6A 01 53 68 ?? ?? ?? ?? 6A 00 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 93 0C 03 00 00 8B 52 3C 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83276_0 {
	meta:
		name = "TCustomRibbon.CustomFrameSupported"
		size = 31
		refs = "000f TCustomRibbon.IsDesigning"
	strings:
		$1 = { 53 8B D8 80 BB 11 03 00 00 00 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_83277_0 {
	meta:
		name = "TCustomRibbon.DrawCustomFrame"
		size = 599
		refs = "0024 TWinControl.GetHandle 002a GetDCEx 0040 TCustomRibbon.GetRibbonMetric 0054 _Dn_TCanvas 0059 TCanvas.Create 0064 TCustomRibbon.DrawCustomFrame 0075 TCanvas.SetHandle 008e Rect 009a TCustomRibbon.GetStyle 00a4 TRibbonStyleActionBars.DrawElement 00d7 TControl.GetClientHeight 0244 TObject.Free 024a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B D8 F6 43 1C 01 0F 85 3B 02 00 00 BE 13 00 20 00 56 6A 00 8B 83 E8 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 84 15 02 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 B2 0D 8B C3 E8 ?? ?? ?? ?? 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 80 BB F8 02 00 00 00 74 28 56 8D 45 D8 50 8B CF 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D8 50 56 8B C3 E8 ?? ?? ?? ?? 8B 4D FC B2 02 E8 ?? ?? ?? ?? EB 26 56 8D 45 D8 50 8B CF 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D8 50 56 8B C3 E8 ?? ?? ?? ?? 8B 4D FC B2 03 E8 ?? ?? ?? ?? 8B 83 E8 02 00 00 E8 ?? ?? ?? ?? 50 8D 45 E8 50 8B CF 8B D6 33 C0 E8 ?? ?? ?? ?? 80 BB F8 02 00 00 00 74 4F 8D 45 E8 50 6A FF 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 E8 ?? ?? ?? ?? 56 8D 45 D8 50 8B 83 E8 02 00 00 8B 48 50 8B 83 E8 02 00 00 8B 40 50 2B C7 33 D2 E8 ?? ?? ?? ?? 8D 45 D8 50 56 8B C3 E8 ?? ?? ?? ?? 8B 4D FC B2 06 E8 ?? ?? ?? ?? EB 4D 8D 45 E8 50 6A FF 8B C3 E8 ?? ?? ?? ?? 8B 4D FC B2 01 E8 ?? ?? ?? ?? 56 8D 45 D8 50 8B 83 E8 02 00 00 8B 48 50 8B 83 E8 02 00 00 8B 40 50 2B C7 33 D2 E8 ?? ?? ?? ?? 8D 45 D8 50 56 8B C3 E8 ?? ?? ?? ?? 8B 4D FC B2 07 E8 ?? ?? ?? ?? 8B 83 E8 02 00 00 E8 ?? ?? ?? ?? 50 8D 45 E8 50 8B 83 E8 02 00 00 8B 48 50 8B 83 E8 02 00 00 8B 40 50 2B C7 8B D6 E8 ?? ?? ?? ?? 80 BB F8 02 00 00 00 74 19 8D 45 E8 50 6A FF 8B C3 E8 ?? ?? ?? ?? 8B 4D FC B2 04 E8 ?? ?? ?? ?? EB 17 8D 45 E8 50 6A FF 8B C3 E8 ?? ?? ?? ?? 8B 4D FC B2 05 E8 ?? ?? ?? ?? 8D 55 E8 8B 83 E8 02 00 00 8B 08 FF 51 60 8B 45 F4 89 45 EC 01 7D F4 8B C7 03 C0 01 45 F0 8D 45 E8 50 6A FF 8B C3 E8 ?? ?? ?? ?? 8B 4D FC B2 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83278_0 {
	meta:
		name = "HitTestNCA"
		size = 202
		refs = "001b TCustomRibbon.GetRibbonMetric 0027 GetWindowRect 007e GetSystemMetrics 00a2 GetWindowLongPtr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F2 8D 7D F8 A5 A5 8B F8 8B 45 08 8B 40 FC B2 0D E8 ?? ?? ?? ?? 8B F0 8D 45 E8 50 57 E8 ?? ?? ?? ?? BB 01 00 00 00 8B 45 EC 03 C6 3B 45 FC 7E 2C 8B 55 E8 83 C2 14 8B 45 F8 3B D0 7E 07 BB 0D 00 00 00 EB 4A 8B 55 F0 83 EA 14 3B C2 7E 07 BB 0E 00 00 00 EB 39 BB 0C 00 00 00 EB 32 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 03 45 EC 3B 45 FC 7E 1D 6A 31 E8 ?? ?? ?? ?? 03 75 E8 03 C6 3B 45 F8 7E 07 BB 03 00 00 00 EB 05 BB 02 00 00 00 8B C7 BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 83 FB 0A 7C 16 83 FB 12 7D 11 25 00 00 04 00 3D 00 00 04 00 74 05 BB 12 00 00 00 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83279_0 {
	meta:
		name = "TCustomRibbon.CustomFrameWndProc"
		size = 800
		refs = "000f DwmCompositionEnabled 002d TWinControl.GetHandle 0033 DwmDefWindowProc 0093 TCustomRibbon.SetActive 00a6 TCustomRibbon.CallParentWndProc 00b3 TCustomRibbon.DrawCustomFrame 00d9 GetWindowLongPtr 0108 Rect 0115 AdjustWindowRectEx 0144 TCustomRibbon.CustomFrameSupported 0191 HitTestNCA 01de TCustomRibbon.ShowSystemMenu 020d TCustomRibbon.CheckRibbonSize 022a SetWindowRgn 022f TStyleManager.GetActiveStyle 0254 TCustomRibbon.GetRibbonMetric 025c CreateRectRgn 028f CreateRoundRectRgn 029b CombineRgn 02a1 DeleteObject 02cf TControl.SetVisible"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B DA 89 45 FC E8 ?? ?? ?? ?? 84 C0 74 28 8D 43 0C 50 8B 43 08 50 8B 43 04 50 8B 03 50 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 85 DA 02 00 00 8B 03 3D 85 00 00 00 7F 20 0F 84 50 01 00 00 83 E8 05 0F 84 9F 01 00 00 83 E8 7E 74 67 48 0F 84 D3 00 00 00 E9 A7 02 00 00 2D 86 00 00 00 74 19 83 E8 1F 0F 84 4B 01 00 00 2D 7A 02 00 00 0F 84 38 02 00 00 E9 87 02 00 00 83 7B 04 01 1B D2 42 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 6A 02 00 00 8B 45 FC E8 ?? ?? ?? ?? C7 43 0C 01 00 00 00 E9 56 02 00 00 8B 45 FC 8B 80 E8 02 00 00 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 80 E8 02 00 00 E8 ?? ?? ?? ?? BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 8B F8 6A 00 8D 45 DC 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 57 6A 00 56 8D 45 DC 50 E8 ?? ?? ?? ?? 8B 43 08 8B 55 DC 29 10 83 68 04 00 8B 55 E4 29 50 08 8B 55 E8 29 50 0C E9 E3 01 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 19 8B 73 0C 83 FE 14 74 0A 83 FE 09 74 05 83 FE 08 75 07 C7 43 0C 01 00 00 00 83 7B 0C 01 0F 85 AA 01 00 00 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B F0 0F BF 43 08 0F BF 53 0A 89 45 F4 89 55 F8 55 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 59 89 43 0C E9 7B 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 0F 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 63 01 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 56 01 00 00 83 7B 04 02 75 1E 0F BF 43 08 0F BF 53 0A 89 45 EC 89 55 F0 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? E9 32 01 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 23 01 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 1C 01 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A FF 6A 00 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 0F 85 D9 00 00 00 8B 45 FC 8B 58 38 8B 43 54 50 8B 43 50 50 B2 0D 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B D8 B2 0D 8B 45 FC E8 ?? ?? ?? ?? 03 C0 50 B2 0D 8B 45 FC E8 ?? ?? ?? ?? 03 C0 50 8B 45 FC 8B 70 38 8B 46 54 50 8B 46 50 50 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F0 6A 02 56 53 53 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 6A FF 53 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 5E 8B 53 04 83 FA 01 1B D2 F7 DA 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 53 04 83 FA 01 1B D2 F7 DA 8B 45 FC 8B 80 84 02 00 00 E8 ?? ?? ?? ?? 8B 53 04 83 FA 01 1B D2 F7 DA 8B 45 FC 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83280_0 {
	meta:
		name = "TCustomRibbon.ContextMenuPopupHandler"
		size = 584
		refs = "0013 TCustomRibbon.ContextMenuPopupHandler 0041 TMenuItem.GetItem 0048 TMenuItem.SetVisible 007a SRemoveFromQuickAccessToolbar 007f LoadResString 0099 TMenuItem.SetCaption 00a3 SAddToQuickAccessToolbar 00d4 @IntfClear 00e2 Supports 0128 TCustomRibbon.HasQuickAccessToolbar 0140 SShowQuickAccessToolbarBelow 016c SShowQuickAccessToolbarAbove 01a7 TMenuItem.SetEnabled 01fa TMenuItem.SetChecked 0214 @UStrArrayClr 0222 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 22 86 10 03 00 00 0F B6 15 ?? ?? ?? ?? 3A D0 75 36 8B 86 0C 03 00 00 8B 40 3C 33 D2 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 86 0C 03 00 00 8B 40 3C BA 01 00 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E9 BA 00 00 00 B3 01 F6 86 10 03 00 00 02 74 29 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 86 0C 03 00 00 8B 40 3C 33 D2 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 55 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 86 0C 03 00 00 8B 40 3C 33 D2 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B BE 00 03 00 00 85 FF 74 24 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 FC 8B 10 FF 52 0C 8B D8 8B 86 0C 03 00 00 8B 40 3C 33 D2 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 86 0C 03 00 00 8B 40 3C BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 64 8B 86 CC 02 00 00 80 78 18 00 75 2C 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 86 0C 03 00 00 8B 40 3C BA 03 00 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 77 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 86 0C 03 00 00 8B 40 3C BA 03 00 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 4B 8B 86 0C 03 00 00 8B 40 3C 33 D2 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 86 0C 03 00 00 8B 40 3C BA 02 00 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 86 0C 03 00 00 8B 40 3C BA 03 00 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 86 0C 03 00 00 8B 40 3C BA 05 00 00 00 E8 ?? ?? ?? ?? 0F B6 96 C8 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 03 00 00 00 00 00 00 00 A6 60 FD 02 74 9A 88 4B 9E 7A CC AB 17 1A 41 0F }
	condition:
		$1
}

rule function_83281_0 {
	meta:
		name = "TCustomRibbon.SetParent"
		size = 120
		refs = "0014 TCustomRibbon.SetUseCustomFrame 001d TWinControl.SetParent 002a GetParentForm 0047 _Dn_TForm 004c @IsClass 0057 TCustomForm.GetPixelsPerInch 0063 TCustomRibbon.SetParent"
	strings:
		$1 = { 53 56 57 51 8B F2 8B F8 0F B6 9F 11 03 00 00 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 85 F6 74 49 B2 01 8B C6 E8 ?? ?? ?? ?? 89 87 E8 02 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 9F E8 02 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B C3 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 D8 35 ?? ?? ?? ?? D9 9F 5C 03 00 00 9B 5A 5F 5E 5B C3 00 00 00 C0 42 }
	condition:
		$1
}

rule function_83282_0 {
	meta:
		name = "TCustomRibbon.GetRibbonHeight"
		size = 99
		refs = "001b TCustomRibbon.GetRibbonMetric 0047 TCustomRibbon.HasQuickAccessToolbar"
	strings:
		$1 = { 53 56 8B D8 80 BB C8 02 00 00 00 75 09 80 BB 3D 03 00 00 00 74 0D B2 03 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 21 80 BB 44 03 00 00 00 74 0D 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 0B B2 02 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 83 CC 02 00 00 80 78 18 01 75 03 83 C6 1A 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83283_0 {
	meta:
		name = "TCustomRibbon.GetRibbonMetric"
		size = 436
		refs = "0018 TCustomRibbon.GetRibbonMetric 0057 TCustomRibbon.GetCaptionHeight 0065 GetSystemMetrics 00b5 TCustomRibbon.HasQuickAccessToolbar 0121 TControl.GetClientWidth 012a TCustomRibbon.HasApplicationMenu 0186 TFont.GetSize 01a6 @ROUND"
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B F8 0F B6 C3 83 F8 0D 0F 87 79 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 E9 2F 01 00 00 6A 21 E8 ?? ?? ?? ?? 8B F0 E9 21 01 00 00 8B F7 80 BE C8 02 00 00 00 75 09 80 BE 3D 03 00 00 00 74 0D B2 03 8B C6 E8 ?? ?? ?? ?? 8B E8 EB 21 80 BE 44 03 00 00 00 74 0D 33 D2 8B C6 E8 ?? ?? ?? ?? 8B E8 EB 0B B2 02 8B C6 E8 ?? ?? ?? ?? 8B E8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 86 CC 02 00 00 80 78 18 01 75 03 83 C5 1A 8B F5 E9 BE 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B F0 83 C6 75 E9 AD 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B F0 83 C6 1B E9 9C 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B F0 83 C6 18 E9 8B 00 00 00 BE 5D 00 00 00 E9 81 00 00 00 BE 56 00 00 00 EB 7A BE 10 00 00 00 EB 73 8B C7 E8 ?? ?? ?? ?? 8B F0 8B C7 E8 ?? ?? ?? ?? 84 C0 74 1D 8B EF 8B C5 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 85 D0 02 00 00 8B 40 10 EB 02 33 C0 2B 70 50 8B 87 88 02 00 00 8B 57 50 2B 50 48 83 C2 06 2B F2 83 EE 32 EB 2C 6A 1F E8 ?? ?? ?? ?? 8B F0 EB 21 6A 1E E8 ?? ?? ?? ?? 8B F0 EB 16 BE 17 00 00 00 EB 0F 8B 47 6C E8 ?? ?? ?? ?? 8B F0 EB 03 83 CE FF 80 C3 F7 80 EB 02 72 13 89 34 24 DB 04 24 D8 8F 5C 03 00 00 E8 ?? ?? ?? ?? 8B F0 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83284_0 {
	meta:
		name = "TCustomRibbon.UpdateQATPosition"
		size = 832
		refs = "001c TCustomRibbon.HasQuickAccessToolbar 0048 TQuickAccessToolbar.GetBarWidth 0069 TCustomRibbon.GetRibbonMetric 00b2 TControl.SetHeight 00d8 TControl.SetVisible 00e0 TCustomRibbon.UpdateQATPosition 00f0 TControl.SetAlign 0102 TSizeConstraints.SetConstraints 015c TCustomRibbonQuickAccessToolbar.SetScrollMode 019b TCustomActionBar.SetVertMargin 01a5 TCustomActionBar.SetHorzMargin 01af TCustomRibbonQuickAccessToolbar.SetShowBorder 01cc @HandleFinally 01d6 TCustomRibbon.CustomFrameSupported 01ee TControl.SetTop 0213 TControl.SetLeft 022d TControl.SetWidth 023a TControl.GetClientWidth 029a TControl.SetAnchors 0313 TWinControl.AlignControl"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 45 FC 8B 45 FC F6 40 1C 01 0F 85 1E 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 0E 03 00 00 8B 45 FC 80 B8 44 03 00 00 00 0F 85 FE 02 00 00 8B 45 FC 8B 80 CC 02 00 00 8B 50 04 89 55 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 5D FC 80 BB C8 02 00 00 00 75 09 80 BB 3D 03 00 00 00 74 0D B2 03 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 21 80 BB 44 03 00 00 00 74 0D 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 0B B2 02 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 83 CC 02 00 00 80 78 18 01 75 03 83 C6 1A 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 CC 02 00 00 0F B6 40 18 2C 01 72 0B 0F 84 A0 01 00 00 E9 64 02 00 00 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 78 B9 18 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 78 B9 18 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? B2 08 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 8B 45 F4 3B 45 F0 7E 32 8B 45 F8 8B 40 78 8B 4D F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 78 8B 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? EB 30 8B 45 F8 8B 40 78 8B 4D F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 78 8B 4D F4 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 B2 0D 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? EB 0D BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 80 78 69 00 75 2C BA 31 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 7D 05 8B 45 F4 EB 03 8B 45 F0 8B D0 8B 45 F8 E8 ?? ?? ?? ?? E9 00 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 2B 55 F4 83 EA 31 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 7D 05 8B 45 F4 EB 03 8B 45 F0 8B D0 8B 45 F8 E8 ?? ?? ?? ?? E9 C9 00 00 00 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 02 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 78 B9 1A 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 78 B9 1A 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 78 33 C9 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 78 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? BA 03 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 5E 5B 8B E5 5D C3 07 00 00 00 }
	condition:
		$1
}

rule function_83285_0 {
	meta:
		name = "TCustomRibbon.Idle"
		size = 156
		refs = "0014 TCustomRibbon.Idle 001f Application 0054 @HandleAnyException 0063 TApplication.HandleException 0068 @DoneExcept 006d GetCurrentThreadId 0073 MainThreadID 007e CheckSynchronize 0091 WaitMessage"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC C6 45 FB 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 66 83 B8 3A 01 00 00 00 74 1A 8B 1D ?? ?? ?? ?? 8B 1B 8D 4D FB 8B 55 FC 8B 83 3C 01 00 00 FF 93 38 01 00 00 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 02 75 0F 33 C0 E8 ?? ?? ?? ?? 84 C0 74 04 C6 45 FB 00 80 7D FB 00 74 05 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_83287_0 {
	meta:
		name = "TCustomRibbon.UMDisplayKeyTips"
		size = 22
	strings:
		$1 = { 80 B8 28 03 00 00 00 75 0C 0F B6 52 08 8B 08 FF 91 08 01 00 00 C3 }
	condition:
		$1
}

rule function_83288_0 {
	meta:
		name = "TCustomRibbon.ValidTab"
		size = 60
		refs = "002b TRibbonTabs.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 FE FF 7E 11 8B 83 8C 02 00 00 8B 40 08 3B 70 08 0F 9C C0 EB 02 33 C0 84 C0 74 15 8B 83 8C 02 00 00 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_83289_0 {
	meta:
		name = "TCustomRibbon.GetStyle"
		size = 89
		refs = "0016 _Dn_TRibbonStyleActionBars 001b @IsClass 002d RibbonLunaStyle 0038 TCustomRibbon.SetStyle"
	strings:
		$1 = { 53 56 8B D8 8B B3 B8 02 00 00 85 F6 74 1D 8B 86 E8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B B6 E8 00 00 00 EB 11 8B 35 ?? ?? ?? ?? 8B 36 8B D6 8B C3 E8 ?? ?? ?? ?? 3B B3 60 03 00 00 74 0A 8B C3 8B 10 FF 92 9C 00 00 00 89 B3 60 03 00 00 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83290_0 {
	meta:
		name = "TCustomRibbon.GetContextMenuOptions"
		size = 12
		refs = "0003 TCustomRibbon.GetContextMenuOptions"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 08 00 00 00 }
	condition:
		$1
}

rule function_83291_0 {
	meta:
		name = "TCustomRibbon.HasApplicationMenu"
		size = 14
	strings:
		$1 = { 8B 80 D0 02 00 00 83 78 10 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_83292_0 {
	meta:
		name = "TCustomRibbon.HasQuickAccessToolbar"
		size = 109
		refs = "004a TActionBars.GetActionBar"
	strings:
		$1 = { 53 56 57 55 8B E8 8B 85 CC 02 00 00 83 78 04 00 74 09 80 BD 44 03 00 00 00 74 04 33 DB EB 02 B3 01 84 DB 74 41 33 DB 8B 85 B8 02 00 00 8B 40 74 8B 40 08 8B 70 08 4E 85 F6 7C 2B 46 33 FF 8B 85 B8 02 00 00 8B 40 74 8B D7 E8 ?? ?? ?? ?? 8B 95 CC 02 00 00 8B 52 04 3B 50 0C 75 06 0F B6 58 30 EB 04 47 4E 75 D8 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83293_0 {
	meta:
		name = "TCustomRibbon.DoContextPopup"
		size = 1132
		refs = "001e TCustomRibbon.DoContextPopup 0077 TActionBars.GetActionBar 00ca PtInRect 00f2 TControl.ClientToScreen 012b TCustomRibbon.GetActivePage 013e TCustomRibbonPage.FindGroupAt 0168 TControl.ScreenToClient 0172 TCustomActionBar.FindItemAt 0195 TCustomRibbonGroup.GetDialogButtonRect 024e TControl.ClientToParent 025f TControl.GetBoundsRect 02d9 TMenuItem.GetItem 02e0 TMenuItem.SetEnabled 0318 TActionClientItem.GetAction 03fa TControl.GetText 0408 TQuickAccessToolbarGroups.Exists 044d @UStrClr 0453 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 8B F2 8D 7D F8 A5 A5 89 4D F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B FE 8B 87 CC 02 00 00 83 78 04 00 74 09 80 BF 44 03 00 00 00 74 04 33 DB EB 02 B3 01 84 DB 74 4E 33 DB 8B 87 B8 02 00 00 8B 40 74 8B 40 08 8B 40 08 48 85 C0 7C 38 40 89 45 DC C7 45 E0 00 00 00 00 8B 87 B8 02 00 00 8B 40 74 8B 55 E0 E8 ?? ?? ?? ?? 8B 50 0C 8B 8F CC 02 00 00 3B 51 04 75 06 0F B6 58 30 EB 08 FF 45 E0 FF 4D DC 75 D3 84 DB 75 04 B0 01 EB 0A 83 BE B8 02 00 00 00 0F 94 C0 84 C0 74 04 B0 01 EB 07 0F B6 86 44 03 00 00 84 C0 74 04 B0 01 EB 0E 8D 55 F8 8D 86 D8 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 85 66 03 00 00 83 BE 0C 03 00 00 00 75 0A 8B C6 8B 10 FF 92 00 01 00 00 8D 4D EC 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 86 10 03 00 00 80 BE C8 02 00 00 00 0F 85 15 03 00 00 33 C0 89 86 08 03 00 00 33 C0 89 86 00 03 00 00 33 C0 89 86 04 03 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 13 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 85 DB 74 78 0F B6 05 ?? ?? ?? ?? 0A 86 10 03 00 00 88 86 10 03 00 00 8D 4D E4 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B F8 89 BE 00 03 00 00 85 FF 0F 85 47 01 00 00 83 BB 64 03 00 00 00 74 2A 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8D 45 C4 8D 55 E4 E8 ?? ?? ?? ?? 84 C0 74 11 8B 83 64 03 00 00 89 86 08 03 00 00 E9 14 01 00 00 89 9E 04 03 00 00 E9 09 01 00 00 8B FE 8B 87 CC 02 00 00 83 78 04 00 74 09 80 BF 44 03 00 00 00 74 04 33 DB EB 02 B3 01 84 DB 74 4E 33 DB 8B 87 B8 02 00 00 8B 40 74 8B 40 08 8B 40 08 48 85 C0 7C 38 40 89 45 D4 C7 45 D8 00 00 00 00 8B 87 B8 02 00 00 8B 40 74 8B 55 D8 E8 ?? ?? ?? ?? 8B 50 0C 8B 8F CC 02 00 00 3B 51 04 75 06 0F B6 58 30 EB 08 FF 45 D8 FF 4D D4 75 D3 84 DB 0F 84 92 00 00 00 8D 45 EC 50 8D 55 F8 8B 86 CC 02 00 00 8B 40 04 33 C9 E8 ?? ?? ?? ?? 8D 55 C4 8B 86 CC 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 8D 45 C4 8D 55 EC E8 ?? ?? ?? ?? 84 C0 74 4E 0F B6 05 ?? ?? ?? ?? 88 86 10 03 00 00 8D 4D EC 8D 55 F8 8B 86 CC 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 8D 4D E4 8D 55 EC 8B 86 CC 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 8D 55 E4 8B 86 CC 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 89 86 00 03 00 00 EB 0D 8D 4D EC 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 86 0C 03 00 00 8B 40 3C 33 D2 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? F6 86 10 03 00 00 02 0F 85 34 01 00 00 83 BE 00 03 00 00 00 74 7B 8B 86 CC 02 00 00 8B 40 04 8B 10 FF 92 70 01 00 00 8B F8 85 FF 0F 84 10 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B D8 8B 86 00 03 00 00 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? 3B D8 75 22 80 7F 30 00 74 1C 8B 86 0C 03 00 00 8B 40 3C 33 D2 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E9 D0 00 00 00 8B 86 CC 02 00 00 8B 40 04 33 C9 8B D7 8B 18 FF 93 18 01 00 00 8B F8 85 FF 75 A5 E9 B0 00 00 00 83 BE 08 03 00 00 00 74 60 8B 86 CC 02 00 00 8B 40 04 8B 10 FF 92 70 01 00 00 8B F8 85 FF 0F 84 8C 00 00 00 8B C7 E8 ?? ?? ?? ?? 3B 86 08 03 00 00 75 19 8B 86 0C 03 00 00 8B 40 3C 33 D2 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? EB 64 8B 86 CC 02 00 00 8B 40 04 33 C9 8B D7 8B 18 FF 93 18 01 00 00 8B F8 85 FF 75 BD EB 47 83 BE 04 03 00 00 00 74 3E 83 BE 38 03 00 00 00 74 35 8D 55 C0 8B 86 04 03 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8B 86 38 03 00 00 E8 ?? ?? ?? ?? 34 01 50 8B 86 0C 03 00 00 8B 40 3C 33 D2 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 4D F0 8B 55 EC 8B 86 0C 03 00 00 8B 18 FF 53 50 8B 45 F4 C6 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 08 00 00 00 01 00 00 00 06 00 00 00 }
	condition:
		$1
}

rule function_83294_0 {
	meta:
		name = "TCustomRibbon.ShowSystemMenu"
		size = 106
		refs = "0011 TWinControl.GetHandle 0017 GetSystemMenu 0020 GetSystemMetrics 0046 TrackPopupMenu 0061 PostMessage"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 6A 00 8B 83 E8 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 6A 28 E8 ?? ?? ?? ?? 8B E8 81 CD 00 01 00 00 6A 00 8B 83 E8 02 00 00 E8 ?? ?? ?? ?? 50 6A 00 8B 46 04 50 8B 06 50 55 57 E8 ?? ?? ?? ?? 8B F0 6A 00 56 68 12 01 00 00 8B 83 E8 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83295_0 {
	meta:
		name = "TCustomRibbon.MouseDown"
		size = 64
		refs = "001f TControl.MouseDown 002e TCustomRibbon.TestTabScrollButtonClick 0035 TCustomRibbon.InvalidateScrollButtons"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 75 0B 0F B7 55 FE 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_83298_0 {
	meta:
		name = "TCustomRibbon.WMKillFocus"
		size = 200
		refs = "000b TWinControl.WMKillFocus 0015 TCustomRibbon.SetAllowKeyboardNavigation 003d TCustomRibbon.GetActivePage 0050 TControl.SetVisible 005a TCustomRibbon.GetTabIndex 0075 TRibbonTabs.GetItem 0091 TCustomRibbon.WMKillFocus 00a2 TCustomRibbon.SetTabIndex 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 C8 02 00 00 00 0F 84 9C 00 00 00 8B 45 FC 80 B8 28 03 00 00 00 0F 85 8C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 11 8B 45 FC E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? EB 2D 8B 45 FC E8 ?? ?? ?? ?? 40 7E 22 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B 45 FC C6 80 D4 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 D4 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_83299_0 {
	meta:
		name = "TCustomRibbon.WMNCHitTest"
		size = 86
		refs = "0022 TControl.ScreenToClient 0029 TCustomRibbon.IsDesigning 0036 TCustomRibbon.GetRibbonMetric"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 0F BF 46 08 0F BF 56 0A 89 44 24 08 89 54 24 0C 8B CC 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 18 33 D2 8B C3 E8 ?? ?? ?? ?? 3B 44 24 04 7E 09 C7 46 0C FF FF FF FF EB 07 C7 46 0C 01 00 00 00 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_83300_0 {
	meta:
		name = "TCustomRibbon.WMPaint"
		size = 285
		refs = "002a DwmCompositionEnabled 003e TWinControl.GetHandle 0044 BeginPaint 004c TCustomRibbon.WMPaint 0064 BeginBufferedPaint 008d TControl.Perform 00a0 TCustomRibbon.CustomFrameSupported 00ae TCustomRibbon.GetRibbonMetric 00c3 BufferedPaintSetAlpha 00db EndBufferedPaint 00e1 @HandleFinally 0102 EndPaint 0114 TCustomControl.WMPaint"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 8B DA 89 45 FC 8B 45 FC F6 40 1C 10 0F 85 F5 00 00 00 8B 45 FC 80 B8 68 02 00 00 00 0F 84 E5 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 D8 00 00 00 8D 45 B4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 52 6A 00 6A 02 8D 55 BC 52 50 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 76 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 04 8B 4D F8 BA 18 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 A4 8B 45 FC 8B 08 FF 51 60 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0D 33 D2 8B 45 FC E8 ?? ?? ?? ?? 01 45 A8 8B 45 F4 68 FF 00 00 00 8D 55 A4 52 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A FF 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83302_0 {
	meta:
		name = "TCustomRibbon.WMWindowPosChanged"
		size = 49
		refs = "0006 TWinControl.WMWindowPosChanged 0025 TWinControl.GetHandle 002b PostMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 01 75 1F 80 BB 11 03 00 00 00 75 16 6A 00 6A 00 68 02 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83304_0 {
	meta:
		name = "TCustomRibbon.CheckAndResetMinimizedState"
		size = 88
		refs = "0021 TCustomRibbon.CheckAndResetMinimizedState 0032 TCustomRibbon.SetTabIndex 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 80 B8 C8 02 00 00 00 74 42 8B 45 FC C6 80 D4 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CA FF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 D4 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_83305_0 {
	meta:
		name = "TCustomRibbon.CheckRibbonSize"
		size = 54
		refs = "000a TControl.GetClientHeight 001c TControl.GetClientWidth 0030 TCustomRibbon.SetHideRibbon"
	strings:
		$1 = { 53 8B D8 8B 83 E8 02 00 00 E8 ?? ?? ?? ?? 3D FA 00 00 00 7E 16 8B 83 E8 02 00 00 E8 ?? ?? ?? ?? 3D 2C 01 00 00 7C 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83306_0 {
	meta:
		name = "TCustomRibbon.CheckTabChange"
		size = 85
		refs = "0045 TCustomRibbon.SetTabIndex 004c TCustomRibbon.InvalidateTabArea"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 8B D7 8B C6 8B 18 FF 93 44 01 00 00 8B D8 83 FB FF 7E 35 3B 9E 94 02 00 00 74 2D C6 04 24 01 54 8B 8E 94 02 00 00 8B D3 8B C6 8B 38 FF 97 3C 01 00 00 80 3C 24 00 74 10 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83307_0 {
	meta:
		name = "TCustomRibbon.CleanupQuickAccessToolbarGroups"
		size = 31
		refs = "000e TQuickAccessToolbarGroups.Clean 0019 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 83 38 03 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B 83 38 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83308_0 {
	meta:
		name = "TCustomRibbon.ClearRecentItems"
		size = 56
		refs = "0012 TCustomRibbon.HasApplicationMenu 0032 TCollection.Clear"
	strings:
		$1 = { 53 8B 90 D0 02 00 00 83 7A 10 00 74 29 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 83 D0 02 00 00 8B 40 10 EB 02 33 C0 8B 80 C8 03 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83309_0 {
	meta:
		name = "TCustomRibbon.RemoveTab"
		size = 46
		refs = "000a TRibbonTabs.IndexOfCaption 0018 TCustomRibbon.DeleteTab 0028 TCustomRibbon.InvalidateTabArea"
	strings:
		$1 = { 53 8B D8 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 83 F8 FF 7E 09 8B D0 8B C3 E8 ?? ?? ?? ?? 83 BB A0 02 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83310_0 {
	meta:
		name = "TCustomRibbon.ReadStyleProp"
		size = 289
		refs = "0017 TCustomRibbon.ReadStyleProp 0027 TReader.ReadString 0044 ActionBarStyles 005c TActionBarStyleList.GetStyle 0062 _Dn_TRibbonStyleActionBars 0067 @IsClass 0092 TCustomRibbon.SetStyle 009a RibbonLunaStyle 00b3 @HandleAnyException 00c1 ApplicationHandleException 00cd ExceptObject 00e1 ExceptAddr 00ed ShowException 00f4 @RaiseAgain 00f9 @DoneExcept 010e @UStrClr 0114 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 C8 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 8B 55 FC 8B 08 FF 51 54 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 A1 ?? ?? ?? ?? 8B 00 8B 55 FC 8B 08 FF 51 54 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? EB 10 8B 15 ?? ?? ?? ?? 8B 12 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 4B E9 ?? ?? ?? ?? 8B 45 F8 F6 40 1C 10 74 33 A1 ?? ?? ?? ?? 66 83 78 02 00 74 14 E8 ?? ?? ?? ?? 8B D0 8B 1D ?? ?? ?? ?? 8B 43 04 FF 13 EB 18 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_83311_0 {
	meta:
		name = "TCustomRibbon.RebuildRibbonMetrics"
		size = 213
		refs = "0026 TRibbonTabs.GetItem 0044 TControl.SetFont 0062 TCanvas.SetFont 006b TCustomRibbon.GetRibbonMetric 008b TFont.SetSize 00c6 TCustomTabData.CalculateTabWidths 00cd TCustomRibbon.InvalidateTabArea"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 8C 02 00 00 8B 40 08 8B 78 08 4F 85 FF 0F 8C 8E 00 00 00 47 33 F6 8B D6 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 83 78 14 00 74 5F 8B D6 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 40 14 8B 53 6C E8 ?? ?? ?? ?? 8B D6 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 40 14 8B 80 78 02 00 00 8B 53 6C E8 ?? ?? ?? ?? B2 0C 8B C3 E8 ?? ?? ?? ?? 50 8B D6 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 40 14 8B 80 78 02 00 00 8B 40 40 5A E8 ?? ?? ?? ?? 8B D6 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? C6 40 1C 01 46 4F 0F 85 75 FF FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 53 50 83 EA 2F 2B D0 8B 8B 8C 02 00 00 8B 83 FC 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83312_0 {
	meta:
		name = "TCustomRibbon.RecentActionHandler"
		size = 21
	strings:
		$1 = { 53 56 8B F2 8B 4E 0C 8B 56 6C 8B 18 FF 93 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_83313_0 {
	meta:
		name = "TCustomRibbon.Resize"
		size = 92
		refs = "0009 TControl.Resize 0031 TControl.SetBoundsRect 003e TCustomRibbon.RebuildRibbonMetrics 0045 TCustomRibbon.DrawSystemButtons 004c TCustomRibbon.UpdateQATPosition 0053 TCustomRibbon.HideKeyTips"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 08 75 44 80 BB A8 02 00 00 00 74 19 8B D4 8B C3 8B 08 FF 91 40 01 00 00 8B D4 8B 83 AC 02 00 00 E8 ?? ?? ?? ?? F6 43 1C 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_83314_0 {
	meta:
		name = "TCustomRibbon.SetActivePage"
		size = 16
		refs = "000b TCustomRibbon.SetTabIndex"
	strings:
		$1 = { 85 D2 74 0B 8B 92 84 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83315_0 {
	meta:
		name = "TCustomRibbon.SetAllowKeyboardNavigation"
		size = 38
		refs = "0014 TCustomRibbon.GetTabIndex"
	strings:
		$1 = { 53 8B D8 3A 93 3C 03 00 00 74 19 88 93 3C 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 38 01 00 00 5B C3 }
	condition:
		$1
}

rule function_83316_0 {
	meta:
		name = "TCustomRibbon.SetActive"
		size = 33
		refs = "0014 TCustomRibbon.InvalidateHeaderArea 001b TCustomRibbon.HideKeyTips"
	strings:
		$1 = { 53 8B D8 3A 93 F8 02 00 00 74 14 88 93 F8 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83317_0 {
	meta:
		name = "TCustomRibbon.CallParentWndProc"
		size = 27
	strings:
		$1 = { 53 66 83 B8 F2 02 00 00 00 74 0E 8B D8 8B 83 F4 02 00 00 FF 93 F0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_83318_0 {
	meta:
		name = "TCustomRibbon.SetColorMap"
		size = 173
		refs = "001a TObject.Free 002d TComponent.FreeNotification 0066 TRibbonTabs.GetItem 0074 TCustomRibbonPage.GetGroupCount 0087 TCustomRibbonPage.GetGroup"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 8B F8 8D 87 C0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 89 9F BC 02 00 00 85 DB 74 0B 8B D7 8B C3 E8 ?? ?? ?? ?? EB 0C 8B 87 C0 02 00 00 89 87 BC 02 00 00 8B 87 8C 02 00 00 8B 40 08 8B 40 08 48 85 C0 7C 56 40 89 44 24 04 C7 04 24 00 00 00 00 8B 87 8C 02 00 00 8B 14 24 E8 ?? ?? ?? ?? 8B 70 14 85 F6 74 2C 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1E 43 33 ED 8B D5 8B C6 E8 ?? ?? ?? ?? 8B 97 BC 02 00 00 8B 08 FF 91 54 01 00 00 45 4B 75 E5 FF 04 24 FF 4C 24 04 75 B6 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83319_0 {
	meta:
		name = "TCustomRibbon.SetDocumentName"
		size = 90
		refs = "0012 @UStrEqual 0021 @UStrAsg 002a TCustomRibbon.GetRibbonMetric 003c Rect 004a TWinControl.GetHandle 0050 InvalidateRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B 83 C4 02 00 00 8B D6 E8 ?? ?? ?? ?? 74 3C 8D 83 C4 02 00 00 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 50 8D 44 24 04 50 8B 4B 50 33 D2 33 C0 E8 ?? ?? ?? ?? 6A FF 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_83320_0 {
	meta:
		name = "TCustomRibbon.SetHideRibbon"
		size = 162
		refs = "001f TApplicationMenu.Show 002f TQuickAccessToolbar.Show 0052 TCustomRibbon.GetRibbonMetric 007e TCustomRibbon.HasQuickAccessToolbar 009a TControl.SetHeight"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 3A 9F 44 03 00 00 0F 84 8B 00 00 00 8B D3 80 F2 01 8B 87 D0 02 00 00 E8 ?? ?? ?? ?? 8B D3 80 F2 01 8B 87 CC 02 00 00 E8 ?? ?? ?? ?? 88 9F 44 03 00 00 8B F7 80 BE C8 02 00 00 00 75 09 80 BE 3D 03 00 00 00 74 0D B2 03 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 21 80 BE 44 03 00 00 00 74 0D 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 0B B2 02 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 86 CC 02 00 00 80 78 18 01 75 03 83 C3 1A 8B D3 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83321_0 {
	meta:
		name = "TCustomRibbon.SetHideTabs"
		size = 158
		refs = "001c TCustomRibbon.GetActivePage 0031 TControl.SetVisible 004e TCustomRibbon.GetRibbonMetric 007a TCustomRibbon.HasQuickAccessToolbar 0096 TControl.SetHeight"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 3A 9F 3D 03 00 00 0F 84 87 00 00 00 88 9F 3D 03 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 74 11 8B C7 E8 ?? ?? ?? ?? 8B D3 80 F2 01 E8 ?? ?? ?? ?? 8B F7 80 BE C8 02 00 00 00 75 09 80 BE 3D 03 00 00 00 74 0D B2 03 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 21 80 BE 44 03 00 00 00 74 0D 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 0B B2 02 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 86 CC 02 00 00 80 78 18 01 75 03 83 C3 1A 8B D3 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83323_0 {
	meta:
		name = "TCustomRibbon.SetMinimized"
		size = 364
		refs = "0032 TCustomRibbon.GetRibbonMetric 003b TControl.SetHeight 0059 TCustomRibbon.GetActivePage 0071 TCustomRibbon.SetTabIndex 0108 TCustomRibbon.HasQuickAccessToolbar 0145 TRibbonTabs.GetItem 014f TControl.SetVisible"
	strings:
		$1 = { 53 56 57 8B F0 3A 96 C8 02 00 00 0F 84 57 01 00 00 8B C2 88 86 C8 02 00 00 84 C0 0F 85 A2 00 00 00 8B 86 CC 02 00 00 80 78 18 00 75 14 B2 02 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 15 B2 02 8B C6 E8 ?? ?? ?? ?? 8B D0 83 C2 1A 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 74 27 8B C6 E8 ?? ?? ?? ?? 8B 90 84 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 91 84 00 00 00 EB 18 8B 86 8C 02 00 00 8B 40 08 83 78 08 00 7E 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 B9 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 9C 00 00 00 E9 A5 00 00 00 8B DE 80 BB C8 02 00 00 00 75 09 80 BB 3D 03 00 00 00 74 0D B2 03 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 21 80 BB 44 03 00 00 00 74 0D 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 0B B2 02 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 83 CC 02 00 00 80 78 18 01 75 03 83 C7 1A 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 86 8C 02 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 1E 43 33 FF 8B D7 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 8B 40 14 33 D2 E8 ?? ?? ?? ?? 47 4B 75 E5 C6 86 D4 02 00 00 01 83 CA FF 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83324_0 {
	meta:
		name = "TCustomRibbon.SetTabs"
		size = 26
	strings:
		$1 = { 56 8B F0 8B 86 8C 02 00 00 8B 08 FF 51 08 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_83325_0 {
	meta:
		name = "TCustomRibbon.SetKeyTipsVisible"
		size = 20
		refs = "000f TCustomRibbon.InvalidateTabArea"
	strings:
		$1 = { 3A 90 28 03 00 00 74 0B 88 90 28 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83327_0 {
	meta:
		name = "TCustomRibbon.SetApplicationMenu"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 D0 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_83328_0 {
	meta:
		name = "TCustomRibbon.SetActionManager"
		size = 322
		refs = "0026 TComponent.FreeNotification 003b TCustomRibbon.HasApplicationMenu 0057 TCustomActionBar.SetActionManager 0068 TApplicationMenu.Initialize 00bd TActionBars.GetActionBar 0116 TRibbonTabs.GetItem 0133 TCustomRibbonPage.UpdateActionManager"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B EA 8B D8 3B AB B8 02 00 00 0F 84 24 01 00 00 8B C5 89 83 B8 02 00 00 85 ED 74 07 8B D5 E8 ?? ?? ?? ?? 8B 83 D0 02 00 00 83 78 10 00 74 36 8B F3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 86 D0 02 00 00 8B 40 10 EB 02 33 C0 8B 93 B8 02 00 00 E8 ?? ?? ?? ?? 8B 93 2C 03 00 00 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 8B F3 8B 86 CC 02 00 00 83 78 04 00 74 09 80 BE 44 03 00 00 00 74 04 33 C0 EB 02 B0 01 88 04 24 80 3C 24 00 74 4D C6 04 24 00 8B 86 B8 02 00 00 8B 40 74 8B 40 08 8B 40 08 48 85 C0 7C 35 40 89 44 24 04 33 FF 8B 86 B8 02 00 00 8B 40 74 8B D7 E8 ?? ?? ?? ?? 8B 50 0C 8B 8E CC 02 00 00 3B 51 04 75 09 0F B6 40 30 88 04 24 EB 07 47 FF 4C 24 04 75 D2 80 3C 24 00 74 14 8B 83 CC 02 00 00 8B 40 04 8B 93 B8 02 00 00 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 8B 40 08 8B 78 08 4F 85 FF 7C 31 47 33 F6 8B D6 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 83 78 14 00 74 17 8B D6 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 40 14 8B D5 E8 ?? ?? ?? ?? 46 4F 75 D2 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83329_0 {
	meta:
		name = "TCustomRibbon.SetScreenTips"
		size = 15
	strings:
		$1 = { 3B 90 2C 03 00 00 74 06 89 90 2C 03 00 00 C3 }
	condition:
		$1
}

rule function_83330_0 {
	meta:
		name = "TCustomRibbon.SetShowHelpButton"
		size = 181
		refs = "002b _DV_THelpButton 0030 TOffice2007Button.Create 005a TCustomRibbon.HelpButtonClickHandler 0073 TObject.Free 007e TCanvas.HandleAllocated 00ab TControl.SetBoundsRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 3A 93 A8 02 00 00 0F 84 9C 00 00 00 88 93 A8 02 00 00 84 D2 74 43 83 BB AC 02 00 00 00 75 3A 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 AC 02 00 00 8B D3 8B C6 8B 08 FF 91 84 00 00 00 8B 83 AC 02 00 00 89 98 C4 01 00 00 C7 80 C0 01 00 00 ?? ?? ?? ?? EB 17 84 D2 75 13 8D 83 AC 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C3 8B 10 FF 92 9C 00 00 00 8B B3 AC 02 00 00 85 F6 74 15 8B D4 8B C3 8B 08 FF 91 40 01 00 00 8B D4 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_83331_0 {
	meta:
		name = "TCustomRibbon.SetStyle"
		size = 103
		refs = "0016 RibbonLunaStyle 0023 TCustomActionManager.SetStyle 0039 TCustomRibbon.SetColorMap 0061 TControl.Perform"
	strings:
		$1 = { 53 8B D8 83 BB B8 02 00 00 00 74 59 85 D2 74 04 85 D2 75 15 8B 15 ?? ?? ?? ?? 8B 12 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? EB 0B 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 8B C3 8B 10 FF 92 18 01 00 00 6A 00 33 C9 BA 85 00 00 00 8B 83 E8 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83332_0 {
	meta:
		name = "TCustomRibbon.SetUseCustomFrame"
		size = 392
		refs = "0016 TCustomRibbon.IsDesigning 009b TCustomRibbon.CustomFrameSupported 00a8 TCustomRibbon.HasApplicationMenu 00c2 TCustomRibbon.GetRibbonMetric 00cb TControl.SetTop 012b TGlassFrame.SetEnabled 014c TGlassFrame.SetExtendedFrame 0153 TCustomRibbon.SetUseCustomFrame 0177 TControl.Perform"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 3A 9E 11 03 00 00 0F 84 68 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 42 66 83 BE F2 02 00 00 00 74 38 83 BE E8 02 00 00 00 74 2F 80 BE 11 03 00 00 00 74 26 8B 86 E8 02 00 00 8B 96 F0 02 00 00 89 50 40 8B 96 F4 02 00 00 89 50 44 33 C0 89 86 F0 02 00 00 89 86 F4 02 00 00 88 9E 11 03 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 06 01 00 00 83 BE E8 02 00 00 00 0F 84 F9 00 00 00 C7 86 40 03 00 00 FF FF FF FF 8B 86 D0 02 00 00 83 78 10 00 74 5A 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2E 8B FE 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 87 D0 02 00 00 8B 78 10 EB 02 33 FF B2 0D 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 21 8B FE 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 87 D0 02 00 00 8B 40 10 EB 02 33 C0 33 D2 E8 ?? ?? ?? ?? 84 DB 74 5A 8B 86 E8 02 00 00 8B 50 40 89 96 F0 02 00 00 8B 50 44 89 96 F4 02 00 00 8B 86 E8 02 00 00 89 70 44 8B 16 8B 92 04 01 00 00 89 50 40 8B 80 7C 03 00 00 B2 01 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 86 E8 02 00 00 8B 80 7C 03 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 23 46 1C 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 14 6A 00 33 C9 BA 33 B0 00 00 8B 86 E8 02 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_83333_0 {
	meta:
		name = "TCustomRibbon.SetTabIndex"
		size = 543
		refs = "0016 TCustomRibbon.SetTabIndex 005e SRibbonTabIndexInvalid 0063 LoadResString 006d _DV_ERibbonException 0072 Exception.Create 0077 @RaiseExcept 00a3 TCustomRibbon.InvalidateTabArea 00e3 TRibbonTabs.GetItem 0124 TControl.SetVisible 012b TCustomRibbon.RebuildRibbonMetrics 0133 TControl.BringToFront 0154 GetParentForm 016b TCustomRibbonPage.SetRibbon 0181 TWinControl.GetHandle 0187 SetFocus 020c @UStrClr 0212 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 8C 02 00 00 8B 40 08 83 78 08 00 0F 84 C8 01 00 00 85 F6 7D 0D 80 BB C8 02 00 00 00 75 04 B0 01 EB 12 8B 83 8C 02 00 00 8B 40 08 8B 40 08 48 3B F0 0F 9F C0 84 C0 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB C8 02 00 00 00 74 2F 80 BB D4 02 00 00 00 74 26 80 BB 28 03 00 00 00 75 1D C7 83 94 02 00 00 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? C6 83 D4 02 00 00 01 E9 48 01 00 00 8B 83 94 02 00 00 3B F0 0F 84 33 01 00 00 8B F8 89 B3 94 02 00 00 83 BB 94 02 00 00 FF 0F 8E BC 00 00 00 8B 93 94 02 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 83 78 14 00 0F 84 A1 00 00 00 8B 93 94 02 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 40 14 89 45 FC 80 BB C8 02 00 00 00 75 34 8B D3 8B 45 FC 8B 08 FF 91 84 00 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 38 01 00 00 EB 4D B2 01 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 84 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 D4 02 00 00 01 83 FF FF 7E 11 8B 83 8C 02 00 00 8B 40 08 3B 78 08 0F 9C C0 EB 02 33 C0 84 C0 74 16 8B D7 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 83 78 14 00 0F 95 C0 EB 02 33 C0 84 C0 74 2A 8B D7 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 83 78 14 00 74 17 8B D7 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 40 14 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_83334_0 {
	meta:
		name = "TCustomRibbon.AddToQuickAccessToolbarHandler"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 0C 01 00 00 C3 }
	condition:
		$1
}

rule function_83335_0 {
	meta:
		name = "TCustomRibbon.CustomizeQuickAccessToolbarHandler"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 14 01 00 00 C3 }
	condition:
		$1
}

rule function_83338_0 {
	meta:
		name = "TCustomRibbon.DoMinimizeRibbon"
		size = 40
		refs = "0010 TCustomRibbon.SetMinimized 0017 TCustomRibbon.DoMinimizeRibbon"
	strings:
		$1 = { 53 8B D8 0F B6 93 C8 02 00 00 80 F2 01 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 83 10 03 00 00 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_83339_0 {
	meta:
		name = "TCustomRibbon.DoAddToQuickAccessToolbar"
		size = 912
		refs = "0014 TCustomRibbon.DoAddToQuickAccessToolbar 008e TActionClientItem.GetAction 00d8 TCustomActionBar.GetItems 00dd TActionClients.Add 011f TButtonProperties.SetGroupPosition 0129 TButtonProperties.SetButtonSize 013f TActionClientItem.SetImageIndex 0148 TActionClientItem.SetShowCaption 0178 TActionClientItem.SetAction 01ac _DV_TQuickAccessToolbarGroups 01b1 TQuickAccessToolbarGroups.Create 01c2 TCustomRibbonGroup.Clone 01d7 TQuickAccessToolbarGroups.Add 0204 TControl.GetText 020e TActionClientItem.SetCaption 0217 TActionClientItem.SetCommandStyle 0248 TCollectionItem.GetIndex 026b TActionClientItem.GetCaption 0279 TQuickAccessToolbarGroups.Remove 02a6 TCollection.Delete 02f0 TActionClients.GetActionClient 0311 StripHotkey 031f TQuickAccessToolbarGroups.Group 0329 _Dn_TRibbonGroupDropDown 032e @AsClass 0334 TRibbonGroupDropDown.SetGroup 0341 TCustomRibbon.UpdateQATPosition 0348 TCustomRibbon.InvalidateHeaderArea 036f @UStrArrayClr 0377 @UStrClr 037d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 9E 00 03 00 00 85 DB 74 0B 8B C3 8B 10 FF 52 58 85 C0 75 16 83 BE 08 03 00 00 00 75 0D 83 BE 04 03 00 00 00 0F 84 03 03 00 00 F6 86 10 03 00 00 01 0F 84 E1 01 00 00 83 BE 00 03 00 00 00 0F 84 EE 00 00 00 C6 45 FB 00 8B 86 CC 02 00 00 8B 40 04 8B 10 FF 92 70 01 00 00 8B F8 85 FF 74 46 8B 86 00 03 00 00 8B 10 FF 52 58 8B D8 8B C7 E8 ?? ?? ?? ?? 3B D8 75 13 80 7F 30 00 75 0D B2 01 8B C7 8B 08 FF 51 2C C6 45 FB 01 8B 86 CC 02 00 00 8B 40 04 33 C9 8B D7 8B 18 FF 93 18 01 00 00 8B F8 85 FF 75 BA 80 7D FB 00 0F 85 DC 01 00 00 8B 86 CC 02 00 00 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 86 00 03 00 00 8B 90 BC 01 00 00 8B C7 8B 08 FF 51 08 8B 86 00 03 00 00 8B 80 BC 01 00 00 8B 50 78 8B 47 78 8B 08 FF 51 08 0F B6 47 76 84 C0 74 04 2C 04 75 14 33 D2 8B 47 78 E8 ?? ?? ?? ?? 33 D2 8B 47 78 E8 ?? ?? ?? ?? 8B 86 00 03 00 00 8B 80 BC 01 00 00 8B 50 5C 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? E9 59 01 00 00 83 BE 08 03 00 00 00 74 30 8B 86 CC 02 00 00 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 96 08 03 00 00 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? E9 20 01 00 00 83 BE 04 03 00 00 00 0F 84 13 01 00 00 83 BE 38 03 00 00 00 75 1B 8B 86 B8 02 00 00 8B 48 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 38 03 00 00 8B 86 04 03 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 DC 00 00 00 8B D0 8B 86 38 03 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 C5 00 00 00 8B 86 CC 02 00 00 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 55 F4 8B 86 04 03 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? C7 47 38 64 00 00 00 8B 53 08 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? EB 73 8B 86 00 03 00 00 85 C0 74 69 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? 8B D8 83 FB FF 7E 57 8B 86 00 03 00 00 8B B8 BC 01 00 00 83 7F 38 64 75 18 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 55 F0 8B 86 38 03 00 00 E8 ?? ?? ?? ?? 8B 86 CC 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 3B D8 7D 15 8B 86 CC 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 86 CC 02 00 00 8B 40 04 8B 10 FF 92 74 01 00 00 8B 86 CC 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B D8 4B 85 DB 7C 68 43 C7 45 FC 00 00 00 00 8B 86 CC 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B F8 85 FF 74 3E 83 7F 38 64 75 38 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 86 38 03 00 00 E8 ?? ?? ?? ?? 50 8B 47 44 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? FF 45 FC 4B 75 A0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 86 10 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_83340_0 {
	meta:
		name = "TCustomRibbon.DoCustomizeQuickAccessToolbar"
		size = 152
		refs = "0050 TActionBars.GetActionBar 007c TCustomRibbonQuickAccessToolbar.Customize 0083 TCustomRibbon.DoCustomizeQuickAccessToolbar"
	strings:
		$1 = { 53 56 57 55 51 8B F8 8B F7 8B 86 CC 02 00 00 83 78 04 00 74 09 80 BE 44 03 00 00 00 74 04 33 DB EB 02 B3 01 84 DB 74 46 33 DB 8B 86 B8 02 00 00 8B 40 74 8B 40 08 8B 40 08 48 85 C0 7C 30 40 89 04 24 33 ED 8B 86 B8 02 00 00 8B 40 74 8B D5 E8 ?? ?? ?? ?? 8B 96 CC 02 00 00 8B 52 04 3B 50 0C 75 06 0F B6 58 30 EB 06 45 FF 0C 24 75 D6 84 DB 74 0E 8B 87 CC 02 00 00 8B 40 04 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 87 10 03 00 00 5A 5D 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_83341_0 {
	meta:
		name = "TCustomRibbon.DoGroupStyleChanged"
		size = 124
		refs = "0030 TRibbonTabs.GetItem 003e TCustomRibbonPage.GetGroupCount 0051 TCustomRibbonPage.GetGroup 0059 TCustomRibbon.GetStyle"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E8 8B 85 8C 02 00 00 8B 40 08 8B 40 08 48 85 C0 7C 5B 40 89 44 24 04 C7 04 24 00 00 00 00 8B 85 8C 02 00 00 8B 14 24 E8 ?? ?? ?? ?? 8B 70 14 85 F6 74 31 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 23 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 50 8B C5 E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 BC 01 00 00 47 4B 75 E0 FF 04 24 FF 4C 24 04 75 B1 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83342_0 {
	meta:
		name = "TCustomRibbon.DoChangeQuickAccessToolbarPosition"
		size = 36
		refs = "000a TQuickAccessToolbar.TogglePosition 0011 TCustomRibbon.DoChangeQuickAccessToolbarPosition"
	strings:
		$1 = { 53 8B D8 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 83 10 03 00 00 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_83343_0 {
	meta:
		name = "TCustomRibbonPage.AddGroup"
		size = 76
		refs = "000f TList.IndexOf 001f TList.Add 0028 TCustomRibbonGroup.SetGroupIndex 002f TCustomRibbonPage.AlignGroups 003a TControl.BringToFront"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 40 75 33 8B D6 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 94 02 00 00 E8 ?? ?? ?? ?? 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83344_0 {
	meta:
		name = "SortByGroupIndexLTR"
		size = 13
	strings:
		$1 = { 8B 80 5C 03 00 00 2B 82 5C 03 00 00 C3 }
	condition:
		$1
}

rule function_83345_0 {
	meta:
		name = "SortByGroupIndexRTL"
		size = 15
	strings:
		$1 = { 8B 92 5C 03 00 00 2B 90 5C 03 00 00 8B C2 C3 }
	condition:
		$1
}

rule function_83346_0 {
	meta:
		name = "TCustomRibbonPage.AlignGroups"
		size = 187
		refs = "001c SortByGroupIndexLTR 0021 TList.Sort 0028 SortByGroupIndexRTL 0053 TCustomRibbonPage.GetGroup 0068 TControl.SetLeft 00b1 TCustomRibbonPage.UpdateScrollButtons"
	strings:
		$1 = { 53 56 57 55 51 8B F0 8B 86 80 02 00 00 85 C0 0F 84 A0 00 00 00 80 7E 69 00 75 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 86 90 02 00 00 83 C0 04 89 04 24 8B 86 80 02 00 00 8B 78 08 4F 85 FF 7C 5D 47 33 ED 8B D5 8B C6 E8 ?? ?? ?? ?? 8B D8 80 BB 58 03 00 00 00 74 15 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B 43 50 83 C0 02 01 04 24 EB 2D BA 01 00 00 80 8B C3 E8 ?? ?? ?? ?? 8B 83 60 03 00 00 85 C0 74 17 8B 14 24 E8 ?? ?? ?? ?? 8B 83 60 03 00 00 8B 40 50 83 C0 02 01 04 24 45 4F 75 A6 83 7E 38 00 74 07 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83347_0 {
	meta:
		name = "TCustomRibbonPage.CMControlListChanging"
		size = 148
		refs = "001e _DV_TCustomRibbonGroup 0023 @IsClass 002f _DV_TRibbonGroupScrollButton 0040 _DV_TRibbonGroupCollapsedControl 004f SInvalidRibbonPageChild 0056 _Dn_Exception 005b Exception.CreateRes 0060 @RaiseExcept 008c TCustomRibbonPage.AddGroup"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 83 7B 08 00 74 57 8B 43 04 3B 70 04 75 4F 8B 43 04 8B 38 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 39 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 46 1C 01 75 26 83 7B 08 00 74 20 8B 43 04 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B 43 04 8B 10 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83348_0 {
	meta:
		name = "TCustomRibbonPage.CMTextchanged"
		size = 145
		refs = "000d TCustomRibbonPage.CMTextchanged 001a TWinControl.CMTextChanged 0038 TControl.GetText 004f TRibbonTabs.GetItem 0055 TRibbonTabItem.SetCaption 0060 TCustomRibbon.RebuildRibbonMetrics 006b TCustomRibbon.InvalidateTabArea 0080 @UStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B B3 84 02 00 00 83 FE FF 7E 46 83 BB 8C 02 00 00 00 74 3D 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 83 8C 02 00 00 8B 80 8C 02 00 00 8B D6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83349_0 {
	meta:
		name = "TCustomRibbonPage.CollapseGroup"
		size = 12
		refs = "0007 TOrderedList.Push"
	strings:
		$1 = { 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83355_0 {
	meta:
		name = "TCustomRibbonPage.GetCollapseGroupCount"
		size = 12
		refs = "0007 TOrderedList.Count"
	strings:
		$1 = { 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83350_0 {
	meta:
		name = "TCustomRibbonPage.Create"
		size = 212
		refs = "000a @ClassCreate 0017 TCustomControl.Create 001e _Dn_TList 0023 TObject.Create 0030 TCustomRibbonPage.Create 0037 TControl.SetAnchors 0043 TControl.SetTop 004c TControl.SetText 0089 _Dn_TStack 008e TOrderedList.Create 00b5 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 02 00 00 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 36 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 84 02 00 00 FF FF FF FF 33 C0 89 86 90 02 00 00 33 D2 8B C6 8B 08 FF 91 FC 00 00 00 89 86 94 02 00 00 B2 01 8B C6 8B 08 FF 91 FC 00 00 00 89 86 98 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 9C 02 00 00 8B 46 58 0B 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? F7 D2 23 D0 89 56 58 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 07 00 00 00 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_83351_0 {
	meta:
		name = "TCustomRibbonPage.CreateScrollButton"
		size = 123
		refs = "000c _DV_TRibbonGroupScrollButton 0011 TRibbonGroupScrollButton.Create 002d TControl.SetAlign 0042 TControl.SetHeight 004b TRibbonGroupScrollButton.SetDirection 0052 TCustomRibbonPage.RibbonStyle 0061 TControl.SetVisible 0071 TCustomRibbonPage.ScrollButtonClickHandler"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D6 8B C7 8B 08 FF 91 84 00 00 00 80 FB 01 75 0B B2 04 8B C7 E8 ?? ?? ?? ?? EB 09 B2 03 8B C7 E8 ?? ?? ?? ?? 8B 56 54 8B C7 E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 87 80 02 00 00 33 D2 8B C7 E8 ?? ?? ?? ?? 89 B7 1C 01 00 00 C7 87 18 01 00 00 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83352_0 {
	meta:
		name = "TCustomRibbonPage.Destroy"
		size = 135
		refs = "0003 @BeforeDestruction 001a TObject.Free 006a TCustomRibbon.FixUpTabList 0075 TCustomControl.Destroy 0080 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 80 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 94 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 98 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 9C 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 86 8C 02 00 00 85 C0 74 0D F6 40 1C 08 75 07 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83353_0 {
	meta:
		name = "TCustomRibbonPage.DoScrollButtonClick"
		size = 105
		refs = "0009 TCustomRibbonPage.GetGroupWidth 0029 TCustomRibbonPage.SetGroupOffset 0062 TCustomRibbonPage.UpdateScrollButtons"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 46 50 3B D0 7C 50 84 DB 75 20 8B 96 90 02 00 00 3B C2 7E 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 30 03 D0 8B C6 E8 ?? ?? ?? ?? EB 25 8B 8E 90 02 00 00 3B C1 7E 0D 2B C2 8B D0 8B C6 E8 ?? ?? ?? ?? EB 0E 8B D1 2B D0 83 EA 03 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83354_0 {
	meta:
		name = "TCustomRibbonPage.FindGroup"
		size = 187
		refs = "0014 TCustomRibbonPage.FindGroup 0021 TCustomRibbonPage.GetGroupCount 0035 TCustomRibbonPage.GetGroup 003d TControl.GetText 0047 @UStrLAsg 006e CompareText 00a6 @UStrArrayClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 64 40 89 45 F4 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0D 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 08 43 FF 4D F4 75 A2 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83356_0 {
	meta:
		name = "TCustomRibbonPage.GetGroup"
		size = 43
		refs = "001f TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 FE FF 7E 1B 8B 83 80 02 00 00 3B 70 08 7D 10 8B D6 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_83357_0 {
	meta:
		name = "TCustomRibbonPage.GetGroupCount"
		size = 10
	strings:
		$1 = { 8B 80 80 02 00 00 8B 40 08 C3 }
	condition:
		$1
}

rule function_83358_0 {
	meta:
		name = "TCustomRibbonPage.GetGroupPos"
		size = 143
		refs = "0017 TCustomRibbonPage.GetGroupCount 002c TCustomRibbonPage.GetGroup 0045 TCustomRibbonGroup.GetGroupWidth"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B D8 C7 04 24 04 00 00 00 85 ED 75 3C 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 67 8B C3 E8 ?? ?? ?? ?? 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 8B 70 48 8B C3 E8 ?? ?? ?? ?? 8B D0 4A 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 F0 01 34 24 EB 36 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 28 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 3B E8 74 14 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 02 01 04 24 46 4F 75 DB 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83359_0 {
	meta:
		name = "TCustomRibbonPage.GetGroupWidth"
		size = 85
		refs = "0025 TList.Get"
	strings:
		$1 = { 53 56 57 55 8B F8 BD 04 00 00 00 8B 87 80 02 00 00 8B 58 08 4B 85 DB 7C 35 43 33 F6 8B 87 80 02 00 00 8B D6 E8 ?? ?? ?? ?? 80 B8 58 03 00 00 00 74 0A 8B 40 50 83 C0 03 03 E8 EB 0E 8B 80 60 03 00 00 8B 40 50 83 C0 03 03 E8 46 4B 75 CE 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83360_0 {
	meta:
		name = "TCustomRibbonPage.GetNextVisibleGroup"
		size = 12
	strings:
		$1 = { 8B 80 9C 02 00 00 8B 10 FF 52 04 C3 }
	condition:
		$1
}

rule function_83361_0 {
	meta:
		name = "TCustomRibbonPage.GetPageHeight"
		size = 26
		refs = "000f TCustomRibbon.GetRibbonMetric"
	strings:
		$1 = { 8B 90 8C 02 00 00 85 D2 74 0A 8B C2 B2 05 E8 ?? ?? ?? ?? C3 B8 5D 00 00 00 C3 }
	condition:
		$1
}

rule function_83362_0 {
	meta:
		name = "TCustomRibbonPage.GetPageTop"
		size = 26
		refs = "000f TCustomRibbon.GetRibbonMetric"
	strings:
		$1 = { 8B 90 8C 02 00 00 85 D2 74 0A 8B C2 B2 04 E8 ?? ?? ?? ?? C3 B8 36 00 00 00 C3 }
	condition:
		$1
}

rule function_83363_0 {
	meta:
		name = "TCustomRibbonPage.HandleKeyTips"
		size = 308
		refs = "001e TCustomRibbonPage.HandleKeyTips 002c TCustomRibbonPage.GetGroupCount 004a TCustomRibbonPage.GetGroup 0054 @IntfClear 0062 Supports 009c TKeyTipList.Add 0106 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C AC 00 00 00 46 C7 45 E4 00 00 00 00 8B 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4B 8D 4D EB 8B 55 F0 8B 45 FC 8B 38 FF 57 10 80 7D EB 00 74 37 80 BB 58 03 00 00 00 75 1B 8B 83 60 03 00 00 50 6A FF 0F B6 4D EB 8B 45 EC 8B 00 B2 04 E8 ?? ?? ?? ?? EB 13 53 6A FF 0F B6 4D EB 8B 45 EC 8B 00 B2 05 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 4D EC 8B 55 F0 8B 45 F8 8B 18 FF 53 0C FF 45 E4 4E 0F 85 5C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 C8 71 BC 4C 5E C0 C4 4A 8D 8E 9E 89 EC 0B FD 34 F9 13 90 31 66 86 CB 4E 8F FF 60 EA 9B 35 90 A7 }
	condition:
		$1
}

rule function_83364_0 {
	meta:
		name = "TCustomRibbonPage.HideKeyTips"
		size = 356
		refs = "001d TCustomRibbonPage.HideKeyTips 002b TCustomRibbonPage.GetGroupCount 004a TCustomRibbonPage.GetGroup 0054 @IntfClear 0062 Supports 0075 TKeyTipList.GetCount 0089 TKeyTipList.GetItem 00c4 @UStrClr 00d1 @UStrLAsg 0137 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D FC 89 4D F8 89 4D F4 8B F2 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 48 85 C0 0F 8C D8 00 00 00 40 89 45 E4 C7 45 EC 00 00 00 00 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 76 C6 45 EB 01 85 F6 74 44 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 38 40 89 45 E0 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 83 78 04 00 74 1D 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 40 04 8B D3 8B 08 FF 51 D4 84 C0 74 06 C6 45 EB 00 EB 06 47 FF 4D E0 75 CE 80 7D EB 00 74 24 85 F6 75 0A 8D 45 F8 E8 ?? ?? ?? ?? EB 0B 8D 45 F8 8B 56 08 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 8B 08 FF 51 14 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 FC 8B 08 FF 51 10 FF 45 EC FF 4D E4 0F 85 33 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 C8 71 BC 4C 5E C0 C4 4A 8D 8E 9E 89 EC 0B FD 34 F9 13 90 31 66 86 CB 4E 8F FF 60 EA 9B 35 90 A7 }
	condition:
		$1
}

rule function_83365_0 {
	meta:
		name = "TCustomRibbonPage.Invalidate"
		size = 54
		refs = "0008 TWinControl.Invalidate 000f TWinControl.GetControlCount 0022 TWinControl.GetControl"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 18 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 92 9C 00 00 00 46 4B 75 EB 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83366_0 {
	meta:
		name = "TCustomRibbonPage.Loaded"
		size = 166
		refs = "0008 TControl.Loaded 000f TWinControl.GetControlCount 0022 TWinControl.GetControl 0028 _DV_TCustomRibbonGroup 002d @IsClass 0047 TList.Add 0069 TList.Get 0070 TCustomRibbonGroup.SetGroupVariant 008c TControl.BringToFront 009e TCustomRibbonPage.AlignGroups"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 35 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 47 4E 75 CE 8B 83 80 02 00 00 8B 70 08 4E 85 F6 7C 1B 46 33 FF 8B D7 8B 83 80 02 00 00 E8 ?? ?? ?? ?? B2 03 E8 ?? ?? ?? ?? 47 4E 75 E8 8B 83 94 02 00 00 85 C0 74 19 83 BB 98 02 00 00 00 74 10 E8 ?? ?? ?? ?? 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83367_0 {
	meta:
		name = "TCustomRibbonPage.FindGroupAt"
		size = 163
		refs = "001c TControl.ClientToScreen 0040 TList.Get 007e Rect 008b PtInRect"
	strings:
		$1 = { 53 56 57 55 83 C4 D4 8B DA 89 04 24 8D 4C 24 04 8B D3 8B 04 24 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 8B 04 24 8B 80 80 02 00 00 8B 70 08 4E 85 F6 7C 66 46 33 FF 8B 04 24 8B 80 80 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 33 C0 89 44 24 14 33 C0 89 44 24 18 8D 4C 24 0C 8D 54 24 14 8B C3 E8 ?? ?? ?? ?? 8B 43 54 03 44 24 10 50 8D 44 24 20 50 8B 4B 50 8B 6C 24 14 03 CD 8B 54 24 18 8B C5 E8 ?? ?? ?? ?? 8D 54 24 04 8D 44 24 1C E8 ?? ?? ?? ?? 84 C0 75 06 47 4E 75 9D 33 DB 8B C3 83 C4 2C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83368_0 {
	meta:
		name = "TCustomRibbonPage.Notification"
		size = 129
		refs = "0010 TWinControl.Notification 002f _DV_TCustomRibbonGroup 0034 @IsClass 0060 TList.IndexOf 0072 TList.Delete 0079 TCustomRibbonPage.AlignGroups"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 64 3B BE 8C 02 00 00 75 0A 33 C0 89 86 8C 02 00 00 EB 52 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 41 F6 46 1C 08 75 3B 83 BE 8C 02 00 00 00 74 32 8B 86 8C 02 00 00 F6 40 1C 08 75 26 8B D7 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 83 F8 FF 7E 0D 8B D0 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83369_0 {
	meta:
		name = "TCustomRibbonPage.Paint"
		size = 421
		refs = "0011 TCanvas.SetFont 001e TCustomRibbon.GetRibbonMetric 002e TFont.SetSize 0051 GetSystemMetrics 0074 TCustomRibbonPage.RibbonStyle 0081 TRibbonStyleActionBars.DrawElement 00c1 TCustomRibbon.GetActivePage 0142 OffsetRect 017b TPen.SetColor 019b DrawLine"
	strings:
		$1 = { 53 56 83 C4 D8 8B D8 8B 53 6C 8B 83 78 02 00 00 E8 ?? ?? ?? ?? B2 0C 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? 8D 54 24 08 8B C3 8B 08 FF 51 60 8B 43 4C 29 44 24 0C 8B 83 8C 02 00 00 85 C0 75 14 6A 04 E8 ?? ?? ?? ?? 8B F0 6A 21 E8 ?? ?? ?? ?? 03 F0 EB 09 33 D2 E8 ?? ?? ?? ?? 8B F0 8D 44 24 08 50 56 8B C3 E8 ?? ?? ?? ?? 8B 8B 78 02 00 00 B2 03 E8 ?? ?? ?? ?? 8D 54 24 08 8B C3 8B 08 FF 51 60 83 6C 24 14 02 8D 44 24 08 50 6A FF 8B C3 E8 ?? ?? ?? ?? 8B 8B 78 02 00 00 B2 04 E8 ?? ?? ?? ?? 8B B3 8C 02 00 00 85 F6 0F 84 E1 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 D2 00 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 80 84 02 00 00 8B B3 8C 02 00 00 8B 96 FC 02 00 00 3B 42 10 0F 8C AC 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 80 84 02 00 00 8B 93 8C 02 00 00 8B 92 FC 02 00 00 3B 42 50 0F 8F 8A 00 00 00 8B B3 8C 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 90 84 02 00 00 8D 4C 24 08 8B C6 8B 30 FF 96 48 01 00 00 8B 53 48 F7 DA 8D 44 24 08 33 C9 E8 ?? ?? ?? ?? 8D 54 24 18 8B C3 8B 08 FF 51 60 8B 44 24 1C 89 44 24 0C 8D 54 24 18 8B C3 8B 08 FF 51 60 8B 44 24 24 89 44 24 14 8B 83 78 02 00 00 8B 40 44 BA E1 EA F6 00 E8 ?? ?? ?? ?? 8B 44 24 10 89 04 24 8B 44 24 0C 89 44 24 04 8B CC 8D 54 24 08 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 83 C4 28 5E 5B C3 }
	condition:
		$1
}

rule function_83372_0 {
	meta:
		name = "TCustomRibbonPage.RibbonStyle"
		size = 49
		refs = "0011 TCustomRibbon.GetStyle 0028 RibbonLunaStyle"
	strings:
		$1 = { 53 56 8B D8 8B B3 8C 02 00 00 85 F6 74 19 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0E 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 A1 ?? ?? ?? ?? 8B 00 5E 5B C3 }
	condition:
		$1
}

rule function_83373_0 {
	meta:
		name = "TCustomRibbonPage.ScrollButtonClickHandler"
		size = 28
		refs = "000f ScrollDirection"
	strings:
		$1 = { 3B 90 98 02 00 00 0F 94 C2 83 E2 7F 0F B6 92 ?? ?? ?? ?? 8B 08 FF 91 00 01 00 00 C3 }
	condition:
		$1
}

rule function_83374_0 {
	meta:
		name = "TCustomRibbonPage.SetBounds"
		size = 77
		refs = "0020 TCustomRibbonPage.GetPageHeight 0028 TCustomRibbonPage.GetPageTop 0033 TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 53 8B D8 83 7B 38 00 74 2D 83 BB 8C 02 00 00 00 74 24 8B 43 38 8B 40 50 48 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C3 E8 ?? ?? ?? ?? EB 0F 8B 45 0C 50 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_83375_0 {
	meta:
		name = "TCustomRibbonPage.SetGroupOffset"
		size = 20
		refs = "000f TCustomRibbonPage.AlignGroups"
	strings:
		$1 = { 3B 90 90 02 00 00 74 0B 89 90 90 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83376_0 {
	meta:
		name = "TCustomRibbonPage.SetIndex"
		size = 7
	strings:
		$1 = { 89 90 84 02 00 00 C3 }
	condition:
		$1
}

rule function_83377_0 {
	meta:
		name = "TCustomRibbonPage.SetParent"
		size = 264
		refs = "0010 TCustomRibbonPage.SetParent 001f TWinControl.SetParent 0032 _DV_TCustomRibbon 0037 @IsClass 0048 @AsClass 0051 TCustomRibbonPage.SetRibbon 007e SInvalidRibbonPageParent 0083 LoadResString 008d _DV_ERibbonException 0092 Exception.Create 0097 @RaiseExcept 00a7 TControl.SetFont 00b9 TCustomRibbonPage.GetPageHeight 00c1 TCustomRibbonPage.GetPageTop 00e1 TCustomRibbonPage.UpdateScrollButtons 00f6 @UStrClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 7B 38 85 FF 0F 84 B7 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 85 C0 74 76 80 B8 C8 02 00 00 00 75 6D 8B 43 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 8B 50 6C 8B C3 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 8B 40 50 48 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C3 8B 30 FF 96 A4 00 00 00 EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83378_0 {
	meta:
		name = "TCustomRibbonPage.SetRibbon"
		size = 220
		refs = "0029 TCustomRibbonPage.GetPageHeight 0032 TControl.SetHeight 0042 TControl.SetFont 004d TCustomRibbon.GetColorMap 0067 TFont.SetColor 0072 TList.GetEnumerator 007d TCustomRibbonPage.SetRibbon 0093 TList.Get 00a8 TListEnumerator.MoveNext 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B D8 8B 83 8C 02 00 00 3B 45 FC 74 52 8B 45 FC 89 83 8C 02 00 00 85 C0 74 45 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 8B 50 6C 8B C3 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 16 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B 50 58 8B 43 6C E8 ?? ?? ?? ?? 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1B 8B 5D F8 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 8B F8 8B F7 8B 45 FC 89 86 74 03 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_83379_0 {
	meta:
		name = "TCustomRibbonPage.ShowKeyTips"
		size = 212
		refs = "0013 TCustomRibbonPage.ShowKeyTips 0021 TCustomRibbonPage.GetGroupCount 0035 TCustomRibbonPage.GetGroup 003f @IntfClear 004d Supports 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 59 46 33 FF 8B D7 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A B2 02 8B 45 F8 8B 08 FF 51 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 14 47 4E 75 AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 C8 71 BC 4C 5E C0 C4 4A 8D 8E 9E 89 EC 0B FD 34 F9 13 90 31 66 86 CB 4E 8F FF 60 EA 9B 35 90 A7 }
	condition:
		$1
}

rule function_83380_0 {
	meta:
		name = "TCustomRibbonPage.UpdateActionManager"
		size = 168
		refs = "0013 TList.GetEnumerator 001e TCustomRibbonPage.UpdateActionManager 0034 TList.Get 0046 TCustomActionBar.SetActionManager 006f TListEnumerator.MoveNext 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 41 8B 75 F8 8B 56 04 8B 46 08 E8 ?? ?? ?? ?? 89 45 F4 8B 5D F4 8B 55 FC 8B FB 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 0E 8B 47 58 0B 05 ?? ?? ?? ?? 89 47 58 EB 0D A1 ?? ?? ?? ?? F7 D0 23 47 58 89 47 58 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_83381_0 {
	meta:
		name = "TCustomRibbonPage.UpdateScrollButtons"
		size = 240
		refs = "0007 TCustomRibbonPage.GetGroupWidth 0033 TControl.SetVisible 003a TControl.GetClientWidth 0072 TControl.SetAlign 0082 TControl.SetLeft 00de TControl.BringToFront"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 83 94 02 00 00 85 C0 0F 84 D2 00 00 00 83 BB 98 02 00 00 00 0F 84 C5 00 00 00 83 BB 90 02 00 00 00 0F 95 C2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 83 90 02 00 00 99 33 C2 2B C2 03 C8 3B F1 0F 9F C2 8B 83 98 02 00 00 E8 ?? ?? ?? ?? F6 43 1C 10 74 5A 8B 83 94 02 00 00 80 78 61 00 75 19 33 D2 E8 ?? ?? ?? ?? BA 01 00 00 80 8B 83 94 02 00 00 E8 ?? ?? ?? ?? EB 07 B2 03 E8 ?? ?? ?? ?? 8B 83 98 02 00 00 80 78 61 00 75 19 33 D2 E8 ?? ?? ?? ?? BA 01 00 00 80 8B 83 98 02 00 00 E8 ?? ?? ?? ?? EB 23 B2 04 E8 ?? ?? ?? ?? EB 1A B2 03 8B 83 94 02 00 00 E8 ?? ?? ?? ?? B2 04 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B 83 94 02 00 00 E8 ?? ?? ?? ?? 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83382_0 {
	meta:
		name = "TOffice2007Button.CMMouseenter"
		size = 26
		refs = "0006 TControl.CMMouseEnter 000f TOffice2007Button.SetMouseInControl 0014 GetCapture"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83384_0 {
	meta:
		name = "TOffice2007Button.Create"
		size = 115
		refs = "000e @ClassCreate 001c TGraphicControl.Create 0023 _Dn_TBitmap 0028 TBitmap.Create 0045 TControl.SetWidth 0051 TControl.SetHeight 005e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B8 01 00 00 8B C6 B2 01 8B 08 FF 51 40 BA 16 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 16 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83386_0 {
	meta:
		name = "TOffice2007Button.DoClick"
		size = 29
	strings:
		$1 = { 53 66 83 B8 C2 01 00 00 00 74 10 8B D8 8B D0 8B 83 C4 01 00 00 FF 93 C0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_83387_0 {
	meta:
		name = "TOffice2007Button.DrawBackground"
		size = 103
		refs = "0012 IsLeftMouseButtonPressed 002c TOffice2007Button.GetRibbonStyle 0039 TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 83 C4 F0 8B D8 80 BB BC 01 00 00 00 74 53 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 8B D4 8B C3 8B 08 FF 51 60 54 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 03 E8 ?? ?? ?? ?? EB 23 8B D4 8B C3 8B 08 FF 51 60 54 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 02 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_83388_0 {
	meta:
		name = "TOffice2007Button.DrawImage"
		size = 31
	strings:
		$1 = { 53 8B 90 B8 01 00 00 52 B9 04 00 00 00 BA 04 00 00 00 8B 80 B0 01 00 00 8B 18 FF 53 44 5B C3 }
	condition:
		$1
}

rule function_83389_0 {
	meta:
		name = "TOffice2007Button.GetRibbonStyle"
		size = 44
		refs = "000b _DV_TCustomRibbon 0010 @IsClass 001b TCustomRibbon.GetStyle 0023 RibbonLunaStyle"
	strings:
		$1 = { 53 56 8B D8 8B 73 38 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 A1 ?? ?? ?? ?? 8B 00 5E 5B C3 }
	condition:
		$1
}

rule function_83390_0 {
	meta:
		name = "TOffice2007Button.MouseDown"
		size = 56
		refs = "001f TControl.MouseDown"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 75 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_83391_0 {
	meta:
		name = "TOffice2007Button.MouseMove"
		size = 90
		refs = "001e TControl.MouseMove 0025 IsLeftMouseButtonPressed 0044 PtInRect 004d TOffice2007Button.SetMouseInControl"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F1 66 89 55 FE 8B D8 8B 7D 08 57 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 24 89 75 F4 89 7D F8 8D 55 E4 8B C3 8B 08 FF 51 60 8D 45 E4 8D 55 F4 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_83392_0 {
	meta:
		name = "TOffice2007Button.MouseUp"
		size = 105
		refs = "0022 TControl.MouseUp 0044 PtInRect"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 66 89 4D FE 8B DA 8B F0 8B 7D 0C 57 8B 45 08 50 0F B7 4D FE 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 75 36 89 7D F4 8B 45 08 89 45 F8 8D 55 E4 8B C6 8B 08 FF 51 60 8D 45 E4 8D 55 F4 E8 ?? ?? ?? ?? 84 C0 74 14 8B C6 8B 10 FF 92 9C 00 00 00 8B C6 8B 10 FF 92 B0 00 00 00 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_83393_0 {
	meta:
		name = "TOffice2007Button.Paint"
		size = 25
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 B4 00 00 00 8B C3 8B 10 FF 92 B8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_83394_0 {
	meta:
		name = "TOffice2007Button.SetMouseInControl"
		size = 37
	strings:
		$1 = { F6 40 1C 10 74 08 C6 80 BC 01 00 00 00 C3 3A 90 BC 01 00 00 74 0E 88 90 BC 01 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_83395_0 {
	meta:
		name = "THelpButton.DrawImage"
		size = 58
		refs = "001a Rect 0024 TOffice2007Button.GetRibbonStyle 0031 TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 83 C4 F0 8B D8 6A 00 8D 44 24 04 50 33 C9 BA 04 00 00 00 B8 04 00 00 00 E8 ?? ?? ?? ?? 54 6A 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 05 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_83396_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.CMFontchanged"
		size = 43
		refs = "0007 TWinControl.CMFontChanged 001a TCustomRibbon.GetRibbonMetric 0024 TFont.SetSize"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 2C 03 00 00 85 F6 74 13 B2 0C 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 6C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83397_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.CMVisiblechanged"
		size = 53
		refs = "0007 TWinControl.CMVisibleChanged 001a TCustomRibbon.GetRibbonMetric 0023 TControl.SetHeight 002e TCustomRibbon.InvalidateHeaderArea"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 2C 03 00 00 85 F6 74 1D B2 01 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83398_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.Create"
		size = 124
		refs = "000a @ClassCreate 0017 TCustomActionToolBar.Create 0033 TCustomActionBar.SetVertMargin 003a TCustomRibbonQuickAccessToolbar.Create 0041 TToolWindow.SetEdgeBorders 004a TToolWindow.SetEdgeInner 0053 TToolWindow.SetEdgeOuter 005a TCustomRibbonQuickAccessToolbar.CreateQATActions 0065 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 51 78 C6 86 28 03 00 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_83399_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.CreateControl"
		size = 46
		refs = "000b TActionClientItem.SetShowCaption 0014 TCustomActionToolBar.CreateControl 0025 TSizeConstraints.SetConstraints"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 43 78 B9 16 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_83401_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.CreateQATActions"
		size = 284
		refs = "0011 TCustomRibbonQuickAccessToolbar.CreateQATActions 001d Application 0026 _Dn_TAction 002b TAction.Create 003b SMoreCommands 0040 LoadResString 004a TCustomAction.SetCaption 0050 TCustomRibbonQuickAccessToolbar.MoreCommandsHandler 007f SMinimizeTheRibbon 009b TCustomAction.SetAutoCheck 00a1 TCustomRibbonQuickAccessToolbar.MinimizeRibbonHandler 00d0 SShowQuickAccessToolbarBelow 00e5 TCustomRibbonQuickAccessToolbar.ShowBelowRibbonHandler 010a @UStrArrayClr 0110 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 30 03 00 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 30 03 00 00 8B 10 FF 52 44 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 34 03 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? B2 01 8B 83 34 03 00 00 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 34 03 00 00 8B 10 FF 52 44 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 38 03 00 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 38 03 00 00 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83402_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.Customize"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 AC 01 00 00 C3 }
	condition:
		$1
}

rule function_83403_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.CustomizeHandler"
		size = 12
	strings:
		$1 = { 8B 52 0C 8B 08 FF 91 B0 01 00 00 C3 }
	condition:
		$1
}

rule function_83404_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.MinimizeRibbonHandler"
		size = 30
		refs = "0019 TCustomRibbon.SetMinimized"
	strings:
		$1 = { 8B 90 2C 03 00 00 85 D2 74 13 0F B6 8A C8 02 00 00 80 F1 01 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83406_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.ShowBelowRibbonHandler"
		size = 158
		refs = "000e TCustomRibbonQuickAccessToolbar.ShowBelowRibbonHandler 0029 TQuickAccessToolbar.TogglePosition 0043 SQATShowBelowTheRibbon 0048 LoadResString 0056 TCustomAction.SetCaption 0060 SQATShowAboveTheRibbon 008d @UStrArrayClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 2C 03 00 00 85 C0 74 55 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 8B 83 2C 03 00 00 8B 80 CC 02 00 00 80 78 18 00 75 1D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 38 03 00 00 E8 ?? ?? ?? ?? EB 1B 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 83 38 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_83407_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.ShowCustomizeMenu"
		size = 1232
		refs = "0021 TCustomRibbonQuickAccessToolbar.ShowCustomizeMenu 004d TActionClient.GetItems 0056 _Dn_TActionClientItem 005b TActionClientItem.Create 009f TActionClients.GetActionClient 00a7 TActionClientItem.GetCaption 00d4 TActionClients.Add 010c TActionClientItem.SetUsageCount 0129 TWinControl.EnableAlign 012f @HandleFinally 013b _Dn_TRibbonQATCustomizeMenu 0140 TCustomizeActionToolBar.Create 0166 TCollection.Insert 0171 @AsClass 017c TActionClientItem.SetCommandStyle 0184 SCustomizeQuickAccessToolbar 0189 LoadResString 0193 TActionClientItem.SetCaption 01f0 TActionClientItem.SetAction 021a SQATShowBelowTheRibbon 0230 TCustomAction.SetCaption 023a SQATShowAboveTheRibbon 02dd TCustomAction.SetChecked 0312 _Dn_TCustomizeActionToolBar 032d TCustomActionBar.GetColorMap 0380 TWinControl.AlignControl 03cf TControl.ClientToScreen 0416 TRibbonQATScrollButton.SetDrawDown 0431 TCustomActionPopupMenu.Popup 0472 TObject.Free 04a7 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D CC 89 4D D0 89 4D D4 89 4D D8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 FF 80 B4 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 8B 45 EC 8B 08 FF 51 2C 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F0 4E 85 F6 0F 8C 8D 00 00 00 46 33 DB 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8D 55 D8 E8 ?? ?? ?? ?? 83 7D D8 00 74 5F 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 3B 45 EC 74 45 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 0F B6 15 ?? ?? ?? ?? 8B C7 8B 08 FF 51 24 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 51 08 83 CA FF 8B C7 E8 ?? ?? ?? ?? 43 4E 0F 85 76 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 20 03 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 EC E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 02 8B C3 E8 ?? ?? ?? ?? 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? C7 43 38 FF FF FF FF 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C7 43 38 FF FF FF FF 8B 45 FC 8B 80 2C 03 00 00 8B 80 CC 02 00 00 80 78 1A 00 74 26 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 90 30 03 00 00 8B C3 E8 ?? ?? ?? ?? C7 43 38 FF FF FF FF 8B 45 FC 8B 80 2C 03 00 00 8B 80 CC 02 00 00 80 78 1B 00 74 6A 80 78 18 00 75 20 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B 45 FC 8B 80 38 03 00 00 E8 ?? ?? ?? ?? EB 1E 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 45 FC 8B 80 38 03 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 90 38 03 00 00 8B C3 E8 ?? ?? ?? ?? C7 43 38 FF FF FF FF 8B 45 FC 8B 80 2C 03 00 00 8B 80 CC 02 00 00 80 78 1A 00 75 06 80 78 1B 00 74 22 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C7 43 38 FF FF FF FF 8B 45 FC 8B 80 2C 03 00 00 8B 90 CC 02 00 00 80 7A 19 00 74 3B 0F B6 90 C8 02 00 00 8B 45 FC 8B 80 34 03 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 90 34 03 00 00 8B C3 E8 ?? ?? ?? ?? C7 43 38 FF FF FF FF 8B 45 FC 8B 80 20 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 02 8B C3 8B 08 FF 91 5C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 54 01 00 00 8B 45 FC 8B 80 20 03 00 00 89 83 44 03 00 00 8B 45 F8 89 83 30 03 00 00 8B 55 FC 8B C3 8B 08 FF 91 84 00 00 00 8B 55 EC 8B C3 8B 08 FF 91 4C 01 00 00 B2 01 8B C3 8B 08 FF 91 B4 01 00 00 8B C3 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 28 03 00 00 00 75 07 B8 0D 00 00 00 EB 05 B8 02 00 00 00 8B 55 FC 8B 92 24 03 00 00 3B 55 F8 75 2B 8B 55 F8 03 42 48 8B 55 F8 8B 52 4C 8B 4D F8 03 51 54 83 EA 02 89 45 E4 89 55 E8 8D 4D F0 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? EB 3B 8B 45 F8 8B 40 48 8B 55 F8 03 42 50 83 C0 04 8B 55 F8 8B 52 38 2B 42 50 8B 55 F8 8B 52 4C 8B 4D F8 03 51 54 83 EA 02 89 45 DC 89 55 E0 8D 4D F0 8D 55 DC 8B 45 F8 E8 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 20 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 44 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 07 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_83408_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.ShowMoreControls"
		size = 766
		refs = "0016 TActionClient.GetItems 001f _Dn_TActionClientItem 0024 TActionClientItem.Create 002f TCustomRibbonQuickAccessToolbar.ShowMoreControls 007c TActionClients.GetActionClient 00ae TActionClients.Add 00cd TActionClientItem.SetShowCaption 00d6 TActionClientItem.SetShowShortCut 00e0 TActionClientItem.SetUsageCount 00fd @TryFinallyExit 011a _Dn_TAction 011f TAction.Create 012b TCustomRibbonQuickAccessToolbar.CustomizeHandler 013d TActionClientItem.SetAction 0158 _DV_TRibbonQuickAccessPopupToolbar 015d TCustomRibbonQuickAccessPopupToolbar.Create 0173 TActionBars.Add 0180 TActionClient.SetActionBar 018a TActionBarItem.SetAutoSize 01ae TWinControl.AlignControl 0212 TControl.ClientToScreen 0229 TCustomActionBar.GetColorMap 0246 _Dn_TRibbonQATScrollButton 024b @IsClass 0269 TRibbonQATScrollButton.SetDrawDown 0284 TCustomActionPopupMenu.Popup 02a7 @HandleFinally 02be TObject.Free 02eb TCustomRibbonQuickAccessToolbar.DoUpdateQATWidth"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 45 FC 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 8B 45 F0 8B 08 FF 51 2C 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F8 4F 85 FF 0F 8C 88 00 00 00 47 C7 45 EC 00 00 00 00 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 55 EC E8 ?? ?? ?? ?? 8B D8 3B 5D F0 74 5D 80 7B 54 00 75 57 8B 43 44 85 C0 74 11 80 78 61 00 74 0B 8B 40 48 8B 55 FC 3B 42 50 7E 3F 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 51 08 8B 43 38 89 46 38 83 7E 5C FF 0F 94 C2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 83 CA FF 8B C6 E8 ?? ?? ?? ?? FF 45 EC 4F 75 80 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 75 0A E8 ?? ?? ?? ?? E9 F1 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 52 44 8B 55 E0 8B C6 E8 ?? ?? ?? ?? C7 46 38 FF FF FF FF 83 CA FF 8B C6 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 83 B0 03 00 00 8B 80 84 02 00 00 8B 40 74 E8 ?? ?? ?? ?? 89 45 E4 8B D3 8B 45 E4 E8 ?? ?? ?? ?? 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F0 8B C3 8B 08 FF 91 4C 01 00 00 8B C3 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 28 03 00 00 00 75 07 BE 0D 00 00 00 EB 05 BE 02 00 00 00 8B 45 FC 80 78 69 00 75 0E 33 D2 8B C3 8B 08 FF 91 5C 01 00 00 EB 0C B2 01 8B C3 8B 08 FF 91 5C 01 00 00 8B 45 FC 8B 80 24 03 00 00 03 70 48 89 75 D8 8B 50 4C 03 50 54 83 EA 02 89 55 DC 8D 4D F4 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 24 03 00 00 89 83 30 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 54 01 00 00 8B 45 FC 8B B0 24 03 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 89 75 E8 EB 05 33 C0 89 45 E8 83 7D E8 00 74 0A B2 01 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A 33 D2 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83409_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.UpdateQATWidth"
		size = 36
		refs = "0014 TCustomRibbon.UpdateQATPosition"
	strings:
		$1 = { 53 8B D8 F6 43 1C 01 75 19 8B 83 2C 03 00 00 85 C0 74 0F E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A8 01 00 00 5B C3 }
	condition:
		$1
}

rule function_83410_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.WMPaint"
		size = 231
		refs = "002a DwmCompositionEnabled 003e TWinControl.GetHandle 0044 BeginPaint 004c TCustomRibbonQuickAccessToolbar.WMPaint 0064 BeginBufferedPaint 008d TControl.Perform 00a5 EndBufferedPaint 00ab @HandleFinally 00cc EndPaint 00de TCustomActionBar.WMPaint"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 8B DA 89 45 FC 8B 45 FC F6 40 1C 10 0F 85 BF 00 00 00 8B 45 FC 80 B8 68 02 00 00 00 0F 84 AF 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 A2 00 00 00 8D 45 B4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 52 6A 00 6A 02 8D 55 BC 52 50 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 40 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8B 4D F8 BA 18 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A FF 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84068_0 {
	meta:
		name = "TRibbonApplicationMenuBar.WMPaint"
		size = 231
		refs = "002a DwmCompositionEnabled 003e TWinControl.GetHandle 0044 BeginPaint 004c TRibbonApplicationMenuBar.WMPaint 0064 BeginBufferedPaint 008d TControl.Perform 00a5 EndBufferedPaint 00ab @HandleFinally 00cc EndPaint 00de TCustomActionBar.WMPaint"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 8B DA 89 45 FC 8B 45 FC F6 40 1C 10 0F 85 BF 00 00 00 8B 45 FC 80 B8 68 02 00 00 00 0F 84 AF 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 A2 00 00 00 8D 45 B4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 F8 52 6A 00 6A 02 8D 55 BC 52 50 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 40 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 04 8B 4D F8 BA 18 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A FF 8B 45 F4 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83411_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.DoContextPopup"
		size = 53
		refs = "0018 TControl.DoContextPopup 002b @CallDynaInst"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 8B F1 8B D8 8B CE 8B D4 8B C3 E8 ?? ?? ?? ?? 8B CE 8B D4 8B 83 2C 03 00 00 66 BE E8 FF E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83412_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.DoDropActions"
		size = 29
		refs = "000d TCustomActionBar.DoDropActions 0014 TCustomRibbonQuickAccessToolbar.DoUpdateQATWidth"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_83413_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.DoDropCategory"
		size = 29
		refs = "000d TCustomActionToolBar.DoDropCategory 0014 TCustomRibbonQuickAccessToolbar.DoUpdateQATWidth"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_83414_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.DoDropItem"
		size = 29
		refs = "000d TCustomActionBar.DoDropItem 0014 TCustomRibbonQuickAccessToolbar.DoUpdateQATWidth"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_83415_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.DoMoreCommands"
		size = 130
		refs = "004f _DV_TRibbonCustomizeDlg 0054 TComponent.Create 006f TCustomizeDlg.SetActionManager 007a TCustomizeDlg.Show"
	strings:
		$1 = { 53 56 51 8B D8 C6 04 24 00 66 83 BB 42 03 00 00 00 74 10 8B CC 8B D3 8B 83 44 03 00 00 FF 93 40 03 00 00 80 3C 24 00 75 55 83 BB 2C 03 00 00 00 74 4C 8B 83 2C 03 00 00 83 B8 B8 02 00 00 00 74 3D 83 BB 48 03 00 00 00 75 29 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 48 03 00 00 8B 83 2C 03 00 00 8B 90 B8 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 83 48 03 00 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_83416_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.DoScrollBtnClick"
		size = 33
	strings:
		$1 = { 8B 90 24 03 00 00 80 BA 48 02 00 00 01 75 09 8B 10 FF 92 B4 01 00 00 C3 8B 08 FF 91 B0 01 00 00 C3 }
	condition:
		$1
}

rule function_83417_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.DoUpdateQATWidth"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 B8 01 00 00 C3 }
	condition:
		$1
}

rule function_83418_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.DragDrop"
		size = 43
		refs = "000d TCustomActionToolBar.DragDrop 0022 TCustomRibbonQuickAccessToolbar.DoUpdateQATWidth"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 2C 01 00 00 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_83419_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.BarHandleKeyTips"
		size = 240
		refs = "001a TCustomRibbonQuickAccessToolbar.BarHandleKeyTips 0027 TCustomActionBar.HasItems 0036 TCustomActionBar.GetItems 005a TActionClients.GetActionClient 0066 @IntfClear 0073 Supports 00b0 TKeyTipList.Add 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 87 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B D8 4B 85 DB 7C 73 43 C7 45 F0 00 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 40 44 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 39 8D 4D EF 8B 55 F8 8B 45 FC 8B 38 FF 57 10 80 7D EF 02 75 25 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 40 44 50 6A FF 0F B6 4D EF 8B 45 F4 8B 00 B2 02 E8 ?? ?? ?? ?? FF 45 F0 4B 75 95 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 C8 71 BC 4C 5E C0 C4 4A 8D 8E 9E 89 EC 0B FD 34 }
	condition:
		$1
}

rule function_83420_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.BarHideKeyTips"
		size = 168
		refs = "000e TCustomRibbonQuickAccessToolbar.BarHideKeyTips 001b TCustomActionBar.HasItems 0026 TCustomActionBar.GetItems 0044 TActionClients.GetActionClient 0050 @IntfClear 005d Supports 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 50 8B C6 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B D8 4B 85 DB 7C 3C 43 33 FF 8B C6 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 40 44 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0A 33 D2 8B 45 FC 8B 08 FF 51 14 47 4B 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 C8 71 BC 4C 5E C0 C4 4A 8D 8E 9E 89 EC 0B FD 34 }
	condition:
		$1
}

rule function_83421_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.BarShowKeyTips"
		size = 216
		refs = "0010 TCustomRibbonQuickAccessToolbar.BarShowKeyTips 001d TCustomActionBar.HasItems 0028 TCustomActionBar.GetItems 0046 TActionClients.GetActionClient 0055 IntToStr 005e @UStrAsg 0078 @IntfClear 0085 Supports 00ac @UStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 76 8B C6 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 62 47 33 DB 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 83 C0 70 50 8D 55 F8 8D 43 01 E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 44 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0A B2 01 8B 45 FC 8B 08 FF 51 20 43 4F 75 A1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 C8 71 BC 4C 5E C0 C4 4A 8D 8E 9E 89 EC 0B FD 34 }
	condition:
		$1
}

rule function_83422_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.DrawBackground"
		size = 330
		refs = "0022 TCustomRibbonQuickAccessToolbar.RibbonStyle 002f TRibbonStyleActionBars.DrawElement 0053 TCustomRibbon.GetRibbonMetric 0066 TCustomRibbon.CustomFrameSupported 0079 TCustomRibbon.GlassFrameSupported 008d TBrush.SetColor"
	strings:
		$1 = { 53 83 C4 E0 8B D8 80 BB 28 03 00 00 00 74 29 8D 54 24 10 8B C3 8B 08 FF 51 60 8D 44 24 10 50 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 33 D2 E8 ?? ?? ?? ?? E9 0D 01 00 00 8B D4 8B C3 8B 08 FF 51 60 8B 43 4C F7 D8 89 44 24 04 B2 02 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 03 44 24 04 89 44 24 0C 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 87 00 00 00 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 1F 8B 83 8C 02 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B D4 8B 83 8C 02 00 00 8B 08 FF 51 54 EB 7C 8B 83 2C 03 00 00 80 B8 F8 02 00 00 00 74 25 54 33 D2 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 33 D2 E8 ?? ?? ?? ?? EB 48 54 33 D2 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 B2 01 E8 ?? ?? ?? ?? EB 23 54 33 D2 8B 83 2C 03 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 33 D2 E8 ?? ?? ?? ?? 80 7B 69 00 75 23 8B D4 8B C3 8B 08 FF 51 60 83 6C 24 08 1A 54 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 B2 03 E8 ?? ?? ?? ?? 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_83423_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.GetBarHeight"
		size = 6
		altNames = "TEncodingInfoISO21German.MIBenum"
	strings:
		$1 = { B8 18 00 00 00 C3 }
	condition:
		$1
}

rule function_83424_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.GetBarWidth"
		size = 289
		refs = "0034 TCustomActionBar.HasItems 005a TCustomActionBar.GetItems 007c TActionClients.GetActionClient 00ad TActionClientItem.GetAction 00c8 TActionClient.GetHasItems 00df TActionClient.GetItems"
	strings:
		$1 = { 53 56 57 55 8B D8 8B AB C8 02 00 00 03 ED 8B 83 98 02 00 00 03 E8 F6 43 1C 01 0F 85 FA 00 00 00 8B 93 24 03 00 00 85 D2 74 07 8B 52 50 03 D0 03 EA 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1A 8B C3 8B 10 FF 92 2C 01 00 00 84 C0 0F 84 CC 00 00 00 83 C5 16 E9 C4 00 00 00 45 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F8 4F 85 FF 0F 8C AB 00 00 00 47 33 F6 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 83 78 44 00 0F 84 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 80 78 30 00 74 74 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 04 B0 01 EB 39 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 0F 9F C0 EB 02 33 C0 84 C0 74 1C 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 44 8B 40 50 03 83 98 02 00 00 03 E8 46 4F 0F 85 58 FF FF FF 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83426_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.GetScrollMode"
		size = 21
	strings:
		$1 = { 8B 90 24 03 00 00 85 D2 74 08 0F B6 82 48 02 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_83427_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.Notification"
		size = 104
		refs = "0010 TCustomActionBar.Notification 002f _Dn_TCustomActionControl 0034 @IsClass 003f TCustomRibbonQuickAccessToolbar.Notification 0056 TCustomRibbonQuickAccessToolbar.DoUpdateQATWidth"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 41 3B BE 2C 03 00 00 75 0A 33 C0 89 86 2C 03 00 00 EB 2F 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 0F B7 05 ?? ?? ?? ?? 66 23 46 1C 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 09 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_83428_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.RequestAlign"
		size = 62
		refs = "0006 TCustomActionBar.RequestAlign 0038 TControl.SetLeft"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 28 03 00 00 00 74 29 83 BB 24 03 00 00 00 74 20 8B C3 8B 10 FF 92 28 01 00 00 8B D0 8B 83 24 03 00 00 2B 50 50 8B 83 24 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83429_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.RibbonStyle"
		size = 66
		refs = "000f _Dn_TRibbonStyleActionBars 0014 @IsClass 0033 TCustomRibbon.GetStyle 003a RibbonLunaStyle"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 78 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 8B 10 FF 92 78 01 00 00 5B C3 8B 83 2C 03 00 00 85 C0 74 07 E8 ?? ?? ?? ?? EB 07 A1 ?? ?? ?? ?? 8B 00 5B C3 }
	condition:
		$1
}

rule function_83430_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.SetParent"
		size = 40
		refs = "0007 TWinControl.SetParent 0012 _DV_TCustomRibbon 0017 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 73 38 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 89 B3 2C 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_83431_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.SetScrollMode"
		size = 81
		refs = "0013 TRibbonQATScrollButton.SetScrollMode 002d SCustomizeQuickAccessToolbar 0032 LoadResString 0045 SMoreControls"
	strings:
		$1 = { 53 56 8B D8 8B 83 24 03 00 00 85 C0 74 40 8B F0 8B C6 E8 ?? ?? ?? ?? 80 BE 48 02 00 00 00 75 18 8B 83 24 03 00 00 8D 90 88 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 8B 83 24 03 00 00 8D 90 88 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83432_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.SetShowBorder"
		size = 56
		refs = "0020 TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 3A 93 28 03 00 00 74 2B 88 93 28 03 00 00 8B C3 8B 10 FF 92 24 01 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 24 03 00 00 85 C0 74 08 8B 10 FF 92 08 01 00 00 5B C3 }
	condition:
		$1
}

rule function_83433_0 {
	meta:
		name = "TCustomRibbonQuickAccessToolbar.SetupDropDownBtn"
		size = 132
		refs = "0006 TCustomActionToolBar.SetupDropDownBtn 002a SCustomizeQuickAccessToolbar 002f LoadResString 0042 SMoreControls 005d TControl.SetAlign 007e TControl.SetLeft"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 24 03 00 00 85 C0 74 6E 80 B8 48 02 00 00 00 75 18 8B 83 24 03 00 00 8D 90 88 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 8B 83 24 03 00 00 8D 90 88 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB 28 03 00 00 00 74 0F 33 D2 8B 83 24 03 00 00 E8 ?? ?? ?? ?? EB 1F 8B C3 8B 10 FF 92 2C 01 00 00 84 C0 74 11 8B 83 24 03 00 00 8B 53 50 2B 50 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83434_0 {
	meta:
		name = "TQuickAccessToolbar.Assign"
		size = 57
		refs = "000a _DV_TQuickAccessToolbar 000f @IsClass 0026 TQuickAccessToolbar.SetActionBar 0032 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B C6 0F B6 50 18 88 53 18 8B 50 04 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83435_0 {
	meta:
		name = "TQuickAccessToolbar.Create"
		size = 76
		refs = "000b @ClassCreate 001a TObject.Create 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 08 C6 47 18 00 C6 47 19 01 C6 47 1A 01 C6 47 1B 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83437_0 {
	meta:
		name = "TQuickAccessToolbar.GetBarWidth"
		size = 24
	strings:
		$1 = { 56 8B 70 04 85 F6 75 04 33 C0 5E C3 8B C6 8B 10 FF 92 28 01 00 00 5E C3 }
	condition:
		$1
}

rule function_83438_0 {
	meta:
		name = "GetActionBarItem"
		size = 93
		refs = "0036 TActionBars.GetActionBar"
	strings:
		$1 = { 53 56 57 55 8B F0 85 F6 74 4A 83 BE 84 02 00 00 00 74 41 8B 86 84 02 00 00 8B 40 74 8B 40 08 8B 78 08 4F 85 FF 7C 2D 47 33 ED 8B 86 84 02 00 00 8B 40 74 8B D5 E8 ?? ?? ?? ?? 8B D8 83 7B 0C 00 74 0E 8B 43 0C 8B D6 8B 08 FF 51 D4 84 C0 75 06 45 4F 75 D6 33 DB 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83439_0 {
	meta:
		name = "TQuickAccessToolbar.Show"
		size = 80
		refs = "000c GetActionBarItem 0028 TQuickAccessToolbar.Show"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 8B 47 04 E8 ?? ?? ?? ?? 8B F0 85 F6 74 31 8B 6F 04 F6 45 1C 10 74 1F 84 DB 75 0E 8B 45 58 0B 05 ?? ?? ?? ?? 89 45 58 EB 0D A1 ?? ?? ?? ?? F7 D0 23 45 58 89 45 58 8B D3 8B C6 8B 08 FF 51 2C 5D 5F 5E 5B C3 00 04 00 00 }
	condition:
		$1
}

rule function_83440_0 {
	meta:
		name = "TQuickAccessToolbar.SetActionBar"
		size = 308
		refs = "002f TComponent.FreeNotification 003b TControl.SetLeft 0043 TCustomRibbon.CustomFrameSupported 0051 TCustomRibbon.GetRibbonMetric 005a TControl.SetTop 00b1 TActionBars.GetActionBar 00dc TActionBarItem.SetAutoSize 00fd TActionBars.Add 0108 TActionClient.SetActionBar 0119 TCustomRibbon.UpdateQATPosition 0121 TCustomRibbon.InvalidateHeaderArea"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B F2 8B D8 3B 73 04 0F 84 18 01 00 00 89 73 04 85 F6 0F 84 0D 01 00 00 83 7B 08 00 0F 84 03 01 00 00 8B 53 08 8B C6 E8 ?? ?? ?? ?? BA 22 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 15 B2 0D 8B 43 08 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 0C BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 43 08 F6 40 1C 01 0F 85 AC 00 00 00 8B 90 B8 02 00 00 85 D2 0F 84 8E 00 00 00 8B 42 74 89 04 24 C6 44 24 04 00 8B 04 24 8B 40 08 8B 68 08 4D 85 ED 7C 49 45 C7 44 24 08 00 00 00 00 8B 54 24 08 8B 04 24 E8 ?? ?? ?? ?? 8B F8 8B 47 0C 85 C0 74 0D 8B D6 8B 08 FF 51 D4 88 44 24 04 EB 05 C6 44 24 04 00 80 7C 24 04 00 74 0B 33 D2 8B C7 E8 ?? ?? ?? ?? EB 07 FF 44 24 08 4D 75 C0 80 7C 24 04 00 75 25 8B 43 08 8B 80 B8 02 00 00 8B 40 74 E8 ?? ?? ?? ?? 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83445_0 {
	meta:
		name = "TQuickAccessToolbar.TogglePosition"
		size = 22
		refs = "0009 TQuickAccessToolbar.SetPosition"
	strings:
		$1 = { 80 78 18 00 75 08 B2 01 E8 ?? ?? ?? ?? C3 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83448_0 {
	meta:
		name = "GetUniqueName"
		size = 91
		refs = "0025 Format 004c TComponent.FindComponent"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 89 55 FC 8B F8 BB 01 00 00 00 56 89 5D F4 C6 45 F8 00 8D 55 F4 33 C9 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 25 EB 15 43 56 89 5D F4 C6 45 F8 00 8D 55 F4 33 C9 8B C7 E8 ?? ?? ?? ?? 8B 16 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83449_0 {
	meta:
		name = "TRibbonTabs.CreatePageForItem"
		size = 444
		refs = "0017 TRibbonTabs.CreatePageForItem 0025 TRibbonTabs.GetRibbon 0056 GetParentForm 005f _DV_TRibbonPage 0064 TCustomRibbonPage.Create 008b TCustomRibbonPage.SetRibbon 00a9 TCustomRibbon.GetRibbonMetric 00e5 GetUniqueName 00f6 TCollectionItem.GetIndex 00ff TCustomRibbonPage.SetIndex 010c TControl.SetText 0122 TCustomRibbon.SetTabIndex 0163 @HandleFinally 017a @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 58 58 0B 1D ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 58 58 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 84 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 50 83 E8 02 50 8B 45 FC E8 ?? ?? ?? ?? B2 05 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? B2 04 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C3 8B 38 FF 97 A4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B D0 8D 4D F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 24 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 89 5E 14 8B 53 08 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? F7 D3 23 58 58 8B 45 FC E8 ?? ?? ?? ?? 89 58 58 C3 E9 ?? ?? ?? ?? EB DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 69 00 62 00 62 00 6F 00 6E 00 50 00 61 00 67 00 65 00 25 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_83450_0 {
	meta:
		name = "TRibbonTabs.FindGroup"
		size = 56
		refs = "001b TRibbonTabs.GetItem 0025 TCustomRibbonPage.FindGroup"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 08 8B 58 08 4B 85 DB 7C 1E 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 40 14 8B D5 E8 ?? ?? ?? ?? 85 C0 75 06 46 4B 75 E5 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83452_0 {
	meta:
		name = "TRibbonTabs.GetPageFromPageCaption"
		size = 38
		refs = "0007 TRibbonTabs.IndexOfCaption 0017 TRibbonTabs.GetItem"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 83 FE FF 7E 0F 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 14 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_83454_0 {
	meta:
		name = "TRibbonTabs.IndexOfCaption"
		size = 203
		refs = "001a TRibbonTabs.IndexOfCaption 0041 TRibbonTabs.GetItem 004e @UStrLAsg 007f CompareText 008f TCollectionItem.GetIndex 00b6 @UStrArrayClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 4D F8 8B F2 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 08 8B 78 08 4F 85 FF 7C 6B 47 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0B 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 09 FF 45 F0 4F 75 9D 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83455_0 {
	meta:
		name = "TRibbonTabs.Notify"
		size = 103
		refs = "0010 TCollection.Notify 0025 TRibbonTabs.GetRibbon 002a TWinControl.GetHandle 0030 PostMessage 0051 _DV_TRibbonTabItem 0056 @AsClass 005f TRibbonTabs.CreatePageForItem"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 02 75 1D 6A 00 6A 00 68 34 B0 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 2D 84 DB 75 29 8B C6 E8 ?? ?? ?? ?? F6 40 1C 01 75 1C 80 7E 1C 00 75 16 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83456_0 {
	meta:
		name = "TRibbonTabs.TabExists"
		size = 193
		refs = "001a TRibbonTabs.TabExists 0041 TRibbonTabs.GetItem 004e @UStrLAsg 007f CompareText 00ac @UStrArrayClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 4D F8 8B F2 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 08 8B 78 08 4F 85 FF 7C 62 47 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 84 DB 75 08 FF 45 F0 4F 75 A6 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83457_0 {
	meta:
		name = "TRibbonTabs.SelectNext"
		size = 64
		refs = "0007 TRibbonTabs.GetRibbon 000c TCustomRibbon.GetTabIndex 0037 TCustomRibbon.SetTabIndex"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 52 08 4A 3B C2 0F 9C C3 84 DB 74 1B 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_83458_0 {
	meta:
		name = "TRibbonTabs.SelectPrior"
		size = 57
		refs = "0007 TRibbonTabs.GetRibbon 000c TCustomRibbon.GetTabIndex 0030 TCustomRibbon.SetTabIndex"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 9F C3 84 DB 74 1B 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_83460_0 {
	meta:
		name = "TRibbonTabItem.Assign"
		size = 125
		refs = "000f TRibbonTabItem.Assign 001d _DV_TRibbonTabItem 0022 @IsClass 0037 @UStrAsg 0041 TRibbonTabItem.GetKeyTip 0057 TPersistent.Assign 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 28 8B 46 14 89 43 14 8D 43 18 8B 56 18 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 2C E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83462_0 {
	meta:
		name = "TRibbonTabItem.GetBestTabWidth"
		size = 15
		refs = "0006 TRibbonTabItem.RecalculateTabItemMetrics"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 20 5B C3 }
	condition:
		$1
}

rule function_83463_0 {
	meta:
		name = "TRibbonTabItem.GetDisplayName"
		size = 37
		refs = "0011 TCollectionItem.GetDisplayName 001e @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 18 00 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83464_0 {
	meta:
		name = "TRibbonTabItem.GetKeyTip"
		size = 40
		refs = "0017 @UStrAsg 0020 @UStrClr"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 14 85 FF 74 0F 8B C6 8B 97 88 02 00 00 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83465_0 {
	meta:
		name = "TRibbonTabItem.GetMinTabWidth"
		size = 15
		refs = "0006 TRibbonTabItem.RecalculateTabItemMetrics"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 24 5B C3 }
	condition:
		$1
}

rule function_83466_0 {
	meta:
		name = "TRibbonTabItem.RecalculateTabItemMetrics"
		size = 160
		refs = "0020 TRibbonTabItem.RecalculateTabItemMetrics 0037 TCustomCanvas.TextWidth 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 58 14 85 DB 74 71 8B 45 FC 80 78 1C 00 74 68 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 50 18 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 70 24 83 C6 11 8B 45 FC 89 70 20 8B 45 FC 8B 40 14 8B 80 78 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 1C 00 C3 E9 ?? ?? ?? ?? EB F1 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4D 00 6D 00 6D 00 00 00 }
	condition:
		$1
}

rule function_83467_0 {
	meta:
		name = "TRibbonTabItem.SetCaption"
		size = 67
		refs = "000c @UStrEqual 0018 @UStrAsg 0026 TControl.SetText 0038 TCustomRibbon.RebuildRibbonMetrics"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 18 8B D6 E8 ?? ?? ?? ?? 74 2E 8D 43 18 8B D6 E8 ?? ?? ?? ?? 8B 43 14 85 C0 74 19 8B D6 E8 ?? ?? ?? ?? 8B 43 14 8B 80 8C 02 00 00 85 C0 74 05 E8 ?? ?? ?? ?? C6 43 1C 01 5E 5B C3 }
	condition:
		$1
}

rule function_83468_0 {
	meta:
		name = "TRibbonTabItem.SetKeyTip"
		size = 31
		refs = "0017 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 14 85 F6 74 0D 8D 86 88 02 00 00 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83469_0 {
	meta:
		name = "TRibbonTabItem.SetPage"
		size = 51
		refs = "001f TCollectionItem.GetIndex 002c TCustomRibbon.SetTabIndex"
	strings:
		$1 = { 53 56 8B D8 3B 53 14 74 27 89 53 14 8B 73 14 85 F6 74 1D 83 BE 8C 02 00 00 00 74 14 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83470_0 {
	meta:
		name = "TRibbonGroupDockForm.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TToolDockForm.Create 0020 TCustomForm.SetBorderStyle 0029 TWinControl.SetDockSite 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83471_0 {
	meta:
		name = "TRibbonGroupDockForm.CreateParams"
		size = 26
		refs = "0006 TToolDockForm.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? C7 43 04 00 00 00 80 C7 43 08 88 00 08 00 5B C3 }
	condition:
		$1
}

rule function_83614_0 {
	meta:
		name = "TKeyTipWindow.CreateParams"
		size = 26
		refs = "0006 TWinControl.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? C7 43 04 00 00 00 80 C7 43 08 88 00 08 00 5B C3 }
	condition:
		$1
}

rule function_83472_0 {
	meta:
		name = "TRibbonGroupDockForm.WMActivate"
		size = 300
		refs = "0012 TRibbonGroupDockForm.WMActivate 002a TWinControl.GetControlCount 003b TWinControl.GetControl 004e @IntfClear 0060 Supports 0089 TControl.SetTop 00bc TCustomForm.WMActivate 00ca TCustomForm.Hide 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7E 04 00 0F 85 90 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E 81 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F8 83 BB A8 03 00 00 00 74 6D 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 4F 8B 45 F8 8B 10 FF 52 0C 8B D0 8B C7 8B 08 FF 91 84 00 00 00 8B 45 F8 8B 10 FF 52 10 8B D0 8B C7 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 0C 8B 45 F8 8B 10 FF 52 14 8B D6 8B C3 E8 ?? ?? ?? ?? 66 83 7E 04 00 75 19 8B C3 E8 ?? ?? ?? ?? 8B 83 A8 03 00 00 85 C0 74 08 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 79 95 5B 64 03 7A AF 47 A3 53 E3 88 29 FA 4B 46 41 55 B8 A7 53 B7 DD 4D AE 84 9F AD E8 AD A9 27 }
	condition:
		$1
}

rule function_83474_0 {
	meta:
		name = "IsLargeButton"
		size = 35
	strings:
		$1 = { 80 78 76 00 75 06 83 78 78 00 75 04 33 D2 EB 02 B2 01 84 D2 74 0A 8B 40 78 80 78 18 01 0F 94 C2 8B C2 C3 }
	condition:
		$1
}

rule function_83475_0 {
	meta:
		name = "IsGallery"
		size = 40
		refs = "001d TGalleryProperties.GetGalleryType"
	strings:
		$1 = { 53 8B D8 80 7B 76 04 75 06 83 7B 78 00 75 04 33 C0 EB 02 B0 01 84 C0 74 0D 8B 43 78 E8 ?? ?? ?? ?? 3C 02 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_83476_0 {
	meta:
		name = "TCustomRibbonGroup.AlignGroupControls"
		size = 957
		refs = "0010 TCustomActionBar.HasItems 003a TRibbonGroupCollapsedControl.SetupGroupImage 006f TActionClient.GetItems 00d6 TActionClients.GetActionClient 0106 IsLargeButton 0117 IsGallery 0176 TCustomRibbonGroup.GetCaptionHeight 01c0 TControl.SetTop 01ca TControl.SetLeft 030c _Dn_TButtonProperties 0311 @IsClass 0365 TCustomRibbonGroup.AlignGroupControls 0373 TCustomRibbonGroup.GetRequiredWidth 037d TControl.SetWidth 0392 TWinControl.EnableAlign 0398 @HandleFinally 03b2 TCustomRibbonPage.AlignGroups"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 9A 03 00 00 8B 45 FC 80 B8 28 03 00 00 00 0F 85 8A 03 00 00 8B 45 FC 8B 80 60 03 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B 45 FC C7 80 68 03 00 00 FF FF FF FF 8B 45 FC C7 80 6C 03 00 00 FF FF FF FF 8B 45 FC C7 80 70 03 00 00 FF FF FF FF 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 80 30 03 00 00 8B 55 FC 03 82 44 03 00 00 89 45 F0 8B 45 F0 89 45 D8 C7 45 EC 04 00 00 00 C7 45 DC 01 00 00 00 33 C0 89 45 E0 33 FF 8B 45 FC 8B 55 F0 89 90 68 03 00 00 8B 45 F8 8B 40 08 8B 40 08 48 85 C0 0F 8C 93 02 00 00 40 89 45 D4 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 73 44 8B 45 FC 80 B8 48 03 00 00 01 0F 85 49 01 00 00 85 F6 0F 84 54 02 00 00 8B 46 50 89 45 E8 8B 46 54 89 45 E4 8B C3 E8 ?? ?? ?? ?? 84 C0 75 11 80 7B 54 00 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 8B 45 FC 8B 80 30 03 00 00 89 45 F0 8B 45 FC 8B 80 34 03 00 00 03 45 E0 01 45 EC 33 C0 89 45 E0 EB 79 80 7B 75 00 74 2B 8B 45 FC 8B 80 30 03 00 00 8B 55 FC 03 82 44 03 00 00 89 45 F0 8B 45 FC 8B 80 34 03 00 00 03 45 E0 01 45 EC 33 C0 89 45 E0 EB 48 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 52 54 2B D0 8B 45 F0 03 45 E4 3B D0 0F 9F C0 84 C0 75 29 8B 45 FC 8B 80 30 03 00 00 8B 55 FC 03 82 44 03 00 00 89 45 F0 8B 45 FC 8B 80 34 03 00 00 03 45 E0 01 45 EC 33 C0 89 45 E0 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 46 4C B9 16 00 00 00 99 F7 F9 40 89 43 7C 8B 46 54 01 45 F0 8B 45 E8 3B 45 E0 7E 05 8B 45 E8 EB 03 8B 45 E0 89 45 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 52 54 2B D0 3B 55 F0 0F 8D 3C 01 00 00 8B 45 FC 8B 80 30 03 00 00 8B 55 FC 03 82 44 03 00 00 89 45 F0 8B 45 FC 8B 80 34 03 00 00 03 45 E0 01 45 EC E9 13 01 00 00 85 F6 0F 84 0B 01 00 00 80 7B 74 00 74 4A 8B 45 FC 8B 80 3C 03 00 00 3B 45 DC 7E 3C FF 45 DC 8B 55 FC 8B 92 30 03 00 00 8B 45 FC 8B 80 44 03 00 00 03 D0 8B 4D DC 49 6B C9 16 03 D1 03 D0 89 55 F0 C7 45 EC 04 00 00 00 8B 45 FC 8B 55 DC 8B 4D F0 89 8C 90 64 03 00 00 85 FF 74 16 80 7F 76 05 75 10 80 7B 76 05 74 0A 80 7B 55 00 75 04 83 45 EC 03 8B C3 E8 ?? ?? ?? ?? 84 C0 75 11 80 7B 54 00 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 F0 89 45 D8 8B 45 FC 8B 80 30 03 00 00 89 45 F0 8B 45 DC 89 43 7C 8B 46 50 50 8B 46 54 50 8B 4D F0 8B 55 EC 8B C6 8B 38 FF 97 A4 00 00 00 8B 46 50 8B 55 FC 03 82 34 03 00 00 01 45 EC 8B 73 78 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 0F B6 46 1A 04 FD 2C 02 73 04 83 45 EC 03 8B C3 E8 ?? ?? ?? ?? 84 C0 75 11 80 7B 54 00 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 8B 45 D8 89 45 F0 8B FB FF 45 F4 FF 4D D4 0F 85 78 FD FF FF 8B 45 FC 66 FF 80 B4 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 4C 03 00 00 85 C0 74 0B 80 78 61 00 74 05 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83477_0 {
	meta:
		name = "CloneControl"
		size = 376
		refs = "002a CloneControl 0062 @UStrLAsg 0081 _Dn_TMemoryStream 0086 TObject.Create 00a2 TStream.WriteComponent 00ae TStream.SetPosition 00b9 TStream.ReadComponent 00d6 GetPropList 00f6 GetMethodProp 0106 SetMethodProp 0121 TObject.Free 0127 @HandleFinally 015e @UStrClr"
	strings:
		$1 = { 55 8B EC 50 B8 10 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 83 C4 FC 53 56 57 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 00 89 C6 8B 45 F8 8B 48 04 B2 01 8B C6 FF 50 38 89 45 F4 8B D3 8B 45 F4 8B 08 FF 91 84 00 00 00 8D 45 FC 8B 55 F8 8B 52 08 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 51 24 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 6A 01 8D 8D 00 00 FF FF 8B 45 F8 8B 00 83 C0 B8 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2F 46 8D 9D 00 00 FF FF 8D 8D F8 FF FE FF 8B 3B 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8D 8D F8 FF FE FF 8B D7 8B 45 F4 E8 ?? ?? ?? ?? 83 C3 04 4E 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 51 24 C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 01 00 00 }
	condition:
		$1
}

rule function_83478_0 {
	meta:
		name = "TCustomRibbonGroup.Assign"
		size = 701
		refs = "001b TCustomRibbonGroup.Assign 002a _DV_TCustomRibbonGroup 002f @IsClass 0048 TCustomActionBar.SetActionManager 004f TCustomActionBar.GetColorMap 0066 TControl.GetText 0071 TControl.SetText 007f TCustomRibbonGroup.SetDialogAction 0089 TCustomRibbonGroup.GetKeyTip 0094 TCustomRibbonGroup.SetKeyTip 00a3 TCustomRibbonGroup.SetGroupAlign 00b1 TCustomRibbonGroup.SetRows 00e0 TActionBars.Add 00e8 TActionClient.SetActionBar 00f3 TActionClient.GetItems 00f8 TCollection.GetEnumerator 0122 TCollection.GetItem 014d CloneControl 015f TControlProperties.SetContainedControl 0167 TCollectionEnumerator.MoveNext 018e @HandleFinally 01a4 TActionClient.GetHasItems 028d TPersistent.Assign 02a2 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D D8 89 4D DC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 4B 02 00 00 8B 5D F8 8B 93 84 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 54 01 00 00 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 93 64 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC E8 ?? ?? ?? ?? 0F B6 93 48 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 93 3C 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 83 74 03 00 00 8B 55 FC 89 82 74 03 00 00 8B 83 4C 03 00 00 8B 55 FC 89 82 4C 03 00 00 8B 45 FC 8B 80 84 02 00 00 8B 40 74 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 83 80 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 54 8B 45 F0 89 45 EC 8B 45 EC 8B 50 04 8B 45 EC 8B 40 08 E8 ?? ?? ?? ?? 89 45 E8 8B 5D E8 8B FB 80 7F 76 08 75 2F 8B 47 78 83 78 20 00 74 26 8B 47 78 8B 40 20 89 45 F4 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 8D 45 F4 89 46 0C 8B 47 78 8B D6 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 A0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 5D F8 8B B3 80 02 00 00 85 F6 74 2B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 20 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 8B 83 80 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 4E 8B 45 F0 89 45 E4 8B 45 E4 8B 50 04 8B 45 E4 8B 40 08 E8 ?? ?? ?? ?? 89 45 E0 8B 5D E0 8B FB 80 7F 76 08 75 29 8B 47 78 83 78 20 00 74 20 8B 47 78 8B 70 20 8B 46 0C 89 45 F4 8B 45 F4 8B 40 0C 89 46 0C 8B 47 78 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 A6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 8B 10 FF 92 74 01 00 00 8B 45 FC 8B 10 FF 92 B8 01 00 00 EB 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83479_0 {
	meta:
		name = "TCustomRibbonGroup.AutoSizingChanged"
		size = 11
	strings:
		$1 = { B2 01 8B 08 FF 91 50 01 00 00 C3 }
	condition:
		$1
}

rule function_83480_0 {
	meta:
		name = "TCustomRibbonGroup.BarHandleKeyTips"
		size = 236
		refs = "001a TCustomRibbonGroup.BarHandleKeyTips 0027 TCustomActionBar.HasItems 004f TCustomActionBar.GetItems 0057 TActionClients.GetActionClient 0063 @IntfClear 0070 Supports 00ad TKeyTipList.Add 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 84 00 00 00 8B C6 8B 10 FF 92 3C 01 00 00 8B D8 4B 85 DB 7C 73 43 C7 45 F0 00 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 40 44 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 39 8D 4D EF 8B 55 F8 8B 45 FC 8B 38 FF 57 10 80 7D EF 00 74 25 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 40 44 50 6A FF 0F B6 4D EF 8B 45 F4 8B 00 B2 02 E8 ?? ?? ?? ?? FF 45 F0 4B 75 95 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 C8 71 BC 4C 5E C0 C4 4A 8D 8E 9E 89 EC 0B FD 34 }
	condition:
		$1
}

rule function_83481_0 {
	meta:
		name = "TCustomRibbonGroup.BarHideKeyTips"
		size = 388
		refs = "0017 TCustomRibbonGroup.BarHideKeyTips 0024 TCustomActionBar.HasItems 005b TKeyTipList.GetCount 0071 TCustomActionBar.GetItems 0078 TActionClients.GetActionClient 0089 TKeyTipList.GetItem 00d4 @IntfClear 00e1 Supports 0166 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 1F 01 00 00 83 7D F8 00 0F 84 C5 00 00 00 8B C3 8B 10 FF 92 3C 01 00 00 48 85 C0 0F 8C 02 01 00 00 40 89 45 EC 33 F6 C6 45 F7 01 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 52 47 C7 45 F0 00 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 83 78 44 00 74 30 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 04 50 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 44 5A 8B 08 FF 51 D4 84 C0 74 06 C6 45 F7 00 EB 06 FF 45 F0 4F 75 B6 80 7D F7 00 74 35 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 44 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0A 33 D2 8B 45 FC 8B 08 FF 51 14 46 FF 4D EC 0F 85 56 FF FF FF EB 50 8B C3 8B 10 FF 92 3C 01 00 00 48 85 C0 7C 41 40 89 45 EC 33 F6 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 44 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0A 33 D2 8B 45 FC 8B 08 FF 51 14 46 FF 4D EC 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 C8 71 BC 4C 5E C0 C4 4A 8D 8E 9E 89 EC 0B FD 34 }
	condition:
		$1
}

rule function_83482_0 {
	meta:
		name = "TCustomRibbonGroup.BarShowKeyTips"
		size = 420
		refs = "000e TCustomRibbonGroup.BarShowKeyTips 002d TCustomActionBar.HasItems 003c TCustomActionBar.GetItems 005e TActionClients.GetActionClient 006a @IntfClear 0077 Supports 0186 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 61 00 75 0C 80 BB 58 03 00 00 00 E9 45 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 36 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F8 4F 85 FF 0F 8C 1E 01 00 00 47 33 F6 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 44 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 E4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 0F B6 40 76 84 C0 74 0A 04 FC 2C 05 0F 83 BA 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 78 80 78 18 01 75 0F B2 05 8B 45 FC 8B 08 FF 51 20 E9 9E 00 00 00 8B 83 3C 03 00 00 83 F8 03 75 4C 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 83 78 7C 01 75 0C B2 03 8B 45 FC 8B 08 FF 51 20 EB 73 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 83 78 7C 02 75 0C B2 04 8B 45 FC 8B 08 FF 51 20 EB 53 B2 05 8B 45 FC 8B 08 FF 51 20 EB 47 83 F8 02 75 2C 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 83 78 7C 01 75 0C B2 03 8B 45 FC 8B 08 FF 51 20 EB 22 B2 05 8B 45 FC 8B 08 FF 51 20 EB 16 B2 04 8B 45 FC 8B 08 FF 51 20 EB 0A B2 02 8B 45 FC 8B 08 FF 51 20 46 4F 0F 85 E5 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 C8 71 BC 4C 5E C0 C4 4A 8D 8E 9E 89 EC 0B FD 34 }
	condition:
		$1
}

rule function_83483_0 {
	meta:
		name = "TCustomRibbonGroup.Clone"
		size = 86
		refs = "000b _DV_TCustomRibbonGroup 0010 TCustomRibbonGroup.Create 001b GetParentForm"
	strings:
		$1 = { 53 56 57 8B D8 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 84 00 00 00 8B 43 50 50 8B 43 54 50 B9 01 00 00 80 BA 01 00 00 80 8B C6 8B 38 FF 97 A4 00 00 00 8B D3 8B C6 8B 08 FF 51 08 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83484_0 {
	meta:
		name = "TCustomRibbonGroup.CMFontchanged"
		size = 96
		refs = "0023 TCustomRibbon.GetRibbonMetric 002d TFont.SetSize 0036 TWinControl.CMFontChanged 004e TControl.SetFont"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 9E 4C 03 00 00 85 DB 74 20 83 BB 8C 02 00 00 00 74 17 8B 83 8C 02 00 00 B2 0C E8 ?? ?? ?? ?? 8B D0 8B 46 6C E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? F6 46 1C 01 75 1C 8B 86 60 03 00 00 85 C0 74 08 8B 56 6C E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 B8 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83485_0 {
	meta:
		name = "TCustomRibbonGroup.CMItemDropPoint"
		size = 22
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 8B C6 8B 10 FF 92 B8 01 00 00 5E C3 }
	condition:
		$1
}

rule function_83487_0 {
	meta:
		name = "TCustomRibbonGroup.CMMouseleave"
		size = 99
		refs = "0009 TCustomActionBar.CMMouseLeave 0012 Mouse 0019 TMouse.GetCursorPos 0026 TControl.ScreenToClient 003c PtInRect 0049 TCustomRibbonGroup.SetMouseInControl"
	strings:
		$1 = { 56 83 C4 E0 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 54 24 08 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 54 24 08 8B CC 8B C6 E8 ?? ?? ?? ?? 8D 54 24 10 8B C6 8B 08 FF 51 60 8D 44 24 10 8B D4 E8 ?? ?? ?? ?? 84 C0 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 38 03 00 00 00 8B C6 8B 10 FF 92 9C 00 00 00 83 C4 20 5E C3 }
	condition:
		$1
}

rule function_83489_0 {
	meta:
		name = "TCustomRibbonGroup.Create"
		size = 150
		refs = "000a @ClassCreate 0017 TCustomActionControlBar.Create 002b TBrush.SetStyle 0050 TControl.SetWidth 005c TControl.SetHeight 0065 TControl.SetAlign 0078 TCustomRibbonGroup.SetRows 0083 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 58 03 00 00 03 8B 86 C8 01 00 00 B2 01 E8 ?? ?? ?? ?? C6 86 38 03 00 00 00 C7 86 30 03 00 00 02 00 00 00 33 C0 89 86 34 03 00 00 BA C8 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 56 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 48 03 00 00 01 BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83490_0 {
	meta:
		name = "TCustomRibbonGroup.CreateCollapsedControl"
		size = 226
		refs = "000f TCustomRibbonGroup.CreateCollapsedControl 001e _DV_TRibbonGroupCollapsedControl 0023 TRibbonGroupCollapsedControl.Create 0045 TCustomRibbonGroup.GetKeyTip 0053 TRibbonGroupCollapsedControl.SetKeyTip 0061 TControl.SetTop 006b TControl.GetText 0079 TControl.SetText 0086 TRibbonGroupCollapsedControl.SetGroup 0097 TRibbonGroupCollapsedControl.SetActionManager 00b3 TControl.SetWidth 00c8 @UStrClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 60 03 00 00 8B 93 4C 03 00 00 8B C6 8B 08 FF 91 84 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 60 03 00 00 E8 ?? ?? ?? ?? 8B 53 4C 8B 83 60 03 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 60 03 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 60 03 00 00 E8 ?? ?? ?? ?? 8B 93 84 02 00 00 8B 83 60 03 00 00 E8 ?? ?? ?? ?? 8B 83 60 03 00 00 8B 53 50 89 90 C8 01 00 00 8B 50 50 83 C2 04 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_83491_0 {
	meta:
		name = "TCustomRibbonGroup.CreateControl"
		size = 28
		refs = "0007 TCustomActionControlBar.CreateControl"
	strings:
		$1 = { 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C6 8B 10 FF 92 B8 01 00 00 8B C7 5F 5E C3 }
	condition:
		$1
}

rule function_83492_0 {
	meta:
		name = "TCustomRibbonGroup.CreateControls"
		size = 22
		refs = "0006 TCustomActionControlBar.CreateControls"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 B8 01 00 00 5E C3 }
	condition:
		$1
}

rule function_83518_0 {
	meta:
		name = "TCustomRibbonGroup.Resize"
		size = 22
		refs = "0006 TCustomActionDockBar.Resize"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 B8 01 00 00 5E C3 }
	condition:
		$1
}

rule function_83493_0 {
	meta:
		name = "TCustomRibbonGroup.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 001a TObject.Free 0038 TCustomActionToolBar.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 60 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 50 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83494_0 {
	meta:
		name = "TCustomRibbonGroup.DockDrop"
		size = 32
		refs = "000d TWinControl.DockDrop"
	strings:
		$1 = { 55 8B EC 56 8B F0 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 B8 01 00 00 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_83496_0 {
	meta:
		name = "TCustomRibbonGroup.DoDropItem"
		size = 32
		refs = "000d TCustomActionBar.DoDropItem"
	strings:
		$1 = { 55 8B EC 56 8B F0 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 B8 01 00 00 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_83497_0 {
	meta:
		name = "TCustomRibbonGroup.DoEndDrag"
		size = 32
		refs = "000d TControl.DoEndDrag"
	strings:
		$1 = { 55 8B EC 56 8B F0 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 B8 01 00 00 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_83495_0 {
	meta:
		name = "TCustomRibbonGroup.DragDrop"
		size = 88
		refs = "000d TCustomActionToolBar.DragDrop 0021 TCustomRibbonGroup.DragDrop 0041 TCustomRibbon.SetActionManager"
	strings:
		$1 = { 55 8B EC 56 8B F0 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 83 BE 84 02 00 00 00 74 35 F6 46 58 01 75 2F A1 ?? ?? ?? ?? 0B 46 58 89 46 58 8B 86 74 03 00 00 83 B8 B8 02 00 00 00 75 0B 8B 96 84 02 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E 5D C2 04 00 01 00 00 00 }
	condition:
		$1
}

rule function_83498_0 {
	meta:
		name = "TCustomRibbonGroup.DrawShowDialogButton"
		size = 107
		refs = "000b TCustomRibbonGroup.GetDialogButtonRect 001b IsLeftMouseButtonPressed 0027 TCustomRibbonGroup.RibbonStyle 0034 TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 80 BB 38 03 00 00 00 74 39 8B C3 E8 ?? ?? ?? ?? 84 C0 74 17 54 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 B2 08 E8 ?? ?? ?? ?? EB 2C 54 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 B2 07 E8 ?? ?? ?? ?? EB 15 54 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 B2 06 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_83499_0 {
	meta:
		name = "TCustomRibbonGroup.GetCanCollapse"
		size = 101
		refs = "0006 TCustomActionBar.HasItems 0029 TCustomActionBar.GetItems 0030 TActionClients.GetActionClient 0039 _Dn_TButtonProperties 003e @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 53 8B C3 E8 ?? ?? ?? ?? 84 C0 74 44 8B C3 8B 10 FF 92 3C 01 00 00 48 75 3B 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 40 78 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 40 78 80 78 18 01 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_83500_0 {
	meta:
		name = "TCustomRibbonGroup.GetCaptionHeight"
		size = 39
		refs = "001c TCustomRibbon.GetRibbonMetric"
	strings:
		$1 = { 8B 90 4C 03 00 00 85 D2 74 17 83 BA 8C 02 00 00 00 74 0E 8B 82 8C 02 00 00 B2 07 E8 ?? ?? ?? ?? C3 B8 10 00 00 00 C3 }
	condition:
		$1
}

rule function_83501_0 {
	meta:
		name = "TCustomRibbonGroup.GetCaptionRect"
		size = 46
		refs = "0011 TCustomRibbonGroup.GetCaptionHeight 0027 Rect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 54 83 E8 02 50 56 8B C3 E8 ?? ?? ?? ?? 8B 53 54 2B D0 4A 8B 4B 50 83 E9 02 B8 01 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83502_0 {
	meta:
		name = "TCustomRibbonGroup.GetHasGallery"
		size = 96
		refs = "0009 TCustomActionBar.HasItems 002a TCustomActionBar.GetItems 0031 TActionClients.GetActionClient 0041 TGalleryProperties.GetGalleryType"
	strings:
		$1 = { 53 56 57 55 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 84 DB 74 46 8B C7 8B 10 FF 92 3C 01 00 00 8B F0 4E 85 F6 7C 35 46 33 ED 8B C7 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 8B D8 80 7B 76 04 75 0C 8B 43 78 E8 ?? ?? ?? ?? 3C 02 74 04 33 C0 EB 02 B0 01 8B D8 84 DB 75 04 45 4E 75 CE 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83503_0 {
	meta:
		name = "TCustomRibbonGroup.GetDialogButtonRect"
		size = 35
		refs = "000b TCustomRibbonGroup.GetCaptionRect"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 43 08 83 E8 0F 89 03 8B 43 04 83 C0 0E 89 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_83504_0 {
	meta:
		name = "TCustomRibbonGroup.GetGroupHeight"
		size = 39
		refs = "001c TCustomRibbon.GetRibbonMetric"
	strings:
		$1 = { 8B 90 4C 03 00 00 85 D2 74 17 83 BA 8C 02 00 00 00 74 0E 8B 82 8C 02 00 00 B2 06 E8 ?? ?? ?? ?? C3 B8 56 00 00 00 C3 }
	condition:
		$1
}

rule function_83505_0 {
	meta:
		name = "TCustomRibbonGroup.GetGroupWidth"
		size = 23
	strings:
		$1 = { 80 B8 58 03 00 00 00 75 0A 8B 80 60 03 00 00 8B 40 50 C3 8B 40 50 C3 }
	condition:
		$1
}

rule function_83506_0 {
	meta:
		name = "TCustomRibbonGroup.GetKeyTip"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 54 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83507_0 {
	meta:
		name = "GetGroupAllowance"
		size = 47
		refs = "000b _Dn_TButtonProperties 0010 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 78 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 0F B6 46 1A 04 FD 2C 02 73 08 B8 02 00 00 00 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_83508_0 {
	meta:
		name = "TCustomRibbonGroup.GetRequiredWidth"
		size = 579
		refs = "000c TCustomActionBar.HasItems 0024 TCustomActionBar.GetItems 002b TActionClients.GetActionClient 0051 DefaultGroupWidth 00c5 TControl.SetVisible 01ab GetGroupAllowance"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 21 8B C6 8B 10 FF 92 3C 01 00 00 48 75 14 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 83 78 44 00 74 0F 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 8B D0 80 F2 01 83 E2 7F 8B 14 95 ?? ?? ?? ?? 89 14 24 84 C0 74 17 8B 86 40 03 00 00 83 F8 28 0F 8E CD 01 00 00 89 04 24 E9 C5 01 00 00 80 BE 48 03 00 00 01 0F 85 8E 00 00 00 33 C0 89 44 24 04 33 C0 89 44 24 0C 8B C6 8B 10 FF 92 3C 01 00 00 8B F8 4F 85 FF 7C 65 47 33 ED 8B C6 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 8B D8 8B 43 44 85 C0 74 47 8B 10 FF 92 08 01 00 00 B2 01 8B 43 44 E8 ?? ?? ?? ?? 8B 43 44 8B 50 48 3B 54 24 04 74 14 8B 4C 24 0C 01 0C 24 89 54 24 04 8B 40 50 89 44 24 0C EB 15 8B 50 50 3B 54 24 0C 7D 06 8B 44 24 0C EB 02 8B C2 89 44 24 0C 45 4F 75 9E 8B 44 24 0C 01 04 24 E9 21 01 00 00 C7 44 24 08 FF FF FF FF 33 C0 89 44 24 0C 33 C0 89 44 24 10 C7 44 24 14 FF FF FF FF C7 44 24 18 FF FF FF FF C7 44 24 1C FF FF FF FF 8B C6 8B 10 FF 92 3C 01 00 00 8B F8 4F 85 FF 0F 8C 95 00 00 00 47 33 ED 8B C6 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 8B D8 8B 43 44 85 C0 74 6B 8B 10 FF 92 08 01 00 00 B2 01 8B 43 44 E8 ?? ?? ?? ?? 8B 43 44 8B 40 4C 3B 44 24 08 74 34 3B 44 24 08 7E 2E 8B 54 24 10 8B 4C 24 0C 89 4C 94 14 83 7C 24 08 FF 74 04 FF 44 24 10 89 44 24 08 8B C3 E8 ?? ?? ?? ?? 8B 53 44 03 42 50 89 44 24 0C EB 21 8B C3 E8 ?? ?? ?? ?? 8B 53 44 8B 52 50 03 54 24 0C 03 C2 89 44 24 0C EB 08 8B 46 50 89 04 24 EB 08 45 4F 0F 85 6E FF FF FF 83 7C 24 08 FF 7E 44 8B 44 24 10 8B 54 24 0C 89 54 84 14 8B 54 24 1C 8B 44 24 18 3B D0 7C 02 8B C2 8B 54 24 14 3B C2 7D 04 8B DA EB 02 8B D8 8B C6 8B 10 FF 92 3C 01 00 00 85 C0 0F 9F C0 83 E0 7F 03 1C 85 ?? ?? ?? ?? 89 1C 24 8B 04 24 89 86 40 03 00 00 8B 04 24 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83509_0 {
	meta:
		name = "TCustomRibbonGroup.HandleKeyTip"
		size = 184
		refs = "0014 TCustomRibbonGroup.HandleKeyTip 002b @IntfClear 003d Supports 0064 TCustomRibbonGroup.GetKeyTip 006e _Dn_TKeyTipValidator 0073 TKeyTipValidator.Validate 008d @UStrClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 58 03 00 00 00 75 2C 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 83 60 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 37 8B CE 8B D7 8B 45 FC 8B 18 FF 53 10 EB 29 83 BB 64 03 00 00 00 74 1D 53 56 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 03 C6 06 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 C8 71 BC 4C 5E C0 C4 4A 8D 8E 9E 89 EC 0B FD 34 }
	condition:
		$1
}

rule function_83510_0 {
	meta:
		name = "TCustomRibbonGroup.HideControls"
		size = 141
		refs = "0008 TCustomActionBar.GetItems 0026 TActionClients.GetActionClient 0044 TControl.SetVisible 004f TWinControl.GetControlCount 0062 TWinControl.GetControl 0068 _Dn_TCustomToolScrollBtn 006d @IsClass"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 33 46 33 DB 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 83 78 44 00 74 18 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 44 33 D2 E8 ?? ?? ?? ?? 43 4E 75 D0 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2F 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B D3 8B C7 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 43 4E 75 D4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83511_0 {
	meta:
		name = "TCustomRibbonGroup.HideKeyTip"
		size = 296
		refs = "0014 TCustomRibbonGroup.HideKeyTip 002b @IntfClear 003d Supports 005e TCustomRibbonGroup.GetKeyTip 0068 @UStrEqual 00d9 TObject.Free 00ee @UStrClr 00fb @UStrArrayClr 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 58 03 00 00 00 75 31 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 83 60 03 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 94 00 00 00 8B D6 8B 45 FC 8B 08 FF 51 14 E9 85 00 00 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 74 04 B0 01 EB 54 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 83 F8 02 75 18 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 0F B7 00 66 3B 06 0F 94 C0 EB 02 33 C0 84 C0 74 11 8B C6 85 C0 74 05 83 E8 04 8B 00 48 0F 94 C0 EB 02 33 C0 34 01 84 C0 74 13 8D 83 50 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 00 00 00 C8 71 BC 4C 5E C0 C4 4A 8D 8E 9E 89 EC 0B FD 34 }
	condition:
		$1
}

rule function_83513_0 {
	meta:
		name = "TCustomRibbonGroup.MouseDown"
		size = 100
		refs = "0025 TControl.MouseDown 003e TCustomRibbonGroup.GetDialogButtonRect 0049 PtInRect"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 66 89 4D FD 88 55 FF 8B F0 8B 7D 08 8B 5D 0C 53 57 0F B7 4D FD 0F B6 55 FF 8B C6 E8 ?? ?? ?? ?? 83 BE 64 03 00 00 00 74 29 89 5D F4 89 7D F8 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8D 45 E4 8D 55 F4 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 AC 01 00 00 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_83514_0 {
	meta:
		name = "TCustomRibbonGroup.MouseMove"
		size = 122
		refs = "001e TControl.MouseMove 0051 TCustomRibbonGroup.GetDialogButtonRect 005c PtInRect 006d TCustomRibbonGroup.SetDialogButtonHot"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F1 66 89 55 FE 8B D8 8B 7D 08 57 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 83 BB 64 03 00 00 00 74 46 89 75 EC 89 7D F0 8B 45 EC 89 45 F4 8B 45 F0 89 45 F8 8B C3 8B 10 FF 92 2C 01 00 00 84 C0 75 19 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8D 45 DC 8D 55 F4 E8 ?? ?? ?? ?? 84 C0 75 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_83515_0 {
	meta:
		name = "TCustomRibbonGroup.MouseUp"
		size = 154
		refs = "0022 TControl.MouseUp 0042 TCustomRibbonGroup.GetDialogButtonRect 004d PtInRect 0060 @CallDynaInst 0069 GetParentForm 006f _DV_TRibbonGroupDockForm 0074 @IsClass 007d Application 0087 TWinControl.GetHandle 008d SetFocus"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 66 89 4D FE 8B DA 8B F8 8B 75 0C 56 8B 45 08 50 0F B7 4D FE 8B D3 8B C7 E8 ?? ?? ?? ?? 84 DB 75 67 83 BF 64 03 00 00 00 74 5E 89 75 F4 8B 45 08 89 45 F8 8D 55 E4 8B C7 E8 ?? ?? ?? ?? 8D 45 E4 8D 55 F4 E8 ?? ?? ?? ?? 84 C0 74 3C 8B 87 64 03 00 00 66 BE F0 FF E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 A1 ?? ?? ?? ?? 8B 00 8B 40 48 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_83516_0 {
	meta:
		name = "TCustomRibbonGroup.Notification"
		size = 108
		refs = "0010 TCustomActionBar.Notification 001d _Dn_TCustomActionControl 0022 @IsClass 002d TCustomRibbonGroup.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 44 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 0F B7 05 ?? ?? ?? ?? 66 23 46 1C 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 1C 8B C6 8B 10 FF 92 B8 01 00 00 EB 10 3B BE 64 03 00 00 75 08 33 C0 89 86 64 03 00 00 5F 5E 5B C3 00 00 00 09 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_83517_0 {
	meta:
		name = "TCustomRibbonGroup.Paint"
		size = 483
		refs = "0014 TCustomRibbonGroup.Paint 004f TCustomRibbon.GetRibbonMetric 0057 TCustomRibbonGroup.RibbonStyle 0064 TRibbonStyleActionBars.DrawElement 0078 TCustomRibbonGroup.GetCaptionRect 013d TBrush.SetStyle 0155 TCustomActionBar.GetColorMap 0169 TFont.SetColor 017d TCanvas.GetHandle 0189 TControl.GetText 01a1 @UStrToPWChar 01a8 DrawText 01d0 @UStrClr 01d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B C3 8B 08 FF 51 60 83 6D E8 0A 8B 43 4C 29 45 EC 83 45 F0 0A 8B 43 38 8B 40 54 03 45 EC 89 45 F4 8D 45 E8 50 33 D2 8B 83 74 03 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 B2 04 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 08 FF 51 60 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 68 84 C0 75 32 8D 45 E8 50 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 B2 02 E8 ?? ?? ?? ?? 8D 45 D8 50 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 B2 05 E8 ?? ?? ?? ?? EB 6B 80 BB 39 03 00 00 00 74 32 8D 45 E8 50 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 B2 01 E8 ?? ?? ?? ?? 8D 45 D8 50 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 B2 04 E8 ?? ?? ?? ?? EB 30 8D 45 E8 50 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 33 D2 E8 ?? ?? ?? ?? 8D 45 D8 50 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 B2 03 E8 ?? ?? ?? ?? 83 BB 64 03 00 00 00 74 04 83 6D E0 0F 8B 83 8C 02 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 8B 40 40 8B 53 6C 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 8B 90 B0 00 00 00 8B 83 8C 02 00 00 8B 40 40 E8 ?? ?? ?? ?? 83 45 D8 03 BE 25 88 00 00 8B 83 8C 02 00 00 E8 ?? ?? ?? ?? 8B F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? C7 45 F8 FF FF FF FF 56 8D 45 D8 50 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 83 BB 64 03 00 00 00 74 0A 8B C3 8B 10 FF 92 AC 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83519_0 {
	meta:
		name = "TCustomRibbonGroup.RibbonStyle"
		size = 49
		refs = "000f _Dn_TRibbonStyleActionBars 0014 @IsClass 0029 RibbonLunaStyle"
		altNames = "TRibbonApplicationMenuBar.RibbonStyle"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 78 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 8B 10 FF 92 78 01 00 00 5B C3 A1 ?? ?? ?? ?? 8B 00 5B C3 }
	condition:
		$1
}

rule function_83521_0 {
	meta:
		name = "TCustomRibbonGroup.SetBounds"
		size = 78
		refs = "0024 TCustomRibbonGroup.GetGroupHeight 0033 TCustomActionToolBar.SetBounds"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 8B 7D 0C 8B 83 4C 03 00 00 85 C0 74 22 83 B8 8C 02 00 00 00 74 19 57 8B C3 E8 ?? ?? ?? ?? 50 B9 03 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0E 57 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_83522_0 {
	meta:
		name = "TCustomRibbonGroup.SetDialogAction"
		size = 59
		refs = "0017 TComponent.RemoveFreeNotification 002a TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 64 03 00 00 3B D8 74 28 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B C3 89 86 64 03 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_83523_0 {
	meta:
		name = "TCustomRibbonGroup.SetDialogButtonHot"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 38 03 00 00 74 10 88 96 38 03 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_83524_0 {
	meta:
		name = "TCustomRibbonGroup.SetKeyTip"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 54 03 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83525_0 {
	meta:
		name = "TCustomRibbonGroup.SetMouseInControl"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 39 03 00 00 74 10 88 96 39 03 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_83526_0 {
	meta:
		name = "TCustomRibbonGroup.SetParent"
		size = 303
		refs = "0010 TCustomRibbonGroup.SetParent 001f TWinControl.SetParent 0027 _DV_TCustomRibbonPage 002c @IsClass 003a _DV_TRibbonGroupDockForm 004b _Dn_TCustomForm 0060 _DV_TRibbonPage 0065 @AsClass 00ef SInvalidRibbonGroupParent 00f4 LoadResString 00fe _Dn_EInvalidOperation 0103 Exception.Create 0108 @RaiseExcept 011d @UStrClr 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 75 22 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6D 84 DB 74 15 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 4C 03 00 00 EB 3C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8B 87 AC 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B 87 AC 03 00 00 89 86 4C 03 00 00 EB 08 33 C0 89 86 4C 03 00 00 8B 86 4C 03 00 00 85 C0 74 55 8B 80 8C 02 00 00 89 86 74 03 00 00 EB 47 8B 86 4C 03 00 00 85 C0 74 0C 8B 80 8C 02 00 00 89 86 74 03 00 00 85 FF 74 2D F6 46 1C 08 74 06 F6 46 1C 01 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83527_0 {
	meta:
		name = "TCustomRibbonGroup.SetRows"
		size = 178
		refs = "007d TCustomRibbonGroup.SetRows 00a3 TWinControl.EnableAlign 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 3B 90 3C 03 00 00 0F 84 99 00 00 00 8B 4D FC 8B C2 89 81 3C 03 00 00 48 74 08 48 74 14 48 74 20 EB 2B 8B 45 FC C7 80 44 03 00 00 16 00 00 00 EB 34 8B 45 FC C7 80 44 03 00 00 08 00 00 00 EB 25 8B 45 FC 33 D2 89 90 44 03 00 00 EB 18 8B 45 FC C7 80 3C 03 00 00 03 00 00 00 8B 45 FC 33 D2 89 90 44 03 00 00 8B 45 FC 66 FF 80 B4 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 B8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_83528_0 {
	meta:
		name = "TCustomRibbonGroup.SetGroupAlign"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 48 03 00 00 74 10 88 96 48 03 00 00 8B C6 8B 10 FF 92 B8 01 00 00 5E C3 }
	condition:
		$1
}

rule function_83529_0 {
	meta:
		name = "TCustomRibbonGroup.SetGroupIndex"
		size = 155
		refs = "002b TCustomRibbonPage.GetGroupCount 0042 TCustomRibbonPage.GetGroup 0078 TWinControl.GetAlignDisabled 0091 TCustomRibbonPage.AlignGroups"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B D8 3B B3 5C 03 00 00 0F 84 80 00 00 00 83 FE FF 7E 7B C6 04 24 00 8B BB 4C 03 00 00 85 FF 74 43 8B C7 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 35 45 33 FF 8B D7 8B 83 4C 03 00 00 E8 ?? ?? ?? ?? 3B D8 74 1D 8B D7 8B 83 4C 03 00 00 E8 ?? ?? ?? ?? 3B B0 5C 03 00 00 0F 94 04 24 80 3C 24 00 75 04 47 4D 75 CE 80 3C 24 00 74 0F 8B 83 4C 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 06 89 B3 5C 03 00 00 8B 83 4C 03 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83531_0 {
	meta:
		name = "TCustomRibbonGroup.SetGroupVariant"
		size = 210
		refs = "002d TCustomRibbonGroup.SetGroupVariant 004f TCustomRibbonGroup.CreateCollapsedControl 006c TControl.SetWidth 0081 TObject.Free 00aa TWinControl.EnableAlign 00bb @HandleFinally 00cb TCustomRibbonPage.AlignGroups"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 3A 90 58 03 00 00 0F 84 B9 00 00 00 8B 45 FC 88 90 58 03 00 00 8B 45 FC 66 FF 80 B4 01 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 0F B6 80 58 03 00 00 2C 01 72 06 2C 02 74 0C EB 4E 8B 45 FC E8 ?? ?? ?? ?? EB 44 8B 45 FC 8B 80 60 03 00 00 85 C0 74 37 8B 90 C8 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 60 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 4C 03 00 00 8B 45 FC 8B 08 FF 91 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 B8 01 00 00 C3 E9 ?? ?? ?? ?? EB E5 8B 45 FC 8B 80 4C 03 00 00 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_83532_0 {
	meta:
		name = "TCustomRibbonGroup.ShowControls"
		size = 83
		refs = "0008 TWinControl.GetControlCount 001b TWinControl.GetControl 0030 _Dn_TCustomToolScrollBtn 0035 TObject.InheritsFrom 0047 TControl.SetVisible"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 3C 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 74 28 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 43 4F 75 C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83533_0 {
	meta:
		name = "TCustomRibbonGroup.ShowKeyTip"
		size = 272
		refs = "0018 TCustomRibbonGroup.ShowKeyTip 002f @IntfClear 0041 Supports 0068 TCustomRibbonGroup.GetKeyTip 0078 TCustomRibbonGroup.GetDialogButtonRect 0091 TControl.ClientToScreen 00aa Rect 00c6 ShowKeyTip 00e6 @UStrArrayClr 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 33 C9 89 4D D4 89 4D D8 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 58 03 00 00 00 75 2E 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 83 60 03 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 83 00 00 00 B2 06 8B 45 FC 8B 08 FF 51 20 EB 77 83 BB 64 03 00 00 00 74 6E 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 83 7D D8 00 74 5E 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 89 45 EC 8B 45 E0 89 45 F0 8D 4D F4 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 6A 00 8D 45 DC 50 8B 55 F8 83 C2 0E 8B 45 F4 83 C0 08 33 C9 E8 ?? ?? ?? ?? 8D 45 DC 50 6A 06 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 B1 01 B2 01 E8 ?? ?? ?? ?? 89 83 50 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 C8 71 BC 4C 5E C0 C4 4A 8D 8E 9E 89 EC 0B FD 34 }
	condition:
		$1
}

rule function_83534_0 {
	meta:
		name = "TCustomRibbonGroup.StyleChanged"
		size = 116
		refs = "001c TCustomActionBar.GetItems 0023 TActionClients.GetActionClient 005c TCustomActionBar.GetColorMap 0068 TControl.SetColor"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 8B 10 FF 92 3C 01 00 00 8B F8 4F 85 FF 7C 5A 47 33 F6 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 83 78 44 00 74 3F 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 80 78 76 05 75 2B 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 44 8B 80 00 02 00 00 50 8B C3 E8 ?? ?? ?? ?? 8B 90 AC 00 00 00 58 E8 ?? ?? ?? ?? 46 4F 75 A9 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83536_0 {
	meta:
		name = "TCustomTabData.Add"
		size = 166
		refs = "002b TList.Get 0036 TCollectionItem.GetIndex 004a _DV_TCustomTabData.TItemData 004f TObject.Create 0065 TRibbonTabItem.GetBestTabWidth 006f TRibbonTabItem.GetMinTabWidth 0089 TList.Add 008e SortByWidth 0096 TList.Sort"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B FA 8B F0 8B 46 04 8B 58 08 4B 85 DB 7C 31 43 33 ED 8B 46 04 89 04 24 89 6C 24 04 8B 54 24 04 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 08 8B C7 E8 ?? ?? ?? ?? 8B 54 24 08 3B 42 08 74 5B 45 4B 75 D2 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 7B 04 8B C7 E8 ?? ?? ?? ?? 89 43 08 8B C7 E8 ?? ?? ?? ?? 89 43 0C 8B C7 E8 ?? ?? ?? ?? 89 43 14 C7 43 18 FF FF FF FF 8B 47 28 89 43 1C 8B 46 04 8B D3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? C6 46 0C 00 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83537_0 {
	meta:
		name = "TCustomTabData.Clear"
		size = 22
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 08 33 C0 89 43 08 C6 43 0C 00 5B C3 }
	condition:
		$1
}

rule function_83538_0 {
	meta:
		name = "TCustomTabData.Create"
		size = 77
		refs = "000b @ClassCreate 001a TObject.Create 0023 _Dn_TObjectList 0028 TObjectList.Create 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 89 77 34 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83540_0 {
	meta:
		name = "TCustomTabData.GetBestWidth"
		size = 22
		refs = "000c TList.Get"
	strings:
		$1 = { 53 56 8B 58 04 8B F2 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 0C 5E 5B C3 }
	condition:
		$1
}

rule function_83542_0 {
	meta:
		name = "TCustomTabData.GetItemByIndex"
		size = 82
		refs = "000f TCustomTabData.GetItemCount 002b TList.Get"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2F 46 33 DB 8B 6F 04 89 5C 24 04 8B 54 24 04 8B C5 E8 ?? ?? ?? ?? 8B 40 08 3B 04 24 75 0E 8B 77 04 8B D3 8B C6 E8 ?? ?? ?? ?? EB 06 43 4E 75 D4 33 C0 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83543_0 {
	meta:
		name = "TCustomTabData.GetNewWidth"
		size = 48
		refs = "0009 TCustomTabData.ReCalculateTabWidths 0014 TCustomTabData.GetItemCount 0021 TCustomTabData.GetItemByIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 0F 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 18 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_83544_0 {
	meta:
		name = "TCustomTabData.GetSeparatorOpacity"
		size = 35
	strings:
		$1 = { 0F B6 40 0D 2C 01 72 0C 74 0D FE C8 74 0C FE C8 74 0B EB 0C 33 C0 C3 B0 55 C3 B0 AA C3 B0 FF C3 B0 FF C3 }
	condition:
		$1
}

rule function_83545_0 {
	meta:
		name = "TCustomTabData.CalculateTabWidths"
		size = 75
		refs = "000d TCustomTabData.Clear 0027 TRibbonTabs.GetItem 0030 TCustomTabData.Add 003b TCustomTabData.ReCalculateTabWidths 0042 TCustomTabData.ResizeActiveRibbonGroup"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 89 5E 08 8B 45 08 8B 58 08 4B 85 DB 7C 19 43 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 47 4B 75 EA 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83546_0 {
	meta:
		name = "TotalGroupWidth"
		size = 160
		refs = "0013 TCustomRibbonPage.GetGroupCount 002a TCustomRibbonPage.GetGroup 0085 TCustomRibbonGroup.GetGroupWidth"
	strings:
		$1 = { 55 8B EC 51 53 56 57 33 C0 89 45 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 75 46 33 FF 8B 45 08 8B 40 FC 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 45 08 83 78 F8 00 74 49 8B 45 08 8B 50 F8 8B C3 8B 08 FF 51 D4 84 C0 74 38 8B 45 08 8B 40 F8 80 B8 58 03 00 00 00 75 36 8B 45 08 8B 40 F8 83 B8 60 03 00 00 00 74 27 8B 45 08 8B 40 F8 8B 80 60 03 00 00 8B 80 C8 01 00 00 83 C0 06 01 45 FC EB 0D 8B C3 E8 ?? ?? ?? ?? 83 C0 06 01 45 FC 47 4E 75 8E 83 6D FC 06 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83547_0 {
	meta:
		name = "TCustomTabData.ResizeActiveRibbonGroup"
		size = 379
		refs = "000e TCustomRibbon.GetActivePage 005c TotalGroupWidth 009e TCustomRibbonPage.GetGroupCount 00b4 TCustomRibbonPage.GetGroup 00c6 TCustomRibbonGroup.GetHasGallery 00d1 TCustomRibbonGroup.GetCanCollapse 00df TCustomRibbonPage.CollapseGroup 00e8 TCustomRibbonGroup.SetGroupVariant 0107 TCustomRibbonPage.GetCollapseGroupCount 0116 TCustomRibbonPage.GetNextVisibleGroup 0123 TCustomTabData.ResizeActiveRibbonGroup 0147 @TryFinallyExit 016a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B D8 8B 43 34 E8 ?? ?? ?? ?? 89 45 FC 33 C0 89 45 F8 8B 43 34 F6 40 1C 10 0F 85 4E 01 00 00 83 7D FC 00 0F 84 44 01 00 00 83 7B 48 00 74 08 8B 43 4C 3B 45 FC 74 0A 8B 45 FC 8B 40 50 40 89 43 48 8B 45 FC 89 43 4C 8B 43 48 8B 55 FC 3B 42 50 7C 0F 55 E8 ?? ?? ?? ?? 59 8B 55 FC 3B 42 50 7D 04 B0 01 EB 02 33 C0 8B 55 FC 8B 52 50 89 53 48 2C 01 72 0B 0F 84 81 00 00 00 E9 EE 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 55 FC 3B 42 50 0F 8E DB 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 83 FE 00 0F 8C C7 00 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 80 BB 58 03 00 00 00 74 38 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2D 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 55 FC 3B 42 50 7E 7A 4E 83 FE FF 75 AD EB 72 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 66 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B D8 89 5D F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 8B 55 FC 3B 42 50 7E 11 8B D3 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 B2 03 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C0 89 45 F8 C3 E9 ?? ?? ?? ?? EB F3 FF 4D F4 75 9D 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83548_0 {
	meta:
		name = "InitialiseCalcs"
		size = 443
		refs = "002d TCustomRibbon.GetRibbonMetric 0068 Rect 00aa OffsetRect 00b5 TCustomTabData.GetItemCount 00d5 TList.Get"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B 45 08 33 D2 89 50 FC 8B 45 08 33 D2 89 50 F8 8B 45 08 33 D2 89 50 F4 8B 45 08 8B 40 F0 8B 40 34 33 D2 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 F0 8B 40 34 B2 0B E8 ?? ?? ?? ?? 03 D8 53 8D 45 EC 50 8B 45 08 8B 40 F0 8B 40 34 33 D2 E8 ?? ?? ?? ?? 8B D0 42 B9 3B 00 00 00 B8 2F 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 8D 75 EC 8D 78 14 A5 A5 A5 A5 8B 45 08 8B 40 F0 8B 55 08 8B 52 F0 8D 70 14 8D 7A 24 A5 A5 A5 A5 8B 45 08 8B 40 F0 8B 50 08 83 EA 0C 8B 45 08 8B 40 F0 83 C0 24 33 C9 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 47 43 33 F6 8B 45 08 8B 40 F0 8B 78 04 89 75 FC 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 50 0C 83 C2 06 8B 4D 08 01 51 FC 8B 50 14 83 C2 06 8B 4D 08 01 51 F8 8B 50 1C 83 C2 06 8B 4D 08 01 51 F4 8B 50 0C 89 50 18 46 4B 75 BC 8B 45 08 8B 40 F0 8B 40 34 33 D2 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 F0 8B 40 34 B2 0B E8 ?? ?? ?? ?? 03 D8 83 C3 02 53 8D 45 EC 50 8B 45 08 8B 40 F0 8B 40 34 33 D2 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F0 8B 48 08 83 C1 2F B8 2F 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 8D 75 EC 8D 78 38 A5 A5 A5 A5 8B 45 08 8B 40 F0 8B 40 08 8B 55 08 3B 42 FC 7E 09 8B 45 08 C6 40 EF 00 EB 2F 8B 55 08 8B 55 08 3B 42 F8 7E 09 8B 45 08 C6 40 EF 01 EB 1B 8B 55 08 8B 55 08 3B 42 F4 7E 09 8B 45 08 C6 40 EF 02 EB 07 8B 45 08 C6 40 EF 03 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83549_0 {
	meta:
		name = "CalcTotalTruncation"
		size = 127
		refs = "0021 TCustomTabData.GetItemCount 003f TList.Get"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC 33 C0 89 45 F8 8B 45 08 8B 40 F0 8B 58 10 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B F0 4E 2B F3 7C 49 46 8B 45 08 8B 40 F0 8B 78 04 89 5D F4 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 40 14 3B 45 FC 7C 26 8B 45 08 8B 40 F0 8B 78 04 89 5D F0 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 45 FC 2B 41 14 99 33 C2 2B C2 01 45 F8 43 4E 75 B8 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83550_0 {
	meta:
		name = "DoProgressive"
		size = 384
		refs = "001c DoProgressive 0035 TCustomTabData.GetItemCount 007b TList.Get 0090 CalcTotalTruncation"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B 45 08 8B 40 F0 C6 40 0D 02 8B 45 08 8B 40 F0 0F B6 15 ?? ?? ?? ?? 88 50 0E 8B 45 08 8B 40 F0 33 D2 89 50 10 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 48 8B 55 08 8B 52 F0 89 42 50 8B 45 08 8B 40 F8 8B 55 08 8B 52 F0 2B 42 08 8B 55 08 89 42 E8 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 85 C0 0F 8E 08 01 00 00 8B 45 08 8B 40 F0 8B 58 04 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 58 14 D1 FB 79 03 83 D3 00 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 8B F0 EB 1A 8B 45 08 3B 70 E8 7D 03 4B EB 01 43 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 8B F0 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B C8 8B 45 08 FF 70 E8 8B C6 5A 2B C2 99 33 C2 2B C2 3B C8 7C C5 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 89 00 00 00 47 33 F6 8B 45 08 8B 40 F0 8B 40 04 89 45 FC 89 75 F8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 3B 58 14 7D 1F 8B 45 08 8B 40 F0 8B 40 04 89 45 F4 89 75 F0 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 89 58 18 EB 40 8B 45 08 8B 40 F0 8B 40 04 89 45 EC 89 75 E8 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 89 45 E4 8B 45 08 8B 40 F0 8B 40 04 89 45 E0 89 75 DC 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 8B 40 14 8B 55 E4 89 42 18 46 4F 0F 85 7A FF FF FF 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_83551_0 {
	meta:
		name = "DoUniform"
		size = 336
		refs = "001a DoUniform 002b TCustomTabData.GetItemCount 00ad TList.Get"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B 7D 08 83 C7 F0 8B 07 C6 40 0D 01 8B 07 0F B6 15 ?? ?? ?? ?? 88 50 0E 8B 07 33 D2 89 50 10 8B 07 E8 ?? ?? ?? ?? 48 8B 17 89 42 50 8B 07 E8 ?? ?? ?? ?? 50 8B 07 8B 40 08 8B 55 08 2B 42 FC 99 33 C2 2B C2 5A 8B CA 99 F7 F9 8B 55 08 89 42 E8 8B 07 E8 ?? ?? ?? ?? 50 8B 07 8B 40 08 8B 55 08 2B 42 FC 99 33 C2 2B C2 5A 8B CA 99 F7 F9 89 55 FC 8B 45 08 83 78 E8 00 7E 77 8B 07 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 69 46 33 DB 8B 07 3B 58 10 7D 1D 8B 07 8B 40 04 89 45 F8 89 5D F4 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 89 50 18 EB 3E 8B 07 8B 40 04 89 45 F0 89 5D EC 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E8 8B 07 8B 40 04 89 45 E4 89 5D E0 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 2B 42 E8 8B 55 E8 89 42 18 43 4E 75 9A 8B 07 8B 58 10 8B 75 FC 2B F3 7C 3E 46 8B 07 8B 40 04 89 45 DC 89 5D D8 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 89 45 D4 8B 07 8B 40 04 89 45 D0 89 5D CC 8B 55 CC 8B 45 D0 E8 ?? ?? ?? ?? 8B 40 18 48 8B 55 D4 89 42 18 43 4E 75 C3 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_83552_0 {
	meta:
		name = "DoNone"
		size = 68
		refs = "001f TCustomTabData.GetItemCount 0036 DoNone"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F0 C6 40 0D 00 8B 45 08 8B 40 F0 33 D2 89 50 10 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 48 8B 55 08 8B 52 F0 89 42 50 8B 45 08 8B 40 F0 0F B6 15 ?? ?? ?? ?? 88 50 0E 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_83553_0 {
	meta:
		name = "DoScrollButton"
		size = 368
		refs = "0012 TCustomTabData.GetItemCount 0056 TList.Get 00da DoScrollButton 014a IntersectRect 0155 EqualRect"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 8B 75 08 83 C6 F0 8B 06 E8 ?? ?? ?? ?? 85 C0 0F 8E 45 01 00 00 8B 06 C6 40 0D 03 8B 06 8B 40 38 89 45 FC 89 45 F8 8B 06 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 94 00 00 00 47 33 DB 8B 06 8B 40 04 89 45 F4 89 5D F0 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 89 45 EC 8B 06 8B 40 04 89 45 E8 89 5D E4 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 8B 40 1C 8B 55 EC 89 42 18 8B 06 8B 40 04 89 45 E0 89 5D DC 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 F8 89 50 10 8B 06 3B 58 10 7C 2E 8B 06 8B 40 40 3B 45 FC 7E 24 8B 06 89 58 50 8B 06 8B 40 04 89 45 D8 89 5D D4 8B 55 D4 8B 45 D8 E8 ?? ?? ?? ?? 8B 40 1C 83 C0 06 01 45 F8 43 4F 0F 85 6F FF FF FF 8B 06 0F B6 15 ?? ?? ?? ?? 88 50 0E 8B 06 83 78 10 00 7F 06 8B 06 80 60 0E FD 8B 06 56 8D 70 38 8D 7D C4 A5 A5 A5 A5 5E 8B 06 8B 58 04 8B 06 8B 78 50 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 40 10 89 45 C4 8B 06 8B 58 04 8B 06 8B 78 50 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 40 1C 03 45 C4 89 45 CC 56 8D 75 C4 8D 7D B4 A5 A5 A5 A5 5E 8B 06 8D 48 38 8D 55 B4 8D 45 C4 E8 ?? ?? ?? ?? 8D 55 B4 8D 45 C4 E8 ?? ?? ?? ?? 84 C0 74 06 8B 06 80 60 0E FE 5F 5E 5B 8B E5 5D C3 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_83554_0 {
	meta:
		name = "TCustomTabData.ReCalculateTabWidths"
		size = 144
		refs = "0016 TCustomTabData.ReCalculateTabWidths 0022 InitialiseCalcs 003d DoNone 0046 DoUniform 004f DoProgressive 0058 DoScrollButton 006e TCustomTabData.GetItemCount 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 45 F0 8B 45 F0 80 78 0C 00 75 73 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 0F B6 45 EF 2C 01 72 0C 74 13 FE C8 74 18 FE C8 74 1D EB 22 55 E8 ?? ?? ?? ?? 59 EB 19 55 E8 ?? ?? ?? ?? 59 EB 10 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 8B 55 F0 88 42 0C C3 E9 ?? ?? ?? ?? EB E5 8B 45 F0 0F B6 40 0C 8B E5 5D C3 }
	condition:
		$1
}

rule function_83555_0 {
	meta:
		name = "TCustomTabData.SetFirstVisibleTabIndex"
		size = 32
		refs = "0009 TCustomTabData.SetFirstVisibleTabIndex"
	strings:
		$1 = { 53 8B D8 89 53 10 0F B6 05 ?? ?? ?? ?? 88 43 0E 83 7B 10 00 7E 04 80 4B 0E 02 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_83556_0 {
	meta:
		name = "TApplicationMenu.Assign"
		size = 179
		refs = "0010 TApplicationMenu.Assign 001e _DV_TApplicationMenu 0023 @IsClass 0033 TApplicationMenu.SetCaption 003d TApplicationMenu.SetIcon 0048 TApplicationMenu.SetIconSize 0052 TApplicationMenu.GetKeyTip 005c TApplicationMenu.SetKeyTip 0066 TApplicationMenu.SetMenu 006d TApplicationMenu.GetScreenTipItem 0076 TApplicationMenu.SetScreenTip 0081 TApplicationMenu.SetCommandType 008c TPersistent.Assign 00a1 @UStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5C 8B FE 8B 57 04 8B C3 E8 ?? ?? ?? ?? 8B 57 08 8B C3 E8 ?? ?? ?? ?? 0F B6 57 0C 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 57 10 8B C3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B6 57 1C 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83557_0 {
	meta:
		name = "TApplicationMenu.Initialize"
		size = 314
		refs = "000b TCustomScreenTipsPopup.SetScreenTipsManager 0058 TActionBars.GetActionBar 009c TActionClient.GetHasItems 00b8 TActionClient.GetItems 00bd TActionClients.Add 00ec TActionClients.GetActionClient 0113 TActionBars.Add 0130 TCustomScreenTipsPopup.SetAssociate"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B 43 18 E8 ?? ?? ?? ?? 8B 43 10 85 C0 0F 84 1A 01 00 00 83 B8 84 02 00 00 00 0F 84 0D 01 00 00 33 D2 89 14 24 33 ED 8B 80 84 02 00 00 8B 40 74 8B 40 08 8B 78 08 4F 85 FF 0F 8C BC 00 00 00 47 33 F6 8B 43 10 8B 80 84 02 00 00 8B 40 74 8B D6 E8 ?? ?? ?? ?? 83 78 0C 00 0F 84 94 00 00 00 8B 43 10 8B 80 84 02 00 00 8B 40 74 8B D6 E8 ?? ?? ?? ?? 8B 40 0C 8B 53 10 8B 08 FF 51 D4 84 C0 74 72 8B 43 10 8B 80 84 02 00 00 8B 40 74 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 2D 8B 43 10 8B 80 84 02 00 00 8B 40 74 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B C5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8B 43 10 8B 80 84 02 00 00 8B 40 74 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B E8 8B 45 44 89 04 24 EB 08 46 4F 0F 85 47 FF FF FF 85 ED 75 23 8B 43 10 8B 80 84 02 00 00 8B 40 74 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B 45 44 89 04 24 8B 14 24 8B 43 18 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83558_0 {
	meta:
		name = "TApplicationMenu.Create"
		size = 109
		refs = "000b @ClassCreate 001a TObject.Create 0024 _Dn_TIcon 0029 TIcon.Create 0038 SRecentDocuments 003d LoadResString 0046 _Dn_TScreenTipsPopup 004b TCustomScreenTipsPopup.Create 0059 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 C6 47 0C 01 8D 57 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83559_0 {
	meta:
		name = "TApplicationMenu.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TPersistent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83560_0 {
	meta:
		name = "TApplicationMenu.GetActionClientItem"
		size = 169
		refs = "003d TActionBars.GetActionBar 0081 TActionClient.GetHasItems 008c TActionClient.GetItems 0093 TActionClients.GetActionClient"
	strings:
		$1 = { 53 56 57 55 51 8B D8 33 C0 89 04 24 8B 43 10 85 C0 0F 84 89 00 00 00 8B 80 84 02 00 00 8B 40 74 8B 40 08 8B 78 08 4F 85 FF 7C 75 47 33 F6 8B 43 10 8B 80 84 02 00 00 8B 40 74 8B D6 E8 ?? ?? ?? ?? 83 78 0C 00 74 55 8B 43 10 8B 80 84 02 00 00 8B 40 74 8B D6 E8 ?? ?? ?? ?? 8B 40 0C 8B 53 10 8B 08 FF 51 D4 84 C0 74 33 8B 43 10 8B 80 84 02 00 00 8B 40 74 8B D6 E8 ?? ?? ?? ?? 8B E8 8B C5 E8 ?? ?? ?? ?? 84 C0 74 13 8B C5 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 89 04 24 EB 04 46 4F 75 8E 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83561_0 {
	meta:
		name = "TApplicationMenu.GetKeyTip"
		size = 38
		refs = "0005 TApplicationMenu.GetActionClientItem 0015 @UStrAsg 001f @UStrClr"
	strings:
		$1 = { 53 56 8B F2 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0D 8B C6 8B 53 70 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83562_0 {
	meta:
		name = "TApplicationMenu.GetScreenTipItem"
		size = 10
	strings:
		$1 = { 8B 40 18 8B 80 98 02 00 00 C3 }
	condition:
		$1
}

rule function_83563_0 {
	meta:
		name = "TApplicationMenu.Show"
		size = 80
		refs = "000c GetActionBarItem 0028 TApplicationMenu.Show"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 8B 47 10 E8 ?? ?? ?? ?? 8B F0 85 F6 74 31 8B 6F 10 F6 45 1C 10 74 1F 84 DB 75 0E 8B 45 58 0B 05 ?? ?? ?? ?? 89 45 58 EB 0D A1 ?? ?? ?? ?? F7 D0 23 45 58 89 45 58 8B D3 8B C6 8B 08 FF 51 2C 5D 5F 5E 5B C3 00 04 00 00 }
	condition:
		$1
}

rule function_83564_0 {
	meta:
		name = "TApplicationMenu.IsCaptionStored"
		size = 86
		refs = "000c TApplicationMenu.IsCaptionStored 001a SRecentDocuments 001f LoadResString 002a @UStrEqual 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_83565_0 {
	meta:
		name = "TApplicationMenu.IsKeyTipStored"
		size = 104
		refs = "000c TApplicationMenu.IsKeyTipStored 001c TApplicationMenu.GetKeyTip 0029 @UStrEqual 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 46 00 00 00 }
	condition:
		$1
}

rule function_83566_0 {
	meta:
		name = "TApplicationMenu.MenuControlCreated"
		size = 24
		refs = "0009 TCustomScreenTipsPopup.SetAssociate 0012 TControl.SetShowHint"
	strings:
		$1 = { 53 8B D9 8B 13 8B 40 18 E8 ?? ?? ?? ?? 8B 03 B2 01 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83568_0 {
	meta:
		name = "TApplicationMenu.SetCommandType"
		size = 9
	strings:
		$1 = { 3A 50 1C 74 03 88 50 1C C3 }
	condition:
		$1
}

rule function_83569_0 {
	meta:
		name = "TApplicationMenu.SetIcon"
		size = 32
	strings:
		$1 = { 56 57 8B F0 8B 46 08 8B 08 FF 51 08 8B 7E 10 85 FF 74 0A 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_83570_0 {
	meta:
		name = "TApplicationMenu.SetIconSize"
		size = 17
		refs = "000c TCustomRibbon.InvalidateHeaderArea"
	strings:
		$1 = { 3A 50 0C 74 0B 88 50 0C 8B 40 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83571_0 {
	meta:
		name = "TApplicationMenu.SetKeyTip"
		size = 28
		refs = "0005 TApplicationMenu.GetActionClientItem 0015 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0A 8D 43 70 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83572_0 {
	meta:
		name = "TApplicationMenu.SetMenu"
		size = 480
		refs = "0015 TRibbonApplicationMenuBar.SetRibbon 0032 TApplicationMenu.MenuControlCreated 0042 TCustomRibbon.CustomFrameSupported 0050 TCustomRibbon.GetRibbonMetric 0059 TControl.SetTop 0076 TControl.SetLeft 007d TApplicationMenu.SetMenu 0084 TControl.SetAnchors 00b1 TCustomActionBar.SetActionManager 0102 TActionBars.GetActionBar 012d TActionBarItem.SetAutoSize 014e TActionBars.Add 0159 TActionClient.SetActionBar 016d TActionClient.GetHasItems 0178 TActionClient.GetItems 017d TActionClients.Add 0192 @UStrAsg"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F2 8B D8 8B 43 10 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 8B C6 89 43 10 85 F6 0F 84 95 01 00 00 89 98 A4 02 00 00 C7 80 A0 02 00 00 ?? ?? ?? ?? 8B 53 14 E8 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 84 C0 74 15 B2 0D 8B 43 14 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 43 14 80 78 69 00 75 19 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 1B 8B 50 50 2B 56 50 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 14 8B 90 B8 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 43 14 F6 40 1C 01 0F 85 F9 00 00 00 8B 90 B8 02 00 00 85 D2 0F 84 EB 00 00 00 8B 42 74 89 04 24 C6 44 24 04 00 33 FF 33 C0 89 44 24 08 8B 04 24 8B 40 08 8B 68 08 4D 85 ED 7C 49 45 C7 44 24 0C 00 00 00 00 8B 54 24 0C 8B 04 24 E8 ?? ?? ?? ?? 8B F8 8B 47 0C 85 C0 74 0D 8B D6 8B 08 FF 51 D4 88 44 24 04 EB 05 C6 44 24 04 00 80 7C 24 04 00 74 0B 33 D2 8B C7 E8 ?? ?? ?? ?? EB 07 FF 44 24 0C 4D 75 C0 80 7C 24 04 00 75 25 8B 43 14 8B 80 B8 02 00 00 8B 40 74 E8 ?? ?? ?? ?? 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 85 FF 74 3A 8B C7 E8 ?? ?? ?? ?? 84 C0 75 2F 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 08 8B 44 24 08 83 C0 70 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7C 24 08 00 74 10 0F B6 15 ?? ?? ?? ?? 8B 44 24 08 8B 08 FF 51 24 83 C4 10 5D 5F 5E 5B C3 00 03 00 00 00 06 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 46 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_83573_0 {
	meta:
		name = "TApplicationMenu.SetScreenTip"
		size = 19
	strings:
		$1 = { 56 8B F0 8B 46 18 8B 80 98 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_83574_0 {
	meta:
		name = "TRibbonLunaColorMap.UpdateColors"
		size = 172
		refs = "0006 TXPColorMap.UpdateColors"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 83 A0 00 00 00 9B BB E3 00 C7 83 9C 00 00 00 D5 E2 F3 00 C7 43 44 00 15 6E 00 C7 83 B8 00 00 00 3E 6A AA 00 C7 83 A4 00 00 00 FF FF FF 00 C7 83 AC 00 00 00 EA F2 FB 00 C7 83 A8 00 00 00 AF C4 DF 00 C7 43 50 A7 A7 A7 00 C7 83 BC 00 00 00 69 70 79 00 BA 00 15 6E 00 8B C3 8B 08 FF 51 44 C7 43 7C 04 00 00 FF C7 43 74 00 15 6E 00 C7 83 98 00 00 00 00 15 6E 00 C7 83 B4 00 00 00 00 15 6E 00 C7 83 B0 00 00 00 00 15 6E 00 C7 83 C0 00 00 00 C2 DC FF 00 C7 83 C4 00 00 00 37 64 A0 00 5B C3 }
	condition:
		$1
}

rule function_83575_0 {
	meta:
		name = "TQuickAccessToolbarGroupItem.Create"
		size = 322
		refs = "001c @ClassCreate 002f TQuickAccessToolbarGroupItem.Create 003e TObject.Create 004a _Dn_TAction 004f TAction.Create 005e TControl.GetText 0068 TCustomAction.SetCaption 007d StripHotkey 0088 TCustomAction.SetHint 0093 TContainedAction.SetActionList 009d TCustomActionBar.GetItems 00b8 TActionClients.GetActionClient 00c3 TCustomAction.SetImageIndex 0104 @UStrClr 011a @HandleFinally 0129 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 89 5D F0 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 04 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 08 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 43 08 E8 ?? ?? ?? ?? 8B 43 08 8B 55 F8 E8 ?? ?? ?? ?? 33 F6 8B 43 04 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 7E 41 EB 33 8B 43 04 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 50 5C 8B 43 08 E8 ?? ?? ?? ?? 46 8B 43 04 E8 ?? ?? ?? ?? 8B F8 8B 47 08 8B 40 08 89 45 F4 3B 75 F4 74 0C 8B 43 08 83 B8 88 00 00 00 FF 74 C1 8B 43 08 C6 40 68 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_83577_0 {
	meta:
		name = "TQuickAccessToolbarGroupItem.GetCaption"
		size = 37
		refs = "0014 @UStrAsg 001d @UStrClr"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 08 85 FF 74 0C 8B C6 8B 57 6C E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83578_0 {
	meta:
		name = "TQuickAccessToolbarGroups.Add"
		size = 112
		refs = "0015 TQuickAccessToolbarGroups.Add 0026 _DV_TQuickAccessToolbarGroupItem 002b TQuickAccessToolbarGroupItem.Create 0038 TControl.GetText 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B 43 08 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_83579_0 {
	meta:
		name = "TQuickAccessToolbarGroups.Clean"
		size = 46
	strings:
		$1 = { 53 56 57 8B F8 8B 47 08 8B 10 FF 52 14 8B D8 4B 85 DB 7C 16 43 33 F6 8B 47 08 8B D6 8B 08 FF 51 18 33 D2 89 50 04 46 4B 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83580_0 {
	meta:
		name = "TQuickAccessToolbarGroups.Create"
		size = 109
		refs = "000f @ClassCreate 001f TObject.Create 0028 _Dn_TActionList 002d TCustomActionList.Create 0042 _Dn_TStringList 0047 TStringList.Create 0057 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 04 8B C6 8B D7 8B 08 FF 51 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83581_0 {
	meta:
		name = "TQuickAccessToolbarGroups.Destroy"
		size = 93
		refs = "0005 @BeforeDestruction 002a TObject.Free 0049 TObject.Destroy 0054 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 8B 10 FF 52 14 8B E8 4D 85 ED 7C 16 45 33 FF 8B 46 08 8B D7 8B 08 FF 51 18 E8 ?? ?? ?? ?? 47 4D 75 ED 8B 46 08 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83582_0 {
	meta:
		name = "TQuickAccessToolbarGroups.Exists"
		size = 145
		refs = "0018 TQuickAccessToolbarGroups.Exists 004d TControl.GetText 0058 @UStrEqual 007c @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B 10 FF 52 14 8B F0 4E 85 F6 7C 35 46 33 FF 8B 45 FC 8B 40 08 8B D7 8B 08 FF 51 18 8B D8 8D 55 F4 8B 43 04 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 0F 94 C0 8B D8 84 DB 75 06 47 4E 75 CE 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83583_0 {
	meta:
		name = "TQuickAccessToolbarGroups.Group"
		size = 40
	strings:
		$1 = { 53 56 8B D8 8B 43 08 8B 08 FF 51 54 8B F0 83 FE FF 7E 10 8B D6 8B 43 08 8B 08 FF 51 18 8B 40 04 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_83584_0 {
	meta:
		name = "TQuickAccessToolbarGroups.Remove"
		size = 47
		refs = "001e TObject.Free"
	strings:
		$1 = { 53 56 8B D8 8B 43 08 8B 08 FF 51 54 8B F0 83 FE FF 7E 19 8B D6 8B 43 08 8B 08 FF 51 18 E8 ?? ?? ?? ?? 8B D6 8B 43 08 8B 08 FF 51 48 5E 5B C3 }
	condition:
		$1
}

rule function_83585_0 {
	meta:
		name = "TRibbonGroupScrollButton.CMDesignHitTest"
		size = 29
		refs = "0007 IsLeftMouseButtonPressed 0016 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C3 66 BE EC FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83588_0 {
	meta:
		name = "TRibbonGroupScrollButton.Create"
		size = 74
		refs = "000a @ClassCreate 0017 TCustomControl.Create 0020 TWinControl.SetTabStop 002c TControl.SetWidth 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? BA 0C 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83589_0 {
	meta:
		name = "TRibbonGroupScrollButton.Paint"
		size = 74
		refs = "002c Element 0041 TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 8B 08 FF 51 60 54 68 FF 00 00 00 80 BB 84 02 00 00 00 0F 94 C0 83 E0 7F 0F B6 93 85 02 00 00 8D 14 55 ?? ?? ?? ?? 0F B6 14 02 8B 8B 78 02 00 00 8B 83 80 02 00 00 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_83590_0 {
	meta:
		name = "TRibbonGroupScrollButton.SetDirection"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 84 02 00 00 74 10 88 96 84 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_83591_0 {
	meta:
		name = "TRibbonGroupScrollButton.SetMouseInControl"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 85 02 00 00 74 10 88 96 85 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_83592_0 {
	meta:
		name = "TCustomRibbonQuickAccessPopupToolbar.Create"
		size = 94
		refs = "000b @ClassCreate 001c TCustomActionPopupMenu.Create 0024 _DV_TCustomRibbonQuickAccessToolbar 0029 @IsClass 003f TCustomActionBar.SetVertMargin 004a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 89 B7 B0 03 00 00 BA 02 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83593_0 {
	meta:
		name = "TCustomRibbonQuickAccessPopupToolbar.CreateControl"
		size = 27
		refs = "0007 TCustomActionPopupMenu.CreateControl 0012 TActionClientItem.SetShowCaption"
	strings:
		$1 = { 53 56 8B DA 8B D3 E8 ?? ?? ?? ?? 8B F0 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83594_0 {
	meta:
		name = "TCustomRibbonQuickAccessPopupToolbar.CreateWnd"
		size = 55
		refs = "0007 TWinControl.CreateWnd 001e CreateRoundRectRgn 002a TWinControl.GetHandle 0030 SetWindowRgn"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 03 6A 03 8B 43 54 40 50 8B 43 50 40 50 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F0 6A FF 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83595_0 {
	meta:
		name = "TCustomRibbonQuickAccessPopupToolbar.DrawBackground"
		size = 76
		refs = "0009 TCustomActionBar.GetColorMap 001d TBrush.SetColor 002d TBrush.SetStyle"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 90 C0 00 00 00 8B 83 8C 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 51 60 8B D4 8B 83 8C 02 00 00 8B 08 FF 51 54 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_83596_0 {
	meta:
		name = "TCustomRibbonQuickAccessPopupToolbar.GetControlClass"
		size = 18
		refs = "0007 _Dn_TRibbonQATScrollButton 000d TCustomActionBar.GetControlClass"
	strings:
		$1 = { 83 7A 38 FF 75 06 A1 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83597_0 {
	meta:
		name = "TCustomRibbonQuickAccessPopupToolbar.NCPaint"
		size = 600
		refs = "0019 TWinControl.GetHandle 001f GetClientRect 002e GetWindowRect 0041 MapWindowPoints 0052 OffsetRect 0068 ExcludeClipRect 0086 TCanvas.GetHandle 0091 TCustomActionBar.GetColorMap 009b TCustomRibbonQuickAccessPopupToolbar.NCPaint 00b1 TCanvas.SetHandle 00c7 TPen.SetWidth 00de TPen.SetColor 024b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B FA 89 45 FC 8D 75 D8 8D 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 56 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 56 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 4E 04 F7 D9 8B 16 F7 DA 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F0 50 8B 45 EC 50 8B 45 E8 50 57 E8 ?? ?? ?? ?? 8B 4E 04 F7 D9 8B 16 F7 DA 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 8C 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 93 C4 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 4E 04 8B 56 08 8B 38 FF 57 64 8B 45 FC 8B 80 8C 02 00 00 8B 4E 04 8B 16 8B 38 FF 57 60 8B 45 FC 8B 80 8C 02 00 00 8B 4E 0C 8B 16 8B 38 FF 57 60 8B 93 C0 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 4E 04 41 8B 56 08 4A 8B 45 FC 8B 80 8C 02 00 00 8B 38 FF 57 64 8B 4E 04 41 8B 16 42 8B 45 FC 8B 80 8C 02 00 00 8B 38 FF 57 60 8B 4E 0C 83 E9 02 8B 16 42 8B 45 FC 8B 80 8C 02 00 00 8B 38 FF 57 60 8B 93 C4 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 56 08 4A 8B 45 FC 8B 80 8C 02 00 00 8B 4E 04 8B 38 FF 57 64 8B 4E 0C 49 8B 56 08 4A 8B 45 FC 8B 80 8C 02 00 00 8B 38 FF 57 60 8B 4E 0C 49 8B 16 4A 8B 45 FC 8B 80 8C 02 00 00 8B 38 FF 57 60 8B 93 C0 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 4E 04 41 8B 56 08 83 EA 02 8B 45 FC 8B 80 8C 02 00 00 8B 18 FF 53 64 8B 4E 0C 83 E9 02 8B 56 08 83 EA 02 8B 45 FC 8B 80 8C 02 00 00 8B 18 FF 53 60 8B 4E 0C 83 E9 02 8B 45 FC 8B 80 8C 02 00 00 8B 16 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83598_0 {
	meta:
		name = "TCustomRibbonQuickAccessPopupToolbar.ValidOrientations"
		size = 12
		refs = "0003 TCustomRibbonQuickAccessPopupToolbar.ValidOrientations"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 03 00 00 00 }
	condition:
		$1
}

rule function_98235_0 {
	meta:
		name = "TCustomAdapterCommandColumn.GetAdapterDisplayCharacteristics"
		size = 12
		refs = "0003 TCustomAdapterCommandColumn.GetAdapterDisplayCharacteristics"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 03 00 00 00 }
	condition:
		$1
}

rule function_111876_0 {
	meta:
		name = "TXmlAbortedSignal.Scope"
		size = 12
		refs = "0003 TXmlAbortedSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 03 00 00 00 }
	condition:
		$1
}

rule function_111915_0 {
	meta:
		name = "TXmlCommentSignal.Scope"
		size = 12
		refs = "0003 TXmlCommentSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 03 00 00 00 }
	condition:
		$1
}

rule function_111875_0 {
	meta:
		name = "TXmlCompletedSignal.Scope"
		size = 12
		refs = "0003 TXmlCompletedSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 03 00 00 00 }
	condition:
		$1
}

rule function_111918_0 {
	meta:
		name = "TXmlProcessingInstructionSignal.Scope"
		size = 12
		refs = "0003 TXmlProcessingInstructionSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 03 00 00 00 }
	condition:
		$1
}

rule function_83599_0 {
	meta:
		name = "TRibbonObsidianColorMap.UpdateColors"
		size = 167
		refs = "0006 TXPColorMap.UpdateColors"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 83 A0 00 00 00 4F 4F 4F 00 C7 83 9C 00 00 00 62 62 62 00 C7 43 44 00 15 6E 00 C7 83 B8 00 00 00 3E 6A AA 00 C7 83 A4 00 00 00 05 00 00 FF C7 83 AC 00 00 00 E8 E8 E8 00 C7 83 A8 00 00 00 89 89 89 00 C7 43 50 A7 A7 A7 00 C7 83 BC 00 00 00 69 70 79 00 33 D2 8B C3 8B 08 FF 51 44 C7 43 7C 04 00 00 FF C7 43 74 00 15 6E 00 33 C0 89 83 98 00 00 00 C7 83 B4 00 00 00 FF FF FF 00 C7 83 B0 00 00 00 FF FF FF 00 C7 83 C0 00 00 00 76 80 8E 00 C7 83 C4 00 00 00 37 3C 43 00 5B C3 }
	condition:
		$1
}

rule function_83600_0 {
	meta:
		name = "TRibbonSilverColorMap.UpdateColors"
		size = 169
		refs = "0006 TXPColorMap.UpdateColors"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C7 83 A0 00 00 00 80 80 80 00 C7 83 9C 00 00 00 DC E1 EB 00 C7 43 44 00 15 6E 00 C7 83 B8 00 00 00 3E 6A AA 00 C7 83 A4 00 00 00 05 00 00 FF C7 83 AC 00 00 00 E8 EA EC 00 C7 83 A8 00 00 00 89 89 89 00 C7 43 50 8D 8D 8D 00 C7 83 BC 00 00 00 69 70 79 00 33 D2 8B C3 8B 08 FF 51 44 C7 43 7C 04 00 00 FF C7 43 74 00 15 6E 00 C7 83 98 00 00 00 4C 53 5C 00 C7 83 B0 00 00 00 53 54 59 00 C7 83 B4 00 00 00 4C 53 5C 00 C7 83 C0 00 00 00 DB DA E4 00 C7 83 C4 00 00 00 7A 79 99 00 5B C3 }
	condition:
		$1
}

rule function_83601_0 {
	meta:
		name = "TRibbonCustomizeDlg.SetupDlg"
		size = 66
		refs = "0006 TCustomizeDlg.SetupDlg 0016 TTabSheet.SetTabVisible 003c TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 38 8B 80 98 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 43 38 8B 80 A0 03 00 00 33 D2 E8 ?? ?? ?? ?? F6 43 1C 10 75 10 8B 43 38 8B 80 4C 04 00 00 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83602_0 {
	meta:
		name = "TRibbonSystemButton.Create"
		size = 84
		refs = "000e @ClassCreate 001b TOffice2007Button.Create 0032 @CallDynaInst 003d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 0F B6 45 08 88 87 C8 01 00 00 33 D2 8B C7 66 BE C8 FF E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_83603_0 {
	meta:
		name = "TRibbonSystemButton.DoClick"
		size = 221
		refs = "0007 TOffice2007Button.DoClick 0041 TWinControl.GetHandle 0047 PostMessage"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 83 C8 01 00 00 FE C8 74 15 FE C8 74 34 FE C8 74 79 FE C8 0F 84 94 00 00 00 E9 AF 00 00 00 6A 00 68 20 F0 00 00 68 12 01 00 00 8B 43 38 8B 80 E8 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 8B 43 38 8B B0 E8 02 00 00 80 BE A2 02 00 00 02 75 1B 6A 00 68 20 F1 00 00 68 12 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 5F 6A 00 68 30 F0 00 00 68 12 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 6A 00 68 80 F1 00 00 68 12 01 00 00 8B 43 38 8B 80 E8 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 6A 00 68 60 F0 00 00 68 12 01 00 00 8B 43 38 8B 80 E8 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83604_0 {
	meta:
		name = "TRibbonSystemButton.DrawBackground"
		size = 97
		refs = "0012 IsLeftMouseButtonPressed 0029 TOffice2007Button.GetRibbonStyle 0036 TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 83 C4 F0 8B D8 80 BB BC 01 00 00 00 74 4D 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 8B D4 8B C3 8B 08 FF 51 60 54 6A FF 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 0C E8 ?? ?? ?? ?? EB 20 8B D4 8B C3 8B 08 FF 51 60 54 6A FF 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 0B E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_83605_0 {
	meta:
		name = "TRibbonSystemButton.DrawImage"
		size = 184
		refs = "0013 IsLeftMouseButtonPressed 0068 TOffice2007Button.GetRibbonStyle 006f RestoreElement 007a TRibbonStyleActionBars.DrawElement 009f Elements"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 80 BB BC 01 00 00 00 74 19 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 BE 03 00 00 00 EB 1C BE 02 00 00 00 EB 15 8B 43 38 80 B8 F8 02 00 00 00 74 04 33 F6 EB 05 BE 01 00 00 00 80 BB C8 01 00 00 02 75 39 8B 43 38 8B 80 E8 02 00 00 80 B8 A2 02 00 00 00 74 27 8B D4 8B C3 8B 08 FF 51 60 54 6A FF 8B C3 E8 ?? ?? ?? ?? 0F B6 96 ?? ?? ?? ?? 8B 8B B0 01 00 00 E8 ?? ?? ?? ?? EB 32 8B D4 8B C3 8B 08 FF 51 60 54 6A FF 8B C3 E8 ?? ?? ?? ?? 0F B6 93 C8 01 00 00 8D 0C B6 81 C1 ?? ?? ?? ?? 0F B6 14 11 8B 8B B0 01 00 00 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_83606_0 {
	meta:
		name = "Finalization"
		size = 95
		refs = "0007 Finalization 0013 _DV_23 001a DestroyMouseWheelHook 001f CaptionFmt 002a string 002f @FinalizeArray 0034 GlassCaptionFmt 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2F E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_83608_0 {
	meta:
		name = "IsLeftMouseButtonPressed"
		size = 19
		refs = "0003 GetAsyncKeyState"
	strings:
		$1 = { 6A 01 E8 ?? ?? ?? ?? 0F BF C0 F6 C4 80 0F 94 C0 34 01 C3 }
	condition:
		$1
}

rule function_83609_0 {
	meta:
		name = "DrawLine"
		size = 35
	strings:
		$1 = { 53 56 57 8B F9 8B F0 8B 4A 04 8B 12 8B C6 8B 18 FF 53 64 8B 4F 04 8B 17 8B C6 8B 18 FF 53 60 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83611_0 {
	meta:
		name = "TKeyTipWindow.Create"
		size = 88
		refs = "000a @ClassCreate 0017 TCustomControl.Create 0023 TControl.SetClientHeight 002f TControl.SetClientWidth 003a @UStrClr 0045 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 0F 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 10 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 86 80 02 00 00 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83612_0 {
	meta:
		name = "TKeyTipWindow.SetKeyTip"
		size = 76
		refs = "000f @UStrEqual 001e @UStrAsg 002f TCustomCanvas.TextWidth 0045 TControl.SetClientWidth"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 80 02 00 00 8B D6 E8 ?? ?? ?? ?? 74 34 8D 83 80 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 93 80 02 00 00 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 83 C0 06 83 F8 10 7D 05 B8 10 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83613_0 {
	meta:
		name = "TKeyTipWindow.ShowKeyTip"
		size = 149
		refs = "0010 TKeyTipWindow.ShowKeyTip 001f _DV_TKeyTipWindow 0024 TKeyTipWindow.Create 0036 TControl.SetColor 004e UpperCase 0058 TKeyTipWindow.SetKeyTip 005d Application 006c TWinControl.SetParentWindow 0081 @UStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 84 DB 74 0E BA A6 CA F0 00 8B C7 E8 ?? ?? ?? ?? EB 0C BA C0 C0 C0 00 8B C7 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 90 78 01 00 00 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83615_0 {
	meta:
		name = "TKeyTipWindow.CreateWindowHandle"
		size = 48
		refs = "0006 TWinControl.CreateWindowHandle 000b SetLayeredWindowAttributes 0020 TWinControl.GetHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 74 1A 6A 02 68 C8 00 00 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 FF D0 5B C3 }
	condition:
		$1
}

rule function_83616_0 {
	meta:
		name = "TKeyTipWindow.CreateWnd"
		size = 63
		refs = "0007 TWinControl.CreateWnd 0012 TControl.GetClientHeight 001b TControl.GetClientWidth 0026 CreateRoundRectRgn 0032 TWinControl.GetHandle 0038 SetWindowRgn"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 03 6A 03 8B C3 E8 ?? ?? ?? ?? 40 50 8B C3 E8 ?? ?? ?? ?? 40 50 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F0 6A FF 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83617_0 {
	meta:
		name = "TKeyTipWindow.Paint"
		size = 236
		refs = "0014 TKeyTipWindow.Paint 0035 TBrush.SetColor 0048 TPen.SetColor 0058 TBrush.SetStyle 006d TCustomCanvas.RoundRect 008c OffsetRect 009c TCanvas.GetHandle 00ac @UStrLAsg 00bd @UStrToPWChar 00c4 DrawText 00d9 @UStrClr 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C3 8B 08 FF 51 60 8B 83 78 02 00 00 8B 40 48 8B 53 74 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 44 BA 80 80 80 00 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 6A 05 8D 55 EC B9 05 00 00 00 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8D 45 EC 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? BE 25 08 00 00 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B F8 8D 45 FC 8B 93 80 02 00 00 E8 ?? ?? ?? ?? 83 CB FF 56 8D 45 EC 50 53 8B 45 FC E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83618_0 {
	meta:
		name = "ShowKeyTip"
		size = 428
		refs = "0020 _DV_TKeyTipWindow 0025 TKeyTipWindow.ShowKeyTip 003b ShowKeyTip 00a5 @ROUND 0186 TWinControl.GetHandle 018c SetWindowPos"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FF 8B DA 8B F8 8B 75 0C 85 FF 0F 84 77 01 00 00 8B CB 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 0F B6 45 08 83 F8 06 0F 87 1C 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 7E 08 2B 7B 50 D1 FF 79 03 83 D7 00 03 3E 8B 46 0C 2B 43 54 D1 F8 79 03 83 D0 00 03 46 04 8B F0 E9 F4 00 00 00 8B 7E 08 2B 7B 50 D1 FF 79 03 83 D7 00 03 3E 8B 46 0C 83 E8 06 89 45 F8 DB 45 F8 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 03 46 04 8B F0 E9 C2 00 00 00 8B 7E 08 2B 7B 50 D1 FF 79 03 83 D7 00 03 3E 8B 46 0C 2B 43 54 D1 F8 79 03 83 D0 00 03 46 04 83 C0 05 8B F0 E9 99 00 00 00 80 7D FF 00 74 11 8B 7E 08 2B 7B 50 D1 FF 79 03 83 D7 00 03 3E EB 05 8B 3E 83 C7 0C 80 7D 08 03 75 0D 8B 46 04 03 46 0C 83 E8 10 8B F0 EB 6A 8B 76 04 EB 65 80 7D FF 00 74 11 8B 7E 08 2B 7B 50 D1 FF 79 03 83 D7 00 03 3E EB 05 8B 3E 83 C7 0C 8B 76 04 EB 44 80 7D FF 00 74 11 8B 7E 08 2B 7B 50 D1 FF 79 03 83 D7 00 03 3E EB 02 8B 3E 8B 46 04 03 46 0C 8B F0 EB 21 8B 7E 08 2B 7B 50 D1 FF 79 03 83 D7 00 03 3E 8B 46 0C 2B 43 54 D1 F8 79 03 83 D0 00 03 46 04 8B F0 6A 50 8B 43 54 50 8B 43 50 50 56 57 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 02 33 DB 8B C3 5F 5E 5B 59 59 5D C2 08 00 00 C3 F5 28 5C 8F C2 F5 A8 FE 3F 00 00 }
	condition:
		$1
}

rule function_83619_0 {
	meta:
		name = "ShowKeyTip"
		size = 289
		refs = "001c _Dn_TCustomActionControl 0021 @IsClass 007b TControl.ClientToScreen 00fa Rect 0110 ShowKeyTip"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B F9 88 55 FF 8B F0 85 F6 0F 84 FE 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 74 0F 8B 87 BC 01 00 00 8B 10 FF 52 34 84 C0 74 08 84 DB 74 04 33 C0 EB 02 B0 01 8B D8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 87 BC 01 00 00 8B 40 78 80 78 18 01 75 02 B3 01 33 C0 89 45 E4 33 C0 89 45 E8 8D 4D F4 8D 55 E4 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 58 33 C0 89 45 DC 33 C0 89 45 E0 8D 4D EC 8D 55 DC 8B 47 38 E8 ?? ?? ?? ?? 0F B6 45 08 2C 03 74 0E FE C8 74 15 FE C8 74 1C FE C8 74 23 EB 2A 8B 45 F0 83 C0 F8 89 45 F8 EB 1F 8B 45 F0 83 C0 1C 89 45 F8 EB 14 8B 45 F0 83 C0 3A 89 45 F8 EB 09 8B 45 F0 83 C0 53 89 45 F8 8B 47 54 50 8D 45 CC 50 8B 4F 50 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 CC 50 0F B6 45 08 50 8B CB 0F B6 55 FF 8B C6 E8 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_83620_0 {
	meta:
		name = "TKeyTipMatchItem.Create"
		size = 88
		refs = "000e @ClassCreate 001e TObject.Create 0041 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 89 46 04 0F B6 45 10 88 46 08 8B 45 08 89 46 0C 88 5E 10 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_83621_0 {
	meta:
		name = "TKeyTipValidator.Validate"
		size = 257
		refs = "001f TKeyTipValidator.Validate 005e UpperCase 0069 @UStrEqual 00aa @UStrFromWChar 00ec @UStrArrayClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 FC 8B 75 08 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 06 00 85 DB 74 17 85 DB 0F 84 9E 00 00 00 8B C3 8B 10 FF 52 68 84 C0 0F 84 8F 00 00 00 8B DF 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 7E 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 75 05 C6 06 02 EB 62 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 50 8B C2 85 C0 74 05 83 E8 04 8B 00 8B D3 85 D2 74 05 83 EA 04 8B 12 3B D0 7E 36 8D 45 F4 8B 55 FC 0F B7 12 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 EC 0F B7 17 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 58 E8 ?? ?? ?? ?? 75 03 C6 06 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_83622_0 {
	meta:
		name = "TRibbonLargeButtonControl.CalcBounds"
		size = 122
		refs = "0009 TRibbonBaseButtonControl.CalcBounds 0015 TControl.SetHeight 0037 TControl.SetWidth"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? BA 42 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 2B 83 E4 01 00 00 83 C0 0A 83 F8 2A 7D 05 B8 2A 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 54 24 08 8B C3 8B 08 FF 91 E0 00 00 00 8B 43 50 2B 44 24 08 D1 F8 79 03 83 D0 00 89 04 24 C7 44 24 04 03 00 00 00 8B 04 24 89 83 C4 01 00 00 8B 44 24 04 89 83 C8 01 00 00 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_83623_0 {
	meta:
		name = "GetButtonWidth"
		size = 349
		refs = "001e GetButtonWidth 002d TCustomCanvas.TextWidth 0039 TCustomCanvas.TextHeight 005c TCanvas.GetHandle 0069 @UStrLAsg 008b @UStrToPWChar 0095 DrawText 014a @UStrArrayClr 0150 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C6 E8 ?? ?? ?? ?? 89 45 F0 8B D7 8B C6 E8 ?? ?? ?? ?? 03 C0 89 45 EC 83 7D F0 20 0F 8E B6 00 00 00 56 57 8B F3 8D 7D BC A5 A5 A5 A5 5F 5E 8B C6 E8 ?? ?? ?? ?? 89 45 E8 8D 45 FC 8B D7 E8 ?? ?? ?? ?? C7 45 E4 FF FF FF FF C7 45 E0 10 04 00 00 8B 45 E0 50 8D 45 BC 50 8B 45 E4 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 E8 50 E8 ?? ?? ?? ?? EB 54 83 43 08 0A 56 57 8B F3 8D 7D BC A5 A5 A5 A5 5F 5E 8B C6 E8 ?? ?? ?? ?? 89 45 DC 8D 45 F8 8B D7 E8 ?? ?? ?? ?? C7 45 D8 FF FF FF FF C7 45 D4 10 04 00 00 8B 45 D4 50 8D 45 BC 50 8B 45 D8 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 DC 50 E8 ?? ?? ?? ?? 89 45 D0 8B 45 C8 3B 45 EC 7F A4 8B FB 8D 75 BC A5 A5 A5 A5 EB 32 8B C6 E8 ?? ?? ?? ?? 8B F0 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 83 CF FF C7 45 CC 00 04 00 00 8B 45 CC 50 53 57 8B 45 F4 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83624_0 {
	meta:
		name = "TRibbonLargeButtonControl.CalcLayout"
		size = 262
		refs = "001a TRibbonLargeButtonControl.CalcLayout 002b TCanvas.HandleAllocated 0047 TActionClientItem.GetCaption 0052 StripHotkey 005e TControl.GetText 007d Rect 008e GetButtonWidth 00e3 @UStrClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 D2 89 55 E4 89 55 E8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 9B 00 00 00 8B B3 BC 01 00 00 85 F6 74 17 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 FC E8 ?? ?? ?? ?? EB 15 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 FC E8 ?? ?? ?? ?? 6A 00 8D 45 EC 50 B9 2A 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 4D EC 8B 55 FC 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B 45 F4 2B 45 EC 83 C0 05 83 F8 25 7E 04 8B F0 EB 05 BE 25 00 00 00 8B 45 F8 83 C0 26 50 8D 45 D4 50 8B CE BA 26 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 8D 75 D4 8D BB E4 01 00 00 A5 A5 A5 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83625_0 {
	meta:
		name = "TRibbonLargeButtonControl.DrawBackground"
		size = 248
		refs = "0016 TCustomActionControl.GetActionBar 002d GetAsyncKeyState 0054 TRibbonBaseButtonControl.RibbonStyle 0061 TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB FB 01 00 00 00 0F 84 9E 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 0F 85 87 00 00 00 6A 01 E8 ?? ?? ?? ?? 0F BF C0 F6 C4 80 74 0C 80 BB FE 01 00 00 02 0F 94 C0 EB 02 33 C0 84 C0 74 1F 56 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 0B E8 ?? ?? ?? ?? E9 8B 00 00 00 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 1C 56 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 0D E8 ?? ?? ?? ?? EB 61 56 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 0A E8 ?? ?? ?? ?? 5E 5B C3 80 BB FB 01 00 00 00 74 13 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 74 28 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 1A 56 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83626_0 {
	meta:
		name = "TRibbonLargeButtonControl.DrawShadowedText"
		size = 112
		refs = "001a @UStrAddRef 0022 TRibbonLargeButtonControl.DrawShadowedText 0046 TRibbonBaseButtonControl.DrawShadowedText 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B D9 8B F0 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CB 10 83 CB 01 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CB 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_83715_0 {
	meta:
		name = "TRibbonDropDownButton.DrawShadowedText"
		size = 112
		refs = "001a @UStrAddRef 0022 TRibbonDropDownButton.DrawShadowedText 0046 TRibbonBaseButtonControl.DrawShadowedText 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B D9 8B F0 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CB 10 83 CB 01 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CB 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_83627_0 {
	meta:
		name = "TRibbonLargeButtonControl.DrawText"
		size = 95
		refs = "0010 @UStrAddRef 0018 TRibbonLargeButtonControl.DrawText 0037 TRibbonBaseButtonControl.DrawText 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B FA 8B F0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 83 C8 10 83 C8 01 89 03 8B 45 08 50 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_83716_0 {
	meta:
		name = "TRibbonDropDownButton.DrawText"
		size = 95
		refs = "0010 @UStrAddRef 0018 TRibbonDropDownButton.DrawText 0037 TRibbonBaseButtonControl.DrawText 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B FA 8B F0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 83 C8 10 83 C8 01 89 03 8B 45 08 50 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_83630_0 {
	meta:
		name = "TRibbonBaseButtonControl.CalcBounds"
		size = 592
		refs = "000a TCustomButtonControl.CalcBounds 0013 TRibbonBaseButtonControl.IsButton 0030 TRibbonBaseButtonControl.IsRibbonAvailable 0040 TControl.SetHeight 0086 TRibbonBaseButtonControl.CalcBounds 00a6 TControl.SetWidth 0137 TRibbonBaseButtonControl.CaptionLength 016b TRibbonBaseButtonControl.ActualSpacing 018e TRibbonBaseButtonControl.CaptionHeight"
	strings:
		$1 = { 53 56 83 C4 F4 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 2B 02 00 00 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 74 1C 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 BA 42 00 00 00 8B C3 E8 ?? ?? ?? ?? E9 01 02 00 00 8B 04 24 0F B6 40 18 2C 01 72 0B 0F 84 AD 00 00 00 E9 EB 01 00 00 BA 16 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 80 78 55 00 75 6B 8B 04 24 0F B6 40 1A 83 F8 04 77 5F FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BA 18 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 36 BA 16 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 28 BA 18 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 1A BA 17 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0C BA 18 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 04 24 0F B6 40 19 3C 02 74 08 3C 01 0F 85 55 01 00 00 8B 53 50 83 C2 07 8B C3 E8 ?? ?? ?? ?? E9 43 01 00 00 8B 04 24 0F B6 40 19 3C 02 0F 85 92 00 00 00 8D 54 24 04 8B C3 8B 08 FF 91 E0 00 00 00 8B 74 24 04 03 B3 CC 01 00 00 03 B3 D4 01 00 00 8B C3 E8 ?? ?? ?? ?? 03 83 CC 01 00 00 03 83 D4 01 00 00 3B C6 7D 02 8B C6 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 54 24 04 8B C3 8B 08 FF 91 E0 00 00 00 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 54 24 04 8B C3 8B 08 FF 91 E0 00 00 00 8B 44 24 08 03 83 D0 01 00 00 03 F0 8B C3 E8 ?? ?? ?? ?? 03 F0 8B D6 03 93 D8 01 00 00 8B C3 E8 ?? ?? ?? ?? E9 95 00 00 00 3C 01 0F 85 8D 00 00 00 8D 54 24 04 8B C3 8B 08 FF 91 E0 00 00 00 8B 74 24 04 03 B3 CC 01 00 00 03 B3 D4 01 00 00 8B C3 E8 ?? ?? ?? ?? 03 83 CC 01 00 00 03 83 D4 01 00 00 3B C6 7D 02 8B C6 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 54 24 04 8B C3 8B 08 FF 91 E0 00 00 00 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 54 24 04 8B C3 8B 08 FF 91 E0 00 00 00 8B 44 24 08 03 83 D0 01 00 00 03 F0 8B C3 E8 ?? ?? ?? ?? 03 F0 8B D6 03 93 D8 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 53 50 83 C2 0C 8B C3 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_83634_0 {
	meta:
		name = "TRibbonBaseButtonControl.Click"
		size = 27
		refs = "0001 TCustomButtonControl.Click 0006 Application 0010 TWinControl.GetHandle 0016 SetFocus"
	strings:
		$1 = { E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 40 48 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83635_0 {
	meta:
		name = "TRibbonBaseButtonControl.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TCustomButtonControl.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 00 02 00 00 00 33 C0 89 86 04 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83637_0 {
	meta:
		name = "TRibbonBaseButtonControl.DragDrop"
		size = 196
		refs = "000e TRibbonBaseButtonControl.DragDrop 001f TCustomActionControl.DragDrop 0026 TCustomActionControl.GetActionBar 002f @IntfClear 003c Supports 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 0C 8B C3 E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 F8 8B 10 FF 52 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C2 04 00 00 00 00 41 55 B8 A7 53 B7 DD 4D AE 84 9F AD E8 AD A9 27 6F 15 F7 C1 AF F1 82 48 96 97 E3 22 9D BD BF 11 }
	condition:
		$1
}

rule function_83638_0 {
	meta:
		name = "TRibbonApplicationMenuButton.GetKeyTip"
		size = 25
		refs = "0012 @UStrAsg"
		altNames = "TRibbonBaseButtonControl.GetKeyTip TRibbonComboControl.GetKeyTip TRibbonCustomControl.GetKeyTip"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 BC 01 00 00 8B 52 70 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83640_0 {
	meta:
		name = "TRibbonBaseButtonControl.HideKeyTip"
		size = 28
		refs = "0017 TObject.Free"
	strings:
		$1 = { 83 B8 04 02 00 00 00 74 12 05 04 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83641_0 {
	meta:
		name = "TRibbonBaseButtonControl.IsButton"
		size = 24
		refs = "0009 TRibbonBaseButtonControl.GetButtonProps"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 89 06 83 3E 00 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_83642_0 {
	meta:
		name = "TRibbonBaseButtonControl.IsRibbonAvailable"
		size = 44
		refs = "0006 TCustomActionControl.GetActionBar 0017 _Dn_TCustomRibbonGroup 001c @IsClass"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 16 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_83644_0 {
	meta:
		name = "TRibbonApplicationMenuButton.SetKeyTip"
		size = 25
		refs = "0012 @UStrAsg"
		altNames = "TRibbonBaseButtonControl.SetKeyTip TRibbonComboControl.SetKeyTip TRibbonCustomControl.SetKeyTip"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 BC 01 00 00 83 C0 70 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83645_0 {
	meta:
		name = "TRibbonBaseButtonControl.ShowKeyTip"
		size = 56
		refs = "0011 TObject.Free 002b ShowKeyTip"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 04 02 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 53 8B C6 8B 10 FF 52 68 8B D0 8B 86 BC 01 00 00 8B 40 70 8B CE E8 ?? ?? ?? ?? 89 86 04 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_83646_0 {
	meta:
		name = "TRibbonBaseButtonControl.DrawBackground"
		size = 1317
		refs = "000f TRibbonBaseButtonControl.IsButton 0069 TCustomActionControl.GetActionBar 008e TRibbonBaseButtonControl.DrawBackground 00af TRibbonBaseButtonControl.RibbonStyle 00b9 HoverSelectedElement 00c4 TRibbonStyleActionBars.DrawElement 0185 SelectedElement 023f GetAsyncKeyState 02b6 HoverElement 03fb PressedElement"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B FA 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 03 05 00 00 8B 04 24 80 78 18 01 0F 94 C3 84 DB 75 0C 8B 86 BC 01 00 00 80 78 55 00 74 07 C6 44 24 04 00 EB 0B 8B 04 24 0F B6 40 1A 88 44 24 04 8B C6 8B 10 FF 92 EC 00 00 00 84 C0 0F 84 BC 01 00 00 80 BE FB 01 00 00 00 0F 84 E3 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 0F 85 CC 00 00 00 0F B6 44 24 04 83 F8 04 0F 87 93 04 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 D3 0F B6 92 ?? ?? ?? ?? 8B 8E B0 01 00 00 E8 ?? ?? ?? ?? E9 51 04 00 00 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E B0 01 00 00 B2 2C E8 ?? ?? ?? ?? E9 32 04 00 00 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E B0 01 00 00 B2 32 E8 ?? ?? ?? ?? E9 13 04 00 00 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E B0 01 00 00 B2 3C E8 ?? ?? ?? ?? E9 F4 03 00 00 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E B0 01 00 00 B2 42 E8 ?? ?? ?? ?? E9 D5 03 00 00 0F B6 44 24 04 83 F8 04 0F 87 C7 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 D3 0F B6 92 ?? ?? ?? ?? 8B 8E B0 01 00 00 E8 ?? ?? ?? ?? E9 85 03 00 00 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E B0 01 00 00 B2 2B E8 ?? ?? ?? ?? E9 66 03 00 00 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E B0 01 00 00 B2 31 E8 ?? ?? ?? ?? E9 47 03 00 00 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E B0 01 00 00 B2 3B E8 ?? ?? ?? ?? E9 28 03 00 00 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E B0 01 00 00 B2 41 E8 ?? ?? ?? ?? E9 09 03 00 00 8B C6 8B 10 FF 52 68 84 C0 74 50 80 BE FB 01 00 00 00 74 43 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 30 6A 01 E8 ?? ?? ?? ?? 0F BF C0 F6 C4 80 74 0C 80 BE FE 01 00 00 02 0F 94 C0 EB 02 33 C0 84 C0 75 0B 0F B6 86 00 02 00 00 34 01 EB 0A 33 C0 EB 06 33 C0 EB 02 33 C0 84 C0 0F 84 CC 00 00 00 0F B6 44 24 04 83 F8 04 0F 87 96 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 D3 0F B6 92 ?? ?? ?? ?? 8B 8E B0 01 00 00 E8 ?? ?? ?? ?? E9 54 02 00 00 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E B0 01 00 00 B2 29 E8 ?? ?? ?? ?? E9 35 02 00 00 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E B0 01 00 00 B2 2F E8 ?? ?? ?? ?? E9 16 02 00 00 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E B0 01 00 00 B2 39 E8 ?? ?? ?? ?? E9 F7 01 00 00 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E B0 01 00 00 B2 3F E8 ?? ?? ?? ?? E9 D8 01 00 00 8B C6 8B 10 FF 52 68 84 C0 74 64 80 BE FB 01 00 00 00 74 27 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 14 6A 01 E8 ?? ?? ?? ?? 0F BF C0 F6 C4 80 0F 94 C0 34 01 EB 02 33 C0 84 C0 74 0C 80 BE FE 01 00 00 02 0F 94 C0 EB 02 33 C0 84 C0 74 04 B0 01 EB 07 0F B6 86 F9 01 00 00 84 C0 74 04 B0 01 EB 0B 0F B6 86 00 02 00 00 EB 02 33 C0 84 C0 0F 84 CC 00 00 00 0F B6 44 24 04 83 F8 04 0F 87 51 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 D3 0F B6 92 ?? ?? ?? ?? 8B 8E B0 01 00 00 E8 ?? ?? ?? ?? E9 0F 01 00 00 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E B0 01 00 00 B2 2A E8 ?? ?? ?? ?? E9 F0 00 00 00 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E B0 01 00 00 B2 30 E8 ?? ?? ?? ?? E9 D1 00 00 00 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E B0 01 00 00 B2 3A E8 ?? ?? ?? ?? E9 B2 00 00 00 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E B0 01 00 00 B2 40 E8 ?? ?? ?? ?? E9 93 00 00 00 56 57 8B F7 8D 7C 24 10 A5 A5 A5 A5 5F 5E 0F B6 44 24 04 FE C8 74 0E FE C8 74 26 FE C8 74 3E FE C8 74 56 EB 6E 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E B0 01 00 00 B2 28 E8 ?? ?? ?? ?? EB 52 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E B0 01 00 00 B2 2E E8 ?? ?? ?? ?? EB 36 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E B0 01 00 00 B2 38 E8 ?? ?? ?? ?? EB 1A 57 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E B0 01 00 00 B2 3E E8 ?? ?? ?? ?? 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83647_0 {
	meta:
		name = "TRibbonBaseButtonControl.DrawGlyph"
		size = 185
		refs = "0021 TRibbonBaseButtonControl.IsButton 009f TCustomImageList.Draw 00af TBrush.SetStyle"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B FA 8B D8 8B 83 BC 01 00 00 83 78 5C FF 0F 84 99 00 00 00 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 86 00 00 00 8B 44 24 04 80 78 18 01 0F 94 44 24 01 8B 83 BC 01 00 00 8B 40 5C 50 8D 4C 24 04 0F B6 54 24 05 8B C3 8B 30 FF 96 E8 00 00 00 8B F0 85 F6 74 56 8B C3 8B 10 FF 52 68 0A 04 24 74 0C 8B 83 BC 01 00 00 83 78 5C FF 75 0A F6 43 1C 10 75 04 33 C0 EB 02 B0 01 8B 57 04 52 8B 93 BC 01 00 00 8B 52 5C 52 6A 03 6A 00 50 8B 0F 8B 93 B0 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83648_0 {
	meta:
		name = "TRibbonBaseButtonControl.DrawSeparator"
		size = 137
		refs = "002d Rect 003a TRibbonBaseButtonControl.RibbonStyle 0047 TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B 43 38 8B 10 FF 52 68 84 C0 74 37 6A 3C 8D 44 24 04 50 8D 7E 04 8B CF 83 C1 02 8B C7 BA 05 00 00 00 E8 ?? ?? ?? ?? 54 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 25 E8 ?? ?? ?? ?? EB 35 6A 3C 8D 44 24 04 50 8D 7E 04 8B CF 83 C1 02 8B C7 BA 05 00 00 00 E8 ?? ?? ?? ?? 54 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 26 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83649_0 {
	meta:
		name = "TRibbonBaseButtonControl.DrawShadowedText"
		size = 154
		refs = "0020 @UStrAddRef 0028 TRibbonBaseButtonControl.DrawShadowedText 0047 @UStrLAsg 0054 StripHotkey 007d @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 8B F2 8D 7D E8 A5 A5 A5 A5 89 4D F8 8B D8 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 14 01 00 00 84 C0 74 0D 8D 45 FC 8B 55 10 E8 ?? ?? ?? ?? EB 0B 8D 55 FC 8B 45 10 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 4D F8 8D 55 E8 8B C3 8B 18 FF 93 D4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_83650_0 {
	meta:
		name = "TRibbonBaseButtonControl.DrawText"
		size = 270
		refs = "0012 @UStrAddRef 001a TRibbonBaseButtonControl.DrawText 0030 TCustomActionControl.GetActionBar 0035 TCustomActionBar.GetColorMap 005b TFont.SetColor 0098 TCustomActionBarColorMap.GetDisabledColor 00c1 @UStrLAsg 00ce StripHotkey 00dd TCustomActionControl.DrawText 00f2 @UStrClr 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB FB 01 00 00 00 74 34 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 81 78 64 00 00 00 20 74 1F 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 64 8B 83 B0 01 00 00 8B 40 40 E8 ?? ?? ?? ?? EB 4B 8B C3 8B 10 FF 52 68 84 C0 74 1F 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 58 8B 83 B0 01 00 00 8B 40 40 E8 ?? ?? ?? ?? EB 21 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 B0 01 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 14 01 00 00 84 C0 74 0D 8D 45 FC 8B 55 08 E8 ?? ?? ?? ?? EB 0B 8D 55 FC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_83651_0 {
	meta:
		name = "TRibbonBaseButtonControl.GetButtonProps"
		size = 52
		refs = "0028 _Dn_TButtonProperties 002d @AsClass"
	strings:
		$1 = { 53 56 8B D8 33 C0 8B B3 BC 01 00 00 85 F6 74 21 83 7E 78 00 74 1B 0F B6 56 76 84 D2 74 05 80 EA 04 75 0E 8B 46 78 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83652_0 {
	meta:
		name = "TRibbonBaseButtonControl.GetImageSize"
		size = 143
		refs = "004b TRibbonBaseButtonControl.IsButton 0085 TCustomActionControl.GetImageSize"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 33 C0 89 44 24 04 33 C0 89 44 24 08 8B 44 24 04 89 06 8B 44 24 08 89 46 04 8B 83 BC 01 00 00 8B 10 FF 52 34 84 C0 74 58 8B 83 BC 01 00 00 80 78 65 00 74 4C 83 BB BC 01 00 00 00 74 3A 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2D 8B 04 24 0F B6 40 18 2C 01 72 04 74 11 EB 27 C7 06 10 00 00 00 C7 46 04 10 00 00 00 EB 18 C7 06 20 00 00 00 C7 46 04 20 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_83653_0 {
	meta:
		name = "TRibbonBaseButtonControl.SetDrawDown"
		size = 23
	strings:
		$1 = { 3A 90 00 02 00 00 74 0E 88 90 00 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_83654_0 {
	meta:
		name = "TRibbonApplicationMenuButton.RibbonStyle"
		size = 83
		refs = "0006 TCustomActionControl.GetActionBar 0028 _Dn_TRibbonStyleActionBars 002d @IsClass 004b RibbonLunaStyle"
		altNames = "TRibbonBaseButtonControl.RibbonStyle TRibbonComboControl.RibbonStyle TRibbonCustomizeItem.RibbonStyle TRibbonGalleryMenuItem.RibbonStyle TRibbonGripItem.RibbonStyle TRibbonMenuItem.RibbonStyle TRibbonQATScrollButton.RibbonStyle TRibbonSeparator.RibbonStyle TRibbonStyleMenuButton.RibbonStyle TRibbonToolScrollButton.RibbonStyle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 B8 84 02 00 00 00 74 37 8B C3 E8 ?? ?? ?? ?? 8B 80 84 02 00 00 8B 80 E8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B C3 E8 ?? ?? ?? ?? 8B 80 84 02 00 00 8B 80 E8 00 00 00 5B C3 A1 ?? ?? ?? ?? 8B 00 5B C3 }
	condition:
		$1
}

rule function_83655_0 {
	meta:
		name = "TRibbonLargeSplitButton.CalcBounds"
		size = 22
		refs = "0006 TRibbonLargeButtonControl.CalcBounds"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 28 01 00 00 5B C3 }
	condition:
		$1
}

rule function_83656_0 {
	meta:
		name = "TRibbonLargeSplitButton.CalcLayout"
		size = 22
		refs = "0006 TRibbonLargeButtonControl.CalcLayout"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 28 01 00 00 5B C3 }
	condition:
		$1
}

rule function_83657_0 {
	meta:
		name = "TRibbonLargeSplitButton.Click"
		size = 104
		refs = "0009 Mouse 0010 TMouse.GetCursorPos 0031 TRibbonLargeSplitButton.InSplit 004a TRibbonBaseButtonControl.Click 004f Application 0059 TWinControl.GetHandle 005f SetFocus"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 44 24 04 50 8D 54 24 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 54 24 0C 8B C3 59 E8 ?? ?? ?? ?? 84 C0 74 0E 33 D2 8B C3 8B 08 FF 91 1C 01 00 00 EB 1C 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 40 48 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_83658_0 {
	meta:
		name = "TRibbonLargeSplitButton.CMMouseleave"
		size = 13
		refs = "0008 TCustomButtonControl.CMMouseLeave"
	strings:
		$1 = { C6 80 21 02 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83659_0 {
	meta:
		name = "TRibbonLargeSplitButton.DoSplitButtonClick"
		size = 416
		refs = "001b TActionClient.GetItems 003f _Dn_TRibbonGalleryPopupBar 0044 TXPStylePopupMenu.Create 0053 _Dn_TRibbonActionPopupMenu 0063 TRibbonLargeSplitButton.DoSplitButtonClick 0070 TCustomActionControl.GetActionBar 0075 TCustomActionBar.GetColorMap 00ec TControl.ClientToScreen 0133 TRibbonBaseButtonControl.SetDrawDown 014b @IsClass 0166 TCustomActionPopupMenu.Popup 018e TObject.Free 0194 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 8B DA 8B F0 8B 86 BC 01 00 00 85 C0 0F 84 80 01 00 00 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 0F 8E 6D 01 00 00 8B 86 BC 01 00 00 80 78 76 04 75 14 8B 4E 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 EB 12 8B 4E 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 08 FF 91 54 01 00 00 8B 45 F4 C6 80 E4 02 00 00 00 8B 56 38 8B 45 F4 8B 08 FF 91 84 00 00 00 8B 45 F4 89 B0 30 03 00 00 8B 96 BC 01 00 00 8B 45 F4 8B 08 FF 91 4C 01 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 80 97 02 00 00 2C 02 72 47 74 26 FE C8 75 5E 8B 46 48 89 45 EC 8B 46 4C 8B 55 F4 2B 42 54 89 45 F0 8D 4D F8 8D 55 EC 8B 46 38 E8 ?? ?? ?? ?? EB 3C 8B 46 48 89 45 E4 8B 46 4C 03 46 54 89 45 E8 8D 4D F8 8D 55 E4 8B 46 38 E8 ?? ?? ?? ?? EB 1D 8B 46 48 89 45 DC 8B 46 4C 03 46 54 89 45 E0 8D 4D F8 8D 55 DC 8B 46 38 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B 45 F4 88 98 B8 03 00 00 8B 4D FC 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83660_0 {
	meta:
		name = "TRibbonLargeSplitButton.DrawArrow"
		size = 112
		refs = "0024 TPen.SetColor 0035 DrawArrow"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F8 A5 A5 8B F9 8B D8 8B 75 08 8B 83 B0 01 00 00 8B 40 44 8B 55 0C E8 ?? ?? ?? ?? 56 8D 4D F8 B2 03 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 8B 40 44 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 89 45 F0 8B 45 FC 48 89 45 F4 56 8D 4D F0 B2 03 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_83661_0 {
	meta:
		name = "TRibbonLargeSplitButton.DrawBackground"
		size = 664
		refs = "000c TCustomActionControl.GetActionBar 0063 TRibbonBaseButtonControl.RibbonStyle 0070 TRibbonStyleActionBars.DrawElement 0093 GetAsyncKeyState 023a Rect"
	strings:
		$1 = { 53 56 83 C4 E8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 0F 85 A3 01 00 00 80 BB FB 01 00 00 00 75 0D 80 BB 00 02 00 00 00 0F 84 8D 01 00 00 80 BB 21 02 00 00 00 75 0D 80 BB 00 02 00 00 00 0F 84 BE 00 00 00 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 1C 56 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 1D E8 ?? ?? ?? ?? EB 1A 56 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 09 E8 ?? ?? ?? ?? 6A 01 E8 ?? ?? ?? ?? 0F BF C0 F6 C4 80 74 0C 80 BB FE 01 00 00 02 0F 94 C0 EB 02 33 C0 84 C0 74 04 B0 01 EB 07 0F B6 83 00 02 00 00 84 C0 74 25 8D 83 10 02 00 00 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 1B E8 ?? ?? ?? ?? E9 26 01 00 00 8D 83 10 02 00 00 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 1A E8 ?? ?? ?? ?? E9 01 01 00 00 80 BB FB 01 00 00 00 75 0D 80 BB DC 01 00 00 00 0F 84 EB 00 00 00 6A 01 E8 ?? ?? ?? ?? 0F BF C0 F6 C4 80 74 0C 80 BB FE 01 00 00 02 0F 94 C0 EB 02 33 C0 84 C0 74 1C 56 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 0B E8 ?? ?? ?? ?? EB 44 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 1C 56 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 1D E8 ?? ?? ?? ?? EB 1A 56 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 0A E8 ?? ?? ?? ?? 8D 83 10 02 00 00 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 18 E8 ?? ?? ?? ?? EB 48 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 3A 56 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 1C E8 ?? ?? ?? ?? 8D 83 10 02 00 00 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 1C E8 ?? ?? ?? ?? 8B CC 8D 93 E4 01 00 00 8B C3 8B 30 FF 96 24 01 00 00 8B C3 8B 10 FF 52 68 84 C0 74 36 6A 00 8D 44 24 0C 50 33 C9 8B 54 24 0C 8B 44 24 08 E8 ?? ?? ?? ?? 8D 44 24 08 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 20 E8 ?? ?? ?? ?? EB 34 6A 00 8D 44 24 0C 50 33 C9 8B 54 24 0C 8B 44 24 08 E8 ?? ?? ?? ?? 8D 44 24 08 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 21 E8 ?? ?? ?? ?? 83 C4 18 5E 5B C3 }
	condition:
		$1
}

rule function_83662_0 {
	meta:
		name = "IsMultiline"
		size = 118
		refs = "000a IsMultiline 001e TControl.GetText 0032 TCustomCanvas.TextHeight 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 92 F0 01 00 00 8B 4D 08 8B 49 FC 2B 91 E8 01 00 00 3B C2 0F 9C C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_83663_0 {
	meta:
		name = "TRibbonLargeSplitButton.GetArrowPosition"
		size = 310
		refs = "001d TRibbonLargeSplitButton.GetArrowPosition 0054 TRibbonBaseButtonControl.GetButtonProps 0075 TControl.GetText 0086 TCustomCanvas.TextHeight 009b IsMultiline 0124 @UStrArrayClr 012a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B 59 50 8B 45 FC 8B 80 EC 01 00 00 2B D8 8B 55 FC 8B 92 E4 01 00 00 2B DA D1 FB 79 03 83 D3 00 2B C2 03 D8 33 F6 8B 45 FC E8 ?? ?? ?? ?? 80 78 19 02 75 67 8B 45 FC 8B 58 50 D1 FB 79 03 83 D3 00 83 EB 02 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 8B F0 D1 FE 79 03 83 D6 00 8B 45 F8 03 70 04 55 E8 ?? ?? ?? ?? 59 84 C0 75 56 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 03 F0 4E EB 35 8B 45 FC E8 ?? ?? ?? ?? 80 78 19 01 75 27 8B 45 FC 8B 58 50 83 EB 0A 8B 55 FC 8B B2 F0 01 00 00 8B 45 FC 8B 80 E8 01 00 00 2B F0 D1 FE 79 03 83 D6 00 03 F0 4E 89 5D EC 89 75 F0 8B 45 F4 8B 55 EC 89 10 8B 55 F0 89 50 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83664_0 {
	meta:
		name = "TRibbonLargeSplitButton.InSplit"
		size = 25
		refs = "0012 PtInRect"
	strings:
		$1 = { 83 C4 F8 89 14 24 89 4C 24 04 8B D4 05 10 02 00 00 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_83665_0 {
	meta:
		name = "TRibbonLargeSplitButton.KeyTipClick"
		size = 11
	strings:
		$1 = { B2 01 8B 08 FF 91 1C 01 00 00 C3 }
	condition:
		$1
}

rule function_83666_0 {
	meta:
		name = "TRibbonLargeSplitButton.MouseDown"
		size = 121
		refs = "002d PtInRect 0036 TRibbonLargeSplitButton.SetCursorInSplit 006c TCustomButtonControl.MouseDown"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 66 89 4D FD 88 55 FF 8B D8 8B 7D 08 8B 75 0C 89 5D F8 89 75 F0 89 7D F4 8D 55 F0 8B 45 F8 05 10 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 75 1F 89 5D EC 89 75 E4 89 7D E8 8D 55 E4 8B 45 EC 05 10 02 00 00 E8 ?? ?? ?? ?? 88 83 20 02 00 00 56 57 0F B7 4D FD 0F B6 55 FF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_83667_0 {
	meta:
		name = "TRibbonLargeSplitButton.MouseMove"
		size = 77
		refs = "001e TCustomButtonControl.MouseMove 0037 PtInRect 0040 TRibbonLargeSplitButton.SetCursorInSplit"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 66 89 55 FE 8B D8 8B 7D 08 57 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 89 5D F8 89 75 F0 89 7D F4 8D 55 F0 8B 45 F8 05 10 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_83668_0 {
	meta:
		name = "TRibbonLargeSplitButton.MouseUp"
		size = 116
		refs = "0030 PtInRect 0067 TCustomButtonControl.MouseUp"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 66 89 4D FE 8B DA 8B F0 8B 7D 0C 84 DB 75 1E 89 75 F8 89 7D F0 8B 45 08 89 45 F4 8D 55 F0 8B 45 F8 05 10 02 00 00 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 09 0F B6 86 20 02 00 00 EB 02 33 C0 84 C0 74 0E 33 D2 8B C6 8B 08 FF 91 1C 01 00 00 EB 12 57 8B 45 08 50 0F B7 4D FE 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_83669_0 {
	meta:
		name = "TRibbonLargeSplitButton.SetCursorInSplit"
		size = 23
	strings:
		$1 = { 3A 90 21 02 00 00 74 0E 88 90 21 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_83670_0 {
	meta:
		name = "TRibbonLargeSplitButton.UpdateSplitBounds"
		size = 64
		refs = "0029 Rect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 83 BB BC 01 00 00 00 74 28 8B 43 54 50 8D 44 24 04 50 8B 4B 50 49 BA 24 00 00 00 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B F4 8D BB 10 02 00 00 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83671_0 {
	meta:
		name = "TRibbonSmallButtonControl.CalcBounds"
		size = 63
		refs = "0006 TRibbonBaseButtonControl.CalcBounds 001b TRibbonBaseButtonControl.IsRibbonAvailable 002b TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 74 19 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E BA 42 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 BA 16 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83672_0 {
	meta:
		name = "TRibbonSeparator.CalcBounds"
		size = 236
		refs = "000d TRibbonSeparator.CalcBounds 001a TCustomActionControl.CalcBounds 0025 TCanvas.HandleAllocated 003e TFont.SetStyle 0048 TControl.GetText 0056 TCustomCanvas.TextWidth 006b TControl.SetWidth 0076 _Dn_TRibbonStyleMainPopupMenu 007b @IsClass 0086 TControl.GetClientWidth 009e TControl.SetHeight 00af TCollectionItem.GetIndex 00d4 @UStrClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 69 8B 83 B0 01 00 00 8B 40 40 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 83 C0 08 8B 53 50 3B C2 7D 02 8B C2 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 73 38 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B C6 E8 ?? ?? ?? ?? 8B D0 83 EA 02 8B C3 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B B3 BC 01 00 00 85 F6 74 17 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0C BA 17 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_83673_0 {
	meta:
		name = "TRibbonSeparator.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TCustomActionControl.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 91 80 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83674_0 {
	meta:
		name = "TRibbonSeparator.DrawBackground"
		size = 64
		refs = "0017 TCollectionItem.GetIndex 0028 TRibbonSeparator.RibbonStyle 0035 TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B F2 8B FC A5 A5 A5 A5 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 05 83 6C 24 04 02 54 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 0C E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83676_0 {
	meta:
		name = "TRibbonSeparator.DrawShadowedText"
		size = 103
		refs = "001b @UStrAddRef 0023 TRibbonSeparator.DrawShadowedText 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F2 8D 7D EC A5 A5 A5 A5 89 4D FC 8B D8 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8D 4D FC 8D 55 EC 8B C3 8B 18 FF 93 D4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_86971_0 {
	meta:
		name = "TThemedMenuItem.DrawShadowedText"
		size = 103
		refs = "001b @UStrAddRef 0023 TThemedMenuItem.DrawShadowedText 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F2 8D 7D EC A5 A5 A5 A5 89 4D FC 8B D8 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8D 4D FC 8D 55 EC 8B C3 8B 18 FF 93 D4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_83677_0 {
	meta:
		name = "TRibbonSeparator.DrawText"
		size = 192
		refs = "0012 @UStrAddRef 001a TRibbonSeparator.DrawText 0027 TCustomActionControl.GetActionBar 002c TCustomActionBar.GetColorMap 003d TFont.SetColor 0052 TFont.SetStyle 005d StripHotkey 0089 TCustomActionControl.DrawText 009e @UStrClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 58 8B 83 B0 01 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 8B 40 40 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B 45 08 E8 ?? ?? ?? ?? C7 07 24 80 00 00 C7 06 04 00 00 00 8B 43 50 89 46 08 33 C0 89 46 04 03 43 54 89 46 0C 8B 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 5D C2 04 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_83679_0 {
	meta:
		name = "TRibbonGalleryItem.CalcBounds"
		size = 71
		refs = "0007 TRibbonBaseButtonControl.CalcBounds 0033 TControl.SetHeight 0040 TControl.SetWidth"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 BC 01 00 00 85 F6 74 2F 8B 4E 5C 33 D2 8B C3 8B 30 FF 96 E4 00 00 00 8B F0 85 F6 74 1A 8B 56 38 83 C2 08 8B C3 E8 ?? ?? ?? ?? 8B 56 3C 83 C2 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83682_0 {
	meta:
		name = "TRibbonGalleryMenuItem.CalcBounds"
		size = 71
		refs = "0007 TCustomMenuItem.CalcBounds 0033 TControl.SetHeight 0040 TControl.SetWidth"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 BC 01 00 00 85 F6 74 2F 8B 4E 5C 33 D2 8B C3 8B 30 FF 96 E4 00 00 00 8B F0 85 F6 74 1A 8B 56 38 83 C2 08 8B C3 E8 ?? ?? ?? ?? 8B 56 3C 83 C2 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83680_0 {
	meta:
		name = "TRibbonGalleryItem.CalcLayout"
		size = 51
		refs = "0009 TCustomActionControl.CalcLayout"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? C7 04 24 04 00 00 00 C7 44 24 04 04 00 00 00 8B 04 24 89 83 C4 01 00 00 8B 44 24 04 89 83 C8 01 00 00 59 5A 5B C3 }
	condition:
		$1
}

rule function_83683_0 {
	meta:
		name = "TRibbonGalleryMenuItem.DrawBackground"
		size = 189
		refs = "0009 TCustomActionControl.GetActionBar 0038 GetAsyncKeyState 0048 TRibbonGalleryMenuItem.RibbonStyle 0055 TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 0F 85 9D 00 00 00 8B C3 8B 10 FF 52 68 84 C0 0F 84 8E 00 00 00 80 BB DC 01 00 00 00 74 62 6A 01 E8 ?? ?? ?? ?? 0F BF C0 F6 C4 80 74 17 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 0D E8 ?? ?? ?? ?? EB 5F 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 17 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 0F E8 ?? ?? ?? ?? EB 3A 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 0C E8 ?? ?? ?? ?? EB 23 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 15 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 0E E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83684_0 {
	meta:
		name = "TRibbonGalleryMenuItem.DrawGlyph"
		size = 28
		refs = "0015 TCustomActionControl.DrawGlyph"
	strings:
		$1 = { 83 C4 F8 C7 04 24 04 00 00 00 C7 44 24 04 04 00 00 00 8B D4 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_83685_0 {
	meta:
		name = "TRibbonGalleryMenuItem.DrawShadowedText"
		size = 58
		refs = "0007 @UStrAddRef 000f TRibbonGalleryMenuItem.DrawShadowedText 002a @UStrClr 0030 @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5D C2 0C 00 }
	condition:
		$1
}

rule function_83691_0 {
	meta:
		name = "TRibbonGalleryControlMenuItem.SetParent"
		size = 38
		refs = "000b TControl.SetParent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 20 02 00 00 85 C0 74 0A 8B D6 8B 08 FF 91 84 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_83692_0 {
	meta:
		name = "TRibbonGalleryControlMenuItem.CalcBounds"
		size = 52
		refs = "0013 TControl.SetWidth 0023 TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B 83 20 02 00 00 85 C0 74 1C 8B 50 50 8B C3 E8 ?? ?? ?? ?? 8B 83 20 02 00 00 8B 50 54 8B C3 E8 ?? ?? ?? ?? 5B C3 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83694_0 {
	meta:
		name = "TRibbonGalleryControlMenuItem.GetContainedControl"
		size = 7
	strings:
		$1 = { 8B 80 20 02 00 00 C3 }
	condition:
		$1
}

rule function_83695_0 {
	meta:
		name = "TRibbonGalleryControlMenuItem.SetBounds"
		size = 95
		refs = "0025 TControl.SetBounds"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 83 20 02 00 00 85 C0 74 2F 8B 50 50 52 8B 40 54 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 20 02 00 00 8B 50 50 52 8B 50 54 52 8B CF 8B D6 8B 18 FF 93 A4 00 00 00 EB 13 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_83696_0 {
	meta:
		name = "TRibbonGalleryControlMenuItem.SetContainedControl"
		size = 38
	strings:
		$1 = { 53 8B D8 8B C2 89 83 20 02 00 00 85 C0 74 0B 8B 53 38 8B 08 FF 91 84 00 00 00 8B C3 8B 10 FF 92 08 01 00 00 5B C3 }
	condition:
		$1
}

rule function_83697_0 {
	meta:
		name = "TRibbonMenuItem.CalcBounds"
		size = 138
		refs = "000b TCustomMenuItem.CalcBounds 0025 TControl.SetHeight 0073 Rect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 74 0E BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0C BA 16 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B B3 F0 01 00 00 2B B3 E8 01 00 00 85 F6 7E 3C 8B 7B 54 D1 FF 79 03 83 D7 00 8B C6 D1 F8 79 03 83 D0 00 2B F8 03 F7 56 8D 44 24 04 50 8B 8B EC 01 00 00 8B D7 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 8B F4 8D BB E4 01 00 00 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83698_0 {
	meta:
		name = "TRibbonMenuItem.CalcLayout"
		size = 61
		refs = "0009 TCustomMenuItem.CalcLayout"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 C4 01 00 00 83 C0 02 89 04 24 8B 83 C8 01 00 00 83 C0 02 89 44 24 04 8B 04 24 89 83 C4 01 00 00 8B 44 24 04 89 83 C8 01 00 00 59 5A 5B C3 }
	condition:
		$1
}

rule function_83699_0 {
	meta:
		name = "TRibbonMenuItem.Click"
		size = 57
		refs = "0006 TCustomMenuItem.Click 000f GetParentForm 0015 _Dn_TRibbonGroupDockForm 001a @IsClass 0023 Application 002d TWinControl.GetHandle 0033 SetFocus"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 A1 ?? ?? ?? ?? 8B 00 8B 40 48 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83700_0 {
	meta:
		name = "TRibbonMenuItem.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TCustomMenuItem.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 20 02 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83701_0 {
	meta:
		name = "TRibbonMenuItem.DrawBackground"
		size = 609
		refs = "0037 TBrush.SetColor 003f _DV_TRibbonRichContentItem 0044 @IsClass 00b2 TRibbonMenuItem.RibbonStyle 00bf TRibbonStyleActionBars.DrawElement 00ca TCustomActionBar.GetColorMap 0113 TCustomActionControl.GetActionBar 01aa Mouse 01b1 TMouse.GetIsDragging"
	strings:
		$1 = { 53 56 57 83 C4 D0 8B F2 8B D8 8B 83 BC 01 00 00 85 C0 0F 84 42 02 00 00 56 8D 7C 24 04 A5 A5 A5 A5 5E 8B 50 24 81 FA 00 00 00 20 74 0E 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 77 80 BB 20 02 00 00 00 74 6E 56 8D 7C 24 24 A5 A5 A5 A5 5E 8B 93 C4 01 00 00 8B 83 E4 01 00 00 3B D0 7D 06 33 C9 89 4C 24 20 56 8D 7C 24 14 A5 A5 A5 A5 5E 3B D0 7D 09 83 E8 03 89 44 24 18 EB 0D 8B 83 EC 01 00 00 83 C0 03 89 44 24 18 B8 19 00 00 00 89 44 24 18 2B 44 24 10 89 44 24 20 8D 44 24 10 50 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 01 E8 ?? ?? ?? ?? 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 7C 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 80 BB DC 01 00 00 00 74 0B 8B C3 8B 10 FF 52 68 84 C0 75 12 80 BB DC 01 00 00 00 74 75 80 BB 00 02 00 00 00 75 6C 8B C3 8B 10 FF 52 68 84 C0 74 5E 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 4B 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 74 21 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 74 2F 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 74 1C 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 70 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? FF 4E 08 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 12 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 0F 85 C4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 42 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 75 32 80 BB DC 01 00 00 00 74 0B 8B C3 8B 10 FF 52 68 84 C0 75 12 80 BB DC 01 00 00 00 74 15 80 BB 00 02 00 00 00 75 0C 8B D6 8B C3 8B 08 FF 91 1C 01 00 00 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 61 8B C3 8B 10 FF 52 68 84 C0 74 2C 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 06 E8 ?? ?? ?? ?? 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 08 E8 ?? ?? ?? ?? EB 2A 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 07 E8 ?? ?? ?? ?? 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 09 E8 ?? ?? ?? ?? 83 C4 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83702_0 {
	meta:
		name = "TRibbonMenuItem.DrawGlyph"
		size = 449
		refs = "0057 TRibbonMenuItem.RibbonStyle 0064 TRibbonStyleActionBars.DrawElement 00e1 TCustomActionControl.HasGlyph 01b6 TCustomImageList.Draw"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B FA 8B D8 8B B3 BC 01 00 00 85 F6 0F 84 C6 00 00 00 8B C6 8B 10 FF 52 34 84 C0 0F 85 B7 00 00 00 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 0F 84 A5 00 00 00 8B C3 8B 10 FF 52 68 84 C0 74 4D 8D 54 24 04 8B C3 8B 08 FF 51 60 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 06 E8 ?? ?? ?? ?? 8D 54 24 04 8B C3 8B 08 FF 51 60 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 08 E8 ?? ?? ?? ?? E9 29 01 00 00 8D 54 24 04 8B C3 8B 08 FF 51 60 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 07 E8 ?? ?? ?? ?? 8D 54 24 04 8B C3 8B 08 FF 51 60 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 09 E8 ?? ?? ?? ?? E9 DC 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 CD 00 00 00 8B 83 BC 01 00 00 8B 40 5C 50 8D 4C 24 04 33 D2 8B C3 8B 30 FF 96 E8 00 00 00 8B F0 85 F6 0F 84 A9 00 00 00 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 55 8B C3 8B 10 FF 52 68 84 C0 74 26 8D 54 24 04 8B C3 8B 08 FF 51 60 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 06 E8 ?? ?? ?? ?? EB 24 8D 54 24 04 8B C3 8B 08 FF 51 60 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 07 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 68 0A 04 24 74 0C 8B 83 BC 01 00 00 83 78 5C FF 75 0A F6 43 1C 10 75 04 33 C0 EB 02 B0 01 8B 57 04 52 8B 93 BC 01 00 00 8B 52 5C 52 6A 03 6A 00 50 8B 0F 8B 93 B0 01 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83703_0 {
	meta:
		name = "TRibbonMenuItem.DrawSelectedBackground"
		size = 79
		refs = "0020 TRibbonMenuItem.RibbonStyle 002d TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B D8 8B C3 8B 10 FF 52 68 84 C0 74 17 54 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 04 E8 ?? ?? ?? ?? EB 15 54 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 05 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83704_0 {
	meta:
		name = "TRibbonMenuItem.DrawSeparator"
		size = 347
		refs = "0016 _Dn_TBrushRecall 001b TBrushRecall.Create 002e _Dn_TPenRecall 0033 TPenRecall.Create 003e TRibbonMenuItem.DrawSeparator 0055 TActionClientItem.Unused 0072 TBrush.SetStyle 007f TCustomActionBar.GetColorMap 0090 TBrush.SetColor 009a TControl.GetBoundsRect 00ad TCanvas.GetHandle 00b3 DrawEdge 00e8 TPen.SetColor 00ef TControl.GetClientHeight 011e TControl.GetClientWidth 0141 TObject.Free 014f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B D8 8B 83 B0 01 00 00 8B 48 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 83 B0 01 00 00 8B 48 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 BC 01 00 00 85 F6 74 26 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 80 BB F4 01 00 00 00 75 12 8B 83 B0 01 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? EB 58 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 48 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 6A 01 6A 04 8D 45 E8 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 04 6A 04 8D 45 E8 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 50 8B 83 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C8 D1 F9 79 03 83 D1 00 8B 83 B0 01 00 00 BA 20 00 00 00 8B 30 FF 56 64 8B C3 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 B0 01 00 00 59 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90065_0 {
	meta:
		name = "TXPStyleMenuItem.DrawSeparator"
		size = 347
		refs = "0016 _Dn_TBrushRecall 001b TBrushRecall.Create 002e _Dn_TPenRecall 0033 TPenRecall.Create 003e TXPStyleMenuItem.DrawSeparator 0055 TActionClientItem.Unused 0072 TBrush.SetStyle 007f TCustomActionBar.GetColorMap 0090 TBrush.SetColor 009a TControl.GetBoundsRect 00ad TCanvas.GetHandle 00b3 DrawEdge 00e8 TPen.SetColor 00ef TControl.GetClientHeight 011e TControl.GetClientWidth 0141 TObject.Free 014f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B D8 8B 83 B0 01 00 00 8B 48 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 83 B0 01 00 00 8B 48 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 BC 01 00 00 85 F6 74 26 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 80 BB F4 01 00 00 00 75 12 8B 83 B0 01 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? EB 58 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 48 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 6A 01 6A 04 8D 45 E8 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 04 6A 04 8D 45 E8 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 50 8B 83 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C8 D1 F9 79 03 83 D1 00 8B 83 B0 01 00 00 BA 20 00 00 00 8B 30 FF 56 64 8B C3 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 B0 01 00 00 59 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83705_0 {
	meta:
		name = "TRibbonMenuItem.DrawShadowedText"
		size = 146
		refs = "001a @UStrAddRef 0022 TRibbonMenuItem.DrawShadowedText 0030 _DV_TRibbonRichContentItem 0035 @IsClass 0050 TFont.SetSize 0068 TCustomMenuItem.DrawShadowedText 007d @UStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 83 45 F0 04 8B 83 B0 01 00 00 8B 40 40 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CE 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_83706_0 {
	meta:
		name = "TRibbonMenuItem.DrawText"
		size = 193
		refs = "0010 @UStrAddRef 0018 TRibbonMenuItem.DrawText 0026 _DV_TRibbonRichContentItem 002b @IsClass 0045 TFont.SetSize 005b TCustomActionBar.GetColorMap 006c TFont.SetColor 0099 TCustomMenuItem.DrawText 00ae @UStrClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 03 83 06 04 8B 83 B0 01 00 00 8B 40 40 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 68 84 C0 74 1E 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 58 8B 83 B0 01 00 00 8B 40 40 E8 ?? ?? ?? ?? EB 1C 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 50 8B 83 B0 01 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_83709_0 {
	meta:
		name = "TRibbonDropDownButton.CalcBounds"
		size = 152
		refs = "0009 TRibbonBaseButtonControl.CalcBounds 0019 TRibbonBaseButtonControl.GetButtonProps 0036 TControl.SetHeight 0058 TControl.SetWidth"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB BC 01 00 00 00 74 73 8B C3 E8 ?? ?? ?? ?? 85 C0 74 68 8B C3 E8 ?? ?? ?? ?? 80 78 18 01 75 5B BA 42 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 2B 83 E4 01 00 00 83 C0 0A 83 F8 2A 7D 05 B8 2A 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 50 D1 F8 79 03 83 D0 00 83 E8 10 89 04 24 C7 44 24 04 03 00 00 00 8B 04 24 89 83 C4 01 00 00 8B 44 24 04 89 83 C8 01 00 00 EB 0B 8B 53 50 42 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_83710_0 {
	meta:
		name = "TRibbonDropDownButton.CalcLayout"
		size = 353
		refs = "001d TRibbonDropDownButton.CalcLayout 002d TRibbonBaseButtonControl.IsButton 004f TCanvas.HandleAllocated 006b Rect 007f TActionClientItem.GetCaption 008a StripHotkey 0096 TControl.GetText 00ac TCanvas.GetHandle 00b9 @UStrLAsg 00d4 @UStrToPWChar 00db DrawText 0124 TCustomActionControl.CalcLayout 0139 @UStrClr 014e @UStrArrayClr 0154 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 D2 89 55 D8 89 55 DC 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 E6 00 00 00 8B 45 F4 80 78 18 01 0F 85 D9 00 00 00 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 CD 00 00 00 6A 00 8D 45 E0 50 B9 20 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 8B B3 BC 01 00 00 85 F6 74 17 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 DC 8D 55 FC E8 ?? ?? ?? ?? EB 15 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 FC E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B F0 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 83 CF FF C7 45 F0 10 04 00 00 8B 45 F0 50 8D 45 E0 50 57 8B 45 F8 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B 45 E8 2B 45 E0 83 C0 05 83 F8 25 7E 04 8B F0 EB 05 BE 25 00 00 00 8B 45 EC 83 C0 26 50 8D 45 C8 50 8B CE BA 26 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 8D 75 C8 8D BB E4 01 00 00 A5 A5 A5 A5 EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83711_0 {
	meta:
		name = "TRibbonDropDownButton.Click"
		size = 11
	strings:
		$1 = { 33 D2 8B 08 FF 91 24 01 00 00 C3 }
	condition:
		$1
}

rule function_83712_0 {
	meta:
		name = "TRibbonDropDownButton.DoDropDown"
		size = 444
		refs = "001f TActionClient.GetItems 004e TRibbonDropDownButton.DoDropDown 005c TCustomActionControl.GetActionBar 0061 TCustomActionBar.GetColorMap 00eb TControl.ClientToScreen 014b TRibbonBaseButtonControl.SetDrawDown 0154 _Dn_TRibbonActionPopupMenu 0159 @IsClass 0174 TCustomActionPopupMenu.Popup 01aa TObject.Free 01b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 8B DA 89 45 FC 8B 45 FC 8B 80 BC 01 00 00 85 C0 0F 84 98 01 00 00 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 0F 8E 85 01 00 00 8B 45 FC 8B 10 FF 92 28 01 00 00 8B 55 FC 8B 4A 04 B2 01 FF 50 38 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 08 FF 91 54 01 00 00 8B 45 F0 C6 80 E4 02 00 00 00 8B 45 FC 8B 50 38 8B 45 F0 8B 08 FF 91 84 00 00 00 8B 45 F0 8B 55 FC 89 90 30 03 00 00 8B 45 FC 8B 90 BC 01 00 00 8B 45 F0 8B 08 FF 91 4C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 0F B6 80 97 02 00 00 2C 02 72 5C 74 2F FE C8 75 7F 8B 45 FC 8B 40 48 89 45 E8 8B 45 FC 8B 40 4C 8B 55 F0 2B 42 54 89 45 EC 8D 4D F4 8D 55 E8 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? EB 54 8B 45 FC 8B 40 48 89 45 E0 8B 45 FC 8B 40 4C 8B 55 FC 03 42 54 89 45 E4 8D 4D F4 8D 55 E0 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? EB 29 8B 45 FC 8B 40 48 89 45 D8 8B 45 FC 8B 40 4C 8B 55 FC 03 42 54 89 45 DC 8D 4D F4 8D 55 D8 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B 45 F0 88 98 B8 03 00 00 8B 4D F8 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 38 8B 70 38 85 F6 74 0A 8B C6 8B 10 FF 92 A0 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83713_0 {
	meta:
		name = "TRibbonDropDownButton.DrawArrow"
		size = 136
		refs = "002c Rect 003c TRibbonBaseButtonControl.RibbonStyle 0049 TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F2 8D 7D F8 A5 A5 8B D8 8B C3 8B 10 FF 52 68 84 C0 74 32 6A 00 8D 45 E8 50 33 C9 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E8 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 20 E8 ?? ?? ?? ?? EB 30 6A 00 8D 45 E8 50 33 C9 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 E8 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 21 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_83714_0 {
	meta:
		name = "TRibbonDropDownButton.DrawBackground"
		size = 102
		refs = "000e TRibbonBaseButtonControl.DrawBackground"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CC 8B D6 8B C3 8B 30 FF 96 1C 01 00 00 8B C3 8B 10 FF 52 68 84 C0 75 1C 68 FF FF FF 1F 6A FF B9 FF FF FF 1F 8D 54 24 08 8B C3 8B 18 FF 93 20 01 00 00 EB 1A 68 FF FF FF 1F 6A FF B9 FF FF FF 1F 8D 54 24 08 8B C3 8B 18 FF 93 20 01 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_83718_0 {
	meta:
		name = "TRibbonDropDownButton.GetArrowPosition"
		size = 324
		refs = "0019 TRibbonDropDownButton.GetArrowPosition 002a TRibbonBaseButtonControl.IsButton 008f IsMultiline 009f TControl.GetText 00b0 TCustomCanvas.TextHeight 0132 @UStrArrayClr 0138 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D E0 89 5D E4 8B F1 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 1A 33 C0 89 45 F0 33 C0 89 45 F4 8B 45 F0 89 06 8B 45 F4 89 46 04 E9 D0 00 00 00 8B 45 F8 80 78 18 00 75 38 8B 45 FC 8B 50 54 D1 FA 79 03 83 D2 00 83 EA 02 8B 45 F8 0F B6 40 1A 84 C0 74 04 2C 04 75 0E 8B 45 FC 8B 40 50 83 E8 0A E9 89 00 00 00 8B 45 FC 8B 40 50 83 E8 09 EB 7E 55 E8 ?? ?? ?? ?? 59 84 C0 75 40 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 8B D0 D1 FA 79 03 83 D2 00 8B 45 FC 03 90 F0 01 00 00 8B 45 FC 8B 40 50 D1 F8 79 03 83 D0 00 83 E8 02 EB 33 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 F0 01 00 00 2B D0 83 C2 07 8B 45 FC 8B 80 EC 01 00 00 89 45 E8 89 55 EC 8B 45 E8 89 06 8B 45 EC 89 46 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83720_0 {
	meta:
		name = "TRibbonDropDownButton.KeyTipClick"
		size = 11
		altNames = "TRibbonSmallSplitButton.KeyTipClick"
	strings:
		$1 = { B2 01 8B 08 FF 91 24 01 00 00 C3 }
	condition:
		$1
}

rule function_83721_0 {
	meta:
		name = "TRibbonCustomControl.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TCustomActionControl.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 F8 01 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83722_0 {
	meta:
		name = "TRibbonCustomControl.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 0018 TRibbonCustomControl.HideKeyTip 0023 TCustomActionControl.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 86 F8 01 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83724_0 {
	meta:
		name = "TRibbonCustomControl.GetCaptionWidth"
		size = 156
		refs = "0011 TRibbonCustomControl.GetCaptionWidth 002d TActionClientItem.GetCaption 0038 Trim 005a TCustomCanvas.TextWidth 0063 TRibbonCustomControl.GetGlyphWidth 0088 @UStrArrayClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 BC 01 00 00 80 7E 55 00 74 49 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 2E 8D 55 F4 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 85 C0 75 07 83 C6 04 EB 02 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83726_0 {
	meta:
		name = "TRibbonComboControl.GetGlyphWidth"
		size = 43
		refs = "0009 TCustomActionControl.HasGlyph"
		altNames = "TRibbonCustomControl.GetGlyphWidth"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B D4 8B C3 8B 08 FF 91 E0 00 00 00 8B 04 24 83 C0 06 EB 02 33 C0 59 5A 5B C3 }
	condition:
		$1
}

rule function_83728_0 {
	meta:
		name = "TRibbonCustomControl.GetLabelWidth"
		size = 51
		refs = "0017 TRibbonCustomControl.GetGlyphWidth 0023 TRibbonCustomControl.GetCaptionWidth"
	strings:
		$1 = { 53 56 8B D8 8B 83 BC 01 00 00 8B 40 78 8B 50 28 85 D2 7D 1A 8B C3 E8 ?? ?? ?? ?? 8B F0 83 C6 02 8B C3 E8 ?? ?? ?? ?? 03 F0 8B C6 5E 5B C3 8B C2 5E 5B C3 }
	condition:
		$1
}

rule function_83866_0 {
	meta:
		name = "TRibbonComboControl.GetLabelWidth"
		size = 51
		refs = "0017 TRibbonComboControl.GetGlyphWidth 0023 TRibbonComboControl.GetCaptionWidth"
	strings:
		$1 = { 53 56 8B D8 8B 83 BC 01 00 00 8B 40 78 8B 50 28 85 D2 7D 1A 8B C3 E8 ?? ?? ?? ?? 8B F0 83 C6 02 8B C3 E8 ?? ?? ?? ?? 03 F0 8B C6 5E 5B C3 8B C2 5E 5B C3 }
	condition:
		$1
}

rule function_83730_0 {
	meta:
		name = "TRibbonCustomControl.HideKeyTip"
		size = 28
		refs = "0017 TObject.Free"
	strings:
		$1 = { 83 B8 FC 01 00 00 00 74 12 05 FC 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83731_0 {
	meta:
		name = "TRibbonCustomControl.KeyTipClick"
		size = 56
		refs = "0006 TRibbonCustomControl.GetContainedControl 0017 _Dn_TWinControl 001c @IsClass 002c TWinControl.GetHandle 0032 SetFocus"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 28 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83732_0 {
	meta:
		name = "TRibbonCustomControl.Notification"
		size = 64
		refs = "0010 TControl.Notification 0038 TActionClientItem.SetCommandStyle"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 23 3B BE F8 01 00 00 75 1B 33 C0 89 86 F8 01 00 00 F6 46 1C 08 75 0D 33 D2 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83733_0 {
	meta:
		name = "TRibbonCustomControl.CalcBounds"
		size = 128
		refs = "0006 TCustomActionControl.CalcBounds 001d TRibbonCustomControl.SetContainedControl 0024 TRibbonCustomControl.GetContainedControl 0034 TControl.SetWidth 007a TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 85 C0 74 0D 8B 40 78 8B 50 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0E BA 28 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 13 8B 83 BC 01 00 00 8B 40 78 8B 50 18 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 26 8B C3 E8 ?? ?? ?? ?? 8B 40 54 8B 53 54 3B C2 7D 02 8B C2 83 F8 42 7C 05 B8 42 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83734_0 {
	meta:
		name = "TRibbonCustomControl.CanAddToQuickAccessToolbar"
		size = 120
		refs = "000c TRibbonCustomControl.CanAddToQuickAccessToolbar 0019 TRibbonCustomControl.GetContainedControl 0022 @IntfClear 002f Supports 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 A6 60 FD 02 74 9A 88 4B 9E 7A CC AB 17 1A 41 0F }
	condition:
		$1
}

rule function_83736_0 {
	meta:
		name = "TRibbonCustomControl.CMVisiblechanged"
		size = 39
		refs = "0006 TControl.CMVisibleChanged 000d TRibbonCustomControl.GetContainedControl 0021 TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 8B C3 E8 ?? ?? ?? ?? 0F B6 53 61 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83738_0 {
	meta:
		name = "TRibbonCustomControl.SetActionClient"
		size = 95
		refs = "000c TCustomActionControl.SetActionClient 0030 TRibbonCustomControl.GetContainedControl 003e TActionClientItem.GetAction 0057 TControl.SetAction"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 F8 01 00 00 85 C0 74 41 8B 53 38 85 D2 74 08 8B 08 FF 91 84 00 00 00 85 F6 74 2E 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 58 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 74 15 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83739_0 {
	meta:
		name = "TRibbonCustomControl.SetBounds"
		size = 192
		refs = "0020 TControl.SetBounds 0027 TRibbonCustomControl.GetContainedControl 0038 _Dn_TWinControl 003d @IsClass 0078 TRibbonCustomControl.GetLabelWidth"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F0 8B 7D 0C 57 8B 45 08 50 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 74 7E 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 68 8B C6 E8 ?? ?? ?? ?? 83 78 38 00 74 5B 8B C6 E8 ?? ?? ?? ?? 8B 40 54 D1 F8 79 03 83 D0 00 8B 56 54 D1 FA 79 03 83 D2 00 03 56 4C 2B D0 89 55 F8 8B C6 E8 ?? ?? ?? ?? 2B F8 83 EF 02 57 8B C6 E8 ?? ?? ?? ?? 8B 40 54 50 8B C6 E8 ?? ?? ?? ?? 03 D8 83 C3 02 53 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 5A 8B 18 FF 93 A4 00 00 00 8B C6 8B 10 FF 92 B0 00 00 00 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_83740_0 {
	meta:
		name = "TRibbonCustomControl.SetContainedControl"
		size = 178
		refs = "0012 TCustomActionControl.GetActionBar 001d TActionClient.GetItems 0046 TActionClients.GetActionClient 0065 TControlProperties.SetContainedControl 009d Rect 00a6 TCustomActionControl.SetMargins"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B EA 8B D8 85 ED 74 5E 8B C3 E8 ?? ?? ?? ?? 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 3F 46 33 FF 8B C3 E8 ?? ?? ?? ?? 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 3B 83 BC 01 00 00 74 17 80 78 76 08 75 11 8B 50 78 3B 6A 20 75 09 8B C2 33 D2 E8 ?? ?? ?? ?? 47 4E 75 C4 8B C5 89 83 F8 01 00 00 85 C0 74 0B 8B 53 38 8B 08 FF 91 84 00 00 00 6A 03 8D 44 24 04 50 8B 8B D4 01 00 00 BA 03 00 00 00 8B 83 CC 01 00 00 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83741_0 {
	meta:
		name = "TRibbonCustomControl.SetDragMode"
		size = 43
		refs = "000b TControl.SetDragMode 0012 TRibbonCustomControl.GetContainedControl"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 7C 5E 5B C3 }
	condition:
		$1
}

rule function_83743_0 {
	meta:
		name = "TRibbonCustomControl.SetParent"
		size = 46
		refs = "0009 TRibbonCustomControl.GetContainedControl 0027 TControl.SetParent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 91 84 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83744_0 {
	meta:
		name = "TRibbonCustomControl.ShowKeyTip"
		size = 56
		refs = "0011 TObject.Free 002b ShowKeyTip"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 FC 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 53 8B C6 8B 10 FF 52 68 8B D0 8B 86 BC 01 00 00 8B 40 70 8B CE E8 ?? ?? ?? ?? 89 86 FC 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_83745_0 {
	meta:
		name = "TRibbonCustomStatusControl.CalcBounds"
		size = 25
		refs = "0006 TRibbonCustomControl.CalcBounds 0013 TControl.SetWidth"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 50 83 C2 04 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83746_0 {
	meta:
		name = "TRibbonCustomStatusControl.DrawBackground"
		size = 141
		refs = "0019 TCollectionItem.GetIndex 0022 TCustomActionControl.GetActionBar 002d TActionClient.GetItems 003d TStyleManager.GetActiveStyle 0072 TCanvas.GetHandle 0082 TCustomStyleServices.DrawElement"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B FA 8B F0 83 47 04 03 83 6F 0C 02 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 48 3B D8 7D 4A E8 ?? ?? ?? ?? 8B CC B2 02 8B 18 FF 93 C8 00 00 00 56 8B F7 8D 7C 24 10 A5 A5 A5 A5 5E 8B 44 24 14 83 E8 02 89 44 24 0C 8D 44 24 0C 50 6A 00 8B 86 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 0C 5A E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83747_0 {
	meta:
		name = "TRibbonTextControl.CalcBounds"
		size = 64
		refs = "0006 TCustomActionControl.CalcBounds 002e TControl.SetWidth 003a TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 50 83 C0 04 8B 93 BC 01 00 00 80 7A 76 03 75 0D 8B 52 78 8B 4A 18 83 F9 FF 7E 02 03 C1 8B D0 8B C3 E8 ?? ?? ?? ?? BA 16 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83749_0 {
	meta:
		name = "TRibbonTextControl.DrawText"
		size = 265
		refs = "0018 @UStrAddRef 0020 TRibbonTextControl.DrawText 00b6 StripHotkey 00c6 TCustomActionControl.DrawText 00ec @UStrClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 8B FA 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 50 83 E8 04 89 47 08 8B 83 BC 01 00 00 80 78 76 03 0F 85 89 00 00 00 8B 70 78 C7 45 FC 24 08 00 00 0F B6 46 20 2C 01 72 08 74 0C FE C8 74 0E EB 10 83 4D FC 00 EB 0A 83 4D FC 02 EB 04 83 4D FC 01 0F B6 46 21 FE C8 74 0A FE C8 74 0F FE C8 74 14 EB 19 81 4D FC 00 40 00 00 EB 10 81 4D FC 00 80 00 00 EB 07 81 4D FC 00 00 04 00 80 7E 28 00 75 11 8B 83 B0 01 00 00 8B 40 40 8B 56 24 8B 08 FF 51 08 8D 55 F8 8B 45 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? EB 0F 8B 45 08 50 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_83750_0 {
	meta:
		name = "TRibbonApplicationMenuItem.CalcBounds"
		size = 148
		refs = "000b TRibbonMenuItem.CalcBounds 0027 TControl.SetHeight 0051 Rect 0089 TControl.SetWidth"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 85 C0 74 56 80 78 54 00 75 44 BA 2C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 54 8B B3 E8 01 00 00 2B C6 50 8D 44 24 04 50 8B 8B EC 01 00 00 83 C1 10 8B 83 E4 01 00 00 83 C0 10 8B D6 E8 ?? ?? ?? ?? 8B F4 8D BB E4 01 00 00 A5 A5 A5 A5 EB 0C BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 75 10 8B 53 50 2B 93 0C 02 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83751_0 {
	meta:
		name = "TRibbonApplicationMenuItem.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TRibbonMenuItem.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 20 02 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83752_0 {
	meta:
		name = "TRibbonApplicationMenuItem.DrawGlyph"
		size = 180
		refs = "000d TCustomActionControl.HasGlyph 00aa TCustomImageList.Draw"
	strings:
		$1 = { 53 56 83 C4 F0 89 14 24 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 95 00 00 00 8B 83 BC 01 00 00 8B 40 5C 50 8D 4C 24 10 B2 01 8B C3 8B 30 FF 96 E8 00 00 00 8B F0 85 F6 74 75 8B 46 3C 8B 14 24 8B 0A 89 4C 24 04 8B 4A 04 89 4C 24 08 C7 44 24 04 04 00 00 00 8B 53 54 2B D0 D1 FA 79 03 83 D2 00 89 54 24 08 8B C3 8B 10 FF 52 68 0A 44 24 0C 74 0C 8B 83 BC 01 00 00 83 78 5C FF 75 0A F6 43 1C 10 75 04 33 C0 EB 02 B0 01 8B 54 24 08 52 8B 93 BC 01 00 00 8B 52 5C 52 6A 03 6A 00 50 8B 4C 24 18 8B 93 B0 01 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_83753_0 {
	meta:
		name = "TRibbonApplicationMenuItem.DrawSelectedBackground"
		size = 79
		refs = "0020 TRibbonMenuItem.RibbonStyle 002d TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B D8 8B C3 8B 10 FF 52 68 84 C0 74 17 54 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 07 E8 ?? ?? ?? ?? EB 15 54 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 06 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83754_0 {
	meta:
		name = "TRibbonApplicationMenuItem.DrawSeparator"
		size = 340
		refs = "0017 _Dn_TBrushRecall 001c TBrushRecall.Create 002f _Dn_TPenRecall 0034 TPenRecall.Create 003f TRibbonApplicationMenuItem.DrawSeparator 0056 TActionClientItem.Unused 0073 TBrush.SetStyle 0080 TCustomActionBar.GetColorMap 0091 TBrush.SetColor 009b TControl.GetBoundsRect 00ae TCanvas.GetHandle 00b4 DrawEdge 00e9 TPen.SetColor 00fc TControl.GetClientWidth 0139 TObject.Free 0147 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B D8 8B 83 B0 01 00 00 8B 48 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 83 B0 01 00 00 8B 48 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B B3 BC 01 00 00 85 F6 74 26 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 80 BB F4 01 00 00 00 75 12 8B 83 B0 01 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? EB 58 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 48 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 6A 01 6A 04 8D 45 D8 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 04 6A 04 8D 45 D8 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 50 8B 83 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? C7 45 F0 20 00 00 00 33 FF 89 7D F4 8B C3 E8 ?? ?? ?? ?? 89 45 E8 33 F6 89 75 EC 8B 83 B0 01 00 00 8B CF 8B 55 F0 8B 38 FF 57 64 8B 83 B0 01 00 00 8B CE 8B 55 E8 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83755_0 {
	meta:
		name = "TRibbonApplicationMenuItem.DrawShadowedText"
		size = 112
		refs = "001a @UStrAddRef 0022 TRibbonApplicationMenuItem.DrawShadowedText 0046 TRibbonMenuItem.DrawShadowedText 005b @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B D9 8B F0 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CB 04 83 CB 20 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CB 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_83756_0 {
	meta:
		name = "TRibbonApplicationMenuItem.DrawSubMenuGlyph"
		size = 230
		refs = "0019 TActionClient.GetHasItems 002c TActionClient.GetItems 0031 TActionClients.VisibleCount 0040 TCustomActionControl.GetActionBar 006d Rect 00b0 Element 00cf TRibbonMenuItem.RibbonStyle 00db TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B B3 BC 01 00 00 85 F6 0F 84 C9 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 BA 00 00 00 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 A2 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 78 69 00 75 29 8B 7B 54 57 8D 44 24 04 50 8B 73 50 83 EE 0E 8B CE 83 C1 04 8B D7 D1 FA 79 03 83 D2 00 83 EA 03 8B C6 E8 ?? ?? ?? ?? EB 24 8B 73 54 56 8D 44 24 04 50 8B D6 D1 FA 79 03 83 D2 00 83 EA 03 B9 0E 00 00 00 B8 0A 00 00 00 E8 ?? ?? ?? ?? 8B 44 24 04 83 C0 07 89 44 24 0C 54 8B C3 8B 10 FF 52 68 83 E0 7F 8D 04 45 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 80 78 69 00 0F 94 C0 83 E0 7F 5A 0F B6 04 02 50 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 5A E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83757_0 {
	meta:
		name = "TRibbonApplicationMenuItem.DrawText"
		size = 95
		refs = "0010 @UStrAddRef 0018 TRibbonApplicationMenuItem.DrawText 0037 TRibbonMenuItem.DrawText 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B FA 8B F0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 83 C8 04 83 C8 20 89 03 8B 45 08 50 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_83758_0 {
	meta:
		name = "TRibbonApplicationMenuItem.GetImageSize"
		size = 33
		altNames = "TRibbonRichContentMainMenuItem.GetImageSize"
	strings:
		$1 = { 83 C4 F8 C7 04 24 20 00 00 00 C7 44 24 04 20 00 00 00 8B 04 24 89 02 8B 44 24 04 89 42 04 59 5A C3 }
	condition:
		$1
}

rule function_83759_0 {
	meta:
		name = "TRibbonApplicationMenuButton.CalcBounds"
		size = 29
		refs = "000b TControl.SetHeight 0017 TControl.SetWidth"
	strings:
		$1 = { 53 8B D8 BA 2C 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 2C 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83762_0 {
	meta:
		name = "TRibbonApplicationMenuButton.HideKeyTip"
		size = 173
		refs = "0013 TRibbonApplicationMenuButton.HideKeyTip 0023 TRibbonApplicationMenuButton.GetKeyTip 0051 @UStrFromWChar 005b @UStrEqual 0079 TObject.Free 0093 @UStrArrayClr 009b @UStrClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 40 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 0F B7 10 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B D6 E8 ?? ?? ?? ?? 74 1C 83 BB 14 02 00 00 00 74 13 8D 83 14 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83764_0 {
	meta:
		name = "TRibbonApplicationMenuButton.ShowKeyTip"
		size = 70
		refs = "0016 TWinControl.GetHandle 001c ShowWindow 0038 ShowKeyTip"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B B7 14 02 00 00 85 F6 74 11 6A 05 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 20 53 8B C7 8B 10 FF 52 68 8B D0 8B 87 BC 01 00 00 8B 40 70 8B CF E8 ?? ?? ?? ?? 89 87 14 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83765_0 {
	meta:
		name = "TRibbonApplicationMenuButton.CMMouseEnter"
		size = 41
		refs = "0006 TCustomMenuButton.CMMouseEnter 000f TRibbonApplicationMenuButton.SetMouseInControl 001a FadeManager 0023 TFadeManager.AddControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 75 0E E8 ?? ?? ?? ?? 33 C9 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83766_0 {
	meta:
		name = "TRibbonApplicationMenuButton.CMMouseLeave"
		size = 66
		refs = "0006 TCustomButtonControl.CMMouseLeave 000d TCustomMenuButton.GetMenu 001f TRibbonApplicationMenuButton.SetMouseInControl 0033 FadeManager 003c TFadeManager.RemoveControl"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 B8 22 03 00 00 00 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 07 C6 83 0D 02 00 00 00 F6 43 1C 10 75 0E E8 ?? ?? ?? ?? B1 01 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83767_0 {
	meta:
		name = "TRibbonApplicationMenuButton.Create"
		size = 78
		refs = "000a @ClassCreate 0017 TCustomMenuButton.Create 003b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 08 02 00 00 02 00 00 00 C6 86 0C 02 00 00 00 33 C0 89 86 14 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83768_0 {
	meta:
		name = "TRibbonApplicationMenuButton.UMFadeControl"
		size = 35
	strings:
		$1 = { 8B 4A 04 89 88 08 02 00 00 0F B6 52 08 8B CA C1 E2 04 03 D1 88 90 0C 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_83770_0 {
	meta:
		name = "TRibbonApplicationMenuButton.DragOver"
		size = 93
		refs = "001e TCustomMenuButton.DragOver 0025 TCustomActionControl.GetActionBar 002b _Dn_TRibbonApplicationMenuBar 0030 @IsClass 0052 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F0 8B 5D 08 8B 45 10 50 0F B6 45 0C 50 53 8B 4D FC 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E C6 03 00 8B C6 E8 ?? ?? ?? ?? 80 B8 22 03 00 00 00 75 0B 8B C6 66 BE EC FF E8 ?? ?? ?? ?? 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_83771_0 {
	meta:
		name = "TKeyTipList.Add"
		size = 44
		refs = "0013 _DV_TKeyTipMatchItem 001a TKeyTipMatchItem.Create 0023 TList.Add"
	strings:
		$1 = { 55 8B EC 53 8B 58 04 51 8B 45 0C 50 8B 45 08 50 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_83776_0 {
	meta:
		name = "TKeyTipList.GetFull"
		size = 35
		refs = "0011 TKeyTipList.GetItem"
	strings:
		$1 = { 53 8B D8 8B 43 04 83 78 08 01 75 0F 33 D2 8B C3 E8 ?? ?? ?? ?? 80 78 08 02 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_83777_0 {
	meta:
		name = "TAssociateItemList.Get"
		size = 37
		refs = "0019 TList.Get"
		altNames = "TKeyTipList.GetItem"
	strings:
		$1 = { 53 56 83 FA FF 7E 19 8B 48 04 3B 51 08 7D 11 8B 58 04 8B F2 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_83778_0 {
	meta:
		name = "TKeyTipList.GetPartial"
		size = 44
		refs = "001a TKeyTipList.GetItem"
	strings:
		$1 = { 53 8B D8 8B 43 04 83 78 08 01 7F 1C 8B 43 04 83 78 08 01 75 0F 33 D2 8B C3 E8 ?? ?? ?? ?? 80 78 08 01 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_83782_0 {
	meta:
		name = "TRibbonMenuSmallButtonControl.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TRibbonBaseButtonControl.Create 001c TRibbonMenuSmallButtonControl.Create 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 46 58 89 46 58 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_83783_0 {
	meta:
		name = "TRibbonMenuSmallButtonControl.MouseUp"
		size = 86
		refs = "0011 TCustomActionControl.GetActionBar 0029 _Dn_TCustomActionMenuBar 002e @AsClass 004b TCustomButtonControl.MouseUp"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 2E 8B 46 38 8B 40 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 CC 01 00 00 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_83785_0 {
	meta:
		name = "TRibbonOptionButtonControl.DrawBackground"
		size = 82
		refs = "0012 TCustomActionControl.GetActionBar 0026 TRibbonBaseButtonControl.RibbonStyle 0033 TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB FB 01 00 00 00 74 2B 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 18 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 1B E8 ?? ?? ?? ?? 5E 5B C3 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 1A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83786_0 {
	meta:
		name = "TRibbonStyleMenuButton.DrawBackground"
		size = 133
		refs = "0012 TCustomActionControl.GetActionBar 0026 TRibbonStyleMenuButton.RibbonStyle 0033 TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB DC 01 00 00 00 74 2B 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 18 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 03 E8 ?? ?? ?? ?? 5E 5B C3 80 BB FB 01 00 00 00 74 2A 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 17 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 04 E8 ?? ?? ?? ?? EB 15 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 02 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83787_0 {
	meta:
		name = "TRibbonGroupDropDown.CloseUp"
		size = 52
		refs = "000c TControl.SetAlign 001c TControl.SetLeft"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 10 02 00 00 E8 ?? ?? ?? ?? BA 01 00 00 80 8B 83 10 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 14 02 00 00 8B C3 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_83788_0 {
	meta:
		name = "TRibbonGroupDropDown.DoDropDown"
		size = 266
		refs = "0039 TControl.ClientToScreen 0060 Rect 0069 _Dn_TRibbonGroupDockForm 006e TRibbonGroupDockForm.Create 00b2 TWinControl.GetHandle 00b8 SetWindowPos 00d9 TControl.SetAlign 00e6 TControl.SetVisible"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B D8 83 BB 10 02 00 00 00 0F 84 EC 00 00 00 83 BB 14 02 00 00 00 0F 85 DF 00 00 00 33 C0 89 44 24 08 8B 43 54 89 44 24 0C 8B CC 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 8B 6C 24 04 8B C5 83 C0 56 50 8D 44 24 14 50 8B 83 10 02 00 00 8B 48 50 8B 7C 24 08 03 CF 8B D5 8B C7 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 14 02 00 00 8B 83 10 02 00 00 8B 40 38 89 86 AC 03 00 00 89 9E A8 03 00 00 6A 50 8B 83 10 02 00 00 8B 40 54 83 C0 02 50 8B 83 10 02 00 00 8B 40 50 83 C0 02 50 55 57 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 93 14 02 00 00 8B 83 10 02 00 00 8B 08 FF 91 84 00 00 00 B2 05 8B 83 10 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 14 02 00 00 E8 ?? ?? ?? ?? 8B 83 14 02 00 00 8B 10 FF 92 F4 00 00 00 8B C3 8B 10 FF 92 9C 00 00 00 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83790_0 {
	meta:
		name = "TRibbonGroupDropDown.DrawBackground"
		size = 134
		refs = "001f GetAsyncKeyState 003a TRibbonBaseButtonControl.RibbonStyle 0047 TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 00 02 00 00 00 74 04 B0 01 EB 1F 80 BB FB 01 00 00 00 74 14 6A 01 E8 ?? ?? ?? ?? 0F BF C0 F6 C4 80 0F 94 C0 34 01 EB 02 33 C0 84 C0 74 18 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 0D E8 ?? ?? ?? ?? 5E 5B C3 80 BB FB 01 00 00 00 74 17 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 0C E8 ?? ?? ?? ?? EB 15 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 0B E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83791_0 {
	meta:
		name = "TRibbonGroupDropDown.GetParentControl"
		size = 7
	strings:
		$1 = { 8B 80 18 02 00 00 C3 }
	condition:
		$1
}

rule function_83792_0 {
	meta:
		name = "TRibbonGroupDropDown.GetTopPosition"
		size = 6
	strings:
		$1 = { B8 01 00 00 80 C3 }
	condition:
		$1
}

rule function_83793_0 {
	meta:
		name = "TRibbonGroupDropDown.SetGroup"
		size = 22
	strings:
		$1 = { 8B CA 89 88 10 02 00 00 85 D2 74 09 8B 51 38 89 90 18 02 00 00 C3 }
	condition:
		$1
}

rule function_83794_0 {
	meta:
		name = "TRibbonMainMenuItem.DrawShadowedText"
		size = 132
		refs = "001a @UStrAddRef 0022 TRibbonMainMenuItem.DrawShadowedText 003d TFont.SetStyle 0055 TRibbonApplicationMenuItem.DrawShadowedText 006a @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 B0 01 00 00 8B 40 40 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CE 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_83795_0 {
	meta:
		name = "TRibbonMainMenuItem.DrawText"
		size = 112
		refs = "0010 @UStrAddRef 0018 TRibbonMainMenuItem.DrawText 0033 TFont.SetStyle 0042 TRibbonApplicationMenuItem.DrawText 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 B0 01 00 00 8B 40 40 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 5D C2 04 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_83798_0 {
	meta:
		name = "TRibbonComboBoxItem.CalcBounds"
		size = 55
		refs = "000b TRibbonMenuItem.CalcBounds 0017 TControl.SetHeight"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? BA 11 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 51 60 8B F4 8D BB E4 01 00 00 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83799_0 {
	meta:
		name = "TRibbonComboBoxItem.DrawBackground"
		size = 126
		refs = "0015 TBrush.SetColor 0029 TCustomActionControl.GetActionBar 003a Mouse 0041 TMouse.GetIsDragging"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 B0 01 00 00 8B 40 48 BA 05 00 00 FF E8 ?? ?? ?? ?? 8B D6 8B 83 B0 01 00 00 8B 08 FF 51 54 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 42 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 75 32 80 BB DC 01 00 00 00 74 0B 8B C3 8B 10 FF 52 68 84 C0 75 12 80 BB DC 01 00 00 00 74 15 80 BB 00 02 00 00 00 75 0C 8B D6 8B C3 8B 08 FF 91 1C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_83800_0 {
	meta:
		name = "TRibbonComboBoxItem.DrawText"
		size = 103
		refs = "0010 @UStrAddRef 0018 TRibbonComboBoxItem.DrawText 003f TRibbonMenuItem.DrawText 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B FA 8B F0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 83 C8 00 83 C8 04 83 C8 20 0D 00 08 00 00 89 03 8B 45 08 50 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_83802_0 {
	meta:
		name = "DrawBlended"
		size = 325
		refs = "002b TRibbonApplicationMenuButton.RibbonStyle 003e TRibbonStyleActionBars.DrawElement 00e3 TCustomActionControl.GetActionBar"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 80 08 02 00 00 83 E8 01 72 07 74 5E E9 B2 00 00 00 6A 04 6A 04 68 FF 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 8A B0 01 00 00 33 D2 E8 ?? ?? ?? ?? 6A 04 6A 04 8B 45 08 8B 40 FC 0F B6 80 0C 02 00 00 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 8A B0 01 00 00 B2 01 E8 ?? ?? ?? ?? 5D C3 6A 04 6A 04 68 FF 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 8A B0 01 00 00 33 D2 E8 ?? ?? ?? ?? 6A 04 6A 04 8B 45 08 8B 40 FC 0F B6 80 0C 02 00 00 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 8A B0 01 00 00 B2 01 E8 ?? ?? ?? ?? 5D C3 8B 45 08 8B 40 FC 80 B8 0D 02 00 00 00 74 40 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 29 6A 04 6A 04 68 FF 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 8A B0 01 00 00 B2 01 E8 ?? ?? ?? ?? EB 27 6A 04 6A 04 68 FF 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 8A B0 01 00 00 33 D2 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_83803_0 {
	meta:
		name = "TRibbonApplicationMenuButton.Paint"
		size = 435
		refs = "0022 Rect 002e TRibbonApplicationMenuButton.RibbonStyle 003e TRibbonStyleActionBars.DrawElement 0046 TCustomActionControl.GetActionBar 0072 TCustomMenuButton.GetMenu 00b5 DrawBlended 00f7 _Dn_TBitmap 00fc TBitmap.Create 0107 TRibbonApplicationMenuButton.Paint 01a0 TObject.Free 01a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 45 FC 6A 2A 8D 45 E4 50 B9 2A 00 00 00 BA 04 00 00 00 B8 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 8A B0 01 00 00 B2 03 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 18 8B 45 FC 8B 10 FF 52 68 84 C0 74 0C 8B 45 FC 80 B8 0D 02 00 00 00 75 11 8B 45 FC E8 ?? ?? ?? ?? 80 B8 22 03 00 00 00 74 3D 8B 45 FC E8 ?? ?? ?? ?? 80 B8 22 03 00 00 00 74 23 6A 04 6A 04 68 FF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 8A B0 01 00 00 B2 02 E8 ?? ?? ?? ?? EB 31 55 E8 ?? ?? ?? ?? 59 EB 28 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 74 0D 8B 45 FC C7 80 08 02 00 00 02 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC 83 B8 10 02 00 00 00 0F 84 B8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F7 8B 45 FC 8B 80 10 02 00 00 8B 08 FF 91 50 01 00 00 8B D0 8B 45 F8 8B 08 FF 51 08 BB 08 00 00 00 BE 18 00 00 00 0F B6 45 F7 2C 01 72 06 FE C8 74 0E EB 16 BB 0C 00 00 00 BE 10 00 00 00 EB 0A BB 04 00 00 00 BE 20 00 00 00 8D 43 03 03 C6 50 8D 45 E4 50 8D 7B 02 8B CF 03 CE 8D 53 03 8B C7 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC 8B 80 B0 01 00 00 8B 4D F8 8B 18 FF 93 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83804_0 {
	meta:
		name = "TRibbonApplicationMenuButton.SetMouseInControl"
		size = 15
	strings:
		$1 = { 3A 90 0D 02 00 00 74 06 88 90 0D 02 00 00 C3 }
	condition:
		$1
}

rule function_83805_0 {
	meta:
		name = "TRibbonApplicationMenuButton.SetParent"
		size = 59
		refs = "000b TControl.SetParent 0013 _Dn_TRibbonApplicationMenuBar 0018 @IsClass 0023 TRibbonApplicationMenuBar.GetRibbon"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B C6 E8 ?? ?? ?? ?? 89 83 10 02 00 00 5E 5B C3 33 C0 89 83 10 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_83807_0 {
	meta:
		name = "TRibbonApplicationMenuButton.WMLButtonDblClk"
		size = 39
		refs = "000b GetParentForm 0014 TCustomForm.Close 0020 TCustomButtonControl.WMLButtonDblClk"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 85 C0 74 08 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83809_0 {
	meta:
		name = "TRibbonSmallSplitButton.CalcBounds"
		size = 35
		refs = "0006 TRibbonDropDownButton.CalcBounds 0013 TControl.SetWidth"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 50 83 C2 03 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 2C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_83810_0 {
	meta:
		name = "TRibbonSmallSplitButton.CalcLayout"
		size = 66
		refs = "0009 TRibbonDropDownButton.CalcLayout"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 C4 01 00 00 48 89 04 24 8B 83 C8 01 00 00 89 44 24 04 8B 04 24 89 83 C4 01 00 00 8B 44 24 04 89 83 C8 01 00 00 8B C3 8B 10 FF 92 2C 01 00 00 59 5A 5B C3 }
	condition:
		$1
}

rule function_83811_0 {
	meta:
		name = "TRibbonSmallSplitButton.Click"
		size = 148
		refs = "0039 TCustomActionControl.GetActionBar 004c TCustomActionControl.ResetUsageData 007e Application 0088 TWinControl.GetHandle 008e SetFocus"
	strings:
		$1 = { 53 8B D8 80 BB 10 02 00 00 00 74 0E 33 D2 8B C3 8B 08 FF 91 24 01 00 00 5B C3 B2 01 8B C3 8B 08 FF 91 04 01 00 00 8B 83 BC 01 00 00 85 C0 74 4D 83 78 3C 00 74 47 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 10 8B 83 BC 01 00 00 8B 40 3C 8B D3 8B 08 FF 51 18 A1 ?? ?? ?? ?? 8B 00 8B 40 48 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83813_0 {
	meta:
		name = "TRibbonSmallSplitButton.Create"
		size = 103
		refs = "0011 @ClassCreate 001e TRibbonBaseButtonControl.Create 002f Rect 0050 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 45 F0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 56 8D BE 14 02 00 00 8D 75 F0 A5 A5 A5 A5 5E C6 86 10 02 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83814_0 {
	meta:
		name = "TRibbonSmallSplitButton.DrawBackground"
		size = 1838
		refs = "001f TCustomActionControl.GetActionBar 0034 TRibbonDropDownButton.DrawBackground 00a2 Rect 00a9 TRibbonBaseButtonControl.GetButtonProps 00b8 GetAsyncKeyState 0110 TRibbonSmallSplitButton.DrawBackground 0135 TRibbonBaseButtonControl.RibbonStyle 0142 TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 56 57 83 C4 C4 8B F2 8B D8 80 BB 00 02 00 00 00 75 09 80 BB FB 01 00 00 00 74 13 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 74 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E9 EA 06 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 0F 85 D3 06 00 00 56 8D B3 14 02 00 00 8D 7C 24 20 A5 A5 A5 A5 5E 83 44 24 1C 02 56 8D 7C 24 10 A5 A5 A5 A5 5E 8B 83 14 02 00 00 89 44 24 14 83 44 24 14 02 8B CC 8B D6 8B C3 8B 30 FF 96 1C 01 00 00 6A 00 8D 44 24 30 50 33 C9 8B 54 24 0C 8B 44 24 08 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 40 1A 88 44 24 08 6A 01 E8 ?? ?? ?? ?? 0F BF C0 F6 C4 80 74 0C 80 BB FE 01 00 00 02 0F 94 C0 EB 02 33 C0 84 C0 74 04 B0 01 EB 07 0F B6 83 00 02 00 00 84 C0 0F 84 22 03 00 00 80 BB 10 02 00 00 00 75 0D 80 BB 00 02 00 00 00 0F 84 86 01 00 00 0F B6 44 24 08 83 F8 04 0F 87 55 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 44 24 0C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 14 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 16 E8 ?? ?? ?? ?? E9 F9 00 00 00 8D 44 24 0C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 35 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 56 E8 ?? ?? ?? ?? E9 B8 00 00 00 8D 44 24 0C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 37 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 57 E8 ?? ?? ?? ?? EB 7A 8D 44 24 0C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 34 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 58 E8 ?? ?? ?? ?? EB 3C 8D 44 24 0C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 36 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 59 E8 ?? ?? ?? ?? 8D 44 24 2C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 22 E8 ?? ?? ?? ?? E9 82 04 00 00 0F B6 44 24 08 83 F8 04 0F 87 55 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 44 24 0C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 11 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 17 E8 ?? ?? ?? ?? E9 F9 00 00 00 8D 44 24 0C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 53 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 52 E8 ?? ?? ?? ?? E9 B8 00 00 00 8D 44 24 0C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 4F E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 50 E8 ?? ?? ?? ?? EB 7A 8D 44 24 0C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 54 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 4A E8 ?? ?? ?? ?? EB 3C 8D 44 24 0C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 55 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 4E E8 ?? ?? ?? ?? 8D 44 24 2C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 20 E8 ?? ?? ?? ?? E9 FC 02 00 00 80 BB 10 02 00 00 00 0F 84 6E 01 00 00 0F B6 44 24 08 83 F8 04 0F 87 C3 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 44 24 0C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 06 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 15 E8 ?? ?? ?? ?? E9 67 02 00 00 8D 44 24 0C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 35 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 4B E8 ?? ?? ?? ?? E9 26 02 00 00 8D 44 24 0C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 37 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 51 E8 ?? ?? ?? ?? E9 E5 01 00 00 8D 44 24 0C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 34 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 4C E8 ?? ?? ?? ?? E9 A4 01 00 00 8D 44 24 0C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 36 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 4D E8 ?? ?? ?? ?? E9 63 01 00 00 0F B6 44 24 08 83 F8 04 0F 87 55 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 44 24 0C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 10 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 17 E8 ?? ?? ?? ?? E9 F9 00 00 00 8D 44 24 0C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 45 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 52 E8 ?? ?? ?? ?? E9 B8 00 00 00 8D 44 24 0C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 46 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 50 E8 ?? ?? ?? ?? EB 7A 8D 44 24 0C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 47 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 4A E8 ?? ?? ?? ?? EB 3C 8D 44 24 0C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 48 E8 ?? ?? ?? ?? 8D 44 24 1C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 4E E8 ?? ?? ?? ?? 8D 44 24 2C 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 20 E8 ?? ?? ?? ?? 8D 83 14 02 00 00 50 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 0E E8 ?? ?? ?? ?? 83 C4 3C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83815_0 {
	meta:
		name = "TRibbonSmallSplitButton.GetArrowPosition"
		size = 73
		refs = "000f TRibbonBaseButtonControl.IsButton 0023 TRibbonDropDownButton.GetArrowPosition"
	strings:
		$1 = { 53 56 57 51 8B F1 8B FA 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 80 78 18 00 75 1D 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 04 24 80 78 1A 03 75 04 FF 06 EB 10 83 06 02 EB 0B 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83816_0 {
	meta:
		name = "TRibbonSmallSplitButton.InSplit"
		size = 25
		refs = "0012 PtInRect"
	strings:
		$1 = { 83 C4 F8 89 14 24 89 4C 24 04 8B D4 05 14 02 00 00 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_83818_0 {
	meta:
		name = "TRibbonSmallSplitButton.MouseDown"
		size = 84
		refs = "002d PtInRect 0036 TRibbonSmallSplitButton.SetCursorInSplit 0047 TCustomButtonControl.MouseDown"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 66 89 4D FD 88 55 FF 8B D8 8B 7D 08 8B 75 0C 89 5D F8 89 75 F0 89 7D F4 8D 55 F0 8B 45 F8 05 14 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 56 57 0F B7 4D FD 0F B6 55 FF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_83819_0 {
	meta:
		name = "TRibbonSmallSplitButton.MouseMove"
		size = 77
		refs = "001e TCustomButtonControl.MouseMove 0037 PtInRect 0040 TRibbonSmallSplitButton.SetCursorInSplit"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 66 89 55 FE 8B D8 8B 7D 08 57 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 89 5D F8 89 75 F0 89 7D F4 8D 55 F0 8B 45 F8 05 14 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_83820_0 {
	meta:
		name = "TRibbonSmallSplitButton.SetCursorInSplit"
		size = 23
	strings:
		$1 = { 3A 90 10 02 00 00 74 0E 88 90 10 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_83821_0 {
	meta:
		name = "TRibbonSmallSplitButton.UpdateSplitBounds"
		size = 125
		refs = "0027 TControl.GetClientWidth 003a Rect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B 83 BC 01 00 00 85 C0 74 64 8B 40 78 80 78 1B 00 75 31 8B 43 54 50 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 83 E8 0C 33 D2 59 E8 ?? ?? ?? ?? 8B F4 8D BB 14 02 00 00 A5 A5 A5 A5 EB 2A 8B 43 54 50 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 8B C8 33 D2 B8 14 00 00 00 E8 ?? ?? ?? ?? 8B F4 8D BB 14 02 00 00 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83822_0 {
	meta:
		name = "TRibbonRichContentItem.CalcBounds"
		size = 115
		refs = "000b TRibbonMenuItem.CalcBounds 0012 TRibbonRichContentItem.GetItemHeight 001b TControl.SetHeight 0022 TRibbonRichContentItem.GetItemWidth 002b TControl.SetWidth 005c Rect"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 54 83 E8 0A 50 8D 44 24 04 50 8D 54 24 18 8B C3 8B 08 FF 91 E0 00 00 00 8B 44 24 18 83 C0 0C 8B 4B 50 83 E9 05 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B F4 8D BB E4 01 00 00 A5 A5 A5 A5 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83823_0 {
	meta:
		name = "TRibbonRichContentItem.CanCalculateHeight"
		size = 17
		refs = "0006 TRibbonRichContentItem.GetMenuProps"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_83824_0 {
	meta:
		name = "TRibbonRichContentItem.Create"
		size = 131
		refs = "000a @ClassCreate 0017 TRibbonMenuItem.Create 002c @UStrClr 0070 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 2C 02 00 00 FF FF FF FF 8D 86 30 02 00 00 E8 ?? ?? ?? ?? C7 86 40 02 00 00 FF FF FF FF C7 86 34 02 00 00 FF FF FF FF 8D 86 38 02 00 00 E8 ?? ?? ?? ?? C6 86 28 02 00 00 00 66 C7 86 2A 02 00 00 00 00 C7 86 3C 02 00 00 1F 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83825_0 {
	meta:
		name = "TRibbonRichContentItem.DrawBackground"
		size = 92
		refs = "0009 TCustomActionControl.GetActionBar 0031 TRibbonMenuItem.RibbonStyle 003e TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 40 80 BB DC 01 00 00 00 74 37 8B C3 8B 10 FF 52 68 84 C0 74 17 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 14 E8 ?? ?? ?? ?? EB 15 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 15 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83826_0 {
	meta:
		name = "TRibbonRichContentItem.DrawGlyph"
		size = 270
		refs = "0013 _Dn_TCustomAction 0018 @IsClass 0041 TBrush.SetStyle 0054 TPen.SetColor 0067 TBrush.SetColor 0072 TActionClientItem.GetAction 0104 TRibbonMenuItem.DrawGlyph"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B C3 8B 10 FF 52 58 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A0 00 00 00 8B C3 8B 10 FF 52 58 80 78 71 00 0F 84 8F 00 00 00 8B 83 B0 01 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 8B 40 44 BA F2 95 36 00 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 8B 40 48 BA FF E3 95 00 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B 40 64 8B 40 40 83 78 3C 10 7E 22 6A 2A 6A 2A 6A 02 6A 02 B9 02 00 00 00 BA 02 00 00 00 8B 83 B0 01 00 00 8B 38 FF 97 84 00 00 00 EB 20 6A 1A 6A 1A 6A 02 6A 02 B9 02 00 00 00 BA 02 00 00 00 8B 83 B0 01 00 00 8B 38 FF 97 84 00 00 00 8B 06 89 04 24 8B 46 04 89 44 24 04 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 20 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B 40 64 8B 40 40 83 78 3C 10 7E 09 83 44 24 04 05 83 04 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83827_0 {
	meta:
		name = "TRibbonRichContentItem.DrawShadowedText"
		size = 120
		refs = "001b @UStrAddRef 0023 TRibbonRichContentItem.DrawShadowedText 003a TFont.SetColor 0063 @UStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F2 8D 7D EC A5 A5 A5 A5 89 4D FC 8B D8 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 B0 01 00 00 8B 40 40 8B 55 0C E8 ?? ?? ?? ?? 8B 45 10 50 8D 4D FC 8D 55 EC 8B C3 8B 18 FF 93 D4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_83828_0 {
	meta:
		name = "TRibbonRichContentItem.DrawText"
		size = 596
		refs = "001d @UStrAddRef 0025 TRibbonRichContentItem.DrawText 0032 TRibbonRichContentItem.GetMenuProps 004c TCustomActionControl.GetActionBar 0051 TCustomActionBar.GetColorMap 0062 TFont.SetColor 0096 TFont.SetStyle 00b3 Trim 00e1 Rect 010d TCanvas.GetHandle 011e TActionClientItem.GetCaption 0136 @UStrToPWChar 0140 DrawText 015d TCanvas.SetFont 0226 @UStrArrayClr 023b @UStrClr 0241 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D DC 89 5D D8 89 5D FC 89 5D F8 8B F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 84 D2 01 00 00 8B C7 8B 10 FF 52 68 84 C0 74 1F 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 58 8B 87 B0 01 00 00 8B 40 40 E8 ?? ?? ?? ?? EB 1D 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 50 8B 87 B0 01 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B 87 B0 01 00 00 8B 40 40 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 40 30 8D 55 D8 8B 08 FF 51 1C 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 83 7D DC 00 0F 95 C3 84 DB 74 27 8B B7 E8 01 00 00 8B C6 03 87 2C 02 00 00 50 8D 45 E0 50 8B 4F 50 8B D6 8B 87 E4 01 00 00 E8 ?? ?? ?? ?? 33 F6 EB 1D 8B 47 54 50 8D 45 E0 50 8B 4F 50 33 D2 8B 87 E4 01 00 00 E8 ?? ?? ?? ?? BE 24 00 00 00 8B 87 B0 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 8D 55 FC 8B 87 BC 01 00 00 E8 ?? ?? ?? ?? C7 45 F0 FF FF FF FF 56 8D 45 E0 50 8B 45 F0 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F4 50 E8 ?? ?? ?? ?? 84 DB 0F 84 C4 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 50 34 8B 87 B0 01 00 00 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 68 84 C0 74 1F 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 58 8B 87 B0 01 00 00 8B 40 40 E8 ?? ?? ?? ?? EB 1D 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 50 8B 87 B0 01 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B 9F E8 01 00 00 03 9F 2C 02 00 00 8B C3 03 87 34 02 00 00 50 8D 45 E0 50 8B 4F 50 83 E9 05 8B D3 8B 87 E4 01 00 00 E8 ?? ?? ?? ?? BE 10 01 00 00 8B 87 B0 01 00 00 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 8B 40 30 8D 55 F8 8B 08 FF 51 1C 83 CF FF 56 8D 45 E0 50 57 8B 45 F8 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C2 04 00 01 00 00 00 }
	condition:
		$1
}

rule function_83829_0 {
	meta:
		name = "TRibbonRichContentItem.GetItemHeight"
		size = 360
		refs = "0014 TRibbonRichContentItem.GetMenuProps 0028 _Dn_TCanvas 002d TCanvas.Create 0038 TRibbonRichContentItem.GetItemHeight 0045 GetDC 004f TCanvas.SetHandle 0061 TCanvas.SetFont 006e TCustomCanvas.TextHeight 00a2 TFont.SetStyle 00ce TActionClientItem.GetAction 0138 TObject.Free 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D8 33 C0 89 45 FC 8B F3 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 84 C0 0F 84 1F 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 50 34 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 03 F6 89 B3 34 02 00 00 83 C6 02 01 75 FC 8B C3 E8 ?? ?? ?? ?? 8B 50 34 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 40 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 89 B3 2C 02 00 00 83 C6 04 01 75 FC 8B B3 BC 01 00 00 85 F6 74 52 8B C6 E8 ?? ?? ?? ?? 85 C0 74 47 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 83 78 64 00 74 36 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B 40 64 83 78 40 00 74 22 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B 40 64 8B 40 40 8B 40 38 83 C0 08 3B 45 FC 7D 03 8B 45 FC 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 79 00 00 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_83830_0 {
	meta:
		name = "TRibbonRichContentItem.GetItemWidth"
		size = 508
		refs = "001a TRibbonRichContentItem.GetItemWidth 002e TRibbonRichContentItem.GetMenuProps 0042 _Dn_TCanvas 0047 TCanvas.Create 005f GetDC 0069 TCanvas.SetHandle 007b TCanvas.SetFont 0091 Rect 009e TCanvas.GetHandle 00bd Trim 00d5 @UStrToPWChar 00dc DrawText 011e TFont.SetStyle 0151 TActionClientItem.GetCaption 01b5 TObject.Free 01bb @HandleFinally 01d2 @UStrClr 01df @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 D2 89 55 D4 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B F3 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 84 C0 0F 84 82 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 50 34 8B 45 F0 E8 ?? ?? ?? ?? 8B 83 34 02 00 00 50 8D 45 D8 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? BE 10 0C 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 8B 40 30 8D 55 D4 8B 08 FF 51 1C 8B 45 D4 8D 55 FC E8 ?? ?? ?? ?? C7 45 EC FF FF FF FF 56 8D 45 D8 50 8B 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 8D 55 CC 8B C3 8B 08 FF 91 E0 00 00 00 8B 45 CC 8B 55 E0 2B 55 D8 03 C2 83 C0 22 89 45 F4 8B C3 E8 ?? ?? ?? ?? 8B 50 34 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 40 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 2C 02 00 00 50 8D 45 D8 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? BE 00 04 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 8D 55 F8 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? C7 45 E8 FF FF FF FF 56 8D 45 D8 50 8B 45 E8 50 8B 45 F8 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 8D 55 CC 8B C3 8B 08 FF 91 E0 00 00 00 8B 45 CC 8B 55 E0 2B 55 D8 03 C2 83 C0 22 3B 45 F4 7D 03 8B 45 F4 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_83831_0 {
	meta:
		name = "TRibbonRichContentItem.GetMenuProps"
		size = 42
		refs = "0019 _Dn_TMenuProperties 001e @AsClass"
	strings:
		$1 = { 53 56 8B D8 8B B3 BC 01 00 00 85 F6 74 17 80 7E 76 01 75 11 8B 46 78 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_83832_0 {
	meta:
		name = "TRibbonRichContentMainMenuItem.CalcBounds"
		size = 62
		refs = "0007 TRibbonRichContentItem.CalcBounds 0012 _Dn_TRibbonStyleMainPopupMenu 0017 @IsClass 0022 TControl.GetClientWidth 002b TControl.SetWidth 0037 TControl.SetHeight"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 73 38 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? BA 34 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83833_0 {
	meta:
		name = "TRibbonRichContentMainMenuItem.CalcLayout"
		size = 84
		refs = "000b TRibbonMenuItem.CalcLayout 003d Rect"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 50 8D 44 24 04 50 8D 54 24 18 8B C3 8B 08 FF 91 E0 00 00 00 8B 44 24 18 83 C0 04 8B 8B EC 01 00 00 8B 93 E8 01 00 00 E8 ?? ?? ?? ?? 8B F4 8D BB E4 01 00 00 A5 A5 A5 A5 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83834_0 {
	meta:
		name = "TRibbonRichContentMainMenuItem.Create"
		size = 66
		refs = "000a @ClassCreate 0017 TRibbonRichContentItem.Create 0024 TFont.SetSize 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 6C BA 08 00 00 00 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83835_0 {
	meta:
		name = "TRibbonRichContentMainMenuItem.DrawGlyph"
		size = 206
		refs = "002e TCustomActionControl.HasGlyph 00c4 TCustomImageList.Draw"
	strings:
		$1 = { 53 56 83 C4 F4 8B F0 8B 02 89 04 24 8B 42 04 89 44 24 04 C7 04 24 04 00 00 00 8B 46 54 D1 F8 79 03 83 D0 00 83 E8 10 89 44 24 04 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 8E 00 00 00 8B 86 BC 01 00 00 8B 40 5C 50 8D 4C 24 0C B2 01 8B C6 8B 18 FF 93 E8 00 00 00 8B D8 85 DB 74 6E 8B 43 3C 83 F8 20 7F 05 B8 20 00 00 00 C7 04 24 04 00 00 00 8B 56 54 2B D0 D1 FA 79 03 83 D2 00 89 54 24 04 8B C6 8B 10 FF 52 68 0A 44 24 08 74 0C 8B 86 BC 01 00 00 83 78 5C FF 75 0A F6 46 1C 10 75 04 33 C0 EB 02 B0 01 8B 54 24 04 52 8B 96 BC 01 00 00 8B 52 5C 52 6A 03 6A 00 50 8B 4C 24 14 8B 96 B0 01 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_83836_0 {
	meta:
		name = "TRibbonRichContentMainMenuItem.DrawText"
		size = 149
		refs = "0013 @UStrAddRef 001b TRibbonRichContentMainMenuItem.DrawText 004f Rect 006b TRibbonRichContentItem.DrawText 0080 @UStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 2C 02 00 00 83 C0 04 50 8D 45 F0 50 8D 55 E8 8B C3 8B 08 FF 91 E0 00 00 00 8B 45 E8 83 C0 08 8B 4E 08 BA 04 00 00 00 E8 ?? ?? ?? ?? 56 57 8B FE 8D 75 F0 A5 A5 A5 A5 5F 5E 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_83839_0 {
	meta:
		name = "TRibbonSplitMenuItem.CalcBounds"
		size = 35
		refs = "0006 TRibbonApplicationMenuItem.CalcBounds 0013 TControl.SetWidth"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 50 83 C2 19 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 20 01 00 00 5B C3 }
	condition:
		$1
}

rule function_83840_0 {
	meta:
		name = "TRibbonSplitMenuItem.Click"
		size = 93
		refs = "000b Mouse 0012 TMouse.GetCursorPos 001f TControl.ScreenToClient 0028 TRibbonSplitMenuItem.IsInSplit 0033 TRibbonMenuItem.Click 004e TWinControl.GetHandle 0054 PostMessage"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8D 54 24 08 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 54 24 08 8B CC 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 1F 53 6A 00 68 05 B4 00 00 8B 83 FC 01 00 00 8B 80 44 03 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_83841_0 {
	meta:
		name = "TRibbonSplitMenuItem.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TRibbonApplicationMenuItem.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 38 02 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83842_0 {
	meta:
		name = "TRibbonSplitMenuItem.DrawBackground"
		size = 243
		refs = "000b TRibbonMenuItem.DrawBackground 0012 TCustomActionControl.GetActionBar 0051 TPen.SetColor"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 0F 85 C6 00 00 00 8B C6 8B 10 FF 52 68 84 C0 0F 84 B7 00 00 00 80 BE DC 01 00 00 00 0F 84 AA 00 00 00 8B 86 B0 01 00 00 8B 40 44 BA DC C5 81 00 E8 ?? ?? ?? ?? 8B 46 50 83 E8 19 89 04 24 BF 02 00 00 00 89 7C 24 04 89 44 24 08 8B 5E 54 83 EB 02 89 5C 24 0C 8B CF 8B 14 24 8B 86 B0 01 00 00 8B 38 FF 57 64 8B CB 8B 54 24 08 8B 86 B0 01 00 00 8B 18 FF 53 60 8B 86 B0 01 00 00 8B 40 44 BA FF F4 C9 00 E8 ?? ?? ?? ?? 8B 46 50 83 E8 1A 89 44 24 10 BF 02 00 00 00 89 7C 24 14 89 44 24 18 8B 5E 54 83 EB 02 89 5C 24 1C 8B CF 8B 54 24 10 8B 86 B0 01 00 00 8B 38 FF 57 64 8B CB 8B 54 24 18 8B 86 B0 01 00 00 8B 18 FF 53 60 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83843_0 {
	meta:
		name = "TRibbonSplitMenuItem.DrawSelectedBackground"
		size = 79
		refs = "0016 TRibbonApplicationMenuItem.DrawSelectedBackground 0037 TRibbonMenuItem.RibbonStyle 0044 TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 80 BB 38 02 00 00 00 74 25 8B 83 30 02 00 00 2B 83 28 02 00 00 29 44 24 08 54 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 0A E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83844_0 {
	meta:
		name = "TRibbonSplitMenuItem.IsInSplit"
		size = 11
		refs = "0006 PtInRect"
	strings:
		$1 = { 05 28 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83845_0 {
	meta:
		name = "TRibbonSplitMenuItem.MouseMove"
		size = 72
		refs = "001e TCustomMenuItem.MouseMove 0032 PtInRect 003b TRibbonSplitMenuItem.SetMouseInSplit"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 66 89 55 FE 8B D8 8B 7D 08 57 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 89 75 F4 89 7D F8 8D 55 F4 8D 83 28 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_83846_0 {
	meta:
		name = "TRibbonSplitMenuItem.SetMouseInSplit"
		size = 23
	strings:
		$1 = { 3A 90 38 02 00 00 74 0E 88 90 38 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_83847_0 {
	meta:
		name = "TRibbonSplitMenuItem.UpdateSplitBounds"
		size = 62
		refs = "0014 TControl.GetClientWidth 0027 Rect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B 43 54 50 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 83 E8 18 33 D2 59 E8 ?? ?? ?? ?? 8B F4 8D BB 28 02 00 00 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83848_0 {
	meta:
		name = "TRibbonComboControl.CalcBounds"
		size = 155
		refs = "000b TCustomButtonControl.CalcBounds 0022 TRibbonComboControl.SetContainedControl 002c TControl.SetWidth 0038 TControl.SetHeight 003f TCustomActionControl.GetActionBar 005f Rect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 85 C0 74 17 8B 70 78 8B 56 20 8B C3 E8 ?? ?? ?? ?? 8B 56 18 8B C3 E8 ?? ?? ?? ?? BA 16 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 78 69 00 75 28 8B 43 54 50 8D 44 24 04 50 8B 73 50 8B C6 83 E8 0E 8B CE 33 D2 E8 ?? ?? ?? ?? 8B F4 8D BB 08 02 00 00 A5 A5 A5 A5 EB 23 8B 43 54 50 8D 44 24 04 50 B9 0E 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 8B F4 8D BB 08 02 00 00 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83850_0 {
	meta:
		name = "TRibbonComboControl.Click"
		size = 35
	strings:
		$1 = { 53 8B D8 F6 43 1C 10 74 0C B2 01 8B C3 8B 08 FF 91 04 01 00 00 33 D2 8B C3 8B 08 FF 91 14 01 00 00 5B C3 }
	condition:
		$1
}

rule function_83851_0 {
	meta:
		name = "TRibbonComboControl.CMBidimodechanged"
		size = 39
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 08 01 00 00 8B 43 50 50 8B 43 54 50 8B 4B 4C 8B 53 48 8B C3 8B 18 FF 93 A4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_83854_0 {
	meta:
		name = "TRibbonComboControl.CMVisiblechanged"
		size = 31
		refs = "0006 TControl.CMVisibleChanged 0019 TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 00 02 00 00 85 C0 74 09 0F B6 53 61 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83856_0 {
	meta:
		name = "TRibbonComboControl.Create"
		size = 81
		refs = "000a @ClassCreate 0017 TCustomButtonControl.Create 0028 _Dn_TObjectList 002d TObjectList.Create 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 00 02 00 00 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 1C 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83857_0 {
	meta:
		name = "TRibbonComboControl.Destroy"
		size = 64
		refs = "0003 @BeforeDestruction 0012 TObject.Free 002e TCustomActionControl.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 1C 02 00 00 E8 ?? ?? ?? ?? 83 BE 00 02 00 00 00 74 08 33 C0 89 86 00 02 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83858_0 {
	meta:
		name = "TRibbonComboControl.DrawBackground"
		size = 596
		refs = "000c TRibbonComboControl.RibbonStyle 001e TBrush.SetStyle 004a @CallDynaInst 0055 TCustomActionControl.GetActionBar 005a TCustomActionBar.GetColorMap 006e TBrush.SetColor 00af TRibbonComboControl.GetLabelWidth 00e5 Rect 0134 Mouse 013b TMouse.GetCursorPos 0148 TControl.ScreenToClient 0155 PtInRect 0189 GetAsyncKeyState 01d6 TRibbonStyleActionBars.DrawElement 0248 TRibbonComboControl.DrawFrame"
	strings:
		$1 = { 53 56 57 55 83 C4 CC 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 83 B0 01 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 80 BB 04 02 00 00 00 75 27 83 BB 00 02 00 00 00 74 40 8B AB 00 02 00 00 80 BD AC 02 00 00 00 75 0F 8B C5 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 74 22 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 A4 00 00 00 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 AC 00 00 00 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 54 24 1C 8B C3 8B 08 FF 51 60 8B C3 E8 ?? ?? ?? ?? 80 78 69 00 75 0B 8B C3 E8 ?? ?? ?? ?? 01 44 24 1C 8D 54 24 1C 8B 83 B0 01 00 00 8B 08 FF 51 54 8B C3 E8 ?? ?? ?? ?? 80 78 69 00 75 18 6A 00 8D 44 24 10 50 8B 43 50 83 E8 0E 33 C9 33 D2 E8 ?? ?? ?? ?? EB 15 6A 00 8D 44 24 10 50 B9 0E 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 80 BB 04 02 00 00 00 75 26 8B AB 00 02 00 00 85 ED 74 0F 8B C5 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 0D 83 BB 18 02 00 00 00 0F 84 D9 00 00 00 8D 54 24 2C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 54 24 2C 8B CC 8B C3 E8 ?? ?? ?? ?? 8B D4 8D 83 08 02 00 00 E8 ?? ?? ?? ?? 88 44 24 08 80 7C 24 08 00 75 22 8B AB 00 02 00 00 85 ED 74 0F 8B C5 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 09 83 BB 18 02 00 00 00 74 6C 6A 01 E8 ?? ?? ?? ?? 0F BF C0 F6 C4 80 74 0C 80 BB FE 01 00 00 02 0F 94 C0 EB 02 33 C0 84 C0 74 07 0F B6 44 24 08 EB 02 33 C0 84 C0 74 04 B0 01 EB 0A 83 BB 18 02 00 00 00 0F 95 C0 84 C0 74 16 8D 44 24 0C 50 8B 8B B0 01 00 00 B2 03 8B C7 E8 ?? ?? ?? ?? EB 69 8D 44 24 0C 50 8B 8B B0 01 00 00 B2 02 8B C7 E8 ?? ?? ?? ?? EB 53 8D 44 24 0C 50 8B 8B B0 01 00 00 33 D2 8B C7 E8 ?? ?? ?? ?? EB 3D 8B 83 00 02 00 00 85 C0 74 1F 80 B8 AC 02 00 00 00 74 16 8D 44 24 0C 50 8B 8B B0 01 00 00 33 D2 8B C7 E8 ?? ?? ?? ?? EB 14 8D 44 24 0C 50 8B 8B B0 01 00 00 B2 01 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 34 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83859_0 {
	meta:
		name = "TRibbonComboControl.DrawFrame"
		size = 91
		refs = "0012 TRibbonComboControl.GetLabelWidth 0025 TBrush.SetStyle 002c TCustomActionControl.GetActionBar 0031 TCustomActionBar.GetColorMap 0045 TPen.SetColor 0052 TCustomCanvas.Rectangle"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 8B 08 FF 51 60 8B C3 E8 ?? ?? ?? ?? 01 04 24 8B 83 B0 01 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 A8 00 00 00 8B 83 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B D4 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_83860_0 {
	meta:
		name = "TRibbonComboControl.DropDownClick"
		size = 412
		refs = "0027 TActionClient.GetHasItems 0067 TObject.Free 0080 _Dn_TRibbonStylePopupMenu 0085 TRibbonStylePopupMenu.Create 0098 TRibbonComboControl.DropDownClick 00da TControl.ClientToScreen 00e2 TCustomActionControl.GetActionBar 00e7 TCustomActionBar.GetColorMap 0118 TRibbonStylePopupMenu.SetGalleryResize 0138 TControl.SetWidth 015d TCustomActionPopupMenu.Popup 0190 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B DA 89 45 FC 8B 45 FC 83 B8 00 02 00 00 00 0F 84 79 01 00 00 8B 45 FC 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 12 8B D3 8B 45 FC 8B 08 FF 91 18 01 00 00 E9 55 01 00 00 8B 45 FC 8B 80 18 02 00 00 85 C0 74 2D 8B 10 FF 92 CC 01 00 00 8B 45 FC 05 18 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 E9 1B 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 B0 18 02 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 89 86 30 03 00 00 8B 45 FC 8B 90 BC 01 00 00 8B C6 8B 08 FF 91 4C 01 00 00 8B 45 FC 8B 40 48 89 45 EC 8B 45 FC 8B 40 54 89 45 F0 8D 4D F4 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 18 02 00 00 8B 08 FF 91 54 01 00 00 8B 45 FC 8B 80 BC 01 00 00 8B 40 78 0F B6 50 30 8B 45 FC 8B 80 18 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 18 02 00 00 88 98 B8 03 00 00 8B 55 FC 8B 92 00 02 00 00 8B 52 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B 45 FC 8B 55 F4 2B 50 48 8B 45 FC 8B 80 18 02 00 00 8B 4D F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 18 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83861_0 {
	meta:
		name = "TRibbonComboControl.GetCaptionWidth"
		size = 160
		refs = "0011 TRibbonComboControl.GetCaptionWidth 002d TActionClientItem.GetCaption 0038 Trim 005a TCustomCanvas.TextWidth 0063 TRibbonComboControl.GetGlyphWidth 008c @UStrArrayClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 BC 01 00 00 80 7E 55 00 74 4D 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 2E 8D 55 F4 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0B 83 C6 04 EB 06 33 F6 EB 02 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83862_0 {
	meta:
		name = "TRibbonComboControl.GetComboItemsControlClassHandler"
		size = 18
		refs = "0008 _DV_TRibbonComboBoxItem"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 15 ?? ?? ?? ?? 89 10 5D C2 04 00 }
	condition:
		$1
}

rule function_83863_0 {
	meta:
		name = "TRibbonComboControl.GetContainedControl"
		size = 7
	strings:
		$1 = { 8B 80 00 02 00 00 C3 }
	condition:
		$1
}

rule function_83868_0 {
	meta:
		name = "TRibbonComboControl.HideKeyTip"
		size = 28
		refs = "0017 TObject.Free"
	strings:
		$1 = { 83 B8 20 02 00 00 00 74 12 05 20 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83869_0 {
	meta:
		name = "TRibbonComboControl.KeyTipClick"
		size = 21
	strings:
		$1 = { 8B 90 00 02 00 00 85 D2 74 0A 8B C2 8B 10 FF 92 F4 00 00 00 C3 }
	condition:
		$1
}

rule function_83871_0 {
	meta:
		name = "TRibbonComboControl.Notification"
		size = 64
		refs = "0010 TControl.Notification 0038 TActionClientItem.SetCommandStyle"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 23 3B BE 00 02 00 00 75 1B 33 C0 89 86 00 02 00 00 F6 46 1C 08 75 0D 33 D2 8B 86 BC 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83872_0 {
	meta:
		name = "TRibbonComboControl.Paint"
		size = 49
		refs = "0007 TCustomButtonControl.Paint 0018 TWinControl.HandleAllocated"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 9E 00 02 00 00 85 DB 74 19 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 86 00 02 00 00 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_83873_0 {
	meta:
		name = "TRibbonComboControl.SelectItemHandler"
		size = 109
		refs = "0017 TRibbonComboControl.SelectItemHandler 0045 TControl.SetText 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 00 02 00 00 85 F6 74 1E 8D 4D F8 8B 45 FC 8B 50 0C 8B 86 B0 02 00 00 8B 38 FF 57 0C 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_83874_0 {
	meta:
		name = "TRibbonComboControl.SetActionClient"
		size = 49
		refs = "0007 TCustomButtonControl.SetActionClient 0018 TCustomActionControl.GetActionBar 001d TCustomActionBar.GetColorMap 002a TControl.SetColor"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 00 02 00 00 85 F6 74 19 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 AC 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83875_0 {
	meta:
		name = "TRibbonComboControl.SetBounds"
		size = 221
		refs = "0018 TCustomButtonControl.SetBounds 0034 _Dn_TComboBoxProperties 0039 @AsClass 004b TControl.SetText 0074 TRibbonComboControl.GetLabelWidth 007d TCustomActionControl.GetActionBar"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 8B D3 8B C6 E8 ?? ?? ?? ?? 83 BE 00 02 00 00 00 0F 84 A2 00 00 00 8B BE BC 01 00 00 8B 47 78 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 74 0E 8B 50 24 8B 86 00 02 00 00 E8 ?? ?? ?? ?? 8B 46 54 D1 F8 79 03 83 D0 00 03 46 4C 8B 96 00 02 00 00 8B 52 54 D1 FA 79 03 83 D2 00 2B C2 89 45 FC 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 80 78 69 00 75 23 8B 56 50 83 EA 10 2B D7 52 8B 86 00 02 00 00 8B 50 54 52 8D 14 1F 8B 4D FC 8B 18 FF 93 A4 00 00 00 EB 21 8B 56 50 83 EA 10 2B D7 52 8B 86 00 02 00 00 8B 50 54 52 8D 53 0E 8B 4D FC 8B 18 FF 93 A4 00 00 00 8B C6 8B 10 FF 92 B0 00 00 00 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_83876_0 {
	meta:
		name = "TRibbonComboControl.SetComboBox"
		size = 96
	strings:
		$1 = { 53 56 85 D2 74 14 8B 88 00 02 00 00 85 C9 74 2E 33 DB 89 99 A8 02 00 00 EB 24 8B B0 00 02 00 00 85 F6 74 1A 89 86 A8 02 00 00 F6 40 1C 10 74 0E 33 C9 89 8E F0 00 00 00 89 8E F4 00 00 00 8B CA 89 88 00 02 00 00 85 C9 74 13 89 81 A8 02 00 00 8B 50 38 8B C1 8B 08 FF 91 84 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_83877_0 {
	meta:
		name = "TRibbonComboControl.SetContainedControl"
		size = 14
		refs = "0009 TRibbonComboControl.SetComboBox"
	strings:
		$1 = { 3B 90 00 02 00 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83878_0 {
	meta:
		name = "TRibbonComboControl.SetDragMode"
		size = 35
		refs = "000b TControl.SetDragMode"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 86 00 02 00 00 85 C0 74 07 8B D3 8B 08 FF 51 7C 5E 5B C3 }
	condition:
		$1
}

rule function_83880_0 {
	meta:
		name = "TRibbonComboControl.SetMouseInControl"
		size = 133
		refs = "0025 @CallDynaInst 0030 TCustomActionControl.GetActionBar 0035 TCustomActionBar.GetColorMap 0046 TControl.SetColor"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 88 9F 04 02 00 00 83 BF 00 02 00 00 00 74 6B 84 DB 75 32 8B 87 00 02 00 00 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 1F 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 AC 00 00 00 8B 87 00 02 00 00 E8 ?? ?? ?? ?? EB 1D 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 A4 00 00 00 8B 87 00 02 00 00 E8 ?? ?? ?? ?? 8B 87 00 02 00 00 8B 10 FF 92 9C 00 00 00 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83881_0 {
	meta:
		name = "TRibbonComboControl.SetParent"
		size = 38
		refs = "001f TControl.SetParent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 00 02 00 00 85 C0 74 0A 8B D6 8B 08 FF 91 84 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83882_0 {
	meta:
		name = "TRibbonComboControl.ShowComboItems"
		size = 753
		refs = "0018 TRibbonComboControl.ShowComboItems 0048 TObject.Free 0082 TActionClient.GetItems 0087 TActionClients.Add 009c TActionClientItem.GetActionClients 00a3 TActionClientsCollection.SetAutoHotKeys 0105 _Dn_TAction 010a TAction.Create 012f TCustomAction.SetCaption 013b TRibbonComboControl.SelectItemHandler 014c TActionClientItem.SetAction 015c TList.Add 016b _Dn_TRibbonStylePopupMenu 0170 TRibbonStylePopupMenu.Create 01a5 TRibbonComboControl.GetComboItemsControlClassHandler 01d2 TControl.ClientToScreen 01da TCustomActionControl.GetActionBar 01df TCustomActionBar.GetColorMap 0210 TRibbonStylePopupMenu.SetGalleryResize 0254 TCustomActionPopupMenu.Popup 0287 @HandleFinally 02de @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D D8 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 18 02 00 00 85 C0 74 2D 8B 10 FF 92 CC 01 00 00 8B 45 FC 05 18 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 E9 71 02 00 00 8B 45 FC 8B 80 00 02 00 00 8B 80 B0 02 00 00 8B 10 FF 52 14 85 C0 0F 8E 55 02 00 00 8B 45 FC 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 8B 45 F4 8B 08 FF 51 2C 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 80 1C 02 00 00 8B 10 FF 52 08 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 80 00 02 00 00 8B 80 B0 02 00 00 8B 10 FF 52 14 48 85 C0 7C 7C 40 89 45 E4 33 F6 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 4D D8 8B 45 FC 8B 80 00 02 00 00 8B 80 B0 02 00 00 8B D6 8B 38 FF 57 0C 8B 55 D8 8B C3 E8 ?? ?? ?? ?? 89 73 0C 8B 45 FC 50 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 1C 02 00 00 8B D3 E8 ?? ?? ?? ?? 46 FF 4D E4 75 8A 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 18 02 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 89 83 30 03 00 00 8B 45 FC 89 83 AC 02 00 00 C7 83 A8 02 00 00 ?? ?? ?? ?? 8B C3 8B 55 F4 8B 08 FF 91 4C 01 00 00 8B 45 FC 8B 40 48 89 45 DC 8B 45 FC 8B 40 54 89 45 E0 8D 4D E8 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 18 02 00 00 8B 08 FF 91 54 01 00 00 8B 45 FC 8B 80 BC 01 00 00 8B 40 78 0F B6 50 30 8B 45 FC 8B 80 18 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 18 02 00 00 0F B6 55 FB 88 90 B8 03 00 00 8B 55 FC 8B 52 50 2B 50 50 01 55 E8 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B 45 FC 8B 55 E8 2B 50 48 8B 45 FC 8B 80 18 02 00 00 8B 4D EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 18 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 1C 02 00 00 8B 10 FF 52 08 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83883_0 {
	meta:
		name = "TRibbonComboControl.ShowKeyTip"
		size = 56
		refs = "0011 TObject.Free 002b ShowKeyTip"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 20 02 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 53 8B C6 8B 10 FF 52 68 8B D0 8B 86 BC 01 00 00 8B 40 70 8B CE E8 ?? ?? ?? ?? 89 86 20 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_83885_0 {
	meta:
		name = "TCustomRibbonComboBox.BeginAutoDrag"
		size = 24
		refs = "0012 @CallDynaInst"
	strings:
		$1 = { 56 8B 90 A8 02 00 00 85 D2 74 0B 8B C2 66 BE EE FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_83888_0 {
	meta:
		name = "TCustomRibbonComboBox.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TCustomEdit.Create 0027 TCustomEdit.SetBorderStyle 0030 TControl.SetParentColor 003c TControl.SetHeight 0043 _Dn_TStringList 0048 TStringList.Create 0059 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 86 02 00 00 01 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? BA 0F 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B0 02 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_83889_0 {
	meta:
		name = "TCustomRibbonComboBox.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TWinControl.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 B0 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83890_0 {
	meta:
		name = "TCustomRibbonComboBox.DragDrop"
		size = 37
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 45 08 50 8B D7 8B 86 A8 02 00 00 8B 18 FF 93 B4 00 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_83891_0 {
	meta:
		name = "TCustomRibbonComboBox.DragOver"
		size = 121
		refs = "0023 TControl.DragOver 003a _Dn_TActionDragObject 003f @IsClass 004b _Dn_TActionItemDragObject 005c _Dn_TCategoryDragObject"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F0 8B 7D 08 8B 45 10 50 0F B6 45 0C 50 57 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 86 A8 02 00 00 83 B8 BC 01 00 00 00 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 26 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 15 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 07 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_83892_0 {
	meta:
		name = "TCustomRibbonComboBox.KeyDown"
		size = 50
		refs = "0014 TCustomEdit.KeyDown"
	strings:
		$1 = { 53 56 51 66 89 0C 24 8B F2 8B D8 8B D6 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? 66 83 3E 28 75 10 B2 01 8B 83 A8 02 00 00 8B 08 FF 91 14 01 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_83893_0 {
	meta:
		name = "TCustomRibbonComboBox.KeyPress"
		size = 70
		refs = "000e TCustomEdit.KeyPress 001b GetParentForm 0021 _Dn_TRibbonGroupDockForm 0026 @IsClass 002f Application 0039 TWinControl.GetHandle 003f SetFocus"
	strings:
		$1 = { 53 56 8B F0 66 83 3A 0D 0F 94 C3 8B C6 E8 ?? ?? ?? ?? 84 DB 74 2D B2 01 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 A1 ?? ?? ?? ?? 8B 00 8B 40 48 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83894_0 {
	meta:
		name = "TCustomRibbonComboBox.MouseMove"
		size = 69
		refs = "0017 TControl.MouseMove 0028 TCustomActionControl.GetActionBar 002d TCustomActionBar.GetColorMap 003a TControl.SetColor"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 55 FE 8B D8 8B 45 08 50 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 8B B3 A8 02 00 00 85 F6 74 19 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_83895_0 {
	meta:
		name = "TCustomRibbonComboBox.Notification"
		size = 45
		refs = "0010 TWinControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B BE A8 02 00 00 75 08 33 C0 89 86 A8 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83896_0 {
	meta:
		name = "TCustomRibbonComboBox.SetBounds"
		size = 200
		refs = "0026 TWinControl.SetBounds 0050 TCustomActionControl.GetActionBar 0061 TRibbonComboControl.GetLabelWidth"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B D8 8B 7D 08 8B B3 A8 02 00 00 85 F6 75 14 8B 45 0C 50 57 8B 4D FC 8B C3 E8 ?? ?? ?? ?? E9 90 00 00 00 8B 46 4C 8B 56 54 D1 FA 79 03 83 D2 00 03 C2 8B 53 54 D1 FA 79 03 83 D2 00 2B C2 89 45 F8 8B C6 E8 ?? ?? ?? ?? 80 78 69 00 75 3E 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 8B 93 A8 02 00 00 8B 52 50 83 EA 10 2B D0 52 57 8B B3 A8 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 46 48 83 C0 02 03 D0 8B 4D F8 8B C3 E8 ?? ?? ?? ?? EB 27 8B B3 A8 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 56 50 83 EA 10 2B D0 52 57 8B 56 48 83 C2 10 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_83898_0 {
	meta:
		name = "TCustomRibbonComboBox.SetMouseInControl"
		size = 166
		refs = "0024 @CallDynaInst 0042 TCustomActionControl.GetActionBar 0047 TCustomActionBar.GetColorMap 0054 TControl.SetColor"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 3A 9F AC 02 00 00 0F 84 8F 00 00 00 88 9F AC 02 00 00 84 DB 75 58 8B C7 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 49 8B 9F A8 02 00 00 85 DB 74 24 80 BB 04 02 00 00 00 75 1B 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 AC 00 00 00 8B C7 E8 ?? ?? ?? ?? EB 3E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 A4 00 00 00 8B C7 E8 ?? ?? ?? ?? EB 23 8B 9F A8 02 00 00 85 DB 74 19 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 A4 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83899_0 {
	meta:
		name = "TCustomRibbonComboBox.SetParent"
		size = 163
		refs = "0018 TCustomRibbonComboBox.SetParent 0027 TWinControl.SetParent 0033 _Dn_TCustomRibbonGroup 0038 @IsClass 0046 TObject.ClassName 005e SRibbonControlInvalidParent 0063 LoadResString 006d _Dn_Exception 0072 Exception.CreateFmt 0077 @RaiseExcept 0091 @UStrArrayClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F4 89 4D F0 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 85 DB 74 4C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 3B 8D 55 F4 8B 06 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83964_0 {
	meta:
		name = "TRibbonSpinEdit.SetParent"
		size = 163
		refs = "0018 TRibbonSpinEdit.SetParent 0027 TWinControl.SetParent 0033 _Dn_TCustomRibbonGroup 0038 @IsClass 0046 TObject.ClassName 005e SRibbonControlInvalidParent 0063 LoadResString 006d _Dn_Exception 0072 Exception.CreateFmt 0077 @RaiseExcept 0091 @UStrArrayClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F4 89 4D F0 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 85 DB 74 4C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 3B 8D 55 F4 8B 06 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83900_0 {
	meta:
		name = "TCustomRibbonComboBox.WMKillFocus"
		size = 78
		refs = "0007 TWinControl.WMKillFocus 0018 TCustomActionControl.GetActionBar 002c TCustomActionBar.GetColorMap 0039 TControl.SetColor"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 A8 02 00 00 85 F6 74 36 8B C6 E8 ?? ?? ?? ?? 85 C0 74 2B 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 AC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 A8 02 00 00 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_83901_0 {
	meta:
		name = "TCustomRibbonComboBox.WMSetFocus"
		size = 78
		refs = "0007 TWinControl.WMSetFocus 0018 TCustomActionControl.GetActionBar 002c TCustomActionBar.GetColorMap 0039 TControl.SetColor"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 A8 02 00 00 85 F6 74 36 8B C6 E8 ?? ?? ?? ?? 85 C0 74 2B 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 A8 02 00 00 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_83902_0 {
	meta:
		name = "TRibbonCustomizeItem.CalcBounds"
		size = 210
		refs = "000b TCustomAddRemoveItem.CalcBounds 0017 TControl.SetHeight 0024 TControl.SetWidth 008d Rect 00b9 OffsetRect"
	strings:
		$1 = { 53 56 57 83 C4 D8 8B D8 8B C3 E8 ?? ?? ?? ?? BA 16 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 53 50 83 EA 0E 8B C3 E8 ?? ?? ?? ?? 8B 83 C4 01 00 00 83 E8 0E 89 04 24 8B 83 C8 01 00 00 89 44 24 04 8B 04 24 89 83 C4 01 00 00 8B 44 24 04 89 83 C8 01 00 00 8B B3 F0 01 00 00 2B B3 E8 01 00 00 85 F6 7E 3E 8B 7B 54 D1 FF 79 03 83 D7 00 8B C6 D1 F8 79 03 83 D0 00 2B F8 03 F7 56 8D 44 24 1C 50 8B 8B EC 01 00 00 8B D7 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 8D 74 24 18 8D BB E4 01 00 00 A5 A5 A5 A5 8D B3 E4 01 00 00 8D 7C 24 08 A5 A5 A5 A5 8D 44 24 08 33 C9 BA F2 FF FF FF E8 ?? ?? ?? ?? 8D 74 24 08 8D BB E4 01 00 00 A5 A5 A5 A5 83 C4 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83903_0 {
	meta:
		name = "TRibbonCustomizeItem.DrawBackground"
		size = 308
		refs = "006f TRibbonCustomizeItem.RibbonStyle 007c TRibbonStyleActionBars.DrawElement 0083 TCustomActionControl.GetActionBar 00fb TCustomAddRemoveItem.IsActionVisible"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8B D8 83 BB BC 01 00 00 00 0F 84 16 01 00 00 56 8D 7C 24 14 A5 A5 A5 A5 5E 8B 93 C4 01 00 00 8B 83 E4 01 00 00 3B D0 7D 06 33 C9 89 4C 24 10 56 8D 7C 24 04 A5 A5 A5 A5 5E 3B D0 7D 09 83 E8 03 89 44 24 08 EB 0D 8B 83 EC 01 00 00 83 C0 03 89 44 24 08 B8 19 00 00 00 89 44 24 08 2B 04 24 89 44 24 10 54 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 01 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 29 80 BB DC 01 00 00 00 74 0B 8B C3 8B 10 FF 52 68 84 C0 75 12 80 BB DC 01 00 00 00 74 0C 80 BB 00 02 00 00 00 75 03 FF 4E 08 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 29 8B C3 8B 10 FF 52 68 84 C0 74 1E 80 BB DC 01 00 00 00 74 15 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 04 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2A 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 06 E8 ?? ?? ?? ?? 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 08 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83906_0 {
	meta:
		name = "TRibbonQATScrollButton.CalcBounds"
		size = 188
		refs = "000b TCustomToolScrollBtn.CalcBounds 0012 TCustomActionControl.GetActionBar 0018 _Dn_TCustomRibbonQuickAccessToolbar 001d @IsClass 0034 TControl.SetHeight 0049 TControl.SetWidth 0071 Rect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5E 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 56 54 8B C3 E8 ?? ?? ?? ?? 80 BE 28 03 00 00 00 74 0E BA 10 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0C BA 1A 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 54 50 8D 44 24 04 50 8B 73 50 8B C6 83 E8 0F 8B CE 33 D2 E8 ?? ?? ?? ?? 8B F4 8D BB 24 02 00 00 A5 A5 A5 A5 EB 32 BA 10 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 54 50 8D 44 24 04 50 8B 73 50 8B C6 83 E8 0F 8B CE 33 D2 E8 ?? ?? ?? ?? 8B F4 8D BB 24 02 00 00 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83907_0 {
	meta:
		name = "TRibbonQATScrollButton.Click"
		size = 72
		refs = "0011 TActionClientItem.GetAction 0037 @CallDynaInst 0041 TCustomUtilityButton.Click"
	strings:
		$1 = { 53 56 8B D8 8B B3 BC 01 00 00 85 F6 74 30 8B C6 E8 ?? ?? ?? ?? 85 C0 74 25 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 89 58 0C 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 66 BE F0 FF E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83910_0 {
	meta:
		name = "TRibbonQATScrollButton.DrawArrows"
		size = 80
		refs = "0021 TRibbonQATScrollButton.RibbonStyle 002e TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8D B3 38 02 00 00 8B FC A5 A5 A5 A5 80 BB 48 02 00 00 00 75 17 54 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 09 E8 ?? ?? ?? ?? EB 15 54 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 0A E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83911_0 {
	meta:
		name = "TRibbonQATScrollButton.DrawBackground"
		size = 478
		refs = "000a TCustomActionControl.GetActionBar 0010 _Dn_TCustomRibbonQuickAccessToolbar 0015 @IsClass 0042 TRibbonQATScrollButton.RibbonStyle 004f TRibbonStyleActionBars.DrawElement 00a3 GetAsyncKeyState 011e _Dn_TCustomRibbonQuickAccessPopupToolbar 01d6 TCustomButtonControl.DrawBackground"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 F4 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 B8 28 03 00 00 00 75 3F 8B C3 E8 ?? ?? ?? ?? 80 78 69 00 75 1A 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 04 E8 ?? ?? ?? ?? 83 06 0D EB 18 83 06 0D 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 05 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 79 8B C3 8B 10 FF 52 68 84 C0 74 6E 80 BB 20 02 00 00 00 75 09 80 BB 34 02 00 00 00 74 5C 6A 01 E8 ?? ?? ?? ?? 0F BF C0 F6 C4 80 74 0C 80 BB FE 01 00 00 02 0F 94 C0 EB 02 33 C0 84 C0 74 04 B0 01 EB 07 0F B6 83 34 02 00 00 84 C0 74 17 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 08 E8 ?? ?? ?? ?? EB 15 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 07 E8 ?? ?? ?? ?? 8D BB 38 02 00 00 A5 A5 A5 A5 8B C3 8B 10 FF 92 14 01 00 00 E9 C5 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A2 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 79 8B C3 8B 10 FF 52 68 84 C0 74 6E 80 BB 20 02 00 00 00 75 09 80 BB 34 02 00 00 00 74 5C 6A 01 E8 ?? ?? ?? ?? 0F BF C0 F6 C4 80 74 0C 80 BB FE 01 00 00 02 0F 94 C0 EB 02 33 C0 84 C0 74 04 B0 01 EB 07 0F B6 83 34 02 00 00 84 C0 74 17 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 08 E8 ?? ?? ?? ?? EB 15 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 07 E8 ?? ?? ?? ?? 8D BB 38 02 00 00 A5 A5 A5 A5 8B C3 8B 10 FF 92 14 01 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83912_0 {
	meta:
		name = "TRibbonQATScrollButton.MouseMove"
		size = 72
		refs = "001e TCustomButtonControl.MouseMove 0032 PtInRect 003b TRibbonQATScrollButton.SetCursorInBtn"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 66 89 55 FE 8B D8 8B 7D 08 57 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 89 75 F4 89 7D F8 8D 55 F4 8D 83 24 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_83913_0 {
	meta:
		name = "TRibbonQATScrollButton.SetCursorInBtn"
		size = 23
	strings:
		$1 = { 3A 90 20 02 00 00 74 0E 88 90 20 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_83914_0 {
	meta:
		name = "TRibbonQATScrollButton.SetDrawDown"
		size = 23
	strings:
		$1 = { 3A 90 34 02 00 00 74 0E 88 90 34 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_83915_0 {
	meta:
		name = "TRibbonQATScrollButton.SetScrollMode"
		size = 23
	strings:
		$1 = { 3A 90 48 02 00 00 74 0E 88 90 48 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_83918_0 {
	meta:
		name = "TRibbonToolScrollButton.DrawBackground"
		size = 303
		refs = "000b _Dn_TActionToolBar 0010 @IsClass 0024 TCustomActionControl.GetActionBar 0038 TRibbonToolScrollButton.RibbonStyle 0045 TRibbonStyleActionBars.DrawElement 0087 GetAsyncKeyState"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 50 80 BB FB 01 00 00 00 74 13 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 74 1A 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 16 E8 ?? ?? ?? ?? E9 A2 00 00 00 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 17 E8 ?? ?? ?? ?? E9 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 60 80 BB FB 01 00 00 00 74 57 6A 01 E8 ?? ?? ?? ?? 0F BF C0 F6 C4 80 74 0C 80 BB FE 01 00 00 02 0F 94 C0 EB 02 33 C0 84 C0 74 1C 56 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 03 E8 ?? ?? ?? ?? EB 1A 56 68 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 02 E8 ?? ?? ?? ?? 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 19 E8 ?? ?? ?? ?? 0F B6 83 04 02 00 00 3C 02 75 18 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 18 E8 ?? ?? ?? ?? 5E 5B C3 3C 03 75 15 56 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 19 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83920_0 {
	meta:
		name = "TRibbonGripItem.CalcBounds"
		size = 24
		refs = "0006 TCustomActionControl.CalcBounds 0012 TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83922_0 {
	meta:
		name = "TRibbonGripItem.Paint"
		size = 195
		refs = "0013 TRibbonGripItem.RibbonStyle 0020 TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 83 C4 E0 8B D8 8B D4 8B C3 8B 08 FF 51 60 54 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 11 E8 ?? ?? ?? ?? 0F B6 83 F8 01 00 00 FE C8 74 09 FE C8 74 47 E9 86 00 00 00 8B 44 24 08 2B 04 24 D1 F8 79 03 83 D0 00 83 E8 07 89 04 24 83 C0 0E 89 44 24 08 83 44 24 04 03 8B 44 24 04 83 C0 04 89 44 24 0C 54 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 12 E8 ?? ?? ?? ?? EB 44 8D 54 24 10 8B C3 8B 08 FF 51 60 8B 44 24 18 83 E8 09 89 04 24 83 44 24 04 03 8B 04 24 83 C0 06 89 44 24 08 8B 44 24 04 83 C0 06 89 44 24 0C 54 8B C3 E8 ?? ?? ?? ?? 8B 8B B0 01 00 00 B2 13 E8 ?? ?? ?? ?? 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_83924_0 {
	meta:
		name = "TRibbonMenuSeparatorItem.CalcBounds"
		size = 24
		refs = "0006 TRibbonMenuItem.CalcBounds 0012 TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83925_0 {
	meta:
		name = "TRibbonMenuSeparatorItem.DrawSeparator"
		size = 347
		refs = "0016 _Dn_TBrushRecall 001b TBrushRecall.Create 002e _Dn_TPenRecall 0033 TPenRecall.Create 003e TRibbonMenuSeparatorItem.DrawSeparator 0055 TActionClientItem.Unused 0072 TBrush.SetStyle 007f TCustomActionBar.GetColorMap 0090 TBrush.SetColor 009a TControl.GetBoundsRect 00ad TCanvas.GetHandle 00b3 DrawEdge 00e8 TPen.SetColor 00ef TControl.GetClientHeight 011e TControl.GetClientWidth 0141 TObject.Free 014f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B D8 8B 83 B0 01 00 00 8B 48 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 83 B0 01 00 00 8B 48 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 BC 01 00 00 85 F6 74 26 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 80 BB F4 01 00 00 00 75 12 8B 83 B0 01 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? EB 58 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 48 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 6A 01 6A 04 8D 45 E8 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 04 6A 04 8D 45 E8 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 50 8B 83 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C8 D1 F9 79 03 83 D1 00 8B 83 B0 01 00 00 BA 01 00 00 00 8B 30 FF 56 64 8B C3 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 B0 01 00 00 59 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83926_0 {
	meta:
		name = "TRibbonMainMenuSeparator.CalcBounds"
		size = 57
		refs = "0007 TRibbonSeparator.CalcBounds 0016 _Dn_TRibbonStyleMainPopupMenu 001b @IsClass 0026 TControl.GetClientWidth 0032 TControl.SetWidth"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 73 38 85 F6 74 24 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B C6 E8 ?? ?? ?? ?? 8B D0 83 EA 02 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83927_0 {
	meta:
		name = "TRibbonApplicationButton.CalcBounds"
		size = 24
		refs = "0006 TCustomButtonControl.CalcBounds 0012 TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA 16 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83930_0 {
	meta:
		name = "TRibbonGalleryControl.SetContainedControl"
		size = 45
		refs = "000a _DV_TRibbonGallery 000f @IsClass 0020 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 F8 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_83931_0 {
	meta:
		name = "TRibbonSpinButton.Control"
		size = 19
		refs = "0008 _DV_TRibbonSpinEdit 000d @AsClass"
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83932_0 {
	meta:
		name = "TRibbonSpinButton.Create"
		size = 224
		refs = "000e @ClassCreate 001c TWinControl.Create 0021 TRibbonSpinButton.Create 0034 TStyleManager.GetActiveStyle 0051 TRibbonSpinButton.CreateButton 0062 TTimerSpeedButton.SetButtonStyle 0083 TRibbonSpinButton.SetUpGlyph 008c TRibbonSpinButton.SetDownGlyph 0098 TControl.SetWidth 00a4 TControl.SetHeight 00bd @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 43 58 0B 05 ?? ?? ?? ?? 89 43 58 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0D A1 ?? ?? ?? ?? F7 D0 23 43 58 89 43 58 8B C3 E8 ?? ?? ?? ?? 8B F0 89 B3 78 02 00 00 8B C6 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 89 B3 7C 02 00 00 8B C6 B2 01 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA 14 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 89 83 80 02 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 21 00 00 00 50 00 00 00 10 00 00 00 }
	condition:
		$1
}

rule function_83933_0 {
	meta:
		name = "TRibbonSpinButton.CreateButton"
		size = 108
		refs = "0009 _DV_TTimerSpeedButton 000e TTimerSpeedButton.Create 0020 TRibbonSpinButton.BtnClick 0030 TRibbonSpinButton.BtnMouseDown 0039 TControl.SetVisible 004c TRibbonSpinButton.CreateButton"
	strings:
		$1 = { 53 56 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 B3 1C 01 00 00 C7 83 18 01 00 00 ?? ?? ?? ?? 89 B3 CC 00 00 00 C7 83 C8 00 00 00 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 91 80 00 00 00 0F B6 05 ?? ?? ?? ?? 88 83 DC 01 00 00 8B D6 8B C3 8B 08 FF 91 84 00 00 00 8B C3 5E 5B C3 00 02 00 00 00 }
	condition:
		$1
}

rule function_84248_0 {
	meta:
		name = "TSpinButton.CreateButton"
		size = 108
		refs = "0009 _DV_TTimerSpeedButton 000e TSpeedButton.Create 0020 TSpinButton.BtnClick 0030 TSpinButton.BtnMouseDown 0039 TControl.SetVisible 004c TSpinButton.CreateButton"
	strings:
		$1 = { 53 56 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 B3 1C 01 00 00 C7 83 18 01 00 00 ?? ?? ?? ?? 89 B3 CC 00 00 00 C7 83 C8 00 00 00 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 91 80 00 00 00 0F B6 05 ?? ?? ?? ?? 88 83 DC 01 00 00 8B D6 8B C3 8B 08 FF 91 84 00 00 00 8B C3 5E 5B C3 00 02 00 00 00 }
	condition:
		$1
}

rule function_83934_0 {
	meta:
		name = "TRibbonSpinButton.Notification"
		size = 45
		refs = "0010 TWinControl.Notification"
		altNames = "TSpinButton.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 84 02 00 00 75 08 33 C0 89 87 84 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83935_0 {
	meta:
		name = "TRibbonSpinButton.AdjustSize"
		size = 104
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B AB 78 02 00 00 85 ED 74 4F F6 43 1C 01 75 49 83 3E 12 7D 06 C7 06 12 00 00 00 8B 06 50 8B 07 D1 F8 79 03 83 D0 00 50 33 C9 33 D2 8B C5 8B 28 FF 95 A4 00 00 00 8B 16 52 8B 17 8B 83 78 02 00 00 8B 40 54 2B D0 52 8B C8 33 D2 8B 83 7C 02 00 00 8B 18 FF 93 A4 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83936_0 {
	meta:
		name = "TRibbonSpinButton.SetBounds"
		size = 68
		refs = "0024 TRibbonSpinButton.AdjustSize 0037 TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 89 45 FC 8B 45 08 89 45 F8 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_84251_0 {
	meta:
		name = "TSpinButton.SetBounds"
		size = 68
		refs = "0024 TSpinButton.AdjustSize 0037 TWinControl.SetBounds"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 89 45 FC 8B 45 08 89 45 F8 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_83937_0 {
	meta:
		name = "TRibbonSpinButton.WMSize"
		size = 93
		refs = "000e TWinControl.WMSize 0028 TRibbonSpinButton.AdjustSize 004f TWinControl.SetBounds"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 50 89 04 24 8B 43 54 89 44 24 04 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 3B 43 50 75 09 8B 44 24 04 3B 43 54 74 16 8B 04 24 50 8B 44 24 08 50 8B 4B 4C 8B 53 48 8B C3 E8 ?? ?? ?? ?? 33 C0 89 46 0C 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_84252_0 {
	meta:
		name = "TSpinButton.WMSize"
		size = 93
		refs = "000e TWinControl.WMSize 0028 TSpinButton.AdjustSize 004f TWinControl.SetBounds"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 50 89 04 24 8B 43 54 89 44 24 04 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 3B 43 50 75 09 8B 44 24 04 3B 43 54 74 16 8B 04 24 50 8B 44 24 08 50 8B 4B 4C 8B 53 48 8B C3 E8 ?? ?? ?? ?? 33 C0 89 46 0C 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_83938_0 {
	meta:
		name = "TRibbonSpinButton.WMSetFocus"
		size = 48
		refs = "0013 TRibbonSpinButton.WMSetFocus"
	strings:
		$1 = { 53 56 8B D8 8B B3 80 02 00 00 0F B6 86 DC 01 00 00 0A 05 ?? ?? ?? ?? 88 86 DC 01 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_84253_0 {
	meta:
		name = "TSpinButton.WMSetFocus"
		size = 48
		refs = "0013 TSpinButton.WMSetFocus"
	strings:
		$1 = { 53 56 8B D8 8B B3 80 02 00 00 0F B6 86 DC 01 00 00 0A 05 ?? ?? ?? ?? 88 86 DC 01 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_83939_0 {
	meta:
		name = "TRibbonSpinButton.WMKillFocus"
		size = 48
		refs = "000d TRibbonSpinButton.WMKillFocus"
	strings:
		$1 = { 53 56 8B D8 8B B3 80 02 00 00 0F B6 05 ?? ?? ?? ?? F7 D0 22 86 DC 01 00 00 88 86 DC 01 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 01 00 00 00 }
	condition:
		$1
}

rule function_84254_0 {
	meta:
		name = "TSpinButton.WMKillFocus"
		size = 48
		refs = "000d TSpinButton.WMKillFocus"
	strings:
		$1 = { 53 56 8B D8 8B B3 80 02 00 00 0F B6 05 ?? ?? ?? ?? F7 D0 22 86 DC 01 00 00 88 86 DC 01 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 01 00 00 00 }
	condition:
		$1
}

rule function_83940_0 {
	meta:
		name = "TRibbonSpinButton.KeyDown"
		size = 103
		refs = "0023 TRibbonSpinButton.SetFocusBtn 0032 @CallDynaInst"
	strings:
		$1 = { 56 8B F0 0F B7 02 66 83 E8 20 74 4A 66 83 E8 06 74 08 66 83 E8 02 74 20 EB 4B 8B 96 78 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 78 02 00 00 66 BE EC FF E8 ?? ?? ?? ?? 5E C3 8B 96 7C 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 7C 02 00 00 66 BE EC FF E8 ?? ?? ?? ?? 5E C3 8B 86 80 02 00 00 66 BE EC FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_84255_0 {
	meta:
		name = "TSpinButton.KeyDown"
		size = 103
		refs = "0023 TSpinButton.SetFocusBtn 0032 @CallDynaInst"
	strings:
		$1 = { 56 8B F0 0F B7 02 66 83 E8 20 74 4A 66 83 E8 06 74 08 66 83 E8 02 74 20 EB 4B 8B 96 78 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 78 02 00 00 66 BE EC FF E8 ?? ?? ?? ?? 5E C3 8B 96 7C 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 7C 02 00 00 66 BE EC FF E8 ?? ?? ?? ?? 5E C3 8B 86 80 02 00 00 66 BE EC FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_83941_0 {
	meta:
		name = "TRibbonSpinButton.BtnMouseDown"
		size = 154
		refs = "0013 TRibbonSpinButton.SetFocusBtn 0031 @CallDynaInst 0040 TWinControl.GetHandle 0047 GetFocus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 84 C9 0F 85 83 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B BB 84 02 00 00 85 FF 74 3E 80 BF F0 01 00 00 00 74 35 8B C7 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 26 8B 83 84 02 00 00 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 74 10 8B 83 84 02 00 00 8B 10 FF 92 F4 00 00 00 EB 34 80 BB F0 01 00 00 00 74 2B 8B C3 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 74 19 8B C3 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 0A 8B C3 8B 10 FF 92 F4 00 00 00 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_84256_0 {
	meta:
		name = "TSpinButton.BtnMouseDown"
		size = 154
		refs = "0013 TSpinButton.SetFocusBtn 0031 @CallDynaInst 0040 TWinControl.GetHandle 0047 GetFocus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 84 C9 0F 85 83 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B BB 84 02 00 00 85 FF 74 3E 80 BF F0 01 00 00 00 74 35 8B C7 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 26 8B 83 84 02 00 00 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 74 10 8B 83 84 02 00 00 8B 10 FF 92 F4 00 00 00 EB 34 80 BB F0 01 00 00 00 74 2B 8B C3 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 74 19 8B C3 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 0A 8B C3 8B 10 FF 92 F4 00 00 00 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_83942_0 {
	meta:
		name = "TRibbonSpinButton.BtnClick"
		size = 65
		altNames = "TSpinButton.BtnClick"
	strings:
		$1 = { 53 3B 90 78 02 00 00 75 1C 66 83 B8 8A 02 00 00 00 74 2C 8B D8 8B D0 8B 83 8C 02 00 00 FF 93 88 02 00 00 5B C3 66 83 B8 92 02 00 00 00 74 10 8B D8 8B D0 8B 83 94 02 00 00 FF 93 90 02 00 00 5B C3 }
	condition:
		$1
}

rule function_83943_0 {
	meta:
		name = "TRibbonSpinButton.SetFocusBtn"
		size = 136
		refs = "0017 @CallDynaInst 0030 TRibbonSpinButton.SetFocusBtn 004b TWinControl.GetHandle 0052 GetFocus"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 80 BF F0 01 00 00 00 74 6D 8B C7 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 5E 3B 9F 80 02 00 00 74 56 8B B7 80 02 00 00 0F B6 05 ?? ?? ?? ?? F7 D0 22 86 DC 01 00 00 88 86 DC 01 00 00 89 9F 80 02 00 00 8B C7 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 75 23 8B 9F 80 02 00 00 0F B6 83 DC 01 00 00 0A 05 ?? ?? ?? ?? 88 83 DC 01 00 00 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_84258_0 {
	meta:
		name = "TSpinButton.SetFocusBtn"
		size = 136
		refs = "0017 @CallDynaInst 0030 TSpinButton.SetFocusBtn 004b TWinControl.GetHandle 0052 GetFocus"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 80 BF F0 01 00 00 00 74 6D 8B C7 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 5E 3B 9F 80 02 00 00 74 56 8B B7 80 02 00 00 0F B6 05 ?? ?? ?? ?? F7 D0 22 86 DC 01 00 00 88 86 DC 01 00 00 89 9F 80 02 00 00 8B C7 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 75 23 8B 9F 80 02 00 00 0F B6 83 DC 01 00 00 0A 05 ?? ?? ?? ?? 88 83 DC 01 00 00 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_83945_0 {
	meta:
		name = "TRibbonSpinButton.Loaded"
		size = 82
		refs = "0009 TControl.Loaded 0023 TRibbonSpinButton.AdjustSize 004a TWinControl.SetBounds"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 50 89 04 24 8B 43 54 89 44 24 04 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 3B 43 50 75 09 8B 44 24 04 3B 43 54 74 16 8B 04 24 50 8B 44 24 08 50 8B 4B 4C 8B 53 48 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_84260_0 {
	meta:
		name = "TSpinButton.Loaded"
		size = 82
		refs = "0009 TControl.Loaded 0023 TSpinButton.AdjustSize 004a TWinControl.SetBounds"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 50 89 04 24 8B 43 54 89 44 24 04 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 3B 43 50 75 09 8B 44 24 04 3B 43 54 74 16 8B 04 24 50 8B 44 24 08 50 8B 4B 4C 8B 53 48 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_83946_0 {
	meta:
		name = "TRibbonSpinButton.GetUpGlyph"
		size = 12
		refs = "0007 TSpeedButton.GetGlyph"
		altNames = "TSpinButton.GetUpGlyph"
	strings:
		$1 = { 8B 80 78 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83948_0 {
	meta:
		name = "TRibbonSpinButton.GetUpNumGlyphs"
		size = 12
		refs = "0007 TSpeedButton.GetNumGlyphs"
	strings:
		$1 = { 8B 80 78 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83949_0 {
	meta:
		name = "TRibbonSpinButton.SetUpNumGlyphs"
		size = 12
		refs = "0007 TSpeedButton.SetNumGlyphs"
	strings:
		$1 = { 8B 80 78 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84263_0 {
	meta:
		name = "TSpinButton.GetUpNumGlyphs"
		size = 12
		refs = "0007 TSpeedButton.GetNumGlyphs"
	strings:
		$1 = { 8B 80 78 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84264_0 {
	meta:
		name = "TSpinButton.SetUpNumGlyphs"
		size = 12
		refs = "0007 TSpeedButton.SetNumGlyphs"
	strings:
		$1 = { 8B 80 78 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83947_0 {
	meta:
		name = "TRibbonSpinButton.SetUpGlyph"
		size = 100
		refs = "000e TSpeedButton.SetGlyph 0015 TRibbonSpinButton.SetUpGlyph 001a HInstance 0020 LoadBitmap 002c TSpeedButton.GetGlyph 0032 TBitmap.SetHandle 003f TSpeedButton.SetNumGlyphs"
	strings:
		$1 = { 53 8B D8 85 D2 74 0D 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 5B C3 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? B2 01 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 10 FF 92 9C 00 00 00 5B C3 00 53 00 70 00 69 00 6E 00 55 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_84262_0 {
	meta:
		name = "TSpinButton.SetUpGlyph"
		size = 100
		refs = "000e TSpeedButton.SetGlyph 0015 TSpinButton.SetUpGlyph 001a HInstance 0020 LoadBitmap 002c TSpeedButton.GetGlyph 0032 TBitmap.SetHandle 003f TSpeedButton.SetNumGlyphs"
	strings:
		$1 = { 53 8B D8 85 D2 74 0D 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 5B C3 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? B2 01 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 10 FF 92 9C 00 00 00 5B C3 00 53 00 70 00 69 00 6E 00 55 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_83950_0 {
	meta:
		name = "TRibbonSpinButton.GetDownGlyph"
		size = 12
		refs = "0007 TSpeedButton.GetGlyph"
		altNames = "TSpinButton.GetDownGlyph"
	strings:
		$1 = { 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83952_0 {
	meta:
		name = "TRibbonSpinButton.GetDownNumGlyphs"
		size = 12
		refs = "0007 TSpeedButton.GetNumGlyphs"
	strings:
		$1 = { 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83953_0 {
	meta:
		name = "TRibbonSpinButton.SetDownNumGlyphs"
		size = 12
		refs = "0007 TSpeedButton.SetNumGlyphs"
	strings:
		$1 = { 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84267_0 {
	meta:
		name = "TSpinButton.GetDownNumGlyphs"
		size = 12
		refs = "0007 TSpeedButton.GetNumGlyphs"
	strings:
		$1 = { 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84268_0 {
	meta:
		name = "TSpinButton.SetDownNumGlyphs"
		size = 12
		refs = "0007 TSpeedButton.SetNumGlyphs"
	strings:
		$1 = { 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_83951_0 {
	meta:
		name = "TRibbonSpinButton.SetDownGlyph"
		size = 104
		refs = "000e TSpeedButton.SetGlyph 0015 TRibbonSpinButton.SetDownGlyph 001a HInstance 0020 LoadBitmap 002c TSpeedButton.GetGlyph 0032 TBitmap.SetHandle 003f TSpeedButton.SetNumGlyphs"
	strings:
		$1 = { 53 8B D8 85 D2 74 0D 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? 5B C3 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? B2 01 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B 83 7C 02 00 00 8B 10 FF 92 9C 00 00 00 5B C3 00 53 00 70 00 69 00 6E 00 44 00 6F 00 77 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_84266_0 {
	meta:
		name = "TSpinButton.SetDownGlyph"
		size = 104
		refs = "000e TSpeedButton.SetGlyph 0015 TSpinButton.SetDownGlyph 001a HInstance 0020 LoadBitmap 002c TSpeedButton.GetGlyph 0032 TBitmap.SetHandle 003f TSpeedButton.SetNumGlyphs"
	strings:
		$1 = { 53 8B D8 85 D2 74 0D 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? 5B C3 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 8B 83 7C 02 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? B2 01 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B 83 7C 02 00 00 8B 10 FF 92 9C 00 00 00 5B C3 00 53 00 70 00 69 00 6E 00 44 00 6F 00 77 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_83954_0 {
	meta:
		name = "TRibbonSpinEdit.Create"
		size = 268
		refs = "000e @ClassCreate 001c TCustomEdit.Create 0025 _DV_TRibbonSpinButton 002a TRibbonSpinButton.Create 003e TControl.SetWidth 004e TControl.SetHeight 005b TControl.SetVisible 00a4 TRibbonSpinEdit.Create 00ab TControl.SetText 00e2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B4 02 00 00 8B C6 BA 12 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 BA 11 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 B2 01 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 8B D3 8B 08 FF 91 84 00 00 00 8B 83 B4 02 00 00 89 98 84 02 00 00 89 98 8C 02 00 00 8B 13 8B 92 24 01 00 00 89 90 88 02 00 00 89 98 94 02 00 00 8B 13 8B 92 1C 01 00 00 89 90 90 02 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 43 58 89 43 58 C7 83 B0 02 00 00 01 00 00 00 C6 83 B8 02 00 00 01 33 D2 8B C3 8B 08 FF 91 E4 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_83955_0 {
	meta:
		name = "TRibbonSpinEdit.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 001a TWinControl.Destroy 0025 @ClassDestroy"
		altNames = "TSpinEdit.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 86 B4 02 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83957_0 {
	meta:
		name = "TRibbonSpinEdit.KeyDown"
		size = 66
		refs = "003a TCustomEdit.KeyDown"
	strings:
		$1 = { 53 56 51 66 89 0C 24 8B F2 8B D8 66 83 3E 26 75 0E 8B D3 8B C3 8B 08 FF 91 24 01 00 00 EB 12 66 83 3E 28 75 0C 8B D3 8B C3 8B 08 FF 91 1C 01 00 00 8B D6 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_83958_0 {
	meta:
		name = "TRibbonSpinEdit.KeyPress"
		size = 111
		refs = "0027 MessageBeep 0036 TCustomEdit.KeyPress 0043 GetParentForm 0049 _Dn_TRibbonGroupDockForm 004e @IsClass 0057 Application 0061 TWinControl.GetHandle 0067 SetFocus"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 66 83 3F 0D 0F 94 C3 0F B7 17 8B C6 8B 08 FF 91 20 01 00 00 84 C0 75 0C 66 C7 07 00 00 6A 00 E8 ?? ?? ?? ?? 66 83 3F 00 74 09 8B D7 8B C6 E8 ?? ?? ?? ?? 84 DB 74 2D B2 01 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 A1 ?? ?? ?? ?? 8B 00 8B 40 48 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83959_0 {
	meta:
		name = "TRibbonSpinEdit.IsValidChar"
		size = 164
		refs = "000c TRibbonSpinEdit.IsValidChar 001d DecimalSeparator"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B DA 8B F0 56 BE ?? ?? ?? ?? 8D 7C 24 04 B9 08 00 00 00 F3 A5 5E A1 ?? ?? ?? ?? 0F B6 00 0F B6 C0 0F AB 04 24 8B C4 8B D3 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 84 C0 74 04 B0 01 EB 12 66 83 FB 20 73 06 66 83 FB 0D 75 04 33 C0 EB 02 B0 01 0F B6 96 B8 02 00 00 80 F2 01 84 C2 74 14 66 83 FB 20 73 0C 66 83 FB 08 74 06 66 83 FB 2E 75 02 33 C0 83 C4 20 5F 5E 5B C3 00 00 00 00 00 00 00 28 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_83962_0 {
	meta:
		name = "TRibbonSpinEdit.SetEditRect"
		size = 126
		refs = "0013 TWinControl.GetHandle 0019 SendMessage 0020 TControl.GetClientHeight 002c TControl.GetClientWidth"
		altNames = "TSpinEdit.SetEditRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C4 50 6A 00 68 B2 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 40 89 44 24 0C 8B C3 E8 ?? ?? ?? ?? 8B 93 B4 02 00 00 2B 42 50 83 E8 02 89 44 24 08 33 C0 89 44 24 04 33 C0 89 04 24 8B C4 50 6A 00 68 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C4 50 6A 00 68 B2 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_83963_0 {
	meta:
		name = "TRibbonSpinEdit.SetEnabled"
		size = 70
		refs = "000b TControl.SetEnabled"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 86 B4 02 00 00 8B 80 78 02 00 00 85 C0 74 0A 8B D3 8B 08 FF 91 80 00 00 00 8B 86 B4 02 00 00 8B 80 7C 02 00 00 85 C0 74 0A 8B D3 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_83965_0 {
	meta:
		name = "TRibbonSpinEdit.WMSize"
		size = 157
		refs = "0008 TWinControl.WMSize 000f TRibbonSpinEdit.GetMinHeight 001d TControl.SetHeight 002d NewStyleControls 0095 TRibbonSpinEdit.SetEditRect"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B 46 54 7E 0B 8B D0 8B C6 E8 ?? ?? ?? ?? EB 76 83 BE B4 02 00 00 00 74 6D A1 ?? ?? ?? ?? 80 38 00 74 35 80 BE F1 01 00 00 00 74 2C 8B 96 B4 02 00 00 8B 7A 50 57 8B 56 54 83 EA 02 52 8B 56 50 2B D7 83 EA 03 83 C9 FF 8B 86 B4 02 00 00 8B 18 FF 93 A4 00 00 00 EB 27 8B 96 B4 02 00 00 8B 7A 50 57 8B 56 54 4A 52 8B 56 50 2B D7 B9 01 00 00 00 8B 86 B4 02 00 00 8B 18 FF 93 A4 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83966_0 {
	meta:
		name = "TRibbonSpinEdit.GetMinHeight"
		size = 168
		refs = "000d GetDC 0018 TRibbonSpinEdit.GetMinHeight 002b GetTextMetrics 0033 TFont.GetHandle 003d SelectObject 006e ReleaseDC 0074 @HandleFinally 0089 GetSystemMetrics"
	strings:
		$1 = { 55 8B EC 83 C4 84 53 56 8B D8 6A 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C0 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 43 6C E8 ?? ?? ?? ?? 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 8D 45 84 50 8B 45 FC 50 E8 ?? ?? ?? ?? 53 8B 45 FC 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 5D C0 8B 75 84 3B DE 7E 02 8B DE 6A 06 E8 ?? ?? ?? ?? 03 C0 03 C0 85 DB 79 03 83 C3 03 C1 FB 02 03 DE 03 C3 83 C0 02 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_83967_0 {
	meta:
		name = "TRibbonSpinEdit.UpClick"
		size = 47
		refs = "0006 TCustomEdit.GetReadOnly 0011 MessageBeep 001a TRibbonSpinEdit.GetValue 0029 TRibbonSpinEdit.SetValue"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 6A 00 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 8B D0 03 93 B0 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84280_0 {
	meta:
		name = "TSpinEdit.UpClick"
		size = 47
		refs = "0006 TCustomEdit.GetReadOnly 0011 MessageBeep 001a TSpinEdit.GetValue 0029 TSpinEdit.SetValue"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 6A 00 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 8B D0 03 93 B0 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83968_0 {
	meta:
		name = "TRibbonSpinEdit.DownClick"
		size = 47
		refs = "0006 TCustomEdit.GetReadOnly 0011 MessageBeep 001a TRibbonSpinEdit.GetValue 0029 TRibbonSpinEdit.SetValue"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 6A 00 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 8B D0 2B 93 B0 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84281_0 {
	meta:
		name = "TSpinEdit.DownClick"
		size = 47
		refs = "0006 TCustomEdit.GetReadOnly 0011 MessageBeep 001a TSpinEdit.GetValue 0029 TSpinEdit.SetValue"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 6A 00 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 8B D0 2B 93 B0 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_83969_0 {
	meta:
		name = "TRibbonSpinEdit.WMCut"
		size = 38
		refs = "0012 TCustomEdit.GetReadOnly"
		altNames = "TRibbonSpinEdit.WMPaste TSpinEdit.WMCut TSpinEdit.WMPaste"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB B8 02 00 00 00 74 14 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_83971_0 {
	meta:
		name = "TRibbonSpinEdit.WMKillFocus"
		size = 26
		refs = "0006 TWinControl.WMKillFocus"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 B4 02 00 00 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_83973_0 {
	meta:
		name = "TRibbonSpinEdit.CMMouseenter"
		size = 26
		refs = "0006 TControl.CMMouseEnter"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 B4 02 00 00 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_83974_0 {
	meta:
		name = "TRibbonSpinEdit.CMMouseleave"
		size = 26
		refs = "0006 TControl.CMMouseLeave"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 B4 02 00 00 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_83972_0 {
	meta:
		name = "TRibbonSpinEdit.CMExit"
		size = 59
		refs = "0007 TCustomEdit.CMExit 000e TRibbonSpinEdit.GetValue 0017 TRibbonSpinEdit.CheckValue 0034 TRibbonSpinEdit.SetValue"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84284_0 {
	meta:
		name = "TSpinEdit.CMExit"
		size = 59
		refs = "0007 TCustomEdit.CMExit 000e TSpinEdit.GetValue 0017 TSpinEdit.CheckValue 0034 TSpinEdit.SetValue"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83975_0 {
	meta:
		name = "TRibbonSpinEdit.GetValue"
		size = 133
		refs = "0015 TRibbonSpinEdit.GetValue 0034 TControl.GetText 003c StrToInt 004d @HandleAnyException 005b @DoneExcept 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 13 E9 ?? ?? ?? ?? 8B 45 FC 8B 98 A8 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84285_0 {
	meta:
		name = "TSpinEdit.GetValue"
		size = 133
		refs = "0015 TSpinEdit.GetValue 0034 TControl.GetText 003c StrToInt 004d @HandleAnyException 005b @DoneExcept 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 13 E9 ?? ?? ?? ?? 8B 45 FC 8B 98 A8 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_83976_0 {
	meta:
		name = "TRibbonSpinEdit.SetValue"
		size = 86
		refs = "000f TRibbonSpinEdit.SetValue 001e TRibbonSpinEdit.CheckValue 0026 IntToStr 0030 TControl.SetText 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84286_0 {
	meta:
		name = "TSpinEdit.SetValue"
		size = 86
		refs = "000f TSpinEdit.SetValue 001e TSpinEdit.CheckValue 0026 IntToStr 0030 TControl.SetText 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83977_0 {
	meta:
		name = "TRibbonSpinEdit.CheckValue"
		size = 39
		altNames = "TSpinEdit.CheckValue"
	strings:
		$1 = { 56 57 8B CA 8B B0 A8 02 00 00 8B B8 AC 02 00 00 3B F7 74 0E 3B F2 7E 04 8B CE EB 06 3B FA 7D 02 8B CF 8B C1 5F 5E C3 }
	condition:
		$1
}

rule function_83978_0 {
	meta:
		name = "TRibbonSpinEdit.CMEnter"
		size = 40
		refs = "0018 TCustomEdit.SelectAll 0021 TCustomEdit.CMEnter"
		altNames = "TSpinEdit.CMEnter"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 86 02 00 00 00 74 0D F6 43 5C 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83981_0 {
	meta:
		name = "TTimerSpeedButton.Create"
		size = 78
		refs = "000b @ClassCreate 001c TSpeedButton.Create 0024 _DV_TRibbonSpinButton 0029 @AsClass 003a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 E0 01 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83982_0 {
	meta:
		name = "TTimerSpeedButton.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 0016 TObject.Free 0021 TSpeedButton.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 D8 01 00 00 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_83983_0 {
	meta:
		name = "TTimerSpeedButton.MouseDown"
		size = 120
		refs = "001a TSpeedButton.MouseDown 0035 _Dn_TTimer 003a TTimer.Create 0046 TTimerSpeedButton.TimerExpired 0051 TTimer.SetOnTimer 0061 TTimer.SetInterval 006e TTimer.SetEnabled"
	strings:
		$1 = { 55 8B EC 51 53 66 89 4D FE 8B D8 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? F6 83 DC 01 00 00 02 74 4B 83 BB D8 01 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D8 01 00 00 53 68 ?? ?? ?? ?? 8B 83 D8 01 00 00 E8 ?? ?? ?? ?? BA 90 01 00 00 8B 83 D8 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 D8 01 00 00 E8 ?? ?? ?? ?? 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_83984_0 {
	meta:
		name = "TTimerSpeedButton.MouseUp"
		size = 53
		refs = "001a TSpeedButton.MouseUp 002b TTimer.SetEnabled"
	strings:
		$1 = { 55 8B EC 51 53 66 89 4D FE 8B D8 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? 8B 83 D8 01 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_83985_0 {
	meta:
		name = "TTimerSpeedButton.TimerExpired"
		size = 126
		refs = "0019 TTimer.SetInterval 002d TControl.GetMouseCapture 0039 TTimerSpeedButton.TimerExpired 004b @CallDynaInst 005a @HandleAnyException 006a TTimer.SetEnabled 006f @RaiseAgain 0074 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 80 D8 01 00 00 BA 64 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 D2 01 00 00 02 75 4F 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 43 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BE EC FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 FC 8B 80 D8 01 00 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_83986_0 {
	meta:
		name = "TTimerSpeedButton.Paint"
		size = 436
		refs = "000f TRibbonSpinButton.Control 001a TCustomRibbonPage.RibbonStyle 003b GetAsyncKeyState 0074 TRibbonStyleActionBars.DrawElement 00a9 @CallDynaInst 016c Bounds 017d InflateRect 0197 OffsetRect 01a3 TCanvas.GetHandle 01a9 DrawFocusRect"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B D8 8B 83 E0 01 00 00 E8 ?? ?? ?? ?? 8B 40 38 8B 40 38 E8 ?? ?? ?? ?? 8B F8 8B C3 8B 10 FF 52 68 84 C0 0F 84 DA 00 00 00 80 BB DE 01 00 00 00 74 66 6A 01 E8 ?? ?? ?? ?? 0F BF C0 F6 C4 80 74 0C 80 BB D2 01 00 00 02 0F 94 C0 EB 02 33 C0 84 C0 75 24 8D 54 24 10 8B C3 8B 08 FF 51 60 8D 44 24 10 50 8B 8B B0 01 00 00 B2 02 8B C7 E8 ?? ?? ?? ?? E9 8C 00 00 00 8D 54 24 10 8B C3 8B 08 FF 51 60 8D 44 24 10 50 8B 8B B0 01 00 00 B2 04 8B C7 E8 ?? ?? ?? ?? EB 6B 8B 43 38 8B 40 38 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 0F 8B 43 38 8B 40 38 80 B8 50 02 00 00 00 74 49 80 BB DD 01 00 00 00 75 21 8D 54 24 10 8B C3 8B 08 FF 51 60 8D 44 24 10 50 8B 8B B0 01 00 00 B2 05 8B C7 E8 ?? ?? ?? ?? EB 1F 8D 54 24 10 8B C3 8B 08 FF 51 60 8D 44 24 10 50 8B 8B B0 01 00 00 B2 06 8B C7 E8 ?? ?? ?? ?? 80 BB DD 01 00 00 00 75 21 8D 54 24 10 8B C3 8B 08 FF 51 60 8D 44 24 10 50 8B 8B B0 01 00 00 B2 07 8B C7 E8 ?? ?? ?? ?? EB 1F 8D 54 24 10 8B C3 8B 08 FF 51 60 8D 44 24 10 50 8B 8B B0 01 00 00 B2 08 8B C7 E8 ?? ?? ?? ?? F6 83 DC 01 00 00 01 74 52 8B 43 54 50 8D 44 24 04 50 8B 4B 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8B C4 B9 FD FF FF FF BA FD FF FF FF E8 ?? ?? ?? ?? 80 BB D2 01 00 00 02 75 11 8B C4 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 54 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83987_0 {
	meta:
		name = "TTimerSpeedButton.SetButtonStyle"
		size = 23
	strings:
		$1 = { 3A 90 DD 01 00 00 74 0E 88 90 DD 01 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_83988_0 {
	meta:
		name = "TTimerSpeedButton.SetMouseInControl"
		size = 23
	strings:
		$1 = { 3A 90 DE 01 00 00 74 0E 88 90 DE 01 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_83989_0 {
	meta:
		name = "TFadeItem.Create"
		size = 165
		refs = "000f @ClassCreate 0022 TObject.Create 0040 _Dn_TTimer 0045 TTimer.Create 005a TTimer.SetInterval 006e TFadeItem.TimerHandler 0076 TTimer.SetOnTimer 0080 TTimer.SetEnabled 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B F0 8B 5D 08 33 D2 8B C6 E8 ?? ?? ?? ?? 89 7E 14 8B 45 0C 89 46 04 33 C0 89 46 08 88 5E 0C C6 46 18 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7E 10 84 DB 75 0E 8B C7 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 0C 8B C7 BA 1E 00 00 00 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 46 10 B2 01 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_83991_0 {
	meta:
		name = "TFadeItem.NotFinished"
		size = 35
	strings:
		$1 = { 0F B6 50 0C 84 D2 75 0A 8B 50 08 3B 50 1C 0F 9C C0 C3 80 FA 01 75 09 83 78 08 00 0F 9F C0 EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_83992_0 {
	meta:
		name = "TFadeItem.TimerHandler"
		size = 173
		refs = "0010 TTimer.SetEnabled 0018 TFadeItem.TimerHandler 0059 TControl.Perform 006e TFadeItem.NotFinished 0081 @HandleFinally 00a6 TFadeManager.RemoveControl"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 10 33 D2 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 0F B6 40 0C 84 C0 75 08 8B 45 FC FF 40 08 EB 0A 3C 01 75 06 8B 45 FC FF 48 08 8B 45 FC 8B 40 08 50 8B 45 FC 0F B6 48 0C 8B 45 FC 8B 40 04 BA 64 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 FC 8B 40 10 80 78 48 00 75 17 8B 45 FC 80 78 18 00 74 0E 8B 45 FC 8B 40 14 8B 55 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_83993_0 {
	meta:
		name = "TFadeItem.Toggle"
		size = 141
		refs = "0010 TTimer.SetEnabled 0018 TFadeItem.Toggle 0039 TTimer.SetInterval 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 10 33 D2 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 0F B6 40 0C 84 C0 75 19 8B 45 FC 8B 40 10 BA 1E 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 40 0C 01 EB 1B 3C 01 75 17 8B 45 FC C6 40 0C 00 8B 45 FC 8B 40 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 40 18 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 10 B2 01 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 5D C3 }
	condition:
		$1
}

rule function_83994_0 {
	meta:
		name = "TFadeManager.AddControl"
		size = 44
		refs = "0011 _DV_TFadeItem 0016 TFadeItem.Create 0023 TFadeControls.Add"
	strings:
		$1 = { 53 56 57 51 8B D9 8B F2 8B F8 56 53 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 8B D4 8B 47 04 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_83995_0 {
	meta:
		name = "TFadeManager.Create"
		size = 79
		refs = "000b @ClassCreate 0018 TObject.Create 001f _DV_TFadeControls 0024 TFadeControls.Create 003b @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 04 C7 46 0C 0F 00 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84000_0 {
	meta:
		name = "TFadeManager.RemoveControl"
		size = 42
		refs = "000a TFadeControls.Get 0017 TFadeItem.Toggle 0023 TFadeControls.Remove"
	strings:
		$1 = { 53 56 8B D9 8B F0 8B 46 04 E8 ?? ?? ?? ?? 85 C0 74 15 84 DB 74 07 E8 ?? ?? ?? ?? EB 0A 8B D0 8B 46 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84001_0 {
	meta:
		name = "TFadeControls.Add"
		size = 169
		refs = "001c TFadeControls.Add 0055 TList.Get 0066 TObject.Free 006b @TryFinallyExit 007e TList.Add 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 89 45 FC 8B 45 FC 8B 40 08 8B 10 FF 12 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 40 0C 8B 16 89 42 1C 8B 45 FC 8B 40 04 8B 58 08 4B 85 DB 7C 36 43 33 FF 8B 45 FC 8B 40 04 89 45 F8 89 7D F4 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 04 8B 16 3B 42 04 75 0E 8B 06 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 31 47 4B 75 CD 8B 45 FC 8B 40 04 8B 16 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84004_0 {
	meta:
		name = "TFadeControls.Get"
		size = 147
		refs = "001d TFadeControls.Get 0047 TList.Get 005a @TryFinallyExit 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8B 45 FC 8B 40 08 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 04 8B 58 08 4B 85 DB 7C 2F 43 33 F6 8B 45 FC 8B 78 04 89 75 F0 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 40 04 3B 45 F8 75 07 E8 ?? ?? ?? ?? EB 29 46 4B 75 D4 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84005_0 {
	meta:
		name = "TFadeControls.Remove"
		size = 85
		refs = "0018 TFadeControls.Remove 002d TList.RemoveItem 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 08 8B 10 FF 12 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 40 04 8B D3 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_84006_0 {
	meta:
		name = "TRibbonCheckBoxControl.CalcBounds"
		size = 131
		refs = "000b TRibbonSmallButtonControl.CalcBounds 0018 TControl.SetWidth 006a Rect"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 50 83 C2 15 8B C3 E8 ?? ?? ?? ?? 8B 83 C4 01 00 00 83 C0 15 89 04 24 8B 83 C8 01 00 00 89 44 24 04 8B 04 24 89 83 C4 01 00 00 8B 44 24 04 89 83 C8 01 00 00 8B 83 F0 01 00 00 50 8D 44 24 0C 50 8B 8B EC 01 00 00 83 C1 15 8B 83 E4 01 00 00 83 C0 15 8B 93 E8 01 00 00 E8 ?? ?? ?? ?? 8D 74 24 08 8D BB E4 01 00 00 A5 A5 A5 A5 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84007_0 {
	meta:
		name = "GetCheckBoxElement"
		size = 62
		altNames = "GetRadioButtonElement"
	strings:
		$1 = { 55 8B EC 84 4D 08 74 08 84 C0 74 04 B0 03 EB 2A 84 C8 74 0C 84 D2 74 04 B0 05 EB 1E B0 02 EB 1A 84 C0 74 0C 84 D2 74 04 B0 04 EB 0E 33 C0 EB 0A 84 D2 74 04 B0 06 EB 02 B0 01 5D C2 04 00 }
	condition:
		$1
}

rule function_84008_0 {
	meta:
		name = "TRibbonCheckBoxControl.DrawBackground"
		size = 218
		refs = "0048 TRibbonBaseButtonControl.RibbonStyle 0069 GetAsyncKeyState 0078 TCustomActionControl.GetActionBar 00c0 GetCheckBoxElement 00cf TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B F0 56 8B F2 8D 7C 24 08 A5 A5 A5 A5 5E 83 44 24 04 03 8B 44 24 04 83 C0 0D 89 44 24 0C 8B 54 24 10 8B 44 24 08 2B D0 D1 FA 79 03 83 D2 00 03 D0 83 EA 06 89 54 24 08 83 C2 0D 89 54 24 10 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C6 8B 10 FF 52 68 88 44 24 01 8B C6 8B 10 FF 92 EC 00 00 00 88 04 24 6A 01 E8 ?? ?? ?? ?? 0F BF C0 F6 C4 80 74 16 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 8B D8 80 F3 01 EB 02 33 DB 8D 44 24 04 50 53 80 BE FB 01 00 00 00 74 13 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 74 04 33 C9 EB 02 B1 01 0F B6 54 24 08 0F B6 44 24 09 E8 ?? ?? ?? ?? 8B D0 8B 8E B0 01 00 00 8B C7 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84009_0 {
	meta:
		name = "TRibbonCheckBoxControl.DrawGlyph"
		size = 142
		refs = "000b TCustomActionControl.HasGlyph 0075 TCustomImageList.Draw 0085 TBrush.SetStyle"
		altNames = "TRibbonRadioButtonControl.DrawGlyph"
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 76 8B 83 BC 01 00 00 8B 40 5C 50 8D 4C 24 04 33 D2 8B C3 8B 30 FF 96 E8 00 00 00 8B F0 85 F6 74 56 8B C3 8B 10 FF 52 68 0A 04 24 74 0C 8B 83 BC 01 00 00 83 78 5C FF 75 0A F6 43 1C 10 75 04 33 C0 EB 02 B0 01 8B 57 04 52 8B 93 BC 01 00 00 8B 52 5C 52 6A 03 6A 00 50 8B 0F 8B 93 B0 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84010_0 {
	meta:
		name = "TRibbonRadioButtonControl.CalcBounds"
		size = 131
		refs = "000b TRibbonSmallButtonControl.CalcBounds 0018 TControl.SetWidth 006a Rect"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 53 50 83 C2 14 8B C3 E8 ?? ?? ?? ?? 8B 83 C4 01 00 00 83 C0 14 89 04 24 8B 83 C8 01 00 00 89 44 24 04 8B 04 24 89 83 C4 01 00 00 8B 44 24 04 89 83 C8 01 00 00 8B 83 F0 01 00 00 50 8D 44 24 0C 50 8B 8B EC 01 00 00 83 C1 14 8B 83 E4 01 00 00 83 C0 14 8B 93 E8 01 00 00 E8 ?? ?? ?? ?? 8D 74 24 08 8D BB E4 01 00 00 A5 A5 A5 A5 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84012_0 {
	meta:
		name = "TRibbonRadioButtonControl.DrawBackground"
		size = 236
		refs = "0048 TRibbonBaseButtonControl.RibbonStyle 0069 GetAsyncKeyState 008a TCustomActionControl.GetActionBar 00d2 GetRadioButtonElement 00e1 TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B F0 56 8B F2 8D 7C 24 08 A5 A5 A5 A5 5E 83 44 24 04 03 8B 44 24 04 83 C0 0D 89 44 24 0C 8B 54 24 10 8B 44 24 08 2B D0 D1 FA 79 03 83 D2 00 03 D0 83 EA 06 89 54 24 08 83 C2 0D 89 54 24 10 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C6 8B 10 FF 52 68 88 44 24 01 8B C6 8B 10 FF 92 EC 00 00 00 88 04 24 6A 01 E8 ?? ?? ?? ?? 0F BF C0 F6 C4 80 74 0C 80 BE FE 01 00 00 02 0F 94 C0 EB 02 33 C0 84 C0 74 16 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 8B D8 80 F3 01 EB 02 33 DB 8D 44 24 04 50 53 80 BE FB 01 00 00 00 74 13 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 74 04 33 C9 EB 02 B1 01 0F B6 54 24 08 0F B6 44 24 09 E8 ?? ?? ?? ?? 8B D0 8B 8E B0 01 00 00 8B C7 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84016_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.AlignControls"
		size = 549
		refs = "002f TCustomActionBar.HasItems 003a TCustomActionBar.GetItems 0060 TActionClients.GetActionClient 008c TControl.SetHeight 0093 TRibbonApplicationPopupMenu.CreateWindowRegion 009f TCustomActionBar.AlignControls"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 0C 24 8B F2 8B D8 8B C3 8B 10 FF 92 2C 01 00 00 84 C0 74 7B 85 F6 75 77 8B C3 8B 10 FF 92 E8 01 00 00 8B E8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 60 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 3C 47 C7 44 24 04 00 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 54 24 04 E8 ?? ?? ?? ?? 83 78 44 00 74 16 8B C3 E8 ?? ?? ?? ?? 8B 54 24 04 E8 ?? ?? ?? ?? 8B 40 44 03 68 54 FF 44 24 04 4F 75 CD 8B D5 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 0C 24 8B D6 8B C3 E8 ?? ?? ?? ?? 8B B3 B0 03 00 00 85 F6 74 3C 8B 43 50 8B BB E0 02 00 00 2B C7 8B AB C8 02 00 00 8B D5 03 D2 2B C2 50 8B C3 8B 10 FF 92 E8 01 00 00 8B 53 54 2B D0 52 8B D5 03 D7 8B 8B C4 02 00 00 8B C6 8B 30 FF 96 A4 00 00 00 8B 83 BC 03 00 00 85 C0 0F 84 B2 00 00 00 8B 93 B0 03 00 00 8B 52 4C 83 C2 19 89 54 24 0C 8B 40 08 8B 78 08 4F 85 FF 0F 8C 93 00 00 00 47 C7 44 24 04 00 00 00 00 8B 54 24 04 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 8B 70 44 85 F6 74 69 8B C6 8B 10 FF 92 08 01 00 00 8B 83 B0 03 00 00 8B 54 24 0C 2B 50 4C 03 56 54 3B 50 54 7E 20 8B 40 50 83 E8 02 50 8B 46 54 50 8B 4C 24 14 BA 01 00 00 80 8B C6 8B 28 FF 95 A4 00 00 00 EB 1D 8B 50 50 83 EA 02 52 8B 56 54 52 8B 50 48 42 8B 4C 24 14 8B C6 8B 28 FF 95 A4 00 00 00 8B 46 54 03 83 98 02 00 00 01 44 24 0C FF 44 24 04 4F 0F 85 76 FF FF FF 8B 83 B8 03 00 00 85 C0 74 6A 8B 53 50 83 EA 04 89 54 24 08 8B 40 08 8B 78 08 4F 85 FF 7C 55 47 C7 44 24 04 00 00 00 00 8B 54 24 04 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 70 44 85 F6 74 2F 8B C6 8B 10 FF 92 08 01 00 00 8B 46 50 29 44 24 08 50 8B 46 54 50 8B 4B 54 83 E9 19 8B 54 24 10 8B C6 8B 30 FF 96 A4 00 00 00 83 6C 24 08 03 FF 44 24 04 4F 75 B4 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84017_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.GetBorderHeight"
		size = 12
	strings:
		$1 = { 8B 80 C4 02 00 00 03 C0 83 C0 0B C3 }
	condition:
		$1
}

rule function_84018_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.CMTextchanged"
		size = 94
		refs = "000d TRibbonApplicationPopupMenu.CMTextchanged 001a TWinControl.CMTextChanged 002e TControl.GetText 0038 TControl.SetText 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B B3 B0 03 00 00 85 F6 74 14 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84019_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.Create"
		size = 156
		refs = "000a @ClassCreate 0017 TCustomActionPopupMenu.Create 001c TRibbonApplicationPopupMenu.Create 0032 TToolWindow.SetEdgeBorders 003e TCustomActionBar.SetVertMargin 004a TCustomActionBar.SetHorzMargin 0073 TControl.SetWidth 007e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 46 58 89 46 58 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 12 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 06 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 EC 01 00 00 8B C6 8B 10 FF 92 F0 01 00 00 33 D2 8B C6 8B 08 FF 51 78 BA A4 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 40 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_84020_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.CreateControls"
		size = 148
		refs = "0009 TCustomActionPopupMenu.CreateControls 001b TCustomActionBar.HasItems 0026 TCustomActionBar.GetItems 0044 TActionClients.GetActionClient 0084 TControl.SetHeight 008b TRibbonApplicationPopupMenu.CreateWindowRegion"
	strings:
		$1 = { 53 56 57 55 8B D8 8B C3 E8 ?? ?? ?? ?? 8B AB C4 02 00 00 03 ED 83 C5 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5C 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F8 4F 85 FF 7C 48 47 33 F6 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 80 78 30 00 74 2D 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 44 8B 10 FF 92 08 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 40 44 03 68 54 46 4F 75 BB 8B D5 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84021_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.CreateOptionsItems"
		size = 452
		refs = "0018 TRibbonApplicationPopupMenu.CreateOptionsItems 002c _DV_TRibbonApplicationMenuBar 0031 @IsClass 0042 @AsClass 0068 _Dn_TActionClientItem 0079 _Dn_TActionClients 007e TActionClients.Create 00c6 _Dn_TRibbonOptionButtonControl 00cb TRibbonMenuSmallButtonControl.Create 00e8 TActionClients.Add 00f4 TOptionItems.GetItem 00fe TActionClientItem.SetAction 0113 @UStrAsg 011d TActionClientItem.GetCaption 012d @UStrCat3 0137 TActionClientItem.SetCaption 015a TActionClientItem.SetControl 017b TWinControl.EnableAlign 0181 @HandleFinally 019d @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 F0 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 33 C0 85 C0 0F 84 35 01 00 00 8B B8 C4 03 00 00 8B DF 8B 43 08 83 78 08 00 0F 8E 20 01 00 00 A1 ?? ?? ?? ?? 50 8B 45 FC 8B 88 84 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 B8 03 00 00 8B 45 FC 66 FF 80 B4 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B 40 08 48 85 C0 0F 8C B8 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 8B 45 FC 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 55 FC 8B C6 8B 08 FF 91 84 00 00 00 8B 45 FC 8B 80 B8 03 00 00 E8 ?? ?? ?? ?? 8B D8 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 50 0C 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 50 10 8D 43 70 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B D3 8B C6 8B 08 FF 91 FC 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? FF 45 F8 FF 4D F4 0F 85 53 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_84022_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.CreateWindowRegion"
		size = 48
		refs = "0017 CreateRoundRectRgn 0023 TWinControl.GetHandle 0029 SetWindowRgn"
	strings:
		$1 = { 53 56 8B D8 6A 03 6A 03 8B 43 54 40 50 8B 43 50 40 50 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F0 6A FF 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84024_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.CustomAlignPosition"
		size = 156
		refs = "001e TRibbonApplicationPopupMenu.CustomAlignPosition 003f TCustomActionDockBar.CustomAlignPosition 0047 @IntfClear 0055 Supports 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B 75 08 8D 7D EC A5 A5 A5 A5 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8D 55 EC 52 8B D6 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 14 00 00 72 11 54 38 DF 13 13 4F BC 53 04 48 DC 1E C1 63 }
	condition:
		$1
}

rule function_84025_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.Destroy"
		size = 69
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0033 TCustomActionPopupMenu.Destroy 003e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 B0 03 00 00 E8 ?? ?? ?? ?? 8B 86 B8 03 00 00 E8 ?? ?? ?? ?? 8B 86 BC 03 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84026_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.DoDropActions"
		size = 32
		refs = "000d TCustomActionBar.DoDropActions"
	strings:
		$1 = { 55 8B EC 56 8B F0 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 74 01 00 00 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_84027_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.DoDropCategory"
		size = 32
		refs = "000d TCustomActionBar.DoDropCategory"
	strings:
		$1 = { 55 8B EC 56 8B F0 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 74 01 00 00 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_84028_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.DoDropItem"
		size = 32
		refs = "000d TCustomActionBar.DoDropItem"
	strings:
		$1 = { 55 8B EC 56 8B F0 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 74 01 00 00 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_84029_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.DrawBackground"
		size = 588
		refs = "000e TCustomActionPopupMenu.DrawBackground 0023 TRibbonApplicationPopupMenu.RibbonStyle 0030 TRibbonStyleActionBars.DrawElement 004f TControl.ClientToScreen 00c5 Rect 0157 _Dn_TBitmap 015c TBitmap.Create 0167 TRibbonApplicationPopupMenu.DrawBackground 0179 _Dn_TCustomRibbon 017e @AsClass 0239 TObject.Free 023f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 55 C0 8B C6 8B 08 FF 51 60 8D 45 C0 50 8B C6 E8 ?? ?? ?? ?? 8B 8E 8C 02 00 00 B2 04 E8 ?? ?? ?? ?? C7 45 D8 04 00 00 00 C7 45 DC 04 00 00 00 8D 4D E8 8D 55 D8 8B 86 30 03 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 D0 33 C0 89 45 D4 8D 4D E0 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 8B 46 04 0F B6 88 97 02 00 00 84 C9 74 06 8B 46 50 01 45 E0 8B 45 E8 2B 45 E0 99 33 C2 2B C2 89 45 F8 8B 45 EC 2B 45 E4 99 33 C2 2B C2 8B F8 83 FF 19 0F 9C C0 84 C0 0F 84 9E 01 00 00 84 C9 75 56 8B DF F7 DB 8B C3 83 C0 26 50 8D 45 C0 50 8B 4D F8 83 C1 26 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 C0 50 8B C6 E8 ?? ?? ?? ?? 8B 8E 8C 02 00 00 B2 03 E8 ?? ?? ?? ?? 8B 45 F8 50 53 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E 8C 02 00 00 B2 02 E8 ?? ?? ?? ?? EB 53 6A FF 8D 45 C0 50 8B DF F7 DB 8B D3 8B 46 50 2B 45 F8 83 C9 FF E8 ?? ?? ?? ?? 8D 45 C0 50 8B C6 E8 ?? ?? ?? ?? 8B 8E 8C 02 00 00 B2 03 E8 ?? ?? ?? ?? 8B 46 50 2B 45 F8 50 53 68 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 8E 8C 02 00 00 B2 02 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 B4 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F7 8B 08 FF 91 50 01 00 00 8B D0 8B 45 FC 8B 08 FF 51 08 0F B6 45 F7 2C 01 72 06 FE C8 74 10 EB 19 BB 08 00 00 00 C7 45 F0 10 00 00 00 EB 17 33 DB C7 45 F0 20 00 00 00 EB 0C BB 04 00 00 00 C7 45 F0 18 00 00 00 8B 46 04 80 B8 97 02 00 00 01 75 0E 8B 46 50 2B 45 F8 83 C0 02 89 45 F8 EB 04 83 45 F8 02 8B C7 F7 D8 03 C3 83 C0 03 03 45 F0 50 8D 45 C0 50 8B 4D F8 03 CB 03 4D F0 8B D7 F7 DA 03 D3 83 C2 03 8B 45 F8 03 C3 E8 ?? ?? ?? ?? 8D 55 C0 8B 86 8C 02 00 00 8B 4D FC 8B 18 FF 93 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84030_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.GetRibbon"
		size = 7
	strings:
		$1 = { 8B 80 B4 03 00 00 C3 }
	condition:
		$1
}

rule function_84031_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.NCPaint"
		size = 332
		refs = "0014 TWinControl.GetHandle 001a GetClientRect 002c GetWindowRect 0042 MapWindowPoints 0054 OffsetRect 006a ExcludeClipRect 008a TCanvas.GetHandle 0095 TRibbonApplicationPopupMenu.NCPaint 00ab TCanvas.SetHandle 00c1 TPen.SetWidth 00d7 TPen.SetColor 00e8 TCustomCanvas.Rectangle 010c InflateRect 0141 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 8B DA 89 45 FC 8D 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 D8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 8D 45 D8 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 4D DC F7 D9 8B 55 D8 F7 DA 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F0 50 8B 45 EC 50 8B 45 E8 50 53 E8 ?? ?? ?? ?? 8B 4D DC F7 D9 8B 55 D8 F7 DA 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 8C 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 BA 9B AF CA 00 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 BA FF FF FF 00 E8 ?? ?? ?? ?? 8D 45 D8 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84071_0 {
	meta:
		name = "TRibbonStyleMainPopupMenu.NCPaint"
		size = 332
		refs = "0014 TWinControl.GetHandle 001a GetClientRect 002c GetWindowRect 0042 MapWindowPoints 0054 OffsetRect 006a ExcludeClipRect 008a TCanvas.GetHandle 0095 TRibbonStyleMainPopupMenu.NCPaint 00ab TCanvas.SetHandle 00c1 TPen.SetWidth 00d7 TPen.SetColor 00e8 TCustomCanvas.Rectangle 010c InflateRect 0141 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 8B DA 89 45 FC 8D 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 D8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 8D 45 D8 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 4D DC F7 D9 8B 55 D8 F7 DA 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F0 50 8B 45 EC 50 8B 45 E8 50 53 E8 ?? ?? ?? ?? 8B 4D DC F7 D9 8B 55 D8 F7 DA 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 8C 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 BA 9B AF CA 00 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 BA FF FF FF 00 E8 ?? ?? ?? ?? 8D 45 D8 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84032_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.PositionPopup"
		size = 837
		refs = "002c Screen 0035 TScreen.MonitorFromPoint 004b TMonitor.GetLeft 0054 TMonitor.GetWidth 0096 TMonitor.GetWorkareaRect 014b TControl.ClientToScreen 0187 TControl.GetBoundsRect 01b3 SystemParametersInfo 021b TScreen.MonitorFromRect 027c _Dn_TCustomMenuItem 0281 @IsClass 02b3 TMonitor.GetHeight 02bf TMonitor.GetTop 02e9 _Dn_TCustomMenuButton"
	strings:
		$1 = { 53 56 57 55 83 C4 A0 8B F9 8B EA 8B D8 85 ED 74 08 85 FF 0F 85 00 01 00 00 8B 43 48 89 44 24 10 8B 43 4C 89 44 24 14 8D 54 24 10 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B F0 8B 7B 48 89 3C 24 8B 43 4C 89 44 24 04 8B C6 E8 ?? ?? ?? ?? 8B E8 8B C6 E8 ?? ?? ?? ?? 03 E8 03 7B 50 3B EF 7D 18 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 03 F8 2B 7B 50 89 3C 24 8B C6 E8 ?? ?? ?? ?? 3B 43 48 7E 0A 8B C6 E8 ?? ?? ?? ?? 89 04 24 8D 54 24 38 8B C6 E8 ?? ?? ?? ?? 8B 7C 24 3C 8D 54 24 48 8B C6 E8 ?? ?? ?? ?? 03 7C 24 54 8B 43 4C 03 43 54 3B F8 7D 0A 8B 43 4C 2B 43 54 89 44 24 04 8D 54 24 38 8B C6 E8 ?? ?? ?? ?? 8B 44 24 3C 3B 43 4C 7E 13 8D 54 24 38 8B C6 E8 ?? ?? ?? ?? 8B 44 24 3C 89 44 24 04 8D 54 24 38 8B C6 E8 ?? ?? ?? ?? 8B 44 24 3C 3B 44 24 04 0F 8E 22 02 00 00 8D 54 24 38 8B C6 E8 ?? ?? ?? ?? 8B 44 24 3C 89 44 24 04 E9 0A 02 00 00 0F B6 85 97 02 00 00 2C 01 72 04 74 2B EB 58 8B 47 48 89 44 24 18 8B 47 4C 8B 57 54 D1 FA 79 03 83 D2 00 03 C2 89 44 24 1C 8B CC 8D 54 24 18 8B C5 E8 ?? ?? ?? ?? EB 4E 8B 47 48 03 47 50 2B 43 50 89 44 24 20 8B 47 4C 8B 57 54 D1 FA 79 03 83 D2 00 03 C2 89 44 24 24 8B CC 8D 54 24 20 8B C5 E8 ?? ?? ?? ?? EB 1F 8D 54 24 38 8B C7 E8 ?? ?? ?? ?? 8D 54 24 38 8B CC 8B 47 38 E8 ?? ?? ?? ?? 8B 47 50 01 04 24 C7 44 24 08 FF FF FF FF 6A 00 8D 44 24 0C 50 6A 00 6A 1B E8 ?? ?? ?? ?? 8D 54 24 38 8B C7 E8 ?? ?? ?? ?? 8D 54 24 38 8D 4C 24 58 8B 47 38 E8 ?? ?? ?? ?? 8B 44 24 58 89 44 24 28 8B 44 24 5C 89 44 24 2C 8D 54 24 38 8B C7 E8 ?? ?? ?? ?? 8D 54 24 40 8D 4C 24 58 8B 47 38 E8 ?? ?? ?? ?? 8B 44 24 58 89 44 24 30 8B 44 24 5C 89 44 24 34 8D 54 24 28 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 3B 04 24 7E 0A 8B C6 E8 ?? ?? ?? ?? 89 04 24 8D 54 24 38 8B C6 E8 ?? ?? ?? ?? 8B 44 24 38 89 44 24 0C 8D 54 24 38 8B C6 E8 ?? ?? ?? ?? 8B 44 24 40 8B 14 24 03 53 50 3B C2 7D 4D 8D 54 24 38 8B C6 E8 ?? ?? ?? ?? 8B 44 24 40 2B 43 50 89 04 24 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 8B C6 E8 ?? ?? ?? ?? 03 44 24 0C 2B 45 48 03 45 50 8B 14 24 03 53 50 3B C2 7D 0C 8B 45 48 2B 43 50 83 C0 02 89 04 24 8B C6 E8 ?? ?? ?? ?? 3B 43 54 7D 0D 8B C6 E8 ?? ?? ?? ?? 89 44 24 04 EB 5A 8D 54 24 38 8B C6 E8 ?? ?? ?? ?? 8B 44 24 44 8B 6C 24 04 8B D5 03 53 54 3B C2 7D 3E 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8B C6 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 3B 44 24 2C 7D 19 2B 6F 54 2B 6B 54 89 6C 24 04 EB 0D 2B 6B 54 03 6F 54 83 C5 03 89 6C 24 04 8B 43 50 50 8B 43 54 50 8B 4C 24 0C 8B 54 24 08 8B C3 8B 18 FF 93 A4 00 00 00 83 C4 60 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84033_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.RibbonStyle"
		size = 54
		refs = "0016 _Dn_TRibbonStyleActionBars 001b @IsClass 002d RibbonLunaStyle"
	strings:
		$1 = { 53 56 8B D8 8B B3 84 02 00 00 85 F6 74 1E 8B 86 E8 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B 86 E8 00 00 00 5E 5B C3 A1 ?? ?? ?? ?? 8B 00 5E 5B C3 }
	condition:
		$1
}

rule function_84034_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.SetColorMap"
		size = 58
		refs = "000b TCustomActionPopupMenu.SetColorMap 0024 TFont.SetColor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 B0 03 00 00 85 C0 74 1E 85 F6 74 0D 8B 40 6C 8B 56 58 E8 ?? ?? ?? ?? EB 0D 8B 40 6C BA 07 00 00 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84035_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.SetRibbon"
		size = 7
	strings:
		$1 = { 89 90 B4 03 00 00 C3 }
	condition:
		$1
}

rule function_84036_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.WMNCHitTest"
		size = 171
		refs = "0017 TControl.GetBoundsRect 0026 TControl.ClientToScreen 008a PtInRect 00a0 TWinControl.WMNCHitTest"
	strings:
		$1 = { 53 56 57 83 C4 CC 8B F2 8B D8 8D 54 24 24 8B BB 30 03 00 00 8B C7 E8 ?? ?? ?? ?? 8D 54 24 24 8D 4C 24 1C 8B C7 E8 ?? ?? ?? ?? 8B 44 24 1C 89 44 24 0C 8B 44 24 20 89 44 24 10 8D 54 24 24 8B BB 30 03 00 00 8B C7 E8 ?? ?? ?? ?? 8D 54 24 2C 8D 4C 24 1C 8B C7 E8 ?? ?? ?? ?? 8B 44 24 1C 89 44 24 14 8B 44 24 20 89 44 24 18 8B 46 08 89 04 24 0F BF 04 24 89 44 24 04 0F BF 44 24 02 89 44 24 08 8D 54 24 04 8D 44 24 0C E8 ?? ?? ?? ?? 84 C0 74 09 C7 46 0C FF FF FF FF EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 34 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84037_0 {
	meta:
		name = "TRibbonStylePopupMenu.AlignControls"
		size = 64
		refs = "0007 TCustomActionBar.AlignControls 001e TControl.GetClientWidth 0028 TControl.GetClientHeight"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 9E C0 03 00 00 85 DB 74 28 80 7B 61 00 74 22 8B C6 E8 ?? ?? ?? ?? 50 6A 0B 8B C6 E8 ?? ?? ?? ?? 8B C8 83 E9 0B 33 D2 8B C3 8B 18 FF 93 A4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_84038_0 {
	meta:
		name = "TRibbonStylePopupMenu.CanAutoSize"
		size = 35
		refs = "000b TCustomActionPopupMenu.CanAutoSize"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B CE 8B C3 E8 ?? ?? ?? ?? 0F B6 83 C4 03 00 00 48 2C 02 73 03 83 06 0D 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_84039_0 {
	meta:
		name = "TRibbonStylePopupMenu.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TXPStylePopupMenu.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 C4 03 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84040_0 {
	meta:
		name = "TRibbonStylePopupMenu.CreateControl"
		size = 54
		refs = "0007 TRibbonActionPopupMenu.CreateControl 0015 _Dn_TRibbonGalleryControlMenuItem 001a @IsClass 002d TRibbonGalleryControlMenuItem.SetContainedControl"
	strings:
		$1 = { 53 56 8B DA 8B D3 E8 ?? ?? ?? ?? 8B F0 85 DB 74 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B 43 78 8B 40 20 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84041_0 {
	meta:
		name = "TRibbonStylePopupMenu.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TXPStylePopupMenu.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84042_0 {
	meta:
		name = "TRibbonStylePopupMenu.SetGalleryResize"
		size = 222
		refs = "0025 TObject.Free 0041 _Dn_TRibbonGripItem 0046 TRibbonGripItem.Create 0085 TControl.SetVisible 009e TControl.SetHeight 00d7 TWinControl.AlignControl"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E C4 03 00 00 0F 84 C9 00 00 00 84 DB 75 13 8D 86 C0 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 88 9E C4 03 00 00 84 DB 74 3E 83 BE C0 03 00 00 00 75 22 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E C0 03 00 00 8B D6 8B C3 8B 08 FF 91 84 00 00 00 0F B6 86 C4 03 00 00 8B 96 C0 03 00 00 88 82 F8 01 00 00 0F B6 86 C4 03 00 00 48 2C 02 0F 92 C2 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? 8B 86 C0 03 00 00 80 78 61 00 74 0F 8B 50 54 03 56 54 8B C6 E8 ?? ?? ?? ?? EB 0D 8B 56 54 2B 50 54 8B C6 E8 ?? ?? ?? ?? 0F B6 86 C4 03 00 00 48 2C 02 0F 92 C2 80 F2 01 8B C6 8B 08 FF 51 78 8B C6 8B 10 FF 92 74 01 00 00 8B C6 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84043_0 {
	meta:
		name = "TRibbonStylePopupMenu.WMExitsizemove"
		size = 28
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 83 7E 0C 64 75 0A 8B C6 8B 10 FF 92 74 01 00 00 5E C3 }
	condition:
		$1
}

rule function_84044_0 {
	meta:
		name = "TRibbonStylePopupMenu.WMNCHitTest"
		size = 154
		refs = "000e TWinControl.WMNCHitTest"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB C4 03 00 00 00 74 7A 83 7E 0C 01 75 74 8B D4 8B C3 8B 08 FF 51 5C 8B 44 24 04 8B 93 C0 03 00 00 03 42 4C 0F BF 56 0A 3B C2 7F 56 80 BB C4 03 00 00 01 75 09 C7 46 0C 0F 00 00 00 EB 27 8B D4 8B C3 8B 08 FF 51 5C 8B 04 24 8B 93 C0 03 00 00 03 42 50 83 E8 0F 0F BF 56 08 3B C2 7F 07 C7 46 0C 11 00 00 00 8B 46 0C 83 F8 0F 74 05 83 F8 11 75 10 33 D2 8B C3 8B 08 FF 51 78 C7 43 0C 64 00 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_84045_0 {
	meta:
		name = "TRibbonRecentDocuments.Create"
		size = 168
		refs = "000f @ClassCreate 001b TRibbonRecentDocuments.Create 002a TGraphicControl.Create 0036 TControl.SetColor 003f TControl.SetParentFont 004e TFont.SetStyle 0056 SRecentDocuments 005b LoadResString 0065 TControl.SetText 007a @UStrClr 0080 @HandleFinally 008d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? BA E9 EA EE 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B 46 6C 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_84046_0 {
	meta:
		name = "TRibbonRecentDocuments.Paint"
		size = 496
		refs = "0014 TRibbonRecentDocuments.Paint 0046 TBrush.SetColor 0056 TBrush.SetStyle 0077 TPen.SetColor 009d DrawLine 00ea TCustomCanvas.TextHeight 0114 TCanvas.GetHandle 0120 TControl.GetText 0138 @UStrToPWChar 013f DrawText 01c9 @UStrClr 01cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 A8 8B C3 8B 08 FF 51 60 8B 83 B0 01 00 00 8B 40 40 8B 53 6C 8B 08 FF 51 08 8B 83 B0 01 00 00 8B 40 48 8B 53 74 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8D 55 A8 8B 83 B0 01 00 00 8B 08 FF 51 54 8B 83 B0 01 00 00 8B 40 44 BA C5 C5 C5 00 E8 ?? ?? ?? ?? 33 C0 89 45 F4 33 C0 89 45 F8 33 C0 89 45 EC 8B 43 54 89 45 F0 8D 4D EC 8D 55 F4 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 8B 40 44 BA F5 F5 F5 00 E8 ?? ?? ?? ?? C7 45 E4 01 00 00 00 33 C0 89 45 E8 C7 45 DC 01 00 00 00 8B 43 54 89 45 E0 8D 4D DC 8D 55 E4 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 83 C0 05 89 45 B4 83 45 A8 07 8B 83 B0 01 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? BE 24 08 00 00 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? C7 45 D8 FF FF FF FF 56 8D 45 A8 50 8B 45 D8 50 8B 45 FC E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 8B 40 44 BA D8 D8 D8 00 E8 ?? ?? ?? ?? C7 45 D0 02 00 00 00 8B 45 B4 48 89 45 D4 8B 53 50 89 55 C8 89 45 CC 8D 4D C8 8D 55 D0 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 8B 40 44 BA F5 F5 F5 00 E8 ?? ?? ?? ?? C7 45 C0 02 00 00 00 8B 45 B4 89 45 C4 8B 53 50 89 55 B8 89 45 BC 8D 4D B8 8D 55 C0 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 71 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_84047_0 {
	meta:
		name = "TRibbonApplicationMenuBar.CloseMenu"
		size = 140
		refs = "000c TRibbonApplicationMenuBar.CloseMenu 0019 TCustomActionMainMenuBar.CloseMenu 0020 TCustomActionBar.FindFirstVisibleItem 003a @IntfClear 0048 Supports 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 32 8B C3 E8 ?? ?? ?? ?? 8B 58 44 85 DB 74 24 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 33 D2 8B 45 FC 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 C8 71 BC 4C 5E C0 C4 4A 8D 8E 9E 89 EC 0B FD 34 }
	condition:
		$1
}

rule function_84048_0 {
	meta:
		name = "TRibbonApplicationMenuBar.Create"
		size = 172
		refs = "000a @ClassCreate 0017 TCustomActionMainMenuBar.Create 0020 TControl.SetAlign 0033 TControl.SetWidth 003f TControl.SetHeight 0048 TCustomActionBar.SetVertMargin 0051 TCustomActionBar.SetHorzMargin 0056 _DV_TOptionItem 0060 _DV_TOptionItems 0065 TOwnedCollection.Create 008e TCustomActionMenuBar.SetUseSystemFont 0099 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 88 02 00 00 01 BA 2C 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 2C 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 C4 03 00 00 A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 C8 03 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84049_0 {
	meta:
		name = "TRibbonApplicationMenuBar.CreateControl"
		size = 34
		refs = "0009 TCollectionItem.GetIndex 0016 TCustomActionMainMenuBar.CreateControl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 85 C0 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_84050_0 {
	meta:
		name = "TRibbonApplicationMenuBar.CreateControls"
		size = 69
		refs = "000b TCustomActionBar.GetItems 0026 TCollection.Delete 0032 TCollection.GetCount 003c TCustomActionMainMenuBar.CreateControls"
	strings:
		$1 = { 53 56 57 55 8B F0 EB 22 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 47 08 8B 68 08 8B D5 4A 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 7F CF 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84051_0 {
	meta:
		name = "TRibbonApplicationMenuBar.Destroy"
		size = 66
		refs = "0003 @BeforeDestruction 001a TObject.Free 0030 TCustomActionMainMenuBar.Destroy 003b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 86 C0 03 00 00 8B 86 C4 03 00 00 E8 ?? ?? ?? ?? 8B 86 C8 03 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84052_0 {
	meta:
		name = "TRibbonApplicationMenuBar.DragOver"
		size = 65
		refs = "001e TCustomActionBar.DragOver 002a TCustomActionBar.HasItems"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B D8 8B 75 08 8B 45 10 50 0F B6 45 0C 50 56 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 80 3E 00 74 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 88 06 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_84053_0 {
	meta:
		name = "TRibbonApplicationMenuBar.DrawBackground"
		size = 428
		refs = "001d TBrush.SetColor 004c TCustomRibbon.GetRibbonMetric 005b TCustomRibbon.CustomFrameSupported 0066 TCustomRibbon.GlassFrameSupported 00a4 TRibbonApplicationMenuBar.RibbonStyle 00b1 TRibbonStyleActionBars.DrawElement 0145 Rect 016e TControl.GetBoundsRect"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B D8 8B D4 8B C3 8B 08 FF 51 60 8B 83 8C 02 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B D4 8B 83 8C 02 00 00 8B 08 FF 51 54 8B 43 4C F7 D8 89 44 24 04 8B 83 C0 03 00 00 85 C0 0F 84 60 01 00 00 8B F0 B2 02 8B C6 E8 ?? ?? ?? ?? 03 44 24 04 89 44 24 0C 8B C6 E8 ?? ?? ?? ?? 84 C0 74 75 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1F 8B 83 8C 02 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B D4 8B 83 8C 02 00 00 8B 08 FF 51 54 EB 6A 80 BE F8 02 00 00 00 74 21 54 33 D2 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 33 D2 E8 ?? ?? ?? ?? EB 40 54 33 D2 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 B2 01 E8 ?? ?? ?? ?? EB 1F 54 33 D2 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 33 D2 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 01 44 24 04 54 6A FF 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 B2 03 E8 ?? ?? ?? ?? 8B 86 CC 02 00 00 8B 78 04 85 FF 74 7D 80 7B 69 00 75 32 6A FF 8D 44 24 04 50 8B 57 4C 2B 53 4C 8B 47 48 83 E8 0F 83 C9 FF E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 B2 01 E8 ?? ?? ?? ?? EB 45 6A FF 8D 44 24 04 50 8D 54 24 18 8B C7 E8 ?? ?? ?? ?? 8B 44 24 20 2B 43 48 8B 96 CC 02 00 00 8B 52 04 8B 52 4C 2B 53 4C 83 C9 FF E8 ?? ?? ?? ?? 54 8B C3 E8 ?? ?? ?? ?? 8B 8B 8C 02 00 00 B2 02 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84055_0 {
	meta:
		name = "TRibbonApplicationMenuBar.GetRibbon"
		size = 7
	strings:
		$1 = { 8B 80 C0 03 00 00 C3 }
	condition:
		$1
}

rule function_84056_0 {
	meta:
		name = "TRibbonApplicationMenuBar.GetVisibleMenu"
		size = 21
		refs = "000d TMenuStack.Peek"
	strings:
		$1 = { 8B 90 8C 03 00 00 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_84057_0 {
	meta:
		name = "TRibbonApplicationMenuBar.GetVisibleMenuCount"
		size = 21
		refs = "000d TOrderedList.Count"
	strings:
		$1 = { 8B 90 8C 03 00 00 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_84058_0 {
	meta:
		name = "TRibbonApplicationMenuBar.NewPopup"
		size = 92
		refs = "0008 TCustomActionMainMenuBar.NewPopup 0013 TCustomActionPopupMenu.SetShadow 001b _DV_TRibbonApplicationPopupMenu 0020 @IsClass 0030 _Dn_TCustomRibbon 0035 @AsClass 0042 TRibbonApplicationPopupMenu.SetRibbon 0052 TControl.SetText"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2E 8B 86 C0 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D6 8B FB 8B C7 E8 ?? ?? ?? ?? 8B 86 D0 02 00 00 8B 50 04 8B C7 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84059_0 {
	meta:
		name = "TRibbonApplicationMenuBar.Notification"
		size = 45
		refs = "0010 TCustomActionMainMenuBar.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B BE C0 03 00 00 75 08 33 C0 89 86 C0 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84062_0 {
	meta:
		name = "TRibbonApplicationMenuBar.SelectApplicationButton"
		size = 36
		refs = "000a TActionClient.GetItems 0011 TActionClients.GetActionClient"
	strings:
		$1 = { 56 8B F0 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 40 44 B2 01 8B 08 FF 91 04 01 00 00 5E C3 }
	condition:
		$1
}

rule function_84063_0 {
	meta:
		name = "TRibbonApplicationMenuBar.SetBounds"
		size = 16
		refs = "0008 TCustomActionBar.SetBounds"
	strings:
		$1 = { 55 8B EC 6A 2C 6A 2C E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_84064_0 {
	meta:
		name = "TRibbonApplicationMenuBar.SetOptionItems"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 C4 03 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_84065_0 {
	meta:
		name = "TRibbonApplicationMenuBar.SetRecentItems"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 C8 03 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_84066_0 {
	meta:
		name = "TRibbonApplicationMenuBar.SetRibbon"
		size = 64
		refs = "0026 _Dn_TRibbon 002b @IsClass 0039 TControl.SetFont"
	strings:
		$1 = { 53 56 8B D8 8B C2 89 83 C0 03 00 00 85 D2 74 2D 8B D0 8B C3 8B 08 FF 91 84 00 00 00 8B B3 C0 03 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 56 6C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84067_0 {
	meta:
		name = "TRibbonApplicationMenuBar.ShowKeyTips"
		size = 31
		refs = "0013 TWinControl.GetHandle 0019 PostMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 01 04 00 00 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84069_0 {
	meta:
		name = "TRibbonApplicationMenuBar.WMSysCommand"
		size = 194
		refs = "000b GetParentForm 0011 Screen 001d Application 006f GetCapture 0085 TCustomActionBar.FindAccelItem 00ad TRibbonApplicationMenuBar.ShowKeyTips"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 3B 42 78 74 14 A1 ?? ?? ?? ?? 8B 00 83 B8 C8 00 00 00 00 0F 85 8F 00 00 00 80 BB 22 03 00 00 00 0F 85 82 00 00 00 8B C3 8B 10 FF 52 68 84 C0 74 77 80 BB F2 01 00 00 00 74 6E 8B 46 04 25 F0 FF 00 00 3D 00 F1 00 00 75 5F 66 83 7E 08 20 74 58 66 83 7E 08 2D 74 51 E8 ?? ?? ?? ?? 85 C0 75 48 0F B7 46 08 66 85 C0 74 21 8B D0 8B C3 E8 ?? ?? ?? ?? 85 C0 74 24 8B 40 44 8B 10 FF 92 0C 01 00 00 C7 46 0C 01 00 00 00 EB 10 80 BB 78 03 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? C6 83 78 03 00 00 00 C7 46 0C 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_84070_0 {
	meta:
		name = "TRibbonStyleMainPopupMenu.Create"
		size = 192
		refs = "000b @ClassCreate 001c TCustomActionPopupMenu.Create 0028 TWinControl.SetBorderWidth 002f TRibbonStyleMainPopupMenu.Create 0036 TToolWindow.SetEdgeBorders 003f TCustomActionBar.SetHorzMargin 004b TCustomActionBar.SetVertMargin 005d TCustomActionDockBar.SetAllowScrolling 0065 _DV_TRibbonApplicationMenuBar 006a @AsClass 006f TRibbonApplicationMenuBar.GetVisibleMenu 0075 _DV_TRibbonApplicationPopupMenu 008d TControl.SetWidth 009a TControl.SetHeight 00a5 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 8B 08 FF 51 78 B2 01 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B0 B0 03 00 00 8B 56 50 83 EA 02 8B C7 E8 ?? ?? ?? ?? 8B 56 54 83 EA 02 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_84072_0 {
	meta:
		name = "TRibbonStyleMainPopupMenu.PositionPopup"
		size = 70
		refs = "0013 TCustomActionPopupMenu.PositionPopup"
	strings:
		$1 = { 53 56 8B F0 89 96 B0 03 00 00 89 8E B4 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B 46 50 50 8B 46 54 50 8B 86 B0 03 00 00 8B 48 4C 83 C1 12 8B 56 48 42 8B C6 8B 18 FF 93 A4 00 00 00 8B C6 8B 10 FF 92 74 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_84073_0 {
	meta:
		name = "TRibbonQATCustomizeMenu.DisplayShadow"
		size = 137
		refs = "0007 TCustomActionPopupMenu.DisplayShadow 0030 _Dn_TActionClientItem 0035 @IsClass 0042 _Dn_TCustomMenuButton 005f _Dn_TShadowWindow 0064 TShadowWindow.CreateShadow 0082 TShadowWindow.SetControl"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB AC 03 00 00 00 74 72 8B C3 8B 10 FF 92 2C 01 00 00 84 C0 75 64 8B B3 80 02 00 00 85 F6 74 42 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 31 8B 46 44 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 83 BB C0 03 00 00 00 75 16 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 C0 03 00 00 8B 83 C0 03 00 00 85 C0 74 0E 8B 93 80 02 00 00 8B 52 44 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84075_0 {
	meta:
		name = "TRibbonQATCustomizeMenu.GetControlClass"
		size = 18
		refs = "0007 TCustomActionBar.GetControlClass 000d _Dn_TRibbonCustomizeItem"
	strings:
		$1 = { 83 7A 38 FF 75 06 E8 ?? ?? ?? ?? C3 A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84076_0 {
	meta:
		name = "TRibbonQATCustomizeMenu.HideShadow"
		size = 27
		refs = "0006 TCustomActionPopupMenu.HideShadow 0015 TControl.Hide"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84077_0 {
	meta:
		name = "TRibbonQATCustomizeMenu.NCPaint"
		size = 859
		refs = "0019 TWinControl.GetHandle 001f GetClientRect 002e GetWindowRect 0041 MapWindowPoints 0052 OffsetRect 0068 ExcludeClipRect 0086 TCanvas.GetHandle 0091 TRibbonQATCustomizeMenu.NCPaint 00a7 TCanvas.SetHandle 00bd TPen.SetWidth 00c5 TCustomActionBar.GetColorMap 00dc TPen.SetColor 027b _Dn_TXPStyleMenuButton 0280 @IsClass 029b TControl.GetBoundsRect 02a9 TControl.ClientToScreen 034e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B F2 89 45 FC 8D 5D D0 8D 45 E0 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 53 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 53 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 4B 04 F7 D9 8B 13 F7 DA 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 E8 50 8B 45 E4 50 8B 45 E0 50 56 E8 ?? ?? ?? ?? 8B 4B 04 F7 D9 8B 13 F7 DA 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 8C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 90 84 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 4B 04 8B 53 08 8B 30 FF 56 64 8B 45 FC 8B 80 8C 02 00 00 8B 4B 04 8B 13 8B 30 FF 56 60 8B 45 FC 8B 80 8C 02 00 00 8B 4B 0C 8B 13 8B 30 FF 56 60 8B 45 FC E8 ?? ?? ?? ?? 8B 90 80 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 4B 04 41 8B 53 08 4A 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 64 8B 4B 04 41 8B 13 42 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 4B 0C 83 E9 02 8B 13 42 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 45 FC E8 ?? ?? ?? ?? 8B 90 8C 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 53 08 4A 8B 45 FC 8B 80 8C 02 00 00 8B 4B 04 8B 30 FF 56 64 8B 4B 0C 49 8B 53 08 4A 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 4B 0C 49 8B 13 4A 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 45 FC E8 ?? ?? ?? ?? 8B 90 88 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 4B 04 41 8B 53 08 83 EA 02 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 64 8B 4B 0C 83 E9 02 8B 53 08 83 EA 02 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 4B 0C 83 E9 02 8B 45 FC 8B 80 8C 02 00 00 8B 13 8B 30 FF 56 60 8B 45 FC 83 B8 80 02 00 00 00 0F 84 DD 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 70 3C 8B 45 FC E8 ?? ?? ?? ?? 3B B0 84 00 00 00 0F 84 BE 00 00 00 8B 45 FC 8B 80 30 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A2 00 00 00 8D 55 C0 8B 45 FC 8B B0 30 03 00 00 8B C6 E8 ?? ?? ?? ?? 8D 55 C0 8D 4D F0 8B 46 38 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 CC 3B 45 F4 7F 09 8B 43 0C 48 89 45 F4 EB 05 33 C0 89 45 F4 8B 45 FC 8B 5D F0 8B D3 2B 50 48 42 8B 45 FC 8B 80 8C 02 00 00 8B 75 F4 8B CE 8B 38 FF 57 64 8B 45 FC E8 ?? ?? ?? ?? 8B 50 3C 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B D3 2B 50 48 8B 45 FC 8B 80 30 03 00 00 03 50 50 4A 8B 45 FC 8B 80 8C 02 00 00 8B CE 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84090_0 {
	meta:
		name = "TRibbonActionPopupMenu.NCPaint"
		size = 859
		refs = "0019 TWinControl.GetHandle 001f GetClientRect 002e GetWindowRect 0041 MapWindowPoints 0052 OffsetRect 0068 ExcludeClipRect 0086 TCanvas.GetHandle 0091 TRibbonActionPopupMenu.NCPaint 00a7 TCanvas.SetHandle 00bd TPen.SetWidth 00c5 TCustomActionBar.GetColorMap 00dc TPen.SetColor 027b _Dn_TRibbonStyleMenuButton 0280 @IsClass 029b TControl.GetBoundsRect 02a9 TControl.ClientToScreen 034e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B F2 89 45 FC 8D 5D D0 8D 45 E0 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 53 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 53 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 4B 04 F7 D9 8B 13 F7 DA 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 E8 50 8B 45 E4 50 8B 45 E0 50 56 E8 ?? ?? ?? ?? 8B 4B 04 F7 D9 8B 13 F7 DA 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 8C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 90 84 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 4B 04 8B 53 08 8B 30 FF 56 64 8B 45 FC 8B 80 8C 02 00 00 8B 4B 04 8B 13 8B 30 FF 56 60 8B 45 FC 8B 80 8C 02 00 00 8B 4B 0C 8B 13 8B 30 FF 56 60 8B 45 FC E8 ?? ?? ?? ?? 8B 90 80 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 4B 04 41 8B 53 08 4A 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 64 8B 4B 04 41 8B 13 42 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 4B 0C 83 E9 02 8B 13 42 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 45 FC E8 ?? ?? ?? ?? 8B 90 8C 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 53 08 4A 8B 45 FC 8B 80 8C 02 00 00 8B 4B 04 8B 30 FF 56 64 8B 4B 0C 49 8B 53 08 4A 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 4B 0C 49 8B 13 4A 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 45 FC E8 ?? ?? ?? ?? 8B 90 88 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 4B 04 41 8B 53 08 83 EA 02 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 64 8B 4B 0C 83 E9 02 8B 53 08 83 EA 02 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 4B 0C 83 E9 02 8B 45 FC 8B 80 8C 02 00 00 8B 13 8B 30 FF 56 60 8B 45 FC 83 B8 80 02 00 00 00 0F 84 DD 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 70 3C 8B 45 FC E8 ?? ?? ?? ?? 3B B0 84 00 00 00 0F 84 BE 00 00 00 8B 45 FC 8B 80 30 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A2 00 00 00 8D 55 C0 8B 45 FC 8B B0 30 03 00 00 8B C6 E8 ?? ?? ?? ?? 8D 55 C0 8D 4D F0 8B 46 38 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 CC 3B 45 F4 7F 09 8B 43 0C 48 89 45 F4 EB 05 33 C0 89 45 F4 8B 45 FC 8B 5D F0 8B D3 2B 50 48 42 8B 45 FC 8B 80 8C 02 00 00 8B 75 F4 8B CE 8B 38 FF 57 64 8B 45 FC E8 ?? ?? ?? ?? 8B 50 3C 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B D3 2B 50 48 8B 45 FC 8B 80 30 03 00 00 03 50 50 4A 8B 45 FC 8B 80 8C 02 00 00 8B CE 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90078_0 {
	meta:
		name = "TXPStylePopupMenu.NCPaint"
		size = 859
		refs = "0019 TWinControl.GetHandle 001f GetClientRect 002e GetWindowRect 0041 MapWindowPoints 0052 OffsetRect 0068 ExcludeClipRect 0086 TCanvas.GetHandle 0091 TXPStylePopupMenu.NCPaint 00a7 TCanvas.SetHandle 00bd TPen.SetWidth 00c5 TCustomActionBar.GetColorMap 00dc TPen.SetColor 027b _DV_TXPStyleMenuButton 0280 @IsClass 029b TControl.GetBoundsRect 02a9 TControl.ClientToScreen 034e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B F2 89 45 FC 8D 5D D0 8D 45 E0 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 53 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 53 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 4B 04 F7 D9 8B 13 F7 DA 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 E8 50 8B 45 E4 50 8B 45 E0 50 56 E8 ?? ?? ?? ?? 8B 4B 04 F7 D9 8B 13 F7 DA 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 8C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 90 84 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 4B 04 8B 53 08 8B 30 FF 56 64 8B 45 FC 8B 80 8C 02 00 00 8B 4B 04 8B 13 8B 30 FF 56 60 8B 45 FC 8B 80 8C 02 00 00 8B 4B 0C 8B 13 8B 30 FF 56 60 8B 45 FC E8 ?? ?? ?? ?? 8B 90 80 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 4B 04 41 8B 53 08 4A 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 64 8B 4B 04 41 8B 13 42 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 4B 0C 83 E9 02 8B 13 42 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 45 FC E8 ?? ?? ?? ?? 8B 90 8C 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 53 08 4A 8B 45 FC 8B 80 8C 02 00 00 8B 4B 04 8B 30 FF 56 64 8B 4B 0C 49 8B 53 08 4A 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 4B 0C 49 8B 13 4A 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 45 FC E8 ?? ?? ?? ?? 8B 90 88 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 4B 04 41 8B 53 08 83 EA 02 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 64 8B 4B 0C 83 E9 02 8B 53 08 83 EA 02 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 4B 0C 83 E9 02 8B 45 FC 8B 80 8C 02 00 00 8B 13 8B 30 FF 56 60 8B 45 FC 83 B8 80 02 00 00 00 0F 84 DD 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 70 3C 8B 45 FC E8 ?? ?? ?? ?? 3B B0 84 00 00 00 0F 84 BE 00 00 00 8B 45 FC 8B 80 30 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A2 00 00 00 8D 55 C0 8B 45 FC 8B B0 30 03 00 00 8B C6 E8 ?? ?? ?? ?? 8D 55 C0 8D 4D F0 8B 46 38 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 CC 3B 45 F4 7F 09 8B 43 0C 48 89 45 F4 EB 05 33 C0 89 45 F4 8B 45 FC 8B 5D F0 8B D3 2B 50 48 42 8B 45 FC 8B 80 8C 02 00 00 8B 75 F4 8B CE 8B 38 FF 57 64 8B 45 FC E8 ?? ?? ?? ?? 8B 50 3C 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B D3 2B 50 48 8B 45 FC 8B 80 30 03 00 00 03 50 50 4A 8B 45 FC 8B 80 8C 02 00 00 8B CE 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84078_0 {
	meta:
		name = "TRibbonQATCustomizeMenu.PositionPopup"
		size = 128
		refs = "000e TCustomActionPopupMenu.PositionPopup 0016 _Dn_TCustomMenuItem 001b @IsClass 0029 TControl.GetBoundsRect 0047 TControl.SetLeft 0051 _Dn_TCustomMenuButton"
		altNames = "TThemedPopupMenu.PositionPopup TXPStylePopupMenu.PositionPopup"
	strings:
		$1 = { 53 56 83 C4 F0 8B F1 8B D8 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8B D4 8B 46 38 E8 ?? ?? ?? ?? 8B 04 24 3B 43 48 7D 18 8B D4 8B 46 38 E8 ?? ?? ?? ?? 8B 54 24 08 4A 8B C3 E8 ?? ?? ?? ?? EB 2D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8B D4 8B C6 E8 ?? ?? ?? ?? 8B 04 24 3B 43 48 7D 0B 8B 53 48 4A 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_84079_0 {
	meta:
		name = "TRibbonQATCustomizeMenu.VisibleChanging"
		size = 47
		refs = "000e _Dn_TCustomButtonControl 0013 @IsClass 0028 TCustomActionPopupMenu.VisibleChanging"
		altNames = "TThemedPopupMenu.VisibleChanging TXPStylePopupMenu.VisibleChanging"
	strings:
		$1 = { 53 56 8B D8 8B B3 30 03 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84080_0 {
	meta:
		name = "TOptionItem.Assign"
		size = 60
		refs = "000c TPersistent.Assign 0014 _DV_TOptionItem 0019 @IsClass 0029 TOptionItem.SetAction 0034 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B FE 8B 57 0C 8B C3 E8 ?? ?? ?? ?? 8D 43 10 8B 57 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84081_0 {
	meta:
		name = "TOptionItem.GetDisplayName"
		size = 164
		refs = "0015 TOptionItem.GetDisplayName 002c TObject.ClassName 0055 Format 0060 TCollectionItem.GetDisplayName 0075 @UStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 74 36 56 8D 55 EC 8B 03 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8B 43 0C 8B 40 08 89 45 F8 C6 45 FC 11 8D 55 F0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 20 00 2D 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_84082_0 {
	meta:
		name = "TOptionItem.SetAction"
		size = 58
		refs = "0019 @UStrAsg"
	strings:
		$1 = { 53 56 8B D8 3B 53 0C 74 2E 8B F2 89 73 0C 85 F6 74 25 8D 43 18 8B 56 6C E8 ?? ?? ?? ?? 8D 43 14 8B 53 0C 8B 92 84 00 00 00 E8 ?? ?? ?? ?? 8B 43 0C 8B 40 0C 89 43 1C 5E 5B C3 }
	condition:
		$1
}

rule function_84083_0 {
	meta:
		name = "TRibbonApplicationPopupMenu.CreateRecentDocuments"
		size = 824
		refs = "001b TRibbonApplicationPopupMenu.CreateRecentDocuments 002b _DV_TRibbonRecentDocuments 0030 TRibbonRecentDocuments.Create 0044 TControl.SetAlign 0054 TControl.SetAlignWithMargins 0073 TMargins.SetMargin 00e1 _DV_TRibbonApplicationMenuBar 00e6 @IsClass 00f7 @AsClass 010c TRibbonApplicationMenuBar.GetRibbon 0123 _Dn_TRibbonRecentButtonControl 012d _Dn_TRibbonMenuSmallButtonControl 014a _Dn_TActionClientItem 015b _Dn_TActionClients 0160 TActionClients.Create 01c3 TActionClients.Add 01ce TOptionItems.GetItem 01d8 TActionClientItem.SetAction 01ec @UStrAsg 0230 Format 023a TActionClientItem.SetCaption 0268 TActionClientItem.GetCaption 0278 @UStrCat3 02a7 TActionClientItem.SetControl 02c6 TWinControl.EnableAlign 02cc @HandleFinally 02e8 @UStrArrayClr 02f0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 D2 89 55 D4 89 55 D0 89 55 E8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 B0 03 00 00 8B C3 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 03 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 C4 02 00 00 8B 45 FC 8B 80 B0 03 00 00 8B 40 7C BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 03 00 00 8B 40 7C 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 03 00 00 8B 40 7C 33 C9 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 88 C4 02 00 00 8B 45 FC 8B 80 B0 03 00 00 8B 40 7C BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 03 00 00 8B 55 FC 8B 08 FF 91 84 00 00 00 8B 45 FC 8B 58 04 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 85 DB 0F 84 C9 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 8B 80 D0 02 00 00 80 78 1C 00 75 0A A1 ?? ?? ?? ?? 89 45 F4 EB 08 A1 ?? ?? ?? ?? 89 45 F4 8B BB C8 03 00 00 8B DF 8B 43 08 83 78 08 00 0F 8E 89 01 00 00 A1 ?? ?? ?? ?? 50 8B 45 FC 8B 88 84 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 BC 03 00 00 8B 45 FC 66 FF 80 B4 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B 40 08 48 85 C0 0F 8C 21 01 00 00 40 89 45 EC 33 F6 8B 45 FC 8B 48 04 B2 01 8B 45 F4 FF 50 38 89 45 F8 8B 55 FC 8B 45 F8 8B 08 FF 91 84 00 00 00 8B 45 FC 8B 80 BC 03 00 00 E8 ?? ?? ?? ?? 8B D8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 50 0C 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 50 10 8D 43 70 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 D0 02 00 00 80 78 1C 00 75 41 83 FE 0A 7D 3C 8D 45 E8 50 89 75 D8 C6 45 DC 00 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 40 18 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? EB 13 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 50 18 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 D0 02 00 00 80 78 1C 01 75 24 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 4D D0 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 24 8B D3 8B 45 F8 8B 08 FF 91 FC 00 00 00 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 46 FF 4D EC 0F 85 E5 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 26 00 25 00 64 00 2E 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 20 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_84089_0 {
	meta:
		name = "TRibbonActionPopupMenu.CreateControl"
		size = 140
		refs = "000d TRibbonActionPopupMenu.CreateControl 001a TCustomActionPopupMenu.CreateControl 0033 @IntfClear 0041 Supports 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 E8 ?? ?? ?? ?? 8B F0 80 7B 76 01 75 31 8B 43 78 83 78 20 00 74 28 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 43 78 8B 50 20 8B 45 FC 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 00 82 20 50 60 D4 9A EF 46 98 66 39 19 8B FC CD 2E }
	condition:
		$1
}

rule function_84091_0 {
	meta:
		name = "TRibbonActionPopupMenu.TrackMenu"
		size = 50
		refs = "0018 TWinControl.GetHandle 001e PostMessage 0025 TCustomActionMenuBar.TrackMenu"
	strings:
		$1 = { 53 8B D8 80 BB B8 03 00 00 00 74 16 6A 00 6A 28 68 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 B8 03 00 00 00 5B C3 }
	condition:
		$1
}

rule function_84096_0 {
	meta:
		name = "TCustomRibbonGalleryBar.AlignControls"
		size = 762
		refs = "0018 TCustomRibbonGalleryBar.AlignControls 003d _Dn_TStringList 0042 TStringList.Create 0061 TWinControl.GetControlCount 0080 TWinControl.GetControl 00a4 StripHotkey 00b9 TControl.GetText 00dd _DV_TCategoryItem 00e2 TCategoryItem.Create 00ef @UStrAsg 0142 TCategoryItem.AddItems 019b TControl.SetTop 01a6 TControl.SetLeft 01b4 TControl.SetWidth 01e5 TList.Get 02c2 TObject.Free 02c8 @HandleFinally 02df @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 33 C0 89 45 E8 C7 45 E4 01 00 00 00 C7 45 DC 2C 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 55 68 ?? ?? ?? ?? 64 FF 35 00 00 00 00 64 89 25 00 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 48 85 C0 0F 8C E4 00 00 00 40 89 45 D8 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 52 58 85 C0 74 1D 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 52 58 8B 40 60 8D 55 FC E8 ?? ?? ?? ?? EB 1E 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 E0 8B 08 FF 51 54 8B D8 83 FB FF 75 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 46 08 8B 55 FC E8 ?? ?? ?? ?? 8B CE 8B 55 FC 8B 45 E0 8B 18 FF 53 3C EB 0C 8B D3 8B 45 E0 8B 08 FF 51 18 8B F0 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 52 58 85 C0 75 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 89 46 0C EB 14 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? FF 45 F4 FF 4D D8 0F 85 27 FF FF FF 8B 45 E0 8B 10 FF 52 14 48 85 C0 0F 8C F2 00 00 00 40 89 45 D8 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 E0 8B 08 FF 51 18 8B F0 83 7D E4 01 74 0B 8B 45 DC 01 45 EC 33 C0 89 45 E8 8B 46 0C 85 C0 0F 84 B2 00 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B 46 0C 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 50 8B 46 0C E8 ?? ?? ?? ?? 8B 46 0C 8B 40 54 83 C0 02 01 45 EC C7 45 E4 01 00 00 00 8B 46 04 8B 78 08 4F 85 FF 7C 73 47 C7 45 F0 00 00 00 00 8B 46 04 8B 55 F0 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 8B 80 2C 03 00 00 40 3B 45 E4 75 12 C7 45 E4 01 00 00 00 8B 43 54 01 45 EC 33 C0 89 45 E8 FF 45 E4 8B C3 8B 10 FF 92 08 01 00 00 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 53 50 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 43 54 89 45 DC 8B 43 50 01 45 E8 FF 45 F0 4F 75 95 FF 45 F4 FF 4D D8 0F 85 19 FF FF FF 8B 45 E0 8B 10 FF 52 14 85 C0 7E 50 33 D2 8B 45 E0 8B 08 FF 51 18 8B 40 04 83 78 08 00 7E 3D 33 D2 8B 45 E0 8B 08 FF 51 18 8B 40 04 33 D2 E8 ?? ?? ?? ?? 8B 40 50 8B 4D F8 8B 89 2C 03 00 00 0F AF C8 8B 55 F8 8B 52 50 3B CA 7D 04 8B C2 EB 02 8B C1 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84097_0 {
	meta:
		name = "TCustomRibbonGalleryBar.Create"
		size = 79
		refs = "000a @ClassCreate 0017 TCustomActionToolBar.Create 0031 TControl.SetAlign 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 28 03 00 00 00 C7 86 2C 03 00 00 03 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84098_0 {
	meta:
		name = "TCustomRibbonGalleryBar.CreateControl"
		size = 38
		refs = "000c TCustomActionToolBar.CreateControl 001c TActionClientItem.SetShowCaption"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 0F B6 93 28 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84099_0 {
	meta:
		name = "TCustomRibbonGalleryBar.DoDropCategory"
		size = 177
		refs = "0021 TCustomActionBar.FindNearestControl 0030 TCollectionItem.GetIndex 003a TActionDragObject.GetActionCount 004b TActionDragObject.GetAction 0057 TActionClient.GetItems 005f TCollection.Insert 0065 TActionClientItem.SetAction 0083 _Dn_TActionClientItem 0088 @AsClass 009d TActionClientItem.SetCaption"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B FA 8B F0 33 C0 89 45 FC 89 4D F4 8B 45 08 89 45 F8 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0E 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? 89 45 FC 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 29 8B D3 8B C7 E8 ?? ?? ?? ?? 50 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 4B 83 FB FF 75 D7 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 57 50 8B C3 E8 ?? ?? ?? ?? C7 43 38 FF FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84100_0 {
	meta:
		name = "TCustomRibbonGalleryBar.SetItemsPerRow"
		size = 22
		refs = "0011 TWinControl.AlignControl"
	strings:
		$1 = { 3B 90 2C 03 00 00 74 0D 89 90 2C 03 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84101_0 {
	meta:
		name = "TCustomRibbonGalleryBar.SetShowItemCaptions"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 28 03 00 00 74 10 88 96 28 03 00 00 8B C6 8B 10 FF 92 74 01 00 00 5E C3 }
	condition:
		$1
}

rule function_84105_0 {
	meta:
		name = "TRibbonPopupGalleryBar.Assign"
		size = 41
		refs = "000a _DV_TRibbonGalleryBar 000f @AsClass 0014 TCustomActionBar.GetItems"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_84106_0 {
	meta:
		name = "TRibbonPopupGalleryBar.CreateParams"
		size = 90
		refs = "000b TWinControl.CreateParams 0014 _Dn_TCustomForm 0019 @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1D 8B 46 04 25 FF FF FF BF 0D 00 00 00 80 0D 00 00 00 04 0D 00 00 00 02 83 C8 00 89 46 04 C7 46 24 09 08 00 00 8B C3 8B 10 FF 92 2C 01 00 00 84 C0 75 04 83 4E 08 08 5E 5B C3 }
	condition:
		$1
}

rule function_84107_0 {
	meta:
		name = "TRibbonPopupGalleryBar.DisplayGallery"
		size = 106
		refs = "000c TCustomActionBar.HasItems 0015 Application 0024 TWinControl.SetParentWindow 004d TCustomActionBar.GetColorMap 0062 TControl.SetVisible"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 52 A1 ?? ?? ?? ?? 8B 00 8B 90 78 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 50 50 8B 43 54 50 8B CF 8B D6 8B C3 8B 30 FF 96 A4 00 00 00 B2 01 8B C3 8B 08 FF 91 60 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 54 01 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84108_0 {
	meta:
		name = "TCustomRibbonGalleryPopupBar.AlignControls"
		size = 105
		refs = "001c TGalleryProperties.GetGalleryType 002b TCustomActionBar.AlignControls 0034 TGalleryProperties.GetItemsPerRow 0045 TCustomRibbonGalleryPopupBar.AlignGalleryControls 004d _Dn_TRibbonSeparator 0052 @IsClass 0060 TControl.SetWidth"
	strings:
		$1 = { 53 56 57 55 8B E9 8B F2 8B D8 8B 83 30 03 00 00 8B 80 BC 01 00 00 8B 78 78 8B C7 E8 ?? ?? ?? ?? 84 C0 75 0D 8B CD 8B D6 8B C3 E8 ?? ?? ?? ?? EB 33 8B C7 E8 ?? ?? ?? ?? 89 83 C0 03 00 00 85 F6 75 07 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 53 50 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84109_0 {
	meta:
		name = "TCustomRibbonGalleryPopupBar.AlignGalleryControls"
		size = 894
		refs = "0017 TCustomRibbonGalleryPopupBar.AlignGalleryControls 004f _Dn_TStringList 0054 TStringList.Create 006c TWinControl.GetControlCount 008a TWinControl.GetControl 00ad StripHotkey 00c1 TControl.GetText 00e5 _DV_TCategoryItem 00ea TCategoryItem.Create 00fb @UStrAsg 0151 TCategoryItem.AddItems 01ae TControl.SetTop 01bc TControl.SetLeft 01ca TControl.SetWidth 020b TList.Get 0329 TObject.Free 034c @HandleFinally 0363 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 D2 89 55 D0 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE C0 03 00 00 00 7F 0A C7 86 C0 03 00 00 04 00 00 00 33 C0 89 45 F0 33 C0 89 45 EC C7 45 E8 01 00 00 00 C7 45 DC 2C 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 FF 55 68 ?? ?? ?? ?? 64 FF 37 64 89 27 8B C6 E8 ?? ?? ?? ?? 48 85 C0 0F 8C E8 00 00 00 40 89 45 D8 C7 45 F8 00 00 00 00 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 58 85 C0 74 1C 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 58 8B 40 60 8D 55 FC E8 ?? ?? ?? ?? EB 1D 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 E4 8B 08 FF 51 54 8B D8 83 FB FF 75 2D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 83 C0 08 8B 55 FC E8 ?? ?? ?? ?? 8B 4D E0 8B 55 FC 8B 45 E4 8B 18 FF 53 3C EB 0D 8B D3 8B 45 E4 8B 08 FF 51 18 89 45 E0 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 58 85 C0 75 12 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 89 42 0C EB 14 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 E0 E8 ?? ?? ?? ?? FF 45 F8 FF 4D D8 0F 85 23 FF FF FF 8B 45 E4 8B 10 FF 52 14 48 85 C0 0F 8C 1A 01 00 00 40 89 45 D8 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 E4 8B 08 FF 51 18 89 45 E0 83 7D E8 01 74 0B 8B 45 DC 01 45 F0 33 C0 89 45 EC 8B 45 E0 8B 40 0C 85 C0 0F 84 D6 00 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 0C 8B 55 EC E8 ?? ?? ?? ?? 8B 56 50 8B 45 E0 8B 40 0C E8 ?? ?? ?? ?? 8B 45 E0 8B 40 0C 8B 40 54 83 C0 02 01 45 F0 C7 45 E8 01 00 00 00 8B 45 E0 8B 40 04 8B 40 08 48 85 C0 0F 8C 8A 00 00 00 40 89 45 D4 C7 45 F4 00 00 00 00 8B 45 E0 8B 40 04 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 8B 86 C0 03 00 00 40 3B 45 E8 75 12 C7 45 E8 01 00 00 00 8B 43 54 01 45 F0 33 C0 89 45 EC FF 45 E8 8B C3 8B 10 FF 92 08 01 00 00 8B 43 50 50 8B 43 54 50 8B 4D F0 8B 55 EC 8B C3 8B 38 FF 97 A4 00 00 00 8B 43 54 89 45 DC 8B 43 50 01 45 EC 83 BE C4 03 00 00 00 75 0F 8B 96 C0 03 00 00 0F AF D0 89 96 C4 03 00 00 FF 45 F4 FF 4D D4 75 81 FF 45 F8 FF 4D D8 0F 85 F1 FE FF FF 8B 45 E4 8B 10 FF 52 14 85 C0 7E 6D 8B 45 E4 8B 10 FF 52 14 48 85 C0 7C 60 40 89 45 D8 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 E4 8B 08 FF 51 18 8B 40 04 83 78 08 00 7E 39 8B 55 F8 8B 45 E4 8B 08 FF 51 18 8B 40 04 33 D2 E8 ?? ?? ?? ?? 8B 40 50 8B 8E C0 03 00 00 0F AF C8 8B 56 50 3B CA 7D 04 8B C2 EB 02 8B C1 8B D0 8B C6 E8 ?? ?? ?? ?? EB 08 FF 45 F8 FF 4D D8 75 AB 8B 45 E4 8B 10 FF 52 14 48 85 C0 7C 23 40 89 45 D8 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 E4 8B 08 FF 51 18 E8 ?? ?? ?? ?? FF 45 F8 FF 4D D8 75 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84110_0 {
	meta:
		name = "TCustomRibbonGalleryPopupBar.CreateControls"
		size = 47
		refs = "0007 TCustomActionPopupMenu.CreateControls 001d TGalleryProperties.GetGalleryType 0028 TCustomRibbonGalleryPopupBar.AlignGalleryControls"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 30 03 00 00 8B 80 BC 01 00 00 8B 70 78 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84111_0 {
	meta:
		name = "TCustomRibbonGalleryPopupBar.DoGetControlClass"
		size = 89
		refs = "0017 _Dn_TRibbonSeparator 002d _Dn_TRibbonRichContentItem 003a _Dn_TRibbonGalleryMenuItem 0043 TGalleryProperties.GetGalleryType 0053 _Dn_TRibbonMenuItem"
	strings:
		$1 = { 53 8B 80 30 03 00 00 8B 80 BC 01 00 00 8B 58 78 80 7A 76 02 75 07 A1 ?? ?? ?? ?? 5B C3 80 7A 76 01 75 10 8B 42 78 80 78 38 00 74 07 A1 ?? ?? ?? ?? EB 24 80 7A 55 00 75 07 A1 ?? ?? ?? ?? EB 17 8B C3 E8 ?? ?? ?? ?? 3C 01 75 07 A1 ?? ?? ?? ?? EB 05 A1 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84112_0 {
	meta:
		name = "TCustomRibbonGalleryPopupBar.SetColorMap"
		size = 68
		refs = "0006 TCustomActionPopupMenu.SetColorMap 0013 TControl.SetWidth 0024 TWinControl.HandleAllocated 0038 TWinControl.GetHandle 003e SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 93 C4 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 01 68 85 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84117_0 {
	meta:
		name = "TRibbonLunaStyleActionBars.GetStyleName"
		size = 60
		refs = "0006 TRibbonLunaStyleActionBars.GetStyleName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 69 00 62 00 62 00 6F 00 6E 00 20 00 2D 00 20 00 4C 00 75 00 6E 00 61 00 00 00 }
	condition:
		$1
}

rule function_84118_0 {
	meta:
		name = "TRibbonLunaSkin.GetLoadType"
		size = 16
		refs = "0001 ActionBarDesigner"
		altNames = "TRibbonObsidianSkin.GetLoadType TRibbonSilverSkin.GetLoadType"
	strings:
		$1 = { A1 ?? ?? ?? ?? 83 38 00 74 03 33 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_84119_0 {
	meta:
		name = "TRibbonLunaSkin.GetLoadTypeValue"
		size = 196
		refs = "000e TRibbonLunaSkin.GetLoadTypeValue 002d @UStrAsg 0039 ParamStr 0044 ExtractFilePath 0053 @UStrCat3 006d @UStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 10 FF 52 0C 2C 01 72 04 74 10 EB 32 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 8D 55 F8 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 49 00 42 00 42 00 4F 00 4E 00 5F 00 4C 00 55 00 4E 00 41 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6C 00 75 00 6E 00 61 00 2E 00 62 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_84121_0 {
	meta:
		name = "Vcl.RibbonLunaStyleActnCtrls"
		size = 37
		refs = "0002 _DV_3 000c _DV_TRibbonLunaStyleActionBars 0011 TRibbonStyleActionBars.Create 0016 RibbonLunaStyle 0020 RegisterActnBarStyle"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92740_0 {
	meta:
		name = "VCLTee.TeeEditCha"
		size = 37
		refs = "0002 _DV_2 000c _Dn_TList 0011 TObject.Create 0016 TeeOnShowEditor 001b _DV_TChartEditForm 0020 RegisterClass"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84128_0 {
	meta:
		name = "Vcl.RibbonObsidianStyleActnCtrls"
		size = 37
		refs = "0002 _DV_3 000c _DV_TRibbonObsidianStyleActionBars 0011 TRibbonStyleActionBars.Create 0016 RibbonObsidianStyle 0020 RegisterActnBarStyle"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84135_0 {
	meta:
		name = "Vcl.RibbonSilverStyleActnCtrls"
		size = 37
		refs = "0002 _DV_3 000c _DV_TRibbonSilverStyleActionBars 0011 TRibbonStyleActionBars.Create 0016 RibbonSilverStyle 0020 RegisterActnBarStyle"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85374_0 {
	meta:
		name = "Vcl.StdStyleActnCtrls"
		size = 37
		refs = "0002 _DV_2 000c _DV_TStandardStyleActionBars 0011 TObject.Create 0016 StandardStyle 0020 RegisterActnBarStyle"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90113_0 {
	meta:
		name = "Vcl.XPStyleActnCtrls"
		size = 37
		refs = "0002 _DV_2 000c _DV_TXPStyleActionBars 0011 TObject.Create 0016 XPStyle 0020 RegisterActnBarStyle"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_114575_0 {
	meta:
		name = "Xml.Win.msxmldom"
		size = 37
		refs = "0002 _DV_12 000c _DV_TMSDOMImplementationFactory 0011 TObject.Create 0016 MSXML_DOM 0020 RegisterDOMVendor"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84124_0 {
	meta:
		name = "TRibbonObsidianStyleActionBars.GetStyleName"
		size = 68
		refs = "0006 TRibbonObsidianStyleActionBars.GetStyleName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 52 00 69 00 62 00 62 00 6F 00 6E 00 20 00 2D 00 20 00 4F 00 62 00 73 00 69 00 64 00 69 00 61 00 6E 00 00 00 }
	condition:
		$1
}

rule function_84126_0 {
	meta:
		name = "TRibbonObsidianSkin.GetLoadTypeValue"
		size = 212
		refs = "000e TRibbonObsidianSkin.GetLoadTypeValue 002d @UStrAsg 0039 ParamStr 0044 ExtractFilePath 0053 @UStrCat3 006d @UStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 10 FF 52 0C 2C 01 72 04 74 10 EB 32 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 8D 55 F8 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 49 00 42 00 42 00 4F 00 4E 00 5F 00 4F 00 42 00 53 00 49 00 44 00 49 00 41 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6F 00 62 00 73 00 69 00 64 00 69 00 61 00 6E 00 2E 00 62 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_84131_0 {
	meta:
		name = "TRibbonSilverStyleActionBars.GetStyleName"
		size = 64
		refs = "0006 TRibbonSilverStyleActionBars.GetStyleName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 52 00 69 00 62 00 62 00 6F 00 6E 00 20 00 2D 00 20 00 53 00 69 00 6C 00 76 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_84133_0 {
	meta:
		name = "TRibbonSilverSkin.GetLoadTypeValue"
		size = 204
		refs = "000e TRibbonSilverSkin.GetLoadTypeValue 002d @UStrAsg 0039 ParamStr 0044 ExtractFilePath 0053 @UStrCat3 006d @UStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 10 FF 52 0C 2C 01 72 04 74 10 EB 32 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 8D 55 F8 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 52 00 49 00 42 00 42 00 4F 00 4E 00 5F 00 53 00 49 00 4C 00 56 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 69 00 6C 00 76 00 65 00 72 00 2E 00 62 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_84137_0 {
	meta:
		name = "DrawTransparentBitmap"
		size = 34
		refs = "0018 DrawTransparentBitmap"
	strings:
		$1 = { 56 57 83 C4 F0 8B F1 8D 3C 24 A5 A5 A5 A5 68 FF 00 00 00 8D 4C 24 04 E8 ?? ?? ?? ?? 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_84138_0 {
	meta:
		name = "DrawTransparentBitmap"
		size = 52
		refs = "0028 DrawTransparentBitmap"
	strings:
		$1 = { 55 8B EC 83 C4 E0 56 57 8B 75 08 8D 7D E0 A5 A5 A5 A5 8B F2 8D 7D F0 A5 A5 A5 A5 8D 55 E0 52 68 FF 00 00 00 8D 55 F0 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84139_0 {
	meta:
		name = "DrawTransparentBitmap"
		size = 127
		refs = "001f TBitmap.GetPixelFormat 004b TBitmap.GetCanvas 0050 TCanvas.GetHandle 0073 AlphaBlend"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 C6 45 FC 00 C6 45 FD 00 0F B6 45 08 88 45 FE 8B C3 E8 ?? ?? ?? ?? 3C 07 75 06 C6 45 FF 01 EB 04 C6 45 FF 00 FF 75 FC 8B C3 8B 10 FF 52 24 50 8B C3 8B 10 FF 52 30 50 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 52 24 50 8B C3 8B 10 FF 52 30 50 8B 45 0C 50 57 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_84140_0 {
	meta:
		name = "DrawButton"
		size = 730
		refs = "0063 Rect 0098 DrawTransparentBitmap 0295 InflateRect"
	strings:
		$1 = { 55 8B EC 81 C4 70 FF FF FF 53 56 57 8B 75 14 8D 7D D0 A5 A5 A5 A5 8B F2 8D 7D E0 A5 A5 A5 A5 89 4D F8 89 45 FC 8B 5D 10 8B 55 E8 8B 45 E0 2B D0 89 55 F0 8B 4D EC 8B 55 E4 2B CA 89 4D F4 8B F8 8B F2 8B 45 DC 2B 45 D4 3B 45 F4 0F 85 F4 00 00 00 8B C6 03 45 F4 50 8D 45 80 50 8D 0C 3B 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 85 70 FF FF FF 50 8B 4D D0 03 CB 8B 55 D4 8B 45 D0 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 0F B6 45 08 50 8B 4D F8 8D 55 80 8B 45 FC E8 ?? ?? ?? ?? 8B C6 03 45 F4 50 8D 45 80 50 8B CF 03 4D F0 8B C7 03 45 F0 2B C3 8B D6 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 85 70 FF FF FF 50 8B 45 D8 2B C3 8B 4D D8 8B 55 D4 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 0F B6 45 08 50 8B 4D F8 8D 55 80 8B 45 FC E8 ?? ?? ?? ?? 8B C6 03 45 F4 50 8D 45 80 50 8B CF 03 4D F0 2B CB 8D 04 3B 8B D6 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 85 70 FF FF FF 50 8B 4D D8 2B CB 8B 45 D0 03 C3 8B 55 D4 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 0F B6 45 08 50 8B 4D F8 8D 55 80 8B 45 FC E8 ?? ?? ?? ?? E9 8C 01 00 00 8B 45 DC 50 8D 45 C0 50 8B 4D D0 03 CB 8B 55 D4 8B 45 D0 E8 ?? ?? ?? ?? 8B C6 03 45 F4 50 8D 45 80 50 8D 0C 3B 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 45 C0 50 0F B6 45 08 50 8B 4D F8 8D 55 80 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC 50 8D 45 B0 50 8B 45 D8 2B C3 8B 4D D8 8B 55 D4 E8 ?? ?? ?? ?? 8B C6 03 45 F4 50 8D 45 80 50 8B CF 03 4D F0 8B C7 03 45 F0 2B C3 8B D6 E8 ?? ?? ?? ?? 8D 45 B0 50 0F B6 45 08 50 8B 4D F8 8D 55 80 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 03 45 0C 50 8D 45 A0 50 8B 4D D8 2B CB 8B 45 D0 03 C3 8B 55 D4 E8 ?? ?? ?? ?? 8B C6 03 45 0C 50 8D 45 80 50 8B CF 03 4D F0 2B CB 8D 04 3B 8B D6 E8 ?? ?? ?? ?? 8D 45 A0 50 0F B6 45 08 50 8B 4D F8 8D 55 80 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC 50 8D 45 A0 50 8B 4D D8 2B CB 8B 55 DC 2B 55 0C 8B 45 D0 03 C3 E8 ?? ?? ?? ?? 8B C6 03 45 F4 50 8D 45 80 50 8B CF 03 4D F0 2B CB 8B D6 03 55 F4 2B 55 0C 8D 04 3B E8 ?? ?? ?? ?? 8D 45 A0 50 0F B6 45 08 50 8B 4D F8 8D 55 80 8B 45 FC E8 ?? ?? ?? ?? 56 57 8D 75 D0 8D 7D 90 A5 A5 A5 A5 5F 5E 8B 4D 0C F7 D9 8B D3 F7 DA 8D 45 90 E8 ?? ?? ?? ?? 8B C6 03 45 F4 2B 45 0C 50 8D 45 80 50 8B CF 03 4D F0 2B CB 8B D6 03 55 0C 8D 04 3B E8 ?? ?? ?? ?? 8D 45 90 50 0F B6 45 08 50 8B 4D F8 8D 55 80 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_84141_0 {
	meta:
		name = "DrawButton"
		size = 690
		refs = "0041 Rect 006e DrawTransparentBitmap 026c InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 8B FA 8B D8 8B 75 10 8B C3 8B 10 FF 52 24 8B 55 FC 2B 55 F4 3B C2 0F 85 EA 00 00 00 8B C3 8B 10 FF 52 24 50 8D 45 A0 50 8B CE 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 90 50 8B 4D F0 03 CE 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 90 50 0F B6 45 08 50 8B CF 8D 55 A0 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 50 8D 45 A0 50 8B C3 8B 10 FF 52 30 50 8B C3 8B 10 FF 52 30 2B C6 33 D2 59 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 90 50 8B 45 F8 2B C6 8B 4D F8 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 90 50 0F B6 45 08 50 8B CF 8D 55 A0 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 50 8D 45 A0 50 8B C3 8B 10 FF 52 30 8B C8 2B CE 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 90 50 8B 4D F8 2B CE 8B 45 F0 03 C6 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 90 50 0F B6 45 08 50 8B CF 8D 55 A0 8B C3 E8 ?? ?? ?? ?? E9 91 01 00 00 8B 45 FC 50 8D 45 E0 50 8B 4D F0 03 CE 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 50 8D 45 A0 50 8B CE 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E0 50 0F B6 45 08 50 8B CF 8D 55 A0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 D0 50 8B 45 F8 2B C6 8B 4D F8 8B 55 F4 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 50 8D 45 A0 50 8B C3 8B 10 FF 52 30 50 8B C3 8B 10 FF 52 30 2B C6 8B 55 F4 59 E8 ?? ?? ?? ?? 8D 45 D0 50 0F B6 45 08 50 8B CF 8D 55 A0 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 50 8D 45 C0 50 8B 4D F8 2B CE 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 50 8D 45 A0 50 8B C3 8B 10 FF 52 30 8B C8 2B CE 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8D 45 C0 50 0F B6 45 08 50 8B CF 8D 55 A0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 C0 50 8B 4D F8 2B CE 8B 55 FC 2B 55 0C 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 50 8D 45 A0 50 8B C3 8B 10 FF 52 30 2B C6 50 8B C3 8B 10 FF 52 24 8B D0 2B 55 0C 8B C6 59 E8 ?? ?? ?? ?? 8D 45 C0 50 0F B6 45 08 50 8B CF 8D 55 A0 8B C3 E8 ?? ?? ?? ?? 56 57 8D 75 F0 8D 7D B0 A5 A5 A5 A5 5F 5E 8B 4D 0C F7 D9 8B D6 F7 DA 8D 45 B0 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 2B 45 0C 50 8D 45 A0 50 8B C3 8B 10 FF 52 30 8B C8 2B CE 8B 55 0C 8B C6 E8 ?? ?? ?? ?? 8D 45 B0 50 0F B6 45 08 50 8B CF 8D 55 A0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_84142_0 {
	meta:
		name = "DrawButton"
		size = 43
		refs = "001f DrawButton"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 8B 75 0C 56 56 0F B6 4D 08 51 8D 4D F0 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_84143_0 {
	meta:
		name = "DrawButton"
		size = 42
		refs = "001e DrawButton"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 6A 02 6A 02 0F B6 4D 08 51 8D 4D F0 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84145_0 {
	meta:
		name = "TRibbonStyleActionBars.DrawElement"
		size = 928
		refs = "0034 Rect 0051 DrawButton 0233 DrawTransparentBitmap"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 75 08 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 84 D2 75 3F 68 4E 02 00 00 8D 45 E0 50 B9 F5 00 00 00 BA F8 01 00 00 B8 E1 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 03 6A 03 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 3D 03 00 00 80 FA 01 75 3F 68 4E 02 00 00 8D 45 E0 50 B9 E0 00 00 00 BA F8 01 00 00 B8 CC 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 03 6A 03 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 F9 02 00 00 80 FA 02 75 3F 68 4E 02 00 00 8D 45 E0 50 B9 0A 01 00 00 BA F8 01 00 00 B8 F6 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 03 6A 03 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 B5 02 00 00 80 FA 0C 75 3F 68 26 01 00 00 8D 45 E0 50 B9 3B 01 00 00 BA D0 00 00 00 B8 13 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 03 6A 03 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 71 02 00 00 80 FA 0D 75 3F 68 25 01 00 00 8D 45 E0 50 B9 63 01 00 00 BA D0 00 00 00 B8 3B 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 03 6A 03 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 2D 02 00 00 80 FA 0E 75 3F 68 25 01 00 00 8D 45 E0 50 B9 8B 01 00 00 BA D0 00 00 00 B8 63 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 03 6A 03 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 E9 01 00 00 8B C2 04 FD 2C 03 0F 83 82 00 00 00 80 FA 04 75 1F 68 48 02 00 00 8D 45 E0 50 B9 DE 00 00 00 BA 3D 02 00 00 B8 CE 00 00 00 E8 ?? ?? ?? ?? EB 41 80 FA 05 75 1F 68 49 02 00 00 8D 45 E0 50 B9 08 01 00 00 BA 3D 02 00 00 B8 F8 00 00 00 E8 ?? ?? ?? ?? EB 1D 68 49 02 00 00 8D 45 E0 50 B9 F3 00 00 00 BA 3D 02 00 00 B8 E3 00 00 00 E8 ?? ?? ?? ?? 83 6D FC 04 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 5B 01 00 00 80 FA 06 75 36 68 B5 00 00 00 8D 45 E0 50 B9 58 01 00 00 BA A7 00 00 00 B8 49 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 20 01 00 00 80 FA 07 75 36 68 B5 00 00 00 8D 45 E0 50 B9 67 01 00 00 BA A7 00 00 00 B8 58 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 E5 00 00 00 80 FA 08 75 36 68 B5 00 00 00 8D 45 E0 50 B9 76 01 00 00 BA A7 00 00 00 B8 67 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 AA 00 00 00 80 FA 0F 75 51 68 EF 00 00 00 8D 45 E0 50 B9 AB 01 00 00 BA D0 00 00 00 B8 8C 01 00 00 E8 ?? ?? ?? ?? 56 8D 75 F0 8D 7D D0 A5 A5 A5 A5 5E 8B 45 D0 83 C0 1F 89 45 D8 8B 45 D4 83 C0 1F 89 45 DC 8D 45 D0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? EB 54 80 FA 10 75 4F 68 0F 01 00 00 8D 45 E0 50 B9 AB 01 00 00 BA F0 00 00 00 B8 8C 01 00 00 E8 ?? ?? ?? ?? 56 8D 75 F0 8D 7D D0 A5 A5 A5 A5 5E 8B 45 D0 83 C0 1F 89 45 D8 8B 45 D4 83 C0 1F 89 45 DC 8D 45 D0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84146_0 {
	meta:
		name = "DrawTab"
		size = 540
		refs = "0094 DrawTransparentBitmap"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 8B F1 8D 7D D0 A5 A5 A5 A5 8B F2 8D 7D E0 A5 A5 A5 A5 8B F0 8D 7D F0 A5 A5 A5 A5 8B 5D 08 83 C3 E0 8D 75 B0 8B 7D 08 83 C7 F0 83 2F 02 83 47 08 02 56 57 8B F7 8B FB A5 A5 A5 A5 5F 5E 56 57 8B F7 8D 7D C0 A5 A5 A5 A5 5F 5E 8B 45 C0 83 C0 06 89 45 C8 8B 45 C4 83 C0 04 89 45 CC 56 57 8B FE 8D 75 F0 A5 A5 A5 A5 5F 5E 8B 46 04 83 C0 04 89 46 0C 8D 45 C0 50 8B 45 08 8B 48 D8 8B 45 08 8B 40 DC 8B 40 04 8B 40 04 8B D6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 D4 8B D0 83 EA 04 89 55 C4 89 45 CC 56 57 8B FE 8D 75 F0 A5 A5 A5 A5 5F 5E 8B 46 0C 83 E8 04 89 46 04 8D 45 C0 50 8B 45 08 8B 48 D8 8B 45 08 8B 40 DC 8B 40 04 8B 40 04 8B D6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 CC 83 C0 04 89 45 C4 8B 45 08 8B 40 D4 83 E8 04 89 45 CC 56 57 8B FE 8D 75 F0 A5 A5 A5 A5 5F 5E 83 46 04 04 83 6E 0C 04 8D 45 C0 50 8B 45 08 8B 48 D8 8B 45 08 8B 40 DC 8B 40 04 8B 40 04 8B D6 E8 ?? ?? ?? ?? 83 03 05 8B 03 03 47 08 2B 07 83 E8 0A 89 43 08 53 8B 45 08 8B 48 D8 8B 45 08 8B 40 DC 8B 40 04 8B 40 04 8D 55 E0 E8 ?? ?? ?? ?? 8B 43 08 89 03 83 C0 06 89 43 08 8B 47 04 89 43 04 83 C0 04 89 43 0C 56 57 8B FE 8D 75 D0 A5 A5 A5 A5 5F 5E 8B 46 04 83 C0 04 89 46 0C 53 8B 45 08 8B 48 D8 8B 45 08 8B 40 DC 8B 40 04 8B 40 04 8B D6 E8 ?? ?? ?? ?? 8B 47 0C 8B D0 83 EA 04 89 53 04 89 43 0C 56 57 8B FE 8D 75 D0 A5 A5 A5 A5 5F 5E 8B 46 0C 83 E8 04 89 46 04 53 8B 45 08 8B 48 D8 8B 45 08 8B 40 DC 8B 40 04 8B 40 04 8B D6 E8 ?? ?? ?? ?? 8B 47 04 83 C0 04 89 43 04 8B 47 0C 83 E8 04 89 43 0C 56 8B FE 8D 75 D0 A5 A5 A5 A5 5E 83 46 04 04 83 6E 0C 04 53 8B 45 08 8B 48 D8 8B 45 08 8B 40 DC 8B 40 04 8B 40 04 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84147_0 {
	meta:
		name = "TRibbonStyleActionBars.DrawElement"
		size = 1824
		refs = "0044 Rect 0096 DrawTab 0220 TRibbonStyleActionBars.DrawElement 0299 DrawTransparentBitmap"
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 56 57 8B 75 0C 8D 7D C8 A5 A5 A5 A5 89 4D D8 89 45 DC 8D 75 C8 8D 7D F0 A5 A5 A5 A5 80 FA 02 75 76 55 68 6F 01 00 00 8D 45 98 50 B9 77 01 00 00 BA 58 01 00 00 B8 71 01 00 00 E8 ?? ?? ?? ?? 8D 45 98 50 68 6F 01 00 00 8D 45 88 50 B9 70 01 00 00 BA 58 01 00 00 B8 1A 01 00 00 E8 ?? ?? ?? ?? 8D 45 88 50 68 6F 01 00 00 8D 85 78 FF FF FF 50 B9 19 01 00 00 BA 58 01 00 00 B8 13 01 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 5A 59 E8 ?? ?? ?? ?? 59 E9 78 06 00 00 80 FA 01 75 76 55 68 3D 01 00 00 8D 45 98 50 B9 77 01 00 00 BA 26 01 00 00 B8 71 01 00 00 E8 ?? ?? ?? ?? 8D 45 98 50 68 3D 01 00 00 8D 45 88 50 B9 70 01 00 00 BA 26 01 00 00 B8 1A 01 00 00 E8 ?? ?? ?? ?? 8D 45 88 50 68 3D 01 00 00 8D 85 78 FF FF FF 50 B9 19 01 00 00 BA 26 01 00 00 B8 13 01 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 5A 59 E8 ?? ?? ?? ?? 59 E9 FD 05 00 00 80 FA 05 75 76 55 68 88 01 00 00 8D 45 98 50 B9 77 01 00 00 BA 71 01 00 00 B8 71 01 00 00 E8 ?? ?? ?? ?? 8D 45 98 50 68 88 01 00 00 8D 45 88 50 B9 70 01 00 00 BA 71 01 00 00 B8 1A 01 00 00 E8 ?? ?? ?? ?? 8D 45 88 50 68 88 01 00 00 8D 85 78 FF FF FF 50 B9 19 01 00 00 BA 71 01 00 00 B8 13 01 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 5A 59 E8 ?? ?? ?? ?? 59 E9 82 05 00 00 80 FA 03 75 76 55 68 55 01 00 00 8D 45 98 50 B9 77 01 00 00 BA 3F 01 00 00 B8 71 01 00 00 E8 ?? ?? ?? ?? 8D 45 98 50 68 55 01 00 00 8D 45 88 50 B9 70 01 00 00 BA 3F 01 00 00 B8 1A 01 00 00 E8 ?? ?? ?? ?? 8D 45 88 50 68 55 01 00 00 8D 85 78 FF FF FF 50 B9 19 01 00 00 BA 3F 01 00 00 B8 13 01 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 5A 59 E8 ?? ?? ?? ?? 59 E9 07 05 00 00 0F B6 C2 83 F8 10 0F 87 FB 04 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 68 A3 01 00 00 8D 45 B8 50 B9 2C 01 00 00 BA 8B 01 00 00 B8 14 01 00 00 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 DC 8B 40 04 8B 40 04 8B 4D D8 8D 55 B8 E8 ?? ?? ?? ?? E9 76 04 00 00 68 A2 01 00 00 8D 45 B8 50 B9 2E 01 00 00 BA 8B 01 00 00 B8 2D 01 00 00 E8 ?? ?? ?? ?? 8D 45 C8 50 0F B6 45 08 50 8B 45 DC 8B 40 04 8B 40 04 8B 4D D8 8D 55 B8 E8 ?? ?? ?? ?? E9 37 04 00 00 68 CF 00 00 00 8D 45 B8 50 B9 20 01 00 00 BA B9 00 00 00 B8 14 01 00 00 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 DC 8B 40 04 8B 40 04 8B 4D D8 8D 55 B8 E8 ?? ?? ?? ?? E9 FD 03 00 00 68 CF 00 00 00 8D 45 B8 50 B9 2E 01 00 00 BA B9 00 00 00 B8 22 01 00 00 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 DC 8B 40 04 8B 40 04 8B 4D D8 8D 55 B8 E8 ?? ?? ?? ?? E9 C3 03 00 00 68 CF 00 00 00 8D 45 B8 50 B9 3C 01 00 00 BA B9 00 00 00 B8 30 01 00 00 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 DC 8B 40 04 8B 40 04 8B 4D D8 8D 55 B8 E8 ?? ?? ?? ?? E9 89 03 00 00 68 CF 00 00 00 8D 45 B8 50 B9 49 01 00 00 BA B9 00 00 00 B8 3D 01 00 00 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 DC 8B 40 04 8B 40 04 8B 4D D8 8D 55 B8 E8 ?? ?? ?? ?? E9 4F 03 00 00 68 CF 00 00 00 8D 45 B8 50 B9 57 01 00 00 BA B9 00 00 00 B8 4B 01 00 00 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 DC 8B 40 04 8B 40 04 8B 4D D8 8D 55 B8 E8 ?? ?? ?? ?? E9 15 03 00 00 68 CF 00 00 00 8D 45 B8 50 B9 65 01 00 00 BA B9 00 00 00 B8 59 01 00 00 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 DC 8B 40 04 8B 40 04 8B 4D D8 8D 55 B8 E8 ?? ?? ?? ?? E9 DB 02 00 00 6A 5B 8D 45 B8 50 B9 30 01 00 00 33 D2 B8 24 01 00 00 E8 ?? ?? ?? ?? 8D 75 C8 8D 7D A8 A5 A5 A5 A5 8B 45 A8 83 C0 0C 89 45 B0 8B 45 AC 83 C0 5B 89 45 B4 8D 45 A8 50 8B 45 DC 8B 40 04 8B 40 04 8B 4D D8 8D 55 B8 E8 ?? ?? ?? ?? 68 C5 00 00 00 8D 45 B8 50 B9 6B 00 00 00 BA C0 00 00 00 B8 68 00 00 00 E8 ?? ?? ?? ?? 8B 45 B0 2B 45 A8 D1 F8 79 03 83 D0 00 48 89 45 A8 83 C0 03 89 45 B0 8B 45 B4 2B 45 AC D1 F8 79 03 83 D0 00 83 E8 02 89 45 AC 83 C0 05 89 45 B4 8D 45 A8 50 8B 45 DC 8B 40 04 8B 40 04 8B 4D D8 8D 55 B8 E8 ?? ?? ?? ?? E9 26 02 00 00 6A 5B 8D 45 B8 50 B9 3C 01 00 00 33 D2 B8 30 01 00 00 E8 ?? ?? ?? ?? 8D 75 C8 8D 7D A8 A5 A5 A5 A5 8B 45 A8 83 C0 0C 89 45 B0 8B 45 AC 83 C0 5B 89 45 B4 8D 45 A8 50 8B 45 DC 8B 40 04 8B 40 04 8B 4D D8 8D 55 B8 E8 ?? ?? ?? ?? 68 C5 00 00 00 8D 45 B8 50 B9 6B 00 00 00 BA C0 00 00 00 B8 68 00 00 00 E8 ?? ?? ?? ?? 8B 45 B0 2B 45 A8 D1 F8 79 03 83 D0 00 48 89 45 A8 83 C0 03 89 45 B0 8B 45 B4 2B 45 AC D1 F8 79 03 83 D0 00 83 E8 02 89 45 AC 83 C0 05 89 45 B4 8D 45 A8 50 8B 45 DC 8B 40 04 8B 40 04 8B 4D D8 8D 55 B8 E8 ?? ?? ?? ?? E9 71 01 00 00 68 B7 00 00 00 8D 45 B8 50 B9 30 01 00 00 BA 5C 00 00 00 B8 24 01 00 00 E8 ?? ?? ?? ?? 8D 75 C8 8D 7D A8 A5 A5 A5 A5 8B 45 A8 83 C0 0C 89 45 B0 8B 45 AC 83 C0 5B 89 45 B4 8D 45 A8 50 8B 45 DC 8B 40 04 8B 40 04 8B 4D D8 8D 55 B8 E8 ?? ?? ?? ?? 68 C5 00 00 00 8D 45 B8 50 B9 6F 00 00 00 BA C0 00 00 00 B8 6C 00 00 00 E8 ?? ?? ?? ?? 8B 45 B0 2B 45 A8 D1 F8 79 03 83 D0 00 48 89 45 A8 83 C0 03 89 45 B0 8B 45 B4 2B 45 AC D1 F8 79 03 83 D0 00 83 E8 02 89 45 AC 83 C0 05 89 45 B4 8D 45 A8 50 8B 45 DC 8B 40 04 8B 40 04 8B 4D D8 8D 55 B8 E8 ?? ?? ?? ?? E9 B6 00 00 00 68 B7 00 00 00 8D 45 B8 50 B9 3C 01 00 00 BA 5C 00 00 00 B8 30 01 00 00 E8 ?? ?? ?? ?? 8D 75 C8 8D 7D A8 A5 A5 A5 A5 8B 45 A8 83 C0 0C 89 45 B0 8B 45 AC 83 C0 5B 89 45 B4 8D 45 A8 50 8B 45 DC 8B 40 04 8B 40 04 8B 4D D8 8D 55 B8 E8 ?? ?? ?? ?? 68 C5 00 00 00 8D 45 B8 50 B9 6F 00 00 00 BA C0 00 00 00 B8 6C 00 00 00 E8 ?? ?? ?? ?? 8B 45 B0 2B 45 A8 D1 F8 79 03 83 D0 00 48 89 45 A8 83 C0 03 89 45 B0 8B 45 B4 2B 45 AC D1 F8 79 03 83 D0 00 83 E8 02 89 45 AC 83 C0 05 89 45 B4 8D 45 A8 50 8B 45 DC 8B 40 04 8B 40 04 8B 4D D8 8D 55 B8 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_84148_0 {
	meta:
		name = "TRibbonStyleActionBars.DrawElement"
		size = 4722
		refs = "0050 Rect 00f2 DrawButton 0236 DrawTransparentBitmap 02e1 _DV_TAlphaBitmap 02e6 TAlphaBitmap.Create 02f1 TRibbonStyleActionBars.DrawElement 031a TBitmap.GetCanvas 0365 TObject.Free 036b @HandleFinally 108d TPen.SetColor 1193 InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 8B 75 0C 8D 7D E4 A5 A5 A5 A5 89 4D F8 8B DA 89 45 FC 8B C3 2C 07 74 0A 04 FD 2C 04 0F 83 D0 00 00 00 BE 42 00 00 00 80 FB 0A 75 21 81 C6 CF 00 00 00 56 8D 45 D4 50 B9 C9 00 00 00 BA CF 00 00 00 B8 97 00 00 00 E8 ?? ?? ?? ?? EB 7F 80 FB 0B 75 25 8B C6 03 C0 05 CF 00 00 00 50 8D 45 D4 50 8D 96 CF 00 00 00 B9 97 00 00 00 B8 65 00 00 00 E8 ?? ?? ?? ?? EB 55 80 FB 0C 75 25 8B C6 03 C0 05 CF 00 00 00 50 8D 45 D4 50 8D 96 CF 00 00 00 B9 C9 00 00 00 B8 97 00 00 00 E8 ?? ?? ?? ?? EB 2B 80 FB 0D 75 26 8D 04 76 05 CF 00 00 00 50 8D 45 D4 50 8B D6 03 D2 81 C2 CF 00 00 00 B9 97 00 00 00 B8 65 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 50 6A 02 6A 02 68 FF 00 00 00 8B 45 FC 8B 40 04 8B 40 04 8B 4D F8 8D 55 D4 E8 ?? ?? ?? ?? E9 6E 11 00 00 8B C3 84 C0 74 0A 04 FE 2C 05 0F 83 DC 00 00 00 BE 16 00 00 00 80 FB 02 75 1F 8B C6 03 C0 50 8D 45 D4 50 B9 C7 00 00 00 8B D6 B8 63 00 00 00 E8 ?? ?? ?? ?? E9 8D 00 00 00 80 FB 03 75 1D 8D 04 76 50 8D 45 D4 50 8B D6 03 D2 B9 C7 00 00 00 B8 63 00 00 00 E8 ?? ?? ?? ?? EB 6B 80 FB 04 75 1F 8B C6 03 C0 03 C0 50 8D 45 D4 50 8D 14 76 B9 C7 00 00 00 B8 63 00 00 00 E8 ?? ?? ?? ?? EB 47 80 FB 05 75 1F 8D 04 B6 50 8D 45 D4 50 8B D6 03 D2 03 D2 B9 C7 00 00 00 B8 63 00 00 00 E8 ?? ?? ?? ?? EB 23 80 FB 06 75 1E 8B C6 03 C0 8D 04 40 50 8D 45 D4 50 8D 14 B6 B9 C7 00 00 00 B8 63 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 50 6A 02 6A 02 68 FF 00 00 00 8B 45 FC 8B 40 04 8B 40 04 8B 4D F8 8D 55 D4 E8 ?? ?? ?? ?? E9 82 10 00 00 80 FB 0E 75 53 68 82 00 00 00 8D 45 D4 50 B9 CA 00 00 00 BA 6F 00 00 00 B8 C8 00 00 00 E8 ?? ?? ?? ?? 8D 75 E4 8D 7D C4 A5 A5 A5 A5 8B 45 C4 83 C0 02 89 45 CC FF 45 C8 FF 4D D0 8D 45 C4 50 8B 45 FC 8B 40 04 8B 40 04 8B 4D F8 8D 55 D4 E8 ?? ?? ?? ?? E9 2A 10 00 00 80 FB 18 0F 85 29 01 00 00 68 CE 00 00 00 8D 45 D4 50 B9 97 00 00 00 BA CC 00 00 00 B8 65 00 00 00 E8 ?? ?? ?? ?? 8D 75 E4 8D 7D C4 A5 A5 A5 A5 8B 45 C8 83 C0 02 89 45 D0 8D 45 C4 50 8B 45 FC 8B 40 04 8B 40 04 8B 4D F8 8D 55 D4 E8 ?? ?? ?? ?? BE 42 00 00 00 8D 04 76 05 CF 00 00 00 50 8D 45 D4 50 8B D6 03 D2 81 C2 CF 00 00 00 03 55 E8 83 C2 02 B9 C9 00 00 00 B8 97 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 83 C0 02 8B D6 2B D0 52 8D 45 C4 50 B9 32 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 83 C0 02 8B CE 2B C8 BA 32 00 00 00 8B 45 F4 8B 18 FF 53 6C 8D 45 C4 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 40 04 8B 40 04 8D 55 D4 E8 ?? ?? ?? ?? 8D 75 E4 8D 7D D4 A5 A5 A5 A5 FF 4D D4 FF 45 DC 0F B6 45 08 50 8D 4D D4 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 FB 09 75 51 BE 42 00 00 00 8D 04 76 05 CF 00 00 00 50 8D 45 D4 50 8B D6 03 D2 81 C2 CF 00 00 00 B9 C9 00 00 00 B8 97 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 50 6A 02 6A 02 68 FF 00 00 00 8B 45 FC 8B 40 04 8B 40 04 8B 4D F8 8D 55 D4 E8 ?? ?? ?? ?? E9 A2 0E 00 00 80 FB 1C 75 4E BE 42 00 00 00 8B C6 03 C0 05 CF 00 00 00 50 8D 45 D4 50 8D 96 CF 00 00 00 B9 C9 00 00 00 B8 97 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 50 6A 02 6A 02 68 FF 00 00 00 8B 45 FC 8B 40 04 8B 40 04 8B 4D F8 8D 55 D4 E8 ?? ?? ?? ?? E9 4F 0E 00 00 80 FB 1D 75 51 BE 42 00 00 00 8D 04 76 05 CF 00 00 00 50 8D 45 D4 50 8B D6 03 D2 81 C2 CF 00 00 00 B9 97 00 00 00 B8 65 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 50 6A 02 6A 02 68 FF 00 00 00 8B 45 FC 8B 40 04 8B 40 04 8B 4D F8 8D 55 D4 E8 ?? ?? ?? ?? E9 F9 0D 00 00 8B C3 04 E6 2C 02 0F 83 89 01 00 00 68 CE 00 00 00 8D 45 D4 50 B9 97 00 00 00 BA CC 00 00 00 B8 65 00 00 00 E8 ?? ?? ?? ?? 8D 75 E4 8D 7D C4 A5 A5 A5 A5 8B 45 C8 83 C0 02 89 45 D0 8D 45 C4 50 8B 45 FC 8B 40 04 8B 40 04 8B 4D F8 8D 55 D4 E8 ?? ?? ?? ?? BE 42 00 00 00 80 FB 1A 75 28 8D 86 CF 00 00 00 50 8D 45 D4 50 8B 55 E8 81 C2 CF 00 00 00 83 C2 02 B9 C9 00 00 00 B8 97 00 00 00 E8 ?? ?? ?? ?? EB 5B 80 FB 1C 75 2D 8B C6 03 C0 05 CF 00 00 00 50 8D 45 D4 50 8B 55 E8 81 C2 CF 00 00 00 83 C2 02 03 D6 B9 C9 00 00 00 B8 97 00 00 00 E8 ?? ?? ?? ?? EB 29 8B C6 03 C0 05 CF 00 00 00 50 8D 45 D4 50 8D 96 CF 00 00 00 03 55 E8 83 C2 02 B9 97 00 00 00 B8 65 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 83 C0 02 8B D6 2B D0 52 8D 45 C4 50 B9 32 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 83 C0 02 8B CE 2B C8 BA 32 00 00 00 8B 45 F4 8B 18 FF 53 6C 8D 45 C4 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 40 04 8B 40 04 8D 55 D4 E8 ?? ?? ?? ?? 8D 75 E4 8D 7D D4 A5 A5 A5 A5 83 45 D8 02 FF 4D D4 FF 45 DC 0F B6 45 08 50 8D 4D D4 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 2C 28 74 10 2C 06 74 0C 2C 0A 74 08 2C 06 0F 85 94 00 00 00 80 FB 28 75 16 6A 16 8D 45 D4 50 B9 16 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? EB 53 80 FB 2E 75 19 6A 16 8D 45 D4 50 B9 2E 00 00 00 33 D2 B8 16 00 00 00 E8 ?? ?? ?? ?? EB 35 80 FB 38 75 19 6A 16 8D 45 D4 50 B9 46 00 00 00 33 D2 B8 2F 00 00 00 E8 ?? ?? ?? ?? EB 17 6A 16 8D 45 D4 50 B9 5F 00 00 00 33 D2 B8 47 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 50 6A 02 6A 02 68 FF 00 00 00 8B 45 FC 8B 40 04 8B 40 04 8B 4D F8 8D 55 D4 E8 ?? ?? ?? ?? E9 BA 0B 00 00 8B C3 2C 29 74 10 2C 06 74 0C 2C 0A 74 08 2C 06 0F 85 A0 00 00 00 80 FB 29 75 19 6A 2C 8D 45 D4 50 B9 16 00 00 00 BA 16 00 00 00 33 C0 E8 ?? ?? ?? ?? EB 5C 80 FB 2F 75 1C 6A 2C 8D 45 D4 50 B9 2E 00 00 00 BA 16 00 00 00 B8 16 00 00 00 E8 ?? ?? ?? ?? EB 3B 80 FB 39 75 1C 6A 2C 8D 45 D4 50 B9 46 00 00 00 BA 16 00 00 00 B8 2F 00 00 00 E8 ?? ?? ?? ?? EB 1A 6A 2C 8D 45 D4 50 B9 5F 00 00 00 BA 16 00 00 00 B8 47 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 50 6A 02 6A 02 68 FF 00 00 00 8B 45 FC 8B 40 04 8B 40 04 8B 4D F8 8D 55 D4 E8 ?? ?? ?? ?? E9 04 0B 00 00 8B C3 2C 2A 74 10 2C 06 74 0C 2C 0A 74 08 2C 06 0F 85 A0 00 00 00 80 FB 2A 75 19 6A 42 8D 45 D4 50 B9 16 00 00 00 BA 2C 00 00 00 33 C0 E8 ?? ?? ?? ?? EB 5C 80 FB 30 75 1C 6A 42 8D 45 D4 50 B9 2E 00 00 00 BA 2C 00 00 00 B8 16 00 00 00 E8 ?? ?? ?? ?? EB 3B 80 FB 3A 75 1C 6A 42 8D 45 D4 50 B9 46 00 00 00 BA 2C 00 00 00 B8 2F 00 00 00 E8 ?? ?? ?? ?? EB 1A 6A 42 8D 45 D4 50 B9 5F 00 00 00 BA 2C 00 00 00 B8 47 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 50 6A 02 6A 02 68 FF 00 00 00 8B 45 FC 8B 40 04 8B 40 04 8B 4D F8 8D 55 D4 E8 ?? ?? ?? ?? E9 4E 0A 00 00 8B C3 2C 2B 74 10 2C 06 74 0C 2C 0A 74 08 2C 06 0F 85 A0 00 00 00 80 FB 2B 75 19 6A 58 8D 45 D4 50 B9 16 00 00 00 BA 42 00 00 00 33 C0 E8 ?? ?? ?? ?? EB 5C 80 FB 31 75 1C 6A 58 8D 45 D4 50 B9 2E 00 00 00 BA 42 00 00 00 B8 16 00 00 00 E8 ?? ?? ?? ?? EB 3B 80 FB 3B 75 1C 6A 58 8D 45 D4 50 B9 46 00 00 00 BA 42 00 00 00 B8 2F 00 00 00 E8 ?? ?? ?? ?? EB 1A 6A 58 8D 45 D4 50 B9 5F 00 00 00 BA 42 00 00 00 B8 47 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 50 6A 02 6A 02 68 FF 00 00 00 8B 45 FC 8B 40 04 8B 40 04 8B 4D F8 8D 55 D4 E8 ?? ?? ?? ?? E9 98 09 00 00 8B C3 2C 2C 74 10 2C 06 74 0C 2C 0A 74 08 2C 06 0F 85 A0 00 00 00 80 FB 2C 75 19 6A 6E 8D 45 D4 50 B9 16 00 00 00 BA 58 00 00 00 33 C0 E8 ?? ?? ?? ?? EB 5C 80 FB 32 75 1C 6A 6E 8D 45 D4 50 B9 2E 00 00 00 BA 58 00 00 00 B8 16 00 00 00 E8 ?? ?? ?? ?? EB 3B 80 FB 3C 75 1C 6A 6E 8D 45 D4 50 B9 46 00 00 00 BA 58 00 00 00 B8 2F 00 00 00 E8 ?? ?? ?? ?? EB 1A 6A 6E 8D 45 D4 50 B9 5F 00 00 00 BA 58 00 00 00 B8 47 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 50 6A 02 6A 02 68 FF 00 00 00 8B 45 FC 8B 40 04 8B 40 04 8B 4D F8 8D 55 D4 E8 ?? ?? ?? ?? E9 E2 08 00 00 8B C3 2C 2D 74 10 2C 06 74 0C 2C 0A 74 08 2C 06 0F 85 AC 00 00 00 80 FB 2D 75 1C 68 84 00 00 00 8D 45 D4 50 B9 16 00 00 00 BA 6E 00 00 00 33 C0 E8 ?? ?? ?? ?? EB 65 80 FB 33 75 1F 68 84 00 00 00 8D 45 D4 50 B9 2E 00 00 00 BA 6E 00 00 00 B8 16 00 00 00 E8 ?? ?? ?? ?? EB 41 80 FB 3D 75 1F 68 84 00 00 00 8D 45 D4 50 B9 46 00 00 00 BA 6E 00 00 00 B8 2F 00 00 00 E8 ?? ?? ?? ?? EB 1D 68 84 00 00 00 8D 45 D4 50 B9 5F 00 00 00 BA 6E 00 00 00 B8 47 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 50 6A 02 6A 02 68 FF 00 00 00 8B 45 FC 8B 40 04 8B 40 04 8B 4D F8 8D 55 D4 E8 ?? ?? ?? ?? E9 20 08 00 00 8B C3 04 CC 2C 04 0F 83 AC 00 00 00 80 FB 2D 75 1C 68 84 00 00 00 8D 45 D4 50 B9 14 00 00 00 BA 6E 00 00 00 33 C0 E8 ?? ?? ?? ?? EB 65 80 FB 3D 75 1F 68 84 00 00 00 8D 45 D4 50 B9 2C 00 00 00 BA 6E 00 00 00 B8 16 00 00 00 E8 ?? ?? ?? ?? EB 41 80 FB 3D 75 1F 68 84 00 00 00 8D 45 D4 50 B9 44 00 00 00 BA 6E 00 00 00 B8 2F 00 00 00 E8 ?? ?? ?? ?? EB 1D 68 84 00 00 00 8D 45 D4 50 B9 5D 00 00 00 BA 6E 00 00 00 B8 47 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 50 6A 02 6A 02 68 FF 00 00 00 8B 45 FC 8B 40 04 8B 40 04 8B 4D F8 8D 55 D4 E8 ?? ?? ?? ?? E9 68 07 00 00 8B C3 04 EB 2C 03 0F 83 11 01 00 00 BE 16 00 00 00 80 FB 15 75 29 8B C6 03 C0 50 8D 45 D4 50 8B 45 EC 2B 45 E4 50 B8 C7 00 00 00 5A 2B C2 B9 C7 00 00 00 8B D6 E8 ?? ?? ?? ?? E9 B8 00 00 00 80 FB 16 75 2A 8D 04 76 50 8D 45 D4 50 8B 45 EC 2B 45 E4 50 B8 C7 00 00 00 5A 2B C2 8B D6 03 D2 B9 C7 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 80 FB 12 75 29 8B C6 03 C0 03 C0 50 8D 45 D4 50 8B 45 EC 2B 45 E4 50 B8 C7 00 00 00 5A 2B C2 8D 14 76 B9 C7 00 00 00 E8 ?? ?? ?? ?? EB 5B 80 FB 13 75 29 8D 04 B6 50 8D 45 D4 50 8B 45 EC 2B 45 E4 50 B8 C7 00 00 00 5A 2B C2 8B D6 03 D2 03 D2 B9 C7 00 00 00 E8 ?? ?? ?? ?? EB 2D 80 FB 17 75 28 8B C6 03 C0 8D 04 40 50 8D 45 D4 50 8B 45 EC 2B 45 E4 50 B8 C7 00 00 00 5A 2B C2 8D 14 B6 B9 C7 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 50 6A 02 6A 02 68 FF 00 00 00 8B 45 FC 8B 40 04 8B 40 04 8B 4D F8 8D 55 D4 E8 ?? ?? ?? ?? E9 4B 06 00 00 8B C3 04 B5 2C 03 72 08 2C 03 0F 85 CB 00 00 00 80 FB 4B 75 26 6A 2C 8D 45 D4 50 8B 45 EC 2B 45 E4 50 B8 16 00 00 00 5A 2B C2 B9 16 00 00 00 BA 16 00 00 00 E8 ?? ?? ?? ?? EB 7A 80 FB 51 75 26 6A 2C 8D 45 D4 50 8B 45 EC 2B 45 E4 50 B8 2E 00 00 00 5A 2B C2 B9 2E 00 00 00 BA 16 00 00 00 E8 ?? ?? ?? ?? EB 4F 80 FB 4C 75 26 6A 2C 8D 45 D4 50 8B 45 EC 2B 45 E4 50 B8 46 00 00 00 5A 2B C2 B9 46 00 00 00 BA 16 00 00 00 E8 ?? ?? ?? ?? EB 24 6A 2C 8D 45 D4 50 8B 45 EC 2B 45 E4 50 B8 5F 00 00 00 5A 2B C2 B9 5F 00 00 00 BA 16 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 50 6A 02 6A 02 68 FF 00 00 00 8B 45 FC 8B 40 04 8B 40 04 8B 4D F8 8D 55 D4 E8 ?? ?? ?? ?? E9 70 05 00 00 8B C3 04 AA 2C 04 0F 83 CB 00 00 00 80 FB 4B 75 26 6A 42 8D 45 D4 50 8B 45 EC 2B 45 E4 50 B8 16 00 00 00 5A 2B C2 B9 16 00 00 00 BA 2C 00 00 00 E8 ?? ?? ?? ?? EB 7A 80 FB 51 75 26 6A 42 8D 45 D4 50 8B 45 EC 2B 45 E4 50 B8 2E 00 00 00 5A 2B C2 B9 2E 00 00 00 BA 2C 00 00 00 E8 ?? ?? ?? ?? EB 4F 80 FB 4C 75 26 6A 42 8D 45 D4 50 8B 45 EC 2B 45 E4 50 B8 46 00 00 00 5A 2B C2 B9 46 00 00 00 BA 2C 00 00 00 E8 ?? ?? ?? ?? EB 24 6A 42 8D 45 D4 50 8B 45 EC 2B 45 E4 50 B8 5F 00 00 00 5A 2B C2 B9 5F 00 00 00 BA 2C 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 50 6A 02 6A 02 68 FF 00 00 00 8B 45 FC 8B 40 04 8B 40 04 8B 4D F8 8D 55 D4 E8 ?? ?? ?? ?? E9 99 04 00 00 8B C3 04 BB 2C 04 0F 83 A0 00 00 00 80 FB 45 75 19 6A 2C 8D 45 D4 50 B9 14 00 00 00 BA 16 00 00 00 33 C0 E8 ?? ?? ?? ?? EB 5C 80 FB 46 75 1C 6A 2C 8D 45 D4 50 B9 2C 00 00 00 BA 16 00 00 00 B8 16 00 00 00 E8 ?? ?? ?? ?? EB 3B 80 FB 47 75 1C 6A 2C 8D 45 D4 50 B9 44 00 00 00 BA 16 00 00 00 B8 2E 00 00 00 E8 ?? ?? ?? ?? EB 1A 6A 2C 8D 45 D4 50 B9 5D 00 00 00 BA 16 00 00 00 B8 47 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 50 6A 02 6A 02 68 FF 00 00 00 8B 45 FC 8B 40 04 8B 40 04 8B 4D F8 8D 55 D4 E8 ?? ?? ?? ?? E9 ED 03 00 00 8B C3 2C 4F 74 0A 04 FC 2C 03 0F 83 A0 00 00 00 80 FB 53 75 19 6A 42 8D 45 D4 50 B9 14 00 00 00 BA 2C 00 00 00 33 C0 E8 ?? ?? ?? ?? EB 5C 80 FB 4F 75 1C 6A 42 8D 45 D4 50 B9 2C 00 00 00 BA 2C 00 00 00 B8 16 00 00 00 E8 ?? ?? ?? ?? EB 3B 80 FB 54 75 1C 6A 42 8D 45 D4 50 B9 44 00 00 00 BA 2C 00 00 00 B8 2F 00 00 00 E8 ?? ?? ?? ?? EB 1A 6A 42 8D 45 D4 50 B9 5D 00 00 00 BA 2C 00 00 00 B8 47 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 50 6A 02 6A 02 68 FF 00 00 00 8B 45 FC 8B 40 04 8B 40 04 8B 4D F8 8D 55 D4 E8 ?? ?? ?? ?? E9 3D 03 00 00 8B C3 2C 4A 74 10 2C 04 74 0C 2C 02 74 08 2C 02 0F 85 DA 00 00 00 80 FB 52 75 2C 68 84 00 00 00 8D 45 D4 50 8B 45 EC 2B 45 E4 50 B8 16 00 00 00 5A 2B C2 B9 16 00 00 00 BA 6E 00 00 00 E8 ?? ?? ?? ?? E9 83 00 00 00 80 FB 50 75 29 68 84 00 00 00 8D 45 D4 50 8B 45 EC 2B 45 E4 50 B8 2E 00 00 00 5A 2B C2 B9 2E 00 00 00 BA 6E 00 00 00 E8 ?? ?? ?? ?? EB 55 80 FB 4A 75 29 68 84 00 00 00 8D 45 D4 50 8B 45 EC 2B 45 E4 50 B8 46 00 00 00 5A 2B C2 B9 46 00 00 00 BA 6E 00 00 00 E8 ?? ?? ?? ?? EB 27 68 84 00 00 00 8D 45 D4 50 8B 45 EC 2B 45 E4 50 B8 5F 00 00 00 5A 2B C2 B9 5F 00 00 00 BA 6E 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 50 6A 02 6A 02 68 FF }
	condition:
		$1
}

rule function_84149_0 {
	meta:
		name = "TRibbonStyleActionBars.DrawElement"
		size = 1845
		refs = "0040 Rect 005e DrawButton 0259 DrawTransparentBitmap 038b TRibbonStyleActionBars.DrawElement"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 8B 75 08 8D 7D E8 A5 A5 A5 A5 89 4D FC 8B F0 80 FA 04 75 4A C7 45 F8 64 00 00 00 BB 16 00 00 00 8B C3 03 C0 50 8D 45 D8 50 8B 4D F8 83 C1 63 8B D3 B8 63 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 6A 02 6A 02 68 FF 00 00 00 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? E9 C5 06 00 00 80 FA 03 75 4D C7 45 F8 64 00 00 00 BB 16 00 00 00 8B C3 03 C0 03 C0 50 8D 45 D8 50 8B 4D F8 83 C1 63 8D 14 5B B8 63 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 6A 02 6A 02 68 FF 00 00 00 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? E9 73 06 00 00 80 FA 05 75 46 C7 45 F8 64 00 00 00 BB 16 00 00 00 53 8D 45 D8 50 8B 4D F8 83 C1 63 33 D2 B8 63 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 6A 02 6A 02 68 FF 00 00 00 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? E9 28 06 00 00 8B C2 04 EC 2C 02 73 6E C7 45 F8 64 00 00 00 BB 34 00 00 00 80 FA 14 75 1C 81 C3 25 01 00 00 53 8D 45 D8 50 8B 4D F8 BA 25 01 00 00 33 C0 E8 ?? ?? ?? ?? EB 1E 8B C3 03 C0 05 25 01 00 00 50 8D 45 D8 50 8D 93 25 01 00 00 8B 4D F8 33 C0 E8 ?? ?? ?? ?? 8D 45 E8 50 6A 02 6A 02 68 FF 00 00 00 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? E9 B2 05 00 00 80 FA 1A 75 40 68 CE 00 00 00 8D 45 D8 50 B9 7D 01 00 00 BA B8 00 00 00 B8 69 01 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 6A 02 6A 02 68 FF 00 00 00 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? E9 6D 05 00 00 80 FA 1B 75 40 68 CE 00 00 00 8D 45 D8 50 B9 91 01 00 00 BA B8 00 00 00 B8 7D 01 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 6A 02 6A 02 68 FF 00 00 00 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? E9 28 05 00 00 80 FA 06 75 59 6A 7B 8D 45 D8 50 B9 DF 00 00 00 BA 67 00 00 00 B8 CB 00 00 00 E8 ?? ?? ?? ?? 56 8D 75 E8 8D 7D C8 A5 A5 A5 A5 5E 83 45 C8 02 FF 45 CC 8B 45 C8 83 C0 14 89 45 D0 8B 45 CC 83 C0 14 89 45 D4 8D 45 C8 50 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? E9 CA 04 00 00 80 FA 07 75 59 6A 7B 8D 45 D8 50 B9 F3 00 00 00 BA 67 00 00 00 B8 DF 00 00 00 E8 ?? ?? ?? ?? 56 8D 75 E8 8D 7D C8 A5 A5 A5 A5 5E 83 45 C8 02 FF 45 CC 8B 45 C8 83 C0 14 89 45 D0 8B 45 CC 83 C0 14 89 45 D4 8D 45 C8 50 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? E9 6C 04 00 00 80 FA 08 75 59 6A 7B 8D 45 D8 50 B9 07 01 00 00 BA 67 00 00 00 B8 F3 00 00 00 E8 ?? ?? ?? ?? 56 8D 75 E8 8D 7D C8 A5 A5 A5 A5 5E 83 45 C8 02 FF 45 CC 8B 45 C8 83 C0 14 89 45 D0 8B 45 CC 83 C0 14 89 45 D4 8D 45 C8 50 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? E9 0E 04 00 00 80 FA 09 75 59 6A 7B 8D 45 D8 50 B9 1B 01 00 00 BA 67 00 00 00 B8 07 01 00 00 E8 ?? ?? ?? ?? 56 8D 75 E8 8D 7D C8 A5 A5 A5 A5 5E 83 45 C8 02 FF 45 CC 8B 45 C8 83 C0 14 89 45 D0 8B 45 CC 83 C0 14 89 45 D4 8D 45 C8 50 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? E9 B0 03 00 00 0F B6 C2 83 F8 19 0F 87 A4 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 68 9F 00 00 00 8D 45 D8 50 B9 23 01 00 00 BA 92 00 00 00 33 C0 E8 ?? ?? ?? ?? 8D 45 E8 50 6A 02 6A 02 68 FF 00 00 00 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? E9 F8 02 00 00 68 92 00 00 00 8D 45 D8 50 B9 23 01 00 00 BA 85 00 00 00 33 C0 E8 ?? ?? ?? ?? 8D 45 E8 50 6A 02 6A 02 68 FF 00 00 00 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? E9 BB 02 00 00 6A 58 8D 45 D8 50 B9 B7 01 00 00 BA 4D 00 00 00 B8 A8 01 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? E9 87 02 00 00 6A 4C 8D 45 D8 50 B9 B6 01 00 00 BA 48 00 00 00 B8 A8 01 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? E9 53 02 00 00 6A 47 8D 45 D8 50 B9 AE 01 00 00 BA 41 00 00 00 B8 A8 01 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? E9 1F 02 00 00 6A 40 8D 45 D8 50 B9 21 01 00 00 BA 27 00 00 00 B8 CA 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? E9 EB 01 00 00 6A 1A 8D 45 D8 50 B9 E3 00 00 00 BA 04 00 00 00 B8 CA 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? E9 B7 01 00 00 68 BF 00 00 00 8D 45 D8 50 B9 95 00 00 00 BA BC 00 00 00 B8 90 00 00 00 E8 ?? ?? ?? ?? 56 8D 75 E8 8D 7D C8 A5 A5 A5 A5 5E 8B 45 F0 2B 45 E8 D1 F8 79 03 83 D0 00 83 E8 02 89 45 C8 83 C0 05 89 45 D0 8B 45 F4 2B 45 EC D1 F8 79 03 83 D0 00 48 89 45 CC 83 C0 03 89 45 D4 8D 45 C8 50 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? E9 44 01 00 00 68 C3 00 00 00 8D 45 D8 50 B9 95 00 00 00 BA C0 00 00 00 B8 90 00 00 00 E8 ?? ?? ?? ?? 56 8D 75 E8 8D 7D C8 A5 A5 A5 A5 5E 8B 45 F0 2B 45 E8 D1 F8 79 03 83 D0 00 83 E8 02 89 45 C8 83 C0 05 89 45 D0 8B 45 F4 2B 45 EC D1 F8 79 03 83 D0 00 48 89 45 CC 83 C0 03 89 45 D4 8D 45 C8 50 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? E9 D1 00 00 00 68 C2 00 00 00 8D 45 D8 50 B9 8A 00 00 00 BA BB 00 00 00 B8 86 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? E9 9A 00 00 00 68 CA 00 00 00 8D 45 D8 50 B9 8A 00 00 00 BA C3 00 00 00 B8 86 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? EB 66 68 C2 00 00 00 8D 45 D8 50 B9 8F 00 00 00 BA BB 00 00 00 B8 8B 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? EB 32 68 CA 00 00 00 8D 45 D8 50 B9 8F 00 00 00 BA C3 00 00 00 B8 8B 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 46 04 8B 40 04 8B 4D FC 8D 55 D8 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84150_0 {
	meta:
		name = "TRibbonStyleActionBars.DrawElement"
		size = 2263
		refs = "0029 TRibbonStyleActionBars.DrawElement 0081 Rect 009e DrawButton 0227 DrawTransparentBitmap"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B 75 0C 8D 7D EC A5 A5 A5 A5 8B F1 8B D8 0F B6 C2 83 C0 F6 83 F8 13 0F 87 2B 05 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 02 03 00 04 04 04 04 05 05 05 05 06 06 06 06 07 07 07 07 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 68 C1 01 00 00 8D 45 DC 50 B9 74 01 00 00 BA A8 01 00 00 B8 5B 01 00 00 E8 ?? ?? ?? ?? 8D 45 EC 50 6A 02 6A 02 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 DC E8 ?? ?? ?? ?? E9 27 08 00 00 68 C1 01 00 00 8D 45 DC 50 B9 40 01 00 00 BA A8 01 00 00 B8 27 01 00 00 E8 ?? ?? ?? ?? 8D 45 EC 50 6A 02 6A 02 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 DC E8 ?? ?? ?? ?? E9 E8 07 00 00 68 C1 01 00 00 8D 45 DC 50 B9 5A 01 00 00 BA A8 01 00 00 B8 41 01 00 00 E8 ?? ?? ?? ?? 8D 45 EC 50 6A 02 6A 02 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 DC E8 ?? ?? ?? ?? E9 A9 07 00 00 80 FA 0E 75 1F 68 D1 01 00 00 8D 45 DC 50 B9 5B 01 00 00 BA C4 01 00 00 B8 4C 01 00 00 E8 ?? ?? ?? ?? EB 6A 80 FA 11 75 1F 68 E2 01 00 00 8D 45 DC 50 B9 5B 01 00 00 BA D5 01 00 00 B8 4C 01 00 00 E8 ?? ?? ?? ?? EB 46 80 FA 0F 75 1F 68 F3 01 00 00 8D 45 DC 50 B9 5B 01 00 00 BA E6 01 00 00 B8 4C 01 00 00 E8 ?? ?? ?? ?? EB 22 80 FA 10 75 1D 68 04 02 00 00 8D 45 DC 50 B9 5B 01 00 00 BA F6 01 00 00 B8 4C 01 00 00 E8 ?? ?? ?? ?? B8 0F 00 00 00 C7 45 FC 0D 00 00 00 56 8D 75 EC 8D 7D CC A5 A5 A5 A5 5E 8B 4D D4 8B 55 CC 2B CA D1 F9 79 03 83 D1 00 03 CA D1 F8 79 03 83 D0 00 2B C8 89 4D CC 8B 45 CC 83 C0 0F 89 45 D4 8B 55 D8 8B 45 D0 2B D0 D1 FA 79 03 83 D2 00 03 D0 8B 45 FC D1 F8 79 03 83 D0 00 2B D0 89 55 D0 83 C2 0D 89 55 D8 8D 45 CC 50 8B 43 04 8B 40 04 8B CE 8D 55 DC E8 ?? ?? ?? ?? E9 9E 06 00 00 80 FA 12 75 1F 68 D1 01 00 00 8D 45 DC 50 B9 49 01 00 00 BA C4 01 00 00 B8 3A 01 00 00 E8 ?? ?? ?? ?? EB 6A 80 FA 15 75 1F 68 E2 01 00 00 8D 45 DC 50 B9 49 01 00 00 BA D5 01 00 00 B8 3A 01 00 00 E8 ?? ?? ?? ?? EB 46 80 FA 13 75 1F 68 F3 01 00 00 8D 45 DC 50 B9 49 01 00 00 BA E6 01 00 00 B8 3A 01 00 00 E8 ?? ?? ?? ?? EB 22 80 FA 14 75 1D 68 04 02 00 00 8D 45 DC 50 B9 49 01 00 00 BA F7 01 00 00 B8 3A 01 00 00 E8 ?? ?? ?? ?? B8 0F 00 00 00 C7 45 FC 0D 00 00 00 56 8D 75 EC 8D 7D CC A5 A5 A5 A5 5E 8B 4D D4 8B 55 CC 2B CA D1 F9 79 03 83 D1 00 03 CA D1 F8 79 03 83 D0 00 2B C8 89 4D CC 8B 45 CC 83 C0 0F 89 45 D4 8B 55 D8 8B 45 D0 2B D0 D1 FA 79 03 83 D2 00 03 D0 8B 45 FC D1 F8 79 03 83 D0 00 2B D0 89 55 D0 83 C2 0D 89 55 D8 8D 45 CC 50 8B 43 04 8B 40 04 8B CE 8D 55 DC E8 ?? ?? ?? ?? E9 93 05 00 00 80 FA 16 75 1F 68 D1 01 00 00 8D 45 DC 50 B9 37 01 00 00 BA C4 01 00 00 B8 28 01 00 00 E8 ?? ?? ?? ?? EB 6A 80 FA 19 75 1F 68 E2 01 00 00 8D 45 DC 50 B9 37 01 00 00 BA D5 01 00 00 B8 28 01 00 00 E8 ?? ?? ?? ?? EB 46 80 FA 17 75 1F 68 F3 01 00 00 8D 45 DC 50 B9 37 01 00 00 BA E6 01 00 00 B8 28 01 00 00 E8 ?? ?? ?? ?? EB 22 80 FA 18 75 1D 68 04 02 00 00 8D 45 DC 50 B9 37 01 00 00 BA F7 01 00 00 B8 28 01 00 00 E8 ?? ?? ?? ?? B8 0F 00 00 00 C7 45 FC 0D 00 00 00 56 8D 75 EC 8D 7D CC A5 A5 A5 A5 5E 8B 4D D4 8B 55 CC 2B CA D1 F9 79 03 83 D1 00 03 CA D1 F8 79 03 83 D0 00 2B C8 89 4D CC 8B 45 CC 83 C0 0F 89 45 D4 8B 55 D8 8B 45 D0 2B D0 D1 FA 79 03 83 D2 00 03 D0 8B 45 FC D1 F8 79 03 83 D0 00 2B D0 89 55 D0 83 C2 0D 89 55 D8 8D 45 CC 50 8B 43 04 8B 40 04 8B CE 8D 55 DC E8 ?? ?? ?? ?? E9 88 04 00 00 80 FA 1A 75 1F 68 D1 01 00 00 8D 45 DC 50 B9 6D 01 00 00 BA C4 01 00 00 B8 5E 01 00 00 E8 ?? ?? ?? ?? EB 6A 80 FA 1D 75 1F 68 E2 01 00 00 8D 45 DC 50 B9 6D 01 00 00 BA D5 01 00 00 B8 5E 01 00 00 E8 ?? ?? ?? ?? EB 46 80 FA 1B 75 1F 68 F3 01 00 00 8D 45 DC 50 B9 6D 01 00 00 BA E6 01 00 00 B8 5E 01 00 00 E8 ?? ?? ?? ?? EB 22 80 FA 1C 75 1D 68 04 02 00 00 8D 45 DC 50 B9 6D 01 00 00 BA F7 01 00 00 B8 5E 01 00 00 E8 ?? ?? ?? ?? B8 0F 00 00 00 C7 45 FC 0D 00 00 00 56 8D 75 EC 8D 7D CC A5 A5 A5 A5 5E 8B 4D D4 8B 55 CC 2B CA D1 F9 79 03 83 D1 00 03 CA D1 F8 79 03 83 D0 00 2B C8 89 4D CC 8B 45 CC 83 C0 0F 89 45 D4 8B 55 D8 8B 45 D0 2B D0 D1 FA 79 03 83 D2 00 03 D0 8B 45 FC D1 F8 79 03 83 D0 00 2B D0 89 55 D0 83 C2 0D 89 55 D8 8D 45 CC 50 8B 43 04 8B 40 04 8B CE 8D 55 DC E8 ?? ?? ?? ?? E9 7D 03 00 00 84 D2 75 36 68 D8 01 00 00 8D 45 DC 50 B9 17 01 00 00 BA C4 01 00 00 B8 13 01 00 00 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 43 04 8B 40 04 8B CE 8D 55 DC E8 ?? ?? ?? ?? E9 43 03 00 00 80 FA 04 75 36 68 D8 01 00 00 8D 45 DC 50 B9 1C 01 00 00 BA C4 01 00 00 B8 18 01 00 00 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 43 04 8B 40 04 8B CE 8D 55 DC E8 ?? ?? ?? ?? E9 08 03 00 00 80 FA 01 75 36 68 D8 01 00 00 8D 45 DC 50 B9 21 01 00 00 BA C4 01 00 00 B8 1D 01 00 00 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 43 04 8B 40 04 8B CE 8D 55 DC E8 ?? ?? ?? ?? E9 CD 02 00 00 80 FA 05 75 36 68 D8 01 00 00 8D 45 DC 50 B9 26 01 00 00 BA C4 01 00 00 B8 22 01 00 00 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 43 04 8B 40 04 8B CE 8D 55 DC E8 ?? ?? ?? ?? E9 92 02 00 00 80 FA 02 0F 85 ED 00 00 00 68 A9 01 00 00 8D 45 DC 50 B9 17 01 00 00 BA A4 01 00 00 B8 13 01 00 00 E8 ?? ?? ?? ?? 56 8D 75 EC 8D 7D CC A5 A5 A5 A5 5E C7 45 D8 05 00 00 00 8D 45 CC 50 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 DC E8 ?? ?? ?? ?? 68 C1 01 00 00 8D 45 DC 50 B9 17 01 00 00 BA A9 01 00 00 B8 13 01 00 00 E8 ?? ?? ?? ?? 56 8D 75 EC 8D 7D CC A5 A5 A5 A5 5E C7 45 D0 05 00 00 00 8B 7D 08 83 EF 02 89 7D D8 8D 45 CC 50 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 DC E8 ?? ?? ?? ?? 68 C3 01 00 00 8D 45 DC 50 B9 17 01 00 00 BA C1 01 00 00 B8 13 01 00 00 E8 ?? ?? ?? ?? 56 57 8D 75 EC 8D 7D CC A5 A5 A5 A5 5F 5E 89 7D D0 8B 45 08 89 45 D8 8D 45 CC 50 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 DC E8 ?? ?? ?? ?? E9 9C 01 00 00 80 FA 06 0F 85 ED 00 00 00 68 A9 01 00 00 8D 45 DC 50 B9 1C 01 00 00 BA A4 01 00 00 B8 18 01 00 00 E8 ?? ?? ?? ?? 56 8D 75 EC 8D 7D CC A5 A5 A5 A5 5E C7 45 D8 05 00 00 00 8D 45 CC 50 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 DC E8 ?? ?? ?? ?? 68 C1 01 00 00 8D 45 DC 50 B9 1C 01 00 00 BA A9 01 00 00 B8 18 01 00 00 E8 ?? ?? ?? ?? 56 8D 75 EC 8D 7D CC A5 A5 A5 A5 5E C7 45 D0 05 00 00 00 8B 7D 08 83 EF 02 89 7D D8 8D 45 CC 50 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 DC E8 ?? ?? ?? ?? 68 C3 01 00 00 8D 45 DC 50 B9 1C 01 00 00 BA C1 01 00 00 B8 18 01 00 00 E8 ?? ?? ?? ?? 56 57 8D 75 EC 8D 7D CC A5 A5 A5 A5 5F 5E 89 7D D0 8B 45 08 89 45 D8 8D 45 CC 50 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 DC E8 ?? ?? ?? ?? E9 A6 00 00 00 80 FA 03 75 33 68 C2 01 00 00 8D 45 DC 50 B9 21 01 00 00 BA A4 01 00 00 B8 1D 01 00 00 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 43 04 8B 40 04 8B CE 8D 55 DC E8 ?? ?? ?? ?? EB 6E 80 FA 07 75 33 68 C2 01 00 00 8D 45 DC 50 B9 26 01 00 00 BA A4 01 00 00 B8 22 01 00 00 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 43 04 8B 40 04 8B CE 8D 55 DC E8 ?? ?? ?? ?? EB 36 80 FA 08 75 31 68 A7 01 00 00 8D 45 DC 50 B9 72 01 00 00 BA A5 01 00 00 B8 27 01 00 00 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 43 04 8B 40 04 8B CE 8D 55 DC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_84151_0 {
	meta:
		name = "TRibbonStyleActionBars.DrawElement"
		size = 758
		refs = "0026 TRibbonStyleActionBars.DrawElement 005b Rect 0078 DrawButton 00b3 DrawTransparentBitmap"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 75 0C 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 0F B6 C2 83 F8 05 0F 87 CA 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 68 4C 02 00 00 8D 45 E0 50 B9 C9 00 00 00 BA F1 01 00 00 B8 B5 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 03 6A 03 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 6C 02 00 00 68 2B 01 00 00 8D 45 E0 50 B9 B3 01 00 00 BA B7 00 00 00 B8 B0 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 31 02 00 00 68 99 00 00 00 8D 45 E0 50 B9 B3 01 00 00 BA 98 00 00 00 B8 B0 01 00 00 E8 ?? ?? ?? ?? 56 8D 75 F0 8D 7D D0 A5 A5 A5 A5 5E 8B 45 D4 40 89 45 DC 8D 45 D0 50 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? 68 B3 00 00 00 8D 45 E0 50 B9 B3 01 00 00 BA 99 00 00 00 B8 B0 01 00 00 E8 ?? ?? ?? ?? 56 8D 75 F0 8D 7D D0 A5 A5 A5 A5 5E FF 45 D4 8B 45 D4 03 45 08 83 E8 02 89 45 DC 8D 45 D0 50 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? 68 B7 00 00 00 8D 45 E0 50 B9 B3 01 00 00 BA B5 00 00 00 B8 B0 01 00 00 E8 ?? ?? ?? ?? 56 8D 75 F0 8D 7D D0 A5 A5 A5 A5 5E 8B 45 D4 03 45 08 83 E8 02 89 45 D4 83 C0 02 89 45 DC 8D 45 D0 50 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 3E 01 00 00 68 99 00 00 00 8D 45 E0 50 B9 B7 01 00 00 BA 98 00 00 00 B8 B4 01 00 00 E8 ?? ?? ?? ?? 56 8D 75 F0 8D 7D D0 A5 A5 A5 A5 5E 8B 45 D4 40 89 45 DC 8D 45 D0 50 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? 68 B3 00 00 00 8D 45 E0 50 B9 B7 01 00 00 BA 99 00 00 00 B8 B4 01 00 00 E8 ?? ?? ?? ?? 56 8D 75 F0 8D 7D D0 A5 A5 A5 A5 5E FF 45 D4 8B 45 D4 03 45 08 83 E8 02 89 45 DC 8D 45 D0 50 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? 68 B7 00 00 00 8D 45 E0 50 B9 B7 01 00 00 BA B5 00 00 00 B8 B4 01 00 00 E8 ?? ?? ?? ?? 56 8D 75 F0 8D 7D D0 A5 A5 A5 A5 5E 8B 45 D4 03 45 08 83 E8 02 89 45 D4 8B 45 08 89 45 DC 8D 45 D0 50 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? EB 4E 68 E7 01 00 00 8D 45 E0 50 B9 26 01 00 00 BA D9 01 00 00 B8 18 01 00 00 E8 ?? ?? ?? ?? 8B 45 F4 83 C0 0E 50 8D 45 D0 50 8B 7D F0 8B CF 83 C1 0E 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8D 45 D0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_84152_0 {
	meta:
		name = "TRibbonStyleActionBars.DrawElement"
		size = 1050
		refs = "0047 Rect 0088 DrawButton 009d _DV_TAlphaBitmap 00a2 TAlphaBitmap.Create 00ad TRibbonStyleActionBars.DrawElement 011d TBitmap.GetCanvas 012d DrawTransparentBitmap 0155 TObject.Free 015b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 8B 75 08 8D 7D E4 A5 A5 A5 A5 89 4D FC 8B D8 8B C2 04 FA 2C 02 73 71 C7 45 F4 64 00 00 00 BE 2C 00 00 00 80 FA 07 75 1C 81 C6 A0 00 00 00 56 8D 45 C4 50 8B 4D F4 BA A0 00 00 00 33 C0 E8 ?? ?? ?? ?? EB 21 8D 04 76 05 A0 00 00 00 50 8D 45 C4 50 8B D6 03 D2 81 C2 A0 00 00 00 8B 4D F4 33 C0 E8 ?? ?? ?? ?? 8D 45 E4 50 6A 02 6A 02 68 FF 00 00 00 8B 43 04 8B 40 04 8B 4D FC 8D 55 C4 E8 ?? ?? ?? ?? E9 80 03 00 00 80 FA 0A 0F 85 C7 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B9 2C 00 00 00 BA 62 00 00 00 8B 45 F8 8B 30 FF 56 6C 8D 75 E4 8D 7D D4 A5 A5 A5 A5 C7 45 DC 62 00 00 00 8B 45 F8 8B 10 FF 52 24 05 A0 00 00 00 89 45 D8 8B 45 F8 8B 10 FF 52 24 03 C0 05 A0 00 00 00 89 45 E0 6A 2C 8D 45 B4 50 B9 62 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 B4 50 68 FF 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 43 04 8B 40 04 8D 55 D4 E8 ?? ?? ?? ?? 68 FF 00 00 00 8D 4D E4 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 FA 04 0F 85 70 02 00 00 68 F2 01 00 00 8D 45 C4 50 B9 6B 00 00 00 BA E0 01 00 00 B8 66 00 00 00 E8 ?? ?? ?? ?? 8D 75 E4 8D 7D B4 A5 A5 A5 A5 C7 45 BC 05 00 00 00 C7 45 C0 12 00 00 00 8D 45 B4 50 8B 43 04 8B 40 04 8B 4D FC 8D 55 C4 E8 ?? ?? ?? ?? 68 F2 01 00 00 8D 45 C4 50 B9 B2 00 00 00 BA E0 01 00 00 B8 AD 00 00 00 E8 ?? ?? ?? ?? 8D 75 E4 8D 7D B4 A5 A5 A5 A5 8B 45 BC 83 E8 05 89 45 B4 C7 45 C0 12 00 00 00 8D 45 B4 50 8B 43 04 8B 40 04 8B 4D FC 8D 55 C4 E8 ?? ?? ?? ?? 68 F2 01 00 00 8D 45 C4 50 B9 AD 00 00 00 BA E0 01 00 00 B8 6B 00 00 00 E8 ?? ?? ?? ?? 8D 75 E4 8D 7D B4 A5 A5 A5 A5 C7 45 B4 05 00 00 00 83 6D BC 05 C7 45 C0 12 00 00 00 8D 45 B4 50 8B 43 04 8B 40 04 8B 4D FC 8D 55 C4 E8 ?? ?? ?? ?? 68 32 02 00 00 8D 45 C4 50 B9 6C 00 00 00 BA F1 01 00 00 B8 66 00 00 00 E8 ?? ?? ?? ?? 8D 75 E4 8D 7D B4 A5 A5 A5 A5 C7 45 B8 12 00 00 00 C7 45 BC 06 00 00 00 83 6D C0 1D 8D 45 B4 50 8B 43 04 8B 40 04 8B 4D FC 8D 55 C4 E8 ?? ?? ?? ?? 68 32 02 00 00 8D 45 C4 50 B9 B2 00 00 00 BA F1 01 00 00 B8 AC 00 00 00 E8 ?? ?? ?? ?? 8D 75 E4 8D 7D B4 A5 A5 A5 A5 C7 45 B8 12 00 00 00 8B 45 BC 83 E8 06 89 45 B4 83 6D C0 1D 8D 45 B4 50 8B 43 04 8B 40 04 8B 4D FC 8D 55 C4 E8 ?? ?? ?? ?? 68 4E 02 00 00 8D 45 C4 50 B9 6B 00 00 00 BA 31 02 00 00 B8 66 00 00 00 E8 ?? ?? ?? ?? 8D 75 E4 8D 7D B4 A5 A5 A5 A5 8B 45 B4 83 C0 05 89 45 BC 8B 45 C0 83 E8 1D 89 45 B8 8D 45 B4 50 8B 43 04 8B 40 04 8B 4D FC 8D 55 C4 E8 ?? ?? ?? ?? 68 4E 02 00 00 8D 45 C4 50 B9 B2 00 00 00 BA 31 02 00 00 B8 AD 00 00 00 E8 ?? ?? ?? ?? 8D 75 E4 8D 7D B4 A5 A5 A5 A5 8B 45 BC 83 E8 05 89 45 B4 8B 45 C0 83 E8 1D 89 45 B8 8D 45 B4 50 8B 43 04 8B 40 04 8B 4D FC 8D 55 C4 E8 ?? ?? ?? ?? 68 4E 02 00 00 8D 45 C4 50 B9 AD 00 00 00 BA 31 02 00 00 B8 6B 00 00 00 E8 ?? ?? ?? ?? 8D 75 E4 8D 7D B4 A5 A5 A5 A5 C7 45 B4 05 00 00 00 83 6D BC 05 8B 45 C0 83 E8 1D 89 45 B8 8D 45 B4 50 8B 43 04 8B 40 04 8B 4D FC 8D 55 C4 E8 ?? ?? ?? ?? EB 37 80 FA 03 75 32 68 4E 01 00 00 8D 45 C4 50 B9 A9 01 00 00 BA 28 01 00 00 B8 83 01 00 00 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 43 04 8B 40 04 8B 4D FC 8D 55 C4 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84153_0 {
	meta:
		name = "TRibbonStyleActionBars.DrawElement"
		size = 239
		refs = "0027 Rect 0064 DrawTransparentBitmap"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 4D F8 88 55 FF 8B F8 8B 75 0C 8B 5D 10 8D 46 24 50 8D 45 D8 50 8D 4B 24 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 75 39 68 74 01 00 00 8D 45 E8 50 B9 A7 01 00 00 BA 50 01 00 00 B8 83 01 00 00 E8 ?? ?? ?? ?? 8D 45 D8 50 0F B6 45 08 50 8B 47 04 8B 40 04 8B 4D F8 8D 55 E8 E8 ?? ?? ?? ?? EB 7C 80 7D FF 01 75 39 68 9C 01 00 00 8D 45 E8 50 B9 A7 01 00 00 BA 78 01 00 00 B8 83 01 00 00 E8 ?? ?? ?? ?? 8D 45 D8 50 0F B6 45 08 50 8B 47 04 8B 40 04 8B 4D F8 8D 55 E8 E8 ?? ?? ?? ?? EB 3D 80 7D FF 02 75 37 68 C4 01 00 00 8D 45 E8 50 B9 A7 01 00 00 BA A0 01 00 00 B8 83 01 00 00 E8 ?? ?? ?? ?? 8D 45 D8 50 0F B6 45 08 50 8B 47 04 8B 40 04 8B 4D F8 8D 55 E8 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_84154_0 {
	meta:
		name = "TRibbonStyleActionBars.DrawElement"
		size = 1128
		refs = "0026 TRibbonStyleActionBars.DrawElement 007b Rect 0098 DrawButton 00eb DrawTransparentBitmap"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 75 08 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 0F B6 C2 83 F8 0D 0F 87 3C 04 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 68 08 02 00 00 8D 45 E0 50 B9 90 01 00 00 BA EE 01 00 00 B8 72 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 03 6A 03 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 BE 03 00 00 68 53 02 00 00 8D 45 E0 50 B9 1B 01 00 00 BA 3B 02 00 00 B8 0C 01 00 00 E8 ?? ?? ?? ?? 8B 45 F4 83 C0 18 50 8D 45 D0 50 8B 7D F0 8B CF 83 C1 0F 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8D 45 D0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 6B 03 00 00 68 53 02 00 00 8D 45 E0 50 B9 77 01 00 00 BA 3B 02 00 00 B8 68 01 00 00 E8 ?? ?? ?? ?? 8B 45 F4 83 C0 18 50 8D 45 D0 50 8B 7D F0 8B CF 83 C1 0F 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8D 45 D0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 18 03 00 00 68 53 02 00 00 8D 45 E0 50 B9 34 01 00 00 BA 3B 02 00 00 B8 1B 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 E2 02 00 00 68 53 02 00 00 8D 45 E0 50 B9 41 01 00 00 BA 3B 02 00 00 B8 34 01 00 00 E8 ?? ?? ?? ?? 8B 45 F4 83 C0 18 50 8D 45 D0 50 8B 7D F0 8B CF 83 C1 0D 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8D 45 D0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 8F 02 00 00 68 53 02 00 00 8D 45 E0 50 B9 4F 01 00 00 BA 3B 02 00 00 B8 42 01 00 00 E8 ?? ?? ?? ?? 8B 45 F4 83 C0 18 50 8D 45 D0 50 8B 7D F0 8B CF 83 C1 0D 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8D 45 D0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 3C 02 00 00 68 96 00 00 00 8D 45 E0 50 B9 A8 01 00 00 BA 80 00 00 00 B8 9B 01 00 00 E8 ?? ?? ?? ?? 56 8D 75 F0 8D 7D D0 A5 A5 A5 A5 5E 83 6D DC 02 8D 45 D0 50 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 F1 01 00 00 68 96 00 00 00 8D 45 E0 50 B9 B5 01 00 00 BA 80 00 00 00 B8 A8 01 00 00 E8 ?? ?? ?? ?? 56 8D 75 F0 8D 7D D0 A5 A5 A5 A5 5E 83 6D DC 02 8D 45 D0 50 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 A6 01 00 00 68 C5 00 00 00 8D 45 E0 50 B9 D5 00 00 00 BA BE 00 00 00 B8 D0 00 00 00 E8 ?? ?? ?? ?? 56 8D 75 F0 8D 7D D0 A5 A5 A5 A5 5E 8B 55 D8 8B 45 D0 2B D0 D1 FA 79 03 83 D2 00 03 D0 83 EA 02 89 55 D0 83 C2 05 89 55 D8 8B 45 DC D1 F8 79 03 83 D0 00 83 E8 04 89 45 D4 83 C0 07 89 45 DC 8D 45 D0 50 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 2C 01 00 00 68 C3 00 00 00 8D 45 E0 50 B9 F1 00 00 00 BA BE 00 00 00 B8 EA 00 00 00 E8 ?? ?? ?? ?? 56 8D 75 F0 8D 7D D0 A5 A5 A5 A5 5E 8B 55 D8 8B 45 D0 2B D0 D1 FA 79 03 83 D2 00 03 D0 83 EA 02 89 55 D0 83 C2 07 89 55 D8 8B 45 DC D1 F8 79 03 83 D0 00 83 E8 03 89 45 D4 83 C0 05 89 45 DC 8D 45 D0 50 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 B2 00 00 00 68 1F 02 00 00 8D 45 E0 50 B9 65 01 00 00 BA 09 02 00 00 B8 4F 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 02 6A 02 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? EB 76 68 1F 02 00 00 8D 45 E0 50 B9 7B 01 00 00 BA 09 02 00 00 B8 65 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 02 6A 02 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? EB 3A 68 1F 02 00 00 8D 45 E0 50 B9 91 01 00 00 BA 09 02 00 00 B8 7B 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 02 6A 02 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84155_0 {
	meta:
		name = "TRibbonStyleActionBars.DrawElement"
		size = 950
		refs = "0026 TRibbonStyleActionBars.DrawElement 0083 Rect 0097 DrawTransparentBitmap 02f2 DrawButton"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 75 08 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 0F B6 C2 83 F8 0F 0F 87 8A 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 68 C4 01 00 00 8D 45 E0 50 B9 D9 00 00 00 BA B0 01 00 00 B8 CA 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 0D 03 00 00 68 C4 01 00 00 8D 45 E0 50 B9 F9 00 00 00 BA B0 01 00 00 B8 EA 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 D7 02 00 00 68 C4 01 00 00 8D 45 E0 50 B9 09 01 00 00 BA B0 01 00 00 B8 FA 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 A1 02 00 00 68 C4 01 00 00 8D 45 E0 50 B9 E9 00 00 00 BA B0 01 00 00 B8 DA 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 6B 02 00 00 68 D8 01 00 00 8D 45 E0 50 B9 D9 00 00 00 BA B0 01 00 00 B8 DE 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 35 02 00 00 68 D8 01 00 00 8D 45 E0 50 B9 D9 00 00 00 BA B0 01 00 00 B8 FE 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 FF 01 00 00 68 D8 01 00 00 8D 45 E0 50 B9 D9 00 00 00 BA B0 01 00 00 B8 17 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 C9 01 00 00 68 D8 01 00 00 8D 45 E0 50 B9 D9 00 00 00 BA B0 01 00 00 B8 EE 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 93 01 00 00 68 EC 01 00 00 8D 45 E0 50 B9 D9 00 00 00 BA D8 01 00 00 B8 CA 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 5D 01 00 00 68 EC 01 00 00 8D 45 E0 50 B9 F9 00 00 00 BA D8 01 00 00 B8 EA 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 27 01 00 00 68 EC 01 00 00 8D 45 E0 50 B9 E9 00 00 00 BA D8 01 00 00 B8 DA 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 F1 00 00 00 68 07 01 00 00 8D 45 E0 50 B9 12 01 00 00 BA CF 00 00 00 B8 CA 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 03 6A 03 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 B2 00 00 00 68 3F 01 00 00 8D 45 E0 50 B9 12 01 00 00 BA 07 01 00 00 B8 CA 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 03 6A 03 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? EB 76 68 77 01 00 00 8D 45 E0 50 B9 12 01 00 00 BA 3F 01 00 00 B8 CA 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 03 6A 03 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? EB 3A 68 AF 01 00 00 8D 45 E0 50 B9 12 01 00 00 BA 77 01 00 00 B8 CA 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 03 6A 03 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84156_0 {
	meta:
		name = "TRibbonStyleActionBars.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 1C B2 01 FF 50 08 89 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84158_0 {
	meta:
		name = "TRibbonStyleActionBars.DrawElement"
		size = 26
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B 75 08 8D 7D F0 A5 A5 A5 A5 5F 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84160_0 {
	meta:
		name = "TRibbonStyleActionBars.DrawElement"
		size = 528
		refs = "0035 Rect 0052 DrawButton 00d1 DrawTransparentBitmap"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 75 08 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 80 FA 02 75 3F 68 AA 00 00 00 8D 45 E0 50 B9 12 01 00 00 BA A0 00 00 00 B8 01 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 00 6A 00 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 AC 01 00 00 80 FA 04 75 3F 68 B4 00 00 00 8D 45 E0 50 B9 12 01 00 00 BA AA 00 00 00 B8 01 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 6A 00 6A 00 68 FF 00 00 00 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 68 01 00 00 80 FA 05 75 36 68 AA 00 00 00 8D 45 E0 50 B9 23 01 00 00 BA A0 00 00 00 B8 12 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 2D 01 00 00 80 FA 06 75 36 68 B4 00 00 00 8D 45 E0 50 B9 23 01 00 00 BA AA 00 00 00 B8 12 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 F2 00 00 00 80 FA 07 75 75 68 BF 00 00 00 8D 45 E0 50 B9 95 00 00 00 BA BC 00 00 00 B8 90 00 00 00 E8 ?? ?? ?? ?? 56 8D 75 F0 8D 7D D0 A5 A5 A5 A5 5E 8B 45 D8 2B 45 D0 D1 F8 79 03 83 D0 00 83 E8 02 89 45 D0 8B 45 DC 2B 45 D4 D1 F8 79 03 83 D0 00 48 89 45 D4 8B 45 D0 83 C0 05 89 45 D8 8B 45 D4 83 C0 03 89 45 DC 8D 45 D0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? EB 78 80 FA 08 75 73 68 C3 00 00 00 8D 45 E0 50 B9 95 00 00 00 BA C0 00 00 00 B8 90 00 00 00 E8 ?? ?? ?? ?? 56 8D 75 F0 8D 7D D0 A5 A5 A5 A5 5E 8B 45 D8 2B 45 D0 D1 F8 79 03 83 D0 00 83 E8 02 89 45 D0 8B 45 DC 2B 45 D4 D1 F8 79 03 83 D0 00 48 89 45 D4 8B 45 D0 83 C0 05 89 45 D8 8B 45 D4 83 C0 03 89 45 DC 8D 45 D0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84161_0 {
	meta:
		name = "TRibbonStyleActionBars.DrawElement"
		size = 433
		refs = "0031 Rect 00d1 DrawTransparentBitmap"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 75 08 8D 7D F0 A5 A5 A5 A5 8B F9 8B DA 8B F0 8B 45 F4 83 C0 16 50 8D 45 D0 50 8B 4D F0 83 C1 0E 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B C3 2C 01 72 0C 74 29 FE C8 74 44 FE C8 74 5F EB 7A 68 1F 02 00 00 8D 45 E0 50 B9 22 01 00 00 BA 09 02 00 00 B8 14 01 00 00 E8 ?? ?? ?? ?? EB 5B 68 1F 02 00 00 8D 45 E0 50 B9 4C 01 00 00 BA 09 02 00 00 B8 3E 01 00 00 E8 ?? ?? ?? ?? EB 3C 68 1F 02 00 00 8D 45 E0 50 B9 30 01 00 00 BA 09 02 00 00 B8 22 01 00 00 E8 ?? ?? ?? ?? EB 1D 68 1F 02 00 00 8D 45 E0 50 B9 3E 01 00 00 BA 09 02 00 00 B8 30 01 00 00 E8 ?? ?? ?? ?? 8D 45 D0 50 8B 46 04 8B 40 04 8B CF 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 F4 83 C0 0B 83 E8 02 83 C0 04 50 8D 45 D0 50 8B 4D F0 83 C1 07 83 E9 02 83 C1 05 8B 55 F4 83 C2 0B 83 EA 02 8B 45 F0 83 C0 07 83 E8 02 E8 ?? ?? ?? ?? 80 EB 01 72 0C 74 29 FE CB 74 44 FE CB 74 5F EB 7A 68 24 02 00 00 8D 45 E0 50 B9 19 01 00 00 BA 20 02 00 00 B8 14 01 00 00 E8 ?? ?? ?? ?? EB 5B 68 24 02 00 00 8D 45 E0 50 B9 1F 01 00 00 BA 20 02 00 00 B8 1A 01 00 00 E8 ?? ?? ?? ?? EB 3C 68 24 02 00 00 8D 45 E0 50 B9 25 01 00 00 BA 20 02 00 00 B8 20 01 00 00 E8 ?? ?? ?? ?? EB 1D 68 24 02 00 00 8D 45 E0 50 B9 2B 01 00 00 BA 20 02 00 00 B8 26 01 00 00 E8 ?? ?? ?? ?? 8D 45 D0 50 8B 46 04 8B 40 04 8B CF 8D 55 E0 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84164_0 {
	meta:
		name = "TRibbonStyleActionBars.GetControlClass"
		size = 956
		refs = "0010 TRibbonStyleActionBars.GetControlClass 0026 _Dn_TRibbonComboControl 0035 _Dn_TRibbonCheckBoxControl 0044 _Dn_TRibbonRadioButtonControl 0051 _Dn_TCustomRibbonQuickAccessToolbar 0056 @IsClass 0062 _Dn_TCustomRibbonQuickAccessPopupToolbar 0077 _Dn_TRibbonGroupDropDown 0088 _Dn_TRibbonCustomControl 009b TGalleryProperties.GetGalleryType 00a5 _Dn_TRibbonGalleryControl 00b2 _Dn_TCustomActionMainMenuBar 00c3 _Dn_TRibbonApplicationMenuBar 00d2 _Dn_TRibbonApplicationMenuButton 00dd _Dn_TRibbonStyleMenuButton 00ea _Dn_TRibbonGalleryBar 00ff _Dn_TRibbonGalleryItem 010d _Dn_TButtonProperties 0131 _Dn_TGalleryProperties 014b _Dn_TRibbonDropDownButton 0170 _Dn_TRibbonGallerySplitButton 0184 _Dn_TRibbonLargeSplitButton 0191 _Dn_TRibbonStyleMainPopupMenu 01a8 _Dn_TRibbonMainMenuSeparator 01c0 _Dn_TRibbonRichContentMainMenuItem 01cb _Dn_TRibbonMainMenuItem 01d6 _Dn_TRibbonMenuItem 01fc TActionClient.GetItems 0227 _Dn_TRibbonSmallSplitButton 0234 _Dn_TRibbonApplicationPopupMenu 0244 TActionClient.GetHasItems 024f TActionClientItem.GetAction 0259 _Dn_TRibbonSplitMenuItem 0264 _Dn_TRibbonApplicationMenuItem 0271 _Dn_TCustomActionPopupMenu 02a2 _Dn_TRibbonGalleryControlMenuItem 02b3 _Dn_TRibbonRichContentItem 02dc _Dn_TRibbonSeparator 02e7 _Dn_TRibbonGalleryMenuItem 0302 @AsClass 0344 _Dn_TRibbonLargeButtonControl 034c _Dn_TRibbonSmallButtonControl 035c TActionClientItem.GetCaption 0369 @UStrEqual 0371 _Dn_TRibbonMenuSeparatorItem 0396 @UStrClr 039c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 0F B6 46 76 3C 05 75 0B 8B 1D ?? ?? ?? ?? E9 56 03 00 00 3C 06 75 0B 8B 1D ?? ?? ?? ?? E9 47 03 00 00 3C 07 75 0B 8B 1D ?? ?? ?? ?? E9 38 03 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 83 7E 38 64 75 0B 8B 1D ?? ?? ?? ?? E9 05 03 00 00 80 7E 76 08 75 0B 8B 1D ?? ?? ?? ?? E9 F4 02 00 00 80 7E 76 04 75 17 8B 46 78 E8 ?? ?? ?? ?? 3C 02 75 0B 8B 1D ?? ?? ?? ?? E9 D7 02 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 27 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B 1D ?? ?? ?? ?? E9 AA 02 00 00 8B 1D ?? ?? ?? ?? E9 9F 02 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 80 7E 76 02 74 0B 8B 1D ?? ?? ?? ?? E9 7D 02 00 00 8B 46 78 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 73 8B 46 78 0F B6 40 19 48 2C 02 73 67 80 7E 76 04 75 61 8B 46 78 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 8B 46 78 EB 02 33 C0 85 C0 75 0B 8B 1D ?? ?? ?? ?? E9 31 02 00 00 0F B6 50 19 80 FA 01 75 0B 8B 1D ?? ?? ?? ?? E9 1D 02 00 00 80 78 18 00 75 0B 8B 1D ?? ?? ?? ?? E9 0C 02 00 00 80 FA 02 0F 85 03 02 00 00 8B 1D ?? ?? ?? ?? E9 F8 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 41 0F B6 46 76 3C 02 75 0B 8B 1D ?? ?? ?? ?? E9 D4 01 00 00 3C 01 75 1F 8B 46 78 80 78 38 00 74 0B 8B 1D ?? ?? ?? ?? E9 BC 01 00 00 8B 1D ?? ?? ?? ?? E9 B1 01 00 00 8B 1D ?? ?? ?? ?? E9 A6 01 00 00 8B 5E 78 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 80 7B 19 02 75 14 8B C6 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 0F 9F C0 EB 02 33 C0 84 C0 74 0C 8B 46 78 80 78 18 00 0F 94 C0 EB 02 33 C0 84 C0 74 0B 8B 1D ?? ?? ?? ?? E9 55 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2C 8B C6 E8 ?? ?? ?? ?? 84 C0 74 16 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0B 8B 1D ?? ?? ?? ?? E9 23 01 00 00 8B 1D ?? ?? ?? ?? E9 18 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 72 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 61 0F B6 46 76 3C 01 75 30 8B 46 78 83 78 20 00 74 0B 8B 1D ?? ?? ?? ?? E9 DA 00 00 00 80 78 38 00 74 0B 8B 1D ?? ?? ?? ?? E9 C9 00 00 00 8B 1D ?? ?? ?? ?? E9 BE 00 00 00 84 C0 75 0B 8B 1D ?? ?? ?? ?? E9 AF 00 00 00 3C 02 75 0B 8B 1D ?? ?? ?? ?? E9 A0 00 00 00 8B 1D ?? ?? ?? ?? E9 95 00 00 00 0F B6 46 76 84 C0 75 5A 8B 46 78 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 2E 0F B6 50 19 4A 80 EA 02 73 24 80 78 19 01 75 08 8B 1D ?? ?? ?? ?? EB 63 80 78 18 01 75 08 8B 1D ?? ?? ?? ?? EB 55 8B 1D ?? ?? ?? ?? EB 4D 85 C0 74 0E 80 78 18 01 75 08 8B 1D ?? ?? ?? ?? EB 3B 8B 1D ?? ?? ?? ?? EB 33 3C 02 75 29 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 08 8B 1D ?? ?? ?? ?? EB 0E 8B 1D ?? ?? ?? ?? EB 06 8B 1D ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_84165_0 {
	meta:
		name = "TRibbonStyleActionBars.GetPopupClass"
		size = 139
		refs = "000a _Dn_TCustomActionToolBar 000f @IsClass 001c TXPStyleActionBars.GetPopupClass 0027 _Dn_TRibbonApplicationMenuBar 0037 TRibbonApplicationMenuBar.GetVisibleMenuCount 003f _Dn_TRibbonApplicationPopupMenu 005e _Dn_TRibbonStyleMainPopupMenu 0065 _Dn_TRibbonActionPopupMenu 006f _Dn_TActionMainMenuBar 0084 _Dn_TRibbonStylePopupMenu"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 8B C3 E8 ?? ?? ?? ?? 48 75 07 A1 ?? ?? ?? ?? EB 43 8B F3 8B C6 E8 ?? ?? ?? ?? 48 7E 13 8B C6 E8 ?? ?? ?? ?? 83 F8 03 7D 07 A1 ?? ?? ?? ?? EB 24 A1 ?? ?? ?? ?? EB 1D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 A1 ?? ?? ?? ?? EB 05 A1 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84167_0 {
	meta:
		name = "TRibbonStyleActionBars.DrawElement"
		size = 446
		refs = "0026 TRibbonStyleActionBars.DrawElement 005f Rect 0073 DrawTransparentBitmap"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 75 08 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 0F B6 C2 83 F8 06 0F 87 92 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 68 AD 00 00 00 8D 45 E0 50 B9 75 00 00 00 BA A0 00 00 00 B8 68 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 39 01 00 00 68 AD 00 00 00 8D 45 E0 50 B9 82 00 00 00 BA A0 00 00 00 B8 75 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 03 01 00 00 68 AD 00 00 00 8D 45 E0 50 B9 8F 00 00 00 BA A0 00 00 00 B8 82 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 CD 00 00 00 68 AD 00 00 00 8D 45 E0 50 B9 9C 00 00 00 BA A0 00 00 00 B8 8F 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 97 00 00 00 68 AD 00 00 00 8D 45 E0 50 B9 A9 00 00 00 BA A0 00 00 00 B8 9C 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? EB 64 68 AD 00 00 00 8D 45 E0 50 B9 B6 00 00 00 BA A0 00 00 00 B8 A9 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? EB 31 68 AD 00 00 00 8D 45 E0 50 B9 C3 00 00 00 BA A0 00 00 00 B8 B6 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84168_0 {
	meta:
		name = "TRibbonStyleActionBars.DrawElement"
		size = 446
		refs = "0026 TRibbonStyleActionBars.DrawElement 005f Rect 0073 DrawTransparentBitmap"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 75 08 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 0F B6 C2 83 F8 06 0F 87 92 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 68 BA 00 00 00 8D 45 E0 50 B9 74 00 00 00 BA AE 00 00 00 B8 68 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 39 01 00 00 68 BA 00 00 00 8D 45 E0 50 B9 80 00 00 00 BA AE 00 00 00 B8 74 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 03 01 00 00 68 BA 00 00 00 8D 45 E0 50 B9 8C 00 00 00 BA AE 00 00 00 B8 80 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 CD 00 00 00 68 BA 00 00 00 8D 45 E0 50 B9 98 00 00 00 BA AE 00 00 00 B8 8C 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? E9 97 00 00 00 68 BA 00 00 00 8D 45 E0 50 B9 A4 00 00 00 BA AE 00 00 00 B8 98 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? EB 64 68 BA 00 00 00 8D 45 E0 50 B9 B0 00 00 00 BA AE 00 00 00 B8 A4 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? EB 31 68 BA 00 00 00 8D 45 E0 50 B9 BC 00 00 00 BA AE 00 00 00 B8 B0 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 8B 40 04 8B CE 8D 55 E0 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84169_0 {
	meta:
		name = "TCustomRibbonSkin.Create"
		size = 75
		refs = "000a @ClassCreate 0017 TObject.Create 001e _DV_TAlphaBitmap 0023 TAlphaBitmap.Create 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 8B 10 FF 52 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84174_0 {
	meta:
		name = "TCustomRibbonSkin.LoadSkin"
		size = 35
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 0C 2C 01 72 04 74 0A EB 0F 8B C3 8B 10 FF 12 5B C3 8B C3 8B 10 FF 52 04 5B C3 }
	condition:
		$1
}

rule function_84175_0 {
	meta:
		name = "TCustomRibbonSkin.DoLoadByFile"
		size = 76
		refs = "000c TCustomRibbonSkin.DoLoadByFile 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 55 FC 8B 43 04 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_84176_0 {
	meta:
		name = "LoadCompressedResourceBitmap"
		size = 174
		refs = "0010 @UStrAddRef 0018 LoadCompressedResourceBitmap 002a HInstance 0031 _Dn_TResourceStream 0036 TResourceStream.Create 0043 _Dn_TZDecompressionStream 0048 TZDecompressionStream.Create 0078 TObject.Free 0086 @HandleFinally 009d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 6A 0A 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B C6 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_84177_0 {
	meta:
		name = "TCustomRibbonSkin.DoLoadByResource"
		size = 76
		refs = "000c TCustomRibbonSkin.DoLoadByResource 0027 LoadCompressedResourceBitmap 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 14 8B 45 FC 8B 53 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_84180_0 {
	meta:
		name = "TCalendar.Create"
		size = 172
		refs = "000a @ClassCreate 0017 TCustomGrid.Create 0027 TCustomGrid.SetFixedCols 0033 TCustomGrid.SetFixedRows 003f TCustomGrid.SetColCount 004b TCustomGrid.SetRowCount 0054 TCustomGrid.SetScrollBars 005a TCalendar.Create 006f TCustomGrid.SetOptions 0074 Date 0090 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 5B 03 00 00 01 33 D2 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 07 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 07 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? F7 D2 23 96 BC 02 00 00 0B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 9E 40 03 00 00 9B 8B C6 8B 10 FF 92 30 01 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 10 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_84181_0 {
	meta:
		name = "TCalendar.Change"
		size = 29
	strings:
		$1 = { 53 66 83 B8 52 03 00 00 00 74 10 8B D8 8B D0 8B 83 54 03 00 00 FF 93 50 03 00 00 5B C3 }
	condition:
		$1
}

rule function_84182_0 {
	meta:
		name = "TCalendar.Click"
		size = 113
		refs = "000c TCalendar.Click 0019 TControl.Click 0030 TCalendar.GetCellText 003e StrToInt 004c TCalendar.SetDateElement 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 8B 94 02 00 00 8B 93 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_84183_0 {
	meta:
		name = "TCalendar.IsLeapYear"
		size = 57
	strings:
		$1 = { 53 8B CA 8B C1 25 03 00 00 80 79 05 48 83 C8 FC 40 85 C0 75 1C 8B C1 BB 64 00 00 00 99 F7 FB 85 D2 75 12 8B C1 B9 90 01 00 00 99 F7 F9 85 D2 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_84184_0 {
	meta:
		name = "TCalendar.DaysPerMonth"
		size = 46
		refs = "000d DaysInMonth"
	strings:
		$1 = { 53 56 57 55 8B F1 8B EA 8B D8 8B 3C B5 ?? ?? ?? ?? 83 FE 02 75 11 8B D5 8B C3 8B 08 FF 91 2C 01 00 00 84 C0 74 01 47 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84185_0 {
	meta:
		name = "TCalendar.DaysThisMonth"
		size = 43
		refs = "000b TCalendar.GetDateElement"
	strings:
		$1 = { 53 8B D8 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 59 8B 18 FF 93 24 01 00 00 5B C3 }
	condition:
		$1
}

rule function_84186_0 {
	meta:
		name = "TCalendar.DrawCell"
		size = 178
		refs = "0022 TCalendar.DrawCell 0037 TCalendar.GetCellText 0047 TCustomCanvas.TextHeight 0068 TCustomCanvas.TextWidth 009d @UStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B 75 0C 8D 7D EC A5 A5 A5 A5 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B B3 78 02 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 2B 55 F0 2B D0 D1 FA 79 03 83 D2 00 03 55 F0 52 8B 45 FC 50 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D F4 8B 7D EC 2B CF 2B C8 D1 F9 79 03 83 D1 00 03 CF 8D 55 EC 8B C6 8B 18 FF 93 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_84187_0 {
	meta:
		name = "TCalendar.GetCellText"
		size = 114
		refs = "0023 ShortDayNames 002d @UStrAsg 005c @UStrClr 0067 IntToStr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 8B 7D 08 85 C9 75 22 0F B6 83 59 03 00 00 03 C6 B9 07 00 00 00 99 F7 F9 A1 ?? ?? ?? ?? 8B 14 90 8B C7 E8 ?? ?? ?? ?? EB 38 03 B3 48 03 00 00 49 8B C1 03 C0 03 C0 03 C0 2B C1 03 F0 83 FE 01 7C 0E 8B C3 8B 10 FF 92 28 01 00 00 3B F0 7E 09 8B C7 E8 ?? ?? ?? ?? EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_84188_0 {
	meta:
		name = "TCalendar.SelectCell"
		size = 121
		refs = "0012 TCalendar.SelectCell 0039 TCalendar.GetCellText 004e TCustomGrid.SelectCell 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 5A 03 00 00 00 75 09 80 BB 58 03 00 00 00 75 15 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 04 33 DB EB 0D 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84189_0 {
	meta:
		name = "TCalendar.SetCalendarDate"
		size = 52
		refs = "002a @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 45 08 89 83 40 03 00 00 8B 45 0C 89 83 44 03 00 00 8B C3 8B 10 FF 92 30 01 00 00 8B C3 66 BE 97 FF E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_84190_0 {
	meta:
		name = "TCalendar.StoreCalendarDate"
		size = 10
	strings:
		$1 = { 0F B6 80 5B 03 00 00 34 01 C3 }
	condition:
		$1
}

rule function_84191_0 {
	meta:
		name = "TCalendar.GetDateElement"
		size = 73
		refs = "001f DecodeDate"
	strings:
		$1 = { 53 83 C4 F8 8B DA FF B0 44 03 00 00 FF B0 40 03 00 00 8D 4C 24 0C 8D 54 24 0A 8D 44 24 08 E8 ?? ?? ?? ?? 4B 74 08 4B 74 0B 4B 74 0F EB 14 0F B7 04 24 EB 11 0F B7 44 24 02 EB 0A 0F B7 44 24 04 EB 03 83 C8 FF 59 5A 5B C3 }
	condition:
		$1
}

rule function_84192_0 {
	meta:
		name = "TCalendar.SetDateElement"
		size = 183
		refs = "002d DecodeDate 008a EncodeDate 00ad @CallDynaInst"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F1 8B FA 8B D8 85 F6 0F 8E 9D 00 00 00 FF B3 44 03 00 00 FF B3 40 03 00 00 8D 4C 24 0C 8D 54 24 0A 8D 44 24 08 E8 ?? ?? ?? ?? 4F 74 08 4F 74 13 4F 74 25 EB 75 0F B7 04 24 3B F0 74 6D 66 89 34 24 EB 31 83 FE 0C 7F 62 0F B7 44 24 02 3B F0 74 59 66 89 74 24 02 EB 1C 8B C3 8B 10 FF 92 28 01 00 00 3B F0 7F 44 0F B7 44 24 04 3B F0 74 3B 66 89 74 24 04 0F B7 4C 24 04 0F B7 54 24 02 0F B7 04 24 E8 ?? ?? ?? ?? DD 9B 40 03 00 00 9B C6 83 5B 03 00 00 00 8B C3 8B 10 FF 92 30 01 00 00 8B C3 66 BE 97 FF E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84193_0 {
	meta:
		name = "TCalendar.SetStartOfWeek"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 59 03 00 00 74 10 88 96 59 03 00 00 8B C6 8B 10 FF 92 30 01 00 00 5E C3 }
	condition:
		$1
}

rule function_84194_0 {
	meta:
		name = "TCalendar.SetUseCurrentDate"
		size = 45
		refs = "0016 Date"
	strings:
		$1 = { 56 8B F0 3A 96 5B 03 00 00 74 20 88 96 5B 03 00 00 84 D2 74 16 E8 ?? ?? ?? ?? DD 9E 40 03 00 00 9B 8B C6 8B 10 FF 92 30 01 00 00 5E C3 }
	condition:
		$1
}

rule function_84195_0 {
	meta:
		name = "TCalendar.ChangeMonth"
		size = 243
		refs = "0024 DecodeDate 0061 EncodeDate 00e7 TCalendar.SetCalendarDate"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B FA 8B D8 FF B3 44 03 00 00 FF B3 40 03 00 00 8D 4C 24 0C 8D 54 24 0A 8D 44 24 08 E8 ?? ?? ?? ?? 0F B7 74 24 04 85 FF 7E 1A 0F B7 4C 24 02 0F B7 14 24 8B C3 8B 28 FF 95 24 01 00 00 66 89 44 24 04 EB 07 66 C7 44 24 04 01 00 0F B7 4C 24 04 0F B7 54 24 02 0F B7 04 24 E8 ?? ?? ?? ?? DD 5C 24 08 9B 89 7C 24 10 DB 44 24 10 DC 44 24 08 DD 5C 24 08 9B FF 74 24 0C FF 74 24 0C 8D 4C 24 0C 8D 54 24 0A 8D 44 24 08 E8 ?? ?? ?? ?? 0F B7 4C 24 02 0F B7 14 24 8B C3 8B 38 FF 97 24 01 00 00 3B F0 7D 07 66 89 74 24 04 EB 18 0F B7 4C 24 02 0F B7 14 24 8B C3 8B 30 FF 96 24 01 00 00 66 89 44 24 04 0F B7 4C 24 04 0F B7 54 24 02 0F B7 04 24 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84198_0 {
	meta:
		name = "TCalendar.NextYear"
		size = 111
		refs = "000b TCalendar.GetDateElement 004e TCalendar.SetDateElement"
	strings:
		$1 = { 53 8B D8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 2C 01 00 00 84 C0 74 33 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 F8 02 75 22 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 F8 1D 75 11 B9 1C 00 00 00 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C8 41 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84199_0 {
	meta:
		name = "TCalendar.PrevYear"
		size = 111
		refs = "000b TCalendar.GetDateElement 004e TCalendar.SetDateElement"
	strings:
		$1 = { 53 8B D8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 2C 01 00 00 84 C0 74 33 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 F8 02 75 22 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 F8 1D 75 11 B9 1C 00 00 00 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C8 49 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84200_0 {
	meta:
		name = "TCalendar.UpdateCalendar"
		size = 252
		refs = "0018 TCalendar.UpdateCalendar 003b DecodeDate 004c EncodeDate 005b DayOfWeek 00c9 TCustomGrid.MoveColRow 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 45 FC 8B 45 FC C6 80 5A 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC FF B0 44 03 00 00 FF B0 40 03 00 00 8D 4D F6 8D 55 F8 8D 45 FA E8 ?? ?? ?? ?? 66 B9 01 00 0F B7 55 F8 0F B7 45 FA E8 ?? ?? ?? ?? DD 5D E8 9B FF 75 EC FF 75 E8 E8 ?? ?? ?? ?? 0F B7 C0 8B 55 FC 0F B6 92 59 03 00 00 2B C2 83 C0 07 B9 07 00 00 00 99 F7 F9 BB 02 00 00 00 2B DA 8B 45 FC 89 98 48 03 00 00 83 FB 02 75 0D 8B 45 FC C7 80 48 03 00 00 FB FF FF FF 6A 00 6A 00 0F B7 4D F6 8B 45 FC 2B 88 48 03 00 00 8B C1 BB 07 00 00 00 99 F7 FB 52 8B C1 B9 07 00 00 00 99 F7 F9 40 8B C8 8B 45 FC 5A E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 5A 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84201_0 {
	meta:
		name = "TCalendar.WMSize"
		size = 68
		refs = "0025 TCustomGrid.SetDefaultColWidth 003c TCustomGrid.SetDefaultRowHeight"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B B3 B8 02 00 00 03 F6 8D 34 76 0F B7 47 08 2B C6 B9 07 00 00 00 99 F7 F9 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B7 47 0A 2B C6 B9 07 00 00 00 99 F7 F9 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84204_0 {
	meta:
		name = "TDirectoryOutline.Create"
		size = 116
		refs = "000a @ClassCreate 0017 TCustomOutline.Create 0023 TCustomOutline.GetPicture 0031 TCustomOutline.SetPicture 0038 TDirectoryOutline.Create 003f TCustomOutline.SetOutlineOptions 0048 TDirectoryOutline.SetTextCase 004f TDirectoryOutline.AssignCaseProc 005a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C8 BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_84205_0 {
	meta:
		name = "TDirectoryOutline.AssignCaseProc"
		size = 49
		refs = "0011 AnsiLowerCaseFileName 001d AnsiUpperCaseFileName"
	strings:
		$1 = { 0F B6 90 B8 03 00 00 80 EA 01 72 04 74 0E EB 18 BA ?? ?? ?? ?? 89 90 BC 03 00 00 C3 BA ?? ?? ?? ?? 89 90 BC 03 00 00 C3 33 D2 89 90 BC 03 00 00 C3 }
	condition:
		$1
}

rule function_84206_0 {
	meta:
		name = "TDirectoryOutline.FindIndex"
		size = 204
		refs = "0015 @UStrAddRef 001d TDirectoryOutline.FindIndex 002a TOutlineNode.getFirstChild 003b TCustomOutline.Get 0046 @UStrCmp 004f TOutlineNode.GetLastChild 00b7 @UStrClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B F2 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 71 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 50 08 8B 45 FC E8 ?? ?? ?? ?? 76 5A 8B C6 E8 ?? ?? ?? ?? 8B F8 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B 50 08 8B 45 FC E8 ?? ?? ?? ?? 72 05 83 CB FF EB 35 8D 34 1F D1 FE 79 03 83 D6 00 3B DE 75 01 46 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 50 08 8B 45 FC E8 ?? ?? ?? ?? 76 04 8B DE EB 02 8B FE 8B C7 48 3B D8 7C CD 8B DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84207_0 {
	meta:
		name = "TDirectoryOutline.BuildOneLevel"
		size = 700
		refs = "001a TDirectoryOutline.BuildOneLevel 0026 TNodeInfo 0030 @New 0052 TCustomOutline.Get 005a TOutlineNode.GetFullPath 0065 @UStrAsg 0074 AnsiPos 0088 @UStrDelete 00b8 @UStrCat 00da FindFirst 0129 TDirectoryOutline.ForceCase 0154 TOutlineNode.HasChildren 016f TDirectoryOutline.FindIndex 018f TCustomOutline.Insert 01a8 TOutlineNode.GetLastChild 01b8 TCustomOutline.Add 01d4 TCustomOutline.AddChild 01e8 FindNext 0219 FindClose 021f @HandleFinally 024e @Dispose 0270 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? B8 88 02 00 00 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 89 45 F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 10 8D 50 02 8B 45 F0 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 83 38 00 74 28 8B 45 F0 8B 00 85 C0 74 05 83 E8 04 8B 00 8B 55 F0 8B 12 66 83 7C 42 FE 5C 74 0D 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8D 48 08 8B 45 F0 8B 00 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 89 82 78 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 FB 00 00 00 8B 45 F0 8B 40 18 83 E0 10 83 F8 10 0F 85 D5 00 00 00 8B 45 F0 8B 40 1C 66 83 38 2E 0F 84 C5 00 00 00 8D 4D E8 8B 45 F0 8B 50 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F0 83 C0 1C E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 F0 89 98 7C 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6B 8B 45 F0 8B 48 1C 8B 45 F0 8B 90 7C 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 F0 89 B0 80 02 00 00 83 FE FF 74 1B 8B 45 F0 8B 48 1C 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 89 82 84 02 00 00 EB 43 8B 45 F0 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 48 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 89 82 84 02 00 00 EB 1A 8B 45 F0 8B 48 1C 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 89 82 84 02 00 00 8B 45 F0 83 C0 08 E8 ?? ?? ?? ?? 8B 55 F0 89 82 78 02 00 00 8B 45 F0 83 B8 78 02 00 00 00 0F 84 F5 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 83 C0 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C7 40 0C 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 5C 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2A 00 2E 00 2A 00 00 00 }
	condition:
		$1
}

rule function_84208_0 {
	meta:
		name = "TDirectoryOutline.BuildTree"
		size = 168
		refs = "000e TDirectoryOutline.BuildTree 001b TCustomOutline.Clear 002a @UStrFromWChar 0037 @UStrCat 0044 TDirectoryOutline.ForceCase 0050 TCustomOutline.AddChild 005d TDirectoryOutline.WalkTree 0081 @UStrArrayClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 0F B7 93 A8 03 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 93 AC 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 30 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_84209_0 {
	meta:
		name = "TDirectoryOutline.BuildSubTree"
		size = 76
		refs = "0018 TCustomOutline.Get 0021 TOutlineNode.getFirstChild 003d TOutlineNode.GetNextChild"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B D3 8B C6 8B 08 FF 91 24 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 1C 8B D3 8B C6 8B 08 FF 91 2C 01 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D8 83 FB FF 75 E4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84210_0 {
	meta:
		name = "TDirectoryOutline.Change"
		size = 29
	strings:
		$1 = { 53 66 83 B8 B2 03 00 00 00 74 10 8B D8 8B D0 8B 83 B4 03 00 00 FF 93 B0 03 00 00 5B C3 }
	condition:
		$1
}

rule function_84211_0 {
	meta:
		name = "TDirectoryOutline.Click"
		size = 152
		refs = "000c TDirectoryOutline.Click 0019 TCustomOutline.Click 0020 TCustomOutline.GetSelectedItem 0029 TCustomOutline.Get 0031 TOutlineNode.GetFullPath 003e AnsiPos 0052 @UStrDelete 005c TDirectoryOutline.SetDirectory 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 10 8D 50 02 8D 45 FC B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 5C 00 5C 00 00 00 }
	condition:
		$1
}

rule function_84212_0 {
	meta:
		name = "TDirectoryOutline.CreateWnd"
		size = 167
		refs = "0010 TDirectoryOutline.CreateWnd 001d TCustomGrid.CreateWnd 0031 @UGetDir 003e TDirectoryOutline.ForceCase 0066 @UStrAsg 0096 @UStrArrayClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 66 83 BB A8 03 00 00 00 75 3F 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 0F B7 00 66 89 83 A8 03 00 00 8D 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 83 AC 03 00 00 E8 ?? ?? ?? ?? F6 43 1C 01 75 10 F6 43 1C 10 74 0A 8B C3 8B 10 FF 92 28 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84213_0 {
	meta:
		name = "TDirectoryOutline.Expand"
		size = 45
		refs = "000b TCustomOutline.Get 0026 TCustomOutline.Expand"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 78 0C 00 75 0C 8B D6 8B C3 8B 08 FF 91 24 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84214_0 {
	meta:
		name = "TDirectoryOutline.ForceCase"
		size = 43
		refs = "0023 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 83 BB BC 03 00 00 00 74 0C 8B D7 8B C6 FF 93 BC 03 00 00 EB 09 8B C7 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84215_0 {
	meta:
		name = "TDirectoryOutline.Loaded"
		size = 29
		refs = "0006 TCustomOutline.Loaded 000d TDirectoryOutline.AssignCaseProc"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 28 01 00 00 5B C3 }
	condition:
		$1
}

rule function_84216_0 {
	meta:
		name = "TDirectoryOutline.SetDirectory"
		size = 436
		refs = "0015 TDirectoryOutline.SetDirectory 0052 @UStrCopy 005f @UStrEqual 006d TDirectoryOutline.ForceCase 0079 ExpandFileName 00c5 @UStrSetLength 00d5 AnsiCompareFileName 00eb @UStrAsg 00f6 ChDir 00fb @_IOTest 0113 TDirectoryOutline.SetDrive 0154 TDirectoryOutline.WalkTree 0173 @UStrClr 0191 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 75 F8 8B 55 F8 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 2A 01 00 00 8B FA 85 FF 74 05 83 EF 04 8B 3F 8D 45 F4 50 8B D7 4A B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? EB 17 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 83 F8 03 7E 2C 8B C2 85 C0 74 05 83 E8 04 8B 00 8B 4D FC 66 83 7C 41 FE 5C 75 16 8B C2 85 C0 74 05 83 E8 04 8B 00 8B D0 4A 8D 45 FC E8 ?? ?? ?? ?? 33 C9 8B 93 AC 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 81 00 00 00 8D 83 AC 03 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 3B 83 A8 03 00 00 74 0B 8B D0 8B C3 E8 ?? ?? ?? ?? EB 49 8B B3 AC 03 00 00 85 F6 74 05 83 EE 04 8B 36 8D 45 EC 50 8B D6 4A B9 02 00 00 00 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 30 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_84217_0 {
	meta:
		name = "TDirectoryOutline.SetDrive"
		size = 304
		refs = "0014 TDirectoryOutline.SetDrive 0060 SameLetter 0077 @UStrFromWChar 0084 @UStrCat 008c ChDir 0091 @_IOTest 009b @UGetDir 00a8 TDirectoryOutline.ForceCase 00b6 @UStrAsg 00e0 @UStrArrayClr 00e8 @UStrClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B D6 83 C2 9F 66 83 EA 1A 73 06 8B C6 66 25 DF FF BA ?? ?? ?? ?? 89 55 F8 8B 55 F8 66 3D FF 00 77 06 0F B7 C0 0F A3 02 0F 92 C0 84 C0 74 7B 0F B7 BB A8 03 00 00 66 85 FF 74 0D 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 62 8B FE 66 89 BB A8 03 00 00 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8D 4D F0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 83 AC 03 00 00 E8 ?? ?? ?? ?? F6 43 1C 01 75 0A 8B C3 8B 10 FF 92 28 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 FE FF FF 07 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_84218_0 {
	meta:
		name = "TDirectoryOutline.SetTextCase"
		size = 138
		refs = "000f TDirectoryOutline.SetTextCase 002a TDirectoryOutline.AssignCaseProc 0039 @UGetDir 0054 @UStrAsg 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E B8 03 00 00 74 47 88 9E B8 03 00 00 8B C6 E8 ?? ?? ?? ?? 80 FB 02 75 25 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 00 66 89 86 A8 03 00 00 8D 86 AC 03 00 00 8B 55 FC E8 ?? ?? ?? ?? F6 46 1C 01 75 0A 8B C6 8B 10 FF 92 28 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84219_0 {
	meta:
		name = "GetChildNamed"
		size = 114
		refs = "0017 TCustomOutline.Get 001e TOutlineNode.SetExpandedState 0030 TOutlineNode.getFirstChild 004a @UStrEqual 0060 TOutlineNode.GetNextChild"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 8B 7D 08 83 C7 FC 8B 45 08 8B 50 F8 8B 07 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 50 F8 8B 07 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 30 8B 07 8B D3 E8 ?? ?? ?? ?? 8B 40 08 8B D6 E8 ?? ?? ?? ?? 74 1B 8B 45 08 8B 50 F8 8B 07 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B D8 83 FB FF 75 D0 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_84220_0 {
	meta:
		name = "TDirectoryOutline.WalkTree"
		size = 352
		refs = "0019 TDirectoryOutline.WalkTree 0033 TDirectoryOutline.ForceCase 0040 Pos 006e @UStrCopy 0089 @UStrDelete 0094 @UStrLAsg 00a3 AnsiPos 00ef @UStrClr 00f8 GetChildNamed 0104 @UStrLen 0113 TCustomOutline.SetSelectedItem 012d @UStrArrayClr 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F4 89 4D F0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 01 00 00 00 8D 4D F4 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 2A 8B 5D F4 85 DB 74 05 83 EB 04 8B 1B 8D 45 F4 50 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 8B CB 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 66 83 38 5C 75 12 8D 45 F4 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? EB 66 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 33 8D 45 F0 50 8B CB 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 8D 45 F4 50 8D 53 01 8B CE 8B 45 F4 E8 ?? ?? ?? ?? EB 13 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 55 8B 45 F0 E8 ?? ?? ?? ?? 59 89 45 F8 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 7F 8E 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_84221_0 {
	meta:
		name = "SameLetter"
		size = 48
	strings:
		$1 = { 53 8B C8 8B D8 83 C3 9F 66 83 EB 1A 73 07 8B C8 66 81 E1 DF FF 8B C2 8B DA 83 C3 9F 66 83 EB 1A 73 06 8B C2 66 25 DF FF 66 3B C1 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_84224_0 {
	meta:
		name = "TBltBitmap.MakeLike"
		size = 129
		refs = "002c TBitmap.GetCanvas 0039 TBrush.SetColor 004a TBrush.SetStyle 0069 Rect"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B C3 8B 10 FF 52 30 8B D0 8B C6 8B 08 FF 51 44 8B C3 8B 10 FF 52 24 8B D0 8B C6 8B 08 FF 51 38 8B C6 E8 ?? ?? ?? ?? 8B 40 48 BA 06 00 00 FF E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 24 50 8D 44 24 04 50 8B C6 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 54 8B C6 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_84225_0 {
	meta:
		name = "SolveForX"
		size = 56
		refs = "0019 SolveForX 0022 @TRUNC"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 89 34 24 DB 04 24 89 5C 24 04 DB 44 24 04 DB 2D ?? ?? ?? ?? DE C9 DE C9 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_84226_0 {
	meta:
		name = "SolveForY"
		size = 56
		refs = "0019 SolveForY 0028 @TRUNC"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 85 DB 75 04 33 C0 EB 1B 89 34 24 DB 04 24 D8 0D ?? ?? ?? ?? 89 5C 24 04 DB 44 24 04 DE F9 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_84227_0 {
	meta:
		name = "TGauge.Create"
		size = 160
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 0020 TGauge.Create 0070 TControl.SetWidth 007c TControl.SetHeight 0087 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 33 C0 89 86 B8 01 00 00 C7 86 BC 01 00 00 64 00 00 00 33 C0 89 86 C0 01 00 00 C6 86 C4 01 00 00 01 C6 86 C5 01 00 00 01 C6 86 C6 01 00 00 01 33 C0 89 86 C8 01 00 00 C7 86 CC 01 00 00 FF FF FF 00 BA 64 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 64 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 50 00 00 00 }
	condition:
		$1
}

rule function_84228_0 {
	meta:
		name = "TGauge.GetPercentDone"
		size = 34
		refs = "001c SolveForY"
	strings:
		$1 = { 53 8B 88 C0 01 00 00 8B 90 B8 01 00 00 2B CA 8B 98 BC 01 00 00 2B DA 8B D3 8B C1 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84229_0 {
	meta:
		name = "TGauge.Paint"
		size = 424
		refs = "000d _Dn_TBitmap 0012 TBitmap.Create 001d TGauge.Paint 004a TGauge.PaintBackground 006e InflateRect 0075 _DV_TBltBitmap 0096 TBltBitmap.MakeLike 00c9 TGauge.PaintAsNothing 00d9 TGauge.PaintAsBar 00e9 TGauge.PaintAsPie 00f9 TGauge.PaintAsNeedle 0101 TBitmap.GetCanvas 0146 TGauge.PaintAsText 015b TObject.Free 0161 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 50 54 8B 45 F8 8B 08 FF 51 38 8B 45 FC 8B 50 50 8B 45 F8 8B 08 FF 51 44 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC 8B 08 FF 51 60 8B 45 FC 80 B8 C6 01 00 00 01 75 0D 6A FF 6A FF 8D 45 E4 50 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 0F B6 80 C4 01 00 00 2C 01 72 0C 2C 02 72 18 74 26 FE C8 74 32 EB 3E 8D 4D E4 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 2E 8D 4D E4 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 1E 8D 4D E4 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? EB 0E 8D 4D E4 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C7 40 54 46 00 66 00 8B 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 18 FF 53 44 8B 45 F8 E8 ?? ?? ?? ?? C7 40 54 20 00 CC 00 8B 45 FC 80 B8 C5 01 00 00 00 74 0E 8D 4D E4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 B0 01 00 00 C7 40 54 20 00 CC 00 8B 55 F8 52 33 C9 33 D2 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB EE 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84230_0 {
	meta:
		name = "TGauge.PaintBackground"
		size = 82
		refs = "000d TBitmap.GetCanvas 002b Rect 0040 TCanvas.CopyRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B F0 8B C7 E8 ?? ?? ?? ?? 8B D8 C7 43 54 42 00 00 00 8B 46 54 50 8D 44 24 04 50 8B 4E 50 33 D2 33 C0 E8 ?? ?? ?? ?? 54 8B C7 E8 ?? ?? ?? ?? 8B C8 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? C7 43 54 20 00 CC 00 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84231_0 {
	meta:
		name = "TGauge.PaintAsText"
		size = 372
		refs = "0020 TGauge.PaintAsText 002d _DV_TBltBitmap 0032 TBitmap.Create 004e TBltBitmap.MakeLike 0058 TGauge.PaintBackground 0063 TGauge.GetPercentDone 0079 Format 0081 TBitmap.GetCanvas 008d TBrush.SetStyle 0097 TCanvas.SetFont 00a4 TFont.SetColor 00ae TCustomCanvas.TextWidth 00c8 TCustomCanvas.TextHeight 012b TObject.Free 0131 @HandleFinally 0148 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D FC 8B F1 8D 7D E0 A5 A5 A5 A5 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 00 8D 55 D8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 8B 46 48 B2 01 E8 ?? ?? ?? ?? 8B 53 6C 8B C6 E8 ?? ?? ?? ?? 8B 46 40 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 7D E8 2B 7D E0 47 2B F8 D1 FF 79 03 83 D7 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 2B 55 E4 42 2B D0 D1 FA 79 03 83 D2 00 89 55 F4 8B 45 F4 50 8B 45 FC 50 8B CF 8D 55 E0 8B C6 8B 18 FF 93 98 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? C7 40 54 46 00 66 00 8B 45 F0 50 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 64 00 25 00 25 00 00 00 00 00 }
	condition:
		$1
}

rule function_84232_0 {
	meta:
		name = "TGauge.PaintAsNothing"
		size = 61
		refs = "0016 TBitmap.GetCanvas 0024 TBrush.SetColor"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8D 3C 24 A5 A5 A5 A5 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 40 48 8B 93 CC 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D4 8B 08 FF 51 54 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84233_0 {
	meta:
		name = "TGauge.PaintAsBar"
		size = 256
		refs = "002c TBitmap.GetCanvas 003c TBrush.SetColor 0055 TPen.SetColor 0062 TPen.SetWidth 0088 TGauge.GetPercentDone 008f SolveForX 00b0 Rect"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 8B F1 8D 7C 24 04 A5 A5 A5 A5 89 14 24 8B F0 8B 6C 24 0C 2B 6C 24 04 45 8B 7C 24 10 2B 7C 24 08 47 8B 04 24 E8 ?? ?? ?? ?? 8B D8 8B 96 CC 01 00 00 8B 43 48 E8 ?? ?? ?? ?? 8D 54 24 04 8B C3 8B 08 FF 51 54 8B 96 C8 01 00 00 8B 43 44 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 43 44 E8 ?? ?? ?? ?? 8B 96 C8 01 00 00 8B 43 48 E8 ?? ?? ?? ?? 0F B6 86 C4 01 00 00 FE C8 74 06 FE C8 74 3E EB 73 8B C6 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 8B F0 3B EE 7D 02 8B F5 85 F6 7E 59 57 8D 44 24 18 50 8B CE 8B 54 24 10 8B 44 24 0C E8 ?? ?? ?? ?? 8D 54 24 14 8B C3 8B 08 FF 51 54 EB 37 8B C6 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B F0 3B FE 7F 03 8B F7 4E 57 8D 44 24 18 50 8B D7 2B D6 8B CD 8B 44 24 0C E8 ?? ?? ?? ?? 8D 54 24 14 8B C3 8B 08 FF 51 54 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84234_0 {
	meta:
		name = "TGauge.PaintAsPie"
		size = 372
		refs = "003c TBitmap.GetCanvas 0049 TBrush.SetColor 0070 TPen.SetColor 007d TPen.SetWidth 0099 TGauge.GetPercentDone 00dc TGauge.PaintAsPie 0105 Cos 011a @ROUND 012b Sin"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B F1 8D 7C 24 14 A5 A5 A5 A5 89 14 24 8B F0 8B 7C 24 1C 2B 7C 24 14 8B 44 24 20 2B 44 24 18 89 44 24 10 80 BE C6 01 00 00 01 75 05 47 FF 44 24 10 8B 04 24 E8 ?? ?? ?? ?? 8B D8 8B 56 74 8B 43 48 E8 ?? ?? ?? ?? 8D 54 24 14 8B C3 8B 08 FF 51 54 8B 96 CC 01 00 00 8B 43 48 E8 ?? ?? ?? ?? 8B 96 C8 01 00 00 8B 43 44 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 43 44 E8 ?? ?? ?? ?? 57 8B 44 24 14 50 8B 4C 24 20 8B 54 24 1C 8B C3 8B 28 FF 55 50 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 8E AE 00 00 00 8B 96 C8 01 00 00 8B 43 48 E8 ?? ?? ?? ?? 8B EF D1 FD 79 03 83 D5 00 8B 44 24 10 D1 F8 79 03 83 D0 00 89 44 24 04 8B C6 E8 ?? ?? ?? ?? 89 44 24 24 DB 44 24 24 D8 35 ?? ?? ?? ?? D8 05 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 DD 5C 24 08 9B 57 8B 44 24 14 50 DD 44 24 10 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 2D ?? ?? ?? ?? 89 6C 24 2C DB 44 24 2C DE C9 E8 ?? ?? ?? ?? 50 DD 44 24 14 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 2D ?? ?? ?? ?? DB 44 24 10 DE C9 E8 ?? ?? ?? ?? 50 55 6A 00 8B 4C 24 30 8B 54 24 2C 8B C3 8B 18 FF 53 68 83 C4 28 5D 5F 5E 5B C3 00 00 00 48 42 00 00 00 3F 35 C2 68 21 A2 DA 0F C9 00 40 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_84235_0 {
	meta:
		name = "TGauge.PaintAsNeedle"
		size = 420
		refs = "0046 TBitmap.GetCanvas 0053 TBrush.SetColor 007a TPen.SetColor 0087 TPen.SetWidth 00d8 TGauge.GetPercentDone 011b TGauge.PaintAsNeedle 0138 Sin 0152 @ROUND 0163 Cos"
	strings:
		$1 = { 53 56 57 55 83 C4 D0 8B F1 8D 7C 24 18 A5 A5 A5 A5 89 14 24 8B F0 8B 44 24 18 8B F8 8B 54 24 1C 89 54 24 10 8B 4C 24 20 2B C8 89 4C 24 14 8B 6C 24 24 2B EA 80 BE C6 01 00 00 01 75 05 FF 44 24 14 45 8B 04 24 E8 ?? ?? ?? ?? 8B D8 8B 56 74 8B 43 48 E8 ?? ?? ?? ?? 8D 54 24 18 8B C3 8B 08 FF 51 54 8B 96 CC 01 00 00 8B 43 48 E8 ?? ?? ?? ?? 8B 96 C8 01 00 00 8B 43 44 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 43 44 E8 ?? ?? ?? ?? 8B 44 24 14 50 8B C5 03 C0 48 50 8B C7 03 44 24 1C 50 8B 44 24 30 48 50 57 8B 44 24 38 48 50 8B 4C 24 28 8B D7 8B C3 8B 28 FF 55 68 8B 4C 24 24 8B D7 8B C3 8B 28 FF 55 64 8B D7 03 54 24 14 8B 4C 24 24 8B C3 8B 38 FF 57 60 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 8E A2 00 00 00 8B 96 C8 01 00 00 8B 43 44 E8 ?? ?? ?? ?? 8B 7E 50 D1 FF 79 03 83 D7 00 8B 4C 24 24 49 8B D7 8B C3 8B 28 FF 55 64 8B C6 E8 ?? ?? ?? ?? 89 44 24 28 DB 44 24 28 D8 35 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 DD 5C 24 08 9B DD 44 24 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 2D ?? ?? ?? ?? 8B 44 24 24 48 89 44 24 28 DB 44 24 28 DE C9 E8 ?? ?? ?? ?? 50 DD 44 24 0C 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 2D ?? ?? ?? ?? 89 7C 24 30 DB 44 24 30 DE C9 E8 ?? ?? ?? ?? 8B D0 8B C3 59 8B 18 FF 53 60 83 C4 30 5D 5F 5E 5B C3 00 00 00 00 C8 42 35 C2 68 21 A2 DA 0F C9 00 40 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_84236_0 {
	meta:
		name = "TGauge.SetGaugeKind"
		size = 20
		refs = "000f TControl.Refresh"
	strings:
		$1 = { 3A 90 C4 01 00 00 74 0B 88 90 C4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84237_0 {
	meta:
		name = "TGauge.SetShowText"
		size = 20
		refs = "000f TControl.Refresh"
	strings:
		$1 = { 3A 90 C5 01 00 00 74 0B 88 90 C5 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84238_0 {
	meta:
		name = "TGauge.SetBorderStyle"
		size = 20
		refs = "000f TControl.Refresh"
	strings:
		$1 = { 3A 90 C6 01 00 00 74 0B 88 90 C6 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84239_0 {
	meta:
		name = "TGauge.SetForeColor"
		size = 20
		refs = "000f TControl.Refresh"
	strings:
		$1 = { 3B 90 C8 01 00 00 74 0B 89 90 C8 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84240_0 {
	meta:
		name = "TGauge.SetBackColor"
		size = 20
		refs = "000f TControl.Refresh"
	strings:
		$1 = { 3B 90 CC 01 00 00 74 0B 89 90 CC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84241_0 {
	meta:
		name = "TGauge.SetMinValue"
		size = 175
		refs = "0012 TGauge.SetMinValue 0055 SOutOfRange 005a LoadResString 0064 _Dn_EInvalidOperation 0069 Exception.CreateFmt 006e @RaiseExcept 0089 TControl.Refresh 009e @UStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 93 B8 01 00 00 74 69 3B 93 BC 01 00 00 7E 46 F6 43 1C 01 75 40 C7 45 F0 01 00 00 80 C6 45 F4 00 8B 83 BC 01 00 00 48 89 45 F8 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 93 B8 01 00 00 3B 93 C0 01 00 00 7E 06 89 93 C0 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84242_0 {
	meta:
		name = "TGauge.SetMaxValue"
		size = 175
		refs = "0012 TGauge.SetMaxValue 0055 SOutOfRange 005a LoadResString 0064 _Dn_EInvalidOperation 0069 Exception.CreateFmt 006e @RaiseExcept 0089 TControl.Refresh 009e @UStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 93 BC 01 00 00 74 69 3B 93 B8 01 00 00 7D 46 F6 43 1C 01 75 40 8B 83 B8 01 00 00 40 89 45 F0 C6 45 F4 00 C7 45 F8 FF FF FF 7F C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 93 BC 01 00 00 3B 93 C0 01 00 00 7D 06 89 93 C0 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84243_0 {
	meta:
		name = "TGauge.SetProgress"
		size = 78
		refs = "000a TGauge.GetPercentDone 0046 TControl.Refresh"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 83 B8 01 00 00 3B F0 7D 04 8B F0 EB 0C 8B 83 BC 01 00 00 3B F0 7E 02 8B F0 3B B3 C0 01 00 00 74 18 89 B3 C0 01 00 00 8B C3 E8 ?? ?? ?? ?? 3B F8 74 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84244_0 {
	meta:
		name = "TGauge.AddProgress"
		size = 25
		refs = "000c TGauge.SetProgress 0013 TControl.Refresh"
	strings:
		$1 = { 53 8B D8 03 93 C0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84247_0 {
	meta:
		name = "TSpinButton.Create"
		size = 200
		refs = "000d @ClassCreate 001b TWinControl.Create 0020 TSpinButton.Create 0033 TStyleManager.GetActiveStyle 0050 TSpinButton.CreateButton 006c TSpinButton.SetUpGlyph 0075 TSpinButton.SetDownGlyph 0081 TControl.SetWidth 008d TControl.SetHeight 00a6 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 43 58 0B 05 ?? ?? ?? ?? 89 43 58 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0D A1 ?? ?? ?? ?? F7 D0 23 43 58 89 43 58 8B C3 E8 ?? ?? ?? ?? 89 83 78 02 00 00 8B C3 E8 ?? ?? ?? ?? 89 83 7C 02 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA 14 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 89 83 80 02 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 00 00 21 00 00 00 50 00 00 00 10 00 00 00 }
	condition:
		$1
}

rule function_84250_0 {
	meta:
		name = "TSpinButton.AdjustSize"
		size = 106
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B AB 78 02 00 00 85 ED 74 51 F6 43 1C 01 75 4B 83 3E 0F 7D 06 C7 06 0F 00 00 00 8B 06 50 8B 07 D1 F8 79 03 83 D0 00 50 33 C9 33 D2 8B C5 8B 28 FF 95 A4 00 00 00 8B 16 52 8B 17 8B 83 78 02 00 00 8B 40 54 2B D0 42 52 8B C8 49 33 D2 8B 83 7C 02 00 00 8B 18 FF 93 A4 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84269_0 {
	meta:
		name = "TSpinEdit.Create"
		size = 268
		refs = "000e @ClassCreate 001c TCustomEdit.Create 0025 _DV_TSpinButton 002a TSpinButton.Create 003e TControl.SetWidth 004e TControl.SetHeight 005b TControl.SetVisible 00a4 TSpinEdit.Create 00ab TControl.SetText 00e2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B4 02 00 00 8B C6 BA 0F 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 BA 11 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 B2 01 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 8B D3 8B 08 FF 91 84 00 00 00 8B 83 B4 02 00 00 89 98 84 02 00 00 89 98 8C 02 00 00 8B 13 8B 92 20 01 00 00 89 90 88 02 00 00 89 98 94 02 00 00 8B 13 8B 92 24 01 00 00 89 90 90 02 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 43 58 89 43 58 C7 83 B0 02 00 00 01 00 00 00 C6 83 B8 02 00 00 01 33 D2 8B C3 8B 08 FF 91 E4 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_84272_0 {
	meta:
		name = "TSpinEdit.KeyDown"
		size = 66
		refs = "003a TCustomEdit.KeyDown"
	strings:
		$1 = { 53 56 51 66 89 0C 24 8B F2 8B D8 66 83 3E 26 75 0E 8B D3 8B C3 8B 08 FF 91 20 01 00 00 EB 12 66 83 3E 28 75 0C 8B D3 8B C3 8B 08 FF 91 24 01 00 00 8B D6 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_84273_0 {
	meta:
		name = "TSpinEdit.KeyPress"
		size = 53
		refs = "001f MessageBeep 002e TCustomEdit.KeyPress"
	strings:
		$1 = { 53 56 8B DA 8B F0 0F B7 13 8B C6 8B 08 FF 91 1C 01 00 00 84 C0 75 0C 66 C7 03 00 00 6A 00 E8 ?? ?? ?? ?? 66 83 3B 00 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84274_0 {
	meta:
		name = "TSpinEdit.IsValidChar"
		size = 164
		refs = "000c TSpinEdit.IsValidChar 001d DecimalSeparator"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B DA 8B F0 56 BE ?? ?? ?? ?? 8D 7C 24 04 B9 08 00 00 00 F3 A5 5E A1 ?? ?? ?? ?? 0F B7 00 0F B6 C0 0F AB 04 24 8B C4 8B D3 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 84 C0 74 04 B0 01 EB 12 66 83 FB 20 73 06 66 83 FB 0D 75 04 33 C0 EB 02 B0 01 0F B6 96 B8 02 00 00 80 F2 01 84 C2 74 14 66 83 FB 20 73 0C 66 83 FB 08 74 06 66 83 FB 2E 75 02 33 C0 83 C4 20 5F 5E 5B C3 00 00 00 00 00 00 00 28 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_84278_0 {
	meta:
		name = "TSpinEdit.WMSize"
		size = 158
		refs = "0008 TWinControl.WMSize 000f TSpinEdit.GetMinHeight 001d TControl.SetHeight 002d NewStyleControls 0096 TSpinEdit.SetEditRect"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B 46 54 7E 0B 8B D0 8B C6 E8 ?? ?? ?? ?? EB 77 83 BE B4 02 00 00 00 74 6E A1 ?? ?? ?? ?? 80 38 00 74 34 80 BE F1 01 00 00 00 74 2B 8B 96 B4 02 00 00 8B 7A 50 57 8B 56 54 83 EA 05 52 8B 56 50 2B D7 83 EA 05 33 C9 8B 86 B4 02 00 00 8B 18 FF 93 A4 00 00 00 EB 29 8B 96 B4 02 00 00 8B 7A 50 57 8B 56 54 83 EA 03 52 8B 56 50 2B D7 B9 01 00 00 00 8B 86 B4 02 00 00 8B 18 FF 93 A4 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84279_0 {
	meta:
		name = "TSpinEdit.GetMinHeight"
		size = 113
		refs = "000a GetDC 0013 GetTextMetrics 001b TFont.GetHandle 0022 SelectObject 003e ReleaseDC 0052 GetSystemMetrics"
	strings:
		$1 = { 53 56 83 C4 88 8B F0 6A 00 E8 ?? ?? ?? ?? 8B D8 54 53 E8 ?? ?? ?? ?? 8B 46 6C E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B F0 8D 44 24 3C 50 53 E8 ?? ?? ?? ?? 56 53 E8 ?? ?? ?? ?? 53 6A 00 E8 ?? ?? ?? ?? 8B 1C 24 8B 74 24 3C 3B DE 7E 02 8B DE 6A 06 E8 ?? ?? ?? ?? 03 C0 03 C0 85 DB 79 03 83 C3 03 C1 FB 02 03 DE 03 C3 83 C0 02 83 C4 78 5E 5B C3 }
	condition:
		$1
}

rule function_84293_0 {
	meta:
		name = "TTimerSpeedButton.Paint"
		size = 103
		refs = "0009 TSpeedButton.Paint 0027 Bounds 0035 InflateRect 004c OffsetRect 0058 TCanvas.GetHandle 005e DrawFocusRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? F6 83 DC 01 00 00 01 74 4C 8B 43 54 50 8D 44 24 04 50 8B 4B 50 33 D2 33 C0 E8 ?? ?? ?? ?? 6A FD 6A FD 8D 44 24 08 50 E8 ?? ?? ?? ?? 80 BB D2 01 00 00 02 75 0E 6A 01 6A 01 8D 44 24 08 50 E8 ?? ?? ?? ?? 54 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_84296_0 {
	meta:
		name = "LoadCompressedResourceBitmap"
		size = 183
		refs = "0010 @UStrAddRef 0018 LoadCompressedResourceBitmap 002a HInstance 0031 _Dn_TResourceStream 0036 TResourceStream.Create 0043 _Dn_TZDecompressionStream 0048 TZDecompressionStream.Create 0062 TBitmap.SetAlphaFormat 0081 TObject.Free 008f @HandleFinally 00a6 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 6A 0A 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_84297_0 {
	meta:
		name = "TCustomScreenTipsManager.AddPopup"
		size = 89
		refs = "0012 TList.IndexOf 0022 TList.Add 002a _DV_TScreenTipsPopup 002f @AsClass 0048 TAssociateItemList.Add 0051 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 86 9C 00 00 00 8B FB 8B D7 E8 ?? ?? ?? ?? 40 75 0D 8B 86 9C 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B8 94 02 00 00 85 FF 74 18 8B CF 8B D3 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84300_0 {
	meta:
		name = "TCustomScreenTipsManager.ApplicationShowHint"
		size = 261
		refs = "0020 _DV_TScreenTipsPopup 0025 @IsClass 0037 TList.IndexOf 0056 TList.Get 005b TCustomScreenTipsPopup.GetScreenTipItem 006f TCustomScreenTipsManager.GetScreenTip 0082 TAssociateItemList.Find 0099 TAssociateItemList.Get 00f8 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B D8 8B 75 08 83 3E 00 0F 84 E2 00 00 00 33 FF 8B 06 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 36 8B 06 8B 93 9C 00 00 00 92 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 FF 7E 63 8B BB 9C 00 00 00 8B 45 F8 89 45 F4 8B 55 F4 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 EB 44 8B 06 8B 10 FF 52 58 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 75 2E 8B 16 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 FF 7E 18 8B 55 F8 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 8B 40 04 E8 ?? ?? ?? ?? 8B F8 85 FF 74 51 83 7B 54 00 74 0C 8B 43 54 83 B8 A4 02 00 00 00 75 04 33 C0 EB 02 B0 01 84 C0 74 16 8B 06 8B 10 FF 52 58 8B 53 54 8B 92 A4 02 00 00 3B 42 18 0F 94 C0 84 C0 75 13 56 8B 06 8B 10 FF 52 58 8B D0 8B CF 8B C3 8B 18 FF 53 54 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84301_0 {
	meta:
		name = "GetDescriptionHeight"
		size = 448
		refs = "001d GetDescriptionHeight 0040 Rect 0071 TCanvas.GetHandle 008f Trim 00b6 @UStrToPWChar 00bd DrawText 00e3 TFont.SetStyle 00f7 TCustomCanvas.TextHeight 0195 @UStrArrayClr 01a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 D2 89 55 D4 89 55 D8 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 0E 00 00 00 6A 00 8D 45 DC 50 8B 4B 50 83 E9 10 33 D2 B8 10 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 56 8D 75 DC 8D 78 F0 A5 A5 A5 A5 5E 8B 45 08 80 78 EF 00 0F 84 B7 00 00 00 8B 45 08 C7 40 E8 10 0C 00 00 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B F8 8D 55 D8 8B 45 08 8B 40 E4 8B 40 24 8B 08 FF 51 1C 8B 45 D8 8D 55 FC E8 ?? ?? ?? ?? C7 45 F4 FF FF FF FF 8B 45 08 8B 40 E8 89 45 F0 8B 45 F0 50 8B 45 08 83 C0 F0 50 8B 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 08 2B 42 F4 83 C0 10 03 F0 8B 83 78 02 00 00 8B 40 40 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 E4 8B 50 40 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 83 C0 10 03 F0 8B 83 78 02 00 00 8B 40 40 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 68 8B 45 08 C7 40 E8 10 0C 00 00 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B D8 8D 55 D4 8B 45 08 8B 40 E4 8B 40 14 8B 08 FF 51 1C 8B 45 D4 8D 55 F8 E8 ?? ?? ?? ?? 83 CF FF 8B 45 08 8B 40 E8 89 45 EC 8B 45 EC 50 8B 45 08 83 C0 F0 50 57 8B 45 F8 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 08 2B 42 F4 03 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C6 5F 5E 5B 8B E5 5D C3 00 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_84302_0 {
	meta:
		name = "GetHeight"
		size = 560
		refs = "001a GetHeight 0029 _DV_TScreenTipsWindow 002e TScreenTipsWindow.Create 0056 TControl.SetWidth 0065 GetDescriptionHeight 00ac TFont.SetStyle 00ca Rect 00eb @UStrLAsg 012e ShortCutToText 014a Format 0173 TCanvas.GetHandle 019d @UStrToPWChar 01a4 DrawText 01ce TObject.Free 01d4 @HandleFinally 01f0 @UStrArrayClr 01f8 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 E4 89 55 E0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 42 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C7 45 F8 08 00 00 00 8B 45 08 8B 40 E0 8B D3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 08 8B 40 E0 E8 ?? ?? ?? ?? 59 01 45 F8 8B 45 08 8B 40 E4 80 78 38 00 74 0C 8B 45 F8 83 C0 1C 83 C0 02 89 45 F8 8B 45 08 8B 40 DC F6 40 4C 01 0F 84 25 01 00 00 8B 45 08 8B 40 E0 8B 80 78 02 00 00 8B 40 40 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 45 E8 50 8B 45 08 8B 40 E0 8B 48 50 83 E9 10 33 D2 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8D 75 E8 8D 78 F0 A5 A5 A5 A5 8B 45 08 83 C0 D8 8B 55 08 8B 52 E4 8B 52 0C E8 ?? ?? ?? ?? 8B 45 08 8B 40 E4 8B 58 18 85 DB 74 60 8B 45 08 8B 40 DC F6 40 4C 02 74 54 66 83 BB 8C 00 00 00 00 74 4A 8D 45 E4 50 8B 45 08 8B 40 D8 89 45 E8 C6 45 EC 11 8D 55 E0 0F B7 83 8C 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 08 83 C0 D8 E8 ?? ?? ?? ?? 8B 45 08 C7 40 E8 10 0C 00 00 8B 45 08 8B 40 E0 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B 55 08 8B 52 D8 E8 ?? ?? ?? ?? 83 CE FF 8B 45 08 8B 78 E8 57 8B 45 08 83 C0 F0 50 56 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 83 C0 0E 8B 55 08 2B 42 F4 01 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 20 00 28 00 25 00 73 00 29 00 00 00 }
	condition:
		$1
}

rule function_84303_0 {
	meta:
		name = "TCustomScreenTipsManager.CalculateHeight"
		size = 433
		refs = "001e TCustomScreenTipsManager.CalculateHeight 007b Trim 0095 TCustomScreenTipsManager.CalculateWidth 009f GetHeight 00de TScreenTipItem.GetManager 0144 TScreenTipItem.GetHeight 0177 @HandleFinally 0193 @UStrArrayClr 019b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D D0 89 4D CC 89 4D D8 89 55 E4 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC C6 80 98 00 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E4 83 78 18 00 0F 95 45 EF 80 7D EF 00 74 3D 8B 45 DC F6 40 1C 10 75 2B 8B 45 E4 8B 40 18 80 78 72 00 75 1F 8D 55 CC 8B 45 E4 8B 40 24 8B 08 FF 51 1C 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 83 7D D0 00 75 04 33 C0 EB 02 B0 01 88 45 EF 8B 55 E4 8B 45 DC E8 ?? ?? ?? ?? 8B F0 55 8B C6 E8 ?? ?? ?? ?? 59 8B D8 8B 45 E4 80 78 20 00 74 60 8B 45 E4 8B 40 10 8B 78 0C 85 FF 74 53 8B C7 8B 10 FF 52 20 84 C0 75 48 8B 45 E4 8B 40 10 8B 40 0C 8B 10 FF 52 24 8B F8 83 C7 10 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 74 0E 8B 45 E4 E8 ?? ?? ?? ?? F6 40 4C 01 74 03 83 C7 1A 8B 45 E4 80 78 38 00 74 03 83 C7 1E 3B FB 7D 04 8B C3 EB 02 8B C7 8B D8 80 7D EF 00 74 0E 8B 45 E4 89 58 30 8B 45 E4 89 70 34 EB 0C 8B 45 E4 89 58 2C 8B 45 E4 89 70 28 80 7D EF 00 74 0B 8B 45 E4 8B 40 30 89 45 D4 EB 0B 8B 45 E4 E8 ?? ?? ?? ?? 89 45 D4 83 7D D4 32 7D 07 B8 32 00 00 00 EB 03 8B 45 D4 89 45 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC C6 80 98 00 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 D4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84304_0 {
	meta:
		name = "TCustomScreenTipsManager.CalculateWidth"
		size = 65
		refs = "0024 TScreenTipItem.IsEnabled"
	strings:
		$1 = { 53 8B DA 80 7B 20 00 74 2C 8B 43 10 83 78 0C 00 74 23 8B 43 10 8B 40 0C 8B 10 FF 52 20 84 C0 75 14 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 C7 43 28 3E 01 00 00 EB 07 C7 43 28 D2 00 00 00 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_84305_0 {
	meta:
		name = "TCustomScreenTipsManager.ClearScreenTips"
		size = 25
		refs = "0007 TAllocatedActions.Clear 0013 TCollection.Clear"
	strings:
		$1 = { 53 8B D8 8B 43 40 E8 ?? ?? ?? ?? 8B 43 3C 85 C0 74 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84306_0 {
	meta:
		name = "TCustomScreenTipsManager.Create"
		size = 388
		refs = "000e @ClassCreate 001c TComponent.Create 002d _Dn_TFont 0032 TFont.Create 003f _DV_TAllocatedActions 0044 TAllocatedActions.Create 004e _Dn_TPicture 0053 TPicture.Create 005f TPicture.GetBitmap 0066 TCustomScreenTipsManager.Create 006b LoadCompressedResourceBitmap 007d SDefaultFooterText 0082 LoadResString 0097 _DV_TScreenTipBorderStyle 009c TScreenTipBorderStyle.Create 00b0 _DV_TDisplayOffset 00b5 TDisplayOffset.Create 00d2 _Dn_TComponentList 00d7 TComponentList.Create 00e4 _DV_TAssociateItemList 00e9 TAssociateItemList.Create 00fe _Dn_TApplicationEvents 0103 TCustomApplicationEvents.Create 0118 TCustomScreenTipsManager.ApplicationShowHint 0122 TCustomScreenTipsManager.ApplicationActivate 012c TCustomScreenTipsManager.ApplicationDeactivate 0139 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 54 33 C0 89 43 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 48 8B C6 E8 ?? ?? ?? ?? 8B D0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 43 4C 8D 53 44 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 43 58 FF FF FF 00 C7 43 5C 0F 00 00 FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 90 00 00 00 C6 83 80 00 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 94 00 00 00 33 C0 89 46 04 C7 46 08 05 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 9C 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A0 00 00 00 F6 43 1C 10 75 37 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 50 89 9E 9C 00 00 00 C7 86 98 00 00 00 ?? ?? ?? ?? 89 5E 7C C7 46 78 ?? ?? ?? ?? 89 5E 74 C7 46 70 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 53 00 43 00 52 00 45 00 45 00 4E 00 54 00 49 00 50 00 53 00 5F 00 46 00 4F 00 4F 00 54 00 45 00 52 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_84307_0 {
	meta:
		name = "TCustomScreenTipsManager.CreateScreenTip"
		size = 71
		refs = "000c TCustomScreenTipsManager.GetScreenTip 0019 TCustomScreenTipsManager.GetScreenTips 001e TScreenTipsCollection.Add 0029 TScreenTipItem.SetAction"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 22 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 40 EB 09 8B D7 8B C3 8B 08 FF 51 44 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84308_0 {
	meta:
		name = "TCustomScreenTipsManager.ValidateAllocatedActions"
		size = 332
		refs = "0014 TCustomScreenTipsManager.ValidateAllocatedActions 0036 TAllocatedActions.Clear 0042 _Dn_TStringList 0047 TStringList.Create 0076 TScreenTipsCollection.GetItem 009a TAllocatedActions.Exists 0101 TAllocatedActions.AddAction 011c TObject.Free 0122 @HandleFinally 0139 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 3C 85 C0 0F 84 FF 00 00 00 8B 40 08 83 78 08 00 75 0D 8B 43 40 E8 ?? ?? ?? ?? E9 E9 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 3C 8B 40 08 8B 40 08 48 85 C0 7C 4E 40 89 45 F8 33 F6 8B 43 3C 8B D6 E8 ?? ?? ?? ?? 85 C0 74 34 8B 43 3C 8B D6 E8 ?? ?? ?? ?? 8B F8 83 7F 18 00 74 22 8B 47 18 8B 50 08 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 10 8B 47 18 8B 50 08 8B CF 8B 45 FC 8B 38 FF 57 3C 46 FF 4D F8 75 B8 8B 43 40 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 85 C0 7E 3F 8B 45 FC 8B 10 FF 52 14 48 85 C0 7C 32 40 89 45 F8 33 F6 8D 4D F4 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 45 F4 50 8B D6 8B 45 FC 8B 08 FF 51 18 8B C8 8B 43 40 5A E8 ?? ?? ?? ?? 46 FF 4D F8 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84309_0 {
	meta:
		name = "TCustomScreenTipsManager.Destroy"
		size = 173
		refs = "0003 @BeforeDestruction 001e TObject.Free 0099 TComponent.Destroy 00a6 @ClassDestroy"
	strings:
		$1 = { 53 51 E8 ?? ?? ?? ?? 88 14 24 8B D8 83 7B 54 00 74 10 8D 43 54 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 8B 43 38 85 C0 74 05 E8 ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? F6 43 1C 10 75 08 8B 43 50 E8 ?? ?? ?? ?? 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 8B 43 3C 85 C0 74 05 E8 ?? ?? ?? ?? 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 8B 83 A4 00 00 00 E8 ?? ?? ?? ?? 0F B6 14 24 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_84310_0 {
	meta:
		name = "TCustomScreenTipsManager.DoCreateScreenTip"
		size = 22
	strings:
		$1 = { 53 66 83 78 72 00 74 0C 8B D8 8B CA 8B D0 8B 43 74 FF 53 70 5B C3 }
	condition:
		$1
}

rule function_84313_0 {
	meta:
		name = "TCustomScreenTipsManager.DoShow"
		size = 603
		refs = "000e _DV_TScreenTipsWindow 0043 TObject.Free 005f TControl.SetFont 0071 TScreenTipItem.GetManager 00b7 _DV_TScreenTipsPopup 00bc @IsClass 00cd TAssociateItemList.Find 00fc TControl.ClientToScreen 0219 TCustomScreenTipsManager.CalculateHeight 023e Rect"
	strings:
		$1 = { 53 56 57 55 83 C4 CC 8B F9 8B F2 8B D8 A1 ?? ?? ?? ?? 89 04 24 8B D4 8B C3 8B 08 FF 51 48 83 3C 24 00 75 08 A1 ?? ?? ?? ?? 89 04 24 33 C0 89 47 04 83 7B 54 00 74 10 8D 43 54 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C9 B2 01 8B 04 24 FF 50 38 8B E8 89 6B 54 8B 93 A4 00 00 00 8B C5 E8 ?? ?? ?? ?? 8B 07 8B 53 54 89 82 AC 02 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 16 8B C6 E8 ?? ?? ?? ?? 8B 80 94 00 00 00 8B 40 04 89 44 24 04 EB 06 33 C0 89 44 24 04 8B C6 E8 ?? ?? ?? ?? 85 C0 74 13 8B C6 E8 ?? ?? ?? ?? 8B 80 94 00 00 00 83 78 0C 00 74 21 8B 07 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 10 8B 17 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 40 7E 41 8B 07 8B 40 54 89 44 24 08 8B C6 E8 ?? ?? ?? ?? 8B 80 94 00 00 00 8B 40 08 01 44 24 08 8D 4C 24 2C 8D 54 24 04 8B 07 E8 ?? ?? ?? ?? 8B 44 24 2C 89 44 24 04 8B 44 24 30 89 44 24 08 E9 FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 C8 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 80 94 00 00 00 8B 40 0C 8B 40 48 89 44 24 14 33 C0 89 44 24 18 8B 44 24 14 89 44 24 04 8B 44 24 18 89 44 24 08 8B C6 E8 ?? ?? ?? ?? 8B 80 94 00 00 00 8B 40 0C 8D 4C 24 2C 8D 54 24 04 E8 ?? ?? ?? ?? 8B 44 24 2C 89 44 24 04 8B 44 24 30 89 44 24 08 8B C6 E8 ?? ?? ?? ?? 8B 80 94 00 00 00 8B 40 04 89 44 24 0C 33 C0 89 44 24 10 8D 4C 24 2C 8D 54 24 0C 8B 07 E8 ?? ?? ?? ?? 8B 44 24 2C 89 44 24 0C 8B 44 24 30 89 44 24 10 8B 44 24 0C 89 44 24 04 8B C6 E8 ?? ?? ?? ?? 8B 80 94 00 00 00 8B 40 0C 8B 78 54 03 7C 24 08 8B C6 E8 ?? ?? ?? ?? 8B 80 94 00 00 00 03 78 08 89 7C 24 08 EB 28 8B 2F 8B 45 54 89 44 24 08 8D 4C 24 2C 8D 54 24 04 8B C5 E8 ?? ?? ?? ?? 8B 44 24 2C 89 44 24 04 8B 44 24 30 89 44 24 08 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 6E 28 03 7C 24 08 83 EF 04 57 8D 44 24 20 50 8B 4C 24 0C 03 CD 8B 54 24 10 8B 44 24 0C E8 ?? ?? ?? ?? 8B CE 8D 54 24 1C 8B 43 54 8B 18 FF 93 2C 01 00 00 83 C4 34 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84314_0 {
	meta:
		name = "TCustomScreenTipsManager.DoShowScreenTip"
		size = 65
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B F0 C6 45 FB 01 66 83 7E 6A 00 74 0E 8D 45 FB 50 8B CA 8B D6 8B 46 6C FF 56 68 80 7D FB 00 74 0D 8B 4D 08 8B 55 FC 8B C6 8B 18 FF 53 50 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_84316_0 {
	meta:
		name = "TCustomScreenTipsManager.Notification"
		size = 261
		refs = "0011 TComponent.Notification 0037 _Dn_TBasicAction 003c @IsClass 0067 TScreenTipsCollection.GetItem 0076 TCollection.Delete 0089 _Dn_TCustomActionList 00b5 TActionListCollection.GetListItem 00e3 TList.IndexOf 00ee _Dn_TCustomControl 00f3 @AsClass 00fc TCustomScreenTipsManager.RemovePopup"
	strings:
		$1 = { 53 56 57 55 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 0F 85 E2 00 00 00 8B 87 94 00 00 00 3B 70 0C 75 0A 33 D2 89 50 0C E9 CD 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 41 8B 47 3C 85 C0 0F 84 B1 00 00 00 8B 40 08 8B 68 08 4D 85 ED 0F 8C A2 00 00 00 45 33 DB 8B D3 8B 47 3C E8 ?? ?? ?? ?? 3B 70 18 75 0F 8B D3 8B 47 3C E8 ?? ?? ?? ?? E9 81 00 00 00 43 4D 75 DE EB 7B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3C 83 7F 38 00 74 36 8B 47 38 85 C0 74 5D 8B 40 08 8B 58 08 4B 83 FB 00 7C 51 8B D3 8B 47 38 E8 ?? ?? ?? ?? 3B 70 0C 75 0C 8B D3 8B 47 38 E8 ?? ?? ?? ?? EB 36 4B 83 FB FF 75 DF EB 2E 8B 87 9C 00 00 00 85 C0 74 24 3B FE 74 20 8B D6 E8 ?? ?? ?? ?? 40 7E 16 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84317_0 {
	meta:
		name = "TCustomScreenTipsManager.RemoveScreenTip"
		size = 156
		refs = "001f TAllocatedActions.Delete 0044 TScreenTipsCollection.GetItem 0090 TCollection.Delete"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B E8 33 DB 85 F6 0F 84 81 00 00 00 8B CC 8B 46 18 8B 50 08 8B 45 40 E8 ?? ?? ?? ?? 84 C0 74 6D 8B 45 3C 8B 40 08 8B 78 08 4F 85 FF 7C 1D 47 C7 04 24 00 00 00 00 8B 14 24 8B 45 3C E8 ?? ?? ?? ?? 3B F0 74 06 FF 04 24 4F 75 EB 83 3C 24 FF 7E 11 8B 45 3C 8B 40 08 8B 40 08 3B 04 24 0F 9F C0 EB 02 33 C0 84 C0 74 12 8B 14 24 8B 45 3C E8 ?? ?? ?? ?? 3B F0 0F 94 C0 EB 02 33 C0 8B D8 84 DB 74 0B 8B 14 24 8B 45 3C E8 ?? ?? ?? ?? 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84318_0 {
	meta:
		name = "TCustomScreenTipsManager.RemovePopup"
		size = 49
		refs = "000b TComponent.RemoveFreeNotification 0018 TList.IndexOf 002a TList.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 8B D6 E8 ?? ?? ?? ?? 83 F8 FF 7E 0D 8B D0 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84319_0 {
	meta:
		name = "TCustomScreenTipsManager.SetLinkedActionLists"
		size = 48
		refs = "000d _Dn_TActionListItem 0017 _Dn_TActionListCollection 001c TOwnedCollection.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 38 00 75 17 A1 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 8B D6 8B 43 38 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_84320_0 {
	meta:
		name = "TCustomScreenTipsManager.IsLinkedActionListsStored"
		size = 38
		refs = "0006 TCustomScreenTipsManager.HasLinkedActionLists 0011 TCustomScreenTipsManager.GetLinkedActionLists"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 0F 9F C0 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_84322_0 {
	meta:
		name = "TCustomScreenTipsManager.GetLinkedActionLists"
		size = 37
		refs = "000a _Dn_TActionListItem 0014 _Dn_TActionListCollection 0019 TOwnedCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 38 00 75 17 A1 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 8B 43 38 5B C3 }
	condition:
		$1
}

rule function_84324_0 {
	meta:
		name = "TCustomScreenTipsManager.HideActiveHint"
		size = 15
		refs = "000a TScreenTipsWindow.HideHint"
	strings:
		$1 = { 8B 50 54 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84326_0 {
	meta:
		name = "TCustomScreenTipsManager.SetFooterImage"
		size = 21
	strings:
		$1 = { 56 57 8B F0 8B 7E 48 85 FF 74 07 8B C7 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_84327_0 {
	meta:
		name = "TCustomScreenTipsManager.GetScreenTips"
		size = 31
		refs = "000e _DV_TScreenTipsCollection 0013 TScreenTipsCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 3C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C 8B 43 3C 5B C3 }
	condition:
		$1
}

rule function_84328_0 {
	meta:
		name = "TCustomScreenTipsManager.SetScreenTips"
		size = 42
		refs = "0011 _DV_TScreenTipsCollection 0016 TScreenTipsCollection.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 3C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C 8B D6 8B 43 3C 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_84329_0 {
	meta:
		name = "TCustomScreenTipsManager.IsDisplayOffsetStored"
		size = 30
	strings:
		$1 = { 8B 90 94 00 00 00 83 7A 04 00 75 0F 83 7A 08 00 75 09 83 7A 0C 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_84330_0 {
	meta:
		name = "TCustomScreenTipsManager.IsFontStored"
		size = 175
		refs = "000e TCustomScreenTipsManager.IsFontStored 0022 TFont.GetName 002f DefFontData 0037 @UStrFromString 0040 @UStrEqual 006d TFont.GetCharset 0094 @UStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 A4 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B 15 ?? ?? ?? ?? 83 C2 0F E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 74 1A 8B 83 A4 00 00 00 8B 40 10 8B 40 18 8B 15 ?? ?? ?? ?? 3B 42 04 0F 95 C0 EB 02 33 C0 84 C0 74 19 8B 83 A4 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3A 42 0E 0F 95 C0 EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84331_0 {
	meta:
		name = "TCustomScreenTipsManager.IsFooterStored"
		size = 86
		refs = "000c TCustomScreenTipsManager.IsFooterStored 001a SDefaultFooterText 001f LoadResString 002a @UStrEqual 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 44 E8 ?? ?? ?? ?? 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_84332_0 {
	meta:
		name = "TCustomScreenTipsManager.IsScreenTipItemsStored"
		size = 26
		refs = "0007 TCustomScreenTipsManager.GetScreenTips"
	strings:
		$1 = { 83 78 3C 00 74 11 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 0F 9F C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_84333_0 {
	meta:
		name = "TCustomScreenTipsManager.GetScreenTip"
		size = 44
		refs = "0011 TAllocatedActions.Exists 0020 TAllocatedActions.GetItem"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 1D 8B 56 08 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 56 08 8B 43 40 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_84334_0 {
	meta:
		name = "TCustomScreenTipsManager.UpdateActionInfo"
		size = 84
		refs = "0017 TAllocatedActions.Find 0026 TAllocatedActions.GetItem 002d TScreenTipItem.SetAction 003a TAllocatedActions.Delete 004b TAllocatedActions.AddAction"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 85 F6 74 41 8B CC 8B 56 08 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 1F 8B 56 08 8B 43 40 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B CC 8B 56 08 8B 43 40 E8 ?? ?? ?? ?? 85 FF 74 0D 8B CF 8B 56 08 8B 43 40 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84335_0 {
	meta:
		name = "TCustomScreenTipsManager.UpdateOptions"
		size = 23
		refs = "0012 TObject.Free"
	strings:
		$1 = { 83 78 54 00 74 10 83 C0 54 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84336_0 {
	meta:
		name = "TCustomScreenTipsManager.GenerateScreenTipsForActionList"
		size = 74
		refs = "000b TCustomActionList.GetActionCount 001e TCustomActionList.GetAction 0027 TCustomScreenTipsManager.GetScreenTip 003d TCustomScreenTipsManager.CreateScreenTip"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C5 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2F 46 33 DB 8B D3 8B C5 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 85 C0 75 12 8B D3 8B C5 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 43 4E 75 D4 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84337_0 {
	meta:
		name = "TCustomScreenTipsManager.GenerateScreenTips"
		size = 212
		refs = "000e TCustomScreenTipsManager.GenerateScreenTips 001b TCustomScreenTipsManager.ValidateAllocatedActions 0022 TCustomScreenTipsManager.GetLinkedActionLists 0051 TActionListCollection.GetListItem 005b TCustomScreenTipsManager.GenerateScreenTipsForActionList 006f SGenerateScreenTipsError 0074 LoadResString 0091 MessageDlgPosHelp 00bc @UStrClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 7E 35 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 8B F0 4E 85 F6 7C 51 46 33 FF 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 50 0C 8B C3 E8 ?? ?? ?? ?? 47 4E 75 E4 EB 30 F6 43 1C 10 74 2A 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 02 0F B7 15 ?? ?? ?? ?? 33 F6 56 6A FF 6A FF 6A 00 8B CA 8B 55 FC 92 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 4C 8B 43 3C 8B 40 08 83 78 08 00 0F 9F C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 04 00 00 00 }
	condition:
		$1
}

rule function_84338_0 {
	meta:
		name = "TScreenTipItem.Assign"
		size = 184
		refs = "000f TScreenTipItem.Assign 001d _DV_TScreenTipItem 0022 @IsClass 002e SInvalidScreenTipItemAssign 0033 LoadResString 003d _Dn_Exception 0042 Exception.Create 0047 @RaiseExcept 0058 @UStrAsg 00a7 @UStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 18 89 43 18 8D 43 0C 8B 56 0C E8 ?? ?? ?? ?? 8D 43 40 8B 56 40 E8 ?? ?? ?? ?? 8B 56 10 8B 43 10 8B 08 FF 51 08 8B 56 14 8B 43 14 8B 08 FF 51 08 0F B6 46 20 88 43 20 8B 56 24 8B 43 24 8B 08 FF 51 08 0F B6 46 38 88 43 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84339_0 {
	meta:
		name = "TScreenTipItem.Create"
		size = 158
		refs = "000b @ClassCreate 001c TCollectionItem.Create 0028 _Dn_TPicture 002d TPicture.Create 0042 _Dn_TStringList 0047 TStringList.Create 0052 SCommandIsDisabled 0057 LoadResString 0064 TScreenTipItem.DescriptionChange 008a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 89 77 1C C6 47 38 01 C6 47 20 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 14 8D 57 40 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 14 89 78 44 C7 40 40 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 24 89 7E 44 C7 46 40 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84340_0 {
	meta:
		name = "TScreenTipItem.DescriptionChange"
		size = 21
	strings:
		$1 = { 33 D2 89 50 30 33 D2 89 50 2C 33 D2 89 50 28 33 D2 89 50 34 C3 }
	condition:
		$1
}

rule function_84341_0 {
	meta:
		name = "TScreenTipItem.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000f TObject.Free 002a TCollectionItem.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84342_0 {
	meta:
		name = "TScreenTipItem.GetHeight"
		size = 67
		refs = "0006 TScreenTipItem.GetManager 003a TCustomScreenTipsManager.CalculateHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 75 07 B8 32 00 00 00 5B C3 8B C3 E8 ?? ?? ?? ?? 80 B8 98 00 00 00 00 74 05 8B 43 2C EB 17 83 7B 2C 00 75 0E 8B C3 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 43 2C 5B C3 }
	condition:
		$1
}

rule function_84343_0 {
	meta:
		name = "TScreenTipItem.GetDisplayName"
		size = 96
		refs = "0012 TScreenTipItem.GetDisplayName 0021 @UStrCatN 0033 @UStrAsg 003e TCollectionItem.GetDisplayName"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 18 85 FF 74 19 FF 77 08 68 ?? ?? ?? ?? FF 73 0C 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 1B 83 7B 0C 00 74 0C 8B C6 8B 53 0C E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 2D 00 3E 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_84344_0 {
	meta:
		name = "TScreenTipItem.GetManager"
		size = 23
	strings:
		$1 = { 83 78 3C 00 75 0D 8B 50 1C 85 D2 74 06 8B 52 18 89 50 3C 8B 40 3C C3 }
	condition:
		$1
}

rule function_84345_0 {
	meta:
		name = "TScreenTipItem.IsDisableHeaderStored"
		size = 86
		refs = "000c TScreenTipItem.IsDisableHeaderStored 001a SCommandIsDisabled 001f LoadResString 002a @UStrEqual 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 40 E8 ?? ?? ?? ?? 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_84346_0 {
	meta:
		name = "TScreenTipItem.IsEnabled"
		size = 19
	strings:
		$1 = { 8B 50 18 85 D2 74 09 80 7A 72 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_84347_0 {
	meta:
		name = "TScreenTipItem.SetAction"
		size = 272
		refs = "0012 TScreenTipItem.SetAction 0038 _Dn_TCustomAction 003d @IsClass 004c @UStrAsg 0057 StripHotkey 0070 @UStrLAsg 007d Pos 00ab @UStrCopy 00bd TScreenTipItem.GetManager 00d1 TCustomScreenTipsManager.UpdateActionInfo 00eb @UStrArrayClr 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 73 18 85 F6 0F 84 93 00 00 00 83 7B 0C 00 0F 85 89 00 00 00 8B 7B 18 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 75 8D 43 0C 8B 57 6C E8 ?? ?? ?? ?? 8D 55 F8 8B 43 0C E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 8D 45 FC 8B 97 84 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 2A 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 8D 45 FC 50 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 42 8B CF 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 43 14 8B 08 FF 51 2C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 8B C3 E8 ?? ?? ?? ?? 8B CB 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7C 00 00 00 }
	condition:
		$1
}

rule function_84349_0 {
	meta:
		name = "TScreenTipItem.SetDisabledDescription"
		size = 19
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 24 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_84350_0 {
	meta:
		name = "TScreenTipItem.SetImage"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 10 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_84354_0 {
	meta:
		name = "TScreenTipBorderStyle.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TObject.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 0C 01 C7 46 08 05 00 00 00 C7 46 04 76 76 76 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84359_0 {
	meta:
		name = "TAllocatedActions.AddAction"
		size = 63
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B DA 8B F0 8B CC 8B D3 8B 46 04 8B 28 FF 95 9C 00 00 00 84 C0 75 0E 8B CF 8B D3 8B 46 04 8B 18 FF 53 3C EB 0D 8B CF 8B 14 24 8B 46 04 8B 18 FF 53 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84361_0 {
	meta:
		name = "TAllocatedActions.Create"
		size = 81
		refs = "000b @ClassCreate 0018 TObject.Create 001f _Dn_TStringList 0024 TStringList.Create 0032 TStringList.SetSorted 003d @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 04 8B C6 B2 01 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84362_0 {
	meta:
		name = "TAllocatedActions.Delete"
		size = 43
	strings:
		$1 = { 53 56 57 51 8B F1 8B D8 8B CE 8B 43 04 8B 38 FF 97 9C 00 00 00 88 04 24 8B 16 8B 43 04 8B 08 FF 51 48 0F B6 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84364_0 {
	meta:
		name = "TAllocatedActions.Exists"
		size = 18
	strings:
		$1 = { 53 51 8B CC 8B 40 04 8B 18 FF 93 9C 00 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_84365_0 {
	meta:
		name = "TAllocatedActions.Find"
		size = 18
	strings:
		$1 = { 53 56 8B F0 8B 46 04 8B 18 FF 93 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_84367_0 {
	meta:
		name = "TAllocatedActions.GetItem"
		size = 41
		refs = "000e TAllocatedActions.Find"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 0B 8B 14 24 8B 43 04 8B 08 FF 51 18 5A 5E 5B C3 }
	condition:
		$1
}

rule function_84368_0 {
	meta:
		name = "TAssociateItemList.Add"
		size = 78
		refs = "0013 TList.IndexOf 0026 TList.Get 0038 _DV_TAssociateItem 003d TAssociateItem.Create 0046 TList.Add"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 74 3D 8B 43 04 8B D6 E8 ?? ?? ?? ?? 83 F8 FF 7E 13 8B 5B 04 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 89 78 08 EB 1B 8B 5B 04 57 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84371_0 {
	meta:
		name = "TAssociateItemList.Find"
		size = 52
		refs = "001b TAssociateItemList.Get"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 04 8B 70 08 4E 85 F6 7C 19 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 3B 68 08 75 04 8B C3 EB 07 43 4E 75 EA 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84373_0 {
	meta:
		name = "TAssociateItemList.Remove"
		size = 27
		refs = "0006 TAssociateItemList.Find 0015 TList.Delete"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 F8 FF 7E 0A 8B D0 8B 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84375_0 {
	meta:
		name = "TAssociateItem.Destroy"
		size = 41
		refs = "0003 @BeforeDestruction 0017 TObject.Destroy 0022 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 08 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84376_0 {
	meta:
		name = "TCustomScreenTipsPopup.Create"
		size = 150
		refs = "000a @ClassCreate 0017 TCustomControl.Create 001e _Dn_TPicture 0023 TPicture.Create 0049 _Dn_TBitmap 004e TBitmap.Create 005b TCustomScreenTipsPopup.InitialisePopupType 0064 _DV_TScreenTipItem 0069 TScreenTipItem.Create 0078 TControl.SetShowHint 0083 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 02 00 00 C6 86 9C 02 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 84 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 88 02 00 00 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 98 02 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84377_0 {
	meta:
		name = "TCustomScreenTipsPopup.Destroy"
		size = 80
		refs = "0003 @BeforeDestruction 0012 TObject.Free 003e TCustomControl.Destroy 0049 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 84 02 00 00 E8 ?? ?? ?? ?? 8B 86 80 02 00 00 E8 ?? ?? ?? ?? 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 8B 86 88 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84378_0 {
	meta:
		name = "TCustomScreenTipsPopup.GetScreenTipItem"
		size = 7
	strings:
		$1 = { 8B 80 98 02 00 00 C3 }
	condition:
		$1
}

rule function_84380_0 {
	meta:
		name = "TCustomScreenTipsPopup.InitialisePopupType"
		size = 112
		refs = "000a TCustomScreenTipsPopup.InitialisePopupType 000f LoadCompressedResourceBitmap 0023 TControl.SetWidth 0037 TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B 93 88 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 88 02 00 00 8B 10 FF 52 30 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 88 02 00 00 8B 10 FF 52 24 8B D0 8B C3 E8 ?? ?? ?? ?? C6 83 8C 02 00 00 02 5B C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 43 00 52 00 45 00 45 00 4E 00 54 00 49 00 50 00 53 00 5F 00 49 00 4E 00 46 00 4F 00 00 00 }
	condition:
		$1
}

rule function_84381_0 {
	meta:
		name = "TCustomScreenTipsPopup.LinkPopupToManager"
		size = 17
		refs = "000c TCustomScreenTipsManager.AddPopup"
		altNames = "TCustomScreenTipsPopup.UpdateAssociateToManager"
	strings:
		$1 = { 8B 90 90 02 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84384_0 {
	meta:
		name = "TCustomScreenTipsPopup.RemoveLinkToManager"
		size = 17
		refs = "000c TCustomScreenTipsManager.RemovePopup"
	strings:
		$1 = { 8B 90 90 02 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84382_0 {
	meta:
		name = "TCustomScreenTipsPopup.Notification"
		size = 63
		refs = "0010 TWinControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 22 3B BE 90 02 00 00 75 0A 33 C0 89 86 90 02 00 00 EB 10 3B BE 94 02 00 00 75 08 33 C0 89 86 94 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84383_0 {
	meta:
		name = "TCustomScreenTipsPopup.Paint"
		size = 348
		refs = "000b TCustomControl.Paint 0041 _Dn_TPicture 0046 TPicture.Create 0051 TCustomScreenTipsPopup.Paint 00a9 TObject.Free 00af @HandleFinally 0104 TBrush.SetStyle"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 80 BE 8C 02 00 00 00 0F 85 99 00 00 00 8B 86 80 02 00 00 83 78 0C 00 0F 84 89 00 00 00 8B 86 80 02 00 00 8B 40 0C 8B 10 FF 52 20 84 C0 75 77 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 80 02 00 00 8B 50 0C 8B 45 FC 8B 08 FF 51 08 80 BE 9C 02 00 00 00 74 0D 8B 45 FC 8B 40 0C B2 01 8B 08 FF 51 40 8B 45 FC 8B 40 0C 50 8B 86 78 02 00 00 33 C9 33 D2 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 86 8C 02 00 00 3C 02 74 04 3C 01 75 34 8B 86 88 02 00 00 8B 10 FF 52 20 84 C0 75 4C 8B 86 88 02 00 00 B2 01 8B 08 FF 51 40 8B 86 88 02 00 00 50 8B 86 78 02 00 00 33 C9 33 D2 8B 18 FF 53 44 EB 27 8B 86 78 02 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 86 78 02 00 00 33 C9 33 D2 8B 18 FF 93 90 00 00 00 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 14 00 00 00 53 00 55 00 73 00 65 00 54 00 68 00 65 00 47 00 6C 00 79 00 70 00 68 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_84385_0 {
	meta:
		name = "TCustomScreenTipsPopup.ResizeControl"
		size = 282
		refs = "000e TCustomScreenTipsPopup.ResizeControl 0052 TControl.SetHeight 0069 TControl.SetWidth 00af SUseTheGlyphProperty 00b4 LoadResString 00c2 TCustomCanvas.TextWidth 00e6 TCustomCanvas.TextHeight 0109 @UStrArrayClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 8C 02 00 00 00 75 51 8B 83 80 02 00 00 83 78 0C 00 74 45 8B 83 80 02 00 00 8B 40 0C 8B 10 FF 52 20 84 C0 75 33 8B 83 80 02 00 00 8B 40 0C 8B 10 FF 52 24 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 80 02 00 00 8B 40 0C 8B 10 FF 52 30 8B D0 8B C3 E8 ?? ?? ?? ?? E9 81 00 00 00 0F B6 83 8C 02 00 00 3C 02 74 04 3C 01 75 2A 8B 83 88 02 00 00 8B 10 FF 52 24 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 88 02 00 00 8B 10 FF 52 30 8B D0 8B C3 E8 ?? ?? ?? ?? EB 48 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84386_0 {
	meta:
		name = "TCustomScreenTipsPopup.SetAssociate"
		size = 23
	strings:
		$1 = { 3B 90 94 02 00 00 74 0E 89 90 94 02 00 00 8B 10 FF 92 04 01 00 00 C3 }
	condition:
		$1
}

rule function_84388_0 {
	meta:
		name = "TCustomScreenTipsPopup.SetScreenTipsManager"
		size = 62
		refs = "0017 TScreenTipItem.SetManager"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 90 02 00 00 74 2D 8B D6 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 89 B3 90 02 00 00 85 F6 74 0C 8B C3 8B 10 FF 92 FC 00 00 00 EB 0A 8B C3 8B 10 FF 92 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_84389_0 {
	meta:
		name = "TCustomScreenTipsPopup.SetPicture"
		size = 61
		refs = "002c TCustomScreenTipsPopup.ResizeControl"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 BE 8C 02 00 00 00 75 0D 8B D3 8B 86 84 02 00 00 8B 08 FF 51 08 8B D3 8B 86 80 02 00 00 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_84390_0 {
	meta:
		name = "TCustomScreenTipsPopup.SetPopupType"
		size = 300
		refs = "0093 TCustomScreenTipsPopup.SetPopupType 0098 LoadCompressedResourceBitmap 00bc TCustomScreenTipsPopup.SetTransparent 00c3 TCustomScreenTipsPopup.ResizeControl"
	strings:
		$1 = { 53 56 8B F0 3A 96 8C 02 00 00 0F 84 C1 00 00 00 8B C2 88 86 8C 02 00 00 2C 01 72 0B 74 6E FE C8 74 7C E9 87 00 00 00 8B 86 84 02 00 00 8B 58 0C 85 DB 74 1E 8B C3 8B 10 FF 52 20 84 C0 75 13 8B 96 84 02 00 00 8B 86 80 02 00 00 8B 08 FF 51 08 EB 5C 8B 86 80 02 00 00 8B 58 0C 85 DB 74 1E 8B C3 8B 10 FF 52 20 84 C0 75 13 8B 96 80 02 00 00 8B 86 84 02 00 00 8B 08 FF 51 08 EB 31 33 D2 8B 86 80 02 00 00 8B 08 FF 51 08 EB 22 8B 96 88 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8B 96 88 02 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BE 8C 02 00 00 00 74 09 B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 43 00 52 00 45 00 45 00 4E 00 54 00 49 00 50 00 53 00 5F 00 48 00 45 00 4C 00 50 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 53 00 43 00 52 00 45 00 45 00 4E 00 54 00 49 00 50 00 53 00 5F 00 49 00 4E 00 46 00 4F 00 00 00 }
	condition:
		$1
}

rule function_84391_0 {
	meta:
		name = "TCustomScreenTipsPopup.SetTransparent"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 9C 02 00 00 74 10 88 96 9C 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_84393_0 {
	meta:
		name = "CentreYPOS"
		size = 21
	strings:
		$1 = { 3B D0 7D 03 8B C1 C3 2B D0 D1 FA 79 03 83 D2 00 2B CA 8B C1 C3 }
	condition:
		$1
}

rule function_84394_0 {
	meta:
		name = "CenterY"
		size = 12
	strings:
		$1 = { 2B D0 D1 FA 79 03 83 D2 00 8B C2 C3 }
	condition:
		$1
}

rule function_84395_0 {
	meta:
		name = "TScreenTipsWindow.ActivateToolTip"
		size = 600
		refs = "0028 TScreenTipsWindow.ActivateToolTip 0038 TControl.SetWidth 003f TScreenTipItem.GetHeight 0048 TControl.SetHeight 0061 TScreenTipItem.GetManager 00a0 ShortCutToText 00bc Format 00ca @UStrAsg 00eb TScreenTipItem.IsEnabled 00f6 TScreenTipsWindow.HasDisabledText 0166 TPicture.GetBitmap 016f TScreenTipsWindow.SetHelpBitmap 01a7 TScreenTipsWindow.SetImage 01f8 TTimer.SetEnabled 021f @UStrArrayClr 0227 @UStrClr 022d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D EC 89 5D D8 8B F2 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 56 28 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 89 B3 A4 02 00 00 8B B3 A4 02 00 00 83 7E 18 00 74 72 8B C6 E8 ?? ?? ?? ?? F6 40 4C 02 74 65 8B 83 A4 02 00 00 8B 40 18 66 83 B8 8C 00 00 00 00 74 52 8D 45 EC 50 8B B3 A4 02 00 00 8B 46 0C 89 45 DC C6 45 E0 11 8D 55 D8 8B 46 18 0F B7 80 8C 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 89 45 E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 83 B8 02 00 00 E8 ?? ?? ?? ?? EB 14 8D 83 B8 02 00 00 8B 93 A4 02 00 00 8B 52 0C E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 D4 8B 83 A4 02 00 00 8B 40 14 8B 08 FF 51 1C 8B 55 D4 8D 83 88 02 00 00 E8 ?? ?? ?? ?? EB 1F 8D 55 D0 8B 83 A4 02 00 00 8B 40 24 8B 08 FF 51 1C 8B 55 D0 8D 83 88 02 00 00 E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B 50 44 8D 83 A8 02 00 00 E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B 40 58 89 83 90 02 00 00 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B 40 5C 89 83 94 02 00 00 8B 83 A4 02 00 00 8B 50 10 8B C3 E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B 80 90 00 00 00 0F B6 40 0C 88 83 B0 02 00 00 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B 80 90 00 00 00 8B 40 08 89 83 B4 02 00 00 33 C9 8D 55 F0 8B C3 8B 30 FF 96 00 01 00 00 B2 01 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 20 00 28 00 25 00 73 00 29 00 00 00 }
	condition:
		$1
}

rule function_84398_0 {
	meta:
		name = "TScreenTipsWindow.Create"
		size = 245
		refs = "000e @ClassCreate 001c THintWindow.Create 0028 TControl.SetColor 0037 _Dn_TBitmap 003c TBitmap.Create 004b _Dn_TTimer 0050 TTimer.Create 0064 TTimer.SetInterval 0071 TTimer.SetEnabled 0077 TScreenTipsWindow.VisibleTimerHandler 0082 TTimer.SetOnTimer 00b7 TScreenTipsWindow.TimeOutTimerHandler 00e0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? BA 0F 00 00 FF 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 8C 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 98 02 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 9C 02 00 00 8B C6 BA FA 00 00 00 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 33 D2 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A0 02 00 00 8B C6 BA 20 4E 00 00 E8 ?? ?? ?? ?? 8B 83 A0 02 00 00 33 D2 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? C6 83 B0 02 00 00 01 C7 83 B4 02 00 00 05 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84399_0 {
	meta:
		name = "TScreenTipsWindow.CreateParams"
		size = 101
		refs = "000b THintWindow.CreateParams 001d NewStyleControls 0038 CheckWin32Version 005e TWinControl.AddBiDiModeExStyle"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? C7 43 04 00 00 00 80 8B 43 24 89 43 24 A1 ?? ?? ?? ?? 80 38 00 74 07 C7 43 08 80 00 00 00 BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 07 81 4B 24 00 00 02 00 A1 ?? ?? ?? ?? 80 38 00 74 07 C7 43 08 80 00 00 00 8D 53 08 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84400_0 {
	meta:
		name = "TScreenTipsWindow.CreateRoundedStyle"
		size = 59
		refs = "0010 TControl.GetClientHeight 0018 TControl.GetClientWidth 0022 CreateRoundRectRgn 002e TWinControl.GetHandle 0034 SetWindowRgn"
	strings:
		$1 = { 53 56 8B D8 8B B3 B4 02 00 00 4E 56 56 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F0 6A FF 56 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84401_0 {
	meta:
		name = "TScreenTipsWindow.CreateTipBorderStyle"
		size = 18
	strings:
		$1 = { 80 B8 B0 02 00 00 01 75 08 8B 10 FF 92 14 01 00 00 C3 }
	condition:
		$1
}

rule function_84402_0 {
	meta:
		name = "TScreenTipsWindow.CreateWnd"
		size = 22
		refs = "0006 TWinControl.CreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 18 01 00 00 5B C3 }
	condition:
		$1
}

rule function_84403_0 {
	meta:
		name = "TScreenTipsWindow.Destroy"
		size = 108
		refs = "0003 @BeforeDestruction 001a TObject.Free 005a TCustomControl.Destroy 0065 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 9C 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 A0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 98 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 86 8C 02 00 00 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84404_0 {
	meta:
		name = "TScreenTipsWindow.DrawBackground"
		size = 28
		refs = "0017 GradientFillCanvas"
	strings:
		$1 = { 52 6A 01 8B 88 94 02 00 00 8B 90 78 02 00 00 8B 80 90 02 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84405_0 {
	meta:
		name = "TScreenTipsWindow.DrawBorder"
		size = 154
		refs = "001b TScreenTipItem.GetManager 0032 TPen.SetColor 0045 TPen.SetWidth 008f TCustomCanvas.Rectangle"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 56 8B F2 8D 7C 24 04 A5 A5 A5 A5 5E 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B 80 90 00 00 00 8B 50 04 8B 86 78 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 86 78 02 00 00 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F B6 86 B0 02 00 00 3C 01 75 2E FF 4C 24 08 FF 4C 24 0C 8B 54 24 08 52 8B 54 24 10 52 8B 86 B4 02 00 00 50 50 33 C9 33 D2 8B 86 78 02 00 00 8B 18 FF 93 84 00 00 00 EB 11 84 C0 75 0D 8B D4 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84406_0 {
	meta:
		name = "TScreenTipsWindow.DrawFooter"
		size = 660
		refs = "0017 TScreenTipsWindow.DrawFooter 0040 TPen.SetWidth 0053 TPen.SetColor 0170 TFont.SetStyle 0183 TFont.SetColor 018e TCanvas.GetHandle 019e @UStrLAsg 01b9 @UStrToPWChar 01c0 DrawText 01fa TCustomCanvas.TextWidth 027d @UStrArrayClr 0283 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A4 02 00 00 80 78 38 00 0F 84 36 02 00 00 8B 83 78 02 00 00 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 44 BA 80 80 80 00 E8 ?? ?? ?? ?? 8D 55 D4 8B C3 8B 08 FF 51 60 8B 4D E0 83 E9 1C 83 E9 02 BA 05 00 00 00 8B 83 78 02 00 00 8B 30 FF 56 64 8D 55 D4 8B C3 8B 08 FF 51 60 8B 45 E0 83 E8 1C 83 E8 02 50 8D 55 C4 8B C3 8B 08 FF 51 60 8B 55 CC 83 EA 04 4A 8B 83 78 02 00 00 59 8B 30 FF 56 60 8B 83 78 02 00 00 8B 40 44 BA FF FF FF 00 E8 ?? ?? ?? ?? 8D 55 D4 8B C3 8B 08 FF 51 60 8B 4D E0 83 E9 1C 49 BA 04 00 00 00 8B 83 78 02 00 00 8B 30 FF 56 64 8D 55 D4 8B C3 8B 08 FF 51 60 8B 45 E0 83 E8 1C 48 50 8D 55 C4 8B C3 8B 08 FF 51 60 8B 55 CC 83 EA 04 8B 83 78 02 00 00 59 8B 30 FF 56 60 8B 83 98 02 00 00 8B 10 FF 52 24 BE 1C 00 00 00 2B F0 D1 FE 79 03 83 D6 00 8B 83 98 02 00 00 50 8D 55 D4 8B C3 8B 08 FF 51 60 8B 4D E0 83 E9 1C 03 CE BA 08 00 00 00 8B 83 78 02 00 00 8B 30 FF 56 44 8D 55 E4 8B C3 8B 08 FF 51 60 8B 45 E8 89 45 F0 8B 83 78 02 00 00 8B 40 40 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 40 BA 08 00 00 FF E8 ?? ?? ?? ?? 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B 93 A8 02 00 00 E8 ?? ?? ?? ?? 83 CF FF C7 45 F4 00 04 00 00 8B 45 F4 50 8D 45 E4 50 57 8B 45 FC E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B 75 F0 2B 75 E8 8D 55 D4 8B C3 8B 08 FF 51 60 8B 45 E0 83 E8 1C BA 1C 00 00 00 2B D6 D1 FA 79 03 83 D2 00 03 C2 89 45 E8 8B 93 A8 02 00 00 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B F8 83 BB 98 02 00 00 00 74 16 8B 83 98 02 00 00 8B 10 FF 52 30 83 C0 08 83 C0 08 89 45 E4 EB 07 C7 45 E4 10 00 00 00 03 7D E4 89 7D EC 03 75 E8 89 75 F0 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B F0 8D 45 F8 8B 93 A8 02 00 00 E8 ?? ?? ?? ?? 83 CB FF 33 FF 57 8D 45 E4 50 53 8B 45 F8 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 01 00 00 00 }
	condition:
		$1
}

rule function_84407_0 {
	meta:
		name = "TScreenTipsWindow.DrawHeader"
		size = 288
		refs = "0017 TScreenTipsWindow.DrawHeader 0028 TScreenTipItem.GetManager 0051 TFont.SetStyle 006e TCanvas.GetHandle 007e @UStrLAsg 0099 @UStrToPWChar 00a0 DrawText 0107 @UStrArrayClr 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? F6 40 4C 01 0F 84 B6 00 00 00 8D 55 E0 8B C3 8B 08 FF 51 60 8B 83 78 02 00 00 8B 40 40 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 45 E4 08 83 45 E0 08 83 6D E8 08 8B 45 E4 89 45 EC 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B 93 B8 02 00 00 E8 ?? ?? ?? ?? 83 CF FF C7 45 F4 10 04 00 00 8B 45 F4 50 8D 45 E0 50 57 8B 45 FC E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B 75 EC 2B 75 E4 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 8B F8 8D 45 F8 8B 93 B8 02 00 00 E8 ?? ?? ?? ?? 83 CB FF C7 45 F0 10 00 00 00 8B 45 F0 50 8D 45 E0 50 53 8B 45 F8 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 8D 5E 16 EB 05 BB 08 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 01 00 00 00 }
	condition:
		$1
}

rule function_84408_0 {
	meta:
		name = "TScreenTipsWindow.HasDisabledText"
		size = 102
		refs = "000e TScreenTipsWindow.HasDisabledText 0030 Trim 0053 @UStrArrayClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 83 A4 02 00 00 8B 40 24 8B 08 FF 51 1C 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84409_0 {
	meta:
		name = "TScreenTipsWindow.HideHint"
		size = 52
		refs = "000c TTimer.SetEnabled 001b TWinControl.HandleAllocated 0028 TWinControl.GetHandle 002e ShowWindow"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 A4 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84410_0 {
	meta:
		name = "TScreenTipsWindow.Paint"
		size = 704
		refs = "001a TScreenTipsWindow.Paint 0027 THintWindow.Paint 004e TBrush.SetStyle 0098 TScreenTipItem.IsEnabled 00ea TFont.SetColor 0104 TScreenTipsWindow.HasDisabledText 011c TCustomCanvas.TextHeight 013d TCanvas.GetHandle 0151 @UStrLAsg 0171 @UStrToPWChar 017b DrawText 019f TFont.SetStyle 01bf TPicture.GetWidth 0268 TControl.GetClientHeight 0274 TControl.GetClientWidth 027f Rect 02a6 @UStrArrayClr 02ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 D2 89 55 FC 89 55 F8 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 C4 8B C6 8B 08 FF 51 60 8D 55 C4 8B C6 8B 08 FF 91 1C 01 00 00 8B 86 78 02 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 28 01 00 00 8B D8 8B 86 A4 02 00 00 80 78 20 00 74 36 83 BE 8C 02 00 00 00 74 2D 8B 86 8C 02 00 00 83 78 0C 00 74 21 8B 86 8C 02 00 00 8B 40 0C 8B 10 FF 52 20 84 C0 75 0F 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 EF 80 7D EF 00 74 2C 8B 86 8C 02 00 00 8B 40 0C B2 01 8B 08 FF 51 40 8B 86 8C 02 00 00 8B 40 0C 50 8B CB BA 08 00 00 00 8B 86 78 02 00 00 8B 38 FF 57 44 8B 86 78 02 00 00 8B 40 40 BA 08 00 00 FF E8 ?? ?? ?? ?? 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 84 C0 0F 85 83 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 78 8B 86 A4 02 00 00 8B 50 40 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 8B F8 8D 55 C4 8B C6 8B 08 FF 51 60 C7 45 C4 10 00 00 00 89 5D C8 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 89 45 E8 8D 45 FC 8B 96 A4 02 00 00 8B 52 40 E8 ?? ?? ?? ?? C7 45 E4 FF FF FF FF 33 C0 89 45 E0 8B 45 E0 50 8D 45 C4 50 8B 45 E4 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C7 08 03 DF 8D 55 C4 8B C6 8B 08 FF 51 60 8B 86 78 02 00 00 8B 40 40 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7D C4 83 C7 10 8B 45 CC 83 E8 10 89 45 F0 80 7D EF 00 74 0D 8B 86 8C 02 00 00 E8 ?? ?? ?? ?? 03 F8 89 7D C4 8B 45 F0 89 45 CC 8B 45 C8 89 45 D0 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 8B F8 8D 45 F8 8B 96 88 02 00 00 E8 ?? ?? ?? ?? C7 45 DC FF FF FF FF C7 45 D8 10 04 00 00 8B 45 D8 50 8D 45 C4 50 8B 45 DC 50 8B 45 F8 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 01 5D C8 01 5D D0 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B 96 88 02 00 00 E8 ?? ?? ?? ?? 83 CF FF C7 45 D4 10 00 00 00 8B 45 D4 50 8D 45 C4 50 57 8B 45 F4 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 24 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 8D 45 C4 50 8B C6 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 C4 8B C6 8B 08 FF 91 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_84411_0 {
	meta:
		name = "TScreenTipsWindow.SetBody"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 88 02 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84412_0 {
	meta:
		name = "TScreenTipsWindow.SetFooter"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 83 A8 02 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84413_0 {
	meta:
		name = "TScreenTipsWindow.SetGradientEndColor"
		size = 7
	strings:
		$1 = { 89 90 94 02 00 00 C3 }
	condition:
		$1
}

rule function_84414_0 {
	meta:
		name = "TScreenTipsWindow.SetGradientStartColor"
		size = 7
	strings:
		$1 = { 89 90 90 02 00 00 C3 }
	condition:
		$1
}

rule function_84415_0 {
	meta:
		name = "TScreenTipsWindow.SetHelpBitmap"
		size = 84
		refs = "003b TBitmap.GetCanvas 004c TBitmap.SetTransparentColor"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B 83 98 02 00 00 8B 08 FF 51 08 85 F6 74 38 B2 01 8B 83 98 02 00 00 8B 08 FF 51 40 8B 83 98 02 00 00 8B 10 FF 52 24 48 50 8B B3 98 02 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 59 8B 38 FF 57 18 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84416_0 {
	meta:
		name = "TScreenTipsWindow.SetImage"
		size = 104
		refs = "0022 TObject.Free 0035 _Dn_TPicture 003a TPicture.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 1F 83 BB 8C 02 00 00 00 74 52 8D 83 8C 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 83 BB 8C 02 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 8C 02 00 00 8B D6 8B 83 8C 02 00 00 8B 08 FF 51 08 8B 83 8C 02 00 00 8B 40 0C 85 C0 74 07 B2 01 8B 08 FF 51 40 5E 5B C3 }
	condition:
		$1
}

rule function_84417_0 {
	meta:
		name = "TScreenTipsWindow.TimeOutTimerHandler"
		size = 38
		refs = "000c TTimer.SetEnabled 0020 TScreenTipsWindow.HideHint"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 A0 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84418_0 {
	meta:
		name = "TScreenTipsWindow.VisibleTimerHandler"
		size = 220
		refs = "0016 TTimer.SetEnabled 0022 TScreenTipsWindow.VisibleTimerHandler 0031 GetCursorPos 0042 TControl.GetBoundsRect 0061 TWinControl.GetHandle 0067 MapWindowPoints 0072 PtInRect 00ac TScreenTipsWindow.HideHint 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 45 FC 8B 45 FC 8B 80 9C 02 00 00 33 D2 E8 ?? ?? ?? ?? C6 45 F3 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 AC 02 00 00 8B 58 38 85 DB 74 15 6A 02 8D 45 E0 50 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 55 F4 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 75 36 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 75 1C C6 45 F3 00 8B 45 FC 8B 80 A0 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 02 00 00 0F B6 55 F3 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84420_0 {
	meta:
		name = "TDisplayOffset.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TObject.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 04 C7 46 08 05 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84423_0 {
	meta:
		name = "TShadowWindow.Create"
		size = 154
		refs = "000e @ClassCreate 001c TCustomControl.Create 002a _Dn_TBitmap 002f TBitmap.Create 004d TBitmap.SetPixelFormat 0054 TControl.Hide 0069 Application 0078 TWinControl.SetParentWindow 0085 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 88 02 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 84 02 00 00 8B C6 B2 01 8B 08 FF 51 78 8B 83 84 02 00 00 B2 06 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 9C 02 00 00 33 C0 89 83 98 02 00 00 A1 ?? ?? ?? ?? 8B 00 8B 90 78 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84424_0 {
	meta:
		name = "TShadowWindow.CreateShadow"
		size = 74
		refs = "000e @ClassCreate 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 8B 30 FF 56 38 0F B6 45 08 88 83 88 02 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_84425_0 {
	meta:
		name = "TShadowWindow.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TCustomControl.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 84 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84426_0 {
	meta:
		name = "TShadowWindow.CreateParams"
		size = 57
		refs = "000b TWinControl.CreateParams"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 83 BE DC 01 00 00 00 74 13 8B 43 04 25 FF FF FF BF 0D 00 00 00 80 83 C8 00 89 43 04 C7 43 24 09 08 00 00 83 4B 08 08 5E 5B C3 }
	condition:
		$1
}

rule function_84427_0 {
	meta:
		name = "TShadowWindow.Notification"
		size = 54
		refs = "0010 TWinControl.Notification 002e TControl.SetVisible"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 19 3B B7 80 02 00 00 75 11 33 C0 89 87 80 02 00 00 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84428_0 {
	meta:
		name = "TShadowWindow.Paint"
		size = 61
		refs = "0009 TCustomControl.Paint 001e Rect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 54 50 8D 44 24 04 50 8B 4B 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8B D4 8B 8B 84 02 00 00 8B 83 78 02 00 00 8B 18 FF 93 88 00 00 00 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_84429_0 {
	meta:
		name = "TShadowWindow.SetControl"
		size = 235
		refs = "0016 TComponent.RemoveFreeNotification 002d TComponent.FreeNotification 0051 TControl.ClientToScreen 005e TControl.GetBoundsRect 0074 TControl.Hide 00e1 TControl.Show"
	strings:
		$1 = { 53 56 83 C4 E8 8B F2 8B D8 8B 83 80 02 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 83 80 02 00 00 85 C0 0F 84 BB 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B B3 80 02 00 00 83 7E 38 00 74 1A 8D 54 24 08 8B C6 8B 08 FF 51 60 8D 54 24 08 8B CC 8B C6 E8 ?? ?? ?? ?? EB 1A 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 0F B6 83 88 02 00 00 2C 01 72 04 74 30 EB 57 8B 83 80 02 00 00 8B 70 54 83 FE 04 7E 50 6A 04 83 EE 04 56 8B 4C 24 0C 83 C1 04 8B 50 50 03 54 24 08 8B C3 8B 30 FF 96 A4 00 00 00 EB 29 8B 83 80 02 00 00 8B 70 50 83 FE 04 7E 22 56 6A 04 8B 48 54 03 4C 24 0C 8B 54 24 08 83 C2 04 8B C3 8B 30 FF 96 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 18 5E 5B C3 }
	condition:
		$1
}

rule function_84431_0 {
	meta:
		name = "CalcShadowColor"
		size = 80
		refs = "0034 ColorHLSToRGB"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 45 08 8B 40 FC 0F B7 88 94 02 00 00 8B 45 08 8B 40 FC 0F B7 80 90 02 00 00 8B 75 08 8B 76 FC 0F B7 B6 92 02 00 00 66 03 F2 8B D6 E8 ?? ?? ?? ?? 8B D0 8B CA C1 E9 10 88 0B 8B CA C1 E9 08 88 4B 01 88 53 02 5E 5B 5D C3 }
	condition:
		$1
}

rule function_84432_0 {
	meta:
		name = "ColorRGBToHLS"
		size = 164
		refs = "005a ColorRGBToHLS"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 8B 40 FC 3B 98 9C 02 00 00 75 35 8B 45 0C 8B 40 FC 0F B7 80 A0 02 00 00 66 89 06 8B 45 0C 8B 40 FC 0F B7 80 A4 02 00 00 66 89 07 8B 45 0C 8B 40 FC 0F B7 80 A2 02 00 00 8B 55 08 66 89 02 EB 4E 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B7 06 8B 55 0C 8B 52 FC 66 89 82 A0 02 00 00 0F B7 07 8B 55 0C 8B 52 FC 66 89 82 A4 02 00 00 8B 45 08 0F B7 00 8B 55 0C 8B 52 FC 66 89 82 A2 02 00 00 8B 45 0C 8B 40 FC 89 98 9C 02 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_84433_0 {
	meta:
		name = "TShadowWindow.SetBounds"
		size = 894
		refs = "0018 TWinControl.SetBounds 0052 GetDesktopWindow 0058 GetDC 0063 TShadowWindow.SetBounds 00a0 TBitmap.GetCanvas 00a5 TCanvas.GetHandle 00ab BitBlt 00c7 ReleaseDC 00cd @HandleFinally 010d TBitmap.GetScanline 017d ColorRGBToHLS 01bd CalcShadowColor"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC 8B 45 0C 50 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 61 00 0F 85 4C 03 00 00 8B 45 FC 8B 50 50 8B 45 FC 8B 80 84 02 00 00 8B 08 FF 51 44 8B 45 FC 8B 50 54 8B 45 FC 8B 80 84 02 00 00 8B 08 FF 51 38 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 20 00 CC 00 8B 45 FC 8B 40 4C 50 8B 45 FC 8B 40 48 50 8B 45 F8 50 8B 45 FC 8B 40 54 50 8B 45 FC 8B 40 50 50 6A 00 6A 00 8B 45 FC 8B 80 84 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 8B 45 FC 0F B6 80 88 02 00 00 2C 01 72 0B 0F 84 4E 01 00 00 E9 89 02 00 00 8B 45 FC 8B 40 54 48 85 C0 0F 8C 7A 02 00 00 40 89 45 F0 33 F6 8B 45 FC 8B 80 84 02 00 00 8B D6 E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 78 50 4F 85 FF 0F 8C 03 01 00 00 47 33 DB 8B C6 2B C3 0F 88 EE 00 00 00 8D 04 5B 8B 55 F4 8D 04 02 0F B6 50 02 0F B6 48 01 C1 E1 08 0B D1 0F B6 00 C1 E0 10 0B D0 8B 45 FC 89 90 8C 02 00 00 55 8B 45 FC 05 94 02 00 00 50 8B 45 FC 8D 88 92 02 00 00 8B 45 FC 8D 90 90 02 00 00 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC 66 83 B8 92 02 00 00 3A 0F 82 8B 00 00 00 8B 45 FC 8B 40 50 3B F0 7F 27 55 8B D3 C1 E2 04 2B D3 83 C2 C6 2B C6 03 C0 8D 04 80 03 D0 52 8D 04 5B 8B 55 F4 8D 04 02 5A E8 ?? ?? ?? ?? 59 EB 5A 8B 55 FC 3B 72 54 7C 38 55 2B C3 8B D0 C1 E0 04 2B C2 BA C6 FF FF FF 2B D0 8B 45 FC 8B 40 54 83 E8 08 2B C6 8B C8 C1 E0 04 2B C1 2B D0 52 8D 04 5B 8B 55 F4 8D 04 02 5A E8 ?? ?? ?? ?? 59 EB 1A 55 8D 04 5B 8B 55 F4 8D 04 02 8B D3 C1 E2 04 2B D3 83 C2 C6 E8 ?? ?? ?? ?? 59 43 4F 0F 85 00 FF FF FF 46 FF 4D F0 0F 85 D1 FE FF FF E9 40 01 00 00 8B 45 FC 8B 40 54 48 85 C0 0F 8C 31 01 00 00 40 89 45 F0 33 F6 8B 45 FC 8B 80 84 02 00 00 8B D6 E8 ?? ?? ?? ?? 89 45 F4 8B DE 8B 45 FC 8B 78 50 4F 2B FE 2B FB 0F 8C FB 00 00 00 47 8D 04 5B 8B 55 F4 8D 04 02 0F B6 50 02 0F B6 48 01 C1 E1 08 0B D1 0F B6 00 C1 E0 10 0B D0 8B 45 FC 89 90 8C 02 00 00 55 8B 45 FC 05 94 02 00 00 50 8B 45 FC 8D 88 92 02 00 00 8B 45 FC 8D 90 90 02 00 00 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC 66 83 B8 92 02 00 00 3A 0F 82 8F 00 00 00 8B 45 FC 8B 40 54 3B D8 7F 27 55 8B D6 C1 E2 04 2B D6 83 C2 C6 2B C3 03 C0 8D 04 80 03 D0 52 8D 04 5B 8B 55 F4 8D 04 02 5A E8 ?? ?? ?? ?? 59 EB 5E 8B 55 FC 8B 52 50 2B D0 3B DA 7C 38 55 2B C6 8B D0 C1 E0 04 2B C2 BA C6 FF FF FF 2B D0 8B 45 FC 8B 40 50 83 E8 08 2B C3 8B C8 C1 E0 04 2B C1 2B D0 52 8D 04 5B 8B 55 F4 8D 04 02 5A E8 ?? ?? ?? ?? 59 EB 1A 55 8D 04 5B 8B 55 F4 8D 04 02 8B D6 C1 E2 04 2B D6 83 C2 C6 E8 ?? ?? ?? ?? 59 43 4F 0F 85 06 FF FF FF 46 FF 4D F0 0F 85 D5 FE FF FF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_84438_0 {
	meta:
		name = "debug"
		size = 132
		refs = "0015 @UStrAddRef 001d debug 003b @UStrCatN 0043 ShowMessage 0058 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 73 08 68 ?? ?? ?? ?? FF 75 FC 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_84439_0 {
	meta:
		name = "CreatePIDL"
		size = 105
		refs = "000d CreatePIDL 001b @IntfClear 0021 SHGetMalloc 0026 OleCheck 0041 @FillChar 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 45 FC 50 8B 00 FF 50 0C 8B D8 85 DB 74 0B 8B C3 33 C9 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84440_0 {
	meta:
		name = "NextPIDL"
		size = 10
	strings:
		$1 = { 8B D0 0F B7 00 01 C2 8B C2 C3 }
	condition:
		$1
}

rule function_84441_0 {
	meta:
		name = "StripLastID"
		size = 37
		refs = "0011 NextPIDL"
	strings:
		$1 = { 53 56 8B D8 8B F3 85 DB 74 18 EB 0B 8B F3 8B C3 E8 ?? ?? ?? ?? 8B D8 66 83 3B 00 75 EF 66 C7 06 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_84442_0 {
	meta:
		name = "GetItemCount"
		size = 29
		refs = "000c NextPIDL"
	strings:
		$1 = { 53 56 8B D8 33 F6 EB 0A 46 8B C3 E8 ?? ?? ?? ?? 8B D8 66 83 3B 00 75 F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84443_0 {
	meta:
		name = "GetPIDLSize"
		size = 46
		refs = "001a NextPIDL"
	strings:
		$1 = { 53 56 57 8B D8 33 FF 85 DB 74 1D BF 02 00 00 00 EB 0E 0F B7 C6 03 F8 8B C3 E8 ?? ?? ?? ?? 8B D8 0F B7 33 66 85 F6 75 EA 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84444_0 {
	meta:
		name = "CopyPIDL"
		size = 44
		refs = "0008 GetPIDLSize 0011 CreatePIDL 0022 Move"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0B 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84445_0 {
	meta:
		name = "ConcatPIDLs"
		size = 91
		refs = "0011 GetPIDLSize 002c CreatePIDL 0041 Move"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 85 ED 74 0E 8B C5 E8 ?? ?? ?? ?? 8B D8 83 EB 02 EB 02 33 DB 8B 04 24 E8 ?? ?? ?? ?? 8B F8 8D 04 1F E8 ?? ?? ?? ?? 8B F0 85 F6 74 1D 85 ED 74 0B 8B CB 8B D6 8B C5 E8 ?? ?? ?? ?? 8B CF 8B D6 03 D3 8B 04 24 E8 ?? ?? ?? ?? 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84446_0 {
	meta:
		name = "DisposePIDL"
		size = 84
		refs = "000c DisposePIDL 001a @IntfClear 0020 SHGetMalloc 0025 OleCheck 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 8B 45 FC 50 8B 00 FF 50 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_84447_0 {
	meta:
		name = "RelativeFromAbsolute"
		size = 37
		refs = "0008 NextPIDL 0011 GetItemCount 001b CopyPIDL"
	strings:
		$1 = { 53 8B D8 EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 48 7F ED 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 5B C3 }
	condition:
		$1
}

rule function_84448_0 {
	meta:
		name = "CreatePIDLList"
		size = 58
		refs = "0007 _Dn_TList 000c TObject.Create 0017 CopyPIDL 0024 TList.Insert 002b StripLastID"
	strings:
		$1 = { 53 56 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 1B 8B C3 E8 ?? ?? ?? ?? 8B D8 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 83 3B 00 75 DF 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84449_0 {
	meta:
		name = "DestroyPIDLList"
		size = 49
		refs = "0019 TList.Get 001e DisposePIDL 0029 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F8 85 FF 74 24 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84450_0 {
	meta:
		name = "NoFolderDetails"
		size = 140
		refs = "0018 NoFolderDetails 0028 TShellFolder.DisplayName 0047 SShellNoDetails 004c LoadResString 0056 _DV_EInvalidPath 005b Exception.CreateFmt 0060 @RaiseExcept 007a @UStrArrayClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D EC 89 4D E8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 89 75 F8 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84452_0 {
	meta:
		name = "CreateDesktopFolder"
		size = 124
		refs = "000f CreateDesktopFolder 001e nFolder 0026 SHGetSpecialFolderLocation 0038 DesktopShellFolder 0045 _DV_TShellFolder 004a TShellFolder.Create 004f DesktopFolder 0057 DisposePIDL 006c @IntfClear 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 A1 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 2B 8B 45 FC 50 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_84453_0 {
	meta:
		name = "SamePIDL"
		size = 89
		refs = "000f SamePIDL 0021 DesktopShellFolder 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 53 6A 00 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 1C 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84454_0 {
	meta:
		name = "DesktopPIDL"
		size = 25
		refs = "0003 nFolder 000b SHGetSpecialFolderLocation 0010 OleCheck"
	strings:
		$1 = { 51 54 A1 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_84455_0 {
	meta:
		name = "GetCSIDLType"
		size = 17
		refs = "0006 TRootFolder 000b GetEnumValue"
	strings:
		$1 = { 53 8B D8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96489_0 {
	meta:
		name = "ImplGetModuleFileName"
		size = 17
		refs = "0006 HInstance 000b GetModuleName"
	strings:
		$1 = { 53 8B D8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84456_0 {
	meta:
		name = "IsElement"
		size = 6
	strings:
		$1 = { 85 C2 0F 95 C0 C3 }
	condition:
		$1
}

rule function_84457_0 {
	meta:
		name = "GetShellImage"
		size = 62
		refs = "002e SHGetFileInfo"
	strings:
		$1 = { 56 81 C4 4C FD FF FF BE 08 40 00 00 84 C9 74 03 83 CE 02 84 D2 74 05 83 CE 00 EB 03 83 CE 01 56 68 B4 02 00 00 8D 54 24 08 52 6A 00 50 E8 ?? ?? ?? ?? 8B 44 24 04 81 C4 B4 02 00 00 5E C3 }
	condition:
		$1
}

rule function_84458_0 {
	meta:
		name = "GetCaps"
		size = 248
		refs = "0011 @IntfAddRef 0019 GetCaps 004d IsElement 00e1 @IntfClear 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 1D ?? ?? ?? ?? C7 45 F4 77 01 00 00 8D 45 F4 50 8D 45 F8 50 6A 01 8B 45 FC 50 8B 00 FF 50 24 8B 55 F4 B8 01 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 03 80 CB 01 8B 55 F4 B8 20 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 03 80 CB 02 8B 55 F4 B8 04 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 03 80 CB 04 8B 55 F4 B8 02 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 03 80 CB 08 8B 55 F4 B8 10 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 03 80 CB 10 8B 55 F4 B8 00 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 03 80 CB 20 8B 55 F4 B8 40 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 03 80 CB 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_84459_0 {
	meta:
		name = "GetProperties"
		size = 292
		refs = "0012 @IntfAddRef 001d GetProperties 0056 IsElement 010b @IntfClear 0111 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8D 75 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 1D ?? ?? ?? ?? 83 7D FC 00 0F 84 C2 00 00 00 C7 06 00 C0 0F 00 56 8D 45 F8 50 6A 01 8B 45 FC 50 8B 00 FF 50 24 8B 16 B8 00 80 00 00 E8 ?? ?? ?? ?? 84 C0 74 03 80 CB 01 8B 16 B8 00 00 01 00 E8 ?? ?? ?? ?? 84 C0 74 03 80 CB 02 8B 16 B8 00 00 04 00 E8 ?? ?? ?? ?? 84 C0 74 03 80 CB 04 8B 16 B8 00 00 02 00 E8 ?? ?? ?? ?? 84 C0 74 03 80 CB 08 33 C0 89 06 56 8D 45 F8 50 6A 01 8B 45 FC 50 8B 00 FF 50 24 8B 16 B8 00 00 00 40 E8 ?? ?? ?? ?? 84 C0 74 03 80 CB 10 8B 16 B8 00 00 00 10 E8 ?? ?? ?? ?? 84 C0 74 03 80 CB 20 8B 16 B8 00 00 00 02 E8 ?? ?? ?? ?? 84 C0 74 03 80 CB 40 8B 16 B8 00 00 00 01 E8 ?? ?? ?? ?? 84 C0 74 03 80 CB 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_84460_0 {
	meta:
		name = "GetIsFolder"
		size = 104
		refs = "0011 @IntfAddRef 0019 GetIsFolder 0055 @IntfClear 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 00 00 00 20 8D 45 F4 50 8D 45 F8 50 6A 01 8B 45 FC 50 8B 00 FF 50 24 F6 45 F7 20 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84461_0 {
	meta:
		name = "GetHasSubFolders"
		size = 104
		refs = "0011 @IntfAddRef 0019 GetHasSubFolders 0055 @IntfClear 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 00 00 00 80 8D 45 F4 50 8D 45 F8 50 6A 01 8B 45 FC 50 8B 00 FF 50 24 F6 45 F7 80 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84462_0 {
	meta:
		name = "GetHasSubItems"
		size = 206
		refs = "0015 @IntfAddRef 001d GetHasSubItems 0034 SetErrorMode 004d @IntfClear 0063 @TryFinallyExit 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D F8 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 83 7D FC 00 74 6F 6A 01 E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F8 E8 ?? ?? ?? ?? 50 53 6A 00 8B 45 FC 50 8B 00 FF 50 10 85 C0 74 07 E8 ?? ?? ?? ?? EB 37 8D 45 EC 50 8D 45 F0 50 6A 01 8B 45 F8 50 8B 00 FF 50 0C 85 C0 0F 94 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F7 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84463_0 {
	meta:
		name = "StrRetToString"
		size = 360
		refs = "002e StrRetToString 0050 lstrlenA 005f @UStrFromPCharLen 008b @UStrFromPWChar 0094 @UStrClr 00fa StringReplace 0107 @UStrAsg 0125 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FE FF FF 53 56 57 33 DB 89 9D F0 FE FF FF 8B F2 8D BD F8 FE FF FF 51 B9 42 00 00 00 F3 A5 59 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 85 F8 FE FF FF 83 E8 01 72 39 74 20 48 75 50 8D 85 FC FE FF FF 50 E8 ?? ?? ?? ?? 8B C8 8D 95 FC FE FF FF 8B C3 E8 ?? ?? ?? ?? EB 33 8B 85 FC FE FF FF 8D 14 06 0F B7 0E 2B C8 8B C3 E8 ?? ?? ?? ?? EB 1C 8B B5 FC FE FF FF 85 F6 74 0B 8B C3 8B D6 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 8B 03 89 85 F4 FE FF FF 8B 85 F4 FE FF FF 85 C0 74 05 83 E8 04 8B 00 48 7E 0B 8B 03 66 83 38 3F 0F 94 C0 EB 02 33 C0 84 C0 74 48 8B 03 0F B7 40 02 BE ?? ?? ?? ?? 66 3D FF 00 77 06 0F B7 C0 0F A3 06 0F 92 C0 84 C0 74 2A 0F B6 05 ?? ?? ?? ?? 50 8D 85 F0 FE FF FF 50 8B 03 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 F0 FE FF FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_84464_0 {
	meta:
		name = "GetDisplayName"
		size = 264
		refs = "001a @IntfAddRef 0022 GetDisplayName 002f @UStrClr 0041 @UStrAsg 0055 @FillChar 0077 StrRetToString 0083 Pos 00a8 @IntfClear 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 57 8B F9 8B F2 89 45 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 50 8D 85 F4 FE FF FF 33 C9 BA 08 01 00 00 E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF 50 57 56 8B 45 FC 50 8B 00 FF 50 2C 53 33 C9 8D 95 F4 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 0D 53 33 C9 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 70 00 61 00 72 00 65 00 6E 00 74 00 66 00 6F 00 6C 00 64 00 65 00 72 00 20 00 3D 00 20 00 6E 00 69 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3A 00 3A 00 7B 00 00 00 }
	condition:
		$1
}

rule function_84465_0 {
	meta:
		name = "ObjectFlags"
		size = 37
	strings:
		$1 = { 51 88 04 24 33 C0 F6 04 24 01 74 03 83 C0 20 F6 04 24 02 74 03 83 C0 40 F6 04 24 04 74 05 05 80 00 00 00 5A C3 }
	condition:
		$1
}

rule function_84466_0 {
	meta:
		name = "InvokeContextMenu"
		size = 648
		refs = "002e InvokeContextMenu 004a @IntfClear 0052 IID_IContextMenu 0061 TWinControl.GetHandle 006f TShellFolder.ParentShellFolder 00a0 ClientToScreen 00a5 CreatePopupMenu 00d3 ICM2 00de IID_IContextMenu2 0118 TrackPopupMenu 0138 @HandleFinally 0175 StrPas 0183 @UStrFromLStr 019e Supports 01c7 @FillChar 021e DestroyMenu 023e @LStrClr 0259 @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 AC FE FF FF 53 56 57 33 DB 89 9D AC FE FF FF 89 9D B0 FE FF FF 89 5D FC 89 5D F8 89 5D F4 8B F1 8B DA 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 EA 01 00 00 8B 43 04 89 45 EC 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 A1 ?? ?? ?? ?? 50 8D 45 EC 50 6A 01 8B 45 F0 E8 ?? ?? ?? ?? 50 8D 95 B0 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 B0 FE FF FF 50 8B 00 FF 50 28 83 7D FC 00 0F 84 A1 01 00 00 89 75 E0 8B 45 08 89 45 E4 8D 45 E0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 14 68 FF 7F 00 00 6A 01 6A 00 8B 45 E8 50 8B 45 FC 50 8B 00 FF 50 0C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 50 6A 00 8B 45 E4 50 8B 45 E0 50 68 02 01 00 00 8B 45 E8 50 E8 ?? ?? ?? ?? 89 45 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 83 7D DC 00 0F 84 C4 00 00 00 8B 75 DC 4E 68 00 01 00 00 8D 85 B4 FE FF FF 50 6A 00 6A 00 56 8B 45 FC 50 8B 00 FF 50 14 8B D8 8D 95 AC FE FF FF 8D 85 B4 FE FF FF E8 ?? ?? ?? ?? 8B 95 AC FE FF FF 8D 45 F8 E8 ?? ?? ?? ?? C6 45 DB 00 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 10 33 DB 8D 4D DB 8B 55 F8 8B 45 F4 8B 38 FF 57 0C 80 7D DB 00 75 3A 8D 45 B4 33 C9 BA 24 00 00 00 E8 ?? ?? ?? ?? C7 45 B4 24 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 89 45 BC 89 75 C0 C7 45 CC 01 00 00 00 8D 45 B4 50 8B 45 FC 50 8B 00 FF 50 10 8B D8 83 7D F4 00 74 10 85 DB 0F 94 C1 8B 55 F8 8B 45 F4 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 AC FE FF FF E8 ?? ?? ?? ?? 8D 85 B0 FE FF FF E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 5F 5E 5B 8B E5 5D C2 04 00 00 00 45 72 2A 7D 76 23 33 4D 80 08 A1 30 93 5A 2E 8B }
	condition:
		$1
}

rule function_84467_0 {
	meta:
		name = "DoContextMenuVerb"
		size = 188
		refs = "0018 DoContextMenuVerb 0031 @FillChar 005c @IntfClear 0064 IID_IContextMenu 0077 TShellFolder.ParentShellFolder 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 C9 89 4D D0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 6B 8D 45 D4 33 C9 BA 24 00 00 00 E8 ?? ?? ?? ?? C7 45 D4 24 00 00 00 C7 45 D8 00 00 10 00 33 C0 89 45 DC 89 75 E0 C7 45 EC 01 00 00 00 8B 43 04 89 45 F8 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 A1 ?? ?? ?? ?? 50 8D 45 F8 50 6A 01 6A 00 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 45 D0 50 8B 00 FF 50 28 8D 45 D4 50 8B 45 FC 50 8B 00 FF 50 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84468_0 {
	meta:
		name = "GetIShellFolder"
		size = 208
		refs = "001d @IntfAddRef 0025 GetIShellFolder 0037 IID_IShellFolder 0095 DesktopShellFolder 00b3 @IntfClear 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 89 55 F8 89 45 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 4A 53 A1 ?? ?? ?? ?? 50 6A 00 8B 45 F8 50 8B 45 FC 50 8B 00 FF 50 14 8B F0 85 F6 74 19 53 6A 00 A1 ?? ?? ?? ?? 50 8D 45 F8 50 6A 01 57 8B 45 FC 50 8B 00 FF 50 28 85 F6 74 11 53 A1 ?? ?? ?? ?? 50 57 8B 45 FC 50 8B 00 FF 50 20 83 3B 00 75 1E 53 A1 ?? ?? ?? ?? 50 6A 00 8B 45 F8 50 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84469_0 {
	meta:
		name = "GetIShellDetails"
		size = 208
		refs = "001d @IntfAddRef 0025 GetIShellDetails 0037 IID_IShellDetails 0095 DesktopShellFolder 00b3 @IntfClear 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 89 55 F8 89 45 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 4A 53 A1 ?? ?? ?? ?? 50 6A 00 8B 45 F8 50 8B 45 FC 50 8B 00 FF 50 14 8B F0 85 F6 74 19 53 6A 00 A1 ?? ?? ?? ?? 50 8D 45 F8 50 6A 01 57 8B 45 FC 50 8B 00 FF 50 28 85 F6 74 11 53 A1 ?? ?? ?? ?? 50 57 8B 45 FC 50 8B 00 FF 50 20 83 3B 00 75 1E 53 A1 ?? ?? ?? ?? 50 6A 00 8B 45 F8 50 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84470_0 {
	meta:
		name = "GetIShellFolder2"
		size = 205
		refs = "001d @IntfAddRef 0025 GetIShellFolder2 0030 Win32MajorVersion 003b IID_IShellFolder2 004a DesktopShellFolder 009b @IntfClear 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 89 55 F8 89 45 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 05 7C 5F 53 A1 ?? ?? ?? ?? 50 6A 00 8B 45 F8 50 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 14 8B F0 85 F6 74 19 53 6A 00 A1 ?? ?? ?? ?? 50 8D 45 F8 50 6A 01 57 8B 45 FC 50 8B 00 FF 50 28 85 F6 74 25 83 7D FC 00 74 1F 53 A1 ?? ?? ?? ?? 50 6A 00 8B 45 F8 50 8B 45 FC 50 8B 00 FF 50 14 EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84471_0 {
	meta:
		name = "CreateRootFromPIDL"
		size = 134
		refs = "000e CreateRootFromPIDL 0020 DesktopShellFolder 002c GetIShellFolder 0045 DesktopFolder 004c _DV_TShellFolder 0051 TShellFolder.Create 0069 IShellFolder 0073 @FinalizeArray 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 33 C9 8B D3 E8 ?? ?? ?? ?? 83 7D FC 00 75 08 8D 45 FC E8 ?? ?? ?? ?? 53 8B 45 FC 50 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84472_0 {
	meta:
		name = "CreateRootFolder"
		size = 412
		refs = "001f @UStrAddRef 0027 CreateRootFolder 0039 TRootFolder 003e GetEnumValue 004d GetCSIDLType 0057 nFolder 005f SHGetSpecialFolderLocation 00a4 @UStrCat 00c4 StringToOleStr 00df DesktopShellFolder 00fa SErrorSettingPath 00ff LoadResString 0117 Format 0121 @UStrAsg 012b _Dn_Exception 0130 Exception.Create 0135 @RaiseExcept 013d CreateRootFromPIDL 014a TObject.Free 015f @UStrClr 0167 @IntfClear 017d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D F8 8B D9 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 8B 13 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7C 24 8D 45 F4 50 8B 03 E8 ?? ?? ?? ?? 83 E0 7F 8B 04 85 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B F0 E9 84 00 00 00 8B 13 8B C2 89 45 E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 6D 8B C2 89 45 E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 8B 13 66 83 7C 42 FE 3A 75 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 89 45 E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 89 45 F0 33 C0 89 45 EC 8B 03 E8 ?? ?? ?? ?? 8B F0 8D 45 EC 50 8D 45 F4 50 8D 45 F0 50 56 6A 00 6A 00 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 50 0C 8B F0 85 F6 74 47 8D 45 F8 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 03 89 45 D8 C6 45 DC 11 8D 55 D8 33 C9 58 E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 85 FF 74 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_84473_0 {
	meta:
		name = "TShellFolder.Create"
		size = 361
		refs = "000f @ClassCreate 0023 @IntfAddRef 002b TShellFolder.Create 003b TObject.Create 004a _Dn_TStringList 004f TStringList.Create 0063 @IntfCopy 006e @IntfClear 0089 CopyPIDL 00a5 ConcatPIDLs 00b2 DesktopPIDL 00e8 DisposePIDL 00ee @HandleFinally 0102 DesktopFolder 0151 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F4 88 55 FB 89 45 FC 8B 5D 0C 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 28 8B 45 FC 83 C0 10 8B 55 08 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 14 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 50 0C 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 04 8B 45 FC 83 78 0C 00 74 15 8B 45 F4 8B 40 08 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 EB 43 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 83 78 0C 00 75 0C 8B 45 FC 8B 15 ?? ?? ?? ?? 89 50 0C 83 7D F4 00 74 1B 8B 45 F4 8B 40 0C 89 45 F4 83 7D F4 00 74 06 8B 45 FC FF 40 20 83 7D F4 00 75 E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_84474_0 {
	meta:
		name = "TShellFolder.Destroy"
		size = 77
		refs = "0003 @BeforeDestruction 0013 TObject.Free 0024 DisposePIDL 003b TObject.Destroy 0046 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 28 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 89 46 28 8B 46 04 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 08 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84475_0 {
	meta:
		name = "TShellFolder.GetDetailInterface"
		size = 231
		refs = "0011 TShellFolder.GetDetailInterface 003d GetIShellDetails 0048 @IntfCopy 0053 Win32MajorVersion 006a GetIShellFolder2 00cd @IntfClear 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 1C 00 0F 85 8D 00 00 00 83 7B 10 00 0F 84 83 00 00 00 8D 45 FC 50 8B 4B 24 8B 53 08 8B 43 10 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 18 E8 ?? ?? ?? ?? 83 7B 18 00 75 38 A1 ?? ?? ?? ?? 83 38 05 7C 2E 8D 45 F8 50 8B 4B 24 8B 53 08 8B 43 10 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 14 E8 ?? ?? ?? ?? 83 7B 14 00 75 0B 8D 43 14 8B 53 10 E8 ?? ?? ?? ?? 83 7B 14 00 74 0C 8B C6 8B 53 14 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 18 E8 ?? ?? ?? ?? 8D 43 1C 8B 16 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84476_0 {
	meta:
		name = "TShellFolder.GetShellDetails"
		size = 85
		refs = "000f TShellFolder.GetShellDetails 0025 TShellFolder.GetDetailInterface 002f @IntfCopy 0044 @IntfClear 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 1C 00 75 0A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84477_0 {
	meta:
		name = "TShellFolder.GetShellFolder2"
		size = 85
		refs = "000f TShellFolder.GetShellFolder2 0025 TShellFolder.GetDetailInterface 002f @IntfCopy 0044 @IntfClear 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 1C 00 75 0A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84478_0 {
	meta:
		name = "GetDetailsOf"
		size = 193
		refs = "0018 GetDetailsOf 002c @FillChar 0048 TShellFolder.PathName 0051 @UStrToPWChar 0057 FindFirstFile 0073 GetLastError 007c NoFolderDetails 0092 FindClose 0098 @HandleFinally 00af @UStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 EC FD FF FF 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 33 C9 BA 50 02 00 00 E8 ?? ?? ?? ?? 8D 85 EE FD FF FF 33 C9 BA 04 01 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 53 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 FF 75 0E E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84479_0 {
	meta:
		name = "CalcFileSize"
		size = 87
	strings:
		$1 = { 55 8B EC 81 C4 A8 FD FF FF 56 57 8B F0 8D BD A8 FD FF FF B9 94 00 00 00 F3 A5 F6 85 A8 FD FF FF 10 75 1A 8B 85 C4 FD FF FF 8B D0 F7 D8 03 85 C8 FD FF FF 33 D2 89 45 F8 89 55 FC EB 0E C7 45 F8 FF FF FF FF C7 45 FC FF FF FF FF 8B 45 F8 8B 55 FC 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_84480_0 {
	meta:
		name = "CalcModifiedDate"
		size = 107
		refs = "002f FileTimeToLocalFileTime 0040 FileTimeToDosDateTime 004c FileDateToDateTime"
	strings:
		$1 = { 55 8B EC 81 C4 98 FD FF FF 56 57 8B F0 8D BD 98 FD FF FF B9 94 00 00 00 F3 A5 F6 85 98 FD FF FF 10 75 33 8D 85 AC FD FF FF 8D 55 E8 52 50 E8 ?? ?? ?? ?? 8D 45 FE 8D 55 FC 52 50 8D 45 E8 50 E8 ?? ?? ?? ?? 85 C0 74 0E 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B EB 0C 33 C0 89 45 F0 C7 45 F4 00 00 F0 BF DD 45 F0 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_84481_0 {
	meta:
		name = "DefaultDetailColumn"
		size = 239
		refs = "002e DefaultDetailColumn 004d CalcFileSize 0056 IntToStr 006e @UStrFromWArray 007b ExtractFileExt 0088 CalcModifiedDate 009a CurrencyString 009f DateTimeToStr 00a9 @UStrAsg 00d4 @UStrClr 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 9C FD FF FF 53 56 57 33 DB 89 9D 9C FD FF FF 89 5D FC 8B F0 8D BD A0 FD FF FF 51 B9 94 00 00 00 F3 A5 59 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 4A 74 0B 4A 74 1E 4A 74 40 4A 74 6B EB 7A 8D 85 A0 FD FF FF E8 ?? ?? ?? ?? 52 50 8B C3 E8 ?? ?? ?? ?? EB 64 8D 85 9C FD FF FF 8D 95 CC FD FF FF B9 04 01 00 00 E8 ?? ?? ?? ?? 8B 85 9C FD FF FF 8B D3 E8 ?? ?? ?? ?? EB 3F 8D 85 A0 FD FF FF E8 ?? ?? ?? ?? DD 5D F0 9B FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? EB 11 8B 85 A0 FD FF FF 33 D2 52 50 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 9C FD FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84482_0 {
	meta:
		name = "AddDetail"
		size = 154
		refs = "0029 AddDetail 0049 StrRetToString 0087 @UStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 57 33 DB 89 9D EC FE FF FF 8B F1 8D BD F0 FE FF FF B9 44 00 00 00 F3 A5 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 C0 75 2C 8D 85 EC FE FF FF 50 33 C9 8D 95 F8 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8B 95 EC FE FF FF 8B 45 08 8B 40 FC 8B 40 28 8B 08 FF 51 38 EB 10 8B 45 08 8B 40 FC 8B 40 28 33 D2 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84483_0 {
	meta:
		name = "TShellFolder.LoadColumnDetails"
		size = 396
		refs = "0029 TShellFolder.LoadColumnDetails 006a TShellFolder.GetShellFolder2 00a9 AddDetail 00bd TShellFolder.GetShellDetails 010a TShellFolder.Properties 011c GetDetailsOf 013a DefaultDetailColumn 0167 @UStrClr 016f @IntfClear 017d @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 8C FC FF FF 53 56 57 33 DB 89 9D 8C FC FF FF 89 5D F8 89 5D F4 89 4D F0 8B FA 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 28 85 DB 0F 84 12 01 00 00 8B C3 8B 10 FF 52 14 3B F0 0F 8E 03 01 00 00 8B 45 FC 8B 40 28 8B 10 FF 52 44 8B 45 FC 8B 55 F0 89 50 24 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 83 7D F8 00 74 43 8B DE 85 DB 0F 8E D5 00 00 00 BE 01 00 00 00 8D 85 E0 FE FF FF 50 56 8B 45 FC 8B 40 04 50 8B 45 F8 50 8B 00 FF 50 48 55 8B 55 FC 8B 52 04 8D 8D E0 FE FF FF E8 ?? ?? ?? ?? 59 46 4B 75 D1 E9 9C 00 00 00 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 83 7D F4 00 74 40 8B DE 85 DB 0F 8E 82 00 00 00 BE 01 00 00 00 8D 85 E0 FE FF FF 50 56 8B 45 FC 8B 40 04 50 8B 45 F4 50 8B 00 FF 50 0C 55 8B 55 FC 8B 52 04 8D 8D E0 FE FF FF E8 ?? ?? ?? ?? 59 46 4B 75 D1 EB 4C 8B C7 E8 ?? ?? ?? ?? A8 10 74 41 8D 95 90 FC FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B DE 85 DB 7E 2D BE 01 00 00 00 8D 8D 8C FC FF FF 8B D6 8D 85 90 FC FF FF E8 ?? ?? ?? ?? 8B 95 8C FC FF FF 8B 45 FC 8B 40 28 8B 08 FF 51 38 46 4B 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 8C FC FF FF E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84484_0 {
	meta:
		name = "TShellFolder.GetDetails"
		size = 164
		refs = "001b TShellFolder.GetDetails 0047 TShellFolder.DisplayName 005f SCallLoadDetails 0064 LoadResString 006e _Dn_Exception 0073 Exception.CreateFmt 0078 @RaiseExcept 0092 @UStrArrayClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F0 89 5D EC 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 28 8B 10 FF 52 14 85 C0 7E 10 8B 4D FC 8B D6 4A 8B 43 28 8B 18 FF 53 0C EB 3B 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84485_0 {
	meta:
		name = "TShellFolder.SetDetails"
		size = 53
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 43 28 8B 10 FF 52 14 3B F0 7D 0F 8B D6 4A 8B CF 8B 43 28 8B 18 FF 53 20 EB 0D 8B D6 4A 8B CF 8B 43 28 8B 18 FF 53 60 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84486_0 {
	meta:
		name = "TShellFolder.ParentShellFolder"
		size = 48
		refs = "0014 @IntfCopy 001d @IntfClear 0023 SHGetDesktopFolder 0028 OleCheck"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 0C 85 FF 74 0C 8B C6 8B 57 10 E8 ?? ?? ?? ?? EB 12 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84487_0 {
	meta:
		name = "TShellFolder.Properties"
		size = 82
		refs = "000d TShellFolder.Properties 001d TShellFolder.ParentShellFolder 0028 GetProperties 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 04 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84488_0 {
	meta:
		name = "TShellFolder.Capabilities"
		size = 82
		refs = "000d TShellFolder.Capabilities 001d TShellFolder.ParentShellFolder 0028 GetCaps 003f @IntfClear 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 04 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84489_0 {
	meta:
		name = "TShellFolder.SubFolders"
		size = 80
		refs = "000c TShellFolder.SubFolders 001c TShellFolder.ParentShellFolder 0027 GetHasSubFolders 003e @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 04 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_84490_0 {
	meta:
		name = "TShellFolder.IsFolder"
		size = 80
		refs = "000c TShellFolder.IsFolder 001c TShellFolder.ParentShellFolder 0027 GetIsFolder 003e @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 04 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_84491_0 {
	meta:
		name = "TShellFolder.PathName"
		size = 84
		refs = "000f TShellFolder.PathName 001e DesktopShellFolder 002e GetDisplayName 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC B9 00 80 00 00 8B 53 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84492_0 {
	meta:
		name = "TShellFolder.DisplayName"
		size = 102
		refs = "000f TShellFolder.DisplayName 0025 TShellFolder.ParentShellFolder 002f DesktopShellFolder 0040 GetDisplayName 0055 @IntfClear 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 74 0C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 56 B9 01 00 00 00 8B 53 04 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84493_0 {
	meta:
		name = "TShellFolder.Rename"
		size = 271
		refs = "001c TShellFolder.Rename 002b TShellFolder.Capabilities 0040 @WStrToPWChar 0051 TShellFolder.ParentShellFolder 006b DisposePIDL 008b ConcatPIDLs 0098 CopyPIDL 00a9 SRenamedFailedError 00ae LoadResString 00c4 Format 00ce _Dn_Exception 00d3 Exception.Create 00d8 @RaiseExcept 00f2 @UStrArrayClr 00fa @IntfClear 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F4 89 4D F0 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 E8 ?? ?? ?? ?? A8 10 0F 84 A5 00 00 00 8D 45 FC 50 6A 00 8B C7 E8 ?? ?? ?? ?? 50 8B 46 04 50 6A 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 30 85 C0 0F 94 C3 84 DB 74 3A 8B 46 04 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 45 FC 89 46 04 8B 7E 0C 85 FF 74 10 8B 47 04 8B 55 FC E8 ?? ?? ?? ?? 89 46 08 EB 48 8B 45 FC E8 ?? ?? ?? ?? 89 46 08 EB 3B 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 89 7D E8 C6 45 EC 0F 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84494_0 {
	meta:
		name = "TShellFolder.ImageIndex"
		size = 11
		refs = "0006 GetShellImage"
	strings:
		$1 = { 33 C9 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84495_0 {
	meta:
		name = "TShellFolder.ExecuteDefault"
		size = 78
		refs = "0010 @FillChar 001c Application 0045 ShellExecuteEx"
	strings:
		$1 = { 53 83 C4 C4 8B D8 8B C4 33 C9 BA 3C 00 00 00 E8 ?? ?? ?? ?? C7 04 24 3C 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 89 44 24 08 C7 44 24 04 0C 00 00 00 8B 43 08 89 44 24 24 C7 44 24 1C 05 00 00 00 54 E8 ?? ?? ?? ?? 83 C4 3C 5B C3 }
	condition:
		$1
}

rule function_84496_0 {
	meta:
		name = "NotifyOptionFlags"
		size = 81
	strings:
		$1 = { 55 8B EC 8B 55 08 83 C2 FC 33 C0 8B 0A F6 41 38 01 74 03 83 C8 01 8B 0A F6 41 38 02 74 03 83 C8 02 8B 0A F6 41 38 08 74 03 83 C8 08 8B 0A F6 41 38 04 74 03 83 C8 04 8B 0A F6 41 38 10 74 03 83 C8 10 8B 12 F6 42 38 20 74 05 0D 00 01 00 00 5D C3 }
	condition:
		$1
}

rule function_84497_0 {
	meta:
		name = "TCustomShellChangeNotifier.Change"
		size = 59
		refs = "0014 NotifyOptionFlags 0033 TShellChangeThread.SetDirectoryOptions"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 58 40 85 DB 74 25 55 E8 ?? ?? ?? ?? 59 50 8B 45 FC 80 78 39 01 F5 1B C0 83 F8 01 1B C9 41 8B 45 FC 8B 50 3C 8B C3 E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_84498_0 {
	meta:
		name = "TCustomShellChangeNotifier.Create"
		size = 112
		refs = "000a @ClassCreate 0017 TComponent.Create 001f TCustomShellChangeNotifier.Create 0024 @UStrAsg 0039 TCustomShellChangeNotifier.Start 0044 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 3C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 39 01 0F B6 05 ?? ?? ?? ?? 88 46 38 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 43 00 3A 00 5C 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_84499_0 {
	meta:
		name = "TCustomShellChangeNotifier.Destroy"
		size = 68
		refs = "0004 @BeforeDestruction 001d TThread.Terminate 0026 ReleaseMutex 0031 TComponent.Destroy 003c @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 47 40 85 C0 74 17 8B F0 33 C0 89 47 40 8B C6 E8 ?? ?? ?? ?? 8B 46 40 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84500_0 {
	meta:
		name = "TCustomShellChangeNotifier.SetRoot"
		size = 153
		refs = "0011 TCustomShellChangeNotifier.SetRoot 0022 @UStrLAsg 0053 CompareText 0066 @UStrAsg 006d TCustomShellChangeNotifier.Change 0087 @UStrArrayClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 3C E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 11 8D 43 3C 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84501_0 {
	meta:
		name = "TCustomShellChangeNotifier.SetFilters"
		size = 18
		refs = "000c TCustomShellChangeNotifier.Change"
	strings:
		$1 = { 51 88 14 24 0F B6 14 24 88 50 38 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_84502_0 {
	meta:
		name = "TCustomShellChangeNotifier.SetOnChange"
		size = 45
		refs = "0025 TCustomShellChangeNotifier.Start"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 48 8B 55 0C 89 50 4C 8B 50 40 85 D2 74 0E 8B 48 48 89 4A 48 8B 48 4C 89 4A 4C EB 05 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_84503_0 {
	meta:
		name = "TCustomShellChangeNotifier.SetWatchSubTree"
		size = 9
		refs = "0004 TCustomShellChangeNotifier.Change"
	strings:
		$1 = { 88 50 39 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84505_0 {
	meta:
		name = "TCustomShellChangeNotifier.Start"
		size = 99
		refs = "001e _DV_TShellChangeThread 0023 TShellChangeThread.Create 0031 NotifyOptionFlags 0050 TShellChangeThread.SetDirectoryOptions 005b TThread.Resume"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 66 83 78 4A 00 74 4D 8B 45 FC FF 70 4C FF 70 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 40 55 E8 ?? ?? ?? ?? 59 50 8B 45 FC 80 78 39 01 F5 1B C0 83 F8 01 1B C9 41 8B 45 FC 8B 50 3C 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_84506_0 {
	meta:
		name = "TShellChangeThread.Create"
		size = 107
		refs = "000e @ClassCreate 002d CreateMutex 003a WaitForSingleObject 0049 TThread.Create 0054 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 C6 47 0F 01 8B 45 08 89 47 48 8B 45 0C 89 47 4C 6A 00 6A FF 6A 00 E8 ?? ?? ?? ?? 8B F0 89 77 40 6A FF 56 E8 ?? ?? ?? ?? C6 47 55 00 B1 01 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_84507_0 {
	meta:
		name = "TShellChangeThread.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 0015 FindCloseChangeNotification 001e CloseHandle 0029 TThread.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 44 83 F8 06 74 06 50 E8 ?? ?? ?? ?? 8B 46 40 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84508_0 {
	meta:
		name = "TShellChangeThread.Execute"
		size = 209
		refs = "000a CS 0012 EnterCriticalSection 0026 @UStrToPWChar 002c FindFirstChangeNotification 0035 LeaveCriticalSection 0059 WaitForMultipleObjects 0075 TThread.Synchronize 007e FindNextChangeNotification 0089 ReleaseMutex"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D8 BF ?? ?? ?? ?? 8B EC 57 E8 ?? ?? ?? ?? 8B 43 58 50 80 7B 54 01 F5 1B C0 50 8B 43 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 43 44 57 E8 ?? ?? ?? ?? 83 7B 44 06 0F 84 87 00 00 00 EB 7B 8B 43 44 89 45 00 8B 43 40 89 45 04 6A FF 6A 00 55 6A 02 E8 ?? ?? ?? ?? 8B F0 83 EE FF 74 66 4E 74 05 4E 74 1A EB 21 FF 73 4C FF 73 48 8B C3 E8 ?? ?? ?? ?? 8B 43 44 50 E8 ?? ?? ?? ?? EB 09 8B 43 40 50 E8 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 80 7B 55 00 74 21 8B 43 58 50 80 7B 54 01 F5 1B C0 50 8B 43 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 43 44 C6 43 55 00 57 E8 ?? ?? ?? ?? 80 7B 0D 00 0F 84 7B FF FF FF 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84509_0 {
	meta:
		name = "TShellChangeThread.SetDirectoryOptions"
		size = 124
		refs = "0011 @UStrAddRef 0019 TShellChangeThread.SetDirectoryOptions 0024 CS 0029 EnterCriticalSection 0034 @UStrAsg 0046 FindCloseChangeNotification 0054 LeaveCriticalSection 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 50 8B 55 FC E8 ?? ?? ?? ?? 88 5E 54 8B 45 08 89 46 58 8B 46 44 50 E8 ?? ?? ?? ?? C6 46 55 01 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_84510_0 {
	meta:
		name = "TCustomShellTreeView.Create"
		size = 292
		refs = "0013 @ClassCreate 0021 TCustomTreeView.Create 0032 TCustomTreeView.SetRootStyle 0039 TCustomShellTreeView.Create 008f SHGetFileInfo 009e _DV_TShellChangeNotifier 00a3 TCustomShellChangeNotifier.Create 00c8 @UStrAsg 00dc @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 48 FD FF FF 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 B8 03 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 83 BC 03 00 00 C6 83 B8 02 00 00 01 C6 83 C5 03 00 00 01 C6 83 C6 03 00 00 00 33 C0 89 83 C8 03 00 00 33 C0 89 83 CC 03 00 00 C6 83 D1 03 00 00 00 C6 83 D2 03 00 00 01 68 01 40 00 00 68 B4 02 00 00 8D 85 4B FD FF FF 50 6A 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 C0 03 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D4 03 00 00 0F B6 46 28 0A 05 ?? ?? ?? ?? 88 46 28 8D 83 B0 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 C4 03 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C3 00 00 01 00 00 00 43 00 3A 00 5C 00 00 00 04 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 72 00 66 00 44 00 65 00 73 00 6B 00 74 00 6F 00 70 00 00 00 }
	condition:
		$1
}

rule function_84511_0 {
	meta:
		name = "TCustomShellTreeView.ClearItems"
		size = 209
		refs = "000d TWinControl.HandleAllocated 0023 TTreeNodes.GetCount 0039 TTreeNodes.BeginUpdate 0041 TCustomShellTreeView.ClearItems 0069 TCustomShellTreeView.GetFolder 007c TObject.Free 008c TTreeNodes.GetNodeFromIndex 0093 TTreeNode.SetData 00a5 TTreeNodes.Clear 00c0 TTreeNodes.EndUpdate 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 B3 00 00 00 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 9D 00 00 00 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3B 46 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 0F 8B D3 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 02 00 00 8B D3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 43 4E 75 C8 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84512_0 {
	meta:
		name = "TCustomShellTreeView.CreateWnd"
		size = 73
		refs = "0006 TCustomTreeView.CreateWnd 0011 TTreeNodes.GetCount 001c TCustomShellTreeView.ClearItems 0033 TCustomShellTreeView.SetUseShellImages 0043 TCustomShellTreeView.CreateRoot"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 07 8B C3 E8 ?? ?? ?? ?? 83 BB A4 02 00 00 00 75 0E 0F B6 93 D2 03 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB C4 03 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84513_0 {
	meta:
		name = "TCustomShellTreeView.Destroy"
		size = 54
		refs = "0003 @BeforeDestruction 000e TCustomShellTreeView.ClearItems 0019 TObject.Free 0024 TCustomTreeView.Destroy 002f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 B8 03 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84515_0 {
	meta:
		name = "TCustomShellTreeView.CommandCompleted"
		size = 536
		refs = "0020 @UStrAddRef 0028 TCustomShellTreeView.CommandCompleted 003d TCustomTreeView.GetSelected 0050 @UStrLAsg 0084 CompareText 00a5 TShellFolder.PathName 00af FileExists 00c5 TTreeNode.SetData 00d1 TTreeNode.Delete 00de TObject.Free 013b TCustomShellTreeView.Refresh 0190 @UStrToPWChar 0196 SetCurrentDirectory 01ab @UStrClr 01b8 @UStrArrayClr 01be @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 0F 84 60 01 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 51 01 00 00 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 56 8B C6 E8 ?? ?? ?? ?? 8B 40 0C 89 45 E0 8D 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 DC B2 01 E8 ?? ?? ?? ?? 84 C0 0F 85 DF 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? E9 B3 00 00 00 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 12 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 59 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 04 B0 01 EB 20 83 7D E8 00 74 06 83 7D E4 00 75 04 33 C0 EB 10 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 11 8B 86 E0 03 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 65 00 6C 00 65 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 70 00 61 00 73 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6F 00 70 00 65 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_84516_0 {
	meta:
		name = "TCustomShellTreeView.ExecuteCommand"
		size = 484
		refs = "0036 @UStrAddRef 003e TCustomShellTreeView.ExecuteCommand 004f @UStrLAsg 0083 CompareText 0093 TCustomTreeView.GetSelected 00ac TTreeNode.EditText 010d GetCurrentDirectory 011e StrPas 012f @UStrAsg 0144 TShellFolder.PathName 0155 ExtractFilePath 0166 StrPCopy 0172 SetCurrentDirectory 018f @UStrArrayClr 01a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 D4 FD FF FF 53 56 33 DB 89 9D D8 FD FF FF 89 9D D4 FD FF FF 89 9D DC FD FF FF 89 5D F8 89 5D F4 89 5D F0 89 5D EC 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 EB 02 33 C0 84 C0 74 14 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 06 01 E9 BE 00 00 00 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 76 8D 85 E2 FD FF FF 50 68 04 01 00 00 E8 ?? ?? ?? ?? 8D 95 DC FD FF FF 8D 85 E2 FD FF FF E8 ?? ?? ?? ?? 8B 95 DC FD FF FF 8D 83 E0 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 40 0C 8D 95 D4 FD FF FF E8 ?? ?? ?? ?? 8B 85 D4 FD FF FF 8D 95 D8 FD FF FF E8 ?? ?? ?? ?? 8B 95 D8 FD FF FF 8D 85 E2 FD FF FF E8 ?? ?? ?? ?? 8D 85 E2 FD FF FF 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D4 FD FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6F 00 70 00 65 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_84517_0 {
	meta:
		name = "TreeSortFunc"
		size = 104
		refs = "000d TreeSortFunc 0031 TShellFolder.ParentShellFolder 0054 @IntfClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 8B 40 0C 8B 40 04 50 8B 43 0C 8B 40 04 50 6A 00 8D 55 FC 8B 43 0C E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 1C 0F BF C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_84518_0 {
	meta:
		name = "TCustomShellTreeView.InitNode"
		size = 367
		refs = "001c TCustomShellTreeView.InitNode 0039 GetIShellFolder 004a _DV_TShellFolder 004f TShellFolder.Create 0058 TTreeNode.SetData 0065 TShellFolder.DisplayName 006f TTreeNode.SetText 008d GetShellImage 0096 TTreeNode.SetImageIndex 00ab TTreeNode.SetSelectedIndex 00c2 TShellFolder.SubFolders 00cb TTreeNode.SetChildren 00d2 TShellFolder.Properties 00df TTreeNode.SetOverlayIndex 00fa ObjectFlags 0104 GetHasSubItems 013d TTreeNode.Delete 0152 @UStrClr 015a @IntfClear 0160 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 78 0C 8D 45 FC 50 8B 47 10 33 C9 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 50 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 7B 0C 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 80 BE D2 03 00 00 00 74 33 83 BE A4 02 00 00 00 75 2A 8B 47 08 33 C9 33 D2 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 47 08 B1 01 33 D2 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 83 7B 18 00 75 0A 8B 53 14 8B C3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? A8 08 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? F6 86 BC 03 00 00 02 74 25 83 7F 10 00 74 1F 0F B6 86 BC 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 47 10 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? C6 45 F7 01 66 83 BE DA 03 00 00 00 74 15 8D 45 F7 50 8B 4B 0C 8B D6 8B 86 DC 03 00 00 FF 96 D8 03 00 00 80 7D F7 00 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84519_0 {
	meta:
		name = "TCustomShellTreeView.PopulateNode"
		size = 382
		refs = "0018 TCustomShellTreeView.PopulateNode 0023 Screen 003d TScreen.SetCursor 004b TTreeNodes.BeginUpdate 006f @IntfClear 007f ObjectFlags 0085 Application 00ae @TryFinallyExit 00c2 @HandleOnException 00ca _Dn_Exception 00d3 @DoneExcept 00e8 TTreeNodes.AddChild 00fb TCustomShellTreeView.InitNode 0119 TreeSortFunc 0123 TTreeNode.CustomSort 013e TTreeNodes.EndUpdate 0154 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 0F B7 40 4C 66 89 45 EA A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 8B 45 F8 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 0F B6 80 BC 03 00 00 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 50 8B 45 F4 8B 40 0C 8B 40 10 50 8B 00 FF 50 10 85 C0 74 12 33 C0 5A 59 59 64 89 10 E8 ?? ?? ?? ?? E9 A3 00 00 00 33 C0 5A 59 59 64 89 10 EB 3E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 8B 45 F8 8B 80 E0 02 00 00 33 C9 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 8B 45 F4 50 8B 4D F0 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 45 F0 50 6A 01 8B 45 FC 50 8B 00 FF 50 0C 85 C0 74 C3 6A 00 BA ?? ?? ?? ?? 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 0F B7 55 EA E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84520_0 {
	meta:
		name = "TCustomShellTreeView.SetObjectTypes"
		size = 21
		refs = "000f TCustomShellTreeView.RootChanged"
	strings:
		$1 = { 51 88 14 24 0F B6 14 24 88 90 BC 03 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_84521_0 {
	meta:
		name = "TCustomShellTreeView.CreateRoot"
		size = 531
		refs = "0013 TCustomShellTreeView.CreateRoot 0054 CreateRootFolder 0065 @UStrClr 0074 @HandleOnException 007c _Dn_Exception 008d @UStrLAsg 0092 @DoneExcept 00c8 TTreeNodes.GetCount 00d4 TCustomShellTreeView.ClearItems 00e6 TTreeNodes.Add 0102 _DV_TShellFolder 0107 TShellFolder.Create 0110 TTreeNode.SetData 011c DesktopShellFolder 012c GetDisplayName 0136 TTreeNode.SetText 015d GetShellImage 0166 TTreeNode.SetImageIndex 017e TTreeNode.SetSelectedIndex 0186 TShellFolder.SubFolders 018f TTreeNode.SetChildren 0198 TTreeNode.Expand 01a2 TCustomTreeView.SetSelected 01bf @HandleFinally 01d6 Exception.Create 01db @RaiseExcept 01f0 @IntfClear"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 F6 40 1C 01 0F 85 B5 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8D 88 B0 03 00 00 8B 45 F8 8B 90 B4 03 00 00 8B 45 F8 8B 80 B8 03 00 00 E8 ?? ?? ?? ?? 8B 55 F8 89 82 B8 03 00 00 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 45 FC 8B 53 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 83 B8 B8 03 00 00 00 0F 84 1F 01 00 00 8B 45 F8 C6 80 C4 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 E0 02 00 00 33 C9 33 D2 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 8B B0 B8 03 00 00 8B 46 08 50 8B 46 10 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 53 0C 8B 52 08 33 C9 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 80 B8 D2 03 00 00 00 74 3C 8B 45 F8 83 B8 A4 02 00 00 00 75 30 8B 43 0C 8B 40 08 33 C9 33 D2 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 8B 40 08 B1 01 33 D2 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 C6 80 C4 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 83 7D FC 00 74 14 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84522_0 {
	meta:
		name = "TCustomShellTreeView.CanExpand"
		size = 287
		refs = "0014 TCustomShellTreeView.CanExpand 0031 TTreeNode.GetLevel 0065 TShellFolder.IsFolder 0070 TTreeNode.GetChildren 007b TTreeNode.GetCount 0088 TCustomShellTreeView.PopulateNode 00a3 TShellFolder.PathName 00ae ExtractFilePath 00b6 @UStrToPWChar 00d6 TWinControl.GetHandle 00dc ShellExecute 00ef TTreeNode.SetChildren 0109 @UStrArrayClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 8B 43 0C 89 45 F8 F6 46 1C 10 74 0F 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8F B6 00 00 00 66 83 BE 82 03 00 00 00 74 14 8D 45 FF 50 8B CB 8B D6 8B 86 84 03 00 00 FF 96 80 03 00 00 80 7D FF 00 74 7F 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 21 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 52 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 46 6A 00 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 6A 00 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 50 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9F C2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84523_0 {
	meta:
		name = "TCustomShellTreeView.Edit"
		size = 175
		refs = "0012 TCustomShellTreeView.Edit 0029 @UStrFromPWChar 0037 TTreeNodes.GetNode 0066 @WStrFromUStr 0071 TShellFolder.Rename 007f TTreeNode.SetText 0094 @WStrClr 009c @UStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7E 10 85 FF 74 60 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B 56 04 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B F0 66 83 BB 72 03 00 00 00 74 14 8D 45 FC 50 8B CE 8B D3 8B 83 74 03 00 00 FF 93 70 03 00 00 85 F6 74 24 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 46 0C E8 ?? ?? ?? ?? 84 C0 74 0A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84524_0 {
	meta:
		name = "TCustomShellTreeView.MouseUp"
		size = 30
		refs = "0015 TControl.MouseUp"
	strings:
		$1 = { 55 8B EC 51 66 89 4D FE 8B 4D 0C 51 8B 4D 08 51 0F B7 4D FE E8 ?? ?? ?? ?? 59 5D C2 08 00 }
	condition:
		$1
}

rule function_84525_0 {
	meta:
		name = "TCustomShellTreeView.NodeFromRelativeID"
		size = 71
		refs = "000b TTreeNode.getFirstChild 0036 TTreeNode.GetNextChild"
	strings:
		$1 = { 53 56 57 55 8B E9 8B F2 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 2B 8B 43 0C 8B 40 04 50 55 6A 00 8B 46 0C 8B 40 10 50 8B 00 FF 50 1C 8B F8 85 FF 74 0F 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 D5 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84526_0 {
	meta:
		name = "TCustomShellTreeView.NodeFromAbsoluteID"
		size = 113
		refs = "000e TCustomShellTreeView.NodeFromAbsoluteID 002c DesktopShellFolder 0042 TTreeNode.GetNext 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DA 85 DB 74 2E 8B 43 0C 8B 40 08 50 57 6A 00 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 1C 8B F0 85 F6 74 0D 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 D2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84527_0 {
	meta:
		name = "TCustomShellTreeView.Delete"
		size = 41
		refs = "0010 TObject.Free 0019 TTreeNode.SetData 0022 TCustomTreeView.Delete"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 7B 0C 00 74 11 8B 43 0C E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84528_0 {
	meta:
		name = "TCustomShellTreeView.RootChanged"
		size = 139
		refs = "0021 TCustomShellTreeView.RootChanged 002f TCustomShellTreeView.CreateRoot 004a TCustomShellComboBox.SetRoot 0065 TCustomShellListView.SetRoot 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 80 B8 C6 03 00 00 00 75 75 8B 45 FC C6 80 C6 03 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C8 03 00 00 85 C0 74 0E 8B 55 FC 8B 92 B0 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 CC 03 00 00 85 C0 74 0E 8B 55 FC 8B 92 B0 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 C6 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_84529_0 {
	meta:
		name = "TCustomShellTreeView.FolderExists"
		size = 145
		refs = "0016 TCustomShellTreeView.FolderExists 0028 TTreeNode.GetLevel 003c DesktopShellFolder 0055 TTreeNode.GetNext 007b @IntfClear 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 8B FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 43 0C 8B 40 08 50 57 6A 00 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 1C 85 C0 75 05 89 5D FC EB 18 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0B 8B C3 E8 ?? ?? ?? ?? 3B F0 7C C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84530_0 {
	meta:
		name = "TCustomShellTreeView.RefreshEvent"
		size = 32
		refs = "0006 TCustomTreeView.GetSelected 001a TCustomShellTreeView.Refresh"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84531_0 {
	meta:
		name = "TCustomShellTreeView.Refresh"
		size = 764
		refs = "0018 TCustomShellTreeView.Refresh 0033 Screen 0047 TCustomTreeView.GetTopItem 0052 CopyPIDL 007f ConcatPIDLs 008f TCustomTreeView.GetSelected 00f2 TTreeNodes.BeginUpdate 0110 TScreen.SetCursor 0129 TTreeNodes.Insert 0133 TTreeNode.GetParent 0153 _DV_TShellFolder 0158 TShellFolder.Create 0161 TTreeNode.SetData 016b TCustomShellTreeView.PopulateNode 017a GetShellImage 0183 TTreeNode.SetImageIndex 0198 TTreeNode.SetSelectedIndex 019f TShellFolder.SubFolders 01a8 TTreeNode.SetChildren 01b2 TShellFolder.DisplayName 01bc TTreeNode.SetText 01c4 TTreeNode.GetLevel 01da TCustomShellTreeView.FolderExists 01e7 TTreeNode.GetExpanded 01f4 TTreeNode.Expand 01fb TTreeNode.GetNext 0221 TObject.Free 0233 TTreeNode.Delete 0249 TTreeNodes.GetNodeFromIndex 0262 TCustomTreeView.SetSelected 028b TCustomTreeView.SetTopItem 02a6 TTreeNodes.EndUpdate 02ae DisposePIDL 02d2 @HandleFinally 02e9 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 0C 83 78 10 00 0F 84 A6 02 00 00 A1 ?? ?? ?? ?? 8B 00 0F B7 40 4C 66 89 45 F2 33 F6 8B 45 FC E8 ?? ?? ?? ?? 8B 40 0C 8B 40 04 E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 40 0C 83 78 0C 00 74 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 40 0C 8B 40 0C 8B 40 08 8B 55 EC E8 ?? ?? ?? ?? 89 45 EC 33 C0 89 45 E8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 51 8B 45 FC E8 ?? ?? ?? ?? 83 78 0C 00 74 43 8B 45 FC E8 ?? ?? ?? ?? 8B 40 0C 8B 40 04 E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 40 0C 83 78 0C 00 74 1C 8B 45 FC E8 ?? ?? ?? ?? 8B 40 0C 8B 40 0C 8B 40 08 8B 55 E8 E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 8B 45 F8 8B 58 0C 8B 45 FC 8B 80 E0 02 00 00 33 C9 8B 55 F8 E8 ?? ?? ?? ?? 8B F8 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 0B 8B 45 F8 E8 ?? ?? ?? ?? 8B 70 0C 8B 43 04 50 8B 43 10 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 5F 0C 8B 43 08 33 C9 33 D2 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 43 08 B1 01 33 D2 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 5D F8 8B 43 0C 8B 50 08 8B CF 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 74 14 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0C 8B C3 E8 ?? ?? ?? ?? 3B 45 F4 75 BD 8B 45 F8 83 78 0C 00 74 15 8B 45 F8 8B 40 0C E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 7D E8 00 74 29 8B 45 FC 8B 80 E0 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B C8 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B C8 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 83 7D E8 00 74 08 8B 45 E8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 0F B7 55 F2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84532_0 {
	meta:
		name = "TCustomShellTreeView.Notification"
		size = 63
		refs = "0010 TCustomTreeView.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 22 3B BE C8 03 00 00 75 0A 33 C0 89 86 C8 03 00 00 EB 10 3B BE CC 03 00 00 75 08 33 C0 89 86 CC 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84533_0 {
	meta:
		name = "TCustomShellTreeView.CanChange"
		size = 282
		refs = "0014 TCustomTreeView.CanChange 0058 TCustomShellTreeView.SetAutoRefresh 005f TShellFolder.IsFolder 0078 TCustomShellTreeView.CanChange 0093 TCustomShellComboBox.TreeUpdate 00a8 TCustomShellListView.TreeUpdate 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 88 45 F7 80 7D F7 00 0F 84 EC 00 00 00 8B 45 FC 80 B8 C6 03 00 00 00 0F 85 DC 00 00 00 83 7D F8 00 0F 84 D2 00 00 00 8B 45 F8 8B 58 0C 8B 45 FC 0F B6 80 D0 03 00 00 88 45 F6 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 03 8B 5B 0C 8B 45 FC C6 80 C6 03 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 C8 03 00 00 85 C0 74 08 8B 53 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 CC 03 00 00 85 C0 74 08 8B 53 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 C6 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 55 F8 89 90 E4 03 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 55 F6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 E4 03 00 00 C3 E9 ?? ?? ?? ?? EB ED 0F B6 45 F7 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84534_0 {
	meta:
		name = "TCustomShellTreeView.GetFolder"
		size = 25
		refs = "000f TTreeNodes.GetNodeFromIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B 40 0C 5E 5B C3 }
	condition:
		$1
}

rule function_84535_0 {
	meta:
		name = "TCustomShellTreeView.SelectedFolder"
		size = 32
		refs = "0009 TCustomTreeView.GetSelected"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0A 8B C3 E8 ?? ?? ?? ?? 8B 70 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84536_0 {
	meta:
		name = "TCustomShellTreeView.GetPath"
		size = 44
		refs = "0009 TCustomShellTreeView.SelectedFolder 001b TShellFolder.PathName 0025 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84537_0 {
	meta:
		name = "TCustomShellTreeView.SetPath"
		size = 254
		refs = "001a TCustomShellTreeView.SetPath 003c StringToOleStr 0065 DesktopShellFolder 0073 OleCheck 007d TCustomShellTreeView.SetPathFromID 008c @HandleOnException 0094 _Dn_EOleSysError 00b0 SErrorSettingPath 00b5 LoadResString 00bf _DV_EInvalidPath 00c4 Exception.CreateFmt 00c9 @RaiseExcept 00ce @DoneExcept 00e3 @UStrClr 00eb @IntfClear 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 89 4D EC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 89 45 F0 33 C0 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8D 45 F8 50 8D 45 F0 50 56 6A 00 6A 00 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 47 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 89 45 E4 C6 45 E8 11 8D 45 E4 50 6A 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84570_0 {
	meta:
		name = "TCustomShellComboBox.SetPath"
		size = 254
		refs = "001a TCustomShellComboBox.SetPath 003c StringToOleStr 0065 DesktopShellFolder 0073 OleCheck 007d TCustomShellComboBox.SetPathFromID 008c @HandleOnException 0094 _Dn_EOleSysError 00b0 SErrorSettingPath 00b5 LoadResString 00bf _DV_EInvalidPath 00c4 Exception.CreateFmt 00c9 @RaiseExcept 00ce @DoneExcept 00e3 @UStrClr 00eb @IntfClear 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 89 4D EC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 89 45 F0 33 C0 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8D 45 F8 50 8D 45 F0 50 56 6A 00 6A 00 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 47 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 89 45 E4 C6 45 E8 11 8D 45 E4 50 6A 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84538_0 {
	meta:
		name = "TCustomShellTreeView.SetPathFromID"
		size = 383
		refs = "002f TCustomShellTreeView.SelectedFolder 0046 SamePIDL 0066 TTreeNodes.BeginUpdate 006e TCustomShellTreeView.SetPathFromID 007c CreatePIDLList 009d TTreeNodes.GetNodeFromIndex 00bd TList.Get 00c9 TCustomShellTreeView.FolderExists 00d8 TTreeNode.Expand 00f7 TCustomTreeView.SetSelected 0113 TCustomShellListView.TreeUpdate 012b TCustomShellComboBox.TreeUpdate 0140 DestroyPIDLList 0146 @HandleFinally 0163 TTreeNodes.EndUpdate"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 55 F8 89 45 FC 8B 45 FC 80 B8 C6 03 00 00 00 0F 85 5B 01 00 00 8B 45 FC F6 40 1C 01 0F 85 4E 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 1B 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 0F 85 27 01 00 00 8B 45 FC C6 80 C6 03 00 00 01 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 E0 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B D8 8B 45 F0 8B 70 08 4E 85 F6 7C 34 46 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B CB 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 0B 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? FF 45 F4 4E 75 D4 8B CB 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 85 DB 74 30 8B 45 FC 8B 80 CC 03 00 00 85 C0 74 0B 8B 53 0C 8B 52 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C8 03 00 00 85 C0 74 0B 8B 53 0C 8B 52 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 80 C6 03 00 00 00 C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84539_0 {
	meta:
		name = "TCustomShellTreeView.SetRoot"
		size = 176
		refs = "0011 TCustomShellTreeView.SetRoot 0025 @UStrLAsg 0056 CompareText 0070 @UStrAsg 0084 TCustomShellTreeView.RootChanged 009e @UStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 93 B0 03 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 25 8D 83 B4 03 00 00 8B 93 B0 03 00 00 E8 ?? ?? ?? ?? 8D 83 B0 03 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84540_0 {
	meta:
		name = "TCustomShellTreeView.GetImageIndex"
		size = 15
		refs = "000a TCustomTreeView.GetImageIndex"
	strings:
		$1 = { 83 B8 A4 02 00 00 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84541_0 {
	meta:
		name = "TCustomShellTreeView.GetSelectedIndex"
		size = 15
		refs = "000a TCustomTreeView.GetSelectedIndex"
	strings:
		$1 = { 83 B8 A4 02 00 00 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84542_0 {
	meta:
		name = "TCustomShellTreeView.WndProc"
		size = 253
		refs = "0032 ICM2 0075 TCustomShellTreeView.WndProc 00a8 TCustomImageList.GetHandle 00ba TWinControl.GetHandle 00c0 SendMessage 00dd @HandleFinally 00e9 TCustomTreeView.WndProc"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 03 8B D0 83 C2 D5 83 EA 02 72 1A 81 EA EA 00 00 00 74 12 83 EA 09 74 0D 81 EA E9 0F 00 00 74 30 E9 BF 00 00 00 83 3D ?? ?? ?? ?? 00 0F 84 BC 00 00 00 8B 53 08 52 8B 53 04 52 50 A1 ?? ?? ?? ?? 50 8B 00 FF 50 18 33 C0 89 43 0C E9 9E 00 00 00 8B 45 FC 80 B8 D1 03 00 00 00 75 7C 8B 45 FC C6 80 D1 03 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 A4 02 00 00 85 C0 75 1B 8B 45 FC 80 B8 D2 03 00 00 00 74 0B 8B 45 FC 8B 98 C0 03 00 00 EB 0B 33 DB EB 07 E8 ?? ?? ?? ?? 8B D8 53 6A 00 68 09 11 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 D1 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_84543_0 {
	meta:
		name = "TCustomShellTreeView.SetUseShellImages"
		size = 71
		refs = "0029 TCustomImageList.GetHandle 003a TWinControl.GetHandle 0040 SendMessage"
	strings:
		$1 = { 53 56 8B D8 8B C2 88 83 D2 03 00 00 8B 93 A4 02 00 00 85 D2 75 10 84 C0 74 08 8B B3 C0 03 00 00 EB 0D 33 F6 EB 09 8B C2 E8 ?? ?? ?? ?? 8B F0 56 6A 00 68 09 11 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84546_0 {
	meta:
		name = "TCustomShellTreeView.DoContextPopup"
		size = 82
		refs = "0030 TCustomShellTreeView.SelectedFolder 003d InvokeContextMenu 0048 TControl.DoContextPopup"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 8B D8 80 BB C5 03 00 00 00 74 2B 8B 83 84 00 00 00 85 C0 74 06 80 78 69 00 75 1B 8B 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 4C 24 04 8B C3 E8 ?? ?? ?? ?? EB 09 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84547_0 {
	meta:
		name = "TCustomShellTreeView.SetComboBox"
		size = 79
		refs = "001d TCustomShellComboBox.SetRoot 0042 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C8 03 00 00 3B F0 74 3C 85 F6 74 15 8B 93 B0 03 00 00 8B C6 E8 ?? ?? ?? ?? 89 9E 3C 03 00 00 EB 0C 85 C0 74 08 33 D2 89 90 3C 03 00 00 8B 83 C8 03 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 89 B3 C8 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_84548_0 {
	meta:
		name = "TCustomShellTreeView.SetListView"
		size = 79
		refs = "001d TCustomShellListView.SetRoot 0042 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 CC 03 00 00 3B F0 74 3C 85 F6 74 15 8B 93 B0 03 00 00 8B C6 E8 ?? ?? ?? ?? 89 9E 44 04 00 00 EB 0C 85 C0 74 08 33 D2 89 90 44 04 00 00 8B 83 CC 03 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 89 B3 CC 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_84549_0 {
	meta:
		name = "TCustomShellTreeView.SetAutoRefresh"
		size = 288
		refs = "0014 TCustomShellTreeView.SetAutoRefresh 0052 TObject.Free 005b _DV_TShellChangeNotifier 0060 TCustomShellChangeNotifier.Create 007e TCustomShellChangeNotifier.SetWatchSubTree 0093 TShellFolder.PathName 00a1 TCustomShellChangeNotifier.SetRoot 00c5 TCustomShellTreeView.RefreshEvent 00d0 TCustomShellChangeNotifier.SetOnChange 0108 @UStrArrayClr 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 FF 88 83 D0 03 00 00 F6 43 1C 01 0F 85 C0 00 00 00 84 C0 0F 84 9C 00 00 00 83 BB D4 03 00 00 00 74 13 8D 83 D4 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D4 03 00 00 0F B6 46 28 0A 05 ?? ?? ?? ?? 88 46 28 33 D2 8B C6 E8 ?? ?? ?? ?? 8B B3 E4 03 00 00 85 F6 74 1B 8D 55 F8 8B 46 0C E8 ?? ?? ?? ?? 8B 55 F8 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? EB 1C 8D 55 F4 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? EB 1C 83 BB D4 03 00 00 00 74 13 8D 83 D4 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_84550_0 {
	meta:
		name = "TCustomShellComboBox.Create"
		size = 232
		refs = "0013 @ClassCreate 0021 TCustomComboBoxEx.Create 0041 TCustomShellComboBox.Create 0046 SHGetFileInfo 0062 ImageList_GetIconSize 0072 TCustomComboBoxEx.SetStyle 008f @UStrAsg 00a3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 48 FD FF FF 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 38 03 00 00 68 01 40 00 00 68 B4 02 00 00 8D 85 4B FD FF FF 50 6A 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 20 03 00 00 8D 83 24 03 00 00 50 8D 83 28 03 00 00 50 56 E8 ?? ?? ?? ?? C6 83 46 03 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 83 44 03 00 00 8D 83 34 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 45 03 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C3 00 00 00 43 00 3A 00 5C 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 72 00 66 00 44 00 65 00 73 00 6B 00 74 00 6F 00 70 00 00 00 }
	condition:
		$1
}

rule function_84551_0 {
	meta:
		name = "TCustomShellComboBox.ClearItems"
		size = 170
		refs = "001b TCustomShellComboBox.ClearItems 0042 TCustomShellComboBox.GetFolder 0055 TObject.Free 0065 TListControlItems.GetListItem 007e TCollection.Clear 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 80 0C 03 00 00 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 0C 03 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 3B 46 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 0F 8B D3 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 0C 03 00 00 8B D3 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 24 43 4E 75 C8 8B 45 FC 8B 80 0C 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 0C 03 00 00 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84552_0 {
	meta:
		name = "TCustomShellComboBox.CreateRoot"
		size = 316
		refs = "0013 TCustomShellComboBox.CreateRoot 004a TCustomShellComboBox.ClearItems 006a CreateRootFolder 0086 _DV_TShellFolder 008b TShellFolder.Create 0097 TShellFolder.DisplayName 00a1 TCustomShellComboBox.GetShellImageIndex 00bb TComboExItems.AddItem 00e9 TCustomShellComboBox.SetUseShellImages 0114 @HandleFinally 012b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 F6 40 1C 01 0F 85 F0 00 00 00 8B 45 F8 8B 80 0C 03 00 00 8B 10 FF 52 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8D 88 34 03 00 00 8B 45 F8 8B 90 30 03 00 00 8B 45 F8 8B 80 38 03 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 F8 89 98 38 03 00 00 8B 43 08 50 8B 43 10 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 50 6A FF 6A 00 53 8B 55 F8 8B 92 0C 03 00 00 8B C8 8B 45 FC 92 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 48 01 00 00 33 D2 8B 45 F8 8B 08 FF 91 FC 00 00 00 8B 45 F8 80 B8 45 03 00 00 00 74 14 33 D2 8B 45 F8 E8 ?? ?? ?? ?? B2 01 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 80 0C 03 00 00 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84553_0 {
	meta:
		name = "TCustomShellComboBox.CreateWnd"
		size = 84
		refs = "0006 TCustomComboBoxEx.CreateWnd 0024 TWinControl.GetHandle 002a SendMessage 0038 TCustomShellComboBox.SetUseShellImages 004e TCustomShellComboBox.CreateRoot"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB 20 03 00 00 00 74 1B 8B 83 20 03 00 00 50 6A 00 68 02 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0F B6 93 45 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 0C 03 00 00 8B 40 08 83 78 08 00 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84555_0 {
	meta:
		name = "TCustomShellComboBox.SetObjectTypes"
		size = 21
		refs = "000f TCustomShellComboBox.RootChanged"
	strings:
		$1 = { 51 88 14 24 0F B6 14 24 88 90 44 03 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_84556_0 {
	meta:
		name = "TCustomShellComboBox.TreeUpdate"
		size = 140
		refs = "0035 TCustomShellComboBox.GetFolder 003f SamePIDL 0055 TCustomShellComboBox.TreeUpdate 0065 TCustomShellComboBox.SetPathFromID 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 80 B8 46 03 00 00 00 75 72 8B 45 FC 8B 10 FF 92 F8 00 00 00 40 7E 23 8B 45 FC 8B 10 FF 92 F8 00 00 00 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 8B D3 E8 ?? ?? ?? ?? 84 C0 75 41 8B 45 FC C6 80 46 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 46 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5B 59 5D C3 }
	condition:
		$1
}

rule function_84557_0 {
	meta:
		name = "TCustomShellComboBox.SetTreeView"
		size = 79
		refs = "001d TCustomShellTreeView.SetRoot 0042 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 3C 03 00 00 3B F0 74 3C 85 F6 74 15 8B 93 34 03 00 00 8B C6 E8 ?? ?? ?? ?? 89 9E C8 03 00 00 EB 0C 85 C0 74 08 33 D2 89 90 C8 03 00 00 8B 83 3C 03 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 89 B3 3C 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_84558_0 {
	meta:
		name = "TCustomShellComboBox.SetListView"
		size = 79
		refs = "001d TCustomShellListView.SetRoot 0042 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 40 03 00 00 3B F0 74 3C 85 F6 74 15 8B 93 34 03 00 00 8B C6 E8 ?? ?? ?? ?? 89 9E 48 04 00 00 EB 0C 85 C0 74 08 33 D2 89 90 48 04 00 00 8B 83 40 03 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 89 B3 40 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_84559_0 {
	meta:
		name = "TCustomShellComboBox.Notification"
		size = 81
		refs = "0010 TCustomComboBoxEx.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 34 3B BE 3C 03 00 00 75 0A 33 C0 89 86 3C 03 00 00 EB 22 3B BE 40 03 00 00 75 0A 33 C0 89 86 40 03 00 00 EB 10 3B BE 2C 03 00 00 75 08 33 C0 89 86 2C 03 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84560_0 {
	meta:
		name = "TCustomShellComboBox.GetFolder"
		size = 42
		refs = "001f TListControlItems.GetListItem"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B BB 0C 03 00 00 8B 47 08 8B 40 08 48 3B F0 7E 02 8B F0 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 40 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84561_0 {
	meta:
		name = "TCustomShellComboBox.InitItem"
		size = 98
		refs = "000f TCustomShellComboBox.InitItem 0025 GetIShellFolder 0033 _DV_TShellFolder 0038 TShellFolder.Create 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 33 C9 8B D6 8B 43 10 E8 ?? ?? ?? ?? 56 8B 45 FC 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84562_0 {
	meta:
		name = "ListSortFunc"
		size = 179
		refs = "0012 ListSortFunc 0029 TShellFolder.IsFolder 0033 R 0054 TShellFolder.ParentShellFolder 0094 IShellFolder 009e @FinalizeArray 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 85 DB 74 60 85 FF 74 5C 8B C7 E8 ?? ?? ?? ?? 83 E0 7F 0F B6 B0 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 0F B6 80 ?? ?? ?? ?? 2B F0 85 F6 75 34 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 24 8B 47 04 50 8B F3 8B 46 04 50 6A 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 1C 0F BF C0 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84563_0 {
	meta:
		name = "ComboSortFunc"
		size = 41
		refs = "000a CompareFolder"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 83 3D ?? ?? ?? ?? 00 74 15 56 53 6A 00 A1 ?? ?? ?? ?? 8B 40 10 50 8B 00 FF 50 1C 0F BF C0 5E 5B C3 }
	condition:
		$1
}

rule function_84564_0 {
	meta:
		name = "TCustomShellComboBox.AddItems"
		size = 539
		refs = "001a TCustomShellComboBox.AddItems 0028 @IntfClear 0038 ObjectFlags 004c OleCheck 0054 CompareFolder 007c _Dn_TList 0081 TObject.Create 0091 TList.Add 00ad ComboSortFunc 00b5 TList.Sort 00da TList.Get 00e7 TCustomShellComboBox.InitItem 00f3 TShellFolder.DisplayName 0105 TComboExItems.Insert 012a TCustomShellComboBox.GetShellImageIndex 0174 TListControlItems.GetListItem 01d6 TObject.Free 01ea @HandleFinally 0201 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 DB 89 5D FC 89 5D F8 89 4D F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 F4 0F B6 80 44 03 00 00 E8 ?? ?? ?? ?? 50 6A 00 8B 45 F0 8B 40 10 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 45 F0 A3 ?? ?? ?? ?? 33 C0 89 45 E0 8B 45 F4 8B 80 0C 03 00 00 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 EB 0B 8B 55 EC 8B 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 50 8D 45 EC 50 6A 01 8B 45 FC 50 8B 00 FF 50 0C 85 C0 74 DE BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 08 48 85 C0 0F 8C F6 00 00 00 40 89 45 DC C7 45 E4 00 00 00 00 8B 55 E4 8B 45 E0 E8 ?? ?? ?? ?? 8B C8 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 E4 42 8B 45 F4 8B 80 0C 03 00 00 E8 ?? ?? ?? ?? 8B D8 8B 55 F8 8B C3 8B 08 FF 51 20 8B D6 8B C3 8B 08 FF 51 24 8B 46 20 89 43 24 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 28 8B 53 18 8B C3 8B 08 FF 51 30 8B 45 F4 66 83 B8 4A 03 00 00 00 74 64 8B 45 F4 83 B8 2C 03 00 00 00 75 0C 8B 45 F4 80 B8 45 03 00 00 00 74 4C 8B 55 E4 42 8B 45 F4 8B 80 0C 03 00 00 E8 ?? ?? ?? ?? 8B 40 18 89 45 E8 8D 45 E8 50 8B 4D E4 41 8B 5D F4 8B 55 F4 8B 83 4C 03 00 00 FF 93 48 03 00 00 8B 55 E4 42 8B 45 F4 8B 80 0C 03 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 08 FF 51 28 FF 45 E4 FF 4D DC 0F 85 15 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 0C 03 00 00 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84565_0 {
	meta:
		name = "TCustomShellComboBox.Init"
		size = 204
		refs = "001c TCustomShellComboBox.Init 0035 TCustomShellComboBox.AddItems 0048 @UStrEqual 0057 SHGetSpecialFolderLocation 0062 TCustomShellComboBox.IndexFromID 0073 TCustomShellComboBox.GetFolder 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC 8B 80 0C 03 00 00 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 88 38 03 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 34 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 35 8D 45 F8 50 6A 11 6A 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 16 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 0C 03 00 00 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB EA 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 72 00 66 00 44 00 65 00 73 00 6B 00 74 00 6F 00 70 00 00 00 }
	condition:
		$1
}

rule function_84566_0 {
	meta:
		name = "TCustomShellComboBox.IndexFromID"
		size = 122
		refs = "0010 TCustomShellComboBox.IndexFromID 0030 TCustomShellComboBox.GetFolder 003f DesktopShellFolder 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 0C 03 00 00 8B 40 08 8B 58 08 4B 85 DB 7C 2A 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 40 08 50 57 6A 00 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 1C 85 C0 74 05 4B 85 DB 7D D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84567_0 {
	meta:
		name = "TCustomShellComboBox.SetRoot"
		size = 176
		refs = "0011 TCustomShellComboBox.SetRoot 0025 @UStrLAsg 0056 CompareText 0070 @UStrAsg 0084 TCustomShellComboBox.RootChanged 009e @UStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 93 34 03 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 25 8D 83 30 03 00 00 8B 93 34 03 00 00 E8 ?? ?? ?? ?? 8D 83 34 03 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84568_0 {
	meta:
		name = "TCustomShellComboBox.RootChanged"
		size = 135
		refs = "0015 TCustomShellComboBox.RootChanged 0023 TCustomShellComboBox.ClearItems 002b TCustomShellComboBox.CreateRoot 0046 TCustomShellTreeView.SetRoot 0061 TCustomShellListView.SetRoot 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 80 46 03 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 3C 03 00 00 85 C0 74 0E 8B 55 FC 8B 92 34 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 40 03 00 00 85 C0 74 0E 8B 55 FC 8B 92 34 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 46 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_84569_0 {
	meta:
		name = "TCustomShellComboBox.GetPath"
		size = 72
		refs = "0009 @UStrClr 0029 TCustomShellComboBox.GetFolder 0038 TShellFolder.PathName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F8 00 00 00 40 7E 2B 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84571_0 {
	meta:
		name = "InsertItemObject"
		size = 150
		refs = "0011 @UStrAddRef 0019 InsertItemObject 0032 TComboExItems.Insert 0067 TCustomShellComboBox.GetShellImageIndex 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 0C 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B D8 8B 55 FC 8B C3 8B 08 FF 51 20 8B 46 20 89 43 24 8B D6 8B C3 8B 08 FF 51 24 85 F6 75 09 8B D6 8B C3 8B 08 FF 51 24 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84572_0 {
	meta:
		name = "TCustomShellComboBox.SetPathFromID"
		size = 443
		refs = "001b TCustomShellComboBox.SetPathFromID 0048 TCustomShellComboBox.CreateRoot 0050 CreatePIDLList 0076 TList.Get 0080 TCustomShellComboBox.IndexFromID 0095 @TryFinallyExit 00af RelativeFromAbsolute 00bc TCustomShellComboBox.GetFolder 00c9 TCustomShellComboBox.InitItem 00d6 TShellFolder.DisplayName 00e3 InsertItemObject 0163 DestroyPIDLList 0169 @HandleFinally 01a8 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CE FF 8B 45 FC 8B 80 0C 03 00 00 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 58 08 4B 85 DB 7C 20 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B F0 83 FE FF 75 05 4B 85 DB 7D E0 85 DB 7D 55 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EF 00 00 00 43 8B D3 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 4D F0 8B 45 FC E8 ?? ?? ?? ?? 8B F8 55 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 8B 55 EC 8D 46 01 8B CF E8 ?? ?? ?? ?? 59 46 8B 45 F4 8B 40 08 48 3B D8 7C AF 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 7D 40 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 4D F0 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8D 5E 01 55 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8B 55 E8 8D 46 01 8B CF E8 ?? ?? ?? ?? 59 8B D3 8B 45 FC 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 0C 03 00 00 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84573_0 {
	meta:
		name = "TCustomShellComboBox.GetShellImageIndex"
		size = 26
		refs = "0011 GetShellImage"
	strings:
		$1 = { 80 B8 45 03 00 00 00 74 0D 8B 42 08 33 C9 33 D2 E8 ?? ?? ?? ?? C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_84574_0 {
	meta:
		name = "TCustomShellComboBox.SetUseShellImages"
		size = 174
		refs = "0029 TCustomImageList.GetHandle 003a TWinControl.GetHandle 0040 SendMessage 006c ImageList_GetIconSize"
	strings:
		$1 = { 53 56 8B D8 8B C2 88 83 45 03 00 00 8B 93 F8 02 00 00 85 D2 75 10 84 C0 74 08 8B B3 20 03 00 00 EB 0D 33 F6 EB 09 8B C2 E8 ?? ?? ?? ?? 8B F0 56 6A 00 68 02 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BB 45 03 00 00 00 74 26 83 BB 2C 03 00 00 00 75 1D 8D 83 24 03 00 00 50 8D 83 28 03 00 00 50 8B 83 20 03 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 2C 03 00 00 85 C0 75 16 C7 83 28 03 00 00 10 00 00 00 C7 83 24 03 00 00 10 00 00 00 EB 18 8B 40 3C 89 83 28 03 00 00 8B 83 2C 03 00 00 8B 40 38 89 83 24 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_84575_0 {
	meta:
		name = "TCustomShellComboBox.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 0012 TCustomComboBoxEx.Destroy 0021 TObject.Free 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 2C 03 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84577_0 {
	meta:
		name = "TCustomShellComboBox.Change"
		size = 209
		refs = "001f TCustomCombo.Change 0049 TCustomCombo.GetDroppedDown 005f TCustomShellComboBox.Change 007a TCustomShellComboBox.GetFolder 0095 TCustomShellTreeView.SetPathFromID 00aa TCustomShellListView.TreeUpdate 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 80 0C 03 00 00 83 78 0C 00 0F 8F B2 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 F8 00 00 00 40 0F 8E 98 00 00 00 8B 45 FC 80 B8 46 03 00 00 00 0F 85 88 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 7C 8B 45 FC C6 80 46 03 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 92 F8 00 00 00 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 74 2A 8B 45 FC 8B 80 3C 03 00 00 85 C0 74 08 8B 53 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 40 03 00 00 85 C0 74 08 8B 53 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 46 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5B 59 5D C3 }
	condition:
		$1
}

rule function_84578_0 {
	meta:
		name = "TCustomShellComboBox.Click"
		size = 162
		refs = "0017 TCustomShellComboBox.Click 0032 TCustomShellComboBox.GetFolder 003a CopyPIDL 0056 TCustomShellComboBox.SetPathFromID 005e TControl.Click 0073 DisposePIDL 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC C6 80 46 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 F8 00 00 00 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 46 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 59 5D C3 }
	condition:
		$1
}

rule function_84579_0 {
	meta:
		name = "TCustomShellListView.Create"
		size = 304
		refs = "0013 @ClassCreate 0020 TCustomListView.Create 0031 TCustomListView.SetOwnerData 003f TCustomShellListView.Create 0061 _Dn_TList 0066 TObject.Create 009f SHGetFileInfo 00d8 @UStrAsg 00e1 TCustomListView.SetHideSelection 00ec @AfterConstruction"
	strings:
		$1 = { 55 8B EC 81 C4 4C FD FF FF 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 20 04 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? C6 86 27 04 00 00 01 0F B6 05 ?? ?? ?? ?? 88 86 29 04 00 00 C6 86 24 04 00 00 01 C6 86 26 04 00 00 01 C6 86 25 04 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 40 04 00 00 33 C0 89 86 44 04 00 00 C6 86 28 04 00 00 00 C6 86 58 04 00 00 00 68 01 40 00 00 68 B4 02 00 00 8D 85 4C FD FF FF 50 6A 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 30 04 00 00 68 00 40 00 00 68 B4 02 00 00 8D 85 4C FD FF FF 50 6A 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 2C 04 00 00 8D 86 1C 04 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 00 00 03 00 00 00 43 00 3A 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 72 00 66 00 44 00 65 00 73 00 6B 00 74 00 6F 00 70 00 00 00 }
	condition:
		$1
}

rule function_84580_0 {
	meta:
		name = "TCustomShellListView.Destroy"
		size = 73
		refs = "0003 @BeforeDestruction 000e TCustomShellListView.ClearItems 0019 TObject.Free 0037 TCustomListView.Destroy 0042 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 40 04 00 00 E8 ?? ?? ?? ?? 8D 86 20 04 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84581_0 {
	meta:
		name = "TCustomShellListView.ClearItems"
		size = 92
		refs = "0008 TWinControl.HandleAllocated 0019 TListItems.SetCount 0033 TCustomShellListView.GetFolder 0045 TObject.Free"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 33 D2 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B 83 40 04 00 00 8B 78 08 4F 85 FF 7C 22 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0E 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 E1 8B 83 40 04 00 00 8B 10 FF 52 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84582_0 {
	meta:
		name = "TCustomShellListView.CommandCompleted"
		size = 420
		refs = "001e @UStrAddRef 0026 TCustomShellListView.CommandCompleted 003f @UStrLAsg 0073 CompareText 00cf TCustomShellListView.Refresh 0124 @UStrToPWChar 012a SetCurrentDirectory 0144 @UStrArrayClr 014a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 0F 84 F6 00 00 00 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 09 8B C6 E8 ?? ?? ?? ?? EB 59 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 04 B0 01 EB 20 83 7D E8 00 74 06 83 7D E4 00 75 04 33 C0 EB 10 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 11 8B 86 5C 04 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 65 00 6C 00 65 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 70 00 61 00 73 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6F 00 70 00 65 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_84583_0 {
	meta:
		name = "TCustomShellListView.ExecuteCommand"
		size = 472
		refs = "0036 @UStrAddRef 003e TCustomShellListView.ExecuteCommand 004f @UStrLAsg 0083 CompareText 0093 TCustomShellListView.EditText 00f8 GetCurrentDirectory 0109 StrPas 011a @UStrAsg 0121 TCustomListView.GetSelected 0126 TListItem.GetIndex 012f TCustomShellListView.GetFolder 013a TShellFolder.PathName 014b ExtractFilePath 015c StrPCopy 0168 SetCurrentDirectory 0185 @UStrArrayClr 0198 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 D4 FD FF FF 53 56 33 DB 89 9D D8 FD FF FF 89 9D D4 FD FF FF 89 9D DC FD FF FF 89 5D F8 89 5D F4 89 5D F0 89 5D EC 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0F 8B C3 E8 ?? ?? ?? ?? C6 06 01 E9 CD 00 00 00 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 81 00 00 00 8D 85 E2 FD FF FF 50 68 04 01 00 00 E8 ?? ?? ?? ?? 8D 95 DC FD FF FF 8D 85 E2 FD FF FF E8 ?? ?? ?? ?? 8B 95 DC FD FF FF 8D 83 5C 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 95 D4 FD FF FF E8 ?? ?? ?? ?? 8B 85 D4 FD FF FF 8D 95 D8 FD FF FF E8 ?? ?? ?? ?? 8B 95 D8 FD FF FF 8D 85 E2 FD FF FF E8 ?? ?? ?? ?? 8D 85 E2 FD FF FF 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 D4 FD FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 65 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6F 00 70 00 65 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_84584_0 {
	meta:
		name = "TCustomShellListView.CreateWnd"
		size = 109
		refs = "0006 TCustomListView.CreateWnd 000d TWinControl.HandleAllocated 002f TWinControl.GetHandle 0035 SendMessage 0060 TCustomShellListView.CreateRoot 0067 TCustomShellListView.RootChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 48 83 BB 30 04 00 00 00 74 1B 8B 83 30 04 00 00 50 6A 01 68 03 10 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 BB 2C 04 00 00 00 74 1B 8B 83 2C 04 00 00 50 6A 00 68 03 10 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84586_0 {
	meta:
		name = "TCustomShellListView.SetObjectTypes"
		size = 27
		refs = "0015 TCustomShellListView.RootChanged"
	strings:
		$1 = { 51 88 14 24 0F B6 14 24 88 90 29 04 00 00 F6 40 1C 01 75 05 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_84587_0 {
	meta:
		name = "TCustomShellListView.RootChanged"
		size = 148
		refs = "0022 TCustomShellListView.RootChanged 003c TCustomShellListView.SetAutoRefresh 0044 TCustomShellListView.SynchPaths 0063 TCustomShellListView.EnumColumns 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 80 B8 28 04 00 00 00 75 7C 8B 45 FC C6 80 28 04 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 0F B6 98 25 04 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 5C 01 00 00 8B 45 FC 80 B8 85 02 00 00 03 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 28 04 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5B 59 5D C3 }
	condition:
		$1
}

rule function_84588_0 {
	meta:
		name = "TCustomShellListView.Populate"
		size = 598
		refs = "0018 TCustomShellListView.Populate 002f TWinControl.HandleAllocated 0045 TListItems.BeginUpdate 005b TCustomShellListView.ClearItems 0062 Screen 008a TScreen.SetCursor 0092 @IntfClear 00a2 ObjectFlags 00a8 Application 00d0 @TryFinallyExit 00f4 GetIShellFolder 010c _DV_TShellFolder 0111 TShellFolder.Create 0153 TList.Add 015c TObject.Free 0187 TListItems.SetCount 01a1 CompareFolder 01b4 ListSortFunc 01c2 TList.Sort 01dc @HandleFinally 021e TListItems.EndUpdate"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 F6 40 1C 01 74 10 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 EF 01 00 00 8B 45 F4 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 E8 ?? ?? ?? ?? 33 F6 A1 ?? ?? ?? ?? 8B 00 0F B7 40 4C 66 89 45 EA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 F4 0F B6 80 29 04 00 00 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 50 8B 45 F4 8B 80 20 04 00 00 8B 40 10 50 8B 00 FF 50 10 85 C0 0F 84 91 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4C 01 00 00 8D 45 F8 50 8B 45 F4 8B 80 20 04 00 00 8B 40 10 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F8 50 8B 45 F4 8B 88 20 04 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 C6 45 E9 01 8B 45 F4 66 83 B8 3A 04 00 00 00 74 18 8D 45 E9 50 8B 7D F4 8B CB 8B 55 F4 8B 87 3C 04 00 00 FF 97 38 04 00 00 80 7D E9 00 74 13 46 8B 45 F4 8B 80 40 04 00 00 8B D3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 45 F0 50 6A 01 8B 45 FC 50 8B 00 FF 50 0C 85 C0 0F 84 63 FF FF FF 8B 45 F4 8B 80 A4 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F4 80 B8 27 04 00 00 00 74 4B 8B 45 F4 8B 80 20 04 00 00 A3 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F4 8B 80 40 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 0F B7 55 EA E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84589_0 {
	meta:
		name = "TCustomShellListView.Notification"
		size = 63
		refs = "0010 TCustomListView.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 22 3B BE 44 04 00 00 75 0A 33 C0 89 86 44 04 00 00 EB 10 3B BE 48 04 00 00 75 08 33 C0 89 86 48 04 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84590_0 {
	meta:
		name = "TCustomShellListView.DblClick"
		size = 208
		refs = "0011 TCustomShellListView.DblClick 0027 TCustomListView.GetSelected 0037 TListItem.GetIndex 0040 TCustomShellListView.GetFolder 0049 TShellFolder.IsFolder 0057 TCustomShellListView.SetPathFromID 0065 TShellFolder.PathName 0070 ExtractFilePath 0078 @UStrToPWChar 0097 TWinControl.GetHandle 009d ShellExecute 00a4 TControl.DblClick 00be @UStrArrayClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 26 04 00 00 00 74 7D 8B C3 E8 ?? ?? ?? ?? 85 C0 74 72 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 56 08 8B C3 E8 ?? ?? ?? ?? EB 44 6A 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84591_0 {
	meta:
		name = "TCustomShellListView.EditText"
		size = 55
		refs = "0007 TCustomListView.GetSelected 0012 TWinControl.GetHandle 0020 TListItem.GetIndex 0030 SendMessage"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 25 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 6A 00 53 68 76 10 00 00 56 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84592_0 {
	meta:
		name = "TCustomShellListView.Edit"
		size = 167
		refs = "0012 TCustomShellListView.Edit 0037 @UStrFromPWChar 0045 TList.Get 0051 @WStrFromUStr 005a TShellFolder.Rename 0061 TWinControl.GetHandle 0077 SendMessage 008c @WStrClr 0094 @UStrClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 96 40 04 00 00 3B 42 08 7D 51 8B 7B 14 85 FF 74 4A 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B 53 04 8B 86 40 04 00 00 E8 ?? ?? ?? ?? 50 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 8B 43 04 8B F8 8B D8 53 57 68 15 10 00 00 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84593_0 {
	meta:
		name = "TCustomShellListView.SetAutoRefresh"
		size = 244
		refs = "0016 TCustomShellListView.SetAutoRefresh 0050 TObject.Free 0059 _DV_TShellChangeNotifier 005e TCustomShellChangeNotifier.Create 007c TCustomShellChangeNotifier.SetWatchSubTree 008a TShellFolder.PathName 0098 TCustomShellChangeNotifier.SetRoot 009e TCustomShellListView.Refresh 00a9 TCustomShellChangeNotifier.SetOnChange 00dc @UStrClr 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 FF 88 83 25 04 00 00 F6 43 1C 01 0F 85 97 00 00 00 84 C0 74 77 83 BB 4C 04 00 00 00 74 13 8D 83 4C 04 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 4C 04 00 00 0F B6 46 28 0A 05 ?? ?? ?? ?? 88 46 28 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B 83 20 04 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 4C 04 00 00 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 4C 04 00 00 E8 ?? ?? ?? ?? EB 1C 83 BB 4C 04 00 00 00 74 13 8D 83 4C 04 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 04 00 00 00 }
	condition:
		$1
}

rule function_84594_0 {
	meta:
		name = "TCustomShellListView.SetRoot"
		size = 190
		refs = "0011 TCustomShellListView.SetRoot 0021 @UStrLAsg 0056 CompareText 0070 @UStrAsg 0084 TCustomShellListView.CreateRoot 0092 TCustomShellListView.RootChanged 00ac @UStrArrayClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 45 F8 8B 93 1C 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 33 8D 83 18 04 00 00 8B 93 1C 04 00 00 E8 ?? ?? ?? ?? 8D 83 1C 04 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 58 04 00 00 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84595_0 {
	meta:
		name = "TCustomShellListView.SelectedFolder"
		size = 45
		refs = "0009 TCustomListView.GetSelected 0019 TListItem.GetIndex 0022 TCustomShellListView.GetFolder"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 17 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84596_0 {
	meta:
		name = "TCustomShellListView.OwnerDataFetch"
		size = 318
		refs = "001b TCustomShellListView.OwnerDataFetch 002c TListItem.GetIndex 0035 TCustomShellListView.GetFolder 007b TShellFolder.DisplayName 0085 TListItem.SetCaption 009d TShellFolder.ImageIndex 00a8 TListItem.SetImage 00c5 TWinControl.GetHandle 00d5 TShellFolder.LoadColumnDetails 00fd TShellFolder.GetDetails 0128 @UStrArrayClr 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D EC 89 5D F0 88 4D FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FE 01 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 84 CC 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 40 04 00 00 8B 52 08 4A 3B C2 0F 8F B3 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 8C A4 00 00 00 F6 45 FF 01 74 15 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? F6 45 FF 02 74 1D 80 BB 85 02 00 00 00 0F 94 C2 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 80 BB 85 02 00 00 03 75 5D 8B 83 B4 02 00 00 8B 40 08 8B 40 08 50 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 93 20 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 8B 40 08 8B 40 08 48 85 C0 7E 28 89 C3 C7 45 F4 01 00 00 00 8D 4D EC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8B 46 08 8B 08 FF 51 38 FF 45 F4 4B 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84597_0 {
	meta:
		name = "TCustomShellListView.GetFolder"
		size = 22
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 40 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84598_0 {
	meta:
		name = "TCustomShellListView.OwnerDataFind"
		size = 207
		refs = "0023 TCustomShellListView.OwnerDataFind 005d TCustomShellListView.GetFolder 0065 TShellFolder.DisplayName 0070 UpperCase 0088 Pos 00b7 @UStrArrayClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D F0 89 5D E8 89 5D EC 89 4D F8 88 55 FF 8B F0 8B 7D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 FF FF FF FF 8B DF 80 7D FF 02 74 06 80 7D FF 01 75 5F 8B 86 40 04 00 00 8B 40 08 48 3B D8 75 08 80 7D 08 00 74 4B 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 5A E8 ?? ?? ?? ?? 48 0F 94 C0 43 84 C0 75 04 3B FB 75 A9 84 C0 74 04 4B 89 5D F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_84599_0 {
	meta:
		name = "TCustomShellListView.SetSorted"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 27 04 00 00 74 10 88 96 27 04 00 00 8B C6 8B 10 FF 92 5C 01 00 00 5E C3 }
	condition:
		$1
}

rule function_84600_0 {
	meta:
		name = "TCustomShellListView.Loaded"
		size = 49
		refs = "0006 TCustomListView.Loaded 002b TCustomShellListView.SetAutoRefresh"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 5C 01 00 00 F6 43 1C 01 74 07 8B C3 E8 ?? ?? ?? ?? 0F B6 93 25 04 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84601_0 {
	meta:
		name = "TCustomShellListView.DoContextPopup"
		size = 84
		refs = "001d TCustomShellListView.SelectedFolder 003a InvokeContextMenu 004a TControl.DoContextPopup"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 8B F1 8B D8 80 BB 24 04 00 00 00 74 29 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1E 8B 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 4C 24 04 8B C3 E8 ?? ?? ?? ?? C6 06 01 EB 0B 8B CE 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84602_0 {
	meta:
		name = "TCustomShellListView.Back"
		size = 89
		refs = "0011 CopyPIDL 001c TCustomShellListView.Back 002a StripLastID 0034 TCustomShellListView.SetPathFromID 0049 DisposePIDL 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B 83 20 04 00 00 8B 40 08 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_84603_0 {
	meta:
		name = "ColumnIsUnique"
		size = 190
		refs = "0017 ColumnIsUnique 0054 @UStrLAsg 007b CompareText 00aa @UStrArrayClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 08 8B 40 FC 8B 10 FF 52 14 48 85 C0 7C 5E 40 89 45 F0 33 DB 8D 4D FC 8B 45 08 8B 40 08 8B 40 FC 8B D3 8B 30 FF 56 0C 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 33 DB EB 08 43 FF 4D F0 75 A8 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84604_0 {
	meta:
		name = "AddColumn"
		size = 284
		refs = "0024 AddColumn 003f StrRetToString 0052 ColumnIsUnique 006e TListColumns.Add 007a TListColumn.SetCaption 0093 TListColumn.SetAlignment 00bf TCustomCanvas.TextWidth 00cf TListColumn.SetWidth 00f6 @UStrClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 EC FE FF FF 53 56 57 33 D2 89 55 FC 8B F0 8D BD EC FE FF FF B9 44 00 00 00 F3 A5 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 50 33 C9 8D 95 F4 FE FF FF 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 96 00 00 00 55 8B 45 FC E8 ?? ?? ?? ?? 59 8B D8 84 DB 0F 84 84 00 00 00 8B 45 08 8B 40 F8 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 85 EC FE FF FF 83 E8 01 72 10 74 19 48 75 1F B2 02 8B C6 E8 ?? ?? ?? ?? EB 14 33 D2 8B C6 E8 ?? ?? ?? ?? EB 09 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 80 80 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 0F AF 95 F0 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 FC 8B 08 FF 51 38 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 58 00 00 00 }
	condition:
		$1
}

rule function_84605_0 {
	meta:
		name = "AddDefaultColumn"
		size = 108
		refs = "001b TListColumns.Add 0026 TListColumn.SetCaption 002f TListColumn.SetAlignment 0040 AddDefaultColumn 0045 TCustomCanvas.TextWidth 0052 TListColumn.SetWidth"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F0 8B 45 08 8B 40 F8 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 80 80 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 0F AF 55 FC 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 58 00 00 00 }
	condition:
		$1
}

rule function_84606_0 {
	meta:
		name = "AddDefaultColumns"
		size = 216
		refs = "0010 AddDefaultColumns 0026 SShellDefaultNameStr 002b LoadResString 003a AddDefaultColumn 004c SShellDefaultSizeStr 0072 SShellDefaultTypeStr 0098 SShellDefaultModifiedStr 00c7 @UStrArrayClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7E 21 8B 45 08 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC B9 19 00 00 00 33 D2 E8 ?? ?? ?? ?? 59 83 FB 01 7E 21 8B 45 08 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 B9 0A 00 00 00 B2 01 E8 ?? ?? ?? ?? 59 83 FB 02 7E 21 8B 45 08 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 B9 0A 00 00 00 33 D2 E8 ?? ?? ?? ?? 59 83 FB 03 7E 21 8B 45 08 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 B9 0E 00 00 00 33 D2 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84607_0 {
	meta:
		name = "TCustomShellListView.EnumColumns"
		size = 527
		refs = "001b TCustomShellListView.EnumColumns 0043 _Dn_TStringList 0048 TStringList.Create 0083 TCollection.Clear 009b @FillChar 00a3 TWinControl.GetHandle 00c0 TShellFolder.GetShellFolder2 00ff @TryFinallyExit 0115 AddColumn 0140 TShellFolder.GetShellDetails 0181 TShellFolder.Properties 0190 AddDefaultColumns 01c0 @HandleFinally 01d7 TObject.Free 01f4 @IntfClear"
	strings:
		$1 = { 55 8B EC 81 C4 DC FE FF FF 53 56 57 33 D2 89 55 F4 89 55 F0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 20 04 00 00 85 C0 0F 84 AD 01 00 00 83 78 10 00 0F 84 A3 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 B4 02 00 00 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 33 F6 33 FF 33 DB 8D 85 DC FE FF FF 33 C9 BA 10 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 92 20 04 00 00 89 42 24 8D 55 F4 8B 45 F8 8B 80 20 04 00 00 E8 ?? ?? ?? ?? 83 7D F4 00 74 69 EB 4F 8D 45 EC 50 56 8B 45 F4 50 8B 00 FF 50 40 84 DB 75 0E 8B 45 EC 83 E0 10 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 84 DB 74 19 8B 45 EC 83 E0 10 84 C0 75 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D6 00 00 00 55 8D 85 DC FE FF FF E8 ?? ?? ?? ?? 59 46 8D 85 DC FE FF FF 50 56 57 8B 45 F4 50 8B 00 FF 50 48 85 C0 74 9B EB 70 8D 55 F0 8B 45 F8 8B 80 20 04 00 00 E8 ?? ?? ?? ?? 83 7D F0 00 74 2D EB 12 55 8D 85 DC FE FF FF E8 ?? ?? ?? ?? 59 84 C0 74 46 46 8D 85 DC FE FF FF 50 56 6A 00 8B 45 F0 50 8B 00 FF 50 0C 85 C0 74 D7 EB 2C 8B 45 F8 8B 80 20 04 00 00 E8 ?? ?? ?? ?? A8 10 74 0E 55 B8 04 00 00 00 E8 ?? ?? ?? ?? 59 EB 0C 55 B8 01 00 00 00 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 80 B4 02 00 00 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84608_0 {
	meta:
		name = "TCustomShellListView.KeyDown"
		size = 182
		refs = "0014 TWinControl.KeyDown 0045 TCustomShellListView.SelectedFolder 004b cmvProperties 0050 DoContextMenuVerb 006e TShellFolder.IsFolder 0083 TCustomShellListView.SetPathFromID 0091 TShellFolder.ExecuteDefault 009a TCustomListView.IsEditing 00a5 TCustomShellListView.Back 00ae TCustomShellListView.Refresh"
	strings:
		$1 = { 53 56 51 66 89 0C 24 8B F2 8B D8 8B D6 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? 80 BB 26 04 00 00 00 0F 84 8D 00 00 00 0F B7 06 66 83 E8 08 74 69 66 83 E8 05 74 08 66 83 E8 67 74 71 EB 76 F6 04 24 02 74 19 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 06 00 00 EB 57 8B C3 E8 ?? ?? ?? ?? 85 C0 74 4C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B C3 E8 ?? ?? ?? ?? 8B 50 08 8B C3 E8 ?? ?? ?? ?? EB 29 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_84609_0 {
	meta:
		name = "TCustomShellListView.SetViewStyle"
		size = 36
		refs = "000b TCustomListView.SetViewStyle 001d TCustomShellListView.EnumColumns"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 80 FB 03 75 0D F6 46 1C 01 75 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84610_0 {
	meta:
		name = "TCustomShellListView.SetTreeView"
		size = 79
		refs = "001d TCustomShellTreeView.SetRoot 0042 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 44 04 00 00 3B F0 74 3C 85 F6 74 15 8B 93 1C 04 00 00 8B C6 E8 ?? ?? ?? ?? 89 9E CC 03 00 00 EB 0C 85 C0 74 08 33 D2 89 90 CC 03 00 00 8B 83 44 04 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 89 B3 44 04 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_84611_0 {
	meta:
		name = "TCustomShellListView.SetComboBox"
		size = 79
		refs = "001d TCustomShellComboBox.SetRoot 0042 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 48 04 00 00 3B F0 74 3C 85 F6 74 15 8B 93 1C 04 00 00 8B C6 E8 ?? ?? ?? ?? 89 9E 40 03 00 00 EB 0C 85 C0 74 08 33 D2 89 90 40 03 00 00 8B 83 48 04 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 89 B3 48 04 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_84612_0 {
	meta:
		name = "TCustomShellListView.TreeUpdate"
		size = 53
		refs = "0020 SamePIDL 002d TCustomShellListView.SetPathFromID"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 80 BB 28 04 00 00 00 75 21 8B BB 20 04 00 00 85 FF 74 0E 8B 47 08 8B D6 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84613_0 {
	meta:
		name = "TCustomShellListView.WndProc"
		size = 78
		refs = "0022 ICM2 0047 TCustomListView.WndProc"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 03 3D 17 01 00 00 74 11 83 F8 2B 74 0C 3D 20 01 00 00 74 05 83 F8 2C 75 22 83 3D ?? ?? ?? ?? 00 74 19 8B 53 08 52 8B 53 04 52 50 A1 ?? ?? ?? ?? 50 8B 00 FF 50 18 33 C0 89 43 0C 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84614_0 {
	meta:
		name = "TCustomShellListView.Refresh"
		size = 206
		refs = "0014 TCustomListView.GetSelected 0025 TListItem.GetIndex 0032 TCustomListView.SetSelected 0043 CopyPIDL 004e TCustomShellListView.Refresh 0069 TObject.Free 0074 TCustomShellListView.SetPathFromID 0089 DisposePIDL 008f @HandleFinally 00a5 TListItems.GetCount 00bc TListItems.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC C7 45 F8 FF FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 10 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 20 04 00 00 8B 40 08 E8 ?? ?? ?? ?? 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 05 20 04 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D F8 FF 7E 2F 8B 45 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 48 3B 45 F8 7E 1B 8B 45 FC 8B 80 A4 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_84615_0 {
	meta:
		name = "TCustomShellListView.SetPathFromID"
		size = 82
		refs = "0020 SamePIDL 002f TObject.Free 003d CreateRootFromPIDL 004a TCustomShellListView.RootChanged"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 80 BB 28 04 00 00 00 75 3E 8B BB 20 04 00 00 85 FF 74 19 8B 47 08 8B D6 E8 ?? ?? ?? ?? 84 C0 75 26 8B 83 20 04 00 00 E8 ?? ?? ?? ?? C6 83 58 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 83 20 04 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84616_0 {
	meta:
		name = "TCustomShellListView.CreateRoot"
		size = 34
		refs = "0016 CreateRootFolder"
	strings:
		$1 = { 53 8B D8 8D 8B 1C 04 00 00 8B 93 18 04 00 00 8B 83 20 04 00 00 E8 ?? ?? ?? ?? 89 83 20 04 00 00 5B C3 }
	condition:
		$1
}

rule function_84617_0 {
	meta:
		name = "TCustomShellListView.SynchPaths"
		size = 183
		refs = "000b TCustomShellListView.SynchPaths 0038 TCustomShellTreeView.SetRoot 0053 TCustomShellComboBox.SetRoot 0073 TCustomShellTreeView.SetPathFromID 0091 TCustomShellComboBox.TreeUpdate 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 80 B8 58 04 00 00 00 74 38 8B 45 FC 8B 80 44 04 00 00 85 C0 74 0E 8B 55 FC 8B 92 1C 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 48 04 00 00 85 C0 74 4C 8B 55 FC 8B 92 1C 04 00 00 E8 ?? ?? ?? ?? EB 3C 8B 45 FC 8B 80 44 04 00 00 85 C0 74 11 8B 55 FC 8B 92 20 04 00 00 8B 52 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 48 04 00 00 85 C0 74 11 8B 55 FC 8B 92 20 04 00 00 8B 52 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 58 04 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_84618_0 {
	meta:
		name = "Finalization"
		size = 102
		refs = "0007 Finalization 0013 _DV_21 001b DesktopFolder 0028 TObject.Free 002d CS 0032 DeleteCriticalSection 0037 OleUninitialize 003c ICM 0041 @IntfClear 0046 ICM2 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 36 83 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_84619_0 {
	meta:
		name = "Vcl.Shell.ShellCtrls"
		size = 32
		refs = "0002 _DV_21 000a CreateDesktopFolder 000f CS 0014 InitializeCriticalSection 001b OleInitialize"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84623_0 {
	meta:
		name = "TStandardMenuItem.DrawSeparator"
		size = 39
		refs = "0015 TControl.SetColor 0021 TCustomActionControl.DrawSeparator"
	strings:
		$1 = { 53 8B D8 8B 83 B0 01 00 00 8B 40 48 8B 40 10 8B 50 18 8B C3 E8 ?? ?? ?? ?? BA 0D 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84624_0 {
	meta:
		name = "TStandardMenuItem.DrawBackground"
		size = 420
		refs = "003c TCustomActionControl.GetActionBar 007b TCustomActionBar.GetColorMap 008c TBrush.SetColor 00ec TActionClientItem.Unused 010a TCustomActionBarColorMap.GetUnusedColor 0141 TActionClient.GetHasItems 019d TCustomActionControl.DrawBackground"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB BC 01 00 00 00 0F 84 8E 01 00 00 80 BB DC 01 00 00 00 74 0B 8B C3 8B 10 FF 52 68 84 C0 75 12 80 BB DC 01 00 00 00 74 43 80 BB 00 02 00 00 00 75 3A 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 27 8B 83 BC 01 00 00 8B 10 FF 52 34 84 C0 75 0E 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 05 83 06 15 EB 02 FF 06 FF 4E 08 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 7C 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 80 BB DC 01 00 00 00 74 4C 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 74 21 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 74 2B 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 74 1D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 70 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 2A 80 BB DC 01 00 00 00 75 21 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 80 BB DC 01 00 00 00 74 71 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 74 5E 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 4F 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 23 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 1D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 7C 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84625_0 {
	meta:
		name = "TStandardMenuItem.DrawGlyph"
		size = 141
		refs = "000e TStandardMenuItem.DrawGlyphFrame 0015 TCustomActionControl.HasGlyph 002e TCustomActionControl.GetActionBar 0033 TCustomActionBar.GetColorMap 0044 TPen.SetColor 007b DrawCheck 0084 TCustomActionControl.DrawGlyph"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 62 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 54 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 58 8B 83 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 83 E4 01 00 00 83 E8 05 D1 F8 79 03 83 D0 00 89 04 24 8B 43 54 D1 F8 79 03 83 D0 00 89 44 24 04 6A 01 B9 02 00 00 00 8D 54 24 04 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_84626_0 {
	meta:
		name = "TStandardMenuItem.DrawText"
		size = 170
		refs = "0019 @UStrAddRef 0021 TStandardMenuItem.DrawText 0032 @UStrLAsg 003d _Dn_TCustomActionBar 0042 @IsClass 0078 TCustomMenuItem.DrawText 008d @UStrClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 E8 ?? ?? ?? ?? 8B 73 38 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 80 BE B8 02 00 00 00 75 0E 8D 45 FC 8B 93 18 02 00 00 E8 ?? ?? ?? ?? 8D 45 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D F8 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_84627_0 {
	meta:
		name = "TStandardMenuItem.CMTextchanged"
		size = 49
		refs = "0006 TCustomMenuItem.CMTextchanged 001b GetSystemMetrics 002b TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 74 17 6A 0F E8 ?? ?? ?? ?? 8B D0 D1 FA 79 03 83 D2 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84628_0 {
	meta:
		name = "TStandardMenuItem.DrawDesignFocus"
		size = 304
		refs = "000c Mouse 0013 TMouse.GetIsDragging 0036 TActionClient.GetHasItems 0054 TBrush.SetColor 0064 TRect.GetWidth 0076 TCanvas.GetHandle 007c PatBlt 008a TRect.GetHeight 0124 TCustomActionControl.DrawDesignFocus"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B EA 8B D8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 0F 85 09 01 00 00 8B B3 B0 01 00 00 8B BB BC 01 00 00 85 FF 0F 84 EC 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 DD 00 00 00 8B D4 8B C3 8B 08 FF 51 60 BA 00 00 FF 00 8B 46 48 E8 ?? ?? ?? ?? 68 49 00 5A 00 6A 02 8D 44 24 08 E8 ?? ?? ?? ?? 50 8B 44 24 10 50 8B 44 24 10 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 49 00 5A 00 8D 44 24 04 E8 ?? ?? ?? ?? 50 6A 02 8B 44 24 10 83 C0 02 50 8D 44 24 10 E8 ?? ?? ?? ?? 03 44 24 10 83 E8 04 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 49 00 5A 00 6A 02 8D 44 24 08 E8 ?? ?? ?? ?? 83 E8 07 50 8D 44 24 0C E8 ?? ?? ?? ?? 03 44 24 10 83 E8 02 50 8B 44 24 10 83 C0 03 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 49 00 5A 00 8D 44 24 04 E8 ?? ?? ?? ?? 50 6A 02 8B 44 24 10 83 C0 02 50 8B 44 24 10 40 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 8B D5 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84629_0 {
	meta:
		name = "TStandardMenuItem.DrawGlyphFrame"
		size = 613
		refs = "000d TCustomActionControl.HasGlyph 0043 Rect 0099 EdgesOffset 00c0 TCustomActionBar.GetColorMap 00fc TPen.SetColor 01c8 TCustomActionBarColorMap.GetUnusedColor 01dd AllocPatternBitmap 01ed TBrush.SetBitmap 01fa TActionClientItem.Unused 021e TBrush.SetColor 024b InflateRect"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 12 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 0F 84 37 02 00 00 8B 43 54 50 8D 44 24 0C 50 8B 3E 8B CF 03 8B E4 01 00 00 83 E9 05 8B C7 48 33 D2 E8 ?? ?? ?? ?? 80 BB DC 01 00 00 00 74 0B 8B C3 8B 10 FF 52 68 84 C0 75 24 80 BB DC 01 00 00 00 74 09 80 BB 00 02 00 00 00 74 12 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 0F 84 19 01 00 00 F6 43 1C 10 0F 85 0F 01 00 00 F6 83 F8 01 00 00 02 0F 95 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 01 44 24 0C F6 83 F8 01 00 00 08 0F 95 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 29 44 24 14 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 80 80 00 00 00 89 04 24 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 80 88 00 00 00 89 44 24 04 8B C3 8B 10 FF 92 EC 00 00 00 83 E0 7F 8B 14 84 8B 83 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 54 24 10 4A 8B 4C 24 0C 8B 83 B0 01 00 00 8B 30 FF 56 64 8B 4C 24 0C 8B 54 24 08 8B 83 B0 01 00 00 8B 30 FF 56 60 8B 4C 24 14 8B 54 24 08 8B 83 B0 01 00 00 8B 30 FF 56 60 8B C3 8B 10 FF 92 EC 00 00 00 34 01 83 E0 7F 8B 14 84 8B 83 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 54 24 10 4A 8B 4C 24 0C 8B 83 B0 01 00 00 8B 30 FF 56 64 8B 4C 24 14 49 8B 54 24 10 4A 8B 83 B0 01 00 00 8B 30 FF 56 60 8B 4C 24 14 49 8B 54 24 08 4A 8B 83 B0 01 00 00 8B 30 FF 56 60 80 BB F4 01 00 00 00 0F 85 B9 00 00 00 80 BB DC 01 00 00 00 75 45 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 37 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 40 7C 5A E8 ?? ?? ?? ?? 8B D0 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 4D 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 22 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 1C 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 7C 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 44 24 08 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 8D 54 24 08 8B 83 B0 01 00 00 8B 08 FF 51 54 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84630_0 {
	meta:
		name = "TStandardMenuItem.DrawLargeGlyph"
		size = 39
		refs = "0014 TStandardMenuItem.DrawGlyphFrame 001d TCustomActionControl.DrawLargeGlyph"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84631_0 {
	meta:
		name = "TStandardMenuItem.DrawEdge"
		size = 686
		refs = "0012 TCustomMenuItem.DrawEdge 0019 TCustomActionControl.GetActionBar 0026 GetHighLightColor 003e GetShadowColor 0056 TPen.SetColor 0160 TPen.SetWidth 0207 TActionClientItem.Unused"
	strings:
		$1 = { 53 56 57 83 C4 D4 88 14 24 8B D8 0F B6 14 24 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 40 74 BA 13 00 00 00 E8 ?? ?? ?? ?? 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 8B 40 74 BA CE FF FF FF E8 ?? ?? ?? ?? 8B F0 89 74 24 08 8B 83 B0 01 00 00 8B 40 44 8B 54 24 04 E8 ?? ?? ?? ?? 8D 54 24 0C 8B C3 8B 08 FF 51 60 8B 44 24 10 50 8D 54 24 20 8B C3 8B 08 FF 51 60 8B 54 24 28 8B 83 B0 01 00 00 59 8B 38 FF 57 64 F6 04 24 02 74 2D 8D 54 24 0C 8B C3 8B 08 FF 51 60 8B 44 24 10 50 8D 54 24 20 8B C3 8B 08 FF 51 60 8B 54 24 20 8B 83 B0 01 00 00 59 8B 38 FF 57 60 EB 2B 8D 54 24 0C 8B C3 8B 08 FF 51 60 8B 44 24 10 50 8D 54 24 20 8B C3 8B 08 FF 51 60 8B 54 24 20 8B 83 B0 01 00 00 59 8B 38 FF 57 64 F6 04 24 01 74 2D 8D 54 24 0C 8B C3 8B 08 FF 51 60 8B 44 24 18 50 8D 54 24 20 8B C3 8B 08 FF 51 60 8B 54 24 20 8B 83 B0 01 00 00 59 8B 38 FF 57 60 EB 2B 8D 54 24 0C 8B C3 8B 08 FF 51 60 8B 44 24 18 50 8D 54 24 20 8B C3 8B 08 FF 51 60 8B 54 24 20 8B 83 B0 01 00 00 59 8B 38 FF 57 64 8B 83 B0 01 00 00 8B 40 44 8B D6 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 54 24 0C 8B C3 8B 08 FF 51 60 8B 44 24 10 50 8D 54 24 20 8B C3 8B 08 FF 51 60 8B 54 24 28 4A 8B 83 B0 01 00 00 59 8B 38 FF 57 64 8D 54 24 0C 8B C3 8B 08 FF 51 60 8B 44 24 18 50 8D 54 24 20 8B C3 8B 08 FF 51 60 8B 54 24 28 4A 8B 83 B0 01 00 00 59 8B 38 FF 57 60 8D 54 24 0C 8B C3 8B 08 FF 51 60 8B 44 24 10 50 8D 54 24 20 8B C3 8B 08 FF 51 60 8B 54 24 28 83 EA 02 8B 83 B0 01 00 00 59 8B 38 FF 57 64 8B 83 B0 01 00 00 8B 40 44 8B D6 E8 ?? ?? ?? ?? 8B B3 BC 01 00 00 85 F6 74 42 8B C6 E8 ?? ?? ?? ?? 84 C0 75 37 F6 04 24 04 74 31 8D 54 24 0C 8B C3 8B 08 FF 51 60 8B 44 24 18 40 50 8D 54 24 20 8B C3 8B 08 FF 51 60 8B 54 24 28 83 EA 02 8B 83 B0 01 00 00 59 8B 30 FF 56 60 EB 2F 8D 54 24 0C 8B C3 8B 08 FF 51 60 8B 44 24 18 48 50 8D 54 24 20 8B C3 8B 08 FF 51 60 8B 54 24 28 83 EA 02 8B 83 B0 01 00 00 59 8B 30 FF 56 64 F6 04 24 08 74 2C 8D 54 24 0C 8B C3 8B 08 FF 51 60 8B 44 24 18 48 50 8D 54 24 20 8B C3 8B 08 FF 51 60 8B 54 24 20 8B 83 B0 01 00 00 59 8B 18 FF 53 60 83 C4 2C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84632_0 {
	meta:
		name = "TStandardMenuPopup.CanAutoSize"
		size = 14
		refs = "0006 TCustomActionPopupMenu.CanAutoSize"
	strings:
		$1 = { 53 8B D9 8B CB E8 ?? ?? ?? ?? FF 03 5B C3 }
	condition:
		$1
}

rule function_84634_0 {
	meta:
		name = "TStandardMenuPopup.NCPaint"
		size = 620
		refs = "0018 TWinControl.GetHandle 001e GetClientRect 002d GetWindowRect 0040 MapWindowPoints 0051 OffsetRect 0067 ExcludeClipRect 0085 TCanvas.GetHandle 0090 TStandardMenuPopup.NCPaint 00a6 TCanvas.SetHandle 00bc TPen.SetWidth 00c4 TCustomActionBar.GetColorMap 00db TPen.SetColor 0260 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 8B F2 89 45 FC 8D 5D D8 8D 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 53 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 53 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 4B 04 F7 D9 8B 13 F7 DA 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F0 50 8B 45 EC 50 8B 45 E8 50 56 E8 ?? ?? ?? ?? 8B 4B 04 F7 D9 8B 13 F7 DA 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 8C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 90 84 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 4B 04 8B 53 08 8B 30 FF 56 64 8B 45 FC 8B 80 8C 02 00 00 8B 4B 04 8B 13 8B 30 FF 56 60 8B 45 FC 8B 80 8C 02 00 00 8B 4B 0C 8B 13 8B 30 FF 56 60 8B 45 FC E8 ?? ?? ?? ?? 8B 90 80 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 4B 04 41 8B 53 08 4A 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 64 8B 4B 04 41 8B 13 42 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 4B 0C 83 E9 02 8B 13 42 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 45 FC E8 ?? ?? ?? ?? 8B 90 8C 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 53 08 4A 8B 45 FC 8B 80 8C 02 00 00 8B 4B 04 8B 30 FF 56 64 8B 4B 0C 49 8B 53 08 4A 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 4B 0C 49 8B 13 4A 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 45 FC E8 ?? ?? ?? ?? 8B 90 88 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 4B 04 41 8B 53 08 83 EA 02 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 64 8B 4B 0C 83 E9 02 8B 53 08 83 EA 02 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 4B 0C 83 E9 02 8B 45 FC 8B 80 8C 02 00 00 8B 13 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84639_0 {
	meta:
		name = "TStandardCustomizePopup.NCPaint"
		size = 620
		refs = "0018 TWinControl.GetHandle 001e GetClientRect 002d GetWindowRect 0040 MapWindowPoints 0051 OffsetRect 0067 ExcludeClipRect 0085 TCanvas.GetHandle 0090 TStandardCustomizePopup.NCPaint 00a6 TCanvas.SetHandle 00bc TPen.SetWidth 00c4 TCustomActionBar.GetColorMap 00db TPen.SetColor 0260 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 8B F2 89 45 FC 8D 5D D8 8D 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 53 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 53 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 4B 04 F7 D9 8B 13 F7 DA 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F0 50 8B 45 EC 50 8B 45 E8 50 56 E8 ?? ?? ?? ?? 8B 4B 04 F7 D9 8B 13 F7 DA 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 8C 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 90 84 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 4B 04 8B 53 08 8B 30 FF 56 64 8B 45 FC 8B 80 8C 02 00 00 8B 4B 04 8B 13 8B 30 FF 56 60 8B 45 FC 8B 80 8C 02 00 00 8B 4B 0C 8B 13 8B 30 FF 56 60 8B 45 FC E8 ?? ?? ?? ?? 8B 90 80 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 4B 04 41 8B 53 08 4A 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 64 8B 4B 04 41 8B 13 42 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 4B 0C 83 E9 02 8B 13 42 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 45 FC E8 ?? ?? ?? ?? 8B 90 8C 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 53 08 4A 8B 45 FC 8B 80 8C 02 00 00 8B 4B 04 8B 30 FF 56 64 8B 4B 0C 49 8B 53 08 4A 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 4B 0C 49 8B 13 4A 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 45 FC E8 ?? ?? ?? ?? 8B 90 88 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 4B 04 41 8B 53 08 83 EA 02 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 64 8B 4B 0C 83 E9 02 8B 53 08 83 EA 02 8B 45 FC 8B 80 8C 02 00 00 8B 30 FF 56 60 8B 4B 0C 83 E9 02 8B 45 FC 8B 80 8C 02 00 00 8B 13 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84635_0 {
	meta:
		name = "TStandardMenuPopup.PositionPopup"
		size = 83
		refs = "000e TCustomActionPopupMenu.PositionPopup 0016 _Dn_TCustomMenuItem 001b @IsClass 0029 TControl.GetBoundsRect 0049 TControl.SetLeft"
	strings:
		$1 = { 53 56 83 C4 F0 8B F1 8B D8 8B CE 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8B D4 8B 46 38 E8 ?? ?? ?? ?? 8B 04 24 3B 43 48 7D 18 8B D4 8B 46 38 E8 ?? ?? ?? ?? 8B 54 24 08 83 EA 06 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_84636_0 {
	meta:
		name = "TStandardAddRemoveItem.DrawGlyph"
		size = 806
		refs = "000d TCustomActionControl.HasGlyph 002f Rect 007b EdgesOffset 00ab FillStyles 00c3 FrameStyle 00d4 TCanvas.GetHandle 00da DrawEdge 00fb TCustomActionBar.GetColorMap 0108 GetHighLightColor 011d AllocPatternBitmap 012d TBrush.SetBitmap 014b TBrush.SetColor 015a InflateRect 019e TPen.SetColor 01c6 DrawCheck 01cf TCustomActionControl.DrawGlyph 01d6 TCustomAddRemoveItem.IsActionVisible"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 54 01 00 00 8B 43 54 50 8D 44 24 14 50 8B 3E 8B CF 83 C1 12 8B C7 48 33 D2 E8 ?? ?? ?? ?? 80 BB DC 01 00 00 00 74 0B 8B C3 8B 10 FF 52 68 84 C0 75 24 80 BB DC 01 00 00 00 74 09 80 BB 00 02 00 00 00 74 12 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 0F 84 02 01 00 00 F6 83 F8 01 00 00 02 0F 95 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 01 44 24 14 F6 83 F8 01 00 00 08 0F 95 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 29 44 24 1C F6 43 1C 10 75 3D 0F B6 83 F4 01 00 00 8B 04 85 ?? ?? ?? ?? 83 C8 0F 50 8B C3 8B 10 FF 92 EC 00 00 00 83 E0 7F 8B 04 85 ?? ?? ?? ?? 50 8D 44 24 18 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BB F4 01 00 00 00 0F 85 82 00 00 00 80 BB DC 01 00 00 00 75 3F 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 40 7C BA 13 00 00 00 E8 ?? ?? ?? ?? 50 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 40 7C 5A E8 ?? ?? ?? ?? 8B D0 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 1C 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 7C 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 44 24 10 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 8D 54 24 10 8B 83 B0 01 00 00 8B 08 FF 51 54 8B C3 E8 ?? ?? ?? ?? 84 C0 75 52 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 44 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 58 8B 83 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 06 83 C0 04 8B 56 04 83 C2 04 89 04 24 89 54 24 04 6A 01 B9 02 00 00 00 8D 54 24 04 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 3D 01 00 00 8B 43 54 50 8D 44 24 14 50 B9 12 00 00 00 33 D2 B8 01 00 00 00 E8 ?? ?? ?? ?? F6 83 F8 01 00 00 02 0F 95 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 01 44 24 14 F6 83 F8 01 00 00 08 0F 95 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 29 44 24 1C F6 43 1C 10 75 25 A1 ?? ?? ?? ?? 83 C8 0F 50 A1 ?? ?? ?? ?? 50 8D 44 24 18 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BB F4 01 00 00 00 0F 85 8E 00 00 00 80 BB DC 01 00 00 00 75 3F 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 40 7C BA 13 00 00 00 E8 ?? ?? ?? ?? 50 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 40 7C 5A E8 ?? ?? ?? ?? 8B D0 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 28 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 40 7C BA 13 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 44 24 10 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 8D 54 24 10 8B 83 B0 01 00 00 8B 08 FF 51 54 C7 44 24 08 06 00 00 00 8B 43 54 D1 F8 79 03 83 D0 00 40 89 44 24 0C 6A 01 B9 02 00 00 00 8D 54 24 0C 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84637_0 {
	meta:
		name = "TStandardAddRemoveItem.DrawBackground"
		size = 388
		refs = "003c TCustomActionControl.GetActionBar 007c TCustomActionBar.GetColorMap 008d TBrush.SetColor 00cc TActionClientItem.Unused 00ea TCustomActionBarColorMap.GetUnusedColor 0121 TActionClient.GetHasItems 017d TCustomActionControl.DrawBackground"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB BC 01 00 00 00 0F 84 6E 01 00 00 80 BB DC 01 00 00 00 74 0B 8B C3 8B 10 FF 52 68 84 C0 75 12 80 BB DC 01 00 00 00 74 44 80 BB 00 02 00 00 00 75 3B 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 28 8B 83 BC 01 00 00 8B 10 FF 52 34 84 C0 75 0E 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 05 83 06 16 EB 02 FF 06 83 6E 08 02 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 7C 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 80 BB DC 01 00 00 00 74 2B 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 75 1D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 70 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 2A 80 BB DC 01 00 00 00 75 21 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 80 BB DC 01 00 00 00 74 71 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 74 5E 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 4F 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 23 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 1D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 7C 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84641_0 {
	meta:
		name = "DrawSelectedFrame"
		size = 312
		refs = "0018 TCustomActionControl.GetActionBar 001d TCustomActionBar.GetColorMap 005a TPen.SetColor 012d InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 8B 75 08 8B 76 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 80 00 00 00 89 45 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 88 00 00 00 89 45 FC 0F B6 C3 8B 54 85 F8 8B 45 08 8B 40 FC 8B 80 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B C3 34 01 83 E0 7F 8B 56 08 2B D0 8B 4E 04 8B 45 08 8B 40 FC 8B 80 B0 01 00 00 8B 38 FF 57 64 8B 4E 04 8B 16 8B 45 08 8B 40 FC 8B 80 B0 01 00 00 8B 38 FF 57 60 8B C3 34 01 83 E0 7F 8B 4E 0C 2B C8 8B 16 8B 45 08 8B 40 FC 8B 80 B0 01 00 00 8B 38 FF 57 60 8B C3 34 01 83 E0 7F 8B 54 85 F8 8B 45 08 8B 40 FC 8B 80 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 4E 04 0F B6 C3 2B C8 8B 56 08 4A 8B 45 08 8B 40 FC 8B 80 B0 01 00 00 8B 38 FF 57 64 8B 4E 0C 49 8B 56 08 4A 8B 45 08 8B 40 FC 8B 80 B0 01 00 00 8B 38 FF 57 60 8B 16 0F B6 C3 03 D0 8B 4E 0C 49 8B 45 08 8B 40 FC 8B 80 B0 01 00 00 8B 18 FF 53 60 8B C6 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84642_0 {
	meta:
		name = "TStandardMenuButton.DrawBackground"
		size = 547
		refs = "0012 TCustomActionControl.GetActionBar 0018 _Dn_TCustomActionMenuBar 001d @IsClass 0061 TCustomMenuButton.GetMenu 0072 TOrderedList.Count 008b DrawSelectedFrame 0099 TCustomActionBar.GetColorMap 00ad TBrush.SetColor 00f7 TPen.SetColor 0122 TControl.GetBoundsRect 0133 TControl.ClientToScreen 01be InflateRect 0219 TCustomButtonControl.DrawBackground"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 99 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 80 B8 22 03 00 00 00 0F 84 84 01 00 00 8B 45 FC 80 B8 DC 01 00 00 00 0F 84 74 01 00 00 8B 45 FC 8B 80 BC 01 00 00 83 78 18 00 75 59 8B 45 FC E8 ?? ?? ?? ?? 8B 80 44 03 00 00 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? 48 0F 85 45 01 00 00 55 8B 45 FC 0F B6 80 FB 01 00 00 34 01 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 70 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? E9 0C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 3C 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 84 00 00 00 8B 45 FC 8B 80 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 50 50 8B 45 FC 8B 40 54 50 8B 45 FC 8B 80 B0 01 00 00 33 C9 33 D2 8B 18 FF 53 7C 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E0 8D 4D F0 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 FC 8B 80 BC 01 00 00 8B 40 18 E8 ?? ?? ?? ?? 8B 45 EC 3B 45 F4 7F 07 33 C0 89 45 F4 EB 0A 8B 45 FC 8B 40 54 48 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 3C 8B 45 FC 8B 80 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 01 00 00 8B 5D F4 8B CB BA 01 00 00 00 8B 30 FF 56 64 8B 45 FC 8B 50 50 4A 8B 45 FC 8B 80 B0 01 00 00 8B CB 8B 18 FF 53 60 8B 45 F8 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 8B 45 FC 80 B8 DC 01 00 00 00 74 23 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 3C 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 21 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 48 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84643_0 {
	meta:
		name = "TStandardMenuButton.DrawDesignFocus"
		size = 34
		refs = "0007 Mouse 000e TMouse.GetIsDragging 001b TCustomActionControl.DrawDesignFocus"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84644_0 {
	meta:
		name = "TStandardButtonControl.DrawFrame"
		size = 306
		refs = "001e TCustomButtonControl.DrawFrame 0052 TCustomActionControl.GetActionBar 0057 TCustomActionBar.GetColorMap 008a TPen.SetColor"
		altNames = "TStandardMenuButton.DrawFrame"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B F2 8D 7C 24 08 A5 A5 A5 A5 8B D9 8B F0 8B CB 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 80 BE FE 01 00 00 02 74 24 80 BE FD 01 00 00 00 74 1B 80 BE FB 01 00 00 00 75 12 8B C6 8B 10 FF 92 EC 00 00 00 84 C0 0F 84 DB 00 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 80 00 00 00 89 04 24 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 88 00 00 00 89 44 24 04 0F B6 C3 8B 14 84 8B 86 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B C3 34 01 8B F8 83 E7 7F 8B 54 24 10 2B D7 8B 4C 24 0C 8B 86 B0 01 00 00 8B 28 FF 55 64 8B 4C 24 0C 8B 54 24 08 8B 86 B0 01 00 00 8B 28 FF 55 60 8B 4C 24 14 2B CF 8B 54 24 08 8B 86 B0 01 00 00 8B 28 FF 55 60 8B 14 BC 8B 86 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 0F B6 C3 8B 4C 24 0C 2B C8 8B 54 24 10 4A 8B 86 B0 01 00 00 8B 38 FF 57 64 8B 4C 24 14 49 8B 54 24 10 4A 8B 86 B0 01 00 00 8B 38 FF 57 60 8B 4C 24 14 49 0F B6 D3 03 54 24 08 8B 86 B0 01 00 00 8B 18 FF 53 60 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84645_0 {
	meta:
		name = "TStandardMenuButton.DrawText"
		size = 131
		refs = "0010 @UStrAddRef 0018 TStandardMenuButton.DrawText 004c OffsetRect 005b TCustomMenuButton.DrawText 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 1C 10 75 28 80 BB FE 01 00 00 02 74 0E 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 11 8B C6 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_84646_0 {
	meta:
		name = "TStandardToolScrollBtn.DrawFrame"
		size = 261
		refs = "0025 TCustomActionControl.GetActionBar 002a TCustomActionBar.GetColorMap 005d TPen.SetColor"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B F2 8D 7C 24 08 A5 A5 A5 A5 8B D9 8B F0 80 BE FB 01 00 00 00 0F 84 DB 00 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 80 00 00 00 89 04 24 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 88 00 00 00 89 44 24 04 0F B6 C3 8B 14 84 8B 86 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B C3 34 01 8B F8 83 E7 7F 8B 54 24 10 2B D7 8B 4C 24 0C 8B 86 B0 01 00 00 8B 28 FF 55 64 8B 4C 24 0C 8B 54 24 08 8B 86 B0 01 00 00 8B 28 FF 55 60 8B 4C 24 14 2B CF 8B 54 24 08 8B 86 B0 01 00 00 8B 28 FF 55 60 8B 14 BC 8B 86 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 0F B6 C3 8B 4C 24 0C 2B C8 8B 54 24 10 4A 8B 86 B0 01 00 00 8B 38 FF 57 64 8B 4C 24 14 49 8B 54 24 10 4A 8B 86 B0 01 00 00 8B 38 FF 57 60 8B 4C 24 14 49 0F B6 D3 03 54 24 08 8B 86 B0 01 00 00 8B 18 FF 53 60 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84648_0 {
	meta:
		name = "TStandardButtonControl.DrawGlyph"
		size = 67
		refs = "003b TCustomActionControl.DrawGlyph"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B 02 89 04 24 8B 42 04 89 44 24 04 F6 43 1C 10 75 1E 80 BB FE 01 00 00 02 74 0E 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 07 FF 04 24 FF 44 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_84649_0 {
	meta:
		name = "TStandardButtonControl.DrawText"
		size = 160
		refs = "0010 @UStrAddRef 0018 TStandardButtonControl.DrawText 004c OffsetRect 0053 TCustomActionControl.GetActionBar 0058 TCustomActionBar.GetColorMap 0069 TFont.SetColor 0078 TCustomActionControl.DrawText 008d @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 1C 10 75 28 80 BB FE 01 00 00 02 74 0E 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 11 8B C6 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 58 8B 83 B0 01 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_84650_0 {
	meta:
		name = "TStandardMenuExpandBtn.DrawBackground"
		size = 147
		refs = "0009 TCustomMenuExpandBtn.GetMenu 000e TCustomActionBar.GetColorMap 001f TBrush.SetColor 0035 TCustomMenuExpandBtn.DrawBackground 006f TCustomActionBarColorMap.GetUnusedColor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 7C 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B D6 8B 83 B0 01 00 00 8B 08 FF 51 54 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB FE 01 00 00 02 74 20 80 BB FD 01 00 00 00 74 17 80 BB FB 01 00 00 00 75 0E 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 2E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B D6 8B 83 B0 01 00 00 8B 08 FF 51 54 5E 5B C3 }
	condition:
		$1
}

rule function_84651_0 {
	meta:
		name = "TStandardMenuExpandBtn.DrawFrame"
		size = 412
		refs = "0021 OffsetRect 0034 InflateRect 0041 TCustomMenuExpandBtn.DrawFrame 0075 TCustomMenuExpandBtn.GetMenu 007a TCustomActionBar.GetColorMap 00a0 TCustomActionControl.GetActionBar 00e4 TPen.SetColor"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B F2 8D 7C 24 08 A5 A5 A5 A5 8B D9 8B F0 8D 44 24 08 B9 01 00 00 00 33 D2 E8 ?? ?? ?? ?? 8D 44 24 08 B9 FC FF FF FF BA FE FF FF FF E8 ?? ?? ?? ?? 8B CB 8D 54 24 08 8B C6 E8 ?? ?? ?? ?? 80 BE FE 01 00 00 02 74 24 80 BE FD 01 00 00 00 74 1B 80 BE FB 01 00 00 00 75 12 8B C6 8B 10 FF 92 EC 00 00 00 84 C0 0F 84 22 01 00 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 80 00 00 00 89 04 24 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 88 00 00 00 89 44 24 04 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 80 00 00 00 89 04 24 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 88 00 00 00 89 44 24 04 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 80 00 00 00 8B 86 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B C3 34 01 8B F8 83 E7 7F 8B 54 24 10 2B D7 8B 4C 24 0C 8B 86 B0 01 00 00 8B 28 FF 55 64 8B 4C 24 0C 8B 54 24 08 8B 86 B0 01 00 00 8B 28 FF 55 60 8B 4C 24 14 2B CF 8B 54 24 08 8B 86 B0 01 00 00 8B 38 FF 57 60 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 88 00 00 00 8B 86 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B FB 83 E7 7F 8B 4C 24 0C 2B CF 8B 54 24 10 4A 8B 86 B0 01 00 00 8B 28 FF 55 64 8B 4C 24 14 49 8B 54 24 10 4A 8B 86 B0 01 00 00 8B 28 FF 55 60 8B 4C 24 14 49 8B D7 03 54 24 08 8B 86 B0 01 00 00 8B 18 FF 53 60 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84652_0 {
	meta:
		name = "DrawBtnFrame"
		size = 329
		refs = "0067 GetHighLightColor 0079 GetShadowColor 0093 TPen.SetColor"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F0 8D 7D E8 A5 A5 A5 A5 8B DA 8B 75 08 83 C6 FC 8B 06 8B 10 FF 52 68 84 C0 0F 84 19 01 00 00 8B 06 80 B8 FE 01 00 00 02 74 28 8B 06 80 B8 FD 01 00 00 00 74 1D 8B 06 80 B8 FB 01 00 00 00 75 12 8B 06 8B 10 FF 92 EC 00 00 00 84 C0 0F 84 E6 00 00 00 8B 06 8B 40 74 BA 13 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 06 8B 40 74 BA CE FF FF FF E8 ?? ?? ?? ?? 89 45 FC 0F B6 C3 8B 54 85 F8 8B 06 8B 80 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B C3 34 01 83 E0 7F 8B 55 F0 2B D0 8B 06 8B 80 B0 01 00 00 8B 4D EC 8B 38 FF 57 64 8B 06 8B 80 B0 01 00 00 8B 4D EC 8B 55 E8 8B 38 FF 57 60 8B C3 34 01 83 E0 7F 8B 4D F4 2B C8 8B 06 8B 80 B0 01 00 00 8B 55 E8 8B 38 FF 57 60 8B C3 34 01 83 E0 7F 8B 54 85 F8 8B 06 8B 80 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 0F B6 C3 8B 4D EC 2B C8 8B 55 F0 4A 8B 06 8B 80 B0 01 00 00 8B 38 FF 57 64 8B 4D F4 49 8B 55 F0 4A 8B 06 8B 80 B0 01 00 00 8B 38 FF 57 60 8B 4D F4 49 0F B6 D3 03 55 E8 8B 06 8B 80 B0 01 00 00 8B 18 FF 53 60 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84653_0 {
	meta:
		name = "TStandardDropDownButton.DrawFrame"
		size = 111
		refs = "0039 DrawBtnFrame"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F2 8D 7D EC A5 A5 A5 A5 8B D9 89 45 FC 83 6D F4 09 55 84 DB 74 0F 8B 45 FC 8B 10 FF 92 20 01 00 00 84 C0 74 04 33 D2 EB 02 B2 01 8D 45 EC E8 ?? ?? ?? ?? 59 8B 45 F4 89 45 EC 83 45 F4 09 55 84 DB 75 10 8B 45 FC 80 B8 00 02 00 00 00 75 04 33 D2 EB 02 B2 01 8D 45 EC E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84662_0 {
	meta:
		name = "TEditAction.UpdateTarget"
		size = 127
		refs = "000a _DV_TEditCut 000f @IsClass 0036 TCustomEdit.GetReadOnly 0047 TCustomAction.SetEnabled 0052 _DV_TEditCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 8B D6 8B C3 8B 08 FF 51 64 8B 10 FF 92 00 01 00 00 85 C0 7E 12 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 84 C0 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B D6 8B C3 8B 08 FF 51 64 8B 10 FF 92 00 01 00 00 85 C0 0F 9F C2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84667_0 {
	meta:
		name = "TEditPaste.UpdateTarget"
		size = 58
		refs = "0007 Clipboard 0010 TClipboard.HasFormat 0022 TCustomEdit.GetReadOnly 0033 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 66 BA 01 00 E8 ?? ?? ?? ?? 84 C0 74 12 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 84 C0 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84669_0 {
	meta:
		name = "TEditSelectAll.UpdateTarget"
		size = 113
		refs = "0015 TEditSelectAll.UpdateTarget 002c TControl.GetText 004a TCustomAction.SetEnabled 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 8B 08 FF 51 64 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84671_0 {
	meta:
		name = "TEditUndo.UpdateTarget"
		size = 58
		refs = "0010 TCustomEdit.GetCanUndo 0022 TCustomEdit.GetReadOnly 0033 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 84 C0 74 12 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 84 C0 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84673_0 {
	meta:
		name = "TEditDelete.UpdateTarget"
		size = 61
		refs = "0025 TCustomEdit.GetReadOnly 0036 TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 8B 10 FF 92 00 01 00 00 85 C0 7E 12 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 84 C0 74 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84675_0 {
	meta:
		name = "TWindowAction.HandlesTarget"
		size = 66
		refs = "0022 _Dn_TForm 0027 @IsClass"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B BB A8 00 00 00 85 FF 74 04 3B FE 74 1A 83 BB A8 00 00 00 00 75 1A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 80 BE A6 02 00 00 02 74 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84677_0 {
	meta:
		name = "TWindowAction.UpdateTarget"
		size = 35
		refs = "0010 TCustomForm.get_MDIChildCount 001c TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 85 C0 0F 9F C2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84679_0 {
	meta:
		name = "THelpAction.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TAction.Create 0029 TCustomAction.SetEnabled 0034 @AfterConstruction"
		altNames = "TWindowAction.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 68 00 F6 46 1C 10 0F 95 C2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84680_0 {
	meta:
		name = "TWindowClose.ExecuteTarget"
		size = 33
		refs = "000b TCustomForm.get_ActiveMDIChild 001b TCustomForm.Close"
	strings:
		$1 = { 53 8B 08 FF 51 64 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84681_0 {
	meta:
		name = "TWindowClose.UpdateTarget"
		size = 35
		refs = "0010 TCustomForm.get_ActiveMDIChild 001c TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 E8 ?? ?? ?? ?? 85 C0 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84683_0 {
	meta:
		name = "DoTile"
		size = 50
		refs = "001b TileParams 002d SendMessage"
	strings:
		$1 = { 80 B8 A6 02 00 00 02 75 28 83 B8 84 03 00 00 00 74 1F 6A 00 83 E2 7F 0F B7 14 55 ?? ?? ?? ?? 52 68 26 02 00 00 8B 80 84 03 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84684_0 {
	meta:
		name = "TWindowTileHorizontal.ExecuteTarget"
		size = 25
		refs = "0012 DoTile"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84685_0 {
	meta:
		name = "TWindowTileVertical.ExecuteTarget"
		size = 25
		refs = "0012 DoTile"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 64 B2 01 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84686_0 {
	meta:
		name = "TWindowMinimizeAll.ExecuteTarget"
		size = 49
		refs = "000c TCustomForm.get_MDIChildCount 001d TCustomForm.get_MDIChildren 0024 TCustomForm.SetWindowState"
	strings:
		$1 = { 53 56 8B 08 FF 51 64 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 83 FB 00 7C 16 8B D3 8B C6 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 4B 83 FB FF 75 EA 5E 5B C3 }
	condition:
		$1
}

rule function_84690_0 {
	meta:
		name = "THelpAction.UpdateTarget"
		size = 99
		refs = "000c THelpAction.UpdateTarget 0017 Application 002b TApplication.GetCurrentHelpFile 003e TCustomAction.SetEnabled 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 00 74 15 8D 55 FC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_84691_0 {
	meta:
		name = "THelpContents.ExecuteTarget"
		size = 20
		refs = "0001 Application 000f TApplication.HelpCommand"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 33 C9 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84692_0 {
	meta:
		name = "THelpTopicSearch.ExecuteTarget"
		size = 28
		refs = "0001 THelpTopicSearch.ExecuteTarget 0006 Application 0012 TApplication.HelpCommand"
	strings:
		$1 = { B9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_84693_0 {
	meta:
		name = "THelpOnHelp.ExecuteTarget"
		size = 28
		refs = "0001 THelpOnHelp.ExecuteTarget 0006 Application 0012 TApplication.HelpCommand"
	strings:
		$1 = { B9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_84694_0 {
	meta:
		name = "THelpContextAction.ExecuteTarget"
		size = 34
		refs = "0001 Screen 0011 Application 001d TApplication.HelpCommand"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 8B 40 64 8B 88 70 01 00 00 A1 ?? ?? ?? ?? 8B 00 BA 01 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84695_0 {
	meta:
		name = "THelpContextAction.UpdateTarget"
		size = 57
		refs = "0002 Screen 0034 TCustomAction.SetEnabled"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 83 3A 00 74 22 8B 15 ?? ?? ?? ?? 8B 12 83 7A 64 00 74 14 8B 15 ?? ?? ?? ?? 8B 12 8B 52 64 83 BA 70 01 00 00 00 75 04 33 D2 EB 02 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84696_0 {
	meta:
		name = "TCommonDialogAction.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TCustomAction.Create 002b TCustomAction.SetEnabled 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 70 C6 46 68 00 B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84697_0 {
	meta:
		name = "TCommonDialogAction.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 0018 TComponent.RemoveFreeNotification 0023 TCustomAction.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 C8 00 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84700_0 {
	meta:
		name = "TCommonDialogAction.ExecuteTarget"
		size = 86
	strings:
		$1 = { 53 56 8B F0 C6 86 A8 00 00 00 00 83 BE C8 00 00 00 00 74 3F 66 83 BE C2 00 00 00 00 74 0E 8B D6 8B 86 C4 00 00 00 FF 96 C0 00 00 00 8B 86 C8 00 00 00 8B 10 FF 52 50 8B D8 88 9E A8 00 00 00 84 DB 74 09 8B C6 8B 10 FF 52 64 EB 07 8B C6 8B 10 FF 52 68 5E 5B C3 }
	condition:
		$1
}

rule function_84703_0 {
	meta:
		name = "TCommonDialogAction.Notification"
		size = 50
		refs = "0010 TBasicAction.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? F6 47 1C 08 75 14 80 FB 01 75 0F 3B B7 C8 00 00 00 75 07 8B C7 8B 10 FF 52 70 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84704_0 {
	meta:
		name = "TCommonDialogAction.SetupDialog"
		size = 200
		refs = "0011 TCommonDialogAction.SetupDialog 003d TObject.ClassName 006c @UStrCopy 0087 TComponent.SetSubComponent 0094 TComponent.FreeNotification 00a9 @UStrClr 00b6 @UStrArrayClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 6C 8B F0 85 F6 74 70 8B CB B2 01 8B C6 FF 50 38 89 83 C8 00 00 00 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 89 45 F4 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 8D 45 F0 50 8B CE BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 83 C8 00 00 00 8B 08 FF 51 24 B2 01 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84708_0 {
	meta:
		name = "TFileOpen.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TCommonDialogAction.Create 0022 TFileOpen.Create 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 86 C8 00 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 24 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4F 00 70 00 65 00 6E 00 44 00 69 00 61 00 6C 00 6F 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_84709_0 {
	meta:
		name = "TFileOpen.ExecuteTarget"
		size = 119
		refs = "000c TFileOpen.ExecuteTarget 0019 TCommonDialogAction.ExecuteTarget 0038 TFileAction.GetDialog 0040 TOpenDialog.GetFileName 0048 @UStrToPWChar 0052 ShellExecute 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB A8 00 00 00 00 74 30 80 BB D0 00 00 00 00 74 27 6A 05 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_84711_0 {
	meta:
		name = "TFileOpenWith.ExecuteTarget"
		size = 376
		refs = "0018 TFileOpenWith.ExecuteTarget 0042 FileExists 0051 TFileOpen.ExecuteTarget 0058 TFileAction.GetDialog 0060 TOpenDialog.GetFileName 006e @UStrAsg 00a4 Format 00ac @UStrToPWChar 00be ShellExecute 00eb @UStrClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 D8 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 75 04 B0 01 EB 0F B2 01 8B 83 D8 00 00 00 E8 ?? ?? ?? ?? 34 01 84 C0 74 28 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 83 D8 00 00 00 E8 ?? ?? ?? ?? EB 07 C6 83 A8 00 00 00 01 80 BB A8 00 00 00 00 74 3E 6A 05 6A 00 8D 45 F8 50 8B 83 D8 00 00 00 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 66 83 BB E2 00 00 00 00 74 0E 8B D3 8B 83 E4 00 00 00 FF 93 E0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 73 00 68 00 65 00 6C 00 6C 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 2C 00 4F 00 70 00 65 00 6E 00 41 00 73 00 5F 00 52 00 75 00 6E 00 44 00 4C 00 4C 00 20 00 25 00 73 00 00 00 00 00 72 00 75 00 6E 00 64 00 6C 00 6C 00 33 00 32 00 2E 00 65 00 78 00 65 00 00 00 00 00 6F 00 70 00 65 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_84712_0 {
	meta:
		name = "TFileSaveAs.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TCommonDialogAction.Create 0022 TFileSaveAs.Create 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 86 C8 00 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 24 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 61 00 76 00 65 00 44 00 69 00 61 00 6C 00 6F 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_84719_0 {
	meta:
		name = "TFileExit.ExecuteTarget"
		size = 48
		refs = "0001 Application 001c TApplication.HelpCommand 002b TCustomForm.Close"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 83 78 48 00 74 22 A1 ?? ?? ?? ?? 8B 00 33 C9 BA 02 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 40 48 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84721_0 {
	meta:
		name = "RichEditTextLength"
		size = 48
		refs = "0022 TWinControl.GetHandle 0028 SendMessage"
	strings:
		$1 = { 53 83 C4 F8 8B D8 33 C0 89 04 24 C7 44 24 04 B0 04 00 00 6A 00 8D 44 24 04 50 68 5F 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_84722_0 {
	meta:
		name = "GetEditTextBuf"
		size = 108
		refs = "0010 _Dn_TCustomRichEdit 0015 @IsClass 004d TWinControl.GetHandle 0053 SendMessage 0061 TControl.GetTextBuf"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B F9 8B F2 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3C 46 8B C6 03 C0 89 04 24 33 C0 89 44 24 04 C7 44 24 08 B0 04 00 00 33 C0 89 44 24 0C 33 C0 89 44 24 10 57 8D 44 24 04 50 68 5E 04 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 0C 8D 4E 01 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84723_0 {
	meta:
		name = "SearchEdit"
		size = 336
		refs = "002e _Dn_TCustomRichEdit 0033 @IsClass 003e RichEditTextLength 0049 TControl.GetTextLen 005a SearchEdit 007d StrAlloc 009b GetEditTextBuf 00bd SearchBuf 0130 StrDispose 0136 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 66 89 4D FA 89 55 FC 8B F0 C6 45 F9 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 84 12 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 09 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 E5 00 00 00 0F B6 1D ?? ?? ?? ?? F6 45 FA 01 74 03 80 CB 01 F6 45 FA 20 74 03 80 CB 02 F6 45 FB 08 74 03 80 CB 04 8D 47 01 E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 57 01 8B 4D F4 8B C6 E8 ?? ?? ?? ?? 80 7D 08 00 74 1E 8B C6 8B 10 FF 92 00 01 00 00 50 8B 45 FC 50 53 33 C9 8B D7 8B 45 F4 E8 ?? ?? ?? ?? EB 26 8B C6 8B 10 FF 92 00 01 00 00 50 8B 45 FC 50 53 8B C6 8B 10 FF 92 04 01 00 00 8B C8 8B D7 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 74 32 8B D0 2B 55 F4 D1 FA 79 03 83 D2 00 8B C6 8B 08 FF 91 10 01 00 00 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 8B D7 8B C6 8B 08 FF 91 0C 01 00 00 C6 45 F9 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F9 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_84724_0 {
	meta:
		name = "TSearchAction.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TCommonDialogAction.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 86 C8 00 00 00 89 B0 84 00 00 00 8B 16 8B 52 74 89 90 80 00 00 00 C6 86 D4 00 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84725_0 {
	meta:
		name = "TSearchAction.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 0018 TComponent.RemoveFreeNotification 0023 TCommonDialogAction.Destroy 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 D0 00 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84729_0 {
	meta:
		name = "TSearchAction.Search"
		size = 202
		refs = "0013 TSearchAction.Search 0039 TFindDialog.GetFindText 004d SearchEdit 0079 STextNotFound 007e LoadResString 0089 Format 0091 ShowMessage 00ab @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 D0 00 00 00 85 F6 74 6E 0F B6 83 D4 00 00 00 50 8D 55 FC 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 C8 00 00 00 0F B7 48 70 8B C6 E8 ?? ?? ?? ?? 84 C0 75 40 8D 45 F8 50 8D 55 EC 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 C9 5A E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84730_0 {
	meta:
		name = "TSearchAction.UpdateTarget"
		size = 50
		refs = "000a _Dn_TCustomEdit 000f @IsClass 001a TControl.GetTextLen 002b TCustomAction.SetEnabled"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B C6 E8 ?? ?? ?? ?? 85 C0 7F 04 33 D2 EB 02 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84736_0 {
	meta:
		name = "TSearchReplace.Replace"
		size = 559
		refs = "001c TSearchReplace.Replace 003c _Dn_TReplaceDialog 0041 @AsClass 0076 TSearchReplace.GetReplaceDialog 009c TFindDialog.GetFindText 00a5 AnsiCompareText 00e3 @UStrEqual 00f0 TFindDialog.GetReplaceText 00fe TCustomEdit.SetSelText 0130 SearchEdit 01d5 STextNotFound 01da LoadResString 01e5 Format 01ed ShowMessage 0207 @UStrArrayClr 021c @UStrClr 0222 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 FF 83 BE D0 00 00 00 00 0F 84 71 01 00 00 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8D 55 F4 8B 86 D0 00 00 00 8B 08 FF 91 08 01 00 00 8B 45 F4 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E D2 00 00 00 8B C6 E8 ?? ?? ?? ?? F6 40 71 04 75 2D 8D 55 EC 8B 86 D0 00 00 00 8B 08 FF 91 08 01 00 00 8B 45 EC 50 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 58 E8 ?? ?? ?? ?? 85 C0 74 3C 8B C6 E8 ?? ?? ?? ?? F6 40 71 04 0F 84 87 00 00 00 8D 55 E4 8B 86 D0 00 00 00 8B 08 FF 91 08 01 00 00 8B 45 E4 50 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E0 58 E8 ?? ?? ?? ?? 75 5C 8D 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 DC 8B 86 D0 00 00 00 E8 ?? ?? ?? ?? 0F B6 86 D4 00 00 00 50 8B C6 E8 ?? ?? ?? ?? 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 D8 50 8B C6 E8 ?? ?? ?? ?? 0F B7 48 70 8B 86 D0 00 00 00 5A E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? F6 40 71 04 0F 84 AC 00 00 00 0F B6 86 D4 00 00 00 50 8B C6 E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 50 8B C6 E8 ?? ?? ?? ?? 0F B7 48 70 8B 86 D0 00 00 00 5A E8 ?? ?? ?? ?? 8B D8 84 DB 74 1A 8D 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D0 8B 86 D0 00 00 00 E8 ?? ?? ?? ?? 47 84 DB 74 0D 8B C6 E8 ?? ?? ?? ?? F6 40 71 04 75 9D 84 DB 75 45 85 FF 75 41 8D 45 CC 50 8B C6 E8 ?? ?? ?? ?? 8D 55 C0 E8 ?? ?? ?? ?? 8B 45 C0 89 45 C4 C6 45 C8 11 8D 45 C4 50 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 33 C9 5A E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84737_0 {
	meta:
		name = "TSearchFindFirst.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TSearchAction.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 D4 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84739_0 {
	meta:
		name = "TSearchFindNext.ExecuteTarget"
		size = 24
	strings:
		$1 = { 8B 88 A8 00 00 00 89 91 D0 00 00 00 85 C9 74 07 8B C1 8B 08 FF 51 74 C3 }
	condition:
		$1
}

rule function_84740_0 {
	meta:
		name = "TSearchFindNext.HandlesTarget"
		size = 137
		refs = "0014 TSearchFindNext.HandlesTarget 0031 TSearchFind.GetFindDialog 0039 TFindDialog.GetFindText 005f TCustomAction.SetEnabled 0074 @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B7 A8 00 00 00 85 F6 74 2E 80 7E 72 00 74 28 8B C6 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 95 C0 EB 02 33 C0 8B D8 8B D3 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84741_0 {
	meta:
		name = "TSearchFindNext.UpdateTarget"
		size = 142
		refs = "0013 TSearchFindNext.UpdateTarget 0030 TSearchFind.GetFindDialog 0038 TFindDialog.GetFindText 005c TCustomAction.SetEnabled 007c @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 A8 00 00 00 85 F6 74 3B 80 7E 72 00 74 28 8B C6 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 95 C0 EB 02 33 C0 8B D0 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84748_0 {
	meta:
		name = "BrowseCallbackProc"
		size = 46
		refs = "001a TBrowseForFolder.DoValidate 0025 TBrowseForFolder.DoCallback"
	strings:
		$1 = { 55 8B EC 56 8B 45 14 8B 75 10 8B 55 0C 8B 4D 08 83 FA 04 75 0B 56 50 87 CA E8 ?? ?? ?? ?? EB 09 56 50 87 CA E8 ?? ?? ?? ?? 5E 5D C2 10 00 }
	condition:
		$1
}

rule function_84749_0 {
	meta:
		name = "TBrowseForFolder.DoCallback"
		size = 229
		refs = "0020 Application 002a TWinControl.GetHandle 0031 Screen 003a TScreen.MonitorFromWindow 0046 GetWindowRect 0053 TMonitor.GetHeight 006a TMonitor.GetWidth 0082 SetWindowPos 0096 @UStrToPWChar 00a4 SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 8B F2 8B D8 33 C0 89 45 F8 83 7D FC 01 0F 85 89 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 40 48 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B F8 8D 45 E8 50 56 E8 ?? ?? ?? ?? 6A 05 6A 00 6A 00 8B C7 E8 ?? ?? ?? ?? 8B 55 F4 2B 55 EC 2B C2 D1 F8 79 03 83 D0 00 50 8B C7 E8 ?? ?? ?? ?? 8B 55 F0 2B 55 E8 2B C2 D1 F8 79 03 83 D0 00 50 6A 00 56 E8 ?? ?? ?? ?? 83 BB D4 00 00 00 00 74 19 8B 83 D4 00 00 00 E8 ?? ?? ?? ?? 50 6A 01 68 67 04 00 00 56 E8 ?? ?? ?? ?? 66 83 BB DA 00 00 00 00 74 22 8B 45 FC 50 8B 45 0C 50 8B 45 08 50 8D 45 F8 50 8B CE 8B D3 8B 83 DC 00 00 00 FF 93 D8 00 00 00 EB 05 33 C0 89 45 F8 8B 45 F8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_84750_0 {
	meta:
		name = "TBrowseForFolder.DoValidate"
		size = 62
	strings:
		$1 = { 55 8B EC 51 53 66 83 B8 E2 00 00 00 00 74 21 51 8B 4D 0C 51 8B 4D 08 51 8D 4D FC 51 8B D8 8B CA 8B D0 8B 83 E4 00 00 00 FF 93 E0 00 00 00 EB 05 33 C0 89 45 FC 8B 45 FC 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_84751_0 {
	meta:
		name = "TBrowseForFolder.ExecuteTarget"
		size = 632
		refs = "0022 TBrowseForFolder.ExecuteTarget 0059 @IntfClear 005f SHGetMalloc 00a6 @WStrFromUStr 00b0 @WStrEqual 00c0 SHGetDesktopFolder 00d4 @WStrToPWChar 00dc Application 00fd @FillChar 012a TBrowseForFolder.GetDialogCaption 0135 @UStrToPWChar 013d BrowseCallbackProc 014d BrowseOptionsConsts 0178 DisableTaskWindows 0182 SetErrorMode 019c SHBrowseForFolder 01bd EnableTaskWindows 01c3 @HandleFinally 01e6 SHGetPathFromIDList 0203 @UStrFromPWChar 024f @UStrClr 0257 @WStrClr"
	strings:
		$1 = { 55 8B EC 81 C4 A4 FD FF FF 53 33 C9 89 8D A4 FD FF FF 89 4D FC 89 4D F8 89 4D F4 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 C6 80 A8 00 00 00 00 8B 45 F0 66 83 B8 C2 00 00 00 00 74 12 8B 5D F0 8B 55 F0 8B 83 C4 00 00 00 FF 93 C0 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 85 D0 01 00 00 83 7D FC 00 0F 84 C6 01 00 00 68 04 01 00 00 8B 45 FC 50 8B 00 FF 50 0C 89 45 E4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 C0 89 45 EC 8D 45 F4 8B 55 F0 8B 92 E8 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 74 3C 8D 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 DC 50 8D 45 EC 50 8D 45 E0 50 8B 45 F4 E8 ?? ?? ?? ?? 50 6A 00 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 50 8B 45 F8 50 8B 00 FF 50 0C 8D 45 B4 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 89 45 B4 8B 45 EC 89 45 B8 8D 85 AA FD FF FF 89 45 BC 8D 95 A4 FD FF FF 8B 45 F0 E8 ?? ?? ?? ?? 8B 85 A4 FD FF FF E8 ?? ?? ?? ?? 89 45 C0 B8 ?? ?? ?? ?? 89 45 C8 8B 45 F0 89 45 CC 33 C0 BA ?? ?? ?? ?? 8B 4D F0 8B D8 80 FB 0F 77 0B 83 E3 7F 66 0F A3 99 D0 00 00 00 73 05 8B 0A 09 4D C4 40 83 C2 04 3C 10 75 DC 33 C0 E8 ?? ?? ?? ?? 89 45 D8 6A 01 E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 B4 50 E8 ?? ?? ?? ?? 89 45 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 50 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 83 7D E8 00 0F 95 C0 8B 55 F0 88 82 A8 00 00 00 84 C0 74 34 8B 45 E4 50 8B 45 E8 50 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC 50 8B 00 FF 50 14 8B 45 F0 05 D4 00 00 00 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 64 EB 08 8B 45 F0 8B 10 FF 52 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 50 8B 45 FC 50 8B 00 FF 50 14 C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A4 FD FF FF E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84752_0 {
	meta:
		name = "TBrowseForFolder.GetDialogCaption"
		size = 55
		refs = "0010 @UStrAsg"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C6 8B 93 EC 00 00 00 E8 ?? ?? ?? ?? 8B 06 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0A 8B C6 8B 53 6C E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_84754_0 {
	meta:
		name = "TBrowseForFolder.GetFolder"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 D4 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84755_0 {
	meta:
		name = "TBrowseForFolder.GetRootDir"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 E8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84756_0 {
	meta:
		name = "TBrowseForFolder.SetFolder"
		size = 95
		refs = "000e @UStrAddRef 0016 TBrowseForFolder.SetFolder 002a @UStrEqual 003a @UStrAsg 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 93 D4 00 00 00 E8 ?? ?? ?? ?? 74 0E 8D 83 D4 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_84757_0 {
	meta:
		name = "TBrowseForFolder.SetRootDir"
		size = 95
		refs = "000e @UStrAddRef 0016 TBrowseForFolder.SetRootDir 002a @UStrEqual 003a @UStrAsg 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 93 E8 00 00 00 E8 ?? ?? ?? ?? 74 0E 8D 83 E8 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_84758_0 {
	meta:
		name = "TBrowseForFolder.SetBrowseOptions"
		size = 60
	strings:
		$1 = { 53 51 66 89 14 24 8B D8 0F B7 04 24 66 89 83 D0 00 00 00 F6 04 24 08 74 11 66 81 8B D0 00 00 00 00 40 66 83 8B D0 00 00 00 04 F6 44 24 01 08 74 08 66 83 8B D0 00 00 00 40 5A 5B C3 }
	condition:
		$1
}

rule function_84782_0 {
	meta:
		name = "HasPopup"
		size = 27
	strings:
		$1 = { B2 01 85 C0 74 10 83 B8 84 00 00 00 00 75 09 8B 40 38 85 C0 75 F0 33 D2 8B C2 C3 }
	condition:
		$1
}

rule function_84784_0 {
	meta:
		name = "TCustomGroupBox.Create"
		size = 92
		refs = "000a @ClassCreate 0017 TCustomControl.Create 001c TCustomGroupBox.Create 002b TControl.SetWidth 0037 TControl.SetHeight 0042 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 58 BA B9 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 69 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 AB 08 24 00 }
	condition:
		$1
}

rule function_84785_0 {
	meta:
		name = "TCustomGroupBox.AdjustClientRect"
		size = 96
		refs = "000b TWinControl.AdjustClientRect 0019 TCanvas.SetFont 001e TCustomGroupBox.AdjustClientRect 0029 TCustomCanvas.TextHeight 0036 InflateRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 53 6C 8B 83 78 02 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 01 46 04 6A FF 6A FF 56 E8 ?? ?? ?? ?? 80 BB F1 01 00 00 00 74 0A 6A FF 6A FF 56 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_84787_0 {
	meta:
		name = "TCustomGroupBox.Paint"
		size = 1140
		refs = "0018 TCustomGroupBox.Paint 002e TCanvas.SetFont 0035 ThemeControl 0047 TControl.GetText 0058 TCanvas.GetHandle 009e @UStrLAsg 00ab @UStrToPWChar 00b5 GetTextExtentPoint32 00c9 Rect 00d4 @CallDynaInst 00e5 OffsetRect 0146 ExcludeClipRect 0160 StyleServices 0188 TCustomStyleServices.DrawElement 0197 SelectClipRgn 01a1 TBrush.SetStyle 01f4 TCustomStyleServices.DrawText 0205 TCustomCanvas.TextHeight 0241 TBrush.SetColor 02e8 TCustomCanvas.TextWidth 0316 TControl.DrawTextBiDiModeFlags 038c DrawText 0412 @UStrArrayClr 0452 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 16 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B BB 78 02 00 00 8B 53 6C 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 BC 01 00 00 8D 55 80 8B C3 E8 ?? ?? ?? ?? 83 7D 80 00 0F 84 AD 00 00 00 8B C7 E8 ?? ?? ?? ?? 89 45 D0 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 89 85 78 FF FF FF 8B B5 78 FF FF FF 85 F6 74 05 83 EE 04 8B 36 8B 45 D0 89 45 CC 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8D 45 D8 50 56 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 CC 50 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 45 A0 50 8B 4D D8 33 D2 33 C0 E8 ?? ?? ?? ?? 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 0F 6A 00 6A 08 8D 45 A0 50 E8 ?? ?? ?? ?? EB 28 6A 00 8B 43 50 83 E8 08 2B 45 A8 50 8D 45 A0 50 E8 ?? ?? ?? ?? EB 11 6A 00 8D 45 A0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 90 8B C3 8B 08 FF 51 60 8B 45 AC 2B 45 A4 D1 F8 79 03 83 D0 00 89 45 94 8B 45 AC 50 8B 45 A8 50 8B 45 A4 50 8B 45 A0 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 68 84 C0 74 06 C6 45 D7 24 EB 04 C6 45 D7 25 E8 ?? ?? ?? ?? 0F B6 55 D7 8D 4D 84 8B 30 FF 56 58 8D 45 90 50 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D 84 5A E8 ?? ?? ?? ?? 6A 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B2 01 8B 47 48 E8 ?? ?? ?? ?? 8D 95 74 FF FF FF 8B C3 E8 ?? ?? ?? ?? 83 BD 74 FF FF FF 00 0F 84 3A 02 00 00 8D 95 70 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 8D 45 A0 50 A1 ?? ?? ?? ?? 50 68 FF FF FF 1F 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D 84 5A E8 ?? ?? ?? ?? E9 FC 01 00 00 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 45 E4 8B 43 54 50 8D 45 B0 50 8B 55 E4 D1 FA 79 03 83 D2 00 4A 8B 4B 50 33 C0 E8 ?? ?? ?? ?? 80 BB F1 01 00 00 00 74 39 FF 45 B0 FF 45 B4 BA 14 00 00 FF 8B 47 48 E8 ?? ?? ?? ?? 8D 55 B0 8B C7 8B 08 FF 51 5C 6A FF 6A FF 8D 45 B0 50 E8 ?? ?? ?? ?? BA 10 00 00 FF 8B 47 48 E8 ?? ?? ?? ?? EB 0D BA 06 00 00 FF 8B 47 48 E8 ?? ?? ?? ?? 8D 55 B0 8B C7 8B 08 FF 51 5C 8D 95 6C FF FF FF 8B C3 E8 ?? ?? ?? ?? 83 BD 6C FF FF FF 00 0F 84 5D 01 00 00 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 18 8B 45 E4 50 8D 45 B0 50 33 C9 33 D2 B8 08 00 00 00 E8 ?? ?? ?? ?? EB 4B 8B 45 E4 50 8D 85 5C FF FF FF 50 8D 95 58 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 95 58 FF FF FF 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 8B 45 B8 5A 2B C2 83 E8 08 33 C9 33 D2 E8 ?? ?? ?? ?? 57 8D B5 5C FF FF FF 8D 7D B0 A5 A5 A5 A5 5F BA 20 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 E0 8B C7 E8 ?? ?? ?? ?? 89 45 C8 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8D 95 54 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 89 85 78 FF FF FF 8B B5 78 FF FF FF 85 F6 74 05 83 EE 04 8B 36 8B 45 C8 89 45 C4 8D 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 E0 0D 00 04 00 00 89 45 C0 8B 45 C0 50 8D 45 B0 50 56 8B 45 EC E8 ?? ?? ?? ?? 50 8B 45 C4 50 E8 ?? ?? ?? ?? 8B 53 74 8B 47 48 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8D 95 50 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 50 FF FF FF 89 85 78 FF FF FF 8B 9D 78 FF FF FF 85 DB 74 05 83 EB 04 8B 1B 8D 45 E8 8B 55 F4 E8 ?? ?? ?? ?? 8B 7D E0 57 8D 45 B0 50 53 8B 45 E8 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 50 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AE 5F 5E 5B 8B E5 5D C3 00 00 01 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_84788_0 {
	meta:
		name = "TCustomGroupBox.CMDialogChar"
		size = 127
		refs = "0010 TCustomGroupBox.CMDialogChar 0020 TControl.GetText 002c IsAccel 003b @CallDynaInst 0046 TWinControl.SelectFirst 0058 TWinControl.CMDialogChar 006d @UStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 0F B7 47 04 E8 ?? ?? ?? ?? 84 C0 74 1F 8B C3 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? C7 47 0C 01 00 00 00 EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84789_0 {
	meta:
		name = "TCustomGroupBox.CMTextChanged"
		size = 22
		refs = "0010 TWinControl.Realign"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84790_0 {
	meta:
		name = "TCustomGroupBox.CMCtl3DChanged"
		size = 29
		refs = "0006 TWinControl.CMCtl3DChanged 0017 TWinControl.Realign"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84792_0 {
	meta:
		name = "TCustomLabel.Create"
		size = 160
		refs = "000a @ClassCreate 0017 TGraphicControl.Create 0020 TCustomLabel.Create 002f TControl.SetWidth 003b TControl.SetHeight 004e StyleServices 0079 TCustomLabel.UpdateDrawTextProc 0084 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 BA 41 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 11 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 BD 01 00 00 01 C6 86 CE 01 00 00 01 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0F A1 ?? ?? ?? ?? F7 D0 23 46 58 89 46 58 EB 0C 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 08 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_84794_0 {
	meta:
		name = "TCustomLabel.DoDrawThemeTextEx"
		size = 156
		refs = "0014 TTextFormatFlags.&op_Implicit 002e TCustomLabel.DoDrawThemeTextEx 0067 CStates 006d StyleServices 008b TCustomStyleServices.DrawText"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 89 4D F8 89 55 FC 8B D8 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 F6 43 5D 80 74 06 81 CE 00 00 80 00 0F B6 05 ?? ?? ?? ?? 88 45 D8 8B 83 B0 01 00 00 8B 40 40 8B 40 18 89 45 DC 8B 83 C8 01 00 00 89 45 F4 8B 45 F8 50 8B 45 0C 50 56 8D 45 D8 50 8B C3 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D CC 5A 8B 18 FF 93 E0 00 00 00 8D 45 CC 50 E8 ?? ?? ?? ?? 8B 55 FC 59 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 00 21 00 00 00 }
	condition:
		$1
}

rule function_84795_0 {
	meta:
		name = "TCustomLabel.DoDrawNormalText"
		size = 108
		refs = "000e TCustomLabel.DoDrawNormalText 002b @UStrLAsg 003c @UStrToPWChar 0043 DrawTextW 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DE 85 DB 74 05 83 EB 04 8B 1B 8B FA 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 75 08 56 8B 45 0C 50 53 8B 45 FC E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_84796_0 {
	meta:
		name = "TCustomLabel.DoDrawText"
		size = 776
		refs = "001c TCustomLabel.DoDrawText 0078 @UStrCat 009a TControl.DrawTextBiDiModeFlags 00aa TCanvas.SetFont 00cf @UStrLAsg 00e0 Ellipsis 011c TCustomCanvas.TextWidth 0136 TCanvas.GetHandle 0154 TControl.GetClientHeight 017f LastDelimiter 019e ByteType 01b6 @UStrCopy 01c6 @UStrCat3 01f2 StyleServices 022e OffsetRect 0241 TFont.SetColor 02bd @UStrArrayClr 02c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D FC 89 5D F8 8B F1 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 B0 00 00 00 F7 C6 00 04 00 00 74 41 83 7D FC 00 75 04 B0 01 EB 26 80 BB CE 01 00 00 00 74 1B 8B 45 FC 66 83 38 26 75 12 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 48 0F 94 C0 EB 02 33 C0 84 C0 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 21 02 00 00 80 BB CE 01 00 00 00 75 06 81 CE 00 08 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 53 6C 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 80 BB D0 01 00 00 00 0F 84 2B 01 00 00 80 BB BD 01 00 00 00 0F 85 1E 01 00 00 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 83 E6 BF 0F B6 83 D0 01 00 00 0B 34 85 ?? ?? ?? ?? 80 BB CD 01 00 00 00 0F 84 E4 00 00 00 0F B6 83 D0 01 00 00 04 FE 2C 02 0F 83 D3 00 00 00 8B 45 F4 56 8B F0 8D 7D E4 A5 A5 A5 A5 5E BA ?? ?? ?? ?? 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 29 45 EC 8D 45 E4 50 B8 00 04 00 00 0B C6 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B 83 C4 01 00 00 FF 93 C0 01 00 00 8B 7D F0 2B 7D E8 8B C3 E8 ?? ?? ?? ?? 3B F8 7E 14 8B 83 B0 01 00 00 8B 40 40 8B 40 10 3B 78 18 0F 9F C0 EB 02 33 C0 84 C0 74 5F 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 75 0E 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F8 4F 8B D7 8B 45 FC E8 ?? ?? ?? ?? 3C 01 75 01 4F 8D 45 FC 50 8B CF BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 05 E9 2D FF FF FF 83 7D FC 00 74 0B 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 68 84 C0 75 0E E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 26 8B 45 F4 50 56 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D FC 8B 83 C4 01 00 00 FF 93 C0 01 00 00 E9 82 00 00 00 6A 01 6A 01 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 8B 40 40 BA 14 00 00 FF E8 ?? ?? ?? ?? 8B 45 F4 50 56 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D FC 8B 83 C4 01 00 00 FF 93 C0 01 00 00 6A FF 6A FF 8B 45 F4 50 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 8B 40 40 BA 10 00 00 FF E8 ?? ?? ?? ?? 8B 45 F4 50 56 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D FC 8B 83 C4 01 00 00 FF 93 C0 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 2E 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 09 00 00 00 00 00 }
	condition:
		$1
}

rule function_84797_0 {
	meta:
		name = "FillGlassRect"
		size = 141
		refs = "0023 TCanvas.GetHandle 0029 BeginBufferedPaint 0034 FillGlassRect 0042 TBrush.GetHandle 0050 FillRect 0062 BufferedPaintSetAlpha 007a EndBufferedPaint 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F2 8D 7D E8 A5 A5 A5 A5 8B D8 8D 45 FC 50 6A 00 6A 02 8D 45 E8 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 48 E8 ?? ?? ?? ?? 50 8D 45 E8 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 F8 68 FF 00 00 00 8D 55 E8 52 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A FF 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84798_0 {
	meta:
		name = "TCustomLabel.Paint"
		size = 257
		refs = "001a TCustomLabel.GetTransparent 0029 TBrush.SetColor 0033 TBrush.SetStyle 0051 FillGlassRect 006a WordWraps 007d Alignments 00ad @CallDynaInst 00ca OffsetRect"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B D8 8B B3 B0 01 00 00 8B D4 8B C3 8B 08 FF 51 60 8B C3 E8 ?? ?? ?? ?? 84 C0 75 33 8B 53 74 8B 46 48 E8 ?? ?? ?? ?? 33 D2 8B 46 48 E8 ?? ?? ?? ?? F6 43 5D 80 75 0B 8B D4 8B C6 8B 08 FF 51 54 EB 0D 8B D4 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 46 48 E8 ?? ?? ?? ?? 0F B6 83 CD 01 00 00 0F B7 3C 45 ?? ?? ?? ?? 66 83 CF 40 0F B6 83 BC 01 00 00 66 0B 3C 45 ?? ?? ?? ?? 0F B7 FF 80 BB CC 01 00 00 00 74 5E 57 8D 74 24 04 8D 7C 24 14 A5 A5 A5 A5 5F B9 00 04 00 00 0B CF 8D 54 24 10 8B C3 66 BE C5 FF E8 ?? ?? ?? ?? 80 BB CC 01 00 00 02 75 16 8B 43 54 2B 44 24 1C 50 6A 00 8D 44 24 08 50 E8 ?? ?? ?? ?? EB 1B 8B 43 54 2B 44 24 1C D1 F8 79 03 83 D0 00 50 6A 00 8D 44 24 08 50 E8 ?? ?? ?? ?? 8B D4 8B CF 8B C3 66 BE C5 FF E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84799_0 {
	meta:
		name = "TCustomLabel.Loaded"
		size = 25
		refs = "0007 TControl.Loaded 0012 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE C6 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84800_0 {
	meta:
		name = "TCustomLabel.AdjustBounds"
		size = 274
		refs = "0036 GetDC 0041 TCustomLabel.AdjustBounds 0058 TCanvas.SetHandle 006a WordWraps 0081 @CallDynaInst 00a9 ReleaseDC 00af @HandleFinally 00dc ChangeBiDiModeAlignment"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 89 45 FC 8B 45 FC F6 40 1C 02 0F 85 F4 00 00 00 8B 45 FC 80 B8 BD 01 00 00 00 0F 84 E4 00 00 00 8D 55 E4 8B 45 FC 8B 08 FF 51 60 6A 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B0 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 80 CD 01 00 00 0F B7 0C 45 ?? ?? ?? ?? 66 81 C9 40 04 0F B7 C9 8D 55 E4 8B 45 FC 66 BE C5 FF E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 01 00 00 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8B 58 48 8B 45 FC 0F B6 80 BC 01 00 00 88 45 F7 8B 45 FC 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 74 08 8D 45 F7 E8 ?? ?? ?? ?? 80 7D F7 01 75 0B 8B 45 FC 8B 40 50 2B 45 EC 03 D8 8B 45 EC 50 8B 45 F0 50 8B 45 FC 8B 48 4C 8B D3 8B 45 FC 8B 18 FF 93 A4 00 00 00 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84801_0 {
	meta:
		name = "TCustomLabel.SetAlignment"
		size = 23
	strings:
		$1 = { 3A 90 BC 01 00 00 74 0E 88 90 BC 01 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_84802_0 {
	meta:
		name = "TCustomLabel.SetEllipsisPosition"
		size = 30
	strings:
		$1 = { 3A 90 D0 01 00 00 74 15 88 90 D0 01 00 00 C6 80 BD 01 00 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_84803_0 {
	meta:
		name = "TCustomLabel.SetAutoSize"
		size = 37
		refs = "001f @CallDynaInst"
	strings:
		$1 = { 56 8B F0 3A 96 BD 01 00 00 74 18 88 96 BD 01 00 00 C6 86 D0 01 00 00 00 8B C6 66 BE C6 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_84804_0 {
	meta:
		name = "TCustomLabel.GetTransparent"
		size = 10
		altNames = "TCustomStaticText.GetTransparent"
	strings:
		$1 = { F6 40 58 40 0F 95 C0 34 01 C3 }
	condition:
		$1
}

rule function_84805_0 {
	meta:
		name = "TCustomLabel.SetFocusControl"
		size = 17
		refs = "000c TComponent.FreeNotification"
	strings:
		$1 = { 89 90 B8 01 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84806_0 {
	meta:
		name = "TCustomLabel.SetGlowSize"
		size = 23
	strings:
		$1 = { 3B 90 C8 01 00 00 74 0E 89 90 C8 01 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_84807_0 {
	meta:
		name = "TCustomLabel.SetShowAccelChar"
		size = 23
	strings:
		$1 = { 3A 90 CE 01 00 00 74 0E 88 90 CE 01 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_84808_0 {
	meta:
		name = "TCustomLabel.SetTransparent"
		size = 72
		refs = "0009 TCustomLabel.GetTransparent 0016 TCustomLabel.SetTransparent"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 28 84 DB 74 0F A1 ?? ?? ?? ?? F7 D0 23 46 58 89 46 58 EB 0B A1 ?? ?? ?? ?? 0B 46 58 89 46 58 8B C6 8B 10 FF 92 9C 00 00 00 C6 86 CF 01 00 00 01 5E 5B C3 00 40 00 00 00 }
	condition:
		$1
}

rule function_84809_0 {
	meta:
		name = "TCustomLabel.SetLayout"
		size = 23
	strings:
		$1 = { 3A 90 CC 01 00 00 74 0E 88 90 CC 01 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_84810_0 {
	meta:
		name = "TCustomLabel.SetWordWrap"
		size = 42
		refs = "0019 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 3A 93 CD 01 00 00 74 1B 88 93 CD 01 00 00 8B C3 66 BE C6 FF E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_84811_0 {
	meta:
		name = "TCustomLabel.Notification"
		size = 45
		refs = "0010 TControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 B8 01 00 00 75 08 33 C0 89 87 B8 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84812_0 {
	meta:
		name = "TCustomLabel.CMTextChanged"
		size = 28
		refs = "0015 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 10 FF 92 9C 00 00 00 8B C3 66 BE C6 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84813_0 {
	meta:
		name = "TCustomLabel.CMThemeChanged"
		size = 76
		refs = "000b StyleServices 0019 TCustomLabel.CMThemeChanged 0035 TCustomLabel.UpdateDrawTextProc"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0F A1 ?? ?? ?? ?? F7 D0 23 46 58 89 46 58 EB 0B A1 ?? ?? ?? ?? 0B 46 58 89 46 58 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_84814_0 {
	meta:
		name = "TCustomLabel.CMFontChanged"
		size = 23
		refs = "0006 TControl.CMFontChanged 0011 @CallDynaInst"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BE C6 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_84815_0 {
	meta:
		name = "TCustomLabel.CMDialogChar"
		size = 154
		refs = "0010 TCustomLabel.CMDialogChar 003d TControl.GetText 0049 IsAccel 005e @CallDynaInst 0088 @UStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB B8 01 00 00 00 74 54 8B C3 8B 10 FF 52 68 84 C0 74 49 80 BB CE 01 00 00 00 74 40 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 0F B7 47 04 E8 ?? ?? ?? ?? 84 C0 74 26 8B 9B B8 01 00 00 8B C3 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 11 8B C3 8B 10 FF 92 F4 00 00 00 C7 47 0C 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84816_0 {
	meta:
		name = "TCustomLabel.UpdateDrawTextProc"
		size = 53
		refs = "0004 StyleServices 001d TCustomLabel.DoDrawThemeTextEx 002f TCustomLabel.DoDrawNormalText"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 12 89 9B C4 01 00 00 C7 83 C0 01 00 00 ?? ?? ?? ?? 5B C3 89 9B C4 01 00 00 C7 83 C0 01 00 00 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84818_0 {
	meta:
		name = "TCustomEdit.Create"
		size = 220
		refs = "000a @ClassCreate 0017 TWinControl.Create 001c NewStyleControls 0026 TCustomEdit.Create 003f TControl.SetWidth 004b TControl.SetHeight 0054 TWinControl.SetTabStop 005d TControl.SetParentColor 0087 TCustomEdit.AdjustHeight 00ad @UStrClr 00bf @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 0A A1 ?? ?? ?? ?? 89 46 58 EB 08 A1 ?? ?? ?? ?? 89 46 58 BA 79 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 80 02 00 00 01 C6 86 78 02 00 00 00 C6 86 85 02 00 00 01 C6 86 86 02 00 00 01 C6 86 87 02 00 00 01 8B C6 E8 ?? ?? ?? ?? C7 86 98 02 00 00 FF FF FF FF C7 86 9C 02 00 00 FF FF FF FF C6 86 A0 02 00 00 00 8D 86 A4 02 00 00 E8 ?? ?? ?? ?? C6 86 8C 02 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 A8 02 08 00 B8 02 08 00 }
	condition:
		$1
}

rule function_84819_0 {
	meta:
		name = "TCustomEdit.DoSetMaxLength"
		size = 30
		refs = "0011 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 C5 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84820_0 {
	meta:
		name = "TCustomEdit.DoSetTextHint"
		size = 73
		refs = "0011 CheckWin32Version 001a StyleServices 002a TWinControl.HandleAllocated 0036 TWinControl.GetHandle 0042 SendTextMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 2D E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 56 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 01 15 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84823_0 {
	meta:
		name = "TCustomEdit.SetBorderStyle"
		size = 33
		refs = "0014 TCustomEdit.UpdateHeight 001b TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 80 02 00 00 74 14 88 93 80 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84825_0 {
	meta:
		name = "TCustomEdit.SetTextHint"
		size = 59
		refs = "000f @UStrEqual 001e @UStrAsg"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 A4 02 00 00 8B D3 E8 ?? ?? ?? ?? 74 23 8D 86 A4 02 00 00 8B D3 E8 ?? ?? ?? ?? F6 46 1C 01 75 10 8B 96 A4 02 00 00 8B C6 8B 08 FF 91 FC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_84826_0 {
	meta:
		name = "TCustomEdit.SetHideSelection"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 87 02 00 00 74 0B 88 90 87 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84827_0 {
	meta:
		name = "TCustomEdit.SetMaxLength"
		size = 46
		refs = "0017 TWinControl.HandleAllocated"
	strings:
		$1 = { 56 57 8B FA 8B F0 3B BE 7C 02 00 00 74 1D 89 BE 7C 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D7 8B C6 8B 08 FF 91 F8 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_84829_0 {
	meta:
		name = "TCustomEdit.GetModified"
		size = 54
		refs = "000e TWinControl.HandleAllocated 0022 TWinControl.GetHandle 0028 SendMessage"
	strings:
		$1 = { 53 56 8B F0 0F B6 9E 8B 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 6A 00 6A 00 68 B8 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_84830_0 {
	meta:
		name = "TCustomEdit.GetReadOnly"
		size = 116
		refs = "000c TCustomEdit.GetReadOnly 003a TLinkObservers.GetEditLink 0062 @IntfClear 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 1F 8B C3 8B 10 FF 52 20 8B D8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 3C 8B D8 EB 07 0F B6 9B 84 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_84831_0 {
	meta:
		name = "TCustomEdit.GetCanUndo"
		size = 49
		refs = "0009 TWinControl.HandleAllocated 001d TWinControl.GetHandle 0023 SendMessage"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 6A 00 6A 00 68 C6 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_84832_0 {
	meta:
		name = "TCustomEdit.SetModified"
		size = 53
		refs = "0009 TWinControl.HandleAllocated 001f TWinControl.GetHandle 0025 SendMessage"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 6A 00 0F B6 C3 50 68 B9 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 88 9E 8B 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_84833_0 {
	meta:
		name = "TCustomEdit.SetNumbersOnly"
		size = 139
		refs = "0015 TWinControl.HandleAllocated 0029 TWinControl.GetHandle 003e GetWindowLongPtr 0052 SetWindowLongPtr"
	strings:
		$1 = { 53 56 8B D8 3A 93 A0 02 00 00 74 7C 88 93 A0 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6B 80 BB A0 02 00 00 00 74 32 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 8B D6 B9 F0 FF FF FF 0D 00 20 00 00 50 51 52 E8 ?? ?? ?? ?? EB 30 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 8B D6 B9 F0 FF FF FF 25 FF DF FF FF 50 51 52 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84834_0 {
	meta:
		name = "TCustomEdit.SetPasswordChar"
		size = 39
		refs = "0016 TWinControl.HandleAllocated 0021 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 66 3B 93 82 02 00 00 74 19 66 89 93 82 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84835_0 {
	meta:
		name = "TCustomEdit.SetReadOnly"
		size = 249
		refs = "0014 TCustomEdit.SetReadOnly 0042 TLinkObservers.GetEditLink 0077 TWinControl.HandleAllocated 008d TWinControl.GetHandle 0093 SendMessage 00dc IEditLinkObserver 00e6 @FinalizeArray 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 66 8B C6 8B 10 FF 52 20 8B F8 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 3C 3A D8 74 78 8B C6 8B 10 FF 52 20 8B F8 88 5D FF 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 0F B6 55 FF 8B 08 FF 51 40 8B C6 E8 ?? ?? ?? ?? 84 C0 74 4B 6A 00 0F B6 C3 50 68 CF 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 31 3A 9E 84 02 00 00 74 29 88 9E 84 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 18 6A 00 0F B6 C3 50 68 CF 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84836_0 {
	meta:
		name = "TCustomEdit.GetSelStart"
		size = 35
		refs = "0013 TWinControl.GetHandle 0019 SendMessage"
	strings:
		$1 = { 53 51 8B D8 6A 00 8D 44 24 04 50 68 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_84837_0 {
	meta:
		name = "TCustomEdit.SetSelStart"
		size = 29
		refs = "0010 TWinControl.GetHandle 0016 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 56 68 B1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84838_0 {
	meta:
		name = "TCustomEdit.GetSelLength"
		size = 45
		refs = "0018 TWinControl.GetHandle 001e SendMessage"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8D 44 24 04 50 8D 44 24 04 50 68 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 04 2B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_84839_0 {
	meta:
		name = "TCustomEdit.SetSelLength"
		size = 99
		refs = "001b TWinControl.GetHandle 0021 SendMessage"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8D 44 24 04 50 8D 44 24 04 50 68 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 34 24 89 74 24 04 8B 44 24 04 50 8B 44 24 04 50 68 B1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 6A 00 68 B7 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_84840_0 {
	meta:
		name = "TCustomEdit.Clear"
		size = 83
		refs = "000a TCustomEdit.Clear 0015 TWinControl.GetHandle 001f @UStrClr 0027 @UStrToPWChar 002e SetWindowText 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B D8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_84841_0 {
	meta:
		name = "TCustomEdit.ClearSelection"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 03 03 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84842_0 {
	meta:
		name = "TCustomEdit.CopyToClipboard"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 01 03 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84843_0 {
	meta:
		name = "TCustomEdit.CutToClipboard"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 00 03 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84844_0 {
	meta:
		name = "TCustomEdit.PasteFromClipboard"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 02 03 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84845_0 {
	meta:
		name = "TCustomEdit.Undo"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 04 03 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84846_0 {
	meta:
		name = "TCustomEdit.ClearUndo"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 CD 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84847_0 {
	meta:
		name = "TCustomEdit.SelectAll"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A FF 6A 00 68 B1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84848_0 {
	meta:
		name = "TCustomEdit.GetSelTextBuf"
		size = 162
		refs = "002c TControl.GetTextLen 0032 StrAlloc 003d TCustomEdit.GetSelTextBuf 004b StrBufSize 0057 TControl.GetTextBuf 0078 StrLCopy 008d StrDispose 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 89 4D F8 89 55 FC 8B F0 8B C6 8B 10 FF 92 04 01 00 00 8B F8 8B C6 8B 10 FF 92 00 01 00 00 89 45 F4 8B C6 E8 ?? ?? ?? ?? 40 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B C8 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F8 7C 07 8B 45 F8 48 89 45 F4 8B D7 03 D2 03 55 F0 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_84849_0 {
	meta:
		name = "TCustomEdit.SetSelTextBuf"
		size = 30
		refs = "0011 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 C2 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84850_0 {
	meta:
		name = "TCustomEdit.GetSelText"
		size = 159
		refs = "002d @UStrFromPWCharLen 0038 TControl.GetTextLen 003e StrAlloc 0049 TCustomEdit.GetSelText 0057 StrBufSize 0063 TControl.GetTextBuf 0077 Move 008c StrDispose 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B FA 8B F0 8B C6 8B 10 FF 92 04 01 00 00 89 45 F8 8B C6 8B 10 FF 92 00 01 00 00 8B D8 8B C7 8B CB 33 D2 E8 ?? ?? ?? ?? 85 DB 74 63 8B C6 E8 ?? ?? ?? ?? 40 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 8D 04 50 8B CB 03 C9 8B 17 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84851_0 {
	meta:
		name = "TCustomEdit.KeyDown"
		size = 189
		refs = "0017 TCustomEdit.KeyDown 002a TWinControl.KeyDown 0064 TLinkObservers.GetEditLink 00a1 IEditLinkObserver 00ab @FinalizeArray 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 66 89 4D FE 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 4C 66 83 3E 2E 74 0C 66 83 3E 2D 75 40 F6 45 FE 01 74 3A 8B C3 8B 10 FF 52 20 8B F0 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 24 84 C0 74 1B 8B C3 8B 10 FF 52 20 8B D8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84852_0 {
	meta:
		name = "TCustomEdit.KeyPress"
		size = 354
		refs = "0016 TCustomEdit.KeyPress 0025 TWinControl.KeyPress 005e TLinkObservers.GetEditLink 0075 MessageBeep 012a TCustomEdit.SelectAll 0145 IEditLinkObserver 014f @FinalizeArray 0155 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 0F 84 F1 00 00 00 66 83 3E 20 72 36 8B C3 8B 10 FF 52 20 8B F8 0F B7 06 66 89 45 FE 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 0F B7 55 FE 8B 08 FF 51 34 84 C0 75 0C 6A 00 E8 ?? ?? ?? ?? 66 C7 06 00 00 0F B7 06 83 F8 18 7F 11 74 22 83 E8 08 74 1D 83 E8 0E 74 18 E9 9C 00 00 00 83 E8 1B 74 51 83 C0 FB 2D E0 FF 00 00 0F 83 89 00 00 00 8B C3 8B 10 FF 52 20 8B F8 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 24 84 C0 75 07 66 C7 06 00 00 EB 63 8B C3 8B 10 FF 52 20 8B D8 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 2C EB 46 8B C3 8B 10 FF 52 20 8B F8 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 44 84 C0 74 22 8B C3 8B 10 FF 52 20 8B F8 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 28 8B C3 E8 ?? ?? ?? ?? 66 C7 06 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84855_0 {
	meta:
		name = "TCustomEdit.ObserverAdded"
		size = 125
		refs = "0019 TCustomEdit.ObserverAdded 0026 _DV_TCustomEdit.ObserverAdded$3288$ActRec 002b TObject.Create 003e @IntfCopy 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 0C 4F 75 11 8B D3 85 D2 74 03 83 EA F0 8B 45 F8 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_85062_0 {
	meta:
		name = "TCustomCheckBox.ObserverAdded"
		size = 125
		refs = "0019 TCustomCheckBox.ObserverAdded 0026 _DV_TCustomCheckBox.ObserverAdded$3495$ActRec 002b TObject.Create 003e @IntfCopy 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 89 73 0C 4F 75 11 8B D3 85 D2 74 03 83 EA F0 8B 45 F8 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84856_0 {
	meta:
		name = "TCustomEdit.ObserverToggle"
		size = 136
		refs = "000f TCustomEdit.ObserverToggle 0021 @IntfClear 002f Supports 0044 TCustomEdit.SetReadOnly 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 C9 74 2D 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1C 8B 45 FC 8B 10 FF 52 3C 8B D0 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 05 27 8C E8 5A 7C 66 4E 9B 81 44 7D 05 D5 E6 40 }
	condition:
		$1
}

rule function_84857_0 {
	meta:
		name = "TCustomEdit.SetSelText"
		size = 29
		refs = "000a TWinControl.GetHandle 0016 SendTextMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B C3 E8 ?? ?? ?? ?? 33 C9 BA C2 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84858_0 {
	meta:
		name = "TCustomEdit.CreateParams"
		size = 244
		refs = "000c TWinControl.CreateParams 0011 TCustomEdit.CreateParams 001a TWinControl.CreateSubClass 0025 @CallDynaInst 0032 Alignments 0055 BorderStyles 006a Passwords 0078 NumbersOnlyStyle 0086 ReadOnlys 0094 CharCases 00a2 HideSelections 00b0 OEMConverts 00b8 NewStyleControls"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 83 E0 7F 8D 04 40 8D 04 85 ?? ?? ?? ?? 0F B6 93 78 02 00 00 8B 04 90 8B 57 04 81 CA C0 00 00 00 0B C2 0F B6 93 80 02 00 00 0B 04 95 ?? ?? ?? ?? 66 83 BB 82 02 00 00 00 0F 95 C2 83 E2 7F 0B 04 95 ?? ?? ?? ?? 0F B6 93 A0 02 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 84 02 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 89 02 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 87 02 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 88 02 00 00 0B 04 95 ?? ?? ?? ?? 89 47 04 A1 ?? ?? ?? ?? 80 38 00 74 20 80 BB F1 01 00 00 00 74 17 80 BB 80 02 00 00 01 75 0E 81 67 04 FF FF 7F FF 81 4F 08 00 02 00 00 5F 5E 5B C3 00 00 00 45 00 44 00 49 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_84859_0 {
	meta:
		name = "TCustomEdit.CreateWindowHandle"
		size = 110
		refs = "000c SysLocale 0017 Win32Platform 003e TWinControl.CreateWindowHandle 0057 SendMessage"
	strings:
		$1 = { 53 56 57 81 C4 34 FF FF FF 8B D8 A1 ?? ?? ?? ?? 80 78 0C 00 74 47 A1 ?? ?? ?? ?? 83 38 02 74 3D F6 42 05 08 74 37 8B F2 8B FC B9 33 00 00 00 F3 A5 81 64 24 04 FF F7 FF FF 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 83 60 02 00 00 85 C0 74 18 6A 00 6A 01 68 CF 00 00 00 50 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 81 C4 CC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84860_0 {
	meta:
		name = "TCustomEdit.CreateWnd"
		size = 280
		refs = "0016 TCustomEdit.CreateWnd 0024 TWinControl.CreateWnd 0041 @HandleFinally 0069 TCustomEdit.SetModified 007b StyleServices 00ab TWinControl.GetHandle 00b1 SendMessage 00fc TCustomEdit.UpdateHeight"
	strings:
		$1 = { 55 8B EC 51 56 89 45 FC 8B 45 FC C6 80 8A 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 8A 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 90 7C 02 00 00 8B 45 FC 8B 08 FF 91 F8 00 00 00 8B 45 FC 0F B6 90 8B 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 82 02 00 00 00 74 3B E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0D 8B 45 FC 66 83 B8 82 02 00 00 2A 74 20 6A 00 8B 45 FC 0F B7 80 82 02 00 00 50 68 CC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 02 00 00 83 F8 FF 74 1A 8B D0 8B 45 FC 8B 08 FF 91 10 01 00 00 8B 45 FC C7 80 9C 02 00 00 FF FF FF FF 8B 45 FC 8B B0 98 02 00 00 83 FE FF 74 0D 8B D6 8B 45 FC 8B 08 FF 91 0C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 A4 02 00 00 8B 45 FC 8B 08 FF 91 FC 00 00 00 5E 59 5D C3 }
	condition:
		$1
}

rule function_84861_0 {
	meta:
		name = "TCustomEdit.DestroyWnd"
		size = 57
		refs = "0006 TCustomEdit.GetModified 0033 TWinControl.DestroyWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 88 83 8B 02 00 00 8B C3 8B 10 FF 92 00 01 00 00 89 83 98 02 00 00 8B C3 8B 10 FF 92 04 01 00 00 89 83 9C 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84862_0 {
	meta:
		name = "TCustomEdit.UpdateHeight"
		size = 60
		refs = "0016 TCustomEdit.UpdateHeight 0023 TCustomEdit.AdjustHeight"
	strings:
		$1 = { 53 8B D8 80 BB 85 02 00 00 00 74 1D 80 BB 80 02 00 00 01 75 14 A1 ?? ?? ?? ?? 0B 43 58 89 43 58 8B C3 E8 ?? ?? ?? ?? 5B C3 A1 ?? ?? ?? ?? F7 D0 23 43 58 89 43 58 5B C3 00 02 00 00 }
	condition:
		$1
}

rule function_84863_0 {
	meta:
		name = "TCustomEdit.AdjustHeight"
		size = 226
		refs = "000d GetDC 0018 TCustomEdit.AdjustHeight 002b GetTextMetrics 0036 TFont.GetHandle 0040 SelectObject 0071 ReleaseDC 0077 @HandleFinally 007e NewStyleControls 00a2 GetSystemMetrics 00d9 TControl.SetHeight"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 89 45 FC 6A 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 BC 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 6C E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B D8 8D 45 80 50 8B 45 F8 50 E8 ?? ?? ?? ?? 53 8B 45 F8 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED A1 ?? ?? ?? ?? 80 38 00 74 24 8B 45 FC 80 B8 F1 01 00 00 00 74 07 BB 08 00 00 00 EB 05 BB 06 00 00 00 6A 06 E8 ?? ?? ?? ?? 0F AF D8 EB 25 8B 5D BC 8B 45 80 3B D8 7E 02 8B D8 6A 06 E8 ?? ?? ?? ?? 03 C0 03 C0 85 DB 79 03 83 C3 03 C1 FB 02 03 C3 8B D8 8B 55 80 03 D3 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84864_0 {
	meta:
		name = "TCustomCombo.Change"
		size = 36
		refs = "0006 TControl.Changed"
		altNames = "TCustomEdit.Change"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB 92 02 00 00 00 74 0E 8B D3 8B 83 94 02 00 00 FF 93 90 02 00 00 5B C3 }
	condition:
		$1
}

rule function_84865_0 {
	meta:
		name = "TCustomEdit.DefaultHandler"
		size = 162
		refs = "0021 Win32Platform 002f IsWindow 0060 TWinControl.GetHandle 0066 PostMessage 0088 PerformBufferedPrintClient 0098 TWinControl.DefaultHandler"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B 06 83 E8 07 74 10 2D 46 B0 00 00 74 55 2D E6 0C 00 00 74 20 EB 73 A1 ?? ?? ?? ?? 83 38 01 75 69 8B 46 04 50 E8 ?? ?? ?? ?? 85 C0 75 5C 33 C0 89 46 04 EB 55 F6 43 5D 80 74 4F 80 BB 8C 02 00 00 00 75 46 C6 83 8C 02 00 00 01 6A 00 6A 00 68 4D B0 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 27 80 BB 8C 02 00 00 00 74 1E 8B D4 8B C3 8B 08 FF 51 60 54 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? C6 83 8C 02 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_84866_0 {
	meta:
		name = "TCustomEdit.WMSetFont"
		size = 67
		refs = "000b NewStyleControls 0017 TWinControl.GetHandle 0023 GetWindowLongPtr 003d SendMessage"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 A1 ?? ?? ?? ?? 80 38 00 74 2D 8B C6 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? A8 04 75 16 6A 00 6A 03 68 D3 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_84867_0 {
	meta:
		name = "TCustomEdit.CMColorChanged"
		size = 45
		refs = "0006 TWinControl.CMColorChanged 000d TWinControl.HandleAllocated 0021 TWinControl.GetHandle 0027 RedrawWindow"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 68 01 04 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84868_0 {
	meta:
		name = "TCustomEdit.CMCtl3DChanged"
		size = 51
		refs = "0007 NewStyleControls 001c TCustomEdit.UpdateHeight 0023 TWinControl.RecreateWnd 002c TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 17 80 BB 80 02 00 00 01 75 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84869_0 {
	meta:
		name = "TCustomEdit.CMFontChanged"
		size = 37
		refs = "0006 TWinControl.CMFontChanged 001f TCustomEdit.AdjustHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 59 02 74 13 F6 43 1C 10 74 06 F6 43 1C 01 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84871_0 {
	meta:
		name = "TCustomEdit.CNCommand"
		size = 33
		refs = "001b @CallDynaInst"
	strings:
		$1 = { 56 8B F0 66 81 7A 06 00 03 75 14 80 BE 8A 02 00 00 00 75 0B 8B C6 66 BE AE FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_84872_0 {
	meta:
		name = "TCustomEdit.CMEnter"
		size = 63
		refs = "0018 TWinControl.GetHandle 0024 GetWindowLongPtr 002f TCustomEdit.SelectAll 0038 TWinControl.CMEnter"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 86 02 00 00 00 74 24 F6 43 5C 01 75 1E 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? A8 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84873_0 {
	meta:
		name = "TCustomEdit.CMExit"
		size = 187
		refs = "0017 TCustomEdit.CMExit 0055 TLinkObservers.GetEditLink 0067 TWinControl.CMExit 0076 @HandleAnyException 007e TCustomEdit.SelectAll 008e @RaiseAgain 0093 @DoneExcept 00a8 @IntfClear 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 1C 8B 45 FC 8B 10 FF 52 20 8B D8 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84874_0 {
	meta:
		name = "TCustomEdit.CMTextChanged"
		size = 66
		refs = "0006 TWinControl.CMTextChanged 000d TWinControl.HandleAllocated 001c TWinControl.GetHandle 0028 GetWindowLongPtr 003c @CallDynaInst"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 B0 01 EB 18 8B C6 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? A8 04 0F 95 C0 84 C0 74 0B 8B C6 66 BE AE FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_84875_0 {
	meta:
		name = "TCustomEdit.WMContextMenu"
		size = 215
		refs = "004c InvalidPoint 005d TControl.ScreenToClient 0082 @CallDynaInst 00bd CallWindowProc 00cc TWinControl.WMContextMenu"
	strings:
		$1 = { 53 56 57 83 C4 D0 8B FA 8B D8 8B C3 8B 10 FF 92 F4 00 00 00 83 BB 84 00 00 00 00 0F 85 A6 00 00 00 8B 47 08 89 44 24 0A 0F BF 44 24 0A 89 44 24 10 0F BF 44 24 0C 89 44 24 14 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 8B C4 E8 ?? ?? ?? ?? 84 C0 75 1C 8D 4C 24 28 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 28 89 04 24 8B 44 24 2C 89 44 24 04 C6 44 24 08 00 8D 4C 24 08 8B D4 8B C3 66 BE E8 FF E8 ?? ?? ?? ?? 0F B6 44 24 08 89 47 0C 80 7C 24 08 00 75 3B 8B F7 8D 7C 24 18 A5 A5 A5 A5 8B 44 24 20 50 8B 44 24 20 50 8B 44 24 20 50 8B 83 60 02 00 00 50 8B 83 5C 02 00 00 50 E8 ?? ?? ?? ?? 89 44 24 24 EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84876_0 {
	meta:
		name = "TCustomEdit.GetControlsAlignment"
		size = 8
	strings:
		$1 = { 0F B6 80 78 02 00 00 C3 }
	condition:
		$1
}

rule function_84877_0 {
	meta:
		name = "TMemoStrings.GetCount"
		size = 112
		refs = "000a TWinControl.HandleAllocated 002b TWinControl.GetHandle 0031 SendMessage"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B 43 2C E8 ?? ?? ?? ?? 84 C0 75 0C 8B 43 2C 83 B8 7C 01 00 00 00 74 4D 6A 00 6A 00 68 BA 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 6A 00 6A 00 8B C6 48 50 68 BB 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 68 C1 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 01 4E 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84878_0 {
	meta:
		name = "TMemoStrings.Get"
		size = 86
		refs = "0037 TWinControl.GetHandle 003d SendMessage 0048 @UStrFromPWCharLen"
	strings:
		$1 = { 53 56 57 50 B8 02 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 84 24 00 20 00 00 83 C4 04 8B F9 8B F2 8B D8 8B C4 66 C7 00 00 10 8B C4 50 56 68 C4 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C7 E8 ?? ?? ?? ?? 81 C4 00 20 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84879_0 {
	meta:
		name = "TMemoStrings.Put"
		size = 107
		refs = "0015 TWinControl.GetHandle 001b SendMessage 0063 SendTextMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A 00 56 68 BB 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 42 6A 00 56 68 C1 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 C6 50 56 68 B1 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 57 8B 43 2C E8 ?? ?? ?? ?? 33 C9 BA C2 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84880_0 {
	meta:
		name = "TMemoStrings.Insert"
		size = 284
		refs = "0019 TMemoStrings.Insert 0037 TWinControl.GetHandle 003d SendMessage 0053 @UStrCat3 00b1 @UStrCat 00de SendTextMessage 00f3 @UStrClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 0F 8C B7 00 00 00 6A 00 57 68 BB 00 00 00 8B 46 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 12 8D 45 FC B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? EB 5C 6A 00 4F 57 68 BB 00 00 00 8B 46 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 6C 6A 00 53 68 C1 00 00 00 8B 46 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 52 03 D8 8D 45 FC 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 53 53 68 B1 00 00 00 8B 46 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 46 2C E8 ?? ?? ?? ?? 33 C9 BA C2 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_84881_0 {
	meta:
		name = "TMemoStrings.Delete"
		size = 137
		refs = "0013 TWinControl.GetHandle 0019 SendMessage 0081 SendTextMessage"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 6A 00 57 68 BB 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 62 6A 00 47 57 68 BB 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 85 FF 7D 1A 6A 00 56 68 C1 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 03 FE 57 56 68 B1 00 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 43 2C E8 ?? ?? ?? ?? 33 C9 BA C2 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84882_0 {
	meta:
		name = "TMemoStrings.Clear"
		size = 12
	strings:
		$1 = { 8B 40 2C 8B 10 FF 92 14 01 00 00 C3 }
	condition:
		$1
}

rule function_84883_0 {
	meta:
		name = "TMemoStrings.SetUpdateState"
		size = 79
		refs = "000a TWinControl.HandleAllocated 0022 TWinControl.GetHandle 0028 SendMessage 0040 TControl.Perform 0048 TControl.Refresh"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 2C E8 ?? ?? ?? ?? 84 C0 74 3A 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B 46 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 F3 01 84 DB 74 19 6A 00 33 C9 BA 19 B0 00 00 8B 46 2C E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84885_0 {
	meta:
		name = "TMemoStrings.SetTextStr"
		size = 227
		refs = "0013 TMemoStrings.SetTextStr 0025 AdjustLineBreaks 0039 TControl.GetTextLen 004c TControl.GetText 0057 @UStrEqual 006a TWinControl.GetHandle 0076 SendTextMessage 0082 SInvalidMemoSize 0087 LoadResString 0091 _Dn_EInvalidOperation 0096 Exception.Create 009b @RaiseExcept 00ac TControl.Perform 00c1 @UStrClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8B 46 2C E8 ?? ?? ?? ?? 3B D8 74 04 B0 01 EB 19 8D 55 F8 8B 46 2C E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 0F 95 C0 84 C0 74 4E 8B 45 FC 50 8B 46 2C E8 ?? ?? ?? ?? 33 C9 BA 0C 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B 46 2C 33 C9 BA 12 B0 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84887_0 {
	meta:
		name = "TCustomMemo.Create"
		size = 180
		refs = "000e @ClassCreate 001c TCustomEdit.Create 0028 TControl.SetWidth 0034 TControl.SetHeight 0052 _DV_TMemoStrings 0057 TStrings.Create 007b TCustomMemo.Create 0095 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? BA B9 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 59 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 78 C6 83 AD 02 00 00 01 C6 83 AE 02 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A8 02 00 00 89 5E 2C 33 D2 8B C3 8B 08 FF 91 E4 00 00 00 8B 83 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 88 50 10 0F B6 15 ?? ?? ?? ?? 88 50 11 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 12 00 00 00 1E 00 00 00 }
	condition:
		$1
}

rule function_84888_0 {
	meta:
		name = "TCustomMemo.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TWinControl.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84889_0 {
	meta:
		name = "TCustomMemo.DoGetGestureOptions"
		size = 56
		refs = "000b TControl.DoGetGestureOptions 0026 TCustomMemo.DoGetGestureOptions"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? F6 06 02 74 1C 0F B6 83 AC 02 00 00 84 C0 74 04 3C 01 75 0D 0F B6 05 ?? ?? ?? ?? F7 D0 22 06 88 06 5E 5B C3 00 02 00 00 00 }
	condition:
		$1
}

rule function_84890_0 {
	meta:
		name = "TCustomMemo.CreateParams"
		size = 59
		refs = "000b TCustomEdit.CreateParams 001c WordWraps 0031 ScrollBar"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 0F B6 93 AD 02 00 00 8B 14 95 ?? ?? ?? ?? F7 D2 23 C2 83 C8 04 0F B6 93 AC 02 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_84891_0 {
	meta:
		name = "TCustomMemo.CreateWindowHandle"
		size = 268
		refs = "0010 TCustomMemo.CreateWindowHandle 001b SysLocale 0026 Win32Platform 0055 HInstance 006a CreateWindowEx 0085 SendMessage 00cb @UStrFromPWChar 00e1 SendTextMessage 00f6 @UStrClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 78 0C 00 74 66 A1 ?? ?? ?? ?? 83 38 02 74 5C F6 43 05 08 74 56 8B 43 04 25 FF F7 FF FF 50 8B 43 0C 50 8B 43 10 50 8B 43 14 50 8B 43 18 50 8B 43 1C 50 6A 00 A1 ?? ?? ?? ?? 50 8B 43 20 50 B9 ?? ?? ?? ?? 8D 53 4C 8B 43 08 E8 ?? ?? ?? ?? 8B F8 89 BE 60 02 00 00 85 FF 74 4B 6A 00 6A 01 68 CF 00 00 00 57 E8 ?? ?? ?? ?? EB 3A 8B 43 04 50 8B 43 0C 50 8B 43 10 50 8B 43 14 50 8B 43 18 50 8B 43 1C 50 6A 00 A1 ?? ?? ?? ?? 50 8B 43 20 50 B9 ?? ?? ?? ?? 8D 53 4C 8B 43 08 E8 ?? ?? ?? ?? 89 86 60 02 00 00 8D 45 FC 8B 13 E8 ?? ?? ?? ?? 8B 45 FC 50 33 C9 BA 0C 00 00 00 8B 86 60 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_84892_0 {
	meta:
		name = "TCustomMemo.GetCaretPos"
		size = 91
		refs = "0012 TWinControl.GetHandle 0018 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 6A 00 68 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C1 E8 10 25 FF FF 00 00 89 06 6A 00 8B 06 50 68 C9 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 04 6A 00 6A FF 68 BB 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 29 06 5E 5B C3 }
	condition:
		$1
}

rule function_84893_0 {
	meta:
		name = "TCustomMemo.IsTouchPropertyStored"
		size = 76
		refs = "000b TControl.IsTouchPropertyStored 0021 TCustomMemo.IsTouchPropertyStored"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 80 EB 01 72 04 74 18 EB 29 8B 86 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 3A 50 10 0F 95 C0 5E 5B C3 8B 86 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 3A 50 11 0F 95 C0 5E 5B C3 12 00 00 00 1E 00 00 00 }
	condition:
		$1
}

rule function_84894_0 {
	meta:
		name = "TCustomMemo.SetCaretPos"
		size = 57
		refs = "0014 TWinControl.GetHandle 001a SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 8B 46 04 50 68 BB 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 03 06 8B F0 56 56 68 B1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84896_0 {
	meta:
		name = "TCustomMemo.SetLines"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 A8 02 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_84897_0 {
	meta:
		name = "TCustomMemo.SetScrollBars"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 AC 02 00 00 74 0B 88 90 AC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84899_0 {
	meta:
		name = "TCustomMemo.WMGetDlgCode"
		size = 50
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 80 BB AF 02 00 00 00 74 06 83 4E 0C 02 EB 04 83 66 0C FD 80 BB AE 02 00 00 00 75 04 83 66 0C FB 5E 5B C3 }
	condition:
		$1
}

rule function_84901_0 {
	meta:
		name = "TCustomMemo.KeyPress"
		size = 38
		refs = "000b TCustomEdit.KeyPress"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 66 83 3E 0D 75 0E 80 BB AE 02 00 00 00 75 05 66 C7 06 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_84904_0 {
	meta:
		name = "TCustomComboBoxStrings.GetCount"
		size = 28
		refs = "0010 TWinControl.GetHandle 0016 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 46 01 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84905_0 {
	meta:
		name = "TCustomComboBoxStrings.GetObject"
		size = 145
		refs = "0010 TCustomComboBoxStrings.GetObject 0026 TWinControl.GetHandle 002c SendMessage 0055 SListIndexError 005a LoadResString 0066 TStrings.Error 007d @UStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 56 68 50 01 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 83 FF FF 75 33 8B C3 8B 10 FF 52 14 85 C0 74 0F 85 F6 7C 0B 8B C3 8B 10 FF 52 14 3B F0 7E 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 8B DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84906_0 {
	meta:
		name = "TCustomComboBoxStrings.PutObject"
		size = 34
		refs = "0014 TWinControl.GetHandle 001a SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 51 01 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84907_0 {
	meta:
		name = "TCustomComboBoxStrings.Get"
		size = 91
		refs = "0015 TWinControl.GetHandle 001b SendMessage 002c @UStrSetLength 0033 @UStrToPWChar"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 6A 00 57 68 49 01 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 FF 74 2A 85 C0 7E 26 8B D6 92 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 50 57 68 48 01 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 09 8B C6 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84908_0 {
	meta:
		name = "TCustomComboBoxStrings.Clear"
		size = 111
		refs = "000c TCustomComboBoxStrings.Clear 001d TControl.GetText 002e TWinControl.GetHandle 0034 SendMessage 003f TControl.SetText 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 2C E8 ?? ?? ?? ?? 6A 00 6A 00 68 4B 01 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 2C E8 ?? ?? ?? ?? 8B 43 2C 8B 10 FF 92 A8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_84909_0 {
	meta:
		name = "TCustomComboBoxStrings.Delete"
		size = 31
		refs = "0012 TWinControl.GetHandle 0018 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 44 01 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84910_0 {
	meta:
		name = "TCustomComboBoxStrings.IndexOf"
		size = 102
		refs = "0010 TWinControl.GetHandle 001d SendTextMessage 003d SendMessage"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 85 DB 74 1A 53 8B 46 2C E8 ?? ?? ?? ?? 83 C9 FF BA 58 01 00 00 E8 ?? ?? ?? ?? 8B F8 EB 3B 33 DB 33 FF EB 1F 6A 00 57 68 49 01 00 00 8B 46 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 04 B3 01 EB 01 47 84 DB 75 0B 8B C6 8B 10 FF 52 14 3B F8 7C D2 84 DB 75 03 83 CF FF 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84911_0 {
	meta:
		name = "TCustomComboBoxStrings.SetUpdateState"
		size = 50
		refs = "0016 TWinControl.GetHandle 001c SendMessage 002b TControl.Refresh"
		altNames = "TListBoxStrings.SetUpdateState"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 00 8B C3 34 01 83 E0 7F 50 6A 0B 8B 46 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 F3 01 84 DB 74 08 8B 46 2C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84912_0 {
	meta:
		name = "TComboBoxStrings.Add"
		size = 171
		refs = "0013 TComboBoxStrings.Add 0032 @UStrLAsg 003a UniqueString 004d TWinControl.GetHandle 0053 SendMessage 0061 SInsertLineError 0066 LoadResString 0070 _Dn_EOutOfResources 0075 Exception.Create 007a @RaiseExcept 008f @UStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 0B 66 C7 45 FA 00 00 8D 5D FA EB 15 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 5D FC 53 6A 00 68 43 01 00 00 8B 46 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84913_0 {
	meta:
		name = "TComboBoxStrings.Insert"
		size = 150
		refs = "0014 TComboBoxStrings.Insert 0024 @UStrLAsg 002c UniqueString 0038 TWinControl.GetHandle 0044 SendTextMessage 0050 SInsertLineError 0055 LoadResString 005f _Dn_EOutOfResources 0064 Exception.Create 0069 @RaiseExcept 0083 @UStrArrayClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 2C E8 ?? ?? ?? ?? 8B CE BA 4A 01 00 00 E8 ?? ?? ?? ?? 85 C0 7D 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84914_0 {
	meta:
		name = "TCustomCombo.Create"
		size = 256
		refs = "000e @ClassCreate 001c TCustomListControl.Create 0021 NewStyleControls 002b TCustomCombo.Create 0044 TControl.SetWidth 0050 TControl.SetHeight 0059 TWinControl.SetTabStop 0062 TControl.SetParentColor 0069 _Dn_TControlCanvas 006e TCanvas.Create 007f TControlCanvas.SetControl 0098 MakeObjectInstance 00a4 TCustomCombo.ListWndProc 00e1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 0A A1 ?? ?? ?? ?? 89 43 58 EB 08 A1 ?? ?? ?? ?? 89 43 58 BA 91 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 78 02 00 00 8B C6 8B D3 E8 ?? ?? ?? ?? C7 83 B0 02 00 00 10 00 00 00 53 8B 03 8B 80 28 01 00 00 50 E8 ?? ?? ?? ?? 89 83 D4 02 00 00 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D8 02 00 00 C7 83 80 02 00 00 08 00 00 00 C7 83 88 02 00 00 FF FF FF FF C7 83 D0 02 00 00 FF FF FF FF C6 83 84 02 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 A2 42 08 00 B2 42 08 00 }
	condition:
		$1
}

rule function_84915_0 {
	meta:
		name = "TCustomCombo.Destroy"
		size = 90
		refs = "0003 @BeforeDestruction 000e TWinControl.HandleAllocated 0027 FreeObjectInstance 003d TObject.Free 0048 TWinControl.Destroy 0053 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 D0 00 00 00 8B 86 D8 02 00 00 E8 ?? ?? ?? ?? 8B 86 D4 02 00 00 E8 ?? ?? ?? ?? 8B 86 78 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84916_0 {
	meta:
		name = "TCustomCombo.Clear"
		size = 44
		refs = "0004 TCustomCombo.Clear 000b TControl.SetTextBuf"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 B4 02 00 00 8B 10 FF 52 44 C7 83 D0 02 00 00 FF FF FF FF 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_84917_0 {
	meta:
		name = "TCustomCombo.DestroyWindowHandle"
		size = 36
		refs = "0006 TWinControl.DestroyWindowHandle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 B8 02 00 00 33 C0 89 83 BC 02 00 00 33 C0 89 83 C0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_84918_0 {
	meta:
		name = "TCustomCombo.SelectAll"
		size = 30
		refs = "0012 TWinControl.GetHandle 0018 SendMessage"
	strings:
		$1 = { 53 8B D8 68 00 00 FF FF 6A 00 68 42 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84919_0 {
	meta:
		name = "TCustomCombo.GetDroppedDown"
		size = 33
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 57 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5B C3 }
	condition:
		$1
}

rule function_84920_0 {
	meta:
		name = "TCustomCombo.SetDroppedDown"
		size = 68
		refs = "0017 TWinControl.GetHandle 001d SendMessage 003a InvalidateRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 6A 00 0F B6 C3 50 68 4F 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D4 8B C6 8B 08 FF 51 60 6A FF 8D 44 24 04 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_84921_0 {
	meta:
		name = "TCustomCombo.GetItemIndex"
		size = 41
		refs = "001d TWinControl.GetHandle 0023 SendMessage"
	strings:
		$1 = { 53 8B D8 F6 43 1C 01 74 08 8B 83 88 02 00 00 5B C3 6A 00 6A 00 68 47 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84922_0 {
	meta:
		name = "TCustomCombo.SetItemIndex"
		size = 59
		refs = "002e TWinControl.GetHandle 0034 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 01 74 09 89 B3 88 02 00 00 5E 5B C3 8B C3 8B 10 FF 92 F8 00 00 00 3B F0 74 15 6A 00 56 68 4E 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84923_0 {
	meta:
		name = "TCustomCombo.GetSelStart"
		size = 39
		refs = "000e TWinControl.GetHandle 001c SendGetIntMessage"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 04 BA 40 01 00 00 E8 ?? ?? ?? ?? 8B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_84924_0 {
	meta:
		name = "TCustomCombo.SetSelStart"
		size = 52
		refs = "0026 TWinControl.GetHandle 002c SendMessage"
	strings:
		$1 = { 53 83 C4 F8 8B D8 89 14 24 89 54 24 04 0F B7 04 24 0F B7 54 24 04 C1 E2 10 0B C2 50 6A 00 68 42 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_84925_0 {
	meta:
		name = "TCustomCombo.GetSelLength"
		size = 43
		refs = "000e TWinControl.GetHandle 001c SendGetIntMessage"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 04 BA 40 01 00 00 E8 ?? ?? ?? ?? 8B 44 24 04 2B 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_84926_0 {
	meta:
		name = "TCustomCombo.SetSelLength"
		size = 82
		refs = "0011 TWinControl.GetHandle 001f SendGetIntMessage 0049 SendMessage"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 04 BA 40 01 00 00 E8 ?? ?? ?? ?? 03 34 24 89 74 24 04 0F B7 04 24 0F B7 54 24 04 C1 E2 10 0B C2 50 6A 00 68 42 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_84927_0 {
	meta:
		name = "TCustomCombo.SetMaxLength"
		size = 61
		refs = "001d TWinControl.HandleAllocated 0030 TWinControl.GetHandle 0036 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7D 02 33 F6 3B B3 7C 02 00 00 74 26 89 B3 7C 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 6A 00 56 68 41 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84928_0 {
	meta:
		name = "TCustomCombo.SetItemHeight"
		size = 16
		refs = "000b TWinControl.RecreateWnd"
	strings:
		$1 = { 85 D2 7E 0B 89 90 B0 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84929_0 {
	meta:
		name = "TCustomCombo.WMCreate"
		size = 41
		refs = "001d TWinControl.GetHandle 0023 SetWindowText"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 83 BE 7C 01 00 00 00 74 14 8B 86 7C 01 00 00 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_84933_0 {
	meta:
		name = "TCustomCombo.WMGetDlgCode"
		size = 33
		refs = "0012 TCustomCombo.GetDroppedDown"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 83 4E 0C 04 5E 5B C3 }
	condition:
		$1
}

rule function_84934_0 {
	meta:
		name = "TCustomCombo.CMCancelMode"
		size = 20
		refs = "000f TControl.Perform"
	strings:
		$1 = { 3B 42 08 74 0E 6A 00 33 C9 BA 4F 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84935_0 {
	meta:
		name = "TCustomCombo.CMCtl3DChanged"
		size = 35
		refs = "0007 NewStyleControls 0013 TWinControl.RecreateWnd 001c TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84937_0 {
	meta:
		name = "TCustomComboBox.Change"
		size = 207
		refs = "0011 TCustomComboBox.Change 003f TLinkObservers.GetEditLink 004e TCustomCombo.Change 00b3 IEditLinkObserver 00bd @FinalizeArray 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 1B 8B C3 8B 10 FF 52 20 8B F0 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 3A 8B C3 8B 10 FF 52 20 8B F0 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 44 84 C0 74 1B 8B C3 8B 10 FF 52 20 8B D8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84938_0 {
	meta:
		name = "TCustomComboBox.Click"
		size = 207
		refs = "0011 TCustomComboBox.Click 003f TLinkObservers.GetEditLink 004e TControl.Click 00b3 IEditLinkObserver 00bd @FinalizeArray 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 1B 8B C3 8B 10 FF 52 20 8B F0 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 3A 8B C3 8B 10 FF 52 20 8B F0 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 44 84 C0 74 1B 8B C3 8B 10 FF 52 20 8B D8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84939_0 {
	meta:
		name = "TCustomComboBox.CMEnter"
		size = 160
		refs = "000d TCustomComboBox.CMEnter 001a TWinControl.CMEnter 0042 TLinkObservers.GetEditLink 0063 SendMessage 008f @IntfClear 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 4B 8B C6 8B 10 FF 52 20 8B D8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 3C 84 C0 74 17 6A 00 6A 01 68 CF 00 00 00 8B 86 B8 02 00 00 50 E8 ?? ?? ?? ?? EB 15 6A 00 6A 00 68 CF 00 00 00 8B 86 B8 02 00 00 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84940_0 {
	meta:
		name = "TCustomComboBox.CMExit"
		size = 190
		refs = "0017 TCustomComboBox.CMExit 0055 TLinkObservers.GetEditLink 006c @HandleAnyException 0087 @RaiseAgain 008c @DoneExcept 0096 TWinControl.CMExit 00ab @IntfClear 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 20 8B D8 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 20 33 C0 5A 59 59 64 89 10 EB 25 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 1C 01 00 00 8B 45 FC 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_84941_0 {
	meta:
		name = "TCustomComboBox.CMParentColorChanged"
		size = 41
		refs = "0006 TControl.CMParentColorChanged 000b NewStyleControls"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 75 13 80 BE EE 02 00 00 02 73 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_84942_0 {
	meta:
		name = "TCustomCombo.EditWndProc"
		size = 387
		refs = "0038 GetParentForm 00b1 TControl.GetDragMode 00bf GetCursorPos 00cc TControl.ScreenToClient 00f2 SendMessage 00fe TControl.BeginDrag 0110 TControl.Perform 0117 NewStyleControls 014d GetWindowRect 0162 MapWindowPoints 0171 PerformBufferedPrintClient"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8B D8 81 3E 12 01 00 00 75 11 8B D6 8B C3 8B 08 FF 91 90 00 00 00 E9 59 01 00 00 8B 06 3D 00 01 00 00 72 2C 3D 09 01 00 00 77 25 B2 01 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 16 8B CE 8B D3 8B C7 8B 38 FF 97 24 01 00 00 84 C0 0F 85 24 01 00 00 8B 83 C4 02 00 00 50 8B D6 8B 8B B8 02 00 00 8B C3 8B 38 FF 97 24 01 00 00 8B 06 8B D0 81 FA 01 02 00 00 7F 18 74 2F 83 EA 30 0F 84 8E 00 00 00 81 EA D0 01 00 00 74 74 E9 E7 00 00 00 81 EA 03 02 00 00 74 11 81 EA 4A AE 00 00 0F 84 8E 00 00 00 E9 CE 00 00 00 8B C3 E8 ?? ?? ?? ?? 3C 01 0F 85 BF 00 00 00 54 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 25 FF FF 00 00 8B 54 24 0C C1 E2 10 0B C2 50 6A 00 68 02 02 00 00 8B 83 B8 02 00 00 50 E8 ?? ?? ?? ?? 83 C9 FF 33 D2 8B C3 E8 ?? ?? ?? ?? EB 78 8B 56 08 52 8B 4E 04 8B D0 8B C3 E8 ?? ?? ?? ?? EB 66 A1 ?? ?? ?? ?? 80 38 00 74 5C 6A 00 6A 03 68 D3 00 00 00 8B 83 B8 02 00 00 50 E8 ?? ?? ?? ?? EB 45 80 BB 84 02 00 00 00 74 3C 8D 44 24 10 50 8B 83 B8 02 00 00 50 E8 ?? ?? ?? ?? 6A 02 8D 44 24 14 50 8B 83 B8 02 00 00 50 6A 00 E8 ?? ?? ?? ?? 8D 54 24 10 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? C6 83 84 02 00 00 00 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84943_0 {
	meta:
		name = "TCustomCombo.ListWndProc"
		size = 24
	strings:
		$1 = { 53 8B 88 C8 02 00 00 51 8B 88 BC 02 00 00 8B 18 FF 93 24 01 00 00 5B C3 }
	condition:
		$1
}

rule function_84944_0 {
	meta:
		name = "TCustomComboBox.SetCharCase"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 EC 02 00 00 74 0B 88 90 EC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84945_0 {
	meta:
		name = "TCustomComboBox.SetTextHint"
		size = 53
		refs = "000f @UStrEqual 001e @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 10 03 00 00 8B D6 E8 ?? ?? ?? ?? 74 1D 8D 83 10 03 00 00 8B D6 E8 ?? ?? ?? ?? F6 43 1C 01 75 0A 8B C3 8B 10 FF 92 48 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_84946_0 {
	meta:
		name = "TCustomCombo.ComboWndProc"
		size = 743
		refs = "0014 TCustomCombo.ComboWndProc 00cf GetParentForm 012e TWinControl.DoKeyDown 014d TWinControl.DoKeyPress 017a TCustomCombo.GetDroppedDown 018c TCustomCombo.SetDroppedDown 01a3 TWinControl.DoKeyUp 01bf Application 01c9 TApplication.HintMouseMessage 01d6 HasPopup 01fa TWinControl.GetHandle 0201 MapWindowPoints 0297 CallWindowProc 02b7 @CallDynaInst 02c6 @HandleAnyException 02d5 TApplication.HandleException 02da @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 3D 04 01 00 00 7F 4F 0F 84 EC 00 00 00 3D 87 00 00 00 7F 24 0F 84 FB 01 00 00 83 E8 07 0F 84 86 00 00 00 48 0F 84 B5 00 00 00 83 E8 7C 0F 84 02 02 00 00 E9 2E 02 00 00 2D 00 01 00 00 0F 84 B6 00 00 00 48 0F 84 33 01 00 00 48 0F 84 D6 00 00 00 E9 10 02 00 00 3D 00 BD 00 00 7F 2A 0F 84 EC 01 00 00 2D 05 01 00 00 0F 84 0F 01 00 00 2D FB 00 00 00 0F 84 23 01 00 00 83 E8 05 0F 84 30 01 00 00 E9 DF 01 00 00 2D 02 BD 00 00 0F 84 BD 01 00 00 83 E8 02 0F 84 B4 01 00 00 83 E8 02 0F 84 AB 01 00 00 E9 BD 01 00 00 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 A9 01 00 00 8B 55 FC 8B C7 8B 08 FF 91 1C 01 00 00 84 C0 0F 85 94 01 00 00 33 C0 5A 59 59 64 89 10 E9 DF 01 00 00 8B 45 FC F6 40 5C 20 0F 84 7A 01 00 00 33 C0 5A 59 59 64 89 10 E9 C5 01 00 00 8B 45 FC 3B B0 BC 02 00 00 0F 84 5E 01 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 4C 01 00 00 33 C0 5A 59 59 64 89 10 E9 97 01 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0D 33 C0 5A 59 59 64 89 10 E9 7C 01 00 00 0F B7 7B 04 66 83 FF 0D 74 0A 66 83 FF 1B 0F 85 10 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 00 01 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 41 01 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 D7 00 00 00 33 C0 5A 59 59 64 89 10 E9 22 01 00 00 8B CB A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E9 B4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 A4 00 00 00 0F BF 43 08 89 45 F4 0F BF 43 0A 89 45 F8 6A 01 8D 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 0F B7 45 F4 66 89 45 F0 0F B7 45 F8 66 89 45 F2 8B 45 F0 89 43 08 8B D3 8B 45 FC 8B 08 FF 91 90 00 00 00 33 C0 5A 59 59 64 89 10 E9 A9 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 45 C7 43 0C 04 00 00 00 33 C0 5A 59 59 64 89 10 E9 89 00 00 00 8B 45 FC F6 40 1C 10 74 28 C7 43 0C FF FF FF FF 33 C0 5A 59 59 64 89 10 EB 6F 8B D3 8B 45 FC 8B 08 FF 91 90 00 00 00 33 C0 5A 59 59 64 89 10 EB 58 8B 43 08 50 8B 43 04 50 8B 03 50 56 8B 45 08 50 E8 ?? ?? ?? ?? 89 43 0C 81 3B 03 02 00 00 75 15 8B 45 FC F6 40 58 80 74 0C 8B 45 FC 66 BE EB FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84947_0 {
	meta:
		name = "TCustomCombo.WndProc"
		size = 432
		refs = "0022 TControl.Dragging 002d TControl.GetDragMode 003a TWinControl.IsControlMouseMsg 0047 TCustomCombo.WndProc 00b5 TStyleManager.GetIsCustomStyleActive 00c8 ColorToRGB 00d2 SetTextColor 00ed SetBkColor 00f8 TBrush.GetHandle 012e PostMessage 0139 TWinControl.DoKeyPress 0154 TCustomCombo.GetDroppedDown 0161 TCustomCombo.SetDroppedDown 0193 CallWindowProc 01a1 TWinControl.WndProc"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 F6 46 1C 10 75 52 8B 1F 81 FB 01 02 00 00 74 08 81 FB 03 02 00 00 75 40 8B C6 E8 ?? ?? ?? ?? 84 C0 75 35 8B C6 E8 ?? ?? ?? ?? 3C 01 75 2A 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 5F 01 00 00 A1 ?? ?? ?? ?? 0B 46 5C 89 46 5C 8B D7 8B C6 8B 08 FF 51 EC E9 46 01 00 00 8B 07 3D 83 00 00 00 7F 19 0F 84 37 01 00 00 83 E8 05 74 26 83 E8 76 0F 84 EB 00 00 00 E9 1B 01 00 00 2D 02 01 00 00 0F 84 A8 00 00 00 83 C0 D0 83 E8 07 72 20 E9 03 01 00 00 80 BE CC 02 00 00 00 0F 84 F6 00 00 00 8B D7 8B C6 8B 08 FF 51 F0 E9 F1 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 85 DB 00 00 00 8B 46 6C 8B 40 18 E8 ?? ?? ?? ?? 50 8B 47 04 50 E8 ?? ?? ?? ?? 8B 86 C8 01 00 00 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 50 8B 47 04 50 E8 ?? ?? ?? ?? 8B 86 C8 01 00 00 E8 ?? ?? ?? ?? 89 47 0C F6 46 5D 80 0F 84 9C 00 00 00 80 BE 84 02 00 00 00 0F 85 8F 00 00 00 C6 86 84 02 00 00 01 6A 00 6A 00 68 4D B0 00 00 8B 86 B8 02 00 00 50 E8 ?? ?? ?? ?? EB 71 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 64 0F B7 5F 04 66 83 FB 0D 74 06 66 83 FB 1B 75 4B 8B C6 E8 ?? ?? ?? ?? 84 C0 74 40 33 D2 8B C6 E8 ?? ?? ?? ?? EB 3E 83 BE 84 00 00 00 00 75 2C 8B D7 8B C6 8B 08 FF 51 EC 8B 47 08 50 8B 47 04 50 8B 07 50 8B 86 B8 02 00 00 50 8B 86 C4 02 00 00 50 E8 ?? ?? ?? ?? 89 47 0C EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_84948_0 {
	meta:
		name = "TCustomCombo.CNCommand"
		size = 377
		refs = "000e TCustomCombo.CNCommand 0057 @CallDynaInst 00a2 TWinControl.GetHandle 00a8 PostMessage 0101 TControl.SetText 013b TWinControl.SetIme 0152 TWinControl.ResetIme 0167 @UStrClr 016d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 42 06 83 F8 08 0F 87 31 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C7 66 BE EB FF E8 ?? ?? ?? ?? E9 F6 00 00 00 8B C7 66 BE AE FF E8 ?? ?? ?? ?? E9 E6 00 00 00 C6 87 CD 02 00 00 00 8B C7 66 BE AC FF E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 20 01 00 00 80 BF CD 02 00 00 00 0F 84 BD 00 00 00 6A 00 6A 00 6A 1F 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BF CE 02 00 00 00 0F 85 9D 00 00 00 6A 00 6A 00 68 4F 01 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 82 00 00 00 8B C7 8B 10 FF 92 F8 00 00 00 40 74 75 8B C7 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D FC 8B 87 B4 02 00 00 8B 18 FF 53 0C 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 66 BE EC FF E8 ?? ?? ?? ?? 8B C7 66 BE AD FF E8 ?? ?? ?? ?? EB 39 8B C7 66 BE AB FF E8 ?? ?? ?? ?? EB 2C C6 87 CE 02 00 00 01 C6 87 CD 02 00 00 01 8B C7 E8 ?? ?? ?? ?? EB 15 C6 87 CE 02 00 00 00 C6 87 CD 02 00 00 01 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84950_0 {
	meta:
		name = "TCustomComboBox.DrawItem"
		size = 188
		refs = "001f TCustomComboBox.DrawItem 0030 TControlCanvas.UpdateTextFlags 00a7 @UStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B F1 8D 7D F0 A5 A5 A5 A5 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 66 83 BE FA 02 00 00 00 74 1B 8D 45 F0 50 0F B7 45 08 50 8B CF 8B D6 8B 86 FC 02 00 00 FF 96 F8 02 00 00 EB 3D 8D 55 F0 8B 86 78 02 00 00 8B 08 FF 51 54 85 FF 7C 2B 8D 4D EC 8B D7 8B 86 B4 02 00 00 8B 18 FF 53 0C 8B 45 EC 50 8B 55 F0 83 C2 02 8B 4D F4 8B 86 78 02 00 00 8B 18 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84951_0 {
	meta:
		name = "TCustomCombo.DropDown"
		size = 29
	strings:
		$1 = { 53 66 83 B8 A2 02 00 00 00 74 10 8B D8 8B D0 8B 83 A4 02 00 00 FF 93 A0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_84952_0 {
	meta:
		name = "TCustomCombo.Loaded"
		size = 37
		refs = "0007 TControl.Loaded"
	strings:
		$1 = { 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B BE 88 02 00 00 83 FF FF 74 0C 8B D7 8B C6 8B 08 FF 91 FC 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_84953_0 {
	meta:
		name = "TCustomCombo.Focused"
		size = 64
		refs = "000a TWinControl.HandleAllocated 0013 GetFocus 002c TWinControl.GetHandle"
	strings:
		$1 = { 53 56 57 8B F8 33 DB 8B C7 E8 ?? ?? ?? ?? 84 C0 74 28 E8 ?? ?? ?? ?? 8B F0 3B B7 B8 02 00 00 74 17 3B B7 BC 02 00 00 74 0F 8B C7 E8 ?? ?? ?? ?? 3B F0 74 04 33 DB EB 02 B3 01 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84955_0 {
	meta:
		name = "TCustomCombo.Select"
		size = 43
		refs = "0024 @CallDynaInst"
	strings:
		$1 = { 53 56 66 83 B8 9A 02 00 00 00 74 13 8B D8 8B D0 8B 83 9C 02 00 00 FF 93 98 02 00 00 5E 5B C3 66 BE AE FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84956_0 {
	meta:
		name = "TCustomCombo.CreateWnd"
		size = 115
		refs = "0006 TWinControl.CreateWnd 001b TWinControl.GetHandle 0021 SendMessage 0040 CheckWin32Version 0049 StyleServices"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 83 7C 02 00 00 50 68 41 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 89 83 B8 02 00 00 33 C0 89 83 BC 02 00 00 BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 29 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1B 6A 00 8B 83 80 02 00 00 50 68 01 17 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84957_0 {
	meta:
		name = "TCustomCombo.AdjustDropDown"
		size = 188
		refs = "003c TCustomCombo.AdjustDropDown 007a SetWindowPos 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 10 FF 92 38 01 00 00 8B D8 8B 45 FC 8B 80 80 02 00 00 3B D8 7E 02 8B D8 83 FB 01 7D 05 BB 01 00 00 00 8B 45 FC C6 80 CC 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 9E 00 00 00 8B 45 FC 8B 10 FF 92 30 01 00 00 F7 EB 8B 55 FC 03 42 54 83 C0 02 50 8B 45 FC 8B 40 50 50 6A 00 6A 00 6A 00 8B 45 FC 8B 80 C0 02 00 00 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 CC 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 6A 57 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 FC 8B 80 C0 02 00 00 50 E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_84958_0 {
	meta:
		name = "TCustomCombo.SetItems"
		size = 38
	strings:
		$1 = { 56 57 55 8B FA 8B F0 8B AE B4 02 00 00 85 ED 74 0B 8B D7 8B C5 8B 08 FF 51 08 EB 06 89 BE B4 02 00 00 5D 5F 5E C3 }
	condition:
		$1
}

rule function_84959_0 {
	meta:
		name = "TCustomCombo.ClearSelection"
		size = 12
	strings:
		$1 = { 83 CA FF 8B 08 FF 91 FC 00 00 00 C3 }
	condition:
		$1
}

rule function_84960_0 {
	meta:
		name = "TCustomCombo.CopySelection"
		size = 140
		refs = "0010 TCustomCombo.CopySelection 007a @UStrClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 F8 00 00 00 40 74 42 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D FC 8B 83 B4 02 00 00 8B 38 FF 57 0C 8B 45 FC 50 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 B4 02 00 00 8B 08 FF 51 18 8B C8 8B C6 5A 8B 18 FF 93 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84961_0 {
	meta:
		name = "TCustomCombo.DeleteSelected"
		size = 41
	strings:
		$1 = { 56 8B F0 8B C6 8B 10 FF 92 F8 00 00 00 40 74 17 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 B4 02 00 00 8B 08 FF 51 48 5E C3 }
	condition:
		$1
}

rule function_84962_0 {
	meta:
		name = "TCustomCombo.GetCount"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 38 01 00 00 C3 }
	condition:
		$1
}

rule function_84963_0 {
	meta:
		name = "TCustomCombo.SetDropDownCount"
		size = 90
		refs = "0014 TWinControl.HandleAllocated 0027 CheckWin32Version 0030 StyleServices 004e TWinControl.GetHandle 0054 SendMessage"
	strings:
		$1 = { 53 8B D8 3B 93 80 02 00 00 74 4D 89 93 80 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3C BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 29 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1B 6A 00 8B 83 80 02 00 00 50 68 01 17 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84964_0 {
	meta:
		name = "TCustomCombo.AddItem"
		size = 85
		refs = "0011 @UStrAddRef 0019 TCustomCombo.AddItem 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B 83 B4 02 00 00 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84965_0 {
	meta:
		name = "TCustomCombo.IsItemHeightStored"
		size = 11
	strings:
		$1 = { 83 B8 B0 02 00 00 10 0F 95 C0 C3 }
	condition:
		$1
}

rule function_84967_0 {
	meta:
		name = "TCustomComboBox.Create"
		size = 141
		refs = "000e @ClassCreate 001c TCustomCombo.Create 006b @UStrClr 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 2C 01 00 00 B2 01 FF 90 90 00 00 00 8B F0 89 B3 B4 02 00 00 89 5E 2C C6 83 EE 02 00 00 00 33 C0 89 83 E4 02 00 00 C6 83 E0 02 00 00 01 C6 83 08 03 00 00 00 C7 83 0C 03 00 00 F4 01 00 00 8D 83 10 03 00 00 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84968_0 {
	meta:
		name = "TCustomComboBox.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0028 TCustomCombo.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 8B 86 F0 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84969_0 {
	meta:
		name = "TCustomComboBox.GetSelText"
		size = 115
		refs = "000f TCustomComboBox.GetSelText 001c @UStrClr 0030 TControl.GetText 003b TCustomCombo.GetSelLength 0043 TCustomCombo.GetSelStart 004d @UStrCopy 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 80 BB EE 02 00 00 02 73 28 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 42 59 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84970_0 {
	meta:
		name = "TCustomComboBox.SetSorted"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 ED 02 00 00 74 0B 88 90 ED 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84971_0 {
	meta:
		name = "TCustomComboBox.SetSelText"
		size = 44
		refs = "0012 TWinControl.HandleNeeded 0025 SendTextMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB EE 02 00 00 02 73 1A 8B C3 E8 ?? ?? ?? ?? 56 33 C9 BA C2 00 00 00 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84972_0 {
	meta:
		name = "TCustomComboBox.SetStyle"
		size = 64
		refs = "0017 TCustomComboBox.SetStyle 0033 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 3A 93 EE 02 00 00 74 2C 88 93 EE 02 00 00 80 FA 01 75 0F A1 ?? ?? ?? ?? F7 D0 23 43 58 89 43 58 EB 0B A1 ?? ?? ?? ?? 0B 43 58 89 43 58 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 00 02 00 00 }
	condition:
		$1
}

rule function_84973_0 {
	meta:
		name = "TCustomComboBox.GetItemHt"
		size = 37
		refs = "0020 TControl.Perform"
	strings:
		$1 = { 0F B6 90 EE 02 00 00 80 C2 FD 80 EA 02 73 07 8B 80 B0 02 00 00 C3 6A 00 33 C9 BA 54 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_84974_0 {
	meta:
		name = "TCustomComboBox.IsItemHeightStored"
		size = 35
		refs = "0013 TCustomCombo.IsItemHeightStored"
	strings:
		$1 = { 53 8B D8 0F B6 83 EE 02 00 00 04 FD 2C 02 73 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_84975_0 {
	meta:
		name = "TCustomComboBox.CreateParams"
		size = 108
		refs = "000b TWinControl.CreateParams 0010 TCustomComboBox.CreateParams 0019 TWinControl.CreateSubClass 002f ComboBoxStyles 003d Sorts 004b CharCases"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 04 0D 40 02 20 00 0F B6 93 EE 02 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 ED 02 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 EC 02 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 5E 5B C3 00 00 00 43 00 4F 00 4D 00 42 00 4F 00 42 00 4F 00 58 00 00 00 00 00 }
	condition:
		$1
}

rule function_84976_0 {
	meta:
		name = "TCustomComboBox.CreateWnd"
		size = 360
		refs = "0008 TCustomCombo.CreateWnd 000f TWinControl.GetHandle 0037 TObject.Free 0087 SendMessage 00af GetWindow 00d2 GetWindowLongPtr 00f1 SetWindowLongPtr 0133 NewStyleControls"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 86 C0 02 00 00 8B BE F0 02 00 00 85 FF 74 72 8B D7 8B 86 B4 02 00 00 8B 08 FF 51 08 8B 86 F0 02 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 F0 02 00 00 83 BE D0 02 00 00 FF 74 49 8B 86 B4 02 00 00 8B 10 FF 52 14 3B 86 D0 02 00 00 7D 11 8B 86 B4 02 00 00 8B 10 FF 52 14 89 86 D0 02 00 00 6A 00 8B 86 D0 02 00 00 50 68 4E 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C7 86 D0 02 00 00 FF FF FF FF 0F B6 86 EE 02 00 00 2C 02 0F 83 8E 00 00 00 6A 05 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 79 80 BE EE 02 00 00 01 75 3D 8B C3 89 86 BC 02 00 00 BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 89 86 C8 02 00 00 8B 86 BC 02 00 00 BA FC FF FF FF 8B BE D8 02 00 00 57 52 50 E8 ?? ?? ?? ?? 6A 02 53 E8 ?? ?? ?? ?? 8B D8 8B C3 89 86 B8 02 00 00 BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 89 86 C4 02 00 00 8B 86 B8 02 00 00 BA FC FF FF FF 8B 8E D4 02 00 00 51 52 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 1E 83 BE B8 02 00 00 00 74 15 6A 00 6A 03 68 D3 00 00 00 8B 86 B8 02 00 00 50 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 48 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84977_0 {
	meta:
		name = "TCustomComboBox.DestroyWnd"
		size = 84
		refs = "002c _Dn_TStringList 0031 TStringList.Create 004d TWinControl.DestroyWnd"
	strings:
		$1 = { 53 56 8B D8 8B 83 B4 02 00 00 8B 10 FF 52 14 85 C0 7E 37 F6 43 5D 20 74 31 8B C3 8B 10 FF 92 F8 00 00 00 89 83 D0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F0 02 00 00 8B 93 B4 02 00 00 8B C6 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84978_0 {
	meta:
		name = "TCustomComboBox.DoSetTextHint"
		size = 118
		refs = "0004 StyleServices 0014 TWinControl.HandleAllocated 0024 CheckWin32Version 0036 TWinControl.GetHandle 0042 SendTextMessage"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 63 8B C3 E8 ?? ?? ?? ?? 84 C0 74 58 33 D2 B8 06 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 1C 8B 83 10 03 00 00 50 8B C3 E8 ?? ?? ?? ?? 33 C9 BA 03 17 00 00 E8 ?? ?? ?? ?? EB 2C BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 19 8B 83 10 03 00 00 50 33 C9 BA 01 15 00 00 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_84979_0 {
	meta:
		name = "TCustomComboBox.WMEraseBkgnd"
		size = 88
		refs = "0022 TBrush.GetHandle 003c FillRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 80 BB EE 02 00 00 01 75 37 83 7B 38 00 74 31 8B 43 38 8B 80 C8 01 00 00 E8 ?? ?? ?? ?? 50 8D 54 24 04 8B C3 8B 08 FF 51 60 8D 44 24 04 50 8B 46 04 50 E8 ?? ?? ?? ?? C7 46 0C 01 00 00 00 EB 09 8B D6 8B C3 8B 08 FF 51 F0 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_84980_0 {
	meta:
		name = "TCustomComboBox.KeyDown"
		size = 244
		refs = "001a TCustomComboBox.KeyDown 002d TWinControl.KeyDown 0067 TLinkObservers.GetEditLink 00d7 IEditLinkObserver 00e1 @FinalizeArray 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 66 89 4D FE 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 7F 0F B7 06 66 83 E8 08 74 09 83 C0 E8 66 2D E0 00 73 6D 8B C3 8B 10 FF 52 20 8B F8 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 24 84 C0 75 14 0F B7 06 66 83 E8 26 74 06 66 83 E8 02 75 05 66 C7 06 00 00 8B C3 8B 10 FF 52 20 8B F0 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 44 84 C0 74 1B 8B C3 8B 10 FF 52 20 8B D8 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84981_0 {
	meta:
		name = "HasSelectedText"
		size = 65
		refs = "0022 TWinControl.GetHandle 002e SendGetIntMessage"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 45 08 8B 40 FC 0F B6 80 EE 02 00 00 2C 02 73 21 56 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B CB BA 40 01 00 00 E8 ?? ?? ?? ?? 8B 06 3B 03 0F 9F C0 EB 02 33 C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_84982_0 {
	meta:
		name = "DeleteSelectedText"
		size = 163
		refs = "000f DeleteSelectedText 0023 TControl.GetText 0032 @UStrDelete 0046 TWinControl.GetHandle 004c SendMessage 005a TControl.SetText 0092 @UStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B CE 2B CB 8D 53 01 8D 45 FC E8 ?? ?? ?? ?? 6A 00 6A FF 68 4E 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 0F B7 F3 8B C6 C1 E6 10 0B C6 50 6A 00 68 42 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_84983_0 {
	meta:
		name = "TCustomComboBox.KeyPress"
		size = 1398
		refs = "001b TCustomComboBox.KeyPress 0038 TWinControl.KeyPress 0073 TLinkObservers.GetEditLink 008a MessageBeep 012b TControl.GetText 013b @UStrAsg 0142 GetTickCount 0163 @UStrClr 01a6 TCustomCombo.GetDroppedDown 01b8 TCustomCombo.SetDroppedDown 01c9 HasSelectedText 01da DeleteSelectedText 0237 ByteType 024f @UStrCopy 0260 TWinControl.GetHandle 0266 SendMessage 0289 @UStrCat3 0294 TControl.SetText 02fc @UStrDelete 030a @UStrLen 0355 @CallDynaInst 03ef @UStrFromWChar 041a @UStrCatN 046c PeekMessage 049e TCustomComboBox.SelectItem 0507 TLinkObservers.PositionLinkPosChanged 0521 @UStrArrayClr 054c IEditLinkObserver 0556 @FinalizeArray 0569 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0E 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 F8 00 00 00 8B F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 0F 84 B0 00 00 00 66 83 3B 20 72 37 8B 45 FC 8B 10 FF 52 20 8B F0 0F B7 03 66 89 45 EA 8D 55 C8 8B C6 E8 ?? ?? ?? ?? 8B 45 C8 0F B7 55 EA 8B 08 FF 51 34 84 C0 75 0C 6A 00 E8 ?? ?? ?? ?? 66 C7 03 00 00 0F B7 03 83 F8 18 7F 0E 74 1B 83 E8 08 74 16 83 E8 0E 74 11 EB 5D 83 E8 1B 74 31 83 C0 FB 2D E0 FF 00 00 73 4E 8B 45 FC 8B 10 FF 52 20 8B F0 8D 55 C4 8B C6 E8 ?? ?? ?? ?? 8B 45 C4 8B 10 FF 52 24 84 C0 75 2E 66 C7 03 00 00 EB 27 8B 45 FC 8B 10 FF 52 20 8B F0 8D 55 C0 8B C6 E8 ?? ?? ?? ?? 8B 45 C0 8B 10 FF 52 28 8B 45 FC 8B 10 FF 92 1C 01 00 00 8B 45 FC 80 B8 E0 02 00 00 00 0F 84 F5 03 00 00 8B 45 FC 0F B6 80 EE 02 00 00 2C 02 73 1D 8D 55 BC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 BC 8B 45 FC 05 E8 02 00 00 E8 ?? ?? ?? ?? EB 34 E8 ?? ?? ?? ?? 8B 55 FC 2B 82 E4 02 00 00 8B 55 FC 3B 82 0C 03 00 00 72 0D 8B 45 FC 05 E8 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 E4 02 00 00 0F B7 03 66 83 E8 08 74 43 66 FF C8 74 0F 66 83 E8 12 0F 85 D1 01 00 00 E9 79 03 00 00 8B 45 FC 80 B8 E1 02 00 00 00 0F 84 37 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 27 03 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? E9 18 03 00 00 55 8D 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 59 84 C0 74 12 55 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 59 E9 64 01 00 00 8B 45 FC 0F B6 80 EE 02 00 00 2C 02 73 24 8D 55 B8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B8 89 45 B4 8B 45 B4 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C0 EB 02 33 C0 84 C0 0F 84 E0 00 00 00 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 75 F0 EB 01 4E 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 3C 02 74 F1 8D 45 F8 50 8B CE 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 6A 00 6A FF 68 4E 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 AC 50 8B 55 EC 42 B9 FF FF FF 7F 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D AC 8D 45 B0 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 B0 8B 45 FC E8 ?? ?? ?? ?? 8B C6 48 0F B7 C0 4E 0F B7 D6 C1 E2 10 0B C2 50 6A 00 68 42 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 55 A8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 A8 8B 45 FC 05 E8 02 00 00 E8 ?? ?? ?? ?? EB 6E 8B 45 FC 8B B0 E8 02 00 00 85 F6 74 05 83 EE 04 8B 36 8B 45 FC 05 E8 02 00 00 B9 01 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E8 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 E8 02 00 00 E8 ?? ?? ?? ?? 3C 02 74 B8 8B 45 FC 8B 80 E8 02 00 00 85 C0 74 05 83 E8 04 8B 00 8B 55 FC 81 C2 E8 02 00 00 B9 01 00 00 00 92 E8 ?? ?? ?? ?? 66 C7 03 00 00 8B 45 FC 66 BE AE FF E8 ?? ?? ?? ?? E9 7B 01 00 00 8B 45 FC 80 B8 E1 02 00 00 00 74 16 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 55 8D 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 59 8B 45 FC 80 B8 EE 02 00 00 02 73 1A 8B 45 FC 8B 80 E8 02 00 00 85 C0 74 05 83 E8 04 8B 00 3B 45 F0 0F 9F C0 EB 02 33 C0 84 C0 74 67 8B 45 FC 8B B0 E8 02 00 00 85 F6 74 05 83 EE 04 8B 36 8D 45 A4 50 8B 45 FC 8B 80 E8 02 00 00 8B 4D F0 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 75 A4 8D 45 A0 0F B7 13 E8 ?? ?? ?? ?? FF 75 A0 8D 45 9C 50 8B 55 EC 42 8B 45 FC 8B 80 E8 02 00 00 8B CE E8 ?? ?? ?? ?? FF 75 9C 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 1F 8D 45 98 0F B7 13 E8 ?? ?? ?? ?? 8B 4D 98 8B 45 FC 8B 90 E8 02 00 00 8D 45 F4 E8 ?? ?? ?? ?? 0F B7 03 66 3D 00 D8 72 06 66 3D FF DF 76 04 33 C0 EB 02 B0 01 84 C0 74 6D 6A 00 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 CC 50 E8 ?? ?? ?? ?? 85 C0 74 65 81 7D D0 02 01 00 00 75 5C 8D 45 90 0F B7 55 D4 E8 ?? ?? ?? ?? 8B 4D 90 8D 45 94 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 94 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 33 6A 01 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 CC 50 E8 ?? ?? ?? ?? 66 C7 03 00 00 EB 14 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 05 66 C7 03 00 00 8B 45 FC 8B 10 FF 92 F8 00 00 00 3B F8 74 23 8B 45 FC 8B 10 FF 52 20 BA 03 00 00 00 8B 08 FF 51 14 84 C0 74 0D 8B 45 FC 8B 10 FF 52 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 90 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A9 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84984_0 {
	meta:
		name = "TCustomComboBox.SelectItem"
		size = 493
		refs = "001f TCustomComboBox.SelectItem 0050 @CallDynaInst 005d TWinControl.GetHandle 006a SendTextMessage 00bf SendMessage 0116 @UStrCopy 0123 @UStrCat3 012d TControl.SetText 0149 TControl.GetText 0190 @UStrAsg 01c1 @UStrClr 01ce @UStrArrayClr 01dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E4 89 4D EC 89 4D E8 89 4D FC 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 75 21 C6 45 FB 00 83 CA FF 8B C7 8B 08 FF 91 FC 00 00 00 8B C7 66 BE AE FF E8 ?? ?? ?? ?? E9 57 01 00 00 53 8B C7 E8 ?? ?? ?? ?? 83 C9 FF BA 4C 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 FF 0F 95 45 FB 80 7D FB 00 0F 84 2D 01 00 00 8B C7 8B 10 FF 92 F8 00 00 00 3B 45 F4 0F 95 45 F3 80 BF 08 03 00 00 00 74 26 8B D3 8B 87 B4 02 00 00 8B 08 FF 51 54 40 74 16 6A 00 6A 00 68 4F 01 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 00 8B 45 F4 50 68 4E 01 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 0F B6 87 EE 02 00 00 2C 02 0F 83 90 00 00 00 8D 4D FC 8B 55 F4 8B 87 B4 02 00 00 8B 30 FF 56 0C 8B F3 85 F6 74 05 83 EE 04 8B 36 8D 45 E8 50 8D 56 01 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 4D E8 8D 45 EC 8B D3 E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 85 DB 74 05 83 EB 04 8B 1B 8D 55 E4 8B C7 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E0 8B 45 E0 85 C0 74 05 83 E8 04 8B 00 0F B7 D3 0F B7 C0 C1 E0 10 0B D0 52 6A 00 68 42 01 00 00 56 E8 ?? ?? ?? ?? EB 1A 8B 55 F4 8B C7 8B 08 FF 91 FC 00 00 00 8D 87 E8 02 00 00 8B D3 E8 ?? ?? ?? ?? 80 7D F3 00 74 16 8B C7 66 BE EC FF E8 ?? ?? ?? ?? 8B C7 66 BE AD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84985_0 {
	meta:
		name = "TCustomComboBox.MeasureItem"
		size = 32
	strings:
		$1 = { 53 66 83 B8 02 03 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 04 03 00 00 FF 93 00 03 00 00 5B C3 }
	condition:
		$1
}

rule function_84986_0 {
	meta:
		name = "TCustomComboBox.CanObserve"
		size = 16
	strings:
		$1 = { 33 C0 83 FA 01 75 03 B0 01 C3 4A 75 02 B0 01 C3 }
	condition:
		$1
}

rule function_84987_0 {
	meta:
		name = "TCustomComboBox.ComboWndProc"
		size = 243
		refs = "001b TCustomComboBox.ComboWndProc 0080 TLinkObservers.GetEditLink 00be TCustomCombo.ComboWndProc 00d4 IEditLinkObserver 00de @FinalizeArray 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 1C 10 0F 85 84 00 00 00 8B C3 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 6F 8B 06 2D 01 02 00 00 74 11 2D FF 00 00 00 74 3E 83 C0 FE 83 E8 03 72 36 EB 55 80 BB EE 02 00 00 01 75 4C 3B BB B8 02 00 00 74 44 8B C3 8B 10 FF 52 20 89 45 FC 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 24 84 C0 74 32 EB 21 8B C3 8B 10 FF 52 20 89 45 F8 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 24 84 C0 74 0F 8B 45 08 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_84988_0 {
	meta:
		name = "TCustomComboBox.CNDrawItem"
		size = 315
		refs = "0033 TCanvas.SetHandle 0041 TCanvas.SetFont 0046 TStyleManager.GetIsCustomStyleActive 005b ColorStates 0061 StyleServices 0067 TCustomStyleServices.GetStyleColor 0077 TBrush.SetColor 0088 FontStates 0094 TCustomStyleServices.GetStyleFontColor 00a4 TFont.SetColor 00b7 TCanvas.SetBrush 0125 DrawFocusRect"
	strings:
		$1 = { 53 56 57 55 8B F0 8B 5A 08 0F B7 7B 10 8B 6B 10 F7 C5 00 10 00 00 74 05 66 81 CF 00 10 F7 C5 20 00 00 00 74 04 66 83 CF 20 8B 53 18 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 8B 56 6C 8B 86 78 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5C 8B C6 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D0 8B 86 78 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D0 8B 86 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? EB 11 8B 96 C8 01 00 00 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 83 7B 08 00 7C 2D 66 F7 C7 01 00 74 26 8B 86 78 02 00 00 8B 40 48 BA 0D 00 00 FF E8 ?? ?? ?? ?? 8B 86 78 02 00 00 8B 40 40 BA 0E 00 00 FF E8 ?? ?? ?? ?? 8B 6B 08 85 ED 7C 12 57 8D 4B 1C 8B D5 8B C6 8B 28 FF 95 4C 01 00 00 EB 0E 8D 53 1C 8B 86 78 02 00 00 8B 08 FF 51 54 66 F7 C7 10 00 74 0D 8D 43 1C 50 8B 43 18 50 E8 ?? ?? ?? ?? 33 D2 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_84989_0 {
	meta:
		name = "TCustomComboBox.CNMeasureItem"
		size = 62
	strings:
		$1 = { 53 56 51 8B F0 8B 42 08 8B D8 8B 86 B0 02 00 00 89 43 10 80 BE EE 02 00 00 04 75 1E 8B 86 B0 02 00 00 89 04 24 8B CC 8B 53 08 8B C6 8B 30 FF 96 50 01 00 00 8B 04 24 89 43 10 5A 5E 5B C3 }
	condition:
		$1
}

rule function_84990_0 {
	meta:
		name = "TCustomComboBox.WMLButtonDown"
		size = 124
		refs = "0009 TControl.GetDragMode 001d GetSystemMetrics 0040 TControl.BeginDrag 004c TControl.WMLButtonDown 0053 TControl.GetMouseCapture 0060 GetParentForm 0075 TControl.SetMouseCapture"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 01 75 36 80 BB EE 02 00 00 02 75 2D 6A 15 E8 ?? ?? ?? ?? 8B 53 50 2B D0 0F BF 46 08 3B D0 7E 19 8B C3 8B 10 FF 92 F4 00 00 00 83 C9 FF 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1E B2 01 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 3B 98 98 02 00 00 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_84991_0 {
	meta:
		name = "TCustomComboBox.WndProc"
		size = 375
		refs = "0014 TCustomComboBox.WndProc 006e TLinkObservers.GetEditLink 009b TWinControl.GetHandle 00a1 PostMessage 0114 NewStyleControls 0136 TBrush.GetHandle 0144 TCustomCombo.WndProc 015a IEditLinkObserver 0164 @FinalizeArray 016a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 1C 10 0F 85 DF 00 00 00 8B C3 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 0F 84 C6 00 00 00 8B 06 2D 11 01 00 00 74 0A 83 E8 3E 74 5B E9 B3 00 00 00 66 83 7E 06 01 0F 85 A8 00 00 00 8B C3 8B 10 FF 52 20 8B F8 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 84 C0 0F 85 85 00 00 00 80 BB EE 02 00 00 01 0F 84 B9 00 00 00 6A 00 6A 00 68 4F 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 9E 00 00 00 83 7E 04 00 74 1D 8B C3 8B 10 FF 52 20 8B F8 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 24 EB 3A 8B C3 8B 10 FF 52 20 8B F8 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 44 84 C0 75 1B 8B C3 8B 10 FF 52 20 8B F8 8D 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 28 8B 06 05 CE 42 FF FF 83 E8 07 73 2C A1 ?? ?? ?? ?? 80 38 00 75 22 80 BB EE 02 00 00 02 73 19 83 7B 38 00 74 13 8B 43 38 8B 80 C8 01 00 00 E8 ?? ?? ?? ?? 89 46 0C EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84994_0 {
	meta:
		name = "TCustomComboBox.WMPaint"
		size = 458
		refs = "000c TWinControl.WMPaint 0020 _Dn_TControlCanvas 0025 TCanvas.Create 0030 TCustomComboBox.WMPaint 0040 TControlCanvas.SetControl 0058 TBrush.SetColor 0070 InflateRect 010a EdgeStyles 0118 Ctl3DStyles 012c InnerStyles 013a OuterStyles 0147 TCanvas.GetHandle 014d DrawEdge 0154 GetSystemMetrics 016c TCustomCombo.GetDroppedDown 0189 DrawFrameControl 01b9 TObject.Free 01bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB B9 01 00 00 00 0F 84 A8 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B C3 8B 08 FF 51 60 8B 53 74 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 08 FF 51 5C 6A FF 6A FF 8D 45 EC 50 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 08 FF 51 5C 80 BB B9 01 00 00 00 0F 84 1C 01 00 00 33 C0 80 BB B7 01 00 00 00 74 08 8B 93 BC 01 00 00 03 C2 80 BB B8 01 00 00 00 74 08 8B 93 BC 01 00 00 03 C2 85 C0 75 3B 8D 55 EC 8B C3 8B 08 FF 51 60 8B 53 74 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 08 FF 51 5C 6A FF 6A FF 8D 45 EC 50 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 08 FF 51 5C 8D 55 EC 8B C3 8B 08 FF 51 60 0F B6 83 B6 01 00 00 0F B6 93 B9 01 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 F1 01 00 00 0B 04 95 ?? ?? ?? ?? 0D 00 20 00 00 50 0F B6 83 B7 01 00 00 8B 04 85 ?? ?? ?? ?? 0F B6 93 B8 01 00 00 0B 04 95 ?? ?? ?? ?? 50 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 0A E8 ?? ?? ?? ?? 8B 55 F4 2B D0 89 55 EC 80 BB EE 02 00 00 01 74 3F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 68 05 40 00 00 6A 03 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 19 68 05 40 00 00 6A 03 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_84995_0 {
	meta:
		name = "TButtonActionLink.AssignClient"
		size = 34
		refs = "000b TWinControlActionLink.AssignClient 0013 _DV_TButtonControl 0018 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 5E 5B C3 }
	condition:
		$1
}

rule function_84996_0 {
	meta:
		name = "TButtonActionLink.IsCheckedLinked"
		size = 41
		refs = "0006 TActionLink.IsCheckedLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 8B 43 28 8B 10 FF 92 F8 00 00 00 8B 53 10 3A 42 71 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_84997_0 {
	meta:
		name = "TButtonActionLink.SetChecked"
		size = 97
		refs = "0027 TButtonActionLink.SetChecked 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 10 FF 52 24 84 C0 74 47 8B 45 FC 8B 40 28 C6 80 78 02 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 28 C6 80 78 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EB 5B 59 5D C3 }
	condition:
		$1
}

rule function_84998_0 {
	meta:
		name = "TButtonControl.Create"
		size = 81
		refs = "000a @ClassCreate 0017 TWinControl.Create 001c SysLocale 0027 Win32Platform 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 78 0C 00 74 11 A1 ?? ?? ?? ?? 83 38 02 75 07 C6 86 D4 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_84999_0 {
	meta:
		name = "TButtonControl.ActionChange"
		size = 93
		refs = "0010 TWinControl.ActionChange 0018 _Dn_TCustomAction 001d @IsClass"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 84 DB 74 0E 8B C7 8B 10 FF 92 F8 00 00 00 84 C0 75 22 0F B6 9F 78 02 00 00 C6 87 78 02 00 00 01 0F B6 56 71 8B C7 8B 08 FF 91 FC 00 00 00 88 9F 78 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85004_0 {
	meta:
		name = "TButtonControl.WndProc"
		size = 117
		refs = "002b @CallDynaInst 003d TWinControl.GetHandle 0043 SetFocus 006d TWinControl.WndProc"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 07 2D 01 02 00 00 74 0E 83 E8 02 74 09 2D 0E BB 00 00 74 43 EB 4A F6 43 1C 10 75 44 8B C3 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 35 C6 83 78 02 00 00 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 78 02 00 00 00 8B C3 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 74 14 EB 09 80 BB 78 02 00 00 00 75 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85005_0 {
	meta:
		name = "TButtonControl.CNCtlColorStatic"
		size = 103
		refs = "0008 StyleServices 0011 ThemeControl 002f PerformEraseBackground 003e TWinControl.GetHandle 004a TCustomStyleServices.DrawParentBackground 0051 GetStockObject"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 41 8B 43 38 85 C0 74 15 80 B8 68 02 00 00 00 74 0C 8B 56 04 8B C3 E8 ?? ?? ?? ?? EB 19 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 4E 04 8B C7 E8 ?? ?? ?? ?? 6A 05 E8 ?? ?? ?? ?? 89 46 0C EB 09 8B D6 8B C3 8B 08 FF 51 F0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85006_0 {
	meta:
		name = "TButtonControl.WMEraseBkGnd"
		size = 42
		refs = "0007 StyleServices 0023 TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0A C7 46 0C 01 00 00 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85007_0 {
	meta:
		name = "TButtonControl.CreateParams"
		size = 34
		refs = "000b TWinControl.CreateParams"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 79 02 00 00 00 74 07 81 4E 04 00 20 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_85009_0 {
	meta:
		name = "TImageMargins.Assign"
		size = 71
		refs = "000a _DV_TImageMargins 000f @IsClass 0040 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B C6 8B 50 10 89 53 10 8B 50 0C 89 53 0C 8B 50 04 89 53 04 8B 40 08 89 43 08 8B C3 8B 10 FF 52 0C 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85011_0 {
	meta:
		name = "TImageMargins.SetMargin"
		size = 71
	strings:
		$1 = { 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 37 3B 48 10 74 32 89 48 10 8B 10 FF 52 0C C3 3B 48 0C 74 24 89 48 0C 8B 10 FF 52 0C C3 3B 48 04 74 16 89 48 04 8B 10 FF 52 0C C3 3B 48 08 74 08 89 48 08 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_85012_0 {
	meta:
		name = "TPushButtonActionLink.IsImageIndexLinked"
		size = 42
		refs = "0006 TActionLink.IsImageIndexLinked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B 43 28 8B 80 A4 02 00 00 8B 53 10 3B 82 88 00 00 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_85013_0 {
	meta:
		name = "TPushButtonActionLink.SetImageIndex"
		size = 30
		refs = "0017 TCustomButton.SetImageIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 3C 84 C0 74 0A 8B D6 8B 43 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85015_0 {
	meta:
		name = "TCustomButton.Create"
		size = 268
		refs = "000e @ClassCreate 001c TButtonControl.Create 0021 TCustomButton.Create 0030 TControl.SetWidth 003c TControl.SetHeight 0045 TWinControl.SetTabStop 004c _Dn_TChangeLink 0051 TObject.Create 0063 TCustomButton.ImageListChange 006a _DV_TImageMargins 0081 TCustomButton.ImageMarginsChange 0094 @UStrClr 00f2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 58 BA 4B 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A0 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A8 02 00 00 89 5E 1C C7 46 18 ?? ?? ?? ?? 33 C0 89 83 B0 02 00 00 8D 83 84 02 00 00 E8 ?? ?? ?? ?? C7 83 8C 02 00 00 FF FF FF FF C6 83 94 02 00 00 00 C7 83 98 02 00 00 FF FF FF FF C6 83 9C 02 00 00 00 C7 83 A4 02 00 00 FF FF FF FF C7 83 B8 02 00 00 FF FF FF FF C7 83 BC 02 00 00 FF FF FF FF C6 83 C0 02 00 00 00 C7 83 C4 02 00 00 FF FF FF FF 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 A0 00 00 00 }
	condition:
		$1
}

rule function_85016_0 {
	meta:
		name = "TCustomButton.ActionChange"
		size = 67
		refs = "0010 TButtonControl.ActionChange 0018 _Dn_TCustomAction 001d @IsClass 003b TCustomButton.SetImageIndex"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 84 DB 74 09 83 BF A4 02 00 00 FF 75 0D 8B 96 88 00 00 00 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85017_0 {
	meta:
		name = "TCustomButton.Click"
		size = 37
		refs = "0008 GetParentForm 001f TControl.Click"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0C 8B 93 B4 02 00 00 89 90 C0 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85019_0 {
	meta:
		name = "TCustomButton.UpdateImageList"
		size = 324
		refs = "000f CheckWin32Version 002b TWinControl.HandleAllocated 0045 _Dn_TImageList 004a TCustomImageList.Create 0067 TCustomImageList.SetColorDepth 0092 TCustomImageList.SetDrawingStyle 00a3 TCustomImageList.SetShareImages 00b6 TCustomImageList.SetSize 00bd TCustomImageList.HandleAllocated 00c8 TWinControl.HandleNeeded 00d9 TCustomImageList.GetHandle 00df ImageList_SetIconSize 00f0 ImageList_GetBkColor 00f5 GetColor 00fe TCustomImageList.SetBkColor 0131 TCustomButton.SetImageList"
	strings:
		$1 = { 53 56 8B D8 BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 1D 01 00 00 83 BB AC 02 00 00 00 0F 84 10 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 01 01 00 00 83 BB B0 02 00 00 00 75 14 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B0 02 00 00 8B B3 B0 02 00 00 8B 83 AC 02 00 00 0F B6 50 70 8B C6 E8 ?? ?? ?? ?? 8B 83 AC 02 00 00 0F B6 40 49 88 46 49 8B 83 AC 02 00 00 0F B6 40 4B 88 46 4B 8B 83 AC 02 00 00 0F B6 50 48 8B C6 E8 ?? ?? ?? ?? 8B 83 AC 02 00 00 0F B6 50 4A 8B C6 E8 ?? ?? ?? ?? 8B 83 AC 02 00 00 8B 48 38 8B 50 3C 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 09 8B C3 E8 ?? ?? ?? ?? EB 15 8B 46 38 50 8B 46 3C 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 AC 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 AC 02 00 00 8B 40 50 89 46 50 8B C3 8B 10 FF 92 08 01 00 00 83 BB A4 02 00 00 FF 74 20 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85020_0 {
	meta:
		name = "TCustomButton.UpdateImages"
		size = 382
		refs = "000e CheckWin32Version 002e TCustomImageList.Clear 0045 TCustomImageList.AddImage"
	strings:
		$1 = { 53 8B D8 BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 62 01 00 00 83 BB A4 02 00 00 FF 0F 84 55 01 00 00 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 8B 8B A4 02 00 00 8B 93 AC 02 00 00 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 8B 83 98 02 00 00 83 F8 FF 74 15 8B C8 8B 93 AC 02 00 00 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? EB 17 8B 8B A4 02 00 00 8B 93 AC 02 00 00 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 8B 83 B8 02 00 00 83 F8 FF 74 15 8B C8 8B 93 AC 02 00 00 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? EB 17 8B 8B A4 02 00 00 8B 93 AC 02 00 00 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 83 F8 FF 74 15 8B C8 8B 93 AC 02 00 00 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? EB 17 8B 8B A4 02 00 00 8B 93 AC 02 00 00 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 8B 83 BC 02 00 00 83 F8 FF 74 15 8B C8 8B 93 AC 02 00 00 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? EB 17 8B 8B A4 02 00 00 8B 93 AC 02 00 00 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 8B 83 C4 02 00 00 83 F8 FF 74 15 8B C8 8B 93 AC 02 00 00 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? EB 37 8B 83 BC 02 00 00 83 F8 FF 74 15 8B C8 8B 93 AC 02 00 00 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? EB 17 8B 8B A4 02 00 00 8B 93 AC 02 00 00 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85022_0 {
	meta:
		name = "TCustomButton.SetButtonStyle"
		size = 142
		refs = "000a TWinControl.HandleAllocated 0013 Win32MajorVersion 0033 CommandLinkStyles 003f SplitButtonStyles 004b NormalStyles 005e TWinControl.GetHandle 006a GetWindowLongPtr 0086 SendMessage"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 78 A1 ?? ?? ?? ?? 83 38 06 7C 35 0F B6 87 C0 02 00 00 FE C8 74 06 FE C8 74 0E EB 18 0F B6 C3 8B 34 85 ?? ?? ?? ?? EB 22 0F B6 C3 8B 34 85 ?? ?? ?? ?? EB 16 0F B6 C3 8B 34 85 ?? ?? ?? ?? EB 0A 0F B6 C3 8B 34 85 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 83 E0 0F 3B F0 74 15 6A 01 56 68 F4 00 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85023_0 {
	meta:
		name = "TCustomButton.SetCommandLinkHint"
		size = 64
		refs = "000f @UStrEqual 001e @UStrAsg 0025 TWinControl.HandleAllocated 0039 TCustomButton.UpdateCommandLinkHint"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 84 02 00 00 E8 ?? ?? ?? ?? 74 28 8D 83 84 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 80 BB C0 02 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85024_0 {
	meta:
		name = "TCustomButton.SetDefault"
		size = 54
		refs = "000c TWinControl.HandleAllocated 0019 GetParentForm 0030 TControl.Perform"
	strings:
		$1 = { 53 8B D8 88 93 88 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 B2 01 8B C3 E8 ?? ?? ?? ?? 85 C0 74 13 8B 90 98 02 00 00 52 33 C9 BA 07 B0 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85025_0 {
	meta:
		name = "TCustomButton.SetDisabledImageIndex"
		size = 48
	strings:
		$1 = { 56 8B F0 3B 96 8C 02 00 00 74 23 89 96 8C 02 00 00 83 BE B0 02 00 00 00 74 14 8B C6 8B 10 FF 92 08 01 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_85026_0 {
	meta:
		name = "TCustomButton.SetDropDownMenu"
		size = 25
		refs = "0014 TComponent.FreeNotification"
	strings:
		$1 = { 3B 90 90 02 00 00 74 10 89 90 90 02 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85027_0 {
	meta:
		name = "TCustomButton.SetElevationRequired"
		size = 56
		refs = "0014 TWinControl.HandleAllocated 001f TCustomButton.SetElevationRequiredState"
	strings:
		$1 = { 56 8B F0 3A 96 94 02 00 00 74 2B 88 96 94 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1A 8B C6 E8 ?? ?? ?? ?? 80 BE 94 02 00 00 00 75 0A 8B C6 8B 10 FF 92 04 01 00 00 5E C3 }
	condition:
		$1
}

rule function_85028_0 {
	meta:
		name = "TCustomButton.SetElevationRequiredState"
		size = 63
		refs = "000b CheckWin32Version 0016 TWinControl.HandleAllocated 0021 TWinControl.GetHandle 0039 SendMessage"
	strings:
		$1 = { 53 8B D8 33 D2 B8 06 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 2A 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 80 BB 94 02 00 00 01 F5 1B D2 52 6A 00 68 0C 16 00 00 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85029_0 {
	meta:
		name = "TCustomButton.SetHotImageIndex"
		size = 48
	strings:
		$1 = { 56 8B F0 3B 96 98 02 00 00 74 23 89 96 98 02 00 00 83 BE B0 02 00 00 00 74 14 8B C6 8B 10 FF 92 08 01 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_85030_0 {
	meta:
		name = "TCustomButton.SetImageAlignment"
		size = 57
		refs = "001f TCustomImageList.GetHandle 0028 TCustomButton.SetImageList"
	strings:
		$1 = { 53 56 8B F0 3A 96 9C 02 00 00 74 2A 88 96 9C 02 00 00 8B 9E B0 02 00 00 85 DB 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_85031_0 {
	meta:
		name = "TCustomButton.SetImageIndex"
		size = 101
		refs = "0039 TCustomImageList.GetHandle 0042 TCustomButton.SetImageList 004b TCustomImageList.Clear"
	strings:
		$1 = { 53 56 8B F0 8B 86 A4 02 00 00 3B D0 74 54 8B D8 8B C2 89 86 A4 02 00 00 8B 96 B0 02 00 00 85 D2 74 40 40 74 23 8B C6 8B 10 FF 92 08 01 00 00 43 75 26 8B 86 B0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 10 8B C2 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_85032_0 {
	meta:
		name = "TCustomButton.SetImageList"
		size = 155
		refs = "000d TWinControl.HandleAllocated 0016 Win32MajorVersion 0035 CheckWin32Version 004a ImageAlignments 006b Rect 007e TWinControl.GetHandle 0090 SendMessage"
	strings:
		$1 = { 53 56 57 83 C4 D8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 7F A1 ?? ?? ?? ?? 83 38 06 7C 0B 0F B6 83 94 02 00 00 34 01 EB 0F BA 01 00 00 00 B8 05 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 57 89 34 24 0F B6 83 9C 02 00 00 8B 04 85 ?? ?? ?? ?? 89 44 24 14 8B B3 A8 02 00 00 8B 46 08 50 8D 44 24 1C 50 8B 4E 04 8B 56 0C 8B 46 10 E8 ?? ?? ?? ?? 8D 74 24 18 8D 7C 24 04 A5 A5 A5 A5 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C4 50 6A 00 68 02 16 00 00 53 E8 ?? ?? ?? ?? 83 C4 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85033_0 {
	meta:
		name = "TCustomButton.SetImageMargins"
		size = 12
	strings:
		$1 = { 8B 80 A8 02 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_85034_0 {
	meta:
		name = "TCustomButton.SetImages"
		size = 80
		refs = "001b TCustomImageList.UnRegisterChanges 0032 TCustomImageList.RegisterChanges 003f TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 AC 02 00 00 3B D8 74 3D 85 C0 74 0B 8B 96 A0 02 00 00 E8 ?? ?? ?? ?? 8B C3 89 86 AC 02 00 00 85 C0 74 18 8B 96 A0 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B 86 AC 02 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 04 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_85035_0 {
	meta:
		name = "TCustomButton.SetPressedImageIndex"
		size = 48
	strings:
		$1 = { 56 8B F0 3B 96 B8 02 00 00 74 23 89 96 B8 02 00 00 83 BE B0 02 00 00 00 74 14 8B C6 8B 10 FF 92 08 01 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_85036_0 {
	meta:
		name = "TCustomButton.SetSelectedImageIndex"
		size = 48
	strings:
		$1 = { 56 8B F0 3B 96 BC 02 00 00 74 23 89 96 BC 02 00 00 83 BE B0 02 00 00 00 74 14 8B C6 8B 10 FF 92 08 01 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_85037_0 {
	meta:
		name = "TCustomButton.SetStyle"
		size = 352
		refs = "0083 TWinControl.RecreateWnd 00a7 TCustomButton.SetStyle 00d2 DefCmdLinkHeights 00f9 TControl.SetHeight 0112 TControl.SetWidth 0150 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B DA 89 45 FC 8B 45 FC 0F B6 80 C0 02 00 00 3A D8 0F 84 37 01 00 00 8B 55 FC F6 42 1C 01 74 0E 8B 45 FC 88 98 C0 02 00 00 E9 20 01 00 00 8B D3 80 EA 01 72 0A 74 4D FE CA 0F 85 0F 01 00 00 3C 01 75 2B 8B 45 FC 8B 80 A4 01 00 00 50 8B 45 FC 8B 80 A8 01 00 00 50 8B 45 FC 8B 48 4C 8B 45 FC 8B 50 48 8B 45 FC 8B 30 FF 96 A4 00 00 00 8B 45 FC 88 98 C0 02 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 CA 00 00 00 8B 45 FC F6 40 5D 40 0F 95 C0 88 45 FB 80 7D FB 00 75 12 8B 45 FC 8B 40 5C 0B 05 ?? ?? ?? ?? 8B 55 FC 89 42 5C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 84 02 00 00 00 0F 94 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 8B 55 FC 3B 42 54 7E 1F 8B 45 FC 83 B8 84 02 00 00 00 0F 94 C0 83 E0 7F 8B 14 85 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 81 78 50 AF 00 00 00 7D 0D BA AF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 88 98 C0 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 75 14 8B 45 FC 8B 15 ?? ?? ?? ?? F7 D2 23 50 5C 8B 45 FC 89 50 5C C3 E9 ?? ?? ?? ?? EB DE 5E 5B 59 59 5D C3 00 40 00 00 }
	condition:
		$1
}

rule function_85038_0 {
	meta:
		name = "TCustomButton.SetStylusHotImageIndex"
		size = 48
	strings:
		$1 = { 56 8B F0 3B 96 C4 02 00 00 74 23 89 96 C4 02 00 00 83 BE B0 02 00 00 00 74 14 8B C6 8B 10 FF 92 08 01 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_85039_0 {
	meta:
		name = "TCustomButton.CreateParams"
		size = 152
		refs = "000b TButtonControl.CreateParams 0010 TCustomButton.CreateParams 0019 TWinControl.CreateSubClass 001e Win32MajorVersion 0042 CommandLinkStyles 0055 SplitButtonStyles 0068 NormalStyles"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 06 7C 4B 0F B6 83 C0 02 00 00 FE C8 74 06 FE C8 74 15 EB 26 0F B6 83 88 02 00 00 8B 04 85 ?? ?? ?? ?? 09 46 04 EB 38 0F B6 83 88 02 00 00 8B 04 85 ?? ?? ?? ?? 09 46 04 EB 25 0F B6 83 88 02 00 00 8B 04 85 ?? ?? ?? ?? 09 46 04 5E 5B C3 0F B6 83 88 02 00 00 8B 04 85 ?? ?? ?? ?? 09 46 04 5E 5B C3 00 00 42 00 55 00 54 00 54 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_85040_0 {
	meta:
		name = "TCustomButton.CreateWnd"
		size = 64
		refs = "0006 TWinControl.CreateWnd 0020 TCustomButton.SetElevationRequiredState 003a TCustomButton.UpdateCommandLinkHint"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 83 88 02 00 00 88 83 80 02 00 00 F6 43 1C 01 75 21 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 04 01 00 00 80 BB C0 02 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85041_0 {
	meta:
		name = "TCustomButton.Destroy"
		size = 102
		refs = "0003 @BeforeDestruction 001a TObject.Free 0054 TWinControl.Destroy 005f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 A0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 83 BE B0 02 00 00 00 74 13 8D 86 B0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 A8 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85043_0 {
	meta:
		name = "TCustomButton.UpdateCommandLinkHint"
		size = 112
		refs = "000d TCustomButton.UpdateCommandLinkHint 0018 Win32MajorVersion 0024 TWinControl.GetHandle 0034 @UStrLAsg 003c @UStrToPWChar 004a SendMessage 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 06 7C 2D 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B 93 84 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 68 09 16 00 00 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_85044_0 {
	meta:
		name = "TCustomButton.ImageListChange"
		size = 26
		refs = "0006 TWinControl.HandleAllocated"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 8B 10 FF 92 04 01 00 00 5E C3 }
	condition:
		$1
}

rule function_85045_0 {
	meta:
		name = "TCustomButton.ImageMarginsChange"
		size = 55
		refs = "0006 TWinControl.HandleAllocated 001e TCustomImageList.GetHandle 0027 TCustomButton.SetImageList"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1D 83 BE B0 02 00 00 00 74 14 8B 86 B0 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_85047_0 {
	meta:
		name = "TCustomButton.Loaded"
		size = 45
		refs = "0006 TControl.Loaded 000d TCustomButton.SetElevationRequiredState 0027 TCustomButton.UpdateCommandLinkHint"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 04 01 00 00 80 BB C0 02 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85048_0 {
	meta:
		name = "TCustomButton.Notification"
		size = 71
		refs = "0010 TWinControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 2A 3B BE 90 02 00 00 75 08 33 C0 89 86 90 02 00 00 3B BE AC 02 00 00 75 12 33 C0 89 86 AC 02 00 00 8B C6 8B 10 FF 92 04 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85049_0 {
	meta:
		name = "TCustomButton.CNCommand"
		size = 23
		refs = "0011 @CallDynaInst"
	strings:
		$1 = { 56 8B F0 66 83 7A 06 00 75 0B 8B C6 66 BE EC FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_85050_0 {
	meta:
		name = "TCustomButton.CMDialogKey"
		size = 112
		refs = "002b KeyDataToShiftState 0032 TCustomButton.CMDialogKey 0042 @CallDynaInst 0063 TWinControl.CMDialogKey"
	strings:
		$1 = { 56 57 55 8B EA 8B F8 66 83 7D 04 0D 75 09 80 BF 80 02 00 00 00 75 10 66 83 7D 04 1B 75 40 80 BF 81 02 00 00 00 74 37 8B 45 08 E8 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 75 23 8B C7 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 14 8B C7 66 BE EC FF E8 ?? ?? ?? ?? C7 45 0C 01 00 00 00 EB 09 8B D5 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_85051_0 {
	meta:
		name = "TCustomButton.CMDialogChar"
		size = 144
		refs = "0016 TCustomButton.CMDialogChar 0026 TControl.GetText 0035 IsAccel 0044 @CallDynaInst 0069 TWinControl.CMDialogChar 007e @UStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 0F B7 40 04 E8 ?? ?? ?? ?? 84 C0 74 26 8B C7 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 17 8B C7 66 BE EC FF E8 ?? ?? ?? ?? 8B 45 FC C7 40 0C 01 00 00 00 EB 0A 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 59 59 5D C3 }
	condition:
		$1
}

rule function_85052_0 {
	meta:
		name = "TCustomButton.CMFocusChanged"
		size = 83
		refs = "000e _DV_TCustomButton 0013 @IsClass 004b TWinControl.CMFocusChanged"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7E 08 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 3B DF 0F 94 C0 88 83 80 02 00 00 EB 0D 0F B6 83 88 02 00 00 88 83 80 02 00 00 0F B6 93 80 02 00 00 8B C3 8B 08 FF 91 00 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85053_0 {
	meta:
		name = "TCustomButton.WMEraseBkgnd"
		size = 42
		refs = "0007 StyleServices"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0A C7 46 0C 01 00 00 00 5E 5B C3 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_85054_0 {
	meta:
		name = "TCustomButton.CNCtlColorBtn"
		size = 103
		refs = "0008 StyleServices 002f PerformEraseBackground 003e TWinControl.GetHandle 004a TCustomStyleServices.DrawParentBackground 0051 GetStockObject"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 52 48 84 C0 74 41 8B 43 38 85 C0 74 15 80 B8 68 02 00 00 00 74 0C 8B 57 04 8B C3 E8 ?? ?? ?? ?? EB 19 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 4F 04 8B C6 E8 ?? ?? ?? ?? 6A 05 E8 ?? ?? ?? ?? 89 47 0C EB 09 8B D7 8B C3 8B 08 FF 51 F0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85055_0 {
	meta:
		name = "TCustomButton.CNNotify"
		size = 123
		refs = "005e TControl.ClientToScreen"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8B D8 8B 46 08 81 78 08 20 FB FF FF 75 5E 66 83 BB CA 02 00 00 00 74 0E 8B D3 8B 83 CC 02 00 00 FF 93 C8 02 00 00 83 BB 90 02 00 00 00 74 3D 8B 46 08 8D 70 0C 8D 7C 24 10 A5 A5 A5 A5 8B 44 24 10 89 44 24 08 8B 44 24 1C 89 44 24 0C 8B CC 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 8B 4C 24 04 8B 14 24 8B 83 90 02 00 00 8B 18 FF 53 50 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85057_0 {
	meta:
		name = "TCustomCheckBox.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TButtonControl.Create 0023 TControl.SetWidth 002f TControl.SetHeight 0038 TWinControl.SetTabStop 003d TCustomCheckBox.Create 0052 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 61 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 11 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 58 C6 86 80 02 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 A0 00 00 00 }
	condition:
		$1
}

rule function_85058_0 {
	meta:
		name = "TCustomCheckBox.GetControlsAlignment"
		size = 42
		refs = "000b @CallDynaInst"
		altNames = "TRadioButton.GetControlsAlignment"
	strings:
		$1 = { 53 56 8B D8 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 05 B0 01 5E 5B C3 80 BB 80 02 00 00 01 75 04 33 C0 EB 02 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_85059_0 {
	meta:
		name = "TCustomCheckBox.KeyPress"
		size = 344
		refs = "0016 TCustomCheckBox.KeyPress 0046 TLinkObservers.GetEditLink 00ab TWinControl.KeyPress 0110 @HandleAnyException 0120 @RaiseAgain 0125 @DoneExcept 013b IEditLinkObserver 0145 @FinalizeArray 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 6F 8B 45 FC 8B 10 FF 52 20 8B F0 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 3C 84 C0 0F 85 CF 00 00 00 0F B7 03 66 83 E8 08 74 06 66 83 E8 18 75 3C 8B 45 FC 8B 10 FF 52 20 8B F0 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 24 84 C0 74 1C 8B 45 FC 8B 10 FF 52 20 8B F0 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 2C 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 64 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 1C 8B 45 FC 8B 10 FF 52 20 8B D8 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 20 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85063_0 {
	meta:
		name = "TCustomCheckBox.ObserverToggle"
		size = 132
		refs = "000f TCustomCheckBox.ObserverToggle 0021 @IntfClear 002f Supports 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 C9 74 2C 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 19 8B 45 FC 8B 10 FF 52 38 34 01 88 83 81 02 00 00 EB 07 C6 83 81 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 05 27 8C E8 5A 7C 66 4E 9B 81 44 7D 05 D5 E6 40 }
	condition:
		$1
}

rule function_85064_0 {
	meta:
		name = "TCustomCheckBox.Toggle"
		size = 434
		refs = "0015 TCustomCheckBox.Toggle 0045 TLinkObservers.GetEditLink 00bd TCustomCheckBox.SetState 016a @HandleAnyException 017a @RaiseAgain 017f @DoneExcept 0195 IEditLinkObserver 019f @FinalizeArray 01a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 60 8B 45 FC 8B 10 FF 52 20 8B D8 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 3C 84 C0 0F 85 2A 01 00 00 8B 45 FC 8B 10 FF 52 20 8B D8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 24 84 C0 74 1C 8B 45 FC 8B 10 FF 52 20 8B D8 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 2C 8B 45 FC 0F B6 80 82 02 00 00 2C 01 72 08 74 2A FE C8 74 32 EB 3A 8B 45 FC 80 B8 81 02 00 00 00 74 0C B2 02 8B 45 FC E8 ?? ?? ?? ?? EB 22 B2 01 8B 45 FC E8 ?? ?? ?? ?? EB 16 33 D2 8B 45 FC E8 ?? ?? ?? ?? EB 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 0F 84 84 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 3C 8B 45 FC 8B 10 FF 52 20 8B D8 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 44 84 C0 74 1C 8B 45 FC 8B 10 FF 52 20 8B D8 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 20 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85066_0 {
	meta:
		name = "TCustomCheckBox.GetChecked"
		size = 11
	strings:
		$1 = { 80 B8 82 02 00 00 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_85068_0 {
	meta:
		name = "TCustomCheckBox.SetChecked"
		size = 20
		refs = "0007 TCustomCheckBox.SetState"
	strings:
		$1 = { 84 D2 74 08 B2 01 E8 ?? ?? ?? ?? C3 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85069_0 {
	meta:
		name = "TCustomCheckBox.SetState"
		size = 80
		refs = "0015 TWinControl.HandleAllocated 002f TWinControl.GetHandle 0035 SendMessage 0049 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 3A 93 82 02 00 00 74 41 88 93 82 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1C 6A 00 0F B6 83 82 02 00 00 50 68 F1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 BB 78 02 00 00 00 75 0B 8B C3 66 BE EC FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85070_0 {
	meta:
		name = "TCustomCheckBox.CreateParams"
		size = 96
		refs = "000c TButtonControl.CreateParams 0011 TCustomCheckBox.CreateParams 001a TWinControl.CreateSubClass 0025 @CallDynaInst 002f Alignments"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 83 E0 7F 8D 04 C5 ?? ?? ?? ?? 0F B6 93 80 02 00 00 8B 04 90 8B 57 04 83 CA 05 0B C2 89 47 04 83 67 24 FC 5F 5E 5B C3 42 00 55 00 54 00 54 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_85071_0 {
	meta:
		name = "TCustomCheckBox.CreateWnd"
		size = 40
		refs = "0006 TWinControl.CreateWnd 001c TWinControl.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 0F B6 83 82 02 00 00 50 68 F1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85074_0 {
	meta:
		name = "TCustomCheckBox.CMDialogChar"
		size = 155
		refs = "0010 TCustomCheckBox.CMDialogChar 0020 TControl.GetText 002c IsAccel 003b @CallDynaInst 0074 TWinControl.CMDialogChar 0089 @UStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 0F B7 47 04 E8 ?? ?? ?? ?? 84 C0 74 3B 8B C3 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 2C 8B C3 8B 10 FF 92 F4 00 00 00 8B C3 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 74 0A 8B C3 8B 10 FF 92 00 01 00 00 C7 47 0C 01 00 00 00 EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_85075_0 {
	meta:
		name = "TCustomCheckBox.CMExit"
		size = 179
		refs = "0017 TCustomCheckBox.CMExit 0055 TLinkObservers.GetEditLink 006c @HandleAnyException 007c @RaiseAgain 0081 @DoneExcept 008b TWinControl.CMExit 00a0 @IntfClear 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 1C 8B 45 FC 8B 10 FF 52 20 8B D8 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 20 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_85076_0 {
	meta:
		name = "TCustomCheckBox.CNCommand"
		size = 16
	strings:
		$1 = { 66 83 7A 06 00 75 08 8B 10 FF 92 00 01 00 00 C3 }
	condition:
		$1
}

rule function_85078_0 {
	meta:
		name = "TRadioButton.Create"
		size = 96
		refs = "000a @ClassCreate 0017 TButtonControl.Create 0023 TControl.SetWidth 002f TControl.SetHeight 0034 TRadioButton.Create 0049 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 71 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 11 00 00 00 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 58 C6 86 80 02 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 A0 00 00 00 }
	condition:
		$1
}

rule function_85079_0 {
	meta:
		name = "TRadioButton.GetChecked"
		size = 8
	strings:
		$1 = { 0F B6 80 81 02 00 00 C3 }
	condition:
		$1
}

rule function_85082_0 {
	meta:
		name = "TurnSiblingsOff"
		size = 184
		refs = "0021 TWinControl.GetControlCount 003f TWinControl.GetControl 0051 _DV_TRadioButton 0056 @IsClass 0074 _Dn_TCustomAction 009b TCustomAction.SetChecked"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 45 08 8B 40 FC 8B 40 38 85 C0 0F 84 97 00 00 00 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 81 00 00 00 46 C7 45 FC 00 00 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 08 3B 58 FC 74 5E 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4D 8B FB 8B C7 8B 10 FF 52 58 85 C0 74 34 8B C7 8B 10 FF 52 58 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B C7 8B 10 FF 52 58 80 B8 9D 00 00 00 00 74 0E 8B C7 8B 10 FF 52 58 33 D2 E8 ?? ?? ?? ?? 33 D2 8B C7 8B 08 FF 91 FC 00 00 00 FF 45 FC 4E 75 87 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_85083_0 {
	meta:
		name = "TRadioButton.SetChecked"
		size = 137
		refs = "0025 TWinControl.SetTabStop 002d TWinControl.HandleAllocated 004f TWinControl.GetHandle 0055 SendMessage 005f TurnSiblingsOff 0068 TControl.Changed 0080 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B 45 FC 3A 98 81 02 00 00 74 6E 8B 45 FC 88 98 81 02 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 24 6A 00 8B 45 FC 8B 10 FF 92 F8 00 00 00 83 E0 7F 50 68 F1 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 84 DB 74 27 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 78 02 00 00 00 75 0C 8B 45 FC 66 BE EC FF E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_85084_0 {
	meta:
		name = "TRadioButton.CreateParams"
		size = 92
		refs = "000c TButtonControl.CreateParams 0011 TRadioButton.CreateParams 001a TWinControl.CreateSubClass 0025 @CallDynaInst 002f Alignments"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 83 E0 7F 8D 04 C5 ?? ?? ?? ?? 0F B6 93 80 02 00 00 8B 04 90 8B 57 04 83 CA 04 0B C2 89 47 04 5F 5E 5B C3 42 00 55 00 54 00 54 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_85085_0 {
	meta:
		name = "TRadioButton.CreateWnd"
		size = 40
		refs = "0006 TWinControl.CreateWnd 001c TWinControl.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 0F B6 83 81 02 00 00 50 68 F1 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85087_0 {
	meta:
		name = "TRadioButton.CMDialogChar"
		size = 130
		refs = "0010 TRadioButton.CMDialogChar 0020 TControl.GetText 002c IsAccel 003b @CallDynaInst 005b TWinControl.CMDialogChar 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 0F B7 47 04 E8 ?? ?? ?? ?? 84 C0 74 22 8B C3 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 13 8B C3 8B 10 FF 92 F4 00 00 00 C7 47 0C 01 00 00 00 EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_85088_0 {
	meta:
		name = "TRadioButton.CNCommand"
		size = 48
		refs = "002a @CallDynaInst"
	strings:
		$1 = { 56 8B F0 0F B7 42 06 66 83 E8 01 72 08 66 83 E8 04 74 10 EB 19 B2 01 8B C6 8B 08 FF 91 FC 00 00 00 5E C3 8B C6 66 BE EB FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_85089_0 {
	meta:
		name = "TListBoxStrings.GetCount"
		size = 28
		refs = "0010 TWinControl.GetHandle 0016 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 8B 01 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85090_0 {
	meta:
		name = "TListBoxStrings.Get"
		size = 211
		refs = "0019 TListBoxStrings.Get 003b TCustomListBox.DoGetData 004c TWinControl.GetHandle 0052 SendMessage 0061 SListIndexError 0066 LoadResString 0072 TStrings.Error 007c @UStrSetLength 008a @UStrToPWChar 00c0 @UStrClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 2C 0F B6 86 A8 02 00 00 04 FD 2C 02 73 0E 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? EB 6E 6A 00 57 68 8A 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 83 FE FF 75 19 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 85 F6 74 2B 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 50 57 68 89 01 00 00 8B 43 2C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_85091_0 {
	meta:
		name = "TListBoxStrings.GetObject"
		size = 148
		refs = "0017 TListBoxStrings.GetObject 0037 TCustomListBox.DoGetDataObject 0049 @CallDynaInst 0058 SListIndexError 005d LoadResString 006a TStrings.Error 007f @UStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 2C 0F B6 87 A8 02 00 00 04 FD 2C 02 73 0E 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B F0 EB 2F 8B 55 FC 8B C7 66 BE AC FF E8 ?? ?? ?? ?? 8B F0 83 FE FF 75 1A 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_85092_0 {
	meta:
		name = "TListBoxStrings.Put"
		size = 123
		refs = "0025 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 0C 24 8B FA 8B D8 8B 43 2C 8B 10 FF 92 F8 00 00 00 8B E8 8B D7 8B 43 2C 66 BE AE FF E8 ?? ?? ?? ?? 89 44 24 04 33 C9 8B D7 8B 43 2C 66 BE AD FF E8 ?? ?? ?? ?? 8B D7 8B C3 8B 08 FF 51 48 6A 00 8B 4C 24 04 8B D7 8B C3 8B 30 FF 56 64 8B 4C 24 04 8B D7 8B 43 2C 66 BE AD FF E8 ?? ?? ?? ?? 8B D5 8B 43 2C 8B 08 FF 91 FC 00 00 00 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85093_0 {
	meta:
		name = "TListBoxStrings.PutObject"
		size = 54
		refs = "002f @CallDynaInst"
	strings:
		$1 = { 56 57 8B F9 8B F0 8B 46 2C 0F B6 80 A8 02 00 00 04 FD 2C 02 72 1D 83 FA FF 75 0A 8B C6 8B 10 FF 52 14 8B D0 4A 8B CF 8B 46 2C 66 BE AB FF E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_85094_0 {
	meta:
		name = "TListBoxStrings.Add"
		size = 152
		refs = "0017 TListBoxStrings.Add 003b TWinControl.GetHandle 0047 SendTextMessage 0055 SInsertLineError 005a LoadResString 0064 _Dn_EOutOfResources 0069 Exception.Create 006e @RaiseExcept 0083 @UStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CE FF 8B 7B 2C 0F B6 87 A8 02 00 00 04 FD 2C 02 72 3E 8B 45 FC 50 8B C7 E8 ?? ?? ?? ?? 33 C9 BA 80 01 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_85095_0 {
	meta:
		name = "TListBoxStrings.Insert"
		size = 147
		refs = "0019 TListBoxStrings.Insert 003a TWinControl.GetHandle 0046 SendTextMessage 0052 SInsertLineError 0057 LoadResString 0061 _Dn_EOutOfResources 0066 Exception.Create 006b @RaiseExcept 0080 @UStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 2C 0F B6 86 A8 02 00 00 04 FD 2C 02 72 3C 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 8B CF BA 81 01 00 00 E8 ?? ?? ?? ?? 85 C0 7D 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_85096_0 {
	meta:
		name = "TListBoxStrings.Delete"
		size = 15
		refs = "0009 @CallDynaInst"
	strings:
		$1 = { 56 8B 40 2C 66 BE A9 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_85097_0 {
	meta:
		name = "TListBoxStrings.Exchange"
		size = 354
		refs = "001c TListBoxStrings.Exchange 0041 TStrings.BeginUpdate 006d @CallDynaInst 012a TStrings.EndUpdate 0130 @HandleFinally 0147 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D FC 8B F9 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 2C 0F B6 80 A8 02 00 00 04 FD 2C 02 0F 82 F9 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D3 8B 45 F8 8B 30 FF 56 0C 8B 45 F8 8B 40 2C 8B D3 66 BE AE FF E8 ?? ?? ?? ?? 89 45 F4 8D 4D F0 8B D7 8B 45 F8 8B 30 FF 56 0C 8B 4D F0 8B D3 8B 45 F8 8B 30 FF 56 20 8B 45 F8 8B 40 2C 8B D7 66 BE AE FF E8 ?? ?? ?? ?? 8B C8 8B 45 F8 8B 40 2C 8B D3 66 BE AD FF E8 ?? ?? ?? ?? 8B 4D FC 8B D7 8B 45 F8 8B 30 FF 56 20 8B 45 F8 8B 40 2C 8B 4D F4 8B D7 66 BE AD FF E8 ?? ?? ?? ?? 8B 45 F8 8B 40 2C 8B 10 FF 92 F8 00 00 00 3B D8 75 12 8B 45 F8 8B 40 2C 8B D7 8B 08 FF 91 FC 00 00 00 EB 22 8B 45 F8 8B 40 2C 8B 10 FF 92 F8 00 00 00 3B F8 75 10 8B 45 F8 8B 40 2C 8B D3 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85098_0 {
	meta:
		name = "TListBoxStrings.Clear"
		size = 15
		refs = "0009 @CallDynaInst"
	strings:
		$1 = { 56 8B 40 2C 66 BE AA FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_85100_0 {
	meta:
		name = "TListBoxStrings.IndexOf"
		size = 59
		refs = "001c TCustomListBox.DoFindData 0026 TWinControl.GetHandle 0033 SendTextMessage"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 2C 0F B6 86 A8 02 00 00 04 FD 2C 02 73 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 15 57 8B C6 E8 ?? ?? ?? ?? 83 C9 FF BA A2 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85101_0 {
	meta:
		name = "TListBoxStrings.Move"
		size = 270
		refs = "0019 TListBoxStrings.Move 003e TStrings.BeginUpdate 007b @CallDynaInst 00de TStrings.EndUpdate 00e4 @HandleFinally 00fb @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F9 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 2C 0F B6 80 A8 02 00 00 04 FD 2C 02 0F 82 B0 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 2C C6 80 F5 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B FB 74 5F 8D 4D FC 8B D3 8B 45 F8 8B 30 FF 56 0C 8B 45 F8 8B 40 2C 8B D3 66 BE AE FF E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 8B 40 2C 33 C9 8B D3 66 BE AD FF E8 ?? ?? ?? ?? 8B D3 8B 45 F8 8B 08 FF 51 48 8B 4D FC 8B D7 8B 45 F8 8B 18 FF 53 60 8B 45 F8 8B 40 2C 8B 4D F4 8B D7 66 BE AD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 2C C6 80 F5 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85103_0 {
	meta:
		name = "TCustomListBox.Create"
		size = 252
		refs = "000e @ClassCreate 001c TCustomListControl.Create 0021 NewStyleControls 002b TCustomListBox.Create 0044 TControl.SetWidth 0050 TControl.SetHeight 0059 TWinControl.SetTabStop 0062 TControl.SetParentColor 0070 _DV_TListBoxStrings 0075 TStrings.Create 0087 _Dn_TControlCanvas 008c TCanvas.Create 009d TControlCanvas.SetControl 00dd @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 0A A1 ?? ?? ?? ?? 89 43 58 EB 08 A1 ?? ?? ?? ?? 89 43 58 BA 79 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 61 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 80 02 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 88 02 00 00 89 5E 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 98 02 00 00 8B C6 8B D3 E8 ?? ?? ?? ?? C7 83 A0 02 00 00 10 00 00 00 C6 83 94 02 00 00 01 C6 83 AB 02 00 00 01 C7 83 A4 02 00 00 FF FF FF FF C7 83 F0 02 00 00 F4 01 00 00 C6 83 F4 02 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 E0 00 28 00 F0 00 28 00 }
	condition:
		$1
}

rule function_85104_0 {
	meta:
		name = "TCustomListBox.Destroy"
		size = 69
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0033 TWinControl.Destroy 003e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 8B 86 88 02 00 00 E8 ?? ?? ?? ?? 8B 86 B0 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85105_0 {
	meta:
		name = "TCustomListBox.AddItem"
		size = 133
		refs = "001a @UStrAddRef 0022 TCustomListBox.AddItem 0030 @UStrToPWChar 0039 @PWCharLen 0047 @UStrFromPWCharLen 0072 @UStrArrayClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F8 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 8B D7 8D 45 F8 8B CE E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 8B 83 88 02 00 00 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85106_0 {
	meta:
		name = "TCustomListBox.GetItemData"
		size = 30
		refs = "0011 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 99 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85107_0 {
	meta:
		name = "TCustomListBox.SetItemData"
		size = 33
		refs = "0013 TWinControl.GetHandle 0019 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 9A 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85108_0 {
	meta:
		name = "TCustomListBox.InternalGetItemData"
		size = 12
		refs = "0006 @CallDynaInst"
	strings:
		$1 = { 56 66 BE AC FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_85109_0 {
	meta:
		name = "TCustomListBox.InternalSetItemData"
		size = 16
		refs = "000a @CallDynaInst"
	strings:
		$1 = { 56 8B F0 8B C6 66 BE AB FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_85110_0 {
	meta:
		name = "TCustomListBox.DeleteString"
		size = 30
		refs = "0011 TWinControl.GetHandle 0017 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 82 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85111_0 {
	meta:
		name = "TCustomListBox.ResetContent"
		size = 40
		refs = "001c TWinControl.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 8B D8 0F B6 83 A8 02 00 00 04 FD 2C 02 72 16 6A 00 6A 00 68 84 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85112_0 {
	meta:
		name = "TCustomListBox.SaveRecreateItems"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B 96 88 02 00 00 8B C7 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_85113_0 {
	meta:
		name = "TCustomListBox.Clear"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 88 02 00 00 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_85114_0 {
	meta:
		name = "TCustomListBox.ClearSelection"
		size = 69
		refs = "002a TCustomListBox.SetSelected"
	strings:
		$1 = { 53 56 57 8B F0 80 BE 78 02 00 00 00 74 26 8B 86 88 02 00 00 8B 10 FF 52 14 8B D8 4B 85 DB 7C 21 43 33 FF 33 C9 8B D7 8B C6 E8 ?? ?? ?? ?? 47 4B 75 F1 EB 0D 83 CA FF 8B C6 8B 08 FF 91 FC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85115_0 {
	meta:
		name = "TCustomListBox.CopySelection"
		size = 293
		refs = "0017 TCustomListBox.CopySelection 0049 TCustomListBox.GetSelected 0065 @UStrToPWChar 006f @UStrFromPWChar 0112 @UStrArrayClr 0118 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 78 02 00 00 00 74 70 8B 83 88 02 00 00 8B 10 FF 52 14 48 85 C0 0F 8C BE 00 00 00 40 89 45 F8 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 41 8D 4D F0 8B D6 8B 83 88 02 00 00 8B 38 FF 57 0C 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8B D6 8B 83 88 02 00 00 8B 08 FF 51 18 8B C8 8B 45 FC 5A 8B 38 FF 97 00 01 00 00 46 FF 4D F8 75 AC EB 62 8B C3 8B 10 FF 92 F8 00 00 00 40 74 55 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D E8 8B 83 88 02 00 00 8B 30 FF 56 0C 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 50 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 88 02 00 00 8B 08 FF 51 18 8B C8 8B 45 FC 5A 8B 18 FF 93 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85116_0 {
	meta:
		name = "TCustomListBox.DeleteSelected"
		size = 106
		refs = "0025 TCustomListBox.GetSelected"
	strings:
		$1 = { 53 56 8B F0 80 BE 78 02 00 00 00 74 36 8B 86 88 02 00 00 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 47 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0D 8B D3 8B 86 88 02 00 00 8B 08 FF 51 48 4B 83 FB FF 75 E0 5E 5B C3 8B C6 8B 10 FF 92 F8 00 00 00 40 74 17 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 88 02 00 00 8B 08 FF 51 48 5E 5B C3 }
	condition:
		$1
}

rule function_85117_0 {
	meta:
		name = "TCustomListBox.SetColumnWidth"
		size = 83
		refs = "0017 TControl.GetClientWidth 002a @TRUNC 0045 TWinControl.GetHandle 004b SendMessage"
	strings:
		$1 = { 53 56 51 8B D8 83 BB 9C 02 00 00 00 7E 41 83 7B 50 00 7E 3B 8B C3 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 DB 83 9C 02 00 00 DE F9 E8 ?? ?? ?? ?? 8B F0 83 FE 01 7D 05 BE 01 00 00 00 6A 00 56 68 95 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_85118_0 {
	meta:
		name = "TCustomListBox.SetColumns"
		size = 65
		refs = "0021 TWinControl.RecreateWnd 0030 TWinControl.HandleAllocated 003b TCustomListBox.SetColumnWidth"
	strings:
		$1 = { 53 8B D8 3B 93 9C 02 00 00 74 34 83 BB 9C 02 00 00 00 74 04 85 D2 75 0F 89 93 9C 02 00 00 8B C3 E8 ?? ?? ?? ?? EB 18 89 93 9C 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85119_0 {
	meta:
		name = "TCustomListBox.GetItemIndex"
		size = 85
		refs = "0019 TWinControl.GetHandle 001f SendMessage"
	strings:
		$1 = { 53 56 8B D8 80 BB 78 02 00 00 00 75 1A 6A 00 6A 00 68 88 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 EB 29 6A 00 6A 00 68 9F 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F0 8B C3 8B 10 FF 92 14 01 00 00 3B F0 7C 03 83 CE FF 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_85120_0 {
	meta:
		name = "TCustomListBox.GetCount"
		size = 34
	strings:
		$1 = { 0F B6 90 A8 02 00 00 80 C2 FD 80 EA 02 73 07 8B 80 84 02 00 00 C3 8B 80 88 02 00 00 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_85121_0 {
	meta:
		name = "TCustomListBox.GetSelCount"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 90 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85122_0 {
	meta:
		name = "TCustomListBox.SetItemIndex"
		size = 76
		refs = "0028 TWinControl.GetHandle 002e SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 F8 00 00 00 3B F0 74 35 80 BB 78 02 00 00 00 74 17 6A 00 56 68 9E 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 15 6A 00 56 68 86 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85123_0 {
	meta:
		name = "TCustomListBox.SetExtendedSelect"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 AB 02 00 00 74 0B 88 90 AB 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85124_0 {
	meta:
		name = "TCustomListBox.SetIntegralHeight"
		size = 33
		refs = "0014 TWinControl.RecreateWnd"
	strings:
		$1 = { 56 8B F0 3A 96 A9 02 00 00 74 14 88 96 A9 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 74 5E C3 }
	condition:
		$1
}

rule function_85125_0 {
	meta:
		name = "TCustomListBox.GetItemHeight"
		size = 60
		refs = "0010 TWinControl.HandleAllocated 0028 TCustomListBox.GetItemRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B B3 A0 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1C 80 BB A8 02 00 00 00 75 13 8B CC 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 74 24 0C 2B 74 24 04 8B C6 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_85126_0 {
	meta:
		name = "TCustomListBox.GetItemRect"
		size = 14
		refs = "0009 TControl.Perform"
	strings:
		$1 = { 51 B9 98 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85127_0 {
	meta:
		name = "TCustomListBox.SetItemHeight"
		size = 24
		refs = "0013 TWinControl.RecreateWnd"
	strings:
		$1 = { 3B 90 A0 02 00 00 74 0F 85 D2 7E 0B 89 90 A0 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85128_0 {
	meta:
		name = "TCustomListBox.SetTabWidth"
		size = 26
		refs = "0015 TWinControl.RecreateWnd"
	strings:
		$1 = { 85 D2 7D 02 33 D2 3B 90 AC 02 00 00 74 0B 89 90 AC 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85130_0 {
	meta:
		name = "TCustomListBox.GetSelected"
		size = 80
		refs = "0014 TWinControl.GetHandle 001a SendMessage 0030 SListIndexError 0037 _Dn_EListError 003c Exception.CreateResFmt 0041 @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 6A 00 56 68 87 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 FF 75 22 89 34 24 C6 44 24 04 00 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_85131_0 {
	meta:
		name = "TCustomListBox.SetSelected"
		size = 175
		refs = "0022 TWinControl.GetHandle 0028 SendMessage 003c SListIndexError 0043 _Dn_EListError 0048 Exception.CreateResFmt 004d @RaiseExcept"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D9 8B F2 8B F8 80 BF 78 02 00 00 00 74 3E 56 0F B6 C3 50 68 85 01 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 40 75 7A 89 34 24 C6 44 24 04 00 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 56 84 DB 74 3C 6A 00 56 68 86 01 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 40 75 3A 89 34 24 C6 44 24 04 00 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 6A 00 6A FF 68 86 01 00 00 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85132_0 {
	meta:
		name = "TCustomListBox.SetSorted"
		size = 35
		refs = "001e TWinControl.RecreateWnd"
	strings:
		$1 = { 0F B6 88 A8 02 00 00 80 C1 FD 80 E9 02 72 13 3A 90 AA 02 00 00 74 0B 88 90 AA 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85133_0 {
	meta:
		name = "TCustomListBox.SetStyle"
		size = 58
		refs = "0026 TCustomListBox.SetSorted 0033 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E A8 02 00 00 74 29 8B C3 04 FD 2C 02 73 14 8B 86 88 02 00 00 8B 10 FF 52 44 33 D2 8B C6 E8 ?? ?? ?? ?? 88 9E A8 02 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85134_0 {
	meta:
		name = "TCustomListBox.GetTopIndex"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 8E 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85135_0 {
	meta:
		name = "TCustomListBox.LBGetText"
		size = 179
		refs = "000f TCustomListBox.LBGetText 0043 @UStrClr 0060 @UStrToPWChar 006a StrCopy 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 83 A8 02 00 00 04 FD 2C 02 73 62 66 83 BB DA 02 00 00 00 74 4F 8B C3 8B 10 FF 92 14 01 00 00 3B 46 04 76 40 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC 50 8B 4E 04 8B D3 8B 83 DC 02 00 00 FF 93 D8 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 46 08 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 89 46 0C EB 12 C7 46 0C FF FF FF FF EB 09 8B D6 8B C3 8B 08 FF 51 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_85136_0 {
	meta:
		name = "TCustomListBox.LBGetTextLen"
		size = 161
		refs = "000f TCustomListBox.LBGetTextLen 0043 @UStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 83 A8 02 00 00 04 FD 2C 02 73 50 66 83 BB DA 02 00 00 00 74 3D 8B C3 8B 10 FF 92 14 01 00 00 3B 46 04 76 2E 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC 50 8B 4E 04 8B D3 8B 83 DC 02 00 00 FF 93 D8 02 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 89 46 0C EB 12 C7 46 0C FF FF FF FF EB 09 8B D6 8B C3 8B 08 FF 51 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_85137_0 {
	meta:
		name = "TCustomListBox.SetBorderStyle"
		size = 20
		refs = "000f TWinControl.RecreateWnd"
	strings:
		$1 = { 3A 90 94 02 00 00 74 0B 88 90 94 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85138_0 {
	meta:
		name = "TCustomListBox.SetTopIndex"
		size = 41
		refs = "0009 TCustomListBox.GetTopIndex 001c TWinControl.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 74 15 6A 00 56 68 97 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85139_0 {
	meta:
		name = "TCustomListBox.SetItems"
		size = 69
		refs = "0026 TCustomListBox.SetStyle"
	strings:
		$1 = { 56 57 8B FA 8B F0 0F B6 86 A8 02 00 00 8B D0 80 C2 FD 80 EA 02 73 1E 2C 03 74 06 FE C8 74 0D EB 14 33 D2 8B C6 E8 ?? ?? ?? ?? EB 09 B2 01 8B C6 E8 ?? ?? ?? ?? 8B D7 8B 86 88 02 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_85140_0 {
	meta:
		name = "TCustomListBox.ItemAtPos"
		size = 134
		refs = "002b PtInRect 0036 TCustomListBox.GetTopIndex 0056 TCustomListBox.GetItemRect"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B F2 8D 3C 24 A5 A5 8B D9 8B F0 FF 74 24 04 FF 74 24 04 8D 54 24 20 8B C6 8B 08 FF 51 60 8D 44 24 20 50 E8 ?? ?? ?? ?? 85 C0 74 46 8B C6 E8 ?? ?? ?? ?? 8B E8 8B 86 88 02 00 00 8B 10 FF 52 14 8B F8 3B FD 7E 28 8D 4C 24 08 8B D5 8B C6 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8D 44 24 10 50 E8 ?? ?? ?? ?? 85 C0 75 0C 45 3B FD 7F D8 84 DB 74 03 83 CD FF 8B C5 83 C4 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85141_0 {
	meta:
		name = "TCustomListBox.ItemRect"
		size = 107
		refs = "0026 TCustomListBox.GetItemRect 0047 OffsetRect 005a TRect.Create"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F9 8B DA 8B F0 8B 86 88 02 00 00 8B 10 FF 52 14 85 DB 74 04 3B C3 7E 0D 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? EB 38 3B C3 75 1D 8B CF 8B D3 4A 8B C6 E8 ?? ?? ?? ?? 8B 47 0C 2B 47 04 50 6A 00 57 E8 ?? ?? ?? ?? EB 17 6A 00 6A 00 33 C9 33 D2 8D 44 24 08 E8 ?? ?? ?? ?? 8B F4 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85142_0 {
	meta:
		name = "TCustomListBox.CreateParams"
		size = 300
		refs = "000c TWinControl.CreateParams 0011 TCustomListBox.CreateParams 001a TWinControl.CreateSubClass 0031 ExtendSelects 0041 MultiSelects 005d Data 0073 Styles 0081 Sorteds 0091 IntegralHeights 00a5 MultiColumns 00b3 BorderStyles 00c7 TabStops 00cf NewStyleControls 00ff @CallDynaInst 0109 CSHREDRAW"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 80 BB AB 02 00 00 00 74 10 0F B6 83 78 02 00 00 8B 34 85 ?? ?? ?? ?? EB 0E 0F B6 83 78 02 00 00 8B 34 85 ?? ?? ?? ?? 0F B6 83 A8 02 00 00 8B D0 80 C2 FD 80 EA 02 0F 92 C2 83 E2 7F 8B 14 95 ?? ?? ?? ?? 81 CA 00 00 30 00 83 CA 01 0B 57 04 83 E0 7F 0B 14 85 ?? ?? ?? ?? 0F B6 83 AA 02 00 00 0B 14 85 ?? ?? ?? ?? 0B F2 0F B6 83 A9 02 00 00 0B 34 85 ?? ?? ?? ?? 83 BB 9C 02 00 00 00 0F 95 C0 83 E0 7F 0B 34 85 ?? ?? ?? ?? 0F B6 83 94 02 00 00 0B 34 85 ?? ?? ?? ?? 83 BB AC 02 00 00 00 0F 95 C0 83 E0 7F 0B 34 85 ?? ?? ?? ?? 89 77 04 A1 ?? ?? ?? ?? 80 38 00 74 20 80 BB F1 01 00 00 00 74 17 80 BB 94 02 00 00 01 75 0E 81 67 04 FF FF 7F FF 81 4F 08 00 02 00 00 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 83 E0 7F 8B 04 85 ?? ?? ?? ?? 83 C8 01 F7 D0 21 47 24 5F 5E 5B C3 00 00 00 4C 00 49 00 53 00 54 00 42 00 4F 00 58 00 00 00 }
	condition:
		$1
}

rule function_85143_0 {
	meta:
		name = "TCustomListBox.CreateWnd"
		size = 347
		refs = "000e TWinControl.CreateWnd 0023 TWinControl.GetHandle 0029 SetWindowPos 004d SendMessage 0054 TCustomListBox.SetColumnWidth 0067 TCustomListBox.SetScrollWidth 0097 TCustomListBox.SetCount 00c0 TObject.Free 00cd TCustomListBox.SetTopIndex 00fe @DynArrayLength 012a TCustomListBox.SetSelected 0141 :TCustomListBox.:1 0146 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B D8 8B 73 50 8B 7B 54 8B C3 E8 ?? ?? ?? ?? 6A 14 57 56 8B 43 4C 50 8B 43 48 50 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 BB AC 02 00 00 00 74 1B 8D 83 AC 02 00 00 50 6A 01 68 92 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 BC 02 00 00 85 C0 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 A4 02 00 00 83 F8 FF 75 0D 83 BB B0 02 00 00 00 0F 84 D4 00 00 00 0F B6 93 A8 02 00 00 80 C2 FD 80 EA 02 73 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 B0 02 00 00 85 C0 74 1F 8B D0 8B C3 8B 08 FF 91 30 01 00 00 8D 83 B0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 93 B4 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 B8 02 00 00 8B C3 8B 08 FF 91 FC 00 00 00 80 BB 78 02 00 00 00 74 48 8B 83 88 02 00 00 8B 10 FF 52 14 8B F0 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 3B F0 75 2C 8B 83 88 02 00 00 8B 10 FF 52 14 8B F8 4F 85 FF 7C 1A 47 33 F6 8B 83 C0 02 00 00 0F B6 0C 30 8B D6 8B C3 E8 ?? ?? ?? ?? 46 4F 75 E9 6A 00 8D 83 C0 02 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C7 83 A4 02 00 00 FF FF FF FF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85144_0 {
	meta:
		name = "TCustomListBox.DestroyWnd"
		size = 240
		refs = "0012 TCustomListBox.GetScrollWidth 0052 _Dn_TStringList 0057 TStringList.Create 0091 :TCustomListBox.:1 0096 @DynArraySetLength 00b7 TCustomListBox.GetSelected 00cb TCustomListBox.GetTopIndex 00e8 TWinControl.DestroyWnd"
	strings:
		$1 = { 53 56 57 8B D8 F6 43 5D 20 0F 84 D6 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 83 BC 02 00 00 8B 83 88 02 00 00 8B 10 FF 52 14 85 C0 0F 8E B6 00 00 00 0F B6 83 A8 02 00 00 04 FD 2C 02 73 13 8B 83 88 02 00 00 8B 10 FF 52 14 89 83 A4 02 00 00 EB 79 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B0 02 00 00 8B D6 8B C3 8B 08 FF 91 34 01 00 00 80 BB 78 02 00 00 00 74 50 8B 83 88 02 00 00 8B 10 FF 52 14 50 8D 83 C0 02 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 83 88 02 00 00 8B 10 FF 52 14 8B F8 4F 85 FF 7C 19 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 93 C0 02 00 00 88 04 32 46 4F 75 EA 8B C3 E8 ?? ?? ?? ?? 89 83 B4 02 00 00 8B C3 8B 10 FF 92 F8 00 00 00 89 83 B8 02 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85145_0 {
	meta:
		name = "TCustomListBox.WndProc"
		size = 476
		refs = "002c TControl.Dragging 0038 TControl.GetDragMode 0046 TWinControl.IsControlMouseMsg 005a TCustomListBox.WndProc 009c TWinControl.HandleAllocated 00b0 TWinControl.GetHandle 00b6 InvalidateRect 00f9 PostMessage 012b PerformBufferedPrintClient 0144 TWinControl.WndProc 017c GetDC 01ba ReleaseDC 01c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B DA 89 45 FC 8B 45 FC F6 40 1C 10 75 5D 8B 33 81 FE 01 02 00 00 74 08 81 FE 03 02 00 00 75 4B 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 3F 8B 45 FC E8 ?? ?? ?? ?? 3C 01 75 33 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 7E 01 00 00 8B 45 FC 8B 40 5C 0B 05 ?? ?? ?? ?? 8B 55 FC 89 42 5C 8B D3 8B 45 FC 8B 08 FF 51 EC E9 5D 01 00 00 8B 03 2D 14 01 00 00 0F 84 BE 00 00 00 2D F9 AE 00 00 74 11 83 E8 40 74 76 2D E7 0C 00 00 74 2C E9 2E 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 1E 01 00 00 6A FF 6A 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 07 01 00 00 8B 45 FC F6 40 5D 80 0F 84 FA 00 00 00 8B 45 FC 80 B8 F4 02 00 00 00 0F 85 EA 00 00 00 8B 45 FC C6 80 F4 02 00 00 01 6A 00 6A 00 68 4D B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 C4 00 00 00 8B 45 FC 80 B8 F4 02 00 00 00 0F 84 B4 00 00 00 8D 55 E8 8B 45 FC 8B 08 FF 51 60 8D 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 45 FC C6 80 F4 02 00 00 00 E9 88 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 80 BA 68 02 00 00 00 74 7C 0F B7 43 04 8B D0 66 83 E2 05 66 83 FA 05 74 0E A8 00 74 0A 66 83 E0 01 66 83 F8 01 75 5E 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 08 FF 91 E0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_85146_0 {
	meta:
		name = "TCustomListBox.WMEraseBkgnd"
		size = 21
		refs = "0010 TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 80 B8 68 02 00 00 00 74 06 8B 08 FF 51 F0 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85147_0 {
	meta:
		name = "TCustomListBox.WMLButtonDown"
		size = 344
		refs = "0016 TCustomListBox.WMLButtonDown 0044 TLinkObservers.GetEditLink 0073 KeysToShiftState 0082 @CallDynaInst 0099 TControl.GetDragMode 00d4 TCustomListBox.ItemAtPos 00e7 TCustomListBox.GetSelected 00f7 TControl.BeginDrag 0102 TControl.WMLButtonDown 0145 @IntfClear 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 1F 8B C3 8B 10 FF 52 20 8B F8 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 24 34 01 EB 02 33 C0 84 C0 74 31 8B C3 8B 10 FF 92 F4 00 00 00 0F BF 46 08 50 0F BF 46 0A 50 0F B7 46 04 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C3 66 BE D5 FF E8 ?? ?? ?? ?? E9 A9 00 00 00 0F B7 46 04 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 3C 01 75 5C 80 BB 78 02 00 00 00 74 53 66 F7 C7 01 00 74 07 66 F7 C7 04 00 74 45 8B 46 08 89 45 F8 0F BF 45 F8 89 45 F0 0F BF 45 FA 89 45 F4 B1 01 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 7C 1C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 83 C9 FF 33 D2 8B C3 E8 ?? ?? ?? ?? EB 37 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3C 01 75 23 80 BB 78 02 00 00 00 74 0E 66 F7 C7 04 00 75 13 66 F7 C7 01 00 75 0C 83 C9 FF 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85148_0 {
	meta:
		name = "TCustomListBox.CNCommand"
		size = 88
		refs = "0017 TControl.Changed 0022 @CallDynaInst 0043 TLinkObservers.PositionLinkPosChanged"
	strings:
		$1 = { 53 56 8B D8 0F B7 42 06 66 FF C8 74 07 66 FF C8 74 38 EB 41 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE EC FF E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 BA 03 00 00 00 8B 08 FF 51 14 84 C0 74 1A 8B C3 8B 10 FF 52 20 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 66 BE EB FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85149_0 {
	meta:
		name = "PaintListBox"
		size = 522
		refs = "0026 _Dn_TBrush 002b TBrush.Create 0036 PaintListBox 0049 TBrush.SetColor 0051 TBrush.GetHandle 0075 FillRect 008a TObject.Free 0090 @HandleFinally 00ba TWinControl.GetHandle 011b TCustomListBox.GetTopIndex 0133 GetClipBox 01af Rect"
	strings:
		$1 = { 55 8B EC 81 C4 6C FF FF FF 53 56 57 8B 7D 08 83 C7 FC 8B 07 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 75 73 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 8B 50 74 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 8D 95 6C FF FF FF 8B 07 8B 08 FF 51 60 8D 85 6C FF FF FF 50 8B 45 08 8B 40 F8 8B 40 04 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 A4 89 45 EC 8D 45 8C 89 45 DC C7 45 E4 2B BC 00 00 8B 07 E8 ?? ?? ?? ?? 89 45 E8 C7 45 A4 02 00 00 00 C7 45 B0 01 00 00 00 33 C0 89 45 B4 8B 45 08 8B 40 F8 8B 40 04 89 45 BC 8B 07 E8 ?? ?? ?? ?? 89 45 A8 8B 07 E8 ?? ?? ?? ?? 89 45 B8 C7 45 D4 2C BC 00 00 8B 07 E8 ?? ?? ?? ?? 89 45 D8 C7 45 8C 02 00 00 00 8B 07 E8 ?? ?? ?? ?? 89 45 90 33 F6 8B 07 E8 ?? ?? ?? ?? 8B D8 8D 85 7C FF FF FF 50 8B 45 08 8B 40 F8 8B 40 04 50 E8 ?? ?? ?? ?? 8B 07 8B 40 54 89 45 FC 8B 07 8B 40 50 89 45 F8 3B 75 FC 0F 8D 9E 00 00 00 89 5D 94 8B 07 8B 80 88 02 00 00 8B 10 FF 52 14 3B D8 7D 12 8B 07 8B 80 88 02 00 00 8B D3 8B 08 FF 51 18 89 45 A0 8B 45 F8 89 45 98 8B 07 8B 80 A0 02 00 00 89 45 9C 8B 45 A0 89 45 D0 89 5D AC 8D 55 D4 8B 07 8B 08 FF 51 EC 8B C6 03 45 9C 50 8D 85 6C FF FF FF 50 8B 4D 98 8B D6 33 C0 E8 ?? ?? ?? ?? 56 57 8D B5 6C FF FF FF 8D 7D C0 A5 A5 A5 A5 5F 5E 8D 55 E4 8B 07 8B 08 FF 51 EC 8B 45 9C 03 F0 43 8B 07 8B 80 88 02 00 00 8B 10 FF 52 14 3B D8 7D 09 3B 75 FC 0F 8C 62 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85150_0 {
	meta:
		name = "TCustomListBox.WMPaint"
		size = 45
		refs = "0017 PaintListBox 0025 TWinControl.WMPaint"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 83 78 04 00 74 09 55 E8 ?? ?? ?? ?? 59 EB 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_85152_0 {
	meta:
		name = "TCustomListBox.DragCanceled"
		size = 108
		refs = "0010 GetCursorPos 001d TControl.ScreenToClient"
	strings:
		$1 = { 53 83 C4 DC 8B D8 C7 44 24 14 01 02 00 00 54 E8 ?? ?? ?? ?? 8D 4C 24 08 8B D4 8B C3 E8 ?? ?? ?? ?? 0F B7 44 24 08 66 89 44 24 10 0F B7 44 24 0C 66 89 44 24 12 8B 44 24 10 89 44 24 1C 33 C0 89 44 24 18 33 C0 89 44 24 20 8D 54 24 14 8B C3 8B 08 FF 51 F0 C7 44 24 14 02 02 00 00 8D 54 24 14 8B C3 8B 08 FF 51 F0 83 C4 24 5B C3 }
	condition:
		$1
}

rule function_85153_0 {
	meta:
		name = "TCustomListBox.DrawItem"
		size = 310
		refs = "0022 TCustomListBox.DrawItem 007c TControl.DrawTextBiDiModeFlags 008a @CallDynaInst 00a0 @UStrClr 00b9 TCustomListBox.DoGetData 00d6 TCanvas.GetHandle 00ef @UStrLAsg 0100 @UStrToPWChar 0107 DrawText 0121 @UStrArrayClr 0127 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D FC 89 5D F8 8B F1 8D 7D E4 A5 A5 A5 A5 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB CA 02 00 00 00 74 1E 8D 45 E4 50 0F B7 45 08 50 8B CF 8B D3 8B 83 CC 02 00 00 FF 93 C8 02 00 00 E9 B7 00 00 00 8D 55 E4 8B 83 98 02 00 00 8B 08 FF 51 54 8B C3 8B 10 FF 92 14 01 00 00 3B F8 0F 8D 97 00 00 00 BA 24 08 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 06 83 45 E4 02 EB 04 83 6D EC 02 8D 45 FC E8 ?? ?? ?? ?? 0F B6 83 A8 02 00 00 04 FD 2C 02 73 0E 8D 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? EB 10 8D 4D FC 8B D7 8B 83 88 02 00 00 8B 30 FF 56 0C 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8B F0 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 7D F4 57 8D 45 E4 50 53 8B 45 F8 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_85154_0 {
	meta:
		name = "TCustomListBox.MeasureItem"
		size = 32
	strings:
		$1 = { 53 66 83 B8 D2 02 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 D4 02 00 00 FF 93 D0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_85155_0 {
	meta:
		name = "TCustomListBox.CanObserve"
		size = 18
	strings:
		$1 = { 33 C0 83 FA 01 75 03 B0 01 C3 83 FA 03 75 02 B0 01 C3 }
	condition:
		$1
}

rule function_85156_0 {
	meta:
		name = "TCustomListBox.CNDrawItem"
		size = 340
		refs = "0017 TCanvas.SetHandle 0025 TCanvas.SetFont 0036 TCanvas.SetBrush 003b TStyleManager.GetIsCustomStyleActive 0055 StyleServices 005f TCustomStyleServices.GetSystemColor 006f TBrush.SetColor 007b TCustomStyleServices.GetStyleFontColor 008b TFont.SetColor 0099 TCustomStyleServices.GetStyleColor 013e DrawFocusRect"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 72 08 0F B7 7E 10 8B 56 18 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B 53 6C 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B 93 C8 01 00 00 8B 83 98 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 84 00 00 00 83 7E 08 00 7C 44 66 F7 C7 01 00 74 3D E8 ?? ?? ?? ?? BA 0D 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 83 98 02 00 00 8B 40 48 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 2C E8 ?? ?? ?? ?? 8B D0 8B 83 98 02 00 00 8B 40 40 E8 ?? ?? ?? ?? EB 6D E8 ?? ?? ?? ?? B2 14 E8 ?? ?? ?? ?? 8B D0 8B 83 98 02 00 00 8B 40 48 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 2B E8 ?? ?? ?? ?? 8B D0 8B 83 98 02 00 00 8B 40 40 E8 ?? ?? ?? ?? EB 33 83 7E 08 00 7C 2D 66 F7 C7 01 00 74 26 8B 83 98 02 00 00 8B 40 48 BA 0D 00 00 FF E8 ?? ?? ?? ?? 8B 83 98 02 00 00 8B 40 40 BA 0E 00 00 FF E8 ?? ?? ?? ?? 8B 46 08 85 C0 7C 12 57 8D 4E 1C 8B D0 8B C3 8B 28 FF 95 28 01 00 00 EB 0E 8D 56 1C 8B 83 98 02 00 00 8B 08 FF 51 54 66 F7 C7 10 00 74 16 E8 ?? ?? ?? ?? 84 C0 75 0D 8D 46 1C 50 8B 46 18 50 E8 ?? ?? ?? ?? 33 D2 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85157_0 {
	meta:
		name = "TCustomListBox.CNMeasureItem"
		size = 52
	strings:
		$1 = { 53 56 51 8B 52 08 8B DA 8B 90 A0 02 00 00 89 53 10 80 B8 A8 02 00 00 02 75 16 89 14 24 8B CC 8B 53 08 8B 30 FF 96 2C 01 00 00 8B 04 24 89 43 10 5A 5E 5B C3 }
	condition:
		$1
}

rule function_85158_0 {
	meta:
		name = "TCustomListBox.CMCtl3DChanged"
		size = 44
		refs = "0007 NewStyleControls 001c TWinControl.RecreateWnd 0025 TWinControl.CMCtl3DChanged"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 80 38 00 74 10 80 BB 94 02 00 00 01 75 07 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85159_0 {
	meta:
		name = "TCustomListBox.CMExit"
		size = 179
		refs = "0017 TCustomListBox.CMExit 0055 TLinkObservers.GetEditLink 006c @HandleAnyException 007c @RaiseAgain 0081 @DoneExcept 008b TWinControl.CMExit 00a0 @IntfClear 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 4E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 20 8B D8 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 20 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_85160_0 {
	meta:
		name = "TCustomListBox.SelectAll"
		size = 54
		refs = "002a TCustomListBox.SetSelected"
	strings:
		$1 = { 53 56 57 8B F0 80 BE 78 02 00 00 00 74 24 8B 86 88 02 00 00 8B 10 FF 52 14 8B D8 4B 85 DB 7C 12 43 33 FF B1 01 8B D7 8B C6 E8 ?? ?? ?? ?? 47 4B 75 F1 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85161_0 {
	meta:
		name = "TCustomListBox.MouseDown"
		size = 234
		refs = "001a TCustomListBox.MouseDown 0048 TLinkObservers.GetEditLink 0067 TControl.MouseDown 00cc IEditLinkObserver 00d6 @FinalizeArray 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 66 89 4D FD 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 1B 8B C3 8B 10 FF 52 20 8B F0 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 24 8B 45 0C 50 8B 45 08 50 0F B7 4D FD 0F B6 55 FF 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 3A 8B C3 8B 10 FF 52 20 8B F0 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 44 84 C0 74 1B 8B C3 8B 10 FF 52 20 8B D8 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85162_0 {
	meta:
		name = "TCustomListBox.KeyDown"
		size = 192
		refs = "0018 TCustomListBox.KeyDown 002b TWinControl.KeyDown 005f TLinkObservers.GetEditLink 00a3 IEditLinkObserver 00ad @FinalizeArray 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 66 89 4D FE 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 4D 0F B7 06 83 C0 DF 66 83 E8 08 73 41 8B C3 8B 10 FF 52 20 8B F8 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 24 84 C0 75 07 66 C7 06 00 00 EB 1B 8B C3 8B 10 FF 52 20 8B D8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85163_0 {
	meta:
		name = "FindString"
		size = 232
		refs = "002b TCustomListBox.DoFindData 0047 TWinControl.GetHandle 0054 SendTextMessage 009b SendMessage 00ba @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 0F B6 80 A8 02 00 00 04 FD 2C 02 73 1B 8B 45 08 8B 40 FC 8B 90 8C 02 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 EB 27 8B 45 08 8B 40 FC 8B 80 8C 02 00 00 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 83 C9 FF BA 8F 01 00 00 E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 5F 8B 45 08 8B 40 FC 80 B8 78 02 00 00 00 74 31 8B 45 08 8B 40 FC 8B 10 FF 92 08 01 00 00 0F B7 F3 8B C6 C1 E6 10 0B C6 50 6A 01 68 9B 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B D3 8B 08 FF 91 FC 00 00 00 8B 45 08 8B 40 FC 66 BE EC FF E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 0F B7 00 66 83 E8 08 74 17 66 83 E8 05 74 11 66 83 E8 0E 74 0B 8B 45 08 8B 40 F8 66 C7 00 00 00 5E 5B 5D C3 }
	condition:
		$1
}

rule function_85164_0 {
	meta:
		name = "TCustomListBox.KeyPress"
		size = 723
		refs = "002a TCustomListBox.KeyPress 0047 TWinControl.KeyPress 0084 TLinkObservers.GetEditLink 00e6 GetTickCount 0104 @UStrClr 0150 TWinControl.GetHandle 015a PeekMessage 0178 @UStrFromWChar 019a @UStrCatN 01c4 @UStrCat 01ea @UStrDelete 01f7 @UStrLen 0206 ByteType 0249 FindString 0263 @CallDynaInst 0293 TLinkObservers.PositionLinkPosChanged 02ad @UStrArrayClr 02b6 IEditLinkObserver 02c0 @FinalizeArray 02c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 C9 89 4D C0 89 4D C8 89 4D C4 89 4D CC 89 4D D0 89 4D D4 89 55 F8 89 45 FC 8D 7D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 8B 10 FF 92 F8 00 00 00 89 45 F4 8B 55 F8 8B 07 E8 ?? ?? ?? ?? 8B 07 8B 10 FF 52 20 BA 01 00 00 00 8B 08 FF 51 14 84 C0 74 76 8B 45 F8 0F B7 00 66 83 E8 1B 74 4F 83 C0 FB 66 2D E0 FF 73 61 8B 07 8B 10 FF 52 20 8B D8 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 8B 10 FF 52 24 84 C0 75 0A 8B 45 F8 66 C7 00 00 00 EB 38 8B 07 8B 10 FF 52 20 8B D8 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 45 D0 8B 10 FF 52 2C EB 1B 8B 07 8B 10 FF 52 20 8B D8 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 8B 10 FF 52 28 8B 07 80 B8 80 02 00 00 00 0F 84 B2 01 00 00 E8 ?? ?? ?? ?? 8B 17 2B 82 90 02 00 00 8B 17 3B 82 F0 02 00 00 72 0C 8B 07 05 8C 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 17 89 82 90 02 00 00 8B 45 F8 0F B7 00 66 83 F8 08 0F 84 C9 00 00 00 8B 45 F8 0F B7 00 66 3D 00 D8 72 06 66 3D FF DF 76 04 33 C0 EB 02 B0 01 84 C0 74 6A 6A 01 68 02 01 00 00 68 02 01 00 00 8B 07 E8 ?? ?? ?? ?? 50 8D 45 D8 50 E8 ?? ?? ?? ?? 85 C0 0F 84 CC 00 00 00 8B 07 FF B0 8C 02 00 00 8D 45 C8 8B 55 F8 0F B7 12 E8 ?? ?? ?? ?? FF 75 C8 8D 45 C4 8B 55 E0 E8 ?? ?? ?? ?? FF 75 C4 8B 07 05 8C 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 66 C7 00 00 00 E9 87 00 00 00 8D 45 C0 8B 55 F8 0F B7 12 E8 ?? ?? ?? ?? 8B 55 C0 8B 07 05 8C 02 00 00 E8 ?? ?? ?? ?? EB 68 8B 07 8B 98 8C 02 00 00 85 DB 74 05 83 EB 04 8B 1B 8B 07 05 8C 02 00 00 B9 01 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B 07 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 07 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 3C 02 74 BC 8B 07 8B 80 8C 02 00 00 85 C0 74 05 83 E8 04 8B 00 8B 17 81 C2 8C 02 00 00 B9 01 00 00 00 92 E8 ?? ?? ?? ?? 8B 07 8B 80 8C 02 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 09 55 E8 ?? ?? ?? ?? 59 EB 17 33 D2 8B 07 8B 08 FF 91 FC 00 00 00 8B 07 66 BE EC FF E8 ?? ?? ?? ?? 8B 07 8B 10 FF 92 F8 00 00 00 3B 45 F4 74 21 8B 07 8B 10 FF 52 20 BA 03 00 00 00 8B 08 FF 51 14 84 C0 74 0C 8B 07 8B 10 FF 52 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85165_0 {
	meta:
		name = "TCustomListBox.LoadRecreateItems"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 88 02 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_85166_0 {
	meta:
		name = "TCustomListBox.SetCount"
		size = 226
		refs = "0018 TCustomListBox.SetCount 003a TWinControl.GetHandle 0040 SendMessage 006a SErrorSettingCount 006f LoadResString 0079 _Dn_Exception 007e Exception.CreateFmt 0083 @RaiseExcept 009d SListBoxMustBeVirtual 00d0 @UStrArrayClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 83 A8 02 00 00 04 FD 2C 02 73 5A 6A 00 56 68 A7 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 FF 74 0D 83 F8 FE 74 08 89 B3 84 02 00 00 EB 64 8B 43 08 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 31 8B 43 08 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85167_0 {
	meta:
		name = "TCustomListBox.DoGetData"
		size = 32
	strings:
		$1 = { 53 66 83 B8 DA 02 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 DC 02 00 00 FF 93 D8 02 00 00 5B C3 }
	condition:
		$1
}

rule function_85168_0 {
	meta:
		name = "TCustomListBox.DoGetDataObject"
		size = 42
	strings:
		$1 = { 53 51 33 C9 89 0C 24 66 83 B8 EA 02 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 EC 02 00 00 FF 93 E8 02 00 00 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_85169_0 {
	meta:
		name = "TCustomListBox.DoFindData"
		size = 36
	strings:
		$1 = { 53 66 83 B8 E2 02 00 00 00 74 14 8B D8 8B CA 8B D0 8B 83 E4 02 00 00 FF 93 E0 02 00 00 5B C3 83 C8 FF 5B C3 }
	condition:
		$1
}

rule function_85170_0 {
	meta:
		name = "TCustomListBox.GetScrollWidth"
		size = 27
		refs = "000f TWinControl.GetHandle 0015 SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 93 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85171_0 {
	meta:
		name = "TCustomListBox.SetScrollWidth"
		size = 41
		refs = "0009 TCustomListBox.GetScrollWidth 001c TWinControl.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 74 15 6A 00 56 68 94 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85172_0 {
	meta:
		name = "TScrollBar.Create"
		size = 184
		refs = "000a @ClassCreate 0017 TWinControl.Create 0023 TControl.SetWidth 002a GetSystemMetrics 0033 TControl.SetHeight 003c TWinControl.SetTabStop 0041 TScrollBar.Create 007c SysLocale 0087 Win32Platform 009e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 79 00 00 00 8B C6 E8 ?? ?? ?? ?? 6A 03 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 58 C6 86 78 02 00 00 00 33 C0 89 86 7C 02 00 00 33 C0 89 86 80 02 00 00 C7 86 84 02 00 00 64 00 00 00 66 C7 86 90 02 00 00 01 00 66 C7 86 92 02 00 00 01 00 A1 ?? ?? ?? ?? 80 78 0C 00 74 11 A1 ?? ?? ?? ?? 83 38 02 75 07 C6 86 D4 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 D0 00 00 00 }
	condition:
		$1
}

rule function_85174_0 {
	meta:
		name = "TScrollBar.CreateParams"
		size = 140
		refs = "000c TWinControl.CreateParams 0011 TScrollBar.CreateParams 001a TWinControl.CreateSubClass 0028 Kinds 003f @CallDynaInst 0054 TScrollBar.NotRightToLeft"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 0F B6 83 78 02 00 00 8B 04 85 ?? ?? ?? ?? 09 47 04 80 BB 78 02 00 00 01 75 19 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 84 C0 75 06 83 4F 04 04 EB 04 83 4F 04 02 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C C7 83 8C 02 00 00 01 00 00 00 EB 0A C7 83 8C 02 00 00 FF FF FF FF 5F 5E 5B C3 00 00 53 00 43 00 52 00 4F 00 4C 00 4C 00 42 00 41 00 52 00 00 00 }
	condition:
		$1
}

rule function_85175_0 {
	meta:
		name = "TScrollBar.CreateWnd"
		size = 185
		refs = "000d TControl.GetBoundsRect 0014 TWinControl.CreateWnd 001f TControl.SetBoundsRect 0038 TWinControl.GetHandle 003e SetScrollRange 006d SetScrollInfo 0074 TScrollBar.NotRightToLeft 0090 SetScrollPos"
	strings:
		$1 = { 53 83 C4 D4 8B D8 8D 54 24 1C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 54 24 1C 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 83 84 02 00 00 50 8B 83 80 02 00 00 50 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C7 04 24 1C 00 00 00 8B 83 88 02 00 00 89 44 24 10 C7 44 24 04 02 00 00 00 6A 00 8D 44 24 04 50 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 6A FF 8B 83 7C 02 00 00 50 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1E 6A FF 8B 83 84 02 00 00 2B 83 7C 02 00 00 50 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 2C 5B C3 }
	condition:
		$1
}

rule function_85176_0 {
	meta:
		name = "TScrollBar.NotRightToLeft"
		size = 31
		refs = "0006 TControl.IsRightToLeft"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 80 BB 78 02 00 00 01 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_85177_0 {
	meta:
		name = "TScrollBar.SetKind"
		size = 58
		refs = "0033 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 56 8B D8 3A 93 78 02 00 00 74 2B 88 93 78 02 00 00 F6 43 1C 01 75 18 8B 43 54 50 8B 43 50 50 8B 4B 4C 8B 53 48 8B C3 8B 30 FF 96 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85178_0 {
	meta:
		name = "TScrollBar.SetParams"
		size = 446
		refs = "001c TScrollBar.SetParams 0037 SScrollBarRange 003c LoadResString 0046 _Dn_EInvalidOperation 004b Exception.Create 0050 @RaiseExcept 0087 TWinControl.HandleAllocated 00a7 TWinControl.GetHandle 00ad SetScrollRange 00d3 StyleServices 00e6 TScrollBar.NotRightToLeft 0102 SetScrollPos 0138 RedrawWindow 0194 @CallDynaInst 01a9 @UStrClr 01af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 75 FC 7C 08 3B B3 88 02 00 00 7D 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 7D FC 7D 03 8B 7D FC 3B F7 7D 02 8B FE 8B 83 80 02 00 00 3B 45 FC 75 08 3B B3 84 02 00 00 74 3C 8B 45 FC 89 83 80 02 00 00 89 B3 84 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 3B BB 7C 02 00 00 0F 94 C0 F6 D8 1B C0 50 56 8B 45 FC 50 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 3B BB 7C 02 00 00 0F 84 DB 00 00 00 89 BB 7C 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 AF 00 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 14 01 00 00 A8 01 74 5B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 6A 00 8B 83 7C 02 00 00 50 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1E 6A 00 8B 83 84 02 00 00 2B 83 7C 02 00 00 50 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 01 01 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 43 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 6A FF 8B 83 7C 02 00 00 50 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 1E 6A FF 8B 83 84 02 00 00 2B 83 7C 02 00 00 50 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 91 80 00 00 00 8B C3 66 BE AE FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_85179_0 {
	meta:
		name = "TScrollBar.SetPosition"
		size = 19
		refs = "000e TScrollBar.SetParams"
	strings:
		$1 = { 8B 88 84 02 00 00 51 8B 88 80 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85180_0 {
	meta:
		name = "TScrollBar.SetPageSize"
		size = 152
		refs = "0036 TWinControl.HandleAllocated 003f StyleServices 005b TWinControl.GetHandle 0061 SetScrollInfo 0077 RedrawWindow"
	strings:
		$1 = { 53 83 C4 E4 8B D8 3B 93 88 02 00 00 0F 84 81 00 00 00 3B 93 84 02 00 00 7F 79 89 93 88 02 00 00 C7 04 24 1C 00 00 00 89 54 24 10 C7 44 24 04 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 55 E8 ?? ?? ?? ?? 8B 10 FF 92 14 01 00 00 A8 01 74 2E 6A 00 8D 44 24 04 50 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 68 01 01 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 16 6A FF 8D 44 24 04 50 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 1C 5B C3 }
	condition:
		$1
}

rule function_85181_0 {
	meta:
		name = "TScrollBar.SetMin"
		size = 21
		refs = "0010 TScrollBar.SetParams"
	strings:
		$1 = { 8B 88 84 02 00 00 51 8B CA 8B 90 7C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85182_0 {
	meta:
		name = "TScrollBar.SetMax"
		size = 19
		refs = "000e TScrollBar.SetParams"
	strings:
		$1 = { 52 8B 88 80 02 00 00 8B 90 7C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85183_0 {
	meta:
		name = "TScrollBar.CanObserve"
		size = 10
	strings:
		$1 = { 33 C0 83 FA 03 75 02 B0 01 C3 }
	condition:
		$1
}

rule function_85184_0 {
	meta:
		name = "TScrollBar.Change"
		size = 36
		refs = "0006 TControl.Changed"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB 9A 02 00 00 00 74 0E 8B D3 8B 83 9C 02 00 00 FF 93 98 02 00 00 5B C3 }
	condition:
		$1
}

rule function_85185_0 {
	meta:
		name = "TScrollBar.Scroll"
		size = 32
	strings:
		$1 = { 53 66 83 B8 A2 02 00 00 00 74 13 51 8B CA 8B D8 8B D0 8B 83 A4 02 00 00 FF 93 A0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_85186_0 {
	meta:
		name = "TScrollBar.DoScroll"
		size = 277
		refs = "0020 TScrollBar.DoScroll 00a5 TWinControl.GetHandle 00ab GetScrollInfo 00b6 TScrollBar.NotRightToLeft 0100 @CallDynaInst 010a TScrollBar.SetPosition"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B FA 8B D8 8B B3 7C 02 00 00 0F B6 47 04 83 F8 07 0F 87 BB 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B7 83 90 02 00 00 F7 AB 8C 02 00 00 2B F0 E9 80 00 00 00 0F B7 83 90 02 00 00 F7 AB 8C 02 00 00 03 F0 EB 6F 0F B7 83 92 02 00 00 F7 AB 8C 02 00 00 2B F0 EB 5E 0F B7 83 92 02 00 00 F7 AB 8C 02 00 00 03 F0 EB 4D C7 44 24 04 1C 00 00 00 C7 44 24 08 17 00 00 00 8D 44 24 04 50 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 74 24 1C 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1A 8B 83 84 02 00 00 2B C6 8B F0 EB 0E 8B B3 80 02 00 00 EB 06 8B B3 84 02 00 00 8B 83 80 02 00 00 3B F0 7D 02 8B F0 8B 83 84 02 00 00 3B F0 7E 02 8B F0 89 34 24 0F B6 57 04 8B CC 8B C3 66 BE AD FF E8 ?? ?? ?? ?? 8B 14 24 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85187_0 {
	meta:
		name = "TScrollBar.CNHScroll"
		size = 45
		refs = "0006 TScrollBar.DoScroll 0027 TLinkObservers.PositionLinkPosChanged"
		altNames = "TScrollBar.CNVScroll"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 BA 03 00 00 00 8B 08 FF 51 14 84 C0 74 0C 8B C3 8B 10 FF 52 20 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85189_0 {
	meta:
		name = "TScrollBar.CNCtlColorScrollBar"
		size = 40
		refs = "0014 TWinControl.GetHandle 0021 CallWindowProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 08 50 8B 46 04 50 8B 06 50 8B C3 E8 ?? ?? ?? ?? 50 8B 83 5C 02 00 00 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85192_0 {
	meta:
		name = "TCustomStaticText.Create"
		size = 112
		refs = "000a @ClassCreate 0017 TWinControl.Create 001c TCustomStaticText.Create 002b TControl.SetWidth 0037 TControl.SetHeight 004c TCustomStaticText.AdjustBounds 0057 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 58 BA 41 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 11 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 79 02 00 00 01 C6 86 80 02 00 00 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 AA 08 20 00 }
	condition:
		$1
}

rule function_85193_0 {
	meta:
		name = "TCustomStaticText.CreateParams"
		size = 132
		refs = "000c TWinControl.CreateParams 0011 TCustomStaticText.CreateParams 001a TWinControl.CreateSubClass 0025 @CallDynaInst 0032 Alignments 0055 Borders"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE C7 FF E8 ?? ?? ?? ?? 83 E0 7F 8D 04 40 8D 04 85 ?? ?? ?? ?? 0F B6 93 78 02 00 00 8B 04 90 8B 57 04 81 CA 00 01 00 00 0B C2 0F B6 93 7A 02 00 00 0B 04 95 ?? ?? ?? ?? 89 47 04 80 BB 80 02 00 00 00 75 07 81 4F 04 80 00 00 00 83 67 24 FE 5F 5E 5B C3 53 00 54 00 41 00 54 00 49 00 43 00 00 00 00 00 }
	condition:
		$1
}

rule function_85194_0 {
	meta:
		name = "TCustomStaticText.CMDialogChar"
		size = 154
		refs = "0010 TCustomStaticText.CMDialogChar 003d TControl.GetText 0049 IsAccel 005e @CallDynaInst 0088 @UStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 7C 02 00 00 00 74 54 8B C3 8B 10 FF 52 68 84 C0 74 49 80 BB 80 02 00 00 00 74 40 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 0F B7 47 04 E8 ?? ?? ?? ?? 84 C0 74 26 8B 9B 7C 02 00 00 8B C3 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 11 8B C3 8B 10 FF 92 F4 00 00 00 C7 47 0C 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_85198_0 {
	meta:
		name = "TCustomStaticText.AdjustBounds"
		size = 334
		refs = "001b TCustomStaticText.AdjustBounds 0045 GetDC 0061 TFont.GetHandle 006b SelectObject 0078 TControl.GetText 00a3 @UStrLAsg 00b0 @UStrToPWChar 00b7 GetTextExtentPoint32 00d9 ReleaseDC 00df @HandleFinally 00e8 GetSystemMetrics 012b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 E4 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 F6 40 1C 02 0F 85 E8 00 00 00 8B 45 F4 80 B8 79 02 00 00 00 0F 84 D8 00 00 00 6A 00 E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 40 6C E8 ?? ?? ?? ?? 50 8B 45 F0 50 E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E0 8B 5D E0 85 DB 74 05 83 EB 04 8B 1B 8B 7D F0 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E8 50 53 8B 45 F8 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 56 8B 45 F0 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 6A 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 6A 05 E8 ?? ?? ?? ?? 03 C0 03 C0 03 45 E8 50 6A 06 E8 ?? ?? ?? ?? 03 C0 03 C0 03 45 EC 50 8B 45 F4 8B 48 4C 8B 45 F4 8B 50 48 8B 45 F4 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85199_0 {
	meta:
		name = "TCustomStaticText.Notification"
		size = 45
		refs = "0010 TWinControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 7C 02 00 00 75 08 33 C0 89 87 7C 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85203_0 {
	meta:
		name = "TCustomStaticText.SetFocusControl"
		size = 17
		refs = "000c TComponent.FreeNotification"
	strings:
		$1 = { 89 90 7C 02 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85205_0 {
	meta:
		name = "TCustomStaticText.CNCtlColorStatic"
		size = 95
		refs = "0007 StyleServices 0017 TCustomStaticText.GetTransparent 0026 SetBkMode 0033 TWinControl.GetHandle 0042 TCustomStyleServices.DrawParentBackground 0049 GetStockObject"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 3F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 34 6A 01 8B 46 04 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 4E 04 5A E8 ?? ?? ?? ?? 6A 05 E8 ?? ?? ?? ?? 89 46 0C 5E 5B C3 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_85206_0 {
	meta:
		name = "TCustomStaticText.SetTransparent"
		size = 64
		refs = "0009 TCustomStaticText.GetTransparent 0016 TCustomStaticText.SetTransparent"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 28 84 DB 74 0F A1 ?? ?? ?? ?? F7 D0 23 46 58 89 46 58 EB 0B A1 ?? ?? ?? ?? 0B 46 58 89 46 58 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 40 00 00 00 }
	condition:
		$1
}

rule function_85208_0 {
	meta:
		name = "TScrollBarStyleHook.TScrollWindow.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TWinControl.Create 0020 TScrollBarStyleHook.TScrollWindow.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 00 00 80 00 }
	condition:
		$1
}

rule function_85209_0 {
	meta:
		name = "TScrollBarStyleHook.TScrollWindow.CreateParams"
		size = 37
		refs = "0006 TWinControl.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 8B 43 04 0D 00 00 00 40 0D 00 00 00 02 0D 00 00 00 04 89 43 04 83 4B 08 04 5B C3 }
	condition:
		$1
}

rule function_85210_0 {
	meta:
		name = "TScrollBarStyleHook.TScrollWindow.WMNCHitTest"
		size = 17
	strings:
		$1 = { 80 B8 78 02 00 00 00 75 07 C7 42 0C FF FF FF FF C3 }
	condition:
		$1
}

rule function_85212_0 {
	meta:
		name = "TScrollBarStyleHook.TScrollWindow.WMPaint"
		size = 439
		refs = "0011 TWinControl.GetHandle 0017 BeginPaint 001f TScrollBarStyleHook.TScrollWindow.WMPaint 003f GetWindowDC 006d TScrollBarStyleHook.VertDrawScroll 0080 TScrollBarStyleHook.HorzDrawScroll 009f ReleaseDC 00a5 @HandleFinally 00be _Dn_TCanvas 00c3 TCanvas.Create 00ec TCanvas.SetHandle 00f1 StyleServices 0107 TBrush.SetStyle 0118 TCustomStyleServices.ColorToRGB 0125 TBrush.SetColor 013f Rect 015f TCanvas.GetHandle 0180 TObject.Free 01a7 EndPaint"
	strings:
		$1 = { 55 8B EC 83 C4 A4 89 45 FC 8D 45 B4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 7C 02 00 00 00 74 76 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 80 02 00 00 00 74 13 8B 45 FC 8B 80 7C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? EB 11 8B 45 FC 8B 80 7C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC 80 B8 78 02 00 00 00 0F 84 D1 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 50 8B 45 F4 8B 40 48 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 54 50 8D 45 A4 50 8B 45 FC 8B 48 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 A4 8B 45 F4 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B E5 5D C3 }
	condition:
		$1
}

rule function_85214_0 {
	meta:
		name = "TScrollBarStyleHook.Create"
		size = 82
		refs = "000a @ClassCreate 0017 TMouseTrackControlStyleHook.Create 003f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 28 C6 46 2C 1A C6 46 2D 02 C6 46 2E 06 C6 46 2F 16 C6 46 30 0A C6 46 31 0E 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_85215_0 {
	meta:
		name = "TScrollBarStyleHook.Destroy"
		size = 67
		refs = "0003 @BeforeDestruction 0026 TObject.Free 0031 TMouseTrackControlStyleHook.Destroy 003c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 28 85 C0 74 18 33 D2 89 90 7C 02 00 00 8D 46 28 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85216_0 {
	meta:
		name = "TScrollBarStyleHook.HasBorder"
		size = 44
		refs = "000e _DV_TScrollBar 0013 @IsClass"
	strings:
		$1 = { 53 56 57 8B F8 33 DB 8B 77 08 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 80 BE F1 01 00 00 00 74 02 B3 01 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85217_0 {
	meta:
		name = "TScrollBarStyleHook.ControlBounds"
		size = 59
		refs = "0010 TControl.GetBoundsRect 0028 InflateRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B D4 8B 43 08 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 12 84 C0 74 0E 6A 01 6A 01 8D 44 24 08 50 E8 ?? ?? ?? ?? 8B FE 8B F4 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85218_0 {
	meta:
		name = "TScrollBarStyleHook.CMVisibleChanged"
		size = 68
		refs = "000e TWinControl.HandleAllocated 0025 TWinControl.GetHandle 002b ShowWindow"
	strings:
		$1 = { 53 56 8B D8 8B 73 28 85 F6 74 36 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2B 8B 43 08 80 78 61 00 74 12 6A 05 8B 43 28 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 10 6A 00 8B 43 28 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85220_0 {
	meta:
		name = "TScrollBarStyleHook.WMShowWindow"
		size = 82
		refs = "000c TStyleHook.CallDefaultProc 001a TWinControl.HandleAllocated 002e TWinControl.GetHandle 0034 ShowWindow"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 73 28 85 F6 74 33 8B C6 E8 ?? ?? ?? ?? 84 C0 74 28 83 7F 04 00 74 12 6A 05 8B 43 28 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 10 6A 00 8B 43 28 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 43 14 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85221_0 {
	meta:
		name = "TScrollBarStyleHook.WMWindowPosChanged"
		size = 41
		refs = "0006 TStyleHook.CallDefaultProc 000e TWinControl.GetHandle 0014 IsWindowVisible 001f TScrollBarStyleHook.UpdateScrollBar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_85225_0 {
	meta:
		name = "TScrollBarStyleHook.InitScrollBar"
		size = 159
		refs = "000b TWinControl.GetHandle 0011 GetParent 001a _DV_TScrollBarStyleHook.TScrollWindow 001f TWinControl.CreateParented 0031 TScrollBarStyleHook.Horizontal 004c TScrollBarStyleHook.ControlBounds 0057 TRect.GetHeight 0061 TRect.GetWidth 007c SetWindowPos 0095 ShowWindow"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 28 89 9E 7C 02 00 00 8B C3 E8 ?? ?? ?? ?? 34 01 8B 73 28 88 86 80 02 00 00 C6 86 78 02 00 00 00 8B D4 8B C3 E8 ?? ?? ?? ?? 6A 08 8D 44 24 04 E8 ?? ?? ?? ?? 50 8D 44 24 08 E8 ?? ?? ?? ?? 50 8B 44 24 10 50 8B 44 24 10 50 6A 00 8B 43 28 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 08 80 78 61 00 74 10 6A 05 8B 43 28 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_85226_0 {
	meta:
		name = "TScrollBarStyleHook.UpdateScrollBar"
		size = 83
		refs = "001a TScrollBarStyleHook.ControlBounds 0025 TRect.GetHeight 002f TRect.GetWidth 0044 TWinControl.GetHandle 004a SetWindowPos"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B 43 08 80 78 61 00 74 3F 83 7B 28 00 74 39 8B D4 8B C3 E8 ?? ?? ?? ?? 6A 40 8D 44 24 04 E8 ?? ?? ?? ?? 50 8D 44 24 08 E8 ?? ?? ?? ?? 50 8B 44 24 10 50 8B 44 24 10 50 6A 00 8B 43 28 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_85227_0 {
	meta:
		name = "TScrollBarStyleHook.PaintScrollBar"
		size = 24
	strings:
		$1 = { 56 57 8B F0 8B 7E 28 85 FF 74 0A 8B C7 8B 10 FF 92 A0 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_85230_0 {
	meta:
		name = "TScrollBarStyleHook.Horizontal"
		size = 23
		refs = "0001 TStyleHook.GetHandle 000d GetWindowLongPtr"
	strings:
		$1 = { E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? A8 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_85231_0 {
	meta:
		name = "TScrollBarStyleHook.VertScrollRect"
		size = 33
		refs = "0019 TRect.Create"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 08 8B 46 50 50 8B 46 54 50 8B C7 33 C9 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85232_0 {
	meta:
		name = "TScrollBarStyleHook.VertSliderRect"
		size = 734
		refs = "0025 TRect.Create 004d TStyleHook.GetHandle 0053 GetScrollInfo 0093 TScrollBarStyleHook.VertTrackRect 00ab TRect.GetHeight 00b3 GetSystemMetrics 00f3 @ROUND 0277 TScrollBarStyleHook.VertDownButtonRect 02af TScrollBarStyleHook.VertUpButtonRect 02cf Rect"
	strings:
		$1 = { 53 56 57 55 81 C4 68 FF FF FF 8B F2 8B D8 8B 43 08 8B 10 FF 52 68 84 C0 75 14 6A 00 6A 00 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? E9 A5 02 00 00 8B D6 8B 43 08 8B 08 FF 51 60 C7 44 24 04 17 00 00 00 C7 04 24 1C 00 00 00 54 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 0C 2B 44 24 08 75 20 6A 00 6A 00 33 C9 33 D2 8D 44 24 64 E8 ?? ?? ?? ?? 8B FE 8D 74 24 5C A5 A5 A5 A5 E9 52 02 00 00 83 7C 24 10 00 0F 85 82 00 00 00 8D 54 24 6C 8B C3 E8 ?? ?? ?? ?? 8B 6C 24 70 8D 54 24 1C 8B C3 E8 ?? ?? ?? ?? 8D 44 24 1C E8 ?? ?? ?? ?? 50 6A 09 E8 ?? ?? ?? ?? 5A 2B D0 89 54 24 7C DB 44 24 7C 8B 44 24 14 8B 7C 24 08 2B C7 89 84 24 80 00 00 00 DB 84 24 80 00 00 00 8B 44 24 0C 2B C7 89 84 24 84 00 00 00 DB 84 24 84 00 00 00 DE F9 DE C9 E8 ?? ?? ?? ?? 03 E8 89 6E 04 6A 09 E8 ?? ?? ?? ?? 03 46 04 89 46 0C E9 62 01 00 00 8D 54 24 6C 8B C3 E8 ?? ?? ?? ?? 8B 6C 24 70 8D 54 24 2C 8B C3 E8 ?? ?? ?? ?? 8D 44 24 2C E8 ?? ?? ?? ?? 89 44 24 7C DB 44 24 7C 8B 44 24 14 8B 7C 24 08 2B C7 89 84 24 80 00 00 00 DB 84 24 80 00 00 00 8B 44 24 0C 2B C7 89 84 24 84 00 00 00 DB 84 24 84 00 00 00 DE F9 DE C9 E8 ?? ?? ?? ?? 03 E8 89 6E 04 8D 54 24 6C 8B C3 E8 ?? ?? ?? ?? 8B 6C 24 70 8D 54 24 3C 8B C3 E8 ?? ?? ?? ?? 8D 44 24 3C E8 ?? ?? ?? ?? 89 44 24 7C DB 44 24 7C 8B 44 24 14 03 44 24 10 8B 7C 24 08 2B C7 48 89 84 24 80 00 00 00 DB 84 24 80 00 00 00 8B 44 24 0C 2B C7 89 84 24 84 00 00 00 DB 84 24 84 00 00 00 DE F9 DE C9 E8 ?? ?? ?? ?? 03 E8 89 6E 0C 6A 09 E8 ?? ?? ?? ?? 2B 6E 04 3B C5 0F 8E 81 00 00 00 8D 54 24 6C 8B C3 E8 ?? ?? ?? ?? 8B 6C 24 70 8D 54 24 4C 8B C3 E8 ?? ?? ?? ?? 8D 44 24 4C E8 ?? ?? ?? ?? 50 6A 09 E8 ?? ?? ?? ?? 5A 2B D0 89 54 24 7C DB 44 24 7C 8B 44 24 14 8B 7C 24 08 2B C7 89 84 24 80 00 00 00 DB 84 24 80 00 00 00 8B 44 24 0C 2B C7 2B 44 24 10 89 84 24 84 00 00 00 DB 84 24 84 00 00 00 DE F9 DE C9 E8 ?? ?? ?? ?? 03 E8 89 6E 04 6A 09 E8 ?? ?? ?? ?? 03 46 04 89 46 0C 8D 54 24 6C 8B C3 E8 ?? ?? ?? ?? 8B 44 24 70 3B 46 0C 7D 12 8D 54 24 6C 8B C3 E8 ?? ?? ?? ?? 8B 44 24 70 89 46 0C 8D 54 24 6C 8B C3 E8 ?? ?? ?? ?? 8B 7C 24 70 8D 94 24 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 2B BC 24 94 00 00 00 6A 09 E8 ?? ?? ?? ?? 3B F8 7D 0E 6A 00 56 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 81 C4 98 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85233_0 {
	meta:
		name = "TScrollBarStyleHook.VertTrackRect"
		size = 84
		refs = "000f TScrollBarStyleHook.VertScrollRect 0016 TRect.GetWidth 0021 GetSystemMetrics 0041 TRect.Create"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 16 6A 09 E8 ?? ?? ?? ?? 01 43 04 6A 09 E8 ?? ?? ?? ?? 29 43 0C EB 19 6A 00 6A 00 33 C9 33 D2 8D 44 24 08 E8 ?? ?? ?? ?? 8B FB 8B F4 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85287_0 {
	meta:
		name = "TComboBoxStyleHook.ListBoxVertTrackRect"
		size = 84
		refs = "000f TComboBoxStyleHook.ListBoxVertScrollRect 0016 TRect.GetWidth 0021 GetSystemMetrics 0041 TRect.Create"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 16 6A 09 E8 ?? ?? ?? ?? 01 43 04 6A 09 E8 ?? ?? ?? ?? 29 43 0C EB 19 6A 00 6A 00 33 C9 33 D2 8D 44 24 08 E8 ?? ?? ?? ?? 8B FB 8B F4 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85234_0 {
	meta:
		name = "TScrollBarStyleHook.VertUpButtonRect"
		size = 201
		refs = "000f TScrollBarStyleHook.VertScrollRect 0016 TRect.GetWidth 0025 GetSystemMetrics 003b TRect.GetHeight 00b4 TRect.Create"
	strings:
		$1 = { 53 56 57 83 C4 D0 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E 85 00 00 00 6A 09 E8 ?? ?? ?? ?? 03 43 04 89 43 0C 8B D4 8B C6 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B F8 6A 09 E8 ?? ?? ?? ?? 03 C0 3B F8 7D 2B 8D 54 24 10 8B C6 E8 ?? ?? ?? ?? 8D 44 24 10 E8 ?? ?? ?? ?? 50 6A 09 E8 ?? ?? ?? ?? 03 C0 5A 2B C2 D1 F8 79 03 83 D0 00 29 43 0C 6A 09 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 53 0C 2B 53 04 3B C2 7E 31 6A 09 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 03 43 04 89 43 0C EB 1B 6A 00 6A 00 8D 44 24 28 33 C9 33 D2 E8 ?? ?? ?? ?? 8B FB 8D 74 24 20 A5 A5 A5 A5 83 C4 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85235_0 {
	meta:
		name = "TScrollBarStyleHook.VertDownButtonRect"
		size = 205
		refs = "000f TScrollBarStyleHook.VertScrollRect 0016 TRect.GetWidth 0025 GetSystemMetrics 003d TRect.GetHeight 00b8 TRect.Create"
	strings:
		$1 = { 53 56 57 83 C4 D0 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E 89 00 00 00 6A 09 E8 ?? ?? ?? ?? 8B 53 0C 2B D0 89 53 04 8B D4 8B C6 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B F8 6A 09 E8 ?? ?? ?? ?? 03 C0 3B F8 7D 2B 8D 54 24 10 8B C6 E8 ?? ?? ?? ?? 8D 44 24 10 E8 ?? ?? ?? ?? 50 6A 09 E8 ?? ?? ?? ?? 03 C0 5A 2B C2 D1 F8 79 03 83 D0 00 01 43 04 6A 09 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 53 0C 2B 53 04 3B C2 7E 33 6A 09 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 53 0C 2B D0 89 53 04 EB 1B 6A 00 6A 00 8D 44 24 28 33 C9 33 D2 E8 ?? ?? ?? ?? 8B FB 8D 74 24 20 A5 A5 A5 A5 83 C4 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85236_0 {
	meta:
		name = "TScrollBarStyleHook.HorzScrollRect"
		size = 33
		refs = "0019 TRect.Create"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 08 8B 46 50 50 8B 46 54 50 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85237_0 {
	meta:
		name = "TScrollBarStyleHook.HorzSliderRect"
		size = 724
		refs = "0025 TRect.Create 004d TStyleHook.GetHandle 0053 GetScrollInfo 0093 TScrollBarStyleHook.HorzTrackRect 00ab TRect.GetWidth 00b3 GetSystemMetrics 00f3 @ROUND 026d TScrollBarStyleHook.HorzDownButtonRect 02a5 TScrollBarStyleHook.HorzUpButtonRect 02c5 Rect"
	strings:
		$1 = { 53 56 57 55 81 C4 68 FF FF FF 8B F2 8B D8 8B 43 08 8B 10 FF 52 68 84 C0 75 14 6A 00 6A 00 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? E9 9B 02 00 00 8B D6 8B 43 08 8B 08 FF 51 60 C7 44 24 04 17 00 00 00 C7 04 24 1C 00 00 00 54 6A 02 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 44 24 0C 2B 44 24 08 75 20 6A 00 6A 00 8D 44 24 64 33 C9 33 D2 E8 ?? ?? ?? ?? 8B FE 8D 74 24 5C A5 A5 A5 A5 E9 48 02 00 00 83 7C 24 10 00 0F 85 80 00 00 00 8D 54 24 6C 8B C3 E8 ?? ?? ?? ?? 8B 6C 24 6C 8D 54 24 1C 8B C3 E8 ?? ?? ?? ?? 8D 44 24 1C E8 ?? ?? ?? ?? 50 6A 0A E8 ?? ?? ?? ?? 5A 2B D0 89 54 24 7C DB 44 24 7C 8B 44 24 14 8B 7C 24 08 2B C7 89 84 24 80 00 00 00 DB 84 24 80 00 00 00 8B 44 24 0C 2B C7 89 84 24 84 00 00 00 DB 84 24 84 00 00 00 DE F9 DE C9 E8 ?? ?? ?? ?? 03 E8 89 2E 6A 0A E8 ?? ?? ?? ?? 03 06 89 46 08 E9 5A 01 00 00 8D 54 24 6C 8B C3 E8 ?? ?? ?? ?? 8B 6C 24 6C 8D 54 24 2C 8B C3 E8 ?? ?? ?? ?? 8D 44 24 2C E8 ?? ?? ?? ?? 89 44 24 7C DB 44 24 7C 8B 44 24 14 8B 7C 24 08 2B C7 89 84 24 80 00 00 00 DB 84 24 80 00 00 00 8B 44 24 0C 2B C7 89 84 24 84 00 00 00 DB 84 24 84 00 00 00 DE F9 DE C9 E8 ?? ?? ?? ?? 03 E8 89 2E 8D 54 24 6C 8B C3 E8 ?? ?? ?? ?? 8B 6C 24 6C 8D 54 24 3C 8B C3 E8 ?? ?? ?? ?? 8D 44 24 3C E8 ?? ?? ?? ?? 89 44 24 7C DB 44 24 7C 8B 44 24 14 03 44 24 10 8B 7C 24 08 2B C7 48 89 84 24 80 00 00 00 DB 84 24 80 00 00 00 8B 44 24 0C 2B C7 89 84 24 84 00 00 00 DB 84 24 84 00 00 00 DE F9 DE C9 E8 ?? ?? ?? ?? 03 E8 89 6E 08 6A 0A E8 ?? ?? ?? ?? 2B 2E 3B C5 7E 7F 8D 54 24 6C 8B C3 E8 ?? ?? ?? ?? 8B 6C 24 6C 8D 54 24 4C 8B C3 E8 ?? ?? ?? ?? 8D 44 24 4C E8 ?? ?? ?? ?? 50 6A 0A E8 ?? ?? ?? ?? 5A 2B D0 89 54 24 7C DB 44 24 7C 8B 44 24 14 8B 7C 24 08 2B C7 89 84 24 80 00 00 00 DB 84 24 80 00 00 00 8B 44 24 0C 2B C7 2B 44 24 10 89 84 24 84 00 00 00 DB 84 24 84 00 00 00 DE F9 DE C9 E8 ?? ?? ?? ?? 03 E8 89 2E 6A 0A E8 ?? ?? ?? ?? 03 06 89 46 08 8D 54 24 6C 8B C3 E8 ?? ?? ?? ?? 8B 44 24 6C 3B 46 08 7D 12 8D 54 24 6C 8B C3 E8 ?? ?? ?? ?? 8B 44 24 6C 89 46 08 8D 54 24 6C 8B C3 E8 ?? ?? ?? ?? 8B 7C 24 6C 8D 94 24 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 2B BC 24 90 00 00 00 6A 0A E8 ?? ?? ?? ?? 3B F8 7D 0E 6A 00 56 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 81 C4 98 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85238_0 {
	meta:
		name = "TScrollBarStyleHook.HorzTrackRect"
		size = 83
		refs = "000f TScrollBarStyleHook.HorzScrollRect 0016 TRect.GetWidth 0021 GetSystemMetrics 0040 TRect.Create"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 15 6A 0A E8 ?? ?? ?? ?? 01 03 6A 0A E8 ?? ?? ?? ?? 29 43 08 EB 19 6A 00 6A 00 33 C9 33 D2 8D 44 24 08 E8 ?? ?? ?? ?? 8B FB 8B F4 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85239_0 {
	meta:
		name = "TScrollBarStyleHook.HorzUpButtonRect"
		size = 198
		refs = "000f TScrollBarStyleHook.HorzScrollRect 0016 TRect.GetHeight 0025 GetSystemMetrics 003a TRect.GetWidth 00b1 TRect.Create"
	strings:
		$1 = { 53 56 57 83 C4 D0 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E 82 00 00 00 6A 0A E8 ?? ?? ?? ?? 03 03 89 43 08 8B D4 8B C6 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B F8 6A 0A E8 ?? ?? ?? ?? 03 C0 3B F8 7D 2B 8D 54 24 10 8B C6 E8 ?? ?? ?? ?? 8D 44 24 10 E8 ?? ?? ?? ?? 50 6A 0A E8 ?? ?? ?? ?? 03 C0 5A 2B C2 D1 F8 79 03 83 D0 00 29 43 08 6A 0A E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 53 08 2B 13 3B C2 7E 30 6A 0A E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 03 03 89 43 08 EB 1B 6A 00 6A 00 8D 44 24 28 33 C9 33 D2 E8 ?? ?? ?? ?? 8B FB 8D 74 24 20 A5 A5 A5 A5 83 C4 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85240_0 {
	meta:
		name = "TScrollBarStyleHook.HorzDownButtonRect"
		size = 201
		refs = "000f TScrollBarStyleHook.HorzScrollRect 0016 TRect.GetHeight 0025 GetSystemMetrics 003c TRect.GetWidth 00b4 TRect.Create"
	strings:
		$1 = { 53 56 57 83 C4 D0 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E 85 00 00 00 6A 0A E8 ?? ?? ?? ?? 8B 53 08 2B D0 89 13 8B D4 8B C6 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B F8 6A 0A E8 ?? ?? ?? ?? 03 C0 3B F8 7D 2A 8D 54 24 10 8B C6 E8 ?? ?? ?? ?? 8D 44 24 10 E8 ?? ?? ?? ?? 50 6A 0A E8 ?? ?? ?? ?? 03 C0 5A 2B C2 D1 F8 79 03 83 D0 00 01 03 6A 0A E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 53 08 2B 13 3B C2 7E 32 6A 0A E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 53 08 2B D0 89 13 EB 1B 6A 00 6A 00 8D 44 24 28 33 C9 33 D2 E8 ?? ?? ?? ?? 8B FB 8D 74 24 20 A5 A5 A5 A5 83 C4 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85241_0 {
	meta:
		name = "TScrollBarStyleHook.VertDrawScroll"
		size = 755
		refs = "0014 TStyleHook.GetHandle 0030 TScrollBarStyleHook.ControlBounds 0038 TRect.GetWidth 0052 TRect.GetHeight 005f StyleServices 006b TScrollBarStyleHook.VertScrollRect 0091 _Dn_TBitmap 0096 TBitmap.Create 00a1 TScrollBarStyleHook.VertDrawScroll 00e8 TCustomStyleServices.ColorToRGB 00f1 TBitmap.GetCanvas 00fa TBrush.SetColor 011d Rect 0149 TScrollBarStyleHook.VertUpButtonRect 015c TScrollBarStyleHook.VertDownButtonRect 0193 TCanvas.GetHandle 01a2 TCustomStyleServices.DrawElement 01ac TScrollBarStyleHook.VertSliderRect 02cb BitBlt 02e0 TObject.Free 02e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 7C FF FF FF 53 56 57 89 55 FC 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 CC 02 00 00 83 7D FC 00 0F 84 C2 02 00 00 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 85 C0 0F 84 A8 02 00 00 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 85 C0 0F 84 8E 02 00 00 E8 ?? ?? ?? ?? 8B F0 8D 55 AC 8B C3 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 85 C0 0F 8E 6D 02 00 00 8B C6 8B 10 FF 52 44 84 C0 0F 84 5E 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 8C 8B C3 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 50 8D 55 9C 8B C3 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8B D0 8B 45 F8 59 8B 30 FF 56 6C E8 ?? ?? ?? ?? 33 C9 BA 0F 00 00 FF E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 48 5A E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 24 50 8D 85 7C FF FF FF 50 8B 45 F8 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 7C FF FF FF 50 8B 45 F8 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 45 88 89 45 EC 8D 95 7C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 45 80 89 45 F4 8D 45 E8 E8 ?? ?? ?? ?? 85 C0 7E 34 E8 ?? ?? ?? ?? 8D 4D DC B2 2D 8B 30 FF 96 BC 00 00 00 8D 45 E8 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D DC 5A E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 08 8B 10 FF 52 68 84 C0 74 29 E8 ?? ?? ?? ?? 0F B6 53 2C 8D 4D DC 8B 38 FF 97 BC 00 00 00 8D 45 E8 50 6A 00 E8 ?? ?? ?? ?? 8D 4D DC 8B D6 E8 ?? ?? ?? ?? 8B 43 08 8B 10 FF 52 68 84 C0 74 16 E8 ?? ?? ?? ?? 0F B6 53 2D 8D 4D DC 8B 38 FF 97 BC 00 00 00 EB 12 E8 ?? ?? ?? ?? 8D 4D DC B2 05 8B 38 FF 97 BC 00 00 00 8D 95 7C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 7C FF FF FF 50 6A 00 E8 ?? ?? ?? ?? 8D 4D DC 8B D6 E8 ?? ?? ?? ?? 8B 43 08 8B 10 FF 52 68 84 C0 74 16 E8 ?? ?? ?? ?? 0F B6 53 2E 8D 4D DC 8B 38 FF 97 BC 00 00 00 EB 12 E8 ?? ?? ?? ?? 8D 4D DC B2 09 8B 38 FF 97 BC 00 00 00 8D 95 7C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 7C FF FF FF 50 6A 00 E8 ?? ?? ?? ?? 8D 4D DC 8B D6 E8 ?? ?? ?? ?? 68 20 00 CC 00 6A 00 6A 00 56 8B 45 F8 8B 10 FF 52 24 50 8B 45 F8 8B 10 FF 52 30 50 6A 00 6A 00 8B 45 FC 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85242_0 {
	meta:
		name = "TScrollBarStyleHook.HorzDrawScroll"
		size = 732
		refs = "0014 TStyleHook.GetHandle 0030 TScrollBarStyleHook.ControlBounds 0038 TRect.GetWidth 0052 TRect.GetHeight 005f StyleServices 006b TScrollBarStyleHook.HorzScrollRect 0091 _Dn_TBitmap 0096 TBitmap.Create 00a1 TScrollBarStyleHook.HorzDrawScroll 00e5 TCustomStyleServices.ColorToRGB 00ee TBitmap.GetCanvas 00f7 TBrush.SetColor 011a Rect 0146 TScrollBarStyleHook.HorzUpButtonRect 0159 TScrollBarStyleHook.HorzDownButtonRect 0190 TCanvas.GetHandle 019c TCustomStyleServices.DrawElement 01a6 TScrollBarStyleHook.HorzSliderRect 02b4 BitBlt 02c9 TObject.Free 02cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 53 56 57 89 55 FC 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 B5 02 00 00 83 7D FC 00 0F 84 AB 02 00 00 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 85 C0 0F 84 91 02 00 00 8D 55 B8 8B C3 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 85 C0 0F 84 77 02 00 00 E8 ?? ?? ?? ?? 8B F0 8D 55 A8 8B C3 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 85 C0 0F 8E 56 02 00 00 8B C6 8B 10 FF 52 44 84 C0 0F 84 47 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 88 8B C3 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 50 8D 55 98 8B C3 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 59 8B 38 FF 57 6C 33 C9 BA 0F 00 00 FF 8B C6 E8 ?? ?? ?? ?? 50 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 48 5A E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 24 50 8D 85 78 FF FF FF 50 8B 45 F4 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 50 8B 45 F4 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 95 78 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 45 80 89 45 E4 8D 95 78 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 89 45 EC 8D 45 E4 E8 ?? ?? ?? ?? 85 C0 7E 2E 8D 4D D8 B2 23 8B C6 8B 38 FF 97 BC 00 00 00 8D 45 E4 50 6A 00 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8D 4D D8 8B C6 E8 ?? ?? ?? ?? 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 43 08 8B 10 FF 52 68 84 C0 74 24 0F B6 53 2F 8D 4D D8 8B C6 8B 38 FF 97 BC 00 00 00 8D 45 E4 50 6A 00 8D 4D D8 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 43 08 8B 10 FF 52 68 84 C0 74 13 0F B6 53 30 8D 4D D8 8B C6 8B 38 FF 97 BC 00 00 00 EB 0F 8D 4D D8 B2 0D 8B C6 8B 38 FF 97 BC 00 00 00 8D 95 78 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 50 6A 00 8D 4D D8 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 43 08 8B 10 FF 52 68 84 C0 74 13 0F B6 53 31 8D 4D D8 8B C6 8B 38 FF 97 BC 00 00 00 EB 0F 8D 4D D8 B2 11 8B C6 8B 38 FF 97 BC 00 00 00 8D 95 78 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 50 6A 00 8D 4D D8 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 68 20 00 CC 00 6A 00 6A 00 8B 45 F8 50 8B 45 F4 8B 10 FF 52 24 50 8B 45 F4 8B 10 FF 52 30 50 6A 00 6A 00 8B 45 FC 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85243_0 {
	meta:
		name = "TScrollBarStyleHook.WMNCPaint"
		size = 12
		refs = "0007 TScrollBarStyleHook.InitScrollBar"
	strings:
		$1 = { 83 78 28 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85245_0 {
	meta:
		name = "TScrollBarStyleHook.WMLButtonDown"
		size = 344
		refs = "0028 TScrollBarStyleHook.Horizontal 0043 TScrollBarStyleHook.VertUpButtonRect 004d PtInRect 005c TScrollBarStyleHook.PaintScrollBar 0074 TScrollBarStyleHook.VertDownButtonRect 00a5 TScrollBarStyleHook.VertSliderRect 00da TScrollBarStyleHook.HorzUpButtonRect 0108 TScrollBarStyleHook.HorzDownButtonRect 0136 TScrollBarStyleHook.HorzSliderRect"
	strings:
		$1 = { 53 83 C4 E0 8B D8 0F BF 42 08 0F BF 52 0A 89 44 24 08 89 54 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 97 00 00 00 FF 74 24 04 FF 74 24 04 8D 54 24 18 8B C3 E8 ?? ?? ?? ?? 8D 44 24 18 50 E8 ?? ?? ?? ?? 85 C0 74 10 C6 43 2D 04 8B C3 E8 ?? ?? ?? ?? E9 EE 00 00 00 FF 74 24 04 FF 74 24 04 8D 54 24 18 8B C3 E8 ?? ?? ?? ?? 8D 44 24 18 50 E8 ?? ?? ?? ?? 85 C0 74 10 C6 43 2E 08 8B C3 E8 ?? ?? ?? ?? E9 BD 00 00 00 FF 74 24 04 FF 74 24 04 8D 54 24 18 8B C3 E8 ?? ?? ?? ?? 8D 44 24 18 50 E8 ?? ?? ?? ?? 85 C0 0F 84 98 00 00 00 C6 43 2C 1C 8B C3 E8 ?? ?? ?? ?? E9 88 00 00 00 FF 74 24 04 FF 74 24 04 8D 54 24 18 8B C3 E8 ?? ?? ?? ?? 8D 44 24 18 50 E8 ?? ?? ?? ?? 85 C0 74 0D C6 43 30 0C 8B C3 E8 ?? ?? ?? ?? EB 5A FF 74 24 04 FF 74 24 04 8D 54 24 18 8B C3 E8 ?? ?? ?? ?? 8D 44 24 18 50 E8 ?? ?? ?? ?? 85 C0 74 0D C6 43 31 10 8B C3 E8 ?? ?? ?? ?? EB 2C FF 74 24 04 FF 74 24 04 8D 54 24 18 8B C3 E8 ?? ?? ?? ?? 8D 44 24 18 50 E8 ?? ?? ?? ?? 85 C0 74 0B C6 43 2F 18 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_85246_0 {
	meta:
		name = "TScrollBarStyleHook.WMLButtonUp"
		size = 416
		refs = "0028 TScrollBarStyleHook.Horizontal 0049 TScrollBarStyleHook.VertSliderRect 0053 PtInRect 0068 TScrollBarStyleHook.PaintScrollBar 0086 TScrollBarStyleHook.VertUpButtonRect 00c7 TScrollBarStyleHook.VertDownButtonRect 0104 TScrollBarStyleHook.HorzSliderRect 013e TScrollBarStyleHook.HorzUpButtonRect 0178 TScrollBarStyleHook.HorzDownButtonRect"
	strings:
		$1 = { 53 83 C4 E0 8B D8 0F BF 42 08 0F BF 52 0A 89 44 24 08 89 54 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 BB 00 00 00 80 7B 2C 1C 75 37 FF 74 24 04 FF 74 24 04 8D 54 24 18 8B C3 E8 ?? ?? ?? ?? 8D 44 24 18 50 E8 ?? ?? ?? ?? 85 C0 74 06 C6 43 2C 1B EB 04 C6 43 2C 1A 8B C3 E8 ?? ?? ?? ?? E9 2A 01 00 00 80 7B 2D 04 75 37 FF 74 24 04 FF 74 24 04 8D 54 24 18 8B C3 E8 ?? ?? ?? ?? 8D 44 24 18 50 E8 ?? ?? ?? ?? 85 C0 74 06 C6 43 2D 03 EB 04 C6 43 2D 02 8B C3 E8 ?? ?? ?? ?? E9 ED 00 00 00 80 7B 2E 08 0F 85 E3 00 00 00 FF 74 24 04 FF 74 24 04 8D 54 24 18 8B C3 E8 ?? ?? ?? ?? 8D 44 24 18 50 E8 ?? ?? ?? ?? 85 C0 74 06 C6 43 2E 07 EB 04 C6 43 2E 06 8B C3 E8 ?? ?? ?? ?? E9 AC 00 00 00 80 7B 2F 18 75 34 FF 74 24 04 FF 74 24 04 8D 54 24 18 8B C3 E8 ?? ?? ?? ?? 8D 44 24 18 50 E8 ?? ?? ?? ?? 85 C0 74 06 C6 43 2F 17 EB 04 C6 43 2F 16 8B C3 E8 ?? ?? ?? ?? EB 72 80 7B 30 0C 75 34 FF 74 24 04 FF 74 24 04 8D 54 24 18 8B C3 E8 ?? ?? ?? ?? 8D 44 24 18 50 E8 ?? ?? ?? ?? 85 C0 74 06 C6 43 30 0B EB 04 C6 43 30 0A 8B C3 E8 ?? ?? ?? ?? EB 38 80 7B 31 10 75 32 FF 74 24 04 FF 74 24 04 8D 54 24 18 8B C3 E8 ?? ?? ?? ?? 8D 44 24 18 50 E8 ?? ?? ?? ?? 85 C0 74 06 C6 43 31 0F EB 04 C6 43 31 0E 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_85247_0 {
	meta:
		name = "TScrollBarStyleHook.WMMouseMove"
		size = 780
		refs = "000e TMouseTrackControlStyleHook.WMMouseMove 0017 TStyleHook.CallDefaultProc 0043 TScrollBarStyleHook.VertSliderRect 004c TRect.GetHeight 006d PtInRect 00b7 TScrollBarStyleHook.HorzSliderRect 00c0 TRect.GetWidth 014b TScrollBarStyleHook.VertDownButtonRect 01bf TScrollBarStyleHook.VertUpButtonRect 0233 TScrollBarStyleHook.HorzDownButtonRect 02a7 TScrollBarStyleHook.HorzUpButtonRect 02fb TScrollBarStyleHook.PaintScrollBar"
	strings:
		$1 = { 53 56 83 C4 80 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 0F BF 43 08 0F BF 53 0A 89 44 24 08 89 54 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 33 DB 8D 54 24 10 8B C6 E8 ?? ?? ?? ?? 8D 44 24 10 E8 ?? ?? ?? ?? 85 C0 7E 5C FF 74 24 04 FF 74 24 04 8D 54 24 78 8B C6 E8 ?? ?? ?? ?? 8D 44 24 78 50 E8 ?? ?? ?? ?? 85 C0 74 0E 80 7E 2C 1A 75 08 C6 46 2C 1B B3 01 EB 2D FF 74 24 04 FF 74 24 04 8D 54 24 78 8B C6 E8 ?? ?? ?? ?? 8D 44 24 78 50 E8 ?? ?? ?? ?? 85 C0 75 0C 80 7E 2C 1B 75 06 C6 46 2C 1A B3 01 8D 54 24 20 8B C6 E8 ?? ?? ?? ?? 8D 44 24 20 E8 ?? ?? ?? ?? 85 C0 7E 5C FF 74 24 04 FF 74 24 04 8D 54 24 78 8B C6 E8 ?? ?? ?? ?? 8D 44 24 78 50 E8 ?? ?? ?? ?? 85 C0 74 0E 80 7E 2F 16 75 08 C6 46 2F 17 B3 01 EB 2D FF 74 24 04 FF 74 24 04 8D 54 24 78 8B C6 E8 ?? ?? ?? ?? 8D 44 24 78 50 E8 ?? ?? ?? ?? 85 C0 75 0C 80 7E 2F 17 75 06 C6 46 2F 16 B3 01 8D 54 24 30 8B C6 E8 ?? ?? ?? ?? 8D 44 24 30 E8 ?? ?? ?? ?? 85 C0 7E 5C FF 74 24 04 FF 74 24 04 8D 54 24 78 8B C6 E8 ?? ?? ?? ?? 8D 44 24 78 50 E8 ?? ?? ?? ?? 85 C0 74 0E 80 7E 2E 06 75 08 C6 46 2E 07 B3 01 EB 2D FF 74 24 04 FF 74 24 04 8D 54 24 78 8B C6 E8 ?? ?? ?? ?? 8D 44 24 78 50 E8 ?? ?? ?? ?? 85 C0 75 0C 80 7E 2E 07 75 06 C6 46 2E 06 B3 01 8D 54 24 40 8B C6 E8 ?? ?? ?? ?? 8D 44 24 40 E8 ?? ?? ?? ?? 85 C0 7E 5C FF 74 24 04 FF 74 24 04 8D 54 24 78 8B C6 E8 ?? ?? ?? ?? 8D 44 24 78 50 E8 ?? ?? ?? ?? 85 C0 74 0E 80 7E 2D 02 75 08 C6 46 2D 03 B3 01 EB 2D FF 74 24 04 FF 74 24 04 8D 54 24 78 8B C6 E8 ?? ?? ?? ?? 8D 44 24 78 50 E8 ?? ?? ?? ?? 85 C0 75 0C 80 7E 2D 03 75 06 C6 46 2D 02 B3 01 8D 54 24 50 8B C6 E8 ?? ?? ?? ?? 8D 44 24 50 E8 ?? ?? ?? ?? 85 C0 7E 5C FF 74 24 04 FF 74 24 04 8D 54 24 78 8B C6 E8 ?? ?? ?? ?? 8D 44 24 78 50 E8 ?? ?? ?? ?? 85 C0 74 0E 80 7E 31 0E 75 08 C6 46 31 0F B3 01 EB 2D FF 74 24 04 FF 74 24 04 8D 54 24 78 8B C6 E8 ?? ?? ?? ?? 8D 44 24 78 50 E8 ?? ?? ?? ?? 85 C0 75 0C 80 7E 31 0F 75 06 C6 46 31 0E B3 01 8D 54 24 60 8B C6 E8 ?? ?? ?? ?? 8D 44 24 60 E8 ?? ?? ?? ?? 85 C0 7E 5C FF 74 24 04 FF 74 24 04 8D 54 24 78 8B C6 E8 ?? ?? ?? ?? 8D 44 24 78 50 E8 ?? ?? ?? ?? 85 C0 74 0E 80 7E 30 0A 75 08 C6 46 30 0B B3 01 EB 2D FF 74 24 04 FF 74 24 04 8D 54 24 78 8B C6 E8 ?? ?? ?? ?? 8D 44 24 78 50 E8 ?? ?? ?? ?? 85 C0 75 0C 80 7E 30 0B 75 06 C6 46 30 0A B3 01 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? C6 46 14 01 81 C4 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_85253_0 {
	meta:
		name = "TScrollBarStyleHook.MouseLeave"
		size = 79
		refs = "0006 TMouseTrackControlStyleHook.MouseLeave 0049 TScrollBarStyleHook.PaintScrollBar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 2C 1B 75 04 C6 43 2C 1A 80 7B 2F 17 75 04 C6 43 2F 16 80 7B 2D 03 75 04 C6 43 2D 02 80 7B 2E 07 75 04 C6 43 2E 06 80 7B 30 0B 75 04 C6 43 30 0A 80 7B 31 0F 75 04 C6 43 31 0E 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85254_0 {
	meta:
		name = "TScrollBarStyleHook.WMCaptureChanged"
		size = 120
		refs = "0042 TStyleHook.GetHandle 0070 TScrollBarStyleHook.PaintScrollBar"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 33 DB 80 7E 2D 04 75 06 C6 46 2D 02 B3 01 80 7E 2E 08 75 06 C6 46 2E 06 B3 01 80 7E 30 0C 75 06 C6 46 30 0A B3 01 80 7E 31 10 75 06 C6 46 31 0E B3 01 80 7E 2C 1C 75 12 8B C6 E8 ?? ?? ?? ?? 3B 47 08 74 06 C6 46 2C 1A B3 01 80 7E 2F 18 75 12 8B C6 E8 ?? ?? ?? ?? 3B 47 08 74 06 C6 46 2F 16 B3 01 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85255_0 {
	meta:
		name = "TEditStyleHook.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TStyleHook.Create 0026 TEditStyleHook.UpdateColors 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 18 01 C6 46 16 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_85361_0 {
	meta:
		name = "TMemoStyleHook.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TScrollingStyleHook.Create 0026 TMemoStyleHook.UpdateColors 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 18 01 C6 46 16 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_85256_0 {
	meta:
		name = "TEditStyleHook.WMNCCalcSize"
		size = 62
		refs = "000e _DV_TCustomEdit 0013 @IsClass"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 08 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 80 BE B9 01 00 00 00 74 16 8B 47 08 83 00 02 83 40 04 02 83 68 08 02 83 68 0C 02 C6 43 14 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85257_0 {
	meta:
		name = "TEditStyleHook.PaintNC"
		size = 174
		refs = "000b StyleServices 003e Rect 004c InflateRect 0067 TCanvas.GetHandle 006d ExcludeClipRect 00a3 TCustomStyleServices.DrawElement"
	strings:
		$1 = { 53 56 57 83 C4 D4 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 8B 00 00 00 E8 ?? ?? ?? ?? 8B CC B2 15 8B 38 FF 57 7C 8B 7B 08 8B 47 54 50 8D 44 24 10 50 8B 4F 50 33 D2 33 C0 E8 ?? ?? ?? ?? 6A FE 6A FE 8D 44 24 14 50 E8 ?? ?? ?? ?? 8B 44 24 18 50 8B 44 24 18 50 8B 44 24 18 50 8B 44 24 18 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 7B 08 8B 47 54 50 8D 44 24 20 50 8B 4F 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 44 24 1C 50 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 0C 5A E8 ?? ?? ?? ?? 83 C4 2C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85258_0 {
	meta:
		name = "TComboBoxStyleHook.UpdateColors"
		size = 77
		refs = "0005 StyleServices 0019 ColorStates 0020 TCustomStyleServices.GetStyleColor 002a TBrush.SetColor 003c FontColorStates 0043 TCustomStyleServices.GetStyleFontColor"
		altNames = "TEditStyleHook.UpdateColors TListBoxStyleHook.UpdateColors TMemoStyleHook.UpdateColors"
	strings:
		$1 = { 53 56 8B D8 E8 ?? ?? ?? ?? 8B F0 8B 43 08 8B 10 FF 52 68 83 E0 7F 0F B6 90 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 04 E8 ?? ?? ?? ?? 8B 43 08 8B 10 FF 52 68 83 E0 7F 0F B6 90 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 43 10 5E 5B C3 }
	condition:
		$1
}

rule function_85259_0 {
	meta:
		name = "TEditStyleHook.WndProc"
		size = 111
		refs = "001d ColorToRGB 0027 SetTextColor 003f SetBkColor 0047 TBrush.GetHandle 0058 TEditStyleHook.UpdateColors 0068 TStyleHook.WndProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 06 2D 0C B0 00 00 74 46 05 DA F2 FF FF 83 E8 07 73 4A 8B 43 10 E8 ?? ?? ?? ?? 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B 43 04 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 89 46 0C C6 43 14 01 5E 5B C3 8B C3 E8 ?? ?? ?? ?? C6 43 14 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85305_0 {
	meta:
		name = "TListBoxStyleHook.WndProc"
		size = 111
		refs = "001d ColorToRGB 0027 SetTextColor 003f SetBkColor 0047 TBrush.GetHandle 0058 TListBoxStyleHook.UpdateColors 0068 TScrollingStyleHook.WndProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 06 2D 0C B0 00 00 74 46 05 DA F2 FF FF 83 E8 07 73 4A 8B 43 10 E8 ?? ?? ?? ?? 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B 43 04 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 89 46 0C C6 43 14 01 5E 5B C3 8B C3 E8 ?? ?? ?? ?? C6 43 14 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85363_0 {
	meta:
		name = "TMemoStyleHook.WndProc"
		size = 111
		refs = "001d ColorToRGB 0027 SetTextColor 003f SetBkColor 0047 TBrush.GetHandle 0058 TMemoStyleHook.UpdateColors 0068 TScrollingStyleHook.WndProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 06 2D 0C B0 00 00 74 46 05 DA F2 FF FF 83 E8 07 73 4A 8B 43 10 E8 ?? ?? ?? ?? 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B 43 04 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 89 46 0C C6 43 14 01 5E 5B C3 8B C3 E8 ?? ?? ?? ?? C6 43 14 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85260_0 {
	meta:
		name = "TComboBoxStyleHook.Create"
		size = 136
		refs = "000a @ClassCreate 0017 TMouseTrackControlStyleHook.Create 001e TComboBoxStyleHook.Style 006a TComboBoxStyleHook.UpdateColors 0075 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3C 01 75 04 C6 46 16 01 C6 46 4C 00 33 C0 89 46 54 33 C0 89 46 50 33 C0 89 46 58 C6 46 4B 00 C6 46 48 1A C6 46 49 02 C6 46 4A 06 33 C0 89 46 44 33 C0 89 46 60 C6 46 64 00 C6 46 65 00 C6 46 66 00 C6 46 67 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_85261_0 {
	meta:
		name = "TComboBoxStyleHook.Destroy"
		size = 93
		refs = "0004 @BeforeDestruction 0025 SetWindowLongPtr 002d FreeObjectInstance 003f TComboBoxStyleHook.ListBoxStopTimer 004a TMouseTrackControlStyleHook.Destroy 0055 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 50 85 C0 74 23 83 7E 58 00 74 1D BA FC FF FF FF 8B 7E 5C 57 52 50 E8 ?? ?? ?? ?? 8B 46 58 E8 ?? ?? ?? ?? 33 C0 89 46 58 83 7E 60 00 74 07 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85262_0 {
	meta:
		name = "TComboBoxStyleHook.ListBoxSetTimer"
		size = 66
		refs = "000f TComboBoxStyleHook.ListBoxStopTimer 0029 SetTimer"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 60 00 74 07 8B C3 E8 ?? ?? ?? ?? 89 73 60 83 FE 04 7D 15 6A 00 68 2C 01 00 00 6A 01 8B 43 50 50 E8 ?? ?? ?? ?? 5E 5B C3 6A 00 6A 32 6A 01 8B 43 50 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85263_0 {
	meta:
		name = "TComboBoxStyleHook.ListBoxStopTimer"
		size = 19
		refs = "000e KillTimer"
	strings:
		$1 = { C7 40 60 FF FF FF FF 6A 01 8B 40 50 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85264_0 {
	meta:
		name = "TComboBoxStyleHook.DroppedDown"
		size = 84
		refs = "000f _DV_TCustomComboBox 0014 @IsClass 001f TCustomCombo.GetDroppedDown 0029 TStyleHook.GetHandle 0043 SendMessage"
	strings:
		$1 = { 53 56 8B D8 8B 73 08 85 F6 74 1B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1E 6A 00 6A 00 68 57 01 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 EB 02 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_85265_0 {
	meta:
		name = "TComboBoxStyleHook.GetButtonRect"
		size = 69
		refs = "0016 InflateRect 0026 GetSystemMetrics"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B 46 08 8B 08 FF 51 60 6A FE 6A FE 53 E8 ?? ?? ?? ?? 8B 46 08 80 78 69 01 74 12 6A 02 E8 ?? ?? ?? ?? 8B 53 08 2B D0 42 89 13 5E 5B C3 6A 02 E8 ?? ?? ?? ?? 03 03 48 89 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_85266_0 {
	meta:
		name = "TComboBoxStyleHook.Style"
		size = 157
		refs = "000f _DV_TCustomComboBox 0014 @IsClass 0029 TStyleHook.GetHandle 0040 GetWindowLongPtr 004c ComboBoxStyles"
	strings:
		$1 = { 53 56 8B D8 8B 73 08 85 F6 74 1B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 0F B6 86 EE 02 00 00 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 85 C0 74 67 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 8B D0 33 C0 8B DA 8B 0D ?? ?? ?? ?? 23 D9 3B D9 75 02 33 C0 8B DA 8B 0D ?? ?? ?? ?? 23 D9 3B D9 75 02 B0 01 8B DA 8B 0D ?? ?? ?? ?? 23 D9 3B D9 75 02 B0 02 8B DA 8B 0D ?? ?? ?? ?? 23 D9 3B D9 75 02 B0 03 8B 0D ?? ?? ?? ?? 23 D1 3B D1 75 06 B0 04 EB 02 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_85268_0 {
	meta:
		name = "TComboBoxStyleHook.PaintBorder"
		size = 796
		refs = "000f StyleServices 0035 TComboBoxStyleHook.DroppedDown 007c _Dn_TBitmap 0081 TBitmap.Create 009d TComboBoxStyleHook.PaintBorder 00c3 Rect 00d9 TComboBoxStyleHook.Style 00f8 GetWindowRect 0103 TStyleHook.GetHandle 0120 TBitmap.GetCanvas 0125 TCanvas.GetHandle 0134 TCustomStyleServices.DrawElement 016a TBrush.SetStyle 0179 TCustomStyleServices.GetSystemColor 0183 TBrush.SetColor 0200 TComboBoxStyleHook.GetButtonRect 0238 SendMessage 025a InflateRect 028b ExcludeClipRect 02c6 OffsetRect 0309 TObject.Free 030f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 89 55 FC 8B F0 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 F5 02 00 00 8B 46 08 8B 10 FF 52 68 84 C0 75 06 C6 45 FB 05 EB 21 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 FB 04 EB 10 80 7E 4C 00 74 06 C6 45 FB 03 EB 04 C6 45 FB 02 8B 46 08 8B 10 FF 52 68 84 C0 75 04 B3 0E EB 16 80 7E 24 00 74 04 B3 0C EB 0C 80 7E 0E 00 74 04 B3 0D EB 02 B3 0B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 46 08 8B 48 54 8B 50 50 8B 45 F4 8B 38 FF 57 6C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 24 50 8D 45 E4 50 8B 45 F4 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8D 4D A8 8B 18 FF 53 6C 8B C6 E8 ?? ?? ?? ?? 3C 01 0F 85 D7 00 00 00 83 7E 50 00 0F 84 CD 00 00 00 8D 45 B4 50 8B 46 50 50 E8 ?? ?? ?? ?? 8D 45 D4 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 B8 2B 45 D8 89 45 F0 8D 45 E4 50 6A 00 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D A8 5A E8 ?? ?? ?? ?? 8B 46 08 8B 78 54 57 8D 45 E4 50 8B D7 8B 45 E0 2B 45 C0 2B D0 8B 5E 08 8B 4B 50 33 C0 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 43 48 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 43 48 E8 ?? ?? ?? ?? 8D 55 E4 8B C3 8B 08 FF 51 54 8B 45 F4 8B 10 FF 52 24 50 8D 45 E4 50 8B 45 F4 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 B8 2B 45 D8 89 45 F0 EB 22 8D 45 E4 50 6A 00 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D A8 5A E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3C 01 74 3D E8 ?? ?? ?? ?? 0F B6 55 FB 8D 4D A8 8B 18 FF 53 6C 8D 55 98 8B C6 E8 ?? ?? ?? ?? 8D 45 98 50 6A 00 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D A8 5A E8 ?? ?? ?? ?? 6A 00 6A 00 68 47 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 7C 51 83 7E 54 00 75 4B 8D 55 E4 8B 46 08 8B 08 FF 51 60 6A FD 6A FD 8D 45 E4 50 E8 ?? ?? ?? ?? 8D 55 98 8B C6 E8 ?? ?? ?? ?? 8B 45 98 83 E8 02 89 45 EC 8B 45 F0 50 8B 45 EC 50 8B 45 E8 50 8B 45 E4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 57 83 7E 54 00 74 51 8D 45 E4 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 C4 50 8B 46 54 50 E8 ?? ?? ?? ?? 8B 45 E8 F7 D8 50 8B 45 E4 F7 D8 50 8D 45 C4 50 E8 ?? ?? ?? ?? 8B 45 D0 50 8B 45 CC 50 8B 45 C8 50 8B 45 C4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F4 50 33 C9 33 D2 8B 45 FC 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85269_0 {
	meta:
		name = "TComboBoxStyleHook.DrawItem"
		size = 172
		refs = "001a @FillChar 0028 TStyleHook.GetHandle 002e GetDlgCtrlID 003f TCanvas.GetHandle 006f SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F9 8B F2 8B D8 8D 45 D0 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? C7 45 D0 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 D4 C7 45 DC 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 89 45 E8 8B C3 E8 ?? ?? ?? ?? 89 45 E4 8B 45 0C 57 8B F0 8D 7D EC A5 A5 A5 A5 5F 89 7D D8 6A 00 6A 00 68 99 01 00 00 8B 43 50 50 E8 ?? ?? ?? ?? 89 45 FC 80 7D 08 00 74 0C 8B 45 E0 83 C8 10 83 C8 01 89 45 E0 8D 45 D0 50 8B C3 E8 ?? ?? ?? ?? 50 6A 2B 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85270_0 {
	meta:
		name = "TComboBoxStyleHook.WMParentNotify"
		size = 54
		refs = "001d TComboBoxStyleHook.HookListBox"
	strings:
		$1 = { 83 78 50 00 75 1C 66 83 7A 04 01 75 15 8B 4A 08 85 C9 74 21 83 78 58 00 75 1B 8B D1 E8 ?? ?? ?? ?? C3 83 78 54 00 75 0D 66 83 7A 04 01 75 06 8B 52 08 89 50 54 C3 }
	condition:
		$1
}

rule function_85271_0 {
	meta:
		name = "TComboBoxStyleHook.WndProc"
		size = 161
		refs = "0027 ColorToRGB 0031 SetTextColor 0043 States 0049 StyleServices 004f TCustomStyleServices.GetStyleColor 0059 TBrush.SetColor 0071 SetBkColor 0079 TBrush.GetHandle 008a TComboBoxStyleHook.UpdateColors 009a TMouseTrackControlStyleHook.WndProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 06 05 CE FE FF FF 83 E8 07 72 11 2D D3 AE 00 00 74 6E 05 DA F2 FF FF 83 E8 07 73 72 8B 43 10 E8 ?? ?? ?? ?? 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B 43 08 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D0 8B 43 04 E8 ?? ?? ?? ?? 8B 43 04 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 89 46 0C C6 43 14 01 5E 5B C3 8B C3 E8 ?? ?? ?? ?? C6 43 14 00 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85272_0 {
	meta:
		name = "TComboBoxStyleHook.MouseLeave"
		size = 68
		refs = "0009 TMouseTrackControlStyleHook.MouseLeave 0010 TComboBoxStyleHook.DroppedDown 0027 TComboBoxStyleHook.GetButtonRect 0035 TStyleHook.GetHandle 003b InvalidateRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 27 80 7B 4C 00 74 21 C6 43 4C 00 8B D4 8B C3 E8 ?? ?? ?? ?? 6A 00 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_85273_0 {
	meta:
		name = "TComboBoxStyleHook.WMMouseMove"
		size = 142
		refs = "000f TStyleHook.CallDefaultProc 0018 TMouseTrackControlStyleHook.WMMouseMove 0046 TComboBoxStyleHook.GetButtonRect 0058 PtInRect 0079 TStyleHook.GetHandle 007f InvalidateRect"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 0F BF 46 08 0F BF 56 0A 89 44 24 08 89 54 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 0F B6 5F 4C 8D 54 24 10 8B C7 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 8D 44 24 18 50 E8 ?? ?? ?? ?? 85 C0 74 06 C6 47 4C 01 EB 04 C6 47 4C 00 3A 5F 4C 74 14 6A 00 8D 44 24 14 50 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 47 14 01 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85274_0 {
	meta:
		name = "TComboBoxStyleHook.CNDrawItem"
		size = 16
		refs = "0006 TComboBoxStyleHook.WMDrawItem"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_85318_0 {
	meta:
		name = "TButtonStyleHook.WMLButtonDblClk"
		size = 16
		refs = "0006 TButtonStyleHook.WMLButtonDown"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_85275_0 {
	meta:
		name = "TComboBoxStyleHook.WMDrawItem"
		size = 16
		refs = "0006 TStyleHook.CallDefaultProc"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 14 01 5B C3 }
	condition:
		$1
}

rule function_85276_0 {
	meta:
		name = "TComboBoxStyleHook.WMPaint"
		size = 524
		refs = "0013 _Dn_TCanvas 0018 TCanvas.Create 0023 TComboBoxStyleHook.WMPaint 003b TStyleHook.GetHandle 0041 BeginPaint 004b TCanvas.SetHandle 0060 TCanvas.GetHandle 0066 SaveDC 00a1 RestoreDC 00a7 @HandleFinally 00b1 TComboBoxStyleHook.Style 00dd SendMessage 0100 InflateRect 0117 TComboBoxStyleHook.GetButtonRect 016f IntersectClipRect 01dc TObject.Free 01f4 EndPaint"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 89 45 FC 8B 42 04 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F0 00 75 1E 8D 45 A0 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? EB 0B 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 08 FF 51 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC E8 ?? ?? ?? ?? 3C 01 0F 84 04 01 00 00 8B 45 FC 83 78 54 00 0F 85 F7 00 00 00 6A 00 6A 00 68 47 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 0F 8C D8 00 00 00 8D 55 E0 8B 45 FC 8B 40 08 8B 08 FF 51 60 6A FD 6A FD 8D 45 E0 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 80 78 69 01 74 14 8D 55 90 8B 45 FC E8 ?? ?? ?? ?? 8B 45 90 48 89 45 E8 EB 12 8D 55 90 8B 45 FC E8 ?? ?? ?? ?? 8B 45 98 40 89 45 E0 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 50 8B 45 E8 50 8B 45 E4 50 8B 45 E0 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 FC 0F B6 40 0E 50 8B 45 FC 8B 40 08 8B 10 FF 92 F8 00 00 00 8B C8 8B 55 F8 8B 45 FC 8B 18 FF 53 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 7D F0 00 75 12 8D 45 A0 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 8B 45 FC C6 40 14 01 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85277_0 {
	meta:
		name = "TComboBoxStyleHook.CNCommand"
		size = 63
		refs = "002e TComboBoxStyleHook.ListBoxStopTimer"
		altNames = "TComboBoxStyleHook.WMCommand"
	strings:
		$1 = { 56 8B F0 0F B7 42 06 66 83 F8 0A 74 18 66 83 F8 09 74 12 66 83 F8 08 74 0C 66 83 F8 07 74 06 66 83 F8 01 75 18 83 7E 60 00 74 07 8B C6 E8 ?? ?? ?? ?? C6 46 4C 00 8B C6 8B 10 FF 52 20 5E C3 }
	condition:
		$1
}

rule function_85279_0 {
	meta:
		name = "TComboBoxStyleHook.HookListBox"
		size = 70
		refs = "0018 MakeObjectInstance 002a GetWindowLongPtr 0040 SetWindowLongPtr"
	strings:
		$1 = { 53 8B D8 85 D2 74 3D 83 7B 58 00 75 37 89 53 50 53 8B 03 8B 40 38 50 E8 ?? ?? ?? ?? 89 43 58 8B 43 50 BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 89 43 5C 8B 43 50 BA FC FF FF FF 8B 4B 58 51 52 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85280_0 {
	meta:
		name = "TComboBoxStyleHook.ListBoxBoundsRect"
		size = 11
		refs = "0006 GetWindowRect"
	strings:
		$1 = { 52 8B 40 50 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85281_0 {
	meta:
		name = "TComboBoxStyleHook.ListBoxClientRect"
		size = 11
		refs = "0006 GetClientRect"
	strings:
		$1 = { 52 8B 40 50 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85282_0 {
	meta:
		name = "TComboBoxStyleHook.ListBoxVertScrollRect"
		size = 129
		refs = "000e TComboBoxStyleHook.ListBoxBoundsRect 001f OffsetRect 0029 InflateRect 0043 GetSystemMetrics 0068 TRect.GetHeight"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 43 04 F7 D8 50 8B 03 F7 D8 50 53 E8 ?? ?? ?? ?? 6A FF 6A FF 53 E8 ?? ?? ?? ?? 6A 01 6A 01 53 E8 ?? ?? ?? ?? 8B 46 08 80 78 69 01 74 10 6A 02 E8 ?? ?? ?? ?? 8B 53 08 2B D0 89 13 EB 0C 6A 02 E8 ?? ?? ?? ?? 03 03 89 43 08 8B D4 8B C6 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 83 F8 1E 7E 0A 6A FF 6A FF 53 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_85283_0 {
	meta:
		name = "TComboBoxStyleHook.ListBoxVertDownButtonRect"
		size = 79
		refs = "000f TComboBoxStyleHook.ListBoxVertScrollRect 0016 TRect.GetWidth 0021 GetSystemMetrics 003c TRect.Create"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 11 6A 09 E8 ?? ?? ?? ?? 8B 53 0C 2B D0 89 53 04 EB 19 6A 00 6A 00 8D 44 24 08 33 C9 33 D2 E8 ?? ?? ?? ?? 8B FB 8B F4 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85284_0 {
	meta:
		name = "TComboBoxStyleHook.ListBoxVertUpButtonRect"
		size = 77
		refs = "000f TComboBoxStyleHook.ListBoxVertScrollRect 0016 TRect.GetWidth 0021 GetSystemMetrics 003a TRect.Create"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 0F 6A 09 E8 ?? ?? ?? ?? 03 43 04 89 43 0C EB 19 6A 00 6A 00 8D 44 24 08 33 C9 33 D2 E8 ?? ?? ?? ?? 8B FB 8B F4 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85285_0 {
	meta:
		name = "TComboBoxStyleHook.ListBoxVertScrollArea"
		size = 130
		refs = "0015 GetWindowLongPtr 002d TRect.Create 0040 TComboBoxStyleHook.ListBoxBoundsRect 0051 OffsetRect 0061 GetSystemMetrics"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B DA 8B F0 8B 46 50 BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? A9 00 00 20 00 75 1B 6A 00 6A 00 8D 44 24 08 33 C9 33 D2 E8 ?? ?? ?? ?? 8B FB 8B F4 A5 A5 A5 A5 EB 40 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 43 04 F7 D8 50 8B 03 F7 D8 50 53 E8 ?? ?? ?? ?? 8B 46 08 80 78 69 01 74 11 6A 14 E8 ?? ?? ?? ?? 8B 53 08 2B D0 4A 89 13 EB 0C 6A 14 E8 ?? ?? ?? ?? 03 03 89 43 08 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85286_0 {
	meta:
		name = "TComboBoxStyleHook.ListBoxVertSliderRect"
		size = 564
		refs = "0010 TComboBoxStyleHook.ListBoxVertScrollRect 001b TComboBoxStyleHook.ListBoxVertUpButtonRect 002d TComboBoxStyleHook.ListBoxVertDownButtonRect 004d SendMessage 00a3 @ROUND 00be TComboBoxStyleHook.ListBoxBoundsRect 00c7 TRect.GetHeight 0175 TComboBoxStyleHook.Style"
	strings:
		$1 = { 53 56 57 55 83 C4 A8 8B EA 8B D8 8B D5 8B C3 E8 ?? ?? ?? ?? 8D 54 24 34 8B C3 E8 ?? ?? ?? ?? 8B 44 24 40 89 45 04 8D 54 24 34 8B C3 E8 ?? ?? ?? ?? 8B 74 24 38 89 75 0C 2B 75 04 89 74 24 08 6A 00 6A 00 68 8B 01 00 00 8B 43 50 50 E8 ?? ?? ?? ?? F7 6C 24 08 85 C0 0F 84 CF 01 00 00 6A 00 6A 00 68 8E 01 00 00 8B 43 50 50 E8 ?? ?? ?? ?? 89 44 24 44 DB 44 24 44 DB 7C 24 48 9B 6A 00 6A 00 68 8B 01 00 00 8B 43 50 50 E8 ?? ?? ?? ?? 89 44 24 54 DB 44 24 54 DB 6C 24 48 DE F1 DB 44 24 08 DE C9 E8 ?? ?? ?? ?? 01 45 04 C7 44 24 04 01 00 00 00 33 C0 89 43 40 8D 54 24 14 8B C3 E8 ?? ?? ?? ?? 8D 44 24 14 E8 ?? ?? ?? ?? 89 44 24 0C 6A 00 6A 00 68 8B 01 00 00 8B 43 50 50 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 43 46 33 FF 6A 00 57 68 A1 01 00 00 8B 43 50 50 E8 ?? ?? ?? ?? 01 44 24 04 8B 44 24 04 3B 44 24 0C 7E 1D 83 7B 40 00 75 17 6A 00 6A 00 68 8B 01 00 00 8B 43 50 50 E8 ?? ?? ?? ?? 2B C7 89 43 40 47 4E 75 C0 33 C0 89 04 24 6A 00 6A 00 68 8E 01 00 00 8B 43 50 50 E8 ?? ?? ?? ?? 8B F8 6A 00 6A 00 68 8B 01 00 00 8B 43 50 50 E8 ?? ?? ?? ?? 8B F0 4E 2B F7 7C 53 46 6A 00 57 68 A1 01 00 00 8B 43 50 50 E8 ?? ?? ?? ?? 01 04 24 8B C3 E8 ?? ?? ?? ?? 3C 01 74 0A C7 44 24 10 02 00 00 00 EB 08 C7 44 24 10 04 00 00 00 8D 54 24 24 8B C3 E8 ?? ?? ?? ?? 8D 44 24 24 E8 ?? ?? ?? ?? 2B 44 24 10 3B 04 24 7E 04 47 4E 75 AE DB 04 24 DB 44 24 04 DE F9 DB 44 24 08 DE C9 E8 ?? ?? ?? ?? 03 45 04 89 45 0C 6A 00 6A 00 68 8B 01 00 00 8B 43 50 50 E8 ?? ?? ?? ?? 48 3B F8 75 34 8D 54 24 34 8B C3 E8 ?? ?? ?? ?? 8B 44 24 38 3B 45 0C 74 20 8B C5 E8 ?? ?? ?? ?? 8B F0 8D 54 24 34 8B C3 E8 ?? ?? ?? ?? 8B 7C 24 38 89 7D 0C 2B FE 89 7D 04 DB 04 24 DB 44 24 04 DE F9 DB 44 24 08 DE C9 E8 ?? ?? ?? ?? 89 43 44 83 C4 58 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85288_0 {
	meta:
		name = "TComboBoxStyleHook.ListBoxVertTrackRectUp"
		size = 73
		refs = "000e TComboBoxStyleHook.ListBoxVertTrackRect 0015 TRect.GetWidth 0022 TComboBoxStyleHook.ListBoxVertSliderRect 0029 TRect.GetHeight"
	strings:
		$1 = { 53 56 83 C4 E0 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 26 8B D4 8B C3 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 85 C0 7E 12 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8B 44 24 14 89 46 0C 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_85289_0 {
	meta:
		name = "TComboBoxStyleHook.ListBoxVertTrackRectDown"
		size = 73
		refs = "000e TComboBoxStyleHook.ListBoxVertTrackRect 0015 TRect.GetWidth 0022 TComboBoxStyleHook.ListBoxVertSliderRect 0029 TRect.GetHeight"
	strings:
		$1 = { 53 56 83 C4 E0 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 26 8B D4 8B C3 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 85 C0 7E 12 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8B 44 24 1C 89 46 04 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_85290_0 {
	meta:
		name = "TComboBoxStyleHook.PaintListBoxBorder"
		size = 43
		refs = "0007 StyleServices 0011 TCustomStyleServices.GetSystemColor 001b TBrush.SetColor"
	strings:
		$1 = { 53 56 8B F1 8B DA E8 ?? ?? ?? ?? BA 06 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 43 48 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 54 5E 5B C3 }
	condition:
		$1
}

rule function_85291_0 {
	meta:
		name = "TComboBoxStyleHook.DrawListBoxVertScroll"
		size = 815
		refs = "001b GetWindowLongPtr 002d _Dn_TCanvas 0032 TCanvas.Create 003d TComboBoxStyleHook.DrawListBoxVertScroll 0054 TCanvas.SetHandle 0062 GetWindowDC 0077 TComboBoxStyleHook.ListBoxVertScrollRect 007f TRect.GetWidth 008e _Dn_TBitmap 0093 TBitmap.Create 00d4 TRect.GetHeight 0108 TBitmap.GetCanvas 010d TCanvas.GetHandle 0114 MoveWindowOrg 0119 StyleServices 013c TComboBoxStyleHook.ListBoxVertUpButtonRect 014d TComboBoxStyleHook.ListBoxVertDownButtonRect 0193 TCustomStyleServices.DrawElement 01b5 TComboBoxStyleHook.ListBoxVertSliderRect 02d0 TObject.Free 02d6 @HandleFinally 030c ReleaseDC"
	strings:
		$1 = { 55 8B EC 83 C4 84 53 89 55 F8 89 45 FC 8B 45 FC 8B 40 50 BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? A9 00 00 20 00 0F 84 00 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 74 0D 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? EB 16 8B 45 FC 8B 40 50 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 C4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 85 C0 0F 8E 51 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 B4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 08 FF 51 44 8D 55 A4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 08 FF 51 38 8D 55 94 8B 45 FC E8 ?? ?? ?? ?? 8B 45 98 F7 D8 50 8D 55 84 8B 45 FC E8 ?? ?? ?? ?? 8B 45 84 F7 D8 50 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 39 01 00 00 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8D 55 94 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A0 89 45 D8 8D 55 94 8B 45 FC E8 ?? ?? ?? ?? 8B 45 98 89 45 E0 8D 45 D4 E8 ?? ?? ?? ?? 85 C0 7E 34 E8 ?? ?? ?? ?? 8D 4D E4 B2 2D 8B 18 FF 93 BC 00 00 00 8D 45 D4 50 6A 00 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E4 5A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 0F B6 52 48 8D 4D E4 8B 18 FF 93 BC 00 00 00 8D 55 94 8B 45 FC E8 ?? ?? ?? ?? 8D 45 94 50 6A 00 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E4 5A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 0F B6 52 49 8D 4D E4 8B 18 FF 93 BC 00 00 00 8D 55 94 8B 45 FC E8 ?? ?? ?? ?? 8D 45 94 50 6A 00 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E4 5A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 0F B6 52 4A 8D 4D E4 8B 18 FF 93 BC 00 00 00 8D 55 94 8B 45 FC E8 ?? ?? ?? ?? 8D 45 94 50 6A 00 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E4 5A E8 ?? ?? ?? ?? 8D 55 94 8B 45 FC E8 ?? ?? ?? ?? 8B 45 98 50 8D 55 84 8B 45 FC E8 ?? ?? ?? ?? 8B 45 84 50 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 94 8B 45 FC E8 ?? ?? ?? ?? 8B 45 98 50 8D 55 84 8B 45 FC E8 ?? ?? ?? ?? 8B 55 84 8B 45 F0 59 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0C 33 D2 8B 45 F0 E8 ?? ?? ?? ?? EB 1F 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 50 50 E8 ?? ?? ?? ?? 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85292_0 {
	meta:
		name = "TComboBoxStyleHook.DrawListBoxBorder"
		size = 427
		refs = "000e _Dn_TCanvas 0013 TCanvas.Create 001e TComboBoxStyleHook.DrawListBoxBorder 0030 GetWindowDC 003a TCanvas.SetHandle 0060 ClientToScreen 0070 GetWindowRect 0084 TRect.GetWidth 0097 TRect.GetHeight 00b2 GetClientRect 00d4 TCanvas.GetHandle 00da ExcludeClipRect 00ff OffsetRect 010d SaveDC 012c TComboBoxStyleHook.PaintListBoxBorder 014b RestoreDC 0151 @HandleFinally 0165 TComboBoxStyleHook.DrawListBoxVertScroll 0187 ReleaseDC 0199 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 50 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 E4 33 C0 89 45 E8 8B 45 E4 89 45 EC 8B 45 E8 89 45 F0 8D 45 EC 50 8B 45 FC 8B 40 50 50 E8 ?? ?? ?? ?? 8D 45 D4 50 8B 45 FC 8B 40 50 50 E8 ?? ?? ?? ?? 8B 45 D4 29 45 EC 8B 45 D8 29 45 F0 8D 45 D4 E8 ?? ?? ?? ?? 3D 88 13 00 00 0F 8D D6 00 00 00 8D 45 D4 E8 ?? ?? ?? ?? 3D 88 13 00 00 0F 8D C3 00 00 00 8D 45 D4 50 8B 45 FC 8B 40 50 50 E8 ?? ?? ?? ?? 8B 45 E0 2B 45 D8 8B 75 F0 03 C6 50 8B 45 DC 2B 45 D4 8B 5D EC 03 C3 50 56 53 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 D4 50 8B 45 FC 8B 40 50 50 E8 ?? ?? ?? ?? 8B 45 D8 F7 D8 50 8B 45 D4 F7 D8 50 8D 45 D4 50 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D D4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 40 50 50 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85293_0 {
	meta:
		name = "WMNCCalcSize"
		size = 482
		refs = "001c GetWindowLongPtr 0066 SetWindowLongPtr 008a CallWindowProc 011a TComboBoxStyleHook.ListBoxVertScrollRect 0122 TRect.GetWidth"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B D8 8B 45 08 8B 40 FC 8B 40 50 BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 8B F0 B8 00 00 20 00 23 C6 3D 00 00 20 00 74 0E B8 00 00 10 00 23 C6 3D 00 00 10 00 75 77 B8 FF FF DF FF 23 C6 25 FF FF EF FF 8B 55 08 8B 52 FC C6 42 4B 01 8B 55 08 8B 52 FC 8B 52 50 BF F0 FF FF FF 50 57 52 E8 ?? ?? ?? ?? 8B 43 08 50 8B 43 04 50 8B 03 50 8B 45 08 8B 40 FC 8B 40 50 50 8B 45 08 8B 40 FC 8B 40 5C 50 E8 ?? ?? ?? ?? 89 43 0C 8B 45 08 8B 40 FC 8B 40 50 BA F0 FF FF FF 8B FE 57 52 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC C6 40 4B 00 EB 27 8B 43 08 50 8B 43 04 50 8B 03 50 8B 45 08 8B 40 FC 8B 40 50 50 8B 45 08 8B 40 FC 8B 40 5C 50 E8 ?? ?? ?? ?? 89 43 0C 83 7B 04 00 0F 84 E9 00 00 00 8B 43 08 89 45 FC 8B 45 08 8B 40 FC 8B 40 08 80 78 69 01 74 3A C7 45 F8 01 00 00 00 81 E6 00 00 20 00 81 FE 00 00 20 00 75 1C 8D 55 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 40 89 45 F4 EB 41 C7 45 F4 01 00 00 00 EB 38 C7 45 F4 01 00 00 00 81 E6 00 00 20 00 81 FE 00 00 20 00 75 1C 8D 55 D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 40 89 45 F8 EB 07 C7 45 F8 01 00 00 00 B9 01 00 00 00 C7 45 F0 01 00 00 00 8B 45 FC 8B 50 30 8B 45 FC 8B 72 08 89 30 8B 72 0C 89 70 04 8B 72 08 03 72 10 89 70 08 8B 72 0C 03 72 14 89 70 0C 8B 55 F8 01 10 01 48 04 8B 55 F4 29 50 08 8B 55 F0 29 50 0C 8B 45 FC 8B 55 FC 8B F0 8D 7A 10 A5 A5 A5 A5 8B 45 FC 89 43 08 C7 43 0C 00 04 00 00 33 C0 89 43 0C 8B 45 08 C6 40 FB 01 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85294_0 {
	meta:
		name = "WMMouseWheel"
		size = 193
		refs = "001d SendMessage 006a TComboBoxStyleHook.ListBoxBoundsRect 0072 TRect.GetHeight 0089 TRect.GetWidth 0094 Rect 00a7 RedrawWindow 00b0 TComboBoxStyleHook.DrawListBoxVertScroll"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 8B F0 8B 5D 08 83 C3 FC 6A 00 6A 00 6A 0B 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 6A 00 6A 00 68 8E 01 00 00 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 66 83 7E 06 00 7D 03 40 EB 01 48 6A 00 50 68 97 01 00 00 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 6A 00 6A 01 6A 0B 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 8D 55 D0 8B 03 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 50 8D 45 F0 50 8D 55 E0 8B 03 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 6A 05 6A 00 8D 45 F0 50 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 8B 03 33 D2 E8 ?? ?? ?? ?? 8B 45 08 C6 40 FB 01 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85295_0 {
	meta:
		name = "WMNCLButtonDblClk"
		size = 547
		refs = "0033 TComboBoxStyleHook.ListBoxVertScrollArea 003c PtInRect 0066 TComboBoxStyleHook.ListBoxVertUpButtonRect 008c SendMessage 00d6 TComboBoxStyleHook.ListBoxBoundsRect 00de TRect.GetHeight 00f9 TRect.GetWidth 0104 Rect 011b RedrawWindow 0128 TComboBoxStyleHook.DrawListBoxVertScroll 014f TComboBoxStyleHook.ListBoxVertDownButtonRect"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 8B D8 0F BF 43 08 0F BF 53 0A 89 45 F0 89 55 F4 8B 45 F0 89 45 F8 8B 45 F4 89 45 FC FF 75 FC FF 75 F8 8D 55 80 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 45 80 50 E8 ?? ?? ?? ?? 85 C0 0F 84 CF 01 00 00 0F BF 43 08 0F BF 53 0A 89 45 E8 89 55 EC FF 75 EC FF 75 E8 8D 55 80 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 45 80 50 E8 ?? ?? ?? ?? 85 C0 0F 84 B6 00 00 00 6A 00 6A 00 6A 0B 8B 45 08 8B 40 FC 8B 40 50 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 68 8E 01 00 00 8B 45 08 8B 40 FC 8B 58 50 53 E8 ?? ?? ?? ?? 48 50 68 97 01 00 00 53 E8 ?? ?? ?? ?? 6A 00 6A 01 6A 0B 8B 45 08 8B 40 FC 8B 40 50 50 E8 ?? ?? ?? ?? 8D 55 B0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 50 8D 45 D0 50 8D 55 C0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 6A 05 6A 00 8D 45 D0 50 8B 45 08 8B 40 FC 8B 40 50 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? E9 ED 00 00 00 0F BF 43 08 0F BF 53 0A 89 45 E0 89 55 E4 FF 75 E4 FF 75 E0 8D 55 80 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 45 80 50 E8 ?? ?? ?? ?? 85 C0 0F 84 B3 00 00 00 6A 00 6A 00 6A 0B 8B 45 08 8B 40 FC 8B 40 50 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 68 8E 01 00 00 8B 45 08 8B 40 FC 8B 58 50 53 E8 ?? ?? ?? ?? 40 50 68 97 01 00 00 53 E8 ?? ?? ?? ?? 6A 00 6A 01 6A 0B 8B 45 08 8B 40 FC 8B 40 50 50 E8 ?? ?? ?? ?? 8D 55 90 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 50 8D 45 D0 50 8D 55 A0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 6A 05 6A 00 8D 45 D0 50 8B 45 08 8B 40 FC 8B 40 50 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? EB 07 8B 45 08 C6 40 FB 01 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85296_0 {
	meta:
		name = "WMLButtonDown"
		size = 1319
		refs = "005d TComboBoxStyleHook.ListBoxVertScrollArea 0069 PtInRect 0078 TComboBoxStyleHook.Style 0087 SetCapture 00a8 TComboBoxStyleHook.ListBoxVertTrackRectUp 00d0 SendMessage 00e0 TComboBoxStyleHook.ListBoxClientRect 00e8 TRect.GetHeight 014f TComboBoxStyleHook.ListBoxBoundsRect 016e TRect.GetWidth 0179 Rect 018c RedrawWindow 0195 TComboBoxStyleHook.DrawListBoxVertScroll 01a1 TComboBoxStyleHook.ListBoxSetTimer 01b9 TComboBoxStyleHook.ListBoxVertTrackRectDown 02c2 TComboBoxStyleHook.ListBoxVertSliderRect 0316 TComboBoxStyleHook.ListBoxVertDownButtonRect 03fb TComboBoxStyleHook.ListBoxVertUpButtonRect"
	strings:
		$1 = { 55 8B EC 81 C4 30 FF FF FF 53 56 8B 5D 08 83 C3 FC 8B 55 08 C6 42 FB 00 0F BF 50 08 0F BF 40 0A 89 55 F0 89 45 F4 8B 45 F0 89 45 F8 8B 45 F4 89 45 FC 8B 03 8B 40 08 80 78 69 01 75 03 F7 5D F8 8B 03 8B 55 F8 89 50 28 8B 55 FC 89 50 2C FF 75 FC FF 75 F8 8D 95 30 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 30 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 0F 84 60 04 00 00 8B 03 E8 ?? ?? ?? ?? 3C 01 75 0B 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 8B 03 8B 55 F8 89 50 28 8B 55 FC 89 50 2C FF 75 FC FF 75 F8 8D 95 30 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 30 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 0F 84 EA 00 00 00 6A 00 6A 00 68 A1 01 00 00 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 19 8D 55 D0 8B 03 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 99 F7 FE 8B F0 EB 02 33 F6 6A 00 6A 00 68 8E 01 00 00 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 2B C6 40 8B F0 85 F6 7D 02 33 F6 6A 00 6A 00 6A 0B 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 6A 00 56 68 97 01 00 00 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 6A 00 6A 01 6A 0B 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 8D 55 B0 8B 03 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 50 8D 45 E0 50 8D 55 C0 8B 03 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 6A 05 6A 00 8D 45 E0 50 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 8B 03 33 D2 E8 ?? ?? ?? ?? 8B 03 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 22 03 00 00 FF 75 FC FF 75 F8 8D 95 30 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 30 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 0F 84 E2 00 00 00 6A 00 6A 00 68 A1 01 00 00 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 19 8D 55 A0 8B 03 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 99 F7 FE 8B F0 EB 02 33 F6 6A 00 6A 00 68 8E 01 00 00 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 03 F0 4E 6A 00 6A 00 6A 0B 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 6A 00 56 68 97 01 00 00 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 6A 00 6A 01 6A 0B 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 8D 55 80 8B 03 E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 50 8D 45 E0 50 8D 55 90 8B 03 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 6A 05 6A 00 8D 45 E0 50 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 8B 03 33 D2 E8 ?? ?? ?? ?? 8B 03 BA 04 00 00 00 E8 ?? ?? ?? ?? E9 19 02 00 00 FF 75 FC FF 75 F8 8D 95 30 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 30 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 74 31 8B 03 C6 40 48 1C 8D 95 30 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8B 03 8B 40 2C 2B 85 34 FF FF FF 8B 13 89 42 38 8B 03 33 D2 E8 ?? ?? ?? ?? E9 C5 01 00 00 FF 75 FC FF 75 F8 8D 95 30 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 30 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 0F 84 BE 00 00 00 8B 03 C6 40 65 01 8B 03 C6 40 4A 08 8B 03 33 D2 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 0B 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 68 8E 01 00 00 8B 03 8B 70 50 56 E8 ?? ?? ?? ?? 40 50 68 97 01 00 00 56 E8 ?? ?? ?? ?? 6A 00 6A 01 6A 0B 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 8D 95 60 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 50 8D 45 E0 50 8D 95 70 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 6A 05 6A 00 8D 45 E0 50 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 8B 03 BA 02 00 00 00 E8 ?? ?? ?? ?? E9 E0 00 00 00 FF 75 FC FF 75 F8 8D 95 30 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 30 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 0F 84 B9 00 00 00 8B 03 C6 40 64 01 8B 03 C6 40 49 04 8B 03 33 D2 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 0B 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 68 8E 01 00 00 8B 03 8B 70 50 56 E8 ?? ?? ?? ?? 48 50 68 97 01 00 00 56 E8 ?? ?? ?? ?? 6A 00 6A 01 6A 0B 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 8D 95 40 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 50 8D 45 E0 50 8D 95 50 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 6A 05 6A 00 8D 45 E0 50 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 8B 03 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 C6 40 FB 01 EB 33 8B 03 80 78 48 1A 75 10 8B 03 80 78 49 02 75 08 8B 03 80 78 4A 06 74 1B 8B 03 C6 40 48 02 8B 03 C6 40 49 02 8B 03 C6 40 4A 06 8B 03 33 D2 E8 ?? ?? ?? ?? 6A 00 6A 00 68 8E 01 00 00 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 8B 13 89 42 3C 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85297_0 {
	meta:
		name = "WMMouseMove"
		size = 1279
		refs = "0064 SendMessage 0070 TComboBoxStyleHook.ListBoxVertScrollRect 0078 TRect.GetHeight 0084 TComboBoxStyleHook.ListBoxVertUpButtonRect 0098 TComboBoxStyleHook.ListBoxVertDownButtonRect 00ac TComboBoxStyleHook.ListBoxVertSliderRect 0101 @ROUND 017f TComboBoxStyleHook.ListBoxBoundsRect 019e TRect.GetWidth 01a9 Rect 01bc RedrawWindow 01c5 TComboBoxStyleHook.DrawListBoxVertScroll 01f8 PtInRect 021a TComboBoxStyleHook.ListBoxStopTimer 026d TComboBoxStyleHook.ListBoxSetTimer 0326 TComboBoxStyleHook.ListBoxVertScrollArea"
	strings:
		$1 = { 55 8B EC 81 C4 68 FF FF FF 53 56 57 8B 5D 08 83 C3 FC 0F BF 50 08 0F BF 40 0A 89 55 F0 89 45 F4 8B 45 F0 89 45 F8 8B 45 F4 89 45 FC 8B 03 8B 40 08 80 78 69 01 75 03 F7 5D F8 8B 03 8B 55 F8 89 50 30 8B 55 FC 89 50 34 8B 03 80 78 48 1C 0F 85 81 01 00 00 6A 00 6A 00 68 8E 01 00 00 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 8B F8 8D 55 D0 8B 03 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8B F0 8D 55 C0 8B 03 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 2B F0 8D 55 B0 8B 03 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 2B F0 8D 55 A0 8B 03 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 2B F0 85 F6 0F 8E 07 01 00 00 8D 95 70 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8B 03 8B 40 34 8B 13 2B 42 38 2B 85 7C FF FF FF 89 85 6C FF FF FF DB 85 6C FF FF FF 89 B5 68 FF FF FF DB 85 68 FF FF FF DE F9 8B 03 DB 40 40 DE C9 E8 ?? ?? ?? ?? 8B F0 3B FE 0F 84 BA 00 00 00 85 F6 7D 02 33 F6 6A 00 6A 00 68 8B 01 00 00 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 3B F0 7C 17 6A 00 6A 00 68 8B 01 00 00 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 8B F0 4E 6A 00 6A 00 6A 0B 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 6A 00 56 68 97 01 00 00 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 6A 00 6A 01 6A 0B 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 8D 55 80 8B 03 E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 50 8D 45 E0 50 8D 55 90 8B 03 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 6A 05 6A 00 8D 45 E0 50 8B 03 8B 40 50 50 E8 ?? ?? ?? ?? 8B 03 33 D2 E8 ?? ?? ?? ?? 8B 45 08 C6 40 FB 01 E9 23 03 00 00 8B 03 80 78 64 00 74 46 FF 75 FC FF 75 F8 8D 95 70 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 75 23 8B 03 80 78 49 04 75 1B 8B 03 C6 40 49 02 8B 03 33 D2 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E9 D5 02 00 00 8B 03 80 78 64 00 74 4B FF 75 FC FF 75 F8 8D 95 70 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 74 28 8B 03 80 78 49 02 75 20 8B 03 C6 40 49 04 8B 03 33 D2 E8 ?? ?? ?? ?? 8B 03 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 82 02 00 00 8B 03 80 78 65 00 74 46 FF 75 FC FF 75 F8 8D 95 70 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 75 23 8B 03 80 78 4A 08 75 1B 8B 03 C6 40 4A 06 8B 03 33 D2 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E9 34 02 00 00 8B 03 80 78 65 00 74 4B FF 75 FC FF 75 F8 8D 95 70 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 74 28 8B 03 80 78 4A 06 75 20 8B 03 C6 40 4A 08 8B 03 33 D2 E8 ?? ?? ?? ?? 8B 03 BA 06 00 00 00 E8 ?? ?? ?? ?? E9 E1 01 00 00 FF 75 FC FF 75 F8 8D 95 70 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 0F 84 78 01 00 00 FF 75 FC FF 75 F8 8D 95 70 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 74 1C 8B 03 80 78 48 1A 75 14 8B 03 C6 40 48 1B 8B 03 33 D2 E8 ?? ?? ?? ?? E9 30 01 00 00 FF 75 FC FF 75 F8 8D 95 70 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 75 1C 8B 03 80 78 48 1B 75 14 8B 03 C6 40 48 1A 8B 03 33 D2 E8 ?? ?? ?? ?? E9 F1 00 00 00 FF 75 FC FF 75 F8 8D 95 70 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 74 1C 8B 03 80 78 49 02 75 14 8B 03 C6 40 49 03 8B 03 33 D2 E8 ?? ?? ?? ?? E9 B2 00 00 00 FF 75 FC FF 75 F8 8D 95 70 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 75 19 8B 03 80 78 49 03 75 11 8B 03 C6 40 49 02 8B 03 33 D2 E8 ?? ?? ?? ?? EB 76 FF 75 FC FF 75 F8 8D 95 70 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 74 19 8B 03 80 78 4A 06 75 11 8B 03 C6 40 4A 07 8B 03 33 D2 E8 ?? ?? ?? ?? EB 3A FF 75 FC FF 75 F8 8D 95 70 FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 75 17 8B 03 80 78 4A 07 75 0F 8B 03 C6 40 4A 06 8B 03 33 D2 E8 ?? ?? ?? ?? 8B 45 08 C6 40 FB 01 EB 42 8B 03 80 78 48 1A 75 10 8B 03 80 78 49 02 75 08 8B 03 80 78 49 06 74 2A 8B 03 83 78 60 00 74 07 8B 03 E8 ?? ?? ?? ?? 8B 03 C6 40 48 1A 8B 03 C6 40 49 02 8B 03 C6 40 4A 06 8B 03 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85298_0 {
	meta:
		name = "WMLButtonUp"
		size = 319
		refs = "0050 TComboBoxStyleHook.Style 0066 TComboBoxStyleHook.ListBoxVertScrollArea 006f PtInRect 0078 ReleaseCapture 0088 TComboBoxStyleHook.ListBoxVertSliderRect 00b3 TComboBoxStyleHook.ListBoxVertUpButtonRect 00de TComboBoxStyleHook.ListBoxVertDownButtonRect 0102 TComboBoxStyleHook.DrawListBoxVertScroll 0111 TComboBoxStyleHook.ListBoxStopTimer"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 8B 5D 08 83 C3 FC 8B 13 C6 42 64 00 8B 13 C6 42 65 00 8B 13 C6 42 66 00 8B 13 C6 42 67 00 0F BF 50 08 0F BF 40 0A 89 55 F0 89 45 F4 8B 45 F0 89 45 F8 8B 45 F4 89 45 FC 8B 03 8B 40 08 80 78 69 01 75 03 F7 5D F8 8B 03 E8 ?? ?? ?? ?? 3C 01 75 24 8B 03 FF 70 2C FF 70 28 8D 55 E0 8B 03 E8 ?? ?? ?? ?? 8D 45 E0 50 E8 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 8D 55 E0 8B 03 E8 ?? ?? ?? ?? 8D 45 E0 50 E8 ?? ?? ?? ?? 85 C0 74 08 8B 03 C6 40 48 1B EB 06 8B 03 C6 40 48 1A FF 75 FC FF 75 F8 8D 55 E0 8B 03 E8 ?? ?? ?? ?? 8D 45 E0 50 E8 ?? ?? ?? ?? 85 C0 74 08 8B 03 C6 40 49 03 EB 06 8B 03 C6 40 49 02 FF 75 FC FF 75 F8 8D 55 E0 8B 03 E8 ?? ?? ?? ?? 8D 45 E0 50 E8 ?? ?? ?? ?? 85 C0 74 08 8B 03 C6 40 4A 07 EB 06 8B 03 C6 40 4A 06 8B 03 33 D2 E8 ?? ?? ?? ?? 8B 03 83 78 60 00 74 07 8B 03 E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 8D 55 E0 8B 03 E8 ?? ?? ?? ?? 8D 45 E0 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 8B 55 08 88 42 FB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85299_0 {
	meta:
		name = "WMNCLButtonDown"
		size = 124
		refs = "0010 TComboBoxStyleHook.Style 0023 SetCapture 0050 ScreenToClient 006b WMLButtonDown"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3C 01 74 0F 8B 45 08 8B 40 FC 8B 40 50 50 E8 ?? ?? ?? ?? 0F BF 43 08 0F BF 53 0A 89 45 F0 89 55 F4 8B 45 F0 89 45 F8 8B 45 F4 89 45 FC 8D 45 F8 50 8B 45 08 8B 40 FC 8B 40 50 50 E8 ?? ?? ?? ?? 0F B7 45 F8 66 89 43 08 0F B7 45 FC 66 89 43 0A 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 C6 40 FB 01 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85300_0 {
	meta:
		name = "WMPrint"
		size = 344
		refs = "0032 CallWindowProc 0063 _Dn_TCanvas 0068 TCanvas.Create 0073 WMPrint 0085 SaveDC 0096 TCanvas.SetHandle 00a9 GetWindowRect 00be OffsetRect 00e2 TCanvas.GetHandle 00e8 ExcludeClipRect 00f9 TComboBoxStyleHook.PaintListBoxBorder 011e RestoreDC 0130 TObject.Free 0136 @HandleFinally 0149 TComboBoxStyleHook.DrawListBoxVertScroll"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 45 FC 8B 45 FC 8B 40 08 50 8B 45 FC 8B 40 04 50 8B 45 FC 8B 00 50 8B 45 08 8B 40 FC 8B 40 50 50 8B 45 08 8B 40 FC 8B 40 5C 50 E8 ?? ?? ?? ?? 8B 55 FC 89 42 0C 8B 45 FC 8B 40 08 83 E0 02 83 F8 02 0F 85 FF 00 00 00 8B 45 FC 83 78 04 00 0F 86 F2 00 00 00 33 C0 89 45 F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 50 E8 ?? ?? ?? ?? 89 45 F8 8B 55 FC 8B 52 04 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 08 8B 40 FC 8B 40 50 50 E8 ?? ?? ?? ?? 8B 45 E8 F7 D8 50 8B 45 E4 F7 D8 50 8D 45 E4 50 E8 ?? ?? ?? ?? 8B 45 F0 83 E8 02 50 8B 45 EC 83 E8 02 50 8B 45 E8 83 C0 02 50 8B 45 E4 83 C0 02 50 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E4 8B 45 08 8B 40 FC 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 12 8B 45 F8 50 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 8B 55 FC 8B 52 04 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 C6 40 FB 01 8B E5 5D C3 }
	condition:
		$1
}

rule function_85301_0 {
	meta:
		name = "WMTimer"
		size = 1055
		refs = "0022 WMTimer 0052 TComboBoxStyleHook.ListBoxSetTimer 009b SendMessage 00d9 TComboBoxStyleHook.ListBoxBoundsRect 00e1 TRect.GetHeight 00f8 TRect.GetWidth 0103 Rect 0116 RedrawWindow 011f TComboBoxStyleHook.DrawListBoxVertScroll 01d3 TComboBoxStyleHook.ListBoxVertSliderRect 01df PtInRect 0204 TComboBoxStyleHook.ListBoxStopTimer 022d TComboBoxStyleHook.ListBoxClientRect"
	strings:
		$1 = { 55 8B EC 81 C4 40 FF FF FF 53 56 8B 75 08 83 C6 FC 8B 06 8B 40 60 83 F8 08 0F 87 FA 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 06 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 BE 03 00 00 8B 06 BA 06 00 00 00 E8 ?? ?? ?? ?? E9 AD 03 00 00 8B 06 BA 07 00 00 00 E8 ?? ?? ?? ?? E9 9C 03 00 00 8B 06 BA 08 00 00 00 E8 ?? ?? ?? ?? E9 8B 03 00 00 6A 00 6A 00 6A 0B 8B 06 8B 40 50 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 68 8E 01 00 00 8B 06 8B 58 50 53 E8 ?? ?? ?? ?? 48 50 68 97 01 00 00 53 E8 ?? ?? ?? ?? 6A 00 6A 01 6A 0B 8B 06 8B 40 50 50 E8 ?? ?? ?? ?? 8D 55 D0 8B 06 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 50 8D 45 F0 50 8D 55 E0 8B 06 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 6A 05 6A 00 8D 45 F0 50 8B 06 8B 40 50 50 E8 ?? ?? ?? ?? 8B 06 33 D2 E8 ?? ?? ?? ?? E9 F1 02 00 00 6A 00 6A 00 6A 0B 8B 06 8B 40 50 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 68 8E 01 00 00 8B 06 8B 58 50 53 E8 ?? ?? ?? ?? 40 50 68 97 01 00 00 53 E8 ?? ?? ?? ?? 6A 00 6A 01 6A 0B 8B 06 8B 40 50 50 E8 ?? ?? ?? ?? 8D 55 B0 8B 06 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 50 8D 45 F0 50 8D 55 C0 8B 06 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 6A 05 6A 00 8D 45 F0 50 8B 06 8B 40 50 50 E8 ?? ?? ?? ?? 8B 06 33 D2 E8 ?? ?? ?? ?? E9 57 02 00 00 8B 06 FF 70 34 FF 70 30 8D 95 40 FF FF FF 8B 06 E8 ?? ?? ?? ?? 8D 85 40 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 75 1A 8D 95 40 FF FF FF 8B 06 E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 8B 16 3B 42 34 7D 0C 8B 06 E8 ?? ?? ?? ?? E9 0C 02 00 00 6A 00 6A 00 68 A1 01 00 00 8B 06 8B 40 50 50 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 19 8D 55 A0 8B 06 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 99 F7 FB 8B D8 EB 02 33 DB 6A 00 6A 00 68 8E 01 00 00 8B 06 8B 40 50 50 E8 ?? ?? ?? ?? 2B C3 40 8B D8 85 DB 7D 02 33 DB 6A 00 6A 00 6A 0B 8B 06 8B 40 50 50 E8 ?? ?? ?? ?? 6A 00 53 68 97 01 00 00 8B 06 8B 40 50 50 E8 ?? ?? ?? ?? 6A 00 6A 01 6A 0B 8B 06 8B 40 50 50 E8 ?? ?? ?? ?? 8D 55 80 8B 06 E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 50 8D 45 F0 50 8D 55 90 8B 06 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 6A 05 6A 00 8D 45 F0 50 8B 06 8B 40 50 50 E8 ?? ?? ?? ?? 8B 06 33 D2 E8 ?? ?? ?? ?? E9 2E 01 00 00 8B 06 FF 70 34 FF 70 30 8D 95 40 FF FF FF 8B 06 E8 ?? ?? ?? ?? 8D 85 40 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 75 1A 8D 95 40 FF FF FF 8B 06 E8 ?? ?? ?? ?? 8B 85 44 FF FF FF 8B 16 3B 42 34 7E 0C 8B 06 E8 ?? ?? ?? ?? E9 E3 00 00 00 6A 00 6A 00 68 A1 01 00 00 8B 06 8B 40 50 50 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 1F 8D 95 70 FF FF FF 8B 06 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 99 F7 FB 8B D8 EB 02 33 DB 6A 00 6A 00 68 8E 01 00 00 8B 06 8B 40 50 50 E8 ?? ?? ?? ?? 03 D8 4B 6A 00 6A 00 6A 0B 8B 06 8B 40 50 50 E8 ?? ?? ?? ?? 6A 00 53 68 97 01 00 00 8B 06 8B 40 50 50 E8 ?? ?? ?? ?? 6A 00 6A 01 6A 0B 8B 06 8B 40 50 50 E8 ?? ?? ?? ?? 8D 95 50 FF FF FF 8B 06 E8 ?? ?? ?? ?? 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 50 8D 45 F0 50 8D 95 60 FF FF FF 8B 06 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 6A 05 6A 00 8D 45 F0 50 8B 06 8B 40 50 50 E8 ?? ?? ?? ?? 8B 06 33 D2 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85302_0 {
	meta:
		name = "TComboBoxStyleHook.ListBoxWndProc"
		size = 700
		refs = "0018 TComboBoxStyleHook.ListBoxVertScrollArea 0020 TRect.GetHeight 003f WMNCCalcSize 004d TComboBoxStyleHook.DrawListBoxBorder 0127 TComboBoxStyleHook.Style 016e TComboBoxStyleHook.DrawListBoxVertScroll 017b WMTimer 01a0 WMMouseWheel 01ae WMNCLButtonDblClk 01bc WMLButtonDown 01ca WMMouseMove 01d8 WMLButtonUp 01e6 WMNCLButtonDown 01fd WMPrint 021f CallWindowProc"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B DA 89 45 FC C6 45 FB 00 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 85 C0 75 32 8B 03 2D 83 00 00 00 74 0A 83 E8 02 74 13 E9 54 02 00 00 55 8B C3 E8 ?? ?? ?? ?? 59 E9 46 02 00 00 8B 45 FC E8 ?? ?? ?? ?? C6 45 FB 01 E9 35 02 00 00 8B 33 8B C6 3D 13 01 00 00 7F 65 0F 84 0C 01 00 00 3D A0 00 00 00 7F 2E 0F 84 78 01 00 00 83 C0 84 83 E8 02 0F 82 F9 01 00 00 83 E8 05 0F 84 01 01 00 00 48 0F 84 8F 00 00 00 48 0F 84 9B 01 00 00 E9 EF 01 00 00 2D A1 00 00 00 0F 84 37 01 00 00 48 0F 84 3E 01 00 00 48 0F 84 F1 00 00 00 83 C0 A3 83 E8 02 0F 82 42 01 00 00 E9 C5 01 00 00 3D 02 02 00 00 7F 2F 0F 84 FD 00 00 00 2D 28 01 00 00 0F 84 A3 00 00 00 83 E8 6F 0F 84 63 01 00 00 83 E8 69 0F 84 D2 00 00 00 48 0F 84 BD 00 00 00 E9 8F 01 00 00 2D 0A 02 00 00 0F 84 91 00 00 00 05 68 FF FF FF 83 E8 02 72 2E 83 E8 73 0F 84 DB 00 00 00 E9 6C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 3C 01 0F 85 5C 01 00 00 C7 43 0C 01 00 00 00 C6 45 FB 01 E9 4C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 3C 01 0F 85 3C 01 00 00 8B 45 FC C6 40 48 1A 8B 45 FC C6 40 49 02 8B 45 FC C6 40 4A 06 33 D2 8B 45 FC E8 ?? ?? ?? ?? E9 18 01 00 00 55 8B C3 E8 ?? ?? ?? ?? 59 E9 0A 01 00 00 C6 45 FB 01 E9 01 01 00 00 55 8B C3 E8 ?? ?? ?? ?? 59 E9 F3 00 00 00 55 8B C3 E8 ?? ?? ?? ?? 59 E9 E5 00 00 00 55 8B C3 E8 ?? ?? ?? ?? 59 E9 D7 00 00 00 55 8B C3 E8 ?? ?? ?? ?? 59 E9 C9 00 00 00 55 8B C3 E8 ?? ?? ?? ?? 59 E9 BB 00 00 00 55 8B C3 E8 ?? ?? ?? ?? 59 E9 AD 00 00 00 55 8B C3 E8 ?? ?? ?? ?? 59 E9 9F 00 00 00 C6 45 FB 01 E9 96 00 00 00 55 8B C3 E8 ?? ?? ?? ?? 59 E9 88 00 00 00 8B 43 08 50 8B 43 04 50 56 8B 45 FC 8B 40 50 50 8B 45 FC 8B 40 5C 50 E8 ?? ?? ?? ?? 89 43 0C 33 D2 8B 45 FC E8 ?? ?? ?? ?? C6 45 FB 01 EB 59 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? C6 45 FB 01 EB 41 8B 43 08 50 8B 43 04 50 56 8B 45 FC 8B 40 50 50 8B 45 FC 8B 40 5C 50 E8 ?? ?? ?? ?? 89 43 0C 33 D2 8B 45 FC E8 ?? ?? ?? ?? C6 45 FB 01 EB 12 8B 45 FC 80 78 4B 00 74 09 33 C0 89 43 0C C6 45 FB 01 80 7D FB 00 75 21 8B 43 08 50 8B 43 04 50 8B 03 50 8B 45 FC 8B 40 50 50 8B 45 FC 8B 40 5C 50 E8 ?? ?? ?? ?? 89 43 0C 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85303_0 {
	meta:
		name = "TListBoxStyleHook.Create"
		size = 64
		refs = "000a @ClassCreate 0017 TScrollingStyleHook.Create 0022 TListBoxStyleHook.UpdateColors 002d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 16 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_85304_0 {
	meta:
		name = "TListBoxStyleHook.WMSetFocus"
		size = 53
		refs = "000b TStyleHook.WMSetFocus 0014 TStyleHook.CallDefaultProc 0024 TStyleHook.GetHandle 002a RedrawWindow"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 68 01 01 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_85307_0 {
	meta:
		name = "TListBoxStyleHook.WMKillFocus"
		size = 53
		refs = "000b TStyleHook.WMKillFocus 0014 TStyleHook.CallDefaultProc 0024 TStyleHook.GetHandle 002a RedrawWindow"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 68 01 01 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_85308_0 {
	meta:
		name = "TButtonStyleHook.Create"
		size = 69
		refs = "000a @ClassCreate 0017 TMouseTrackControlStyleHook.Create 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 17 01 C6 46 16 01 C6 46 0D 01 C6 46 2A 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_85309_0 {
	meta:
		name = "TButtonStyleHook.PaintBackground"
		size = 82
		refs = "000a StyleServices 0023 TCustomStyleServices.HasTransparentParts 0033 TCanvas.GetHandle 003b TStyleHook.GetHandle 0048 TCustomStyleServices.DrawParentBackground"
		altNames = "TCheckBoxStyleHook.PaintBackground"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 35 C6 04 24 00 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 84 C0 74 21 54 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_85310_0 {
	meta:
		name = "TButtonStyleHook.Paint"
		size = 1716
		refs = "001e TButtonStyleHook.Paint 0029 StyleServices 0041 TStyleHook.GetText 00da TCanvas.GetHandle 00e9 TCustomStyleServices.DrawElement 00f1 TStyleHook.GetHandle 0104 SendMessage 0128 ImageList_GetIconSize 0140 GetWindowLongPtr 0158 TRect.GetHeight 0185 ImageList_Draw 01d1 TCanvas.SetFont 01e3 TFont.SetStyle 01f3 TFont.SetSize 01fa TTextFormatFlags.&op_Implicit 0210 TCustomStyleServices.GetElementColor 0222 TFont.SetColor 0254 TCustomStyleServices.DrawText 0276 @UStrSetLength 02ac @UStrToPWChar 02dc TCustomCanvas.TextHeight 0416 TStyleHook.DrawControlText 0440 SaveDC 0482 IntersectClipRect 04ac Rect 04e8 RestoreDC 04ee @HandleFinally 04ff TCustomStyleServices.GetSystemColor 050c TPen.SetColor 061c _DV_TCustomButton 0621 @IsClass 067b @UStrClr 0688 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 C9 89 4D 9C 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 30 06 00 00 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 80 78 28 00 74 11 E8 ?? ?? ?? ?? 8D 4D C8 B2 04 8B 18 FF 53 58 EB 63 8B 45 F4 80 78 24 00 74 11 E8 ?? ?? ?? ?? 8D 4D C8 B2 03 8B 18 FF 53 58 EB 49 8B 45 F4 80 78 0E 00 74 11 E8 ?? ?? ?? ?? 8D 4D C8 B2 06 8B 18 FF 53 58 EB 2F 8B 45 F4 8B 40 08 8B 10 FF 52 68 84 C0 74 11 E8 ?? ?? ?? ?? 8D 4D C8 B2 02 8B 18 FF 53 58 EB 0F E8 ?? ?? ?? ?? 8D 4D C8 B2 05 8B 18 FF 53 58 8D 55 B8 8B 45 F4 8B 40 08 8B 08 FF 51 60 8D 45 B8 50 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D C8 5A E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8D 45 A0 50 6A 00 68 03 16 00 00 53 E8 ?? ?? ?? ?? 85 C0 74 09 83 7D A0 00 0F 95 C0 EB 02 33 C0 84 C0 74 77 8D 45 E8 50 8D 45 EC 50 8B 45 A0 50 E8 ?? ?? ?? ?? 85 C0 74 62 8B 45 F4 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 83 E0 0E 83 F8 0E 75 08 8B 5D BC 83 C3 0F EB 17 8D 45 B8 E8 ?? ?? ?? ?? 8B D8 2B 5D E8 D1 FB 79 03 83 D3 00 03 5D BC 6A 00 53 8B 45 B8 83 C0 03 50 8B 45 F0 E8 ?? ?? ?? ?? 50 6A 00 8B 45 A0 50 E8 ?? ?? ?? ?? 8B 45 EC 83 C0 03 01 45 B8 8B 45 F4 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 83 E0 0E 83 F8 0E 0F 85 21 02 00 00 83 7D A0 00 75 04 83 45 B8 23 83 45 BC 0F 83 45 B8 05 8B 45 F4 8B 40 08 8B 50 6C 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 40 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 40 40 BA 0C 00 00 00 E8 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 89 45 E4 8D 45 E0 50 E8 ?? ?? ?? ?? B1 02 8D 55 C8 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 F0 8B 40 40 8B 55 E0 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 B8 50 8B 45 E4 E8 ?? ?? ?? ?? 50 8B 45 F0 8B 40 40 8B 40 18 50 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D C8 5A E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 6A 00 6A 00 68 0B 16 00 00 50 E8 ?? ?? ?? ?? 8D 50 01 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 84 98 00 00 00 8B C2 85 C0 74 05 83 E8 04 8B 00 89 45 DC 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B F0 56 8D 45 DC 50 68 0A 16 00 00 53 E8 ?? ?? ?? ?? 85 C0 74 62 B8 10 00 00 00 E8 ?? ?? ?? ?? 89 45 E4 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 83 C0 02 01 45 BC 8B 45 F0 8B 40 40 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 B8 50 8B 45 E4 E8 ?? ?? ?? ?? 50 8B 45 F0 8B 40 40 8B 40 18 50 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D C8 5A E8 ?? ?? ?? ?? 83 7D A0 00 0F 85 38 03 00 00 8B 45 F4 80 78 28 00 74 11 E8 ?? ?? ?? ?? 8D 4D C8 B2 2F 8B 18 FF 53 58 EB 49 8B 45 F4 80 78 24 00 74 11 E8 ?? ?? ?? ?? 8D 4D C8 B2 2E 8B 18 FF 53 58 EB 2F 8B 45 F4 8B 40 08 8B 10 FF 52 68 84 C0 74 11 E8 ?? ?? ?? ?? 8D 4D C8 B2 2D 8B 18 FF 53 58 EB 0F E8 ?? ?? ?? ?? 8D 4D C8 B2 30 8B 18 FF 53 58 C7 45 C0 23 00 00 00 C7 45 B8 03 00 00 00 B8 0A 00 00 00 89 45 BC 83 C0 20 89 45 C4 8D 45 B8 50 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D C8 5A E8 ?? ?? ?? ?? E9 97 02 00 00 8B 45 F4 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 83 E0 0C 83 F8 0C 0F 85 21 02 00 00 83 6D C0 0F 8D 55 9C 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 9C 50 8D 45 B8 50 6A 05 8D 4D C8 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 80 78 2A 00 0F 84 CD 00 00 00 E8 ?? ?? ?? ?? 8D 4D C8 B2 04 8B 18 FF 53 58 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 08 8B 40 54 50 8B 45 F4 8B 40 08 8B 40 50 50 6A 00 8B 45 F4 8B 40 08 8B 40 50 83 E8 0F 50 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 8B 40 54 50 8D 45 B8 50 8B 45 F4 8B 40 08 8B 48 50 8B 45 F4 8B 40 08 8B 40 50 83 E8 1E 33 D2 E8 ?? ?? ?? ?? 8D 45 B8 50 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D C8 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 50 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 E8 ?? ?? ?? ?? BA 10 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 40 44 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 8B 50 50 83 EA 0F B9 03 00 00 00 8B 45 F0 8B 18 FF 53 64 8B 45 F4 8B 40 08 8B 48 54 83 E9 03 8B 50 50 83 EA 0F 8B 45 F0 8B 18 FF 53 60 8B 45 F4 8B 40 08 8B 10 FF 52 68 84 C0 74 1E E8 ?? ?? ?? ?? BA 14 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 40 44 E8 ?? ?? ?? ?? EB 14 8B 45 F0 8B 40 40 8B 50 18 8B 45 F0 8B 40 44 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 8B 50 50 83 EA 0E B9 03 00 00 00 8B 45 F0 8B 18 FF 53 64 8B 45 F4 8B 40 08 8B 48 54 83 E9 03 8B 50 50 83 EA 0E 8B 45 F0 8B 18 FF 53 60 8B 45 F0 8B 40 40 8B 50 18 8B 45 F0 8B 40 44 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 08 8B 70 50 83 EE 08 8B 40 54 D1 F8 79 03 83 D0 00 40 89 45 D4 BB 03 00 00 00 8B 4D D4 2B CB 8B D6 2B D3 8B 45 F0 8B 38 FF 57 64 8B 4D D4 2B CB 8D 54 33 01 8B 45 F0 8B 38 FF 57 60 4B 83 FB FF 75 D8 EB 56 8B 45 F4 8B 40 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 8B 45 F4 8B 40 08 80 B8 79 02 00 00 00 74 1A 8B 45 F8 50 8D 45 B8 50 6A 15 8D 4D C8 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? EB 18 8B 45 F8 50 8D 45 B8 50 6A 05 8D 4D C8 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 57 00 71 00 00 00 00 00 }
	condition:
		$1
}

rule function_85311_0 {
	meta:
		name = "TButtonStyleHook.DoClick"
		size = 77
		refs = "0012 TStyleHook.GetHandle 0018 GetDlgCtrlID 003e TWinControl.GetHandle 0044 SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 66 C7 45 F6 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 89 45 F4 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 50 8B 45 F4 50 68 11 01 00 00 8B 43 08 8B 40 38 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85312_0 {
	meta:
		name = "TButtonStyleHook.WMSetFocus"
		size = 56
		refs = "000b TStyleHook.WMSetFocus 0014 TStyleHook.SetRedraw 001d TStyleHook.CallDefaultProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_85314_0 {
	meta:
		name = "TButtonStyleHook.WMKillFocus"
		size = 56
		refs = "000b TStyleHook.WMKillFocus 0014 TStyleHook.SetRedraw 001d TStyleHook.CallDefaultProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_85313_0 {
	meta:
		name = "TButtonStyleHook.WndProc"
		size = 83
		refs = "000b TMouseTrackControlStyleHook.WndProc 0021 TWinControl.HandleAllocated 002c TStyleHook.GetHandle 0032 IsWindowVisible 004c RedrawWindow"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 06 2D 0C B0 00 00 74 05 83 E8 06 75 33 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 27 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 16 68 01 01 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85315_0 {
	meta:
		name = "TButtonStyleHook.WMKeyDown"
		size = 26
	strings:
		$1 = { 56 8B F0 83 7A 04 20 75 0F C6 46 28 01 C6 46 24 01 8B C6 8B 10 FF 52 20 5E C3 }
	condition:
		$1
}

rule function_85316_0 {
	meta:
		name = "TButtonStyleHook.WMKeyUp"
		size = 73
		refs = "0014 Mouse 001b TMouse.GetCursorPos 0028 WindowFromPoint 0031 TStyleHook.GetHandle"
	strings:
		$1 = { 53 56 83 C4 F8 8B F0 83 7A 04 20 75 37 C6 46 28 00 8B D4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 E8 ?? ?? ?? ?? 8B D8 8B C6 E8 ?? ?? ?? ?? 3B D8 0F 94 C0 88 46 24 8B C6 8B 10 FF 52 20 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_85317_0 {
	meta:
		name = "TButtonStyleHook.CNNotify"
		size = 98
		refs = "001b TStyleHook.SetRedraw 002b TStyleHook.GetHandle 0031 RedrawWindow 0043 TStyleHook.CallDefaultProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 08 81 78 08 20 FB FF FF 75 4D C6 43 2A 01 B2 01 8B C3 E8 ?? ?? ?? ?? 68 01 01 00 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? C6 43 2A 00 8B C3 8B 10 FF 52 20 C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_85319_0 {
	meta:
		name = "TButtonStyleHook.WMLButtonDown"
		size = 179
		refs = "000a TControl.GetDragMode 0017 TStyleHook.SetRedraw 0020 TStyleHook.CallDefaultProc 0036 TStyleHook.GetHandle 0042 GetWindowLongPtr 008c SetFocus 0099 SetCapture"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 E8 ?? ?? ?? ?? 3C 01 75 21 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? C6 43 14 01 EB 76 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 83 E0 0C 83 F8 0C 75 14 0F BF 46 08 8B 53 08 8B 52 50 83 EA 0F 3B C2 0F 9D C0 EB 02 33 C0 84 C0 74 0F 8B 43 08 83 B8 90 02 00 00 00 0F 95 C0 EB 02 33 C0 84 C0 74 06 C6 43 14 00 EB 26 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 43 28 01 C6 43 29 01 C6 43 14 00 8B C3 8B 10 FF 52 20 5E 5B C3 }
	condition:
		$1
}

rule function_85320_0 {
	meta:
		name = "TButtonStyleHook.WMLButtonUp"
		size = 50
		refs = "0007 TControl.GetDragMode 0010 ReleaseCapture 002c TButtonStyleHook.DoClick"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 3C 01 74 05 E8 ?? ?? ?? ?? C6 43 29 00 80 7B 28 00 74 12 C6 43 28 00 8B C3 8B 10 FF 52 20 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85321_0 {
	meta:
		name = "TButtonStyleHook.WMMouseMove"
		size = 59
		refs = "000b TMouseTrackControlStyleHook.WMMouseMove 0014 TStyleHook.CallDefaultProc 0021 TMouseTrackControlStyleHook.IsMouseInControl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7B 29 00 74 16 8B C3 E8 ?? ?? ?? ?? 3A 43 28 74 0A 88 43 28 8B C3 8B 10 FF 52 20 C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_85324_0 {
	meta:
		name = "RectVCenter"
		size = 101
		refs = "0020 OffsetRect 0027 TRect.GetHeight"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B F1 8B D8 8B 43 04 F7 D8 50 8B 03 F7 D8 50 53 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 2B F8 D1 FF 79 03 83 D7 00 57 6A 00 53 E8 ?? ?? ?? ?? 8B 44 24 04 50 8B 44 24 04 50 53 E8 ?? ?? ?? ?? 8B FE 8B F3 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85325_0 {
	meta:
		name = "TCheckBoxStyleHook.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TMouseTrackControlStyleHook.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 17 01 C6 46 16 01 C6 46 0D 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_85339_0 {
	meta:
		name = "TRadioButtonStyleHook.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TCheckBoxStyleHook.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 17 01 C6 46 16 01 C6 46 0D 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_85326_0 {
	meta:
		name = "TCheckBoxStyleHook.RightAlignment"
		size = 39
		refs = "000d TStyleHook.GetHandle 0019 GetWindowLongPtr"
	strings:
		$1 = { 8B 50 08 80 7A 69 01 75 03 B0 01 C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 83 E0 20 83 F8 20 0F 94 C0 C3 }
	condition:
		$1
}

rule function_85327_0 {
	meta:
		name = "TCheckBoxStyleHook.GetDrawState"
		size = 156
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 33 DB 8B 46 08 8B 10 FF 52 68 84 C0 75 1C 0F B6 04 24 2C 01 72 08 74 0A FE C8 74 0A EB 70 B3 13 EB 6C B3 17 EB 68 B3 1B EB 64 80 7E 28 00 74 22 80 7E 24 00 74 1C 0F B6 04 24 2C 01 72 08 74 0A FE C8 74 0A EB 48 B3 12 EB 44 B3 16 EB 40 B3 1A EB 3C 80 7E 24 00 74 1C 0F B6 04 24 2C 01 72 08 74 0A FE C8 74 0A EB 26 B3 11 EB 22 B3 15 EB 1E B3 19 EB 1A 0F B6 04 24 2C 01 72 08 74 0A FE C8 74 0A EB 0A B3 10 EB 06 B3 14 EB 02 B3 18 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_85328_0 {
	meta:
		name = "TCheckBoxStyleHook.Paint"
		size = 742
		refs = "0016 TCheckBoxStyleHook.Paint 0021 StyleServices 003e TStyleHook.GetHandle 0044 SendMessage 0094 TCheckBoxStyleHook.RightAlignment 00ac Rect 00d1 RectVCenter 012e TCanvas.GetHandle 013d TCustomStyleServices.DrawElement 014a TCanvas.SetFont 0171 TStyleHook.GetText 0194 TControl.DrawTextBiDiModeFlags 01a2 @UStrToPWChar 01ac DrawText 026f TStyleHook.DrawControlText 0282 InflateRect 02aa TCustomStyleServices.GetSystemColor 02b4 TBrush.SetColor 02d3 @UStrClr 02d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 90 02 00 00 6A 00 6A 00 68 F0 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 88 45 FB 0F B6 55 FB 8B C3 8B 08 FF 51 34 50 E8 ?? ?? ?? ?? 8D 4D D4 5A 8B 38 FF 57 58 C7 45 F4 05 00 00 00 8D 55 C4 8B 43 08 8B 08 FF 51 60 C7 45 E4 0D 00 00 00 C7 45 E8 0D 00 00 00 8B 45 E4 89 45 EC 8B 45 E8 89 45 F0 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3B 8B 45 F0 50 8D 45 C4 50 8B 4D EC 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 7B 08 8B 47 54 50 8D 45 A4 50 8B 4F 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 A4 8D 4D B4 8D 45 C4 E8 ?? ?? ?? ?? EB 4E 8B 43 08 8B 40 54 50 8D 45 C4 50 8B 43 08 8B 78 50 8B CF 8B C7 2B 45 EC 48 33 D2 E8 ?? ?? ?? ?? 8B 43 08 8B 40 54 50 8D 45 A4 50 8B 43 08 8B 78 50 8B CF 8B C7 2B 45 EC 48 33 D2 E8 ?? ?? ?? ?? 8D 55 A4 8D 4D B4 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C4 50 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D D4 5A E8 ?? ?? ?? ?? 8B 43 08 8B 50 6C 8B C6 E8 ?? ?? ?? ?? 8B 7B 08 8B 47 54 50 8D 45 C4 50 8B 4F 50 2B 4D EC 83 E9 0A 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 45 E0 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F BA 40 04 00 00 8B 43 08 E8 ?? ?? ?? ?? 50 8D 45 C4 50 57 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 E0 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2B 8B 7B 08 8B 47 54 50 8D 45 A4 50 8B 4F 50 8B 45 EC 03 45 F4 33 D2 E8 ?? ?? ?? ?? 8D 55 A4 8D 4D B4 8D 45 C4 E8 ?? ?? ?? ?? EB 6B 8B 7B 08 80 7F 69 01 74 2D 8B 47 54 50 8D 45 A4 50 8B 4F 50 2B 4D EC 2B 4D F4 33 D2 B8 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 A4 8D 4D B4 8D 45 C4 E8 ?? ?? ?? ?? EB 35 8B 47 54 50 8D 45 A4 50 8B 43 08 8B 48 50 2B 4D EC 2B 4D F4 8B 47 50 2B 45 EC 2B 45 F4 2B 45 CC 33 D2 E8 ?? ?? ?? ?? 8D 55 A4 8D 4D B4 8D 45 C4 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 C4 50 BA 44 00 00 00 8B 43 08 E8 ?? ?? ?? ?? 50 8D 4D D4 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7B 0E 00 74 49 6A 01 6A 02 8D 45 C4 50 E8 ?? ?? ?? ?? 83 7D C8 00 7D 05 33 C0 89 45 C8 8B 43 08 8B 40 54 3B 45 D0 7D 03 89 45 D0 E8 ?? ?? ?? ?? BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 46 48 E8 ?? ?? ?? ?? 8D 55 C4 8B C6 8B 08 FF 51 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85330_0 {
	meta:
		name = "TCheckBoxStyleHook.BMSetCheck"
		size = 47
		refs = "000b TStyleHook.SetRedraw 0014 TStyleHook.CallDefaultProc"
		altNames = "TCheckBoxStyleHook.WMLButtonDblClk"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_85332_0 {
	meta:
		name = "TCheckBoxStyleHook.WMLButtonDown"
		size = 51
		refs = "000b TStyleHook.SetRedraw 0014 TStyleHook.CallDefaultProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? C6 43 28 01 8B C3 8B 10 FF 52 20 C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_85333_0 {
	meta:
		name = "TCheckBoxStyleHook.WMLButtonUp"
		size = 51
		refs = "000b TStyleHook.SetRedraw 0014 TStyleHook.CallDefaultProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? C6 43 28 00 8B C3 8B 10 FF 52 20 C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_85335_0 {
	meta:
		name = "TCheckBoxStyleHook.WMKeyDown"
		size = 61
		refs = "0012 TStyleHook.SetRedraw 001b TStyleHook.CallDefaultProc"
		altNames = "TCheckBoxStyleHook.WMKeyUp"
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 7E 04 20 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 66 83 7E 04 20 75 10 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 20 C6 43 14 01 5E 5B C3 }
	condition:
		$1
}

rule function_85340_0 {
	meta:
		name = "TRadioButtonStyleHook.GetDrawState"
		size = 124
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 33 DB 8B 46 08 8B 10 FF 52 68 84 C0 75 14 0F B6 04 24 2C 01 72 04 74 06 EB 54 B3 0B EB 50 B3 0F EB 4C 80 7E 28 00 74 1A 80 7E 24 00 74 14 0F B6 04 24 2C 01 72 04 74 06 EB 34 B3 0A EB 30 B3 0E EB 2C 80 7E 24 00 74 14 0F B6 04 24 2C 01 72 04 74 06 EB 1A B3 09 EB 16 B3 0D EB 12 0F B6 04 24 2C 01 72 04 74 06 EB 06 B3 08 EB 02 B3 0C 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_85342_0 {
	meta:
		name = "TGroupBoxStyleHook.GetCaptionRect"
		size = 230
		refs = "0018 TGroupBoxStyleHook.GetCaptionRect 003f TStyleHook.GetText 0049 TCustomCanvas.TextHeight 005f TCustomCanvas.TextWidth 0070 Rect 00d3 @UStrArrayClr 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B 50 6C 8B 46 40 8B 08 FF 51 08 8B 43 08 80 78 69 01 74 3D 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 50 57 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B C8 83 C1 0C 33 D2 B8 0C 00 00 00 E8 ?? ?? ?? ?? EB 47 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 50 57 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 50 8B 43 08 8B 40 50 5A 2B C2 83 E8 0C 8B 53 08 8B 4A 50 83 E9 0C 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85343_0 {
	meta:
		name = "TGroupBoxStyleHook.GetBoxRect"
		size = 128
		refs = "0019 TGroupBoxStyleHook.GetBoxRect 0037 TStyleHook.GetText 0041 TCustomCanvas.TextHeight 0058 Rect 006d @UStrClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 08 8B 46 54 83 E8 00 50 8B 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B D0 D1 FA 79 03 83 D2 00 42 8B 4E 50 83 E9 00 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_85345_0 {
	meta:
		name = "TGroupBoxStyleHook.WMPaint"
		size = 210
		refs = "000f _Dn_TCanvas 0014 TCanvas.Create 001f TGroupBoxStyleHook.WMPaint 003b TStyleHook.GetHandle 0041 BeginPaint 004b TCanvas.SetHandle 006a TCanvas.GetHandle 0079 TWinControl.PaintControls 0098 TObject.Free 00b3 EndPaint 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 89 55 F8 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 04 85 C0 75 1E 8D 45 B4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? EB 0A 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 08 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 08 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 83 78 04 00 75 12 8D 45 B4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 8B 45 F8 33 D2 89 50 0C 8B 45 FC C6 40 14 01 8B E5 5D C3 }
	condition:
		$1
}

rule function_85347_0 {
	meta:
		name = "TGroupBoxStyleHook.PaintBackground"
		size = 78
		refs = "000b StyleServices 002e TCanvas.GetHandle 0036 TStyleHook.GetHandle 0043 TCustomStyleServices.DrawParentBackground"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 2F E8 ?? ?? ?? ?? 8B CC B2 24 8B 38 FF 57 58 54 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85348_0 {
	meta:
		name = "TGroupBoxStyleHook.Paint"
		size = 334
		refs = "0016 TGroupBoxStyleHook.Paint 0021 StyleServices 0047 TGroupBoxStyleHook.GetCaptionRect 0055 TGroupBoxStyleHook.GetBoxRect 008c TCanvas.GetHandle 0092 SaveDC 00c1 ExcludeClipRect 00de TCustomStyleServices.DrawElement 00fd RestoreDC 0103 @HandleFinally 0110 TStyleHook.GetText 0128 TStyleHook.DrawControlText 013d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 33 C9 89 4D C4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 FA 00 00 00 8B 55 F8 8B 45 FC 8B 08 FF 51 0C 8D 4D D4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 10 FF 52 68 84 C0 74 11 E8 ?? ?? ?? ?? 8D 4D C8 B2 24 8B 18 FF 53 58 EB 0F E8 ?? ?? ?? ?? 8D 4D C8 B2 25 8B 18 FF 53 58 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 50 8B 45 DC 50 8B 45 D8 50 8B 45 D4 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 E4 50 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D C8 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8D 55 C4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C4 50 8D 45 D4 50 6A 05 8D 4D C8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85349_0 {
	meta:
		name = "TStaticTextStyleHook.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TStyleHook.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 17 01 C6 46 18 01 C6 46 16 01 C6 46 19 01 C6 46 0D 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_85350_0 {
	meta:
		name = "TStaticTextStyleHook.Paint"
		size = 296
		refs = "0016 TStaticTextStyleHook.Paint 0021 StyleServices 0041 TCustomStaticText.GetTransparent 0063 TCanvas.GetHandle 006b TStyleHook.GetHandle 0078 TCustomStyleServices.DrawParentBackground 0082 TBrush.SetStyle 0090 TCustomStyleServices.GetStyleColor 009a TBrush.SetColor 00b6 States 00d2 TStyleHook.GetText 00ec Alignments 0100 TStyleHook.DrawControlText 0115 @UStrClr 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 D2 00 00 00 8D 55 E4 8B 43 08 8B 08 FF 51 60 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 3F E8 ?? ?? ?? ?? 8D 4D F4 B2 10 8B 38 FF 57 58 8D 45 F4 50 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? B2 01 8B 46 48 E8 ?? ?? ?? ?? EB 20 E8 ?? ?? ?? ?? B2 1D E8 ?? ?? ?? ?? 8B D0 8B 46 48 E8 ?? ?? ?? ?? 8D 55 E4 8B C6 8B 08 FF 51 54 8B 43 08 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D F4 5A 8B 38 FF 97 E0 00 00 00 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 45 E4 50 8B 43 08 0F B6 80 78 02 00 00 0F B7 04 45 ?? ?? ?? ?? 66 83 C8 10 0F B7 C0 50 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85351_0 {
	meta:
		name = "TStaticTextStyleHook.PaintNC"
		size = 326
		refs = "000f StyleServices 0033 Rect 003b TRect.GetWidth 004b TRect.GetHeight 006a _Dn_TBitmap 006f TBitmap.Create 007a TStaticTextStyleHook.PaintNC 00b5 TCustomStyleServices.ColorToRGB 00e5 TBitmap.GetCanvas 00ef Frame3D 0108 TCanvas.GetHandle 010e ExcludeClipRect 0133 TObject.Free 0139 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 FC 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 0F 84 1F 01 00 00 8B 73 08 8B 46 54 50 8D 45 E8 50 8B 4E 50 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 84 F8 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 84 E8 00 00 00 8B 43 08 80 B8 7A 02 00 00 00 0F 84 D8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 44 8D 45 E8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 38 E8 ?? ?? ?? ?? 33 C9 BA 10 00 00 FF E8 ?? ?? ?? ?? 8B F0 8B 43 08 80 B8 7A 02 00 00 02 75 15 E8 ?? ?? ?? ?? 33 C9 BA 14 00 00 FF E8 ?? ?? ?? ?? 8B F8 EB 02 8B FE 57 6A 01 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 8B CE E8 ?? ?? ?? ?? 8B 73 08 8B 46 54 48 50 8B 46 50 48 50 6A 01 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F8 50 33 C9 33 D2 8B 45 FC 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85364_0 {
	meta:
		name = "TMemoStyleHook.WMNCCalcSize"
		size = 81
		refs = "000e _DV_TCustomMemo 0013 @IsClass 0033 TStyleHook.CallDefaultProc"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 08 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 32 80 BE B9 01 00 00 00 74 29 8B C3 8B 10 FF 12 84 C0 74 1F 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 47 08 83 28 02 83 68 04 02 83 40 08 02 83 40 0C 02 C6 43 14 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85367_0 {
	meta:
		name = "TStandardStyleActionBars.GetAddRemoveItemClass"
		size = 35
		refs = "0004 TStyleManager.GetIsCustomStyleActive 000d PlatformDefaultStyle 001d _Dn_TStandardAddRemoveItem"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 84 C0 74 10 A1 ?? ?? ?? ?? 8B 00 8B D3 8B 08 FF 51 10 5B C3 A1 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90106_0 {
	meta:
		name = "TXPStyleActionBars.GetAddRemoveItemClass"
		size = 35
		refs = "0004 TStyleManager.GetIsCustomStyleActive 000d PlatformDefaultStyle 001d _Dn_TXPStyleAddRemoveItem"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 84 C0 74 10 A1 ?? ?? ?? ?? 8B 00 8B D3 8B 08 FF 51 10 5B C3 A1 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85368_0 {
	meta:
		name = "TStandardStyleActionBars.GetColorMapClass"
		size = 35
		refs = "0004 TStyleManager.GetIsCustomStyleActive 000d PlatformDefaultStyle 001d _Dn_TStandardColorMap"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 84 C0 74 10 A1 ?? ?? ?? ?? 8B 00 8B D3 8B 08 FF 51 04 5B C3 A1 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90107_0 {
	meta:
		name = "TXPStyleActionBars.GetColorMapClass"
		size = 35
		refs = "0004 TStyleManager.GetIsCustomStyleActive 000d PlatformDefaultStyle 001d _Dn_TXPColorMap"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 84 C0 74 10 A1 ?? ?? ?? ?? 8B 00 8B D3 8B 08 FF 51 04 5B C3 A1 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85369_0 {
	meta:
		name = "TStandardStyleActionBars.GetControlClass"
		size = 252
		refs = "0008 TStyleManager.GetIsCustomStyleActive 0011 PlatformDefaultStyle 0028 _Dn_TCustomActionToolBar 002d @IsClass 0038 TActionClient.GetHasItems 0041 _Dn_TStandardDropDownButton 004d TActionClientItem.GetAction 0053 _Dn_TStaticListAction 0069 _Dn_TVirtualListAction 0077 _Dn_TCustomComboControl 007e _Dn_TStandardButtonControl 0088 _Dn_TCustomActionMainMenuBar 0096 _Dn_TStandardMenuButton 00a0 _Dn_TCustomizeActionToolBar 00bb TActionClientItem.GetParentItem 00ce _Dn_TStandardMenuItem 00d5 _Dn_TStandardAddRemoveItem 00df _Dn_TCustomActionPopupMenu"
	strings:
		$1 = { 53 56 57 8B F1 8B DA E8 ?? ?? ?? ?? 84 C0 74 14 A1 ?? ?? ?? ?? 8B 00 8B CE 8B D3 8B 18 FF 13 E9 D4 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4F 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A A1 ?? ?? ?? ?? E9 AE 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 A1 ?? ?? ?? ?? EB 7B A1 ?? ?? ?? ?? EB 74 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 A1 ?? ?? ?? ?? EB 5C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2E 8B FB 83 BF 44 03 00 00 00 74 15 8B C6 E8 ?? ?? ?? ?? 8B 97 44 03 00 00 3B 82 B0 03 00 00 74 07 A1 ?? ?? ?? ?? EB 24 A1 ?? ?? ?? ?? EB 1D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 A1 ?? ?? ?? ?? EB 05 A1 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90108_0 {
	meta:
		name = "TXPStyleActionBars.GetControlClass"
		size = 252
		refs = "0008 TStyleManager.GetIsCustomStyleActive 0011 PlatformDefaultStyle 0028 _Dn_TCustomActionToolBar 002d @IsClass 0038 TActionClient.GetHasItems 0041 _Dn_TXPStyleDropDownBtn 004d TActionClientItem.GetAction 0053 _Dn_TStaticListAction 0069 _Dn_TVirtualListAction 0077 _Dn_TCustomComboControl 007e _Dn_TXPStyleButton 0088 _Dn_TCustomActionMainMenuBar 0096 _Dn_TXPStyleMenuButton 00a0 _Dn_TCustomizeActionToolBar 00bb TActionClientItem.GetParentItem 00ce _Dn_TXPStyleMenuItem 00d5 _Dn_TXPStyleAddRemoveItem 00df _Dn_TCustomActionPopupMenu"
	strings:
		$1 = { 53 56 57 8B F1 8B DA E8 ?? ?? ?? ?? 84 C0 74 14 A1 ?? ?? ?? ?? 8B 00 8B CE 8B D3 8B 18 FF 13 E9 D4 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4F 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0A A1 ?? ?? ?? ?? E9 AE 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 A1 ?? ?? ?? ?? EB 7B A1 ?? ?? ?? ?? EB 74 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 A1 ?? ?? ?? ?? EB 5C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2E 8B FB 83 BF 44 03 00 00 00 74 15 8B C6 E8 ?? ?? ?? ?? 8B 97 44 03 00 00 3B 82 B0 03 00 00 74 07 A1 ?? ?? ?? ?? EB 24 A1 ?? ?? ?? ?? EB 1D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 A1 ?? ?? ?? ?? EB 05 A1 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85370_0 {
	meta:
		name = "TStandardStyleActionBars.GetPopupClass"
		size = 59
		refs = "0004 TStyleManager.GetIsCustomStyleActive 000d PlatformDefaultStyle 0020 _Dn_TCustomActionToolBar 0025 @IsClass 002e _Dn_TStandardCustomizePopup 0035 _Dn_TStandardMenuPopup"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 84 C0 74 10 A1 ?? ?? ?? ?? 8B 00 8B D3 8B 08 FF 51 0C 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 A1 ?? ?? ?? ?? EB 05 A1 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90109_0 {
	meta:
		name = "TXPStyleActionBars.GetPopupClass"
		size = 59
		refs = "0004 TStyleManager.GetIsCustomStyleActive 000d PlatformDefaultStyle 0020 _Dn_TCustomActionToolBar 0025 @IsClass 002e _Dn_TXPStyleCustomizePopup 0035 _Dn_TXPStylePopupMenu"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 84 C0 74 10 A1 ?? ?? ?? ?? 8B 00 8B D3 8B 08 FF 51 0C 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 A1 ?? ?? ?? ?? EB 05 A1 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85371_0 {
	meta:
		name = "TStandardStyleActionBars.GetScrollBtnClass"
		size = 28
		refs = "0001 TStyleManager.GetIsCustomStyleActive 000a PlatformDefaultStyle 0017 _Dn_TStandardToolScrollBtn"
	strings:
		$1 = { E8 ?? ?? ?? ?? 84 C0 74 0D A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 14 C3 A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90110_0 {
	meta:
		name = "TXPStyleActionBars.GetScrollBtnClass"
		size = 28
		refs = "0001 TStyleManager.GetIsCustomStyleActive 000a PlatformDefaultStyle 0017 _Dn_TXPStyleToolScrollBtn"
	strings:
		$1 = { E8 ?? ?? ?? ?? 84 C0 74 0D A1 ?? ?? ?? ?? 8B 00 8B 10 FF 52 14 C3 A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85372_0 {
	meta:
		name = "TStandardStyleActionBars.GetStyleName"
		size = 52
		refs = "0006 TStandardStyleActionBars.GetStyleName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 74 00 61 00 6E 00 64 00 61 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_85385_0 {
	meta:
		name = "GetToken"
		size = 288
		refs = "0016 GetToken 0023 @UStrClr 0030 @UStrLAsg 0057 @UStrDelete 008e @UStrFromWChar 0098 @UStrCat 00a8 Trim 00b2 @UStrAsg 00e4 @UStrArrayClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 8B 12 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 84 C0 76 5E 88 45 F7 B3 01 8B 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 0F B6 D3 8B 4D FC 0F B7 54 51 FE 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 84 C0 75 23 8D 45 F0 0F B6 D3 8B 4D FC 0F B7 54 51 FE E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 43 FE 4D F7 75 A7 8D 55 EC 8B 06 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 00 00 00 01 13 00 2C 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_85386_0 {
	meta:
		name = "GetToken"
		size = 262
		refs = "0022 GetToken 002f @UStrClr 003c @UStrLAsg 0063 @UStrDelete 0076 @UStrFromWChar 0081 Pos 009f @UStrCat 00af Trim 00b9 @UStrAsg 00eb @UStrArrayClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 8B 12 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 84 C0 76 59 88 45 F3 B3 01 8B 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 0F B6 FB 8B 55 FC 0F B7 54 7A FE E8 ?? ?? ?? ?? 8B 45 EC 8B 55 F4 E8 ?? ?? ?? ?? 85 C0 7F 20 8D 45 E8 8B 55 FC 0F B7 54 7A FE E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 43 FE 4D F3 75 AC 8D 55 E4 8B 06 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85387_0 {
	meta:
		name = "GetToken"
		size = 262
		refs = "002e GetToken 003b @UStrClr 0048 @UStrLAsg 006f @UStrDelete 0095 @UStrFromWChar 009f @UStrCat 00af Trim 00b9 @UStrAsg 00eb @UStrArrayClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D C8 89 5D CC 89 5D D0 89 5D FC 8B F2 8D 7D D7 51 B9 08 00 00 00 F3 A5 59 8B F1 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 8B 12 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 84 C0 76 4D 88 45 F7 B3 01 8B 45 F8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 0F B6 C3 8B 55 FC 0F B7 7C 42 FE 8B C7 66 3D FF 00 77 07 0F B7 C0 0F A3 45 D7 72 1A 8D 45 D0 8B D7 E8 ?? ?? ?? ?? 8B 55 D0 8B C6 E8 ?? ?? ?? ?? 43 FE 4D F7 75 B8 8D 55 CC 8B 06 E8 ?? ?? ?? ?? 8B 55 CC 8B C6 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85388_0 {
	meta:
		name = "ReadString"
		size = 56
		refs = "0021 @UStrSetLength"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 33 C0 89 04 24 8B D4 B9 04 00 00 00 8B C3 8B 38 FF 57 0C 8B C6 8B 14 24 E8 ?? ?? ?? ?? 8B 0C 24 03 C9 8B 16 8B C3 8B 18 FF 53 0C 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85389_0 {
	meta:
		name = "WriteString"
		size = 55
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B C6 85 C0 74 05 83 E8 04 8B 00 89 04 24 8B D4 B9 04 00 00 00 8B C3 8B 38 FF 57 10 8B 0C 24 03 C9 8B D6 8B C3 8B 18 FF 53 10 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85390_0 {
	meta:
		name = "RectToString"
		size = 212
		refs = "0013 RectToString 0028 IntToStr 0075 @UStrCatN 008f @UStrArrayClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 FC 8B 03 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 F8 8B 43 04 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 8B 43 08 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B 43 0C E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8B C6 BA 09 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_85391_0 {
	meta:
		name = "StringToRect"
		size = 242
		refs = "0017 StringToRect 0027 @UStrLAsg 0040 GetToken 0048 StrToInt 00a7 @HandleAnyException 00b8 Rect 00bd @DoneExcept 00d7 @UStrArrayClr 00df @UStrClr 00e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 89 02 8D 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F8 89 42 04 8D 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 55 F8 89 42 08 8D 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 F8 89 42 0C 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 6A 00 8B 45 F8 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85392_0 {
	meta:
		name = "RectCenter"
		size = 109
		refs = "0017 OffsetRect 001e TRect.GetHeight 0038 TRect.GetWidth"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B 43 04 F7 D8 50 8B 03 F7 D8 50 53 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B E8 8B C3 E8 ?? ?? ?? ?? 2B E8 D1 FD 79 03 83 D5 00 55 8B C6 E8 ?? ?? ?? ?? 8B E8 8B C3 E8 ?? ?? ?? ?? 2B E8 D1 FD 79 03 83 D5 00 55 53 E8 ?? ?? ?? ?? 8B 46 04 50 8B 06 50 53 E8 ?? ?? ?? ?? 8B F3 A5 A5 A5 A5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85393_0 {
	meta:
		name = "MarginRect"
		size = 318
		refs = "0017 TRect.GetWidth 0075 @ROUND 009d TRect.GetHeight"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F9 8B DA 8B F0 56 57 A5 A5 A5 A5 5F 5E 8B C6 E8 ?? ?? ?? ?? 3B 03 7C 1C 8B C6 E8 ?? ?? ?? ?? 3B 43 08 7C 10 8B C6 E8 ?? ?? ?? ?? 8B 13 03 53 08 3B C2 7D 5F 8B 03 03 43 08 85 C0 74 24 8B C6 E8 ?? ?? ?? ?? 89 44 24 04 DB 44 24 04 8B 03 03 43 08 89 44 24 08 DB 44 24 08 DE F9 D9 1C 24 9B EB 07 C7 04 24 00 00 80 3F DB 03 D8 0C 24 E8 ?? ?? ?? ?? 01 07 8B 43 04 01 47 04 DB 43 08 D8 0C 24 E8 ?? ?? ?? ?? 29 47 08 8B 43 0C 29 47 0C E9 9D 00 00 00 8B C6 E8 ?? ?? ?? ?? 3B 43 04 7C 1D 8B C6 E8 ?? ?? ?? ?? 3B 43 0C 7C 11 8B C6 E8 ?? ?? ?? ?? 8B 53 04 03 53 0C 3B C2 7D 5E 8B 43 04 03 43 0C 85 C0 74 25 8B C6 E8 ?? ?? ?? ?? 89 44 24 04 DB 44 24 04 8B 43 04 03 43 0C 89 44 24 08 DB 44 24 08 DE F9 D9 1C 24 9B EB 07 C7 04 24 00 00 80 3F 8B 03 01 07 DB 43 04 D8 0C 24 E8 ?? ?? ?? ?? 01 47 04 8B 43 08 29 47 08 DB 43 0C D8 0C 24 E8 ?? ?? ?? ?? 29 47 0C EB 16 8B 03 01 07 8B 43 04 01 47 04 8B 43 08 29 47 08 8B 43 0C 29 47 0C 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85394_0 {
	meta:
		name = "CaptureMouse"
		size = 32
		refs = "0002 CaptureCount 000a CaptureHandle 0015 SetCapture"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 10 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? FF 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85395_0 {
	meta:
		name = "EndCapture"
		size = 41
		refs = "0002 CaptureCount 0010 GetCapture 0016 CaptureHandle 001d ReleaseCapture"
	strings:
		$1 = { FF 0D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 19 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85396_0 {
	meta:
		name = "DrawText"
		size = 80
		refs = "0013 TCanvas.GetHandle 0019 SetBkMode 003d @UStrToPWChar 0044 DrawText"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B DF 85 DB 74 05 83 EB 04 8B 1B 8B 45 08 50 8B 45 FC 50 53 8B C7 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_85397_0 {
	meta:
		name = "DrawText"
		size = 92
		refs = "0031 TextWidth 0041 Rect 004f DrawText"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D FC 8B F2 8B D8 8D 4D E4 8B D6 8B C3 8B 38 FF 97 8C 00 00 00 8B 45 E8 03 45 08 50 8D 45 EC 50 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 03 4D FC 8B 55 08 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8D 4D EC 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_85398_0 {
	meta:
		name = "DrawVerticalText"
		size = 636
		refs = "0020 _DV_TseBitmap 0025 TseBitmap.Create 0042 TFont.GetHandle 004b TBitmap.GetCanvas 0050 TCanvas.GetHandle 0056 SelectObject 0061 DrawVerticalText 006f TRect.GetWidth 0078 TRect.GetHeight 00bf Rect 00d6 FillRect 0134 _Dn_TCanvas 0139 TCanvas.Create 0151 TCanvas.SetHandle 0161 DrawText 0174 TObject.Free 0230 TseBitmap.Draw 026a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 F8 8B F0 8D 7D CC A5 A5 A5 A5 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 50 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 CC E8 ?? ?? ?? ?? 50 8D 45 CC E8 ?? ?? ?? ?? 8B D0 8B 45 EC 59 8B 30 FF 56 6C 8D 45 CC E8 ?? ?? ?? ?? 50 8D 45 CC E8 ?? ?? ?? ?? 8B D0 8B 45 F0 59 8B 30 FF 56 6C 8B 45 F0 8B 10 FF 52 24 50 8D 45 AC 50 8B 45 F0 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 AC 50 8B 45 F0 E8 ?? ?? ?? ?? B9 7F 00 7F 00 5A E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 24 50 8D 45 AC 50 8B 45 EC 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 AC 50 8B 45 EC E8 ?? ?? ?? ?? B9 7F 00 7F 00 5A E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 24 50 8D 45 BC 50 8B 45 EC 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 50 8D 4D BC 8B D3 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 30 48 85 C0 0F 8C 8A 00 00 00 40 89 45 E0 C7 45 E8 00 00 00 00 8B 45 EC 8B 10 FF 52 24 48 85 C0 7C 6A 40 89 45 DC 33 DB 8B 45 EC E8 ?? ?? ?? ?? 8B CB 8B 55 E8 8B 30 FF 56 18 8B F0 81 FE 7F 00 7F 00 74 42 80 7D 08 00 75 1F 56 8B 45 F0 8B 10 FF 52 24 2B 45 E8 50 8B 45 F0 E8 ?? ?? ?? ?? 8B D3 59 8B 30 FF 56 20 EB 1D 56 8B 45 F0 8B 10 FF 52 30 2B C3 50 8B 45 F0 E8 ?? ?? ?? ?? 8B 4D E8 5A 8B 30 FF 56 20 43 FF 4D DC 75 9C FF 45 E8 FF 4D E0 75 81 B2 01 8B 45 F0 8B 08 FF 51 40 8B 45 F8 8B 40 04 50 8B 4D F8 8B 09 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 50 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 8B 45 F4 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85399_0 {
	meta:
		name = "TextWidth"
		size = 90
		refs = "001b Rect 0022 TCanvas.GetHandle 0043 @UStrToPWChar 004a DrawText"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B E9 8B FA 8B D8 6A 00 8D 44 24 04 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B DF 85 DB 74 05 83 EB 04 8B 1B 81 CD 00 04 00 00 55 8D 44 24 04 50 53 8B C7 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B 44 24 08 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85400_0 {
	meta:
		name = "TextHeight"
		size = 52
		refs = "0009 TCanvas.GetHandle 001f @UStrToPWChar 0026 GetTextExtentPoint32W"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B FA E8 ?? ?? ?? ?? 8B F0 8B DF 85 DB 74 05 83 EB 04 8B 1B 54 53 8B C7 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B 44 24 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85401_0 {
	meta:
		name = "FillRect"
		size = 42
		refs = "000f TBrush.SetStyle 0019 TBrush.SetColor"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 33 D2 8B 43 48 E8 ?? ?? ?? ?? 8B D7 8B 43 48 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 54 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85402_0 {
	meta:
		name = "FillRect"
		size = 57
		refs = "001f Rect 002c FillRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 50 8D 45 F0 50 8B 4D 10 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85405_0 {
	meta:
		name = "DrawRect"
		size = 57
		refs = "001f Rect 002c DrawRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 50 8D 45 F0 50 8B 4D 10 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85403_0 {
	meta:
		name = "FillRect"
		size = 98
		refs = "0013 _Dn_TCanvas 0018 TCanvas.Create 0023 TCanvas.SetHandle 0038 Rect 0045 FillRect 0055 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 50 8D 45 EC 50 8B 4D 10 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8D 55 EC 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85404_0 {
	meta:
		name = "DrawRect"
		size = 63
		refs = "000f TBrush.SetStyle 0019 TPen.SetStyle 0023 TPen.SetColor"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 B2 01 8B 43 48 E8 ?? ?? ?? ?? 33 D2 8B 43 44 E8 ?? ?? ?? ?? 8B D7 8B 43 44 E8 ?? ?? ?? ?? 8B 46 08 50 8B 46 0C 50 8B 4E 04 8B 16 8B C3 8B 18 FF 53 7C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85406_0 {
	meta:
		name = "FillRoundRect"
		size = 82
		refs = "0012 TBrush.SetStyle 001d TBrush.SetColor 002e TPen.SetColor"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 33 D2 8B 43 48 E8 ?? ?? ?? ?? 8B 55 08 8B 43 48 E8 ?? ?? ?? ?? 8B 43 48 8B 40 10 8B 50 18 8B 43 44 E8 ?? ?? ?? ?? 8B 46 08 50 8B 46 0C 50 57 57 8B 4E 04 8B 16 8B C3 8B 18 FF 93 84 00 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_85407_0 {
	meta:
		name = "DrawFrameControlGlyph"
		size = 283
		refs = "0014 _DV_TseBitmap 0019 TseBitmap.Create 0023 TRect.GetHeight 002c TRect.GetWidth 0059 Rect 0064 TBitmap.GetCanvas 0069 TCanvas.GetHandle 006f DrawFrameControl 0107 TseBitmap.Draw 010e TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B D9 89 55 F8 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C6 59 8B 38 FF 57 6C 8B 45 0C 50 53 8B C6 8B 10 FF 52 24 50 8D 45 DC 50 8B C6 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 DC 50 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 30 48 85 C0 7C 6D 40 89 45 F0 C7 45 F4 00 00 00 00 8B C6 8B 10 FF 52 24 48 85 C0 7C 4E 40 89 45 EC 33 DB 8B C6 E8 ?? ?? ?? ?? 8B CB 8B 55 F4 8B 38 FF 57 18 85 C0 75 17 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B CB 8B 55 F4 8B 38 FF 57 20 EB 16 68 7F 00 7F 00 8B C6 E8 ?? ?? ?? ?? 8B CB 8B 55 F4 8B 38 FF 57 20 43 FF 4D EC 75 B8 FF 45 F4 FF 4D F0 75 9E B2 01 8B C6 8B 08 FF 51 40 8B 45 F8 8B 40 04 50 8B 4D F8 8B 09 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85408_0 {
	meta:
		name = "DrawFocusRect"
		size = 42
		refs = "000f TBrush.SetStyle 0019 TBrush.SetColor"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 33 D2 8B 43 48 E8 ?? ?? ?? ?? 8B D7 8B 43 48 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 4C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85409_0 {
	meta:
		name = "StyleUtilsDrawEdge"
		size = 144
		refs = "0012 TBrush.SetStyle 001c TPen.SetStyle 0026 TPen.SetColor"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 B2 01 8B 46 48 E8 ?? ?? ?? ?? 33 D2 8B 46 44 E8 ?? ?? ?? ?? 8B D7 8B 46 44 E8 ?? ?? ?? ?? 8B 4B 0C 83 E9 02 8B 13 8B C6 8B 38 FF 57 64 8B 4B 04 8B 13 8B C6 8B 38 FF 57 60 8B 4B 04 8B 53 08 4A 8B C6 8B 38 FF 57 60 8B 55 08 8B 46 44 E8 ?? ?? ?? ?? 8B 4B 04 8B 53 08 4A 8B C6 8B 38 FF 57 64 8B 4B 0C 49 8B 53 08 4A 8B C6 8B 38 FF 57 60 8B 4B 0C 49 8B 13 4A 8B C6 8B 18 FF 53 60 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_85410_0 {
	meta:
		name = "StyleUtilsDrawEdge"
		size = 61
		refs = "0023 Rect 0030 StyleUtilsDrawEdge"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 10 50 8D 45 F0 50 8B 4D 14 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B 4D 0C 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_85411_0 {
	meta:
		name = "TrimStr"
		size = 348
		refs = "0023 TrimStr 0032 @UStrAsg 0041 @FillChar 0058 @UStrToPWChar 0062 GetTextExtentPoint32W 0075 @UStrClr 00a0 @UStrFromWChar 00b5 @UStrCatN 00fa @UStrCat 0128 @UStrArrayClr 0136 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 89 5D FC 89 4D F4 8B FA 89 45 F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B D7 E8 ?? ?? ?? ?? 8D 45 E8 33 C9 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B DF 85 DB 74 05 83 EB 04 8B 1B 8D 45 E8 50 53 8B C7 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 E8 3B 45 F4 0F 8E A0 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C7 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 7E 89 45 E4 C7 45 F0 01 00 00 00 FF 36 8D 45 E0 8B 55 F0 0F B7 54 57 FE E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 E8 50 53 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 E8 3B 45 F4 7F 22 8D 45 DC 8B 55 F0 0F B7 54 57 FE E8 ?? ?? ?? ?? 8B 55 DC 8B C6 E8 ?? ?? ?? ?? FF 45 F0 FF 4D E4 75 8C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 2E 00 2E 00 00 00 }
	condition:
		$1
}

rule function_85412_0 {
	meta:
		name = "CreateRegionDataFromBitmap"
		size = 429
		refs = "0069 TBitmap.GetScanline 00dd Rect 00ed Rts 0123 @GetMem 0199 Move"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 DB 8B 45 FC 8B 10 FF 52 20 84 C0 0F 85 7E 01 00 00 8B 45 FC 8B 10 FF 52 30 8B F0 8B 45 FC 8B 10 FF 52 24 0F AF F0 85 F6 0F 84 61 01 00 00 33 C0 89 45 E8 8B 45 FC 8B 10 FF 52 24 48 85 C0 0F 8C C0 00 00 00 40 89 45 E4 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 89 45 EC 83 CB FF E9 83 00 00 00 43 8B 45 EC 8D 34 98 8B 45 FC 8B 10 FF 52 30 3B D8 7D 08 81 3E 7F 00 7F 00 74 E5 8B 45 FC 8B 10 FF 52 30 3B D8 7D 6C 8B FB 47 8B 45 FC 8B 10 FF 52 30 3B F8 7D 0E 8B 45 EC 8D 34 B8 81 3E 7F 00 7F 00 75 E5 3B FB 74 39 8B 45 08 03 45 F0 40 50 8D 45 D4 50 8B 4D F4 03 CF 8B 55 08 03 55 F0 8B 45 F4 03 C3 E8 ?? ?? ?? ?? 8B 45 E8 03 C0 57 8D 75 D4 8D 3C C5 ?? ?? ?? ?? A5 A5 A5 A5 5F FF 45 E8 8B DF 8B 45 FC 8B 10 FF 52 30 3B D8 0F 8C 6D FF FF FF FF 45 F0 FF 4D E4 0F 85 4B FF FF FF 8B 75 E8 C1 E6 04 8B DE 8D 43 20 E8 ?? ?? ?? ?? 8B 55 F8 89 02 8B 45 F8 8B 00 C7 00 20 00 00 00 8B 45 F8 8B 00 C7 40 04 01 00 00 00 8B 45 F8 8B 00 8B 55 E8 89 50 08 8B 45 F8 8B 00 33 D2 89 50 0C 8B 45 FC 8B 10 FF 52 24 50 8D 45 D4 50 8B 45 FC 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 8B 00 56 8D 75 D4 8D 78 10 A5 A5 A5 A5 5E 8B 45 F8 8B 00 8D 50 20 B8 ?? ?? ?? ?? 8B CB E8 ?? ?? ?? ?? 8B DE 83 C3 20 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_85413_0 {
	meta:
		name = "CreateRegionFromBitmap"
		size = 58
		refs = "0010 CreateRegionDataFromBitmap 001e ExtCreateRegion 0030 @FreeMem"
	strings:
		$1 = { 53 56 51 33 DB 89 1C 24 51 8D 4C 24 04 87 CA E8 ?? ?? ?? ?? 8B D8 8B 04 24 50 53 6A 00 E8 ?? ?? ?? ?? 8B F0 83 3C 24 00 74 0A 8B D3 8B 04 24 E8 ?? ?? ?? ?? 8B C6 5A 5E 5B C3 }
	condition:
		$1
}

rule function_85414_0 {
	meta:
		name = "SeColorToColor"
		size = 36
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 F8 8B 45 F8 89 45 FC 0F B6 45 F8 88 45 FE 0F B6 45 FA 88 45 FC 8B 45 FC 59 59 5D C3 }
	condition:
		$1
}

rule function_85415_0 {
	meta:
		name = "TseBitmap.GetBitmapLink"
		size = 50
		refs = "000a _DV_TseBitmapLink 000f TObject.Create 001f @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 73 04 8D 43 18 8B 56 40 E8 ?? ?? ?? ?? 8B F7 8D 7B 08 A5 A5 A5 A5 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85416_0 {
	meta:
		name = "TseBitmap.GetBitmapLink"
		size = 65
		refs = "000d _DV_TseBitmapLink 0012 TObject.Create 0022 @UStrAsg 002b StringToRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 73 04 8D 43 18 8B 56 40 E8 ?? ?? ?? ?? 8B D4 8B C7 E8 ?? ?? ?? ?? 8B F4 8D 7B 08 A5 A5 A5 A5 8B C3 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85417_0 {
	meta:
		name = "TseBitmap.Assign"
		size = 136
		refs = "000c _DV_TseBitmap 0011 @IsClass 005b TBitmap.GetScanline 0074 Move 007f TBitmap.Assign"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 61 8B FE 8B C7 8B 10 FF 52 24 50 8B C7 8B 10 FF 52 30 8B D0 8B C3 59 8B 28 FF 55 6C 8B C3 8B 10 FF 52 30 8B E8 8B C3 8B 10 FF 52 24 0F AF E8 8B C5 03 C0 03 C0 50 8B C3 8B 10 FF 52 24 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 50 8B C7 8B 10 FF 52 24 8B D0 4A 8B C7 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85418_0 {
	meta:
		name = "FillLongword"
		size = 60
		refs = "000c @FillChar"
	strings:
		$1 = { 53 85 C9 75 0D 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 5B C3 83 F9 FF 75 10 03 D2 03 D2 B9 FF 00 00 00 E8 ?? ?? ?? ?? EB 13 8B D8 8B C2 48 85 C0 7C 0A 40 33 D2 89 0C 93 42 48 75 F9 5B C3 }
	condition:
		$1
}

rule function_85419_0 {
	meta:
		name = "TseBitmap.Clear"
		size = 56
		refs = "0028 TBitmap.GetScanline 0030 FillLongword"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 8B 10 FF 52 30 8B F8 8B C3 8B 10 FF 52 24 0F AF F8 57 8B C3 8B 10 FF 52 24 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 8B CE 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85420_0 {
	meta:
		name = "FillAlpha"
		size = 19
	strings:
		$1 = { 56 4A 85 D2 7C 0B 42 33 F6 88 4C B0 03 46 4A 75 F8 5E C3 }
	condition:
		$1
}

rule function_85421_0 {
	meta:
		name = "TseBitmap.ClearAlpha"
		size = 56
		refs = "0028 TBitmap.GetScanline 0030 FillAlpha"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C6 8B 10 FF 52 30 8B F8 8B C6 8B 10 FF 52 24 0F AF F8 57 8B C6 8B 10 FF 52 24 8B D0 4A 8B C6 E8 ?? ?? ?? ?? 8B CB 5A E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85422_0 {
	meta:
		name = "TseBitmap.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TBitmap.Create 0020 TBitmap.SetPixelFormat 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 07 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 78 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_85423_0 {
	meta:
		name = "TseBitmap.Draw"
		size = 109
		refs = "002d Rect 0060 TseBitmap.Draw"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 08 8B C3 8B 10 FF 52 24 50 8D 45 EC 50 8B C3 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 EC 50 8B C3 8B 10 FF 52 24 03 C7 50 8D 45 DC 50 8B C3 8B 10 FF 52 30 8B C8 03 CE 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 4D DC 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_85424_0 {
	meta:
		name = "TseBitmap.Draw"
		size = 78
		refs = "0017 TRect.GetHeight 0026 TRect.GetWidth 0034 Rect 0041 TseBitmap.Draw"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F9 89 55 FC 8B F0 8B 5D 08 53 8B C3 E8 ?? ?? ?? ?? 03 45 0C 50 8D 45 EC 50 8B C3 E8 ?? ?? ?? ?? 8B C8 03 CF 8B 55 0C 8B C7 E8 ?? ?? ?? ?? 8D 4D EC 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85425_0 {
	meta:
		name = "TseBitmap.Draw"
		size = 62
		refs = "0027 Rect 0033 TseBitmap.Draw"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 24 50 8D 44 24 04 50 8B C3 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 54 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85426_0 {
	meta:
		name = "TseBitmap.Draw"
		size = 298
		refs = "0019 TCanvas.GetHandle 001f SetStretchBltMode 0053 TBitmap.GetCanvas 007b AlphaBlend 00d3 TransparentBlt 011d StretchBlt"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 89 55 FC 8B F8 8B 75 08 6A 03 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 80 7F 44 00 74 5B C6 45 F8 00 C6 45 F9 00 C6 45 FA FF C6 45 FB 01 FF 75 F8 8B 46 0C 2B 46 04 50 8B 46 08 2B 06 50 8B 46 04 50 8B 06 50 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 43 0C 2B 43 04 50 8B 43 08 2B 03 50 8B 43 04 50 8B 03 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 9D 00 00 00 8B C7 8B 10 FF 52 2C 84 C0 74 4A 68 7F 00 7F 00 8B 46 0C 2B 46 04 50 8B 46 08 2B 06 50 8B 46 04 50 8B 06 50 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 43 0C 2B 43 04 50 8B 43 08 2B 03 50 8B 43 04 50 8B 03 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 48 68 20 00 CC 00 8B 46 0C 2B 46 04 50 8B 46 08 2B 06 50 8B 46 04 50 8B 06 50 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 43 0C 2B 43 04 50 8B 43 08 2B 03 50 8B 43 04 50 8B 03 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_85427_0 {
	meta:
		name = "TseBitmap.Tile"
		size = 388
		refs = "0016 TRect.GetWidth 0021 TRect.GetHeight 004c Rect 0062 OffsetRect 00fd IntersectRect 014d TseBitmap.Draw"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 89 45 E4 8B 45 08 E8 ?? ?? ?? ?? 89 45 E0 83 7D E4 00 0F 84 49 01 00 00 83 7D E0 00 0F 84 3F 01 00 00 8B 45 E0 50 8D 45 AC 50 8B 4D E4 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 04 50 8B 45 F4 8B 00 50 8D 45 AC 50 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 99 F7 7D E4 8B D8 8B 45 F4 E8 ?? ?? ?? ?? 99 F7 7D E4 85 D2 74 01 43 8B 45 F4 E8 ?? ?? ?? ?? 99 F7 7D E0 89 45 E8 8B 45 F4 E8 ?? ?? ?? ?? 99 F7 7D E0 85 D2 74 03 FF 45 E8 85 DB 0F 8C CC 00 00 00 43 89 5D DC C7 45 F0 00 00 00 00 8B 75 E8 85 F6 0F 8C AA 00 00 00 46 C7 45 EC 00 00 00 00 56 8D 75 AC 8D 7D CC A5 A5 A5 A5 5E 8B 45 EC F7 6D E0 50 8B 45 F0 F7 6D E4 50 8D 45 CC 50 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 CC 50 8D 45 CC 50 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8B D8 8D 45 CC E8 ?? ?? ?? ?? 85 DB 74 58 85 C0 74 54 8B 55 08 56 8B F2 8D 7D BC A5 A5 A5 A5 5E 3B 5D E4 75 05 3B 45 E0 74 20 03 5D BC 89 5D C4 03 45 C0 89 45 C8 8D 45 BC 50 8D 4D CC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 12 8D 45 BC 50 8D 4D CC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? FF 45 EC 4E 0F 85 5E FF FF FF FF 45 F0 FF 4D DC 0F 85 3F FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_85428_0 {
	meta:
		name = "TseBitmap.TileClip"
		size = 507
		refs = "0016 TRect.GetWidth 0021 TRect.GetHeight 0046 Rect 005c OffsetRect 0065 IsRectEmpty 010e IntersectRect 0181 TseBitmap.Draw"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 08 E8 ?? ?? ?? ?? 89 45 E4 8B 45 08 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E4 F7 6D E0 85 C0 0F 84 BC 01 00 00 8B 45 E0 50 8D 45 98 50 8B 4D E4 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 04 50 8B 45 F4 8B 00 50 8D 45 98 50 E8 ?? ?? ?? ?? 8B 45 0C 50 E8 ?? ?? ?? ?? 85 C0 74 06 C6 45 DF 00 EB 04 C6 45 DF 01 8B 45 F4 E8 ?? ?? ?? ?? 99 F7 7D E4 8B D8 8B 45 F4 E8 ?? ?? ?? ?? 99 F7 7D E4 85 D2 74 01 43 8B 45 F4 E8 ?? ?? ?? ?? 99 F7 7D E0 89 45 E8 8B 45 F4 E8 ?? ?? ?? ?? 99 F7 7D E0 85 D2 74 03 FF 45 E8 85 DB 0F 8C 32 01 00 00 43 89 5D D8 C7 45 F0 00 00 00 00 8B 75 E8 85 F6 0F 8C 10 01 00 00 46 C7 45 EC 00 00 00 00 56 8D 75 98 8D 7D C8 A5 A5 A5 A5 5E 8B 45 EC F7 6D E0 50 8B 45 F0 F7 6D E4 50 8D 45 C8 50 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 C8 50 8D 45 C8 50 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8B D8 8D 45 C8 E8 ?? ?? ?? ?? 85 DB 0F 84 BA 00 00 00 85 C0 0F 84 B2 00 00 00 3B 5D E4 75 05 3B 45 E0 74 5D 8B 55 08 56 8B F2 8D 7D B8 A5 A5 A5 A5 5E 03 5D B8 89 5D C0 03 45 BC 89 45 C4 80 7D DF 00 74 29 8D 45 C8 50 8B 45 0C 50 8D 45 A8 50 E8 ?? ?? ?? ?? 85 C0 74 69 8D 45 B8 50 8D 4D C8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 55 8D 45 B8 50 8D 4D C8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 41 80 7D DF 00 74 29 8D 45 C8 50 8B 45 0C 50 8D 45 A8 50 E8 ?? ?? ?? ?? 85 C0 74 26 8B 45 08 50 8D 4D C8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 12 8B 45 08 50 8D 4D C8 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? FF 45 EC 4E 0F 85 F8 FE FF FF FF 45 F0 FF 4D D8 0F 85 D9 FE FF FF 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85429_0 {
	meta:
		name = "TseBitmap.LoadFromStream"
		size = 215
		refs = "0016 TseBitmap.LoadFromStream 0026 ReadString 0031 @UStrAsg 00a5 TBitmap.GetScanline 00c4 @UStrClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 40 E8 ?? ?? ?? ?? 8D 55 FC B9 04 00 00 00 8B C6 8B 38 FF 57 0C 8D 55 F8 B9 04 00 00 00 8B C6 8B 38 FF 57 0C 83 7D F8 00 7E 5A 8B 4D F8 8B 55 FC 8B C3 8B 38 FF 57 6C 8B C3 8B 10 FF 52 30 3B 45 FC 75 41 8B C3 8B 10 FF 52 24 3B 45 F8 75 35 8B C3 8B 10 FF 52 30 8B F8 8B C3 8B 10 FF 52 24 0F AF F8 8B C7 03 C0 03 C0 50 8B C3 8B 10 FF 52 24 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 59 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85430_0 {
	meta:
		name = "TseBitmap.SaveToStream"
		size = 130
		refs = "0025 WriteString 006e TBitmap.GetScanline"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B C3 8B 10 FF 52 30 89 04 24 8B C3 8B 10 FF 52 24 89 44 24 04 8B 53 40 8B C6 E8 ?? ?? ?? ?? 8B D4 B9 04 00 00 00 8B C6 8B 38 FF 57 10 8D 54 24 04 B9 04 00 00 00 8B C6 8B 38 FF 57 10 8B C3 8B 10 FF 52 30 8B F8 8B C3 8B 10 FF 52 24 0F AF F8 8B C7 03 C0 03 C0 50 8B C3 8B 10 FF 52 24 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 59 8B 18 FF 53 10 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85431_0 {
	meta:
		name = "TseBitmap.Rotate90_1"
		size = 124
		refs = "0040 TBitmap.GetScanline"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 14 24 8B F8 8B C7 8B 10 FF 52 24 48 85 C0 7C 5C 40 89 44 24 08 33 ED 8B C7 8B 10 FF 52 30 8B F0 4E 85 F6 7C 40 46 33 DB 8B C7 8B 10 FF 52 30 8B D0 4A 2B D3 8B 04 24 E8 ?? ?? ?? ?? 8B D5 03 D2 03 D2 03 C2 89 44 24 04 8B D5 8B C7 E8 ?? ?? ?? ?? 8B D3 03 D2 03 D2 03 C2 8B 00 8B 54 24 04 89 02 43 4E 75 C3 45 FF 4C 24 08 75 AB 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85432_0 {
	meta:
		name = "TseBitmap.Rotate90_2"
		size = 132
		refs = "0036 TBitmap.GetScanline"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 14 24 8B F8 8B C7 8B 10 FF 52 24 48 85 C0 7C 64 40 89 44 24 08 33 ED 8B C7 8B 10 FF 52 30 8B F0 4E 85 F6 7C 48 46 33 DB 8B D3 8B 04 24 E8 ?? ?? ?? ?? 50 8B C7 8B 10 FF 52 24 03 C0 03 C0 5A 03 D0 83 EA 04 8B C5 03 C0 03 C0 2B D0 89 54 24 04 8B D5 8B C7 E8 ?? ?? ?? ?? 8B D3 03 D2 03 D2 03 C2 8B 00 8B 54 24 04 89 02 43 4E 75 BB 45 FF 4C 24 08 75 A3 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85433_0 {
	meta:
		name = "TseBitmap.FlipVert"
		size = 189
		refs = "0021 @GetMem 004c TBitmap.GetScanline 0071 Move 00b1 @FreeMem"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B D8 8B C3 8B 10 FF 52 24 48 89 44 24 04 8B C3 8B 10 FF 52 30 03 C0 03 C0 E8 ?? ?? ?? ?? 8B E8 8B C3 8B 10 FF 52 24 D1 F8 79 03 83 D0 00 48 85 C0 7C 74 40 89 44 24 08 C7 04 24 00 00 00 00 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 8B 10 FF 52 30 8B C8 03 C9 03 C9 8B D5 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 30 8B C8 03 C9 03 C9 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 30 8B C8 03 C9 03 C9 8B D7 8B C5 E8 ?? ?? ?? ?? FF 4C 24 04 FF 04 24 FF 4C 24 08 75 98 8B C5 E8 ?? ?? ?? ?? 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85434_0 {
	meta:
		name = "TseBitmapLink.Assign"
		size = 106
		refs = "000b _DV_TseBitmapLink 0010 @IsClass 0021 @AsClass 0042 @UStrAsg 0062 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 45 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 47 04 89 43 04 56 57 8D 77 08 8D 7B 08 A5 A5 A5 A5 5F 5E 8B 57 18 8D 43 18 E8 ?? ?? ?? ?? 0F B6 47 1E 88 43 1E 0F B6 47 1C 88 43 1C 0F B6 47 1D 88 43 1D EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85435_0 {
	meta:
		name = "TseBitmapLink.LoadFromStream"
		size = 95
		refs = "000f TseBitmapLink.LoadFromStream 001f ReadString 002a @UStrAsg 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 18 E8 ?? ?? ?? ?? 8D 53 08 B9 10 00 00 00 8B C6 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_85436_0 {
	meta:
		name = "TseBitmapLink.SaveToStream"
		size = 34
		refs = "000c WriteString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 53 18 8B C6 E8 ?? ?? ?? ?? 8D 53 08 B9 10 00 00 00 8B C6 8B 18 FF 53 10 5E 5B C3 }
	condition:
		$1
}

rule function_85437_0 {
	meta:
		name = "TseBitmapLink.CheckingMasked"
		size = 1046
		refs = "0043 TseBitmapLink.GetLeft 004b TseBitmapLink.GetRight 0063 TseBitmapLink.GetTop 006c TseBitmapLink.GetBottom 0089 TBitmap.GetScanline 020d TRect.Create 0216 PtInRect"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B FA 8B D8 C6 43 1E 00 C6 43 1C 00 C6 43 1D 00 83 3F 00 0F 85 E2 00 00 00 83 7F 04 00 0F 85 D8 00 00 00 83 7F 08 00 0F 85 CE 00 00 00 83 7F 08 00 0F 85 C4 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 48 5A 2B C2 0F 8C B6 03 00 00 40 89 45 EC 89 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 48 2B C6 7C 7E 40 89 45 E8 8B 7B 04 8B C7 8B 10 FF 52 24 8B D0 4A 8B C7 E8 ?? ?? ?? ?? 85 C0 74 5C 83 7D F8 00 7C 56 85 F6 7C 52 8B 43 04 8B 10 FF 52 30 3B 45 F8 7E 45 8B 43 04 8B 10 FF 52 24 3B F0 7D 39 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 55 F8 03 D2 03 D2 03 C2 8B 00 89 45 FC 81 7D FC 7F 00 7F 00 75 09 C6 43 1E 01 E9 31 03 00 00 80 7D FF FF 73 09 C6 43 1E 01 E9 22 03 00 00 46 FF 4D E8 75 86 FF 45 F8 FF 4D EC 0F 85 61 FF FF FF E9 0B 03 00 00 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 48 5A 2B C2 0F 8C F2 02 00 00 40 89 45 EC 89 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 48 2B C6 0F 8C C6 02 00 00 40 89 45 E8 8B 43 04 8B 10 FF 52 24 8B D0 4A 8B 43 04 E8 ?? ?? ?? ?? 85 C0 0F 84 9D 02 00 00 83 7D F8 00 0F 8C 93 02 00 00 85 F6 0F 8C 8B 02 00 00 8B 43 04 8B 10 FF 52 30 3B 45 F8 0F 8E 7A 02 00 00 8B 43 04 8B 10 FF 52 24 3B F0 0F 8D 6A 02 00 00 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 55 F8 03 D2 03 D2 03 C2 8B 00 89 45 FC 81 7D FC 33 33 33 33 0F 84 45 02 00 00 81 7D FC 7F 00 7F 00 74 0A 80 7D FF FF 0F 83 32 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 2B D0 89 55 E4 8B C3 E8 ?? ?? ?? ?? 50 8B C6 5A 2B C2 8B 55 E4 89 55 DC 89 45 E0 8B 45 DC 89 45 F0 8B 45 E0 89 45 F4 FF 75 F4 FF 75 F0 8B 07 50 8B 47 04 50 33 C9 33 D2 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 E8 ?? ?? ?? ?? 85 C0 74 04 C6 43 1D 01 FF 75 F4 FF 75 F0 8B C3 E8 ?? ?? ?? ?? 50 8B 47 04 50 8B C3 E8 ?? ?? ?? ?? 8B D0 2B 57 08 33 C9 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 E8 ?? ?? ?? ?? 85 C0 74 04 C6 43 1D 01 FF 75 F4 FF 75 F0 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 2B 47 0C 50 8B C3 E8 ?? ?? ?? ?? 8B D0 2B 57 08 8D 45 CC 59 E8 ?? ?? ?? ?? 8D 45 CC 50 E8 ?? ?? ?? ?? 85 C0 74 04 C6 43 1D 01 FF 75 F4 FF 75 F0 8B 07 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B C8 2B 4F 0C 33 D2 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 E8 ?? ?? ?? ?? 85 C0 74 04 C6 43 1D 01 FF 75 F4 FF 75 F0 8B C3 E8 ?? ?? ?? ?? 2B 47 08 50 8B 47 04 50 8B 17 33 C9 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 E8 ?? ?? ?? ?? 85 C0 74 04 C6 43 1C 01 FF 75 F4 FF 75 F0 8B C3 E8 ?? ?? ?? ?? 2B 47 08 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B C8 2B 4F 0C 8B 17 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 E8 ?? ?? ?? ?? 85 C0 74 04 C6 43 1C 01 FF 75 F4 FF 75 F0 8B 07 50 8B C3 E8 ?? ?? ?? ?? 2B 47 0C 50 8B 4F 04 33 D2 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 E8 ?? ?? ?? ?? 85 C0 74 04 C6 43 1C 01 FF 75 F4 FF 75 F0 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 2B 47 0C 50 8B C3 E8 ?? ?? ?? ?? 8B D0 2B 57 08 8B 4F 04 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 E8 ?? ?? ?? ?? 85 C0 74 04 C6 43 1C 01 FF 75 F4 FF 75 F0 8B C3 E8 ?? ?? ?? ?? 2B 47 08 50 8B C3 E8 ?? ?? ?? ?? 2B 47 0C 50 8B 4F 04 8B 17 8D 45 CC E8 ?? ?? ?? ?? 8D 45 CC 50 E8 ?? ?? ?? ?? 85 C0 74 04 C6 43 1E 01 46 FF 4D E8 0F 85 3E FD FF FF FF 45 F8 FF 4D EC 0F 85 15 FD FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85438_0 {
	meta:
		name = "TseBitmapLink.CheckingMasked"
		size = 37
		refs = "0013 TRect.Create 001c TseBitmapLink.CheckingMasked"
	strings:
		$1 = { 53 83 C4 F0 8B D8 6A 00 6A 00 8D 44 24 08 33 C9 33 D2 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_85439_0 {
	meta:
		name = "TseBitmapLink.Draw"
		size = 119
		refs = "004e TRect.Create 005a TBitmap.GetCanvas 006a TCanvas.CopyRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B D8 8B 73 04 85 F6 74 5A 8B C6 8B 10 FF 52 20 84 C0 75 4F 8B 43 10 2B 43 08 85 C0 7E 45 8B 43 14 2B 43 0C 85 C0 7E 3B 8D 43 08 50 8B 43 10 2B 43 08 50 8B 43 14 2B 43 0C 50 8D 45 F0 8B 4D 08 8B D7 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 43 04 E8 ?? ?? ?? ?? 50 8B 43 04 E8 ?? ?? ?? ?? 59 5A E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_85440_0 {
	meta:
		name = "TseBitmapLink.Draw"
		size = 115
		refs = "0052 TRect.Create 005e TBitmap.GetCanvas 0066 TCanvas.CopyRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B FA 8B D8 8B 73 04 85 F6 74 53 8B C6 8B 10 FF 52 20 84 C0 75 48 8B 43 10 2B 43 08 85 C0 7E 3E 8B 43 14 2B 43 0C 85 C0 7E 34 8D 43 08 50 8B 43 10 2B 43 08 50 8B 43 14 2B 43 0C 50 8B 4D 08 8B 55 FC 8D 45 EC E8 ?? ?? ?? ?? 8D 45 EC 50 8B 43 04 E8 ?? ?? ?? ?? 8B CF 5A E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_85441_0 {
	meta:
		name = "TseBitmapLink.GetAssigned"
		size = 31
	strings:
		$1 = { 83 78 04 00 74 13 8B 50 10 2B 50 08 8B 48 14 2B 48 0C 0F AF D1 85 D2 7F 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_85453_0 {
	meta:
		name = "TseBitmapList.GetImage"
		size = 32
		refs = "0014 TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 11 3B 73 08 7D 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_85454_0 {
	meta:
		name = "TseBitmapList.GetBitmapLink"
		size = 82
		refs = "0024 TseBitmapList.GetImage 0039 TseBitmap.GetBitmapLink"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 0C 24 8B EA 8B F8 33 C0 89 44 24 04 8B 77 08 4E 85 F6 7C 2B 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 3B E8 75 17 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 14 24 E8 ?? ?? ?? ?? 89 44 24 04 EB 04 43 4E 75 D8 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85455_0 {
	meta:
		name = "TseBitmapList.GetBitmapLink"
		size = 92
		refs = "0024 TseBitmapList.GetImage 002e CompareText 0043 TseBitmap.GetBitmapLink"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 0C 24 8B EA 8B F8 33 C0 89 44 24 04 8B 77 08 4E 85 F6 7C 35 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 40 8B D5 E8 ?? ?? ?? ?? 85 C0 75 17 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 14 24 E8 ?? ?? ?? ?? 89 44 24 04 EB 04 43 4E 75 CE 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85457_0 {
	meta:
		name = "TseBitmapList.GetBitmapByName"
		size = 133
		refs = "0012 @UStrAddRef 001a TseBitmapList.GetBitmapByName 0039 TseBitmapList.GetImage 0044 CompareText 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 77 08 4E 85 F6 7C 2D 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 40 8B 55 FC E8 ?? ?? ?? ?? 85 C0 75 0E 8B D3 8B C7 E8 ?? ?? ?? ?? 89 45 F8 EB 04 43 4E 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_85459_0 {
	meta:
		name = "FillFont"
		size = 232
		refs = "001d _DV_TSeActiveObject 0022 @IsClass 0060 _DV_TSeActiveBitmap 008a _DV_TSeTextObject"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B C7 8B 10 FF 52 40 8B D0 8B C6 8B 08 FF 51 08 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 32 8B C3 2C 05 74 04 2C 02 75 0D 8B 97 B0 00 00 00 8B C6 8B 08 FF 51 08 80 FB 08 0F 85 9A 00 00 00 8B 97 B4 00 00 00 8B C6 8B 08 FF 51 08 E9 88 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 80 EB 05 74 05 80 EB 02 75 6D 8B 97 B8 00 00 00 8B C6 8B 08 FF 51 08 EB 5E 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4D 80 EB 05 74 1D FE CB 74 0A FE CB 74 24 FE CB 74 2F EB 3A 8B 97 B4 00 00 00 8B C6 8B 08 FF 51 08 EB 2B 8B 97 AC 00 00 00 8B C6 8B 08 FF 51 08 EB 1C 8B 97 B0 00 00 00 8B C6 8B 08 FF 51 08 EB 0D 8B 97 B8 00 00 00 8B C6 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85460_0 {
	meta:
		name = "GetDialogFilter3"
		size = 176
		refs = "0010 GetDialogFilter3 001e _DV_TSeStyleFilter 0023 TSeStyleFilter.GetFilterName 0038 TSeStyleFilter.GetFileExtension 005c @UStrCatN 0076 @UStrArrayClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 8B C3 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 28 00 2A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 29 00 7C 00 2A 00 00 00 }
	condition:
		$1
}

rule function_85461_0 {
	meta:
		name = "TSeStyleSource.Create"
		size = 252
		refs = "000a @ClassCreate 0017 TComponent.Create 001f TSeStyleSource.Create 0024 @UStrAsg 0039 @UStrClr 0050 _Dn_TList 0055 TObject.Create 005f _DV_TseBitmapList 0064 TseBitmapList.Create 0070 _DV_TSeStyleColors 0075 TSeStyleColors.Create 0081 _DV_TSeStyleSysColors 0086 TSeStyleSysColors.Create 0092 _DV_TSeStyleFonts 0097 TSeStyleFonts.Create 00a1 _Dn_TStringList 00a6 TStringList.Create 00b4 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 44 E8 ?? ?? ?? ?? 8D 46 48 E8 ?? ?? ?? ?? 8D 46 3C E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 54 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 58 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 5C 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 60 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 6E 00 74 00 69 00 74 00 6C 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 31 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_85462_0 {
	meta:
		name = "TSeStyleSource.Destroy"
		size = 115
		refs = "0003 @BeforeDestruction 000e TSeStyleSource.Clear 001e TObject.Free 0061 TComponent.Destroy 006c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 46 60 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 5C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 46 4C E8 ?? ?? ?? ?? 8B 46 54 E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85463_0 {
	meta:
		name = "TSeStyleSource.SetDisplayNames"
		size = 19
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 4C 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_85464_0 {
	meta:
		name = "TSeStyleSource.Clear"
		size = 58
		refs = "0021 TList.Get 0026 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F0 8B 46 54 8B 10 FF 52 08 8B 46 50 8B 58 08 4B 85 DB 7C 16 43 33 FF 8B D7 8B 46 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 ED 8B 46 50 8B 10 FF 52 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85465_0 {
	meta:
		name = "TSeStyleSource.CheckingObject"
		size = 55
		refs = "0019 TList.Get 0020 TSeStyleObject.FindObjectByKind"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 50 8B 58 08 4B 85 DB 7C 23 43 33 F6 8B 47 50 8B D6 E8 ?? ?? ?? ?? B2 0D E8 ?? ?? ?? ?? 85 C0 74 07 C6 80 9D 00 00 00 00 46 4B 75 E0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85466_0 {
	meta:
		name = "TSeStyleSource.Assign"
		size = 349
		refs = "000f _DV_TSeStyleSource 0014 @IsClass 0023 TSeStyleSource.Clear 0030 @UStrAsg 0075 TList.SetCapacity 008a _DV_TseBitmap 008f TseBitmap.Create 009c TseBitmapList.GetImage 00c9 TList.Add 00f4 TSeStyleSource.GetObject 00fb TSeStyleObject.CreateCopy 0117 TSeStyleObject.SetBitmaps 0152 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 2D 01 00 00 8B C6 E8 ?? ?? ?? ?? 8D 46 38 8B FB 8B 57 38 E8 ?? ?? ?? ?? 8D 46 40 8B 57 40 E8 ?? ?? ?? ?? 8D 46 44 8B 57 44 E8 ?? ?? ?? ?? 8D 46 48 8B 57 48 E8 ?? ?? ?? ?? 8D 46 3C 8B 57 3C E8 ?? ?? ?? ?? 8B 57 4C 8B 46 4C 8B 08 FF 51 08 8B 47 54 8B 50 08 8B 46 54 E8 ?? ?? ?? ?? 8B 47 54 8B 68 08 4D 85 ED 7C 4D 45 33 FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 8B 43 54 8B D7 E8 ?? ?? ?? ?? 8B D0 8B 04 24 8B 08 FF 51 08 8B 43 54 8B D7 E8 ?? ?? ?? ?? 8B 50 40 8B 04 24 83 C0 40 E8 ?? ?? ?? ?? 8B 14 24 8B 46 54 E8 ?? ?? ?? ?? 47 4D 75 B6 8B FB 8B 47 50 8B 50 08 8B 46 50 E8 ?? ?? ?? ?? 8B 47 50 8B 68 08 4D 85 ED 7C 3C 45 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 89 44 24 04 8B 54 24 04 8B 46 50 E8 ?? ?? ?? ?? 8B 56 54 8B 44 24 04 E8 ?? ?? ?? ?? 8B 44 24 04 8B 10 FF 52 4C 47 4D 75 C7 8B FB 8B 57 60 8B 46 60 8B 08 FF 51 08 8B 57 58 8B 46 58 8B 08 FF 51 08 8B 57 5C 8B 46 5C 8B 08 FF 51 08 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85467_0 {
	meta:
		name = "TSeStyleSource.LoadFromStream"
		size = 107
		refs = "000d _DV_TSeStyleFilter 0012 TObject.Create 001d TSeStyleSource.LoadFromStream 002a TSeStyleSource.Clear 0034 TSeStyleFilter.SetStyleSource 0045 TSeStyleSource.CheckingObject 005a TObject.Free 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC 8B 08 FF 51 1C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_85468_0 {
	meta:
		name = "TSeStyleSource.SaveToStream"
		size = 93
		refs = "000d _DV_TSeStyleFilter 0012 TObject.Create 001d TSeStyleSource.SaveToStream 002d TSeStyleFilter.SetStyleSource 004c TObject.Free 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_85469_0 {
	meta:
		name = "TSeStyleSource.LoadFromFile"
		size = 326
		refs = "001b TSeStyleSource.LoadFromFile 0032 FileExists 004b ParamStr 0056 ExtractFilePath 0063 @UStrCat3 0080 _Dn_TFileStream 0085 TFileStream.Create 009d _DV_TSeStyleFilter 00a2 TObject.Create 00bb TSeStyleSource.Clear 00c6 TSeStyleFilter.SetStyleSource 00e6 TObject.Free 00ec @HandleFinally 00f6 TSeStyleSource.CheckingObject 012d @UStrArrayClr 0135 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D EC 89 4D E8 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 EA 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3F 66 83 7B 02 3A 0F 84 D2 00 00 00 8D 55 E8 33 C0 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC 8B CB E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 9E 00 00 00 6A 40 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F0 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85470_0 {
	meta:
		name = "TSeStyleSource.SaveToFile"
		size = 170
		refs = "001e _Dn_TFileStream 0023 TFileStream.Create 002e TSeStyleSource.SaveToFile 003b _DV_TSeStyleFilter 0040 TObject.Create 005b TSeStyleFilter.SetStyleSource 007b TObject.Free 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 85 F6 0F 84 90 00 00 00 68 00 FF 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_85471_0 {
	meta:
		name = "TSeStyleSource.FillColorsAndFonts"
		size = 2392
		refs = "0006 TSeStyleSource.FillColorsAndFonts 000d TSeStyleSource.GetObjectByName 0023 TSeStyleColors.SetColor 022d TSeStyleObject.FindObjectByKind 023d TSeStyleFonts.GetFont 0246 FillFont 0277 TSeStyleObject.FindObjectByName 044f SetFont 050d TFont.SetColor"
	strings:
		$1 = { 53 56 57 8B F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 10 8B 8B A4 00 00 00 B2 16 8B 46 58 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 40 8B 8B A4 00 00 00 B2 10 8B 46 58 E8 ?? ?? ?? ?? 8B 8B A4 00 00 00 B2 11 8B 46 58 E8 ?? ?? ?? ?? 8B 8B A4 00 00 00 B2 12 8B 46 58 E8 ?? ?? ?? ?? 8B 8B A4 00 00 00 B2 15 8B 46 58 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 10 8B 8B A4 00 00 00 B2 01 8B 46 58 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 10 8B 8B A4 00 00 00 B2 02 8B 46 58 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 20 8B 8B A4 00 00 00 B2 03 8B 46 58 E8 ?? ?? ?? ?? 8B 8B A4 00 00 00 B2 04 8B 46 58 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 10 8B 8B A4 00 00 00 B2 0C 8B 46 58 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 46 58 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 20 8B 8B A4 00 00 00 B2 13 8B 46 58 E8 ?? ?? ?? ?? 8B 8B A4 00 00 00 B2 14 8B 46 58 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 50 8B 8B A4 00 00 00 B2 05 8B 46 58 E8 ?? ?? ?? ?? 8B 8B A4 00 00 00 B2 06 8B 46 58 E8 ?? ?? ?? ?? 8B 8B A4 00 00 00 B2 07 8B 46 58 E8 ?? ?? ?? ?? 8B 8B A4 00 00 00 B2 08 8B 46 58 E8 ?? ?? ?? ?? 8B 8B A4 00 00 00 B2 09 8B 46 58 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 20 8B 8B A4 00 00 00 B2 0A 8B 46 58 E8 ?? ?? ?? ?? 8B 8B A4 00 00 00 B2 0B 8B 46 58 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 12 8B 8B A4 00 00 00 B2 0F 8B 46 58 E8 ?? ?? ?? ?? EB 0F B9 18 00 00 FF B2 0F 8B 46 58 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 35 B2 03 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 26 33 D2 8B 46 60 E8 ?? ?? ?? ?? B1 07 8B D7 E8 ?? ?? ?? ?? B2 01 8B 46 60 E8 ?? ?? ?? ?? 33 C9 8B D7 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 71 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 5F B2 0A 8B 46 60 E8 ?? ?? ?? ?? 33 C9 8B D7 E8 ?? ?? ?? ?? B2 0B 8B 46 60 E8 ?? ?? ?? ?? B1 06 8B D7 E8 ?? ?? ?? ?? B2 0C 8B 46 60 E8 ?? ?? ?? ?? B1 05 8B D7 E8 ?? ?? ?? ?? B2 0D 8B 46 60 E8 ?? ?? ?? ?? B1 07 8B D7 E8 ?? ?? ?? ?? B2 0E 8B 46 60 E8 ?? ?? ?? ?? B1 08 8B D7 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 71 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 5F B2 0F 8B 46 60 E8 ?? ?? ?? ?? 33 C9 8B D7 E8 ?? ?? ?? ?? B2 10 8B 46 60 E8 ?? ?? ?? ?? B1 06 8B D7 E8 ?? ?? ?? ?? B2 11 8B 46 60 E8 ?? ?? ?? ?? B1 05 8B D7 E8 ?? ?? ?? ?? B2 12 8B 46 60 E8 ?? ?? ?? ?? B1 07 8B D7 E8 ?? ?? ?? ?? B2 13 8B 46 60 E8 ?? ?? ?? ?? B1 08 8B D7 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 71 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 5F B2 14 8B 46 60 E8 ?? ?? ?? ?? 33 C9 8B D7 E8 ?? ?? ?? ?? B2 15 8B 46 60 E8 ?? ?? ?? ?? B1 06 8B D7 E8 ?? ?? ?? ?? B2 16 8B 46 60 E8 ?? ?? ?? ?? B1 05 8B D7 E8 ?? ?? ?? ?? B2 17 8B 46 60 E8 ?? ?? ?? ?? B1 07 8B D7 E8 ?? ?? ?? ?? B2 18 8B 46 60 E8 ?? ?? ?? ?? B1 08 8B D7 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 38 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 26 B2 19 8B 46 60 E8 ?? ?? ?? ?? 33 C9 8B D7 E8 ?? ?? ?? ?? B2 1A 8B 46 60 E8 ?? ?? ?? ?? B1 08 8B D7 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 1B 8B 46 60 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 1C 8B 46 60 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 85 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 73 B2 1D 8B 46 60 E8 ?? ?? ?? ?? 33 C9 8B D7 E8 ?? ?? ?? ?? B2 1E 8B 46 60 E8 ?? ?? ?? ?? B1 07 8B D7 E8 ?? ?? ?? ?? B2 1F 8B 46 60 E8 ?? ?? ?? ?? B1 05 8B D7 E8 ?? ?? ?? ?? B2 21 8B 46 60 E8 ?? ?? ?? ?? 33 C9 8B D7 E8 ?? ?? ?? ?? B2 20 8B 46 60 E8 ?? ?? ?? ?? B1 08 8B D7 E8 ?? ?? ?? ?? B2 21 8B 46 60 E8 ?? ?? ?? ?? BA FF FF FF 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 71 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 5F B2 39 8B 46 60 E8 ?? ?? ?? ?? 33 C9 8B D7 E8 ?? ?? ?? ?? B2 3A 8B 46 60 E8 ?? ?? ?? ?? 33 C9 8B D7 E8 ?? ?? ?? ?? B2 3B 8B 46 60 E8 ?? ?? ?? ?? B1 07 8B D7 E8 ?? ?? ?? ?? B2 3C 8B 46 60 E8 ?? ?? ?? ?? 33 C9 8B D7 E8 ?? ?? ?? ?? B2 3D 8B 46 60 E8 ?? ?? ?? ?? B1 08 8B D7 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 BC 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 4C B2 22 8B 46 60 E8 ?? ?? ?? ?? 33 C9 8B D7 E8 ?? ?? ?? ?? B2 24 8B 46 60 E8 ?? ?? ?? ?? B1 05 8B D7 E8 ?? ?? ?? ?? B2 23 8B 46 60 E8 ?? ?? ?? ?? B1 07 8B D7 E8 ?? ?? ?? ?? B2 25 8B 46 60 E8 ?? ?? ?? ?? B1 08 8B D7 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 4C B2 26 8B 46 60 E8 ?? ?? ?? ?? 33 C9 8B D7 E8 ?? ?? ?? ?? B2 28 8B 46 60 E8 ?? ?? ?? ?? B1 05 8B D7 E8 ?? ?? ?? ?? B2 27 8B 46 60 E8 ?? ?? ?? ?? B1 07 8B D7 E8 ?? ?? ?? ?? B2 29 8B 46 60 E8 ?? ?? ?? ?? B1 08 8B D7 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 72 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 60 B2 3E 8B 46 60 E8 ?? ?? ?? ?? 33 C9 8B D7 E8 ?? ?? ?? ?? B2 40 8B 46 60 E8 ?? ?? ?? ?? B1 05 8B D7 E8 ?? ?? ?? ?? B2 3F 8B 46 60 E8 ?? ?? ?? ?? B1 07 8B D7 E8 ?? ?? ?? ?? B2 41 8B 46 60 E8 ?? ?? ?? ?? B1 08 8B D7 E8 ?? ?? ?? ?? B2 41 8B 46 60 E8 ?? ?? ?? ?? BA 80 80 80 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 66 00 6F 00 72 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6C 00 69 00 73 00 74 00 62 00 6F 00 78 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 63 00 61 00 74 00 65 00 67 00 6F 00 72 00 79 00 62 00 75 00 74 00 74 00 6F 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 63 00 61 00 74 00 65 00 67 00 6F 00 72 00 79 00 70 00 61 00 6E 00 65 00 6C 00 67 00 72 00 6F 00 75 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 6F 00 6D 00 62 00 6F 00 62 00 6F 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 67 00 72 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 75 00 74 00 74 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 64 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 69 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 68 00 65 00 63 00 6B 00 62 00 6F 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 72 00 61 00 64 00 69 00 6F 00 62 00 75 00 74 00 74 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 67 00 72 00 6F 00 75 00 70 00 62 00 6F 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 61 00 70 00 74 00 69 00 6F 00 6E 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 68 00 6F 00 6D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 69 00 74 00 65 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6D 00 65 00 6E 00 75 00 62 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 74 00 6F 00 6F 00 6C 00 62 00 61 00 72 00 69 00 74 00 65 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 70 00 6F 00 70 00 75 00 70 00 6D 00 65 00 6E 00 75 00 00 00 }
	condition:
		$1
}

rule function_85473_0 {
	meta:
		name = "TSeStyleSource.Remove"
		size = 11
		refs = "0006 TList.RemoveItem"
	strings:
		$1 = { 8B 40 50 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85474_0 {
	meta:
		name = "TSeStyleSource.GetObjectByKind"
		size = 58
		refs = "001b TSeStyleSource.GetObject"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 8B 47 50 8B 70 08 4E 85 F6 7C 20 46 33 ED 8B D5 8B C7 E8 ?? ?? ?? ?? 3A 58 39 75 0B 8B D5 8B C7 E8 ?? ?? ?? ?? EB 06 45 4E 75 E3 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85475_0 {
	meta:
		name = "TSeStyleSource.GetObjectByName"
		size = 276
		refs = "001a TSeStyleSource.GetObjectByName 002d Pos 004b @UStrCopy 0080 TSeStyleSource.GetObject 008b CompareText 00cb TSeStyleObject.FindObjectByName 00ef @UStrArrayClr 00f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 4D F8 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 7E 33 8D 45 FC 50 8B 4D F0 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 5D F4 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 8B 55 F0 42 8B CB 8B 45 F4 E8 ?? ?? ?? ?? 8B 46 50 8B 78 08 4F 85 FF 7C 5F 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 40 08 8B 55 F4 E8 ?? ?? ?? ?? 85 C0 75 0D 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 39 83 7D F0 00 7E 2D 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 40 08 8B 55 FC E8 ?? ?? ?? ?? 85 C0 75 15 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 EB 06 43 4F 75 A4 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_85476_0 {
	meta:
		name = "TSeStyleSource.GetForm"
		size = 56
		refs = "0004 TSeStyleSource.GetForm 000b TSeStyleSource.GetObjectByName 0018 TSeStyleSource.GetObjectByKind"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 6F 00 72 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_85477_0 {
	meta:
		name = "TSeStyleSource.ReplaceBitmap"
		size = 135
		refs = "001e TSeStyleSource.GetCount 002d @UStrAsg 0037 TList.IndexOf 0048 TList.Delete 0054 TList.Insert 006e TSeStyleSource.GetObject 007e TObject.Free"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 8B D8 85 ED 74 74 85 FF 74 70 8B 43 54 83 78 08 00 74 67 8B C3 E8 ?? ?? ?? ?? 85 C0 74 5C 8D 47 40 8B 55 40 E8 ?? ?? ?? ?? 8B D5 8B 43 54 E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 40 8B D6 8B 43 54 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 43 54 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 15 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 4C 47 4E 75 EE 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85478_0 {
	meta:
		name = "TSeStyleSource.GetObject"
		size = 42
		refs = "001e TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 1B 8B 43 50 3B 70 08 7D 13 80 7B 64 00 75 0D 8B D6 8B 43 50 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_85479_0 {
	meta:
		name = "TSeStyleSource.GetCount"
		size = 7
	strings:
		$1 = { 8B 40 50 8B 40 08 C3 }
	condition:
		$1
}

rule function_85480_0 {
	meta:
		name = "TSeStyleFilter.GetFileExtension"
		size = 44
		refs = "0006 TSeStyleFilter.GetFileExtension 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 76 00 73 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_85482_0 {
	meta:
		name = "TSeStyleFilter.ReadStyle"
		size = 125
		refs = "0020 StyleFileSign 002a @AStrCmp 0035 _Dn_TZDecompressionStream 003a TZDecompressionStream.Create 0045 TSeStyleFilter.ReadStyle 006a TObject.Free 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F2 8B D8 8D 55 EF B9 0D 00 00 00 8B C6 8B 38 FF 57 0C 8D 45 EF BA ?? ?? ?? ?? B9 0D 00 00 00 E8 ?? ?? ?? ?? 75 46 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85483_0 {
	meta:
		name = "TSeStyleFilter.WriteStyle"
		size = 105
		refs = "000c StyleFileSign 0022 _Dn_TZCompressionStream 0027 TZCompressionStream.Create 0032 TSeStyleFilter.WriteStyle 0057 TObject.Free 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 BA ?? ?? ?? ?? B9 0D 00 00 00 8B C6 8B 38 FF 57 10 56 B1 02 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_85484_0 {
	meta:
		name = "TSeStyleFilter.ReadStyleSource"
		size = 636
		refs = "0021 TSeStyleFilter.ReadStyleSource 003d TSeStyleSource.Clear 0048 ReadString 0056 @UStrAsg 00dd _Dn_TMemoryStream 00e2 TObject.Create 00f6 TStream.CopyFrom 0110 TStream.SetPosition 0133 TObject.Free 0139 @HandleFinally 016a TList.SetCapacity 017a _DV_TseBitmap 017f TseBitmap.Create 01c1 TList.Add 01fb LoadStyleObjectBinary 021b TSeStyleObject.SetBitmaps 0269 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D CC 89 4D D0 89 4D D4 89 4D D8 89 4D DC 89 55 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 50 04 85 D2 0F 84 1D 02 00 00 89 55 E0 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 E0 83 C0 38 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8B 45 E0 83 C0 40 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8B 45 E0 83 C0 44 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D0 8B 45 E0 83 C0 48 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC 8B 45 E0 83 C0 3C E8 ?? ?? ?? ?? 8D 55 E8 B9 08 00 00 00 8B 45 FC 8B 18 FF 53 0C 83 7D EC 00 75 04 83 7D E8 00 74 65 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 FF 75 EC FF 75 E8 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 4C 8B 55 E4 8B 08 FF 51 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 E0 8B 40 4C 8B 10 FF 52 44 8D 55 F8 B9 04 00 00 00 8B 45 FC 8B 18 FF 53 0C 8B 45 F8 89 45 F8 8B 45 E0 8B 40 54 8B 55 F8 E8 ?? ?? ?? ?? 8B 5D F8 4B 85 DB 7C 52 43 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 55 FC 8B C6 8B 08 FF 51 5C 8D 55 F7 B9 01 00 00 00 8B 45 FC 8B 38 FF 57 0C 33 D2 8B C6 8B 08 FF 51 40 8D 55 F7 B9 01 00 00 00 8B 45 FC 8B 38 FF 57 0C 8B 45 E0 8B 40 54 8B D6 E8 ?? ?? ?? ?? 4B 75 AF 8D 55 F8 B9 04 00 00 00 8B 45 FC 8B 18 FF 53 0C 8B 45 F8 89 45 F8 8B 45 E0 8B 40 50 8B 55 F8 E8 ?? ?? ?? ?? 8B 5D F8 4B 85 DB 7C 35 43 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 74 0D 8B 45 E0 8B 40 50 8B D6 E8 ?? ?? ?? ?? 8B 45 E0 8B 50 54 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 4C 4B 75 CC 8B 45 E0 8B 40 58 8B 55 FC 8B 08 FF 51 10 8B 45 E0 8B 40 5C 8B 55 FC 8B 08 FF 51 10 8B 45 E0 8B 40 60 8B 55 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85485_0 {
	meta:
		name = "TSeStyleFilter.WriteStyleSource"
		size = 485
		refs = "0024 WriteString 0063 _Dn_TMemoryStream 0068 TObject.Create 0084 TSeStyleFilter.WriteStyleSource 00d3 TObject.Free 00d9 @HandleFinally 0115 TseBitmapList.GetImage 01a2 TSeStyleSource.GetObject 01ac SaveStyleObjectBinary"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 55 FC 8B 50 04 85 D2 0F 84 C7 01 00 00 89 55 E4 8B 45 E4 8B 50 38 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 8B 50 40 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 8B 50 44 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 8B 50 48 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 8B 50 3C 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 E4 8B 40 4C 8B 55 F0 8B 08 FF 91 84 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 10 FF 12 89 45 E8 89 55 EC 8D 55 E8 B9 08 00 00 00 8B 45 FC 8B 18 FF 53 10 83 7D EC 00 75 04 83 7D E8 00 74 0B 8B 55 FC 8B 45 F0 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 E4 8B 40 54 8B 40 08 89 45 F8 8D 55 F8 B9 04 00 00 00 8B 45 FC 8B 18 FF 53 10 8B 45 E4 8B 40 54 8B 70 08 4E 85 F6 7C 66 46 33 DB 8B 45 E4 8B 40 54 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 60 8B 45 E4 8B 40 54 8B D3 E8 ?? ?? ?? ?? 80 78 38 01 0F 94 45 F7 8D 55 F7 B9 01 00 00 00 8B 45 FC 8B 38 FF 57 10 8B 45 E4 8B 40 54 8B D3 E8 ?? ?? ?? ?? 80 78 39 01 0F 94 45 F7 8D 55 F7 B9 01 00 00 00 8B 45 FC 8B 38 FF 57 10 43 4E 75 9D 8B 45 E4 8B 40 50 8B 40 08 89 45 F8 8D 55 F8 B9 04 00 00 00 8B 45 FC 8B 18 FF 53 10 8B 45 E4 8B 40 50 8B 70 08 4E 85 F6 7C 1B 46 33 DB 8B D3 8B 45 E4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 43 4E 75 E8 8B 45 E4 8B 40 58 8B 55 FC 8B 08 FF 51 14 8B 45 E4 8B 40 5C 8B 55 FC 8B 08 FF 51 14 8B 45 E4 8B 40 60 8B 55 FC 8B 08 FF 51 14 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85487_0 {
	meta:
		name = "RegisterStyleObject"
		size = 52
		refs = "0005 RegObjects 000f _Dn_TList 0014 TObject.Create 002e TList.Add"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85488_0 {
	meta:
		name = "GetStyleObjectClass"
		size = 131
		refs = "000e GetStyleObjectClass 0019 RegObjects 0030 TList.Get 0038 TObject.ClassName 0042 @UStrEqual 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 37 46 33 DB 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B D7 E8 ?? ?? ?? ?? 75 10 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 06 43 4E 75 CC 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_85489_0 {
	meta:
		name = "SaveStyleObject"
		size = 298
		refs = "0019 SaveStyleObject 0030 _Dn_TMemoryStream 0035 TObject.Create 0050 _Dn_TStringStream 0055 TStringStream.Create 0071 TStream.WriteComponent 0088 ObjectBinaryToText 009f TStringStream.GetDataString 00b4 TObject.Free 00ba @HandleFinally 00e6 TObject.ClassName 00f1 WriteString 0111 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D E8 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 0F 84 D3 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 45 F0 8B 18 FF 53 14 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 45 EC 8B 18 FF 53 14 8D 55 FC 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 E8 8B 45 F4 8B 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85490_0 {
	meta:
		name = "LoadStyleObject"
		size = 411
		refs = "0018 LoadStyleObject 002d ReadString 0035 GetStyleObjectClass 0052 @UniqueStringU 00d3 _Dn_TStringStream 00d8 TStringStream.Create 00f0 _Dn_TMemoryStream 00f5 TObject.Create 0111 ObjectTextToBinary 0128 TStream.ReadComponent 0147 TObject.Free 014d @HandleFinally 0186 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 35 8B 55 F8 85 D2 74 05 83 EA 04 8B 12 83 FA 03 7E 24 8D 45 F8 E8 ?? ?? ?? ?? 66 C7 40 02 53 00 8D 45 F8 E8 ?? ?? ?? ?? 66 C7 40 04 65 00 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 35 8B 55 F8 85 D2 74 05 83 EA 04 8B 12 83 FA 03 7E 24 8D 45 F8 E8 ?? ?? ?? ?? 66 C7 40 02 54 00 8D 45 F8 E8 ?? ?? ?? ?? 66 C7 40 04 77 00 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 0A 8B CE B2 01 FF 50 38 89 45 F4 83 7D F4 00 0F 84 AD 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 45 EC 8B 18 FF 53 14 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? B2 01 8B 45 F4 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85491_0 {
	meta:
		name = "SaveStyleObjectBinary"
		size = 155
		refs = "0016 SaveStyleObjectBinary 0026 TObject.ClassName 0030 WriteString 0037 _Dn_TMemoryStream 003c TObject.Create 0047 TStream.WriteComponent 005f TStream.WriteBuffer 0073 TObject.Free 0088 @UStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 07 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 12 89 45 FC 8D 55 FC B9 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 53 04 8B 4D FC 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_85492_0 {
	meta:
		name = "LoadStyleObjectBinary"
		size = 300
		refs = "0016 LoadStyleObjectBinary 0029 ReadString 0031 GetStyleObjectClass 004e @UniqueStringU 00c4 TStream.ReadBuffer 00cb _Dn_TMemoryStream 00d0 TObject.Create 00f3 TStream.ReadComponent 00fa TObject.Free 0118 @UStrClr 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 35 8B 55 FC 85 D2 74 05 83 EA 04 8B 12 83 FA 03 7E 24 8D 45 FC E8 ?? ?? ?? ?? 66 C7 40 02 53 00 8D 45 FC E8 ?? ?? ?? ?? 66 C7 40 04 65 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 35 8B 55 FC 85 D2 74 05 83 EA 04 8B 12 83 FA 03 7E 24 8D 45 FC E8 ?? ?? ?? ?? 66 C7 40 02 54 00 8D 45 FC E8 ?? ?? ?? ?? 66 C7 40 04 77 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 09 8B CE B2 01 FF 50 38 8B D8 85 DB 74 4F 8D 55 F4 B9 04 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 55 F4 8B C6 8B 08 FF 51 04 8B 56 04 8B 4D F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85493_0 {
	meta:
		name = "TSeStyleObject.Create"
		size = 172
		refs = "000e @ClassCreate 001c TComponent.Create 0038 _Dn_TFont 003d TFont.Create 004c TSeStyleObject.Create 0051 TFont.SetName 0061 TFont.SetSize 0079 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 88 00 00 00 01 C6 43 4C 01 C7 83 A4 00 00 00 FF FF FF 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A8 00 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 BA 08 00 00 00 E8 ?? ?? ?? ?? C6 43 70 03 C6 83 9D 00 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 68 00 6F 00 6D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_85494_0 {
	meta:
		name = "TSeStyleObject.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TComponent.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 A8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85495_0 {
	meta:
		name = "TSeStyleObject.AfterLoad"
		size = 62
		refs = "0008 TSeStyleObject.GetCount 0026 TSeStyleObject.GetObject"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 85 C0 74 2A 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 15 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 4C 47 4B 75 EE C6 86 A1 00 00 00 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85496_0 {
	meta:
		name = "TSeStyleObject.Assign"
		size = 321
		refs = "000c _DV_TSeStyleObject 0011 @IsClass 00f5 TSeStyleObject.GetCount 0108 TSeStyleObject.GetObject 010f TSeStyleObject.CreateCopy 0138 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 16 01 00 00 8B FB 8B 57 08 8B C6 8B 08 FF 51 24 0F B6 87 9D 00 00 00 88 86 9D 00 00 00 0F B6 47 38 88 46 38 0F B6 47 39 88 46 39 0F B6 47 38 88 46 38 8B 47 50 89 46 50 8B 87 A4 00 00 00 89 86 A4 00 00 00 0F B6 87 81 00 00 00 88 86 81 00 00 00 8B 97 A8 00 00 00 8B 86 A8 00 00 00 8B 08 FF 51 08 0F B6 47 39 88 46 39 0F B6 47 70 88 46 70 0F B6 87 80 00 00 00 88 86 80 00 00 00 8B 47 78 89 46 78 8B 47 74 89 46 74 8B 47 7C 89 46 7C 0F B6 87 A0 00 00 00 88 86 A0 00 00 00 0F B6 87 A2 00 00 00 88 86 A2 00 00 00 8B 87 8C 00 00 00 89 86 8C 00 00 00 8B 87 90 00 00 00 89 86 90 00 00 00 8B 87 98 00 00 00 89 86 98 00 00 00 8B 87 94 00 00 00 89 86 94 00 00 00 8B C7 E8 ?? ?? ?? ?? 48 85 C0 7C 19 40 89 C7 33 ED 8B D5 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 45 4F 75 EC 8B C3 8B 50 3C 89 56 3C 8B 50 40 89 56 40 8B 50 44 89 56 44 8B 40 48 89 46 48 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85497_0 {
	meta:
		name = "TSeStyleObject.CreateCopy"
		size = 105
		refs = "000f TSeStyleObject.CreateCopy 001f TObject.ClassName 0027 GetStyleObjectClass 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 14 8B CE B2 01 FF 50 38 8B F0 8B D3 8B C6 8B 08 FF 51 08 EB 02 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_85498_0 {
	meta:
		name = "TSeStyleObject.DrawTextBiDiModeFlags"
		size = 61
		refs = "0009 TSeStyleObject.UseRightToLeftAlignment 0032 TSeStyleObject.DrawTextBiDiModeFlagsReadingOnly"
	strings:
		$1 = { 53 56 8B F0 8B DA 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1E B8 02 00 00 00 23 C3 83 F8 02 75 05 83 E3 FD EB 0D B8 01 00 00 00 23 C3 48 74 03 83 CB 02 8B C6 E8 ?? ?? ?? ?? 0B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_85500_0 {
	meta:
		name = "TSeStyleObject.UseRightToLeftAlignment"
		size = 27
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 0D 00 74 09 80 B8 9C 00 00 00 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_85501_0 {
	meta:
		name = "TSeStyleObject.UseRightToLeftReading"
		size = 27
		refs = "0002 SysLocale"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 7A 0D 00 74 09 80 B8 9C 00 00 00 01 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_85502_0 {
	meta:
		name = "TSeStyleObject.Aligning"
		size = 1659
		refs = "0014 TSeStyleObject.Aligning 0021 TSeStyleObject.GetCount 0038 :TSeStyleObject.:1 003d @DynArraySetLength 0053 TSeStyleObject.GetObject 0067 TSeStyleObject.GetBoundsRect 00a6 Rect 00b1 TSeStyleObject.SetBoundsRect 0315 _Dn_TCanvas 031a TCanvas.Create 0323 GetDC 032c TCanvas.SetHandle 033d TCanvas.SetFont 034c TextWidth 0364 TSeStyleObject.SetWidth 036b TCanvas.GetHandle 0373 ReleaseDC 0383 TObject.Free 0668 @DynArrayClear 066e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 D2 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 48 89 45 F8 8B 45 F8 40 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 75 F8 85 F6 7C 16 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 89 04 9A 43 4E 75 ED 8D 55 C4 8B C7 E8 ?? ?? ?? ?? 8B 75 F8 85 F6 0F 8C 95 00 00 00 46 33 DB 8B 45 FC 8B 04 98 80 78 38 04 75 39 80 78 4C 00 74 33 89 45 F4 8B 45 F4 8B 40 48 03 45 C8 50 8D 45 B4 50 8B 4D CC 8B 55 C8 8B 45 C4 E8 ?? ?? ?? ?? 8D 55 B4 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 48 01 45 C8 8B 45 FC 8B 04 98 80 78 38 08 75 39 80 78 4C 00 74 33 89 45 F0 8B 45 D0 50 8D 45 B4 50 8B 45 F0 8B 55 D0 2B 50 48 8B 4D CC 8B 45 C4 E8 ?? ?? ?? ?? 8D 55 B4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 48 29 45 D0 43 4E 0F 85 6E FF FF FF 8B 75 F8 85 F6 0F 8C 98 00 00 00 46 33 DB 8B 45 FC 8B 04 98 80 78 38 02 75 39 80 78 4C 00 74 33 89 45 EC 8B 45 D0 50 8D 45 B4 50 8B 45 EC 8B 48 44 03 4D C4 8B 55 C8 8B 45 C4 E8 ?? ?? ?? ?? 8D 55 B4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8B 40 44 01 45 C4 8B 45 FC 8B 04 98 80 78 38 06 75 3C 80 78 4C 00 74 36 89 45 E8 8B 45 D0 50 8D 45 B4 50 8B 45 E8 FF 70 44 8B 45 CC 5A 2B C2 8B 4D CC 8B 55 C8 E8 ?? ?? ?? ?? 8D 55 B4 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 44 29 45 CC 43 4E 0F 85 6B FF FF FF 8B 75 F8 85 F6 0F 8C 95 00 00 00 46 33 DB 8B 45 FC 8B 04 98 80 78 38 03 75 39 80 78 4C 00 74 33 89 45 E4 8B 45 E4 8B 40 48 03 45 C8 50 8D 45 B4 50 8B 4D CC 8B 55 C8 8B 45 C4 E8 ?? ?? ?? ?? 8D 55 B4 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 8B 40 48 01 45 C8 8B 45 FC 8B 04 98 80 78 38 07 75 39 80 78 4C 00 74 33 89 45 E0 8B 45 D0 50 8D 45 B4 50 8B 45 E0 8B 55 D0 2B 50 48 8B 4D CC 8B 45 C4 E8 ?? ?? ?? ?? 8D 55 B4 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 48 29 45 D0 43 4E 0F 85 6E FF FF FF 8B 75 F8 85 F6 0F 8C 98 00 00 00 46 33 DB 8B 45 FC 8B 04 98 80 78 38 01 75 39 80 78 4C 00 74 33 89 45 DC 8B 45 D0 50 8D 45 B4 50 8B 45 DC 8B 48 44 03 4D C4 8B 55 C8 8B 45 C4 E8 ?? ?? ?? ?? 8D 55 B4 8B 45 DC E8 ?? ?? ?? ?? 8B 45 DC 8B 40 44 01 45 C4 8B 45 FC 8B 04 98 80 78 38 05 75 3C 80 78 4C 00 74 36 89 45 D8 8B 45 D0 50 8D 45 B4 50 8B 45 D8 FF 70 44 8B 45 CC 5A 2B C2 8B 4D CC 8B 55 C8 E8 ?? ?? ?? ?? 8D 55 B4 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 D8 8B 40 44 29 45 CC 43 4E 0F 85 6B FF FF FF 8B 5D F8 83 FB 00 0F 8C 94 00 00 00 8B 45 FC 8B 04 98 80 78 4C 00 74 7E 80 78 38 0F 75 78 89 45 D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 6A 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 D4 8B 10 FF 52 40 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 D4 8B 50 6C 33 C9 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 D4 8B 40 78 8B 4D D4 03 41 74 03 D0 8B 45 D4 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 0F 85 6C FF FF FF 8B 5D F8 83 FB 00 0F 8C 86 00 00 00 8B 45 FC 8B 04 98 80 78 38 0E 75 70 80 78 4C 00 74 6A 8B F0 8B 45 D0 2B 45 C8 2B 46 48 D1 F8 79 03 83 D0 00 03 45 C8 03 46 48 50 8D 45 B4 50 8B 4D CC 2B 4D C4 2B 4E 44 D1 F9 79 03 83 D1 00 03 4D C4 03 4E 44 8B 45 D0 2B 45 C8 2B 46 48 D1 F8 79 03 83 D0 00 03 45 C8 50 8B 45 CC 2B 45 C4 2B 46 44 D1 F8 79 03 83 D0 00 03 45 C4 5A E8 ?? ?? ?? ?? 8D 55 B4 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 0F 85 7A FF FF FF 8B 75 F8 85 F6 7C 43 46 33 DB 8B 45 FC 8B 04 98 80 78 38 09 75 30 8B 45 FC 8B 04 98 80 78 4C 00 74 24 8B 45 D0 50 8D 45 B4 50 8B 4D CC 8B 55 C8 8B 45 C4 E8 ?? ?? ?? ?? 8D 55 B4 8B 45 FC 8B 04 98 E8 ?? ?? ?? ?? 43 4E 75 C0 8B 75 F8 85 F6 7C 41 46 33 DB 8B 45 FC 8B 04 98 80 78 38 11 75 2E 8B 45 FC 8B 04 98 80 78 4C 00 74 22 8B 47 48 50 8D 45 B4 50 8B 4F 44 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 B4 8B 45 FC 8B 04 98 E8 ?? ?? ?? ?? 43 4E 75 C2 8B 75 F8 85 F6 0F 8C 91 01 00 00 46 33 DB 8B 45 FC 8B 04 98 80 78 38 10 75 32 8B 45 FC 8B 04 98 8B 40 48 50 8D 45 B4 50 8B 47 44 8B 55 FC 8B 14 9A 2B 42 44 8B 4F 44 33 D2 E8 ?? ?? ?? ?? 8D 55 B4 8B 45 FC 8B 04 98 E8 ?? ?? ?? ?? 8B 45 FC 8B 04 98 80 78 38 0A 75 6E 83 7F 5C 00 7E 68 8B 47 40 2B 47 68 8B 55 FC 8B 14 9A 03 42 40 8B 55 FC 8B 14 9A 03 42 48 50 8D 45 B4 50 8B 4F 3C 2B 4F 64 8B 45 FC 8B 04 98 03 48 3C 8B 45 FC 8B 04 98 03 48 44 8B 47 40 2B 47 68 8B 55 FC 8B 14 9A 03 42 40 50 8B 47 3C 2B 47 64 8B 55 FC 8B 14 9A 03 42 3C 5A E8 ?? ?? ?? ?? 8D 55 B4 8B 45 FC 8B 04 98 E8 ?? ?? ?? ?? 8B 45 FC 8B 04 98 80 78 38 0B 75 7E 83 7F 5C 00 7E 78 8B 47 40 2B 47 68 8B 55 FC 8B 14 9A 03 42 40 8B 55 FC 8B 14 9A 03 42 48 50 8D 45 B4 50 8B 47 3C 2B 47 64 03 47 44 8B 57 5C 8B 4D FC 8B 0C 99 2B 51 3C 2B C2 8B 55 FC 8B 14 9A 03 42 44 50 8B 47 3C 2B 47 64 03 47 44 8B 57 5C 8B 4D FC 8B 0C 99 2B 51 3C 2B C2 8B 57 40 2B 57 68 8B 4D FC 8B 0C 99 03 51 40 59 E8 ?? ?? ?? ?? 8D 55 B4 8B 45 FC 8B 04 98 E8 ?? ?? ?? ?? 8B 45 FC 8B 04 98 80 78 38 0C 75 1A 8B 47 60 8B 55 FC 8B 14 9A 2B 42 40 8B 57 48 2B D0 8B 45 FC 8B 04 98 89 50 40 8B 45 FC 8B 04 98 80 78 38 0D 75 12 8B 57 44 2B 50 3C 89 50 3C 8B 57 48 2B 50 40 89 50 40 43 4E 0F 85 72 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85503_0 {
	meta:
		name = "TSeStyleObject.AligningAll"
		size = 62
		refs = "0008 TSeStyleObject.Aligning 000f TSeStyleObject.GetCount 002d TSeStyleObject.GetObject 0032 TSeStyleObject.AligningAll"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 23 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 15 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 EE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85504_0 {
	meta:
		name = "TSeStyleObject.Invalidate"
		size = 41
		refs = "001c TWinControl.GetHandle 0022 SendMessage"
	strings:
		$1 = { 53 56 8B D8 80 7B 4C 00 74 1C 8B 73 58 85 F6 74 15 53 6A 00 68 49 08 00 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85505_0 {
	meta:
		name = "TSeStyleObject.Draw"
		size = 252
		refs = "002c IsRectEmpty 003c TSeStyleObject.GetBoundsRect 004b IntersectRect 006e TSeStyleObject.GetCount 0098 DesignMode 00b5 SeColorToColor 00bf FillRect 00e6 TSeStyleObject.DrawObjecTSext 00f1 TSeStyleObject.DrawChild"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F1 8B FA 8B D8 80 7B 4C 00 0F 84 DF 00 00 00 83 7B 44 00 0F 8E D5 00 00 00 83 7B 48 00 0F 8E CB 00 00 00 56 E8 ?? ?? ?? ?? 85 C0 75 23 56 8D 54 24 14 8B C3 E8 ?? ?? ?? ?? 8D 44 24 14 50 8D 44 24 08 50 E8 ?? ?? ?? ?? 85 C0 0F 84 9E 00 00 00 0F B6 43 39 3C 17 0F 84 92 00 00 00 3C 19 0F 84 8A 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 69 80 BB 81 00 00 00 00 74 60 81 BB A4 00 00 00 FF FF FF 1F 75 2F 80 3D ?? ?? ?? ?? 00 74 42 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8D 44 24 10 50 B8 7F 00 7F 00 E8 ?? ?? ?? ?? 8B C8 8B C7 5A E8 ?? ?? ?? ?? EB 1C 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8D 54 24 10 8B 8B A4 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85506_0 {
	meta:
		name = "TSeStyleObject.SafeDraw"
		size = 521
		refs = "0014 TSeStyleObject.GetBoundsRect 001d TRect.GetHeight 0041 _DV_TseBitmap 0046 TseBitmap.Create 005c TRect.GetWidth 007a TseBitmap.Clear 0097 TRect.Create 00a2 TSeStyleObject.SetBoundsRect 00a9 TBitmap.GetCanvas 00b0 NullRect 00ea TseBitmap.Draw 00fa TObject.Free"
	strings:
		$1 = { 53 56 57 55 83 C4 A0 8B F1 8B FA 8B D8 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8D 44 24 10 E8 ?? ?? ?? ?? 8B 93 90 00 00 00 03 93 94 00 00 00 3B C2 0F 8D CE 00 00 00 8B D4 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 54 24 20 8B C3 E8 ?? ?? ?? ?? 8D 44 24 20 E8 ?? ?? ?? ?? 8B D0 8B 8B 90 00 00 00 03 8B 94 00 00 00 8B C6 8B 28 FF 55 6C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 30 50 8B C6 8B 10 FF 52 24 50 8D 44 24 58 33 C9 33 D2 E8 ?? ?? ?? ?? 8D 54 24 50 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 B9 ?? ?? ?? ?? 8B C3 8B 28 FF 55 50 C6 46 44 01 8B C6 8B 10 FF 52 30 50 8B C6 8B 10 FF 52 24 50 33 C9 33 D2 8D 44 24 58 E8 ?? ?? ?? ?? 8D 44 24 50 50 8D 4C 24 04 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 FE 00 00 00 8D 54 24 30 8B C3 E8 ?? ?? ?? ?? 8D 44 24 30 E8 ?? ?? ?? ?? 8B 93 8C 00 00 00 03 93 98 00 00 00 3B C2 0F 8D CB 00 00 00 8B D4 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 54 24 40 8B C3 E8 ?? ?? ?? ?? 8D 44 24 40 E8 ?? ?? ?? ?? 8B C8 8B 93 8C 00 00 00 03 93 98 00 00 00 8B C6 8B 28 FF 55 6C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 30 50 8B C6 8B 10 FF 52 24 50 33 C9 33 D2 8D 44 24 58 E8 ?? ?? ?? ?? 8D 54 24 50 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 B9 ?? ?? ?? ?? 8B C3 8B 28 FF 55 50 C6 46 44 01 8B C6 8B 10 FF 52 30 50 8B C6 8B 10 FF 52 24 50 33 C9 33 D2 8D 44 24 58 E8 ?? ?? ?? ?? 8D 44 24 50 50 8D 4C 24 04 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 0B 8B CE 8B D7 8B C3 8B 18 FF 53 50 83 C4 60 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85507_0 {
	meta:
		name = "TSeStyleObject.DrawChild"
		size = 177
		refs = "0012 TSeStyleObject.GetCount 003c TSeStyleObject.GetObject 005a IsRectEmpty 007e TSeStyleObject.GetBoundsRect 008d IntersectRect"
	strings:
		$1 = { 53 56 57 83 C4 D4 89 4C 24 04 89 14 24 8B F8 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 8E 8C 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 7E 46 C7 44 24 08 00 00 00 00 8B 54 24 08 8B C7 E8 ?? ?? ?? ?? 8B D8 80 7B 4C 00 74 5B 83 7B 44 00 7E 55 83 7B 48 00 7E 4F 8B 44 24 04 50 E8 ?? ?? ?? ?? 85 C0 74 10 8B 4C 24 04 8B 14 24 8B C3 8B 18 FF 53 50 EB 31 8B 44 24 04 50 8D 54 24 20 8B C3 E8 ?? ?? ?? ?? 8D 44 24 20 50 8D 44 24 14 50 E8 ?? ?? ?? ?? 85 C0 74 0E 8B 4C 24 04 8B 14 24 8B C3 8B 18 FF 53 50 FF 44 24 08 4E 75 8B 83 C4 2C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85508_0 {
	meta:
		name = "TSeStyleObject.DrawObjecTSext"
		size = 736
		refs = "0016 TSeStyleObject.DrawObjecTSext 0029 @UStrEqual 0035 TSeStyleObject.GetBoundsRect 003d TRect.GetHeight 0053 InflateRect 006e FillRect 011e TCanvas.SetFont 0134 TFont.SetColor 0145 TCanvas.GetHandle 0156 TrimStr 0163 @UStrLAsg 016c TSeStyleObject.DrawTextBiDiModeFlags 0190 DrawText 01b2 OffsetRect 0295 TControl.DrawTextBiDiModeFlags 02bd @UStrClr 02c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 6C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 48 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 48 F7 D8 50 6A FD 8D 45 E8 50 E8 ?? ?? ?? ?? 8B 45 EC 40 89 45 F4 8B C3 8B 10 FF 52 40 8B 48 18 8D 55 E8 8B C7 E8 ?? ?? ?? ?? E9 35 02 00 00 83 7B 6C 00 0F 84 69 01 00 00 0F B6 43 70 83 F8 08 77 6A FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BE 20 00 00 00 EB 3D BE 21 00 00 00 EB 36 BE 22 00 00 00 EB 2F BE 24 00 00 00 EB 28 BE 25 00 00 00 EB 21 BE 26 00 00 00 EB 1A BE 28 00 00 00 EB 13 BE 29 00 00 00 EB 0C BE 2A 00 00 00 EB 05 BE 25 00 00 00 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 43 78 01 45 E8 8B 43 74 29 45 F0 8B 43 7C 01 45 EC 8B 93 A8 00 00 00 8B C7 E8 ?? ?? ?? ?? 80 BB 88 00 00 00 00 75 0D 8B 47 40 BA 80 80 80 00 E8 ?? ?? ?? ?? 80 7B 39 03 75 1E 8D 45 FC 50 8B C7 E8 ?? ?? ?? ?? 8B 4B 44 2B 4B 78 2B 4B 74 8B 53 6C E8 ?? ?? ?? ?? EB 0B 8D 45 FC 8B 53 6C E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 0D 00 08 00 00 8B F0 0F B6 83 80 00 00 00 2C 01 72 04 74 12 EB 64 56 8D 4D E8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 54 8B 47 40 8B 50 18 89 55 F8 BA 80 80 80 00 E8 ?? ?? ?? ?? 6A 01 6A 01 8D 45 E8 50 E8 ?? ?? ?? ?? 56 8D 4D E8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 47 40 8B 55 F8 E8 ?? ?? ?? ?? 6A FF 6A FF 8D 45 E8 50 E8 ?? ?? ?? ?? 56 8D 4D E8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 83 BB 84 00 00 00 00 0F 84 B5 00 00 00 0F B6 43 70 83 F8 08 77 6A FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BE 22 00 00 00 EB 3D BE 21 00 00 00 EB 36 BE 20 00 00 00 EB 2F BE 26 00 00 00 EB 28 BE 25 00 00 00 EB 21 BE 24 00 00 00 EB 1A BE 2A 00 00 00 EB 13 BE 29 00 00 00 EB 0C BE 28 00 00 00 EB 05 BE 25 00 00 00 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 43 78 01 45 E8 8B 43 74 29 45 F0 8B 43 7C 01 45 EC 8B 43 58 85 C0 74 09 8B D6 E8 ?? ?? ?? ?? 8B F0 56 8D 4D E8 8B 93 84 00 00 00 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_85509_0 {
	meta:
		name = "TSeStyleObject.GetFont"
		size = 7
	strings:
		$1 = { 8B 80 A8 00 00 00 C3 }
	condition:
		$1
}

rule function_85510_0 {
	meta:
		name = "TSeStyleObject.GetRegion"
		size = 217
		refs = "003a TSeStyleObject.GetCount 006d CreateRectRgn 008a TSeStyleObject.GetObject 009e TSeStyleObject.GetRegion 00b6 CombineRgn 00bc DeleteObject"
	strings:
		$1 = { 53 56 57 55 51 8B D8 0F B6 43 39 3C 16 74 08 3C 15 74 04 3C 18 75 0A 33 C0 89 04 24 E9 AF 00 00 00 83 7B 44 00 7E 06 83 7B 48 00 7F 0A 33 C0 89 04 24 E9 99 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E 80 00 00 00 80 BB 81 00 00 00 00 75 09 80 BB 9D 00 00 00 00 75 0C 8B C3 8B 10 FF 52 58 89 04 24 EB 6C 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 89 04 24 8B C3 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 4E 45 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 80 78 4C 00 74 2C 8B D7 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 18 6A 02 56 8B 44 24 08 50 8B 44 24 0C 50 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 47 4D 75 C1 EB 0A 8B C3 8B 10 FF 52 58 89 04 24 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85511_0 {
	meta:
		name = "TSeStyleObject.CreateRegion"
		size = 77
		refs = "002c CreateRoundRectRgn 0047 CreateRectRgn"
	strings:
		$1 = { 53 80 78 39 17 75 2B 8B 98 90 00 00 00 53 8B 98 8C 00 00 00 53 8B 48 40 8B D9 03 58 48 43 53 8B 50 3C 8B DA 03 58 44 43 53 51 52 E8 ?? ?? ?? ?? 5B C3 8B 48 40 8B D9 03 58 48 53 8B 50 3C 8B DA 03 58 44 53 51 52 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85518_0 {
	meta:
		name = "TSeStyleObject.SetCharset"
		size = 75
		refs = "0012 TFont.SetCharset 0019 TSeStyleObject.GetCount 0037 TSeStyleObject.GetObject"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 8B C5 8B 10 FF 52 40 8B D3 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 85 C0 7E 25 8B C5 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 17 46 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 74 47 4E 75 EC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85521_0 {
	meta:
		name = "TSeStyleObject.FindObjectByAction"
		size = 109
		refs = "0010 _DV_TSeSystemButton 0015 @IsClass 0030 TSeStyleObject.GetCount 004e TSeStyleObject.GetObject 0057 TSeStyleObject.FindObjectByAction"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B F0 33 FF 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 0F B6 86 BC 00 00 00 3A 04 24 75 04 8B FE EB 38 8B C6 E8 ?? ?? ?? ?? 85 C0 74 2D 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1F 43 33 ED 8B D5 8B C6 E8 ?? ?? ?? ?? 0F B6 14 24 E8 ?? ?? ?? ?? 8B F8 85 FF 75 04 45 4B 75 E4 8B C7 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85522_0 {
	meta:
		name = "TSeStyleObject.FindObjectByKind"
		size = 89
		refs = "001c TSeStyleObject.GetCount 003a TSeStyleObject.GetObject 0043 TSeStyleObject.FindObjectByKind"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B F8 33 F6 0F B6 47 39 3A 04 24 75 04 8B F7 EB 38 8B C7 E8 ?? ?? ?? ?? 85 C0 74 2D 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1F 43 33 ED 8B D5 8B C7 E8 ?? ?? ?? ?? 0F B6 14 24 E8 ?? ?? ?? ?? 8B F0 85 F6 75 04 45 4B 75 E4 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85523_0 {
	meta:
		name = "TSeStyleObject.FindObjectByName"
		size = 248
		refs = "0017 TSeStyleObject.FindObjectByName 002a CompareText 003c TSeStyleObject.GetCount 004d Pos 006b @UStrCopy 0091 TSeStyleObject.GetObject 00d0 @UStrClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 47 08 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 75 07 8B F7 E9 86 00 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 74 7B 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 7E 15 8D 45 FC 50 8B 4D F0 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 42 43 C7 45 F4 00 00 00 00 83 7D F0 00 7E 16 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B F0 EB 14 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 75 06 FF 45 F4 4B 75 C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_85524_0 {
	meta:
		name = "TSeStyleObject.FindObjectByPoint"
		size = 183
		refs = "002b TSeStyleObject.GetBoundsRect 0035 PtInRect 0045 DesignMode 004f TSeStyleObject.GetCount 0092 TSeStyleObject.GetObject 0099 TSeStyleObject.FindObjectByPoint"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B F2 8D 3C 24 A5 A5 8B D8 33 ED 80 7B 4C 00 0F 84 91 00 00 00 FF 74 24 04 FF 74 24 04 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8D 44 24 10 50 E8 ?? ?? ?? ?? 85 C0 74 70 80 7B 39 16 75 09 80 3D ?? ?? ?? ?? 00 74 61 8B C3 E8 ?? ?? ?? ?? 85 C0 75 25 FF 74 24 04 FF 74 24 04 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8D 44 24 10 50 E8 ?? ?? ?? ?? 85 C0 74 35 8B EB EB 31 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1D 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 85 C0 74 02 8B E8 47 4E 75 E6 85 ED 75 02 8B EB 8B C5 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85525_0 {
	meta:
		name = "TSeStyleObject.FindObjectByPointAll"
		size = 213
		refs = "0021 TSeStyleObject.GetBoundsRect 002b PtInRect 003f DesignMode 004d TSeStyleObject.GetCount 00a0 TSeStyleObject.GetObject 00a7 TSeStyleObject.FindObjectByPointAll"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B F2 8D 3C 24 A5 A5 8B D8 33 ED FF 74 24 04 FF 74 24 04 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8D 44 24 10 50 E8 ?? ?? ?? ?? 85 C0 0F 84 94 00 00 00 80 7B 39 16 75 0D 80 3D ?? ?? ?? ?? 00 0F 84 81 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 75 35 0F B6 43 39 3C 15 74 6E 3C 17 74 6A 3C 19 74 66 FF 74 24 04 FF 74 24 04 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8D 44 24 10 50 E8 ?? ?? ?? ?? 85 C0 74 45 8B EB EB 41 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 1D 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 85 C0 74 02 8B E8 47 4E 75 E6 0F B6 43 39 3C 15 74 0E 3C 17 74 0A 3C 19 74 06 85 ED 75 02 8B EB 8B C5 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85526_0 {
	meta:
		name = "TSeStyleObject.DefineProperties"
		size = 72
		refs = "000b TComponent.DefineProperties 0011 TSeStyleObject.ReadData 0017 TSeStyleObject.WriteData 001e TSeStyleObject.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 08 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 62 00 6A 00 65 00 63 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_85527_0 {
	meta:
		name = "TSeStyleObject.ReadData"
		size = 93
		refs = "003a LoadStyleObjectBinary 0051 LoadStyleObject"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 8B D4 B9 04 00 00 00 8B C7 8B 18 FF 53 0C 8B 04 24 25 00 00 0F 00 3D 00 00 0F 00 75 1E 81 24 24 FF FF F0 FF 8B 1C 24 4B 85 DB 7C 24 43 8B D6 8B C7 E8 ?? ?? ?? ?? 4B 75 F4 EB 15 8B 1C 24 4B 85 DB 7C 0D 43 8B D6 8B C7 E8 ?? ?? ?? ?? 4B 75 F4 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85528_0 {
	meta:
		name = "TSeStyleObject.WriteData"
		size = 85
		refs = "000e TSeStyleObject.GetCount 003d TSeStyleObject.GetObject 0047 SaveStyleObjectBinary"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 14 24 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 B8 00 00 0F 00 0B C3 89 44 24 04 8D 54 24 04 B9 04 00 00 00 8B 04 24 8B 30 FF 56 10 4B 85 DB 7C 1A 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 04 24 E8 ?? ?? ?? ?? 46 4B 75 E9 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85529_0 {
	meta:
		name = "TSeStyleObject.SetBoundsRect"
		size = 151
		refs = "0078 TSeStyleObject.Aligning"
	strings:
		$1 = { 53 56 8B D8 8B 0A 8B 43 3C 3B C8 75 21 8B 4A 04 3B 4B 40 75 19 8B 4A 08 8B F0 03 73 44 3B CE 75 0D 8B 4A 0C 8B 73 40 03 73 48 3B CE 74 66 89 43 64 8B 43 40 89 43 68 8B 43 44 89 43 5C 8B 43 48 89 43 60 8B 02 89 43 3C 8B 42 04 89 43 40 8B 42 08 2B 02 89 43 44 8B 42 0C 2B 42 04 89 43 48 83 7B 44 00 7D 05 33 C0 89 43 44 83 7B 48 00 7D 05 33 C0 89 43 48 8B C3 E8 ?? ?? ?? ?? 8B 43 3C 89 43 64 8B 43 40 89 43 68 8B 43 44 89 43 5C 8B 43 48 89 43 60 5E 5B C3 }
	condition:
		$1
}

rule function_85532_0 {
	meta:
		name = "TSeStyleObject.GetBoundsRect"
		size = 40
		refs = "001f Rect"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 7B 40 8B C7 03 43 48 50 55 8B 73 3C 8B CE 03 4B 44 8B D7 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85533_0 {
	meta:
		name = "TSeStyleObject.SetHeight"
		size = 56
		refs = "0023 Rect 002c TSeStyleObject.SetBoundsRect"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B EA 8B D8 8B 7B 40 03 EF 55 8D 44 24 04 50 8B 73 3C 8B CE 03 4B 44 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85534_0 {
	meta:
		name = "TSeStyleObject.SetWidth"
		size = 58
		refs = "0025 Rect 002e TSeStyleObject.SetBoundsRect"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B EA 8B D8 8B 7B 40 8B C7 03 43 48 50 8D 44 24 04 50 8B 73 3C 8B CE 03 CD 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85535_0 {
	meta:
		name = "TSeStyleObject.SetLeft"
		size = 54
		refs = "0022 Rect 002b TSeStyleObject.SetBoundsRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B 7B 40 8B C7 03 43 48 50 8D 44 24 04 50 8B CE 03 4B 44 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85536_0 {
	meta:
		name = "TSeStyleObject.SetTop"
		size = 54
		refs = "0022 Rect 002b TSeStyleObject.SetBoundsRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B C6 03 43 48 50 8D 44 24 04 50 8B 7B 3C 8B CF 03 4B 44 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85537_0 {
	meta:
		name = "TSeStyleObject.SetBitmaps"
		size = 64
		refs = "000e TSeStyleObject.GetCount 002c TSeStyleObject.GetObject 0033 TSeStyleObject.SetBitmaps"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 89 6E 50 8B C6 E8 ?? ?? ?? ?? 85 C0 74 25 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 17 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 47 4B 75 EC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85538_0 {
	meta:
		name = "TSeStyleObject.SetBiDiMode"
		size = 67
		refs = "0011 TSeStyleObject.GetCount 002f TSeStyleObject.GetObject 0036 TSeStyleObject.SetBiDiMode"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 88 9E 9C 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 25 8B C6 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 17 45 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 47 4D 75 EC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85540_0 {
	meta:
		name = "TSeStyleObject.SetActive"
		size = 69
		refs = "0013 TSeStyleObject.GetCount 0031 TSeStyleObject.GetObject 0038 TSeStyleObject.SetActive"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 3A 5D 54 74 33 88 5D 54 8B C5 E8 ?? ?? ?? ?? 85 C0 74 25 8B C5 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 17 46 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 47 4E 75 EC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85541_0 {
	meta:
		name = "TSeStyleObject.SetParentControl"
		size = 81
		refs = "0018 TSeStyleObject.SetBiDiMode 001f TSeStyleObject.GetCount 003d TSeStyleObject.GetObject 0044 TSeStyleObject.SetParentControl"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B C5 89 43 58 85 C0 74 0B 0F B6 50 69 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 25 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 17 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 47 4E 75 EC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85542_0 {
	meta:
		name = "TSeStyleObject.SetState"
		size = 64
		refs = "000e TSeStyleObject.GetCount 002c TSeStyleObject.GetObject"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 88 5E 55 8B C6 E8 ?? ?? ?? ?? 85 C0 74 25 8B C6 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 17 45 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 48 47 4D 75 EC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85543_0 {
	meta:
		name = "TSeStyleObject.SetSysButtons"
		size = 76
		refs = "0018 TSeStyleObject.GetCount 0036 TSeStyleObject.GetObject"
	strings:
		$1 = { 53 56 57 51 66 89 14 24 8B F0 0F B7 04 24 66 89 86 9E 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 27 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 19 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 0F B7 14 24 8B 08 FF 51 44 47 4B 75 EA 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85544_0 {
	meta:
		name = "TSeStyleObject.SetMarginBottom"
		size = 7
	strings:
		$1 = { 89 90 94 00 00 00 C3 }
	condition:
		$1
}

rule function_85546_0 {
	meta:
		name = "TSeStyleObject.SetMarginRight"
		size = 7
	strings:
		$1 = { 89 90 98 00 00 00 C3 }
	condition:
		$1
}

rule function_85548_0 {
	meta:
		name = "TSeActiveObject.Create"
		size = 196
		refs = "000e @ClassCreate 001c TSeStyleObject.Create 0023 _Dn_TFont 0028 TFont.Create 003b TSeActiveObject.Create 0040 TFont.SetName 0050 TFont.SetSize 0091 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B0 00 00 00 8B 83 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 BA 08 00 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B4 00 00 00 8B 83 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 68 00 6F 00 6D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_85549_0 {
	meta:
		name = "TSeActiveObject.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0028 TSeStyleObject.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? 8B 86 B0 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85550_0 {
	meta:
		name = "TSeActiveObject.Assign"
		size = 101
		refs = "000b _DV_TSeActiveObject 0010 @IsClass 001d TSeStyleObject.Assign 002a @AsClass 0045 TSeActiveObject.SetActiveFont 0052 TSeActiveObject.SetDisabledFont"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 40 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 87 AC 00 00 00 89 83 AC 00 00 00 8B 97 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85551_0 {
	meta:
		name = "TSeActiveObject.SetCharset"
		size = 31
		refs = "000b TSeStyleObject.SetCharset 0018 TFont.SetCharset"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 86 B0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85552_0 {
	meta:
		name = "TSeActiveObject.GetFont"
		size = 25
		refs = "0014 TSeStyleObject.GetFont"
	strings:
		$1 = { 0F B6 50 55 80 C2 FB 80 EA 03 73 07 8B 80 B0 00 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85553_0 {
	meta:
		name = "TSeActiveObject.Draw"
		size = 325
		refs = "0056 TSeActiveObject.Draw 0088 TSeStyleObject.Draw 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 45 FC 8B 45 FC 83 78 44 00 0F 8E 29 01 00 00 8B 45 FC 83 78 48 00 0F 8E 1C 01 00 00 8B 45 FC 80 78 54 00 75 0D 8B 45 FC 0F B6 40 55 04 FB 2C 03 73 7F 8B 45 FC 8B 80 A8 00 00 00 89 45 F4 8B 45 FC 8B 80 A4 00 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 AC 00 00 00 8B 5D FC 89 83 A4 00 00 00 8B 45 FC 8B 80 B0 00 00 00 8B 5D FC 89 83 A8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 90 A8 00 00 00 8B 45 FC 8B 55 F8 89 90 A4 00 00 00 C3 E9 ?? ?? ?? ?? EB E0 8B 45 FC 80 78 55 08 75 76 8B 45 FC 8B 80 A8 00 00 00 89 45 F4 8B 45 FC 8B 80 A4 00 00 00 89 45 F8 33 DB 55 68 ?? ?? ?? ?? 64 FF 33 64 89 23 8B 5D FC 89 83 A4 00 00 00 8B 45 FC 8B 80 B4 00 00 00 8B 5D FC 89 83 A8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 90 A8 00 00 00 8B 45 FC 8B 55 F8 89 90 A4 00 00 00 C3 E9 ?? ?? ?? ?? EB E0 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85556_0 {
	meta:
		name = "TSeBitmapObject.Create"
		size = 85
		refs = "000a @ClassCreate 0017 TSeStyleObject.Create 001e _DV_TseBitmapLink 0023 TObject.Create 0042 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 AC 00 00 00 C6 86 B3 00 00 00 01 C6 86 B2 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_85558_0 {
	meta:
		name = "TSeBitmapObject.AfterLoad"
		size = 123
		refs = "000b TSeStyleObject.AfterLoad 0023 TseBitmapList.GetBitmapLink 003c TObject.Free 0067 Rect 0070 TseBitmapLink.CheckingMasked"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 50 85 C0 74 5E 8B 93 AC 00 00 00 8D 4A 08 8B 52 18 E8 ?? ?? ?? ?? 8B F0 85 F6 74 47 8D 83 AC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B FE 89 BB AC 00 00 00 8B 83 94 00 00 00 50 8D 44 24 04 50 8B 8B 98 00 00 00 8B 93 90 00 00 00 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 8B D4 8B C7 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85559_0 {
	meta:
		name = "TSeBitmapObject.Assign"
		size = 133
		refs = "000b _DV_TSeBitmapObject 0010 @IsClass 001d TSeStyleObject.Assign 002a @AsClass 0058 TSeBitmapObject.SetBorderTileStyle"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 60 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 97 AC 00 00 00 8B 83 AC 00 00 00 8B 08 FF 51 08 0F B6 87 B0 00 00 00 88 83 B0 00 00 00 0F B6 97 B1 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 87 B2 00 00 00 88 83 B2 00 00 00 0F B6 87 B3 00 00 00 88 83 B3 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85560_0 {
	meta:
		name = "TSeBitmapObject.DrawRect"
		size = 430
		refs = "0013 TRect.GetWidth 001c TRect.GetHeight 005c TSeBitmapObject.DrawRect 0097 OffsetRect 00c5 TseBitmap.Tile 0117 TseBitmap.Draw 0123 TSeStyleObject.GetBoundsRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F1 89 55 FC 8B D8 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 0F AF F8 85 FF 0F 84 7A 01 00 00 8B 83 AC 00 00 00 8B 40 04 8B 10 FF 52 2C 88 45 FB 8B 83 AC 00 00 00 8B 40 04 0F B6 40 44 88 45 FA 0F B6 45 0C 83 F8 06 0F 87 2A 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 10 56 8B F0 8D 7D E8 A5 A5 A5 A5 5E 8B 43 40 50 8B 43 3C 50 8D 45 E8 50 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 8B 40 04 0F B6 55 08 8B 08 FF 51 40 8B 83 AC 00 00 00 8B 40 04 0F B6 55 08 88 50 44 56 8D 4D E8 8B 55 FC E8 ?? ?? ?? ?? E9 B5 00 00 00 8B 45 10 56 8B F0 8D 7D E8 A5 A5 A5 A5 5E 8B 43 40 50 8B 43 3C 50 8D 45 E8 50 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 8B 40 04 0F B6 55 08 8B 08 FF 51 40 8B 83 AC 00 00 00 8B 40 04 0F B6 55 08 88 50 44 56 8D 4D E8 8B 55 FC E8 ?? ?? ?? ?? EB 66 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 8B 40 04 0F B6 55 08 8B 08 FF 51 40 8B 83 AC 00 00 00 8B 78 04 0F B6 45 08 88 47 44 8D 45 E8 E8 ?? ?? ?? ?? 8B 53 48 2B D0 D1 FA 79 03 83 D2 00 03 53 40 52 56 8D 45 E8 E8 ?? ?? ?? ?? 8B 4B 44 2B C8 D1 F9 79 03 83 D1 00 03 4B 3C 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 8B 40 04 0F B6 55 FB 8B 08 FF 51 40 8B 83 AC 00 00 00 8B 40 04 0F B6 55 FA 88 50 44 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85561_0 {
	meta:
		name = "TSeBitmapObject.DrawNormal"
		size = 987
		refs = "0014 TseBitmapLink.GetAssigned 002f TSeStyleObject.Draw 0038 TSeStyleObject.DrawObjecTSext 003f TSeStyleObject.Aligning 004a TSeStyleObject.DrawChild 00b9 TSeBitmapObject.DrawNormal 00db IsRectEmpty 00f5 TSeStyleObject.GetBoundsRect 0109 TseBitmap.TileClip 0137 TseBitmap.Tile 0174 TseBitmap.Draw 01a9 TRect.GetHeight 01cc TRect.GetWidth 022c RectCenter"
	strings:
		$1 = { 53 56 57 55 83 C4 CC 8B F9 8B F2 8B E8 8B 85 AC 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 0C 81 BD A4 00 00 00 FF FF FF 1F 75 2B 8B CF 8B D6 8B C5 E8 ?? ?? ?? ?? 8B D6 8B C5 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C5 E8 ?? ?? ?? ?? E9 80 03 00 00 83 7D 44 00 0F 8E 76 03 00 00 83 7D 48 00 0F 8E 6C 03 00 00 8B 85 AC 00 00 00 8B 40 04 8B 10 FF 52 2C 8B D8 8B 85 AC 00 00 00 0F B6 50 1E 8B 40 04 8B 08 FF 51 40 8B 85 AC 00 00 00 8B 40 04 0F B6 50 44 88 14 24 8B 95 AC 00 00 00 0F B6 52 1E 88 50 44 0F B6 95 B0 00 00 00 83 FA 06 0F 87 E2 02 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 85 C0 75 2F 57 8B 85 AC 00 00 00 83 C0 08 50 8D 54 24 1C 8B C5 E8 ?? ?? ?? ?? 8D 4C 24 1C 8B 85 AC 00 00 00 8B 40 04 8B D6 E8 ?? ?? ?? ?? E9 86 02 00 00 8B 85 AC 00 00 00 83 C0 08 50 8D 54 24 18 8B C5 E8 ?? ?? ?? ?? 8D 4C 24 18 8B 85 AC 00 00 00 8B 40 04 8B D6 E8 ?? ?? ?? ?? E9 58 02 00 00 8B 95 AC 00 00 00 0F B6 52 1E 8B 08 FF 51 40 8B 85 AC 00 00 00 83 C0 08 50 8D 54 24 18 8B C5 E8 ?? ?? ?? ?? 8D 4C 24 18 8B 85 AC 00 00 00 8B 40 04 8B D6 E8 ?? ?? ?? ?? E9 1B 02 00 00 8B 85 AC 00 00 00 56 57 8D 70 08 8D 7C 24 0C A5 A5 A5 A5 5F 5E 8B 85 AC 00 00 00 0F B6 50 1E 8B 40 04 8B 08 FF 51 40 8D 44 24 04 E8 ?? ?? ?? ?? 8B 55 48 2B D0 D1 FA 79 03 83 D2 00 03 55 40 52 8B 85 AC 00 00 00 83 C0 08 50 8D 44 24 0C E8 ?? ?? ?? ?? 8B 4D 44 2B C8 D1 F9 79 03 83 D1 00 03 4D 3C 8B 85 AC 00 00 00 8B 40 04 8B D6 E8 ?? ?? ?? ?? E9 A4 01 00 00 8B 85 AC 00 00 00 56 57 8D 70 08 8D 7C 24 0C A5 A5 A5 A5 5F 5E 8B 44 24 08 03 45 48 89 44 24 10 8D 54 24 24 8B C5 E8 ?? ?? ?? ?? 8D 54 24 24 8D 4C 24 14 8D 44 24 04 E8 ?? ?? ?? ?? 8B 85 AC 00 00 00 0F B6 50 1E 8B 40 04 8B 08 FF 51 40 8B 85 AC 00 00 00 8D 50 08 52 8D 4C 24 08 8B 40 04 8B D6 E8 ?? ?? ?? ?? E9 39 01 00 00 8B 85 AC 00 00 00 56 57 8D 70 08 8D 7C 24 0C A5 A5 A5 A5 5F 5E 8B 44 24 08 03 45 48 89 44 24 10 8D 54 24 24 8B C5 E8 ?? ?? ?? ?? 8D 54 24 24 8D 4C 24 14 8D 44 24 04 E8 ?? ?? ?? ?? 8B 85 AC 00 00 00 0F B6 50 1E 8B 40 04 8B 08 FF 51 40 8B 85 AC 00 00 00 8D 50 08 52 8D 4C 24 08 8B 40 04 8B D6 E8 ?? ?? ?? ?? E9 CE 00 00 00 8B 85 AC 00 00 00 56 57 8D 70 08 8D 7C 24 0C A5 A5 A5 A5 5F 5E 8B 44 24 04 03 45 44 89 44 24 0C 8D 54 24 24 8B C5 E8 ?? ?? ?? ?? 8D 54 24 24 8D 4C 24 14 8D 44 24 04 E8 ?? ?? ?? ?? 8B 85 AC 00 00 00 0F B6 50 1E 8B 40 04 8B 08 FF 51 40 8B 85 AC 00 00 00 8D 50 08 52 8D 4C 24 08 8B 40 04 8B D6 E8 ?? ?? ?? ?? EB 66 8B 85 AC 00 00 00 56 57 8D 70 08 8D 7C 24 0C A5 A5 A5 A5 5F 5E 8B 44 24 04 03 45 44 89 44 24 0C 8D 54 24 24 8B C5 E8 ?? ?? ?? ?? 8D 54 24 24 8D 4C 24 14 8D 44 24 04 E8 ?? ?? ?? ?? 8B 85 AC 00 00 00 0F B6 50 1E 8B 40 04 8B 08 FF 51 40 8B 85 AC 00 00 00 8D 50 08 52 8D 4C 24 08 8B 40 04 8B D6 E8 ?? ?? ?? ?? 8B 85 AC 00 00 00 8B 40 04 8B D3 8B 08 FF 51 40 8B 85 AC 00 00 00 8B 40 04 0F B6 14 24 88 50 44 8B D6 8B C5 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C5 E8 ?? ?? ?? ?? 83 C4 34 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85562_0 {
	meta:
		name = "TSeBitmapObject.SafeDraw"
		size = 348
		refs = "0021 TseBitmapLink.GetAssigned 0034 TSeStyleObject.GetBoundsRect 003d TRect.GetWidth 0065 TRect.GetHeight 008d _DV_TseBitmap 0092 TseBitmap.Create 00e4 TRect.Create 00ef TSeStyleObject.SetBoundsRect 00f6 TBitmap.GetCanvas 00fd NullRect 0133 TseBitmap.Draw 0143 TObject.Free 0150 TSeStyleObject.SafeDraw"
	strings:
		$1 = { 53 56 57 55 83 C4 A0 8B F1 8B FA 8B D8 80 BB B0 00 00 00 02 0F 85 2F 01 00 00 8B 83 AC 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 1C 01 00 00 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8D 44 24 10 E8 ?? ?? ?? ?? 8B E8 8B 83 AC 00 00 00 83 C0 08 E8 ?? ?? ?? ?? 3B E8 7C 2C 8D 54 24 20 8B C3 E8 ?? ?? ?? ?? 8D 44 24 20 E8 ?? ?? ?? ?? 8B E8 8B 83 AC 00 00 00 83 C0 08 E8 ?? ?? ?? ?? 3B E8 0F 8D C8 00 00 00 8B D4 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 54 24 40 8B C3 E8 ?? ?? ?? ?? 8D 44 24 40 E8 ?? ?? ?? ?? 50 8D 54 24 34 8B C3 E8 ?? ?? ?? ?? 8D 44 24 34 E8 ?? ?? ?? ?? 8B D0 8B C6 59 8B 28 FF 55 6C 8B C6 8B 10 FF 52 30 50 8B C6 8B 10 FF 52 24 50 8D 44 24 58 33 C9 33 D2 E8 ?? ?? ?? ?? 8D 54 24 50 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 B9 ?? ?? ?? ?? 8B C3 8B 28 FF 55 50 8B C6 8B 10 FF 52 30 50 8B C6 8B 10 FF 52 24 50 8D 44 24 58 33 C9 33 D2 E8 ?? ?? ?? ?? 8D 44 24 50 50 8D 4C 24 04 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 0B 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 83 C4 60 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85563_0 {
	meta:
		name = "TSeBitmapObject.Draw"
		size = 1585
		refs = "0019 TseBitmapLink.GetAssigned 006f TSeBitmapObject.DrawNormal 00c7 Rect 010a RectCenter 020c TSeBitmapObject.DrawRect 0418 OffsetRect 0479 TseBitmap.Draw 0612 TSeStyleObject.DrawObjecTSext 0619 TSeStyleObject.Aligning 0625 TSeStyleObject.DrawChild"
	strings:
		$1 = { 53 56 57 55 83 C4 A8 89 0C 24 8B F2 8B D8 8D 6C 24 28 8B 83 AC 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 04 06 00 00 83 7B 44 00 0F 8E FA 05 00 00 83 7B 48 00 0F 8E F0 05 00 00 80 7B 39 19 0F 84 E6 05 00 00 83 BB 8C 00 00 00 00 75 2C 83 BB 90 00 00 00 00 75 23 83 BB 98 00 00 00 00 75 1A 83 BB 94 00 00 00 00 75 11 8B 0C 24 8B D6 8B C3 E8 ?? ?? ?? ?? E9 B1 05 00 00 8B 83 AC 00 00 00 8B 40 04 8B 10 FF 52 2C 88 44 24 04 8B 83 AC 00 00 00 8B 40 04 0F B6 40 44 88 44 24 05 0F B6 83 B0 00 00 00 2C 02 72 14 0F 84 A4 00 00 00 48 2C 02 72 1F 2C 02 72 5B E9 CB 00 00 00 8B 43 48 50 55 8B 4B 44 33 D2 33 C0 E8 ?? ?? ?? ?? E9 B5 00 00 00 8B 83 AC 00 00 00 56 8D 70 08 8B FD A5 A5 A5 A5 5E 8B 45 04 03 43 48 89 45 0C 8B 43 48 50 8D 44 24 4C 50 8B 4B 44 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 54 24 48 8D 4C 24 38 8B C5 E8 ?? ?? ?? ?? EB 75 8B 83 AC 00 00 00 56 8D 70 08 8B FD A5 A5 A5 A5 5E 8B 45 00 03 43 44 89 45 08 8B 43 48 50 8D 44 24 4C 50 8B 4B 44 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 54 24 48 8D 4C 24 38 8B C5 E8 ?? ?? ?? ?? EB 35 8B 83 AC 00 00 00 56 8D 70 08 8B FD A5 A5 A5 A5 5E 8B 43 48 50 8D 44 24 4C 50 8B 4B 44 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 54 24 48 8D 4C 24 38 8B C5 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 8D 78 08 8B 47 0C 2B 83 94 00 00 00 50 8D 44 24 0C 50 8B 4F 08 2B 8B 98 00 00 00 8B 57 04 03 93 90 00 00 00 8B 07 03 83 8C 00 00 00 E8 ?? ?? ?? ?? 8B 45 0C 2B 83 94 00 00 00 50 8D 44 24 1C 50 8B 4D 08 2B 8B 98 00 00 00 8B 55 04 03 93 90 00 00 00 8B 45 00 03 83 8C 00 00 00 E8 ?? ?? ?? ?? 8D 44 24 18 50 0F B6 83 B0 00 00 00 50 8B 83 AC 00 00 00 0F B6 40 1E 50 8D 4C 24 14 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 8D 78 08 8B 47 04 03 83 90 00 00 00 50 8D 44 24 0C 50 8B 4F 08 2B 8B 98 00 00 00 8B 57 04 8B 07 03 83 8C 00 00 00 E8 ?? ?? ?? ?? 8B 7D 04 8B C7 03 83 90 00 00 00 50 8D 44 24 1C 50 8B 4D 08 2B 8B 98 00 00 00 8B 45 00 03 83 8C 00 00 00 8B D7 E8 ?? ?? ?? ?? 8D 44 24 18 50 0F B6 83 B1 00 00 00 50 8B 83 AC 00 00 00 0F B6 40 1C 50 8D 4C 24 14 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 8D 78 08 8B 47 0C 50 8D 44 24 0C 50 8B 4F 08 2B 8B 98 00 00 00 8B 57 0C 2B 93 94 00 00 00 8B 07 03 83 8C 00 00 00 E8 ?? ?? ?? ?? 8B 7D 0C 57 8D 44 24 1C 50 8B 4D 08 2B 8B 98 00 00 00 8B D7 2B 93 94 00 00 00 8B 45 00 03 83 8C 00 00 00 E8 ?? ?? ?? ?? 8D 44 24 18 50 0F B6 83 B1 00 00 00 50 8B 83 AC 00 00 00 0F B6 40 1C 50 8D 4C 24 14 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 8D 78 08 8B 47 0C 2B 83 94 00 00 00 50 8D 44 24 0C 50 8B 0F 03 8B 8C 00 00 00 8B 57 04 03 93 90 00 00 00 8B 07 E8 ?? ?? ?? ?? 8B 45 0C 2B 83 94 00 00 00 50 8D 44 24 1C 50 8B 7D 00 8B CF 03 8B 8C 00 00 00 8B 55 04 03 93 90 00 00 00 8B C7 E8 ?? ?? ?? ?? 8D 44 24 18 50 0F B6 83 B1 00 00 00 50 8B 83 AC 00 00 00 0F B6 40 1C 50 8D 4C 24 14 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 8D 78 08 8B 47 0C 2B 83 94 00 00 00 50 8D 44 24 0C 50 8B 4F 08 8B 57 04 03 93 90 00 00 00 8B 47 08 2B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 45 0C 2B 83 94 00 00 00 50 8D 44 24 1C 50 8B 55 04 03 93 90 00 00 00 8B 7D 08 8B C7 2B 83 98 00 00 00 8B CF E8 ?? ?? ?? ?? 8D 44 24 18 50 0F B6 83 B1 00 00 00 50 8B 83 AC 00 00 00 0F B6 40 1C 50 8D 4C 24 14 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 40 50 8B 43 3C 50 55 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 8D 78 08 8B 47 04 03 83 90 00 00 00 50 8D 44 24 0C 50 8B 0F 03 8B 8C 00 00 00 8B 57 04 8B 07 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 0F B6 50 1D 8B 40 04 8B 08 FF 51 40 8B 83 AC 00 00 00 0F B6 48 1D 8B 50 04 88 4A 44 8B 45 04 50 8D 44 24 0C 50 8B C2 8B 4D 00 8B D6 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 8D 78 08 8B 47 04 03 83 90 00 00 00 50 8D 44 24 0C 50 8B 4F 08 8B 57 04 8B 47 08 2B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 0F B6 50 1D 8B 40 04 8B 08 FF 51 40 8B 83 AC 00 00 00 0F B6 50 1D 8B 40 04 88 50 44 8B 45 04 50 8D 44 24 0C 50 8B 4D 08 2B 8B 98 00 00 00 8B 83 AC 00 00 00 8B 40 04 8B D6 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 8D 78 08 8B 47 0C 50 8D 44 24 0C 50 8B 0F 03 8B 8C 00 00 00 8B 57 0C 2B 93 94 00 00 00 8B 07 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 0F B6 50 1D 8B 83 AC 00 00 00 8B 40 04 8B 08 FF 51 40 8B 83 AC 00 00 00 0F B6 40 1D 8B 93 AC 00 00 00 8B 52 04 88 42 44 8B 45 0C 2B 83 94 00 00 00 50 8D 44 24 0C 50 8B 83 AC 00 00 00 8B 40 04 8B 4D 00 8B D6 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 8D 78 08 8B 47 0C 50 8D 44 24 0C 50 8B 4F 08 8B 57 0C 2B 93 94 00 00 00 8B 47 08 2B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 0F B6 50 1D 8B 83 AC 00 00 00 8B 40 04 8B 08 FF 51 40 8B 83 AC 00 00 00 0F B6 40 1D 8B 93 AC 00 00 00 8B 52 04 88 42 44 8B 45 0C 2B 83 94 00 00 00 50 8D 44 24 0C 50 8B 4D 08 2B 8B 98 00 00 00 8B 83 AC 00 00 00 8B 40 04 8B D6 E8 ?? ?? ?? ?? 8B 83 AC 00 00 00 8B 40 04 0F B6 54 24 04 8B 08 FF 51 40 8B 83 AC 00 00 00 8B 40 04 0F B6 54 24 05 88 50 44 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 0C 24 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 58 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85564_0 {
	meta:
		name = "TSeBitmapObject.CreateRegion"
		size = 468
		refs = "0019 TseBitmapLink.GetAssigned 0075 CreateRectRgn 0088 TSeStyleObject.GetBoundsRect 0090 TSeBitmapObject.CreateRegion 00b0 Rect 00bb TSeStyleObject.SetBoundsRect 00c2 _DV_TseBitmap 00c7 TseBitmap.Create 0112 TBitmap.GetCanvas 011d FillRect 0188 CreateRegionFromBitmap 01a0 TObject.Free 01a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 89 45 FC 33 C0 89 45 F8 8B 45 FC 8B 80 AC 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 A7 01 00 00 8B 45 FC 83 78 44 00 0F 8E 9A 01 00 00 8B 45 FC 83 78 48 00 0F 8E 8D 01 00 00 8B 45 FC 80 78 39 0D 74 0C 8B 45 FC 80 B8 9D 00 00 00 00 75 2D 8B 55 FC 8B 52 40 8B CA 8B 5D FC 03 4B 48 51 8B 45 FC 8B 40 3C 8B C8 8B 5D FC 03 4B 44 51 52 50 E8 ?? ?? ?? ?? 89 45 F8 E9 4B 01 00 00 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 48 50 8D 45 D4 50 8B 45 FC 8B 48 44 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 48 48 8B 45 FC 8B 50 44 8B 45 F4 8B 18 FF 53 6C 8B 45 FC 8B 40 48 50 8D 45 D4 50 8B 45 FC 8B 48 44 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 D4 50 8B 45 F4 E8 ?? ?? ?? ?? B9 7F 00 7F 00 5A E8 ?? ?? ?? ?? 8B 45 FC 80 78 39 19 75 32 8B 45 FC C6 40 39 00 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 D4 50 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 59 8B 18 FF 53 50 8B 45 FC C6 40 39 19 EB 22 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 D4 50 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 59 8B 18 FF 53 50 8B 4D E8 8B 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85565_0 {
	meta:
		name = "TSeBitmapObject.SetBitmap"
		size = 12
	strings:
		$1 = { 8B 80 AC 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_85566_0 {
	meta:
		name = "TSeBitmapObject.SetBorderTileStyle"
		size = 7
	strings:
		$1 = { 88 90 B1 00 00 00 C3 }
	condition:
		$1
}

rule function_85567_0 {
	meta:
		name = "TSeActiveBitmap.Create"
		size = 160
		refs = "000e @ClassCreate 001c TSeBitmapObject.Create 0023 _DV_TseBitmapLink 0028 TObject.Create 0035 _Dn_TFont 003a TFont.Create 004d TSeActiveBitmap.Create 0052 TFont.SetName 0062 TFont.SetSize 006f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B8 00 00 00 8B 83 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 68 00 6F 00 6D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_85568_0 {
	meta:
		name = "TSeActiveBitmap.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0028 TSeBitmapObject.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85569_0 {
	meta:
		name = "TSeActiveBitmap.AfterLoad"
		size = 123
		refs = "000b TSeBitmapObject.AfterLoad 0023 TseBitmapList.GetBitmapLink 003c TObject.Free 0067 Rect 0070 TseBitmapLink.CheckingMasked"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 50 85 C0 74 5E 8B 93 B4 00 00 00 8D 4A 08 8B 52 18 E8 ?? ?? ?? ?? 8B F0 85 F6 74 47 8D 83 B4 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B FE 89 BB B4 00 00 00 8B 83 94 00 00 00 50 8D 44 24 04 50 8B 8B 98 00 00 00 8B 93 90 00 00 00 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 8B D4 8B C7 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85570_0 {
	meta:
		name = "TSeActiveBitmap.Assign"
		size = 93
		refs = "000b _DV_TSeActiveBitmap 0010 @IsClass 001d TSeBitmapObject.Assign 002a @AsClass 004a TSeActiveBitmap.SetActiveFont"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 38 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 97 B4 00 00 00 8B 83 B4 00 00 00 8B 08 FF 51 08 8B 97 B8 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85571_0 {
	meta:
		name = "TSeActiveBitmap.SetCharset"
		size = 31
		refs = "000b TSeStyleObject.SetCharset 0018 TFont.SetCharset"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85572_0 {
	meta:
		name = "TSeActiveBitmap.GetFont"
		size = 27
		refs = "0016 TSeStyleObject.GetFont"
	strings:
		$1 = { 0F B6 50 55 80 EA 05 74 05 80 EA 02 75 07 8B 80 B8 00 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85573_0 {
	meta:
		name = "TSeActiveBitmap.Draw"
		size = 162
		refs = "002f TseBitmapLink.GetAssigned 0047 TSeActiveBitmap.Draw 006b TSeBitmapObject.Draw 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 8B DA 89 45 FC 8B 45 FC 80 78 54 00 75 0D 8B 45 FC 0F B6 40 55 04 FB 2C 03 73 6B 8B 45 FC 8B 80 B4 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 59 8B 45 FC 8B 80 AC 00 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B4 00 00 00 8B 55 FC 89 82 AC 00 00 00 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 AC 00 00 00 C3 E9 ?? ?? ?? ?? EB EC 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_85576_0 {
	meta:
		name = "TSeSystemButton.Create"
		size = 93
		refs = "000a @ClassCreate 0017 TSeActiveBitmap.Create 0022 _DV_TseBitmapLink 0027 TObject.Create 004a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 39 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 C4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 C0 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_85577_0 {
	meta:
		name = "TSeSystemButton.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0028 TSeActiveBitmap.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 C4 00 00 00 E8 ?? ?? ?? ?? 8B 86 C0 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85578_0 {
	meta:
		name = "TSeSystemButton.AfterLoad"
		size = 224
		refs = "000b TSeActiveBitmap.AfterLoad 0027 TseBitmapList.GetBitmapLink 0040 TObject.Free 006b Rect 0074 TseBitmapLink.CheckingMasked"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 50 85 C0 0F 84 BF 00 00 00 8B 93 C4 00 00 00 8D 4A 08 8B 52 18 E8 ?? ?? ?? ?? 8B F0 85 F6 74 47 8D 83 C4 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B FE 89 BB C4 00 00 00 8B 83 94 00 00 00 50 8D 44 24 04 50 8B 8B 98 00 00 00 8B 93 90 00 00 00 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 8B D4 8B C7 E8 ?? ?? ?? ?? 8B 83 C0 00 00 00 8D 48 08 8B 50 18 8B 43 50 E8 ?? ?? ?? ?? 8B F0 85 F6 74 47 8D 83 C0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B FE 89 BB C0 00 00 00 8B 83 94 00 00 00 50 8D 44 24 04 50 8B 8B 98 00 00 00 8B 93 90 00 00 00 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 8B D4 8B C7 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85579_0 {
	meta:
		name = "TSeSystemButton.Assign"
		size = 110
		refs = "000b _DV_TSeSystemButton 0010 @IsClass 001d TSeActiveBitmap.Assign 002a @AsClass"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 49 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 97 C4 00 00 00 8B 83 C4 00 00 00 8B 08 FF 51 08 8B 97 C0 00 00 00 8B 83 C0 00 00 00 8B 08 FF 51 08 0F B6 87 BC 00 00 00 88 83 BC 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85580_0 {
	meta:
		name = "TSeSystemButton.SetState"
		size = 189
		refs = "0006 TSeStyleObject.SetState"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 43 55 2C 01 72 11 FE C8 74 2D FE C8 74 49 FE C8 74 7F E9 98 00 00 00 C6 43 4C 01 80 BB BC 00 00 00 05 75 04 C6 43 4C 00 80 BB BC 00 00 00 07 75 7E C6 43 4C 00 5B C3 C6 43 4C 01 80 BB BC 00 00 00 04 75 04 C6 43 4C 00 80 BB BC 00 00 00 07 75 5E C6 43 4C 00 5B C3 C6 43 4C 01 80 BB BC 00 00 00 03 75 04 C6 43 4C 00 80 BB BC 00 00 00 04 75 04 C6 43 4C 00 80 BB BC 00 00 00 06 75 04 C6 43 4C 00 80 BB BC 00 00 00 07 75 24 C6 43 4C 00 5B C3 C6 43 4C 01 80 BB BC 00 00 00 05 75 04 C6 43 4C 00 80 BB BC 00 00 00 06 75 04 C6 43 4C 00 5B C3 }
	condition:
		$1
}

rule function_85581_0 {
	meta:
		name = "TSeSystemButton.SetSysButtons"
		size = 253
		refs = "000f TSeStyleObject.SetSysButtons 0026 TSeSystemButton.SetSysButtons"
	strings:
		$1 = { 53 51 66 89 14 24 8B D8 0F B7 14 24 8B C3 E8 ?? ?? ?? ?? 0F B6 83 BC 00 00 00 83 F8 09 0F 87 D7 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 5A 5B C3 F6 83 9E 00 00 00 02 0F 95 C0 88 43 4C 5A 5B C3 F6 83 9E 00 00 00 04 0F 95 C0 88 43 4C 5A 5B C3 F6 83 9E 00 00 00 08 0F 95 C0 88 43 4C 5A 5B C3 F6 83 9E 00 00 00 20 0F 95 C0 88 43 4C 5A 5B C3 80 7B 55 02 75 0F F6 83 9E 00 00 00 40 0F 95 C0 88 43 4C EB 50 F6 83 9E 00 00 00 10 0F 95 C0 88 43 4C 5A 5B C3 F6 83 9E 00 00 00 80 0F 95 C0 88 43 4C 5A 5B C3 F6 83 9F 00 00 00 01 0F 95 C0 88 43 4C 5A 5B C3 F6 83 9F 00 00 00 02 0F 95 C0 88 43 4C 5A 5B C3 F6 83 9E 00 00 00 01 0F 95 C0 88 43 4C 5A 5B C3 5A 5B C3 }
	condition:
		$1
}

rule function_85582_0 {
	meta:
		name = "TSeSystemButton.Draw"
		size = 845
		refs = "004c _Dn_TForm 0051 @IsClass 0064 TSeStyleObject.GetBoundsRect 0079 TIcon.GetHandle 0097 Application 00ca LoadIcon 00d7 GetSystemMetrics 0107 CopyImage 0123 TCanvas.GetHandle 0129 DrawIconEx 012f DestroyIcon 0155 TSeSystemButton.Draw 0165 TSeSystemButton.SetChildState 0171 TSeActiveBitmap.Draw 018e @HandleFinally 01e6 TseBitmapLink.GetAssigned 021e TSeStyleObject.SetActive"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B D9 8B F2 89 45 FC 8B 45 FC 83 78 44 00 0F 8E 29 03 00 00 8B 45 FC 83 78 48 00 0F 8E 1C 03 00 00 8B 45 FC 80 B8 BC 00 00 00 09 0F 85 0E 01 00 00 8B 45 FC 8B 58 58 85 DB 0F 84 FE 02 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 E9 02 00 00 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? C6 45 F7 00 8B 45 FC 8B 40 58 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 15 8B 45 FC 8B 40 58 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 8B F8 EB 3E A1 ?? ?? ?? ?? 8B 00 8B 80 A4 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 16 A1 ?? ?? ?? ?? 8B 00 8B 80 A4 00 00 00 E8 ?? ?? ?? ?? 8B F8 EB 12 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? 8B F8 C6 45 F7 01 6A 31 E8 ?? ?? ?? ?? 8B D8 85 DB 75 09 6A 1E E8 ?? ?? ?? ?? 8B D8 6A 32 E8 ?? ?? ?? ?? 85 C0 75 07 6A 1F E8 ?? ?? ?? ?? 68 00 40 00 00 50 53 6A 01 57 E8 ?? ?? ?? ?? 8B D8 6A 03 6A 00 6A 00 6A 00 6A 00 53 8B 45 E8 50 8B 45 E4 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 80 7D F7 00 0F 84 09 02 00 00 57 E8 ?? ?? ?? ?? E9 FE 01 00 00 8B 45 FC 80 78 54 00 75 43 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 08 8B 45 FC E8 ?? ?? ?? ?? 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 0F B6 80 C8 00 00 00 2C 01 72 0F 74 1E FE C8 0F 84 D8 00 00 00 E9 95 01 00 00 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? E9 84 01 00 00 8B 45 FC 8B 80 AC 00 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 C4 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 FC 8B 80 C4 00 00 00 8B 55 FC 89 82 AC 00 00 00 8B 45 FC 0F B6 40 54 88 45 F6 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 05 8B 45 FC E8 ?? ?? ?? ?? 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 F6 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 AC 00 00 00 C3 E9 ?? ?? ?? ?? EB EC 8B 45 FC 8B 80 AC 00 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 C0 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 FC 8B 80 C0 00 00 00 8B 55 FC 89 82 AC 00 00 00 8B 45 FC 0F B6 40 54 88 45 F6 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? B2 06 8B 45 FC E8 ?? ?? ?? ?? 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 0F B6 55 F6 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 AC 00 00 00 C3 E9 ?? ?? ?? ?? EB EC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85583_0 {
	meta:
		name = "TSeSystemButton.SetChildState"
		size = 61
		refs = "000b TSeStyleObject.GetCount 0029 TSeStyleObject.GetObject"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 85 C0 74 25 8B C7 E8 ?? ?? ?? ?? 8B E8 4D 85 ED 7C 17 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 48 46 4D 75 EC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85584_0 {
	meta:
		name = "TSeSystemButton.SetAction"
		size = 7
	strings:
		$1 = { 88 90 BC 00 00 00 C3 }
	condition:
		$1
}

rule function_85585_0 {
	meta:
		name = "TSeButtonObject.SetBitmapDisabled"
		size = 12
		altNames = "TSeSystemButton.SetBitmapPressed"
	strings:
		$1 = { 8B 80 C0 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_85586_0 {
	meta:
		name = "TSeSystemButton.SetBitmapHot"
		size = 12
	strings:
		$1 = { 8B 80 C4 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_85587_0 {
	meta:
		name = "TSeButtonObject.Create"
		size = 125
		refs = "000a @ClassCreate 0017 TSeBitmapObject.Create 001e _DV_TseBitmapLink 0023 TObject.Create 006a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 BC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 C0 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_85588_0 {
	meta:
		name = "TSeButtonObject.Destroy"
		size = 80
		refs = "0003 @BeforeDestruction 0012 TObject.Free 003e TSeBitmapObject.Destroy 0049 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? 8B 86 BC 00 00 00 E8 ?? ?? ?? ?? 8B 86 C0 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85589_0 {
	meta:
		name = "TSeButtonObject.AfterLoad"
		size = 418
		refs = "000b TSeBitmapObject.AfterLoad 0027 TseBitmapList.GetBitmapLink 0040 TObject.Free 006b Rect 0074 TseBitmapLink.CheckingMasked"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 50 85 C0 0F 84 81 01 00 00 8B 93 B4 00 00 00 8D 4A 08 8B 52 18 E8 ?? ?? ?? ?? 8B F0 85 F6 74 47 8D 83 B4 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B FE 89 BB B4 00 00 00 8B 83 94 00 00 00 50 8D 44 24 04 50 8B 8B 98 00 00 00 8B 93 90 00 00 00 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 8B D4 8B C7 E8 ?? ?? ?? ?? 8B 83 B8 00 00 00 8D 48 08 8B 50 18 8B 43 50 E8 ?? ?? ?? ?? 8B F0 85 F6 74 47 8D 83 B8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B FE 89 BB B8 00 00 00 8B 83 94 00 00 00 50 8D 44 24 04 50 8B 8B 98 00 00 00 8B 93 90 00 00 00 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 8B D4 8B C7 E8 ?? ?? ?? ?? 8B 83 BC 00 00 00 8D 48 08 8B 50 18 8B 43 50 E8 ?? ?? ?? ?? 8B F0 85 F6 74 47 8D 83 BC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B FE 89 BB BC 00 00 00 8B 83 94 00 00 00 50 8D 44 24 04 50 8B 8B 98 00 00 00 8B 93 90 00 00 00 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 8B D4 8B C7 E8 ?? ?? ?? ?? 8B 83 C0 00 00 00 8D 48 08 8B 50 18 8B 43 50 E8 ?? ?? ?? ?? 8B F0 85 F6 74 47 8D 83 C0 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B FE 89 BB C0 00 00 00 8B 83 94 00 00 00 50 8D 44 24 04 50 8B 8B 98 00 00 00 8B 93 90 00 00 00 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 8B D4 8B C7 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85590_0 {
	meta:
		name = "TSeButtonObject.Assign"
		size = 131
		refs = "000b _DV_TSeButtonObject 0010 @IsClass 001d TSeBitmapObject.Assign 002a @AsClass"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5E 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 97 B4 00 00 00 8B 83 B4 00 00 00 8B 08 FF 51 08 8B 97 B8 00 00 00 8B 83 B8 00 00 00 8B 08 FF 51 08 8B 97 C0 00 00 00 8B 83 C0 00 00 00 8B 08 FF 51 08 8B 97 BC 00 00 00 8B 83 BC 00 00 00 8B 08 FF 51 08 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85591_0 {
	meta:
		name = "TSeButtonObject.Draw"
		size = 545
		refs = "0019 TseBitmapLink.GetAssigned 006a TSeButtonObject.Draw 008e TSeBitmapObject.Draw 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 8B DA 89 45 FC 8B 45 FC 8B 80 AC 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 F6 01 00 00 8B 45 FC 83 78 44 00 0F 8E E9 01 00 00 8B 45 FC 83 78 48 00 0F 8E DC 01 00 00 8B 45 FC 80 78 55 07 75 6B 8B 45 FC 8B 80 B4 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 59 8B 45 FC 8B 80 AC 00 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B4 00 00 00 8B 55 FC 89 82 AC 00 00 00 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 AC 00 00 00 C3 E9 ?? ?? ?? ?? EB EC 8B 45 FC 80 78 55 05 75 6B 8B 45 FC 8B 80 B8 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 59 8B 45 FC 8B 80 AC 00 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B8 00 00 00 8B 55 FC 89 82 AC 00 00 00 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 AC 00 00 00 C3 E9 ?? ?? ?? ?? EB EC 8B 45 FC 80 78 55 08 75 6B 8B 45 FC 8B 80 C0 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 59 8B 45 FC 8B 80 AC 00 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 C0 00 00 00 8B 55 FC 89 82 AC 00 00 00 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 AC 00 00 00 C3 E9 ?? ?? ?? ?? EB EC 8B 45 FC 80 78 55 06 75 6B 8B 45 FC 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 59 8B 45 FC 8B 80 AC 00 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 BC 00 00 00 8B 55 FC 89 82 AC 00 00 00 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 AC 00 00 00 C3 E9 ?? ?? ?? ?? EB EC 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_85594_0 {
	meta:
		name = "TSeButtonObject.SetBitmapHot"
		size = 12
	strings:
		$1 = { 8B 80 B8 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_85595_0 {
	meta:
		name = "TSeButtonObject.SetBitmapPressed"
		size = 12
	strings:
		$1 = { 8B 80 BC 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_85596_0 {
	meta:
		name = "TSeTextObject.Create"
		size = 300
		refs = "000e @ClassCreate 001c TSeStyleObject.Create 0023 _Dn_TFont 0028 TFont.Create 003b TSeTextObject.Create 0040 TFont.SetName 0050 TFont.SetSize 00f9 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 AC 00 00 00 8B 83 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 BA 08 00 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B0 00 00 00 8B 83 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 BA 08 00 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B4 00 00 00 8B 83 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 BA 08 00 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B8 00 00 00 8B 83 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 68 00 6F 00 6D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_85597_0 {
	meta:
		name = "TSeTextObject.Destroy"
		size = 80
		refs = "0003 @BeforeDestruction 0012 TObject.Free 003e TSeStyleObject.Destroy 0049 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 AC 00 00 00 E8 ?? ?? ?? ?? 8B 86 B0 00 00 00 E8 ?? ?? ?? ?? 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85598_0 {
	meta:
		name = "TSeTextObject.Assign"
		size = 115
		refs = "000b _DV_TSeTextObject 0010 @IsClass 001d TSeStyleObject.Assign 002a @AsClass 0039 TSeTextObject.SetFontHot 0046 TSeTextObject.SetFontFocused 0053 TSeTextObject.SetFontPressed 0060 TSeTextObject.SetFontDisabled"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4E 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 97 AC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 B8 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85599_0 {
	meta:
		name = "TSeTextObject.Draw"
		size = 425
		refs = "0058 TSeTextObject.Draw 0078 TSeStyleObject.Draw 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC 83 78 44 00 0F 8E 8D 01 00 00 8B 45 FC 83 78 48 00 0F 8E 80 01 00 00 8B 45 FC 0F B6 40 55 2C 05 74 19 FE C8 0F 84 BB 00 00 00 FE C8 74 62 FE C8 0F 84 04 01 00 00 E9 54 01 00 00 8B 45 FC 8B 80 A8 00 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 AC 00 00 00 8B 5D FC 89 83 A8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 A8 00 00 00 C3 E9 ?? ?? ?? ?? EB EC 8B 45 FC 8B 80 A8 00 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B0 00 00 00 8B 5D FC 89 83 A8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 A8 00 00 00 C3 E9 ?? ?? ?? ?? EB EC 8B 45 FC 8B 80 A8 00 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B4 00 00 00 8B 5D FC 89 83 A8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 A8 00 00 00 C3 E9 ?? ?? ?? ?? EB EC 8B 45 FC 8B 80 A8 00 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B8 00 00 00 8B 5D FC 89 83 A8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 A8 00 00 00 C3 E9 ?? ?? ?? ?? EB EC 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_85600_0 {
	meta:
		name = "TSeTextObject.GetFont"
		size = 57
		refs = "0034 TSeStyleObject.GetFont"
	strings:
		$1 = { 0F B6 50 55 80 EA 05 74 0E FE CA 74 18 FE CA 74 0D FE CA 74 17 EB 1C 8B 80 AC 00 00 00 C3 8B 80 B0 00 00 00 C3 8B 80 B4 00 00 00 C3 8B 80 B8 00 00 00 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_85605_0 {
	meta:
		name = "TSeTextObject.SetCharset"
		size = 70
		refs = "000b TSeStyleObject.SetCharset 0018 TFont.SetCharset"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 86 AC 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 B0 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 B8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85606_0 {
	meta:
		name = "TSeLinkStyleObject.Assign"
		size = 77
		refs = "000a _DV_TSeLinkStyleObject 000f @IsClass 001c TSeStyleObject.Assign 0029 @AsClass 003a @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 AC 00 00 00 8D 83 AC 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85607_0 {
	meta:
		name = "TSeLinkStyleObject.Draw"
		size = 184
		refs = "0026 TSeStyleObject.GetBoundsRect 0036 FillRect 004e DrawRect 0053 TSeLinkStyleObject.Draw 005b TFont.SetName 006a TFont.SetStyle 0074 TFont.SetColor 0090 DrawText"
	strings:
		$1 = { 53 56 83 C4 E0 8B F2 8B D8 80 7B 55 01 0F 85 81 00 00 00 83 7B 44 00 7E 7B 83 7B 48 00 7E 75 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8D 54 24 10 B9 FF FF FF 00 8B C6 E8 ?? ?? ?? ?? 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8D 54 24 10 33 C9 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 33 D2 8B 46 40 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 6A 25 8D 4C 24 04 8B 93 AC 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 20 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 72 00 69 00 61 00 6C 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_85608_0 {
	meta:
		name = "TSeActiveStyleObject.Create"
		size = 144
		refs = "000e @ClassCreate 001c TSeStyleObject.Create 0023 _Dn_TFont 0028 TFont.Create 003b TSeActiveStyleObject.Create 0040 TFont.SetName 0050 TFont.SetSize 005d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B0 00 00 00 8B 83 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 68 00 6F 00 6D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_85609_0 {
	meta:
		name = "TSeActiveStyleObject.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TSeStyleObject.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 B0 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85610_0 {
	meta:
		name = "TSeActiveStyleObject.Assign"
		size = 88
		refs = "000b _DV_TSeActiveStyleObject 0010 @IsClass 001d TSeStyleObject.Assign 002a @AsClass 0045 TSeActiveStyleObject.SetActiveFont"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 33 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 87 AC 00 00 00 89 83 AC 00 00 00 8B 97 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85611_0 {
	meta:
		name = "TSeActiveStyleObject.Draw"
		size = 208
		refs = "0057 TSeActiveStyleObject.Draw 008d TSeStyleObject.Draw 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 57 8B F9 8B F2 89 45 FC 8B 45 FC 83 78 44 00 0F 8E AE 00 00 00 8B 45 FC 83 78 48 00 0F 8E A1 00 00 00 8B 45 FC 0F B6 40 55 3C 07 74 08 3C 05 0F 85 82 00 00 00 8B 45 FC 8B 10 FF 52 40 89 45 F4 8B 45 FC 8B 80 A4 00 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 AC 00 00 00 8B 55 FC 89 82 A4 00 00 00 8B 45 FC 8B 80 B0 00 00 00 8B 55 FC 89 82 A8 00 00 00 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 90 A8 00 00 00 8B 45 FC 8B 55 F8 89 90 A4 00 00 00 C3 E9 ?? ?? ?? ?? EB E0 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_85613_0 {
	meta:
		name = "TSeColorButtonObject.Create"
		size = 300
		refs = "000e @ClassCreate 001c TSeStyleObject.Create 0023 _Dn_TFont 0028 TFont.Create 003b TSeColorButtonObject.Create 0040 TFont.SetName 0050 TFont.SetSize 00f9 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B0 00 00 00 8B 83 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 BA 08 00 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C0 00 00 00 8B 83 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 BA 08 00 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C4 00 00 00 8B 83 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 BA 08 00 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C8 00 00 00 8B 83 A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 A8 00 00 00 BA 08 00 00 00 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 68 00 6F 00 6D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_85614_0 {
	meta:
		name = "TSeColorButtonObject.Destroy"
		size = 80
		refs = "0003 @BeforeDestruction 0012 TObject.Free 003e TSeStyleObject.Destroy 0049 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 C8 00 00 00 E8 ?? ?? ?? ?? 8B 86 C4 00 00 00 E8 ?? ?? ?? ?? 8B 86 C0 00 00 00 E8 ?? ?? ?? ?? 8B 86 B0 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85615_0 {
	meta:
		name = "TSeColorButtonObject.Assign"
		size = 171
		refs = "000b _DV_TSeColorButtonObject 0010 @IsClass 0021 TSeStyleObject.Assign 002e @AsClass 003d TSeColorButtonObject.SetHotFont 004a TSeColorButtonObject.SetHotColor 0057 TSeColorButtonObject.SetPressedFont 0064 TSeColorButtonObject.SetPressedColor 0071 TSeColorButtonObject.SetFocusedFont 007e TSeColorButtonObject.SetFocusedColor 008b TSeColorButtonObject.SetDisabledFont 0098 TSeColorButtonObject.SetDisabledColor"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 82 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 97 B0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 AC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 C0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 C8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 B8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 C4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 BC 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85616_0 {
	meta:
		name = "TSeColorButtonObject.Draw"
		size = 373
		refs = "0038 _Dn_TFont 003d TFont.Create 0048 TSeColorButtonObject.Draw 0132 TSeStyleObject.Draw 0163 TObject.Free 0169 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B DA 89 45 FC 8B 45 FC 83 78 44 00 0F 8E 53 01 00 00 8B 45 FC 83 78 48 00 0F 8E 46 01 00 00 8B 45 FC 8B 80 A4 00 00 00 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 40 8B D0 8B 45 F8 8B 08 FF 51 08 8B 45 FC 0F B6 40 55 2C 05 74 15 FE C8 74 65 FE C8 74 37 FE C8 0F 84 83 00 00 00 E9 A6 00 00 00 8B 45 FC 8B 10 FF 52 40 8B 55 FC 8B 92 B0 00 00 00 8B 08 FF 51 08 8B 45 FC 8B 80 AC 00 00 00 8B 55 FC 89 82 A4 00 00 00 EB 7C 8B 45 FC 8B 10 FF 52 40 8B 55 FC 8B 92 C8 00 00 00 8B 08 FF 51 08 8B 45 FC 8B 80 B8 00 00 00 8B 55 FC 89 82 A4 00 00 00 EB 52 8B 45 FC 8B 10 FF 52 40 8B 55 FC 8B 92 C0 00 00 00 8B 08 FF 51 08 8B 45 FC 8B 80 B4 00 00 00 8B 55 FC 89 82 A4 00 00 00 EB 28 8B 45 FC 8B 10 FF 52 40 8B 55 FC 8B 92 C4 00 00 00 8B 08 FF 51 08 8B 45 FC 8B 80 BC 00 00 00 8B 55 FC 89 82 A4 00 00 00 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 40 8B 55 F8 8B 08 FF 51 08 8B 45 FC 8B 55 F4 89 90 A4 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85618_0 {
	meta:
		name = "TSeColorButtonObject.SetDisabledFont"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 C4 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_85620_0 {
	meta:
		name = "TSeColorButtonObject.SetFocusedFont"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 C8 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_85621_0 {
	meta:
		name = "TSeColorButtonObject.SetHotColor"
		size = 7
	strings:
		$1 = { 89 90 AC 00 00 00 C3 }
	condition:
		$1
}

rule function_85623_0 {
	meta:
		name = "TSeColorButtonObject.SetPressedColor"
		size = 7
	strings:
		$1 = { 89 90 B4 00 00 00 C3 }
	condition:
		$1
}

rule function_85624_0 {
	meta:
		name = "TSeColorButtonObject.SetPressedFont"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 C0 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_85625_0 {
	meta:
		name = "TSeRollPanelObject.Assign"
		size = 88
		refs = "000b _DV_TSeRollPanelObject 0010 @IsClass 001d TSeStyleObject.Assign 002a @AsClass"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 33 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 0F B6 87 B0 00 00 00 88 83 B0 00 00 00 8B 87 AC 00 00 00 89 83 AC 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85627_0 {
	meta:
		name = "TSeRollPanelObject.Roll"
		size = 836
		refs = "00a6 TSeRollPanelObject.Roll 00ad @ROUND 00b8 TSeStyleObject.SetWidth 00c4 TSeStyleObject.SetLeft 00cb TSeRollPanelObject.OwnerUpdate 016c TSeStyleObject.SetHeight 0178 TSeStyleObject.SetTop"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D8 83 7B 04 00 0F 84 24 03 00 00 33 C0 0F B6 93 B0 00 00 00 8B CA 80 E9 01 72 0C 74 1D FE C9 74 06 FE C9 74 15 EB 24 8B 43 44 3B 83 AC 00 00 00 75 04 33 C0 EB 15 B0 01 EB 11 8B 43 48 3B 83 AC 00 00 00 75 04 33 C0 EB 02 B0 01 84 C0 0F 84 84 01 00 00 80 EA 01 72 17 0F 84 C5 00 00 00 FE CA 74 70 FE CA 0F 84 1C 01 00 00 E9 C0 02 00 00 8B 43 44 89 83 B4 00 00 00 8B 7B 3C 03 7B 44 BE 01 00 00 00 8B 83 AC 00 00 00 8B 6B 44 2B C5 89 04 24 DB 04 24 89 74 24 04 DB 44 24 04 D8 35 ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D0 03 D5 8B C3 E8 ?? ?? ?? ?? 8B D7 2B 53 44 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 46 83 FE 02 75 B6 E9 5D 02 00 00 8B 43 44 89 83 B4 00 00 00 BE 01 00 00 00 8B 83 AC 00 00 00 8B 7B 44 2B C7 89 04 24 DB 04 24 89 74 24 04 DB 44 24 04 D8 35 ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D0 03 D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 46 83 FE 02 75 C2 E9 0C 02 00 00 8B 43 48 89 83 B4 00 00 00 8B 7B 40 03 7B 48 BE 01 00 00 00 8B 83 AC 00 00 00 8B 6B 48 2B C5 89 04 24 DB 04 24 89 74 24 04 DB 44 24 04 D8 35 ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D0 03 D5 8B C3 E8 ?? ?? ?? ?? 8B D7 2B 53 48 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 46 83 FE 02 75 B6 E9 A9 01 00 00 8B 43 48 89 83 B4 00 00 00 BE 01 00 00 00 8B 83 AC 00 00 00 8B 7B 48 2B C7 89 04 24 DB 04 24 89 74 24 04 DB 44 24 04 D8 35 ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D0 03 D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 46 83 FE 02 75 C2 E9 58 01 00 00 80 EA 01 72 17 0F 84 B3 00 00 00 FE CA 74 67 FE CA 0F 84 FE 00 00 00 E9 3C 01 00 00 8B 7B 3C 03 7B 44 BE 01 00 00 00 8B 6B 44 8B C5 2B 83 B4 00 00 00 89 04 24 DB 04 24 89 74 24 04 DB 44 24 04 D8 35 ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D5 2B D0 8B C3 E8 ?? ?? ?? ?? 8B D7 2B 53 44 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 46 83 FE 02 75 B6 E9 E2 00 00 00 BE 01 00 00 00 8B 7B 44 8B C7 2B 83 B4 00 00 00 89 04 24 DB 04 24 89 74 24 04 DB 44 24 04 D8 35 ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D7 2B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 46 83 FE 02 75 C2 E9 9A 00 00 00 8B 7B 40 03 7B 48 BE 01 00 00 00 8B 6B 48 8B C5 2B 83 B4 00 00 00 89 04 24 DB 04 24 89 74 24 04 DB 44 24 04 D8 35 ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D5 2B D0 8B C3 E8 ?? ?? ?? ?? 8B D7 2B 53 48 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 46 83 FE 02 75 B6 EB 43 BE 01 00 00 00 8B 7B 48 8B C7 2B 83 B4 00 00 00 89 04 24 DB 04 24 89 74 24 04 DB 44 24 04 D8 35 ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D7 2B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 46 83 FE 02 75 C2 59 5A 5D 5F 5E 5B C3 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_85628_0 {
	meta:
		name = "RegisterDrawControlBackground"
		size = 62
		refs = "0008 DrawBackgroundFuncList 0012 _Dn_TList 0017 TObject.Create 0026 @GetMem 0037 TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 08 00 00 00 E8 ?? ?? ?? ?? 89 18 89 70 04 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85629_0 {
	meta:
		name = "FreeDrawBackgroundFuncList"
		size = 66
		refs = "0004 DrawBackgroundFuncList 0023 TList.Get 002d @FreeMem 003b TObject.Free"
	strings:
		$1 = { 53 56 83 3D ?? ?? ?? ?? 00 74 34 A1 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 1D 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 08 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 E6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85630_0 {
	meta:
		name = "GetDrawBackgroundFunc"
		size = 164
		refs = "000c DrawBackgroundFuncList 002d TList.Get 0036 @IsClass 0053 TObject.InheritsFrom"
	strings:
		$1 = { 53 56 57 55 8B F8 33 ED 33 F6 83 3D ?? ?? ?? ?? 00 0F 84 86 00 00 00 A1 ?? ?? ?? ?? 8B 58 08 4B 83 FB 00 7C 78 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 8B C7 E8 ?? ?? ?? ?? 84 C0 74 59 85 F6 74 38 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 84 C0 74 3C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 68 04 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 30 EB 1D 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 68 04 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 30 4B 83 FB FF 75 88 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85631_0 {
	meta:
		name = "DrawControlBackground"
		size = 792
		refs = "0045 SaveDC 0050 DrawControlBackground 0070 TWinControl.GetHandle 0076 ScreenToClient 0088 MoveWindowOrg 0093 GetDrawBackgroundFunc 00a8 TControl.GetBoundsRect 00dd _Dn_TCanvas 00e2 TCanvas.Create 00fe TCanvas.SetHandle 014b @HandleFinally 016c TObject.Free 01a6 _Dn_TGraphicControl 01ab @IsClass 01ba _Dn_TBitmap 01bf TBitmap.Create 01e2 TBitmap.GetCanvas 01e7 TCanvas.GetHandle 0216 TControl.Perform 0284 BitBlt 02fe RestoreDC"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 89 55 F8 89 45 FC 83 7D FC 00 0F 84 F1 02 00 00 8B 45 FC 83 78 38 00 0F 84 E4 02 00 00 8B 45 FC 83 78 50 00 0F 8E D7 02 00 00 8B 45 FC 83 78 54 00 0F 8E CA 02 00 00 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC 8B 08 FF 51 5C 8D 45 F0 50 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 4D F4 F7 D9 8B 55 F0 F7 DA 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 D7 00 00 00 8D 55 AC 8B 45 FC E8 ?? ?? ?? ?? 8D 75 AC 8D 7D BC A5 A5 A5 A5 8D 55 AC 8B 45 FC E8 ?? ?? ?? ?? 8D 75 AC 8D 7D CC A5 A5 A5 A5 8B 45 FC 89 45 DC 8B 45 FC 8B 40 38 89 45 E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 5C 89 45 E4 8B 45 FC 8B 40 5C 0B 05 ?? ?? ?? ?? 8B 55 FC 89 42 5C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 BC 8B 45 E8 FF D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 E4 89 50 5C C3 E9 ?? ?? ?? ?? EB EF 33 D2 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 40 5C 89 45 E4 8B 45 FC 8B 40 5C 0B 05 ?? ?? ?? ?? 8B 55 FC 89 42 5C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 DA 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 50 50 8B C3 8B 08 FF 51 44 8B 45 FC 8B 50 54 8B C3 8B 08 FF 51 38 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 F7 D9 8B 55 F0 F7 DA E8 ?? ?? ?? ?? 6A 01 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 40 38 BA 14 00 00 00 E8 ?? ?? ?? ?? 6A 01 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8B 40 38 BA 0F 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F0 E8 ?? ?? ?? ?? 68 20 00 CC 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 52 24 50 8B C3 8B 10 FF 52 30 50 8B 45 F4 50 8B 45 F0 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 2B 6A 01 8B 45 FC 8B 40 38 8B 5D F8 8B CB BA 14 00 00 00 E8 ?? ?? ?? ?? 6A 01 8B 45 FC 8B 40 38 8B CB BA 0F 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 E4 89 50 5C C3 E9 ?? ?? ?? ?? EB EF 8B 4D F4 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule function_85633_0 {
	meta:
		name = "DrawControlBackground"
		size = 257
		refs = "000d GetParent 0022 GetWindowRect 0037 CustomBackroundDrawing 0045 CPB 006f TCanvas.GetHandle 0083 MoveWindowOrg 0094 SendMessage"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B F2 8B F8 57 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 DE 00 00 00 8D 44 24 08 50 57 E8 ?? ?? ?? ?? 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 80 3D ?? ?? ?? ?? 00 74 6C 56 57 8D 74 24 10 BF ?? ?? ?? ?? A5 A5 A5 A5 5F 5E 56 57 8D 74 24 10 BF ?? ?? ?? ?? A5 A5 A5 A5 5F 5E 89 3D ?? ?? ?? ?? 89 1D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 6C 24 04 8B CD F7 D9 8B 3C 24 8B D7 F7 DA E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 AD 05 00 00 53 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B CD 8B D7 E8 ?? ?? ?? ?? EB 4F 8B C6 E8 ?? ?? ?? ?? 8B 6C 24 04 8B CD F7 D9 8B 3C 24 8B D7 F7 DA E8 ?? ?? ?? ?? 6A 00 8B C6 E8 ?? ?? ?? ?? 50 6A 14 53 E8 ?? ?? ?? ?? 6A 00 8B C6 E8 ?? ?? ?? ?? 50 6A 0F 53 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B CD 8B D7 E8 ?? ?? ?? ?? 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85635_0 {
	meta:
		name = "AddObjectToStore"
		size = 173
		refs = "0008 StoredObject 0012 _Dn_TList 0017 TObject.Create 0038 TList.Get 0058 @GetMem 0064 _Dn_TFont 0069 @IsClass 0079 TFont.Create 00a4 TList.Add"
	strings:
		$1 = { 53 56 57 55 8B F8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 25 46 33 ED 8B D5 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 3B 3B 75 0C 8B D7 8B 43 04 8B 08 FF 51 08 EB 5A 45 4E 75 DE B8 08 00 00 00 E8 ?? ?? ?? ?? 8B D8 89 3B 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 EB 10 8B 07 89 C6 B2 01 8B C6 E8 ?? ?? ?? ?? 89 43 04 8B D7 8B 43 04 8B 08 FF 51 08 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85636_0 {
	meta:
		name = "RemoveObjectFromStore"
		size = 94
		refs = "0008 StoredObject 0027 TList.Get 0035 TObject.Free 0043 TList.RemoveItem 004f @FreeMem"
	strings:
		$1 = { 53 56 57 55 8B E8 83 3D ?? ?? ?? ?? 00 74 4A A1 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 3D 46 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 3B 2B 75 24 8B 43 04 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B D3 33 C9 E8 ?? ?? ?? ?? BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 04 47 4E 75 C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85637_0 {
	meta:
		name = "AssignFromStoredObject"
		size = 66
		refs = "0007 StoredObject 0026 TList.Get"
	strings:
		$1 = { 53 56 57 8B F8 83 3D ?? ?? ?? ?? 00 74 30 A1 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 23 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 38 75 0C 8B 50 04 8B C7 8B 08 FF 51 08 EB 04 46 4B 75 E0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85638_0 {
	meta:
		name = "ReleaseObjectStore"
		size = 87
		refs = "0005 StoredObject 0024 TList.Get 002e TObject.Free 003a @FreeMem"
	strings:
		$1 = { 53 56 57 83 3D ?? ?? ?? ?? 00 74 47 A1 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 29 46 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 43 04 E8 ?? ?? ?? ?? BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 47 4E 75 DA A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85639_0 {
	meta:
		name = "AddPropToStore"
		size = 243
		refs = "001e AddPropToStore 002a StoredProp 0034 _Dn_TList 0039 TObject.Create 005a TList.Get 006e LowerCase 0079 @UStrEqual 008d TPropStoreRec 0097 @New 00b4 @UStrAsg 00c6 TList.Add 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 3C 46 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 03 3B 45 FC 75 20 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B 43 04 E8 ?? ?? ?? ?? 75 08 8B 45 F4 89 43 08 EB 43 47 4E 75 C7 8B 15 ?? ?? ?? ?? B8 0C 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 03 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8D 43 04 E8 ?? ?? ?? ?? 8B 45 F4 89 43 08 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85640_0 {
	meta:
		name = "RemovePropFromStore"
		size = 173
		refs = "0018 RemovePropFromStore 0024 StoredProp 0043 TList.Get 0057 LowerCase 0062 @UStrEqual 0072 TList.RemoveItem 0078 TPropStoreRec 007f @Dispose 009a @UStrClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 5E A1 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 51 46 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 03 3B 45 FC 75 35 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 04 E8 ?? ?? ?? ?? 75 1D A1 ?? ?? ?? ?? 8B D3 33 C9 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 04 47 4E 75 B2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85641_0 {
	meta:
		name = "GetPropFromStore"
		size = 160
		refs = "0018 GetPropFromStore 0029 StoredProp 0048 TList.Get 005c LowerCase 0067 @UStrEqual 008a @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 83 3D ?? ?? ?? ?? 00 74 49 A1 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 3C 46 33 FF 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 03 3B 45 FC 75 20 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B 43 04 E8 ?? ?? ?? ?? 75 08 8B 43 08 89 45 F4 EB 04 47 4E 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85642_0 {
	meta:
		name = "ReleasePropStore"
		size = 74
		refs = "0004 StoredProp 0023 TList.Get 0029 TPropStoreRec 002e @Dispose 003c TObject.Free"
	strings:
		$1 = { 53 56 83 3D ?? ?? ?? ?? 00 74 3C A1 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 1E 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 E5 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85645_0 {
	meta:
		name = "TSeStyleMetrics.GetMargin"
		size = 300
		refs = "001a TSeStyleMetrics.GetMargin 005d TSeStyleSource.GetCount 0083 TSeStyle.IsObjectDefined 00bd Rect 00f4 Margin"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 8B F9 88 14 24 8B F0 0F B6 04 24 83 F8 05 77 37 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 DB EB 16 B3 01 EB 12 B3 02 EB 0E B3 03 EB 0A B3 05 EB 06 B3 06 EB 02 33 DB 8B 46 04 8B 68 24 85 ED 74 0B 8B C5 E8 ?? ?? ?? ?? 85 C0 7F 04 33 C0 EB 02 B0 01 88 44 24 01 80 7C 24 01 00 74 17 6A 00 8B D3 B9 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 84 C0 75 02 33 DB 80 7C 24 01 00 74 66 6A 00 8B D3 B9 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 84 C0 74 51 68 90 01 00 00 8D 44 24 08 50 B9 90 01 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 44 24 18 50 8B D3 8D 4C 24 0C 8B 46 04 8B 18 FF 53 4C 8B 44 24 10 2B 44 24 20 50 57 8B 4C 24 14 2B 4C 24 24 8B 54 24 20 8B 44 24 1C E8 ?? ?? ?? ?? EB 0E 6A 00 57 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 83 C4 24 5D 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85647_0 {
	meta:
		name = "TSeStyleOptions.Assign"
		size = 76
		refs = "000c _DV_TSeStyleOptions 0011 @IsClass 0024 @AsClass 0043 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 33 DB 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F3 83 E6 7F 0F B6 44 30 04 88 44 37 04 43 80 FB 02 75 DF EB 09 8B D5 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85648_0 {
	meta:
		name = "TSeStyleOptions.LoadFromStream"
		size = 72
	strings:
		$1 = { 53 56 57 55 51 8B FA 8B F0 8B D4 B9 01 00 00 00 8B C7 8B 18 FF 53 0C 0F B6 1C 24 84 DB 72 23 43 C6 44 24 01 00 0F B6 44 24 01 8D 54 06 04 B9 01 00 00 00 8B C7 8B 28 FF 55 0C FE 44 24 01 FE CB 75 E3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85649_0 {
	meta:
		name = "TSeStyleOptions.SaveToStream"
		size = 60
	strings:
		$1 = { 53 56 57 55 51 8B FA 8B F0 C6 04 24 01 8B D4 B9 01 00 00 00 8B C7 8B 18 FF 53 10 33 DB 0F B6 C3 8D 54 06 04 B9 01 00 00 00 8B C7 8B 28 FF 55 10 43 80 FB 02 75 E7 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85650_0 {
	meta:
		name = "TSeStyleOptions.GetOptions"
		size = 9
	strings:
		$1 = { 83 E2 7F 0F B6 44 10 04 C3 }
	condition:
		$1
}

rule function_85651_0 {
	meta:
		name = "TSeStyleOptions.SetOptions"
		size = 8
	strings:
		$1 = { 83 E2 7F 88 4C 10 04 C3 }
	condition:
		$1
}

rule function_85652_0 {
	meta:
		name = "SetFont"
		size = 52
		refs = "000c TFont.SetName 0015 TFont.SetSize 0020 TFont.SetStyle 002a TFont.SetColor"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 55 0C 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_85653_0 {
	meta:
		name = "FontToString"
		size = 460
		refs = "0015 FontToString 0025 TFont.GetName 0034 TFont.GetSize 003c IntToStr 004b TFont.GetCharset 00ad @UStrCatN 00c4 @UStrCat 0123 @UStrArrayClr 012b @UStrClr 0131 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 C0 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B 43 18 0F B6 C0 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8B 43 18 C1 E8 08 0F B6 C0 8D 55 EC E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B 43 18 C1 E8 10 0F B6 C0 8D 55 E8 E8 ?? ?? ?? ?? FF 75 E8 8B C6 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8B 43 10 0F B6 40 21 A8 01 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 10 0F B6 40 21 A8 02 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 10 0F B6 40 21 A8 04 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 10 0F B6 40 21 A8 08 74 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 2C 00 62 00 6F 00 6C 00 64 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 2C 00 69 00 74 00 61 00 6C 00 69 00 63 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 2C 00 75 00 6E 00 64 00 65 00 72 00 6C 00 69 00 6E 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 2C 00 73 00 74 00 72 00 69 00 6B 00 65 00 6F 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_85654_0 {
	meta:
		name = "StringToFontName"
		size = 104
		refs = "000f StringToFontName 001f @UStrLAsg 002e GetToken 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B CE 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 2C 00 00 00 00 00 }
	condition:
		$1
}

rule function_85655_0 {
	meta:
		name = "StringToFontSize"
		size = 136
		refs = "0010 StringToFontSize 0020 @UStrLAsg 0030 GetToken 0043 StrToInt 005f @UStrArrayClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 2C 00 00 00 00 00 }
	condition:
		$1
}

rule function_85656_0 {
	meta:
		name = "StringToFontCharset"
		size = 152
		refs = "0010 StringToFontCharset 0020 @UStrLAsg 0030 GetToken 0053 StrToInt 006f @UStrArrayClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 2C 00 00 00 00 00 }
	condition:
		$1
}

rule function_85657_0 {
	meta:
		name = "StringToFontColor"
		size = 236
		refs = "0014 StringToFontColor 0024 @UStrLAsg 0034 GetToken 0067 StrToInt 00c2 @UStrArrayClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8D 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B F0 8D 55 E4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 0F B6 D3 8B CE 0F B6 C9 C1 E1 08 0B D1 0F B6 C0 C1 E0 10 0B D0 8B DA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 2C 00 00 00 00 00 }
	condition:
		$1
}

rule function_85658_0 {
	meta:
		name = "StringToFontStyle"
		size = 356
		refs = "0014 StringToFontStyle 0024 @UStrLAsg 0034 GetToken 0129 @UStrArrayClr 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 4D F4 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EC 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E4 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E0 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 1D ?? ?? ?? ?? 8D 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 8D 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 8D 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 8D 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 2C 00 00 00 00 00 00 00 00 00 01 00 00 00 02 00 00 00 04 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_85659_0 {
	meta:
		name = "TSeStyleColors.Create"
		size = 60
		refs = "000b @ClassCreate 001a TObject.Create 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 7C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85660_0 {
	meta:
		name = "TSeStyleColors.Assign"
		size = 75
		refs = "000c _DV_TSeStyleColors 0011 @IsClass 0024 @AsClass 0042 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 33 DB 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F3 83 E6 7F 8B 44 B0 04 89 44 B7 04 43 80 FB 1E 75 E0 EB 09 8B D5 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85661_0 {
	meta:
		name = "TSeStyleColors.LoadFromStream"
		size = 243
		refs = "0018 TSeStyleColors.LoadFromStream 005e ReadString 007a StringToColor 00e1 @UStrArrayClr 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FB B9 01 00 00 00 8B C6 8B 18 FF 53 0C B8 1D 00 00 00 0F B6 55 FB 3B C2 7E 09 0F B6 45 FB 88 45 F9 EB 04 C6 45 F9 1D 0F B6 5D F9 84 DB 72 3D 43 C6 45 FA 00 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 0F B6 55 FA 8B 4D FC 89 44 91 04 FE 45 FA FE CB 75 C8 0F B6 45 FB 3A 45 F9 76 32 FE 4D FB 0F B6 45 F9 0F B6 5D FB 2A D8 72 23 43 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8D 55 E0 8B C6 E8 ?? ?? ?? ?? FE CB 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85662_0 {
	meta:
		name = "TSeStyleColors.SaveToStream"
		size = 172
		refs = "0017 TSeStyleColors.SaveToStream 0038 StyleColorNames 0042 WriteString 0061 ColorToString 008a @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 1D 8D 55 F7 B9 01 00 00 00 8B 45 F8 8B 18 FF 53 10 33 DB BE ?? ?? ?? ?? 8B 16 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 C3 8B 55 FC 8B 44 82 04 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 43 83 C6 04 80 FB 1E 75 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_85663_0 {
	meta:
		name = "TSeStyleColors.GetColor"
		size = 8
		altNames = "TSeStyleFonts.GetFont"
	strings:
		$1 = { 83 E2 7F 8B 44 90 04 C3 }
	condition:
		$1
}

rule function_85664_0 {
	meta:
		name = "TSeStyleColors.SetColor"
		size = 8
	strings:
		$1 = { 83 E2 7F 89 4C 90 04 C3 }
	condition:
		$1
}

rule function_85665_0 {
	meta:
		name = "TSeStyleSysColors.Create"
		size = 89
		refs = "000e @ClassCreate 001e TObject.Create 0028 SysColors 0044 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 60 33 D2 B8 ?? ?? ?? ?? 8B 08 89 4C 93 04 42 83 C0 08 83 FA 17 75 F1 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_85666_0 {
	meta:
		name = "TSeStyleSysColors.Assign"
		size = 68
		refs = "000b _DV_TSeStyleSysColors 0010 @IsClass 0023 @AsClass 003c TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 33 DB 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 98 04 89 44 9E 04 43 83 FB 17 75 E5 EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85667_0 {
	meta:
		name = "TSeStyleSysColors.LoadFromStream"
		size = 228
		refs = "001c TSeStyleSysColors.LoadFromStream 005b ReadString 0077 StringToColor 00d1 @UStrArrayClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 B9 04 00 00 00 8B C3 8B 30 FF 56 0C 83 7D F8 17 7D 08 8B 45 F8 89 45 F4 EB 07 C7 45 F4 17 00 00 00 8B 75 F4 4E 85 F6 7C 34 46 33 FF 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 FC 89 44 BA 04 47 4E 75 CF 8B 45 F8 3B 45 F4 7E 2D 8B 7D F4 8B 75 F8 4E 2B F7 7C 22 46 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 4E 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85668_0 {
	meta:
		name = "TSeStyleSysColors.SaveToStream"
		size = 172
		refs = "0017 TSeStyleSysColors.SaveToStream 003b SysColors 0045 WriteString 0061 ColorToString 008a @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 17 00 00 00 8D 55 F4 B9 04 00 00 00 8B 45 F8 8B 18 FF 53 10 33 F6 BB ?? ?? ?? ?? 8B 13 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC 8B 44 B0 04 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 46 83 C3 08 83 FE 17 75 C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_85669_0 {
	meta:
		name = "TSeStyleSysColors.GetColor"
		size = 128
		refs = "0015 TSeStyleSysColors.GetColor 0029 SysColors 0033 IntToIdent 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 FF FF FF 1F 6A 16 B9 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 33 D2 B8 ?? ?? ?? ?? 3B 18 75 0C 8B 45 F8 8B 44 90 04 89 45 F4 EB 09 42 83 C0 08 83 FA 17 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85670_0 {
	meta:
		name = "TSeStyleSysColors.SetColor"
		size = 121
		refs = "0018 TSeStyleSysColors.SetColor 0025 SysColors 002f IntToIdent 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 DB 89 5D FC 89 4D F4 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 16 B9 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 33 D2 B8 ?? ?? ?? ?? 3B 18 75 0C 8B 45 F8 8B 4D F4 89 4C 90 04 EB 09 42 83 C0 08 83 FA 17 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85671_0 {
	meta:
		name = "TSeStyleFonts.Create"
		size = 160
		refs = "000f @ClassCreate 001f TObject.Create 002c _Dn_TFont 0031 TFont.Create 0055 TSeStyleFonts.Create 005a TFont.SetName 006d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 89 9E 64 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 68 01 00 00 33 DB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 0F B6 C3 89 7C 86 04 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 80 FB 58 75 D9 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 68 00 6F 00 6D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_85672_0 {
	meta:
		name = "TSeStyleFonts.Destroy"
		size = 75
		refs = "0004 @BeforeDestruction 0017 TObject.Free 0036 TPersistent.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 51 E8 ?? ?? ?? ?? 88 14 24 8B F0 33 DB 0F B6 C3 8B 44 86 04 E8 ?? ?? ?? ?? 43 80 FB 58 75 EE 8B 86 68 01 00 00 E8 ?? ?? ?? ?? 0F B6 14 24 80 E2 FC 8B C6 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_85673_0 {
	meta:
		name = "TSeStyleFonts.Assign"
		size = 80
		refs = "000c _DV_TSeStyleFonts 0011 @IsClass 0024 @AsClass 0047 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 33 DB 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F3 83 E6 7F 8B 54 B0 04 8B 44 B7 04 8B 08 FF 51 08 43 80 FB 58 75 DB EB 09 8B D5 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85674_0 {
	meta:
		name = "TSeStyleFonts.LoadFromStream"
		size = 346
		refs = "001c TSeStyleFonts.LoadFromStream 0067 ReadString 0086 StringToFontName 009a TFont.SetName 00a2 StringToFontSize 00b0 TFont.SetSize 00b8 StringToFontColor 00c6 TFont.SetColor 00ce StringToFontStyle 00dc TFont.SetStyle 013f @UStrArrayClr 0147 @UStrClr 014d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F7 B9 01 00 00 00 8B C6 8B 18 FF 53 0C B8 57 00 00 00 0F B6 55 F7 3B C2 7E 09 0F B6 45 F7 88 45 F6 EB 04 C6 45 F6 57 0F B6 45 F6 84 C0 0F 82 8F 00 00 00 40 88 45 F5 B3 00 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B FB 83 E7 7F 8B 45 F8 8B 44 B8 04 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 44 B8 04 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 44 B8 04 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 44 B8 04 E8 ?? ?? ?? ?? 43 FE 4D F5 0F 85 77 FF FF FF 0F B6 45 F7 3A 45 F6 76 36 FE 4D F7 0F B6 5D F6 0F B6 45 F7 2A C3 72 27 40 88 45 F5 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8D 55 DC 8B C6 E8 ?? ?? ?? ?? FE 4D F5 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85675_0 {
	meta:
		name = "TSeStyleFonts.SaveToStream"
		size = 172
		refs = "0017 TSeStyleFonts.SaveToStream 0038 StyleFontNames 0042 WriteString 0061 FontToString 008a @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 57 8D 55 F7 B9 01 00 00 00 8B 45 F8 8B 18 FF 53 10 33 DB BE ?? ?? ?? ?? 8B 16 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 C3 8B 55 FC 8B 44 82 04 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 43 83 C6 04 80 FB 58 75 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_85677_0 {
	meta:
		name = "TSeStyleFonts.SetFont"
		size = 23
	strings:
		$1 = { 56 57 8B F9 8B F0 0F B6 C2 8B 44 86 04 8B D7 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_85678_0 {
	meta:
		name = "TSeStyleFonts.GetFontForObject"
		size = 124
		refs = "0015 TSeStyleFonts.GetFontForObject 001a @UStrEqual 0025 TSeStyleFonts.GetFont"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 83 BE 64 01 00 00 00 74 40 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 32 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 68 01 00 00 8B 08 FF 51 08 57 8B CB 8B 96 68 01 00 00 8B 86 64 01 00 00 8B 18 FF 53 14 8B 86 68 01 00 00 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85679_0 {
	meta:
		name = "TSeCustomStyle.Create"
		size = 216
		refs = "000a @ClassCreate 0017 TObject.Create 001f TSeCustomStyle.Create 0024 @UStrAsg 002d _DV_TSeStyleColors 0032 TSeStyleColors.Create 003e _DV_TSeStyleSysColors 0043 TSeStyleSysColors.Create 004f _DV_TSeStyleFonts 0054 TSeStyleFonts.Create 0060 _DV_TSeStyleMetrics 0065 TSeStyleMetrics.Create 0071 _DV_TSeStyleDrawing 0076 TSeStyleDrawing.Create 0082 _DV_TSeStyleOptions 0087 TSeStyleOptions.Create 009c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 1C 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 8B C6 8B 10 FF 52 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 20 00 74 00 68 00 65 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_85680_0 {
	meta:
		name = "TSeCustomStyle.Destroy"
		size = 132
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0072 TPersistent.Destroy 007d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85681_0 {
	meta:
		name = "TSeCustomStyle.GetStyleConfig"
		size = 32
		refs = "0012 @UStrClr"
	strings:
		$1 = { 53 8B DA C6 03 00 C6 43 01 00 C6 43 02 00 8D 43 04 E8 ?? ?? ?? ?? 8D 43 08 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85682_0 {
	meta:
		name = "TSeCustomStyle.GetName"
		size = 48
		refs = "0006 TSeCustomStyle.GetName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85683_0 {
	meta:
		name = "TSeCustomStyle.Assign"
		size = 96
		refs = "000b _DV_TSeCustomStyle 0010 @IsClass 0021 @UStrAsg 0058 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3B 8D 43 0C 8B FE 8B 57 0C E8 ?? ?? ?? ?? 8B 57 04 8B 43 04 8B 08 FF 51 08 8B 57 14 8B 43 14 8B 08 FF 51 08 8B 57 08 8B 43 08 8B 08 FF 51 08 8B 57 20 8B 43 20 8B 08 FF 51 08 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85689_0 {
	meta:
		name = "TSeCustomStyle.ResetStyleColors"
		size = 350
		refs = "000e TSeStyleColors.SetColor"
	strings:
		$1 = { 53 8B D8 B9 C0 C0 C0 00 B2 16 8B 43 04 E8 ?? ?? ?? ?? B9 0F 00 00 FF B2 05 8B 43 04 E8 ?? ?? ?? ?? B9 0F 00 00 FF B2 06 8B 43 04 E8 ?? ?? ?? ?? B9 0F 00 00 FF B2 07 8B 43 04 E8 ?? ?? ?? ?? B9 0F 00 00 FF B2 08 8B 43 04 E8 ?? ?? ?? ?? B9 0F 00 00 FF B2 09 8B 43 04 E8 ?? ?? ?? ?? B9 05 00 00 FF B2 10 8B 43 04 E8 ?? ?? ?? ?? B9 05 00 00 FF B2 15 8B 43 04 E8 ?? ?? ?? ?? B9 05 00 00 FF B2 0C 8B 43 04 E8 ?? ?? ?? ?? B9 0F 00 00 FF B2 13 8B 43 04 E8 ?? ?? ?? ?? B9 0F 00 00 FF B2 14 8B 43 04 E8 ?? ?? ?? ?? B9 05 00 00 FF B2 0A 8B 43 04 E8 ?? ?? ?? ?? B9 0F 00 00 FF B2 0B 8B 43 04 E8 ?? ?? ?? ?? B9 18 00 00 FF B2 0F 8B 43 04 E8 ?? ?? ?? ?? B9 06 00 00 FF 33 D2 8B 43 04 E8 ?? ?? ?? ?? B9 0F 00 00 FF B2 01 8B 43 04 E8 ?? ?? ?? ?? B9 A0 A0 A4 00 B2 02 8B 43 04 E8 ?? ?? ?? ?? B9 05 00 00 FF B2 03 8B 43 04 E8 ?? ?? ?? ?? B9 05 00 00 FF B2 04 8B 43 04 E8 ?? ?? ?? ?? B9 F0 F0 F0 00 B2 0D 8B 43 04 E8 ?? ?? ?? ?? B9 C0 C0 C0 00 B2 0E 8B 43 04 E8 ?? ?? ?? ?? B9 05 00 00 FF B2 11 8B 43 04 E8 ?? ?? ?? ?? B9 05 00 00 FF B2 12 8B 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85690_0 {
	meta:
		name = "TSeCustomStyle.SetFontForObject"
		size = 38
		refs = "0012 TSeStyleFonts.GetFont"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 8B D3 8B 47 08 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 08 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_85691_0 {
	meta:
		name = "TSeCustomStyle.ResetStyleFonts"
		size = 1340
		refs = "0006 TSeCustomStyle.ResetStyleFonts 0016 TSeStyleFonts.GetFont 0025 SetFont"
	strings:
		$1 = { 53 8B D8 0F B6 05 ?? ?? ?? ?? 50 68 FF FF FF 00 33 D2 8B 43 08 E8 ?? ?? ?? ?? B9 0A 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 68 C0 C0 C0 00 B2 01 8B 43 08 E8 ?? ?? ?? ?? B9 0A 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 68 FF FF FF 00 B2 02 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 68 C0 C0 C0 00 B2 03 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 0A 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 0B 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 0C 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 0D 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 68 10 00 00 FF B2 0E 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 0F 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 10 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 11 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 12 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 13 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 14 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 15 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 16 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 17 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 18 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 19 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 68 10 00 00 FF B2 1A 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 1B 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 68 10 00 00 FF B2 1C 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 04 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 05 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 06 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 07 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 1D 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 1E 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 1F 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 68 FF FF FF 00 B2 21 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 68 10 00 00 FF B2 20 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 68 10 00 00 FF B2 25 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 68 10 00 00 FF B2 29 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 68 10 00 00 FF B2 41 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 6A 00 B2 2E 8B 43 08 E8 ?? ?? ?? ?? B9 08 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 68 00 6F 00 6D 00 61 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_85692_0 {
	meta:
		name = "TSeCustomStyle.ResetStyle"
		size = 19
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 0C 8B C3 8B 10 FF 52 10 5B C3 }
	condition:
		$1
}

rule function_85693_0 {
	meta:
		name = "TSeCustomStyle.DrawStyleText"
		size = 1470
		refs = "001d TSeTextInfo 0022 @AddRefRecord 002a TSeCustomStyle.DrawStyleText 00f5 DrawVerticalText 0149 TRect.Create 015f DrawText 0167 TRect.GetHeight 0175 TRect.GetWidth 01bc OffsetRect 01c9 InflateRect 05ab @FinalizeRecord 05b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 8B F1 8D 7D E8 B9 06 00 00 00 F3 A5 89 55 E4 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 F6 45 FD 02 74 24 81 CE 00 00 02 00 80 7D FC 00 75 04 C6 45 FC 06 80 7D FC 01 75 04 C6 45 FC 07 80 7D FC 02 75 04 C6 45 FC 08 F6 45 FD 04 74 06 81 CE 00 08 00 00 F6 45 FD 08 74 03 83 CE 10 F6 45 FD 10 74 03 83 CE 20 F6 45 FD 20 74 06 81 CE 00 80 00 00 F6 45 FD 40 74 03 83 CE 40 0F B6 45 FE 3C 01 0F 94 C3 48 2C 02 0F 83 79 01 00 00 0F B6 45 FC 83 F8 08 0F 87 E2 04 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 56 8D 75 E8 8D 7D D4 A5 A5 A5 A5 5E 56 53 8D 4D D4 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? E9 96 04 00 00 8D 75 E8 8D 7D D4 A5 A5 A5 A5 E9 87 04 00 00 8D 75 E8 8D 7D D4 A5 A5 A5 A5 E9 78 04 00 00 8D 75 E8 8D 7D D4 A5 A5 A5 A5 E9 69 04 00 00 56 8D 75 E8 8D 7D D4 A5 A5 A5 A5 5E 8B 45 F4 50 8B 45 F0 50 8B 4D EC 8B 55 E8 8D 45 C4 E8 ?? ?? ?? ?? B8 00 04 00 00 0B C6 50 8D 4D C4 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 03 45 D4 89 45 DC 8D 45 C4 E8 ?? ?? ?? ?? 03 45 D8 89 45 E0 8D 45 E8 E8 ?? ?? ?? ?? 8B F8 8D 45 C4 E8 ?? ?? ?? ?? 2B F8 D1 FF 79 03 83 D7 00 57 8D 45 E8 E8 ?? ?? ?? ?? 8B F8 8D 45 C4 E8 ?? ?? ?? ?? 2B F8 D1 FF 79 03 83 D7 00 57 8D 45 D4 50 E8 ?? ?? ?? ?? 6A 02 6A 00 8D 45 D4 50 E8 ?? ?? ?? ?? 56 53 8D 4D D4 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? E9 B2 03 00 00 8D 75 E8 8D 7D D4 A5 A5 A5 A5 E9 A3 03 00 00 8D 75 E8 8D 7D D4 A5 A5 A5 A5 E9 94 03 00 00 8D 75 E8 8D 7D D4 A5 A5 A5 A5 E9 85 03 00 00 8D 75 E8 8D 7D D4 A5 A5 A5 A5 E9 76 03 00 00 0F B6 45 FC 83 F8 08 0F 87 69 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 56 8D 75 E8 8D 7D D4 A5 A5 A5 A5 5E 56 8D 4D D4 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? E9 1E 03 00 00 56 8D 75 E8 8D 7D D4 A5 A5 A5 A5 5E B8 00 04 00 00 0B C6 50 8D 4D D4 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8B D8 8D 45 D4 E8 ?? ?? ?? ?? 2B D8 D1 FB 79 03 83 D3 00 53 6A 00 8D 45 D4 50 E8 ?? ?? ?? ?? 56 8D 4D D4 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? E9 C1 02 00 00 56 8D 75 E8 8D 7D D4 A5 A5 A5 A5 5E B8 00 04 00 00 0B C6 50 8D 4D D4 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8B D8 8D 45 D4 E8 ?? ?? ?? ?? 2B D8 53 6A 00 8D 45 D4 50 E8 ?? ?? ?? ?? 56 8D 4D D4 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? E9 6B 02 00 00 56 8D 75 E8 8D 7D D4 A5 A5 A5 A5 5E B8 00 04 00 00 0B C6 50 8D 4D D4 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 6A 00 8D 45 E8 E8 ?? ?? ?? ?? 8B D8 8D 45 D4 E8 ?? ?? ?? ?? 2B D8 D1 FB 79 03 83 D3 00 53 8D 45 D4 50 E8 ?? ?? ?? ?? 56 8D 4D D4 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? E9 0E 02 00 00 56 8D 75 E8 8D 7D D4 A5 A5 A5 A5 5E B8 00 04 00 00 0B C6 50 8D 4D D4 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8B D8 8D 45 D4 E8 ?? ?? ?? ?? 2B D8 D1 FB 79 03 83 D3 00 53 8D 45 E8 E8 ?? ?? ?? ?? 8B D8 8D 45 D4 E8 ?? ?? ?? ?? 2B D8 D1 FB 79 03 83 D3 00 53 8D 45 D4 50 E8 ?? ?? ?? ?? 56 8D 4D D4 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? E9 97 01 00 00 56 8D 75 E8 8D 7D D4 A5 A5 A5 A5 5E B8 00 04 00 00 0B C6 50 8D 4D D4 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8B D8 8D 45 D4 E8 ?? ?? ?? ?? 2B D8 53 8D 45 E8 E8 ?? ?? ?? ?? 8B D8 8D 45 D4 E8 ?? ?? ?? ?? 2B D8 D1 FB 79 03 83 D3 00 53 8D 45 D4 50 E8 ?? ?? ?? ?? 56 8D 4D D4 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? E9 27 01 00 00 56 8D 75 E8 8D 7D D4 A5 A5 A5 A5 5E B8 00 04 00 00 0B C6 50 8D 4D D4 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 6A 00 8D 45 E8 E8 ?? ?? ?? ?? 8B D8 8D 45 D4 E8 ?? ?? ?? ?? 2B D8 53 8D 45 D4 50 E8 ?? ?? ?? ?? 56 8D 4D D4 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? E9 D1 00 00 00 56 8D 75 E8 8D 7D D4 A5 A5 A5 A5 5E B8 00 04 00 00 0B C6 50 8D 4D D4 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8B D8 8D 45 D4 E8 ?? ?? ?? ?? 2B D8 D1 FB 79 03 83 D3 00 53 8D 45 E8 E8 ?? ?? ?? ?? 8B D8 8D 45 D4 E8 ?? ?? ?? ?? 2B D8 53 8D 45 D4 50 E8 ?? ?? ?? ?? 56 8D 4D D4 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? EB 64 56 8D 75 E8 8D 7D D4 A5 A5 A5 A5 5E B8 00 04 00 00 0B C6 50 8D 4D D4 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8B D8 8D 45 D4 E8 ?? ?? ?? ?? 2B D8 53 8D 45 E8 E8 ?? ?? ?? ?? 8B D8 8D 45 D4 E8 ?? ?? ?? ?? 2B D8 53 8D 45 D4 50 E8 ?? ?? ?? ?? 56 8D 4D D4 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85696_0 {
	meta:
		name = "TSeCustomStyle.WindowGetHitTest"
		size = 684
		refs = "0022 TSeWindowInfo 0027 @AddRefRecord 002f TSeCustomStyle.WindowGetHitTest 008e Rect 00e2 PtInRect 024e WindowButtonToHitTest 0274 @FinalizeRecord 027a @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 60 FF FF FF 53 56 57 8B F1 8D 7D D4 B9 0B 00 00 00 F3 A5 88 55 D3 8B F0 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 D2 00 8B 45 10 89 45 C0 8B 45 0C 89 45 C4 8B 45 C0 89 45 C8 8B 45 C4 89 45 CC 0F B6 45 D3 2C 03 72 08 2C 03 0F 85 F8 01 00 00 68 ?? ?? ?? ?? 8D 45 B0 50 0F B6 55 D3 8D 4D D4 8B C6 8B 18 FF 53 4C 8B 45 E0 50 8D 45 A0 50 8B 4D B0 8B 55 D8 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 B4 50 8D 45 90 50 8B 4D DC 8B 55 D8 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 45 80 50 8B 4D DC 8B 55 D8 8B 45 B8 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 85 70 FF FF FF 50 8B 4D DC 8B 55 BC 8B 45 D4 E8 ?? ?? ?? ?? FF 75 CC FF 75 C8 8D 45 A0 50 E8 ?? ?? ?? ?? 85 C0 74 04 C6 45 D2 02 FF 75 CC FF 75 C8 8D 45 90 50 E8 ?? ?? ?? ?? 85 C0 74 04 C6 45 D2 03 FF 75 CC FF 75 C8 8D 45 80 50 E8 ?? ?? ?? ?? 85 C0 74 04 C6 45 D2 04 FF 75 CC FF 75 C8 8D 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 74 04 C6 45 D2 05 FF 75 CC FF 75 C8 8D 45 A0 50 E8 ?? ?? ?? ?? 85 C0 74 17 FF 75 CC FF 75 C8 8D 45 90 50 E8 ?? ?? ?? ?? 85 C0 74 04 C6 45 D2 07 FF 75 CC FF 75 C8 8D 45 80 50 E8 ?? ?? ?? ?? 85 C0 74 17 FF 75 CC FF 75 C8 8D 45 90 50 E8 ?? ?? ?? ?? 85 C0 74 04 C6 45 D2 08 FF 75 CC FF 75 C8 8D 45 A0 50 E8 ?? ?? ?? ?? 85 C0 74 1A FF 75 CC FF 75 C8 8D 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 74 04 C6 45 D2 09 FF 75 CC FF 75 C8 8D 45 80 50 E8 ?? ?? ?? ?? 85 C0 74 1A FF 75 CC FF 75 C8 8D 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 74 04 C6 45 D2 0A FF 75 CC FF 75 C8 68 ?? ?? ?? ?? 8D 85 60 FF FF FF 50 0F B6 55 D3 8D 4D D4 8B C6 8B 18 FF 53 50 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 74 04 C6 45 D2 01 33 DB FF 75 CC FF 75 C8 53 68 ?? ?? ?? ?? 8D 85 60 FF FF FF 50 0F B6 55 D3 8D 4D D4 8B C6 8B 38 FF 57 54 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 85 C0 74 0C 8B C3 E8 ?? ?? ?? ?? 88 45 D2 EB 06 43 80 FB 0D 75 BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 D2 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85697_0 {
	meta:
		name = "TSeCustomStyle.WindowGetClientRect"
		size = 63
		refs = "000e NullRect"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B 45 08 8B F8 BE ?? ?? ?? ?? A5 A5 A5 A5 8B 13 83 C2 04 89 10 8B 53 04 83 C2 16 89 50 04 8B 53 08 83 EA 04 89 50 08 8B 53 0C 83 EA 04 89 50 0C 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_85698_0 {
	meta:
		name = "TSeCustomStyle.WindowGetTitleRect"
		size = 176
		refs = "0022 TSeWindowInfo 0027 @AddRefRecord 002f TSeCustomStyle.WindowGetTitleRect 003d NullRect 007e @FinalizeRecord 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F1 8D 7D D4 B9 0B 00 00 00 F3 A5 88 55 D3 8B F0 8B 5D 08 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B FB BE ?? ?? ?? ?? A5 A5 A5 A5 5E 68 ?? ?? ?? ?? 53 0F B6 55 D3 8D 4D D4 8B C6 8B 30 FF 56 4C 8B 43 04 89 43 0C C7 43 04 03 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85699_0 {
	meta:
		name = "TSeCustomStyle.WindowGetButtonRect"
		size = 760
		refs = "0022 TSeWindowInfo 0027 @AddRefRecord 002f TSeCustomStyle.WindowGetButtonRect 003d NullRect 0078 Rect 00fa OffsetRect 02c4 @FinalizeRecord 02ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 8B F1 8D 7D D4 B9 0B 00 00 00 F3 A5 88 55 D3 8B F0 8B 5D 08 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B FB BE ?? ?? ?? ?? A5 A5 A5 A5 5E 68 ?? ?? ?? ?? 8D 45 C0 50 0F B6 55 D3 8D 4D D4 8B C6 8B 30 FF 56 4C 8B 7D C4 4F 57 8D 45 B0 50 8B 75 C8 8B CE 49 8B C6 83 E8 16 48 BA 04 00 00 00 E8 ?? ?? ?? ?? 57 8B FB 8D 75 B0 A5 A5 A5 A5 5F 0F B6 45 10 83 F8 09 0F 87 19 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F6 45 E5 02 0F 84 E0 01 00 00 8B FB 8D 75 B0 A5 A5 A5 A5 E9 D2 01 00 00 F6 45 E5 04 0F 84 C8 01 00 00 8B FB 8D 75 B0 A5 A5 A5 A5 F6 45 E5 02 74 0A 6A 00 6A EA 53 E8 ?? ?? ?? ?? F6 45 E5 20 75 06 F6 45 E5 40 74 0A 6A 00 6A EA 53 E8 ?? ?? ?? ?? F6 45 E5 08 75 06 F6 45 E5 10 74 0A 6A 00 6A EA 53 E8 ?? ?? ?? ?? F6 45 E5 80 75 06 F6 45 E6 01 74 0A 6A 00 6A EA 53 E8 ?? ?? ?? ?? F6 45 E6 02 0F 84 63 01 00 00 6A 00 6A EA 53 E8 ?? ?? ?? ?? E9 54 01 00 00 F6 45 E5 08 75 0A F6 45 E5 10 0F 84 44 01 00 00 8B FB 8D 75 B0 A5 A5 A5 A5 F6 45 E5 02 74 0A 6A 00 6A EA 53 E8 ?? ?? ?? ?? F6 45 E5 20 75 0A F6 45 E5 40 0F 84 1B 01 00 00 6A 00 6A EA 53 E8 ?? ?? ?? ?? E9 0C 01 00 00 F6 45 E5 20 75 0A F6 45 E5 40 0F 84 FC 00 00 00 8B FB 8D 75 B0 A5 A5 A5 A5 F6 45 E5 02 0F 84 E9 00 00 00 6A 00 6A EA 53 E8 ?? ?? ?? ?? E9 DA 00 00 00 F6 45 E5 80 75 0A F6 45 E6 01 0F 84 CA 00 00 00 8B FB 8D 75 B0 A5 A5 A5 A5 F6 45 E5 02 74 0A 6A 00 6A EA 53 E8 ?? ?? ?? ?? F6 45 E5 20 75 06 F6 45 E5 40 74 0A 6A 00 6A EA 53 E8 ?? ?? ?? ?? F6 45 E5 08 75 0A F6 45 E5 10 0F 84 8B 00 00 00 6A 00 6A EA 53 E8 ?? ?? ?? ?? EB 7F F6 45 E6 02 74 79 8B FB 8D 75 B0 A5 A5 A5 A5 F6 45 E5 02 74 0A 6A 00 6A EA 53 E8 ?? ?? ?? ?? F6 45 E5 20 75 06 F6 45 E5 40 74 0A 6A 00 6A EA 53 E8 ?? ?? ?? ?? F6 45 E5 08 75 06 F6 45 E5 10 74 0A 6A 00 6A EA 53 E8 ?? ?? ?? ?? F6 45 E5 80 75 06 F6 45 E6 01 74 28 6A 00 6A EA 53 E8 ?? ?? ?? ?? EB 1C F6 45 E5 01 74 16 57 53 8B 75 C0 8B CE 83 C1 16 BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85700_0 {
	meta:
		name = "TSeCustomStyle.WindowDraw"
		size = 94
		refs = "001c TSeWindowInfo 0021 @AddRefRecord 0029 TSeCustomStyle.WindowDraw 004a @FinalizeRecord 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 56 57 8B 75 0C 8D 7D D4 51 B9 0B 00 00 00 F3 A5 59 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85702_0 {
	meta:
		name = "TSeCustomStyle.WindowDrawText"
		size = 212
		refs = "0035 TSeWindowInfo 003a @AddRefRecord 0042 TSeCustomStyle.WindowDrawText 0058 TSeStyleFonts.GetFont 0061 TCanvas.SetFont 008a TextInfo 00ac TSeTextInfo 00b1 @FinalizeRecord 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D BC 89 5D C0 89 5D C4 89 5D C8 89 5D CC 89 5D D0 8B 75 14 8D 7D D4 51 B9 0B 00 00 00 F3 A5 59 8B F1 8B D8 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 E4 01 74 15 33 D2 8B 43 08 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 13 B2 01 8B 43 08 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8D 45 BC 50 8B 45 10 B9 25 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 4D BC 8B D6 8B C3 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_85703_0 {
	meta:
		name = "TSeCustomStyle.WindowDrawButton"
		size = 31
	strings:
		$1 = { 55 8B EC 83 C4 E8 56 57 8B 75 0C 8D 7D E8 51 B9 06 00 00 00 F3 A5 59 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85704_0 {
	meta:
		name = "TSeCustomStyle.BarDraw"
		size = 27
		altNames = "TSeCustomStyle.BarDrawButton TSeCustomStyle.BarDrawItem TSeCustomStyle.BoxDraw TSeCustomStyle.ButtonDraw TSeCustomStyle.CheckDraw TSeCustomStyle.EditDraw TSeCustomStyle.EditDrawButton TSeCustomStyle.GridDrawItem TSeCustomStyle.HeaderDrawSection TSeCustomStyle.ListDrawItem TSeCustomStyle.MemoDraw TSeCustomStyle.PanelDrawButton TSeCustomStyle.ProgressDraw TSeCustomStyle.ScrollDrawArea TSeCustomStyle.ScrollDrawButton TSeCustomStyle.StatusDrawPanel TSeCustomStyle.TabDrawButton TSeCustomStyle.TabDrawItem TSeCustomStyle.ToolDrawItem TSeCustomStyle.TrackBarDraw TSeCustomStyle.TrackDrawThumb TSeCustomStyle.TreeDrawItem TSeCustomStyle.WindowDrawGripper"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 57 8B 75 0C 8D 7D EC A5 A5 A5 A5 A5 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85706_0 {
	meta:
		name = "TSeCustomStyle.HintGetClientRect"
		size = 48
		refs = "0024 InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B 75 10 8D 7D F0 A5 A5 A5 A5 8B 45 08 8B F8 8D 75 F0 A5 A5 A5 A5 6A F3 6A F6 50 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85707_0 {
	meta:
		name = "TSeCustomStyle.BarDockDraw"
		size = 26
		altNames = "TSeCustomStyle.DockDraw TSeCustomStyle.GridDraw TSeCustomStyle.HeaderDraw TSeCustomStyle.HintDraw TSeCustomStyle.ListDraw TSeCustomStyle.ListDrawColumn TSeCustomStyle.MenuDraw TSeCustomStyle.PanelDraw TSeCustomStyle.ScrollDraw TSeCustomStyle.SplitterDraw TSeCustomStyle.StatusDraw TSeCustomStyle.TabDraw TSeCustomStyle.ToolDraw TSeCustomStyle.TrackDraw TSeCustomStyle.TreeDraw TSeStyle.TrackDraw"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B 75 0C 8D 7D F0 A5 A5 A5 A5 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85710_0 {
	meta:
		name = "TSeCustomStyle.LabelDrawText"
		size = 112
		refs = "0021 TSeTextInfo 0026 @AddRefRecord 002e TSeCustomStyle.LabelDrawText 005b @FinalizeRecord 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 0C 8D 7D E8 51 B9 06 00 00 00 F3 A5 59 8B F1 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 8B D6 8B C3 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85713_0 {
	meta:
		name = "TSeCustomStyle.DockGetClientRect"
		size = 37
		altNames = "TSeCustomStyle.PanelGetClientRect TSeCustomStyle.TabGetClientRect TSeStyle.DockGetClientRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 8B 45 08 8B F8 8D 75 F0 A5 A5 A5 A5 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85716_0 {
	meta:
		name = "TSeCustomStyle.PanelDrawText"
		size = 122
		refs = "002b TSeTextInfo 0030 @AddRefRecord 0038 TSeCustomStyle.PanelDrawText 0065 @FinalizeRecord 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B 75 0C 8D 7D E8 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D D8 A5 A5 A5 A5 8B F1 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 8B D6 8B C3 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85720_0 {
	meta:
		name = "TSeCustomStyle.ButtonDrawText"
		size = 123
		refs = "002c TSeTextInfo 0031 @AddRefRecord 0039 TSeCustomStyle.ButtonDrawText 0066 @FinalizeRecord 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 75 0C 8D 7D E8 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D D4 A5 A5 A5 A5 A5 8B F1 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 8B D6 8B C3 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85726_0 {
	meta:
		name = "TSeCustomStyle.CheckDrawText"
		size = 123
		refs = "002c TSeTextInfo 0031 @AddRefRecord 0039 TSeCustomStyle.CheckDrawText 0066 @FinalizeRecord 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 75 0C 8D 7D E8 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D D4 A5 A5 A5 A5 A5 8B F1 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 8B D6 8B C3 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85816_0 {
	meta:
		name = "TSeCustomStyle.GridDrawText"
		size = 123
		refs = "002c TSeTextInfo 0031 @AddRefRecord 0039 TSeCustomStyle.GridDrawText 0066 @FinalizeRecord 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 75 0C 8D 7D E8 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D D4 A5 A5 A5 A5 A5 8B F1 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 8B D6 8B C3 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85766_0 {
	meta:
		name = "TSeCustomStyle.HeaderDrawText"
		size = 123
		refs = "002c TSeTextInfo 0031 @AddRefRecord 0039 TSeCustomStyle.HeaderDrawText 0066 @FinalizeRecord 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 75 0C 8D 7D E8 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D D4 A5 A5 A5 A5 A5 8B F1 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 8B D6 8B C3 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85756_0 {
	meta:
		name = "TSeCustomStyle.ListDrawText"
		size = 123
		refs = "002c TSeTextInfo 0031 @AddRefRecord 0039 TSeCustomStyle.ListDrawText 0066 @FinalizeRecord 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 75 0C 8D 7D E8 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D D4 A5 A5 A5 A5 A5 8B F1 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 8B D6 8B C3 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85800_0 {
	meta:
		name = "TSeCustomStyle.MenuDrawItemText"
		size = 123
		refs = "002c TSeTextInfo 0031 @AddRefRecord 0039 TSeCustomStyle.MenuDrawItemText 0066 @FinalizeRecord 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 75 0C 8D 7D E8 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D D4 A5 A5 A5 A5 A5 8B F1 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 8B D6 8B C3 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85774_0 {
	meta:
		name = "TSeCustomStyle.StatusDrawText"
		size = 123
		refs = "002c TSeTextInfo 0031 @AddRefRecord 0039 TSeCustomStyle.StatusDrawText 0066 @FinalizeRecord 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 75 0C 8D 7D E8 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D D4 A5 A5 A5 A5 A5 8B F1 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 8B D6 8B C3 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85781_0 {
	meta:
		name = "TSeCustomStyle.TabDrawText"
		size = 123
		refs = "002c TSeTextInfo 0031 @AddRefRecord 0039 TSeCustomStyle.TabDrawText 0066 @FinalizeRecord 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 75 0C 8D 7D E8 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D D4 A5 A5 A5 A5 A5 8B F1 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 8B D6 8B C3 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85809_0 {
	meta:
		name = "TSeCustomStyle.ToolDrawItemText"
		size = 123
		refs = "002c TSeTextInfo 0031 @AddRefRecord 0039 TSeCustomStyle.ToolDrawItemText 0066 @FinalizeRecord 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 75 0C 8D 7D E8 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D D4 A5 A5 A5 A5 A5 8B F1 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 8B D6 8B C3 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85822_0 {
	meta:
		name = "TSeCustomStyle.TreeDrawText"
		size = 123
		refs = "002c TSeTextInfo 0031 @AddRefRecord 0039 TSeCustomStyle.TreeDrawText 0066 @FinalizeRecord 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 75 0C 8D 7D E8 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D D4 A5 A5 A5 A5 A5 8B F1 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 8B D6 8B C3 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85721_0 {
	meta:
		name = "TSeCustomStyle.ButtonDrawGlyph"
		size = 59
		refs = "002f TseBitmap.Draw"
		altNames = "TSeCustomStyle.TabDrawGlyph"
	strings:
		$1 = { 55 8B EC 83 C4 D4 56 57 8B 75 0C 8D 7D D4 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D EC A5 A5 A5 A5 A5 8B 45 D8 50 8B D1 8B 45 E4 8B 4D D4 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85724_0 {
	meta:
		name = "TSeCustomStyle.CheckGetSize"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 08 C7 00 0D 00 00 00 C7 40 04 0D 00 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_85729_0 {
	meta:
		name = "TSeCustomStyle.GroupGetClientRect"
		size = 40
	strings:
		$1 = { 55 8B EC 83 C4 DC 56 57 8B F1 8D 7D DC B9 09 00 00 00 F3 A5 8B 45 08 8B F8 8D 75 DC A5 A5 A5 A5 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85730_0 {
	meta:
		name = "TSeCustomStyle.GroupDraw"
		size = 31
	strings:
		$1 = { 55 8B EC 83 C4 DC 56 57 8B 75 0C 8D 7D DC 51 B9 09 00 00 00 F3 A5 59 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85731_0 {
	meta:
		name = "TSeCustomStyle.GroupDrawText"
		size = 127
		refs = "0030 TSeTextInfo 0035 @AddRefRecord 003d TSeCustomStyle.GroupDrawText 006a @FinalizeRecord 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 8B 75 0C 8D 7D E8 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D C4 51 B9 09 00 00 00 F3 A5 59 8B F1 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 8B D6 8B C3 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85739_0 {
	meta:
		name = "TSeCustomStyle.ProgressGetClientRect"
		size = 38
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 57 8B F1 8D 7D EC A5 A5 A5 A5 A5 8B 45 08 8B F8 8D 75 EC A5 A5 A5 A5 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85743_0 {
	meta:
		name = "TSeCustomStyle.EditGetClientRect"
		size = 49
		refs = "0025 InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 57 8B 75 10 8D 7D EC A5 A5 A5 A5 A5 8B 45 08 8B F8 8D 75 EC A5 A5 A5 A5 6A FD 6A FD 50 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85751_0 {
	meta:
		name = "TSeCustomStyle.ListGetClientRect"
		size = 47
		refs = "0023 InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 8B 45 08 8B F8 8D 75 F0 A5 A5 A5 A5 6A FB 6A FC 50 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85755_0 {
	meta:
		name = "TSeCustomStyle.ListDrawGlyph"
		size = 42
	strings:
		$1 = { 55 8B EC 83 C4 D0 56 57 8B 75 0C 8D 7D D0 51 B9 07 00 00 00 F3 A5 59 8B 75 10 8D 7D EC A5 A5 A5 A5 A5 5F 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85767_0 {
	meta:
		name = "TSeCustomStyle.HeaderDrawGlyph"
		size = 59
		refs = "002f TseBitmap.Draw"
		altNames = "TSeCustomStyle.StatusDrawGlyph"
	strings:
		$1 = { 55 8B EC 83 C4 D4 56 57 8B 75 0C 8D 7D D4 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D EC A5 A5 A5 A5 A5 8B 45 E4 85 C0 74 0A 8D 55 D4 87 D1 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85770_0 {
	meta:
		name = "TSeCustomStyle.StatusGetClientRect"
		size = 47
		refs = "0023 InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 8B 45 08 8B F8 8D 75 F0 A5 A5 A5 A5 6A FE 6A FB 50 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85785_0 {
	meta:
		name = "TSeCustomStyle.BarDockGetClientRect"
		size = 48
		refs = "0024 InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B 75 10 8D 7D F0 A5 A5 A5 A5 8B 45 08 8B F8 8D 75 F0 A5 A5 A5 A5 6A FD 6A FD 50 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85788_0 {
	meta:
		name = "TSeCustomStyle.BarGetClientRect"
		size = 39
		altNames = "TSeCustomStyle.BoxGetClientRect TSeCustomStyle.MemoGetClientRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 57 8B 75 10 8D 7D EC A5 A5 A5 A5 A5 8B 45 08 8B F8 8D 75 EC A5 A5 A5 A5 5F 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85790_0 {
	meta:
		name = "TSeCustomStyle.BarDrawCaption"
		size = 38
	strings:
		$1 = { 55 8B EC 83 C4 D8 56 57 8B 75 0C 8D 7D D8 A5 A5 A5 A5 A5 8B 75 10 8D 7D EC A5 A5 A5 A5 A5 5F 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85793_0 {
	meta:
		name = "TSeCustomStyle.BarDrawText"
		size = 112
		refs = "0021 TSeTextInfo 0026 @AddRefRecord 002e TSeCustomStyle.BarDrawText 005b @FinalizeRecord 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 0C 8D 7D E8 51 B9 06 00 00 00 F3 A5 59 8B F1 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 8B D6 8B C3 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85796_0 {
	meta:
		name = "TSeCustomStyle.MenuGetClientRect"
		size = 47
		refs = "0023 InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 8B 45 08 8B F8 8D 75 F0 A5 A5 A5 A5 6A FB 6A FD 50 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85798_0 {
	meta:
		name = "TSeCustomStyle.MenuDrawItem"
		size = 189
		refs = "0038 FillRect 0082 DrawRect 008c TRect.GetHeight 00a1 InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B 75 0C 8D 7D EC A5 A5 A5 A5 A5 8B D9 0F B6 45 FC 2C 01 72 07 74 68 E9 8F 00 00 00 0F B6 45 FD 3C 03 75 11 8D 55 EC B9 FF FF FF 00 8B C3 E8 ?? ?? ?? ?? EB 39 3C 02 75 11 8D 55 EC B9 80 80 80 00 8B C3 E8 ?? ?? ?? ?? EB 24 3C 01 75 11 8D 55 EC B9 FF FF 00 00 8B C3 E8 ?? ?? ?? ?? EB 0F 8D 55 EC B9 C0 C0 C0 00 8B C3 E8 ?? ?? ?? ?? 8D 55 EC B9 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 2C 8D 45 EC E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 F7 D8 50 6A FD 8D 45 EC 50 E8 ?? ?? ?? ?? 8D 55 EC B9 FF 00 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85799_0 {
	meta:
		name = "TSeCustomStyle.MenuDrawItemGlyph"
		size = 645
		refs = "005a TRect.Create 006b RectCenter 009a CheckMarkPoints 00a4 Move 00d8 TSeStyleFonts.GetFont 00e6 TPen.SetColor 0111 TCanvas.GetHandle 0117 Polyline 0180 FillRoundRect 0217 TRect.GetHeight 0233 DrawArrow 0278 TseBitmap.Draw"
	strings:
		$1 = { 55 8B EC 81 C4 40 FF FF FF 53 56 57 8B 75 0C 8D 7D C0 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D D8 A5 A5 A5 A5 A5 89 4D FC 8B D8 0F B6 45 D5 2C 01 72 1B 0F 84 FB 00 00 00 FE C8 0F 84 6B 01 00 00 FE C8 0F 84 F0 01 00 00 E9 2E 02 00 00 6A 10 6A 10 33 C9 33 D2 8D 45 B0 E8 ?? ?? ?? ?? 8D 8D 40 FF FF FF 8D 55 C0 8D 45 B0 E8 ?? ?? ?? ?? 8B 45 B0 03 45 B8 D1 F8 79 03 83 D0 00 83 E8 02 89 45 F8 8B 45 B4 03 45 BC D1 F8 79 03 83 D0 00 40 89 45 F4 8D 95 50 FF FF FF B8 ?? ?? ?? ?? B9 60 00 00 00 E8 ?? ?? ?? ?? BA 0C 00 00 00 8D 85 50 FF FF FF 8B 4D F8 01 08 8B 4D F4 01 48 04 83 C0 08 4A 75 EF 0F B6 45 E9 2C 01 72 06 2C 02 74 1C EB 32 B2 3E 8B 43 08 E8 ?? ?? ?? ?? 8B 50 18 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? EB 18 B2 41 8B 43 08 E8 ?? ?? ?? ?? 8B 50 18 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? 6A 07 8D 85 50 FF FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 05 8D 45 88 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 48 01 00 00 6A 06 6A 06 33 C9 33 D2 8D 45 B0 E8 ?? ?? ?? ?? 8D 8D 40 FF FF FF 8D 55 C0 8D 45 B0 E8 ?? ?? ?? ?? 0F B6 45 E9 2C 01 72 09 2C 02 74 28 E9 16 01 00 00 B2 3E 8B 43 08 E8 ?? ?? ?? ?? 8B 40 18 50 8D 55 B0 B9 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 F3 00 00 00 B2 41 8B 43 08 E8 ?? ?? ?? ?? 8B 40 18 50 8D 55 B0 B9 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 D0 00 00 00 6A 10 6A 10 33 C9 33 D2 8D 45 B0 E8 ?? ?? ?? ?? 8D 8D 40 FF FF FF 8D 55 C0 8D 45 B0 E8 ?? ?? ?? ?? 0F B6 45 E9 2C 01 72 06 2C 02 74 1C EB 32 B2 3E 8B 43 08 E8 ?? ?? ?? ?? 8B 50 18 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? EB 18 B2 41 8B 43 08 E8 ?? ?? ?? ?? 8B 50 18 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? 8B 5D B8 83 EB 06 8D 45 B0 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 89 5D EC 89 45 F0 6A 03 8D 4D EC B2 01 8B 45 FC E8 ?? ?? ?? ?? EB 43 8B 5D D0 85 DB 74 3C 8B C3 8B 10 FF 52 30 50 8B 45 D0 8B 10 FF 52 24 50 33 C9 33 D2 8D 45 B0 E8 ?? ?? ?? ?? 8D 8D 40 FF FF FF 8D 55 C0 8D 45 B0 E8 ?? ?? ?? ?? 8D 4D B0 8B 55 FC 8B 45 D0 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85805_0 {
	meta:
		name = "TSeCustomStyle.ToolGetClientRect"
		size = 52
		refs = "0024 InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 8B 5D 08 8B FB 8D 75 F0 A5 A5 A5 A5 6A FE 6A FE 53 E8 ?? ?? ?? ?? 83 03 09 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85808_0 {
	meta:
		name = "TSeCustomStyle.ToolDrawItemGlyph"
		size = 453
		refs = "0057 TRect.Create 0068 RectCenter 0097 CheckMarkPoints 00a1 Move 00cb TPen.SetColor 00db TCanvas.GetHandle 00e1 Polyline 0139 FillRoundRect 0174 DrawFrameControlGlyph 01b8 TseBitmap.Draw"
	strings:
		$1 = { 55 8B EC 81 C4 4C FF FF FF 53 56 57 8B 75 0C 8D 7D CC 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D E4 A5 A5 A5 A5 A5 8B D9 0F B6 45 E1 2C 01 72 1B 0F 84 D5 00 00 00 FE C8 0F 84 01 01 00 00 FE C8 0F 84 34 01 00 00 E9 71 01 00 00 6A 10 6A 10 33 C9 33 D2 8D 45 BC E8 ?? ?? ?? ?? 8D 8D 4C FF FF FF 8D 55 CC 8D 45 BC E8 ?? ?? ?? ?? 8B 45 BC 03 45 C4 D1 F8 79 03 83 D0 00 83 E8 02 89 45 FC 8B 45 C0 03 45 C8 D1 F8 79 03 83 D0 00 40 89 45 F8 8D 95 5C FF FF FF B8 ?? ?? ?? ?? B9 60 00 00 00 E8 ?? ?? ?? ?? BA 0C 00 00 00 8D 85 5C FF FF FF 8B 4D FC 01 08 8B 4D F8 01 48 04 83 C0 08 4A 75 EF 8B 43 40 8B 50 18 8B 43 44 E8 ?? ?? ?? ?? 6A 07 8D 85 5C FF FF FF 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 40 8B 50 18 8B 43 44 E8 ?? ?? ?? ?? 6A 05 8D 45 94 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E9 B1 00 00 00 6A 06 6A 06 8D 45 BC 33 C9 33 D2 E8 ?? ?? ?? ?? 8D 8D 4C FF FF FF 8D 55 CC 8D 45 BC E8 ?? ?? ?? ?? 6A 00 8D 55 BC B9 03 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 7D 6A 10 6A 10 33 C9 33 D2 8D 45 BC E8 ?? ?? ?? ?? 8D 8D 4C FF FF FF 8D 55 CC 8D 45 BC E8 ?? ?? ?? ?? 6A 00 8B 43 40 8B 40 18 50 8D 55 BC B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 42 8B 75 DC 85 F6 74 3B 8B C6 8B 10 FF 52 30 50 8B 45 DC 8B 10 FF 52 24 50 33 C9 33 D2 8D 45 BC E8 ?? ?? ?? ?? 8D 8D 4C FF FF FF 8D 55 CC 8D 45 BC E8 ?? ?? ?? ?? 8D 4D BC 8B D3 8B 45 DC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85812_0 {
	meta:
		name = "TSeCustomStyle.GridGetClientRect"
		size = 47
		refs = "0023 InflateRect"
		altNames = "TSeCustomStyle.TreeGetClientRect TSeStyle.TabGetClientRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 8B 45 08 8B F8 8D 75 F0 A5 A5 A5 A5 6A FE 6A FE 50 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85815_0 {
	meta:
		name = "TSeCustomStyle.GridDrawGlyph"
		size = 42
		altNames = "TSeCustomStyle.TreeDrawGlyph"
	strings:
		$1 = { 55 8B EC 83 C4 D4 56 57 8B 75 0C 8D 7D D4 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D EC A5 A5 A5 A5 A5 5F 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85832_0 {
	meta:
		name = "TSeCustomStyle.GetBounds"
		size = 59
		refs = "000c TSeCustomStyle.GetBounds 0019 NullRect 0030 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B FB BE ?? ?? ?? ?? A5 A5 A5 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_85834_0 {
	meta:
		name = "TSeCustomStyle.TrackGetThumbSize"
		size = 51
	strings:
		$1 = { 55 8B EC 83 C4 E4 56 57 8B 75 10 8D 7D E4 A5 A5 A5 A5 A5 33 C0 89 45 F8 33 C0 89 45 FC 8B 45 08 8B 55 F8 89 10 8B 55 FC 89 50 04 5F 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85835_0 {
	meta:
		name = "BackgroundInfo"
		size = 27
	strings:
		$1 = { 56 57 8B F0 8B FA A5 A5 A5 A5 8B F0 8D 7A 14 A5 A5 A5 A5 33 C0 89 42 10 5F 5E C3 }
	condition:
		$1
}

rule function_85836_0 {
	meta:
		name = "BackgroundInfo"
		size = 71
		refs = "0029 NullRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B DA 8B F0 85 F6 74 17 8B D4 8B C6 8B 08 FF 51 60 56 8D 74 24 04 8B FB A5 A5 A5 A5 5E EB 0D 56 8B FB BE ?? ?? ?? ?? A5 A5 A5 A5 5E 56 8B F3 8D 7B 14 A5 A5 A5 A5 5E 89 73 10 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85837_0 {
	meta:
		name = "BackgroundInfo"
		size = 44
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B 5D 08 8B F0 8B FB A5 A5 A5 A5 8B 45 FC 8B F0 8D 7B 14 A5 A5 A5 A5 89 53 10 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_85838_0 {
	meta:
		name = "TextInfo"
		size = 64
		refs = "001f @UStrAsg"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B F2 8B 5D 08 56 8B F0 8B FB A5 A5 A5 A5 5E 8D 43 10 8B D6 E8 ?? ?? ?? ?? 0F B6 45 FF 88 43 14 0F B6 45 10 88 43 15 0F B6 45 0C 88 43 16 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_85839_0 {
	meta:
		name = "TextInfo"
		size = 368
		refs = "0020 @UStrAsg 00ab TextInfo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B 5D 08 56 8B F0 8B FB A5 A5 A5 A5 5E 8D 43 10 8B 55 FC E8 ?? ?? ?? ?? 8B C6 83 E0 04 83 F8 04 75 26 8B C6 83 E0 01 83 F8 01 75 06 C6 43 14 04 EB 6A 8B C6 83 E0 02 83 F8 02 75 06 C6 43 14 07 EB 5A C6 43 14 01 EB 54 8B C6 83 E0 08 83 F8 08 75 26 8B C6 83 E0 01 83 F8 01 75 06 C6 43 14 05 EB 3A 8B C6 83 E0 02 83 F8 02 75 06 C6 43 14 08 EB 2A C6 43 14 02 EB 24 8B C6 83 E0 01 83 F8 01 75 06 C6 43 14 03 EB 14 8B C6 83 E0 02 83 F8 02 75 06 C6 43 14 06 EB 04 C6 43 14 00 0F B6 05 ?? ?? ?? ?? 88 43 15 8B C6 25 00 00 02 00 3D 00 00 02 00 75 0D 0F B6 43 15 0A 05 ?? ?? ?? ?? 88 43 15 8B C6 25 00 08 00 00 3D 00 08 00 00 75 0D 0F B6 43 15 0A 05 ?? ?? ?? ?? 88 43 15 8B C6 83 E0 20 83 F8 20 75 0D 0F B6 43 15 0A 05 ?? ?? ?? ?? 88 43 15 8B C6 83 E0 10 83 F8 10 75 0D 0F B6 43 15 0A 05 ?? ?? ?? ?? 88 43 15 8B C6 25 00 80 00 00 3D 00 80 00 00 75 0D 0F B6 43 15 0A 05 ?? ?? ?? ?? 88 43 15 83 E6 40 83 FE 40 75 0D 0F B6 43 15 0A 05 ?? ?? ?? ?? 88 43 15 C6 43 16 00 5F 5E 5B 59 5D C2 04 00 00 00 00 00 00 00 02 00 00 00 04 00 00 00 10 00 00 00 08 00 00 00 20 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_85840_0 {
	meta:
		name = "GlyphInfo"
		size = 21
		refs = "0005 NullRect"
	strings:
		$1 = { 56 57 8B F8 BE ?? ?? ?? ?? A5 A5 A5 A5 33 D2 89 50 10 5F 5E C3 }
	condition:
		$1
}

rule function_85841_0 {
	meta:
		name = "GlyphInfo"
		size = 39
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B 5D 08 8B F0 8B FB A5 A5 A5 A5 89 53 10 0F B6 45 FF 88 43 14 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_85842_0 {
	meta:
		name = "GlyphInfo"
		size = 50
		refs = "001c GraphicToBitmap"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B F2 8B 5D 08 56 8B F0 8B FB A5 A5 A5 A5 5E 8B C6 E8 ?? ?? ?? ?? 89 43 10 0F B6 45 FF 88 43 14 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_85843_0 {
	meta:
		name = "GlyphInfo"
		size = 55
		refs = "0021 ImagesToBitmap"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B 5D 08 56 8B F0 8B FB A5 A5 A5 A5 5E B1 01 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 89 43 10 0F B6 45 0C 88 43 14 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_85844_0 {
	meta:
		name = "WindowInfo"
		size = 73
		refs = "0036 @UStrAsg"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 88 55 FF 8B 5D 08 56 8B F0 8B FB A5 A5 A5 A5 5E 8D 7B 14 A5 A5 A5 A5 0F B6 45 FF 88 43 10 0F B7 45 14 66 89 43 11 8D 43 24 8B 55 10 E8 ?? ?? ?? ?? 0F B6 45 0C 88 43 28 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_85845_0 {
	meta:
		name = "WindowButtonInfo"
		size = 45
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B 5D 08 8B F0 8B FB A5 A5 A5 A5 88 53 10 0F B6 45 FF 88 43 11 8B 45 0C 89 43 14 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_85846_0 {
	meta:
		name = "BoxInfo"
		size = 20
		altNames = "ButtonInfo CheckInfo EditInfo ListItemInfo MemoInfo SplitterButtonInfo StatusPanelInfo TreeItemInfo WindowGripperInfo"
	strings:
		$1 = { 53 56 57 8B D9 8B F0 8B FB A5 A5 A5 A5 88 53 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85847_0 {
	meta:
		name = "BarDockInfo"
		size = 13
		altNames = "DockInfo GridInfo HeaderInfo HintInfo ListColumnInfo ListInfo MemoGutterInfo MenuInfo PanelInfo ScrollInfo SplitterInfo StatusInfo TabInfo ToolInfo TrackInfo TreeInfo"
	strings:
		$1 = { 56 57 8B F0 8B FA A5 A5 A5 A5 5F 5E C3 }
	condition:
		$1
}

rule function_85848_0 {
	meta:
		name = "LabelInfo"
		size = 10
		altNames = "TStyleElementEdges.&op_Implicit"
	strings:
		$1 = { 51 88 04 24 0F B6 04 24 5A C3 }
	condition:
		$1
}

rule function_85852_0 {
	meta:
		name = "BarButtonInfo"
		size = 39
		altNames = "BarItemInfo EditButtonInfo GridItemInfo MenuItemInfo PanelButtonInfo ProgressInfo TabItemInfo ToolItemInfo TrackBarInfo TrackThumbInfo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B 5D 08 8B F0 8B FB A5 A5 A5 A5 88 53 10 0F B6 45 FF 88 43 11 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_85854_0 {
	meta:
		name = "BarInfo"
		size = 39
		altNames = "ScrollAreaInfo ScrollButtonInfo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B 5D 08 8B F0 8B FB A5 A5 A5 A5 88 53 11 0F B6 45 FF 88 43 10 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_85864_0 {
	meta:
		name = "GroupInfo"
		size = 63
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F2 8D 7D E0 A5 A5 A5 A5 8B F0 8D 7D F0 A5 A5 A5 A5 8B D9 8B 45 08 8B F8 8D 75 F0 A5 A5 A5 A5 8D 78 10 8D 75 E0 A5 A5 A5 A5 88 58 20 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_85870_0 {
	meta:
		name = "HeaderSectionInfo"
		size = 39
		altNames = "TabButtonInfo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B 5D 08 8B F0 8B FB A5 A5 A5 A5 0F B6 45 FF 88 43 11 88 53 10 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_85877_0 {
	meta:
		name = "BarCaptionInfo"
		size = 17
	strings:
		$1 = { 53 56 57 8B D9 8B F0 8B FB A5 A5 A5 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85882_0 {
	meta:
		name = "MenuGlyphInfo"
		size = 25
		refs = "0005 NullRect"
		altNames = "ToolGlyphInfo"
	strings:
		$1 = { 56 57 8B F8 BE ?? ?? ?? ?? A5 A5 A5 A5 33 D2 89 50 10 C6 40 15 0D 5F 5E C3 }
	condition:
		$1
}

rule function_85883_0 {
	meta:
		name = "MenuGlyphInfo"
		size = 46
		altNames = "ToolGlyphInfo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B 5D 08 8B F0 8B FB A5 A5 A5 A5 89 53 10 0F B6 45 FF 88 43 14 0F B6 45 0C 88 43 15 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_85884_0 {
	meta:
		name = "MenuGlyphInfo"
		size = 29
		altNames = "ToolGlyphInfo"
	strings:
		$1 = { 53 56 57 8B D9 8B F0 8B FB A5 A5 A5 A5 33 C0 89 43 10 C6 43 14 04 88 53 15 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85885_0 {
	meta:
		name = "MenuGlyphInfo"
		size = 54
		refs = "001c GraphicToBitmap"
		altNames = "ToolGlyphInfo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B F2 8B 5D 08 56 8B F0 8B FB A5 A5 A5 A5 5E 8B C6 E8 ?? ?? ?? ?? 89 43 10 0F B6 45 FF 88 43 14 C6 43 15 03 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_85886_0 {
	meta:
		name = "MenuGlyphInfo"
		size = 61
		refs = "0023 ImagesToBitmap"
		altNames = "ToolGlyphInfo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B 5D 08 56 8B F0 8B FB A5 A5 A5 A5 5E 0F B6 4D 0C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 89 43 10 0F B6 45 10 88 43 14 C6 43 15 03 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_85898_0 {
	meta:
		name = "ListGlyphInfo"
		size = 46
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B 5D 08 8B F0 8B FB A5 A5 A5 A5 89 53 14 0F B6 45 FF 88 43 10 0F B6 45 0C 88 43 18 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_85899_0 {
	meta:
		name = "ListGlyphInfo"
		size = 29
	strings:
		$1 = { 53 56 57 8B D9 8B F0 8B FB A5 A5 A5 A5 33 C0 89 43 14 C6 43 10 04 88 53 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85900_0 {
	meta:
		name = "ListGlyphInfo"
		size = 46
		refs = "0018 GraphicToBitmap"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B 5D 08 56 8B F0 8B FB A5 A5 A5 A5 5E 8B C6 E8 ?? ?? ?? ?? 89 43 14 C6 43 10 04 C6 43 18 03 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_85901_0 {
	meta:
		name = "ListGlyphInfo"
		size = 56
		refs = "0021 ImagesToBitmap"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B 5D 08 56 8B F0 8B FB A5 A5 A5 A5 5E B1 01 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 89 43 14 C6 43 10 04 C6 43 18 03 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_85906_0 {
	meta:
		name = "WindowButtonToHitTest"
		size = 88
		refs = "000b WindowButtonToHitTest"
	strings:
		$1 = { 83 E0 7F 83 F8 09 77 4D FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B0 0B C3 B0 0C C3 B0 0D C3 B0 0E C3 B0 0F C3 B0 0D C3 B0 0E C3 B0 0F C3 B0 10 C3 B0 11 C3 33 C0 C3 }
	condition:
		$1
}

rule function_85907_0 {
	meta:
		name = "GraphicToBitmap"
		size = 66
		refs = "0005 ConvertBitmap 001a TObject.Free 0021 _DV_TseBitmap 0026 TseBitmap.Create"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 74 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 08 A1 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_85908_0 {
	meta:
		name = "ImagesToBitmap"
		size = 227
		refs = "0012 ConvertBitmap 0027 TObject.Free 002e _DV_TseBitmap 0033 TseBitmap.Create 0067 _Dn_TCanvas 006c TCanvas.Create 0077 ImagesToBitmap 0087 TBitmap.GetCanvas 008c TCanvas.GetHandle 0096 TCanvas.SetHandle 00ad TCustomImageList.Draw 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 88 4D FB 89 55 FC 8B D8 83 3D ?? ?? ?? ?? 00 74 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 4B 38 8B 53 3C A1 ?? ?? ?? ?? 8B 30 FF 56 6C 80 7B 49 00 75 06 80 7B 48 03 75 0C B2 01 A1 ?? ?? ?? ?? 8B 08 FF 51 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 6A 00 8B 45 FC 50 0F B6 45 FB 50 33 C9 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 A1 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_85909_0 {
	meta:
		name = "TSeStyle.Create"
		size = 117
		refs = "000a @ClassCreate 0017 TSeCustomStyle.Create 0026 _DV_TSeStyleSource 002b TSeStyleSource.Create 004f :TSeStyle.:1 0054 @DynArraySetLength 0062 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 1C 89 70 04 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 6A 32 8D 46 2C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_85910_0 {
	meta:
		name = "TSeStyle.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 000e TSeStyle.FreeObjects 0016 TObject.Free 0029 TSeCustomStyle.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85911_0 {
	meta:
		name = "TSeStyle.GetStyleConfig"
		size = 124
		refs = "000c TSeStyle.GetStyleConfig 0025 GetDialogFilter3 0030 @UStrAsg 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 03 00 C6 43 01 01 C6 43 02 01 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 04 E8 ?? ?? ?? ?? 8D 43 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 76 00 73 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_85912_0 {
	meta:
		name = "TSeStyle.Assign"
		size = 72
		refs = "000a _DV_TSeStyle 000f @IsClass 001c TSeCustomStyle.Assign 0023 TSeStyle.FreeObjects"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 56 28 8B 43 28 8B 08 FF 51 08 8B C3 8B 10 FF 52 38 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85913_0 {
	meta:
		name = "TSeStyle.CheckStream"
		size = 49
		refs = "0017 StyleFileSign 0021 @AStrCmp"
	strings:
		$1 = { 53 56 83 C4 F0 33 DB 8B C4 B9 0D 00 00 00 92 8B 30 FF 56 0C 8B C4 BA ?? ?? ?? ?? B9 0D 00 00 00 E8 ?? ?? ?? ?? 75 02 B3 01 8B C3 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_85914_0 {
	meta:
		name = "TSeStyle.LoadFromStream"
		size = 58
		refs = "000a TSeStyle.FreeObjects 0018 @CallDynaInst 0020 TSeStyleSource.GetCount"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D3 8B 47 28 66 BE F0 FF E8 ?? ?? ?? ?? 8B 47 28 E8 ?? ?? ?? ?? 85 C0 0F 9F C3 84 DB 74 07 8B C7 8B 10 FF 52 38 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85915_0 {
	meta:
		name = "TSeStyle.SaveToStream"
		size = 53
		refs = "002c @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 28 8B 40 60 8B 53 08 8B 08 FF 51 08 8B 43 28 8B 40 58 8B 53 04 8B 08 FF 51 08 8B D6 8B 43 28 66 BE EF FF E8 ?? ?? ?? ?? B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_85916_0 {
	meta:
		name = "TSeStyle.LoadFromFile"
		size = 70
		refs = "000b TSeStyle.FreeObjects 0019 @CallDynaInst 0021 TSeStyleSource.GetCount 0034 @UStrAsg"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D5 8B 47 28 66 BE EE FF E8 ?? ?? ?? ?? 8B 47 28 E8 ?? ?? ?? ?? 85 C0 0F 9F C3 84 DB 74 11 8D 47 10 8B D5 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 38 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_85917_0 {
	meta:
		name = "TSeStyle.SaveToFile"
		size = 53
		refs = "002c @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 28 8B 40 60 8B 53 08 8B 08 FF 51 08 8B 43 28 8B 40 58 8B 53 04 8B 08 FF 51 08 8B D6 8B 43 28 66 BE ED FF E8 ?? ?? ?? ?? B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_85918_0 {
	meta:
		name = "TSeStyle.GetName"
		size = 52
		refs = "0006 TSeStyle.GetName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 56 00 43 00 4C 00 20 00 53 00 74 00 79 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_85919_0 {
	meta:
		name = "TSeStyle.ResetStyle"
		size = 55
		refs = "0029 @UStrAsg 0030 TSeCustomStyle.ResetStyle"
	strings:
		$1 = { 53 56 8B D8 8B 73 28 85 F6 74 22 8B D6 8B 43 24 8B 08 FF 51 08 8B C3 8B 10 FF 92 74 02 00 00 8D 43 0C 8B 53 28 8B 52 38 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_85920_0 {
	meta:
		name = "TSeStyle.ResetObjects"
		size = 2236
		refs = "000c TSeStyle.FreeObjects 001e TSeStyleSource.GetCount 002b TSeStyle.ResetObjects 0033 TSeStyleSource.GetObjectByName 0047 TSeStyleObject.FindObjectByKind 0061 TSeStyleObject.CreateCopy 0075 TSeStyleObject.Remove 0080 TObject.Free 0089 _DV_TSeStyleObject 008e TSeStyleObject.Create 00e1 TSeStyleObject.FindObjectByAction"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B F4 8B C3 E8 ?? ?? ?? ?? 8B 7B 24 85 FF 0F 84 4E 05 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 84 3F 05 00 00 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B F8 8B 43 2C 89 38 85 FF 74 0D 8B C7 B2 0D E8 ?? ?? ?? ?? 89 06 EB 04 33 C0 89 06 83 3E 00 0F 84 5E 01 00 00 33 D2 8B 06 E8 ?? ?? ?? ?? 8B 53 2C 89 42 10 8B 06 8B 40 04 8B F8 8B 16 E8 ?? ?? ?? ?? 8B 06 33 D2 89 16 E8 ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B 43 2C 89 68 04 C7 85 A4 00 00 00 FF FF FF 1F 8B 43 2C 8B 40 10 0F B6 40 38 88 45 38 C6 45 39 0D 8B 43 2C 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 53 2C 89 42 08 8B 43 2C 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 53 2C 89 42 0C 8B 43 2C 8B 00 B2 09 E8 ?? ?? ?? ?? 89 06 83 3E 00 74 06 8B 06 C6 40 4C 00 8B 43 2C 8B 00 B2 01 E8 ?? ?? ?? ?? 89 06 83 3E 00 74 06 8B 06 C6 40 4C 00 8B 43 2C 8B 00 B2 02 E8 ?? ?? ?? ?? 89 06 83 3E 00 74 06 8B 06 C6 40 4C 00 8B 43 2C 8B 00 B2 03 E8 ?? ?? ?? ?? 89 06 83 3E 00 74 06 8B 06 C6 40 4C 00 8B 43 2C 8B 00 B2 04 E8 ?? ?? ?? ?? 89 06 83 3E 00 74 06 8B 06 C6 40 4C 00 8B 43 2C 8B 00 B2 05 E8 ?? ?? ?? ?? 89 06 83 3E 00 74 06 8B 06 C6 40 4C 00 8B 43 2C 8B 00 B2 06 E8 ?? ?? ?? ?? 89 06 83 3E 00 74 06 8B 06 C6 40 4C 00 8B 43 2C 8B 00 B2 07 E8 ?? ?? ?? ?? 89 06 83 3E 00 74 06 8B 06 C6 40 4C 00 8B 43 2C 8B 00 B2 08 E8 ?? ?? ?? ?? 89 06 83 3E 00 74 06 8B 06 C6 40 4C 00 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B F8 8B 43 2C 89 78 78 85 FF 74 0D 8B C7 B2 0D E8 ?? ?? ?? ?? 89 06 EB 04 33 C0 89 06 83 3E 00 0F 84 75 01 00 00 33 D2 8B 06 E8 ?? ?? ?? ?? 8B 53 2C 89 82 88 00 00 00 8B 06 8B 40 04 8B F8 8B 16 E8 ?? ?? ?? ?? 8B 06 33 D2 89 16 E8 ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B 43 2C 89 68 7C C7 85 A4 00 00 00 FF FF FF 1F 8B 43 2C 8B 80 88 00 00 00 0F B6 40 38 88 45 38 C6 45 39 0D 8B 43 2C 8B 40 78 33 D2 E8 ?? ?? ?? ?? 8B 53 2C 89 82 80 00 00 00 8B 43 2C 8B 40 78 33 D2 E8 ?? ?? ?? ?? 8B 53 2C 89 82 84 00 00 00 8B 43 2C 8B 40 78 B2 09 E8 ?? ?? ?? ?? 89 06 83 3E 00 74 06 8B 06 C6 40 4C 00 8B 43 2C 8B 40 78 B2 01 E8 ?? ?? ?? ?? 89 06 83 3E 00 74 06 8B 06 C6 40 4C 00 8B 43 2C 8B 40 78 B2 02 E8 ?? ?? ?? ?? 89 06 83 3E 00 74 06 8B 06 C6 40 4C 00 8B 43 2C 8B 40 78 B2 03 E8 ?? ?? ?? ?? 89 06 83 3E 00 74 06 8B 06 C6 40 4C 00 8B 43 2C 8B 40 78 B2 04 E8 ?? ?? ?? ?? 89 06 83 3E 00 74 06 8B 06 C6 40 4C 00 8B 43 2C 8B 40 78 B2 05 E8 ?? ?? ?? ?? 89 06 83 3E 00 74 06 8B 06 C6 40 4C 00 8B 43 2C 8B 40 78 B2 06 E8 ?? ?? ?? ?? 89 06 83 3E 00 74 06 8B 06 C6 40 4C 00 8B 43 2C 8B 40 78 B2 07 E8 ?? ?? ?? ?? 89 06 83 3E 00 74 06 8B 06 C6 40 4C 00 8B 43 2C 8B 40 78 B2 08 E8 ?? ?? ?? ?? 89 06 83 3E 00 74 06 8B 06 C6 40 4C 00 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 14 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 18 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 1C BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 20 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 24 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 28 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 2C BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 30 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 34 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 38 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 3C BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 40 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 44 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 48 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 4C BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 50 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 54 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 58 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 5C BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 60 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 64 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 68 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 6C BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 70 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 42 74 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 82 8C 00 00 00 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 2C 89 82 90 00 00 00 5A 5D 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 6F 00 72 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 6F 00 6F 00 6C 00 57 00 69 00 6E 00 64 00 6F 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 75 00 74 00 74 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 68 00 65 00 63 00 6B 00 62 00 6F 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 61 00 64 00 69 00 6F 00 42 00 75 00 74 00 74 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 72 00 6F 00 75 00 70 00 42 00 6F 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 63 00 72 00 6F 00 6C 00 6C 00 42 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 72 00 6F 00 67 00 72 00 65 00 73 00 73 00 42 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 64 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 6F 00 6D 00 62 00 6F 00 42 00 6F 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 72 00 61 00 63 00 6B 00 42 00 61 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 65 00 6E 00 75 00 42 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 6F 00 70 00 75 00 70 00 4D 00 65 00 6E 00 75 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 74 00 61 00 74 00 75 00 73 00 42 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 61 00 62 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 63 00 72 00 6F 00 6C 00 6C 00 42 00 6F 00 78 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 70 00 6C 00 69 00 74 00 74 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 70 00 69 00 6E 00 42 00 75 00 74 00 74 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 42 00 61 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 47 00 72 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 69 00 73 00 74 00 42 00 6F 00 78 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 69 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 70 00 65 00 65 00 64 00 42 00 75 00 74 00 74 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 6F 00 6F 00 6C 00 42 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 61 00 6E 00 65 00 6C 00 00 00 }
	condition:
		$1
}

rule function_85921_0 {
	meta:
		name = "TSeStyle.FreeObjects"
		size = 217
		refs = "001c TObject.Free 00bf @DynArrayHigh"
	strings:
		$1 = { 53 56 8B D8 8B 43 2C 83 78 10 00 74 13 8B 43 2C 83 C0 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 43 2C 83 78 08 00 74 13 8B 43 2C 83 C0 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 43 2C 83 78 0C 00 74 13 8B 43 2C 83 C0 0C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 43 2C 83 B8 88 00 00 00 00 74 15 8B 43 2C 05 88 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 43 2C 83 B8 80 00 00 00 00 74 15 8B 43 2C 05 80 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 43 2C 83 B8 84 00 00 00 00 74 15 8B 43 2C 05 84 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 85 C0 7C 0F 40 33 D2 8B 4B 2C 33 F6 89 34 91 42 48 75 F4 5E 5B C3 }
	condition:
		$1
}

rule function_85922_0 {
	meta:
		name = "TSeStyle.ResetStyleColors"
		size = 37
	strings:
		$1 = { 53 8B D8 8B 43 24 85 C0 74 19 8B 50 58 8B 43 04 8B 08 FF 51 08 8B 43 24 8B 50 5C 8B 43 14 8B 08 FF 51 08 5B C3 }
	condition:
		$1
}

rule function_85923_0 {
	meta:
		name = "TSeStyle.ResetStyleFonts"
		size = 19
	strings:
		$1 = { 8B 50 24 85 D2 74 0B 8B 52 60 8B 40 08 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_85924_0 {
	meta:
		name = "TSeStyle.IsWindowDefined"
		size = 120
		refs = "0010 TSeStyle.IsWindowDefined 0015 @UStrEqual 0021 TSeStyleSource.GetObjectByName"
	strings:
		$1 = { 53 56 57 51 8B F9 88 14 24 8B F0 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B D7 8B 46 24 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 75 27 0F B6 04 24 2C 02 72 06 2C 04 74 0D EB 17 8B 46 2C 83 38 00 0F 95 C3 EB 0E 8B 46 2C 83 78 78 00 0F 95 C3 EB 02 33 DB 8B C3 5A 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85925_0 {
	meta:
		name = "TSeStyle.WindowGetRegion"
		size = 196
		refs = "0019 TSeStyle.WindowGetRegion 001e @UStrEqual 002a TSeStyleSource.GetObjectByName 0090 TSeStyleObject.SetBoundsRect 0097 TSeStyleObject.GetRegion"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 88 55 FF 8B F0 8B 7D 08 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B D7 8B 46 24 E8 ?? ?? ?? ?? 8B D8 85 DB 75 52 0F B6 45 FF 83 F8 06 77 47 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 46 2C 8B 18 EB 1F 8B 46 2C 8B 18 EB 18 8B 46 2C 8B 18 EB 11 8B 46 2C 8B 18 EB 0A 8B 46 2C 8B 58 78 EB 02 33 DB 85 DB 74 13 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B 59 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85926_0 {
	meta:
		name = "TSeStyle.WindowGetButtonRect"
		size = 868
		refs = "0022 TSeWindowInfo 0027 @AddRefRecord 002f TSeStyle.WindowGetButtonRect 003c NullRect 0051 @UStrEqual 005e TSeStyleSource.GetObjectByName 011a TSeStyleObject.SetBoundsRect 0121 TSeStyleObject.AligningAll 0170 TSeStyleObject.FindObjectByAction 0183 TSeStyleObject.GetBoundsRect 02ff _DV_TSeStyleObject 0304 @IsClass 030f TSeStyleObject.Aligning 0333 @FinalizeRecord 0339 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F1 8D 7D D4 B9 0B 00 00 00 F3 A5 88 55 D3 8B F0 8B 7D 08 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 57 BE ?? ?? ?? ?? A5 A5 A5 A5 5F 5E 33 DB 8B 45 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0D 8B 55 0C 8B 46 24 E8 ?? ?? ?? ?? 8B D8 85 DB 75 59 0F B6 45 D3 83 F8 06 77 4E FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 46 2C 8B 58 08 EB 25 8B 46 2C 8B 58 08 EB 1D 8B 46 2C 8B 58 08 EB 15 8B 46 2C 8B 58 08 EB 0D 8B 46 2C 8B 98 80 00 00 00 EB 02 33 DB 85 DB 75 0E BE ?? ?? ?? ?? A5 A5 A5 A5 E9 49 02 00 00 33 D2 8B C3 8B 08 FF 51 48 F6 45 E5 40 74 09 B2 02 8B C3 8B 08 FF 51 48 F6 45 E5 10 74 09 B2 03 8B C3 8B 08 FF 51 48 F6 45 E6 01 74 09 B2 04 8B C3 8B 08 FF 51 48 0F B7 55 E5 8B C3 8B 08 FF 51 44 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 45 10 83 F8 09 0F 87 EA 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F6 45 E5 02 0F 84 B1 01 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 9E 01 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? E9 90 01 00 00 F6 45 E5 04 0F 84 86 01 00 00 B2 02 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 73 01 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? E9 65 01 00 00 F6 45 E5 08 0F 84 5B 01 00 00 B2 03 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 48 01 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? E9 3A 01 00 00 F6 45 E5 10 0F 84 30 01 00 00 B2 05 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 1D 01 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? E9 0F 01 00 00 F6 45 E5 20 0F 84 05 01 00 00 B2 04 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 F2 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? E9 E4 00 00 00 F6 45 E5 40 0F 84 DA 00 00 00 B2 05 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 C7 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? E9 B9 00 00 00 F6 45 E5 80 0F 84 AF 00 00 00 B2 06 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 9C 00 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? E9 8E 00 00 00 F6 45 E6 01 0F 84 84 00 00 00 B2 07 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 75 8B D7 8B C3 E8 ?? ?? ?? ?? EB 6A F6 45 E6 02 74 64 B2 08 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 55 8B D7 8B C3 E8 ?? ?? ?? ?? EB 4A F6 45 E5 01 74 44 80 7D D3 06 75 0B BE ?? ?? ?? ?? A5 A5 A5 A5 EB 33 B2 09 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 24 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85927_0 {
	meta:
		name = "TSeStyle.WindowGetClientRect"
		size = 308
		refs = "0018 NullRect 0029 TSeStyle.WindowGetClientRect 002e @UStrEqual 003b TSeStyleSource.GetObjectByName 004a TSeStyleObject.FindObjectByKind 00de TSeCustomStyle.WindowGetClientRect 00ea TSeStyleObject.SetBoundsRect 0100 TSeStyleObject.AligningAll 010a TSeStyleObject.GetBoundsRect"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 88 55 FF 8B F8 8B 45 08 57 8B F8 BE ?? ?? ?? ?? A5 A5 A5 A5 5F 33 DB 33 F6 8B 45 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1C 8B 47 24 8B 55 0C E8 ?? ?? ?? ?? 8B D8 85 DB 74 0B B2 0D 8B C3 E8 ?? ?? ?? ?? 8B F0 85 DB 74 04 85 F6 75 6C 0F B6 45 FF 83 F8 06 77 63 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 47 2C 8B 18 8B 47 2C 8B 70 04 EB 33 8B 47 2C 8B 18 8B 47 2C 8B 70 04 EB 26 8B 47 2C 8B 18 8B 47 2C 8B 70 04 EB 19 8B 47 2C 8B 18 8B 47 2C 8B 70 04 EB 0C 8B 47 2C 8B 58 78 8B 47 2C 8B 70 7C 85 F6 74 04 85 DB 75 18 8B 45 0C 50 8B 45 08 50 0F B6 55 FF 8B 4D F8 8B C7 E8 ?? ?? ?? ?? EB 2A 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 07 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85928_0 {
	meta:
		name = "TSeStyle.WindowGetHitTest"
		size = 1004
		refs = "0022 TSeWindowInfo 0027 @AddRefRecord 002f TSeStyle.WindowGetHitTest 0043 @UStrEqual 004f TSeStyleSource.GetObjectByName 00c9 TSeCustomStyle.WindowGetHitTest 011b TSeStyleObject.SetBoundsRect 0122 TSeStyleObject.AligningAll 0142 TSeStyleObject.FindObjectByPoint 01db _DV_TSeSystemButton 01e0 @IsClass 03b5 @FinalizeRecord 03bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B F1 8D 7D D4 B9 0B 00 00 00 F3 A5 88 55 D3 8B F0 8B 7D 08 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B D7 8B 46 24 E8 ?? ?? ?? ?? 8B D8 85 DB 75 59 0F B6 45 D3 83 F8 06 77 4E FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 46 2C 8B 58 08 EB 25 8B 46 2C 8B 58 08 EB 1D 8B 46 2C 8B 58 08 EB 15 8B 46 2C 8B 58 08 EB 0D 8B 46 2C 8B 98 80 00 00 00 EB 02 33 DB 85 DB 75 1E 8B 45 10 50 8B 45 0C 50 57 0F B6 55 D3 8D 4D D4 8B C6 E8 ?? ?? ?? ?? 8B D8 E9 CA 02 00 00 33 D2 8B C3 8B 08 FF 51 48 F6 45 E5 40 74 09 B2 02 8B C3 8B 08 FF 51 48 F6 45 E5 10 74 09 B2 03 8B C3 8B 08 FF 51 48 F6 45 E6 01 74 09 B2 04 8B C3 8B 08 FF 51 48 0F B7 55 E5 8B C3 8B 08 FF 51 44 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7D FC 00 0F 84 92 01 00 00 8B 45 10 89 45 C8 8B 45 0C 89 45 CC 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 11 0F B6 43 39 04 FE 2C 02 73 07 B3 01 E9 41 02 00 00 85 DB 74 0F 0F B6 43 39 2C 04 75 07 B3 03 E9 2E 02 00 00 85 DB 74 0F 0F B6 43 39 2C 05 75 07 B3 02 E9 1B 02 00 00 85 DB 74 0F 0F B6 43 39 2C 06 75 07 B3 04 E9 08 02 00 00 85 DB 74 0F 0F B6 43 39 2C 07 75 07 B3 05 E9 F5 01 00 00 85 DB 74 0F 0F B6 43 39 2C 0B 75 07 B3 0A E9 E2 01 00 00 85 DB 74 0F 0F B6 43 39 2C 0A 75 07 B3 09 E9 CF 01 00 00 85 DB 0F 84 B4 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9F 00 00 00 0F B7 05 ?? ?? ?? ?? 66 89 45 E5 0F B6 83 BC 00 00 00 83 F8 08 77 5C FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B3 0B E9 69 01 00 00 B3 0D E9 62 01 00 00 B3 0E E9 5B 01 00 00 B3 0E E9 54 01 00 00 B3 0F E9 4D 01 00 00 B3 0F E9 46 01 00 00 B3 10 E9 3F 01 00 00 8B 45 10 50 8B 45 0C 50 57 0F B6 55 D3 8D 4D D4 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 04 FE 2C 04 0F 83 1A 01 00 00 33 DB E9 13 01 00 00 0F B7 05 ?? ?? ?? ?? 66 89 45 E5 8B 45 10 50 8B 45 0C 50 57 0F B6 55 D3 8D 4D D4 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 04 FE 2C 04 0F 83 E3 00 00 00 33 DB E9 DC 00 00 00 8B 45 10 89 45 C0 8B 45 0C 89 45 C4 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 11 0F B6 43 39 04 FE 2C 02 73 07 B3 01 E9 AF 00 00 00 85 DB 74 0F 0F B6 43 39 2C 04 75 07 B3 03 E9 9C 00 00 00 85 DB 74 7F 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6E 0F B6 83 BC 00 00 00 83 F8 08 77 47 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B3 0B EB 4C B3 0D EB 48 B3 0E EB 44 B3 0E EB 40 B3 0F EB 3C B3 0F EB 38 B3 10 EB 34 8B 45 10 50 8B 45 0C 50 57 0F B6 55 D3 8D 4D D4 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 19 8B 45 10 50 8B 45 0C 50 57 0F B6 55 D3 8D 4D D4 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_85929_0 {
	meta:
		name = "TSeStyle.WindowGetTitleRect"
		size = 388
		refs = "0022 TSeWindowInfo 0027 @AddRefRecord 002f TSeStyle.WindowGetTitleRect 0041 NullRect 0055 @UStrEqual 0061 TSeStyleSource.GetObjectByName 00d0 TSeCustomStyle.WindowGetTitleRect 00e0 TSeStyleObject.SetActive 00ea TSeStyleObject.SetBoundsRect 00f1 TSeStyleObject.AligningAll 00fa TSeStyleObject.FindObjectByKind 010b @UStrAsg 0116 _DV_TSeStyleObject 011b @IsClass 0126 TSeStyleObject.Aligning 0130 TSeStyleObject.GetBoundsRect 0138 @UStrClr 0153 @FinalizeRecord 0159 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F1 8D 7D D4 B9 0B 00 00 00 F3 A5 88 55 D3 8B F0 8B 7D 0C 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 56 57 8B F8 BE ?? ?? ?? ?? A5 A5 A5 A5 5F 5E 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B D7 8B 46 24 E8 ?? ?? ?? ?? 8B D8 85 DB 75 52 0F B6 45 D3 83 F8 06 77 47 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 46 2C 8B 18 EB 1F 8B 46 2C 8B 18 EB 18 8B 46 2C 8B 18 EB 11 8B 46 2C 8B 18 EB 0A 8B 46 2C 8B 58 78 EB 02 33 DB 85 DB 75 15 57 8B 45 08 50 0F B6 55 D3 8D 4D D4 8B C6 E8 ?? ?? ?? ?? EB 66 F6 45 E4 01 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 03 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 38 8D 43 6C 8B 55 F8 E8 ?? ?? ?? ?? 8B 73 04 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 E8 ?? ?? ?? ?? 8B 55 08 8B C3 E8 ?? ?? ?? ?? 8D 43 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85930_0 {
	meta:
		name = "TSeStyle.WindowDraw"
		size = 324
		refs = "0025 TSeWindowInfo 002a @AddRefRecord 0032 TSeStyle.WindowDraw 0049 @UStrEqual 0056 TSeStyleSource.GetObjectByName 0065 TSeStyleObject.FindObjectByKind 00d7 TSeStyleObject.SetActive 00e1 TSeStyleObject.SetBoundsRect 0111 @FinalizeRecord 0117 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B 75 0C 8D 7D D4 51 B9 0B 00 00 00 F3 A5 59 89 4D CC 88 55 D3 8B F8 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 F6 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 24 8B 47 24 8B 55 08 E8 ?? ?? ?? ?? 8B D8 85 DB 74 13 B2 0D 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 04 C6 46 4C 00 85 DB 75 52 0F B6 45 D3 83 F8 06 77 47 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 47 2C 8B 18 EB 1F 8B 47 2C 8B 18 EB 18 8B 47 2C 8B 18 EB 11 8B 47 2C 8B 18 EB 0A 8B 47 2C 8B 58 78 EB 02 33 DB 85 DB 74 25 F6 45 E4 01 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8D 4D E8 8B 55 CC 8B C3 8B 18 FF 53 50 85 F6 74 04 C6 46 4C 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85931_0 {
	meta:
		name = "TSeStyle.WindowDrawClient"
		size = 232
		refs = "0014 TSeStyle.WindowDrawClient 0019 @UStrEqual 0025 TSeStyleSource.GetObjectByName 0034 TSeStyleObject.FindObjectByKind 0044 TSeStyleObject.SetBoundsRect 0049 NullRect"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F8 8B 75 08 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 3A 8B D6 8B 47 24 E8 ?? ?? ?? ?? 8B F0 85 F6 74 2A B2 0D 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1B 8B 55 0C 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 18 FF 53 50 EB 6A 8B C3 2C 02 73 2C 8B 47 2C 83 78 10 00 74 23 8B 55 0C 8B 47 2C 8B 40 10 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 47 2C 8B 40 10 8B 55 FC 8B 18 FF 53 50 EB 38 80 FB 06 75 33 8B 47 2C 83 B8 88 00 00 00 00 74 27 8B 55 0C 8B 47 2C 8B 80 88 00 00 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 47 2C 8B 80 88 00 00 00 8B 55 FC 8B 18 FF 53 50 5F 5E 5B 59 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85932_0 {
	meta:
		name = "TSeStyle.WindowDrawButton"
		size = 1492
		refs = "0025 IsRectEmpty 0037 TSeStyle.WindowDrawButton 003c @UStrEqual 0049 TSeStyleSource.GetObjectByName 00f5 TSeStyleObject.FindObjectByAction 0110 TSeStyleObject.SetActive 0118 _DV_TSeSystemButton 011d @IsClass 0150 TSeStyleObject.SetBoundsRect 0155 NullRect 05a9 TSeCustomStyle.WindowDrawButton"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 75 0C 8D 7D E0 51 B9 06 00 00 00 F3 A5 59 89 4D F8 88 55 FF 8B F0 8D 45 E0 50 E8 ?? ?? ?? ?? 85 C0 0F 85 7C 05 00 00 33 DB 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0D 8B 46 24 8B 55 08 E8 ?? ?? ?? ?? 8B D8 85 DB 75 59 0F B6 45 FF 83 F8 06 77 4E FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 46 2C 8B 58 0C EB 25 8B 46 2C 8B 58 0C EB 1D 8B 46 2C 8B 58 0C EB 15 8B 46 2C 8B 58 0C EB 0D 8B 46 2C 8B 98 84 00 00 00 EB 02 33 DB 85 DB 0F 84 F9 04 00 00 0F B6 45 F0 83 F8 09 0F 87 EC 04 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 AA 04 00 00 80 7D F1 03 0F 94 C2 80 F2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 0F B6 45 F1 3C 02 75 09 C6 83 C8 00 00 00 02 EB 14 3C 01 75 09 C6 83 C8 00 00 00 01 EB 07 C6 83 C8 00 00 00 00 8D 55 E0 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 18 FF 53 50 E9 45 04 00 00 B2 02 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 32 04 00 00 80 7D F1 03 0F 94 C2 80 F2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 0F B6 45 F1 3C 02 75 09 C6 83 C8 00 00 00 02 EB 14 3C 01 75 09 C6 83 C8 00 00 00 01 EB 07 C6 83 C8 00 00 00 00 8D 55 E0 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 18 FF 53 50 E9 CD 03 00 00 B2 03 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 BA 03 00 00 80 7D F1 03 0F 94 C2 80 F2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 0F B6 45 F1 3C 02 75 09 C6 83 C8 00 00 00 02 EB 14 3C 01 75 09 C6 83 C8 00 00 00 01 EB 07 C6 83 C8 00 00 00 00 8D 55 E0 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 18 FF 53 50 E9 55 03 00 00 B2 05 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 42 03 00 00 80 7D F1 03 0F 94 C2 80 F2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 0F B6 45 F1 3C 02 75 09 C6 83 C8 00 00 00 02 EB 14 3C 01 75 09 C6 83 C8 00 00 00 01 EB 07 C6 83 C8 00 00 00 00 8D 55 E0 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 18 FF 53 50 E9 DD 02 00 00 B2 04 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 CA 02 00 00 80 7D F1 03 0F 94 C2 80 F2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 0F B6 45 F1 3C 02 75 09 C6 83 C8 00 00 00 02 EB 14 3C 01 75 09 C6 83 C8 00 00 00 01 EB 07 C6 83 C8 00 00 00 00 8D 55 E0 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 18 FF 53 50 E9 65 02 00 00 B2 05 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 52 02 00 00 80 7D F1 03 0F 94 C2 80 F2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 0F B6 45 F1 3C 02 75 09 C6 83 C8 00 00 00 02 EB 14 3C 01 75 09 C6 83 C8 00 00 00 01 EB 07 C6 83 C8 00 00 00 00 8D 55 E0 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 18 FF 53 50 E9 ED 01 00 00 B2 06 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 DA 01 00 00 80 7D F1 03 0F 94 C2 80 F2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 0F B6 45 F1 3C 02 75 09 C6 83 C8 00 00 00 02 EB 14 3C 01 75 09 C6 83 C8 00 00 00 01 EB 07 C6 83 C8 00 00 00 00 8D 55 E0 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 18 FF 53 50 E9 75 01 00 00 B2 07 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 62 01 00 00 80 7D F1 03 0F 94 C2 80 F2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 0F B6 45 F1 3C 02 75 09 C6 83 C8 00 00 00 02 EB 14 3C 01 75 09 C6 83 C8 00 00 00 01 EB 07 C6 83 C8 00 00 00 00 8D 55 E0 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 18 FF 53 50 E9 FD 00 00 00 B2 08 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 EA 00 00 00 80 7D F1 03 0F 94 C2 80 F2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 0F B6 45 F1 3C 02 75 09 C6 83 C8 00 00 00 02 EB 14 3C 01 75 09 C6 83 C8 00 00 00 01 EB 07 C6 83 C8 00 00 00 00 8D 55 E0 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 18 FF 53 50 E9 85 00 00 00 B2 09 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 60 80 7D F1 03 0F 94 C2 80 F2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 0F B6 45 F1 3C 02 75 09 C6 83 C8 00 00 00 02 EB 14 3C 01 75 09 C6 83 C8 00 00 00 01 EB 07 C6 83 C8 00 00 00 00 8D 55 E0 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 18 FF 53 50 8D 45 E0 50 8B 45 08 50 8B 4D F8 0F B6 55 FF 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85933_0 {
	meta:
		name = "TSeStyle.WindowDrawGripper"
		size = 132
		refs = "0036 TSeStyle.WindowDrawGripper 003b TSeStyleObject.FindObjectByName 004b TSeStyleObject.SetBoundsRect 0050 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 0C 8D 7D E8 A5 A5 A5 A5 A5 89 4D FC 8B F0 8D 45 E8 50 8B 45 08 50 8B 4D FC 8B C6 8B 18 FF 53 5C 8B 46 2C 8B 40 44 85 C0 74 29 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 19 8D 55 E8 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 47 00 72 00 69 00 70 00 70 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_85934_0 {
	meta:
		name = "TSeStyle.WindowDrawText"
		size = 676
		refs = "0028 TSeWindowInfo 002d @AddRefRecord 0035 TSeStyle.WindowDrawText 0049 @UStrEqual 0055 TSeStyleSource.GetObjectByName 00be TSeStyleObject.FindObjectByKind 00eb TSeStyleFonts.GetFont 0162 @UStrAsg 016c TSeStyleObject.SetBoundsRect 0181 BiDiModes 0188 TSeStyleObject.SetBiDiMode 0192 TSeStyleObject.DrawObjecTSext 019a @UStrClr 01da IsRectEmpty 0230 NullRect 0270 @FinalizeRecord 0276 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 8B 75 14 8D 7D D4 51 B9 0B 00 00 00 F3 A5 59 89 4D CC 88 55 D3 8B F0 8B 7D 08 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B D7 8B 46 24 E8 ?? ?? ?? ?? 8B D8 85 DB 75 52 0F B6 45 D3 83 F8 06 77 47 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 46 2C 8B 18 EB 1F 8B 46 2C 8B 18 EB 18 8B 46 2C 8B 18 EB 11 8B 46 2C 8B 18 EB 0A 8B 46 2C 8B 58 78 EB 02 33 DB 85 DB 0F 84 A0 01 00 00 B2 03 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 8D 01 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 84 C0 74 3A F6 45 E4 01 74 1A 33 D2 8B 46 08 E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 52 40 5A 8B 08 FF 51 08 EB 49 B2 01 8B 46 08 E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 52 40 5A 8B 08 FF 51 08 EB 2F F6 45 E4 01 74 0B B2 07 8B C3 8B 08 FF 51 48 EB 09 33 D2 8B C3 8B 08 FF 51 48 8B C3 8B 10 FF 52 40 50 8B C3 8B 10 FF 52 40 5A 8B 08 FF 51 08 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 84 C0 74 48 8D 43 6C 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 10 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 78 33 C0 89 43 74 0F B6 45 0C 0F B6 90 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 CC 8B C3 E8 ?? ?? ?? ?? 8D 43 6C E8 ?? ?? ?? ?? E9 B6 00 00 00 80 BB A0 00 00 00 00 74 5B 8B 45 10 8B 40 08 89 45 C4 C6 45 CB 00 0F B6 45 CB 50 68 ?? ?? ?? ?? 8D 45 B4 50 0F B6 55 D3 8D 4D D4 8B C6 8B 38 FF 57 54 8D 45 B4 50 E8 ?? ?? ?? ?? 85 C0 75 10 8B 45 B4 3B 43 3C 7E 08 3B 45 C4 7D 03 89 45 C4 FE 45 CB 80 7D CB 0D 75 BE 8B 45 10 8B 40 08 2B 45 C4 89 43 74 8D 43 6C 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 10 8B C3 E8 ?? ?? ?? ?? F6 45 E5 01 74 0D 80 BB A2 00 00 00 00 74 04 83 43 78 14 B9 ?? ?? ?? ?? 8B 55 CC 8B C3 8B 30 FF 56 50 F6 45 E5 01 74 0D 80 BB A2 00 00 00 00 74 04 83 6B 78 14 8D 43 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85935_0 {
	meta:
		name = "TSeStyle.IsHintDefined"
		size = 11
	strings:
		$1 = { 8B 40 2C 83 78 6C 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_85936_0 {
	meta:
		name = "TSeStyle.HintDraw"
		size = 105
		refs = "0025 TSeStyleObject.SetBoundsRect 002a NullRect 003e Application 004d FillRect 005c DrawRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 75 0C 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 8B 43 2C 8B 40 6C 85 C0 74 1C 8D 55 F0 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 43 2C 8B 40 6C 8B D6 8B 18 FF 53 50 EB 23 A1 ?? ?? ?? ?? 8B 00 8B 48 60 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 B9 80 80 80 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85937_0 {
	meta:
		name = "TSeStyle.HintGetClientRect"
		size = 48
		refs = "0024 InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B 75 10 8D 7D F0 A5 A5 A5 A5 8B 45 08 8B F8 8D 75 F0 A5 A5 A5 A5 6A FF 6A FE 50 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85939_0 {
	meta:
		name = "TSeStyle.IsPanelDefined"
		size = 104
		refs = "0010 TSeStyle.IsPanelDefined 0015 @UStrEqual 0021 TSeStyleSource.GetObjectByName"
	strings:
		$1 = { 53 56 57 51 8B F9 88 14 24 8B F0 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B D7 8B 46 24 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 75 16 0F B6 04 24 2C 01 73 0C 8B 46 2C 83 78 4C 00 0F 95 C3 EB 02 33 DB 8B C3 5A 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85940_0 {
	meta:
		name = "TSeStyle.PanelDraw"
		size = 180
		refs = "001d TSeStyle.PanelDraw 0022 @UStrEqual 002e TSeStyleSource.GetObjectByName 0040 TSeStyleObject.FindObjectByName 0064 TSeStyleObject.SetBoundsRect 0069 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 75 0C 8D 7D F0 A5 A5 A5 A5 8B F9 8B D8 8B 75 08 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 20 8B D6 8B 43 24 E8 ?? ?? ?? ?? 8B D8 85 DB 74 22 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 12 8B 43 2C 8B 40 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 18 8D 55 F0 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D7 8B C3 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 61 00 6E 00 65 00 6C 00 00 00 }
	condition:
		$1
}

rule function_85941_0 {
	meta:
		name = "TSeStyle.PanelGetClientRect"
		size = 244
		refs = "002a TSeStyle.PanelGetClientRect 002f @UStrEqual 003b TSeStyleSource.GetObjectByName 004d TSeStyleObject.FindObjectByName 007c TSeStyleObject.SetBoundsRect 00a9 Rect"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 8B D8 8B 75 08 8B 7D 0C 56 57 8B FE 8D 75 F0 A5 A5 A5 A5 5F 5E 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 20 8B 43 24 8B D7 E8 ?? ?? ?? ?? 8B D8 85 DB 74 22 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 12 8B 43 2C 8B 40 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 4B 56 8B FE 8D 75 F0 A5 A5 A5 A5 5E 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 46 0C 2B 83 94 00 00 00 50 8D 45 E0 50 8B 4E 08 2B 8B 98 00 00 00 8B 56 04 03 93 90 00 00 00 8B 06 03 83 8C 00 00 00 E8 ?? ?? ?? ?? 8B FE 8D 75 E0 A5 A5 A5 A5 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 61 00 6E 00 65 00 6C 00 00 00 }
	condition:
		$1
}

rule function_85942_0 {
	meta:
		name = "TSeStyle.IsButtonDefined"
		size = 140
		refs = "0010 TSeStyle.IsButtonDefined 0015 @UStrEqual 0021 TSeStyleSource.GetObjectByName"
	strings:
		$1 = { 53 56 57 51 8B F9 88 14 24 8B F0 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B D7 8B 46 24 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 75 38 0F B6 04 24 2C 01 72 0A 2C 03 74 12 FE C8 74 1A EB 24 8B 46 2C 83 78 14 00 0F 95 C3 EB 1A 8B 46 2C 83 78 5C 00 0F 95 C3 EB 0E 8B 46 2C 83 78 5C 00 0F 95 C3 EB 02 33 DB 8B C3 5A 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85943_0 {
	meta:
		name = "TSeStyle.IsButtonTransparent"
		size = 188
		refs = "000f TSeStyle.IsButtonTransparent 0014 @UStrEqual 0020 TSeStyleSource.GetObjectByName 0060 TSeStyleObject.FindObjectByName"
	strings:
		$1 = { 53 56 57 55 8B F9 8B DA 8B F0 33 ED 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B D7 8B 46 24 E8 ?? ?? ?? ?? 8B E8 85 ED 75 2A 80 EB 01 72 0B 80 EB 03 74 0E FE CB 74 12 EB 18 8B 46 2C 8B 68 14 EB 12 8B 46 2C 8B 68 5C EB 0A 8B 46 2C 8B 68 5C EB 02 33 ED 85 ED 74 27 BA ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 85 C0 74 17 BA ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 8B E8 0F B6 85 9D 00 00 00 EB 02 33 C0 5D 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 61 00 63 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_85944_0 {
	meta:
		name = "TSeStyle.ButtonDraw"
		size = 768
		refs = "0030 TSeStyle.ButtonDraw 0035 @UStrEqual 0041 TSeStyleSource.GetObjectByName 0089 TSeStyleObject.FindObjectByName 013d TSeStyleObject.GetBoundsRect 0147 TSeStyleObject.SetBoundsRect 014c NullRect 0185 OffsetRect 0194 TSeStyleSysColors.GetColor 01a5 DrawFrameControlGlyph"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B 75 0C 8D 7D E0 A5 A5 A5 A5 A5 89 4D F8 88 55 FF 8B F8 8B 5D 08 57 8D 75 E0 8D 7D D0 A5 A5 A5 A5 5F 33 F6 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B 47 24 8B D3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 2E 0F B6 45 FF 2C 01 72 0C 04 FD 2C 02 72 0E 2C 02 72 12 EB 18 8B 47 2C 8B 70 14 EB 12 8B 47 2C 8B 70 5C EB 0A 8B 47 2C 8B 70 24 EB 02 33 F6 85 F6 0F 84 F7 01 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 80 7D FF 06 75 16 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 BD 01 00 00 80 7D FF 07 75 16 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 A1 01 00 00 0F B6 45 F0 8B D0 80 EA 03 75 06 C6 45 F7 08 EB 44 8B D0 80 EA 02 75 06 C6 45 F7 06 EB 37 8B D0 80 EA 01 74 0A 80 EA 04 74 05 80 EA 02 75 06 C6 45 F7 05 EB 20 8B D0 80 EA 04 74 05 80 EA 02 75 06 C6 45 F7 07 EB 0E 2C 08 75 06 C6 45 F7 06 EB 04 C6 45 F7 00 0F B6 55 F7 8B C6 8B 08 FF 51 48 8D 55 C0 8B C6 E8 ?? ?? ?? ?? 8D 55 D0 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 18 FF 53 54 8D 55 C0 8B C6 E8 ?? ?? ?? ?? 80 7D FF 04 75 3F 57 8D 75 E0 8D 7D D0 A5 A5 A5 A5 5F 80 7D F0 02 75 0D 6A 01 6A 01 8D 45 D0 50 E8 ?? ?? ?? ?? 6A 00 8B 47 14 BA 12 00 00 FF E8 ?? ?? ?? ?? 50 8D 55 D0 B9 03 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 80 7D FF 05 75 3F 57 8D 75 E0 8D 7D D0 A5 A5 A5 A5 5F 80 7D F0 02 75 0D 6A 01 6A 01 8D 45 D0 50 E8 ?? ?? ?? ?? 6A 01 8B 47 14 BA 12 00 00 FF E8 ?? ?? ?? ?? 50 8D 55 D0 B9 03 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 80 7D FF 06 75 3F 57 8D 75 E0 8D 7D D0 A5 A5 A5 A5 5F 80 7D F0 02 75 0D 6A 01 6A 01 8D 45 D0 50 E8 ?? ?? ?? ?? 6A 02 8B 47 14 BA 12 00 00 FF E8 ?? ?? ?? ?? 50 8D 55 D0 B9 03 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 80 7D FF 07 75 3F 57 8D 75 E0 8D 7D D0 A5 A5 A5 A5 5F 80 7D F0 02 75 0D 6A 01 6A 01 8D 45 D0 50 E8 ?? ?? ?? ?? 6A 03 8B 47 14 BA 12 00 00 FF E8 ?? ?? ?? ?? 50 8D 55 D0 B9 03 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 61 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 65 00 66 00 74 00 42 00 75 00 74 00 74 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 69 00 67 00 68 00 74 00 42 00 75 00 74 00 74 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_85945_0 {
	meta:
		name = "TSeStyle.ButtonDrawText"
		size = 396
		refs = "0033 TSeTextInfo 0038 @AddRefRecord 0040 TSeStyle.ButtonDrawText 0052 @UStrEqual 005e TSeStyleSource.GetObjectByName 008c TSeCustomStyle.ButtonDrawText 00a5 _DV_TSeTextObject 00aa @IsClass 013e @FinalizeRecord 0144 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 8B 75 0C 8D 7D E8 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D CC A5 A5 A5 A5 A5 89 4D E0 88 55 E7 8B D8 8B 7D 08 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0E 8B D7 8B 43 24 E8 ?? ?? ?? ?? 8B F0 EB 0F BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B F0 85 F6 75 1C 8D 45 CC 50 8D 45 E8 50 57 8B 4D E0 0F B6 55 E7 8B C3 E8 ?? ?? ?? ?? E9 92 00 00 00 56 8D 75 CC 8D 7D BC A5 A5 A5 A5 5E 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 68 0F B6 46 70 83 F8 08 77 5F FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C6 45 FC 00 EB 2E C6 45 FC 03 EB 28 C6 45 FC 06 EB 22 C6 45 FC 01 EB 1C C6 45 FC 04 EB 16 C6 45 FC 07 EB 10 C6 45 FC 02 EB 0A C6 45 FC 05 EB 04 C6 45 FC 08 8D 4D E8 8B 55 E0 8B C3 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 75 00 74 00 74 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_85946_0 {
	meta:
		name = "TSeStyle.IsCheckDefined"
		size = 116
		refs = "0010 TSeStyle.IsCheckDefined 0015 @UStrEqual 0021 TSeStyleSource.GetObjectByName"
	strings:
		$1 = { 53 56 57 51 8B F9 88 14 24 8B F0 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B D7 8B 46 24 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 75 22 0F B6 04 24 2C 01 72 04 74 0E EB 16 8B 46 2C 83 78 18 00 0F 95 C3 EB 0A 8B 46 2C 83 78 1C 00 0F 95 C3 8B C3 5A 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85948_0 {
	meta:
		name = "TSeStyle.CheckGetSize"
		size = 192
		refs = "001b TSeCustomStyle.CheckGetSize 0024 TSeStyle.CheckGetSize 0029 @UStrEqual 0035 TSeStyleSource.GetObjectByName 0065 TSeStyleObject.FindObjectByName"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 8B 45 08 50 0F B6 55 FF 8B CF 8B C6 E8 ?? ?? ?? ?? 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B D7 8B 46 24 E8 ?? ?? ?? ?? 8B D8 85 DB 75 1A 0F B6 45 FF 2C 01 72 04 74 0A EB 0E 8B 46 2C 8B 58 18 EB 06 8B 46 2C 8B 58 1C 85 DB 74 23 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 11 8B 45 08 8B 53 44 89 10 8B 45 08 8B 53 48 89 50 04 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 68 00 65 00 63 00 6B 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_85949_0 {
	meta:
		name = "TSeStyle.CheckDraw"
		size = 876
		refs = "0035 TSeStyle.CheckDraw 003a @UStrEqual 0046 TSeStyleSource.GetObjectByName 00aa TSeStyleObject.FindObjectByName 02bd TSeStyleObject.GetBoundsRect 02cb RectCenter 02e0 TSeStyleObject.SetBoundsRect 02e5 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 8B 75 0C 8D 7D E4 A5 A5 A5 A5 A5 89 4D FC 8B D8 8B 7D 08 33 F6 C6 45 FB 00 80 EA 01 72 0B 0F 84 89 01 00 00 E9 81 02 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B 43 24 8B D7 E8 ?? ?? ?? ?? 8B F0 85 F6 75 06 8B 43 2C 8B 70 18 0F B6 45 F4 83 F8 0D 0F 87 50 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 C6 45 FB 00 E9 FA 01 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 C6 45 FB 05 E9 E3 01 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 C6 45 FB 06 E9 CC 01 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 C6 45 FB 08 E9 B5 01 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 C6 45 FB 00 E9 9E 01 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 C6 45 FB 05 E9 87 01 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 C6 45 FB 06 E9 70 01 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 C6 45 FB 08 E9 59 01 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 C6 45 FB 00 E9 42 01 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 C6 45 FB 05 E9 2B 01 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 C6 45 FB 06 E9 14 01 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 C6 45 FB 08 E9 FD 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B 43 24 8B D7 E8 ?? ?? ?? ?? 8B F0 85 F6 75 06 8B 43 2C 8B 70 1C 0F B6 45 F4 83 F8 08 0F 87 CC 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 C6 45 FB 00 E9 8A 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 C6 45 FB 05 EB 76 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 C6 45 FB 06 EB 62 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 C6 45 FB 08 EB 4E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 C6 45 FB 00 EB 3A BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 C6 45 FB 05 EB 26 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 C6 45 FB 06 EB 12 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 C6 45 FB 08 85 F6 74 3C 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 8D 4D C4 8D 55 E4 8D 45 D4 E8 ?? ?? ?? ?? 0F B6 55 FB 8B C6 8B 08 FF 51 48 8D 55 D4 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 68 00 65 00 63 00 6B 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 6E 00 63 00 68 00 65 00 63 00 6B 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 69 00 78 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_85950_0 {
	meta:
		name = "TSeStyle.IsSplitterDefined"
		size = 19
	strings:
		$1 = { 80 EA 01 73 0B 8B 40 2C 83 78 58 00 0F 95 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_85951_0 {
	meta:
		name = "TSeStyle.SplitterDraw"
		size = 64
		refs = "0025 TSeStyleObject.SetBoundsRect 002a NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 75 0C 8D 7D F0 A5 A5 A5 A5 8B F1 8B 40 2C 8B 58 58 85 DB 74 18 8D 55 F0 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85952_0 {
	meta:
		name = "TSeStyle.IsScrollDefined"
		size = 104
		refs = "0010 TSeStyle.IsScrollDefined 0015 @UStrEqual 0021 TSeStyleSource.GetObjectByName"
	strings:
		$1 = { 53 56 57 51 8B F9 88 14 24 8B F0 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B D7 8B 46 24 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 75 16 0F B6 04 24 2C 01 73 0C 8B 46 2C 83 78 24 00 0F 95 C3 EB 02 33 DB 8B C3 5A 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85953_0 {
	meta:
		name = "TSeStyle.IsScrollTransparent"
		size = 22
	strings:
		$1 = { 80 EA 01 73 0E 8B 40 2C 8B 40 24 0F B6 80 9D 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_85954_0 {
	meta:
		name = "TSeStyle.ScrollDraw"
		size = 188
		refs = "0020 TSeStyle.ScrollDraw 0025 @UStrEqual 0031 TSeStyleSource.GetObjectByName 0043 TSeStyleObject.FindObjectByName 0069 TSeStyleObject.SetBoundsRect 006e NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B 75 0C 8D 7D EC A5 A5 A5 A5 89 4D FC 8B F0 8B 7D 08 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B D7 8B 46 24 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 12 8B 46 2C 8B 40 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 19 8D 55 EC 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_85955_0 {
	meta:
		name = "TSeStyle.ScrollDrawArea"
		size = 284
		refs = "0021 TSeStyle.ScrollDrawArea 0026 @UStrEqual 0032 TSeStyleSource.GetObjectByName 0050 TSeStyleObject.FindObjectByName 00a1 TSeStyleObject.SetBoundsRect 00a6 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B 75 0C 8D 7D E4 A5 A5 A5 A5 A5 89 4D FC 8B F0 8B 7D 08 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B 46 24 8B D7 E8 ?? ?? ?? ?? 8B D8 85 DB 75 06 8B 46 2C 8B 58 24 80 7D F4 00 74 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 4A 0F B6 45 F5 3C 03 75 06 C6 45 FB 08 EB 18 3C 01 75 06 C6 45 FB 06 EB 0E 3C 02 75 06 C6 45 FB 05 EB 04 C6 45 FB 00 0F B6 55 FB 8B C6 8B 08 FF 51 48 8D 55 E4 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 48 00 6F 00 72 00 7A 00 46 00 72 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 56 00 65 00 72 00 74 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_85956_0 {
	meta:
		name = "TSeStyle.ScrollDrawButton"
		size = 648
		refs = "0021 TSeStyle.ScrollDrawButton 0026 @UStrEqual 0032 TSeStyleSource.GetObjectByName 0092 TSeStyleObject.FindObjectByName 0151 TSeStyleObject.SetBoundsRect 0156 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B 75 0C 8D 7D E4 A5 A5 A5 A5 A5 89 4D FC 8B F0 8B 7D 08 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B 46 24 8B D7 E8 ?? ?? ?? ?? 8B D8 85 DB 75 06 8B 46 2C 8B 58 24 0F B6 45 F4 83 F8 0C 0F 87 B7 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 6E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 5E 33 F6 EB 5A 33 F6 EB 56 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 46 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 36 33 F6 EB 32 33 F6 EB 2E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 1E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 0E 33 F6 EB 0A 33 F6 EB 06 33 F6 EB 02 33 F6 85 F6 74 7E 0F B6 45 F5 3C 03 75 06 C6 45 FB 08 EB 18 3C 01 75 06 C6 45 FB 06 EB 0E 3C 02 75 06 C6 45 FB 05 EB 04 C6 45 FB 00 0F B6 45 F4 2C 02 72 06 04 FA 2C 02 73 26 0F B6 55 FB 8B C6 8B 08 FF 51 48 8D 55 E4 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 18 FF 53 54 EB 24 0F B6 55 FB 8B C6 8B 08 FF 51 48 8D 55 E4 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 6F 00 70 00 42 00 75 00 74 00 74 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 42 00 6F 00 74 00 74 00 6F 00 6D 00 42 00 75 00 74 00 74 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 65 00 66 00 74 00 42 00 75 00 74 00 74 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 69 00 67 00 68 00 74 00 42 00 75 00 74 00 74 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 48 00 6F 00 72 00 7A 00 53 00 6C 00 69 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 56 00 65 00 72 00 74 00 53 00 6C 00 69 00 64 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_85957_0 {
	meta:
		name = "TSeStyle.IsProgressDefined"
		size = 104
		refs = "0010 TSeStyle.IsProgressDefined 0015 @UStrEqual 0021 TSeStyleSource.GetObjectByName"
	strings:
		$1 = { 53 56 57 51 8B F9 88 14 24 8B F0 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B D7 8B 46 24 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 75 16 0F B6 04 24 2C 01 73 0C 8B 46 2C 83 78 28 00 0F 95 C3 EB 02 33 DB 8B C3 5A 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85958_0 {
	meta:
		name = "TSeStyle.IsProgressTransparent"
		size = 144
		refs = "0011 TSeStyle.IsProgressTransparent 0016 @UStrEqual 0022 TSeStyleSource.GetObjectByName 0044 TSeStyleObject.FindObjectByName"
	strings:
		$1 = { 53 56 57 55 51 8B F9 88 14 24 8B F0 33 ED 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B D7 8B 46 24 E8 ?? ?? ?? ?? 8B E8 85 ED 75 06 8B 46 2C 8B 68 28 33 DB 0F B6 04 24 2C 01 73 17 BA ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 85 C0 74 07 0F B6 98 9D 00 00 00 8B C3 5A 5D 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_85959_0 {
	meta:
		name = "TSeStyle.ProgressDraw"
		size = 732
		refs = "0021 TSeStyle.ProgressDraw 0026 @UStrEqual 0032 TSeStyleSource.GetObjectByName 0078 TSeStyleObject.FindObjectByName 01a8 TSeStyleObject.SetBoundsRect 01ad NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 0C 8D 7D E8 A5 A5 A5 A5 A5 89 4D FC 8B D8 8B 7D 08 33 F6 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B 43 24 8B D7 E8 ?? ?? ?? ?? 8B F0 85 F6 75 06 8B 43 2C 8B 70 28 33 DB 0F B6 45 F8 83 F8 05 0F 87 4D 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 18 01 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 E9 05 01 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 EF 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 E9 DC 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 C6 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 E9 B3 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 9D 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 E9 8A 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 54 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 44 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 19 8D 55 E8 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 18 FF 53 54 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 46 00 72 00 61 00 6D 00 65 00 56 00 65 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 46 00 72 00 61 00 6D 00 65 00 48 00 6F 00 72 00 7A 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 61 00 72 00 56 00 65 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 42 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 61 00 72 00 48 00 6F 00 72 00 7A 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 6F 00 6C 00 69 00 64 00 56 00 65 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 6F 00 6C 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 6F 00 6C 00 69 00 64 00 48 00 6F 00 72 00 7A 00 00 00 }
	condition:
		$1
}

rule function_85960_0 {
	meta:
		name = "TSeStyle.IsTrackDefined"
		size = 120
		refs = "0010 TSeStyle.IsTrackDefined 0015 @UStrEqual 0021 TSeStyleSource.GetObjectByName"
	strings:
		$1 = { 53 56 57 51 8B F9 88 14 24 8B F0 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B D7 8B 46 24 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 75 26 0F B6 04 24 2C 01 72 04 74 0E EB 18 8B 46 2C 83 78 34 00 0F 95 C3 EB 0E 8B 46 2C 83 78 34 00 0F 95 C3 EB 02 33 DB 8B C3 5A 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85963_0 {
	meta:
		name = "TSeStyle.TrackBarDraw"
		size = 336
		refs = "0021 TSeStyle.TrackBarDraw 0026 @UStrEqual 0032 TSeStyleSource.GetObjectByName 0060 TSeStyleObject.FindObjectByName 00be TSeStyleObject.SetBoundsRect 00c3 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 0C 8D 7D E8 A5 A5 A5 A5 A5 89 4D FC 8B D8 8B 7D 08 33 F6 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B 43 24 8B D7 E8 ?? ?? ?? ?? 8B F0 85 F6 75 06 8B 43 2C 8B 70 34 85 F6 0F 84 87 00 00 00 33 DB 0F B6 45 F8 2C 01 72 04 74 24 EB 42 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 30 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 20 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 33 80 7D F9 01 75 0B B2 08 8B C3 8B 08 FF 51 48 EB 09 33 D2 8B C3 8B 08 FF 51 48 8D 55 E8 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 72 00 61 00 63 00 6B 00 56 00 65 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 72 00 61 00 63 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 72 00 61 00 63 00 6B 00 48 00 6F 00 72 00 7A 00 00 00 }
	condition:
		$1
}

rule function_85964_0 {
	meta:
		name = "TSeStyle.TrackDrawThumb"
		size = 884
		refs = "0021 TSeStyle.TrackDrawThumb 0026 @UStrEqual 0032 TSeStyleSource.GetObjectByName 0080 TSeStyleObject.FindObjectByName 01d3 Rect 01e1 RectCenter 01eb TSeStyleObject.SetBoundsRect 01f0 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 8B 75 0C 8D 7D E8 A5 A5 A5 A5 A5 89 4D FC 8B D8 8B 7D 08 33 F6 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B 43 24 8B D7 E8 ?? ?? ?? ?? 8B F0 85 F6 75 06 8B 43 2C 8B 70 34 85 F6 0F 84 B4 01 00 00 33 DB 0F B6 45 F8 83 F8 05 0F 87 F7 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 C2 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 E9 AF 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 99 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 E9 86 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 74 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 64 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 52 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 42 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 30 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 20 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 94 00 00 00 0F B6 45 F9 83 F8 04 77 50 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 48 EB 2A B2 05 8B C3 8B 08 FF 51 48 EB 1F B2 06 8B C3 8B 08 FF 51 48 EB 14 B2 07 8B C3 8B 08 FF 51 48 EB 09 B2 08 8B C3 8B 08 FF 51 48 8B 43 48 50 8D 45 D8 50 8B 4B 44 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 4D C8 8D 55 E8 8D 45 D8 E8 ?? ?? ?? ?? 8D 55 D8 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 68 00 75 00 6D 00 62 00 56 00 65 00 72 00 74 00 42 00 6F 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 68 00 75 00 6D 00 62 00 56 00 65 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 54 00 68 00 75 00 6D 00 62 00 56 00 65 00 72 00 74 00 52 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 68 00 75 00 6D 00 62 00 56 00 65 00 72 00 74 00 4C 00 65 00 66 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 68 00 75 00 6D 00 62 00 48 00 6F 00 72 00 7A 00 42 00 6F 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 68 00 75 00 6D 00 62 00 48 00 6F 00 72 00 7A 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 68 00 75 00 6D 00 62 00 48 00 6F 00 72 00 7A 00 42 00 6F 00 74 00 74 00 6F 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 54 00 68 00 75 00 6D 00 62 00 48 00 6F 00 72 00 7A 00 54 00 6F 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 68 00 75 00 6D 00 62 00 00 00 }
	condition:
		$1
}

rule function_85965_0 {
	meta:
		name = "TSeStyle.IsHeaderDefined"
		size = 19
	strings:
		$1 = { 80 EA 01 73 0B 8B 40 2C 83 78 40 00 0F 95 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_85966_0 {
	meta:
		name = "TSeStyle.HeaderDraw"
		size = 128
		refs = "0021 TSeStyle.HeaderDraw 0026 TSeStyleObject.FindObjectByName 0041 TSeCustomStyle.HeaderDraw 004d TSeStyleObject.SetBoundsRect 0052 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B 75 0C 8D 7D EC A5 A5 A5 A5 8B F9 88 55 FF 8B F0 8B 46 2C 8B 40 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 17 8D 45 EC 50 8B 45 08 50 8B CF 0F B6 55 FF 8B C6 E8 ?? ?? ?? ?? EB 18 8D 55 EC 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D7 8B C3 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_85967_0 {
	meta:
		name = "TSeStyle.HeaderDrawSection"
		size = 304
		refs = "0027 TSeStyle.HeaderDrawSection 002c TSeStyleObject.FindObjectByName 00a2 TSeStyleObject.SetBoundsRect 00b2 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 0C 8D 7D E8 A5 A5 A5 A5 A5 8B F9 8B D8 33 F6 80 7D F8 00 75 12 8B 43 2C 8B 40 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 80 7D F8 02 75 12 8B 43 2C 8B 40 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 12 8B 43 2C 8B 40 40 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 5B 0F B6 45 F9 8B D0 80 EA 02 74 05 80 EA 04 75 06 C6 45 FF 08 EB 22 8B D0 80 EA 01 74 05 80 EA 04 75 06 C6 45 FF 06 EB 10 04 FD 2C 02 73 06 C6 45 FF 05 EB 04 C6 45 FF 00 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 0F B6 55 FF 8B C6 8B 08 FF 51 48 B9 ?? ?? ?? ?? 8B D7 8B C6 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 65 00 63 00 74 00 69 00 6F 00 6E 00 46 00 69 00 72 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 63 00 74 00 69 00 6F 00 6E 00 4C 00 61 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_85968_0 {
	meta:
		name = "TSeStyle.IsStatusDefined"
		size = 19
	strings:
		$1 = { 80 EA 01 73 0B 8B 40 2C 83 78 44 00 0F 95 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_85969_0 {
	meta:
		name = "TSeStyle.StatusDraw"
		size = 100
		refs = "001c TSeStyle.StatusDraw 0021 TSeStyleObject.FindObjectByName 0031 TSeStyleObject.SetBoundsRect 0036 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 75 0C 8D 7D F0 A5 A5 A5 A5 8B F1 8B 40 2C 8B 40 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 18 8D 55 F0 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_85970_0 {
	meta:
		name = "TSeStyle.StatusDrawPanel"
		size = 236
		refs = "002d TSeStyle.StatusDrawPanel 0032 TSeStyleObject.FindObjectByName 0050 TSeStyleObject.SetBoundsRect 0060 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 0C 8D 7D E8 A5 A5 A5 A5 A5 8B F9 0F B6 55 F8 80 EA 03 72 07 74 4E E9 86 00 00 00 8B 40 2C 8B 40 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 70 C6 45 FF 00 80 7D F8 02 75 04 83 45 F0 07 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 0F B6 55 FF 8B C6 8B 08 FF 51 48 B9 ?? ?? ?? ?? 8B D7 8B C6 8B 18 FF 53 50 EB 3D 8B 40 2C 8B 40 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 27 C6 45 FF 00 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 0F B6 55 FF 8B C6 8B 08 FF 51 48 B9 ?? ?? ?? ?? 8B D7 8B C6 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 61 00 6E 00 65 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 47 00 72 00 69 00 70 00 70 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_85971_0 {
	meta:
		name = "TSeStyle.StatusDrawText"
		size = 268
		refs = "0032 TSeTextInfo 0037 @AddRefRecord 003f TSeStyle.StatusDrawText 0051 @UStrEqual 005d TSeStyleSource.GetObjectByName 006b TSeStyleObject.FindObjectByName 00a8 TSeCustomStyle.StatusDrawText 00c3 @FinalizeRecord 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 75 0C 8D 7D E8 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D D0 A5 A5 A5 A5 A5 89 4D E4 8B DA 8B F8 8B 75 08 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1A 8B D6 8B 47 24 E8 ?? ?? ?? ?? 85 C0 74 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8B 47 2C 8B 40 44 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 12 8B 50 78 01 55 E8 8B 50 74 29 55 F0 8B 40 7C 01 45 EC 8D 45 D0 50 8D 45 E8 50 56 8B 4D E4 8B D3 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 61 00 6E 00 65 00 6C 00 00 00 }
	condition:
		$1
}

rule function_85972_0 {
	meta:
		name = "TSeStyle.StatusGetClientRect"
		size = 51
		refs = "0026 TSeCustomStyle.StatusGetClientRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 8B DA 8B F0 8B 45 0C 50 8B 45 08 50 8B D3 8D 4D F0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_85973_0 {
	meta:
		name = "TSeStyle.IsEditDefined"
		size = 40
	strings:
		$1 = { 80 EA 01 72 0A 80 C2 FC 80 EA 02 72 0D EB 16 8B 40 2C 83 78 2C 00 0F 95 C0 C3 8B 40 2C 83 78 30 00 0F 95 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_85974_0 {
	meta:
		name = "TSeStyle.EditDraw"
		size = 140
		refs = "001d TSeStyle.EditDraw 0022 TSeStyleObject.FindObjectByName 0059 TSeStyleObject.SetBoundsRect 005e NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 0C 8D 7D E8 A5 A5 A5 A5 A5 8B F9 8B 40 2C 8B 40 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 3F 0F B6 45 F8 3C 04 75 06 C6 45 FF 08 EB 0E 3C 01 75 06 C6 45 FF 05 EB 04 C6 45 FF 00 0F B6 55 FF 8B C6 8B 08 FF 51 48 8D 55 E8 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D7 8B C6 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_85975_0 {
	meta:
		name = "TSeStyle.EditDrawButton"
		size = 396
		refs = "0051 TSeStyle.EditDrawButton 0093 TSeStyleObject.FindObjectByName 0154 TSeStyleObject.SetBoundsRect 0159 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 0C 8D 7D E8 A5 A5 A5 A5 A5 8B F9 0F B6 55 F8 80 FA 04 75 06 C6 45 FF 08 EB 1A 80 FA 02 75 06 C6 45 FF 06 EB 0F 80 FA 01 75 06 C6 45 FF 05 EB 04 C6 45 FF 00 33 F6 0F B6 55 F9 83 FA 09 0F 87 F1 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 50 2C 8B 52 30 85 D2 0F 84 B4 00 00 00 8B C2 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 E9 A1 00 00 00 8B 40 2C 8B 40 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 E9 8A 00 00 00 8B 40 2C 8B 40 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 76 8B 40 2C 8B 40 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 62 8B 40 2C 8B 40 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 4E 8B 40 2C 8B 40 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 3A 8B 40 2C 8B 40 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 26 8B 40 2C 8B 40 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 12 8B 40 2C 8B 40 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 23 0F B6 55 FF 8B C6 8B 08 FF 51 48 8D 55 E8 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D7 8B C6 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 75 00 74 00 74 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_85976_0 {
	meta:
		name = "TSeStyle.EditGetClientRect"
		size = 49
		refs = "0025 InflateRect"
		altNames = "TSeStyle.MemoGetClientRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 57 8B 75 10 8D 7D EC A5 A5 A5 A5 A5 8B 45 08 8B F8 8D 75 EC A5 A5 A5 A5 6A FC 6A FC 50 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85977_0 {
	meta:
		name = "TSeStyle.IsGroupDefined"
		size = 19
	strings:
		$1 = { 80 EA 01 73 0B 8B 40 2C 83 78 20 00 0F 95 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_85978_0 {
	meta:
		name = "TSeStyle.IsGroupTransparent"
		size = 48
		refs = "0007 TSeStyle.IsGroupTransparent 000c TSeStyleObject.FindObjectByName"
	strings:
		$1 = { 8B 40 2C 8B 40 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 80 9D 00 00 00 C3 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_85979_0 {
	meta:
		name = "TSeStyle.GroupDraw"
		size = 424
		refs = "002c TSeStyle.GroupDraw 0031 TSeStyleObject.FindObjectByName 0068 IsRectEmpty 0076 TSeStyleObject.SetBoundsRect 007b NullRect 009b _DV_TseBitmap 00a0 TseBitmap.Create 00b9 TRect.GetHeight 00c2 TRect.GetWidth 00e2 TCanvas.GetHandle 0101 TBitmap.GetCanvas 010c BitBlt 0179 TObject.Free 017f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 8B 75 0C 8D 7D D4 51 B9 09 00 00 00 F3 A5 59 89 4D FC 8B F0 8B 46 2C 8B 40 20 85 C0 0F 84 5A 01 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 06 8B 46 2C 8B 58 20 85 DB 0F 84 3C 01 00 00 80 7D F4 01 75 0B B2 08 8B C3 8B 08 FF 51 48 EB 09 33 D2 8B C3 8B 08 FF 51 48 8D 45 E4 50 E8 ?? ?? ?? ?? 85 C0 74 1E 8D 55 D4 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 18 FF 53 50 E9 F7 00 00 00 8D 75 E4 8D 7D C4 A5 A5 A5 A5 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C4 E8 ?? ?? ?? ?? 50 8D 45 C4 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 59 8B 30 FF 56 6C 68 20 00 CC 00 8B 45 C8 50 8B 45 C4 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 8B 10 FF 52 24 50 8B 45 F8 8B 10 FF 52 30 50 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 55 D4 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 18 FF 53 50 68 20 00 CC 00 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F8 8B 10 FF 52 24 50 8B 45 F8 8B 10 FF 52 30 50 8B 45 C8 50 8B 45 C4 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_85980_0 {
	meta:
		name = "TSeStyle.IsMemoDefined"
		size = 19
	strings:
		$1 = { 80 EA 01 73 0B 8B 40 2C 83 78 2C 00 0F 95 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_85981_0 {
	meta:
		name = "TSeStyle.MemoDraw"
		size = 128
		refs = "001d TSeStyle.MemoDraw 0022 TSeStyleObject.FindObjectByName 004d TSeStyleObject.SetBoundsRect 0052 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 0C 8D 7D E8 A5 A5 A5 A5 A5 8B F9 8B 40 2C 8B 40 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 33 80 7D F8 03 75 06 C6 45 FF 08 EB 04 C6 45 FF 00 0F B6 55 FF 8B C6 8B 08 FF 51 48 8D 55 E8 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D7 8B C6 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_85983_0 {
	meta:
		name = "TSeStyle.IsMenuDefined"
		size = 34
	strings:
		$1 = { 80 EA 01 72 04 74 0D EB 16 8B 40 2C 83 78 38 00 0F 95 C0 C3 8B 40 2C 83 78 3C 00 0F 95 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_85984_0 {
	meta:
		name = "TSeStyle.MenuDraw"
		size = 232
		refs = "0023 TSeStyle.MenuDraw 0028 @UStrEqual 0035 TSeStyleSource.GetObjectByName 0071 TSeStyleObject.FindObjectByName 0095 TSeStyleObject.SetBoundsRect 009a NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 0C 8D 7D E8 A5 A5 A5 A5 89 4D F8 88 55 FF 8B F8 33 DB 33 F6 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0D 8B 47 24 8B 55 08 E8 ?? ?? ?? ?? 8B D8 85 DB 75 1A 0F B6 45 FF 2C 01 72 04 74 0A EB 0E 8B 47 2C 8B 58 38 EB 06 8B 47 2C 8B 58 3C 85 DB 74 2E 0F B6 45 FF 2C 01 72 04 74 12 EB 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 12 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 85 F6 74 19 8D 55 E8 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_85985_0 {
	meta:
		name = "TSeStyle.MenuDrawItem"
		size = 1716
		refs = "0051 TSeStyle.MenuDrawItem 00b5 TSeStyleObject.FindObjectByName 00ff TSeStyleObject.SetBoundsRect 010f NullRect 01e8 TSeStyleFonts.GetFont 0230 TRect.Create 023e RectCenter 024b TPen.SetStyle 0258 TPen.SetColor 0265 TBrush.SetStyle 0272 TBrush.SetColor 0405 DrawFrameControlGlyph"
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 53 56 57 8B 75 0C 8D 7D B0 A5 A5 A5 A5 A5 89 4D F8 88 55 FF 8B F8 8B 47 2C 8B 40 38 8B D8 0F B6 55 FF 80 EA 01 72 04 74 06 EB 0A 8B D8 EB 06 8B 47 2C 8B 58 3C 0F B6 45 C0 0F B6 D0 83 FA 09 0F 87 61 05 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B6 45 C1 3C 03 75 06 C6 45 F7 08 EB 18 3C 02 75 06 C6 45 F7 07 EB 0E 3C 01 75 06 C6 45 F7 05 EB 04 C6 45 F7 00 0F B6 45 FF 2C 01 72 04 74 22 EB 40 8B 55 08 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 32 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 22 8B 55 08 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 12 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 85 F6 0F 84 B6 04 00 00 8D 55 B0 8B C6 E8 ?? ?? ?? ?? 0F B6 55 F7 8B C6 8B 08 FF 51 48 B9 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 18 FF 53 50 E9 8D 04 00 00 0F B6 55 C1 80 FA 03 75 06 C6 45 F7 08 EB 1A 80 FA 02 75 06 C6 45 F7 07 EB 0F 80 FA 01 75 06 C6 45 F7 05 EB 04 C6 45 F7 00 0F B6 55 FF 80 EA 01 72 04 74 12 EB 46 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 38 3C 03 75 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 12 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 85 F6 0F 84 07 04 00 00 8D 55 B0 8B C6 E8 ?? ?? ?? ?? 0F B6 55 F7 8B C6 8B 08 FF 51 48 B9 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 18 FF 53 50 0F B6 45 C0 04 FD 2C 02 0F 83 D5 03 00 00 0F B6 45 C1 3C 03 75 0F B2 25 8B 47 08 E8 ?? ?? ?? ?? 8B 58 18 EB 33 3C 02 75 0F B2 23 8B 47 08 E8 ?? ?? ?? ?? 8B 58 18 EB 20 3C 01 75 0F B2 24 8B 47 08 E8 ?? ?? ?? ?? 8B 58 18 EB 0D B2 22 8B 47 08 E8 ?? ?? ?? ?? 8B 58 18 6A 07 6A 04 33 C9 33 D2 8D 45 A0 E8 ?? ?? ?? ?? 8D 4D 90 8D 55 B0 8D 45 A0 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 44 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 48 8B D3 E8 ?? ?? ?? ?? 80 7D C0 03 75 6B 8B 4D A0 89 4D EC 8B 45 AC 48 89 45 F0 8B 55 A8 4A 89 55 E4 89 45 E8 03 D1 D1 FA 79 03 83 D2 00 89 55 DC 8B 45 A4 89 45 E0 8B 45 EC 89 85 78 FF FF FF 8B 45 F0 89 85 7C FF FF FF 8B 45 E4 89 45 80 8B 45 E8 89 45 84 8B 45 DC 89 45 88 8B 45 E0 89 45 8C 8D 95 78 FF FF FF B9 02 00 00 00 8B 45 F8 8B 18 FF 53 6C E9 C8 02 00 00 8B 4D A0 89 4D D4 8B 45 A4 89 45 D8 8B 55 A8 4A 89 55 CC 89 45 D0 03 D1 D1 FA 79 03 83 D2 00 89 55 C4 8B 45 AC 48 89 45 C8 8B 45 D4 89 85 78 FF FF FF 8B 45 D8 89 85 7C FF FF FF 8B 45 CC 89 45 80 8B 45 D0 89 45 84 8B 45 C4 89 45 88 8B 45 C8 89 45 8C 8D 95 78 FF FF FF B9 02 00 00 00 8B 45 F8 8B 18 FF 53 6C E9 5D 02 00 00 0F B6 45 FF 2C 01 72 04 74 24 EB 54 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 44 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 34 8B 55 08 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 12 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 85 F6 0F 84 F3 01 00 00 8D 55 B0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 48 B9 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 18 FF 53 50 E9 CC 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 19 6A 01 6A 00 8D 55 B0 B9 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? E9 A1 01 00 00 0F B6 45 C1 3C 03 75 06 C6 45 F7 08 EB 18 3C 02 75 06 C6 45 F7 07 EB 0E 3C 01 75 06 C6 45 F7 05 EB 04 C6 45 F7 00 8B 46 44 50 8B 46 48 50 33 C9 33 D2 8D 45 A0 E8 ?? ?? ?? ?? 8D 4D 90 8D 55 B0 8D 45 A0 E8 ?? ?? ?? ?? 0F B6 55 F7 8B C6 8B 08 FF 51 48 8D 55 A0 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 18 FF 53 50 E9 30 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 19 6A 03 6A 00 8D 55 B0 B9 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? E9 05 01 00 00 0F B6 45 C1 3C 03 75 06 C6 45 F7 08 EB 18 3C 02 75 06 C6 45 F7 07 EB 0E 3C 01 75 06 C6 45 F7 05 EB 04 C6 45 F7 00 8B 46 44 50 8B 46 48 50 33 C9 33 D2 8D 45 A0 E8 ?? ?? ?? ?? 8D 4D 90 8D 55 B0 8D 45 A0 E8 ?? ?? ?? ?? 0F B6 55 F7 8B C6 8B 08 FF 51 48 8D 55 A0 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 18 FF 53 50 E9 94 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 16 6A 00 6A 00 8D 55 B0 B9 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 6C 0F B6 45 C1 3C 03 75 06 C6 45 F7 08 EB 18 3C 02 75 06 C6 45 F7 07 EB 0E 3C 01 75 06 C6 45 F7 05 EB 04 C6 45 F7 00 8B 46 44 50 8B 46 48 50 33 C9 33 D2 8D 45 A0 E8 ?? ?? ?? ?? 8D 4D 90 8D 55 B0 8D 45 A0 E8 ?? ?? ?? ?? 0F B6 55 F7 8B C6 8B 08 FF 51 48 8D 55 A0 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 74 00 65 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 69 00 74 00 65 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 75 00 70 00 62 00 75 00 74 00 74 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 64 00 6F 00 77 00 6E 00 62 00 75 00 74 00 74 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 73 00 65 00 70 00 61 00 72 00 61 00 74 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 65 00 70 00 61 00 72 00 61 00 74 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4D 00 69 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 65 00 73 00 74 00 6F 00 72 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6C 00 6F 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_85986_0 {
	meta:
		name = "TSeStyle.MenuDrawItemGlyph"
		size = 136
		refs = "0034 TSeCustomStyle.MenuDrawItemGlyph 0060 TRect.Create 006e RectCenter 007b TseBitmap.Draw"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 8B 75 0C 8D 7D D4 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D EC A5 A5 A5 A5 A5 8B F1 8D 4D EC 51 8D 4D D4 51 8B 4D 08 51 8B CE E8 ?? ?? ?? ?? 0F B6 45 E9 2C 04 75 3F 8B 5D E4 85 DB 74 38 8B C3 8B 10 FF 52 30 50 8B 45 E4 8B 10 FF 52 24 50 8D 45 C4 33 C9 33 D2 E8 ?? ?? ?? ?? 8D 4D B4 8D 55 D4 8D 45 C4 E8 ?? ?? ?? ?? 8D 4D C4 8B D6 8B 45 E4 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85987_0 {
	meta:
		name = "TSeStyle.MenuDrawItemText"
		size = 481
		refs = "002f TSeTextInfo 0034 @AddRefRecord 003c TSeStyle.MenuDrawItemText 0083 TSeStyleFonts.GetFont 008d TFont.SetColor 018e TSeCustomStyle.MenuDrawItemText 01af @HandleFinally 01cc @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B 75 0C 8D 7D E8 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D CC A5 A5 A5 A5 A5 89 4D E4 8B DA 8B F0 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 8B 78 40 8B 47 18 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 FB 01 0F 85 91 00 00 00 0F B6 45 DD 2C 01 72 0C 74 23 FE C8 74 38 FE C8 74 4D EB 64 8B 46 08 B2 3E E8 ?? ?? ?? ?? 8B 50 18 8B C7 E8 ?? ?? ?? ?? E9 E4 00 00 00 8B 46 08 B2 40 E8 ?? ?? ?? ?? 8B 50 18 8B C7 E8 ?? ?? ?? ?? E9 CB 00 00 00 8B 46 08 B2 3F E8 ?? ?? ?? ?? 8B 50 18 8B C7 E8 ?? ?? ?? ?? E9 B2 00 00 00 8B 46 08 B2 41 E8 ?? ?? ?? ?? 8B 50 18 8B C7 E8 ?? ?? ?? ?? E9 99 00 00 00 8B 46 08 B2 3E E8 ?? ?? ?? ?? 8B 50 18 8B C7 E8 ?? ?? ?? ?? E9 80 00 00 00 0F B6 45 DD 2C 01 72 0C 74 20 FE C8 74 32 FE C8 74 44 EB 58 8B 46 08 B2 22 E8 ?? ?? ?? ?? 8B 50 18 8B C7 E8 ?? ?? ?? ?? EB 56 8B 46 08 B2 24 E8 ?? ?? ?? ?? 8B 50 18 8B C7 E8 ?? ?? ?? ?? EB 40 8B 46 08 B2 23 E8 ?? ?? ?? ?? 8B 50 18 8B C7 E8 ?? ?? ?? ?? EB 2A 8B 46 08 B2 25 E8 ?? ?? ?? ?? 8B 50 18 8B C7 E8 ?? ?? ?? ?? EB 14 8B 46 08 B2 22 E8 ?? ?? ?? ?? 8B 50 18 8B C7 E8 ?? ?? ?? ?? 8D 45 CC 50 8D 45 E8 50 8B 45 08 50 8B 4D E4 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 8B 40 40 8B 55 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85988_0 {
	meta:
		name = "TSeStyle.MenuGetClientRect"
		size = 192
		refs = "002c TSeStyle.MenuGetClientRect 0031 TSeStyleObject.FindObjectByName 0064 TSeStyleObject.SetBoundsRect 0091 Rect"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F1 8D 7D EC A5 A5 A5 A5 88 55 FF 8B 75 08 0F B6 55 FF 80 EA 01 72 04 74 16 EB 28 8B 40 2C 8B 40 38 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 16 8B 40 2C 8B 40 3C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 56 8B FE 8D 75 EC A5 A5 A5 A5 5E 85 DB 74 40 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 46 0C 2B 83 94 00 00 00 50 8D 45 DC 50 8B 4E 08 2B 8B 98 00 00 00 8B 56 04 03 93 90 00 00 00 8B 06 03 83 8C 00 00 00 E8 ?? ?? ?? ?? 8B FE 8D 75 DC A5 A5 A5 A5 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_85989_0 {
	meta:
		name = "TSeStyle.IsDockDefined"
		size = 80
		refs = "0009 TSeStyle.IsDockDefined 000e @UStrEqual 001a TSeStyleSource.GetObjectByName"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 12 8B D6 8B 43 24 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5E 5B C3 8B 43 2C 83 78 60 00 0F 95 C0 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85990_0 {
	meta:
		name = "TSeStyle.DockDraw"
		size = 176
		refs = "0020 TSeStyle.DockDraw 0025 @UStrEqual 0031 TSeStyleSource.GetObjectByName 004d TSeStyleObject.FindObjectByName 005d TSeStyleObject.SetBoundsRect 0062 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B 75 0C 8D 7D EC A5 A5 A5 A5 89 4D FC 8B F0 8B 7D 08 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B D7 8B 46 24 E8 ?? ?? ?? ?? 8B D8 85 DB 75 06 8B 46 2C 8B 58 60 85 DB 74 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 19 8D 55 EC 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 61 00 63 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_85992_0 {
	meta:
		name = "TSeStyle.IsToolDefined"
		size = 108
		refs = "000c TSeStyle.IsToolDefined 0011 @UStrEqual 001d TSeStyleSource.GetObjectByName"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 8B F8 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 11 8B D6 8B 47 24 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 EB 23 80 EB 01 72 04 74 0E EB 18 8B 47 2C 83 78 60 00 0F 95 C0 EB 0E 8B 47 2C 83 78 60 00 0F 95 C0 EB 02 33 C0 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85993_0 {
	meta:
		name = "TSeStyle.ToolDraw"
		size = 216
		refs = "0024 MenuInfo 002d TSeStyle.ToolDraw 004f @UStrEqual 005c TSeStyleSource.GetObjectByName 0078 TSeStyleObject.FindObjectByName 0088 TSeStyleObject.SetBoundsRect 008d NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B 75 0C 8D 7D EC A5 A5 A5 A5 89 4D FC 8B F8 80 FA 02 75 25 8D 55 DC 8D 45 EC E8 ?? ?? ?? ?? 8D 45 DC 50 68 ?? ?? ?? ?? 8B 4D FC B2 01 8B C7 8B 18 FF 93 94 01 00 00 EB 59 33 F6 33 DB 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0D 8B 47 24 8B 55 08 E8 ?? ?? ?? ?? 8B D8 85 DB 75 06 8B 47 2C 8B 58 60 85 DB 74 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 19 8D 55 EC 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_85994_0 {
	meta:
		name = "TSeStyle.ToolDrawItem"
		size = 1236
		refs = "002b TSeStyle.ToolDrawItem 0082 @UStrEqual 008f TSeStyleSource.GetObjectByName 00af TSeStyleObject.FindObjectByName 0139 TSeStyleObject.SetBoundsRect 013e NullRect 0166 InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 75 0C 8D 7D E4 A5 A5 A5 A5 A5 89 4D FC 8B F8 33 DB 0F B6 45 F4 83 F8 0E 0F 87 AE 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 57 8D 75 E4 8D 7D D4 A5 A5 A5 A5 5F 33 F6 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0D 8B 47 24 8B 55 08 E8 ?? ?? ?? ?? 8B F0 85 F6 75 06 8B 47 2C 8B 70 70 85 F6 0F 84 2F 03 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 74 10 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 EB 1E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 E9 02 00 00 0F B6 45 F5 8B D0 80 EA 03 75 06 C6 45 FB 08 EB 2A 8B D0 80 EA 02 75 06 C6 45 FB 06 EB 1D 8B D0 80 EA 01 75 06 C6 45 FB 05 EB 10 04 FB 2C 02 73 06 C6 45 FB 06 EB 04 C6 45 FB 00 0F B6 55 FB 8B C6 8B 08 FF 51 48 8D 55 D4 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 18 FF 53 50 E9 85 02 00 00 57 8D 75 E4 8D 7D D4 A5 A5 A5 A5 5F 6A FE 6A 00 8D 45 D4 50 E8 ?? ?? ?? ?? 33 F6 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0D 8B 47 24 8B 55 08 E8 ?? ?? ?? ?? 8B F0 85 F6 75 06 8B 47 2C 8B 70 70 85 F6 0F 84 3C 02 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 28 02 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 33 D2 8B C6 8B 08 FF 51 48 8D 55 D4 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 18 FF 53 50 E9 F3 01 00 00 33 F6 33 DB 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0D 8B 47 24 8B 55 08 E8 ?? ?? ?? ?? 8B D8 85 DB 75 06 8B 47 2C 8B 58 60 85 DB 74 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 AF 01 00 00 8D 55 E4 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 18 FF 53 50 E9 91 01 00 00 33 F6 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0D 8B 47 24 8B 55 08 E8 ?? ?? ?? ?? 8B D8 85 DB 75 06 8B 47 2C 8B 58 60 85 DB 74 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 3D 01 00 00 8D 55 E4 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 18 FF 53 50 E9 1F 01 00 00 57 8D 75 E4 8D 7D D4 A5 A5 A5 A5 5F 33 F6 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0D 8B 47 24 8B 55 08 E8 ?? ?? ?? ?? 8B F0 85 F6 75 06 8B 47 2C 8B 70 70 85 F6 0F 84 E3 00 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 74 10 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 EB 1E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 75 42 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 74 10 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 EB 1E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 74 5F 0F B6 45 F5 8B D0 80 EA 03 75 06 C6 45 FB 08 EB 2A 8B D0 80 EA 02 75 06 C6 45 FB 06 EB 1D 8B D0 80 EA 01 75 06 C6 45 FB 05 EB 10 04 FB 2C 02 73 06 C6 45 FB 06 EB 04 C6 45 FB 00 0F B6 55 FB 8B C6 8B 08 FF 51 48 8D 55 D4 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 46 00 6C 00 61 00 74 00 46 00 61 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 61 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 65 00 70 00 61 00 72 00 61 00 74 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 47 00 72 00 61 00 62 00 62 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 72 00 61 00 62 00 62 00 65 00 72 00 56 00 65 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 46 00 6C 00 61 00 74 00 43 00 68 00 65 00 76 00 72 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 68 00 65 00 76 00 72 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_85995_0 {
	meta:
		name = "TSeStyle.IsBarDockDefined"
		size = 100
		refs = "0011 TSeStyle.IsBarDockDefined 0016 @UStrEqual 0022 TSeStyleSource.GetObjectByName"
	strings:
		$1 = { 53 56 57 8B F9 8B F0 80 EA 01 73 32 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B D7 8B 46 24 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 75 11 8B 46 2C 83 B8 90 00 00 00 00 0F 95 C3 EB 02 33 DB 8B C3 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85996_0 {
	meta:
		name = "TSeStyle.BarDockDraw"
		size = 188
		refs = "0020 TSeStyle.BarDockDraw 0025 @UStrEqual 0031 TSeStyleSource.GetObjectByName 0043 TSeStyleObject.FindObjectByName 006c TSeStyleObject.SetBoundsRect 0071 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B 75 0C 8D 7D EC A5 A5 A5 A5 89 4D FC 8B F0 8B 7D 08 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B D7 8B 46 24 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 15 8B 46 2C 8B 80 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 19 8D 55 EC 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_85997_0 {
	meta:
		name = "TSeStyle.BarDockGetClientRect"
		size = 38
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B 75 10 8D 7D F0 A5 A5 A5 A5 8B 45 08 8B F8 8D 75 F0 A5 A5 A5 A5 5F 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_85998_0 {
	meta:
		name = "TSeStyle.IsBarDefined"
		size = 108
		refs = "001b TSeStyle.IsBarDefined 0020 @UStrEqual 002c TSeStyleSource.GetObjectByName"
	strings:
		$1 = { 53 56 57 8B F9 8B F0 80 EA 01 72 06 74 08 FE CA 75 36 33 DB EB 34 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B D7 8B 46 24 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 75 11 8B 46 2C 83 B8 8C 00 00 00 00 0F 95 C3 EB 02 33 DB 8B C3 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_85999_0 {
	meta:
		name = "TSeStyle.IsBarTransparent"
		size = 196
		refs = "001e TSeStyle.IsBarTransparent 0023 @UStrEqual 002f TSeStyleSource.GetObjectByName 005f TSeStyleObject.FindObjectByName"
	strings:
		$1 = { 53 56 57 55 8B E9 8B F0 80 EA 01 72 06 74 08 FE CA 75 70 33 DB EB 6E 33 DB 33 FF 8B C5 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 17 8B D5 8B 46 24 E8 ?? ?? ?? ?? 8B F8 85 FF 74 07 0F B6 9F 9D 00 00 00 85 FF 75 41 8B 46 2C 83 B8 8C 00 00 00 00 74 35 8B 46 2C 8B 80 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1E 8B 46 2C 8B 80 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 98 9D 00 00 00 EB 02 33 DB 8B C3 5D 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 61 00 70 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_86000_0 {
	meta:
		name = "TSeStyle.BarGetClientRect"
		size = 584
		refs = "002a TSeStyle.BarGetClientRect 002f @UStrEqual 003c TSeStyleSource.GetObjectByName 005a TSeStyleObject.FindObjectByName 0153 TSeStyleObject.SetBoundsRect 0178 Rect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B 75 10 8D 7D EC A5 A5 A5 A5 A5 8B F0 8B 7D 08 56 57 8D 75 EC A5 A5 A5 A5 5F 5E 33 DB 8B 45 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 73 8B 55 0C 8B 46 24 E8 ?? ?? ?? ?? 8B D8 85 DB 74 62 80 7D FD 00 75 16 80 7D FC 00 75 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 46 80 7D FD 00 75 16 80 7D FC 00 74 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 2A 80 7D FD 00 74 16 80 7D FC 00 75 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 90 00 00 00 8B 46 2C 83 B8 8C 00 00 00 00 0F 84 80 00 00 00 80 7D FD 00 75 1D 80 7D FC 00 75 17 8B 46 2C 8B 80 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 44 80 7D FD 00 75 1D 80 7D FC 00 74 17 8B 46 2C 8B 80 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 21 80 7D FD 00 74 1B 80 7D FC 00 75 15 8B 46 2C 8B 80 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 15 8B 46 2C 8B 80 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 38 57 8D 75 EC A5 A5 A5 A5 5F 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 43 48 2B 83 94 00 00 00 50 57 8B 4B 44 2B 8B 98 00 00 00 8B 93 90 00 00 00 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 46 00 72 00 61 00 6D 00 65 00 4E 00 6F 00 42 00 6F 00 72 00 64 00 65 00 72 00 43 00 61 00 70 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 46 00 72 00 61 00 6D 00 65 00 4E 00 6F 00 42 00 6F 00 72 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 46 00 72 00 61 00 6D 00 65 00 4E 00 6F 00 43 00 61 00 70 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_86001_0 {
	meta:
		name = "TSeStyle.BarDraw"
		size = 540
		refs = "0021 TSeStyle.BarDraw 0026 @UStrEqual 0032 TSeStyleSource.GetObjectByName 0050 TSeStyleObject.FindObjectByName 0140 TSeStyleObject.SetBoundsRect 0145 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 0C 8D 7D E8 A5 A5 A5 A5 A5 89 4D FC 8B F0 8B 7D 08 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 72 8B D7 8B 46 24 E8 ?? ?? ?? ?? 8B D8 85 DB 74 62 80 7D F9 00 75 16 80 7D F8 00 75 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 46 80 7D F9 00 75 16 80 7D F8 00 74 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 2A 80 7D F9 00 74 16 80 7D F8 00 75 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 90 00 00 00 8B 46 2C 83 B8 8C 00 00 00 00 0F 84 80 00 00 00 80 7D F9 00 75 1D 80 7D F8 00 75 17 8B 46 2C 8B 80 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 44 80 7D F9 00 75 1D 80 7D F8 00 74 17 8B 46 2C 8B 80 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 21 80 7D F9 00 74 1B 80 7D F8 00 75 15 8B 46 2C 8B 80 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 15 8B 46 2C 8B 80 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 19 8D 55 E8 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 46 00 72 00 61 00 6D 00 65 00 4E 00 6F 00 42 00 6F 00 72 00 64 00 65 00 72 00 43 00 61 00 70 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 46 00 72 00 61 00 6D 00 65 00 4E 00 6F 00 42 00 6F 00 72 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 46 00 72 00 61 00 6D 00 65 00 4E 00 6F 00 43 00 61 00 70 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_86002_0 {
	meta:
		name = "TSeStyle.BarDrawCaption"
		size = 324
		refs = "002c TSeStyle.BarDrawCaption 0031 @UStrEqual 003d TSeStyleSource.GetObjectByName 0055 TSeStyleObject.FindObjectByName 00b9 TSeStyleObject.SetBoundsRect 00be NullRect 00d0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 75 0C 8D 7D D4 A5 A5 A5 A5 A5 8B 75 10 8D 7D E8 A5 A5 A5 A5 A5 89 4D FC 8B F0 8B 7D 08 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 34 8B D7 8B 46 24 E8 ?? ?? ?? ?? 8B D8 85 DB 74 24 80 7D F9 00 75 10 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 40 8B 46 2C 83 B8 8C 00 00 00 00 74 34 80 7D F9 00 75 15 8B 46 2C 8B 80 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 15 8B 46 2C 8B 80 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 21 8D 55 D4 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 30 FF 56 50 8D 43 6C E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 61 00 70 00 74 00 69 00 6F 00 6E 00 4E 00 6F 00 42 00 6F 00 72 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 61 00 70 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_86003_0 {
	meta:
		name = "TSeStyle.BarDrawButton"
		size = 372
		refs = "0021 TSeStyle.BarDrawButton 0026 @UStrEqual 0032 TSeStyleSource.GetObjectByName 005d TSeStyleObject.FindObjectByName 00c2 TSeStyleObject.SetBoundsRect 00c7 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B 75 0C 8D 7D E4 A5 A5 A5 A5 A5 89 4D FC 8B D8 8B 7D 08 33 F6 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B D7 8B 43 24 E8 ?? ?? ?? ?? 8B F0 85 F6 75 09 8B 43 2C 8B B0 8C 00 00 00 0F B6 45 F4 FE C8 74 18 FE C8 74 24 FE C8 75 30 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 EB 22 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 EB 12 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 85 F6 74 4A 0F B6 45 F5 3C 03 75 06 C6 45 FB 08 EB 18 3C 02 75 06 C6 45 FB 06 EB 0E 3C 01 75 06 C6 45 FB 05 EB 04 C6 45 FB 00 0F B6 55 FB 8B C6 8B 08 FF 51 48 8D 55 E4 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 42 00 75 00 74 00 74 00 6F 00 6E 00 48 00 69 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 42 00 75 00 74 00 74 00 6F 00 6E 00 52 00 6F 00 6C 00 6C 00 75 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 42 00 75 00 74 00 74 00 6F 00 6E 00 52 00 6F 00 6C 00 6C 00 44 00 6F 00 77 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_86004_0 {
	meta:
		name = "TSeStyle.IsTabDefined"
		size = 104
		refs = "0010 TSeStyle.IsTabDefined 0015 @UStrEqual 0021 TSeStyleSource.GetObjectByName"
	strings:
		$1 = { 53 56 57 51 8B F9 88 14 24 8B F0 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B D7 8B 46 24 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 75 16 0F B6 04 24 2C 02 73 0C 8B 46 2C 83 78 48 00 0F 95 C3 EB 02 33 DB 8B C3 5A 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86005_0 {
	meta:
		name = "TSeStyle.TabDraw"
		size = 188
		refs = "0020 TSeStyle.TabDraw 0025 @UStrEqual 0031 TSeStyleSource.GetObjectByName 0043 TSeStyleObject.FindObjectByName 0069 TSeStyleObject.SetBoundsRect 006e NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B 75 0C 8D 7D EC A5 A5 A5 A5 89 4D FC 8B F0 8B 7D 08 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B D7 8B 46 24 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 12 8B 46 2C 8B 40 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 19 8D 55 EC 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_86006_0 {
	meta:
		name = "TSeStyle.TabDrawButton"
		size = 332
		refs = "0021 TSeStyle.TabDrawButton 0026 @UStrEqual 0032 TSeStyleSource.GetObjectByName 004a TSeStyleObject.FindObjectByName 00c0 TSeStyleObject.SetBoundsRect 00d0 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B 75 0C 8D 7D E4 A5 A5 A5 A5 A5 89 4D FC 8B D8 8B 7D 08 33 F6 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 34 8B D7 8B 43 24 E8 ?? ?? ?? ?? 8B F0 85 F6 74 24 80 7D F4 01 75 10 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 EB 0E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 75 2C 80 7D F4 01 75 14 8B 43 2C 8B 40 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 12 8B 43 2C 8B 40 48 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 4A 0F B6 45 F5 3C 03 75 06 C6 45 FB 08 EB 18 3C 02 75 06 C6 45 FB 06 EB 0E 3C 01 75 06 C6 45 FB 05 EB 04 C6 45 FB 00 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 0F B6 55 FB 8B C6 8B 08 FF 51 48 B9 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 65 00 66 00 74 00 42 00 75 00 74 00 74 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 52 00 69 00 67 00 68 00 74 00 42 00 75 00 74 00 74 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_86007_0 {
	meta:
		name = "TSeStyle.TabDrawItem"
		size = 1316
		refs = "0024 TSeStyle.TabDrawItem 0029 @UStrEqual 0039 TSeStyleSource.GetObjectByName 00a0 TSeStyleObject.FindObjectByName 01e1 TSeStyleObject.SetBoundsRect 01f3 _DV_TseBitmap 01f8 TseBitmap.Create 0225 TRect.GetWidth 022e TRect.GetHeight 027d TBitmap.GetCanvas 028f TSeStyleSysColors.GetColor 0299 TBrush.SetColor 02b9 Rect 02ca _Dn_TCanvas 02cf TCanvas.Create 02ed TCanvas.GetHandle 02f7 TCanvas.SetHandle 0301 TSeStyleObject.GetBoundsRect 031f TRect.Create 032e NullRect 03a4 TseBitmap.Rotate90_1 03b9 TseBitmap.FlipVert 03e2 TseBitmap.Rotate90_2 03f4 TseBitmap.Draw 0409 TObject.Free 040f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 8B 75 0C 8D 7D D4 A5 A5 A5 A5 A5 89 4D F8 89 45 FC 33 F6 33 DB 33 FF 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 10 8B 45 FC 8B 40 24 8B 55 08 E8 ?? ?? ?? ?? 8B F8 85 FF 75 09 8B 45 FC 8B 40 2C 8B 78 48 85 FF 0F 84 1F 04 00 00 0F B6 45 E4 83 F8 0B 0F 87 FE 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 E9 B4 00 00 00 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 E9 A1 00 00 00 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 E9 8E 00 00 00 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 EB 7E BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 EB 6E BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 EB 5E BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 EB 4E BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 EB 3E BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 EB 2E BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 EB 1E BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 EB 0E BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 75 2E 0F B6 45 E5 2C 01 74 04 2C 02 75 0E BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 75 0E BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 B3 01 85 F6 0F 84 DA 02 00 00 80 7D E5 02 75 06 C6 45 F7 08 EB 20 0F B6 45 E5 3C 03 74 04 3C 04 75 06 C6 45 F7 07 EB 0E 3C 01 75 06 C6 45 F7 05 EB 04 C6 45 F7 00 84 DB 0F 84 82 02 00 00 0F B6 45 E4 04 FD 2C 09 0F 83 74 02 00 00 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 0F B6 55 F7 8B C6 8B 08 FF 51 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 E4 04 FD 2C 03 72 0A 2C 03 72 42 2C 03 72 20 EB 58 8D 45 D4 E8 ?? ?? ?? ?? 50 8D 45 D4 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 59 8B 18 FF 53 6C EB 3A 8D 45 D4 E8 ?? ?? ?? ?? 50 8D 45 D4 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 59 8B 18 FF 53 6C EB 1C 8D 45 D4 E8 ?? ?? ?? ?? 50 8D 45 D4 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 59 8B 18 FF 53 6C 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 40 14 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 43 48 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 24 50 8D 45 B4 50 8B 45 F0 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 55 B4 8B C3 8B 08 FF 51 54 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 C4 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 30 50 8B 45 F0 8B 10 FF 52 24 50 8D 45 B4 33 C9 33 D2 E8 ?? ?? ?? ?? 8D 55 B4 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 E8 8B C6 8B 18 FF 53 50 8D 55 C4 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 45 E8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 E4 04 FD 2C 03 72 0A 2C 03 72 44 2C 03 72 2B EB 65 8B 45 F0 8B 10 FF 52 30 50 8B 45 F0 8B 10 FF 52 24 8B D0 8B 45 EC 59 8B 18 FF 53 6C 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? EB 3C 8B 55 F0 8B 45 EC 8B 08 FF 51 08 8B 45 EC E8 ?? ?? ?? ?? EB 27 8B 45 F0 8B 10 FF 52 30 50 8B 45 F0 8B 10 FF 52 24 8B D0 8B 45 EC 59 8B 18 FF 53 6C 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 4D D4 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 0F B6 55 F7 8B C6 8B 08 FF 51 48 B9 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 61 00 62 00 54 00 6F 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 61 00 62 00 4C 00 65 00 66 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 61 00 62 00 52 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 61 00 62 00 41 00 63 00 74 00 69 00 76 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 61 00 62 00 00 00 }
	condition:
		$1
}

rule function_86008_0 {
	meta:
		name = "TSeStyle.TabDrawText"
		size = 164
		refs = "002e TSeTextInfo 0033 @AddRefRecord 003b TSeStyle.TabDrawText 0074 TSeCustomStyle.TabDrawText 008f @FinalizeRecord 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 75 0C 8D 7D E8 51 B9 06 00 00 00 F3 A5 59 8B 75 10 8D 7D D4 A5 A5 A5 A5 A5 8B F9 8B DA 8B F0 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 E4 8B D0 80 C2 FD 80 EA 03 73 04 C6 45 FE 02 04 FA 2C 03 73 04 C6 45 FE 01 8D 45 D4 50 8D 45 E8 50 8B 45 08 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_86010_0 {
	meta:
		name = "TSeStyle.IsListDefined"
		size = 104
		refs = "0010 TSeStyle.IsListDefined 0015 @UStrEqual 0021 TSeStyleSource.GetObjectByName"
	strings:
		$1 = { 53 56 57 51 8B F9 88 14 24 8B F0 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B D7 8B 46 24 E8 ?? ?? ?? ?? 85 C0 0F 95 C3 84 DB 75 16 0F B6 04 24 2C 01 73 0C 8B 46 2C 83 78 68 00 0F 95 C3 EB 02 33 DB 8B C3 5A 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86011_0 {
	meta:
		name = "TSeStyle.ListDraw"
		size = 188
		refs = "0020 TSeStyle.ListDraw 0025 @UStrEqual 0031 TSeStyleSource.GetObjectByName 0043 TSeStyleObject.FindObjectByName 0069 TSeStyleObject.SetBoundsRect 006e NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B 75 0C 8D 7D EC A5 A5 A5 A5 89 4D FC 8B F0 8B 7D 08 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B D7 8B 46 24 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0E BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 12 8B 46 2C 8B 40 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 19 8D 55 EC 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_86012_0 {
	meta:
		name = "TSeStyle.ListDrawItem"
		size = 272
		refs = "0021 TSeStyle.ListDrawItem 0026 @UStrEqual 0032 TSeStyleSource.GetObjectByName 0044 TSeStyleObject.FindObjectByName 00b4 TSeStyleObject.SetBoundsRect 00c4 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B 75 0C 8D 7D E4 A5 A5 A5 A5 A5 89 4D FC 8B D8 8B 7D 08 33 F6 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B D7 8B 43 24 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 75 16 8B 43 2C 8B 40 68 85 C0 74 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 6A 0F B6 45 F4 83 F8 04 77 39 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C6 45 FB 00 EB 1C C6 45 FB 00 EB 16 C6 45 FB 07 EB 10 C6 45 FB 07 EB 0A C6 45 FB 08 EB 04 C6 45 FB 00 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 0F B6 55 FB 8B C6 8B 08 FF 51 48 B9 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 74 00 65 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_86013_0 {
	meta:
		name = "TSeStyle.ListDrawGlyph"
		size = 692
		refs = "0030 TSeStyle.ListDrawGlyph 0035 @UStrEqual 0041 TSeStyleSource.GetObjectByName 007c TSeStyleObject.FindObjectByName 00b9 Rect 00c7 RectCenter 00d1 TSeStyleObject.SetBoundsRect 00d6 NullRect 0218 TRect.Create 0234 TseBitmap.Draw"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 8B 75 0C 8D 7D CC 51 B9 07 00 00 00 F3 A5 59 8B 75 10 8D 7D E8 A5 A5 A5 A5 A5 89 4D FC 8B F0 8B 7D 08 33 DB 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0C 8B 46 24 8B D7 E8 ?? ?? ?? ?? 8B D8 85 DB 75 06 8B 46 2C 8B 58 68 0F B6 45 E4 2C 01 72 1B 0F 84 8A 00 00 00 FE C8 0F 84 F7 00 00 00 FE C8 0F 84 89 01 00 00 E9 C4 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 1B 8B 46 2C 83 78 18 00 74 12 8B 46 2C 8B 40 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 8F 01 00 00 8B 43 48 50 8D 45 BC 50 8B 4B 44 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 4D AC 8D 55 CC 8D 45 BC E8 ?? ?? ?? ?? 8D 55 BC 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 18 FF 53 50 E9 4F 01 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 1B 8B 46 2C 83 78 18 00 74 12 8B 46 2C 8B 40 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 1A 01 00 00 8B 43 48 50 8D 45 BC 50 8B 4B 44 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 4D AC 8D 55 CC 8D 45 BC E8 ?? ?? ?? ?? 8D 55 BC 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 18 FF 53 50 E9 DA 00 00 00 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 12 8B 46 2C 8B 40 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 31 8B 46 2C 83 78 18 00 74 28 8B 46 2C 8B 40 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 12 8B 46 2C 8B 40 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 7D 8B 43 48 50 8D 45 BC 50 8B 4B 44 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 4D AC 8D 55 CC 8D 45 BC E8 ?? ?? ?? ?? 8D 55 BC 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 18 FF 53 50 EB 40 8B 5D E0 85 DB 74 39 8B C3 8B 10 FF 52 30 50 8B 45 E0 8B 10 FF 52 24 50 33 C9 33 D2 8D 45 BC E8 ?? ?? ?? ?? 8D 4D AC 8D 55 CC 8D 45 BC E8 ?? ?? ?? ?? 8D 4D BC 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 68 00 65 00 63 00 6B 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 6E 00 63 00 68 00 65 00 63 00 6B 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 69 00 78 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_86014_0 {
	meta:
		name = "TSeStyle.ListGetClientRect"
		size = 152
		refs = "001c TSeStyle.ListGetClientRect 0021 TSeStyleObject.FindObjectByName 003c TSeStyleObject.SetBoundsRect 0069 Rect"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 8B 75 08 8B 40 2C 8B 40 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 4B 56 8B FE 8D 75 F0 A5 A5 A5 A5 5E 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 46 0C 2B 83 94 00 00 00 50 8D 45 E0 50 8B 4E 08 2B 8B 98 00 00 00 8B 56 04 03 93 90 00 00 00 8B 06 03 83 8C 00 00 00 E8 ?? ?? ?? ?? 8B FE 8D 75 E0 A5 A5 A5 A5 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_86015_0 {
	meta:
		name = "TSeStyle.IsTreeDefined"
		size = 19
	strings:
		$1 = { 80 EA 01 73 0B 8B 40 2C 83 78 68 00 0F 95 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_86016_0 {
	meta:
		name = "TSeStyle.TreeDraw"
		size = 100
		refs = "001c TSeStyle.TreeDraw 0021 TSeStyleObject.FindObjectByName 0031 TSeStyleObject.SetBoundsRect 0036 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 75 0C 8D 7D F0 A5 A5 A5 A5 8B F1 8B 40 2C 8B 40 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 18 8D 55 F0 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_86017_0 {
	meta:
		name = "TSeStyle.TreeDrawItem"
		size = 184
		refs = "001d TSeStyle.TreeDrawItem 0022 TSeStyleObject.FindObjectByName 0078 TSeStyleObject.SetBoundsRect 0088 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 0C 8D 7D E8 A5 A5 A5 A5 A5 8B F9 8B 40 2C 8B 40 68 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 69 0F B6 45 F8 83 F8 04 77 39 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C6 45 FF 00 EB 1C C6 45 FF 00 EB 16 C6 45 FF 07 EB 10 C6 45 FF 07 EB 0A C6 45 FF 08 EB 04 C6 45 FF 00 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 0F B6 55 FF 8B C6 8B 08 FF 51 48 B9 ?? ?? ?? ?? 8B D7 8B C6 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 74 00 65 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_86018_0 {
	meta:
		name = "TSeStyle.IsGridDefined"
		size = 19
	strings:
		$1 = { 80 EA 01 73 0B 8B 40 2C 83 78 64 00 0F 95 C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_86019_0 {
	meta:
		name = "TSeStyle.GridDraw"
		size = 100
		refs = "001c TSeStyle.GridDraw 0021 TSeStyleObject.FindObjectByName 0031 TSeStyleObject.SetBoundsRect 0036 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 75 0C 8D 7D F0 A5 A5 A5 A5 8B F1 8B 40 2C 8B 40 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 18 8D 55 F0 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 8B C3 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 72 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_86020_0 {
	meta:
		name = "TSeStyle.GridDrawItem"
		size = 232
		refs = "0022 TSeStyle.GridDrawItem 006e TSeStyleObject.FindObjectByName 009d TSeStyleObject.SetBoundsRect 00a2 NullRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 0C 8D 7D E8 A5 A5 A5 A5 A5 8B F9 0F B6 55 F8 83 FA 04 77 39 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C6 45 FF 00 EB 1C C6 45 FF 05 EB 16 C6 45 FF 07 EB 10 C6 45 FF 07 EB 0A C6 45 FF 08 EB 04 C6 45 FF 00 80 7D F9 01 75 14 8B 40 2C 8B 40 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 12 8B 40 2C 8B 40 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 23 0F B6 55 FF 8B C6 8B 08 FF 51 48 8D 55 E8 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D7 8B C6 8B 18 FF 53 50 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 69 00 78 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 43 00 65 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_86023_0 {
	meta:
		name = "TSeStyle.GetBounds"
		size = 172
		refs = "0014 @UStrAddRef 001c TSeStyle.GetBounds 002d TSeStyleSource.GetObjectByName 003b TSeStyleObject.FindObjectByName 004b TSeStyleObject.GetBoundsRect 005a TSeCustomStyle.GetBounds 007e @UStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 24 E8 ?? ?? ?? ?? 85 C0 74 2B BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 0C 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 1C 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 0D 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 6F 00 75 00 6E 00 64 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_86024_0 {
	meta:
		name = "TSeStyle.CustomColor"
		size = 168
		refs = "000c TSeStyle.CustomColor 0011 Pos 001f TSeStyleSource.GetObjectByName 0041 TSeStyleObject.FindObjectByName 0066 TSeCustomStyle.CustomColor"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 33 DB 8B D7 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0C 8B D7 8B 46 24 E8 ?? ?? ?? ?? 8B D8 85 DB 75 2C BA ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0D 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 0C 8B D7 8B 46 24 E8 ?? ?? ?? ?? 8B D8 85 DB 74 08 8B 83 A4 00 00 00 EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 75 00 73 00 74 00 6F 00 6D 00 43 00 6F 00 6C 00 6F 00 72 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_86025_0 {
	meta:
		name = "TSeStyle.SetFontForObject"
		size = 83
		refs = "001a TSeCustomStyle.SetFontForObject 0030 TSeStyleSource.GetObjectByName"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 89 55 FC 8B F0 8B 7D 08 57 8B CB 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 46 24 85 C0 74 26 80 C3 FC 80 EB 04 73 1E 8B D7 E8 ?? ?? ?? ?? 8B D8 85 DB 74 11 8B C3 8B 10 FF 52 40 8B D0 8B 45 FC 8B 08 FF 51 08 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_86026_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 144
		refs = "003e TSeStyleSource.GetCount 005c TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 8B 5D 08 85 DB 74 1F 8B C3 8B 10 FF 52 40 85 C0 74 14 8B C3 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 53 40 EB 37 8B 5E 24 85 DB 74 2E 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 23 0F B6 55 FF 8B CF 8B C6 8B 18 FF 53 40 84 C0 75 14 0F B6 55 FF B9 ?? ?? ?? ?? 8B C6 8B 18 FF 53 40 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86027_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 144
		refs = "003e TSeStyleSource.GetCount 005c TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 8B 5D 08 85 DB 74 1F 8B C3 8B 10 FF 52 40 85 C0 74 14 8B C3 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 53 6C EB 37 8B 5E 24 85 DB 74 2E 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 23 0F B6 55 FF 8B CF 8B C6 8B 18 FF 53 6C 84 C0 75 14 0F B6 55 FF B9 ?? ?? ?? ?? 8B C6 8B 18 FF 53 6C EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86028_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 144
		refs = "003e TSeStyleSource.GetCount 005c TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 8B 5D 08 85 DB 74 1F 8B C3 8B 10 FF 52 40 85 C0 74 14 8B C3 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 53 78 EB 37 8B 5E 24 85 DB 74 2E 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 23 0F B6 55 FF 8B CF 8B C6 8B 18 FF 53 78 84 C0 75 14 0F B6 55 FF B9 ?? ?? ?? ?? 8B C6 8B 18 FF 53 78 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86029_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 152
		refs = "0041 TSeStyleSource.GetCount 0062 TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 8B 5D 08 85 DB 74 22 8B C3 8B 10 FF 52 40 85 C0 74 17 8B C3 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 93 84 00 00 00 EB 3D 8B 5E 24 85 DB 74 34 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 29 0F B6 55 FF 8B CF 8B C6 8B 18 FF 93 84 00 00 00 84 C0 75 17 0F B6 55 FF B9 ?? ?? ?? ?? 8B C6 8B 18 FF 93 84 00 00 00 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86030_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 152
		refs = "0041 TSeStyleSource.GetCount 0062 TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 8B 5D 08 85 DB 74 22 8B C3 8B 10 FF 52 40 85 C0 74 17 8B C3 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 93 9C 00 00 00 EB 3D 8B 5E 24 85 DB 74 34 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 29 0F B6 55 FF 8B CF 8B C6 8B 18 FF 93 9C 00 00 00 84 C0 75 17 0F B6 55 FF B9 ?? ?? ?? ?? 8B C6 8B 18 FF 93 9C 00 00 00 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86031_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 152
		refs = "0041 TSeStyleSource.GetCount 0062 TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 8B 5D 08 85 DB 74 22 8B C3 8B 10 FF 52 40 85 C0 74 17 8B C3 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 93 B0 00 00 00 EB 3D 8B 5E 24 85 DB 74 34 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 29 0F B6 55 FF 8B CF 8B C6 8B 18 FF 93 B0 00 00 00 84 C0 75 17 0F B6 55 FF B9 ?? ?? ?? ?? 8B C6 8B 18 FF 93 B0 00 00 00 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86032_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 152
		refs = "0041 TSeStyleSource.GetCount 0062 TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B D8 8B 75 08 85 F6 74 22 8B C6 8B 10 FF 52 40 85 C0 74 17 8B C6 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 93 C4 00 00 00 EB 3D 8B 73 24 85 F6 74 34 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 29 0F B6 55 FF 8B CF 8B C3 8B 30 FF 96 C4 00 00 00 84 C0 75 17 0F B6 55 FF B9 ?? ?? ?? ?? 8B C3 8B 18 FF 93 C4 00 00 00 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86033_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 152
		refs = "0041 TSeStyleSource.GetCount 0062 TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B D8 8B 75 08 85 F6 74 22 8B C6 8B 10 FF 52 40 85 C0 74 17 8B C6 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 93 D0 00 00 00 EB 3D 8B 73 24 85 F6 74 34 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 29 0F B6 55 FF 8B CF 8B C3 8B 30 FF 96 D0 00 00 00 84 C0 75 17 0F B6 55 FF B9 ?? ?? ?? ?? 8B C3 8B 18 FF 93 D0 00 00 00 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86034_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 152
		refs = "0041 TSeStyleSource.GetCount 0062 TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 8B 5D 08 85 DB 74 22 8B C3 8B 10 FF 52 40 85 C0 74 17 8B C3 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 93 E4 00 00 00 EB 3D 8B 5E 24 85 DB 74 34 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 29 0F B6 55 FF 8B CF 8B C6 8B 18 FF 93 E4 00 00 00 84 C0 75 17 0F B6 55 FF B9 ?? ?? ?? ?? 8B C6 8B 18 FF 93 E4 00 00 00 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86035_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 152
		refs = "0041 TSeStyleSource.GetCount 0062 TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 8B 5D 08 85 DB 74 22 8B C3 8B 10 FF 52 40 85 C0 74 17 8B C3 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 93 F4 00 00 00 EB 3D 8B 5E 24 85 DB 74 34 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 29 0F B6 55 FF 8B CF 8B C6 8B 18 FF 93 F4 00 00 00 84 C0 75 17 0F B6 55 FF B9 ?? ?? ?? ?? 8B C6 8B 18 FF 93 F4 00 00 00 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86036_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 152
		refs = "0041 TSeStyleSource.GetCount 0062 TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 8B 5D 08 85 DB 74 22 8B C3 8B 10 FF 52 40 85 C0 74 17 8B C3 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 93 0C 01 00 00 EB 3D 8B 5E 24 85 DB 74 34 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 29 0F B6 55 FF 8B CF 8B C6 8B 18 FF 93 0C 01 00 00 84 C0 75 17 0F B6 55 FF B9 ?? ?? ?? ?? 8B C6 8B 18 FF 93 0C 01 00 00 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86037_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 152
		refs = "0041 TSeStyleSource.GetCount 0062 TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 8B 5D 08 85 DB 74 22 8B C3 8B 10 FF 52 40 85 C0 74 17 8B C3 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 93 24 01 00 00 EB 3D 8B 5E 24 85 DB 74 34 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 29 0F B6 55 FF 8B CF 8B C6 8B 18 FF 93 24 01 00 00 84 C0 75 17 0F B6 55 FF B9 ?? ?? ?? ?? 8B C6 8B 18 FF 93 24 01 00 00 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86038_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 152
		refs = "0041 TSeStyleSource.GetCount 0062 TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 8B 5D 08 85 DB 74 22 8B C3 8B 10 FF 52 40 85 C0 74 17 8B C3 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 93 40 01 00 00 EB 3D 8B 5E 24 85 DB 74 34 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 29 0F B6 55 FF 8B CF 8B C6 8B 18 FF 93 40 01 00 00 84 C0 75 17 0F B6 55 FF B9 ?? ?? ?? ?? 8B C6 8B 18 FF 93 40 01 00 00 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86039_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 152
		refs = "0041 TSeStyleSource.GetCount 0062 TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 8B 5D 08 85 DB 74 22 8B C3 8B 10 FF 52 40 85 C0 74 17 8B C3 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 93 54 01 00 00 EB 3D 8B 5E 24 85 DB 74 34 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 29 0F B6 55 FF 8B CF 8B C6 8B 18 FF 93 54 01 00 00 84 C0 75 17 0F B6 55 FF B9 ?? ?? ?? ?? 8B C6 8B 18 FF 93 54 01 00 00 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86040_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 152
		refs = "0041 TSeStyleSource.GetCount 0062 TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 8B 5D 08 85 DB 74 22 8B C3 8B 10 FF 52 40 85 C0 74 17 8B C3 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 93 68 01 00 00 EB 3D 8B 5E 24 85 DB 74 34 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 29 0F B6 55 FF 8B CF 8B C6 8B 18 FF 93 68 01 00 00 84 C0 75 17 0F B6 55 FF B9 ?? ?? ?? ?? 8B C6 8B 18 FF 93 68 01 00 00 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86041_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 152
		refs = "0041 TSeStyleSource.GetCount 0062 TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 8B 5D 08 85 DB 74 22 8B C3 8B 10 FF 52 40 85 C0 74 17 8B C3 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 93 88 01 00 00 EB 3D 8B 5E 24 85 DB 74 34 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 29 0F B6 55 FF 8B CF 8B C6 8B 18 FF 93 88 01 00 00 84 C0 75 17 0F B6 55 FF B9 ?? ?? ?? ?? 8B C6 8B 18 FF 93 88 01 00 00 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86042_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 152
		refs = "0041 TSeStyleSource.GetCount 0062 TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 8B 5D 08 85 DB 74 22 8B C3 8B 10 FF 52 40 85 C0 74 17 8B C3 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 93 B0 01 00 00 EB 3D 8B 5E 24 85 DB 74 34 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 29 0F B6 55 FF 8B CF 8B C6 8B 18 FF 93 B0 01 00 00 84 C0 75 17 0F B6 55 FF B9 ?? ?? ?? ?? 8B C6 8B 18 FF 93 B0 01 00 00 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86043_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 152
		refs = "0041 TSeStyleSource.GetCount 0062 TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B D8 8B 75 08 85 F6 74 22 8B C6 8B 10 FF 52 40 85 C0 74 17 8B C6 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 93 D4 01 00 00 EB 3D 8B 73 24 85 F6 74 34 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 29 0F B6 55 FF 8B CF 8B C3 8B 30 FF 96 D4 01 00 00 84 C0 75 17 0F B6 55 FF B9 ?? ?? ?? ?? 8B C3 8B 18 FF 93 D4 01 00 00 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86044_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 152
		refs = "0041 TSeStyleSource.GetCount 0062 TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 8B 5D 08 85 DB 74 22 8B C3 8B 10 FF 52 40 85 C0 74 17 8B C3 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 93 F4 01 00 00 EB 3D 8B 5E 24 85 DB 74 34 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 29 0F B6 55 FF 8B CF 8B C6 8B 18 FF 93 F4 01 00 00 84 C0 75 17 0F B6 55 FF B9 ?? ?? ?? ?? 8B C6 8B 18 FF 93 F4 01 00 00 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86045_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 152
		refs = "0041 TSeStyleSource.GetCount 0062 TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 8B 5D 08 85 DB 74 22 8B C3 8B 10 FF 52 40 85 C0 74 17 8B C3 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 93 14 02 00 00 EB 3D 8B 5E 24 85 DB 74 34 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 29 0F B6 55 FF 8B CF 8B C6 8B 18 FF 93 14 02 00 00 84 C0 75 17 0F B6 55 FF B9 ?? ?? ?? ?? 8B C6 8B 18 FF 93 14 02 00 00 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86046_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 152
		refs = "0041 TSeStyleSource.GetCount 0062 TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 8B 5D 08 85 DB 74 22 8B C3 8B 10 FF 52 40 85 C0 74 17 8B C3 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 93 34 02 00 00 EB 3D 8B 5E 24 85 DB 74 34 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 29 0F B6 55 FF 8B CF 8B C6 8B 18 FF 93 34 02 00 00 84 C0 75 17 0F B6 55 FF B9 ?? ?? ?? ?? 8B C6 8B 18 FF 93 34 02 00 00 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86047_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 152
		refs = "0041 TSeStyleSource.GetCount 0062 TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 8B 5D 08 85 DB 74 22 8B C3 8B 10 FF 52 40 85 C0 74 17 8B C3 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 93 50 02 00 00 EB 3D 8B 5E 24 85 DB 74 34 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 29 0F B6 55 FF 8B CF 8B C6 8B 18 FF 93 50 02 00 00 84 C0 75 17 0F B6 55 FF B9 ?? ?? ?? ?? 8B C6 8B 18 FF 93 50 02 00 00 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86048_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 152
		refs = "0041 TSeStyleSource.GetCount 0062 TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B F0 8B 5D 08 85 DB 74 22 8B C3 8B 10 FF 52 40 85 C0 74 17 8B C3 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 93 A4 01 00 00 EB 3D 8B 5E 24 85 DB 74 34 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 29 0F B6 55 FF 8B CF 8B C6 8B 18 FF 93 A4 01 00 00 84 C0 75 17 0F B6 55 FF B9 ?? ?? ?? ?? 8B C6 8B 18 FF 93 A4 01 00 00 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86049_0 {
	meta:
		name = "TSeStyle.IsObjectDefined"
		size = 152
		refs = "0041 TSeStyleSource.GetCount 0062 TSeStyle.IsObjectDefined"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B D8 8B 75 08 85 F6 74 22 8B C6 8B 10 FF 52 40 85 C0 74 17 8B C6 8B 10 FF 52 40 0F B6 55 FF 8B CF 8B 18 FF 93 C8 01 00 00 EB 3D 8B 73 24 85 F6 74 34 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 29 0F B6 55 FF 8B CF 8B C3 8B 30 FF 96 C8 01 00 00 84 C0 75 17 0F B6 55 FF B9 ?? ?? ?? ?? 8B C3 8B 18 FF 93 C8 01 00 00 EB 02 33 C0 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86051_0 {
	meta:
		name = "FinalizeStyleAPI"
		size = 53
		refs = "0001 FreeDrawBackgroundFuncList 0006 RegObjects 000b TObject.Free 0010 ReleaseObjectStore 0015 ReleasePropStore 001b ConvertBitmap"
	strings:
		$1 = { E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86052_0 {
	meta:
		name = "GetFontFromDC"
		size = 95
		refs = "000e _Dn_TGDIHandleRecall 0013 TGDIHandleRecall.Create 0020 TFont.GetHandle 0027 SelectObject 0037 @FillChar 0040 GetObject 0046 CreateFontIndirect 0053 TFont.SetHandle"
	strings:
		$1 = { 53 56 83 C4 A4 8B F0 6A 06 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 43 04 8B 40 40 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B F0 8B C4 33 C9 BA 5C 00 00 00 E8 ?? ?? ?? ?? 54 6A 5C 56 E8 ?? ?? ?? ?? 54 E8 ?? ?? ?? ?? 8B D0 8B 43 04 8B 40 40 E8 ?? ?? ?? ?? 8B C3 83 C4 5C 5E 5B C3 }
	condition:
		$1
}

rule function_86053_0 {
	meta:
		name = "GetElementObject"
		size = 50
		refs = "0019 TSeStyleSource.GetObjectByName 0028 TSeStyleObject.FindObjectByName"
	strings:
		$1 = { 56 8B F1 33 C9 8B 80 B8 00 00 00 85 C0 74 1F 83 78 24 00 74 19 8B 40 24 E8 ?? ?? ?? ?? 8B C8 85 C9 74 0B 8B D6 8B C1 E8 ?? ?? ?? ?? 8B C8 8B C1 5E C3 }
	condition:
		$1
}

rule function_86054_0 {
	meta:
		name = "DrawButtonElement"
		size = 177
		refs = "0017 GetElementObject 002b TSeStyleObject.SetBoundsRect 0042 _Dn_TGDIHandleRecall 0047 TGDIHandleRecall.Create 0052 DrawButtonElement 0077 NullRect 0099 TObject.Free 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 89 55 FC 33 DB 8B 4D 0C 8B 55 10 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 82 00 00 00 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 0F B6 55 08 8B C6 8B 08 FF 51 48 6A 06 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 14 00 74 14 8B 45 14 8B C8 8B 45 F4 8B 50 04 8B C6 8B 18 FF 53 50 EB 12 B9 ?? ?? ?? ?? 8B 45 F4 8B 50 04 8B C6 8B 18 FF 53 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 B3 01 8B C3 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_86055_0 {
	meta:
		name = "DrawBitmapElement"
		size = 162
		refs = "0017 GetElementObject 0027 TSeStyleObject.SetBoundsRect 0033 _Dn_TGDIHandleRecall 0038 TGDIHandleRecall.Create 0043 DrawBitmapElement 0068 NullRect 008a TObject.Free 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 89 55 FC 33 DB 8B 4D 08 8B 55 0C E8 ?? ?? ?? ?? 8B F0 85 F6 74 77 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 6A 06 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 10 00 74 14 8B 45 10 8B C8 8B 45 F4 8B 50 04 8B C6 8B 18 FF 53 50 EB 12 B9 ?? ?? ?? ?? 8B 45 F4 8B 50 04 8B C6 8B 18 FF 53 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 B3 01 8B C3 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_86056_0 {
	meta:
		name = "TCustomStyle.Create"
		size = 216
		refs = "000a @ClassCreate 0017 TCustomStyleServices.Create 001e _DV_TSeStyle 0023 TSeStyle.Create 002e _DV_TCustomStyleListViewElements 0036 _DV_TCustomStyleMenuElements 003e _DV_TCustomStyleToolBarElements 0046 _DV_TCustomStyleTreeViewElements 0051 _DV_TCustomStyleCategoryButtonElements 005c _DV_TCustomStyleCategoryPanelGroupElements 0067 _DV_TCustomStyleControlBarElements 0072 _Dn_TUxThemeCheckListBoxElements 007d _DV_TCustomStyleDataNavButtonElements 0088 _DV_TCustomStyleGridElements 0093 _DV_TCustomStyleHintElements 009e _DV_TCustomStylePanelElements 00a9 _DV_TCustomStyleTabSetElements 00b4 _DV_TCustomStyleTextLabelElements 00c5 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B8 00 00 00 A1 ?? ?? ?? ?? 89 46 34 A1 ?? ?? ?? ?? 89 46 38 A1 ?? ?? ?? ?? 89 46 78 A1 ?? ?? ?? ?? 89 86 88 00 00 00 A1 ?? ?? ?? ?? 89 86 90 00 00 00 A1 ?? ?? ?? ?? 89 86 94 00 00 00 A1 ?? ?? ?? ?? 89 86 9C 00 00 00 A1 ?? ?? ?? ?? 89 86 98 00 00 00 A1 ?? ?? ?? ?? 89 86 A0 00 00 00 A1 ?? ?? ?? ?? 89 86 A4 00 00 00 A1 ?? ?? ?? ?? 89 86 A8 00 00 00 A1 ?? ?? ?? ?? 89 86 AC 00 00 00 A1 ?? ?? ?? ?? 89 86 B0 00 00 00 A1 ?? ?? ?? ?? 89 86 B4 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_86061_0 {
	meta:
		name = "TCustomStyle.GetFlags"
		size = 12
		refs = "0003 TCustomStyle.GetFlags"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 01 00 00 00 }
	condition:
		$1
}

rule function_98046_0 {
	meta:
		name = "TCustomAdapterGrid.GetAdapterDisplayCharacteristics"
		size = 12
		refs = "0003 TCustomAdapterGrid.GetAdapterDisplayCharacteristics"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 01 00 00 00 }
	condition:
		$1
}

rule function_89152_0 {
	meta:
		name = "TMouseGestureEngine.GetFlags"
		size = 12
		refs = "0003 TMouseGestureEngine.GetFlags"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 01 00 00 00 }
	condition:
		$1
}

rule function_111879_0 {
	meta:
		name = "TXmlAttributeSignal.Scope"
		size = 12
		refs = "0003 TXmlAttributeSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 01 00 00 00 }
	condition:
		$1
}

rule function_111882_0 {
	meta:
		name = "TXmlCDATASignal.Scope"
		size = 12
		refs = "0003 TXmlCDATASignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 01 00 00 00 }
	condition:
		$1
}

rule function_111885_0 {
	meta:
		name = "TXmlDoctypeSignal.Scope"
		size = 12
		refs = "0003 TXmlDoctypeSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 01 00 00 00 }
	condition:
		$1
}

rule function_111888_0 {
	meta:
		name = "TXmlEndElementSignal.Scope"
		size = 12
		refs = "0003 TXmlEndElementSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 01 00 00 00 }
	condition:
		$1
}

rule function_111891_0 {
	meta:
		name = "TXmlEndPrefixMappingSignal.Scope"
		size = 12
		refs = "0003 TXmlEndPrefixMappingSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 01 00 00 00 }
	condition:
		$1
}

rule function_111894_0 {
	meta:
		name = "TXmlEntityRefSignal.Scope"
		size = 12
		refs = "0003 TXmlEntityRefSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 01 00 00 00 }
	condition:
		$1
}

rule function_111901_0 {
	meta:
		name = "TXmlPCDATASignal.Scope"
		size = 12
		refs = "0003 TXmlPCDATASignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 01 00 00 00 }
	condition:
		$1
}

rule function_111903_0 {
	meta:
		name = "TXmlSkippedEntitySignal.Scope"
		size = 12
		refs = "0003 TXmlSkippedEntitySignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 01 00 00 00 }
	condition:
		$1
}

rule function_111909_0 {
	meta:
		name = "TXmlStartDocumentFragmentSignal.Scope"
		size = 12
		refs = "0003 TXmlStartDocumentFragmentSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 01 00 00 00 }
	condition:
		$1
}

rule function_111906_0 {
	meta:
		name = "TXmlStartDocumentSignal.Scope"
		size = 12
		refs = "0003 TXmlStartDocumentSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 01 00 00 00 }
	condition:
		$1
}

rule function_111897_0 {
	meta:
		name = "TXmlStartElementSignal.Scope"
		size = 12
		refs = "0003 TXmlStartElementSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 01 00 00 00 }
	condition:
		$1
}

rule function_111912_0 {
	meta:
		name = "TXmlStartPrefixMappingSignal.Scope"
		size = 12
		refs = "0003 TXmlStartPrefixMappingSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 01 00 00 00 }
	condition:
		$1
}

rule function_86062_0 {
	meta:
		name = "TCustomStyle.DoHasTransparentParts"
		size = 70
	strings:
		$1 = { 56 57 83 C4 F4 8B F2 8D 3C 24 A5 A5 A5 0F B6 0C 24 0F B6 D1 8B 54 90 10 85 D2 74 0F 8B 4C 24 08 51 8B 4C 24 08 92 FF 50 28 EB 15 80 E9 01 72 0A 80 E9 0E 74 05 80 E9 02 75 04 B0 01 EB 02 33 C0 83 C4 0C 5F 5E C3 }
	condition:
		$1
}

rule function_86063_0 {
	meta:
		name = "TCustomStyle.DoIsValidStyle"
		size = 313
		refs = "0022 TCustomStyle.DoIsValidStyle 003f StyleFileSign 0049 @AStrCmp 0068 _Dn_TZDecompressionStream 006d TZDecompressionStream.Create 0089 ReadString 0093 @UStrAsg 0100 TObject.Free 0106 @HandleFinally 0122 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 89 5D DC 89 5D E0 89 5D E4 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EB B9 0D 00 00 00 8B C6 8B 38 FF 57 0C 8D 45 EB BA ?? ?? ?? ?? B9 0D 00 00 00 E8 ?? ?? ?? ?? 0F 94 45 FF 80 7D FF 00 0F 84 B1 00 00 00 85 DB 0F 84 A9 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E0 8D 43 10 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 DC 8D 43 04 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D8 8D 43 08 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D4 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86064_0 {
	meta:
		name = "TCustomStyle.DoGetElementSize"
		size = 1204
		refs = "0024 TSize.Create 007f TRect.Create 00ac Rect 00b3 TCustomStyle.SourceLoaded 0135 TCustomStyle.DoGetElementSize 0141 GetElementObject 014b _DV_TSeButtonObject 0150 @IsClass 0260 TRect.GetSize 0275 TStyleManager.GetSystemStyle 029a TCustomStyleServices.GetElementSize"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 8B F1 8D 7D EC A5 A5 A5 89 55 FC 8B D8 8B 75 08 8B 7D 10 8D 45 B4 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 45 B4 89 06 8B 45 B8 89 46 04 0F B6 45 EC 8B 44 83 10 85 C0 74 1F 8B 55 F0 52 8B 55 F4 52 57 0F B6 55 0C 52 56 8B 4D FC 8B D3 FF 50 20 88 45 FB E9 B8 03 00 00 C6 45 FB 00 85 FF 74 0D 56 8B F7 8D 7D CC A5 A5 A5 A5 5E EB 1C 6A 00 6A 00 8D 45 BC 33 C9 33 D2 E8 ?? ?? ?? ?? 56 8D 75 BC 8D 7D CC A5 A5 A5 A5 5E 8B 45 F0 83 F8 4D 7C 19 83 F8 58 7F 14 6A 64 8D 45 CC 50 B9 64 00 00 00 33 D2 33 C0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 57 03 00 00 8B 45 F0 83 F8 54 7F 29 0F 84 43 02 00 00 83 E8 03 74 41 83 E8 4A 0F 84 DD 01 00 00 48 0F 84 8C 02 00 00 83 E8 05 0F 84 F9 01 00 00 E9 26 03 00 00 83 E8 55 0F 84 46 02 00 00 48 0F 84 97 02 00 00 48 0F 84 B9 02 00 00 48 0F 84 DE 02 00 00 E9 03 03 00 00 33 FF 0F B6 45 F4 2C 04 0F 82 80 00 00 00 48 2C 04 72 0E 48 2C 04 0F 82 CE 00 00 00 E9 21 01 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 F9 00 00 00 0F B6 45 F4 2C 05 74 11 FE C8 74 18 FE C8 74 1F FE C8 74 26 E9 E0 00 00 00 8B BB AC 00 00 00 E9 D5 00 00 00 8B BB B8 00 00 00 E9 CA 00 00 00 8B BB BC 00 00 00 E9 BF 00 00 00 8B BB C0 00 00 00 E9 B4 00 00 00 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 8C 00 00 00 0F B6 45 F4 2C 01 72 0C 74 12 FE C8 74 16 FE C8 74 1A EB 78 8B BB AC 00 00 00 EB 70 8B BB B8 00 00 00 EB 68 8B BB BC 00 00 00 EB 60 8B BB C0 00 00 00 EB 58 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 0F B6 45 F4 2C 0A 74 0E FE C8 74 12 FE C8 74 16 FE C8 74 1A EB 1E 8B BB AC 00 00 00 EB 16 8B BB B8 00 00 00 EB 0E 8B BB BC 00 00 00 EB 06 8B BB C0 00 00 00 85 FF 74 1B 8D 55 B4 8D 47 08 E8 ?? ?? ?? ?? 8B 45 B4 89 06 8B 45 B8 89 46 04 E9 A2 01 00 00 E8 ?? ?? ?? ?? 8B D8 8D 45 CC 50 0F B6 45 0C 50 56 8D 4D A8 B2 14 8B C3 8B 38 FF 57 58 8D 4D A8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 70 01 00 00 C7 06 0D 00 00 00 C7 46 04 0D 00 00 00 E9 5E 01 00 00 68 ?? ?? ?? ?? 8D 45 DC 50 8D 4D CC 33 D2 8B 83 B8 00 00 00 8B 18 FF 53 4C 33 C0 89 06 8B 45 E0 89 46 04 C6 45 FB 01 E9 32 01 00 00 68 ?? ?? ?? ?? 8D 45 DC 50 8D 4D CC 33 D2 8B 83 B8 00 00 00 8B 18 FF 53 4C 8B 45 DC 89 06 33 C0 89 46 04 C6 45 FB 01 E9 06 01 00 00 68 ?? ?? ?? ?? 8D 45 DC 50 8D 4D CC 33 D2 8B 83 B8 00 00 00 8B 18 FF 53 4C 8B 45 D4 2B 45 E4 89 06 33 C0 89 46 04 C6 45 FB 01 E9 D7 00 00 00 68 ?? ?? ?? ?? 8D 45 DC 50 8D 4D CC 33 D2 8B 83 B8 00 00 00 8B 18 FF 53 4C 33 C0 89 06 8B 45 D8 2B 45 E8 89 46 04 C6 45 FB 01 E9 A8 00 00 00 68 ?? ?? ?? ?? 8D 45 DC 50 8D 4D CC B2 06 8B 83 B8 00 00 00 8B 18 FF 53 4C 33 C0 89 06 8B 45 E0 89 46 04 C6 45 FB 01 EB 7F 68 ?? ?? ?? ?? 8D 45 DC 50 8D 4D CC B2 06 8B 83 B8 00 00 00 8B 18 FF 53 4C 8B 45 DC 89 06 33 C0 89 46 04 C6 45 FB 01 EB 56 68 ?? ?? ?? ?? 8D 45 DC 50 8D 4D CC B2 06 8B 83 B8 00 00 00 8B 18 FF 53 4C 8B 45 D4 2B 45 E4 89 06 33 C0 89 46 04 C6 45 FB 01 EB 2A 68 ?? ?? ?? ?? 8D 45 DC 50 8D 4D CC B2 06 8B 83 B8 00 00 00 8B 18 FF 53 4C 33 C0 89 06 8B 45 D8 2B 45 E8 89 46 04 C6 45 FB 01 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 6E 00 63 00 68 00 65 00 63 00 6B 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 43 00 68 00 65 00 63 00 6B 00 42 00 6F 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 68 00 65 00 63 00 6B 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 69 00 78 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86065_0 {
	meta:
		name = "TCustomStyle.DoGetStyleColor"
		size = 655
		refs = "000f TCustomStyle.DoGetStyleColor 0097 TSeStyleColors.GetColor"
	strings:
		$1 = { 83 E2 7F 83 FA 1D 0F 87 7D 02 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 80 B8 00 00 00 8B 40 04 33 D2 E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 09 E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 08 E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 06 E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 05 E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 07 E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 01 E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 18 E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 19 E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 02 E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 03 E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 04 E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 0A E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 0B E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 0C E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 1C E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 0E E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 0D E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 0F E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 1D E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 10 E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 11 E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 12 E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 13 E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 14 E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 17 E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 1A E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 1B E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 15 E8 ?? ?? ?? ?? C3 8B 80 B8 00 00 00 8B 40 04 B2 16 E8 ?? ?? ?? ?? C3 B8 FF FF FF 1F C3 }
	condition:
		$1
}

rule function_86066_0 {
	meta:
		name = "TCustomStyle.DoGetStyleFontColor"
		size = 2154
		refs = "0012 TCustomStyle.DoGetStyleFontColor 0176 TSeStyleFonts.GetFont"
	strings:
		$1 = { 53 8B D8 0F B6 C2 83 F8 54 0F 87 54 08 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 83 B8 00 00 00 8B 40 08 B2 0E E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 0D E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 0C E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 0A E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 0B E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 01 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 33 D2 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 48 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 47 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 45 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 46 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 43 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 42 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 44 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 13 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 12 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 11 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 0F E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 10 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 4C E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 4A E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 4B E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 49 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 4D E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 20 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 1E E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 1F E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 1D E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 21 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 51 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 50 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 52 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 4E E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 4F E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 1A E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 19 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 30 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 2E E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 2A E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 2B E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 3D E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 3C E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 3A E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 39 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 3B E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 25 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 24 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 22 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 23 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 09 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 08 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 41 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 40 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 3E E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 3F E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 18 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 17 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 16 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 14 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 15 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 03 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 02 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 32 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 31 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 38 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 37 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 36 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 35 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 34 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 33 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 07 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 06 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 05 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 04 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 29 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 28 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 26 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 27 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 57 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 56 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 54 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 53 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 55 E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 1C E8 ?? ?? ?? ?? 8B 40 18 5B C3 8B 83 B8 00 00 00 8B 40 08 B2 1B E8 ?? ?? ?? ?? 8B 40 18 5B C3 B8 FF FF FF 1F 5B C3 }
	condition:
		$1
}

rule function_86067_0 {
	meta:
		name = "TCustomStyle.DoGetSystemColor"
		size = 30
		refs = "000f TSeStyleSysColors.GetColor"
	strings:
		$1 = { 53 8B DA 8B 80 B8 00 00 00 8B 40 14 8B D3 E8 ?? ?? ?? ?? 3D FF FF FF 1F 75 02 8B C3 5B C3 }
	condition:
		$1
}

rule function_86068_0 {
	meta:
		name = "TCustomStyle.DoGetElementMargins"
		size = 88
		refs = "0022 @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8D 7D F4 A5 A5 A5 8B FA 8B D8 8B 75 08 8B C6 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 0F B6 45 F4 8B 44 83 10 85 C0 74 1B 8B 55 F8 52 8B 55 FC 52 8B 55 10 52 0F B6 55 0C 52 56 8B CF 8B D3 FF 50 18 EB 02 33 C0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_86069_0 {
	meta:
		name = "TCustomStyle.DoGetElementRegion"
		size = 232
		refs = "0030 TCustomStyle.DoGetElementRegion 006d CreateRectRgn"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8D 7D F4 A5 A5 A5 8B D8 33 C0 80 7D F4 1F 0F 85 A4 00 00 00 8B 55 F8 83 EA 4D 74 08 4A 74 50 E9 94 00 00 00 68 ?? ?? ?? ?? 8B 4D 0C 33 D2 8B 83 B8 00 00 00 8B 18 FF 53 44 8B 55 08 89 02 8B 45 08 83 38 00 75 25 8B 45 0C 8B 40 0C 50 8B 45 0C 8B 40 08 50 8B 45 0C 8B 40 04 50 8B 45 0C 8B 00 50 E8 ?? ?? ?? ?? 8B 55 08 89 02 B0 01 EB 49 68 ?? ?? ?? ?? 8B 4D 0C B2 06 8B 83 B8 00 00 00 8B 18 FF 53 44 8B 55 08 89 02 8B 45 08 83 38 00 75 25 8B 45 0C 8B 40 0C 50 8B 45 0C 8B 40 08 50 8B 45 0C 8B 40 04 50 8B 45 0C 8B 00 50 E8 ?? ?? ?? ?? 8B 55 08 89 02 B0 01 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86070_0 {
	meta:
		name = "TCustomStyle.DoColorToRGB"
		size = 41
		refs = "0009 TCustomStyle.SourceLoaded 001d TSeStyleSysColors.GetColor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 8B 83 B8 00 00 00 8B 40 14 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_86071_0 {
	meta:
		name = "TCustomStyle.DoDrawEdge"
		size = 134
		refs = "0062 DrawStyleEdge"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D F0 A5 A5 A5 8B 5D 08 0F B6 4D F0 8B 74 88 10 85 F6 74 22 8B 4D F4 51 8B 4D F8 51 8B 4D 14 51 0F B6 4D 10 51 8B 4D 0C 51 53 8B CE 91 87 D1 FF 10 88 45 FF EB 37 C6 45 FF 01 8B 45 14 8B F0 8D 7D E0 A5 A5 A5 A5 85 DB 74 12 8B 45 0C 50 8B C3 0F B6 4D 10 92 E8 ?? ?? ?? ?? EB 11 8B 45 0C 50 8D 45 E0 0F B6 4D 10 92 E8 ?? ?? ?? ?? 0F B6 45 FF 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_86072_0 {
	meta:
		name = "TCustomStyle.DoDrawElement"
		size = 7580
		refs = "001d TSeWindowInfo 0022 @InitializeRecord 002a TCustomStyle.DoDrawElement 003b TCustomStyle.SourceLoaded 0079 _Dn_TGDIHandleRecall 007e TGDIHandleRecall.Create 012c ButtonInfo 015d CheckInfo 01c3 NullRect 01c8 GroupInfo 020a TCanvas.GetHandle 0216 DrawButtonElement 023f EditInfo 02d9 _Dn_TBitmap 02de TBitmap.Create 0316 TBitmap.GetCanvas 0326 TCustomStyleServices.ColorToRGB 0330 TBrush.SetColor 0353 Rect 0398 EditButtonInfo 03e3 TObject.Free 03e9 @HandleFinally 043d HeaderInfo 0472 HeaderSectionInfo 0550 TabInfo 05b0 TabItemInfo 076d TrackBarInfo 07d3 TrackThumbInfo 092b ProgressInfo 09ff StatusInfo 0a2d StatusPanelInfo 0b23 ScrollButtonInfo 0e57 ScrollAreaInfo 0f26 WindowGripperInfo 102d DockInfo 1062 ToolItemInfo 10c4 ToolInfo 1167 @UStrClr 119f MenuItemInfo 11bc @TryFinallyExit 1297 WindowButtonInfo 15d2 TRect.GetHeight 15db TRect.GetWidth 177e MoveWindowOrg 193b TSeStyle.IsObjectDefined 1b6e TCanvas.SetHandle 1cfe @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 81 C4 38 FF FF FF 53 56 57 8B F1 8D 7D B8 A5 A5 A5 8B F2 8B D8 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 D3 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A0 1C 00 00 0F B6 45 B8 8B 44 83 10 85 C0 74 1F 8B 55 BC 52 8B 55 C0 52 8B 55 0C 52 8B 55 08 52 8B CE 8B D3 FF 50 04 88 45 D3 E9 75 1C 00 00 6A 06 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 C4 8B 40 04 89 45 C8 8B B3 B8 00 00 00 0F B6 45 B8 83 F8 1F 0F 87 1B 1C 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 00 03 00 02 00 00 04 00 00 00 00 00 00 06 08 0C 0A 0B 00 09 05 00 00 00 00 00 00 07 00 00 0D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C6 45 D3 01 8B 45 BC 83 F8 01 75 2C 0F B6 55 C0 8D 4D 84 8B 45 0C E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 A4 00 00 00 E9 7D 1B 00 00 83 F8 03 75 2C 0F B6 55 C0 8D 4D 84 8B 45 0C E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 B8 00 00 00 E9 4C 1B 00 00 83 F8 02 75 2C 0F B6 55 C0 8D 4D 84 8B 45 0C E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 B2 01 8B C6 8B 18 FF 93 B8 00 00 00 E9 1B 1B 00 00 83 F8 04 75 38 8D 85 60 FF FF FF 50 0F B6 4D C0 8B 45 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 60 01 00 00 E9 DE 1A 00 00 3D DA 00 00 00 75 2C 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 0F B6 45 C0 50 8B 45 C8 E8 ?? ?? ?? ?? 8B D0 8B 4D 0C 8B C3 E8 ?? ?? ?? ?? E9 AB 1A 00 00 C6 45 D3 00 E9 A2 1A 00 00 C6 45 D3 01 8B 45 BC 83 F8 0B 75 2C 0F B6 55 C0 8D 4D 84 8B 45 0C E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 4C 01 00 00 E9 6A 1A 00 00 83 F8 0C 75 2A 8D 4D 84 8B 45 0C 33 D2 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 4C 01 00 00 E9 3B 1A 00 00 85 C0 75 2A 8D 4D 84 8B 45 0C 33 D2 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 4C 01 00 00 E9 0D 1A 00 00 C6 45 D3 00 E9 04 1A 00 00 C6 45 D3 01 8B 45 BC 83 F8 05 0F 85 19 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 0C 8B 49 0C 8B 45 0C 2B 48 04 8B 55 0C 8B 52 08 8B 45 0C 2B 10 8B 45 CC 8B 38 FF 57 6C 8B 45 CC E8 ?? ?? ?? ?? 8B F8 33 C9 BA 05 00 00 FF 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 47 48 E8 ?? ?? ?? ?? 8B 45 CC 8B 10 FF 52 24 50 8D 85 50 FF FF FF 50 8B 45 CC 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 95 50 FF FF FF 8B C7 8B 08 FF 51 54 8D 45 84 50 8B 45 CC 8B 10 FF 52 24 50 8D 85 50 FF FF FF 50 8B 45 CC 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 0F B6 55 C0 33 C9 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 8B 18 FF 93 50 01 00 00 8B 45 CC 50 8B 4D 0C 8B 49 04 8B 55 0C 8B 12 8B 45 C8 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 F8 0B 75 2C 0F B6 55 C0 8D 4D 84 8B 45 0C E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 4C 01 00 00 E9 AA 18 00 00 C6 45 D3 00 E9 A1 18 00 00 C6 45 D3 01 83 7D BC 00 75 29 8D 95 50 FF FF FF 8B 45 0C E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 14 01 00 00 8B 45 BC 83 F8 0D 75 2F 8D 45 84 50 0F B6 4D C0 8B 45 0C B2 01 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 18 01 00 00 E9 37 18 00 00 83 F8 0E 75 2F 8D 45 84 50 0F B6 4D C0 8B 45 0C 33 D2 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 18 01 00 00 E9 03 18 00 00 83 F8 0F 75 2F 8D 45 84 50 0F B6 4D C0 8B 45 0C B2 02 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 18 01 00 00 E9 CF 17 00 00 C6 45 D3 00 E9 C6 17 00 00 C6 45 D3 01 8B 45 BC 83 C0 D9 83 F8 09 0F 87 03 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 95 50 FF FF FF 8B 45 0C E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 00 02 00 00 E9 56 17 00 00 8D 95 50 FF FF FF 8B 45 0C E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 00 02 00 00 E9 28 17 00 00 8D 45 84 50 0F B6 4D C0 8B 45 0C B2 03 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 04 02 00 00 E9 F9 16 00 00 8D 45 84 50 0F B6 4D C0 8B 45 0C B2 04 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 04 02 00 00 E9 CA 16 00 00 8D 45 84 50 0F B6 4D C0 8B 45 0C B2 06 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 04 02 00 00 E9 9B 16 00 00 8D 45 84 50 0F B6 4D C0 8B 45 0C B2 07 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 04 02 00 00 E9 6C 16 00 00 8D 45 84 50 0F B6 4D C0 8B 45 0C 33 D2 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 04 02 00 00 E9 3D 16 00 00 8D 45 84 50 0F B6 4D C0 8B 45 0C B2 01 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 04 02 00 00 E9 0E 16 00 00 8D 45 84 50 0F B6 4D C0 8B 45 0C B2 09 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 04 02 00 00 E9 DF 15 00 00 8D 45 84 50 0F B6 4D C0 8B 45 0C B2 0A E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 04 02 00 00 E9 B0 15 00 00 C6 45 D3 00 E9 A7 15 00 00 8D 95 50 FF FF FF 8B 45 0C E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 00 02 00 00 C6 45 D3 01 E9 75 15 00 00 C6 45 D3 01 8B 45 BC 83 F8 35 75 2D 8D 45 84 50 8B 45 0C 33 C9 B2 01 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 00 01 00 00 E9 3C 15 00 00 83 F8 36 75 2D 8D 45 84 50 8B 45 0C 33 C9 33 D2 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 00 01 00 00 E9 0A 15 00 00 83 F8 37 75 2F 8D 45 84 50 0F B6 4D C0 8B 45 0C B2 03 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 04 01 00 00 E9 D6 14 00 00 83 F8 3A 75 2F 8D 45 84 50 0F B6 4D C0 8B 45 0C 33 D2 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 04 01 00 00 E9 A2 14 00 00 83 F8 38 75 2F 8D 45 84 50 0F B6 4D C0 8B 45 0C B2 04 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 04 01 00 00 E9 6E 14 00 00 83 F8 39 75 2F 8D 45 84 50 0F B6 4D C0 8B 45 0C B2 05 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 04 01 00 00 E9 3A 14 00 00 83 F8 3B 75 2F 8D 45 84 50 0F B6 4D C0 8B 45 0C B2 02 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 04 01 00 00 E9 06 14 00 00 83 F8 3C 75 2F 8D 45 84 50 0F B6 4D C0 8B 45 0C B2 01 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 04 01 00 00 E9 D2 13 00 00 83 F8 3D 0F 84 C9 13 00 00 83 F8 3E 0F 84 C0 13 00 00 C6 45 D3 00 E9 B7 13 00 00 C6 45 D3 01 8B 45 BC 83 F8 31 75 2D 8D 45 84 50 8B 45 0C 33 C9 B2 01 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 F0 00 00 00 E9 7E 13 00 00 83 F8 32 75 2D 8D 45 84 50 8B 45 0C 33 C9 33 D2 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 F0 00 00 00 E9 4C 13 00 00 83 F8 33 75 2D 8D 45 84 50 8B 45 0C 33 C9 B2 03 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 F0 00 00 00 E9 1A 13 00 00 83 F8 34 75 2D 8D 45 84 50 8B 45 0C 33 C9 B2 02 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 F0 00 00 00 E9 E8 12 00 00 C6 45 D3 00 E9 DF 12 00 00 C6 45 D3 01 83 7D BC 00 75 29 8D 95 50 FF FF FF 8B 45 0C E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 30 01 00 00 83 7D BC 16 75 25 8D 4D 84 8B 45 0C 33 D2 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 34 01 00 00 83 7D BC 17 75 25 8D 4D 84 8B 45 0C B2 02 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 34 01 00 00 83 7D BC 18 75 2A 8D 4D 84 8B 45 0C B2 03 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 34 01 00 00 E9 26 12 00 00 C6 45 D3 00 E9 1D 12 00 00 C6 45 D3 01 8B 45 BC 85 C0 83 F8 1D 0F 85 1A 03 00 00 8B 45 C0 05 37 FF FF FF 83 F8 0F 0F 87 09 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 84 50 8B 45 0C 33 C9 33 D2 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 DC 00 00 00 E9 95 02 00 00 8D 45 84 50 8B 45 0C 33 C9 B2 02 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 DC 00 00 00 E9 68 02 00 00 8D 45 84 50 8B 45 0C 33 C9 B2 01 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 DC 00 00 00 E9 3B 02 00 00 8D 45 84 50 8B 45 0C 33 C9 B2 03 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 DC 00 00 00 E9 0E 02 00 00 8D 45 84 50 8B 45 0C B1 01 33 D2 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 DC 00 00 00 E9 E1 01 00 00 8D 45 84 50 8B 45 0C B1 01 B2 02 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 DC 00 00 00 E9 B4 01 00 00 8D 45 84 50 8B 45 0C B1 01 B2 01 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 DC 00 00 00 E9 87 01 00 00 8D 45 84 50 8B 45 0C B1 01 B2 03 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 DC 00 00 00 E9 5A 01 00 00 8D 45 84 50 8B 45 0C B1 04 33 D2 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 DC 00 00 00 E9 2D 01 00 00 8D 45 84 50 8B 45 0C B1 04 B2 02 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 DC 00 00 00 E9 00 01 00 00 8D 45 84 50 8B 45 0C B1 04 B2 01 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 DC 00 00 00 E9 D3 00 00 00 8D 45 84 50 8B 45 0C B1 04 B2 03 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 DC 00 00 00 E9 A6 00 00 00 8D 45 84 50 8B 45 0C B1 05 33 D2 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 DC 00 00 00 EB 7C 8D 45 84 50 8B 45 0C B1 05 B2 02 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 DC 00 00 00 EB 52 8D 45 84 50 8B 45 0C B1 05 B2 01 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 DC 00 00 00 EB 28 8D 45 84 50 8B 45 0C B1 05 B2 03 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 DC 00 00 00 8B 45 BC 83 F8 1E 75 2F 8D 45 84 50 0F B6 55 C0 8B 45 0C B1 08 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 DC 00 00 00 E9 BA 0E 00 00 83 F8 1F 75 2F 8D 45 84 50 0F B6 55 C0 8B 45 0C B1 09 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 DC 00 00 00 E9 86 0E 00 00 83 F8 20 75 2F 8D 45 84 50 0F B6 55 C0 8B 45 0C B1 01 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 E0 00 00 00 E9 52 0E 00 00 83 F8 21 75 2F 8D 45 84 50 0F B6 55 C0 8B 45 0C B1 01 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 E0 00 00 00 E9 1E 0E 00 00 83 F8 22 75 2F 8D 45 84 50 0F B6 55 C0 8B 45 0C 33 C9 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 E0 00 00 00 E9 EA 0D 00 00 83 F8 23 75 2F 8D 45 84 50 0F B6 55 C0 8B 45 0C 33 C9 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 93 E0 00 00 00 E9 B6 0D 00 00 83 F8 26 0F 85 AD 0D 00 00 8D 4D 84 8B 45 0C B2 01 E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 33 D2 8B C6 8B 18 FF 53 68 E9 86 0D 00 00 C6 45 D3 01 8B 45 BC 83 F8 19 75 2C 0F B6 55 C0 8D 4D 84 8B 45 0C E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 B2 04 8B C6 8B 18 FF 93 A4 00 00 00 E9 4E 0D 00 00 83 F8 1A 75 2C 0F B6 55 C0 8D 4D 84 8B 45 0C E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 B2 05 8B C6 8B 18 FF 93 A4 00 00 00 E9 1D 0D 00 00 83 F8 1C 75 2C 0F B6 55 C0 8D 4D 84 8B 45 0C E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 B2 06 8B C6 8B 18 FF 93 A4 00 00 00 E9 EC 0C 00 00 83 F8 1B 75 2C 0F B6 55 C0 8D 4D 84 8B 45 0C E8 ?? ?? ?? ?? 8D 45 84 50 68 ?? ?? ?? ?? 8B 4D C8 B2 07 }
	condition:
		$1
}

rule function_86073_0 {
	meta:
		name = "TCustomStyle.DoDrawIcon"
		size = 150
		refs = "0047 ImageList_GetIconSize 005b ImageList_GetIcon 0079 DrawIconEx 0087 DestroyIcon"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8D 7D EC A5 A5 A5 8B FA 8B 75 0C 8B 5D 10 0F B6 55 EC 8B 54 90 10 85 D2 74 18 8B 4D F0 51 8B 4D F4 51 53 56 8B 4D 08 51 8B CF 92 FF 50 08 8B D8 EB 4E 8D 45 F8 50 8D 45 FC 50 56 E8 ?? ?? ?? ?? 85 C0 75 04 33 DB EB 38 6A 00 8B 45 08 50 56 E8 ?? ?? ?? ?? 8B F0 6A 03 6A 00 6A 00 8B 45 F8 50 8B 45 FC 50 56 8B 43 04 50 8B 03 50 57 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 8B D8 56 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_86074_0 {
	meta:
		name = "TCustomStyle.DoDrawParentBackground"
		size = 194
		refs = "0014 FindControl 001f DrawControlBackground 0056 GetParent 0062 ClientToScreen 006c ScreenToClient 0076 GetViewportOrgEx 0099 SetViewportOrgEx 00a4 SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B D9 8B F2 C6 45 FF 01 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0C 8B D3 E8 ?? ?? ?? ?? E9 8D 00 00 00 83 7D 08 00 75 18 33 C0 89 45 E4 33 C0 89 45 E8 8B 45 E4 89 45 F4 8B 45 E8 89 45 F8 EB 0E 8B 45 08 8B 10 89 55 F4 8B 50 04 89 55 F8 56 E8 ?? ?? ?? ?? 8B F8 8D 45 F4 50 56 E8 ?? ?? ?? ?? 8D 45 F4 50 57 E8 ?? ?? ?? ?? 8D 45 EC 50 53 E8 ?? ?? ?? ?? 8B 45 F4 F7 D8 03 45 EC 89 45 F4 8B 45 F8 F7 D8 03 45 F0 89 45 F8 6A 00 50 8B 45 F4 50 53 E8 ?? ?? ?? ?? 6A 00 53 6A 14 57 E8 ?? ?? ?? ?? 6A 00 8B 45 EC 50 50 53 E8 ?? ?? ?? ?? 0F B6 45 FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_86075_0 {
	meta:
		name = "TCustomStyle.DoDrawText"
		size = 245
		refs = "0029 TTextFormatFlags.&op_Implicit 003d GetFontFromDC 0048 TCustomStyle.DoDrawText 0059 TCanvas.GetHandle 0075 @UStrToPWChar 007c DrawText 0093 TObject.Free 009b @HandleFinally 00e8 TCustomStyle.InternalDrawText"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B 75 08 8D 7D CC 51 B9 08 00 00 00 F3 A5 59 8B F1 8D 7D EC A5 A5 A5 89 55 FC 8B F0 8B 45 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 F6 C7 04 74 68 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 8B F8 8B 75 14 85 F6 74 05 83 EE 04 8B 36 53 8B 45 10 50 56 8B 45 14 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 08 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? B0 01 C3 E9 ?? ?? ?? ?? EB EE 0F B6 45 EC 8B 44 86 10 85 C0 74 22 8B 55 F0 52 8B 55 F4 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8D 55 CC 52 8B 4D FC 8B D6 FF 50 0C EB 1D 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 D0 50 8D 4D EC 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_86076_0 {
	meta:
		name = "TCustomStyle.InternalDrawText"
		size = 1904
		refs = "0027 TSeWindowInfo 002c @InitializeRecord 0034 TCustomStyle.InternalDrawText 0041 TCustomStyle.SourceLoaded 005a TTextFormatFlags.&op_Implicit 0069 GetFontFromDC 008b TFont.SetColor 00e5 ButtonInfo 00fb TextInfo 012b CheckInfo 01c7 NullRect 01cc GroupInfo 022e HeaderSectionInfo 0359 TabItemInfo 05b7 StatusPanelInfo 0633 WindowInfo 06e4 TObject.Free 06ea @HandleFinally 0705 TSeTextInfo 070f @FinalizeArray 0733 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 51 B9 44 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8D 7D BC A5 A5 A5 8B F2 8B D8 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 C6 45 D3 00 E9 9E 06 00 00 C6 45 D3 00 8B 45 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 8B C6 E8 ?? ?? ?? ?? 89 45 C8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 C8 8B 70 04 8B 46 40 8B 55 08 E8 ?? ?? ?? ?? 8B BB B8 00 00 00 0F B6 45 BC 83 F8 14 7F 19 0F 84 00 05 00 00 83 E8 01 72 25 83 E8 06 0F 84 62 01 00 00 E9 F4 05 00 00 83 E8 15 0F 84 51 02 00 00 83 E8 0A 0F 84 2E 05 00 00 E9 DD 05 00 00 C6 45 D3 01 8B 45 C0 83 F8 01 75 41 0F B6 55 C4 8D 4D 98 8B 45 10 E8 ?? ?? ?? ?? 8D 45 98 50 8D 45 80 50 8B 45 10 8B 4D CC 8B 55 14 E8 ?? ?? ?? ?? 8D 45 80 50 68 ?? ?? ?? ?? 8B CE 33 D2 8B C7 8B 18 FF 93 A8 00 00 00 E9 B8 05 00 00 83 F8 03 75 47 0F B6 55 C4 8D 4D 98 8B 45 10 E8 ?? ?? ?? ?? 8D 45 98 50 8D 85 68 FF FF FF 50 8B 45 10 8B 4D CC 8B 55 14 E8 ?? ?? ?? ?? 8D 85 68 FF FF FF 50 68 ?? ?? ?? ?? 8B CE 33 D2 8B C7 8B 18 FF 93 BC 00 00 00 E9 6C 05 00 00 83 F8 02 75 47 0F B6 55 C4 8D 4D 98 8B 45 10 E8 ?? ?? ?? ?? 8D 45 98 50 8D 85 50 FF FF FF 50 8B 45 10 8B 4D CC 8B 55 14 E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 50 68 ?? ?? ?? ?? 8B CE B2 01 8B C7 8B 18 FF 93 BC 00 00 00 E9 20 05 00 00 83 F8 04 75 53 8D 85 2C FF FF FF 50 0F B6 4D C4 8B 45 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 2C FF FF FF 50 8D 85 14 FF FF FF 50 8B 45 10 8B 4D CC 8B 55 14 E8 ?? ?? ?? ?? 8D 85 14 FF FF FF 50 68 ?? ?? ?? ?? 8B CE 33 D2 8B C7 8B 18 FF 93 64 01 00 00 E9 C8 04 00 00 C6 45 D3 00 E9 BF 04 00 00 C6 45 D3 01 8B 45 C0 83 F8 0D 75 4A 8D 45 98 50 0F B6 4D C4 8B 45 10 B2 01 E8 ?? ?? ?? ?? 8D 45 98 50 8D 85 FC FE FF FF 50 8B 45 10 8B 4D CC 8B 55 14 E8 ?? ?? ?? ?? 8D 85 FC FE FF FF 50 68 ?? ?? ?? ?? 8B CE 33 D2 8B C7 8B 18 FF 93 1C 01 00 00 E9 69 04 00 00 83 F8 0E 75 4A 8D 45 98 50 0F B6 4D C4 8B 45 10 33 D2 E8 ?? ?? ?? ?? 8D 45 98 50 8D 85 E4 FE FF FF 50 8B 45 10 8B 4D CC 8B 55 14 E8 ?? ?? ?? ?? 8D 85 E4 FE FF FF 50 68 ?? ?? ?? ?? 8B CE 33 D2 8B C7 8B 18 FF 93 1C 01 00 00 E9 1A 04 00 00 83 F8 0F 75 4A 8D 45 98 50 0F B6 4D C4 8B 45 10 B2 02 E8 ?? ?? ?? ?? 8D 45 98 50 8D 85 CC FE FF FF 50 8B 45 10 8B 4D CC 8B 55 14 E8 ?? ?? ?? ?? 8D 85 CC FE FF FF 50 68 ?? ?? ?? ?? 8B CE 33 D2 8B C7 8B 18 FF 93 1C 01 00 00 E9 CB 03 00 00 C6 45 D3 00 E9 C2 03 00 00 C6 45 D3 01 8B 45 C0 83 C0 D9 83 F8 07 0F 87 77 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 98 50 0F B6 4D C4 8B 45 10 B2 03 E8 ?? ?? ?? ?? 8D 45 98 50 8D 85 B4 FE FF FF 50 8B 45 10 8B 4D CC 8B 55 14 E8 ?? ?? ?? ?? 8D 85 B4 FE FF FF 50 68 ?? ?? ?? ?? 8B CE 33 D2 8B C7 8B 18 FF 93 0C 02 00 00 E9 3E 03 00 00 8D 45 98 50 0F B6 4D C4 8B 45 10 B2 04 E8 ?? ?? ?? ?? 8D 45 98 50 8D 85 9C FE FF FF 50 8B 45 10 8B 4D CC 8B 55 14 E8 ?? ?? ?? ?? 8D 85 9C FE FF FF 50 68 ?? ?? ?? ?? 8B CE 33 D2 8B C7 8B 18 FF 93 0C 02 00 00 E9 F4 02 00 00 8D 45 98 50 0F B6 4D C4 8B 45 10 B2 06 E8 ?? ?? ?? ?? 8D 45 98 50 8D 85 84 FE FF FF 50 8B 45 10 8B 4D CC 8B 55 14 E8 ?? ?? ?? ?? 8D 85 84 FE FF FF 50 68 ?? ?? ?? ?? 8B CE 33 D2 8B C7 8B 18 FF 93 0C 02 00 00 E9 AA 02 00 00 8D 45 98 50 0F B6 4D C4 8B 45 10 B2 07 E8 ?? ?? ?? ?? 8D 45 98 50 8D 85 6C FE FF FF 50 8B 45 10 8B 4D CC 8B 55 14 E8 ?? ?? ?? ?? 8D 85 6C FE FF FF 50 68 ?? ?? ?? ?? 8B CE 33 D2 8B C7 8B 18 FF 93 0C 02 00 00 E9 60 02 00 00 8D 45 98 50 0F B6 4D C4 8B 45 10 33 D2 E8 ?? ?? ?? ?? 8D 45 98 50 8D 85 54 FE FF FF 50 8B 45 10 8B 4D CC 8B 55 14 E8 ?? ?? ?? ?? 8D 85 54 FE FF FF 50 68 ?? ?? ?? ?? 8B CE 33 D2 8B C7 8B 18 FF 93 0C 02 00 00 E9 16 02 00 00 8D 45 98 50 0F B6 4D C4 8B 45 10 B2 01 E8 ?? ?? ?? ?? 8D 45 98 50 8D 85 3C FE FF FF 50 8B 45 10 8B 4D CC 8B 55 14 E8 ?? ?? ?? ?? 8D 85 3C FE FF FF 50 68 ?? ?? ?? ?? 8B CE 33 D2 8B C7 8B 18 FF 93 0C 02 00 00 E9 CC 01 00 00 8D 45 98 50 0F B6 4D C4 8B 45 10 B2 09 E8 ?? ?? ?? ?? 8D 45 98 50 8D 85 24 FE FF FF 50 8B 45 10 8B 4D CC 8B 55 14 E8 ?? ?? ?? ?? 8D 85 24 FE FF FF 50 68 ?? ?? ?? ?? 8B CE 33 D2 8B C7 8B 18 FF 93 0C 02 00 00 E9 82 01 00 00 8D 45 98 50 0F B6 4D C4 8B 45 10 B2 0A E8 ?? ?? ?? ?? 8D 45 98 50 8D 85 0C FE FF FF 50 8B 45 10 8B 4D CC 8B 55 14 E8 ?? ?? ?? ?? 8D 85 0C FE FF FF 50 68 ?? ?? ?? ?? 8B CE 33 D2 8B C7 8B 18 FF 93 0C 02 00 00 E9 38 01 00 00 C6 45 D3 00 E9 2F 01 00 00 83 7D C0 16 0F 85 25 01 00 00 8D 4D 98 8B 45 10 33 D2 E8 ?? ?? ?? ?? 8D 45 98 50 8D 85 F4 FD FF FF 50 8B 45 10 8B 4D CC 8B 55 14 E8 ?? ?? ?? ?? 8D 85 F4 FD FF FF 50 68 ?? ?? ?? ?? 8B CE 33 D2 8B C7 8B 18 FF 93 38 01 00 00 C6 45 D3 01 E9 DC 00 00 00 C6 45 D3 01 83 7D C0 4E 75 06 C6 45 D2 06 EB 04 C6 45 D2 00 83 7D C4 01 75 28 0F B7 05 ?? ?? ?? ?? 50 8B 45 14 50 6A 00 8D 45 D4 50 B9 ?? ?? ?? ?? 8B 45 10 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 0F B7 05 ?? ?? ?? ?? 50 8B 45 14 50 6A 00 8D 45 D4 50 B9 ?? ?? ?? ?? 8B 45 10 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 AC 50 0F B6 55 D2 8D 4D D4 8B C7 8B 18 FF 53 50 8B 45 10 8B 00 89 45 AC 8B 45 10 8B 40 08 89 45 B4 8D 45 D4 50 8D 45 AC 50 F6 45 0D 20 0F 95 C0 50 68 ?? ?? ?? ?? 0F B6 55 D2 8B CE 8B C7 8B 18 FF 53 60 EB 28 8D 85 DC FD FF FF 50 8B 45 10 8B 4D CC 8B 55 14 E8 ?? ?? ?? ?? 8D 8D DC FD FF FF 8B D6 8B C7 8B 18 FF 53 3C C6 45 D3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 DC FD FF FF 8B 15 ?? ?? ?? ?? B9 0E 00 00 00 E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BE 0F B6 45 D3 5F 5E 5B 8B E5 5D C2 10 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 00 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_86077_0 {
	meta:
		name = "TCustomStyle.DoGetElementColor"
		size = 1357
		refs = "001b TCustomStyle.SourceLoaded 006f TCustomStyle.DoGetElementColor 00fc TSeStyleFonts.GetFont"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 88 4D FF 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 1B 05 00 00 0F B6 45 F0 8B 44 86 10 85 C0 74 1C 8B 55 F8 52 0F B6 55 FF 52 8B 55 08 52 8B 4D F4 8B D6 FF 50 14 8B D8 E9 F3 04 00 00 80 7D FF 02 0F 85 E9 04 00 00 8B B6 B8 00 00 00 0F B6 45 F0 83 F8 1F 0F 87 D6 04 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 02 00 00 00 01 00 00 04 00 00 00 00 00 00 00 00 03 00 00 00 06 05 00 00 00 00 00 00 00 00 00 07 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 7D F4 0B 0F 85 7E 04 00 00 B3 01 0F B6 45 F8 83 F8 06 0F 87 C4 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 46 08 B2 1D E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 35 04 00 00 8B 46 08 B2 1F E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 1E 04 00 00 8B 46 08 B2 1E E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 07 04 00 00 8B 46 08 B2 1E E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 F0 03 00 00 8B 46 08 B2 20 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 D9 03 00 00 8B 46 08 B2 20 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 C2 03 00 00 8B 46 08 B2 21 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 AB 03 00 00 33 DB E9 A4 03 00 00 8B 45 F4 83 F8 01 0F 85 99 00 00 00 0F B6 45 F8 83 F8 06 0F 87 85 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 46 08 B2 0A E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 4E 8B 46 08 B2 0C E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 3A 8B 46 08 B2 0B E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 26 8B 46 08 B2 0E E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 12 8B 46 08 B2 0D E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 B3 01 E9 FF 02 00 00 83 F8 03 0F 85 8E 00 00 00 0F B6 45 F8 83 F8 0D 77 7E 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 02 03 04 00 01 02 03 04 00 01 02 03 04 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 46 08 B2 0F E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 3A 8B 46 08 B2 11 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 26 8B 46 08 B2 10 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 12 8B 46 08 B2 13 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 B3 01 E9 68 02 00 00 83 F8 02 0F 85 8E 00 00 00 0F B6 45 F8 83 F8 0D 77 7E 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 02 03 04 00 01 02 03 04 00 01 02 03 04 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 46 08 B2 14 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 3A 8B 46 08 B2 16 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 26 8B 46 08 B2 15 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 12 8B 46 08 B2 18 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 B3 01 E9 D1 01 00 00 83 F8 04 0F 85 C8 01 00 00 0F B6 45 F8 2C 01 72 04 74 16 EB 26 8B 46 08 B2 19 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 12 8B 46 08 B2 1A E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 B3 01 E9 8F 01 00 00 83 7D F4 13 75 12 8B 46 08 B2 04 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 B3 01 E9 70 01 00 00 8B 45 F4 83 F8 0D 74 0E 83 F8 0D 74 09 83 F8 0E 0F 85 5A 01 00 00 0F B6 45 F8 2C 01 72 08 74 2E 2C 03 74 16 EB 3A 8B 46 08 B2 2A E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 26 8B 46 08 B2 2E E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 12 8B 46 08 B2 2B E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 B3 01 E9 09 01 00 00 8B 45 F4 83 F8 27 0F 8C FD 00 00 00 83 F8 2E 0F 8F F4 00 00 00 0F B6 45 F8 2C 01 72 0C 74 1E FE C8 74 42 FE C8 74 2A EB 4E 8B 46 08 B2 33 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 3A 8B 46 08 B2 34 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 26 8B 46 08 B2 36 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 12 8B 46 08 B2 35 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 B3 01 E9 8B 00 00 00 83 7D F4 16 0F 85 81 00 00 00 8B 46 08 B2 31 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 B3 01 EB 6B 8B 45 F4 83 E8 4D 74 05 48 74 32 EB 5E 83 7D F8 01 75 14 8B 46 08 33 D2 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 12 8B 46 08 B2 01 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 B3 01 EB 2E 83 7D F8 01 75 14 8B 46 08 B2 02 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 12 8B 46 08 B2 03 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 B3 01 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_86078_0 {
	meta:
		name = "TCustomStyle.DoGetTextExtent"
		size = 115
		refs = "005b TRect.Create"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F1 8D 7D F0 A5 A5 A5 89 55 FC 8B 5D 08 8B 75 0C 0F B6 55 F0 8B 7C 90 10 85 FF 74 1D 8B 55 F4 52 8B 55 F8 52 8B 55 14 52 8B 55 10 52 56 53 8B D7 8B 4D FC 92 FF 50 24 EB 27 85 F6 74 08 8B FB A5 A5 A5 A5 EB 19 6A 00 6A 00 33 C9 33 D2 8D 45 E0 E8 ?? ?? ?? ?? 8B FB 8D 75 E0 A5 A5 A5 A5 33 C0 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_86079_0 {
	meta:
		name = "TCustomStyle.DoGetElementContentRect"
		size = 860
		refs = "001a TSeWindowInfo 001f @InitializeRecord 0027 TCustomStyle.DoGetElementContentRect 0060 TCustomStyle.SourceLoaded 00dd THEME_WP_BUTTONS 02ec TRect.Create 0313 @FinalizeRecord 0319 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 8B F1 8D 7D C8 A5 A5 A5 8B DA 8B F0 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 C8 8B 44 86 10 85 C0 74 1E 8B 55 CC 52 8B 55 D0 52 8B 55 0C 52 8B 55 08 52 8B CB 8B D6 FF 50 10 8B D8 E9 81 02 00 00 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 70 02 00 00 B3 01 0F B6 45 C8 2C 01 72 09 2C 1E 74 18 E9 5B 02 00 00 8B 45 0C 8B 55 08 8B F0 8B FA A5 A5 A5 A5 E9 4A 02 00 00 8B 45 CC 83 C0 A7 83 F8 0A 0F 87 35 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 45 E5 8B 45 0C 56 8B F0 8D 7D D4 A5 A5 A5 A5 5E 6A 01 68 ?? ?? ?? ?? 8D 45 A8 50 8D 4D D4 B2 06 8B 86 B8 00 00 00 8B 30 FF 56 54 8B 45 08 8D 75 A8 8B F8 A5 A5 A5 A5 E9 B6 01 00 00 0F B7 05 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 45 E5 8B 45 0C 56 8B F0 8D 7D D4 A5 A5 A5 A5 5E 6A 01 68 ?? ?? ?? ?? 8D 45 A8 50 8D 4D D4 33 D2 8B 86 B8 00 00 00 8B 30 FF 56 54 8B 45 08 8D 75 A8 8B F8 A5 A5 A5 A5 E9 64 01 00 00 0F B7 05 ?? ?? ?? ?? 66 0B 05 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 45 E5 8B 45 0C 56 8B F0 8D 7D D4 A5 A5 A5 A5 5E 6A 02 68 ?? ?? ?? ?? 8D 45 A8 50 8D 4D D4 33 D2 8B 86 B8 00 00 00 8B 30 FF 56 54 8B 45 08 8D 75 A8 8B F8 A5 A5 A5 A5 E9 0B 01 00 00 0F B7 05 ?? ?? ?? ?? 66 0B 05 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 45 E5 8B 45 0C 56 8B F0 8D 7D D4 A5 A5 A5 A5 5E 6A 05 68 ?? ?? ?? ?? 8D 45 A8 50 8D 4D D4 33 D2 8B 86 B8 00 00 00 8B 30 FF 56 54 8B 45 08 8D 75 A8 8B F8 A5 A5 A5 A5 E9 B2 00 00 00 0F B7 05 ?? ?? ?? ?? 66 0B 05 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 45 E5 8B 45 0C 56 8B F0 8D 7D D4 A5 A5 A5 A5 5E 6A 03 68 ?? ?? ?? ?? 8D 45 A8 50 8D 4D D4 33 D2 8B 86 B8 00 00 00 8B 30 FF 56 54 8B 45 08 8D 75 A8 8B F8 A5 A5 A5 A5 EB 5C 0F B7 05 ?? ?? ?? ?? 66 0B 05 ?? ?? ?? ?? 66 A3 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 45 E5 8B 45 0C 56 8B F0 8D 7D D4 A5 A5 A5 A5 5E 6A 00 68 ?? ?? ?? ?? 8D 45 A8 50 8D 4D D4 33 D2 8B 86 B8 00 00 00 8B 30 FF 56 54 8B 45 08 8D 75 A8 8B F8 A5 A5 A5 A5 EB 06 33 DB EB 02 33 DB 84 DB 75 1C 6A 00 6A 00 8D 45 B8 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B F8 8D 75 B8 A5 A5 A5 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 02 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 04 00 00 00 20 00 00 00 08 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_86080_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 26
		refs = "0007 TStyleManager.GetSystemStyle"
	strings:
		$1 = { 53 56 8B F1 8B DA E8 ?? ?? ?? ?? 8B D3 8B CE 8B 18 FF 93 F8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_86081_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 26
		refs = "0007 TStyleManager.GetSystemStyle"
	strings:
		$1 = { 53 56 8B F1 8B DA E8 ?? ?? ?? ?? 8B D3 8B CE 8B 18 FF 93 98 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_86082_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 223
	strings:
		$1 = { C6 01 07 8B C2 04 FE 2C 03 72 15 2C 03 72 48 2C 03 72 72 2C 02 0F 82 98 00 00 00 E9 B4 00 00 00 C7 41 04 0D 00 00 00 80 EA 02 74 0D FE CA 74 13 FE CA 74 1B E9 A5 00 00 00 33 C0 89 41 08 E9 9B 00 00 00 C7 41 08 04 00 00 00 E9 8F 00 00 00 C7 41 08 01 00 00 00 C3 C7 41 04 0E 00 00 00 80 EA 05 74 0A FE CA 74 0D FE CA 74 12 EB 71 33 C0 89 41 08 EB 6A C7 41 08 04 00 00 00 EB 61 C7 41 08 01 00 00 00 C3 C7 41 04 0F 00 00 00 80 EA 08 74 0A FE CA 74 0D FE CA 74 12 EB 43 33 C0 89 41 08 EB 3C C7 41 08 04 00 00 00 EB 33 C7 41 08 01 00 00 00 C3 C7 41 04 10 00 00 00 80 EA 0B 74 06 FE CA 74 09 EB 19 33 C0 89 41 08 EB 12 C7 41 08 01 00 00 00 C3 33 C0 89 41 04 33 C0 89 41 08 C3 }
	condition:
		$1
}

rule function_86083_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 15
	strings:
		$1 = { C6 01 0A 33 C0 89 41 04 0F B6 C2 89 41 08 C3 }
	condition:
		$1
}

rule function_86084_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 85
	strings:
		$1 = { C6 01 0F 80 EA 02 74 0E FE CA 74 17 FE CA 74 20 FE CA 74 29 EB 34 C7 41 04 31 00 00 00 33 C0 89 41 08 C3 C7 41 04 32 00 00 00 33 C0 89 41 08 C3 C7 41 04 33 00 00 00 33 C0 89 41 08 C3 C7 41 04 34 00 00 00 33 C0 89 41 08 C3 33 C0 89 41 04 33 C0 89 41 08 C3 }
	condition:
		$1
}

rule function_86085_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 14
	strings:
		$1 = { C6 01 0E 33 C0 89 41 04 33 C0 89 41 08 C3 }
	condition:
		$1
}

rule function_86086_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 688
		refs = "009f TCustomStyle.GetElementDetails"
	strings:
		$1 = { C6 01 00 0F B6 C2 83 F8 10 7D 16 83 C0 FE 83 E8 06 72 76 83 E8 08 0F 82 DD 00 00 00 E9 84 02 00 00 83 C0 F0 83 E8 14 0F 82 63 01 00 00 83 E8 02 0F 82 4E 02 00 00 83 C0 F9 83 E8 04 0F 83 63 02 00 00 C7 41 04 DA 00 00 00 80 EA 2D 74 11 FE CA 74 17 FE CA 74 1F FE CA 74 27 E9 50 02 00 00 33 C0 89 41 08 E9 46 02 00 00 C7 41 08 05 00 00 00 E9 3A 02 00 00 C7 41 08 06 00 00 00 E9 2E 02 00 00 C7 41 08 08 00 00 00 C3 C7 41 04 01 00 00 00 0F B6 C2 83 F8 07 0F 87 13 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 41 08 E9 E2 01 00 00 C7 41 08 01 00 00 00 E9 D6 01 00 00 C7 41 08 02 00 00 00 E9 CA 01 00 00 C7 41 08 03 00 00 00 E9 BE 01 00 00 C7 41 08 06 00 00 00 C3 C7 41 04 02 00 00 00 0F B6 C2 83 C0 F8 83 F8 07 0F 87 A0 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 08 05 00 00 00 E9 6D 01 00 00 C7 41 08 06 00 00 00 E9 61 01 00 00 C7 41 08 07 00 00 00 E9 55 01 00 00 C7 41 08 08 00 00 00 E9 49 01 00 00 33 C0 89 41 08 E9 3F 01 00 00 C7 41 08 01 00 00 00 E9 33 01 00 00 C7 41 08 02 00 00 00 E9 27 01 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 03 00 00 00 0F B6 C2 83 C0 F0 83 F8 13 0F 87 09 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 08 05 00 00 00 E9 A6 00 00 00 C7 41 08 06 00 00 00 E9 9A 00 00 00 C7 41 08 07 00 00 00 E9 8E 00 00 00 C7 41 08 08 00 00 00 E9 82 00 00 00 33 C0 89 41 08 EB 7B C7 41 08 01 00 00 00 EB 72 C7 41 08 02 00 00 00 EB 69 C7 41 08 03 00 00 00 EB 60 C7 41 08 0A 00 00 00 EB 57 C7 41 08 0B 00 00 00 EB 4E C7 41 08 0C 00 00 00 EB 45 C7 41 08 0D 00 00 00 EB 3C C7 41 08 03 00 00 00 EB 33 C7 41 08 08 00 00 00 C3 C7 41 04 04 00 00 00 80 EA 24 74 06 FE CA 74 09 EB 19 33 C0 89 41 08 EB 12 C7 41 08 01 00 00 00 C3 33 C0 89 41 04 33 C0 89 41 08 C3 }
	condition:
		$1
}

rule function_86087_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 226
		refs = "0027 TCustomStyle.GetElementDetails"
	strings:
		$1 = { C6 01 02 8B C2 04 FE 2C 04 72 06 04 F3 2C 08 73 71 C7 41 04 05 00 00 00 0F B6 C2 83 F8 1A 0F 87 BD 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 01 02 03 04 00 00 00 00 00 00 00 00 00 00 00 00 00 01 02 03 04 01 02 03 04 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 41 08 EB 79 C7 41 08 01 00 00 00 EB 70 C7 41 08 02 00 00 00 EB 67 C7 41 08 04 00 00 00 C3 C7 41 04 0B 00 00 00 0F B6 C2 83 C0 FA 83 F8 18 77 43 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 00 00 00 00 01 01 01 02 01 01 01 02 00 00 00 00 00 00 00 00 01 01 01 02 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 41 08 EB 13 C7 41 08 04 00 00 00 EB 0A 33 C0 89 41 04 33 C0 89 41 08 C3 }
	condition:
		$1
}

rule function_86088_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 149
		refs = "0021 TCustomStyle.GetElementDetails"
	strings:
		$1 = { C6 01 04 8B C2 04 FE 2C 07 72 04 74 70 EB 7B C7 41 04 0B 00 00 00 0F B6 C2 83 F8 08 77 76 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 41 08 EB 44 33 C0 89 41 08 EB 3D 33 C0 89 41 08 EB 36 C7 41 08 04 00 00 00 EB 2D C7 41 08 02 00 00 00 EB 24 33 C0 89 41 08 EB 1D 33 C0 89 41 08 C3 C7 41 04 0C 00 00 00 33 C0 89 41 08 C3 33 C0 89 41 04 33 C0 89 41 08 C3 }
	condition:
		$1
}

rule function_86089_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 208
		refs = "0012 TCustomStyle.GetElementDetails"
	strings:
		$1 = { C6 01 10 0F B6 C2 83 F8 0A 0F 87 B6 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 11 00 00 00 33 C0 89 41 08 C3 C7 41 04 12 00 00 00 33 C0 89 41 08 C3 C7 41 04 13 00 00 00 33 C0 89 41 08 C3 C7 41 04 14 00 00 00 80 EA 05 74 0A FE CA 74 0D FE CA 74 12 EB 50 33 C0 89 41 08 EB 49 C7 41 08 01 00 00 00 EB 40 C7 41 08 01 00 00 00 C3 C7 41 04 15 00 00 00 80 EA 08 74 0A FE CA 74 0D FE CA 74 12 EB 22 33 C0 89 41 08 EB 1B C7 41 08 01 00 00 00 EB 12 C7 41 08 01 00 00 00 C3 33 C0 89 41 04 33 C0 89 41 08 C3 }
	condition:
		$1
}

rule function_86090_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 774
		refs = "0012 TCustomStyle.GetElementDetails"
	strings:
		$1 = { C6 01 1C 0F B6 C2 83 F8 23 0F 87 EC 02 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 01 02 03 03 03 03 03 04 04 04 04 04 05 05 05 05 05 06 06 06 06 06 07 07 07 07 07 08 08 08 08 08 09 0A ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 35 00 00 00 33 C0 89 41 08 C3 C7 41 04 36 00 00 00 33 C0 89 41 08 C3 C7 41 04 37 00 00 00 0F B6 C2 83 C0 FC 83 F8 04 0F 87 68 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 41 08 E9 43 02 00 00 C7 41 08 01 00 00 00 E9 37 02 00 00 C7 41 08 02 00 00 00 E9 2B 02 00 00 C7 41 08 03 00 00 00 E9 1F 02 00 00 C7 41 08 04 00 00 00 C3 C7 41 04 38 00 00 00 0F B6 C2 83 C0 F7 83 F8 04 0F 87 01 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 41 08 E9 DC 01 00 00 C7 41 08 01 00 00 00 E9 D0 01 00 00 C7 41 08 02 00 00 00 E9 C4 01 00 00 C7 41 08 03 00 00 00 E9 B8 01 00 00 C7 41 08 04 00 00 00 C3 C7 41 04 39 00 00 00 0F B6 C2 83 C0 F2 83 F8 04 0F 87 9A 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 41 08 E9 75 01 00 00 C7 41 08 01 00 00 00 E9 69 01 00 00 C7 41 08 02 00 00 00 E9 5D 01 00 00 C7 41 08 03 00 00 00 E9 51 01 00 00 C7 41 08 04 00 00 00 C3 C7 41 04 3A 00 00 00 0F B6 C2 83 C0 ED 83 F8 04 0F 87 33 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 41 08 E9 0E 01 00 00 C7 41 08 01 00 00 00 E9 02 01 00 00 C7 41 08 02 00 00 00 E9 F6 00 00 00 C7 41 08 03 00 00 00 E9 EA 00 00 00 C7 41 08 04 00 00 00 C3 C7 41 04 3B 00 00 00 0F B6 C2 83 C0 E8 83 F8 04 0F 87 CC 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 41 08 E9 A7 00 00 00 C7 41 08 01 00 00 00 E9 9B 00 00 00 C7 41 08 02 00 00 00 E9 8F 00 00 00 C7 41 08 03 00 00 00 E9 83 00 00 00 C7 41 08 04 00 00 00 C3 C7 41 04 3C 00 00 00 0F B6 C2 83 C0 E3 83 F8 04 77 69 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 41 08 EB 47 C7 41 08 01 00 00 00 EB 3E C7 41 08 02 00 00 00 EB 35 C7 41 08 03 00 00 00 EB 2C C7 41 08 04 00 00 00 C3 C7 41 04 3D 00 00 00 33 C0 89 41 08 C3 C7 41 04 3E 00 00 00 33 C0 89 41 08 C3 33 C0 89 41 04 33 C0 89 41 08 C3 }
	condition:
		$1
}

rule function_86091_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 15
	strings:
		$1 = { C6 01 1A 33 C0 89 41 04 0F B6 C2 89 41 08 C3 }
	condition:
		$1
}

rule function_86092_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 1846
		refs = "0012 TCustomStyle.GetElementDetails"
	strings:
		$1 = { C6 01 1F 0F B6 C2 83 F8 69 0F 87 1C 07 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 01 01 01 02 02 02 03 03 03 04 04 04 05 05 05 06 06 06 07 07 08 08 09 09 0A 0A 0B 0B 0C 0C 0D 0D 0D 0D 0E 0E 0E 0E 0F 0F 0F 0F 10 10 10 10 11 11 11 11 12 12 12 12 13 13 13 13 14 14 14 14 15 15 15 15 16 16 16 16 17 17 17 17 18 18 18 18 19 19 19 19 1A 1A 1A 1A 1B 1B 1B 1B 1C 1C 1C 1C 1D 1E 1F 20 21 22 23 24 25 26 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 4D 00 00 00 80 EA 02 74 0C FE CA 74 14 FE CA 0F 85 FA 05 00 00 C7 41 08 01 00 00 00 E9 EE 05 00 00 C7 41 08 02 00 00 00 C3 C7 41 04 4E 00 00 00 80 EA 05 74 0C FE CA 74 14 FE CA 0F 85 CE 05 00 00 C7 41 08 01 00 00 00 E9 C2 05 00 00 C7 41 08 02 00 00 00 C3 C7 41 04 4F 00 00 00 80 EA 08 74 0C FE CA 74 14 FE CA 0F 85 A2 05 00 00 C7 41 08 01 00 00 00 E9 96 05 00 00 C7 41 08 02 00 00 00 C3 C7 41 04 50 00 00 00 80 EA 0B 74 0C FE CA 74 14 FE CA 0F 85 76 05 00 00 C7 41 08 01 00 00 00 E9 6A 05 00 00 C7 41 08 02 00 00 00 C3 C7 41 04 51 00 00 00 80 EA 0E 74 0C FE CA 74 14 FE CA 0F 85 4A 05 00 00 C7 41 08 01 00 00 00 E9 3E 05 00 00 C7 41 08 02 00 00 00 C3 C7 41 04 52 00 00 00 80 EA 11 74 0C FE CA 74 14 FE CA 0F 85 1E 05 00 00 C7 41 08 01 00 00 00 E9 12 05 00 00 C7 41 08 02 00 00 00 C3 C7 41 04 53 00 00 00 80 EA 14 74 09 FE CA 74 11 E9 F5 04 00 00 C7 41 08 01 00 00 00 E9 E9 04 00 00 C7 41 08 02 00 00 00 C3 C7 41 04 54 00 00 00 80 EA 16 74 09 FE CA 74 11 E9 CC 04 00 00 C7 41 08 01 00 00 00 E9 C0 04 00 00 C7 41 08 02 00 00 00 C3 C7 41 04 55 00 00 00 80 EA 18 74 09 FE CA 74 11 E9 A3 04 00 00 C7 41 08 01 00 00 00 E9 97 04 00 00 C7 41 08 02 00 00 00 C3 C7 41 04 56 00 00 00 80 EA 1A 74 09 FE CA 74 11 E9 7A 04 00 00 C7 41 08 01 00 00 00 E9 6E 04 00 00 C7 41 08 02 00 00 00 C3 C7 41 04 57 00 00 00 80 EA 1C 74 09 FE CA 74 11 E9 51 04 00 00 C7 41 08 01 00 00 00 E9 45 04 00 00 C7 41 08 02 00 00 00 C3 C7 41 04 58 00 00 00 80 EA 1E 74 09 FE CA 74 11 E9 28 04 00 00 C7 41 08 01 00 00 00 E9 1C 04 00 00 C7 41 08 02 00 00 00 C3 C7 41 04 59 00 00 00 80 EA 20 74 11 FE CA 74 17 FE CA 74 1F FE CA 74 27 E9 F7 03 00 00 33 C0 89 41 08 E9 ED 03 00 00 C7 41 08 01 00 00 00 E9 E1 03 00 00 C7 41 08 02 00 00 00 E9 D5 03 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 5A 00 00 00 80 EA 24 74 11 FE CA 74 17 FE CA 74 1F FE CA 74 27 E9 B0 03 00 00 33 C0 89 41 08 E9 A6 03 00 00 C7 41 08 01 00 00 00 E9 9A 03 00 00 C7 41 08 02 00 00 00 E9 8E 03 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 5B 00 00 00 80 EA 28 74 11 FE CA 74 17 FE CA 74 1F FE CA 74 27 E9 69 03 00 00 33 C0 89 41 08 E9 5F 03 00 00 C7 41 08 01 00 00 00 E9 53 03 00 00 C7 41 08 02 00 00 00 E9 47 03 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 5C 00 00 00 80 EA 2C 74 11 FE CA 74 17 FE CA 74 1F FE CA 74 27 E9 22 03 00 00 33 C0 89 41 08 E9 18 03 00 00 C7 41 08 01 00 00 00 E9 0C 03 00 00 C7 41 08 02 00 00 00 E9 00 03 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 5D 00 00 00 80 EA 30 74 11 FE CA 74 17 FE CA 74 1F FE CA 74 27 E9 DB 02 00 00 33 C0 89 41 08 E9 D1 02 00 00 C7 41 08 01 00 00 00 E9 C5 02 00 00 C7 41 08 02 00 00 00 E9 B9 02 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 5E 00 00 00 80 EA 34 74 11 FE CA 74 17 FE CA 74 1F FE CA 74 27 E9 94 02 00 00 33 C0 89 41 08 E9 8A 02 00 00 C7 41 08 01 00 00 00 E9 7E 02 00 00 C7 41 08 02 00 00 00 E9 72 02 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 5F 00 00 00 80 EA 38 74 11 FE CA 74 17 FE CA 74 1F FE CA 74 27 E9 4D 02 00 00 33 C0 89 41 08 E9 43 02 00 00 C7 41 08 01 00 00 00 E9 37 02 00 00 C7 41 08 02 00 00 00 E9 2B 02 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 60 00 00 00 80 EA 3C 74 11 FE CA 74 17 FE CA 74 1F FE CA 74 27 E9 06 02 00 00 33 C0 89 41 08 E9 FC 01 00 00 C7 41 08 01 00 00 00 E9 F0 01 00 00 C7 41 08 02 00 00 00 E9 E4 01 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 61 00 00 00 80 EA 40 74 11 FE CA 74 17 FE CA 74 1F FE CA 74 27 E9 BF 01 00 00 33 C0 89 41 08 E9 B5 01 00 00 C7 41 08 01 00 00 00 E9 A9 01 00 00 C7 41 08 02 00 00 00 E9 9D 01 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 62 00 00 00 80 EA 44 74 11 FE CA 74 17 FE CA 74 1F FE CA 74 27 E9 78 01 00 00 33 C0 89 41 08 E9 6E 01 00 00 C7 41 08 01 00 00 00 E9 62 01 00 00 C7 41 08 02 00 00 00 E9 56 01 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 63 00 00 00 80 EA 48 74 11 FE CA 74 17 FE CA 74 1F FE CA 74 27 E9 31 01 00 00 33 C0 89 41 08 E9 27 01 00 00 C7 41 08 01 00 00 00 E9 1B 01 00 00 C7 41 08 02 00 00 00 E9 0F 01 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 64 00 00 00 80 EA 4C 74 11 FE CA 74 17 FE CA 74 1F FE CA 74 27 E9 EA 00 00 00 33 C0 89 41 08 E9 E0 00 00 00 C7 41 08 01 00 00 00 E9 D4 00 00 00 C7 41 08 02 00 00 00 E9 C8 00 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 65 00 00 00 33 C0 89 41 08 C3 C7 41 04 66 00 00 00 33 C0 89 41 08 C3 C7 41 04 67 00 00 00 33 C0 89 41 08 C3 C7 41 04 68 00 00 00 33 C0 89 41 08 C3 C7 41 04 69 00 00 00 33 C0 89 41 08 C3 C7 41 04 6A 00 00 00 33 C0 89 41 08 C3 C7 41 04 6B 00 00 00 33 C0 89 41 08 C3 C7 41 04 6C 00 00 00 33 C0 89 41 08 C3 C7 41 04 6D 00 00 00 33 C0 89 41 08 C3 C7 41 04 6E 00 00 00 33 C0 89 41 08 C3 C7 41 04 6F 00 00 00 33 C0 89 41 08 C3 C7 41 04 70 00 00 00 33 C0 89 41 08 C3 C7 41 04 71 00 00 00 33 C0 89 41 08 C3 C7 41 04 72 00 00 00 33 C0 89 41 08 C3 33 C0 89 41 04 33 C0 89 41 08 C3 }
	condition:
		$1
}

rule function_86093_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 15
		altNames = "TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 24 33 C0 89 41 04 0F B6 C2 89 41 08 C3 }
	condition:
		$1
}

rule function_86094_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 15
		altNames = "TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 26 33 C0 89 41 04 0F B6 C2 89 41 08 C3 }
	condition:
		$1
}

rule function_86095_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 15
		altNames = "TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 23 33 C0 89 41 04 0F B6 C2 89 41 08 C3 }
	condition:
		$1
}

rule function_86096_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 15
		altNames = "TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 28 33 C0 89 41 04 0F B6 C2 89 41 08 C3 }
	condition:
		$1
}

rule function_86097_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 15
		altNames = "TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 22 33 C0 89 41 04 0F B6 C2 89 41 08 C3 }
	condition:
		$1
}

rule function_86098_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 15
		altNames = "TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 21 33 C0 89 41 04 0F B6 C2 89 41 08 C3 }
	condition:
		$1
}

rule function_86099_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 15
		altNames = "TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 20 33 C0 89 41 04 0F B6 C2 89 41 08 C3 }
	condition:
		$1
}

rule function_86100_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 15
		altNames = "TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 27 33 C0 89 41 04 0F B6 C2 89 41 08 C3 }
	condition:
		$1
}

rule function_86101_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 15
		altNames = "TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 25 33 C0 89 41 04 0F B6 C2 89 41 08 C3 }
	condition:
		$1
}

rule function_86102_0 {
	meta:
		name = "TCustomStyle.GetName"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 B8 00 00 00 8B 52 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86103_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 307
	strings:
		$1 = { C6 01 12 8B C2 04 FE 2C 04 72 19 2C 04 72 5C 2C 04 0F 82 9B 00 00 00 2C 04 0F 82 CE 00 00 00 E9 04 01 00 00 C7 41 04 19 00 00 00 80 EA 02 74 11 FE CA 74 17 FE CA 74 1F FE CA 74 27 E9 F1 00 00 00 33 C0 89 41 08 E9 E7 00 00 00 C7 41 08 01 00 00 00 E9 DB 00 00 00 C7 41 08 01 00 00 00 E9 CF 00 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 1A 00 00 00 80 EA 06 74 11 FE CA 74 17 FE CA 74 1F FE CA 74 27 E9 AA 00 00 00 33 C0 89 41 08 E9 A0 00 00 00 C7 41 08 01 00 00 00 E9 94 00 00 00 C7 41 08 01 00 00 00 E9 88 00 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 1B 00 00 00 80 EA 0A 74 0E FE CA 74 11 FE CA 74 16 FE CA 74 1B EB 66 33 C0 89 41 08 EB 5F C7 41 08 01 00 00 00 EB 56 C7 41 08 01 00 00 00 EB 4D C7 41 08 03 00 00 00 C3 C7 41 04 1C 00 00 00 80 EA 0E 74 0E FE CA 74 11 FE CA 74 16 FE CA 74 1B EB 2B 33 C0 89 41 08 EB 24 C7 41 08 01 00 00 00 EB 1B C7 41 08 01 00 00 00 EB 12 C7 41 08 03 00 00 00 C3 33 C0 89 41 04 33 C0 89 41 08 C3 }
	condition:
		$1
}

rule function_86104_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 1026
		refs = "00a8 TCustomStyle.GetElementDetails"
	strings:
		$1 = { C6 01 11 0F B6 C2 83 F8 28 7D 42 83 F8 1A 7D 19 83 C0 FE 83 E8 10 72 7A 83 C0 FC 83 E8 04 0F 82 8C 01 00 00 E9 CE 03 00 00 83 C0 E6 83 E8 04 0F 82 C2 01 00 00 83 E8 04 0F 82 00 02 00 00 48 83 E8 04 0F 82 3D 02 00 00 E9 AA 03 00 00 83 F8 32 7D 1B 83 C0 D8 83 E8 04 0F 82 6E 02 00 00 48 83 E8 04 0F 82 AB 02 00 00 E9 8A 03 00 00 83 C0 CE 83 E8 04 0F 82 E1 02 00 00 48 83 E8 04 0F 82 18 03 00 00 48 83 E8 02 0F 82 49 03 00 00 E9 65 03 00 00 C7 41 04 1D 00 00 00 0F B6 C2 83 F8 11 0F 87 5C 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 08 C9 00 00 00 E9 01 03 00 00 C7 41 08 CA 00 00 00 E9 F5 02 00 00 C7 41 08 CB 00 00 00 E9 E9 02 00 00 C7 41 08 CC 00 00 00 E9 DD 02 00 00 C7 41 08 CD 00 00 00 E9 D1 02 00 00 C7 41 08 CE 00 00 00 E9 C5 02 00 00 C7 41 08 CF 00 00 00 E9 B9 02 00 00 C7 41 08 D0 00 00 00 E9 AD 02 00 00 C7 41 08 D1 00 00 00 E9 A1 02 00 00 C7 41 08 D2 00 00 00 E9 95 02 00 00 C7 41 08 D3 00 00 00 E9 89 02 00 00 C7 41 08 D4 00 00 00 E9 7D 02 00 00 C7 41 08 D5 00 00 00 E9 71 02 00 00 C7 41 08 D6 00 00 00 E9 65 02 00 00 C7 41 08 D7 00 00 00 E9 59 02 00 00 C7 41 08 D8 00 00 00 C3 C7 41 04 1E 00 00 00 80 EA 16 74 11 FE CA 74 17 FE CA 74 1F FE CA 74 27 E9 34 02 00 00 33 C0 89 41 08 E9 2A 02 00 00 C7 41 08 02 00 00 00 E9 1E 02 00 00 C7 41 08 01 00 00 00 E9 12 02 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 1F 00 00 00 80 EA 1A 74 11 FE CA 74 17 FE CA 74 1F FE CA 74 27 E9 ED 01 00 00 33 C0 89 41 08 E9 E3 01 00 00 C7 41 08 02 00 00 00 E9 D7 01 00 00 C7 41 08 01 00 00 00 E9 CB 01 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 20 00 00 00 80 EA 1E 74 11 FE CA 74 17 FE CA 74 1F FE CA 74 27 E9 A6 01 00 00 33 C0 89 41 08 E9 9C 01 00 00 C7 41 08 02 00 00 00 E9 90 01 00 00 C7 41 08 01 00 00 00 E9 84 01 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 21 00 00 00 80 EA 23 74 11 FE CA 74 17 FE CA 74 1F FE CA 74 27 E9 5F 01 00 00 33 C0 89 41 08 E9 55 01 00 00 C7 41 08 02 00 00 00 E9 49 01 00 00 C7 41 08 01 00 00 00 E9 3D 01 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 22 00 00 00 80 EA 28 74 11 FE CA 74 17 FE CA 74 1F FE CA 74 27 E9 18 01 00 00 33 C0 89 41 08 E9 0E 01 00 00 C7 41 08 02 00 00 00 E9 02 01 00 00 C7 41 08 01 00 00 00 E9 F6 00 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 23 00 00 00 80 EA 2D 74 11 FE CA 74 17 FE CA 74 1F FE CA 74 27 E9 D1 00 00 00 33 C0 89 41 08 E9 C7 00 00 00 C7 41 08 02 00 00 00 E9 BB 00 00 00 C7 41 08 01 00 00 00 E9 AF 00 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 24 00 00 00 80 EA 32 74 11 FE CA 74 17 FE CA 74 1C FE CA 74 21 E9 8A 00 00 00 33 C0 89 41 08 E9 80 00 00 00 C7 41 08 02 00 00 00 EB 77 C7 41 08 01 00 00 00 EB 6E C7 41 08 03 00 00 00 C3 C7 41 04 25 00 00 00 80 EA 37 74 0E FE CA 74 11 FE CA 74 16 FE CA 74 1B EB 4C 33 C0 89 41 08 EB 45 C7 41 08 02 00 00 00 EB 3C C7 41 08 01 00 00 00 EB 33 C7 41 08 03 00 00 00 C3 C7 41 04 26 00 00 00 80 EA 3C 74 06 FE CA 74 09 EB 19 33 C0 89 41 08 EB 12 C7 41 08 01 00 00 00 C3 33 C0 89 41 04 33 C0 89 41 08 C3 }
	condition:
		$1
}

rule function_86105_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 971
		refs = "0012 TCustomStyle.GetElementDetails"
	strings:
		$1 = { C6 01 15 0F B6 C2 83 F8 2B 0F 87 B1 03 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 01 01 01 01 01 02 02 02 02 02 03 03 03 03 03 04 04 04 04 04 05 05 05 05 05 06 06 06 06 06 07 07 07 07 07 08 08 08 08 08 09 0A ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 27 00 00 00 0F B6 C2 83 F8 06 0F 87 42 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 41 08 E9 15 03 00 00 C7 41 08 01 00 00 00 E9 09 03 00 00 C7 41 08 03 00 00 00 E9 FD 02 00 00 C7 41 08 02 00 00 00 E9 F1 02 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 28 00 00 00 0F B6 C2 83 C0 F9 83 F8 04 0F 87 D3 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 41 08 E9 AE 02 00 00 C7 41 08 01 00 00 00 E9 A2 02 00 00 C7 41 08 03 00 00 00 E9 96 02 00 00 C7 41 08 02 00 00 00 E9 8A 02 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 29 00 00 00 0F B6 C2 83 C0 F4 83 F8 04 0F 87 6C 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 41 08 E9 47 02 00 00 C7 41 08 01 00 00 00 E9 3B 02 00 00 C7 41 08 03 00 00 00 E9 2F 02 00 00 C7 41 08 02 00 00 00 E9 23 02 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 2A 00 00 00 0F B6 C2 83 C0 EF 83 F8 04 0F 87 05 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 41 08 E9 E0 01 00 00 C7 41 08 01 00 00 00 E9 D4 01 00 00 C7 41 08 03 00 00 00 E9 C8 01 00 00 C7 41 08 02 00 00 00 E9 BC 01 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 2B 00 00 00 0F B6 C2 83 C0 EA 83 F8 04 0F 87 9E 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 41 08 E9 79 01 00 00 C7 41 08 01 00 00 00 E9 6D 01 00 00 C7 41 08 03 00 00 00 E9 61 01 00 00 C7 41 08 02 00 00 00 E9 55 01 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 2C 00 00 00 0F B6 C2 83 C0 E5 83 F8 04 0F 87 37 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 41 08 E9 12 01 00 00 C7 41 08 01 00 00 00 E9 06 01 00 00 C7 41 08 03 00 00 00 E9 FA 00 00 00 C7 41 08 02 00 00 00 E9 EE 00 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 2D 00 00 00 0F B6 C2 83 C0 E0 83 F8 04 0F 87 D0 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 41 08 E9 AB 00 00 00 C7 41 08 01 00 00 00 E9 9F 00 00 00 C7 41 08 03 00 00 00 E9 93 00 00 00 C7 41 08 02 00 00 00 E9 87 00 00 00 C7 41 08 03 00 00 00 C3 C7 41 04 2E 00 00 00 0F B6 C2 83 C0 DB 83 F8 04 77 6D FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 89 41 08 EB 4B C7 41 08 01 00 00 00 EB 42 C7 41 08 03 00 00 00 EB 39 C7 41 08 02 00 00 00 EB 30 C7 41 08 03 00 00 00 C3 C7 41 04 2F 00 00 00 C7 41 08 2A 00 00 00 C3 C7 41 04 30 00 00 00 C7 41 08 2B 00 00 00 C3 33 C0 89 41 04 33 C0 89 41 08 C3 }
	condition:
		$1
}

rule function_86106_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 68
	strings:
		$1 = { C6 01 14 80 EA 02 74 0A FE CA 74 13 FE CA 74 1C EB 27 C7 41 04 16 00 00 00 33 C0 89 41 08 C3 C7 41 04 17 00 00 00 33 C0 89 41 08 C3 C7 41 04 18 00 00 00 33 C0 89 41 08 C3 33 C0 89 41 04 33 C0 89 41 08 C3 }
	condition:
		$1
}

rule function_86109_0 {
	meta:
		name = "TCustomStyle.LoadFromStream"
		size = 58
		refs = "0007 _DV_TCustomStyle 000c TCustomStyle.Create 0030 TObject.Free"
	strings:
		$1 = { 53 51 8B DA B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 8B 04 24 8B 80 B8 00 00 00 8B D3 8B 08 FF 51 28 84 C0 75 0D 8B 04 24 33 D2 89 14 24 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_86110_0 {
	meta:
		name = "TCustomStyle.SaveToStream"
		size = 103
		refs = "0013 TCustomStyle.SaveToStream 0050 TSeStyleConfig 0055 @FinalizeRecord 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 83 B8 00 00 00 8B 00 FF 50 20 80 7D F5 00 74 0D 8B D6 8B 83 B8 00 00 00 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86111_0 {
	meta:
		name = "TCustomStyle.SourceLoaded"
		size = 38
		refs = "0014 TSeStyleSource.GetCount"
	strings:
		$1 = { 53 56 8B D8 8B 83 B8 00 00 00 8B 70 24 85 F6 74 0B 8B C6 E8 ?? ?? ?? ?? 85 C0 7F 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_86121_0 {
	meta:
		name = "TCustomStyle.GetElementDetails"
		size = 15
		altNames = "TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 29 33 C0 89 41 04 0F B6 C2 89 41 08 C3 }
	condition:
		$1
}

rule function_86128_0 {
	meta:
		name = "TCustomStyle.PaintBorder"
		size = 721
		refs = "0015 TWinControl.GetHandle 0021 GetWindowLongPtr 005b GetWindowRect 0070 OffsetRect 007e GetWindowDC 0089 TCustomStyle.PaintBorder 00d2 GetSystemMetrics 00f0 InflateRect 0107 TControl.UseRightToLeftScrollBar 0126 Rect 0163 _Dn_TGDIHandleRecall 0168 TGDIHandleRecall.Create 018c TCustomStyleServices.GetSystemColor 0196 TBrush.SetColor 01b5 TObject.Free 01bb @HandleFinally 01e8 ExcludeClipRect 0209 TCustomStyleServices.DrawElement 0240 TBrush.SetStyle 0272 TCanvas.GetHandle 02be ReleaseDC"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 8B D9 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F8 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? F6 45 F1 02 75 0B A9 00 00 80 00 0F 84 7D 02 00 00 8D 45 CC 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 D0 F7 D8 50 8B 45 CC F7 D8 50 8D 45 CC 50 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F4 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 75 CC 8D 7D DC A5 A5 A5 A5 84 DB 0F 84 1C 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? A9 00 00 10 00 0F 84 FD 00 00 00 A9 00 00 20 00 0F 84 F2 00 00 00 6A 02 E8 ?? ?? ?? ?? 8B F0 6A 03 E8 ?? ?? ?? ?? 8B D8 F6 45 F1 02 74 0F 6A FE 6A FE 8D 45 DC 50 E8 ?? ?? ?? ?? EB 0D 6A FF 6A FF 8D 45 DC 50 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 27 8B 45 E8 50 8D 45 B0 50 8B 7D DC 8B CF 03 CE 8B 55 E8 2B D3 8B C7 E8 ?? ?? ?? ?? 8D 75 B0 8D 7D DC A5 A5 A5 A5 EB 25 8B 45 E8 50 8D 45 B0 50 8B 55 E8 2B D3 8B 7D E4 8B C7 2B C6 8B CF E8 ?? ?? ?? ?? 8D 75 B0 8D 7D DC A5 A5 A5 A5 6A 06 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 58 04 BA 0F 00 00 FF 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 43 48 E8 ?? ?? ?? ?? 8D 55 DC 8B C3 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 F6 45 F1 02 74 4B 8B 45 D8 83 E8 02 50 8B 45 D4 83 E8 02 50 8B 45 D0 83 C0 02 50 8B 45 CC 83 C0 02 50 8B 45 F4 50 E8 ?? ?? ?? ?? 8D 4D C0 B2 02 8B 45 FC 8B 18 FF 53 7C 8D 45 CC 50 6A 00 8D 4D C0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? E9 91 00 00 00 6A 06 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 58 04 8B 43 48 33 D2 E8 ?? ?? ?? ?? BA 06 00 00 FF 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 43 48 E8 ?? ?? ?? ?? 8B 45 D8 48 50 8B 45 D4 48 50 8B 45 D0 40 50 8B 45 CC 40 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 55 CC 8B C3 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86131_0 {
	meta:
		name = "TStyleEngine.DoRemoveControl"
		size = 127
		refs = "000c TStyleEngine.FControls 001b TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.ContainsKey 0026 TWinControl.GetControlCount 0039 TWinControl.GetControl 0043 _Dn_TWinControl 0048 @IsClass 0064 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.GetItem 0069 TObject.Free 0075 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Remove"
	strings:
		$1 = { 53 56 57 55 51 8B FA 89 04 24 83 3D ?? ?? ?? ?? 00 74 66 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 56 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2B 46 33 ED 8B D5 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B D3 8B 04 24 FF 50 10 45 4E 75 D8 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86132_0 {
	meta:
		name = "TStyleEngine.DoUnregisterStyleHook"
		size = 162
		refs = "0011 TStyleEngine.FControls 0016 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.GetEnumerator 0021 TStyleEngine.DoUnregisterStyleHook 0033 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TPairEnumerator.GetCurrent 003c @IsClass 0053 TStyleManager.GetSystemStyle 005a _Dn_TStyleManager 005f TStyleManager.SetStyle 0064 @TryFinallyExit 006e TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TPairEnumerator.MoveNext 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8B DA 8D 7D F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 3D 8B D7 8B 45 F4 E8 ?? ?? ?? ?? 8B 07 8B D3 E8 ?? ?? ?? ?? 84 C0 74 26 8B 47 04 8B D6 E8 ?? ?? ?? ?? 84 C0 74 18 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 31 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86133_0 {
	meta:
		name = "TStyleEngine.FreeControlHooks"
		size = 117
		refs = "0007 TStyleEngine.FControls 000c TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.GetEnumerator 0017 TStyleEngine.FreeControlHooks 002a TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TPairEnumerator.GetCurrent 0032 TObject.Free 003a TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.TPairEnumerator.MoveNext 0061 @HandleFinally 006d TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Clear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_86134_0 {
	meta:
		name = "CreateStyleHook"
		size = 153
		refs = "0013 CreateStyleHook 002a TList<Vcl.Themes.TStyleHookClass>.GetItem 0049 TObject.ClassName 005f SStyleHookClassNotFound 0066 _Dn_EStyleEngineException 006b Exception.CreateResFmt 0070 @RaiseExcept 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 08 85 F6 7E 19 8B D6 4A 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B 4A FC B2 01 FF 50 18 8B D8 EB 37 8D 55 F4 8B 45 08 8B 40 FC 8B 00 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86135_0 {
	meta:
		name = "TStyleEngine.HandleMessage"
		size = 295
		refs = "001a TStyleEngine.FControls 001f TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.ContainsKey 0033 TCustomStyleEngine.FRegisteredStyleHooks 003c TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.ContainsKey 0056 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.GetItem 005b CreateStyleHook 006d TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.GetEnumerator 0078 TStyleEngine.HandleMessage 008b TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TPairEnumerator.GetCurrent 0098 TObject.InheritsFrom 00b3 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TPairEnumerator.MoveNext 00da @HandleFinally 00f2 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.Add 0101 TDictionary<System.Classes.TComponent,Vcl.Themes.TStyleHook>.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 89 4D F8 89 55 FC C6 45 F7 00 33 C0 89 45 F0 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 CD 00 00 00 8B 45 FC 8B 00 89 C3 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 84 C0 74 21 8B 45 FC 8B 00 89 C3 55 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 89 45 F0 EB 7B A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2B 8D 55 E8 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 FC 8B 00 8B 55 E8 E8 ?? ?? ?? ?? 84 C0 74 0F 55 8B 45 EC E8 ?? ?? ?? ?? 59 89 45 F0 EB 0C 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 83 7D F0 00 74 22 8B 4D F0 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 0E 8B 55 F8 8B 45 F0 8B 08 FF 51 1C 88 45 F7 0F B6 45 F7 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_86136_0 {
	meta:
		name = "TStyleEngine.Notification"
		size = 31
	strings:
		$1 = { 53 80 EA 01 72 04 74 09 EB 13 8B D1 FF 50 10 5B C3 8B D1 8B 1A 8B 4A 04 8B D3 FF 50 14 5B C3 }
	condition:
		$1
}

rule function_86137_0 {
	meta:
		name = "TCustomStyleTabSetElements.GetElementColor"
		size = 535
		refs = "003e TSeStyleColors.GetColor 0058 TUxThemeTabSetElements.GetElementColor 0072 TCustomStyleTabSetElements.GetElementColor 00bf TSeStyleSysColors.GetColor 010d TSeStyleFonts.GetFont 01c2 GetHighLightColor"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B 55 0C 8B 7D 10 B3 01 8B CF 80 E9 02 74 11 FE C9 74 44 FE C9 0F 84 0E 01 00 00 E9 CF 01 00 00 8B CA FE C9 75 1A 8B 86 B8 00 00 00 8B 40 04 B2 16 E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 C1 01 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 AA 01 00 00 0F B6 CA 83 F9 07 0F 87 AF 00 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 86 B8 00 00 00 8B 40 04 B2 0E E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 5D 01 00 00 8B 86 B8 00 00 00 8B 40 14 BA 10 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 40 01 00 00 8B 86 B8 00 00 00 8B 40 04 B2 0D E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 26 01 00 00 8B 86 B8 00 00 00 8B 40 04 B2 0E E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 0C 01 00 00 8B 86 B8 00 00 00 8B 40 08 B2 33 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 EF 00 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 D8 00 00 00 0F B6 CA 83 F9 06 0F 87 A6 00 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 86 B8 00 00 00 8B 40 04 B2 0D E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 8F 00 00 00 8B 86 B8 00 00 00 8B 40 04 B2 0D E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 78 8B 86 B8 00 00 00 8B 40 04 B2 0E E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 61 8B 86 B8 00 00 00 8B 40 04 B2 0D E8 ?? ?? ?? ?? BA 13 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 40 8B 86 B8 00 00 00 8B 40 08 B2 36 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 26 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 EB 12 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_86138_0 {
	meta:
		name = "TCustomStyleGridElements.DrawEdge"
		size = 83
		refs = "002f DrawStyleEdge"
		altNames = "TCustomStyleToolBarElements.DrawEdge TUxThemeStyleElements.DrawEdge"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B D9 8B 45 08 8B 55 10 C6 45 FF 01 8B 4D 14 8B F1 8D 7D EC A5 A5 A5 A5 85 C0 74 10 8B 4D 0C 51 8B CA 8B D3 92 E8 ?? ?? ?? ?? EB 11 8B 45 0C 50 8D 45 EC 8B CA 8B D3 92 E8 ?? ?? ?? ?? 0F B6 45 FF 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_86139_0 {
	meta:
		name = "TCustomStyleGridElements.DrawElement"
		size = 400
		refs = "0020 TCustomStyleGridElements.DrawElement 004b DrawBitmapElement 00c0 TUxThemeGridElements.DrawElement"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 0C 8B 75 10 8B DE 83 E3 7F 83 C3 DF 83 FB 04 0F 87 98 00 00 00 FF 24 9D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C7 91 92 E8 ?? ?? ?? ?? EB 73 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C7 91 92 E8 ?? ?? ?? ?? EB 5A 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C7 91 92 E8 ?? ?? ?? ?? EB 41 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C7 91 92 E8 ?? ?? ?? ?? EB 28 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C7 91 92 E8 ?? ?? ?? ?? EB 0F 8B 5D 14 53 56 57 8B 5D 08 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 42 00 47 00 72 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 75 00 72 00 41 00 72 00 72 00 6F 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 75 00 72 00 45 00 64 00 69 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 75 00 72 00 49 00 6E 00 73 00 65 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 75 00 72 00 4D 00 75 00 6C 00 74 00 69 00 44 00 6F 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 75 00 72 00 4D 00 75 00 6C 00 74 00 69 00 41 00 72 00 72 00 6F 00 77 00 00 00 }
	condition:
		$1
}

rule function_86140_0 {
	meta:
		name = "TCustomStyleGridElements.GetElementColor"
		size = 1785
		refs = "0025 TCustomStyleGridElements.GetElementColor 00af TSeStyleSysColors.GetColor 00c9 TSeStyleColors.GetColor 00e3 TSeStyleFonts.GetFont 0100 TUxThemeGridElements.GetElementColor 02db GetHighLightColor 0302 GetShadowColor"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B 55 0C 8B 7D 10 B3 01 8B CF 83 E1 7F 83 F9 19 0F 87 BB 06 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B CA 80 E9 01 72 08 74 23 FE C9 74 39 EB 54 8B 86 B8 00 00 00 8B 40 14 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 32 06 00 00 8B 86 B8 00 00 00 8B 40 04 B2 0C E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 18 06 00 00 8B 86 B8 00 00 00 8B 40 08 B2 4E E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 FB 05 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 E4 05 00 00 8B CA 80 E9 02 75 1D 8B 86 B8 00 00 00 8B 40 08 B2 4F E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 C0 05 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 A9 05 00 00 8B CA 80 E9 01 72 08 74 23 FE C9 74 39 EB 54 8B 86 B8 00 00 00 8B 40 14 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 7D 05 00 00 8B 86 B8 00 00 00 8B 40 04 B2 0C E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 63 05 00 00 8B 86 B8 00 00 00 8B 40 08 B2 50 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 46 05 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 2F 05 00 00 8B CA 80 E9 02 75 1D 8B 86 B8 00 00 00 8B 40 08 B2 51 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 0B 05 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 F4 04 00 00 8B CA 80 E9 02 75 1D 8B 86 B8 00 00 00 8B 40 08 B2 52 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 D0 04 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 B9 04 00 00 8B CA 80 E9 01 72 08 74 23 FE C9 74 39 EB 54 8B 86 B8 00 00 00 8B 40 14 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 8D 04 00 00 8B 86 B8 00 00 00 8B 40 04 B2 0C E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 73 04 00 00 8B 86 B8 00 00 00 8B 40 08 B2 4E E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 56 04 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 3F 04 00 00 8B CA 80 E9 02 74 59 80 E9 07 74 06 FE C9 74 29 EB 6B 8B 86 B8 00 00 00 8B 40 14 BA 0D 00 00 FF E8 ?? ?? ?? ?? BA 0A 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 06 04 00 00 8B 86 B8 00 00 00 8B 40 14 BA 0D 00 00 FF E8 ?? ?? ?? ?? BA EC FF FF FF E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 DF 03 00 00 8B 86 B8 00 00 00 8B 40 08 B2 4F E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 C2 03 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 AB 03 00 00 8B CA 80 E9 01 72 0F FE C9 74 5C 80 E9 07 74 23 FE C9 74 39 EB 6E 8B 86 B8 00 00 00 8B 40 14 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 78 03 00 00 8B 86 B8 00 00 00 8B 40 04 B2 0D E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 5E 03 00 00 8B 86 B8 00 00 00 8B 40 04 B2 0E E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 44 03 00 00 8B 86 B8 00 00 00 8B 40 08 B2 50 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 27 03 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 10 03 00 00 8B CA 80 E9 02 74 53 80 E9 07 74 06 FE C9 74 26 EB 65 8B 86 B8 00 00 00 8B 40 04 B2 0D E8 ?? ?? ?? ?? BA 13 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 DA 02 00 00 8B 86 B8 00 00 00 8B 40 04 B2 0E E8 ?? ?? ?? ?? BA 13 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 B6 02 00 00 8B 86 B8 00 00 00 8B 40 08 B2 51 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 99 02 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 82 02 00 00 8B CA 80 E9 02 74 3F 80 E9 07 74 06 FE C9 74 1C EB 51 8B 86 B8 00 00 00 8B 40 04 B2 0E E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 56 02 00 00 8B 86 B8 00 00 00 8B 40 04 B2 0D E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 3C 02 00 00 8B 86 B8 00 00 00 8B 40 08 B2 52 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 1F 02 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 08 02 00 00 8B CA 80 E9 01 72 08 74 23 FE C9 74 39 EB 54 8B 86 B8 00 00 00 8B 40 14 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 DC 01 00 00 8B 86 B8 00 00 00 8B 40 04 B2 0C E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 C2 01 00 00 8B 86 B8 00 00 00 8B 40 08 B2 4E E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 A5 01 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 8E 01 00 00 8B CA FE C9 74 06 FE C9 74 1F EB 3A 8B 86 B8 00 00 00 8B 40 14 BA 0D 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 65 01 00 00 8B 86 B8 00 00 00 8B 40 08 B2 4F E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 48 01 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 31 01 00 00 8B CA 80 E9 01 72 08 74 23 FE C9 74 39 EB 54 8B 86 B8 00 00 00 8B 40 14 BA 10 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 05 01 00 00 8B 86 B8 00 00 00 8B 40 04 B2 0E E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 EB 00 00 00 8B 86 B8 00 00 00 8B 40 08 B2 50 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 CE 00 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 B7 00 00 00 8B CA FE C9 74 06 FE C9 74 1C EB 34 8B 86 B8 00 00 00 8B 40 04 B2 0D E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 91 00 00 00 8B 86 B8 00 00 00 8B 40 08 B2 51 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 77 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 EB 63 8B CA FE C9 74 06 FE C9 74 19 EB 31 8B 86 B8 00 00 00 8B 40 04 B2 0D E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 40 8B 86 B8 00 00 00 8B 40 08 B2 52 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 26 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 EB 12 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_86141_0 {
	meta:
		name = "TCustomStyleCategoryPanelGroupElements.DrawElement"
		size = 468
		refs = "001d TCustomStyleCategoryPanelGroupElements.DrawElement 006f DrawBitmapElement 008d DrawButtonElement 0128 TUxThemeCategoryPanelGroupElements.DrawElement"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 0C 8B 75 10 8B DE 83 E3 7F 83 FB 13 0F 87 03 01 00 00 0F B6 9B ?? ?? ?? ?? FF 24 9D ?? ?? ?? ?? 00 00 00 00 01 00 00 00 00 00 00 00 00 00 02 03 04 05 06 07 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C7 91 92 E8 ?? ?? ?? ?? E9 B4 00 00 00 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 8B C7 91 92 E8 ?? ?? ?? ?? E9 96 00 00 00 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 05 8B C7 91 92 E8 ?? ?? ?? ?? EB 7B 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 06 8B C7 91 92 E8 ?? ?? ?? ?? EB 60 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 8B C7 91 92 E8 ?? ?? ?? ?? EB 45 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 05 8B C7 91 92 E8 ?? ?? ?? ?? EB 2A 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 06 8B C7 91 92 E8 ?? ?? ?? ?? EB 0F 8B 5D 14 53 56 57 8B 5D 08 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 43 00 61 00 74 00 65 00 67 00 6F 00 72 00 79 00 50 00 61 00 6E 00 65 00 6C 00 47 00 72 00 6F 00 75 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 65 00 61 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 68 00 65 00 76 00 72 00 6F 00 6E 00 4F 00 70 00 65 00 6E 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 68 00 65 00 76 00 72 00 6F 00 6E 00 43 00 6C 00 6F 00 73 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_86142_0 {
	meta:
		name = "TCustomStyleCategoryPanelGroupElements.DrawText"
		size = 275
		refs = "002b TCustomStyleCategoryPanelGroupElements.DrawText 003e GetTextColor 0078 ColorToRGB 0082 SetTextColor 009a @UStrLAsg 00a2 TTextFormatFlags.&op_Implicit 00b7 @UStrToPWChar 00be DrawText 00e3 @HandleFinally 00fa @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D FC 8B 75 08 8D 7D CC 51 B9 08 00 00 00 F3 A5 59 89 4D F8 8B FA 8B D8 8B 75 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 01 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 18 50 6A 02 8D 45 EC 50 8B 4D 1C 8B D7 8B C3 FF 50 14 84 C0 74 1B 81 7D EC FF FF FF 1F 74 12 8B 45 EC E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B DE 85 DB 74 05 83 EB 04 8B 1B 8B 7D F8 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 56 8B 45 10 50 53 8B 45 FC E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_86143_0 {
	meta:
		name = "TCustomStyleCategoryPanelGroupElements.GetElementColor"
		size = 450
		refs = "0025 TCustomStyleCategoryPanelGroupElements.GetElementColor 0067 TSeStyleColors.GetColor 0081 TUxThemeCategoryPanelGroupElements.GetElementColor 00de TSeStyleFonts.GetFont"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B 55 0C 8B 7D 10 B3 01 8B CF 83 E1 7F 83 F9 0A 0F 87 84 01 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B CA FE C9 75 1A 8B 86 B8 00 00 00 8B 40 04 B2 02 E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 43 01 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 2C 01 00 00 8B CA 80 E9 02 74 3F 80 E9 07 74 06 FE C9 74 1C EB 51 8B 86 B8 00 00 00 8B 40 04 B2 0E E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 00 01 00 00 8B 86 B8 00 00 00 8B 40 04 B2 0D E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 E6 00 00 00 8B 86 B8 00 00 00 8B 40 08 B2 47 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 C9 00 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 B2 00 00 00 8B CA 80 E9 02 75 1D 8B 86 B8 00 00 00 8B 40 08 B2 47 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 8E 00 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 EB 7A 8B CA FE C9 75 1A 8B 86 B8 00 00 00 8B 40 08 B2 47 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 5A 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 EB 46 8B CA FE C9 75 1A 8B 86 B8 00 00 00 8B 40 08 B2 48 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 26 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 EB 12 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_86144_0 {
	meta:
		name = "TCustomStyleCategoryPanelGroupElements.GetElementSize"
		size = 50
		refs = "0017 TSize.Create"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 B3 01 B9 10 00 00 00 BA 10 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 89 10 8B 55 FC 89 50 04 8B C3 5B 59 59 5D C2 14 00 }
	condition:
		$1
}

rule function_86145_0 {
	meta:
		name = "TCustomStylePanelElements.GetElementColor"
		size = 751
		refs = "0025 TCustomStylePanelElements.GetElementColor 0069 TSeStyleColors.GetColor 0083 TSeStyleFonts.GetFont 00a0 TUxThemePanelElements.GetElementColor 00c7 TSeStyleSysColors.GetColor 01c8 GetHighLightColor"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B 55 0C 8B 7D 10 B3 01 8B CF 83 E1 7F 83 F9 09 0F 87 B1 02 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B CA FE C9 74 06 FE C9 74 1C EB 37 8B 86 B8 00 00 00 8B 40 04 B2 13 E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 6E 02 00 00 8B 86 B8 00 00 00 8B 40 08 B2 08 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 51 02 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 3A 02 00 00 8B CA 80 E9 04 74 06 FE C9 74 1F EB 3A 8B 86 B8 00 00 00 8B 40 14 BA 14 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 10 02 00 00 8B 86 B8 00 00 00 8B 40 14 BA 10 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 F3 01 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 DC 01 00 00 8B CA 80 E9 01 72 08 74 23 FE C9 74 3C EB 57 8B 86 B8 00 00 00 8B 40 14 BA 06 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 B0 01 00 00 8B 86 B8 00 00 00 8B 40 14 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 93 01 00 00 8B 86 B8 00 00 00 8B 40 08 B2 08 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 76 01 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 5F 01 00 00 8B CA 80 E9 01 72 08 74 23 FE C9 74 43 EB 5E 8B 86 B8 00 00 00 8B 40 14 BA 06 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 33 01 00 00 8B 86 B8 00 00 00 8B 40 04 B2 13 E8 ?? ?? ?? ?? BA 32 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 0F 01 00 00 8B 86 B8 00 00 00 8B 40 08 B2 08 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 F2 00 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 DB 00 00 00 0F B6 CA 83 F9 07 0F 87 A9 00 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 86 B8 00 00 00 8B 40 08 B2 0E E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 8B 00 00 00 8B 86 B8 00 00 00 8B 40 14 BA 16 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 71 8B 86 B8 00 00 00 8B 40 14 BA 10 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 57 8B 86 B8 00 00 00 8B 40 14 BA 14 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 3D 8B 86 B8 00 00 00 8B 40 04 B2 16 E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 26 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 EB 12 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_86146_0 {
	meta:
		name = "TCustomStyleCategoryButtonElements.DrawElement"
		size = 360
		refs = "0020 TCustomStyleCategoryButtonElements.DrawElement 004d DrawButtonElement 009c DrawBitmapElement 00c6 TUxThemeCategoryButtonElements.DrawElement"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 0C 8B 75 10 8B DE 83 E3 7F 83 C3 FB 83 FB 04 0F 87 9E 00 00 00 FF 24 9D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 8B C7 91 92 E8 ?? ?? ?? ?? EB 77 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 05 8B C7 91 92 E8 ?? ?? ?? ?? EB 5C 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 06 8B C7 91 92 E8 ?? ?? ?? ?? EB 41 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C7 91 92 E8 ?? ?? ?? ?? EB 28 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C7 91 92 E8 ?? ?? ?? ?? EB 0F 8B 5D 14 53 56 57 8B 5D 08 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 61 00 74 00 65 00 67 00 6F 00 72 00 79 00 42 00 75 00 74 00 74 00 6F 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 61 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 68 00 65 00 76 00 72 00 6F 00 6E 00 4F 00 70 00 65 00 6E 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 68 00 65 00 76 00 72 00 6F 00 6E 00 43 00 6C 00 6F 00 73 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_86147_0 {
	meta:
		name = "TCustomStyleCategoryButtonElements.GetElementColor"
		size = 993
		refs = "0025 TCustomStyleCategoryButtonElements.GetElementColor 006b TSeStyleColors.GetColor 0085 TUxThemeCategoryButtonElements.GetElementColor 010f TSeStyleFonts.GetFont 012f TSeStyleSysColors.GetColor"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B 55 0C 8B 7D 10 B3 01 8B CF 83 E1 7F 83 F9 0B 0F 87 A3 03 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B CA FE C9 75 1A 8B 86 B8 00 00 00 8B 40 04 B2 01 E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 5E 03 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 47 03 00 00 0F B6 CA 83 F9 0A 0F 87 BB 00 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 86 B8 00 00 00 8B 40 04 B2 18 E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 EE 02 00 00 8B 86 B8 00 00 00 8B 40 04 B2 19 E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 D4 02 00 00 8B 86 B8 00 00 00 8B 40 08 B2 45 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 B7 02 00 00 8B 86 B8 00 00 00 8B 40 14 BA 14 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 9A 02 00 00 8B 86 B8 00 00 00 8B 40 04 B2 19 E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 80 02 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 69 02 00 00 0F B6 CA 83 F9 0A 0F 87 BB 00 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 86 B8 00 00 00 8B 40 04 B2 0E E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 10 02 00 00 8B 86 B8 00 00 00 8B 40 04 B2 0D E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 F6 01 00 00 8B 86 B8 00 00 00 8B 40 08 B2 46 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 D9 01 00 00 8B 86 B8 00 00 00 8B 40 14 BA 14 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 BC 01 00 00 8B 86 B8 00 00 00 8B 40 04 B2 0E E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 A2 01 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 8B 01 00 00 8B CA 80 E9 01 72 21 FE C9 75 3A 8B 86 B8 00 00 00 8B 40 08 B2 42 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 63 01 00 00 8B 86 B8 00 00 00 8B 40 14 BA 14 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 46 01 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 2F 01 00 00 8B CA 80 E9 01 72 21 FE C9 75 3A 8B 86 B8 00 00 00 8B 40 08 B2 43 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 07 01 00 00 8B 86 B8 00 00 00 8B 40 14 BA 14 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 EA 00 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 D3 00 00 00 8B CA 80 E9 01 72 21 FE C9 75 3A 8B 86 B8 00 00 00 8B 40 08 B2 44 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 AB 00 00 00 8B 86 B8 00 00 00 8B 40 14 BA 14 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 8E 00 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 EB 7A 8B CA FE C9 75 1A 8B 86 B8 00 00 00 8B 40 08 B2 42 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 5A 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 EB 46 8B CA FE C9 75 1A 8B 86 B8 00 00 00 8B 40 08 B2 42 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 26 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 EB 12 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_86148_0 {
	meta:
		name = "TCustomStyleTextLabelElements.DrawText"
		size = 341
		refs = "003e TTextFormatFlags.&op_Implicit 0093 ColorToRGB 009d SetTextColor 00a9 SaveDC 00b4 TCustomStyleTextLabelElements.DrawText 00c5 SetBkMode 00e0 @UStrToPWChar 00ea DrawText 0104 RestoreDC 0120 @HandleFinally 0141 TUxThemeTextLabelElements.DrawText"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 8B 75 08 8D 7D C4 51 B9 08 00 00 00 F3 A5 59 89 4D F8 89 55 FC 8B D8 8B 7D 14 8B 75 18 C6 45 F7 01 8B 45 10 56 57 8B F0 8D 7D B4 A5 A5 A5 A5 5F 5E 8B 45 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B C6 04 FE 2C 02 0F 83 D0 00 00 00 C7 45 E8 FF FF FF 1F C7 45 EC FF FF FF 1F 56 6A 02 8D 45 EC 50 8B 4D 1C 8B 55 FC 8B C3 FF 50 14 84 C0 75 0C F6 45 C4 01 74 06 8B 45 C8 89 45 EC 81 7D EC FF FF FF 1F 74 15 8B 45 EC E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 E8 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8B 45 F8 50 E8 ?? ?? ?? ?? 8B DF 85 DB 74 05 83 EB 04 8B 1B 8B 45 F0 50 8D 45 B4 50 53 8B C7 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 50 8B 45 F8 50 E8 ?? ?? ?? ?? 81 7D E8 FF FF FF 1F 74 0D 8B 45 E8 50 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B 45 1C 50 56 57 8B 45 10 50 8B 45 0C 50 8D 45 C4 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 88 45 F7 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_86149_0 {
	meta:
		name = "TCustomStyleTextLabelElements.GetElementColor"
		size = 216
		refs = "0037 TSeStyleFonts.GetFont 0054 TUxThemeTextLabelElements.GetElementColor 009d GetShadowColor"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B 55 0C 8B 7D 10 B3 01 8B CF 80 E9 02 74 09 FE C9 74 3D E9 98 00 00 00 8B CA 80 E9 02 75 1D 8B 86 B8 00 00 00 8B 40 08 B2 04 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 86 00 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 EB 72 8B CA 80 E9 02 74 07 80 E9 0C 74 1C EB 3E 8B 86 B8 00 00 00 8B 40 08 B2 07 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 4A 8B 86 B8 00 00 00 8B 40 08 B2 07 E8 ?? ?? ?? ?? 8B 40 18 BA CE FF FF FF E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 26 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 EB 12 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_86150_0 {
	meta:
		name = "TCustomStyleControlBarElements.GetElementColor"
		size = 140
		refs = "0037 TSeStyleSysColors.GetColor 0068 TUxThemeControlBarElements.GetElementColor"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B 55 0C 8B 7D 10 B3 01 8B CF 80 E9 02 75 55 8B CA 80 E9 09 74 06 FE C9 74 1C EB 34 8B 86 B8 00 00 00 8B 40 14 BA 16 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 40 8B 86 B8 00 00 00 8B 40 14 BA 15 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 26 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 EB 12 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_86151_0 {
	meta:
		name = "TCustomStyleHintElements.GetElementColor"
		size = 323
		refs = "0042 TSeStyleColors.GetColor 0079 TSeStyleSysColors.GetColor 0093 TUxThemeHintElements.GetElementColor"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B 55 0C 8B 7D 10 B3 01 8B CF 80 E9 02 74 09 FE C9 74 7F E9 03 01 00 00 8B CA 80 E9 02 74 3F 80 E9 07 74 06 FE C9 74 1C EB 51 8B 86 B8 00 00 00 8B 40 04 B2 0F E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 E9 00 00 00 8B 86 B8 00 00 00 8B 40 04 B2 1D E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 CF 00 00 00 8B 86 B8 00 00 00 8B 40 14 BA 08 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 B2 00 00 00 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 E9 9B 00 00 00 8B CA 80 E9 01 72 0F FE C9 74 50 80 E9 07 74 1D FE C9 74 30 EB 5F 8B 86 B8 00 00 00 8B 40 04 33 D2 E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 6E 8B 86 B8 00 00 00 8B 40 04 B2 0F E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 57 8B 86 B8 00 00 00 8B 40 04 B2 1D E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 40 8B 86 B8 00 00 00 8B 40 14 BA 08 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 26 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 EB 12 57 52 8B 55 08 52 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_86152_0 {
	meta:
		name = "DrawToolItem"
		size = 100
		refs = "001d ToolItemInfo 0026 DrawToolItem"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 88 55 FF 8B D8 8D 45 E8 50 0F B6 4D FF 8B D3 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 8D 45 E8 50 68 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 48 04 8B 45 08 8B 40 FC B2 01 8B 18 FF 93 BC 01 00 00 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86153_0 {
	meta:
		name = "TCustomStyleToolBarElements.DrawElement"
		size = 1024
		refs = "0024 _Dn_TGDIHandleRecall 0029 TGDIHandleRecall.Create 0034 TCustomStyleToolBarElements.DrawElement 012d DrawToolItem 02b3 ToolItemInfo 02fe DrawButtonElement 034d ToolInfo 037e TObject.Free 0384 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F9 8B F2 8B 5D 10 C6 45 F7 01 8B 86 B8 00 00 00 89 45 FC 6A 06 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 0F B6 D0 83 FA 34 0F 87 FA 02 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 33 D2 33 C0 E8 ?? ?? ?? ?? 59 E9 36 02 00 00 55 B2 01 33 C0 E8 ?? ?? ?? ?? 59 E9 26 02 00 00 55 B2 02 33 C0 E8 ?? ?? ?? ?? 59 E9 16 02 00 00 55 B2 03 33 C0 E8 ?? ?? ?? ?? 59 E9 06 02 00 00 55 B2 05 33 C0 E8 ?? ?? ?? ?? 59 E9 F6 01 00 00 55 B2 06 33 C0 E8 ?? ?? ?? ?? 59 E9 E6 01 00 00 55 33 D2 B0 05 E8 ?? ?? ?? ?? 59 E9 D6 01 00 00 55 B2 01 B0 05 E8 ?? ?? ?? ?? 59 E9 C6 01 00 00 55 B2 02 B0 05 E8 ?? ?? ?? ?? 59 E9 B6 01 00 00 55 B2 03 B0 05 E8 ?? ?? ?? ?? 59 E9 A6 01 00 00 55 B2 05 B0 05 E8 ?? ?? ?? ?? 59 E9 96 01 00 00 55 B2 06 B0 05 E8 ?? ?? ?? ?? 59 E9 86 01 00 00 55 33 D2 B0 03 E8 ?? ?? ?? ?? 59 E9 76 01 00 00 55 B2 01 B0 03 E8 ?? ?? ?? ?? 59 E9 66 01 00 00 55 B2 02 B0 03 E8 ?? ?? ?? ?? 59 E9 56 01 00 00 55 B2 03 B0 03 E8 ?? ?? ?? ?? 59 E9 46 01 00 00 55 B2 05 B0 03 E8 ?? ?? ?? ?? 59 E9 36 01 00 00 55 B2 06 B0 03 E8 ?? ?? ?? ?? 59 E9 26 01 00 00 55 33 D2 B0 04 E8 ?? ?? ?? ?? 59 E9 16 01 00 00 55 B2 01 B0 04 E8 ?? ?? ?? ?? 59 E9 06 01 00 00 55 B2 02 B0 04 E8 ?? ?? ?? ?? 59 E9 F6 00 00 00 55 B2 03 B0 04 E8 ?? ?? ?? ?? 59 E9 E6 00 00 00 55 B2 05 B0 04 E8 ?? ?? ?? ?? 59 E9 D6 00 00 00 55 B2 06 B0 04 E8 ?? ?? ?? ?? 59 E9 C6 00 00 00 8D 45 E0 50 8B 45 0C 33 C9 B2 01 E8 ?? ?? ?? ?? 8D 45 E0 50 68 ?? ?? ?? ?? 8B 45 F8 8B 48 04 B2 01 8B 45 FC 8B 18 FF 93 BC 01 00 00 E9 95 00 00 00 2C 32 74 0A FE C8 74 24 FE C8 74 3E EB 5A 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 8B 4D 0C 8B D7 8B C6 E8 ?? ?? ?? ?? EB 69 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 05 8B 4D 0C 8B D7 8B C6 E8 ?? ?? ?? ?? EB 4B 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 06 8B 4D 0C 8B D7 8B C6 E8 ?? ?? ?? ?? EB 2D C6 45 F7 00 EB 27 8D 55 D0 8B 45 0C E8 ?? ?? ?? ?? 8D 45 D0 50 68 ?? ?? ?? ?? 8B 45 F8 8B 48 04 B2 01 8B 45 FC 8B 18 FF 93 B8 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 6F 00 6F 00 6C 00 42 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 53 00 70 00 65 00 65 00 64 00 42 00 75 00 74 00 74 00 6F 00 6E 00 5C 00 43 00 68 00 65 00 76 00 72 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 47 00 6C 00 79 00 70 00 68 00 00 00 }
	condition:
		$1
}

rule function_86155_0 {
	meta:
		name = "TCustomStyleToolBarElements.DrawText"
		size = 238
		refs = "0030 TCustomStyleToolBarElements.DrawText 0047 GetFontFromDC 006f TFont.SetColor 007b TTextFormatFlags.&op_Implicit 008d TextInfo 00b2 TObject.Free 00b8 @HandleFinally 00d0 TSeTextInfo 00d5 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 89 5D C4 89 5D C8 89 5D CC 89 5D D0 89 5D D4 8B 75 08 8D 7D D8 51 B9 08 00 00 00 F3 A5 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 8B B2 B8 00 00 00 8B C1 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 D8 01 74 11 8B 45 F8 8B 40 04 8B 40 40 8B 55 DC E8 ?? ?? ?? ?? 8D 45 C0 50 8B 45 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 10 8B 55 14 E8 ?? ?? ?? ?? 8D 4D C0 8B 45 F8 8B 50 04 8B C6 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 FF 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_86156_0 {
	meta:
		name = "TCustomStyleToolBarElements.GetElementColor"
		size = 198
		refs = "0029 TCustomStyleToolBarElements.GetElementColor 005e TSeStyleFonts.GetFont"
	strings:
		$1 = { 55 8B EC 53 56 B3 01 8B B2 B8 00 00 00 0F B6 45 0C 2C 02 0F 85 A3 00 00 00 0F B6 45 10 83 F8 0F 0F 87 82 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 01 02 03 04 03 03 00 00 01 02 03 04 03 03 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 26 8B 46 08 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 52 B2 28 8B 46 08 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 3E B2 27 8B 46 08 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 2A B2 29 8B 46 08 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 16 B2 26 8B 46 08 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 02 33 DB 8B C3 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_86157_0 {
	meta:
		name = "TCustomStyleToolBarElements.GetElementContentRect"
		size = 27
	strings:
		$1 = { 55 8B EC 56 57 B0 01 8B 55 0C 8B 4D 08 8B F2 8B F9 A5 A5 A5 A5 5F 5E 5D C2 10 00 }
	condition:
		$1
}

rule function_86159_0 {
	meta:
		name = "DrawMenuItem"
		size = 244
		refs = "0025 SaveDC 005b IntersectClipRect 0063 DrawMenuItem 0080 MenuItemInfo 00c5 RestoreDC 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 88 4D FE 88 55 FF 8B D8 33 C0 89 45 F8 8B 45 08 83 78 08 00 74 42 8B 45 08 8B 40 FC 50 E8 ?? ?? ?? ?? 89 45 F8 8B 45 08 8B 40 08 8B 40 0C 50 8B 45 08 8B 40 08 8B 40 08 50 8B 45 08 8B 40 08 8B 40 04 50 8B 45 08 8B 40 08 8B 00 50 8B 45 08 8B 40 FC 50 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 50 0F B6 4D FE 0F B6 55 FF 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 8D 45 E4 50 68 ?? ?? ?? ?? 8B D3 8B 45 08 8B 40 F4 8B 48 04 8B 45 08 8B 40 F8 8B 18 FF 93 98 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 10 8B 45 F8 50 8B 45 08 8B 40 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86160_0 {
	meta:
		name = "DrawMenuGlyph"
		size = 128
		refs = "001b MenuItemInfo 0037 MenuGlyphInfo 0040 DrawMenuGlyph"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 88 55 FF 8B D8 8D 45 E8 50 8B CB 8B 45 08 8B 40 0C 33 D2 E8 ?? ?? ?? ?? 8D 45 E8 50 0F B6 45 FF 50 8D 45 D0 50 8B 45 08 8B 40 0C B1 04 33 D2 E8 ?? ?? ?? ?? 8D 45 D0 50 68 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 48 04 8B 45 08 8B 40 F8 B2 01 8B 18 FF 93 A0 01 00 00 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86161_0 {
	meta:
		name = "DrawMenu"
		size = 92
		refs = "0013 MenuInfo 001c DrawMenu"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 8D 55 F0 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? 8D 45 F0 50 68 ?? ?? ?? ?? 8B D3 8B 45 08 8B 40 F4 8B 48 04 8B 45 08 8B 40 F8 8B 18 FF 93 94 01 00 00 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86162_0 {
	meta:
		name = "TCustomStyleMenuElements.DrawElement"
		size = 652
		refs = "001e _Dn_TGDIHandleRecall 0023 TGDIHandleRecall.Create 002e TCustomStyleMenuElements.DrawElement 00d7 DrawMenu 00e9 DrawMenuItem 0137 TRect.Inflate 015d DrawMenuGlyph 0276 TObject.Free 027c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D FC C6 45 F3 01 8B 82 B8 00 00 00 89 45 F8 6A 06 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 10 83 C0 F6 83 F8 20 0F 87 19 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 33 C0 E8 ?? ?? ?? ?? 59 E9 84 01 00 00 55 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 59 E9 72 01 00 00 55 B1 01 33 D2 33 C0 E8 ?? ?? ?? ?? 59 E9 60 01 00 00 55 B1 02 33 D2 33 C0 E8 ?? ?? ?? ?? 59 E9 4E 01 00 00 55 B1 03 33 D2 33 C0 E8 ?? ?? ?? ?? 59 E9 3C 01 00 00 8B 45 0C B9 02 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 55 B0 01 E8 ?? ?? ?? ?? 59 E9 1C 01 00 00 55 B0 01 E8 ?? ?? ?? ?? 59 E9 0E 01 00 00 55 33 D2 33 C0 E8 ?? ?? ?? ?? 59 E9 FE 00 00 00 55 33 D2 B0 03 E8 ?? ?? ?? ?? 59 E9 EE 00 00 00 55 B2 01 33 C0 E8 ?? ?? ?? ?? 59 E9 DE 00 00 00 55 B2 01 B0 03 E8 ?? ?? ?? ?? 59 E9 CE 00 00 00 55 33 C9 33 D2 B0 01 E8 ?? ?? ?? ?? 59 E9 BC 00 00 00 55 B1 01 33 D2 B0 01 E8 ?? ?? ?? ?? 59 E9 AA 00 00 00 55 B1 03 33 D2 B0 01 E8 ?? ?? ?? ?? 59 E9 98 00 00 00 55 33 C9 B2 01 B0 01 E8 ?? ?? ?? ?? 59 E9 86 00 00 00 55 B2 02 33 C0 E8 ?? ?? ?? ?? 59 EB 79 55 B2 02 B0 03 E8 ?? ?? ?? ?? 59 EB 6C 55 B2 05 33 C0 E8 ?? ?? ?? ?? 59 EB 5F 55 B2 05 B0 03 E8 ?? ?? ?? ?? 59 EB 52 55 B2 07 33 C0 E8 ?? ?? ?? ?? 59 EB 45 55 B2 07 B0 03 E8 ?? ?? ?? ?? 59 EB 38 55 B2 06 33 C0 E8 ?? ?? ?? ?? 59 EB 2B 55 B2 06 B0 03 E8 ?? ?? ?? ?? 59 EB 1E 55 B2 0A 33 C0 E8 ?? ?? ?? ?? 59 EB 11 55 B2 0A B0 03 E8 ?? ?? ?? ?? 59 EB 04 C6 45 F3 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F3 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_86163_0 {
	meta:
		name = "DrawMenuItem"
		size = 300
		refs = "0027 DrawMenuItem 0056 TTextFormatFlags.&op_Implicit 006f @UStrToPWChar 007c DrawText 0095 MenuItemInfo 00c0 TextInfo 00f8 TSeTextInfo 00fd @FinalizeRecord 0103 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 33 DB 89 5D CC 89 5D D0 89 5D D4 89 5D D8 89 5D DC 89 5D E0 88 4D FE 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 F6 40 0C 02 74 48 8B 45 08 8B 40 14 89 45 F8 8B 5D F8 85 DB 74 05 83 EB 04 8B 1B 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 10 50 53 8B 45 08 8B 40 14 E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC 50 E8 ?? ?? ?? ?? EB 64 8D 45 E4 50 0F B6 4D FE 0F B6 55 FF 8B 45 08 8B 40 10 E8 ?? ?? ?? ?? 8D 45 E4 50 8D 45 CC 50 8B 45 08 8B 40 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 50 14 8B 45 08 8B 40 10 E8 ?? ?? ?? ?? 8D 45 CC 50 68 ?? ?? ?? ?? 8B D3 8B 45 08 8B 40 F4 8B 48 04 8B 45 08 8B 40 F8 8B 18 FF 93 9C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_86164_0 {
	meta:
		name = "TCustomStyleMenuElements.DrawText"
		size = 305
		refs = "002f _Dn_TGDIHandleRecall 0034 TGDIHandleRecall.Create 003f TCustomStyleMenuElements.DrawText 00a3 DrawMenuItem 0119 TObject.Free 011f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 56 57 8B 75 08 8D 7D D0 51 B9 08 00 00 00 F3 A5 59 89 4D FC C6 45 F3 01 8B 82 B8 00 00 00 89 45 F8 6A 06 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 18 83 C0 F4 83 F8 13 0F 87 AB 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 02 03 04 04 04 00 00 00 00 00 00 00 00 00 00 05 06 07 07 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 59 EB 5E 55 B1 01 33 D2 33 C0 E8 ?? ?? ?? ?? 59 EB 4F 55 B1 02 33 D2 33 C0 E8 ?? ?? ?? ?? 59 EB 40 55 B1 03 33 D2 33 C0 E8 ?? ?? ?? ?? 59 EB 31 55 33 C9 33 D2 B0 01 E8 ?? ?? ?? ?? 59 EB 22 55 B1 01 33 D2 B0 01 E8 ?? ?? ?? ?? 59 EB 13 55 B1 03 33 D2 B0 01 E8 ?? ?? ?? ?? 59 EB 04 C6 45 F3 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F3 5F 5E 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_86165_0 {
	meta:
		name = "TCustomStyleMenuElements.GetElementColor"
		size = 499
		refs = "0020 TCustomStyleMenuElements.GetElementColor 007a TSeStyleSysColors.GetColor 009d TSeStyleFonts.GetFont 0141 TSeStyleColors.GetColor"
	strings:
		$1 = { 55 8B EC 53 56 B3 01 8B B2 B8 00 00 00 0F B6 45 10 83 C0 F6 83 F8 15 0F 87 CC 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 01 02 03 04 05 05 05 06 00 00 00 00 00 00 00 00 00 07 08 09 09 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B6 45 0C FE C8 75 17 BA 02 00 00 FF 8B 46 14 E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 63 01 00 00 33 DB E9 5C 01 00 00 0F B6 45 0C 2C 02 75 17 B2 22 8B 46 08 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 3D 01 00 00 33 DB E9 36 01 00 00 0F B6 45 0C 2C 02 75 17 B2 24 8B 46 08 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 17 01 00 00 33 DB E9 10 01 00 00 0F B6 45 0C 2C 02 75 17 B2 23 8B 46 08 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 F1 00 00 00 33 DB E9 EA 00 00 00 0F B6 45 0C 2C 02 75 17 B2 25 8B 46 08 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 E9 CB 00 00 00 33 DB E9 C4 00 00 00 0F B6 45 0C 2C 01 72 0C 74 1E 2C 03 74 2E 2C 02 74 3B EB 4A 33 D2 8B 46 04 E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 9C 00 00 00 B2 16 8B 46 04 E8 ?? ?? ?? ?? 8B 55 08 89 02 E9 88 00 00 00 B2 16 8B 46 04 E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 77 33 D2 8B 46 04 E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 66 33 DB EB 62 0F B6 45 0C 2C 02 75 14 B2 3E 8B 46 08 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 46 33 DB EB 42 0F B6 45 0C 2C 02 75 14 B2 23 8B 46 08 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 26 33 DB EB 22 0F B6 45 0C 2C 02 75 14 B2 25 8B 46 08 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 06 33 DB EB 02 33 DB 8B C3 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_86166_0 {
	meta:
		name = "TCustomStyleMenuElements.GetElementMargins"
		size = 868
		refs = "001d TElementMarginsHelper.Create 0041 TCustomStyleMenuElements.GetElementMargins 00e1 GetElementObject"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B FA 8B 75 08 B3 01 6A 00 8D 45 F0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 56 57 8B FE 8D 75 F0 A5 A5 A5 A5 5F 5E 0F B6 45 14 83 C0 F6 83 F8 18 0F 87 C2 02 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 01 02 02 02 02 02 02 03 04 05 05 05 05 06 06 06 07 08 08 08 08 09 0A 0A ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B6 45 0C 2C 01 73 28 6A 0F 8D 45 F0 50 B9 01 00 00 00 BA 09 00 00 00 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B FE 8D 75 F0 A5 A5 A5 A5 E9 41 02 00 00 33 DB E9 3A 02 00 00 0F B6 45 0C 2C 01 72 04 74 45 EB 6B B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F8 8B 87 94 00 00 00 50 8D 45 F0 50 8B 8F 98 00 00 00 8B 97 90 00 00 00 8B 87 8C 00 00 00 E8 ?? ?? ?? ?? 8B FE 8D 75 F0 A5 A5 A5 A5 E9 EB 01 00 00 6A 03 8D 45 F0 50 B9 07 00 00 00 BA 03 00 00 00 B8 07 00 00 00 E8 ?? ?? ?? ?? 8B FE 8D 75 F0 A5 A5 A5 A5 E9 C3 01 00 00 33 DB E9 BC 01 00 00 0F B6 45 0C 2C 01 0F 82 B0 01 00 00 33 DB E9 A9 01 00 00 0F B6 45 0C 2C 01 73 28 6A 01 8D 45 F0 50 B9 01 00 00 00 BA 01 00 00 00 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B FE 8D 75 F0 A5 A5 A5 A5 E9 79 01 00 00 33 DB E9 72 01 00 00 0F B6 45 0C FE C8 75 28 6A 03 8D 45 F0 50 B9 03 00 00 00 BA 03 00 00 00 B8 03 00 00 00 E8 ?? ?? ?? ?? 8B FE 8D 75 F0 A5 A5 A5 A5 E9 42 01 00 00 33 DB E9 3B 01 00 00 0F B6 45 0C 2C 01 72 2A 75 47 6A 03 8D 45 F0 50 B9 03 00 00 00 BA 03 00 00 00 B8 03 00 00 00 E8 ?? ?? ?? ?? 8B FE 8D 75 F0 A5 A5 A5 A5 E9 09 01 00 00 6A 06 8D 45 F0 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8B FE 8D 75 F0 A5 A5 A5 A5 E9 EA 00 00 00 33 DB E9 E3 00 00 00 0F B6 45 0C FE C8 0F 84 D7 00 00 00 33 DB E9 D0 00 00 00 0F B6 45 0C 2C 01 72 04 74 45 EB 62 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F8 8B 87 94 00 00 00 50 8D 45 F0 50 8B 8F 98 00 00 00 8B 97 90 00 00 00 8B 87 8C 00 00 00 E8 ?? ?? ?? ?? 8B FE 8D 75 F0 A5 A5 A5 A5 E9 81 00 00 00 6A 01 8D 45 F0 50 33 C9 BA 01 00 00 00 33 C0 E8 ?? ?? ?? ?? 8B FE 8D 75 F0 A5 A5 A5 A5 EB 62 33 DB EB 5E 0F B6 45 0C 2C 01 73 1F 6A 01 8D 45 F0 50 33 C9 BA 03 00 00 00 33 C0 E8 ?? ?? ?? ?? 8B FE 8D 75 F0 A5 A5 A5 A5 EB 37 33 DB EB 33 0F B6 45 0C FE C8 75 25 6A 03 8D 45 F0 50 B9 07 00 00 00 BA 03 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B FE 8D 75 F0 A5 A5 A5 A5 EB 06 33 DB EB 02 33 DB 8B C3 5F 5E 5B 8B E5 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 74 00 65 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4D 00 65 00 6E 00 75 00 42 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 6F 00 70 00 75 00 70 00 4D 00 65 00 6E 00 75 00 00 00 }
	condition:
		$1
}

rule function_86167_0 {
	meta:
		name = "TCustomStyleMenuElements.GetElementSize"
		size = 1007
		refs = "0015 TSize.Create 0034 TCustomStyleMenuElements.GetElementSize"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B 75 08 B3 01 33 C9 33 D2 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 0F B6 45 14 83 F8 2A 0F 87 B2 03 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 01 01 01 01 01 01 01 01 02 02 03 03 03 03 03 03 04 05 06 06 06 06 07 07 07 08 09 09 09 09 0A 0B 0B 0C 0C 0C 0C 0C 0C 0C 0C ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B6 45 0C 2C 01 72 04 74 24 EB 44 B9 02 00 00 00 BA 02 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 19 03 00 00 B9 03 00 00 00 BA 03 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 F7 02 00 00 33 DB E9 F0 02 00 00 0F B6 45 0C 2C 01 72 07 74 27 E9 E1 02 00 00 B9 18 00 00 00 BA 02 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 BF 02 00 00 B9 19 00 00 00 BA 03 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 9D 02 00 00 0F B6 45 0C 2C 01 72 07 74 27 E9 8E 02 00 00 B9 06 00 00 00 BA 0E 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 6C 02 00 00 8D 45 F8 B9 13 00 00 00 BA 09 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 4A 02 00 00 0F B6 45 0C 2C 02 0F 83 3E 02 00 00 B9 01 00 00 00 BA 01 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 1C 02 00 00 0F B6 45 0C 2C 01 72 07 74 27 E9 0D 02 00 00 B9 02 00 00 00 BA 02 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 EB 01 00 00 8D 45 F8 B9 03 00 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 C9 01 00 00 0F B6 45 0C 2C 01 73 22 8D 45 F8 B9 06 00 00 00 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 9F 01 00 00 8D 45 F8 B9 10 00 00 00 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 7D 01 00 00 0F B6 45 0C 2C 01 72 07 74 27 E9 6E 01 00 00 B9 01 00 00 00 BA 06 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 4C 01 00 00 B9 07 00 00 00 BA 07 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 2A 01 00 00 0F B6 45 0C 2C 01 72 07 74 27 E9 1B 01 00 00 B9 01 00 00 00 BA 02 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 F9 00 00 00 8D 45 F8 B9 01 00 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 D7 00 00 00 0F B6 45 0C 2C 01 72 07 74 27 E9 C8 00 00 00 8D 45 F8 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 A6 00 00 00 8D 45 F8 B9 15 00 00 00 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 E9 84 00 00 00 0F B6 45 0C 2C 01 72 04 74 21 EB 78 8D 45 F8 B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 EB 59 B9 06 00 00 00 BA 01 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 EB 3A B9 10 00 00 00 BA 10 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 EB 1B 8D 45 F8 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 FC 89 46 04 EB 02 33 DB 8B C3 5E 5B 59 59 5D C2 14 00 }
	condition:
		$1
}

rule function_86168_0 {
	meta:
		name = "GetState"
		size = 24
	strings:
		$1 = { 83 E8 01 72 07 74 08 48 74 08 EB 09 33 C0 C3 B0 05 C3 B0 06 C3 B0 08 C3 }
	condition:
		$1
}

rule function_86169_0 {
	meta:
		name = "TCustomStyleDataNavButtonElements.DrawElement"
		size = 1076
		refs = "001e TCustomStyleDataNavButtonElements.DrawElement 00a3 GetState 00b0 DrawButtonElement"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B 5D 10 B0 01 0F B6 D3 83 FA 31 0F 87 5E 02 00 00 0F B6 92 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 00 00 01 01 01 01 02 02 02 02 03 03 03 03 04 04 04 04 05 05 05 05 06 06 06 06 07 07 07 07 08 08 08 08 09 09 09 09 0A 0A 0A 0A 0B 0B 0B 0B 0C 0C 0C 0C ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 83 E8 02 E8 ?? ?? ?? ?? 50 8B 4D 0C 8B D7 8B C6 E8 ?? ?? ?? ?? E9 C0 01 00 00 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 83 E8 06 E8 ?? ?? ?? ?? 50 8B 4D 0C 8B D7 8B C6 E8 ?? ?? ?? ?? E9 96 01 00 00 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 83 E8 0A E8 ?? ?? ?? ?? 50 8B 4D 0C 8B D7 8B C6 E8 ?? ?? ?? ?? E9 6C 01 00 00 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 83 E8 0E E8 ?? ?? ?? ?? 50 8B 4D 0C 8B D7 8B C6 E8 ?? ?? ?? ?? E9 42 01 00 00 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 83 E8 12 E8 ?? ?? ?? ?? 50 8B 4D 0C 8B D7 8B C6 E8 ?? ?? ?? ?? E9 18 01 00 00 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 83 E8 16 E8 ?? ?? ?? ?? 50 8B 4D 0C 8B D7 8B C6 E8 ?? ?? ?? ?? E9 EE 00 00 00 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 83 E8 1A E8 ?? ?? ?? ?? 50 8B 4D 0C 8B D7 8B C6 E8 ?? ?? ?? ?? E9 C4 00 00 00 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 83 E8 1E E8 ?? ?? ?? ?? 50 8B 4D 0C 8B D7 8B C6 E8 ?? ?? ?? ?? E9 9A 00 00 00 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 83 E8 22 E8 ?? ?? ?? ?? 50 8B 4D 0C 8B D7 8B C6 E8 ?? ?? ?? ?? EB 73 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 83 E8 26 E8 ?? ?? ?? ?? 50 8B 4D 0C 8B D7 8B C6 E8 ?? ?? ?? ?? EB 4C 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 83 E8 2A E8 ?? ?? ?? ?? 50 8B 4D 0C 8B D7 8B C6 E8 ?? ?? ?? ?? EB 25 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 83 E8 2E E8 ?? ?? ?? ?? 50 8B 4D 0C 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 10 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 42 00 4E 00 61 00 76 00 69 00 67 00 61 00 74 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 62 00 74 00 6E 00 46 00 69 00 72 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 62 00 74 00 6E 00 50 00 72 00 69 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 74 00 6E 00 4E 00 65 00 78 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 74 00 6E 00 4C 00 61 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 62 00 74 00 6E 00 49 00 6E 00 73 00 65 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 62 00 74 00 6E 00 44 00 65 00 6C 00 65 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 74 00 6E 00 45 00 64 00 69 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 74 00 6E 00 50 00 6F 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 62 00 74 00 6E 00 43 00 61 00 6E 00 63 00 65 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 62 00 74 00 6E 00 52 00 65 00 66 00 72 00 65 00 73 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 62 00 74 00 6E 00 41 00 70 00 70 00 6C 00 79 00 55 00 70 00 64 00 61 00 74 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 62 00 74 00 6E 00 43 00 61 00 6E 00 63 00 65 00 6C 00 55 00 70 00 64 00 61 00 74 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_86170_0 {
	meta:
		name = "TCustomStyleDataNavButtonElements.GetElementContentRect"
		size = 50
		refs = "0017 TRect.Create"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 B3 01 6A 10 6A 10 33 C9 33 D2 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 08 8D 75 F0 8B F8 A5 A5 A5 A5 8B C3 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_86172_0 {
	meta:
		name = "TUxThemeStyleElements.DrawElement"
		size = 63
		refs = "001c TThemedElementDetails.Create 0029 TStyleManager.GetSystemStyle 0033 TCustomStyleServices.DrawElement"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B D8 8D 45 F4 50 8B C3 FF 50 2C 8B 4D 10 8B 55 14 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 E8 ?? ?? ?? ?? 8D 4D F4 8B D6 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_86176_0 {
	meta:
		name = "TUxThemeStyleElements.GetElementContentRect"
		size = 63
		refs = "001c TThemedElementDetails.Create 0029 TStyleManager.GetSystemStyle 0033 TCustomStyleServices.GetElementContentRect"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B D8 8D 45 F4 50 8B C3 FF 50 2C 8B 4D 10 8B 55 14 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 E8 ?? ?? ?? ?? 8D 4D F4 8B D6 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_86178_0 {
	meta:
		name = "TUxThemeStyleElements.GetElementRegion"
		size = 63
		refs = "001c TThemedElementDetails.Create 0029 TStyleManager.GetSystemStyle 0033 TCustomStyleServices.GetElementRegion"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B D8 8D 45 F4 50 8B C3 FF 50 2C 8B 4D 10 8B 55 14 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 E8 ?? ?? ?? ?? 8D 4D F4 8B D6 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_86173_0 {
	meta:
		name = "TUxThemeStyleElements.DrawIcon"
		size = 67
		refs = "001c TThemedElementDetails.Create 002d TStyleManager.GetSystemStyle 0037 TCustomStyleServices.DrawIcon"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B D8 8D 45 F4 50 8B C3 FF 50 2C 8B 4D 14 8B 55 18 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 E8 ?? ?? ?? ?? 8D 4D F4 8B D6 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_86174_0 {
	meta:
		name = "TUxThemeStyleElements.DrawText"
		size = 88
		refs = "002c TThemedElementDetails.Create 0041 TStyleManager.GetSystemStyle 004b TCustomStyleServices.DrawText"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 75 08 8D 7D E0 51 B9 08 00 00 00 F3 A5 59 8B F1 8B D8 8D 45 D4 50 8B C3 FF 50 2C 8B 4D 18 8B 55 1C E8 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8D 45 E0 50 E8 ?? ?? ?? ?? 8D 4D D4 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_86175_0 {
	meta:
		name = "TUxThemeStyleElements.GetElementColor"
		size = 60
		refs = "001b TThemedElementDetails.Create 0024 TStyleManager.GetSystemStyle 0030 TCustomStyleServices.GetElementColor"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B D8 8D 45 F4 50 8B C3 FF 50 2C 8B 4D 10 8B D6 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 0F B6 4D 0C 8D 55 F4 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_86177_0 {
	meta:
		name = "TUxThemeStyleElements.GetElementMargins"
		size = 100
		refs = "0020 TThemedElementDetails.Create 0033 TStyleManager.GetSystemStyle 003d TCustomStyleServices.GetElementMargins"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B D8 8B 75 10 8D 45 F4 50 8B C3 FF 50 2C 8B 4D 14 8B 55 18 E8 ?? ?? ?? ?? 85 F6 74 1B 56 0F B6 45 0C 50 8B 45 08 50 E8 ?? ?? ?? ?? 8D 4D F4 8B D7 E8 ?? ?? ?? ?? EB 18 0F B6 45 0C 50 8B 45 08 50 E8 ?? ?? ?? ?? 8D 4D F4 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_86179_0 {
	meta:
		name = "TUxThemeStyleElements.GetElementSize"
		size = 100
		refs = "0020 TThemedElementDetails.Create 0033 TStyleManager.GetSystemStyle 003d TCustomStyleServices.GetElementSize"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B D8 8B 75 10 8D 45 F4 50 8B C3 FF 50 2C 8B 4D 14 8B 55 18 E8 ?? ?? ?? ?? 85 F6 74 1B 56 0F B6 45 0C 50 8B 45 08 50 E8 ?? ?? ?? ?? 8D 4D F4 8B D7 E8 ?? ?? ?? ?? EB 18 0F B6 45 0C 50 8B 45 08 50 E8 ?? ?? ?? ?? 8D 4D F4 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_86180_0 {
	meta:
		name = "TUxThemeStyleElements.GetTextExtent"
		size = 106
		refs = "0020 TThemedElementDetails.Create 0036 TStyleManager.GetSystemStyle 0040 TCustomStyleServices.GetTextExtent"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B D8 8B 75 0C 8D 45 F4 50 8B C3 FF 50 2C 8B 4D 18 8B 55 1C E8 ?? ?? ?? ?? 85 F6 74 1E 8B 45 14 50 8B 45 10 50 56 8B 45 08 50 E8 ?? ?? ?? ?? 8D 4D F4 8B D7 E8 ?? ?? ?? ?? EB 1B 8B 45 14 50 8B 45 10 50 8B 45 08 50 E8 ?? ?? ?? ?? 8D 4D F4 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_86181_0 {
	meta:
		name = "TUxThemeStyleElements.HasTransparentParts"
		size = 52
		refs = "001b TThemedElementDetails.Create 0020 TStyleManager.GetSystemStyle 0028 TCustomStyleServices.HasTransparentParts"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B D8 8D 45 F4 50 8B C3 FF 50 2C 8B 4D 08 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_86182_0 {
	meta:
		name = "TCustomStyleTreeViewElements.GetElementColor"
		size = 131
		refs = "002a TSeStyleFonts.GetFont 005f TUxThemeStyleElements.GetElementColor"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B 7D 10 B3 01 83 F9 01 75 55 8B D7 4A 74 07 83 EA 03 74 1C EB 34 8B 86 B8 00 00 00 8B 40 08 B2 53 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 42 8B 86 B8 00 00 00 8B 40 08 B2 57 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 28 57 0F B6 55 0C 52 8B 55 08 52 8B D6 E8 ?? ?? ?? ?? 8B D8 EB 13 57 0F B6 55 0C 52 8B 55 08 52 8B D6 E8 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_86184_0 {
	meta:
		name = "TCustomStyleListViewElements.GetElementColor"
		size = 131
		refs = "002a TSeStyleFonts.GetFont 005f TUxThemeStyleElements.GetElementColor"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B 7D 10 B3 01 83 F9 01 75 55 8B D7 4A 74 07 83 EA 03 74 1C EB 34 8B 86 B8 00 00 00 8B 40 08 B2 39 E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 42 8B 86 B8 00 00 00 8B 40 08 B2 3D E8 ?? ?? ?? ?? 8B 40 18 8B 55 08 89 02 EB 28 57 0F B6 55 0C 52 8B 55 08 52 8B D6 E8 ?? ?? ?? ?? 8B D8 EB 13 57 0F B6 55 0C 52 8B 55 08 52 8B D6 E8 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_86186_0 {
	meta:
		name = "Finalization"
		size = 169
		refs = "0007 Finalization 0013 _DV_71 001b _DV_TStyleEngine 0020 _Dn_TStyleManager 0025 TStyleManager.UnRegisterStyleEngine 002b _DV_TCustomStyle 0035 TStyleManager.UnRegisterStyleClass 003a FinalizeStyleAPI 003f SysColors 004a TIdentMapEntry 004f @FinalizeArray 0054 StyleColorNames 005f string 0069 StyleFontNames 007e StyleOptionNames 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 79 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 17 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 1E 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 58 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_86187_0 {
	meta:
		name = "Vcl.Styles"
		size = 176
		refs = "0009 Vcl.Styles 0015 _DV_71 001d _DV_TStyleEngine 0022 TStyleManager.SetEngineClass 002c _DV_TCustomStyle 0035 SStyleFileDescription 003a LoadResString 0047 _Dn_TStyleManager 004c TStyleManager.RegisterStyleClass 0051 InitStyleAPI 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 39 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 56 00 43 00 4C 00 53 00 54 00 59 00 4C 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 76 00 73 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_86761_0 {
	meta:
		name = "TEventLogger.Create"
		size = 129
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TEventLogger.Create 0034 TObject.Create 003f @UStrAsg 0059 @UStrClr 005f @HandleFinally 006c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 33 C0 89 46 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_86762_0 {
	meta:
		name = "TEventLogger.Destroy"
		size = 54
		refs = "0003 @BeforeDestruction 0014 DeregisterEventSource 0024 TObject.Destroy 002f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 85 C0 74 0B 50 E8 ?? ?? ?? ?? 33 C0 89 46 08 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86763_0 {
	meta:
		name = "TEventLogger.LogMessage"
		size = 141
		refs = "0013 @UStrAddRef 001b TEventLogger.LogMessage 0029 @UStrToPWChar 0042 RegisterEventSource 0064 ReportEvent 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7B 08 00 75 13 8B 43 04 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 89 43 08 6A 00 8D 45 F8 50 6A 00 6A 01 6A 00 8B 45 08 50 0F B7 45 0C 50 56 8B 43 08 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_86765_0 {
	meta:
		name = "TDependencies.Create"
		size = 62
		refs = "000a @ClassCreate 0017 _DV_TDependency 0020 TCollection.Create 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 18 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_86769_0 {
	meta:
		name = "TServiceThread.Create"
		size = 58
		refs = "000a @ClassCreate 001c TThread.Create 0027 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 40 B1 01 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_86770_0 {
	meta:
		name = "TServiceThread.Execute"
		size = 555
		refs = "0024 TServiceThread.Execute 0041 PeekMessage 0054 Application 0071 TService.SetStatus 00f2 TServiceThread.ProcessRequests 010b @HandleOnException 0113 _Dn_Exception 0129 SExecute 012e LoadResString 014e SServiceFailed 0161 Format 0174 TService.LogMessage 0179 @DoneExcept 01a6 SStart 0210 @UStrArrayClr 0218 @UStrClr 021e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 D2 89 55 BC 89 55 B8 89 55 B4 89 55 D8 89 55 C4 89 55 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 68 00 04 00 00 68 00 04 00 00 6A 00 8D 45 DC 50 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 80 78 38 00 74 0A A1 ?? ?? ?? ?? 8B 10 FF 52 44 8B 45 FC 8B 40 40 B2 01 E8 ?? ?? ?? ?? C6 45 FB 01 8B 45 FC 8B 40 40 66 83 B8 EA 00 00 00 00 74 13 8B D8 8D 4D FB 8B D0 8B 83 EC 00 00 00 FF 93 E8 00 00 00 80 7D FB 00 75 0D 33 C0 5A 59 59 64 89 10 E9 4B 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 40 B2 03 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 66 83 B8 D2 00 00 00 00 74 12 8B D8 8B D0 8B 83 D4 00 00 00 FF 93 D0 00 00 00 EB 0A B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 73 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 6A 00 6A 00 8D 45 D8 50 8D 55 C4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 89 45 C8 C6 45 CC 11 8B 43 04 89 45 D0 C6 45 D4 11 8D 45 C8 50 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC 8B 40 40 B9 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 73 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 6A 00 6A 00 8D 45 BC 50 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 89 45 C8 C6 45 CC 11 8B 43 04 89 45 D0 C6 45 D4 11 8D 45 C8 50 8D 55 B4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 BC 8B 45 FC 8B 40 40 B9 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86771_0 {
	meta:
		name = "TServiceThread.ProcessRequests"
		size = 594
		refs = "001e TServiceThread.ProcessRequests 0049 GetMessage 0062 PeekMessage 0128 TService.SetStatus 013a @HandleOnException 0142 _Dn_Exception 0172 SServiceFailed 0177 LoadResString 0185 ActionStr 01a4 Format 01b2 SCustomError 01f4 TService.LogMessage 01f9 @DoneExcept 0207 DispatchMessage 022f @UStrClr 0245 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 C9 89 4D C0 89 4D D4 89 4D FC 88 55 F7 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 0F B6 40 0D 22 45 F7 0F 85 E6 01 00 00 80 7D F7 00 74 17 6A 00 6A 00 6A 00 8D 45 D8 50 E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 EB 17 6A 01 6A 00 6A 00 6A 00 8D 45 D8 50 E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 84 DB 0F 84 AA 01 00 00 83 7D D8 00 0F 85 92 01 00 00 81 7D DC 01 04 00 00 0F 85 77 01 00 00 8B 45 F8 8B 78 40 0F B6 87 92 00 00 00 88 45 F6 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F5 01 8B 45 E0 83 F8 05 77 55 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C7 8B 10 FF 52 50 88 45 F5 EB 37 8B C7 8B 10 FF 52 54 88 45 F5 EB 2B 8B C7 8B 10 FF 52 58 88 45 F5 EB 1F 8B C7 8B 10 FF 52 60 EB 16 8B C7 8B 10 FF 52 5C EB 0D 8B C7 8B 55 E0 8B 08 FF 51 64 88 45 F5 80 7D F5 00 75 0F 0F B6 55 F6 8B 45 F8 8B 40 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 EF FE FF FF E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C6 83 7D E0 05 74 0F 0F B6 55 F6 8B 45 F8 8B 40 40 E8 ?? ?? ?? ?? 8B 45 E0 48 83 E8 05 73 40 8D 45 FC 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 50 8B 45 E0 8B 04 85 ?? ?? ?? ?? 89 45 C4 C6 45 C8 11 8B 46 04 89 45 CC C6 45 D0 11 8D 55 C4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? EB 37 8D 45 FC 50 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 50 8B 45 E0 89 45 C4 C6 45 C8 00 8B 46 04 89 45 CC C6 45 D0 11 8D 55 C4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F8 8B 40 40 B9 01 00 00 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 26 FE FF FF 8D 45 D8 50 E8 ?? ?? ?? ?? E9 18 FE FF FF 8D 45 D8 50 E8 ?? ?? ?? ?? E9 0A FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86772_0 {
	meta:
		name = "TService.CreateNew"
		size = 146
		refs = "000d @ClassCreate 001e TDataModule.CreateNew 003a _Dn_TStringList 003f TStringList.Create 004e _DV_TDependencies 0053 TDependencies.Create 007c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 9C 00 00 00 88 13 00 00 C6 46 78 00 C6 86 90 00 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 80 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 64 C6 46 70 01 C6 86 91 00 00 00 02 33 C0 89 86 98 00 00 00 C6 46 60 01 C6 46 61 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_86773_0 {
	meta:
		name = "TService.Destroy"
		size = 63
		refs = "0003 @BeforeDestruction 000f TObject.Free 002d TDataModule.Destroy 0038 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 64 E8 ?? ?? ?? ?? 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 8B 46 74 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86774_0 {
	meta:
		name = "TService.GetDisplayName"
		size = 38
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 68 00 74 0D 8B C6 8B 53 68 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86775_0 {
	meta:
		name = "TService.SetInteractive"
		size = 39
		refs = "0014 TService.SetPassword 001d TService.SetServiceStartName"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 78 74 19 84 DB 74 12 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 78 5E 5B C3 }
	condition:
		$1
}

rule function_86776_0 {
	meta:
		name = "TService.SetPassword"
		size = 50
		refs = "000f @UStrEqual 001e TService.SetInteractive 002b @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 84 00 00 00 E8 ?? ?? ?? ?? 74 1A 85 F6 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 83 84 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86777_0 {
	meta:
		name = "TService.SetServiceStartName"
		size = 50
		refs = "000f @UStrEqual 001e TService.SetInteractive 002b @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 74 1A 85 F6 74 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 83 88 00 00 00 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86778_0 {
	meta:
		name = "TService.SetDependencies"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 64 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_86779_0 {
	meta:
		name = "TService.AreDependenciesStored"
		size = 14
	strings:
		$1 = { 8B 40 64 8B 40 08 83 78 08 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_86780_0 {
	meta:
		name = "TService.GetParamCount"
		size = 12
	strings:
		$1 = { 8B 80 80 00 00 00 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_86781_0 {
	meta:
		name = "TService.GetParam"
		size = 28
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 83 80 00 00 00 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86782_0 {
	meta:
		name = "TService.SetOnContinue"
		size = 29
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 C8 00 00 00 8B 55 0C 89 90 CC 00 00 00 C6 40 61 01 5D C2 08 00 }
	condition:
		$1
}

rule function_86783_0 {
	meta:
		name = "TService.SetOnPause"
		size = 29
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 D8 00 00 00 8B 55 0C 89 90 DC 00 00 00 C6 40 61 01 5D C2 08 00 }
	condition:
		$1
}

rule function_86784_0 {
	meta:
		name = "TService.SetOnStop"
		size = 29
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 F0 00 00 00 8B 55 0C 89 90 F4 00 00 00 C6 40 60 01 5D C2 08 00 }
	condition:
		$1
}

rule function_86785_0 {
	meta:
		name = "TService.GetTerminated"
		size = 19
	strings:
		$1 = { 33 D2 8B 88 8C 00 00 00 85 C9 74 04 0F B6 51 0D 8B C2 C3 }
	condition:
		$1
}

rule function_86786_0 {
	meta:
		name = "TService.GetNTDependencies"
		size = 209
		refs = "0010 @UStrClr 002d TDependencies.GetItem 0068 @UStrSetLength 0070 @UniqueStringU 00ae @UStrToPWChar 00b7 StrECopy"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F8 8B 04 24 E8 ?? ?? ?? ?? 33 ED 8B 47 64 8B 40 08 8B 70 08 4E 85 F6 7C 39 46 33 DB 8B 47 64 8B D3 E8 ?? ?? ?? ?? 8B 40 0C 89 44 24 04 8B 44 24 04 85 C0 74 05 83 E8 04 8B 00 40 03 E8 8B 47 64 8B D3 E8 ?? ?? ?? ?? 80 78 10 00 74 01 45 43 4E 75 CA 85 ED 74 69 45 8B 04 24 8B D5 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? 8B E8 8B 47 64 8B 40 08 8B 70 08 4E 85 F6 7C 40 46 33 DB 8B 47 64 8B D3 E8 ?? ?? ?? ?? 80 78 10 00 74 09 66 C7 45 00 2B 00 83 C5 02 8B 47 64 8B D3 E8 ?? ?? ?? ?? 8B 40 0C E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 8B E8 83 C5 02 43 4E 75 C3 66 C7 45 00 00 00 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86787_0 {
	meta:
		name = "TService.GetNTServiceType"
		size = 72
		refs = "000e NTServiceType 0031 Application 0036 TServiceApplication.GetServiceCount"
	strings:
		$1 = { 53 56 8B D8 0F B6 83 90 00 00 00 8B 34 85 ?? ?? ?? ?? 80 BB 90 00 00 00 00 75 0C 80 7B 78 00 74 06 81 CE 00 01 00 00 80 BB 90 00 00 00 00 75 13 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 7E 06 83 F6 10 83 CE 20 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_86788_0 {
	meta:
		name = "TService.GetNTStartType"
		size = 43
		refs = "000a NTStartType"
	strings:
		$1 = { 0F B6 90 91 00 00 00 8B 14 95 ?? ?? ?? ?? 0F B6 88 91 00 00 00 80 E9 02 73 0E 80 B8 90 00 00 00 01 74 05 BA 02 00 00 00 8B C2 C3 }
	condition:
		$1
}

rule function_86789_0 {
	meta:
		name = "TService.GetNTErrorSeverity"
		size = 12
		refs = "0007 NTErrorSeverity"
	strings:
		$1 = { 0F B6 40 70 8B 04 85 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86790_0 {
	meta:
		name = "TService.GetNTControlsAccepted"
		size = 26
	strings:
		$1 = { BA 04 00 00 00 80 78 60 00 74 03 83 CA 01 80 78 61 00 74 03 83 CA 02 8B C2 C3 }
	condition:
		$1
}

rule function_86791_0 {
	meta:
		name = "TService.LogMessage"
		size = 117
		refs = "0011 @UStrAddRef 0019 TService.LogMessage 002f _DV_TEventLogger 0034 TEventLogger.Create 004d TEventLogger.LogMessage 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 74 00 75 12 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 74 0F B7 45 0C 50 8B 45 08 50 8B CE 8B 55 FC 8B 43 74 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_86792_0 {
	meta:
		name = "TService.ReportStatus"
		size = 254
		refs = "0012 TService.ReportStatus 0028 TService.GetNTServiceType 0042 TService.GetNTControlsAccepted 005d PendingStatus 0068 LastStatus 0087 NTServiceStatus 00b4 SetServiceStatus 00c1 GetLastError 00c9 SysErrorMessage 00d8 TService.LogMessage 00ed @UStrClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 D2 89 55 E0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 9C 00 00 00 89 45 FC 8B C3 E8 ?? ?? ?? ?? 89 45 E4 80 BB 92 00 00 00 01 75 07 33 C0 89 45 EC EB 0A 8B C3 E8 ?? ?? ?? ?? 89 45 EC 0F B6 83 92 00 00 00 8B D0 80 FA 07 77 0D 83 E2 7F 0F B6 0D ?? ?? ?? ?? 0F A3 D1 73 0D 3A 05 ?? ?? ?? ?? 75 05 FF 45 F8 EB 05 33 D2 89 55 F8 A2 ?? ?? ?? ?? 0F B6 83 92 00 00 00 8B 04 85 ?? ?? ?? ?? 89 45 E8 8B 83 A0 00 00 00 89 45 F0 8B 43 6C 89 45 F4 85 C0 74 07 C7 45 F0 2A 04 00 00 8D 45 E4 50 8B 83 94 00 00 00 50 E8 ?? ?? ?? ?? 85 C0 75 20 6A 00 6A 00 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86793_0 {
	meta:
		name = "TService.SetStatus"
		size = 18
		refs = "000d TService.ReportStatus"
	strings:
		$1 = { 88 90 92 00 00 00 F6 40 1C 10 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86794_0 {
	meta:
		name = "TService.Main"
		size = 191
		refs = "0015 TService.Main 0033 @UStrFromPWChar 0057 @UStrToPWChar 005d RegisterServiceCtrlHandler 0072 GetLastError 007a SysErrorMessage 0089 TService.LogMessage 00ac @UStrArrayClr 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DA 4B 85 DB 7C 23 43 33 FF 8D 45 F8 8B 55 FC 8B 14 BA E8 ?? ?? ?? ?? 8B 55 F8 8B 86 80 00 00 00 8B 08 FF 51 38 47 4B 75 E0 8B C6 8B 10 FF 52 68 8B D8 53 8B 46 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B F8 89 BE 94 00 00 00 85 FF 75 22 6A 00 6A 00 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 8B 10 FF 52 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86795_0 {
	meta:
		name = "TService.Controller"
		size = 45
		refs = "0016 PostThreadMessage 0027 TThread.Resume"
	strings:
		$1 = { 53 8B D8 6A 00 52 68 01 04 00 00 8B 83 8C 00 00 00 8B 40 08 50 E8 ?? ?? ?? ?? 8B 83 8C 00 00 00 80 78 0E 00 74 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_86796_0 {
	meta:
		name = "TService.DoStart"
		size = 345
		refs = "001b TService.DoStart 0039 TService.SetStatus 0051 _DV_TServiceThread 0056 TServiceThread.Create 0068 TThread.Resume 0076 TThread.WaitFor 008b TObject.Free 00a8 @HandleFinally 00b9 @HandleOnException 00c1 _Dn_Exception 00d7 SExecute 00dc LoadResString 00fc SServiceFailed 010f Format 011f TService.LogMessage 0124 @DoneExcept 013e @UStrArrayClr 0146 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 F8 89 55 E4 89 55 E0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 8C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 05 8C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 EB 70 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 6A 00 6A 00 8D 45 F8 50 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 8B 43 04 89 45 F0 C6 45 F4 11 8D 45 E8 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 F8 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86797_0 {
	meta:
		name = "TService.DoStop"
		size = 67
		refs = "000d TService.SetStatus 0038 TThread.Terminate"
	strings:
		$1 = { 53 51 8B D8 C6 04 24 01 B2 02 8B C3 E8 ?? ?? ?? ?? 66 83 BB F2 00 00 00 00 74 10 8B CC 8B D3 8B 83 F4 00 00 00 FF 93 F0 00 00 00 80 3C 24 00 74 0B 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_86798_0 {
	meta:
		name = "TService.DoPause"
		size = 76
		refs = "000d TService.SetStatus 0041 TThread.Suspend"
	strings:
		$1 = { 53 51 8B D8 C6 04 24 01 B2 05 8B C3 E8 ?? ?? ?? ?? 66 83 BB DA 00 00 00 00 74 10 8B CC 8B D3 8B 83 DC 00 00 00 FF 93 D8 00 00 00 80 3C 24 00 74 14 B2 06 8B C3 E8 ?? ?? ?? ?? 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_86799_0 {
	meta:
		name = "TService.DoContinue"
		size = 65
		refs = "000d TService.SetStatus"
	strings:
		$1 = { 53 51 8B D8 C6 04 24 01 B2 04 8B C3 E8 ?? ?? ?? ?? 66 83 BB CA 00 00 00 00 74 10 8B CC 8B D3 8B 83 CC 00 00 00 FF 93 C8 00 00 00 80 3C 24 00 74 09 B2 03 8B C3 E8 ?? ?? ?? ?? 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_86801_0 {
	meta:
		name = "TService.DoShutdown"
		size = 102
		refs = "000e TService.SetStatus 0016 TService.DoShutdown 0056 TThread.Terminate 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC B2 02 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 83 B8 E2 00 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 E4 00 00 00 FF 93 E0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_86803_0 {
	meta:
		name = "ServiceMain"
		size = 23
		refs = "000a Application 000f TServiceApplication.DispatchServiceMain"
	strings:
		$1 = { 55 8B EC 8B 4D 0C 8B 55 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_86804_0 {
	meta:
		name = "DoneServiceApplication"
		size = 84
		refs = "0001 Application 0015 ShowOwnedPopups 0023 TApplication.SetShowHint 002f TComponent.Destroying 003b TComponent.DestroyComponents"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 85 C0 74 08 6A 00 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86805_0 {
	meta:
		name = "TServiceApplication.Create"
		size = 176
		refs = "0011 @ClassCreate 001d TServiceApplication.Create 002c TComponent.Create 003a ParamStr 0045 ExtractFileName 004f _DV_TEventLogger 0054 TEventLogger.Create 0061 TServiceApplication.Hook 0066 Application 006d TApplication.HookMainWindow 0087 @UStrArrayClr 008d @HandleFinally 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 38 00 8D 55 F8 33 C0 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C C6 46 40 00 56 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_86806_0 {
	meta:
		name = "TServiceApplication.Destroy"
		size = 91
		refs = "0003 @BeforeDestruction 0017 TObject.Free 001c Application 0032 TServiceApplication.Hook 003e TApplication.UnhookMainWindow 0049 TComponent.Destroy 0054 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 89 90 F8 00 00 00 89 90 FC 00 00 00 56 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86807_0 {
	meta:
		name = "TServiceApplication.DispatchServiceMain"
		size = 178
		refs = "001a TServiceApplication.DispatchServiceMain 0027 TComponent.GetComponentCount 003a TComponent.GetComponent 0040 _DV_TService 0045 @IsClass 0063 @UStrFromPWChar 006c AnsiCompareText 0084 TService.Main 009f @UStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 5C 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3D 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 40 08 50 8D 45 F4 8B 55 F8 8B 12 E8 ?? ?? ?? ?? 8B 45 F4 5A E8 ?? ?? ?? ?? 85 C0 75 16 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? EB 04 43 4F 75 A7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86808_0 {
	meta:
		name = "TServiceApplication.GetServiceCount"
		size = 61
		refs = "000b TComponent.GetComponentCount 001e TComponent.GetComponent 0024 _DV_TService 0029 @IsClass"
	strings:
		$1 = { 53 56 57 55 8B F8 33 ED 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 20 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 01 45 46 4B 75 E3 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86809_0 {
	meta:
		name = "InstallService"
		size = 438
		refs = "001d InstallService 002d ParamStr 0073 @UStrToPWChar 008c TService.GetNTDependencies 00af TService.GetNTErrorSeverity 00b7 TService.GetNTStartType 00bf TService.GetNTServiceType 00cf TService.GetDisplayName 00ea CreateService 0101 RaiseLastOSError 0144 @HandleOnException 014c _Dn_Exception 0159 DeleteService 015e @RaiseAgain 0163 @DoneExcept 0179 CloseServiceHandle 017f @HandleFinally 019b @UStrArrayClr 01a3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D EC 89 4D E8 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 66 83 BB AA 00 00 00 00 74 0E 8B D3 8B 83 AC 00 00 00 FF 93 A8 00 00 00 8B 83 98 00 00 00 89 45 F4 83 7D F4 00 76 05 8D 75 F4 EB 02 33 F6 83 BB 88 00 00 00 00 75 04 33 FF EB 0D 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B F8 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 50 57 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 50 56 8B 43 7C E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 50 68 FF 01 0F 00 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 50 8B 43 08 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F4 89 83 98 00 00 00 83 7D F0 00 75 05 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 83 BB B2 00 00 00 00 74 0E 8B D3 8B 83 B4 00 00 00 FF 93 B0 00 00 00 33 C0 5A 59 59 64 89 10 EB 24 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86810_0 {
	meta:
		name = "UninstallService"
		size = 180
		refs = "0038 @UStrToPWChar 003f OpenService 004d RaiseLastOSError 0055 UninstallService 0064 DeleteService 0083 CloseServiceHandle 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B DA 89 45 FC 8B 45 FC 66 83 B8 BA 00 00 00 00 74 12 8B 75 FC 8B 55 FC 8B 86 BC 00 00 00 FF 96 B8 00 00 00 68 FF 01 0F 00 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 05 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 E8 ?? ?? ?? ?? 85 C0 75 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC 66 83 B8 C2 00 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 C4 00 00 00 FF 93 C0 00 00 00 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_86811_0 {
	meta:
		name = "DisplayMessage"
		size = 136
		refs = "000f DisplayMessage 001a IsConsole 0024 Output 002b @Write0UString 0030 @WriteLn 0035 @_IOTest 0041 @UStrLAsg 005d MessageDlgPosHelp 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 38 00 74 18 A1 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B C3 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_86812_0 {
	meta:
		name = "TServiceApplication.RegisterServices"
		size = 520
		refs = "0027 TServiceApplication.RegisterServices 003d OpenSCManager 004b RaiseLastOSError 0061 TComponent.GetComponentCount 0080 TComponent.GetComponent 0086 _DV_TService 008b @IsClass 00ba InstallService 00cf UninstallService 00e1 @HandleOnException 00e9 _Dn_Exception 00ff SServiceInstallFailed 0104 LoadResString 010e SServiceUninstallFailed 012e TService.GetDisplayName 0152 Format 015c DisplayMessage 0161 @DoneExcept 0185 SServiceInstallOK 019e SServiceUninstallOK 01c3 CloseServiceHandle 01c9 @HandleFinally 01e5 @UStrArrayClr 01ed @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D C8 89 5D CC 89 5D E4 89 5D D0 89 5D FC 88 4D F6 88 55 F7 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 68 3F 00 0F 00 6A 00 6A 00 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 05 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 03 01 00 00 40 89 45 E8 C7 45 EC 00 00 00 00 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 CE 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D F7 00 74 15 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? EB 13 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 85 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C7 33 DB 80 7D F7 00 74 0F 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8D 45 E4 50 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 8B 47 04 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 B2 01 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 EC FF 4D E8 0F 85 08 FF FF FF 84 DB 74 3C 80 7D F6 00 75 36 80 7D F7 00 74 19 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC B2 02 E8 ?? ?? ?? ?? EB 17 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 B2 02 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86813_0 {
	meta:
		name = "TServiceApplication.Hook"
		size = 7
	strings:
		$1 = { 83 3A 16 0F 94 C0 C3 }
	condition:
		$1
}

rule function_86814_0 {
	meta:
		name = "TServiceApplication.CreateForm"
		size = 116
		refs = "0010 _DV_TService 0017 TObject.InheritsFrom 0023 TServiceApplication.CreateForm 0046 @HandleAnyException 0052 @RaiseAgain 0057 @DoneExcept 0061 Application 006a TApplication.CreateForm"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B DA 8B F0 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE B2 01 8B C3 FF 50 38 8B 55 FC 89 02 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 8B 45 FC 33 D2 89 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 8B 4D FC A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_86815_0 {
	meta:
		name = "TServiceApplication.DoHandleException"
		size = 21
		refs = "0010 TEventLogger.LogMessage"
	strings:
		$1 = { 6A 00 6A 00 B9 01 00 00 00 8B 40 3C 8B 52 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86816_0 {
	meta:
		name = "TServiceApplication.Initialize"
		size = 34
		refs = "000b Application 001d TApplication.Initialize"
	strings:
		$1 = { 80 78 40 00 75 1B C6 40 40 01 A1 ?? ?? ?? ?? 8B 00 C6 40 5F 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86818_0 {
	meta:
		name = "TServiceApplication.Installing"
		size = 96
		refs = "0001 TServiceApplication.Installing 0006 FindSwitch"
	strings:
		$1 = { B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 03 33 C0 C3 B0 01 C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 4E 00 53 00 54 00 41 00 4C 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 4E 00 49 00 4E 00 53 00 54 00 41 00 4C 00 4C 00 00 00 }
	condition:
		$1
}

rule function_86819_0 {
	meta:
		name = "TServiceApplication.OnExceptionHandler"
		size = 14
		refs = "0008 @CallDynaInst"
	strings:
		$1 = { 56 8B D1 66 BE F0 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_86820_0 {
	meta:
		name = "TServiceStartThread.Create"
		size = 147
		refs = "000e @ClassCreate 001d @DynArrayAddRef 0025 TServiceStartThread.Create 0040 TServiceTableEntryArray 0045 @DynArrayAsg 0050 TThread.Create 006b @DynArrayClear 0071 @HandleFinally 007e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 46 0F 00 33 C0 89 46 14 8D 46 40 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_86821_0 {
	meta:
		name = "TServiceStartThread.DoTerminate"
		size = 31
		refs = "0001 TThread.DoTerminate 000c Application 001a PostMessage"
	strings:
		$1 = { E8 ?? ?? ?? ?? 6A 00 6A 00 6A 12 A1 ?? ?? ?? ?? 8B 00 8B 80 78 01 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86822_0 {
	meta:
		name = "TServiceStartThread.Execute"
		size = 33
		refs = "0008 StartServiceCtrlDispatcher 0018 GetLastError"
	strings:
		$1 = { 53 8B D8 8B 43 40 50 E8 ?? ?? ?? ?? 85 C0 74 07 33 C0 89 43 14 5B C3 E8 ?? ?? ?? ?? 89 43 14 5B C3 }
	condition:
		$1
}

rule function_86823_0 {
	meta:
		name = "TServiceApplication.Run"
		size = 680
		refs = "0018 TServiceApplication.Run 0023 DoneServiceApplication 0028 AddExitProc 0032 FindSwitch 004c TServiceApplication.RegisterServices 007f Application 0094 TServiceApplication.OnExceptionHandler 009e TComponent.GetComponentCount 00b2 TComponent.GetComponent 00b8 _DV_TService 00bd @IsClass 00d8 TServiceTableEntryArray 00dd @DynArraySetLength 00f2 @FillChar 0131 @UStrToPWChar 013f ServiceMain 0152 _DV_TServiceStartThread 0157 TServiceStartThread.Create 0184 TApplication.HandleMessage 0193 @HandleOnException 019b _Dn_Exception 01af @CallDynaInst 01b4 @DoneExcept 01d0 TApplication.Terminate 01e8 SysErrorMessage 01fb TEventLogger.LogMessage 0210 TObject.Free 0216 @HandleFinally 022d @UStrClr 023b @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 8B 45 F8 E8 ?? ?? ?? ?? E9 C7 01 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 33 D2 8B 45 F8 E8 ?? ?? ?? ?? E9 9E 01 00 00 A1 ?? ?? ?? ?? 8B 00 8B 55 F8 89 90 FC 00 00 00 C7 80 F8 00 00 00 ?? ?? ?? ?? 33 FF 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 21 43 33 F6 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 01 47 46 4B 75 E2 8D 5F 01 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D3 03 D2 03 D2 03 D2 8B 45 FC 33 C9 E8 ?? ?? ?? ?? 33 FF 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 45 43 33 F6 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? 8B 55 FC 89 04 FA 8B 45 FC BA ?? ?? ?? ?? 89 54 F8 04 47 46 4B 75 BE 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 4A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B D3 8B 45 F8 66 BE F0 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 80 B8 A8 00 00 00 00 74 A6 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 58 14 85 DB 74 21 6A 00 6A 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 40 3C B9 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 4E 00 53 00 54 00 41 00 4C 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 49 00 4C 00 45 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 4E 00 49 00 4E 00 53 00 54 00 41 00 4C 00 4C 00 00 00 }
	condition:
		$1
}

rule function_86826_0 {
	meta:
		name = "Finalization"
		size = 74
		refs = "0007 Finalization 0013 _DV_7 001a DoneApplication 001f ActionStr 002a string 002f @FinalizeArray 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1A E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_86827_0 {
	meta:
		name = "Vcl.SvcMgr"
		size = 25
		refs = "0002 _DV_7 000a _Nn__269 000f @InitResStringImports 0014 InitApplication"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0F B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86831_0 {
	meta:
		name = "TTabPageAccess.Put"
		size = 59
		refs = "000f TList.Get 0016 TControl.SetText 001e TWinControl.HandleAllocated 002a TCustomTabControl.GetTabs"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 2C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 43 30 E8 ?? ?? ?? ?? 84 C0 74 11 8B 43 30 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 18 FF 53 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86834_0 {
	meta:
		name = "TTabPageAccess.Clear"
		size = 96
		refs = "0019 TList.Get 001f _DV_TTabPage 0024 @AsClass 0029 TObject.Free 003d TWinControl.HandleAllocated 0049 TCustomTabControl.GetTabs 0058 TWinControl.AlignControl"
	strings:
		$1 = { 53 56 57 8B F0 8B 46 2C 8B 58 08 4B 85 DB 7C 21 43 33 FF 8B D7 8B 46 2C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 E2 8B 46 2C 8B 10 FF 52 08 8B 46 30 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 46 30 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B 46 30 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86835_0 {
	meta:
		name = "TTabPageAccess.Delete"
		size = 135
		refs = "000c TList.Get 0012 _DV_TTabPage 0017 @AsClass 001c TObject.Free 0026 TList.Delete 002e TWinControl.HandleAllocated 003a TCustomTabControl.GetTabs 005f TTabbedNotebook.SetPageIndex 0075 TWinControl.AlignControl"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B 46 2C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 46 2C E8 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 46 30 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 48 8B 46 30 8B 90 E0 02 00 00 3B DA 75 13 C7 80 E0 02 00 00 FF FF FF FF 33 D2 E8 ?? ?? ?? ?? EB 0A 3B D3 7E 06 FF 88 E0 02 00 00 8B 46 30 33 D2 E8 ?? ?? ?? ?? 8B 46 30 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_86836_0 {
	meta:
		name = "TTabPageAccess.Insert"
		size = 126
		refs = "0010 _DV_TTabPage 0015 TTabPage.Create 002d TControl.SetText 0039 TList.Insert 0041 TWinControl.HandleAllocated 004d TCustomTabControl.GetTabs 0060 TTabbedNotebook.SetPageIndex 006a TWinControl.AlignControl"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 8B 4E 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 56 30 8B C3 8B 08 FF 91 84 00 00 00 8B D5 8B C3 E8 ?? ?? ?? ?? 8B CB 8B D7 8B 46 2C E8 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? 84 C0 74 11 8B 46 30 E8 ?? ?? ?? ?? 8B CD 8B D7 8B 18 FF 53 60 8B D7 8B 46 30 E8 ?? ?? ?? ?? 8B 46 30 33 D2 E8 ?? ?? ?? ?? 8B 46 30 8B 10 FF 92 9C 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86837_0 {
	meta:
		name = "TTabPageAccess.Move"
		size = 104
		refs = "0016 TList.Exchange 0020 TWinControl.HandleAllocated 002b TCustomTabControl.GetTabs 0047 TTabbedNotebook.SetPageIndex 005f TWinControl.AlignControl"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 3B FE 74 55 8B 43 2C 8B CF 8B D6 E8 ?? ?? ?? ?? 8B 5B 30 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 28 FF 55 4C 8B 83 E0 02 00 00 3B F0 75 0B 8B D7 8B C3 E8 ?? ?? ?? ?? EB 0D 3B F8 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 33 D2 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86838_0 {
	meta:
		name = "TTabPage.Create"
		size = 108
		refs = "000a @ClassCreate 0017 TWinControl.Create 0020 TTabPage.Create 002c TControl.SetAlign 0035 TWinControl.SetTabStop 004a TControl.SetVisible 0055 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 B2 05 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 91 80 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 01 00 04 00 }
	condition:
		$1
}

rule function_86839_0 {
	meta:
		name = "TTabPage.ReadState"
		size = 62
		refs = "000e _DV_TTabbedNotebook 0013 @IsClass 0024 TList.Add 002d TWinControl.ReadState 0036 TWinControl.SetTabStop"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7E 2C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 87 D8 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86840_0 {
	meta:
		name = "TTabbedNotebook.Create"
		size = 372
		refs = "0015 @ClassCreate 0022 TTabbedNotebook.Create 0031 TCustomTabControl.Create 0062 TControl.SetWidth 006e TControl.SetHeight 0077 TWinControl.SetTabStop 007e _Dn_TList 0083 TObject.Create 0090 _Dn_TFont 0095 TFont.Create 00a9 TFont.SetColor 00b9 TTabbedNotebook.TabFontChanged 00d1 _DV_TTabPageAccess 00d6 TTabPageAccess.Create 00ee SDefault 00f3 LoadResString 010a TTabbedNotebook.SetPageIndex 0110 Registered 0118 _DV_TTabPage 0125 RegisterClasses 0141 @UStrClr 0147 @HandleFinally 0156 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? F7 D0 22 43 28 88 43 28 8B 43 58 0B 05 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? F7 D2 23 D0 89 53 58 BA 2C 01 00 00 8B C3 E8 ?? ?? ?? ?? BA FA 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D8 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 E4 02 00 00 8B C6 BA 12 00 00 FF E8 ?? ?? ?? ?? 8B 83 E4 02 00 00 89 58 0C C7 40 08 ?? ?? ?? ?? C7 83 E8 02 00 00 03 00 00 00 53 8B 8B D8 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 DC 02 00 00 C7 83 E0 02 00 00 FF FF FF FF 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 83 DC 02 00 00 8B 08 FF 51 38 33 D2 8B C3 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 75 19 A1 ?? ?? ?? ?? 89 45 F4 8D 45 F4 33 D2 E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C3 01 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_86841_0 {
	meta:
		name = "TTabbedNotebook.Destroy"
		size = 69
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0033 TCustomTabControl.Destroy 003e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 DC 02 00 00 E8 ?? ?? ?? ?? 8B 86 D8 02 00 00 E8 ?? ?? ?? ?? 8B 86 E4 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86842_0 {
	meta:
		name = "TTabbedNotebook.CreateHandle"
		size = 177
		refs = "0014 TTabbedNotebook.CreateHandle 0021 TWinControl.CreateHandle 002e TCustomTabControl.GetTabs 009e @UStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? F6 43 1C 02 75 62 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 75 52 8B 83 DC 02 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 30 46 C7 45 FC 00 00 00 00 8D 4D F8 8B 55 FC 8B 83 DC 02 00 00 8B 38 FF 57 0C 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 38 FF 45 FC 4E 75 D8 8B 93 E0 02 00 00 8B C3 8B 08 FF 91 04 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_86846_0 {
	meta:
		name = "TTabbedNotebook.Loaded"
		size = 356
		refs = "0014 TTabbedNotebook.Loaded 0021 TCustomTabControl.Loaded 004e TList.Get 0054 _DV_TTabPage 0059 @AsClass 0082 TControl.SetVisible 00d6 TWinControl.HandleAllocated 00e1 TCustomTabControl.GetTabs 013c TWinControl.AlignControl 0151 @UStrClr 0157 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 40 08 48 85 C0 0F 8C 9C 00 00 00 40 89 45 FC 33 F6 3B B3 E0 02 00 00 74 43 8B D6 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 08 FF 91 80 00 00 00 8B D6 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? EB 41 8B D6 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 8B 08 FF 91 80 00 00 00 8B D6 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 46 FF 4D FC 0F 85 6A FF FF FF 8B C3 E8 ?? ?? ?? ?? 84 C0 74 59 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B 83 DC 02 00 00 8B 10 FF 52 14 48 85 C0 7C 2D 40 89 45 FC 33 F6 8D 4D F8 8B D6 8B 83 DC 02 00 00 8B 38 FF 57 0C 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 38 46 FF 4D FC 75 D9 8B 93 E0 02 00 00 8B C3 8B 08 FF 91 04 01 00 00 8B C3 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_86847_0 {
	meta:
		name = "TTabbedNotebook.ReadState"
		size = 117
		refs = "0016 TWinControl.ReadState 0038 TList.Get 003e _DV_TTabPage 0043 @AsClass 0058 TControl.BringToFront 0061 TControl.SetAlign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 DC 02 00 00 8B 10 FF 52 44 8B D6 8B C3 E8 ?? ?? ?? ?? 8B B3 E0 02 00 00 85 F6 7C 44 8B 83 D8 02 00 00 3B 70 08 7D 39 8B D6 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 01 8B C3 8B 08 FF 91 80 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 05 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 C7 83 E0 02 00 00 FF FF FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_86848_0 {
	meta:
		name = "TTabbedNotebook.SetPages"
		size = 58
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 DC 02 00 00 8B 08 FF 51 08 8B 86 DC 02 00 00 8B 10 FF 52 14 85 C0 7E 0B 33 C0 89 86 E0 02 00 00 5F 5E C3 C7 86 E0 02 00 00 FF FF FF FF 5F 5E C3 }
	condition:
		$1
}

rule function_86849_0 {
	meta:
		name = "TTabbedNotebook.ShowControl"
		size = 71
		refs = "0022 TList.Get 002f TTabbedNotebook.SetPageIndex 003e TWinControl.ShowControl"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 87 D8 02 00 00 8B 70 08 4E 85 F6 7C 23 46 33 DB 8B 87 D8 02 00 00 8B D3 E8 ?? ?? ?? ?? 3B E8 75 0B 8B D3 8B C7 E8 ?? ?? ?? ?? EB 0D 43 4E 75 E0 8B D5 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86850_0 {
	meta:
		name = "TTabbedNotebook.SetPageIndex"
		size = 319
		refs = "006a GetParentForm 007d TWinControl.ContainsControl 008a TCustomForm.SetActiveControl 0091 TWinControl.HandleAllocated 00ae TList.Get 00b7 TControl.BringToFront 00c0 TControl.SetVisible 012e TWinControl.AlignControl"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 F6 43 1C 01 74 0B 89 B3 E0 02 00 00 E9 21 01 00 00 3B B3 E0 02 00 00 0F 84 15 01 00 00 85 F6 0F 8C 0D 01 00 00 8B 83 D8 02 00 00 3B 70 08 0F 8D FE 00 00 00 66 83 BB FA 02 00 00 00 74 1F C6 04 24 01 54 8B CE 8B D3 8B 83 FC 02 00 00 FF 93 F8 02 00 00 80 3C 24 00 0F 84 D5 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 1A 8B 97 98 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 8B 08 FF 91 04 01 00 00 8B D6 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 8B 08 FF 91 80 00 00 00 8B BB E0 02 00 00 85 FF 7C 2F 8B 83 D8 02 00 00 3B 78 08 7D 24 8B D7 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 8B 08 FF 91 80 00 00 00 8B 83 E0 02 00 00 8B 8B E8 02 00 00 99 F7 F9 8B F8 8B C6 99 F7 F9 3B F8 74 11 89 B3 E0 02 00 00 8B C3 33 D2 E8 ?? ?? ?? ?? EB 06 89 B3 E0 02 00 00 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86851_0 {
	meta:
		name = "TTabbedNotebook.SetActivePage"
		size = 31
		refs = "0018 TTabbedNotebook.SetPageIndex"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 DC 02 00 00 8B 08 FF 51 54 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86852_0 {
	meta:
		name = "TTabbedNotebook.GetActivePage"
		size = 62
		refs = "0037 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 DC 02 00 00 8B 10 FF 52 14 85 C0 7E 1F 83 BB E0 02 00 00 00 7C 16 8B CE 8B 93 E0 02 00 00 8B 83 DC 02 00 00 8B 18 FF 53 0C 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86854_0 {
	meta:
		name = "TTabbedNotebook.CMDialogChar"
		size = 201
		refs = "0017 TTabbedNotebook.CMDialogChar 003f TList.Get 0047 TControl.GetText 0056 IsAccel 006f @CallDynaInst 007c TTabbedNotebook.SetPageIndex 00a1 TCustomTabControl.CMDialogChar 00b6 @UStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 D8 02 00 00 85 C0 74 70 8B 70 08 4E 85 F6 7C 68 46 33 FF 8B D7 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 0F B7 40 04 E8 ?? ?? ?? ?? 84 C0 74 39 8B C3 8B 10 FF 92 F4 00 00 00 8B C3 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 74 14 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE EC FF E8 ?? ?? ?? ?? 8B 45 FC C7 40 0C 01 00 00 00 EB 0E 47 4E 75 9B 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_86855_0 {
	meta:
		name = "TTabbedNotebook.KeyDown"
		size = 130
		refs = "002f TTabbedNotebook.SetPageIndex 0046 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 0F B7 02 83 C0 DB 66 83 E8 02 72 3D 66 83 E8 02 73 69 8B 93 D8 02 00 00 8B 52 08 4A 8B 83 E0 02 00 00 3B D0 7F 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 0A 8B D0 42 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE EC FF E8 ?? ?? ?? ?? 5E 5B C3 8B 83 E0 02 00 00 85 C0 7E 0C 8B D0 4A 8B C3 E8 ?? ?? ?? ?? EB 11 8B 83 D8 02 00 00 8B 50 08 4A 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE EC FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86856_0 {
	meta:
		name = "TTabbedNotebook.SetTabsPerRow"
		size = 35
		refs = "0013 TWinControl.AlignControl"
	strings:
		$1 = { 56 8B F0 83 FA 03 7C 19 89 96 E8 02 00 00 8B C6 33 D2 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_86857_0 {
	meta:
		name = "TTabbedNotebook.GetIndexForPage"
		size = 154
		refs = "0017 TTabbedNotebook.GetIndexForPage 0046 TList.Get 004c _DV_TTabPage 0051 @AsClass 0059 TControl.GetText 0064 @UStrEqual 0084 @UStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 FF FF FF FF 8B 87 D8 02 00 00 85 C0 74 41 8B 70 08 4E 85 F6 7C 39 46 33 DB 8B 87 D8 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 75 05 89 5D F8 EB 04 43 4E 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86858_0 {
	meta:
		name = "TTabbedNotebook.SetTabFont"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 E4 02 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_86860_0 {
	meta:
		name = "TTabbedNotebook.AlignControls"
		size = 56
		refs = "0025 TList.Get 0030 TWinControl.AlignControls"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B B3 E0 02 00 00 85 F6 7C 23 8B 83 D8 02 00 00 3B 70 08 7D 18 8B D6 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86861_0 {
	meta:
		name = "TTabbedNotebook.TabFontChanged"
		size = 15
		refs = "000a TControl.Perform"
	strings:
		$1 = { 6A 00 33 C9 BA 64 B0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86862_0 {
	meta:
		name = "TTabbedNotebook.Click"
		size = 29
	strings:
		$1 = { 53 66 83 B8 F2 02 00 00 00 74 10 8B D8 8B D0 8B 83 F4 02 00 00 FF 93 F0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_86863_0 {
	meta:
		name = "TTabbedNotebook.Change"
		size = 72
		refs = "0006 TCustomTabControl.GetTabIndex 001a TTabbedNotebook.SetPageIndex 0030 TCustomTabControl.Change"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7C 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B 83 E0 02 00 00 75 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B 93 E0 02 00 00 8B C3 8B 08 FF 91 04 01 00 00 5B C3 }
	condition:
		$1
}

rule function_86864_0 {
	meta:
		name = "TTabbedNotebook.WMPaint"
		size = 47
		refs = "000f TFont.GetHandle 0019 TWinControl.GetHandle 001f SendMessage 0028 TWinControl.WMPaint"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 8B 83 E4 02 00 00 E8 ?? ?? ?? ?? 50 6A 30 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86868_0 {
	meta:
		name = "TScroller.Create"
		size = 216
		refs = "000e @ClassCreate 001c TCustomControl.Create 0025 TScroller.Create 002f _Dn_TBitmap 0034 TBitmap.Create 0079 _Dn_TTimer 007e TTimer.Create 008f TTimer.SetEnabled 009f TTimer.SetInterval 00a5 TScroller.DoScrollTimer 00b0 TTimer.SetOnTimer 00bd @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A0 02 00 00 C7 83 B4 02 00 00 18 00 00 00 C7 83 B8 02 00 00 0D 00 00 00 33 C0 89 83 80 02 00 00 33 C0 89 83 84 02 00 00 33 C0 89 83 88 02 00 00 C7 83 98 02 00 00 01 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 BC 02 00 00 8B C6 33 D2 E8 ?? ?? ?? ?? 8B 83 BC 02 00 00 BA 64 00 00 00 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_86869_0 {
	meta:
		name = "TScroller.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0028 TCustomControl.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? 8B 86 A0 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86870_0 {
	meta:
		name = "TScroller.Paint"
		size = 821
		refs = "000b ThemeControl 0035 TRect.Create 0045 TScroller.CanScrollLeft 0056 TRect.Contains 006b TStyleManager.GetActiveStyle 0089 TCanvas.GetHandle 0096 TCustomStyleServices.DrawElement 00ac LeftButton 012d TScroller.CanScrollRight 0197 RightButton 021c cLeftDnOrient 0222 HInstance 022d TBitmap.LoadFromResourceName 023d cLeftOrient 025e cLeftDisOrient 02ac cRightDnOrient 02cd cRightOrient 02ee cRightDisOrient"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 D8 01 00 00 8B 86 B4 02 00 00 D1 F8 79 03 83 D0 00 50 8B 86 B8 02 00 00 50 33 C9 33 D2 8D 44 24 08 E8 ?? ?? ?? ?? 80 BE A4 02 00 00 00 74 5A 8B C6 E8 ?? ?? ?? ?? 84 C0 74 4F 8D 96 A8 02 00 00 8B C4 E8 ?? ?? ?? ?? 84 C0 74 3E 80 BE B1 02 00 00 00 75 35 54 6A 00 E8 ?? ?? ?? ?? 8D 4C 24 18 B2 0F 8B 18 FF 93 C0 00 00 00 8D 44 24 18 50 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? EB 63 54 6A 00 8B C6 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 45 ?? ?? ?? ?? 80 BE B1 02 00 00 00 74 09 80 BE B2 02 00 00 00 74 04 33 D2 EB 02 B2 01 83 E2 7F 0F B6 04 10 50 E8 ?? ?? ?? ?? 8D 4C 24 1C 5A 8B 18 FF 93 C0 00 00 00 8D 44 24 18 50 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8B 9E B4 02 00 00 53 8B 86 B8 02 00 00 50 8B D3 D1 FA 79 03 83 D2 00 33 C9 8D 44 24 08 E8 ?? ?? ?? ?? 80 BE A4 02 00 00 00 74 5D 8B C6 E8 ?? ?? ?? ?? 84 C0 74 52 8D 96 A8 02 00 00 8B C4 E8 ?? ?? ?? ?? 84 C0 74 41 80 BE B1 02 00 00 00 75 38 54 6A 00 E8 ?? ?? ?? ?? 8D 4C 24 18 B2 0B 8B 18 FF 93 C0 00 00 00 8D 44 24 18 50 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? E9 9A 01 00 00 54 6A 00 8B C6 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 45 ?? ?? ?? ?? 80 BE B1 02 00 00 00 74 09 80 BE B2 02 00 00 01 74 04 33 D2 EB 02 B2 01 83 E2 7F 0F B6 04 10 50 E8 ?? ?? ?? ?? 8D 4C 24 1C 5A 8B 18 FF 93 C0 00 00 00 8D 44 24 18 50 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? E9 32 01 00 00 8B 9E 78 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 54 80 BE B1 02 00 00 00 74 2A 80 BE B2 02 00 00 00 75 21 0F B6 86 9C 02 00 00 8B 0C 85 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 86 A0 02 00 00 E8 ?? ?? ?? ?? EB 40 0F B6 86 9C 02 00 00 8B 0C 85 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 86 A0 02 00 00 E8 ?? ?? ?? ?? EB 1F 0F B6 86 9C 02 00 00 8B 0C 85 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 86 A0 02 00 00 E8 ?? ?? ?? ?? 8B 86 A0 02 00 00 50 33 C9 33 D2 8B C3 8B 38 FF 57 44 8B C6 E8 ?? ?? ?? ?? 84 C0 74 54 80 BE B1 02 00 00 00 74 2A 80 BE B2 02 00 00 01 75 21 0F B6 86 9C 02 00 00 8B 0C 85 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 86 A0 02 00 00 E8 ?? ?? ?? ?? EB 40 0F B6 86 9C 02 00 00 8B 0C 85 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 86 A0 02 00 00 E8 ?? ?? ?? ?? EB 1F 0F B6 86 9C 02 00 00 8B 0C 85 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 86 A0 02 00 00 E8 ?? ?? ?? ?? 8B 86 A0 02 00 00 50 8B 96 B4 02 00 00 D1 FA 79 03 83 D2 00 4A 33 C9 8B C3 8B 18 FF 53 44 33 D2 8B 86 A0 02 00 00 8B 08 FF 51 08 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86871_0 {
	meta:
		name = "TScroller.WMSize"
		size = 39
		refs = "0006 TWinControl.WMSize 0014 TControl.SetWidth 0021 TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 93 B4 02 00 00 4A 8B C3 E8 ?? ?? ?? ?? 8B 93 B8 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_86872_0 {
	meta:
		name = "TScroller.SetMin"
		size = 15
	strings:
		$1 = { 3B 90 84 02 00 00 7D 06 89 90 80 02 00 00 C3 }
	condition:
		$1
}

rule function_86873_0 {
	meta:
		name = "TScroller.SetMax"
		size = 15
	strings:
		$1 = { 3B 90 80 02 00 00 7E 06 89 90 84 02 00 00 C3 }
	condition:
		$1
}

rule function_86874_0 {
	meta:
		name = "TScroller.SetPosition"
		size = 77
	strings:
		$1 = { 53 8B D8 3B 93 88 02 00 00 74 40 8B 83 80 02 00 00 3B D0 7D 02 8B D0 8B 83 84 02 00 00 3B D0 7E 02 8B D0 89 93 88 02 00 00 8B C3 8B 10 FF 92 9C 00 00 00 66 83 BB 92 02 00 00 00 74 0E 8B D3 8B 83 94 02 00 00 FF 93 90 02 00 00 5B C3 }
	condition:
		$1
}

rule function_86875_0 {
	meta:
		name = "TScroller.CanScrollLeft"
		size = 16
	strings:
		$1 = { 8B 90 88 02 00 00 3B 90 80 02 00 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_86876_0 {
	meta:
		name = "TScroller.CanScrollRight"
		size = 16
	strings:
		$1 = { 8B 90 88 02 00 00 3B 90 84 02 00 00 0F 9C C0 C3 }
	condition:
		$1
}

rule function_86877_0 {
	meta:
		name = "TScroller.DoMouseDown"
		size = 127
		refs = "0036 TScroller.CanScrollLeft 0043 TScroller.CanScrollRight 0066 TWinControl.GetHandle 006c SetCapture 0079 TTimer.SetEnabled"
	strings:
		$1 = { 53 8B D8 8B 83 B4 02 00 00 D1 F8 79 03 83 D0 00 3B D0 7D 09 C6 83 B2 02 00 00 00 EB 07 C6 83 B2 02 00 00 01 0F B6 83 B2 02 00 00 2C 01 72 04 74 0F EB 18 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3F EB 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 C6 83 B0 02 00 00 01 C6 83 B1 02 00 00 01 8B C3 8B 10 FF 92 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B2 01 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_86878_0 {
	meta:
		name = "TScroller.WMLButtonDblClk"
		size = 10
		refs = "0005 TScroller.DoMouseDown"
		altNames = "TScroller.WMLButtonDown"
	strings:
		$1 = { 0F BF 52 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86880_0 {
	meta:
		name = "TScroller.WMMouseLeave"
		size = 49
		refs = "0007 TStyleManager.GetActiveStyle"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 11 C6 83 A4 02 00 00 00 8B C3 8B 10 FF 92 9C 00 00 00 8B D6 8B C3 8B 08 FF 51 F0 5E 5B C3 }
	condition:
		$1
}

rule function_86881_0 {
	meta:
		name = "TScroller.WMMouseMove"
		size = 258
		refs = "005a TRect.Create 007b OffsetRect 0086 PtInRect 00a8 TTimer.SetEnabled 00b9 TStyleManager.GetActiveStyle 00d3 TPoint.Create"
	strings:
		$1 = { 53 56 83 C4 D8 8B DA 8B F0 80 BE B0 02 00 00 00 0F 84 A2 00 00 00 C6 86 A4 02 00 00 00 0F BF 43 08 0F BF 53 0A 89 44 24 08 89 54 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B 86 B4 02 00 00 D1 F8 79 03 83 D0 00 50 8B 86 B8 02 00 00 50 8D 44 24 18 33 C9 33 D2 E8 ?? ?? ?? ?? 80 BE B2 02 00 00 01 75 18 8B 96 B4 02 00 00 D1 FA 79 03 83 D2 00 8D 44 24 10 33 C9 E8 ?? ?? ?? ?? 8B D4 8D 44 24 10 E8 ?? ?? ?? ?? 0F B6 9E B1 02 00 00 3A C3 74 67 8B C3 34 01 88 86 B1 02 00 00 8B D0 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 EB 44 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 36 8D 44 24 20 0F BF 4B 0A 0F BF 53 08 E8 ?? ?? ?? ?? 8B 44 24 20 89 86 A8 02 00 00 8B 44 24 24 89 86 AC 02 00 00 C6 86 A4 02 00 00 01 8B C6 8B 10 FF 92 9C 00 00 00 83 C4 28 5E 5B C3 }
	condition:
		$1
}

rule function_86882_0 {
	meta:
		name = "TScroller.WMLButtonUp"
		size = 91
		refs = "000c TTimer.SetEnabled 0011 ReleaseCapture 0055 TScroller.SetPosition"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 83 B0 02 00 00 00 80 BB B1 02 00 00 00 74 34 C6 83 B1 02 00 00 00 8B 83 88 02 00 00 0F B6 93 B2 02 00 00 80 EA 01 72 04 74 0A EB 0E 2B 83 98 02 00 00 EB 06 03 83 98 02 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_86883_0 {
	meta:
		name = "TScroller.SetScrollOrientation"
		size = 71
		refs = "0012 cWidthSize 001f cHeightSize 0036 @CallDynaInst"
	strings:
		$1 = { 56 57 8B F8 3A 97 9C 02 00 00 74 38 0F B6 C2 8B 0C 85 ?? ?? ?? ?? 89 8F B4 02 00 00 8B 04 85 ?? ?? ?? ?? 89 87 B8 02 00 00 88 97 9C 02 00 00 8B C7 66 BE D0 FF E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_86884_0 {
	meta:
		name = "TScroller.DoScrollTimer"
		size = 82
		refs = "0025 TScroller.CanScrollLeft 0038 TScroller.CanScrollRight 004b TScroller.SetPosition"
	strings:
		$1 = { 53 56 8B D8 80 BB B1 02 00 00 00 74 42 8B B3 88 02 00 00 0F B6 83 B2 02 00 00 2C 01 72 04 74 15 EB 24 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 2B B3 98 02 00 00 EB 11 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 03 B3 98 02 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86885_0 {
	meta:
		name = "TTabList.Add"
		size = 37
		refs = "0008 TStringList.Add"
	strings:
		$1 = { 56 57 55 8B F0 8B C6 E8 ?? ?? ?? ?? 8B E8 8B 7E 58 85 FF 74 0A 8B C7 8B 10 FF 92 9C 00 00 00 8B C5 5D 5F 5E C3 }
	condition:
		$1
}

rule function_86886_0 {
	meta:
		name = "TTabList.Insert"
		size = 50
		refs = "000b TStringList.Insert"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 46 58 85 C0 74 19 3B 98 8C 02 00 00 7F 06 FF 80 8C 02 00 00 8B 46 58 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_86887_0 {
	meta:
		name = "TTabList.Delete"
		size = 223
		refs = "0016 TStringList.Delete 0045 TWinControl.HandleAllocated 007a TTabSet.SetupTabPositions 00b3 TTabSet.FixTabPos 00d6 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B 43 58 8B B0 8C 02 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 3B F0 7D 0B 8B 43 58 89 B0 8C 02 00 00 EB 11 8B C3 8B 10 FF 52 14 48 8B 53 58 89 82 8C 02 00 00 8B 43 58 E8 ?? ?? ?? ?? 84 C0 74 6A 8B 43 58 80 B8 F8 02 00 00 00 75 5E 8B C3 8B 10 FF 52 14 85 C0 7E 53 8B C3 8B 10 FF 52 14 8B 53 58 3B 82 94 02 00 00 7E 08 8B 43 58 E8 ?? ?? ?? ?? 8B 43 58 8B A8 90 02 00 00 03 A8 94 02 00 00 4D 8B C3 8B 10 FF 52 14 48 3B E8 75 15 8B 43 58 83 B8 90 02 00 00 00 7E 09 8B 43 58 FF 88 90 02 00 00 8B 43 58 E8 ?? ?? ?? ?? 8B 43 58 E8 ?? ?? ?? ?? 8B 43 58 8B 10 FF 92 9C 00 00 00 3B FE 75 0C 8B 43 58 66 BE EC FF E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86888_0 {
	meta:
		name = "TTabList.Put"
		size = 31
		refs = "0007 TStringList.Put"
	strings:
		$1 = { 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 7E 58 85 FF 74 0A 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_86889_0 {
	meta:
		name = "TTabList.Clear"
		size = 37
		refs = "0007 TStringList.Clear"
	strings:
		$1 = { 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 7E 58 C7 87 8C 02 00 00 FF FF FF FF 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_86890_0 {
	meta:
		name = "TTabList.AddStrings"
		size = 69
		refs = "0010 TWinControl.GetHandle 0016 SendMessage 001f TStrings.AddStrings"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 00 6A 00 6A 0B 8B 46 58 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 01 6A 0B 8B 46 58 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 46 58 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_86892_0 {
	meta:
		name = "TTabSet.Create"
		size = 480
		refs = "0015 @ClassCreate 0022 TTabSet.Create 0031 TCustomControl.Create 0045 TControl.SetWidth 0051 TControl.SetHeight 0058 _Dn_TList 005d TObject.Create 0088 _DV_TTabList 008d TTabList.Create 009a TTabSet.InitBitmaps 00a1 TTabSet.CreateScroller 00dd _Dn_TChangeLink 00f4 TTabSet.ImageListChange 0130 TTabSet.CreateBrushPattern 0151 TControl.SetParentFont 0157 DefFontData 0164 UTF8ToUnicodeString 016f TFont.SetName 0180 TFont.SetHeight 018f TFont.SetStyle 0196 TTabSet.CreateEdgeParts 01ab @UStrClr 01b1 @HandleFinally 01c0 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 43 58 BA B9 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 15 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D4 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D8 02 00 00 C7 83 DC 02 00 00 14 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 88 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C7 83 8C 02 00 00 FF FF FF FF 33 C0 89 83 90 02 00 00 33 C0 89 83 94 02 00 00 C7 83 80 02 00 00 05 00 00 00 C7 83 84 02 00 00 05 00 00 00 C6 83 00 03 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 EC 02 00 00 89 5E 0C C7 46 08 ?? ?? ?? ?? C7 83 FC 02 00 00 09 00 00 00 C7 83 98 02 00 00 0F 00 00 FF C7 83 9C 02 00 00 05 00 00 FF C7 83 A0 02 00 00 0F 00 00 FF C6 83 A4 02 00 00 01 8B 93 D0 02 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 A5 02 00 00 01 C6 83 A6 02 00 00 00 C7 83 A8 02 00 00 14 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 83 C6 0F 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 43 6C 8B 55 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 52 04 8B 43 6C E8 ?? ?? ?? ?? 8B 43 6C 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C3 00 00 C2 00 28 00 00 00 00 00 }
	condition:
		$1
}

rule function_86894_0 {
	meta:
		name = "TTabSet.CreateScroller"
		size = 105
		refs = "0009 _DV_TScroller 000e TScroller.Create 002e TControl.SetTop 0037 TScroller.SetMin 0040 TScroller.SetMax 0049 TScroller.SetPosition 0052 TControl.SetVisible 0062 TTabSet.ScrollClick"
	strings:
		$1 = { 53 56 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E E0 02 00 00 8B D6 8B C3 8B 08 FF 91 84 00 00 00 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 89 B3 94 02 00 00 C7 83 90 02 00 00 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86895_0 {
	meta:
		name = "TTabSet.InitBitmaps"
		size = 41
		refs = "0006 _Dn_TBitmap 000b TBitmap.Create"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 CC 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 D0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_86896_0 {
	meta:
		name = "TTabSet.Destroy"
		size = 87
		refs = "0003 @BeforeDestruction 0012 TObject.Free 002f TTabSet.DoneBitmaps 0045 TCustomControl.Destroy 0050 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 88 02 00 00 E8 ?? ?? ?? ?? 8B 86 D4 02 00 00 E8 ?? ?? ?? ?? 8B 86 D8 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 EC 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86897_0 {
	meta:
		name = "TTabSet.DoneBitmaps"
		size = 38
		refs = "000a TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B 83 D0 02 00 00 E8 ?? ?? ?? ?? 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_86898_0 {
	meta:
		name = "TTabSet.ScrollClick"
		size = 12
		refs = "0007 TTabSet.SetFirstIndex"
	strings:
		$1 = { 8B 92 88 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86899_0 {
	meta:
		name = "TabPosCompare"
		size = 38
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 F8 89 45 FC 8B 45 FC 89 45 F4 8B 45 F8 89 45 F0 0F B7 45 F0 0F B7 55 F4 2B C2 8B E5 5D C3 }
	condition:
		$1
}

rule function_86900_0 {
	meta:
		name = "TTabSet.CalcTabPositions"
		size = 712
		refs = "001a TList.SetCount 0041 TTabSet.ItemWidth 0069 TList.Add 00ff TabPosCompare 010a TList.Sort 011c TList.Get 01f4 TList.Put"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 89 4D F8 89 55 FC 8B D8 33 D2 8B 83 D4 02 00 00 E8 ?? ?? ?? ?? 8B 83 D8 02 00 00 8B 10 FF 52 08 8B 45 0C 89 45 F4 8B 75 FC 8B 7D F8 EB 47 66 89 75 F2 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 66 89 45 F0 0F B7 45 F0 03 83 FC 02 00 00 03 F0 3B FE 7D 06 80 7D 08 00 75 11 8B 55 F0 8B 83 D4 02 00 00 E8 ?? ?? ?? ?? FF 45 F4 8B 55 F0 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 3B FE 7E 10 8B 83 88 02 00 00 8B 10 FF 52 14 3B 45 F4 7F A5 80 BB F8 02 00 00 00 0F 84 1A 02 00 00 8B 83 88 02 00 00 8B 10 FF 52 14 3B 45 F4 0F 8E 06 02 00 00 FF 45 F4 EB 30 66 89 75 F2 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B F8 66 89 7D F0 0F B7 C7 03 83 FC 02 00 00 03 F0 8B 55 F0 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? FF 45 F4 8B 83 88 02 00 00 8B 10 FF 52 14 3B 45 F4 7F C0 2B 75 F8 89 75 E8 BA ?? ?? ?? ?? 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? E9 F5 00 00 00 33 D2 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 89 45 C8 8B 45 C8 89 45 F0 8B 45 E8 89 45 E4 C7 45 E0 01 00 00 00 8B 83 D8 02 00 00 8B 78 08 4F 85 FF 7E 58 BE 01 00 00 00 8B D6 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 89 45 C8 8B 45 C8 89 45 EC 0F B7 45 EC 66 3B 45 F0 74 2C 0F B7 45 F0 0F B7 55 EC 2B C2 3B 45 E8 7D 0F 0F B7 45 F0 0F B7 55 EC 2B C2 89 45 D8 EB 06 8B 45 E8 89 45 D8 8B 45 D8 89 45 E4 EB 07 FF 45 E0 46 4F 75 AD 8B 45 E4 99 F7 7D E0 48 7D 09 C7 45 D4 01 00 00 00 EB 0A 8B 45 E4 99 F7 7D E0 89 45 D4 8B 45 D4 89 45 E4 8B 7D E0 4F 85 FF 7C 41 47 33 F6 8B D6 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 89 45 C8 8B 45 C8 89 45 F0 0F B7 45 E4 66 29 45 F0 8B 4D F0 8B D6 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B 45 E4 29 45 E8 83 7D E8 00 7E 04 46 4F 75 C2 83 7D E8 00 7E 10 8B 83 D8 02 00 00 83 78 08 00 0F 8F F5 FE FF FF 8B B3 D8 02 00 00 83 7E 08 00 0F 8E 8B 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B7 C0 89 45 DC 8B 83 D4 02 00 00 8B 10 FF 52 08 8B 45 0C 89 45 F4 8B 75 FC 8B 7D F8 EB 4F 66 89 75 F2 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 89 45 D0 8B 45 D0 3B 45 DC 7D 08 8B 45 D0 89 45 CC EB 06 8B 45 DC 89 45 CC 8B 45 CC 66 89 45 F0 0F B7 45 F0 03 83 FC 02 00 00 03 F0 3B FE 7C 11 8B 55 F0 8B 83 D4 02 00 00 E8 ?? ?? ?? ?? FF 45 F4 3B FE 7E 10 8B 83 88 02 00 00 8B 10 FF 52 14 3B 45 F4 7F 9D 8B 45 F4 2B 45 0C 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_86901_0 {
	meta:
		name = "TTabSet.ItemAtPos"
		size = 363
		refs = "002a TControl.GetClientWidth 0044 TControl.GetClientHeight 011e TList.Get"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B F2 8D 3C 24 A5 A5 88 4C 24 08 8B D8 C7 44 24 0C FF FF FF FF 8B 34 24 85 F6 0F 8C 38 01 00 00 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 8F 29 01 00 00 83 7C 24 04 00 0F 8C 1E 01 00 00 8B C3 E8 ?? ?? ?? ?? 3B 44 24 04 0F 8C 0D 01 00 00 0F B6 83 00 03 00 00 2C 01 72 10 74 0A FE C8 74 19 FE C8 74 32 EB 42 33 C0 EB 40 8B C3 E8 ?? ?? ?? ?? 2B 83 DC 02 00 00 EB 31 8B 34 24 8B 44 24 04 89 04 24 89 74 24 04 8B C3 E8 ?? ?? ?? ?? 2B 83 DC 02 00 00 EB 14 8B 34 24 8B 44 24 04 89 04 24 89 74 24 04 33 C0 EB 02 33 C0 80 7C 24 08 00 75 1C 8B 54 24 04 3B C2 0F 8F 9F 00 00 00 8B C8 03 8B DC 02 00 00 3B D1 0F 8F 8F 00 00 00 8B 93 DC 02 00 00 D1 FA 79 03 83 D2 00 03 C2 3B 44 24 04 7E 12 8B 83 FC 02 00 00 B9 03 00 00 00 99 F7 F9 8B E8 EB 0D 8B AB FC 02 00 00 D1 FD 79 03 83 D5 00 8B 83 D4 02 00 00 8B 78 08 4F 85 FF 7C 4D 47 33 F6 8B D6 8B 83 D4 02 00 00 E8 ?? ?? ?? ?? 89 44 24 14 8B 44 24 14 89 44 24 10 0F B7 44 24 12 2B C5 0F B7 54 24 12 0F B7 4C 24 10 03 D1 03 D5 3B 04 24 7F 13 3B 14 24 7C 0E 8B 83 90 02 00 00 03 C6 89 44 24 0C EB 04 46 4F 75 B6 8B 44 24 0C 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86902_0 {
	meta:
		name = "TTabSet.ItemRect"
		size = 282
		refs = "0043 TList.Get 0070 TControl.GetClientHeight 0081 TControl.GetClientWidth 00b8 TRect.Create 00c9 InflateRect 010f Rect"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F9 8B F2 8B D8 8B 83 90 02 00 00 85 C0 7E 02 2B F0 8B 83 D4 02 00 00 8B 40 08 85 C0 0F 8E DB 00 00 00 85 F6 0F 8C D3 00 00 00 3B C6 0F 8E CB 00 00 00 8B D6 8B 83 D4 02 00 00 E8 ?? ?? ?? ?? 89 44 24 04 8B 44 24 04 89 04 24 0F B6 83 00 03 00 00 8B D0 80 EA 01 74 05 80 EA 02 75 04 33 F6 EB 24 84 C0 75 11 8B C3 E8 ?? ?? ?? ?? 8B F0 2B B3 DC 02 00 00 EB 0F 8B C3 E8 ?? ?? ?? ?? 8B F0 2B B3 DC 02 00 00 0F B6 83 00 03 00 00 2C 02 73 37 0F B7 6C 24 02 0F B7 C5 0F B7 14 24 03 C2 50 8B C6 03 83 DC 02 00 00 50 0F B7 D5 8B CE 8B C7 E8 ?? ?? ?? ?? 8B C7 B9 FE FF FF FF BA 01 00 00 00 E8 ?? ?? ?? ?? EB 44 8B C6 03 83 DC 02 00 00 50 0F B7 6C 24 06 0F B7 C5 0F B7 54 24 04 03 C2 50 8B C7 0F B7 CD 8B D6 E8 ?? ?? ?? ?? 8B C7 B9 01 00 00 00 83 CA FF E8 ?? ?? ?? ?? EB 0E 6A 00 57 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86903_0 {
	meta:
		name = "TTabSet.DrawLine"
		size = 76
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 75 10 0F B6 80 00 03 00 00 04 FE 2C 02 73 12 8B C1 8B CE 8B F0 8B 45 0C 8B 55 08 89 55 0C 89 45 08 8B D1 8B 45 FC 8B CE 8B 18 FF 53 64 8B 4D 08 8B 55 0C 8B 45 FC 8B 18 FF 53 60 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_86904_0 {
	meta:
		name = "TTabSet.DoDefaultPainting"
		size = 3216
		refs = "0017 TTabSet.DoDefaultPainting 0058 TControl.GetClientHeight 0083 TControl.GetClientWidth 00d9 TBitmap.GetCanvas 00e9 TBrush.SetBitmap 00ee TStyleManager.GetActiveStyle 011e TCanvas.GetHandle 012c TControl.Perform 0155 TRect.Create 016f TPen.SetWidth 01d0 TCustomStyleServices.GetElementColor 0208 TPen.SetColor 023a TTabSet.DrawLine 0308 TCustomCanvas.TextWidth 0330 TList.Get 038f TabState 0402 TTabSet.PaintEdge 04db TBrush.SetColor 0617 TCustomCanvas.TextHeight 0675 TCustomImageList.GetCount 06ae TCustomImageList.Draw 0838 TFont.SetColor 0c4e @UStrClr 0c54 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 86 00 03 00 00 2C 01 74 04 2C 02 75 1C 33 C0 89 45 D8 33 C0 89 45 F8 8B 86 DC 02 00 00 89 45 F4 C7 45 F0 01 00 00 00 EB 5D 80 BE 00 03 00 00 00 75 2B 8B C6 E8 ?? ?? ?? ?? 2B 86 DC 02 00 00 89 45 D8 8B C6 E8 ?? ?? ?? ?? 48 89 45 F8 C7 45 F0 FF FF FF FF 8B 45 D8 48 89 45 F4 EB 29 8B C6 E8 ?? ?? ?? ?? 2B 86 DC 02 00 00 89 45 D8 8B C6 E8 ?? ?? ?? ?? 48 89 45 F8 C7 45 F0 FF FF FF FF 8B 45 D8 48 89 45 F4 0F B6 86 00 03 00 00 2C 02 73 10 8B 86 CC 02 00 00 8B 10 FF 52 30 89 45 D4 EB 0E 8B 86 CC 02 00 00 8B 10 FF 52 24 89 45 D4 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D8 8B 43 48 8B 96 D0 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 8B 45 CC 8B 10 FF 52 48 84 C0 74 09 F6 46 5A 04 0F 95 C0 EB 02 33 C0 84 C0 74 22 6A 00 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 BA 14 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 34 8B 86 CC 02 00 00 8B 10 FF 52 30 50 8B 86 CC 02 00 00 8B 10 FF 52 24 50 33 C9 33 D2 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8B C3 8B 08 FF 51 54 8B 43 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 CC 8B 10 FF 52 48 84 C0 74 10 8D 4D 80 B2 03 8B 45 CC 8B 38 FF 97 D0 00 00 00 8B 45 80 89 85 74 FF FF FF 8B 45 84 89 85 78 FF FF FF 8B 45 88 89 85 7C FF FF FF C6 45 BF 05 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8D 45 D0 50 E8 ?? ?? ?? ?? 0F B6 4D BF 8D 95 74 FF FF FF E8 ?? ?? ?? ?? 88 45 BD EB 04 C6 45 BD 00 80 7D BD 00 74 0D 81 7D D0 FF FF FF 1F 0F 95 45 BC EB 04 C6 45 BC 00 0F B6 45 BC 88 45 BE 80 7D BE 00 74 0D 8B 43 44 8B 55 D0 E8 ?? ?? ?? ?? EB 0D 8B 43 44 BA 10 00 00 FF E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 D4 40 50 8B 45 F8 50 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C6 E8 ?? ?? ?? ?? 80 BE E5 02 00 00 00 0F 85 B5 00 00 00 8B 45 80 89 85 68 FF FF FF 8B 45 84 89 85 6C FF FF FF 8B 45 88 89 85 70 FF FF FF C6 45 BB 06 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8D 45 D0 50 E8 ?? ?? ?? ?? 0F B6 4D BB 8D 95 68 FF FF FF E8 ?? ?? ?? ?? 88 45 B9 EB 04 C6 45 B9 00 80 7D B9 00 74 0D 81 7D D0 FF FF FF 1F 0F 95 45 B8 EB 04 C6 45 B8 00 0F B6 45 B8 88 45 BA 80 7D BA 00 74 0D 8B 43 44 8B 55 D0 E8 ?? ?? ?? ?? EB 0D 8B 43 44 BA 06 00 00 FF E8 ?? ?? ?? ?? 8B 45 F8 03 45 F0 50 8B 45 D4 40 50 8B 45 F8 03 45 F0 50 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 E0 8B 86 D4 02 00 00 8B 40 08 48 85 C0 0F 8C 1C 09 00 00 40 89 45 C8 33 FF 8B D7 8B 86 D4 02 00 00 E8 ?? ?? ?? ?? 89 85 F4 FE FF FF 8B 85 F4 FE FF FF 89 45 EC 66 FF 45 EC 8B C7 48 66 01 45 EE 85 FF 0F 94 45 EA 8B 86 94 02 00 00 48 3B F8 0F 94 45 E9 8B C7 03 86 90 02 00 00 8B 96 8C 02 00 00 3B C2 0F 94 45 E8 48 3B D0 0F 94 45 E7 8B 45 CC 8B 10 FF 52 48 84 C0 74 19 0F B6 45 E8 0F B6 90 ?? ?? ?? ?? 8D 4D 80 8B 45 CC 8B 18 FF 93 D0 00 00 00 C6 45 EB 00 80 7D E9 00 74 10 80 7D E8 00 74 06 C6 45 EB 03 EB 04 C6 45 EB 04 80 7D EA 00 74 0E 80 7D E8 00 74 04 B0 01 EB 1A B0 02 EB 16 80 7D E7 00 74 04 B0 06 EB 0C 80 7D E8 00 74 04 B0 05 EB 02 B0 07 84 C0 74 1D 8B 96 DC 02 00 00 4A 52 50 0F B7 55 EE 2B 96 FC 02 00 00 8B 4D D8 8B C6 E8 ?? ?? ?? ?? 0F B6 86 00 03 00 00 2C 02 73 26 0F B7 45 EE 0F B7 55 EC 03 C2 50 8B 45 D8 03 86 DC 02 00 00 50 0F B7 55 EE 8B 4D D8 8D 45 8C E8 ?? ?? ?? ?? EB 24 8B 45 D8 03 86 DC 02 00 00 50 0F B7 45 EE 0F B7 55 EC 03 C2 50 0F B7 4D EE 8B 55 D8 8D 45 8C E8 ?? ?? ?? ?? 80 7D E8 00 0F 84 9D 00 00 00 8B 45 80 89 85 5C FF FF FF 8B 45 84 89 85 60 FF FF FF 8B 45 88 89 85 64 FF FF FF C6 45 B7 01 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1A 8D 45 D0 50 E8 ?? ?? ?? ?? 0F B6 4D B7 8D 95 5C FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0C 81 7D D0 FF FF FF 1F 0F 95 C0 EB 02 33 C0 88 45 B6 80 7D B6 00 74 1B 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 8B 55 D0 E8 ?? ?? ?? ?? E9 B3 00 00 00 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 8B 96 98 02 00 00 E8 ?? ?? ?? ?? E9 95 00 00 00 8B 45 80 89 85 50 FF FF FF 8B 45 84 89 85 54 FF FF FF 8B 45 88 89 85 58 FF FF FF C6 45 B5 01 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1A 8D 45 D0 50 E8 ?? ?? ?? ?? 0F B6 4D B5 8D 95 50 FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0C 81 7D D0 FF FF FF 1F 0F 95 C0 EB 02 33 C0 88 45 B4 80 7D B4 00 74 18 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 8B 55 D0 E8 ?? ?? ?? ?? EB 19 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 8B 96 9C 02 00 00 E8 ?? ?? ?? ?? 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8D 55 8C 8B 08 FF 51 54 80 BE A6 02 00 00 01 75 2D 8B C7 03 86 90 02 00 00 50 0F B6 45 E8 50 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4D 8C 8B C6 8B 18 FF 93 FC 00 00 00 E9 8E 02 00 00 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 89 45 C4 0F B6 86 00 03 00 00 2C 02 73 0C 83 45 90 02 FF 45 8C FF 45 94 EB 3D 80 BE 00 03 00 00 03 75 13 BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 40 01 45 8C EB 0B 83 45 8C 02 0F B7 45 EC 01 45 90 0F B7 45 EC 03 45 8C 89 45 94 8B 45 90 03 86 DC 02 00 00 89 45 98 83 BE E8 02 00 00 00 0F 84 28 01 00 00 8B D7 03 96 90 02 00 00 8B C6 8B 08 FF 91 00 01 00 00 89 45 DC 83 7D DC FF 0F 8E 09 01 00 00 8B 86 E8 02 00 00 E8 ?? ?? ?? ?? 3B 45 DC 0F 8E F5 00 00 00 0F B6 86 00 03 00 00 2C 02 73 3D 8B 45 90 50 8B 45 DC 50 6A 01 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D 8C 8B 86 E8 02 00 00 E8 ?? ?? ?? ?? 8B 86 E8 02 00 00 8B 40 3C 83 C0 02 01 45 8C 83 45 90 02 E9 AD 00 00 00 80 BE 00 03 00 00 03 75 57 8B 45 90 50 8B 45 DC 50 6A 01 BA ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 8B 55 8C 2B D0 52 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 86 E8 02 00 00 59 E8 ?? ?? ?? ?? 8B 86 E8 02 00 00 8B 40 38 83 C0 02 01 45 90 8B 86 E8 02 00 00 8B 40 38 29 45 94 83 45 8C 02 EB 4D 8B 86 E8 02 00 00 8B 55 90 2B 50 38 52 8B 45 DC 50 6A 01 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D 8C 8B 86 E8 02 00 00 E8 ?? ?? ?? ?? 8B 86 E8 02 00 00 8B 40 38 83 C0 02 29 45 90 8B 86 E8 02 00 00 8B 40 38 29 45 94 83 45 8C 02 8D 4D FC 8B D7 03 96 90 02 00 00 8B 86 88 02 00 00 8B 18 FF 53 0C 8B 45 94 2B 45 8C 3B 45 E0 7D 19 8B 55 FC 8B 45 C4 E8 ?? ?? ?? ?? 8B 55 94 2B 55 8C 3B C2 0F 8F BD 00 00 00 E8 ?? ?? ?? ?? 0F B6 55 E8 0F B6 92 ?? ?? ?? ?? 8D 8D 44 FF FF FF 8B 18 FF 93 D0 00 00 00 C6 45 B3 02 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8D 45 D0 50 E8 ?? ?? ?? ?? 0F B6 4D B3 8D 95 44 FF FF FF E8 ?? ?? ?? ?? 88 45 B1 EB 04 C6 45 B1 00 80 7D B1 00 74 0D 81 7D D0 FF FF FF 1F 0F 95 45 B0 EB 04 C6 45 B0 00 0F B6 45 B0 88 45 B2 80 7D B2 00 74 18 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 40 8B 55 D0 E8 ?? ?? ?? ?? EB 19 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 40 8B 56 6C 8B 52 18 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 4D FC 8D 55 8C 8B 45 C4 8B 18 FF 93 94 00 00 00 80 7D EB 00 74 21 8B 86 DC 02 00 00 48 50 0F B6 45 EB 50 0F B7 55 EE 0F B7 45 EC 03 D0 8B 4D D8 8B C6 E8 ?? ?? ?? ?? 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 89 45 C0 80 BE A6 02 00 00 02 0F 85 93 00 00 00 8B 45 80 89 85 38 FF FF FF 8B 45 84 89 85 3C FF FF FF 8B 45 88 89 85 40 FF FF FF C6 45 AF 05 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1A 8D 45 D0 50 E8 ?? ?? ?? ?? 0F B6 4D AF 8D 95 38 FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0D 81 7D D0 FF FF FF 1F 0F 95 45 AD EB 04 C6 45 AD 00 0F B6 45 AD 88 45 AE 80 7D AE 00 74 13 8B 45 C0 8B 40 44 8B 55 D0 E8 ?? ?? ?? ?? E9 A7 00 00 00 8B 45 C0 8B 40 44 BA 10 00 00 FF E8 ?? ?? ?? ?? E9 92 00 00 00 8B 45 80 89 85 2C FF FF FF 8B 45 84 89 85 30 FF FF FF 8B 45 88 89 85 34 FF FF FF C6 45 AC 06 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8D 45 D0 50 E8 ?? ?? ?? ?? 0F B6 4D AC 8D 95 2C FF FF FF E8 ?? ?? ?? ?? 88 45 AA EB 04 C6 45 AA 00 80 7D AA 00 74 0D 81 7D D0 FF FF FF 1F 0F 95 45 A9 EB 04 C6 45 A9 00 0F B6 45 A9 88 45 AB 80 7D AB 00 74 10 8B 45 C0 8B 40 44 8B 55 D0 E8 ?? ?? ?? ?? EB 10 8B 45 C0 8B 40 44 BA 06 00 00 FF E8 ?? ?? ?? ?? 8B 45 F4 2B 45 F0 50 0F B7 5D EE 0F B7 C3 0F B7 55 EC 03 C2 50 8B 45 F4 2B 45 F0 50 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 0F B7 CB 8B C6 E8 ?? ?? ?? ?? 80 7D E8 00 0F 85 21 02 00 00 80 BE E5 02 00 00 00 0F 84 93 00 00 00 8D 8D 20 FF FF FF B2 02 8B 45 CC 8B 18 FF 93 D0 00 00 00 C6 45 A8 01 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8D 45 D0 50 E8 ?? ?? ?? ?? 0F B6 4D A8 8D 95 20 FF FF FF E8 ?? ?? ?? ?? 88 45 A6 EB 04 C6 45 A6 00 80 7D A6 00 74 0D 81 7D D0 FF FF FF 1F 0F 95 45 A5 EB 04 C6 45 A5 00 0F B6 45 A5 88 45 A7 80 7D A7 00 74 13 8B 45 C0 8B 40 44 8B 55 D0 E8 ?? ?? ?? ?? E9 A8 00 00 00 8B 45 C0 8B 40 44 8B 96 A0 02 00 00 E8 ?? ?? ?? ?? E9 92 00 00 00 8B 45 80 89 85 14 FF FF FF 8B 45 84 89 85 18 FF FF FF 8B 45 88 89 85 1C FF FF FF C6 45 A4 06 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8D 45 D0 50 E8 ?? ?? ?? ?? 0F B6 4D A4 8D 95 14 FF FF FF E8 ?? ?? ?? ?? 88 45 A2 EB 04 C6 45 A2 00 80 7D A2 00 74 0D 81 7D D0 FF FF FF 1F 0F 95 45 A1 EB 04 C6 45 A1 00 0F B6 45 A1 88 45 A3 80 7D A3 00 74 10 8B 45 C0 8B 40 44 8B 55 D0 E8 ?? ?? ?? ?? EB 10 8B 45 C0 8B 40 44 BA 06 00 00 FF E8 ?? ?? ?? ?? 8B 45 F8 03 45 F0 50 0F B7 45 EE 0F B7 55 EC 03 C2 50 8B 45 F8 03 45 F0 50 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 0F B7 4D EE 8B C6 E8 ?? ?? ?? ?? 8B 45 80 89 85 08 FF FF FF 8B 45 84 89 85 0C FF FF FF 8B 45 88 89 85 10 FF FF FF C6 45 A0 05 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8D 45 D0 50 E8 ?? ?? ?? ?? 0F B6 4D A0 8D 95 08 FF FF FF E8 ?? ?? ?? ?? 88 45 9E EB 04 C6 45 9E 00 80 7D 9E 00 74 0D 81 7D D0 FF FF FF 1F 0F 95 45 9D EB 04 C6 45 9D 00 0F B6 45 9D 88 45 9F 80 7D 9F 00 74 10 8B 45 C0 8B 40 44 8B 55 D0 E8 ?? ?? ?? ?? EB 10 8B 45 C0 8B 40 44 BA 10 00 00 FF E8 ?? ?? ?? ?? 8B 45 F8 50 0F B7 45 EE 0F B7 55 EC 03 C2 40 50 8B 45 F8 50 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 0F B7 4D EE 8B C6 E8 ?? ?? ?? ?? 47 FF 4D C8 0F 85 EA F6 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 58 00 2E 00 2E 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 58 00 00 00 10 04 00 00 }
	condition:
		$1
}

rule function_86905_0 {
	meta:
		name = "TTabSet.Paint"
		size = 84
		refs = "0006 TTabSet.SetupTabPositions 0022 TTabSet.DoDefaultPainting 002f TTabSet.DoModernPainting 0038 TTabSet.DoPopoutModernPainting"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 E4 02 00 00 00 0F B6 83 A6 02 00 00 8B D0 80 EA 03 73 09 8B C3 E8 ?? ?? ?? ?? EB 14 3C 03 75 09 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 8B 83 CC 02 00 00 50 33 C9 33 D2 8B 83 78 02 00 00 8B 18 FF 53 44 5B C3 }
	condition:
		$1
}

rule function_86906_0 {
	meta:
		name = "DrawPoly"
		size = 126
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B 5D 08 03 DB 43 85 DB 78 07 8B 34 99 4B 56 79 F9 8B CC 8B F1 88 55 FB 89 45 FC 8B 45 0C 8B 40 F8 0F B6 80 00 03 00 00 04 FE 2C 02 73 1A 8B 4D 08 85 C9 7C 13 41 8B C6 8B 18 8B 50 04 89 10 89 58 04 83 C0 08 49 75 F0 80 7D FB 00 74 0F 8B D6 8B 4D 08 8B 45 FC 8B 18 FF 53 6C EB 0D 8B D6 8B 4D 08 8B 45 FC 8B 18 FF 53 70 8B 75 F0 8B 5D F4 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_86907_0 {
	meta:
		name = "DrawUL"
		size = 2231
		refs = "0073 TStyleManager.GetActiveStyle 0097 TCustomStyleServices.GetElementColor 00c2 TPen.SetColor 0131 DrawPoly 01b6 TBrush.SetColor"
	strings:
		$1 = { 55 8B EC 81 C4 74 FE FF FF 53 56 8B D8 8B 45 08 8B 40 F4 8B 10 FF 52 48 84 C0 74 34 8D 8D C4 FE FF FF 8B 45 08 8B 40 F4 B2 03 8B 30 FF 96 D0 00 00 00 8B 45 08 8B 95 C4 FE FF FF 89 50 E8 8B 95 C8 FE FF FF 89 50 EC 8B 95 CC FE FF FF 89 50 F0 8B 45 08 8B 50 E8 89 95 18 FF FF FF 8B 50 EC 89 95 1C FF FF FF 8B 50 F0 89 95 20 FF FF FF C6 45 FF 05 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D FF 8D 95 18 FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0F 8B 45 08 81 78 FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 74 10 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? EB 0D BA 10 00 00 FF 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E4 33 D2 89 55 F4 89 45 F8 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 40 8B 55 08 8B 52 E4 89 45 EC 89 55 F0 8B 45 08 50 6A 01 8B 45 F4 89 85 B4 FE FF FF 8B 45 F8 89 85 B8 FE FF FF 8B 45 EC 89 85 BC FE FF FF 8B 45 F0 89 85 C0 FE FF FF 8D 8D B4 FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 8B 50 E8 89 95 0C FF FF FF 8B 50 EC 89 95 10 FF FF FF 8B 50 F0 89 95 14 FF FF FF C6 45 EB 01 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D EB 8D 95 0C FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0F 8B 45 08 81 78 FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 74 1E 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 50 FC 8B 43 48 E8 ?? ?? ?? ?? EB 28 8B 45 08 8B 40 F8 8B 90 9C 02 00 00 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 90 9C 02 00 00 8B 43 48 E8 ?? ?? ?? ?? 8B 45 08 8B 50 E4 8B 45 08 03 50 E0 8B C2 C7 45 E0 03 00 00 00 89 45 E4 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 8B C8 49 8B 75 08 8B 76 DC 89 4D D8 89 75 DC 8B C8 8B 75 08 8B 76 DC 89 4D D0 89 75 D4 8B CA 89 45 C8 89 4D CC 8B C2 C7 45 C0 03 00 00 00 89 45 C4 8B 45 08 50 6A 04 8B 45 E0 89 85 8C FE FF FF 8B 45 E4 89 85 90 FE FF FF 8B 45 D8 89 85 94 FE FF FF 8B 45 DC 89 85 98 FE FF FF 8B 45 D0 89 85 9C FE FF FF 8B 45 D4 89 85 A0 FE FF FF 8B 45 C8 89 85 A4 FE FF FF 8B 45 CC 89 85 A8 FE FF FF 8B 45 C0 89 85 AC FE FF FF 8B 45 C4 89 85 B0 FE FF FF 8D 8D 8C FE FF FF B2 01 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F8 80 B8 E5 02 00 00 00 0F 84 14 03 00 00 8B 45 08 8B 50 D0 89 95 00 FF FF FF 8B 50 D4 89 95 04 FF FF FF 8B 50 D8 89 95 08 FF FF FF C6 45 BF 01 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D BF 8D 95 00 FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0F 8B 45 08 81 78 FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 74 10 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? EB 14 8B 45 08 8B 40 F8 8B 90 A0 02 00 00 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E4 8B 55 08 03 42 E0 C7 45 B4 04 00 00 00 89 45 B8 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 40 8B 55 08 8B 52 E4 8B 4D 08 03 51 E0 89 55 B0 89 45 A8 8B 45 B0 89 45 AC 8B 45 08 50 6A 01 8B 45 B4 89 85 B4 FE FF FF 8B 45 B8 89 85 B8 FE FF FF 8B 45 A8 89 85 BC FE FF FF 8B 45 AC 89 85 C0 FE FF FF 8D 8D B4 FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F8 80 B8 A6 02 00 00 02 0F 85 A0 00 00 00 8B 45 08 8B 50 E8 89 95 F4 FE FF FF 8B 50 EC 89 95 F8 FE FF FF 8B 50 F0 89 95 FC FE FF FF C6 45 A7 05 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 20 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D A7 8D 95 F4 FE FF FF E8 ?? ?? ?? ?? 88 45 A5 EB 04 C6 45 A5 00 80 7D A5 00 74 10 8B 45 08 81 78 FC FF FF FF 1F 0F 95 45 A4 EB 04 C6 45 A4 00 0F B6 45 A4 88 45 A6 80 7D A6 00 74 13 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? E9 AA 00 00 00 BA 10 00 00 FF 8B 43 44 E8 ?? ?? ?? ?? E9 98 00 00 00 8B 45 08 8B 50 E8 89 95 E8 FE FF FF 8B 50 EC 89 95 EC FE FF FF 8B 50 F0 89 95 F0 FE FF FF C6 45 A3 06 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 20 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D A3 8D 95 E8 FE FF FF E8 ?? ?? ?? ?? 88 45 A1 EB 04 C6 45 A1 00 80 7D A1 00 74 10 8B 45 08 81 78 FC FF FF FF 1F 0F 95 45 A0 EB 04 C6 45 A0 00 0F B6 45 A0 88 45 A2 80 7D A2 00 74 10 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? EB 0D BA 06 00 00 FF 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E4 8B 55 08 03 42 E0 89 45 9C C7 45 94 03 00 00 00 8B 45 9C 89 45 98 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 48 89 45 90 8B 45 08 8B 40 DC 89 45 8C 8B 45 90 89 45 84 8B 45 8C 89 45 88 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 89 45 80 8B 45 08 8B 40 DC 89 85 7C FF FF FF 8B 45 80 89 85 74 FF FF FF 8B 85 7C FF FF FF 89 85 78 FF FF FF 8B 45 08 50 6A 02 8B 45 94 89 85 74 FE FF FF 8B 45 98 89 85 78 FE FF FF 8B 45 84 89 85 7C FE FF FF 8B 45 88 89 85 80 FE FF FF 8B 85 74 FF FF FF 89 85 84 FE FF FF 8B 85 78 FF FF FF 89 85 88 FE FF FF 8D 8D 74 FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 59 E9 E1 02 00 00 8B 45 08 8B 40 F8 80 B8 A6 02 00 00 02 0F 85 BE 00 00 00 8B 45 08 8B 50 E8 89 95 DC FE FF FF 8B 50 EC 89 95 E0 FE FF FF 8B 50 F0 89 95 E4 FE FF FF C6 85 73 FF FF FF 05 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 26 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 8D 73 FF FF FF 8D 95 DC FE FF FF E8 ?? ?? ?? ?? 88 85 71 FF FF FF EB 07 C6 85 71 FF FF FF 00 80 BD 71 FF FF FF 00 74 13 8B 45 08 81 78 FC FF FF FF 1F 0F 95 85 70 FF FF FF EB 07 C6 85 70 FF FF FF 00 0F B6 85 70 FF FF FF 88 85 72 FF FF FF 80 BD 72 FF FF FF 00 74 13 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? E9 C8 00 00 00 BA 10 00 00 FF 8B 43 44 E8 ?? ?? ?? ?? E9 B6 00 00 00 8B 45 08 8B 50 E8 89 95 D0 FE FF FF 8B 50 EC 89 95 D4 FE FF FF 8B 50 F0 89 95 D8 FE FF FF C6 85 6F FF FF FF 06 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 26 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 8D 6F FF FF FF 8D 95 D0 FE FF FF E8 ?? ?? ?? ?? 88 85 6D FF FF FF EB 07 C6 85 6D FF FF FF 00 80 BD 6D FF FF FF 00 74 13 8B 45 08 81 78 FC FF FF FF 1F 0F 95 85 6C FF FF FF EB 07 C6 85 6C FF FF FF 00 0F B6 85 6C FF FF FF 88 85 6E FF FF FF 80 BD 6E FF FF FF 00 74 10 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? EB 0D BA 06 00 00 FF 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E4 8B 55 08 03 42 E0 89 85 68 FF FF FF 33 D2 89 95 60 FF FF FF 8B 95 68 FF FF FF 89 95 64 FF FF FF 8B 55 08 8B 52 F8 8B 92 FC 02 00 00 8B CA 41 89 8D 5C FF FF FF 89 85 58 FF FF FF 8B 8D 5C FF FF FF 89 8D 50 FF FF FF 8B 8D 58 FF FF FF 89 8D 54 FF FF FF 89 85 4C FF FF FF C7 85 44 FF FF FF 03 00 00 00 8B 85 4C FF FF FF 89 85 48 FF FF FF 8B C2 48 89 85 40 FF FF FF 8B 45 08 8B 40 DC 89 85 3C FF FF FF 8B 85 40 FF FF FF 89 85 34 FF FF FF 8B 85 3C FF FF FF 89 85 38 FF FF FF 89 95 30 FF FF FF 8B 45 08 8B 40 DC 89 85 2C FF FF FF 8B 85 30 FF FF FF 89 85 24 FF FF FF 8B 85 2C FF FF FF 89 85 28 FF FF FF 8B 45 08 50 6A 04 8B 85 60 FF FF FF 89 85 8C FE FF FF 8B 85 64 FF FF FF 89 85 90 FE FF FF 8B 85 50 FF FF FF 89 85 94 FE FF FF 8B 85 54 FF FF FF 89 85 98 FE FF FF 8B 85 44 FF FF FF 89 85 9C FE FF FF 8B 85 48 FF FF FF 89 85 A0 FE FF FF 8B 85 34 FF FF FF 89 85 A4 FE FF FF 8B 85 38 FF FF FF 89 85 A8 FE FF FF 8B 85 24 FF FF FF 89 85 AC FE FF FF 8B 85 28 FF FF FF 89 85 B0 FE FF FF 8D 8D 8C FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86908_0 {
	meta:
		name = "DrawSL"
		size = 1568
		refs = "0073 TStyleManager.GetActiveStyle 0097 TCustomStyleServices.GetElementColor 00c2 TPen.SetColor 00d0 TBrush.SetColor 01be DrawPoly"
	strings:
		$1 = { 55 8B EC 81 C4 9C FE FF FF 53 56 8B D8 8B 45 08 8B 40 F4 8B 10 FF 52 48 84 C0 74 34 8D 8D 0C FF FF FF 8B 45 08 8B 40 F4 B2 04 8B 30 FF 96 D0 00 00 00 8B 45 08 8B 95 0C FF FF FF 89 50 E8 8B 95 10 FF FF FF 89 50 EC 8B 95 14 FF FF FF 89 50 F0 8B 45 08 8B 50 E8 89 95 3C FF FF FF 8B 50 EC 89 95 40 FF FF FF 8B 50 F0 89 95 44 FF FF FF C6 45 FF 01 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D FF 8D 95 3C FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0F 8B 45 08 81 78 FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 74 1E 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 50 FC 8B 43 48 E8 ?? ?? ?? ?? EB 28 8B 45 08 8B 40 F8 8B 90 98 02 00 00 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 90 98 02 00 00 8B 43 48 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E4 C7 45 F4 03 00 00 00 89 45 F8 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 8B D0 4A 8B 4D 08 8B 49 DC 89 55 EC 89 4D F0 8B D0 8B 4D 08 8B 49 DC 89 55 E4 89 4D E8 8B 55 08 8B 52 E4 89 45 DC 89 55 E0 8B 45 08 8B 40 E4 C7 45 D4 03 00 00 00 89 45 D8 8B 45 08 50 6A 04 8B 45 F4 89 85 E4 FE FF FF 8B 45 F8 89 85 E8 FE FF FF 8B 45 EC 89 85 EC FE FF FF 8B 45 F0 89 85 F0 FE FF FF 8B 45 E4 89 85 F4 FE FF FF 8B 45 E8 89 85 F8 FE FF FF 8B 45 DC 89 85 FC FE FF FF 8B 45 E0 89 85 00 FF FF FF 8B 45 D4 89 85 04 FF FF FF 8B 45 D8 89 85 08 FF FF FF 8D 8D E4 FE FF FF B2 01 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 8B 50 E8 89 95 30 FF FF FF 8B 50 EC 89 95 34 FF FF FF 8B 50 F0 89 95 38 FF FF FF C6 45 D3 05 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D D3 8D 95 30 FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0F 8B 45 08 81 78 FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 74 10 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? EB 0D BA 10 00 00 FF 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 80 B8 A6 02 00 00 02 0F 84 CB 01 00 00 8B 45 08 8B 40 E4 33 D2 89 55 C8 89 45 CC 8B 45 08 8B 40 E4 C7 45 C0 04 00 00 00 89 45 C4 8B 45 08 50 6A 01 8B 45 C8 89 85 D4 FE FF FF 8B 45 CC 89 85 D8 FE FF FF 8B 45 C0 89 85 DC FE FF FF 8B 45 C4 89 85 E0 FE FF FF 8D 8D D4 FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 8B 50 E8 89 95 24 FF FF FF 8B 50 EC 89 95 28 FF FF FF 8B 50 F0 89 95 2C FF FF FF C6 45 BF 04 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D BF 8D 95 24 FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0F 8B 45 08 81 78 FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 74 10 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? EB 0D BA 14 00 00 FF 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E4 8B 55 08 03 42 E0 C7 45 B4 04 00 00 00 89 45 B8 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 8B 55 08 8B 52 DC 42 89 45 AC 89 55 B0 8B 45 08 50 6A 01 8B 45 B4 89 85 D4 FE FF FF 8B 45 B8 89 85 D8 FE FF FF 8B 45 AC 89 85 DC FE FF FF 8B 45 B0 89 85 E0 FE FF FF 8D 8D D4 FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 8B 50 E8 89 95 18 FF FF FF 8B 50 EC 89 95 1C FF FF FF 8B 50 F0 89 95 20 FF FF FF C6 45 AB 06 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D AB 8D 95 18 FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0F 8B 45 08 81 78 FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 74 10 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? EB 0D BA 06 00 00 FF 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 80 B8 E5 02 00 00 00 0F 84 B0 00 00 00 8B 45 08 8B 40 E4 8B 55 08 03 42 E0 C7 45 A0 03 00 00 00 89 45 A4 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 48 89 45 9C 8B 45 08 8B 40 DC 89 45 98 8B 45 9C 89 45 90 8B 45 98 89 45 94 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 89 45 8C 8B 45 08 8B 40 DC 89 45 88 8B 45 8C 89 45 80 8B 45 88 89 45 84 8B 45 08 50 6A 02 8B 45 A0 89 85 BC FE FF FF 8B 45 A4 89 85 C0 FE FF FF 8B 45 90 89 85 C4 FE FF FF 8B 45 94 89 85 C8 FE FF FF 8B 45 80 89 85 CC FE FF FF 8B 45 84 89 85 D0 FE FF FF 8D 8D BC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 59 E9 31 01 00 00 8B 45 08 8B 40 E4 8B 55 08 03 42 E0 89 85 7C FF FF FF 33 C0 89 85 74 FF FF FF 8B 85 7C FF FF FF 89 85 78 FF FF FF 8B 45 08 8B 40 E4 8B 55 08 03 42 E0 89 85 70 FF FF FF C7 85 68 FF FF FF 03 00 00 00 8B 85 70 FF FF FF 89 85 6C FF FF FF 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 48 89 85 64 FF FF FF 8B 45 08 8B 40 DC 89 85 60 FF FF FF 8B 85 64 FF FF FF 89 85 58 FF FF FF 8B 85 60 FF FF FF 89 85 5C FF FF FF 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 89 85 54 FF FF FF 8B 45 08 8B 40 DC 89 85 50 FF FF FF 8B 85 54 FF FF FF 89 85 48 FF FF FF 8B 85 50 FF FF FF 89 85 4C FF FF FF 8B 45 08 50 6A 03 8B 85 74 FF FF FF 89 85 9C FE FF FF 8B 85 78 FF FF FF 89 85 A0 FE FF FF 8B 85 68 FF FF FF 89 85 A4 FE FF FF 8B 85 6C FF FF FF 89 85 A8 FE FF FF 8B 85 58 FF FF FF 89 85 AC FE FF FF 8B 85 5C FF FF FF 89 85 B0 FE FF FF 8B 85 48 FF FF FF 89 85 B4 FE FF FF 8B 85 4C FF FF FF 89 85 B8 FE FF FF 8D 8D 9C FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86909_0 {
	meta:
		name = "DrawUR"
		size = 2520
		refs = "0073 TStyleManager.GetActiveStyle 0097 TCustomStyleServices.GetElementColor 00c2 TPen.SetColor 0133 DrawPoly 01b8 TBrush.SetColor"
	strings:
		$1 = { 55 8B EC 81 C4 54 FE FF FF 53 56 8B D8 8B 45 08 8B 40 F4 8B 10 FF 52 48 84 C0 74 34 8D 8D A4 FE FF FF 8B 45 08 8B 40 F4 B2 03 8B 30 FF 96 D0 00 00 00 8B 45 08 8B 95 A4 FE FF FF 89 50 E8 8B 95 A8 FE FF FF 89 50 EC 8B 95 AC FE FF FF 89 50 F0 8B 45 08 8B 50 E8 89 95 04 FF FF FF 8B 50 EC 89 95 08 FF FF FF 8B 50 F0 89 95 0C FF FF FF C6 45 FF 05 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D FF 8D 95 04 FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0F 8B 45 08 81 78 FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 74 10 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? EB 0D BA 10 00 00 FF 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E4 C7 45 F4 FF FF FF FF 89 45 F8 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 40 8B 55 08 8B 52 E4 89 45 EC 89 55 F0 8B 45 08 50 6A 01 8B 45 F4 89 85 94 FE FF FF 8B 45 F8 89 85 98 FE FF FF 8B 45 EC 89 85 9C FE FF FF 8B 45 F0 89 85 A0 FE FF FF 8D 8D 94 FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 8B 50 E8 89 95 F8 FE FF FF 8B 50 EC 89 95 FC FE FF FF 8B 50 F0 89 95 00 FF FF FF C6 45 EB 01 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D EB 8D 95 F8 FE FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0F 8B 45 08 81 78 FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 74 1E 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 50 FC 8B 43 48 E8 ?? ?? ?? ?? EB 28 8B 45 08 8B 40 F8 8B 90 9C 02 00 00 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 90 9C 02 00 00 8B 43 48 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 88 FC 02 00 00 83 E9 03 8B D1 8B 45 08 8B 40 E4 8B 75 08 03 46 E0 8B F0 89 55 E0 89 75 E4 8B 55 08 8B 52 DC C7 45 D8 01 00 00 00 89 55 DC 8B 55 08 8B 52 DC 33 F6 89 75 D0 89 55 D4 8B D0 33 F6 89 75 C8 89 55 CC 8B D1 89 55 C0 89 45 C4 8B 45 08 50 6A 04 8B 45 E0 89 85 6C FE FF FF 8B 45 E4 89 85 70 FE FF FF 8B 45 D8 89 85 74 FE FF FF 8B 45 DC 89 85 78 FE FF FF 8B 45 D0 89 85 7C FE FF FF 8B 45 D4 89 85 80 FE FF FF 8B 45 C8 89 85 84 FE FF FF 8B 45 CC 89 85 88 FE FF FF 8B 45 C0 89 85 8C FE FF FF 8B 45 C4 89 85 90 FE FF FF 8D 8D 6C FE FF FF B2 01 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 8B 50 E8 89 95 EC FE FF FF 8B 50 EC 89 95 F0 FE FF FF 8B 50 F0 89 95 F4 FE FF FF C6 45 BF 05 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D BF 8D 95 EC FE FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0F 8B 45 08 81 78 FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 74 10 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? EB 0D BA 10 00 00 FF 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E4 C7 45 B4 FF FF FF FF 89 45 B8 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 40 8B 55 08 8B 52 E4 89 45 AC 89 55 B0 8B 45 08 50 6A 01 8B 45 B4 89 85 94 FE FF FF 8B 45 B8 89 85 98 FE FF FF 8B 45 AC 89 85 9C FE FF FF 8B 45 B0 89 85 A0 FE FF FF 8D 8D 94 FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F8 80 B8 E5 02 00 00 00 0F 84 49 03 00 00 8B 45 08 8B 50 D0 89 95 E0 FE FF FF 8B 50 D4 89 95 E4 FE FF FF 8B 50 D8 89 95 E8 FE FF FF C6 45 AB 01 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 20 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D AB 8D 95 E0 FE FF FF E8 ?? ?? ?? ?? 88 45 A9 EB 04 C6 45 A9 00 80 7D A9 00 74 10 8B 45 08 81 78 FC FF FF FF 1F 0F 95 45 A8 EB 04 C6 45 A8 00 0F B6 45 A8 88 45 AA 80 7D AA 00 74 10 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? EB 14 8B 45 08 8B 40 F8 8B 90 A0 02 00 00 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E4 8B 55 08 03 42 E0 89 45 A4 33 C0 89 45 9C 8B 45 A4 89 45 A0 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 48 89 45 98 8B 45 08 8B 40 E4 8B 55 08 03 42 E0 89 45 94 8B 45 98 89 45 8C 8B 45 94 89 45 90 8B 45 08 50 6A 01 8B 45 9C 89 85 94 FE FF FF 8B 45 A0 89 85 98 FE FF FF 8B 45 8C 89 85 9C FE FF FF 8B 45 90 89 85 A0 FE FF FF 8D 8D 94 FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F8 80 B8 A6 02 00 00 02 0F 85 A0 00 00 00 8B 45 08 8B 50 E8 89 95 D4 FE FF FF 8B 50 EC 89 95 D8 FE FF FF 8B 50 F0 89 95 DC FE FF FF C6 45 8B 05 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 20 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D 8B 8D 95 D4 FE FF FF E8 ?? ?? ?? ?? 88 45 89 EB 04 C6 45 89 00 80 7D 89 00 74 10 8B 45 08 81 78 FC FF FF FF 1F 0F 95 45 88 EB 04 C6 45 88 00 0F B6 45 88 88 45 8A 80 7D 8A 00 74 13 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? E9 AA 00 00 00 BA 10 00 00 FF 8B 43 44 E8 ?? ?? ?? ?? E9 98 00 00 00 8B 45 08 8B 50 E8 89 95 C8 FE FF FF 8B 50 EC 89 95 CC FE FF FF 8B 50 F0 89 95 D0 FE FF FF C6 45 87 06 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 20 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D 87 8D 95 C8 FE FF FF E8 ?? ?? ?? ?? 88 45 85 EB 04 C6 45 85 00 80 7D 85 00 74 10 8B 45 08 81 78 FC FF FF FF 1F 0F 95 45 84 EB 04 C6 45 84 00 0F B6 45 84 88 45 86 80 7D 86 00 74 10 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? EB 0D BA 06 00 00 FF 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 83 E8 02 89 45 80 8B 45 08 8B 40 E4 8B 55 08 03 42 E0 89 85 7C FF FF FF 8B 45 80 89 85 74 FF FF FF 8B 85 7C FF FF FF 89 85 78 FF FF FF 8B 45 08 8B 40 DC 89 85 70 FF FF FF C7 85 68 FF FF FF 02 00 00 00 8B 85 70 FF FF FF 89 85 6C FF FF FF 8B 45 08 8B 40 DC 89 85 64 FF FF FF C7 85 5C FF FF FF FF FF FF FF 8B 85 64 FF FF FF 89 85 60 FF FF FF 8B 45 08 50 6A 02 8B 85 74 FF FF FF 89 85 54 FE FF FF 8B 85 78 FF FF FF 89 85 58 FE FF FF 8B 85 68 FF FF FF 89 85 5C FE FF FF 8B 85 6C FF FF FF 89 85 60 FE FF FF 8B 85 5C FF FF FF 89 85 64 FE FF FF 8B 85 60 FF FF FF 89 85 68 FE FF FF 8D 8D 54 FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 59 E9 E3 02 00 00 8B 45 08 8B 40 F8 80 B8 A6 02 00 00 02 0F 85 BE 00 00 00 8B 45 08 8B 50 E8 89 95 BC FE FF FF 8B 50 EC 89 95 C0 FE FF FF 8B 50 F0 89 95 C4 FE FF FF C6 85 5B FF FF FF 05 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 26 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 8D 5B FF FF FF 8D 95 BC FE FF FF E8 ?? ?? ?? ?? 88 85 59 FF FF FF EB 07 C6 85 59 FF FF FF 00 80 BD 59 FF FF FF 00 74 13 8B 45 08 81 78 FC FF FF FF 1F 0F 95 85 58 FF FF FF EB 07 C6 85 58 FF FF FF 00 0F B6 85 58 FF FF FF 88 85 5A FF FF FF 80 BD 5A FF FF FF 00 74 13 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? E9 C8 00 00 00 BA 10 00 00 FF 8B 43 44 E8 ?? ?? ?? ?? E9 B6 00 00 00 8B 45 08 8B 50 E8 89 95 B0 FE FF FF 8B 50 EC 89 95 B4 FE FF FF 8B 50 F0 89 95 B8 FE FF FF C6 85 57 FF FF FF 06 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 26 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 8D 57 FF FF FF 8D 95 B0 FE FF FF E8 ?? ?? ?? ?? 88 85 55 FF FF FF EB 07 C6 85 55 FF FF FF 00 80 BD 55 FF FF FF 00 74 13 8B 45 08 81 78 FC FF FF FF 1F 0F 95 85 54 FF FF FF EB 07 C6 85 54 FF FF FF 00 0F B6 85 54 FF FF FF 88 85 56 FF FF FF 80 BD 56 FF FF FF 00 74 10 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? EB 0D BA 06 00 00 FF 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E4 8B 55 08 03 42 E0 89 85 50 FF FF FF 33 D2 89 95 48 FF FF FF 8B 95 50 FF FF FF 89 95 4C FF FF FF 8B 55 08 8B 52 F8 8B 92 FC 02 00 00 42 89 95 44 FF FF FF 89 85 40 FF FF FF 8B 95 44 FF FF FF 89 95 38 FF FF FF 8B 95 40 FF FF FF 89 95 3C FF FF FF 8B 55 08 8B 52 F8 8B 92 FC 02 00 00 83 EA 02 89 95 34 FF FF FF 89 85 30 FF FF FF 8B 85 34 FF FF FF 89 85 28 FF FF FF 8B 85 30 FF FF FF 89 85 2C FF FF FF 8B 45 08 8B 40 DC 89 85 24 FF FF FF C7 85 1C FF FF FF 02 00 00 00 8B 85 24 FF FF FF 89 85 20 FF FF FF 8B 45 08 8B 40 DC 89 85 18 FF FF FF C7 85 10 FF FF FF FF FF FF FF 8B 85 18 FF FF FF 89 85 14 FF FF FF 8B 45 08 50 6A 04 8B 85 48 FF FF FF 89 85 6C FE FF FF 8B 85 4C FF FF FF 89 85 70 FE FF FF 8B 85 38 FF FF FF 89 85 74 FE FF FF 8B 85 3C FF FF FF 89 85 78 FE FF FF 8B 85 28 FF FF FF 89 85 7C FE FF FF 8B 85 2C FF FF FF 89 85 80 FE FF FF 8B 85 1C FF FF FF 89 85 84 FE FF FF 8B 85 20 FF FF FF 89 85 88 FE FF FF 8B 85 10 FF FF FF 89 85 8C FE FF FF 8B 85 14 FF FF FF 89 85 90 FE FF FF 8D 8D 6C FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86910_0 {
	meta:
		name = "DrawSR"
		size = 1517
		refs = "0073 TStyleManager.GetActiveStyle 0097 TCustomStyleServices.GetElementColor 00c2 TPen.SetColor 00d0 TBrush.SetColor 01c7 DrawPoly 0294 TTabSet.DrawLine"
	strings:
		$1 = { 55 8B EC 81 C4 BC FE FF FF 53 56 8B D8 8B 45 08 8B 40 F4 8B 10 FF 52 48 84 C0 74 34 8D 8D 1C FF FF FF 8B 45 08 8B 40 F4 B2 04 8B 30 FF 96 D0 00 00 00 8B 45 08 8B 95 1C FF FF FF 89 50 E8 8B 95 20 FF FF FF 89 50 EC 8B 95 24 FF FF FF 89 50 F0 8B 45 08 8B 50 E8 89 95 40 FF FF FF 8B 50 EC 89 95 44 FF FF FF 8B 50 F0 89 95 48 FF FF FF C6 45 FF 01 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D FF 8D 95 40 FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0F 8B 45 08 81 78 FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 74 1E 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 50 FC 8B 43 48 E8 ?? ?? ?? ?? EB 28 8B 45 08 8B 40 F8 8B 90 98 02 00 00 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 90 98 02 00 00 8B 43 48 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 90 FC 02 00 00 8B C2 83 E8 03 8B 4D 08 8B 49 E4 8B 75 08 03 4E E0 89 45 F4 89 4D F8 8B 45 08 8B 40 DC C7 45 EC 02 00 00 00 89 45 F0 8B 45 08 8B 40 DC 33 C9 89 4D E4 89 45 E8 8B 45 08 8B 40 E4 33 C9 89 4D DC 89 45 E0 8B C2 40 8B 55 08 8B 52 E4 89 45 D4 89 55 D8 8B 45 08 50 6A 04 8B 45 F4 89 85 F4 FE FF FF 8B 45 F8 89 85 F8 FE FF FF 8B 45 EC 89 85 FC FE FF FF 8B 45 F0 89 85 00 FF FF FF 8B 45 E4 89 85 04 FF FF FF 8B 45 E8 89 85 08 FF FF FF 8B 45 DC 89 85 0C FF FF FF 8B 45 E0 89 85 10 FF FF FF 8B 45 D4 89 85 14 FF FF FF 8B 45 D8 89 85 18 FF FF FF 8D 8D F4 FE FF FF B2 01 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 8B 50 E8 89 95 34 FF FF FF 8B 50 EC 89 95 38 FF FF FF 8B 50 F0 89 95 3C FF FF FF C6 45 D3 05 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D D3 8D 95 34 FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0F 8B 45 08 81 78 FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 74 10 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? EB 0D BA 10 00 00 FF 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 80 B8 A6 02 00 00 02 75 3D 8B 45 08 8B 40 E4 50 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 83 E8 02 50 8B 45 08 8B 40 E4 50 8B 45 08 8B 40 F8 8B 88 FC 02 00 00 41 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? E9 6A 01 00 00 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 40 8B 55 08 8B 52 E4 89 45 C8 89 55 CC 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 83 E8 03 8B 55 08 8B 52 E4 89 45 C0 89 55 C4 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 83 E8 03 8B 55 08 8B 52 E4 8B 4D 08 03 51 E0 89 45 B8 89 55 BC 8B 45 08 8B 40 DC C7 45 B0 01 00 00 00 89 45 B4 8B 45 08 8B 40 DC C7 45 A8 FF FF FF FF 89 45 AC 8B 45 08 50 6A 04 8B 45 C8 89 85 F4 FE FF FF 8B 45 CC 89 85 F8 FE FF FF 8B 45 C0 89 85 FC FE FF FF 8B 45 C4 89 85 00 FF FF FF 8B 45 B8 89 85 04 FF FF FF 8B 45 BC 89 85 08 FF FF FF 8B 45 B0 89 85 0C FF FF FF 8B 45 B4 89 85 10 FF FF FF 8B 45 A8 89 85 14 FF FF FF 8B 45 AC 89 85 18 FF FF FF 8D 8D F4 FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 8B 50 E8 89 95 28 FF FF FF 8B 50 EC 89 95 2C FF FF FF 8B 50 F0 89 95 30 FF FF FF C6 45 A7 06 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8B 45 08 83 C0 FC 50 E8 ?? ?? ?? ?? 0F B6 4D A7 8D 95 28 FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0F 8B 45 08 81 78 FC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 74 10 8B 45 08 8B 50 FC 8B 43 44 E8 ?? ?? ?? ?? EB 0D BA 06 00 00 FF 8B 43 44 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 80 B8 E5 02 00 00 00 0F 84 9E 00 00 00 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 83 E8 02 8B 55 08 8B 52 E4 8B 4D 08 03 51 E0 89 45 9C 89 55 A0 8B 45 08 8B 40 DC 89 45 98 C7 45 90 02 00 00 00 8B 45 98 89 45 94 8B 45 08 8B 40 DC 89 45 8C C7 45 84 FF FF FF FF 8B 45 8C 89 45 88 8B 45 08 50 6A 02 8B 45 9C 89 85 DC FE FF FF 8B 45 A0 89 85 E0 FE FF FF 8B 45 90 89 85 E4 FE FF FF 8B 45 94 89 85 E8 FE FF FF 8B 45 84 89 85 EC FE FF FF 8B 45 88 89 85 F0 FE FF FF 8D 8D DC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 59 E9 2F 01 00 00 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 89 45 80 8B 45 08 8B 40 E4 8B 55 08 03 42 E0 89 85 7C FF FF FF 8B 45 80 89 85 74 FF FF FF 8B 85 7C FF FF FF 89 85 78 FF FF FF 8B 45 08 8B 40 F8 8B 80 FC 02 00 00 83 E8 02 89 85 70 FF FF FF 8B 45 08 8B 40 E4 8B 55 08 03 42 E0 89 85 6C FF FF FF 8B 85 70 FF FF FF 89 85 64 FF FF FF 8B 85 6C FF FF FF 89 85 68 FF FF FF 8B 45 08 8B 40 DC 89 85 60 FF FF FF C7 85 58 FF FF FF 02 00 00 00 8B 85 60 FF FF FF 89 85 5C FF FF FF 8B 45 08 8B 40 DC 89 85 54 FF FF FF C7 85 4C FF FF FF FF FF FF FF 8B 85 54 FF FF FF 89 85 50 FF FF FF 8B 45 08 50 6A 03 8B 85 74 FF FF FF 89 85 BC FE FF FF 8B 85 78 FF FF FF 89 85 C0 FE FF FF 8B 85 64 FF FF FF 89 85 C4 FE FF FF 8B 85 68 FF FF FF 89 85 C8 FE FF FF 8B 85 58 FF FF FF 89 85 CC FE FF FF 8B 85 5C FF FF FF 89 85 D0 FE FF FF 8B 85 4C FF FF FF 89 85 D4 FE FF FF 8B 85 50 FF FF FF 89 85 D8 FE FF FF 8D 8D BC FE FF FF 33 D2 8B C3 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86911_0 {
	meta:
		name = "TTabSet.CreateEdgeParts"
		size = 712
		refs = "0016 TBitmap.GetCanvas 0021 TCanvas.SetFont 0035 TTabSet.CreateEdgeParts 0073 TCustomCanvas.TextHeight 00f7 _Dn_TImageList 00fc TCustomImageList.CreateSize 010d @HandleAnyException 011e @RaiseAgain 0123 @DoneExcept 0131 TObject.Free 0155 _Dn_TBitmap 015a TBitmap.Create 01bf TStyleManager.GetActiveStyle 01f5 TBrush.SetColor 01ff TBrush.SetStyle 0213 TRect.Create 023d DrawSL 024e DrawUL 025f DrawSR 0270 DrawUR 0285 TCustomImageList.AddMasked 02aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 89 45 F8 8B 45 F8 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 52 6C E8 ?? ?? ?? ?? 8B 45 F8 8B 80 DC 02 00 00 89 45 C4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 80 B8 A6 02 00 00 01 75 14 8B 45 F8 8B 80 A8 02 00 00 8B 55 F8 89 82 DC 02 00 00 EB 53 8B 45 F8 8B 80 CC 02 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 04 8B 55 F8 89 82 DC 02 00 00 8B 45 F8 8B 80 E8 02 00 00 85 C0 74 22 8B 55 F8 8B 92 DC 02 00 00 8B 48 38 83 C1 04 3B D1 7D 0F 8B 40 38 83 C0 04 8B 55 F8 89 82 DC 02 00 00 8B 45 F8 8B 80 DC 02 00 00 8B D8 4B 8B 55 F8 0F B6 92 00 03 00 00 80 EA 02 73 11 8B 55 F8 8B 92 FC 02 00 00 89 55 C0 89 45 BC EB 0F 89 45 C0 8B 45 F8 8B 80 FC 02 00 00 89 45 BC 8B 45 BC 50 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 F8 8B 55 C4 89 90 DC 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 80 C8 02 00 00 E8 ?? ?? ?? ?? 8B 45 F8 89 B0 C8 02 00 00 8B 45 F8 0F B6 80 A6 02 00 00 04 FD 2C 02 0F 82 5E 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 C0 8B 45 CC 8B 08 FF 51 44 8B 55 BC 8B 45 CC 8B 08 FF 51 38 C7 45 C8 80 80 00 00 8B 45 F8 0F B6 80 00 03 00 00 2C 01 74 04 2C 02 75 11 33 C0 89 45 E4 C7 45 E0 01 00 00 00 89 5D DC EB 0F 89 5D E4 C7 45 E0 FF FF FF FF 33 C0 89 45 DC E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 10 FF 52 48 84 C0 74 10 8D 4D D0 B2 02 8B 45 F4 8B 18 FF 93 D0 00 00 00 33 DB 8B 45 CC E8 ?? ?? ?? ?? 8B F0 8B 46 48 8B 55 C8 E8 ?? ?? ?? ?? 8B 46 48 33 D2 E8 ?? ?? ?? ?? 8B 45 C0 50 8B 45 BC 50 33 C9 33 D2 8D 45 AC E8 ?? ?? ?? ?? 8D 55 AC 8B C6 8B 08 FF 51 54 8B C3 2C 01 72 0C 74 1B FE C8 74 28 FE C8 74 35 EB 42 55 8B 45 CC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 31 55 8B 45 CC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 20 55 8B 45 CC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 0F 55 8B 45 CC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 F8 8B 80 C8 02 00 00 8B 4D C8 8B 55 CC E8 ?? ?? ?? ?? 43 80 FB 04 0F 85 51 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_86912_0 {
	meta:
		name = "TTabSet.PaintEdge"
		size = 424
		refs = "002f TTabSet.PaintEdge 005f TBitmap.GetCanvas 006e TCustomImageList.Draw"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 0F B6 83 00 03 00 00 04 FE 2C 02 73 06 8B C6 8B F7 8B F8 0F B6 45 08 83 F8 07 0F 87 75 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 57 6A 00 6A 01 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? E9 2A 01 00 00 57 6A 02 6A 01 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? E9 06 01 00 00 57 6A 01 6A 01 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? E9 E2 00 00 00 57 6A 03 6A 01 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? E9 BE 00 00 00 57 6A 03 6A 01 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 57 6A 00 6A 01 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? EB 7E 57 6A 01 6A 01 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 57 6A 02 6A 01 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? EB 3E 57 6A 01 6A 01 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 57 6A 03 6A 01 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 C8 02 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_86913_0 {
	meta:
		name = "TTabSet.CreateBrushPattern"
		size = 288
		refs = "0026 TBitmap.GetCanvas 0032 TBrush.SetStyle 0037 TStyleManager.GetActiveStyle 006c TCustomStyleServices.GetElementColor 0091 TBrush.SetColor 00b6 TRect.Create 00cf TStyleManager.GetIsCustomStyleActive"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 8B F2 8B D8 BA 08 00 00 00 8B C6 8B 08 FF 51 44 BA 08 00 00 00 8B C6 8B 08 FF 51 38 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 47 48 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4C 24 08 B2 02 8B 30 FF 96 D0 00 00 00 C6 44 24 04 01 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 16 54 E8 ?? ?? ?? ?? 0F B6 4C 24 08 8D 54 24 0C E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0C 81 3C 24 FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 74 0D 8B 47 48 8B 14 24 E8 ?? ?? ?? ?? EB 0E 8B 93 A0 02 00 00 8B 47 48 E8 ?? ?? ?? ?? 8B 43 50 50 8B 43 54 50 33 C9 33 D2 8D 44 24 1C E8 ?? ?? ?? ?? 8D 54 24 14 8B C7 8B 08 FF 51 54 80 BB A4 02 00 00 00 74 4A E8 ?? ?? ?? ?? 84 C0 75 41 33 F6 33 DB 8B C6 25 01 00 00 80 79 05 48 83 C8 FE 40 8B D3 81 E2 01 00 00 80 79 05 4A 83 CA FE 42 3B C2 75 10 68 FF FF FF 00 8B CE 8B D3 8B C7 8B 28 FF 55 20 43 83 FB 08 75 C9 46 83 FE 08 75 C1 83 C4 24 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86914_0 {
	meta:
		name = "TTabSet.ScrollerSize"
		size = 38
	strings:
		$1 = { 0F B6 90 00 03 00 00 80 EA 02 73 0D 8B 80 E0 02 00 00 8B 40 50 83 C0 04 C3 8B 80 E0 02 00 00 8B 40 54 83 C0 04 C3 }
	condition:
		$1
}

rule function_86915_0 {
	meta:
		name = "GetRightSide"
		size = 102
		refs = "005a TTabSet.ScrollerSize"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 83 C6 FC 8B 06 0F B6 80 00 03 00 00 2C 02 73 0F 8B 06 8B 58 50 8B 06 2B 98 84 02 00 00 EB 0D 8B 06 8B 58 54 8B 06 2B 98 84 02 00 00 8B 06 80 B8 A5 02 00 00 00 74 21 8B 06 8B 80 88 02 00 00 8B 10 FF 52 14 48 8B 16 3B 82 94 02 00 00 7E 09 8B 06 E8 ?? ?? ?? ?? 2B D8 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_86916_0 {
	meta:
		name = "ReverseCalcNumTabs"
		size = 108
		refs = "0012 TWinControl.HandleAllocated 0028 TTabSet.ItemWidth"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B F0 8B 45 0C 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 3C 8B 5D 08 EB 24 8B 45 0C 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 8B 55 0C 8B 52 FC 03 82 FC 02 00 00 89 45 FC 2B 75 FC 3B FE 7F 01 4B 3B FE 7F 04 85 DB 7D D4 3B FE 7F 04 85 DB 7D 0F 43 EB 0C 8B 45 0C 8B 40 FC 8B 98 90 02 00 00 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_86917_0 {
	meta:
		name = "TTabSet.FixTabPos"
		size = 237
		refs = "004b TTabSet.SetupTabPositions 007e GetRightSide 0096 ReverseCalcNumTabs"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 80 B8 F8 02 00 00 00 0F 85 D1 00 00 00 8B 45 FC 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 0F 8E BB 00 00 00 8B 45 FC 8B 80 88 02 00 00 8B 10 FF 52 14 8B 55 FC 3B 82 94 02 00 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 90 02 00 00 8B 55 FC 03 82 94 02 00 00 48 85 C0 7E 62 8B 55 FC 3B 82 8C 02 00 00 7F 57 55 8B 45 FC 8B 80 8C 02 00 00 50 55 E8 ?? ?? ?? ?? 59 8B 55 FC 8B 8A 78 02 00 00 8B 55 FC 8B 92 80 02 00 00 E8 ?? ?? ?? ?? 59 8B D8 8B 45 FC 89 98 90 02 00 00 8B C3 8B 55 FC 03 82 94 02 00 00 48 8B 55 FC 3B 82 8C 02 00 00 7D 2C 8B 45 FC FF 80 90 02 00 00 EB 21 8B 45 FC 8B 80 8C 02 00 00 85 C0 7C 14 8B 55 FC 3B 82 90 02 00 00 7D 09 8B 55 FC 89 82 90 02 00 00 5B 59 5D C3 }
	condition:
		$1
}

rule function_86918_0 {
	meta:
		name = "TTabSet.SetSelectedColor"
		size = 36
		refs = "0014 TTabSet.CreateEdgeParts"
	strings:
		$1 = { 56 8B F0 3B 96 98 02 00 00 74 17 89 96 98 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_86919_0 {
	meta:
		name = "TTabSet.SetUnselectedColor"
		size = 36
		refs = "0014 TTabSet.CreateEdgeParts"
	strings:
		$1 = { 56 8B F0 3B 96 9C 02 00 00 74 17 89 96 9C 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_86920_0 {
	meta:
		name = "TTabSet.SetBackgroundColor"
		size = 63
		refs = "001a TTabSet.CreateBrushPattern 0025 TBitmap.GetCanvas 002f TBrush.SetStyle"
	strings:
		$1 = { 56 8B F0 3B 96 A0 02 00 00 74 32 89 96 A0 02 00 00 8B 96 D0 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_86921_0 {
	meta:
		name = "TTabSet.SetDitherBackground"
		size = 63
		refs = "001a TTabSet.CreateBrushPattern 0025 TBitmap.GetCanvas 002f TBrush.SetStyle"
	strings:
		$1 = { 56 8B F0 3A 96 A4 02 00 00 74 32 88 96 A4 02 00 00 8B 96 D0 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_86922_0 {
	meta:
		name = "TTabSet.SetAutoScroll"
		size = 61
		refs = "001a TControl.SetVisible 0027 TWinControl.GetHandle 002d ShowWindow"
	strings:
		$1 = { 56 8B F0 3A 96 A5 02 00 00 74 30 88 96 A5 02 00 00 33 D2 8B 86 E0 02 00 00 E8 ?? ?? ?? ?? 6A 00 8B 86 E0 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_86923_0 {
	meta:
		name = "TTabSet.SetStartMargin"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 80 02 00 00 74 10 89 96 80 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_86924_0 {
	meta:
		name = "TTabSet.SetEndMargin"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 84 02 00 00 74 10 89 96 84 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_86925_0 {
	meta:
		name = "TTabSet.CanChange"
		size = 42
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 C2 02 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 C4 02 00 00 FF 93 C0 02 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_86926_0 {
	meta:
		name = "TTabSet.SetTabIndex"
		size = 161
		refs = "0029 SInvalidTabIndex 0030 _Dn_Exception 0035 Exception.CreateRes 003a @RaiseExcept 0043 TTabSet.CanChange 0056 GetParentForm 0061 TCustomForm.SendCancelMode 006c TControl.SendCancelMode 0079 TWinControl.HandleAllocated 0084 TTabSet.FixTabPos 008f @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 3B 9F 8C 02 00 00 0F 84 8A 00 00 00 83 FB FF 7C 0F 8B 87 88 02 00 00 8B 10 FF 52 14 3B D8 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 52 80 7F 61 00 74 1F B2 01 8B C7 E8 ?? ?? ?? ?? 85 C0 74 09 8B D7 E8 ?? ?? ?? ?? EB 09 8B D7 8B C7 E8 ?? ?? ?? ?? 89 9F 8C 02 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 74 07 8B C7 E8 ?? ?? ?? ?? 8B C7 66 BE EC FF E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86927_0 {
	meta:
		name = "TTabSet.SelectNext"
		size = 88
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B 87 88 02 00 00 8B 10 FF 52 14 48 7E 3F 8B B7 8C 02 00 00 84 DB 74 03 46 EB 01 4E 8B 87 88 02 00 00 8B 10 FF 52 14 3B F0 75 04 33 F6 EB 12 85 F6 7D 0E 8B 87 88 02 00 00 8B 10 FF 52 14 8B F0 4E 8B D6 8B C7 8B 08 FF 91 08 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86928_0 {
	meta:
		name = "TTabSet.SetFirstIndex"
		size = 44
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 7C 1F 8B 86 88 02 00 00 8B 10 FF 52 14 3B D8 7D 10 89 9E 90 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_86929_0 {
	meta:
		name = "TTabSet.SetTabList"
		size = 72
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 88 02 00 00 8B 08 FF 51 08 C7 86 8C 02 00 00 FF FF FF FF 8B 86 88 02 00 00 8B 10 FF 52 14 85 C0 7E 0F 33 D2 8B C6 8B 08 FF 91 08 01 00 00 5F 5E C3 8B C6 8B 10 FF 92 9C 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_86930_0 {
	meta:
		name = "TTabSet.SetTabStyle"
		size = 49
		refs = "0021 TTabSet.CreateEdgeParts"
	strings:
		$1 = { 56 8B F0 3A 96 A6 02 00 00 74 24 8B C2 88 86 A6 02 00 00 3C 02 75 07 C6 86 E5 02 00 00 01 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_86931_0 {
	meta:
		name = "TTabSet.SetTabHeight"
		size = 114
		refs = "0020 TTabSet.SetTabHeight 0037 TTabSet.CreateEdgeParts 0051 @HandleAnyException 0062 @RaiseAgain 0067 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC 8B 80 A8 02 00 00 3B D0 74 52 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 90 A8 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 90 A8 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_86932_0 {
	meta:
		name = "TTabSet.DrawTab"
		size = 68
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 A5 A5 A5 A5 66 83 B8 BA 02 00 00 00 74 1F 8D 4D F0 51 8B 4D 0C 51 0F B6 4D 08 51 8B D8 8B CA 8B D0 8B 83 BC 02 00 00 FF 93 B8 02 00 00 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_86934_0 {
	meta:
		name = "TTabSet.MeasureTab"
		size = 32
	strings:
		$1 = { 53 66 83 B8 B2 02 00 00 00 74 13 51 8B D8 8B CA 8B D0 8B 83 B4 02 00 00 FF 93 B0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_86935_0 {
	meta:
		name = "TTabSet.MouseDown"
		size = 89
		refs = "0022 TControl.MouseDown 003b TTabSet.ItemAtPos"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 66 89 4D FE 8B DA 8B F0 8B 7D 0C 57 8B 45 08 50 8B D3 0F B7 4D FE 8B C6 E8 ?? ?? ?? ?? 84 DB 75 26 89 7D F4 8B 45 08 89 45 F8 33 C9 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 83 F8 FF 74 0C 8B D0 8B C6 8B 08 FF 91 08 01 00 00 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_86936_0 {
	meta:
		name = "CalcNumTabs"
		size = 81
		refs = "0018 TTabSet.ItemWidth"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B D8 8B 75 08 EB 20 8B 45 0C 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 0C 8B 52 FC 03 82 FC 02 00 00 03 D8 3B FB 7C 01 46 3B FB 7E 15 8B 45 0C 8B 40 FC 8B 80 88 02 00 00 8B 10 FF 52 14 3B F0 7C C7 8B C6 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_86937_0 {
	meta:
		name = "TTabSet.WMSize"
		size = 243
		refs = "000c TWinControl.WMSize 0083 CalcNumTabs 00d6 TTabSet.SetFirstIndex"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 F8 02 00 00 00 0F 85 C4 00 00 00 8B 45 FC 8B 80 88 02 00 00 8B 10 FF 52 14 48 0F 8E AF 00 00 00 8B 45 FC 0F B6 80 00 03 00 00 2C 02 73 11 8B 45 FC 8B 40 50 8B 55 FC 2B 82 84 02 00 00 EB 0F 8B 45 FC 8B 40 54 8B 55 FC 2B 82 84 02 00 00 55 6A 00 8B 55 FC 8B 92 80 02 00 00 8B 4D FC 03 91 FC 02 00 00 8B 4D FC 8B 89 78 02 00 00 92 E8 ?? ?? ?? ?? 59 8B D8 8B 45 FC 8B 80 88 02 00 00 8B 10 FF 52 14 8B 55 FC 3B 82 8C 02 00 00 74 1D 8B 45 FC 3B 98 94 02 00 00 7F 12 8B 45 FC 8B 80 88 02 00 00 8B 10 FF 52 14 3B D8 75 1A 8B 45 FC 8B 80 88 02 00 00 8B 10 FF 52 14 8B D0 2B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 E4 02 00 00 01 8B 45 FC 8B 10 FF 92 9C 00 00 00 5B 59 5D C3 }
	condition:
		$1
}

rule function_86938_0 {
	meta:
		name = "TTabSet.CMSysColorChange"
		size = 53
		refs = "0006 TWinControl.CMSysColorChange 000d TTabSet.CreateEdgeParts 001a TTabSet.CreateBrushPattern 0025 TBitmap.GetCanvas 002f TBrush.SetStyle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 93 D0 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_86939_0 {
	meta:
		name = "TTabSet.CMFontChanged"
		size = 43
		refs = "0006 TWinControl.CMFontChanged 0014 TCanvas.SetFont 001b TTabSet.CreateEdgeParts"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 56 6C 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_86940_0 {
	meta:
		name = "TTabSet.WMGetDlgCode"
		size = 8
	strings:
		$1 = { C7 42 0C 04 00 00 00 C3 }
	condition:
		$1
}

rule function_86941_0 {
	meta:
		name = "TTabSet.CMStyleChanged"
		size = 35
		refs = "0006 TTabSet.CreateEdgeParts 0013 TTabSet.CreateBrushPattern"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 96 D0 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_86942_0 {
	meta:
		name = "TTabSet.CMDialogChar"
		size = 174
		refs = "0017 TTabSet.CMDialogChar 0052 IsAccel 0086 TWinControl.CMDialogChar 009b @UStrClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 88 02 00 00 8B 10 FF 52 14 48 85 C0 7C 4F 40 89 45 F8 33 DB 8D 4D F4 8B D3 8B 86 88 02 00 00 8B 38 FF 57 0C 8B 55 F4 8B 45 FC 0F B7 40 04 E8 ?? ?? ?? ?? 84 C0 74 20 8B 45 FC C7 40 0C 01 00 00 00 3B 9E 8C 02 00 00 74 1E 8B D3 8B C6 8B 08 FF 91 08 01 00 00 EB 10 43 FF 4D F8 75 B7 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86943_0 {
	meta:
		name = "TTabSet.MinClientRect"
		size = 32
		refs = "0019 TTabSet.MinClientRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 83 88 02 00 00 8B 10 FF 52 14 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_86944_0 {
	meta:
		name = "TTabSet.MinClientRect"
		size = 36
		refs = "001c TTabSet.MinClientRect"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 57 8B 86 88 02 00 00 8B 10 FF 52 14 8B D0 8B CB 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86945_0 {
	meta:
		name = "TTabSet.MinClientRect"
		size = 150
		refs = "0027 TRect.Create 0038 TTabSet.ItemWidth 0061 TTabSet.ScrollerSize"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B F2 8B D8 8B 83 80 02 00 00 50 8B 83 DC 02 00 00 83 C0 05 50 33 C9 33 D2 8B 45 08 E8 ?? ?? ?? ?? 4E 85 F6 7C 1C 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 03 83 FC 02 00 00 8B 55 08 01 42 08 47 4E 75 E7 8B 45 08 8B 93 84 02 00 00 01 50 08 80 7D FF 00 74 0D 8B C3 E8 ?? ?? ?? ?? 8B 55 08 01 42 08 0F B6 83 00 03 00 00 04 FE 2C 02 73 16 8B 7D 08 8B 7F 08 8B 45 08 8B 00 8B 55 08 89 42 08 8B 45 08 89 38 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_86946_0 {
	meta:
		name = "TTabSet.SetFontOrientation"
		size = 57
		refs = "0015 TFont.SetOrientation"
	strings:
		$1 = { 0F B6 88 00 03 00 00 80 F9 03 75 0E 8B 42 40 BA 8C 0A 00 00 E8 ?? ?? ?? ?? C3 80 F9 02 75 0F 8B 42 40 BA 84 03 00 00 E8 ?? ?? ?? ?? EB 0A 8B 42 40 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_86947_0 {
	meta:
		name = "TTabSet.ItemWidth"
		size = 204
		refs = "0016 TTabSet.ItemWidth 002e TTabSet.SetFontOrientation 0049 TCustomCanvas.TextWidth 0073 TCustomImageList.GetCount 00b6 @UStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 78 02 00 00 89 45 F8 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 4D F4 8B D6 8B 83 88 02 00 00 8B 38 FF 57 0C 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 83 BB E8 02 00 00 00 74 34 8B D6 8B C3 8B 08 FF 91 00 01 00 00 8B F8 83 FF FF 7E 21 8B 83 E8 02 00 00 E8 ?? ?? ?? ?? 3B F8 7D 12 8B 83 E8 02 00 00 8B 40 3C 03 45 FC 83 C0 02 89 45 FC 80 BB A6 02 00 00 01 75 0F 8D 4D FC 8B D6 8B C3 8B 18 FF 93 04 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86948_0 {
	meta:
		name = "TTabSet.SetSoftTop"
		size = 36
		refs = "0014 TTabSet.CreateEdgeParts"
	strings:
		$1 = { 56 8B F0 3A 96 E5 02 00 00 74 17 88 96 E5 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_86949_0 {
	meta:
		name = "TTabSet.SetImages"
		size = 87
		refs = "001b TCustomImageList.UnRegisterChanges 0032 TCustomImageList.RegisterChanges 003f TComponent.FreeNotification 0046 TTabSet.CreateEdgeParts"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 E8 02 00 00 3B D8 74 44 85 C0 74 0B 8B 96 EC 02 00 00 E8 ?? ?? ?? ?? 8B C3 89 86 E8 02 00 00 85 C0 74 18 8B 96 EC 02 00 00 E8 ?? ?? ?? ?? 8B D6 8B 86 E8 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_86951_0 {
	meta:
		name = "TTabSet.Notification"
		size = 46
		refs = "0010 TWinControl.Notification 0026 TTabSet.SetImages"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 11 3B B7 E8 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86952_0 {
	meta:
		name = "TTabSet.GetImageIndex"
		size = 40
	strings:
		$1 = { 53 51 89 14 24 66 83 B8 F2 02 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 F4 02 00 00 FF 93 F0 02 00 00 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_86953_0 {
	meta:
		name = "TTabSet.SetShrinkToFit"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 F8 02 00 00 74 10 88 96 F8 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_86954_0 {
	meta:
		name = "TTabSet.CMHintShow"
		size = 320
		refs = "0019 TTabSet.CMHintShow 0059 TTabSet.ItemAtPos 0073 TTabSet.ItemRect 010b @UStrAsg 0120 @UStrClr 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D CC 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 46 0C 01 00 00 00 80 BB F8 02 00 00 00 0F 84 D8 00 00 00 8B 46 08 3B 18 0F 85 CD 00 00 00 8B 46 08 89 45 F4 8B 45 F4 89 45 F0 8B 45 F0 8D 50 28 33 C9 8B C3 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 FF 0F 84 A5 00 00 00 8D 4D E0 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 83 BB E8 02 00 00 00 74 1F 8B 55 F8 8B C3 8B 08 FF 91 00 01 00 00 40 74 0F 8B 83 E8 02 00 00 8B 40 3C 83 C0 02 01 45 E0 56 8D 75 E0 8D 7D D0 A5 A5 A5 A5 5E 8D 4D FC 8B 55 F8 8B 83 88 02 00 00 8B 38 FF 57 0C A1 ?? ?? ?? ?? 50 8D 4D FC 8D 55 D0 8B 83 78 02 00 00 8B 38 FF 97 94 00 00 00 8B 45 E8 3B 45 D8 7D 31 33 C0 89 46 0C 8B 45 F4 8D 78 18 8D 75 E0 A5 A5 A5 A5 8D 4D CC 8B 55 F8 8B 83 88 02 00 00 8B 18 FF 53 0C 8B 55 CC 8B 45 F0 83 C0 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 02 00 00 00 }
	condition:
		$1
}

rule function_86955_0 {
	meta:
		name = "TTabSet.SetTabPosition"
		size = 108
		refs = "001a TTabSet.SetFontOrientation 0025 TBitmap.GetCanvas 0046 TScroller.SetScrollOrientation 005c TTabSet.CreateEdgeParts"
	strings:
		$1 = { 56 8B F0 3A 96 00 03 00 00 74 5F 88 96 00 03 00 00 8B 96 78 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 0F B6 86 00 03 00 00 2C 02 73 0F 33 D2 8B 86 E0 02 00 00 E8 ?? ?? ?? ?? EB 0D B2 01 8B 86 E0 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_86956_0 {
	meta:
		name = "TTabSet.DoModernPainting"
		size = 2960
		refs = "0017 TTabSet.DoModernPainting 004a TControl.GetClientHeight 006b TControl.GetClientWidth 00b7 TBitmap.GetCanvas 00bf TStyleManager.GetActiveStyle 00f3 TCustomStyleServices.GetElementColor 0138 GetHighLightColor 0149 TBrush.SetColor 0159 TPen.SetWidth 0167 TPen.SetColor 018b TRect.Create 0196 TCustomCanvas.Rectangle 01b8 TTabSet.DrawLine 02b0 TCustomCanvas.TextWidth 02ee TList.Get 08a3 TBrush.SetStyle 08d0 TCustomCanvas.TextHeight 092c TCustomImageList.GetCount 097c TCustomImageList.Draw 0a91 TabState 0afe TFont.SetColor 0b51 @UStrClr 0b57 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 28 FF FF FF 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 86 00 03 00 00 2C 01 74 04 2C 02 75 0E BF 02 00 00 00 C7 45 F8 01 00 00 00 EB 49 80 BE 00 03 00 00 00 75 21 8B C6 E8 ?? ?? ?? ?? 8B F8 2B BE DC 02 00 00 83 EF 02 8B C6 E8 ?? ?? ?? ?? 83 E8 02 89 45 F8 EB 1F 8B C6 E8 ?? ?? ?? ?? 8B F8 2B BE DC 02 00 00 83 EF 02 8B C6 E8 ?? ?? ?? ?? 83 E8 02 89 45 F8 0F B6 86 00 03 00 00 2C 02 73 10 8B 86 CC 02 00 00 8B 10 FF 52 30 89 45 E4 EB 0E 8B 86 CC 02 00 00 8B 10 FF 52 24 89 45 E4 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 89 45 D4 E8 ?? ?? ?? ?? 8D 4D 80 B2 02 8B 18 FF 93 D0 00 00 00 C6 45 CB 01 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1A 8D 45 D8 50 E8 ?? ?? ?? ?? 0F B6 4D CB 8D 55 80 E8 ?? ?? ?? ?? 88 45 C9 EB 04 C6 45 C9 00 80 7D C9 00 74 0D 81 7D D8 FF FF FF 1F 0F 95 45 C8 EB 04 C6 45 C8 00 0F B6 45 C8 88 45 CA 80 7D CA 00 74 08 8B 45 D8 89 45 DC EB 13 BA 13 00 00 00 8B 86 A0 02 00 00 E8 ?? ?? ?? ?? 89 45 DC 8B 45 D4 8B 40 48 8B 55 DC E8 ?? ?? ?? ?? 8B 45 D4 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 8B 40 44 8B 55 DC E8 ?? ?? ?? ?? 8B 86 CC 02 00 00 8B 10 FF 52 30 50 8B 86 CC 02 00 00 8B 10 FF 52 24 50 33 C9 33 D2 8D 45 98 E8 ?? ?? ?? ?? 8D 55 98 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 E4 50 8B 45 F8 50 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C6 E8 ?? ?? ?? ?? 0F B6 86 00 03 00 00 2C 01 74 04 2C 02 75 05 FF 45 F8 EB 03 FF 4D F8 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 12 E8 ?? ?? ?? ?? 8D 4D 8C B2 03 8B 18 FF 93 D0 00 00 00 8B 45 8C 89 85 74 FF FF FF 8B 45 90 89 85 78 FF FF FF 8B 45 94 89 85 7C FF FF FF C6 45 C7 06 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8D 45 D8 50 E8 ?? ?? ?? ?? 0F B6 4D C7 8D 95 74 FF FF FF E8 ?? ?? ?? ?? 88 45 C5 EB 04 C6 45 C5 00 80 7D C5 00 74 0D 81 7D D8 FF FF FF 1F 0F 95 45 C4 EB 04 C6 45 C4 00 0F B6 45 C4 88 45 C6 80 7D C6 00 74 10 8B 45 D4 8B 40 44 8B 55 D8 E8 ?? ?? ?? ?? EB 10 8B 45 D4 8B 40 44 BA 06 00 00 FF E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 E4 50 8B 45 F8 50 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 89 45 E8 8B 86 FC 02 00 00 D1 F8 79 03 83 D0 00 89 45 E0 8B 86 D4 02 00 00 8B 40 08 48 85 C0 0F 8C 67 08 00 00 40 89 45 D0 C7 45 F0 00 00 00 00 8B 55 F0 8B 86 D4 02 00 00 E8 ?? ?? ?? ?? 89 85 28 FF FF FF 8B 85 28 FF FF FF 89 45 F4 8B 45 F0 03 86 90 02 00 00 8B 96 8C 02 00 00 3B C2 0F 94 45 EF 40 3B D0 0F 94 C0 80 7D EF 00 0F 84 2B 04 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 12 E8 ?? ?? ?? ?? 8D 4D 8C B2 04 8B 18 FF 93 D0 00 00 00 8B 45 8C 89 85 68 FF FF FF 8B 45 90 89 85 6C FF FF FF 8B 45 94 89 85 70 FF FF FF C6 45 C3 06 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1A 8D 45 D8 50 E8 ?? ?? ?? ?? 0F B6 4D C3 8D 95 68 FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0C 81 7D D8 FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 74 18 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 44 8B 55 D8 E8 ?? ?? ?? ?? EB 18 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 44 BA 06 00 00 FF E8 ?? ?? ?? ?? 57 0F B7 45 F6 2B 45 E0 40 50 8B C7 03 86 DC 02 00 00 50 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 0F B7 4D F6 2B 4D E0 41 8B C6 E8 ?? ?? ?? ?? 8B 45 8C 89 85 5C FF FF FF 8B 45 90 89 85 60 FF FF FF 8B 45 94 89 85 64 FF FF FF C6 45 C2 01 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1A 8D 45 D8 50 E8 ?? ?? ?? ?? 0F B6 4D C2 8D 95 5C FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0C 81 7D D8 FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 74 24 BA 13 00 00 00 8B 45 D8 E8 ?? ?? ?? ?? 50 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 44 5A E8 ?? ?? ?? ?? EB 25 BA 13 00 00 00 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 50 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 44 5A E8 ?? ?? ?? ?? 57 0F B7 45 F6 2B 45 E0 83 C0 02 50 8B C7 03 86 DC 02 00 00 50 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 0F B7 4D F6 2B 4D E0 83 C1 02 8B C6 E8 ?? ?? ?? ?? 8B 45 8C 89 85 50 FF FF FF 8B 45 90 89 85 54 FF FF FF 8B 45 94 89 85 58 FF FF FF C6 45 C1 06 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1A 8D 45 D8 50 E8 ?? ?? ?? ?? 0F B6 4D C1 8D 95 50 FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0C 81 7D D8 FF FF FF 1F 0F 95 C0 EB 02 33 C0 88 45 C0 80 7D C0 00 74 18 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 44 8B 55 D8 E8 ?? ?? ?? ?? EB 18 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 44 BA 06 00 00 FF E8 ?? ?? ?? ?? 0F B6 86 00 03 00 00 2C 01 74 04 2C 02 75 41 8B C7 03 86 DC 02 00 00 48 50 0F B7 45 F6 0F B7 55 F4 03 C2 40 03 45 E0 50 8B C7 03 86 DC 02 00 00 48 50 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 0F B7 4D F6 41 2B 4D E0 8B C6 E8 ?? ?? ?? ?? EB 2E 57 0F B7 45 F6 0F B7 55 F4 03 C2 40 03 45 E0 50 57 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 0F B7 4D F6 41 2B 4D E0 41 8B C6 E8 ?? ?? ?? ?? 57 0F B7 5D F6 0F B7 45 F4 03 D8 03 5D E0 53 8B C7 03 86 DC 02 00 00 48 50 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C6 E8 ?? ?? ?? ?? 8B 45 8C 89 85 44 FF FF FF 8B 45 90 89 85 48 FF FF FF 8B 45 94 89 85 4C FF FF FF C6 45 BF 01 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1A 8D 45 D8 50 E8 ?? ?? ?? ?? 0F B6 4D BF 8D 95 44 FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0C 81 7D D8 FF FF FF 1F 0F 95 C0 EB 02 33 C0 88 45 BE 80 7D BE 00 74 18 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 8B 55 D8 E8 ?? ?? ?? ?? EB 19 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 8B 96 98 02 00 00 E8 ?? ?? ?? ?? 0F B6 86 00 03 00 00 2C 02 73 21 53 8B C7 03 86 DC 02 00 00 48 50 0F B7 55 F6 83 C2 02 2B 55 E0 8B CF 8D 45 A8 E8 ?? ?? ?? ?? EB 1F 8B C7 03 86 DC 02 00 00 48 50 53 8D 45 A8 0F B7 4D F6 83 C1 02 2B 4D E0 8B D7 E8 ?? ?? ?? ?? 80 BE 00 03 00 00 00 75 0B FF 45 A8 FF 45 AC FF 45 B4 EB 25 80 BE 00 03 00 00 02 75 0B FF 45 A8 FF 45 AC FF 45 B0 EB 11 80 BE 00 03 00 00 03 75 05 FF 45 AC EB 03 FF 45 A8 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8D 55 A8 8B 08 FF 51 54 E9 EA 00 00 00 84 C0 0F 85 E2 00 00 00 8B 45 8C 89 85 38 FF FF FF 8B 45 90 89 85 3C FF FF FF 8B 45 94 89 85 40 FF FF FF C6 45 BD 05 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1D 8D 45 D8 50 E8 ?? ?? ?? ?? 0F B6 4D BD 8D 95 38 FF FF FF E8 ?? ?? ?? ?? 88 45 BB EB 04 C6 45 BB 00 80 7D BB 00 74 0D 81 7D D8 FF FF FF 1F 0F 95 45 BA EB 04 C6 45 BA 00 0F B6 45 BA 88 45 BC 80 7D BC 00 74 18 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 44 8B 55 D8 E8 ?? ?? ?? ?? EB 18 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 44 BA 10 00 00 FF E8 ?? ?? ?? ?? 8D 47 03 50 0F B7 45 F6 0F B7 55 F4 03 C2 03 45 E0 50 8B C7 03 86 DC 02 00 00 48 83 E8 02 50 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 0F B7 4D F6 0F B7 45 F4 03 C8 03 4D E0 8B C6 E8 ?? ?? ?? ?? 0F B6 86 00 03 00 00 2C 02 73 24 0F B7 45 F6 0F B7 55 F4 03 C2 50 8B C7 03 86 DC 02 00 00 50 0F B7 55 F6 8B CF 8D 45 A8 E8 ?? ?? ?? ?? EB 22 8B C7 03 86 DC 02 00 00 50 0F B7 45 F6 0F B7 55 F4 03 C2 50 0F B7 4D F6 8B D7 8D 45 A8 E8 ?? ?? ?? ?? 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 89 45 CC 8B 45 CC 8B 40 48 B2 01 E8 ?? ?? ?? ?? 0F B6 86 00 03 00 00 2C 02 73 0C 83 45 AC 02 FF 45 A8 FF 45 B0 EB 40 80 BE 00 03 00 00 03 75 13 BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 40 01 45 A8 EB 0B 83 45 A8 02 0F B7 45 F4 01 45 AC 0F B7 45 F4 03 45 A8 83 C0 02 89 45 B0 8B 45 AC 03 86 DC 02 00 00 89 45 B4 83 BE E8 02 00 00 00 0F 84 3F 01 00 00 8B 55 F0 03 96 90 02 00 00 8B C6 8B 08 FF 91 00 01 00 00 8B D8 83 FB FF 7E 0F 8B 86 E8 02 00 00 E8 ?? ?? ?? ?? 3B D8 7C 04 33 C0 EB 02 B0 01 0F B6 96 00 03 00 00 80 EA 02 73 52 84 C0 74 45 8B 45 A8 83 C0 02 8B 96 E8 02 00 00 03 42 3C 3B 45 B0 7D 31 8B 45 AC 50 53 6A 01 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D A8 8B 86 E8 02 00 00 E8 ?? ?? ?? ?? 8B 86 E8 02 00 00 8B 40 3C 83 C0 02 01 45 A8 83 45 AC 02 E9 B2 00 00 00 80 BE 00 03 00 00 03 75 5B 84 C0 74 51 8B 45 AC 50 53 6A 01 BA ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 8B 55 A8 2B D0 83 C2 02 52 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 86 E8 02 00 00 59 E8 ?? ?? ?? ?? 8B 86 E8 02 00 00 8B 40 38 83 C0 02 01 45 AC 8B 86 E8 02 00 00 8B 40 38 29 45 B0 83 45 A8 02 EB 4E 84 C0 74 46 8B 86 E8 02 00 00 8B 55 AC 2B 50 38 52 53 6A 01 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D A8 8B 86 E8 02 00 00 E8 ?? ?? ?? ?? 8B 86 E8 02 00 00 8B 40 38 83 C0 02 29 45 AC 8B 86 E8 02 00 00 8B 40 38 29 45 B0 83 45 A8 02 8D 4D FC 8B 55 F0 03 96 90 02 00 00 8B 86 88 02 00 00 8B 18 FF 53 0C 8B 45 B0 2B 45 A8 3B 45 E8 7D 19 8B 55 FC 8B 45 CC E8 ?? ?? ?? ?? 8B 55 B0 2B 55 A8 3B C2 0F 8F AF 00 00 00 E8 ?? ?? ?? ?? 0F B6 55 EF 0F B6 92 ?? ?? ?? ?? 8D 8D 2C FF FF FF 8B 18 FF 93 D0 00 00 00 C6 45 B9 02 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 1A 8D 45 D8 50 E8 ?? ?? ?? ?? 0F B6 4D B9 8D 95 2C FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0C 81 7D D8 FF FF FF 1F 0F 95 C0 EB 02 33 C0 88 45 B8 80 7D B8 00 74 18 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 40 8B 55 D8 E8 ?? ?? ?? ?? EB 19 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 40 8B 56 6C 8B 52 18 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 4D FC 8D 55 A8 8B 45 CC 8B 18 FF 93 94 00 00 00 FF 45 F0 FF 4D D0 0F 85 A4 F7 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 58 00 2E 00 2E 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 58 00 00 00 10 04 00 00 }
	condition:
		$1
}

rule function_86957_0 {
	meta:
		name = "TTabSet.DoPopoutModernPainting"
		size = 1776
		refs = "0017 TTabSet.DoPopoutModernPainting 0043 TControl.GetClientHeight 0055 TControl.GetClientWidth 0063 TStyleManager.GetActiveStyle 0097 TCustomStyleServices.GetElementColor 00c8 TBitmap.GetCanvas 00d3 TBrush.SetColor 00e5 GetHighLightColor 011e TRect.Create 0146 TCustomCanvas.TextWidth 0171 TPen.SetWidth 019c TList.Get 0271 TabState 02c4 TPen.SetColor 03db TCustomCanvas.Rectangle 03e5 TBrush.SetStyle 0430 TCustomCanvas.TextHeight 0492 TCustomImageList.GetCount 04cf TCustomImageList.Draw 065d TFont.SetColor 06af @UStrClr 06b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 74 FF FF FF 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 86 00 03 00 00 2C 01 74 04 2C 02 75 07 33 C0 89 45 E8 EB 2B 80 BE 00 03 00 00 00 75 12 8B C6 E8 ?? ?? ?? ?? 2B 86 DC 02 00 00 89 45 E8 EB 10 8B C6 E8 ?? ?? ?? ?? 2B 86 DC 02 00 00 89 45 E8 E8 ?? ?? ?? ?? 8D 4D A8 B2 02 8B 18 FF 93 D0 00 00 00 C6 45 D7 01 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 17 8D 45 DC 50 E8 ?? ?? ?? ?? 0F B6 4D D7 8D 55 A8 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0D 81 7D DC FF FF FF 1F 0F 95 45 D5 EB 04 C6 45 D5 00 0F B6 45 D5 88 45 D6 80 7D D6 00 74 18 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 8B 55 DC E8 ?? ?? ?? ?? EB 25 BA 13 00 00 00 8B 86 A0 02 00 00 E8 ?? ?? ?? ?? 50 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 48 5A E8 ?? ?? ?? ?? 8B 86 CC 02 00 00 8B 10 FF 52 30 50 8B 86 CC 02 00 00 8B 10 FF 52 24 50 8D 45 C4 33 C9 33 D2 E8 ?? ?? ?? ?? 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8D 55 C4 8B 08 FF 51 54 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 86 FC 02 00 00 D1 F8 79 03 83 D0 00 89 45 E4 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 86 D4 02 00 00 8B 40 08 48 85 C0 0F 8C 17 05 00 00 40 89 45 D8 C7 45 F4 00 00 00 00 8B 55 F4 8B 86 D4 02 00 00 E8 ?? ?? ?? ?? 89 85 74 FF FF FF 8B 85 74 FF FF FF 89 45 F8 8B 45 F4 03 86 90 02 00 00 3B 86 8C 02 00 00 0F 94 45 F3 0F B6 86 00 03 00 00 2C 02 73 31 0F B7 5D FA 0F B7 C3 0F B7 55 F8 03 C2 83 C0 02 03 45 E4 50 8B 45 E8 03 86 DC 02 00 00 50 0F B7 D3 2B 55 E4 8B 4D E8 8D 45 B4 E8 ?? ?? ?? ?? EB 2F 8B 45 E8 03 86 DC 02 00 00 50 0F B7 5D FA 0F B7 C3 0F B7 55 F8 03 C2 83 C0 02 03 45 E4 50 0F B7 CB 2B 4D E4 8B 55 E8 8D 45 B4 E8 ?? ?? ?? ?? 80 7D F3 00 74 29 0F B6 86 00 03 00 00 2C 01 72 0C 74 14 FE C8 74 0B FE C8 74 11 EB 12 FF 4D B8 EB 0D FF 4D B4 EB 08 FF 45 C0 EB 03 FF 45 BC 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8D 4D 9C 8B 18 FF 93 D0 00 00 00 B3 07 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 15 8D 45 DC 50 E8 ?? ?? ?? ?? 8B CB 8D 55 9C E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0C 81 7D DC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 74 0D 8B 55 DC 8B 47 44 E8 ?? ?? ?? ?? EB 0D BA 10 00 00 FF 8B 47 44 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 47 44 E8 ?? ?? ?? ?? 80 7D F3 00 74 78 E8 ?? ?? ?? ?? 0F B6 55 F3 0F B6 92 ?? ?? ?? ?? 8D 4D 90 8B 18 FF 93 D0 00 00 00 B3 01 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 15 8D 45 DC 50 E8 ?? ?? ?? ?? 8B CB 8D 55 90 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0C 81 7D DC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 74 10 8B 55 DC 8B 47 48 E8 ?? ?? ?? ?? E9 83 00 00 00 8B 96 98 02 00 00 8B 47 48 E8 ?? ?? ?? ?? EB 73 E8 ?? ?? ?? ?? 0F B6 55 F3 0F B6 92 ?? ?? ?? ?? 8D 4D 84 8B 18 FF 93 D0 00 00 00 B3 01 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 15 8D 45 DC 50 E8 ?? ?? ?? ?? 8B CB 8D 55 84 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0C 81 7D DC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 74 0D 8B 55 DC 8B 47 48 E8 ?? ?? ?? ?? EB 0E 8B 96 9C 02 00 00 8B 47 48 E8 ?? ?? ?? ?? 8D 55 B4 8B C7 E8 ?? ?? ?? ?? B2 01 8B 47 48 E8 ?? ?? ?? ?? 80 7D F3 00 74 1A 80 BE 00 03 00 00 03 75 05 FF 45 B4 EB 0C 80 BE 00 03 00 00 01 75 03 FF 45 B8 0F B6 86 00 03 00 00 8B D0 80 EA 02 73 09 FF 45 B8 83 45 B4 03 EB 44 83 45 B8 02 3C 03 75 12 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 40 01 45 B4 EB 11 83 45 B4 02 0F B7 45 F8 03 45 B8 03 45 E4 89 45 B8 0F B7 45 F8 03 45 B4 03 45 E4 89 45 BC 8B 45 B8 03 86 DC 02 00 00 89 45 C0 83 BE E8 02 00 00 00 0F 84 42 01 00 00 8B 55 F4 03 96 90 02 00 00 8B C6 8B 08 FF 91 00 01 00 00 8B D8 83 FB FF 7E 0F 8B 86 E8 02 00 00 E8 ?? ?? ?? ?? 3B D8 7C 04 33 C0 EB 02 B0 01 0F B6 96 00 03 00 00 80 EA 02 73 3F 84 C0 74 32 8B 45 B8 40 50 53 6A 01 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D B4 8B 86 E8 02 00 00 E8 ?? ?? ?? ?? 8B 86 E8 02 00 00 8B 40 3C 83 C0 02 01 45 B4 83 45 B8 02 E9 C8 00 00 00 80 BE 00 03 00 00 03 75 5A 84 C0 74 50 8B 45 B8 50 53 6A 01 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 55 B4 2B D0 83 C2 02 52 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 86 E8 02 00 00 59 E8 ?? ?? ?? ?? 8B 86 E8 02 00 00 8B 40 38 83 C0 02 01 45 B8 8B 86 E8 02 00 00 8B 40 38 29 45 BC 83 45 B4 02 EB 65 8B 96 E8 02 00 00 8B 4D B8 2B 4A 38 89 4D E0 84 C0 74 4E 0F B7 45 F8 8B 55 B8 2B D0 2B 55 E4 3B 55 E0 7F 3D 8B 45 E0 50 53 6A 01 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D B4 8B 86 E8 02 00 00 E8 ?? ?? ?? ?? 8B 86 E8 02 00 00 8B 40 38 83 C0 02 29 45 B8 8B 86 E8 02 00 00 8B 40 38 29 45 BC 83 45 B4 02 8D 4D FC 8B 55 F4 03 96 90 02 00 00 8B 86 88 02 00 00 8B 18 FF 53 0C 8B 45 BC 2B 45 B4 3B 45 EC 7D 18 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 BC 2B 55 B4 3B C2 0F 8F A5 00 00 00 E8 ?? ?? ?? ?? 0F B6 55 F3 0F B6 92 ?? ?? ?? ?? 8D 8D 78 FF FF FF 8B 18 FF 93 D0 00 00 00 B3 02 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 18 8D 45 DC 50 E8 ?? ?? ?? ?? 8B CB 8D 95 78 FF FF FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0C 81 7D DC FF FF FF 1F 0F 95 C0 EB 02 33 C0 84 C0 74 18 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 40 8B 55 DC E8 ?? ?? ?? ?? EB 19 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 40 40 8B 56 6C 8B 52 18 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 4D FC 8D 55 B4 8B C7 8B 18 FF 93 94 00 00 00 FF 45 F4 FF 4D D8 0F 85 F4 FA FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 58 00 2E 00 2E 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 58 00 00 00 10 04 00 00 }
	condition:
		$1
}

rule function_86958_0 {
	meta:
		name = "TTabSet.SetupTabPositions"
		size = 682
		refs = "0009 TWinControl.HandleAllocated 0023 TControl.GetClientWidth 0037 TControl.GetClientHeight 007d TControl.SetLeft 008d TControl.SetTop 012f TTabSet.SetFontOrientation 013a TBitmap.GetCanvas 0148 TCanvas.SetFont 017a TTabSet.CalcTabPositions 0187 TTabSet.ScrollerShown 0196 TTabSet.ScrollerSize 01d1 TControl.SetVisible 01de TScroller.SetMin 01f8 TScroller.SetMax 0209 TScroller.SetPosition 0270 TTabSet.FixTabPos"
	strings:
		$1 = { 53 56 57 55 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 90 02 00 00 0F B6 83 00 03 00 00 2C 02 73 76 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 CC 02 00 00 8B 08 FF 51 44 8B C3 E8 ?? ?? ?? ?? 8B B3 DC 02 00 00 83 C6 05 3B C6 7D 0F 8B D6 8B 83 CC 02 00 00 8B 08 FF 51 38 EB 14 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 CC 02 00 00 8B 08 FF 51 38 8B 73 50 8B 83 E0 02 00 00 8B D6 2B 50 50 83 EA 02 E8 ?? ?? ?? ?? BA 03 00 00 00 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? E9 90 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 CC 02 00 00 8B 08 FF 51 38 8B C3 E8 ?? ?? ?? ?? 8B B3 DC 02 00 00 83 C6 05 3B C6 7D 0F 8B D6 8B 83 CC 02 00 00 8B 08 FF 51 44 EB 14 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 CC 02 00 00 8B 08 FF 51 44 8B 73 54 8B 83 E0 02 00 00 8B D6 2B 50 54 83 EA 02 E8 ?? ?? ?? ?? 80 BB 00 03 00 00 03 75 12 BA 03 00 00 00 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? EB 14 8B 83 E0 02 00 00 8B 53 50 2B 50 50 83 EA 02 E8 ?? ?? ?? ?? 8B 93 78 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 8B 93 78 02 00 00 8B 52 40 E8 ?? ?? ?? ?? 8B BB 80 02 00 00 03 BB FC 02 00 00 2B B3 84 02 00 00 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 50 8B 83 90 02 00 00 50 6A 01 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 89 83 94 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 AA 00 00 00 8B C3 E8 ?? ?? ?? ?? 2B F0 8B AB 94 02 00 00 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 50 8B 83 90 02 00 00 50 6A 00 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 89 83 94 02 00 00 B2 01 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B 83 88 02 00 00 8B 10 FF 52 14 8B D0 2B D5 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B 93 90 02 00 00 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 8B 83 E0 02 00 00 8B 90 84 02 00 00 3B 90 88 02 00 00 75 3C 3B AB 94 02 00 00 74 34 8B 93 E0 02 00 00 8B 92 84 02 00 00 42 E8 ?? ?? ?? ?? EB 20 8B 83 88 02 00 00 8B 10 FF 52 14 3B 83 94 02 00 00 7F 0D 33 D2 8B 83 E0 02 00 00 E8 ?? ?? ?? ?? 80 BB E4 02 00 00 00 74 3F C6 83 E4 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 CC 02 00 00 E8 ?? ?? ?? ?? 50 8B 83 90 02 00 00 50 8B 83 E0 02 00 00 0F B6 40 61 34 01 50 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 89 83 94 02 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86959_0 {
	meta:
		name = "TTabSet.ScrollerShown"
		size = 39
	strings:
		$1 = { 53 8B D8 80 BB A5 02 00 00 00 74 13 8B 83 88 02 00 00 8B 10 FF 52 14 3B 83 94 02 00 00 7F 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_86960_0 {
	meta:
		name = "TTabSet.WMEraseBkgnd"
		size = 55
		refs = "0007 TStyleManager.GetActiveStyle 0028 TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 09 F6 43 5A 04 0F 95 C0 EB 02 33 C0 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_86961_0 {
	meta:
		name = "Finalization"
		size = 174
		refs = "0007 Finalization 0013 _DV_4 001a cLeftOrient 0025 string 002a @FinalizeArray 002f cLeftDnOrient 0044 cLeftDisOrient 0059 cRightOrient 006e cRightDnOrient 0083 cRightDisOrient 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 7E B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_86963_0 {
	meta:
		name = "IsMouseButtonPressed"
		size = 36
		refs = "0003 GetAsyncKeyState"
	strings:
		$1 = { 6A 02 E8 ?? ?? ?? ?? 0F BF C0 F6 C4 80 75 12 6A 01 E8 ?? ?? ?? ?? 0F BF C0 F6 C4 80 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_86964_0 {
	meta:
		name = "TThemedMenuItem.CalcBounds"
		size = 1212
		refs = "0011 CreateCompatibleDC 001c TThemedMenuItem.CalcBounds 0027 Screen 0034 TFont.GetHandle 003e SelectObject 006b TCustomMenuItem.CalcBounds 0089 CheckMarkStates 008f TStyleManager.GetActiveStyle 00b3 TCustomStyleServices.GetElementSize 00f4 TCustomStyleServices.GetElementMargins 019b SubMenuStates 0269 Rect 02c8 OffsetRect 0369 TThemedMenuItem.DoDrawText 0491 @HandleFinally 04a9 DeleteDC"
	strings:
		$1 = { 55 8B EC 81 C4 50 FF FF FF 53 56 57 8B D8 6A 00 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 00 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 50 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 00 8B 90 88 00 00 00 8B 43 6C 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 F6 6A 01 8D 45 E4 50 8B C3 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF 5A 8B 38 FF 97 9C 00 00 00 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 8B 55 FC 59 E8 ?? ?? ?? ?? 6A 01 8D 45 AC 50 8B C3 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF 5A 8B 38 FF 97 9C 00 00 00 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 8B 55 FC 59 E8 ?? ?? ?? ?? 6A 01 8D 45 DC 50 E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF B2 1B 8B 38 FF 97 9C 00 00 00 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 8B 55 FC 59 E8 ?? ?? ?? ?? 6A 00 8D 45 9C 50 E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF B2 1B 8B 38 FF 97 9C 00 00 00 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 8B 55 FC 59 E8 ?? ?? ?? ?? 6A 00 8D 45 8C 50 E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF B2 1C 8B 38 FF 97 9C 00 00 00 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 8B 55 FC 59 E8 ?? ?? ?? ?? 6A 01 8D 45 CC 50 8B C3 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF 5A 8B 38 FF 97 9C 00 00 00 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 8B 55 FC 59 E8 ?? ?? ?? ?? 6A 01 8D 85 6C FF FF FF 50 8B C3 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF 5A 8B 38 FF 97 9C 00 00 00 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 8B 55 FC 59 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 91 E0 00 00 00 8B 45 F4 3B 45 E8 7E 03 89 45 E8 8B 45 F0 3B 45 E4 7E 03 89 45 E4 8B 45 E8 01 45 EC 03 75 E4 8B 45 B4 03 45 B8 01 45 EC 8B 45 AC 8B 7D B0 03 C7 03 F0 8B 45 E8 03 45 B8 03 45 B8 50 8D 85 50 FF FF FF 50 8B 4D E4 03 CF 03 CF 33 D2 33 C0 E8 ?? ?? ?? ?? 56 8D B5 50 FF FF FF 8D BB 20 02 00 00 A5 A5 A5 A5 5E 03 75 9C 8B C6 89 83 30 02 00 00 03 45 DC 89 83 38 02 00 00 8B 45 DC 03 45 A0 03 F0 8B 55 8C 8B 45 90 03 D0 03 F2 8B D6 2B 93 E4 01 00 00 2B D0 8B C2 56 8D B3 E4 01 00 00 8D 7D BC A5 A5 A5 A5 5E 8D 55 BC 83 C9 FF 92 E8 ?? ?? ?? ?? 56 8D BB E4 01 00 00 8D 75 BC A5 A5 A5 A5 5E 03 75 CC 03 B5 6C FF FF FF 8B BD 70 FF FF FF 03 F7 8B 43 54 2B 45 D0 D1 F8 79 03 83 D0 00 03 45 D0 50 8D 85 50 FF FF FF 50 8B 8D 70 FF FF FF F7 D9 8B 53 54 2B 55 D0 D1 FA 79 03 83 D2 00 8B C7 F7 D8 2B 45 CC E8 ?? ?? ?? ?? 56 8D B5 50 FF FF FF 8D BB 50 02 00 00 A5 A5 A5 A5 5E 83 BB BC 01 00 00 00 74 2F 6A 00 8D 45 BC 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 BC 50 68 00 05 00 00 8B 83 BC 01 00 00 8B 48 58 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 0F 56 8D B3 04 02 00 00 8D 7D BC A5 A5 A5 A5 5E 8B 83 50 02 00 00 2B 45 C4 2B 45 90 2B 85 6C FF FF FF 8D 55 BC 33 C9 92 E8 ?? ?? ?? ?? 56 8D BB 04 02 00 00 8D 75 BC A5 A5 A5 A5 5E 8B 45 8C 03 45 90 03 F0 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 74 77 6A 01 8D 45 D4 50 E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF B2 20 8B 30 FF 96 9C 00 00 00 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 8B 55 FC 59 E8 ?? ?? ?? ?? 6A 00 8D 85 7C FF FF FF 50 E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF B2 20 8B 30 FF 96 9C 00 00 00 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 8B 55 FC 59 E8 ?? ?? ?? ?? 8B 45 D8 8B D0 03 55 88 89 55 EC 8B 75 D4 89 83 60 02 00 00 33 C0 89 83 34 02 00 00 8B 45 EC 89 83 3C 02 00 00 03 B3 EC 01 00 00 2B B3 E4 01 00 00 03 B3 0C 02 00 00 2B B3 04 02 00 00 56 8B 45 EC 50 8B 4B 4C 8B 53 48 8B C3 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86965_0 {
	meta:
		name = "TThemedMenuItem.DoDrawMenuCheck"
		size = 190
		refs = "002f CheckMarkBkgStates 0035 TStyleManager.GetActiveStyle 0052 TCanvas.GetHandle 005f TCustomStyleServices.DrawElement 0066 TCustomActionControl.HasGlyph 0084 CheckMarkStates"
	strings:
		$1 = { 53 56 83 C4 F4 8B D8 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 0F 84 9F 00 00 00 8D 83 20 02 00 00 50 6A 00 8B C3 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 0C 5A 8B 30 FF 96 9C 00 00 00 8D 44 24 08 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 4A 8D 83 20 02 00 00 50 6A 00 8B C3 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 0C 5A 8B 30 FF 96 9C 00 00 00 8D 44 24 08 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_86966_0 {
	meta:
		name = "TThemedMenuItem.DoDrawText"
		size = 356
		refs = "0019 TThemedMenuItem.DoDrawText 0027 TTextFormatFlags.&op_Implicit 0048 TStyleManager.GetActiveStyle 0069 TCustomActionControl.GetActionBar 0085 MenuStates 00aa TCustomStyleServices.GetElementColor 00cc TCustomActionBar.GetColorMap 00dd @UStrLAsg 0109 @UStrCat 0129 TCustomStyleServices.DrawText 013e @UStrClr 0144 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D FC 89 4D F4 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 80 BB DC 01 00 00 00 74 1F 8B C3 8B 10 FF 52 68 84 C0 74 14 E8 ?? ?? ?? ?? 8D 4D E0 B2 1D 8B 30 FF 96 9C 00 00 00 EB 40 8B C3 8B 10 FF 52 68 84 C0 75 17 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 04 33 C0 EB 02 B0 01 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E0 5A 8B 30 FF 96 9C 00 00 00 8D 45 EC 50 E8 ?? ?? ?? ?? B1 02 8D 55 E0 E8 ?? ?? ?? ?? 84 C0 75 04 B0 01 EB 0A 81 7D EC FF FF FF 1F 0F 94 C0 84 C0 74 12 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 58 89 45 EC 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? F6 45 F0 02 74 26 83 7D FC 00 74 13 8B 45 FC 66 83 38 26 75 17 8B 45 FC 66 83 78 02 00 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 0C 50 8B 45 F0 50 8B 45 EC 50 E8 ?? ?? ?? ?? 8D 4D E0 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_87006_0 {
	meta:
		name = "TThemedAddRemoveItem.DoDrawText"
		size = 356
		refs = "0019 TThemedAddRemoveItem.DoDrawText 0027 TTextFormatFlags.&op_Implicit 0048 TStyleManager.GetActiveStyle 0069 TCustomActionControl.GetActionBar 0085 MenuStates 00aa TCustomStyleServices.GetElementColor 00cc TCustomActionBar.GetColorMap 00dd @UStrLAsg 0109 @UStrCat 0129 TCustomStyleServices.DrawText 013e @UStrClr 0144 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D FC 89 4D F4 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 80 BB DC 01 00 00 00 74 1F 8B C3 8B 10 FF 52 68 84 C0 74 14 E8 ?? ?? ?? ?? 8D 4D E0 B2 1D 8B 30 FF 96 9C 00 00 00 EB 40 8B C3 8B 10 FF 52 68 84 C0 75 17 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 04 33 C0 EB 02 B0 01 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E0 5A 8B 30 FF 96 9C 00 00 00 8D 45 EC 50 E8 ?? ?? ?? ?? B1 02 8D 55 E0 E8 ?? ?? ?? ?? 84 C0 75 04 B0 01 EB 0A 81 7D EC FF FF FF 1F 0F 94 C0 84 C0 74 12 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 58 89 45 EC 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? F6 45 F0 02 74 26 83 7D FC 00 74 13 8B 45 FC 66 83 38 26 75 17 8B 45 FC 66 83 78 02 00 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 0C 50 8B 45 F0 50 8B 45 EC 50 E8 ?? ?? ?? ?? 8D 4D E0 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_86967_0 {
	meta:
		name = "TThemedMenuItem.DrawBackground"
		size = 155
		refs = "0015 TStyleManager.GetActiveStyle 001a TCustomStyleServices.GetIsSystemStyle 004a TCanvas.GetHandle 0057 TCustomStyleServices.DrawElement"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B D8 8B F2 8D BB 40 02 00 00 A5 A5 A5 A5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 39 8D 83 40 02 00 00 50 6A 00 E8 ?? ?? ?? ?? 8D 4C 24 08 B2 12 8B 30 FF 96 9C 00 00 00 8D 44 24 08 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8D 83 30 02 00 00 50 6A 00 E8 ?? ?? ?? ?? 8D 4C 24 08 B2 1B 8B 30 FF 96 9C 00 00 00 8D 44 24 08 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86968_0 {
	meta:
		name = "TThemedMenuItem.DrawGlyph"
		size = 140
		refs = "000f _Dn_TCustomAction 0014 @IsClass 002c TThemedMenuItem.DoDrawMenuCheck 0033 TCustomActionControl.HasGlyph 0083 TCustomActionControl.DrawGlyph"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 8B 10 FF 52 58 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B C3 8B 10 FF 52 58 80 78 71 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4C 8B D4 8B C3 8B 08 FF 91 E0 00 00 00 8B 83 28 02 00 00 2B 83 20 02 00 00 2B 04 24 D1 F8 79 03 83 D0 00 89 44 24 08 8B 83 2C 02 00 00 2B 83 24 02 00 00 2B 44 24 04 D1 F8 79 03 83 D0 00 89 44 24 0C 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_86969_0 {
	meta:
		name = "TThemedMenuItem.DrawLargeGlyph"
		size = 342
		refs = "0012 TCustomActionControl.HasGlyph 0023 _Dn_TCustomAction 0028 @IsClass 0040 TThemedMenuItem.DoDrawMenuCheck 014b TCustomImageList.Draw"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B F2 8D 3C 24 A5 A5 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 2F 8B C3 8B 10 FF 52 58 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B C3 8B 10 FF 52 58 80 78 71 00 74 0C 8B C3 E8 ?? ?? ?? ?? E9 06 01 00 00 8B 83 BC 01 00 00 8B 40 5C 50 8D 4C 24 14 B2 01 8B C3 8B 30 FF 96 E8 00 00 00 8B F0 85 F6 0F 84 E2 00 00 00 8D 54 24 08 8B C3 8B 08 FF 91 E0 00 00 00 8B 44 24 08 8B 56 3C 3B C2 75 1A 8B 93 28 02 00 00 2B 93 20 02 00 00 2B D0 D1 FA 79 03 83 D2 00 89 14 24 EB 1E 8B 83 E4 01 00 00 2B C2 2B 83 CC 01 00 00 2B 83 D4 01 00 00 D1 F8 79 03 83 D0 00 89 04 24 8B 44 24 0C 8B 56 38 3B C2 75 1B 8B 93 2C 02 00 00 2B 93 24 02 00 00 2B D0 D1 FA 79 03 83 D2 00 89 54 24 04 EB 1C 8B 43 54 2B C2 2B 83 D0 01 00 00 2B 83 D8 01 00 00 D1 F8 79 03 83 D0 00 89 44 24 04 80 7C 24 10 00 75 21 8B C3 8B 10 FF 52 68 84 C0 74 0C 8B 83 BC 01 00 00 83 78 5C FF 75 0A F6 43 1C 10 75 04 33 C0 EB 02 B0 01 8B 54 24 04 52 8B 93 BC 01 00 00 8B 52 5C 52 6A 03 6A 00 50 8B 4C 24 14 8B 93 B0 01 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86970_0 {
	meta:
		name = "TThemedMenuItem.DrawSeparator"
		size = 93
		refs = "0020 Rect 0028 TStyleManager.GetActiveStyle 0046 TCanvas.GetHandle 0053 TCustomStyleServices.DrawElement"
	strings:
		$1 = { 53 56 83 C4 E4 8B D8 8B 83 60 02 00 00 50 8D 44 24 04 50 8B 83 38 02 00 00 40 8B 4B 50 33 D2 E8 ?? ?? ?? ?? 54 6A 00 E8 ?? ?? ?? ?? 8D 4C 24 18 B2 20 8B 30 FF 96 9C 00 00 00 8D 44 24 18 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 1C 5E 5B C3 }
	condition:
		$1
}

rule function_86972_0 {
	meta:
		name = "TThemedMenuItem.DrawSubMenuGlyph"
		size = 110
		refs = "001f OffsetRect 0033 SubMenuStates 0039 TStyleManager.GetActiveStyle 0056 TCanvas.GetHandle 0063 TCustomStyleServices.DrawElement"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B D8 8D B3 50 02 00 00 8B FC A5 A5 A5 A5 8B C4 B9 01 00 00 00 8B 53 50 E8 ?? ?? ?? ?? 54 6A 00 8B C3 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 1C 5A 8B 30 FF 96 9C 00 00 00 8D 44 24 18 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86973_0 {
	meta:
		name = "TThemedMenuItem.DrawText"
		size = 604
		refs = "0014 @UStrAddRef 001c TThemedMenuItem.DrawText 0044 TStyleManager.GetActiveStyle 0060 TCanvas.GetHandle 006d TCustomStyleServices.DrawElement 00b8 _Dn_TCustomActionBar 00bd @IsClass 00c8 TCustomActionControl.GetActionBar 00df @UStrLAsg 00e4 Screen 00f7 TCanvas.SetFont 0127 TFont.SetStyle 015e TThemedMenuItem.DoDrawText 0186 OffsetRect 01c3 TActionClient.GetHasItems 01d3 TControl.DrawTextBiDiModeFlags 01f1 TRect.Create 020a TRect.Offset 0243 @UStrClr 0249 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B F1 89 55 FC 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB DC 01 00 00 00 74 44 8B C3 8B 10 FF 52 68 84 C0 74 39 8D 83 40 02 00 00 50 6A 00 E8 ?? ?? ?? ?? 8D 4D DC B2 1D 8B 38 FF 97 9C 00 00 00 8D 45 DC 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? EB 40 80 BB DC 01 00 00 00 74 37 8D 83 40 02 00 00 50 6A 00 E8 ?? ?? ?? ?? 8D 4D DC B2 1F 8B 38 FF 97 9C 00 00 00 8D 45 DC 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8B 43 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B C3 E8 ?? ?? ?? ?? 80 B8 B8 02 00 00 00 75 0E 8D 45 08 8B 93 18 02 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 90 88 00 00 00 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B 83 BC 01 00 00 80 78 6C 00 74 24 8B 83 B0 01 00 00 8B 78 40 8B 47 10 0F B6 40 21 88 45 FB 0F B6 15 ?? ?? ?? ?? 0A 55 FB 8B C7 E8 ?? ?? ?? ?? 56 8D B3 40 02 00 00 8D 7D E8 A5 A5 A5 A5 5E 8D 45 E8 50 8B 06 0D 00 04 00 00 0D 00 01 00 00 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 8B 8B 4C 02 00 00 2B 8B 44 02 00 00 8B 45 F4 2B 45 EC 2B C8 D1 F9 79 03 83 D1 00 8B 55 FC 8B 12 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 06 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 74 7C 8B BB BC 01 00 00 85 FF 74 72 8B C7 E8 ?? ?? ?? ?? 84 C0 75 67 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 06 8B 83 0C 02 00 00 50 8B 45 F4 50 8D 45 CC 8B 4D EC 8B 93 04 02 00 00 E8 ?? ?? ?? ?? 56 8D 75 CC 8D 7D E8 A5 A5 A5 A5 5E 8D 45 E8 33 C9 8B 53 50 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 06 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 BC 01 00 00 8B 48 58 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 01 00 00 00 }
	condition:
		$1
}

rule function_86975_0 {
	meta:
		name = "TThemedAddRemoveItem.GetImageSize"
		size = 172
		refs = "002e TActionClientItem.GetActionClients"
		altNames = "TThemedMenuItem.GetImageSize"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B FA 8B D8 33 C0 89 04 24 33 C0 89 44 24 04 8B 04 24 89 07 8B 44 24 04 89 47 04 8B B3 BC 01 00 00 85 F6 74 7A 8B C6 E8 ?? ?? ?? ?? 0F B6 50 29 80 F2 01 83 C9 FF 8B C3 8B 30 FF 96 E4 00 00 00 8B F0 85 F6 74 59 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 80 78 29 00 75 2D 8B 46 3C 3B 46 38 75 25 83 7E 3C 20 7D 1F C7 44 24 08 20 00 00 00 C7 44 24 0C 20 00 00 00 8B 44 24 08 89 07 8B 44 24 0C 89 47 04 EB 1B 8B 46 3C 89 44 24 10 8B 46 38 89 44 24 14 8B 44 24 10 89 07 8B 44 24 14 89 47 04 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86976_0 {
	meta:
		name = "TThemedMenuButton.CalcBounds"
		size = 46
		refs = "0004 Screen 001b TCustomButtonControl.CalcBounds 0028 TControl.SetWidth"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 8B 00 8B 90 88 00 00 00 8B 43 6C 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 8B 53 50 83 C2 02 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_86977_0 {
	meta:
		name = "TThemedMenuButton.DoDrawText"
		size = 488
		refs = "0019 TThemedMenuButton.DoDrawText 0027 TTextFormatFlags.&op_Implicit 0053 TCustomActionControl.GetActionBar 006f MenuStates 0075 TStyleManager.GetActiveStyle 00a5 TBrush.SetStyle 00c1 TFont.SetColor 00e9 TCustomStyleServices.GetElementColor 010b TCustomActionBar.GetColorMap 011c @UStrLAsg 0148 @UStrCat 01a0 TCanvas.GetHandle 01af TCustomStyleServices.DrawText 01c4 @UStrClr 01ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D FC 89 4D F4 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B C3 8B 10 FF 52 68 84 C0 74 49 80 BB DC 01 00 00 00 75 20 80 BB FB 01 00 00 00 75 17 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 04 33 C0 EB 02 B0 01 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E0 5A 8B 30 FF 96 9C 00 00 00 EB 12 E8 ?? ?? ?? ?? 8D 4D E0 B2 0F 8B 30 FF 96 9C 00 00 00 8B 83 B0 01 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 80 BB DC 01 00 00 00 74 15 8B 83 B0 01 00 00 8B 40 40 BA 0E 00 00 FF E8 ?? ?? ?? ?? EB 13 8B 83 B0 01 00 00 8B 40 40 BA 07 00 00 FF E8 ?? ?? ?? ?? 8D 45 EC 50 E8 ?? ?? ?? ?? B1 02 8D 55 E0 E8 ?? ?? ?? ?? 84 C0 75 04 B0 01 EB 0A 81 7D EC FF FF FF 1F 0F 94 C0 84 C0 74 12 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 58 89 45 EC 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? F6 45 F0 02 74 26 83 7D FC 00 74 13 8B 45 FC 66 83 38 26 75 17 8B 45 FC 66 83 78 02 00 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 68 84 C0 74 32 E8 ?? ?? ?? ?? 80 BB DC 01 00 00 00 75 0D 80 BB FB 01 00 00 00 75 04 33 D2 EB 02 B2 01 83 E2 7F 0F B6 92 ?? ?? ?? ?? 8D 4D E0 8B 30 FF 96 9C 00 00 00 8B 45 FC 50 8B 45 F4 50 8B 45 F0 50 8B 45 EC 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E0 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_86978_0 {
	meta:
		name = "TThemedMenuButton.DrawBackground"
		size = 118
		refs = "000c TCustomActionControl.GetActionBar 0011 TCustomActionBar.GetColorMap 0022 TBrush.SetColor 002a TStyleManager.GetActiveStyle 003f MenuStates 005f TCanvas.GetHandle 006c TCustomStyleServices.DrawElement"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 48 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 56 6A 00 E8 ?? ?? ?? ?? 0F B6 93 DC 01 00 00 0F B6 8B FB 01 00 00 8D 0C 4D ?? ?? ?? ?? 0F B6 14 11 8D 4C 24 08 8B 30 FF 96 9C 00 00 00 8D 44 24 08 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_86979_0 {
	meta:
		name = "TThemedMenuButton.DrawShadowedText"
		size = 164
		refs = "001b @UStrAddRef 0023 TThemedMenuButton.DrawShadowedText 002e TStyleManager.GetActiveStyle 0041 TCustomStyleServices.GetIsSystemStyle 007a TCustomActionControl.DrawShadowedText 008f @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F2 8D 7D EC A5 A5 A5 A5 89 4D FC 8B D8 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 EB 02 33 C0 84 C0 74 16 8B 45 10 50 8D 4D FC 8D 55 EC 8B C3 8B 18 FF 93 D4 00 00 00 EB 19 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D FC 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_86993_0 {
	meta:
		name = "TThemedButtonControl.DrawShadowedText"
		size = 164
		refs = "001b @UStrAddRef 0023 TThemedButtonControl.DrawShadowedText 002e TStyleManager.GetActiveStyle 0041 TCustomStyleServices.GetIsSystemStyle 007a TCustomActionControl.DrawShadowedText 008f @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F2 8D 7D EC A5 A5 A5 A5 89 4D FC 8B D8 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 EB 02 33 C0 84 C0 74 16 8B 45 10 50 8D 4D FC 8D 55 EC 8B C3 8B 18 FF 93 D4 00 00 00 EB 19 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B 4D FC 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_86980_0 {
	meta:
		name = "TThemedMenuButton.DrawText"
		size = 223
		refs = "0019 @UStrAddRef 0021 TThemedMenuButton.DrawText 0032 _Dn_TCustomActionMainMenuBar 0037 @IsClass 004f StripHotkey 005a @UStrLAsg 0070 Screen 0083 TCanvas.SetFont 009d TThemedMenuButton.DoDrawText 00c2 @UStrClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 8B F1 89 55 FC 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 38 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 80 BF B8 02 00 00 00 75 16 8D 55 E8 8B 45 08 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 08 E8 ?? ?? ?? ?? 8B 45 FC 56 8B F0 8D 7D EC A5 A5 A5 A5 5E FF 45 EC A1 ?? ?? ?? ?? 8B 00 8B 90 88 00 00 00 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B 06 0D 00 04 00 00 0D 00 01 00 00 50 8D 4D EC 8B 55 08 8B C3 E8 ?? ?? ?? ?? 8B 06 50 8D 4D EC 8B 55 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_86983_0 {
	meta:
		name = "TThemedPopupMenu.NCPaint"
		size = 1005
		refs = "0016 TWinControl.GetHandle 001c GetClientRect 002e GetWindowRect 0044 MapWindowPoints 0056 OffsetRect 006c ExcludeClipRect 008c TCanvas.GetHandle 0094 TStyleManager.GetActiveStyle 00a7 TCustomStyleServices.GetIsSystemStyle 00bd TThemedPopupMenu.NCPaint 00d3 TCanvas.SetHandle 00e7 Rect 0110 TCustomStyleServices.DrawElement 0134 @HandleFinally 016a TPen.SetWidth 0172 TCustomActionBar.GetColorMap 0189 TPen.SetColor 032e _DV_TThemedMenuButton 0333 @IsClass 034e TControl.GetBoundsRect 035c TControl.ClientToScreen"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 8B DA 89 45 FC 8D 45 E0 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 D0 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 8D 45 D0 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 4D D4 F7 D9 8B 55 D0 F7 DA 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 E8 50 8B 45 E4 50 8B 45 E0 50 53 E8 ?? ?? ?? ?? 8B 4D D4 F7 D9 8B 55 D0 F7 DA 8D 45 D0 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 EB 02 33 C0 84 C0 0F 84 81 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 8C 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 45 C0 50 8B 4D D8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 C0 50 6A 00 E8 ?? ?? ?? ?? 8D 4D B4 B2 13 8B 30 FF 96 9C 00 00 00 8D 45 B4 50 E8 ?? ?? ?? ?? 8B D3 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 8C 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 90 84 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 4D D4 8B 55 D8 8B 18 FF 53 64 8B 45 FC 8B 80 8C 02 00 00 8B 4D D4 8B 55 D0 8B 18 FF 53 60 8B 45 FC 8B 80 8C 02 00 00 8B 4D DC 8B 55 D0 8B 18 FF 53 60 8B 45 FC E8 ?? ?? ?? ?? 8B 90 80 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 4D D4 41 8B 55 D8 4A 8B 45 FC 8B 80 8C 02 00 00 8B 18 FF 53 64 8B 4D D4 41 8B 55 D0 42 8B 45 FC 8B 80 8C 02 00 00 8B 18 FF 53 60 8B 4D DC 83 E9 02 8B 55 D0 42 8B 45 FC 8B 80 8C 02 00 00 8B 18 FF 53 60 8B 45 FC E8 ?? ?? ?? ?? 8B 90 8C 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 55 D8 4A 8B 45 FC 8B 80 8C 02 00 00 8B 4D D4 8B 18 FF 53 64 8B 4D DC 49 8B 55 D8 4A 8B 45 FC 8B 80 8C 02 00 00 8B 18 FF 53 60 8B 4D DC 49 8B 55 D0 4A 8B 45 FC 8B 80 8C 02 00 00 8B 18 FF 53 60 8B 45 FC E8 ?? ?? ?? ?? 8B 90 88 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 4D D4 41 8B 55 D8 83 EA 02 8B 45 FC 8B 80 8C 02 00 00 8B 18 FF 53 64 8B 4D DC 83 E9 02 8B 55 D8 83 EA 02 8B 45 FC 8B 80 8C 02 00 00 8B 18 FF 53 60 8B 4D DC 83 E9 02 8B 45 FC 8B 80 8C 02 00 00 8B 55 D0 8B 18 FF 53 60 8B 45 FC 83 B8 80 02 00 00 00 0F 84 BC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 58 3C 8B 45 FC E8 ?? ?? ?? ?? 3B 98 84 00 00 00 0F 84 9D 00 00 00 8B 45 FC 8B 80 30 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 81 00 00 00 8D 55 C0 8B 45 FC 8B 98 30 03 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 C0 8D 4D F0 8B 43 38 E8 ?? ?? ?? ?? 8B 45 FC 8B 5D F0 8B D3 2B 50 48 42 8B 45 FC 8B 80 8C 02 00 00 8B 75 F4 8B CE 8B 38 FF 57 64 8B 45 FC E8 ?? ?? ?? ?? 8B 50 3C 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B D3 2B 50 48 8B 45 FC 8B 80 30 03 00 00 03 50 50 4A 8B 45 FC 8B 80 8C 02 00 00 8B CE 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86986_0 {
	meta:
		name = "TThemedExpandBtn.DrawBackground"
		size = 403
		refs = "001a InflateRect 0025 TStyleManager.GetActiveStyle 0049 TCanvas.GetHandle 0053 TCustomStyleServices.DrawElement 0080 TCustomStyleServices.GetElementMargins 00da TCustomStyleServices.GetElementSize"
	strings:
		$1 = { 53 56 57 55 83 C4 A8 89 14 24 8B F8 8B 04 24 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B B7 B0 01 00 00 E8 ?? ?? ?? ?? 8B D8 8B 04 24 50 6A 00 8D 4C 24 54 B2 12 8B C3 8B 28 FF 95 9C 00 00 00 8D 44 24 54 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 6A 01 8D 44 24 30 50 8D 4C 24 54 B2 14 8B C3 8B 28 FF 95 9C 00 00 00 8D 44 24 54 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 6A 00 8D 44 24 40 50 8D 4C 24 54 B2 1B 8B C3 8B 28 FF 95 9C 00 00 00 8D 44 24 54 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 6A 01 8D 44 24 10 50 8D 4C 24 54 B2 14 8B C3 8B 28 FF 95 9C 00 00 00 8D 44 24 54 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 6A 01 8D 44 24 18 50 8D 4C 24 54 B2 1B 8B C3 8B 28 FF 95 9C 00 00 00 8D 44 24 54 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 8D 54 24 04 8B C7 8B 08 FF 91 E0 00 00 00 8B 44 24 08 3B 44 24 10 7E 04 89 44 24 10 8B 44 24 04 3B 44 24 0C 7E 04 89 44 24 0C 8B 44 24 2C 03 44 24 30 03 44 24 0C 89 44 24 1C 33 C0 89 44 24 20 8B 44 24 1C 03 44 24 14 89 44 24 24 8B 47 54 89 44 24 28 8D 44 24 1C 50 6A 00 8D 4C 24 54 B2 1B 8B C3 8B 38 FF 97 9C 00 00 00 8D 44 24 54 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 83 C4 58 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86987_0 {
	meta:
		name = "TThemedExpandBtn.DrawFrame"
		size = 127
		refs = "0049 TStyleManager.GetActiveStyle 0067 TCanvas.GetHandle 0074 TCustomStyleServices.DrawElement"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B F2 8D 3C 24 A5 A5 A5 A5 8B D8 8B C3 8B 10 FF 52 68 84 C0 74 5C 80 BB FE 01 00 00 02 74 20 80 BB FD 01 00 00 00 74 17 80 BB FB 01 00 00 00 75 0E 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 33 54 6A 00 E8 ?? ?? ?? ?? 8D 4C 24 18 B2 1D 8B 30 FF 96 9C 00 00 00 8D 44 24 18 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86988_0 {
	meta:
		name = "TThemedExpandBtn.GetImageSize"
		size = 257
		refs = "000a TCustomMenuExpandBtn.GetMenu 0044 TActionClient.GetItems"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B FA E8 ?? ?? ?? ?? 8B D8 33 F6 33 C0 89 04 24 33 C0 89 44 24 04 8B 04 24 89 07 8B 44 24 04 89 47 04 85 DB 0F 84 C8 00 00 00 8B 83 44 03 00 00 8B A8 80 02 00 00 85 ED 74 0D 8B C5 E8 ?? ?? ?? ?? 80 78 29 00 74 04 33 C0 EB 02 B0 01 83 BB 84 02 00 00 00 74 2A 84 C0 74 1D 8B 83 84 02 00 00 83 B8 AC 00 00 00 00 74 0E 8B 83 84 02 00 00 8B B0 AC 00 00 00 EB 09 8B 83 84 02 00 00 8B 70 40 85 F6 74 6E 8B 83 44 03 00 00 83 B8 80 02 00 00 00 74 44 8B 83 44 03 00 00 8B 80 80 02 00 00 E8 ?? ?? ?? ?? 80 78 29 00 75 2D 8B 46 3C 3B 46 38 75 25 83 7E 3C 20 7D 1F C7 44 24 08 20 00 00 00 C7 44 24 0C 20 00 00 00 8B 44 24 08 89 07 8B 44 24 0C 89 47 04 EB 1B 8B 46 3C 89 44 24 10 8B 46 38 89 44 24 14 8B 44 24 10 89 07 8B 44 24 14 89 47 04 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86989_0 {
	meta:
		name = "TThemedButtonControl.DrawBackground"
		size = 513
		refs = "000e TStyleManager.GetActiveStyle 0013 TCustomStyleServices.GetIsSystemStyle 0038 TCanvas.GetHandle 003e SaveDC 0049 TThemedButtonControl.DrawBackground 0067 TCustomActionControl.GetActionBar 00d4 CheckedState 0105 TCustomStyleServices.DrawElement 0199 DisabledState 01ef RestoreDC 01f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B DA 89 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 13 8B 45 FC 8B 80 BC 01 00 00 80 78 54 00 0F 85 CD 01 00 00 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 68 84 C0 0F 84 22 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 0F 85 0A 01 00 00 8B 45 FC 80 B8 FB 01 00 00 00 75 13 8B 45 FC 8B 10 FF 92 EC 00 00 00 84 C0 0F 84 B5 00 00 00 8B 45 FC 83 B8 BC 01 00 00 00 0F 84 A5 00 00 00 53 6A 00 8B 45 FC 8B 10 FF 92 EC 00 00 00 84 C0 75 10 8B 45 FC 80 B8 FE 01 00 00 02 74 04 33 C0 EB 02 B0 01 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D EC 5A 8B 30 FF 96 E8 00 00 00 8D 45 EC 50 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 FB 01 00 00 00 0F 85 B5 00 00 00 53 6A 00 E8 ?? ?? ?? ?? 8D 4D EC B2 04 8B 18 FF 93 E8 00 00 00 8D 45 EC 50 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? EB 7F 53 6A 00 E8 ?? ?? ?? ?? 8D 4D EC B2 02 8B 18 FF 93 E8 00 00 00 8D 45 EC 50 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? EB 49 53 6A 00 8B 45 FC 8B 10 FF 92 EC 00 00 00 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D EC 5A 8B 18 FF 93 E8 00 00 00 8D 45 EC 50 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86991_0 {
	meta:
		name = "TThemedButtonControl.DrawGlyph"
		size = 76
		refs = "0030 IsMouseButtonPressed 0044 TCustomActionControl.DrawGlyph"
		altNames = "TThemedDropDownButton.DrawGlyph"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B 02 89 04 24 8B 42 04 89 44 24 04 F6 43 1C 10 75 27 80 BB FE 01 00 00 02 75 1E 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 75 10 E8 ?? ?? ?? ?? 84 C0 74 07 FF 04 24 FF 44 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_86992_0 {
	meta:
		name = "TThemedButtonControl.DrawLargeGlyph"
		size = 291
		refs = "0013 TCustomActionControl.HasGlyph 00bd IsMouseButtonPressed 0117 TCustomImageList.Draw"
		altNames = "TThemedDropDownButton.DrawLargeGlyph"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B F2 8D 3C 24 A5 A5 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 FC 00 00 00 8B 83 BC 01 00 00 8B 40 5C 50 8D 4C 24 0C B2 01 8B C3 8B 30 FF 96 E8 00 00 00 8B F0 85 F6 0F 84 D8 00 00 00 8B 56 3C 8B CA 8B BB CC 01 00 00 03 CF 8B AB D4 01 00 00 03 CD 8B 83 E4 01 00 00 3B C8 7D 10 2B C2 2B C7 2B C5 D1 F8 79 03 83 D0 00 01 04 24 8B 56 38 8B CA 8B BB D0 01 00 00 03 CF 8B AB D8 01 00 00 03 CD 8B 43 54 3B C8 7D 11 2B C2 2B C7 2B C5 D1 F8 79 03 83 D0 00 01 44 24 04 F6 43 1C 10 75 27 80 BB FE 01 00 00 02 75 1E 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 75 10 E8 ?? ?? ?? ?? 84 C0 74 07 FF 04 24 FF 44 24 04 80 7C 24 08 00 75 21 8B C3 8B 10 FF 52 68 84 C0 74 0C 8B 83 BC 01 00 00 83 78 5C FF 75 0A F6 43 1C 10 75 04 33 C0 EB 02 B0 01 8B 54 24 04 52 8B 93 BC 01 00 00 8B 52 5C 52 6A 03 6A 00 50 8B 4C 24 14 8B 93 B0 01 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_86994_0 {
	meta:
		name = "TThemedButtonControl.DrawText"
		size = 540
		refs = "0019 @UStrAddRef 0021 TThemedButtonControl.DrawText 0031 TTextFormatFlags.&op_Implicit 004f TCustomActionControl.GetActionBar 00a6 CheckedState 00ac TStyleManager.GetActiveStyle 00fd DisabledState 0122 TCustomStyleServices.GetElementColor 0152 @UStrLAsg 017e @UStrCat 01a4 TCanvas.GetHandle 01af DrawGlassText 01db TCustomStyleServices.DrawText 01f0 @UStrClr 01fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D FC 89 4D F4 89 55 F8 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B C3 8B 10 FF 52 68 84 C0 0F 84 A1 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 0F 85 8A 00 00 00 80 BB FB 01 00 00 00 75 0E 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 5F 83 BB BC 01 00 00 00 74 56 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 75 0D 80 BB FE 01 00 00 02 74 04 33 C0 EB 02 B0 01 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E0 5A 8B 30 FF 96 E8 00 00 00 80 BB FB 01 00 00 00 75 4E E8 ?? ?? ?? ?? 8D 4D E0 B2 04 8B 30 FF 96 E8 00 00 00 EB 3A E8 ?? ?? ?? ?? 8D 4D E0 B2 02 8B 30 FF 96 E8 00 00 00 EB 26 8B C3 8B 10 FF 92 EC 00 00 00 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E0 5A 8B 30 FF 96 E8 00 00 00 8D 45 EC 50 E8 ?? ?? ?? ?? B1 02 8D 55 E0 E8 ?? ?? ?? ?? 84 C0 75 04 B0 01 EB 0A 81 7D EC FF FF FF 1F 0F 94 C0 84 C0 74 0F 8B 83 B0 01 00 00 8B 40 40 8B 40 18 89 45 EC 8D 45 FC 8B 55 08 E8 ?? ?? ?? ?? F6 45 F0 02 74 26 83 7D FC 00 74 13 8B 45 FC 66 83 38 26 75 17 8B 45 FC 66 83 78 02 00 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 43 5D 80 74 2D 8B 45 F4 8B 00 50 6A 00 8B 83 B0 01 00 00 8B 40 40 8B 40 18 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 08 E8 ?? ?? ?? ?? EB 2A 8B 45 FC 50 8B 45 F8 50 8B 45 F0 50 8B 45 EC 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D E0 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_86995_0 {
	meta:
		name = "TThemedDropDownButton.DrawBackground"
		size = 522
		refs = "0017 TCanvas.GetHandle 001d SaveDC 0028 TThemedDropDownButton.DrawBackground 0046 TCustomActionControl.GetActionBar 00ca CheckedState 00d0 TStyleManager.GetActiveStyle 00fb TCustomStyleServices.DrawElement 01a2 DisabledState 01f8 RestoreDC 01fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B DA 89 45 FC 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 68 84 C0 0F 84 4C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 0F 85 34 01 00 00 8B 45 FC 80 B8 FB 01 00 00 00 75 1F 8B 45 FC 8B 10 FF 92 EC 00 00 00 84 C0 75 10 8B 45 FC 80 B8 00 02 00 00 00 0F 84 D3 00 00 00 8B 45 FC 8B B0 BC 01 00 00 85 F6 0F 84 C2 00 00 00 80 7E 54 00 0F 85 B8 00 00 00 53 6A 00 8B 45 FC 8B 10 FF 92 EC 00 00 00 84 C0 75 10 8B 45 FC 80 B8 FE 01 00 00 02 74 04 33 C0 EB 02 B0 01 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D EC 5A 8B 30 FF 96 E8 00 00 00 8D 45 EC 50 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 EC 00 00 00 84 C0 0F 84 C5 00 00 00 8B 45 FC 80 B8 FB 01 00 00 00 0F 85 B5 00 00 00 53 6A 00 E8 ?? ?? ?? ?? 8D 4D EC B2 04 8B 18 FF 93 E8 00 00 00 8D 45 EC 50 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? EB 7F 53 6A 00 E8 ?? ?? ?? ?? 8D 4D EC B2 02 8B 18 FF 93 E8 00 00 00 8D 45 EC 50 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? EB 49 53 6A 00 8B 45 FC 8B 10 FF 92 EC 00 00 00 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D EC 5A 8B 18 FF 93 E8 00 00 00 8D 45 EC 50 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86996_0 {
	meta:
		name = "TThemedDropDownButton.DrawFrame"
		size = 327
		refs = "0029 TCustomActionControl.GetActionBar 0079 TStyleManager.GetActiveStyle 007e TCustomStyleServices.GetIsSystemStyle 00c1 TCanvas.GetHandle 00c7 SaveDC 00d2 TThemedDropDownButton.DrawFrame 010f TCustomStyleServices.DrawElement 0134 RestoreDC 013a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F2 8D 7D E8 A5 A5 A5 A5 89 45 FC 8B 45 FC 8B 10 FF 52 68 84 C0 0F 84 1B 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 0F 85 03 01 00 00 8B 45 FC 80 B8 FB 01 00 00 00 75 1F 8B 45 FC 8B 10 FF 92 EC 00 00 00 84 C0 75 10 8B 45 FC 80 B8 00 02 00 00 00 0F 84 D8 00 00 00 8B 45 FC 83 B8 BC 01 00 00 00 0F 84 C8 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1B 8B 45 FC 8B 10 FF 92 18 01 00 00 8B 5D F0 2B D8 89 5D E8 83 C3 03 89 5D F0 EB 16 8B 45 FC 8B 10 FF 92 18 01 00 00 8B 55 F0 2B D0 83 EA 02 89 55 E8 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 50 6A 00 E8 ?? ?? ?? ?? 8D 4D DC B2 23 8B 18 FF 93 E8 00 00 00 8D 45 DC 50 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_86999_0 {
	meta:
		name = "TThemedDropDownButton.GetDropDownButtonWidth"
		size = 165
		refs = "000f TStyleManager.GetActiveStyle 002d TCanvas.GetHandle 003a TCustomStyleServices.GetElementMargins 0085 TCustomStyleServices.GetElementSize"
	strings:
		$1 = { 53 56 83 C4 DC 8B D8 6A 00 8D 44 24 0C 50 E8 ?? ?? ?? ?? 8D 4C 24 20 B2 23 8B 30 FF 96 E8 00 00 00 8D 44 24 20 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 84 C0 75 10 C7 44 24 08 02 00 00 00 C7 44 24 0C 02 00 00 00 6A 01 8D 44 24 04 50 E8 ?? ?? ?? ?? 8D 4C 24 20 B2 23 8B 30 FF 96 E8 00 00 00 8D 44 24 20 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 84 C0 75 07 C7 04 24 07 00 00 00 8B 04 24 03 44 24 08 03 44 24 0C 83 C4 24 5E 5B C3 }
	condition:
		$1
}

rule function_87004_0 {
	meta:
		name = "TThemedCustomizePopup.NCPaint"
		size = 390
		refs = "0014 TWinControl.GetHandle 001a GetClientRect 002c GetWindowRect 0042 MapWindowPoints 0054 OffsetRect 006a ExcludeClipRect 0084 TThemedCustomizePopup.NCPaint 009a TCanvas.SetHandle 00a2 TCustomActionBar.GetColorMap 00b9 TPen.SetColor 00d5 TBrush.SetColor 00e6 TCustomCanvas.Rectangle 015f TCanvas.GetHandle 0165 IntersectClipRect 017b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 8B DA 89 45 FC 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 8D 45 DC 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 4D E0 F7 D9 8B 55 DC F7 DA 8D 45 EC E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 F4 50 8B 45 F0 50 8B 45 EC 50 53 E8 ?? ?? ?? ?? 8B 4D E0 F7 D9 8B 55 DC F7 DA 8D 45 DC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 8C 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 90 84 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 50 48 8B 45 FC 8B 80 8C 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 50 7C 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 B9 01 00 00 00 BA 01 00 00 00 8B 18 FF 53 64 8B 45 FC 8B 48 54 49 8B 45 FC 8B 80 8C 02 00 00 BA 01 00 00 00 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 50 8B 45 E4 50 8B 45 E0 50 8B 45 DC 50 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87005_0 {
	meta:
		name = "TThemedAddRemoveItem.CalcBounds"
		size = 1291
		refs = "0011 TCustomAddRemoveItem.CalcBounds 0018 CreateCompatibleDC 0023 TThemedAddRemoveItem.CalcBounds 002e Screen 003b TFont.GetHandle 0045 SelectObject 0090 CheckMarkStates 0096 TStyleManager.GetActiveStyle 00ba TCustomStyleServices.GetElementSize 00fb TCustomStyleServices.GetElementMargins 01a2 SubMenuStates 0237 Rect 030d OffsetRect 039b TCanvas.SetFont 03b7 TThemedAddRemoveItem.DoDrawText 04e0 @HandleFinally 04f8 DeleteDC"
	strings:
		$1 = { 55 8B EC 81 C4 50 FF FF FF 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 00 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 50 8B 45 FC 50 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 00 8B 90 88 00 00 00 8B 43 6C 8B 08 FF 51 08 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 F6 6A 01 8D 45 E4 50 8B C3 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF 5A 8B 38 FF 97 9C 00 00 00 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 8B 55 FC 59 E8 ?? ?? ?? ?? 6A 01 8D 45 AC 50 8B C3 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF 5A 8B 38 FF 97 9C 00 00 00 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 8B 55 FC 59 E8 ?? ?? ?? ?? 6A 01 8D 45 DC 50 E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF B2 1B 8B 38 FF 97 9C 00 00 00 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 8B 55 FC 59 E8 ?? ?? ?? ?? 6A 00 8D 45 9C 50 E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF B2 1B 8B 38 FF 97 9C 00 00 00 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 8B 55 FC 59 E8 ?? ?? ?? ?? 6A 00 8D 45 8C 50 E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF B2 1C 8B 38 FF 97 9C 00 00 00 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 8B 55 FC 59 E8 ?? ?? ?? ?? 6A 01 8D 45 CC 50 8B C3 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF 5A 8B 38 FF 97 9C 00 00 00 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 8B 55 FC 59 E8 ?? ?? ?? ?? 6A 01 8D 85 6C FF FF FF 50 8B C3 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF 5A 8B 38 FF 97 9C 00 00 00 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 8B 55 FC 59 E8 ?? ?? ?? ?? 03 75 E4 8B 45 AC 03 45 B0 03 F0 8B FE 57 8D 85 50 FF FF FF 50 8B 4D AC 03 4D E4 03 4D B0 33 D2 33 C0 E8 ?? ?? ?? ?? 56 57 8D B5 50 FF FF FF 8D BB 30 02 00 00 A5 A5 A5 A5 5F 5E 8D 55 F0 8B C3 8B 08 FF 91 E0 00 00 00 8B 45 F4 3B 45 E8 7E 03 89 45 E8 8B 45 F0 3B 45 E4 7E 03 89 45 E4 8B 45 E8 01 45 EC 03 75 E4 8B 45 B4 03 45 B8 01 45 EC 8B 45 AC 03 45 B0 03 F0 8B 45 E8 03 45 B8 03 45 B8 50 8D 85 50 FF FF FF 50 8B 4D E4 03 4D B0 03 4D B0 03 CF 33 D2 8B C7 E8 ?? ?? ?? ?? 56 8D B5 50 FF FF FF 8D BB 20 02 00 00 A5 A5 A5 A5 5E 03 75 9C 8B C6 89 83 40 02 00 00 03 45 DC 89 83 48 02 00 00 8B 45 DC 03 45 A0 03 F0 8B 55 8C 8B 45 90 03 D0 03 F2 8B FE 2B BB E4 01 00 00 2B F8 56 57 8D B3 E4 01 00 00 8D 7D BC A5 A5 A5 A5 5F 5E 8D 45 BC 83 C9 FF 8B D7 E8 ?? ?? ?? ?? 56 8D BB E4 01 00 00 8D 75 BC A5 A5 A5 A5 5E 03 75 CC 03 B5 6C FF FF FF 03 B5 70 FF FF FF 8B 45 D0 2B 45 D0 D1 F8 79 03 83 D0 00 8B 7D D0 03 C7 50 8D 85 50 FF FF FF 50 8B 8D 70 FF FF FF F7 D9 8B D7 2B D7 D1 FA 79 03 83 D2 00 8B 85 70 FF FF FF F7 D8 2B 45 CC E8 ?? ?? ?? ?? 56 8D B5 50 FF FF FF 8D BB 60 02 00 00 A5 A5 A5 A5 5E 83 BB BC 01 00 00 00 74 36 A1 ?? ?? ?? ?? 8B 00 8B 90 88 00 00 00 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8D 45 BC 50 68 00 05 00 00 8B 83 BC 01 00 00 8B 48 58 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 0F 56 8D B3 04 02 00 00 8D 7D BC A5 A5 A5 A5 5E 8B BB 60 02 00 00 2B 7D C4 2B 7D 90 2B BD 6C FF FF FF 8D 45 BC 33 C9 8B D7 E8 ?? ?? ?? ?? 56 8D BB 04 02 00 00 8D 75 BC A5 A5 A5 A5 5E 8B 45 8C 03 45 90 03 F0 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 74 77 6A 01 8D 45 D4 50 E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF B2 20 8B 30 FF 96 9C 00 00 00 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 8B 55 FC 59 E8 ?? ?? ?? ?? 6A 00 8D 85 7C FF FF FF 50 E8 ?? ?? ?? ?? 8D 8D 60 FF FF FF B2 20 8B 30 FF 96 9C 00 00 00 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 8B 55 FC 59 E8 ?? ?? ?? ?? 8B 45 D8 8B D0 03 55 88 89 55 EC 8B 75 D4 89 83 70 02 00 00 33 C0 89 83 44 02 00 00 8B 45 EC 89 83 4C 02 00 00 03 B3 EC 01 00 00 2B B3 E4 01 00 00 03 B3 0C 02 00 00 2B B3 04 02 00 00 56 8B 45 EC 50 8B 4B 4C 8B 53 48 8B C3 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87007_0 {
	meta:
		name = "TThemedAddRemoveItem.DrawBackground"
		size = 155
		refs = "0015 TStyleManager.GetActiveStyle 001a TCustomStyleServices.GetIsSystemStyle 004a TCanvas.GetHandle 0057 TCustomStyleServices.DrawElement"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B D8 8B F2 8D BB 50 02 00 00 A5 A5 A5 A5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 39 8D 83 50 02 00 00 50 6A 00 E8 ?? ?? ?? ?? 8D 4C 24 08 B2 12 8B 30 FF 96 9C 00 00 00 8D 44 24 08 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8D 83 40 02 00 00 50 6A 00 E8 ?? ?? ?? ?? 8D 4C 24 08 B2 1B 8B 30 FF 96 9C 00 00 00 8D 44 24 08 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87008_0 {
	meta:
		name = "TThemedAddRemoveItem.DrawGlyph"
		size = 544
		refs = "002f _Dn_TCustomAction 0034 @IsClass 0079 CheckMarkBkgStates 007f TStyleManager.GetActiveStyle 009c TCanvas.GetHandle 00a9 TCustomStyleServices.DrawElement 00c3 CheckMarkStates 0171 TCustomImageList.Draw 0178 TCustomAddRemoveItem.IsActionVisible"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B D8 8B B3 BC 01 00 00 85 F6 0F 84 E2 00 00 00 8B C6 8B 10 FF 52 34 84 C0 0F 85 D3 00 00 00 8B C3 8B 10 FF 52 58 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B9 00 00 00 8B C3 8B 10 FF 52 58 80 78 71 00 0F 84 A8 00 00 00 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 0F 84 12 01 00 00 8D 83 20 02 00 00 50 6A 00 8B C3 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 10 5A 8B 30 FF 96 9C 00 00 00 8D 44 24 0C 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8D 83 20 02 00 00 50 6A 00 8B C3 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 10 5A 8B 30 FF 96 9C 00 00 00 8D 44 24 0C 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? EB 7C 8B 83 BC 01 00 00 8B 40 5C 50 8D 4C 24 04 33 D2 8B C3 8B 30 FF 96 E8 00 00 00 8B F8 85 FF 74 5C 8B 83 BC 01 00 00 83 78 5C FF 74 50 8D B3 20 02 00 00 8B 46 0C 2B 46 04 2B 47 38 D1 F8 79 03 83 D0 00 03 46 04 50 8B 83 BC 01 00 00 8B 40 5C 50 8B C3 8B 10 FF 52 68 0A 44 24 08 50 8B 4E 08 8B 2E 2B CD 2B 4F 3C D1 F9 79 03 83 D1 00 03 CD 8B 93 B0 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 94 00 00 00 8D 83 30 02 00 00 50 6A 00 8B C3 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 10 5A 8B 30 FF 96 9C 00 00 00 8D 44 24 0C 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8D 83 30 02 00 00 50 6A 00 8B C3 8B 10 FF 52 68 83 E0 7F 0F B6 80 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 10 5A 8B 30 FF 96 9C 00 00 00 8D 44 24 0C 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87009_0 {
	meta:
		name = "TThemedAddRemoveItem.DrawSeparator"
		size = 93
		refs = "0020 Rect 0028 TStyleManager.GetActiveStyle 0046 TCanvas.GetHandle 0053 TCustomStyleServices.DrawElement"
	strings:
		$1 = { 53 56 83 C4 E4 8B D8 8B 83 70 02 00 00 50 8D 44 24 04 50 8B 83 48 02 00 00 40 8B 4B 50 33 D2 E8 ?? ?? ?? ?? 54 6A 00 E8 ?? ?? ?? ?? 8D 4C 24 18 B2 20 8B 30 FF 96 9C 00 00 00 8D 44 24 18 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 1C 5E 5B C3 }
	condition:
		$1
}

rule function_87010_0 {
	meta:
		name = "TThemedAddRemoveItem.DrawText"
		size = 475
		refs = "0014 @UStrAddRef 001c TThemedAddRemoveItem.DrawText 0039 TStyleManager.GetActiveStyle 0055 TCanvas.GetHandle 0062 TCustomStyleServices.DrawElement 006b _Dn_TCustomActionBar 0070 @IsClass 007b TCustomActionControl.GetActionBar 0092 @UStrLAsg 0097 Screen 00aa TCanvas.SetFont 00e1 TThemedAddRemoveItem.DoDrawText 0109 OffsetRect 0146 TActionClient.GetHasItems 0156 TControl.DrawTextBiDiModeFlags 0174 Rect 01c6 @UStrClr 01cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F1 89 55 FC 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB DC 01 00 00 00 74 37 8D 83 50 02 00 00 50 6A 00 E8 ?? ?? ?? ?? 8D 4D E0 B2 1D 8B 38 FF 97 9C 00 00 00 8D 45 E0 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 8B 43 38 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B C3 E8 ?? ?? ?? ?? 80 B8 B8 02 00 00 00 75 0E 8D 45 08 8B 93 18 02 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 90 88 00 00 00 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 56 8D B3 50 02 00 00 8D 7D EC A5 A5 A5 A5 5E 8D 45 EC 50 8B 06 0D 00 04 00 00 0D 00 01 00 00 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 8B 8B 5C 02 00 00 2B 8B 54 02 00 00 8B 45 F8 2B 45 F0 2B C8 D1 F9 79 03 83 D1 00 8B 55 FC 8B 12 8D 45 EC E8 ?? ?? ?? ?? 8D 45 EC 50 8B 06 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 4D 08 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 BC 00 00 00 84 C0 74 7C 8B BB BC 01 00 00 85 FF 74 72 8B C7 E8 ?? ?? ?? ?? 84 C0 75 67 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 06 8B 45 F8 50 8D 45 D0 50 8B 8B 0C 02 00 00 8B 55 F0 8B 83 04 02 00 00 E8 ?? ?? ?? ?? 56 8D 75 D0 8D 7D EC A5 A5 A5 A5 5E 8D 45 EC 33 C9 8B 53 50 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 06 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 BC 01 00 00 8B 48 58 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_87013_0 {
	meta:
		name = "TThemedToolScrollBtn.DrawBackground"
		size = 157
		refs = "0021 TStyleManager.GetActiveStyle 0035 PressedStates 0051 TCanvas.GetHandle 005e TCustomStyleServices.DrawElement"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B C3 8B 10 FF 52 68 84 C0 74 50 80 BB FB 01 00 00 00 74 47 56 6A 00 E8 ?? ?? ?? ?? 80 BB FE 01 00 00 02 0F 94 C2 83 E2 7F 0F B6 92 ?? ?? ?? ?? 8D 4C 24 08 8B 30 FF 96 E8 00 00 00 8D 44 24 08 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? EB 33 56 6A 00 E8 ?? ?? ?? ?? 8D 4C 24 08 B2 02 8B 30 FF 96 E8 00 00 00 8D 44 24 08 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_87117_0 {
	meta:
		name = "UnthemedDesigner"
		size = 108
		refs = "0011 RM_UnthemedDesigner 0019 UnthemedDesigner 001e RegisterWindowMessage 0037 TControl.Perform"
	strings:
		$1 = { 53 8B D8 33 C0 85 DB 74 38 F6 43 1C 10 74 32 83 3D ?? ?? ?? ?? 00 75 0F 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 00 B9 64 00 00 00 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 F8 64 0F 94 C0 5B C3 00 42 00 44 00 53 00 55 00 6E 00 74 00 68 00 65 00 6D 00 65 00 64 00 44 00 65 00 73 00 69 00 67 00 6E 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_87120_0 {
	meta:
		name = "ThemeControl"
		size = 83
		refs = "0010 TStyleManager.GetActiveStyle 0043 UnthemedDesigner"
	strings:
		$1 = { 56 8B F0 33 C0 85 F6 74 48 F6 46 1C 10 75 0C E8 ?? ?? ?? ?? 8B 10 FF 52 48 EB 02 33 C0 84 C0 74 04 B0 01 EB 2C F6 46 1C 10 74 24 83 7E 38 00 74 1E E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0C 8B 46 38 E8 ?? ?? ?? ?? 34 01 EB 06 33 C0 EB 02 33 C0 5E C3 }
	condition:
		$1
}

rule function_87121_0 {
	meta:
		name = "DrawStyleEdge"
		size = 119
		refs = "0012 _Dn_TCanvas 0017 TCanvas.Create 0022 DrawStyleEdge 0032 TCanvas.SetHandle 0063 TObject.Free 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 88 4D FF 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 50 8B D6 0F B6 4D FF 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_87122_0 {
	meta:
		name = "DrawRect"
		size = 530
		refs = "0016 DrawRect 0058 TPen.SetColor 00a5 TList<System.Types.TPoint>.AddRange 00f4 @DynArrayHigh 010e TList<System.Types.TPoint>.Clear 01f7 TArray<System.Types.TPoint> 0201 @FinalizeArray 0207 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 33 C9 89 4D D4 89 4D D8 88 55 FF 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 08 8B 52 F8 89 55 F4 8B 55 08 8B 52 F4 89 55 F8 8B 55 08 8B 52 F0 89 55 EC 8B 55 08 8B 52 FC 89 55 F0 84 C0 74 16 8B 45 08 8B 50 E8 8B 45 08 8B 40 EC 8B 40 44 E8 ?? ?? ?? ?? EB 14 8B 45 08 8B 50 E4 8B 45 08 8B 40 EC 8B 40 44 E8 ?? ?? ?? ?? 8B 45 08 F6 40 08 01 74 2E 8B 45 EC 89 45 DC 8B 45 F0 89 45 E0 8B 45 08 8B 50 F0 89 55 E4 8B 50 F4 89 55 E8 8D 55 DC 8B 45 08 8B 40 E0 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 F6 40 08 02 74 2E 8B 45 08 8B 50 F0 89 55 DC 8B 50 F4 89 55 E0 8B 45 F4 89 45 E4 8B 45 F8 89 45 E8 8D 55 DC 8B 45 08 8B 40 E0 B9 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 08 8B 40 E0 8B 08 FF 51 04 8B 5D D8 8B C3 E8 ?? ?? ?? ?? 50 8B D3 8B 45 08 8B 40 EC 59 8B 18 FF 53 70 8B 45 08 8B 40 E0 E8 ?? ?? ?? ?? 80 7D FF 00 74 16 8B 45 08 8B 50 E8 8B 45 08 8B 40 EC 8B 40 44 E8 ?? ?? ?? ?? EB 14 8B 45 08 8B 50 E4 8B 45 08 8B 40 EC 8B 40 44 E8 ?? ?? ?? ?? FF 4D EC 8B 45 08 F6 40 08 04 74 2E 8B 45 F4 89 45 DC 8B 45 F8 89 45 E0 8B 45 08 8B 50 F8 89 55 E4 8B 50 FC 89 55 E8 8D 55 DC 8B 45 08 8B 40 E0 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 F6 40 08 08 74 2E 8B 45 08 8B 50 F8 89 55 DC 8B 50 FC 89 55 E0 8B 45 EC 89 45 E4 8B 45 F0 89 45 E8 8D 55 DC 8B 45 08 8B 40 E0 B9 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 08 8B 40 E0 8B 08 FF 51 04 8B 5D D4 8B C3 E8 ?? ?? ?? ?? 50 8B D3 8B 45 08 8B 40 EC 59 8B 18 FF 53 70 8B 45 08 8B 40 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87123_0 {
	meta:
		name = "DrawStyleEdge"
		size = 656
		refs = "002f TRect.Create 0040 TStyleManager.GetActiveStyle 004d DrawStyleEdge 00d8 _DV_TList<System.Types.TPoint> 00dd TList<System.Types.TPoint>.Create 00fe TPen.SetWidth 0115 TCustomStyleServices.GetSystemColor 0164 DrawRect 019d InflateRect 0235 TObject.Free 023b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 88 4D DB 89 55 DC 89 45 EC 8D 75 DB 8B 45 DC 56 8B F0 8D 7D F0 A5 A5 A5 A5 5E 6A 00 6A 00 33 C9 33 D2 8D 45 B8 E8 ?? ?? ?? ?? 56 8D 75 B8 8D 7D C8 A5 A5 A5 A5 5E E8 ?? ?? ?? ?? 8B D8 F6 45 09 01 74 0D A1 ?? ?? ?? ?? 0B 45 08 89 45 08 EB 44 F6 45 08 10 74 0B A1 ?? ?? ?? ?? 0B 45 08 89 45 08 F6 45 08 20 74 0B A1 ?? ?? ?? ?? 0B 45 08 89 45 08 F6 45 08 40 74 0B A1 ?? ?? ?? ?? 0B 45 08 89 45 08 F6 45 08 80 74 0B A1 ?? ?? ?? ?? 0B 45 08 89 45 08 F6 06 10 74 09 0F B6 05 ?? ?? ?? ?? 88 06 F6 06 20 74 09 0F B6 05 ?? ?? ?? ?? 88 06 F6 06 40 74 09 0F B6 05 ?? ?? ?? ?? 88 06 F6 06 80 74 09 0F B6 05 ?? ?? ?? ?? 88 06 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 4D FC FF 4D F8 F6 06 04 74 20 BA 15 00 00 FF 8B C3 E8 ?? ?? ?? ?? 89 45 E4 BA 16 00 00 FF 8B C3 E8 ?? ?? ?? ?? 89 45 E8 EB 1E BA 10 00 00 FF 8B C3 E8 ?? ?? ?? ?? 89 45 E4 BA 14 00 00 FF 8B C3 E8 ?? ?? ?? ?? 89 45 E8 F6 06 04 0F 95 C0 84 C0 75 05 F6 06 08 74 47 55 F6 06 08 0F 95 C2 52 5A E8 ?? ?? ?? ?? 59 F6 45 0A 01 74 24 F6 45 08 01 74 03 FF 45 C8 F6 45 08 04 74 03 FF 45 D0 F6 45 08 02 74 03 FF 45 CC F6 45 08 08 74 03 FF 45 D4 8D 45 F0 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? F6 06 01 75 05 F6 06 02 74 73 F6 06 04 74 23 F6 06 01 74 1E BA 10 00 00 FF 8B C3 E8 ?? ?? ?? ?? 89 45 E4 BA 14 00 00 FF 8B C3 E8 ?? ?? ?? ?? 89 45 E8 55 F6 06 02 0F 95 C2 F6 06 01 0F 95 C0 E8 ?? ?? ?? ?? 59 F6 45 0A 01 74 24 F6 45 08 01 74 03 FF 45 C8 F6 45 08 04 74 03 FF 45 D0 F6 45 08 02 74 03 FF 45 CC F6 45 08 08 74 03 FF 45 D4 8D 45 F0 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? FF 45 FC FF 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 F6 45 0A 01 74 23 8B 45 DC 8B 55 C8 01 10 8B 45 DC 8B 55 CC 01 50 04 8B 45 DC 8B 55 D0 29 50 08 8B 45 DC 8B 55 D4 29 50 0C 5F 5E 5B 8B E5 5D C2 04 00 00 0F 00 00 00 03 00 00 00 06 00 00 00 09 00 00 00 0C 00 00 00 05 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_87124_0 {
	meta:
		name = "AdjustPixel"
		size = 12
	strings:
		$1 = { 3B D0 75 05 8B C2 F7 D0 C3 8B C2 C3 }
	condition:
		$1
}

rule function_87125_0 {
	meta:
		name = "DrawStyleFocusRect"
		size = 619
		refs = "000c TStyleManager.GetActiveStyle 0016 TCustomStyleServices.GetSystemColor 001b ColorToRGB 0025 GetHighLightColor 0045 GetShadowColor 0058 GetPixel 0080 SetPixel"
	strings:
		$1 = { 53 56 57 55 83 C4 BC 8B F2 8B F8 E8 ?? ?? ?? ?? BA 0D 00 00 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 13 00 00 00 E8 ?? ?? ?? ?? 8B E8 E8 ?? ?? ?? ?? BA 0D 00 00 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA CE FF FF FF E8 ?? ?? ?? ?? 89 04 24 8B 1E 43 EB 73 8B 46 04 50 53 57 E8 ?? ?? ?? ?? 89 44 24 04 3B 6C 24 04 75 0A 8B C5 F7 D0 89 44 24 08 EB 04 89 6C 24 08 8B 44 24 08 50 8B 46 04 50 53 57 E8 ?? ?? ?? ?? 8B 46 04 50 53 57 E8 ?? ?? ?? ?? 89 44 24 0C 8B 04 24 3B 44 24 0C 75 0B 8B 04 24 F7 D0 89 44 24 10 EB 07 8B 04 24 89 44 24 10 8B 44 24 10 50 8B 46 04 50 8D 43 01 50 57 E8 ?? ?? ?? ?? 83 C3 02 8B 46 08 48 3B D8 7C 85 8B 1E 43 EB 7A 8B 46 0C 48 50 53 57 E8 ?? ?? ?? ?? 89 44 24 14 3B 6C 24 14 75 0A 8B C5 F7 D0 89 44 24 18 EB 04 89 6C 24 18 8B 44 24 18 50 8B 46 0C 48 50 53 57 E8 ?? ?? ?? ?? 8B 46 0C 48 50 8D 43 01 50 57 E8 ?? ?? ?? ?? 89 44 24 1C 8B 04 24 3B 44 24 1C 75 0B 8B 04 24 F7 D0 89 44 24 20 EB 07 8B 04 24 89 44 24 20 8B 44 24 20 50 8B 46 0C 48 50 8D 43 01 50 57 E8 ?? ?? ?? ?? 83 C3 02 8B 46 08 48 3B D8 0F 8C 7A FF FF FF 8B 5E 04 43 EB 72 53 8B 06 50 57 E8 ?? ?? ?? ?? 89 44 24 24 3B 6C 24 24 75 0A 8B C5 F7 D0 89 44 24 28 EB 04 89 6C 24 28 8B 44 24 28 50 53 8B 06 50 57 E8 ?? ?? ?? ?? 8D 43 01 50 8B 06 50 57 E8 ?? ?? ?? ?? 89 44 24 2C 8B 04 24 3B 44 24 2C 75 0B 8B 04 24 F7 D0 89 44 24 30 EB 07 8B 04 24 89 44 24 30 8B 44 24 30 50 8D 43 01 50 8B 06 50 57 E8 ?? ?? ?? ?? 83 C3 02 8B 46 0C 48 3B D8 7C 86 8B 5E 04 43 EB 7A 53 8B 46 08 48 50 57 E8 ?? ?? ?? ?? 89 44 24 34 3B 6C 24 34 75 0A 8B C5 F7 D0 89 44 24 38 EB 04 89 6C 24 38 8B 44 24 38 50 53 8B 46 08 48 50 57 E8 ?? ?? ?? ?? 8D 43 01 50 8B 46 08 48 50 57 E8 ?? ?? ?? ?? 89 44 24 3C 8B 04 24 3B 44 24 3C 75 0B 8B 04 24 F7 D0 89 44 24 40 EB 07 8B 04 24 89 44 24 40 8B 44 24 40 50 8D 43 01 50 8B 46 08 48 50 57 E8 ?? ?? ?? ?? 83 C3 02 8B 46 0C 48 3B D8 0F 8C 7A FF FF FF 83 C4 44 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87126_0 {
	meta:
		name = "DrawGlassText"
		size = 68
		refs = "0011 TStyleManager.GetSystemStyle 0037 DrawGlassText"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B F2 8B D8 E8 ?? ?? ?? ?? 8D 4D F0 B2 02 8B 38 FF 57 7C 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 45 F0 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_87127_0 {
	meta:
		name = "DrawGlassText"
		size = 341
		refs = "0026 DrawGlassText 0031 TOSVersion.FMajor 0049 @FillChar 0080 ColorToRGB 008b TStyleManager.GetSystemStyle 00bd @UStrLAsg 00d2 @UStrToPWChar 00e5 DrawThemeTextEx 0127 DrawThemeText 0140 @UStrClr 0146 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 DB 89 5D FC 8B 75 08 8D 7D DC A5 A5 A5 89 4D F4 8B F2 89 45 F8 8B 5D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 06 0F 8C AD 00 00 00 8D 45 9C 33 C9 BA 40 00 00 00 E8 ?? ?? ?? ?? C7 45 9C 40 00 00 00 C7 45 A0 01 20 00 00 85 DB 7E 07 81 4D A0 00 08 00 00 8B 45 14 25 00 04 00 00 3D 00 04 00 00 75 07 81 4D A0 00 02 00 00 8B 45 0C E8 ?? ?? ?? ?? 89 45 A4 89 5D D0 E8 ?? ?? ?? ?? 0F B6 55 DC 8B 08 FF 51 50 8B DE 85 DB 74 05 83 EB 04 8B 1B 8B F8 8B 45 F8 89 45 F0 8B 45 E0 89 45 EC 8B 45 E4 89 45 E8 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 75 14 8D 45 9C 50 8B 45 F4 50 56 53 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 E8 50 8B 45 EC 50 8B 45 F0 50 57 E8 ?? ?? ?? ?? EB 44 E8 ?? ?? ?? ?? 0F B6 55 DC 8B 08 FF 51 50 8B F8 8B DE 85 DB 74 05 83 EB 04 8B 1B 8B 45 F4 50 6A 00 8B 45 14 50 53 8B C6 E8 ?? ?? ?? ?? 50 8B 45 E4 50 8B 45 E0 50 8B 45 F8 50 57 A1 ?? ?? ?? ?? 8B 00 FF D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_87129_0 {
	meta:
		name = "TCustomStyleServices.ApplyThemeChange"
		size = 25
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 0C 01 00 00 8B C3 8B 10 FF 92 10 01 00 00 5B C3 }
	condition:
		$1
}

rule function_87130_0 {
	meta:
		name = "TCustomStyleServices.ColorToRGB"
		size = 7
	strings:
		$1 = { 53 8B 18 FF 13 5B C3 }
	condition:
		$1
}

rule function_87131_0 {
	meta:
		name = "TCustomStyleServices.ColorToRGB"
		size = 26
		refs = "0010 TCustomStyleServices.ColorToRGB"
	strings:
		$1 = { 56 57 83 C4 F4 8B F1 8D 3C 24 A5 A5 A5 8B CC E8 ?? ?? ?? ?? 83 C4 0C 5F 5E C3 }
	condition:
		$1
}

rule function_87132_0 {
	meta:
		name = "TCustomStyleServices.ContentRect"
		size = 40
		refs = "001c TCustomStyleServices.GetElementContentRect"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 57 8B F1 8D 7D F4 A5 A5 A5 8B 4D 0C 51 8B 4D 08 51 8D 4D F4 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_87136_0 {
	meta:
		name = "TCustomStyleServices.DrawElement"
		size = 40
		refs = "001c TCustomStyleServices.DrawElement"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 57 8B F1 8D 7D F4 A5 A5 A5 8B 4D 0C 51 8B 4D 08 51 8D 4D F4 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_87134_0 {
	meta:
		name = "TCustomStyleServices.DrawEdge"
		size = 78
		refs = "001d TStyleElementEdges.&op_Implicit 002b TStyleElementEdgeFlags.&op_Implicit 0041 TCustomStyleServices.DrawEdge"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8D 7D F4 A5 A5 A5 8B F2 8B D8 8B 45 14 50 8B 45 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 08 50 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_87135_0 {
	meta:
		name = "TCustomStyleServices.DrawEdge"
		size = 51
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8D 7D F4 A5 A5 A5 8B 4D 14 51 0F B6 4D 10 51 8B 4D 0C 51 8B 4D 08 51 8D 4D F4 8B 18 FF 53 04 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_87137_0 {
	meta:
		name = "TCustomStyleServices.DrawElement"
		size = 42
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8D 7D F4 A5 A5 A5 8B 4D 0C 51 8B 4D 08 51 8D 4D F4 8B 18 FF 53 08 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_87138_0 {
	meta:
		name = "TCustomStyleServices.DrawIcon"
		size = 46
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8D 7D F4 A5 A5 A5 8B 4D 10 51 8B 4D 0C 51 8B 4D 08 51 8D 4D F4 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_87139_0 {
	meta:
		name = "TCustomStyleServices.DrawParentBackground"
		size = 27
		refs = "0012 TCustomStyleServices.DrawParentBackground"
	strings:
		$1 = { 55 8B EC 53 8B 5D 10 53 0F B6 5D 0C 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_87140_0 {
	meta:
		name = "TCustomStyleServices.DrawParentBackground"
		size = 27
	strings:
		$1 = { 55 8B EC 53 8B 5D 10 53 0F B6 5D 0C 53 8B 5D 08 53 8B 18 FF 53 10 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_87142_0 {
	meta:
		name = "TCustomStyleServices.DrawText"
		size = 79
		refs = "002b TTextFormatFlags.&op_Implicit 0042 TCustomStyleServices.DrawText"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B 75 10 8D 7D E4 A5 A5 A5 A5 8B F1 8D 7D F4 A5 A5 A5 8B F2 8B D8 8B 45 14 50 8D 45 E4 50 8B 45 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 68 FF FF FF 1F 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_87143_0 {
	meta:
		name = "TCustomStyleServices.DrawText"
		size = 136
		refs = "002c TCustomStyleServices.GetElementColor 0042 TCustomStyleServices.DrawText"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F1 8D 7D F0 A5 A5 A5 8B FA 8B F0 8B 5D 08 81 FB FF FF FF 1F 75 17 8D 45 FC 50 B1 02 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 03 8B 5D FC 81 FB FF FF FF 1F 74 0F 0F B6 05 ?? ?? ?? ?? 88 45 D0 89 5D D4 EB 0A 0F B6 05 ?? ?? ?? ?? 88 45 D0 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8D 45 D0 50 8D 4D F0 8B D7 8B C6 8B 18 FF 53 14 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_87144_0 {
	meta:
		name = "TCustomStyleServices.DrawText"
		size = 65
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 75 08 8D 7D D4 51 B9 08 00 00 00 F3 A5 59 8B F1 8D 7D F4 A5 A5 A5 8B 4D 14 51 8B 4D 10 51 8B 4D 0C 51 8D 4D D4 51 8D 4D F4 8B 18 FF 53 14 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_87145_0 {
	meta:
		name = "TCustomStyleServices.GetElementColor"
		size = 38
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 8D 7D F4 A5 A5 A5 8B 55 08 52 8D 55 F4 8B 18 FF 53 1C 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_87146_0 {
	meta:
		name = "TCustomStyleServices.GetElementContentRect"
		size = 42
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8D 7D F4 A5 A5 A5 8B 4D 0C 51 8B 4D 08 51 8D 4D F4 8B 18 FF 53 18 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_87147_0 {
	meta:
		name = "TCustomStyleServices.GetElementMargins"
		size = 45
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8D 7D F4 A5 A5 A5 6A 00 0F B6 4D 0C 51 8B 4D 08 51 8D 4D F4 8B 18 FF 53 20 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_87148_0 {
	meta:
		name = "TCustomStyleServices.GetElementMargins"
		size = 47
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8D 7D F4 A5 A5 A5 8B 4D 10 51 0F B6 4D 0C 51 8B 4D 08 51 8D 4D F4 8B 18 FF 53 20 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_87149_0 {
	meta:
		name = "TCustomStyleServices.GetElementRegion"
		size = 39
		refs = "001b TCustomStyleServices.GetElementRegion"
	strings:
		$1 = { 55 8B EC 83 C4 F4 56 57 8B F2 8D 7D F4 A5 A5 A5 51 8B 55 08 52 33 D2 8D 4D F4 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_87150_0 {
	meta:
		name = "TCustomStyleServices.GetElementRegion"
		size = 42
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8D 7D F4 A5 A5 A5 8B 4D 0C 51 8B 4D 08 51 8D 4D F4 8B 18 FF 53 24 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_87151_0 {
	meta:
		name = "TCustomStyleServices.GetElementSize"
		size = 45
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8D 7D F4 A5 A5 A5 6A 00 0F B6 4D 0C 51 8B 4D 08 51 8D 4D F4 8B 18 FF 53 28 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_87152_0 {
	meta:
		name = "TCustomStyleServices.GetElementSize"
		size = 47
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8D 7D F4 A5 A5 A5 8B 4D 10 51 0F B6 4D 0C 51 8B 4D 08 51 8D 4D F4 8B 18 FF 53 28 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_87154_0 {
	meta:
		name = "TCustomStyleServices.GetStyleColor"
		size = 6
	strings:
		$1 = { 8B 08 FF 51 2C C3 }
	condition:
		$1
}

rule function_87155_0 {
	meta:
		name = "TCustomStyleServices.GetStyleFontColor"
		size = 6
	strings:
		$1 = { 8B 08 FF 51 30 C3 }
	condition:
		$1
}

rule function_87156_0 {
	meta:
		name = "TCustomStyleServices.GetSystemColor"
		size = 6
	strings:
		$1 = { 8B 08 FF 51 34 C3 }
	condition:
		$1
}

rule function_87157_0 {
	meta:
		name = "TCustomStyleServices.GetTextExtent"
		size = 48
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8D 7D F4 A5 A5 A5 8B 4D 10 51 8B 4D 0C 51 6A 00 8B 4D 08 51 8D 4D F4 8B 18 FF 53 38 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_87158_0 {
	meta:
		name = "TCustomStyleServices.GetTextExtent"
		size = 50
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8D 7D F4 A5 A5 A5 8B 4D 14 51 8B 4D 10 51 8B 4D 0C 51 8B 4D 08 51 8D 4D F4 8B 18 FF 53 38 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_87160_0 {
	meta:
		name = "TCustomStyleServices.HasTransparentParts"
		size = 26
	strings:
		$1 = { 56 57 83 C4 F4 8B F2 8D 3C 24 A5 A5 A5 8B D4 8B 08 FF 51 3C 83 C4 0C 5F 5E C3 }
	condition:
		$1
}

rule function_87161_0 {
	meta:
		name = "TCustomStyleServices.LoadFromFile"
		size = 93
		refs = "000e _Dn_TFileStream 0015 TFileStream.Create 0020 TCustomStyleServices.LoadFromFile 0049 TObject.Free 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 FF 90 00 01 00 00 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_87162_0 {
	meta:
		name = "TCustomStyleServices.PaintBorder"
		size = 435
		refs = "0014 TWinControl.GetHandle 0020 GetWindowLongPtr 003b GetWindowRect 004d OffsetRect 005b GetWindowDC 0066 TCustomStyleServices.PaintBorder 00b1 GetSystemMetrics 00ce InflateRect 00d6 TControl.UseRightToLeftScrollBar 00f4 Rect 012f GetSysColorBrush 013d FillRect 0162 ExcludeClipRect 0181 TCustomStyleServices.DrawElement 01a0 ReleaseDC 01a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? F6 C4 02 0F 84 7F 01 00 00 8D 45 D8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 4D DC F7 D9 8B 55 D8 F7 DA 8D 45 D8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 56 8D 75 D8 8D 7D E8 A5 A5 A5 A5 5E 84 DB 0F 84 BD 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? A9 00 00 10 00 0F 84 9E 00 00 00 A9 00 00 20 00 0F 84 93 00 00 00 6A 02 E8 ?? ?? ?? ?? 8B F8 6A 03 E8 ?? ?? ?? ?? 8B D8 8D 45 E8 B9 FE FF FF FF BA FE FF FF FF E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 28 8B 45 F4 50 8D 45 BC 50 8B 4D E8 03 CF 8B 55 F4 2B D3 8B 45 E8 E8 ?? ?? ?? ?? 56 8D 75 BC 8D 7D E8 A5 A5 A5 A5 5E EB 26 8B 45 F4 50 8D 45 BC 50 8B 55 F4 2B D3 8B 45 F0 2B C7 8B 4D F0 E8 ?? ?? ?? ?? 56 8D 75 BC 8D 7D E8 A5 A5 A5 A5 5E 6A 0F E8 ?? ?? ?? ?? 50 8D 45 E8 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 E4 83 E8 02 50 8B 45 E0 83 E8 02 50 8B 45 DC 83 C0 02 50 8B 45 D8 83 C0 02 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8D 4D CC B2 02 8B C6 8B 18 FF 53 7C 8D 45 D8 50 6A 00 8D 4D CC 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87163_0 {
	meta:
		name = "TCustomStyleServices.SaveToFile"
		size = 86
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TCustomStyleServices.SaveToFile 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 01 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 91 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_87164_0 {
	meta:
		name = "TCustomStyleServices.ThemesAvailable"
		size = 6
		altNames = "TWebContainedComponent.OnParentChanged TWebContainedContainerComponent.OnParentChanged TWebContainerComponent.ImplGetDefaultComponentList"
	strings:
		$1 = { 8B 10 FF 52 44 C3 }
	condition:
		$1
}

rule function_87165_0 {
	meta:
		name = "TCustomStyleServices.ThemesEnabled"
		size = 6
	strings:
		$1 = { 8B 10 FF 52 48 C3 }
	condition:
		$1
}

rule function_87166_0 {
	meta:
		name = "TCustomStyleServices.IsValidStyle"
		size = 6
	strings:
		$1 = { 33 C9 FF 50 40 C3 }
	condition:
		$1
}

rule function_87167_0 {
	meta:
		name = "TCustomStyleServices.IsValidStyle"
		size = 10
	strings:
		$1 = { 56 8B F0 8B C6 FF 50 40 5E C3 }
	condition:
		$1
}

rule function_87168_0 {
	meta:
		name = "TUxThemeStyle.Create"
		size = 220
		refs = "000e @ClassCreate 001c TCustomStyleServices.Create 0021 _DV_TUxThemeCategoryButtonElements 0029 _DV_TUxThemeCategoryPanelGroupElements 0031 _DV_TUxThemeCheckListBoxElements 0039 _DV_TUxThemeControlBarElements 0041 _DV_TUxThemeGridElements 0049 _DV_TUxThemeHintElements 0051 _DV_TUxThemePanelElements 0059 _DV_TUxThemeTabSetElements 0061 _DV_TUxThemeTextLabelElements 0069 InitThemeLibrary 0077 TUxThemeStyle.Create 007c GetFileVersion 009e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 10 A1 ?? ?? ?? ?? 89 46 14 A1 ?? ?? ?? ?? 89 46 18 A1 ?? ?? ?? ?? 89 46 1C A1 ?? ?? ?? ?? 89 46 24 A1 ?? ?? ?? ?? 89 46 28 A1 ?? ?? ?? ?? 89 46 2C A1 ?? ?? ?? ?? 89 46 30 A1 ?? ?? ?? ?? 89 46 34 E8 ?? ?? ?? ?? 8B D8 88 5E 38 84 DB 74 1F B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3D 00 00 06 00 0F 93 C0 88 46 39 8B C6 8B 10 FF 92 0C 01 00 00 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 6F 00 6D 00 63 00 74 00 6C 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_87169_0 {
	meta:
		name = "TUxThemeStyle.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0013 IsLibrary 001d FreeThemeLibrary 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 54 A1 ?? ?? ?? ?? 80 38 00 75 05 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87170_0 {
	meta:
		name = "TUxThemeStyle.DoColorToRGB"
		size = 56
		refs = "002c GetThemeSysColor"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 F7 C3 00 00 00 80 74 04 85 FF 75 04 8B C3 EB 1B 81 E3 FF FF FF 7F 53 0F B6 17 8B C6 8B 08 FF 51 50 50 A1 ?? ?? ?? ?? 8B 00 FF D0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87171_0 {
	meta:
		name = "TUxThemeStyle.DoDrawEdge"
		size = 157
		refs = "0053 TStyleElementEdgeFlags.&op_Implicit 0062 TStyleElementEdges.&op_Implicit 0087 DrawThemeEdge"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 A5 A5 A5 89 55 FC 8B F0 0F B6 5D F0 8B C3 04 E0 2C 0A 73 29 8B 45 F4 50 8B 45 F8 50 8B 45 14 50 0F B6 45 10 50 8B 45 0C 50 8B 45 08 50 0F B6 C3 8B 44 86 90 8B 4D FC 8B D6 FF 10 EB 49 8B 45 08 50 8B 45 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 0F B6 45 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 14 50 8B 45 F8 50 8B 45 F4 50 8B 45 FC 50 8B D3 8B C6 8B 08 FF 51 50 50 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 0F 94 C0 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_87172_0 {
	meta:
		name = "TUxThemeStyle.DoDrawElement"
		size = 120
		refs = "0062 DrawThemeBackground"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 A5 A5 A5 89 55 FC 8B F0 0F B6 5D F0 8B C3 04 E0 2C 0A 73 21 8B 45 F4 50 8B 45 F8 50 8B 45 0C 50 8B 45 08 50 0F B6 C3 8B 44 86 90 8B 4D FC 8B D6 FF 50 04 EB 2C 8B 45 08 50 8B 45 0C 50 8B 45 F8 50 8B 45 F4 50 8B 45 FC 50 8B D3 8B C6 8B 08 FF 51 50 50 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 0F 94 C0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_87173_0 {
	meta:
		name = "TUxThemeStyle.DoDrawIcon"
		size = 128
		refs = "006a DrawThemeIcon"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 A5 A5 A5 89 55 FC 8B F0 0F B6 5D F0 8B C3 04 E0 2C 0A 73 25 8B 45 F4 50 8B 45 F8 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 0F B6 C3 8B 44 86 90 8B 4D FC 8B D6 FF 50 08 EB 30 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 F8 50 8B 45 F4 50 8B 45 FC 50 8B D3 8B C6 8B 08 FF 51 50 50 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 0F 94 C0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_87174_0 {
	meta:
		name = "TUxThemeStyle.DoDrawParentBackground"
		size = 69
		refs = "0031 DrawThemeParentBackground"
	strings:
		$1 = { 55 8B EC 51 56 57 89 4D FC 8B FA 8B 75 10 80 7D 0C 00 74 0D 85 F6 74 09 8B D6 8B 08 FF 51 3C EB 02 B0 01 84 C0 74 17 8B 45 08 50 8B 45 FC 50 57 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 0F 94 C0 5F 5E 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_87175_0 {
	meta:
		name = "TUxThemeStyle.DoDrawText"
		size = 543
		refs = "0063 TTextFormatFlags.&op_Implicit 0070 TOSVersion.FMajor 0088 @FillChar 0096 COptions 00be ColorToRGB 0137 @UStrToPWChar 014a DrawThemeTextEx 016c SetTextColor 0177 TUxThemeStyle.DoDrawText 01a4 DrawText 01c4 @HandleFinally 0209 DrawThemeText"
	strings:
		$1 = { 55 8B EC 83 C4 88 53 56 57 8B 75 08 8D 7D C8 51 B9 08 00 00 00 F3 A5 59 8B F1 8D 7D E8 A5 A5 A5 89 55 FC 8B F0 0F B6 45 E8 8B D0 80 C2 E0 80 EA 0A 73 2C 8B 55 EC 52 8B 55 F0 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8D 55 C8 52 83 E0 7F 8B 44 86 90 8B 4D FC 8B D6 FF 50 0C E9 B7 01 00 00 8B 45 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 A1 ?? ?? ?? ?? 83 38 06 0F 8C DB 00 00 00 8D 45 88 33 C9 BA 40 00 00 00 E8 ?? ?? ?? ?? C7 45 88 40 00 00 00 33 C0 BA ?? ?? ?? ?? 8B C8 80 F9 07 77 0A 83 E1 7F 0F B6 5D C8 0F A3 CB 73 05 8B 0A 09 4D 8C 40 83 C2 04 3C 06 75 E0 8B 45 CC E8 ?? ?? ?? ?? 89 45 90 8B 45 D0 E8 ?? ?? ?? ?? 89 45 94 8B 45 D4 89 45 A8 8B 45 D8 E8 ?? ?? ?? ?? 89 45 98 8B 45 DC 89 45 A0 8B 45 E0 89 45 A4 8B 45 E4 89 45 BC F6 45 0E 80 74 07 81 4D 8C 00 20 00 00 F6 45 0C 02 74 07 81 4D 8C 00 02 00 00 0F B6 55 E8 8B C6 8B 08 FF 51 50 8B F0 8B 5D 14 85 DB 74 05 83 EB 04 8B 1B 8D 45 88 50 8B 45 10 50 8B 45 F8 50 53 8B 45 14 E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 45 EC 50 8B 45 FC 50 56 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 E9 BE 00 00 00 F6 45 C8 01 74 70 8B 45 CC E8 ?? ?? ?? ?? 50 8B 45 FC 50 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D 14 85 DB 74 05 83 EB 04 8B 1B 8B 45 F8 50 8B 45 10 50 53 8B 45 14 E8 ?? ?? ?? ?? 50 8B 45 FC 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B0 01 EB 48 0F B6 55 E8 8B C6 8B 08 FF 51 50 8B F0 8B 5D 14 85 DB 74 05 83 EB 04 8B 1B 8B 45 10 50 6A 00 8B 45 F8 50 53 8B 45 14 E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 45 EC 50 8B 45 FC 50 56 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 0F 94 C0 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_87176_0 {
	meta:
		name = "TUxThemeStyle.DoGetElementContentRect"
		size = 120
		refs = "0062 GetThemeBackgroundContentRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 A5 A5 A5 89 55 FC 8B F0 0F B6 5D F0 8B C3 04 E0 2C 0A 73 21 8B 45 F4 50 8B 45 F8 50 8B 45 0C 50 8B 45 08 50 0F B6 C3 8B 44 86 90 8B 4D FC 8B D6 FF 50 10 EB 2C 8B 45 08 50 8B 45 0C 50 8B 45 F8 50 8B 45 F4 50 8B 45 FC 50 8B D3 8B C6 8B 08 FF 51 50 50 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 0F 94 C0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_87177_0 {
	meta:
		name = "TUxThemeStyle.DoGetElementColor"
		size = 119
		refs = "0061 GetThemeColor"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 88 4D FF 8B F0 0F B6 5D F0 8B C3 04 E0 2C 0A 73 1E 8B 45 F8 50 0F B6 45 FF 50 8B 45 08 50 0F B6 C3 8B 44 86 90 8B 4D F4 8B D6 FF 50 14 EB 2E 8B 45 08 50 0F B6 45 FF 05 D9 0E 00 00 50 8B 45 F8 50 8B 45 F4 50 8B D3 8B C6 8B 08 FF 51 50 50 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 0F 94 C0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_87178_0 {
	meta:
		name = "TUxThemeStyle.DoGetElementMargins"
		size = 137
		refs = "0057 CMargins 0073 GetThemeMargins"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 A5 A5 A5 89 55 FC 8B F0 0F B6 5D F0 8B C3 04 E0 2C 0A 73 26 8B 45 F4 50 8B 45 F8 50 8B 45 10 50 0F B6 45 0C 50 8B 45 08 50 0F B6 C3 8B 44 86 90 8B 4D FC 8B D6 FF 50 18 EB 38 8B 45 08 50 8B 45 10 50 0F B6 45 0C 8B 04 85 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 F4 50 8B 45 FC 50 8B D3 8B C6 8B 08 FF 51 50 50 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 0F 94 C0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_87179_0 {
	meta:
		name = "TUxThemeStyle.DoGetElementRegion"
		size = 120
		refs = "0062 GetThemeBackgroundRegion"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 A5 A5 A5 89 55 FC 8B F0 0F B6 5D F0 8B C3 04 E0 2C 0A 73 21 8B 45 F4 50 8B 45 F8 50 8B 45 0C 50 8B 45 08 50 0F B6 C3 8B 44 86 90 8B 4D FC 8B D6 FF 50 1C EB 2C 8B 45 08 50 8B 45 0C 50 8B 45 F8 50 8B 45 F4 50 8B 45 FC 50 8B D3 8B C6 8B 08 FF 51 50 50 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 0F 94 C0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_87180_0 {
	meta:
		name = "TUxThemeStyle.DoGetElementSize"
		size = 137
		refs = "0053 CSizes 0073 GetThemePartSize"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 A5 A5 A5 89 55 FC 8B F0 0F B6 5D F0 8B C3 04 E0 2C 0A 73 26 8B 45 F4 50 8B 45 F8 50 8B 45 10 50 0F B6 45 0C 50 8B 45 08 50 0F B6 C3 8B 44 86 90 8B 4D FC 8B D6 FF 50 20 EB 38 8B 45 08 50 0F B6 45 0C 8B 04 85 ?? ?? ?? ?? 50 8B 45 10 50 8B 45 F8 50 8B 45 F4 50 8B 45 FC 50 8B D3 8B C6 8B 08 FF 51 50 50 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 0F 94 C0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_87181_0 {
	meta:
		name = "TUxThemeStyle.DoGetStyleColor"
		size = 325
		refs = "000f TUxThemeStyle.DoGetStyleColor"
	strings:
		$1 = { 0F B6 C2 83 F8 1D 0F 87 33 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B8 06 00 00 FF C3 B8 0F 00 00 FF C3 B8 0F 00 00 FF C3 B8 0F 00 00 FF C3 B8 0F 00 00 FF C3 B8 0F 00 00 FF C3 B8 0F 00 00 FF C3 B8 C0 C0 C0 00 C3 B8 F0 F0 F0 00 C3 B8 A0 A0 A4 00 C3 B8 05 00 00 FF C3 B8 05 00 00 FF C3 B8 05 00 00 FF C3 B8 05 00 00 FF C3 B8 05 00 00 FF C3 B8 0F 00 00 FF C3 B8 C0 C0 C0 00 C3 B8 F0 F0 F0 00 C3 B8 18 00 00 FF C3 B8 18 00 00 FF C3 B8 05 00 00 FF C3 B8 05 00 00 FF C3 B8 05 00 00 FF C3 B8 0F 00 00 FF C3 B8 0F 00 00 FF C3 B8 FF FF FF 00 C3 B8 C0 C0 C0 00 C3 B8 F0 F0 F0 00 C3 B8 05 00 00 FF C3 B8 0F 00 00 FF C3 B8 FF FF FF 1F C3 }
	condition:
		$1
}

rule function_87182_0 {
	meta:
		name = "GetColor"
		size = 56
		refs = "0023 TCustomStyleServices.GetElementColor"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F0 8D 7D F0 A5 A5 A5 8B DA 8D 45 FC 50 8B 45 08 8B 40 FC B1 02 8D 55 F0 E8 ?? ?? ?? ?? 84 C0 75 03 89 5D FC 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87183_0 {
	meta:
		name = "TUxThemeStyle.DoGetStyleFontColor"
		size = 2495
		refs = "0019 TUxThemeStyle.DoGetStyleFontColor 0188 GetColor"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 45 FC 0F B6 C2 83 F8 54 0F 87 9F 09 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 8D 4D F0 B2 05 8B 45 FC 8B 18 FF 53 58 8D 45 F0 BA 11 00 00 FF E8 ?? ?? ?? ?? 59 E9 28 08 00 00 55 8D 4D F0 B2 03 8B 45 FC 8B 18 FF 53 58 8D 45 F0 BA 12 00 00 FF E8 ?? ?? ?? ?? 59 E9 07 08 00 00 55 8D 4D F0 B2 03 8B 45 FC 8B 18 FF 53 58 8D 45 F0 BA 12 00 00 FF E8 ?? ?? ?? ?? 59 E9 E6 07 00 00 55 8D 4D F0 B2 02 8B 45 FC 8B 18 FF 53 58 8D 45 F0 BA 12 00 00 FF E8 ?? ?? ?? ?? 59 E9 C5 07 00 00 55 8D 4D F0 B2 04 8B 45 FC 8B 18 FF 53 58 8D 45 F0 BA 12 00 00 FF E8 ?? ?? ?? ?? 59 E9 A4 07 00 00 55 8D 4D F0 B2 03 8B 45 FC 8B 18 FF 93 FC 00 00 00 8D 45 F0 BA 13 00 00 FF E8 ?? ?? ?? ?? 59 E9 80 07 00 00 55 8D 4D F0 B2 02 8B 45 FC 8B 18 FF 93 FC 00 00 00 8D 45 F0 BA 09 00 00 FF E8 ?? ?? ?? ?? 59 E9 5C 07 00 00 B8 08 00 00 FF E9 52 07 00 00 B8 08 00 00 FF E9 48 07 00 00 B8 08 00 00 FF E9 3E 07 00 00 B8 08 00 00 FF E9 34 07 00 00 B8 08 00 00 FF E9 2A 07 00 00 B8 08 00 00 FF E9 20 07 00 00 B8 08 00 00 FF E9 16 07 00 00 55 8D 4D F0 B2 13 8B 45 FC 8B 18 FF 53 58 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 F5 06 00 00 55 8D 4D F0 B2 11 8B 45 FC 8B 18 FF 53 58 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 D4 06 00 00 55 8D 4D F0 B2 11 8B 45 FC 8B 18 FF 53 58 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 B3 06 00 00 55 8D 4D F0 B2 10 8B 45 FC 8B 18 FF 53 58 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 92 06 00 00 55 8D 4D F0 B2 12 8B 45 FC 8B 18 FF 53 58 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 71 06 00 00 55 8D 4D F0 B2 05 8B 45 FC 8B 18 FF 53 7C 8D 45 F0 BA 11 00 00 FF E8 ?? ?? ?? ?? 59 E9 50 06 00 00 55 8D 4D F0 B2 06 8B 45 FC 8B 18 FF 53 7C 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 2F 06 00 00 55 8D 4D F0 B2 03 8B 45 FC 8B 18 FF 53 7C 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 0E 06 00 00 55 8D 4D F0 B2 02 8B 45 FC 8B 18 FF 53 7C 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 ED 05 00 00 55 8D 4D F0 B2 04 8B 45 FC 8B 18 FF 53 7C 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 CC 05 00 00 B8 08 00 00 FF E9 C2 05 00 00 B8 08 00 00 FF E9 B8 05 00 00 B8 08 00 00 FF E9 AE 05 00 00 B8 08 00 00 FF E9 A4 05 00 00 B8 08 00 00 FF E9 9A 05 00 00 55 8D 4D F0 B2 25 8B 45 FC 8B 18 FF 53 58 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 79 05 00 00 55 8D 4D F0 B2 24 8B 45 FC 8B 18 FF 53 58 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 58 05 00 00 55 8D 4D F0 B2 02 8B 45 FC 8B 18 FF 93 8C 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 34 05 00 00 55 8D 4D F0 B2 03 8B 45 FC 8B 18 FF 93 8C 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 10 05 00 00 55 8D 4D F0 B2 02 8B 45 FC 8B 18 FF 93 8C 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 EC 04 00 00 55 8D 4D F0 B2 04 8B 45 FC 8B 18 FF 93 8C 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 C8 04 00 00 55 8D 4D F0 B2 05 8B 45 FC 8B 18 FF 93 98 00 00 00 8D 45 F0 BA 11 00 00 FF E8 ?? ?? ?? ?? 59 E9 A4 04 00 00 55 8D 4D F0 B2 03 8B 45 FC 8B 18 FF 93 98 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 80 04 00 00 55 8D 4D F0 B2 03 8B 45 FC 8B 18 FF 93 98 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 5C 04 00 00 55 8D 4D F0 B2 02 8B 45 FC 8B 18 FF 93 98 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 38 04 00 00 55 8D 4D F0 B2 04 8B 45 FC 8B 18 FF 93 98 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 14 04 00 00 55 8D 4D F0 B2 0F 8B 45 FC 8B 18 FF 93 9C 00 00 00 8D 45 F0 BA 11 00 00 FF E8 ?? ?? ?? ?? 59 E9 F0 03 00 00 55 8D 4D F0 B2 0D 8B 45 FC 8B 18 FF 93 9C 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 CC 03 00 00 55 8D 4D F0 B2 0C 8B 45 FC 8B 18 FF 93 9C 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 A8 03 00 00 55 8D 4D F0 B2 0E 8B 45 FC 8B 18 FF 93 9C 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 84 03 00 00 B8 08 00 00 FF E9 7A 03 00 00 B8 08 00 00 FF E9 70 03 00 00 55 8D 4D F0 B2 1E 8B 45 FC 8B 18 FF 93 9C 00 00 00 8D 45 F0 BA 11 00 00 FF E8 ?? ?? ?? ?? 59 E9 4C 03 00 00 55 8D 4D F0 B2 1D 8B 45 FC 8B 18 FF 93 9C 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 28 03 00 00 55 8D 4D F0 B2 1C 8B 45 FC 8B 18 FF 93 9C 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 04 03 00 00 55 8D 4D F0 B2 1D 8B 45 FC 8B 18 FF 93 9C 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 E0 02 00 00 55 8D 4D F0 B2 0B 8B 45 FC 8B 18 FF 53 58 8D 45 F0 BA 11 00 00 FF E8 ?? ?? ?? ?? 59 E9 BF 02 00 00 55 8D 4D F0 B2 09 8B 45 FC 8B 18 FF 53 58 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 9E 02 00 00 55 8D 4D F0 B2 09 8B 45 FC 8B 18 FF 53 58 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 7D 02 00 00 55 8D 4D F0 B2 08 8B 45 FC 8B 18 FF 53 58 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 5C 02 00 00 55 8D 4D F0 B2 0A 8B 45 FC 8B 18 FF 53 58 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 3B 02 00 00 55 8D 4D F0 B2 06 8B 45 FC 8B 18 FF 93 FC 00 00 00 8D 45 F0 BA 03 00 00 FF E8 ?? ?? ?? ?? 59 E9 17 02 00 00 55 8D 4D F0 B2 05 8B 45 FC 8B 18 FF 93 FC 00 00 00 8D 45 F0 BA 02 00 00 FF E8 ?? ?? ?? ?? 59 E9 F3 01 00 00 B8 08 00 00 FF E9 E9 01 00 00 B8 08 00 00 FF E9 DF 01 00 00 55 8D 4D F0 B2 05 8B 45 FC 8B 18 FF 93 CC 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 BB 01 00 00 55 8D 4D F0 B2 03 8B 45 FC 8B 18 FF 93 CC 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 97 01 00 00 55 8D 4D F0 B2 02 8B 45 FC 8B 18 FF 93 CC 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 73 01 00 00 B8 11 00 00 FF E9 69 01 00 00 B8 08 00 00 FF E9 5F 01 00 00 B8 08 00 00 FF E9 55 01 00 00 B8 08 00 00 FF E9 4B 01 00 00 55 8D 4D F0 B2 05 8B 45 FC 8B 18 FF 93 E8 00 00 00 8D 45 F0 BA 11 00 00 FF E8 ?? ?? ?? ?? 59 E9 27 01 00 00 55 8D 4D F0 B2 03 8B 45 FC 8B 18 FF 93 E8 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 03 01 00 00 55 8D 4D F0 B2 02 8B 45 FC 8B 18 FF 93 E8 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 DF 00 00 00 55 8D 4D F0 B2 04 8B 45 FC 8B 18 FF 93 E8 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 E9 BB 00 00 00 55 8D 4D F0 B2 05 8B 45 FC 8B 18 FF 93 F8 00 00 00 8D 45 F0 BA 11 00 00 FF E8 ?? ?? ?? ?? 59 E9 97 00 00 00 55 8D 4D F0 B2 04 8B 45 FC 8B 18 FF 93 F8 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 EB 76 55 8D 4D F0 B2 03 8B 45 FC 8B 18 FF 93 F8 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 EB 55 55 8D 4D F0 B2 02 8B 45 FC 8B 18 FF 93 F8 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 EB 34 55 8D 4D F0 B2 04 8B 45 FC 8B 18 FF 93 F8 00 00 00 8D 45 F0 BA 08 00 00 FF E8 ?? ?? ?? ?? 59 EB 13 B8 11 00 00 FF EB 0C B8 08 00 00 FF EB 05 B8 FF FF FF 1F 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87185_0 {
	meta:
		name = "TUxThemeStyle.DoGetTextExtent"
		size = 168
		refs = "0070 TTextFormatFlags.&op_Implicit 007f @UStrToPWChar 0092 GetThemeTextExtent"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 8D 7D F0 A5 A5 A5 89 55 FC 8B F0 0F B6 45 F0 8B D0 80 C2 E0 80 EA 0A 73 29 8B 55 F4 52 8B 55 F8 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 55 08 52 83 E0 7F 8B 44 86 90 8B 4D FC 8B D6 FF 50 24 EB 52 8B D0 8B C6 8B 08 FF 51 50 8B F0 8B 5D 14 85 DB 74 05 83 EB 04 8B 1B 8B 45 08 50 8B 45 0C 50 8B 45 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 53 8B 45 14 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 F4 50 8B 45 FC 50 56 A1 ?? ?? ?? ?? 8B 00 FF D0 85 C0 0F 94 C0 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_87186_0 {
	meta:
		name = "TUxThemeStyle.DoHasTransparentParts"
		size = 93
		refs = "0048 IsThemeBackgroundPartiallyTransparent"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B F2 8D 3C 24 A5 A5 A5 8B F0 0F B6 1C 24 8B C3 04 E0 2C 0A 73 17 8B 44 24 08 50 0F B6 C3 8B 44 86 90 8B 4C 24 08 8B D6 FF 50 28 EB 23 8B 44 24 08 50 8B 44 24 08 50 8B D3 8B C6 8B 08 FF 51 50 50 A1 ?? ?? ?? ?? 8B 00 FF D0 83 F8 01 1B C0 40 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87187_0 {
	meta:
		name = "TUxThemeStyle.DoIsValidStyle"
		size = 88
		refs = "000d TUxThemeStyle.DoIsValidStyle 0012 @UStrAsg 001a @UStrClr"
	strings:
		$1 = { 53 56 8B F1 B3 01 85 F6 74 2C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 04 E8 ?? ?? ?? ?? 8D 46 08 E8 ?? ?? ?? ?? 8D 46 0C E8 ?? ?? ?? ?? 8D 46 10 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 00 00 }
	condition:
		$1
}

rule function_87188_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 284
		refs = "0012 TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 09 0F B6 C2 83 F8 32 0F 87 FC 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 01 01 01 01 01 01 02 03 04 05 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 08 08 08 09 09 09 0A ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 01 00 00 00 B8 02 00 00 00 E9 85 00 00 00 C7 41 04 02 00 00 00 B8 08 00 00 00 EB 77 C7 41 04 03 00 00 00 B8 09 00 00 00 EB 69 C7 41 04 04 00 00 00 B8 0A 00 00 00 EB 5B C7 41 04 05 00 00 00 B8 0B 00 00 00 EB 4D C7 41 04 06 00 00 00 B8 0C 00 00 00 EB 3F C7 41 04 07 00 00 00 B8 1C 00 00 00 EB 31 C7 41 04 08 00 00 00 B8 2C 00 00 00 EB 23 C7 41 04 09 00 00 00 B8 2F 00 00 00 EB 15 C7 41 04 0A 00 00 00 B8 32 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87189_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 42
	strings:
		$1 = { C6 01 08 8B C2 04 FE 2C 02 73 0E C7 41 04 01 00 00 00 B8 02 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87190_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 197
		refs = "0012 TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 07 0F B6 C2 83 F8 14 0F 87 A5 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 01 01 01 02 02 02 03 03 03 04 04 05 05 05 06 06 06 07 07 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 01 00 00 00 B8 02 00 00 00 EB 5B C7 41 04 02 00 00 00 B8 05 00 00 00 EB 4D C7 41 04 03 00 00 00 B8 08 00 00 00 EB 3F C7 41 04 04 00 00 00 B8 0B 00 00 00 EB 31 C7 41 04 05 00 00 00 B8 0D 00 00 00 EB 23 C7 41 04 06 00 00 00 B8 10 00 00 00 EB 15 C7 41 04 07 00 00 00 B8 13 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87191_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 524
		refs = "0012 TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 0A 0F B6 C2 83 F8 2A 0F 87 EC 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 01 00 00 00 B8 02 00 00 00 E9 2F 01 00 00 C7 41 04 02 00 00 00 B8 05 00 00 00 E9 1E 01 00 00 C7 41 04 03 00 00 00 B8 06 00 00 00 E9 0D 01 00 00 C7 41 04 04 00 00 00 B8 07 00 00 00 E9 FC 00 00 00 C7 41 04 05 00 00 00 B8 08 00 00 00 E9 EB 00 00 00 C7 41 04 06 00 00 00 B8 09 00 00 00 E9 DA 00 00 00 C7 41 04 07 00 00 00 B8 0A 00 00 00 E9 C9 00 00 00 C7 41 04 08 00 00 00 B8 0C 00 00 00 E9 B8 00 00 00 C7 41 04 09 00 00 00 B8 12 00 00 00 E9 A7 00 00 00 C7 41 04 0A 00 00 00 B8 13 00 00 00 E9 96 00 00 00 C7 41 04 0B 00 00 00 B8 14 00 00 00 E9 85 00 00 00 C7 41 04 0C 00 00 00 B8 18 00 00 00 EB 77 C7 41 04 0D 00 00 00 B8 1B 00 00 00 EB 69 C7 41 04 0E 00 00 00 B8 1C 00 00 00 EB 5B C7 41 04 0F 00 00 00 B8 20 00 00 00 EB 4D C7 41 04 10 00 00 00 B8 21 00 00 00 EB 3F C7 41 04 11 00 00 00 B8 23 00 00 00 EB 31 C7 41 04 12 00 00 00 B8 25 00 00 00 EB 23 C7 41 04 13 00 00 00 B8 27 00 00 00 EB 15 C7 41 04 14 00 00 00 B8 29 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87192_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 62
	strings:
		$1 = { C6 01 0B 8B C2 04 FE 2C 06 72 06 2C 06 72 10 EB 1C C7 41 04 01 00 00 00 B8 02 00 00 00 EB 15 C7 41 04 02 00 00 00 B8 08 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87193_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 287
		refs = "0012 TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 0C 0F B6 C2 83 F8 20 0F 87 FF 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 01 02 03 04 05 05 05 05 05 06 06 06 06 07 07 07 08 08 08 08 09 09 09 0A 0A 0A 0A 0B 0B 0B 0B ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 01 00 00 00 B8 02 00 00 00 E9 96 00 00 00 C7 41 04 02 00 00 00 B8 03 00 00 00 E9 85 00 00 00 C7 41 04 03 00 00 00 B8 04 00 00 00 EB 77 C7 41 04 04 00 00 00 B8 05 00 00 00 EB 69 C7 41 04 05 00 00 00 B8 06 00 00 00 EB 5B C7 41 04 06 00 00 00 B8 0B 00 00 00 EB 4D C7 41 04 07 00 00 00 B8 0F 00 00 00 EB 3F C7 41 04 08 00 00 00 B8 12 00 00 00 EB 31 C7 41 04 09 00 00 00 B8 16 00 00 00 EB 23 C7 41 04 0A 00 00 00 B8 19 00 00 00 EB 15 C7 41 04 0B 00 00 00 B8 1D 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87194_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 80
	strings:
		$1 = { C6 01 0D 8B C2 04 FE 2C 04 72 0A 2C 04 72 14 2C 04 72 1E EB 2A C7 41 04 01 00 00 00 B8 02 00 00 00 EB 23 C7 41 04 02 00 00 00 B8 06 00 00 00 EB 15 C7 41 04 03 00 00 00 B8 0A 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87195_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 280
		refs = "0012 TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 0F 0F B6 C2 83 F8 0F 0F 87 F8 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 01 00 00 00 B8 02 00 00 00 E9 A7 00 00 00 C7 41 04 02 00 00 00 B8 03 00 00 00 E9 96 00 00 00 C7 41 04 03 00 00 00 B8 04 00 00 00 E9 85 00 00 00 C7 41 04 04 00 00 00 B8 05 00 00 00 EB 77 C7 41 04 05 00 00 00 B8 06 00 00 00 EB 69 C7 41 04 06 00 00 00 B8 07 00 00 00 EB 5B C7 41 04 07 00 00 00 B8 08 00 00 00 EB 4D C7 41 04 08 00 00 00 B8 09 00 00 00 EB 3F C7 41 04 09 00 00 00 B8 0A 00 00 00 EB 31 C7 41 04 0A 00 00 00 B8 0B 00 00 00 EB 23 C7 41 04 0B 00 00 00 B8 0C 00 00 00 EB 15 C7 41 04 0C 00 00 00 B8 0E 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87196_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 98
	strings:
		$1 = { C6 01 0E 8B C2 04 FE 2C 04 72 0E 2C 04 72 18 2C 04 72 22 2C 04 72 2C EB 38 C7 41 04 01 00 00 00 B8 02 00 00 00 EB 31 C7 41 04 02 00 00 00 B8 06 00 00 00 EB 23 C7 41 04 03 00 00 00 B8 0A 00 00 00 EB 15 C7 41 04 04 00 00 00 B8 0E 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87197_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 42
	strings:
		$1 = { C6 01 01 8B C2 04 FE 2C 03 73 0E C7 41 04 01 00 00 00 B8 02 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87198_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 169
	strings:
		$1 = { C6 01 00 0F B6 C2 83 F8 24 7D 14 83 C0 FE 83 E8 06 72 23 83 E8 08 72 2C 83 E8 14 72 35 EB 79 83 C0 DC 83 E8 02 72 39 74 45 48 83 E8 06 72 4D 83 E8 05 72 56 EB 62 C7 41 04 01 00 00 00 B8 02 00 00 00 EB 5B C7 41 04 02 00 00 00 B8 08 00 00 00 EB 4D C7 41 04 03 00 00 00 B8 10 00 00 00 EB 3F C7 41 04 04 00 00 00 B8 24 00 00 00 EB 31 C7 41 04 05 00 00 00 B8 26 00 00 00 EB 23 C7 41 04 06 00 00 00 B8 27 00 00 00 EB 15 C7 41 04 07 00 00 00 B8 2D 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87199_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 225
		refs = "0012 TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 02 0F B6 C2 83 F8 1E 0F 87 C1 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 01 01 01 01 02 03 03 03 03 04 04 04 04 05 05 05 05 06 06 06 06 07 07 07 07 08 08 08 08 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 01 00 00 00 B8 02 00 00 00 EB 69 C7 41 04 02 00 00 00 B8 06 00 00 00 EB 5B C7 41 04 03 00 00 00 B8 07 00 00 00 EB 4D C7 41 04 04 00 00 00 B8 0B 00 00 00 EB 3F C7 41 04 05 00 00 00 B8 0F 00 00 00 EB 31 C7 41 04 06 00 00 00 B8 13 00 00 00 EB 23 C7 41 04 07 00 00 00 B8 17 00 00 00 EB 15 C7 41 04 08 00 00 00 B8 1B 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87201_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 80
	strings:
		$1 = { C6 01 03 8B C2 04 FE 2C 03 72 0A 2C 04 72 14 2C 04 72 1E EB 2A C7 41 04 01 00 00 00 B8 02 00 00 00 EB 23 C7 41 04 02 00 00 00 B8 05 00 00 00 EB 15 C7 41 04 03 00 00 00 B8 09 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87202_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 308
		refs = "0012 TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 05 0F B6 C2 83 F8 20 0F 87 14 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 01 01 01 02 02 02 03 03 03 03 03 03 04 04 04 05 06 06 06 07 07 07 08 09 0A 0A 0A 0B 0B 0B 0C ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 01 00 00 00 B8 02 00 00 00 E9 A7 00 00 00 C7 41 04 02 00 00 00 B8 05 00 00 00 E9 96 00 00 00 C7 41 04 03 00 00 00 B8 0B 00 00 00 E9 85 00 00 00 C7 41 04 04 00 00 00 B8 0E 00 00 00 EB 77 C7 41 04 05 00 00 00 B8 11 00 00 00 EB 69 C7 41 04 06 00 00 00 B8 12 00 00 00 EB 5B C7 41 04 07 00 00 00 B8 15 00 00 00 EB 4D C7 41 04 08 00 00 00 B8 18 00 00 00 EB 3F C7 41 04 09 00 00 00 B8 19 00 00 00 EB 31 C7 41 04 0A 00 00 00 B8 1A 00 00 00 EB 23 C7 41 04 0B 00 00 00 B8 1D 00 00 00 EB 15 C7 41 04 0C 00 00 00 B8 20 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87203_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 249
		refs = "0012 TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 04 0F B6 C2 83 F8 24 0F 87 D9 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 01 01 01 01 01 01 01 02 03 03 03 03 03 03 04 05 05 05 05 06 06 06 06 07 07 07 07 08 08 08 08 09 09 09 09 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 01 00 00 00 B8 02 00 00 00 EB 77 C7 41 04 02 00 00 00 B8 09 00 00 00 EB 69 C7 41 04 03 00 00 00 B8 0A 00 00 00 EB 5B C7 41 04 04 00 00 00 B8 10 00 00 00 EB 4D C7 41 04 05 00 00 00 B8 11 00 00 00 EB 3F C7 41 04 06 00 00 00 B8 15 00 00 00 EB 31 C7 41 04 07 00 00 00 B8 19 00 00 00 EB 23 C7 41 04 08 00 00 00 B8 1D 00 00 00 EB 15 C7 41 04 09 00 00 00 B8 21 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87204_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 215
		refs = "0012 TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 06 0F B6 C2 83 F8 0F 0F 87 B7 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 01 00 00 00 B8 02 00 00 00 EB 69 C7 41 04 02 00 00 00 B8 03 00 00 00 EB 5B C7 41 04 03 00 00 00 B8 05 00 00 00 EB 4D C7 41 04 04 00 00 00 B8 09 00 00 00 EB 3F C7 41 04 05 00 00 00 B8 0B 00 00 00 EB 31 C7 41 04 06 00 00 00 B8 0C 00 00 00 EB 23 C7 41 04 07 00 00 00 B8 0D 00 00 00 EB 15 C7 41 04 08 00 00 00 B8 0E 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87205_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 223
		refs = "0012 TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 10 0F B6 C2 83 F8 11 0F 87 BF 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 01 00 00 00 B8 02 00 00 00 EB 69 C7 41 04 02 00 00 00 B8 03 00 00 00 EB 5B C7 41 04 03 00 00 00 B8 04 00 00 00 EB 4D C7 41 04 04 00 00 00 B8 05 00 00 00 EB 3F C7 41 04 05 00 00 00 B8 08 00 00 00 EB 31 C7 41 04 06 00 00 00 B8 0B 00 00 00 EB 23 C7 41 04 07 00 00 00 B8 0C 00 00 00 EB 15 C7 41 04 08 00 00 00 B8 0F 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87206_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 269
		refs = "0012 TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 1C 0F B6 C2 83 F8 23 0F 87 ED 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 01 02 03 03 03 03 03 04 04 04 04 04 05 05 05 05 05 06 06 06 06 06 07 07 07 07 07 08 08 08 08 08 09 0A ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 01 00 00 00 B8 02 00 00 00 E9 85 00 00 00 C7 41 04 02 00 00 00 B8 03 00 00 00 EB 77 C7 41 04 03 00 00 00 B8 04 00 00 00 EB 69 C7 41 04 04 00 00 00 B8 09 00 00 00 EB 5B C7 41 04 05 00 00 00 B8 0E 00 00 00 EB 4D C7 41 04 06 00 00 00 B8 13 00 00 00 EB 3F C7 41 04 07 00 00 00 B8 18 00 00 00 EB 31 C7 41 04 08 00 00 00 B8 1D 00 00 00 EB 23 C7 41 04 09 00 00 00 B8 22 00 00 00 EB 15 C7 41 04 0A 00 00 00 B8 23 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87207_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 236
		refs = "0012 TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 1B 0F B6 C2 83 F8 17 0F 87 CC 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 01 01 02 02 03 03 04 04 05 06 07 07 07 08 08 08 08 08 08 09 09 09 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 01 00 00 00 B8 02 00 00 00 EB 77 C7 41 04 02 00 00 00 B8 04 00 00 00 EB 69 C7 41 04 03 00 00 00 B8 06 00 00 00 EB 5B C7 41 04 04 00 00 00 B8 08 00 00 00 EB 4D C7 41 04 06 00 00 00 B8 01 00 00 00 EB 3F C7 41 04 06 00 00 00 B8 06 00 00 00 EB 31 C7 41 04 05 00 00 00 B8 0C 00 00 00 EB 23 C7 41 04 06 00 00 00 B8 0F 00 00 00 EB 15 C7 41 04 07 00 00 00 B8 15 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87208_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 171
	strings:
		$1 = { C6 01 1A 0F B6 C2 83 F8 1A 7D 14 83 C0 FE 83 E8 08 72 25 83 E8 08 72 2E 83 E8 08 72 37 EB 7B 83 C0 E6 83 E8 08 72 3B 83 E8 08 72 44 83 E8 08 72 4D 83 E8 08 72 56 EB 62 C7 41 04 01 00 00 00 B8 02 00 00 00 EB 5B C7 41 04 02 00 00 00 B8 0A 00 00 00 EB 4D C7 41 04 03 00 00 00 B8 12 00 00 00 EB 3F C7 41 04 04 00 00 00 B8 1A 00 00 00 EB 31 C7 41 04 05 00 00 00 B8 22 00 00 00 EB 23 C7 41 04 06 00 00 00 B8 2A 00 00 00 EB 15 C7 41 04 07 00 00 00 B8 32 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87209_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 927
		refs = "0012 TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 1F 0F B6 C2 83 F8 69 0F 87 7F 03 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 01 01 01 02 02 02 03 03 03 04 04 04 05 05 05 06 06 06 07 07 08 08 09 09 0A 0A 0B 0B 0C 0C 0D 0D 0D 0D 0E 0E 0E 0E 0F 0F 0F 0F 10 10 10 10 11 11 11 11 12 12 12 12 13 13 13 13 14 14 14 14 15 15 15 15 16 16 16 16 17 17 17 17 18 18 18 18 19 19 19 19 1A 1A 1A 1A 1B 1B 1B 1B 1C 1C 1C 1C 1D 1E 1F 20 21 22 23 24 25 26 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 01 00 00 00 B8 02 00 00 00 E9 61 02 00 00 C7 41 04 02 00 00 00 B8 05 00 00 00 E9 50 02 00 00 C7 41 04 03 00 00 00 B8 08 00 00 00 E9 3F 02 00 00 C7 41 04 04 00 00 00 B8 0B 00 00 00 E9 2E 02 00 00 C7 41 04 05 00 00 00 B8 0E 00 00 00 E9 1D 02 00 00 C7 41 04 06 00 00 00 B8 11 00 00 00 E9 0C 02 00 00 C7 41 04 07 00 00 00 B8 14 00 00 00 E9 FB 01 00 00 C7 41 04 08 00 00 00 B8 16 00 00 00 E9 EA 01 00 00 C7 41 04 09 00 00 00 B8 18 00 00 00 E9 D9 01 00 00 C7 41 04 0A 00 00 00 B8 1A 00 00 00 E9 C8 01 00 00 C7 41 04 0B 00 00 00 B8 1C 00 00 00 E9 B7 01 00 00 C7 41 04 0C 00 00 00 B8 1E 00 00 00 E9 A6 01 00 00 C7 41 04 0D 00 00 00 B8 20 00 00 00 E9 95 01 00 00 C7 41 04 0E 00 00 00 B8 24 00 00 00 E9 84 01 00 00 C7 41 04 0F 00 00 00 B8 28 00 00 00 E9 73 01 00 00 C7 41 04 10 00 00 00 B8 2C 00 00 00 E9 62 01 00 00 C7 41 04 11 00 00 00 B8 30 00 00 00 E9 51 01 00 00 C7 41 04 12 00 00 00 B8 34 00 00 00 E9 40 01 00 00 C7 41 04 13 00 00 00 B8 38 00 00 00 E9 2F 01 00 00 C7 41 04 14 00 00 00 B8 3C 00 00 00 E9 1E 01 00 00 C7 41 04 15 00 00 00 B8 40 00 00 00 E9 0D 01 00 00 C7 41 04 16 00 00 00 B8 44 00 00 00 E9 FC 00 00 00 C7 41 04 17 00 00 00 B8 48 00 00 00 E9 EB 00 00 00 C7 41 04 18 00 00 00 B8 4C 00 00 00 E9 DA 00 00 00 C7 41 04 19 00 00 00 B8 50 00 00 00 E9 C9 00 00 00 C7 41 04 1A 00 00 00 B8 54 00 00 00 E9 B8 00 00 00 C7 41 04 1B 00 00 00 B8 58 00 00 00 E9 A7 00 00 00 C7 41 04 1C 00 00 00 B8 5C 00 00 00 E9 96 00 00 00 C7 41 04 1D 00 00 00 B8 60 00 00 00 E9 85 00 00 00 C7 41 04 1E 00 00 00 B8 61 00 00 00 EB 77 C7 41 04 1F 00 00 00 B8 62 00 00 00 EB 69 C7 41 04 20 00 00 00 B8 63 00 00 00 EB 5B C7 41 04 21 00 00 00 B8 64 00 00 00 EB 4D C7 41 04 22 00 00 00 B8 65 00 00 00 EB 3F C7 41 04 23 00 00 00 B8 66 00 00 00 EB 31 C7 41 04 24 00 00 00 B8 67 00 00 00 EB 23 C7 41 04 25 00 00 00 B8 68 00 00 00 EB 15 C7 41 04 26 00 00 00 B8 69 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87218_0 {
	meta:
		name = "TUxThemeStyle.GetName"
		size = 48
		refs = "0006 TUxThemeStyle.GetName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 00 00 }
	condition:
		$1
}

rule function_87219_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 97
	strings:
		$1 = { C6 01 1E 8B C2 04 FE 2C 06 72 0D 2C 02 72 17 74 23 48 2C 02 72 2C EB 38 C7 41 04 01 00 00 00 B8 02 00 00 00 EB 31 C7 41 04 02 00 00 00 B8 08 00 00 00 EB 23 C7 41 04 03 00 00 00 B8 0A 00 00 00 EB 15 C7 41 04 04 00 00 00 B8 0B 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87220_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 60
	strings:
		$1 = { C6 01 1D 8B C2 2C 02 74 06 FE C8 74 10 EB 1C C7 41 04 01 00 00 00 B8 02 00 00 00 EB 15 C7 41 04 02 00 00 00 B8 03 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87221_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 191
		refs = "0012 TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 17 0F B6 C2 83 F8 09 0F 87 9F 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 01 00 00 00 B8 02 00 00 00 EB 69 C7 41 04 02 00 00 00 B8 03 00 00 00 EB 5B C7 41 04 03 00 00 00 B8 04 00 00 00 EB 4D C7 41 04 04 00 00 00 B8 05 00 00 00 EB 3F C7 41 04 05 00 00 00 B8 06 00 00 00 EB 31 C7 41 04 06 00 00 00 B8 07 00 00 00 EB 23 C7 41 04 07 00 00 00 B8 08 00 00 00 EB 15 C7 41 04 08 00 00 00 B8 09 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87222_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 491
		refs = "0012 TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 13 0F B6 C2 83 F8 26 0F 87 CB 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 01 00 00 00 B8 02 00 00 00 E9 1E 01 00 00 C7 41 04 02 00 00 00 B8 03 00 00 00 E9 0D 01 00 00 C7 41 04 03 00 00 00 B8 04 00 00 00 E9 FC 00 00 00 C7 41 04 04 00 00 00 B8 07 00 00 00 E9 EB 00 00 00 C7 41 04 05 00 00 00 B8 08 00 00 00 E9 DA 00 00 00 C7 41 04 06 00 00 00 B8 09 00 00 00 E9 C9 00 00 00 C7 41 04 07 00 00 00 B8 0A 00 00 00 E9 B8 00 00 00 C7 41 04 08 00 00 00 B8 0B 00 00 00 E9 A7 00 00 00 C7 41 04 09 00 00 00 B8 0C 00 00 00 E9 96 00 00 00 C7 41 04 0A 00 00 00 B8 0F 00 00 00 E9 85 00 00 00 C7 41 04 0B 00 00 00 B8 10 00 00 00 EB 77 C7 41 04 0C 00 00 00 B8 11 00 00 00 EB 69 C7 41 04 0D 00 00 00 B8 16 00 00 00 EB 5B C7 41 04 0E 00 00 00 B8 17 00 00 00 EB 4D C7 41 04 0F 00 00 00 B8 1C 00 00 00 EB 3F C7 41 04 10 00 00 00 B8 21 00 00 00 EB 31 C7 41 04 11 00 00 00 B8 22 00 00 00 EB 23 C7 41 04 12 00 00 00 B8 25 00 00 00 EB 15 C7 41 04 13 00 00 00 B8 26 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87223_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 98
	strings:
		$1 = { C6 01 12 8B C2 04 FE 2C 04 72 0E 2C 04 72 18 2C 04 72 22 2C 04 72 2C EB 38 C7 41 04 01 00 00 00 B8 02 00 00 00 EB 31 C7 41 04 02 00 00 00 B8 06 00 00 00 EB 23 C7 41 04 03 00 00 00 B8 0A 00 00 00 EB 15 C7 41 04 04 00 00 00 B8 0E 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87224_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 271
	strings:
		$1 = { C6 01 11 0F B6 C2 83 F8 28 7D 2E 83 F8 1A 7D 12 83 C0 FE 83 E8 14 72 57 83 E8 04 72 63 E9 DC 00 00 00 83 C0 E6 83 E8 04 72 64 83 E8 05 72 6D 83 E8 05 72 76 E9 C5 00 00 00 83 F8 32 7D 12 83 C0 D8 83 E8 05 72 72 83 E8 05 72 7B E9 AE 00 00 00 83 C0 CE 83 E8 05 72 7C 83 E8 05 0F 82 81 00 00 00 83 E8 08 0F 82 86 00 00 00 E9 8F 00 00 00 C7 41 04 01 00 00 00 B8 02 00 00 00 E9 85 00 00 00 C7 41 04 02 00 00 00 B8 16 00 00 00 EB 77 C7 41 04 03 00 00 00 B8 1A 00 00 00 EB 69 C7 41 04 04 00 00 00 B8 1E 00 00 00 EB 5B C7 41 04 05 00 00 00 B8 23 00 00 00 EB 4D C7 41 04 06 00 00 00 B8 28 00 00 00 EB 3F C7 41 04 07 00 00 00 B8 2D 00 00 00 EB 31 C7 41 04 08 00 00 00 B8 32 00 00 00 EB 23 C7 41 04 09 00 00 00 B8 37 00 00 00 EB 15 C7 41 04 0A 00 00 00 B8 3C 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87225_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 78
	strings:
		$1 = { C6 01 16 8B C2 2C 02 74 0A FE C8 74 14 FE C8 74 1E EB 2A C7 41 04 01 00 00 00 B8 02 00 00 00 EB 23 C7 41 04 02 00 00 00 B8 03 00 00 00 EB 15 C7 41 04 03 00 00 00 B8 04 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87226_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 481
		refs = "0012 TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 18 0F B6 C2 83 F8 1B 0F 87 C1 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 01 00 00 00 B8 02 00 00 00 E9 40 01 00 00 C7 41 04 02 00 00 00 B8 03 00 00 00 E9 2F 01 00 00 C7 41 04 03 00 00 00 B8 04 00 00 00 E9 1E 01 00 00 C7 41 04 04 00 00 00 B8 05 00 00 00 E9 0D 01 00 00 C7 41 04 05 00 00 00 B8 06 00 00 00 E9 FC 00 00 00 C7 41 04 06 00 00 00 B8 07 00 00 00 E9 EB 00 00 00 C7 41 04 07 00 00 00 B8 08 00 00 00 E9 DA 00 00 00 C7 41 04 08 00 00 00 B8 09 00 00 00 E9 C9 00 00 00 C7 41 04 09 00 00 00 B8 0A 00 00 00 E9 B8 00 00 00 C7 41 04 0A 00 00 00 B8 0B 00 00 00 E9 A7 00 00 00 C7 41 04 0B 00 00 00 B8 0C 00 00 00 E9 96 00 00 00 C7 41 04 0C 00 00 00 B8 0D 00 00 00 E9 85 00 00 00 C7 41 04 0D 00 00 00 B8 0E 00 00 00 EB 77 C7 41 04 0E 00 00 00 B8 14 00 00 00 EB 69 C7 41 04 0F 00 00 00 B8 15 00 00 00 EB 5B C7 41 04 10 00 00 00 B8 16 00 00 00 EB 4D C7 41 04 11 00 00 00 B8 17 00 00 00 EB 3F C7 41 04 12 00 00 00 B8 18 00 00 00 EB 31 C7 41 04 13 00 00 00 B8 19 00 00 00 EB 23 C7 41 04 14 00 00 00 B8 1A 00 00 00 EB 15 C7 41 04 15 00 00 00 B8 1B 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87227_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 299
		refs = "0012 TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 15 0F B6 C2 83 F8 2C 0F 87 0B 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 01 01 01 01 01 02 02 02 02 02 03 03 03 03 03 04 04 04 04 04 05 05 05 05 05 06 06 06 06 06 07 07 07 07 07 08 08 08 08 08 09 0A 0B ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 01 00 00 00 B8 02 00 00 00 E9 96 00 00 00 C7 41 04 02 00 00 00 B8 07 00 00 00 E9 85 00 00 00 C7 41 04 03 00 00 00 B8 0C 00 00 00 EB 77 C7 41 04 04 00 00 00 B8 11 00 00 00 EB 69 C7 41 04 05 00 00 00 B8 16 00 00 00 EB 5B C7 41 04 06 00 00 00 B8 1B 00 00 00 EB 4D C7 41 04 07 00 00 00 B8 20 00 00 00 EB 3F C7 41 04 08 00 00 00 B8 25 00 00 00 EB 31 C7 41 04 09 00 00 00 B8 2A 00 00 00 EB 23 C7 41 04 0A 00 00 00 B8 2B 00 00 00 EB 15 C7 41 04 0B 00 00 00 B8 2C 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87228_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 225
		refs = "0012 TUxThemeStyle.GetElementDetails"
	strings:
		$1 = { C6 01 19 0F B6 C2 83 F8 0E 0F 87 C1 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C7 41 04 01 00 00 00 B8 02 00 00 00 EB 77 C7 41 04 02 00 00 00 B8 03 00 00 00 EB 69 C7 41 04 03 00 00 00 B8 04 00 00 00 EB 5B C7 41 04 04 00 00 00 B8 05 00 00 00 EB 4D C7 41 04 05 00 00 00 B8 06 00 00 00 EB 3F C7 41 04 06 00 00 00 B8 07 00 00 00 EB 31 C7 41 04 07 00 00 00 B8 0B 00 00 00 EB 23 C7 41 04 08 00 00 00 B8 0C 00 00 00 EB 15 C7 41 04 09 00 00 00 B8 0D 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87230_0 {
	meta:
		name = "TUxThemeStyle.GetElementDetails"
		size = 78
	strings:
		$1 = { C6 01 14 8B C2 2C 02 74 0A FE C8 74 14 FE C8 74 1E EB 2A C7 41 04 01 00 00 00 B8 02 00 00 00 EB 23 C7 41 04 02 00 00 00 B8 03 00 00 00 EB 15 C7 41 04 03 00 00 00 B8 04 00 00 00 EB 07 33 C0 89 41 04 33 C0 83 E2 7F 2B D0 42 89 51 08 C3 }
	condition:
		$1
}

rule function_87231_0 {
	meta:
		name = "TUxThemeStyle.GetTheme"
		size = 68
		refs = "0025 ThemeDataNames 002d OpenThemeData"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 2C 20 73 2C 80 7E 3A 00 74 26 0F B6 C3 83 7C 86 3C 00 75 1C 8B FB 83 E7 7F 8B 04 BD ?? ?? ?? ?? 50 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 89 44 BE 3C 0F B6 C3 8B 44 86 3C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87233_0 {
	meta:
		name = "TUxThemeStyle.GetEnabled"
		size = 24
	strings:
		$1 = { 80 78 38 00 74 0C 80 78 3A 00 74 06 80 78 39 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_87236_0 {
	meta:
		name = "TUxThemeStyle.UnloadThemeData"
		size = 46
		refs = "0016 CloseThemeData"
	strings:
		$1 = { 53 56 57 8B F0 33 DB 8B FB 83 E7 7F 8B 44 BE 3C 85 C0 74 10 50 A1 ?? ?? ?? ?? 8B 00 FF D0 33 C0 89 44 BE 3C 43 80 FB 2A 75 DD 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87237_0 {
	meta:
		name = "TUxThemeStyle.UpdateThemes"
		size = 26
		refs = "0011 UseThemes"
	strings:
		$1 = { 53 8B D8 80 7B 3A 00 74 07 8B C3 8B 10 FF 52 54 E8 ?? ?? ?? ?? 88 43 3A 5B C3 }
	condition:
		$1
}

rule function_87238_0 {
	meta:
		name = "TStyleManager.CreateStyleEngine"
		size = 60
		refs = "0006 TStyleManager.FEngineClass 0015 TObject.Create 001c TStyleManager.FEngine 0028 InterlockedCompareExchange 0033 TObject.Free"
	strings:
		$1 = { 53 56 57 55 83 3D ?? ?? ?? ?? 00 74 2A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BE ?? ?? ?? ?? 8B FB 33 ED 55 57 56 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87242_0 {
	meta:
		name = "EnumResourceNamesProc"
		size = 150
		refs = "001b EnumResourceNamesProc 003a @UStrFromPWChar 0046 _DV_TStyleManager 004b TStyleManager.TryLoadFromResource 007e @UStrArrayClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C0 89 45 F0 89 45 F4 8B 75 14 8B 5D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC FF FF FF FF 8B 45 0C 50 8D 45 F8 50 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 4D F4 8B FE 8B 17 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 15 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8B 55 F0 8B 47 08 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_87243_0 {
	meta:
		name = "EnumModulesProc"
		size = 201
		refs = "0011 TStyleManager.TStyleClassDescriptor 0016 @InitializeRecord 001e EnumModulesProc 0034 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.GetEnumerator 0052 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.TEnumerator.GetCurrent 0058 EnumResourceNamesProc 0060 @UStrToPWChar 0067 EnumResourceNames 006f TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.TEnumerator.MoveNext 0096 @HandleFinally 00b3 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B DA 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 01 8B C3 89 30 8B 40 04 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 20 8D 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 EF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87244_0 {
	meta:
		name = "TStyleManager.DiscoverStyleResources"
		size = 281
		refs = "0013 TStyleManager.DiscoverStyleResources 0020 _Dn_TStringList 0025 TStringList.Create 003b TStyleManager.FStyleClassDescriptors 0046 EnumModulesProc 004b EnumModules 0061 TStrings.GetCommaText 0077 SStyleLoadErrors 007e _DV_ECustomStyleException 0083 Exception.CreateResFmt 0088 @RaiseExcept 00b9 SStyleLoadError 00dd TStyleManager.FRefreshAutoDiscovery 00e6 TObject.Free 00ec @HandleFinally 0108 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 D2 89 55 E4 89 55 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 89 45 F8 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 48 7E 34 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 40 8B 45 FC 8B 10 FF 52 14 85 C0 7E 34 8D 4D E4 33 D2 8B 45 FC 8B 18 FF 53 0C 8B 45 E4 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87245_0 {
	meta:
		name = "TStyleManager.DoLoadFromResource"
		size = 196
		refs = "001e TStyleManager.TStyleClassDescriptor 0023 @AddRefRecord 002b TStyleManager.DoLoadFromResource 004e _Dn_TResourceStream 0053 TResourceStream.Create 0071 TStyleManager.DoLoadFromStream 0089 TObject.Free 008f @HandleFinally 00ac @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 75 08 8D 7D F0 A5 A5 A5 A5 8B F9 8B F2 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 8B 45 FC 85 C0 74 54 89 45 E8 57 8B 45 0C 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E4 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 89 45 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 EC 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_87246_0 {
	meta:
		name = "TStyleManager.DoLoadFromStream"
		size = 325
		refs = "0017 TStyleInfo 001c @InitializeRecord 0024 TStyleManager.DoLoadFromStream 0031 _Dn_TMemoryStream 0036 TObject.Create 0059 TStream.CopyFrom 0065 TStream.SetPosition 0073 TCustomStyleServices.IsValidStyle 007f TStyleManager.FRegisteredStyles 0084 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.ContainsKey 00aa TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Add 00c5 SStyleRegisterError 00cc _DV_EDuplicateStyleException 00d1 Exception.CreateResFmt 00d6 @RaiseExcept 00de SStyleFormatError 00e5 _DV_ECustomStyleException 00ea Exception.CreateRes 00fe @HandleAnyException 010b TObject.Free 0110 @RaiseAgain 0115 @DoneExcept 0130 @FinalizeRecord 0136 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B F1 8D 7D E4 A5 A5 8B DA 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 12 52 50 8B D3 8B 45 E0 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 E0 E8 ?? ?? ?? ?? 8D 4D EC 8B 55 E0 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 61 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 27 6A 00 6A 00 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 8D 4D E4 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D E0 EB 40 8B 45 EC 89 45 D8 C6 45 DC 11 8D 45 D8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 33 C0 89 45 E4 8B 45 E0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87247_0 {
	meta:
		name = "TStyleManager.FindStyleDescriptor"
		size = 278
		refs = "0016 TStyleManager.TStyleClassDescriptor 001b @InitializeRecord 0023 TStyleManager.FindStyleDescriptor 0037 @FillChar 003c TStyleManager.FStyleClassDescriptors 0041 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.GetEnumerator 005f TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.TEnumerator.GetCurrent 007b SameText 00b5 @CopyRecord 00bd TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.TEnumerator.MoveNext 00e4 @HandleFinally 0101 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 88 4D EF 8B F2 8B 7D 08 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 61 8D 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 0F B6 45 EF 2C 01 72 08 74 16 FE C8 74 22 EB 30 B1 01 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 22 B1 01 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 12 B1 01 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 84 DB 74 10 8B C7 8D 55 F0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 93 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_87248_0 {
	meta:
		name = "TStyleManager.GetEnabled"
		size = 11
		refs = "0001 TStyleManager.GetActiveStyle"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 10 FF 52 48 C3 }
	condition:
		$1
}

rule function_87249_0 {
	meta:
		name = "TStyleManager.GetEngine"
		size = 25
		refs = "0002 TStyleManager.FEngine 000a _DV_TStyleManager 000f TStyleManager.CreateStyleEngine"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87250_0 {
	meta:
		name = "TStyleManager.GetSystemStyle"
		size = 48
		refs = "0002 TStyleManager.FSystemStyle 000c _DV_TUxThemeStyle 0011 TUxThemeStyle.Create 0021 _DV_TStyleManager 0026 TStyleManager.RegisterStyle"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 21 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87251_0 {
	meta:
		name = "TStyleManager.GetStyleClassDescriptors"
		size = 45
		refs = "0005 TStyleManager.FAutoDiscoverStyleResources 000e TStyleManager.FRefreshAutoDiscovery 0016 _DV_TStyleManager 001b TStyleManager.DiscoverStyleResources 0022 TStyleManager.FStyleClassDescriptors"
	strings:
		$1 = { 53 8B D8 80 3D ?? ?? ?? ?? 00 74 13 80 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 04 5B C3 }
	condition:
		$1
}

rule function_87252_0 {
	meta:
		name = "TStyleManager.GetStyleDescriptor"
		size = 420
		refs = "0011 TStyleManager.TStyleClassDescriptor 0016 @InitializeRecord 001f TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 002c TStyleManager.GetStyleDescriptor 0038 TStyleManager.FAutoDiscoverStyleResources 0041 TStyleManager.FRefreshAutoDiscovery 0049 _DV_TStyleManager 004e TStyleManager.DiscoverStyleResources 0053 TStyleManager.FRegisteredStyles 0058 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.GetEnumerator 0079 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TPairEnumerator.GetCurrent 0086 SameText 0093 TStyleManager.FStyleClassDescriptors 0098 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.GetEnumerator 00b6 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.TEnumerator.GetCurrent 00cf @CopyRecord 00d4 @TryFinallyExit 00e6 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.TEnumerator.MoveNext 010d @HandleFinally 0117 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TPairEnumerator.MoveNext 015a SStyleNotFound 0161 _DV_ECustomStyleException 0166 Exception.CreateResFmt 016b @RaiseExcept 0186 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 CC 89 55 DC 89 45 E0 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 3D ?? ?? ?? ?? 00 74 13 80 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 A1 00 00 00 8D 55 F4 8B 45 D8 E8 ?? ?? ?? ?? B1 01 8B 55 F4 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 84 81 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 33 8D 55 E4 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 F0 3B 45 FC 75 20 8B 45 DC 8D 55 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8D 00 00 00 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 75 C1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D4 00 74 0A B2 01 8B 45 D4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 0F 85 4F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D8 00 74 0A B2 01 8B 45 D8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 E0 89 45 CC C6 45 D0 11 8D 45 CC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B E5 5D C3 }
	condition:
		$1
}

rule function_87253_0 {
	meta:
		name = "TStyleManager.GetStyleNames"
		size = 282
		refs = "0014 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 0019 @InitializeRecord 0021 TStyleManager.GetStyleNames 002d TStyleManager.FAutoDiscoverStyleResources 0036 TStyleManager.FRefreshAutoDiscovery 003e _DV_TStyleManager 0043 TStyleManager.DiscoverStyleResources 0048 TStyleManager.FRegisteredStyles 005a TArray<System.string> 005f @DynArraySetLength 006a TStyleManager.FSystemStyle 0079 @UStrAsg 0088 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.GetEnumerator 00a6 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TPairEnumerator.GetCurrent 00bc TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TPairEnumerator.MoveNext 00e3 @HandleFinally 00fa @UStrClr 0108 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 EC 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 3D ?? ?? ?? ?? 00 74 13 80 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 40 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 EC A1 ?? ?? ?? ?? 8B 08 FF 51 4C 8B 55 EC 8B 06 E8 ?? ?? ?? ?? BB 01 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 19 8D 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 06 8D 04 98 8B 55 F4 E8 ?? ?? ?? ?? 43 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87254_0 {
	meta:
		name = "TStyleManager.GetStyle"
		size = 413
		refs = "0014 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 0019 @InitializeRecord 0021 TStyleManager.GetStyle 0032 TStyleManager.FAutoDiscoverStyleResources 003b TStyleManager.FRefreshAutoDiscovery 0043 _DV_TStyleManager 0048 TStyleManager.DiscoverStyleResources 004d TStyleManager.FStyles 0052 TList<Vcl.Themes.TCustomStyleServices>.GetEnumerator 006d TList<Vcl.Themes.TCustomStyleServices>.TEnumerator.GetCurrent 0086 SameText 0092 @TryFinallyExit 009f TList<Vcl.Themes.TCustomStyleServices>.TEnumerator.MoveNext 00c6 @HandleFinally 00cd TStyleManager.FRegisteredStyles 00d2 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.GetEnumerator 00f0 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TPairEnumerator.GetCurrent 0123 TList<Vcl.Themes.TCustomStyleServices>.IndexOf 0133 TList<Vcl.Themes.TCustomStyleServices>.Add 013d TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TPairEnumerator.MoveNext 017b @UStrClr 0189 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 D2 89 55 E0 89 45 F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 80 3D ?? ?? ?? ?? 00 74 13 80 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 32 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 8D 55 E0 8B C3 8B 08 FF 51 4C 8B 55 E0 B1 01 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 0D 89 5D EC E8 ?? ?? ?? ?? E9 CF 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 50 8D 55 F4 8B 45 E4 E8 ?? ?? ?? ?? B1 01 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 34 8B 5D F8 85 DB 74 2D 8B D3 8B 45 FC FF 90 00 01 00 00 89 45 EC 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 75 1B 8B 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 A4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B 45 EC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87255_0 {
	meta:
		name = "TStyleManager.GetActiveStyle"
		size = 25
		refs = "0002 TStyleManager.FActiveStyle 000a TStyleManager.GetSystemStyle"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 0A E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87256_0 {
	meta:
		name = "TStyleManager.GetIsCustomStyleActive"
		size = 33
		refs = "0001 TStyleManager.GetActiveStyle 000f TStyleManager.FActiveStyle 0015 TStyleManager.FSystemStyle"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 0D A1 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_87257_0 {
	meta:
		name = "TStyleManager.HandleMessage"
		size = 97
		refs = "000e TStyleManager.FFlags 0017 TStyleManager.FEngine 001f TStyleManager.CreateStyleEngine 0024 TStyleManager.GetEngine"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 33 DB F6 05 ?? ?? ?? ?? 01 74 43 83 3D ?? ?? ?? ?? 00 75 25 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 2C FF 75 0C FF 75 08 8B CF A1 ?? ?? ?? ?? 8B 00 8B D6 FF 10 8B D8 EB 15 FF 75 0C FF 75 08 8B CF A1 ?? ?? ?? ?? 8B 00 8B D6 FF 10 8B D8 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_87258_0 {
	meta:
		name = "TStyleManager.Initialize"
		size = 140
		refs = "0003 TStyleManager.Initialize 0008 TStyleManager.FFlags 000e TStyleManager.FAutoDiscoverStyleResources 0015 TStyleManager.FRefreshAutoDiscovery 001c TStyleManager.FRegisteredStyles 0028 _DV_TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 002d TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Create 0038 TStyleManager.FStyleClassDescriptors 0042 _DV_TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor> 0047 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Create 0052 TStyleManager.FStyles 005c _DV_TList<Vcl.Themes.TCustomStyleServices> 0061 TList<Vcl.Themes.TCustomStyleServices>.Create 006c TStyleManager.FStyleEngines 0076 _DV_TList<Vcl.Themes.TCustomStyleEngineClass> 007b TList<Vcl.Themes.TCustomStyleEngineClass>.Create"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? A2 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 C6 05 ?? ?? ?? ?? 00 83 3D ?? ?? ?? ?? 00 75 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_87259_0 {
	meta:
		name = "TStyleManager.IsValidStyle"
		size = 97
		refs = "0011 TStyleInfo 0016 @InitializeRecord 001e TStyleManager.IsValidStyle 004d @FinalizeRecord 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B F2 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D EC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87260_0 {
	meta:
		name = "TStyleManager.IsValidStyle"
		size = 274
		refs = "0011 TStyleManager.TStyleClassDescriptor 0016 @InitializeRecord 001e TStyleManager.IsValidStyle 0033 _Dn_TFileStream 0038 TFileStream.Create 004e TStyleManager.FStyleClassDescriptors 0053 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.GetEnumerator 0071 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.TEnumerator.GetCurrent 007e TCustomStyleServices.IsValidStyle 0093 TStream.SetPosition 009b TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.TEnumerator.MoveNext 00c2 @HandleFinally 00d9 TObject.Free 00fc @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 8B D9 8B F2 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 6A 40 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2D 8D 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 8B CB 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 88 45 EF 80 7D EF 00 75 18 6A 00 6A 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 EF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87261_0 {
	meta:
		name = "TStyleManager.LoadFromFile"
		size = 245
		refs = "0021 TStyleManager.LoadFromFile 0035 ExtractFileExt 0041 TStyleManager.FindStyleDescriptor 0056 _Dn_TFileStream 005b TFileStream.Create 0079 TStyleManager.DoLoadFromStream 0091 TObject.Free 0097 @HandleFinally 00ac SStyleLoadError 00b3 _DV_ECustomStyleException 00b8 Exception.CreateResFmt 00bd @RaiseExcept 00d2 @UStrClr 00db TStyleManager.TStyleClassDescriptor 00e0 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 C9 89 4D E0 89 4D E4 89 4D E8 89 4D EC 89 4D DC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 50 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 55 DC 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 85 C0 74 51 89 45 F4 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 89 75 D4 C6 45 D8 11 8D 45 D4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87262_0 {
	meta:
		name = "TStyleManager.LoadFromResource"
		size = 212
		refs = "0025 TStyleManager.LoadFromResource 0042 IntToStr 0052 @UStrCat3 005e @UStrFromPWChar 006f TStyleManager.FindStyleDescriptor 0080 TStyleManager.DoLoadFromResource 0098 TStyleManager.TStyleClassDescriptor 009d @FinalizeRecord 00a5 @UStrClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 89 55 F8 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B FB 8B C7 C1 E8 10 75 20 8B C7 33 D2 52 50 8D 45 F0 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 53 8D 45 E0 50 B1 02 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 8B C3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_87263_0 {
	meta:
		name = "TStyleManager.LoadFromResource"
		size = 417
		refs = "001b TStyleManager.TStyleClassDescriptor 0020 @InitializeRecord 0036 TStyleManager.LoadFromResource 0041 TStyleManager.FStyleClassDescriptors 0046 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.GetEnumerator 0067 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.TEnumerator.GetCurrent 0077 TStyleManager.FindStyleDescriptor 00d0 @UStrCopy 00d8 StrToInt 00e5 @UStrToPWChar 00fd TStyleManager.DoLoadFromResource 0105 @TryFinallyExit 010f TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.TEnumerator.MoveNext 013a @HandleFinally 0152 SStyleLoadError 0159 _DV_ECustomStyleException 015e Exception.CreateResFmt 0163 @RaiseExcept 0178 @UStrClr 018b @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D C4 89 4D D8 89 55 DC 8B F8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 AB 00 00 00 8D 55 F0 8B 45 CC E8 ?? ?? ?? ?? 8D 45 E0 50 B1 02 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 83 7D EC 00 0F 84 86 00 00 00 8B 75 E8 85 F6 74 05 83 EE 04 8B 36 83 FE 02 7C 0C 8B 45 E8 66 83 38 23 0F 94 C3 EB 02 33 DB 84 DB 74 39 8B 45 E8 89 45 C8 83 7D C8 00 74 0B 8B 45 C8 83 E8 04 8B 00 89 45 C8 8D 45 C4 50 8B 4D C8 49 BA 02 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 89 45 D0 EB 0B 8B 45 E8 E8 ?? ?? ?? ?? 89 45 D0 8B 45 D0 50 8D 45 E0 50 8B 4D D8 8B 55 DC 8B C7 E8 ?? ?? ?? ?? 89 45 D4 E8 ?? ?? ?? ?? EB 5C 8B 45 CC E8 ?? ?? ?? ?? 84 C0 0F 85 45 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D CC 00 74 0A B2 01 8B 45 CC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 D8 89 45 BC C6 45 C0 11 8D 45 BC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 D4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87264_0 {
	meta:
		name = "TStyleManager.Notification"
		size = 20
		refs = "0002 TStyleManager.FEngine"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? 8B 00 FF 50 04 C3 }
	condition:
		$1
}

rule function_87265_0 {
	meta:
		name = "TStyleManager.RegisterStyle"
		size = 140
		refs = "0012 TStyleManager.RegisterStyle 001f TStyleManager.FStyles 0024 TList<Vcl.Themes.TCustomStyleServices>.IndexOf 0033 TList<Vcl.Themes.TCustomStyleServices>.Add 0055 SStyleRegisterError 005c _DV_EDuplicateStyleException 0061 Exception.CreateResFmt 0066 @RaiseExcept 007b @UStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 75 0E 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 31 8D 55 F4 8B C3 8B 08 FF 51 4C 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87266_0 {
	meta:
		name = "TStyleManager.RegisterStyleClass"
		size = 188
		refs = "001c TStyleManager.RegisterStyleClass 0037 IntToStr 0047 @UStrCat3 0067 @UStrFromPWChar 0095 @UStrArrayClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 C1 E8 10 75 34 8B C6 33 D2 52 50 8D 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 08 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? EB 1E 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 08 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_87267_0 {
	meta:
		name = "TStyleManager.RegisterStyleClass"
		size = 311
		refs = "0017 TStyleManager.TStyleClassDescriptor 001c @InitializeRecord 0024 TStyleManager.RegisterStyleClass 002f TStyleManager.FStyleClassDescriptors 0034 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.GetEnumerator 0052 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.TEnumerator.GetCurrent 005f SameText 006e TObject.ClassName 0084 SStyleClassRegisterError 008b _DV_ECustomStyleException 0090 Exception.CreateResFmt 0095 @RaiseExcept 009d TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.TEnumerator.MoveNext 00c4 @HandleFinally 00d1 @UStrLAsg 00fa TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Add 0100 TStyleManager.FRefreshAutoDiscovery 0116 @UStrClr 0124 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 DB 89 5D D8 89 4D E8 89 55 EC 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 4E 8D 55 F0 8B 45 E4 E8 ?? ?? ?? ?? B1 01 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 32 8D 55 D8 8B 45 08 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 8D 45 DC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 A6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8D 45 F0 8B 55 EC E8 ?? ?? ?? ?? 8D 45 F4 8B 55 E8 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 45 08 89 45 FC 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_87268_0 {
	meta:
		name = "TStyleManager.SetAutoDiscoverStyleResources"
		size = 30
		refs = "0002 TStyleManager.FAutoDiscoverStyleResources 0018 TStyleManager.FRefreshAutoDiscovery"
	strings:
		$1 = { 3A 05 ?? ?? ?? ?? 74 15 A2 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 07 C6 05 ?? ?? ?? ?? 01 C3 }
	condition:
		$1
}

rule function_87269_0 {
	meta:
		name = "TStyleManager.SetEngineClass"
		size = 68
		refs = "0002 TStyleManager.FEngineClass 001f TStyleManager.FStyleEngines 0024 TList<Vcl.Themes.TCustomStyleEngineClass>.Insert 002a TStyleManager.FEngine 003f TObject.Free"
	strings:
		$1 = { 3B 05 ?? ?? ?? ?? 74 3B A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 12 8B 0D ?? ?? ?? ?? 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_87270_0 {
	meta:
		name = "TStyleManager.SetStyle"
		size = 236
		refs = "0005 TStyleManager.GetActiveStyle 0016 TStyleManager.GetSystemStyle 0021 TStyleManager.FStyles 0026 TList<Vcl.Themes.TCustomStyleServices>.IndexOf 0035 TList<Vcl.Themes.TCustomStyleServices>.Add 003b TStyleManager.FActiveStyle 004d TStyleManager.FFlags 0052 Screen 0059 TScreen.GetFormCount 0075 TScreen.GetForm 007a TWinControl.HandleAllocated 0091 TWinControl.GetHandle 0097 IsWindowVisible 00bd PostMessage 00e1 SendMessage"
	strings:
		$1 = { 53 56 8B DA E8 ?? ?? ?? ?? 3B D8 0F 84 D8 00 00 00 85 DB 75 09 E8 ?? ?? ?? ?? 8B D8 EB 1B 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 75 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 92 14 01 00 00 A2 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 81 00 00 00 46 33 DB A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 63 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 24 6A 00 6A 00 68 59 B0 00 00 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 22 6A 00 6A 00 68 59 B0 00 00 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 43 4E 75 82 5E 5B C3 }
	condition:
		$1
}

rule function_87271_0 {
	meta:
		name = "TStyleManager.SetStyle"
		size = 63
		refs = "0010 TStyleManager.TrySetStyle 0025 SStyleNotFound 002c _DV_ECustomStyleException 0031 Exception.CreateResFmt 0036 @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 22 89 34 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_87272_0 {
	meta:
		name = "TStyleManager.SetStyle"
		size = 225
		refs = "0011 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 0016 @InitializeRecord 001e TStyleManager.SetStyle 0029 TStyleManager.FRegisteredStyles 002e TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.GetEnumerator 004c TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TPairEnumerator.GetCurrent 006a @TryFinallyExit 0074 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TPairEnumerator.MoveNext 009b @HandleFinally 00a3 SStyleInvalidHandle 00aa _DV_ECustomStyleException 00af Exception.CreateRes 00b4 @RaiseExcept 00cf @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B DA 8B F0 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2B 8D 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 3B 5D F8 75 1B 8B D3 8B 45 FC FF 90 00 01 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 48 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87273_0 {
	meta:
		name = "TStyleManager.TryLoadFromResource"
		size = 186
		refs = "0023 TStyleManager.TryLoadFromResource 0048 @UStrFromPWChar 0054 TStyleManager.FindStyleDescriptor 0065 TStyleManager.DoLoadFromResource 0079 @HandleAnyException 0080 @DoneExcept 0095 @UStrClr 009e TStyleManager.TStyleClassDescriptor 00a3 @FinalizeRecord 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 89 55 FC 8B F8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 45 E8 50 8D 45 E4 8B D6 E8 ?? ?? ?? ?? 8B 55 E4 B1 02 8B C7 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 4D F8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 55 08 89 02 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_87274_0 {
	meta:
		name = "TStyleManager.TrySetStyle"
		size = 524
		refs = "0021 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 0026 @InitializeRecord 002e TStyleManager.TrySetStyle 003a TStyleManager.FAutoDiscoverStyleResources 0043 TStyleManager.FRefreshAutoDiscovery 004e TStyleManager.DiscoverStyleResources 0053 TStyleManager.FStyles 0058 TList<Vcl.Themes.TCustomStyleServices>.GetEnumerator 0073 TList<Vcl.Themes.TCustomStyleServices>.TEnumerator.GetCurrent 008c SameText 009a TStyleManager.SetStyle 00a1 @TryFinallyExit 00ae TList<Vcl.Themes.TCustomStyleServices>.TEnumerator.MoveNext 00d5 @HandleFinally 00dc TStyleManager.FRegisteredStyles 00e1 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.GetEnumerator 00ff TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TPairEnumerator.GetCurrent 014c TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TPairEnumerator.MoveNext 0189 SStyleNotFound 018e LoadResString 01a7 Format 01c4 MessageDlgPosHelp 01de @UStrArrayClr 01ec @FinalizeRecord 01f4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 33 DB 89 5D CC 89 5D D0 89 5D FC 88 4D E7 89 55 E8 89 45 EC 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 3D ?? ?? ?? ?? 00 74 11 80 3D ?? ?? ?? ?? 00 74 08 8B 45 EC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 3B 8B 45 D8 E8 ?? ?? ?? ?? 8B F0 8D 55 D0 8B C6 8B 08 FF 51 4C 8B 55 D0 B1 01 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 16 8B D6 8B 45 EC E8 ?? ?? ?? ?? B3 01 E8 ?? ?? ?? ?? E9 1E 01 00 00 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 75 B9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D8 00 74 0A B2 01 8B 45 D8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 50 8D 55 F0 8B 45 D4 E8 ?? ?? ?? ?? B1 01 8B 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 F4 89 45 DC 8B 45 F8 89 45 E0 8B 75 DC 85 F6 74 21 8B D6 8B 45 E0 FF 90 00 01 00 00 8B D0 8B 45 EC E8 ?? ?? ?? ?? B3 01 E8 ?? ?? ?? ?? E9 80 00 00 00 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 75 A4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D4 00 74 0A B2 01 8B 45 D4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 DB 80 7D E7 00 74 47 8D 45 FC 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 E8 89 45 C4 C6 45 C8 11 8D 55 C4 33 C9 58 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 F6 56 6A FF 6A FF 6A 00 8B CA 8B 55 FC 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B C3 5E 5B 8B E5 5D C3 00 08 00 00 }
	condition:
		$1
}

rule function_87275_0 {
	meta:
		name = "TStyleManager.UnRegisterStyleEngine"
		size = 79
		refs = "0006 TStyleManager.FStyleEngines 000b TList<Vcl.Themes.TCustomStyleEngineClass>.IndexOf 001c TList<Vcl.Themes.TCustomStyleEngineClass>.Delete 0022 TStyleManager.FEngineClass 003b TList<Vcl.Themes.TCustomStyleEngineClass>.GetItem 0040 TStyleManager.SetEngineClass"
	strings:
		$1 = { 53 8B DA 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 FF 74 39 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 1D ?? ?? ?? ?? 75 25 A1 ?? ?? ?? ?? 83 78 08 00 7E 13 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 33 C0 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_87276_0 {
	meta:
		name = "TStyleManager.UnInitialize"
		size = 396
		refs = "000c TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo> 0011 @InitializeRecord 0019 TStyleManager.UnInitialize 002b TStyleManager.FFlags 0032 TStyleManager.FActiveStyle 0039 TStyleManager.FSystemStyle 003e TStyleManager.FRegisteredStyles 0043 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.GetEnumerator 0061 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TPairEnumerator.GetCurrent 006f TObject.Free 0077 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TPairEnumerator.MoveNext 009e @HandleFinally 00b7 TStyleManager.FStyleClassDescriptors 00c9 TStyleManager.FStyles 00ce TList<Vcl.Themes.TCustomStyleServices>.GetEnumerator 00e9 TList<Vcl.Themes.TCustomStyleServices>.TEnumerator.GetCurrent 00fa TList<Vcl.Themes.TCustomStyleServices>.TEnumerator.MoveNext 0128 TStyleManager.FStyleEngines 014c TStyleManager.FEngine 0174 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? A2 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 19 8D 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 83 7D F8 00 74 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 11 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_87277_0 {
	meta:
		name = "TStyleManager.UnRegisterStyleClass"
		size = 218
		refs = "0019 TStyleManager.UnRegisterStyleClass 0024 TStyleManager.FStyleClassDescriptors 003e TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.GetItem 004f TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Delete 0054 TStyleManager.FActiveStyle 005b @IsClass 0065 TStyleManager.FSystemStyle 006d TStyleManager.SetStyle 007d TObject.ClassName 0093 SStyleClassNotFound 009a _DV_ECustomStyleException 009f Exception.CreateResFmt 00a4 @RaiseExcept 00b9 @UStrClr 00c2 TStyleManager.TStyleClassDescriptor 00c7 @FinalizeRecord 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 47 46 33 DB 8D 4D EC 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 7D F8 75 2C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 84 C0 74 45 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 35 43 4E 75 BC 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 11 8D 45 E4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87278_0 {
	meta:
		name = "TCustomElementServices.DrawEdge"
		size = 9
		altNames = "TCustomElementServices.GetTextExtent"
	strings:
		$1 = { 55 8B EC 33 C0 5D C2 18 00 }
	condition:
		$1
}

rule function_87280_0 {
	meta:
		name = "TCustomElementServices.DrawIcon"
		size = 9
		altNames = "TCustomElementServices.GetElementMargins TCustomElementServices.GetElementSize TCustomHTMLTableDesigner.OnSelectedElementExit TSelectionServicesListenter.OnSelectedElementExit"
	strings:
		$1 = { 55 8B EC 33 C0 5D C2 14 00 }
	condition:
		$1
}

rule function_87281_0 {
	meta:
		name = "TCustomElementServices.DrawText"
		size = 33
	strings:
		$1 = { 55 8B EC 83 C4 E0 56 57 8B 75 08 8D 7D E0 51 B9 08 00 00 00 F3 A5 59 33 C0 5F 5E 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_87289_0 {
	meta:
		name = "TUxThemeGridElements.DrawElement"
		size = 562
		refs = "007e TRect.Create 00e8 TCustomStyleServices.DrawElement 013e TOSVersion.FMajor 0155 InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 4D FC 8B DA 8B 45 10 8B D0 8B CA 80 C1 FD 80 E9 04 72 23 80 E9 03 0F 82 CB 00 00 00 80 C1 F0 80 E9 04 0F 82 41 01 00 00 80 E9 02 0F 82 98 01 00 00 E9 E7 01 00 00 80 EA 03 74 0E FE CA 74 18 FE CA 74 37 FE CA 74 56 EB 75 8B 45 0C 8B F0 8D 7D EC A5 A5 A5 A5 EB 67 8B 45 0C 8B 40 08 50 8B 45 0C 8B 40 0C 50 8B 4D 0C 8B 49 04 8B 55 0C 8B 12 8D 45 EC E8 ?? ?? ?? ?? EB 44 8B 45 0C 8B 40 08 50 8B 45 0C 8B 40 0C 50 8B 4D 0C 8B 49 04 8B 55 0C 8B 12 8D 45 EC E8 ?? ?? ?? ?? EB 21 8B 45 0C 8B 40 08 50 8B 45 0C 8B 40 0C 50 8B 4D 0C 8B 49 04 8B 55 0C 8B 12 8D 45 EC E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 08 50 8D 4D D4 B2 1D 8B C3 8B 30 FF 96 9C 00 00 00 8D 4D D4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 38 01 00 00 80 EA 07 74 0A FE CA 74 17 FE CA 74 24 EB 31 8D 4D E0 B2 02 8B C3 8B 30 FF 96 8C 00 00 00 EB 20 8D 4D E0 B2 03 8B C3 8B 30 FF 96 8C 00 00 00 EB 0F 8D 4D E0 B2 04 8B C3 8B 30 FF 96 8C 00 00 00 8B 45 0C 8B F0 8D 7D EC A5 A5 A5 A5 A1 ?? ?? ?? ?? 83 38 06 7C 12 8D 45 EC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8D 4D E0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 B6 00 00 00 80 EA 1A 74 0E FE CA 74 18 FE CA 74 22 FE CA 74 2C EB 36 8D 4D E0 B2 02 8B C3 8B 30 FF 56 6C EB 28 8D 4D E0 B2 03 8B C3 8B 30 FF 56 6C EB 1A 8D 4D E0 B2 04 8B C3 8B 30 FF 56 6C EB 0C 8D 4D E0 B2 05 8B C3 8B 30 FF 56 6C 8B 45 0C 50 8B 45 08 50 8D 4D E0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 56 80 EA 1E 74 0A FE CA 74 22 FE CA 74 10 EB 2A 8D 4D E0 B2 02 8B C3 8B 30 FF 56 58 EB 20 8D 4D E0 B2 04 8B C3 8B 30 FF 56 58 EB 12 8D 4D E0 B2 03 8B C3 8B 30 FF 56 58 EB 04 33 C0 EB 19 8B 45 0C 50 8B 45 08 50 8D 4D E0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_87290_0 {
	meta:
		name = "TUxThemeGridElements.DrawText"
		size = 112
		refs = "005f TCustomStyleServices.DrawText"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 75 08 8D 7D E0 51 B9 08 00 00 00 F3 A5 59 8B F1 8B DA 0F B6 45 18 04 FE 2C 02 72 12 04 FD 2C 05 72 0C 04 FD 2C 05 72 06 04 FD 2C 03 73 2D 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8D 45 E0 50 8D 4D D4 B2 02 8B C3 8B 38 FF 97 8C 00 00 00 8D 4D D4 8B D6 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_87291_0 {
	meta:
		name = "TUxThemeGridElements.GetElementColor"
		size = 1068
		refs = "001c TUxThemeGridElements.GetElementColor 009b TOSVersion.FMajor 00db TCustomStyleServices.GetElementColor"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA B0 01 0F B6 55 10 83 FA 19 0F 87 09 04 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B6 55 0C 80 EA 01 72 08 74 2D FE CA 74 4D EB 59 8B 15 ?? ?? ?? ?? 83 3A 06 7C 0E 8B 55 08 C7 02 F0 F0 F0 00 E9 72 03 00 00 8B 55 08 C7 02 EC E9 D8 00 E9 64 03 00 00 8B 45 08 50 8D 4D F4 B2 02 8B C3 8B 30 FF 96 98 00 00 00 8D 55 F4 B1 01 8B C3 E8 ?? ?? ?? ?? E9 40 03 00 00 8B 55 08 C7 02 FF FF FF 1F E9 32 03 00 00 33 C0 E9 2B 03 00 00 0F B6 45 0C 2C 02 75 24 8B 45 08 50 8D 4D F4 B2 1D 8B C3 8B 30 FF 96 9C 00 00 00 8D 55 F4 B1 02 8B C3 E8 ?? ?? ?? ?? E9 FF 02 00 00 33 C0 E9 F8 02 00 00 0F B6 55 0C 80 EA 01 72 08 74 43 FE CA 74 63 EB 6F 8B 15 ?? ?? ?? ?? 83 3A 06 7C 24 8B 45 08 50 8D 4D F4 B2 02 8B C3 8B 30 FF 96 8C 00 00 00 8D 55 F4 B1 07 8B C3 E8 ?? ?? ?? ?? E9 B8 02 00 00 8B 55 08 C7 02 CB C7 B8 00 E9 AA 02 00 00 8B 45 08 50 8D 4D F4 B2 02 8B C3 8B 30 FF 96 98 00 00 00 8D 55 F4 B1 01 8B C3 E8 ?? ?? ?? ?? E9 86 02 00 00 8B 55 08 C7 02 FF FF FF 1F E9 78 02 00 00 33 C0 E9 71 02 00 00 80 7D 0C 02 75 0E 8B 55 08 C7 02 FF FF FF 1F E9 5D 02 00 00 33 C0 E9 56 02 00 00 0F B6 55 0C 80 EA 01 72 08 74 14 FE CA 74 1E EB 2A 8B 55 08 C7 02 FF FF FF 1F E9 37 02 00 00 8B 55 08 C7 02 FF FF FF 1F E9 29 02 00 00 8B 55 08 C7 02 FF FF FF 1F E9 1B 02 00 00 33 C0 E9 14 02 00 00 0F B6 55 0C 80 EA 02 74 0B 80 EA 07 74 14 FE CA 74 1E EB 2A 8B 55 08 C7 02 FF FF FF 1F E9 F2 01 00 00 8B 55 08 C7 02 FF FF FF 1F E9 E4 01 00 00 8B 55 08 C7 02 FF FF FF 1F E9 D6 01 00 00 33 C0 E9 CF 01 00 00 0F B6 55 0C 80 EA 01 72 0F FE CA 74 35 80 EA 07 74 14 FE CA 74 1E EB 38 8B 55 08 C7 02 FF FF FF 1F E9 A9 01 00 00 8B 55 08 C7 02 FF FF FF 1F E9 9B 01 00 00 8B 55 08 C7 02 FF FF FF 1F E9 8D 01 00 00 8B 55 08 C7 02 FF FF FF 1F E9 7F 01 00 00 33 C0 E9 78 01 00 00 0F B6 55 0C 80 EA 01 72 0F FE CA 74 35 80 EA 07 74 14 FE CA 74 1E EB 38 8B 55 08 C7 02 FF FF FF 1F E9 52 01 00 00 8B 55 08 C7 02 FF FF FF 1F E9 44 01 00 00 8B 55 08 C7 02 FF FF FF 1F E9 36 01 00 00 8B 55 08 C7 02 FF FF FF 1F E9 28 01 00 00 33 C0 E9 21 01 00 00 0F B6 55 0C 80 EA 01 72 0F FE CA 74 35 80 EA 07 74 14 FE CA 74 1E EB 38 8B 55 08 C7 02 FF FF FF 1F E9 FB 00 00 00 8B 55 08 C7 02 FF FF FF 1F E9 ED 00 00 00 8B 55 08 C7 02 FF FF FF 1F E9 DF 00 00 00 8B 55 08 C7 02 FF FF FF 1F E9 D1 00 00 00 33 C0 E9 CA 00 00 00 0F B6 55 0C 80 EA 01 72 08 74 14 FE CA 74 1E EB 2A 8B 55 08 C7 02 FF FF FF 1F E9 AB 00 00 00 8B 55 08 C7 02 FF FF FF 1F E9 9D 00 00 00 8B 55 08 C7 02 FF FF FF 1F E9 8F 00 00 00 33 C0 E9 88 00 00 00 0F B6 55 0C FE CA 74 06 FE CA 74 0D EB 16 8B 55 08 C7 02 FF FF FF 1F EB 6F 8B 55 08 C7 02 FF FF FF 1F EB 64 33 C0 EB 60 0F B6 55 0C 80 EA 01 72 08 74 11 FE CA 74 18 EB 21 8B 55 08 C7 02 FF FF FF 1F EB 44 8B 55 08 C7 02 FF FF FF 1F EB 39 8B 55 08 C7 02 FF FF FF 1F EB 2E 33 C0 EB 2A 0F B6 55 0C FE CA 74 06 FE CA 74 0D EB 16 8B 55 08 C7 02 FF FF FF 1F EB 11 8B 55 08 C7 02 FF FF FF 1F EB 06 33 C0 EB 02 33 C0 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_87292_0 {
	meta:
		name = "TUxThemeTextLabelElements.DrawText"
		size = 793
		refs = "005b TCustomStyleServices.DrawText 0065 TOSVersion.FMajor 0080 @FillChar 00d6 ColorToRGB 0125 TPoint.Create 0164 TStyleManager.GetSystemStyle 01a2 TTextFormatFlags.&op_Implicit 01b0 @UStrToPWChar 01cc DrawThemeTextEx 0207 OffsetRect 0243 SetTextColor 024e TUxThemeTextLabelElements.DrawText 0279 DrawText 0308 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 58 FF FF FF 53 56 57 8B 75 08 8D 7D C8 51 B9 08 00 00 00 F3 A5 59 89 4D F8 89 55 FC 8B F8 8B 5D 0C 8B 75 14 83 7D 18 02 74 05 F6 C3 02 74 30 56 8B 45 10 50 53 8D 45 C8 50 8D 8D 60 FF FF FF B2 02 8B 45 FC 8B 18 FF 53 7C 8D 8D 60 FF FF FF 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E9 AC 02 00 00 A1 ?? ?? ?? ?? 83 38 06 0F 8C 68 01 00 00 8D 85 78 FF FF FF 33 C9 BA 40 00 00 00 E8 ?? ?? ?? ?? C7 85 78 FF FF FF 40 00 00 00 8B 85 7C FF FF FF 83 C8 01 83 C8 04 83 C8 08 83 C8 10 89 85 7C FF FF FF 8B 45 18 50 6A 0E 8D 45 F0 50 8B 4D 1C 8B 55 FC 8B C7 FF 50 14 84 C0 74 11 81 7D F0 FF FF FF 1F 74 08 8B 45 F0 89 45 80 EB 0D B8 10 00 00 FF E8 ?? ?? ?? ?? 89 45 80 8B 45 18 50 6A 02 8D 45 F0 50 8B 4D 1C 8B 55 FC 8B C7 FF 50 14 84 C0 74 11 81 7D F0 FF FF FF 1F 74 08 8B 45 F0 89 45 88 EB 0D B8 14 00 00 FF E8 ?? ?? ?? ?? 89 45 88 8D 85 58 FF FF FF B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 89 45 90 8B 85 5C FF FF FF 89 45 94 C7 45 8C 01 00 00 00 F7 C3 00 00 80 00 74 0A 81 8D 7C FF FF FF 00 20 00 00 F6 C3 02 74 0A 81 8D 7C FF FF FF 00 02 00 00 E8 ?? ?? ?? ?? 8D 8D 6C FF FF FF B2 05 8B 38 FF 57 7C E8 ?? ?? ?? ?? 0F B6 95 6C FF FF FF 8B 08 FF 51 50 89 45 E8 8B FE 85 FF 74 05 83 EF 04 8B 3F 8D 85 78 FF FF FF 50 8B 45 10 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 57 8B C6 E8 ?? ?? ?? ?? 50 8B 85 74 FF FF FF 50 8B 85 70 FF FF FF 50 8B 45 F8 50 8B 45 E8 50 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 E9 36 01 00 00 8B 45 10 56 57 8B F0 8D 7D B8 A5 A5 A5 A5 5F 5E 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 45 B8 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 18 50 6A 02 8D 45 F0 50 8B 4D 1C 8B 55 FC 8B C7 FF 50 14 84 C0 74 09 81 7D F0 FF FF FF 1F 75 0D B8 14 00 00 FF E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 50 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DE 85 DB 74 05 83 EB 04 8B 1B 8B 45 F4 50 8D 45 B8 50 53 8B C6 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8D 45 B8 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 8B 45 18 50 6A 0E 8D 45 F0 50 8B 4D 1C 8B 55 FC 8B C7 FF 50 14 84 C0 74 09 81 7D F0 FF FF FF 1F 75 0D B8 10 00 00 FF E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B DE 85 DB 74 05 83 EB 04 8B 1B 8B 45 F4 50 8D 45 B8 50 53 8B C6 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B0 01 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_87293_0 {
	meta:
		name = "TUxThemeTextLabelElements.GetElementColor"
		size = 85
		refs = "002c ColorToRGB"
	strings:
		$1 = { 55 8B EC 53 B3 01 0F B6 45 10 2C 02 74 06 FE C8 74 06 EB 38 33 DB EB 36 0F B6 45 0C 2C 02 74 06 2C 0C 74 13 EB 22 B8 14 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 17 B8 10 00 00 FF E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 06 33 DB EB 02 33 DB 8B C3 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_87294_0 {
	meta:
		name = "TUxThemeTextLabelElements.GetElementContentRect"
		size = 27
	strings:
		$1 = { 55 8B EC 56 57 8B 45 0C 8B 55 08 8B F0 8B FA A5 A5 A5 A5 B0 01 5F 5E 5D C2 10 00 }
	condition:
		$1
}

rule function_87295_0 {
	meta:
		name = "TUxThemeTextLabelElements.GetTextExtent"
		size = 128
		refs = "0030 TRect.Create 0045 TUxThemeTextLabelElements.GetTextExtent 006c TCustomStyleServices.DrawText"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D FC 8B F2 8B 5D 08 8B 45 0C 85 C0 74 0C 56 8B F0 8B FB A5 A5 A5 A5 5E EB 1B 6A 00 6A 00 33 C9 33 D2 8D 45 EC E8 ?? ?? ?? ?? 56 8B FB 8D 75 EC A5 A5 A5 A5 5E 8B 45 14 50 53 A1 ?? ?? ?? ?? 0B 45 10 50 68 FF FF FF 1F 0F B6 55 18 8D 4D E0 8B C6 8B 18 FF 93 E0 00 00 00 8D 4D E0 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 18 00 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_87296_0 {
	meta:
		name = "TUxThemeCategoryButtonElements.DrawElement"
		size = 112
		refs = "003a TCustomStyleServices.DrawElement"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8B DA 0F B6 45 10 2C 08 74 06 FE C8 74 27 EB 4A 8B 45 0C 50 8B 45 08 50 8D 4D F4 B2 09 8B C3 8B 38 FF 97 F8 00 00 00 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? EB 27 8B 45 0C 50 8B 45 08 50 8D 4D F4 B2 08 8B C3 8B 38 FF 97 F8 00 00 00 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_87297_0 {
	meta:
		name = "TUxThemeCategoryButtonElements.GetElementColor"
		size = 415
		refs = "0015 TUxThemeCategoryButtonElements.GetElementColor"
	strings:
		$1 = { 55 8B EC B0 01 0F B6 55 10 83 FA 0B 0F 87 87 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B6 55 0C FE CA 75 0E 8B 55 08 C7 02 FF FF FF 1F E9 3C 01 00 00 33 C0 E9 35 01 00 00 0F B6 55 0C 80 EA 02 74 27 80 EA 07 74 06 FE CA 74 10 EB 2A 8B 55 08 C7 02 FF FF FF 1F E9 13 01 00 00 8B 55 08 C7 02 FF FF FF 1F E9 05 01 00 00 8B 55 08 C7 02 FF FF FF 1F E9 F7 00 00 00 33 C0 E9 F0 00 00 00 0F B6 55 0C 80 EA 02 74 27 80 EA 07 74 06 FE CA 74 10 EB 2A 8B 55 08 C7 02 FF FF FF 1F E9 CE 00 00 00 8B 55 08 C7 02 FF FF FF 1F E9 C0 00 00 00 8B 55 08 C7 02 FF FF FF 1F E9 B2 00 00 00 33 C0 E9 AB 00 00 00 0F B6 55 0C 80 EA 01 72 12 FE CA 75 1C 8B 55 08 C7 02 FF FF FF 1F E9 90 00 00 00 8B 55 08 C7 02 FF FF FF 1F E9 82 00 00 00 33 C0 EB 7E 0F B6 55 0C 80 EA 01 72 0F FE CA 75 16 8B 55 08 C7 02 FF FF FF 1F EB 66 8B 55 08 C7 02 FF FF FF 1F EB 5B 33 C0 EB 57 0F B6 55 0C 80 EA 01 72 0F FE CA 75 16 8B 55 08 C7 02 FF FF FF 1F EB 3F 8B 55 08 C7 02 FF FF FF 1F EB 34 33 C0 EB 30 0F B6 55 0C FE CA 75 0B 8B 55 08 C7 02 FF FF FF 1F EB 1D 33 C0 EB 19 0F B6 55 0C FE CA 75 0B 8B 55 08 C7 02 FF FF FF 1F EB 06 33 C0 EB 02 33 C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_87298_0 {
	meta:
		name = "TUxThemeCategoryPanelGroupElements.DrawElement"
		size = 371
		refs = "001d TUxThemeCategoryPanelGroupElements.DrawElement 007b TCustomStyleServices.DrawElement"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8B DA 0F B6 45 10 83 F8 13 0F 87 4E 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 00 00 00 01 00 00 00 00 00 00 00 00 00 02 03 04 05 06 07 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8D 4D F4 B2 18 8B C3 8B 38 FF 97 80 00 00 00 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? E9 E6 00 00 00 8B 45 0C 50 8B 45 08 50 8D 4D F4 B2 12 8B C3 8B 38 FF 97 80 00 00 00 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? E9 BE 00 00 00 8B 45 0C 50 8B 45 08 50 8D 4D F4 B2 13 8B C3 8B 38 FF 97 80 00 00 00 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? E9 96 00 00 00 8B 45 0C 50 8B 45 08 50 8D 4D F4 B2 14 8B C3 8B 38 FF 97 80 00 00 00 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? EB 71 8B 45 0C 50 8B 45 08 50 8D 4D F4 B2 15 8B C3 8B 38 FF 97 80 00 00 00 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? EB 4C 8B 45 0C 50 8B 45 08 50 8D 4D F4 B2 16 8B C3 8B 38 FF 97 80 00 00 00 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? EB 27 8B 45 0C 50 8B 45 08 50 8D 4D F4 B2 17 8B C3 8B 38 FF 97 80 00 00 00 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_87299_0 {
	meta:
		name = "TUxThemeCategoryPanelGroupElements.DrawText"
		size = 222
		refs = "0026 TUxThemeCategoryPanelGroupElements.DrawText 0056 @UStrLAsg 005e TTextFormatFlags.&op_Implicit 0077 @UStrToPWChar 007e DrawText 00ac TCustomStyleServices.DrawText 00c7 @UStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D FC 8B 75 08 8D 7D D4 51 B9 08 00 00 00 F3 A5 59 89 4D F8 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 0F B6 45 18 2C 03 74 06 FE C8 74 46 EB 74 8B 75 14 85 F6 74 05 83 EE 04 8B 36 8B 7D F8 8D 45 FC 8B 55 14 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 50 8B 45 10 50 56 8B 45 FC E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? EB 32 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8D 45 D4 50 8D 4D C8 B2 18 8B C6 8B 18 FF 93 80 00 00 00 8D 4D C8 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_87300_0 {
	meta:
		name = "TUxThemeCategoryPanelGroupElements.GetElementColor"
		size = 145
	strings:
		$1 = { 55 8B EC B0 01 0F B6 55 10 80 EA 02 74 13 FE CA 74 26 80 C2 FE 80 EA 03 72 47 80 EA 03 72 57 EB 6A 0F B6 55 0C FE CA 75 0B 8B 55 08 C7 02 FF FF FF 1F EB 59 33 C0 EB 55 0F B6 55 0C 80 EA 09 74 06 FE CA 74 0D EB 16 8B 55 08 C7 02 FF FF FF 1F EB 3B 8B 55 08 C7 02 FF FF FF 1F EB 30 33 C0 EB 2C 80 7D 0C 01 75 0B 8B 55 08 C7 02 FF FF FF 1F EB 1B 33 C0 EB 17 80 7D 0C 01 75 0B 8B 55 08 C7 02 FF FF FF 1F EB 06 33 C0 EB 02 33 C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_87301_0 {
	meta:
		name = "TUxThemeCategoryPanelGroupElements.GetElementSize"
		size = 308
		refs = "0026 TUxThemeCategoryPanelGroupElements.GetElementSize 007a TSize.Create 00f5 TCustomStyleServices.GetElementSize"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 89 4D FC 8B F2 B3 01 C6 45 FB 00 0F B6 45 14 83 C0 FB 83 F8 0E 0F 87 99 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 80 7D 0C 01 75 25 8D 45 F0 B9 10 00 00 00 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F0 89 10 8B 55 F4 89 50 04 E9 99 00 00 00 33 DB E9 92 00 00 00 C6 45 FB 08 EB 20 C6 45 FB 09 EB 1A C6 45 FB 0A EB 14 C6 45 FB 15 EB 0E C6 45 FB 16 EB 08 C6 45 FB 17 EB 02 33 DB 84 DB 74 68 80 7D 0C 01 75 60 83 7D 10 00 74 2F 8B 45 10 50 0F B6 45 0C 50 8B 45 08 50 0F B6 55 FB 8D 4D E4 8B C6 8B 18 FF 93 80 00 00 00 8D 4D E4 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 2D 0F B6 45 0C 50 8B 45 08 50 0F B6 55 FB 8D 4D E4 8B C6 8B 18 FF 93 80 00 00 00 8D 4D E4 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 8B C3 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_87302_0 {
	meta:
		name = "TUxThemePanelElements.DrawText"
		size = 77
		refs = "0040 TCustomStyleServices.DrawText"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 75 08 8D 7D E0 51 B9 08 00 00 00 F3 A5 59 8B F1 8B DA 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8D 45 E0 50 8D 4D D4 B2 02 8B C3 8B 38 FF 57 7C 8D 4D D4 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_87303_0 {
	meta:
		name = "TUxThemePanelElements.GetElementColor"
		size = 307
		refs = "00ce TUxThemePanelElements.GetElementColor"
	strings:
		$1 = { 55 8B EC B0 01 0F B6 55 10 80 EA 02 74 18 FE CA 74 45 4A 80 EA 04 72 71 80 EA 02 0F 82 A1 00 00 00 E9 07 01 00 00 0F B6 55 0C FE CA 74 06 FE CA 74 10 EB 1C 8B 55 08 C7 02 FF FF FF 1F E9 ED 00 00 00 8B 55 08 C7 02 FF FF FF 1F E9 DF 00 00 00 33 C0 E9 D8 00 00 00 0F B6 55 0C 80 EA 04 74 06 FE CA 74 10 EB 1C 8B 55 08 C7 02 FF FF FF 1F E9 BB 00 00 00 8B 55 08 C7 02 FF FF FF 1F E9 AD 00 00 00 33 C0 E9 A6 00 00 00 0F B6 55 0C 80 EA 01 72 08 74 14 FE CA 74 1B EB 24 8B 55 08 C7 02 FF FF FF 1F E9 87 00 00 00 8B 55 08 C7 02 FF FF FF 1F EB 7C 8B 55 08 C7 02 FF FF FF 1F EB 71 33 C0 EB 6D 0F B6 55 0C 83 FA 07 77 5E FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 08 C7 02 FF FF FF 1F EB 32 8B 55 08 C7 02 FF FF FF 1F EB 27 8B 55 08 C7 02 FF FF FF 1F EB 1C 8B 55 08 C7 02 FF FF FF 1F EB 11 8B 55 08 C7 02 FF FF FF 1F EB 06 33 C0 EB 02 33 C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_87304_0 {
	meta:
		name = "TUxThemeCheckListBoxElements.GetElementColor"
		size = 165
	strings:
		$1 = { 55 8B EC B0 01 0F B6 55 10 80 EA 02 74 11 FE CA 74 25 FE CA 74 39 FE CA 74 5D E9 80 00 00 00 0F B6 55 0C 80 EA 02 75 0B 8B 55 08 C7 02 FF FF FF 1F EB 6E 33 C0 EB 6A 0F B6 55 0C 80 EA 02 75 0B 8B 55 08 C7 02 FF FF FF 1F EB 56 33 C0 EB 52 0F B6 55 0C FE CA 74 06 FE CA 74 0D EB 16 8B 55 08 C7 02 FF FF FF 1F EB 39 8B 55 08 C7 02 FF FF FF 1F EB 2E 33 C0 EB 2A 0F B6 55 0C FE CA 74 06 FE CA 74 0D EB 16 8B 55 08 C7 02 FF FF FF 1F EB 11 8B 55 08 C7 02 FF FF FF 1F EB 06 33 C0 EB 02 33 C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_87306_0 {
	meta:
		name = "TStyleElementEdges.&op_Implicit"
		size = 19
	strings:
		$1 = { 51 88 04 24 0F B6 04 24 88 44 24 01 0F B6 44 24 01 5A C3 }
	condition:
		$1
}

rule function_87307_0 {
	meta:
		name = "TStyleElementEdges.&op_Implicit"
		size = 50
		refs = "000b CFlags"
	strings:
		$1 = { 53 56 51 88 04 24 33 F6 33 C0 BA ?? ?? ?? ?? 8B C8 80 F9 07 77 0A 83 E1 7F 0F B6 1C 24 0F A3 CB 73 02 0B 32 40 83 C2 04 3C 08 75 E3 8B C6 5A 5E 5B C3 }
	condition:
		$1
}

rule function_87308_0 {
	meta:
		name = "TStyleElementEdges.&op_Implicit"
		size = 152
		refs = "0007 TStyleElementEdges.&op_Implicit"
	strings:
		$1 = { 53 51 8B D8 0F B6 05 ?? ?? ?? ?? 88 04 24 B8 01 00 00 00 23 C3 83 F8 01 75 04 80 0C 24 04 B8 02 00 00 00 23 C3 83 F8 02 75 04 80 0C 24 08 B8 04 00 00 00 23 C3 83 F8 04 75 04 80 0C 24 01 B8 08 00 00 00 23 C3 83 F8 08 75 04 80 0C 24 02 B8 05 00 00 00 23 C3 83 F8 05 75 04 80 0C 24 40 B8 0A 00 00 00 23 C3 83 F8 0A 75 04 80 0C 24 80 B8 06 00 00 00 23 C3 83 F8 06 75 04 80 0C 24 20 83 E3 09 83 FB 09 75 04 80 0C 24 10 0F B6 04 24 5A 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_87311_0 {
	meta:
		name = "TStyleElementEdgeFlags.&op_Implicit"
		size = 45
		refs = "000a CFlags"
	strings:
		$1 = { 56 51 89 04 24 33 F6 33 C0 BA ?? ?? ?? ?? 8B C8 80 F9 1F 77 07 83 E1 7F 0F A3 0C 24 73 02 0B 32 40 83 C2 04 3C 13 75 E6 8B C6 5A 5E C3 }
	condition:
		$1
}

rule function_87312_0 {
	meta:
		name = "TStyleElementEdgeFlags.&op_Implicit"
		size = 356
		refs = "0008 TStyleElementEdgeFlags.&op_Implicit"
	strings:
		$1 = { 53 56 51 8B D8 8B F4 A1 ?? ?? ?? ?? 89 06 B8 01 00 00 00 23 C3 83 F8 01 75 03 83 0E 01 B8 02 00 00 00 23 C3 83 F8 02 75 03 83 0E 02 B8 04 00 00 00 23 C3 83 F8 04 75 03 83 0E 04 B8 08 00 00 00 23 C3 83 F8 08 75 03 83 0E 08 B8 03 00 00 00 23 C3 83 F8 03 75 03 83 0E 10 B8 06 00 00 00 23 C3 83 F8 06 75 03 83 0E 20 B8 09 00 00 00 23 C3 83 F8 09 75 03 83 0E 40 B8 0C 00 00 00 23 C3 83 F8 0C 75 06 81 0E 80 00 00 00 B8 0F 00 00 00 23 C3 83 F8 0F 75 06 81 0E 00 01 00 00 B8 10 00 00 00 23 C3 83 F8 10 75 06 81 0E 00 02 00 00 B8 16 00 00 00 23 C3 83 F8 16 75 06 81 0E 00 04 00 00 B8 13 00 00 00 23 C3 83 F8 13 75 06 81 0E 00 08 00 00 B8 19 00 00 00 23 C3 83 F8 19 75 06 81 0E 00 10 00 00 B8 1C 00 00 00 23 C3 83 F8 1C 75 06 81 0E 00 20 00 00 B8 00 08 00 00 23 C3 3D 00 08 00 00 75 06 81 0E 00 40 00 00 B8 00 10 00 00 23 C3 3D 00 10 00 00 75 06 81 0E 00 80 00 00 B8 00 20 00 00 23 C3 3D 00 20 00 00 75 06 81 0E 00 00 01 00 B8 00 40 00 00 23 C3 3D 00 40 00 00 75 06 81 0E 00 00 02 00 81 E3 00 80 00 00 81 FB 00 80 00 00 75 06 81 0E 00 00 04 00 8B 06 5A 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_87313_0 {
	meta:
		name = "TUxThemeTabSetElements.GetElementColor"
		size = 303
		refs = "0048 TUxThemeTabSetElements.GetElementColor"
	strings:
		$1 = { 55 8B EC B0 01 0F B6 55 10 80 EA 02 74 11 FE CA 74 2A FE CA 0F 84 99 00 00 00 E9 0A 01 00 00 0F B6 55 0C FE CA 75 0E 8B 55 08 C7 02 FF FF FF 1F E9 F6 00 00 00 33 C0 E9 EF 00 00 00 0F B6 55 0C 83 FA 07 77 6A FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 08 C7 02 FF FF FF 1F E9 B1 00 00 00 8B 55 08 C7 02 FF FF FF 1F E9 A3 00 00 00 8B 55 08 C7 02 FF FF FF 1F E9 95 00 00 00 8B 55 08 C7 02 FF FF FF 1F E9 87 00 00 00 8B 55 08 C7 02 FF FF FF 1F EB 7C 33 C0 EB 78 0F B6 55 0C 83 FA 07 77 69 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 08 C7 02 FF FF FF 1F EB 3D 8B 55 08 C7 02 FF FF FF 1F EB 32 8B 55 08 C7 02 FF FF FF 1F EB 27 8B 55 08 C7 02 FF FF FF 1F EB 1C 8B 55 08 C7 02 FF FF FF 1F EB 11 8B 55 08 C7 02 FF FF FF 1F EB 06 33 C0 EB 02 33 C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_87314_0 {
	meta:
		name = "TUxThemeControlBarElements.GetElementColor"
		size = 61
	strings:
		$1 = { 55 8B EC B0 01 0F B6 55 10 80 EA 02 75 29 0F B6 55 0C 80 EA 09 74 06 FE CA 74 0D EB 16 8B 55 08 C7 02 FF FF FF 1F EB 11 8B 55 08 C7 02 FF FF FF 1F EB 06 33 C0 EB 02 33 C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_87315_0 {
	meta:
		name = "TUxThemeHintElements.GetElementColor"
		size = 158
	strings:
		$1 = { 55 8B EC B0 01 0F B6 55 10 80 EA 02 74 09 FE CA 74 3E E9 81 00 00 00 0F B6 55 0C 80 EA 02 74 21 80 EA 07 74 06 FE CA 74 0D EB 21 8B 55 08 C7 02 FF FF FF 1F EB 64 8B 55 08 C7 02 FF FF FF 1F EB 59 8B 55 08 C7 02 FF FF FF 1F EB 4E 33 C0 EB 4A 0F B6 55 0C 80 EA 01 72 0F FE CA 74 2C 80 EA 07 74 11 FE CA 74 18 EB 2C 8B 55 08 C7 02 FF FF FF 1F EB 27 8B 55 08 C7 02 FF FF FF 1F EB 1C 8B 55 08 C7 02 FF FF FF 1F EB 11 8B 55 08 C7 02 FF FF FF 1F EB 06 33 C0 EB 02 33 C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_87316_0 {
	meta:
		name = "TElementMarginsHelper.Create"
		size = 23
	strings:
		$1 = { 8B 08 89 0A 8B 48 04 89 4A 08 8B 48 08 89 4A 04 8B 40 0C 89 42 0C C3 }
	condition:
		$1
}

rule function_87317_0 {
	meta:
		name = "TElementMarginsHelper.Create"
		size = 26
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 89 03 89 53 08 89 4B 04 8B 45 0C 89 43 0C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_87318_0 {
	meta:
		name = "TStyleHook.Create"
		size = 141
		refs = "000b @ClassCreate 003d _Dn_TBrush 0042 TBrush.Create 004c TStyleManager.GetActiveStyle 0053 TCustomStyleServices.GetStyleColor 005c TBrush.SetColor 006b TCustomStyleServices.GetSystemColor 0079 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 89 4F 08 C6 47 0C 00 C6 47 17 00 C6 47 16 00 C6 47 18 00 C6 47 0D 00 C6 47 15 00 C6 47 19 00 C6 47 14 00 C6 47 0F 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 04 E8 ?? ?? ?? ?? B2 1D E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 08 00 00 FF E8 ?? ?? ?? ?? 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87320_0 {
	meta:
		name = "TStyleHook.CallDefaultProc"
		size = 42
	strings:
		$1 = { 53 56 8B D8 80 7B 0C 00 74 0C 8B 5B 08 8B 43 44 FF 53 40 5E 5B C3 C6 43 0C 01 8B 73 08 8B 46 44 FF 56 40 C6 43 0C 00 5E 5B C3 }
	condition:
		$1
}

rule function_87321_0 {
	meta:
		name = "TStyleHook.DrawControlText"
		size = 185
		refs = "001f TCanvas.SetFont 0027 TTextFormatFlags.&op_Implicit 0033 TStyleManager.GetActiveStyle 003d TCustomStyleServices.GetElementColor 004c TFont.SetColor 0068 TCanvas.GetHandle 0077 TCustomStyleServices.DrawText"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8D 7D EC A5 A5 A5 8B DA 8B 75 10 8B 40 08 8B 50 6C 8B C3 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 89 45 F8 8D 45 FC 50 E8 ?? ?? ?? ?? B1 02 8D 55 EC E8 ?? ?? ?? ?? 84 C0 74 38 8B 55 FC 8B 43 40 E8 ?? ?? ?? ?? 56 8B 45 0C 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 43 40 8B 40 18 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D EC 5A E8 ?? ?? ?? ?? EB 33 8B C3 8B 10 FF 92 80 00 00 00 56 8B 45 0C 50 8B 45 F8 E8 ?? ?? ?? ?? 50 68 FF FF FF 1F 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D EC 5A E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_87322_0 {
	meta:
		name = "TStyleHook.HandleMessage"
		size = 100
		refs = "0047 TStyleManager.GetActiveStyle"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 C0 80 7B 0C 00 74 34 80 7B 15 00 75 4D 8B 16 81 FA 85 00 00 00 7F 0E 74 22 83 EA 0F 74 1D 83 EA 05 74 18 EB 35 81 C2 CE FE FF FF 83 EA 07 72 0B 81 C2 07 44 FF FF 83 EA 07 73 1F C6 43 14 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 84 C0 74 09 8B D6 8B C3 8B 08 FF 51 14 0F B6 43 14 5E 5B C3 }
	condition:
		$1
}

rule function_87323_0 {
	meta:
		name = "TStyleHook.GetStringPropValue"
		size = 184
		refs = "0012 TStyleHook.GetStringPropValue 001f @UStrClr 0031 @UStrEqual 0043 TControl.GetText 0054 GetPropInfo 0069 GetUnicodeStrProp 0073 @UStrAsg 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 83 7B 08 00 74 4E 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 10 83 7B 08 00 74 0A 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B 43 08 8B 00 83 C0 B8 8B 00 8B D7 E8 ?? ?? ?? ?? 85 C0 74 1B 8B 5B 08 8B F8 8D 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 61 00 70 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_87324_0 {
	meta:
		name = "TStyleHook.GetText"
		size = 120
		refs = "000f TStyleHook.GetHandle 002a GetWindowText 0035 @UStrFromPWCharLen 003e TStyleHook.GetText 0045 TStyleHook.GetStringPropValue 004f @UStrAsg"
	strings:
		$1 = { 53 56 81 C4 00 FE FF FF 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 24 68 00 01 00 00 8D 44 24 04 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C6 E8 ?? ?? ?? ?? EB 0E 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 43 1C 8B 16 E8 ?? ?? ?? ?? 81 C4 00 02 00 00 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 61 00 70 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_87325_0 {
	meta:
		name = "TStyleHook.SetRedraw"
		size = 53
		refs = "0013 TWinControl.HandleAllocated 0027 TWinControl.GetHandle 002d SendMessage"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B 77 08 80 7E 61 00 74 21 8B C6 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 0F B6 C3 50 6A 0B 8B 47 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87326_0 {
	meta:
		name = "TStyleHook.GetHandle"
		size = 29
		refs = "0007 TWinControl.HandleAllocated 0013 TWinControl.GetHandle"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 43 08 E8 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_87327_0 {
	meta:
		name = "TStyleHook.HasBorder"
		size = 72
		refs = "0006 TStyleHook.GetHandle 0012 GetWindowLongPtr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA F0 FF FF FF 52 50 E8 ?? ?? ?? ?? 25 00 00 80 00 3D 00 00 80 00 75 04 B0 01 5B C3 8B C3 E8 ?? ?? ?? ?? BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 25 00 02 00 00 3D 00 02 00 00 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_87328_0 {
	meta:
		name = "TStyleHook.HasClientEdge"
		size = 31
		refs = "0001 TStyleHook.GetHandle 000d GetWindowLongPtr"
	strings:
		$1 = { E8 ?? ?? ?? ?? BA EC FF FF FF 52 50 E8 ?? ?? ?? ?? 25 00 02 00 00 3D 00 02 00 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_87329_0 {
	meta:
		name = "TStyleHook.InvalidateNC"
		size = 39
		refs = "0007 TWinControl.HandleAllocated 001b TStyleHook.GetHandle 0021 SendMessage"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 68 85 00 00 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_87330_0 {
	meta:
		name = "TStyleHook.Invalidate"
		size = 47
		refs = "0007 TWinControl.HandleAllocated 0023 TStyleHook.GetHandle 0029 InvalidateRect"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 1E 80 7B 18 00 74 07 8B C3 8B 10 FF 52 24 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_87332_0 {
	meta:
		name = "TStyleHook.PaintBackground"
		size = 51
		refs = "0016 TBrush.SetColor"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B 43 04 8B 40 10 8B 50 18 8B 46 48 E8 ?? ?? ?? ?? 8B D4 8B 43 08 8B 08 FF 51 60 8B D4 8B C6 8B 08 FF 51 54 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_87334_0 {
	meta:
		name = "TStyleHook.WMPaint"
		size = 350
		refs = "0020 _Dn_TCanvas 0025 TCanvas.Create 0030 TStyleHook.WMPaint 0047 TCanvas.SetHandle 0058 TWinControl.GetHandle 005e BeginPaint 0086 _Dn_TBitmap 008b TBitmap.Create 00b8 TBitmap.GetCanvas 00f9 TObject.Free 00ff @HandleFinally 0127 EndPaint"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 89 45 FC 8B 45 FC 80 78 17 00 0F 84 42 01 00 00 8B 42 04 89 45 F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D F8 00 74 0D 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? EB 1F 8D 45 B0 50 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 80 78 0D 00 0F 84 8C 00 00 00 83 7D F8 00 0F 85 82 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 08 8B 48 54 8B 50 50 8B 45 F4 8B 18 FF 53 6C 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 0C 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 08 8B 45 F4 50 33 C9 33 D2 8B 45 F0 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F0 8B 45 FC 8B 08 FF 51 08 83 7D F8 00 75 15 8D 45 B0 50 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC C6 40 14 01 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87335_0 {
	meta:
		name = "TStyleHook.WMNCPaint"
		size = 162
		refs = "0019 _Dn_TCanvas 001e TCanvas.Create 0029 TStyleHook.WMNCPaint 003a TWinControl.GetHandle 0040 GetWindowDC 004a TCanvas.SetHandle 006a TCanvas.GetHandle 0073 TStyleHook.GetHandle 0079 ReleaseDC 008b TObject.Free 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 80 78 18 00 0F 84 88 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 8B 45 FC C6 40 14 01 59 59 5D C3 }
	condition:
		$1
}

rule function_87336_0 {
	meta:
		name = "TStyleHook.WMEraseBkgnd"
		size = 172
		refs = "002c _Dn_TCanvas 0031 TCanvas.Create 003c TStyleHook.WMEraseBkgnd 004c TCanvas.SetHandle 008a TObject.Free 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 8B 45 FC 80 78 16 00 0F 84 8D 00 00 00 8B 45 FC 80 78 0D 00 75 73 8B 5D F8 8B 5B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 0C 8B 45 FC 80 78 19 00 74 0B 8B 55 F4 8B 45 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC C6 40 14 01 8B 45 F8 C7 40 0C 01 00 00 00 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_87337_0 {
	meta:
		name = "TStyleHook.WMSetFocus"
		size = 16
	strings:
		$1 = { C6 40 0E 01 80 78 0F 00 74 05 8B 10 FF 52 20 C3 }
	condition:
		$1
}

rule function_87338_0 {
	meta:
		name = "TStyleHook.WMKillFocus"
		size = 16
	strings:
		$1 = { C6 40 0E 00 80 78 0F 00 74 05 8B 10 FF 52 20 C3 }
	condition:
		$1
}

rule function_87343_0 {
	meta:
		name = "TStyleHook.WndProc"
		size = 131
		refs = "0033 SendMessage 0040 ColorToRGB 004a SetTextColor 0062 SetBkColor 006a TBrush.GetHandle"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F0 8B 3B 8B C7 05 CE FE FF FF 83 E8 07 72 0C 05 07 44 FF FF 83 E8 07 72 1C EB 53 8B 6B 08 55 8B 43 04 50 81 C7 00 BC 00 00 57 55 E8 ?? ?? ?? ?? 89 43 0C EB 39 8B 46 10 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B 46 04 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 89 43 0C C6 46 14 01 8B D3 8B C6 8B 08 FF 51 EC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87344_0 {
	meta:
		name = "TMouseTrackControlStyleHook.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TStyleHook.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 24 00 C6 46 25 00 C6 46 0E 00 33 C0 89 46 20 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_87345_0 {
	meta:
		name = "TMouseTrackControlStyleHook.Destroy"
		size = 49
		refs = "0003 @BeforeDestruction 0014 TMouseTrackControlStyleHook.StopHotTrackTimer 001f TStyleHook.Destroy 002a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 20 00 74 07 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87346_0 {
	meta:
		name = "TMouseTrackControlStyleHook.IsMouseInControl"
		size = 48
		refs = "0009 GetCursorPos 0016 WindowFromPoint 001f TStyleHook.GetHandle"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 54 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 94 C0 88 43 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_87347_0 {
	meta:
		name = "TMouseTrackControlStyleHook.StartHotTrackTimer"
		size = 76
		refs = "000d TMouseTrackControlStyleHook.StopHotTrackTimer 0016 _Dn_TTimer 001b TTimer.Create 002c TTimer.SetInterval 003b TTimer.SetOnTimer 0045 TTimer.SetEnabled"
	strings:
		$1 = { 53 56 8B D8 83 7B 20 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 20 BA 64 00 00 00 8B C6 E8 ?? ?? ?? ?? 53 8B 03 8B 40 28 50 8B 43 20 E8 ?? ?? ?? ?? B2 01 8B 43 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87348_0 {
	meta:
		name = "TMouseTrackControlStyleHook.StopHotTrackTimer"
		size = 35
		refs = "000d TTimer.SetEnabled 001d TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 20 85 C0 74 17 33 D2 E8 ?? ?? ?? ?? 8D 43 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_87349_0 {
	meta:
		name = "TMouseTrackControlStyleHook.DoHotTrackTimer"
		size = 62
		refs = "0009 GetCursorPos 0016 WindowFromPoint 001f TStyleHook.GetHandle 002a TMouseTrackControlStyleHook.StopHotTrackTimer"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 54 E8 ?? ?? ?? ?? FF 74 24 04 FF 74 24 04 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 74 12 8B C3 E8 ?? ?? ?? ?? C6 43 24 00 8B C3 8B 10 FF 52 30 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_87350_0 {
	meta:
		name = "TMouseTrackControlStyleHook.WMMouseMove"
		size = 74
		refs = "001d TMouseTrackControlStyleHook.StartHotTrackTimer 0039 TMouseTrackControlStyleHook.StopHotTrackTimer"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 80 7E 24 00 75 1A 80 7E 25 00 75 14 C6 46 24 01 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 2C 5E C3 80 7E 25 00 74 18 80 7E 24 00 74 12 8B C6 E8 ?? ?? ?? ?? C6 46 24 00 8B C6 8B 10 FF 52 30 5E C3 }
	condition:
		$1
}

rule function_87351_0 {
	meta:
		name = "TMouseTrackControlStyleHook.WMNCMouseMove"
		size = 36
		refs = "0017 TMouseTrackControlStyleHook.StartHotTrackTimer"
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 80 7E 24 00 75 12 C6 46 24 01 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 2C 5E C3 }
	condition:
		$1
}

rule function_87355_0 {
	meta:
		name = "TCustomStyleEngine.Destroy@"
		size = 133
		refs = "0008 TCustomStyleEngine.$ClassInitFlag 000f TCustomStyleEngine.FRegisteredStyleHooks 0014 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.GetEnumerator 001f TCustomStyleEngine.Destroy@ 0032 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TPairEnumerator.GetCurrent 003a TObject.Free 0042 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.TPairEnumerator.MoveNext 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 FF 05 ?? ?? ?? ?? 75 73 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 13 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_87356_0 {
	meta:
		name = "TCustomStyleEngine.RegisterStyleHook"
		size = 149
		refs = "0009 TCustomStyleEngine.FRegisteredStyleHooks 0015 _DV_TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>> 001a TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Create 002b TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.ContainsKey 0036 _DV_TList<Vcl.Themes.TStyleHookClass> 003b TList<Vcl.Themes.TStyleHookClass>.Create 0046 TList<Vcl.Themes.TStyleHookClass>.Add 0054 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.Add 0062 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.GetItem 006d TList<Vcl.Themes.TStyleHookClass>.IndexOf 0084 TList<Vcl.Themes.TStyleHookClass>.Remove"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 83 3D ?? ?? ?? ?? 00 75 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 27 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B CB 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 37 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D7 8B C3 E8 ?? ?? ?? ?? 40 75 0B 8B D7 8B C3 E8 ?? ?? ?? ?? EB 12 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87357_0 {
	meta:
		name = "TCustomStyleEngine.UnRegisterStyleHook"
		size = 420
		refs = "0019 TCustomStyleEngine.UnRegisterStyleHook 003b SStyleInvalidParameter 0042 _DV_EStyleEngineException 0047 Exception.CreateResFmt 004c @RaiseExcept 007f TCustomStyleEngine.FRegisteredStyleHooks 0092 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.ContainsKey 00a6 TDictionary<System.TClass,System.Generics.Collections.TList<Vcl.Themes.TStyleHookClass>>.GetItem 00b1 TList<Vcl.Themes.TStyleHookClass>.IndexOf 00bd TList<Vcl.Themes.TStyleHookClass>.Remove 00c9 TPair<System.TClass,Vcl.Themes.TStyleHookClass>.Create 00ce TStyleManager.GetEngine 00e8 TObject.ClassName 0112 SStyleHookClassNotRegistered 013d @UStrArrayClr 0143 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D DC 89 5D D8 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 29 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 75 29 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 84 9D 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 89 00 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 40 74 2A 8B D6 8B C7 E8 ?? ?? ?? ?? 8B CE 8B D3 8D 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 51 8D 4D F8 8B 00 B2 01 FF 50 04 EB 45 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 89 45 E8 C6 45 EC 11 8D 45 E0 50 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 43 00 6C 00 61 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 74 00 79 00 6C 00 65 00 48 00 6F 00 6F 00 6B 00 43 00 6C 00 61 00 73 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_87358_0 {
	meta:
		name = "TThemedElementDetails.Create"
		size = 20
	strings:
		$1 = { 55 8B EC 56 8B 75 08 88 06 89 56 04 89 4E 08 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_87359_0 {
	meta:
		name = "TThemeServicesClassHelper.&op_Implicit"
		size = 31
		refs = "0013 _DV_TStyleManager 0018 TStyleManager.SetStyle"
	strings:
		$1 = { 53 56 8B D8 8B F4 B2 01 8B C3 FF 90 18 01 00 00 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_87360_0 {
	meta:
		name = "TThemeServicesClassHelper.&op_Implicit"
		size = 12
		refs = "0001 TStyleManager.GetActiveStyle"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 00 89 C2 8B C2 C3 }
	condition:
		$1
}

rule function_87486_0 {
	meta:
		name = "TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Create"
		size = 35
		refs = "000e @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 07 89 43 04 8B 47 04 89 43 08 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87497_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.SetItem"
		size = 132
		refs = "0011 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Hash 001c TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.GetBucketIndex 0026 SGenericItemNotFound 002d _Dn_EListError 0032 Exception.CreateRes 0037 @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F4 89 0C 24 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 03 D2 8B 4B 04 8B 74 D1 08 89 74 24 04 8B 74 D1 0C 89 74 24 08 8B 43 04 8B 0C 24 8B 31 89 74 D0 08 8B 71 04 89 74 D0 0C B1 01 8D 54 24 04 8B C3 8B 30 FF 56 0C 8B 14 24 33 C9 8B C3 8B 18 FF 53 0C 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_87498_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.RehashAdd"
		size = 90
		refs = "001a TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.GetBucketIndex 003a @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 F7 D6 8B FE 03 FF 8B 43 04 8B 55 FC 89 14 F8 8B 43 04 8D 44 F8 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8B 55 08 8B 0A 89 4C F8 08 8B 4A 04 89 4C F8 0C 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_87499_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.DoAdd"
		size = 96
		refs = "0026 @UStrAsg"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 89 55 FC 8B F0 8B FB 03 FF 8B 46 04 8B 55 FC 89 14 F8 8B 46 04 8D 44 F8 04 8B 55 0C E8 ?? ?? ?? ?? 8B 46 04 8B 55 08 8B 0A 89 4C F8 08 8B 4A 04 89 4C F8 0C FF 46 08 33 C9 8B 55 0C 8B C6 8B 18 FF 53 08 8B 55 08 33 C9 8B C6 8B 18 FF 53 0C 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_87500_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.DoSetValue"
		size = 76
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F0 8B C2 03 C0 8B 4E 04 8B 5C C1 08 89 1C 24 8B 5C C1 0C 89 5C 24 04 8B 56 04 8B 0F 89 4C C2 08 8B 4F 04 89 4C C2 0C B1 01 8B D4 8B C6 8B 18 FF 53 0C 8B D7 33 C9 8B C6 8B 18 FF 53 0C 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87501_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.DoRemove"
		size = 273
		refs = "0014 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.GetBucketIndex 0055 @DynArrayLength 0089 InCircularRange 00a7 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TItem 00ac @CopyRecord 00d8 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B F0 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 7D 0F 8B 55 08 33 C0 89 02 89 42 04 E9 DB 00 00 00 8B C3 03 C0 8B 56 04 C7 04 C2 FF FF FF FF 8B 56 04 8B 4D 08 8B 7C C2 08 89 39 8B 7C C2 0C 89 79 04 8B FB 43 8B 46 04 E8 ?? ?? ?? ?? 3B D8 75 02 33 DB 8B C3 03 C0 8B 56 04 8B 04 C2 89 45 F8 83 7D F8 FF 74 50 8B 46 04 E8 ?? ?? ?? ?? 48 23 45 F8 89 45 F4 8B CB 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 84 C0 75 BF 8B C7 03 C0 8B 56 04 8D 04 C2 8B D3 03 D2 8B 4E 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FB 8B C7 03 C0 8B 56 04 C7 04 C2 FF FF FF FF EB 8E 8B DF 03 DB 8B 46 04 C7 04 D8 FF FF FF FF 8B 46 04 8D 44 D8 04 E8 ?? ?? ?? ?? 8B 56 04 33 C0 89 44 DA 08 89 44 DA 0C FF 4E 08 0F B6 5D 0C 8B CB 8B 55 FC 8B C6 8B 38 FF 57 08 8B CB 8B 55 08 8B C6 8B 18 FF 53 0C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_87513_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.ExtractPair"
		size = 97
		refs = "0012 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Hash 001f TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.GetBucketIndex 0037 TPair<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Create 004b TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.DoRemove"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 85 C0 7D 16 33 C0 89 04 24 89 44 24 04 8B CC 8B D3 8B C5 E8 ?? ?? ?? ?? EB 1D 6A 02 8D 44 24 04 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B CC 8B D3 8B C5 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87516_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TryGetValue"
		size = 80
		refs = "0010 TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.Hash 001b TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.GetBucketIndex"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 9D C3 84 DB 74 17 03 C0 8B 57 04 8B 0C 24 8B 74 C2 08 89 31 8B 74 C2 0C 89 71 04 EB 0A 8B 14 24 33 C0 89 02 89 42 04 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_87552_0 {
	meta:
		name = "TDictionary<System.string,Vcl.Themes.TStyleManager.TSourceInfo>.TPairEnumerator.GetCurrent"
		size = 56
		refs = "0018 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 03 D2 8B 4B 04 8B 49 04 8B 54 D1 04 E8 ?? ?? ?? ?? 8B 43 08 03 C0 8B 53 04 8B 52 04 8B 4C C2 08 89 4E 04 8B 4C C2 0C 89 4E 08 5E 5B C3 }
	condition:
		$1
}

rule function_87581_0 {
	meta:
		name = "TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.InsertRange"
		size = 154
		refs = "0019 TStyleManager.TStyleClassDescriptor 001e @InitializeRecord 0026 TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.InsertRange 004f TList<Vcl.Themes.TStyleManager.TStyleClassDescriptor>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 EC 8B 45 FC 8B 08 FF 51 18 8D 4D EC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88159_0 {
	meta:
		name = "TToolWindow.Create"
		size = 100
		refs = "000a @ClassCreate 0017 TWinControl.Create 0020 TToolWindow.Create 0049 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 0F B6 05 ?? ?? ?? ?? 88 86 78 02 00 00 C6 86 79 02 00 00 01 C6 86 7A 02 00 00 02 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 08 00 0F 00 00 00 }
	condition:
		$1
}

rule function_88160_0 {
	meta:
		name = "TToolWindow.SetEdgeBorders"
		size = 39
		refs = "0020 TWinControl.RecreateWnd"
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 04 24 3A 83 78 02 00 00 74 11 0F B6 04 24 88 83 78 02 00 00 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_88163_0 {
	meta:
		name = "TToolWindow.NCPaint"
		size = 228
		refs = "0012 TWinControl.GetHandle 0018 GetClientRect 0026 GetWindowRect 0038 MapWindowPoints 0048 OffsetRect 0062 ExcludeClipRect 0087 Ctl3DStyles 009b InnerStyles 00a9 OuterStyles 00b1 DrawEdge 00c6 IntersectClipRect 00d1 TBrush.GetHandle 00d9 FillRect"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8B D8 8D 7C 24 10 54 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 57 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 57 8B C3 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 4F 04 F7 D9 8B 17 F7 DA 8B C4 E8 ?? ?? ?? ?? 8B 44 24 0C 50 8B 44 24 0C 50 8B 44 24 0C 50 8B 44 24 0C 50 56 E8 ?? ?? ?? ?? 8B 4F 04 F7 D9 8B 17 F7 DA 8B C7 E8 ?? ?? ?? ?? 0F B6 83 78 02 00 00 0F B6 93 F1 01 00 00 0B 04 95 ?? ?? ?? ?? 0D 00 20 00 00 50 0F B6 83 79 02 00 00 8B 04 85 ?? ?? ?? ?? 0F B6 93 7A 02 00 00 0B 04 95 ?? ?? ?? ?? 50 57 56 E8 ?? ?? ?? ?? 8B 47 0C 50 8B 47 08 50 8B 47 04 50 8B 07 50 56 E8 ?? ?? ?? ?? 8B 83 C8 01 00 00 E8 ?? ?? ?? ?? 50 57 56 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88164_0 {
	meta:
		name = "TToolWindow.WMNCCalcSize"
		size = 113
		refs = "001b InflateRect 0069 TWinControl.WMNCCalcSize"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 47 08 8B F0 8B 83 C0 01 00 00 F7 D8 8B C8 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 80 BB 79 02 00 00 00 74 01 40 80 BB 7A 02 00 00 00 74 01 40 F6 83 78 02 00 00 01 74 02 01 06 F6 83 78 02 00 00 02 74 03 01 46 04 F6 83 78 02 00 00 04 74 03 29 46 08 F6 83 78 02 00 00 08 74 03 29 46 0C 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88165_0 {
	meta:
		name = "TToolWindow.WMNCPaint"
		size = 97
		refs = "000d TWinControl.GetHandle 0013 GetWindowDC 001e TToolWindow.WMNCPaint 0051 ReleaseDC 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC 8B 08 FF 91 F8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 59 59 5D C3 }
	condition:
		$1
}

rule function_88167_0 {
	meta:
		name = "TToolWindow.CMCtl3DChanged"
		size = 40
		refs = "0006 TWinControl.CMCtl3DChanged 000d TToolWindow.CMCtl3DChanged 001c TWinControl.RecreateWnd"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 3A 83 78 02 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_88168_0 {
	meta:
		name = "TToolDockObject.Create"
		size = 136
		refs = "0011 @ClassCreate 0022 TDragDockObject.Create 0036 GetCursorPos 003d TControl.GetUndockHeight 0049 TControl.GetUndockWidth 005c Bounds 0066 TControl.ManualFloat 0071 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 8B DA 8B F0 8B CF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 6C 84 C0 75 39 8D 45 F8 50 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 50 8D 45 E8 50 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 83 EA 0A 8B 45 F8 83 E8 0A E8 ?? ?? ?? ?? 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88170_0 {
	meta:
		name = "TToolDockObject.DrawDragDockImage"
		size = 197
		refs = "0017 TDragDockObject.DrawDragDockImage 0026 GetParentForm 0065 TWinControl.GetHandle 006b MapWindowPoints 0087 TCustomForm.GetTop 0096 TCustomForm.GetLeft 00af Bounds 00ba TControl.SetBoundsRect"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B D8 8B 43 40 8B 10 FF 52 6C 84 C0 75 0C 8B C3 E8 ?? ?? ?? ?? E9 9E 00 00 00 B2 01 8B 43 40 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 8A 00 00 00 8B 43 40 8B 50 48 89 54 24 08 8B 40 4C 89 44 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 3B 73 40 74 16 6A 01 8D 44 24 04 50 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 43 58 2B 43 50 03 46 54 8B 7B 40 2B 47 54 50 8D 44 24 14 50 8B C6 E8 ?? ?? ?? ?? 03 43 50 2B 44 24 0C 50 8B C6 E8 ?? ?? ?? ?? 03 43 4C 2B 44 24 0C 8B 4B 54 2B 4B 4C 03 4E 50 2B 4F 50 5A E8 ?? ?? ?? ?? 8D 54 24 10 8B C6 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88171_0 {
	meta:
		name = "TToolDockObject.EraseDragDockImage"
		size = 24
		refs = "0012 TDragDockObject.EraseDragDockImage"
	strings:
		$1 = { 53 8B D8 8B 43 40 8B 10 FF 52 6C 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88172_0 {
	meta:
		name = "TToolDockForm.Create"
		size = 74
		refs = "000a @ClassCreate 0017 TCustomDockForm.Create 0023 TWinControl.SetBorderWidth 002c TCustomForm.SetPosition 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_88173_0 {
	meta:
		name = "TToolDockForm.CreateParams"
		size = 19
		refs = "0006 TCustomForm.CreateParams"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 81 4B 04 00 00 00 80 5B C3 }
	condition:
		$1
}

rule function_88174_0 {
	meta:
		name = "TToolDockForm.CanResize"
		size = 391
		refs = "0038 TWinControl.GetDockClientCount 00c7 TWinControl.GetDockClients 00fa TToolDockForm.CanResize 013c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D F4 89 55 F8 89 45 FC B3 01 8B 45 FC 80 B8 A1 03 00 00 00 0F 85 5A 01 00 00 8B 45 FC 80 B8 A0 03 00 00 00 0F 84 4A 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 3A 01 00 00 8B 45 F8 8B 00 8B 55 FC 3B 42 50 75 11 8B 45 F4 8B 00 8B 55 FC 3B 42 54 0F 84 1C 01 00 00 8B 7D F8 8B 3F 8B 75 F4 8B 36 8B 45 FC 0F B6 80 A0 03 00 00 2C 01 0F 82 00 01 00 00 74 06 FE C8 74 0D EB 16 8B 45 FC 03 B0 98 03 00 00 EB 12 8B 45 FC 03 B8 9C 03 00 00 EB 07 33 DB E9 DB 00 00 00 8B 45 FC 8B 40 50 8B 55 FC 89 82 90 03 00 00 8B 45 FC 8B 40 54 8B 55 FC 89 82 94 03 00 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 8B 45 FC 8B 40 50 8B 55 E8 2B 42 50 89 45 F0 8B 45 FC 8B 40 54 8B 55 E8 2B 42 54 89 45 EC 8B 45 FC C6 80 A1 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 2B 7D F0 57 2B 75 EC 56 8B 45 E8 8B 48 4C 8B 45 E8 8B 50 48 8B 45 E8 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 A1 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 E8 8B 40 50 03 45 F0 8B 55 F8 89 02 8B 45 E8 8B 40 54 03 45 EC 8B 55 F4 89 02 8B 45 FC 8B 40 50 8B 55 F8 3B 02 75 11 8B 45 FC 8B 40 54 8B 55 F4 3B 02 75 04 33 DB EB 02 B3 01 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88175_0 {
	meta:
		name = "TToolDockForm.DoAddDockClient"
		size = 36
		refs = "000b TCustomDockForm.DoAddDockClient 0014 TControl.SetAlign"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 51 78 5E 5B C3 }
	condition:
		$1
}

rule function_88176_0 {
	meta:
		name = "ModifySystemMenu"
		size = 125
		refs = "003a TWinControl.GetHandle 0040 GetSystemMenu 004f DeleteMenu"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 80 B8 A1 02 00 00 00 74 67 8B 45 08 8B 40 FC F6 80 A0 02 00 00 01 74 58 8B 45 08 8B 40 FC 80 B8 A6 02 00 00 01 74 49 6A 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 6A 00 68 30 F1 00 00 53 E8 ?? ?? ?? ?? 6A 00 68 30 F0 00 00 53 E8 ?? ?? ?? ?? 6A 00 68 20 F0 00 00 53 E8 ?? ?? ?? ?? 6A 00 68 20 F1 00 00 53 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_88177_0 {
	meta:
		name = "TToolDockForm.WMNCCreate"
		size = 34
		refs = "000b TCustomForm.WMNCCreate 001a ModifySystemMenu"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC F6 40 1C 10 75 07 55 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_88178_0 {
	meta:
		name = "TToolDockForm.WMNCHitTest"
		size = 251
		refs = "000e TCustomDockForm.WMNCHitTest 0017 TControl.GetBoundsRect 001e GetSystemMetrics 0036 InflateRect 0049 TToolDockForm.WMNCHitTest"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? 6A 20 E8 ?? ?? ?? ?? 8B F0 6A 21 E8 ?? ?? ?? ?? 8B C8 F7 D9 8B D6 F7 DA 8B C4 E8 ?? ?? ?? ?? 8B 43 0C 83 F8 11 0F 87 AF 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 03 00 00 05 00 00 00 00 00 00 00 00 01 02 00 04 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F BF 43 0A 3B 44 24 04 7D 09 C7 43 0C 0C 00 00 00 EB 64 C7 43 0C 0A 00 00 00 EB 5B 0F BF 43 0A 3B 44 24 04 7D 09 C7 43 0C 0C 00 00 00 EB 48 C7 43 0C 0B 00 00 00 EB 3F C7 43 0C 02 00 00 00 EB 36 0F BF 43 0A 3B 44 24 0C 7E 09 C7 43 0C 0F 00 00 00 EB 23 C7 43 0C 0A 00 00 00 EB 1A 0F BF 43 0A 3B 44 24 0C 7E 09 C7 43 0C 0F 00 00 00 EB 07 C7 43 0C 0B 00 00 00 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_88179_0 {
	meta:
		name = "TToolDockForm.WMNCLButtonDown"
		size = 49
		refs = "002c TCustomDockForm.WMNCLButtonDown"
	strings:
		$1 = { C6 80 A0 03 00 00 00 8B 4A 04 83 C1 F6 83 E9 02 72 09 74 10 83 E9 03 74 0B EB 10 C6 80 A0 03 00 00 01 EB 07 C6 80 A0 03 00 00 02 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88180_0 {
	meta:
		name = "TToolDockForm.WMSize"
		size = 61
		refs = "0006 TScrollingWinControl.WMSize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 83 A0 03 00 00 FE C8 74 06 FE C8 74 13 EB 20 8B 43 54 2B 83 94 03 00 00 01 83 98 03 00 00 5B C3 8B 43 50 2B 83 90 03 00 00 01 83 9C 03 00 00 5B C3 }
	condition:
		$1
}

rule function_88181_0 {
	meta:
		name = "TToolDockForm.WMSysCommand"
		size = 50
		refs = "0025 TCustomForm.WMSysCommand"
	strings:
		$1 = { 53 8B D8 8B 42 04 25 F0 FF 00 00 3D 00 F0 00 00 75 10 33 C0 89 83 9C 03 00 00 33 C0 89 83 98 03 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 A0 03 00 00 00 5B C3 }
	condition:
		$1
}

rule function_88195_0 {
	meta:
		name = "DrawGesture"
		size = 37
		refs = "001a DrawGesture"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 33 DB 89 5D FC 8B 5D 08 53 8D 5D F8 53 E8 ?? ?? ?? ?? 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_88196_0 {
	meta:
		name = "DrawGesture"
		size = 176
		refs = "0039 TPen.SetColor"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 75 08 8B 5D F4 43 85 DB 0F 8E 86 00 00 00 8B 45 F8 8B 10 89 55 EC 8B 50 04 89 55 F0 8B 45 FC 8B 40 44 8B 55 0C E8 ?? ?? ?? ?? 8B 4E 04 03 4D F0 8B 16 03 55 EC 8B 45 FC 8B 38 FF 57 64 4B 85 DB 7E 2F 89 5D E8 8B 5D F8 83 C3 08 8B 03 89 45 EC 8B 43 04 89 45 F0 8B 4E 04 03 4D F0 8B 16 03 55 EC 8B 45 FC 8B 38 FF 57 60 83 C3 08 FF 4D E8 75 DA 8B 55 0C 52 8B 45 F4 40 8B 55 F8 8B 4C C2 FC 03 4E 04 8B 55 F8 8B 54 C2 F8 03 16 8B 45 FC 8B 18 FF 53 20 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_88197_0 {
	meta:
		name = "DrawGesture"
		size = 130
		refs = "001a DrawGesture 0035 @DynArrayHigh 006a TGesturePointArray 006f @DynArrayClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 08 FF 51 3C 8B 75 EC 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 89 45 F0 33 C0 89 45 F4 8B 45 F8 50 8D 45 F0 50 8B D6 8B CB 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88198_0 {
	meta:
		name = "DrawGesture"
		size = 118
		refs = "0019 DrawGesture 003b @DynArrayHigh 005c TGesturePointArray 0061 @DynArrayClear 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 45 08 50 8D 55 F8 8B C7 8B 08 FF 51 3C 8B 5D F8 8B C3 E8 ?? ?? ?? ?? 50 8B D3 8B C6 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_88199_0 {
	meta:
		name = "ScaleGesturePoints"
		size = 343
		refs = "0092 @ROUND 00a0 @_lldiv 00df TGesturePointArray 00e4 @DynArraySetLength 00f1 @DynArrayLength"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 89 4D F4 89 55 F8 89 45 FC 33 F6 33 FF 8B 5D F8 43 4B 85 DB 7C 1B 43 8B 45 FC 8B 10 3B F2 7D 02 8B F2 8B 50 04 3B FA 7D 02 8B FA 83 C0 08 4B 75 E9 85 F6 75 1C 85 FF 75 18 33 C0 89 45 E0 C7 45 E4 00 00 F0 3F 33 C0 89 45 DC 33 C0 89 45 D8 EB 76 3B FE 7D 11 DB 45 F4 89 75 C8 DB 45 C8 DE F9 DD 5D E0 9B EB 0F DB 45 F4 89 7D C8 DB 45 C8 DE F9 DD 5D E0 9B 6A 00 6A 02 8B 45 F4 99 52 50 89 75 C8 DB 45 C8 DC 4D E0 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A E8 ?? ?? ?? ?? 89 45 DC 6A 00 6A 02 8B 45 F4 99 52 50 89 7D C8 DB 45 C8 DC 4D E0 E8 ?? ?? ?? ?? 29 04 24 19 54 24 04 58 5A E8 ?? ?? ?? ?? 89 45 D8 8B 45 F8 40 50 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 52 43 33 FF 8B 75 FC 8B 06 89 45 EC 8B 46 04 89 45 F0 DB 45 EC DC 4D E0 E8 ?? ?? ?? ?? 03 45 DC 89 45 D4 DB 45 F0 DC 4D E0 E8 ?? ?? ?? ?? 03 45 D8 8B 55 D4 89 55 CC 89 45 D0 8B 45 08 8B 00 8B 55 CC 89 14 F8 8B 55 D0 89 54 F8 04 47 83 C6 08 4B 75 B4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_88200_0 {
	meta:
		name = "TCustomGestureListView.Create"
		size = 227
		refs = "000a @ClassCreate 0017 TCustomListView.Create 0020 _Dn_TImageList 0025 TCustomImageList.Create 0034 _DV_TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0039 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Create 0052 TCustomGestureListView.TGestureItemDataArray 0057 @DynArraySetLength 006e TCustomGestureListView.SetImageSize 0083 TWinControl.SetDoubleBuffered 008c TCustomListView.SetReadOnly 0095 TCustomListView.SetRowSelect 00a2 TCustomListView.SetLargeImages 00af TCustomListView.SetSmallImages 00d0 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 24 04 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 2C 04 00 00 6A 00 8D 86 18 04 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 86 30 04 00 00 BA 18 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 91 E8 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B 96 24 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 96 24 04 00 00 8B C6 E8 ?? ?? ?? ?? B2 03 8B C6 8B 08 FF 91 58 01 00 00 8B C6 8B 10 FF 92 5C 01 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_88201_0 {
	meta:
		name = "TCustomGestureListView.Destroy"
		size = 81
		refs = "0003 @BeforeDestruction 000e TCustomGestureListView.ClearGestureList 0021 TObject.Free 003f TCustomListView.Destroy 004a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8D 86 2C 04 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 24 04 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88202_0 {
	meta:
		name = "TCustomGestureListView.EndUpdate"
		size = 21
		refs = "0010 TCustomGestureListView.RefreshList"
	strings:
		$1 = { FF 88 30 04 00 00 83 B8 30 04 00 00 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88203_0 {
	meta:
		name = "TCustomGestureListView.AddGesture"
		size = 140
		refs = "0015 @DynArrayLength 0028 TCustomGestureListView.TGestureItemDataArray 002d @DynArraySetLength 0039 _Dn_TGestureCollectionItem 003e TGestureCollectionItem.Create 0083 TCustomGestureListView.RefreshList"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 85 FF 74 79 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 40 50 8D 83 18 04 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D7 8B C6 8B 08 FF 51 08 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 8B 93 18 04 00 00 89 74 C2 F8 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 8B 93 18 04 00 00 89 6C C2 FC 83 BB 30 04 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88204_0 {
	meta:
		name = "TCustomGestureListView.AddGesture"
		size = 266
		refs = "002d _Dn_TGestureCollectionItem 0032 TGestureCollectionItem.Create 003d TCustomGestureListView.AddGesture 0072 TObject.Free 0078 @HandleFinally 00c5 SInvalidGestureID 00cc _Dn_EGestureException 00d1 Exception.CreateResFmt 00d6 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B F2 8B F8 8B C6 05 00 04 00 00 66 2D 00 04 72 61 48 66 83 E8 22 0F 83 B4 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F8 8B 08 FF 51 4C 8B 4D FC 8B 55 F8 8B C7 8B 18 FF 93 68 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 89 45 F4 8B 87 1C 04 00 00 85 C0 74 20 8B D6 8B 08 FF 51 50 89 45 F4 83 7D F4 00 74 10 8B 4D FC 8B 55 F4 8B C7 8B 18 FF 93 68 01 00 00 83 7D F4 00 75 50 0F BF C6 89 45 EC C6 45 F0 00 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 27 0F BF C6 89 45 EC C6 45 F0 00 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88205_0 {
	meta:
		name = "TCustomGestureListView.AddGestureImage"
		size = 565
		refs = "0019 TCustomGestureListView.AddGestureImage 0026 _Dn_TBitmap 002b TBitmap.Create 005b TBitmap.GetCanvas 0069 TBrush.SetColor 0089 Rect 00dc ScaleGesturePoints 00f1 TPen.SetColor 0103 TPen.SetStyle 016b @DynArrayLength 01cd TCustomImageList.Add 01e2 TObject.Free 01e8 @HandleFinally 021d TGesturePointArray 0222 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D FC 8B F1 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 80 24 04 00 00 8B 48 38 8B 50 3C 8B 45 F4 8B 38 FF 57 6C 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 48 8B 55 F8 8B 52 74 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 24 50 8D 45 E0 50 8B 45 F4 8B 10 FF 52 30 8B C8 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 F4 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 F0 8B 08 FF 51 08 8D 45 FC 50 8B 45 F8 8B 88 28 04 00 00 83 E9 04 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 44 BA 80 80 80 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 FC 8B 4A 04 83 C1 02 8B 55 FC 8B 12 83 C2 02 8B 18 FF 53 64 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 FC 8B 4A 04 83 C1 02 8B 55 FC 8B 12 83 C2 02 8B 18 FF 53 64 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 47 46 33 DB 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 FC 8B 4C DA 04 83 C1 02 8B 55 FC 8B 14 DA 83 C2 02 8B 38 FF 57 60 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 FC 8B 4C DA 04 83 C1 02 8B 55 FC 8B 14 DA 83 C2 02 8B 38 FF 57 60 43 4E 75 BC 8B 45 F8 8B 80 24 04 00 00 8B 4D F0 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88206_0 {
	meta:
		name = "TCustomGestureListView.AddGestures"
		size = 95
		refs = "000f TCustomGestureListView.AddGestures 0023 TCustomTouchManager.GetGestureList 0049 TGestureArray 004e @DynArrayClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 83 C9 FF 8B C3 8B 18 FF 93 74 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88207_0 {
	meta:
		name = "TCustomGestureListView.AddGestures"
		size = 192
		refs = "001c TCustomGestureListView.BeginUpdate 0024 TCustomGestureListView.AddGestures 0031 TCollection.GetEnumerator 0052 TCollection.GetItem 0070 TCollectionEnumerator.MoveNext 0097 @HandleFinally 00ae TCustomGestureListView.EndUpdate"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F8 8B DA 89 45 FC 85 DB 0F 84 A2 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 24 8B 5D F4 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 89 45 F0 8B 75 F0 8B 4D F8 8B D6 8B 45 FC 8B 18 FF 93 68 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88208_0 {
	meta:
		name = "TCustomGestureListView.AddGestures"
		size = 211
		refs = "001a @DynArrayAddRef 0022 TCustomGestureListView.AddGestures 0030 TCustomGestureListView.BeginUpdate 004a TGestureArray 004f @DynArrayAsg 0072 @DynArrayLength 0084 @DynArrayClear 0099 TCustomGestureListView.EndUpdate 009f @HandleFinally 00c1 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F8 89 4D F0 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 17 8B 45 F8 8B 34 98 8B 4D F0 8B D6 8B 45 F4 8B 30 FF 96 68 01 00 00 43 8B 45 F8 E8 ?? ?? ?? ?? 3B D8 7C DD 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88209_0 {
	meta:
		name = "TCustomGestureListView.BeginUpdate"
		size = 7
	strings:
		$1 = { FF 80 30 04 00 00 C3 }
	condition:
		$1
}

rule function_88210_0 {
	meta:
		name = "TCustomGestureListView.Change"
		size = 222
		refs = "0014 TPair<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent> 0019 @InitializeRecord 0021 TCustomGestureListView.Change 0032 TCustomListView.Change 003e TCustomListView.GetSelected 004d TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.GetEnumerator 006b TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TPairEnumerator.GetCurrent 0087 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.TPairEnumerator.MoveNext 00ae @HandleFinally 00cb @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 8B FA 8B D8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 83 FE 08 75 79 8B C3 E8 ?? ?? ?? ?? 85 C0 74 6E 8B 83 2C 04 00 00 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1F 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 48 28 8B D3 8B 45 FC 8B 30 FF 56 0C 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88211_0 {
	meta:
		name = "TCustomGestureListView.ChangeNotification"
		size = 140
		refs = "0011 @IntfAddRef 0019 TCustomGestureListView.ChangeNotification 0033 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Add 003c TComponent.FreeNotification 0043 TWinControl.HandleAllocated 004e TCustomListView.GetSelected 007b @IntfClear 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 43 8B 4D FC 8B D6 8B 83 2C 04 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 8B C3 E8 ?? ?? ?? ?? 8B 48 28 8B D3 8B 45 FC 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88212_0 {
	meta:
		name = "TCustomGestureListView.ClearGestureList"
		size = 172
		refs = "0013 TCustomGestureListView.ClearGestureList 0028 TCustomGestureListView.TGestureItemDataArray 002d @DynArrayAsg 0049 TObject.Free 0052 @DynArrayLength 0064 @DynArrayClear 007c @DynArraySetLength 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 96 18 04 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 19 8B 45 FC 8B 14 D8 89 55 F4 8B 54 D8 04 89 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C DB 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 86 18 04 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88213_0 {
	meta:
		name = "TCustomGestureListView.CMCustomGesturesChanged"
		size = 206
		refs = "0010 TCustomGestureListView.CMCustomGesturesChanged 007b TCustomGestureListView.TGestureItemDataArray 0080 @DynArraySetLength 0091 TGestureManager.GetCustomGestures 00b7 TGestureArray 00bc @DynArrayClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 83 E8 01 72 4A 74 08 48 74 25 48 74 32 EB 79 0F B7 57 08 8B 86 1C 04 00 00 8B 08 FF 51 50 8B D0 83 C9 FF 8B C6 8B 18 FF 93 68 01 00 00 EB 59 0F B7 57 08 8B C6 8B 08 FF 91 7C 01 00 00 EB 49 0F B7 57 08 8B C6 8B 08 FF 91 64 01 00 00 EB 39 6A 00 8D 86 18 04 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 FC 8B 86 1C 04 00 00 E8 ?? ?? ?? ?? 8B 55 FC 83 C9 FF 8B C6 8B 18 FF 93 74 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88214_0 {
	meta:
		name = "TCustomGestureListView.CreateColumns"
		size = 98
		refs = "000a TCustomGestureListView.CreateColumns 001b TListColumns.Add 0025 SNameColumn 002a LoadResString 0034 TListColumn.SetCaption 003d TListColumn.SetAutoSize 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 8B D8 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_88216_0 {
	meta:
		name = "TCustomGestureListView.CreateWnd"
		size = 40
		refs = "0006 TCustomListView.CreateWnd 0017 @DynArrayLength 0022 TCustomGestureListView.RefreshList"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 01 75 16 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 85 C0 7E 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88217_0 {
	meta:
		name = "TCustomGestureListView.GestureIDFromItem"
		size = 9
	strings:
		$1 = { 8B 42 28 8B 10 FF 52 2C C3 }
	condition:
		$1
}

rule function_88218_0 {
	meta:
		name = "TCustomGestureListView.ItemFromGestureID"
		size = 131
		refs = "0016 TListItems.GetEnumerator 0021 TCustomGestureListView.ItemFromGestureID 0031 TListItemsEnumerator.GetCurrent 004d TListItemsEnumerator.MoveNext 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 33 D2 89 55 FC 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1C 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 43 28 8B 10 FF 52 2C 66 3B F0 75 05 89 5D FC EB 0C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88219_0 {
	meta:
		name = "TCustomGestureListView.Loaded"
		size = 45
		refs = "0006 TCustomListView.Loaded 000d TWinControl.HandleAllocated 001c @DynArrayLength 0027 TCustomGestureListView.RefreshList"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 85 C0 7E 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88220_0 {
	meta:
		name = "TCustomGestureListView.Notification"
		size = 130
		refs = "0010 TCustomListView.Notification 0032 TCustomGestureListView.ClearGestureList 0045 TCustomGestureListView.TGestureItemDataArray 004a @DynArraySetLength 0054 TCustomGestureListView.RefreshList 0069 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.ContainsKey 007a TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Remove"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 65 3B BE 1C 04 00 00 75 39 33 C0 89 86 1C 04 00 00 F6 46 1C 08 75 4F 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 86 18 04 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 E8 ?? ?? ?? ?? EB 24 F6 46 1C 08 75 1E 8B D7 8B 86 2C 04 00 00 E8 ?? ?? ?? ?? 84 C0 74 0D 8B D7 8B 86 2C 04 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88221_0 {
	meta:
		name = "TCustomGestureListView.RebuildListItem"
		size = 43
		refs = "0016 TListItems.Add 0021 TCustomGestureListView.RebuildListItem"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 8B D8 8B 83 A4 02 00 00 E8 ?? ?? ?? ?? 8B C8 8B D4 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88222_0 {
	meta:
		name = "TCustomGestureListView.RebuildListItem"
		size = 360
		refs = "0021 TStandardGestureData 0026 @InitializeRecord 002e TCustomGestureListView.RebuildListItem 0049 TListItem.SetCaption 0053 TListItem.SetData 00a3 @DynArrayHigh 00ae TCustomGestureListView.AddGestureImage 00c0 FindStandardGesture 00e0 TCustomImageList.GetCount 00ec TListItem.SetImage 0124 TListItem.SetGroupID 013a TGesturePointArray 013f @DynArrayClear 0147 @UStrClr 0155 @FinalizeRecord 015b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E0 8B F2 8D 7D E8 A5 A5 8B F1 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B 45 E8 8B 08 FF 51 0C 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 66 83 BB 3A 04 00 00 00 74 16 8B 45 E8 50 8B CE 8B D3 8B 83 3C 04 00 00 FF 93 38 04 00 00 EB 0F 8B 4D E8 8B D6 8B C3 8B 38 FF 97 60 01 00 00 8B 45 E8 8B 10 FF 52 30 84 C0 74 22 8D 55 DC 8B 45 E8 8B 08 FF 51 3C 8B 7D DC 8B C7 E8 ?? ?? ?? ?? 50 8B D7 8B C3 59 E8 ?? ?? ?? ?? EB 25 8B 45 E8 8B 10 FF 52 2C 8D 55 F0 E8 ?? ?? ?? ?? 8B 7D F0 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 83 24 04 00 00 E8 ?? ?? ?? ?? 8B C8 49 33 D2 8B C6 E8 ?? ?? ?? ?? 80 BB 20 04 00 00 00 74 2F 8B 45 EC 89 45 E4 66 83 BB 42 04 00 00 00 74 15 8D 45 E4 50 8B 4D E8 8B D3 8B 83 44 04 00 00 FF 93 40 04 00 00 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88223_0 {
	meta:
		name = "TCustomGestureListView.RefreshList"
		size = 273
		refs = "0013 TCustomGestureListView.RefreshList 0021 TWinControl.HandleAllocated 0047 TCustomImageList.Clear 0055 TListItems.BeginUpdate 0071 TListItems.Clear 0083 TCustomGestureListView.TGestureItemDataArray 0088 @DynArrayAsg 00a7 TCustomGestureListView.RebuildListItem 00b0 @DynArrayLength 00c2 @DynArrayClear 00dd TListItems.EndUpdate 00e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 BC 00 00 00 8B 45 F8 83 B8 30 04 00 00 00 0F 85 AC 00 00 00 8B 45 F8 8B 80 24 04 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 8B 92 18 04 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 1C 8B 45 FC 8B 14 D8 89 55 F0 8B 54 D8 04 89 55 F4 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C D8 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 80 A4 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88224_0 {
	meta:
		name = "TCustomGestureListView.RemoveChangeNotification"
		size = 48
		refs = "000f TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.ContainsKey 0020 TDictionary<System.Classes.TComponent,Vcl.Touch.GestureCtrls.TGestureProviderChangeEvent>.Remove 0029 TComponent.RemoveFreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 2C 04 00 00 E8 ?? ?? ?? ?? 84 C0 74 16 8B D6 8B 83 2C 04 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88225_0 {
	meta:
		name = "TCustomGestureListView.RemoveGesture"
		size = 253
		refs = "0018 TCustomGestureListView.RemoveGesture 0029 TListItems.GetCount 004a TListItems.GetItem 006d TCustomGestureListView.TGestureItemDataArray 0072 @DynArrayAsg 0093 TObject.Free 009e @DynArrayLength 00b0 @DynArrayClear 00c3 TListItem.Delete 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 66 89 55 FA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 A4 02 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 0F 8C 9B 00 00 00 43 C7 45 F4 00 00 00 00 8B 87 A4 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 70 28 85 F6 74 74 8B C6 8B 10 FF 52 2C 66 3B 45 FA 75 67 8D 45 FC 8B 97 18 04 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 20 8B 45 FC 8B 14 D8 89 55 EC 8B 54 D8 04 89 55 F0 3B 75 EC 75 0A 8B 45 EC E8 ?? ?? ?? ?? EB 0D 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C D4 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 87 A4 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A FF 45 F4 4B 0F 85 6D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88226_0 {
	meta:
		name = "TCustomGestureListView.SetGestureManager"
		size = 201
		refs = "000f TCustomGestureListView.SetGestureManager 002a TGestureManager.RemoveChangeNotification 0037 TComponent.RemoveFreeNotification 0050 TCustomGestureListView.TGestureItemDataArray 0055 @DynArraySetLength 0069 TGestureManager.ChangeNotification 0076 TComponent.FreeNotification 0084 TGestureManager.GetCustomGestures 009d TCustomGestureListView.RefreshList 00b3 TGestureArray 00b8 @DynArrayClear 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 1C 04 00 00 3B F0 74 7E 85 C0 74 14 8B D3 E8 ?? ?? ?? ?? 8B D3 8B 83 1C 04 00 00 E8 ?? ?? ?? ?? 89 B3 1C 04 00 00 6A 00 8D 83 18 04 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 83 1C 04 00 00 85 C0 74 34 8B D3 E8 ?? ?? ?? ?? 8B D3 8B 83 1C 04 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 1C 04 00 00 E8 ?? ?? ?? ?? 8B 55 FC 83 C9 FF 8B C3 8B 18 FF 93 74 01 00 00 EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88227_0 {
	meta:
		name = "TCustomGestureListView.SetGroupView"
		size = 39
		refs = "001a TCustomListView.SetGroupView 0021 TCustomGestureListView.RefreshList"
	strings:
		$1 = { 53 8B D8 3A 93 20 04 00 00 74 1A 88 93 20 04 00 00 F6 43 1C 10 75 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88228_0 {
	meta:
		name = "TCustomGestureListView.SetImageSize"
		size = 119
		refs = "001c TCustomImageList.SetHeight 002d TCustomImageList.SetWidth 0034 TWinControl.HandleAllocated 0047 TCustomListView.SetSmallImages 005d TCustomListView.SetLargeImages 0071 TCustomGestureListView.RefreshList"
	strings:
		$1 = { 53 8B D8 3B 93 28 04 00 00 74 6A 8B C2 89 83 28 04 00 00 8B D0 8B 83 24 04 00 00 E8 ?? ?? ?? ?? 8B 93 28 04 00 00 8B 83 24 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 39 F6 43 1C 01 75 33 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 93 24 04 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 93 24 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88229_0 {
	meta:
		name = "TCustomGestureListView.UpdateGesture"
		size = 297
		refs = "0014 TCustomGestureListView.UpdateGesture 0041 TCustomGestureListView.TGestureItemDataArray 0046 @DynArrayAsg 008a TListItems.GetCount 00a2 TListItems.GetItem 00d2 TCustomGestureListView.RebuildListItem 00e5 @DynArrayLength 00fb @DynArrayClear 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 1C 04 00 00 8B 08 FF 51 50 89 45 F0 83 7D F0 00 0F 84 C9 00 00 00 8D 45 FC 8B 96 18 04 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB E9 90 00 00 00 8B 45 FC 8B 14 D8 89 55 F4 8B 54 D8 04 89 55 F8 8B 45 F4 8B 10 FF 52 2C 8B F8 8B 45 F0 8B 10 FF 52 2C 66 3B F8 75 68 8B 55 F0 8B 45 F4 8B 08 FF 51 08 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 48 85 C0 7C 5E 40 89 45 EC 33 FF 8B D7 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B 40 28 8B 10 FF 52 2C 8B D8 8B 45 F0 8B 10 FF 52 2C 66 3B D8 75 1B 8B D7 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 8B C8 8D 55 F4 8B C6 E8 ?? ?? ?? ?? EB 19 47 FF 4D EC 75 BB EB 11 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 0F 8C 60 FF FF FF 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88231_0 {
	meta:
		name = "TCustomGesturePreview.Create"
		size = 348
		refs = "000e @ClassCreate 001c TCustomControl.Create 0025 TCustomGesturePreview.Create 0031 TWinControl.SetDoubleBuffered 0049 TControl.SetHeight 0055 TControl.SetWidth 00a2 _Dn_TGestureCollectionItem 00a7 TGestureCollectionItem.Create 00fb _Dn_TTimer 0100 TTimer.Create 0111 TTimer.SetEnabled 0117 TCustomGesturePreview.AnimateGesture 0122 TTimer.SetOnTimer 0133 TTimer.SetInterval 0140 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 E8 00 00 00 BA C8 00 00 00 8B C3 E8 ?? ?? ?? ?? BA C8 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 A0 02 00 00 01 C7 83 8C 02 00 00 00 00 FF 00 C7 83 94 02 00 00 F4 01 00 00 C7 83 9C 02 00 00 4B 00 00 00 C6 83 A8 02 00 00 00 C7 83 B0 02 00 00 C0 C0 C0 00 C6 83 B4 02 00 00 01 C6 83 B5 02 00 00 02 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B8 02 00 00 C6 83 C0 02 00 00 01 C7 83 C4 02 00 00 E6 E5 F0 00 C7 83 C8 02 00 00 FD FD FD 00 C6 83 DC 02 00 00 02 33 C0 89 83 E0 02 00 00 C7 83 E4 02 00 00 80 80 80 00 C7 83 E8 02 00 00 80 80 80 00 C6 83 80 02 00 00 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 EC 02 00 00 8B C6 33 D2 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 EC 02 00 00 E8 ?? ?? ?? ?? 8B 93 94 02 00 00 8B 83 EC 02 00 00 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_88232_0 {
	meta:
		name = "TCustomGesturePreview.CreateWnd"
		size = 44
		refs = "0006 TWinControl.CreateWnd 0026 TCustomGesturePreview.StartAnimation"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 01 75 1A 8B C3 8B 10 FF 92 10 01 00 00 80 BB 80 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88233_0 {
	meta:
		name = "TCustomGesturePreview.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 001a TObject.Free 0038 TCustomControl.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 B8 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 EC 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88234_0 {
	meta:
		name = "TCustomGesturePreview.AdjustGesturePoint"
		size = 56
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 8B D9 8B 14 24 89 13 8B 54 24 04 89 53 04 8B 90 F8 02 00 00 83 C2 05 01 13 8B 80 FC 02 00 00 83 C0 05 01 43 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88235_0 {
	meta:
		name = "TCustomGesturePreview.AnimateGesture"
		size = 457
		refs = "00d4 @DynArrayLength 00ec TTimer.SetInterval 010b TCustomGesturePreview.AdjustGesturePoint"
	strings:
		$1 = { 53 56 83 C4 F0 8B F0 0F B6 86 A0 02 00 00 2C 01 72 1B 0F 84 0E 01 00 00 FE C8 0F 84 44 01 00 00 FE C8 0F 84 73 01 00 00 E9 96 01 00 00 8B 96 84 02 00 00 8B C6 8B 08 FF 91 0C 01 00 00 8B 86 A4 02 00 00 01 86 84 02 00 00 80 BE 88 02 00 00 00 75 0E 8B 86 84 02 00 00 3B 86 90 02 00 00 7F 17 80 BE 88 02 00 00 01 75 1A 8B 86 84 02 00 00 3B 86 90 02 00 00 7D 0C 8B 86 90 02 00 00 89 86 84 02 00 00 8B 86 84 02 00 00 3B 86 90 02 00 00 75 66 8B 86 B8 02 00 00 8B 10 FF 52 34 A8 01 75 3F F7 9E A4 02 00 00 0F B6 86 88 02 00 00 2C 01 72 04 74 13 EB 2A C6 86 88 02 00 00 01 33 C0 89 86 90 02 00 00 EB 19 C6 86 88 02 00 00 00 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 48 89 86 90 02 00 00 8B 96 94 02 00 00 8B 86 EC 02 00 00 E8 ?? ?? ?? ?? C6 86 A0 02 00 00 01 8B 86 98 02 00 00 8B 96 84 02 00 00 8D 14 D0 8B CC 8B C6 E8 ?? ?? ?? ?? 8B D4 8B 8E 8C 02 00 00 8B C6 8B 18 FF 93 08 01 00 00 E9 9D 00 00 00 8B 96 84 02 00 00 8B C6 8B 08 FF 91 0C 01 00 00 80 BE 88 02 00 00 00 75 0A 33 C0 89 86 84 02 00 00 EB 12 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 48 89 86 84 02 00 00 C6 86 A0 02 00 00 02 EB 5F 8B 86 98 02 00 00 8B 96 84 02 00 00 8D 14 D0 8D 4C 24 08 8B C6 E8 ?? ?? ?? ?? 8D 54 24 08 8B 8E 8C 02 00 00 8B C6 8B 18 FF 93 08 01 00 00 C6 86 A0 02 00 00 03 EB 28 8B 96 84 02 00 00 8B C6 8B 08 FF 91 0C 01 00 00 C6 86 A0 02 00 00 00 8B 96 9C 02 00 00 8B 86 EC 02 00 00 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_88236_0 {
	meta:
		name = "TCustomGesturePreview.DrawBackground"
		size = 238
		refs = "003d GradientFillCanvas 0050 TBrush.SetColor 009c Rect 00b0 TPen.SetColor 00c5 TPen.SetStyle 00d5 TBrush.SetStyle 00e2 TCustomCanvas.Rectangle"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B D8 80 BB A8 02 00 00 01 75 31 8D 54 24 10 8B C3 8B 08 FF 51 60 8D 44 24 10 50 0F B6 83 C0 02 00 00 50 8B 8B C4 02 00 00 8B 93 C8 02 00 00 8B 83 78 02 00 00 E8 ?? ?? ?? ?? EB 2B 8B 83 78 02 00 00 8B 40 48 8B 53 74 E8 ?? ?? ?? ?? 8D 54 24 10 8B C3 8B 08 FF 51 60 8D 54 24 10 8B 83 78 02 00 00 8B 08 FF 51 54 80 BB B4 02 00 00 00 74 6F 8B BB F0 02 00 00 8B C7 8B AB FC 02 00 00 03 C5 50 8D 44 24 04 50 8B CF 8B B3 F8 02 00 00 03 CE 8B D5 8B C6 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 44 8B 93 B0 02 00 00 E8 ?? ?? ?? ?? 0F B6 93 B5 02 00 00 8B 83 78 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B D4 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88237_0 {
	meta:
		name = "TCustomGesturePreview.DrawGesturePoints"
		size = 209
		refs = "0013 TBrush.SetStyle 0023 TPen.SetStyle 0030 @DynArrayHigh 0065 DrawGesture 0076 TCustomGesturePreview.AdjustGesturePoint 00a2 @DynArrayLength"
	strings:
		$1 = { 53 56 83 C4 F0 8B F0 8B 86 78 02 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B 86 78 02 00 00 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8B 9E AC 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 96 F8 02 00 00 83 C2 05 89 54 24 08 8B 96 FC 02 00 00 83 C2 05 89 54 24 0C 8B 96 E8 02 00 00 52 8D 54 24 0C 52 8B D3 8B C8 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 8B CC 8B 86 AC 02 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D4 8B 8E E4 02 00 00 8B C6 8B 18 FF 93 08 01 00 00 8B 86 B8 02 00 00 8B 10 FF 52 34 A8 01 75 30 8B 86 AC 02 00 00 E8 ?? ?? ?? ?? 8B 96 AC 02 00 00 8D 54 C2 F8 8B CC 8B C6 E8 ?? ?? ?? ?? 8B D4 8B 8E E4 02 00 00 8B C6 8B 18 FF 93 08 01 00 00 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_88238_0 {
	meta:
		name = "TCustomGesturePreview.DrawLegend"
		size = 141
		refs = "0052 TBrush.SetStyle 0060 TCanvas.SetFont"
	strings:
		$1 = { 53 56 83 C4 F8 8B F0 80 BE DC 02 00 00 00 74 78 8B 86 CC 02 00 00 89 04 24 8B 96 D8 02 00 00 8B 86 D0 02 00 00 2B D0 D1 FA 79 03 83 D2 00 03 D0 89 54 24 04 8B D4 8B 8E E4 02 00 00 8B C6 8B 18 FF 93 08 01 00 00 8B 86 78 02 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B 56 6C 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 8B 86 F4 02 00 00 50 8B 96 CC 02 00 00 83 C2 0A 8B 8E D0 02 00 00 8B 86 78 02 00 00 8B 18 FF 93 90 00 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_88239_0 {
	meta:
		name = "TCustomGesturePreview.DrawPoint"
		size = 101
		refs = "002c Rect 003c TPen.SetColor 004c TBrush.SetColor 0059 TCustomCanvas.Ellipse"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F9 8B F2 8B D8 8B 46 04 83 C0 04 50 8D 44 24 04 50 8B 2E 8B CD 83 C1 04 8B 56 04 83 EA 03 8B C5 83 E8 03 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 44 8B D7 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 48 8B D7 E8 ?? ?? ?? ?? 8B D4 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88240_0 {
	meta:
		name = "TCustomGesturePreview.EraseAnimatePoint"
		size = 125
		refs = "0015 @DynArrayLength 002b TCustomGesturePreview.AdjustGesturePoint 0052 Rect 0060 TWinControl.GetHandle 0066 InvalidateRect 006b Application 0072 TApplication.ProcessMessages"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F2 8B D8 85 F6 7C 68 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 3B F0 7D 59 8B CC 8B 83 98 02 00 00 8D 14 F0 8B C3 E8 ?? ?? ?? ?? 8B 7C 24 04 8B C7 83 C0 04 50 8D 44 24 0C 50 8B 74 24 08 8B CE 83 C1 04 8B D7 83 EA 03 8B C6 83 E8 03 E8 ?? ?? ?? ?? 6A FF 8D 44 24 0C 50 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88241_0 {
	meta:
		name = "TCustomGesturePreview.InterpolatePoints"
		size = 481
		refs = "0011 _DV_TList<System.Types.TPoint> 0016 TList<System.Types.TPoint>.Create 0021 TCustomGesturePreview.InterpolatePoints 002e @DynArrayLength 004b TList<System.Types.TPoint>.Add 010b @ROUND 017b TGesturePointArray 0180 @DynArraySetLength 01a1 TList<System.Types.TPoint>.GetItem 01ce TObject.Free 01d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 89 4D FC 8B F2 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C6 E8 ?? ?? ?? ?? 48 85 C0 0F 8E 11 01 00 00 89 45 E8 BB 01 00 00 00 8D 54 DE F8 8B 45 F8 E8 ?? ?? ?? ?? 8B 04 DE 2B 44 DE F8 99 33 C2 2B C2 8B C8 8B 44 DE 04 2B 44 DE FC 99 33 C2 2B C2 8B F8 83 F9 08 7F 09 83 FF 08 0F 8E C8 00 00 00 8B C1 51 B9 05 00 00 00 99 F7 F9 59 89 45 EC 8B C1 B9 05 00 00 00 99 F7 F9 85 D2 75 03 FF 4D EC 8B C7 B9 05 00 00 00 99 F7 F9 8B C8 8B C7 BF 05 00 00 00 99 F7 FF 85 D2 75 01 49 3B 4D EC 7D 05 8B 45 EC EB 02 8B C1 8B 14 DE 2B 54 DE F8 89 55 D4 DB 45 D4 89 45 D0 DB 45 D0 DE F9 D9 5D F4 9B 8B 54 DE 04 2B 54 DE FC 89 55 D4 DB 45 D4 89 45 D0 DB 45 D0 DE F9 D9 5D F0 9B 48 85 C0 7E 49 89 45 E4 BF 01 00 00 00 89 7D D4 DB 45 D4 D8 4D F4 E8 ?? ?? ?? ?? 03 44 DE F8 89 45 E0 89 7D D4 DB 45 D4 D8 4D F0 E8 ?? ?? ?? ?? 03 44 DE FC 8B 55 E0 89 55 D8 89 45 DC 8D 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 47 FF 4D E4 75 BF 43 FF 4D E8 0F 85 F7 FE FF FF 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 13 8B C6 E8 ?? ?? ?? ?? 8D 54 C6 F8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 40 08 48 85 C0 7C 2B 40 89 45 E8 33 DB 8D 4D C8 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 00 8B 55 C8 89 14 D8 8B 55 CC 89 54 D8 04 43 FF 4D E8 75 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88242_0 {
	meta:
		name = "TCustomGesturePreview.Loaded"
		size = 49
		refs = "0006 TControl.Loaded 000d TWinControl.HandleAllocated 002b TCustomGesturePreview.StartAnimation"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1A 8B C3 8B 10 FF 92 10 01 00 00 80 BB 80 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88243_0 {
	meta:
		name = "TCustomGesturePreview.Notification"
		size = 76
		refs = "0010 TWinControl.Notification 0021 _Dn_TComponent 0026 @SafeIntfAsClass 0035 @IntfClear 0044 TCustomGesturePreview.SetGesture"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 2F 8B 87 BC 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F0 75 1A 8D 87 BC 02 00 00 E8 ?? ?? ?? ?? F6 47 1C 08 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88244_0 {
	meta:
		name = "TCustomGesturePreview.Paint"
		size = 50
		refs = "0014 @DynArrayLength"
	strings:
		$1 = { 56 8B F0 8B C6 8B 10 FF 92 FC 00 00 00 8B 86 AC 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 0A 8B C6 8B 10 FF 92 00 01 00 00 8B C6 8B 10 FF 92 04 01 00 00 5E C3 }
	condition:
		$1
}

rule function_88245_0 {
	meta:
		name = "TCustomGesturePreview.Resize"
		size = 28
		refs = "0006 TControl.Resize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 01 75 0A 8B C3 8B 10 FF 92 10 01 00 00 5B C3 }
	condition:
		$1
}

rule function_88246_0 {
	meta:
		name = "TCustomGesturePreview.SetAnimatedPointColor"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 8C 02 00 00 74 10 89 96 8C 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_88247_0 {
	meta:
		name = "TCustomGesturePreview.SetAnimateLongDelay"
		size = 15
	strings:
		$1 = { 3B 90 94 02 00 00 74 06 89 90 94 02 00 00 C3 }
	condition:
		$1
}

rule function_88248_0 {
	meta:
		name = "TCustomGesturePreview.SetAnimateShortDelay"
		size = 15
	strings:
		$1 = { 3B 90 9C 02 00 00 74 06 89 90 9C 02 00 00 C3 }
	condition:
		$1
}

rule function_88250_0 {
	meta:
		name = "TCustomGesturePreview.SetFrameColor"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 B0 02 00 00 74 10 89 96 B0 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_88251_0 {
	meta:
		name = "TCustomGesturePreview.SetFrameGesture"
		size = 23
	strings:
		$1 = { 3A 90 B4 02 00 00 74 0E 88 90 B4 02 00 00 8B 10 FF 92 10 01 00 00 C3 }
	condition:
		$1
}

rule function_88252_0 {
	meta:
		name = "TCustomGesturePreview.SetFrameStyle"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 B5 02 00 00 74 10 88 96 B5 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_88253_0 {
	meta:
		name = "TCustomGesturePreview.SetGesture"
		size = 388
		refs = "001c TStandardGestureData 0021 @InitializeRecord 0029 TCustomGesturePreview.SetGesture 003c TTimer.SetEnabled 0076 @DynArrayLength 008d FindStandardGesture 00aa TGesturePointArray 00af @DynArrayClear 00c4 @DynArraySetLength 0112 TWinControl.HandleAllocated 0136 TCustomGesturePreview.StartAnimation 015f @FinalizeRecord 0172 @FinalizeArray 0178 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D E4 89 4D FC 89 4D F8 8B F2 8B D8 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 83 EC 02 00 00 E8 ?? ?? ?? ?? 85 F6 0F 84 93 00 00 00 8B D6 8B 83 B8 02 00 00 8B 08 FF 51 08 8B C6 8B 10 FF 52 30 84 C0 0F 85 AB 00 00 00 8D 55 E4 8B 83 B8 02 00 00 8B 08 FF 51 3C 8B 45 E4 E8 ?? ?? ?? ?? 85 C0 0F 85 8D 00 00 00 8B C6 8B 10 FF 52 2C 8D 55 E8 E8 ?? ?? ?? ?? 84 C0 74 10 8B 55 E8 8B 83 B8 02 00 00 8B 08 FF 51 58 EB 6A 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B 83 B8 02 00 00 8B 08 FF 51 58 EB 34 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 F8 8B 83 B8 02 00 00 8B 08 FF 51 58 8B C3 E8 ?? ?? ?? ?? 84 C0 74 20 F6 43 1C 01 75 1A 8B C3 8B 10 FF 92 10 01 00 00 80 BB 80 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88257_0 {
	meta:
		name = "TCustomGesturePreview.SetGestureProvider$245$ActRec.$0$Body"
		size = 11
		refs = "0006 TCustomGesturePreview.SetGesture"
	strings:
		$1 = { 8B D1 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88258_0 {
	meta:
		name = "TCustomGesturePreview.SetGestureProvider"
		size = 269
		refs = "0016 TCustomGesturePreview.SetGestureProvider 0023 _DV_TCustomGesturePreview.SetGestureProvider$245$ActRec 0028 TObject.Create 003b @IntfCopy 0079 _Dn_TComponent 007e @SafeIntfAsClass 0085 TComponent.RemoveFreeNotification 0093 @IntfIsClass 00e6 TComponent.FreeNotification 00fb @IntfClear 0101 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 89 43 0C 8B 90 BC 02 00 00 3B 55 F8 0F 84 97 00 00 00 8B 53 0C 83 BA BC 02 00 00 00 74 2A 8B 53 0C 8B 92 BC 02 00 00 92 8B 08 FF 51 10 8B 73 0C 8B 86 BC 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B 43 0C 05 BC 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 0C 83 B8 BC 02 00 00 00 74 33 8B CB 85 C9 74 03 83 E9 F0 8B 53 0C 8B 92 BC 02 00 00 92 8B 30 FF 56 0C 8B 73 0C 8B 86 BC 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88259_0 {
	meta:
		name = "TCustomGesturePreview.SetGradientDirection"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 C0 02 00 00 74 10 88 96 C0 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_88260_0 {
	meta:
		name = "TCustomGesturePreview.SetGradientEndColor"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 C4 02 00 00 74 10 89 96 C4 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_88261_0 {
	meta:
		name = "TCustomGesturePreview.SetGradientStartColor"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 C8 02 00 00 74 10 89 96 C8 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_88262_0 {
	meta:
		name = "TCustomGesturePreview.SetLegendPosition"
		size = 23
	strings:
		$1 = { 3A 90 DC 02 00 00 74 0E 88 90 DC 02 00 00 8B 10 FF 92 10 01 00 00 C3 }
	condition:
		$1
}

rule function_88263_0 {
	meta:
		name = "TCustomGesturePreview.SetMaxPreviewSize"
		size = 23
	strings:
		$1 = { 3B 90 F0 02 00 00 74 0E 89 90 E0 02 00 00 8B 10 FF 92 10 01 00 00 C3 }
	condition:
		$1
}

rule function_88264_0 {
	meta:
		name = "TCustomGesturePreview.SetPreviewEndPointColor"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 E4 02 00 00 74 10 89 96 E4 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_88265_0 {
	meta:
		name = "TCustomGesturePreview.SetPreviewLineColor"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 E8 02 00 00 74 10 89 96 E8 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_88266_0 {
	meta:
		name = "TCustomGesturePreview.SetAnimate"
		size = 33
		refs = "0015 TCustomGesturePreview.StartAnimation 001c TCustomGesturePreview.SuspendAnimation"
	strings:
		$1 = { 3A 90 80 02 00 00 74 18 8B CA 88 88 80 02 00 00 84 C9 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88267_0 {
	meta:
		name = "TCustomGesturePreview.StartAnimation"
		size = 125
		refs = "0013 @DynArrayLength 006a TTimer.SetInterval 0077 TTimer.SetEnabled"
	strings:
		$1 = { 53 8B D8 83 BB B8 02 00 00 00 74 6F 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 85 C0 7E 60 C6 83 88 02 00 00 00 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 48 89 83 90 02 00 00 33 C0 89 83 84 02 00 00 C6 83 A0 02 00 00 02 8B 83 98 02 00 00 E8 ?? ?? ?? ?? B9 0F 00 00 00 99 F7 F9 40 89 83 A4 02 00 00 8B 93 94 02 00 00 8B 83 EC 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 EC 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_88268_0 {
	meta:
		name = "TCustomGesturePreview.SuspendAnimation"
		size = 28
		refs = "000c TTimer.SetEnabled"
	strings:
		$1 = { 56 8B F0 33 D2 8B 86 EC 02 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_88269_0 {
	meta:
		name = "TCustomGesturePreview.UpdatePosition"
		size = 652
		refs = "001a TCustomGesturePreview.UpdatePosition 0027 TWinControl.HandleAllocated 005a TCanvas.SetFont 0074 SStartPoint 0079 LoadResString 0086 SStartPoints 00bb Rect 00f8 OffsetRect 020c @DynArrayHigh 0217 ScaleGesturePoints 0226 TGesturePointArray 022b @DynArrayAsg 023b TCustomGesturePreview.InterpolatePoints 0279 @FinalizeArray 027f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 D2 89 55 DC 89 55 E4 89 55 E0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 2A 02 00 00 33 C0 89 86 F8 02 00 00 33 C0 89 86 FC 02 00 00 80 BE DC 02 00 00 00 0F 84 DB 00 00 00 8B 56 6C 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 8B 86 B8 02 00 00 8B 10 FF 52 34 A8 01 74 12 8D 96 F4 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8D 96 F4 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F8 8B 96 F4 02 00 00 8B 86 78 02 00 00 8B 18 FF 93 8C 00 00 00 8B 7D FC 57 8D 45 E8 50 8B 5D F8 83 C3 0A 8B CB 33 D2 33 C0 E8 ?? ?? ?? ?? 56 57 8D BE CC 02 00 00 8D 75 E8 A5 A5 A5 A5 5F 5E 0F B6 86 DC 02 00 00 FE C8 74 06 FE C8 74 28 EB 74 6A 08 8B 46 50 2B C3 D1 F8 79 03 83 D0 00 50 8D 86 CC 02 00 00 50 E8 ?? ?? ?? ?? 83 C7 10 01 BE FC 02 00 00 EB 4E 8B 46 54 2B C7 83 E8 08 50 8B 46 50 2B C3 D1 F8 79 03 83 D0 00 50 8D 86 CC 02 00 00 50 E8 ?? ?? ?? ?? EB 2A 6A 00 8D 45 E8 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 56 8D BE CC 02 00 00 8D 75 E8 A5 A5 A5 A5 5E 33 C0 89 45 F8 33 C0 89 45 FC 8B 46 54 2B 45 FC 83 E8 10 8B 56 50 83 EA 10 80 BE DC 02 00 00 00 74 03 83 E8 08 3B C2 7E 08 89 96 F0 02 00 00 EB 06 89 86 F0 02 00 00 8B 96 E0 02 00 00 85 D2 74 23 3B 96 F0 02 00 00 7D 1B 89 96 F0 02 00 00 80 BE DC 02 00 00 00 74 0C 8B 55 FC 83 C2 08 01 96 FC 02 00 00 8B 56 50 2B 96 F0 02 00 00 D1 FA 79 03 83 D2 00 01 96 F8 02 00 00 2B 86 F0 02 00 00 D1 F8 79 03 83 D0 00 01 86 FC 02 00 00 83 BE FC 02 00 00 08 7D 0A C7 86 FC 02 00 00 08 00 00 00 8B 9E F0 02 00 00 83 EB 0A 8D 45 E4 50 8D 55 E0 8B 86 B8 02 00 00 8B 08 FF 51 3C 8B 7D E0 8B C7 E8 ?? ?? ?? ?? 50 8B C7 8B CB 5A E8 ?? ?? ?? ?? 8B 55 E4 8D 86 AC 02 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D DC 8B 96 AC 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 DC 8D 86 98 02 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88271_0 {
	meta:
		name = "TCustomGestureRecorder.Create"
		size = 260
		refs = "000d @ClassCreate 001b TCustomControl.Create 0060 _DV_TList<System.Types.TPoint> 0065 TList<System.Types.TPoint>.Create 007e TControl.SetHeight 008a TControl.SetWidth 008f TCustomGestureRecorder.Create 00a0 TWinControl.SetDoubleBuffered 00cd TCustomTouchManager.SetParentTabletOptions 00df TCustomTouchManager.SetTabletOptions 00ec @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 80 02 00 00 00 33 C0 89 83 84 02 00 00 C7 83 88 02 00 00 00 00 FF 00 C7 83 90 02 00 00 00 00 FF 00 C6 83 94 02 00 00 01 C7 83 98 02 00 00 E6 E5 F0 00 C7 83 9C 02 00 00 FD FD FD 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A8 02 00 00 C6 83 AC 02 00 00 00 BA C8 00 00 00 8B C3 E8 ?? ?? ?? ?? BA C8 00 00 00 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 43 58 89 43 58 B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 E8 00 00 00 8B 83 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 88 50 11 0F B6 15 ?? ?? ?? ?? 88 50 10 33 D2 E8 ?? ?? ?? ?? 8B 83 B4 00 00 00 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5B 59 5D C3 00 00 20 00 }
	condition:
		$1
}

rule function_88272_0 {
	meta:
		name = "TCustomGestureRecorder.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 001a TObject.Free 0038 TCustomControl.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 84 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 A8 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88273_0 {
	meta:
		name = "TCustomGestureRecorder.AddGesturePoint"
		size = 313
		refs = "00e5 @ROUND 0117 TList<System.Types.TPoint>.Add"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 89 4C 24 04 8B DA 89 04 24 8B 44 24 04 8B 00 2B 03 99 33 C2 2B C2 8B C8 8B 44 24 04 8B 40 04 2B 43 04 99 33 C2 2B C2 8B F0 83 F9 04 7D 09 83 FE 04 0F 8C F3 00 00 00 83 F9 08 7F 09 83 FE 08 0F 8E D3 00 00 00 8B C1 BF 05 00 00 00 99 F7 FF 8B F8 8B C1 B9 05 00 00 00 99 F7 F9 85 D2 75 01 4F 8B C6 B9 05 00 00 00 99 F7 F9 8B C8 8B C6 BE 05 00 00 00 99 F7 FE 85 D2 75 01 49 3B CF 7D 04 8B C7 EB 02 8B C1 8B 54 24 04 8B 12 2B 13 89 54 24 18 DB 44 24 18 89 44 24 1C DB 44 24 1C DE F9 D9 5C 24 08 9B 8B 54 24 04 8B 52 04 2B 53 04 89 54 24 18 DB 44 24 18 89 44 24 1C DB 44 24 1C DE F9 D9 5C 24 0C 9B 8B F8 4F 85 FF 7E 4C BE 01 00 00 00 89 74 24 18 DB 44 24 18 D8 4C 24 08 E8 ?? ?? ?? ?? 8B E8 03 2B 89 74 24 18 DB 44 24 18 D8 4C 24 0C E8 ?? ?? ?? ?? 03 43 04 89 6C 24 10 89 44 24 14 8D 54 24 10 8B 04 24 8B 80 A8 02 00 00 E8 ?? ?? ?? ?? 46 4F 75 B9 8B 54 24 04 8B 04 24 8B 80 A8 02 00 00 E8 ?? ?? ?? ?? 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88274_0 {
	meta:
		name = "TCustomGestureRecorder.DrawPoint"
		size = 151
		refs = "0013 TBrush.SetStyle 0027 TPen.SetColor"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 83 78 02 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B 83 78 02 00 00 8B 40 44 8B 93 90 02 00 00 E8 ?? ?? ?? ?? 8B 06 8B D0 83 C2 03 52 8B 7E 04 8B D7 83 C2 03 52 8B CF 83 E9 02 8B D0 83 EA 02 8B 83 78 02 00 00 8B 38 FF 57 50 8B 83 78 02 00 00 8B 40 44 8B 93 88 02 00 00 E8 ?? ?? ?? ?? 8B 83 A8 02 00 00 83 78 08 01 75 12 8B 4E 04 8B 16 8B 83 78 02 00 00 8B 18 FF 53 64 EB 10 8B 4E 04 8B 16 8B 83 78 02 00 00 8B 18 FF 53 60 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88275_0 {
	meta:
		name = "TCustomGestureRecorder.IsTouchPropertyStored"
		size = 92
		refs = "000b TControl.IsTouchPropertyStored 0025 TCustomGestureRecorder.IsTouchPropertyStored"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 80 EB 01 72 1E 74 06 FE CB 74 2E EB 36 8B 86 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 3A 50 11 0F 95 C0 5E 5B C3 8B 86 B4 00 00 00 0F B6 15 ?? ?? ?? ?? 3A 50 10 0F 95 C0 5E 5B C3 8B 86 B4 00 00 00 0F B6 40 18 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_88276_0 {
	meta:
		name = "TCustomGestureRecorder.MouseDown"
		size = 107
		refs = "0021 TList<System.Types.TPoint>.Clear 003b TList<System.Types.TPoint>.Add 004b TList<System.Types.TPoint>.GetItem"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 C6 83 AC 02 00 00 01 8B C3 8B 10 FF 92 9C 00 00 00 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 8B 45 0C 89 45 F8 8B 45 08 89 45 FC 8D 55 F8 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 8D 4D F0 33 D2 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 91 FC 00 00 00 33 C0 89 83 A0 02 00 00 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_88277_0 {
	meta:
		name = "TCustomGestureRecorder.MouseMove"
		size = 247
		refs = "0032 TList<System.Types.TPoint>.GetItem 003f TCustomGestureRecorder.AddGesturePoint 00af TList<System.Types.TPoint>.Clear 00c6 TList<System.Types.TPoint>.Add"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 8B F1 66 89 55 FE 8B D8 80 BB AC 02 00 00 00 74 78 89 75 F0 8B 45 08 89 45 F4 8D 4D E0 8B B3 A8 02 00 00 8B 56 08 4A 8B C6 E8 ?? ?? ?? ?? 8D 55 E0 8D 4D F0 8B C3 E8 ?? ?? ?? ?? 8B 83 A0 02 00 00 8B 93 A8 02 00 00 8B 72 08 4E 2B F0 7C 28 46 89 45 F8 8D 4D E0 8B 55 F8 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 8D 55 E0 8B C3 8B 08 FF 91 FC 00 00 00 FF 45 F8 4E 75 DC 8B 83 A8 02 00 00 8B 40 08 48 89 83 A0 02 00 00 EB 5E F6 45 FE 80 74 58 C6 83 AC 02 00 00 01 8B C3 8B 10 FF 92 9C 00 00 00 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 89 75 E8 8B 45 08 89 45 EC 8D 55 E8 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 8D 4D E0 33 D2 8B 83 A8 02 00 00 E8 ?? ?? ?? ?? 8D 55 E0 8B C3 8B 08 FF 91 FC 00 00 00 33 C0 89 83 A0 02 00 00 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_88278_0 {
	meta:
		name = "TCustomGestureRecorder.MouseUp"
		size = 377
		refs = "0017 TCustomGestureRecorder.MouseUp 0051 TList<System.Types.TPoint>.GetItem 005e TCustomGestureRecorder.AddGesturePoint 0072 TCustomGestureRecorder.PointsToArray 007c @DynArrayHigh 0083 TGestureEngine.GetRecognizer 0099 TGesturePointArray 009e @DynArrayAsg 00ad TObject.Free 00b6 _Dn_TGestureCollectionItem 00bb TGestureCollectionItem.Create 00db @DynArrayLength 0164 @FinalizeArray 016a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE AC 02 00 00 00 0F 84 1A 01 00 00 C6 86 AC 02 00 00 00 8B 45 0C 89 45 F8 8B 45 08 89 45 FC 8D 4D F0 8B 9E A8 02 00 00 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8D 4D F8 8B C6 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 4D E8 8B 96 A8 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 5D E8 8B C3 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 5A 59 8B 18 FF 53 04 8B 55 EC 8D 86 A4 02 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 86 84 02 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E 84 02 00 00 8B 96 A4 02 00 00 8B C3 8B 08 FF 51 58 8B 86 A4 02 00 00 E8 ?? ?? ?? ?? 48 7E 5C 8B 9E 8C 02 00 00 85 DB 74 32 8B BE 84 02 00 00 8B D7 8B C3 8B 08 FF 51 4C 8B D0 8B C7 8B 08 FF 51 4C 8B 86 84 02 00 00 8B 10 FF 52 2C 8B D0 8B 86 8C 02 00 00 8B 08 FF 51 50 EB 06 8B 86 84 02 00 00 66 83 BE BA 02 00 00 00 74 10 8B C8 8B D6 8B 86 BC 02 00 00 FF 96 B8 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_88279_0 {
	meta:
		name = "TCustomGestureRecorder.Notification"
		size = 45
		refs = "0010 TWinControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 8C 02 00 00 75 08 33 C0 89 87 8C 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88280_0 {
	meta:
		name = "TCustomGestureRecorder.Paint"
		size = 408
		refs = "0013 TCustomGestureRecorder.Paint 003d TBrush.SetColor 0070 GradientFillCanvas 008b TCanvas.SetFont 009b TBrush.SetStyle 00a9 @UStrLAsg 00cd InflateRect 0155 TList<System.Types.TPoint>.GetItem 017d @UStrClr 0183 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B C6 8B 08 FF 51 60 80 BE 80 02 00 00 00 75 21 8B 86 78 02 00 00 8B 40 48 8B 56 74 E8 ?? ?? ?? ?? 8D 55 E8 8B 86 78 02 00 00 8B 08 FF 51 54 EB 23 8D 45 E8 50 0F B6 86 94 02 00 00 50 8B 8E 98 02 00 00 8B 96 9C 02 00 00 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 80 BE AC 02 00 00 00 0F 85 B1 00 00 00 8B 56 6C 8B 86 78 02 00 00 E8 ?? ?? ?? ?? 8B 86 78 02 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8D 45 FC 8B 96 B0 02 00 00 E8 ?? ?? ?? ?? F6 46 1C 10 74 11 83 7D FC 00 75 0B 8D 45 FC 8B 56 08 E8 ?? ?? ?? ?? 6A 00 6A E7 8D 45 E8 50 E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 C0 89 45 F4 A1 ?? ?? ?? ?? 50 8D 4D FC 8D 55 E8 8B 86 78 02 00 00 8B 18 FF 93 94 00 00 00 8B 46 50 83 E8 19 89 45 F0 8B 45 F4 2B 45 EC 8B 56 54 2B D0 D1 FA 79 03 83 D2 00 89 55 EC 01 55 F4 A1 ?? ?? ?? ?? 50 8D 4D FC 8D 55 E8 8B 86 78 02 00 00 8B 18 FF 93 94 00 00 00 EB 3A 8B 86 A8 02 00 00 8B 58 08 4B 85 DB 7C 2C 43 C7 45 F8 00 00 00 00 8D 4D E0 8B 55 F8 8B 86 A8 02 00 00 E8 ?? ?? ?? ?? 8D 55 E0 8B C6 8B 08 FF 91 FC 00 00 00 FF 45 F8 4B 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 02 00 02 00 04 00 02 00 }
	condition:
		$1
}

rule function_88281_0 {
	meta:
		name = "TCustomGestureRecorder.PointsToArray"
		size = 86
		refs = "0018 TGesturePointArray 001d @DynArraySetLength 0036 TList<System.Types.TPoint>.GetItem"
		altNames = "TGestureRecognizer.CopyPoints"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 8B FA 8B 47 08 50 8B C5 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 77 08 4E 85 F6 7C 23 46 33 DB 8B CC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 00 8B 14 24 89 14 D8 8B 54 24 04 89 54 D8 04 43 4E 75 E0 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88282_0 {
	meta:
		name = "TCustomGestureRecorder.SetCaption"
		size = 47
		refs = "000f @UStrEqual 001e @UStrAsg"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 96 B0 02 00 00 E8 ?? ?? ?? ?? 74 17 8D 86 B0 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_88283_0 {
	meta:
		name = "TCustomGestureRecorder.SetDrawingStyle"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 80 02 00 00 74 10 88 96 80 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_88284_0 {
	meta:
		name = "TCustomGestureRecorder.SetGestureLineColor"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 88 02 00 00 74 10 89 96 88 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_88285_0 {
	meta:
		name = "TCustomGestureRecorder.SetGestureManager"
		size = 49
		refs = "0017 TComponent.RemoveFreeNotification 002a TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 8C 02 00 00 3B F0 74 1E 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 83 8C 02 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88287_0 {
	meta:
		name = "TCustomGestureRecorder.SetGradientDirection"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 94 02 00 00 74 10 88 96 94 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_88288_0 {
	meta:
		name = "TCustomGestureRecorder.SetGradientEndColor"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 98 02 00 00 74 10 89 96 98 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_88289_0 {
	meta:
		name = "TCustomGestureRecorder.SetGradientStartColor"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 9C 02 00 00 74 10 89 96 9C 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_88614_0 {
	meta:
		name = "TGestureCollectionItem.Create"
		size = 84
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 002c TGestureCollectionItem.Create 003a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 10 14 00 00 00 C7 46 14 14 00 00 00 0F B6 05 ?? ?? ?? ?? 88 46 20 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_88615_0 {
	meta:
		name = "TGestureCollectionItem.Destroy"
		size = 78
		refs = "0003 @BeforeDestruction 0031 TComponent.RemoveFreeNotification 003c TCollectionItem.Destroy 0047 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 0C 00 74 24 83 7E 04 00 74 1E 8B 46 04 8B 10 FF 52 28 85 C0 74 12 8B 46 04 8B 10 FF 52 28 8B D0 8B 46 0C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88616_0 {
	meta:
		name = "TGestureCollectionItem.AssignTo"
		size = 114
		refs = "000b _DV_TGestureCollectionItem 0010 @IsClass 003b @UStrAsg 004a @DynArrayLength 0057 TGesturePointArray 005f @DynArrayCopyRange 006a TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4D 8B FE 8B 43 0C 89 47 0C 8B 43 10 89 47 10 8B 43 14 89 47 14 0F B7 43 18 66 89 47 18 8D 47 1C 8B 53 1C E8 ?? ?? ?? ?? 0F B6 43 20 88 47 20 8B 43 24 E8 ?? ?? ?? ?? 50 8D 47 24 50 33 C9 8B 15 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88617_0 {
	meta:
		name = "DoStream"
		size = 56
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 10 FF 52 30 3C 01 74 0F 8B 45 08 8B 40 FC 8B 10 FF 52 30 3C 03 75 0F 8B 45 08 8B 40 FC 8B 40 04 80 78 28 00 75 04 33 C0 5D C3 B0 01 5D C3 }
	condition:
		$1
}

rule function_88618_0 {
	meta:
		name = "TGestureCollectionItem.DefineProperties"
		size = 456
		refs = "0014 TPersistent.DefineProperties 001c TGestureCollectionItem.ReadDeviation 0024 TGestureCollectionItem.WriteDeviation 002a DoStream 0032 TGestureCollectionItem.DefineProperties 0041 TGestureCollectionItem.ReadErrorMargin 0049 TGestureCollectionItem.WriteErrorMargin 0066 TGestureCollectionItem.ReadGestureID 006e TGestureCollectionItem.WriteGestureID 008e TGestureCollectionItem.ReadName 0096 TGestureCollectionItem.WriteName 00c6 TGestureCollectionItem.ReadOptions 00ce TGestureCollectionItem.WriteOptions 00eb TGestureCollectionItem.ReadPoints 00f3 TGestureCollectionItem.WritePoints"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 89 45 FC 8D 75 FC 8B D3 8B 06 E8 ?? ?? ?? ?? 8B 06 50 68 ?? ?? ?? ?? 8B 06 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 04 8B 06 50 68 ?? ?? ?? ?? 8B 06 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 04 8B 06 50 68 ?? ?? ?? ?? 8B 06 50 68 ?? ?? ?? ?? 8B 06 8B 10 FF 52 30 3C 02 0F 95 C1 BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 04 8B 06 50 68 ?? ?? ?? ?? 8B 06 50 68 ?? ?? ?? ?? 8B 06 8B 10 FF 52 30 3C 02 74 0F 55 E8 ?? ?? ?? ?? 59 84 C0 75 04 33 C9 EB 02 B1 01 BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 04 8B 06 50 68 ?? ?? ?? ?? 8B 06 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 04 8B 06 50 68 ?? ?? ?? ?? 8B 06 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 08 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 65 00 76 00 69 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 72 00 72 00 6F 00 72 00 4D 00 61 00 72 00 67 00 69 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 47 00 65 00 73 00 74 00 75 00 72 00 65 00 49 00 44 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4F 00 70 00 74 00 69 00 6F 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 6F 00 69 00 6E 00 74 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_88621_0 {
	meta:
		name = "TGestureCollectionItem.GetDisplayName"
		size = 125
		refs = "000f TGestureCollectionItem.GetDisplayName 002c GestureToIdent 004b @UStrCopy 0057 @UStrAsg 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 30 84 C0 75 2D 8D 55 FC 0F BF 43 18 E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 56 8B CB 83 E9 03 BA 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88623_0 {
	meta:
		name = "TGestureCollectionItem.GetGestureID"
		size = 5
	strings:
		$1 = { 0F B7 40 18 C3 }
	condition:
		$1
}

rule function_88624_0 {
	meta:
		name = "TGestureCollectionItem.GetGestureType"
		size = 99
		refs = "0049 SInvalidGestureID 0050 _Dn_EGestureException 0055 Exception.CreateResFmt 005a @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 0F B7 73 18 8B C6 05 00 04 00 00 66 2D 00 02 72 1D 66 2D 00 02 72 13 74 09 48 66 83 E8 22 72 06 EB 10 B0 03 EB 31 33 C0 EB 2D B0 01 EB 29 B0 02 EB 25 0F BF C6 89 04 24 C6 44 24 04 00 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_88625_0 {
	meta:
		name = "TGestureCollectionItem.GetName"
		size = 48
		refs = "0029 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 30 2C 01 72 06 2C 02 72 0E 75 16 8B D6 8B C3 8B 08 FF 51 0C 5E 5B C3 8B C6 8B 53 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88626_0 {
	meta:
		name = "TGestureCollectionItem.GetOptions"
		size = 7
	strings:
		$1 = { 0F B6 50 20 8B C2 C3 }
	condition:
		$1
}

rule function_88628_0 {
	meta:
		name = "TGestureCollectionItem.ReadDeviation"
		size = 19
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 43 10 5E 5B C3 }
	condition:
		$1
}

rule function_88629_0 {
	meta:
		name = "TGestureCollectionItem.ReadErrorMargin"
		size = 19
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 89 43 14 5E 5B C3 }
	condition:
		$1
}

rule function_88630_0 {
	meta:
		name = "TGestureCollectionItem.ReadGestureID"
		size = 173
		refs = "0015 TGestureCollectionItem.ReadGestureID 0022 TReader.NextValue 0030 TReader.ReadIdent 003b IdentToGesture 0054 TryStrToInt 0068 SInvalidPropertyValue 006f _Dn_EReadError 0074 Exception.CreateRes 0079 @RaiseExcept 0082 TReader.ReadInteger 009b @UStrClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3C 07 75 55 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0A 0F B7 45 F8 66 89 46 18 EB 3D 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0A 0F B7 45 F8 66 89 46 18 EB 24 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8B C3 E8 ?? ?? ?? ?? 66 89 46 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88631_0 {
	meta:
		name = "TGestureCollectionItem.ReadName"
		size = 80
		refs = "000f TGestureCollectionItem.ReadName 001f TReader.ReadString 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88632_0 {
	meta:
		name = "TGestureCollectionItem.ReadOptions"
		size = 19
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 88 43 20 5E 5B C3 }
	condition:
		$1
}

rule function_88633_0 {
	meta:
		name = "TGestureCollectionItem.ReadPoints"
		size = 188
		refs = "0026 SInvalidStreamFormat 002d _Dn_EGestureException 0032 Exception.CreateRes 0037 @RaiseExcept 005b TGesturePointArray 0060 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 89 14 24 8B F8 8D 54 24 0C B9 01 00 00 00 8B 04 24 8B 18 FF 53 0C 80 7C 24 0C 01 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 54 24 04 B9 04 00 00 00 8B 04 24 8B 18 FF 53 0C 8B 44 24 04 50 8D 47 24 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 5C 24 04 4B 85 DB 7C 44 43 33 F6 8D 54 24 08 B9 04 00 00 00 8B 04 24 8B 28 FF 55 0C 8B 44 24 08 89 44 24 0E 0F BF 44 24 0E 89 44 24 14 0F BF 44 24 10 89 44 24 18 8B 47 24 8B 54 24 14 89 14 F0 8B 54 24 18 89 54 F0 04 46 4B 75 BF 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88634_0 {
	meta:
		name = "TGestureCollectionItem.SetAction"
		size = 98
		refs = "002b TComponent.RemoveFreeNotification 0052 TComponent.FreeNotification 005b TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 0C 74 54 83 7B 0C 00 74 1E 8B 43 04 8B 10 FF 52 28 85 C0 74 12 8B 43 04 8B 10 FF 52 28 8B D0 8B 43 0C E8 ?? ?? ?? ?? 89 73 0C 83 7B 0C 00 74 1E 8B 43 04 8B 10 FF 52 28 85 C0 74 12 8B 43 04 8B 10 FF 52 28 8B D0 8B 43 0C E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88635_0 {
	meta:
		name = "TGestureCollectionItem.SetDeviation"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3B 50 10 74 0A 89 50 10 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88637_0 {
	meta:
		name = "TGestureCollectionItem.SetGestureID"
		size = 5
	strings:
		$1 = { 66 89 50 18 C3 }
	condition:
		$1
}

rule function_88638_0 {
	meta:
		name = "TGestureCollectionItem.SetName"
		size = 101
		refs = "0010 @UStrEqual 0037 SDuplicateGestureName 003e _Dn_EGestureException 0043 Exception.CreateResFmt 0048 @RaiseExcept 0052 @UStrAsg 005b TCollectionItem.Changed"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B C6 8B 53 1C E8 ?? ?? ?? ?? 74 49 8B 7B 04 85 FF 74 2F 8B D6 8B C7 8B 08 FF 51 34 85 C0 74 22 89 34 24 C6 44 24 04 11 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 1C 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88639_0 {
	meta:
		name = "TGestureCollectionItem.SetOptions"
		size = 35
		refs = "001c TCollectionItem.Changed"
	strings:
		$1 = { 53 51 88 14 24 8B D8 0F B6 43 20 3A 04 24 74 10 0F B6 04 24 88 43 20 33 D2 8B C3 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_88640_0 {
	meta:
		name = "TGestureCollectionItem.SetPoints"
		size = 30
		refs = "0012 TGesturePointArray 0017 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 24 74 10 8D 43 24 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88641_0 {
	meta:
		name = "TGestureCollectionItem.WriteDeviation"
		size = 10
		refs = "0005 TWriter.WriteInteger"
	strings:
		$1 = { 8B 40 10 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88642_0 {
	meta:
		name = "TGestureCollectionItem.WriteErrorMargin"
		size = 10
		refs = "0005 TWriter.WriteInteger"
	strings:
		$1 = { 8B 40 14 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88643_0 {
	meta:
		name = "TGestureCollectionItem.WriteGestureID"
		size = 97
		refs = "000f TGestureCollectionItem.WriteGestureID 0021 GestureToIdent 0031 IntToStr 003b TWriter.WriteIdent 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 0F BF 43 18 E8 ?? ?? ?? ?? 84 C0 75 0C 8D 55 FC 0F BF 43 18 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88645_0 {
	meta:
		name = "TGestureCollectionItem.WriteOptions"
		size = 11
		refs = "0006 TWriter.WriteInteger"
	strings:
		$1 = { 0F B6 40 20 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88646_0 {
	meta:
		name = "TGestureCollectionItem.WritePoints"
		size = 152
		refs = "0025 @DynArrayLength"
	strings:
		$1 = { 53 56 57 83 C4 EC 89 14 24 8B F0 C6 44 24 0C 01 8D 54 24 0C B9 01 00 00 00 8B 04 24 8B 18 FF 53 10 8B 46 24 E8 ?? ?? ?? ?? 89 44 24 04 8D 54 24 04 B9 04 00 00 00 8B 04 24 8B 18 FF 53 10 8B 46 24 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 44 43 C7 44 24 04 00 00 00 00 8B 46 24 8B 54 24 04 8D 04 D0 0F B7 10 66 89 54 24 0E 0F B7 40 04 66 89 44 24 10 8B 44 24 0E 89 44 24 08 8D 54 24 08 B9 04 00 00 00 8B 04 24 8B 38 FF 57 10 FF 44 24 04 4B 75 C5 83 C4 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88647_0 {
	meta:
		name = "TGestureCollection.Create"
		size = 63
		refs = "000a @ClassCreate 0014 _DV_TGestureCollectionItem 001d TCollection.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 28 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_88648_0 {
	meta:
		name = "TGestureCollection.Create"
		size = 60
		refs = "000b @ClassCreate 0028 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 8B 08 FF 51 40 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88650_0 {
	meta:
		name = "TGestureCollection.AddGesture"
		size = 36
		refs = "0010 TCollection.Add"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 10 FF 52 38 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 51 4C 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_88651_0 {
	meta:
		name = "TGestureCollection.Add"
		size = 12
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 2C 5B C3 }
	condition:
		$1
}

rule function_88652_0 {
	meta:
		name = "TGestureCollection.FindGesture"
		size = 74
		refs = "0021 TCustomGestureCollection.GetItem"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 33 C0 89 04 24 8B 47 08 8B 70 08 4E 85 F6 7C 28 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 52 2C 66 3B E8 75 0E 8B D3 8B C7 E8 ?? ?? ?? ?? 89 04 24 EB 04 43 4E 75 DB 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88653_0 {
	meta:
		name = "TGestureCollection.FindGesture"
		size = 143
		refs = "0017 TGestureCollection.FindGesture 0039 TCustomGestureCollection.GetItem 004e CompareText 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 47 08 8B 70 08 4E 85 F6 7C 37 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 51 38 8B 45 F4 B1 01 8B 55 FC E8 ?? ?? ?? ?? 85 C0 75 0E 8B D3 8B C7 E8 ?? ?? ?? ?? 89 45 F8 EB 04 43 4E 75 CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88654_0 {
	meta:
		name = "TGestureCollection.GetUniqueGestureID"
		size = 28
	strings:
		$1 = { 53 56 8B F0 83 CB FF EB 01 4B 8B D3 8B C6 8B 08 FF 51 30 85 C0 75 F2 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_88656_0 {
	meta:
		name = "TGestureCollection.Notify"
		size = 47
		refs = "0010 TCollection.Notify"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 02 75 12 66 83 7E 22 00 74 0B 57 B1 01 8B D6 8B 46 24 FF 56 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88657_0 {
	meta:
		name = "TGestureCollection.RemoveGesture"
		size = 15
		refs = "000a TObject.Free"
	strings:
		$1 = { 8B 08 FF 51 30 85 C0 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_88658_0 {
	meta:
		name = "TGestureCollection.Update"
		size = 23
	strings:
		$1 = { 53 66 83 78 22 00 74 0D 52 8B D8 33 C9 8B D0 8B 43 24 FF 53 20 5B C3 }
	condition:
		$1
}

rule function_88659_0 {
	meta:
		name = "TGestureStreamData.Create"
		size = 80
		refs = "000b @ClassCreate 001c TCollectionItem.Create 0029 _DV_TGestureCollection 002e TGestureCollection.Create 003c @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 80 7E 18 00 74 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88660_0 {
	meta:
		name = "TGestureStreamList.Create"
		size = 73
		refs = "000e @ClassCreate 001b _DV_TGestureStreamData 0024 TCollection.Create 0034 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 18 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88664_0 {
	meta:
		name = "TGestureManager.Create@"
		size = 53
		refs = "0002 TGestureManager.$ClassInitFlag 000c _DV_TList<Vcl.Controls.TCustomGestureManager> 0011 TList<Vcl.Controls.TCustomGestureManager>.Create 0016 TGestureManager.FInstanceList 001d _DV_TGestureCollection 0022 TGestureCollection.Create 0027 TGestureManager.FRegisteredGestures 002e TGestureManager.FNextGestureID"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 2B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 66 C7 05 ?? ?? ?? ?? FF FD C3 }
	condition:
		$1
}

rule function_88665_0 {
	meta:
		name = "TGestureManager.Create"
		size = 137
		refs = "000e @ClassCreate 001c TComponent.Create 0025 _DV_TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection> 002a TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Create 0034 TGestureManager.FInstanceList 0039 TList<Vcl.Controls.TCustomGestureManager>.Add 0040 _DV_TGestureCollection 0045 TGestureCollection.Create 0054 TGestureManager.GestureItemChanged 005b _DV_TList<Vcl.Controls.TControl> 0060 TList<Vcl.Controls.TControl>.Create 0074 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 38 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 48 89 5E 24 C7 46 20 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 44 C6 43 54 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88667_0 {
	meta:
		name = "TGestureManager.Destroy"
		size = 96
		refs = "0003 @BeforeDestruction 000e TGestureManager.FInstanceList 0013 TList<Vcl.Controls.TCustomGestureManager>.Remove 0023 TObject.Free 004e TComponent.Destroy 0059 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 48 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 46 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88668_0 {
	meta:
		name = "TGestureManager.AddRecordedGesture"
		size = 214
		refs = "001a TGestureManager.AddRecordedGesture 005b SDuplicateRecordedGestureName 0062 _Dn_EGestureException 0067 Exception.CreateResFmt 006c @RaiseExcept 0074 TGestureCollection.Add 00a4 TGestureManager.NotifyControls 00b9 @UStrClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 08 FF 51 38 8B 55 F8 8B 43 48 8B 08 FF 51 34 85 C0 74 32 8D 55 EC 8B 45 FC 8B 08 FF 51 38 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 48 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 52 2C 8B F8 8B 55 FC 8B C6 8B 08 FF 51 08 8B D7 8B C6 8B 08 FF 51 4C 57 B9 01 00 00 00 BA 53 B0 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88669_0 {
	meta:
		name = "TGestureManager.ChangeNotification"
		size = 32
		refs = "0010 TList<Vcl.Controls.TControl>.Add 0019 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 13 8B D6 8B 43 44 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88670_0 {
	meta:
		name = "StreamData"
		size = 129
		refs = "0014 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetEnumerator 001f StreamData 0032 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TPairEnumerator.GetCurrent 004c TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TPairEnumerator.MoveNext 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 C6 45 FF 00 8B 45 08 8B 40 FC 8B 40 38 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1D 8D 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 83 78 08 00 7E 06 C6 45 FF 01 EB 0C 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 FF 8B E5 5D C3 }
	condition:
		$1
}

rule function_88671_0 {
	meta:
		name = "TGestureManager.DefineProperties"
		size = 192
		refs = "0011 TComponent.DefineProperties 001a TGestureManager.ReadRecordedGestures 0023 TGestureManager.WriteRecordedGestures 0038 TGestureManager.DefineProperties 0048 TGestureManager.ReadControlData 0051 TGestureManager.WriteControlData 0057 StreamData"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 8B 40 48 8B 40 08 83 78 08 00 0F 9F C1 BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 04 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 04 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 75 00 73 00 74 00 6F 00 6D 00 47 00 65 00 73 00 74 00 75 00 72 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 65 00 73 00 74 00 75 00 72 00 65 00 44 00 61 00 74 00 61 00 00 00 }
	condition:
		$1
}

rule function_88672_0 {
	meta:
		name = "TGestureManager.FindCustomGesture"
		size = 31
		refs = "0014 TGestureManager.FRegisteredGestures"
	strings:
		$1 = { 53 8B DA 8B D3 8B 40 48 8B 08 FF 51 30 85 C0 75 0C 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 30 5B C3 }
	condition:
		$1
}

rule function_88673_0 {
	meta:
		name = "TGestureManager.FindCustomGesture"
		size = 31
		refs = "0014 TGestureManager.FRegisteredGestures"
	strings:
		$1 = { 53 8B DA 8B D3 8B 40 48 8B 08 FF 51 34 85 C0 75 0C 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 34 5B C3 }
	condition:
		$1
}

rule function_88674_0 {
	meta:
		name = "TGestureManager.FindGesture"
		size = 30
		refs = "000f TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 34 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88675_0 {
	meta:
		name = "TGestureManager.FindGesture"
		size = 30
		refs = "000f TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetItem"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88676_0 {
	meta:
		name = "TGestureManager.GestureItemChanged"
		size = 446
		refs = "002d TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetEnumerator 0038 TGestureManager.GestureItemChanged 004b TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TPairEnumerator.GetCurrent 0066 TCustomGestureCollection.GetItem 00b9 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TPairEnumerator.MoveNext 00e0 @HandleFinally 00fd TGestureManager.NotifyControls 017a TCollection.Delete"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC 80 E9 01 72 0B 0F 84 EF 00 00 00 E9 99 01 00 00 83 7D 08 00 0F 84 8F 01 00 00 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 71 8D 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 8B 58 08 4B 83 FB 00 7C 57 8B D3 8B 75 F8 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 2C 8B F8 8B 45 08 8B 10 FF 52 2C 66 3B F8 75 31 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 20 8B F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 08 8B 08 FF 51 08 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 40 4B 83 FB FF 75 A9 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 83 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 08 8B 10 FF 52 2C 50 B9 03 00 00 00 BA 53 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? E9 AF 00 00 00 8B 45 FC 80 78 54 00 0F 85 A2 00 00 00 83 7D 08 00 0F 84 98 00 00 00 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 49 8D 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 8B 58 08 4B 83 FB 00 7C 2F 8B D3 8B 75 F8 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 2C 8B F8 8B 45 08 8B 10 FF 52 2C 66 3B F8 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 D1 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 AB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_88677_0 {
	meta:
		name = "TGestureManager.GetCustomGestureCount"
		size = 24
		refs = "0002 TGestureManager.FRegisteredGestures"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 52 08 8B 52 08 8B 40 48 8B 40 08 03 50 08 8B C2 C3 }
	condition:
		$1
}

rule function_88678_0 {
	meta:
		name = "TGestureManager.GetCustomGestures"
		size = 176
		refs = "0010 TGestureManager.GetCustomGestures 001f TGestureManager.GetRecordedGestures 0024 TGestureManager.FRegisteredGestures 0036 TGestureManager.GetRegisteredGestures 003d @DynArrayLength 0057 TGestureArray 005c @DynArraySetLength 0066 TGestureManager.GetRecordedGestureCount 0083 Move 009e @DynArrayClear 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 7E 55 8D 45 FC E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B F8 8B 45 FC E8 ?? ?? ?? ?? 03 F8 57 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 E8 ?? ?? ?? ?? 8B 13 8D 04 82 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 03 C9 03 C9 8B 45 FC 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_88679_0 {
	meta:
		name = "TGestureManager.GetGestureList"
		size = 129
		refs = "0010 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.ContainsKey 001e TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetItem 0028 SControlNotFound 002f _Dn_EGestureException 0034 Exception.CreateRes 0039 @RaiseExcept 004f TGestureArray 0054 @DynArraySetLength 006e TCustomGestureCollection.GetItem"
	strings:
		$1 = { 53 56 57 55 8B E9 8B F2 8B D8 8B 43 38 8B D6 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 43 38 8B D6 E8 ?? ?? ?? ?? 8B F8 EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B DF 8B 43 08 8B 40 08 50 8B C5 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 08 8B 70 08 4E 85 F6 7C 16 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 00 89 04 9A 43 4E 75 ED 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88680_0 {
	meta:
		name = "TGestureManager.GetRecordedGestureCount"
		size = 10
	strings:
		$1 = { 8B 40 48 8B 40 08 8B 40 08 C3 }
	condition:
		$1
}

rule function_88681_0 {
	meta:
		name = "TGestureManager.GetRecordedGestures"
		size = 192
		refs = "0027 TGestureArray 002c @DynArraySetLength 0037 TCollection.GetEnumerator 0042 TGestureManager.GetRecordedGestures 0058 TCollection.GetItem 0072 TCollectionEnumerator.MoveNext 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B D8 33 C0 89 45 F8 8B 43 48 8B 40 08 8B 40 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 48 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 20 8B 5D F4 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 8B F8 8B F7 8B 45 FC 8B 00 8B 55 F8 89 34 90 FF 45 F8 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88682_0 {
	meta:
		name = "TGestureManager.GetRegisteredGestureCount"
		size = 12
		refs = "0001 TGestureManager.FRegisteredGestures"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 40 08 8B 40 08 C3 }
	condition:
		$1
}

rule function_88683_0 {
	meta:
		name = "TGestureManager.GetRegisteredGestures"
		size = 194
		refs = "0012 TGestureManager.FRegisteredGestures 0027 TGestureArray 002c @DynArraySetLength 0039 TCollection.GetEnumerator 0044 TGestureManager.GetRegisteredGestures 005a TCollection.GetItem 0074 TCollectionEnumerator.MoveNext 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 33 C0 89 45 F8 A1 ?? ?? ?? ?? 8B 40 08 8B 58 08 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 20 8B 5D F4 8B 53 04 8B 43 08 E8 ?? ?? ?? ?? 8B F8 8B F7 8B 45 FC 8B 00 8B 55 F8 89 34 90 FF 45 F8 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88684_0 {
	meta:
		name = "TGestureManager.GetStandardGestures"
		size = 128
		refs = "000c TGestureManager.GetStandardGestures 001f TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetItem 0038 TCustomGestureCollection.GetItem"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B 0C 24 8B 1D ?? ?? ?? ?? 89 19 8A 1D ?? ?? ?? ?? 88 59 04 8B 40 38 E8 ?? ?? ?? ?? 8B F8 8B 47 08 8B 70 08 4E 85 F6 7C 43 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 52 30 84 C0 75 2A 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 52 2C 8B 14 24 3C 27 77 15 83 E0 7F 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F AB 02 43 4E 75 C0 5A 5F 5E 5B C3 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_88685_0 {
	meta:
		name = "UpdateProperties"
		size = 42
	strings:
		$1 = { 53 56 57 8B DA 8B F0 85 F6 74 1B 8B C3 8B 10 FF 52 20 8B F8 8B D6 8B C3 8B 08 FF 51 08 8B D7 8B C3 8B 08 FF 51 40 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88686_0 {
	meta:
		name = "TGestureManager.Loaded"
		size = 820
		refs = "0021 TGestureManager.Loaded 002f TComponent.Loaded 0052 FileExists 0064 TGestureManager.LoadFromFile 007d _DV_TList<Vcl.Controls.TCustomGestureCollectionItem> 0082 TList<Vcl.Controls.TCustomGestureCollectionItem>.Create 00c1 TGestureStreamList.GetItem 00cc _Dn_TWinControl 00d1 @IsClass 00f8 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetItem 010e TObject.Free 0129 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.SetItem 0165 TCustomGestureCollection.GetItem 0193 UpdateProperties 01a7 TGestureManager.FRegisteredGestures 01c3 TList<Vcl.Controls.TCustomGestureCollectionItem>.Add 01e0 @UStrClr 01e8 TList<Vcl.Controls.TCustomGestureCollectionItem>.GetEnumerator 0203 TList<Vcl.Controls.TCustomGestureCollectionItem>.TEnumerator.GetCurrent 0227 @UStrCatN 0236 TList<Vcl.Controls.TCustomGestureCollectionItem>.TEnumerator.MoveNext 025d @HandleFinally 026b SRegisteredGestureNotFound 0270 LoadResString 0289 Format 02a5 MessageDlgPosHelp 02fb @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 D2 89 55 CC 89 55 D0 89 55 D4 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 80 78 40 00 0F 85 A5 02 00 00 8B 45 F4 F6 40 1C 10 75 24 8B 45 F4 8B 40 3C B2 01 E8 ?? ?? ?? ?? 84 C0 74 13 8B 45 F4 8B 50 3C 8B 45 F4 E8 ?? ?? ?? ?? E9 78 02 00 00 8B 45 F4 83 78 50 00 0F 84 6B 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 FF 55 68 ?? ?? ?? ?? 64 FF 37 64 89 27 8B 45 F4 8B 40 50 89 45 E8 8B 40 08 8B 40 08 48 85 C0 0F 8C 06 02 00 00 40 89 45 E0 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 8B 70 0C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 F4 8B 08 FF 51 60 EB 0A 8B D6 8B 45 F4 8B 08 FF 51 60 8B 45 F4 8B 40 38 8B D6 E8 ?? ?? ?? ?? 85 C0 74 12 8B 45 F4 8B 40 38 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 8B 48 10 8B 45 F4 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 48 85 C0 0F 8C 86 00 00 00 40 89 45 DC C7 45 EC 00 00 00 00 8B 45 F4 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8B 55 EC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 30 FE C8 74 06 2C 02 74 1F EB 4B 8B C3 8B 10 FF 52 2C 8B D0 8B 45 F4 8B 40 48 8B 08 FF 51 30 8B D3 E8 ?? ?? ?? ?? EB 2E 8D 55 D4 8B C3 8B 08 FF 51 38 8B 55 D4 A1 ?? ?? ?? ?? 8B 08 FF 51 34 85 C0 74 09 8B D3 E8 ?? ?? ?? ?? EB 0A 8B D3 8B 45 E4 E8 ?? ?? ?? ?? FF 45 EC FF 4D DC 75 85 8B 45 E4 83 78 08 00 0F 8E CD 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 33 8B 45 D8 E8 ?? ?? ?? ?? 8B D8 FF 75 FC 8D 55 D0 8B C3 8B 08 FF 51 38 FF 75 D0 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 75 C1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D D8 00 74 0A B2 01 8B 45 D8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8D 45 F8 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 FC 89 45 C4 C6 45 C8 11 8D 55 C4 33 C9 58 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D F8 92 91 E8 ?? ?? ?? ?? FF 45 F0 FF 4D E0 0F 85 05 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 83 C0 50 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 00 08 00 00 }
	condition:
		$1
}

rule function_88687_0 {
	meta:
		name = "TGestureManager.LoadFromFile"
		size = 288
		refs = "001a TGestureManager.LoadFromFile 002c _Dn_TFileStream 0031 TFileStream.Create 005a TGestureManager.LoadFromStream 0069 @HandleAnyException 0076 TObject.Free 0082 SErrorLoadingFile 0087 LoadResString 00a0 Format 00bc MessageDlgPosHelp 00c9 DeleteFile 00ce @DoneExcept 00e9 @HandleFinally 0100 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F0 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 20 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 F6 55 68 ?? ?? ?? ?? 64 FF 36 64 89 26 33 F6 55 68 ?? ?? ?? ?? 64 FF 36 64 89 26 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 6A E9 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F8 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 58 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D FC 92 91 E8 ?? ?? ?? ?? 83 F8 06 75 08 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 03 00 00 00 }
	condition:
		$1
}

rule function_88688_0 {
	meta:
		name = "TGestureManager.LoadFromStream"
		size = 147
		refs = "000f _Dn_TMemoryStream 0014 TObject.Create 0026 TGestureManager.LoadFromStream 0036 TMemoryStream.LoadFromStream 0042 TStream.SetPosition 004d TStream.ReadComponent 0055 TComponent.Loaded 0071 TObject.Free 0077 @HandleFinally 008a TGestureManager.NotifyControls"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC C6 40 40 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 40 00 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 6A 00 33 C9 BA 53 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88689_0 {
	meta:
		name = "TGestureManager.Notification"
		size = 483
		refs = "001a TComponent.Notification 001f Application 005d TGestureManager.SaveToFile 0076 _Dn_TBasicAction 007b @IsClass 009c TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetEnumerator 00a7 TGestureManager.Notification 00ba TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TPairEnumerator.GetCurrent 00d7 TCustomGestureCollection.GetItem 012b TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TPairEnumerator.MoveNext 0152 @HandleFinally 0171 TGestureManager.NotifyControls 0199 _Dn_TControl 01b2 TList<Vcl.Controls.TControl>.Contains 01c3 TList<Vcl.Controls.TControl>.Remove"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B D9 89 55 F8 89 45 FC 8B CB 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 80 B8 A8 00 00 00 00 74 16 8B 45 FC 8B 40 3C 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 9F C0 EB 02 33 C0 84 C0 74 1E 8B 45 FC 80 78 4C 00 75 15 8B 45 FC 8B 50 3C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 4C 01 80 FB 01 0F 85 6B 01 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 0D 01 00 00 66 C7 45 F6 00 00 C6 45 F5 00 C6 45 F4 00 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 74 8D 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 08 8B 70 08 4E 85 F6 7C 5B 46 33 DB 8B D3 8B 7D F0 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 52 20 3B 45 F8 75 3E 8B D3 8B C7 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 40 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 52 2C 66 89 45 F6 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 52 30 84 C0 75 06 C6 45 F4 01 EB 04 C6 45 F5 01 43 4E 75 A8 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E8 00 74 0A B2 01 8B 45 E8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 80 7D F4 00 74 17 0F B7 45 F6 50 B9 03 00 00 00 BA 55 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? 80 7D F5 00 74 61 0F B7 45 F6 50 B9 03 00 00 00 BA 53 B0 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 48 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 36 8B 45 FC 8B 40 44 8B 75 F8 8B D6 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 FC 8B 40 44 8B D6 E8 ?? ?? ?? ?? EB 13 8B 45 FC F6 40 1C 08 75 0A 8B D6 8B 45 FC 8B 08 FF 51 74 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88690_0 {
	meta:
		name = "TGestureManager.NotifyControls"
		size = 70
		refs = "002a TList<Vcl.Controls.TControl>.GetItem 0035 TControl.Perform"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F8 8B 47 44 8B 58 08 4B 85 DB 7C 21 43 33 F6 0F BF 45 08 50 8B 47 44 8B D6 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 46 4B 75 E2 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_88691_0 {
	meta:
		name = "TGestureManager.ReadRecordedGestures"
		size = 26
		refs = "0009 TReader.ReadValue 0013 TReader.ReadCollection"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 53 48 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88692_0 {
	meta:
		name = "TGestureManager.ReadControlData"
		size = 48
		refs = "0010 _DV_TGestureStreamList 0015 TGestureStreamList.Create 001f TReader.ReadValue 0029 TReader.ReadCollection"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 02 0F 95 C1 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 50 8B C6 E8 ?? ?? ?? ?? 8B 53 50 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88693_0 {
	meta:
		name = "TGestureManager.RegisterControl"
		size = 106
		refs = "0013 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.ContainsKey 0020 _DV_TGestureCollection 0025 TGestureCollection.Create 0031 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Add 0044 TCustomTouchManager.GetStandardGestures 005c _Dn_TGestureEngine 0061 TGestureEngine.CreateEngine"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 85 DB 74 58 8B D3 8B 46 38 E8 ?? ?? ?? ?? 84 C0 75 1A 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D3 8B 46 38 E8 ?? ?? ?? ?? F6 46 1C 01 75 18 8B D4 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 8B CC 8B D3 8B C6 8B 30 FF 56 48 F6 43 1C 10 75 0C 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_88694_0 {
	meta:
		name = "TGestureManager.RegisterGesture"
		size = 393
		refs = "0016 TGestureManager.RegisterGesture 0023 TGestureManager.FNextGestureID 002d STooManyRegisteredGestures 0034 _Dn_EGestureException 0039 Exception.CreateRes 003e @RaiseExcept 0050 TGestureManager.FRegisteredGestures 0079 SDuplicateRegisteredGestureName 0085 Exception.CreateResFmt 0094 TGestureCollection.Add 00c6 TGestureManager.FDesignerHook 00dc TGestureManager.FInstanceList 00e1 TList<Vcl.Controls.TCustomGestureManager>.GetEnumerator 00fc TList<Vcl.Controls.TCustomGestureManager>.TEnumerator.GetCurrent 0106 _DV_TGestureManager 010b @IsClass 0125 TGestureManager.NotifyControls 012d TList<Vcl.Controls.TCustomGestureManager>.TEnumerator.MoveNext 0154 @HandleFinally 016b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 D2 89 55 E8 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 3D ?? ?? ?? ?? 00 FC 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B C6 8B 08 FF 51 38 8B 55 F4 A1 ?? ?? ?? ?? 8B 08 FF 51 34 85 C0 74 31 8D 55 E8 8B C6 8B 08 FF 51 38 8B 45 E8 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 51 08 0F B7 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 4C 8B C3 8B 10 FF 52 2C 66 89 45 FE 66 FF 0D ?? ?? ?? ?? 66 83 3D ?? ?? ?? ?? 00 74 0E 8B D6 8B 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 31 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 0F B7 45 FE 50 B9 01 00 00 00 BA 53 B0 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B7 45 FE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88695_0 {
	meta:
		name = "TGestureManager.RemoveChangeNotification"
		size = 42
		refs = "000c TList<Vcl.Controls.TControl>.Contains 001a TList<Vcl.Controls.TControl>.Remove 0023 TComponent.RemoveFreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 44 E8 ?? ?? ?? ?? 84 C0 74 13 8B D6 8B 43 44 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88696_0 {
	meta:
		name = "TGestureManager.RemoveRecordedGesture"
		size = 45
		refs = "001f TGestureManager.NotifyControls 0026 TObject.Free"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 20 8B C3 8B 10 FF 52 2C 50 B9 02 00 00 00 BA 53 B0 00 00 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_88697_0 {
	meta:
		name = "TGestureManager.RemoveRecordedGesture"
		size = 28
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 48 8B 08 FF 51 30 8B D0 8B C3 8B 08 FF 51 68 5E 5B C3 }
	condition:
		$1
}

rule function_88698_0 {
	meta:
		name = "TGestureManager.SaveToFile"
		size = 246
		refs = "0014 TGestureManager.SaveToFile 0037 ExpandFileName 0041 _Dn_TFileStream 0046 TFileStream.Create 006f TGestureManager.SaveToStream 007e @HandleAnyException 0083 @DoneExcept 0098 TObject.Free 009e @HandleFinally 00b7 SUnableToSaveSettings 00bc LoadResString 00c4 ShowMessage 00e3 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 FF 00 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88700_0 {
	meta:
		name = "TGestureManager.SelectGesture"
		size = 182
		refs = "0012 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.ContainsKey 0020 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetItem 002a SControlNotFound 0031 _Dn_EGestureException 0036 Exception.CreateRes 003b @RaiseExcept 0099 SInvalidGestureID 00a5 Exception.CreateResFmt"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F1 8B FA 8B D8 8B D7 8B 43 38 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B 43 38 E8 ?? ?? ?? ?? 8B F8 EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 05 00 04 00 00 66 2D 00 04 72 19 48 66 83 E8 22 73 36 8B C7 8B 10 FF 52 2C 8B D6 8B 08 FF 51 4C B3 01 EB 49 8B D6 8B C3 8B 08 FF 51 50 8B F0 85 F6 0F 95 C3 84 DB 74 35 8B C7 8B 10 FF 52 2C 8B D6 8B 08 FF 51 08 EB 25 0F BF C6 89 04 24 C6 44 24 04 00 54 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88701_0 {
	meta:
		name = "TGestureManager.SelectGesture"
		size = 133
		refs = "0029 FindStandardGesture 0066 SInvalidGestureName 006d _Dn_EGestureException 0072 Exception.CreateResFmt 0077 @RaiseExcept"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B E9 89 14 24 8B F0 8B D5 8B C6 8B 08 FF 51 54 8B F8 85 FF 0F 95 C3 84 DB 75 0F 8D 54 24 04 8B C5 E8 ?? ?? ?? ?? 8B D8 EB 0C 8B C7 8B 10 FF 52 2C 66 89 44 24 04 84 DB 74 13 0F B7 4C 24 04 8B 14 24 8B C6 8B 18 FF 53 6C 8B D8 EB 27 89 6C 24 08 C6 44 24 0C 11 8D 44 24 08 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88702_0 {
	meta:
		name = "TGestureManager.SetRecordedGestures"
		size = 583
		refs = "0017 @DynArrayAddRef 001f TGestureManager.SetRecordedGestures 0045 TCollection.Clear 0051 TGestureArray 0056 @DynArrayAsg 006b TGestureCollection.Add 007b @DynArrayLength 008d @DynArrayClear 00a7 @HandleFinally 00c1 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetEnumerator 00df TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TPairEnumerator.GetCurrent 00fa TCustomGestureCollection.GetItem 010c TCollection.Delete 011a TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TPairEnumerator.MoveNext 0215 TGestureManager.NotifyControls 0235 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 C6 40 54 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 F6 EB 19 8B 45 F8 8B 1C B0 8B 45 F4 8B 40 48 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 08 46 8B 45 F8 E8 ?? ?? ?? ?? 3B F0 7C DB 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 C6 40 54 00 C3 E9 ?? ?? ?? ?? EB F1 8B 45 F4 F6 40 1C 10 0F 85 8D 00 00 00 8B 45 F4 8B 40 38 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 3E 8D 55 E8 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 08 8B 58 08 4B 83 FB 00 7C 24 8B D3 8B 75 EC 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 30 3C 01 75 09 8B D3 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 DC 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 75 B6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E4 00 74 0A B2 01 8B 45 E4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 8B 40 38 E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 72 8D 55 E8 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 08 8B 58 08 4B 83 FB 00 7C 58 8B 45 F4 8B 40 48 8B 40 08 8B 70 08 4E 85 F6 7C 41 46 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 10 FF 52 30 3C 01 75 2A 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B 10 FF 52 2C 8B D0 8B 45 F4 8B 40 48 8B 08 FF 51 30 85 C0 75 0A 8B D3 8B 45 EC E8 ?? ?? ?? ?? 4E 75 C0 4B 83 FB FF 75 A8 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 75 82 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D E0 00 74 0A B2 01 8B 45 E0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 6A 00 33 C9 BA 53 B0 00 00 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_88703_0 {
	meta:
		name = "TGestureManager.SetStandardGestures"
		size = 133
		refs = "0011 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetItem 0028 TCustomGestureCollection.GetItem 003f TObject.Free 006d TGestureCollection.Add"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F1 8D 3C 24 A5 A4 8B 40 38 E8 ?? ?? ?? ?? 8B F0 8B 46 08 8B 58 08 4B 83 FB 00 7C 26 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 30 84 C0 75 0E 8B D3 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 75 DA B3 01 8B C3 3C 27 77 17 83 E0 7F 8B D4 8B CA 83 E1 03 2B D1 03 C9 03 C9 03 C9 03 C1 0F A3 02 73 0F 8B C6 E8 ?? ?? ?? ?? 0F B6 D3 8B 08 FF 51 4C 43 80 FB 23 75 CC 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88704_0 {
	meta:
		name = "TGestureManager.UnregisterControl"
		size = 58
		refs = "0011 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.ContainsKey 001f TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetItem 002b TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.Remove 0032 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 74 2B 8B D6 8B 43 38 E8 ?? ?? ?? ?? 84 C0 74 1D 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B F8 8B D6 8B 43 38 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88705_0 {
	meta:
		name = "TGestureManager.UnregisterGesture"
		size = 166
		refs = "000c TGestureManager.FInstanceList 0011 TList<Vcl.Controls.TCustomGestureManager>.GetEnumerator 001c TGestureManager.UnregisterGesture 002c TList<Vcl.Controls.TCustomGestureManager>.TEnumerator.GetCurrent 0036 _DV_TGestureManager 003b @IsClass 0055 TGestureManager.NotifyControls 005d TList<Vcl.Controls.TCustomGestureManager>.TEnumerator.MoveNext 0084 @HandleFinally 008f TGestureManager.FRegisteredGestures 009d TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 66 89 45 FE A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 31 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 0F B7 45 FE 50 B9 02 00 00 00 BA 53 B0 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 0F B7 55 FE A1 ?? ?? ?? ?? 8B 08 FF 51 30 85 C0 74 05 E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_88706_0 {
	meta:
		name = "TGestureManager.UnselectGesture"
		size = 69
		refs = "000f TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.ContainsKey 001d TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetItem 0025 SControlNotFound 002c _Dn_EGestureException 0031 Exception.CreateRes 0036 @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 38 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 43 38 E8 ?? ?? ?? ?? EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 3C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_88707_0 {
	meta:
		name = "TGestureManager.WriteRecordedGestures"
		size = 71
		refs = "0015 TGestureManager.WriteRecordedGestures 0021 TWriter.WriteCollection 003e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 48 C6 40 28 01 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 48 C6 40 28 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_88708_0 {
	meta:
		name = "TGestureManager.WriteControlData"
		size = 205
		refs = "001a _DV_TGestureStreamList 001f TGestureStreamList.Create 002a TGestureManager.WriteControlData 0038 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.GetEnumerator 0055 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TPairEnumerator.GetCurrent 005d TGestureStreamList.Add 0072 TDictionary<Vcl.Controls.TControl,Vcl.Touch.GestureMgr.TGestureCollection>.TPairEnumerator.MoveNext 0099 @HandleFinally 00a6 TWriter.WriteCollection 00bb TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 55 FC 8B D8 8D 75 F4 F6 43 1C 02 0F 95 C1 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 38 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 1F 8B D6 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8B 06 89 43 0C 8B 46 04 89 43 10 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D EC 00 74 0A B2 01 8B 45 EC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89091_0 {
	meta:
		name = "GestureToIdent"
		size = 13
		refs = "0003 GestureNameMap 0008 IntToIdent"
	strings:
		$1 = { 6A 22 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89092_0 {
	meta:
		name = "IdentToGesture"
		size = 13
		refs = "0003 GestureNameMap 0008 IdentToInt"
	strings:
		$1 = { 6A 22 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89093_0 {
	meta:
		name = "GesturePointsToArray"
		size = 86
		refs = "0018 TGesturePointArray 001d @DynArraySetLength 0036 TList<System.Types.TPoint>.GetItem"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B EA 8B F8 8B 47 08 50 8B C5 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 77 08 4E 85 F6 7C 23 46 33 DB 8B CC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 00 8B 14 24 89 14 D8 8B 54 24 04 89 54 D8 04 43 4E 75 E0 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89095_0 {
	meta:
		name = "TGestureEngine.Create@"
		size = 57
		refs = "0002 TGestureEngine.$ClassInitFlag 000c TGestureEngine.FRecognizer 0011 _DV_TGestureRecognizer 0016 TGestureEngine.FDefaultRecognizerClass 001b _DV_TPlatformGestureEngine 0020 TGestureEngine.FDefaultEngineClass 0026 TGestureEngine.FSensitivity 0030 TGestureEngine.FTimeOut"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 2F 33 C0 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 50 00 00 00 C7 05 ?? ?? ?? ?? 88 13 00 00 C3 }
	condition:
		$1
}

rule function_89096_0 {
	meta:
		name = "TGestureEngine.Create"
		size = 81
		refs = "0011 @ClassCreate 0020 TStopwatch.Create 003a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 8D 45 E8 E8 ?? ?? ?? ?? 56 8D 7E 18 8D 75 E8 B9 06 00 00 00 F3 A5 5E 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89097_0 {
	meta:
		name = "TGestureEngine.Destroy@"
		size = 36
		refs = "0002 TGestureEngine.$ClassInitFlag 000a TGestureEngine.FRecognizer 001f TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 1B 83 3D ?? ?? ?? ?? 00 74 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89098_0 {
	meta:
		name = "TGestureEngine.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001d TObject.Free 0028 TObject.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 10 00 74 10 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90014_0 {
	meta:
		name = "TItemProp.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001d TObject.Free 0028 TPersistent.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 10 00 74 10 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89099_0 {
	meta:
		name = "TGestureEngine.AddPoint"
		size = 391
		refs = "0016 _DV_TList<System.Types.TPoint> 001b TList<System.Types.TPoint>.Create 003a TList<System.Types.TPoint>.Add 0069 TList<System.Types.TPoint>.GetItem 013c @ROUND"
	strings:
		$1 = { 53 56 57 55 83 C4 C8 8B F9 8B EA 8B D8 83 7B 10 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B 73 10 83 7E 08 00 75 18 89 6C 24 18 89 7C 24 1C 8D 54 24 18 8B C6 E8 ?? ?? ?? ?? E9 3C 01 00 00 89 6C 24 20 89 7C 24 24 8B 44 24 20 89 44 24 10 8B 44 24 24 89 44 24 14 8D 4C 24 08 8B 43 10 8B 50 08 4A 8B C6 E8 ?? ?? ?? ?? 8B 44 24 10 2B 44 24 08 99 33 C2 2B C2 8B C8 8B 44 24 14 2B 44 24 0C 99 33 C2 2B C2 8B F0 83 F9 05 7D 09 83 FE 05 0F 8C E6 00 00 00 83 F9 08 7F 09 83 FE 08 0F 8E CC 00 00 00 8B C1 BF 05 00 00 00 99 F7 FF 8B F8 8B C1 B9 05 00 00 00 99 F7 F9 85 D2 75 01 4F 8B C6 B9 05 00 00 00 99 F7 F9 8B C8 8B C6 BE 05 00 00 00 99 F7 FE 85 D2 75 01 49 3B CF 7D 04 8B C7 EB 02 8B C1 8B 54 24 10 2B 54 24 08 89 54 24 30 DB 44 24 30 89 44 24 34 DB 44 24 34 DE F9 D9 1C 24 9B 8B 54 24 14 2B 54 24 0C 89 54 24 30 DB 44 24 30 89 44 24 34 DB 44 24 34 DE F9 D9 5C 24 04 9B 8B F8 4F 85 FF 7E 48 BE 01 00 00 00 89 74 24 30 DB 44 24 30 D8 0C 24 E8 ?? ?? ?? ?? 8B E8 03 6C 24 08 89 74 24 30 DB 44 24 30 D8 4C 24 04 E8 ?? ?? ?? ?? 03 44 24 0C 89 6C 24 28 89 44 24 2C 8D 54 24 28 8B 43 10 E8 ?? ?? ?? ?? 46 4F 75 BD 8D 54 24 10 8B 43 10 E8 ?? ?? ?? ?? 83 C4 38 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89100_0 {
	meta:
		name = "TGestureEngine.BroadcastGesture"
		size = 174
		refs = "0069 @CallDynaInst 0080 TControl.ScreenToClient 00a3 TControl.Perform"
	strings:
		$1 = { 53 56 57 83 C4 D0 8B F1 8D 7C 24 08 B9 08 00 00 00 F3 A5 89 04 24 33 F6 8B DA 85 DB 74 30 8B 83 B4 00 00 00 8B 78 0C 85 FF 74 1C 66 83 7C 24 08 00 74 1B 8B C7 0F B7 4C 24 08 8B D3 8B 30 FF 56 58 8B F0 85 F6 75 07 8B 5B 38 85 DB 75 D0 85 F6 74 1D 8B C6 8B 10 FF 52 20 85 C0 74 12 8B C6 8B 10 FF 52 20 66 BE F0 FF E8 ?? ?? ?? ?? EB 38 85 DB 74 34 8D 4C 24 28 8B 04 24 8D 50 08 8B C3 E8 ?? ?? ?? ?? 8B 44 24 28 89 44 24 0C 8B 44 24 2C 89 44 24 10 8D 44 24 08 50 33 C9 BA 52 B0 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89101_0 {
	meta:
		name = "TGestureEngine.ClearPoints"
		size = 34
		refs = "000d _DV_TList<System.Types.TPoint> 0012 TList<System.Types.TPoint>.Create 001c TList<System.Types.TPoint>.Clear"
	strings:
		$1 = { 53 8B D8 8B 43 10 85 C0 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 5B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89102_0 {
	meta:
		name = "TGestureEngine.GetPoints"
		size = 139
		refs = "0010 TGestureEngine.GetPoints 0026 GesturePointsToArray 0031 TGesturePointArray 0036 @DynArrayClear 004b @DynArraySetLength 005e @DynArrayAsg 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 10 85 FF 74 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 36 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89104_0 {
	meta:
		name = "InternalCreateEngine"
		size = 45
		refs = "0004 TGestureEngine.FDefaultEngineClass 0022 _DV_TMouseGestureEngine 0027 TGestureEngine.Create"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? FF 50 14 84 C0 74 0E 8B CB B2 01 A1 ?? ?? ?? ?? FF 50 0C 5B C3 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89105_0 {
	meta:
		name = "TGestureEngine.CreateEngine"
		size = 166
		refs = "0016 _Dn_TWinControl 001b @IsClass 0034 InternalCreateEngine 003d TCustomTouchManager.SetGestureEngine 0044 TWinControl.GetControlCount 0057 TWinControl.GetControl 0078 TGestureEngine.CreateEngine"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 F6 43 1C 10 0F 85 8F 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5F 8B BB B4 00 00 00 83 7F 08 00 75 72 8B F3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 52 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C5 E8 ?? ?? ?? ?? 46 4F 75 D2 EB 1F 8B 7B 38 8B B7 B4 00 00 00 83 7E 08 00 75 10 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89106_0 {
	meta:
		name = "TGestureEngine.GetCompleteGestureList"
		size = 159
		refs = "0015 TGestureEngine.GetCompleteGestureList 003b TCustomTouchManager.GetGestureList 004f TList<Vcl.Controls.TCustomGestureCollectionItem>.Add 0058 @DynArrayLength 0065 TGestureArray 006a @DynArrayClear 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F2 85 F6 74 50 8B 86 B4 00 00 00 83 78 0C 00 74 3D 8D 55 FC 8B 86 B4 00 00 00 E8 ?? ?? ?? ?? 33 DB EB 11 8B 45 FC 8B 3C 98 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 7C E3 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 76 38 85 F6 75 B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89108_0 {
	meta:
		name = "TGestureEngine.GetRecognizer"
		size = 65
		refs = "0006 TGestureEngine.FRecognizer 0010 TGestureEngine.FDefaultRecognizerClass 0015 TObject.Create 0028 InterlockedCompareExchange 0033 TObject.Free"
	strings:
		$1 = { 53 56 57 55 83 3D ?? ?? ?? ?? 00 75 2A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BE ?? ?? ?? ?? 8B FB 33 ED 55 57 56 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89109_0 {
	meta:
		name = "TGestureEngine.GetTimerExpired"
		size = 68
		refs = "000e TStopwatch.GetElapsedMilliseconds 0015 TGestureEngine.FTimeOut 003b TStopwatch.Stop"
	strings:
		$1 = { 53 56 8B F0 80 7E 20 00 74 27 8D 46 18 E8 ?? ?? ?? ?? 52 50 A1 ?? ?? ?? ?? 99 3B 54 24 04 75 09 3B 04 24 5A 58 72 0A EB 04 5A 58 7C 04 33 DB EB 02 B3 01 84 DB 74 08 8D 46 18 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_89110_0 {
	meta:
		name = "TGestureEngine.IsGesture"
		size = 664
		refs = "0019 TStandardGestureData 001e @InitializeRecord 0026 TGestureEngine.IsGesture 003d @FillChar 0087 TList<Vcl.Controls.TCustomGestureCollectionItem>.GetItem 00a7 FindStandardGesture 00c8 SInvalidGestureID 00cf _Dn_EGestureException 00d4 Exception.CreateResFmt 00d9 @RaiseExcept 00e4 @DynArrayHigh 00fc TGestureEngine.GetRecognizer 0160 CustomGestureTypes 0267 TGesturePointArray 026c @DynArrayClear 027a @FinalizeRecord 0280 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 DB 89 5D AC 89 4D E8 89 55 EC 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 B8 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B F8 8D 75 B8 B9 08 00 00 00 F3 A5 83 7D 10 00 0F 84 FB 01 00 00 33 C0 89 45 E4 F6 45 0C 01 0F 84 CC 00 00 00 8B 45 10 8B 70 08 4E 85 F6 0F 8C BD 00 00 00 46 C7 45 DC 00 00 00 00 8B 55 DC 8B 45 10 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 30 84 C0 0F 85 8F 00 00 00 8B C3 8B 10 FF 52 2C 8D 55 F0 E8 ?? ?? ?? ?? 84 C0 75 2E 8B C3 8B 10 FF 52 2C 0F BF C0 89 45 B0 C6 45 B4 00 8D 45 B0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 7D F0 57 8B C7 E8 ?? ?? ?? ?? 50 0F B6 45 F6 50 0F B7 45 F4 50 8B 45 F8 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 55 EC 8B 4D E8 8B 38 FF 17 D9 5D E0 9B D9 45 E0 D8 5D E4 9B DF E0 9E 76 11 8B 45 E0 89 45 E4 8B C3 8B 10 FF 52 2C 66 89 45 B8 FF 45 DC 4E 0F 85 4B FF FF FF D9 45 E4 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 16 8B 45 08 8B F8 8D 75 B8 B9 08 00 00 00 F3 A5 B3 01 E9 FB 00 00 00 0F B6 45 0C 22 05 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 3A D0 0F 85 AE 00 00 00 8B 45 10 8B 70 08 4E 85 F6 0F 8C 9F 00 00 00 46 C7 45 DC 00 00 00 00 8B 55 DC 8B 45 10 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 30 3C 07 77 0D 83 E0 7F 0F B6 15 ?? ?? ?? ?? 0F A3 C2 73 66 8D 55 AC 8B C3 8B 08 FF 51 3C 8B 7D AC 57 8B C7 E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 52 34 50 8B C3 8B 10 FF 52 2C 50 8B C3 8B 10 FF 52 24 50 8B C3 8B 10 FF 52 28 50 E8 ?? ?? ?? ?? 8B 55 EC 8B 4D E8 8B 38 FF 17 D9 5D E0 9B D9 45 E0 D8 5D E4 9B DF E0 9E 76 11 8B 45 E0 89 45 E4 8B C3 8B 10 FF 52 2C 66 89 45 B8 FF 45 DC 4E 0F 85 69 FF FF FF D9 45 E4 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 13 8B 45 08 8B F8 8D 75 B8 B9 08 00 00 00 F3 A5 B3 01 EB 12 8B 45 08 66 C7 00 00 00 8B 45 E8 40 83 F8 03 0F 9D C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_89112_0 {
	meta:
		name = "TGestureEngine.ResetTimer"
		size = 9
		refs = "0004 TStopwatch.Reset"
	strings:
		$1 = { 83 C0 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89113_0 {
	meta:
		name = "TGestureEngine.SetDefaultRecognizerClass"
		size = 41
		refs = "0002 TGestureEngine.FDefaultRecognizerClass 000f TGestureEngine.FRecognizer 0024 TObject.Free"
	strings:
		$1 = { 3B 05 ?? ?? ?? ?? 74 20 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89114_0 {
	meta:
		name = "TGestureEngine.SetInitialPoint"
		size = 12
	strings:
		$1 = { 8B 0A 89 48 08 8B 4A 04 89 48 0C C3 }
	condition:
		$1
}

rule function_89115_0 {
	meta:
		name = "TGestureEngine.SetSensitivity"
		size = 82
		refs = "0005 TGestureEngine.FSensitivity 0039 SOutOfRange 0040 _Dn_Exception 0045 Exception.CreateResFmt 004a @RaiseExcept"
	strings:
		$1 = { 83 C4 F0 3B 05 ?? ?? ?? ?? 74 43 85 C0 7E 0C 83 F8 64 7F 07 A3 ?? ?? ?? ?? EB 33 C7 04 24 01 00 00 00 C6 44 24 04 00 C7 44 24 08 64 00 00 00 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_89116_0 {
	meta:
		name = "TGestureEngine.StartTimer"
		size = 21
		refs = "0007 TStopwatch.Reset 000f TStopwatch.Start"
	strings:
		$1 = { 53 8B D8 8D 43 18 E8 ?? ?? ?? ?? 8D 43 18 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89117_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.Create"
		size = 75
		refs = "000b @ClassCreate 001a TObject.Create 0024 _DV_TList<Vcl.Controls.TCustomGestureCollectionItem> 0029 TList<Vcl.Controls.TCustomGestureCollectionItem>.Create 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89119_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.AddStylusAsyncPlugin"
		size = 231
		refs = "0019 @IntfAddRef 0021 TPlatformGestureEngine.TRealTimeStylus.AddStylusAsyncPlugin 0044 SysErrorMessage 005a SAddIStylusAsyncPluginError 0061 _Dn_EGestureException 0066 Exception.CreateResFmt 006b @RaiseExcept 00cd @UStrArrayClr 00d5 @IntfClear 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D F8 89 4D F4 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 46 20 50 8B 00 FF 50 48 85 C0 74 33 8B D8 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 F0 50 8B 46 20 50 8B 00 FF 50 38 85 C0 74 33 8B D8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89120_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.AddStylusSyncPlugin"
		size = 229
		refs = "0018 @IntfAddRef 0020 TPlatformGestureEngine.TRealTimeStylus.AddStylusSyncPlugin 0043 SysErrorMessage 0059 SAddIStylusSyncPluginError 0060 _Dn_EGestureException 0065 Exception.CreateResFmt 006a @RaiseExcept 00cc @UStrArrayClr 00d4 @IntfClear 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D F8 89 4D F4 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 43 20 50 8B 00 FF 50 34 85 C0 74 33 8B D8 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 F0 50 8B 43 20 50 8B 00 FF 50 24 85 C0 74 33 8B D8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89121_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.CustomStylusDataAdded"
		size = 344
		refs = "0017 @IntfAddRef 001f TPlatformGestureEngine.TRealTimeStylus.CustomStylusDataAdded 003a GUID_GESTURE_DATA 0044 IsEqualGUID 007a @FillChar 0083 TPlatformGestureEngine.TRealTimeStylus.StylusGestureMap 0095 TGestureEngine.BroadcastGesture 009f TGestureEngine.GetTimerExpired 00ab TGestureEngine.GetPointCount 00be TGestureEngine.GetPoints 00c8 @DynArrayHigh 00cf TGestureEngine.GetRecognizer 00e1 CustomGestureTypes 00f8 _DV_TGestureEngine 00fd TGestureEngine.IsGesture 0127 TGesturePointArray 012c @DynArrayClear 0142 @IntfClear 0148 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 C0 89 45 D4 89 45 FC 8B 5D 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 8B 40 30 F6 40 5A 20 0F 84 DA 00 00 00 A1 ?? ?? ?? ?? 50 8B 45 10 50 E8 ?? ?? ?? ?? 84 C0 0F 84 C3 00 00 00 83 7D 14 0C 0F 82 B9 00 00 00 83 7D 18 00 0F 84 AF 00 00 00 8B 75 18 81 3E 00 F0 00 00 74 2C 8D 45 D8 33 C9 BA 20 00 00 00 E8 ?? ?? ?? ?? 8B 16 8B 03 E8 ?? ?? ?? ?? 66 89 45 D8 8B 43 10 8B 50 30 8D 4D D8 E8 ?? ?? ?? ?? EB 78 8B 43 10 E8 ?? ?? ?? ?? 84 C0 75 6C 8B 43 10 E8 ?? ?? ?? ?? 85 C0 7E 60 8D 45 FC 50 8D 55 D4 8B 43 10 E8 ?? ?? ?? ?? 8B 75 D4 8B C6 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 5A 59 8B 30 FF 56 04 8B 43 18 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 D8 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B 43 10 8B 50 30 8D 4D D8 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 8B C3 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_89122_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.DataInterest"
		size = 18
	strings:
		$1 = { 55 8B EC 8B 45 0C C7 00 FF FF FF FF 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_89123_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.Error"
		size = 80
		refs = "0008 @IntfAddRef 0018 TPlatformGestureEngine.TRealTimeStylus.Error 0035 @IntfClear 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 45 0C E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_89124_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.InAirPackets"
		size = 64
		refs = "0008 @IntfAddRef 0010 TPlatformGestureEngine.TRealTimeStylus.InAirPackets 002d @IntfClear 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 5D C2 20 00 }
	condition:
		$1
}

rule function_89125_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.Initialize"
		size = 468
		refs = "0016 TPlatformGestureEngine.TRealTimeStylus.Initialize 0024 @IntfClear 0032 StringToGUID 003f CLSID_RealTimeStylus 0045 CoCreateInstance 0073 CLSID_GestureRecognizer 009b Supports 00a9 TPlatformGestureEngine.TRealTimeStylus.AddStylusSyncPlugin 00bf @IntfCast 00c9 TPlatformGestureEngine.TRealTimeStylus.AddStylusAsyncPlugin 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 D2 89 55 E8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 20 E8 ?? ?? ?? ?? 50 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 6A 01 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 7E 20 00 0F 95 C3 84 DB 74 79 8D 46 14 E8 ?? ?? ?? ?? 50 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 6A 01 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 7E 14 00 0F 95 C3 84 DB 74 45 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 45 E8 8B D6 85 D2 74 03 83 EA F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 7B 00 41 00 38 00 42 00 42 00 35 00 44 00 32 00 32 00 2D 00 33 00 31 00 34 00 34 00 2D 00 34 00 61 00 37 00 62 00 2D 00 39 00 33 00 43 00 44 00 2D 00 46 00 33 00 34 00 41 00 31 00 36 00 42 00 45 00 35 00 31 00 33 00 41 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 7B 00 41 00 45 00 39 00 45 00 46 00 38 00 36 00 42 00 2D 00 37 00 30 00 35 00 34 00 2D 00 34 00 35 00 65 00 33 00 2D 00 41 00 45 00 32 00 32 00 2D 00 33 00 31 00 37 00 34 00 44 00 43 00 38 00 38 00 31 00 31 00 42 00 37 00 7D 00 00 00 00 00 74 B1 57 A1 2F 48 71 4D A3 F6 3A 41 DD D1 1B E9 5A A8 CC A7 BC 31 D2 4C AA DC 32 89 A3 AF 11 C8 }
	condition:
		$1
}

rule function_89126_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.Packets"
		size = 165
		refs = "0011 @IntfAddRef 0019 TPlatformGestureEngine.TRealTimeStylus.Packets 0027 TGestureEngine.GetTimerExpired 0051 TGestureEngine.AddPoint 0070 TGestureEngine.ResetTimer 0078 TGestureEngine.ClearPoints 008f @IntfClear 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 14 8B 7D 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 10 E8 ?? ?? ?? ?? 84 C0 75 3D 8B 45 18 33 D2 F7 F6 89 45 FC 8B 5D 1C 85 F6 7E 3C 8B 03 83 C3 04 8B 13 83 C3 04 8B 4F 10 91 87 D1 E8 ?? ?? ?? ?? 83 7D FC 02 7E 0C 8B 45 FC 83 E8 02 03 C0 03 C0 03 D8 4E 75 D6 EB 10 8B 47 10 E8 ?? ?? ?? ?? 8B 47 10 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 20 00 }
	condition:
		$1
}

rule function_89127_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.RealTimeStylusDisabled"
		size = 64
		refs = "0008 @IntfAddRef 0010 TPlatformGestureEngine.TRealTimeStylus.RealTimeStylusDisabled 002d @IntfClear 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_89128_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.RealTimeStylusEnabled"
		size = 64
		refs = "0008 @IntfAddRef 0010 TPlatformGestureEngine.TRealTimeStylus.RealTimeStylusEnabled 002d @IntfClear 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_89136_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.StylusInRange"
		size = 64
		refs = "0008 @IntfAddRef 0010 TPlatformGestureEngine.TRealTimeStylus.StylusInRange 002d @IntfClear 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_89137_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.StylusOutOfRange"
		size = 64
		refs = "0008 @IntfAddRef 0010 TPlatformGestureEngine.TRealTimeStylus.StylusOutOfRange 002d @IntfClear 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_89129_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.SetEnabled"
		size = 20
		refs = "000f TPlatformGestureEngine.TRealTimeStylus.EnableStylus"
	strings:
		$1 = { 3A 50 0C 74 0E 8B CA 88 48 0C 8B D1 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89130_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.SetHandle"
		size = 139
		refs = "0015 TPlatformGestureEngine.TRealTimeStylus.SetHandle 003a SysErrorMessage 0050 SStylusHandleError 0057 _Dn_EGestureException 005c Exception.CreateResFmt 0061 @RaiseExcept 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 1C 74 44 56 8B 43 20 50 8B 00 FF 50 18 85 C0 74 33 8B D8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89132_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.StylusButtonDown"
		size = 64
		refs = "0008 @IntfAddRef 0010 TPlatformGestureEngine.TRealTimeStylus.StylusButtonDown 002d @IntfClear 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_89133_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.StylusButtonUp"
		size = 64
		refs = "0008 @IntfAddRef 0010 TPlatformGestureEngine.TRealTimeStylus.StylusButtonUp 002d @IntfClear 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_89134_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.StylusDown"
		size = 510
		refs = "0018 @IntfAddRef 0020 TPlatformGestureEngine.TRealTimeStylus.StylusDown 0034 GetCursorPos 003e SInitialGesturePointError 0045 _Dn_EGestureException 004a Exception.CreateRes 004f @RaiseExcept 005a TGestureEngine.SetInitialPoint 006b TControl.ScreenToClient 007f TWinControl.ControlAtPos 00a5 TList<Vcl.Controls.TCustomGestureCollectionItem>.Clear 00b5 TGestureEngine.GetCompleteGestureList 00cf :TPlatformGestureEngine.TRealTimeStylus.:1 00d4 @DynArraySetLength 00f5 TList<Vcl.Controls.TCustomGestureCollectionItem>.GetItem 0112 TPlatformGestureEngine.TRealTimeStylus.StandardGestureMap 0150 @DynArrayLength 016a SysErrorMessage 0180 SSetStylusGestureError 018c Exception.CreateResFmt 01a7 TGestureEngine.ClearPoints 01b3 TGestureEngine.AddPoint 01bb TGestureEngine.StartTimer 01d0 @UStrClr 01de @DynArrayClear 01e6 @IntfClear 01ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C0 89 45 FC 89 45 F8 8B 5D 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8D 45 EC 50 E8 ?? ?? ?? ?? 85 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC 8B 43 10 E8 ?? ?? ?? ?? 8D 4D EC 8B 73 10 8D 56 08 8B 46 04 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 55 EC 8B 43 10 8B 40 04 33 C9 E8 ?? ?? ?? ?? 8B F0 8B 7B 10 89 77 30 85 F6 75 08 8B 47 04 89 47 30 EB 0A F6 46 5A 20 0F 84 1E 01 00 00 8B 43 18 E8 ?? ?? ?? ?? 8B 43 10 8B 50 30 8B 00 8B 4B 18 E8 ?? ?? ?? ?? 33 C0 89 45 E8 8B 43 18 8B 40 08 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 18 8B 78 08 4F 85 FF 7C 42 47 C7 45 E4 00 00 00 00 8B 55 E4 8B 43 18 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 52 30 84 C0 75 1C 8B C6 8B 10 FF 52 2C 8B D0 8B 03 E8 ?? ?? ?? ?? 8B 55 FC 8B 4D E8 89 04 8A FF 45 E8 FF 45 E4 4F 75 C6 83 7D E8 00 7E 67 8B 45 E8 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 14 50 8B 00 FF 50 1C 85 C0 74 33 8B D8 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 89 45 DC C6 45 E0 11 8D 45 DC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 18 8B 30 83 45 18 04 8B 45 18 8B 38 8B 43 10 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 8B 45 F4 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_89135_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.StylusGestureMap"
		size = 488
		refs = "0012 TPlatformGestureEngine.TRealTimeStylus.StylusGestureMap"
	strings:
		$1 = { 81 C2 FF 0F FF FF 83 FA 6E 0F 87 D5 01 00 00 0F B6 92 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 15 16 17 00 18 00 00 00 00 00 00 00 00 00 00 19 1A 00 00 00 00 00 00 00 00 00 00 00 00 00 00 1B 1C 00 00 00 00 00 00 1D 1E 00 00 00 00 00 00 1F 20 21 22 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 03 04 01 02 00 00 00 00 0D 0E 0F 10 11 12 13 14 05 06 07 08 09 0A 0B 0C ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B8 01 00 00 00 C3 B8 02 00 00 00 C3 B8 03 00 00 00 C3 B8 04 00 00 00 C3 B8 05 00 00 00 C3 B8 06 00 00 00 C3 B8 07 00 00 00 C3 B8 08 00 00 00 C3 B8 09 00 00 00 C3 B8 0A 00 00 00 C3 B8 0B 00 00 00 C3 B8 0C 00 00 00 C3 B8 0D 00 00 00 C3 B8 0E 00 00 00 C3 B8 0F 00 00 00 C3 B8 10 00 00 00 C3 B8 11 00 00 00 C3 B8 12 00 00 00 C3 B8 13 00 00 00 C3 B8 14 00 00 00 C3 B8 15 00 00 00 C3 B8 16 00 00 00 C3 B8 17 00 00 00 C3 B8 18 00 00 00 C3 B8 19 00 00 00 C3 B8 1A 00 00 00 C3 B8 1B 00 00 00 C3 B8 1C 00 00 00 C3 B8 1D 00 00 00 C3 B8 1E 00 00 00 C3 B8 1F 00 00 00 C3 B8 20 00 00 00 C3 B8 21 00 00 00 C3 B8 22 00 00 00 C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_89138_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.StylusUp"
		size = 90
		refs = "000f @IntfAddRef 0017 TPlatformGestureEngine.TRealTimeStylus.StylusUp 002f TGestureEngine.AddPoint 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 18 8B 75 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 83 C3 04 8B 13 8B CA 8B 56 10 92 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_89139_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.SystemEvent"
		size = 64
		refs = "0008 @IntfAddRef 0010 TPlatformGestureEngine.TRealTimeStylus.SystemEvent 002d @IntfClear 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 5D C2 28 00 }
	condition:
		$1
}

rule function_89140_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.TabletAdded"
		size = 80
		refs = "0008 @IntfAddRef 0018 TPlatformGestureEngine.TRealTimeStylus.TabletAdded 0035 @IntfClear 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 45 0C E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_89141_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.TabletRemoved"
		size = 64
		refs = "0008 @IntfAddRef 0010 TPlatformGestureEngine.TRealTimeStylus.TabletRemoved 002d @IntfClear 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_89142_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.EnableStylus"
		size = 241
		refs = "0018 TPlatformGestureEngine.TRealTimeStylus.EnableStylus 004a SysErrorMessage 0060 SStylusEnableError 0067 _Dn_EGestureException 006c Exception.CreateResFmt 0071 @RaiseExcept 00b0 SEnableRecognizerError 00dd @UStrArrayClr 00e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 89 5D F8 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 0C 01 F5 1B C0 50 8B 46 20 50 8B 00 FF 50 10 85 C0 74 3E 84 DB 74 07 33 DB E9 85 00 00 00 8B D8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7E 0C 01 F5 1B C0 50 8B 46 14 50 8B 00 FF 50 10 85 C0 74 3B 84 DB 74 04 33 DB EB 35 8B D8 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89143_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.Uninitialize"
		size = 437
		refs = "0019 TPlatformGestureEngine.TRealTimeStylus.Uninitialize 0038 TPlatformGestureEngine.TRealTimeStylus.SetEnabled 0055 SysErrorMessage 006b SRemoveIStylusSyncPluginError 0072 _Dn_EGestureException 0077 Exception.CreateResFmt 007c @RaiseExcept 0084 @IntfClear 010b SRemoveIStylusAsyncPluginError 0192 @UStrArrayClr 01a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7F 20 00 0F 84 4F 01 00 00 80 7F 0C 00 74 09 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 45 E4 50 8B 47 20 50 8B 00 FF 50 34 85 C0 74 33 8B D8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 45 DC C6 45 E0 11 8D 45 DC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 5D E4 4B 85 DB 7C 4C 43 33 F6 8D 45 FC 50 56 8B 47 20 50 8B 00 FF 50 28 85 C0 74 33 8B D8 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 89 45 DC C6 45 E0 11 8D 45 DC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 B7 8D 45 E4 50 8B 47 20 50 8B 00 FF 50 48 85 C0 74 33 8B D8 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 DC C6 45 E0 11 8D 45 DC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 5D E4 4B 85 DB 7C 4C 43 33 F6 8D 45 F8 50 56 8B 47 20 50 8B 00 FF 50 3C 85 C0 74 33 8B D8 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 DC C6 45 E0 11 8D 45 DC 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89144_0 {
	meta:
		name = "TPlatformGestureEngine.TRealTimeStylus.UpdateMapping"
		size = 64
		refs = "0008 @IntfAddRef 0010 TPlatformGestureEngine.TRealTimeStylus.UpdateMapping 002d @IntfClear 0033 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_89145_0 {
	meta:
		name = "TPlatformGestureEngine.Create"
		size = 77
		refs = "000a @ClassCreate 0017 TGestureEngine.Create 0027 :TPlatformGestureEngine.:1 002c @DynArraySetLength 003a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 00 8D 46 38 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_89146_0 {
	meta:
		name = "TPlatformGestureEngine.Destroy"
		size = 97
		refs = "0005 @BeforeDestruction 0015 TPlatformGestureEngine.TRealTimeStylus.Uninitialize 001d @DynArrayLength 004d TGestureEngine.Destroy 0058 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 8B 45 3C 85 C0 74 05 E8 ?? ?? ?? ?? 8B 45 38 E8 ?? ?? ?? ?? 85 C0 7E 21 8B 45 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 12 46 33 FF 8B 45 38 8B 04 B8 E8 ?? ?? ?? ?? 47 4E 75 F1 B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89147_0 {
	meta:
		name = "TPlatformGestureEngine.GetActive"
		size = 15
	strings:
		$1 = { 8B 50 3C 85 D2 74 05 0F B6 42 0C C3 33 C0 C3 }
	condition:
		$1
}

rule function_89148_0 {
	meta:
		name = "TPlatformGestureEngine.Supported"
		size = 248
		refs = "0010 TPlatformGestureEngine.Supported 001c TPlatformGestureEngine.FSupportedTested 0027 @IntfClear 002c Win32MajorVersion 0047 StringToGUID 0054 CLSID_RealTimeStylus 005a CoCreateInstance 0066 TPlatformGestureEngine.FSupported 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 D2 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 3D ?? ?? ?? ?? 00 75 4E 8D 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 06 7C 29 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 6A 01 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 7D FC 00 0F 95 C0 A2 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 0F B6 1D ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 26 00 00 00 7B 00 41 00 38 00 42 00 42 00 35 00 44 00 32 00 32 00 2D 00 33 00 31 00 34 00 34 00 2D 00 34 00 61 00 37 00 62 00 2D 00 39 00 33 00 43 00 44 00 2D 00 46 00 33 00 34 00 41 00 31 00 36 00 42 00 45 00 35 00 31 00 33 00 41 00 7D 00 00 00 00 00 }
	condition:
		$1
}

rule function_89149_0 {
	meta:
		name = "TPlatformGestureEngine.SetActive"
		size = 214
		refs = "000a TWinControl.HandleAllocated 0025 _DV_TPlatformGestureEngine.TRealTimeStylus 002a TPlatformGestureEngine.TRealTimeStylus.Create 0036 TPlatformGestureEngine.TRealTimeStylus.Initialize 003e TWinControl.GetHandle 0048 TPlatformGestureEngine.TRealTimeStylus.SetHandle 0052 TPlatformGestureEngine.TRealTimeStylus.SetEnabled 0061 TGestureEngine.GetTimerExpired 006c TGestureEngine.ResetTimer 0073 TGestureEngine.ClearPoints 0088 TPlatformGestureEngine.TRealTimeStylus.EnableStylus 0094 @DynArrayLength 00a4 :TPlatformGestureEngine.:1 00a9 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 84 C0 0F 84 BD 00 00 00 84 DB 74 3E 83 7E 3C 00 75 1A 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 5E 3C 8B C3 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B D0 8B 46 3C E8 ?? ?? ?? ?? B2 01 8B 46 3C E8 ?? ?? ?? ?? EB 7B 83 7E 3C 00 74 75 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0E 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 04 F6 40 5D 20 74 49 B1 01 8B D3 8B 46 3C E8 ?? ?? ?? ?? 84 C0 75 39 8B 46 38 E8 ?? ?? ?? ?? 40 50 8D 46 38 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 46 38 E8 ?? ?? ?? ?? 8B 56 38 8B 4E 3C 89 4C 82 FC 33 C0 89 46 3C EB 0A 8B D3 8B 46 3C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89150_0 {
	meta:
		name = "TMouseGestureEngine.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 001b TGestureEngine.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 8B 08 FF 51 08 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89153_0 {
	meta:
		name = "TMouseGestureEngine.Notification"
		size = 496
		refs = "0016 TMouseGestureEngine.Notification 0045 TGestureEngine.GetTimerExpired 0058 TGestureEngine.AddPoint 0064 TGestureEngine.ResetTimer 006b TGestureEngine.ClearPoints 009b TWinControl.ControlAtPos 00c4 TControl.ClientToScreen 00ce TGestureEngine.SetInitialPoint 00eb TGestureEngine.StartTimer 0106 TGestureEngine.GetPointCount 012b _DV_TList<Vcl.Controls.TCustomGestureCollectionItem> 0130 TList<Vcl.Controls.TCustomGestureCollectionItem>.Create 014e TGestureEngine.GetCompleteGestureList 0162 CustomGestureTypes 0177 TGestureEngine.GetPoints 0181 @DynArrayHigh 0189 _DV_TGestureEngine 018f TGestureEngine.IsGesture 01a0 TGestureEngine.BroadcastGesture 01b5 TObject.Free 01bb @HandleFinally 01d3 TGesturePointArray 01d8 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 C9 89 4D BC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 38 00 0F 84 97 01 00 00 8B 06 2D 00 02 00 00 74 0F 48 74 3E 48 0F 84 B7 00 00 00 E9 7F 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 14 0F BF 4E 0A 0F BF 56 08 8B C3 E8 ?? ?? ?? ?? E9 60 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 4D 01 00 00 0F BF 46 08 0F BF 56 0A 89 45 EC 89 55 F0 8B 45 EC 89 45 F8 8B 45 F0 89 45 FC 6A 00 6A 00 8D 55 F8 8B 43 04 33 C9 E8 ?? ?? ?? ?? 8B F8 89 7B 30 85 FF 75 08 8B 43 04 89 43 30 EB 0A F6 47 5A 20 0F 84 07 01 00 00 8D 4D C0 8D 55 F8 8B 43 04 E8 ?? ?? ?? ?? 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F BF 4E 0A 0F BF 56 08 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 CD 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 BE 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 8E AF 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F BF 4E 0A 0F BF 56 08 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 30 8B 03 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 83 78 08 00 7E 49 8B 45 F4 50 0F B6 05 ?? ?? ?? ?? 0A 05 ?? ?? ?? ?? 50 8D 45 C8 50 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 8B 75 BC 8B C6 E8 ?? ?? ?? ?? 50 8B D6 A1 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 53 30 8D 4D C8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_89154_0 {
	meta:
		name = "TMouseGestureEngine.SetActive"
		size = 44
		refs = "0014 TGestureEngine.GetTimerExpired 001f TGestureEngine.ResetTimer 0026 TGestureEngine.ClearPoints"
	strings:
		$1 = { 53 8B D8 3A 53 38 74 22 88 53 38 80 7B 38 00 75 19 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89156_0 {
	meta:
		name = "CheckPoint"
		size = 200
		refs = "002f Sqrt 003f MulDiv"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B D9 8B FA 8B F0 8B 06 2B 07 F7 E8 8B C8 8B 46 04 2B 47 04 F7 E8 03 C8 89 4D D4 DB 45 D4 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D F0 9B 6A 64 8B 45 08 50 53 E8 ?? ?? ?? ?? 89 45 D4 DB 45 D4 DD 5D E8 9B DD 45 F0 DC 5D E8 9B DF E0 9E 77 0E 33 C0 89 45 F8 C7 45 FC 00 00 59 40 EB 55 89 5D D4 DB 45 D4 DC 5D F0 9B DF E0 9E 73 0A 33 C0 89 45 F8 89 45 FC EB 3C 89 5D D4 DB 45 D4 DC 6D E8 B8 64 00 00 00 2B 45 08 89 45 D0 DB 45 D0 DE F1 DD 5D E0 9B 89 5D D4 DB 45 D4 DC 4D E0 DB 45 08 DE E1 DD 5D D8 9B DD 45 E0 DC 4D F0 DC 45 D8 DD 5D F8 9B DD 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89157_0 {
	meta:
		name = "CheckPointInGesture"
		size = 153
		refs = "0044 CheckPoint"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B D9 03 DB 43 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 8B F0 8D 7D F8 A5 A5 89 55 F4 C6 45 F3 00 8D 71 01 4E 85 F6 7C 55 46 33 FF 8B 5D F4 8B 45 08 50 8B D3 8D 45 F8 8B 4D 0C E8 ?? ?? ?? ?? DD 5D E8 9B DB 45 08 DC 5D E8 9B DF E0 9E 73 27 8B 45 10 8B 00 DD 04 F8 DC 5D E8 9B DF E0 9E 73 12 8B 45 10 8B 00 8B 55 E8 89 14 F8 8B 55 EC 89 54 F8 04 C6 45 F3 01 47 83 C3 08 4E 75 B1 0F B6 45 F3 8B 7D DC 8B 75 E0 8B 5D E4 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_89158_0 {
	meta:
		name = "CheckPointInGestureWindow"
		size = 170
		refs = "004a CheckPoint"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B D9 03 DB 43 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 8B F0 8D 7D F8 A5 A5 89 55 F4 8B 7D 08 C6 45 F3 00 8B 75 14 8B 36 85 F6 7C 62 46 C7 45 EC 00 00 00 00 8B 5D F4 57 8B D3 8D 45 F8 8B 4D 0C E8 ?? ?? ?? ?? DD 5D E0 9B 89 7D DC DB 45 DC DC 5D E0 9B DF E0 9E 73 2D 8B 45 10 8B 00 8B 55 EC DD 04 D0 DC 5D E0 9B DF E0 9E 73 15 8B 45 10 8B 00 8B 55 EC 8B 4D E0 89 0C D0 8B 4D E4 89 4C D0 04 C6 45 F3 01 FF 45 EC 83 C3 08 4E 75 A9 0F B6 45 F3 8B 7D D0 8B 75 D4 8B 5D D8 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_89159_0 {
	meta:
		name = "Line"
		size = 56
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 7C 24 08 A5 A5 8B F0 8D 3C 24 A5 A5 8B D9 8B 04 24 89 03 8B 44 24 04 89 43 04 8B 44 24 08 89 43 08 8B 44 24 0C 89 43 0C 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89160_0 {
	meta:
		name = "Circle"
		size = 36
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F0 8D 3C 24 A5 A5 8B D9 8B 04 24 89 03 8B 44 24 04 89 43 04 89 53 08 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89161_0 {
	meta:
		name = "LineIntersectsCircle"
		size = 232
		refs = "00bd LineIntersectsCircle"
	strings:
		$1 = { 53 56 57 55 83 C4 D4 8B F2 8D 7C 24 1C A5 A5 A5 8B F0 8D 7C 24 0C A5 A5 A5 A5 8B 44 24 14 8B 4C 24 0C 2B C1 F7 E8 8B F0 8B 44 24 18 8B 5C 24 10 2B C3 F7 E8 03 F0 89 74 24 28 DB 44 24 28 D9 1C 24 9B 8B 44 24 14 2B 44 24 0C 8B D1 8B 74 24 1C 2B D6 F7 EA 8B 54 24 18 2B 54 24 10 8B EB 8B 7C 24 20 2B EF 0F AF D5 03 C2 03 C0 89 44 24 28 DB 44 24 28 D9 5C 24 04 9B 8B C6 F7 E8 8B E8 8B C7 F7 E8 03 E8 8B C1 F7 E8 03 E8 8B C3 F7 E8 03 E8 0F AF F1 0F AF FB 03 F7 8B C6 03 C0 2B E8 8B 44 24 24 F7 E8 2B E8 89 6C 24 28 DB 44 24 28 D9 5C 24 08 9B D9 44 24 04 D8 4C 24 04 D9 05 ?? ?? ?? ?? D8 0C 24 D8 4C 24 08 DE E9 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 97 C0 83 C4 2C 5D 5F 5E 5B C3 00 00 00 80 40 00 00 00 00 }
	condition:
		$1
}

rule function_89162_0 {
	meta:
		name = "CheckLineIntersectsCircle"
		size = 126
		refs = "0050 LineIntersectsCircle"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B D9 03 DB 43 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 8B F0 8D 7D E8 A5 A5 A5 A5 89 55 FC C6 45 FB 00 8B 75 10 85 F6 7C 39 46 33 FF 8B 5D FC 8B 03 89 45 DC 8B 43 04 89 45 E0 8B 45 0C 89 45 E4 8D 55 DC 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 0C C6 45 FB 01 8B 45 08 8B 00 FF 04 B8 47 83 C3 08 4E 75 CD 0F B6 45 FB 8B 7D D0 8B 75 D4 8B 5D D8 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_89163_0 {
	meta:
		name = "ReversePoints"
		size = 75
		refs = "0016 TGesturePointArray 001b @DynArraySetLength"
	strings:
		$1 = { 53 56 57 51 8B F1 89 04 24 8D 7A 01 57 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 48 8B D8 8B D0 85 D2 7C 19 42 8B 04 24 8B 0E 8B 38 89 3C D9 8B 78 04 89 7C D9 04 4B 83 C0 08 4A 75 EB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89167_0 {
	meta:
		name = "Distance"
		size = 78
		refs = "003b Sqrt"
	strings:
		$1 = { 56 57 83 C4 E8 8B F2 8D 7C 24 08 A5 A5 8B F0 8D 3C 24 A5 A5 8B 04 24 2B 44 24 08 F7 E8 8B C8 8B 44 24 04 2B 44 24 0C F7 E8 03 C8 89 4C 24 14 DB 44 24 14 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 5C 24 10 9B D9 44 24 10 83 C4 18 5F 5E C3 }
	condition:
		$1
}

rule function_89169_0 {
	meta:
		name = "TGestureRecognizer.InterpolatePoints"
		size = 485
		refs = "0037 _DV_TList<System.Types.TPoint> 003c TList<System.Types.TPoint>.Create 0047 TGestureRecognizer.InterpolatePoints 0057 TList<System.Types.TPoint>.Add 0164 @TRUNC 01bb TGestureRecognizer.CopyPoints 01d0 TObject.Free 01d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 F8 46 8B C6 85 C0 0F 84 BD 01 00 00 33 C0 89 45 DC 33 C0 89 45 E8 89 45 EC 33 C0 89 45 E0 89 45 E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B 45 C8 E8 ?? ?? ?? ?? 4E 85 F6 0F 8C 4D 01 00 00 46 89 75 C4 C7 45 F4 00 00 00 00 8D 7B 08 8B 45 F8 40 48 3B 45 F4 0F 8E 17 01 00 00 8B 07 89 45 CC 8B 47 04 89 45 D0 8B 47 F8 89 45 D4 8B 47 FC 89 45 D8 8B 5D CC 2B 5D D4 8B 4D D0 2B 4D D8 85 DB 74 4E 85 C9 74 4A 8B C1 99 33 C2 2B C2 8B F0 8B C3 99 33 C2 2B C2 3B F0 7D 0C 8B C1 99 33 C2 2B C2 89 45 DC EB 0A 8B C3 99 33 C2 2B C2 89 45 DC 89 5D B4 DB 45 B4 DB 45 DC DE F9 DD 5D E8 9B 89 4D B4 DB 45 B4 DB 45 DC DE F9 DD 5D E0 9B EB 58 85 DB 75 29 85 C9 74 25 33 C0 89 45 E8 89 45 EC 8B C1 99 33 C2 2B C2 8B D8 8B C1 99 F7 FB 89 45 B4 DB 45 B4 DD 5D E0 9B 89 5D DC EB 2B 85 DB 74 27 85 C9 75 23 33 C0 89 45 E0 89 45 E4 8B C3 99 33 C2 2B C2 8B C8 8B C3 99 F7 F9 89 45 B4 DB 45 B4 DD 5D E8 9B 89 4D DC 8B 75 DC 4E 85 F6 7E 42 BB 01 00 00 00 89 5D B4 DB 45 B4 DC 4D E8 E8 ?? ?? ?? ?? 03 45 D4 89 45 C0 89 5D B4 DB 45 B4 DC 4D E0 E8 ?? ?? ?? ?? 03 45 D8 8B 55 C0 89 55 B8 89 45 BC 8D 55 B8 8B 45 C8 E8 ?? ?? ?? ?? 43 4E 75 C3 8D 55 CC 8B 45 C8 E8 ?? ?? ?? ?? FF 45 F4 83 C7 08 FF 4D C4 0F 85 C1 FE FF FF 8B 4D 08 8B 55 C8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89170_0 {
	meta:
		name = "TGestureRecognizer.Match"
		size = 976
		refs = "0033 TGestureRecognizer.Match 004e :TGestureRecognizer.:1 0053 @DynArraySetLength 0061 TGestureEngine.FSensitivity 0074 @ROUND 00ab @TryFinallyExit 00f2 @DynArrayHigh 0101 TGestureRecognizer.IsScratchout 0153 TGestureRecognizer.RotatePoints 015f TGesturePointArray 0164 @DynArrayAsg 01b8 TGestureRecognizer.RemoveDuplicates 01dc PtInCircle 01f2 @DynArrayLength 0232 TGestureRecognizer.InterpolatePoints 0299 TGestureRecognizer.IsPointsGesture 02e5 ReversePoints 0371 @HandleFinally 0393 @FinalizeArray 03a1 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 89 5D C4 89 5D C8 89 5D CC 89 5D D0 89 5D FC 89 5D F8 89 5D F4 89 4D E8 89 55 EC 89 45 F0 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E4 6A 04 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B8 64 00 00 00 2B 05 ?? ?? ?? ?? F7 E8 89 45 D4 DB 45 D4 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 03 5D 08 83 FB 64 7E 05 BB 64 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 18 40 89 45 E0 8B 45 E8 40 85 C0 74 06 83 7D E0 00 75 0A E8 ?? ?? ?? ?? E9 C3 02 00 00 8B 45 F0 66 83 78 0A 00 74 1E 8B 45 1C 50 8B 45 18 50 0F B7 45 10 50 56 53 8B 55 EC 8B 7D F0 8B 4D E8 8B 47 0C FF 57 08 66 83 7D 10 15 75 36 0F B7 45 10 50 56 53 8B 45 F4 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 55 EC 8B 4D E8 8B 45 F0 E8 ?? ?? ?? ?? 89 45 D4 DB 45 D4 D9 5D E4 9B E8 ?? ?? ?? ?? E9 5E 02 00 00 8D 45 FC 50 8B 55 EC 8B 4D E8 8B 45 F0 8B 38 FF 57 04 F6 45 14 08 74 37 8B 45 1C 50 8B 45 18 50 53 8D 45 D8 50 8D 45 D0 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 1C 50 8B 45 18 50 56 F6 45 14 02 0F 95 C0 50 8D 45 CC 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F0 8B 38 FF 57 08 8B 55 CC 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 C8 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 45 14 01 74 1B 8B 55 1C 8B 45 FC 8B CE E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 89 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F8 F6 45 14 04 74 26 8B 45 1C 8B 55 E0 8D 54 D0 F8 8B 45 FC 8D 44 F8 F8 8B CE E8 ?? ?? ?? ?? 84 C0 75 0A E8 ?? ?? ?? ?? E9 53 01 00 00 8D 45 F8 50 8B 55 1C 8B 4D 18 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 C4 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 18 40 89 45 E0 8B 45 F8 50 8B 45 F8 E8 ?? ?? ?? ?? 50 0F B7 45 10 50 56 53 8B 45 F4 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 89 45 D4 DB 45 D4 D9 5D E4 9B 89 5D D4 DB 45 D4 D8 5D E4 9B DF E0 9E 76 72 F6 45 14 01 75 6C 8B 45 1C 8B 55 E0 8D 54 D0 F8 8B 45 FC 8B CE E8 ?? ?? ?? ?? 84 C0 74 54 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 4D C0 8B 45 F8 E8 ?? ?? ?? ?? 8B 7D C0 57 8B C7 E8 ?? ?? ?? ?? 50 0F B7 45 10 50 56 53 8B 45 F4 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 89 45 D4 DB 45 D4 D9 5D E4 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 66 83 78 12 00 74 30 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 1C 50 8B 45 18 50 0F B7 45 10 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 5D F0 8B 55 F4 8B 43 14 FF 53 10 C3 E9 ?? ?? ?? ?? EB BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 D9 45 E4 5F 5E 5B 8B E5 5D C2 18 00 00 00 C8 42 }
	condition:
		$1
}

rule function_89171_0 {
	meta:
		name = "DistanceBetween"
		size = 73
		refs = "0038 Sqrt"
	strings:
		$1 = { 55 8B EC 83 C4 E8 56 57 8B F2 8D 7D F0 A5 A5 8B F0 8D 7D F8 A5 A5 8B 45 F8 2B 45 F0 F7 E8 8B C8 8B 45 FC 2B 45 F4 F7 E8 03 C8 89 4D E8 DB 45 E8 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 5D EC 9B D9 45 EC 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_89172_0 {
	meta:
		name = "TGestureRecognizer.IsPointsGesture"
		size = 1820
		refs = "0030 TGestureRecognizer.IsPointsGesture 006f TDoubleDynArray 0074 @DynArraySetLength 0089 TSingleDynArray 00a3 :TGestureRecognizer.:2 00bd :TGestureRecognizer.:3 00d7 :TGestureRecognizer.:4 00f1 TIntegerDynArray 0161 PtInCircle 0182 CheckPointInGestureWindow 01a6 @ROUND 0261 CheckLineIntersectsCircle 02a3 DistanceBetween 0364 ArcTan2 050a MulDiv 059b @TRUNC 06a1 @DynArrayClear 06ec @FinalizeArray 06f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 5C FF FF FF 53 56 57 33 DB 89 5D FC 89 5D F4 89 5D F0 89 5D EC 89 5D E8 89 5D E4 89 5D F8 89 4D D8 89 55 DC 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 D4 8B 45 D8 40 89 45 B4 8B 45 1C 40 89 45 B0 83 7D B4 00 0F 84 33 06 00 00 83 7D B0 00 0F 84 29 06 00 00 8B 45 B0 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 B0 50 8D 45 F0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 B0 50 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 B0 50 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 B0 50 8D 45 E8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 B0 50 8D 45 E4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 B4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 88 33 C0 89 45 BC 33 C0 89 45 AC 33 C0 89 45 A8 8B 7D B0 4F 85 FF 7C 5A 47 33 F6 8B 5D 20 8B 45 F0 C7 04 B0 00 00 00 4F EB 03 FF 45 A8 8B 45 A8 40 3B 45 B4 7D 18 8B 45 DC 8B 55 A8 8D 54 D0 08 8B C3 8B 4D 14 E8 ?? ?? ?? ?? 84 C0 75 DC 8D 45 A8 50 8D 45 F8 50 8B 45 14 50 8B 45 10 50 8B 55 DC 8B 4D D8 8B C3 E8 ?? ?? ?? ?? 46 83 C3 08 4F 75 AC 8B 7D B4 4F 85 FF 0F 8C D7 00 00 00 47 33 F6 8B 5D DC 8B 45 F8 DD 04 F0 E8 ?? ?? ?? ?? 01 45 88 EB 03 FF 45 BC 8B 45 BC 40 3B 45 B0 7D 18 8B 45 20 8B 55 BC 8D 54 D0 08 8B C3 8B 4D 14 E8 ?? ?? ?? ?? 84 C0 75 DC 8D 45 BC 50 8D 45 FC 50 8B 45 14 50 8B 45 10 50 8B 55 20 8B 4D 1C 8B C3 E8 ?? ?? ?? ?? 8D 46 01 8B 55 B4 4A 3B C2 7D 6A 8B 03 89 85 7C FF FF FF 8B 43 04 89 45 80 8B 43 08 89 85 74 FF FF FF 8B 43 0C 89 85 78 FF FF FF 8B 85 7C FF FF FF 89 85 64 FF FF FF 8B 45 80 89 85 68 FF FF FF 8B 85 74 FF FF FF 89 85 6C FF FF FF 8B 85 78 FF FF FF 89 85 70 FF FF FF 8B 45 BC 50 8B 45 14 50 8D 45 E4 50 8B 55 20 8B 4D 1C 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 46 83 C3 08 4F 0F 85 2F FF FF FF 8B 7D B4 4F 85 FF 7C 75 47 8B 5D DC 8B 03 89 45 8C 8B 43 04 89 45 90 8B 45 B0 48 85 C0 7C 58 40 89 45 84 C7 45 BC 00 00 00 00 8B 75 20 8B D6 8D 45 8C E8 ?? ?? ?? ?? D9 5D B8 9B D9 45 B8 8B 45 F0 8B 55 BC D8 1C 90 9B DF E0 9E 73 1F 8B 45 F0 8B 55 BC 8B 4D B8 89 0C 90 8B 45 F4 8B 55 BC 8B 4D 8C 89 0C D0 8B 4D 90 89 4C D0 04 FF 45 BC 83 C6 08 FF 4D 84 75 B6 83 C3 08 4F 75 8F 33 F6 33 DB 3B 75 B0 0F 8D 6B 01 00 00 8B 45 FC DD 04 F0 E8 ?? ?? ?? ?? 03 D8 8B 45 E4 83 3C B0 00 7E 03 FF 45 AC 8D 46 01 8B 55 B0 4A 3B C2 0F 8D 9F 00 00 00 8B 45 20 8B 04 F0 8B 55 20 2B 44 F2 08 89 85 60 FF FF FF DB 85 60 FF FF FF 83 C4 FC D9 1C 24 9B 8B 45 20 8B 44 F0 04 8B 55 20 2B 44 F2 0C 89 85 5C FF FF FF DB 85 5C FF FF FF 83 C4 FC D9 1C 24 9B E8 ?? ?? ?? ?? 8B 45 EC DD 1C F0 9B 8B 45 F4 8B 04 F0 8B 55 F4 2B 44 F2 08 89 85 60 FF FF FF DB 85 60 FF FF FF 83 C4 FC D9 1C 24 9B 8B 45 F4 8B 44 F0 04 8B 55 F4 2B 44 F2 0C 89 85 5C FF FF FF DB 85 5C FF FF FF 83 C4 FC D9 1C 24 9B E8 ?? ?? ?? ?? 8B 45 E8 DD 1C F0 9B E9 9A 00 00 00 8B 45 20 8B 44 F0 F8 8B 55 20 2B 04 F2 89 85 60 FF FF FF DB 85 60 FF FF FF 83 C4 FC D9 1C 24 9B 8B 45 20 8B 44 F0 FC 8B 55 20 2B 44 F2 04 89 85 5C FF FF FF DB 85 5C FF FF FF 83 C4 FC D9 1C 24 9B E8 ?? ?? ?? ?? 8B 45 EC DD 1C F0 9B 8B 45 F4 8B 44 F0 F8 8B 55 F4 2B 04 F2 89 85 60 FF FF FF DB 85 60 FF FF FF 83 C4 FC D9 1C 24 9B 8B 45 F4 8B 44 F0 FC 8B 55 F4 2B 44 F2 04 89 85 5C FF FF FF DB 85 5C FF FF FF 83 C4 FC D9 1C 24 9B E8 ?? ?? ?? ?? 8B 45 E8 DD 1C F0 9B 46 3B 75 B0 0F 8C 95 FE FF FF 33 C0 89 45 D0 DB 45 10 DB 2D ?? ?? ?? ?? DE C9 D8 35 ?? ?? ?? ?? DD 5D C0 9B 8B 7D B0 4F 85 FF 7C 46 47 33 F6 8B 45 E8 DD 04 F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 2A 8B 45 EC DD 04 F0 DC 65 C0 8B 45 E8 DC 1C F0 9B DF E0 9E 73 18 8B 45 EC DD 04 F0 DC 45 C0 8B 45 E8 DC 1C F0 9B DF E0 9E 76 03 FF 45 D0 46 4F 75 BD 8B 45 88 99 F7 7D B4 89 85 60 FF FF FF DB 85 60 FF FF FF 8B 45 0C DD 18 9B 8B C3 99 F7 7D B0 89 85 60 FF FF FF DB 85 60 FF FF FF 8B 45 0C DD 58 08 9B 8B 45 B0 50 8B 45 D0 50 6A 64 E8 ?? ?? ?? ?? 89 85 60 FF FF FF DB 85 60 FF FF FF 8B 45 0C DD 58 10 9B 8B 45 B0 50 8B 45 AC 50 6A 64 E8 ?? ?? ?? ?? 89 85 60 FF FF FF DB 85 60 FF FF FF 8B 45 0C DD 58 18 9B C7 45 C8 00 00 C0 FF C7 45 CC FF FF DF 41 8B 7D 08 47 4F 85 FF 7C 20 47 8B 5D 0C DD 03 DC 5D C8 9B DF E0 9E 73 0B 8B 03 89 45 C8 8B 43 04 89 45 CC 83 C3 08 4F 75 E4 B8 64 00 00 00 2B 45 10 89 85 60 FF FF FF DB 85 60 FF FF FF DC 5D C8 9B DF E0 9E 73 10 DD 45 C8 E8 ?? ?? ?? ?? 89 45 D4 E9 E3 00 00 00 33 C0 89 45 A0 89 45 A4 33 D2 33 C0 89 45 98 89 45 9C 33 C0 89 45 94 8B 7D 08 47 4F 85 FF 7C 62 47 8B 5D 0C B9 64 00 00 00 2B 4D 10 8B C1 85 C0 79 03 83 C0 03 C1 F8 02 89 85 60 FF FF FF DB 85 60 FF FF FF DC 1B 9B DF E0 9E 0F 83 93 00 00 00 89 8D 60 FF FF FF DB 85 60 FF FF FF DC 1B 9B DF E0 9E 73 0C 42 DD 45 A0 DC 03 DD 5D A0 9B EB 0C FF 45 94 DD 45 98 DC 03 DD 5D 98 9B 83 C3 08 4F 75 A2 DD 45 A0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 52 DD 45 98 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 43 89 95 60 FF FF FF DB 85 60 FF FF FF DC 7D A0 DD 5D A0 9B DB 45 94 DC 7D 98 DD 5D 98 9B DD 45 A0 DC 45 98 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 B8 64 00 00 00 2B 45 10 3B 45 D4 7C 05 33 C0 89 45 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9F 8B 45 D4 5F 5E 5B 8B E5 5D C2 1C 00 35 C2 68 21 A2 DA 0F C9 00 40 00 00 00 00 C8 42 00 00 00 00 00 00 00 40 }
	condition:
		$1
}

rule function_89173_0 {
	meta:
		name = "SegmentPoints"
		size = 584
		refs = "001f SegmentPoints 006c _DV_TList<System.Types.TPoint> 0071 TList<System.Types.TPoint>.Create 00a9 TList<System.Types.TPoint>.Add 00eb @DynArrayLength 00fa TSegmentArray 00ff @DynArraySetLength 0121 TGestureRecognizer.CopyPoints 012b TGesturePointArray 0130 @DynArrayAsg 0144 TList<System.Types.TPoint>.Clear 020b TObject.Free 0211 @HandleFinally 0233 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D E8 89 4D FC 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 FF FF FF 7F 33 C0 89 45 F8 8D 46 01 83 F8 02 0F 8E D6 01 00 00 8B 43 08 2B 03 85 C0 0F 84 C9 01 00 00 85 C0 7E 08 8B 45 FC C6 00 01 EB 06 8B 45 FC C6 00 00 8B 45 FC 0F B6 00 88 45 EF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 46 4E 85 F6 0F 8C D5 00 00 00 46 80 7D EF 00 74 1B 8B 03 3B 45 F8 7E 14 8B 03 89 45 F8 8B D3 8B 45 F0 E8 ?? ?? ?? ?? E9 A9 00 00 00 0F B6 45 EF 34 01 84 C0 74 1B 8B 03 3B 45 F4 7D 14 8B 03 89 45 F4 8B D3 8B 45 F0 E8 ?? ?? ?? ?? E9 84 00 00 00 83 3B 00 75 0C 8B D3 8B 45 F0 E8 ?? ?? ?? ?? EB 73 8B 07 E8 ?? ?? ?? ?? 40 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 07 E8 ?? ?? ?? ?? 8B 17 8D 44 82 FC 50 8D 4D E8 8B 45 0C 8B 40 FC 8B 55 F0 E8 ?? ?? ?? ?? 8B 55 E8 58 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 F4 FF FF FF 7F 33 C0 89 45 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 0F B6 45 EF 34 01 88 45 EF 83 C3 08 4E 0F 85 2C FF FF FF 8B 45 F0 83 78 08 00 7E 4C 8B 07 E8 ?? ?? ?? ?? 40 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 07 E8 ?? ?? ?? ?? 8B 17 8D 44 82 FC 50 8D 4D E4 8B 45 0C 8B 40 FC 8B 55 F0 E8 ?? ?? ?? ?? 8B 55 E4 58 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 85 C0 7E 35 8B 07 E8 ?? ?? ?? ?? 8B 17 8B 44 82 FC E8 ?? ?? ?? ?? 83 F8 05 7D 1E 8B 07 E8 ?? ?? ?? ?? 48 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89174_0 {
	meta:
		name = "HeightDeviation"
		size = 86
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 B9 FF FF FF 7F 42 85 D2 7E 3E C7 45 FC FF FF FF 7F 33 C9 89 4D F8 8B DA 4B 85 DB 7C 25 43 8B 10 89 55 F0 8B 50 04 89 55 F4 8B 55 F4 3B 55 FC 7D 03 89 55 FC 3B 55 F8 7E 03 89 55 F8 83 C0 08 4B 75 DC 8B 4D F8 2B 4D FC 8B C1 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89175_0 {
	meta:
		name = "TGestureRecognizer.IsScratchout"
		size = 1399
		refs = "0022 TStandardGestureData 0027 @InitializeRecord 004b TGestureRecognizer.IsScratchout 0066 TGestureRecognizer.RemoveDuplicates 006e @DynArrayHigh 0078 HeightDeviation 009b SegmentPoints 00a8 TSegmentArray 00ad @DynArrayAsg 00b5 @DynArrayLength 00d5 :TGestureRecognizer.:6 00da @DynArraySetLength 00ef :TGestureRecognizer.:7 010d FindStandardGesture 0127 TGestureRecognizer.InterpolatePoints 014c TGesturePointArray 0292 @CopyRecord 0302 TGestureRecognizer.RotatePoints 03e0 TGestureRecognizer.IsPointsGesture 03fa :TGestureRecognizer.:5 04cb @TRUNC 04f1 @FinalizeArray 04ff @DynArrayClear 0563 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 12 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B DA 89 45 FC 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 A8 8D 45 F4 50 8B D3 8B CE 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 3B 45 14 0F 8F 4D 04 00 00 55 8D 45 88 50 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8D 4D A3 8B 45 F4 E8 ?? ?? ?? ?? 59 8B 55 88 8D 45 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 9C 83 7D 9C 03 0F 8C 0C 04 00 00 8B 45 08 40 50 8D 45 E0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 9C 50 8D 45 DC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 80 7D A3 00 0F 84 A5 00 00 00 8D 55 AC 66 B8 02 00 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 5D AC 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 45 84 50 8B 45 EC E8 ?? ?? ?? ?? 8B C8 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 84 8D 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 BC 66 B8 01 00 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 5D BC 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 45 80 50 8B 45 E8 E8 ?? ?? ?? ?? 8B C8 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 80 8D 45 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AC 00 00 00 8D 55 AC 66 B8 01 00 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 5D AC 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 85 7C FF FF FF 50 8B 45 EC E8 ?? ?? ?? ?? 8B C8 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8D 45 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 BC 66 B8 02 00 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 5D BC 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 50 8B 45 E8 E8 ?? ?? ?? ?? 8B C8 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8D 45 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 48 85 C0 0F 8C EC 01 00 00 40 89 45 8C C7 45 A4 00 00 00 00 8B 45 A4 25 01 00 00 80 79 05 48 83 C8 FE 40 83 E8 01 72 04 74 26 EB 46 8D 45 CC 8D 55 AC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 55 EC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 8D 45 CC 8D 55 BC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 55 E8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 10 50 8B 45 DC 8B 55 A4 8D 04 D0 50 8D 45 F4 50 8B 45 F8 8B 55 A4 8B 1C 90 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 85 74 FF FF FF 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 FC 8B 18 FF 53 04 8B 95 74 FF FF FF 8D 45 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D CC 53 8B C3 E8 ?? ?? ?? ?? 50 8B 45 14 50 6A 00 8D 85 70 FF FF FF 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 FC 8B 18 FF 53 08 8B 95 70 FF FF FF 8D 45 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 6C FF FF FF 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8D 45 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F0 E8 ?? ?? ?? ?? 50 0F B7 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 E0 50 8B 45 E0 E8 ?? ?? ?? ?? 50 8B 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 E4 E8 ?? ?? ?? ?? 40 50 8D 45 E4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 89 5C 82 FC 8B 4D 08 41 49 85 C9 7C 24 41 33 C0 8B 55 0C DD 02 8B 5D E0 DC 04 C3 DD 1A 9B 8B 5D E0 33 F6 89 34 C3 89 74 C3 04 40 83 C2 08 49 75 E2 FF 45 A4 FF 4D 8C 0F 85 1F FE FF FF C7 45 90 00 00 C0 FF C7 45 94 FF FF DF 41 8B 45 08 40 48 85 C0 7C 17 40 89 45 8C 8B 55 0C DB 45 9C DC 3A DD 1A 9B 83 C2 08 FF 4D 8C 75 F0 8B 45 08 40 48 85 C0 7C 25 40 89 45 8C 8B 55 0C DD 02 DC 5D 90 9B DF E0 9E 73 0B 8B 02 89 45 90 8B 42 04 89 45 94 83 C2 08 FF 4D 8C 75 E2 B8 64 00 00 00 2B 45 10 89 85 68 FF FF FF DB 85 68 FF FF FF DC 5D 90 9B DF E0 9E 73 0B DD 45 90 E8 ?? ?? ?? ?? 89 45 A8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 6C FF FF FF 8B 15 ?? ?? ?? ?? B9 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 88 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 73 FF FF FF 8B 45 A8 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_89176_0 {
	meta:
		name = "TGestureRecognizer.NormalizePoints"
		size = 179
		refs = "001b TGesturePointArray 0020 @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D9 8B F2 8D 7B 01 57 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC FF FF FF 7F C7 45 F8 FF FF FF 7F 8B D7 4A 85 D2 7C 1E 42 8B C6 8B 38 3B 7D FC 7D 03 89 7D FC 8B 78 04 3B 7D F8 7D 03 89 7D F8 83 C0 08 4A 75 E5 8D 7B 01 57 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D7 4A 85 D2 7C 2F 42 33 DB 8B C6 8B 08 2B 4D FC 8B 70 04 2B 75 F8 89 4D F0 89 75 F4 8B 4D 08 8B 09 8B 75 F0 89 34 D9 8B 75 F4 89 74 D9 04 43 83 C0 08 4A 75 D6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89177_0 {
	meta:
		name = "TGestureRecognizer.RemoveDuplicates"
		size = 201
		refs = "0022 _DV_TList<System.Types.TPoint> 0027 TList<System.Types.TPoint>.Create 0032 TGestureRecognizer.RemoveDuplicates 0042 TList<System.Types.TPoint>.Add 009f TGestureRecognizer.CopyPoints 00b4 TObject.Free 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F8 8B DA 89 45 FC 8B 75 F8 46 8B C6 85 C0 0F 84 A1 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 E4 E8 ?? ?? ?? ?? 4E 85 F6 7C 4A 46 33 FF 8D 43 08 8B D8 8B 45 F8 40 48 3B F8 7D 32 8B 03 89 45 E8 8B 43 04 89 45 EC 8B 43 F8 89 45 F0 8B 43 FC 89 45 F4 8B 45 F0 3B 45 E8 75 08 8B 45 F4 3B 45 EC 74 0B 8D 55 E8 8B 45 E4 E8 ?? ?? ?? ?? 47 83 C3 08 4E 75 BE 8B 4D 08 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89178_0 {
	meta:
		name = "WithinError"
		size = 156
		refs = "002b ArcTan2 005d WithinError"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 C6 45 FB 00 DB 03 83 C4 FC D9 1C 24 9B DB 43 04 83 C4 FC D9 1C 24 9B E8 ?? ?? ?? ?? DD 5D F0 9B DB 06 83 C4 FC D9 1C 24 9B DB 46 04 83 C4 FC D9 1C 24 9B E8 ?? ?? ?? ?? DD 5D E8 9B DD 45 F0 DC 65 E8 DD 1F 9B DB 45 FC DB 2D ?? ?? ?? ?? DE C9 D8 35 ?? ?? ?? ?? DD 5D E0 9B DD 07 D9 E1 DC 5D E0 9B DF E0 9E 73 04 C6 45 FB 01 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 00 35 C2 68 21 A2 DA 0F C9 00 40 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_89179_0 {
	meta:
		name = "TGestureRecognizer.RotatePoints"
		size = 396
		refs = "0028 TGesturePointArray 002d @DynArraySetLength 0094 WithinError 00cc Cos 00e5 Sin 00f4 @TRUNC 017f Move"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 89 4D F8 89 55 FC 8B 7D 08 C6 45 E3 00 8B 5D 14 43 8B 75 F8 46 56 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 FB 01 0F 8E 14 01 00 00 83 FE 01 0F 8E 0B 01 00 00 8B 45 18 8B 10 89 55 EC 8B 50 04 89 55 F0 8B 45 18 8B 54 D8 F8 89 55 E4 8B 54 D8 FC 89 55 E8 8B 45 FC 8B 00 3B 45 EC 0F 85 DE 00 00 00 8B 45 FC 8B 40 04 3B 45 F0 0F 85 CF 00 00 00 8B 45 0C 50 8B 45 FC 8D 54 F0 F8 8D 45 E4 8B 4D 10 E8 ?? ?? ?? ?? 84 C0 0F 84 B1 00 00 00 C6 45 E3 01 8B 45 F8 40 48 85 C0 0F 8C A0 00 00 00 40 89 45 DC C7 45 F4 00 00 00 00 8B 5D FC 8B 45 0C DD 00 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 03 DE C9 DB 7D D0 9B 8B 45 0C DD 00 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 43 04 DE C9 DB 6D D0 DE C1 E8 ?? ?? ?? ?? 8B 17 8B 4D F4 89 04 CA 8B 45 0C DD 00 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 43 04 DE C9 DB 7D D0 9B 8B 45 0C DD 00 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 03 DE C9 DB 6D D0 DE E1 E8 ?? ?? ?? ?? 8B 17 8B 4D F4 89 44 CA 04 FF 45 F4 83 C3 08 FF 4D DC 0F 85 6E FF FF FF 80 7D E3 00 75 2C 85 F6 7E 28 56 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B CE 03 C9 03 C9 03 C9 8B 17 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_89180_0 {
	meta:
		name = "TGestureRecognizer.ScalePoints"
		size = 580
		refs = "00f8 TGesturePointArray 00fd @DynArraySetLength 010f TGestureRecognizer.ScalePoints 012e @DynArrayLength 0155 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 89 4D F8 89 55 FC 33 F6 33 C0 89 45 F4 33 FF 33 C0 89 45 F0 8B 5D F8 43 4B 85 DB 7C 36 43 8B 4D FC 8B 01 99 33 C2 2B C2 3B F0 7D 09 8B 01 99 33 C2 2B C2 8B F0 8B 41 04 99 33 C2 2B C2 3B 45 F4 7E 0B 8B 41 04 99 33 C2 2B C2 89 45 F4 83 C1 08 4B 75 CE 8B 5D 14 43 4B 85 DB 7C 36 43 8B 4D 18 8B 01 99 33 C2 2B C2 3B F8 7D 09 8B 01 99 33 C2 2B C2 8B F8 8B 41 04 99 33 C2 2B C2 3B 45 F0 7E 0B 8B 41 04 99 33 C2 2B C2 89 45 F0 83 C1 08 4B 75 CE 85 F6 74 04 85 FF 75 0E 33 C0 89 45 E8 C7 45 EC 00 00 F0 3F EB 12 89 7D B4 DB 45 B4 89 75 B0 DB 45 B0 DE F9 DD 5D E8 9B 83 7D F4 00 74 06 83 7D F0 00 75 0E 33 C0 89 45 E0 C7 45 E4 00 00 F0 3F EB 0C DB 45 F0 DB 45 F4 DE F9 DD 5D E0 9B 8B 45 F8 40 50 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 80 7D 0C 00 75 1E DD 45 E8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 0F DD 45 E0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 66 8B 45 08 8B 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 0F 8C FA 00 00 00 43 33 F6 8B 7D FC 8B 07 89 45 D0 8B 47 04 89 45 D4 DB 45 D0 DC 4D E8 E8 ?? ?? ?? ?? 89 45 CC DB 45 D4 DC 4D E0 E8 ?? ?? ?? ?? 8B 55 CC 89 55 C4 89 45 C8 8B 45 08 8B 00 8B 55 C4 89 14 F0 8B 55 C8 89 54 F0 04 46 83 C7 08 4B 75 BA E9 A9 00 00 00 DD 45 E8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 84 96 00 00 00 DD 45 E0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 84 83 00 00 00 DD 45 E8 DC 5D E0 9B DF E0 9E 73 0E 8B 45 E8 89 45 D8 8B 45 EC 89 45 DC EB 0C 8B 45 E0 89 45 D8 8B 45 E4 89 45 DC 8B 45 08 8B 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 4C 43 33 F6 8B 7D FC 8B 07 89 45 D0 8B 47 04 89 45 D4 DB 45 D0 DC 4D D8 E8 ?? ?? ?? ?? 89 45 C0 DB 45 D4 DC 4D D8 E8 ?? ?? ?? ?? 8B 55 C0 89 55 B8 89 45 BC 8B 45 08 8B 00 8B 55 B8 89 14 F0 8B 55 BC 89 54 F0 04 46 83 C7 08 4B 75 BA 5F 5E 5B 8B E5 5D C2 14 00 00 00 80 3F }
	condition:
		$1
}

rule function_89181_0 {
	meta:
		name = "AssignDefaultGestureData"
		size = 112
		refs = "0029 TStandardGestureData 002e @CopyRecord 0043 TGesturePointArray 0048 @DynArraySetLength 005d Move"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 03 DB 43 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 8B F9 89 55 FC 8B D8 8B 75 08 8B C6 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 5F 01 85 DB 7E 28 53 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B CB 03 C9 03 C9 03 C9 8B 16 8B 45 FC E8 ?? ?? ?? ?? 8B 7D F0 8B 75 F4 8B 5D F8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89182_0 {
	meta:
		name = "FindStandardGesture"
		size = 1938
		refs = "0017 FindStandardGesture 00c7 PDefaultLeft 00cc CDefaultLeft 00d6 AssignDefaultGestureData 00e1 TStandardGestureData 00e6 @CopyRecord 00f4 PDefaultRight 00f9 CDefaultRight 0121 PDefaultUp 0126 CDefaultUp 014e PDefaultDown 0153 CDefaultDown 017b PDefaultUpLeft 0180 CDefaultUpLeft 01a8 PDefaultUpRight 01ad CDefaultUpRight 01d5 PDefaultDownLeft 01da CDefaultDownLeft 0202 PDefaultDownRight 0207 CDefaultDownRight 0232 PDefaultLeftUp 0237 CDefaultLeftUp 0265 PDefaultLeftDown 026a CDefaultLeftDown 0298 PDefaultRightUp 029d CDefaultRightUp 02cb PDefaultRightDown 02d0 CDefaultRightDown 02fe PDefaultUpDown 0303 CDefaultUpDown 0331 PDefaultDownUp 0336 CDefaultDownUp 0364 PDefaultLeftRight 0369 CDefaultLeftRight 0397 PDefaultRightLeft 039c CDefaultRightLeft 03ca PDefaultUpLeftLong 03cf CDefaultUpLeftLong 03fd PDefaultUpRightLong 0402 CDefaultUpRightLong 0430 PDefaultDownLeftLong 0435 CDefaultDownLeftLong 0463 PDefaultDownRightLong 0468 CDefaultDownRightLong 0496 PDefaultScratchout 049b CDefaultScratchout 04c9 PDefaultTriangle 04ce CDefaultTriangle 04fc PDefaultSquare 0501 CDefaultSquare 052f PDefaultCheck 0534 CDefaultCheck 0562 PDefaultCurlicue 0567 CDefaultCurlicue 0595 PDefaultDoubleCurlicue 059a CDefaultDoubleCurlicue 05c8 PDefaultCircle 05cd CDefaultCircle 05fb PDefaultDoubleCircle 0600 CDefaultDoubleCircle 062e PDefaultSemiCircleLeft 0633 CDefaultSemiCircleLeft 0661 PDefaultSemiCircleRight 0666 CDefaultSemiCircleRight 0694 PDefaultChevronUp 0699 CDefaultChevronUp 06c7 PDefaultChevronDown 06cc CDefaultChevronDown 06f7 PDefaultChevronLeft 06fc CDefaultChevronLeft 0727 PDefaultChevronRight 072c CDefaultChevronRight 0759 @FillChar 077e @FinalizeArray 0784 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 44 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B3 01 0F BF C0 83 F8 22 0F 87 20 07 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 F0 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 70 06 00 00 8D 45 E0 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 E0 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 43 06 00 00 8D 45 D0 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 D0 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 16 06 00 00 8D 45 C0 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 01 00 00 00 E8 ?? ?? ?? ?? 8D 55 C0 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E9 05 00 00 8D 45 B0 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 55 B0 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BC 05 00 00 8D 45 A0 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 55 A0 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8F 05 00 00 8D 45 90 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 55 90 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 62 05 00 00 8D 45 80 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 55 80 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 35 05 00 00 8D 85 70 FF FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 95 70 FF FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 02 05 00 00 8D 85 60 FF FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 95 60 FF FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CF 04 00 00 8D 85 50 FF FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 95 50 FF FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9C 04 00 00 8D 85 40 FF FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 95 40 FF FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 69 04 00 00 8D 85 30 FF FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 95 30 FF FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 36 04 00 00 8D 85 20 FF FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 95 20 FF FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 03 04 00 00 8D 85 10 FF FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 95 10 FF FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D0 03 00 00 8D 85 00 FF FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 95 00 FF FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9D 03 00 00 8D 85 F0 FE FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 95 F0 FE FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6A 03 00 00 8D 85 E0 FE FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 95 E0 FE FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 37 03 00 00 8D 85 D0 FE FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 95 D0 FE FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 04 03 00 00 8D 85 C0 FE FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 95 C0 FE FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D1 02 00 00 8D 85 B0 FE FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 01 00 00 00 E8 ?? ?? ?? ?? 8D 95 B0 FE FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9E 02 00 00 8D 85 A0 FE FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 95 A0 FE FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6B 02 00 00 8D 85 90 FE FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 95 90 FE FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 38 02 00 00 8D 85 80 FE FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 95 80 FE FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 05 02 00 00 8D 85 70 FE FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 3C 00 00 00 E8 ?? ?? ?? ?? 8D 95 70 FE FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D2 01 00 00 8D 85 60 FE FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 4D 00 00 00 E8 ?? ?? ?? ?? 8D 95 60 FE FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9F 01 00 00 8D 85 50 FE FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 10 00 00 00 E8 ?? ?? ?? ?? 8D 95 50 FE FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6C 01 00 00 8D 85 40 FE FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 21 00 00 00 E8 ?? ?? ?? ?? 8D 95 40 FE FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 39 01 00 00 8D 85 30 FE FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 08 00 00 00 E8 ?? ?? ?? ?? 8D 95 30 FE FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 06 01 00 00 8D 85 20 FE FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 08 00 00 00 E8 ?? ?? ?? ?? 8D 95 20 FE FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D3 00 00 00 8D 85 10 FE FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 95 10 FE FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A0 00 00 00 8D 85 00 FE FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 95 00 FE FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 70 8D 85 F0 FD FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 95 F0 FD FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 40 8D 85 E0 FD FF FF 50 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 95 E0 FD FF FF 8B C6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 10 8B C6 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E0 FD FF FF 8B 15 ?? ?? ?? ?? B9 22 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89183_0 {
	meta:
		name = "FindStandardGesture"
		size = 187
		refs = "0018 TIdentMapEntry 001d @InitializeRecord 0025 FindStandardGesture 0034 GestureNameMap 0047 @CopyRecord 005d @UStrCopy 0067 CompareText 0096 @UStrClr 00a4 @FinalizeRecord 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 55 F4 8B F8 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 BE ?? ?? ?? ?? 33 DB 8D 45 F8 8D 14 DE 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 50 B9 FF 00 00 00 BA 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 85 C0 75 10 8B 45 F4 0F B7 55 F8 66 89 10 C6 45 F3 01 EB 06 43 83 FB 23 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 0F B6 45 F3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89184_0 {
	meta:
		name = "Finalization"
		size = 617
		refs = "0007 Finalization 0013 _DV_7 001e GestureNameMap 0029 TIdentMapEntry 002e @FinalizeArray 0033 CDefaultLeft 0039 TStandardGestureData 003e @FinalizeRecord 0043 CDefaultRight 0053 CDefaultUp 0063 CDefaultDown 0073 CDefaultUpLeft 0083 CDefaultUpRight 0093 CDefaultDownLeft 00a3 CDefaultDownRight 00b3 CDefaultLeftUp 00c3 CDefaultLeftDown 00d3 CDefaultRightUp 00e3 CDefaultRightDown 00f3 CDefaultUpDown 0103 CDefaultDownUp 0113 CDefaultLeftRight 0123 CDefaultRightLeft 0133 CDefaultUpLeftLong 0143 CDefaultUpRightLong 0153 CDefaultDownLeftLong 0163 CDefaultDownRightLong 0173 CDefaultScratchout 0183 CDefaultTriangle 0193 CDefaultSquare 01a3 CDefaultCheck 01b3 CDefaultCurlicue 01c3 CDefaultDoubleCurlicue 01d3 CDefaultCircle 01e3 CDefaultDoubleCircle 01f3 CDefaultSemiCircleLeft 0203 CDefaultSemiCircleRight 0213 CDefaultChevronUp 0223 CDefaultChevronDown 0233 CDefaultChevronLeft 0243 CDefaultChevronRight 0261 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 35 02 00 00 B8 ?? ?? ?? ?? B9 23 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_89372_0 {
	meta:
		name = "GetState"
		size = 95
		refs = "0023 TList<Vcl.Touch.KeyboardTypes.TKeyData>.GetItem 004b TList<Vcl.Touch.KeyboardTypes.TKeyData>.Delete"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F2 89 45 FC 33 C0 89 45 F8 8B 7E 08 4F 85 FF 7C 3A 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 66 3B 45 FC 75 24 8B D3 8B C6 E8 ?? ?? ?? ?? C1 E8 10 66 3B 45 FE 75 12 C7 45 F8 02 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? EB 04 43 4F 75 C9 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89373_0 {
	meta:
		name = "SendKeys"
		size = 142
		refs = "0013 _DV_TState 0018 TList<Vcl.Touch.KeyboardTypes.TKeyData>.Create 0023 SendKeys 003e GetState 004b SendKey 0055 TList<Vcl.Touch.KeyboardTypes.TKeyData>.Add 007b TObject.Free 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F2 8B D8 8D 7D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 46 4E 85 F6 7C 37 46 8B 03 89 07 8B 55 FC 8B 07 E8 ?? ?? ?? ?? 85 C0 75 15 33 D2 8B 07 E8 ?? ?? ?? ?? 8B 17 8B 45 FC E8 ?? ?? ?? ?? EB 09 B2 01 8B 07 E8 ?? ?? ?? ?? 83 C3 04 4E 75 CA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89374_0 {
	meta:
		name = "SendKeys"
		size = 49
		refs = "0022 SendKey"
	strings:
		$1 = { 53 56 83 C4 F8 88 0C 24 8D 72 01 4E 85 F6 7C 1C 46 8B D8 8B 03 89 44 24 02 0F B6 14 24 8B 44 24 02 E8 ?? ?? ?? ?? 83 C3 04 4E 75 E7 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_89375_0 {
	meta:
		name = "SendKey"
		size = 112
		refs = "000e GetVirtualKey 003e GetFocus 0044 SendMessage 0067 keybd_event"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 89 04 24 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 04 0F B7 74 24 04 8B C6 83 C0 DB 66 83 E8 04 73 24 84 DB 75 07 BB 00 01 00 00 EB 05 BB 01 01 00 00 6A 00 0F BF C6 50 53 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 21 84 DB 75 04 33 C0 EB 05 B8 02 00 00 00 6A 00 50 0F B6 44 24 0E 50 0F B6 44 24 10 50 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_89376_0 {
	meta:
		name = "PlayKey"
		size = 60
		refs = "000b @DynArrayLength 0019 @DynArrayHigh 0024 SendKeys 002d TKey.&op_Implicit 0034 SendKey"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 85 C0 7E 17 8B 7E 0C 8B C7 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C7 E8 ?? ?? ?? ?? EB 0E 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89377_0 {
	meta:
		name = "TouchInputToWmMouse"
		size = 160
		refs = "0067 TWinControl.GetHandle 006d PhysicalToLogicalPoint 007a TControl.ScreenToClient"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B D9 8B CA 8B F0 33 C0 89 03 8B 41 10 A8 02 74 08 C7 03 01 02 00 00 EB 16 A8 04 74 08 C7 03 02 02 00 00 EB 0A A8 01 74 06 C7 03 00 02 00 00 8B 01 BF 64 00 00 00 99 F7 FF 8B F8 8B 41 04 B9 64 00 00 00 99 F7 F9 89 7C 24 08 89 44 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 54 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4C 24 10 8B D4 8B C6 E8 ?? ?? ?? ?? 0F B7 44 24 10 66 89 44 24 18 0F B7 44 24 14 66 89 44 24 1A 8B 44 24 18 89 43 08 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89378_0 {
	meta:
		name = "TCustomKeyboardButton.GetBoundsRect"
		size = 30
	strings:
		$1 = { 8B 48 50 89 0A 8B 48 54 89 4A 04 8B 48 50 03 48 5C 89 4A 08 8B 48 54 03 48 58 89 4A 0C C3 }
	condition:
		$1
}

rule function_89379_0 {
	meta:
		name = "TCustomKeyboardButton.GetClientRect"
		size = 48
	strings:
		$1 = { 53 0F B7 48 24 03 48 50 89 0A 8B 48 54 03 48 4C 89 4A 04 8B 48 50 03 48 5C 0F B7 58 26 2B CB 89 4A 08 8B 48 54 03 48 58 2B 48 48 89 4A 0C 5B C3 }
	condition:
		$1
}

rule function_89380_0 {
	meta:
		name = "TCustomKeyboardButton.Create"
		size = 109
		refs = "000b @ClassCreate 001a TObject.Create 0042 TVirtualKey 0047 @CopyRecord 0059 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 08 00 C7 47 58 2D 00 00 00 C7 47 5C 2D 00 00 00 C6 47 3C 00 C7 47 40 FF FF FF FF 8D 47 0C 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 46 08 88 47 44 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89381_0 {
	meta:
		name = "PaintTab"
		size = 423
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 75 F0 8B 4E 04 83 C1 08 8B 16 83 C2 04 8B C3 8B 38 FF 57 64 8B 4E 04 83 C1 08 8B 16 83 C2 04 83 C2 24 8B C3 8B 38 FF 57 60 8B 4E 04 83 C1 08 83 E9 05 8B 16 83 C2 04 8B C3 8B 38 FF 57 64 8B 4E 04 83 C1 08 83 C1 05 8B 16 83 C2 04 8B C3 8B 38 FF 57 60 8B 4E 04 83 C1 08 49 8B 16 83 C2 04 83 C2 02 8B C3 8B 38 FF 57 64 8B 4E 04 83 C1 08 83 C1 02 8B 16 83 C2 04 83 C2 02 8B C3 8B 38 FF 57 60 8B 4E 04 83 C1 08 83 E9 02 8B 16 83 C2 04 83 C2 03 8B C3 8B 38 FF 57 64 8B 4E 04 83 C1 08 83 C1 03 8B 16 83 C2 04 83 C2 03 8B C3 8B 38 FF 57 60 8B 4E 04 83 C1 08 83 C1 0C 8B 16 83 C2 04 8B C3 8B 38 FF 57 64 8B 4E 04 83 C1 08 83 C1 0C 8B 16 83 C2 04 83 C2 24 42 8B C3 8B 38 FF 57 60 8B 4E 04 83 C1 08 83 C1 0C 83 E9 05 8B 16 83 C2 04 83 C2 24 8B C3 8B 38 FF 57 64 8B 4E 04 83 C1 08 83 C1 0C 83 C1 05 8B 16 83 C2 04 83 C2 24 8B C3 8B 38 FF 57 60 8B 4E 04 83 C1 08 83 C1 0C 49 8B 16 83 C2 04 83 C2 24 83 EA 02 8B C3 8B 38 FF 57 64 8B 4E 04 83 C1 08 83 C1 0C 83 C1 02 8B 16 83 C2 04 83 C2 24 83 EA 02 8B C3 8B 38 FF 57 60 8B 4E 04 83 C1 08 83 C1 0C 83 E9 02 8B 16 83 C2 04 83 C2 24 83 EA 03 8B C3 8B 38 FF 57 64 8B 4E 04 83 C1 08 83 C1 0C 83 C1 03 8B 16 83 C2 04 83 C2 24 83 EA 03 8B C3 8B 18 FF 53 60 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89382_0 {
	meta:
		name = "PaintEnter"
		size = 205
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 75 F0 8B 4E 04 83 C1 0C 83 E9 06 8B 16 83 C2 04 83 C2 24 8B C3 8B 38 FF 57 64 8B 4E 04 83 C1 0C 41 8B 16 83 C2 04 83 C2 24 8B C3 8B 38 FF 57 60 8B 4E 04 83 C1 0C 8B 16 83 C2 04 8B C3 8B 38 FF 57 64 8B 4E 04 83 C1 0C 8B 16 83 C2 04 83 C2 24 8B C3 8B 38 FF 57 60 8B 4E 04 83 C1 0C 49 8B 16 83 C2 04 42 8B C3 8B 38 FF 57 64 8B 4E 04 83 C1 0C 83 C1 02 8B 16 83 C2 04 42 8B C3 8B 38 FF 57 60 8B 4E 04 83 C1 0C 83 E9 02 8B 16 83 C2 04 83 C2 02 8B C3 8B 38 FF 57 64 8B 4E 04 83 C1 0C 83 C1 03 8B 16 83 C2 04 83 C2 02 8B C3 8B 18 FF 53 60 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89383_0 {
	meta:
		name = "PaintTallEnter"
		size = 205
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 75 F0 8B 4E 04 83 C1 0C 83 E9 06 8B 16 83 C2 04 83 C2 18 8B C3 8B 38 FF 57 64 8B 4E 04 83 C1 0C 41 8B 16 83 C2 04 83 C2 18 8B C3 8B 38 FF 57 60 8B 4E 04 83 C1 0C 8B 16 83 C2 04 8B C3 8B 38 FF 57 64 8B 4E 04 83 C1 0C 8B 16 83 C2 04 83 C2 18 8B C3 8B 38 FF 57 60 8B 4E 04 83 C1 0C 49 8B 16 83 C2 04 42 8B C3 8B 38 FF 57 64 8B 4E 04 83 C1 0C 83 C1 02 8B 16 83 C2 04 42 8B C3 8B 38 FF 57 60 8B 4E 04 83 C1 0C 83 E9 02 8B 16 83 C2 04 83 C2 02 8B C3 8B 38 FF 57 64 8B 4E 04 83 C1 0C 83 C1 03 8B 16 83 C2 04 83 C2 02 8B C3 8B 18 FF 53 60 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89384_0 {
	meta:
		name = "PaintBackspace"
		size = 159
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 75 F0 8B 4E 04 83 C1 08 8B 16 83 C2 04 8B C3 8B 38 FF 57 64 8B 4E 04 83 C1 08 8B 16 83 C2 04 83 C2 18 8B C3 8B 38 FF 57 60 8B 4E 04 83 C1 08 49 8B 16 83 C2 04 42 8B C3 8B 38 FF 57 64 8B 4E 04 83 C1 08 83 C1 02 8B 16 83 C2 04 42 8B C3 8B 38 FF 57 60 8B 4E 04 83 C1 08 83 E9 02 8B 16 83 C2 04 83 C2 02 8B C3 8B 38 FF 57 64 8B 4E 04 83 C1 08 83 C1 03 8B 16 83 C2 04 83 C2 02 8B C3 8B 18 FF 53 60 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89385_0 {
	meta:
		name = "PaintShift"
		size = 213
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 75 F0 8B 4E 04 83 C1 04 83 C1 0C 8B 16 83 C2 04 8B C3 8B 38 FF 57 64 8B 4E 04 83 C1 06 8B 16 83 C2 04 83 C2 0A 8B C3 8B 38 FF 57 60 8B 4E 04 83 C1 04 83 C1 0C 8B 16 83 C2 04 83 C2 14 8B C3 8B 38 FF 57 60 8B 4E 04 83 C1 04 83 C1 0C 8B 16 83 C2 04 83 C2 0E 8B C3 8B 38 FF 57 60 8B 4E 04 83 C1 04 83 C1 12 8B 16 83 C2 04 83 C2 0E 8B C3 8B 38 FF 57 60 8B 4E 04 83 C1 04 83 C1 12 8B 16 83 C2 04 83 C2 06 8B C3 8B 38 FF 57 60 8B 4E 04 83 C1 04 83 C1 0C 8B 16 83 C2 04 83 C2 06 8B C3 8B 38 FF 57 60 8B 4E 04 83 C1 04 83 C1 0C 8B 16 83 C2 04 8B C3 8B 18 FF 53 60 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89386_0 {
	meta:
		name = "PaintArrow"
		size = 462
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F2 8D 7D E8 A5 A5 A5 A5 88 4D FB 89 45 FC 8B 75 E8 03 75 F0 D1 FE 79 03 83 D6 00 8B 5D EC 03 5D F4 D1 FB 79 03 83 D3 00 0F B6 45 FB 2C 04 74 19 FE C8 74 78 FE C8 0F 84 CB 00 00 00 FE C8 0F 84 23 01 00 00 E9 74 01 00 00 8B CB 83 E9 08 8B D6 8B 45 FC 8B 38 FF 57 64 8D 4B 08 8B D6 8B 45 FC 8B 38 FF 57 60 8B CB 83 E9 07 8B D6 4A 8B 45 FC 8B 38 FF 57 64 8B CB 83 E9 07 8D 56 02 8B 45 FC 8B 38 FF 57 60 8B CB 83 E9 06 8B D6 83 EA 02 8B 45 FC 8B 38 FF 57 64 8B CB 83 E9 06 8D 56 03 8B 45 FC 8B 18 FF 53 60 E9 11 01 00 00 8B CB 83 E9 08 8B D6 8B 45 FC 8B 38 FF 57 64 8D 4B 08 8B D6 8B 45 FC 8B 38 FF 57 60 8D 4B 06 8B D6 4A 8B 45 FC 8B 38 FF 57 64 8D 4B 06 8D 56 02 8B 45 FC 8B 38 FF 57 60 8D 4B 05 8B D6 83 EA 02 8B 45 FC 8B 38 FF 57 64 8D 4B 05 8D 56 03 8B 45 FC 8B 18 FF 53 60 E9 B6 00 00 00 8B D6 83 EA 08 8B CB 8B 45 FC 8B 38 FF 57 64 8D 56 08 8B CB 8B 45 FC 8B 38 FF 57 60 8B CB 49 8B D6 83 EA 06 8B 45 FC 8B 38 FF 57 64 8D 4B 02 8B D6 83 EA 06 8B 45 FC 8B 38 FF 57 60 8B CB 83 E9 02 8B D6 83 EA 05 8B 45 FC 8B 38 FF 57 64 8D 4B 03 8B D6 83 EA 05 8B 45 FC 8B 18 FF 53 60 EB 56 8B D6 83 EA 08 8B CB 8B 45 FC 8B 38 FF 57 64 8D 56 08 8B CB 8B 45 FC 8B 38 FF 57 60 8B CB 49 8D 56 06 8B 45 FC 8B 38 FF 57 64 8D 4B 02 8D 56 06 8B 45 FC 8B 38 FF 57 60 8B CB 83 E9 02 8D 56 05 8B 45 FC 8B 38 FF 57 64 8D 4B 03 8D 56 05 8B 45 FC 8B 18 FF 53 60 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89387_0 {
	meta:
		name = "GetModifier"
		size = 273
		refs = "0014 TKeyModifier 0019 @InitializeRecord 0021 GetModifier 0046 @DynArrayLength 007d @CopyRecord 00ad TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem 00b8 @UStrEqual 00fa @FinalizeRecord 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 55 DC 89 45 E0 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 DB 00 8B 45 08 8B 40 FC 83 78 60 00 0F 84 A4 00 00 00 8B 45 E0 8B 40 1C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C 8E 00 00 00 47 C7 45 D4 00 00 00 00 8D 45 E4 8B 55 D4 8B CA 03 D2 03 D2 03 D2 2B D1 8B 4D E0 8B 49 1C 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 60 8B 80 BC 02 00 00 8B 58 08 4B 85 DB 7C 41 43 33 F6 8B 45 08 8B 40 FC 8B 40 60 8B 80 BC 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 50 2C 8B 45 F0 E8 ?? ?? ?? ?? 75 17 8B 45 DC 8D 55 E4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 DB 01 EB 04 46 4B 75 C2 FF 45 D4 4F 0F 85 7A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89388_0 {
	meta:
		name = "TCustomKeyboardButton.Paint"
		size = 823
		refs = "0017 TKeyModifier 001c @InitializeRecord 0027 TCustomKeyboardButton.Paint 0039 _Dn_TCanvas 003e @AsClass 005c TCustomKeyboardButton.GetClientRect 007a CreateRoundRectRgn 00a1 TCanvas.GetHandle 00a7 SelectClipRgn 00b0 @TryFinallyExit 00d4 BkEndColors 00db BkStartColors 00e3 GradientFillCanvas 00f0 TBrush.SetStyle 00fe OuterEdgeColors 0109 TPen.SetColor 0120 TCustomCanvas.RoundRect 012e InnerEdgeColors 0153 InflateRect 0172 TextColors 0196 TFont.SetColor 01a5 GetModifier 01b9 TFont.SetSize 022a TCustomTouchKeyboard.GetOverrideCaption 023c @UStrLAsg 0281 PaintTab 028d PaintShift 0299 PaintEnter 02a5 PaintBackspace 02b3 PaintArrow 02bf PaintTallEnter 02e2 @HandleFinally 02fa DeleteObject 031d @FinalizeRecord 0325 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 33 C9 89 4D F8 8B DA 89 45 FC 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 75 C4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 12 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 EB 0F 8B 45 FC 8B 40 60 8B 80 78 02 00 00 89 45 D4 8B D6 8B 45 FC E8 ?? ?? ?? ?? FF 46 08 FF 46 0C 6A 05 6A 05 8B 46 0C 50 8B 46 08 50 8B 46 04 50 8B 06 50 E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 00 0F 84 7B 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 D8 50 8B 45 D4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 0A E8 ?? ?? ?? ?? E9 4D 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 56 6A 01 8B 45 FC 0F B6 40 08 8B 0C 85 ?? ?? ?? ?? 8B 14 85 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 08 8B 14 85 ?? ?? ?? ?? 8B 45 D4 8B 40 44 E8 ?? ?? ?? ?? FF 4E 08 FF 4E 0C 6A 05 8B D6 B9 05 00 00 00 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 08 8B 14 85 ?? ?? ?? ?? 8B 45 D4 8B 40 44 E8 ?? ?? ?? ?? 8B 45 D4 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B C6 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 6A 04 8B D6 B9 04 00 00 00 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 08 8B 14 85 ?? ?? ?? ?? 8B 45 D4 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 08 8B 14 85 ?? ?? ?? ?? 8B 45 D4 8B 40 40 E8 ?? ?? ?? ?? 55 8D 55 DC 8B 45 FC 83 C0 0C E8 ?? ?? ?? ?? 59 84 C0 74 11 0F B7 55 F0 8B 45 D4 8B 40 40 E8 ?? ?? ?? ?? EB 12 8B 45 FC 0F B7 50 1C 8B 45 D4 8B 40 40 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 44 0F BE D0 83 C2 02 83 FA 0A 0F 87 DC 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 4D F8 8B 45 FC 8D 50 0C 8B 45 FC 8B 40 60 E8 ?? ?? ?? ?? 84 C0 75 0E 8D 45 F8 8B 55 FC 8B 52 04 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4E 04 83 C1 04 8B 16 83 C2 04 8B 45 D4 8B 18 FF 93 90 00 00 00 EB 67 8B 45 FC 8B 40 04 50 8B 4E 04 83 C1 04 8B 16 83 C2 04 8B 45 D4 8B 18 FF 93 90 00 00 00 EB 48 8B D6 8B 45 D4 E8 ?? ?? ?? ?? EB 3C 8B D6 8B 45 D4 E8 ?? ?? ?? ?? EB 30 8B D6 8B 45 D4 E8 ?? ?? ?? ?? EB 24 8B D6 8B 45 D4 E8 ?? ?? ?? ?? EB 18 8B C8 8B D6 8B 45 D4 E8 ?? ?? ?? ?? EB 0A 8B D6 8B 45 D4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 8B 45 D4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89389_0 {
	meta:
		name = "TCustomKeyboardButton.SetBoundsRect"
		size = 24
	strings:
		$1 = { 8B 4A 04 89 48 54 8B 0A 89 48 50 8B 4A 08 89 48 5C 8B 52 0C 89 50 58 C3 }
	condition:
		$1
}

rule function_89390_0 {
	meta:
		name = "TCustomKeyboardButton.SetCaption"
		size = 31
		refs = "000c @UStrEqual 0018 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 04 E8 ?? ?? ?? ?? 74 0A 8D 43 04 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89391_0 {
	meta:
		name = "TCustomKeyboardButton.SetState"
		size = 48
		refs = "0020 TCustomTouchKeyboard.AddChangeState"
	strings:
		$1 = { 53 8B DA 80 EB 01 72 07 80 EB 02 72 1E EB 1F 84 C9 74 13 83 78 60 00 74 0D 8B CA 8B 50 60 92 E8 ?? ?? ?? ?? EB 08 88 50 08 5B C3 88 50 08 5B C3 }
	condition:
		$1
}

rule function_89392_0 {
	meta:
		name = "TCustomTouchKeyboard.AddChangeState"
		size = 55
		refs = "0013 TCustomTouchKeyboard.TChangeState.ChangeState 0020 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Add 002d TTimer.SetEnabled"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D9 8B F2 8B F8 8B D3 8B CC 8B C6 E8 ?? ?? ?? ?? 8B D4 8B 87 B0 02 00 00 E8 ?? ?? ?? ?? B2 01 8B 87 94 02 00 00 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89393_0 {
	meta:
		name = "TCustomTouchKeyboard.ButtonsCount"
		size = 10
	strings:
		$1 = { 8B 80 B8 02 00 00 8B 40 08 C3 }
	condition:
		$1
}

rule function_89394_0 {
	meta:
		name = "TCustomTouchKeyboard.ClearState"
		size = 247
		refs = "0019 TCustomTouchKeyboard.ClearState 002a VKey 003b TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Clear 006a TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem 007b TCustomKeyboardButton.SetState 0095 TCustomTouchKeyboard.GetLanguageKey 00a0 TVirtualKey.&op_Implicit 00aa PlayKey 00d1 TVirtualKey 00d6 @FinalizeRecord 00df TKey 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CA FF 83 C8 FF E8 ?? ?? ?? ?? 89 86 B4 02 00 00 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? 8B 86 C4 02 00 00 E8 ?? ?? ?? ?? 8B 86 C0 02 00 00 8B 78 08 4F 85 FF 7C 5C 47 C7 45 FC 00 00 00 00 8B 55 FC 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? 8B D8 C6 43 3D 00 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 80 7B 3C 00 74 29 8D 45 BC 50 8D 53 0C 8B 8E 90 02 00 00 8B C6 E8 ?? ?? ?? ?? 8D 45 BC 8D 55 EC E8 ?? ?? ?? ?? 8D 45 EC B2 01 E8 ?? ?? ?? ?? FF 45 FC 4F 75 AC 8B 86 C0 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89395_0 {
	meta:
		name = "TCustomTouchKeyboard.Create"
		size = 564
		refs = "0015 @ClassCreate 0022 TCustomTouchKeyboard.Create 0031 TCustomControl.Create 0055 @UStrAsg 005c _DV_TButtonList 0061 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Create 00a8 VKey 00bc TWinControl.SetBevelCut 00cc _Dn_TTimer 00d1 TTimer.Create 00e2 TTimer.SetEnabled 00e8 TCustomTouchKeyboard.OnRepeat 00f3 TTimer.SetOnTimer 00fd TCustomTouchKeyboard.GetCurrentInputLanguage 0114 TWinControl.SetDoubleBuffered 0132 TCustomTouchManager.SetTabletOptions 0137 _DV_TKeyboardButton 0144 _DV_TKeyCaptions 0149 TObject.Create 0156 _DV_TCustomTouchKeyboard.TChangeStates 015b TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Create 0186 TCustomTouchKeyboard.OnChange 01a1 TTimer.SetInterval 01de @UStrClr 01e4 @HandleFinally 01f3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? C7 83 9C 02 00 00 2C 01 00 00 C7 83 A0 02 00 00 32 00 00 00 8D 83 80 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 BC 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 C0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 C4 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B8 02 00 00 83 CA FF 83 C8 FF E8 ?? ?? ?? ?? 89 83 B4 02 00 00 33 C9 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 8C 02 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 98 02 00 00 8B C6 33 D2 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 83 90 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 E8 00 00 00 8B 83 B4 00 00 00 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 83 AC 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 88 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B0 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 94 02 00 00 8B C6 33 D2 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 94 02 00 00 E8 ?? ?? ?? ?? 8B 83 94 02 00 00 BA 64 00 00 00 E8 ?? ?? ?? ?? C7 83 A4 02 00 00 C0 C0 C0 00 C7 83 A8 02 00 00 80 80 80 00 A1 ?? ?? ?? ?? F7 D0 23 43 58 89 43 58 C6 83 C8 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 74 00 61 00 6E 00 64 00 61 00 72 00 64 00 00 00 00 00 00 00 00 00 00 00 20 00 }
	condition:
		$1
}

rule function_89396_0 {
	meta:
		name = "TCustomTouchKeyboard.DefineProperties"
		size = 120
		refs = "000b TWinControl.DefineProperties 0011 TCustomTouchKeyboard.ReadCustomCaptionOverrides 0017 TCustomTouchKeyboard.WriteCustomCaptionOverrides 0022 TKeyCaptions.GetCount 002c TCustomTouchKeyboard.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 88 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 9F C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 08 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 43 00 75 00 73 00 74 00 6F 00 6D 00 43 00 61 00 70 00 74 00 69 00 6F 00 6E 00 4F 00 76 00 65 00 72 00 72 00 69 00 64 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_89397_0 {
	meta:
		name = "TCustomTouchKeyboard.CreateKeyboard"
		size = 739
		refs = "001a TCustomTouchKeyboard.CreateKeyboard 0049 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem 004e TObject.Free 005f TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Clear 006a VKey 0086 @UStrAsg 0093 _DV_TKeyboardLayouts 0098 TKeyboardLayouts.Find 00b0 TCustomTouchKeyboard.GetPrimaryLanguage 0125 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.GetItem 012e TVirtualKeys.Count 0152 TVirtualKeys.GetItem 0165 TCustomKeyboardButton.Create 0191 Rect 019e TCustomKeyboardButton.SetBoundsRect 01ab TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Add 01d5 @FillChar 01e1 GetKeyboardState 01fd TCustomKeyboardButton.SetState 0251 TSizeConstraints.SetConstraints 0292 @CallDynaInst 02a3 TCustomTouchKeyboard.UpdateCaptions 02bc TVirtualKey 02c1 @FinalizeRecord 02cc @UStrClr 02d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 2D 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 C6 45 E7 00 8B 87 B8 02 00 00 8B 40 08 48 85 C0 7C 1E 40 89 45 E0 33 DB 8B D3 8B 87 B8 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 FF 4D E0 75 E8 8B 87 B8 02 00 00 E8 ?? ?? ?? ?? 83 CA FF 83 C8 FF E8 ?? ?? ?? ?? 89 87 B4 02 00 00 33 C0 89 45 EC 85 F6 74 0D 8D 87 90 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B CE 8B 97 80 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 75 28 8D 8D D8 FE FF FF 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 8D D8 FE FF FF 8B 97 80 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 75 13 8B 97 80 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 0F 84 B7 01 00 00 8B 45 E8 89 87 84 02 00 00 8B 45 E8 8B 40 2C 8B 40 08 48 85 C0 0F 8C 37 01 00 00 40 89 45 E0 C7 45 F8 00 00 00 00 33 C0 89 45 F0 8B 45 E8 8B 40 2C 8B 55 F8 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 48 85 C0 0F 8C F2 00 00 00 40 89 45 DC C7 45 F4 00 00 00 00 8D 8D A8 FE FF FF 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8D 8D A8 FE FF FF B2 01 8B 87 AC 02 00 00 E8 ?? ?? ?? ?? 8B D8 89 7B 60 8B 46 08 89 43 4C 8B 46 0C 89 43 48 0F B7 43 20 50 8D 85 98 FE FF FF 50 0F B7 4B 1E 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8D 95 98 FE FF FF 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 87 B8 02 00 00 E8 ?? ?? ?? ?? 83 7B 2C 00 74 66 C6 43 3C 01 66 83 7B 0C 14 74 07 66 83 7B 0E 3A 75 54 8D 85 DC FE FF FF 33 C9 BA 00 01 00 00 E8 ?? ?? ?? ?? 8D 85 DC FE FF FF 50 E8 ?? ?? ?? ?? 80 BD F0 FE FF FF 01 75 2D C6 45 E7 01 C6 43 3D 01 33 C9 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D3 8B 87 C0 02 00 00 E8 ?? ?? ?? ?? 8B D3 8B 87 BC 02 00 00 E8 ?? ?? ?? ?? 8B 43 5C 01 45 F0 FF 45 F4 FF 4D DC 0F 85 19 FF FF FF 8B 45 E8 8B 40 28 01 45 EC FF 45 F8 FF 4D E0 0F 85 D4 FE FF FF 8B 45 E8 8B 48 18 BA 03 00 00 00 8B 47 78 E8 ?? ?? ?? ?? 8B 45 E8 8B 48 10 BA 02 00 00 00 8B 47 78 E8 ?? ?? ?? ?? 8B 45 E8 8B 48 20 BA 01 00 00 00 8B 47 78 E8 ?? ?? ?? ?? 8B 45 E8 8B 48 24 33 D2 8B 47 78 E8 ?? ?? ?? ?? 8B C7 66 BE D0 FF E8 ?? ?? ?? ?? C6 45 FF 01 80 7D E7 00 74 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 A8 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 D8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89398_0 {
	meta:
		name = "TCustomTouchKeyboard.CreateWnd"
		size = 45
		refs = "0006 TWinControl.CreateWnd 0013 TCustomTouchKeyboard.Initialize 0020 TCustomTouchKeyboard.CreateKeyboard 0027 TCustomTouchKeyboard.Redraw"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 01 75 1B 8B C3 E8 ?? ?? ?? ?? 8B 93 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89399_0 {
	meta:
		name = "TCustomTouchKeyboard.Destroy"
		size = 388
		refs = "0006 @BeforeDestruction 002d TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem 0054 VKey 005b SendKey 0091 TCustomTouchKeyboard.Destroy 0096 @UStrEqual 00d3 TObject.Free 0155 TCustomControl.Destroy 0162 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 51 E8 ?? ?? ?? ?? 88 14 24 8B E8 8B 85 BC 02 00 00 8B 70 08 4E 85 F6 0F 8C AB 00 00 00 46 33 FF 8B 85 BC 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 0F B7 43 0E 66 83 E8 1D 74 0E 66 83 E8 0D 74 1E 66 83 E8 0E 74 2E EB 42 BA 1D 00 00 00 83 C8 FF E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? EB 63 BA 2A 00 00 00 83 C8 FF E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? EB 4D BA 38 00 00 00 83 C8 FF E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? EB 37 8B 43 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 28 BA 38 00 00 00 83 C8 FF E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? BA 1D 00 00 00 83 C8 FF E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 47 4E 0F 85 58 FF FF FF 8B 85 BC 02 00 00 E8 ?? ?? ?? ?? 8B 85 C0 02 00 00 E8 ?? ?? ?? ?? 8B 85 C4 02 00 00 E8 ?? ?? ?? ?? 8B 85 B8 02 00 00 8B 70 08 4E 85 F6 7C 19 46 33 FF 8B 85 B8 02 00 00 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 EA 8B 85 B8 02 00 00 E8 ?? ?? ?? ?? 8B 85 98 02 00 00 E8 ?? ?? ?? ?? 8B 85 88 02 00 00 E8 ?? ?? ?? ?? 8B 85 B0 02 00 00 E8 ?? ?? ?? ?? 8B 85 94 02 00 00 E8 ?? ?? ?? ?? 0F B6 14 24 80 E2 FC 8B C5 E8 ?? ?? ?? ?? 80 3C 24 00 7E 07 8B C5 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 6C 00 74 00 47 00 72 00 00 00 }
	condition:
		$1
}

rule function_89400_0 {
	meta:
		name = "TCustomTouchKeyboard.SetDrawingStyle"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 C8 02 00 00 74 10 88 96 C8 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_89401_0 {
	meta:
		name = "TCustomTouchKeyboard.SetEnabled"
		size = 75
		refs = "000d TControl.SetEnabled 0035 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem 003e TCustomKeyboardButton.SetState"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? 84 DB 74 04 33 DB EB 02 B3 02 8B 87 B8 02 00 00 8B 68 08 4D 85 ED 7C 1D 45 33 F6 8B 87 B8 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D3 B1 01 E8 ?? ?? ?? ?? 46 4D 75 E6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89402_0 {
	meta:
		name = "TCustomTouchKeyboard.SetGradientEnd"
		size = 21
	strings:
		$1 = { 56 8B F0 89 96 A4 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_89403_0 {
	meta:
		name = "TCustomTouchKeyboard.SetGradientStart"
		size = 21
	strings:
		$1 = { 56 8B F0 89 96 A8 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_89404_0 {
	meta:
		name = "TCustomTouchKeyboard.SetLayout"
		size = 63
		refs = "000f @UStrEqual 001e @UStrAsg 0031 TCustomTouchKeyboard.CreateKeyboard 0038 TCustomTouchKeyboard.Redraw"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 80 02 00 00 8B D6 E8 ?? ?? ?? ?? 74 27 8D 83 80 02 00 00 8B D6 E8 ?? ?? ?? ?? F6 43 1C 01 75 14 8B 93 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89406_0 {
	meta:
		name = "TCustomTouchKeyboard.GetCurrentInputLanguage"
		size = 296
		refs = "0018 TCustomTouchKeyboard.GetCurrentInputLanguage 0027 GetKeyboardLayout 0036 GetLocaleInfo 0042 @UStrSetLength 004b @UniqueStringU 00c6 Format 00d2 SKeyboardLocaleInfo 00d9 _Dn_Exception 00de Exception.CreateRes 00e3 @RaiseExcept 00fd @UStrArrayClr 0103 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D FC 89 4D F8 89 55 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 6A 00 E8 ?? ?? ?? ?? 0F B7 F0 6A 00 6A 00 6A 59 56 E8 ?? ?? ?? ?? 8B F8 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 57 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 59 56 E8 ?? ?? ?? ?? 85 C0 74 70 8B D7 4A 8D 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 5A 56 E8 ?? ?? ?? ?? 8B F8 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 57 8D 45 FC E8 ?? ?? ?? ?? 50 6A 5A 56 E8 ?? ?? ?? ?? 85 C0 74 37 8B D7 4A 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 F8 89 45 E4 C6 45 E8 11 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 01 84 DB 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2D 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_89407_0 {
	meta:
		name = "GetLanguageModifier"
		size = 326
		refs = "001a TKeyLanguage 001f @InitializeRecord 0027 GetLanguageModifier 0039 @DynArrayLength 005e @CopyRecord 0069 @UStrEqual 0083 @UStrAsg 00bf TKeyDataArray 00c4 @DynArrayAsg 012d @FinalizeRecord 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D E0 89 55 E4 89 45 E8 8B 75 08 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 DF 00 8B 45 E4 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 0F 8C CE 00 00 00 43 33 FF 8D 45 EC 8D 14 BF 8B 4D E4 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 55 E0 E8 ?? ?? ?? ?? 0F 85 9B 00 00 00 83 7D F0 00 75 10 8D 46 04 8B 55 E8 8B 52 04 E8 ?? ?? ?? ?? EB 0B 8D 46 04 8B 55 F0 E8 ?? ?? ?? ?? 0F B6 45 F4 3C FF 74 0C 8B 45 E8 0F B6 40 08 88 46 08 EB 03 88 46 08 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 1E 8D 46 0C 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 46 02 FF FF 66 C7 06 FF FF EB 33 0F B7 45 EC 66 83 F8 FF 74 05 66 89 06 EB 09 8B 45 E8 0F B7 00 66 89 06 0F B7 45 EE 66 83 F8 FF 74 06 66 89 46 02 EB 0B 8B 45 E8 0F B7 40 02 66 89 46 02 C6 45 DF 01 EB 08 47 4B 0F 85 35 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 DF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89408_0 {
	meta:
		name = "GetModifier"
		size = 389
		refs = "0037 TKeyModifier 003c @AddRefRecord 0044 GetModifier 006a TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem 0075 @UStrEqual 00b1 TCustomTouchKeyboard.GetPrimaryLanguage 00d6 GetLanguageModifier 0118 TKeyModifier.&op_Implicit 0123 TKey 0128 @CopyRecord 0151 @FinalizeRecord 015e @UStrArrayClr 0172 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 89 5D C4 89 5D C8 89 5D CC 89 5D D0 89 5D D4 8B F1 8D 7D E4 B9 07 00 00 00 F3 A5 89 55 DC 89 45 E0 8B 7D 08 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 DB 00 8B 45 DC 8B 58 08 4B 85 DB 0F 8C D9 00 00 00 43 33 F6 8B D6 8B 45 DC E8 ?? ?? ?? ?? 8B 50 2C 8B 45 F0 E8 ?? ?? ?? ?? 0F 85 B3 00 00 00 83 7D FC 00 74 3D 8B 45 FC 8B 55 10 8B 52 FC 8B 92 90 02 00 00 E8 ?? ?? ?? ?? 74 27 8D 4D D4 8B 45 10 8B 40 FC 8B 90 90 02 00 00 8B 45 10 8B 40 FC E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC E8 ?? ?? ?? ?? 75 70 57 8B 45 10 8B 40 FC 8B 88 90 02 00 00 8B 45 E0 8B 55 F4 E8 ?? ?? ?? ?? 84 C0 75 2D 57 8D 4D D0 8B 45 10 8B 40 FC 8B 90 90 02 00 00 8B 45 10 8B 40 FC E8 ?? ?? ?? ?? 8B 4D D0 8B 45 E0 8B 55 F4 E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 DB 01 EB 29 8D 55 C0 8D 45 E4 E8 ?? ?? ?? ?? 8D 55 C0 8B C7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 DB 01 EB 08 46 4B 0F 85 2A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CF 0F B6 45 DB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_89409_0 {
	meta:
		name = "TCustomTouchKeyboard.GetModifiedKey"
		size = 396
		refs = "001b TKeyModifier 0020 @InitializeRecord 0029 TVirtualKey 0036 TCustomTouchKeyboard.GetModifiedKey 004d TCustomTouchKeyboard.GetLanguageKey 0066 @DynArrayLength 008e @CopyRecord 00a8 GetModifier 00b2 @TryFinallyExit 00cf GetLanguageModifier 00eb TCustomTouchKeyboard.GetPrimaryLanguage 010f TVirtualKey.&op_Implicit 0133 TCustomTouchKeyboard.GetOverrideCaption 0144 @HandleFinally 015b @UStrClr 0169 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 33 DB 89 5D A8 8B F9 89 55 AC 89 45 FC 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 B0 50 8B 55 AC 8B CF 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 AC 8B 40 1C E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 4E 43 33 F6 8D 45 E0 8B D6 03 D2 03 D2 03 D2 2B D6 8B 4D CC 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 57 8B 45 08 50 8B 45 FC 8B 90 BC 02 00 00 8D 45 B0 8D 4D E0 E8 ?? ?? ?? ?? 59 84 C0 74 0A E8 ?? ?? ?? ?? E9 8F 00 00 00 46 4B 75 B5 8B 45 08 50 8B 55 AC 8B 52 24 8D 45 B0 8B CF E8 ?? ?? ?? ?? 84 C0 74 07 E8 ?? ?? ?? ?? EB 6C 8B 45 08 50 8D 4D A8 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 4D A8 8D 45 B0 8B 55 D4 E8 ?? ?? ?? ?? 84 C0 74 07 E8 ?? ?? ?? ?? EB 42 8B 55 08 8D 45 B0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D DC 00 74 1C 8B 4D 08 83 C1 04 8D 55 B0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 07 8B 45 08 C6 40 08 FE C3 E9 ?? ?? ?? ?? EB D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89410_0 {
	meta:
		name = "InternalGetLanguageKey"
		size = 254
		refs = "0013 TKeyLanguage 0018 @InitializeRecord 0020 InternalGetLanguageKey 0032 @DynArrayLength 0057 @CopyRecord 0062 @UStrEqual 0075 @UStrAsg 0091 TKeyDataArray 0096 @DynArrayAsg 00e7 @FinalizeRecord 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 55 E8 8B D8 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E7 00 8B 43 24 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 8F 00 00 00 46 33 FF 8D 45 EC 8D 14 BF 8B 4B 24 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 55 E8 E8 ?? ?? ?? ?? 75 60 83 7D F0 00 74 0F 8D 43 04 8B 55 F0 E8 ?? ?? ?? ?? C6 45 F4 FF 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 1E 8D 43 0C 8B 55 F8 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 C7 03 FF FF 66 C7 43 02 FF FF EB 1B 0F B7 45 EC 66 83 F8 FF 74 03 66 89 03 0F B7 45 EE 66 83 F8 FF 74 04 66 89 43 02 C6 45 E7 01 EB 08 47 4E 0F 85 74 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 E7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89411_0 {
	meta:
		name = "TCustomTouchKeyboard.GetLanguageKey"
		size = 127
		refs = "001c TCustomTouchKeyboard.GetLanguageKey 002d TVirtualKey 0032 @CopyRecord 003b InternalGetLanguageKey 004b TCustomTouchKeyboard.GetPrimaryLanguage 006a @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B D7 E8 ?? ?? ?? ?? 84 C0 75 16 8D 4D F8 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_89412_0 {
	meta:
		name = "TCustomTouchKeyboard.GetPrimaryLanguage"
		size = 118
		refs = "0010 TCustomTouchKeyboard.GetPrimaryLanguage 001d @UStrClr 0024 @UStrToPWChar 003a @UStrFromWChar 0044 @UStrCat 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 1F 8B C6 66 83 E8 2D 74 1F 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 83 C3 02 0F B7 33 66 85 F6 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89413_0 {
	meta:
		name = "TCustomTouchKeyboard.GetPropertyNames"
		size = 115
		refs = "002a TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem 0039 @DynArrayLength 0048 TStringDynArray 004d @DynArraySetLength 0065 @UStrAsg"
	strings:
		$1 = { 53 56 57 55 51 8B FA 89 04 24 8B 04 24 8B 80 B8 02 00 00 8B 70 08 4E 85 F6 7C 52 46 33 ED 8B 04 24 8B 80 B8 02 00 00 8B D5 E8 ?? ?? ?? ?? 8B D8 83 7B 38 00 74 33 8B 07 E8 ?? ?? ?? ?? 40 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 07 E8 ?? ?? ?? ?? 8B 17 8D 44 82 FC 8B 53 38 E8 ?? ?? ?? ?? 45 4E 75 B1 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89414_0 {
	meta:
		name = "TCustomTouchKeyboard.GetShiftState"
		size = 460
		refs = "0018 TKeyModifier 001d @InitializeRecord 0025 TCustomTouchKeyboard.GetShiftState 0068 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem 00f1 @DynArrayLength 0124 @CopyRecord 012f @UStrEqual 0157 TCustomTouchKeyboard.GetPrimaryLanguage 01a2 @UStrClr 01b0 @FinalizeRecord 01b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 C9 89 4D C8 89 55 E0 8B D8 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 88 45 DF C6 45 D3 00 C6 45 D2 00 8B 83 BC 02 00 00 8B 40 08 48 85 C0 0F 8C 31 01 00 00 40 89 45 CC C7 45 D8 00 00 00 00 8B 55 D8 8B 83 BC 02 00 00 E8 ?? ?? ?? ?? 8B F0 0F BF 46 0E 83 F8 38 7F 13 74 2F 83 E8 1D 74 24 83 E8 0D 74 15 83 E8 0C 74 10 EB 22 2D 1D 01 00 00 74 11 83 E8 1B 74 12 EB 14 C6 45 D2 01 80 4D DF 01 EB 0A 80 4D DF 02 EB 04 80 4D DF 04 8B 45 E0 0F B7 00 66 83 E8 10 74 0C 66 FF C8 74 11 66 FF C8 74 12 EB 14 C6 45 D2 01 80 4D DF 01 EB 0A 80 4D DF 02 EB 04 80 4D DF 04 66 83 7E 0C 14 74 0B 66 83 7E 0E 3A 0F 85 8E 00 00 00 8B 45 E0 8B 40 1C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 7C 47 C7 45 D4 00 00 00 00 8D 45 E4 8B 55 D4 8B CA 03 D2 03 D2 03 D2 2B D1 8B 4D E0 8B 49 1C 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 2C 8B 55 F0 E8 ?? ?? ?? ?? 75 3D 83 7D FC 00 74 2D 8B 45 FC 8B 93 90 02 00 00 E8 ?? ?? ?? ?? 74 1D 8D 4D C8 8B 93 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 FC E8 ?? ?? ?? ?? 75 0A C6 45 D3 01 80 4D DF 01 EB 06 FF 45 D4 4F 75 8C FF 45 D8 FF 4D CC 0F 85 DA FE FF FF 0F B6 45 D2 22 45 D3 74 04 80 65 DF FE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 0F B6 45 DF 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_89415_0 {
	meta:
		name = "TCustomTouchKeyboard.Initialize"
		size = 59
		refs = "0017 CheckWin32Version 0024 TWinControl.GetHandle 002a RegisterTouchWindow"
	strings:
		$1 = { 53 8B D8 80 BB 8C 02 00 00 00 75 2D BA 01 00 00 00 B8 06 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 1A 6A 00 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 07 C6 83 8C 02 00 00 01 5B C3 }
	condition:
		$1
}

rule function_89416_0 {
	meta:
		name = "ReadColor"
		size = 31
		altNames = "ReadInteger"
	strings:
		$1 = { 55 8B EC 51 53 8D 55 FC 8B 45 08 8B 40 FC B9 04 00 00 00 8B 18 FF 53 0C 8B 45 FC 5B 59 5D C3 }
	condition:
		$1
}

rule function_89417_0 {
	meta:
		name = "ReadString"
		size = 183
		refs = "0013 ReadString 0045 TArray<System.Byte> 004a @DynArraySetLength 0055 @DynArrayLength 0060 @FillChar 0077 TEncoding.GetUnicode 0081 TEncoding.GetString 008a @UStrClr 00a5 @DynArrayClear 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FB 8B 45 08 8B 40 FC B9 01 00 00 00 8B 30 FF 56 0C 80 7D FB 00 76 51 0F B6 45 FB 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 33 C9 92 E8 ?? ?? ?? ?? 0F B6 4D FB 8B 55 FC 8B 45 08 8B 40 FC 8B 30 FF 56 0C E8 ?? ?? ?? ?? 8B CB 8B 55 FC E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89418_0 {
	meta:
		name = "TCustomTouchKeyboard.ReadCustomCaptionOverrides"
		size = 198
		refs = "0018 TCustomTouchKeyboard.ReadCustomCaptionOverrides 0024 ReadInteger 0046 ReadString 0052 @UStrLAsg 0096 TKeyCaptions.Add 00b3 @UStrArrayClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 8B D8 4B 85 DB 7C 66 43 55 E8 ?? ?? ?? ?? 59 8B F0 55 8D 45 EC E8 ?? ?? ?? ?? 59 8B 55 EC 8D 45 F8 E8 ?? ?? ?? ?? 55 8D 45 E8 E8 ?? ?? ?? ?? 59 8B 55 E8 8D 45 F4 E8 ?? ?? ?? ?? 83 FE 03 75 15 55 8D 45 E4 E8 ?? ?? ?? ?? 59 8B 55 E4 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 87 88 02 00 00 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 4B 75 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89419_0 {
	meta:
		name = "TCustomTouchKeyboard.Redraw"
		size = 22
		refs = "0006 TCustomTouchKeyboard.UpdateCaptions"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_89420_0 {
	meta:
		name = "TCustomTouchKeyboard.Resize"
		size = 844
		refs = "0017 TCustomTouchKeyboard.Resize 0060 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem 0073 @DynArrayLength 0083 :TCustomTouchKeyboard.:1 0088 @DynArraySetLength 00b3 :TCustomTouchKeyboard.:2 0310 TControl.Resize 032b @DynArrayClear 033f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 D2 89 55 FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BF 84 02 00 00 00 0F 84 E6 02 00 00 C7 45 F0 FF FF FF FF C7 45 EC FF FF FF FF 8B 87 B8 02 00 00 8B 70 08 4E 85 F6 0F 8C B2 00 00 00 46 C7 45 F4 00 00 00 00 8B 87 B8 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 83 7B 50 00 75 53 FF 45 F0 8B 45 FC E8 ?? ?? ?? ?? 40 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 55 F0 8B 4F 50 41 89 0C 90 FF 45 EC 8B 45 F8 E8 ?? ?? ?? ?? 40 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 F6 43 22 01 74 0F 8B 45 F8 8B 55 EC 0F B7 4B 1E 01 0C 90 EB 22 0F B7 43 1E F7 6F 50 8B 97 84 02 00 00 8B 4A 14 99 F7 F9 89 43 5C 8B 45 FC 8B 55 F0 8B 4B 5C 29 0C 90 FF 45 F4 4E 0F 85 56 FF FF FF C7 45 EC FF FF FF FF C7 45 F0 FF FF FF FF 8B 87 B8 02 00 00 8B 70 08 4E 85 F6 7C 62 46 C7 45 F4 00 00 00 00 8B 87 B8 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 83 7B 50 00 75 06 FF 45 EC FF 45 F0 F6 43 22 01 74 20 8B 45 FC 8B 55 F0 8B 04 90 0F B7 53 1E F7 EA 8B 55 F8 8B 4D EC 8B 0C 8A 99 F7 F9 89 43 5C EB 12 8B 87 B8 02 00 00 8B 40 08 48 3B 45 F4 75 03 FF 4B 5C FF 45 F4 4E 75 A6 8B 87 B8 02 00 00 8B 70 08 4E 85 F6 7E 4C C7 45 F4 01 00 00 00 8B 87 B8 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 83 7B 50 00 74 29 8B 55 F4 4A 8B 87 B8 02 00 00 E8 ?? ?? ?? ?? 8B 40 50 50 8B 55 F4 4A 8B 87 B8 02 00 00 E8 ?? ?? ?? ?? 5A 03 50 5C 89 53 50 FF 45 F4 4E 75 BB 33 C0 89 45 E8 8B 87 B8 02 00 00 8B 70 08 4E 85 F6 7C 27 46 C7 45 F4 00 00 00 00 8B 87 B8 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 83 7B 50 00 75 03 FF 45 E8 FF 45 F4 4E 75 E1 83 7D E8 00 7E 0D 8B 47 54 48 99 F7 7D E8 89 45 E4 EB 05 33 C0 89 45 E4 33 C0 89 45 D8 33 C0 89 45 E0 8B 47 54 8B 55 E4 0F AF 55 E8 2B C2 89 45 DC 33 C0 89 45 D4 8B 87 B8 02 00 00 8B 70 08 4E 85 F6 0F 8C B3 00 00 00 46 C7 45 F4 00 00 00 00 8B 87 B8 02 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B D8 0F B7 43 20 8B 97 84 02 00 00 3B 42 28 74 03 89 5D D4 8B 43 54 3B 45 E0 74 5C 89 45 E0 83 7D DC 00 7E 0C 8B 45 D8 03 45 E4 40 89 45 D8 EB 06 8B 45 E4 01 45 D8 FF 4D DC 83 7D D4 00 74 38 8B 45 D4 0F B7 40 20 8B 97 84 02 00 00 3B 42 28 74 26 8B 45 D4 8B 40 58 03 45 E4 8B 55 D4 03 42 48 8B 55 D4 89 42 58 83 7D DC 00 7E 06 8B 45 D4 FF 40 58 33 C0 89 45 D4 8B 45 D8 89 43 54 83 7D DC 00 7E 09 8B 45 E4 40 89 43 58 EB 06 8B 45 E4 89 43 58 FF 45 F4 4E 0F 85 55 FF FF FF 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89421_0 {
	meta:
		name = "SetButtonState"
		size = 51
		refs = "0019 TCustomKeyboardButton.SetState"
	strings:
		$1 = { 55 8B EC 53 8B D8 3A 53 08 74 25 8B 45 08 80 78 08 00 74 13 33 C9 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 11 EB 09 B1 01 8B C3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_89422_0 {
	meta:
		name = "TCustomTouchKeyboard.ToggleKeys"
		size = 270
		refs = "0022 TVirtualKey 0027 @InitializeRecord 002f TCustomTouchKeyboard.ToggleKeys 0059 TCustomTouchKeyboard.GetLanguageKey 0061 @DynArrayLength 0071 SetButtonState 0098 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem 00b9 TVirtualKey.Equals 00eb @FinalizeRecord 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0D 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 88 4D CF 8B F2 8B D8 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D CF 01 75 06 C6 45 C7 00 EB 04 C6 45 C7 01 8D 45 D0 50 8D 56 0C 8B 8B 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 85 C0 7E 0F 55 0F B6 55 C7 8B C6 E8 ?? ?? ?? ?? 59 EB 5C 8B 83 B8 02 00 00 8B 78 08 4F 85 FF 7C 4E 47 C7 45 C8 00 00 00 00 8B 55 C8 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? 8B F0 8D 45 94 50 8D 56 0C 8B 8B 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 94 8D 45 D0 E8 ?? ?? ?? ?? 84 C0 74 0D 55 0F B6 55 C7 8B C6 E8 ?? ?? ?? ?? 59 FF 45 C8 4F 75 BA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89423_0 {
	meta:
		name = "TCustomTouchKeyboard.UpdateCaptions"
		size = 243
		refs = "0015 TKey 001a @InitializeRecord 0022 TCustomTouchKeyboard.UpdateCaptions 0050 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem 0066 TCustomTouchKeyboard.GetModifiedKey 0083 TCustomTouchKeyboard.GetShiftState 0090 TKey.ToString 009a TCustomKeyboardButton.SetCaption 00b7 TCustomKeyboardButton.SetState 00d2 @UStrClr 00e0 @FinalizeRecord 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 E8 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 B8 02 00 00 8B 78 08 4F 85 FF 0F 8C 83 00 00 00 47 C7 45 EC 00 00 00 00 8B 55 EC 8B 86 B8 02 00 00 E8 ?? ?? ?? ?? 8B D8 8D 45 F0 50 8D 53 0C 8B 8E 90 02 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 45 F8 3C FF 74 05 88 43 44 EB 33 83 7D F4 00 75 23 8D 53 0C 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D E8 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? EB 0A 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 80 7B 3C 00 75 0B 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? FF 45 EC 4F 75 85 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89425_0 {
	meta:
		name = "TCustomTouchKeyboard.WMInputLangChange"
		size = 162
		refs = "000d TCustomTouchKeyboard.WMInputLangChange 001f TCustomTouchKeyboard.GetCurrentInputLanguage 0033 @UStrAsg 0040 TCustomTouchKeyboard.CreateKeyboard 0055 TCustomTouchKeyboard.Redraw 006b SKeyboardLangChange 0072 _Dn_Exception 0077 Exception.CreateRes 007c @RaiseExcept 0091 @UStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 3C 8D 86 90 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 96 90 02 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1D 8B C6 8B 10 FF 92 9C 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 F8 00 00 00 B3 01 84 DB 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89426_0 {
	meta:
		name = "TCustomTouchKeyboard.WMTouch"
		size = 246
		refs = "0017 TCustomTouchKeyboard.WMTouch 0041 :TCustomTouchKeyboard.:3 0046 @DynArraySetLength 005c GetTouchInputInfo 0068 @DynArrayLength 0096 TouchInputToWmMouse 00a3 TCustomTouchKeyboard.ProcessKeyPress 00c0 CloseTouchInputHandle 00c6 @HandleFinally 00e3 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 0F B7 5B 04 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 6A 28 8B 45 FC 50 53 8B 45 F8 8B 40 08 50 E8 ?? ?? ?? ?? 85 C0 74 47 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 38 43 33 FF 8D 04 BF 8B 55 FC 56 57 8D 34 C2 8D 7D D0 B9 0A 00 00 00 F3 A5 5F 5E 8D 4D C0 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 8D 55 C0 8B 4D DC 8B C6 E8 ?? ?? ?? ?? 47 4B 75 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 08 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89427_0 {
	meta:
		name = "TCustomTouchKeyboard.WndProc"
		size = 102
		refs = "0007 MouseOriginToShiftState 001a CheckWin32Version 0034 TCustomTouchKeyboard.ProcessKeyPress 0049 TWinControl.GetHandle 004f UnregisterTouchWindow 005f TWinControl.WndProc"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? A8 80 74 13 BA 01 00 00 00 B8 06 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 16 81 3E 03 02 00 00 75 03 83 2E 02 8B D6 33 C9 8B C3 E8 ?? ?? ?? ?? 83 3E 02 75 1D 80 BB 8C 02 00 00 00 74 14 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 83 8C 02 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89428_0 {
	meta:
		name = "WriteInteger"
		size = 31
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8D 55 FC 8B 45 08 8B 40 FC B9 04 00 00 00 8B 18 FF 53 10 5B 59 5D C3 }
	condition:
		$1
}

rule function_89429_0 {
	meta:
		name = "WriteString"
		size = 137
		refs = "0012 WriteString 001d TEncoding.GetUnicode 0027 TEncoding.GetBytes 002f @DynArrayLength 0073 TArray<System.Byte> 0078 @DynArrayClear 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 8D 55 FB 8B 45 08 8B 40 FC B9 01 00 00 00 8B 18 FF 53 10 80 7D FB 00 76 12 0F B6 4D FB 8B 55 FC 8B 45 08 8B 40 FC 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89430_0 {
	meta:
		name = "TCustomTouchKeyboard.WriteCustomCaptionOverrides"
		size = 237
		refs = "0013 TKeyCaptions.TKeyCaption 0018 @InitializeRecord 0020 TCustomTouchKeyboard.WriteCustomCaptionOverrides 0031 WriteInteger 003e TKeyCaptions.GetCount 0069 TKeyCaptions.GetItems 0084 WriteString 00da @FinalizeRecord 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B F8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B8 01 00 00 00 55 E8 ?? ?? ?? ?? 59 55 8B 87 88 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 87 88 02 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 69 43 33 F6 8D 4D F0 8B 87 88 02 00 00 8B D6 E8 ?? ?? ?? ?? 83 7D F8 00 75 22 55 B8 02 00 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 F0 E8 ?? ?? ?? ?? 59 55 8B 45 F4 E8 ?? ?? ?? ?? 59 EB 2A 55 B8 02 00 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 F0 E8 ?? ?? ?? ?? 59 55 8B 45 F4 E8 ?? ?? ?? ?? 59 55 8B 45 F8 E8 ?? ?? ?? ?? 59 46 4B 75 9A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89431_0 {
	meta:
		name = "TCustomTouchKeyboard.KeyClick"
		size = 1175
		refs = "001c TKey 0021 @InitializeRecord 0029 TCustomTouchKeyboard.KeyClick 0043 TCustomTouchKeyboard.GetModifiedKey 004b TKey.IsDeadKey 0060 VKey 0077 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem 0092 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Add 009f TCustomTouchKeyboard.ToggleKeys 00b3 TCustomTouchKeyboard.GetLanguageKey 00be TVirtualKey.&op_Implicit 00c8 PlayKey 00d9 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Delete 00ee TCustomTouchKeyboard.Redraw 01dc SendKey 03a3 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Clear 03bc TVirtualKey 03c1 @FinalizeRecord 0487 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 32 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 8B F0 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8D 53 0C 8B 8E 90 02 00 00 8B C6 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 A0 00 00 00 0F BF 55 F2 0F BF 45 F0 E8 ?? ?? ?? ?? 89 86 B4 02 00 00 33 FF EB 72 8B D7 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? 8B D8 F6 43 22 02 75 5C 83 7B 40 FF 75 56 8B D3 8B 86 C4 02 00 00 E8 ?? ?? ?? ?? 6A 01 B1 01 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 AC 50 8D 53 0C 8B 8E 90 02 00 00 8B C6 E8 ?? ?? ?? ?? 8D 45 AC 8D 55 DC E8 ?? ?? ?? ?? 8D 45 DC B2 01 E8 ?? ?? ?? ?? C6 43 3D 00 8B D7 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? EB 01 47 8B 86 BC 02 00 00 3B 78 08 7C 83 8B C6 E8 ?? ?? ?? ?? E9 B0 02 00 00 66 83 BE B4 02 00 00 00 7D 0E 66 83 BE B6 02 00 00 00 0F 8C AE 01 00 00 8B 86 BC 02 00 00 8B 40 08 48 85 C0 7C 58 40 89 45 EC 33 FF 8B D7 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? 8B D8 66 83 7B 0C 14 74 36 66 83 7B 0E 3A 74 2F 8D 85 6C FF FF FF 50 8D 53 0C 8B 8E 90 02 00 00 8B C6 E8 ?? ?? ?? ?? 8D 85 6C FF FF FF 8D 55 9C E8 ?? ?? ?? ?? 8D 45 9C B2 01 E8 ?? ?? ?? ?? 47 FF 4D EC 75 AE 8B 86 C4 02 00 00 8B 40 08 48 85 C0 7C 50 40 89 45 EC 33 FF 8B D7 8B 86 C4 02 00 00 E8 ?? ?? ?? ?? 8B D8 8D 85 2C FF FF FF 50 8D 53 0C 8B 8E 90 02 00 00 8B C6 E8 ?? ?? ?? ?? 8D 85 2C FF FF FF 8D 95 5C FF FF FF E8 ?? ?? ?? ?? 8D 85 5C FF FF FF 33 D2 E8 ?? ?? ?? ?? 47 FF 4D EC 75 B6 33 D2 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 8B 86 C4 02 00 00 8B 40 08 48 85 C0 7C 50 40 89 45 EC 33 FF 8B D7 8B 86 C4 02 00 00 E8 ?? ?? ?? ?? 8B D8 8D 85 EC FE FF FF 50 8D 53 0C 8B 8E 90 02 00 00 8B C6 E8 ?? ?? ?? ?? 8D 85 EC FE FF FF 8D 95 1C FF FF FF E8 ?? ?? ?? ?? 8D 85 1C FF FF FF B2 01 E8 ?? ?? ?? ?? 47 FF 4D EC 75 B6 B2 01 8B 86 B4 02 00 00 E8 ?? ?? ?? ?? 8B 86 BC 02 00 00 8B 40 08 48 85 C0 7C 64 40 89 45 EC 33 FF 8B D7 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? 8B D8 83 7B 40 FF 75 43 66 83 7B 0C 14 74 3C 66 83 7B 0E 3A 74 35 8D 85 AC FE FF FF 50 8D 53 0C 8B 8E 90 02 00 00 8B C6 E8 ?? ?? ?? ?? 8D 85 AC FE FF FF 8D 95 DC FE FF FF E8 ?? ?? ?? ?? 8D 85 DC FE FF FF 33 D2 E8 ?? ?? ?? ?? 47 FF 4D EC 75 A2 8D 45 F0 33 D2 E8 ?? ?? ?? ?? 8D 45 F0 B2 01 E8 ?? ?? ?? ?? 8B 86 BC 02 00 00 83 78 08 00 0F 8E AA 00 00 00 33 FF E9 8D 00 00 00 8B D7 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? 8B D8 80 7B 3C 00 74 10 F6 43 22 02 75 0A 83 7B 40 FF 74 04 C6 43 3D 00 F6 43 22 02 75 61 83 7B 40 FF 74 06 83 7B 40 00 75 55 8D 85 6C FE FF FF 50 8D 53 0C 8B 8E 90 02 00 00 8B C6 E8 ?? ?? ?? ?? 8D 85 6C FE FF FF 8D 95 9C FE FF FF E8 ?? ?? ?? ?? 8D 85 9C FE FF FF B2 01 E8 ?? ?? ?? ?? 6A 01 B1 01 8B D3 8B C6 E8 ?? ?? ?? ?? C6 43 3D 00 8B D7 8B 86 BC 02 00 00 E8 ?? ?? ?? ?? EB 01 47 8B 86 BC 02 00 00 3B 78 08 0F 8C 64 FF FF FF 8B C6 E8 ?? ?? ?? ?? 83 CA FF 83 C8 FF E8 ?? ?? ?? ?? 89 86 B4 02 00 00 8B 86 C4 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 6C FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 9C FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 AC FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 DC FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 EC FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 1C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 2C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 5C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 6C FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 9C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 24 FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89433_0 {
	meta:
		name = "TCustomTouchKeyboard.GetOverrideCaption"
		size = 194
		refs = "0017 TCustomTouchKeyboard.GetOverrideCaption 0033 TKeyCaptions.HasCaption 004f TKeyCaptions.GetCaption 005a @UStrAsg 00ad @UStrArrayClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 56 2C 8B 8F 90 02 00 00 8B 87 88 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 27 8D 45 F8 50 8B 56 2C 8B 8F 90 02 00 00 8B 87 88 02 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? B3 01 EB 35 8B 56 2C 33 C9 8B 87 88 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 21 8D 45 F4 50 8B 56 2C 33 C9 8B 87 88 02 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89434_0 {
	meta:
		name = "TCustomTouchKeyboard.OnChange"
		size = 93
		refs = "0014 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.GetItem 0024 TCustomKeyboardButton.SetState 0039 TList<Vcl.Touch.Keyboard.TCustomTouchKeyboard.TChangeState>.Delete 0052 TTimer.SetEnabled"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D8 8B EC EB 30 8B CD 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 55 04 33 C9 8B 7D 00 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 8B 08 FF 11 33 D2 8B 83 B0 02 00 00 E8 ?? ?? ?? ?? 8B B3 B0 02 00 00 83 7E 08 00 7F C4 33 D2 8B 83 94 02 00 00 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89435_0 {
	meta:
		name = "TCustomTouchKeyboard.OnRepeat"
		size = 184
		refs = "0010 TKey 0015 @InitializeRecord 001d TCustomTouchKeyboard.OnRepeat 004d TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem 0069 TCustomTouchKeyboard.GetModifiedKey 0073 PlayKey 008a TTimer.SetInterval 00a5 @FinalizeRecord 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B D8 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 C0 02 00 00 8B 40 08 85 C0 7E 5A 8B F8 4F 85 FF 7C 42 47 C7 45 EC 00 00 00 00 8B 55 EC 8B 83 C0 02 00 00 E8 ?? ?? ?? ?? 8B F0 80 7E 3C 00 75 1E 8D 45 F0 50 8D 56 0C 8B 8B 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 33 D2 E8 ?? ?? ?? ?? FF 45 EC 4F 75 C6 8B 93 A0 02 00 00 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89436_0 {
	meta:
		name = "TCustomTouchKeyboard.Paint"
		size = 413
		refs = "0012 TCanvas.GetHandle 0018 CreateCompatibleDC 0023 TCustomTouchKeyboard.Paint 0030 _Dn_TBitmap 0035 TBitmap.Create 006e SelectObject 0075 _Dn_TCanvas 007a TCanvas.Create 0096 TCanvas.SetHandle 00c3 GradientFillCanvas 00d3 TBrush.SetColor 0106 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem 013a TCanvas.CopyRect 014f TObject.Free 0155 @HandleFinally 018a DeleteDC"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B D8 8B 83 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 50 8B 45 F4 8B 08 FF 51 44 8B 53 54 8B 45 F4 8B 08 FF 51 38 8B 45 F4 8B 10 FF 52 70 50 8B 45 FC 50 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 80 BB C8 02 00 00 01 75 26 8D 55 E4 8B C3 8B 08 FF 51 60 8D 45 E4 50 6A 01 8B 8B A4 02 00 00 8B 93 A8 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? EB 23 8B 53 74 8B 45 F8 8B 40 48 E8 ?? ?? ?? ?? 8D 55 E4 8B C3 8B 08 FF 51 60 8D 55 E4 8B 45 F8 8B 08 FF 51 54 8B 83 B8 02 00 00 8B 70 08 4E 85 F6 7C 1B 46 33 FF 8B 83 B8 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 11 47 4E 75 E8 8D 55 E4 8B C3 8B 08 FF 51 60 8D 45 E4 50 8D 55 D4 8B C3 8B 08 FF 51 60 8D 55 D4 8B 83 78 02 00 00 8B 4D F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89437_0 {
	meta:
		name = "FindButton"
		size = 119
		refs = "0038 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem 0040 TCustomKeyboardButton.GetBoundsRect 004b PtInRect"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F0 8D 7D F8 A5 A5 33 FF 8B 45 08 8B 40 FC 8B 80 B8 02 00 00 8B 70 08 4E 85 F6 7C 48 46 33 DB 8B 45 08 8B 40 FC 8B 80 B8 02 00 00 8B D3 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8D 45 E8 8D 55 F8 E8 ?? ?? ?? ?? 84 C0 74 17 8B 45 08 8B 40 FC 8B 80 B8 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B F8 EB 04 43 4E 75 BB 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89438_0 {
	meta:
		name = "FindButton"
		size = 103
		refs = "0039 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 33 C0 89 45 FC 83 FF FF 74 4B 8B 45 08 8B 40 FC 8B 80 B8 02 00 00 8B 70 08 4E 85 F6 7C 37 46 33 DB 8B 45 08 8B 40 FC 8B 80 B8 02 00 00 8B D3 E8 ?? ?? ?? ?? 3B 78 40 75 18 8B 45 08 8B 40 FC 8B 80 B8 02 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 FC EB 04 43 4E 75 CC 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89439_0 {
	meta:
		name = "FindLastKey"
		size = 101
		refs = "0038 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 33 C0 89 45 FC 85 FF 74 4A 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 8B 70 08 4E 85 F6 7C 36 46 33 DB 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 8B D3 E8 ?? ?? ?? ?? 3B F8 75 18 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 8B D3 E8 ?? ?? ?? ?? 89 45 FC EB 04 43 4E 75 CD 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89440_0 {
	meta:
		name = "DeleteLastKey"
		size = 84
		refs = "002e TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem 0045 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Delete"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 8B 70 08 4E 85 F6 7C 33 46 33 DB 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 8B D3 E8 ?? ?? ?? ?? 3B F8 75 15 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 8B D3 E8 ?? ?? ?? ?? EB 04 43 4E 75 D0 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_89441_0 {
	meta:
		name = "DeleteUnclickKey"
		size = 84
		refs = "002e TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem 0045 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Delete"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 45 08 8B 40 FC 8B 80 BC 02 00 00 8B 70 08 4E 85 F6 7C 33 46 33 DB 8B 45 08 8B 40 FC 8B 80 BC 02 00 00 8B D3 E8 ?? ?? ?? ?? 3B F8 75 15 8B 45 08 8B 40 FC 8B 80 BC 02 00 00 8B D3 E8 ?? ?? ?? ?? EB 04 43 4E 75 D0 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_89442_0 {
	meta:
		name = "AddLastKey"
		size = 82
		refs = "002e TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem 0049 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Add"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 8B 58 08 4B 85 DB 7C 1E 43 33 F6 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 8B D6 E8 ?? ?? ?? ?? 3B F8 74 17 46 4B 75 E5 8B 45 08 8B 40 FC 8B 80 C0 02 00 00 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_89443_0 {
	meta:
		name = "AddOrDelete"
		size = 127
		refs = "001c TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.GetItem 002a TVirtualKey.Equals 0037 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Delete 0075 TList<Vcl.Touch.Keyboard.TCustomKeyboardButton>.Add"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F0 8B 7E 08 4F 85 FF 7C 2D 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 83 C0 0C 8B 55 FC 83 C2 0C E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 3C 43 4F 75 D6 33 DB EB 22 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B7 40 34 8B 55 FC 66 3B 42 34 75 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 01 43 8B 46 08 48 3B D8 7C D6 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89444_0 {
	meta:
		name = "TCustomTouchKeyboard.ProcessKeyPress"
		size = 1382
		refs = "0022 TCustomTouchKeyboard.ProcessKeyPress 0095 FindButton 00ab AddLastKey 00d2 TCustomTouchKeyboard.ToggleKeys 00e2 AddOrDelete 00f3 TCustomTouchKeyboard.Redraw 011e TCustomTouchKeyboard.GetLanguageKey 0129 TVirtualKey.&op_Implicit 0133 PlayKey 01c2 TTimer.SetInterval 01d2 TTimer.SetEnabled 0203 FindLastKey 0212 DeleteLastKey 0370 TCustomTouchKeyboard.KeyClick 03b4 TCustomTouchKeyboard.ClearState 045a DeleteUnclickKey 04dd TVirtualKey 04e2 @FinalizeRecord 04ee TKey 0556 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 22 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 68 84 C0 0F 84 8C 04 00 00 8B 45 FC F6 40 1C 10 0F 85 7F 04 00 00 8B 43 08 89 45 F0 0F BF 45 F0 89 45 E8 0F BF 45 F2 89 45 EC 8B 45 E8 89 45 F4 8B 45 EC 89 45 F8 8B 03 2D 00 02 00 00 0F 84 4F 03 00 00 48 74 17 48 0F 84 5B 01 00 00 2D A1 00 00 00 0F 84 12 03 00 00 E9 38 04 00 00 55 8D 45 F4 E8 ?? ?? ?? ?? 59 8B D8 85 DB 0F 84 24 04 00 00 89 7B 40 55 8B C3 E8 ?? ?? ?? ?? 59 0F B6 43 3C 84 C0 0F 84 C5 00 00 00 F6 43 22 02 74 3A 80 7B 3D 00 75 0E 6A 01 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 02 00 00 8B D3 E8 ?? ?? ?? ?? 0F B6 43 3D 34 01 88 43 3D 8B 45 FC E8 ?? ?? ?? ?? E9 CC 03 00 00 84 C0 0F 84 C4 03 00 00 80 7B 3D 00 75 51 8D 45 A8 50 8B 45 FC 8B 88 90 02 00 00 8D 53 0C 8B 45 FC E8 ?? ?? ?? ?? 8D 45 A8 8D 55 D8 E8 ?? ?? ?? ?? 8D 45 D8 33 D2 E8 ?? ?? ?? ?? 80 7B 08 01 75 10 6A 01 B1 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 0E 6A 01 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 02 00 00 8B D3 E8 ?? ?? ?? ?? 0F B6 43 3D 34 01 88 43 3D 8B 45 FC E8 ?? ?? ?? ?? E9 47 03 00 00 6A 01 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 A0 02 00 00 00 0F 84 29 03 00 00 8B 45 FC 83 B8 9C 02 00 00 00 0F 84 19 03 00 00 8B 45 FC 8B 90 9C 02 00 00 8B 45 FC 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 02 00 00 B2 01 E8 ?? ?? ?? ?? E9 ED 02 00 00 55 8D 45 F4 E8 ?? ?? ?? ?? 59 8B D8 85 DB 0F 84 D9 02 00 00 8B 45 FC 8B 80 98 02 00 00 33 D2 E8 ?? ?? ?? ?? 55 8B C3 E8 ?? ?? ?? ?? 59 8B F0 85 F6 74 09 55 8B C6 E8 ?? ?? ?? ?? 59 3B DE 0F 85 2C 01 00 00 80 7B 3C 00 0F 84 22 01 00 00 8B 43 40 83 F8 FF 0F 84 93 02 00 00 3B F8 0F 85 8B 02 00 00 C7 43 40 FF FF FF FF F6 43 22 02 0F 84 89 00 00 00 8D 85 68 FF FF FF 50 8B 45 FC 8B 88 90 02 00 00 8D 53 0C 8B 45 FC E8 ?? ?? ?? ?? 8D 85 68 FF FF FF 8D 55 98 E8 ?? ?? ?? ?? 8D 45 98 33 D2 E8 ?? ?? ?? ?? 8D 85 28 FF FF FF 50 8B 45 FC 8B 88 90 02 00 00 8D 53 0C 8B 45 FC E8 ?? ?? ?? ?? 8D 85 28 FF FF FF 8D 95 58 FF FF FF E8 ?? ?? ?? ?? 8D 85 58 FF FF FF B2 01 E8 ?? ?? ?? ?? 80 7B 3D 00 0F 85 04 02 00 00 6A 01 B1 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 F1 01 00 00 80 7B 3D 00 0F 85 E7 01 00 00 8D 85 E8 FE FF FF 50 8B 45 FC 8B 88 90 02 00 00 8D 53 0C 8B 45 FC E8 ?? ?? ?? ?? 8D 85 E8 FE FF FF 8D 95 18 FF FF FF E8 ?? ?? ?? ?? 8D 85 18 FF FF FF B2 01 E8 ?? ?? ?? ?? 6A 01 B1 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 02 00 00 83 78 08 00 7E 07 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 7D 01 00 00 3B DE 75 2A 80 7B 3C 00 75 24 6A 00 B1 01 8B D3 8B 45 FC E8 ?? ?? ?? ?? C7 43 40 FF FF FF FF 8B D3 8B 45 FC E8 ?? ?? ?? ?? E9 4F 01 00 00 85 F6 0F 84 47 01 00 00 6A 00 B1 01 8B D6 8B 45 FC E8 ?? ?? ?? ?? 55 8B C6 E8 ?? ?? ?? ?? 59 E9 2B 01 00 00 8B 45 FC 8B 80 C0 02 00 00 83 78 08 00 0F 8E 18 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E9 03 01 00 00 83 FF FF 0F 84 FA 00 00 00 8B 45 FC 8B 80 C0 02 00 00 83 78 08 00 0F 8E E7 00 00 00 55 8D 45 F4 E8 ?? ?? ?? ?? 59 8B D8 55 8B C7 E8 ?? ?? ?? ?? 59 8B F0 85 F6 0F 84 C8 00 00 00 85 DB 0F 84 C0 00 00 00 3B DE 0F 84 B8 00 00 00 8B 45 FC 8B 80 98 02 00 00 33 D2 E8 ?? ?? ?? ?? 89 7B 40 C7 46 40 FF FF FF FF 80 7E 3C 00 74 6A F6 46 22 02 74 2B 0F B6 46 3D 34 01 88 46 3D 6A 01 B1 01 8B D6 8B 45 FC E8 ?? ?? ?? ?? 55 8B C6 E8 ?? ?? ?? ?? 59 55 8B C6 E8 ?? ?? ?? ?? 59 EB 67 0F B6 46 3D 34 01 88 46 3D 6A 01 B1 01 8B D6 8B 45 FC E8 ?? ?? ?? ?? 55 8B C6 E8 ?? ?? ?? ?? 59 6A 01 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 55 8B C3 E8 ?? ?? ?? ?? 59 EB 2E 6A 01 B1 01 8B D6 8B 45 FC E8 ?? ?? ?? ?? 6A 01 33 C9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 55 8B C6 E8 ?? ?? ?? ?? 59 55 8B C3 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FE FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 18 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 28 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 58 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 68 FF FF FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 98 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 76 FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89445_0 {
	meta:
		name = "TCustomTouchKeyboard.TChangeState.ChangeState"
		size = 6
	strings:
		$1 = { 89 01 88 51 04 C3 }
	condition:
		$1
}

rule function_89446_0 {
	meta:
		name = "TKeyCaptions.Add"
		size = 161
		refs = "0016 TKeyCaptions.Add 0024 @DynArrayLength 0034 TKeyCaptions.TKeyCaptionArray 0039 @DynArraySetLength 0062 TKeyCaptions.KeyCaption 006c TKeyCaptions.TKeyCaption 0071 @CopyRecord 008c @FinalizeRecord 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 E8 ?? ?? ?? ?? 40 50 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 E8 ?? ?? ?? ?? 8D 04 40 8B 53 04 8D 44 82 F4 50 8B 45 08 50 8D 45 F4 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 58 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89448_0 {
	meta:
		name = "TKeyCaptions.Delete"
		size = 216
		refs = "001a TKeyCaptions.Delete 0028 @DynArrayLength 0038 TKeyCaptions.TKeyCaptionArray 003d @DynArraySetLength 0057 @UStrEqual 0086 TKeyCaptions.TKeyCaption 008b @CopyRecord 00aa @DynArrayAsg 00c5 @DynArrayClear 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 04 E8 ?? ?? ?? ?? 48 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 FF 33 DB EB 47 8D 04 5B 8B 56 04 8B 04 82 8B 55 F8 E8 ?? ?? ?? ?? 75 15 8D 04 5B 8B 56 04 8B 44 82 08 8B 55 F4 E8 ?? ?? ?? ?? 75 01 43 8D 04 7F 8B 55 FC 8D 04 82 8D 14 5B 8B 4E 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 43 8B 45 FC E8 ?? ?? ?? ?? 3B F8 7C AD 8D 46 04 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89449_0 {
	meta:
		name = "TKeyCaptions.GetCaption"
		size = 173
		refs = "0016 TKeyCaptions.TKeyCaption 001b @InitializeRecord 0023 TKeyCaptions.GetCaption 0031 @DynArrayLength 0052 @CopyRecord 005d @UStrEqual 0077 @UStrAsg 0098 @FinalizeRecord 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D EC 89 55 F0 8B F8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 04 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 45 43 33 F6 8D 45 F4 8D 14 76 8B 4F 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F0 E8 ?? ?? ?? ?? 75 1A 8B 45 FC 8B 55 EC E8 ?? ?? ?? ?? 75 0D 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? EB 04 46 4B 75 BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89451_0 {
	meta:
		name = "TKeyCaptions.GetItems"
		size = 35
		refs = "0016 TKeyCaptions.TKeyCaption 001b @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 8D 14 76 8B 4B 04 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89452_0 {
	meta:
		name = "TKeyCaptions.HasCaption"
		size = 100
		refs = "0019 @DynArrayLength 0034 @UStrEqual"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 89 14 24 8B F0 C6 44 24 08 00 8B 46 04 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 33 47 33 DB 8D 2C 5B 8B 46 04 8B 04 A8 8B 14 24 E8 ?? ?? ?? ?? 75 19 8B 46 04 8B 44 A8 08 8B 54 24 04 E8 ?? ?? ?? ?? 75 07 C6 44 24 08 01 EB 04 43 4F 75 D0 0F B6 44 24 08 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89453_0 {
	meta:
		name = "TKeyCaptions.KeyCaption"
		size = 50
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B 5D 08 8B C3 8B D6 E8 ?? ?? ?? ?? 8D 43 04 8B D7 E8 ?? ?? ?? ?? 8D 43 08 8B 55 0C E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_89454_0 {
	meta:
		name = "TKeyCaptions.SetCaption"
		size = 135
		refs = "0019 @DynArrayLength 0035 @UStrEqual 0057 @UStrAsg 007a TKeyCaptions.Add"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 55 FC 8B F0 C6 45 F7 00 8B 46 04 E8 ?? ?? ?? ?? 48 85 C0 7C 45 40 89 45 F0 33 DB 8D 3C 5B 8B 46 04 8B 04 B8 8B 55 FC E8 ?? ?? ?? ?? 75 26 8B 46 04 8B 44 B8 08 8B 55 08 E8 ?? ?? ?? ?? 75 15 8B 46 04 8D 44 B8 04 8B 55 F8 E8 ?? ?? ?? ?? C6 45 F7 01 EB 06 43 FF 4D F0 75 C1 80 7D F7 00 75 11 8B 45 08 50 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89455_0 {
	meta:
		name = "TKeyCaptions.SetItems"
		size = 35
		refs = "0016 TKeyCaptions.TKeyCaption 001b @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8D 04 76 8B 53 04 8D 04 82 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89456_0 {
	meta:
		name = "EnumResNames"
		size = 252
		refs = "0011 EnumResNames 0021 @UStrFromPWChar 002e Pos 0048 HInstance 004f _Dn_TResourceStream 0054 TResourceStream.Create 006c _Dn_TVirtualKeyLayout 0071 TVirtualKeyLayout.Create 007d TVirtualKeyLayout.LoadFromStream 0084 GlobalKeyboardLayouts 0089 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Add 009e TObject.Free 00a4 @HandleFinally 00c5 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B 5D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 74 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 45 F4 50 6A 0A 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C2 10 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4B 00 45 00 59 00 42 00 4F 00 41 00 52 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_89457_0 {
	meta:
		name = "TKeyboardLayouts.Create@"
		size = 57
		refs = "0002 TKeyboardLayouts.$ClassInitFlag 000c _Dn_TVirtualKeyLayouts 0011 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Create 0016 TKeyboardLayouts.FKeyboardLayouts 0020 GlobalKeyboardLayouts 0027 EnumResNames 002e HInstance 0034 EnumResourceNames"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 2F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 6A 0A A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89459_0 {
	meta:
		name = "TKeyboardLayouts.Find"
		size = 74
		refs = "0009 TKeyboardLayouts.GetCount 001a TKeyboardLayouts.FKeyboardLayouts 001f TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.GetItem 0029 @UStrEqual"
	strings:
		$1 = { 53 56 57 55 8B FA 33 ED E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2F 46 33 DB 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 0C 8B D7 E8 ?? ?? ?? ?? 75 10 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 EB 04 43 4E 75 D4 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89460_0 {
	meta:
		name = "TKeyboardLayouts.Find"
		size = 187
		refs = "001b TKeyboardLayouts.Find 002b TKeyboardLayouts.GetCount 003c TKeyboardLayouts.FKeyboardLayouts 0041 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.GetItem 005c @UStrEqual 006b TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.GetItem 00a0 TKeyboardLanguage 00a5 @FinalizeRecord 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 4D F8 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 E8 ?? ?? ?? ?? 48 83 F8 00 7C 59 89 45 F0 8B 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 43 04 8B 70 08 4E 85 F6 7C 33 46 33 FF 8B 43 0C 8B 55 FC E8 ?? ?? ?? ?? 75 1F 8D 4D E8 8B D7 8B 43 04 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 75 05 89 5D F4 EB 0D 47 4E 75 D0 FF 4D F0 83 7D F0 FF 75 AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89461_0 {
	meta:
		name = "TKeyboardLayouts.GetCount"
		size = 9
		refs = "0001 TKeyboardLayouts.FKeyboardLayouts"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 40 08 C3 }
	condition:
		$1
}

rule function_89462_0 {
	meta:
		name = "FindItem"
		size = 69
		refs = "0015 @DynArrayLength 002a @UStrEqual"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B F8 C6 45 FB 00 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1A 43 33 F6 8B 04 B7 8B 55 FC E8 ?? ?? ?? ?? 75 06 C6 45 FB 01 EB 04 46 4B 75 E9 0F B6 45 FB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89463_0 {
	meta:
		name = "TKeyboardLayouts.GetLayoutNames"
		size = 117
		refs = "0007 TKeyboardLayouts.FKeyboardLayouts 001d TStringDynArray 0022 @DynArraySetLength 0041 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.GetItem 004b FindItem 0068 @UStrAsg"
	strings:
		$1 = { 53 56 57 55 8B F8 BD ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 3A 46 33 DB 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 0C 8B 07 E8 ?? ?? ?? ?? 84 C0 75 19 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 0C 8B 07 8D 04 98 E8 ?? ?? ?? ?? 43 4E 75 C9 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89464_0 {
	meta:
		name = "TKeyboardLayouts.LoadFromResourceName"
		size = 88
		refs = "000c HInstance 0011 _Dn_TResourceStream 0018 TResourceStream.Create 0023 TKeyboardLayouts.LoadFromResourceName 0033 TKeyboardLayouts.LoadFromStream 0048 TObject.Free 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 52 6A 0A 8B 0D ?? ?? ?? ?? A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_89465_0 {
	meta:
		name = "TKeyboardLayouts.LoadFromStream"
		size = 42
		refs = "0007 _Dn_TVirtualKeyLayout 000c TVirtualKeyLayout.Create 0017 TVirtualKeyLayout.LoadFromStream 001e TKeyboardLayouts.FKeyboardLayouts 0023 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Add"
	strings:
		$1 = { 53 56 8B F2 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89570_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.KeyboardTypes.TKeyData>.ToArrayImpl"
		size = 143
		refs = "001a TArray<Vcl.Touch.KeyboardTypes.TKeyData> 001f @DynArraySetLength 002b TEnumerable<Vcl.Touch.KeyboardTypes.TKeyData>.GetEnumerator 0036 TEnumerable<Vcl.Touch.KeyboardTypes.TKeyData>.ToArrayImpl 005c TEnumerator<Vcl.Touch.KeyboardTypes.TKeyData>.MoveNext 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D FC 8B DA 8B F0 53 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8B 45 F4 8B 10 FF 12 89 45 F8 8B 45 FC 8B 00 8B 55 F8 89 14 98 43 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0A B2 01 8B 45 F4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89572_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.KeyboardTypes.TKeyData>.ToArray"
		size = 182
		refs = "000f _DV_TList<Vcl.Touch.KeyboardTypes.TKeyData> 0014 TList<Vcl.Touch.KeyboardTypes.TKeyData>.Create 001f TEnumerable<Vcl.Touch.KeyboardTypes.TKeyData>.ToArray 002c TEnumerable<Vcl.Touch.KeyboardTypes.TKeyData>.GetEnumerator 0054 TList<Vcl.Touch.KeyboardTypes.TKeyData>.Add 005c TEnumerator<Vcl.Touch.KeyboardTypes.TKeyData>.MoveNext 0083 @HandleFinally 00a5 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8B 45 F0 8B 10 FF 12 89 45 F4 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0A B2 01 8B 45 F0 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 FC 8B 45 F8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89577_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.GetItem"
		size = 47
		refs = "000c SArgumentOutOfRange 0013 _Dn_EArgumentOutOfRangeException 0018 Exception.CreateRes 001d @RaiseExcept"
	strings:
		$1 = { 51 85 D2 7C 05 3B 50 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 04 8B 04 90 89 04 24 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_89578_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.SetItem"
		size = 91
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 89 0C 24 8B D8 85 D2 7C 05 3B 53 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 04 90 89 44 24 04 8B 43 04 8B 0C 24 89 0C 90 B1 01 8B 54 24 04 8B C3 8B 30 FF 56 08 33 C9 8B 14 24 8B C3 8B 18 FF 53 08 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_89581_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.DoDelete"
		size = 133
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 005b Move 0070 @FillChar"
	strings:
		$1 = { 53 56 57 51 8B D9 8B F2 8B F8 85 F6 7C 05 3B 77 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 04 8B 04 B0 89 04 24 8B 57 04 33 C0 89 04 B2 FF 4F 08 8B 47 08 3B F0 74 2F 2B C6 8B C8 03 C9 03 C9 8B 47 04 8D 14 B0 8B 47 04 8D 44 B0 04 E8 ?? ?? ?? ?? 8B 47 04 8B 57 08 8D 04 90 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B CB 8B 14 24 8B C7 8B 18 FF 53 08 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89583_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.Notify"
		size = 30
	strings:
		$1 = { 53 51 89 14 24 66 83 78 12 00 74 0F 51 8B D8 8B D0 8B 4C 24 04 8B 43 14 FF 53 10 5A 5B C3 }
	condition:
		$1
}

rule function_89588_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.Add"
		size = 54
		refs = "000f TList<Vcl.Touch.KeyboardTypes.TKeyData>.GrowCheck"
	strings:
		$1 = { 53 56 51 89 14 24 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B F0 8B 53 04 8B 0C 24 89 0C 82 FF 43 08 33 C9 8B 14 24 8B C3 8B 18 FF 53 08 8B C6 5A 5E 5B C3 }
	condition:
		$1
}

rule function_89592_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.Insert"
		size = 132
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<Vcl.Touch.KeyboardTypes.TKeyData>.GrowCheck 0052 Move 0064 @FillChar"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 2C 2B C6 8B C8 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 14 24 89 14 B0 FF 43 08 33 C9 8B 14 24 8B C3 8B 18 FF 53 08 5A 5E 5B C3 }
	condition:
		$1
}

rule function_89593_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.InsertRange"
		size = 226
		refs = "001f SArgumentOutOfRange 0026 _Dn_EArgumentOutOfRangeException 002b Exception.CreateRes 0030 @RaiseExcept 0044 TList<Vcl.Touch.KeyboardTypes.TKeyData>.GrowCheck 0070 Move 0086 @FillChar"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B DA 89 45 FC 85 DB 7C 08 8B 45 FC 3B 58 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 08 8B 75 08 46 03 D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 3B D8 74 38 8B D6 03 D3 8B 4D FC 8B 49 04 8D 14 91 8B 4D FC 8B 49 04 8D 0C 99 2B C3 03 C0 03 C0 91 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8D 04 98 8B D6 03 D2 03 D2 33 C9 E8 ?? ?? ?? ?? 4E 85 F6 7C 20 46 89 75 F4 33 D2 8B 45 F8 8D 0C 1A 8B 75 FC 8B 76 04 8B 38 89 3C 8E 42 83 C0 04 FF 4D F4 75 E9 8B 45 08 40 8B 55 FC 01 42 08 48 85 C0 7C 1B 40 89 45 F4 8B 5D F8 33 C9 8B 13 8B 45 FC 8B 30 FF 56 08 83 C3 04 FF 4D F4 75 EC 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89594_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.InsertRange"
		size = 126
		refs = "0018 TList<Vcl.Touch.KeyboardTypes.TKeyData>.InsertRange 0041 TList<Vcl.Touch.KeyboardTypes.TKeyData>.Insert 0056 @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8B 45 FC 8B 10 FF 52 18 89 45 F8 8B 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89595_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.InsertRange"
		size = 116
		refs = "000f TEnumerable<Vcl.Touch.KeyboardTypes.TKeyData>.GetEnumerator 001a TList<Vcl.Touch.KeyboardTypes.TKeyData>.InsertRange 0038 TList<Vcl.Touch.KeyboardTypes.TKeyData>.Insert 0041 TEnumerator<Vcl.Touch.KeyboardTypes.TKeyData>.MoveNext 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B DA 8B F0 8B C1 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8B 45 F8 8B 10 FF 12 89 45 FC 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89596_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.Remove"
		size = 39
		refs = "000e TList<Vcl.Touch.KeyboardTypes.TKeyData>.IndexOf 001d TList<Vcl.Touch.KeyboardTypes.TKeyData>.Delete"
	strings:
		$1 = { 53 56 51 89 14 24 8B D8 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5A 5E 5B C3 }
	condition:
		$1
}

rule function_89599_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.Extract"
		size = 60
		refs = "000f TList<Vcl.Touch.KeyboardTypes.TKeyData>.IndexOf 0030 TList<Vcl.Touch.KeyboardTypes.TKeyData>.DoDelete"
	strings:
		$1 = { 53 83 C4 F8 89 14 24 8B D8 8B 14 24 8B C3 E8 ?? ?? ?? ?? 85 C0 7D 08 33 C0 89 44 24 04 EB 15 8B 53 04 8B 14 82 89 54 24 04 B1 02 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_89600_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.Exchange"
		size = 39
	strings:
		$1 = { 53 56 51 8B D9 8B 48 04 8B 0C 91 89 0C 24 8B 48 04 8B 0C 99 8B 70 04 89 0C 96 8B 40 04 8B 14 24 89 14 98 5A 5E 5B C3 }
	condition:
		$1
}

rule function_89601_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.Move"
		size = 157
		refs = "001d SArgumentOutOfRange 0024 _Dn_EArgumentOutOfRangeException 0029 Exception.CreateRes 002e @RaiseExcept 005d Move 008b @FillChar"
	strings:
		$1 = { 53 56 57 51 8B F1 8B FA 8B D8 3B F7 0F 84 86 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B 04 B8 89 04 24 8B 53 04 33 C0 89 04 BA 3B F7 7E 1C 8B 43 04 8D 14 B8 8B 43 04 8D 44 B8 04 8B CE 2B CF 03 C9 03 C9 E8 ?? ?? ?? ?? EB 1A 2B FE 8B CF 03 C9 03 C9 8B 43 04 8D 54 B0 04 8B 43 04 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 04 8D 04 B0 33 C9 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8B 14 24 89 14 B0 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89602_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.First"
		size = 22
		refs = "0009 TList<Vcl.Touch.KeyboardTypes.TKeyData>.GetItem"
	strings:
		$1 = { 53 51 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_89603_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.Last"
		size = 24
		refs = "000b TList<Vcl.Touch.KeyboardTypes.TKeyData>.GetItem"
	strings:
		$1 = { 53 51 8B D8 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_89605_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.Contains"
		size = 25
		refs = "000d TList<Vcl.Touch.KeyboardTypes.TKeyData>.IndexOf"
	strings:
		$1 = { 53 51 89 14 24 8B D8 8B 14 24 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9D C0 5A 5B C3 }
	condition:
		$1
}

rule function_89607_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.LastIndexOf"
		size = 57
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F0 8B 5E 08 4B 83 FB 00 7C 1F 8B 46 04 8B 14 98 8B 0C 24 8B 46 0C 8B 38 FF 57 0C 85 C0 75 04 8B C3 EB 09 4B 83 FB FF 75 E1 83 C8 FF 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89608_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.Reverse"
		size = 53
	strings:
		$1 = { 53 56 51 33 D2 8B 58 08 4B 3B DA 7E 24 8B 48 04 8B 0C 91 89 0C 24 8B 48 04 8B 0C 99 8B 70 04 89 0C 96 8B 48 04 8B 34 24 89 34 99 42 4B 3B DA 7F DC 5A 5E 5B C3 }
	condition:
		$1
}

rule function_89611_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.BinarySearch"
		size = 62
		refs = "0027 @DynArrayHigh 0030 _Dn_TArray 0035 TArray.BinarySearch<Vcl.Touch.KeyboardTypes.TKeyData>"
	strings:
		$1 = { 53 56 83 C4 F8 89 4C 24 04 89 14 24 8B D8 8B 04 24 50 8B 44 24 08 50 8B 43 0C 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_89612_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.BinarySearch"
		size = 66
		refs = "0028 @DynArrayHigh 0031 _Dn_TArray 0036 TArray.BinarySearch<Vcl.Touch.KeyboardTypes.TKeyData>"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 45 FC 50 8B 45 F8 50 8B 45 08 50 6A 00 8B 43 08 50 8B 73 04 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_89616_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.TEnumerator.GetCurrent"
		size = 24
		refs = "000b TList<Vcl.Touch.KeyboardTypes.TKeyData>.GetItem"
	strings:
		$1 = { 53 51 8B D8 8B 53 08 8B 43 04 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_89617_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TKeyData>.TEnumerator.DoGetCurrent"
		size = 20
		refs = "0007 TList<Vcl.Touch.KeyboardTypes.TKeyData>.TEnumerator.GetCurrent"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_89640_0 {
	meta:
		name = "TDelegatedComparer<Vcl.Touch.KeyboardTypes.TKeyData>.Compare"
		size = 30
	strings:
		$1 = { 53 83 C4 F8 89 4C 24 04 89 14 24 8B 4C 24 04 8B 14 24 8B 40 10 8B 18 FF 53 0C 59 5A 5B C3 }
	condition:
		$1
}

rule function_89641_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Touch.KeyboardTypes.TKeyData>"
		size = 211
		refs = "00ba TArray.QuickSort<Vcl.Touch.KeyboardTypes.TKeyData>"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 F4 40 85 C0 0F 84 AC 00 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E 9E 00 00 00 8B 5D 0C 8B 75 08 8B 45 08 2B 45 0C D1 E8 03 45 0C 8B 55 F8 8B 04 82 89 45 F0 EB 01 43 8B 45 F8 8B 14 98 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7C EA EB 01 4E 8B 45 F8 8B 14 B0 8B 4D F0 8B 45 10 8B 38 FF 57 0C 85 C0 7F EA 3B F3 7C 24 3B F3 74 1E 8B 45 F8 8B 04 98 89 45 EC 8B 45 F8 8B 04 B0 8B 55 F8 89 04 9A 8B 45 F8 8B 55 EC 89 14 B0 43 4E 3B F3 7D A7 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 F8 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 62 FF FF FF 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_89658_0 {
	meta:
		name = "GetVirtualKey"
		size = 143
		refs = "001f MapVirtualKey 007f TKeyData.Create"
	strings:
		$1 = { 53 83 C4 F8 89 04 24 66 83 3C 24 FF 75 26 66 83 7C 24 02 00 7C 1E 6A 01 0F BF 44 24 06 50 E8 ?? ?? ?? ?? 66 89 44 24 04 0F B7 44 24 02 66 89 44 24 06 EB 53 0F B7 1C 24 66 85 DB 7C 1F 66 83 7C 24 02 FF 75 17 66 89 5C 24 04 6A 00 0F BF C3 50 E8 ?? ?? ?? ?? 66 89 44 24 06 EB 2B 0F B7 04 24 66 85 C0 7C 19 66 83 7C 24 02 00 7C 11 66 89 44 24 04 0F B7 44 24 02 66 89 44 24 06 EB 09 E8 ?? ?? ?? ?? 89 44 24 04 8B 44 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_89659_0 {
	meta:
		name = "InternalToUnicode"
		size = 314
		refs = "0019 InternalToUnicode 0032 @UStrSetLength 003a @UniqueStringU 0046 @FillChar 0063 ToUnicode 0085 CheckWin32Version 009d @UStrFromWChar 00aa @UStrAsg 0126 @UStrClr 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D FC 89 4D F4 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 C6 00 00 8D 45 FC BA 40 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 33 C9 BA 80 00 00 00 E8 ?? ?? ?? ?? 6A 00 6A 40 8D 45 FC E8 ?? ?? ?? ?? 50 56 0F BF 45 FA 50 0F BF 45 F8 50 E8 ?? ?? ?? ?? 8B D8 83 EB FF 74 09 4B 0F 84 A0 00 00 00 EB 56 8B 45 F4 C6 00 01 33 D2 B8 06 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 16 83 7D FC 00 74 10 8B 45 08 8B 55 FC 0F B7 12 E8 ?? ?? ?? ?? EB 0B 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 6A 00 6A 40 8D 45 FC E8 ?? ?? ?? ?? 50 56 0F BF 45 FA 50 0F BF 45 F8 50 E8 ?? ?? ?? ?? EB 48 8D 45 FC E8 ?? ?? ?? ?? 33 C9 BA 80 00 00 00 E8 ?? ?? ?? ?? 6A 00 6A 40 8D 45 FC E8 ?? ?? ?? ?? 50 56 0F BF 45 FA 50 0F BF 45 F8 50 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89660_0 {
	meta:
		name = "InternalToUnicode"
		size = 33
		refs = "0018 InternalToUnicode"
	strings:
		$1 = { 53 56 83 C4 F8 8B F1 8B DA 89 04 24 56 8D 4C 24 08 8B D3 8B 44 24 04 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_89661_0 {
	meta:
		name = "GetValue"
		size = 213
		refs = "001e GetValue 002d @UStrToPWChar 0047 @UStrFromWChar 0052 @UStrCat 0068 @UStrEqual 0097 @UStrAsg 00b3 @UStrArrayClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F0 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 24 66 83 FE 3D 75 05 83 C7 02 EB 21 8D 45 EC 0F B7 17 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 83 C7 02 0F B7 37 66 85 F6 75 D4 8B 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 75 2F EB 18 8D 45 E8 8B D6 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 83 C7 02 0F B7 37 66 85 F6 75 E0 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89662_0 {
	meta:
		name = "StringToComboKeys"
		size = 368
		refs = "0016 StringToComboKeys 0023 _Dn_TStringList 0028 TStringList.Create 0045 TStrings.SetDelimiter 004f TStrings.SetDelimitedText 0071 TKeyDataArray 0076 @DynArraySetLength 0098 GetValue 00a4 StrToInt 00ef @DynArrayLength 0108 TObject.Free 010e @HandleFinally 012a @UStrArrayClr 0132 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 BA 3B 00 8B 45 F4 E8 ?? ?? ?? ?? 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 33 DB 33 F6 8B 45 F4 8B 10 FF 52 14 D1 F8 79 03 83 D0 00 50 8B 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 6A 8D 4D F0 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 45 F0 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 12 66 89 04 9A 8D 4D EC 8D 56 01 8B 45 F4 8B 38 FF 57 0C 8B 45 EC 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 12 66 89 44 9A 02 43 83 C6 02 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 3B D8 7C 88 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 76 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 73 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_89663_0 {
	meta:
		name = "ComboKeysToString"
		size = 220
		refs = "0017 ComboKeysToString 0025 @DynArrayLength 003f @UStrCat 0072 Format 0095 @UStrClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 54 47 33 DB 85 DB 7E 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 FC 0F BF 04 98 89 45 E8 C6 45 EC 00 8B 45 FC 0F BF 44 98 02 89 45 F0 C6 45 F4 00 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 43 4F 75 AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 76 00 6B 00 3D 00 25 00 64 00 3B 00 73 00 63 00 3D 00 25 00 64 00 00 00 }
	condition:
		$1
}

rule function_89664_0 {
	meta:
		name = "TKeyModifier.Create"
		size = 50
		refs = "0007 @UStrClr"
	strings:
		$1 = { 53 8B D8 8D 43 04 E8 ?? ?? ?? ?? 8D 43 0C E8 ?? ?? ?? ?? 66 C7 03 FF FF 66 C7 43 02 FF FF C6 43 08 FF 66 C7 43 14 0E 00 8D 43 18 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89665_0 {
	meta:
		name = "TKeyModifier.&op_Implicit"
		size = 65
		refs = "000d @UStrAsg 0032 TKeyDataArray 0037 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 43 04 8B 56 04 E8 ?? ?? ?? ?? 0F B6 46 08 88 43 08 0F B7 06 66 89 03 0F B7 46 02 66 89 43 02 6A 00 8D 43 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 }
	condition:
		$1
}

rule function_89666_0 {
	meta:
		name = "TVirtualKey.Create"
		size = 168
		refs = "0007 @UStrClr 0026 TKeyDataArray 002b @DynArraySetLength 004d TVirtualKey.Create 0060 TKeyModifiers 0086 TKeyLanguages"
	strings:
		$1 = { 53 8B D8 8D 43 04 E8 ?? ?? ?? ?? C6 43 08 FF 66 C7 03 FF FF 66 C7 43 02 FF FF 6A 00 8D 43 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 66 C7 43 12 30 00 66 C7 43 14 30 00 66 C7 43 18 02 00 66 C7 43 1A 02 00 0F B6 05 ?? ?? ?? ?? 88 43 16 6A 00 8D 43 1C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 43 20 E8 ?? ?? ?? ?? 66 C7 43 28 00 00 6A 00 8D 43 24 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 43 2C E8 ?? ?? ?? ?? 66 C7 43 10 0E 00 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_89667_0 {
	meta:
		name = "TVirtualKey.Equals"
		size = 139
		refs = "000d @DynArrayLength"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 33 DB 8B 47 0C E8 ?? ?? ?? ?? 85 C0 75 70 8B 46 0C E8 ?? ?? ?? ?? 85 C0 75 64 66 83 7F 02 FF 75 07 66 83 7E 02 FF 75 26 66 83 3F FF 75 06 66 83 3E FF 74 1A 0F B7 47 02 66 3B 46 02 75 08 0F B7 07 66 3B 06 74 04 33 DB EB 34 B3 01 EB 30 66 83 7F 02 FF 74 07 66 83 7E 02 FF 75 0B 0F B7 07 66 3B 06 0F 94 C3 EB 17 66 83 3F FF 74 06 66 83 3E FF 75 0B 0F B7 47 02 66 3B 46 02 0F 94 C3 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89668_0 {
	meta:
		name = "TVirtualKey.&op_Implicit"
		size = 81
		refs = "000d @UStrAsg 002e TKeyDataArray 0033 @DynArrayAsg 003b @DynArrayLength"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 43 04 8B 56 04 E8 ?? ?? ?? ?? 0F B6 46 08 88 43 08 0F B7 06 66 89 03 0F B7 46 02 66 89 43 02 8D 43 0C 8B 56 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C E8 ?? ?? ?? ?? 85 C0 7E 0B 66 C7 43 02 FF FF 66 C7 03 FF FF 5E 5B C3 }
	condition:
		$1
}

rule function_89669_0 {
	meta:
		name = "TKeyLanguage.Create"
		size = 60
		refs = "0007 @UStrClr 0022 TKeyDataArray 0027 @DynArraySetLength"
	strings:
		$1 = { 53 8B D8 8D 43 04 E8 ?? ?? ?? ?? 66 C7 03 FF FF 66 C7 43 02 FF FF 6A 00 8D 43 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 43 10 E8 ?? ?? ?? ?? C6 43 08 FF 5B C3 }
	condition:
		$1
}

rule function_89670_0 {
	meta:
		name = "TKey.Create"
		size = 52
		refs = "0007 @UStrClr 0026 TKeyDataArray 002b @DynArraySetLength"
	strings:
		$1 = { 53 8B D8 8D 43 04 E8 ?? ?? ?? ?? C6 43 08 FF 66 C7 03 FF FF 66 C7 43 02 FF FF 6A 00 8D 43 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5B C3 }
	condition:
		$1
}

rule function_89671_0 {
	meta:
		name = "TKey.&op_Implicit"
		size = 22
	strings:
		$1 = { 51 0F B7 10 66 89 14 24 0F B7 40 02 66 89 44 24 02 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_89672_0 {
	meta:
		name = "TKey.IsDeadKey"
		size = 125
		refs = "0018 TKey.IsDeadKey 002a GetKeyboardState 003d VKey 0042 GetVirtualKey 0050 InternalToUnicode 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FE FF FF 53 33 D2 89 95 F8 FE FF FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 FF FE FF FF 50 E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF 50 0F BF 53 02 0F BF 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D FF 8D 95 FF FE FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 0F B6 45 FF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89673_0 {
	meta:
		name = "TKey.ToString"
		size = 79
		refs = "001b @FillChar 0032 VKey 0037 GetVirtualKey 0042 InternalToUnicode"
	strings:
		$1 = { 53 56 81 C4 FC FE FF FF 8B F1 88 14 24 8B D8 8D 44 24 01 33 C9 BA 00 01 00 00 E8 ?? ?? ?? ?? F6 04 24 01 74 05 C6 44 24 11 81 0F BF 53 02 0F BF 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CE 8D 54 24 01 E8 ?? ?? ?? ?? 81 C4 04 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_89674_0 {
	meta:
		name = "TVirtualKeyLayout.Create"
		size = 110
		refs = "000a @ClassCreate 0017 TObject.Create 001e _DV_TVirtualKeyLayout.TKeyboardLanguages 0023 TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Create 0048 _DV_TVirtualKeyLayout.TVirtualKeyboard 004d TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Create 005b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 33 C0 89 46 18 33 C0 89 46 10 33 C0 89 46 20 33 C0 89 46 24 C7 46 28 30 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 2C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_89675_0 {
	meta:
		name = "TVirtualKeyLayout.Destroy"
		size = 89
		refs = "0005 @BeforeDestruction 0021 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.GetItem 0026 TObject.Free 0045 TObject.Destroy 0050 @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 2C 8B 68 08 4D 85 ED 7C 16 45 33 FF 8B 46 2C 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4D 75 ED 8B 46 2C E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89676_0 {
	meta:
		name = "ReadSmallInt"
		size = 32
		altNames = "ReadWord"
	strings:
		$1 = { 55 8B EC 51 53 8D 55 FE 8B 45 08 8B 40 FC B9 02 00 00 00 8B 18 FF 53 0C 0F B7 45 FE 5B 59 5D C3 }
	condition:
		$1
}

rule function_89677_0 {
	meta:
		name = "ReadBool"
		size = 32
		altNames = "ReadByte"
	strings:
		$1 = { 55 8B EC 51 53 8D 55 FF 8B 45 08 8B 40 FC B9 01 00 00 00 8B 18 FF 53 0C 0F B6 45 FF 5B 59 5D C3 }
	condition:
		$1
}

rule function_89681_0 {
	meta:
		name = "TVirtualKeyLayout.LoadFromStream"
		size = 1524
		refs = "001e TVirtualKey 0023 @InitializeRecord 002c TKeyModifier 003a TKeyLanguage 0048 TKeyboardLanguage 0055 TVirtualKeyLayout.LoadFromStream 0061 ReadByte 0075 ReadString 0084 @UStrAsg 00a8 ReadWord 012a TKeyboardLanguage.Create 0145 @UStrLAsg 016e TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.Add 0192 _DV_TVirtualKeys 0197 TVirtualKeys.Create 01a8 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.Add 01e7 TVirtualKey.Create 0212 ReadSmallInt 023b TKeyDataArray 0240 @DynArraySetLength 030f TKeyModifiers 032b TKeyModifier.Create 03c0 TKeyLanguages 03d6 TKeyLanguage.Create 0443 @CopyRecord 0572 TVirtualKeys.Add 05a9 @UStrArrayClr 05b7 @FinalizeRecord 05e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 16 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 89 45 90 8D 45 94 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 0F B6 C0 48 0F 85 20 05 00 00 55 8D 45 80 E8 ?? ?? ?? ?? 59 8B 55 80 8B 45 90 83 C0 08 E8 ?? ?? ?? ?? 55 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 59 8B 95 7C FF FF FF 8B 45 90 83 C0 0C E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 0F B7 C0 8B 55 90 89 42 14 55 E8 ?? ?? ?? ?? 59 0F B7 C0 8B 55 90 89 42 1C 55 E8 ?? ?? ?? ?? 59 0F B7 C0 8B 55 90 89 42 18 55 E8 ?? ?? ?? ?? 59 0F B7 C0 8B 55 90 89 42 10 55 E8 ?? ?? ?? ?? 59 0F B7 C0 8B 55 90 89 42 20 55 E8 ?? ?? ?? ?? 59 0F B7 C0 8B 55 90 89 42 24 55 E8 ?? ?? ?? ?? 59 0F B7 C0 8B 55 90 89 42 28 55 E8 ?? ?? ?? ?? 59 0F B7 D8 4B 83 FB 00 7C 52 8D 45 F4 E8 ?? ?? ?? ?? 55 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 59 8B 95 78 FF FF FF 8D 45 F4 E8 ?? ?? ?? ?? 55 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 59 8B 95 74 FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 90 8B 40 04 E8 ?? ?? ?? ?? 4B 83 FB FF 75 AE 55 E8 ?? ?? ?? ?? 59 0F B7 C0 48 83 F8 00 0F 8C 04 04 00 00 89 45 8C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 84 8B 45 90 8B 40 2C 8B 55 84 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 0F B6 C0 8B 55 84 89 42 08 55 E8 ?? ?? ?? ?? 59 0F B6 C0 8B 55 84 89 42 0C 55 E8 ?? ?? ?? ?? 59 0F B7 C0 48 83 F8 00 0F 8C A3 03 00 00 89 45 88 8D 45 94 E8 ?? ?? ?? ?? 55 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 59 8B 95 70 FF FF FF 8D 45 98 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 88 45 9C 55 E8 ?? ?? ?? ?? 59 66 89 45 94 55 E8 ?? ?? ?? ?? 59 66 89 45 96 55 E8 ?? ?? ?? ?? 59 0F B7 F0 56 8D 45 A0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B FE 4F 85 FF 7C 24 47 33 F6 55 E8 ?? ?? ?? ?? 59 8B 55 A0 66 89 04 B2 55 E8 ?? ?? ?? ?? 59 8B 55 A0 66 89 44 B2 02 46 4F 75 DF 55 E8 ?? ?? ?? ?? 59 66 89 45 A6 55 E8 ?? ?? ?? ?? 59 66 89 45 A8 55 E8 ?? ?? ?? ?? 59 0F B6 C0 66 89 45 AC 55 E8 ?? ?? ?? ?? 59 0F B6 C0 66 89 45 AE 55 E8 ?? ?? ?? ?? 59 88 45 AA 55 E8 ?? ?? ?? ?? 59 66 89 45 BC 55 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 59 8B 95 6C FF FF FF 8D 45 B4 E8 ?? ?? ?? ?? 55 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 59 8B 95 68 FF FF FF 8D 45 C0 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 66 89 45 A4 55 E8 ?? ?? ?? ?? 59 0F B7 D8 53 8D 45 B0 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B F3 4E 83 FE 00 0F 8C 4E 01 00 00 8D 45 C4 E8 ?? ?? ?? ?? 55 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 59 8B 95 64 FF FF FF 8D 45 C8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 66 89 45 C4 55 E8 ?? ?? ?? ?? 59 66 89 45 C6 55 E8 ?? ?? ?? ?? 59 88 45 CC 55 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 59 8B 95 60 FF FF FF 8D 45 D0 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 66 89 45 D8 55 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 59 8B 95 5C FF FF FF 8D 45 DC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 0F B7 D8 53 8D 45 D4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 4B 83 FB 00 7C 7B 8D 45 E0 E8 ?? ?? ?? ?? 55 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 59 8B 95 58 FF FF FF 8D 45 E4 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 66 89 45 E0 55 E8 ?? ?? ?? ?? 59 66 89 45 E2 55 E8 ?? ?? ?? ?? 59 88 45 E8 55 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 59 8B 95 54 FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? 8D 04 9B 8B 55 D4 8D 04 82 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 75 85 8B C6 03 C0 03 C0 03 C0 2B C6 8B 55 B0 8D 04 82 8D 55 C4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 4E 83 FE FF 0F 85 B2 FE FF FF 55 E8 ?? ?? ?? ?? 59 0F B7 D8 53 8D 45 B8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 4B 83 FB 00 0F 8C CB 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? 55 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 59 8B 95 50 FF FF FF 8D 45 E4 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 66 89 45 E0 55 E8 ?? ?? ?? ?? 59 66 89 45 E2 55 E8 ?? ?? ?? ?? 59 0F B7 F0 56 8D 45 EC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B FE 4F 85 FF 7C 24 47 33 F6 55 E8 ?? ?? ?? ?? 59 8B 55 EC 66 89 04 B2 55 E8 ?? ?? ?? ?? 59 8B 55 EC 66 89 44 B2 02 46 4F 75 DF 55 E8 ?? ?? ?? ?? 59 88 45 E8 55 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 59 8B 95 4C FF FF FF 8D 45 F0 E8 ?? ?? ?? ?? 8D 04 9B 8B 55 B8 8D 04 82 8D 55 E0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 4B 83 FB FF 0F 85 35 FF FF FF 8D 55 94 8B 45 84 E8 ?? ?? ?? ?? FF 4D 88 83 7D 88 FF 0F 85 60 FC FF FF FF 4D 8C 83 7D 8C FF 0F 85 FF FB FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 4C FF FF FF BA 0E 00 00 00 E8 ?? ?? ?? ?? 8D 45 94 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89682_0 {
	meta:
		name = "WriteSmallInt"
		size = 32
		altNames = "WriteWord"
	strings:
		$1 = { 55 8B EC 51 53 66 89 45 FE 8D 55 FE 8B 45 08 8B 40 FC B9 02 00 00 00 8B 18 FF 53 10 5B 59 5D C3 }
	condition:
		$1
}

rule function_89684_0 {
	meta:
		name = "WriteBool"
		size = 31
		altNames = "WriteByte"
	strings:
		$1 = { 55 8B EC 51 53 88 45 FF 8D 55 FF 8B 45 08 8B 40 FC B9 01 00 00 00 8B 18 FF 53 10 5B 59 5D C3 }
	condition:
		$1
}

rule function_89687_0 {
	meta:
		name = "TVirtualKeyLayout.SaveToStream"
		size = 1276
		refs = "0017 TVirtualKey 001c @InitializeRecord 0025 TKeyModifier 0033 TKeyLanguage 0041 TKeyboardLanguage 004e TVirtualKeyLayout.SaveToStream 005c WriteByte 0069 WriteString 0084 WriteWord 010e TList<Vcl.Touch.KeyboardTypes.TKeyboardLanguage>.GetItem 0165 TList<Vcl.Touch.KeyboardTypes.TVirtualKeys>.GetItem 019c TVirtualKeys.Count 01e2 TVirtualKeys.GetItem 0201 WriteSmallInt 0216 @DynArrayLength 0300 @CopyRecord 04bf @FinalizeRecord 04ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 7C FF FF FF 53 56 57 89 55 FC 89 45 90 8D 45 94 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 B0 01 E8 ?? ?? ?? ?? 59 55 8B 45 90 8B 40 08 E8 ?? ?? ?? ?? 59 55 8B 45 90 8B 40 0C E8 ?? ?? ?? ?? 59 55 8B 45 90 0F B7 40 14 E8 ?? ?? ?? ?? 59 55 8B 45 90 0F B7 40 1C E8 ?? ?? ?? ?? 59 55 8B 45 90 0F B7 40 18 E8 ?? ?? ?? ?? 59 55 8B 45 90 0F B7 40 10 E8 ?? ?? ?? ?? 59 55 8B 45 90 0F B7 40 20 E8 ?? ?? ?? ?? 59 55 8B 45 90 0F B7 40 24 E8 ?? ?? ?? ?? 59 55 8B 45 90 0F B7 40 28 E8 ?? ?? ?? ?? 59 55 8B 45 90 8B 40 04 0F B7 40 08 E8 ?? ?? ?? ?? 59 8B 45 90 8B 40 04 8B 40 08 48 85 C0 7C 30 40 89 45 84 33 DB 8D 4D F4 8B 45 90 8B 40 04 8B D3 E8 ?? ?? ?? ?? 55 8B 45 F4 E8 ?? ?? ?? ?? 59 55 8B 45 F8 E8 ?? ?? ?? ?? 59 43 FF 4D 84 75 D6 55 8B 45 90 8B 40 2C 0F B7 40 08 E8 ?? ?? ?? ?? 59 8B 45 90 8B 40 2C 8B 40 08 48 85 C0 0F 8C 59 03 00 00 40 89 45 84 C7 45 8C 00 00 00 00 55 8B 45 90 8B 40 2C 8B 55 8C E8 ?? ?? ?? ?? 0F B6 40 08 E8 ?? ?? ?? ?? 59 55 8B 45 90 8B 40 2C 8B 55 8C E8 ?? ?? ?? ?? 0F B6 40 0C E8 ?? ?? ?? ?? 59 55 8B 45 90 8B 40 2C 8B 55 8C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 90 8B 40 2C 8B 55 8C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 0F 8C DA 02 00 00 40 89 45 80 C7 45 88 00 00 00 00 8B 45 90 8B 40 2C 8B 55 8C E8 ?? ?? ?? ?? 8D 4D 94 8B 55 88 E8 ?? ?? ?? ?? 55 8B 45 98 E8 ?? ?? ?? ?? 59 55 0F B6 45 9C E8 ?? ?? ?? ?? 59 55 0F B7 45 94 E8 ?? ?? ?? ?? 59 55 0F B7 45 96 E8 ?? ?? ?? ?? 59 55 8B 45 A0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 A0 E8 ?? ?? ?? ?? 48 85 C0 7C 2F 40 89 85 7C FF FF FF 33 F6 55 8B 45 A0 0F B7 04 B0 E8 ?? ?? ?? ?? 59 55 8B 45 A0 0F B7 44 B0 02 E8 ?? ?? ?? ?? 59 46 FF 8D 7C FF FF FF 75 DA 55 0F B7 45 A6 E8 ?? ?? ?? ?? 59 55 0F B7 45 A8 E8 ?? ?? ?? ?? 59 55 0F B6 45 AC E8 ?? ?? ?? ?? 59 55 0F B6 45 AE E8 ?? ?? ?? ?? 59 55 0F B6 45 AA E8 ?? ?? ?? ?? 59 55 0F B7 45 BC E8 ?? ?? ?? ?? 59 55 8B 45 B4 E8 ?? ?? ?? ?? 59 55 8B 45 C0 E8 ?? ?? ?? ?? 59 55 0F B7 45 A4 E8 ?? ?? ?? ?? 59 55 8B 45 B0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 B0 E8 ?? ?? ?? ?? 48 85 C0 0F 8C EF 00 00 00 40 89 85 7C FF FF FF 33 F6 8D 45 C4 8B D6 03 D2 03 D2 03 D2 2B D6 8B 4D B0 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 8B 45 C8 E8 ?? ?? ?? ?? 59 55 0F B7 45 C4 E8 ?? ?? ?? ?? 59 55 0F B7 45 C6 E8 ?? ?? ?? ?? 59 55 0F B6 45 CC E8 ?? ?? ?? ?? 59 55 8B 45 D0 E8 ?? ?? ?? ?? 59 55 0F B7 45 D8 E8 ?? ?? ?? ?? 59 55 8B 45 DC E8 ?? ?? ?? ?? 59 55 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 D4 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 53 43 33 FF 8D 45 E0 8D 14 BF 8B 4D D4 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 8B 45 E4 E8 ?? ?? ?? ?? 59 55 0F B7 45 E0 E8 ?? ?? ?? ?? 59 55 0F B7 45 E2 E8 ?? ?? ?? ?? 59 55 0F B6 45 E8 E8 ?? ?? ?? ?? 59 55 8B 45 F0 E8 ?? ?? ?? ?? 59 47 4B 75 B0 46 FF 8D 7C FF FF FF 0F 85 1A FF FF FF 55 8B 45 B8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 B8 E8 ?? ?? ?? ?? 48 85 C0 0F 8C A4 00 00 00 40 89 85 7C FF FF FF 33 FF 8D 45 E0 8D 14 BF 8B 4D B8 8D 14 91 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 8B 45 E4 E8 ?? ?? ?? ?? 59 55 0F B7 45 E0 E8 ?? ?? ?? ?? 59 55 0F B7 45 E2 E8 ?? ?? ?? ?? 59 55 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 EC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 24 43 33 F6 55 8B 45 EC 0F B7 04 B0 E8 ?? ?? ?? ?? 59 55 8B 45 EC 0F B7 44 B0 02 E8 ?? ?? ?? ?? 59 46 4B 75 DF 55 0F B6 45 E8 E8 ?? ?? ?? ?? 59 55 8B 45 F0 E8 ?? ?? ?? ?? 59 47 FF 8D 7C FF FF FF 0F 85 65 FF FF FF FF 45 88 FF 4D 80 0F 85 31 FD FF FF FF 45 8C FF 4D 84 0F 85 B2 FC FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89688_0 {
	meta:
		name = "TVirtualKeyLayouts.Destroy"
		size = 69
		refs = "0005 @BeforeDestruction 001d TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.GetItem 0022 TObject.Free 0031 TList<Vcl.Touch.KeyboardTypes.TVirtualKeyLayout>.Destroy 003c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 6F 08 4D 85 ED 7C 15 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4D 75 EE B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96498_0 {
	meta:
		name = "TWebDirList.Destroy"
		size = 69
		refs = "0005 @BeforeDestruction 001d TList.Get 0022 TObject.Free 0031 TList.Destroy 003c @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 6F 08 4D 85 ED 7C 15 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4D 75 EE B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89691_0 {
	meta:
		name = "TVirtualKeys.Create"
		size = 69
		refs = "000a @ClassCreate 0015 _DV_TList<Vcl.Touch.KeyboardTypes.TVirtualKey> 001a TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Create 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 33 C0 89 46 08 33 C0 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_89695_0 {
	meta:
		name = "TKeyboardLanguage.Create"
		size = 20
		refs = "0006 @UStrClr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 04 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89696_0 {
	meta:
		name = "TKeyData.Create"
		size = 19
	strings:
		$1 = { 51 66 C7 04 24 00 00 66 C7 44 24 02 00 00 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_89699_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.KeyboardTypes.TVirtualKey>.ToArrayImpl"
		size = 224
		refs = "0014 TVirtualKey 0019 @InitializeRecord 0021 TEnumerable<Vcl.Touch.KeyboardTypes.TVirtualKey>.ToArrayImpl 0036 TArray<Vcl.Touch.KeyboardTypes.TVirtualKey> 003b @DynArraySetLength 0047 TEnumerable<Vcl.Touch.KeyboardTypes.TVirtualKey>.GetEnumerator 0081 @CopyRecord 008a TEnumerator<Vcl.Touch.KeyboardTypes.TVirtualKey>.MoveNext 00b1 @HandleFinally 00ce @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 89 4D CC 8B DA 8B F0 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 CC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 8B C6 E8 ?? ?? ?? ?? 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 28 8D 55 D0 8B 45 C8 8B 08 FF 11 8B C3 03 C0 8D 04 40 8B 55 CC 8B 12 8D 04 C2 8D 55 D0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 8B 45 C8 E8 ?? ?? ?? ?? 84 C0 75 CC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D C8 00 74 0A B2 01 8B 45 C8 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89701_0 {
	meta:
		name = "TEnumerable<Vcl.Touch.KeyboardTypes.TVirtualKey>.ToArray"
		size = 245
		refs = "0011 TVirtualKey 0016 @InitializeRecord 001e TEnumerable<Vcl.Touch.KeyboardTypes.TVirtualKey>.ToArray 002b _DV_TList<Vcl.Touch.KeyboardTypes.TVirtualKey> 0030 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Create 0048 TEnumerable<Vcl.Touch.KeyboardTypes.TVirtualKey>.GetEnumerator 0070 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Add 0078 TEnumerator<Vcl.Touch.KeyboardTypes.TVirtualKey>.MoveNext 009f @HandleFinally 00c1 TObject.Free 00e4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 89 55 CC 8B D8 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 C4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 15 8D 55 D0 8B 45 C4 8B 08 FF 11 8D 55 D0 8B 45 C8 E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 84 C0 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D C4 00 74 0A B2 01 8B 45 C4 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 8B 55 CC 8B 45 C8 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89706_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.GetItem"
		size = 71
		refs = "0014 SArgumentOutOfRange 001b _Dn_EArgumentOutOfRangeException 0020 Exception.CreateRes 0025 @RaiseExcept 003a TVirtualKey 003f @CopyRecord"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B D6 03 D2 8D 14 52 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89707_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.SetItem"
		size = 189
		refs = "0015 TVirtualKey 001a @InitializeRecord 0022 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.SetItem 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0063 @CopyRecord 00aa @FinalizeRecord 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 89 4D CC 8B F2 8B D8 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 8B FE 03 FF 8D 3C 7F 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 55 CC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8D 55 D0 8B C3 8B 30 FF 56 08 8B 55 CC 33 C9 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89710_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.DoDelete"
		size = 259
		refs = "0015 TVirtualKey 001a @InitializeRecord 0022 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.DoDelete 0037 SArgumentOutOfRange 003e _Dn_EArgumentOutOfRangeException 0043 Exception.CreateRes 0048 @RaiseExcept 0063 @CopyRecord 0074 @FinalizeRecord 00ad Move 00c7 @FillChar 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 88 4D CF 8B F2 8B D8 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 8B FE 03 FF 8D 3C 7F 8B 53 04 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 0C 00 00 00 F3 AB 8B FA FF 4B 08 8B 43 08 3B F0 74 3A 8B 53 04 8D 14 FA 52 8B 53 04 8D 54 FA 30 2B C6 8B C8 C1 E1 04 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 03 C0 8D 04 40 8B 53 04 8D 04 C2 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? 0F B6 4D CF 8D 55 D0 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89717_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Add"
		size = 73
		refs = "000f TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.GrowCheck 002a TVirtualKey 002f @CopyRecord"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 7B 08 89 3C 24 8B C7 03 C0 8D 04 40 8B 53 04 8D 04 C2 8B D6 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D6 33 C9 8B C3 8B 18 FF 53 08 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89721_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Insert"
		size = 163
		refs = "0015 SArgumentOutOfRange 001c _Dn_EArgumentOutOfRangeException 0021 Exception.CreateRes 0026 @RaiseExcept 0031 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.GrowCheck 0060 Move 0072 @FillChar 0087 TVirtualKey 008c @CopyRecord"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 7C 05 3B 73 08 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 74 3A 8B EE 03 ED 8D 6C 6D 00 8B 53 04 8D 54 EA 30 52 8B 53 04 8D 14 EA 2B C6 8B C8 C1 E1 04 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 04 8D 04 E8 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? 8B C6 03 C0 8D 04 40 8B 53 04 8D 04 C2 8B D7 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 08 8B D7 33 C9 8B C3 8B 18 FF 53 08 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89722_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.InsertRange"
		size = 251
		refs = "0021 SArgumentOutOfRange 0028 _Dn_EArgumentOutOfRangeException 002d Exception.CreateRes 0032 @RaiseExcept 0042 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.GrowCheck 0077 Move 0094 @FillChar 00ba TVirtualKey 00bf @CopyRecord"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F0 83 7D FC 00 7C 08 8B 46 08 3B 45 FC 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 08 8B 5D 08 43 03 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 3B 45 FC 74 4A 8B D3 03 55 FC 03 D2 8D 14 52 8B 4E 04 8D 14 D1 8B 4D FC 03 C9 8D 0C 49 8B 7E 04 8D 0C CF 2B 45 FC C1 E0 04 8D 04 40 91 E8 ?? ?? ?? ?? 8B 45 FC 03 C0 8D 04 40 8B 56 04 8D 04 C2 8B D3 C1 E2 04 8D 14 52 33 C9 E8 ?? ?? ?? ?? 4B 85 DB 7C 2F 43 89 5D F4 33 FF 8B 5D F8 8B 45 FC 03 C7 03 C0 8D 04 40 8B 56 04 8D 04 C2 8B D3 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 83 C3 30 FF 4D F4 75 DA 8B 45 08 40 01 46 08 48 85 C0 7C 1A 40 89 45 F4 8B 5D F8 33 C9 8B D3 8B C6 8B 38 FF 57 08 83 C3 30 FF 4D F4 75 ED 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89723_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.InsertRange"
		size = 154
		refs = "0019 TVirtualKey 001e @InitializeRecord 0026 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.InsertRange 004f TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Insert 0064 @IntfClear 007f @FinalizeRecord 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 10 EB 18 8D 55 CC 8B 45 FC 8B 08 FF 51 18 8D 4D CC 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 FC 8B 10 FF 52 10 84 C0 75 DC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89724_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.InsertRange"
		size = 183
		refs = "0014 TVirtualKey 0019 @InitializeRecord 0021 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.InsertRange 002e TEnumerable<Vcl.Touch.KeyboardTypes.TVirtualKey>.GetEnumerator 0057 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Insert 0060 TEnumerator<Vcl.Touch.KeyboardTypes.TVirtualKey>.MoveNext 0087 @HandleFinally 00a4 @FinalizeRecord"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B F9 8B DA 8B F0 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 89 45 CC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8D 55 D0 8B 45 CC 8B 08 FF 11 8D 4D D0 8B D3 8B C6 E8 ?? ?? ?? ?? 43 8B 45 CC E8 ?? ?? ?? ?? 84 C0 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D CC 00 74 0A B2 01 8B 45 CC 8B 08 FF 51 FC C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89727_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.DeleteRange"
		size = 351
		refs = "0018 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.DeleteRange 003b SArgumentOutOfRange 0042 _Dn_EArgumentOutOfRangeException 0047 Exception.CreateRes 004c @RaiseExcept 0063 :TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.:3 0068 @DynArraySetLength 0088 Move 00e1 @FillChar 010a @DynArrayLength 014c @DynArrayClear 0152 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 7C 13 85 F6 7C 0F 8D 04 3E 3B 43 08 7F 07 8D 04 3E 85 C0 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 0F 84 DD 00 00 00 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C7 03 C0 8D 04 40 8B 53 04 8D 04 C2 8B CE C1 E1 04 8D 0C 49 8B 55 FC E8 ?? ?? ?? ?? 8D 04 3E 50 8B 43 08 5A 2B C2 85 C0 7E 4D 8B D7 03 D2 8D 14 52 8B 4B 04 8D 14 D1 52 8D 14 3E 03 D2 8D 14 52 8B 4B 04 8D 14 D1 8B C8 C1 E1 04 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 8B 43 08 2B C6 03 C0 8D 04 40 8B 53 04 8D 04 C2 8B D6 C1 E2 04 8D 14 52 33 C9 E8 ?? ?? ?? ?? EB 1C 8B C7 03 C0 8D 04 40 8B 53 04 8D 04 C2 8B D6 C1 E2 04 8D 14 52 33 C9 E8 ?? ?? ?? ?? 29 73 08 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 22 40 89 45 F8 33 F6 8B C6 03 C0 8D 04 40 8B 55 FC 8D 14 C2 B1 01 8B C3 8B 38 FF 57 08 46 FF 4D F8 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89728_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Extract"
		size = 91
		refs = "000a TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.IndexOf 0018 TVirtualKey 001d @FinalizeRecord 0048 @CopyRecord 0053 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.DoDelete"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7D 1E 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 0C 00 00 00 F3 AB 8B FA EB 25 8B C7 8B D6 03 D2 8D 14 52 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89729_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Exchange"
		size = 176
		refs = "0014 TVirtualKey 0019 @InitializeRecord 0021 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Exchange 0042 @CopyRecord 009d @FinalizeRecord 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F9 8B F2 8B D8 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 D0 8B D6 03 D2 8D 14 52 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 8D 04 40 8B 53 04 8D 04 C2 8B D7 03 D2 8D 14 52 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 8D 04 40 8B 53 04 8D 04 C2 8D 55 D0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89730_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Move"
		size = 321
		refs = "0014 TVirtualKey 0019 @InitializeRecord 0021 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Move 003e SArgumentOutOfRange 0045 _Dn_EArgumentOutOfRangeException 004a Exception.CreateRes 004f @RaiseExcept 006a @CopyRecord 0082 @FinalizeRecord 00bf Move 00ff @FillChar 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F1 8B FA 8B D8 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F7 0F 84 E4 00 00 00 85 F6 7C 05 3B 73 08 7C 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 8B D7 03 D2 8D 14 52 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 8D 04 40 8B 53 04 8D 04 C2 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B F8 33 C0 B9 0C 00 00 00 F3 AB 8B FA 3B F7 7E 2C 8B C7 03 C0 8D 04 40 8B 53 04 8D 14 C2 8B C7 03 C0 8D 04 40 8B 4B 04 8D 44 C1 30 8B CE 2B CF C1 E1 04 8D 0C 49 E8 ?? ?? ?? ?? EB 25 8B C6 03 C0 8D 04 40 8B 53 04 8D 54 C2 30 52 8B 53 04 8D 04 C2 2B FE 8B CF C1 E1 04 8D 0C 49 5A E8 ?? ?? ?? ?? 8B FE 03 FF 8D 3C 7F 8B 43 04 8D 04 F8 33 C9 BA 30 00 00 00 E8 ?? ?? ?? ?? 8B 43 04 8D 04 F8 8D 55 D0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89735_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.IndexOf"
		size = 66
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F0 8B 7E 08 4F 85 FF 7C 27 47 33 DB 8B C3 03 C0 8D 04 40 8B 56 04 8D 14 C2 8B 0C 24 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 07 43 4F 75 DC 83 C8 FF 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89736_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.LastIndexOf"
		size = 62
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B 5E 08 4B 83 FB 00 7C 25 8B C3 03 C0 8D 04 40 8B 56 04 8D 14 C2 8B CF 8B 46 0C 8B 28 FF 55 0C 85 C0 75 04 8B C3 EB 09 4B 83 FB FF 75 DB 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89737_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Reverse"
		size = 188
		refs = "0010 TVirtualKey 0015 @InitializeRecord 001d TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.Reverse 0048 @CopyRecord 00a9 @FinalizeRecord 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B D8 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 7B 08 4F 3B FE 7E 61 8D 45 D0 8B D6 03 D2 8D 14 52 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 8D 04 40 8B 53 04 8D 04 C2 8B D7 03 D2 8D 14 52 8B 4B 04 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 03 C0 8D 04 40 8B 53 04 8D 04 C2 8D 55 D0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 3B FE 7F 9F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89743_0 {
	meta:
		name = "TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.ToArray"
		size = 162
		refs = "001c TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.ToArray 0034 TArray<Vcl.Touch.KeyboardTypes.TVirtualKey> 0039 @DynArraySetLength 0053 TList<Vcl.Touch.KeyboardTypes.TVirtualKey>.GetItem 006b TVirtualKey 0070 @CopyRecord 008f @FinalizeRecord 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 08 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 7E 08 4F 85 FF 7C 30 47 33 DB 8D 4D CC 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 CC 8B C3 03 C0 8D 04 40 8B 4D FC 8B 09 8D 04 C1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4F 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89903_0 {
	meta:
		name = "TComparer<Vcl.Touch.KeyboardTypes.TVirtualKey>.Default"
		size = 32
		refs = "000a TVirtualKey 0011 _LookupVtableInfo 001a @IntfCopy"
	strings:
		$1 = { 53 8B DA B9 30 00 00 00 8B 15 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89906_0 {
	meta:
		name = "TArray.BinarySearch<Vcl.Touch.KeyboardTypes.TVirtualKey>"
		size = 188
		refs = "0033 SArgumentOutOfRange 003a _Dn_EArgumentOutOfRangeException 003f Exception.CreateRes 0044 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B 75 08 8B 45 0C 85 C0 7C 1B 3B C1 7E 04 85 F6 7F 13 8D 14 06 4A 3B D1 7F 0B 85 F6 7C 07 8D 14 06 85 D2 7D 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 75 0B 8B 55 14 89 02 C6 45 FB 00 EB 58 C6 45 FB 00 8B D8 03 F0 4E 89 75 F4 3B 5D F4 7F 42 8B 75 F4 2B F3 D1 EE 03 F3 8B C6 03 C0 8D 04 40 8B 55 FC 8D 14 C2 8B 4D 18 8B 45 10 8B 38 FF 57 0C 89 45 F0 83 7D F0 00 7D 05 8D 5E 01 EB 0E 4E 89 75 F4 83 7D F0 00 75 04 C6 45 FB 01 3B 5D F4 7E BE 8B 45 14 89 18 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_89921_0 {
	meta:
		name = "TArray.QuickSort<Vcl.Touch.KeyboardTypes.TVirtualKey>"
		size = 381
		refs = "0017 TVirtualKey 001c @InitializeRecord 0032 TArray.QuickSort<Vcl.Touch.KeyboardTypes.TVirtualKey> 007c @CopyRecord 0168 @FinalizeArray 016e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 89 4D 94 89 55 98 89 45 9C 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 94 40 85 C0 0F 84 04 01 00 00 8B 45 08 2B 45 0C 85 C0 0F 8E F6 00 00 00 8B 5D 0C 8B 75 08 8D 45 D0 8B 55 08 2B 55 0C D1 EA 03 55 0C 03 D2 8D 14 52 8B 4D 98 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B C3 03 C0 8D 04 40 8B 55 98 8D 14 C2 8D 4D D0 8B 45 10 8B 38 FF 57 0C 85 C0 7C E3 EB 01 4E 8B C6 03 C0 8D 04 40 8B 55 98 8D 14 C2 8D 4D D0 8B 45 10 8B 38 FF 57 0C 85 C0 7F E3 3B F3 7C 5A 3B F3 74 54 8D 45 A0 8B FB 03 FF 8D 3C 7F 8B 55 98 8D 14 FA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 8D 04 F8 8B D6 03 D2 8D 14 52 8B 4D 98 8D 14 D1 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 03 C0 8D 04 40 8B 55 98 8D 04 C2 8D 55 A0 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 3B F3 0F 8D 5F FF FF FF 3B 75 0C 7E 17 8B 45 10 50 8B 45 0C 50 56 8B 55 98 8B 4D 94 8B 45 9C E8 ?? ?? ?? ?? 89 5D 0C 3B 5D 08 0F 8C 0A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_89935_0 {
	meta:
		name = "TValueListEditor.Create"
		size = 364
		refs = "0013 @ClassCreate 0020 TValueListEditor.Create 002f TCustomGrid.Create 0044 _DV_TValueListStrings 0049 TValueListStrings.Create 0058 _DV_TValueListTitles 005d TValueListTitles.Create 006d SKeyCaption 0072 LoadResString 0084 SValueCaption 00a3 TCustomGrid.SetColCount 00af TCustomGrid.SetRowCount 00b8 TCustomGrid.SetFixedCols 00c4 TCustomGrid.SetDefaultColWidth 00d0 TCustomGrid.SetDefaultRowHeight 00dc TControl.SetWidth 00e8 TControl.SetHeight 00f5 TValueListEditor.SetOptions 010e TCustomGrid.SetCol 0132 @UStrArrayClr 0138 @HandleFinally 0147 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 58 0B 05 ?? ?? ?? ?? 89 46 58 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 84 03 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E 80 03 00 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 38 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 86 80 03 00 00 8B 08 FF 51 38 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? BA 96 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 12 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 32 01 00 00 8B C6 E8 ?? ?? ?? ?? BA 2C 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 86 89 03 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? C7 86 8C 03 00 00 08 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 8B E5 5D C3 00 00 00 00 00 08 00 8F 64 00 00 07 00 00 00 }
	condition:
		$1
}

rule function_89936_0 {
	meta:
		name = "TValueListEditor.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0028 TCustomGrid.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 80 03 00 00 E8 ?? ?? ?? ?? 8B 86 84 03 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89937_0 {
	meta:
		name = "TValueListEditor.CreateEditor"
		size = 83
		refs = "0009 _Dn_TInplaceEditList 000e TInplaceEditList.Create 004a TValueListEditor.EditListGetItems"
	strings:
		$1 = { 53 56 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A0 03 00 00 8B 83 8C 03 00 00 89 86 E0 02 00 00 8B 83 B0 03 00 00 89 86 F0 02 00 00 8B 83 B4 03 00 00 89 86 F4 02 00 00 89 9E EC 02 00 00 C7 86 E8 02 00 00 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_89939_0 {
	meta:
		name = "TValueListEditor.IsEmptyRow"
		size = 162
		refs = "000f TValueListEditor.IsEmptyRow 001c TValueListEditor.GetStrings 008e @UStrArrayClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 8B 93 94 02 00 00 2B 93 A8 02 00 00 3B C2 7E 3B 8D 45 FC 50 8B 8B 94 02 00 00 33 D2 8B C3 8B 30 FF 96 30 01 00 00 83 7D FC 00 75 1F 8D 45 F8 50 8B 8B 94 02 00 00 BA 01 00 00 00 8B C3 8B 18 FF 93 30 01 00 00 83 7D F8 00 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89940_0 {
	meta:
		name = "TValueListEditor.FindRow"
		size = 47
		refs = "000c TValueListEditor.GetStrings"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 58 89 06 83 3E FF 0F 95 C0 84 C0 74 08 8B 93 A8 02 00 00 01 16 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89941_0 {
	meta:
		name = "TValueListEditor.GetColCount"
		size = 7
	strings:
		$1 = { 8B 80 8C 02 00 00 C3 }
	condition:
		$1
}

rule function_89942_0 {
	meta:
		name = "TValueListEditor.GetRowCount"
		size = 7
	strings:
		$1 = { 8B 80 C8 02 00 00 C3 }
	condition:
		$1
}

rule function_89943_0 {
	meta:
		name = "TValueListEditor.GetCell"
		size = 204
		refs = "0041 @UStrClr 004a TValueListEditor.GetStrings 007a TStrings.GetName 0097 TValueListEditor.GetCell 009c Pos 00b0 @UStrDelete"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 85 F6 75 36 F6 83 89 03 00 00 01 74 2D 8B 83 80 03 00 00 8B 10 FF 52 14 3B 45 FC 7E 13 8B 4D 08 8B 55 FC 8B 83 80 03 00 00 8B 18 FF 53 0C EB 77 8B 45 08 E8 ?? ?? ?? ?? EB 6D 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 75 0A 8B 45 08 E8 ?? ?? ?? ?? EB 53 2B B3 A8 02 00 00 83 7D FC 00 75 13 8B C3 E8 ?? ?? ?? ?? 8B 4D 08 8B D6 E8 ?? ?? ?? ?? EB 34 8B C3 E8 ?? ?? ?? ?? 8B 4D 08 8B D6 8B 18 FF 53 0C 8B 55 08 8B 12 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 10 8B 55 08 8B C8 B8 01 00 00 00 92 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_89944_0 {
	meta:
		name = "TValueListEditor.SetCell"
		size = 225
		refs = "001c TValueListEditor.SetCell 0055 FormatLine 007f TValueListEditor.GetStrings 00c4 @UStrArrayClr 00cc @UStrClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F4 2B 9E A8 02 00 00 83 7D F8 00 75 26 8D 45 F0 50 8B 4D F4 BA 01 00 00 00 8B C6 8B 38 FF 97 30 01 00 00 8B 55 F0 8D 4D FC 8B 45 08 E8 ?? ?? ?? ?? EB 21 8D 45 EC 50 8B 4D F4 33 D2 8B C6 8B 38 FF 97 30 01 00 00 8B 45 EC 8D 4D FC 8B 55 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 52 14 3B D8 7C 11 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 38 EB 11 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B D3 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89945_0 {
	meta:
		name = "TValueListEditor.SetDropDownRows"
		size = 23
	strings:
		$1 = { 89 90 8C 03 00 00 8B 88 A0 03 00 00 85 C9 74 06 89 91 E0 02 00 00 C3 }
	condition:
		$1
}

rule function_89946_0 {
	meta:
		name = "TValueListEditor.GetKey"
		size = 28
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B CE 33 D2 8B C3 8B 18 FF 93 30 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89947_0 {
	meta:
		name = "TValueListEditor.SetKey"
		size = 30
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 55 8B CF 33 D2 8B C6 8B 18 FF 93 34 01 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89948_0 {
	meta:
		name = "TValueListEditor.GetValue"
		size = 59
		refs = "0011 TValueListEditor.FindRow 0032 @UStrClr"
	strings:
		$1 = { 53 56 57 51 8B F1 8B FA 8B D8 8B CC 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 56 8B 4C 24 04 BA 01 00 00 00 8B C3 8B 18 FF 93 30 01 00 00 EB 07 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89949_0 {
	meta:
		name = "TValueListEditor.SetValue"
		size = 65
		refs = "0011 TValueListEditor.FindRow 0038 TValueListEditor.InsertRow"
	strings:
		$1 = { 53 56 57 51 8B F9 8B DA 8B F0 8B CC 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 16 57 8B 4C 24 04 BA 01 00 00 00 8B C6 8B 18 FF 93 34 01 00 00 EB 0D 6A 01 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89950_0 {
	meta:
		name = "TValueListEditor.SetTitleCaptions"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 80 03 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_89951_0 {
	meta:
		name = "TValueListEditor.TitleCaptionsStored"
		size = 176
		refs = "0010 TValueListEditor.TitleCaptionsStored 0030 SKeyCaption 0035 LoadResString 0045 SValueCaption 005f @UStrCatN 0068 @UStrEqual 0087 @UStrArrayClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 80 03 00 00 8B 08 FF 51 1C 8B 45 FC 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_89952_0 {
	meta:
		name = "TValueListEditor.GetStrings"
		size = 7
	strings:
		$1 = { 8B 80 84 03 00 00 C3 }
	condition:
		$1
}

rule function_89953_0 {
	meta:
		name = "TValueListEditor.SetStrings"
		size = 12
	strings:
		$1 = { 8B 80 84 03 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_89954_0 {
	meta:
		name = "SetColumnTitles"
		size = 72
		refs = "000e TValueListEditor.GetRowCount 0023 TCustomGrid.SetRowCount 0033 TCustomGrid.SetFixedRows"
	strings:
		$1 = { 55 8B EC 84 C0 74 32 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 83 F8 02 7D 10 8B 45 08 8B 40 FC BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 5D C3 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_89955_0 {
	meta:
		name = "TValueListEditor.SetDisplayOptions"
		size = 79
		refs = "0026 SetColumnTitles 0047 TValueListEditor.Refresh"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 55 FB 89 45 FC F6 45 FB 01 0F 95 C0 8B 55 FC F6 82 89 03 00 00 01 0F 95 C2 3A C2 74 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC 0F B6 55 FB 88 90 89 03 00 00 8B 45 FC 8B 10 FF 92 24 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_89956_0 {
	meta:
		name = "TValueListEditor.GetItemProp"
		size = 12
		refs = "0007 TValueListStrings.GetItemProp"
	strings:
		$1 = { 8B 80 84 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89957_0 {
	meta:
		name = "TValueListEditor.PutItemProp"
		size = 12
		refs = "0007 TValueListStrings.PutItemProp"
	strings:
		$1 = { 8B 80 84 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_89958_0 {
	meta:
		name = "TValueListEditor.SetKeyOptions"
		size = 116
		refs = "0019 TValueListEditor.SetKeyOptions 0058 TCustomGrid.SetCol"
	strings:
		$1 = { 53 51 88 14 24 8B D8 F6 04 24 01 75 18 F6 83 88 03 00 00 01 74 0F 0F B6 05 ?? ?? ?? ?? F7 D0 22 04 24 88 04 24 F6 04 24 02 74 16 F6 83 88 03 00 00 02 75 0D 0F B6 05 ?? ?? ?? ?? 0A 04 24 88 04 24 F6 04 24 01 75 15 83 BB 90 02 00 00 00 75 0C BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 04 24 88 83 88 03 00 00 5A 5B C3 00 00 00 02 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_89959_0 {
	meta:
		name = "TValueListEditor.GetOnStringsChange"
		size = 18
	strings:
		$1 = { 8B 80 84 03 00 00 8B 48 40 89 0A 8B 48 44 89 4A 04 C3 }
	condition:
		$1
}

rule function_89960_0 {
	meta:
		name = "TValueListEditor.GetOnStringsChanging"
		size = 18
	strings:
		$1 = { 8B 80 84 03 00 00 8B 48 48 89 0A 8B 48 4C 89 4A 04 C3 }
	condition:
		$1
}

rule function_89961_0 {
	meta:
		name = "TValueListEditor.SetOnStringsChange"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 80 84 03 00 00 8B 55 08 89 50 40 8B 55 0C 89 50 44 5D C2 08 00 }
	condition:
		$1
}

rule function_89962_0 {
	meta:
		name = "TValueListEditor.SetOnStringsChanging"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 80 84 03 00 00 8B 55 08 89 50 48 8B 55 0C 89 50 4C 5D C2 08 00 }
	condition:
		$1
}

rule function_89963_0 {
	meta:
		name = "TValueListEditor.SetOnEditButtonClick"
		size = 59
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 B0 03 00 00 8B 55 0C 89 90 B4 03 00 00 8B 90 A0 03 00 00 85 D2 74 18 8B 88 B0 03 00 00 89 8A F0 02 00 00 8B 88 B4 03 00 00 89 8A F4 02 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_89964_0 {
	meta:
		name = "TValueListEditor.DrawCell"
		size = 300
		refs = "002f TValueListEditor.DrawCell 0065 @VarFromInt 0075 TValueListStrings.FindItemProp 0090 @UStrLAsg 00aa TStyleManager.GetActiveStyle 00fa TCustomDrawGrid.DrawCell 010f @VarClr 0117 @UStrClr 011d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D D8 89 5D DC 89 5D E0 89 5D FC 8B 75 0C 8D 7D E4 A5 A5 A5 A5 8B F9 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE 04 03 00 00 00 0F 84 A3 00 00 00 83 7D F8 00 75 31 8B 86 A8 02 00 00 48 3B F8 7E 26 8D 45 D4 8B D7 2B 96 A8 02 00 00 B1 FC E8 ?? ?? ?? ?? 8D 55 D4 33 C9 8B 86 84 03 00 00 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 85 DB 74 13 83 7B 1C 00 74 0D 8D 45 FC 8B 53 1C E8 ?? ?? ?? ?? EB 13 8D 45 FC 50 8B CF 8B 55 F8 8B C6 8B 18 FF 93 30 01 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 48 84 C0 74 09 C7 45 F4 04 00 00 00 EB 07 C7 45 F4 02 00 00 00 8B 45 E8 83 C0 02 50 8B 45 FC 50 8B 4D E4 03 4D F4 8D 55 E4 8B 86 78 02 00 00 8B 18 FF 93 98 00 00 00 8D 45 E4 50 0F B6 45 08 50 8B CF 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_89965_0 {
	meta:
		name = "TValueListEditor.AdjustColWidths"
		size = 313
		refs = "001c TWinControl.HandleAllocated 0056 TValueListEditor.AdjustColWidths 0066 TCustomGrid.GetColWidths 007f TControl.GetClientWidth 00be TCustomGrid.SetColWidths 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 80 B8 95 03 00 00 00 0F 85 1D 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 0D 01 00 00 8B 45 FC 80 B8 F2 01 00 00 00 0F 84 FD 00 00 00 8B 45 FC F6 80 89 03 00 00 02 0F 84 ED 00 00 00 8B 45 FC C6 80 95 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D8 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 03 D8 8B 45 FC E8 ?? ?? ?? ?? 83 E8 02 3B D8 0F 84 88 00 00 00 8B 45 FC F6 80 89 03 00 00 04 74 2A 33 D2 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 58 2B C8 83 E9 02 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 52 8B 45 FC E8 ?? ?? ?? ?? 8B C8 83 E9 02 D1 F9 79 03 83 D1 00 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 83 E8 02 25 01 00 00 80 79 05 48 83 C8 FE 40 03 D8 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 95 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5B 59 5D C3 }
	condition:
		$1
}

rule function_89966_0 {
	meta:
		name = "TValueListEditor.AdjustRowCount"
		size = 120
		refs = "0007 TValueListEditor.GetStrings 0034 TValueListEditor.GetRowCount 004a TCustomGrid.SetRow 0071 TCustomGrid.SetRowCount"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 7E 16 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 8B F0 03 B3 A8 02 00 00 EB 07 8B B3 A8 02 00 00 46 8B C3 E8 ?? ?? ?? ?? 3B F0 74 39 3B B3 94 02 00 00 7D 0A 8B D6 4A 8B C3 E8 ?? ?? ?? ?? F6 83 89 03 00 00 01 74 15 83 BB 94 02 00 00 00 75 0C BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_89967_0 {
	meta:
		name = "TValueListEditor.Resize"
		size = 22
		refs = "0006 TControl.Resize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 24 01 00 00 5B C3 }
	condition:
		$1
}

rule function_89968_0 {
	meta:
		name = "TValueListEditor.ColWidthsChanged"
		size = 22
		refs = "0010 TCustomGrid.ColWidthsChanged"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 24 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89969_0 {
	meta:
		name = "TValueListEditor.Refresh"
		size = 41
		refs = "0023 TCustomGrid.InvalidateEditor"
	strings:
		$1 = { 53 8B D8 83 BB 98 03 00 00 00 75 1B 8B C3 8B 10 FF 92 28 01 00 00 8B C3 8B 10 FF 92 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89971_0 {
	meta:
		name = "TValueListEditor.CanEditModify"
		size = 126
		refs = "0011 TValueListEditor.CanEditModify 001e TCustomGrid.CanEditModify 003a @VarFromInt 004a TValueListStrings.FindItemProp 006a @VarClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 31 8D 45 F0 8B 96 94 02 00 00 2B 96 A8 02 00 00 B1 FC E8 ?? ?? ?? ?? 8D 55 F0 33 C9 8B 86 84 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 07 0F B6 58 18 80 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89972_0 {
	meta:
		name = "TValueListEditor.DisableEditUpdate"
		size = 38
		refs = "000f TValueListEditor.GetStrings"
	strings:
		$1 = { 53 8B D8 83 BB 98 03 00 00 00 75 12 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 89 83 9C 03 00 00 FF 83 98 03 00 00 5B C3 }
	condition:
		$1
}

rule function_89973_0 {
	meta:
		name = "TValueListEditor.EnableEditUpdate"
		size = 47
		refs = "0015 TValueListEditor.GetStrings 0029 TValueListEditor.Refresh"
	strings:
		$1 = { 53 8B D8 FF 8B 98 03 00 00 83 BB 98 03 00 00 00 75 1B 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 3B 83 9C 03 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89974_0 {
	meta:
		name = "TValueListEditor.GetEditLimit"
		size = 118
		refs = "0010 TValueListEditor.GetEditLimit 002c @VarFromInt 003c TValueListStrings.FindItemProp 004c TCustomGrid.GetEditLimit 0063 @VarClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B 93 94 02 00 00 2B 93 A8 02 00 00 B1 FC E8 ?? ?? ?? ?? 8D 55 F0 33 C9 8B 83 84 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 05 8B 58 14 EB 09 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89975_0 {
	meta:
		name = "TValueListEditor.GetEditMask"
		size = 173
		refs = "0021 TValueListEditor.GetEditMask 003a @VarFromInt 004a TValueListStrings.FindItemProp 005a @UStrAsg 0063 @UStrClr 0098 @VarClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 55 F8 2B 93 A8 02 00 00 B1 FC E8 ?? ?? ?? ?? 8D 55 E8 33 C9 8B 83 84 03 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0C 8B C7 8B 56 08 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 66 83 BB 52 03 00 00 00 74 16 8B 45 F8 50 57 8B 4D FC 8B D3 8B 83 54 03 00 00 FF 93 50 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89976_0 {
	meta:
		name = "TValueListEditor.GetEditStyle"
		size = 165
		refs = "001b TValueListEditor.GetEditStyle 003b @VarFromInt 004b TValueListStrings.FindItemProp 0066 TInplaceEditList.GetPickList 0075 TValueListEditor.GetPickList 0090 @VarClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 83 7D FC 00 74 52 8D 45 EC 8B D7 2B 96 A8 02 00 00 B1 FC E8 ?? ?? ?? ?? 8D 55 EC 33 C9 8B 86 84 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 0C 80 78 0C 00 74 06 0F B6 58 0C EB 20 8B 86 A0 03 00 00 E8 ?? ?? ?? ?? 8B 90 88 02 00 00 B1 01 8B C6 E8 ?? ?? ?? ?? 84 C0 74 02 B3 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89977_0 {
	meta:
		name = "TValueListEditor.GetEditText"
		size = 75
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 45 08 50 8B 4D FC 8B D6 8B C3 8B 38 FF 97 30 01 00 00 66 83 BB 5A 03 00 00 00 74 18 8B 45 FC 50 8B 45 08 50 8B CE 8B D3 8B 83 5C 03 00 00 FF 93 58 03 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_89978_0 {
	meta:
		name = "TValueListEditor.SetEditText"
		size = 337
		refs = "001d TValueListEditor.SetEditText 0031 TCustomDrawGrid.SetEditText 0039 TValueListEditor.DisableEditUpdate 004f TValueListEditor.GetStrings 0076 TStrings.Append 00ab @UStrEqual 00c5 TValueListStrings.KeyIsValid 00ea @UStrAsg 00f9 @UStrClr 011f TValueListEditor.EnableEditUpdate 0125 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 89 55 F8 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B CF 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 8B 55 FC 8B CF 2B 8A A8 02 00 00 3B C1 7F 2A 85 F6 74 26 8B 45 FC E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 84 03 00 00 8B 10 FF 52 14 8B 55 FC 89 82 9C 03 00 00 8D 45 F4 50 8B CF 8B 55 F8 8B 45 FC 8B 18 FF 93 30 01 00 00 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 74 5D 83 7D F8 00 75 39 8B 45 FC 8B 80 84 03 00 00 33 C9 8B D6 E8 ?? ?? ?? ?? 84 C0 75 23 8B 45 FC 8B 80 90 03 00 00 8B D6 E8 ?? ?? ?? ?? 74 11 8B 45 FC 05 90 03 00 00 8B D6 E8 ?? ?? ?? ?? EB 1E 8B 45 FC 05 90 03 00 00 E8 ?? ?? ?? ?? 56 8B CF 8B 55 F8 8B 45 FC 8B 18 FF 93 34 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89979_0 {
	meta:
		name = "TValueListEditor.EditListGetItems"
		size = 164
		refs = "0016 TValueListEditor.EditListGetItems 0032 @VarFromInt 0042 TValueListStrings.FindItemProp 004f TItemProp.HasPickList 005a TItemProp.GetPickList 007a TValueListEditor.GetPickList 008f @VarClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 D2 74 5A 8D 45 F0 8B D3 2B 96 A8 02 00 00 B1 FC E8 ?? ?? ?? ?? 8D 55 F0 33 C9 8B 86 84 03 00 00 E8 ?? ?? ?? ?? 8B F8 85 FF 74 1E 8B C7 E8 ?? ?? ?? ?? 84 C0 74 13 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 08 FF 51 08 EB 08 8B 45 08 8B 10 FF 52 44 33 C9 8B 55 08 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89980_0 {
	meta:
		name = "TValueListEditor.GetPickList"
		size = 255
		refs = "001b TValueListEditor.GetPickList 003f TValueListEditor.GetKey 0051 TStrings.BeginUpdate 00c3 TStrings.EndUpdate 00c9 @HandleFinally 00e9 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 89 5D F4 8B D9 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BE AA 03 00 00 00 0F 84 9C 00 00 00 8D 4D F4 8B 96 94 02 00 00 8B C6 E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 82 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 08 8B 45 FC 8B 10 FF 52 44 8B 45 FC 50 8D 4D F0 8B 96 94 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 4D F0 8B D6 8B 86 AC 03 00 00 FF 96 A8 03 00 00 8B 45 FC 8B 10 FF 52 14 85 C0 0F 9F 45 FB 8B 86 A0 03 00 00 0F B6 55 FB 88 90 E7 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 C6 45 FB 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_89981_0 {
	meta:
		name = "TValueListEditor.InsertRow"
		size = 323
		refs = "001c TValueListEditor.InsertRow 0036 TValueListEditor.GetStrings 0048 TValueListEditor.IsEmptyRow 005d TStrings.BeginUpdate 007d FormatLine 00e4 TStrings.EndUpdate 00ea @HandleFinally 012b @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 94 02 00 00 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 3B 45 F8 7C 10 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 9C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 00 74 2C 8D 4D F4 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 38 8B 55 FC 03 82 A8 02 00 00 89 45 F8 EB 2D 8D 4D F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC FF B2 A8 02 00 00 8B 55 F8 59 2B D1 59 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 56 8B 4D F8 33 D2 8B 45 FC 8B 18 FF 93 34 01 00 00 57 8B 4D F8 BA 01 00 00 00 8B 45 FC 8B 18 FF 93 34 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_89982_0 {
	meta:
		name = "TValueListEditor.DeleteRow"
		size = 178
		refs = "0028 TValueListEditor.DeleteRow 0036 TValueListEditor.GetStrings 004c TValueListEditor.GetRowCount 005f SIndexOutOfRange 0066 _Dn_EInvalidGridOperation 006b Exception.CreateRes 0070 @RaiseExcept 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F2 89 45 FC 8B 45 FC 80 B8 94 03 00 00 00 0F 85 94 00 00 00 8B 45 FC C6 80 94 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 74 1A 83 FE 01 7C 15 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 2B 82 A8 02 00 00 3B F0 7E 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC FF B2 A8 02 00 00 8B D6 59 2B D1 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 94 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5E 59 5D C3 }
	condition:
		$1
}

rule function_89983_0 {
	meta:
		name = "RestoreInplaceEditor"
		size = 186
		refs = "000d RestoreInplaceEditor 002c TCustomEdit.GetModified 0044 TCustomMaskEdit.GetEditText 0055 TInplaceEditList.RestoreContents 0074 @UStrEqual 008c TCustomEdit.SelectAll 00a6 @UStrArrayClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 08 8B 40 FC 8B B0 A0 03 00 00 85 F6 74 67 8B C6 E8 ?? ?? ?? ?? 84 C0 74 5C 8D 55 FC 8B 45 08 8B 40 FC 8B 80 A0 03 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 A0 03 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 08 8B 40 FC 8B 80 A0 03 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 0F 95 C3 84 DB 74 11 8B 45 08 8B 40 FC 8B 80 A0 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89984_0 {
	meta:
		name = "TValueListEditor.RestoreCurrentRow"
		size = 61
		refs = "000a RestoreInplaceEditor 0019 TValueListEditor.IsEmptyRow"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 55 E8 ?? ?? ?? ?? 59 8B D8 84 DB 75 22 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 FC 8B 90 94 02 00 00 8B 45 FC 8B 08 FF 91 20 01 00 00 B3 01 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_89985_0 {
	meta:
		name = "TValueListEditor.RowMoved"
		size = 42
		refs = "000d TValueListEditor.GetStrings 0021 TCustomDrawGrid.RowMoved"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 28 FF 55 78 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89986_0 {
	meta:
		name = "TValueListEditor.DoOnValidate"
		size = 177
		refs = "000f TValueListEditor.DoOnValidate 0033 TCustomEdit.GetModified 009f @UStrArrayClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB BA 03 00 00 00 74 66 83 BB F4 02 00 00 00 74 5D 8B 83 F4 02 00 00 E8 ?? ?? ?? ?? 84 C0 74 4E 8B B3 94 02 00 00 56 8D 45 FC 50 8B CE 33 D2 8B C3 8B 30 FF 96 30 01 00 00 8B 45 FC 50 8D 45 F8 50 8B 8B 94 02 00 00 BA 01 00 00 00 8B C3 8B 30 FF 96 30 01 00 00 8B 45 F8 50 8B 8B 90 02 00 00 8B D3 8B 83 BC 03 00 00 FF 93 B8 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89987_0 {
	meta:
		name = "TValueListEditor.SelectCell"
		size = 169
		refs = "0015 TValueListEditor.GetStrings 0025 TValueListEditor.IsEmptyRow 005b TCustomGrid.FocusCell 007b TCustomDrawGrid.SelectCell 0086 TValueListEditor.GetOptions"
	strings:
		$1 = { 53 56 57 55 8B F1 8B EA 8B F8 3B B7 94 02 00 00 74 4F 8B C7 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 7E 3F 8B C7 E8 ?? ?? ?? ?? 84 C0 74 34 80 BF 94 03 00 00 00 75 2B 8B 87 94 02 00 00 3B F0 0F 9C C3 8B D0 8B C7 8B 08 FF 91 20 01 00 00 84 DB 75 51 6A 01 8B CE 49 8B D5 8B C7 E8 ?? ?? ?? ?? EB 41 80 BF 94 03 00 00 00 75 0A 8B C7 8B 10 FF 92 2C 01 00 00 8B CE 8B D5 8B C7 E8 ?? ?? ?? ?? 84 C0 74 19 8B C7 E8 ?? ?? ?? ?? F6 C4 10 75 11 F6 87 88 03 00 00 01 75 08 85 ED 7F 04 33 DB EB 02 B3 01 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_89988_0 {
	meta:
		name = "InsertOK"
		size = 138
		refs = "0010 InsertOK 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 45 08 8B 40 FC 8B 88 94 02 00 00 8B 45 08 8B 40 FC 33 D2 8B 18 FF 93 30 01 00 00 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 12 8B 45 08 8B 40 FC F6 80 88 03 00 00 02 0F 95 C0 EB 02 33 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_89989_0 {
	meta:
		name = "SetRow"
		size = 28
		refs = "000b TCustomGrid.SetRow"
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 52 FC 92 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 66 C7 00 00 00 5D C3 }
	condition:
		$1
}

rule function_89990_0 {
	meta:
		name = "TValueListEditor.KeyDown"
		size = 384
		refs = "0025 TValueListEditor.KeyDown 006e TValueListEditor.GetRowCount 0074 SetRow 00a9 InsertOK 00c1 TValueListEditor.InsertRow 0132 TValueListEditor.GetStrings 0161 TValueListEditor.RestoreCurrentRow 0170 TCustomGrid.KeyDown"
	strings:
		$1 = { 55 8B EC 83 C4 F4 66 89 4D F6 89 55 F8 89 45 FC 8B 45 F8 0F B7 00 83 C0 E5 83 F8 13 0F 87 43 01 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 05 00 00 00 00 00 00 00 00 00 00 02 00 01 00 00 00 00 03 04 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 3B 45 F6 75 15 55 8B 45 FC E8 ?? ?? ?? ?? 48 E8 ?? ?? ?? ?? 59 E9 E7 00 00 00 0F B7 05 ?? ?? ?? ?? 66 3B 45 F6 0F 85 D6 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 48 8B 55 FC 3B 82 94 02 00 00 0F 85 BE 00 00 00 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 AF 00 00 00 55 6A 01 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 95 00 00 00 0F B7 05 ?? ?? ?? ?? 66 3B 45 F6 0F 85 84 00 00 00 55 8B 45 FC 8B 80 A8 02 00 00 E8 ?? ?? ?? ?? 59 EB 72 55 E8 ?? ?? ?? ?? 59 84 C0 74 67 55 6A 00 33 C9 33 D2 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 50 0F B7 05 ?? ?? ?? ?? 66 3B 45 F6 75 43 8B 45 FC F6 80 88 03 00 00 04 74 37 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 7E 14 8B 45 FC 8B 90 94 02 00 00 8B 45 FC 8B 08 FF 91 20 01 00 00 8B 45 F8 66 C7 00 00 00 EB 08 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 0F B7 4D F6 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 04 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_89991_0 {
	meta:
		name = "TValueListEditor.GetOptions"
		size = 9
	strings:
		$1 = { 8B 90 BC 02 00 00 8B C2 C3 }
	condition:
		$1
}

rule function_89992_0 {
	meta:
		name = "TValueListEditor.SetOptions"
		size = 44
		refs = "000d SNoColumnMoving 0014 _Dn_Exception 0019 Exception.CreateRes 001e @RaiseExcept 0026 TCustomGrid.SetOptions"
	strings:
		$1 = { 51 89 14 24 F6 44 24 01 02 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 14 24 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_89993_0 {
	meta:
		name = "TValueListEditor.CreateWnd"
		size = 33
		refs = "0006 TCustomGrid.CreateWnd 0015 TWinControl.GetHandle 001b SetScrollRange"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_89994_0 {
	meta:
		name = "TValueListEditor.DoExit"
		size = 93
		refs = "000e TValueListEditor.DoExit 002e @HandleAnyException 003e @RaiseAgain 0043 @DoneExcept 004b TCustomGrid.DoExit 0053 TCustomGrid.HideEdit"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 2C 01 00 00 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_89995_0 {
	meta:
		name = "TValueListEditor.CMShowingChanged"
		size = 31
		refs = "0006 TCustomGrid.CMShowingChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB F2 01 00 00 00 74 0A 8B C3 8B 10 FF 92 24 01 00 00 5B C3 }
	condition:
		$1
}

rule function_89996_0 {
	meta:
		name = "TValueListEditor.MouseDown"
		size = 118
		refs = "0016 TValueListEditor.MouseDown 0036 @HandleAnyException 0046 @RaiseAgain 004b @DoneExcept 0061 TCustomGrid.MouseDown 0069 TCustomGrid.HideEdit"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 66 89 4D FA 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 2C 01 00 00 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 F4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 0F B7 4D FA 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_89997_0 {
	meta:
		name = "TValueListStrings.Create"
		size = 56
		refs = "000a @ClassCreate 001a TStringList.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 5C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_89999_0 {
	meta:
		name = "TValueListStrings.Assign"
		size = 192
		refs = "001b TValueListStrings.Assign 002b TStringList.Assign 0033 _DV_TValueListStrings 0038 @IsClass 005d @VarFromInt 006a TValueListStrings.FindItemProp 0089 TValueListStrings.PutItemProp 00a3 Variant 00ad @FinalizeArray 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 51 89 5D F8 8B 45 FC 8B 10 FF 52 14 8B F8 4F 85 FF 7C 3F 47 33 DB 8D 45 E8 8B D3 B1 FC E8 ?? ?? ?? ?? 8D 55 E8 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 74 19 8D 45 D8 8B D3 B1 FC E8 ?? ?? ?? ?? 8D 55 D8 8B CE 8B 45 FC E8 ?? ?? ?? ?? 43 4F 75 C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90000_0 {
	meta:
		name = "TValueListStrings.Changing"
		size = 48
		refs = "0006 TStringList.Changing 002a @CallDynaInst"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 83 7E 20 00 75 1E 83 7E 5C 00 74 18 8B 46 5C 83 B8 98 03 00 00 00 75 0C 8B 46 5C 66 BE 97 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_90001_0 {
	meta:
		name = "TValueListStrings.Changed"
		size = 32
		refs = "0006 TStringList.Changed 001a TValueListEditor.Refresh"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 20 00 75 0E 83 7B 5C 00 74 08 8B 43 5C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90002_0 {
	meta:
		name = "TValueListStrings.KeyIsValid"
		size = 160
		refs = "0012 TValueListStrings.KeyIsValid 0017 Pos 0021 SNoEqualsInKey 0028 _Dn_Exception 002d Exception.CreateRes 0032 @RaiseExcept 0072 SKeyConflict 007e Exception.CreateResFmt"
	strings:
		$1 = { 53 56 57 83 C4 F4 88 0C 24 8B F2 8B F8 B3 01 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 5C 85 C0 74 4A F6 80 88 03 00 00 08 74 41 85 F6 74 3D 8B D6 8B C7 8B 08 FF 51 58 40 0F 94 C3 8B C3 34 01 22 04 24 74 27 89 74 24 04 C6 44 24 08 11 8D 44 24 04 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 83 C4 0C 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_90004_0 {
	meta:
		name = "TValueListStrings.CustomSort"
		size = 334
		refs = "001e TValueListStrings.CustomSort 002b _Dn_TList 0030 TObject.Create 0053 TList.SetCount 006e TItemProps 0073 @DynArrayCopyRange 009f TList.Put 00ae TStringList.CustomSort 00d8 TList.IndexOf 0100 TObject.Free 0106 @HandleFinally 0113 TCustomGrid.InvalidateEditor 012d @UStrArrayClr 013b @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 10 FF 52 14 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 50 8D 45 FC 50 8B 45 F8 8B 40 58 33 C9 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 21 46 33 DB 8D 4D EC 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 4D EC 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 43 4E 75 E2 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2E 46 33 DB 8D 4D E8 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 FC 8B 04 82 8B 55 F8 8B 52 58 89 04 9A 43 4E 75 D5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 8B 40 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90005_0 {
	meta:
		name = "TValueListStrings.Delete"
		size = 123
		refs = "0015 TStringList.Delete 0020 TObject.Free 004c Move 0062 TItemProps 0067 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 94 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 58 8B 04 B0 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 3B F0 7D 21 8B C3 8B 10 FF 52 14 2B C6 8B C8 03 C9 03 C9 8B 43 58 8D 14 B0 8B 43 58 8D 44 B0 04 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 50 8D 43 58 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 8B 10 FF 92 90 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_90006_0 {
	meta:
		name = "TValueListStrings.Exchange"
		size = 68
		refs = "001a TStringList.Exchange"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 92 94 00 00 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 58 8B 04 B0 8B 53 58 8B 14 BA 8B 4B 58 89 14 B1 8B 53 58 89 04 BA 8B C3 8B 10 FF 92 90 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90007_0 {
	meta:
		name = "TValueListStrings.FindItemProp"
		size = 232
		refs = "0019 TValueListStrings.FindItemProp 003f VarIsOrdinal 004a @VarToInteger 0058 @VarToUStr 0082 SKeyNotFound 0089 _Dn_Exception 008e Exception.CreateResFmt 0093 @RaiseExcept 00ad _DV_TItemProp 00b2 TItemProp.Create 00d3 @UStrClr 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F8 88 4D FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 14 85 C0 0F 8E 8E 00 00 00 83 7B 58 00 0F 84 84 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 45 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 58 8B F8 80 7D FF 00 74 29 83 FF FF 75 24 89 75 F0 C6 45 F4 0D 8D 45 F0 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 58 8B 34 B8 80 7D FF 00 74 1F 85 F6 75 1B 8B 4B 5C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 58 89 34 B8 EB 02 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90008_0 {
	meta:
		name = "TValueListStrings.InsertItem"
		size = 211
		refs = "0019 TValueListStrings.InsertItem 002c TStrings.ExtractName 0038 TValueListStrings.KeyIsValid 005b TStringList.InsertItem 0071 TItemProps 0076 @DynArraySetLength 0097 Move 00be @UStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 B1 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 94 00 00 00 8B C3 8B 10 FF 52 14 8B F8 8B 45 08 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 50 8D 43 58 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 3B FE 7E 1A 2B FE 8B CF 03 C9 03 C9 8B 43 58 8D 54 B0 04 8B 43 58 8D 04 B0 E8 ?? ?? ?? ?? 8B 43 58 33 D2 89 14 B0 8B C3 8B 10 FF 92 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_90010_0 {
	meta:
		name = "TValueListStrings.Put"
		size = 111
		refs = "0012 TValueListStrings.Put 0024 TStrings.ExtractName 003d TValueListStrings.KeyIsValid 0048 TStringList.Put 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 58 3B F0 0F 95 C1 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90011_0 {
	meta:
		name = "TValueListStrings.PutItemProp"
		size = 31
		refs = "0010 TValueListStrings.FindItemProp"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 B1 01 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90012_0 {
	meta:
		name = "TValueListStrings.FreeItemProps"
		size = 66
		refs = "0009 @DynArrayLength 001e TObject.Free 0032 TItemProps 0037 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 58 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 12 43 33 F6 8B 47 58 8B 04 B0 E8 ?? ?? ?? ?? 46 4B 75 F1 6A 00 8D 47 58 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90015_0 {
	meta:
		name = "TItemProp.AssignTo"
		size = 126
		refs = "000a _DV_TItemProp 000f @IsClass 0020 @AsClass 002c TItemProp.SetEditMask 0037 TItemProp.SetEditStyle 003e TItemProp.GetPickList 0056 TItemProp.SetMaxLength 0061 TItemProp.SetReadOnly 006b TItemProp.SetKeyDesc 0077 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 53 08 8B C6 E8 ?? ?? ?? ?? 0F B6 53 0C 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 8B 53 14 8B C6 E8 ?? ?? ?? ?? 0F B6 53 18 8B C6 E8 ?? ?? ?? ?? 8B 53 1C 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90016_0 {
	meta:
		name = "TItemProp.SetEditMask"
		size = 26
		refs = "000c @UStrAsg 0013 TItemProp.UpdateEdit"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 08 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90017_0 {
	meta:
		name = "TItemProp.SetEditStyle"
		size = 9
		refs = "0004 TItemProp.UpdateEdit"
	strings:
		$1 = { 88 50 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90020_0 {
	meta:
		name = "TItemProp.HasPickList"
		size = 32
	strings:
		$1 = { 53 56 8B D8 8B 73 10 85 F6 74 0B 8B C6 8B 10 FF 52 14 85 C0 7F 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_90021_0 {
	meta:
		name = "TItemProp.GetPickList"
		size = 43
		refs = "000d _Dn_TStringList 0012 TStringList.Create 0021 TItemProp.PickListChange"
	strings:
		$1 = { 53 56 8B D8 83 7B 10 00 75 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 10 89 5E 44 C7 46 40 ?? ?? ?? ?? 8B 43 10 5E 5B C3 }
	condition:
		$1
}

rule function_90022_0 {
	meta:
		name = "TItemProp.SetPickList"
		size = 30
		refs = "0009 TItemProp.GetPickList 0017 TItemProp.UpdateEdit"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_90023_0 {
	meta:
		name = "TItemProp.SetReadOnly"
		size = 9
		refs = "0004 TItemProp.UpdateEdit"
	strings:
		$1 = { 88 50 18 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90024_0 {
	meta:
		name = "TItemProp.UpdateEdit"
		size = 36
		refs = "001f TCustomGrid.InvalidateEditor"
	strings:
		$1 = { 8B 50 04 85 D2 74 1C 80 BA 05 03 00 00 00 74 13 8B 8A 84 03 00 00 83 79 20 00 75 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90025_0 {
	meta:
		name = "TItemProp.PickListChange"
		size = 69
		refs = "000c TItemProp.GetPickList 001e TItemProp.SetEditStyle"
	strings:
		$1 = { 53 8B D8 80 7B 0C 00 75 1B 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 7E 0B B2 02 8B C3 E8 ?? ?? ?? ?? 5B C3 80 7B 0C 02 75 19 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90026_0 {
	meta:
		name = "TValueListTitles.Changed"
		size = 24
		refs = "0006 TStringList.Changed 0012 TValueListEditor.Refresh"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 58 85 C0 74 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90027_0 {
	meta:
		name = "TValueListTitles.Create"
		size = 56
		refs = "000a @ClassCreate 001a TStringList.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 58 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_90032_0 {
	meta:
		name = "TWinHelpViewer.HelpFile"
		size = 212
		refs = "0014 TWinHelpViewer.HelpFile 0021 @UStrClr 0042 @UStrLAsg 004e WinHelpTester 008c @UStrCatN 0096 @UStrAsg 00b0 @UStrArrayClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 FF 75 13 83 7B 1C 00 74 0D 8D 55 FC 8B 43 1C 8B 08 FF 51 10 EB 0A 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 83 7D FC 00 75 16 83 3D ?? ?? ?? ?? 00 74 0D 8D 55 FC A1 ?? ?? ?? ?? 8B 08 FF 51 20 83 3D ?? ?? ?? ?? 00 74 25 8D 55 F8 A1 ?? ?? ?? ?? 8B 08 FF 51 1C FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_90033_0 {
	meta:
		name = "TWinHelpViewer.InternalShutDown"
		size = 37
		refs = "0006 TWinHelpViewer.SoftShutDown 001f @IntfClear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 1C 00 74 13 8B 53 0C 8B 43 1C 8B 08 FF 51 14 8D 43 1C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90035_0 {
	meta:
		name = "TWinHelpViewer.UnderstandsKeyword"
		size = 117
		refs = "000f TWinHelpViewer.UnderstandsKeyword 001b WinHelpTester 002a TWinHelpViewer.HelpFile 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 2A 8D 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 A1 ?? ?? ?? ?? 8B 18 FF 53 0C 84 C0 74 07 BB 01 00 00 00 EB 09 33 DB EB 05 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90038_0 {
	meta:
		name = "TWinHelpViewer.ShowTableOfContents"
		size = 159
		refs = "0012 TWinHelpViewer.ShowTableOfContents 001f TWinHelpViewer.MakeWinHelpHappy 003f TWinHelpViewer.HelpFile 005a @UStrLAsg 006b @UStrToPWChar 0072 WinHelp 008c @UStrArrayClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4F C6 43 10 02 8D 55 F4 8B 43 1C 8B 08 FF 51 10 8B 55 F4 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 2D 8B 43 1C 8B 10 FF 52 0C 8B D8 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? BE 03 00 00 00 33 FF 57 56 8B 45 F8 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90039_0 {
	meta:
		name = "TWinHelpViewer.ShowHelp"
		size = 388
		refs = "001b TWinHelpViewer.ShowHelp 002b SNoKeyword 0032 _Dn_EHelpSystemException 0037 Exception.CreateRes 003c @RaiseExcept 0053 TWinHelpViewer.HelpFile 006f Format 0076 TWinHelpViewer.MakeWinHelpHappy 0094 TWinHelpViewer.IsNewQuery 00ad @UStrAsg 00b5 @UStrToPWChar 00d2 WinHelp 00e7 @UStrClr 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D E4 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 89 75 E8 C6 45 EC 11 8D 4D E4 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 58 8D 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3A 83 7D F8 00 74 34 C6 43 10 01 8D 43 14 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 68 02 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 43 1C 8B 10 FF 52 0C 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 37 00 00 00 49 00 45 00 28 00 41 00 4C 00 28 00 22 00 25 00 73 00 22 00 2C 00 34 00 29 00 2C 00 22 00 41 00 4C 00 28 00 5C 00 22 00 25 00 30 00 3A 00 73 00 5C 00 22 00 2C 00 33 00 29 00 22 00 2C 00 22 00 4A 00 4B 00 28 00 5C 00 22 00 25 00 31 00 3A 00 73 00 5C 00 22 00 2C 00 5C 00 22 00 25 00 30 00 3A 00 73 00 5C 00 22 00 29 00 22 00 29 00 00 00 }
	condition:
		$1
}

rule function_90041_0 {
	meta:
		name = "TWinHelpViewer.SoftShutDown"
		size = 95
		refs = "000c TWinHelpViewer.SoftShutDown 0020 @UStrClr 0031 @UStrToPWChar 0038 WinHelp 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 C6 40 10 03 33 DB 8D 45 FC E8 ?? ?? ?? ?? BE 02 00 00 00 33 FF 57 56 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90042_0 {
	meta:
		name = "TWinHelpViewer.ShutDown"
		size = 45
		refs = "0006 TWinHelpViewer.SoftShutDown 0014 @IntfClear 001a WinHelpTester"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 1C 00 74 08 8D 43 1C E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90043_0 {
	meta:
		name = "TWinHelpViewer.UnderstandsTopic"
		size = 103
		refs = "000f TWinHelpViewer.UnderstandsTopic 001b WinHelpTester 002a TWinHelpViewer.HelpFile 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 1F 8D 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 A1 ?? ?? ?? ?? 8B 18 FF 53 10 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90044_0 {
	meta:
		name = "TWinHelpViewer.DisplayTopic"
		size = 292
		refs = "001e TWinHelpViewer.DisplayTopic 004f StrLFmt 005b TWinHelpViewer.HelpFile 0062 TWinHelpViewer.MakeWinHelpHappy 007e @UStrFromWArray 008d TWinHelpViewer.IsNewQuery 00c2 @UStrToPWChar 00d1 WinHelp 00e9 @UStrClr 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F0 FD FF FF 53 56 33 C9 89 8D F0 FD FF FF 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 B5 F4 FD FF FF C6 85 F8 FD FF FF 11 8D 85 F4 FD FF FF 50 6A 00 B9 ?? ?? ?? ?? 8D 85 FC FD FF FF BA FF 00 00 00 E8 ?? ?? ?? ?? 8D 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6B 6A 00 8D 85 F0 FD FF FF 8D 95 FC FD FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 8B 8D F0 FD FF FF B2 01 8B C3 E8 ?? ?? ?? ?? 84 C0 74 40 83 7D FC 00 74 3A C6 43 10 01 8D 43 14 8D 95 FC FD FF FF B9 00 01 00 00 E8 ?? ?? ?? ?? 8D 85 FC FD FF FF 50 68 02 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 1C 8B 10 FF 52 0C 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F0 FD FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 8B E5 5D C3 00 4A 00 75 00 6D 00 70 00 49 00 44 00 28 00 22 00 22 00 2C 00 22 00 25 00 73 00 22 00 29 00 00 00 }
	condition:
		$1
}

rule function_90046_0 {
	meta:
		name = "TWinHelpViewer.DisplayHelpByContext"
		size = 166
		refs = "0014 TWinHelpViewer.DisplayHelpByContext 0026 TWinHelpViewer.HelpFile 002d TWinHelpViewer.MakeWinHelpHappy 003d TWinHelpViewer.IsNewQuery 0063 @UStrLAsg 0072 @UStrToPWChar 0079 WinHelp 0093 @UStrArrayClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 48 56 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 84 C0 74 38 83 7D FC 00 74 32 C6 43 10 00 89 73 18 8B 43 1C 8B 10 FF 52 0C 8B D8 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? BF 01 00 00 00 56 57 8B 45 F8 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_90047_0 {
	meta:
		name = "TWinHelpViewer.CallWinHelp"
		size = 261
		refs = "001f TWinHelpViewer.CallWinHelp 002e TWinHelpViewer.MakeWinHelpHappy 0071 IntToStr 007d TWinHelpViewer.IsNewQuery 009f @UStrAsg 00af TWinHelpViewer.HelpFile 00bf @UStrToPWChar 00c6 WinHelp 00e6 @UStrArrayClr 00ee @UStrClr 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 89 55 F8 8B F0 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 96 00 00 00 66 81 FF 02 01 74 27 66 81 FF 05 01 74 20 66 81 FF 01 02 74 19 66 83 FF 0A 74 13 66 83 FF 08 74 0D 66 83 FF 01 74 07 66 81 FF 01 01 75 1B 6A 00 8D 55 F0 0F B7 C7 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 8B C6 E8 ?? ?? ?? ?? EB 02 B0 01 84 C0 74 47 C6 46 10 01 8D 55 EC 0F B7 C7 E8 ?? ?? ?? ?? 8B 55 EC 8D 46 14 E8 ?? ?? ?? ?? 8B 5D F8 8D 4D FC 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 0F B7 F7 8B 7D 08 57 56 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 83 F8 01 1B DB 43 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_90048_0 {
	meta:
		name = "WindowEnumerationTester"
		size = 104
		refs = "001f GetClassName 0024 WindowEnumerationTester 002f StrIComp"
	strings:
		$1 = { 55 8B EC 81 C4 00 FE FF FF 53 56 8B 5D 0C 8B 75 08 68 00 01 00 00 8D 85 00 FE FF FF 50 56 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 85 00 FE FF FF E8 ?? ?? ?? ?? 85 C0 75 07 89 73 04 C6 43 0C 01 0F B6 43 0C 34 01 F6 D8 1B C0 5E 5B 8B E5 5D C2 08 00 4D 00 53 00 5F 00 57 00 49 00 4E 00 48 00 45 00 4C 00 50 00 00 00 00 00 }
	condition:
		$1
}

rule function_90049_0 {
	meta:
		name = "DialogEnumerationTester"
		size = 96
		refs = "001f GetClassName 0024 DialogEnumerationTester 002f StrComp"
	strings:
		$1 = { 55 8B EC 81 C4 00 FE FF FF 53 56 8B 5D 0C 8B 75 08 68 00 01 00 00 8D 85 00 FE FF FF 50 56 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 85 00 FE FF FF E8 ?? ?? ?? ?? 85 C0 75 07 C6 43 0D 01 89 73 08 0F B6 43 0D 34 01 F6 D8 1B C0 5E 5B 8B E5 5D C2 08 00 23 00 33 00 32 00 37 00 37 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_90050_0 {
	meta:
		name = "FindWinHelp"
		size = 25
		refs = "000f WindowEnumerationTester 0014 EnumWindows"
	strings:
		$1 = { C6 40 0C 00 C6 40 0D 00 33 D2 89 50 04 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90051_0 {
	meta:
		name = "TWinHelpViewer.IsNewQuery"
		size = 137
		refs = "0013 @UStrAddRef 001b TWinHelpViewer.IsNewQuery 002d FindWinHelp 004a CompareStr 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 8D 45 E8 E8 ?? ?? ?? ?? 80 7D F4 00 74 29 3A 5E 10 75 24 80 EB 01 72 15 75 1D 8B 56 14 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 95 45 FB EB 0A 8B 45 08 3B 46 18 0F 95 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_90053_0 {
	meta:
		name = "TWinHelpViewer.CouldBeUnstableWindow"
		size = 27
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 0F B6 44 24 0D 34 01 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_90054_0 {
	meta:
		name = "TWinHelpViewer.MakeWinHelpHappy"
		size = 92
		refs = "000c FindWinHelp 001b DialogEnumerationTester 0027 GetWindowThreadProcessId 002d EnumThreadWindows 0036 TWinHelpViewer.IsBusyWindow 0043 TWinHelpViewer.CouldBeUnstableWindow 004e TWinHelpViewer.RestartWinHelp"
	strings:
		$1 = { 53 56 83 C4 F0 8B F0 33 DB 8B C4 E8 ?? ?? ?? ?? 80 7C 24 0C 00 74 1A 8B C4 50 68 ?? ?? ?? ?? 6A 00 8B 44 24 10 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D4 8B C6 E8 ?? ?? ?? ?? 84 C0 75 16 8B D4 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 E8 ?? ?? ?? ?? B3 01 8B C3 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_90055_0 {
	meta:
		name = "TWinHelpViewer.RestartWinHelp"
		size = 165
		refs = "0010 TWinHelpViewer.RestartWinHelp 001d TWinHelpViewer.SoftShutDown 0022 GetTickCount 002b Sleep 0045 TWinHelpViewer.HelpFile 0060 @UStrLAsg 0071 @UStrToPWChar 0078 WinHelp 0092 @UStrArrayClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 2B C3 3D E8 03 00 00 76 EB 8D 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 2D 8B 46 1C 8B 10 FF 52 0C 8B D8 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? BE 09 00 00 00 33 FF 57 56 8B 45 F8 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_90056_0 {
	meta:
		name = "TWinHelpViewer.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TObject.Create 001c HelpViewerIntf 002a @IntfCopy 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B D6 85 D2 74 03 83 EA E0 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_90058_0 {
	meta:
		name = "Finalization"
		size = 119
		refs = "0007 Finalization 0013 _DV_1 001a HelpViewer 002a TWinHelpViewer.InternalShutDown 002f HelpViewerIntf 0034 @IntfClear 0039 WinHelpTester 004d ViewerName 0052 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 47 A1 ?? ?? ?? ?? 83 78 1C 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_90059_0 {
	meta:
		name = "Vcl.WinHelpViewer"
		size = 91
		refs = "0007 Vcl.WinHelpViewer 0013 _DV_1 001d _DV_TWinHelpViewer 0022 TWinHelpViewer.Create 0027 HelpViewer 0034 @IntfClear 003b HelpViewerIntf 0040 RegisterViewer 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 2A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 C0 1C E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_90061_0 {
	meta:
		name = "TXPStyleMenuItem.CalcBounds"
		size = 102
		refs = "000b TCustomMenuItem.CalcBounds 0025 TControl.SetHeight 003b TCustomActionControl.HasGlyph"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 74 0E BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0D 8B 53 54 83 C2 02 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1C 8D B3 E4 01 00 00 8B FC A5 A5 A5 A5 FF 44 24 04 8B F4 8D BB E4 01 00 00 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90062_0 {
	meta:
		name = "TXPStyleMenuItem.CalcLayout"
		size = 56
		refs = "0009 TCustomMenuItem.CalcLayout"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 C4 01 00 00 89 04 24 8B 83 C8 01 00 00 40 89 44 24 04 8B 04 24 89 83 C4 01 00 00 8B 44 24 04 89 83 C8 01 00 00 59 5A 5B C3 }
	condition:
		$1
}

rule function_90063_0 {
	meta:
		name = "TXPStyleMenuItem.DrawBackground"
		size = 562
		refs = "002d TBrush.SetColor 008c TActionClientItem.Unused 0097 TCustomActionControl.GetActionBar 009c TCustomActionBar.GetColorMap 00a1 TCustomActionBarColorMap.GetUnusedColor 0196 TCustomActionControl.DrawBackground 01bc Mouse 01c3 TMouse.GetIsDragging"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8B D8 8B 83 BC 01 00 00 85 C0 0F 84 13 02 00 00 8B 50 24 81 FA 00 00 00 20 74 0E 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 56 8D 7C 24 14 A5 A5 A5 A5 5E 8B 93 C4 01 00 00 8B 83 E4 01 00 00 3B D0 7D 06 33 C9 89 4C 24 10 56 8D 7C 24 04 A5 A5 A5 A5 5E 3B D0 7D 09 83 E8 03 89 44 24 08 EB 0D 8B 83 EC 01 00 00 83 C0 03 89 44 24 08 B8 19 00 00 00 89 44 24 08 2B 04 24 89 44 24 10 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 23 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 1D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 48 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B D4 8B 83 B0 01 00 00 8B 08 FF 51 54 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 7C 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 80 BB DC 01 00 00 00 74 0B 8B C3 8B 10 FF 52 68 84 C0 75 12 80 BB DC 01 00 00 00 74 75 80 BB 00 02 00 00 00 75 6C 8B C3 8B 10 FF 52 68 84 C0 74 5E 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 4B 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 74 21 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 74 2F 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 74 1C 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 70 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? FF 4E 08 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 0E 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 75 70 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 75 60 80 BB DC 01 00 00 00 74 0B 8B C3 8B 10 FF 52 68 84 C0 75 12 80 BB DC 01 00 00 00 74 43 80 BB 00 02 00 00 00 75 3A 8B D6 8B 83 B0 01 00 00 8B 08 FF 51 54 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 40 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? FF 46 08 8B D6 8B 83 B0 01 00 00 8B 08 FF 51 5C 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90064_0 {
	meta:
		name = "TXPStyleMenuItem.DrawGlyph"
		size = 1110
		refs = "0037 _Dn_TCustomAction 003c @IsClass 0089 Rect 0097 TCustomActionBar.GetColorMap 00ab TBrush.SetColor 00c4 TCustomActionControl.GetActionBar 00dd TPen.SetColor 00ee TCustomCanvas.Rectangle 0138 DrawCheck 02a8 _Dn_TBitmap 02ad TBitmap.Create 02b8 TXPStyleMenuItem.DrawGlyph 02fc GetShadowColor 032d TBitmap.GetCanvas 0375 TCustomImageList.Draw 03d0 TBrush.GetHandle 03df TCanvas.GetHandle 03e5 DrawState 03fa TObject.Free 0414 @HandleFinally 0424 TCustomActionControl.DrawGlyph"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 8B DA 89 45 FC 8B 45 FC 8B B0 BC 01 00 00 85 F6 0F 84 23 01 00 00 8B C6 8B 10 FF 52 34 84 C0 0F 85 14 01 00 00 8B 45 FC 8B 10 FF 52 58 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 F9 00 00 00 8B 45 FC 8B 10 FF 52 58 80 78 71 00 0F 84 E7 00 00 00 8B 45 FC 8B 10 FF 92 EC 00 00 00 84 C0 0F 84 85 00 00 00 8B 45 FC 8B 40 54 48 50 8D 45 D0 50 8B 33 8B CE 83 C1 14 8B C6 48 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 70 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 FC 8B 80 B0 01 00 00 8B 08 FF 51 54 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 40 8B 45 FC 8B 80 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 58 8B 45 FC 8B 80 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 03 83 C0 06 8B 53 04 83 C2 03 89 45 E0 89 55 E4 6A 01 8B 45 FC 8B 80 B0 01 00 00 B9 02 00 00 00 8D 55 E0 E8 ?? ?? ?? ?? E9 0F 03 00 00 8B 45 FC 8B 10 FF 92 EC 00 00 00 84 C0 74 74 8B 45 FC 8B 40 54 48 50 8D 45 D0 50 8B 33 8B CE 83 C1 14 8B C6 48 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 70 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 40 8B 45 FC 8B 80 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 8B 40 10 8B 40 18 89 45 F8 8B 45 FC 80 B8 DC 01 00 00 00 74 0C 8B 45 FC 8B 10 FF 52 68 84 C0 75 18 8B 45 FC 80 B8 DC 01 00 00 00 74 30 8B 45 FC 80 B8 00 02 00 00 00 75 24 8B 45 FC 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 70 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 22 8B 45 FC 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 60 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 03 89 45 EC 8B 43 04 89 45 F0 8B 45 FC 80 B8 DC 01 00 00 00 0F 84 C0 01 00 00 8B 45 FC 8B 10 FF 52 68 84 C0 0F 84 B0 01 00 00 8B 45 FC 8B 80 BC 01 00 00 8B 10 FF 52 34 84 C0 0F 84 9A 01 00 00 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 8B 40 10 8B 40 18 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 BC 01 00 00 8B 48 5C 33 D2 8B 45 FC 8B 18 FF 93 E4 00 00 00 8B D8 85 DB 0F 84 04 01 00 00 8B 45 FC 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8B 40 70 BA CE FF FF FF E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 53 3C 8B 45 E8 8B 08 FF 51 44 8B 53 3C 8B 45 E8 8B 08 FF 51 38 8B 45 E8 E8 ?? ?? ?? ?? 8D 55 C0 8B 08 FF 51 10 8D 45 C0 50 8B 45 E8 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 80 7B 70 01 75 2A 6A 00 8B 45 FC 8B 80 BC 01 00 00 8B 40 5C 50 6A 02 6A 01 6A 01 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? EB 24 6A 00 8B 45 FC 8B 80 BC 01 00 00 8B 40 5C 50 6A 01 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 68 84 00 00 00 6A 00 6A 00 8B 45 F0 83 C0 02 50 8B 45 EC 83 C0 03 50 6A 00 8B 45 E8 8B 10 FF 52 70 50 6A 00 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 8B 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC FF 45 EC 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? EB 12 83 45 EC 02 FF 45 F0 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 8B 55 F8 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90066_0 {
	meta:
		name = "TXPStyleMenuItem.DrawShadowedText"
		size = 121
		refs = "001a @UStrAddRef 0022 TXPStyleMenuItem.DrawShadowedText 0037 OffsetRect 004f TCustomMenuItem.DrawShadowedText 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 33 C9 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CE 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_90067_0 {
	meta:
		name = "TXPStyleMenuItem.DrawSubMenuGlyph"
		size = 109
		refs = "000a TCustomMenuItem.DrawSubMenuGlyph 001b TCustomActionBar.GetColorMap 0026 TPen.SetColor 0037 TBrush.SetColor 0064 DrawArrow"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 B0 01 00 00 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 58 8B 46 44 E8 ?? ?? ?? ?? 8B 46 44 8B 40 10 8B 50 18 8B 46 48 E8 ?? ?? ?? ?? 8B 43 50 83 E8 0B 89 04 24 8B 43 54 D1 F8 79 03 83 D0 00 83 E8 03 89 44 24 04 6A 03 8D 4C 24 04 B2 01 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_90068_0 {
	meta:
		name = "TXPStyleMenuItem.DrawText"
		size = 99
		refs = "0010 @UStrAddRef 0018 TXPStyleMenuItem.DrawText 002c OffsetRect 003b TCustomMenuItem.DrawText 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 33 C9 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_90070_0 {
	meta:
		name = "DrawSelectedFrame"
		size = 121
		refs = "000d TCustomMenuButton.GetMenu 0012 TCustomActionBar.GetColorMap 0025 TBrush.SetColor 002c TCustomActionControl.GetActionBar 0044 TPen.SetColor 0072 InflateRect"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 FC 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 70 8B 03 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 40 8B 03 8B 80 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 03 8B 40 50 50 8B 03 8B 40 54 50 8B 03 8B 80 B0 01 00 00 33 C9 33 D2 8B 18 FF 53 7C 8B 45 08 8B 40 F8 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_90071_0 {
	meta:
		name = "TXPStyleMenuButton.DrawBackground"
		size = 509
		refs = "0012 TCustomActionControl.GetActionBar 0017 TCustomActionBar.GetColorMap 002b TBrush.SetColor 0039 _Dn_TCustomActionMenuBar 003e @IsClass 0082 TCustomMenuButton.GetMenu 0093 TOrderedList.Count 00a0 DrawSelectedFrame 010c TPen.SetColor 0137 TControl.GetBoundsRect 0148 TControl.ClientToScreen 01d3 InflateRect 01f3 TCustomButtonControl.DrawBackground"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 48 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 8F 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 80 B8 22 03 00 00 00 0F 84 7A 01 00 00 8B 45 FC 80 B8 DC 01 00 00 00 0F 84 7D 01 00 00 8B 45 FC 8B 80 BC 01 00 00 83 78 18 00 75 4D 8B 45 FC E8 ?? ?? ?? ?? 8B 80 44 03 00 00 8B 80 8C 03 00 00 E8 ?? ?? ?? ?? 48 0F 85 4E 01 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 70 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? E9 21 01 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 3C 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 84 00 00 00 8B 45 FC 8B 80 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 50 50 8B 45 FC 8B 40 54 50 8B 45 FC 8B 80 B0 01 00 00 33 C9 33 D2 8B 18 FF 53 7C 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E0 8D 4D F0 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 FC 8B 80 BC 01 00 00 8B 40 18 E8 ?? ?? ?? ?? 8B 45 EC 3B 45 F4 7F 07 33 C0 89 45 F4 EB 0A 8B 45 FC 8B 40 54 48 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 3C 8B 45 FC 8B 80 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 01 00 00 8B 5D F4 8B CB BA 01 00 00 00 8B 30 FF 56 64 8B 45 FC 8B 50 50 4A 8B 45 FC 8B 80 B0 01 00 00 8B CB 8B 18 FF 53 60 8B 45 F8 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? EB 13 8B 45 FC 80 B8 FB 01 00 00 00 74 07 55 E8 ?? ?? ?? ?? 59 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90072_0 {
	meta:
		name = "TXPStyleMenuButton.DrawText"
		size = 99
		refs = "0010 @UStrAddRef 0018 TXPStyleMenuButton.DrawText 002c OffsetRect 003b TCustomMenuButton.DrawText 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 33 C9 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_90074_0 {
	meta:
		name = "TXPStylePopupMenu.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TCustomActionPopupMenu.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 B0 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90075_0 {
	meta:
		name = "TXPStylePopupMenu.DisplayShadow"
		size = 137
		refs = "0007 TCustomActionPopupMenu.DisplayShadow 0030 _Dn_TActionClientItem 0035 @IsClass 0042 _Dn_TCustomMenuButton 005f _Dn_TShadowWindow 0064 TShadowWindow.CreateShadow 0082 TShadowWindow.SetControl"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB AC 03 00 00 00 74 72 8B C3 8B 10 FF 92 2C 01 00 00 84 C0 75 64 8B B3 80 02 00 00 85 F6 74 42 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 31 8B 46 44 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 83 BB B0 03 00 00 00 75 16 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B0 03 00 00 8B 83 B0 03 00 00 85 C0 74 0E 8B 93 80 02 00 00 8B 52 44 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90077_0 {
	meta:
		name = "TXPStylePopupMenu.HideShadow"
		size = 27
		refs = "0006 TCustomActionPopupMenu.HideShadow 0015 TControl.Hide"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 B0 03 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90081_0 {
	meta:
		name = "TXPStyleExpandBtn.DrawBackground"
		size = 233
		refs = "000d TCustomMenuExpandBtn.GetMenu 0012 TCustomActionBar.GetColorMap 0023 TBrush.SetColor 00a3 OffsetRect 00b4 InflateRect"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 7C 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B D6 8B 83 B0 01 00 00 8B 08 FF 51 54 56 8D 7C 24 04 A5 A5 A5 A5 5E C7 44 24 08 18 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 3C 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B D4 8B 83 B0 01 00 00 8B 08 FF 51 54 80 BB FE 01 00 00 02 74 20 80 BB FD 01 00 00 00 74 17 80 BB FB 01 00 00 00 75 0E 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 49 8B C6 B9 01 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B C6 B9 FC FF FF FF BA FE FF FF FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 70 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B D6 8B 83 B0 01 00 00 8B 08 FF 51 54 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90082_0 {
	meta:
		name = "TXPStyleExpandBtn.DrawFrame"
		size = 149
		refs = "004f OffsetRect 0060 InflateRect 0067 TCustomActionControl.GetActionBar 006c TCustomActionBar.GetColorMap 007d TPen.SetColor 008a TCustomCanvas.Rectangle"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B D8 8B C3 8B 10 FF 52 68 84 C0 74 72 80 BB FE 01 00 00 02 74 20 80 BB FD 01 00 00 00 74 17 80 BB FB 01 00 00 00 75 0E 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 49 8B C4 B9 01 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B C4 B9 FC FF FF FF BA FE FF FF FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 40 8B 83 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B D4 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90083_0 {
	meta:
		name = "TXPStyleButton.DrawBackground"
		size = 180
		refs = "0015 TCustomActionControl.GetActionBar 0054 TCustomActionBar.GetColorMap 0065 TBrush.SetColor 00ac TCustomButtonControl.DrawBackground"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 8B 10 FF 52 68 84 C0 74 78 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 65 80 BB FB 01 00 00 00 75 0E 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 2F 8B B3 BC 01 00 00 85 F6 74 25 80 7E 54 00 75 1F 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 70 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 3C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 48 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 1D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 48 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90084_0 {
	meta:
		name = "TXPStyleButton.DrawFrame"
		size = 153
		refs = "0014 TCustomActionControl.GetActionBar 0060 TCustomActionBar.GetColorMap 0071 TPen.SetColor 0081 TBrush.SetStyle 008e TCustomCanvas.Rectangle"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 6E 8B C3 8B 10 FF 52 68 84 C0 74 63 80 BB FE 01 00 00 02 74 20 80 BB FD 01 00 00 00 74 17 80 BB FB 01 00 00 00 75 0E 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 74 3A 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 40 8B 83 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B D4 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90085_0 {
	meta:
		name = "TXPStyleButton.DrawGlyph"
		size = 661
		refs = "0019 TCustomActionControl.GetActionBar 008e _Dn_TBitmap 0093 TBitmap.Create 009e TXPStyleButton.DrawGlyph 00b2 TActionClientItem.GetAction 00f7 TCustomImageList.GetCount 0116 TCustomActionBar.GetColorMap 0123 GetShadowColor 0136 TBrush.SetColor 0154 TBitmap.GetCanvas 019c TCustomImageList.Draw 01f3 TBrush.GetHandle 0202 TCanvas.GetHandle 0208 DrawState 021d TObject.Free 0237 @HandleFinally 0277 IsMouseButtonPressed 028c TCustomActionControl.DrawGlyph"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 89 45 FC 8B 02 89 45 EC 8B 42 04 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 0F 85 25 02 00 00 8B 45 FC 80 B8 FB 01 00 00 00 0F 84 15 02 00 00 8B 45 FC 8B 10 FF 92 EC 00 00 00 84 C0 0F 85 02 02 00 00 8B 45 FC 8B 10 FF 52 68 84 C0 0F 84 F2 01 00 00 8B 45 FC 8B 80 BC 01 00 00 8B 10 FF 52 34 84 C0 0F 84 DC 01 00 00 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 8B 40 10 8B 40 18 89 45 F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 BC 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 4E 01 00 00 8B 45 FC 8B 80 BC 01 00 00 8B 48 5C 33 D2 8B 45 FC 8B 18 FF 93 E4 00 00 00 8B D8 85 DB 0F 84 2B 01 00 00 8B 45 FC 8B 80 BC 01 00 00 83 78 5C FF 0F 8E 18 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 BC 01 00 00 3B 42 5C 0F 8E FF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 70 BA CE FF FF FF E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 53 3C 8B 45 F4 8B 08 FF 51 44 8B 53 3C 8B 45 F4 8B 08 FF 51 38 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 DC 8B 08 FF 51 10 8D 45 DC 50 8B 45 F4 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 80 7B 70 01 75 2A 6A 00 8B 45 FC 8B 80 BC 01 00 00 8B 40 5C 50 6A 02 6A 01 6A 01 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? EB 24 6A 00 8B 45 FC 8B 80 BC 01 00 00 8B 40 5C 50 6A 01 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 68 84 00 00 00 6A 00 6A 00 8B 45 F0 40 50 8B 45 EC 40 50 6A 00 8B 45 F4 8B 10 FF 52 70 50 6A 00 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B 45 FC 8B 10 FF 92 EC 00 00 00 84 C0 75 06 FF 4D EC FF 4D F0 8B 45 FC F6 40 1C 10 75 2A 8B 45 FC 80 B8 FE 01 00 00 02 75 1E 8B 45 FC 8B 10 FF 92 EC 00 00 00 84 C0 75 0F E8 ?? ?? ?? ?? 84 C0 74 06 FF 45 EC FF 45 F0 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90086_0 {
	meta:
		name = "TXPStyleButton.DrawText"
		size = 144
		refs = "0010 @UStrAddRef 0018 TXPStyleButton.DrawText 002e TCustomActionControl.GetActionBar 0033 TCustomActionBar.GetColorMap 0059 TFont.SetColor 0068 TCustomActionControl.DrawText 007d @UStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB FB 01 00 00 00 74 32 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 81 78 64 00 00 00 20 74 1D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 64 8B 83 B0 01 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_90087_0 {
	meta:
		name = "TXPStyleDropDownBtn.DrawBackground"
		size = 180
		refs = "0014 TCustomActionControl.GetActionBar 0055 TCustomActionBar.GetColorMap 0066 TBrush.SetColor 00ad TCustomButtonControl.DrawBackground"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 68 84 C0 74 7A 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 75 67 80 BB FB 01 00 00 00 75 17 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 75 09 80 BB 00 02 00 00 00 74 28 83 BB BC 01 00 00 00 74 1F 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 70 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 3C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 48 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 1D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 48 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90088_0 {
	meta:
		name = "TXPStyleDropDownBtn.DrawFrame"
		size = 192
		refs = "0023 TCustomActionControl.GetActionBar 006c TBrush.SetStyle 0078 TCustomActionBar.GetColorMap 0089 TPen.SetColor 009b TCustomCanvas.Rectangle"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B D8 8B C3 8B 10 FF 52 68 84 C0 0F 84 99 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 0F 85 82 00 00 00 80 BB FB 01 00 00 00 75 17 8B C3 8B 10 FF 92 EC 00 00 00 84 C0 75 09 80 BB 00 02 00 00 00 74 62 83 BB BC 01 00 00 00 74 59 8B 83 B0 01 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 40 8B 83 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 83 6C 24 08 09 8B D4 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 8B 44 24 08 48 89 04 24 83 44 24 08 09 8B D4 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90089_0 {
	meta:
		name = "TXPStyleDropDownBtn.DrawGlyph"
		size = 655
		refs = "0019 TCustomActionControl.GetActionBar 008e _Dn_TBitmap 0093 TBitmap.Create 009e TXPStyleDropDownBtn.DrawGlyph 00f1 TCustomImageList.GetCount 0110 TCustomActionBar.GetColorMap 011d GetShadowColor 0130 TBrush.SetColor 014e TBitmap.GetCanvas 0196 TCustomImageList.Draw 01ed TBrush.GetHandle 01fc TCanvas.GetHandle 0202 DrawState 0217 TObject.Free 0231 @HandleFinally 0271 IsMouseButtonPressed 0286 TCustomActionControl.DrawGlyph"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 89 45 FC 8B 02 89 45 EC 8B 42 04 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 92 2C 01 00 00 84 C0 0F 85 1F 02 00 00 8B 45 FC 80 B8 FB 01 00 00 00 0F 84 0F 02 00 00 8B 45 FC 8B 10 FF 92 EC 00 00 00 84 C0 0F 85 FC 01 00 00 8B 45 FC 8B 10 FF 52 68 84 C0 0F 84 EC 01 00 00 8B 45 FC 8B 80 BC 01 00 00 8B 10 FF 52 34 84 C0 0F 84 D6 01 00 00 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 8B 40 10 8B 40 18 89 45 F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 58 85 C0 0F 84 4E 01 00 00 8B 45 FC 8B 80 BC 01 00 00 8B 48 5C 33 D2 8B 45 FC 8B 18 FF 93 E4 00 00 00 8B D8 85 DB 0F 84 2B 01 00 00 8B 45 FC 8B 80 BC 01 00 00 83 78 5C FF 0F 8E 18 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 BC 01 00 00 3B 42 5C 0F 8E FF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 70 BA CE FF FF FF E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 53 3C 8B 45 F4 8B 08 FF 51 44 8B 53 3C 8B 45 F4 8B 08 FF 51 38 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 DC 8B 08 FF 51 10 8D 45 DC 50 8B 45 F4 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 80 7B 70 01 75 2A 6A 00 8B 45 FC 8B 80 BC 01 00 00 8B 40 5C 50 6A 02 6A 01 6A 01 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? EB 24 6A 00 8B 45 FC 8B 80 BC 01 00 00 8B 40 5C 50 6A 01 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 68 84 00 00 00 6A 00 6A 00 8B 45 F0 40 50 8B 45 EC 40 50 6A 00 8B 45 F4 8B 10 FF 52 70 50 6A 00 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 8B 45 FC 8B 10 FF 92 EC 00 00 00 84 C0 75 06 FF 4D EC FF 4D F0 8B 45 FC F6 40 1C 10 75 2A 8B 45 FC 80 B8 FE 01 00 00 02 75 1E 8B 45 FC 8B 10 FF 92 EC 00 00 00 84 C0 75 0F E8 ?? ?? ?? ?? 84 C0 74 06 FF 45 EC FF 45 F0 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90094_0 {
	meta:
		name = "TXPStyleCustomizePopup.NCPaint"
		size = 390
		refs = "0014 TWinControl.GetHandle 001a GetClientRect 002c GetWindowRect 0042 MapWindowPoints 0054 OffsetRect 006a ExcludeClipRect 0084 TXPStyleCustomizePopup.NCPaint 009a TCanvas.SetHandle 00a2 TCustomActionBar.GetColorMap 00b9 TPen.SetColor 00d5 TBrush.SetColor 00e6 TCustomCanvas.Rectangle 015f TCanvas.GetHandle 0165 IntersectClipRect 017b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 8B DA 89 45 FC 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 02 8D 45 DC 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 8B 4D E0 F7 D9 8B 55 DC F7 DA 8D 45 EC E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 F4 50 8B 45 F0 50 8B 45 EC 50 53 E8 ?? ?? ?? ?? 8B 4D E0 F7 D9 8B 55 DC F7 DA 8D 45 DC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 8C 02 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 90 84 00 00 00 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 50 48 8B 45 FC 8B 80 8C 02 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 50 3C 8B 45 FC 8B 80 8C 02 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 B9 01 00 00 00 BA 01 00 00 00 8B 18 FF 53 64 8B 45 FC 8B 48 54 49 8B 45 FC 8B 80 8C 02 00 00 BA 01 00 00 00 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 50 8B 45 E4 50 8B 45 E0 50 8B 45 DC 50 8B 45 FC 8B 80 8C 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 8C 02 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90095_0 {
	meta:
		name = "TXPStyleAddRemoveItem.CalcBounds"
		size = 53
		refs = "0006 TCustomAddRemoveItem.CalcBounds 0020 TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 74 0E BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 8B 53 54 83 C2 02 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90096_0 {
	meta:
		name = "TXPStyleAddRemoveItem.DrawBackground"
		size = 477
		refs = "002d TBrush.SetColor 0094 TActionClientItem.Unused 00a3 TCustomActionBar.GetColorMap 00a8 TCustomActionBarColorMap.GetUnusedColor 00df TCustomActionControl.DrawBackground 01af TCustomActionControl.GetActionBar"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8B D8 8B 83 BC 01 00 00 85 C0 0F 84 BE 01 00 00 8B 50 24 81 FA 00 00 00 20 74 0E 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 56 8D 7C 24 14 A5 A5 A5 A5 5E 8B 83 E4 01 00 00 3B 83 C4 01 00 00 7E 06 33 C0 89 44 24 10 56 8D 7C 24 04 A5 A5 A5 A5 5E 8B 83 E4 01 00 00 3B 83 C4 01 00 00 7E 09 83 E8 03 89 44 24 08 EB 0D 8B 83 EC 01 00 00 83 C0 03 89 44 24 08 B8 2C 00 00 00 89 44 24 08 2B 04 24 89 44 24 10 8B 83 BC 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 22 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 1C 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 3C 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 75 1C 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 7C 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 80 BB DC 01 00 00 00 74 0B 8B C3 8B 10 FF 52 68 84 C0 75 12 80 BB DC 01 00 00 00 74 36 80 BB 00 02 00 00 00 75 2D 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 75 1F 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 70 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? FF 4E 08 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 80 BB DC 01 00 00 00 74 0B 8B C3 8B 10 FF 52 68 84 C0 75 12 80 BB DC 01 00 00 00 74 4E 80 BB 00 02 00 00 00 75 45 8B D6 8B 83 B0 01 00 00 8B 08 FF 51 54 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 75 2A 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 40 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B D6 8B 83 B0 01 00 00 8B 08 FF 51 5C 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90097_0 {
	meta:
		name = "TXPStyleAddRemoveItem.DrawGlyph"
		size = 1220
		refs = "0037 _Dn_TCustomAction 003c @IsClass 0089 Rect 0097 TCustomActionBar.GetColorMap 00ab TBrush.SetColor 00c4 TCustomActionControl.GetActionBar 00dd TPen.SetColor 00ee TCustomCanvas.Rectangle 0139 DrawCheck 02a9 _Dn_TBitmap 02ae TBitmap.Create 02b9 TXPStyleAddRemoveItem.DrawGlyph 0306 TCustomImageList.GetBitmap 0355 TBrush.GetHandle 0364 TCanvas.GetHandle 036a DrawState 037f TObject.Free 0399 @HandleFinally 03a9 TCustomActionControl.DrawGlyph 03d9 TCustomAddRemoveItem.IsActionVisible"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 8B DA 89 45 FC 8B 45 FC 8B B0 BC 01 00 00 85 F6 0F 84 24 01 00 00 8B C6 8B 10 FF 52 34 84 C0 0F 85 15 01 00 00 8B 45 FC 8B 10 FF 52 58 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 FA 00 00 00 8B 45 FC 8B 10 FF 52 58 80 78 71 00 0F 84 E8 00 00 00 8B 45 FC 8B 10 FF 92 EC 00 00 00 84 C0 0F 84 85 00 00 00 8B 45 FC 8B 40 54 48 50 8D 45 C8 50 8B 33 8B CE 83 C1 14 8B C6 48 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 70 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 FC 8B 80 B0 01 00 00 8B 08 FF 51 54 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 40 8B 45 FC 8B 80 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 58 8B 45 FC 8B 80 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 03 83 C0 06 8B 53 04 83 C2 03 89 45 E0 89 55 E4 6A 01 8B 45 FC 8B 80 B0 01 00 00 B9 02 00 00 00 8D 55 E0 E8 ?? ?? ?? ?? E9 93 02 00 00 8B 45 FC 8B 10 FF 92 EC 00 00 00 84 C0 74 74 8B 45 FC 8B 40 54 48 50 8D 45 C8 50 8B 33 8B CE 83 C1 14 8B C6 48 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 70 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 40 8B 45 FC 8B 80 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 8B 40 10 8B 40 18 89 45 F8 8B 45 FC 80 B8 DC 01 00 00 00 74 0C 8B 45 FC 8B 10 FF 52 68 84 C0 75 18 8B 45 FC 80 B8 DC 01 00 00 00 74 30 8B 45 FC 80 B8 00 02 00 00 00 75 24 8B 45 FC 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 70 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 22 8B 45 FC 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 3C 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B 03 89 45 EC 8B 43 04 89 45 F0 8B 45 FC 80 B8 DC 01 00 00 00 0F 84 44 01 00 00 8B 45 FC 8B 10 FF 52 68 84 C0 0F 84 34 01 00 00 8B 45 FC 8B 80 BC 01 00 00 8B 10 FF 52 34 84 C0 0F 84 1E 01 00 00 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 8B 40 10 8B 40 18 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 BA 10 00 00 FF E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 01 00 00 8B 48 5C 33 D2 8B 45 FC 8B 18 FF 93 E4 00 00 00 8B D8 8B 45 FC 8B 80 BC 01 00 00 8B 50 5C 8B 4D E8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 60 8B 53 3C 8B 45 E8 8B 08 FF 51 44 8B 53 3C 8B 45 E8 8B 08 FF 51 38 68 84 00 00 00 6A 00 6A 00 8B 45 F0 83 C0 02 50 8B 45 EC 83 C0 03 50 6A 00 8B 45 E8 8B 10 FF 52 70 50 6A 00 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 8B 55 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC FF 45 EC 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? EB 12 83 45 EC 02 FF 45 F0 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 D9 00 00 00 8B 45 FC 8B 40 54 48 50 8D 45 C8 50 B9 12 00 00 00 BA 01 00 00 00 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 70 8B 45 FC 8B 80 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 FC 8B 80 B0 01 00 00 8B 08 FF 51 54 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 40 8B 45 FC 8B 80 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 FC 8B 80 B0 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 58 8B 45 FC 8B 80 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B 45 C8 83 C0 05 89 45 D8 8B 45 FC 8B 40 54 D1 F8 79 03 83 D0 00 48 89 45 DC 6A 01 8B 45 FC 8B 80 B0 01 00 00 B9 02 00 00 00 8D 55 D8 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90098_0 {
	meta:
		name = "TXPStyleAddRemoveItem.DrawSeparator"
		size = 360
		refs = "0037 _Dn_TBrushRecall 003c TBrushRecall.Create 004f _Dn_TPenRecall 0054 TPenRecall.Create 005f TXPStyleAddRemoveItem.DrawSeparator 0076 TActionClientItem.Unused 0093 TBrush.SetStyle 00a6 TBrush.SetColor 00b0 TControl.GetBoundsRect 00c3 TCanvas.GetHandle 00c9 DrawEdge 00f5 TPen.SetColor 00fc TControl.GetClientHeight 012b TControl.GetClientWidth 014e TObject.Free 015c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 8B D8 80 BB DC 01 00 00 00 74 18 8D 55 D8 8B C3 8B 08 FF 51 60 8D 55 D8 8B 83 B0 01 00 00 8B 08 FF 51 54 8B 83 B0 01 00 00 8B 48 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 83 B0 01 00 00 8B 48 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 BC 01 00 00 85 F6 74 26 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 80 BB F4 01 00 00 00 75 12 8B 83 B0 01 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? EB 4D 8B 53 74 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 6A 01 6A 04 8D 45 E8 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 04 6A 04 8D 45 E8 50 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 83 B0 01 00 00 8B 40 44 BA 10 00 00 FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C8 D1 F9 79 03 83 D1 00 8B 83 B0 01 00 00 BA 20 00 00 00 8B 30 FF 56 64 8B C3 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 B0 01 00 00 59 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90099_0 {
	meta:
		name = "TXPStyleAddRemoveItem.DrawText"
		size = 300
		refs = "0019 @UStrAddRef 0021 TXPStyleAddRemoveItem.DrawText 0032 @UStrLAsg 003d _Dn_TCustomActionBar 0042 @IsClass 005c Pos 007c @UStrDelete 0095 OffsetRect 00ab TCustomActionBar.GetColorMap 00bc TFont.SetColor 00ea TCustomMenuItem.DrawText 00ff @UStrClr 010d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 E8 ?? ?? ?? ?? 8B 7B 38 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 36 80 BF B8 02 00 00 00 75 2D 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 1C 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8D 45 FC B9 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 8B 55 FC E8 ?? ?? ?? ?? 8B C6 33 C9 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 68 84 C0 74 1E 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 58 8B 83 B0 01 00 00 8B 40 40 E8 ?? ?? ?? ?? EB 1C 8B 83 FC 01 00 00 E8 ?? ?? ?? ?? 8B 50 50 8B 83 B0 01 00 00 8B 40 40 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 }
	condition:
		$1
}

rule function_90101_0 {
	meta:
		name = "TXPStyleToolScrollBtn.DrawBackground"
		size = 175
		refs = "0020 TCustomActionControl.GetActionBar 0025 TCustomActionBar.GetColorMap 0036 TBrush.SetColor 005e TCustomButtonControl.DrawBackground 008f TPen.SetColor 00a5 TCustomCanvas.Rectangle"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B C3 8B 10 FF 52 68 84 C0 74 28 80 BB FB 01 00 00 00 74 1F 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 70 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? EB 1D 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 48 8B 83 B0 01 00 00 8B 40 48 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 68 84 C0 74 3C 80 BB FB 01 00 00 00 74 33 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 40 8B 83 B0 01 00 00 8B 40 44 E8 ?? ?? ?? ?? 8B D4 8B C3 8B 08 FF 51 60 8B D4 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_90111_0 {
	meta:
		name = "TXPStyleActionBars.GetStyleName"
		size = 52
		refs = "0006 TXPStyleActionBars.GetStyleName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 58 00 50 00 20 00 53 00 74 00 79 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_90114_0 {
	meta:
		name = "TArrowSeries.Create"
		size = 199
		refs = "000e @ClassCreate 001c TPointSeries.Create 0030 TChartValueList.InitDateTime 0035 TeeMsg_ValuesArrowEndX 0041 _Dn_TChartValueList 0046 TChartValueList.Create 005c TeeMsg_ValuesArrowEndY 0080 TSeriesPointer.SetInflate 008e TChartPen.Hide 009b TTeeCustomShape.SetTransparent 00b2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 4F 01 00 00 00 8B 83 A0 00 00 00 B2 01 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F0 01 00 00 8B C6 B2 01 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 F4 01 00 00 8B 83 9C 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B 83 88 00 00 00 8B 40 0C E8 ?? ?? ?? ?? 8B 83 88 00 00 00 B2 01 E8 ?? ?? ?? ?? C7 83 F8 01 00 00 32 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90115_0 {
	meta:
		name = "TArrowSeries.SetEndXValues"
		size = 14
		refs = "0009 TChartSeries.SetChartValueList"
		altNames = "TBubbleSeries.SetRadiusValues TGanttSeries.SetEndValues"
	strings:
		$1 = { 8B CA 8B 90 F0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90116_0 {
	meta:
		name = "TArrowSeries.SetEndYValues"
		size = 14
		refs = "0009 TChartSeries.SetChartValueList"
		altNames = "TGanttSeries.SetNextTask"
	strings:
		$1 = { 8B CA 8B 90 F4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90117_0 {
	meta:
		name = "TArrowSeries.AddArrow"
		size = 85
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 86 F0 01 00 00 8B 55 10 89 50 30 8B 55 14 89 50 34 8B 86 F4 01 00 00 8B 55 08 89 50 30 8B 55 0C 89 50 34 FF 75 24 FF 75 20 FF 75 1C FF 75 18 8B 4D FC 8B D7 8B C6 8B 18 FF 93 00 01 00 00 5F 5E 5B 59 5D C2 20 00 }
	condition:
		$1
}

rule function_90118_0 {
	meta:
		name = "TArrowSeries.Assign"
		size = 62
		refs = "000a _DV_TArrowSeries 000f @IsClass 0037 TPointSeries.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 8B C6 8B 90 F8 01 00 00 89 93 F8 01 00 00 0F B6 80 FC 01 00 00 88 83 FC 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90119_0 {
	meta:
		name = "TArrowSeries.AddSampleValues"
		size = 214
		refs = "0014 TChartSeries.RandomBounds 001d @ROUND 0043 TChartSeries.RandomValue 00c3 TArrowSeries.AddArrow"
	strings:
		$1 = { 53 56 57 55 83 C4 C0 8B F2 8B D8 8D 4C 24 10 8B D6 8B C3 E8 ?? ?? ?? ?? DD 44 24 30 E8 ?? ?? ?? ?? 8B E8 89 74 24 38 DB 44 24 38 DC 4C 24 18 E8 ?? ?? ?? ?? 8B F8 85 F6 0F 8E 90 00 00 00 8B D7 8B 03 E8 ?? ?? ?? ?? 89 44 24 38 DB 44 24 38 DC 44 24 10 DD 1C 24 9B 8B D5 8B 03 E8 ?? ?? ?? ?? 89 44 24 38 DB 44 24 38 DC 44 24 28 DD 5C 24 08 9B FF 74 24 04 FF 74 24 04 FF 74 24 14 FF 74 24 14 8B D7 8B 03 E8 ?? ?? ?? ?? 89 44 24 48 DB 44 24 48 DC 44 24 10 83 C4 F8 DD 1C 24 9B 8B D5 8B 03 E8 ?? ?? ?? ?? 89 44 24 54 DB 44 24 54 DC 44 24 20 83 C4 F8 DD 1C 24 9B B9 00 00 00 20 33 D2 8B C3 E8 ?? ?? ?? ?? 4E 0F 85 70 FF FF FF 83 C4 40 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90120_0 {
	meta:
		name = "TArrowSeries.GetArrowWidth"
		size = 10
	strings:
		$1 = { 8B 80 9C 01 00 00 8B 40 24 C3 }
	condition:
		$1
}

rule function_90121_0 {
	meta:
		name = "TArrowSeries.GetArrowHeight"
		size = 10
	strings:
		$1 = { 8B 80 9C 01 00 00 8B 40 38 C3 }
	condition:
		$1
}

rule function_90122_0 {
	meta:
		name = "TArrowSeries.SetArrowWidth"
		size = 12
		refs = "0007 TSeriesPointer.SetHorizSize"
	strings:
		$1 = { 8B 80 9C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90123_0 {
	meta:
		name = "TArrowSeries.SetArrowHeight"
		size = 12
		refs = "0007 TSeriesPointer.SetVertSize"
	strings:
		$1 = { 8B 80 9C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90163_0 {
	meta:
		name = "TBubbleSeries.GetGradient"
		size = 12
		refs = "0007 TSeriesPointer.GetGradient"
	strings:
		$1 = { 8B 80 9C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90714_0 {
	meta:
		name = "TPointSeries.SetTransparency"
		size = 12
		refs = "0007 TSeriesPointer.SetTransparency"
	strings:
		$1 = { 8B 80 9C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90124_0 {
	meta:
		name = "TArrowSeries.GetArrowPoints"
		size = 111
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 3C 01 00 00 89 07 8B D6 8B C3 8B 08 FF 91 44 01 00 00 89 47 04 8B 83 F0 01 00 00 8B 40 54 FF 74 F0 04 FF 34 F0 8B C3 8B 10 FF 92 40 01 00 00 8B 55 08 89 02 8B 83 F4 01 00 00 8B 40 54 FF 74 F0 04 FF 34 F0 8B C3 8B 10 FF 92 48 01 00 00 8B 55 08 89 42 04 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_90125_0 {
	meta:
		name = "TArrowSeries.DrawValue"
		size = 399
		refs = "0017 TArrowSeries.DrawValue 0049 TSeriesPointer.PrepareCanvas 0071 TArrowSeries.GetArrowPoints 00ab TCanvas3D.GetArrowPoints 00bc @DynArrayHigh 00c9 PolygonBounds 015c TPointArray 0161 @DynArrayClear 0182 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C6 8B 08 FF 91 B0 00 00 00 8B 7E 40 80 BF 04 03 00 00 00 74 15 8B 97 40 03 00 00 8B C8 8B 86 9C 01 00 00 E8 ?? ?? ?? ?? EB 15 8B 96 9C 01 00 00 8B 52 0C 8B 8F 40 03 00 00 91 8B 18 FF 53 54 8D 45 E8 50 8D 4D F0 8B 55 F8 8B C6 E8 ?? ?? ?? ?? DB 86 F8 01 00 00 83 C4 F8 DD 1C 24 9B 8B 9E 9C 01 00 00 8B 43 24 50 8B 43 38 50 8B 86 58 01 00 00 50 8D 45 FC 50 8D 4D E8 8D 55 F0 8B 46 40 8B 80 40 03 00 00 E8 ?? ?? ?? ?? 80 BE FC 01 00 00 00 76 38 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 4D D4 8B 45 FC E8 ?? ?? ?? ?? FF 45 DC FF 45 E0 8D 55 D4 8B 46 40 8B 80 40 03 00 00 0F B6 8E FC 01 00 00 8B 18 FF 53 58 89 45 E4 EB 05 33 C0 89 45 E4 8D 55 E8 52 8B BE 9C 01 00 00 8B 57 24 52 8B 57 38 52 8B 96 54 01 00 00 52 8B 96 5C 01 00 00 52 DB 86 F8 01 00 00 83 C4 F8 DD 1C 24 9B 8D 4D F0 8B 46 40 0F B6 90 04 03 00 00 8B 80 40 03 00 00 8B 18 FF 93 30 01 00 00 80 BE FC 01 00 00 00 76 11 8B 46 40 8B 80 40 03 00 00 8B 55 E4 8B 08 FF 51 5C 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90126_0 {
	meta:
		name = "TArrowSeries.MaxXValue"
		size = 105
		refs = "0009 TCustomSeries.MaxXValue 0019 TChartValueList.GetMaxValue"
		altNames = "TGanttSeries.MaxXValue"
	strings:
		$1 = { 53 83 C4 E0 8B D8 8B C3 E8 ?? ?? ?? ?? DD 5C 24 08 9B 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? DD 5C 24 10 9B DD 44 24 08 DC 5C 24 10 9B DF E0 9E 76 12 8B 44 24 08 89 44 24 18 8B 44 24 0C 89 44 24 1C EB 10 8B 44 24 10 89 44 24 18 8B 44 24 14 89 44 24 1C 8B 44 24 18 89 04 24 8B 44 24 1C 89 44 24 04 DD 04 24 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_90127_0 {
	meta:
		name = "TArrowSeries.MinXValue"
		size = 105
		refs = "0009 TCustomSeries.MinXValue 0019 TChartValueList.GetMinValue"
	strings:
		$1 = { 53 83 C4 E0 8B D8 8B C3 E8 ?? ?? ?? ?? DD 5C 24 08 9B 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? DD 5C 24 10 9B DD 44 24 08 DC 5C 24 10 9B DF E0 9E 73 12 8B 44 24 08 89 44 24 18 8B 44 24 0C 89 44 24 1C EB 10 8B 44 24 10 89 44 24 18 8B 44 24 14 89 44 24 1C 8B 44 24 18 89 04 24 8B 44 24 1C 89 44 24 04 DD 04 24 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_90128_0 {
	meta:
		name = "TArrowSeries.MaxYValue"
		size = 105
		refs = "0009 TCustomSeries.MaxYValue 0019 TChartValueList.GetMaxValue"
	strings:
		$1 = { 53 83 C4 E0 8B D8 8B C3 E8 ?? ?? ?? ?? DD 5C 24 08 9B 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? DD 5C 24 10 9B DD 44 24 08 DC 5C 24 10 9B DF E0 9E 76 12 8B 44 24 08 89 44 24 18 8B 44 24 0C 89 44 24 1C EB 10 8B 44 24 10 89 44 24 18 8B 44 24 14 89 44 24 1C 8B 44 24 18 89 04 24 8B 44 24 1C 89 44 24 04 DD 04 24 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_90129_0 {
	meta:
		name = "TArrowSeries.MinYValue"
		size = 105
		refs = "0009 TCustomSeries.MinYValue 0019 TChartValueList.GetMinValue"
	strings:
		$1 = { 53 83 C4 E0 8B D8 8B C3 E8 ?? ?? ?? ?? DD 5C 24 08 9B 8B 83 F4 01 00 00 E8 ?? ?? ?? ?? DD 5C 24 10 9B DD 44 24 08 DC 5C 24 10 9B DF E0 9E 73 12 8B 44 24 08 89 44 24 18 8B 44 24 0C 89 44 24 1C EB 10 8B 44 24 10 89 44 24 18 8B 44 24 14 89 44 24 1C 8B 44 24 18 89 04 24 8B 44 24 1C 89 44 24 04 DD 04 24 83 C4 20 5B C3 }
	condition:
		$1
}

rule function_90130_0 {
	meta:
		name = "TArrowSeries.GetEditorClass"
		size = 72
		refs = "0006 TArrowSeries.GetEditorClass 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 54 00 41 00 72 00 72 00 6F 00 77 00 53 00 65 00 72 00 69 00 65 00 73 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_90132_0 {
	meta:
		name = "TAreaSeries.SetStackGroup"
		size = 14
		refs = "0009 TCustomChartElement.SetIntegerProperty"
		altNames = "TArrowSeries.SetPercent"
	strings:
		$1 = { 8D 88 F8 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90134_0 {
	meta:
		name = "TArrowSeries.GetStartYValues"
		size = 7
		altNames = "TPieSeries.GetPieValues"
	strings:
		$1 = { 8B 80 A4 00 00 00 C3 }
	condition:
		$1
}

rule function_90136_0 {
	meta:
		name = "TArrowSeries.SetTransp"
		size = 20
		refs = "000f TCustomChartElement.Repaint"
	strings:
		$1 = { 3A 90 FC 01 00 00 74 0B 88 90 FC 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90137_0 {
	meta:
		name = "TArrowSeries.PrepareForGallery"
		size = 79
		refs = "000c TPointSeries.PrepareForGallery 001c @CallDynaInst 0028 TArrowSeries.SetArrowWidth 0034 TArrowSeries.SetArrowHeight"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? BA 03 00 00 00 8B C7 66 BE E9 FF E8 ?? ?? ?? ?? BA 0C 00 00 00 8B C7 E8 ?? ?? ?? ?? BA 0C 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 DB 75 0F BA C0 C0 C0 00 8B C7 8B 08 FF 91 D8 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90141_0 {
	meta:
		name = "TArrowSeries.Clicked"
		size = 428
		refs = "0018 TArrowSeries.Clicked 002e TPointArray 0033 @DynArrayClear 0077 TArrowSeries.GetArrowPoints 00bd TCanvas3D.GetArrowPoints 00e2 @DynArrayHigh 00ef PointInPolygon 0104 PointInLine 0160 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 33 DB 89 5D FC 8B F1 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 FF FF FF FF 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5D C8 89 75 CC 8B 45 C8 89 45 E8 8B 45 CC 89 45 EC 8B 45 F8 8B 80 A0 00 00 00 8B 40 04 48 85 C0 0F 8C 22 01 00 00 40 89 45 D0 C7 45 F0 00 00 00 00 8D 45 D8 50 8D 4D E0 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 DB 80 F8 01 00 00 83 C4 F8 DD 1C 24 9B 8B 45 F8 8B 98 9C 01 00 00 8B 43 24 50 8B 43 38 50 8B 45 F8 8B 80 58 01 00 00 50 8D 45 FC 50 8D 4D D8 8D 55 E0 8B 45 F8 8B 40 40 8B 80 40 03 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 40 80 B8 04 03 00 00 00 74 1A 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 88 45 D7 EB 4B 6A 03 8D 4D D8 8D 55 E0 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 32 6A 03 8B 45 FC 8D 48 28 8D 55 D8 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 1B 6A 03 8B 45 FC 8D 48 18 8D 55 D8 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 80 7D D7 00 74 08 8B 45 F0 89 45 F4 EB 0C FF 45 F0 FF 4D D0 0F 85 E9 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90143_0 {
	meta:
		name = "VCLTee.ArrowCha"
		size = 34
		refs = "0002 _DV_2 000d TeeMsg_GalleryStandard 0013 TeeMsg_GalleryArrow 0018 _DV_TArrowSeries 001d RegisterTeeSeries"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 18 6A 02 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94964_0 {
	meta:
		name = "VCLTee.TeeShape"
		size = 34
		refs = "0002 _DV_2 000d TeeMsg_GalleryStandard 0013 TeeMsg_GalleryShape 0018 _DV_TChartShape 001d RegisterTeeSeries"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 18 6A 02 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90144_0 {
	meta:
		name = "TBubbleSeries.Create"
		size = 170
		refs = "000e @ClassCreate 001c TPointSeries.Create 0021 TeeMsg_ValuesBubbleRadius 002d _Dn_TChartValueList 0032 TChartValueList.Create 0047 TSeriesPointer.SetInflate 0050 TSeriesPointer.SetStyle 0068 TChartPen.Hide 0075 TTeeCustomShape.InitTransparent 0095 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 F0 01 00 00 8B B3 9C 01 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B 83 9C 01 00 00 C6 40 3C 00 8B 83 88 00 00 00 8B 40 0C E8 ?? ?? ?? ?? 8B 83 88 00 00 00 B2 01 E8 ?? ?? ?? ?? C6 83 F4 01 00 00 01 B2 01 8B C3 8B 08 FF 91 D4 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90145_0 {
	meta:
		name = "TBubbleSeries.SetSquared"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 05 F4 01 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90147_0 {
	meta:
		name = "TBubbleSeries.AddBubble"
		size = 67
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 86 F0 01 00 00 8B 55 08 89 50 30 8B 55 0C 89 50 34 FF 75 1C FF 75 18 FF 75 14 FF 75 10 8B 4D FC 8B D7 8B C6 8B 18 FF 93 00 01 00 00 5F 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_90149_0 {
	meta:
		name = "TBubbleSeries.AddSampleValues"
		size = 164
		refs = "0013 TChartSeries.RandomBounds 0024 @ROUND 002d TChartSeries.RandomValue 0070 TBubbleSeries.AddSampleValues 0087 TBubbleSeries.AddBubble"
	strings:
		$1 = { 53 56 57 83 C4 C8 8B F2 8B D8 8B FC 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 F6 7E 7B FF 77 04 FF 37 DD 47 20 E8 ?? ?? ?? ?? 8B D0 8B 03 E8 ?? ?? ?? ?? 89 44 24 30 DB 44 24 30 83 C4 F8 DD 1C 24 9B BA 0F 00 00 00 8B 03 E8 ?? ?? ?? ?? 83 C0 0A 89 44 24 3C DB 44 24 3C DC 7F 20 E8 ?? ?? ?? ?? 89 44 24 40 89 54 24 44 DF 6C 24 40 DD 47 20 D8 35 ?? ?? ?? ?? DE C1 83 C4 F8 DD 1C 24 9B B9 00 00 00 20 33 D2 8B C3 E8 ?? ?? ?? ?? DD 07 DC 47 08 DD 1F 9B 4E 75 85 83 C4 38 5F 5E 5B C3 00 00 00 00 00 70 41 }
	condition:
		$1
}

rule function_90150_0 {
	meta:
		name = "TBubbleSeries.PreparePointer"
		size = 111
		refs = "001b TChartAxis.CalcSizeValue 0033 TSeriesPointer.ChangeHorizSize 0067 TSeriesPointer.ChangeVertSize"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 83 F0 01 00 00 8B 40 54 FF 74 F8 04 FF 34 F8 8B 43 78 E8 ?? ?? ?? ?? 8B F0 80 BB F4 01 00 00 00 74 0F 8B D6 8B 83 9C 01 00 00 E8 ?? ?? ?? ?? EB 25 8B 83 F0 01 00 00 8B 40 54 FF 74 F8 04 FF 34 F8 8B 43 74 E8 ?? ?? ?? ?? 8B D0 8B 83 9C 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 9C 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90151_0 {
	meta:
		name = "TBubbleSeries.DrawValue"
		size = 74
		refs = "0043 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 94 01 00 00 8B D6 8B C3 8B 08 FF 91 B0 00 00 00 50 56 8B D6 8B C3 8B 08 FF 91 44 01 00 00 50 8B D6 8B C3 8B 08 FF 91 3C 01 00 00 8B D0 8B C3 59 66 BE E4 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90152_0 {
	meta:
		name = "TBubbleSeries.ApplyRadius"
		size = 205
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 88 4D FF 8B C8 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 8B 81 A0 00 00 00 8B 40 04 8B F0 4E 85 F6 0F 8C 95 00 00 00 46 33 DB 80 7D FF 00 74 43 8B 42 54 DD 04 D8 8B 81 F0 01 00 00 8B 40 54 DC 04 D8 DC 5D F0 9B DF E0 9E 73 09 DD 45 F0 DB 7D E0 9B EB 16 8B 42 54 DD 04 D8 8B 81 F0 01 00 00 8B 40 54 DC 04 D8 DB 7D E0 9B DB 6D E0 DD 5D F0 9B EB 41 8B 42 54 DD 04 D8 8B 81 F0 01 00 00 8B 40 54 DC 24 D8 DC 5D F0 9B DF E0 9E 76 09 DD 45 F0 DB 7D D0 9B EB 16 8B 42 54 DD 04 D8 8B 81 F0 01 00 00 8B 40 54 DC 24 D8 DB 7D D0 9B DB 6D D0 DD 5D F0 9B 43 4E 0F 85 6E FF FF FF DD 45 F0 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_90153_0 {
	meta:
		name = "TBubbleSeries.MaxYValue"
		size = 46
		refs = "0009 TCustomSeries.MaxYValue 001f TBubbleSeries.ApplyRadius"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B B1 01 8B 93 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_90154_0 {
	meta:
		name = "TBubbleSeries.MinYValue"
		size = 46
		refs = "0009 TCustomSeries.MinYValue 001f TBubbleSeries.ApplyRadius"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 33 C9 8B 93 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_90155_0 {
	meta:
		name = "TBubbleSeries.Assign"
		size = 48
		refs = "000a _DV_TBubbleSeries 000f @IsClass 0029 TPointSeries.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 0F B6 86 F4 01 00 00 88 83 F4 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90156_0 {
	meta:
		name = "TBubbleSeries.IsPointInChartRect"
		size = 30
		refs = "0017 TCustomSeries.IsPointInChartRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 94 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90158_0 {
	meta:
		name = "TBubbleSeries.MaxZValue"
		size = 47
		refs = "0016 TChartValueList.GetMaxValue 0021 TChartSeries.MaxZValue"
	strings:
		$1 = { 83 C4 F8 8B 90 9C 01 00 00 80 7A 1C 00 74 11 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? DD 1C 24 9B EB 09 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_90159_0 {
	meta:
		name = "TBubbleSeries.MinZValue"
		size = 55
		refs = "0019 TChartValueList.GetMaxValue 0028 TChartSeries.MinZValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B 83 9C 01 00 00 80 78 1C 00 74 13 8B 83 F0 01 00 00 E8 ?? ?? ?? ?? D9 E0 DD 1C 24 9B EB 0B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_90160_0 {
	meta:
		name = "TBubbleSeries.DrawLegendShape"
		size = 71
		refs = "0026 TSeriesPointer.ChangeHorizSize 0033 TSeriesPointer.ChangeVertSize 003e TCustomSeries.DrawLegendShape"
	strings:
		$1 = { 53 56 57 55 8B D9 8B EA 8B F0 8B 43 08 2B 03 8B 53 0C 2B 53 04 3B D0 7F 02 8B C2 8B F8 8B D7 8B 86 9C 01 00 00 E8 ?? ?? ?? ?? 8B D7 8B 86 9C 01 00 00 E8 ?? ?? ?? ?? 8B CB 8B D5 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90161_0 {
	meta:
		name = "TBubbleSeries.GetEditorClass"
		size = 72
		refs = "0006 TBubbleSeries.GetEditorClass 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 54 00 42 00 75 00 62 00 62 00 6C 00 65 00 53 00 65 00 72 00 69 00 65 00 73 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_90162_0 {
	meta:
		name = "TBubbleSeries.PrepareForGallery"
		size = 29
		refs = "0006 TPointSeries.PrepareForGallery 0017 TCustomTeeGradient.SetVisible"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 88 01 00 00 B2 01 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90164_0 {
	meta:
		name = "TBubbleSeries.ClickedPointer"
		size = 494
		refs = "0026 TCustomSeries.DoGetPointerStyle 00ad TBubbleSeries.ClickedPointer 014b PointInPolygon 0161 PointInHorizTriangle 0188 PointInTriangle 01a9 PointInEllipse"
	strings:
		$1 = { 55 8B EC 83 C4 88 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 10 8B 55 FC 8B C3 8B 08 FF 91 94 01 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 88 45 FB 8B 83 9C 01 00 00 8B D6 2B 50 24 89 55 A8 8B D7 2B 50 38 89 55 AC 8B 83 9C 01 00 00 8B 40 24 03 C6 89 45 B0 8B 83 9C 01 00 00 8B 40 38 03 C7 89 45 B4 56 57 8D 75 A8 8D 7D B8 A5 A5 A5 A5 5F 5E 8B 45 0C 89 45 F0 8B 45 08 89 45 F4 8B 45 B8 8B 55 C0 03 C2 D1 F8 79 03 83 D0 00 89 45 EC 8B 45 BC 8B C8 03 4D C4 D1 F9 79 03 83 D1 00 89 4D E8 0F B6 4D FB 83 F9 0C 0F 87 05 01 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 4D EC 89 4D E0 89 45 E4 89 55 D8 8B 45 E8 89 45 DC 8B 45 EC 89 45 D0 8B 45 C4 89 45 D4 8B 45 B8 89 45 C8 8B 45 E8 89 45 CC 8B 45 E0 89 45 88 8B 45 E4 89 45 8C 8B 45 D8 89 45 90 8B 45 DC 89 45 94 8B 45 D0 89 45 98 8B 45 D4 89 45 9C 8B 45 C8 89 45 A0 8B 45 CC 89 45 A4 8D 55 88 8D 45 F0 B9 03 00 00 00 E8 ?? ?? ?? ?? E9 91 00 00 00 52 8B 55 B8 52 8D 55 F0 8B 4D C4 92 E8 ?? ?? ?? ?? EB 7E 8B 4D B8 51 52 8D 55 F0 8B 4D C4 92 E8 ?? ?? ?? ?? EB 6B 8B 4D C4 51 50 8D 45 F0 8B CA 8B 55 B8 E8 ?? ?? ?? ?? EB 57 50 8B 45 C4 50 8D 45 F0 8B CA 8B 55 B8 E8 ?? ?? ?? ?? EB 43 8D 55 B8 8D 45 F0 E8 ?? ?? ?? ?? EB 36 80 7D FB 09 74 2A 8B C6 2B 45 0C 99 33 C2 2B C2 8B 93 9C 01 00 00 3B 42 24 7D 15 8B C7 2B 45 08 99 33 C2 2B C2 8B 93 9C 01 00 00 3B 42 38 7C 04 33 C0 EB 02 B0 01 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_90166_0 {
	meta:
		name = "VCLTee.BubbleCh"
		size = 34
		refs = "0002 _DV_2 000d TeeMsg_GalleryStandard 0013 TeeMsg_GalleryBubble 0018 _DV_TBubbleSeries 001d RegisterTeeSeries"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 18 6A 01 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90603_0 {
	meta:
		name = "VCLTee.GanttCh"
		size = 34
		refs = "0002 _DV_2 000d TeeMsg_GalleryStandard 0013 TeeMsg_GalleryGantt 0018 _DV_TGanttSeries 001d RegisterTeeSeries"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 18 6A 01 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95021_0 {
	meta:
		name = "VCLTee.TeeSpline"
		size = 34
		refs = "0002 _DV_3 000d TeeMsg_GalleryStandard 0013 TeeMsg_FunctionSmooth 0018 _DV_TSmoothingFunction 001d RegisterTeeFunction"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 18 6A 01 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90167_0 {
	meta:
		name = "TCustomChartWall.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TTeeCustomShape.Create 002e TTeeCustomShape.SetColor 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 55 01 C7 46 58 64 00 00 00 BA 00 00 00 20 8B C6 E8 ?? ?? ?? ?? C7 46 64 00 00 00 20 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_90168_0 {
	meta:
		name = "TCustomChartWall.IsColorStored"
		size = 10
	strings:
		$1 = { 8B 50 1C 3B 50 64 0F 95 C0 C3 }
	condition:
		$1
}

rule function_90169_0 {
	meta:
		name = "TCustomChartWall.Assign"
		size = 69
		refs = "000a _DV_TCustomChartWall 000f @IsClass 003e TTeeCustomShape.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B C6 0F B6 50 54 88 53 54 0F B6 50 55 88 53 55 8B 50 58 89 53 58 8B 50 5C 89 53 5C 8B 40 60 89 43 60 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90170_0 {
	meta:
		name = "TCustomChartWall.ApplyDark3D"
		size = 50
		refs = "0015 TBrush.GetBitmap"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 8B 46 10 0F B6 40 20 3C 01 74 0E 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 EB 02 33 C0 84 C0 74 07 0F B6 43 55 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_90172_0 {
	meta:
		name = "TCustomChartWall.SetDark3D"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 55 8B 40 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90173_0 {
	meta:
		name = "TCustomChartWall.SetEnd"
		size = 14
		refs = "0009 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 58 8B 40 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93527_0 {
	meta:
		name = "TChartAxisTitle.SetCaption"
		size = 14
		refs = "0009 TCustomTeePanel.SetStringProperty"
	strings:
		$1 = { 8D 48 58 8B 40 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90196_0 {
	meta:
		name = "TChartTitle.SetAdjustFrame"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 58 8B 40 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90175_0 {
	meta:
		name = "TCustomChartWall.SetSize"
		size = 14
		refs = "0009 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 5C 8B 40 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90176_0 {
	meta:
		name = "TCustomChartWall.SetStart"
		size = 14
		refs = "0009 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 60 8B 40 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90177_0 {
	meta:
		name = "TCustomChartWall.InitColor"
		size = 21
		refs = "000b TTeeCustomShape.SetColor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 89 73 64 5E 5B C3 }
	condition:
		$1
}

rule function_90178_0 {
	meta:
		name = "TCustomChartWall.CalcPositions"
		size = 160
		refs = "004c TCustomChartWall.CalcPositions 0053 @ROUND"
	strings:
		$1 = { 53 56 57 55 51 8B E9 8B FA 8B D8 8B 73 08 8B 96 C4 03 00 00 8B C6 8B 08 FF 91 20 01 00 00 03 86 50 03 00 00 89 45 00 8B 73 58 83 FE 64 74 2B 8B 45 00 8B 53 08 2B 82 48 03 00 00 BA 64 00 00 00 2B D6 F7 EA 89 04 24 DB 04 24 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 29 45 00 8B 73 08 8B 86 48 03 00 00 89 07 8B 6B 60 85 ED 74 1F 8B 86 50 03 00 00 2B 07 F7 ED 89 04 24 DB 04 24 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 01 07 5A 5D 5F 5E 5B C3 00 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_90179_0 {
	meta:
		name = "TCustomChartWall.TryDrawWall"
		size = 286
		refs = "002f TCustomChartWall.CalcPositions 00fc RectFromPolygon"
	strings:
		$1 = { 53 56 57 55 83 C4 BC 89 0C 24 8B FA 8B D8 33 C0 80 7B 2A 00 0F 85 FC 00 00 00 80 7B 40 00 0F 86 F2 00 00 00 8D 4C 24 08 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B 43 08 8B B0 40 03 00 00 6A 00 8D 44 24 30 50 8B 4C 24 0C 8B D7 8B C6 8B 28 FF 95 14 01 00 00 8B 44 24 2C 89 44 24 0C 8B 44 24 30 89 44 24 10 8B 43 08 8B 80 0C 03 00 00 50 8D 44 24 30 50 8B 4C 24 0C 8B D7 8B C6 8B 28 FF 95 14 01 00 00 8B 44 24 2C 89 44 24 14 8B 44 24 30 89 44 24 18 8B 43 08 8B 80 0C 03 00 00 50 8D 44 24 30 50 8B 4C 24 08 8B D7 8B C6 8B 28 FF 95 14 01 00 00 8B 44 24 2C 89 44 24 1C 8B 44 24 30 89 44 24 20 6A 00 8D 44 24 30 50 8B 4C 24 08 8B D7 8B C6 8B 30 FF 96 14 01 00 00 8B 44 24 2C 89 44 24 24 8B 44 24 30 89 44 24 28 8D 44 24 34 50 8D 44 24 10 B9 04 00 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 54 24 34 8B 43 08 8B 80 40 03 00 00 0F B6 4B 40 8B 18 FF 53 58 83 C4 44 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90180_0 {
	meta:
		name = "TCustomChartWall.SetAutoHide"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 54 8B 40 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90181_0 {
	meta:
		name = "TCustomChartWall.DoEndBlending"
		size = 86
		refs = "000f TTeeCustomShape.GetPicture 0014 TTeePicture.GetFilters 003f TFilterItems.ApplyTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 40 00 76 47 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 7E 21 8B C3 E8 ?? ?? ?? ?? 83 78 0C 00 75 14 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 04 E8 ?? ?? ?? ?? 8B 43 08 8B 80 40 03 00 00 8B D6 8B 08 FF 51 5C 5E 5B C3 }
	condition:
		$1
}

rule function_90182_0 {
	meta:
		name = "TCustomChartWall.ShouldDraw"
		size = 30
	strings:
		$1 = { 8B 50 08 80 BA D0 03 00 00 00 74 0C 80 78 10 00 74 06 80 78 54 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_90183_0 {
	meta:
		name = "TChartBackWall.Create"
		size = 74
		refs = "000a @ClassCreate 0017 TCustomChartWall.Create 0023 TCustomChartWall.InitColor 002c TTeeCustomShape.InitTransparent 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA C0 C0 C0 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_90184_0 {
	meta:
		name = "TChartBackWall.InitEmboss"
		size = 12
		refs = "0006 @CallDynaInst"
		altNames = "TLegendTitle.InitEmboss"
	strings:
		$1 = { 56 66 BE FB FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_90185_0 {
	meta:
		name = "TChartBackWall.InitShadow"
		size = 27
		refs = "0006 TTeeShadow.GetSize 0015 TTeeShadow.InitValues"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 50 B9 80 80 80 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90186_0 {
	meta:
		name = "TChartTitle.Create"
		size = 150
		refs = "000f @ClassCreate 0021 TTeeCustomShape.Create 0034 _Dn_TStringList 0039 TStringList.Create 005c TTeeCustomShape.InitTransparent 0069 TFont.SetColor 0080 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 64 01 C6 43 59 02 C6 43 58 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 5C 89 77 44 8B 06 8B 80 08 01 00 00 89 47 40 C7 43 60 05 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 43 20 BA 00 00 FF 00 E8 ?? ?? ?? ?? 8B 43 20 C7 40 50 00 00 FF 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90188_0 {
	meta:
		name = "TChartTitle.Assign"
		size = 69
		refs = "000b _DV_TChartTitle 0010 @IsClass 002e TChartTitle.SetText 003d TTeeCustomShapePosition.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8B FE 0F B6 47 58 88 43 58 0F B6 47 59 88 43 59 8B 57 5C 8B C3 E8 ?? ?? ?? ?? 8B 47 60 89 43 60 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90189_0 {
	meta:
		name = "TChartTitle.Clicked"
		size = 43
	strings:
		$1 = { 80 78 10 00 74 22 83 C0 44 8B 0A 8B 52 04 3B 08 7C 0F 3B 50 04 7C 0A 3B 48 08 7F 05 3B 50 0C 7E 04 33 C0 EB 05 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_90190_0 {
	meta:
		name = "TChartTitle.Clicked"
		size = 31
		refs = "0013 TChartTitle.Clicked"
	strings:
		$1 = { 83 C4 F8 80 78 10 00 74 11 89 14 24 89 4C 24 04 8B D4 E8 ?? ?? ?? ?? 59 5A C3 33 C0 59 5A C3 }
	condition:
		$1
}

rule function_90191_0 {
	meta:
		name = "CalculateYPos"
		size = 47
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 52 FC 80 7A 64 00 74 0B 8B 55 08 8B 52 FC 03 42 48 5D C3 8B 55 08 8B 52 FC 8B 52 50 8B 4D 08 2B 51 F8 2B D0 8B C2 5D C3 }
	condition:
		$1
}

rule function_90192_0 {
	meta:
		name = "DrawTitleLine"
		size = 336
		refs = "000d DrawTitleLine 0049 CalculateYPos 013f @UStrClr 0145 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 45 08 8B 40 FC 8B 40 5C 8B D3 8B 30 FF 56 0C 8B 45 08 8B 40 FC 80 78 64 00 74 1C 8B 45 08 50 8B 45 08 8B 40 F8 F7 EB 8B 55 08 03 42 F4 E8 ?? ?? ?? ?? 59 8B D8 EB 29 8B 45 08 50 8B 45 08 8B 40 FC 8B 40 5C 8B 10 FF 52 14 2B C3 48 8B 55 08 F7 6A F8 8B 55 08 03 42 F4 E8 ?? ?? ?? ?? 59 8B D8 8B 45 08 8B 40 FC 0F B6 40 59 3C 01 75 3C 8B 45 08 8B 40 FC 8B 40 08 8B 80 40 03 00 00 8B 55 FC 8B 08 FF 91 9C 00 00 00 8B 55 08 8B 52 FC 8B 52 4C 2B D0 8B 45 08 8B 40 F0 D1 F8 79 03 83 D0 00 2B D0 8B 45 08 89 50 EC EB 46 3C 02 75 42 8B 45 08 8B 40 FC 8B 40 08 8B 80 40 03 00 00 8B 55 FC 8B 08 FF 91 9C 00 00 00 D1 F8 79 03 83 D0 00 8B 55 08 8B 52 FC 8B 52 44 8B 4D 08 8B 49 FC 03 51 4C D1 FA 79 03 83 D2 00 2B D0 8B 45 08 89 50 EC 8B 45 FC 50 8B 45 08 8B 50 EC 8B 45 08 8B 40 FC 8B 40 08 8B 80 40 03 00 00 8B CB 8B 18 FF 93 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90193_0 {
	meta:
		name = "ResizeChartRect"
		size = 124
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D8 8B 45 08 8B 40 FC 8B 40 08 8D B0 44 03 00 00 8D 7D F0 A5 A5 A5 A5 8B 45 08 8B 40 FC 80 78 64 00 74 0E 8B 45 08 8B 40 FC 03 58 50 89 5D F4 EB 24 8B 45 08 8B 40 FC 8B 40 5C 8B 10 FF 52 14 8B 55 08 F7 6A F8 8B 55 08 8B 52 FC 8B 52 50 2B D3 2B D0 89 55 FC 8B 45 08 8B 40 FC 8B 40 08 8D B8 44 03 00 00 8D 75 F0 A5 A5 A5 A5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90194_0 {
	meta:
		name = "TChartTitle.DrawTitle"
		size = 864
		refs = "0018 TChartTitle.DrawTitle 00cb TTeeCanvas.AssignFont 014a InflateRect 0233 TTeeCustomShape.Draw 0281 DrawTitleLine 02a5 CalculateYPos 02bc TTeeCanvas.TextOut 02fd TTeeCustomShape.GetEmboss 0316 ResizeChartRect 0322 TCustomTeePanel.ReCalcWidthHeight 033c @UStrArrayClr 0342 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 E0 89 55 E4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 10 00 0F 84 F7 02 00 00 8B 45 FC 8B 40 5C 8B 10 FF 52 14 85 C0 0F 8E E4 02 00 00 8B 45 FC 8B 50 0C 80 7A 28 00 74 0F 8B 42 10 81 78 18 00 00 00 20 0F 95 C0 EB 02 33 C0 84 C0 74 0B 8B 42 10 8B 40 1C 89 45 F4 EB 05 33 C0 89 45 F4 8B 45 FC 80 78 14 00 74 09 8B 45 FC 8B 40 18 89 45 F4 8B 45 FC 80 78 54 00 75 28 8B 45 FC 8B 40 08 8B 55 FC 8D B0 44 03 00 00 8D 7A 44 A5 A5 A5 A5 8B 45 FC 80 78 64 00 74 09 8B 45 FC 8B 55 F4 01 50 48 8B 45 FC 8B 40 08 8B 98 40 03 00 00 8B 45 FC 8B 50 20 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 48 8B C3 BA ?? ?? ?? ?? 8B 08 FF 91 A0 00 00 00 89 45 F8 8B 45 FC 80 78 64 00 75 09 8B 45 FC 80 78 54 00 74 1C 8B 45 FC 8B 40 5C 8B 10 FF 52 14 F7 6D F8 8B 55 FC 03 42 48 8B 55 FC 89 42 50 EB 1C 8B 45 FC 8B 40 5C 8B 10 FF 52 14 F7 6D F8 8B 55 FC 8B 52 50 2B D0 8B 45 FC 89 50 48 8B 45 FC 80 78 54 00 75 11 8B 45 FC 83 C0 44 8B 4D F4 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 80 40 03 00 00 BA ?? ?? ?? ?? 8B 08 FF 91 9C 00 00 00 89 45 F0 8B 45 FC 80 78 58 00 0F 84 B8 00 00 00 33 C0 89 45 E8 8B 45 FC 8B 40 5C 8B 10 FF 52 14 8B D8 4B 85 DB 7C 38 43 33 F6 8D 4D E4 8B 45 FC 8B 40 5C 8B D6 8B 38 FF 57 0C 8B 55 E4 8B 45 FC 8B 40 08 8B 80 40 03 00 00 8B 08 FF 91 9C 00 00 00 8B F8 3B 7D E8 7E 03 89 7D E8 46 4B 75 CB 8B 45 F0 03 45 F4 01 45 E8 8B 45 FC 83 C0 44 8B 55 FC 0F B6 52 59 80 EA 01 72 08 74 10 FE CA 74 16 EB 46 8B 10 03 55 E8 89 50 08 EB 3C 8B 50 08 2B 55 E8 89 10 EB 32 8B 55 FC 80 7A 54 00 74 08 8B 10 03 55 E8 89 50 08 8B 38 03 78 08 D1 FF 79 03 83 D7 00 8B 55 E8 D1 FA 79 03 83 D2 00 8B CF 2B CA 89 08 03 FA 89 78 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 44 8B 55 F0 D1 FA 79 03 83 D2 00 03 C2 89 45 EC 8B 45 FC 8B 40 08 8B 80 40 03 00 00 B2 01 8B 08 FF 51 30 8B 45 FC 80 78 29 00 75 24 8B 45 FC 8B 40 5C 8B 10 FF 52 14 8B D8 4B 85 DB 7C 46 43 33 F6 55 8B C6 E8 ?? ?? ?? ?? 59 46 4B 75 F3 EB 34 8D 55 E0 8B 45 FC 8B 40 5C 8B 08 FF 51 1C 8B 45 E0 50 6A 01 55 8B 45 F4 E8 ?? ?? ?? ?? 59 8B C8 8B 45 FC 8B 40 08 8B 80 40 03 00 00 8B 55 EC E8 ?? ?? ?? ?? 8B 45 FC 80 78 54 00 75 5D 8B 45 FC 8B 78 60 03 7D F4 8B 45 FC 80 78 2A 00 75 15 8B 45 FC 8B 40 3C 80 78 20 00 74 09 8B 45 FC 8B 40 3C 03 78 1C 8B 45 FC 80 78 2A 00 75 19 8B 45 FC E8 ?? ?? ?? ?? 80 78 20 00 74 0B 8B 45 FC E8 ?? ?? ?? ?? 03 78 1C 55 8B C7 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_90195_0 {
	meta:
		name = "TChartTitle.GetShapeBounds"
		size = 14
		altNames = "TCustomChartLegend.GetRectLegend"
	strings:
		$1 = { 56 57 8B FA 8D 70 44 A5 A5 A5 A5 5F 5E C3 }
	condition:
		$1
}

rule function_90197_0 {
	meta:
		name = "TChartTitle.SetAlignment"
		size = 28
	strings:
		$1 = { 56 8B F0 3A 56 59 74 12 88 56 59 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_90198_0 {
	meta:
		name = "TChartTitle.SetText"
		size = 34
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 5C 8B 08 FF 51 08 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_90199_0 {
	meta:
		name = "TChartTitle.SetVertMargin"
		size = 28
	strings:
		$1 = { 56 8B F0 3B 56 60 74 12 89 56 60 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_90200_0 {
	meta:
		name = "TChartTitle.GetCaption"
		size = 43
		refs = "0024 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 5C 8B 10 FF 52 14 85 C0 7E 0F 8B CE 33 D2 8B 43 5C 8B 18 FF 53 0C 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90201_0 {
	meta:
		name = "TChartTitle.SetCaption"
		size = 31
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 5C 8B 10 FF 52 44 85 F6 74 0A 8B D6 8B 43 5C 8B 08 FF 51 38 5E 5B C3 }
	condition:
		$1
}

rule function_90203_0 {
	meta:
		name = "TChartFootTitle.Create"
		size = 120
		refs = "000e @ClassCreate 001c TChartTitle.Create 002f TFont.SetColor 0036 TChartFootTitle.Create 003d TFont.SetStyle 005e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 64 00 8B 73 20 BA FF 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 20 C7 40 50 FF 00 00 00 0F B6 15 ?? ?? ?? ?? 88 50 54 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 02 00 00 00 }
	condition:
		$1
}

rule function_90204_0 {
	meta:
		name = "TChartWalls.Create"
		size = 193
		refs = "000f @ClassCreate 001f TObject.Create 002d _DV_TChartBackWall 0032 TChartBackWall.Create 003f _DV_TChartLeftWall 0044 TCustomChartWall.Create 0055 TCustomChartWall.InitColor 005f _DV_TChartBottomWall 007f _DV_TChartRightWall 0092 TTeeCustomShapeBrushPen.SetVisible 00ab @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B F3 89 77 0C 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 8B 4F 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 10 8B C6 BA FF FF 80 00 E8 ?? ?? ?? ?? 8B 4F 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 08 8B C6 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 4F 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 14 33 D2 8B C6 E8 ?? ?? ?? ?? BA C0 C0 C0 00 8B C6 E8 ?? ?? ?? ?? 8B C7 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90205_0 {
	meta:
		name = "TChartWalls.Assign"
		size = 81
		refs = "000b _DV_TChartWalls 0010 @IsClass 0020 TChartWalls.SetBack 002a TChartWalls.SetBottom 0034 TChartWalls.SetLeft 003e TChartWalls.SetRight 0049 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2C 8B FE 8B 57 04 8B C3 E8 ?? ?? ?? ?? 8B 57 08 8B C3 E8 ?? ?? ?? ?? 8B 57 10 8B C3 E8 ?? ?? ?? ?? 8B 57 14 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90206_0 {
	meta:
		name = "TChartWalls.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 000f TObject.Free 0032 TPersistent.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90209_0 {
	meta:
		name = "TChartWalls.SetBack"
		size = 9
		altNames = "TTeeCustomShapeBrushPen.SetBrush"
	strings:
		$1 = { 8B 40 04 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_90212_0 {
	meta:
		name = "TChartWalls.SetRight"
		size = 9
	strings:
		$1 = { 8B 40 14 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_90213_0 {
	meta:
		name = "TChartWalls.GetVisible"
		size = 11
	strings:
		$1 = { 8B 40 0C 0F B6 80 D0 03 00 00 C3 }
	condition:
		$1
}

rule function_90215_0 {
	meta:
		name = "TChartWalls.SetSize"
		size = 49
		refs = "000c TCustomChartWall.SetSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 10 E8 ?? ?? ?? ?? 8B D6 8B 43 14 E8 ?? ?? ?? ?? 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B D6 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90216_0 {
	meta:
		name = "TCustomChart.Create"
		size = 392
		refs = "0016 @ClassCreate 0023 TCustomChart.Create 0032 TCustomAxisPanel.Create 0042 _DV_TChartTitle 0047 TChartTitle.Create 005f TObject.ClassName 0087 _DV_TChartFootTitle 008c TChartFootTitle.Create 00af _DV_TChartWalls 00b4 TChartWalls.Create 00c3 _DV_TChartLegend 00c8 TCustomChartLegend.Create 00db TeeNewChartHook 010a TeeReadIntegerOption 0113 TCustomChart.SetColorPaletteIndex 012f @UStrClr 0135 @HandleFinally 0144 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 99 02 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 BE 70 04 00 00 F6 46 1C 10 74 15 8D 55 F8 8B 06 E8 ?? ?? ?? ?? 8B 55 F8 8B 47 5C 8B 08 FF 51 38 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 6C 04 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 5C 04 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 68 04 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 74 04 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 60 04 00 00 C6 86 C0 04 00 00 01 83 3D ?? ?? ?? ?? 00 74 1D F6 46 1C 10 74 2F 8B 46 04 85 C0 74 06 F6 40 1C 01 75 22 8B C6 FF 15 ?? ?? ?? ?? EB 18 BA 0D 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? C6 86 99 02 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 50 00 61 00 6C 00 65 00 74 00 74 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_90217_0 {
	meta:
		name = "TCustomChart.Destroy"
		size = 134
		refs = "0003 @BeforeDestruction 0013 TAllAxisSavedScales 0018 @DynArrayClear 002a TObject.Free 0074 TCustomAxisPanel.Destroy 007f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 64 04 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 99 02 00 00 00 8B 86 6C 04 00 00 E8 ?? ?? ?? ?? 8B 86 70 04 00 00 E8 ?? ?? ?? ?? 8B 86 68 04 00 00 E8 ?? ?? ?? ?? 8B 86 5C 04 00 00 E8 ?? ?? ?? ?? 8B 86 74 04 00 00 E8 ?? ?? ?? ?? 8D 86 60 04 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90218_0 {
	meta:
		name = "TCustomChart.FormattedValueLegend"
		size = 64
		refs = "002b TCustomChartLegend.FormattedValue 0035 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B DA 85 DB 74 22 8B B3 44 01 00 00 85 F6 75 06 8B B0 60 04 00 00 8B 45 08 50 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_90219_0 {
	meta:
		name = "TCustomChart.InternalFormattedLegend"
		size = 67
		refs = "0014 TCustomChartLegend.FormattedLegend"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 4D 08 8B D7 8B C6 E8 ?? ?? ?? ?? 66 83 BB BA 04 00 00 00 74 1A 57 8B 45 08 50 0F B6 8E B9 00 00 00 8B D3 8B 83 BC 04 00 00 FF 93 B8 04 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_90220_0 {
	meta:
		name = "TCustomChart.FormattedLegend"
		size = 29
		refs = "0015 TCustomChart.InternalFormattedLegend"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B CE 8B 93 60 04 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90221_0 {
	meta:
		name = "TCustomChart.SetLegend"
		size = 12
	strings:
		$1 = { 8B 80 60 04 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_90222_0 {
	meta:
		name = "TCustomChart.SaveScales"
		size = 172
		refs = "0020 TAllAxisSavedScales 0025 @DynArraySetLength 004c TChartAxes.Get"
	strings:
		$1 = { 53 56 57 55 51 8B F2 89 04 24 8B 04 24 8B 80 A8 03 00 00 8B 40 08 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 04 24 8B 80 A8 03 00 00 8B 78 08 4F 85 FF 7C 69 47 33 DB 8B 04 24 8B 80 A8 03 00 00 8B D3 E8 ?? ?? ?? ?? 80 B8 0C 01 00 00 00 75 49 8D 14 5B 8B 0E 8D 2C D1 0F B6 48 0C 88 4D 00 8B 0E 8D 6C D1 01 0F B6 48 0E 88 4D 00 8B 0E 8D 6C D1 02 0F B6 48 0D 88 4D 00 8B 0E 8B 68 20 89 6C D1 08 8B 68 24 89 6C D1 0C 8B 0E 8B 68 18 89 6C D1 10 8B 68 1C 89 6C D1 14 43 4F 75 9A 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90223_0 {
	meta:
		name = "TCustomChart.RestoreScales"
		size = 168
		refs = "0030 TChartAxes.Get 004b TChartAxis.SetAutomatic 0059 TChartAxis.SetAutomaticMinimum 0067 TChartAxis.SetAutomaticMaximum 0078 TChartAxis.InternalSetMinimum 0089 TChartAxis.InternalSetMaximum 0098 TAllAxisSavedScales 009d @DynArrayClear"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B FA 89 04 24 8B 04 24 8B 80 A8 03 00 00 8B 40 08 48 85 C0 7C 77 40 89 44 24 04 33 DB 8B 04 24 8B 80 A8 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 80 BE 0C 01 00 00 00 75 4E 8D 2C 5B 8B 07 0F B6 14 E8 8B C6 E8 ?? ?? ?? ?? 8B 07 0F B6 54 E8 01 8B C6 E8 ?? ?? ?? ?? 8B 07 0F B6 54 E8 02 8B C6 E8 ?? ?? ?? ?? 8B 07 FF 74 E8 0C FF 74 E8 08 8B C6 E8 ?? ?? ?? ?? 8B 07 FF 74 E8 14 FF 74 E8 10 8B C6 E8 ?? ?? ?? ?? 43 FF 4C 24 04 75 90 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90224_0 {
	meta:
		name = "TCustomChart.SetBackWall"
		size = 12
		refs = "0007 TChartWalls.SetBack"
	strings:
		$1 = { 8B 80 74 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90238_0 {
	meta:
		name = "TCustomChart.SetBottomWall"
		size = 12
		refs = "0007 TChartWalls.SetBottom"
	strings:
		$1 = { 8B 80 74 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90237_0 {
	meta:
		name = "TCustomChart.SetLeftWall"
		size = 12
		refs = "0007 TChartWalls.SetLeft"
	strings:
		$1 = { 8B 80 74 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90239_0 {
	meta:
		name = "TCustomChart.SetRightWall"
		size = 12
		refs = "0007 TChartWalls.SetRight"
	strings:
		$1 = { 8B 80 74 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90225_0 {
	meta:
		name = "TCustomChart.GetBackWall"
		size = 10
	strings:
		$1 = { 8B 80 74 04 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_90226_0 {
	meta:
		name = "TCustomChart.GetBottomWall"
		size = 10
	strings:
		$1 = { 8B 80 74 04 00 00 8B 40 08 C3 }
	condition:
		$1
}

rule function_90227_0 {
	meta:
		name = "TCustomChart.GetLeftWall"
		size = 10
	strings:
		$1 = { 8B 80 74 04 00 00 8B 40 10 C3 }
	condition:
		$1
}

rule function_90228_0 {
	meta:
		name = "TCustomChart.GetRightWall"
		size = 10
	strings:
		$1 = { 8B 80 74 04 00 00 8B 40 14 C3 }
	condition:
		$1
}

rule function_90229_0 {
	meta:
		name = "TCustomChart.GetFrame"
		size = 24
		refs = "0010 TCustomChartWall.GetPen"
	strings:
		$1 = { 8B 90 74 04 00 00 8B 52 04 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_90230_0 {
	meta:
		name = "TCustomChart.SetFrame"
		size = 28
		refs = "0009 TCustomChart.GetBackWall 000e TCustomChartWall.GetPen"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_90231_0 {
	meta:
		name = "TCustomChart.GetBackColor"
		size = 33
		refs = "0006 TCustomChart.GetBackWall"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 78 2A 00 74 05 8B 43 74 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 40 1C 5B C3 }
	condition:
		$1
}

rule function_90232_0 {
	meta:
		name = "TCustomChart.SetBackColor"
		size = 52
		refs = "0009 TCustomChart.GetBackWall 0010 TTeeCustomShape.SetColor 002d TBrush.SetStyle"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 83 7B 38 00 74 17 F6 43 1C 01 75 11 8B C3 E8 ?? ?? ?? ?? 8B 40 04 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90233_0 {
	meta:
		name = "TCustomChart.IsFreeSeriesColor"
		size = 177
		refs = "0040 TChartSeries.GetSeriesColor 0067 TCustomChart.GetBackWall"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FB 89 55 FC 8B D8 8B 83 B4 03 00 00 8B 78 08 4F 85 FF 7C 66 47 33 F6 8B 83 B4 03 00 00 8B 40 04 8B 04 B0 3B 45 08 74 19 8B 83 B4 03 00 00 8B 40 04 8B 04 B0 E8 ?? ?? ?? ?? 3B 45 FC 0F 94 C0 EB 02 33 C0 84 C0 74 04 B0 01 EB 23 80 7D FB 00 74 17 8B 43 74 3B 45 FC 74 13 8B C3 E8 ?? ?? ?? ?? 8B 40 1C 3B 45 FC 74 04 33 C0 EB 02 B0 01 84 C0 74 04 33 C0 EB 27 46 4F 75 9D 80 7D FB 00 74 1B 8B 43 74 3B 45 FC 74 0F 8B C3 E8 ?? ?? ?? ?? 8B 40 1C 3B 45 FC 75 04 33 C0 EB 02 B0 01 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_90234_0 {
	meta:
		name = "TCustomChart.KeyDown"
		size = 50
		refs = "0014 TWinControl.KeyDown 002a TCustomChart.BroadcastKeyEvent"
	strings:
		$1 = { 53 56 51 66 89 0C 24 8B F2 8B D8 8B D6 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? 8D 44 24 02 50 0F B7 44 24 04 50 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_90235_0 {
	meta:
		name = "TCustomChart.KeyPress"
		size = 37
		refs = "000d TWinControl.KeyPress 001c TCustomChart.BroadcastKeyEvent"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 56 57 8D 4C 24 08 B2 02 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90236_0 {
	meta:
		name = "TCustomChart.KeyUp"
		size = 50
		refs = "0014 TWinControl.KeyUp 002a TCustomChart.BroadcastKeyEvent"
	strings:
		$1 = { 53 56 51 66 89 0C 24 8B F2 8B D8 8B D6 0F B7 0C 24 8B C3 E8 ?? ?? ?? ?? 8D 44 24 02 50 0F B7 44 24 04 50 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_90240_0 {
	meta:
		name = "TCustomChart.DrawRightWall"
		size = 488
		refs = "000c TCustomChart.GetRightWall 001d TCustomChart.ActiveSeriesUseAxis 0046 TCustomChart.DrawRightWall 0064 TCustomChart.PrepareWallCanvas 0076 TCustomChartWall.CalcPositions 008b TCustomChartWall.TryDrawWall 00a3 TCustomChart.GetBackWall 00d1 TCustomChartWall.ApplyDark3D 0193 TTeeCustomShape.GetPicture 0198 TTeePicture.Filtered 01b5 TCustomChartWall.DoEndBlending"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B F0 8B C6 E8 ?? ?? ?? ?? 80 78 10 00 0F 84 AD 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 9E 01 00 00 80 BE 04 03 00 00 00 0F 84 91 01 00 00 80 BE D0 03 00 00 00 0F 84 84 01 00 00 33 C9 BA ?? ?? ?? ?? 8B 86 40 03 00 00 8B 18 FF 93 E4 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B CC 8D 54 24 04 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 0C 24 8B 96 4C 03 00 00 E8 ?? ?? ?? ?? 8B E8 8B C6 E8 ?? ?? ?? ?? 8B F8 83 7F 5C 00 7E 57 8B C6 E8 ?? ?? ?? ?? 80 78 10 00 74 0C 8B C6 E8 ?? ?? ?? ?? 8B 58 5C EB 02 33 DB 8B 44 24 04 50 8B 44 24 04 50 6A 00 03 9E 0C 03 00 00 53 8B C7 E8 ?? ?? ?? ?? 50 6A 00 8B 8E 4C 03 00 00 03 4F 5C 8B 96 4C 03 00 00 8B 86 40 03 00 00 8B 18 FF 93 3C 01 00 00 EB 5E 8B 86 40 03 00 00 8B 10 FF 52 1C 84 C0 74 29 8B 04 24 50 6A 00 8B 86 0C 03 00 00 40 50 8B 96 4C 03 00 00 42 8B 4C 24 10 8B 86 40 03 00 00 8B 18 FF 93 A8 01 00 00 EB 26 8B 04 24 50 6A 00 8B 86 0C 03 00 00 40 50 8B 4C 24 10 8B 96 4C 03 00 00 8B 86 40 03 00 00 8B 18 FF 93 A8 01 00 00 8B 47 38 85 C0 74 54 83 78 0C 00 74 4E 33 C0 89 44 24 08 8B 44 24 04 89 44 24 0C 8B 86 0C 03 00 00 89 44 24 10 8B 04 24 89 44 24 14 DB 86 4C 03 00 00 83 C4 F8 DD 1C 24 9B 6A 00 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 54 24 14 8B 86 40 03 00 00 8B 18 FF 93 B4 01 00 00 8B D5 8B C7 E8 ?? ?? ?? ?? 8B 86 40 03 00 00 8B 10 FF 92 E8 00 00 00 83 C4 18 5D 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 69 00 67 00 68 00 74 00 00 00 }
	condition:
		$1
}

rule function_90241_0 {
	meta:
		name = "TCustomChart.DrawWallFirst"
		size = 213
		refs = "0091 TCustomChart.GetBackWall 00c9 TeeCull"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B F2 8B D8 8B 83 40 03 00 00 8B 10 FF 52 1C 84 C0 74 07 B0 01 E9 AC 00 00 00 8D BB 44 03 00 00 6A 00 8D 44 24 24 50 8B 4F 04 8B D6 8B 83 40 03 00 00 8B 28 FF 95 14 01 00 00 8B 44 24 20 89 04 24 8B 44 24 24 89 44 24 04 8B 93 C4 03 00 00 8B C3 8B 08 FF 91 20 01 00 00 03 47 0C 8B F8 6A 00 8D 44 24 24 50 8B CF 8B D6 8B 83 40 03 00 00 8B 28 FF 95 14 01 00 00 8B 44 24 20 89 44 24 08 8B 44 24 24 89 44 24 0C 8B C3 E8 ?? ?? ?? ?? 8B 40 5C 03 83 0C 03 00 00 50 8D 44 24 24 50 8B CF 8B D6 8B 83 40 03 00 00 8B 18 FF 93 14 01 00 00 8B 44 24 20 89 44 24 10 8B 44 24 24 89 44 24 14 8B C4 E8 ?? ?? ?? ?? 83 C4 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90242_0 {
	meta:
		name = "TCustomChart.DrawRightWallAfter"
		size = 20
		refs = "000c TCustomChart.DrawWallFirst"
	strings:
		$1 = { 53 8B D8 8B 93 4C 03 00 00 8B C3 E8 ?? ?? ?? ?? 34 01 5B C3 }
	condition:
		$1
}

rule function_90243_0 {
	meta:
		name = "TCustomChart.DrawLeftWallFirst"
		size = 12
		refs = "0007 TCustomChart.DrawWallFirst"
	strings:
		$1 = { 8B 90 44 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90244_0 {
	meta:
		name = "DrawAxisAfter"
		size = 53
		refs = "0010 TCustomAxisPanel.IsAxisVisible 0026 TChartAxis.Draw"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 84 C0 74 19 8B F3 C6 86 64 01 00 00 01 33 D2 8B C3 E8 ?? ?? ?? ?? C6 86 64 01 00 00 00 5E 5B 5D C3 }
	condition:
		$1
}

rule function_90245_0 {
	meta:
		name = "DrawAxisGridAfter"
		size = 64
		refs = "0010 TCustomAxisPanel.IsAxisVisible 0028 @DynArrayLength 0031 TChartAxis.DrawGrids"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 84 C0 74 24 8B F3 C6 86 65 01 00 00 01 8B 83 B8 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? C6 86 65 01 00 00 00 5E 5B 5D C3 }
	condition:
		$1
}

rule function_90246_0 {
	meta:
		name = "DoDrawTitle"
		size = 168
		refs = "003a DoDrawTitle 006b TChartTitle.DrawTitle"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B D8 8B 45 08 80 78 FF 00 75 0C 8B 45 08 0F B6 40 FE 3A 43 54 75 67 8B 45 08 80 78 FD 00 75 25 8B 45 08 8B 40 08 8B 40 FC 8B 80 40 03 00 00 33 C9 BA ?? ?? ?? ?? 8B 38 FF 97 E4 00 00 00 8B 45 08 C6 40 FD 01 8B 45 08 8B 40 08 8B 40 FC 8B 80 40 03 00 00 33 C9 8B D6 8B 30 FF 96 E4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 40 FC 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 5F 5E 5B 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 54 00 69 00 74 00 6C 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_90247_0 {
	meta:
		name = "DrawTitleFoot"
		size = 248
		refs = "001c DrawTitleFoot 0021 DoDrawTitle"
	strings:
		$1 = { 55 8B EC 51 88 55 FE 88 45 FF C6 45 FD 00 55 8B 45 08 8B 40 FC 8B 80 70 04 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8B 45 08 8B 40 FC 8B 80 6C 04 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8B 45 08 8B 40 FC 8B 80 5C 04 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8B 45 08 8B 40 FC 8B 80 68 04 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 80 7D FD 00 74 14 8B 45 08 8B 40 FC 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 59 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 69 00 74 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 53 00 75 00 62 00 74 00 69 00 74 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 6F 00 6F 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 75 00 62 00 66 00 6F 00 6F 00 74 00 00 00 }
	condition:
		$1
}

rule function_90248_0 {
	meta:
		name = "TCustomChart.DrawTitlesAndLegend"
		size = 543
		refs = "0038 TCustomChartLegend.ShouldDraw 004a TCustomChartLegend.DrawLegend 0054 DrawTitleFoot 0086 TCustomChartLegend.GetVertical 0137 TCustomChart.ActiveSeriesUseAxis 0157 TCustomChart.DrawRightWallAfter 016c TCustomChartWall.ShouldDraw 0178 TCustomChart.DrawRightWall 0187 DrawAxisAfter 0190 TCustomChart.DrawLeftWallFirst 01b1 TCustomChart.DrawLeftWall 01e8 DrawAxisGridAfter 0216 TCustomChart.DrawBackWall"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B 45 FC 8B 80 40 03 00 00 8B 10 FF 92 68 01 00 00 8B 45 FC 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 74 30 8B 45 FC 8B 80 60 04 00 00 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 FC 8B 80 60 04 00 00 E8 ?? ?? ?? ?? 55 33 D2 B0 01 E8 ?? ?? ?? ?? 59 E9 A6 00 00 00 84 DB 74 6F 8B 45 FC 8B B0 60 04 00 00 80 7E 54 00 75 53 8B C6 E8 ?? ?? ?? ?? 84 C0 74 48 8B 45 FC 8B 80 60 04 00 00 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 FC 8B 80 60 04 00 00 E8 ?? ?? ?? ?? 55 33 D2 33 C0 E8 ?? ?? ?? ?? 59 EB 5B 55 33 D2 33 C0 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 60 04 00 00 E8 ?? ?? ?? ?? EB 40 55 33 D2 33 C0 E8 ?? ?? ?? ?? 59 EB 33 8B 45 FC 8B B0 60 04 00 00 80 7E 54 00 74 19 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 FC 8B 80 60 04 00 00 E8 ?? ?? ?? ?? 55 B2 01 33 C0 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 40 03 00 00 8B 10 FF 92 6C 01 00 00 8B 45 FC 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 0F 85 EF 00 00 00 84 DB 0F 85 E7 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 D7 00 00 00 8B 45 FC 80 B8 04 03 00 00 00 0F 84 C7 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2D 8B 45 FC 8B 80 74 04 00 00 8B 40 14 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC E8 ?? ?? ?? ?? 55 8B 45 FC 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2D 8B 45 FC 8B 80 74 04 00 00 8B 40 10 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC E8 ?? ?? ?? ?? 55 8B 45 FC 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 90 0C 03 00 00 8B 45 FC 8B 08 FF 91 38 01 00 00 84 C0 74 3D 55 8B 45 FC 8B 80 C0 03 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 C4 03 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 74 04 00 00 8B 40 04 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90249_0 {
	meta:
		name = "TCustomChart.CalcWallSize"
		size = 98
	strings:
		$1 = { 33 C9 80 B8 04 03 00 00 00 74 54 80 B8 D0 03 00 00 00 74 4B 3B 90 C8 03 00 00 75 0B 8B 80 74 04 00 00 8B 40 10 EB 2F 3B 90 C4 03 00 00 75 0B 8B 80 74 04 00 00 8B 40 08 EB 1C 3B 90 CC 03 00 00 75 0B 8B 80 74 04 00 00 8B 40 14 EB 09 8B 80 74 04 00 00 8B 40 04 80 78 10 00 74 03 8B 48 5C 8B C1 C3 }
	condition:
		$1
}

rule function_90250_0 {
	meta:
		name = "TCustomChart.ActiveSeriesUseAxis"
		size = 72
	strings:
		$1 = { 53 56 57 55 8B E8 B0 01 8B 95 B4 03 00 00 8B 72 08 4E 85 F6 7C 2D 46 33 FF 8B 95 B4 03 00 00 8B 52 04 8B 1C BA 80 7B 38 00 74 14 8B C3 8B 10 FF 92 74 01 00 00 84 C0 74 04 B0 01 EB 06 33 C0 47 4E 75 D6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90251_0 {
	meta:
		name = "TCustomChart.ActiveSeriesCanZoomScroll"
		size = 72
	strings:
		$1 = { 53 56 57 55 8B E8 B0 01 8B 95 B4 03 00 00 8B 72 08 4E 85 F6 7C 2D 46 33 FF 8B 95 B4 03 00 00 8B 52 04 8B 1C BA 80 7B 38 00 74 14 8B C3 8B 10 FF 92 78 01 00 00 84 C0 74 04 B0 01 EB 06 33 C0 47 4E 75 D6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90252_0 {
	meta:
		name = "TCustomChart.PrepareWallCanvas"
		size = 79
		refs = "002f TBrush.SetStyle 0047 TCustomTeePanel.SetBrushCanvas"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 7B 0C 8B 47 10 8B 48 18 8B D7 8B 86 40 03 00 00 8B 38 FF 57 54 80 7B 2A 00 74 12 8B 86 40 03 00 00 8B 40 04 B2 01 E8 ?? ?? ?? ?? EB 16 8B 43 04 8B 50 10 8B 52 18 52 8B C8 8B 53 1C 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90253_0 {
	meta:
		name = "TCustomChart.DrawLeftWall"
		size = 584
		refs = "0026 TCustomChart.GetLeftWall 002e TCustomChart.DrawLeftWall 004c TCustomChart.PrepareWallCanvas 005e TCustomChartWall.CalcPositions 00c5 TVisualBlock.SetBounds 00e0 TCustomChartWall.GetPen 0106 TCustomChartWall.TryDrawWall 0132 TCustomChartWall.ApplyDark3D 01f1 TTeeCustomShape.GetPicture 01f6 TTeePicture.Filtered 0213 TCustomChartWall.DoEndBlending"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B F0 80 BE 04 03 00 00 00 0F 84 0F 02 00 00 80 BE D0 03 00 00 00 0F 84 02 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 48 2C BA ?? ?? ?? ?? 8B 86 40 03 00 00 8B 18 FF 93 E4 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B CC 8D 54 24 04 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 78 2C 00 0F 84 82 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 78 2C 8B C6 E8 ?? ?? ?? ?? 8B 96 44 03 00 00 2B 50 5C 89 54 24 08 8B 86 44 03 00 00 89 44 24 10 8B 44 24 04 89 44 24 0C 8B 04 24 89 44 24 14 6A 00 6A 00 DB 86 0C 03 00 00 83 C4 F8 DD 1C 24 9B 8D 54 24 18 8B 4E 54 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 6A 00 8B 43 1C 50 0F B6 43 40 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 4B 04 8B C7 8B 18 FF 53 48 E9 22 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 0C 24 8B 96 44 03 00 00 E8 ?? ?? ?? ?? 8B E8 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 5F 5C 85 DB 7E 3B 8B 44 24 04 50 8B 44 24 04 50 6A 00 8B 86 0C 03 00 00 50 8B C7 E8 ?? ?? ?? ?? 50 6A 00 8B 96 44 03 00 00 2B D3 8B 8E 44 03 00 00 8B 86 40 03 00 00 8B 18 FF 93 3C 01 00 00 EB 5C 8B 86 40 03 00 00 8B 10 FF 52 1C 84 C0 74 28 8B 04 24 50 6A 00 8B 86 0C 03 00 00 50 8B 96 44 03 00 00 4A 8B 4C 24 10 8B 86 40 03 00 00 8B 18 FF 93 A8 01 00 00 EB 25 8B 04 24 50 6A 00 8B 86 0C 03 00 00 50 8B 4C 24 10 8B 96 44 03 00 00 8B 86 40 03 00 00 8B 18 FF 93 A8 01 00 00 8B 47 38 85 C0 74 54 83 78 0C 00 74 4E 33 C0 89 44 24 18 8B 44 24 04 89 44 24 1C 8B 86 0C 03 00 00 89 44 24 20 8B 04 24 89 44 24 24 DB 86 44 03 00 00 83 C4 F8 DD 1C 24 9B 6A 00 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 54 24 24 8B 86 40 03 00 00 8B 18 FF 93 B4 01 00 00 8B D5 8B C7 E8 ?? ?? ?? ?? 8B 86 40 03 00 00 8B 10 FF 92 E8 00 00 00 83 C4 28 5D 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 65 00 66 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_90254_0 {
	meta:
		name = "TCustomChart.DragDrop"
		size = 65
		refs = "001a TControl.DragDrop 0034 TCustomChart.BroadcastDragDropEvent"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 57 8B 45 08 50 6A 00 8D 45 FB 50 8D 45 FC 50 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_90255_0 {
	meta:
		name = "TCustomChart.DragOver"
		size = 74
		refs = "0021 TControl.DragOver 003e TCustomChart.BroadcastDragDropEvent"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B 45 10 50 0F B6 45 0C 50 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 57 8B 45 10 50 0F B6 45 0C 50 8B 45 08 50 8D 45 FC 50 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_90256_0 {
	meta:
		name = "TryDrawShadow"
		size = 247
		refs = "001f TTeeShadow.GetSize 007d TCanvas3D.CalcRect3D 0089 TTeeShadow.Draw 00b2 TCanvas3D.FourPointsFromRect"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 8B D8 85 DB 0F 84 DF 00 00 00 80 7B 20 00 0F 84 D5 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 C6 00 00 00 8B 45 08 8B 40 FC 80 B8 04 03 00 00 00 0F 84 92 00 00 00 8B 45 08 8B 40 FC 8B 80 08 03 00 00 80 78 20 00 74 3F 6A 00 6A 00 6A 00 6A 00 8D 45 D0 50 8B 45 08 8B 40 FC 8B 88 0C 03 00 00 8B 45 08 8D 50 EC 8B 45 08 8B 40 FC 8B B0 40 03 00 00 8B C6 E8 ?? ?? ?? ?? 8D 4D D0 8B D6 8B C3 E8 ?? ?? ?? ?? EB 62 8D 45 E0 50 8B 45 08 8B 40 FC 8B 88 0C 03 00 00 8B 45 08 8D 50 EC 8B 45 08 8B 40 FC 8B 80 40 03 00 00 E8 ?? ?? ?? ?? 6A 03 8D 4D E0 8B 45 08 8B 40 FC 8B 90 40 03 00 00 8B C3 E8 ?? ?? ?? ?? EB 21 6A 00 6A 00 6A 00 6A 00 8B 45 08 8D 48 EC 8B 45 08 8B 40 FC 8B 90 40 03 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90257_0 {
	meta:
		name = "CreateBlender"
		size = 94
		refs = "000f TCustomChart.GetBackWall 0040 TCanvas3D.RectFromRectZ"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 80 7B 40 00 76 3D 8D 45 F0 50 8B 45 08 8B 40 FC 8B 88 0C 03 00 00 8B 45 08 8D 50 EC 8B 45 08 8B 40 FC 8B B0 40 03 00 00 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 0F B6 4B 40 8B 18 FF 53 58 8B 55 08 89 42 E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90258_0 {
	meta:
		name = "SetChartRect"
		size = 65
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 80 44 03 00 00 8B 55 08 89 42 EC 8B 45 08 8B 40 E4 8B 55 08 89 42 F0 8B 45 08 8B 40 FC 8B 80 4C 03 00 00 8B 55 08 89 42 F4 8B 45 08 8B 40 E0 8B 55 08 89 42 F8 5D C3 }
	condition:
		$1
}

rule function_90259_0 {
	meta:
		name = "TCustomChart.DrawBackWall"
		size = 964
		refs = "0010 TCustomChart.GetBackWall 0021 TCustomChart.DrawBackWall 003b TCustomChart.PrepareWallCanvas 0052 TCustomChartWall.CalcPositions 006d SetChartRect 00d4 TVisualBlock.SetBounds 00e6 TCustomChartWall.GetPen 0146 CreateBlender 0150 TryDrawShadow 01a0 TCustomChartWall.ApplyDark3D 01b8 TCanvas3D.Cube 02e9 TTeeCanvas.RoundRect 0311 TTeeCustomShape.GetPicture 033a TBackImage.Draw 0344 TCustomTeePanelExtended.HasBackImage 0350 TCustomTeePanelExtended.GetBackImage 0384 TCustomTeePanelExtended.DrawBitmap 038e TCustomChartWall.DoEndBlending"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 48 2C 8B 45 FC 8B 80 40 03 00 00 BA ?? ?? ?? ?? 8B 18 FF 93 E4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8D 4D E0 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 83 7E 2C 00 0F 84 9B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 58 2C 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 83 78 5C 00 7E 17 8B 45 FC 8B 90 C8 03 00 00 8B 45 FC 8B 08 FF 91 20 01 00 00 29 45 EC 8B 45 FC DB 80 0C 03 00 00 83 C4 F8 DD 1C 24 9B 8B 45 FC E8 ?? ?? ?? ?? 8B 40 5C 8B 55 FC 03 82 0C 03 00 00 89 45 DC DB 45 DC 83 C4 F8 DD 1C 24 9B 8B 45 FC 8B 48 54 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 46 1C 50 0F B6 46 40 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 4E 04 8B C3 8B 18 FF 53 48 E9 97 02 00 00 33 C0 89 45 E8 8B 45 FC 80 B8 04 03 00 00 00 0F 84 66 01 00 00 8B 45 FC 80 B8 D0 03 00 00 00 0F 84 EE 01 00 00 55 E8 ?? ?? ?? ?? 59 83 7E 5C 00 7E 17 8B 45 FC 8B 90 C8 03 00 00 8B 45 FC 8B 08 FF 91 20 01 00 00 29 45 EC 55 E8 ?? ?? ?? ?? 59 55 8B 46 3C E8 ?? ?? ?? ?? 59 55 8B 46 34 E8 ?? ?? ?? ?? 59 8B 46 0C 8B 50 10 8B 4A 18 8B D0 8B 45 FC 8B 80 40 03 00 00 8B 18 FF 53 54 8B 46 5C 85 C0 7E 67 8B 55 FC 8B 9A 0C 03 00 00 85 DB 7D 06 8B F8 F7 DF EB 02 8B F8 80 7E 28 01 75 27 03 FB 57 8B C6 E8 ?? ?? ?? ?? 50 8B 46 24 50 8B CB 8D 55 EC 8B 45 FC 8B 80 40 03 00 00 E8 ?? ?? ?? ?? E9 4D 01 00 00 03 FB 57 8B C6 E8 ?? ?? ?? ?? 50 6A 00 8B CB 8D 55 EC 8B 45 FC 8B 80 40 03 00 00 E8 ?? ?? ?? ?? E9 28 01 00 00 8B 45 FC 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 74 23 8B 45 FC 8B 88 0C 03 00 00 41 8D 55 EC 8B 45 FC 8B 80 40 03 00 00 8B 18 FF 93 A0 01 00 00 E9 F3 00 00 00 80 7E 28 01 75 33 8B 7E 24 57 8B 45 FC 8B 80 0C 03 00 00 50 8B 45 FC 8B 80 0C 03 00 00 50 8D 55 EC 8B 45 FC 8B 80 40 03 00 00 8B CF 8B 18 FF 93 5C 01 00 00 E9 BA 00 00 00 8B 45 FC 8B 88 0C 03 00 00 8D 55 EC 8B 45 FC 8B 80 40 03 00 00 8B 18 FF 93 A0 01 00 00 E9 98 00 00 00 55 E8 ?? ?? ?? ?? 59 FF 45 F4 83 7E 58 64 75 03 FF 45 F8 55 E8 ?? ?? ?? ?? 59 55 8B 46 3C E8 ?? ?? ?? ?? 59 55 8B 46 34 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 74 1B 8D 55 EC 8B 45 FC 8B 80 40 03 00 00 B9 01 00 00 00 8B 18 FF 93 A0 01 00 00 EB 3D 80 7E 28 01 75 18 8B 46 24 50 8D 55 EC 8B 4D FC 8B 89 40 03 00 00 91 E8 ?? ?? ?? ?? EB 1F 8B 45 F4 50 8B 45 F8 50 8B 45 FC 8B 80 40 03 00 00 8B 4D F0 8B 55 EC 8B 18 FF 93 8C 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 78 0C 00 74 25 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 0C 03 00 00 50 8B C6 E8 ?? ?? ?? ?? 8D 4D EC 8B 55 FC E8 ?? ?? ?? ?? EB 48 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3C 8B 45 FC E8 ?? ?? ?? ?? 80 78 38 00 74 2E 55 E8 ?? ?? ?? ?? 59 8B C6 E8 ?? ?? ?? ?? 80 78 28 00 74 06 FF 45 F0 FF 45 EC 8B 45 FC 8B 88 0C 03 00 00 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 61 00 63 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_90261_0 {
	meta:
		name = "CalcBottomWallPoints"
		size = 257
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B 5D 08 8B 5B 08 83 C3 FC 8B 03 8B 80 50 03 00 00 8B 55 08 89 42 FC 8B 45 08 8B 40 F4 50 8D 45 F8 50 8B 45 08 8B 48 FC 8B 45 08 8B 50 F8 8B 03 8B 80 40 03 00 00 8B 30 FF 96 14 01 00 00 8B 45 08 8B 55 F8 89 50 D4 8B 55 FC 89 50 D8 8B 45 08 8B 40 D0 50 8D 45 F8 50 8B 45 08 8B 48 FC 8B 45 08 8B 50 F8 8B 03 8B 80 40 03 00 00 8B 30 FF 96 14 01 00 00 8B 45 08 8B 55 F8 89 50 DC 8B 55 FC 89 50 E0 8B 45 08 8B 40 D0 50 8D 45 F8 50 8B 45 08 8B 48 FC 8B 03 8B 90 4C 03 00 00 8B 03 8B 80 40 03 00 00 8B 30 FF 96 14 01 00 00 8B 45 08 8B 55 F8 89 50 E4 8B 55 FC 89 50 E8 8B 45 08 8B 40 F4 50 8D 45 F8 50 8B 45 08 8B 48 FC 8B 03 8B 90 4C 03 00 00 8B 03 8B 80 40 03 00 00 8B 18 FF 93 14 01 00 00 8B 45 08 8B 55 F8 89 50 EC 8B 55 FC 89 50 F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_90262_0 {
	meta:
		name = "DrawBottomWall"
		size = 712
		refs = "001a DrawBottomWall 0029 TCustomChart.GetBottomWall 0032 TCustomChart.PrepareWallCanvas 0088 @ROUND 00fa TCustomChart.DrawLeftWallFirst 010b TChartAxes.GetLeftAxis 0132 CalcBottomWallPoints 0156 RectFromPolygon 01aa TCustomChartWall.ApplyDark3D 0255 TTeeCustomShape.GetPicture 025a TTeePicture.Filtered 0285 TCustomChartWall.DoEndBlending"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 8B 75 08 83 C6 FC 8B 06 8B 80 40 03 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 E4 00 00 00 8B 06 E8 ?? ?? ?? ?? 8B D0 8B 06 E8 ?? ?? ?? ?? 8B 06 8B 80 50 03 00 00 89 45 FC 8B 06 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 74 03 FF 45 FC 33 C0 89 45 F4 8B 06 E8 ?? ?? ?? ?? 83 78 60 00 74 28 8B 06 E8 ?? ?? ?? ?? 8B 40 60 8B 16 F7 AA 0C 03 00 00 89 45 B4 DB 45 B4 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 01 45 F4 8B 06 8B 80 0C 03 00 00 89 45 D0 8B 06 E8 ?? ?? ?? ?? 83 78 58 64 74 2E 8B 06 E8 ?? ?? ?? ?? BA 64 00 00 00 2B 50 58 8B 06 0F AF 90 0C 03 00 00 89 55 B4 DB 45 B4 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 29 45 D0 8B 06 8B 80 44 03 00 00 89 45 F8 8B 06 8B 80 74 04 00 00 8B 58 10 80 7B 10 00 74 2D 80 7B 54 00 74 27 8B 06 E8 ?? ?? ?? ?? 84 C0 74 1C 8B 06 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 06 8B 08 FF 91 20 01 00 00 29 45 F8 33 C0 89 45 CC 8B 06 E8 ?? ?? ?? ?? 80 78 2A 00 75 4A 55 E8 ?? ?? ?? ?? 59 8B 06 E8 ?? ?? ?? ?? 80 78 40 00 76 36 8D 45 A4 50 8D 45 D4 B9 04 00 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 50 8B 06 E8 ?? ?? ?? ?? 0F B6 48 40 8B 06 8B 80 40 03 00 00 5A 8B 18 FF 53 58 89 45 CC 8B 06 8B 80 4C 03 00 00 89 45 C8 8B 06 E8 ?? ?? ?? ?? 8B F8 8B 5F 5C 85 DB 7E 34 8B 45 FC 50 8B 45 FC 03 C3 50 8B 45 F4 50 8B 45 D0 50 8B C7 E8 ?? ?? ?? ?? 50 6A 00 8B 06 8B 80 40 03 00 00 8B 4D C8 8B 55 F8 8B 18 FF 93 3C 01 00 00 EB 58 8B 06 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 74 25 8B 45 C8 50 8B 45 F4 50 8B 45 D0 50 8B 4D FC 41 8B 06 8B 80 40 03 00 00 8B 55 F8 8B 18 FF 93 A4 01 00 00 EB 22 8B 45 C8 50 8B 45 F4 50 8B 45 D0 50 8B 06 8B 80 40 03 00 00 8B 4D FC 8B 55 F8 8B 18 FF 93 A4 01 00 00 8B 47 38 85 C0 74 4B 83 78 0C 00 74 45 8B 45 F8 89 45 B8 8B 45 D0 89 45 BC 8B 45 C8 89 45 C0 8B 45 F4 89 45 C4 DB 45 FC 83 C4 F8 DD 1C 24 9B 6A 01 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8D 55 B8 8B 06 8B 80 40 03 00 00 8B 18 FF 93 B4 01 00 00 80 7F 2A 00 75 10 80 7F 40 00 76 0A 8B 55 CC 8B C7 E8 ?? ?? ?? ?? 8B 06 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 6F 00 74 00 74 00 6F 00 6D 00 00 00 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_90263_0 {
	meta:
		name = "TCustomChart.DrawWalls"
		size = 448
		refs = "000d TCustomChart.ActiveSeriesUseAxis 0035 TCustomChart.DrawWalls 005d TCustomChart.GetRightWall 006f TCustomChart.DrawRightWallAfter 007b TCustomChart.DrawRightWall 008f TCustomChart.GetBackWall 00b9 TCustomChart.DrawBackWall 00e1 TCustomChart.GetLeftWall 00f3 TCustomChart.DrawLeftWallFirst 00ff TCustomChart.DrawLeftWall 0107 TCustomChart.GetBottomWall 0113 DrawBottomWall 0137 TChartAxes.GetTopAxis 0141 TCustomAxisPanel.IsAxisVisible 015a TChartAxis.Draw 0168 TChartAxes.GetBottomAxis"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 87 01 00 00 8B 45 FC 8B 80 40 03 00 00 8B 10 FF 52 1C 8B D8 8B 45 FC 8B 80 40 03 00 00 33 C9 BA ?? ?? ?? ?? 8B 30 FF 96 E4 00 00 00 8B 45 FC 80 B8 04 03 00 00 00 74 32 8B 45 FC 80 B8 D0 03 00 00 00 74 26 8B 45 FC E8 ?? ?? ?? ?? 80 78 10 00 74 18 84 DB 75 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 D0 03 00 00 00 74 32 8B 45 FC E8 ?? ?? ?? ?? 80 78 10 00 74 24 84 DB 75 18 8B 45 FC 8B 90 0C 03 00 00 8B 45 FC 8B 08 FF 91 38 01 00 00 84 C0 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 04 03 00 00 00 0F 84 C2 00 00 00 8B 45 FC 80 B8 D0 03 00 00 00 0F 84 B2 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 80 78 10 00 74 18 84 DB 75 0C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 80 78 10 00 74 07 55 E8 ?? ?? ?? ?? 59 84 DB 75 73 33 D2 8B 45 FC 8B 08 FF 91 38 01 00 00 84 C0 74 62 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 61 00 6C 00 6C 00 73 00 00 00 }
	condition:
		$1
}

rule function_90264_0 {
	meta:
		name = "TCustomChart.SeriesUp"
		size = 28
		refs = "0006 TCustomChartSeries.GetIndex 0016 TCustomAxisPanel.ExchangeSeries"
	strings:
		$1 = { 53 8B D8 8B C2 E8 ?? ?? ?? ?? 85 C0 7E 0C 8B C8 49 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90265_0 {
	meta:
		name = "TCustomChart.SeriesDown"
		size = 38
		refs = "0006 TCustomChartSeries.GetIndex 0020 TCustomAxisPanel.ExchangeSeries"
	strings:
		$1 = { 53 8B D8 8B C2 E8 ?? ?? ?? ?? 8B 93 B4 03 00 00 8B 52 08 4A 3B C2 7D 0C 8D 48 01 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90266_0 {
	meta:
		name = "TCustomChart.NextPage"
		size = 12
		refs = "0007 TChartPage.NextPage"
	strings:
		$1 = { 8B 80 18 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92703_0 {
	meta:
		name = "TChartEditForm.Deleterow1Click"
		size = 12
		refs = "0007 TCustomChartGrid.Delete"
	strings:
		$1 = { 8B 80 18 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92724_0 {
	meta:
		name = "TChartEditForm.EditColor1Click"
		size = 12
		refs = "0007 TCustomChartGrid.ChangeColor"
	strings:
		$1 = { 8B 80 18 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92721_0 {
	meta:
		name = "TChartEditForm.Insertrow1Click"
		size = 12
		refs = "0007 TCustomChartGrid.Insert"
	strings:
		$1 = { 8B 80 18 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94198_0 {
	meta:
		name = "TCustomAxisPanel.NumPages"
		size = 12
		refs = "0007 TChartPage.Count"
	strings:
		$1 = { 8B 80 18 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94195_0 {
	meta:
		name = "TCustomAxisPanel.SetPage"
		size = 12
		refs = "0007 TChartPage.SetCurrent"
	strings:
		$1 = { 8B 80 18 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94201_0 {
	meta:
		name = "TCustomAxisPanel.SetPointsPerPage"
		size = 12
		refs = "0007 TChartPage.SetPointsPerPage"
	strings:
		$1 = { 8B 80 18 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94196_0 {
	meta:
		name = "TCustomAxisPanel.SetScaleLastPage"
		size = 12
		refs = "0007 TChartPage.SetScaleLastPage"
	strings:
		$1 = { 8B 80 18 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90267_0 {
	meta:
		name = "TCustomChart.PreviousPage"
		size = 12
		refs = "0007 TChartPage.PreviousPage"
	strings:
		$1 = { 8B 80 18 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90268_0 {
	meta:
		name = "TCustomChart.RemoveAllSeries"
		size = 27
		refs = "000a TCustomAxisPanel.RemoveSeries 0011 TCustomAxisPanel.SeriesCount"
	strings:
		$1 = { 53 8B D8 EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7F EC 5B C3 }
	condition:
		$1
}

rule function_90269_0 {
	meta:
		name = "TCustomChart.ClearChart"
		size = 191
		refs = "0027 TChartSeries.GetDataSource 003e TChartSeries.SetDataSource 004b TCustomAxisPanel.FreeAllSeries 006a _DV_TCustomChart 006f TCustomChart.Create 007a TCustomChart.ClearChart 00ad TObject.Free 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 8B 83 B4 03 00 00 8B 78 08 4F 85 FF 7C 2F 47 33 F6 8B 83 B4 03 00 00 8B 40 04 8B 04 B0 E8 ?? ?? ?? ?? 85 C0 74 13 8B 83 B4 03 00 00 8B 40 04 8B 04 B0 33 D2 E8 ?? ?? ?? ?? 46 4F 75 D4 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 83 2C 04 00 00 8B 10 FF 52 08 8B 83 A4 03 00 00 8B 10 FF 52 08 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 38 8B 45 FC 8B 08 FF 91 84 00 00 00 8B 55 FC 8B C3 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90270_0 {
	meta:
		name = "ZoomAxis"
		size = 56
		refs = "000b AnimatedZoomFactor 0030 TChartAxis.SetMinMax"
	strings:
		$1 = { 55 8B EC DD 45 10 DC 60 20 DC 35 ?? ?? ?? ?? DC 40 20 83 C4 F8 DD 1C 24 9B DD 40 18 DC 65 08 DC 35 ?? ?? ?? ?? DC 68 18 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_90271_0 {
	meta:
		name = "DoZoomAnimated"
		size = 201
		refs = "0048 ZoomAxis 00ba TControl.Refresh"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 83 C6 FC 8B 06 8B 80 74 03 00 00 8B 58 1C 4B 85 DB 0F 8E A6 00 00 00 8B 06 8B 80 74 03 00 00 80 78 28 00 74 3E 8B 45 08 FF 70 24 FF 70 20 8B 45 08 FF 70 1C FF 70 18 8B 06 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8B 45 08 FF 70 14 FF 70 10 8B 45 08 FF 70 0C FF 70 08 8B 06 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 74 03 00 00 80 78 28 01 74 3E 8B 45 08 FF 70 44 FF 70 40 8B 45 08 FF 70 3C FF 70 38 8B 06 8B 80 C0 03 00 00 E8 ?? ?? ?? ?? 8B 45 08 FF 70 34 FF 70 30 8B 45 08 FF 70 2C FF 70 28 8B 06 8B 80 C4 03 00 00 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 4B 0F 85 5A FF FF FF 5E 5B 5D C3 }
	condition:
		$1
}

rule function_90272_0 {
	meta:
		name = "TCustomChart.DoZoom"
		size = 323
		refs = "0013 TCustomChart.DoZoom 0030 TCustomChart.SaveScales 0041 TAllAxisSavedScales 0046 @DynArrayAsg 0065 DoZoomAnimated 008f TChartAxis.SetMinMax 0130 @DynArrayClear 0136 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 C0 04 00 00 00 74 2B 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 05 64 04 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 80 C0 04 00 00 00 8B 45 FC 8B 80 74 03 00 00 80 78 19 00 74 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 74 03 00 00 80 78 28 00 74 34 FF 75 24 FF 75 20 FF 75 1C FF 75 18 8B 45 FC 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B 45 FC 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 74 03 00 00 80 78 28 01 74 34 FF 75 44 FF 75 40 FF 75 3C FF 75 38 8B 45 FC 8B 80 C0 03 00 00 E8 ?? ?? ?? ?? FF 75 34 FF 75 30 FF 75 2C FF 75 28 8B 45 FC 8B 80 C4 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 80 78 03 00 00 01 8B 45 FC 66 83 B8 9A 03 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 9C 03 00 00 FF 93 98 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 59 5D C2 40 00 }
	condition:
		$1
}

rule function_90273_0 {
	meta:
		name = "TCustomChart.ZoomRect"
		size = 45
		refs = "0027 @CallDynaInst"
	strings:
		$1 = { 56 8B F0 8B 86 74 03 00 00 8B 0A 89 48 08 8B 4A 04 89 48 0C 8B 4A 08 89 48 10 8B 52 0C 89 50 14 8B C6 66 BE A8 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_90274_0 {
	meta:
		name = "CalcAxisScale"
		size = 240
		refs = "0090 CalcAxisScale"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D F8 89 55 FC 8B F8 80 BF B9 00 00 00 00 75 21 8B 45 08 8B 40 FC 8B 80 74 03 00 00 80 78 28 00 0F 95 C3 8B 87 8C 01 00 00 8B B7 88 01 00 00 EB 1F 8B 45 08 8B 40 FC 8B 80 74 03 00 00 80 78 28 01 0F 95 C3 8B 87 88 01 00 00 8B B7 8C 01 00 00 8B D0 8B 87 B4 01 00 00 FF 97 B0 01 00 00 DD 5D E8 9B 8B D6 8B 87 B4 01 00 00 FF 97 B0 01 00 00 DD 5D E0 9B 84 DB 74 3A DD 45 E0 DC 65 E8 8B 45 08 DD 40 08 D8 25 ?? ?? ?? ?? DE C9 DB 2D ?? ?? ?? ?? DE C9 DD 5D F0 9B DD 45 E8 DC 45 F0 8B 45 FC DD 18 9B DD 45 E0 DC 65 F0 8B 45 F8 DD 18 9B EB 1C 8B 45 FC 8B 55 E8 89 10 8B 55 EC 89 50 04 8B 45 F8 8B 55 E0 89 10 8B 55 E4 89 50 04 5F 5E 5B 8B E5 5D C3 00 00 00 C8 42 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_90275_0 {
	meta:
		name = "TCustomChart.ZoomPercent"
		size = 170
		refs = "001a CalcAxisScale 0095 TCustomChart.DoZoom"
	strings:
		$1 = { 55 8B EC 83 C4 B8 89 45 FC 55 8D 4D E8 8D 55 F0 8B 45 FC 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 59 55 8D 4D D8 8D 55 E0 8B 45 FC 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? 59 55 8D 4D C8 8D 55 D0 8B 45 FC 8B 80 C0 03 00 00 E8 ?? ?? ?? ?? 59 55 8D 4D B8 8D 55 C0 8B 45 FC 8B 80 C4 03 00 00 E8 ?? ?? ?? ?? 59 FF 75 D4 FF 75 D0 FF 75 CC FF 75 C8 FF 75 C4 FF 75 C0 FF 75 BC FF 75 B8 FF 75 F4 FF 75 F0 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 FF 75 DC FF 75 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 A0 00 00 00 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_90276_0 {
	meta:
		name = "TCustomChart.CalcClickedPart"
		size = 52
		refs = "001f TCustomChart.CalcNeedClickedPart"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B F2 8D 3C 24 A5 A5 8B F1 8B D8 8D 44 24 08 50 33 C9 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 8B FE 8D 74 24 08 A5 A5 A5 A4 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90277_0 {
	meta:
		name = "ClickedAxis"
		size = 113
		refs = "0010 TChartAxis.Clicked 0038 TChartAxis.GetAxisTitle 0053 TChartAxisTitle.Clicked"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 45 08 8D 50 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 08 8B 40 08 C6 00 02 8B 45 08 8B 40 08 89 58 09 EB 41 83 BB 54 01 00 00 00 74 38 8B C3 E8 ?? ?? ?? ?? 8B F0 80 7E 10 00 74 29 83 7E 58 00 74 23 8B 45 08 8D 50 F8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 08 8B 40 08 C6 00 0B 8B 45 08 8B 40 08 89 58 09 5E 5B 5D C3 }
	condition:
		$1
}

rule function_90278_0 {
	meta:
		name = "ClickedLegend"
		size = 51
		refs = "001a TCustomChartLegend.Clicked"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 45 08 8D 50 F8 8B 45 08 8B 40 F4 8B 80 60 04 00 00 E8 ?? ?? ?? ?? 8B F0 89 73 01 46 74 07 C6 03 01 B0 01 EB 02 33 C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_90279_0 {
	meta:
		name = "LegendOnTop"
		size = 21
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F4 8B 80 60 04 00 00 0F B6 40 54 5D C3 }
	condition:
		$1
}

rule function_90280_0 {
	meta:
		name = "DoClickedPointer"
		size = 111
		refs = "0054 TChartSeries.ClickedPointer"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F0 C7 45 FC FF FF FF FF 8B 86 A0 00 00 00 8B 78 04 4F 85 FF 7C 45 47 33 DB 8B D3 8B C6 8B 08 FF 91 3C 01 00 00 89 45 F8 8B D3 8B C6 8B 08 FF 91 44 01 00 00 89 45 F4 8B 45 F4 50 8B 45 08 83 C0 F8 50 8B 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 05 89 5D FC EB 04 43 4F 75 BE 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90281_0 {
	meta:
		name = "TCustomChart.CalcNeedClickedPart"
		size = 636
		refs = "0047 LegendOnTop 0055 ClickedLegend 00bc TChartSeries.Clicked 00e2 DoClickedPointer 011a TSeriesMarks.Clicked 0178 TChartAxes.Get 017d ClickedAxis 01cc TChartTitle.Clicked 0265 TCustomAxisPanel.CountActiveSeries"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F8 A5 A5 88 4D F3 89 45 F4 8B 45 08 C6 00 00 8B 45 08 C7 40 01 FF FF FF FF 8B 45 08 33 D2 89 50 05 8B 45 08 33 D2 89 50 09 8B 45 F4 8B 80 60 04 00 00 80 78 10 00 74 1D 55 E8 ?? ?? ?? ?? 59 84 C0 74 12 55 8B 45 08 E8 ?? ?? ?? ?? 59 84 C0 0F 85 11 02 00 00 8B 45 F4 8B 80 B4 03 00 00 8B 58 08 4B 83 FB 00 0F 8C DF 00 00 00 8B 45 F4 8B 80 B4 03 00 00 8B 40 04 8B 34 98 80 7E 38 00 0F 84 BC 00 00 00 80 7D F3 00 74 1F 8B C6 8B 10 FF 92 F0 00 00 00 84 C0 75 11 8B 45 F4 66 83 B8 9A 04 00 00 00 0F 84 97 00 00 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B F8 8B 45 08 89 78 01 47 74 3D 8B 45 F4 8B 80 B4 03 00 00 8B 40 04 8B 04 98 8B 55 08 89 42 05 55 E8 ?? ?? ?? ?? 59 83 F8 FF 74 11 8B 55 08 89 42 01 8B 45 08 C6 00 08 E9 76 01 00 00 8B 45 08 C6 00 03 E9 6B 01 00 00 8B BE 88 00 00 00 80 7F 10 00 74 39 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 55 08 89 42 01 8B 45 08 83 78 01 FF 74 20 8B 45 F4 8B 80 B4 03 00 00 8B 40 04 8B 04 98 8B 55 08 89 42 05 8B 45 08 C6 00 07 E9 26 01 00 00 4B 83 FB FF 0F 85 21 FF FF FF 8B 45 F4 8B 80 A8 03 00 00 8B 70 08 4E 85 F6 7C 2B 46 33 DB 55 8B 45 F4 8B 80 A8 03 00 00 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 83 78 09 00 0F 85 E4 00 00 00 43 4E 75 D8 8B 45 F4 8B 80 60 04 00 00 80 78 10 00 74 1D 55 E8 ?? ?? ?? ?? 59 84 C0 75 12 55 8B 45 08 E8 ?? ?? ?? ?? 59 84 C0 0F 85 B4 00 00 00 8D 55 F8 8B 45 F4 8B 80 70 04 00 00 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 08 C6 00 04 E9 94 00 00 00 8D 55 F8 8B 45 F4 8B 80 6C 04 00 00 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 08 C6 00 09 EB 77 8D 55 F8 8B 45 F4 8B 80 5C 04 00 00 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 08 C6 00 05 EB 5A 8D 55 F8 8B 45 F4 8B 80 68 04 00 00 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 08 C6 00 0A EB 3D 8B 45 F4 05 44 03 00 00 8B 55 F8 8B 4D FC 3B 10 7C 0F 3B 48 04 7C 0A 3B 50 08 7F 05 3B 48 0C 7E 04 33 C0 EB 02 B0 01 84 C0 74 12 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 7E 06 8B 45 08 C6 00 06 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_90282_0 {
	meta:
		name = "TCustomChart.AxisTitleOrName"
		size = 189
		refs = "000c TChartAxis.GetAxisTitle 0016 @UStrAsg 002f TeeMsg_DepthAxis 0043 TChartAxes.GetDepthTopAxis 004f TeeMsg_DepthTopAxis 0072 TeeMsg_TopAxis 0083 TeeMsg_BottomAxis 009d TeeMsg_RightAxis 00ae TeeMsg_LeftAxis"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B C6 E8 ?? ?? ?? ?? 8B 50 58 8B C3 E8 ?? ?? ?? ?? 83 3B 00 0F 85 96 00 00 00 3B B7 B8 03 00 00 75 11 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? EB 7D 8B 87 A8 03 00 00 E8 ?? ?? ?? ?? 3B F0 75 11 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? EB 5D 80 BE B9 00 00 00 00 74 2B 80 BE BA 00 00 00 00 74 11 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? EB 3A 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? EB 29 80 BE BA 00 00 00 00 74 11 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? EB 0F 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90283_0 {
	meta:
		name = "TCustomChart.BroadcastDragDropEvent"
		size = 112
		refs = "0037 TChartTools.Get"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 88 55 FB 89 45 FC 8B 45 FC 8B 80 2C 04 00 00 8B 58 08 4B 85 DB 7C 46 43 C7 45 F0 00 00 00 00 8B 45 FC 8B 80 2C 04 00 00 8B 55 F0 E8 ?? ?? ?? ?? 80 78 38 00 74 21 8B 55 18 52 8B 55 14 52 0F B6 55 10 52 8B 55 0C 52 8B 55 08 52 0F B6 55 FB 8B 4D F4 8B 30 FF 56 5C FF 45 F0 4B 75 C2 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_90284_0 {
	meta:
		name = "TCustomChart.BroadcastKeyEvent"
		size = 100
		refs = "0037 TChartTools.Get"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 88 55 FB 89 45 FC 8B 45 FC 8B 80 2C 04 00 00 8B 58 08 4B 85 DB 7C 3A 43 C7 45 F0 00 00 00 00 8B 45 FC 8B 80 2C 04 00 00 8B 55 F0 E8 ?? ?? ?? ?? 80 78 38 00 74 15 8B 55 0C 52 0F B7 55 08 52 0F B6 55 FB 8B 4D F4 8B 30 FF 56 60 FF 45 F0 4B 75 CE 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_90285_0 {
	meta:
		name = "CheckList"
		size = 115
		refs = "0025 TChartTools.Get"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC 8B 45 FC 8B 58 08 4B 85 DB 7C 57 43 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 80 78 38 00 74 38 8B 55 08 0F B7 52 10 52 8B 55 08 8B 52 0C 52 8B 55 08 8B 52 08 52 8B 55 08 0F B6 4A FE 8B 55 08 0F B6 52 FF 8B 30 FF 56 58 8B 45 08 8B 40 F8 80 B8 A4 02 00 00 00 75 06 FF 45 F8 4B 75 B1 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_90286_0 {
	meta:
		name = "TCustomChart.BroadcastMouseEvent"
		size = 53
		refs = "001a CheckList"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 4D FE 88 55 FF 89 45 F8 55 8B 45 F8 8B 80 2C 04 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 F8 8B 80 A4 03 00 00 E8 ?? ?? ?? ?? 59 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_90287_0 {
	meta:
		name = "TCustomChart.BroadcastWheelEvent"
		size = 111
		refs = "0037 TChartTools.Get"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 88 55 FB 89 45 FC 8B 45 FC 8B 80 2C 04 00 00 8B 58 08 4B 85 DB 7C 45 43 C7 45 F0 00 00 00 00 8B 45 FC 8B 80 2C 04 00 00 8B 55 F0 E8 ?? ?? ?? ?? 80 78 38 00 74 20 8B 55 0C 52 8B 55 08 52 0F B6 55 FB 8B 4D F4 8B 30 FF 56 68 8B 45 FC 80 B8 A4 02 00 00 00 75 06 FF 45 F0 4B 75 C3 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_90288_0 {
	meta:
		name = "CheckZoomPanning"
		size = 344
		refs = "000e TCustomChart.ActiveSeriesCanZoomScroll 0094 TZoomPanning.Activate 00cd TCustomTeePanelExtended.DrawZoomRectangle 0100 TeeScrollKeyShift 0130 SetCaptureControl 0150 TControl.SetCursor"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 83 C6 FC 8B 06 E8 ?? ?? ?? ?? 84 C0 0F 84 3A 01 00 00 8B 06 8B 98 74 03 00 00 80 7B 18 00 0F 84 AC 00 00 00 8B 45 08 0F B6 40 FB 3A 43 34 0F 85 9C 00 00 00 8B 45 08 0F B7 40 F9 F7 D0 66 23 43 2B 0F 85 89 00 00 00 80 7B 28 01 75 0E 8B 06 8B 80 44 03 00 00 8B 55 08 89 42 0C 8B 06 8B 80 74 03 00 00 80 78 28 00 75 0E 8B 06 8B 80 48 03 00 00 8B 55 08 89 42 08 8B 45 08 8B 48 08 8B 45 08 8B 50 0C 8B 06 8B 80 74 03 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 74 03 00 00 80 78 28 01 75 0B 8B 16 8B 92 4C 03 00 00 89 50 10 8B 06 8B 80 74 03 00 00 80 78 28 00 75 0B 8B 16 8B 92 50 03 00 00 89 50 14 8B 06 E8 ?? ?? ?? ?? 8B 45 08 C6 40 F8 01 8B 06 80 B8 68 03 00 00 00 74 58 8B 45 08 0F B6 40 FB 8B 16 3A 82 70 03 00 00 75 47 8B 45 08 0F B7 40 F9 F7 D0 66 23 05 ?? ?? ?? ?? 75 35 8B 45 08 8B 48 08 8B 45 08 8B 50 0C 8B 06 8B 80 F4 02 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 F4 02 00 00 80 78 18 00 75 07 8B 06 E8 ?? ?? ?? ?? 8B 45 08 C6 40 F8 01 8B 45 08 80 78 F8 00 74 10 8B 06 0F B7 90 F0 02 00 00 8B 06 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_90289_0 {
	meta:
		name = "CheckBackground"
		size = 108
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 66 83 B8 8A 04 00 00 00 74 55 8B 45 08 8B 40 FC C6 80 A4 02 00 00 01 8B 45 08 0F B7 40 F9 50 8B 45 08 8B 40 F4 50 8B 45 08 8B 40 F0 50 8B 45 08 0F B6 48 FB 8B 45 08 8B 58 FC 8B 45 08 8B 50 FC 8B 83 8C 04 00 00 FF 93 88 04 00 00 8B 45 08 8B 40 FC 0F B6 80 A4 02 00 00 8B 55 08 88 42 F8 5B 5D C3 }
	condition:
		$1
}

rule function_90290_0 {
	meta:
		name = "CheckTitle"
		size = 130
		refs = "007a CheckZoomPanning"
	strings:
		$1 = { 55 8B EC 53 8B 55 08 8B 52 FC 66 83 BA A2 04 00 00 00 74 58 8B 55 08 8B 52 FC C6 82 A4 02 00 00 01 8B 55 08 0F B6 52 FB 52 8B 55 08 0F B7 52 F9 52 8B 55 08 8B 52 F4 52 8B 55 08 8B 52 F0 52 8B 55 08 8B 5A FC 8B 55 08 8B 52 FC 8B C8 8B 83 A4 04 00 00 FF 93 A0 04 00 00 8B 45 08 8B 40 FC 0F B6 80 A4 02 00 00 8B 55 08 88 42 F8 8B 45 08 80 78 F8 00 75 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 5B 5D C3 }
	condition:
		$1
}

rule function_90291_0 {
	meta:
		name = "TCustomChart.MouseDown"
		size = 743
		refs = "0026 TCustomTeePanel.MouseDown 008d TCustomChart.BroadcastMouseEvent 00ba TCustomChart.CalcNeedClickedPart 00d5 TCustomChart.MouseDown 0119 TCustomChartLegend.DoMouseDown 0208 CheckZoomPanning 0277 CheckTitle 02b6 CheckBackground"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 66 89 4D F9 88 55 FB 89 45 FC 8B 45 0C 50 8B 45 08 50 0F B7 4D F9 0F B6 55 FB 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C 89 45 F4 8B 45 08 89 45 F0 8B 45 FC 80 B8 A4 02 00 00 00 0F 85 99 02 00 00 8B 45 FC 8B 80 74 03 00 00 80 78 04 00 0F 85 86 02 00 00 8B 45 FC 8B 80 F4 02 00 00 80 78 04 00 0F 85 73 02 00 00 8B 45 FC C6 80 A4 02 00 00 00 0F B7 45 F9 50 8B 45 F4 50 8B 45 F0 50 0F B6 4D FB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A4 02 00 00 00 0F 85 34 02 00 00 8B 45 0C 89 45 E8 8B 45 08 89 45 EC 8D 45 DB 50 B1 01 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? C6 45 F8 00 0F B6 45 DB 0F B6 D0 83 FA 0A 0F 87 F6 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 DC 50 8B 45 FC 8B 80 60 04 00 00 8B 4D F0 8B 55 F4 E8 ?? ?? ?? ?? 88 45 F8 8B 45 FC 66 83 B8 92 04 00 00 00 0F 84 97 01 00 00 8B 45 FC C6 80 A4 02 00 00 01 0F B7 45 F9 50 8B 45 F4 50 8B 45 F0 50 0F B6 4D FB 8B 5D FC 8B 55 FC 8B 83 94 04 00 00 FF 93 90 04 00 00 8B 45 FC 0F B6 80 A4 02 00 00 88 45 F8 E9 58 01 00 00 8B 55 FC C6 82 A4 02 00 00 00 0F B6 55 FB 52 0F B7 55 F9 52 8B 55 F4 52 8B 55 F0 52 3C 08 0F 94 C1 8B 55 DC 8B 5D E0 8B C3 8B 30 FF 96 C8 00 00 00 8B 45 FC 0F B6 80 A4 02 00 00 88 45 F8 8B 45 FC 66 83 B8 9A 04 00 00 00 74 41 8B 45 FC C6 80 A4 02 00 00 01 8B 45 DC 50 0F B6 45 FB 50 0F B7 45 F9 50 8B 45 F4 50 8B 45 F0 50 8B 75 FC 8B CB 8B 55 FC 8B 86 9C 04 00 00 FF 96 98 04 00 00 8B 45 FC 0F B6 80 A4 02 00 00 88 45 F8 80 7D F8 00 0F 85 C2 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 B6 00 00 00 8B 45 FC 66 83 B8 82 04 00 00 00 74 3E 8B 45 FC C6 80 A4 02 00 00 01 0F B6 45 FB 50 0F B7 45 F9 50 8B 45 F4 50 8B 45 F0 50 8B 5D FC 8B 4D E4 8B 55 FC 8B 83 84 04 00 00 FF 93 80 04 00 00 8B 45 FC 0F B6 80 A4 02 00 00 88 45 F8 80 7D F8 00 75 65 55 E8 ?? ?? ?? ?? 59 EB 5C 55 8B 45 FC 8B 80 70 04 00 00 E8 ?? ?? ?? ?? 59 EB 4A 55 8B 45 FC 8B 80 5C 04 00 00 E8 ?? ?? ?? ?? 59 EB 38 55 8B 45 FC 8B 80 6C 04 00 00 E8 ?? ?? ?? ?? 59 EB 26 55 8B 45 FC 8B 80 68 04 00 00 E8 ?? ?? ?? ?? 59 EB 14 55 E8 ?? ?? ?? ?? 59 80 7D F8 00 75 07 55 E8 ?? ?? ?? ?? 59 80 7D F8 00 75 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC C6 80 A4 02 00 00 00 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_90292_0 {
	meta:
		name = "ProcessPanning"
		size = 203
		refs = "00c1 TChartAxis.SetMinMax"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 89 4D F8 89 55 FC 8B D8 8B F3 8B 55 FC 8B 86 B4 01 00 00 FF 96 B0 01 00 00 DD 5D D4 9B 8B 55 F8 8B 86 B4 01 00 00 FF 96 B0 01 00 00 DC 6D D4 DD 5D F0 9B 83 7E 3C 00 75 0F DD 86 28 01 00 00 DC 45 F0 DD 5D E8 9B EB 0A DD 46 20 DC 45 F0 DD 5D E8 9B 83 7E 38 00 75 0F DD 86 20 01 00 00 DC 45 F0 DD 5D E0 9B EB 0A DD 46 18 DC 45 F0 DD 5D E0 9B C6 45 DF 01 8B 45 08 8B 40 FC 66 83 B8 7A 04 00 00 00 74 1F 8D 45 E0 50 8D 45 DF 50 8B 45 08 8B 70 FC 8D 4D E8 8B D3 8B 86 7C 04 00 00 FF 96 78 04 00 00 80 7D DF 00 74 13 FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 8B C3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90293_0 {
	meta:
		name = "PanAxis"
		size = 177
		refs = "0065 TChartAxes.Get 009b ProcessPanning"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 89 55 F8 88 45 FF 80 7D FF 00 74 04 B0 01 EB 02 B0 02 8B 4D F8 3B 4D F4 0F 84 82 00 00 00 8B 55 08 8B 52 FC 0F B6 92 68 03 00 00 3A C2 74 05 80 FA 03 75 6C 8B 45 08 8B 40 FC 8B 80 A8 03 00 00 8B 58 08 4B 85 DB 7C 51 43 33 F6 8B 45 08 8B 40 FC 8B 80 A8 03 00 00 8B D6 E8 ?? ?? ?? ?? 80 B8 0C 01 00 00 00 75 2E 80 7D FF 00 74 09 80 B8 B9 00 00 00 00 75 0F 80 7D FF 00 75 19 80 B8 B9 00 00 00 00 75 10 8B 55 08 52 8B 4D F8 8B 55 F4 E8 ?? ?? ?? ?? 59 46 4B 75 B2 8B 45 08 C6 40 FB 01 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90294_0 {
	meta:
		name = "TCustomChart.MouseMove"
		size = 710
		refs = "001e TCustomChart.MouseMove 0033 TCustomTeePanel.MouseMove 005b TCustomChart.BroadcastMouseEvent 00b2 TCustomTeePanelExtended.DrawZoomRectangle 010c @ROUND 01e7 TCustomChart.SaveScales 01f8 TAllAxisSavedScales 01fd @DynArrayAsg 0215 PanAxis 0280 TCustomAxisPanel.CheckMouseSeries 0296 TControl.SetCursor 02b1 @DynArrayClear 02b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 8B F1 66 89 55 F9 89 45 FC 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8B CE 0F B7 55 F9 8B 45 FC E8 ?? ?? ?? ?? 89 75 EC 89 7D E8 8B 45 FC F6 40 1C 10 75 19 0F B7 45 F9 50 8B 45 EC 50 8B 45 E8 50 33 C9 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 A4 02 00 00 00 0F 85 2B 02 00 00 8B 45 FC 8B 98 74 03 00 00 80 7B 04 00 0F 84 FA 00 00 00 0F B6 43 28 3C 01 75 09 8B 55 FC 8B B2 4C 03 00 00 84 C0 75 09 8B 45 FC 8B B8 50 03 00 00 3B 73 10 75 09 3B 7B 14 0F 84 EC 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 80 7B 2A 00 0F 84 A3 00 00 00 8B 45 FC 05 44 03 00 00 8B 50 08 2B 10 89 55 E4 DB 45 E4 8B 50 0C 2B 50 04 89 55 E0 DB 45 E0 DE F9 DD 5D F0 9B 8B C7 2B 43 14 99 33 C2 2B C2 8B C8 8B C6 2B 43 10 99 33 C2 2B C2 3B C8 7E 32 2B 7B 0C 89 7D E4 DB 45 E4 DC 4D F0 E8 ?? ?? ?? ?? 8B F0 03 73 08 89 73 10 2B 73 08 89 75 E4 DB 45 E4 DC 75 F0 E8 ?? ?? ?? ?? 03 43 0C 89 43 14 EB 3E 2B 73 08 89 75 E4 DB 45 E4 DC 75 F0 E8 ?? ?? ?? ?? 8B F8 03 7B 0C 89 7B 14 2B 7B 0C 89 7D E4 DB 45 E4 DC 4D F0 E8 ?? ?? ?? ?? 03 43 08 89 43 10 EB 0C 8B 45 EC 89 43 10 8B 45 E8 89 43 14 8B 45 FC E8 ?? ?? ?? ?? E9 1E 01 00 00 8B 45 FC 8B 98 F4 02 00 00 80 7B 04 00 0F 84 E7 00 00 00 80 7B 18 00 75 04 B0 01 EB 21 8B 45 FC 05 44 03 00 00 3B 30 7C 0F 3B 78 04 7C 0A 3B 70 08 7F 05 3B 78 0C 7E 04 33 C0 EB 02 B0 01 84 C0 0F 84 A5 00 00 00 3B 73 10 75 09 3B 7B 14 0F 84 CA 00 00 00 C6 45 FB 00 8B 45 FC 80 B8 C0 04 00 00 00 74 2B 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 05 64 04 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 80 C0 04 00 00 00 55 8B 4B 10 8B 55 EC B0 01 E8 ?? ?? ?? ?? 59 55 8B 4B 14 8B 55 E8 33 C0 E8 ?? ?? ?? ?? 59 8B 45 EC 89 43 10 8B 45 E8 89 43 14 80 7D FB 00 74 5F 8B 45 FC 66 83 B8 8A 03 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 8C 03 00 00 FF 93 88 03 00 00 8B 45 FC 8B 10 FF 92 9C 00 00 00 EB 33 8B 45 FC 8B 80 F4 02 00 00 C6 40 04 00 EB 24 8B 4D E8 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 12 8B 45 FC 0F B7 90 F0 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_90295_0 {
	meta:
		name = "TCustomChart.ScrollVerticalAxes"
		size = 272
		refs = "002d TChartAxes.Get 0048 TCustomChart.ScrollVerticalAxes 00e8 TChartAxis.Scroll"
	strings:
		$1 = { 53 56 57 83 C4 D8 88 14 24 8B F0 8B 86 A8 03 00 00 8B 40 08 48 85 C0 0F 8C DA 00 00 00 40 89 44 24 24 33 FF 8B D7 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B D8 80 BB B9 00 00 00 00 0F 85 AC 00 00 00 DD 43 18 DC 63 20 D8 0D ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 DD 5C 24 08 9B 80 3C 24 00 75 0B DD 44 24 08 D9 E0 DD 5C 24 08 9B C6 44 24 20 01 66 83 BE 7A 04 00 00 00 74 5B 8B D7 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? DD 40 20 DC 44 24 08 DD 5C 24 10 9B 8B D7 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? DD 40 18 DC 44 24 08 DD 5C 24 18 9B 8D 44 24 18 50 8D 44 24 24 50 8B D7 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4C 24 18 8B 86 7C 04 00 00 FF 96 78 04 00 00 80 7C 24 20 00 74 11 FF 74 24 0C FF 74 24 0C 33 D2 8B C3 E8 ?? ?? ?? ?? 47 FF 4C 24 24 0F 85 2D FF FF FF 83 C4 28 5F 5E 5B C3 00 00 00 00 40 40 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_90296_0 {
	meta:
		name = "TCustomChart.DoEndDrag"
		size = 65
		refs = "001a TControl.DoEndDrag 0034 TCustomChart.BroadcastDragDropEvent"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 57 8B 45 08 50 6A 00 8D 45 FF 50 8D 45 F8 50 8B CE B2 03 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_90297_0 {
	meta:
		name = "TCustomChart.DoMouseWheel"
		size = 119
		refs = "0026 TControl.DoMouseWheel 0033 Mouse 003a TMouse.GetCursorPos 0047 TControl.ScreenToClient 0066 TCustomChart.BroadcastWheelEvent"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B 75 08 8D 7D F4 A5 A5 8B F1 66 89 55 FE 8B D8 8D 45 F4 50 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 88 45 F3 8B FB 8D 55 D8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 55 D8 8D 4D E0 8B C7 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E8 8B 45 E4 89 45 EC 8B 45 E8 50 8B 45 EC 50 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_90298_0 {
	meta:
		name = "TCustomChart.CanWheelScroll"
		size = 41
	strings:
		$1 = { 8B 88 F4 02 00 00 80 79 19 02 74 17 0F B6 90 68 03 00 00 80 FA 03 74 05 80 FA 02 75 06 F6 40 1C 10 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_90299_0 {
	meta:
		name = "TCustomChart.DoMouseWheelDown"
		size = 147
		refs = "001f TControl.DoMouseWheelDown 0028 TCustomChart.CanWheelScroll 0040 TCustomChart.ScrollVerticalAxes 004b Mouse 0052 TMouse.GetCursorPos 0061 TControl.ScreenToClient 0086 TCustomChart.BroadcastWheelEvent"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B F1 8D 7C 24 04 A5 A5 66 89 14 24 8B F8 8D 4C 24 04 0F B7 14 24 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 14 8B 87 F4 02 00 00 80 78 19 01 0F 94 C2 8B C7 E8 ?? ?? ?? ?? 8B F7 8D 54 24 1C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 54 24 1C 8D 4C 24 14 8B C6 E8 ?? ?? ?? ?? 8B 44 24 14 89 44 24 0C 8B 44 24 18 89 44 24 10 8B 44 24 0C 50 8B 44 24 14 50 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C3 83 C4 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90300_0 {
	meta:
		name = "TCustomChart.DoMouseWheelUp"
		size = 147
		refs = "001f TControl.DoMouseWheelUp 0028 TCustomChart.CanWheelScroll 0040 TCustomChart.ScrollVerticalAxes 004b Mouse 0052 TMouse.GetCursorPos 0061 TControl.ScreenToClient 0086 TCustomChart.BroadcastWheelEvent"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B F1 8D 7C 24 04 A5 A5 66 89 14 24 8B F8 8D 4C 24 04 0F B7 14 24 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 84 C0 74 14 8B 87 F4 02 00 00 80 78 19 00 0F 94 C2 8B C7 E8 ?? ?? ?? ?? 8B F7 8D 54 24 1C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 54 24 1C 8D 4C 24 14 8B C6 E8 ?? ?? ?? ?? 8B 44 24 14 89 44 24 0C 8B 44 24 18 89 44 24 10 8B 44 24 0C 50 8B 44 24 14 50 33 C9 B2 02 8B C7 E8 ?? ?? ?? ?? 8B C3 83 C4 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90301_0 {
	meta:
		name = "TCustomChart.DoStartDrag"
		size = 44
		refs = "0009 TControl.DoStartDrag 0024 TCustomChart.BroadcastDragDropEvent"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8D 44 24 0C 50 8D 44 24 14 50 33 C9 B2 02 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_90302_0 {
	meta:
		name = "TCustomChart.UndoZoom"
		size = 117
		refs = "0013 TTeeZoom.GetAxesHistory 0020 TCustomChart.ZoomBackOne 0027 TCustomChart.RemoveZoomSnapshot 0059 TCustomChart.RestoreScales 006e TCustomTeePanelExtended.UndoZoom"
	strings:
		$1 = { 53 56 8B D8 8B B3 74 03 00 00 80 7E 29 00 74 1D 8B C6 E8 ?? ?? ?? ?? 83 78 08 01 7E 10 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 37 80 7E 29 00 74 14 8B C6 E8 ?? ?? ?? ?? 83 78 08 01 75 07 8B C3 E8 ?? ?? ?? ?? 80 BB C0 04 00 00 00 75 14 8D 93 64 04 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 C0 04 00 00 01 C6 83 78 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90303_0 {
	meta:
		name = "TCustomChart.AddZoomSnapshot"
		size = 429
		refs = "0009 _Dn_TZoomSnapshot 000e TObject.Create 0020 :TZoomSnapshot.:1 0025 @DynArraySetLength 0033 TChartAxes.GetLeftAxis 0066 TChartAxes.GetTopAxis 009a TChartAxes.GetRightAxis 00ce TChartAxes.GetBottomAxis 0123 :TZoomSnapshot.:3 0149 :TZoomSnapshot.:2 015e TChartCustomAxes.Get 019d TTeeZoom.GetAxesHistory 01a4 TList.Add"
	strings:
		$1 = { 53 56 57 55 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 6A 08 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B 53 04 8B 48 20 89 0A 8B 48 24 89 4A 04 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B 53 04 8B 48 18 89 4A 08 8B 48 1C 89 4A 0C 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B 53 04 8B 48 20 89 4A 10 8B 48 24 89 4A 14 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B 53 04 8B 48 18 89 4A 18 8B 48 1C 89 4A 1C 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B 53 04 8B 48 20 89 4A 20 8B 48 24 89 4A 24 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B 53 04 8B 48 18 89 4A 28 8B 48 1C 89 4A 2C 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B 53 04 8B 48 20 89 4A 30 8B 48 24 89 4A 34 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B 53 04 8B 48 18 89 4A 38 8B 48 1C 89 4A 3C 8B 86 B0 03 00 00 8B 40 08 8B 40 08 85 C0 0F 8E 87 00 00 00 8B F8 89 7B 08 8B C7 03 C0 50 8D 43 0C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 6B 08 4D 85 ED 7C 5F 45 33 FF 6A 02 8B 43 0C 8D 04 B8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D7 8B 86 B0 03 00 00 E8 ?? ?? ?? ?? 8B 53 0C 8B 14 BA 8B 48 20 89 0A 8B 48 24 89 4A 04 8B D7 8B 86 B0 03 00 00 E8 ?? ?? ?? ?? 8B 53 0C 8B 14 BA 8B 48 18 89 4A 08 8B 48 1C 89 4A 0C 47 4D 75 A4 8B 86 74 03 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90304_0 {
	meta:
		name = "TCustomChart.RemoveZoomSnapshot"
		size = 51
		refs = "0009 TTeeZoom.GetAxesHistory 001c TZoomSnapshots.Get 0021 TObject.Free 002c TList.Delete"
	strings:
		$1 = { 53 56 8B 80 74 03 00 00 E8 ?? ?? ?? ?? 8B D8 8B 73 08 85 F6 7E 1A 8B D6 4A 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90305_0 {
	meta:
		name = "TCustomChart.ZoomBackOne"
		size = 179
		refs = "000b TTeeZoom.GetAxesHistory 0023 TZoomSnapshots.Get 0041 TChartAxes.GetLeftAxis 0046 TChartAxis.SetMinMax 0063 TChartAxes.GetTopAxis 0085 TChartAxes.GetRightAxis 00a7 TChartAxes.GetBottomAxis"
	strings:
		$1 = { 53 56 8B F0 8B 86 74 03 00 00 E8 ?? ?? ?? ?? 8B 40 08 83 E8 02 50 8B 86 74 03 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D8 8B 43 04 FF 70 04 FF 30 8B 43 04 FF 70 0C FF 70 08 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 FF 70 14 FF 70 10 8B 43 04 FF 70 1C FF 70 18 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 FF 70 24 FF 70 20 8B 43 04 FF 70 2C FF 70 28 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 FF 70 34 FF 70 30 8B 43 04 FF 70 3C FF 70 38 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90306_0 {
	meta:
		name = "TCustomChart.CalcZoomPoints"
		size = 619
		refs = "0021 TZoomPanning.Check 013f TCustomChart.DoZoom 014d TChartAxes.GetTopAxis 018f TChartAxes.GetBottomAxis 01d1 TChartAxes.GetLeftAxis 0213 TChartAxes.GetRightAxis 0260 TCustomChart.AddZoomSnapshot"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B D8 33 C0 89 04 24 8B B3 74 03 00 00 8B 83 A8 03 00 00 89 44 24 04 8B C6 E8 ?? ?? ?? ?? 8B 83 B4 03 00 00 8B 68 08 4D 85 ED 7C 40 45 33 FF 8B 83 B4 03 00 00 8B 40 04 8B 04 B8 80 78 38 00 74 27 8B 83 B4 03 00 00 8B 40 04 8B 04 B8 8B 10 FF 92 78 01 00 00 84 C0 74 0F 8B 83 B4 03 00 00 8B 40 04 8B 04 B8 89 04 24 47 4D 75 C3 83 3C 24 00 0F 84 CB 00 00 00 8B 04 24 80 B8 4E 01 00 00 00 0F 84 BB 00 00 00 8B 56 08 8B 04 24 8B 08 FF 91 4C 01 00 00 83 C4 F8 DD 1C 24 9B 8B 56 10 8B 44 24 08 8B 08 FF 91 4C 01 00 00 83 C4 F8 DD 1C 24 9B 8B 56 08 8B 44 24 10 8B 08 FF 91 4C 01 00 00 83 C4 F8 DD 1C 24 9B 8B 56 10 8B 44 24 18 8B 08 FF 91 4C 01 00 00 83 C4 F8 DD 1C 24 9B 8B 56 14 8B 44 24 20 8B 08 FF 91 50 01 00 00 83 C4 F8 DD 1C 24 9B 8B 56 0C 8B 44 24 28 8B 08 FF 91 50 01 00 00 83 C4 F8 DD 1C 24 9B 8B 56 14 8B 44 24 30 8B 08 FF 91 50 01 00 00 83 C4 F8 DD 1C 24 9B 8B 56 0C 8B 44 24 38 8B 08 FF 91 50 01 00 00 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? E9 0F 01 00 00 8B 44 24 04 E8 ?? ?? ?? ?? 8B F8 8B 56 08 8B 87 B4 01 00 00 FF 97 B0 01 00 00 83 C4 F8 DD 1C 24 9B 8B 44 24 0C E8 ?? ?? ?? ?? 8B F8 8B 56 10 8B 87 B4 01 00 00 FF 97 B0 01 00 00 83 C4 F8 DD 1C 24 9B 8B 44 24 14 E8 ?? ?? ?? ?? 8B F8 8B 56 08 8B 87 B4 01 00 00 FF 97 B0 01 00 00 83 C4 F8 DD 1C 24 9B 8B 44 24 1C E8 ?? ?? ?? ?? 8B F8 8B 56 10 8B 87 B4 01 00 00 FF 97 B0 01 00 00 83 C4 F8 DD 1C 24 9B 8B 44 24 24 E8 ?? ?? ?? ?? 8B F8 8B 56 14 8B 87 B4 01 00 00 FF 97 B0 01 00 00 83 C4 F8 DD 1C 24 9B 8B 44 24 2C E8 ?? ?? ?? ?? 8B F8 8B 56 0C 8B 87 B4 01 00 00 FF 97 B0 01 00 00 83 C4 F8 DD 1C 24 9B 8B 44 24 34 E8 ?? ?? ?? ?? 8B F8 8B 56 14 8B 87 B4 01 00 00 FF 97 B0 01 00 00 83 C4 F8 DD 1C 24 9B 8B 44 24 3C E8 ?? ?? ?? ?? 8B F8 8B 56 0C 8B 87 B4 01 00 00 FF 97 B0 01 00 00 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 80 7E 29 00 74 07 8B C3 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90307_0 {
	meta:
		name = "TCustomChart.MouseUp"
		size = 300
		refs = "0029 TCustomTeePanel.MouseUp 0058 TCustomTeePanelExtended.DrawZoomRectangle 0068 TPen.SetMode 00d9 @CallDynaInst 0107 SetCaptureControl 011f TCustomChart.BroadcastMouseEvent"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 66 89 4D FE 8B DA 8B F8 8B 75 0C C6 87 A4 02 00 00 00 56 8B 45 08 50 0F B7 4D FE 8B D3 8B C7 E8 ?? ?? ?? ?? 89 75 F8 8B 45 08 89 45 F4 8B 87 74 03 00 00 80 78 04 00 0F 84 AE 00 00 00 3A 58 34 0F 85 A5 00 00 00 8B F0 C6 46 04 00 8B C7 E8 ?? ?? ?? ?? 8B 87 40 03 00 00 8B 40 10 B2 04 E8 ?? ?? ?? ?? 80 7E 28 01 74 06 8B 45 F8 89 46 10 80 7E 28 00 74 06 8B 45 F4 89 46 14 80 7E 28 01 74 10 8B 46 10 2B 46 08 99 33 C2 2B C2 3B 46 30 7E 5A 80 7E 28 00 74 10 8B 46 14 2B 46 0C 99 33 C2 2B C2 3B 46 30 7E 44 80 7E 3C 00 75 1C 80 7E 28 01 75 08 8B 46 14 3B 46 0C 7F 0E 80 7E 28 01 74 15 8B 46 10 3B 46 08 7E 0D 8B C7 66 BE A8 FF E8 ?? ?? ?? ?? EB 0B 8B C7 66 BE AD FF E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 9C 00 00 00 8B 87 F4 02 00 00 C6 40 04 00 80 78 18 00 75 07 33 C0 E8 ?? ?? ?? ?? 0F B7 45 FE 50 8B 45 F8 50 8B 45 F4 50 8B CB B2 02 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_90308_0 {
	meta:
		name = "TCustomChart.CalcWallsRect"
		size = 204
		refs = "0008 TCustomAxisPanel.CalcSize3DWalls 002c TCustomChart.ActiveSeriesUseAxis 0037 TCustomChart.GetBackWall 0068 TCustomChart.GetLeftWall 0096 TCustomChart.GetRightWall 00c4 TCustomTeePanel.ReCalcWidthHeight"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 04 03 00 00 00 0F 84 A8 00 00 00 8B 83 08 03 00 00 80 78 20 00 0F 84 98 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? 8B 78 5C EB 02 33 FF 8D B3 44 03 00 00 8B 83 08 03 00 00 83 78 24 5A 7E 2F 8B 83 0C 03 00 00 99 33 C2 2B C2 03 06 03 C7 89 06 8B C3 E8 ?? ?? ?? ?? 80 78 10 00 74 3C 8B C3 E8 ?? ?? ?? ?? 8B 40 5C 03 06 40 89 06 EB 2B 8B 83 0C 03 00 00 99 33 C2 2B C2 03 C7 29 46 08 8B C3 E8 ?? ?? ?? ?? 80 78 10 00 74 0E 8B C3 E8 ?? ?? ?? ?? 8B 40 5C 40 29 46 08 8B 83 D0 02 00 00 99 33 C2 2B C2 03 46 04 03 F8 89 7E 04 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90309_0 {
	meta:
		name = "TCustomChart.Assign"
		size = 130
		refs = "000b _DV_TCustomChart 0010 @IsClass 0023 TCustomChart.SetColorPaletteIndex 0030 TCustomChart.SetFoot 003d TCustomChart.SetLegend 004a TCustomChart.SetSubFoot 0057 TCustomChart.SetSubTitle 0064 TCustomChart.SetTitle 0071 TCustomChart.SetWalls 007a TCustomAxisPanel.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5D 8B FE 8B 97 58 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 5C 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 60 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 68 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 6C 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 70 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 74 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90310_0 {
	meta:
		name = "TCustomChart.GetChildren"
		size = 126
		refs = "0013 TCustomAxisPanel.GetChildren 0037 TChartTools.Get 0067 TChartAnimations.Get"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC FF 75 0C FF 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 2C 04 00 00 8B 58 08 4B 85 DB 7C 1F 43 33 F6 8B 45 FC 8B 80 2C 04 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 46 4B 75 E4 8B 45 FC 8B 80 A4 03 00 00 8B 58 08 4B 85 DB 7C 1F 43 33 F6 8B 45 FC 8B 80 A4 03 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 0C FF 55 08 46 4B 75 E4 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_90312_0 {
	meta:
		name = "TCustomChart.FillValueSourceItems"
		size = 108
		refs = "000c TChartSeries.GetDataSource 001d _Dn_TChartSeries 0022 @IsClass 0054 TChartValueLists.Get"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 5A 28 8B C3 E8 ?? ?? ?? ?? 85 C0 74 51 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3B 8B C3 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B 80 98 00 00 00 8B 58 08 4B 85 DB 7C 20 43 33 F6 8B 45 FC 8B 80 98 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 50 20 8B 45 0C FF 55 08 46 4B 75 E3 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_90313_0 {
	meta:
		name = "TCustomChart.GetASeries"
		size = 58
	strings:
		$1 = { 53 8B 90 B4 03 00 00 8B 4A 08 49 85 C9 7C 27 41 33 D2 8B 98 B4 03 00 00 8B 5B 04 8B 1C 93 80 7B 38 00 74 0E 8B 80 B4 03 00 00 8B 40 04 8B 04 90 5B C3 42 49 75 DC 33 C0 5B C3 }
	condition:
		$1
}

rule function_90314_0 {
	meta:
		name = "TCustomChart.SetTitle"
		size = 12
	strings:
		$1 = { 8B 80 70 04 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_90315_0 {
	meta:
		name = "TCustomChart.SetWalls"
		size = 12
	strings:
		$1 = { 8B 80 74 04 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_90316_0 {
	meta:
		name = "TCustomChart.SetColorPaletteIndex"
		size = 38
		refs = "0013 ColorPalettes 0020 TColorPalettes.ApplyPalette"
	strings:
		$1 = { 53 3B 90 58 04 00 00 74 1B 8B CA 89 88 58 04 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B D8 8B C2 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90317_0 {
	meta:
		name = "TCustomChart.SetFoot"
		size = 12
	strings:
		$1 = { 8B 80 5C 04 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_90318_0 {
	meta:
		name = "TCustomChart.SetSubTitle"
		size = 12
	strings:
		$1 = { 8B 80 6C 04 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_90319_0 {
	meta:
		name = "TCustomChart.SetSubFoot"
		size = 12
	strings:
		$1 = { 8B 80 68 04 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_90320_0 {
	meta:
		name = "TCustomChart.ReadBackColor"
		size = 115
		refs = "000f TCustomChart.ReadBackColor 001c TReader.NextValue 002a TReader.ReadIdent 0032 StringToColor 003b TCustomChart.SetBackColor 0044 TReader.ReadInteger 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 3C 07 75 1D 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90321_0 {
	meta:
		name = "TCustomChart.WriteColorPalette"
		size = 13
		refs = "0008 TWriter.WriteInteger"
	strings:
		$1 = { 8B 80 58 04 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90322_0 {
	meta:
		name = "DoColorPaletteIndex"
		size = 57
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 40 20 85 C0 74 17 8B 55 08 8B 52 F8 8B 92 58 04 00 00 3B 90 58 04 00 00 0F 95 C0 5D C3 8B 45 08 8B 40 F8 83 B8 58 04 00 00 00 0F 9F C0 5D C3 }
	condition:
		$1
}

rule function_90323_0 {
	meta:
		name = "TCustomChart.DefineProperties"
		size = 180
		refs = "0014 TCustomAxisPanel.DefineProperties 001d TCustomChart.ReadBackColor 0028 TCustomChart.DefineProperties 0039 TCustomChart.ReadColorPalette 0042 TCustomChart.WriteColorPalette 0048 DoColorPaletteIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 42 00 61 00 63 00 6B 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 6F 00 6C 00 6F 00 72 00 50 00 61 00 6C 00 65 00 74 00 74 00 65 00 49 00 6E 00 64 00 65 00 78 00 00 00 }
	condition:
		$1
}

rule function_90325_0 {
	meta:
		name = "TCustomChart.DrawLegendShape"
		size = 36
		refs = "001f TLegendSymbol.Draw"
	strings:
		$1 = { 8B CA 8B 90 60 04 00 00 8B 92 88 00 00 00 8B 80 40 03 00 00 8B 40 04 8B 40 10 8B 40 18 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90326_0 {
	meta:
		name = "TTeeCustomShapePosition.SetCustomPosition"
		size = 29
		refs = "0012 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 53 8B 48 08 85 C9 74 10 8D 58 54 8B C1 8B CA 8B D3 E8 ?? ?? ?? ?? 5B C3 88 50 54 5B C3 }
	condition:
		$1
}

rule function_90327_0 {
	meta:
		name = "TTeeCustomShapePosition.SetLeft"
		size = 33
		refs = "0016 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 53 C6 40 54 01 8B 48 08 85 C9 74 10 8D 58 44 8B C1 8B CA 8B D3 E8 ?? ?? ?? ?? 5B C3 89 50 44 5B C3 }
	condition:
		$1
}

rule function_90328_0 {
	meta:
		name = "TTeeCustomShapePosition.SetTop"
		size = 33
		refs = "0016 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 53 C6 40 54 01 8B 48 08 85 C9 74 10 8D 58 48 8B C1 8B CA 8B D3 E8 ?? ?? ?? ?? 5B C3 89 50 48 5B C3 }
	condition:
		$1
}

rule function_90329_0 {
	meta:
		name = "TTeeCustomShapePosition.Assign"
		size = 82
		refs = "000b _DV_TTeeCustomShapePosition 0010 @IsClass 0028 TTeeCustomShapePosition.GetLeft 0031 TTeeCustomShapePosition.SetLeft 0038 TTeeCustomShapePosition.GetTop 0041 TTeeCustomShapePosition.SetTop 004a TTeeCustomShape.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8B FE 0F B6 47 54 88 43 54 84 C0 74 20 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90332_0 {
	meta:
		name = "TTeeCustomShapePosition.IsCustomStored"
		size = 11
	strings:
		$1 = { 0F B6 50 54 3A 50 55 0F 95 C0 C3 }
	condition:
		$1
}

rule function_90333_0 {
	meta:
		name = "TLegendSymbol.Create"
		size = 195
		refs = "000b @ClassCreate 001a TObject.Create 002b TLegendSymbol.CanvasChanged 0032 _Dn_TChartPen 0037 TChartPen.Create 004e _Dn_TTeeGradient 0053 TCustomTeeGradient.Create 0063 _Dn_TTeeShadow 0068 TTeeShadow.Create 007d TTeeShadow.InitValues 008a _Dn_TTeeEmboss 008f TTeeEmboss.Create 00af @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 38 C6 47 25 01 C6 47 05 01 57 68 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 18 C7 47 28 14 00 00 00 57 68 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 57 68 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 20 6A 03 8B 4E 08 0F B6 56 20 8B C6 E8 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 0C 6A 03 8B 4E 08 0F B6 56 20 8B C6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90334_0 {
	meta:
		name = "TLegendSymbol.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 000f TObject.Free 0032 TPersistent.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90336_0 {
	meta:
		name = "TLegendSymbol.Assign"
		size = 111
		refs = "000b _DV_TLegendSymbol 0010 @IsClass 0027 TLegendSymbol.SetGradient 0031 TLegendSymbol.SetPen 0042 TLegendSymbol.SetEmboss 004c TLegendSymbol.SetShadow"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 53 8B FE 0F B6 47 04 88 43 04 8B 57 08 8B C3 E8 ?? ?? ?? ?? 8B 57 18 8B C3 E8 ?? ?? ?? ?? 0F B6 47 1C 88 43 1C 8B 57 0C 8B C3 E8 ?? ?? ?? ?? 8B 57 20 8B C3 E8 ?? ?? ?? ?? 0F B6 47 24 88 43 24 8B 47 28 89 43 28 0F B6 47 2C 88 43 2C 0F B6 47 25 88 43 25 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90337_0 {
	meta:
		name = "TLegendSymbol.CalcWidth"
		size = 88
		refs = "0031 TLegendSymbol.CalcWidth 0038 @ROUND"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 80 7B 25 00 74 36 80 7B 24 00 74 0B 8B 43 34 FF 53 30 83 E8 05 EB 27 80 7B 2C 00 75 1A 8B 43 28 F7 EE 89 04 24 DB 04 24 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? EB 07 8B 43 28 EB 02 33 C0 5A 5E 5B C3 00 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_90338_0 {
	meta:
		name = "TLegendSymbol.Repaint"
		size = 24
	strings:
		$1 = { 56 57 8B F0 8B 7E 38 85 FF 74 0A 8B C7 8B 10 FF 92 A0 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_90339_0 {
	meta:
		name = "TLegendSymbol.SetWidth"
		size = 29
		refs = "0012 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 53 8B 48 38 85 C9 74 10 8D 58 28 8B C1 8B CA 8B D3 E8 ?? ?? ?? ?? 5B C3 89 50 28 5B C3 }
	condition:
		$1
}

rule function_90340_0 {
	meta:
		name = "TLegendSymbol.SetWidthUnits"
		size = 14
		refs = "0009 TLegendSymbol.Repaint"
	strings:
		$1 = { 3A 50 2C 74 08 88 50 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90341_0 {
	meta:
		name = "TLegendSymbol.SetPosition"
		size = 14
		refs = "0009 TLegendSymbol.Repaint"
	strings:
		$1 = { 3A 50 1C 74 08 88 50 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90344_0 {
	meta:
		name = "TLegendSymbol.SetBooleanProperty"
		size = 12
		refs = "0007 TLegendSymbol.Repaint"
	strings:
		$1 = { 3A 0A 74 07 88 0A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93860_0 {
	meta:
		name = "TCustomChartElement.SetBooleanProperty"
		size = 12
		refs = "0007 TCustomChartElement.Repaint"
	strings:
		$1 = { 3A 0A 74 07 88 0A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91674_0 {
	meta:
		name = "TTeeFontGradient.SetBooleanProperty"
		size = 12
		refs = "0007 TCustomTeeGradient.DoChanged"
	strings:
		$1 = { 3A 0A 74 07 88 0A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91202_0 {
	meta:
		name = "TView3DOptions.SetBooleanProperty"
		size = 12
		refs = "0007 TView3DOptions.Repaint"
	strings:
		$1 = { 3A 0A 74 07 88 0A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90345_0 {
	meta:
		name = "TLegendSymbol.SetContinuous"
		size = 11
		refs = "0006 TLegendSymbol.SetBooleanProperty"
	strings:
		$1 = { 8D 48 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91586_0 {
	meta:
		name = "TCustomTeeGradient.SetAngle"
		size = 11
		refs = "0006 TCustomTeeGradient.SetIntegerProperty"
	strings:
		$1 = { 8D 48 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93748_0 {
	meta:
		name = "TMargins.SetLeft"
		size = 11
		refs = "0006 TMargins.SetIntegerProperty"
	strings:
		$1 = { 8D 48 04 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90346_0 {
	meta:
		name = "TLegendSymbol.SetVisible"
		size = 11
		refs = "0006 TLegendSymbol.SetBooleanProperty"
	strings:
		$1 = { 8D 48 25 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90347_0 {
	meta:
		name = "TLegendSymbol.SetDefaultPen"
		size = 14
		refs = "0009 TLegendSymbol.Repaint"
	strings:
		$1 = { 3A 50 05 74 08 88 50 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90349_0 {
	meta:
		name = "TLegendSymbol.SetSquared"
		size = 11
		refs = "0006 TLegendSymbol.SetBooleanProperty"
	strings:
		$1 = { 8D 48 24 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90360_0 {
	meta:
		name = "TLegendItem.SetText2"
		size = 11
		refs = "0006 TLegendItem.SetTextVariable"
	strings:
		$1 = { 8D 48 24 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91221_0 {
	meta:
		name = "TView3DOptions.SetOrthoAngle"
		size = 11
		refs = "0006 TView3DOptions.SetIntegerProperty"
	strings:
		$1 = { 8D 48 24 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90350_0 {
	meta:
		name = "TLegendSymbol.SetGradient"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 08 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_90351_0 {
	meta:
		name = "TryDrawShadow"
		size = 100
		refs = "000f TTeeShadow.GetSize 0040 TTeeShadow.Draw"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 7B 20 00 74 55 8B C3 E8 ?? ?? ?? ?? 85 C0 74 4A 8B 45 08 8B 40 FC 8B 10 FF 52 1C 84 C0 74 20 68 00 00 E0 3F 6A 00 6A 00 6A 00 8B 45 08 8B 48 F8 8B 45 08 8B 50 FC 8B C3 E8 ?? ?? ?? ?? EB 1B 6A 00 6A 00 6A 00 6A 00 8B 45 08 8B 48 F8 8B 45 08 8B 50 FC 8B C3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_90352_0 {
	meta:
		name = "TLegendSymbol.Draw"
		size = 339
		refs = "0035 TryDrawShadow 004d TBrush.SetColor 005c TBrush.SetStyle 0086 TCustomTeeGradient.SetEndColor 008e TTeeCanvas.GetGradient 00b1 TPen.GetStyle 00e6 TPen.SetColor"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D F8 89 55 F4 8B D8 8B 43 38 8B 80 40 03 00 00 89 45 FC 8B 45 FC 8B 40 04 8B 40 10 8B 70 18 0F B6 40 20 88 45 F3 55 8B 43 20 E8 ?? ?? ?? ?? 59 55 8B 43 0C E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 04 8B D6 E8 ?? ?? ?? ?? 0F B6 55 F3 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 80 7B 05 00 75 13 8B 73 18 8B 46 10 8B 48 18 8B D6 8B 45 FC 8B 30 FF 56 54 8B 43 08 80 78 28 00 74 1A 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 53 08 8B 08 FF 51 08 EB 0E 8B 45 FC 8B 40 04 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 3C 05 74 57 80 7B 05 00 74 2B 8B 45 FC 8B 40 04 8B 40 10 8B 40 18 8B 53 38 3B 82 48 04 00 00 75 14 85 C0 75 10 8B 45 FC 8B 40 10 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 0C 50 8B 4D F8 8B 49 04 8B 55 F8 8B 12 8B 45 FC 8B 18 FF 93 8C 00 00 00 EB 3C 8B 45 FC 8B 40 04 8B 40 10 0F B6 40 20 3C 01 74 2B 8B 45 F8 8B F0 8D 7D E0 A5 A5 A5 A5 FF 45 E8 FF 45 EC 8B 45 E8 50 8B 45 EC 50 8B 45 FC 8B 4D E4 8B 55 E0 8B 18 FF 93 8C 00 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90355_0 {
	meta:
		name = "TLegendItem.GetFont"
		size = 87
		refs = "0008 TLegendItem.HasFont 0019 TTeeCustomShapeBrushPen.CanvasChanged 0020 _Dn_TTeeFont 0025 TTeeFont.Create"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 40 8B 73 2C 85 F6 74 26 56 68 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 08 8B 43 2C 8B 50 20 8B C7 8B 08 FF 51 08 EB 13 6A 00 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 8B 43 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90356_0 {
	meta:
		name = "TLegendItem.SetFont"
		size = 69
		refs = "000d TLegendItem.GetFont 0026 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 10 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 EB 10 8D 43 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 43 2C 85 C0 74 11 8B 70 08 85 F6 74 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_90357_0 {
	meta:
		name = "TLegendItem.SetAlign"
		size = 16
		refs = "000b TLegendItem.SetCustom"
	strings:
		$1 = { 3B 50 04 74 0A 89 50 04 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90358_0 {
	meta:
		name = "TLegendItem.SetLeft"
		size = 16
		refs = "000b TLegendItem.SetCustom"
	strings:
		$1 = { 3B 50 0C 74 0A 89 50 0C B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90359_0 {
	meta:
		name = "TLegendItem.SetText"
		size = 11
		refs = "0006 TLegendItem.SetTextVariable"
	strings:
		$1 = { 8D 48 20 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91591_0 {
	meta:
		name = "TCustomTeeGradient.SetStartColor"
		size = 11
		refs = "0006 TCustomTeeGradient.SetColorProperty"
	strings:
		$1 = { 8D 48 20 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91222_0 {
	meta:
		name = "TView3DOptions.SetOrthogonal"
		size = 11
		refs = "0006 TView3DOptions.SetBooleanProperty"
	strings:
		$1 = { 8D 48 20 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90361_0 {
	meta:
		name = "TLegendItem.SetTextVariable"
		size = 42
		refs = "000e @UStrEqual 0019 @UStrAsg 0022 TLegendItem.SetCustom"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 06 8B D7 E8 ?? ?? ?? ?? 74 12 8B C6 8B D7 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90362_0 {
	meta:
		name = "TLegendItem.SetTop"
		size = 16
		refs = "000b TLegendItem.SetCustom"
	strings:
		$1 = { 3B 50 28 74 0A 89 50 28 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90363_0 {
	meta:
		name = "TLegendItem.SetCustom"
		size = 45
	strings:
		$1 = { 56 8B F0 8B 46 2C 85 C0 74 21 8B 48 70 C6 41 10 01 84 D2 74 04 C6 41 11 01 8B 46 2C 8B 40 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_90364_0 {
	meta:
		name = "TLegendItems.Get"
		size = 78
		refs = "000e TList.Add 001f TList.Get 002c _DV_TLegendItem 0031 TObject.Create 0044 TList.Put"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 08 48 3B F0 7F EF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 75 1F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 43 14 89 47 2C 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90365_0 {
	meta:
		name = "TLegendItems.SetCustom"
		size = 26
	strings:
		$1 = { 56 8B F0 88 56 10 8B 46 14 8B 40 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_90366_0 {
	meta:
		name = "TLegendItems.SetCustomPosition"
		size = 26
	strings:
		$1 = { 56 8B F0 88 56 11 8B 46 14 8B 40 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_90368_0 {
	meta:
		name = "TLegendItems.Clear"
		size = 34
		refs = "0007 TLegendItems.ClearItems"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 14 8B 70 08 85 F6 74 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_90369_0 {
	meta:
		name = "TCustomChartLegend.Create"
		size = 311
		refs = "000f @ClassCreate 0021 TTeeCustomShape.Create 0043 _DV_TLegendSymbol 0048 TLegendSymbol.Create 005a TCustomChartLegend.CalcItemHeight 0072 _Dn_TChartHiddenPen 0077 TChartHiddenPen.Create 00c3 _DV_TLegendItems 00c8 TObject.Create 00de TTeeCustomShape.GetGradient 00e9 TCustomTeeGradient.SetDirection 00fc TCustomTeeGradient.SetEndColor 010e TCustomTeeGradient.SetStartColor 0121 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 B9 00 00 00 00 C7 83 B0 00 00 00 FF FF FF FF C6 43 58 01 C6 43 5B 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 BB 88 00 00 00 89 5F 34 C7 47 30 ?? ?? ?? ?? 8B 73 08 85 F6 74 1B 56 8B 06 8B 80 08 01 00 00 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 5C EB 13 6A 00 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 5C C6 43 78 00 C6 83 8C 00 00 00 01 C7 83 90 00 00 00 02 00 00 00 C7 83 98 00 00 00 0A 00 00 00 C6 83 81 00 00 00 01 C6 83 D0 00 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 70 89 5E 14 C6 83 80 00 00 00 01 8B C3 E8 ?? ?? ?? ?? 8B F0 B2 03 8B C6 E8 ?? ?? ?? ?? 0F B6 46 0C 88 46 48 BA FF FF FF 00 8B C6 E8 ?? ?? ?? ?? 8B 46 10 89 46 4C BA C0 C0 C0 00 8B C6 E8 ?? ?? ?? ?? 8B 46 20 89 46 54 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90370_0 {
	meta:
		name = "TCustomChartLegend.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 000f TObject.Free 0038 TTeeCustomShape.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 70 E8 ?? ?? ?? ?? 8B 86 94 00 00 00 E8 ?? ?? ?? ?? 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 8B 46 5C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90371_0 {
	meta:
		name = "TCustomChartLegend.GetTitle"
		size = 41
		refs = "0012 _DV_TLegendTitle 0017 TLegendTitle.Create"
	strings:
		$1 = { 53 8B D8 83 BB 94 00 00 00 00 75 15 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 94 00 00 00 8B 83 94 00 00 00 5B C3 }
	condition:
		$1
}

rule function_90372_0 {
	meta:
		name = "TCustomChartLegend.Assign"
		size = 239
		refs = "000b _DV_TCustomChartLegend 0010 @IsClass 0040 TCustomChartLegend.SetDividingLines 0094 TCustomChartLegend.SetSymbol 00ae TCustomChartLegend.SetTitle 00e7 TTeeCustomShapePosition.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C6 00 00 00 8B FE 0F B6 47 58 88 43 58 0F B6 47 59 88 43 59 0F B6 47 5A 88 43 5A 0F B6 47 5B 88 43 5B 8B 57 5C 8B C3 E8 ?? ?? ?? ?? 8B 47 60 89 43 60 0F B6 47 64 88 43 64 8B 47 68 89 43 68 0F B6 47 6C 88 43 6C 8B 47 74 89 43 74 0F B6 47 78 88 43 78 8B 47 7C 89 43 7C 0F B6 87 80 00 00 00 88 83 80 00 00 00 0F B6 87 81 00 00 00 88 83 81 00 00 00 8B 97 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 87 8C 00 00 00 88 83 8C 00 00 00 8B 97 94 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 87 98 00 00 00 89 83 98 00 00 00 8B 87 9C 00 00 00 89 83 9C 00 00 00 8B 87 A0 00 00 00 89 83 A0 00 00 00 8B 87 A4 00 00 00 89 83 A4 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90373_0 {
	meta:
		name = "TCustomChartLegend.SetAlignment"
		size = 28
		altNames = "TLegendTitle.SetTextAlign"
	strings:
		$1 = { 56 8B F0 3A 56 58 74 12 88 56 58 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_90374_0 {
	meta:
		name = "TCustomChartLegend.SetFirstValue"
		size = 44
		refs = "0006 TeeMsg_LegendFirstValue 000f _DV_LegendException 0014 Exception.Create 0019 @RaiseExcept 0027 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 85 D2 7D 1A 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 8D 48 60 8B 40 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90375_0 {
	meta:
		name = "TCustomChartLegend.SetHorizMargin"
		size = 14
		refs = "0009 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 68 8B 40 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90376_0 {
	meta:
		name = "TCustomChartLegend.SetInverted"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 6C 8B 40 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90377_0 {
	meta:
		name = "TCustomChartLegend.SetCurrentPage"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 5B 8B 40 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90378_0 {
	meta:
		name = "TCustomChartLegend.SetFontSeriesColor"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 64 8B 40 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90379_0 {
	meta:
		name = "TCustomChartLegend.SetLeftPercent"
		size = 14
		refs = "0009 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 74 8B 40 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90380_0 {
	meta:
		name = "TCustomChartLegend.SetLegendStyle"
		size = 35
		refs = "000e TCustomChartLegend.CalcLegendStyle"
	strings:
		$1 = { 56 8B F0 3A 56 78 74 19 88 56 78 8B C6 E8 ?? ?? ?? ?? 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_90381_0 {
	meta:
		name = "TCustomChartLegend.SetMaxNumRows"
		size = 14
		refs = "0009 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 7C 8B 40 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90382_0 {
	meta:
		name = "TCustomChartLegend.SetPosUnits"
		size = 34
	strings:
		$1 = { 56 8B F0 3A 96 80 00 00 00 74 15 88 96 80 00 00 00 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_90383_0 {
	meta:
		name = "TCustomChartLegend.SetResizeChart"
		size = 17
		refs = "000c TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 81 00 00 00 8B 40 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90384_0 {
	meta:
		name = "TCustomChartLegend.SetCheckBoxes"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 59 8B 40 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90385_0 {
	meta:
		name = "TCustomChartLegend.SetCheckBoxesStyle"
		size = 111
	strings:
		$1 = { 53 56 57 55 51 8B F0 3A 56 5A 74 5D 8B C2 88 46 5A 3C 01 75 45 33 C0 89 04 24 8B 6E 08 8B 85 B4 03 00 00 8B 78 08 4F 85 FF 7C 2F 47 33 DB 8B 85 B4 03 00 00 8B 40 04 8B 04 98 80 78 38 00 74 16 80 78 54 00 74 10 FF 04 24 83 3C 24 01 7E 07 33 D2 8B 08 FF 51 48 43 4F 75 D4 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90386_0 {
	meta:
		name = "TCustomChartLegend.SetTextStyle"
		size = 34
	strings:
		$1 = { 56 8B F0 3A 96 8C 00 00 00 74 15 88 96 8C 00 00 00 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_90387_0 {
	meta:
		name = "TCustomChartLegend.SetTopLeftPos"
		size = 17
		refs = "000c TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 88 98 00 00 00 8B 40 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90388_0 {
	meta:
		name = "TCustomChartLegend.SetTopPercent"
		size = 17
		refs = "000c TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 88 9C 00 00 00 8B 40 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90389_0 {
	meta:
		name = "TCustomChartLegend.SetVertMargin"
		size = 17
		refs = "000c TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 88 A0 00 00 00 8B 40 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90390_0 {
	meta:
		name = "TCustomChartLegend.SetVertSpacing"
		size = 17
		refs = "000c TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 88 A4 00 00 00 8B 40 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90391_0 {
	meta:
		name = "TCustomChartLegend.SetSymbolWidth"
		size = 12
		refs = "0007 TLegendSymbol.SetWidth"
	strings:
		$1 = { 8B 80 88 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90392_0 {
	meta:
		name = "TCustomChartLegend.CalcLegendStyle"
		size = 54
		refs = "0015 TCustomAxisPanel.CountActiveSeries"
	strings:
		$1 = { 53 8B D8 0F B6 43 78 84 C0 75 23 80 7B 59 00 75 0B 8B 43 08 E8 ?? ?? ?? ?? 48 7E 09 C6 83 B9 00 00 00 01 EB 0F C6 83 B9 00 00 00 02 5B C3 88 83 B9 00 00 00 5B C3 }
	condition:
		$1
}

rule function_90393_0 {
	meta:
		name = "TCustomChartLegend.FormattedLegend"
		size = 169
		refs = "0037 TCustomAxisPanel.SeriesTitleLegend 0044 TCustomChartLegend.GetLegendSeries 0064 TCustomAxisPanel.SeriesLegend 0095 TSeriesGroups.Get 00a0 @UStrAsg"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B FA 8B D8 8B 73 08 0F B6 83 B9 00 00 00 FE C8 74 0E FE C8 74 20 FE C8 74 37 FE C8 74 64 EB 7D 8B 04 24 50 0F B6 4B 59 80 F1 01 8B D7 8B C6 E8 ?? ?? ?? ?? EB 67 8B 04 24 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C6 8B 18 FF 93 48 01 00 00 EB 4C 0F B6 4B 59 80 F1 01 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 04 24 50 8B C3 8B 10 FF 92 0C 01 00 00 8B C8 49 8B D3 8B C6 8B 18 FF 93 48 01 00 00 EB 1B 8B 86 B4 03 00 00 8B 40 14 8B D7 E8 ?? ?? ?? ?? 8B 50 0C 8B 04 24 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90394_0 {
	meta:
		name = "TCustomChartLegend.SetDividingLines"
		size = 9
	strings:
		$1 = { 8B 40 5C 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_90395_0 {
	meta:
		name = "TCustomChartLegend.SetSymbol"
		size = 12
	strings:
		$1 = { 8B 80 88 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_90396_0 {
	meta:
		name = "TCustomChartLegend.GetVertical"
		size = 19
	strings:
		$1 = { 0F B6 50 58 84 D2 74 08 80 FA 01 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_90397_0 {
	meta:
		name = "TCustomChartLegend.GetItem"
		size = 9
		refs = "0004 TLegendItems.Get"
	strings:
		$1 = { 8B 40 70 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98237_0 {
	meta:
		name = "TCustomAdapterCommandColumn.GetVisibleActions"
		size = 9
		refs = "0004 TAdapterActionsListHelper.GetVisibleActions"
	strings:
		$1 = { 8B 40 70 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98239_0 {
	meta:
		name = "TCustomAdapterCommandColumn.SetAddDefaultCommands"
		size = 9
		refs = "0004 TAdapterActionsListHelper.SetAddDefaultActions"
	strings:
		$1 = { 8B 40 70 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90399_0 {
	meta:
		name = "TCustomChartLegend.GetSymbolWidth"
		size = 10
	strings:
		$1 = { 8B 80 88 00 00 00 8B 40 28 C3 }
	condition:
		$1
}

rule function_90400_0 {
	meta:
		name = "TCustomChartLegend.GetLegendSeries"
		size = 92
		refs = "0013 TCustomChart.GetASeries"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 84 00 00 00 85 C0 75 49 8B 43 08 E8 ?? ?? ?? ?? 85 C0 74 06 80 78 54 00 75 37 8B 53 08 8B 92 B4 03 00 00 8B 72 08 4E 85 F6 7C 26 46 33 FF 8B 53 08 8B 92 B4 03 00 00 8B 52 04 8B 14 BA 80 7A 38 00 74 0A 80 7A 54 00 74 04 8B C2 EB 04 47 4E 75 DD 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90401_0 {
	meta:
		name = "TCustomChartLegend.PrepareSymbolPen"
		size = 37
	strings:
		$1 = { 8B 90 88 00 00 00 80 7A 05 00 74 0C 8B 40 08 33 D2 89 90 4C 04 00 00 C3 8B 52 18 8B 40 08 89 90 4C 04 00 00 C3 }
	condition:
		$1
}

rule function_90402_0 {
	meta:
		name = "TCustomChartLegend.CalcItemHeight"
		size = 112
		refs = "000e TCustomChartLegend.CalcItemHeight 001f TCustomChartLegend.HasCheckBoxes 0040 TCustomChartLegend.GetVertical"
	strings:
		$1 = { 53 56 8B D8 8B 43 08 8B 80 40 03 00 00 BA ?? ?? ?? ?? 8B 08 FF 91 A0 00 00 00 8B F0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 83 FE 11 7D 07 B8 11 00 00 00 EB 02 8B C6 8B F0 03 B3 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 43 5C 80 78 28 00 74 09 8B 43 5C 8B 40 10 03 70 1C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_90403_0 {
	meta:
		name = "TCustomChartLegend.FirstItemTop"
		size = 140
		refs = "0013 TCustomChartLegend.GetTitle 0018 TTeeCustomShape.GetHeight 0067 TTeeCustomShape.GetEmboss"
	strings:
		$1 = { 53 56 8B D8 8B 73 48 80 BB B8 00 00 00 00 74 77 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 F0 83 C6 02 8B C3 E8 ?? ?? ?? ?? 80 78 2A 00 75 24 8B C3 E8 ?? ?? ?? ?? 8B 40 3C 80 78 20 00 74 14 8B C3 E8 ?? ?? ?? ?? 8B 40 3C 8B 40 1C 99 33 C2 2B C2 03 F0 8B C3 E8 ?? ?? ?? ?? 80 78 2A 00 75 28 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 78 20 00 74 16 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 1C 99 33 C2 2B C2 03 F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_90404_0 {
	meta:
		name = "DrawSymbol"
		size = 94
		refs = "0044 TLegendSymbol.Draw"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B 55 08 8B 52 F8 8B B2 88 00 00 00 66 83 7E 12 00 75 2E 8B 55 08 8B 52 F8 83 BA A8 00 00 00 00 7E 2E 85 C0 74 0D 8B 55 FC 8B 18 FF 93 70 01 00 00 EB 1D 8B C6 BA FF FF FF 00 E8 ?? ?? ?? ?? EB 0F 8B 55 FC 52 51 8B D6 8B C8 8B 46 14 FF 56 10 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90405_0 {
	meta:
		name = "SetRightAlign"
		size = 132
	strings:
		$1 = { 55 8B EC 51 66 89 45 FE 8B 45 08 8B 40 08 8B 40 F8 0F B6 80 8C 00 00 00 3C 0F 77 08 83 E0 7F 66 0F A3 45 FE 73 42 8B 45 08 8B 40 08 8B 40 F8 8B 40 08 8B 80 40 03 00 00 BA 02 00 00 00 8B 08 FF 51 48 8B 45 08 8B 40 FC 8B 55 08 8B 52 08 8B 52 F8 8B 84 82 D4 00 00 00 8B 55 08 01 42 F8 8B 45 08 C6 40 F7 00 59 5D C3 8B 45 08 8B 40 08 8B 40 F8 8B 40 08 8B 80 40 03 00 00 33 D2 8B 08 FF 51 48 59 5D C3 }
	condition:
		$1
}

rule function_90406_0 {
	meta:
		name = "DrawBox"
		size = 146
		refs = "0021 TCustomChartLegend.GetVertical 0088 TeeDrawCheckBox"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B D8 8B 45 08 8B 40 08 8B 70 F4 8B 45 08 8B 40 08 8B 40 F8 E8 ?? ?? ?? ?? 84 C0 75 03 03 75 FC 53 8B 45 08 8B 40 08 8B 40 F8 8B 40 1C 50 8B 45 08 8B 40 08 8B 40 F8 80 78 5A 00 0F 94 C0 50 8B 45 08 8B 40 08 8B 50 F0 8B 45 08 8B 40 08 8B 40 F8 2B 90 A4 00 00 00 83 EA 0B D1 FA 79 03 83 D2 00 03 D7 4A 8B 45 08 8B 40 08 8B 40 F8 8B 40 08 8B 80 40 03 00 00 8B 48 08 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90407_0 {
	meta:
		name = "GetItemText"
		size = 129
		refs = "0016 TCustomChartLegend.GetVertical 0060 @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 8B 40 08 8B 40 F8 E8 ?? ?? ?? ?? 84 C0 75 48 8B 45 08 8B 40 08 8B 40 F8 80 78 6C 00 74 39 8B C7 8B 55 08 8B 52 08 8B 52 F8 8B 92 B4 00 00 00 8B 4D 08 8B 49 08 8B 49 F8 2B 91 B0 00 00 00 4A 03 DA 8B 55 08 8B 52 08 8B 52 FC 8D 14 DA 8B 14 B2 E8 ?? ?? ?? ?? EB 16 8B C7 8B 55 08 8B 52 08 8B 52 FC 8D 14 DA 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_90408_0 {
	meta:
		name = "PrepareFontSeriesColor"
		size = 147
		refs = "0041 TCustomAxisPanel.SeriesLegend 0046 TChartSeries.GetSeriesColor 0056 TFont.SetColor"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 08 8B 40 F8 0F B6 80 B9 00 00 00 3C 01 74 04 3C 03 75 41 8B 45 08 8B 40 08 8B 40 F8 0F B6 48 59 80 F1 01 8B 45 08 8B 50 F0 8B 45 08 8B 40 08 8B 40 F8 8B 58 08 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 40 03 00 00 8B 40 0C E8 ?? ?? ?? ?? 5B 5D C3 8B 45 08 8B 50 F0 8B 45 08 8B 40 08 8B 40 EC 8B 08 FF 91 1C 01 00 00 8B D0 8B 45 08 8B 40 08 8B 40 F8 8B 40 08 8B 80 40 03 00 00 8B 40 0C E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_90409_0 {
	meta:
		name = "DrawLegendItem"
		size = 1728
		refs = "0027 DrawLegendItem 0061 IntToStr 008e TBrush.SetColor 0098 TBrush.SetStyle 00a8 TCustomChartLegend.PrepareSymbolPen 00bd TCustomChartLegend.FirstItemTop 00d7 TCustomChartLegend.GetVertical 011d TCustomChartLegend.HasCheckBoxes 01ad PrepareFontSeriesColor 01d6 TCustomChartLegend.GetItem 01e1 @UStrLAsg 0209 GetItemText 0242 SetRightAlign 02f6 TLegendItem.HasFont 0310 TTeeCanvas.AssignFont 0387 @UStrAsg 03c1 TTeeCanvas.TextOut 04cb TSeriesGroups.Get 04d0 TSeriesGroup.GetActive 04e0 DrawBox 050c TCustomAxisPanel.SeriesLegend 053e DrawSymbol 0550 TCustomAxisPanel.ActiveSeriesLegend 069b @UStrArrayClr 06a3 @UStrClr 06a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 33 C9 89 4D A8 89 4D AC 89 4D B0 89 4D EC 89 55 E8 89 45 F0 8B 75 08 83 C6 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 8B 80 B4 00 00 00 3B 45 E8 0F 8E 43 06 00 00 8B 06 8B 40 08 8B 98 40 03 00 00 0F B6 43 5C 88 45 D3 80 7D D3 00 74 1A 8D 55 B0 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 B0 8B C3 33 C9 8B 18 FF 93 E4 00 00 00 8B 06 8B 40 08 89 45 CC 8B 45 CC 8B B8 40 03 00 00 8B 06 8B 50 1C 8B 47 04 E8 ?? ?? ?? ?? B2 01 8B 47 04 E8 ?? ?? ?? ?? B2 01 8B C7 8B 08 FF 51 30 8B 06 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E8 89 45 E0 33 C0 89 45 D4 8B 06 E8 ?? ?? ?? ?? 40 8B 55 08 03 42 E4 89 45 E4 8B 45 08 8B 40 E0 89 45 D8 8B 06 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 E8 89 45 DC EB 66 8B 06 FF B0 C8 00 00 00 8B 45 E8 5A 8B CA 99 F7 F9 89 45 DC 8B 45 08 8B 40 DC 8B 16 03 82 A8 00 00 00 8B 16 03 82 90 00 00 00 83 C0 04 83 C0 04 89 45 D4 8B 06 E8 ?? ?? ?? ?? 84 C0 74 04 83 45 D4 0F 8B 06 FF B0 C8 00 00 00 8B 45 E8 5A 8B CA 99 F7 F9 0F AF 55 D4 89 55 D4 8B 45 D4 01 45 E0 8B 45 D4 01 45 D8 8B 45 08 8B 40 F0 F7 6D DC 8B 16 8B 92 A4 00 00 00 D1 FA 79 03 83 D2 00 03 C2 01 45 E4 8B 45 CC 66 83 B8 AA 04 00 00 00 74 23 8D 45 E0 50 8D 45 E4 50 8D 45 D8 50 8B 06 8B 50 08 8B 5D CC 8B 4D F0 8B 83 AC 04 00 00 FF 93 A8 04 00 00 8B 45 E0 83 E8 02 89 45 F8 8B 06 80 78 64 00 74 07 55 E8 ?? ?? ?? ?? 59 33 C0 89 45 FC 8B 06 8B 40 70 80 78 10 00 74 3C 8B 40 08 3B 45 F0 7E 34 83 7D FC 00 75 17 8B 06 8B 55 F0 E8 ?? ?? ?? ?? 8B 50 20 8D 45 EC E8 ?? ?? ?? ?? EB 32 8B 06 8B 55 F0 E8 ?? ?? ?? ?? 8B 50 24 8D 45 EC E8 ?? ?? ?? ?? EB 1B 55 8D 4D AC 8B 55 FC 8B 45 E8 E8 ?? ?? ?? ?? 59 8B 55 AC 8D 45 EC E8 ?? ?? ?? ?? C6 45 F7 01 8B 06 80 B8 B9 00 00 00 01 75 0B 33 D2 8B C7 8B 08 FF 51 48 EB 2A 83 7D FC 00 75 10 55 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 14 83 7D FC 01 75 0E 55 0F B7 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 83 7D EC 00 0F 84 5E 01 00 00 8B 06 E8 ?? ?? ?? ?? 84 C0 74 06 8B 5D E4 43 EB 03 8B 5D E4 8B 06 8B 40 70 80 78 10 00 0F 84 C4 00 00 00 8B 40 08 3B 45 F0 0F 8E B8 00 00 00 83 7D FC 00 0F 85 0B 01 00 00 8B 06 8B 55 F0 E8 ?? ?? ?? ?? 89 45 C8 8B 06 8B 40 70 80 78 11 00 74 1E 8B 45 C8 8B 40 0C 89 45 F8 8B 45 C8 8B 58 28 8B 45 C8 8B 50 04 8B C7 8B 08 FF 51 48 EB 1C 8B 45 C8 8B 55 F8 89 50 0C 8B 45 C8 89 58 28 8B C7 8B 10 FF 52 24 8B 55 C8 89 42 04 8B 45 C8 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 06 C6 80 AC 00 00 00 01 8B 45 C8 8B 50 08 8B C7 E8 ?? ?? ?? ?? E9 92 00 00 00 8B 06 80 B8 AC 00 00 00 00 0F 84 83 00 00 00 8B 06 8B 50 20 8B C7 E8 ?? ?? ?? ?? 8B 06 80 78 64 00 74 07 55 E8 ?? ?? ?? ?? 59 8B 06 C6 80 AC 00 00 00 00 EB 5D 8B 06 8B 55 F0 E8 ?? ?? ?? ?? 89 45 C4 83 7D FC 00 75 4A 8B 45 C4 8B 55 F8 89 50 0C 8B 45 C4 89 58 28 8B C7 8B 10 FF 52 24 8B 55 C4 89 42 04 8B 45 C4 83 C0 20 8B 55 EC E8 ?? ?? ?? ?? 55 8D 4D A8 BA 01 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 59 8B 55 A8 8B 45 C4 83 C0 24 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 06 80 78 29 01 0F 94 C0 50 8B CB 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 80 7D F7 00 74 0F 8B 06 8B 55 FC 8B 84 90 D4 00 00 00 01 45 F8 8B 45 08 8B 40 D8 01 45 F8 FF 45 FC 83 7D FC 02 0F 85 C7 FD FF FF 8B 06 8B 40 70 80 78 10 00 74 23 80 78 11 00 74 1D 8B 06 8B 55 F0 E8 ?? ?? ?? ?? 56 57 8D 70 10 8D 7D B4 A5 A5 A5 A5 5F 5E E9 85 00 00 00 8B 45 D8 89 45 B4 8B 06 8B 80 A8 00 00 00 03 45 D8 89 45 BC 8B 45 E4 89 45 B8 8B 45 08 8B 40 F0 03 45 E4 40 89 45 C0 8B 06 8B 80 88 00 00 00 80 78 04 00 74 06 83 7D E8 00 75 04 83 45 B8 02 8B 06 8B 80 88 00 00 00 80 78 04 00 74 12 8B 06 8B 80 B0 00 00 00 8B 16 2B 42 60 3B 45 E8 75 0E 8B 06 8B 80 A4 00 00 00 83 C0 03 29 45 C0 8B 06 8B 55 F0 E8 ?? ?? ?? ?? 56 57 8D 78 10 8D 75 B4 A5 A5 A5 A5 5F 5E 8B 06 80 B8 B9 00 00 00 04 75 3C 8B 06 80 78 59 00 0F 84 EB 00 00 00 55 8B 45 CC 8B 80 B4 03 00 00 8B 40 14 8B 55 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3C 01 0F 95 C0 8B 4D E4 8B 55 D4 E8 ?? ?? ?? ?? 59 E9 BB 00 00 00 8B 06 0F B6 80 B9 00 00 00 3C 01 74 04 3C 03 75 67 8B 06 80 78 59 00 74 42 33 C9 8B 55 F0 8B 45 CC E8 ?? ?? ?? ?? 8B 55 08 89 42 EC 55 8B 45 08 8B 40 EC 0F B6 40 38 8B 4D E4 8B 55 D4 E8 ?? ?? ?? ?? 59 8B 45 08 50 8D 4D B4 8B 45 08 8B 40 EC 83 CA FF E8 ?? ?? ?? ?? 59 EB 60 8B 45 08 50 8B 55 F0 8B 45 CC E8 ?? ?? ?? ?? 8D 4D B4 83 CA FF E8 ?? ?? ?? ?? 59 EB 43 8B 45 08 83 78 EC 00 74 28 8B 45 08 50 8B 45 08 8B 40 EC 8B 55 F0 8B 08 FF 91 18 01 00 00 8B D0 8D 4D B4 8B 45 08 8B 40 EC E8 ?? ?? ?? ?? 59 EB 12 8B 45 08 50 8D 4D B4 83 CA FF 33 C0 E8 ?? ?? ?? ?? 59 83 7D E8 00 0F 8E BD 00 00 00 8B 06 8B 40 5C 80 78 28 00 0F 84 AE 00 00 00 8B 06 E8 ?? ?? ?? ?? 84 C0 75 0A 83 7D DC 00 0F 85 99 00 00 00 8B 06 8B 40 5C 8B 50 10 8B 4A 18 8B D7 92 8B 18 FF 53 54 B2 01 8B C7 8B 08 FF 51 30 8B 06 8B 40 0C 80 78 28 00 74 12 8B 40 10 8B 40 1C 8D 58 01 D1 FB 79 07 83 D3 00 EB 02 33 DB 8B 06 E8 ?? ?? ?? ?? 84 C0 74 2F 8B 06 8B 80 A4 00 00 00 D1 F8 79 03 83 D0 00 8B 55 E4 2B D0 52 8B 06 8B 48 4C 2B CB 8B 06 8B 50 44 03 D3 8B C7 8B 18 FF 93 BC 00 00 00 EB 24 8B 06 8B 40 50 2B C3 50 8B 06 8B 48 48 03 CB 8B 06 8B 50 44 03 55 D4 83 C2 02 8B C7 8B 18 FF 93 C0 00 00 00 80 7D D3 00 74 13 8B 06 8B 40 08 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 EA 03 00 00 14 03 00 00 }
	condition:
		$1
}

rule function_90410_0 {
	meta:
		name = "CalcMaxLegendValues"
		size = 86
	strings:
		$1 = { 55 8B EC 53 8B DA 8B 55 08 3B 42 FC 7E 43 8B 45 08 83 78 F8 00 7E 3A 8B 45 08 8B 40 08 8B 40 D4 03 C0 50 8B C3 5A 2B C2 8B 55 08 2B 42 FC 03 C1 8B 55 08 8B 4A F8 99 F7 F9 8B 55 08 8B 52 08 8B 52 F8 8B 92 B4 00 00 00 3B D0 7F 07 8B C2 5B 5D C3 33 C0 5B 5D C3 }
	condition:
		$1
}

rule function_90411_0 {
	meta:
		name = "MaxLegendValues"
		size = 90
		refs = "001d TCustomChartLegend.GetVertical 0039 CalcMaxLegendValues"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 08 8B 40 F8 8B 58 08 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 84 C0 74 1B 55 8B 8B 48 03 00 00 8B 93 BC 02 00 00 8B 83 50 03 00 00 E8 ?? ?? ?? ?? 59 EB 15 55 33 C9 8B 93 B8 02 00 00 8B 83 4C 03 00 00 E8 ?? ?? ?? ?? 59 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_90412_0 {
	meta:
		name = "CalcTotalItems"
		size = 248
		refs = "00c1 TCustomChartLegend.GetLegendSeries"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 F8 8B 40 70 80 78 10 00 74 08 8B 58 08 E9 CA 00 00 00 33 DB 8B 45 08 8B 40 F8 80 B8 B9 00 00 00 04 75 1F 8B 45 08 8B 40 F8 8B 40 08 8B 80 B4 03 00 00 8B 40 14 8B 40 08 8B 40 08 8B D8 E9 9A 00 00 00 8B 45 08 8B 40 F8 0F B6 80 B9 00 00 00 3C 01 74 04 3C 03 75 59 8B 45 08 8B 40 F8 8B 40 08 8B 80 B4 03 00 00 8B 40 08 8B D0 4A 85 D2 7C 35 42 33 F6 8B 45 08 8B 40 F8 8B 40 08 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 8B 4D 08 8B 49 F8 80 79 59 00 75 06 80 78 38 00 74 07 80 78 54 00 74 01 43 46 4A 75 CE 8B 45 08 8B 40 F8 2B 58 60 EB 2C 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1B 80 7E 54 00 74 15 8B C6 8B 10 FF 92 0C 01 00 00 8B D8 8B 45 08 8B 40 F8 2B 58 60 85 DB 7D 04 33 C0 EB 02 8B C3 8B D8 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_90413_0 {
	meta:
		name = "DrawItems"
		size = 150
		refs = "000f TCustomChartLegend.GetLegendSeries 002e TLegendItems.ClearItems 005d DrawLegendItem"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 08 83 C7 F8 8B 07 E8 ?? ?? ?? ?? 8B 55 08 89 42 EC 8B 07 C6 80 AC 00 00 00 00 8B 07 8B 40 70 80 78 10 00 75 05 E8 ?? ?? ?? ?? 8B 07 80 78 6C 00 74 2E 8B 07 8B 98 B0 00 00 00 8B 07 8B 70 60 2B F3 7F 46 4E 8B 45 08 50 8B 07 8B 90 B0 00 00 00 2B D3 8B C3 E8 ?? ?? ?? ?? 59 4B 46 75 E6 EB 29 8B 07 8B 58 60 8B 07 8B B0 B0 00 00 00 2B F3 7C 18 46 8B 45 08 50 8B 07 8B D3 2B 50 60 8B C3 E8 ?? ?? ?? ?? 59 43 4E 75 E9 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_90414_0 {
	meta:
		name = "SetItem"
		size = 267
		refs = "0014 SetItem 002c _DV_TCustomChart 0031 @AsClass 0049 TCustomChart.InternalFormattedLegend 0054 TeeColumnSeparator 005c @UStrFromWChar 0067 @UStrLAsg 0072 Pos 009b @UStrCopy 00aa @UStrDelete 00df @UStrAsg 00f9 @UStrArrayClr 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 08 8B 40 F8 8B 40 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 FC 50 8B 45 08 8B 40 08 8B 50 F8 8B CE 8B C3 E8 ?? ?? ?? ?? 33 F6 8D 45 F8 8B 15 ?? ?? ?? ?? 0F B7 12 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 33 8B 45 08 8B 40 08 8B 40 FC 8B 55 F0 8D 04 D0 8D 04 B0 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 46 85 DB 74 0B 83 7D FC 00 74 05 83 FE 01 7E 91 83 7D FC 00 74 1F 83 FE 01 7F 1A 8B 45 08 8B 40 08 8B 40 FC 8B 55 F0 8D 04 D0 8D 04 B0 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90415_0 {
	meta:
		name = "GetItems"
		size = 149
		refs = "0028 :TCustomChartLegend.:1 002d @DynArraySetLength 005c SetItem"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 08 83 C7 F8 8B 07 8B 80 B0 00 00 00 8B 17 2B 42 60 40 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 07 80 78 6C 00 74 2B 8B 07 8B 98 B0 00 00 00 8B 07 8B 70 60 2B F3 7F 43 4E 55 8B 07 8B 80 B0 00 00 00 2B C3 8B D3 E8 ?? ?? ?? ?? 59 4B 46 75 E9 EB 29 8B 07 8B 58 60 8B 07 8B B0 B0 00 00 00 2B F3 7C 18 46 55 8B 07 FF 70 60 8B C3 5A 2B C2 8B D3 E8 ?? ?? ?? ?? 59 43 4E 75 E9 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_90416_0 {
	meta:
		name = "CalcSymbolTextPos"
		size = 219
	strings:
		$1 = { 55 8B EC 83 C0 06 8B 55 08 8B 52 F8 8B 92 88 00 00 00 0F B6 4A 25 84 C9 0F 84 90 00 00 00 80 7A 1C 00 0F 85 86 00 00 00 8B 55 08 89 42 E0 8B 45 08 8B 40 E0 8B 55 08 8B 52 F8 03 82 A8 00 00 00 83 C0 04 8B 55 08 8B 52 F8 03 82 90 00 00 00 8B 55 08 89 42 E8 8B 45 08 8B 40 F8 8B 80 88 00 00 00 8B 40 20 8B 40 0C 99 33 C2 2B C2 8B 55 08 8B 52 F8 8B 92 88 00 00 00 8B 52 20 80 7A 20 00 74 58 85 C0 74 54 8B 55 08 01 42 E8 8B 55 08 8B 52 F8 8B 92 88 00 00 00 8B 4A 20 83 79 0C 00 7D 39 80 7A 1C 00 75 33 8B 55 08 01 42 E0 5D C3 84 C9 75 03 83 C0 02 8B 55 08 89 42 E8 8B 45 08 8B 40 E8 8B 55 08 03 42 DC 8B 55 08 8B 52 F8 03 82 90 00 00 00 8B 55 08 89 42 E0 5D C3 }
	condition:
		$1
}

rule function_90417_0 {
	meta:
		name = "CalcHorizontalPositions"
		size = 408
		refs = "0049 TCustomChartLegend.GetVertical 0068 TCustomChartLegend.HasCheckBoxes 009e TCustomChartLegend.GetTitle 00a3 TLegendTitle.TotalWidth 00f5 CalcHorizontalPositions 012e @ROUND 017a CalcSymbolTextPos"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 55 08 8B 5A DC 8B 55 08 8B 52 F8 03 9A 90 00 00 00 8B 55 08 8B 52 F8 03 9A A8 00 00 00 8B 45 08 8B 40 F8 8B 80 C8 00 00 00 0F AF D8 83 C3 08 48 03 C0 8D 04 40 83 C0 04 03 D8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 08 8B 40 F8 8B 80 C8 00 00 00 03 C0 03 D8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 08 8B 40 F8 8B 80 C8 00 00 00 8B D0 C1 E0 04 2B C2 83 C0 04 03 D8 8B 45 08 8B 40 F8 80 B8 B8 00 00 00 00 74 18 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B C3 7D 02 8B C3 8B D8 8B 45 08 8B 40 F8 8B 40 08 8B 80 B8 02 00 00 3B D8 7F 02 8B C3 8B D8 B9 02 00 00 00 8B C3 99 F7 F9 89 C3 8B 45 08 8B 40 F8 8D 78 44 8B 45 08 8B 40 F8 80 78 54 00 75 62 8B 45 08 8B 40 F8 DB 80 98 00 00 00 D8 0D ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 40 08 8B 80 B0 02 00 00 8B 55 08 8B 52 F8 8B 52 08 2B 82 A8 02 00 00 8B D3 03 D2 2B C2 89 45 FC DB 45 FC DE C9 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 40 F8 8B 40 08 8B 80 C0 02 00 00 2B C3 03 F0 89 37 8B 07 8B D3 03 D2 03 C2 89 47 08 8B 37 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C6 83 C0 04 8B 55 08 89 42 F4 83 C6 0F 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 59 5F 5E 5B 59 5D C3 00 00 00 00 00 80 3F 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_90418_0 {
	meta:
		name = "GetLegendRectangle"
		size = 76
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 45 08 8B 40 F8 8D 70 44 8D 7D F0 A5 A5 A5 A5 8B 45 08 8B 40 F8 8B 40 08 8B D8 8D 4D F0 8B D0 8B 83 B4 04 00 00 FF 93 B0 04 00 00 8B 45 08 8B 40 F8 8D 78 44 8D 75 F0 A5 A5 A5 A5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90419_0 {
	meta:
		name = "CalcColumnsWidth"
		size = 401
		refs = "0018 CalcColumnsWidth 0092 TLegendItems.Get 009d @UStrLAsg 010e HtmlTextExtent 017c @UStrClr 0182 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 FC 8B 75 08 83 C6 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 80 B8 D0 00 00 00 00 0F 84 18 01 00 00 33 DB 8B 06 33 D2 89 94 98 D4 00 00 00 8B 06 8B 40 08 8B 80 40 03 00 00 89 45 F8 8B 06 8B 78 60 8B 06 8B 80 B0 00 00 00 2B C7 0F 8C DE 00 00 00 40 89 45 F4 8B 06 8B 40 70 80 78 10 00 74 51 8B 06 8B D7 2B 50 60 8B 06 8B 40 70 3B 50 08 7D 40 85 DB 75 1E 8B 06 8B D7 2B 50 60 8B 06 8B 40 70 E8 ?? ?? ?? ?? 8B 50 20 8D 45 FC E8 ?? ?? ?? ?? EB 39 8B 06 8B D7 2B 50 60 8B 06 8B 40 70 E8 ?? ?? ?? ?? 8B 50 24 8D 45 FC E8 ?? ?? ?? ?? EB 1B 8D 45 FC 8B 16 8B CF 2B 4A 60 8B 55 08 8B 52 FC 8D 14 CA 8B 14 9A E8 ?? ?? ?? ?? 83 7D FC 00 74 53 8B 06 80 78 29 00 75 12 8B 55 FC 8B 45 F8 8B 08 FF 91 9C 00 00 00 8B D0 EB 19 8D 4D EC 8B 06 8B 40 08 8B 80 40 03 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 06 8B 84 98 D4 00 00 00 8B 0E 03 91 90 00 00 00 3B D0 7C 02 8B C2 8B 16 89 84 9A D4 00 00 00 47 FF 4D F4 0F 85 26 FF FF FF 43 83 FB 02 0F 85 EA FE FF FF 33 FF 33 DB 8B 06 8B 84 98 D4 00 00 00 85 C0 7E 0B 8B 55 08 8B 52 D8 03 D0 4A 03 FA 43 83 FB 02 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90420_0 {
	meta:
		name = "CalcWidths"
		size = 290
		refs = "001e CalcColumnsWidth 006c TLegendSymbol.CalcWidth 0109 TCustomChartLegend.GetTitle 010e TLegendTitle.TotalWidth"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8B 5B 08 83 C3 F8 8B 45 08 8B 40 08 50 8B 03 8B 80 CC 00 00 00 E8 ?? ?? ?? ?? 59 8B 55 08 8B 52 08 89 42 DC 8B 45 08 8B 40 08 8B 40 DC 83 C0 08 8B 13 03 82 90 00 00 00 8B 55 08 89 42 FC 8B 03 80 B8 B9 00 00 00 04 75 0C 8B 03 33 D2 89 90 A8 00 00 00 EB 76 8B 45 08 8B 50 FC 8B 03 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B 03 89 B0 A8 00 00 00 8B 45 08 01 70 FC 8B 03 8B 80 88 00 00 00 80 78 25 00 74 45 8B 45 08 83 40 FC 02 8B 03 8B 80 88 00 00 00 8B 48 20 80 79 20 00 74 0E 8B 41 0C 99 33 C2 2B C2 8B 55 08 01 42 FC 8B 03 8B 80 88 00 00 00 8B 48 0C 80 79 20 00 74 0E 8B 41 0C 99 33 C2 2B C2 8B 55 08 01 42 FC 8B 03 66 83 B8 C2 00 00 00 00 74 16 8B 33 8B 45 08 8D 48 FC 8B 13 8B 86 C4 00 00 00 FF 96 C0 00 00 00 8B 03 80 B8 B8 00 00 00 00 74 1E 8B 45 08 8B 70 FC 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B C6 7D 02 8B C6 8B 55 08 89 42 FC 5E 5B 5D C3 }
	condition:
		$1
}

rule function_90421_0 {
	meta:
		name = "CalcVerticalPositions"
		size = 223
		refs = "003e CalcWidths 0076 TTeeCustomShape.GetEmboss 009b TCustomChartLegend.HasCheckBoxes 00d4 CalcSymbolTextPos"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 08 83 C7 F8 8B 07 8D 58 44 8B 07 0F B6 40 54 84 C0 75 08 8B 17 80 7A 58 00 75 21 84 C0 75 14 8B 07 8B 40 08 8B 80 44 03 00 00 8B 55 08 03 42 D4 40 89 03 55 E8 ?? ?? ?? ?? 59 EB 61 8B 07 8B 40 08 8B 80 4C 03 00 00 89 43 08 8B 07 8B 40 3C 80 78 20 00 74 06 8B 40 0C 29 43 08 8B 07 8B 40 34 85 C0 74 12 80 78 20 00 74 0C 8B 07 E8 ?? ?? ?? ?? 8B 40 0C 29 03 8B 45 08 8B 40 D4 40 29 43 08 55 E8 ?? ?? ?? ?? 59 8B 43 08 2B 45 FC 89 03 8B 07 E8 ?? ?? ?? ?? 84 C0 74 03 83 2B 0F 8B 33 8B 07 E8 ?? ?? ?? ?? 84 C0 74 12 83 C6 04 8B 45 08 89 70 F4 8B 45 08 8B 70 F4 83 C6 0B 8B C6 03 45 FC 89 43 08 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 59 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90422_0 {
	meta:
		name = "ResizeVertical"
		size = 356
		refs = "0014 ResizeVertical 001b @ROUND 004f TCustomChartLegend.GetTitle 0054 TTeeCustomShape.GetHeight 00a6 TTeeCustomShape.GetEmboss"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 08 83 C6 F8 8B 45 08 DB 40 F0 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B 55 08 89 42 E4 8B 45 08 8B 58 F0 8B 06 0F AF 98 CC 00 00 00 83 C3 02 8B 45 08 8B 40 E4 03 C0 03 D8 8B 06 80 B8 B8 00 00 00 00 74 7A 8B 06 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 D8 83 C3 02 83 C3 02 8B 06 E8 ?? ?? ?? ?? 80 78 2A 00 75 24 8B 06 E8 ?? ?? ?? ?? 8B 40 3C 80 78 20 00 74 14 8B 06 E8 ?? ?? ?? ?? 8B 40 3C 8B 40 1C 99 33 C2 2B C2 03 D8 8B 06 E8 ?? ?? ?? ?? 80 78 2A 00 75 28 8B 06 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 78 20 00 74 16 8B 06 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 1C 99 33 C2 2B C2 03 D8 8B 06 8B 88 88 00 00 00 80 79 25 00 74 25 8B 41 20 80 78 20 00 74 1C 8B 45 08 8B 40 F0 BF 06 00 00 00 99 F7 FF 8B 51 20 8B 7A 1C 3B C7 7D 04 03 DF 2B D8 8B 06 8B 88 88 00 00 00 80 79 25 00 74 25 8B 41 0C 80 78 20 00 74 1C 8B 45 08 8B 40 F0 BF 06 00 00 00 99 F7 FF 8B 51 0C 8B 7A 1C 3B C7 7D 04 03 DF 2B D8 8B 06 83 C0 44 8B 16 80 7A 58 03 75 12 8B 16 80 7A 54 00 75 0A 8B 50 0C 2B D3 89 50 04 EB 06 03 58 04 89 58 0C 5F 5E 5B 5D C3 00 00 CD CC CC CC CC CC CC CC FB 3F 00 00 }
	condition:
		$1
}

rule function_90423_0 {
	meta:
		name = "CalcMargin"
		size = 21
	strings:
		$1 = { 53 8B DA 85 C0 75 0C 8B C3 F7 E9 B9 64 00 00 00 99 F7 F9 5B C3 }
	condition:
		$1
}

rule function_90424_0 {
	meta:
		name = "ResizeChartRect"
		size = 346
		refs = "00d8 TCustomChartLegend.GetVertical 00f8 CalcMargin"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 08 8B 40 F8 80 B8 81 00 00 00 00 0F 84 3D 01 00 00 8B 45 08 8B 40 08 8B 40 F8 80 78 54 00 0F 85 2A 01 00 00 8B 45 08 8B 40 08 8B 40 F8 8B 58 08 8B 45 08 8B 40 08 8B 40 F8 0F B6 40 58 2C 01 72 0C 74 1E FE C8 74 2E FE C8 74 68 EB 78 8B 45 08 8B 40 08 8B 40 F8 8B 40 4C 89 83 44 03 00 00 EB 64 8B 45 08 8B 40 08 8B 40 F8 8B 40 44 89 83 4C 03 00 00 EB 50 8B 45 08 8B 40 08 8B 40 F8 8B 40 50 89 83 48 03 00 00 8B 83 00 03 00 00 80 78 20 00 74 09 8B 40 1C 01 83 48 03 00 00 8B 83 CC 02 00 00 80 78 20 00 74 1D 8B 40 1C 01 83 48 03 00 00 EB 12 8B 45 08 8B 40 08 8B 40 F8 8B 40 48 89 83 50 03 00 00 8B 45 08 8B 40 08 8B 40 F8 E8 ?? ?? ?? ?? 84 C0 74 3B 8B 45 08 8B 40 08 8B 40 F8 8B 40 68 8B 8B B8 02 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 8B 52 08 8B 52 F8 80 7A 58 00 75 08 01 83 44 03 00 00 EB 44 29 83 4C 03 00 00 EB 3C 8B 45 08 8B 40 08 8B 40 F8 8B 80 A0 00 00 00 8B 8B BC 02 00 00 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 8B 52 08 8B 52 F8 80 7A 58 02 75 08 01 83 48 03 00 00 EB 06 29 83 50 03 00 00 5B 5D C3 }
	condition:
		$1
}

rule function_90425_0 {
	meta:
		name = "ResizeChartRect"
		size = 26
		refs = "0005 ResizeChartRect 0014 TCustomTeePanel.ReCalcWidthHeight"
	strings:
		$1 = { 55 8B EC 55 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F8 8B 40 08 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_90426_0 {
	meta:
		name = "TCustomChartLegend.DrawLegend"
		size = 1868
		refs = "001b TCustomChartLegend.DrawLegend 0042 TCustomChartLegend.CalcLegendStyle 00ae @ROUND 0112 OffsetRect 014c TChartPage.FirstValueIndex 0155 TCustomChartLegend.SetFirstValue 0175 CalcTotalItems 01bc TTeeCanvas.AssignFont 01d9 TCustomChartLegend.CalcItemHeight 0225 TLegendTitle.CalcHeight 023c TCustomChartLegend.GetVertical 0334 TCustomChartLegend.FirstItemTop 033c MaxLegendValues 0396 GetItems 03c2 CalcColumnsWidth 03d6 TLegendSymbol.CalcWidth 041e TTeeCustomShape.GetEmboss 0486 TCustomChartLegend.HasCheckBoxes 0594 ResizeVertical 05a6 CalcVerticalPositions 05af CalcHorizontalPositions 05c5 GetLegendRectangle 05ea TTeeCustomShape.DrawRectRotated 05f3 TTeeCustomShape.Draw 0605 TCustomChartLegend.GetTitle 060f TLegendTitle.CalcShapeBounds 0627 TLegendTitle.DrawText 065c DrawItems 0676 ResizeChartRect 06a7 :TCustomChartLegend.:1 06ac @DynArrayClear 06d4 @UStrClr 06e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 D2 89 55 AC 89 55 FC 89 45 F8 8D 5D F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 8B 40 08 8B 80 40 03 00 00 33 C9 BA ?? ?? ?? ?? 8B 30 FF 96 E4 00 00 00 8B 03 E8 ?? ?? ?? ?? 8B 03 8B 40 0C 80 78 28 00 74 0B 8B 40 10 8B 40 1C 89 45 D4 EB 05 33 C0 89 45 D4 8B 03 80 78 14 00 74 08 8B 03 8B 40 18 89 45 D4 8B 03 80 78 54 00 0F 84 99 00 00 00 8B 03 80 B8 80 00 00 00 00 75 73 8B 03 8B 78 4C 8B 03 2B 78 44 8B 03 8B 40 74 8B 13 8B 52 08 F7 6A 50 89 45 B0 DB 45 B0 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B F0 8B 03 89 70 44 03 FE 8B 03 89 78 4C 8B 03 8B 78 50 8B 03 2B 78 48 8B 03 8B 80 9C 00 00 00 8B 13 8B 52 08 F7 6A 54 89 45 B0 DB 45 B0 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B F0 8B 03 89 70 48 03 FE 8B 03 89 78 50 8B 03 8B 40 08 8B 88 AC 02 00 00 8B 90 A8 02 00 00 8B 03 83 C0 44 E8 ?? ?? ?? ?? 8B 03 8B 70 08 8B BE 18 04 00 00 8B 03 80 B8 B9 00 00 00 02 75 0E 8B 03 80 78 5B 00 74 06 83 7F 0C 00 7F 04 33 C0 EB 02 B0 01 88 45 D3 80 7D D3 00 74 10 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 03 E8 ?? ?? ?? ?? 83 7F 0C 00 7E 14 8B 03 80 B8 B9 00 00 00 02 74 09 33 D2 8B 03 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 13 89 82 B4 00 00 00 80 7D D3 00 74 1D 8B 47 0C 8B 13 3B 82 B4 00 00 00 7E 08 8B 03 8B 80 B4 00 00 00 8B 13 89 82 B4 00 00 00 8B 03 8B 40 1C 89 86 48 04 00 00 8B 03 8B 50 20 8B 86 40 03 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 86 40 03 00 00 8B 08 FF 91 9C 00 00 00 89 45 D8 8B 03 E8 ?? ?? ?? ?? 89 45 F0 8B 03 8B B8 94 00 00 00 85 FF 74 17 80 7F 10 00 74 11 8D 55 AC 8B 47 54 8B 08 FF 51 1C 83 7D AC 00 75 04 33 C0 EB 02 B0 01 8B 13 88 82 B8 00 00 00 8B 03 80 B8 B8 00 00 00 00 74 1D 8B 03 8B 80 94 00 00 00 E8 ?? ?? ?? ?? 8B 03 8B 50 20 8B 86 40 03 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 0F 84 58 01 00 00 8B 03 80 78 54 00 0F 85 C8 00 00 00 33 FF 8B 03 8B 40 08 8B 90 00 03 00 00 80 7A 20 00 74 25 8B 13 8B 52 08 8B 92 00 03 00 00 83 7A 1C 00 7D 14 8B 13 8B 52 08 8B 92 00 03 00 00 8B 7A 1C 8B D7 F7 DF 03 FF 8B 90 CC 02 00 00 80 7A 20 00 74 25 8B 13 8B 52 08 8B 92 CC 02 00 00 83 7A 1C 00 7D 14 8B 13 8B 52 08 8B 92 CC 02 00 00 8B 7A 1C 8B D7 F7 DF 03 FF 80 B8 34 03 00 00 00 74 11 57 81 C6 44 03 00 00 8D 7D B4 A5 A5 A5 A5 5F EB 0F 57 81 C6 A8 02 00 00 8D 7D B4 A5 A5 A5 A5 5F 8B 03 DB 80 98 00 00 00 D8 0D ?? ?? ?? ?? 8B 45 C0 8B 75 B8 2B C6 2B C7 89 45 B0 DB 45 B0 DE C9 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 03 FE 03 C7 8B 13 89 42 48 8B 03 C7 80 C8 00 00 00 01 00 00 00 8B 03 83 78 7C 00 74 27 55 8B 03 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 59 8B 13 3B 42 7C 7C 05 8B 03 8B 40 7C 8B 13 89 82 CC 00 00 00 EB 19 55 8B 03 E8 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 59 8B 13 89 82 CC 00 00 00 8B 13 8B 92 CC 00 00 00 8B 03 8B 80 B4 00 00 00 3B D0 7F 02 8B C2 8B 13 03 42 60 48 8B 13 89 82 B0 00 00 00 55 E8 ?? ?? ?? ?? 59 E9 DF 01 00 00 8B 03 8B 40 60 8B 13 03 82 B4 00 00 00 48 8B 13 89 82 B0 00 00 00 55 E8 ?? ?? ?? ?? 59 55 83 C8 FF E8 ?? ?? ?? ?? 59 89 45 DC 8B 03 8B 80 88 00 00 00 8B 55 DC E8 ?? ?? ?? ?? 8B 13 89 82 A8 00 00 00 8B 03 80 78 54 00 0F 85 87 00 00 00 8B 03 83 C0 44 89 45 C8 8B 03 80 78 58 03 75 67 8B 45 D4 40 89 45 CC 8B 03 8B 40 3C 80 78 20 00 74 0B 8B 03 8B 40 3C 8B 40 1C 01 45 CC 8B 03 E8 ?? ?? ?? ?? 80 78 20 00 74 0D 8B 03 E8 ?? ?? ?? ?? 8B 40 1C 01 45 CC 8B 03 66 83 B8 C2 00 00 00 00 74 13 8D 4D CC 8B 3B 8B 13 8B 87 C4 00 00 00 FF 97 C0 00 00 00 8B 86 50 03 00 00 2B 45 CC 8B 55 C8 89 42 0C EB 10 8B 86 48 03 00 00 03 45 D4 40 8B 55 C8 89 42 04 8B 03 8B B0 A8 00 00 00 03 75 DC 83 C6 08 8B 03 E8 ?? ?? ?? ?? 84 C0 74 03 83 C6 1B 8B 03 8B 80 90 00 00 00 85 C0 7E 08 83 C0 04 83 C0 0C 03 F0 55 8B D6 B8 08 00 00 00 E8 ?? ?? ?? ?? 59 8B F8 8B 03 89 B8 C8 00 00 00 85 FF 0F 8E 83 00 00 00 8B 03 8B 80 B4 00 00 00 99 F7 FF 8B 13 89 82 CC 00 00 00 8B 03 8B 80 B4 00 00 00 8B 13 8B 8A C8 00 00 00 99 F7 F9 85 D2 7E 08 8B 03 FF 80 CC 00 00 00 8B 03 8B 40 7C 85 C0 74 1C 8B 13 3B 82 CC 00 00 00 7E 08 8B 03 8B 80 CC 00 00 00 8B 13 89 82 CC 00 00 00 EB 36 8B 03 83 B8 CC 00 00 00 0A 7D 0D 8B 03 8B 80 CC 00 00 00 89 45 C4 EB 07 C7 45 C4 0A 00 00 00 8B 03 8B 55 C4 89 90 CC 00 00 00 EB 0A 8B 03 33 D2 89 90 CC 00 00 00 8B 13 8B 92 C8 00 00 00 8B 0B 0F AF 91 CC 00 00 00 8B 03 8B 80 B4 00 00 00 3B D0 7F 02 8B C2 8B 13 03 42 60 48 8B 13 89 82 B0 00 00 00 8B 03 8B 80 B0 00 00 00 8B 13 3B 42 60 0F 8C E9 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 03 E8 ?? ?? ?? ?? 84 C0 74 09 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 8B 03 8B 40 08 66 83 B8 B2 04 00 00 00 74 07 55 E8 ?? ?? ?? ?? 59 8B 03 8B 40 08 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 74 12 6A 01 8B 03 8D 50 44 33 C9 8B 03 E8 ?? ?? ?? ?? EB 07 8B 03 E8 ?? ?? ?? ?? 8B 03 80 B8 B8 00 00 00 00 74 3E 8B 03 E8 ?? ?? ?? ?? 8B 13 83 C2 44 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 50 20 8B 03 8B 40 08 8B 80 40 03 00 00 E8 ?? ?? ?? ?? 8B 03 8B 40 08 8B 80 40 03 00 00 33 C9 BA ?? ?? ?? ?? 8B 30 FF 96 E4 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 03 8B 40 08 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 03 80 78 54 00 74 1F 8B 03 8B 40 08 8B 88 AC 02 00 00 F7 D9 8B 90 A8 02 00 00 F7 DA 8B 03 83 C0 44 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 40 08 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4C 00 65 00 67 00 65 00 6E 00 64 00 00 00 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 00 00 80 3F B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 74 00 65 00 6D 00 73 00 00 00 }
	condition:
		$1
}

rule function_90427_0 {
	meta:
		name = "TCustomChartLegend.FormattedValue"
		size = 135
		refs = "0018 TCustomChartLegend.FormattedValue 0048 TeeLineSeparator 0054 ReplaceChar 005e @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FE FF 74 33 8B 45 08 50 8D 45 F8 50 0F B6 8B 8C 00 00 00 8B D6 8B 45 FC 8B 18 FF 93 20 01 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? 0F B7 12 66 B9 20 00 E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_90428_0 {
	meta:
		name = "TCustomChartLegend.SetSeries"
		size = 26
	strings:
		$1 = { 56 8B F0 89 96 84 00 00 00 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_90429_0 {
	meta:
		name = "TCustomChartLegend.Clicked"
		size = 20
		refs = "000d TCustomChartLegend.Clicked"
	strings:
		$1 = { 83 C4 F8 89 14 24 89 4C 24 04 8B D4 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_93647_0 {
	meta:
		name = "TChartAxis.Clicked"
		size = 20
		refs = "000d TChartAxis.Clicked"
	strings:
		$1 = { 83 C4 F8 89 14 24 89 4C 24 04 8B D4 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_103814_0 {
	meta:
		name = "TGPGraphics.IsVisible"
		size = 20
		refs = "000d TGPGraphics.IsVisible"
	strings:
		$1 = { 83 C4 F8 89 14 24 89 4C 24 04 8B D4 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_93783_0 {
	meta:
		name = "TSeriesMarks.Clicked"
		size = 20
		refs = "000d TSeriesMarks.Clicked"
	strings:
		$1 = { 83 C4 F8 89 14 24 89 4C 24 04 8B D4 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_90430_0 {
	meta:
		name = "ClickedRow"
		size = 132
		refs = "0028 TCustomChartLegend.FirstItemTop"
	strings:
		$1 = { 55 8B EC 51 53 56 C7 45 FC FF FF FF FF 8B 45 08 8B 40 FC 8B B0 CC 00 00 00 4E 85 F6 7C 5E 46 33 DB 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 40 8B 55 08 8B 52 F8 0F AF D3 03 C2 8B 55 08 8B 52 F4 8B 52 04 3B C2 7F 33 8B 4D 08 8B 49 F4 8B 4D 08 03 41 F8 3B D0 7F 23 89 5D FC 8B 45 08 8B 40 FC 80 78 6C 00 74 18 8B 45 08 8B 40 FC 8B 80 CC 00 00 00 2B C3 48 89 45 FC EB 04 43 4E 75 A5 8B 45 FC 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90431_0 {
	meta:
		name = "GetLegendBounds"
		size = 84
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 8B 45 08 8B 40 FC 8D 70 44 8B FB A5 A5 A5 A5 8B 45 08 8B 40 FC 66 83 B8 C2 00 00 00 00 74 26 33 C0 89 45 FC 8B 45 08 8B 70 FC 8D 4D FC 8B 45 08 8B 50 FC 8B 86 C4 00 00 00 FF 96 C0 00 00 00 8B 45 FC 29 43 08 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90432_0 {
	meta:
		name = "TCustomChartLegend.Clicked"
		size = 349
		refs = "0017 GetLegendBounds 0066 TTeeCanvas.AssignFont 006e TCustomChartLegend.CalcItemHeight 0079 TCustomChartLegend.GetVertical 0083 ClickedRow"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 89 55 F4 89 45 FC 83 CB FF 55 8D 45 D0 E8 ?? ?? ?? ?? 59 8D 75 D0 8D 7D E0 A5 A5 A5 A5 8B 45 F4 8B 00 8B 55 F4 8B 52 04 3B 45 E0 7C 0F 3B 55 E4 7C 0A 3B 45 E8 7F 05 3B 55 EC 7E 04 33 C0 EB 02 B0 01 84 C0 0F 84 01 01 00 00 8B 45 FC 8B 50 20 8B 45 FC 8B 40 08 8B 80 40 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 14 55 E8 ?? ?? ?? ?? 59 8B D8 8B 45 FC 03 58 60 E9 BF 00 00 00 8B 45 FC 8B 88 C8 00 00 00 85 C9 0F 8E AE 00 00 00 8B 45 FC 8B 40 4C 8B 55 FC 2B 42 44 99 F7 F9 89 45 F0 8B F1 4E 85 F6 0F 8C 91 00 00 00 46 33 FF 8B 45 FC 8B 40 44 40 8B D7 0F AF 55 F0 03 C2 8B 55 F4 3B 02 7F 70 8B 55 F4 8B 12 03 45 F0 3B D0 7F 64 55 E8 ?? ?? ?? ?? 59 8B D8 83 FB FF 74 56 8B 45 FC 8B 88 C8 00 00 00 0F AF D9 8B 45 FC 80 78 6C 00 74 26 8B C1 2B C7 48 03 D8 8B 45 FC 8B 80 B0 00 00 00 8B 55 FC 2B 42 60 40 99 F7 F9 8B C2 85 C0 7E 08 2B C8 2B D9 EB 02 03 DF 8B 45 FC 8B 80 B4 00 00 00 48 3B D8 7E 05 83 CB FF EB 06 8B 45 FC 03 58 60 47 4E 0F 85 72 FF FF FF 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90433_0 {
	meta:
		name = "TCustomChartLegend.HasCheckBoxes"
		size = 21
	strings:
		$1 = { 80 78 59 00 74 09 80 B8 B9 00 00 00 02 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_90434_0 {
	meta:
		name = "TCustomChartLegend.DoMouseDown"
		size = 306
		refs = "0013 TCustomChartLegend.HasCheckBoxes 004a TSeriesGroups.Get 0053 TSeriesGroup.GetActive 0060 TSeriesGroup.SetActive 00d7 TCustomAxisPanel.SeriesLegend"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F0 8B 7D 08 33 DB 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 08 01 00 00 83 FF FF 0F 84 FF 00 00 00 80 BE B9 00 00 00 04 0F 85 94 00 00 00 80 7E 5A 00 75 3C 8B 46 08 8B 80 B4 03 00 00 8B 40 14 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 3C 01 75 0E 33 D2 8B C3 E8 ?? ?? ?? ?? E9 BC 00 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? E9 AE 00 00 00 8B 46 08 8B 80 B4 03 00 00 8B 40 14 89 45 FC 8B 45 FC 8B 40 08 8B 70 08 4E 85 F6 0F 8C 8D 00 00 00 46 33 DB 3B FB 75 13 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? EB 11 8B D3 8B 45 FC E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 43 4E 75 D4 EB 5C 80 7E 5A 00 75 1E 33 C9 8B D7 8B 46 08 E8 ?? ?? ?? ?? 85 C0 74 46 0F B6 50 38 80 F2 01 8B 08 FF 51 48 EB 38 8B 46 08 89 45 F8 8B 45 F8 8B 80 B4 03 00 00 8B 70 08 4E 85 F6 7C 21 46 33 DB 33 C9 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 0A 3B FB 0F 94 C2 8B 08 FF 51 48 43 4E 75 E2 B3 01 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_90435_0 {
	meta:
		name = "PaintSeriesLegend"
		size = 496
		refs = "002c _DV_TCustomChart 0031 TCustomChart.Create 0049 TBrush.SetStyle 005d TBrush.SetColor 006b TCustomChartLegend.PrepareSymbolPen 0094 _Dn_TTeeCanvas3D 00b3 TTeeCanvas3D.Create 00c7 TTeeCanvas.SetCanvas 00e4 @IsClass 0122 PaintSeriesLegend 017e @HandleFinally 01bf TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC 8B 40 40 89 45 F0 C6 45 EB 00 83 7D F0 00 75 20 C6 45 EB 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 55 F0 8B 45 FC 8B 08 FF 51 4C 8B 46 48 33 D2 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 60 04 00 00 8B 50 1C 8B 46 48 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 60 04 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 74 04 B0 01 EB 16 8B 55 F0 8B 92 40 03 00 00 8B 12 89 D0 3B 05 ?? ?? ?? ?? 0F 95 C0 84 C0 74 2E 8B 45 F0 8B 80 40 03 00 00 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F0 89 98 40 03 00 00 8B C3 8B D6 E8 ?? ?? ?? ?? EB 05 33 C0 89 45 F4 8B 45 F0 8B 98 40 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B 83 E4 00 00 00 89 45 EC 8B C3 33 D2 8B 08 FF 91 D4 01 00 00 EB 05 33 C0 89 45 EC 8B 45 F0 8B 80 40 03 00 00 8B 50 08 89 55 F8 8B D6 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 80 40 03 00 00 8B 10 FF 92 68 01 00 00 8B CF 83 CA FF 8B 45 FC 8B 18 FF 93 70 01 00 00 8B 45 F0 8B 80 40 03 00 00 8B 10 FF 92 6C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 80 40 03 00 00 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 8B 45 F0 8B 98 40 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B C3 8B 55 EC 8B 08 FF 91 D4 01 00 00 80 7D EB 00 74 12 33 D2 8B 45 FC 8B 08 FF 51 4C 8B 45 F0 E8 ?? ?? ?? ?? 83 7D F4 00 74 20 8B 45 FC 8B 40 40 8B 80 40 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 55 F4 89 90 40 03 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90436_0 {
	meta:
		name = "GetNewSeriesName"
		size = 52
		refs = "0009 GetNewSeriesName 0010 TeeGetUniqueName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 72 00 69 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_90437_0 {
	meta:
		name = "AssignSeries"
		size = 634
		refs = "0016 AssignSeries 011c @UStrLAsg 0145 TChartSeries.GetDataSources 0150 TList.IndexOf 015c TDataSourcesList.Add 017d TList.RemoveItem 018a TChartSeries.AddLinkedSeries 0194 TChartSeries.RemoveLinkedSeries 01d5 TChartTools.Get 01db _Dn_TTeeCustomToolSeries 01e0 @IsClass 0216 TCustomAxisPanel.ExchangeSeries 0221 TObject.Free 0239 TCustomAxisPanel.BroadcastSeriesEvent 0240 TChartSeries.CheckDataSource 0252 TChartSeries.RefreshSeries 0267 @UStrClr 026d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 3B 03 0F 84 2C 02 00 00 8B 13 8B 06 8B 08 FF 51 08 8B 06 8B 13 8B 8A D0 00 00 00 89 88 D0 00 00 00 8B 8A D4 00 00 00 89 88 D4 00 00 00 8B 06 8B 13 8B 8A D8 00 00 00 89 88 D8 00 00 00 8B 8A DC 00 00 00 89 88 DC 00 00 00 8B 06 8B 13 8B 8A E0 00 00 00 89 88 E0 00 00 00 8B 8A E4 00 00 00 89 88 E4 00 00 00 8B 06 8B 13 8B 8A E8 00 00 00 89 88 E8 00 00 00 8B 8A EC 00 00 00 89 88 EC 00 00 00 8B 06 8B 13 8B 8A F0 00 00 00 89 88 F0 00 00 00 8B 8A F4 00 00 00 89 88 F4 00 00 00 8B 06 8B 13 8B 8A F8 00 00 00 89 88 F8 00 00 00 8B 8A FC 00 00 00 89 88 FC 00 00 00 8B 06 8B 13 8B 8A 00 01 00 00 89 88 00 01 00 00 8B 8A 04 01 00 00 89 88 04 01 00 00 8B 06 8B 13 8B 8A 08 01 00 00 89 88 08 01 00 00 8B 8A 0C 01 00 00 89 88 0C 01 00 00 8D 45 FC 8B 13 8B 52 08 E8 ?? ?? ?? ?? EB 76 8B 03 8B 80 84 00 00 00 89 45 EC 8B 45 EC 8B 40 04 33 D2 8B 04 90 89 45 E8 8B 45 E8 89 45 F8 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 8B 16 8B C7 E8 ?? ?? ?? ?? 40 75 09 8B 16 8B C7 E8 ?? ?? ?? ?? 8B 13 8B C7 E8 ?? ?? ?? ?? 40 74 18 89 7D E4 8B 03 89 45 E0 33 C9 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 89 45 DC 8B 06 8B 55 F8 E8 ?? ?? ?? ?? 8B 03 8B 55 F8 E8 ?? ?? ?? ?? 8B 03 8B 80 84 00 00 00 83 78 08 00 0F 8F 78 FF FF FF 8B 03 8B 40 40 89 45 F4 8B 45 F4 8B 80 2C 04 00 00 8B 40 08 48 85 C0 7C 49 40 89 45 F0 33 FF 8B 45 F4 8B 80 2C 04 00 00 8B D7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B 45 F4 8B 80 2C 04 00 00 8B D7 E8 ?? ?? ?? ?? 8B 50 4C 3B 13 75 07 8B 16 8B 08 FF 51 74 47 FF 4D F0 75 BD 8B 0E 8B 13 8B 03 8B 40 40 E8 ?? ?? ?? ?? 8B 03 33 D2 89 13 E8 ?? ?? ?? ?? 8B 06 8B 55 FC 8B 08 FF 51 24 8B 16 8B 06 8B 40 40 B1 02 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B 06 80 B8 64 01 00 00 00 74 07 8B 06 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90438_0 {
	meta:
		name = "CreateNewTeeFunction"
		size = 144
		refs = "000d CreateNewTeeFunction 0028 TTeeFunction.SetParentSeries 0038 TeeGetUniqueName 0057 @UStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4E 04 8B C2 B2 01 FF 50 38 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 65 00 65 00 46 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_90439_0 {
	meta:
		name = "CreateNewSeries"
		size = 189
		refs = "0019 CreateNewSeries 006a GetNewSeriesName 0090 CreateNewTeeFunction 00a5 @UStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D FC 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 75 02 8B FE 85 F6 74 2A 8B 86 B4 03 00 00 8B 40 08 48 85 C0 7C 1C 40 33 D2 8B 8E B4 03 00 00 8B 49 04 8B 0C 91 3B 71 04 75 04 8B FE EB 04 42 48 75 E7 8B CF B2 01 8B 45 FC FF 50 38 89 45 F8 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 08 FF 51 24 8B D6 8B 45 F8 8B 08 FF 51 4C 83 7D 08 00 74 0B 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_90440_0 {
	meta:
		name = "CloneChartSeries"
		size = 9
		refs = "0004 CloneChartSeries"
	strings:
		$1 = { 8B 50 40 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90441_0 {
	meta:
		name = "CloneChartSeries"
		size = 11
		refs = "0006 CloneChartSeries"
	strings:
		$1 = { 8B CA 8B 50 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90442_0 {
	meta:
		name = "CloneChartSeries"
		size = 56
		refs = "0023 CreateNewSeries"
	strings:
		$1 = { 53 56 57 8B F0 8B 9E C4 00 00 00 85 DB 75 04 33 C0 EB 04 8B 1B 89 D8 8B 1E 89 DF 50 8B C2 8B D1 8B CF E8 ?? ?? ?? ?? 8B F8 8B D6 8B C7 8B 08 FF 51 08 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90443_0 {
	meta:
		name = "CloneChartTool"
		size = 152
		refs = "0016 CloneChartTool 003a TeeGetUniqueName 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 17 89 D0 8B 4D FC B2 01 FF 50 38 8B F0 8D 4D F8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 08 FF 51 24 8B D7 8B C6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 68 00 61 00 72 00 74 00 54 00 6F 00 6F 00 6C 00 00 00 }
	condition:
		$1
}

rule function_90444_0 {
	meta:
		name = "CloneChartAnimation"
		size = 156
		refs = "0010 CloneChartAnimation 0032 TeeGetUniqueName 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 17 89 D0 8B CB B2 01 FF 50 38 8B F0 8D 4D FC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 24 8B D7 8B C6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 68 00 61 00 72 00 74 00 41 00 6E 00 69 00 6D 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_90445_0 {
	meta:
		name = "ChangeSeriesType"
		size = 65
		refs = "0020 CreateNewSeries 0032 AssignSeries"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 03 8B 00 89 C2 3B F2 74 2A 6A 00 8B 03 8B 50 40 8B 03 8B 40 04 8B CE E8 ?? ?? ?? ?? 89 04 24 83 3C 24 00 74 0E 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 03 8B 03 5A 5E 5B C3 }
	condition:
		$1
}

rule function_90446_0 {
	meta:
		name = "ChangeAllSeriesType"
		size = 60
		refs = "002e ChangeSeriesType"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 8B 87 B4 03 00 00 8B 58 08 4B 85 DB 7C 1F 43 33 F6 8B 87 B4 03 00 00 8B 40 04 8B 04 B0 89 04 24 8B C4 8B D5 E8 ?? ?? ?? ?? 46 4B 75 E4 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90447_0 {
	meta:
		name = "TCustomChartLegend.ShouldDraw"
		size = 40
		refs = "000c TCustomChartLegend.HasCheckBoxes 0018 TCustomAxisPanel.CountActiveSeries"
	strings:
		$1 = { 53 8B D8 80 7B 10 00 74 17 8B C3 E8 ?? ?? ?? ?? 84 C0 75 10 8B 43 08 E8 ?? ?? ?? ?? 85 C0 7F 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_90448_0 {
	meta:
		name = "TCustomChartLegend.SetTitle"
		size = 49
		refs = "000d TCustomChartLegend.GetTitle 002a TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 8D 83 94 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90451_0 {
	meta:
		name = "TTeeSeriesTypes.Find"
		size = 50
		refs = "0018 TTeeSeriesTypes.Get"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 5F 08 4B 85 DB 7C 1B 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 68 04 75 06 83 78 08 00 74 06 46 4B 75 E8 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90454_0 {
	meta:
		name = "RegisterTeeSeriesFunction"
		size = 164
		refs = "0011 ActivateGroup 001c RegisterClass 002c CheckTeeSeriesTypes 0053 TTeeSeriesTypes.Get 006a _Dn_TTeeSeriesType 006f TObject.Create 0097 TList.Add"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B F0 E8 ?? ?? ?? ?? 85 F6 74 07 8B C6 E8 ?? ?? ?? ?? 85 FF 74 07 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 83 7D 08 00 75 2E 8B 45 F4 8B 58 08 4B 85 DB 7C 23 43 C7 45 F8 00 00 00 00 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 3B 70 04 75 05 3B 78 08 74 3A FF 45 F8 4B 75 E5 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 70 04 89 78 08 8B 55 FC 89 50 0C 8B 55 10 89 50 10 8B 55 0C 89 50 14 8B 55 08 89 50 18 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_90456_0 {
	meta:
		name = "RegisterTeeSeries"
		size = 14
		refs = "0004 TeeMsg_GalleryStandard 0009 RegisterTeeSeries"
	strings:
		$1 = { 6A 02 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90458_0 {
	meta:
		name = "RegisterTeeBasicFunction"
		size = 14
		refs = "0004 TeeMsg_GalleryStandard 0009 RegisterTeeFunction"
	strings:
		$1 = { 6A 02 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90457_0 {
	meta:
		name = "RegisterTeeFunction"
		size = 24
		refs = "0010 RegisterTeeSeriesFunction"
	strings:
		$1 = { 55 8B EC 51 8B 4D 08 51 6A 00 33 C9 91 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_90459_0 {
	meta:
		name = "InternalUnRegister"
		size = 86
		refs = "000d CheckTeeSeriesTypes 001a TTeeSeriesTypes.Get 003b TObject.Free 0044 TList.Delete"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B D8 33 F6 E8 ?? ?? ?? ?? 8B F8 EB 36 8B D6 8B C7 E8 ?? ?? ?? ?? 8B E8 84 DB 74 08 8B 45 04 3B 04 24 74 0C 84 DB 75 1A 8B 45 08 3B 04 24 75 12 8B C5 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? EB 01 46 3B 77 08 7C C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90460_0 {
	meta:
		name = "UnRegisterTeeSeries"
		size = 29
		refs = "0010 InternalUnRegister"
	strings:
		$1 = { 53 56 8B F2 85 F6 7C 12 46 8B D8 8B 13 B0 01 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F1 5E 5B C3 }
	condition:
		$1
}

rule function_90461_0 {
	meta:
		name = "UnRegisterTeeFunctions"
		size = 29
		refs = "0010 InternalUnRegister"
	strings:
		$1 = { 53 56 8B F2 85 F6 7C 12 46 8B D8 8B 13 33 C0 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F1 5E 5B C3 }
	condition:
		$1
}

rule function_90462_0 {
	meta:
		name = "TTeeDragObject.Create"
		size = 49
		refs = "000b @ClassCreate 001f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 8B F3 8D 78 40 A5 A5 A5 A4 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90463_0 {
	meta:
		name = "TTeeDragObject.GetDragCursor"
		size = 21
	strings:
		$1 = { 55 8B EC 84 D2 74 06 66 B8 E4 07 EB 04 66 B8 F3 FF 5D C2 04 00 }
	condition:
		$1
}

rule function_90464_0 {
	meta:
		name = "TTeeDragObject.Finished"
		size = 11
	strings:
		$1 = { 55 8B EC 80 7D 08 00 5D C2 08 00 }
	condition:
		$1
}

rule function_90467_0 {
	meta:
		name = "RegisterTeeTools"
		size = 62
		refs = "0008 ActivateGroup 000d CheckTeeToolTypes 001d TList.IndexOf 0027 RegisterClass 0030 TList.Add"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 F6 7C 23 46 8B 13 8B C7 E8 ?? ?? ?? ?? 40 75 10 8B 03 E8 ?? ?? ?? ?? 8B 13 8B C7 E8 ?? ?? ?? ?? 83 C3 04 4E 75 DE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90470_0 {
	meta:
		name = "RegisterTeeAnimations"
		size = 62
		refs = "0008 ActivateGroup 000d CheckTeeAnimationTypes 001d TList.IndexOf 0027 RegisterClass 0030 TList.Add"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 F6 7C 23 46 8B 13 8B C7 E8 ?? ?? ?? ?? 40 75 10 8B 03 E8 ?? ?? ?? ?? 8B 13 8B C7 E8 ?? ?? ?? ?? 83 C3 04 4E 75 DE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90468_0 {
	meta:
		name = "UnRegisterTeeTools"
		size = 52
		refs = "0008 CheckTeeToolTypes 0018 TList.IndexOf 0026 TList.Delete"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 E8 ?? ?? ?? ?? 8B F8 85 F6 7C 1E 46 8B 13 8B C7 E8 ?? ?? ?? ?? 83 F8 FF 74 09 8B D0 8B C7 E8 ?? ?? ?? ?? 83 C3 04 4E 75 E3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90471_0 {
	meta:
		name = "UnRegisterTeeAnimations"
		size = 52
		refs = "0008 CheckTeeAnimationTypes 0018 TList.IndexOf 0026 TList.Delete"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 E8 ?? ?? ?? ?? 8B F8 85 F6 7C 1E 46 8B 13 8B C7 E8 ?? ?? ?? ?? 83 F8 FF 74 09 8B D0 8B C7 E8 ?? ?? ?? ?? 83 C3 04 4E 75 E3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90472_0 {
	meta:
		name = "GetGallerySeriesName"
		size = 54
		refs = "0008 CheckTeeSeriesTypes 0011 TTeeSeriesTypes.Find 0023 @UStrAsg 002e TObject.ClassName"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 E8 ?? ?? ?? ?? 8B 0E 89 CA E8 ?? ?? ?? ?? 8B D8 85 DB 74 0E 8B C7 8B 53 0C 8B 12 E8 ?? ?? ?? ?? EB 09 8B D7 8B 06 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90473_0 {
	meta:
		name = "TLegendTitle.Assign"
		size = 56
		refs = "000b _DV_TLegendTitle 0010 @IsClass 0020 TLegendTitle.SetText 0030 TTeeCustomShape.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B FE 8B 57 54 8B C3 E8 ?? ?? ?? ?? 0F B6 47 58 88 43 58 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90474_0 {
	meta:
		name = "TLegendTitle.Create"
		size = 180
		refs = "000f @ClassCreate 0021 TTeeCustomShape.Create 0028 _Dn_TStringList 002d TStringList.Create 003c TLegendTitle.TextChanged 0045 TTeeCustomShape.InitTransparent 006a TLegendTitle.Create 006f TFont.SetStyle 0097 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 54 89 5F 44 C7 47 40 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 85 F6 74 13 0F B6 86 99 02 00 00 88 45 FE C6 86 99 02 00 00 00 EB 04 C6 45 FE 00 8B 43 20 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 74 0A 0F B6 45 FE 88 86 99 02 00 00 8B 53 20 8B 42 10 0F B6 40 21 88 42 54 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 00 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_90477_0 {
	meta:
		name = "TLegendTitle.InitShadow"
		size = 19
		refs = "000e TTeeShadow.InitValues"
	strings:
		$1 = { 6A 02 B9 C0 C0 C0 00 8B C2 0F B6 52 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90478_0 {
	meta:
		name = "TLegendTitle.TextChanged"
		size = 20
		altNames = "TTeeCustomShape.PictureChanged TTeeCustomShapeBrushPen.CanvasChanged TTeeCustomShapeBrushPen.Repaint"
	strings:
		$1 = { 56 8B 70 08 85 F6 74 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_90479_0 {
	meta:
		name = "DrawTitleLine"
		size = 252
		refs = "0014 DrawTitleLine 00ea @UStrClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 8B 75 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 06 8B 40 54 8B D3 8B 38 FF 57 0C 8B 45 08 8B 40 F8 F7 EB 8B 55 08 03 42 F4 8B D8 8B 06 03 58 48 8B 06 0F B6 40 58 3C 01 75 34 8B 06 8B 40 08 8B 80 40 03 00 00 8B 55 FC 8B 08 FF 91 9C 00 00 00 8B 16 8B 52 4C 2B D0 8B 45 08 8B 40 F0 D1 F8 79 03 83 D0 00 2B D0 8B 45 08 89 50 EC EB 3A 3C 02 75 36 8B 06 8B 40 08 8B 80 40 03 00 00 8B 55 FC 8B 08 FF 91 9C 00 00 00 D1 F8 79 03 83 D0 00 8B 16 8B 52 44 8B 0E 03 51 4C D1 FA 79 03 83 D2 00 2B D0 8B 45 08 89 50 EC 8B 06 8B 40 08 8B 55 FC 52 8B 55 08 8B 52 EC 8B 80 40 03 00 00 8B CB 8B 18 FF 93 98 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90480_0 {
	meta:
		name = "TLegendTitle.DrawText"
		size = 292
		refs = "0014 TLegendTitle.DrawText 0033 TTeeCanvas.AssignFont 00b4 DrawTitleLine 00ec TTeeCanvas.TextOut 0101 @UStrClr 0107 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 D2 89 55 E8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B 98 40 03 00 00 8B 45 FC 8B 50 20 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 48 8B C3 BA ?? ?? ?? ?? 8B 08 FF 91 A0 00 00 00 89 45 F8 B2 01 8B C3 8B 08 FF 51 30 BA ?? ?? ?? ?? 8B C3 8B 08 FF 91 9C 00 00 00 89 45 F0 C7 45 F4 01 00 00 00 8B 45 FC 80 78 58 00 75 15 8B 45 FC 8B 40 44 8B 55 F0 D1 FA 79 03 83 D2 00 03 C2 89 45 EC 8B 45 FC 80 78 29 00 75 24 8B 45 FC 8B 40 54 8B 10 FF 52 14 8B D8 4B 85 DB 7C 43 43 33 F6 55 8B C6 E8 ?? ?? ?? ?? 59 46 4B 75 F3 EB 31 8D 55 E8 8B 45 FC 8B 40 54 8B 08 FF 51 1C 8B 45 E8 50 6A 01 8B 45 FC 8B 48 48 03 4D F4 8B 45 FC 8B 40 08 8B 80 40 03 00 00 8B 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_90481_0 {
	meta:
		name = "TLegendTitle.SetText"
		size = 28
	strings:
		$1 = { 56 8B F0 8B 46 54 8B 08 FF 51 08 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_90483_0 {
	meta:
		name = "TLegendTitle.TotalWidth"
		size = 264
		refs = "0014 TLegendTitle.TotalWidth 002b TTeeCanvas.AssignFont 00bb TTeeCustomShape.GetEmboss 00e0 @UStrClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B 80 40 03 00 00 8B 53 20 E8 ?? ?? ?? ?? 33 F6 8B 43 54 8B 10 FF 52 14 48 85 C0 7C 3D 40 89 45 F8 C7 45 FC 00 00 00 00 8D 4D F4 8B 55 FC 8B 43 54 8B 38 FF 57 0C 8B 55 F4 8B 43 08 8B 80 40 03 00 00 8B 08 FF 91 9C 00 00 00 3B C6 7D 02 8B C6 8B F0 FF 45 FC FF 4D F8 75 CE 8B 43 08 8B 80 40 03 00 00 BA ?? ?? ?? ?? 8B 08 FF 91 9C 00 00 00 03 F0 80 7B 2A 00 75 36 8B 43 0C 80 78 28 00 74 0A 8B 40 10 8B 40 1C 03 C0 03 F0 8B 43 3C 80 78 20 00 74 03 03 70 0C 8B C3 E8 ?? ?? ?? ?? 80 78 20 00 74 0A 8B C3 E8 ?? ?? ?? ?? 03 70 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_90484_0 {
	meta:
		name = "TLegendTitle.CalcHeight"
		size = 148
		refs = "0011 TTeeCanvas.AssignFont 001f TLegendTitle.CalcHeight 003d TTeeCustomShape.SetHeight 004a TTeeCustomShape.GetHeight"
	strings:
		$1 = { 53 56 8B D8 8B 43 08 8B 80 40 03 00 00 8B 53 20 E8 ?? ?? ?? ?? 8B 43 08 8B 80 40 03 00 00 BA ?? ?? ?? ?? 8B 08 FF 91 A0 00 00 00 8B F0 8B 43 54 8B 10 FF 52 14 8B D0 0F AF D6 8B C3 E8 ?? ?? ?? ?? 80 7B 2A 00 75 39 8B C3 E8 ?? ?? ?? ?? 8B D0 83 C2 02 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 80 78 28 00 74 1D 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 0C 8B 40 10 8B 40 1C 03 C0 03 D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_90485_0 {
	meta:
		name = "TLegendTitle.CalcShapeBounds"
		size = 212
		refs = "0022 TTeeCustomShape.GetHeight 0083 TTeeCustomShape.GetEmboss"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B F2 8B D8 8B 3E 83 C7 02 8B 6E 04 83 C5 02 8B 46 08 83 E8 02 89 04 24 8B C3 E8 ?? ?? ?? ?? 8B 56 04 83 C2 02 03 C2 89 7C 24 04 89 6C 24 08 8B 14 24 89 54 24 0C 89 44 24 10 8D 74 24 04 8D 7B 44 A5 A5 A5 A5 80 7B 2A 00 75 28 8B 43 3C 80 78 20 00 74 1F 8B 43 3C 8B 40 0C 85 C0 7E 05 29 43 4C EB 03 29 43 44 8B 43 3C 8B 40 1C 85 C0 7D 03 29 43 48 80 7B 2A 00 75 4C 8B C3 E8 ?? ?? ?? ?? 80 78 20 00 74 3F 8B C3 E8 ?? ?? ?? ?? 83 78 0C 00 7E 0F 8B C3 E8 ?? ?? ?? ?? 8B 40 0C 29 43 44 EB 0D 8B C3 E8 ?? ?? ?? ?? 8B 40 0C 29 43 4C 8B 43 3C 83 78 1C 00 7D 0D 8B C3 E8 ?? ?? ?? ?? 8B 40 1C 29 43 50 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90486_0 {
	meta:
		name = "TLegendTitle.GetCaption"
		size = 43
		refs = "0024 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 54 8B 10 FF 52 14 85 C0 7E 0F 8B CE 33 D2 8B 43 54 8B 18 FF 53 0C 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90487_0 {
	meta:
		name = "TLegendTitle.SetCaption"
		size = 31
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 54 8B 10 FF 52 44 85 F6 74 0A 8B D6 8B 43 54 8B 08 FF 51 38 5E 5B C3 }
	condition:
		$1
}

rule function_90488_0 {
	meta:
		name = "TColorPalettes.AddTo"
		size = 139
		refs = "0015 TColorPalettes.AddTo 0025 TeeMsg_Default 0034 ColorPalettes 0078 @UStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 C9 74 10 8B 15 ?? ?? ?? ?? 8B 12 8B 45 FC 8B 08 FF 51 38 A1 ?? ?? ?? ?? 8B 10 FF 52 14 8B F0 4E 85 F6 7C 23 46 33 DB 8D 4D F8 8B D3 A1 ?? ?? ?? ?? 8B 38 FF 57 0C 8B 55 F8 8B CB 8B 45 FC 8B 38 FF 57 3C 43 4E 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_90489_0 {
	meta:
		name = "CopyPalette"
		size = 78
		refs = "001c TColorArray 0021 @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8D 73 01 56 8B 45 08 8B 40 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D6 4A 85 D2 7C 1A 42 33 C9 8B 45 FC 8B 5D 08 8B 5B FC 8B 1B 8B 30 89 34 8B 41 83 C0 04 4A 75 EC 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90490_0 {
	meta:
		name = "TColorPalettes.GetPalette"
		size = 427
		refs = "0013 TColorPalettes.GetPalette 005d ExcelPalette 0067 CopyPalette 0071 VictorianPalette 0085 PastelsPalette 0099 SolidPalette 00ad ClassicPalette 00c1 WebPalette 00d5 ModernPalette 00e9 RainbowPalette 00fd WindowsXPPalette 0111 MacOSPalette 0125 WindowsVistaPalette 0139 GrayScalePalette 014d OperaPalette 0161 WarmPalette 0175 CoolPalette 0189 OnBlackPalette"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 83 FA 10 0F 87 8B 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 B8 ?? ?? ?? ?? BA 15 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 55 B8 ?? ?? ?? ?? BA 0A 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 55 B8 ?? ?? ?? ?? BA 0D 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 55 B8 ?? ?? ?? ?? BA 07 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 55 B8 ?? ?? ?? ?? BA 0B 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 55 B8 ?? ?? ?? ?? BA 08 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 55 B8 ?? ?? ?? ?? BA 0D 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 55 B8 ?? ?? ?? ?? BA 18 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 55 B8 ?? ?? ?? ?? BA 0C 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 55 B8 ?? ?? ?? ?? BA 0F 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 55 B8 ?? ?? ?? ?? BA 0E 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 55 B8 ?? ?? ?? ?? BA 0E 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 55 B8 ?? ?? ?? ?? BA 0B 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 55 B8 ?? ?? ?? ?? BA 07 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 55 B8 ?? ?? ?? ?? BA 07 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 55 B8 ?? ?? ?? ?? BA 03 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 55 8D 45 FC 83 CA FF E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_90491_0 {
	meta:
		name = "TColorPalettes.ApplyPalette"
		size = 149
		refs = "0012 TColorPalettes.ApplyPalette 0024 TColorPalettes.GetPalette 002c @DynArrayHigh 0042 TColorArray 0047 @DynArrayClear 004f _DV_TCustomChart 0054 @IsClass 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 89 BB 58 04 00 00 8B C3 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90492_0 {
	meta:
		name = "TColorPalettes.ApplyPalette"
		size = 120
		refs = "001e TColorArray 0023 @DynArrayClear 0044 @DynArraySetLength 006c TCustomAxisPanel.ColorPaletteChanged"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B 5D 08 8D 43 01 85 C0 75 13 8D 86 54 04 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 40 8B FB 8B C7 83 E8 00 40 50 8D 86 54 04 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D7 85 D2 7C 18 42 33 C9 8B 45 FC 8B 9E 54 04 00 00 8B 38 89 3C 8B 41 83 C0 04 4A 75 EE 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_90495_0 {
	meta:
		name = "TChartTheme.Apply"
		size = 114
		refs = "0029 TChartAxes.Get 005d TChartCustomAxes.Get"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 04 85 C0 74 62 8B 80 A8 03 00 00 8B 70 08 4E 85 F6 7C 20 46 33 FF 8B 43 04 8B 80 A8 03 00 00 8B D7 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 0C 47 4E 75 E3 8B 43 04 8B 80 B0 03 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 20 46 33 FF 8B 43 04 8B 80 B0 03 00 00 8B D7 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 0C 47 4E 75 E3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90497_0 {
	meta:
		name = "Finalization"
		size = 81
		refs = "0002 _DV_52 0009 ColorPalettes 0016 TObject.Free 001b TeeSeriesTypes 002d TeeToolTypes 003f TeeAnimationTypes"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 48 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90498_0 {
	meta:
		name = "VCLTee.Chart"
		size = 310
		refs = "0002 ColorPalettes 0008 _DV_52 0014 Randomize 0019 CheckTeeSeriesTypes 001e CheckTeeToolTypes 0023 CheckTeeAnimationTypes 002a _DV_TColorPalettes 002f TStringList.Create 0037 TeeMsg_ThemeTeeChart 0046 TeeMsg_ThemeExcel 0055 TeeMsg_ThemeVictorian 0064 TeeMsg_ThemePastels 0073 TeeMsg_ThemeSolid 0082 TeeMsg_ThemeClassic 0091 TeeMsg_ThemeWeb 00a0 TeeMsg_ThemeModern 00af TeeMsg_ThemeRainbow 00be TeeMsg_ThemeWinXP 00cd TeeMsg_ThemeMacOS 00dc TeeMsg_ThemeWinVista 00eb TeeMsg_ThemeGrayScale 00fa TeeMsg_ThemeOpera 0109 TeeMsg_ThemeWarm 0118 TeeMsg_ThemeCool 0127 TeeMsg_ThemeBlack"
	strings:
		$1 = { 53 BB ?? ?? ?? ?? 83 2D ?? ?? ?? ?? 01 0F 83 21 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 15 ?? ?? ?? ?? 8B 12 8B 03 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 03 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 03 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 03 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 03 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 03 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 03 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 03 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 03 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 03 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 03 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 03 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 03 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 03 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 03 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 03 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 03 8B 08 FF 51 38 5B C3 }
	condition:
		$1
}

rule function_90499_0 {
	meta:
		name = "TDBChartDataSource.SetDataSet"
		size = 61
		refs = "0009 TDataSource.SetDataSet 0011 TDataSet.GetActive 001e TDBChartDataSource.DataSourceStateChange 0028 TDBChartDataSource.DataSourceUpdateData 0036 TDBChartDataSource.DataSourceRowChange"
	strings:
		$1 = { 53 56 8B D9 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 88 46 64 89 76 4C C7 46 48 ?? ?? ?? ?? 89 76 5C C7 46 58 ?? ?? ?? ?? 84 DB 74 0A 89 76 54 C7 46 50 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90500_0 {
	meta:
		name = "TDBChartDataSource.DataSourceRowChange"
		size = 34
	strings:
		$1 = { 53 8B 48 60 85 C9 74 18 80 B9 E0 04 00 00 00 75 0F 8B C2 8B 48 38 8B D8 8B D1 8B 43 6C FF 53 68 5B C3 }
	condition:
		$1
}

rule function_90501_0 {
	meta:
		name = "TDBChartDataSource.DataSourceUpdateData"
		size = 30
	strings:
		$1 = { 53 8B C2 80 78 42 01 75 0F 8B 48 38 8B D8 8B D1 8B 43 6C FF 53 68 5B C3 C6 40 64 00 5B C3 }
	condition:
		$1
}

rule function_90502_0 {
	meta:
		name = "TDBChartDataSource.DataSourceStateChange"
		size = 67
	strings:
		$1 = { 53 56 8B DA 8B C3 80 78 42 00 75 19 C6 40 64 00 66 83 78 72 00 74 29 8B 50 38 8B D8 8B 43 74 FF 53 70 5E 5B C3 8B F3 80 7E 42 01 75 13 80 7E 64 00 75 0D 8B 56 38 8B 46 6C FF 56 68 C6 46 64 01 5E 5B C3 }
	condition:
		$1
}

rule function_90504_0 {
	meta:
		name = "TListOfDataSources.IndexOf"
		size = 49
		refs = "0018 TListOfDataSources.Get"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 77 08 4E 85 F6 7C 19 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 3B 68 38 75 04 8B C3 EB 07 43 4E 75 EA 83 C8 FF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90507_0 {
	meta:
		name = "TCustomDBChart.Create"
		size = 100
		refs = "000a @ClassCreate 0017 TCustomChart.Create 001e _DV_TListOfDataSources 0023 TObject.Create 0051 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 E8 04 00 00 C6 86 C8 04 00 00 01 C6 86 D0 04 00 00 01 33 C0 89 86 E4 04 00 00 C6 86 E0 04 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_90508_0 {
	meta:
		name = "TCustomDBChart.Destroy"
		size = 66
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0030 TCustomChart.Destroy 003b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 E4 04 00 00 E8 ?? ?? ?? ?? 8D 86 E8 04 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90509_0 {
	meta:
		name = "TCustomDBChart.RemovedDataSource"
		size = 129
		refs = "0014 TCustomAxisPanel.RemovedDataSource 0026 _Dn_TDataSet 002b @IsClass 0047 TListOfDataSources.Get 0064 TObject.Free 0071 TList.Delete"
	strings:
		$1 = { 53 56 57 55 51 8B F9 89 14 24 8B D8 8B CF 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B B3 E8 04 00 00 85 F6 74 59 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 48 8B 6E 08 4D 85 ED 7C 40 45 33 F6 8B D6 8B 83 E8 04 00 00 E8 ?? ?? ?? ?? 8B 40 38 85 C0 74 04 3B F8 75 21 8B D6 8B 83 E8 04 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 83 E8 04 00 00 E8 ?? ?? ?? ?? EB 04 46 4D 75 C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90510_0 {
	meta:
		name = "TCustomDBChart.CheckTimer"
		size = 130
		refs = "0011 TTimer.SetEnabled 0032 _Dn_TTimer 0037 TTimer.Create 004e TCustomDBChart.OnRefreshTimer 0059 TTimer.SetOnTimer 006e TTimer.SetInterval"
	strings:
		$1 = { 53 56 8B D8 8B 83 E4 04 00 00 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 83 BB CC 04 00 00 00 7E 61 F6 43 1C 10 75 5B 83 BB E4 04 00 00 00 75 30 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 E4 04 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 83 E4 04 00 00 E8 ?? ?? ?? ?? 69 93 CC 04 00 00 E8 03 00 00 8B 83 E4 04 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 E4 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90511_0 {
	meta:
		name = "TCustomDBChart.OnRefreshTimer"
		size = 114
		refs = "0018 TTimer.SetEnabled 0036 TListOfDataSources.Get 0040 TDataSet.GetActive 004c TDataSet.Refresh 0058 TCustomDBChart.CheckDataSet"
	strings:
		$1 = { 53 56 57 55 8B D8 83 BB E8 04 00 00 00 74 5E 33 D2 8B 83 E4 04 00 00 E8 ?? ?? ?? ?? 8B 83 E8 04 00 00 8B 78 08 4F 85 FF 7C 36 47 33 ED 8B D5 8B 83 E8 04 00 00 E8 ?? ?? ?? ?? 8B F0 8B 46 38 E8 ?? ?? ?? ?? 84 C0 74 14 8B 46 38 E8 ?? ?? ?? ?? 33 C9 8B 56 38 8B C3 E8 ?? ?? ?? ?? 45 4F 75 CD B2 01 8B 83 E4 04 00 00 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90512_0 {
	meta:
		name = "TCustomDBChart.SetRefreshInterval"
		size = 46
		refs = "000b TeeMsg_RefreshInterval 0014 _DV_DBChartException 0019 Exception.Create 001e @RaiseExcept 0029 TCustomDBChart.CheckTimer"
	strings:
		$1 = { 85 D2 7C 05 83 FA 3C 7E 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 90 CC 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90513_0 {
	meta:
		name = "TCustomDBChart.IsValidDataSource"
		size = 116
		refs = "000e _Dn_TDataSet 0013 @IsClass 001f _Dn_TDataSource 0064 TCustomAxisPanel.IsValidDataSource"
	strings:
		$1 = { 53 56 57 51 8B D9 8B FA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 15 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 04 24 80 3C 24 00 74 22 66 83 BE 42 04 00 00 00 74 26 53 8D 44 24 04 50 8B CF 8B D6 8B 86 44 04 00 00 FF 96 40 04 00 00 EB 0E 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 88 04 24 0F B6 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90514_0 {
	meta:
		name = "TCustomDBChart.CreateDataSource"
		size = 77
		refs = "000f _DV_TDBChartDataSource 0016 TDataSource.Create 0028 TDBChartDataSource.SetDataSet 0032 TCustomDBChart.DataSourceCheckDataSet 003c TCustomDBChart.DataSourceCloseDataSet"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F0 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B D8 0F B6 4D 08 8B 55 FC 8B FB 8B C7 E8 ?? ?? ?? ?? 89 77 6C C7 47 68 ?? ?? ?? ?? 89 77 74 C7 47 70 ?? ?? ?? ?? 89 77 60 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_90515_0 {
	meta:
		name = "TCustomDBChart.CheckNewDataSource"
		size = 62
		refs = "0019 TListOfDataSources.IndexOf 0028 TCustomDBChart.CreateDataSource 0035 TList.Add"
	strings:
		$1 = { 53 56 57 55 8B D9 8B FA 8B E8 8B B5 E8 04 00 00 85 F6 74 25 8B D7 8B C6 E8 ?? ?? ?? ?? 40 75 19 53 8B CF 33 D2 8B C5 E8 ?? ?? ?? ?? 8B D0 8B 85 E8 04 00 00 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90516_0 {
	meta:
		name = "TCustomDBChart.CheckDatasource"
		size = 233
		refs = "001a TChartSeries.GetDataSource 0039 _Dn_TDataSet 003e @IsClass 0054 TCustomDBChart.CheckNewDataSource 0066 TCustomDBChart.CheckDataSet 0075 _Dn_TDataSource 00bc TCustomAxisPanel.CheckDatasource 00cf TeeMsg_SeriesParentNoSelf 00d8 _Dn_ChartException 00dd Exception.Create 00e2 @RaiseExcept"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 0F 84 D8 00 00 00 3B 73 40 0F 85 B6 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 9C 00 00 00 8B C3 8B 10 FF 92 08 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 26 8B C3 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CB 8B C6 E8 ?? ?? ?? ?? EB 7A 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8B C3 E8 ?? ?? ?? ?? 83 78 38 00 74 28 8B C3 E8 ?? ?? ?? ?? 8B 50 38 B1 01 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 50 38 8B CB 8B C6 E8 ?? ?? ?? ?? EB 2F 8B D3 8B C6 E8 ?? ?? ?? ?? EB 24 8B D3 8B C6 E8 ?? ?? ?? ?? EB 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90517_0 {
	meta:
		name = "TCustomDBChart.CheckDataSet"
		size = 15
		refs = "000a TCustomDBChart.RefreshDataSet"
	strings:
		$1 = { 80 B8 C8 04 00 00 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90519_0 {
	meta:
		name = "TCustomDBChart.DataSourceCloseDataSet"
		size = 90
		refs = "0033 TChartSeries.GetDataSource"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B D8 80 BB C8 04 00 00 00 74 41 8B 83 B4 03 00 00 8B 78 08 4F 85 FF 7C 33 47 33 F6 8B EB 8B 85 B4 03 00 00 8B 40 04 8B 04 B0 E8 ?? ?? ?? ?? 3B 04 24 75 14 8B 85 B4 03 00 00 8B 40 04 8B 04 B0 8B 10 FF 92 08 01 00 00 46 4F 75 D0 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90520_0 {
	meta:
		name = "AddToSeries"
		size = 644
		refs = "0023 TLabelsList.IndexOfLabel 0089 AddToSeries 0178 TChartSeries.SetValueColor 01a7 TChartValueLists.Get 01fb TChartSeries.AddY 0219 TChartSeries.AddX"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F8 80 7F 1B 00 0F 84 6C 01 00 00 8B 45 08 8B 50 FC 8B 07 8B 40 7C B1 01 E8 ?? ?? ?? ?? 8B D8 83 FB FF 75 4B 0F B6 47 1B 3C 02 75 11 8B 45 08 33 D2 89 50 F0 C7 40 F4 00 00 F0 3F EB 0E 3C 05 75 0A 8B 45 08 C7 40 EC 01 00 00 00 8B 45 08 FF 70 F4 FF 70 F0 8B 45 08 8B 48 EC 8B 45 08 8B 50 FC 8B 07 8B 18 FF 93 F4 00 00 00 E9 FE 01 00 00 0F B6 47 1B 83 F8 05 0F 87 F1 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 47 05 8B 40 54 DD 04 D8 8B 45 08 DC 40 F0 8B 47 05 8B 40 54 DD 1C D8 9B E9 B4 01 00 00 8B 47 05 8B 40 54 DD 04 D8 D8 05 ?? ?? ?? ?? 8B 47 05 8B 40 54 DD 1C D8 9B E9 96 01 00 00 8B 45 08 DD 40 F0 8B 47 05 8B 40 54 DC 1C D8 9B DF E0 9E 0F 86 7D 01 00 00 8B 47 05 8B 40 54 8B 55 08 8B 4A F0 89 0C D8 8B 4A F4 89 4C D8 04 E9 62 01 00 00 8B 45 08 DD 40 F0 8B 47 05 8B 40 54 DC 1C D8 9B DF E0 9E 0F 83 49 01 00 00 8B 47 05 8B 40 54 8B 55 08 8B 4A F0 89 0C D8 8B 4A F4 89 4C D8 04 E9 2E 01 00 00 8B 47 05 8B 40 54 DD 04 D8 8B 45 08 DC 40 F0 8B 47 05 8B 40 54 DD 1C D8 9B 8B 37 8B C6 8B D3 8B 08 FF 91 B0 00 00 00 8B C8 41 8B C6 8B D3 E8 ?? ?? ?? ?? E9 F6 00 00 00 8B 07 8B 80 98 00 00 00 89 45 F8 8B 45 F8 8B 70 08 4E 83 EE 02 7C 37 46 C7 45 FC 02 00 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 83 7B 50 00 74 0E 8B 43 50 8B 10 FF 52 68 DD 5B 30 9B EB 08 33 C0 89 43 30 89 43 34 FF 45 FC 4E 75 D1 8B 37 8B 86 68 01 00 00 83 78 48 00 75 42 80 7F 04 00 74 1E 8B 45 08 FF 70 F4 FF 70 F0 8B 45 08 8B 48 EC 8B 45 08 8B 50 FC 8B C6 E8 ?? ?? ?? ?? EB 76 8B 45 08 FF 70 F4 FF 70 F0 8B 45 08 8B 48 EC 8B 45 08 8B 50 FC 8B C6 E8 ?? ?? ?? ?? EB 58 80 7F 04 00 74 2A 8B 45 08 FF 70 E4 FF 70 E0 8B 45 08 FF 70 F4 FF 70 F0 8B 45 08 8B 48 EC 8B 45 08 8B 50 FC 8B C6 8B 18 FF 93 00 01 00 00 EB 28 8B 45 08 FF 70 F4 FF 70 F0 8B 45 08 FF 70 E4 FF 70 E0 8B 45 08 8B 48 EC 8B 45 08 8B 50 FC 8B C6 8B 18 FF 93 00 01 00 00 5F 5E 5B 59 59 5D C3 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_90521_0 {
	meta:
		name = "GetFieldValue"
		size = 109
		refs = "0012 GetFieldValue 0033 @VarToReal 0059 @VarClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 4A 04 75 1B 8D 55 E8 8B C3 8B 08 FF 91 90 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? DD 5D F8 9B EB 0B 8B C3 8B 10 FF 52 68 DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90522_0 {
	meta:
		name = "AddSingleRecord"
		size = 254
		refs = "000c AddSingleRecord 003e TeeExtractField 005d @UStrLAsg 008b TDataSet.FieldByName 0094 GetFieldValue 00ce AddToSeries 00ec @UStrClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 58 DC 8B 5B 16 85 DB 0F 8E B4 00 00 00 BE 01 00 00 00 8D 4D FC 8B 45 08 8B 40 DC 8B 40 05 8B 40 48 8B D6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 DC 8B 00 83 B8 80 00 00 00 00 75 0E 8B 45 08 83 C0 FC 8B 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 17 8B 45 08 33 D2 89 50 F0 89 50 F4 8B 45 08 C7 40 EC 00 00 00 20 EB 45 8B 45 08 8B 40 08 8B 40 F8 8B 55 FC E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 8B 45 08 DD 58 F0 9B 8B C7 8B 10 FF 92 B0 00 00 00 84 C0 74 0C 8B 45 08 C7 40 EC FF FF FF 1F EB 0A 8B 45 08 C7 40 EC 00 00 00 20 8B 45 08 50 8B 45 08 8B 40 DC E8 ?? ?? ?? ?? 59 46 4B 0F 85 51 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90523_0 {
	meta:
		name = "CalcXPos"
		size = 800
		refs = "0017 CalcXPos 0024 @UStrClr 003b DecodeDate 008c DecodeTime 0099 @UStrLAsg 00a4 @TRUNC 00d2 CurrencyString 00da FormatDateTime 00e4 @UStrAsg 0145 DateToWeek 014d TeeStr 0170 @UStrCatN 0183 DayOfWeek 01bd EncodeDate 027c @UStrArrayClr 028f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0D 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 08 FF 70 E4 FF 70 E0 8D 4D DA 8D 55 DC 8D 45 DE E8 ?? ?? ?? ?? 8B 45 08 8B 40 DC 0F B6 40 1A 83 F8 06 0F 87 14 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 FF 70 E4 FF 70 E0 8D 45 D2 50 8D 4D D4 8D 55 D6 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 DD 40 E0 E8 ?? ?? ?? ?? 89 45 A8 89 55 AC DF 6D A8 0F B7 45 D8 89 45 A4 DB 45 A4 D8 35 ?? ?? ?? ?? DE C1 DD 5D C8 9B FF 75 CC FF 75 C8 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C3 8B 55 F8 E8 ?? ?? ?? ?? E9 79 01 00 00 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 DD 40 E0 E8 ?? ?? ?? ?? 89 45 A8 89 55 AC DF 6D A8 DD 5D C0 9B FF 75 C4 FF 75 C0 8D 4D F0 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 8B 55 F0 E8 ?? ?? ?? ?? E9 2E 01 00 00 8B 45 08 FF 70 E4 FF 70 E0 8D 45 DE E8 ?? ?? ?? ?? 8D 55 A0 E8 ?? ?? ?? ?? FF 75 A0 68 ?? ?? ?? ?? 8D 55 9C 0F B7 45 DE E8 ?? ?? ?? ?? FF 75 9C 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 ED 00 00 00 8B 45 08 FF 70 E4 FF 70 E0 E8 ?? ?? ?? ?? 0F B7 C0 8B 15 ?? ?? ?? ?? 8B 94 82 80 00 00 00 8B C3 E8 ?? ?? ?? ?? E9 C3 00 00 00 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 B9 01 00 0F B7 55 DC 0F B7 45 DE E8 ?? ?? ?? ?? DD 5D B8 9B FF 75 BC FF 75 B8 8D 4D E8 8B 15 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B C3 8B 55 E8 E8 ?? ?? ?? ?? EB 7E 0F B7 45 DC 48 B9 03 00 00 00 99 F7 F9 40 8D 55 98 E8 ?? ?? ?? ?? FF 75 98 68 ?? ?? ?? ?? 8D 55 94 0F B7 45 DE E8 ?? ?? ?? ?? FF 75 94 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 43 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 B9 01 00 66 BA 01 00 0F B7 45 DE E8 ?? ?? ?? ?? DD 5D B0 9B FF 75 B4 FF 75 B0 8D 4D E0 8B 15 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B C3 8B 55 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 94 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 64 00 64 00 20 00 68 00 68 00 3A 00 6E 00 6E 00 00 00 00 00 00 00 C0 41 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 64 00 2F 00 4D 00 4D 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4D 00 4D 00 4D 00 2F 00 79 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 79 00 79 00 79 00 79 00 00 00 00 00 }
	condition:
		$1
}

rule function_90524_0 {
	meta:
		name = "ProcessRecord"
		size = 376
		refs = "0016 ProcessRecord 0039 TField.GetDisplayText 0043 @UStrClr 005d CalcXPos 0069 @UStrLAsg 0129 GetFieldValue 0140 AddToSeries 0149 AddSingleRecord 016d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 D2 89 55 D8 89 55 FC 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 80 78 1A 07 75 20 8B 5D DC 8B 5B 0A 85 DB 74 0C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? EB 2E 8D 45 FC E8 ?? ?? ?? ?? EB 24 8B 45 DC 8B 40 0A 8B 10 FF 52 68 DD 5D E0 9B 55 8D 45 D8 E8 ?? ?? ?? ?? 59 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 DC 80 78 1B 00 74 09 C7 45 EC 00 00 00 20 EB 4A 8B 5D DC 8B 5B 0E 85 DB 74 0C 8B C3 8B 10 FF 52 70 89 45 EC EB 34 8B 45 DC 83 78 16 01 75 24 8B 45 DC 83 78 12 00 74 1B 8B 45 DC 8B 40 12 8B 10 FF 92 B0 00 00 00 84 C0 74 09 C7 45 EC FF FF FF 1F EB 07 C7 45 EC 00 00 00 20 8B 45 DC 83 78 16 01 75 75 8B 45 08 80 78 F7 00 75 1A 8B 45 DC 83 78 0A 00 75 11 8D 45 FC 8B 55 DC 8B 52 05 8B 52 48 E8 ?? ?? ?? ?? 8B 45 DC 8B 00 8B 80 68 01 00 00 8B 58 50 85 DB 74 0D 8B C3 8B 10 FF 52 68 DD 5D E0 9B EB 08 33 C0 89 45 E0 89 45 E4 8B 5D DC 8B 5B 12 85 DB 74 0D 8B C3 E8 ?? ?? ?? ?? DD 5D F0 9B EB 08 33 C0 89 45 F0 89 45 F4 55 8B 45 DC E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90525_0 {
	meta:
		name = "GetDataSet"
		size = 72
		refs = "0006 TChartSeries.GetDataSource 000c _Dn_TDataSet 0011 @IsClass 002b _Dn_TDataSource"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? 8B 40 38 EB 02 33 C0 5B C3 }
	condition:
		$1
}

rule function_90526_0 {
	meta:
		name = "IsDataSet"
		size = 67
		refs = "000a GetDataSet 0021 TChartSeries.GetDataSource 0027 _Dn_TDataSet 002c @IsClass"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 85 C0 74 29 8B 55 08 8B 52 08 3B 42 F8 0F 94 C3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 08 88 42 F7 EB 02 33 DB 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_90527_0 {
	meta:
		name = "GetAField"
		size = 31
		refs = "0018 TDataSet.FieldByName"
	strings:
		$1 = { 55 8B EC 53 8B D8 85 DB 75 05 33 C0 5B 5D C3 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_90528_0 {
	meta:
		name = "GetAFieldPrefix"
		size = 151
		refs = "0013 @UStrAddRef 001b GetAFieldPrefix 0031 TeeGetDBPart 003b @UStrAsg 005b @UStrLAsg 0067 GetAField 0084 @UStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 83 3B 00 74 1B 8D 4D F4 8B 55 FC B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90529_0 {
	meta:
		name = "AddList"
		size = 656
		refs = "0015 AddList 0029 @DynArrayLength 003f TDBChartSeriesList 0044 @DynArraySetLength 008d TeeNumFields 0097 GetDataSet 00b5 GetAFieldPrefix 00c1 StrToDBOrder 00d2 StrToDBGroup 00e4 GetAField 00fc TeeExtractField 0120 UpperCase 012b @UStrLAsg 0138 @UStrEqual 01cb TChartValueLists.Get 0201 @UStrArrayClr 0214 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 08 8B 40 FC E8 ?? ?? ?? ?? 40 50 8B 45 08 8B 40 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 40 08 8B 40 FC E8 ?? ?? ?? ?? 8B D0 03 C0 03 C0 03 C0 2B C2 8B 55 08 8B 52 08 8B 52 FC 8D 5C 82 E4 8B C6 89 03 0F B6 80 6C 01 00 00 88 43 04 8B 03 8B B0 60 01 00 00 89 73 05 8B 46 48 E8 ?? ?? ?? ?? 89 43 16 8B 03 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 84 43 01 00 00 8B 3B 55 8D 55 F4 8B 87 80 00 00 00 E8 ?? ?? ?? ?? 59 89 43 0A 8B 45 F4 E8 ?? ?? ?? ?? 88 43 09 80 7B 09 00 75 0D 8B 45 F4 E8 ?? ?? ?? ?? 88 43 1A EB 04 C6 43 1A 07 55 8B 47 64 E8 ?? ?? ?? ?? 59 89 43 0E 55 8D 4D E8 8B 43 05 8B 40 48 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 F8 E8 ?? ?? ?? ?? 59 89 43 12 83 7D F8 00 0F 84 8B 00 00 00 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 C6 43 1B 01 E9 A4 00 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 C6 43 1B 02 E9 8C 00 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 06 C6 43 1B 03 EB 77 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 06 C6 43 1B 04 EB 62 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 06 C6 43 1B 05 EB 4D C6 43 1B 00 EB 47 C6 43 1B 00 8B 87 98 00 00 00 8B 40 08 48 85 C0 7C 35 40 89 45 EC C7 45 F0 00 00 00 00 8B 87 98 00 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B F0 3B 73 05 74 0D 55 8B 46 48 E8 ?? ?? ?? ?? 59 89 46 50 FF 45 F0 FF 4D EC 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 55 00 4D 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 4F 00 55 00 4E 00 54 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 49 00 47 00 48 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 4C 00 4F 00 57 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 56 00 47 00 00 00 }
	condition:
		$1
}

rule function_90530_0 {
	meta:
		name = "FillTempSeriesList"
		size = 159
		refs = "000e TDBChartSeriesList 0013 @DynArrayClear 0028 AddList 0034 TChartSeries.GetDataSource 0078 IsDataSet"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 83 C0 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 83 78 F0 00 74 27 55 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 8B 55 08 3B 42 F8 8B 45 08 0F 94 40 F7 EB 53 8B 45 08 8B 40 EC 8B 80 B4 03 00 00 8B 40 08 8B F0 4E 85 F6 7C 3D 46 33 FF 8B 45 08 8B 40 EC 8B 80 B4 03 00 00 8B 40 04 8B 04 B8 8B D8 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 15 8B 83 60 01 00 00 83 78 48 00 74 09 55 8B C3 E8 ?? ?? ?? ?? 59 47 4E 75 C6 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_90531_0 {
	meta:
		name = "TraverseDataSet"
		size = 646
		refs = "0012 TraverseDataSet 0023 TDataSet.DisableControls 005b TDataSet.First 00a7 @DynArrayLength 00d1 TChartSeries.GetDataSource 00eb ProcessRecord 00fd TDataSet.Next 010c @HandleOnException 0114 _Dn_EAbort 011d @DoneExcept 01ba TChartSeries.SetValueColor 01d7 TChartSeries.SortByLabels 020a TDataSet.GotoBookmark 022e @HandleFinally 0250 TDataSet.EnableControls 026e TArray<System.Byte> 0273 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 08 8B 40 F8 8B 08 FF 91 78 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? E9 C4 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 EC 66 83 B8 DA 04 00 00 00 74 1E 8B 45 08 8B 58 EC 8B 45 08 8B 48 F8 8B 45 08 8B 50 EC 8B 83 DC 04 00 00 FF 93 D8 04 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 44 46 C7 45 F8 00 00 00 00 8B 5D F8 8B C3 03 DB 03 DB 03 DB 2B D8 8B 45 08 8B 40 FC 8B 04 98 E8 ?? ?? ?? ?? 8B 55 08 3B 42 F8 75 13 8B 45 08 50 8B 45 08 8B 40 FC 8D 04 98 E8 ?? ?? ?? ?? 59 FF 45 F8 4E 75 C4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 80 B8 A9 00 00 00 00 0F 84 29 FF FF FF 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 94 00 00 00 46 C7 45 F8 00 00 00 00 8B 45 F8 8B D0 03 C0 03 C0 03 C0 2B C2 8B 55 08 8B 52 FC 8D 1C 82 80 7B 1B 05 75 4F 8B 03 8B 80 A0 00 00 00 8B 40 04 48 85 C0 7C 3F 40 89 45 F4 33 FF 8B 03 8B D7 8B 08 FF 91 B0 00 00 00 89 45 F0 DB 45 F0 8B 43 05 8B 40 54 DC 3C F8 8B 43 05 8B 40 54 DD 1C F8 9B 8B 03 B9 00 00 00 20 8B D7 E8 ?? ?? ?? ?? 47 FF 4D F4 75 C7 80 7B 1B 00 74 11 80 7B 09 00 74 0B 0F B6 53 09 8B 03 E8 ?? ?? ?? ?? FF 45 F8 4E 0F 85 74 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 FC 8B 08 FF 91 74 02 00 00 C3 E9 ?? ?? ?? ?? EB E7 C3 E9 ?? ?? ?? ?? EB B6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90532_0 {
	meta:
		name = "TCustomDBChart.RefreshDataSet"
		size = 601
		refs = "001b TCustomDBChart.RefreshDataSet 0039 TDataSet.GetActive 0054 TDBChartSeriesList 0059 @DynArrayClear 0071 FillTempSeriesList 007a @DynArrayLength 0087 Screen 00ad TScreen.SetCursor 010c TraverseDataSet 0158 TChartSeries.GetDataSource 016c ProcessRecord 019c @CallDynaInst 01b1 TChartSeries.RefreshSeries 01fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 4D F0 89 55 F8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 80 B8 E0 04 00 00 00 0F 85 FA 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 EA 01 00 00 8B 45 EC C6 80 E0 04 00 00 01 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 F7 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 8E 7C 01 00 00 A1 ?? ?? ?? ?? 8B 00 0F B7 40 4C 66 89 45 EA 8B 45 EC 80 B8 D0 04 00 00 00 74 10 A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 8B 45 EC 0F B6 80 99 02 00 00 88 45 E9 8B 45 EC C6 80 99 02 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 1F 47 33 DB 8B C3 03 C0 03 C0 03 C0 2B C3 8B 55 FC 8B 04 82 8B 10 FF 92 08 01 00 00 43 4F 75 E4 80 7D F7 00 74 09 55 E8 ?? ?? ?? ?? 59 EB 62 8B 45 EC 66 83 B8 DA 04 00 00 00 74 15 8B 5D EC 8B 4D F8 8B 55 EC 8B 83 DC 04 00 00 FF 93 D8 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 31 47 33 DB 8B F3 03 F6 03 F6 03 F6 2B F3 8B 45 FC 8B 04 B0 E8 ?? ?? ?? ?? 8B 40 38 3B 45 F8 75 0D 55 8B 45 FC 8D 04 B0 E8 ?? ?? ?? ?? 59 43 4F 75 D2 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 35 47 33 DB 8B C3 03 C0 03 C0 03 C0 2B C3 8B 55 FC 8B 04 82 66 BE EA FF E8 ?? ?? ?? ?? 8B C3 03 C0 03 C0 03 C0 2B C3 8B 55 FC 8B 04 82 E8 ?? ?? ?? ?? 43 4F 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 0F B6 55 E9 88 90 99 02 00 00 8B 45 EC 8B 10 FF 92 9C 00 00 00 8B 45 EC 80 B8 D0 04 00 00 00 74 10 A1 ?? ?? ?? ?? 8B 00 0F B7 55 EA E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC C6 80 E0 04 00 00 00 C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90533_0 {
	meta:
		name = "TCustomDBChart.RefreshData"
		size = 55
		refs = "001f TListOfDataSources.Get 002b TCustomDBChart.RefreshDataSet"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 E8 04 00 00 8B 70 08 4E 85 F6 7C 20 46 33 FF 8B D7 8B 83 E8 04 00 00 E8 ?? ?? ?? ?? 8B 50 38 33 C9 8B C3 E8 ?? ?? ?? ?? 47 4E 75 E3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90534_0 {
	meta:
		name = "FillDataSetFields"
		size = 137
		refs = "0010 TFields.GetCount 0036 TFields.GetField 0050 TFieldDefs.Update 0071 TFieldDefs.GetFieldDef"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 85 C0 7E 31 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 58 43 33 F6 8B 45 FC 8B 40 38 8B D6 E8 ?? ?? ?? ?? 8B 50 40 8B 45 0C FF 55 08 46 4B 75 E6 EB 39 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 40 08 8B 58 08 4B 85 DB 7C 1D 43 33 F6 8B 45 FC 8B 40 40 8B D6 E8 ?? ?? ?? ?? 8B 50 0C 8B 45 0C FF 55 08 46 4B 75 E6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_90535_0 {
	meta:
		name = "TCustomDBChart.FillSeriesSourceItems"
		size = 107
		refs = "0009 TChartSeries.GetDataSource 001a _Dn_TDataSource 001f @IsClass 0038 FillDataSetFields 0047 _Dn_TDataSet"
	strings:
		$1 = { 55 8B EC 53 8B DA 8B C3 E8 ?? ?? ?? ?? 85 C0 74 55 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B 40 38 E8 ?? ?? ?? ?? EB 28 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_90536_0 {
	meta:
		name = "TCustomDBChart.FillValueSourceItems"
		size = 112
		refs = "0010 TChartSeries.GetDataSource 0021 _Dn_TDataSet 0026 @IsClass 0037 _Dn_TDataSource 0054 @CallDynaInst 0065 TCustomChart.FillValueSourceItems"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 5F 28 8B C3 E8 ?? ?? ?? ?? 85 C0 74 51 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 FF 75 0C FF 75 08 8B 57 28 8B C6 66 BE A6 FF E8 ?? ?? ?? ?? EB 0F FF 75 0C FF 75 08 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_90537_0 {
	meta:
		name = "TCustomDBChart.Assign"
		size = 78
		refs = "000b _DV_TCustomDBChart 0010 @IsClass 0030 TCustomDBChart.SetRefreshInterval 0046 TCustomChart.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 8B FE 0F B6 87 C8 04 00 00 88 83 C8 04 00 00 8B 97 CC 04 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 87 D0 04 00 00 88 83 D0 04 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90538_0 {
	meta:
		name = "DateToWeek"
		size = 132
		refs = "0010 DayOfWeek 0030 DateToWeek 004d DecodeDate 0061 EncodeDate 0069 @TRUNC 006e @_lldiv"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 0F B7 C0 83 E8 02 83 C0 07 B9 07 00 00 00 99 F7 F9 89 55 F8 DB 45 F8 DC 6D 08 D8 05 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? DD 5D 08 9B FF 75 0C FF 75 08 8D 4D FC 8D 55 FE 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 07 0F B7 03 66 B9 01 00 66 BA 01 00 E8 ?? ?? ?? ?? DC 6D 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 5B 59 59 5D C2 08 00 00 00 00 00 E0 40 00 00 80 40 }
	condition:
		$1
}

rule function_90539_0 {
	meta:
		name = "DateToWeekOld"
		size = 359
		refs = "001c DecodeDate"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC FF 75 0C FF 75 08 8D 4D FA 8D 55 F8 8D 45 F6 E8 ?? ?? ?? ?? 66 83 7D F8 03 73 39 0F B7 45 F8 83 C0 09 69 C0 99 00 00 00 83 C0 02 B9 05 00 00 00 33 D2 F7 F1 8B D8 0F B7 45 F6 48 69 C0 B5 05 00 00 85 C0 79 03 83 C0 03 C1 F8 02 66 03 D8 66 03 5D FA EB 2E 0F B7 45 F8 83 E8 03 69 C0 99 00 00 00 83 C0 02 B9 05 00 00 00 99 F7 F9 8B D8 0F B7 45 F6 69 C0 B5 05 00 00 C1 E8 02 66 03 D8 66 03 5D FA 0F B7 75 F6 8B C6 48 69 C8 B5 05 00 00 85 C9 79 03 83 C1 03 C1 F9 02 66 81 C1 36 01 0F B7 C1 83 E8 00 BF 07 00 00 00 99 F7 FF 66 2B CA 66 3B CB 76 47 83 EE 02 69 CE B5 05 00 00 85 C9 79 03 83 C1 03 C1 F9 02 66 81 C1 36 01 0F B7 C1 83 E8 00 BE 07 00 00 00 99 F7 FE 66 2B CA 0F B7 C3 0F B7 D1 2B C2 B9 07 00 00 00 99 F7 F9 40 0F B7 55 F6 4A 8B 4D FC 66 89 11 EB 54 0F B7 45 F6 69 F0 B5 05 00 00 C1 EE 02 66 81 C6 36 01 0F B7 C6 83 E8 00 BF 07 00 00 00 99 F7 FF 66 2B F2 66 3B F3 76 1D 0F B7 C3 0F B7 D1 2B C2 B9 07 00 00 00 99 F7 F9 40 8B 55 FC 0F B7 4D F6 66 89 0A EB 0F 66 B8 01 00 0F B7 55 F6 42 8B 4D FC 66 89 11 0F B7 C0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_90540_0 {
	meta:
		name = "TeeFieldType"
		size = 136
		refs = "000c TeeFieldType 0073 TeeOnGetFieldType"
	strings:
		$1 = { 51 0F B6 D0 83 FA 33 77 64 0F B6 92 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 00 03 01 01 01 00 01 01 01 02 02 02 00 00 01 00 03 00 03 00 00 00 00 03 03 01 00 00 00 00 00 00 00 00 00 00 02 01 03 03 02 00 01 01 01 01 00 00 00 00 00 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C6 04 24 00 EB 10 C6 04 24 01 EB 0A C6 04 24 02 EB 04 C6 04 24 03 83 3D ?? ?? ?? ?? 00 74 08 8B D4 FF 15 ?? ?? ?? ?? 0F B6 04 24 5A C3 }
	condition:
		$1
}

rule function_90541_0 {
	meta:
		name = "TeeGetDBPart"
		size = 240
		refs = "0019 @UStrAddRef 0021 TeeGetDBPart 002e @UStrClr 0044 @UStrCopy 0051 @UStrEqual 0065 @UStrDelete 0072 Pos 00cb @UStrArrayClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 50 B9 01 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5E 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 39 83 FF 01 75 13 56 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 21 83 FF 02 75 1C 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 56 8B CF 2B CB 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_90542_0 {
	meta:
		name = "StrToDBGroup"
		size = 408
		refs = "0013 @UStrAddRef 001b StrToDBGroup 002c UpperCase 0037 @UStrLAsg 0044 @UStrEqual 00d8 @UStrArrayClr 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 33 DB EB 74 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 01 EB 61 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 02 EB 4E 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 03 EB 3B 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 04 EB 28 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 05 EB 15 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 06 EB 02 B3 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 4F 00 55 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 41 00 59 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 57 00 45 00 45 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 45 00 45 00 4B 00 44 00 41 00 59 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 4F 00 4E 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 51 00 55 00 41 00 52 00 54 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 59 00 45 00 41 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_90543_0 {
	meta:
		name = "StrToDBOrder"
		size = 196
		refs = "0013 @UStrAddRef 001b StrToDBOrder 002c UpperCase 0037 @UStrLAsg 0044 @UStrEqual 0079 @UStrArrayClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 01 EB 15 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 02 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 4F 00 52 00 54 00 41 00 53 00 43 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 53 00 4F 00 52 00 54 00 44 00 45 00 53 00 00 00 }
	condition:
		$1
}

rule function_90549_0 {
	meta:
		name = "TBaseSourceEditor.CBSourcesChange"
		size = 17
		altNames = "TDBChartCrossTabEditor.CBActiveClick TDBChartCrossTabEditor.CBAggChange TDBChartCrossTabEditor.CBCaseClick TDBChartCrossTabEditor.CBHideClick TDBChartEditor.CBLabelsFieldChange TDBChartSourceEditor.OnChangeSources TDBChartSumEditor.CBSortTypeChange TTeeFuncEditor.CBValuesChange"
	strings:
		$1 = { B2 01 8B 80 A0 03 00 00 8B 08 FF 91 80 00 00 00 C3 }
	condition:
		$1
}

rule function_90550_0 {
	meta:
		name = "TDBChartEditor.CBValuesChange"
		size = 176
		refs = "0010 TDBChartEditor.CBValuesChange 0048 TBaseDBChartEditor.DataSet 004e TDataSet.FindField 005d TeeFieldType 009e @UStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 92 F8 00 00 00 40 74 56 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D FC 8B 86 B4 02 00 00 8B 38 FF 57 0C 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B F8 85 FF 74 0D 0F B6 47 48 E8 ?? ?? ?? ?? 3C 01 74 04 33 D2 EB 02 B2 01 8B 46 0C 8B 84 83 04 04 00 00 8B 08 FF 91 FC 00 00 00 B2 01 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90551_0 {
	meta:
		name = "TDBChartEditor.SetTextItemIndex"
		size = 109
		refs = "000d TDBChartEditor.SetTextItemIndex 001d TControl.GetText 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 B4 02 00 00 8B 08 FF 51 54 8B F0 8B C3 8B 10 FF 92 F8 00 00 00 3B F0 74 0C 8B D6 8B C3 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90552_0 {
	meta:
		name = "TDBChartEditor.FormShow"
		size = 772
		refs = "0013 TDBChartEditor.FormShow 0020 TBaseDBChartEditor.FormShow 005c TChartValueLists.Get 0067 @UStrLAsg 0070 _Dn_TComboFlat 0075 TComboFlat.Create 008e TControl.SetLeft 00a6 TControl.SetHelpContext 00b6 TControl.SetWidth 00df TControl.SetTop 00ef TDBChartEditor.CBValuesChange 0110 TControl.SetVisible 0119 _Dn_TLabel 011e TCustomLabel.Create 0130 TCustomLabel.SetAlignment 0164 @UStrCat3 016e TControl.SetText 01c5 TFont.SetStyle 01ce _Dn_TCheckBox 01d3 TCustomCheckBox.Create 0225 TeeMsg_DateTime 0238 TControl.GetText 0245 @UStrCat 0250 TCustomForm.GetCanvas 0256 TCustomCanvas.TextWidth 0280 TDBChartEditor.CBLabelsFieldChange 0291 TDBChartEditor.SetFields 02b6 @UStrClr 02cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 83 A8 03 00 00 85 C0 0F 84 63 02 00 00 89 45 F8 8B 45 F8 8B 80 98 00 00 00 8B 40 08 48 85 C0 0F 8C 44 02 00 00 40 89 45 F4 33 F6 8B 45 F8 8B 80 98 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 50 20 8D 45 FC E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 BC B3 44 04 00 00 8B 83 C0 03 00 00 8B 50 48 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 8B 08 FF 91 54 01 00 00 BA B2 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 8B 50 50 8B C7 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 8B 50 4C 83 C2 02 03 50 54 8B 84 B3 44 04 00 00 8B 40 54 83 C0 04 0F AF C6 40 03 D0 8B C7 E8 ?? ?? ?? ?? 89 9F 94 02 00 00 C7 87 90 02 00 00 ?? ?? ?? ?? 89 77 0C 8B 93 B8 03 00 00 8B C7 8B 08 FF 91 84 00 00 00 83 7D FC 00 0F 95 C2 8B C7 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 BC B3 C4 03 00 00 B2 01 8B C7 E8 ?? ?? ?? ?? 8B 93 B8 03 00 00 8B C7 8B 08 FF 91 84 00 00 00 8B 84 B3 44 04 00 00 8B 50 4C 83 C2 04 8B C7 E8 ?? ?? ?? ?? 8D 45 F0 B9 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 0F 95 C2 8B C7 E8 ?? ?? ?? ?? B2 01 8B C7 8B 08 FF 51 78 8B 83 BC 03 00 00 8B 50 48 03 50 50 2B 57 50 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 98 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 3B 82 60 01 00 00 75 0F 8B 47 6C 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 BC B3 04 04 00 00 8B 93 B8 03 00 00 8B C7 8B 08 FF 91 84 00 00 00 8B 83 C0 03 00 00 8B 50 48 03 50 50 83 C2 06 8B C7 E8 ?? ?? ?? ?? 8B 84 B3 44 04 00 00 8B 50 4C 8B C7 E8 ?? ?? ?? ?? BA B2 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B C7 E8 ?? ?? ?? ?? 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 89 77 0C 83 7D FC 00 0F 95 C2 8B C7 E8 ?? ?? ?? ?? 89 9F 1C 01 00 00 C7 87 18 01 00 00 ?? ?? ?? ?? 46 FF 4D F4 0F 85 C2 FD FF FF 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 77 00 77 00 77 00 00 00 }
	condition:
		$1
}

rule function_90553_0 {
	meta:
		name = "AddField"
		size = 158
		refs = "0011 TeeFieldType"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 55 FF 8B F8 0F B6 45 FF E8 ?? ?? ?? ?? 2C 02 72 04 74 61 EB 7B 8B 45 08 8B 40 08 8B 40 FC 8B 80 C0 03 00 00 8B 80 B4 02 00 00 8B D7 8B 08 FF 51 38 8B 45 08 8B 40 08 8B 40 FC 8B 80 A8 03 00 00 8B 80 98 00 00 00 8B 58 08 4B 85 DB 7C 42 43 33 F6 8B 45 08 8B 40 08 8B 40 FC 8B 84 B0 44 04 00 00 8B 80 B4 02 00 00 8B D7 8B 08 FF 51 38 46 4B 75 DF EB 1C 8B 45 08 8B 40 08 8B 40 FC 8B 80 C0 03 00 00 8B 80 B4 02 00 00 8B D7 8B 08 FF 51 38 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90554_0 {
	meta:
		name = "FillFields"
		size = 165
		refs = "000d TBaseDBChartEditor.DataSet 0019 TFields.GetCount 003c TFields.GetField 0054 AddField 0063 TFieldDefs.Update 007f TFieldDefs.GetFieldDef"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 8B C6 8B 40 38 E8 ?? ?? ?? ?? 85 C0 7E 3E 8B C6 8B 40 38 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 6E 47 33 DB 55 8B D3 8B 46 38 E8 ?? ?? ?? ?? 0F B6 40 48 50 8B D3 8B 46 38 E8 ?? ?? ?? ?? 8B 40 40 5A E8 ?? ?? ?? ?? 59 43 4F 75 D8 EB 41 8B 46 40 E8 ?? ?? ?? ?? 8B 46 40 8B 40 08 8B 78 08 4F 85 FF 7C 2B 47 33 DB 55 8B D3 8B 46 40 E8 ?? ?? ?? ?? 0F B6 40 25 50 8B D3 8B 46 40 E8 ?? ?? ?? ?? 8B 40 0C 5A E8 ?? ?? ?? ?? 59 43 4F 75 D8 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_90555_0 {
	meta:
		name = "TDBChartEditor.SetFields"
		size = 338
		refs = "00a5 FillFields 0109 TChartValueLists.Get"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC 8B 80 C0 03 00 00 8B 10 FF 92 04 01 00 00 8B 45 FC 8B 80 94 03 00 00 8B 10 FF 92 F8 00 00 00 40 0F 95 C2 8B 45 FC 8B 80 C0 03 00 00 8B 08 FF 91 80 00 00 00 8B 45 FC 8B 80 A8 03 00 00 8B 80 98 00 00 00 8B 70 08 4E 85 F6 7C 35 46 33 DB 8B 45 FC 8B BC 98 44 04 00 00 8B C7 8B 10 FF 92 04 01 00 00 8B 45 FC 8B 80 C0 03 00 00 8B 10 FF 52 68 8B D0 8B C7 8B 08 FF 91 80 00 00 00 43 4E 75 CE 8B 45 FC 8B 80 94 03 00 00 8B 10 FF 92 F8 00 00 00 40 74 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 98 C0 03 00 00 8B 45 FC 8B 80 A8 03 00 00 8B 90 80 00 00 00 8B 83 B4 02 00 00 8B 08 FF 51 54 8B D0 8B C3 8B 08 FF 91 FC 00 00 00 8B 45 FC 8B 80 A8 03 00 00 8B 80 98 00 00 00 89 45 F8 8B 45 F8 8B 70 08 4E 85 F6 7C 55 46 33 DB 8B 45 FC 8B BC 98 44 04 00 00 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 50 48 8B 87 B4 02 00 00 8B 08 FF 51 54 8B D0 8B C7 8B 08 FF 91 FC 00 00 00 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 50 08 8B 45 FC 8B 84 98 04 04 00 00 8B 08 FF 91 FC 00 00 00 43 4E 75 AE 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_90556_0 {
	meta:
		name = "CheckFieldIsBlank"
		size = 56
		refs = "001c TeeMsg_FieldNotFound 0025 _Dn_ChartException 002a Exception.CreateFmt 002f @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 85 DB 74 26 89 5D F8 C6 45 FC 11 8D 45 F8 50 6A 00 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_90557_0 {
	meta:
		name = "CheckValidFields"
		size = 223
		refs = "000e CheckValidFields 004d TDBChartEditor.SetTextItemIndex 0064 TControl.GetText 006c CheckFieldIsBlank 00cc @UStrArrayClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 A8 03 00 00 8B 80 98 00 00 00 8B 78 08 4F 85 FF 7C 42 47 33 DB 8B 45 08 8B 40 FC 8B 84 98 44 04 00 00 8B F0 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 F8 00 00 00 40 75 12 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 43 4F 75 C1 8B 45 08 8B 40 FC 8B 90 C0 03 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 98 C0 03 00 00 8B C3 8B 10 FF 92 F8 00 00 00 40 75 12 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_90558_0 {
	meta:
		name = "TDBChartEditor.BApplyClick"
		size = 309
		refs = "0018 TDBChartEditor.BApplyClick 003c TChartSeries.SetDataSource 0050 CheckValidFields 0075 TChartValueLists.Get 0089 TControl.GetText 0093 TChartValueList.SetValueSource 00ae TChartValueList.SetDateTime 00ce TChartSeries.SetLabelsSource 00e3 TBaseDBChartEditor.DataSet 00f3 @HandleFinally 0122 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A8 03 00 00 85 C0 0F 84 C6 00 00 00 89 45 F8 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 80 98 00 00 00 8B 78 08 4F 85 FF 7C 50 47 33 DB 8B 45 F8 8B 80 98 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 84 98 44 04 00 00 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 84 98 04 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 43 4F 75 B3 8D 55 F0 8B 45 FC 8B 80 C0 03 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 8B 45 FC 8B 80 A0 03 00 00 33 D2 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90562_0 {
	meta:
		name = "TDataSetSeriesSource.HasSeries"
		size = 148
		refs = "000c TDataSetSeriesSource.HasSeries 0019 TChartSeries.GetDataSource 001f _Dn_TDataSet 0024 @IsClass 0044 @UStrCopy 0051 @UStrEqual 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8D 45 FC 50 8B 83 60 01 00 00 8B 40 48 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_90563_0 {
	meta:
		name = "TDBChartEditor.Translate"
		size = 232
		refs = "000d TDBChartEditor.Translate 0036 :TDBChartEditor.:1 003b @DynArraySetLength 004e @DynArrayClear 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 A8 03 00 00 85 F6 74 23 8B 86 98 00 00 00 8B 40 08 40 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 0E 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 BB A8 03 00 00 00 74 34 8B 83 C0 03 00 00 8B 55 FC 89 02 8B 83 A8 03 00 00 8B 80 98 00 00 00 8B 50 08 4A 85 D2 7C 15 42 33 C0 8B 8C 83 44 04 00 00 8B 75 FC 89 4C 86 04 40 4A 75 EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90564_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_3 0009 TeeSources 000f _DV_TDataSetSeriesSource 0016 TList.RemoveItem"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92154_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_2 0009 TeeSources 000f _DV_TDBCrossTabSource 0016 TList.RemoveItem"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92193_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_3 0009 TeeSources 000f _DV_TSingleRecordSeriesSource 0016 TList.RemoveItem"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92213_0 {
	meta:
		name = "Finalization"
		size = 27
		refs = "0002 _DV_3 0009 TeeSources 000f _DV_TDBSummarySource 0016 TList.RemoveItem"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 12 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90565_0 {
	meta:
		name = "VCLTee.DBEditCh"
		size = 26
		refs = "0002 _DV_3 000a TeeSources 0010 _DV_TDataSetSeriesSource 0015 TList.Add"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92194_0 {
	meta:
		name = "VCLTee.TeeDBSourceEditor"
		size = 26
		refs = "0002 _DV_3 000a TeeSources 0010 _DV_TSingleRecordSeriesSource 0015 TList.Add"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92214_0 {
	meta:
		name = "VCLTee.TeeDBSumEdit"
		size = 26
		refs = "0002 _DV_3 000a TeeSources 0010 _DV_TDBSummarySource 0015 TList.Add"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 10 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90566_0 {
	meta:
		name = "GetChartEditClass"
		size = 63
		refs = "000a _Dn_TChartEditForm 000f TCustomForm.Create 001a TChartEditForm.SetChart 0021 TChartEditForm.CheckHelpFile 0035 TeeTranslateControl"
	strings:
		$1 = { 53 56 51 8B F2 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 64 04 00 00 89 04 24 8B D4 33 C9 8B C3 E8 ?? ?? ?? ?? 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_90567_0 {
	meta:
		name = "EditSeries"
		size = 85
		refs = "000b GetChartEditClass 0016 EditSeries 0045 TObject.Free 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 53 40 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 F8 04 00 00 8B 45 FC 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_90568_0 {
	meta:
		name = "EditSeriesMarks"
		size = 180
		refs = "0010 GetChartEditClass 001b EditSeriesMarks 0041 TPageControl.SetActivePage 0049 TChartEditForm.SetTabSeries 006c TFormTeeSeries.PageSeriesChange 00a3 TObject.Free 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 88 4D FF 8B DA 8B 53 40 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 98 F8 04 00 00 8B 45 F8 8B 90 BC 03 00 00 8B 45 F8 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 98 08 05 00 00 8B 93 BC 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 80 7D FF 00 74 11 8B 93 B4 04 00 00 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_90569_0 {
	meta:
		name = "EditSeriesDataSource"
		size = 151
		refs = "000b GetChartEditClass 0016 EditSeriesDataSource 003c TPageControl.SetActivePage 0044 TChartEditForm.SetTabSeries 0067 TFormTeeSeries.PageSeriesChange 0087 TObject.Free 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 53 40 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 F8 04 00 00 8B 45 FC 8B 90 BC 03 00 00 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 08 05 00 00 8B 93 C0 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_90570_0 {
	meta:
		name = "EditChartPage"
		size = 82
		refs = "0008 GetChartEditClass 0013 EditChartPage 0042 TObject.Free 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 FC 04 00 00 8B 45 FC 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_90571_0 {
	meta:
		name = "EditChartTitle"
		size = 98
		refs = "000b GetChartEditClass 0016 EditChartTitle 0052 TObject.Free 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 53 08 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 E4 04 00 00 8B 45 FC C7 80 FC 04 00 00 03 00 00 00 8B 45 FC 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_90572_0 {
	meta:
		name = "EditChartWall"
		size = 98
		refs = "000b GetChartEditClass 0016 EditChartWall 0052 TObject.Free 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 53 08 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 F0 04 00 00 8B 45 FC C7 80 FC 04 00 00 07 00 00 00 8B 45 FC 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_90573_0 {
	meta:
		name = "EditChartAxis"
		size = 101
		refs = "000e GetChartEditClass 0019 EditChartAxis 0055 TObject.Free 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 93 BC 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 E0 04 00 00 8B 45 FC C7 80 FC 04 00 00 02 00 00 00 8B 45 FC 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_90574_0 {
	meta:
		name = "EditDSSChart"
		size = 79
		refs = "0005 GetChartEditClass 0010 EditDSSChart 0040 TObject.Free 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 06 05 00 00 01 8B 45 FC 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_90575_0 {
	meta:
		name = "EditChartTool"
		size = 85
		refs = "000b GetChartEditClass 0016 EditChartTool 0045 TObject.Free 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 53 40 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 E8 04 00 00 8B 45 FC 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_90576_0 {
	meta:
		name = "EditChartAnimation"
		size = 85
		refs = "000b GetChartEditClass 0016 EditChartAnimation 0045 TObject.Free 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B 53 40 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 98 EC 04 00 00 8B 45 FC 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_90579_0 {
	meta:
		name = "EditChartPart"
		size = 162
		refs = "0010 EditChartPart 0041 EditChartLegend 004b EditChartAxis 0055 EditSeries 0061 EditSeriesMarks 006e EditChartTitle 009c EditChart"
	strings:
		$1 = { 53 0F B6 19 83 FB 0A 0F 87 8E 00 00 00 FF 24 9D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B 51 09 E8 ?? ?? ?? ?? 5B C3 8B 51 05 E8 ?? ?? ?? ?? 5B C3 8B 51 05 33 C9 E8 ?? ?? ?? ?? 5B C3 8B 92 70 04 00 00 E8 ?? ?? ?? ?? 5B C3 8B 92 5C 04 00 00 E8 ?? ?? ?? ?? 5B C3 8B 92 6C 04 00 00 E8 ?? ?? ?? ?? 5B C3 8B 92 68 04 00 00 E8 ?? ?? ?? ?? 5B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90582_0 {
	meta:
		name = "TGanttSeries.Create"
		size = 210
		refs = "000e @ClassCreate 001c TPointSeries.Create 0023 TChartSeries.SetHorizontal 0040 TeeMsg_ValuesGanttStart 0047 @UStrAsg 0054 TChartValueList.InitDateTime 0065 TeeMsg_ValuesGanttEnd 0071 _Dn_TChartValueList 0076 TChartValueList.Create 008c TeeMsg_ValuesGanttNextTask 00b0 TSeriesPointer.SetStyle 00bd @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 84 01 00 00 00 C6 83 4F 01 00 00 00 8B 83 A0 00 00 00 83 C0 20 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8B 83 A0 00 00 00 B2 01 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 91 D4 00 00 00 A1 ?? ?? ?? ?? 8B 00 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F0 01 00 00 8B C6 B2 01 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 F4 01 00 00 8B 83 9C 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90586_0 {
	meta:
		name = "TGanttSeries.AddGanttColor"
		size = 59
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 86 F0 01 00 00 8B 55 10 89 50 30 8B 55 14 89 50 34 FF 75 1C FF 75 18 FF 75 0C FF 75 08 8B D7 8B C6 8B 18 FF 93 00 01 00 00 5F 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_90587_0 {
	meta:
		name = "TGanttSeries.AddGantt"
		size = 35
		refs = "001b TGanttSeries.AddGanttColor"
	strings:
		$1 = { 55 8B EC FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 B9 00 00 00 20 E8 ?? ?? ?? ?? 5D C2 18 00 }
	condition:
		$1
}

rule function_90588_0 {
	meta:
		name = "GanttSampleStr"
		size = 225
		refs = "000f GanttSampleStr 003b TeeMsg_GanttSample1 0042 @UStrAsg 004c TeeMsg_GanttSample2 005d TeeMsg_GanttSample3 006e TeeMsg_GanttSample4 007f TeeMsg_GanttSample5 0090 TeeMsg_GanttSample6 00a1 TeeMsg_GanttSample7 00b2 TeeMsg_GanttSample8 00c3 TeeMsg_GanttSample9 00d4 TeeMsg_GanttSample10"
	strings:
		$1 = { 53 8B DA 83 F8 08 0F 87 C4 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 8B C3 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90589_0 {
	meta:
		name = "TGanttSeries.AddSampleValues"
		size = 352
		refs = "0015 TGanttSeries.AddSampleValues 0027 TChartSeries.RandomValue 0061 Date 00c9 GanttSampleStr 00d3 TGanttSeries.AddGantt 0146 @UStrClr 014c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 DB 89 5D CC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 14 00 00 00 8B 03 E8 ?? ?? ?? ?? 83 C0 0A 8B D6 4A 3B C2 7E 02 8B C2 85 C0 0F 8C F6 00 00 00 40 89 45 E4 C7 45 FC 00 00 00 00 BA 05 00 00 00 8B 03 E8 ?? ?? ?? ?? 89 45 E0 DB 45 E0 DB 7D D4 9B E8 ?? ?? ?? ?? 8B 45 FC 8D 04 40 89 45 D0 DB 45 D0 DE C1 DB 6D D4 DE C1 DD 5D F0 9B BA 10 00 00 00 8B 03 E8 ?? ?? ?? ?? 89 45 E0 DB 45 E0 DD 45 F0 D8 05 ?? ?? ?? ?? DE C1 DD 5D E8 9B 8B 45 FC B9 0A 00 00 00 99 F7 F9 8B F2 FF 75 F4 FF 75 F0 FF 75 EC FF 75 E8 89 75 E0 DB 45 E0 83 C4 F8 DD 1C 24 9B 8D 55 CC 8B C6 E8 ?? ?? ?? ?? 8B 55 CC 8B C3 E8 ?? ?? ?? ?? 8B F0 8B CE 49 85 C9 7C 49 41 33 D2 8B 83 F4 01 00 00 8B 40 54 DD 04 D0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 2A DD 45 F0 8B 83 F0 01 00 00 8B 40 54 DC 1C D0 9B DF E0 9E 76 15 89 75 E0 DB 45 E0 8B 83 F4 01 00 00 8B 40 54 DD 1C D0 9B EB 04 42 49 75 BA FF 45 FC FF 4D E4 0F 85 15 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 10 41 00 00 80 BF }
	condition:
		$1
}

rule function_90590_0 {
	meta:
		name = "TGanttSeries.ClickedPointer"
		size = 88
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 0C 3B 75 FC 7C 34 8B 83 F0 01 00 00 8B 40 54 FF 74 F8 04 FF 34 F8 8B C3 8B 10 FF 92 40 01 00 00 3B F0 7F 16 8B 45 10 2B 45 08 99 33 C2 2B C2 8B 93 9C 01 00 00 3B 42 38 7C 04 33 C0 EB 02 B0 01 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_90591_0 {
	meta:
		name = "TGanttSeries.DrawValue"
		size = 479
		refs = "003b TSeriesPointer.PrepareCanvas 00f3 TSeriesPointer.DrawPointer 00fa TGanttSeries.GetConnectingPen 0115 @ROUND 0153 TBrush.SetStyle"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B FA 8B F0 8B 9E 9C 01 00 00 80 7B 10 00 0F 84 BC 01 00 00 8B 46 40 8B A8 40 03 00 00 89 6C 24 10 8B D7 8B C6 8B 08 FF 91 B0 00 00 00 8B C8 8B D5 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C6 8B 08 FF 91 3C 01 00 00 8B E8 8B 86 F0 01 00 00 8B 40 54 FF 74 F8 04 FF 34 F8 8B C6 8B 10 FF 92 40 01 00 00 89 04 24 8B 04 24 2B C5 D1 F8 79 03 83 D0 00 89 44 24 08 8B D7 8B C6 8B 08 FF 91 44 01 00 00 89 44 24 04 66 83 BE C2 01 00 00 00 74 14 8B CF 8B D6 8B 86 C4 01 00 00 FF 96 C0 01 00 00 8B D8 EB 0A 8B 86 9C 01 00 00 0F B6 58 34 03 6C 24 08 55 8B 44 24 08 50 8B 44 24 10 50 8B 86 9C 01 00 00 8B 40 38 50 8B D7 8B C6 8B 08 FF 91 B0 00 00 00 50 53 8B 46 40 0F B6 88 04 03 00 00 8B 46 40 8B 90 40 03 00 00 8B 86 9C 01 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 78 28 00 0F 84 CF 00 00 00 8B 86 F4 01 00 00 8B 40 54 DD 04 F8 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 8C B4 00 00 00 8B 86 A0 00 00 00 3B 78 04 0F 8D A5 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 50 10 8B 4A 18 8B 54 24 10 92 8B 18 FF 53 54 8B 44 24 10 8B 40 04 B2 01 E8 ?? ?? ?? ?? 8B D7 8B C6 8B 08 FF 91 3C 01 00 00 89 44 24 0C 8B 6C 24 0C 2B 2C 24 D1 FD 79 03 83 D5 00 03 2C 24 8B D7 8B C6 8B 08 FF 91 44 01 00 00 8B F8 55 8B 44 24 08 50 8B 86 58 01 00 00 50 8B 4C 24 10 8B 54 24 0C 8B 44 24 1C 8B 18 FF 93 70 01 00 00 8B 86 58 01 00 00 50 8B CF 8B D5 8B 44 24 14 8B 18 FF 93 78 01 00 00 8B 86 58 01 00 00 50 8B CF 8B 54 24 10 8B 44 24 14 8B 18 FF 93 78 01 00 00 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90593_0 {
	meta:
		name = "TGanttSeries.DrawMark"
		size = 90
		refs = "004e TCustomSeries.DrawMark"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8B 86 F0 01 00 00 8B 40 54 FF 74 F8 04 FF 34 F8 8B C6 8B 10 FF 92 40 01 00 00 2B 43 04 D1 F8 79 03 83 D0 00 01 43 20 8B 43 1C D1 F8 79 03 83 D0 00 01 43 24 53 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_90596_0 {
	meta:
		name = "TGanttSeries.PrepareForGallery"
		size = 64
		refs = "000b TPointSeries.PrepareForGallery 0027 TSeriesPointer.SetVertSize 0032 TSeriesPointer.GetGradient 0039 TCustomTeeGradient.SetVisible"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 8B 08 FF 91 D4 00 00 00 BA 03 00 00 00 8B 86 9C 01 00 00 E8 ?? ?? ?? ?? 8B 86 9C 01 00 00 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90597_0 {
	meta:
		name = "TGanttSeries.GetEditorClass"
		size = 72
		refs = "0006 TGanttSeries.GetEditorClass 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 54 00 47 00 61 00 6E 00 74 00 74 00 53 00 65 00 72 00 69 00 65 00 73 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_90598_0 {
	meta:
		name = "TGanttSeries.Assign"
		size = 51
		refs = "000a _DV_TGanttSeries 000f @IsClass 001a TGanttSeries.GetConnectingPen 0023 TGanttSeries.SetConnectingPen 002c TPointSeries.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90601_0 {
	meta:
		name = "TGanttSeries.AddXY"
		size = 50
		refs = "0028 TChartSeries.AddXY"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 86 F4 01 00 00 33 DB 89 58 30 C7 40 34 00 00 F0 BF FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B C6 E8 ?? ?? ?? ?? 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_90606_0 {
	meta:
		name = "GetDefaultPattern"
		size = 21
		refs = "0010 PatternPalette"
	strings:
		$1 = { 8B C8 8B C1 B9 06 00 00 00 99 F7 F9 42 0F B6 82 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90607_0 {
	meta:
		name = "TeePointerDrawLegend"
		size = 285
		refs = "0027 TSeriesPointer.PrepareCanvas 0110 TSeriesPointer.DrawPointer"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 89 55 FC 8B D8 8B 43 08 85 C0 0F 84 F9 00 00 00 8B 90 40 03 00 00 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 43 08 89 45 F8 8B 45 F8 8B 80 60 04 00 00 8B B8 88 00 00 00 80 7F 05 00 75 42 8B 45 F8 8B 80 60 04 00 00 8B 80 88 00 00 00 8B 40 18 8B 40 10 8B 48 18 8B 57 18 8B 45 F8 8B 80 40 03 00 00 8B 38 FF 57 54 8B 45 F8 8B 80 60 04 00 00 8B 80 88 00 00 00 8B 40 18 0F B6 40 28 88 45 0C 80 7D 0C 00 74 21 8B 46 08 2B 06 B9 03 00 00 00 99 F7 F9 8B C8 8B 46 0C 2B 46 04 BF 03 00 00 00 99 F7 FF 8B F8 EB 1B 8B 4E 08 2B 0E D1 F9 79 03 83 D1 00 41 8B 7E 0C 2B 7E 04 D1 FF 79 03 83 D7 00 47 8B 43 24 3B C8 7F 02 8B C1 8B 53 38 3B FA 7F 02 8B D7 8B 0E 03 4E 08 D1 F9 79 03 83 D1 00 51 8B 4E 04 03 4E 0C D1 F9 79 03 83 D1 00 51 50 52 8B 45 FC 50 0F B6 45 08 50 8B 43 08 8B 90 40 03 00 00 33 C9 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_90608_0 {
	meta:
		name = "TCustomLineSeries.Assign"
		size = 48
		refs = "000a _DV_TCustomLineSeries 000f @IsClass 0029 TChartSeries.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 0F B6 86 70 01 00 00 88 83 70 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90610_0 {
	meta:
		name = "TChartShape.SetAlignment"
		size = 20
		refs = "000f TCustomChartElement.Repaint"
		altNames = "TCustomLineSeries.SetTreatNulls"
	strings:
		$1 = { 3A 90 70 01 00 00 74 0B 88 90 70 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90611_0 {
	meta:
		name = "TCustomSeries.Create"
		size = 217
		refs = "000a @ClassCreate 0017 TChartSeries.Create 002e _Dn_TSeriesPointer 0033 TSeriesPointer.Create 0040 TCustomChartElement.CreateChartPen 0054 _Dn_TChartHiddenPen 0059 TChartHiddenPen.Create 006d _Dn_TTeeEmboss 0072 TTeeEmboss.Create 0086 _Dn_TTeeShadow 008b TTeeShadow.Create 009f _Dn_TChartBrush 00a4 TChartBrush.Create 00c6 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 84 01 00 00 01 C6 86 85 01 00 00 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 9C 01 00 00 8B C6 E8 ?? ?? ?? ?? 89 86 80 01 00 00 56 8B 06 8B 40 40 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 98 01 00 00 56 8B 06 8B 40 40 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 8C 01 00 00 56 8B 06 8B 40 40 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 A0 01 00 00 56 8B 06 8B 40 40 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 78 01 00 00 C7 86 7C 01 00 00 00 00 00 20 C6 86 86 01 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_90612_0 {
	meta:
		name = "TCustomSeries.Destroy"
		size = 117
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0058 TCustomSeries.FreeSmoothSeries 0063 TChartSeries.Destroy 006e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 78 01 00 00 E8 ?? ?? ?? ?? 8B 86 80 01 00 00 E8 ?? ?? ?? ?? 8B 86 8C 01 00 00 E8 ?? ?? ?? ?? 8B 86 A0 01 00 00 E8 ?? ?? ?? ?? 8B 86 98 01 00 00 E8 ?? ?? ?? ?? 8D 86 9C 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90613_0 {
	meta:
		name = "TCustomSeries.DrawMark"
		size = 72
		refs = "002f TSeriesMarks.ApplyArrowLength 003c TChartSeries.DrawMark"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 83 88 00 00 00 8B 93 54 01 00 00 89 90 80 00 00 00 80 BB 6C 01 00 00 00 74 07 8B D6 E8 ?? ?? ?? ?? 56 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_90614_0 {
	meta:
		name = "TCustomSeries.DoGetPointerStyle"
		size = 48
	strings:
		$1 = { 53 56 8B F2 8B D8 66 83 BB C2 01 00 00 00 74 13 8B CE 8B D3 8B 83 C4 01 00 00 FF 93 C0 01 00 00 5E 5B C3 8B 83 9C 01 00 00 0F B6 40 34 5E 5B C3 }
	condition:
		$1
}

rule function_90615_0 {
	meta:
		name = "TCustomSeries.ClickedPointer"
		size = 93
		refs = "001d TCustomSeries.DoGetPointerStyle"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 94 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 3C 09 74 2B 8B C7 2B 45 0C 99 33 C2 2B C2 8B 93 9C 01 00 00 3B 42 24 7D 16 8B 45 10 2B 45 08 99 33 C2 2B C2 8B 93 9C 01 00 00 3B 42 38 7C 04 33 C0 EB 02 B0 01 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_90616_0 {
	meta:
		name = "TCustomSeries.Assign"
		size = 262
		refs = "000b _DV_TCustomSeries 0010 @IsClass 0034 TCustomSeries.SetAreaBrush 004d TCustomSeries.SetAreaLinesPen 00a7 TCustomSeries.SetPointer 00ce TCustomSeries.SetOutLine 00db TCustomSeries.SetEmboss 00e8 TCustomSeries.SetShadow 00fe TCustomLineSeries.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 DD 00 00 00 8B FE 0F B6 87 84 01 00 00 88 83 84 01 00 00 8B 97 78 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 87 7C 01 00 00 89 83 7C 01 00 00 8B 97 80 01 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 87 85 01 00 00 88 83 85 01 00 00 0F B6 87 86 01 00 00 88 83 86 01 00 00 0F B6 87 87 01 00 00 88 83 87 01 00 00 0F B6 87 88 01 00 00 88 83 88 01 00 00 0F B6 87 90 01 00 00 88 83 90 01 00 00 8B 87 94 01 00 00 89 83 94 01 00 00 8B 97 9C 01 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 87 B0 01 00 00 88 83 B0 01 00 00 0F B6 87 B1 01 00 00 88 83 B1 01 00 00 8B 97 98 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 8C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 A0 01 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 87 B2 01 00 00 88 83 B2 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90617_0 {
	meta:
		name = "PointInVertLine"
		size = 24
		refs = "0012 PointInLine"
	strings:
		$1 = { 55 8B EC 50 51 8B 4D 08 8B 49 08 83 C1 F8 91 87 CA E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_90618_0 {
	meta:
		name = "PointInHorizLine"
		size = 24
		refs = "0012 PointInLine"
	strings:
		$1 = { 55 8B EC 51 52 8B 4D 08 8B 49 08 83 C1 F8 91 87 CA E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_90619_0 {
	meta:
		name = "CheckPointInLine"
		size = 405
		refs = "00bb PointInPolygon 00fa PointInVertLine 0117 PointInHorizLine 018b PointInLine"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 8B 45 08 8B 40 F4 8B 40 40 80 B8 04 03 00 00 00 0F 84 A6 00 00 00 8B 55 08 8B 52 F0 8B 4D 08 8B 49 EC 89 55 F8 89 4D FC 8B 55 08 8B 52 F0 8B 98 24 04 00 00 03 D3 8B 4D 08 8B 49 EC 8B B0 28 04 00 00 2B CE 89 55 F0 89 4D F4 8B 55 08 8B 52 E8 03 D3 8B 4D 08 8B 49 E4 2B CE 8B C1 89 55 E8 89 45 EC 8B 45 08 8B 40 E8 8B 55 08 8B 52 E4 89 45 E0 89 55 E4 8B 45 F8 89 45 C0 8B 45 FC 89 45 C4 8B 45 F0 89 45 C8 8B 45 F4 89 45 CC 8B 45 E8 89 45 D0 8B 45 EC 89 45 D4 8B 45 E0 89 45 D8 8B 45 E4 89 45 DC 8D 55 C0 8B 45 08 83 C0 F8 B9 03 00 00 00 E8 ?? ?? ?? ?? E9 CB 00 00 00 8B 45 08 8B 40 F4 80 B8 B1 01 00 00 00 0F 84 93 00 00 00 8B 45 08 8B 40 F4 80 B8 90 01 00 00 00 74 42 55 8B 45 08 8B 48 EC 8B 45 08 8B 50 E4 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 59 84 C0 75 21 55 8B 45 08 8B 48 F0 8B 45 08 8B 50 EC 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 59 84 C0 75 04 33 C0 EB 6B B0 01 EB 67 55 8B 45 08 8B 48 F0 8B 45 08 8B 50 E4 8B 45 08 8B 40 E8 E8 ?? ?? ?? ?? 59 84 C0 75 21 55 8B 45 08 8B 48 EC 8B 45 08 8B 50 E4 8B 45 08 8B 40 F0 E8 ?? ?? ?? ?? 59 84 C0 75 04 33 C0 EB 29 B0 01 EB 25 8B 45 08 8B 40 E8 50 8B 45 08 8B 40 E4 50 8B 45 08 8B 48 EC 8B 45 08 8B 50 F0 8B 45 08 83 C0 F8 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90620_0 {
	meta:
		name = "PointInArea"
		size = 439
		refs = "01ad PointInPolygon"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 8B D8 8B 45 08 8B 40 F4 80 B8 6C 01 00 00 00 0F 84 C6 00 00 00 8B 45 08 8B 40 E8 89 45 C0 8B 45 08 8B 40 F0 89 45 C8 8B 45 08 8B 70 F0 8B 45 08 8B 40 F4 8B D3 8B 08 FF 91 A0 01 00 00 89 75 F8 89 45 FC 8B 45 F8 89 45 D0 8B 45 FC 89 45 D4 8B 45 08 8B 70 E8 8B D3 4A 8B 45 08 8B 40 F4 8B 08 FF 91 A0 01 00 00 89 75 F0 89 45 F4 8B 45 F0 89 45 D8 8B 45 F4 89 45 DC 8B 45 08 8B 40 F4 80 B8 B1 01 00 00 00 74 3D 8B 45 08 8B 40 F4 80 B8 90 01 00 00 00 74 17 8B 45 08 8B 40 EC 89 45 C4 8B 45 08 8B 40 EC 89 45 CC E9 E9 00 00 00 8B 45 08 8B 40 E4 89 45 C4 8B 45 08 8B 40 E4 89 45 CC E9 D2 00 00 00 8B 45 08 8B 40 E4 89 45 C4 8B 45 08 8B 40 EC 89 45 CC E9 BB 00 00 00 8B 45 08 8B 40 E4 89 45 C4 8B 45 08 8B 40 EC 89 45 CC 8B 45 08 8B 40 F4 8B D3 8B 08 FF 91 A0 01 00 00 8B 55 08 8B 52 EC 89 45 E8 89 55 EC 8B 45 E8 89 45 D0 8B 45 EC 89 45 D4 8B D3 4A 8B 45 08 8B 40 F4 8B 08 FF 91 A0 01 00 00 8B 55 08 8B 52 E4 89 45 E0 89 55 E4 8B 45 E0 89 45 D8 8B 45 E4 89 45 DC 8B 45 08 8B 40 F4 80 B8 B1 01 00 00 00 74 37 8B 45 08 8B 40 F4 80 B8 90 01 00 00 00 74 14 8B 45 08 8B 40 F0 89 45 C0 8B 45 08 8B 40 F0 89 45 C8 EB 26 8B 45 08 8B 40 E8 89 45 C0 8B 45 08 8B 40 E8 89 45 C8 EB 12 8B 45 08 8B 40 E8 89 45 C0 8B 45 08 8B 40 F0 89 45 C8 8D 55 C0 8B 45 08 83 C0 F8 B9 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90621_0 {
	meta:
		name = "ClickedPoint"
		size = 340
		refs = "00d8 CheckPointInLine 00f7 PointInArea"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 C7 45 FC FF FF FF FF 8B 45 08 8B 40 F4 8B 80 A0 00 00 00 8B 40 04 3B C3 0F 8E 26 01 00 00 8B 45 08 8B 40 F4 8B D3 8B 08 FF 91 3C 01 00 00 8B 55 08 89 42 F0 8B 45 08 8B 40 F4 8B D3 8B 08 FF 91 44 01 00 00 8B 55 08 89 42 EC 8B 45 08 8B 40 F4 8B 80 9C 01 00 00 80 78 10 00 74 37 8B 45 08 8B 40 EC 50 8B 45 08 8B 40 E0 50 8B 45 08 8B 40 DC 50 8B 45 08 8B 48 F0 8B 45 08 8B 40 F4 8B D3 8B 30 FF 96 80 00 00 00 84 C0 74 08 89 5D FC E9 81 00 00 00 8B 45 08 8B 40 F0 8B 55 08 3B 42 E0 75 13 8B 45 08 8B 40 EC 8B 55 08 3B 42 DC 75 05 89 5D FC EB 60 8B 45 08 3B 58 D8 7C 58 8B 45 08 8B 40 F4 80 B8 84 01 00 00 00 74 49 8B 45 08 50 E8 ?? ?? ?? ?? 59 84 C0 75 1F 8B 45 08 8B 40 F4 80 B8 87 01 00 00 00 74 2C 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 84 C0 74 1C 8B 45 08 8B 40 F4 8B 40 74 80 B8 B8 00 00 00 00 74 06 43 89 5D FC EB 04 4B 89 5D FC 8B 45 08 8B 40 F0 8B 55 08 89 42 E8 8B 45 08 8B 40 EC 8B 55 08 89 42 E4 8B 45 08 8B 40 F4 8B 80 C8 01 00 00 8B 55 08 8B 52 F4 89 82 CC 01 00 00 8B 45 FC 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90622_0 {
	meta:
		name = "TCustomSeries.Clicked"
		size = 283
		refs = "0043 TChartSeries.Clicked 00e2 ClickedPoint"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 89 4D DC 89 55 E0 89 45 F4 8B 45 F4 8B 40 40 85 C0 74 1E 8B 55 F4 8B 92 54 01 00 00 52 8D 4D DC 8D 55 E0 8B 80 40 03 00 00 8B 18 FF 93 10 01 00 00 8B 4D DC 8B 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 83 F8 FF 0F 85 C5 00 00 00 8B 55 F4 83 BA 28 01 00 00 FF 0F 8E B5 00 00 00 8B 55 F4 83 BA 2C 01 00 00 FF 0F 8E A5 00 00 00 33 D2 89 55 E8 33 D2 89 55 E4 8B 55 F4 33 C9 89 8A CC 01 00 00 8B 55 E0 89 55 F8 8B 55 DC 89 55 FC 8B 55 F4 80 BA 84 01 00 00 00 74 15 8B 55 F4 8B 92 28 01 00 00 4A 85 D2 7D 02 33 D2 89 55 D8 EB 0C 8B 55 F4 8B 92 28 01 00 00 89 55 D8 8B 55 F4 8B 52 74 80 BA B8 00 00 00 00 74 25 8B 55 F4 8B B2 2C 01 00 00 8B 5D D8 2B DE 7F 38 4B 55 8B C6 E8 ?? ?? ?? ?? 59 83 F8 FF 75 29 4E 43 75 EE EB 23 8B 75 D8 8B 55 F4 8B 9A 2C 01 00 00 2B DE 7C 13 43 55 8B C6 E8 ?? ?? ?? ?? 59 83 F8 FF 75 04 46 4B 75 EE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90623_0 {
	meta:
		name = "TCustomSeries.SetDrawArea"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 05 87 01 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90625_0 {
	meta:
		name = "TCustomSeries.SetShadow"
		size = 12
	strings:
		$1 = { 8B 80 A0 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_90626_0 {
	meta:
		name = "TCustomBarSeries.SetEmboss"
		size = 12
		altNames = "TCustomSeries.SetEmboss"
	strings:
		$1 = { 8B 80 8C 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_90627_0 {
	meta:
		name = "TCircledSeries.SetEmboss"
		size = 12
		altNames = "TCustomSeries.SetAreaLinesPen"
	strings:
		$1 = { 8B 80 80 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_90628_0 {
	meta:
		name = "TCustomBarSeries.SetOffsetPercent"
		size = 14
		refs = "0009 TCustomChartElement.SetIntegerProperty"
		altNames = "TCustomSeries.SetLineHeight"
	strings:
		$1 = { 8D 88 94 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90629_0 {
	meta:
		name = "TCustomSeries.SetStairs"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 05 B1 01 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90630_0 {
	meta:
		name = "TCustomBarSeries.SetGradientRelative"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
		altNames = "TCustomSeries.SetInvertedStairs"
	strings:
		$1 = { 8B C8 05 90 01 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90631_0 {
	meta:
		name = "TCustomSeries.SetAreaColor"
		size = 14
		refs = "0009 TCustomChartElement.SetColorProperty"
	strings:
		$1 = { 8D 88 7C 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90824_0 {
	meta:
		name = "TCustomBarSeries.SetConePercent"
		size = 14
		refs = "0009 TCustomChartElement.SetIntegerProperty"
	strings:
		$1 = { 8D 88 7C 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90632_0 {
	meta:
		name = "TCustomSeries.SetAreaBrushStyle"
		size = 12
		refs = "0007 TBrush.SetStyle"
	strings:
		$1 = { 8B 80 78 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90633_0 {
	meta:
		name = "TCustomSeries.GetLineBrush"
		size = 11
	strings:
		$1 = { 8B 40 3C 8B 40 10 0F B6 40 20 C3 }
	condition:
		$1
}

rule function_90635_0 {
	meta:
		name = "DrawLine"
		size = 226
		refs = "004c TCustomSeries.LinePrepareCanvas"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 8B 50 40 8B 82 60 04 00 00 8B 80 88 00 00 00 80 78 05 00 74 48 8B 45 08 8B 40 FC 8B 48 44 8B C1 8B 40 10 8B 40 18 85 C0 74 1C 8B C1 8B 40 10 8B 40 18 8B 4D 08 8B 49 FC 8B 92 40 03 00 00 91 E8 ?? ?? ?? ?? EB 17 8B 45 08 8B 48 F8 8B 45 08 8B 40 FC 8B 92 40 03 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 40 8B 80 40 03 00 00 84 DB 74 30 8B 55 08 8B 52 F4 8B 52 08 52 8B 55 08 8B 52 F4 8B 52 0C 52 8B 55 08 8B 4A F4 8B 49 04 8B 55 08 8B 52 F4 8B 12 8B 18 FF 93 8C 00 00 00 5B 5D C3 8B 55 08 8B 52 F4 8B 52 04 8B 4D 08 8B 49 F4 03 51 0C D1 FA 79 03 83 D2 00 52 8B 55 08 8B 4A F4 8B 49 08 8B 55 08 8B 52 F4 8B 12 8B 18 FF 93 BC 00 00 00 5B 5D C3 }
	condition:
		$1
}

rule function_90636_0 {
	meta:
		name = "TCustomSeries.DrawLegendShape"
		size = 292
		refs = "0019 TChartSeries.GetSeriesColor 0055 DrawLine 008c TSeriesPointer.GetColor 00b3 TVisualsList.GetVisual 00c3 TCustomLineSeries.GetLinePen 00dd TeePointerDrawLegend 011a TChartSeries.DrawLegendShape"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 8B F2 89 45 FC 83 FE FF 75 0D 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 EB 10 8B D6 8B 45 FC 8B 08 FF 91 1C 01 00 00 89 45 F8 8B 45 FC 8B 80 9C 01 00 00 80 78 10 00 0F 84 9E 00 00 00 8B 45 FC 80 B8 88 01 00 00 00 74 09 55 33 C0 E8 ?? ?? ?? ?? 59 8B 45 FC 66 83 B8 C2 01 00 00 00 74 2E 83 FE FF 74 29 8B 5D FC 8B CE 8B 55 FC 8B 83 C4 01 00 00 FF 93 C0 01 00 00 8B D8 8B 45 FC 8B 80 9C 01 00 00 E8 ?? ?? ?? ?? 89 45 F8 EB 0D 8B 45 FC 8B 80 9C 01 00 00 0F B6 58 34 80 FB 0D 75 12 8B 45 FC 8B 80 9C 00 00 00 8B D6 E8 ?? ?? ?? ?? EB 02 33 C0 85 C0 75 5F 8B 45 FC E8 ?? ?? ?? ?? 0F B6 40 28 50 53 8B 4D F4 8B 45 FC 8B 80 9C 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? EB 3B 8B 45 FC 80 B8 88 01 00 00 00 74 22 8B 45 FC 80 B8 87 01 00 00 00 75 16 55 8B 45 FC 8B 40 40 0F B6 80 04 03 00 00 E8 ?? ?? ?? ?? 59 EB 0D 8B 4D F4 8B D6 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90637_0 {
	meta:
		name = "TCustomSeries.LinePrepareCanvas"
		size = 158
		refs = "0029 TChartBrush.GetImage 003c TPicture.GetBitmap 0046 TBrush.SetBitmap 004f TCustomSeries.GetLineBrush 0059 TBrush.SetStyle 0063 TBrush.SetColor 006a TCustomLineSeries.GetLinePen"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C6 8B 10 FF 52 14 84 C0 74 05 BF FF FF FF 00 8B 43 40 80 B8 04 03 00 00 00 74 59 8B 43 3C E8 ?? ?? ?? ?? 83 78 0C 00 74 19 8B 43 3C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 46 04 E8 ?? ?? ?? ?? EB 1B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 46 04 E8 ?? ?? ?? ?? 8B D7 8B 46 04 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 50 10 8B 4A 18 8B D6 92 8B 18 FF 53 54 EB 1C B2 01 8B 46 04 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C6 8B 18 FF 53 54 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90638_0 {
	meta:
		name = "TCustomSeries.MouseDown"
		size = 98
		refs = "0025 TChartSeries.MouseDown"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B FA 8B F0 0F B6 45 14 50 0F B7 45 10 50 8B 45 0C 50 8B 45 08 50 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 84 DB 74 2E 8B 46 40 80 B8 A4 02 00 00 00 75 22 66 83 BE BA 01 00 00 00 74 18 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B 86 BC 01 00 00 FF 96 B8 01 00 00 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_90640_0 {
	meta:
		name = "TCustomSeries.RaiseClicked"
		size = 44
		refs = "0006 TChartSeries.RaiseClicked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1A 8B 83 9C 01 00 00 80 78 10 00 74 0A 66 83 BB BA 01 00 00 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_90641_0 {
	meta:
		name = "TCustomSeries.SetParentChart"
		size = 35
		refs = "000b TChartSeries.SetParentChart"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 9C 01 00 00 85 C0 74 07 8B D6 8B 08 FF 51 0C 5E 5B C3 }
	condition:
		$1
}

rule function_90642_0 {
	meta:
		name = "TCustomSeries.FreeSmoothSeries"
		size = 65
		refs = "003b TObject.Free"
	strings:
		$1 = { 53 8B D8 83 BB AC 01 00 00 00 74 33 F6 43 1C 08 75 2D 8B 83 AC 01 00 00 F6 40 1C 08 75 21 8B 83 AC 01 00 00 8B 10 FF 92 08 01 00 00 8D 83 AC 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90643_0 {
	meta:
		name = "TCustomSeries.SetSmoothed"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 05 A4 01 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90644_0 {
	meta:
		name = "TCustomSeries.Clear"
		size = 19
		refs = "0006 TChartSeries.Clear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 B3 01 00 00 01 5B C3 }
	condition:
		$1
}

rule function_90645_0 {
	meta:
		name = "TCustomSeries.SmoothSeries"
		size = 636
		refs = "0009 _DV_TLineSeries 000e @IsClass 001a _DV_TAreaSeries 004a _DV_TCustomSeries 004f TCustomSeries.Create 0068 TCustomChartSeries.SetShowInLegend 007c TChartSeries.SetHorizontal 00b5 TChartValues 00ba @DynArrayAsg 0129 _Dn_TSmoothingFunction 012e TSmoothingFunction.Create 013f TSmoothingFunction.SetInterpolate 014f TSmoothingFunction.SetFactor 0166 TChartSeries.GetDataSource 0179 TChartSeries.SetDataSource 0188 TCustomTeePanel.Draw 01de TChartSeries.CheckDataSource 0265 TCustomSeries.FreeSmoothSeries 026c TChartSeries.RefreshSeries"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 15 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 4D 02 00 00 80 BB A4 01 00 00 00 0F 84 59 01 00 00 83 BB AC 01 00 00 00 0F 85 33 02 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 AC 01 00 00 C6 46 4A 01 C6 46 48 00 33 D2 8B C6 E8 ?? ?? ?? ?? 80 BB 6C 01 00 00 00 75 0B 8B 83 AC 01 00 00 E8 ?? ?? ?? ?? 8B B3 AC 01 00 00 8B 86 A0 00 00 00 83 78 04 00 75 04 B0 01 EB 07 0F B6 83 B3 01 00 00 84 C0 74 6C 8B 86 A0 00 00 00 83 C0 54 8B 93 A0 00 00 00 8B 52 54 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FB 8B 87 A0 00 00 00 8B 40 04 8B B3 AC 01 00 00 8B 96 A0 00 00 00 89 42 04 8B 86 A4 00 00 00 83 C0 54 8B 93 A4 00 00 00 8B 52 54 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 87 A0 00 00 00 8B 40 04 8B 93 AC 01 00 00 8B 92 A4 00 00 00 89 42 04 83 BB C4 00 00 00 00 74 0D 80 BB B3 01 00 00 00 0F 84 55 01 00 00 8B 4B 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A8 01 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? BA 08 00 00 00 8B 83 A8 01 00 00 E8 ?? ?? ?? ?? 8B 93 A8 01 00 00 8B C3 8B 08 FF 91 7C 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 83 DC 01 00 00 8B 93 AC 01 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 B3 01 00 00 00 8B 43 40 E8 ?? ?? ?? ?? E9 E7 00 00 00 8B 83 AC 01 00 00 85 C0 0F 84 D9 00 00 00 8B 93 A0 00 00 00 8B 52 04 8B 80 A0 00 00 00 3B 50 04 0F 8E C1 00 00 00 33 D2 8B C3 8B 08 FF 91 7C 01 00 00 8B 93 DC 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 7E 8B 83 A0 00 00 00 83 C0 54 8B 93 AC 01 00 00 8B 92 A0 00 00 00 8B 52 54 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 93 AC 01 00 00 8B 92 A0 00 00 00 8B 52 04 8B 83 A0 00 00 00 89 50 04 C6 40 4D 01 8B 83 A4 00 00 00 83 C0 54 8B 93 AC 01 00 00 8B 92 A4 00 00 00 8B 52 54 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 93 AC 01 00 00 8B 92 A0 00 00 00 8B 52 04 8B 83 A4 00 00 00 89 50 04 C6 40 4D 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90646_0 {
	meta:
		name = "TCustomSeries.GetAreaBrushColor"
		size = 28
	strings:
		$1 = { 80 78 60 00 75 0C 81 B8 7C 01 00 00 00 00 00 20 75 03 8B C2 C3 8B 80 7C 01 00 00 C3 }
	condition:
		$1
}

rule function_90647_0 {
	meta:
		name = "CalcYPosLeftRight"
		size = 416
		refs = "0048 CalcYPosLeftRight 0088 TChartSeries.MandatoryAxis 00d8 Ln 0134 Exp"
	strings:
		$1 = { 55 8B EC 83 C4 C8 8B D0 8B 45 10 8B 40 FC 8B 80 A0 00 00 00 8B 40 54 8B 0C D0 89 4D F8 8B 4C D0 04 89 4D FC 8B 45 10 8B 40 F8 8B 4D 10 8B 49 FC 8B 89 A0 00 00 00 8B 49 54 DD 04 C1 DC 65 F8 DD 5D E8 9B DD 45 E8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 13 8B 45 10 8B 40 FC 8B 08 FF 91 44 01 00 00 E9 2C 01 00 00 8B 45 10 8B 40 FC 8B 80 A4 00 00 00 8B 40 54 8B 0C D0 89 4D F0 8B 4C D0 04 89 4D F4 8B 45 10 8B 40 FC E8 ?? ?? ?? ?? 80 78 28 00 0F 84 B2 00 00 00 DD 45 F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 86 95 00 00 00 8B 45 10 8B 40 F8 8B 55 10 8B 52 FC 8B 92 A4 00 00 00 8B 52 54 DD 04 C2 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 71 DD 45 F0 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D D4 9B 8B 45 10 8B 40 F8 8B 55 10 8B 52 FC 8B 92 A4 00 00 00 8B 52 54 DD 04 C2 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D C8 9B DD 45 F0 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 6D C8 DE E1 DD 45 08 DC 65 F8 DE C9 DC 75 E8 DB 6D D4 DE C1 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D E0 9B EB 3F 33 C0 89 45 E0 89 45 E4 EB 35 D9 05 ?? ?? ?? ?? DC 4D F0 DD 45 08 DC 65 F8 8B 45 10 8B 40 F8 8B 55 10 8B 52 FC 8B 92 A4 00 00 00 8B 52 54 DD 04 C2 DC 65 F0 DE C9 DC 75 E8 DE C1 DD 5D E0 9B FF 75 E4 FF 75 E0 8B 45 10 8B 40 FC 8B 10 FF 92 48 01 00 00 8B E5 5D C2 08 00 00 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_90648_0 {
	meta:
		name = "RectFromPoints"
		size = 209
		refs = "00bd TCanvas3D.CalcRect3D"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B DA 8B 10 8B 70 08 3B F2 7F 02 8B D6 8B 70 10 3B D6 7E 02 8B D6 8B 70 18 3B D6 7E 02 8B D6 89 13 8B 50 04 8B 70 0C 3B F2 7F 02 8B D6 8B 70 14 3B D6 7E 02 8B D6 8B 70 1C 3B D6 7E 02 8B D6 89 53 04 8B 10 8B 70 08 3B F2 7C 02 8B D6 8B 70 10 3B D6 7D 02 8B D6 8B 70 18 3B D6 7D 02 8B D6 89 53 08 8B 50 04 8B 70 0C 3B F2 7C 02 8B D6 8B 70 14 3B D6 7D 02 8B D6 8B 40 1C 3B D0 7C 02 8B C2 89 43 0C 8B 45 08 8B 40 08 8B 40 FC 8B 70 40 80 BE 04 03 00 00 00 74 29 8D 45 F0 50 8B 45 08 8B 40 08 8B 40 FC 8B 88 54 01 00 00 8B D3 8B 86 40 03 00 00 E8 ?? ?? ?? ?? 8D 75 F0 8B FB A5 A5 A5 A5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90649_0 {
	meta:
		name = "InternalDrawArea"
		size = 3082
		refs = "0032 TChartSeries.GetSeriesColor 0042 TChartBrush.GetImage 0070 TCustomTeePanel.SetBrushCanvas 00b5 TChartSeries.IsNull 011a DarkColorQuantity 0131 ApplyDark 0141 TBrush.SetColor 03bf TCanvas3D.RectFromRectZ 047d TCustomLineSeries.GetLinePen 06dc TChartSeries.FirstDisplayedIndex 0aea RectFromPoints 0b1b TView3DOptions.GetRotation 0b54 TCanvas3D.PlaneWithZ"
	strings:
		$1 = { 55 8B EC 81 C4 28 FF FF FF 53 56 57 89 45 FC 8B 75 08 83 C6 FC 8B 06 8B 80 78 01 00 00 8B 40 10 8B 40 18 89 45 F0 81 7D F0 00 00 00 20 75 0A 8B 06 E8 ?? ?? ?? ?? 89 45 F0 8B 06 8B 80 78 01 00 00 E8 ?? ?? ?? ?? 83 78 0C 00 74 0F 8B 45 F0 3B 45 FC 75 07 C7 45 F0 FF FF FF 00 8B 45 F0 50 8B 06 8B 88 78 01 00 00 8B 06 8B 40 40 8B 55 FC E8 ?? ?? ?? ?? 8B 06 8B 40 40 8B F8 80 B8 04 03 00 00 00 0F 84 55 01 00 00 8B 45 08 80 78 F7 00 74 04 B0 01 EB 3C 8B 06 8B 80 A0 00 00 00 8B 40 04 8B 55 08 8B 52 F8 48 3B D0 7D 10 8B 45 08 8B 50 F8 42 8B 06 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0E 8B 06 80 B8 70 01 00 00 00 0F 94 C0 EB 02 33 C0 84 C0 74 04 B0 01 EB 2C 8B 45 08 83 78 F8 00 7E 1D 8B 45 08 8B 50 F8 4A 8B 06 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 06 80 B8 70 01 00 00 00 74 04 33 C0 EB 02 B0 01 84 C0 0F 84 D0 00 00 00 8B 06 80 B8 86 01 00 00 00 74 2D 8B 15 ?? ?? ?? ?? 0F B6 12 8B 87 40 03 00 00 8B 40 04 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 8B D0 8B 87 40 03 00 00 8B 40 04 E8 ?? ?? ?? ?? 8B 06 80 B8 6C 01 00 00 00 74 37 8B 06 8B 80 C8 01 00 00 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 80 5C 01 00 00 50 8B 45 08 8B 48 EC 8B 45 08 8B 50 F0 8B 87 40 03 00 00 8B 18 FF 93 A8 01 00 00 EB 35 8B 06 8B 80 C8 01 00 00 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 80 5C 01 00 00 50 8B 45 08 8B 48 EC 8B 45 08 8B 50 F0 8B 87 40 03 00 00 8B 18 FF 93 A4 01 00 00 8B 06 80 B8 86 01 00 00 00 74 16 8B 45 F0 50 8B 06 8B 88 78 01 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 06 80 B8 B1 01 00 00 00 0F 84 CD 07 00 00 8B 06 80 B8 90 01 00 00 00 74 53 8B 06 8B 10 FF 92 68 01 00 00 84 C0 74 1B 8B 06 80 B8 6C 01 00 00 00 74 08 8B 45 08 8B 58 EC EB 25 8B 45 08 8B 58 F0 EB 1D 8B 06 80 B8 6C 01 00 00 00 74 0A 8B 06 8B 98 D4 01 00 00 EB 08 8B 06 8B 98 D0 01 00 00 8B 06 8B 80 C8 01 00 00 89 45 F8 EB 51 8B 06 8B 10 FF 92 68 01 00 00 84 C0 74 1F 8B 06 80 B8 6C 01 00 00 00 74 0A 8B 06 8B 98 D4 01 00 00 EB 23 8B 06 8B 98 D0 01 00 00 EB 19 8B 06 80 B8 6C 01 00 00 00 74 08 8B 45 08 8B 58 EC EB 06 8B 45 08 8B 58 F0 8B 06 8B 80 CC 01 00 00 89 45 F8 8B 06 80 B8 6C 01 00 00 00 0F 84 A3 00 00 00 8B 06 8B 10 FF 92 68 01 00 00 84 C0 74 4C 8B 06 8B 80 D0 01 00 00 89 45 E4 8B 45 08 8B 40 F0 40 89 45 E0 8B 45 E4 89 85 58 FF FF FF 8B 45 F8 89 85 5C FF FF FF 8B 45 E0 89 85 60 FF FF FF 89 9D 64 FF FF FF 56 57 8D B5 58 FF FF FF 8D 7D 88 A5 A5 A5 A5 5F 5E E9 85 00 00 00 8B 45 08 8B 40 F0 40 89 45 DC 8B 06 8B 80 D0 01 00 00 89 45 D8 8B 45 DC 89 85 48 FF FF FF 8B 45 F8 89 85 4C FF FF FF 8B 45 D8 89 85 50 FF FF FF 89 9D 54 FF FF FF 56 57 8D B5 48 FF FF FF 8D 7D 88 A5 A5 A5 A5 5F 5E EB 3C 8B 06 8B 80 D4 01 00 00 40 8B 55 08 8B 52 EC 8B 4D F8 89 8D 38 FF FF FF 89 85 3C FF FF FF 43 89 9D 40 FF FF FF 89 95 44 FF FF FF 56 57 8D B5 38 FF FF FF 8D 7D 88 A5 A5 A5 A5 5F 5E 8B 87 40 03 00 00 89 45 EC 8B 06 8B 10 FF 92 8C 01 00 00 84 C0 76 60 80 BF 04 03 00 00 00 74 3B 8D 85 28 FF FF FF 50 8B 06 8B 88 54 01 00 00 8D 55 88 8B 45 EC E8 ?? ?? ?? ?? 8D 85 28 FF FF FF 50 8B 06 8B 10 FF 92 8C 01 00 00 8B C8 8B 45 EC 5A 8B 18 FF 53 58 89 45 F4 EB 21 8B 06 8B 10 FF 92 8C 01 00 00 8B C8 8D 55 88 8B 45 EC 8B 18 FF 53 58 89 45 F4 EB 05 33 C0 89 45 F4 80 BF 04 03 00 00 00 74 3A 8B 06 8B 88 54 01 00 00 8D 55 88 8B 45 EC 8B 18 FF 93 A0 01 00 00 8B 45 EC 8B 10 FF 52 1C 84 C0 74 31 8B 06 8B 88 5C 01 00 00 8D 55 88 8B 45 EC 8B 18 FF 93 A0 01 00 00 EB 19 8B 45 90 50 8B 45 94 50 8B 45 EC 8B 4D 8C 8B 55 88 8B 18 FF 93 8C 00 00 00 8B 06 8B 10 FF 92 8C 01 00 00 84 C0 76 0B 8B 55 F4 8B 45 EC 8B 08 FF 51 5C 8B 06 E8 ?? ?? ?? ?? 80 78 28 00 0F 84 78 07 00 00 8B 06 E8 ?? ?? ?? ?? 8B 50 10 8B 4A 18 8B 97 40 03 00 00 92 8B 18 FF 53 54 8B 06 80 B8 6C 01 00 00 00 0F 84 83 02 00 00 8B 06 80 B8 90 01 00 00 00 0F 84 13 01 00 00 8B 06 8B 10 FF 92 68 01 00 00 84 C0 74 35 8B 45 08 8B 40 F0 50 8B 45 08 8B 40 EC 50 8B 06 8B 80 54 01 00 00 50 8B 45 08 8B 48 EC 8B 06 8B 90 D0 01 00 00 8B 87 40 03 00 00 8B 18 FF 93 70 01 00 00 EB 37 8B 45 08 8B 40 F0 50 8B 06 8B 80 D4 01 00 00 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 88 D4 01 00 00 8B 06 8B 90 D0 01 00 00 8B 87 40 03 00 00 8B 18 FF 93 70 01 00 00 8B 45 08 8B 40 F8 8B 16 8B 92 28 01 00 00 42 3B C2 0F 8E B0 06 00 00 8B 06 8B 10 FF 92 68 01 00 00 84 C0 74 3C 8B 06 8B 80 D0 01 00 00 50 8B 45 08 8B 40 EC 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 88 D4 01 00 00 8B 06 8B 90 D0 01 00 00 8B 87 40 03 00 00 8B 18 FF 93 70 01 00 00 E9 66 06 00 00 8B 45 08 8B 40 F0 50 8B 45 08 8B 40 EC 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 88 D4 01 00 00 8B 45 08 8B 50 F0 8B 87 40 03 00 00 8B 18 FF 93 70 01 00 00 E9 2E 06 00 00 8B 06 8B 10 FF 92 68 01 00 00 84 C0 74 39 8B 45 08 8B 40 F0 50 8B 06 8B 80 D4 01 00 00 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 88 D4 01 00 00 8B 06 8B 90 D0 01 00 00 8B 87 40 03 00 00 8B 18 FF 93 70 01 00 00 EB 33 8B 45 08 8B 40 F0 50 8B 45 08 8B 40 EC 50 8B 06 8B 80 54 01 00 00 50 8B 45 08 8B 48 EC 8B 06 8B 90 D0 01 00 00 8B 87 40 03 00 00 8B 18 FF 93 70 01 00 00 8B 45 08 8B 40 F8 8B 16 3B 82 2C 01 00 00 7D 7A 8B 06 8B 10 FF 92 68 01 00 00 84 C0 74 35 8B 45 08 8B 40 F0 50 8B 45 08 8B 40 EC 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 88 D4 01 00 00 8B 45 08 8B 50 F0 8B 87 40 03 00 00 8B 18 FF 93 70 01 00 00 EB 37 8B 06 8B 80 D0 01 00 00 50 8B 45 08 8B 40 EC 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 88 D4 01 00 00 8B 06 8B 90 D0 01 00 00 8B 87 40 03 00 00 8B 18 FF 93 70 01 00 00 8B 06 E8 ?? ?? ?? ?? 40 8B 55 08 3B 42 F8 0F 8D 16 05 00 00 8B 06 8B 80 D0 01 00 00 50 8B 45 08 8B 50 F8 83 EA 02 8B 06 8B 08 FF 91 44 01 00 00 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 88 D4 01 00 00 8B 06 8B 90 D0 01 00 00 8B 87 40 03 00 00 8B 18 FF 93 70 01 00 00 E9 CD 04 00 00 8B 06 80 B8 90 01 00 00 00 0F 84 13 01 00 00 8B 06 8B 10 FF 92 68 01 00 00 84 C0 74 35 8B 45 08 8B 40 F0 50 8B 45 08 8B 40 EC 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 88 D4 01 00 00 8B 45 08 8B 50 F0 8B 87 40 03 00 00 8B 18 FF 93 70 01 00 00 EB 37 8B 06 8B 80 D0 01 00 00 50 8B 45 08 8B 40 EC 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 88 D4 01 00 00 8B 06 8B 90 D0 01 00 00 8B 87 40 03 00 00 8B 18 FF 93 70 01 00 00 8B 45 08 8B 40 F8 8B 16 8B 92 28 01 00 00 42 3B C2 0F 8E 2D 04 00 00 8B 06 8B 10 FF 92 68 01 00 00 84 C0 74 3C 8B 45 08 8B 40 F0 50 8B 06 8B 80 D4 01 00 00 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 88 D4 01 00 00 8B 06 8B 90 D0 01 00 00 8B 87 40 03 00 00 8B 18 FF 93 70 01 00 00 E9 E3 03 00 00 8B 45 08 8B 40 F0 50 8B 45 08 8B 40 EC 50 8B 06 8B 80 54 01 00 00 50 8B 45 08 8B 48 EC 8B 06 8B 90 D0 01 00 00 8B 87 40 03 00 00 8B 18 FF 93 70 01 00 00 E9 AB 03 00 00 8B 06 8B 10 FF 92 68 01 00 00 84 C0 74 39 8B 06 8B 80 D0 01 00 00 50 8B 45 08 8B 40 EC 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 88 D4 01 00 00 8B 06 8B 90 D0 01 00 00 8B 87 40 03 00 00 8B 18 FF 93 70 01 00 00 EB 33 8B 45 08 8B 40 F0 50 8B 45 08 8B 40 EC 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 88 D4 01 00 00 8B 45 08 8B 50 F0 8B 87 40 03 00 00 8B 18 FF 93 70 01 00 00 8B 45 08 8B 40 F8 8B 16 3B 82 2C 01 00 00 7D 7A 8B 06 8B 10 FF 92 68 01 00 00 84 C0 74 35 8B 45 08 8B 40 F0 50 8B 45 08 8B 40 EC 50 8B 06 8B 80 54 01 00 00 50 8B 45 08 8B 48 EC 8B 06 8B 90 D0 01 00 00 8B 87 40 03 00 00 8B 18 FF 93 70 01 00 00 EB 37 8B 45 08 8B 40 F0 50 8B 06 8B 80 D4 01 00 00 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 88 D4 01 00 00 8B 06 8B 90 D0 01 00 00 8B 87 40 03 00 00 8B 18 FF 93 70 01 00 00 8B 06 E8 ?? ?? ?? ?? 40 8B 55 08 3B 42 F8 0F 8D 93 02 00 00 8B 45 08 8B 50 F8 83 EA 02 8B 06 8B 08 FF 91 3C 01 00 00 50 8B 06 8B 80 D4 01 00 00 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 88 D4 01 00 00 8B 06 8B 90 D0 01 00 00 8B 87 40 03 00 00 8B 18 FF 93 70 01 00 00 E9 4A 02 00 00 8B 87 40 03 00 00 89 45 E8 8B 06 80 B8 6C 01 00 00 00 74 4A 8B 06 8B 80 D0 01 00 00 8B 16 8B 92 CC 01 00 00 89 45 D0 89 55 D4 8B 45 D0 89 85 68 FF FF FF 8B 45 D4 89 85 6C FF FF FF 8B 45 08 8B 40 F0 8B 16 8B 92 C8 01 00 00 89 45 C8 89 55 CC 8B 45 C8 89 45 80 8B 45 CC 89 45 84 EB 60 8B 06 8B 80 CC 01 00 00 89 45 C4 8B 06 8B 80 D4 01 00 00 89 45 C0 8B 45 C4 89 45 B8 8B 45 C0 89 45 BC 8B 45 B8 89 85 68 FF FF FF 8B 45 BC 89 85 6C FF FF FF 8B 06 8B 80 C8 01 00 00 89 45 B4 8B 45 08 8B 40 EC 89 45 B0 8B 45 B4 89 45 A8 8B 45 B0 89 45 AC 8B 45 A8 89 45 80 8B 45 AC 89 45 84 8B 06 8B 80 D0 01 00 00 8B 16 8B 92 D4 01 00 00 89 45 A0 89 55 A4 8B 45 A0 89 85 70 FF FF FF 8B 45 A4 89 85 74 FF FF FF 8B 45 08 8B 40 F0 8B 55 08 8B 52 EC 89 45 98 89 55 9C 8B 45 98 89 85 78 FF FF FF 8B 45 9C 89 85 7C FF FF FF 8B 06 8B 10 FF 92 8C 01 00 00 84 C0 76 35 8B 06 8B 10 FF 92 8C 01 00 00 50 55 8D 95 28 FF FF FF 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 59 8D 95 28 FF FF FF 8B 87 40 03 00 00 59 8B 18 FF 53 58 89 45 F4 EB 05 33 C0 89 45 F4 80 BF 04 03 00 00 00 74 46 8B 45 E8 8B 40 44 E8 ?? ?? ?? ?? 83 F8 5A 7E 1C 8B 45 E8 8B 40 44 E8 ?? ?? ?? ?? 3D 0E 01 00 00 7D 0A 8B 06 8B 80 5C 01 00 00 EB 08 8B 06 8B 80 54 01 00 00 8D 95 68 FF FF FF 8B C8 8B 45 E8 E8 ?? ?? ?? ?? EB 16 8D 95 68 FF FF FF B9 03 00 00 00 8B 45 E8 8B 18 FF 93 D8 00 00 00 8B 06 8B 10 FF 92 8C 01 00 00 84 C0 76 0E 8B 55 F4 8B 87 40 03 00 00 8B 08 FF 51 5C 8B 45 E8 8B 10 FF 52 1C 84 C0 74 16 8B 06 8B 88 5C 01 00 00 8D 95 68 FF FF FF 8B 45 E8 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 80 78 28 00 74 48 8B 06 E8 ?? ?? ?? ?? 8B 50 10 8B 4A 18 8B 55 E8 92 8B 18 FF 53 54 8B 45 08 8B 40 F0 50 8B 45 08 8B 40 EC 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 88 D4 01 00 00 8B 06 8B 90 D0 01 00 00 8B 45 E8 8B 18 FF 93 70 01 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90650_0 {
	meta:
		name = "DrawLine2D"
		size = 517
		refs = "0044 TCustomSeries.LinePrepareCanvas 004d TChartSeries.GetSeriesColor 007a TCustomLineSeries.GetLinePen"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 08 83 C6 FC 8B 06 80 78 60 00 74 0E 8B 06 8B 80 9C 01 00 00 80 78 10 00 74 0B 8B 06 80 B8 85 01 00 00 00 74 1A 8B 45 08 8B 48 E8 8B 06 8B 40 40 8B 90 40 03 00 00 8B 06 E8 ?? ?? ?? ?? EB 1B 8B 06 E8 ?? ?? ?? ?? 8B C8 8B 06 8B 40 40 8B 90 40 03 00 00 8B 06 E8 ?? ?? ?? ?? 8B 06 8B 10 FF 92 8C 01 00 00 84 C0 0F 86 AA 00 00 00 8B 06 E8 ?? ?? ?? ?? 8B 40 10 8B 40 1C 8B 16 8B 92 D0 01 00 00 8B 4D 08 8B 49 F0 3B CA 7E 04 8B FA EB 02 8B F9 8B 16 8B 92 D4 01 00 00 8B 4D 08 8B 49 EC 3B CA 7E 05 89 55 FC EB 03 89 4D FC 8B 16 8B 92 D0 01 00 00 8B 4D 08 8B 49 F0 3B CA 7D 05 89 55 F8 EB 03 89 4D F8 8B 16 8B 92 D4 01 00 00 8B 4D 08 8B 49 EC 3B CA 7C 02 8B D1 2B F8 89 7D E8 8B 4D FC 2B C8 89 4D EC 8B 4D F8 03 C8 89 4D F0 03 C2 89 45 F4 8B 06 8B 10 FF 92 8C 01 00 00 8B C8 8D 55 E8 8B 06 8B 40 40 8B 80 40 03 00 00 8B 18 FF 53 58 8B F8 EB 02 33 FF 8B 06 80 B8 B1 01 00 00 00 74 7F 8B 06 80 B8 90 01 00 00 00 74 2C 8B 45 08 8B 40 EC 50 8B 06 8B 88 D4 01 00 00 8B 06 8B 90 D0 01 00 00 8B 06 8B 40 40 8B 80 40 03 00 00 8B 18 FF 93 C0 00 00 00 EB 2A 8B 06 8B 80 D4 01 00 00 50 8B 45 08 8B 48 F0 8B 06 8B 90 D0 01 00 00 8B 06 8B 40 40 8B 80 40 03 00 00 8B 18 FF 93 BC 00 00 00 8B 45 08 8B 48 EC 8B 45 08 8B 50 F0 8B 06 8B 40 40 8B 80 40 03 00 00 8B 18 FF 53 7C EB 31 8B 45 08 8B 40 F0 50 8B 45 08 8B 40 EC 50 8B 06 8B 88 D4 01 00 00 8B 06 8B 90 D0 01 00 00 8B 06 8B 40 40 8B 80 40 03 00 00 8B 18 FF 93 D0 00 00 00 8B 06 8B 10 FF 92 8C 01 00 00 84 C0 76 12 8B 06 8B 40 40 8B 80 40 03 00 00 8B D7 8B 08 FF 51 5C 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90651_0 {
	meta:
		name = "DoAddPathPoint"
		size = 119
		refs = "0010 TChartSeries.InternalColor"
	strings:
		$1 = { 55 8B EC 8B 45 18 8B 50 F8 8B 45 18 8B 40 FC E8 ?? ?? ?? ?? 3D 00 00 00 20 75 27 8B 45 18 8B 40 FC 80 78 60 00 74 16 8B 45 18 8B 50 F8 8B 45 18 8B 40 FC 8B 08 FF 91 B0 00 00 00 EB 05 B8 00 00 00 20 8B 55 18 8B 52 FC 8B 92 9C 00 00 00 8B 52 14 FF 75 14 FF 75 10 8B 4D 18 8B 49 FC 8B 49 40 DB 41 54 DC 65 08 83 C4 F8 DD 1C 24 9B 92 8B 08 FF 51 40 5D C2 10 00 }
	condition:
		$1
}

rule function_90652_0 {
	meta:
		name = "DrawLineHeight"
		size = 640
		refs = "009a Offset 00fb RectFromPolygon 01f9 TCanvas3D.RectFromRectZ"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 8B 75 08 8B 76 08 83 C6 FC 8B 45 08 8B 50 D8 89 55 D8 8B 50 DC 89 55 DC 8B 45 08 8B 50 D0 89 55 E0 8B 50 D4 89 55 E4 8B 45 08 8B 40 D0 89 45 E8 8B 55 08 8B 52 D4 8B 06 8B 80 94 01 00 00 03 D0 89 55 EC 8B 55 08 8B 52 D8 89 55 F0 8B 55 08 8B 52 DC 03 D0 89 55 F4 8B 06 8B 10 FF 92 8C 01 00 00 84 C0 0F 86 B2 00 00 00 8B 45 08 56 8D 78 E0 8D 75 D8 B9 08 00 00 00 F3 A5 5E 8B 06 8B 40 44 8B 40 10 8B 40 1C 8B D0 F7 DA 8B 45 08 83 C0 E0 E8 ?? ?? ?? ?? 8B 06 8B 40 44 8B 40 10 8B 40 1C 8B D0 F7 DA 8B 45 08 83 C0 E8 E8 ?? ?? ?? ?? 8B 06 8B 40 44 8B 40 10 8B 40 1C 8B 55 08 83 C2 F0 92 E8 ?? ?? ?? ?? 8B 06 8B 40 44 8B 40 10 8B 40 1C 8B 55 08 83 C2 F8 92 E8 ?? ?? ?? ?? 8D 45 B8 50 8B 45 08 83 C0 E0 B9 04 00 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 50 8B 06 8B 10 FF 92 8C 01 00 00 8B C8 8B 06 8B 40 40 8B 80 40 03 00 00 5A 8B 18 FF 53 58 8B F8 EB 02 33 FF 8B 06 8B 80 54 01 00 00 50 8B C8 8D 55 D8 8B 06 8B 40 40 8B 80 40 03 00 00 8B 18 FF 93 88 01 00 00 8B 45 08 8B 40 08 80 78 F7 00 0F 84 02 01 00 00 8B 06 8B 10 FF 92 8C 01 00 00 84 C0 0F 86 B0 00 00 00 8B 06 8B 40 40 8B 80 40 03 00 00 8B D7 8B 08 FF 51 5C 8B 06 8B 40 44 8B D0 8B 52 10 8B 52 1C 8B C8 8B 49 10 8B 49 1C 8B 5D 08 8B 5B D8 89 5D FC 8B 5D 08 8B 5B DC 89 5D F8 8B 5D 08 8B 5B DC 8B 3E 03 9F 94 01 00 00 03 D3 8B 5D 08 8B 5B D8 8B 3E 03 9F 94 01 00 00 03 CB 8B 5D FC 89 5D C8 8B 5D F8 89 5D CC 89 55 D0 89 4D D4 8B 40 10 8B 58 1C 8D 45 B8 50 8B 06 8B 88 5C 01 00 00 03 CB 8D 55 C8 8B 06 8B 40 40 8B B8 40 03 00 00 8B C7 E8 ?? ?? ?? ?? 8D 45 B8 50 8B 06 8B 10 FF 92 8C 01 00 00 8B C8 8B C7 5A 8B 18 FF 53 58 8B F8 EB 02 33 FF 8B 45 08 8B 40 DC 8B D0 8B 0E 03 91 94 01 00 00 52 8B 16 8B 92 54 01 00 00 52 8B 16 8B 92 5C 01 00 00 52 8B C8 8B 45 08 8B 50 D8 8B 06 8B 40 40 8B 80 40 03 00 00 8B 18 FF 93 A8 01 00 00 8B 06 8B 10 FF 92 8C 01 00 00 84 C0 76 12 8B 06 8B 40 40 8B 80 40 03 00 00 8B D7 8B 08 FF 51 5C 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90653_0 {
	meta:
		name = "DrawStairs"
		size = 1075
		refs = "0036 DarkColorQuantity 0047 ApplyDark 0050 TBrush.SetColor"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 08 8B 76 08 83 C6 FC 8B 06 8B 40 40 8B 98 40 03 00 00 8B 06 80 B8 90 01 00 00 00 0F 84 BD 01 00 00 8B 06 80 B8 86 01 00 00 00 74 20 8B 15 ?? ?? ?? ?? 0F B6 12 8B 7B 04 8B 47 10 8B 40 18 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 06 80 B8 6C 01 00 00 00 74 79 8B 06 8B 10 FF 92 68 01 00 00 84 C0 74 34 8B 45 08 8B 40 08 8B 40 EC 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 80 5C 01 00 00 50 8B 45 08 8B 48 D4 8B 45 08 8B 50 D0 8B C3 8B 38 FF 97 A8 01 00 00 EB 68 8B 45 08 8B 40 08 8B 40 EC 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 80 5C 01 00 00 50 8B 45 08 8B 48 D4 8B 45 08 8B 40 08 8B 50 F0 8B C3 8B 38 FF 97 A8 01 00 00 EB 31 8B 06 8B 80 D0 01 00 00 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 80 5C 01 00 00 50 8B 45 08 8B 48 DC 8B 45 08 8B 50 D8 8B C3 8B 38 FF 97 A4 01 00 00 8B 06 80 B8 86 01 00 00 00 74 0E 8B 45 08 8B 50 CC 8B 43 04 E8 ?? ?? ?? ?? 8B 06 80 B8 6C 01 00 00 00 74 7F 8B 06 8B 10 FF 92 68 01 00 00 84 C0 74 36 8B 06 8B 80 D0 01 00 00 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 80 5C 01 00 00 50 8B 45 08 8B 48 DC 8B 45 08 8B 50 D8 8B C3 8B 18 FF 93 A4 01 00 00 E9 BD 02 00 00 8B 45 08 8B 40 08 8B 40 F0 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 80 5C 01 00 00 50 8B 06 8B 88 D4 01 00 00 8B 06 8B 90 D0 01 00 00 8B C3 8B 18 FF 93 A4 01 00 00 E9 82 02 00 00 8B 45 08 8B 40 08 8B 40 EC 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 80 5C 01 00 00 50 8B 45 08 8B 48 D4 8B 45 08 8B 40 08 8B 50 F0 8B C3 8B 18 FF 93 A8 01 00 00 E9 48 02 00 00 8B 06 80 B8 6C 01 00 00 00 74 7C 8B 06 8B 10 FF 92 68 01 00 00 84 C0 74 37 8B 45 08 8B 40 08 8B 40 F0 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 80 5C 01 00 00 50 8B 45 08 8B 48 D4 8B 45 08 8B 50 D0 8B C3 8B 38 FF 97 A4 01 00 00 E9 B0 00 00 00 8B 45 08 8B 40 08 8B 40 F0 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 80 5C 01 00 00 50 8B 45 08 8B 40 08 8B 48 EC 8B 45 08 8B 50 D0 8B C3 8B 38 FF 97 A4 01 00 00 EB 79 8B 06 8B 10 FF 92 68 01 00 00 84 C0 74 36 8B 45 08 8B 40 08 8B 40 EC 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 80 5C 01 00 00 50 8B 45 08 8B 48 D4 8B 06 8B 90 D0 01 00 00 8B C3 8B 38 FF 97 A8 01 00 00 EB 35 8B 45 08 8B 40 08 8B 40 EC 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 80 5C 01 00 00 50 8B 45 08 8B 48 D4 8B 45 08 8B 40 08 8B 50 F0 8B C3 8B 38 FF 97 A8 01 00 00 8B 06 80 B8 86 01 00 00 00 74 20 8B 15 ?? ?? ?? ?? 0F B6 12 8B 7B 04 8B 47 10 8B 40 18 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 06 80 B8 6C 01 00 00 00 74 7C 8B 06 8B 10 FF 92 68 01 00 00 84 C0 74 36 8B 06 8B 80 D4 01 00 00 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 80 5C 01 00 00 50 8B 45 08 8B 48 DC 8B 45 08 8B 50 D8 8B C3 8B 38 FF 97 A8 01 00 00 E9 B5 00 00 00 8B 45 08 8B 40 08 8B 40 EC 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 80 5C 01 00 00 50 8B 06 8B 88 D4 01 00 00 8B 06 8B 90 D0 01 00 00 8B C3 8B 38 FF 97 A8 01 00 00 EB 7D 8B 06 8B 10 FF 92 68 01 00 00 84 C0 74 39 8B 45 08 8B 40 08 8B 40 F0 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 80 5C 01 00 00 50 8B 45 08 8B 40 08 8B 48 EC 8B 06 8B 90 D0 01 00 00 8B C3 8B 38 FF 97 A4 01 00 00 EB 36 8B 45 08 8B 40 08 8B 40 F0 50 8B 06 8B 80 54 01 00 00 50 8B 06 8B 80 5C 01 00 00 50 8B 06 8B 88 D4 01 00 00 8B 06 8B 90 D0 01 00 00 8B C3 8B 38 FF 97 A4 01 00 00 8B 06 80 B8 86 01 00 00 00 74 0E 8B 45 08 8B 50 CC 8B 43 04 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_90654_0 {
	meta:
		name = "AddStairsTemplate"
		size = 429
		refs = "0050 DoAddPathPoint"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 08 8B 40 FC 80 B8 90 01 00 00 00 0F 84 CA 00 00 00 8B 45 08 8B 40 08 8B 40 FC 80 B8 6C 01 00 00 00 74 59 8B 45 08 8B 40 08 50 8B 45 08 DB 40 D0 83 C4 F8 DD 1C 24 9B 8B 45 08 8B 40 08 DB 40 EC 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 08 50 8B 45 08 8B 40 08 DB 40 F0 83 C4 F8 DD 1C 24 9B 8B 45 08 DB 40 DC 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 E9 27 01 00 00 8B 45 08 8B 40 08 50 8B 45 08 8B 40 08 8B 40 FC DB 80 D0 01 00 00 83 C4 F8 DD 1C 24 9B 8B 45 08 DB 40 DC 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 08 50 8B 45 08 8B 40 08 DB 40 F0 83 C4 F8 DD 1C 24 9B 8B 45 08 8B 40 08 DB 40 EC 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 5D C3 8B 45 08 8B 40 08 8B 40 FC 80 B8 6C 01 00 00 00 74 59 8B 45 08 8B 40 08 50 8B 45 08 8B 40 08 DB 40 F0 83 C4 F8 DD 1C 24 9B 8B 45 08 DB 40 D4 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 08 50 8B 45 08 8B 40 08 DB 40 F0 83 C4 F8 DD 1C 24 9B 8B 45 08 8B 40 08 DB 40 EC 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 EB 5D 8B 45 08 8B 40 08 50 8B 45 08 8B 40 08 8B 40 FC DB 80 D0 01 00 00 83 C4 F8 DD 1C 24 9B 8B 45 08 8B 40 08 DB 40 EC 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 08 50 8B 45 08 8B 40 08 DB 40 F0 83 C4 F8 DD 1C 24 9B 8B 45 08 DB 40 DC 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_90655_0 {
	meta:
		name = "AddLineTemplate"
		size = 44
		refs = "0025 DoAddPathPoint"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 08 50 8B 45 08 DB 40 D8 83 C4 F8 DD 1C 24 9B 8B 45 08 DB 40 DC 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_90656_0 {
	meta:
		name = "DrawLinePlane"
		size = 596
		refs = "002d DrawLineHeight 007c DrawLinePlane 00b0 DarkColorQuantity 00c1 ApplyDark 00ca TBrush.SetColor 00fb TCustomLineSeries.GetLinePen 011e TCanvas3D.Calculate3DPosition 01af PolygonBounds 01ef TCustomTeePanel.SetBrushCanvas"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 8B 5D 08 8B 5B 08 83 C3 FC 8B 03 83 B8 94 01 00 00 00 74 15 8B 03 80 B8 87 01 00 00 00 75 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 03 8B 40 40 8B B0 40 03 00 00 8B 03 80 B8 86 01 00 00 00 74 0B 8B C6 8B 10 FF 52 1C 84 C0 74 04 33 C0 EB 02 B0 01 88 45 FF 80 7D FF 00 74 6C 8B 45 08 8B 50 D8 8B 45 08 2B 50 D0 85 D2 74 5C 8B 03 DD 80 E0 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 48 8B 45 08 8B 40 D4 8B 4D 08 2B 41 DC 89 45 D4 DB 45 D4 89 55 D0 DB 45 D0 DE F9 8B 03 DC 98 E0 01 00 00 9B DF E0 9E 76 20 8B 15 ?? ?? ?? ?? 0F B6 12 8B 7E 04 8B 47 10 8B 40 18 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 14 84 C0 74 0D BA FF FF FF 00 8B 46 04 E8 ?? ?? ?? ?? 8B 03 8B 10 FF 92 8C 01 00 00 84 C0 0F 86 D8 00 00 00 8B 03 E8 ?? ?? ?? ?? 8B 40 10 8B 40 1C 8B F8 8D 45 C8 50 8B 03 8B 88 54 01 00 00 2B CF 8B 45 08 8D 50 D8 8B C6 E8 ?? ?? ?? ?? 8B 45 C8 89 45 D8 8B 45 CC 89 45 DC 8D 45 C8 50 8B 03 8B 88 54 01 00 00 2B CF 8B 45 08 8D 50 D0 8B C6 E8 ?? ?? ?? ?? 8B 45 C8 89 45 E0 8B 45 CC 89 45 E4 8D 45 C8 50 8B 03 8B 88 5C 01 00 00 03 CF 8B 45 08 8D 50 D0 8B C6 E8 ?? ?? ?? ?? 8B 45 C8 89 45 E8 8B 45 CC 89 45 EC 8D 45 C8 50 8B 03 8B 88 5C 01 00 00 03 CF 8B 45 08 8D 50 D8 8B C6 E8 ?? ?? ?? ?? 8B 45 C8 89 45 F0 8B 45 CC 89 45 F4 8D 4D B8 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 50 8B 03 8B 10 FF 92 8C 01 00 00 8B C8 8B C6 5A 8B 38 FF 57 58 89 45 F8 EB 05 33 C0 89 45 F8 8B 03 8B 40 3C 8B 50 18 52 8B C8 8B 46 04 8B 40 10 8B 50 18 8B 03 8B 40 40 E8 ?? ?? ?? ?? 8B 03 8B 80 54 01 00 00 50 8B 03 8B 80 5C 01 00 00 50 8B 45 08 8D 48 D0 8B 45 08 8D 50 D8 8B C6 8B 38 FF 97 80 01 00 00 8B 03 8B 10 FF 92 8C 01 00 00 84 C0 76 0A 8B 55 F8 8B C6 8B 08 FF 51 5C 80 7D FF 00 74 0E 8B 45 08 8B 50 CC 8B 46 04 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_90657_0 {
	meta:
		name = "CheckMaxPixelXY"
		size = 324
		refs = "0011 TeeMaxPixelPosLine 0087 CalcYPosLeftRight"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 08 8B 40 F0 3B 05 ?? ?? ?? ?? 7F 19 8B 45 08 8B 40 08 8B 40 F0 8B 15 ?? ?? ?? ?? F7 DA 3B C2 0F 8D 0F 01 00 00 8B 45 08 8B 40 08 8B 40 F0 3B 05 ?? ?? ?? ?? 7E 08 8B 35 ?? ?? ?? ?? EB 08 8B 35 ?? ?? ?? ?? F7 DE 33 DB 43 8B 45 08 8B 40 08 50 8B 45 08 8B 40 08 8B 40 FC 8B 78 74 8B D6 8B 87 B4 01 00 00 FF 97 B0 01 00 00 83 C4 F8 DD 1C 24 9B 8B 45 08 8B 40 08 8B 40 F8 48 E8 ?? ?? ?? ?? 59 8B 55 08 8B 52 08 89 42 EC 8B 45 08 8B 40 08 8B 40 EC 3B 05 ?? ?? ?? ?? 7F 15 8B 45 08 8B 40 08 8B 40 EC 8B 15 ?? ?? ?? ?? F7 DA 3B C2 7D 11 83 FB 05 7D 0C B9 03 00 00 00 8B C6 99 F7 F9 89 C6 8B 45 08 8B 40 08 8B 40 EC 3B 05 ?? ?? ?? ?? 7D 15 8B 45 08 8B 40 08 8B 40 EC 8B 15 ?? ?? ?? ?? F7 DA 3B C2 7F 09 83 FB 05 0F 85 58 FF FF FF 8B 45 08 8B 40 08 8B 40 EC 3B 05 ?? ?? ?? ?? 7E 0F 8B 45 08 8B 40 08 8B 15 ?? ?? ?? ?? 89 50 EC A1 ?? ?? ?? ?? F7 D8 8B 55 08 8B 52 08 3B 42 EC 7E 09 8B 55 08 8B 52 08 89 42 EC 8B 45 08 8B 40 08 89 70 F0 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_90658_0 {
	meta:
		name = "DrawPoint"
		size = 879
		refs = "00a5 TCustomSeries.GetAreaBrushColor 00b1 TChartSeries.GetSeriesColor 00be TChartBrush.GetImage 00d8 TCustomTeePanel.SetBrushCanvas 00f3 TBrush.SetColor 00fa TCustomSeries.GetLineBrush 011f TBrush.SetStyle 0126 TCustomLineSeries.GetLinePen 017c AddStairsTemplate 0185 DrawStairs 0199 AddLineTemplate 01a2 DrawLinePlane 0224 InternalDrawArea 02ca CheckMaxPixelXY 02d4 DrawLine2D 033f @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 88 45 CB 8B 5D 08 83 C3 FC 8B 45 08 8B 40 F0 8B 13 3B 82 D0 01 00 00 75 14 8B 45 08 8B 40 EC 8B 13 3B 82 D4 01 00 00 0F 84 A3 02 00 00 8B 03 80 B8 70 01 00 00 02 74 10 8B 45 08 81 78 E8 FF FF FF 1F 0F 84 88 02 00 00 8B 03 8B 70 40 8B 86 40 03 00 00 89 45 C4 80 BE 04 03 00 00 00 0F 84 3B 01 00 00 8B 03 80 B8 87 01 00 00 00 75 0F 8B 03 80 B8 88 01 00 00 00 0F 84 21 01 00 00 8B 03 80 B8 85 01 00 00 00 75 0B 8B 03 80 B8 87 01 00 00 00 74 12 8B 45 08 8B 50 E8 8B 03 E8 ?? ?? ?? ?? 89 45 CC EB 0A 8B 03 E8 ?? ?? ?? ?? 89 45 CC 8B 03 8B 40 3C E8 ?? ?? ?? ?? 83 78 0C 00 74 16 68 FF FF FF 00 8B 03 8B 48 3C 8B 55 CC 8B C6 E8 ?? ?? ?? ?? EB 45 8B 45 C4 8B 40 04 8B 50 10 8B 52 18 3B 55 CC 74 08 8B 55 CC E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 55 C4 8B 52 04 8B 52 10 0F B6 52 20 3A C2 74 14 8B 03 E8 ?? ?? ?? ?? 8B D0 8B 45 C4 8B 40 04 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B F8 8B 47 10 8B 48 18 8B 45 C4 8B D7 8B 38 FF 57 54 8B 45 08 8B 40 F0 89 45 D8 8B 45 08 8B 40 EC 89 45 DC 8B 03 8B 80 D0 01 00 00 89 45 D0 8B 03 8B 80 D4 01 00 00 89 45 D4 8B 03 80 B8 B1 01 00 00 00 74 1D 8B 03 80 B8 E8 01 00 00 00 74 09 55 E8 ?? ?? ?? ?? 59 EB 24 55 E8 ?? ?? ?? ?? 59 EB 1B 8B 03 80 B8 E8 01 00 00 00 74 09 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 8B 03 80 B8 87 01 00 00 00 74 7C 8B 45 08 8B 50 E8 8B 03 E8 ?? ?? ?? ?? 8B D0 8B 45 C4 8B 40 04 E8 ?? ?? ?? ?? 8B 03 8B B0 80 01 00 00 8B C6 8B 40 10 8B 40 18 3D 00 00 00 20 75 04 B0 01 EB 06 0F B6 46 28 34 01 84 C0 74 12 8B 45 08 8B 48 E8 8B D6 8B 45 C4 8B 30 FF 56 54 EB 10 8B 46 10 8B 48 18 8B 45 C4 8B D6 8B 30 FF 56 54 8B 45 08 50 8B 45 C4 8B 40 04 8B 40 10 8B 40 18 E8 ?? ?? ?? ?? 59 E9 AB 00 00 00 80 BE 04 03 00 00 00 0F 85 9E 00 00 00 8B 03 80 B8 88 01 00 00 00 0F 84 8F 00 00 00 8B 03 80 B8 85 01 00 00 00 74 18 8B 45 08 8B 50 F8 8B 03 8B 08 FF 91 B0 00 00 00 8B 55 08 89 42 E8 EB 5B 8B 03 E8 ?? ?? ?? ?? 8B 40 10 8B 40 18 85 C0 74 3D 8B 03 E8 ?? ?? ?? ?? 8B 40 10 8B 70 18 8B 03 E8 ?? ?? ?? ?? 3B F0 74 32 8B 03 E8 ?? ?? ?? ?? 8B 40 10 8B 40 18 8B 55 08 89 42 E8 8B 45 08 8B 50 E8 8B 03 8B 08 FF 91 D8 00 00 00 EB 0D 8B 03 E8 ?? ?? ?? ?? 8B 55 08 89 42 E8 55 E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 03 8B 80 9C 01 00 00 0F B6 40 10 22 45 CB 74 7E 8B 45 08 8B 50 F8 8B 03 8B 08 FF 91 B0 00 00 00 8B 55 08 89 42 E8 8B 03 8B 80 D8 01 00 00 3D FF FF FF 1F 75 36 8B 03 80 B8 70 01 00 00 00 74 4E 8B 45 08 8B 40 E8 50 8B 45 08 8B 40 E4 50 8B 03 8B 88 D4 01 00 00 8B 03 8B 90 D0 01 00 00 8B 03 66 BE E4 FF E8 ?? ?? ?? ?? EB 23 50 8B 45 08 8B 40 E4 50 8B 03 8B 88 D4 01 00 00 8B 03 8B 90 D0 01 00 00 8B 03 66 BE E4 FF E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90659_0 {
	meta:
		name = "TCustomSeries.DrawValue"
		size = 1405
		refs = "0071 TChartSeries.FirstDisplayedIndex 007d TChartSeries.IsNull 0140 TChartSeries.LastDisplayedIndex 01a9 TPen.SetColor 01bf TBrush.SetColor 0326 CalcYPosLeftRight 0346 DrawPoint 036e DoAddPathPoint 03a5 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 55 F8 89 45 FC 8D 5D FC 8B 03 80 B8 87 01 00 00 00 74 21 8B 03 8B 10 FF 92 68 01 00 00 84 C0 75 13 8B 55 F8 42 8B 03 8B 08 FF 91 B0 00 00 00 89 45 E8 EB 10 8B 55 F8 8B 03 8B 08 FF 91 B0 00 00 00 89 45 E8 8B 55 F8 8B 03 8B 08 FF 91 3C 01 00 00 89 45 F0 8B 55 F8 8B 03 8B 08 FF 91 44 01 00 00 89 45 EC 8B 03 E8 ?? ?? ?? ?? 8B F8 8B 55 F8 8B 03 E8 ?? ?? ?? ?? 84 C0 74 74 8B 03 80 B8 70 01 00 00 01 75 69 3B 7D F8 74 18 8B 03 8B 80 D0 01 00 00 89 45 F0 8B 03 8B 80 D4 01 00 00 89 45 EC EB 4C 8B 45 F8 8B F0 8B 03 8B 80 A0 00 00 00 8B 40 04 48 2B C6 7C 37 40 89 45 DC 8B D6 8B 03 E8 ?? ?? ?? ?? 84 C0 75 20 8B D6 8B 03 8B 08 FF 91 3C 01 00 00 89 45 F0 8B D6 8B 03 8B 08 FF 91 44 01 00 00 89 45 EC EB 06 46 FF 4D DC 75 CD 8B 03 81 B8 D8 01 00 00 FF FF FF 1F 75 21 8B 03 80 B8 70 01 00 00 00 75 16 8B 03 8B 55 F0 89 90 D0 01 00 00 8B 03 8B 55 EC 89 90 D4 01 00 00 8B 55 F8 8B 03 8B 08 FF 91 A0 01 00 00 8B 13 89 82 C8 01 00 00 8B 03 E8 ?? ?? ?? ?? 89 45 E0 8B 45 F8 3B 45 E0 0F 94 45 F7 8B 03 8B 10 FF 92 68 01 00 00 84 C0 74 19 8B 45 F8 48 89 45 E4 8B 03 8B 80 28 01 00 00 3B 45 E4 7E 1C 89 45 E4 EB 17 8B 45 F8 40 89 45 E4 8B 03 8B 80 2C 01 00 00 3B 45 E4 7D 03 89 45 E4 8B 03 8B 40 40 8B B0 40 03 00 00 8B 46 10 8B 50 10 83 7A 18 00 74 07 33 D2 E8 ?? ?? ?? ?? 8B 46 04 8B 50 10 8B 52 18 3B 55 E8 74 08 8B 55 E8 E8 ?? ?? ?? ?? 8B 03 80 B8 6C 01 00 00 00 74 07 8B 03 8B 70 74 EB 05 8B 03 8B 70 78 3B 7D F8 0F 85 40 02 00 00 8B 03 80 B8 E8 01 00 00 00 75 54 8B 03 80 B8 86 01 00 00 00 74 49 8B 03 8B 40 40 89 45 D8 8B 45 D8 83 B8 24 04 00 00 00 74 21 8B 45 D8 DB 80 28 04 00 00 8B 45 D8 DB 80 24 04 00 00 DE F9 D9 E1 8B 03 DD 98 E0 01 00 00 9B EB 14 8B 03 33 D2 89 90 E0 01 00 00 C7 80 E4 01 00 00 00 00 F0 3F 8B 03 3B B8 28 01 00 00 0F 85 FD 00 00 00 83 7D F8 00 0F 8E F3 00 00 00 8B 03 80 B8 87 01 00 00 00 74 47 8B 55 F8 4A 8B 03 8B 08 FF 91 3C 01 00 00 8B 13 89 82 D0 01 00 00 8B 55 F8 4A 8B 03 8B 08 FF 91 44 01 00 00 8B 13 89 82 D4 01 00 00 8B 55 F8 4A 8B 03 8B 08 FF 91 A0 01 00 00 8B 13 89 82 CC 01 00 00 E9 87 00 00 00 80 BE B8 00 00 00 00 74 15 8B 03 8B 40 40 8B 80 4C 03 00 00 8B 13 89 82 D0 01 00 00 EB 13 8B 03 8B 40 40 8B 80 44 03 00 00 8B 13 89 82 D0 01 00 00 8B 03 80 B8 B1 01 00 00 00 74 18 8B 55 F8 4A 8B 03 8B 08 FF 91 44 01 00 00 8B 13 89 82 D4 01 00 00 EB 33 55 8B 03 8B 70 74 8B 03 8B 90 D0 01 00 00 8B 86 B4 01 00 00 FF 96 B0 01 00 00 83 C4 F8 DD 1C 24 9B 8B 45 F8 48 E8 ?? ?? ?? ?? 59 8B 13 89 82 D4 01 00 00 8B 55 F8 4A 8B 03 E8 ?? ?? ?? ?? 84 C0 75 31 55 33 C0 E8 ?? ?? ?? ?? 59 EB 26 8B 03 80 B8 E8 01 00 00 00 74 1B 55 DB 45 F0 83 C4 F8 DD 1C 24 9B DB 45 EC 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 80 7D F7 00 74 30 8B 03 8B 80 9C 01 00 00 80 78 10 00 74 22 81 7D E8 FF FF FF 1F 74 19 8B 45 E8 50 8B 45 F8 50 8B 4D EC 8B 55 F0 8B 03 66 BE E4 FF E8 ?? ?? ?? ?? 8B 03 80 B8 E8 01 00 00 00 0F 85 8D 01 00 00 8B 03 80 B8 87 01 00 00 00 0F 84 7E 01 00 00 8B 03 8B 40 40 80 B8 04 03 00 00 00 0F 84 6C 01 00 00 8B 03 8B 40 40 8B B0 40 03 00 00 8B C6 8B 10 FF 52 1C 84 C0 0F 84 52 01 00 00 8B 03 8B 80 C8 01 00 00 50 8B 03 8B 80 54 01 00 00 50 8B 03 8B 80 5C 01 00 00 50 8B 4D EC 8B 55 F0 8B C6 8B 30 FF 96 A8 01 00 00 E9 22 01 00 00 8B 45 F8 3B 45 E0 0F 85 0D 01 00 00 55 B0 01 E8 ?? ?? ?? ?? 59 8B 03 3B B8 2C 01 00 00 0F 85 FF 00 00 00 83 7D F8 00 0F 8E F5 00 00 00 8B 03 80 B8 87 01 00 00 00 74 47 8B 55 F8 4A 8B 03 8B 08 FF 91 3C 01 00 00 8B 13 89 82 D0 01 00 00 8B 55 F8 4A 8B 03 8B 08 FF 91 44 01 00 00 8B 13 89 82 D4 01 00 00 8B 55 F8 4A 8B 03 8B 08 FF 91 A0 01 00 00 8B 13 89 82 CC 01 00 00 E9 80 00 00 00 80 BE B8 00 00 00 00 74 15 8B 03 8B 40 40 8B 80 4C 03 00 00 8B 13 89 82 D0 01 00 00 EB 13 8B 03 8B 40 40 8B 80 44 03 00 00 8B 13 89 82 D0 01 00 00 8B 03 80 B8 B1 01 00 00 00 74 18 8B 55 F8 4A 8B 03 8B 08 FF 91 44 01 00 00 8B 13 89 82 D4 01 00 00 EB 2C 55 8B 03 8B 90 D0 01 00 00 8B 03 8B 08 FF 91 4C 01 00 00 83 C4 F8 DD 1C 24 9B 8B 45 F8 48 E8 ?? ?? ?? ?? 59 8B 13 89 82 D4 01 00 00 8B 55 F8 4A 8B 03 E8 ?? ?? ?? ?? 84 C0 75 14 55 33 C0 E8 ?? ?? ?? ?? 59 EB 09 55 B0 01 E8 ?? ?? ?? ?? 59 8B 03 8B 55 F0 89 90 D0 01 00 00 8B 03 8B 55 EC 89 90 D4 01 00 00 8B 03 8B 80 C8 01 00 00 8B 13 89 82 CC 01 00 00 8B 03 8B 55 E8 89 90 D8 01 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90660_0 {
	meta:
		name = "TCustomSeries.DrawHiddenValue"
		size = 480
		refs = "0120 TPen.SetStyle 01a5 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B F2 8B F8 8B 5D 08 8B D6 8B C7 8B 08 FF 91 3C 01 00 00 89 45 F8 8B D6 8B C7 8B 08 FF 91 44 01 00 00 89 45 F4 8B 45 FC D1 F8 79 03 83 D0 00 89 45 F0 80 BB B9 00 00 00 00 75 11 8B 47 78 80 B8 B8 00 00 00 00 75 05 F7 5D F0 EB 18 80 BB B9 00 00 00 00 74 0F 8B 47 74 80 B8 B8 00 00 00 00 74 03 F7 5D F0 80 BB B9 00 00 00 00 74 18 FF 75 18 FF 75 14 8B C7 8B 10 FF 92 40 01 00 00 03 45 F0 89 45 F8 EB 16 FF 75 18 FF 75 14 8B C7 8B 10 FF 92 48 01 00 00 03 45 F0 89 45 F4 80 BB B9 00 00 00 00 74 2C 8B D6 4A 8B C7 8B 08 FF 91 B4 00 00 00 DC 5D 14 9B DF E0 9E 77 16 8B D6 4A 8B C7 8B 08 FF 91 B4 00 00 00 DC 5D 0C 9B DF E0 9E 73 35 80 BB B9 00 00 00 00 75 41 8B D6 4A 8B C7 8B 08 FF 91 B8 00 00 00 DC 5D 14 9B DF E0 9E 72 2B 8B D6 4A 8B C7 8B 08 FF 91 B8 00 00 00 DC 5D 0C 9B DF E0 9E 77 15 8B 47 40 8B 80 40 03 00 00 8B 40 10 B2 05 E8 ?? ?? ?? ?? EB 19 8B 47 44 8B 50 10 8B 4A 18 8B D0 8B 47 40 8B 80 40 03 00 00 8B 18 FF 53 54 8B 45 F8 50 8B 45 F4 50 8B 47 40 8B 80 40 03 00 00 8B 8F D4 01 00 00 8B 97 D0 01 00 00 8B 18 FF 93 D0 00 00 00 8B 87 9C 01 00 00 80 78 10 00 74 55 8B 87 D8 01 00 00 3D FF FF FF 1F 75 2E 80 BF 70 01 00 00 00 74 3F 8B 47 3C 8B 40 10 8B 40 18 50 4E 56 8B 8F D4 01 00 00 8B 97 D0 01 00 00 8B C7 66 BE E4 FF E8 ?? ?? ?? ?? EB 1A 50 4E 56 8B 8F D4 01 00 00 8B 97 D0 01 00 00 8B C7 66 BE E4 FF E8 ?? ?? ?? ?? 8B 45 F8 89 87 D0 01 00 00 8B 45 F4 89 87 D4 01 00 00 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_90661_0 {
	meta:
		name = "TCustomSeries.InitDrawValue"
		size = 90
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 7E 4B 8B FE 4F 8B D7 8B C3 8B 08 FF 91 3C 01 00 00 89 83 D0 01 00 00 8B D7 8B C3 8B 08 FF 91 44 01 00 00 89 83 D4 01 00 00 8B D7 8B C3 8B 08 FF 91 A0 01 00 00 89 83 CC 01 00 00 8B D7 8B C3 8B 08 FF 91 B0 00 00 00 89 83 D8 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90662_0 {
	meta:
		name = "TCustomSeries.DrawPointer"
		size = 372
		refs = "0027 TSeriesPointer.PrepareCanvas 0030 TCustomSeries.DoGetPointerStyle 0067 TVisualsList.GetVisual 007d TCustomSeries.DrawPointer 00bc TSeriesPointer.GetStartZ 00d4 TSeriesPointer.GetEndZ 00f1 TVisualBlock.SetBounds 012b TSeriesPointer.Draw"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 43 40 8B 90 40 03 00 00 8B 4D 0C 8B 83 9C 01 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 88 45 F7 66 83 BB C2 01 00 00 00 74 17 8B 43 40 8B 90 40 03 00 00 8B 4D 0C 8B 83 9C 01 00 00 E8 ?? ?? ?? ?? 80 7D F7 0D 75 11 8B D6 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 8B 43 40 8B 80 40 03 00 00 33 C9 BA ?? ?? ?? ?? 8B 38 FF 97 E4 00 00 00 85 F6 0F 84 84 00 00 00 8B BB 9C 01 00 00 8B 47 24 8B 55 FC 2B D0 89 55 E4 03 45 FC 89 45 EC 8B 47 38 8B 55 F8 2B D0 89 55 E8 03 45 F8 89 45 F0 8B C7 E8 ?? ?? ?? ?? 89 45 E0 DB 45 E0 83 C4 F8 DD 1C 24 9B 8B 83 9C 01 00 00 E8 ?? ?? ?? ?? 89 45 DC DB 45 DC 83 C4 F8 DD 1C 24 9B 8B 43 40 8B 48 54 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 6A 00 8B 45 0C 50 8B C3 8B 10 FF 92 8C 01 00 00 50 8B 4B 3C 8B 53 44 8B C6 8B 30 FF 56 48 EB 1A 8B 45 0C 50 0F B6 45 F7 50 8B 4D F8 8B 55 FC 8B 83 9C 01 00 00 E8 ?? ?? ?? ?? 8B 43 40 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 65 00 72 00 69 00 65 00 73 00 50 00 6F 00 69 00 6E 00 74 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_90663_0 {
	meta:
		name = "TCustomSeries.GetEditorClass"
		size = 72
		refs = "0006 TCustomSeries.GetEditorClass 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 54 00 43 00 75 00 73 00 74 00 6F 00 6D 00 53 00 65 00 72 00 69 00 65 00 73 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_90664_0 {
	meta:
		name = "TCustomSeries.InternalCalcMargin"
		size = 255
		refs = "0025 TSeriesPointer.CalcHorizMargins 0037 TSeriesPointer.CalcVerticalMargins 0050 TCustomLineSeries.GetLinePen"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FF 8B DA 8B F0 8B 7D 0C 80 7D FF 00 74 12 8B 4D 08 8B D7 8B 86 9C 01 00 00 E8 ?? ?? ?? ?? EB 10 8B 4D 08 8B D7 8B 86 9C 01 00 00 E8 ?? ?? ?? ?? 80 BE 88 01 00 00 00 74 78 80 BE B1 01 00 00 00 74 34 8B C6 E8 ?? ?? ?? ?? 8B 40 10 8B 40 1C 8B 17 3B C2 7D 02 8B C2 89 07 8B C6 E8 ?? ?? ?? ?? 8B 40 10 8B 40 1C 8B 55 08 8B 12 3B C2 7D 02 8B C2 8B 55 08 89 02 8B 86 98 01 00 00 80 78 28 00 74 2F 8B 17 8B 86 98 01 00 00 8B 40 10 8B 40 1C 3B D0 7E 05 89 55 F8 EB 03 89 45 F8 8B 55 F8 89 17 8B 55 08 8B 12 3B C2 7D 02 8B C2 8B 55 08 89 02 8B 86 88 00 00 00 84 58 10 74 2F 8B C6 8B 10 FF 92 80 01 00 00 80 BE 6C 01 00 00 00 74 0F 8B 55 08 8B 12 3B C2 7D 02 8B C2 89 07 EB 0D 8B 17 3B C2 7D 02 8B C2 8B 55 08 89 02 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_90665_0 {
	meta:
		name = "TCustomSeries.IsPointInChartRect"
		size = 137
		refs = "0078 IntersectRect"
	strings:
		$1 = { 53 56 57 83 C4 C0 8B FA 8B D8 8B D7 8B C3 8B 08 FF 91 3C 01 00 00 8B F0 8B D7 8B C3 8B 08 FF 91 44 01 00 00 8B 93 9C 01 00 00 8B 4A 24 8B FE 2B F9 89 7C 24 30 8B F8 2B 7A 38 89 7C 24 34 03 F1 89 74 24 38 8B 93 9C 01 00 00 03 42 38 89 44 24 3C 8D 74 24 30 8B FC A5 A5 A5 A5 8B 43 40 8D B0 44 03 00 00 8D 7C 24 10 A5 A5 A5 A5 54 8D 44 24 14 50 8D 44 24 28 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 83 C4 40 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90666_0 {
	meta:
		name = "TCustomSeries.CalcMarkLength"
		size = 37
		refs = "000b TSeriesMarks.GetCallout"
	strings:
		$1 = { 53 56 8B D8 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B 70 54 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 03 70 4C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_90667_0 {
	meta:
		name = "TCustomSeries.CalcFirstLastVisibleIndex"
		size = 240
		refs = "000a TChartSeries.CalcFirstLastVisibleIndex 0019 TChartSeries.Count 0067 TChartValueList.GetValue"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? EB 06 FF 83 2C 01 00 00 8B C3 E8 ?? ?? ?? ?? 48 3B 83 2C 01 00 00 7E 1D 8B 93 2C 01 00 00 42 8B C3 8B 08 FF 91 BC 00 00 00 84 C0 75 D5 EB 06 FF 83 2C 01 00 00 8B B3 2C 01 00 00 83 FE FF 7E 44 8B C3 E8 ?? ?? ?? ?? 48 3B F0 7D 38 8B 93 2C 01 00 00 8B 83 68 01 00 00 E8 ?? ?? ?? ?? DD 1C 24 9B 8B 93 2C 01 00 00 42 8B 83 68 01 00 00 E8 ?? ?? ?? ?? DC 1C 24 9B DF E0 9E 74 B3 EB 06 FF 8B 28 01 00 00 8B B3 28 01 00 00 85 F6 7E 19 8B D6 4A 8B C3 8B 08 FF 91 BC 00 00 00 84 C0 75 DF EB 06 FF 8B 28 01 00 00 8B B3 28 01 00 00 85 F6 7E 2C 8B D6 8B 83 68 01 00 00 E8 ?? ?? ?? ?? DD 1C 24 9B 8B 93 28 01 00 00 4A 8B 83 68 01 00 00 E8 ?? ?? ?? ?? DC 1C 24 9B DF E0 9E 74 C4 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_90668_0 {
	meta:
		name = "TCustomSeries.CalcHorizMargins"
		size = 45
		refs = "0010 TCustomChartSeries.CalcHorizMargins 0025 TCustomSeries.InternalCalcMargin"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 56 57 0F B6 93 6C 01 00 00 80 F2 01 B1 01 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90669_0 {
	meta:
		name = "TCustomSeries.CalcVerticalMargins"
		size = 79
		refs = "0010 TCustomChartSeries.CalcVerticalMargins 0022 TCustomSeries.InternalCalcMargin"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 57 56 33 C9 0F B6 93 6C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 94 01 00 00 85 C0 7E 1B 80 BB 87 01 00 00 00 75 12 8B 53 40 80 BA 04 03 00 00 00 74 06 3B 06 7E 02 89 06 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90670_0 {
	meta:
		name = "TCustomSeries.CalcZOrder"
		size = 31
		refs = "000a TChartSeries.CalcZOrder"
	strings:
		$1 = { 80 B8 B0 01 00 00 00 75 06 E8 ?? ?? ?? ?? C3 8B 50 40 8B 92 20 04 00 00 89 90 40 01 00 00 C3 }
	condition:
		$1
}

rule function_90672_0 {
	meta:
		name = "TCustomSeries.PointOrigin"
		size = 224
		refs = "00a0 TCustomSeries.PointOrigin"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 88 4C 24 04 89 14 24 8B F0 33 C0 89 44 24 08 89 44 24 0C 8B 46 40 85 C0 0F 84 AB 00 00 00 89 44 24 18 8B 44 24 18 8B 80 B4 03 00 00 8B 78 08 4F 85 FF 0F 8C 91 00 00 00 47 33 ED 8B 44 24 18 8B 80 B4 03 00 00 8B 40 04 8B 1C A8 80 7C 24 04 00 75 04 3B F3 74 73 80 7B 38 00 74 65 8B D3 8B C6 8B 08 FF 91 98 01 00 00 84 C0 74 55 8B 83 A0 00 00 00 8B 40 04 3B 04 24 7E 47 8B 14 24 8B C3 8B 08 FF 91 60 01 00 00 DD 5C 24 10 9B 80 7C 24 04 00 74 21 DD 44 24 10 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 11 DD 44 24 10 D9 E0 DC 44 24 08 DD 5C 24 08 9B EB 0D DD 44 24 08 DC 44 24 10 DD 5C 24 08 9B 45 4F 0F 85 72 FF FF FF DD 44 24 08 83 C4 1C 5D 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_90673_0 {
	meta:
		name = "TCustomSeries.CalcStackedPos"
		size = 160
		refs = "0013 TCustomSeries.PointOrigin 002a TChartSeries.MandatoryAxis 003d TChartSeries.CalcPosValue 005d TCustomSeries.CalcStackedPos"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? DC 45 08 DD 5D 08 9B 80 BB B0 01 00 00 02 75 22 8B C3 E8 ?? ?? ?? ?? 8B B0 8C 01 00 00 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 3B C6 7E 4B 8B C6 EB 47 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 1C DD 45 08 D8 0D ?? ?? ?? ?? DC 75 F8 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? EB 0D 8B C3 E8 ?? ?? ?? ?? 8B 80 8C 01 00 00 5E 5B 59 59 5D C2 08 00 00 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_90674_0 {
	meta:
		name = "TCustomSeries.GetOriginPos"
		size = 90
		refs = "0055 TCustomSeries.CalcStackedPos"
	strings:
		$1 = { 0F B6 88 B0 01 00 00 84 C9 74 05 80 F9 01 75 40 80 B8 6C 01 00 00 00 74 1C 8B 40 78 80 B8 B8 00 00 00 00 74 08 8B 80 88 01 00 00 EB 2C 8B 80 8C 01 00 00 EB 24 8B 40 74 80 B8 B8 00 00 00 00 74 08 8B 80 8C 01 00 00 EB 10 8B 80 88 01 00 00 C3 6A 00 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90675_0 {
	meta:
		name = "TCustomSeries.MaxXValue"
		size = 201
		refs = "0014 TChartSeries.MaxXValue 006d TCustomSeries.PointOrigin"
	strings:
		$1 = { 53 56 57 83 C4 D4 8B F0 80 BE 6C 01 00 00 00 74 10 8B C6 E8 ?? ?? ?? ?? DD 1C 24 9B E9 9E 00 00 00 80 BE B0 01 00 00 03 75 12 33 C0 89 04 24 C7 44 24 04 00 00 59 40 E9 83 00 00 00 33 D2 8B C6 8B 08 FF 91 84 01 00 00 DD 1C 24 9B 80 BE B0 01 00 00 02 75 6A 8B 86 A0 00 00 00 8B 78 04 4F 85 FF 7C 5C 47 33 DB 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 86 A0 00 00 00 8B 40 54 DC 04 D8 DB 7C 24 10 9B DB 6C 24 10 DC 1C 24 9B DF E0 9E 73 0A DD 04 24 DB 7C 24 20 9B EB 1A 8B 44 24 10 89 44 24 20 8B 44 24 14 89 44 24 24 66 8B 44 24 18 66 89 44 24 28 DB 6C 24 20 DD 1C 24 9B 43 4F 75 A7 DD 04 24 83 C4 2C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90676_0 {
	meta:
		name = "TCustomSeries.MinXValue"
		size = 71
		refs = "0038 TChartSeries.MinXValue"
	strings:
		$1 = { 56 83 C4 F8 8B F0 80 BE 6C 01 00 00 00 75 26 80 BE B0 01 00 00 03 75 0B 33 C0 89 04 24 89 44 24 04 EB 1D B2 01 8B C6 8B 08 FF 91 84 01 00 00 DD 1C 24 9B EB 0B 8B C6 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5E C3 }
	condition:
		$1
}

rule function_90677_0 {
	meta:
		name = "TCustomSeries.MaxYValue"
		size = 201
		refs = "0014 TChartSeries.MaxYValue 006d TCustomSeries.PointOrigin"
	strings:
		$1 = { 53 56 57 83 C4 D4 8B F0 80 BE 6C 01 00 00 00 75 10 8B C6 E8 ?? ?? ?? ?? DD 1C 24 9B E9 9E 00 00 00 80 BE B0 01 00 00 03 75 12 33 C0 89 04 24 C7 44 24 04 00 00 59 40 E9 83 00 00 00 33 D2 8B C6 8B 08 FF 91 84 01 00 00 DD 1C 24 9B 80 BE B0 01 00 00 02 75 6A 8B 86 A0 00 00 00 8B 78 04 4F 85 FF 7C 5C 47 33 DB 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 86 A4 00 00 00 8B 40 54 DC 04 D8 DB 7C 24 10 9B DB 6C 24 10 DC 1C 24 9B DF E0 9E 73 0A DD 04 24 DB 7C 24 20 9B EB 1A 8B 44 24 10 89 44 24 20 8B 44 24 14 89 44 24 24 66 8B 44 24 18 66 89 44 24 28 DB 6C 24 20 DD 1C 24 9B 43 4F 75 A7 DD 04 24 83 C4 2C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90678_0 {
	meta:
		name = "TCustomSeries.CalcMinMaxValue"
		size = 278
		refs = "0032 TChartSeries.IsNull"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 88 14 24 8B E8 33 C0 89 44 24 08 89 44 24 0C B3 01 8B 85 A0 00 00 00 8B 78 04 4F 85 FF 0F 8C E0 00 00 00 47 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? 84 C0 74 0D 80 BD 70 01 00 00 02 0F 85 BB 00 00 00 8B 85 60 01 00 00 8B 40 54 8B 14 F0 89 54 24 10 8B 54 F0 04 89 54 24 14 84 DB 74 17 8B 44 24 10 89 44 24 08 8B 44 24 14 89 44 24 0C 33 DB E9 88 00 00 00 80 3C 24 00 74 42 DD 44 24 08 DC 5C 24 10 9B DF E0 9E 73 12 8B 44 24 08 89 44 24 18 8B 44 24 0C 89 44 24 1C EB 10 8B 44 24 10 89 44 24 18 8B 44 24 14 89 44 24 1C 8B 44 24 18 89 44 24 08 8B 44 24 1C 89 44 24 0C EB 40 DD 44 24 08 DC 5C 24 10 9B DF E0 9E 76 12 8B 44 24 08 89 44 24 20 8B 44 24 0C 89 44 24 24 EB 10 8B 44 24 10 89 44 24 20 8B 44 24 14 89 44 24 24 8B 44 24 20 89 44 24 08 8B 44 24 24 89 44 24 0C 46 4F 0F 85 23 FF FF FF DD 44 24 08 83 C4 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90679_0 {
	meta:
		name = "TCustomSeries.MinYValue"
		size = 444
		refs = "0026 TChartSeries.MinYValue 0055 TCustomSeries.PointOrigin 00e8 TCustomSeries.MinYValue 0156 TChartSeries.MandatoryAxis"
	strings:
		$1 = { 53 56 57 83 C4 A0 8B F0 80 BE 6C 01 00 00 00 74 12 B2 01 8B C6 8B 08 FF 91 84 01 00 00 DD 1C 24 9B EB 0B 8B C6 E8 ?? ?? ?? ?? DD 1C 24 9B 0F B6 86 B0 01 00 00 3C 02 75 73 8B 86 A0 00 00 00 8B 78 04 4F 85 FF 0F 8C 5F 01 00 00 47 33 DB 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 86 A4 00 00 00 8B 40 54 DC 04 D8 DB 7C 24 10 9B DB 6C 24 10 DC 1C 24 9B DF E0 9E 76 0A DD 04 24 DB 7C 24 20 9B EB 1A 8B 44 24 10 89 44 24 20 8B 44 24 14 89 44 24 24 66 8B 44 24 18 66 89 44 24 28 DB 6C 24 20 DD 1C 24 9B 43 4F 75 A7 E9 FE 00 00 00 3C 03 0F 85 F6 00 00 00 33 C0 89 04 24 89 44 24 04 8B 86 A0 00 00 00 8B 78 04 4F 85 FF 0F 8C DB 00 00 00 47 33 DB B1 01 8B D3 8B C6 E8 ?? ?? ?? ?? DD 5C 24 08 9B DD 44 24 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 61 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 86 A4 00 00 00 8B 40 54 DC 04 D8 D8 0D ?? ?? ?? ?? DC 74 24 08 DB 7C 24 30 9B DB 6C 24 30 DC 1C 24 9B DF E0 9E 76 0A DD 04 24 DB 7C 24 40 9B EB 1A 8B 44 24 30 89 44 24 40 8B 44 24 34 89 44 24 44 66 8B 44 24 38 66 89 44 24 48 DB 6C 24 40 DD 1C 24 9B EB 4F 8B C6 E8 ?? ?? ?? ?? DB 80 8C 01 00 00 DD 5C 24 50 9B DD 04 24 DC 5C 24 50 9B DF E0 9E 73 11 8B 04 24 89 44 24 58 8B 44 24 04 89 44 24 5C EB 10 8B 44 24 50 89 44 24 58 8B 44 24 54 89 44 24 5C 8B 44 24 58 89 04 24 8B 44 24 5C 89 44 24 04 43 4F 0F 85 28 FF FF FF DD 04 24 83 C4 60 5F 5E 5B C3 00 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_90680_0 {
	meta:
		name = "TCustomSeries.CalcXPos"
		size = 58
		refs = "001d TChartSeries.CalcXPos 0034 TCustomSeries.CalcStackedPos"
	strings:
		$1 = { 53 80 B8 6C 01 00 00 00 75 12 80 B8 B0 01 00 00 00 74 09 80 B8 B0 01 00 00 01 75 07 E8 ?? ?? ?? ?? 5B C3 8B 88 A0 00 00 00 8B 49 54 FF 74 D1 04 FF 34 D1 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90681_0 {
	meta:
		name = "TCustomSeries.CalcYPos"
		size = 58
		refs = "001d TChartSeries.CalcYPos 0034 TCustomSeries.CalcStackedPos"
	strings:
		$1 = { 53 80 B8 6C 01 00 00 00 74 12 80 B8 B0 01 00 00 00 74 09 80 B8 B0 01 00 00 01 75 07 E8 ?? ?? ?? ?? 5B C3 8B 88 A4 00 00 00 8B 49 54 FF 74 D1 04 FF 34 D1 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90682_0 {
	meta:
		name = "TCustomSeries.GetAreaBrush"
		size = 14
	strings:
		$1 = { 8B 80 78 01 00 00 8B 40 10 0F B6 40 20 C3 }
	condition:
		$1
}

rule function_90683_0 {
	meta:
		name = "SetOther"
		size = 115
		refs = "0042 @IsClass"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 08 8B 40 FC 8B 40 40 85 C0 74 59 8B F8 8B 87 B4 03 00 00 8B 70 08 4E 85 F6 7C 49 46 33 DB 8B 87 B4 03 00 00 8B 40 04 8B 04 98 8B 00 89 45 FC 8B 45 08 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 1F 8B 45 08 8B 40 FC 0F B6 80 B0 01 00 00 8B 97 B4 03 00 00 8B 52 04 8B 14 9A 88 82 B0 01 00 00 43 4E 75 BA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90684_0 {
	meta:
		name = "TCustomSeries.SetStacked"
		size = 45
		refs = "001d SetOther 0026 TCustomChartElement.Repaint"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 3A 90 B0 01 00 00 74 18 8B 45 FC 88 90 B0 01 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_90685_0 {
	meta:
		name = "TCustomSeries.SetAreaBrush"
		size = 12
	strings:
		$1 = { 8B 80 78 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_90686_0 {
	meta:
		name = "TCustomSeries.SetColorEachLine"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 05 85 01 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90687_0 {
	meta:
		name = "TCustomSeries.SetDark3D"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 05 86 01 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90688_0 {
	meta:
		name = "TCustomSeries.SetOutLine"
		size = 12
	strings:
		$1 = { 8B 80 98 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_90689_0 {
	meta:
		name = "DrawOutline"
		size = 338
		refs = "0016 _Dn_TChartPen 001b TChartPen.Create 0029 _Dn_TChartHiddenPen 002e TChartHiddenPen.Create 0039 DrawOutline 0046 TCustomLineSeries.GetLinePen 0066 TPen.SetWidth 007d TChartSeries.GetSeriesColor 00d9 TChartSeries.DrawAllValues 00ed TCustomSeries.SetOutLine 0137 TObject.Free 0145 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 5D 08 83 C3 FC 6A 00 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 6A 00 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 03 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 08 8B 45 FC 80 78 28 00 75 0D BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 03 8B 90 98 01 00 00 8B 45 F8 8B 08 FF 51 08 8B 03 E8 ?? ?? ?? ?? 8B F0 8B 03 8B 80 98 01 00 00 8B 40 10 8B 78 18 8B 03 8B D7 8B 08 FF 91 D8 00 00 00 8B 03 8B 90 98 01 00 00 8B 03 8B 08 FF 51 50 8B 03 E8 ?? ?? ?? ?? 8B F8 8B 03 E8 ?? ?? ?? ?? 8B 40 10 8B 40 1C 8B D0 03 D2 8B 45 FC 8B 40 10 03 50 1C 8B C7 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 03 8B 55 FC 8B 08 FF 51 50 8B 03 8B 55 F8 E8 ?? ?? ?? ?? 8B 03 8B 40 40 80 B8 04 03 00 00 00 75 1B 8B 03 E8 ?? ?? ?? ?? 8B 40 10 8B 70 18 8B 03 8B D6 8B 08 FF 91 D8 00 00 00 EB 0C 8B 03 8B D6 8B 08 FF 91 D8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_90690_0 {
	meta:
		name = "DrawShadowEmboss"
		size = 305
		refs = "0014 TTeeShadow.GetSize 002b TChartSeries.GetSeriesColor 0058 TTeeCustomShapeBrushPen.SetVisible 00b3 TChartSeries.DrawAllValues"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 80 7B 20 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 85 C0 0F 84 07 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F8 8B 45 08 8B 40 FC 8B 53 08 8B 08 FF 91 D8 00 00 00 8B 45 08 8B 40 FC 8B 80 9C 01 00 00 0F B6 50 10 88 55 FF 33 D2 E8 ?? ?? ?? ?? 8B C6 F7 6B 0C 8B 55 08 8B 52 FC 8B 52 74 01 82 88 01 00 00 8B C6 F7 6B 0C 8B 55 08 8B 52 FC 8B 52 74 01 82 8C 01 00 00 8B C6 F7 6B 1C 8B 55 08 8B 52 FC 8B 52 78 01 82 88 01 00 00 8B C6 F7 6B 1C 8B 55 08 8B 52 FC 8B 52 78 01 82 8C 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B C6 F7 6B 1C 8B 55 08 8B 52 FC 8B 52 78 29 82 88 01 00 00 8B C6 F7 6B 1C 8B 55 08 8B 52 FC 8B 52 78 29 82 8C 01 00 00 8B C6 F7 6B 0C 8B 55 08 8B 52 FC 8B 52 74 29 82 88 01 00 00 0F AF 73 0C 8B 45 08 8B 40 FC 8B 40 74 29 B0 8C 01 00 00 8B 45 08 8B 40 FC 8B 80 9C 01 00 00 0F B6 55 FF E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B D7 8B 08 FF 91 D8 00 00 00 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90691_0 {
	meta:
		name = "TCustomSeries.DrawAllValues"
		size = 580
		refs = "0049 TChartAxes.SetFastCalc 00b9 TChartValueList.GetMaxValue 00c7 TChartSeries.CalcPosValue 00eb TChartValueList.GetMinValue 016d TVisualBlock.SetBounds 0176 TChartSeries.GetSeriesColor 01c1 DrawShadowEmboss 01ec DrawOutline 0215 TChartSeries.DrawAllValues 0239 TCustomSeries.SmoothSeries"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 45 FC 8D 75 FC 8B 06 8B 40 40 8B 80 A8 03 00 00 0F B6 40 14 88 45 FB 8B 06 80 B8 88 01 00 00 00 74 21 8B 06 8B 40 40 66 83 B8 3A 04 00 00 00 75 12 8B 06 8B 40 40 8B 80 A8 03 00 00 B2 01 E8 ?? ?? ?? ?? 8B 06 8B 80 9C 00 00 00 83 78 14 00 0F 95 C0 8B 16 88 82 E8 01 00 00 8B 06 80 B8 E8 01 00 00 00 0F 84 3F 01 00 00 8B 06 80 B8 87 01 00 00 00 75 0F 8B 06 80 B8 88 01 00 00 00 0F 84 25 01 00 00 8B 06 8B 80 9C 00 00 00 8B 40 14 C6 40 40 00 8B 06 8B 90 28 01 00 00 8B 06 8B 08 FF 91 3C 01 00 00 8B D8 8B 06 8B 80 60 01 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 06 E8 ?? ?? ?? ?? 8B F8 8B 06 8B 90 2C 01 00 00 8B 06 8B 08 FF 91 3C 01 00 00 89 45 F4 8B 06 8B 80 60 01 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B 06 E8 ?? ?? ?? ?? 89 5D D4 89 7D D8 8B 55 F4 89 55 DC 89 45 E0 56 8D 75 D4 8D 7D E4 A5 A5 A5 A5 5E 8B 06 8B 80 9C 00 00 00 8B 48 14 8B 06 8B 40 40 8B 80 40 03 00 00 33 D2 8B 18 FF 93 E4 00 00 00 8B 06 DB 80 54 01 00 00 83 C4 F8 DD 1C 24 9B 8B 06 DB 80 5C 01 00 00 83 C4 F8 DD 1C 24 9B 8B 06 8B 40 40 8B 48 54 8D 55 E4 8B 06 8B 80 9C 00 00 00 8B 40 14 E8 ?? ?? ?? ?? 6A 00 8B 06 E8 ?? ?? ?? ?? 50 8B 06 8B 10 FF 92 8C 01 00 00 50 8B 06 8B 48 3C 8B 06 8B 50 44 8B 06 8B 80 9C 00 00 00 8B 40 14 8B 18 FF 53 48 8B 06 8B 80 9C 00 00 00 8B 40 14 8B 10 FF 52 44 EB 3F 55 8B 06 8B 80 A0 01 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 59 55 8B 06 8B 80 8C 01 00 00 83 CA FF E8 ?? ?? ?? ?? 59 8B 06 8B 80 98 01 00 00 85 C0 74 0D 80 78 28 00 74 07 55 E8 ?? ?? ?? ?? 59 8B 06 8B 40 3C 8B 50 10 8B 52 18 52 8B 48 18 8B D0 8B 06 8B 40 40 8B 80 40 03 00 00 8B 18 FF 53 50 8B 06 E8 ?? ?? ?? ?? 8B 06 8B 40 40 8B 80 A8 03 00 00 0F B6 50 14 3A 55 FB 74 09 0F B6 55 FB E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90692_0 {
	meta:
		name = "TCustomSeries.SetTransparency"
		size = 20
		refs = "000f TCustomChartElement.Repaint"
	strings:
		$1 = { 3A 90 B2 01 00 00 74 0B 88 90 B2 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90693_0 {
	meta:
		name = "TChartShape.SetGradient"
		size = 24
		refs = "000a TChartBrush.GetGradient"
		altNames = "TCircledSeries.SetCircleGradient TCustomBarSeries.SetGradient TCustomSeries.SetGradient"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 3C E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_90694_0 {
	meta:
		name = "TCustomSeries.GetTransparency"
		size = 8
	strings:
		$1 = { 0F B6 80 B2 01 00 00 C3 }
	condition:
		$1
}

rule function_90695_0 {
	meta:
		name = "TCustomSeries.GetGradient"
		size = 43
		refs = "0007 _DV_TAreaSeries 000c @IsClass 001b TChartBrush.GetGradient"
	strings:
		$1 = { 53 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 83 78 01 00 00 E8 ?? ?? ?? ?? 5B C3 8B 43 3C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90696_0 {
	meta:
		name = "TLineSeries.Create"
		size = 94
		refs = "000a @ClassCreate 0017 TCustomSeries.Create 0032 TTeeCustomShapeBrushPen.SetVisible 004b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 88 01 00 00 01 C6 86 51 01 00 00 00 8B 86 9C 01 00 00 33 D2 E8 ?? ?? ?? ?? C6 86 4D 01 00 00 01 C6 86 50 01 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_90697_0 {
	meta:
		name = "TLineSeries.PrepareLegendCanvas"
		size = 56
		refs = "000a TCustomLineSeries.GetLinePen 0029 TCustomSeries.GetLineBrush"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 46 10 8B 48 18 8B 43 40 8B 80 40 03 00 00 8B D6 8B 30 FF 56 54 8B C3 E8 ?? ?? ?? ?? 8B 55 08 88 02 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_90698_0 {
	meta:
		name = "TLineSeries.Assign"
		size = 81
		refs = "000c TCustomSeries.Assign 0019 @IsClass 0025 _DV_TLineSeries 003b TTeeCustomShapeBrushPen.SetVisible"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 03 89 C7 8B C6 8B D7 E8 ?? ?? ?? ?? 84 C0 75 1E 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0D 8B 83 9C 01 00 00 33 D2 E8 ?? ?? ?? ?? C6 83 87 01 00 00 00 C6 83 88 01 00 00 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90699_0 {
	meta:
		name = "TLineSeries.SetSubGallery"
		size = 147
		refs = "000c TLineSeries.SetSubGallery 0039 TCustomSeries.SetStairs 0047 TTeeCustomShapeBrushPen.SetVisible 0054 TCustomSeries.SetLineHeight 005e TCustomSeries.SetLineBrush 0082 TChartPen.Hide 008e TChartPen.Show"
	strings:
		$1 = { 83 F9 08 0F 87 89 00 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C2 B2 01 E8 ?? ?? ?? ?? C3 8B 82 9C 01 00 00 B2 01 E8 ?? ?? ?? ?? C3 8B C2 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 8B C2 B2 01 E8 ?? ?? ?? ?? C3 8B C2 B2 01 8B 08 FF 91 D4 00 00 00 C3 8B 82 88 00 00 00 B2 01 E8 ?? ?? ?? ?? C3 8B 42 44 E8 ?? ?? ?? ?? C3 8B 82 98 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90700_0 {
	meta:
		name = "TLineSeries.CreateSubGallery"
		size = 130
		refs = "000a TChartSeries.CreateSubGallery 0010 TeeMsg_Stairs 001e TeeMsg_Points 002c TeeMsg_Height 003a TeeMsg_Hollow 0048 TeeMsg_Colors 0056 TeeMsg_Marks 0064 TeeMsg_NoBorder 0072 TeeMsg_Outline"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 5D C2 08 00 }
	condition:
		$1
}

rule function_90701_0 {
	meta:
		name = "THorizLineSeries.Create"
		size = 87
		refs = "000a @ClassCreate 0017 TLineSeries.Create 001e TChartSeries.SetHorizontal 0044 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C6 86 4F 01 00 00 00 8B 86 A0 00 00 00 C6 40 24 00 8B 86 A4 00 00 00 C6 40 24 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_90703_0 {
	meta:
		name = "THorizLineSeries.DrawMark"
		size = 170
		refs = "001b TSeriesMarks.GetCallout 009d TCustomSeries.DrawMark"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F0 8B 5D 08 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 8B 78 54 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 03 78 4C 8B 55 FC 8B C6 8B 08 FF 91 A0 01 00 00 3B 43 04 0F 9F C0 84 C0 74 05 F7 DF 2B 7B 28 8B 53 28 D1 FA 79 03 83 D2 00 03 D7 01 53 20 8B 53 1C D1 FA 79 03 83 D2 00 01 53 24 01 7B 10 84 C0 74 13 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 8B 40 4C 29 43 04 EB 11 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 8B 40 4C 01 43 04 53 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_90704_0 {
	meta:
		name = "TPointSeries.Create"
		size = 94
		refs = "000a @ClassCreate 0017 TCustomSeries.Create 001e TPointSeries.SetFixed 0029 TSeriesMarks.GetCallout 0030 TMarksCallout.SetLength 004b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 33 D2 89 50 58 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_90706_0 {
	meta:
		name = "TPointSeries.SetFixed"
		size = 39
		refs = "000c TTeeCustomShapeBrushPen.SetVisible"
	strings:
		$1 = { 53 8B D8 B2 01 8B 83 9C 01 00 00 E8 ?? ?? ?? ?? C6 83 87 01 00 00 00 C6 83 88 01 00 00 00 C6 83 84 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_90707_0 {
	meta:
		name = "TPointSeries.GetEditorClass"
		size = 76
		refs = "0006 TPointSeries.GetEditorClass 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 54 00 53 00 65 00 72 00 69 00 65 00 73 00 50 00 6F 00 69 00 6E 00 74 00 65 00 72 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_90708_0 {
	meta:
		name = "TPointSeries.PrepareForGallery"
		size = 101
		refs = "0008 TChartSeries.PrepareForGallery 002a TSeriesPointer.SetHorizSize 0037 TSeriesPointer.SetVertSize 005d TSeriesPointer.SetStyle"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 73 40 83 7E 50 32 7D 07 BF 04 00 00 00 EB 05 BF 06 00 00 00 8B D7 8B 83 9C 01 00 00 E8 ?? ?? ?? ?? 8B D7 8B 83 9C 01 00 00 E8 ?? ?? ?? ?? 8B 86 B4 03 00 00 83 78 08 01 7E 1A 8B 40 04 BA 01 00 00 00 3B 1C 90 75 0D B2 02 8B 83 9C 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90709_0 {
	meta:
		name = "TPointSeries.SetColorEachPoint"
		size = 38
		refs = "000b TChartSeries.SetColorEachPoint 001f TSeriesPointer.SetColor"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 74 10 BA 00 00 00 20 8B 86 9C 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90710_0 {
	meta:
		name = "TPointSeries.CreateSubGallery"
		size = 218
		refs = "000f TChartSeries.CreateSubGallery 0015 TeeMsg_Colors 0023 TeeMsg_Marks 0031 TeeMsg_Hollow 003f TeeMsg_NoBorder 004d TeeMsg_Gradient 0067 TeeMsg_Point2D 0075 TeeMsg_Triangle 0083 TeeMsg_Star 0091 TeeMsg_Circle 009f TeeMsg_DownTri 00ad TeeMsg_Cross 00bb TeeMsg_Diamond 00c9 TeeMsg_Hexagon"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B C3 FF 90 A4 01 00 00 84 C0 74 70 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_90711_0 {
	meta:
		name = "TPointSeries.SetSubGallery"
		size = 367
		refs = "0015 TPointSeries.SetSubGallery 004b TTeeCustomShapeBrushPen.SetVisible 0060 TBrush.SetStyle 0073 TChartPen.Hide 0083 TSeriesPointer.GetGradient 008a TCustomTeeGradient.SetVisible 00e1 TSeriesPointer.SetDraw3D 00f3 TSeriesPointer.SetStyle 011f TSeriesPointer.SetHorizSize 012b TSeriesPointer.SetVertSize"
	strings:
		$1 = { 53 56 57 8B F1 8B DA 8B C6 83 F8 05 0F 87 81 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 91 D4 00 00 00 E9 29 01 00 00 8B 83 88 00 00 00 B2 01 E8 ?? ?? ?? ?? E9 17 01 00 00 8B 83 9C 01 00 00 8B 40 04 B2 01 E8 ?? ?? ?? ?? E9 02 01 00 00 8B 83 9C 01 00 00 8B 40 0C E8 ?? ?? ?? ?? E9 EF 00 00 00 8B 83 9C 01 00 00 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? E9 D8 00 00 00 8B FB 8B 07 FF 90 A4 01 00 00 84 C0 0F 84 C6 00 00 00 83 C6 FA 83 FE 07 0F 87 BA 00 00 00 FF 24 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 87 9C 01 00 00 33 D2 E8 ?? ?? ?? ?? E9 81 00 00 00 8B 87 9C 01 00 00 B2 02 E8 ?? ?? ?? ?? EB 72 8B 87 9C 01 00 00 B2 06 E8 ?? ?? ?? ?? EB 63 8B 9F 9C 01 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 08 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 3A 8B 87 9C 01 00 00 B2 03 E8 ?? ?? ?? ?? EB 2B 8B 87 9C 01 00 00 B2 04 E8 ?? ?? ?? ?? EB 1C 8B 87 9C 01 00 00 B2 07 E8 ?? ?? ?? ?? EB 0D 8B 87 9C 01 00 00 B2 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90713_0 {
	meta:
		name = "TPointSeries.GetTransparency"
		size = 11
	strings:
		$1 = { 8B 80 9C 01 00 00 0F B6 40 35 C3 }
	condition:
		$1
}

rule function_90715_0 {
	meta:
		name = "TAreaSeries.Create"
		size = 87
		refs = "000a @ClassCreate 0017 TCustomSeries.Create 0032 TTeeCustomShapeBrushPen.SetVisible 0044 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 87 01 00 00 01 C6 86 51 01 00 00 00 8B 86 9C 01 00 00 33 D2 E8 ?? ?? ?? ?? C6 86 50 01 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_90716_0 {
	meta:
		name = "TAreaSeries.PrepareLegendCanvas"
		size = 88
		refs = "001e TCustomSeries.GetAreaBrushColor"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B 43 40 8B 80 40 03 00 00 8B 40 04 8B 40 10 8B 50 18 8B C3 E8 ?? ?? ?? ?? 89 06 8B B3 80 01 00 00 8B 46 10 8B 48 18 8B D6 8B 43 40 8B 80 40 03 00 00 8B 30 FF 56 54 8B 83 78 01 00 00 8B 40 10 0F B6 40 20 8B 55 08 88 02 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_90717_0 {
	meta:
		name = "TAreaSeries.Assign"
		size = 138
		refs = "000c TCustomSeries.Assign 0027 @IsClass 0082 TTeeCustomShapeBrushPen.SetVisible"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? C6 83 87 01 00 00 01 C6 83 88 01 00 00 01 8B 03 89 C7 8B C6 8B D7 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 0D 8B 06 89 C7 8B C3 8B D7 E8 ?? ?? ?? ?? 84 C0 74 35 8B C6 8B 90 F0 01 00 00 89 93 F0 01 00 00 8B 90 F4 01 00 00 89 93 F4 01 00 00 8B 90 F8 01 00 00 89 93 F8 01 00 00 0F B6 80 FC 01 00 00 88 83 FC 01 00 00 EB 0D 8B 83 9C 01 00 00 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90719_0 {
	meta:
		name = "TAreaSeries.GetEditorClass"
		size = 68
		refs = "0006 TAreaSeries.GetEditorClass 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 54 00 41 00 72 00 65 00 61 00 53 00 65 00 72 00 69 00 65 00 73 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_90720_0 {
	meta:
		name = "TAreaSeries.GetMultiArea"
		size = 26
	strings:
		$1 = { 0F B6 80 B0 01 00 00 2C 02 74 06 FE C8 74 05 EB 06 B0 01 C3 B0 02 C3 33 C0 C3 }
	condition:
		$1
}

rule function_90721_0 {
	meta:
		name = "TAreaSeries.SetMultiArea"
		size = 64
		refs = "0009 TAreaSeries.GetMultiArea 0023 TCustomSeries.SetStacked"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 3A D8 74 2C 80 EB 01 72 08 74 11 FE CB 74 18 EB 1F 33 D2 8B C6 E8 ?? ?? ?? ?? EB 14 B2 02 8B C6 E8 ?? ?? ?? ?? EB 09 B2 03 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90722_0 {
	meta:
		name = "TAreaSeries.SameClassOrigin"
		size = 43
		refs = "000b TCustomSeries.SameClassOrigin"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 86 F8 01 00 00 3B 83 F8 01 00 00 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_90723_0 {
	meta:
		name = "TAreaSeries.CalcZOrder"
		size = 236
		refs = "0010 TAreaSeries.GetMultiArea 001c TCustomSeries.CalcZOrder 0077 TChartSeries.GetZOrder 00a5 TAreaSeries.CalcZOrder 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0D 8B 45 FC E8 ?? ?? ?? ?? E9 C0 00 00 00 C7 45 F8 FF FF FF FF 8B 45 FC 8B 40 40 89 45 F0 8B 45 F0 8B 80 B4 03 00 00 8B 70 08 4E 85 F6 7C 3E 46 33 FF 8B 45 F0 8B 80 B4 03 00 00 8B 40 04 8B 1C B8 80 7B 38 00 74 22 3B 5D FC 74 21 8B D3 8B 45 FC 8B 08 FF 91 98 01 00 00 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? 89 45 F8 EB 04 47 4E 75 C5 83 7D F8 FF 75 4F 8B 45 FC 0F B6 80 B0 01 00 00 88 45 F7 8B 45 FC C6 80 B0 01 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 45 F7 8B 55 FC 88 82 B0 01 00 00 C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 8B 55 F8 89 90 40 01 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90724_0 {
	meta:
		name = "TAreaSeries.CreateSubGallery"
		size = 144
		refs = "000a TChartSeries.CreateSubGallery 0010 TeeMsg_Stairs 001e TeeMsg_Marks 002c TeeMsg_Colors 003a TeeMsg_Hollow 0048 TeeMsg_NoLines 0056 TeeMsg_Stack 0064 TeeMsg_Stack100 0072 TeeMsg_Points 0080 TeeMsg_Gradient"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 5D C2 08 00 }
	condition:
		$1
}

rule function_90725_0 {
	meta:
		name = "TAreaSeries.SetSubGallery"
		size = 179
		refs = "000f TAreaSeries.SetSubGallery 0040 TCustomSeries.SetStairs 004f TTeeCustomShapeBrushPen.SetVisible 0068 TCustomSeries.SetAreaBrushStyle 0075 TChartPen.Hide 0080 TAreaSeries.SetMultiArea 00ad TCustomTeeGradient.SetVisible"
	strings:
		$1 = { 53 8B DA 83 F9 09 0F 87 A5 00 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 8B 83 88 00 00 00 B2 01 E8 ?? ?? ?? ?? 5B C3 B2 01 8B C3 8B 08 FF 91 D4 00 00 00 5B C3 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 8B 83 80 01 00 00 E8 ?? ?? ?? ?? 5B C3 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 B2 02 8B C3 E8 ?? ?? ?? ?? 5B C3 8B 83 9C 01 00 00 B2 01 E8 ?? ?? ?? ?? 5B C3 8B C3 8B 10 FF 92 88 01 00 00 B2 01 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90726_0 {
	meta:
		name = "TAreaSeries.DrawSeriesForward"
		size = 48
		refs = "0009 TAreaSeries.GetMultiArea 0016 TChartSeries.DrawSeriesForward 0020 TChartSeries.MandatoryAxis"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 0F B6 80 B8 00 00 00 34 01 5E 5B C3 }
	condition:
		$1
}

rule function_90727_0 {
	meta:
		name = "TAreaSeries.SetOrigin"
		size = 24
		refs = "0010 TCustomChartElement.SetDoubleProperty"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8D 90 F0 01 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_90729_0 {
	meta:
		name = "TAreaSeries.SetUseOrigin"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 05 FC 01 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90730_0 {
	meta:
		name = "TAreaSeries.MaxXValue"
		size = 76
		refs = "0009 TCustomSeries.MaxXValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 80 BB 6C 01 00 00 00 75 2B 80 BB FC 01 00 00 00 74 22 DD 04 24 DC 9B F0 01 00 00 9B DF E0 9E 73 13 8B 83 F0 01 00 00 89 04 24 8B 83 F4 01 00 00 89 44 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_90731_0 {
	meta:
		name = "TAreaSeries.MinXValue"
		size = 76
		refs = "0009 TCustomSeries.MinXValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 80 BB 6C 01 00 00 00 75 2B 80 BB FC 01 00 00 00 74 22 DD 04 24 DC 9B F0 01 00 00 9B DF E0 9E 76 13 8B 83 F0 01 00 00 89 04 24 8B 83 F4 01 00 00 89 44 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_90732_0 {
	meta:
		name = "TAreaSeries.MaxYValue"
		size = 76
		refs = "0009 TCustomSeries.MaxYValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 80 BB 6C 01 00 00 00 74 2B 80 BB FC 01 00 00 00 74 22 DD 04 24 DC 9B F0 01 00 00 9B DF E0 9E 73 13 8B 83 F0 01 00 00 89 04 24 8B 83 F4 01 00 00 89 44 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_90733_0 {
	meta:
		name = "TAreaSeries.MinYValue"
		size = 76
		refs = "0009 TCustomSeries.MinYValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B 80 BB 6C 01 00 00 00 74 2B 80 BB FC 01 00 00 00 74 22 DD 04 24 DC 9B F0 01 00 00 9B DF E0 9E 76 13 8B 83 F0 01 00 00 89 04 24 8B 83 F4 01 00 00 89 44 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_90734_0 {
	meta:
		name = "TAreaSeries.GetOriginPos"
		size = 33
		refs = "0016 TChartSeries.CalcPosValue 001c TCustomSeries.GetOriginPos"
	strings:
		$1 = { 80 B8 FC 01 00 00 00 74 12 FF B0 F4 01 00 00 FF B0 F0 01 00 00 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90735_0 {
	meta:
		name = "TAreaSeries.DrawLegendShape"
		size = 223
		refs = "0029 TChartSeries.GetSeriesColor 0039 TCustomTeePanel.SetBrushCanvas 0063 TChartBrush.GetImage 00a5 TCustomSeries.GetAreaBrushColor 00d5 TCustomSeries.DrawLegendShape"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 4C 24 04 89 14 24 8B D8 8B C3 8B 10 FF 92 88 01 00 00 80 78 28 00 74 20 8B 43 3C 8B 40 18 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 8B 78 01 00 00 8B 43 40 E8 ?? ?? ?? ?? EB 1D 8B 73 3C 8B 46 10 8B 40 18 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 43 40 E8 ?? ?? ?? ?? 8B 83 78 01 00 00 E8 ?? ?? ?? ?? 83 78 0C 00 74 5E 8B 83 78 01 00 00 8B 40 10 8B 70 18 81 FE 00 00 00 20 75 0F 8B 14 24 8B C3 8B 08 FF 91 1C 01 00 00 8B F0 8B 43 40 8B 80 40 03 00 00 8B 40 04 8B 40 10 8B 50 18 8B C3 E8 ?? ?? ?? ?? 8B F8 3B FE 75 05 BF FF FF FF 00 57 8B 43 40 8B 80 40 03 00 00 8B CE 8B 93 78 01 00 00 8B 30 FF 56 50 8B 4C 24 04 8B 14 24 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90737_0 {
	meta:
		name = "TAreaSeries.SetGalleryFormat"
		size = 109
		refs = "0010 TCustomTeeGradient.SetVisible 0016 clTeeGallery2 0020 TCustomAxisPanel.GetDefaultColor 003e TChartSeries.GetSeriesColor 0046 TCustomTeeGradient.SetStartColor 004c clTeeGallery1 0067 TCustomTeeGradient.SetEndColor"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 88 01 00 00 B2 01 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 43 40 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 D8 00 00 00 8B C3 8B 10 FF 92 88 01 00 00 50 8B C3 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 43 40 E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 92 88 01 00 00 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90738_0 {
	meta:
		name = "THorizAreaSeries.Create"
		size = 97
		refs = "000a @ClassCreate 0017 TAreaSeries.Create 001e TChartSeries.SetHorizontal 0043 TCustomTeeGradient.SetDirection 004e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 A0 00 00 00 C6 40 24 00 8B 86 A4 00 00 00 C6 40 24 01 8B C6 8B 10 FF 92 88 01 00 00 B2 03 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_90739_0 {
	meta:
		name = "THorizAreaSeries.DrawMark"
		size = 139
		refs = "0025 TSeriesMarks.GetCallout 007e TCustomSeries.DrawMark"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F0 8B 5D 08 8B 7B 1C D1 FF 79 03 83 D7 00 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 8B 40 54 50 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 8D 50 4C 58 03 02 8B 53 14 2B D7 89 53 24 8B 53 20 03 D0 8B 4B 28 D1 F9 79 03 83 D1 00 03 D1 89 53 20 01 43 10 8B 43 14 89 43 08 8B 86 88 00 00 00 E8 ?? ?? ?? ?? 8B 40 4C 01 43 04 53 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_90741_0 {
	meta:
		name = "TCustomBarSeries.Create"
		size = 358
		refs = "000e @ClassCreate 001c TChartSeries.Create 004f TCustomBarSeries.GetGradient 0056 TCustomTeeGradient.SetVisible 0082 TTeeCustomShapeBrushPen.SetVisible 008d TSeriesMarks.GetCallout 0097 TMarksCallout.SetLength 00d3 _Dn_TChartHiddenPen 00d8 TChartHiddenPen.Create 00ec _Dn_TTeeEmboss 00f1 TTeeEmboss.Create 0100 TTeeShadow.GetSize 0111 TTeeShadow.InitValues 011f _Dn_TTeeShadow 0124 TTeeShadow.Create 0151 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C7 83 74 01 00 00 46 00 00 00 C7 83 88 01 00 00 64 00 00 00 C6 83 72 01 00 00 01 C7 83 A0 01 00 00 10 00 00 00 C6 83 73 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? C7 83 78 01 00 00 01 00 00 00 C6 83 B5 01 00 00 01 C6 83 93 01 00 00 01 C6 83 71 01 00 00 01 8B 83 88 00 00 00 B2 01 E8 ?? ?? ?? ?? 8B 83 88 00 00 00 E8 ?? ?? ?? ?? BA 14 00 00 00 E8 ?? ?? ?? ?? 8B 83 88 00 00 00 E8 ?? ?? ?? ?? C7 40 58 14 00 00 00 C6 83 80 01 00 00 01 C6 83 A8 01 00 00 01 C6 83 92 01 00 00 00 C6 83 91 01 00 00 02 53 8B 03 8B 40 40 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 B0 01 00 00 53 8B 03 8B 40 40 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 8C 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 0F B6 56 20 8B C6 B9 80 80 80 00 E8 ?? ?? ?? ?? 53 8B 03 8B 40 40 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A4 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 0F B6 56 20 8B C6 B9 80 80 80 00 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90742_0 {
	meta:
		name = "TCustomBarSeries.Destroy"
		size = 69
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0033 TChartSeries.Destroy 003e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 8C 01 00 00 E8 ?? ?? ?? ?? 8B 86 A4 01 00 00 E8 ?? ?? ?? ?? 8B 86 B0 01 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90743_0 {
	meta:
		name = "TCustomBarSeries.CalcZOrder"
		size = 148
		refs = "0015 TChartSeries.CalcZOrder 005d TCustomChartSeries.SameClass 0068 TChartSeries.GetZOrder"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F8 80 BF 93 01 00 00 00 75 09 8B C7 E8 ?? ?? ?? ?? EB 72 C7 04 24 FF FF FF FF 8B 47 40 89 44 24 04 8B 44 24 04 8B 80 B4 03 00 00 8B 70 08 4E 85 F6 7C 3A 46 33 ED 8B 44 24 04 8B 80 B4 03 00 00 8B 40 04 8B 1C A8 80 7B 38 00 74 1D 3B FB 74 1D 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? 89 04 24 EB 04 45 4E 75 C9 83 3C 24 FF 75 09 8B C7 E8 ?? ?? ?? ?? EB 09 8B 04 24 89 87 40 01 00 00 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90744_0 {
	meta:
		name = "TCustomBarSeries.CalcDepthPositions"
		size = 92
		refs = "0008 TChartSeries.CalcDepthPositions 0033 TCustomBarSeries.CalcDepthPositions 003a @ROUND"
	strings:
		$1 = { 53 56 51 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 88 01 00 00 85 F6 74 34 8B 83 5C 01 00 00 2B 83 54 01 00 00 BA 64 00 00 00 2B D6 F7 EA 89 04 24 DB 04 24 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 01 83 54 01 00 00 29 83 5C 01 00 00 5A 5E 5B C3 00 00 0A D7 A3 70 3D 0A D7 A3 F7 3F 00 00 }
	condition:
		$1
}

rule function_90745_0 {
	meta:
		name = "TCustomBarSeries.MoreSameZOrder"
		size = 26
		refs = "0015 TChartSeries.MoreSameZOrder"
	strings:
		$1 = { 0F B6 90 93 01 00 00 80 FA 04 74 05 80 FA 05 75 03 33 C0 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90746_0 {
	meta:
		name = "TCustomBarSeries.CalcFirstLastVisibleIndex"
		size = 362
		refs = "0031 TCustomAxisPanel.GetPointsPerPage 0074 TChartSeries.CalcFirstLastVisibleIndex 0093 TChartSeries.Count 00e1 TChartValueList.GetValue"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 80 BB 93 01 00 00 05 75 1D 33 C0 89 83 28 01 00 00 8B 83 A0 00 00 00 8B 40 04 48 89 83 2C 01 00 00 E9 38 01 00 00 8B 43 40 E8 ?? ?? ?? ?? 48 75 39 8B 43 40 8B 80 18 04 00 00 8B 40 08 48 89 83 28 01 00 00 8B 93 A0 00 00 00 3B 42 04 7C 0A C7 83 28 01 00 00 FF FF FF FF 8B 83 28 01 00 00 89 83 2C 01 00 00 E9 F4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 85 C0 0F 85 DD 00 00 00 EB 06 FF 83 2C 01 00 00 8B C3 E8 ?? ?? ?? ?? 48 3B 83 2C 01 00 00 7E 1D 8B 93 2C 01 00 00 42 8B C3 8B 08 FF 91 BC 00 00 00 84 C0 75 D5 EB 06 FF 83 2C 01 00 00 8B B3 2C 01 00 00 83 FE FF 7E 44 8B C3 E8 ?? ?? ?? ?? 48 3B F0 7D 38 8B 93 2C 01 00 00 8B 83 68 01 00 00 E8 ?? ?? ?? ?? DD 1C 24 9B 8B 93 2C 01 00 00 42 8B 83 68 01 00 00 E8 ?? ?? ?? ?? DC 1C 24 9B DF E0 9E 74 B3 EB 06 FF 8B 28 01 00 00 8B B3 28 01 00 00 85 F6 7E 19 8B D6 4A 8B C3 8B 08 FF 91 BC 00 00 00 84 C0 75 DF EB 06 FF 8B 28 01 00 00 8B B3 28 01 00 00 85 F6 7E 2C 8B D6 8B 83 68 01 00 00 E8 ?? ?? ?? ?? DD 1C 24 9B 8B 93 28 01 00 00 4A 8B 83 68 01 00 00 E8 ?? ?? ?? ?? DC 1C 24 9B DF E0 9E 74 C4 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_90747_0 {
	meta:
		name = "TCustomBarSeries.NumSampleValues"
		size = 116
		refs = "0044 _DV_TCustomBarSeries 0049 @IsClass"
	strings:
		$1 = { 53 56 57 55 51 8B D8 C7 04 24 06 00 00 00 8B 53 40 85 D2 74 56 8B 82 B4 03 00 00 8B 40 08 83 F8 01 7E 48 8B F8 4F 85 FF 7C 41 47 33 F6 8B 43 40 8B 80 B4 03 00 00 8B 40 04 8B 2C B0 3B DD 74 0F 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 12 8B 85 A0 00 00 00 8B 40 04 85 C0 7E 05 89 04 24 EB 04 46 4F 75 C2 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90748_0 {
	meta:
		name = "TCustomBarSeries.SetBarWidthPercent"
		size = 14
		refs = "0009 TCustomChartElement.SetIntegerProperty"
	strings:
		$1 = { 8D 88 74 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90749_0 {
	meta:
		name = "TCustomBarSeries.SetDepthPercent"
		size = 14
		refs = "0009 TCustomChartElement.SetIntegerProperty"
	strings:
		$1 = { 8D 88 88 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90751_0 {
	meta:
		name = "TCustomBarSeries.SetCustomBarSize"
		size = 14
		refs = "0009 TCustomChartElement.SetIntegerProperty"
	strings:
		$1 = { 8D 88 E4 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90753_0 {
	meta:
		name = "TCustomBarSeries.SetBarRound"
		size = 20
		refs = "000f TCustomChartElement.Repaint"
	strings:
		$1 = { 3A 90 72 01 00 00 74 0B 88 90 72 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90754_0 {
	meta:
		name = "TCustomBarSeries.SetBarStyle"
		size = 20
		refs = "000f TCustomChartElement.Repaint"
	strings:
		$1 = { 3A 90 73 01 00 00 74 0B 88 90 73 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90755_0 {
	meta:
		name = "TryAdd"
		size = 104
		refs = "002f TList.IndexOf 003f TList.Add"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B D0 8B 42 54 DD 04 D8 8B 45 08 8B 40 08 8B 40 FC DC 98 98 01 00 00 9B DF E0 9E 73 21 8B 45 08 8B 40 FC 8B F3 8B D6 E8 ?? ?? ?? ?? 40 75 2E 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? EB 1F 8B 45 08 8B 40 F8 8B F3 8B D6 E8 ?? ?? ?? ?? 40 75 0D 8B 45 08 8B 40 F8 8B D6 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_90756_0 {
	meta:
		name = "DoSortSelfStacked"
		size = 671
		refs = "0012 DoSortSelfStacked 001f _Dn_TList 0024 TObject.Create 006b TryAdd 00e5 TChartSeries.GetZOrder 016d TIntArray 0172 @DynArraySetLength 01bd TList.Get 0255 TObject.Free 0271 @DynArrayAsg 028c @DynArrayClear 0292 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 08 80 78 0C 00 74 38 8B 45 08 8B 70 F8 8B 45 08 8B 40 F4 2B C6 0F 8C FD 00 00 00 40 89 45 F0 55 8B 45 08 8B 40 FC 8B 80 60 01 00 00 8B D6 E8 ?? ?? ?? ?? 59 46 FF 4D F0 75 E5 E9 D9 00 00 00 8B 45 08 8B 70 F8 8B 45 08 8B 40 F4 2B C6 0F 8C C5 00 00 00 40 89 45 F0 8B 45 08 8B 40 FC 8B 40 40 8B 80 B4 03 00 00 8B 40 08 8B F8 4F 85 FF 0F 8C 9A 00 00 00 47 33 DB 8B 45 08 8B 40 FC 8B 50 40 8B C2 8B 80 B4 03 00 00 8B 40 04 8B 04 98 80 78 38 00 74 2D 8B C2 8B 80 B4 03 00 00 8B 40 04 8B 04 98 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5A 3B D0 0F 94 C0 EB 02 33 C0 84 C0 74 3F 8B 45 08 8B 40 FC 8B 50 40 8B C2 8B 80 B4 03 00 00 8B 40 04 8B 04 98 8B 80 A0 00 00 00 3B 70 04 7D 1D 8B C2 8B 80 B4 03 00 00 8B 40 04 8B 04 98 55 8B 80 60 01 00 00 8B D6 E8 ?? ?? ?? ?? 59 43 4F 0F 85 69 FF FF FF 46 FF 4D F0 0F 85 3F FF FF FF 33 DB 8B 45 FC 8B 40 08 8B 55 F8 03 42 08 50 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 40 FC 80 B8 6C 01 00 00 00 74 0B 8B 45 08 8B 40 FC 8B 40 74 EB 09 8B 45 08 8B 40 FC 8B 40 78 80 B8 B8 00 00 00 00 74 57 8B 45 F8 8B 40 08 85 C0 7E 1F 8B F0 4E 83 FE 00 7C 17 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 89 04 9A 43 4E 83 FE FF 75 E9 8B 45 FC 8B 40 08 85 C0 7E 79 48 85 C0 7C 74 40 89 45 F0 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 89 04 9A 43 46 FF 4D F0 75 E9 EB 55 8B 45 FC 8B 40 08 85 C0 7E 1F 8B F0 4E 83 FE 00 7C 17 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 89 04 9A 43 4E 83 FE FF 75 E9 8B 45 F8 8B 40 08 85 C0 7E 22 48 85 C0 7C 1D 40 89 45 F0 33 F6 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 89 04 9A 43 46 FF 4D F0 75 E9 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 55 F4 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90757_0 {
	meta:
		name = "TCustomBarSeries.SortDrawPoints"
		size = 56
		refs = "001d DoSortSelfStacked 0029 TIntArray 002e @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 80 B8 93 01 00 00 05 75 09 55 E8 ?? ?? ?? ?? 59 EB 0E 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_90758_0 {
	meta:
		name = "DoSortStacked"
		size = 319
		refs = "000c _Dn_TList 0011 TObject.Create 0074 TChartValueList.GetValue 0090 TList.Add 00c0 TIntArray 00c5 @DynArraySetLength 00e4 TList.Get 012c TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 08 8B 58 FC 8B 45 08 8B 70 F8 4E 2B F3 7C 6C 46 8B 45 08 8B 40 F4 8B 40 40 8B 80 B4 03 00 00 8B 40 04 8B 04 98 8B F8 80 7F 38 00 74 4A 8B 87 A0 00 00 00 8B 40 04 8B 55 08 3B 42 0C 7E 39 8B 45 08 8B 50 0C 8B 87 60 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 DC 98 98 01 00 00 9B DF E0 9E 73 0C 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 43 4E 75 95 33 FF 8B 45 FC 8B 40 08 8B 55 F8 03 42 08 50 8B 45 08 8B 40 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 40 08 85 C0 7E 24 8B D8 4B 83 FB 00 7C 1C 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 08 8B 12 89 04 BA 47 4B 83 FB FF 75 E4 8B 45 F8 8B 40 08 85 C0 7E 24 8B F0 4E 85 F6 7C 1D 46 33 DB 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 08 8B 52 08 8B 12 89 04 BA 47 43 4E 75 E6 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_90759_0 {
	meta:
		name = "TCustomBarSeries.SortDrawSeries"
		size = 68
		refs = "0021 DoSortStacked 003a TChartSeries.SortDrawSeries"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F8 89 55 FC 89 45 F4 8B 45 F4 0F B6 80 93 01 00 00 04 FE 2C 02 73 09 55 E8 ?? ?? ?? ?? 59 EB 16 8B 45 0C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_90760_0 {
	meta:
		name = "NewGroup"
		size = 92
		refs = "0010 @DynArrayLength 003d TIntArray 0042 @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 75 08 83 C6 FC 8B 06 E8 ?? ?? ?? ?? 48 85 C0 7C 12 40 33 D2 8B 0E 3B 1C 91 75 04 33 C0 EB 31 42 48 75 F1 8B 06 E8 ?? ?? ?? ?? 40 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 06 E8 ?? ?? ?? ?? 8B 16 89 5C 82 FC B0 01 5E 5B 5D C3 }
	condition:
		$1
}

rule function_90761_0 {
	meta:
		name = "TCustomBarSeries.DoBeforeDrawChart"
		size = 688
		refs = "0014 TCustomBarSeries.DoBeforeDrawChart 0021 TCustomChartSeries.DoBeforeDrawChart 004e TIntArray 0053 @DynArrayClear 00a4 TCustomChartSeries.SameClass 0167 NewGroup 01dc @DynArrayLength 0222 TCustomAxisPanel.GetPointsPerPage 02a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? C7 83 D8 01 00 00 01 00 00 00 33 C0 89 83 DC 01 00 00 33 C0 89 83 D0 01 00 00 C7 83 D4 01 00 00 FF FF FF FF 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 FB 00 8B 43 40 89 45 F0 8B 45 F0 8B 80 B4 03 00 00 8B 78 08 4F 85 FF 0F 8C 62 01 00 00 47 33 F6 8B 45 F0 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 80 78 38 00 0F 84 3E 01 00 00 8B 45 F0 8B 80 B4 03 00 00 8B 40 04 8B 14 B0 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 E3 00 00 00 80 7D FB 00 74 04 B0 01 EB 12 8B 45 F0 8B 80 B4 03 00 00 8B 40 04 3B 1C B0 0F 94 C0 88 45 FB 8B 45 F0 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 8B 80 A0 00 00 00 8B 40 04 89 45 F4 8B 83 D4 01 00 00 83 F8 FF 74 05 3B 45 F4 7D 1E 8B 45 F4 89 83 D4 01 00 00 80 BB A8 01 00 00 00 74 0C 83 7D F4 00 7E 06 FF 83 D4 01 00 00 0F B6 83 93 01 00 00 2C 01 72 0D 74 17 48 2C 02 72 26 2C 02 72 0E EB 52 C7 83 D0 01 00 00 01 00 00 00 EB 46 FF 83 D0 01 00 00 80 7D FB 00 75 3A FF 83 D8 01 00 00 EB 32 55 8B 45 F0 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 8B 80 AC 01 00 00 E8 ?? ?? ?? ?? 59 84 C0 74 12 FF 83 D0 01 00 00 80 7D FB 00 75 06 FF 83 D8 01 00 00 80 7D FB 00 75 48 8B 45 F4 01 83 DC 01 00 00 EB 3D 8B 45 F0 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 80 B8 6C 01 00 00 00 74 25 8B 80 A0 00 00 00 8B 40 04 89 45 F4 8B 83 D4 01 00 00 83 F8 FF 74 05 3B 45 F4 7D 09 8B 45 F4 89 83 D4 01 00 00 46 4F 0F 85 A1 FE FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 20 47 33 F6 8B 45 FC 8B 04 B0 3B 83 AC 01 00 00 75 0B 8D 46 01 89 83 D8 01 00 00 EB 04 46 4F 75 E3 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BB 93 01 00 00 05 75 2A 8B 43 40 E8 ?? ?? ?? ?? 85 C0 75 0E 8B 83 D0 01 00 00 89 83 D4 01 00 00 EB 2A 8B 43 40 E8 ?? ?? ?? ?? 89 83 D4 01 00 00 EB 1A 8B 43 40 E8 ?? ?? ?? ?? 85 C0 7E 0E 8B 43 40 E8 ?? ?? ?? ?? 89 83 D4 01 00 00 8B 43 40 E8 ?? ?? ?? ?? 85 C0 7E 18 80 BB A8 01 00 00 00 74 0F 83 BB D4 01 00 00 00 7E 06 FF 83 D4 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90762_0 {
	meta:
		name = "TCustomBarSeries.DrawValuesForward"
		size = 39
		refs = "000f TChartSeries.MandatoryAxis 0021 TChartSeries.DrawValuesForward"
	strings:
		$1 = { 53 8B D8 80 BB 93 01 00 00 05 75 12 8B C3 E8 ?? ?? ?? ?? 0F B6 80 B8 00 00 00 34 01 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90763_0 {
	meta:
		name = "TCustomBarSeries.CalcMarkLength"
		size = 122
		refs = "0037 TTeeCanvas.AssignFont 0050 TSeriesMarks.GetCallout"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 A0 00 00 00 83 78 04 00 7E 0C 8B 83 88 00 00 00 0F B6 40 10 EB 02 33 C0 84 C0 74 51 8B 83 88 00 00 00 8B 50 20 8B 43 40 8B 80 40 03 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 80 01 00 00 8B F0 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 03 70 54 8B C6 8B 93 88 00 00 00 8B 52 0C 80 7A 28 00 74 0F 8B 52 10 8B 52 1C 03 D2 03 C2 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_90764_0 {
	meta:
		name = "TCustomBarSeries.SetUseOrigin"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 05 B5 01 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90765_0 {
	meta:
		name = "TCustomBarSeries.SetShadow"
		size = 12
	strings:
		$1 = { 8B 80 A4 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_90767_0 {
	meta:
		name = "TCustomBarSeries.SetSideMargins"
		size = 37
		refs = "0015 TCustomChartElement.Repaint 001e TCustomBarSeries.SetOtherBars"
	strings:
		$1 = { 53 56 8B D8 8B F3 8D 83 A8 01 00 00 3A 10 74 09 88 10 8B C6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90769_0 {
	meta:
		name = "TCustomBarSeries.SetDark3D"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 05 80 01 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90770_0 {
	meta:
		name = "TCustomBarSeries.SetDarkPen"
		size = 14
		refs = "0009 TCustomChartElement.SetIntegerProperty"
	strings:
		$1 = { 8D 88 84 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90773_0 {
	meta:
		name = "TCustomBarSeries.PrepareForGallery"
		size = 68
		refs = "0006 TChartSeries.PrepareForGallery 0012 TCustomBarSeries.SetBarWidthPercent 001b TCustomBarSeries.SetBarStyle 0022 TCustomBarSeries.GetGradient 0029 TCustomTeeGradient.SetVisible 0032 TCustomBarSeries.SetMultiBar 003e TCustomBarSeries.SetDarkPen"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA 55 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 06 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA 82 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90774_0 {
	meta:
		name = "TCustomBarSeries.SetOrigin"
		size = 24
		refs = "0010 TCustomChartElement.SetDoubleProperty"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8D 90 98 01 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_90775_0 {
	meta:
		name = "TCustomBarSeries.SetMarksOnBar"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 05 92 01 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90776_0 {
	meta:
		name = "TCustomBarSeries.SetMarksLocation"
		size = 20
		refs = "000f TCustomChartElement.Repaint"
	strings:
		$1 = { 3A 90 91 01 00 00 74 0B 88 90 91 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90777_0 {
	meta:
		name = "TCustomBarSeries.Clicked"
		size = 103
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F0 8B 86 28 01 00 00 83 F8 FF 7E 49 83 BE 2C 01 00 00 FF 7E 40 89 14 24 89 4C 24 04 8B 8E A0 00 00 00 8B 49 04 49 8B 96 2C 01 00 00 3B CA 7F 02 8B D1 8B D8 8B FA 2B FB 7C 1B 47 8B CC 8B D3 8B C6 8B 28 FF 95 84 01 00 00 84 C0 74 04 8B C3 EB 07 43 4F 75 E6 83 C8 FF 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90778_0 {
	meta:
		name = "TCustomBarSeries.SetOtherBars"
		size = 178
		refs = "0045 @IsClass"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 88 14 24 8B D8 8B 43 40 85 C0 0F 84 94 00 00 00 8B E8 8B 85 B4 03 00 00 8B 78 08 4F 85 FF 0F 8C 80 00 00 00 47 33 F6 8B 03 89 44 24 04 8B 85 B4 03 00 00 8B 40 04 8B 04 B0 8B 54 24 04 E8 ?? ?? ?? ?? 84 C0 74 5A 8B 85 B4 03 00 00 8B 40 04 8B 04 B0 80 3C 24 00 74 1C 0F B6 93 93 01 00 00 88 90 93 01 00 00 0F B6 93 A8 01 00 00 88 90 A8 01 00 00 EB 1C 0F B6 90 93 01 00 00 88 93 93 01 00 00 0F B6 80 A8 01 00 00 88 83 A8 01 00 00 EB 14 80 B8 93 01 00 00 05 0F 95 C2 88 90 4F 01 00 00 46 4F 75 83 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90779_0 {
	meta:
		name = "TCustomBarSeries.SetRoundSize"
		size = 14
		refs = "0009 TCustomChartElement.SetIntegerProperty"
	strings:
		$1 = { 8D 88 A0 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90780_0 {
	meta:
		name = "TCustomBarSeries.SetMultiBar"
		size = 35
		refs = "0016 TCustomBarSeries.SetOtherBars 001d TCustomChartElement.Repaint"
	strings:
		$1 = { 53 8B D8 3A 93 93 01 00 00 74 16 88 93 93 01 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90781_0 {
	meta:
		name = "TCustomBarSeries.InternalGetOriginPos"
		size = 180
		refs = "003e TChartSeries.CalcPosValue 005b TCustomBarSeries.InternalGetOriginPos"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F9 8B DA 8B F0 33 C9 8B D3 8B C6 8B 28 FF 95 94 01 00 00 DD 5C 24 08 9B 0F B6 86 93 01 00 00 2C 02 74 08 FE C8 74 15 2C 02 75 53 FF 74 24 0C FF 74 24 0C 8B C6 E8 ?? ?? ?? ?? EB 5E B1 01 8B D3 8B C6 8B 18 FF 93 94 01 00 00 DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 1D DD 44 24 08 D8 0D ?? ?? ?? ?? DC 34 24 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? EB 20 33 C0 EB 1C 80 BE B5 01 00 00 00 74 11 FF 74 24 0C FF 74 24 0C 8B C6 E8 ?? ?? ?? ?? EB 02 8B C7 83 C4 10 5D 5F 5E 5B C3 00 00 00 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_90782_0 {
	meta:
		name = "TCustomBarSeries.IsPointInChartRect"
		size = 78
		refs = "003d IntersectRect"
	strings:
		$1 = { 53 56 57 83 C4 D0 8B F2 8B D8 8B 43 40 56 8D B0 44 03 00 00 8D 7C 24 04 A5 A5 A5 A5 5E 8D 4C 24 20 8B D6 8B C3 8B 18 FF 93 8C 01 00 00 8D 44 24 20 50 8D 44 24 04 50 8D 44 24 18 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 83 C4 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90783_0 {
	meta:
		name = "InternalPointOrigin"
		size = 376
		refs = "0099 TCustomChartSeries.SameClass 00f9 InternalPointOrigin"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 C0 89 45 F8 89 45 FC 8B 45 08 8B 40 FC 8B 40 40 85 C0 0F 84 49 01 00 00 89 45 DC 8B 45 08 8B 40 F8 8B 55 08 8B 52 FC 8B 92 60 01 00 00 8B 52 54 8B 0C C2 89 4D E0 8B 4C C2 04 89 4D E4 8B 45 DC 8B 80 B4 03 00 00 8B 70 08 4E 85 F6 0F 8C 0F 01 00 00 46 C7 45 F4 00 00 00 00 8B 45 DC 8B 80 B4 03 00 00 8B 40 04 8B 55 F4 8B 1C 90 8B 45 08 80 78 F7 00 75 0C 8B 45 08 3B 58 FC 0F 84 E0 00 00 00 80 7B 38 00 74 25 8B 45 08 8B 50 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B 83 A0 00 00 00 8B 40 04 8B 55 08 3B 42 F8 0F 9F C0 EB 02 33 C0 84 C0 0F 84 A1 00 00 00 8B 83 AC 01 00 00 8B 55 08 8B 52 FC 3B 82 AC 01 00 00 0F 85 89 00 00 00 8B 45 08 8B 50 F8 8B C3 8B 08 FF 91 60 01 00 00 DD 5D E8 9B 8B 45 08 80 78 F7 00 74 29 DD 45 E8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0E DD 45 E8 D9 E0 DC 45 F8 DD 5D F8 9B EB 4F DD 45 F8 DC 45 E8 DD 5D F8 9B EB 43 DD 45 E0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 1B DD 45 E8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 25 DD 45 F8 DC 45 E8 DD 5D F8 9B EB 19 DD 45 E8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 0A DD 45 F8 DC 45 E8 DD 5D F8 9B FF 45 F4 4E 0F 85 F9 FE FF FF DD 45 F8 5E 5B 8B E5 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_90784_0 {
	meta:
		name = "TCustomBarSeries.PointOrigin"
		size = 236
		refs = "0024 InternalPointOrigin"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 88 4D F7 89 55 F8 89 45 FC 8B 45 FC 0F B6 80 93 01 00 00 3C 02 74 04 3C 03 75 10 55 E8 ?? ?? ?? ?? 59 DD 5D E8 9B E9 B2 00 00 00 3C 05 0F 85 95 00 00 00 33 C0 89 45 E8 89 45 EC 8B 45 FC 8B 80 60 01 00 00 8B 40 54 8B 55 F8 DD 04 D0 8B 45 FC DC 98 98 01 00 00 9B DF E0 9E 0F 93 C3 8B 4D F8 49 85 C9 7C 78 41 33 D2 84 DB 74 1E 8B 45 FC 8B 80 60 01 00 00 8B 40 54 DD 04 D0 8B 45 FC DC 98 98 01 00 00 9B DF E0 9E 73 22 84 DB 75 34 8B 45 FC 8B 80 60 01 00 00 8B 40 54 DD 04 D0 8B 45 FC DC 98 98 01 00 00 9B DF E0 9E 73 16 DD 45 E8 8B 45 FC 8B 80 60 01 00 00 8B 40 54 DC 04 D0 DD 5D E8 9B 42 49 75 A2 EB 15 8B 45 FC 8B 90 98 01 00 00 89 55 E8 8B 90 9C 01 00 00 89 55 EC DD 45 E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90785_0 {
	meta:
		name = "CheckRotation"
		size = 80
		refs = "0016 TView3DOptions.GetRotation"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 40 40 8B 98 08 03 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 0C 8B C3 E8 ?? ?? ?? ?? 83 F8 5A 7C 21 8B C3 E8 ?? ?? ?? ?? 3D B4 00 00 00 7E 0E 8B C3 E8 ?? ?? ?? ?? 3D 0E 01 00 00 7C 05 33 C0 5B 5D C3 B0 01 5B 5D C3 }
	condition:
		$1
}

rule function_90786_0 {
	meta:
		name = "TCustomBarSeries.DrawSeriesAscending"
		size = 100
		refs = "000c TChartSeries.DrawSeriesAscending 0028 TCustomBarSeries.NotMandatoryAxis 0052 CheckRotation"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 FC 0F B6 80 93 01 00 00 3C 04 74 04 3C 05 75 3A 8B 45 FC E8 ?? ?? ?? ?? 80 B8 B8 00 00 00 00 74 03 80 F3 01 8B 45 FC 8B 40 40 8B 80 B8 03 00 00 80 B8 B8 00 00 00 00 74 03 80 F3 01 55 E8 ?? ?? ?? ?? 59 84 C0 74 03 80 F3 01 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_90788_0 {
	meta:
		name = "TCustomBarSeries.DrawLegendShape"
		size = 78
		refs = "000c TCustomBarSeries.GetBarBrush 0011 TChartBrush.GetImage 0028 TPicture.GetBitmap 003b TBrush.SetBitmap 0046 TChartSeries.DrawLegendShape"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 78 0C 00 74 24 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 40 8B 80 40 03 00 00 8B 40 04 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90789_0 {
	meta:
		name = "TCustomBarSeries.PrepareBarPen"
		size = 100
		refs = "0033 ApplyDark 003b TCustomBarSeries.GetBarPen"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 40 8B B0 40 03 00 00 83 BB 84 01 00 00 00 7E 32 83 FF FF 74 2D 8B D7 8B C3 8B 08 FF 91 B0 00 00 00 B2 FF 2A 93 84 01 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 59 8B 18 FF 53 54 EB 15 8B C3 E8 ?? ?? ?? ?? 8B 50 10 8B 4A 18 8B D6 92 8B 18 FF 53 54 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90790_0 {
	meta:
		name = "TCustomBarSeries.PrepareLegendCanvas"
		size = 86
		refs = "000c TCustomBarSeries.PrepareBarPen 0013 TCustomBarSeries.GetBarBrush"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 40 10 0F B6 40 20 8B 55 08 88 02 8B C3 E8 ?? ?? ?? ?? 8B 40 10 8B 40 18 3D 00 00 00 20 75 0A 8B 43 40 8B 40 74 89 06 EB 0F 8B C3 E8 ?? ?? ?? ?? 8B 40 10 8B 40 18 89 06 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_90792_0 {
	meta:
		name = "TCustomBarSeries.SetPenBrushBar"
		size = 84
		refs = "0010 TCustomBarSeries.PrepareBarPen 0017 TCustomBarSeries.GetBarBrush 004b TCustomTeePanel.SetBrushCanvas"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 73 40 8B D1 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 40 10 8B 40 18 3D 00 00 00 20 75 05 8B 7E 74 EB 0F 8B C3 E8 ?? ?? ?? ?? 8B 40 10 8B 40 18 8B F8 57 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D5 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90793_0 {
	meta:
		name = "TCustomBarSeries.BarRectangle"
		size = 2456
		refs = "003c TPen.SetWidth 005d TPen.SetColor 0065 TPen.GetStyle 0073 TPen.SetStyle 00ed TBrush.SetStyle 0123 TCanvas3D.CalcRect3D 017f TTeeCanvas.RoundRect 02de TCustomBarSeries.BarRectangle 02e3 @ROUND"
	strings:
		$1 = { 55 8B EC 81 C4 70 FE FF FF 53 56 57 89 4D F8 89 55 FC 8B F0 8B 46 40 8B 80 40 03 00 00 8B D8 8B 53 04 8B 52 10 80 7A 20 00 0F 85 C2 00 00 00 8B 56 44 8B 52 10 8B 52 1C 8B 40 10 E8 ?? ?? ?? ?? 8B 45 10 3B 45 F8 74 08 8B 45 14 3B 45 0C 75 41 8B 43 04 8B 40 10 8B 50 18 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 3C 05 75 0A 33 D2 8B 43 10 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C 50 8B 4D 14 8B 55 F8 8B C3 8B 38 FF 97 D0 00 00 00 EB 60 8B 45 10 2B 45 F8 99 33 C2 2B C2 8B 7B 10 8B 57 10 8B 4A 1C 3B C1 7D 04 B0 01 EB 10 8B 45 0C 2B 45 14 99 33 C2 2B C2 3B C8 0F 9F C0 84 C0 74 30 8B 43 04 8B 40 10 8B 50 18 8B C7 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 3C 05 75 0A 33 D2 8B 43 10 E8 ?? ?? ?? ?? B2 01 8B 43 04 E8 ?? ?? ?? ?? 80 7D 08 00 0F 84 76 08 00 00 8B 45 F8 89 45 D4 8B 45 14 89 45 D8 8B 45 10 89 45 DC 8B 45 0C 89 45 E0 8D 45 E4 50 8D 55 D4 8B 8E A0 01 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 86 72 01 00 00 3C 02 0F 85 BC 00 00 00 8B 45 14 3B 45 0C 7E 4A 8B 45 F8 89 45 C4 8B 45 0C 89 45 C8 8B 45 10 89 45 CC 8B 45 14 89 45 D0 8B BE A0 01 00 00 57 8D 85 74 FE FF FF 50 8D 55 C4 8B 8E A0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 95 74 FE FF FF 8B CF 8B C3 E8 ?? ?? ?? ?? E9 01 08 00 00 8B 45 10 3B 45 F8 7E 18 8B 86 A0 01 00 00 50 8D 55 E4 8B C8 8B C3 E8 ?? ?? ?? ?? E9 E1 07 00 00 8B 45 10 89 45 B4 8B 45 14 89 45 B8 8B 45 F8 89 45 BC 8B 45 0C 89 45 C0 8B BE A0 01 00 00 57 8D 85 74 FE FF FF 50 8D 55 B4 8B 8E A0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 95 74 FE FF FF 8B CF 8B C3 E8 ?? ?? ?? ?? E9 97 07 00 00 3C 01 0F 85 5D 07 00 00 80 BE 6C 01 00 00 00 0F 84 AE 03 00 00 8B 45 14 3B 45 0C 0F 8E C7 01 00 00 8B 45 14 2B 45 0C 8B BE A0 01 00 00 3B C7 0F 8D A9 00 00 00 89 45 F4 8B 45 F8 89 45 A4 8B 45 F4 D1 F8 79 03 83 D0 00 8B 55 14 2B D0 42 89 55 A8 8B 45 10 89 45 AC 8B 45 0C 89 45 B0 8D 55 A4 8B C3 8B 08 FF 91 AC 00 00 00 8B 45 10 50 8B 45 0C 50 8B 4D 14 8B 55 F8 8B C3 8B 38 FF 97 8C 00 00 00 8B C3 8B 10 FF 92 E0 00 00 00 8B 45 F8 89 45 94 8B 45 14 89 45 98 8B 45 10 89 45 9C 8B 45 F4 D1 F8 79 03 83 D0 00 03 45 0C 40 89 45 A0 8D 55 94 8B C3 8B 08 FF 91 AC 00 00 00 8B 86 A0 01 00 00 50 8D 55 E4 8B C8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 E0 00 00 00 E9 B9 06 00 00 89 BD 70 FE FF FF DB 85 70 FE FF FF D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 14 5A 2B C2 48 8B 55 F8 4A 89 55 84 8B 55 0C 89 55 88 8B 55 10 89 55 8C 89 45 90 8D 55 84 8B C3 8B 08 FF 91 AC 00 00 00 8B 45 10 50 8B 45 14 50 8B 4D 0C 8B 55 F8 8B C3 8B 38 FF 97 8C 00 00 00 8B C3 8B 10 FF 92 E0 00 00 00 DB 86 A0 01 00 00 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 45 0C 48 8B 55 F8 89 95 74 FF FF FF 89 85 78 FF FF FF 8B 45 10 89 85 7C FF FF FF 8B 45 14 89 45 80 8D 95 74 FF FF FF 8B C3 8B 08 FF 91 AC 00 00 00 8B 45 F8 89 85 64 FF FF FF 8B 45 0C 89 85 68 FF FF FF 8B 45 10 89 85 6C FF FF FF 8B 45 14 89 85 70 FF FF FF 8B BE A0 01 00 00 57 8D 85 74 FE FF FF 50 8D 95 64 FF FF FF 8B 8E A0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 95 74 FE FF FF 8B CF 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 E0 00 00 00 E9 AF 05 00 00 8B 45 0C 2B 45 14 8B 96 A0 01 00 00 3B C2 0F 8D 04 01 00 00 89 45 F4 8B 45 F8 89 85 54 FF FF FF 8B 45 F4 D1 F8 79 03 83 D0 00 03 45 14 89 85 58 FF FF FF 8B 45 10 89 85 5C FF FF FF 8B 45 0C 89 85 60 FF FF FF 8D 95 54 FF FF FF 8B C3 8B 08 FF 91 AC 00 00 00 8B 45 10 50 8B 45 0C 50 8B 4D 14 8B 55 F8 8B C3 8B 38 FF 97 8C 00 00 00 8B C3 8B 10 FF 92 E0 00 00 00 8B 45 F8 89 85 44 FF FF FF 8B 45 14 89 85 48 FF FF FF 8B 45 10 89 85 4C FF FF FF 8B 45 F4 D1 F8 79 03 83 D0 00 8B 55 0C 2B D0 42 89 95 50 FF FF FF 8D 95 44 FF FF FF 8B C3 8B 08 FF 91 AC 00 00 00 8B 45 F8 89 85 34 FF FF FF 8B 45 14 89 85 38 FF FF FF 8B 45 10 89 85 3C FF FF FF 8B 45 0C 89 85 40 FF FF FF 8B BE A0 01 00 00 57 8D 85 74 FE FF FF 50 8D 95 34 FF FF FF 8B 4D F4 8B C3 E8 ?? ?? ?? ?? 8D 95 74 FE FF FF 8B CF 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 E0 00 00 00 E9 97 04 00 00 8B 45 F8 89 85 24 FF FF FF D1 FA 79 03 83 D2 00 03 55 14 89 95 28 FF FF FF 8B 45 10 89 85 2C FF FF FF 8B 45 0C 89 85 30 FF FF FF 8D 95 24 FF FF FF 8B C3 8B 08 FF 91 AC 00 00 00 8B 45 10 50 8B 45 0C 50 8B 4D 14 8B 55 F8 8B C3 8B 38 FF 97 8C 00 00 00 8B C3 8B 10 FF 92 E0 00 00 00 8B 45 F8 89 85 14 FF FF FF 8B 45 14 89 85 18 FF FF FF 8B 45 10 89 85 1C FF FF FF 8B 86 A0 01 00 00 D1 F8 79 03 83 D0 00 8B 55 0C 2B D0 42 89 95 20 FF FF FF 8D 95 14 FF FF FF 8B C3 8B 08 FF 91 AC 00 00 00 8B 86 A0 01 00 00 50 8D 55 E4 8B C8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 E0 00 00 00 E9 D4 03 00 00 8B 45 F8 3B 45 10 0F 8D A7 01 00 00 8B 45 10 2B 45 F8 3B 86 A0 01 00 00 0F 8D C7 00 00 00 89 45 F4 8B 45 F8 89 85 04 FF FF FF 8B 45 14 89 85 08 FF FF FF 8B 45 F4 D1 F8 79 03 83 D0 00 8B 55 10 2B D0 42 89 95 0C FF FF FF 8B 45 0C 89 85 10 FF FF FF 8D 95 04 FF FF FF 8B C3 8B 08 FF 91 AC 00 00 00 8B 45 10 50 8B 45 0C 50 8B 4D 14 8B 55 F8 8B C3 8B 38 FF 97 8C 00 00 00 8B C3 8B 10 FF 92 E0 00 00 00 8B 45 F4 D1 F8 79 03 83 D0 00 03 45 F8 48 89 85 F4 FE FF FF 8B 45 14 89 85 F8 FE FF FF 8B 45 10 89 85 FC FE FF FF 8B 45 0C 89 85 00 FF FF FF 8D 95 F4 FE FF FF 8B C3 8B 08 FF 91 AC 00 00 00 8B 86 A0 01 00 00 50 8D 55 E4 8B C8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 E0 00 00 00 E9 EF 02 00 00 8B 45 F8 89 85 E4 FE FF FF 8B 45 14 89 85 E8 FE FF FF 8B 86 A0 01 00 00 D1 F8 79 03 83 D0 00 8B 55 10 2B D0 42 89 95 EC FE FF FF 8B 45 0C 89 85 F0 FE FF FF 8D 95 E4 FE FF FF 8B C3 8B 08 FF 91 AC 00 00 00 8B 45 10 50 8B 45 0C 50 8B 4D 14 8B 55 F8 8B C3 8B 38 FF 97 8C 00 00 00 8B C3 8B 10 FF 92 E0 00 00 00 8B 86 A0 01 00 00 D1 F8 79 03 83 D0 00 03 45 F8 48 89 85 D4 FE FF FF 8B 45 14 89 85 D8 FE FF FF 8B 45 10 89 85 DC FE FF FF 8B 45 0C 89 85 E0 FE FF FF 8D 95 D4 FE FF FF 8B C3 8B 08 FF 91 AC 00 00 00 8B 86 A0 01 00 00 50 8D 55 E4 8B 8E A0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 E0 00 00 00 E9 21 02 00 00 8B 45 F8 2B 45 10 3B 86 A0 01 00 00 0F 8D D1 00 00 00 8B 45 F8 2B 45 10 89 45 F4 8B 45 F8 89 85 C4 FE FF FF 8B 45 14 89 85 C8 FE FF FF 8B 45 F4 D1 F8 79 03 83 D0 00 03 45 10 48 89 85 CC FE FF FF 8B 45 0C 89 85 D0 FE FF FF 8D 95 C4 FE FF FF 8B C3 8B 08 FF 91 AC 00 00 00 8B 45 10 50 8B 45 0C 50 8B 4D 14 8B 55 F8 8B C3 8B 38 FF 97 8C 00 00 00 8B C3 8B 10 FF 92 E0 00 00 00 8B 45 F4 D1 F8 79 03 83 D0 00 8B 55 F8 2B D0 42 89 95 B4 FE FF FF 8B 45 14 89 85 B8 FE FF FF 8B 45 10 89 85 BC FE FF FF 8B 45 0C 89 85 C0 FE FF FF 8D 95 B4 FE FF FF 8B C3 8B 08 FF 91 AC 00 00 00 8B 86 A0 01 00 00 50 8D 55 E4 8B 8E A0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 E0 00 00 00 E9 3E 01 00 00 8B 86 A0 01 00 00 D1 F8 79 03 83 D0 00 03 45 10 48 89 85 A4 FE FF FF 8B 45 14 89 85 A8 FE FF FF 8B 45 F8 89 85 AC FE FF FF 8B 45 0C 89 85 B0 FE FF FF 8D 95 A4 FE FF FF 8B C3 8B 08 FF 91 AC 00 00 00 8B 45 F8 50 8B 45 0C 50 8B 4D 14 8B 55 10 8B C3 8B 38 FF 97 8C 00 00 00 8B C3 8B 10 FF 92 E0 00 00 00 8B 45 10 89 85 94 FE FF FF 8B 45 14 89 85 98 FE FF FF 8B 86 A0 01 00 00 D1 F8 79 03 83 D0 00 8B 55 F8 2B D0 42 89 95 9C FE FF FF 8B 45 0C 89 85 A0 FE FF FF 8D 95 94 FE FF FF 8B C3 8B 08 FF 91 AC 00 00 00 8B 45 10 89 85 84 FE FF FF 8B 45 14 89 85 88 FE FF FF 8B 45 F8 89 85 8C FE FF FF 8B 45 0C 89 85 90 FE FF FF 8B 86 A0 01 00 00 50 8D 85 74 FE FF FF 50 8D 95 84 FE FF FF 8B 8E A0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 95 74 FE FF FF 8B 8E A0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 E0 00 00 00 EB 32 8B 45 10 50 8B 45 0C 50 8B 4D 14 8B 55 F8 8B C3 8B 18 FF 93 8C 00 00 00 EB 18 8B 45 10 50 8B 45 0C 50 8B 4D 14 8B 55 F8 8B C3 8B 18 FF 93 8C 00 00 00 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 00 00 40 }
	condition:
		$1
}

rule function_90794_0 {
	meta:
		name = "TCustomBarSeries.BarRectangle"
		size = 33
		refs = "0018 TCustomBarSeries.BarRectangle"
	strings:
		$1 = { 55 8B EC 53 8B 59 04 53 8B 59 08 53 8B 59 0C 53 0F B6 5D 08 53 8B 09 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_90795_0 {
	meta:
		name = "TCustomBarSeries.GetBarStyle"
		size = 48
	strings:
		$1 = { 53 51 0F B6 88 73 01 00 00 88 0C 24 66 83 B8 BA 01 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 BC 01 00 00 FF 93 B8 01 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_90800_0 {
	meta:
		name = "TCustomBarSeries.GetEditorClass"
		size = 68
		refs = "0006 TCustomBarSeries.GetEditorClass 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 54 00 42 00 61 00 72 00 53 00 65 00 72 00 69 00 65 00 73 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_90801_0 {
	meta:
		name = "TCustomBarSeries.BarMargin"
		size = 56
	strings:
		$1 = { 53 8B 98 E0 01 00 00 0F B6 90 93 01 00 00 80 FA 04 74 0C 80 FA 05 74 07 0F AF 98 D0 01 00 00 80 B8 A8 01 00 00 00 75 0C B9 02 00 00 00 8B C3 99 F7 F9 89 C3 8B C3 5B C3 }
	condition:
		$1
}

rule function_90802_0 {
	meta:
		name = "TCustomBarSeries.ApplyBarOffset"
		size = 68
		refs = "0021 TCustomBarSeries.ApplyBarOffset 0028 @ROUND"
	strings:
		$1 = { 53 56 57 51 8B D8 8B F2 8B BB 94 01 00 00 85 FF 74 1C 0F AF BB E0 01 00 00 89 3C 24 DB 04 24 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 03 F0 8B C6 5A 5F 5E 5B C3 00 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_90803_0 {
	meta:
		name = "TCustomBarSeries.SetAutoMarkPosition"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 05 71 01 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90804_0 {
	meta:
		name = "TCustomBarSeries.SetAutoBarSize"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 05 70 01 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90805_0 {
	meta:
		name = "TCustomBarSeries.Assign"
		size = 319
		refs = "000b _DV_TCustomBarSeries 0010 @IsClass 0097 TCustomBarSeries.SetEmboss 00ee TCustomBarSeries.SetShadow 0114 TCustomBarSeries.SetTickLines 0137 TChartSeries.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 16 01 00 00 8B FE 0F B6 87 71 01 00 00 88 83 71 01 00 00 8B 87 74 01 00 00 89 83 74 01 00 00 0F B6 87 72 01 00 00 88 83 72 01 00 00 0F B6 87 73 01 00 00 88 83 73 01 00 00 8B 87 78 01 00 00 89 83 78 01 00 00 8B 87 E4 01 00 00 89 83 E4 01 00 00 0F B6 87 80 01 00 00 88 83 80 01 00 00 8B 87 84 01 00 00 89 83 84 01 00 00 8B 87 88 01 00 00 89 83 88 01 00 00 8B 97 8C 01 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 87 90 01 00 00 88 83 90 01 00 00 0F B6 87 93 01 00 00 88 83 93 01 00 00 8B 87 94 01 00 00 89 83 94 01 00 00 8B 87 98 01 00 00 89 83 98 01 00 00 8B 87 9C 01 00 00 89 83 9C 01 00 00 8B 87 A0 01 00 00 89 83 A0 01 00 00 8B 97 A4 01 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 87 A8 01 00 00 88 83 A8 01 00 00 8B 87 AC 01 00 00 89 83 AC 01 00 00 8B 97 B0 01 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 87 B4 01 00 00 88 83 B4 01 00 00 0F B6 87 B5 01 00 00 88 83 B5 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90806_0 {
	meta:
		name = "TCustomBarSeries.AddBar"
		size = 43
		altNames = "TPieSeries.AddPie"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 FF 75 0C FF 75 08 8B 4D FC 8B D7 8B C6 8B 18 FF 93 F4 00 00 00 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_90807_0 {
	meta:
		name = "TCustomBarSeries.SwapGradientColors"
		size = 34
		refs = "0003 TCustomBarSeries.GetGradient 0012 TCustomTeeGradient.SetStartColor 001b TCustomTeeGradient.SetEndColor"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B D8 8B 73 20 8B 53 10 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90808_0 {
	meta:
		name = "CalcGradientColor"
		size = 440
		refs = "002e RGBValue 0068 TChartValueList.GetMaxValue 0095 TChartValueList.GetMinValue 00d3 TChartValueList.Range 00de CalcGradientColor 00ed TCustomBarSeries.GetGradient 0130 @ROUND 018a TCustomTeeGradient.SetEndColor"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B F0 8B 45 08 8B 40 FC 80 B8 90 01 00 00 00 0F 84 72 01 00 00 8D 55 F3 8B 45 08 8B 40 FC 8B 80 E8 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 98 60 01 00 00 8B 45 08 8B 40 FC 80 B8 B5 01 00 00 00 74 72 8B 43 54 DD 04 F0 8B 45 08 8B 40 FC DC 98 98 01 00 00 9B DF E0 9E 72 2D 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC DC A0 98 01 00 00 8B 43 54 DD 04 F0 8B 45 08 8B 40 FC DC A0 98 01 00 00 DE F1 DD 5D F8 9B EB 54 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC DC A8 98 01 00 00 8B 45 08 8B 40 FC DD 80 98 01 00 00 8B 43 54 DC 24 F0 DE F1 DD 5D F8 9B EB 27 8B C3 E8 ?? ?? ?? ?? 8B 43 54 DC 24 F0 DB 7D E4 9B 8B C3 E8 ?? ?? ?? ?? DB 6D E4 DE F1 D8 2D ?? ?? ?? ?? DD 5D F8 9B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 0F B6 58 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 40 20 C1 E8 08 88 45 F7 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 40 20 C1 E8 10 88 45 F6 0F B6 45 F5 0F B6 F3 2B C6 89 45 E0 DB 45 E0 DC 4D F8 E8 ?? ?? ?? ?? 03 C6 50 0F B6 45 F4 0F B6 7D F7 2B C7 89 45 DC DB 45 DC DC 4D F8 E8 ?? ?? ?? ?? 03 C7 C1 E0 08 5A 0B D0 52 0F B6 45 F3 0F B6 55 F6 2B C2 89 45 D8 DB 45 D8 DC 4D F8 E8 ?? ?? ?? ?? 0F B6 55 F6 03 C2 C1 E0 10 5A 0B D0 52 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 1C 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 92 E8 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 00 00 80 3F }
	condition:
		$1
}

rule function_90809_0 {
	meta:
		name = "TCustomBarSeries.CalcBarGradient"
		size = 119
		refs = "000e CalcGradientColor 0055 TChartSeries.MandatoryAxis 006d TCustomBarSeries.SwapGradientColors"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 55 8B C3 E8 ?? ?? ?? ?? 59 8B 45 FC 80 B8 B5 01 00 00 00 74 2A 8B 45 FC 80 B8 90 01 00 00 00 74 1E 8B 45 FC 8B 80 60 01 00 00 8B 40 54 DD 04 D8 8B 45 FC DC 98 98 01 00 00 9B DF E0 9E 72 04 33 C0 EB 02 B0 01 8B D8 8B 45 FC E8 ?? ?? ?? ?? 80 B8 B8 00 00 00 00 74 03 80 F3 01 84 DB 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_90810_0 {
	meta:
		name = "TCustomBarSeries.MaxMandatoryValue"
		size = 198
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B D8 80 BB 93 01 00 00 03 75 11 33 C0 89 45 F8 C7 45 FC 00 00 59 40 E9 95 00 00 00 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 0F B6 83 93 01 00 00 3C 02 74 04 3C 05 75 50 8B 83 A0 00 00 00 8B 40 04 48 85 C0 7C 42 40 89 45 EC 33 F6 33 C9 8B D6 8B C3 8B 38 FF 97 94 01 00 00 8B 83 60 01 00 00 8B 40 54 DC 04 F0 DD 5D F0 9B DD 45 F0 DC 5D F8 9B DF E0 9E 76 0C 8B 45 F0 89 45 F8 8B 45 F4 89 45 FC 46 FF 4D EC 75 C4 80 BB B5 01 00 00 00 74 21 DD 45 F8 DC 9B 98 01 00 00 9B DF E0 9E 73 12 8B 83 98 01 00 00 89 45 F8 8B 83 9C 01 00 00 89 45 FC DD 45 F8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_90811_0 {
	meta:
		name = "TCustomBarSeries.MinMandatoryValue"
		size = 432
		refs = "004f TCustomBarSeries.MinMandatoryValue 00b5 TChartSeries.MandatoryAxis"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B D8 80 BB 93 01 00 00 03 0F 85 EC 00 00 00 33 C0 89 45 F8 89 45 FC 8B 83 A0 00 00 00 8B 40 04 48 85 C0 0F 8C 67 01 00 00 40 89 45 EC 33 F6 B1 01 8B D6 8B C3 8B 38 FF 97 94 01 00 00 DD 5D F0 9B DD 45 F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 59 33 C9 8B D6 8B C3 8B 38 FF 97 94 01 00 00 8B 83 A4 00 00 00 8B 40 54 DC 04 F0 D8 0D ?? ?? ?? ?? DC 75 F0 DB 7D E0 9B DB 6D E0 DC 5D F8 9B DF E0 9E 76 09 DD 45 F8 DB 7D D0 9B EB 14 8B 45 E0 89 45 D0 8B 45 E4 89 45 D4 66 8B 45 E8 66 89 45 D8 DB 6D D0 DD 5D F8 9B EB 43 8B C3 E8 ?? ?? ?? ?? DB 80 8C 01 00 00 DD 5D C8 9B DD 45 F8 DC 5D C8 9B DF E0 9E 73 0E 8B 45 F8 89 45 C0 8B 45 FC 89 45 C4 EB 0C 8B 45 C8 89 45 C0 8B 45 CC 89 45 C4 8B 45 C0 89 45 F8 8B 45 C4 89 45 FC 46 FF 4D EC 0F 85 39 FF FF FF E9 95 00 00 00 8B 45 08 89 45 F8 8B 45 0C 89 45 FC 0F B6 83 93 01 00 00 3C 02 74 04 3C 05 75 50 8B 83 A0 00 00 00 8B 40 04 48 85 C0 7C 42 40 89 45 EC 33 F6 33 C9 8B D6 8B C3 8B 38 FF 97 94 01 00 00 8B 83 60 01 00 00 8B 40 54 DC 04 F0 DD 5D F0 9B DD 45 F0 DC 5D F8 9B DF E0 9E 73 0C 8B 45 F0 89 45 F8 8B 45 F4 89 45 FC 46 FF 4D EC 75 C4 80 BB B5 01 00 00 00 74 21 DD 45 F8 DC 9B 98 01 00 00 9B DF E0 9E 76 12 8B 83 98 01 00 00 89 45 F8 8B 83 9C 01 00 00 89 45 FC DD 45 F8 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_90812_0 {
	meta:
		name = "TCustomBarSeries.NotMandatoryAxis"
		size = 17
	strings:
		$1 = { 80 B8 6C 01 00 00 00 74 04 8B 40 74 C3 8B 40 78 C3 }
	condition:
		$1
}

rule function_90813_0 {
	meta:
		name = "CalcBarWidth"
		size = 356
		refs = "0040 TCustomBarSeries.NotMandatoryAxis 0057 CalcBarWidth 006a @ROUND"
	strings:
		$1 = { 55 8B EC 51 53 8B 45 08 8B 40 FC 8B 80 E4 01 00 00 85 C0 74 11 8B 55 08 8B 52 FC 89 82 E0 01 00 00 E9 1E 01 00 00 8B 45 08 8B 40 FC 83 B8 D4 01 00 00 00 0F 8E FD 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 80 B8 70 01 00 00 00 74 1D D9 05 ?? ?? ?? ?? DC 43 18 DC 63 20 DB 83 90 01 00 00 DE F1 E8 ?? ?? ?? ?? 8B D8 EB 1A 8B 45 08 8B 40 FC FF B0 D4 01 00 00 8B 83 90 01 00 00 5A 8B CA 99 F7 F9 8B D8 8B 45 08 8B 40 FC 80 B8 93 01 00 00 05 75 37 8B 45 08 8B 40 FC DB 80 74 01 00 00 DB 2D ?? ?? ?? ?? DE C9 89 5D FC DB 45 FC DE C9 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 82 E0 01 00 00 EB 3B 8B 45 08 8B 40 FC DB 80 74 01 00 00 DB 2D ?? ?? ?? ?? DE C9 89 5D FC DB 45 FC DE C9 8B 45 08 8B 40 FC DB 80 D0 01 00 00 DE F9 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 82 E0 01 00 00 8B 45 08 8B 40 FC 8B 80 E0 01 00 00 25 01 00 00 80 79 05 48 83 C8 FE 40 48 75 1C 8B 45 08 8B 40 FC FF 80 E0 01 00 00 EB 0E 8B 45 08 8B 40 FC 33 D2 89 90 E0 01 00 00 5B 59 5D C3 00 00 00 40 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 CD CC CC CC CC CC CC CC FE 3F 00 00 }
	condition:
		$1
}

rule function_90814_0 {
	meta:
		name = "TCustomBarSeries.InternalApplyBarMargin"
		size = 37
		refs = "000f CalcBarWidth 0018 TCustomBarSeries.BarMargin"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA 89 45 FC 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 01 03 01 06 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90815_0 {
	meta:
		name = "DoDrawBar"
		size = 220
		refs = "0016 TCustomBarSeries.CreateBlend"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F0 85 F6 7E 12 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 89 45 FC EB 05 33 C0 89 45 FC 8B 45 08 8B 40 FC 05 C0 01 00 00 8B 55 08 8B 52 FC 80 BA 6C 01 00 00 00 74 40 8B 78 04 3B 78 0C 7D 1D 8B 50 0C 52 8B 55 08 8B 52 F8 8B 4D 08 8B 49 FC 8B C7 91 8B 18 FF 93 90 01 00 00 EB 58 57 8B 55 08 8B 52 F8 8B 4D 08 8B 49 FC 8B 40 0C 91 8B 18 FF 93 90 01 00 00 EB 3D 8B 38 3B 78 08 7D 1D 8B 50 08 52 8B 55 08 8B 52 F8 8B 4D 08 8B 49 FC 8B C7 91 8B 18 FF 93 90 01 00 00 EB 19 57 8B 55 08 8B 52 F8 8B 4D 08 8B 49 FC 8B 40 08 91 8B 18 FF 93 90 01 00 00 85 F6 7E 17 8B 45 08 8B 40 FC 8B 40 40 8B 80 40 03 00 00 8B 55 FC 8B 08 FF 51 5C 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90816_0 {
	meta:
		name = "CalcRoundSize"
		size = 42
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 08 8B 40 FC 80 B8 73 01 00 00 0E 75 11 8B 45 08 8B 40 08 8B 40 FC 8B 80 A0 01 00 00 5D C3 33 C0 5D C3 }
	condition:
		$1
}

rule function_90817_0 {
	meta:
		name = "CalcShadowBounds"
		size = 134
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 0C 8B D0 8B 45 08 8B 40 08 8B 40 FC 05 C0 01 00 00 8B 4D 08 8B 49 08 8B 49 FC 80 B9 6C 01 00 00 00 74 2C 8B CA 0F AF 4B 0C 01 08 8B CA 0F AF 4B 0C 01 48 08 8B 48 0C 3B 48 04 7E 09 0F AF 53 1C 01 50 04 EB 32 0F AF 53 1C 29 50 0C 5B 5D C3 8B CA 0F AF 4B 1C 01 48 04 8B CA 0F AF 4B 1C 01 48 0C 8B 48 08 3B 08 7E 09 0F AF 53 0C 01 50 08 EB 06 0F AF 53 0C 29 10 5B 5D C3 }
	condition:
		$1
}

rule function_90818_0 {
	meta:
		name = "TryDrawShadow"
		size = 468
		refs = "0018 TTeeShadow.GetSize 002b TCustomBarSeries.GetBarPen 005e TPen.SetColor 007b CalcShadowBounds 0103 CalcRoundSize 0117 TTeeShadow.Draw 0137 TCanvas3D.FourPointsFromRect 0181 DoDrawBar"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B D8 80 7B 20 00 0F 84 B8 01 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 A9 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 40 10 8B 40 18 8B F0 8B 45 08 8B 40 FC 8B 53 08 89 90 E8 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 92 E8 01 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 56 8D B0 C0 01 00 00 8D 7D F0 A5 A5 A5 A5 5E 55 8B C3 E8 ?? ?? ?? ?? 59 80 7B 10 00 0F 84 EE 00 00 00 8B 45 08 8B 40 FC 0F B6 80 73 01 00 00 84 C0 74 35 3C 06 74 31 8B 45 08 8B 40 FC 80 B8 73 01 00 00 0E 75 0F 8B 45 08 8B 40 FC 80 B8 72 01 00 00 02 74 13 8B 45 08 8B 40 FC 80 B8 73 01 00 00 08 0F 85 A8 00 00 00 8B 45 08 8B 40 FC 8B 78 40 80 BF 04 03 00 00 00 74 76 8B 87 08 03 00 00 80 78 20 00 74 2F 8B 45 08 8B 40 FC DB 80 5C 01 00 00 83 C4 F8 DD 1C 24 9B 55 E8 ?? ?? ?? ?? 59 50 6A 00 8D 4D F0 8B 97 40 03 00 00 8B C3 E8 ?? ?? ?? ?? EB 69 8D 45 D0 50 8B 45 08 8B 40 FC 8B 88 5C 01 00 00 8D 55 F0 8B 87 40 03 00 00 E8 ?? ?? ?? ?? 6A 03 8D 4D D0 8B 45 08 8B 40 FC 8B 40 40 8B 90 40 03 00 00 8B C3 E8 ?? ?? ?? ?? EB 2E 6A 00 6A 00 55 E8 ?? ?? ?? ?? 59 50 6A 00 8D 4D F0 8B 97 40 03 00 00 8B C3 E8 ?? ?? ?? ?? EB 0E 8B 45 08 50 0F B6 43 18 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 56 8D B8 C0 01 00 00 8D 75 F0 A5 A5 A5 A5 5E 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC 8B 08 FF 91 B0 00 00 00 8B 55 08 8B 52 FC 89 82 E8 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90819_0 {
	meta:
		name = "CreateVisual"
		size = 72
		refs = "0014 TryDrawShadow 0041 DoDrawBar"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 8B 45 08 8B 40 FC 8B 80 A4 01 00 00 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 08 8B 40 FC 8B 80 8C 01 00 00 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 08 8B 40 FC 0F B6 80 B4 01 00 00 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_90820_0 {
	meta:
		name = "TCustomBarSeries.DrawValue"
		size = 280
		refs = "0016 TChartSeries.DrawValue 006d TVisualsList.GetVisual 00ae TVisualBlock.SetBounds 00cd TCustomBarSeries.GetBarBrush 00d6 TCustomBarSeries.GetBarPen 00fa TCustomBarSeries.DrawValue 0106 CreateVisual"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 F8 89 45 FC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 91 B0 00 00 00 8B D8 8B 45 FC 89 98 E8 01 00 00 81 FB FF FF FF 1F 0F 84 CC 00 00 00 8D 4D E8 8B 55 F8 8B 45 FC 8B 18 FF 93 8C 01 00 00 8B 45 FC 8D 75 E8 8D B8 C0 01 00 00 A5 A5 A5 A5 8B 45 FC 8B 80 9C 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 74 6F 8B 45 FC DB 80 54 01 00 00 83 C4 F8 DD 1C 24 9B 8B 45 FC DB 80 5C 01 00 00 83 C4 F8 DD 1C 24 9B 8B 45 FC 8B 40 40 8B 48 54 8B 45 FC 8D 90 C0 01 00 00 8B F3 8B C6 E8 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 80 E8 01 00 00 50 8B 45 FC 0F B6 80 B4 01 00 00 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C6 59 8B 18 FF 53 48 EB 25 8B 45 FC 8B 80 60 01 00 00 8B 40 54 8B 55 F8 DD 04 D0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 07 55 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_90821_0 {
	meta:
		name = "TCustomBarSeries.SetSubGallery"
		size = 484
		refs = "0019 TCustomBarSeries.SetSubGallery 0064 TCustomBarSeries.SetBarStyle 00be @CallDynaInst 00cb TCustomAxisPanel.AddSeries 00dc GetNewSeriesName 00f1 TCustomChartSeries.SetTitle 0112 TTeeCustomShapeBrushPen.SetVisible 011b _DV_TCustomBarSeries 0120 @AsClass 012b TCustomBarSeries.SetBarWidthPercent 0182 TCustomBarSeries.SetMultiBar 01bc TChartSeries.SetSubGallery 01d1 @UStrClr 01d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 83 F8 05 77 6D FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 72 01 00 00 B2 01 8B C3 8B 08 FF 91 D4 00 00 00 E9 61 01 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? E9 53 01 00 00 B2 04 8B C3 E8 ?? ?? ?? ?? E9 45 01 00 00 B2 02 8B C3 E8 ?? ?? ?? ?? E9 37 01 00 00 B2 06 8B C3 E8 ?? ?? ?? ?? E9 29 01 00 00 8B 43 40 85 C0 0F 84 A7 00 00 00 8B 80 B4 03 00 00 83 78 08 01 0F 85 97 00 00 00 BA 02 00 00 00 8B C3 66 BE E9 FF E8 ?? ?? ?? ?? 8B 13 89 D0 8B 53 40 92 E8 ?? ?? ?? ?? 89 45 F8 8D 55 F4 8B 43 40 8B 40 04 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 08 FF 51 24 33 D2 8B 45 F8 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 45 F8 66 BE E9 FF E8 ?? ?? ?? ?? 8B 45 F8 8B 80 88 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 93 74 01 00 00 E8 ?? ?? ?? ?? 8B 83 88 00 00 00 33 D2 E8 ?? ?? ?? ?? 8B 03 8B CF 8B 55 F8 FF 90 DC 00 00 00 8B 03 FF 90 88 01 00 00 84 C0 75 03 83 C7 03 8B C7 83 C0 FA 83 F8 04 77 52 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 02 8B C3 E8 ?? ?? ?? ?? EB 38 B2 03 8B C3 E8 ?? ?? ?? ?? EB 2D B2 05 8B C3 E8 ?? ?? ?? ?? EB 22 B2 01 8B C3 E8 ?? ?? ?? ?? EB 17 B2 04 8B C3 E8 ?? ?? ?? ?? EB 0C 8B CF 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90822_0 {
	meta:
		name = "TCustomBarSeries.CreateSubGallery"
		size = 176
		refs = "000f TChartSeries.CreateSubGallery 0015 TeeMsg_Colors 0023 TeeMsg_Pyramid 0031 TeeMsg_Ellipse 003f TeeMsg_InvPyramid 004d TeeMsg_Gradient 0067 TeeMsg_Stack 0075 TeeMsg_Stack100 0083 TeeMsg_SelfStack 0091 TeeMsg_Sides 009f TeeMsg_SideAll"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B C3 FF 90 88 01 00 00 84 C0 74 2A 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_90823_0 {
	meta:
		name = "TCustomBarSeries.SetStackGroup"
		size = 14
		refs = "0009 TCustomChartElement.SetIntegerProperty"
	strings:
		$1 = { 8D 88 AC 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90826_0 {
	meta:
		name = "TCustomBarSeries.CreateBlend"
		size = 220
		refs = "002d TCustomBarSeries.GetBarPen 004a Offset 0067 TCanvas3D.CalcRect3D 0074 OrientRectangle 00ad UnionRect"
	strings:
		$1 = { 53 56 57 83 C4 B0 8B F2 8B D8 8B 43 40 80 B8 04 03 00 00 00 0F 84 99 00 00 00 56 8D B3 C0 01 00 00 8D 7C 24 34 A5 A5 A5 A5 5E 8B C3 E8 ?? ?? ?? ?? 80 78 28 00 74 17 8B C3 E8 ?? ?? ?? ?? 8B 40 10 8B 40 1C 8D 54 24 38 92 E8 ?? ?? ?? ?? 8D 44 24 40 50 8D 54 24 34 8B 43 40 8B 80 40 03 00 00 8B 8B 54 01 00 00 E8 ?? ?? ?? ?? 8D 44 24 40 8D 54 24 10 E8 ?? ?? ?? ?? 8D 44 24 40 50 8D 54 24 34 8B 43 40 8B 80 40 03 00 00 8B 8B 5C 01 00 00 E8 ?? ?? ?? ?? 8D 44 24 40 8D 54 24 20 E8 ?? ?? ?? ?? 8D 4C 24 20 8D 54 24 10 8B C4 E8 ?? ?? ?? ?? EB 10 56 8D B3 C0 01 00 00 8D 7C 24 04 A5 A5 A5 A5 5E 8B CE 8B D4 8B 43 40 8B 80 40 03 00 00 8B 18 FF 53 58 83 C4 50 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90827_0 {
	meta:
		name = "TCustomBarSeries.SetTransparency"
		size = 20
		refs = "000f TCustomChartElement.Repaint"
	strings:
		$1 = { 3A 90 B4 01 00 00 74 0B 88 90 B4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90828_0 {
	meta:
		name = "TCustomBarSeries.DrawBevel"
		size = 219
		refs = "0037 TCustomBarSeries.GetBarPen 0066 InflateRect 008c Offset 0092 DarkColorQuantity 00a0 ApplyDark 00ae DarkerColorQuantity 00bc ApplyBright"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8B 46 40 80 B8 04 03 00 00 00 74 10 8B 80 08 03 00 00 80 78 20 00 0F 84 B0 00 00 00 56 81 C6 C0 01 00 00 8D 7C 24 04 A5 A5 A5 A5 5E 8B C6 E8 ?? ?? ?? ?? 80 78 28 00 74 4F 8B C6 E8 ?? ?? ?? ?? 8B 40 10 8B 58 1C 8B C6 E8 ?? ?? ?? ?? 8B 40 10 8B 40 1C 8B C8 F7 D9 8B D3 F7 DA 8B C4 E8 ?? ?? ?? ?? 8B 46 40 80 B8 04 03 00 00 00 74 1A 8B 80 08 03 00 00 80 78 20 00 74 0E 8D 44 24 08 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 0F B6 12 8B 86 E8 01 00 00 E8 ?? ?? ?? ?? 50 8B 86 78 01 00 00 50 8B 15 ?? ?? ?? ?? 0F B6 12 8B 86 E8 01 00 00 E8 ?? ?? ?? ?? 8B C8 8D 54 24 08 8B 46 40 8B 80 40 03 00 00 8B 18 FF 53 78 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90829_0 {
	meta:
		name = "TCustomBarSeries.SetBevelSize"
		size = 14
		refs = "0009 TCustomChartElement.SetIntegerProperty"
	strings:
		$1 = { 8D 88 78 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90831_0 {
	meta:
		name = "TCustomBarSeries.SetTickLines"
		size = 12
	strings:
		$1 = { 8B 80 B0 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_90832_0 {
	meta:
		name = "TCustomBarSeries.DrawTickLines"
		size = 151
		refs = "0047 TChartSeries.MandatoryAxis 0054 @DynArrayLength 0084 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 80 B0 01 00 00 80 78 28 00 74 6D 8B 55 FC 8B B2 B0 01 00 00 8B 56 10 8B 4A 18 8B D6 8B 45 FC 8B 40 40 8B 80 40 03 00 00 8B 18 FF 53 54 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 87 B8 01 00 00 E8 ?? ?? ?? ?? 48 85 C0 7C 31 40 89 45 F0 33 DB 8B 87 B8 01 00 00 8B 04 98 3B 45 F8 7E 17 3B 45 F4 7D 12 0F B6 4D 08 8B D0 8B 45 FC 66 BE E4 FF E8 ?? ?? ?? ?? 43 FF 4D F0 75 D5 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_90833_0 {
	meta:
		name = "TCustomBarSeries.AddSampleValues"
		size = 136
		refs = "003f TCustomChartSeries.SameClass 0058 HasNoMandatoryValues 006b TChartSeries.AddSampleValues"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 88 4C 24 04 89 14 24 8B D8 8B 43 40 85 C0 74 5E 8B E8 8B 85 B4 03 00 00 8B 78 08 4F 85 FF 7C 4E 47 33 F6 8B 85 B4 03 00 00 8B 40 04 8B 04 B0 3B D8 74 0B 8B D0 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 26 8B 85 B4 03 00 00 8B 40 04 8B 04 B0 E8 ?? ?? ?? ?? 84 C0 74 11 0F B6 4C 24 04 8B 14 24 8B C3 E8 ?? ?? ?? ?? EB 04 46 4F 75 B5 B1 01 8B 14 24 8B C3 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90834_0 {
	meta:
		name = "TBarSeries.Create"
		size = 89
		refs = "000a @ClassCreate 0017 TCustomBarSeries.Create 001e TCustomBarSeries.GetGradient 0025 TCustomTeeGradient.SetDirection 0034 TeeMsg_ValuesBar 003b @UStrAsg 0046 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 86 60 01 00 00 83 C0 20 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_90835_0 {
	meta:
		name = "TBarSeries.CalcSelectionPos"
		size = 38
		refs = "0012 TChartSeries.CalcSelectionPos"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B 45 08 50 8B CE 8B C3 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 D1 E8 01 06 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_90836_0 {
	meta:
		name = "TBarSeries.CalcXPos"
		size = 208
		refs = "005a TChartSeries.CalcXPosValue 0071 TChartSeries.CalcXPos 008e TBarSeries.CalcXPos 00a3 @ROUND 00ba TCustomBarSeries.ApplyBarOffset"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 0F B6 83 93 01 00 00 3C 04 75 30 03 B3 DC 01 00 00 89 34 24 DB 04 24 83 C4 F8 DD 1C 24 9B 8B 73 74 8B 86 9C 01 00 00 FF 96 98 01 00 00 8B 93 E0 01 00 00 D1 EA 2B C2 8B F0 EB 73 3C 05 75 26 8B C3 8B 10 FF 92 30 01 00 00 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 83 E0 01 00 00 D1 E8 2B F0 EB 49 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 80 BB 93 01 00 00 00 74 2B DB 83 D8 01 00 00 DB 83 D0 01 00 00 D8 0D ?? ?? ?? ?? DE E9 D8 25 ?? ?? ?? ?? DB 83 E0 01 00 00 DE C9 E8 ?? ?? ?? ?? 03 F0 EB 0A 8B 83 E0 01 00 00 D1 E8 2B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 5A 5E 5B C3 00 00 00 00 00 3F 00 00 80 3F }
	condition:
		$1
}

rule function_90837_0 {
	meta:
		name = "TBarSeries.MaxXValue"
		size = 81
		refs = "0042 TChartSeries.MaxXValue"
	strings:
		$1 = { 83 C4 F4 0F B6 90 93 01 00 00 80 EA 04 74 06 FE CA 74 20 EB 2C 8B 90 A0 00 00 00 8B 52 04 03 90 DC 01 00 00 4A 89 54 24 08 DB 44 24 08 DD 1C 24 9B EB 17 8B 10 FF 92 30 01 00 00 DD 1C 24 9B EB 09 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 0C C3 }
	condition:
		$1
}

rule function_90838_0 {
	meta:
		name = "TBarSeries.MinXValue"
		size = 55
		refs = "0012 TCustomChartSeries.GetIndex 0027 TChartSeries.MinXValue"
	strings:
		$1 = { 53 83 C4 F4 8B D8 80 BB 93 01 00 00 05 75 15 8B C3 E8 ?? ?? ?? ?? 89 44 24 08 DB 44 24 08 DD 1C 24 9B EB 0B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_90873_0 {
	meta:
		name = "THorizBarSeries.MinYValue"
		size = 55
		refs = "0012 TCustomChartSeries.GetIndex 0027 TChartSeries.MinYValue"
	strings:
		$1 = { 53 83 C4 F4 8B D8 80 BB 93 01 00 00 05 75 15 8B C3 E8 ?? ?? ?? ?? 89 44 24 08 DB 44 24 08 DD 1C 24 9B EB 0B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_90839_0 {
	meta:
		name = "TBarSeries.MaxYValue"
		size = 38
		refs = "0009 TChartSeries.MaxYValue 0017 TCustomBarSeries.MaxMandatoryValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_90840_0 {
	meta:
		name = "TBarSeries.MinYValue"
		size = 38
		refs = "0009 TChartSeries.MinYValue 0017 TCustomBarSeries.MinMandatoryValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_90865_0 {
	meta:
		name = "THorizBarSeries.MaxXValue"
		size = 38
		refs = "0009 TChartSeries.MaxXValue 0017 TCustomBarSeries.MaxMandatoryValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_90866_0 {
	meta:
		name = "THorizBarSeries.MinXValue"
		size = 38
		refs = "0009 TChartSeries.MinXValue 0017 TCustomBarSeries.MinMandatoryValue"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_90842_0 {
	meta:
		name = "TBarSeries.CalcVerticalMargins"
		size = 136
		refs = "0011 TCustomChartSeries.CalcVerticalMargins 001a TCustomBarSeries.CalcMarkLength 0031 TChartSeries.MinYValue 0060 TChartSeries.MaxYValue"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 5F 46 80 BB B5 01 00 00 00 74 26 8B C3 E8 ?? ?? ?? ?? DC 9B 98 01 00 00 9B DF E0 9E 73 13 8B 43 78 80 B8 B8 00 00 00 00 74 04 01 37 EB 03 01 75 00 80 BB B5 01 00 00 00 74 13 8B C3 E8 ?? ?? ?? ?? DC 9B 98 01 00 00 9B DF E0 9E 76 13 8B 43 78 80 B8 B8 00 00 00 00 74 05 01 75 00 EB 02 01 37 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90843_0 {
	meta:
		name = "TBarSeries.InternalCalcMarkLength"
		size = 40
		refs = "000a TBarSeries.InternalCalcMarkLength"
	strings:
		$1 = { 8B 40 40 8B 80 40 03 00 00 BA ?? ?? ?? ?? 8B 08 FF 91 A0 00 00 00 C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_90844_0 {
	meta:
		name = "TBarSeries.DrawMark"
		size = 612
		refs = "0028 TSeriesMarks.GetCallout 0051 TBarSeries.GetOriginPos 00aa TSeriesMarks.GetArrowPen 00b1 TChartPen.SetVisible 00c2 TChartValueList.GetValue 0124 TFont.GetSize 0130 TBarSeries.DrawMark 0137 @ROUND 0183 TSeriesMarks.TextWidth 0230 TSeriesMarks.AntiOverlap 023e TChartSeries.DrawMark"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 8B BB E0 01 00 00 D1 FF 79 03 83 D7 00 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B 40 54 50 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 5A 03 50 4C 89 55 F4 80 BB 92 01 00 00 00 75 58 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 3B 46 08 7D 1E 8B 45 F4 F7 D8 2B 46 1C 89 45 F4 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B 40 4C 01 46 08 EB 11 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B 40 4C 29 46 08 01 7E 20 8B 45 F4 29 46 24 01 7E 10 8B 45 F4 29 46 14 01 7E 04 E9 73 01 00 00 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 01 7E 20 8B 55 FC 8B 83 A4 00 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 8B 10 FF 92 48 01 00 00 8B F8 6A 00 6A 00 8B C3 8B 10 FF 92 48 01 00 00 89 45 F0 8B 83 88 00 00 00 8B 40 54 0F B6 93 91 01 00 00 80 EA 01 72 0F 74 6C FE CA 0F 84 C4 00 00 00 E9 08 01 00 00 83 F8 5A 74 07 3D 0E 01 00 00 75 31 8B 83 88 00 00 00 8B 40 20 E8 ?? ?? ?? ?? 89 45 EC DB 45 EC DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 2B 7D F0 83 C7 0A 03 C7 29 46 24 E9 CB 00 00 00 8B 83 88 00 00 00 8B 40 20 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 2B 7D F0 03 C7 29 46 24 E9 A9 00 00 00 83 F8 5A 74 07 3D 0E 01 00 00 75 2A 8B 55 FC 8B 83 88 00 00 00 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B D7 2B 55 F0 D1 FA 79 03 83 D2 00 2B FA 2B F8 89 7E 24 EB 73 8B 83 88 00 00 00 8B 40 20 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B D7 2B 55 F0 D1 FA 79 03 83 D2 00 2B FA 2B F8 89 7E 24 EB 49 83 F8 5A 74 07 3D 0E 01 00 00 75 19 8B 55 FC 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 03 46 24 83 C0 05 89 46 24 EB 24 8B 83 88 00 00 00 8B 40 20 E8 ?? ?? ?? ?? 89 45 EC DB 45 EC DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 01 46 24 80 BB 71 01 00 00 00 74 15 56 8B 4D FC 8B 93 28 01 00 00 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 56 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 00 CD CC CC CC CC CC CC CC FE 3F 00 00 CD CC CC CC CC CC CC 8C 00 40 00 00 }
	condition:
		$1
}

rule function_90845_0 {
	meta:
		name = "TBarSeries.DrawBar"
		size = 1651
		refs = "0018 TCustomBarSeries.GetBarStyle 0022 TCustomBarSeries.GetGradient 002e TCustomTeeGradient.SetVisible 0074 TCustomBarSeries.CalcBarGradient 008c TCustomBarSeries.SetPenBrushBar 00cb TBarSeries.DrawBar 0361 TeeNumCylinderSides 0441 TCustomBarSeries.BarRectangle 059f TCanvas3D.Arrow 0647 TCustomBarSeries.SwapGradientColors 0654 TCustomBarSeries.DrawBevel 0666 TCustomBarSeries.DrawTickLines"
	strings:
		$1 = { 55 8B EC 81 C4 54 FF FF FF 53 56 57 89 4D FC 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 88 45 FB 8B C6 E8 ?? ?? ?? ?? 80 7D FB 06 0F 94 C2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 78 28 00 74 3E 8B 86 C0 01 00 00 89 85 6C FF FF FF 8B 45 FC 89 85 70 FF FF FF 8B 86 C8 01 00 00 89 85 74 FF FF FF 8B 45 08 89 85 78 FF FF FF 8D 8D 6C FF FF FF 8B D3 8B C6 E8 ?? ?? ?? ?? 88 45 F3 EB 04 C6 45 F3 00 8B CB 8B 96 E8 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 46 40 8B 90 40 03 00 00 89 55 EC 8D BE C0 01 00 00 8B 1F 03 5F 08 D1 FB 79 03 83 D3 00 80 B8 04 03 00 00 00 0F 84 25 03 00 00 0F B6 45 FB 83 F8 0E 0F 87 76 05 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 50 8B 45 08 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 0F B6 86 80 01 00 00 50 6A 00 8B 4F 08 8B 17 8B 45 EC 8B 18 FF 93 3C 01 00 00 E9 FE 04 00 00 8B 45 FC 50 8B 45 08 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 0F B6 86 80 01 00 00 50 8B 86 A0 01 00 00 50 8B 4F 08 8B 17 8B 45 EC 8B 18 FF 93 3C 01 00 00 E9 C4 04 00 00 8B 45 FC 50 8B 47 08 50 8B 45 08 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 0F B6 86 80 01 00 00 50 8B 0F B2 01 8B 45 EC 8B 18 FF 93 98 01 00 00 E9 8E 04 00 00 8B 45 08 50 8B 47 08 50 8B 45 FC 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 0F B6 86 80 01 00 00 50 8B 0F B2 01 8B 45 EC 8B 18 FF 93 98 01 00 00 E9 58 04 00 00 8B 47 04 50 8B 47 08 50 8B 47 0C 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 0F B6 86 80 01 00 00 50 8B 0F B2 01 8B 45 EC 8B 18 FF 93 44 01 00 00 E9 22 04 00 00 8B 47 08 50 8B 47 0C 50 8B 86 58 01 00 00 50 8B 4F 04 8B 17 8B 45 EC 8B 18 FF 93 50 01 00 00 E9 FE 03 00 00 89 5D E4 8B 45 08 89 45 E8 89 5D DC 8B 45 FC 89 45 E0 8D 45 DC 50 8B 47 08 2B 07 50 8B 47 08 2B 07 D1 F8 79 03 83 D0 00 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 68 00 00 49 40 6A 00 8D 4D E4 B2 01 8B 45 EC 8B 18 FF 93 30 01 00 00 E9 AB 03 00 00 89 5D D4 8B 45 FC 89 45 D8 89 5D CC 8B 45 08 89 45 D0 8D 45 CC 50 8B 47 08 2B 07 50 8B 47 08 2B 07 D1 F8 79 03 83 D0 00 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 68 00 00 49 40 6A 00 8D 4D D4 B2 01 8B 45 EC 8B 18 FF 93 30 01 00 00 E9 58 03 00 00 8B 45 FC 50 8B 47 08 50 8B 45 08 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 0F B6 86 80 01 00 00 50 8B 86 7C 01 00 00 50 8B 0F B2 01 8B 45 EC 8B 18 FF 93 38 01 00 00 E9 1B 03 00 00 8B 45 08 50 8B 47 08 50 8B 45 FC 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 0F B6 86 80 01 00 00 50 8B 86 7C 01 00 00 50 8B 0F B2 01 8B 45 EC 8B 18 FF 93 38 01 00 00 E9 DE 02 00 00 A1 ?? ?? ?? ?? 8B 00 89 45 F4 A1 ?? ?? ?? ?? C7 00 04 00 00 00 8B 47 04 50 8B 47 08 50 8B 47 0C 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 0F B6 86 80 01 00 00 50 8B 0F B2 01 8B 45 EC 8B 18 FF 93 44 01 00 00 A1 ?? ?? ?? ?? 8B 55 F4 89 10 E9 89 02 00 00 8B 47 08 50 8B 45 08 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 8B 4D FC 8B 17 8B 45 EC 8B 18 FF 93 48 01 00 00 E9 5E 02 00 00 0F B6 45 FB 83 F8 0E 0F 87 51 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 6A 00 8D 8E C0 01 00 00 8B 96 E8 01 00 00 8B C6 E8 ?? ?? ?? ?? E9 F4 01 00 00 6A 01 8D 8E C0 01 00 00 8B 96 E8 01 00 00 8B C6 E8 ?? ?? ?? ?? E9 DA 01 00 00 8B 07 89 45 C4 8B 45 08 89 45 C8 89 5D BC 8B 45 FC 89 45 C0 8B 47 08 89 45 B4 8B 45 08 89 45 B8 8B 45 C4 89 85 54 FF FF FF 8B 45 C8 89 85 58 FF FF FF 8B 45 BC 89 85 5C FF FF FF 8B 45 C0 89 85 60 FF FF FF 8B 45 B4 89 85 64 FF FF FF 8B 45 B8 89 85 68 FF FF FF 8D 95 54 FF FF FF B9 02 00 00 00 8B 45 EC 8B 18 FF 93 D8 00 00 00 E9 69 01 00 00 8B 07 89 45 AC 8B 45 FC 89 45 B0 89 5D A4 8B 45 08 89 45 A8 8B 47 08 89 45 9C 8B 45 FC 89 45 A0 8B 45 AC 89 85 54 FF FF FF 8B 45 B0 89 85 58 FF FF FF 8B 45 A4 89 85 5C FF FF FF 8B 45 A8 89 85 60 FF FF FF 8B 45 9C 89 85 64 FF FF FF 8B 45 A0 89 85 68 FF FF FF 8D 95 54 FF FF FF B9 02 00 00 00 8B 45 EC 8B 18 FF 93 D8 00 00 00 E9 F8 00 00 00 8D 86 C0 01 00 00 8B 50 08 52 8B 50 0C 52 8B 48 04 8B 10 8B 45 EC 8B 18 FF 53 70 E9 D8 00 00 00 89 5D 94 8B 45 08 89 45 98 89 5D 8C 8B 45 FC 89 45 90 8D 45 8C 50 8B 47 08 2B 07 50 8B 47 08 2B 07 D1 F8 79 03 83 D0 00 50 8B 86 58 01 00 00 50 8D 4D 94 B2 01 8B 45 EC E8 ?? ?? ?? ?? E9 96 00 00 00 89 5D 84 8B 45 FC 89 45 88 89 9D 7C FF FF FF 8B 45 08 89 45 80 8D 85 7C FF FF FF 50 8B 47 08 2B 07 50 8B 47 08 2B 07 D1 F8 79 03 83 D0 00 50 8B 86 58 01 00 00 50 8D 4D 84 B2 01 8B 45 EC E8 ?? ?? ?? ?? EB 51 6A 00 8D 8E C0 01 00 00 8B 96 E8 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 47 0C 50 8B 4F 04 8B D3 8B 45 EC 8B 18 FF 93 C0 00 00 00 EB 26 8B 47 08 50 8B 45 08 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 8B 4D FC 8B 17 8B 45 EC 8B 18 FF 93 48 01 00 00 80 7D F3 00 74 07 8B C6 E8 ?? ?? ?? ?? 80 7D FB 08 75 07 8B C6 E8 ?? ?? ?? ?? 0F B6 45 FB 50 8B 4D 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_90846_0 {
	meta:
		name = "TBarSeries.DrawSeriesForward"
		size = 92
		refs = "001b TChartSeries.DrawSeriesForward 004d TChartSeries.MandatoryAxis"
	strings:
		$1 = { 53 8B D8 0F B6 83 93 01 00 00 2C 02 72 0A 2C 02 74 06 FE C8 74 0B EB 32 8B C3 E8 ?? ?? ?? ?? 5B C3 8B 83 A4 00 00 00 8B 40 54 DD 04 D0 DC 9B 98 01 00 00 9B DF E0 9E 0F 93 C0 8B 53 78 80 BA B8 00 00 00 00 74 14 34 01 5B C3 8B C3 E8 ?? ?? ?? ?? 0F B6 80 B8 00 00 00 34 01 5B C3 }
	condition:
		$1
}

rule function_90847_0 {
	meta:
		name = "TBarSeries.DrawTickLine"
		size = 606
		refs = "001d TBarSeries.DrawTickLine 00ed TCanvas3D.Calculate3DPosition 014e TeeCull"
	strings:
		$1 = { 53 56 57 55 83 C4 C4 8B D9 89 14 24 8B F0 0F B6 C3 83 F8 0E 0F 87 93 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 00 00 00 00 02 01 00 01 00 00 00 00 00 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 04 24 50 8B 86 54 01 00 00 50 8B 46 40 8B 80 40 03 00 00 8B 8E C8 01 00 00 8B 96 C0 01 00 00 8B 38 FF 97 58 01 00 00 EB 40 8B BE C8 01 00 00 8B AE C0 01 00 00 2B FD 85 FF 79 03 83 C7 03 C1 FF 02 8B 04 24 50 8B 86 58 01 00 00 50 8B 8E C8 01 00 00 2B CF 8B D5 03 D7 8B 46 40 8B 80 40 03 00 00 8B 38 FF 97 58 01 00 00 8B 7E 40 80 BF 04 03 00 00 00 0F 84 99 01 00 00 80 EB 01 72 13 80 EB 05 74 0E 80 EB 02 74 09 80 EB 06 0F 85 81 01 00 00 8D 44 24 04 50 8B 87 40 03 00 00 8B 8E 54 01 00 00 8D 96 C8 01 00 00 E8 ?? ?? ?? ?? 8D 44 24 0C 50 8B 46 40 8B 80 40 03 00 00 8B 8E 5C 01 00 00 8D 96 C8 01 00 00 E8 ?? ?? ?? ?? 8B 86 C8 01 00 00 89 44 24 1C 8B 86 C4 01 00 00 89 44 24 20 8D 44 24 14 50 8B 46 40 8B 80 40 03 00 00 8B 8E 5C 01 00 00 8D 54 24 20 E8 ?? ?? ?? ?? 8D 4C 24 14 8D 54 24 0C 8D 44 24 04 E8 ?? ?? ?? ?? 84 C0 0F 84 D3 00 00 00 8B 86 C0 01 00 00 89 44 24 24 8B 86 CC 01 00 00 89 44 24 28 8D 44 24 04 50 8B 46 40 8B 80 40 03 00 00 8B 8E 54 01 00 00 8D 54 24 28 E8 ?? ?? ?? ?? 8B 86 C0 01 00 00 89 44 24 2C 8B 86 CC 01 00 00 89 44 24 30 8D 44 24 0C 50 8B 46 40 8B 80 40 03 00 00 8B 8E 5C 01 00 00 8D 54 24 30 E8 ?? ?? ?? ?? 8B 86 C0 01 00 00 89 44 24 34 8B 86 C4 01 00 00 89 44 24 38 8D 44 24 14 50 8B 46 40 8B 80 40 03 00 00 8B 8E 5C 01 00 00 8D 54 24 38 E8 ?? ?? ?? ?? 8D 4C 24 14 8D 54 24 0C 8D 44 24 04 E8 ?? ?? ?? ?? 84 C0 74 54 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 8B 46 40 8B 80 40 03 00 00 8B 4C 24 08 8B 96 C0 01 00 00 8B 18 FF 93 64 01 00 00 EB 29 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 8B 46 40 8B 80 40 03 00 00 8B 4C 24 08 8B 96 C8 01 00 00 8B 18 FF 93 64 01 00 00 83 C4 3C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90848_0 {
	meta:
		name = "PenWidth"
		size = 40
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 40 44 80 78 28 00 74 12 8B 40 10 8B 40 1C 83 F8 01 7D 09 B8 01 00 00 00 5D C3 33 C0 5D C3 }
	condition:
		$1
}

rule function_90849_0 {
	meta:
		name = "TBarSeries.CalcBarBounds"
		size = 330
		refs = "0088 PenWidth 011c TBarSeries.GetOriginPos 0127 TCustomBarSeries.GetBarPen"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B F2 89 45 FC 8B D6 8B 45 FC 8B 08 FF 91 3C 01 00 00 89 03 8B 45 FC 83 B8 74 01 00 00 64 0F 85 CA 00 00 00 8B 45 FC 83 B8 E4 01 00 00 00 0F 85 BA 00 00 00 8B 45 FC 80 B8 93 01 00 00 05 0F 84 AA 00 00 00 8B 45 FC 80 B8 93 01 00 00 01 0F 84 9A 00 00 00 8B 45 FC 8B 40 74 80 B8 B8 00 00 00 00 74 33 85 F6 7E 16 8B D6 4A 8B 45 FC 8B 08 FF 91 3C 01 00 00 89 43 08 E9 80 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 13 8B 4D FC 03 91 E0 01 00 00 03 C2 89 43 08 EB 67 8B 45 FC 8B 80 A0 00 00 00 8B 40 04 48 3B F0 7D 26 8D 56 01 8B 45 FC 8B 08 FF 91 3C 01 00 00 8B F8 47 55 E8 ?? ?? ?? ?? 59 D1 F8 79 03 83 D0 00 2B F8 89 7B 08 EB 30 55 E8 ?? ?? ?? ?? 59 D1 F8 79 03 83 D0 00 8B 13 8B 4D FC 03 91 E0 01 00 00 42 2B D0 89 53 08 EB 0F 8B 03 8B 55 FC 03 82 E0 01 00 00 40 89 43 08 8B D6 8B 45 FC 8B 08 FF 91 44 01 00 00 89 43 04 8B D6 8B 45 FC E8 ?? ?? ?? ?? 89 43 0C 8B 45 FC E8 ?? ?? ?? ?? 80 78 28 00 75 13 8B 43 0C 3B 43 04 7E 05 FF 43 0C EB 03 FF 43 04 FF 43 08 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90850_0 {
	meta:
		name = "TBarSeries.CalcYPos"
		size = 188
		refs = "001e TChartSeries.CalcYPos 0080 TBarSeries.CalcYPos"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B DA 8B F0 0F B6 86 93 01 00 00 2C 02 72 04 2C 02 75 0E 8B D3 8B C6 E8 ?? ?? ?? ?? E9 85 00 00 00 33 C9 8B D3 8B C6 8B 38 FF 97 94 01 00 00 8B 86 A4 00 00 00 8B 40 54 DC 04 D8 DD 5C 24 08 9B 0F B6 86 93 01 00 00 3C 02 74 04 3C 05 75 14 FF 74 24 0C FF 74 24 0C 8B C6 8B 10 FF 92 48 01 00 00 EB 43 B1 01 8B D3 8B C6 8B 18 FF 93 94 01 00 00 DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 20 DD 44 24 08 D8 0D ?? ?? ?? ?? DC 34 24 83 C4 F8 DD 1C 24 9B 8B C6 8B 10 FF 92 48 01 00 00 EB 02 33 C0 83 C4 10 5F 5E 5B C3 00 00 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_90851_0 {
	meta:
		name = "TBarSeries.GetOriginPos"
		size = 15
		refs = "000a TCustomBarSeries.InternalGetOriginPos"
	strings:
		$1 = { 8B 48 78 8B 89 8C 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90852_0 {
	meta:
		name = "InTriangle"
		size = 285
		refs = "00e8 PointInPolygon 0112 PointInTriangle"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 55 FC 8B F0 8B 45 08 8B 40 FC 8B 40 40 80 B8 04 03 00 00 00 0F 84 CA 00 00 00 8B 98 40 03 00 00 8B 45 08 8B 40 FC 8B 80 54 01 00 00 50 8D 45 DC 50 8B 45 08 8B 50 F8 8B CE 8B C3 8B 38 FF 97 14 01 00 00 8B 45 DC 89 45 E4 8B 45 E0 89 45 E8 8B 45 08 8B 40 FC 8B 80 58 01 00 00 50 8D 45 DC 50 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC 8B 80 E0 01 00 00 D1 F8 79 03 83 D0 00 03 D0 8B 4D FC 8B C3 8B 38 FF 97 14 01 00 00 8B 45 DC 89 45 EC 8B 45 E0 89 45 F0 8B 45 08 8B 40 FC 8B 80 54 01 00 00 50 8D 45 DC 50 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC 03 90 E0 01 00 00 8B CE 8B C3 8B 18 FF 93 14 01 00 00 8B 45 DC 89 45 F4 8B 45 E0 89 45 F8 8D 55 E4 8B 45 08 83 C0 F0 B9 02 00 00 00 E8 ?? ?? ?? ?? EB 28 56 8B 45 FC 50 8B 45 08 8B 48 F8 8B 45 08 8B 40 FC 03 88 E0 01 00 00 8B 45 08 8B 50 F8 8B 45 08 83 C0 F0 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90853_0 {
	meta:
		name = "OtherClicked"
		size = 102
		refs = "003f PointInEllipse"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 80 B8 73 01 00 00 04 75 33 8B 45 08 8B 40 F8 8B 55 08 8B 52 FC 03 82 E0 01 00 00 50 8B 45 08 8B 40 E8 50 8B 45 08 8B 48 EC 8B 45 08 8B 50 F8 8B 45 08 83 C0 F0 E8 ?? ?? ?? ?? 5D C3 8B 45 08 8B 40 F4 8B 55 08 3B 42 EC 7C 0B 8B 55 08 8B 55 08 3B 42 E8 7E 04 33 C0 EB 02 B0 01 5D C3 }
	condition:
		$1
}

rule function_90854_0 {
	meta:
		name = "TBarSeries.InternalClicked"
		size = 323
		refs = "006e TBarSeries.GetOriginPos 00ab InTriangle 0124 OtherClicked"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F1 8D 7D F0 A5 A5 8B DA 89 45 FC C6 45 E7 00 8B D3 8B 45 FC 8B 08 FF 91 3C 01 00 00 89 45 F8 8B 55 FC 8B 52 40 80 BA 04 03 00 00 00 75 20 8B 45 F0 3B 45 F8 0F 8C F4 00 00 00 8B 55 FC 8B 92 E0 01 00 00 03 55 F8 3B C2 0F 8F E0 00 00 00 8B D3 8B 45 FC 8B 08 FF 91 44 01 00 00 89 45 EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 3B 45 EC 7D 0C 8B 45 EC 8B 55 E8 89 55 EC 89 45 E8 8B 45 FC 0F B6 80 73 01 00 00 FE C8 74 21 FE C8 74 08 2C 05 74 19 2C 05 75 27 55 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 59 88 45 E7 E9 80 00 00 00 55 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 59 88 45 E7 EB 6E 8B 45 FC 8B 40 40 80 B8 04 03 00 00 00 74 55 8B 45 F0 89 45 E0 8B 45 F4 89 45 DC 8B 45 FC 8B 80 54 01 00 00 50 8D 4D DC 8D 55 E0 8B 45 FC 8B 40 40 8B 80 40 03 00 00 8B 18 FF 93 10 01 00 00 8B 45 E0 3B 45 F8 7C 27 8B 45 FC 8B 80 E0 01 00 00 03 45 F8 3B 45 E0 7C 16 55 E8 ?? ?? ?? ?? 59 88 45 E7 EB 0A 55 E8 ?? ?? ?? ?? 59 88 45 E7 0F B6 45 E7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90855_0 {
	meta:
		name = "THorizBarSeries.Create"
		size = 116
		refs = "000a @ClassCreate 0017 TCustomBarSeries.Create 001e TChartSeries.SetHorizontal 0039 TCustomBarSeries.GetGradient 0040 TCustomTeeGradient.SetDirection 004f TeeMsg_ValuesBar 0056 @UStrAsg 0061 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 A0 00 00 00 C6 40 24 00 8B 86 A4 00 00 00 C6 40 24 01 8B C6 E8 ?? ?? ?? ?? B2 02 E8 ?? ?? ?? ?? 8B 86 60 01 00 00 83 C0 20 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_90856_0 {
	meta:
		name = "THorizBarSeries.CalcHorizMargins"
		size = 120
		refs = "0011 TCustomChartSeries.CalcHorizMargins 001b TCustomBarSeries.CalcMarkLength 0032 TChartSeries.MinXValue 0050 TChartSeries.MaxXValue"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 83 CA FF 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 01 46 80 BB B5 01 00 00 00 74 15 8B C3 E8 ?? ?? ?? ?? DC 9B 98 01 00 00 9B DF E0 9E 73 02 01 37 80 BB B5 01 00 00 00 74 13 8B C3 E8 ?? ?? ?? ?? DC 9B 98 01 00 00 9B DF E0 9E 76 13 8B 43 74 80 B8 B8 00 00 00 00 74 04 01 37 EB 03 01 75 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90858_0 {
	meta:
		name = "THorizBarSeries.CalcSelectionPos"
		size = 42
		refs = "0015 TChartSeries.CalcSelectionPos"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B D8 8B 75 08 56 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 83 E0 01 00 00 D1 E8 01 06 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_90859_0 {
	meta:
		name = "THorizBarSeries.CalcXPos"
		size = 192
		refs = "0022 TChartSeries.CalcXPos 0084 THorizBarSeries.CalcXPos"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B FA 8B F0 0F B6 86 93 01 00 00 84 C0 74 08 3C 01 74 04 3C 04 75 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E9 85 00 00 00 33 C9 8B D7 8B C6 8B 18 FF 93 94 01 00 00 8B 86 A0 00 00 00 8B 40 54 DC 04 F8 DD 5C 24 08 9B 0F B6 86 93 01 00 00 3C 02 74 04 3C 05 75 14 FF 74 24 0C FF 74 24 0C 8B C6 8B 10 FF 92 40 01 00 00 EB 43 B1 01 8B D7 8B C6 8B 18 FF 93 94 01 00 00 DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 20 DD 44 24 08 D8 0D ?? ?? ?? ?? DC 34 24 83 C4 F8 DD 1C 24 9B 8B C6 8B 10 FF 92 40 01 00 00 EB 02 33 C0 83 C4 10 5F 5E 5B C3 00 00 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_90860_0 {
	meta:
		name = "THorizBarSeries.GetOriginPos"
		size = 15
		refs = "000a TCustomBarSeries.InternalGetOriginPos"
	strings:
		$1 = { 8B 48 74 8B 89 88 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90861_0 {
	meta:
		name = "THorizBarSeries.CalcYPos"
		size = 216
		refs = "005d TChartSeries.CalcYPosValue 0074 TChartSeries.CalcYPos 0091 THorizBarSeries.CalcYPos 00af @ROUND 00c6 TCustomBarSeries.ApplyBarOffset"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 0F B6 83 93 01 00 00 3C 04 75 30 03 B3 DC 01 00 00 89 34 24 DB 04 24 83 C4 F8 DD 1C 24 9B 8B 73 78 8B 86 A4 01 00 00 FF 96 A0 01 00 00 8B 93 E0 01 00 00 D1 EA 2B C2 8B F0 EB 7C 3C 05 75 26 8B C3 8B 10 FF 92 34 01 00 00 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 83 E0 01 00 00 D1 E8 2B F0 EB 52 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 80 BB 93 01 00 00 00 74 34 8B BB D0 01 00 00 89 3C 24 DB 04 24 D8 0D ?? ?? ?? ?? 47 2B BB D8 01 00 00 89 7C 24 04 DB 44 24 04 DE E9 DB 83 E0 01 00 00 DE C9 E8 ?? ?? ?? ?? 03 F0 EB 0A 8B 83 E0 01 00 00 D1 E8 2B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 59 5A 5F 5E 5B C3 00 00 00 3F }
	condition:
		$1
}

rule function_90862_0 {
	meta:
		name = "InTriangle"
		size = 285
		refs = "00e8 PointInPolygon 0112 PointInHorizTriangle"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 55 FC 8B F0 8B 45 08 8B 40 FC 8B 40 40 80 B8 04 03 00 00 00 0F 84 CA 00 00 00 8B 98 40 03 00 00 8B 45 08 8B 40 FC 8B 80 54 01 00 00 50 8D 45 DC 50 8B 45 08 8B 48 F8 8B D6 8B C3 8B 38 FF 97 14 01 00 00 8B 45 DC 89 45 E4 8B 45 E0 89 45 E8 8B 45 08 8B 40 FC 8B 80 58 01 00 00 50 8D 45 DC 50 8B 45 08 8B 48 F8 8B 45 08 8B 40 FC 8B 80 E0 01 00 00 D1 F8 79 03 83 D0 00 03 C8 8B 55 FC 8B C3 8B 38 FF 97 14 01 00 00 8B 45 DC 89 45 EC 8B 45 E0 89 45 F0 8B 45 08 8B 40 FC 8B 80 54 01 00 00 50 8D 45 DC 50 8B 45 08 8B 48 F8 8B 45 08 8B 40 FC 03 88 E0 01 00 00 8B D6 8B C3 8B 18 FF 93 14 01 00 00 8B 45 DC 89 45 F4 8B 45 E0 89 45 F8 8D 55 E4 8B 45 08 83 C0 F0 B9 02 00 00 00 E8 ?? ?? ?? ?? EB 28 56 8B 45 FC 50 8B 45 08 8B 48 F8 8B 45 08 8B 40 FC 03 88 E0 01 00 00 8B 45 08 8B 50 F8 8B 45 08 83 C0 F0 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90863_0 {
	meta:
		name = "OtherClicked"
		size = 102
		refs = "003f PointInEllipse"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 80 B8 73 01 00 00 04 75 33 8B 45 08 8B 40 E8 50 8B 45 08 8B 40 F8 8B 55 08 8B 52 FC 03 82 E0 01 00 00 50 8B 45 08 8B 48 F8 8B 45 08 8B 50 EC 8B 45 08 83 C0 F0 E8 ?? ?? ?? ?? 5D C3 8B 45 08 8B 40 F0 8B 55 08 3B 42 EC 7C 0B 8B 55 08 8B 55 08 3B 42 E8 7E 04 33 C0 EB 02 B0 01 5D C3 }
	condition:
		$1
}

rule function_90864_0 {
	meta:
		name = "THorizBarSeries.InternalClicked"
		size = 323
		refs = "006e THorizBarSeries.GetOriginPos 00ab InTriangle 0124 OtherClicked"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F1 8D 7D F0 A5 A5 8B DA 89 45 FC C6 45 E7 00 8B D3 8B 45 FC 8B 08 FF 91 44 01 00 00 89 45 F8 8B 55 FC 8B 52 40 80 BA 04 03 00 00 00 75 20 8B 45 F4 3B 45 F8 0F 8C F4 00 00 00 8B 55 FC 8B 92 E0 01 00 00 03 55 F8 3B C2 0F 8F E0 00 00 00 8B D3 8B 45 FC 8B 08 FF 91 3C 01 00 00 89 45 EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 3B 45 EC 7D 0C 8B 45 EC 8B 55 E8 89 55 EC 89 45 E8 8B 45 FC 0F B6 80 73 01 00 00 FE C8 74 21 FE C8 74 08 2C 05 74 19 2C 05 75 27 55 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 59 88 45 E7 E9 80 00 00 00 55 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 59 88 45 E7 EB 6E 8B 45 FC 8B 40 40 80 B8 04 03 00 00 00 74 55 8B 45 F0 89 45 E0 8B 45 F4 89 45 DC 8B 45 FC 8B 80 54 01 00 00 50 8D 4D DC 8D 55 E0 8B 45 FC 8B 40 40 8B 80 40 03 00 00 8B 18 FF 93 10 01 00 00 8B 45 DC 3B 45 F8 7C 27 8B 45 FC 8B 80 E0 01 00 00 03 45 F8 3B 45 DC 7C 16 55 E8 ?? ?? ?? ?? 59 88 45 E7 EB 0A 55 E8 ?? ?? ?? ?? 59 88 45 E7 0F B6 45 E7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90867_0 {
	meta:
		name = "THorizBarSeries.MaxYValue"
		size = 81
		refs = "0042 TChartSeries.MaxYValue"
	strings:
		$1 = { 83 C4 F4 0F B6 90 93 01 00 00 80 EA 04 74 06 FE CA 74 20 EB 2C 8B 90 A0 00 00 00 8B 52 04 03 90 DC 01 00 00 4A 89 54 24 08 DB 44 24 08 DD 1C 24 9B EB 17 8B 10 FF 92 34 01 00 00 DD 1C 24 9B EB 09 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 0C C3 }
	condition:
		$1
}

rule function_90868_0 {
	meta:
		name = "THorizBarSeries.InternalCalcMarkLength"
		size = 23
		refs = "0006 TChartSeries.MaxMarkWidth 0012 TSeriesMarks.TextWidth"
	strings:
		$1 = { 83 FA FF 75 06 E8 ?? ?? ?? ?? C3 8B 80 88 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90869_0 {
	meta:
		name = "THorizBarSeries.DrawMark"
		size = 444
		refs = "0028 TSeriesMarks.GetCallout 0055 THorizBarSeries.GetOriginPos 00da TSeriesMarks.GetArrowPen 00e1 TChartPen.SetVisible 0101 TChartValueList.GetValue 0150 TSeriesMarks.TextWidth 017c TFont.GetSize 0188 THorizBarSeries.DrawMark 018f @ROUND 01a2 TChartSeries.DrawMark"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 8B BB E0 01 00 00 D1 FF 79 03 83 D7 00 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B 40 54 50 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 5A 03 50 4C 89 55 F4 80 BB 92 01 00 00 00 0F 85 84 00 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 3B 46 04 0F 9F C0 84 C0 74 0B 8B 55 F4 F7 DA 2B 56 28 89 55 F4 8B 56 20 03 55 F4 8B 4E 28 D1 F9 79 03 83 D1 00 03 D1 89 56 20 8B 56 24 03 D7 8B 4E 1C D1 F9 79 03 83 D1 00 03 D1 89 56 24 8B 55 F4 01 56 10 01 7E 14 01 7E 08 84 C0 74 16 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B 40 4C 29 46 04 E9 DB 00 00 00 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B 40 4C 01 46 04 E9 C5 00 00 00 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 03 7E 24 8B 46 1C D1 F8 79 03 83 D0 00 03 F8 89 7E 24 8B 55 FC 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 8B 10 FF 92 40 01 00 00 8B F8 0F B6 83 91 01 00 00 2C 01 72 08 74 1A FE C8 74 39 EB 6D 6A 00 6A 00 8B C3 8B 10 FF 92 40 01 00 00 40 89 46 20 EB 59 D1 FF 79 03 83 D7 00 8B 55 FC 8B 83 88 00 00 00 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 2B F8 89 7E 20 EB 36 8B 55 FC 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 2B F8 8B 83 88 00 00 00 8B 40 20 E8 ?? ?? ?? ?? 89 45 F0 DB 45 F0 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 2B F8 89 7E 20 56 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 00 9A 99 99 99 99 99 99 99 FF 3F 00 00 }
	condition:
		$1
}

rule function_90870_0 {
	meta:
		name = "THorizBarSeries.DrawBar"
		size = 1667
		refs = "0018 TCustomBarSeries.GetBarStyle 0022 TCustomBarSeries.GetGradient 002e TCustomTeeGradient.SetVisible 0074 TCustomBarSeries.CalcBarGradient 008c TCustomBarSeries.SetPenBrushBar 00cc THorizBarSeries.DrawBar 036c TeeNumCylinderSides 044d TCustomBarSeries.BarRectangle 05af TCanvas3D.Arrow 0657 TCustomBarSeries.SwapGradientColors 0664 TCustomBarSeries.DrawBevel 0676 TCustomBarSeries.DrawTickLines"
	strings:
		$1 = { 55 8B EC 81 C4 54 FF FF FF 53 56 57 89 4D FC 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 88 45 FB 8B C6 E8 ?? ?? ?? ?? 80 7D FB 06 0F 94 C2 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 78 28 00 74 3E 8B 45 FC 89 85 6C FF FF FF 8B 86 C4 01 00 00 89 85 70 FF FF FF 8B 45 08 89 85 74 FF FF FF 8B 86 CC 01 00 00 89 85 78 FF FF FF 8D 8D 6C FF FF FF 8B D3 8B C6 E8 ?? ?? ?? ?? 88 45 F3 EB 04 C6 45 F3 00 8B CB 8B 96 E8 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 46 40 8B 90 40 03 00 00 89 55 EC 8D BE C0 01 00 00 8B 5F 04 03 5F 0C D1 FB 79 03 83 D3 00 80 B8 04 03 00 00 00 0F 84 30 03 00 00 0F B6 45 FB 83 F8 0E 0F 87 85 05 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 47 04 50 8B 47 0C 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 0F B6 86 80 01 00 00 50 6A 00 8B 4D 08 8B 55 FC 8B 45 EC 8B 18 FF 93 3C 01 00 00 E9 0C 05 00 00 8B 47 04 50 8B 47 0C 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 0F B6 86 80 01 00 00 50 8B 86 A0 01 00 00 50 8B 4D 08 8B 55 FC 8B 45 EC 8B 18 FF 93 3C 01 00 00 E9 D1 04 00 00 8B 47 04 50 8B 45 08 50 8B 47 0C 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 0F B6 86 80 01 00 00 50 8B 4D FC 33 D2 8B 45 EC 8B 18 FF 93 98 01 00 00 E9 9A 04 00 00 8B 47 04 50 8B 45 FC 50 8B 47 0C 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 0F B6 86 80 01 00 00 50 8B 4D 08 33 D2 8B 45 EC 8B 18 FF 93 98 01 00 00 E9 63 04 00 00 8B 47 04 50 8B 47 08 50 8B 47 0C 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 0F B6 86 80 01 00 00 50 8B 0F 33 D2 8B 45 EC 8B 18 FF 93 44 01 00 00 E9 2D 04 00 00 8B 47 08 50 8B 47 0C 50 8B 86 58 01 00 00 50 8B 4F 04 8B 17 8B 45 EC 8B 18 FF 93 50 01 00 00 E9 09 04 00 00 8B 45 FC 89 45 E4 89 5D E8 8B 45 08 89 45 DC 89 5D E0 8D 45 DC 50 8B 47 0C 2B 47 04 50 8B 47 0C 2B 47 04 D1 F8 79 03 83 D0 00 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 68 00 00 49 40 6A 00 8D 4D E4 B2 01 8B 45 EC 8B 18 FF 93 30 01 00 00 E9 B4 03 00 00 8B 45 08 89 45 D4 89 5D D8 8B 45 FC 89 45 CC 89 5D D0 8D 45 CC 50 8B 47 0C 2B 47 04 50 8B 47 0C 2B 47 04 D1 F8 79 03 83 D0 00 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 68 00 00 49 40 6A 00 8D 4D D4 B2 01 8B 45 EC 8B 18 FF 93 30 01 00 00 E9 5F 03 00 00 8B 47 04 50 8B 45 08 50 8B 47 0C 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 0F B6 86 80 01 00 00 50 8B 86 7C 01 00 00 50 8B 4D FC 33 D2 8B 45 EC 8B 18 FF 93 38 01 00 00 E9 21 03 00 00 8B 47 04 50 8B 45 FC 50 8B 47 0C 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 0F B6 86 80 01 00 00 50 8B 86 7C 01 00 00 50 8B 4D 08 33 D2 8B 45 EC 8B 18 FF 93 38 01 00 00 E9 E3 02 00 00 A1 ?? ?? ?? ?? 8B 00 89 45 F4 A1 ?? ?? ?? ?? C7 00 04 00 00 00 8B 47 04 50 8B 47 08 50 8B 47 0C 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 0F B6 86 80 01 00 00 50 8B 0F 33 D2 8B 45 EC 8B 18 FF 93 44 01 00 00 A1 ?? ?? ?? ?? 8B 55 F4 89 10 E9 8E 02 00 00 8B 45 08 50 8B 47 0C 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 8B 4F 04 8B 55 FC 8B 45 EC 8B 18 FF 93 48 01 00 00 E9 62 02 00 00 0F B6 45 FB 83 F8 0E 0F 87 55 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 6A 00 8D 8E C0 01 00 00 8B 96 E8 01 00 00 8B C6 E8 ?? ?? ?? ?? E9 F8 01 00 00 6A 01 8D 8E C0 01 00 00 8B 96 E8 01 00 00 8B C6 E8 ?? ?? ?? ?? E9 DE 01 00 00 8B 45 FC 89 45 C4 8B 47 04 89 45 C8 8B 45 08 89 45 BC 89 5D C0 8B 45 FC 89 45 B4 8B 47 0C 89 45 B8 8B 45 C4 89 85 54 FF FF FF 8B 45 C8 89 85 58 FF FF FF 8B 45 BC 89 85 5C FF FF FF 8B 45 C0 89 85 60 FF FF FF 8B 45 B4 89 85 64 FF FF FF 8B 45 B8 89 85 68 FF FF FF 8D 95 54 FF FF FF B9 02 00 00 00 8B 45 EC 8B 18 FF 93 D8 00 00 00 E9 6C 01 00 00 8B 45 08 89 45 AC 8B 47 04 89 45 B0 8B 45 FC 89 45 A4 89 5D A8 8B 45 08 89 45 9C 8B 47 0C 89 45 A0 8B 45 AC 89 85 54 FF FF FF 8B 45 B0 89 85 58 FF FF FF 8B 45 A4 89 85 5C FF FF FF 8B 45 A8 89 85 60 FF FF FF 8B 45 9C 89 85 64 FF FF FF 8B 45 A0 89 85 68 FF FF FF 8D 95 54 FF FF FF B9 02 00 00 00 8B 45 EC 8B 18 FF 93 D8 00 00 00 E9 FA 00 00 00 8D 86 C0 01 00 00 8B 50 08 52 8B 50 0C 52 8B 48 04 8B 10 8B 45 EC 8B 18 FF 53 70 E9 DA 00 00 00 8B 45 FC 89 45 94 89 5D 98 8B 45 08 89 45 8C 89 5D 90 8D 45 8C 50 8B 47 0C 2B 47 04 50 8B 47 0C 2B 47 04 D1 F8 79 03 83 D0 00 50 8B 86 58 01 00 00 50 8D 4D 94 B2 01 8B 45 EC E8 ?? ?? ?? ?? E9 96 00 00 00 8B 45 08 89 45 84 89 5D 88 8B 45 FC 89 85 7C FF FF FF 89 5D 80 8D 85 7C FF FF FF 50 8B 47 0C 2B 47 04 50 8B 47 0C 2B 47 04 D1 F8 79 03 83 D0 00 50 8B 86 58 01 00 00 50 8D 4D 84 B2 01 8B 45 EC E8 ?? ?? ?? ?? EB 4F 6A 00 8D 8E C0 01 00 00 8B 96 E8 01 00 00 8B C6 E8 ?? ?? ?? ?? 53 8B 4F 08 8B 17 8B 45 EC 8B 18 FF 93 BC 00 00 00 EB 27 8B 45 08 50 8B 47 0C 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 8B 4F 04 8B 55 FC 8B 45 EC 8B 18 FF 93 48 01 00 00 80 7D F3 00 74 07 8B C6 E8 ?? ?? ?? ?? 80 7D FB 08 75 07 8B C6 E8 ?? ?? ?? ?? 0F B6 45 FB 50 8B 4D 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_90871_0 {
	meta:
		name = "PenWidth"
		size = 30
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 40 44 80 78 28 00 74 08 8B 40 10 8B 40 1C 5D C3 33 C0 5D C3 }
	condition:
		$1
}

rule function_90872_0 {
	meta:
		name = "THorizBarSeries.CalcBarBounds"
		size = 298
		refs = "008e PenWidth 00fd THorizBarSeries.GetOriginPos 0107 TCustomBarSeries.GetBarPen"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 8B F2 89 45 FC 8B D6 8B 45 FC 8B 08 FF 91 44 01 00 00 89 43 04 8B 45 FC 83 B8 74 01 00 00 64 0F 85 AA 00 00 00 8B 45 FC 83 B8 E4 01 00 00 00 0F 85 9A 00 00 00 8B 45 FC 80 B8 93 01 00 00 05 0F 84 8A 00 00 00 8B 45 FC 80 B8 93 01 00 00 01 74 7E 8B 45 FC 8B 40 78 80 B8 B8 00 00 00 00 74 3E 8B 45 FC 8B 80 A0 00 00 00 8B 40 04 48 3B F0 7D 13 8D 56 01 8B 45 FC 8B 08 FF 91 44 01 00 00 89 43 0C EB 5B 55 E8 ?? ?? ?? ?? 59 8B 53 04 8B 4D FC 03 91 E0 01 00 00 2B D0 89 53 0C EB 41 85 F6 7E 13 8B D6 4A 8B 45 FC 8B 08 FF 91 44 01 00 00 89 43 0C EB 2A 55 E8 ?? ?? ?? ?? 59 8B 53 04 8B 4D FC 03 91 E0 01 00 00 2B D0 89 53 0C EB 10 8B 43 04 8B 55 FC 03 82 E0 01 00 00 48 89 43 0C 8B D6 8B 45 FC 8B 08 FF 91 3C 01 00 00 89 43 08 8B D6 8B 45 FC E8 ?? ?? ?? ?? 89 03 8B 45 FC E8 ?? ?? ?? ?? 80 78 28 00 75 14 8B 43 08 3B 03 7E 05 FF 43 08 EB 05 FF 03 FF 4B 08 FF 43 0C 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90874_0 {
	meta:
		name = "THorizBarSeries.DrawSeriesAscending"
		size = 79
		refs = "0007 TCustomBarSeries.DrawSeriesAscending 0029 TView3DOptions.GetRotation"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 88 04 24 0F B6 83 93 01 00 00 3C 04 74 04 3C 05 75 2B 8B 43 40 8B 98 08 03 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 17 8B C3 E8 ?? ?? ?? ?? 3D B4 00 00 00 7D 09 0F B6 04 24 34 01 88 04 24 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_90875_0 {
	meta:
		name = "THorizBarSeries.DrawSeriesForward"
		size = 144
		refs = "0023 TChartSeries.DrawSeriesForward 003d THorizBarSeries.DrawSeriesForward"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 0F B6 86 93 01 00 00 2C 01 72 0C 74 17 2C 03 74 13 FE C8 74 13 EB 4B 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 5B 33 DB EB 57 8B 86 60 01 00 00 8B 40 54 DD 04 F8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 93 C3 8B 46 74 80 B8 B8 00 00 00 00 74 03 80 F3 01 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 22 80 F3 01 EB 1D 8B 46 74 0F B6 98 B8 00 00 00 80 F3 01 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 03 80 F3 01 8B C3 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_90876_0 {
	meta:
		name = "THorizBarSeries.DrawValuesForward"
		size = 73
		refs = "0007 TCustomBarSeries.DrawValuesForward 0023 TView3DOptions.GetRotation"
	strings:
		$1 = { 53 51 8B D8 8B C3 E8 ?? ?? ?? ?? 88 04 24 80 BB 93 01 00 00 05 75 2B 8B 43 40 8B 98 08 03 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 17 8B C3 E8 ?? ?? ?? ?? 3D B4 00 00 00 7D 09 0F B6 04 24 34 01 88 04 24 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_90877_0 {
	meta:
		name = "THorizBarSeries.DrawTickLine"
		size = 585
		refs = "001e THorizBarSeries.DrawTickLine 00ee TCanvas3D.Calculate3DPosition 014f TeeCull"
	strings:
		$1 = { 53 56 57 55 83 C4 CC 88 0C 24 8B EA 8B F0 0F B6 04 24 83 F8 0E 0F 87 93 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 00 00 00 00 02 01 00 01 00 00 00 00 00 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 86 CC 01 00 00 50 8B 86 54 01 00 00 50 8B 46 40 8B 80 40 03 00 00 8B 8E C4 01 00 00 8B D5 8B 18 FF 93 60 01 00 00 EB 41 8B BE CC 01 00 00 2B BE C4 01 00 00 85 FF 79 03 83 C7 03 C1 FF 02 8B 86 CC 01 00 00 2B C7 50 8B 86 58 01 00 00 50 8B 8E C4 01 00 00 03 CF 8B 46 40 8B 80 40 03 00 00 8B D5 8B 18 FF 93 60 01 00 00 8B 5E 40 80 BB 04 03 00 00 00 0F 84 83 01 00 00 0F B6 04 24 2C 01 72 10 2C 05 74 0C 2C 02 74 08 2C 06 0F 85 6B 01 00 00 8D 44 24 04 50 8B 83 40 03 00 00 8B 8E 54 01 00 00 8D 96 C0 01 00 00 E8 ?? ?? ?? ?? 8D 44 24 0C 50 8B 46 40 8B 80 40 03 00 00 8B 8E 5C 01 00 00 8D 96 C0 01 00 00 E8 ?? ?? ?? ?? 8B 86 C4 01 00 00 89 44 24 1C 8B 86 C8 01 00 00 89 44 24 20 8D 44 24 14 50 8B 46 40 8B 80 40 03 00 00 8B 8E 5C 01 00 00 8D 54 24 20 E8 ?? ?? ?? ?? 8D 4C 24 14 8D 54 24 0C 8D 44 24 04 E8 ?? ?? ?? ?? 84 C0 0F 84 BF 00 00 00 8B 86 C0 01 00 00 89 44 24 24 8B 86 CC 01 00 00 89 44 24 28 8D 44 24 04 50 8B 46 40 8B 80 40 03 00 00 8B 8E 54 01 00 00 8D 54 24 28 E8 ?? ?? ?? ?? 8B 86 C0 01 00 00 89 44 24 2C 8B 86 CC 01 00 00 89 44 24 30 8D 44 24 0C 50 8B 46 40 8B 80 40 03 00 00 8B 8E 5C 01 00 00 8D 54 24 30 E8 ?? ?? ?? ?? 8D 44 24 14 50 8B 46 40 8B 80 40 03 00 00 8B 8E 5C 01 00 00 8D 96 C8 01 00 00 E8 ?? ?? ?? ?? 8D 4C 24 14 8D 54 24 0C 8D 44 24 04 E8 ?? ?? ?? ?? 84 C0 74 50 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 8B 46 40 8B 80 40 03 00 00 8B 8E C4 01 00 00 8B D5 8B 18 FF 93 64 01 00 00 EB 27 8B 86 54 01 00 00 50 8B 86 5C 01 00 00 50 8B 46 40 8B 80 40 03 00 00 8B 8E CC 01 00 00 8B D5 8B 18 FF 93 64 01 00 00 83 C4 34 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90878_0 {
	meta:
		name = "TCircledSeries.Create"
		size = 198
		refs = "000e @ClassCreate 001c TChartSeries.Create 0032 TeeMsg_ValuesAngle 0039 @UStrAsg 0051 _DV_TCircledEmboss 0056 TTeeEmboss.Create 0070 TTeeShadow.InitValues 007e _DV_TCircledShadow 0083 TTeeShadow.Create 00b1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 4F 01 00 00 00 8B 83 A0 00 00 00 83 C0 20 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? C7 83 70 01 00 00 00 00 00 20 53 8B 03 8B 40 40 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 80 01 00 00 6A 03 0F B6 56 20 8B C6 B9 A0 A0 A0 00 E8 ?? ?? ?? ?? 53 8B 03 8B 40 40 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 88 01 00 00 6A 03 0F B6 56 20 8B C6 B9 A0 A0 A0 00 E8 ?? ?? ?? ?? C6 83 C0 01 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90879_0 {
	meta:
		name = "TCircledSeries.Destroy"
		size = 92
		refs = "0004 @BeforeDestruction 0013 TObject.Free 002b @CallDynaInst 0049 TChartSeries.Destroy 0054 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 8B 87 80 01 00 00 E8 ?? ?? ?? ?? 8B 87 88 01 00 00 E8 ?? ?? ?? ?? B2 01 8B C7 66 BE E2 FF E8 ?? ?? ?? ?? 8D 87 94 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90880_0 {
	meta:
		name = "TCircledSeries.SetCircled"
		size = 155
		refs = "0025 TCustomChartElement.Repaint 005c @IsClass"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 88 14 24 8B D8 8B D3 8D 83 74 01 00 00 0F B6 08 3A 0C 24 74 0D 0F B6 0C 24 88 08 8B C2 E8 ?? ?? ?? ?? 8B 43 40 85 C0 74 64 8B E8 8B 85 B4 03 00 00 8B 78 08 4F 85 FF 7C 54 47 33 F6 8B 85 B4 03 00 00 8B 40 04 8B 04 B0 8B 00 89 44 24 04 8B C3 8B 54 24 04 E8 ?? ?? ?? ?? 84 C0 74 2C 8B 85 B4 03 00 00 8B 40 04 8B 04 B0 0F B6 14 24 88 90 74 01 00 00 F6 40 1C 01 75 10 33 D2 89 90 78 01 00 00 33 D2 89 90 7C 01 00 00 46 4F 75 AF 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90881_0 {
	meta:
		name = "TCircledSeries.SetRotationAngle"
		size = 51
		refs = "001a TCustomChartElement.SetIntegerProperty 0026 PiDegree"
	strings:
		$1 = { 53 8B CA 8B D8 8B C1 B9 68 01 00 00 99 F7 F9 8B CA 8D 93 84 01 00 00 8B C3 E8 ?? ?? ?? ?? DB 83 84 01 00 00 DC 0D ?? ?? ?? ?? DD 9B B8 01 00 00 9B 5B C3 }
	condition:
		$1
}

rule function_90882_0 {
	meta:
		name = "TCircledSeries.SetOtherCustomRadius"
		size = 125
		refs = "004d @IsClass"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 4C 24 04 88 14 24 8B F8 8B 47 40 85 C0 74 5E 89 44 24 08 8B 44 24 08 8B 80 B4 03 00 00 8B 70 08 4E 85 F6 7C 48 46 33 ED 8B 44 24 08 8B 80 B4 03 00 00 8B 40 04 8B 1C A8 8B 03 89 44 24 0C 8B C7 8B 54 24 0C E8 ?? ?? ?? ?? 84 C0 74 1C 80 3C 24 00 74 0C 8B 44 24 04 89 83 78 01 00 00 EB 0A 8B 44 24 04 89 83 7C 01 00 00 45 4E 75 BB 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90884_0 {
	meta:
		name = "TCircledSeries.SetCustomXRadius"
		size = 35
		refs = "0011 TCustomChartElement.SetIntegerProperty 001c TCircledSeries.SetOtherCustomRadius"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 93 78 01 00 00 8B CE 8B C3 E8 ?? ?? ?? ?? 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90885_0 {
	meta:
		name = "TCircledSeries.SetCustomYRadius"
		size = 35
		refs = "0011 TCustomChartElement.SetIntegerProperty 001c TCircledSeries.SetOtherCustomRadius"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 93 7C 01 00 00 8B CE 8B C3 E8 ?? ?? ?? ?? 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90886_0 {
	meta:
		name = "TCircledSeries.SetShadow"
		size = 12
	strings:
		$1 = { 8B 80 88 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_90888_0 {
	meta:
		name = "TCircledSeries.SetParentProperties"
		size = 133
		refs = "0041 TCircledSeries.SetBackupProperties 0056 _Dn_TView3DOptions 005b TView3DOptions.Create 007d @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B 47 40 85 C0 74 73 8B F0 F6 46 1C 08 75 6B 8B 86 40 03 00 00 8B 10 FF 52 1C 84 C0 75 5C 83 BE 08 03 00 00 00 74 53 84 DB 74 15 80 7F 38 00 74 06 F6 47 1C 08 74 09 8B C7 E8 ?? ?? ?? ?? EB 3A 83 BF 94 01 00 00 00 75 31 8B 4F 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 94 01 00 00 8B 96 08 03 00 00 8B 87 94 01 00 00 8B 08 FF 51 08 8B C7 66 BE E3 FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90892_0 {
	meta:
		name = "TCircledSeries.SetBackupProperties"
		size = 50
		refs = "002b TObject.Free"
	strings:
		$1 = { 53 56 8B D8 8B 73 40 85 F6 74 24 8B 86 08 03 00 00 8B 93 94 01 00 00 8B 08 FF 51 08 8D 83 94 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90893_0 {
	meta:
		name = "TCircledSeries.SetParentChart"
		size = 53
		refs = "000d TCircledSeries.SetBackupProperties 001b TChartSeries.SetParentChart 002e @CallDynaInst"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 07 8B C3 E8 ?? ?? ?? ?? 3B 73 40 74 1C 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7B 40 00 74 0D 33 D2 8B C3 66 BE E2 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90894_0 {
	meta:
		name = "TCircledSeries.Rotate"
		size = 30
		refs = "0018 TCircledSeries.SetRotationAngle"
	strings:
		$1 = { 53 8B DA 8B C8 8B 81 84 01 00 00 03 C3 BB 68 01 00 00 99 F7 FB 8B C1 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90896_0 {
	meta:
		name = "TCircledSeries.AdjustCircleRect"
		size = 154
	strings:
		$1 = { 53 56 8D 90 A8 01 00 00 8B 4A 08 2B 0A F6 C1 01 74 03 FF 4A 08 8B 4A 0C 2B 4A 04 F6 C1 01 74 03 FF 4A 0C 8B 5A 08 8B 0A 2B D9 83 FB 04 7D 06 83 C1 04 89 4A 08 8B 5A 0C 8B 4A 04 2B D9 83 FB 04 7D 06 83 C1 04 89 4A 0C 8D 90 A8 01 00 00 8D 88 98 01 00 00 8D 98 9C 01 00 00 8B 72 08 2B 32 89 31 8B 4A 0C 2B 4A 04 89 0B 8D 90 A8 01 00 00 8D 88 A0 01 00 00 05 A4 01 00 00 8B 1A 03 5A 08 D1 FB 79 03 83 D3 00 89 19 8B 4A 04 03 4A 0C D1 F9 79 03 83 D1 00 89 08 5E 5B C3 }
	condition:
		$1
}

rule function_90897_0 {
	meta:
		name = "TCircledSeries.CheckOtherSeriesMarks"
		size = 154
		refs = "0043 TCustomChartSeries.SameClass 005a TCustomChartSeries.GetIndex 0083 TCircledSeries.AdjustCircleRect 008a TCircledSeries.CalcRadius"
	strings:
		$1 = { 53 56 57 55 51 8B F0 8B 46 40 85 C0 0F 84 82 00 00 00 89 04 24 8B 04 24 8B 80 B4 03 00 00 8B 68 08 4D 85 ED 7C 6E 45 33 FF 8B 04 24 8B 80 B4 03 00 00 8B 40 04 8B 1C B8 80 7B 38 00 74 52 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 45 8B 83 88 00 00 00 80 78 10 00 74 39 8B C6 E8 ?? ?? ?? ?? 3B F8 7E 0A 8B C3 8B 10 FF 92 90 00 00 00 56 57 8D BE A8 01 00 00 8D B3 A8 01 00 00 A5 A5 A5 A5 5F 5E 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 04 47 4D 75 95 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90898_0 {
	meta:
		name = "AdjustRatio"
		size = 84
		refs = "000d ScreenRatio 001a AdjustRatio"
	strings:
		$1 = { 55 8B EC 83 C4 F0 8B 45 10 8B 40 FC E8 ?? ?? ?? ?? DD 5D F0 9B DD 45 F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0E 8B 45 08 89 45 F8 8B 45 0C 89 45 FC EB 10 D9 05 ?? ?? ?? ?? DC 4D 08 DC 75 F0 DD 5D F8 9B DD 45 F8 8B E5 5D C2 08 00 00 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_90899_0 {
	meta:
		name = "TCircledSeries.AdjustScreenRatio"
		size = 196
		refs = "0016 Screen 001d TScreen.GetWidth 0033 TScreen.GetHeight 004a AdjustRatio 005d @ROUND 009c TCircledSeries.AdjustScreenRatio"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F1 89 55 FC 8B 5D 08 8B 7D 0C 55 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 89 45 EC DB 45 EC DB 7D E0 9B A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 89 45 DC DB 45 DC DB 6D E0 DE F1 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 DD 5D F0 9B 89 7D EC DB 45 EC DC 4D F0 E8 ?? ?? ?? ?? 52 50 8B C6 99 3B 54 24 04 75 09 3B 04 24 5A 58 76 21 EB 04 5A 58 7E 1B 89 7D EC DB 45 EC DC 4D F0 E8 ?? ?? ?? ?? 50 8B C6 5A 2B C2 01 03 29 43 08 EB 20 89 75 EC DB 45 EC D8 0D ?? ?? ?? ?? DC 75 F0 E8 ?? ?? ?? ?? 50 8B C7 5A 2B C2 01 43 04 29 43 0C 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_90900_0 {
	meta:
		name = "CalcCircledRatio"
		size = 72
		refs = "000d TCircledSeries.CalcRadius 003a TCircledSeries.AdjustScreenRatio 0041 TCircledSeries.AdjustCircleRect"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 FC 8B 03 E8 ?? ?? ?? ?? 8B 03 8B 80 90 01 00 00 50 8B 03 05 A8 01 00 00 50 8B 03 8B 88 8C 01 00 00 8B 03 8B 40 40 8B 90 40 03 00 00 8B 03 8B 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_90901_0 {
	meta:
		name = "AdjustCircleMarks"
		size = 216
		refs = "0013 TSeriesMarks.GetCallout 004c TTeeCanvas.AssignFont 0057 AdjustCircleMarks 0096 TCustomAxisPanel.MaxMarkWidth 00bf TCircledSeries.AdjustCircleRect"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 8B 70 54 8B 45 08 8B 40 FC 8B 90 88 00 00 00 8B 42 0C 80 78 28 00 74 0A 8B 40 10 8B 40 1C 03 C0 03 F0 8B 45 08 8B 40 FC 8B 58 40 8B 52 20 8B 83 40 03 00 00 E8 ?? ?? ?? ?? 8B 83 40 03 00 00 BA ?? ?? ?? ?? 8B 08 FF 91 A0 00 00 00 8D 04 06 8B 55 08 8B 52 FC 01 82 AC 01 00 00 8B 55 08 8B 52 FC 29 82 B4 01 00 00 BA ?? ?? ?? ?? 8B 83 40 03 00 00 8B 08 FF 91 9C 00 00 00 8B F8 8B C3 E8 ?? ?? ?? ?? 03 F8 8B C7 03 C6 8B 55 08 8B 52 FC 01 82 A8 01 00 00 8B 55 08 8B 52 FC 29 82 B0 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_90902_0 {
	meta:
		name = "TCircledSeries.DoBeforeDrawValues"
		size = 130
		refs = "000d TChartSeries.DoBeforeDrawValues 002e TCircledSeries.AdjustCircleRect 004f AdjustCircleMarks 005e @CallDynaInst 0070 CalcCircledRatio 0079 TCircledSeries.CalcRadius"
	strings:
		$1 = { 55 8B EC 51 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 55 FC 8D B0 44 03 00 00 8D BA A8 01 00 00 A5 A5 A5 A5 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 00 00 00 80 78 10 00 74 15 8B 45 FC 80 B8 C0 01 00 00 00 74 09 55 E8 ?? ?? ?? ?? 59 EB 0C 8B 45 FC 66 BE E4 FF E8 ?? ?? ?? ?? 8B 45 FC 80 B8 74 01 00 00 00 74 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 59 5D C3 }
	condition:
		$1
}

rule function_90903_0 {
	meta:
		name = "TCircledSeries.CalcRadius"
		size = 154
	strings:
		$1 = { 8B 90 78 01 00 00 85 D2 74 14 8B CA 89 88 8C 01 00 00 8B D1 03 D2 89 90 98 01 00 00 EB 0E 8B 90 98 01 00 00 D1 EA 89 90 8C 01 00 00 8B 90 7C 01 00 00 85 D2 74 14 8B CA 89 88 90 01 00 00 8B D1 03 D2 89 90 9C 01 00 00 EB 0E 8B 90 9C 01 00 00 D1 EA 89 90 90 01 00 00 8D 90 A8 01 00 00 8B 88 A0 01 00 00 2B 88 8C 01 00 00 89 0A 8B 88 A0 01 00 00 03 88 8C 01 00 00 89 4A 08 8B 88 A4 01 00 00 2B 88 90 01 00 00 89 4A 04 8B 88 A4 01 00 00 03 88 90 01 00 00 89 4A 0C C3 }
	condition:
		$1
}

rule function_90904_0 {
	meta:
		name = "TCircledSeries.SetCircleBackColor"
		size = 14
		refs = "0009 TCustomChartElement.SetColorProperty"
	strings:
		$1 = { 8D 88 70 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90905_0 {
	meta:
		name = "TCircledSeries.AngleToPos"
		size = 91
		refs = "0026 SinCos 0031 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 DD 83 B8 01 00 00 DC 45 18 83 C4 F8 DD 1C 24 9B 8D 55 F0 8D 45 F8 E8 ?? ?? ?? ?? DD 45 10 DC 4D F0 E8 ?? ?? ?? ?? 03 83 A0 01 00 00 89 06 DD 45 08 DC 4D F8 E8 ?? ?? ?? ?? 8B 93 A4 01 00 00 2B D0 89 17 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_90906_0 {
	meta:
		name = "TCircledSeries.AngleToPos"
		size = 85
		refs = "0026 SinCos"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 DD 83 B8 01 00 00 DC 45 18 83 C4 FC D9 1C 24 9B 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? DD 45 10 D8 4D F8 DB 83 A0 01 00 00 DE C1 D9 1E 9B DD 45 08 D8 4D FC DB 83 A4 01 00 00 DE E1 D9 1F 9B 5F 5E 5B 59 59 5D C2 18 00 }
	condition:
		$1
}

rule function_90907_0 {
	meta:
		name = "TCircledSeries.CalcCircleBackColor"
		size = 85
		refs = "002a _Dn_TCustomChart 002f @AsClass 0034 TCustomChart.GetBackWall"
	strings:
		$1 = { 53 56 57 8B F0 8B 9E 70 01 00 00 81 FB 00 00 00 20 75 2E 8B 7E 40 80 BF F8 02 00 00 00 74 07 BB FF FF FF 00 EB 1B 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 78 2A 00 75 03 8B 58 1C 81 FB 00 00 00 20 75 06 8B 46 40 8B 58 74 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90908_0 {
	meta:
		name = "TCircledSeries.PrepareLegendCanvas"
		size = 24
		refs = "000c TCircledSeries.CalcCircleBackColor"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 89 06 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_90909_0 {
	meta:
		name = "TCircledSeries.PointToAngle"
		size = 272
		refs = "00a7 ArcTan2 00b4 TCircledSeries.PointToAngle"
	strings:
		$1 = { 53 56 83 C4 E0 8B F0 8B C2 2B 86 A0 01 00 00 75 2D 3B 8E A4 01 00 00 7E 14 C7 04 24 18 2D 44 54 C7 44 24 04 FB 21 F9 BF E9 82 00 00 00 C7 04 24 18 2D 44 54 C7 44 24 04 FB 21 F9 3F EB 71 8B 86 8C 01 00 00 85 C0 74 09 83 BE 90 01 00 00 00 75 0B 33 C0 89 04 24 89 44 24 04 EB 53 8B 9E A4 01 00 00 2B D9 89 5C 24 18 DB 44 24 18 DB 86 90 01 00 00 DE F9 DD 5C 24 10 9B 2B 96 A0 01 00 00 89 54 24 18 DB 44 24 18 89 44 24 1C DB 44 24 1C DE F9 DD 5C 24 08 9B FF 74 24 14 FF 74 24 14 FF 74 24 14 FF 74 24 14 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0D DB 2D ?? ?? ?? ?? DC 04 24 DD 1C 24 9B DD 04 24 DC A6 B8 01 00 00 DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0D DB 2D ?? ?? ?? ?? DC 04 24 DD 1C 24 9B DD 04 24 83 C4 20 5E 5B C3 00 00 00 00 00 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 }
	condition:
		$1
}

rule function_90910_0 {
	meta:
		name = "TCircledSeries.PointToRadius"
		size = 168
		refs = "001b TCircledSeries.PointToRadius 008d Sqrt"
	strings:
		$1 = { 53 56 83 C4 D0 8B D8 8B 73 78 DD 46 18 DC 66 20 DD 5C 24 18 9B DD 44 24 18 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0B 33 C0 89 04 24 89 44 24 04 EB 68 2B 93 A0 01 00 00 89 54 24 20 DB 44 24 20 DC 4C 24 18 DB 83 8C 01 00 00 DE F9 DD 5C 24 08 9B 2B 8B A4 01 00 00 89 4C 24 20 DB 44 24 20 DC 4C 24 18 DB 83 90 01 00 00 DE F9 DD 5C 24 10 9B DD 44 24 08 D8 C8 DB 7C 24 24 9B DD 44 24 10 D8 C8 DB 6C 24 24 DE C1 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DC 46 20 DD 1C 24 9B DD 04 24 83 C4 30 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_90911_0 {
	meta:
		name = "TCircledSeries.Assign"
		size = 127
		refs = "000b _DV_TCircledSeries 0010 @IsClass 0030 TCircledSeries.SetRotationAngle 0061 TCircledSeries.SetEmboss 006e TCircledSeries.SetShadow 0077 TChartSeries.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5A 8B FE 0F B6 87 74 01 00 00 88 83 74 01 00 00 8B 97 84 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 87 78 01 00 00 89 83 78 01 00 00 8B 87 7C 01 00 00 89 83 7C 01 00 00 8B 87 70 01 00 00 89 83 70 01 00 00 8B 97 80 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 88 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90912_0 {
	meta:
		name = "TCircledSeries.SetActive"
		size = 32
		refs = "0007 TCustomChartSeries.SetActive 0019 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 53 38 80 F2 01 8B C3 66 BE E2 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90913_0 {
	meta:
		name = "TCircledSeries.HasBackColor"
		size = 28
	strings:
		$1 = { 8B 90 70 01 00 00 81 FA 00 00 00 20 74 08 81 FA FF FF FF 1F 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_90915_0 {
	meta:
		name = "TCircledSeries.DrawCircleGradient"
		size = 286
		refs = "008f TTeeShadow.Draw 00e4 TCanvas3D.CalcRect3D"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F0 8B 46 40 80 B8 04 03 00 00 00 74 10 8B 90 08 03 00 00 80 7A 20 00 0F 84 F1 00 00 00 8B 96 98 01 00 00 D1 FA 79 03 83 D2 00 8B 8E 9C 01 00 00 D1 F9 79 03 83 D1 00 8B 9E A0 01 00 00 8B FB 2B FA 89 3C 24 8B BE A4 01 00 00 8B EF 2B E9 89 6C 24 04 03 D3 89 54 24 08 03 CF 89 4C 24 0C 8B 96 88 01 00 00 80 7A 20 00 74 21 DB 86 5C 01 00 00 83 C4 F8 DD 1C 24 9B 6A 00 6A 00 8D 4C 24 10 8B 80 40 03 00 00 92 E8 ?? ?? ?? ?? 8B 86 80 01 00 00 80 78 20 00 74 23 DB 86 5C 01 00 00 83 C4 F8 DD 1C 24 9B 6A 00 6A 00 8D 4C 24 10 8B 56 40 8B 92 40 03 00 00 E8 ?? ?? ?? ?? 8B 5E 40 80 BB 04 03 00 00 00 74 28 8D 44 24 10 50 8D 54 24 04 8B 83 40 03 00 00 8B 8E 5C 01 00 00 E8 ?? ?? ?? ?? 56 8D 74 24 14 8D 7C 24 04 A5 A5 A5 A5 5E 8B 44 24 08 50 8B 44 24 10 50 8B 46 40 8B 80 40 03 00 00 8B 4C 24 0C 8B 54 24 08 8B 18 FF 53 70 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90916_0 {
	meta:
		name = "TSliceValueList.Get"
		size = 41
		refs = "0010 TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 19 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_90917_0 {
	meta:
		name = "TSliceValueList.Put"
		size = 61
		refs = "0010 TList.Add 001e TSliceValueList.Get 002d TList.Put 0035 TCustomChartElement.Repaint"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 3B 73 08 7D F2 8B D6 8B C3 E8 ?? ?? ?? ?? 3B F8 74 13 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90918_0 {
	meta:
		name = "TPieOtherSlice.Create"
		size = 67
		refs = "000b @ClassCreate 001a TObject.Create 002f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 20 C7 47 04 00 00 00 20 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90920_0 {
	meta:
		name = "TPieOtherSlice.Assign"
		size = 106
		refs = "000b _DV_TPieOtherSlice 0010 @IsClass 0029 TPieOtherSlice.GetLegend 0032 TPieOtherSlice.SetLegend 0044 TObject.Free 0056 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4E 8B FB 8B 47 04 89 46 04 83 7F 08 00 74 12 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 10 8D 46 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 0F B6 47 0C 88 46 0C 8D 46 10 8B 57 10 E8 ?? ?? ?? ?? 8B 47 18 89 46 18 8B 47 1C 89 46 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90921_0 {
	meta:
		name = "TPieOtherSlice.IsTextStored"
		size = 12
	strings:
		$1 = { 53 8B D8 83 7B 10 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_90922_0 {
	meta:
		name = "TPieOtherSlice.SetColor"
		size = 14
		refs = "0009 TCustomChartElement.SetColorProperty"
	strings:
		$1 = { 8D 48 04 8B 40 20 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90923_0 {
	meta:
		name = "TPieOtherSlice.SetStyle"
		size = 17
		refs = "000c TCustomChartElement.Repaint"
	strings:
		$1 = { 3A 50 0C 74 0B 88 50 0C 8B 40 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90924_0 {
	meta:
		name = "TPieOtherSlice.SetText"
		size = 39
		refs = "000c @UStrEqual 0018 @UStrAsg 0020 TCustomChartElement.Repaint"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 8B D6 E8 ?? ?? ?? ?? 74 12 8D 43 10 8B D6 E8 ?? ?? ?? ?? 8B 43 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90925_0 {
	meta:
		name = "TPieOtherSlice.SetValue"
		size = 24
		refs = "0010 TCustomChartElement.SetDoubleProperty"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8D 50 18 8B 40 20 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_90926_0 {
	meta:
		name = "TPieOtherSlice.GetText"
		size = 43
		refs = "0010 TeeMsg_PieOther 0017 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 10 00 75 12 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90927_0 {
	meta:
		name = "TPieOtherSlice.GetLegend"
		size = 59
		refs = "0013 _Dn_TChartLegend 0018 TCustomChartLegend.Create 0026 TTeeCustomShapeBrushPen.SetVisible 0031 TCustomChartLegend.SetSeries"
	strings:
		$1 = { 53 56 8B D8 83 7B 08 00 75 2B 8B 43 20 8B 48 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 08 8B C6 33 D2 E8 ?? ?? ?? ?? 8B 53 20 8B 43 08 E8 ?? ?? ?? ?? 8B 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_90928_0 {
	meta:
		name = "TPieOtherSlice.SetLegend"
		size = 57
		refs = "000d TPieOtherSlice.GetLegend 001f TCustomChartLegend.SetSeries 0032 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 1C 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 8B 53 20 8B 43 08 E8 ?? ?? ?? ?? 5E 5B C3 8D 43 08 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90929_0 {
	meta:
		name = "TPieMarks.SetLegSize"
		size = 17
		refs = "000c TCustomChartElement.Repaint"
	strings:
		$1 = { 3B 50 04 74 0B 89 50 04 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90930_0 {
	meta:
		name = "TPieMarks.SetVertCenter"
		size = 17
		refs = "000c TCustomChartElement.Repaint"
	strings:
		$1 = { 3A 50 08 74 0B 88 50 08 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90931_0 {
	meta:
		name = "TPieMarks.Assign"
		size = 53
		refs = "000a _DV_TPieMarks 000f @IsClass 002e TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B C6 0F B6 50 08 88 53 08 8B 40 04 89 43 04 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90932_0 {
	meta:
		name = "TFramedBorder.Create"
		size = 172
		refs = "000a @ClassCreate 0017 TTeeCustomShapeBrushPen.Create 0024 TTeeCustomShapeBrushPen.CanvasChanged 002b _Dn_TTeeEmboss 0030 TTeeEmboss.Create 0040 _Dn_TTeeShadow 0045 TTeeShadow.Create 0055 _DV_TFrameBrush 005a TChartBrush.Create 008e TFramedBorder.GetPalette 0099 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 2C 0A 00 00 00 56 68 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 56 68 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 56 68 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 1C 56 68 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 56 68 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_90933_0 {
	meta:
		name = "TFramedBorder.Destroy"
		size = 76
		refs = "0003 @BeforeDestruction 000f TObject.Free 003a TTeeCustomShapeBrushPen.Destroy 0045 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 24 E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90934_0 {
	meta:
		name = "TFramedBorder.Assign"
		size = 102
		refs = "000b _DV_TFramedBorder 0010 @IsClass 0027 TFramedBorder.SetInner 0031 TFramedBorder.SetMiddle 003b TFramedBorder.SetOuter 0045 TFramedBorder.SetEmboss 004f TFramedBorder.SetShadow 005e TTeeCustomShapeBrushPen.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 41 8B FE 0F B6 47 14 88 43 14 8B 57 1C 8B C3 E8 ?? ?? ?? ?? 8B 57 20 8B C3 E8 ?? ?? ?? ?? 8B 57 24 8B C3 E8 ?? ?? ?? ?? 8B 57 18 8B C3 E8 ?? ?? ?? ?? 8B 57 28 8B C3 E8 ?? ?? ?? ?? 8B 47 2C 89 43 2C 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90936_0 {
	meta:
		name = "TFramedBorder.DefineProperties"
		size = 84
		refs = "000b TPersistent.DefineProperties 0011 TFramedBorder.ReadParentSeries 001c TFramedBorder.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 61 00 72 00 65 00 6E 00 74 00 53 00 65 00 72 00 69 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_90937_0 {
	meta:
		name = "TFramedBorder.GetPalette"
		size = 101
		refs = "000c TChartBrush.SetBackColor 0014 TChartBrush.GetGradient 001f TCustomTeeGradient.SetEndColor"
	strings:
		$1 = { 53 8B D8 BA FF 00 00 00 8B 43 1C E8 ?? ?? ?? ?? 8B 43 1C E8 ?? ?? ?? ?? 8B 53 1C 8B 52 18 E8 ?? ?? ?? ?? BA FF FF 00 00 8B 43 20 E8 ?? ?? ?? ?? 8B 43 20 E8 ?? ?? ?? ?? 8B 53 20 8B 52 18 E8 ?? ?? ?? ?? BA 00 80 00 00 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 8B 53 24 8B 52 18 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90938_0 {
	meta:
		name = "TFramedBorder.CalcWidth"
		size = 68
		refs = "0029 TFramedBorder.CalcWidth 0030 @ROUND"
	strings:
		$1 = { 53 56 51 8B D8 8B 42 08 2B 02 8B 4A 0C 2B 4A 04 8B D1 3B D0 7E 04 8B F0 EB 02 8B F2 8B 43 2C F7 EE 89 04 24 DB 04 24 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 5A 5E 5B C3 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_90939_0 {
	meta:
		name = "DrawBand"
		size = 136
	strings:
		$1 = { 55 8B EC 53 56 57 8B 78 10 0F B6 57 20 80 FA 01 74 71 8B 55 08 8B 72 FC 8B 57 18 52 8B 48 18 8B D0 8B C6 8B 18 FF 53 50 8B 45 08 8B 40 F8 80 78 14 00 74 27 8B 45 08 8B 40 FC 8B 55 08 8B 52 F0 52 8B 55 08 8B 52 F4 52 8B 55 08 8B 4A EC 8B 55 08 8B 52 E8 8B 18 FF 53 70 EB 28 8B 45 08 8B 40 FC 8B 55 08 8B 52 F0 52 8B 55 08 8B 52 F4 52 8B 55 08 8B 4A EC 8B 55 08 8B 52 E8 8B 18 FF 93 8C 00 00 00 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_90940_0 {
	meta:
		name = "TryDrawShadow"
		size = 92
		refs = "000f TTeeShadow.GetSize 0055 TTeeShadow.Draw"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 7B 20 00 74 4D 8B C3 E8 ?? ?? ?? ?? 85 C0 74 42 8B 45 08 8B 40 F8 80 78 14 00 74 1B 6A 00 6A 00 6A 00 8B 45 08 8D 48 E8 8B 45 08 8B 50 FC 8B C3 8B 18 FF 53 10 EB 1B 6A 00 6A 00 6A 00 6A 00 8B 45 08 8D 48 E8 8B 45 08 8B 50 FC 8B C3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_90941_0 {
	meta:
		name = "TFramedBorder.Draw"
		size = 296
		refs = "002c TryDrawShadow 0047 TPen.SetStyle 0053 DrawBand 005f TFramedBorder.CalcWidth 006b TFramedBorder.Draw 0079 @ROUND 0089 InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F2 8D 7D E8 A5 A5 A5 A5 89 45 F8 8B 45 F8 8B 40 08 8B 80 40 03 00 00 89 45 FC 55 8B 45 F8 8B 40 28 E8 ?? ?? ?? ?? 59 55 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 10 B2 05 E8 ?? ?? ?? ?? 55 8B 45 F8 8B 40 24 E8 ?? ?? ?? ?? 59 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 89 45 DC DB 45 DC DB 2D ?? ?? ?? ?? DE C9 DD 5D E0 9B DD 45 E0 E8 ?? ?? ?? ?? 8B D8 F7 DB 53 8B D3 8D 45 E8 59 E8 ?? ?? ?? ?? 55 8B 45 F8 8B 40 20 E8 ?? ?? ?? ?? 59 D9 05 ?? ?? ?? ?? DC 4D E0 E8 ?? ?? ?? ?? F7 D8 50 D9 05 ?? ?? ?? ?? DC 4D E0 E8 ?? ?? ?? ?? 8B D0 F7 DA 8D 45 E8 59 E8 ?? ?? ?? ?? 55 8B 45 F8 8B 40 1C E8 ?? ?? ?? ?? 59 D9 05 ?? ?? ?? ?? DC 4D E0 E8 ?? ?? ?? ?? F7 D8 50 D9 05 ?? ?? ?? ?? DC 4D E0 E8 ?? ?? ?? ?? 8B D0 F7 DA 8D 45 E8 59 E8 ?? ?? ?? ?? 55 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 00 CD CC CC CC CC CC CC CC FB 3F 00 00 00 00 E0 40 00 00 00 40 }
	condition:
		$1
}

rule function_90942_0 {
	meta:
		name = "TFramedBorder.IsCircledStored"
		size = 11
	strings:
		$1 = { 0F B6 50 14 3A 50 30 0F 95 C0 C3 }
	condition:
		$1
}

rule function_90943_0 {
	meta:
		name = "TFramedBorder.SetCircled"
		size = 28
		altNames = "TSeriesPointer.SetDark3D TTeeCustomShape.SetBevel"
	strings:
		$1 = { 56 8B F0 3A 56 14 74 12 88 56 14 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_90946_0 {
	meta:
		name = "TFramedBorder.SetOuter"
		size = 9
		altNames = "THTMLTableColumn.SetTitle"
	strings:
		$1 = { 8B 40 24 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_90947_0 {
	meta:
		name = "TFramedBorder.SetShadow"
		size = 9
		altNames = "TXmlOutputSource.SetWriteLFOption"
	strings:
		$1 = { 8B 40 28 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_90949_0 {
	meta:
		name = "TFramedBorder.SetWidth"
		size = 28
	strings:
		$1 = { 56 8B F0 3B 56 2C 74 12 89 56 2C 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_90950_0 {
	meta:
		name = "TFramedBorder.SetDefaultCircled"
		size = 9
	strings:
		$1 = { 8B CA 88 48 14 88 48 30 C3 }
	condition:
		$1
}

rule function_90951_0 {
	meta:
		name = "TCircularFrame.Create"
		size = 262
		refs = "000a @ClassCreate 0017 TFramedBorder.Create 0043 TChartBrush.GetGradient 004a TCustomTeeGradient.SetVisible 0075 TCustomTeeGradient.UseMiddleColor 008f TCustomTeeGradient.SetStartColor 00f3 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 60 C7 46 64 00 00 39 40 33 C0 89 46 68 C7 46 6C 00 00 4E 40 33 C0 89 46 70 C7 46 74 00 00 2E 40 8B 46 1C E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 8B 40 10 50 8B 46 1C E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 8B 40 10 50 8B 46 24 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 8B 40 10 50 8B 46 20 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? C7 46 38 68 01 00 00 C6 46 58 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_90952_0 {
	meta:
		name = "RationaliseValues"
		size = 84
		refs = "0015 RationaliseValues"
	strings:
		$1 = { 53 83 C4 F0 8B D8 DD 03 DC 02 DC 01 DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 29 D9 05 ?? ?? ?? ?? DC 34 24 DD 5C 24 08 9B DD 03 DC 4C 24 08 DD 1B 9B DD 02 DC 4C 24 08 DD 1A 9B DD 01 DC 4C 24 08 DD 19 9B 83 C4 10 5B C3 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_90953_0 {
	meta:
		name = "TCircularFrame.Assign"
		size = 49
		refs = "000a _DV_TCircularFrame 000f @IsClass 002a TFramedBorder.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B C6 8B 50 34 89 53 34 8B 40 38 89 43 38 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90954_0 {
	meta:
		name = "DrawFullBrush"
		size = 156
		refs = "0040 TPen.SetStyle"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 50 10 0F B6 52 20 80 FA 01 0F 84 81 00 00 00 8B 55 08 8B 52 FC 8B 52 08 8B B2 40 03 00 00 8B F8 8B 57 10 8B 52 18 52 8B 4F 18 8B D7 8B C6 8B 18 FF 53 50 B2 05 8B 46 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 78 14 00 74 23 8B 45 08 8B 40 F4 50 8B 45 08 8B 40 F8 50 8B 45 08 8B 48 F0 8B 45 08 8B 50 EC 8B C6 8B 18 FF 53 70 EB 24 8B 45 08 8B 40 F4 50 8B 45 08 8B 40 F8 50 8B 45 08 8B 48 F0 8B 45 08 8B 50 EC 8B C6 8B 18 FF 93 8C 00 00 00 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_90955_0 {
	meta:
		name = "TCircularFrame.Draw"
		size = 2012
		refs = "001e TFramedBorder.CalcWidth 0046 RationaliseValues 0078 TPointArray 007d @DynArrayClear 00b3 @DynArrayLength 00ca @DynArraySetLength 011c TCircularFrame.Draw 0197 TCanvas3D.PointFromCircle 0289 TPen.SetStyle 0295 @DynArrayHigh 02b0 DrawFullBrush 02e3 @ROUND 02f3 InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 8B F2 8D 7D EC A5 A5 A5 A5 89 45 FC 8D 75 FC 8D 55 EC 8B 06 E8 ?? ?? ?? ?? 89 45 AC DB 45 AC DD 5D E0 9B 33 C0 89 45 B8 33 C0 89 45 BC 8B 06 8D 48 70 8B 06 8D 50 68 8B 06 83 C0 60 E8 ?? ?? ?? ?? 8B 06 8B 50 24 8B 06 8B 40 08 8B 80 40 03 00 00 8B 40 04 8B 08 FF 51 08 8B 06 81 78 38 68 01 00 00 0F 8D 38 02 00 00 8B 06 83 C0 3C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 03 45 F4 D1 F8 79 03 83 D0 00 89 45 B0 8B 45 F0 03 45 F8 D1 F8 79 03 83 D0 00 89 45 B4 8B 45 B0 89 45 B8 8B 45 B4 89 45 BC 8B 06 8B 40 3C E8 ?? ?? ?? ?? 40 50 8B 06 83 C0 3C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 06 8B 40 3C E8 ?? ?? ?? ?? 8B 16 8B 52 3C 8B 4D B8 89 4C C2 F8 8B 4D BC 89 4C C2 FC 8B 16 8B 52 38 8B 06 8B 40 34 03 D0 89 55 AC DB 45 AC DD 5D D0 9B 89 45 AC DB 45 AC DD 5D D8 9B 8B 45 F4 2B 45 EC 89 45 AC DB 45 AC D8 0D ?? ?? ?? ?? 8B 06 DD 58 40 9B 8B 06 80 78 58 00 74 1A DD 45 D0 D8 05 ?? ?? ?? ?? DD 5D D0 9B DD 45 D8 D8 25 ?? ?? ?? ?? DD 5D D8 9B 8B 45 D8 89 45 C8 8B 45 DC 89 45 CC EB 6F 8B 06 8B 40 3C E8 ?? ?? ?? ?? 40 50 8B 06 83 C0 3C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 FF 75 CC FF 75 C8 6A 00 8D 45 A4 50 8D 55 EC 8B 06 8B 40 08 8B 80 40 03 00 00 33 C9 E8 ?? ?? ?? ?? 8B 06 8B 40 3C E8 ?? ?? ?? ?? 8B 16 8B 52 3C 8B 4D A4 89 4C C2 F8 8B 4D A8 89 4C C2 FC DB 2D ?? ?? ?? ?? DC 45 C8 DD 5D C8 9B DD 45 C8 DC 5D D0 9B DF E0 9E 76 85 8B 06 8B 40 3C E8 ?? ?? ?? ?? 40 50 8B 06 83 C0 3C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 06 8B 40 3C E8 ?? ?? ?? ?? 8B 16 8B 52 3C 8B 4D B8 89 4C C2 F8 8B 4D BC 89 4C C2 FC 8B 06 8B 16 8B 52 3C 8B 4A 08 89 88 B8 00 00 00 8B 4A 0C 89 88 BC 00 00 00 8B 06 8B 40 3C E8 ?? ?? ?? ?? 8B 16 8B 52 3C 8B 0E 8B 5C C2 F0 89 99 C0 00 00 00 8B 5C C2 F4 89 99 C4 00 00 00 8B 06 8B 40 24 8B 40 10 0F B6 40 20 3C 01 74 55 8B 06 8B 40 08 8B B8 40 03 00 00 8B 06 8B 40 24 8B 50 10 8B 52 18 52 8B 48 18 8B D0 8B C7 8B 18 FF 53 50 8B 47 10 B2 05 E8 ?? ?? ?? ?? 8B 06 8B 58 3C 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C7 8B 18 FF 93 D8 00 00 00 EB 0C 55 8B 06 8B 40 24 E8 ?? ?? ?? ?? 59 8B 06 8B 50 20 8B 06 8B 40 08 8B 80 40 03 00 00 8B 40 04 8B 08 FF 51 08 DB 2D ?? ?? ?? ?? 8B 06 DC 48 70 DC 4D E0 DD 5D C0 9B DD 45 C0 E8 ?? ?? ?? ?? 8B D8 F7 DB 53 8B D3 8D 45 EC 59 E8 ?? ?? ?? ?? 8B 06 81 78 38 68 01 00 00 0F 8D 10 02 00 00 8B 06 83 C0 3C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 8B 40 3C E8 ?? ?? ?? ?? 40 50 8B 06 83 C0 3C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 06 8B 40 3C E8 ?? ?? ?? ?? 8B 16 8B 52 3C 8B 4D B8 89 4C C2 F8 8B 4D BC 89 4C C2 FC 8B 16 8B 52 38 8B 06 8B 40 34 03 D0 89 55 AC DB 45 AC DD 5D D0 9B 89 45 AC DB 45 AC DD 5D D8 9B 8B 45 F4 2B 45 EC 89 45 AC DB 45 AC D8 0D ?? ?? ?? ?? 8B 06 DD 58 48 9B 8B 06 80 78 58 00 74 1A DD 45 D0 D8 05 ?? ?? ?? ?? DD 5D D0 9B DD 45 D8 D8 25 ?? ?? ?? ?? DD 5D D8 9B 8B 45 D8 89 45 C8 8B 45 DC 89 45 CC EB 6F 8B 06 8B 40 3C E8 ?? ?? ?? ?? 40 50 8B 06 83 C0 3C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 FF 75 CC FF 75 C8 6A 00 8D 45 A4 50 8D 55 EC 8B 06 8B 40 08 8B 80 40 03 00 00 33 C9 E8 ?? ?? ?? ?? 8B 06 8B 40 3C E8 ?? ?? ?? ?? 8B 16 8B 52 3C 8B 4D A4 89 4C C2 F8 8B 4D A8 89 4C C2 FC DB 2D ?? ?? ?? ?? DC 45 C8 DD 5D C8 9B DD 45 C8 DC 5D D0 9B DF E0 9E 76 85 8B 06 8B 40 3C E8 ?? ?? ?? ?? 40 50 8B 06 83 C0 3C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 06 8B 40 3C E8 ?? ?? ?? ?? 8B 16 8B 52 3C 8B 4D B8 89 4C C2 F8 8B 4D BC 89 4C C2 FC 8B 06 8B 16 8B 52 3C 8B 4A 08 89 88 98 00 00 00 8B 4A 0C 89 88 9C 00 00 00 8B 06 8B 40 3C E8 ?? ?? ?? ?? 8B 16 8B 52 3C 8B 0E 8B 5C C2 F0 89 99 A0 00 00 00 8B 5C C2 F4 89 99 A4 00 00 00 8B 06 8B 16 8B 8A 98 00 00 00 89 88 C8 00 00 00 8B 8A 9C 00 00 00 89 88 CC 00 00 00 8B 06 8B 16 8B 8A A0 00 00 00 89 88 D0 00 00 00 8B 8A A4 00 00 00 89 88 D4 00 00 00 8B 06 8B 58 3C 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 06 8B 40 08 8B 80 40 03 00 00 8B 18 FF 93 D8 00 00 00 EB 0C 55 8B 06 8B 40 20 E8 ?? ?? ?? ?? 59 8B 06 8B 50 1C 8B 06 8B 40 08 8B 80 40 03 00 00 8B 40 04 8B 08 FF 51 08 DB 2D ?? ?? ?? ?? 8B 06 DC 48 68 DC 4D E0 DD 5D C0 9B DD 45 C0 E8 ?? ?? ?? ?? 8B D8 F7 DB 53 8B D3 8D 45 EC 59 E8 ?? ?? ?? ?? 8B 06 81 78 38 68 01 00 00 0F 8D 04 02 00 00 8B 06 83 C0 3C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 8B 40 3C E8 ?? ?? ?? ?? 40 50 8B 06 83 C0 3C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 06 8B 40 3C E8 ?? ?? ?? ?? 8B 16 8B 52 3C 8B 4D B8 89 4C C2 F8 8B 4D BC 89 4C C2 FC 8B 16 8B 52 38 8B 06 8B 40 34 03 D0 89 55 AC DB 45 AC DD 5D D0 9B 89 45 AC DB 45 AC DD 5D D8 9B 8B 45 F4 2B 45 EC 89 45 AC DB 45 AC D8 0D ?? ?? ?? ?? 8B 06 DD 58 50 9B 8B 06 80 78 58 00 74 1A DD 45 D0 D8 05 ?? ?? ?? ?? DD 5D D0 9B DD 45 D8 D8 25 ?? ?? ?? ?? DD 5D D8 9B 8B 45 D8 89 45 C8 8B 45 DC 89 45 CC EB 6F 8B 06 8B 40 3C E8 ?? ?? ?? ?? 40 50 8B 06 83 C0 3C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 FF 75 CC FF 75 C8 6A 00 8D 45 A4 50 8D 55 EC 8B 06 8B 40 08 8B 80 40 03 00 00 33 C9 E8 ?? ?? ?? ?? 8B 06 8B 40 3C E8 ?? ?? ?? ?? 8B 16 8B 52 3C 8B 4D A4 89 4C C2 F8 8B 4D A8 89 4C C2 FC DB 2D ?? ?? ?? ?? DC 45 C8 DD 5D C8 9B DD 45 C8 DC 5D D0 9B DF E0 9E 76 85 8B 06 8B 40 3C E8 ?? ?? ?? ?? 40 50 8B 06 83 C0 3C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 06 8B 40 3C E8 ?? ?? ?? ?? 8B 16 8B 52 3C 8B 4D B8 89 4C C2 F8 8B 4D BC 89 4C C2 FC 8B 06 8B 16 8B 52 3C 8B 4A 08 89 48 78 8B 4A 0C 89 48 7C 8B 06 8B 40 3C E8 ?? ?? ?? ?? 8B 16 8B 52 3C 8B 0E 8B 5C C2 F0 89 99 80 00 00 00 8B 5C C2 F4 89 99 84 00 00 00 8B 06 8B 16 8B 4A 78 89 88 A8 00 00 00 8B 4A 7C 89 88 AC 00 00 00 8B 06 8B 16 8B 8A 80 00 00 00 89 88 B0 00 00 00 8B 8A 84 00 00 00 89 88 B4 00 00 00 8B 06 8B 58 3C 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 06 8B 40 08 8B 80 40 03 00 00 8B 18 FF 93 D8 00 00 00 EB 0C 55 8B 06 8B 40 1C E8 ?? ?? ?? ?? 59 DB 2D ?? ?? ?? ?? 8B 06 DC 48 60 DC 4D E0 DD 5D C0 9B DD 45 C0 E8 ?? ?? ?? ?? 8B D8 F7 DB 53 8B D3 8D 45 EC 59 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 00 00 3F 00 00 F0 40 CD CC CC CC CC CC CC CC FB 3F 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 00 00 E0 40 00 00 C0 3F }
	condition:
		$1
}

rule function_90956_0 {
	meta:
		name = "TCircularFrame.SetTotalAngle"
		size = 28
	strings:
		$1 = { 56 8B F0 3B 56 38 74 12 89 56 38 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_90957_0 {
	meta:
		name = "TCircularFrame.SetRotationAngle"
		size = 28
	strings:
		$1 = { 56 8B F0 3B 56 34 74 12 89 56 34 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_90958_0 {
	meta:
		name = "TPieSeries.Create"
		size = 364
		refs = "000f @ClassCreate 001d TCircledSeries.Create 0035 _DV_TSliceValueList 003a TObject.Create 0065 _DV_TPieOtherSlice 006a TPieOtherSlice.Create 007e @UStrClr 008d TeeMsg_ValuesPie 0094 @UStrAsg 00a1 TTeeCustomShapeBrushPen.SetVisible 00ac TSeriesMarks.GetCallout 00b6 TMarksCallout.SetLength 00f0 TCircledSeries.GetCircleGradient 00fa TCustomTeeGradient.SetStartColor 0108 TCustomTeeGradient.SetDirection 0121 _DV_TPieMarks 013d TeeZeroRect 0156 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C7 83 C8 01 00 00 68 01 00 00 C6 83 CC 01 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 E4 01 00 00 89 5E 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 00 02 00 00 89 5E 10 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 F8 01 00 00 8B 83 A0 00 00 00 83 C0 20 E8 ?? ?? ?? ?? 8B 83 A4 00 00 00 83 C0 20 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8B 83 88 00 00 00 B2 01 E8 ?? ?? ?? ?? 8B 83 88 00 00 00 E8 ?? ?? ?? ?? BA 08 00 00 00 E8 ?? ?? ?? ?? 8B 83 88 00 00 00 E8 ?? ?? ?? ?? C7 40 58 08 00 00 00 C6 83 D4 01 00 00 01 B2 01 8B C3 8B 08 FF 91 D4 00 00 00 C6 83 3C 01 00 00 00 C6 83 3D 01 00 00 00 8B C3 E8 ?? ?? ?? ?? BA FF FF FF 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 07 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 40 48 07 C6 83 F4 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 FC 01 00 00 89 5E 0C C6 83 E0 01 00 00 02 A1 ?? ?? ?? ?? 8B F0 8D BB 1C 02 00 00 A5 A5 A5 A5 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_90959_0 {
	meta:
		name = "TPieSeries.Destroy"
		size = 132
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0029 TPieAngles 002e @DynArrayClear 0072 TCircledSeries.Destroy 007d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 FC 01 00 00 E8 ?? ?? ?? ?? 8B 86 EC 01 00 00 E8 ?? ?? ?? ?? 8D 86 2C 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 86 00 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 E4 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 F8 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90960_0 {
	meta:
		name = "TPieSeries.CalcXPos"
		size = 52
		refs = "0004 TPieSeries.CalcXPos 0020 TChartSeries.CalcXPos"
	strings:
		$1 = { 8B C8 DB 2D ?? ?? ?? ?? 8B 81 A0 00 00 00 8B 40 54 DC 1C D0 9B DF E0 9E 75 03 33 C0 C3 8B C1 E8 ?? ?? ?? ?? C3 00 00 00 00 00 00 00 FE FF FF FF 1D 40 00 00 }
	condition:
		$1
}

rule function_90962_0 {
	meta:
		name = "TPieSeries.ClearLists"
		size = 42
		refs = "0006 TChartSeries.ClearLists"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 E4 01 00 00 85 C0 74 05 8B 10 FF 52 08 8B 83 00 02 00 00 85 C0 74 05 8B 10 FF 52 08 5B C3 }
	condition:
		$1
}

rule function_90963_0 {
	meta:
		name = "TPieSeries.PreparePiePen"
		size = 116
		refs = "002e ApplyDark 0036 TPieSeries.GetPiePen 005f TPen.GetStyle"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 43 40 8B B0 40 03 00 00 83 BB D8 01 00 00 00 7E 2D 8B D7 8B C3 8B 08 FF 91 B0 00 00 00 B2 FF 2A 93 D8 01 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 59 8B 18 FF 53 54 EB 15 8B C3 E8 ?? ?? ?? ?? 8B 50 10 8B 4A 18 8B D6 92 8B 18 FF 53 54 8B 46 10 E8 ?? ?? ?? ?? 84 C0 74 09 B2 01 8B C6 8B 08 FF 51 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90964_0 {
	meta:
		name = "TPieSeries.PieCount"
		size = 82
		refs = "003a TCustomChartSeries.SameClass"
	strings:
		$1 = { 53 56 57 55 51 8B F0 33 C0 89 04 24 8B 46 40 8B 80 B4 03 00 00 8B 78 08 4F 85 FF 7C 2C 47 33 ED 8B 46 40 8B 80 B4 03 00 00 8B 40 04 8B 1C A8 80 7B 38 00 74 10 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 03 FF 04 24 45 4F 75 D7 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90965_0 {
	meta:
		name = "TPieSeries.InitCustom3DOptions"
		size = 72
		refs = "0006 TCircledSeries.InitCustom3DOptions 0018 TView3DOptions.SetOrthogonal 0024 TView3DOptions.SetRotationInteger 0030 TView3DOptions.SetElevationInteger 0039 TView3DOptions.SetPerspective 0042 TView3DOptions.SetTiltInteger"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 40 8B 98 08 03 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? BA 68 01 00 00 8B C3 E8 ?? ?? ?? ?? BA 3B 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90967_0 {
	meta:
		name = "TPieSeries.SliceBrushStyle"
		size = 47
		refs = "0013 TCustomTeePanel.GetMonochrome 0023 GetDefaultPattern"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 05 02 00 00 00 75 0C 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 0F 83 FE FF 74 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_90968_0 {
	meta:
		name = "TPieSeries.PrepareLegendCanvas"
		size = 58
		refs = "001a TCircledSeries.PrepareLegendCanvas 0023 TPieSeries.PreparePiePen 002c TPieSeries.SliceBrushStyle"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 57 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 88 07 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_90969_0 {
	meta:
		name = "TPieSeries.GalleryChanged3D"
		size = 39
		refs = "0006 TCustomChartSeries.GalleryChanged3D 000d TPieSeries.DisableRotation 0021 TCircledSeries.SetCircled"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 40 0F B6 90 04 03 00 00 80 F2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90970_0 {
	meta:
		name = "TPieSeries.AddSampleValues"
		size = 300
		refs = "0017 string 001c @InitializeArray 0024 TPieSeries.AddSampleValues 0033 TeeMsg_PieSample1 003a @UStrLAsg 0043 TeeMsg_PieSample2 0053 TeeMsg_PieSample3 0063 TeeMsg_PieSample4 0073 TeeMsg_PieSample5 0083 TeeMsg_PieSample6 0093 TeeMsg_PieSample7 00a3 TeeMsg_PieSample8 00c3 TChartSeries.RandomValue 0119 @FinalizeArray 011f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B DA 8B F0 B9 08 00 00 00 8D 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 4B 85 DB 7C 4A 43 C7 45 DC 00 00 00 00 BA E8 03 00 00 8B 06 E8 ?? ?? ?? ?? 40 89 45 D8 DB 45 D8 83 C4 F8 DD 1C 24 9B 8B 45 DC 25 07 00 00 80 79 05 48 83 C8 F8 40 8B 54 85 E0 B9 00 00 00 20 8B C6 8B 38 FF 97 F4 00 00 00 FF 45 DC 4B 75 BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 B9 08 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90971_0 {
	meta:
		name = "CalcAngle"
		size = 132
		refs = "0042 TCircledSeries.AngleToPos"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 FF 75 0C FF 75 08 8B 45 10 8B 40 FC DB 80 8C 01 00 00 83 C4 F8 DD 1C 24 9B 8B 45 10 8B 40 FC DB 80 90 01 00 00 83 C4 F8 DD 1C 24 9B 8D 4D F8 8D 55 FC 8B 45 10 8B 40 FC E8 ?? ?? ?? ?? 8B 45 10 8B 40 FC 8B 80 5C 01 00 00 50 53 8B 45 10 8B 4D F8 2B 48 F4 8B 45 10 8B 50 F8 03 55 FC 8B 45 10 8B 40 FC 8B 40 40 8B 80 40 03 00 00 8B 18 FF 93 14 01 00 00 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_90972_0 {
	meta:
		name = "TPieSeries.CalcClickedPie"
		size = 428
		refs = "0020 @DynArrayLength 0083 TPieSeries.CalcExplodedOffset 0097 CalcAngle 0116 TPieSeries.CalcClickedPie 0180 PointInPolygon"
	strings:
		$1 = { 55 8B EC 81 C4 CC FE FF FF 53 56 57 8B F9 8B F2 89 45 FC 8B 5D 08 8B 45 FC 8B 80 2C 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8E 68 01 00 00 89 75 E0 89 7D E4 33 C0 89 45 F8 33 C0 89 45 F4 8B 45 FC 8B 80 A0 00 00 00 8B 40 04 48 85 C0 0F 8C 43 01 00 00 40 89 45 DC C7 45 F0 00 00 00 00 8B 45 F0 8D 04 40 8B 55 FC 8B 92 2C 02 00 00 8D 04 C2 89 45 D8 84 DB 74 12 8D 45 F4 50 8D 4D F8 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 55 8B 45 D8 FF 70 04 FF 30 8D 85 D0 FE FF FF E8 ?? ?? ?? ?? 59 8B 85 D0 FE FF FF 89 85 D8 FE FF FF 8B 85 D4 FE FF FF 89 85 DC FE FF FF 8B 45 FC 8B 80 5C 01 00 00 50 8D 85 D0 FE FF FF 50 8B 45 FC 8B 88 A4 01 00 00 2B 4D F4 8B 45 FC 8B 90 A0 01 00 00 03 55 F8 8B 45 FC 8B 40 40 8B 80 40 03 00 00 8B 30 FF 96 14 01 00 00 8B 85 D0 FE FF FF 89 85 E0 FE FF FF 8B 85 D4 FE FF FF 89 85 E4 FE FF FF 8B 45 D8 DD 40 10 8B 45 D8 DC 20 D8 35 ?? ?? ?? ?? DD 5D E8 9B BE 02 00 00 00 8D BD E8 FE FF FF 55 8B C6 83 E8 02 89 85 CC FE FF FF DB 85 CC FE FF FF DC 4D E8 8B 45 D8 DC 68 10 83 C4 F8 DD 1C 24 9B 8D 85 D0 FE FF FF E8 ?? ?? ?? ?? 59 8B 85 D0 FE FF FF 89 07 8B 85 D4 FE FF FF 89 47 04 46 83 C7 08 83 FE 20 75 B8 8D 95 D8 FE FF FF 8D 45 E0 B9 1F 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 13 FF 45 F0 FF 4D DC 0F 85 C8 FE FF FF C7 45 F0 FF FF FF FF 8B 45 F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 F0 41 }
	condition:
		$1
}

rule function_90973_0 {
	meta:
		name = "TPieSeries.Clicked"
		size = 42
		refs = "0010 TChartSeries.Clicked 0022 TPieSeries.CalcClickedPie"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 F8 FF 75 0D 6A 01 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90974_0 {
	meta:
		name = "TPieSeries.CountLegendItems"
		size = 84
		refs = "001e TPieSeries.BelongsToOtherSlice"
	strings:
		$1 = { 53 56 57 55 8B F0 33 ED 8B 86 A0 00 00 00 8B 58 04 4B 85 DB 7C 15 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 74 01 45 47 4B 75 EE 8B 86 F8 01 00 00 8B 40 08 85 C0 74 08 3B 86 44 01 00 00 74 0D 8B 86 A0 00 00 00 8B 40 04 2B C5 8B E8 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90975_0 {
	meta:
		name = "TPieSeries.LegendToValueIndex"
		size = 127
		refs = "004c TPieSeries.BelongsToOtherSlice"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 14 24 8B F8 8B 04 24 89 44 24 04 C7 44 24 08 FF FF FF FF 8B 87 F8 01 00 00 8B 40 08 85 C0 74 08 3B 87 44 01 00 00 74 04 33 DB EB 02 B3 01 8B 87 A0 00 00 00 8B 68 04 4D 85 ED 7C 2F 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 84 D8 75 08 84 DB 75 17 84 C0 75 13 FF 44 24 08 8B 44 24 08 3B 04 24 75 06 89 74 24 04 EB 04 46 4D 75 D4 8B 44 24 04 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90976_0 {
	meta:
		name = "TPieSeries.BelongsToOtherSlice"
		size = 32
		refs = "0010 TPieSeries.BelongsToOtherSlice"
	strings:
		$1 = { 8B C8 8B 81 68 01 00 00 8B 40 54 DD 04 D0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 94 C0 C3 00 00 80 BF }
	condition:
		$1
}

rule function_90977_0 {
	meta:
		name = "TPieSeries.CalcAngles"
		size = 456
		refs = "0011 TPieSeries.CalcAngles 0077 TChartValueList.GetTotalABS 00bd TPieAngles 00c2 @DynArraySetLength 0122 TPieSeries.BelongsToOtherSlice"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F0 DB 86 C8 01 00 00 DB 2D ?? ?? ?? ?? DE C9 DD 5C 24 18 9B 33 C0 89 44 24 08 89 44 24 0C 8B 86 F8 01 00 00 80 78 0C 00 75 3E 83 BE 28 01 00 00 FF 74 35 33 C0 89 04 24 89 44 24 04 8B BE 28 01 00 00 8B AE 2C 01 00 00 2B EF 7C 2B 45 8B 86 60 01 00 00 8B 40 54 DD 04 F8 D9 E1 DC 04 24 DD 1C 24 9B 47 4D 75 E7 EB 0F 8B 86 60 01 00 00 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 0E DD 44 24 18 DC 34 24 DD 5C 24 10 9B EB 0A 33 C0 89 44 24 10 89 44 24 14 8B 86 A0 00 00 00 8B 40 04 50 8D 86 2C 02 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B BE 28 01 00 00 8B AE 2C 01 00 00 2B EF 0F 8C CD 00 00 00 45 8D 04 7F 8B 96 2C 02 00 00 8D 1C C2 3B BE 28 01 00 00 75 09 33 C0 89 03 89 43 04 EB 13 8B 96 2C 02 00 00 8B 4C C2 F8 89 0B 8B 4C C2 FC 89 4B 04 DD 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 68 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 17 8B 86 60 01 00 00 8B 40 54 DD 04 F8 D9 E1 DC 44 24 08 DD 5C 24 08 9B DD 44 24 08 DC 1C 24 9B DF E0 9E 75 10 8B 44 24 18 89 43 10 8B 44 24 1C 89 43 14 EB 0C DD 44 24 08 DC 4C 24 10 DD 5B 10 9B DD 43 10 DC 23 DC 5C 24 18 9B DF E0 9E 76 1A DD 03 DC 44 24 18 DD 5B 10 9B EB 0E 8B 44 24 18 89 43 10 8B 44 24 1C 89 43 14 DD 03 DC 43 10 D8 0D ?? ?? ?? ?? DD 5B 08 9B 47 4D 0F 85 34 FF FF FF 83 C4 20 5D 5F 5E 5B C3 00 00 AE C8 E9 94 12 35 FA 8E F9 3F 00 00 00 00 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_90978_0 {
	meta:
		name = "TPieSeries.CalcExplodedRadius"
		size = 152
		refs = "0018 TSliceValueList.Get 004a TPieSeries.CalcExplodedRadius 0064 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 15 8B 83 8C 01 00 00 89 07 8B 45 08 8B 93 90 01 00 00 89 10 EB 48 8B D6 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 89 45 F4 DB 45 F4 DB 2D ?? ?? ?? ?? DE C9 D8 05 ?? ?? ?? ?? DD 5D F8 9B DB 83 8C 01 00 00 DC 4D F8 E8 ?? ?? ?? ?? 89 07 DB 83 90 01 00 00 DC 4D F8 E8 ?? ?? ?? ?? 8B 55 08 89 02 5F 5E 5B 8B E5 5D C2 04 00 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_90979_0 {
	meta:
		name = "TPieSeries.SliceEndZ"
		size = 92
		refs = "0019 TSliceValueList.Get 0035 TPieSeries.SliceEndZ 003c @ROUND"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B D8 8B AB 00 02 00 00 3B 75 08 7D 30 8B D6 8B C5 E8 ?? ?? ?? ?? 8B 93 5C 01 00 00 8B BB 54 01 00 00 2B D7 F7 EA 89 04 24 DB 04 24 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 03 C7 EB 06 8B 83 5C 01 00 00 5A 5D 5F 5E 5B C3 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_90980_0 {
	meta:
		name = "TPieSeries.SetGradientColor"
		size = 86
		refs = "000e TCustomTeeGradient.SetEndColor 002a ApplyBright 0033 TCustomTeeGradient.SetStartColor 0045 ApplyDark"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 83 F0 01 00 00 85 C0 74 36 85 C0 7E 19 0F B6 93 F0 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 19 0F B6 93 F0 01 00 00 F6 DA 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90981_0 {
	meta:
		name = "TPieSeries.DrawLegendShape"
		size = 151
		refs = "000d TCircledSeries.GetCircleGradient 001b TCustomTeePanel.GetMonochrome 004f TTeeCanvas.GetGradient 006a TCustomTeeGradient.SetVisible 0083 TPieSeries.SetGradientColor 008e TChartSeries.DrawLegendShape"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 80 78 28 00 74 70 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 04 33 F6 EB 0E 8B D7 8B C3 8B 08 FF 91 B0 00 00 00 8B F0 81 FE FF FF FF 1F 74 4A 8B C3 E8 ?? ?? ?? ?? 50 8B 43 40 8B 80 40 03 00 00 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 8B 43 40 8B 80 40 03 00 00 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 43 40 8B 80 40 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_90982_0 {
	meta:
		name = "TPieSeries.DrawMark"
		size = 618
		refs = "001a TPieSeries.BelongsToOtherSlice 0033 TPieSeries.CalcExplodedRadius 003a TPieSeries.CheckAngles 0070 TPieSeries.SliceEndZ 00ab TSeriesMarks.GetCallout 00f3 TCircledSeries.AngleToPos 024f TSeriesMarks.AntiOverlap 025d TChartSeries.DrawMark"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 3B 02 00 00 8D 45 F0 50 8D 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8D 04 40 8B 93 2C 02 00 00 8B 4C C2 08 89 4D E8 8B 4C C2 0C 89 4D EC 8B 43 40 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 74 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 93 5C 01 00 00 2B D0 8B 83 88 00 00 00 89 90 80 00 00 00 EB 16 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 93 88 00 00 00 89 82 80 00 00 00 C6 46 0C 01 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B 78 54 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 03 78 4C 8B C7 FF 75 EC FF 75 E8 8B 55 F4 03 D0 89 55 E4 DB 45 E4 83 C4 F8 DD 1C 24 9B 03 45 F0 89 45 E0 DB 45 E0 83 C4 F8 DD 1C 24 9B 8D 4E 14 8D 56 10 8B C3 E8 ?? ?? ?? ?? 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B 40 4C FF 75 EC FF 75 E8 8B 55 F4 03 D0 89 55 E4 DB 45 E4 83 C4 F8 DD 1C 24 9B 03 45 F0 89 45 E0 DB 45 E0 83 C4 F8 DD 1C 24 9B 8D 4E 08 8D 56 04 8B C3 E8 ?? ?? ?? ?? 8D 46 10 8B 10 3B 93 A0 01 00 00 7E 05 89 56 20 EB 06 2B 56 28 89 56 20 8B 50 04 3B 93 A4 01 00 00 7E 05 89 56 24 EB 06 2B 56 1C 89 56 24 8B 93 FC 01 00 00 80 7A 08 00 74 1D 8B 56 1C D1 FA 79 03 83 D2 00 8B 48 04 3B 8B A4 01 00 00 7E 05 01 50 04 EB 03 29 50 04 8B 93 FC 01 00 00 83 7A 04 00 75 13 C6 46 34 00 33 C0 89 46 2C 33 C0 89 46 30 E9 85 00 00 00 C6 46 34 01 8B 10 3B 93 A0 01 00 00 7E 36 8B 8B FC 01 00 00 2B 51 04 3B 56 04 7D 18 8B 56 04 89 56 2C 8B 93 FC 01 00 00 8B 52 04 01 10 8B 10 89 56 20 EB 4B 8B 10 8B 8B FC 01 00 00 2B 51 04 89 56 2C EB 3B 8B 8B FC 01 00 00 03 51 04 3B 56 04 7E 1F 8B 56 04 89 56 2C 8B 93 FC 01 00 00 FF 72 04 8B 56 04 59 2B D1 89 10 2B 56 28 89 56 20 EB 0E 8B 10 8B 8B FC 01 00 00 03 51 04 89 56 2C 8B 40 04 89 46 30 80 BB CC 01 00 00 00 74 15 56 8B 4D FC 8B 93 28 01 00 00 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 56 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_90983_0 {
	meta:
		name = "GetAngleSlice"
		size = 160
		refs = "0063 GetAngleSlice"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8D 04 40 8B 55 08 8B 52 FC 8B 92 2C 02 00 00 DD 44 C2 08 8B 45 08 8B 40 FC DC 80 B8 01 00 00 DD 5D F8 9B DD 45 F8 8B 45 08 DC 58 F0 9B DF E0 9E 76 0D DD 45 F8 8B 45 08 DC 60 F0 DD 5D F8 9B DD 45 F8 8B 45 08 DC 58 E8 9B DF E0 9E 76 2B DD 45 F8 8B 45 08 DC 60 E8 DD 5D F8 9B DB 2D ?? ?? ?? ?? DC 5D F8 9B DF E0 9E 73 1C 8B 45 08 DD 40 F0 DC 65 F8 DD 5D F8 9B EB 0D 8B 45 08 DD 40 E8 DC 65 F8 DD 5D F8 9B DD 45 F8 59 59 5D C3 00 35 C2 68 21 A2 DA 0F C9 00 40 00 00 }
	condition:
		$1
}

rule function_90984_0 {
	meta:
		name = "TPieSeries.CompareSlice"
		size = 164
		refs = "0017 TPieSeries.CompareSlice 0042 GetAngleSlice"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 8B D9 89 45 FC 8B 45 FC DB 80 C8 01 00 00 DB 2D ?? ?? ?? ?? DE C9 D8 35 ?? ?? ?? ?? DD 5D F0 9B D9 05 ?? ?? ?? ?? DC 4D F0 DD 5D E8 9B 55 8B 45 FC 8B 80 08 02 00 00 8B 04 90 E8 ?? ?? ?? ?? 59 DD 5D E0 9B 55 8B 45 FC 8B 80 08 02 00 00 8B 04 98 E8 ?? ?? ?? ?? 59 DD 5D D8 9B DD 45 E0 DC 5D D8 9B DF E0 9E 73 05 83 C8 FF EB 15 DD 45 E0 DC 5D D8 9B DF E0 9E 76 07 B8 01 00 00 00 EB 02 33 C0 5B 8B E5 5D C3 00 00 00 35 C2 68 21 A2 DA 0F C9 00 40 00 00 00 00 34 43 00 00 80 3E }
	condition:
		$1
}

rule function_90985_0 {
	meta:
		name = "TPieSeries.SwapSlice"
		size = 29
	strings:
		$1 = { 53 8B 98 08 02 00 00 8D 14 93 8B 80 08 02 00 00 8D 04 88 8B 0A 8B 18 89 1A 89 08 5B C3 }
	condition:
		$1
}

rule function_90986_0 {
	meta:
		name = "TPieSeries.GetFrame"
		size = 314
		refs = "0014 _DV_TCircularFrame 0019 TCircularFrame.Create 002a TFramedBorder.SetDefaultCircled 0048 TFramedBorder.SetWidth 0055 TTeeCustomShapeBrushPen.SetVisible 0063 TChartBrush.GetGradient 006d TCustomTeeGradient.SetMidColor 00b5 TCustomTeeGradient.SetStartColor 00cd TCustomTeeGradient.SetEndColor"
	strings:
		$1 = { 53 56 8B D8 83 BB EC 01 00 00 00 0F 85 20 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 EC 01 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 53 40 8B 83 EC 01 00 00 8B 08 FF 51 0C BA 04 00 00 00 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 EC 01 00 00 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 8B 40 24 E8 ?? ?? ?? ?? BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 8B 40 20 E8 ?? ?? ?? ?? BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 8B 40 1C E8 ?? ?? ?? ?? BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 8B 40 24 E8 ?? ?? ?? ?? BA C0 C0 C0 00 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 8B 40 24 E8 ?? ?? ?? ?? BA 40 40 40 00 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 8B 40 20 E8 ?? ?? ?? ?? BA 80 80 80 00 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 8B 40 20 E8 ?? ?? ?? ?? BA 82 82 82 00 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 8B 40 1C E8 ?? ?? ?? ?? BA 40 40 40 00 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 8B 40 1C E8 ?? ?? ?? ?? BA 80 80 80 00 E8 ?? ?? ?? ?? 8B 83 EC 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_90987_0 {
	meta:
		name = "TPieSeries.DrawAllValues"
		size = 1086
		refs = "003e TTeeShadow.SetVisible 006c TFramedBorder.CalcWidth 007d Offset 0096 TCircledSeries.AdjustCircleRect 009e TCircledSeries.CalcRadius 00b2 TPieSeries.CalcExplodeBiggest 00ee TSliceValueList.Get 010d @ROUND 011e TPieSeries.CheckAngles 015a TPieSeries.CalcExplodedOffset 018d InflateRect 02be TIntArray 02c3 @DynArraySetLength 0301 TPieSeries.CompareSlice 030a TPieSeries.SwapSlice 0317 TeeSort 03b5 @DynArrayClear 03bf TChartSeries.DrawAllValues 03d5 TPieOtherSlice.GetLegend 03fa TPieSeries.DrawAllValues 0413 TCustomChartLegend.DrawLegend 0431 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 45 FC 8B 45 FC 8B 80 EC 01 00 00 85 C0 0F 84 85 00 00 00 8B 55 FC 8B 52 40 80 BA 04 03 00 00 00 75 76 80 78 10 00 74 70 8B 45 FC 8B 80 88 01 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8D 90 A8 01 00 00 8B 45 FC 8B 80 EC 01 00 00 8B 08 FF 51 14 8B 45 FC 8D 90 A8 01 00 00 8B 45 FC 8B 80 EC 01 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 05 A8 01 00 00 8B D3 E8 ?? ?? ?? ?? 8B D3 F7 DA 8B 45 FC 05 B0 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 E8 01 00 00 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? C7 45 F4 FF FF FF FF 33 DB 8B 55 FC 8B 92 2C 01 00 00 8B CA 8B 45 FC 8B 80 28 01 00 00 2B C8 41 89 4D F8 8B F8 8B F2 2B F7 7C 39 46 8B 45 FC 8B 80 E4 01 00 00 8B D7 E8 ?? ?? ?? ?? 3B D8 7D 20 8B 45 FC 8B 80 E4 01 00 00 8B D7 E8 ?? ?? ?? ?? 89 45 E8 DB 45 E8 E8 ?? ?? ?? ?? 8B D8 89 7D F4 47 4E 75 C8 8B 45 FC E8 ?? ?? ?? ?? 83 7D F4 FF 75 13 8B 45 FC 8B 80 00 02 00 00 83 78 08 00 7F 04 33 C0 EB 02 B0 01 8B 55 FC 88 82 30 02 00 00 83 7D F4 FF 74 55 8D 45 EC 50 8D 4D F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 99 33 C2 2B C2 8B C8 F7 D9 D1 F9 79 03 83 D1 00 8B 45 F0 99 33 C2 2B C2 8B D0 F7 DA D1 FA 79 03 83 D2 00 8B 45 FC 05 A8 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 74 0E 8B 45 FC 8B 98 5C 01 00 00 83 C3 0A EB 0C 8B 45 FC 8B 98 54 01 00 00 83 EB 0A 8B 45 FC 8B B0 88 01 00 00 80 7E 20 00 74 33 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 8B 45 FC 8B 80 DC 01 00 00 50 8B 45 FC 8D 88 A8 01 00 00 8B 45 FC 8B 40 40 8B 90 40 03 00 00 8B C6 8B 30 FF 56 10 8B 45 FC 8B B0 80 01 00 00 80 7E 20 00 74 33 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 8B 45 FC 8B 80 DC 01 00 00 50 8B 45 FC 8D 88 A8 01 00 00 8B 45 FC 8B 40 40 8B 90 40 03 00 00 8B C6 8B 18 FF 53 10 8B 45 FC 8B 40 40 80 B8 04 03 00 00 00 0F 84 54 01 00 00 8B 45 FC 80 B8 30 02 00 00 00 75 1F 8B 45 FC 83 B8 DC 01 00 00 00 7F 13 8B 45 FC 81 B8 C8 01 00 00 68 01 00 00 0F 84 29 01 00 00 8B 45 FC 8B 40 40 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 0F 85 10 01 00 00 8B 45 F8 50 8B 45 FC 05 08 02 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B B8 28 01 00 00 8B 45 FC 8B B0 2C 01 00 00 2B F7 7C 1C 46 8B 45 FC 8B D7 2B 90 28 01 00 00 8B 45 FC 8B 80 08 02 00 00 89 3C 90 47 4E 75 E5 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8B 75 F8 4E 8B D6 33 C0 E8 ?? ?? ?? ?? 33 DB 85 F6 0F 8C 81 00 00 00 46 33 FF 8B 45 FC 80 B8 30 02 00 00 00 75 49 8B 45 FC 83 B8 DC 01 00 00 00 7F 0F 8B 45 FC 81 B8 C8 01 00 00 68 01 00 00 74 2E 8B 45 FC 8B 80 08 02 00 00 8B 04 B8 8B 55 FC 3B 82 28 01 00 00 74 0B 8B 55 FC 3B 82 2C 01 00 00 75 0C 8B 45 FC C6 80 30 02 00 00 01 B3 01 8B 45 FC 8B 80 08 02 00 00 8B 14 B8 8B 45 FC 8B 08 FF 91 A4 00 00 00 84 DB 74 0A 8B 45 FC C6 80 30 02 00 00 00 47 4E 75 82 8B 45 FC 05 08 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 F8 01 00 00 83 7B 08 00 74 65 8B C3 E8 ?? ?? ?? ?? 80 78 10 00 74 58 8B 45 FC 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 89 82 44 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 44 01 00 00 C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_90988_0 {
	meta:
		name = "TPieSeries.CheckAngles"
		size = 27
		refs = "000a @DynArrayLength 0015 TPieSeries.CalcAngles"
	strings:
		$1 = { 53 8B D8 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 85 C0 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90989_0 {
	meta:
		name = "TPieSeries.DrawPie"
		size = 1000
		refs = "0019 TPieSeries.CalcExplodedOffset 0020 TPieSeries.CheckAngles 0051 TCircledSeries.GetCircleGradient 0071 TVisualsList.GetVisual 0097 TPieSeries.SliceEndZ 0185 TPieSeries.GetPieValues 0191 TPieSeries.DrawPie 02bc TCircledSeries.AngleToPos"
	strings:
		$1 = { 53 56 57 55 83 C4 C0 8B DA 8B F0 8D 44 24 04 50 8D 4C 24 04 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 04 5B 8B 96 2C 02 00 00 8D 04 C2 89 44 24 18 8B 46 40 8B 90 40 03 00 00 89 54 24 1C 80 B8 04 03 00 00 00 0F 84 C9 00 00 00 8B C6 E8 ?? ?? ?? ?? 80 78 28 00 74 0B 8B C6 E8 ?? ?? ?? ?? 8B F8 EB 02 33 FF 8B D3 8B 86 9C 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 4C 03 00 00 8B 86 8C 01 00 00 50 8B 86 90 01 00 00 50 8B 86 54 01 00 00 50 8B D3 8B C6 E8 ?? ?? ?? ?? 50 8B 44 24 28 DD 00 DC 86 B8 01 00 00 83 C4 F8 DD 1C 24 9B 8B 44 24 30 DD 40 10 DC 86 B8 01 00 00 83 C4 F8 DD 1C 24 9B 0F B6 86 D4 01 00 00 50 0F B6 86 30 02 00 00 50 8B 86 DC 01 00 00 50 57 8B 86 D0 01 00 00 50 0F B6 86 E0 01 00 00 50 0F B6 86 04 02 00 00 50 8B 8E A4 01 00 00 2B 4C 24 40 8B 96 A0 01 00 00 03 54 24 3C 8B 44 24 58 8B 18 FF 93 7C 01 00 00 E9 B2 02 00 00 80 BE 04 02 00 00 00 76 53 8B 86 A0 01 00 00 03 04 24 8B C8 8B 96 8C 01 00 00 2B CA 89 4C 24 20 8B 8E A4 01 00 00 2B 4C 24 04 8B E9 8B BE 90 01 00 00 2B EF 89 6C 24 24 03 C2 89 44 24 28 03 CF 89 4C 24 2C 8D 54 24 20 0F B6 8E 04 02 00 00 8B 44 24 1C 8B 38 FF 57 58 8B F8 EB 02 33 FF 83 BE DC 01 00 00 00 0F 8E 81 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 40 54 DD 04 D8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 84 16 02 00 00 8B 86 8C 01 00 00 50 8B 86 90 01 00 00 50 8B 44 24 20 DD 00 DC 86 B8 01 00 00 83 C4 F8 DD 1C 24 9B 8B 44 24 28 DD 40 10 DC 86 B8 01 00 00 83 C4 F8 DD 1C 24 9B DB 86 DC 01 00 00 83 C4 F8 DD 1C 24 9B 8B 8E A4 01 00 00 2B 4C 24 24 8B 96 A0 01 00 00 03 54 24 20 8B 44 24 3C 8B 18 FF 53 68 E9 B2 01 00 00 8B 44 24 1C 8B 10 FF 52 1C 84 C0 74 7E 8B 86 A0 01 00 00 8B C8 8B 96 8C 01 00 00 2B CA 03 0C 24 89 4C 24 30 8B 8E A4 01 00 00 8B E9 8B 9E 90 01 00 00 2B EB 2B 6C 24 04 89 6C 24 34 03 C2 03 04 24 89 44 24 38 03 CB 2B 4C 24 04 89 4C 24 3C DB 2D ?? ?? ?? ?? 8B 44 24 18 DC 08 83 C4 F8 DD 1C 24 9B DB 2D ?? ?? ?? ?? 8B 44 24 20 DC 48 10 83 C4 F8 DD 1C 24 9B 8D 54 24 40 8B 44 24 2C 8B 08 FF 91 84 00 00 00 E9 27 01 00 00 8B 44 24 18 FF 70 04 FF 30 DB 86 8C 01 00 00 83 C4 F8 DD 1C 24 9B DB 86 90 01 00 00 83 C4 F8 DD 1C 24 9B 8D 4C 24 24 8D 54 24 20 8B C6 E8 ?? ?? ?? ?? 8B 44 24 18 FF 70 14 FF 70 10 DB 86 8C 01 00 00 83 C4 F8 DD 1C 24 9B DB 86 90 01 00 00 83 C4 F8 DD 1C 24 9B 8D 4C 24 2C 8D 54 24 28 8B C6 E8 ?? ?? ?? ?? 8B 44 24 08 3B 44 24 10 75 0A 8B 44 24 0C 3B 44 24 14 74 04 B0 01 EB 0D 8B 86 A0 00 00 00 83 78 04 01 0F 94 C0 84 C0 74 04 B0 01 EB 2A 8B 86 A0 00 00 00 83 78 04 01 7E 1C 8B 44 24 18 DD 40 10 8B 44 24 18 DC 20 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 97 C0 EB 02 33 C0 84 C0 74 67 8B 86 A0 01 00 00 8B D8 8B 96 8C 01 00 00 03 DA 03 1C 24 53 8B 8E A4 01 00 00 8B D9 8B AE 90 01 00 00 03 DD 2B 5C 24 08 53 8B 5C 24 10 03 5C 24 08 53 8B 5C 24 18 2B 5C 24 10 53 8B 5C 24 20 03 5C 24 10 53 8B 5C 24 28 2B 5C 24 18 53 2B C2 03 44 24 18 8B D0 2B CD 2B 4C 24 1C 8B 44 24 34 8B 18 FF 93 88 00 00 00 80 BE 04 02 00 00 00 76 0B 8B D7 8B 44 24 1C 8B 08 FF 51 5C 83 C4 40 5D 5F 5E 5B C3 00 00 00 00 00 00 00 C3 BD 0F 1E D3 E0 2E E5 04 40 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_90990_0 {
	meta:
		name = "TPieSeries.CalcExplodedOffset"
		size = 228
		refs = "0042 TSliceValueList.Get 0055 TPieSeries.CalcExplodedOffset 0091 SinCos 00af @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 08 33 C0 89 06 33 C0 89 07 80 BB 30 02 00 00 00 0F 84 A0 00 00 00 8B 83 E4 01 00 00 83 78 08 00 0F 8E 90 00 00 00 8B 55 FC 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 89 45 D4 DB 45 D4 DD 5D F0 9B DD 45 F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 69 8B 45 FC 8D 04 40 8B 93 2C 02 00 00 8D 04 C2 8B 50 08 89 55 D8 8B 50 0C 89 55 DC DD 45 D8 DC 83 B8 01 00 00 83 C4 F8 DD 1C 24 9B 8D 55 E0 8D 45 E8 E8 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DC 4D F0 DD 5D F0 9B DB 83 8C 01 00 00 DC 4D F0 DC 4D E0 E8 ?? ?? ?? ?? 89 06 DB 83 90 01 00 00 DC 4D F0 DC 4D E8 E8 ?? ?? ?? ?? 89 07 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_90991_0 {
	meta:
		name = "TPieSeries.CalcExplodeBiggest"
		size = 146
		refs = "000e TCustomAxisPanel.GetPointsPerPage 0065 TChartValueList.GetMaxValue 0073 TChartValueList.Locate 008b TSliceValueList.Put"
	strings:
		$1 = { 53 56 8B D8 8B 73 40 85 F6 74 51 8B C6 E8 ?? ?? ?? ?? 85 C0 7E 46 8B 83 28 01 00 00 83 F8 FF 74 36 8B D0 8B C8 41 8B B3 2C 01 00 00 2B F1 7C 49 46 8B 83 A4 00 00 00 8B 40 54 DD 04 C8 8B 83 A4 00 00 00 8B 40 54 DC 1C D0 9B DF E0 9E 76 02 8B D1 41 4E 75 DC EB 22 83 CA FF EB 1D 8B B3 A4 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? 8B D0 83 FA FF 74 11 8B 8B E8 01 00 00 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90992_0 {
	meta:
		name = "TPieSeries.SetAngleSize"
		size = 14
		refs = "0009 TCustomChartElement.SetIntegerProperty"
	strings:
		$1 = { 8D 88 C8 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90993_0 {
	meta:
		name = "TPieSeries.SetAutoMarkPosition"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 05 CC 01 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90994_0 {
	meta:
		name = "TPieSeries.SetBevelPercent"
		size = 14
		refs = "0009 TCustomChartElement.SetIntegerProperty"
	strings:
		$1 = { 8D 88 D0 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90995_0 {
	meta:
		name = "TPieSeries.SetDonutPercent"
		size = 14
		refs = "0009 TCustomChartElement.SetIntegerProperty"
	strings:
		$1 = { 8D 88 DC 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90996_0 {
	meta:
		name = "TPieSeries.SetEdgeStyle"
		size = 20
		refs = "000f TCustomChartElement.Repaint"
	strings:
		$1 = { 3A 90 E0 01 00 00 74 0B 88 90 E0 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_90997_0 {
	meta:
		name = "TPieSeries.SetExplodeBiggest"
		size = 28
		refs = "000f TCustomChartElement.SetIntegerProperty 0016 TPieSeries.CalcExplodeBiggest"
	strings:
		$1 = { 53 8B D8 8D 83 E8 01 00 00 8B CA 8B D3 92 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_90998_0 {
	meta:
		name = "TPieSeries.SetFrame"
		size = 49
		refs = "000d TPieSeries.GetFrame 002a TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 8D 83 EC 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_90999_0 {
	meta:
		name = "TPieSeries.SetGradientBright"
		size = 47
		refs = "000f TCustomChartElement.SetIntegerProperty 001f TCircledSeries.GetCircleGradient 0029 TCustomTeeGradient.SetStartColor"
	strings:
		$1 = { 53 8B D8 8D 83 F0 01 00 00 8B CA 8B D3 92 E8 ?? ?? ?? ?? 83 BB F0 01 00 00 00 75 11 8B C3 E8 ?? ?? ?? ?? BA FF FF FF 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91000_0 {
	meta:
		name = "TPieSeries.SetMultiPie"
		size = 20
		refs = "000f TCustomChartElement.Repaint"
	strings:
		$1 = { 3A 90 F4 01 00 00 74 0B 88 90 F4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91001_0 {
	meta:
		name = "TPieSeries.SetOtherSlice"
		size = 12
	strings:
		$1 = { 8B 80 F8 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_91002_0 {
	meta:
		name = "TPieSeries.DrawValue"
		size = 230
		refs = "0026 TPieSeries.BelongsToOtherSlice 0037 TPieSeries.SliceBrushStyle 0041 TBrush.SetStyle 0049 TCustomTeePanel.GetMonochrome 0083 TCircledSeries.CalcCircleBackColor 0091 TCustomTeePanel.SetBrushCanvas 0098 TCircledSeries.GetCircleGradient 00b0 TPieSeries.SetGradientColor 00be TTeeCanvas.GetGradient 00d2 TPieSeries.PreparePiePen"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 83 BB 98 01 00 00 04 0F 8E CE 00 00 00 83 BB 9C 01 00 00 04 0F 8E C1 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 B0 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 3C E8 ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 04 33 FF EB 0E 8B D6 8B C3 8B 08 FF 91 B0 00 00 00 8B F8 81 FF FF FF FF 1F 75 15 8B 43 40 8B 80 40 03 00 00 8B 40 04 B2 01 E8 ?? ?? ?? ?? EB 4D 8B C3 E8 ?? ?? ?? ?? 50 8B 4B 3C 8B D7 8B 43 40 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 78 28 00 74 2B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 43 40 8B 80 40 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 84 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91003_0 {
	meta:
		name = "TPieSeries.SetUsePatterns"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 05 05 02 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91004_0 {
	meta:
		name = "TPieSeries.GetEditorClass"
		size = 68
		refs = "0006 TPieSeries.GetEditorClass 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 54 00 50 00 69 00 65 00 53 00 65 00 72 00 69 00 65 00 73 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_91007_0 {
	meta:
		name = "TPieSeries.HasFrame"
		size = 11
	strings:
		$1 = { 83 B8 EC 01 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_91008_0 {
	meta:
		name = "TPieSeries.SetDark3D"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 05 D4 01 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91009_0 {
	meta:
		name = "TPieSeries.SetPieMarks"
		size = 12
	strings:
		$1 = { 8B 80 FC 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_91011_0 {
	meta:
		name = "TPieSeries.MaxXValue"
		size = 25
	strings:
		$1 = { 83 C4 F8 8B 40 74 8B 50 18 89 14 24 8B 50 1C 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_91012_0 {
	meta:
		name = "TPieSeries.MinXValue"
		size = 25
	strings:
		$1 = { 83 C4 F8 8B 40 74 8B 50 20 89 14 24 8B 50 24 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_91013_0 {
	meta:
		name = "TPieSeries.MaxYValue"
		size = 25
	strings:
		$1 = { 83 C4 F8 8B 40 78 8B 50 18 89 14 24 8B 50 1C 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_91014_0 {
	meta:
		name = "TPieSeries.MinYValue"
		size = 25
	strings:
		$1 = { 83 C4 F8 8B 40 78 8B 50 20 89 14 24 8B 50 24 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_91015_0 {
	meta:
		name = "TPieSeries.DisableRotation"
		size = 42
		refs = "000f TView3DOptions.SetOrthogonal 0018 TView3DOptions.SetRotationInteger 0024 TView3DOptions.SetElevationInteger"
	strings:
		$1 = { 53 8B 40 40 8B 98 08 03 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA 31 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91016_0 {
	meta:
		name = "TPieSeries.PrepareForGallery"
		size = 116
		refs = "000c TChartSeries.PrepareForGallery 001c @CallDynaInst 0029 TCustomAxisPanel.Set3DPercent 0034 TSeriesMarks.GetCallout 003b TMarksCallout.SetLength 004b TSeriesMarks.SetDrawEvery 0052 TCircledSeries.GetCircleGradient 0059 TCustomTeeGradient.SetVisible 0060 TPieSeries.DisableRotation"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B D3 8B C7 E8 ?? ?? ?? ?? BA 08 00 00 00 8B C7 66 BE E9 FF E8 ?? ?? ?? ?? BA 4B 00 00 00 8B 47 40 E8 ?? ?? ?? ?? 8B 87 88 00 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 87 88 00 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D3 8B C7 8B 08 FF 91 D4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91017_0 {
	meta:
		name = "TPieSeries.Assign"
		size = 228
		refs = "000b _DV_TPieSeries 0010 @IsClass 006d TList.Assign 007a TPieSeries.SetFrame 00b6 TPieSeries.SetOtherSlice 00d0 TCircledSeries.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 AF 00 00 00 8B FE 8B 87 C8 01 00 00 89 83 C8 01 00 00 0F B6 87 CC 01 00 00 88 83 CC 01 00 00 0F B6 87 D4 01 00 00 88 83 D4 01 00 00 8B 87 D8 01 00 00 89 83 D8 01 00 00 8B 87 E8 01 00 00 89 83 E8 01 00 00 6A 00 8B 97 E4 01 00 00 33 C9 8B 83 E4 01 00 00 E8 ?? ?? ?? ?? 8B 97 EC 01 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 87 F4 01 00 00 88 83 F4 01 00 00 6A 00 8B 97 00 02 00 00 33 C9 8B 83 00 02 00 00 E8 ?? ?? ?? ?? 0F B6 87 05 02 00 00 88 83 05 02 00 00 8B 97 F8 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 FC 01 00 00 8B 83 FC 01 00 00 8B 08 FF 51 08 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 91 D4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91019_0 {
	meta:
		name = "TPieSeries.RemoveOtherSlice"
		size = 80
		refs = "0017 TPieSeries.RemoveOtherSlice"
	strings:
		$1 = { 53 56 8B F0 8B 86 A0 00 00 00 8B 50 04 4A 85 D2 7C 2E 42 33 DB DB 2D ?? ?? ?? ?? 8B 86 A0 00 00 00 8B 40 54 DC 1C D8 9B DF E0 9E 75 0F 8B D3 8B C6 8B 08 FF 91 10 01 00 00 5E 5B C3 43 4A 75 D5 5E 5B C3 00 00 00 00 00 FE FF FF FF 1D 40 00 00 }
	condition:
		$1
}

rule function_91021_0 {
	meta:
		name = "TPieSeries.CheckOrder"
		size = 16
		refs = "000b TCustomChartElement.Repaint"
	strings:
		$1 = { 8B 90 A0 00 00 00 C6 42 24 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91022_0 {
	meta:
		name = "TPieSeries.Clear"
		size = 29
		refs = "0006 TChartSeries.Clear 0012 TPieAngles 0017 @DynArrayClear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 83 2C 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91023_0 {
	meta:
		name = "OtherMarkCustom"
		size = 148
		refs = "0023 OtherMarkCustom 0051 TSeriesMarksPositions.Get 0064 _Dn_TSeriesMarkPosition 0069 TObject.Create 0074 TSeriesMarkPosition.Assign"
	strings:
		$1 = { 55 8B EC 53 56 57 33 FF 8B 45 08 8B 40 FC 8B 80 A0 00 00 00 8B 40 04 8B D0 4A 85 D2 7C 60 42 33 DB DB 2D ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 A0 00 00 00 8B 40 54 DC 1C D8 9B DF E0 9E 75 3B 8B 45 08 8B 40 FC 8B 80 88 00 00 00 8B 40 74 8B D3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 23 80 7E 18 00 74 1D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? EB 04 43 4A 75 A3 8B C7 5F 5E 5B 5D C3 00 00 00 00 00 00 00 FE FF FF FF 1D 40 00 00 }
	condition:
		$1
}

rule function_91024_0 {
	meta:
		name = "TPieSeries.DoBeforeDrawChart"
		size = 512
		refs = "0015 TPieSeries.DoBeforeDrawChart 0023 TCustomChartSeries.DoBeforeDrawChart 0029 OtherMarkCustom 0035 TPieSeries.GetPieValues 0040 TChartValueList.Sort 0048 TPieSeries.RemoveOtherSlice 0056 TPieAngles 005b @DynArrayClear 0069 TChartValueList.FillSequence 008a TChartValueList.GetTotalABS 0171 TPieOtherSlice.GetText 01c0 TSeriesMarksPositions.Put 01cd TObject.Free 01e2 @UStrClr 01e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 D2 89 55 DC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 89 45 E0 8B 45 FC E8 ?? ?? ?? ?? 80 78 24 00 74 05 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 2C 02 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F8 01 00 00 80 78 0C 00 0F 84 44 01 00 00 8B 45 FC 8B 80 60 01 00 00 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 86 26 01 00 00 C6 45 E7 00 33 C0 89 45 E8 89 45 EC 8B 45 FC 8B 80 A0 00 00 00 8B 70 04 4E 85 F6 0F 8C 8F 00 00 00 46 33 FF 8B 45 FC 8B 98 A4 00 00 00 8B 43 54 DD 04 F8 D9 E1 DD 5D F0 9B 8B 45 FC 8B 80 F8 01 00 00 80 78 0C 01 75 16 8B C3 E8 ?? ?? ?? ?? DD 45 F0 D8 0D ?? ?? ?? ?? DE F1 DD 5D F0 9B DD 45 F0 8B 45 FC 8B 80 F8 01 00 00 DC 58 18 9B DF E0 9E 73 35 8B 45 FC 8B 80 A4 00 00 00 8B 40 54 DD 04 F8 D9 E1 DC 45 E8 DD 5D E8 9B 8B 45 FC 8B 80 A0 00 00 00 8B 40 54 33 D2 89 14 F8 C7 44 F8 04 00 00 F0 BF C6 45 E7 01 47 4E 0F 85 74 FF FF FF 80 7D E7 00 74 70 68 FF FF DF 41 68 00 00 C0 FF FF 75 EC FF 75 E8 8D 55 DC 8B 45 FC 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 8B 80 F8 01 00 00 8B 48 04 8B 45 FC 8B 18 FF 93 00 01 00 00 8B F8 8B 45 FC 8B 98 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? DC 65 E8 DD 5B 40 9B 83 7D E0 00 74 16 8B 45 FC 8B 80 88 00 00 00 8B 40 74 8B 4D E0 8B D7 E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 55 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_91025_0 {
	meta:
		name = "TPieSeries.DoAfterDrawValues"
		size = 29
		refs = "0016 TChartSeries.DoAfterDrawValues"
	strings:
		$1 = { 56 57 8B 50 40 8D BA 44 03 00 00 8D B0 0C 02 00 00 A5 A5 A5 A5 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_91026_0 {
	meta:
		name = "PieIndex"
		size = 122
		refs = "0062 TCustomChartSeries.SameClass"
	strings:
		$1 = { 55 8B EC 51 53 56 57 33 C0 89 45 FC 8B 45 08 8B 40 08 8B 40 FC 8B 40 40 8B 80 B4 03 00 00 8B 40 08 8B F0 4E 85 F6 7C 49 46 33 FF 8B 45 08 8B 40 08 8B 40 FC 8B 40 40 8B 80 B4 03 00 00 8B 40 04 8B 04 B8 8B D8 8B 45 08 8B 40 08 3B 58 FC 74 21 80 7B 38 00 74 17 8B 45 08 8B 40 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 84 C0 74 03 FF 45 FC 47 4E 75 BA 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_91027_0 {
	meta:
		name = "GuessRectangle"
		size = 252
		refs = "0010 TPieSeries.PieCount 0037 PieIndex 005e Sqrt 0063 @ROUND 0097 GuessRectangle 00d5 TCanvas3D.CalcRect3D"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 83 FB 01 0F 8E D0 00 00 00 8B 45 08 8B 40 FC 8B 40 40 8D B0 44 03 00 00 8D 7D E8 A5 A5 A5 A5 55 E8 ?? ?? ?? ?? 59 8B F8 8B 45 F0 2B 45 E8 89 45 FC 8B 45 F4 2B 45 EC 89 45 F8 89 5D E4 DB 45 E4 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C7 99 F7 FE 52 8B 45 FC 99 F7 FE 8B C8 58 F7 E9 01 45 E8 03 4D E8 89 4D F0 89 5D E4 DB 45 E4 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B C7 99 F7 FE 50 8B 45 F8 99 F7 F9 8B D8 58 F7 EB 01 45 EC 03 5D EC 89 5D F4 8D 45 D4 50 8D 55 E8 8B 45 08 8B 40 FC 8B 40 40 8B 80 40 03 00 00 33 C9 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 40 8D 75 D4 8D B8 44 03 00 00 A5 A5 A5 A5 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_91028_0 {
	meta:
		name = "TPieSeries.DoBeforeDrawValues"
		size = 66
		refs = "0030 GuessRectangle 0039 TCircledSeries.DoBeforeDrawValues"
	strings:
		$1 = { 55 8B EC 51 56 57 89 45 FC 8B 45 FC 8B 40 40 8B 55 FC 8D B0 44 03 00 00 8D BA 0C 02 00 00 A5 A5 A5 A5 8B 45 FC 80 B8 F4 01 00 00 00 75 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 59 5D C3 }
	condition:
		$1
}

rule function_91029_0 {
	meta:
		name = "ExchangeSliceList"
		size = 61
		refs = "0013 TList.Add 001e TChartSeries.Count 0036 TList.Exchange"
	strings:
		$1 = { 55 8B EC 53 8B D8 83 7B 08 00 7E 2E EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 3B 43 08 7F E7 8B 45 08 8B 48 F4 8B 45 08 8B 50 F8 8B C3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_91030_0 {
	meta:
		name = "TPieSeries.SwapValueIndex"
		size = 65
		refs = "0019 TChartSeries.SwapValueIndex 0028 ExchangeSliceList"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D F4 89 55 F8 89 45 FC 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 55 8B 45 FC 8B 80 E4 01 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 00 02 00 00 E8 ?? ?? ?? ?? 59 8B E5 5D C3 }
	condition:
		$1
}

rule function_91031_0 {
	meta:
		name = "TPieSeries.Delete"
		size = 54
		refs = "000b TChartSeries.Delete 001d TList.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 E4 01 00 00 3B 70 08 7D 07 8B D6 E8 ?? ?? ?? ?? 8B 83 00 02 00 00 3B 70 08 7D 07 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91032_0 {
	meta:
		name = "TPieSeries.SetSubGallery"
		size = 288
		refs = "0011 TPieSeries.SetSubGallery 003c TPieSeries.SetUsePatterns 0043 TCircledSeries.GetCircleGradient 004a TCustomTeeGradient.SetVisible 005b TPieSeries.SetExplodeBiggest 0072 TTeeShadow.SetHorizSize 007e TTeeShadow.SetVertSize 008f TTeeCustomShapeBrushPen.SetVisible 00dd TPieSeries.SetAngleSize 00e7 TChartPen.Hide 00f5 TPieSeries.SetDarkPen"
	strings:
		$1 = { 53 56 57 8B F2 83 F9 07 0F 87 EB 00 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 01 8B DE 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? E9 A6 00 00 00 BA 1E 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 95 00 00 00 8B 9E 88 01 00 00 BA 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 75 8B FE 8B 87 88 00 00 00 B2 01 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 08 01 00 00 68 00 00 3E 40 6A 00 B9 00 00 00 20 BA ?? ?? ?? ?? 8B C7 8B 18 FF 93 F4 00 00 00 68 00 80 51 40 6A 00 B9 00 00 00 20 BA ?? ?? ?? ?? 8B C7 8B 18 FF 93 F4 00 00 00 EB 24 BA B4 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 16 8B 46 44 E8 ?? ?? ?? ?? EB 0C BA 20 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 41 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 42 00 00 00 }
	condition:
		$1
}

rule function_91033_0 {
	meta:
		name = "TPieSeries.SetTransparency"
		size = 20
		refs = "000f TCustomChartElement.Repaint"
	strings:
		$1 = { 3A 90 04 02 00 00 74 0B 88 90 04 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91034_0 {
	meta:
		name = "TPieSeries.CreateSubGallery"
		size = 116
		refs = "000a TChartSeries.CreateSubGallery 0010 TeeMsg_Patterns 001e TeeMsg_Exploded 002c TeeMsg_Shadow 003a TeeMsg_Marks 0048 TeeMsg_SemiPie 0056 TeeMsg_NoBorder 0064 TeeMsg_DarkPen"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 5D C2 08 00 }
	condition:
		$1
}

rule function_91035_0 {
	meta:
		name = "TPieSeries.SetParentChart"
		size = 73
		refs = "000c TCircledSeries.SetParentChart 0029 TPieOtherSlice.GetLegend"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? F6 43 1C 08 75 2F 8B BB F8 01 00 00 85 FF 74 14 83 7F 08 00 74 0E 8B C7 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 0C 8B 83 EC 01 00 00 85 C0 74 07 8B D6 8B 08 FF 51 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91036_0 {
	meta:
		name = "TPieSeries.SetDarkPen"
		size = 14
		refs = "0009 TCustomChartElement.SetIntegerProperty"
	strings:
		$1 = { 8D 88 D8 01 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91037_0 {
	meta:
		name = "TPieSeries.CalcFirstLastVisibleIndex"
		size = 64
		refs = "001e TChartSeries.CalcFirstLastPage 003a TChartSeries.CalcFirstLastVisibleIndex"
	strings:
		$1 = { 53 8B D8 8B 83 F8 01 00 00 80 78 0C 00 75 15 8D 8B 2C 01 00 00 8D 93 28 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 0A C7 83 28 01 00 00 FF FF FF FF 83 BB 28 01 00 00 FF 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91038_0 {
	meta:
		name = "TPieSeries.CalcSelectionPos"
		size = 142
		refs = "0021 @DynArrayLength 003e TPieSeries.CalcExplodedRadius 0070 TCircledSeries.AngleToPos 0082 TChartSeries.CalcSelectionPos"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D FC 8B F2 8B D8 8B 83 A0 00 00 00 3B 70 04 7D 12 8B 83 2C 02 00 00 E8 ?? ?? ?? ?? 3B F0 0F 9C C0 EB 02 33 C0 84 C0 74 44 8D 45 F4 50 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 04 76 8B 93 2C 02 00 00 FF 74 C2 0C FF 74 C2 08 DB 45 F8 83 C4 F8 DD 1C 24 9B DB 45 F4 83 C4 F8 DD 1C 24 9B 8B 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 10 8B 45 08 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_91039_0 {
	meta:
		name = "TPieSeries.CalcZOrder"
		size = 11
	strings:
		$1 = { C7 80 40 01 00 00 FF FF FF FF C3 }
	condition:
		$1
}

rule function_91041_0 {
	meta:
		name = "TFastLineSeries.Create"
		size = 102
		refs = "000a @ClassCreate 0017 TChartSeries.Create 0053 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 51 01 00 00 00 C6 86 50 01 00 00 01 C6 86 4C 01 00 00 01 C6 86 78 01 00 00 01 C6 86 7A 01 00 00 01 C6 86 7C 01 00 00 01 C6 86 70 01 00 00 02 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_91042_0 {
	meta:
		name = "TFastLineSeries.CalcPosition"
		size = 94
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 83 A0 00 00 00 8B 40 54 FF 74 F0 04 FF 34 F0 8B 7B 74 8B 87 9C 01 00 00 FF 97 98 01 00 00 8B 55 FC 89 02 8B 83 A4 00 00 00 8B 40 54 FF 74 F0 04 FF 34 F0 8B 5B 78 8B 83 A4 01 00 00 FF 93 A0 01 00 00 8B 55 08 89 02 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_91043_0 {
	meta:
		name = "TFastLineSeries.NotifyNewValue"
		size = 340
		refs = "001f TChartSeries.NotifyNewValue 00cb SelectObject 00d2 TCustomLineSeries.GetLinePen 00df TeeSetDCPenColor"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 8B F9 89 14 24 8B F0 80 BE 78 01 00 00 00 74 11 8B CF 8B 14 24 8B C6 E8 ?? ?? ?? ?? E9 24 01 00 00 85 FF 75 04 33 C0 EB 03 8B C7 48 8B DE 89 44 24 08 8D 86 88 01 00 00 89 44 24 0C 8D 86 8C 01 00 00 89 44 24 10 8B 83 A0 00 00 00 8B 40 54 8B 54 24 08 FF 74 D0 04 FF 34 D0 8B 6B 74 8B 85 9C 01 00 00 FF 95 98 01 00 00 8B 54 24 0C 89 02 8B 83 A4 00 00 00 8B 40 54 8B 54 24 08 FF 74 D0 04 FF 34 D0 8B 5B 78 8B 83 A4 01 00 00 FF 93 A0 01 00 00 8B 54 24 10 89 02 8B 46 40 89 44 24 04 8B 44 24 04 8B A8 40 03 00 00 80 BE 7B 01 00 00 00 74 30 8B C5 8B 10 FF 52 0C 8B D8 8B 86 80 01 00 00 50 53 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 40 10 8B 40 18 50 53 A1 ?? ?? ?? ?? 8B 00 FF D0 EB 15 8B C6 E8 ?? ?? ?? ?? 8B 50 10 8B 4A 18 8B D5 92 8B 18 FF 53 54 8B 44 24 04 80 B8 04 03 00 00 00 74 1F 8B 86 58 01 00 00 50 8B 8E 8C 01 00 00 8B 96 88 01 00 00 8B C5 8B 18 FF 93 74 01 00 00 EB 16 8B 8E 8C 01 00 00 8B 96 88 01 00 00 8B C5 8B 18 FF 93 80 00 00 00 8B D7 8B C6 8B 08 FF 91 A4 00 00 00 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91044_0 {
	meta:
		name = "TFastLineSeries.GetEditorClass"
		size = 76
		refs = "0006 TFastLineSeries.GetEditorClass 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 54 00 46 00 61 00 73 00 74 00 4C 00 69 00 6E 00 65 00 53 00 65 00 72 00 69 00 65 00 73 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_91045_0 {
	meta:
		name = "TFastLineSeries.PrepareCanvas"
		size = 52
		refs = "000c TCustomLineSeries.GetLinePen 0024 TBrush.SetStyle"
	strings:
		$1 = { 53 56 8B 50 40 8B B2 40 03 00 00 E8 ?? ?? ?? ?? 8B 50 10 8B 4A 18 8B D6 92 8B 18 FF 53 54 B2 01 8B 46 04 E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 51 30 5E 5B C3 }
	condition:
		$1
}

rule function_91046_0 {
	meta:
		name = "TFastLineSeries.DoMove"
		size = 68
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B 50 40 8B B2 40 03 00 00 80 BA 04 03 00 00 00 74 17 8B 80 58 01 00 00 50 8B CD 8B D7 8B C6 8B 18 FF 93 74 01 00 00 EB 0E 8B CD 8B D7 8B C6 8B 18 FF 93 80 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91047_0 {
	meta:
		name = "TFastLineSeries.DrawAllValues"
		size = 423
		refs = "000c TFastLineSeries.PrepareCanvas 0103 TFastLineSeries.DoMove"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 28 01 00 00 85 F6 7E 6E 8B FB 8B C6 48 89 04 24 8D 83 88 01 00 00 89 44 24 04 8D 83 8C 01 00 00 89 44 24 08 8B 87 A0 00 00 00 8B 40 54 8B 14 24 FF 74 D0 04 FF 34 D0 8B 6F 74 8B 85 9C 01 00 00 FF 95 98 01 00 00 8B 54 24 04 89 02 8B 87 A4 00 00 00 8B 40 54 8B 14 24 FF 74 D0 04 FF 34 D0 8B 7F 78 8B 87 A4 01 00 00 FF 97 A0 01 00 00 8B 54 24 08 89 02 EB 6C 8B FB 89 74 24 0C 8D 83 88 01 00 00 89 44 24 10 8D 83 8C 01 00 00 89 44 24 14 8B 87 A0 00 00 00 8B 40 54 8B 54 24 0C FF 74 D0 04 FF 34 D0 8B 6F 74 8B 85 9C 01 00 00 FF 95 98 01 00 00 8B 54 24 10 89 02 8B 87 A4 00 00 00 8B 40 54 8B 54 24 0C FF 74 D0 04 FF 34 D0 8B 7F 78 8B 87 A4 01 00 00 FF 97 A0 01 00 00 8B 54 24 14 89 02 8B 8B 8C 01 00 00 8B 93 88 01 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB 7A 01 00 00 00 75 18 8B 83 8C 01 00 00 89 83 90 01 00 00 8B 83 8C 01 00 00 89 83 94 01 00 00 80 BB 7B 01 00 00 00 74 20 80 BB 84 01 00 00 00 75 17 8B 43 40 8B 80 40 03 00 00 B2 01 8B 08 FF 51 34 C6 83 84 01 00 00 01 85 F6 7E 0C 8B D6 8B C3 8B 08 FF 91 A4 00 00 00 8D 7E 01 8B B3 2C 01 00 00 2B F7 7C 11 46 8B D7 8B C3 8B 08 FF 91 A4 00 00 00 47 4E 75 F0 80 BB 7B 01 00 00 00 74 17 8B 43 40 8B 80 40 03 00 00 33 D2 8B 08 FF 51 34 C6 83 84 01 00 00 00 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91048_0 {
	meta:
		name = "ShouldDrawPoint"
		size = 169
		refs = "0017 TChartSeries.IsNull"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 08 8B 50 F8 8B 45 08 8B 40 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 80 F3 01 84 DB 74 3E 8B 45 08 8B 40 08 8B 40 FC 80 B8 70 01 00 00 00 75 6E 8B 45 08 8B 40 08 83 78 F8 00 7E 62 8B 45 08 8B 40 08 8B 50 F8 4A 8B 45 08 8B 40 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 46 33 DB EB 42 8B 45 08 8B 40 08 8B 40 FC 80 B8 70 01 00 00 01 75 30 8B 45 08 8B 40 08 8B 40 FC 8B 80 88 01 00 00 8B 55 08 8B 52 08 89 42 F4 8B 45 08 8B 40 08 8B 40 FC 8B 80 8C 01 00 00 8B 55 08 8B 52 08 89 42 F0 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_91049_0 {
	meta:
		name = "DoDrawPoint"
		size = 477
		refs = "0016 ShouldDrawPoint 01d5 TFastLineSeries.DoMove"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 80 B8 70 01 00 00 02 74 0F 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 9F 01 00 00 8B 45 08 8B 40 FC 8B 40 40 80 B8 04 03 00 00 00 0F 84 A0 00 00 00 8B 98 40 03 00 00 8B 45 08 8B 40 FC 80 B8 7E 01 00 00 00 74 63 8B 45 08 8B 40 FC 80 B8 7D 01 00 00 00 74 2B 8B 45 08 8B 40 FC 8B 80 58 01 00 00 50 8B 45 08 8B 48 F0 8B 45 08 8B 40 FC 8B 90 88 01 00 00 8B C3 8B 30 FF 96 78 01 00 00 EB 29 8B 45 08 8B 40 FC 8B 80 58 01 00 00 50 8B 45 08 8B 40 FC 8B 88 8C 01 00 00 8B 45 08 8B 50 F4 8B C3 8B 30 FF 96 78 01 00 00 8B 45 08 8B 40 FC 8B 80 58 01 00 00 50 8B 45 08 8B 48 F0 8B 45 08 8B 50 F4 8B C3 8B 18 FF 93 78 01 00 00 E9 00 01 00 00 8B 55 08 8B 52 FC 80 BA 84 01 00 00 00 74 6D 8B 98 40 03 00 00 8B 45 08 8B 40 FC 80 B8 7E 01 00 00 00 74 41 8B 45 08 8B 40 FC 80 B8 7D 01 00 00 00 74 1A 8B 45 08 8B 48 F0 8B 45 08 8B 40 FC 8B 90 88 01 00 00 8B C3 8B 30 FF 16 EB 18 8B 45 08 8B 40 FC 8B 88 8C 01 00 00 8B 45 08 8B 50 F4 8B C3 8B 30 FF 16 8B 45 08 8B 48 F0 8B 45 08 8B 50 F4 8B C3 8B 18 FF 13 E9 84 00 00 00 8B B0 40 03 00 00 8B 45 08 8B 40 FC 80 B8 7E 01 00 00 00 74 43 8B 45 08 8B 40 FC 80 B8 7D 01 00 00 00 74 1B 8B 45 08 8B 48 F0 8B 45 08 8B 40 FC 8B 90 88 01 00 00 8B C6 8B 18 FF 53 7C EB 19 8B 45 08 8B 40 FC 8B 88 8C 01 00 00 8B 45 08 8B 50 F4 8B C6 8B 18 FF 53 7C 8B 45 08 8B 48 F0 8B 45 08 8B 50 F4 8B C6 8B 18 FF 53 7C EB 17 8B 45 08 8B 48 F0 8B 45 08 8B 50 F4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_91050_0 {
	meta:
		name = "TFastLineSeries.DrawValue"
		size = 590
		refs = "0091 DoDrawPoint 015d TFastLineSeries.DoMove"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 55 F8 89 45 FC 8B 45 FC 8B 80 A0 00 00 00 8B 40 54 8B 55 F8 FF 74 D0 04 FF 34 D0 8B 45 FC 8B 58 74 8B 83 9C 01 00 00 FF 93 98 01 00 00 89 45 F4 8B 45 FC 80 B8 7A 01 00 00 00 74 6F 8B 45 FC 8B 80 A4 00 00 00 8B 40 54 8B 55 F8 FF 74 D0 04 FF 34 D0 8B 45 FC 8B 58 78 8B 83 A4 01 00 00 FF 93 A0 01 00 00 89 45 F0 8B 45 FC 8B 80 88 01 00 00 3B 45 F4 75 12 8B 45 FC 8B 80 8C 01 00 00 3B 45 F0 0F 84 BA 01 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 55 F4 89 90 88 01 00 00 8B 45 FC 8B 55 F0 89 90 8C 01 00 00 E9 96 01 00 00 8B 45 FC 8B 80 88 01 00 00 3B 45 F4 75 7D 8B 45 FC 80 B8 79 01 00 00 00 0F 84 78 01 00 00 8B 45 FC 8B 80 A4 00 00 00 8B 40 54 8B 55 F8 FF 74 D0 04 FF 34 D0 8B 45 FC 8B 58 78 8B 83 A4 01 00 00 FF 93 A0 01 00 00 89 45 F0 8B 45 FC 8B 80 90 01 00 00 3B 45 F0 7E 11 8B 45 FC 8B 55 F0 89 90 90 01 00 00 E9 2E 01 00 00 8B 45 FC 8B 80 94 01 00 00 3B 45 F0 0F 8D 1C 01 00 00 8B 45 FC 8B 55 F0 89 90 94 01 00 00 E9 0B 01 00 00 8B 55 FC 80 BA 79 01 00 00 01 0F 85 B1 00 00 00 8B 55 FC 8B 8A 94 01 00 00 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 5D F4 8B 45 FC 8B 80 88 01 00 00 89 45 F4 8B 45 FC 8B 80 90 01 00 00 89 45 F0 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 90 01 00 00 8B 55 FC 89 82 8C 01 00 00 89 5D F4 8B 45 FC 8B 80 A4 00 00 00 8B 40 54 8B 55 F8 FF 74 D0 04 FF 34 D0 8B 45 FC 8B 58 78 8B 83 A4 01 00 00 FF 93 A0 01 00 00 89 45 F0 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 55 F4 89 90 88 01 00 00 8B 55 FC 8B 45 F0 89 82 8C 01 00 00 8B 55 FC 89 82 90 01 00 00 8B 45 FC 8B 80 8C 01 00 00 8B 55 FC 89 82 94 01 00 00 EB 4A 8B 45 FC 8B 80 A4 00 00 00 8B 40 54 8B 55 F8 FF 74 D0 04 FF 34 D0 8B 45 FC 8B 58 78 8B 83 A4 01 00 00 FF 93 A0 01 00 00 89 45 F0 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 55 F4 89 90 88 01 00 00 8B 45 FC 8B 55 F0 89 90 8C 01 00 00 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91051_0 {
	meta:
		name = "TFastLineSeries.SetSeriesColor"
		size = 32
		refs = "000b TChartSeries.SetSeriesColor 0012 TCustomLineSeries.GetLinePen 0019 TPen.SetColor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91052_0 {
	meta:
		name = "TFastLineSeries.DrawLegendShape"
		size = 39
	strings:
		$1 = { 53 8B 51 04 03 51 0C D1 FA 79 03 83 D2 00 52 8B 11 8B 40 40 8B 80 40 03 00 00 8B 49 08 8B 18 FF 93 BC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_91053_0 {
	meta:
		name = "TFastLineSeries.Assign"
		size = 128
		refs = "000a _DV_TFastLineSeries 000f @IsClass 0079 TCustomLineSeries.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5D 8B C6 0F B6 90 78 01 00 00 88 93 78 01 00 00 0F B6 90 79 01 00 00 88 93 79 01 00 00 0F B6 90 7A 01 00 00 88 93 7A 01 00 00 0F B6 90 7B 01 00 00 88 93 7B 01 00 00 0F B6 90 7C 01 00 00 88 93 7C 01 00 00 0F B6 90 7D 01 00 00 88 93 7D 01 00 00 0F B6 80 7E 01 00 00 88 83 7E 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91054_0 {
	meta:
		name = "TFastLineSeries.Clicked"
		size = 339
		refs = "00da PointInLine"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 89 4C 24 04 89 14 24 8B F0 C7 44 24 08 FF FF FF FF 83 BE 28 01 00 00 FF 0F 8E 22 01 00 00 83 BE 2C 01 00 00 FF 0F 8E 15 01 00 00 8B 46 40 85 C0 74 1D 8B 96 58 01 00 00 52 8D 4C 24 08 8D 54 24 04 8B 80 40 03 00 00 8B 18 FF 93 10 01 00 00 33 C0 89 44 24 0C 33 C0 89 44 24 10 8B 04 24 89 44 24 14 8B 44 24 04 89 44 24 18 8B 9E 28 01 00 00 8B 86 2C 01 00 00 2B C3 0F 8C C2 00 00 00 40 89 44 24 1C 8B D3 8B C6 8B 08 FF 91 3C 01 00 00 8B F8 8B D3 8B C6 8B 08 FF 91 44 01 00 00 8B E8 3B 3C 24 75 0F 3B 6C 24 04 75 09 89 5C 24 08 E9 8D 00 00 00 80 BE 7E 01 00 00 00 74 45 3B 9E 28 01 00 00 7E 69 57 8B 44 24 14 50 8D 44 24 1C 8B CD 8B D7 E8 ?? ?? ?? ?? 84 C0 75 1D 8B 44 24 0C 50 8B 44 24 14 50 8D 44 24 1C 8B 4C 24 18 8B D7 E8 ?? ?? ?? ?? 84 C0 74 35 8B C3 48 89 44 24 08 EB 3F 3B 9E 28 01 00 00 7E 24 8B 44 24 0C 50 8B 44 24 14 50 8D 44 24 1C 8B CD 8B D7 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 48 89 44 24 08 EB 13 89 7C 24 0C 89 6C 24 10 43 FF 4C 24 1C 0F 85 43 FF FF FF 8B 44 24 08 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91055_0 {
	meta:
		name = "TFastLineSeries.DrawMark"
		size = 51
		refs = "001a TSeriesMarks.ApplyArrowLength 0027 TChartSeries.DrawMark"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B D6 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 56 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_91056_0 {
	meta:
		name = "TFastLineSeries.CreateSubGallery"
		size = 60
		refs = "000a TChartSeries.CreateSubGallery 0010 TeeMsg_Marks 001e TeeMsg_Dotted 002c TeeMsg_Stairs"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 5D C2 08 00 }
	condition:
		$1
}

rule function_91057_0 {
	meta:
		name = "TFastLineSeries.SetSubGallery"
		size = 56
		refs = "0017 TTeeCustomShapeBrushPen.SetVisible 0020 TCustomLineSeries.GetLinePen 0027 TChartPen.SetSmallDots 0032 TFastLineSeries.SetStairs"
	strings:
		$1 = { 53 8B DA 49 74 08 49 74 14 49 74 21 EB 28 8B 83 88 00 00 00 B2 01 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 5B C3 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91058_0 {
	meta:
		name = "TFastLineSeries.SetPen"
		size = 37
		refs = "0006 TCustomChartElement.SetPen 000d TCustomLineSeries.GetLinePen"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 40 10 8B 40 18 8B D0 8B C6 8B 08 FF 91 D8 00 00 00 5E C3 }
	condition:
		$1
}

rule function_91059_0 {
	meta:
		name = "TChartShape.SetStyle"
		size = 20
		refs = "000f TCustomChartElement.Repaint"
		altNames = "TFastLineSeries.SetDAPStyle"
	strings:
		$1 = { 3A 90 79 01 00 00 74 0B 88 90 79 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91060_0 {
	meta:
		name = "TFastLineSeries.SetDrawAll"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 05 7A 01 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91061_0 {
	meta:
		name = "TFastLineSeries.SetFastPen"
		size = 34
		refs = "0004 TeeSetDCPenColor 0016 GetStockObject"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 83 38 00 74 13 88 93 7B 01 00 00 6A 13 E8 ?? ?? ?? ?? 89 83 80 01 00 00 5B C3 }
	condition:
		$1
}

rule function_91062_0 {
	meta:
		name = "TFastLineSeries.SetIgnoreNulls"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 05 7C 01 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91063_0 {
	meta:
		name = "TFastLineSeries.SetInvertedStairs"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 05 7D 01 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91064_0 {
	meta:
		name = "TFastLineSeries.SetStairs"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 05 7E 01 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91065_0 {
	meta:
		name = "TFastLineSeries.CalcHorizMargins"
		size = 53
		refs = "0010 TCustomChartSeries.CalcHorizMargins"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 44 8B 40 10 8B 40 1C 8B D0 83 E8 02 D1 F8 79 03 83 D0 00 2B D0 8B C2 01 06 01 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91066_0 {
	meta:
		name = "TFastLineSeries.CalcVerticalMargins"
		size = 53
		refs = "0010 TCustomChartSeries.CalcVerticalMargins"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 44 8B 40 10 8B 40 1C 8B D0 83 E8 02 D1 F8 79 03 83 D0 00 2B D0 8B C2 01 06 01 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91068_0 {
	meta:
		name = "RegisterTeeStandardSeries"
		size = 169
		refs = "0002 TeeMsg_GalleryLine 0007 _DV_TLineSeries 000c RegisterTeeSeries 0012 TeeMsg_GalleryBar 0017 _DV_TBarSeries 0022 TeeMsg_GalleryHorizBar 0027 _DV_THorizBarSeries 0032 TeeMsg_GalleryArea 0037 _DV_TAreaSeries 0042 TeeMsg_GalleryPoint 0047 _DV_TPointSeries 0054 TeeMsg_GalleryStandard 005a TeeMsg_GalleryPie 005f _DV_TPieSeries 006a TeeMsg_GalleryFastLine 006f _DV_TFastLineSeries 0082 TeeMsg_GalleryHorizLine 0087 _DV_THorizLineSeries 009a TeeMsg_GalleryHorizArea 009f _DV_THorizAreaSeries"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91145_0 {
	meta:
		name = "DeleteClipHistory"
		size = 57
		refs = "0004 ClipHistory 000b @DynArrayLength 0020 DeleteObject 002c :63 0031 @DynArrayClear"
	strings:
		$1 = { 53 56 57 BF ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 12 43 33 F6 8B 07 8B 04 B0 50 E8 ?? ?? ?? ?? 46 4B 75 F1 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91146_0 {
	meta:
		name = "TeeCull"
		size = 36
	strings:
		$1 = { 53 56 8B 18 2B 1A 8B 71 04 2B 72 04 0F AF DE 8B 09 2B 0A 8B 40 04 2B 42 04 0F AF C8 2B D9 0F 98 C0 5E 5B C3 }
	condition:
		$1
}

rule function_91147_0 {
	meta:
		name = "TeeCull"
		size = 12
		refs = "0007 TeeCull"
	strings:
		$1 = { 8D 48 10 8D 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91148_0 {
	meta:
		name = "ColorRGBA"
		size = 45
	strings:
		$1 = { 51 8B D0 80 E2 FF 88 54 24 02 BA 00 FF 00 00 23 D0 C1 EA 08 88 54 24 01 25 00 00 FF 00 C1 E8 10 88 04 24 C6 44 24 03 00 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_91150_0 {
	meta:
		name = "Offset"
		size = 6
	strings:
		$1 = { 01 10 01 50 04 C3 }
	condition:
		$1
}

rule function_91151_0 {
	meta:
		name = "TeeGaugeAddFontNames"
		size = 96
		refs = "0004 TeeGaugeAddFontNames"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 6C 00 65 00 6B 00 74 00 72 00 61 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 53 00 2D 00 44 00 69 00 67 00 69 00 74 00 61 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_91152_0 {
	meta:
		name = "AddFontFromResource"
		size = 195
		refs = "000e TeeResourceStream 0023 AddFontFromResource 003e @GetMem 0091 @FreeMem 0097 @HandleFinally 00ae TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 D2 89 55 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 84 9B 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 12 89 45 F0 89 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 EC 8B 5D F0 8B CB 8B 45 F8 8B 30 FF 56 0C C7 45 E8 01 00 00 00 8D 45 E8 50 6A 00 53 8B 45 EC 50 8B 45 08 8B 40 FC FF D0 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91153_0 {
	meta:
		name = "DoAddFonts"
		size = 128
		refs = "0008 DoAddFonts 000d AddFontFromResource 0013 TeeFontLCD 0027 TeeFontLED 002d TeeAddFontNames 0031 TeeGaugeAddFontNames"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 45 00 45 00 4C 00 43 00 44 00 46 00 4F 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 45 00 45 00 4C 00 45 00 44 00 46 00 4F 00 4E 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_91154_0 {
	meta:
		name = "AddCustomFonts"
		size = 160
		refs = "0008 TeeAddFontNames 000d AddCustomFonts 0012 TeeLoadLibrary 0017 TeeGDI32 0030 GetProcAddress 003f DoAddFonts 004a TeeFreeLibrary"
	strings:
		$1 = { 55 8B EC 51 53 33 C0 A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 2A 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 89 5D FC 85 DB 74 07 55 E8 ?? ?? ?? ?? 59 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 67 00 64 00 69 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 41 00 64 00 64 00 46 00 6F 00 6E 00 74 00 4D 00 65 00 6D 00 52 00 65 00 73 00 6F 00 75 00 72 00 63 00 65 00 45 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_91155_0 {
	meta:
		name = "DoRemoveFonts"
		size = 51
		refs = "0005 TeeFontLCD 001c TeeFontLED"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 74 0E A1 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC FF D0 83 3D ?? ?? ?? ?? 00 74 0E A1 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC FF D0 5D C3 }
	condition:
		$1
}

rule function_91156_0 {
	meta:
		name = "RemoveCustomFonts"
		size = 164
		refs = "0008 TeeAddFontNames 000d RemoveCustomFonts 0012 TeeLoadLibrary 0017 TeeGDI32 0030 GetProcAddress 003f DoRemoveFonts 004a TeeFreeLibrary"
	strings:
		$1 = { 55 8B EC 51 53 33 C0 A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 2A 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 89 5D FC 85 DB 74 07 55 E8 ?? ?? ?? ?? 59 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 67 00 64 00 69 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 52 00 65 00 6D 00 6F 00 76 00 65 00 46 00 6F 00 6E 00 74 00 4D 00 65 00 6D 00 52 00 65 00 73 00 6F 00 75 00 72 00 63 00 65 00 45 00 78 00 00 00 }
	condition:
		$1
}

rule function_91157_0 {
	meta:
		name = "PointInRect"
		size = 25
	strings:
		$1 = { 3B 10 7C 0F 3B 48 04 7C 0A 3B 50 08 7F 05 3B 48 0C 7E 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_91158_0 {
	meta:
		name = "PointInRect"
		size = 30
	strings:
		$1 = { 8B 0A 8B 52 04 3B 08 7C 0F 3B 50 04 7C 0A 3B 48 08 7F 05 3B 50 0C 7E 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_91160_0 {
	meta:
		name = "TeeRect"
		size = 18
	strings:
		$1 = { 53 33 DB 89 19 33 DB 89 59 04 89 41 08 89 51 0C 5B C3 }
	condition:
		$1
}

rule function_91161_0 {
	meta:
		name = "OrientRectangle"
		size = 43
	strings:
		$1 = { 56 57 8B F0 8B FA A5 A5 A5 A5 8B 4A 08 8B 02 3B C8 7D 05 89 0A 89 42 08 8B 4A 0C 8B 42 04 3B C8 7D 06 89 4A 04 89 42 0C 5F 5E C3 }
	condition:
		$1
}

rule function_91162_0 {
	meta:
		name = "Point3D"
		size = 20
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 89 03 89 53 04 89 4B 08 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_91163_0 {
	meta:
		name = "Point3D"
		size = 16
	strings:
		$1 = { 53 8B 18 89 19 8B 40 04 89 41 04 89 51 08 5B C3 }
	condition:
		$1
}

rule function_91165_0 {
	meta:
		name = "RectSize"
		size = 18
	strings:
		$1 = { 53 8B 58 08 2B 18 89 1A 8B 50 0C 2B 50 04 89 11 5B C3 }
	condition:
		$1
}

rule function_91166_0 {
	meta:
		name = "RectCenter"
		size = 32
	strings:
		$1 = { 53 8B 18 03 58 08 D1 FB 79 03 83 D3 00 89 1A 8B 50 04 03 50 0C D1 FA 79 03 83 D2 00 89 11 5B C3 }
	condition:
		$1
}

rule function_91167_0 {
	meta:
		name = "RectCenter"
		size = 31
	strings:
		$1 = { 8B 08 03 48 08 D1 F9 79 03 83 D1 00 89 0A 8B 48 04 03 48 0C D1 F9 79 03 83 D1 00 89 4A 04 C3 }
	condition:
		$1
}

rule function_91168_0 {
	meta:
		name = "TeeSetBitmapSize"
		size = 46
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 30 3B F0 75 0B 8B C3 8B 10 FF 52 24 3B F8 74 0B 8B CF 8B D6 8B C3 8B 18 FF 53 6C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91169_0 {
	meta:
		name = "TeeSetBitmapDPI"
		size = 119
		refs = "000d _Dn_TMemoryStream 0012 TObject.Create 001d TeeSetBitmapDPI 0047 TStream.SetPosition 0066 TObject.Free 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 60 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_91170_0 {
	meta:
		name = "TeeSetBitmapDPI"
		size = 120
		refs = "0013 TeeSetBitmapDPI 001a @ROUND 0029 TStream.SetPosition"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 89 74 24 04 DB 44 24 04 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 66 89 04 24 6A 00 6A 26 8B C3 E8 ?? ?? ?? ?? 8B D4 B9 02 00 00 00 8B C3 8B 30 FF 56 10 83 F8 02 0F 94 C0 84 C0 74 1F 6A 00 6A 2A 8B C3 E8 ?? ?? ?? ?? 8B D4 B9 02 00 00 00 8B C3 8B 18 FF 53 10 83 F8 02 0F 94 C0 59 5A 5E 5B C3 00 00 00 73 DB BE 47 FD F5 7A 9D 04 40 00 00 }
	condition:
		$1
}

rule function_91171_0 {
	meta:
		name = "PolygonBounds"
		size = 109
		refs = "0061 TeeZeroRect"
	strings:
		$1 = { 53 56 57 8B D9 42 85 D2 7E 54 8B 08 89 0B 8B 48 04 89 4B 04 8B 0B 89 4B 08 8B 4B 04 89 4B 0C 8B F2 4E 85 F6 7E 43 8D 50 08 8B C2 8B 0B 8B 38 3B CF 7E 04 89 3B EB 08 3B 7B 08 7E 03 89 7B 08 8B 4B 04 8B 78 04 3B CF 7E 05 89 7B 04 EB 08 3B 7B 0C 7E 03 89 7B 0C 83 C2 08 4E 75 CD EB 0B 8B FB BE ?? ?? ?? ?? A5 A5 A5 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91172_0 {
	meta:
		name = "InternalPointInPolygon"
		size = 208
		refs = "007a InternalPointInPolygon"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B C8 C6 45 FF 00 8B 45 08 8B 40 08 8B D8 8B F0 85 F6 0F 8C 9F 00 00 00 46 C7 45 F8 00 00 00 00 8B 45 08 8B 50 FC 83 C2 04 8B 41 04 3B 02 7C 0F 8B 45 08 8B 40 FC 8B 44 D8 04 3B 41 04 7F 16 8B 45 08 8B 40 FC 8B 44 D8 04 3B 41 04 7F 59 8B 41 04 3B 02 7D 52 8B 45 08 8B 40 FC 8B 04 D8 2B 42 FC 8B 79 04 2B 3A 0F AF C7 89 45 F4 DB 45 F4 D8 0D ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 44 D8 04 2B 02 89 45 F0 DB 45 F0 D8 0D ?? ?? ?? ?? DE F9 DB 42 FC DE C1 DB 01 DE D9 9B DF E0 9E 77 09 0F B6 45 FF 34 01 88 45 FF 8B 5D F8 FF 45 F8 83 C2 08 4E 0F 85 72 FF FF FF 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 00 00 00 80 3F }
	condition:
		$1
}

rule function_91173_0 {
	meta:
		name = "PolygonInPolygon"
		size = 52
		refs = "0018 InternalPointInPolygon"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8D 72 01 4E 85 F6 7C 1A 46 8B D8 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 75 04 33 C0 EB 08 83 C3 08 4E 75 E9 B0 01 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_91174_0 {
	meta:
		name = "PolygonArea"
		size = 120
		refs = "0014 @DynArrayLength 005d PolygonArea"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 33 C0 89 04 24 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 8B F0 8B FE 4F 85 FF 7C 37 47 33 C9 8D 41 01 99 F7 FE 8B C2 8B 54 C3 04 0F AF 14 CB 89 54 24 08 DB 44 24 08 DC 04 24 8B 04 C3 F7 6C CB 04 89 44 24 0C DB 44 24 0C DE E9 DD 1C 24 9B 41 4F 75 CC DD 04 24 D8 0D ?? ?? ?? ?? D9 E1 DD 1C 24 9B DD 04 24 83 C4 10 5F 5E 5B C3 00 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_91175_0 {
	meta:
		name = "PolygonCentroid"
		size = 324
		refs = "000e @DynArrayLength 0097 PolygonArea 009d PolygonCentroid"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F8 83 FF 02 0F 8E C8 00 00 00 33 C0 89 06 33 C0 89 46 04 8B C7 48 85 C0 7C 67 40 89 44 24 10 33 C9 8D 41 01 99 F7 FF 8B C2 8B 54 C3 04 0F AF 14 CB 8B 2C C3 0F AF 6C CB 04 2B D5 89 54 24 14 DB 44 24 14 DD 5C 24 08 9B 8B 14 C3 03 14 CB 89 54 24 14 DB 44 24 14 DC 4C 24 08 D8 06 D9 1E 9B 8B 44 C3 04 03 44 CB 04 89 44 24 14 DB 44 24 14 DC 4C 24 08 D8 46 04 D9 5E 04 9B 41 FF 4C 24 10 75 A0 8B C3 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0D 33 C0 89 04 24 C7 44 24 04 00 00 18 40 D9 05 ?? ?? ?? ?? DC 34 24 DD 5C 24 08 9B D9 06 DC 4C 24 08 D9 1E 9B D9 46 04 DC 4C 24 08 D9 5E 04 9B EB 45 83 FF 01 7E 30 8B 43 08 03 03 89 44 24 14 DB 44 24 14 D8 0D ?? ?? ?? ?? D9 1E 9B 8B 43 0C 03 43 04 89 44 24 14 DB 44 24 14 D8 0D ?? ?? ?? ?? D9 5E 04 9B EB 10 85 FF 7E 0C DB 03 D9 1E 9B DB 43 04 D9 5E 04 9B 83 C4 18 5D 5F 5E 5B C3 00 00 00 00 C0 40 00 00 00 00 00 00 80 3F 00 00 00 3F }
	condition:
		$1
}

rule function_91176_0 {
	meta:
		name = "TChartPen.Create"
		size = 83
		refs = "000d @ClassCreate 001a TPen.Create 003d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 28 01 C6 46 2A 01 C6 46 29 00 8B 45 08 89 46 08 8B 45 0C 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_91177_0 {
	meta:
		name = "TChartPen.Assign"
		size = 64
		refs = "000a _DV_TChartPen 000f @IsClass 0039 TPen.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B C6 0F B6 50 28 88 53 28 0F B6 50 21 88 53 21 8B 50 24 89 53 24 0F B6 40 20 88 43 20 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91180_0 {
	meta:
		name = "TChartPen.IsEndStored"
		size = 11
	strings:
		$1 = { 0F B6 50 20 3A 50 29 0F 95 C0 C3 }
	condition:
		$1
}

rule function_91181_0 {
	meta:
		name = "TChartPen.IsVisibleStored"
		size = 11
	strings:
		$1 = { 0F B6 50 28 3A 50 2A 0F 95 C0 C3 }
	condition:
		$1
}

rule function_91182_0 {
	meta:
		name = "TChartPen.SetEndStyle"
		size = 14
	strings:
		$1 = { 3A 50 20 74 08 88 50 20 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_91183_0 {
	meta:
		name = "TChartPen.SetSmallDots"
		size = 14
	strings:
		$1 = { 3A 50 21 74 08 88 50 21 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_91184_0 {
	meta:
		name = "TChartPen.SetSmallSpace"
		size = 14
	strings:
		$1 = { 3B 50 24 74 08 89 50 24 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_91186_0 {
	meta:
		name = "TChartHiddenPen.Create"
		size = 73
		refs = "000d @ClassCreate 0020 TChartPen.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 FF 75 0C FF 75 08 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 28 00 C6 46 2A 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_91187_0 {
	meta:
		name = "TDottedGrayPen.Create"
		size = 86
		refs = "000d @ClassCreate 0020 TChartPen.Create 002c TPen.SetColor 0035 TPen.SetStyle 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 FF 75 0C FF 75 08 33 D2 8B C6 E8 ?? ?? ?? ?? BA 80 80 80 00 8B C6 E8 ?? ?? ?? ?? B2 02 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_91188_0 {
	meta:
		name = "TDarkGrayPen.Create"
		size = 77
		refs = "000d @ClassCreate 0020 TChartPen.Create 002c TPen.SetColor 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 FF 75 0C FF 75 08 33 D2 8B C6 E8 ?? ?? ?? ?? BA 80 80 80 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_91189_0 {
	meta:
		name = "TChartBrush.Create"
		size = 90
		refs = "000d @ClassCreate 001a TBrush.Create 0026 TBrush.SetColor 0044 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 00 00 00 20 8B C6 E8 ?? ?? ?? ?? C7 46 18 FF FF FF 1F 8B 45 08 89 46 08 8B 45 0C 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_91190_0 {
	meta:
		name = "TChartBrush.Destroy"
		size = 64
		refs = "0003 @BeforeDestruction 000f TObject.Free 001e TBrush.GetBitmap 002e TBrush.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 1C E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91191_0 {
	meta:
		name = "TChartBrush.Assign"
		size = 100
		refs = "000b _DV_TChartBrush 0010 @IsClass 0020 TChartBrush.SetImage 002d TChartBrush.GetGradient 0041 TChartBrush.SetGradient 0053 TObject.Free 005c TBrush.Assign"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3F 8B FB 8B 57 20 8B C6 E8 ?? ?? ?? ?? 8B 47 18 89 46 18 8B C7 E8 ?? ?? ?? ?? 85 C0 74 12 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 10 8D 46 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91192_0 {
	meta:
		name = "TChartBrush.Clear"
		size = 39
		refs = "0008 TBrush.SetStyle 0011 TChartBrush.SetImage 0021 TObject.Free"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91195_0 {
	meta:
		name = "TChartBrush.SetImage"
		size = 52
		refs = "000d TChartBrush.GetImage 0026 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 10 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 EB 10 8D 43 20 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5E 5B C3 }
	condition:
		$1
}

rule function_91196_0 {
	meta:
		name = "TChartBrush.SetGradient"
		size = 52
		refs = "000d TChartBrush.GetGradient 0026 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 10 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 EB 10 8D 43 1C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5E 5B C3 }
	condition:
		$1
}

rule function_91197_0 {
	meta:
		name = "TChartBrush.GetImage"
		size = 45
		refs = "000d _Dn_TPicture 0012 TPicture.Create"
	strings:
		$1 = { 53 56 8B D8 83 7B 20 00 75 1D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 20 8B 43 08 89 46 10 8B 43 0C 89 46 14 8B 43 20 5E 5B C3 }
	condition:
		$1
}

rule function_91198_0 {
	meta:
		name = "TChartBrush.GetGradient"
		size = 35
		refs = "0012 _DV_TTeeGradient 0017 TCustomTeeGradient.Create"
	strings:
		$1 = { 53 8B D8 83 7B 1C 00 75 15 FF 73 0C FF 73 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 1C 8B 43 1C 5B C3 }
	condition:
		$1
}

rule function_91199_0 {
	meta:
		name = "TView3DOptions.Create"
		size = 125
		refs = "000b @ClassCreate 001a TObject.Create 0069 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 70 C6 47 20 01 C7 47 24 2D 00 00 00 C7 47 10 64 00 00 00 33 C0 89 47 50 C7 47 54 00 00 59 40 C6 47 58 00 33 C0 89 47 30 C7 47 34 00 90 75 40 33 C0 89 47 08 C7 47 0C 00 90 75 40 C7 47 28 0F 00 00 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91200_0 {
	meta:
		name = "TView3DOptions.Repaint"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 46 70 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_91201_0 {
	meta:
		name = "TView3DOptions.SetIntegerProperty"
		size = 12
		refs = "0007 TView3DOptions.Repaint"
	strings:
		$1 = { 3B 0A 74 07 89 0A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93861_0 {
	meta:
		name = "TCustomChartElement.SetColorProperty"
		size = 12
		refs = "0007 TCustomChartElement.Repaint"
	strings:
		$1 = { 3B 0A 74 07 89 0A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93863_0 {
	meta:
		name = "TCustomChartElement.SetIntegerProperty"
		size = 12
		refs = "0007 TCustomChartElement.Repaint"
	strings:
		$1 = { 3B 0A 74 07 89 0A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91590_0 {
	meta:
		name = "TCustomTeeGradient.SetColorProperty"
		size = 12
		refs = "0007 TCustomTeeGradient.DoChanged"
	strings:
		$1 = { 3B 0A 74 07 89 0A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91589_0 {
	meta:
		name = "TCustomTeeGradient.SetIntegerProperty"
		size = 12
		refs = "0007 TCustomTeeGradient.DoChanged"
	strings:
		$1 = { 3B 0A 74 07 89 0A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91548_0 {
	meta:
		name = "TTeeShadow.SetIntegerProperty"
		size = 12
		refs = "0007 TTeeShadow.Changed"
	strings:
		$1 = { 3B 0A 74 07 89 0A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91203_0 {
	meta:
		name = "TView3DOptions.GetElevation"
		size = 13
		refs = "0007 @ROUND"
	strings:
		$1 = { 53 8B D8 DD 43 08 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91204_0 {
	meta:
		name = "TView3DOptions.SetElevationInteger"
		size = 21
		refs = "000f TView3DOptions.SetElevation"
	strings:
		$1 = { 51 89 14 24 DB 04 24 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_91217_0 {
	meta:
		name = "TView3DOptions.SetHorizInteger"
		size = 21
		refs = "000f TView3DOptions.SetHorizOffset"
	strings:
		$1 = { 51 89 14 24 DB 04 24 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_91212_0 {
	meta:
		name = "TView3DOptions.SetRotationInteger"
		size = 21
		refs = "000f TView3DOptions.SetRotation"
	strings:
		$1 = { 51 89 14 24 DB 04 24 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_91216_0 {
	meta:
		name = "TView3DOptions.SetTiltInteger"
		size = 21
		refs = "000f TView3DOptions.SetTilt"
	strings:
		$1 = { 51 89 14 24 DB 04 24 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_91219_0 {
	meta:
		name = "TView3DOptions.SetVertInteger"
		size = 21
		refs = "000f TView3DOptions.SetVertOffset"
	strings:
		$1 = { 51 89 14 24 DB 04 24 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_91223_0 {
	meta:
		name = "TView3DOptions.SetZoomInteger"
		size = 21
		refs = "000f TView3DOptions.SetZoom"
	strings:
		$1 = { 51 89 14 24 DB 04 24 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_91205_0 {
	meta:
		name = "TView3DOptions.SetElevation"
		size = 40
		refs = "0020 TView3DOptions.Repaint"
	strings:
		$1 = { 55 8B EC 8B D0 DD 42 08 DC 5D 08 9B DF E0 9E 74 13 8B 45 08 89 42 08 8B 45 0C 89 42 0C 8B C2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_91206_0 {
	meta:
		name = "TView3DOptions.SetFontZoom"
		size = 11
		refs = "0006 TView3DOptions.SetIntegerProperty"
	strings:
		$1 = { 8D 48 10 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91592_0 {
	meta:
		name = "TCustomTeeGradient.SetEndColor"
		size = 11
		refs = "0006 TCustomTeeGradient.SetColorProperty"
	strings:
		$1 = { 8D 48 10 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93747_0 {
	meta:
		name = "TMargins.SetBottom"
		size = 11
		refs = "0006 TMargins.SetIntegerProperty"
	strings:
		$1 = { 8D 48 10 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91207_0 {
	meta:
		name = "TView3DOptions.SetPerspective"
		size = 30
		refs = "000e TView3DOptions.SetIntegerProperty"
	strings:
		$1 = { 83 FA 64 7E 0E 8D 50 28 B9 64 00 00 00 E8 ?? ?? ?? ?? C3 8D 48 28 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91208_0 {
	meta:
		name = "TView3DOptions.GetHorizOffset"
		size = 13
		refs = "0007 @ROUND"
	strings:
		$1 = { 53 8B D8 DD 43 18 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91209_0 {
	meta:
		name = "TView3DOptions.GetVertOffset"
		size = 13
		refs = "0007 @ROUND"
	strings:
		$1 = { 53 8B D8 DD 43 40 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91210_0 {
	meta:
		name = "TView3DOptions.GetRotation"
		size = 13
		refs = "0007 @ROUND"
	strings:
		$1 = { 53 8B D8 DD 43 30 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91211_0 {
	meta:
		name = "TView3DOptions.GetZoom"
		size = 13
		refs = "0007 @ROUND"
	strings:
		$1 = { 53 8B D8 DD 43 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91213_0 {
	meta:
		name = "TView3DOptions.SetRotation"
		size = 40
		refs = "0020 TView3DOptions.Repaint"
	strings:
		$1 = { 55 8B EC 8B D0 DD 42 30 DC 5D 08 9B DF E0 9E 74 13 8B 45 08 89 42 30 8B 45 0C 89 42 34 8B C2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_91299_0 {
	meta:
		name = "TPointXYZFloat.SetZ"
		size = 40
		refs = "0020 TPointBlock.DoChanged"
	strings:
		$1 = { 55 8B EC 8B D0 DD 42 30 DC 5D 08 9B DF E0 9E 74 13 8B 45 08 89 42 30 8B 45 0C 89 42 34 8B C2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_91214_0 {
	meta:
		name = "TView3DOptions.GetTilt"
		size = 13
		refs = "0007 @ROUND"
	strings:
		$1 = { 53 8B D8 DD 43 38 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91215_0 {
	meta:
		name = "TView3DOptions.SetTilt"
		size = 40
		refs = "0020 TView3DOptions.Repaint"
	strings:
		$1 = { 55 8B EC 8B D0 DD 42 38 DC 5D 08 9B DF E0 9E 74 13 8B 45 08 89 42 38 8B 45 0C 89 42 3C 8B C2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_91218_0 {
	meta:
		name = "TView3DOptions.SetHorizOffset"
		size = 57
		refs = "0021 TView3DOptions.Repaint"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 43 18 DC 5D 08 9B DF E0 9E 74 22 8B 45 08 89 43 18 8B 45 0C 89 43 1C 8B C3 E8 ?? ?? ?? ?? 66 83 7B 62 00 74 08 B2 01 8B 43 64 FF 53 60 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_91220_0 {
	meta:
		name = "TView3DOptions.SetVertOffset"
		size = 57
		refs = "0021 TView3DOptions.Repaint"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 43 40 DC 5D 08 9B DF E0 9E 74 22 8B 45 08 89 43 40 8B 45 0C 89 43 44 8B C3 E8 ?? ?? ?? ?? 66 83 7B 62 00 74 08 33 D2 8B 43 64 FF 53 60 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_91224_0 {
	meta:
		name = "TView3DOptions.SetZOffset"
		size = 57
		refs = "0021 TView3DOptions.Repaint"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 43 48 DC 5D 08 9B DF E0 9E 74 22 8B 45 08 89 43 48 8B 45 0C 89 43 4C 8B C3 E8 ?? ?? ?? ?? 66 83 7B 62 00 74 08 33 D2 8B 43 64 FF 53 60 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_91225_0 {
	meta:
		name = "TView3DOptions.SetZoom"
		size = 65
		refs = "001d @ROUND 0038 TView3DOptions.Repaint"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 43 50 DC 5D 08 9B DF E0 9E 74 2A 66 83 7B 6A 00 74 10 DD 45 08 E8 ?? ?? ?? ?? 8B D0 8B 43 6C FF 53 68 8B 45 08 89 43 50 8B 45 0C 89 43 54 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_91226_0 {
	meta:
		name = "TView3DOptions.SetZoomText"
		size = 14
		refs = "0009 TView3DOptions.Repaint"
	strings:
		$1 = { 3A 50 58 74 08 88 50 58 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95018_0 {
	meta:
		name = "TSmoothingFunction.SetInterpolate"
		size = 14
		refs = "0009 TTeeFunction.ReCalculate"
	strings:
		$1 = { 3A 50 58 74 08 88 50 58 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91227_0 {
	meta:
		name = "TView3DOptions.Assign"
		size = 132
		refs = "000a _DV_TView3DOptions 000f @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6A 8B C6 8B 50 08 89 53 08 8B 50 0C 89 53 0C 8B 50 10 89 53 10 8B 50 18 89 53 18 8B 50 1C 89 53 1C 8B 50 24 89 53 24 0F B6 50 20 88 53 20 8B 50 28 89 53 28 8B 50 30 89 53 30 8B 50 34 89 53 34 8B 50 38 89 53 38 8B 50 3C 89 53 3C 8B 50 40 89 53 40 8B 50 44 89 53 44 8B 50 50 89 53 50 8B 50 54 89 53 54 0F B6 40 58 88 43 58 5E 5B C3 }
	condition:
		$1
}

rule function_91228_0 {
	meta:
		name = "TView3DOptions.CalcOrthoRatio"
		size = 120
		refs = "0017 TView3DOptions.CalcOrthoRatio 0036 TeePiStep 004a SinCos"
	strings:
		$1 = { 83 C4 E0 80 78 20 00 74 53 DB 40 24 DD 5C 24 18 9B DD 44 24 18 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 0F D9 05 ?? ?? ?? ?? DC 64 24 18 DD 5C 24 18 9B DD 44 24 18 DC 0D ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 54 24 18 8D 44 24 10 E8 ?? ?? ?? ?? DD 44 24 08 DC 74 24 10 DD 1C 24 9B EB 0D 33 C0 89 04 24 C7 44 24 04 00 00 F0 3F DD 04 24 83 C4 20 C3 00 00 B4 42 00 00 34 43 }
	condition:
		$1
}

rule function_91230_0 {
	meta:
		name = "TTeeCanvas.InternalDark"
		size = 43
		refs = "0008 ApplyDark 001a TBrush.SetColor"
	strings:
		$1 = { 56 8B F0 8B C2 8B D1 E8 ?? ?? ?? ?? 8B 56 04 8B 4A 10 80 79 20 00 75 08 92 E8 ?? ?? ?? ?? 5E C3 8B D0 8B C6 8B 08 FF 51 2C 5E C3 }
	condition:
		$1
}

rule function_91231_0 {
	meta:
		name = "TTeeCanvas.GetFontHeight"
		size = 32
		refs = "0001 TTeeCanvas.GetFontHeight"
	strings:
		$1 = { BA ?? ?? ?? ?? 8B 08 FF 91 A0 00 00 00 C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_91232_0 {
	meta:
		name = "TTeeCanvas.GetGradient"
		size = 33
		refs = "0010 _DV_TTeeGradient 0015 TCustomTeeGradient.Create"
	strings:
		$1 = { 53 8B D8 83 7B 30 00 75 13 6A 00 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 30 8B 43 30 5B C3 }
	condition:
		$1
}

rule function_91233_0 {
	meta:
		name = "TTeeCanvas.IsGradientVisible"
		size = 41
	strings:
		$1 = { 8B 50 04 8B 52 10 0F B6 52 20 80 FA 01 74 09 83 78 30 00 0F 95 C2 EB 02 33 D2 84 D2 74 08 8B 40 30 0F B6 40 28 C3 33 C0 C3 }
	condition:
		$1
}

rule function_91234_0 {
	meta:
		name = "TTeeCanvas.FastLineTo"
		size = 26
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 8B CD 8B D7 8B C6 8B 18 FF 53 7C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91235_0 {
	meta:
		name = "TTeeCanvas.SetCanvas"
		size = 93
		refs = "0038 TTeeCanvas.GetGradient 003f TCustomTeeGradient.SetVisible"
	strings:
		$1 = { 53 8B D8 8B C2 89 43 08 85 C0 74 1A 8B 40 44 89 43 10 8B 43 08 8B 40 40 89 43 0C 8B 43 08 8B 40 48 89 43 04 EB 0F 33 C0 89 43 10 33 C0 89 43 0C 33 C0 89 43 04 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 43 10 33 D2 89 50 14 8B 43 0C 33 D2 89 50 14 8B 43 04 33 D2 89 50 14 5B C3 }
	condition:
		$1
}

rule function_91236_0 {
	meta:
		name = "TTeeCanvas.ResetState"
		size = 232
		refs = "000c TPen.SetColor 0018 TPen.SetWidth 0021 TPen.SetStyle 0030 TBrush.SetColor 0039 TBrush.SetStyle 0045 TFont.SetColor 004c TTeeCanvas.ResetState 0053 TFont.SetStyle 005c TFont.SetCharset 0062 GetDefaultFontName 0069 TFont.SetName 006f GetDefaultFontSize 0076 TFont.SetSize 007b SysLocale 0086 Screen 0093 DefFontData 009c MulDiv 00ae TTeeCanvas.GetGradient 00b3 TCustomTeeGradient.InitDefs"
	strings:
		$1 = { 53 56 8B D8 8B 73 10 33 D2 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 73 04 BA FF FF FF 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 73 0C 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 78 04 11 75 26 A1 ?? ?? ?? ?? 8B 00 8B 40 48 50 6A 48 A1 ?? ?? ?? ?? 8B 40 04 50 E8 ?? ?? ?? ?? 8B D0 F7 DA 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 43 18 33 C0 89 43 2C BA FF FF FF 00 8B C3 8B 08 FF 51 2C B2 01 8B C3 8B 08 FF 51 30 33 D2 8B C3 8B 08 FF 51 48 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_91237_0 {
	meta:
		name = "TTeeCanvas.AssignBrush"
		size = 24
	strings:
		$1 = { 53 56 8B F0 8B 42 10 8B 40 18 50 8B 4A 18 8B C6 8B 18 FF 53 50 5E 5B C3 }
	condition:
		$1
}

rule function_91238_0 {
	meta:
		name = "TTeeCanvas.AssignBrush"
		size = 27
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 47 10 8B 40 18 50 8B D7 8B C6 8B 18 FF 53 50 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91239_0 {
	meta:
		name = "TTeeCanvas.AssignBrushColor"
		size = 30
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 45 08 50 8B D7 8B C6 8B 18 FF 53 50 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_91240_0 {
	meta:
		name = "SetBrushBitmap"
		size = 79
		refs = "000e TBrush.SetBitmap 0019 ColorToRGB 002b SetTextColor"
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 52 FC 8B 52 04 92 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC 8B 10 FF 52 0C 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC B2 02 8B 08 FF 51 30 8B 45 08 8B 50 08 8B 45 08 8B 40 FC 8B 08 FF 51 2C 5D C3 }
	condition:
		$1
}

rule function_91241_0 {
	meta:
		name = "TTeeCanvas.AssignBrush"
		size = 410
		refs = "0042 TBrush.SetStyle 004e _Dn_TBitmap 0053 @IsClass 0063 TBitmap.Create 006d TPicture.GetHeight 0076 TPicture.GetWidth 0080 TeeSetBitmapSize 008e TBitmap.GetCanvas 00a1 TPicture.SetBitmap 00a8 TObject.Free 00b1 TPicture.GetBitmap 00b6 SetBrushBitmap 00c3 TBrush.GetBitmap 00f1 TBrush.SetBitmap 010a TBrush.SetColor 016d TChartBrush.GetGradient 0176 TTeeCanvas.GetGradient 018d TCustomTeeGradient.SetVisible"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 8B F2 89 45 FC 8B 45 FC 8B 10 FF 52 14 84 C0 74 07 C7 45 F8 FF FF FF 00 8B 46 20 85 C0 0F 84 91 00 00 00 83 78 0C 00 0F 84 87 00 00 00 8B 45 FC 8B 40 04 B2 01 E8 ?? ?? ?? ?? 8B 46 20 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 51 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 46 20 E8 ?? ?? ?? ?? 50 8B 46 20 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? 8B 46 20 8B 40 0C 50 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 38 FF 57 44 8B D3 8B 46 20 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 55 8B 46 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 A4 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 1D 8B 45 FC 8B 40 04 B2 01 E8 ?? ?? ?? ?? 55 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 7C 8B 45 FC 8B 40 04 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 50 10 8B 52 18 3B 55 F8 74 08 8B 55 F8 E8 ?? ?? ?? ?? 8B 56 10 0F B6 52 20 8B 45 FC 8B 40 04 8B 48 10 0F B6 49 20 3A D1 74 05 E8 ?? ?? ?? ?? 81 7D 08 FF FF FF 1F 75 0C B2 01 8B 45 FC 8B 08 FF 51 30 EB 24 8B 45 FC 8B 40 04 8B 40 10 80 78 20 00 74 15 B2 02 8B 45 FC 8B 08 FF 51 30 8B 55 08 8B 45 FC 8B 08 FF 51 2C 83 7E 1C 00 74 18 8B C6 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 EB 0F 8B 45 FC E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_91242_0 {
	meta:
		name = "TTeeCanvas.AssignVisiblePen"
		size = 20
	strings:
		$1 = { 53 56 8B F0 8B 42 10 8B 48 18 8B C6 8B 18 FF 53 54 5E 5B C3 }
	condition:
		$1
}

rule function_91243_0 {
	meta:
		name = "TTeeCanvas.DoRectangle"
		size = 24
		altNames = "TTeeCanvas.Rectangle"
	strings:
		$1 = { 53 8B 4A 08 51 8B 4A 0C 51 8B 4A 04 8B 12 8B 18 FF 93 8C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_91245_0 {
	meta:
		name = "TTeeCanvas.DoHorizLine"
		size = 56
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F0 8B 7D 08 8B CF 8B 55 FC 8B C6 8B 18 FF 93 80 00 00 00 8B CF 8B 55 F8 8B C6 8B 18 FF 53 7C 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_91246_0 {
	meta:
		name = "TTeeCanvas.DoVertLine"
		size = 49
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 4D FC 8B D7 8B C6 8B 18 FF 93 80 00 00 00 8B 4D 08 8B D7 8B C6 8B 18 FF 53 7C 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_91247_0 {
	meta:
		name = "RGBValue"
		size = 17
	strings:
		$1 = { 88 42 02 8B C8 C1 E9 08 88 4A 01 C1 E8 10 88 02 C3 }
	condition:
		$1
}

rule function_91248_0 {
	meta:
		name = "TeeCreatePenSmallDots"
		size = 92
		refs = "0012 ColorToRGB 003e ExtCreatePen"
	strings:
		$1 = { 53 56 83 C4 EC 8B DA 8B F0 33 C0 89 44 24 08 8B C6 E8 ?? ?? ?? ?? 89 44 24 0C 33 C0 89 44 24 10 85 DB 7E 20 33 C0 89 04 24 43 89 5C 24 04 54 6A 02 8D 44 24 10 50 6A 01 68 07 00 01 00 E8 ?? ?? ?? ?? EB 12 6A 00 6A 00 8D 44 24 10 50 6A 01 6A 08 E8 ?? ?? ?? ?? 83 C4 14 5E 5B C3 }
	condition:
		$1
}

rule function_91249_0 {
	meta:
		name = "TeeSetTeePen"
		size = 263
		refs = "0019 TeeCreatePenSmallDots 0022 TPen.SetHandle 002d TPen.SetMode 004f TPen.SetColor 005b ColorToRGB 0098 TPen.GetStyle 00a3 PenStyles 00b0 ExtCreatePen 00db TeeCheckPenWidth 00fb TPen.SetWidth"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B F9 8B DA 8B F0 80 7B 21 00 74 23 8B 53 24 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 0F B6 53 18 8B C6 E8 ?? ?? ?? ?? E9 C9 00 00 00 8B EB 8B 45 10 83 78 1C 01 7E 7E 8B D3 8B C6 8B 08 FF 51 08 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 89 04 24 8B C7 E8 ?? ?? ?? ?? 89 44 24 04 33 C0 89 44 24 08 0F B6 43 20 2C 01 72 04 74 06 EB 0B 33 FF EB 0C BF 00 11 00 00 EB 05 BF 00 22 00 00 6A 00 6A 00 8D 44 24 08 50 8B 45 10 8B 40 1C 50 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 0F B7 04 45 ?? ?? ?? ?? 0D 00 00 01 00 0B F8 57 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 40 8B D3 8B C6 8B 08 FF 51 08 8B 46 10 3B 78 18 74 09 8B D7 8B C6 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 1D 8B C6 E8 ?? ?? ?? ?? 84 C0 74 12 8B 46 10 83 78 1C 01 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91250_0 {
	meta:
		name = "TTeeCanvas.SetPenMode"
		size = 50
		refs = "001d PenModes 002b SetROP2"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 43 10 83 78 1C 01 7E 20 80 7B 20 00 74 1A 0F B6 43 18 0F B7 04 45 ?? ?? ?? ?? 50 8B C6 8B 10 FF 52 0C 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91251_0 {
	meta:
		name = "TTeeCanvas.AssignVisiblePenColor"
		size = 257
		refs = "001b _DV_TChartPen 0020 @IsClass 0038 TPen.SetColor 003e TeeCheckPenWidth 004d TPen.GetStyle 006c TPen.SetWidth 007d IsWindowsNT 0099 TeeSetTeePen 00f8 TPen.SetStyle"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 14 84 C0 74 02 33 FF 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 4D 8B D6 8B 43 10 8B 08 FF 51 08 8B D7 8B 43 10 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 0F 84 B3 00 00 00 8B 43 10 E8 ?? ?? ?? ?? 84 C0 0F 84 A3 00 00 00 8B 43 10 8B 50 10 83 7A 1C 01 0F 85 93 00 00 00 33 D2 E8 ?? ?? ?? ?? E9 87 00 00 00 80 7E 28 00 74 6B 80 3D ?? ?? ?? ?? 00 74 24 8B C3 8B 10 FF 52 1C 84 C0 75 19 8B CF 8B EE 8B D5 8B 43 10 E8 ?? ?? ?? ?? 8B D5 8B C3 8B 08 FF 51 40 EB 54 8B D6 8B 43 10 8B 08 FF 51 08 8B D7 8B 43 10 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 37 8B 43 10 E8 ?? ?? ?? ?? 84 C0 74 2B 8B 43 10 8B 50 10 83 7A 1C 01 75 1F 33 D2 E8 ?? ?? ?? ?? EB 16 8B 43 10 E8 ?? ?? ?? ?? 3C 05 74 0A B2 05 8B 43 10 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91252_0 {
	meta:
		name = "TTeeCanvas.AssignFont"
		size = 180
		refs = "0025 TTeeCanvas.AssignFont 0032 TFont.GetSize 0048 @ROUND 0051 TFont.SetSize 0066 TFont.SetColor 007d TTeeCanvas.GetGradient 0095 TCustomTeeGradient.SetVisible"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B 7B 0C 8B 47 1C 89 46 1C 8B D6 8B C7 8B 08 FF 51 08 80 7B 34 00 74 35 DD 43 38 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 26 8B C7 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 DC 4B 38 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 84 C0 74 0A 33 D2 8B 43 0C E8 ?? ?? ?? ?? 8B 56 38 8B C3 8B 08 FF 51 38 83 7E 34 00 74 11 8B C3 E8 ?? ?? ?? ?? 8B 56 34 8B 08 FF 51 08 EB 0E 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 89 73 2C 89 5E 48 5A 5F 5E 5B C3 00 00 C8 42 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_91253_0 {
	meta:
		name = "TTeeCanvas.SetInterCharSize"
		size = 31
		refs = "000d GetTextCharacterExtra 0018 SetTextCharacterExtra"
	strings:
		$1 = { 53 56 8B F2 8B 10 FF 52 0C 8B D8 53 E8 ?? ?? ?? ?? 3B F0 74 07 56 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91254_0 {
	meta:
		name = "TTeeCanvas.TextWidth"
		size = 92
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC 8B D6 8B 43 08 8B 30 FF 96 8C 00 00 00 8B 0C 24 83 7B 2C 00 74 34 8B 43 2C 8B 70 44 85 F6 74 10 80 7E 20 00 74 0A 8B 46 0C 99 33 C2 2B C2 03 C8 8B 43 2C 8B 70 30 85 F6 74 10 80 7E 20 00 74 0A 8B 46 0C 99 33 C2 2B C2 03 C8 8B C1 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_91255_0 {
	meta:
		name = "TTeeCanvas.TextHeight"
		size = 93
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC 8B D6 8B 43 08 8B 30 FF 96 8C 00 00 00 8B 4C 24 04 83 7B 2C 00 74 34 8B 43 2C 8B 70 44 85 F6 74 10 80 7E 20 00 74 0A 8B 46 1C 99 33 C2 2B C2 03 C8 8B 43 2C 8B 70 30 85 F6 74 10 80 7E 20 00 74 0A 8B 46 1C 99 33 C2 2B C2 03 C8 8B C1 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_91256_0 {
	meta:
		name = "TTeeCanvas.TextExtent"
		size = 60
		refs = "002c @WStrToPWChar 0033 GetTextExtentPoint32W"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 33 D2 89 17 33 D2 89 57 04 8B 10 FF 52 0C 8B F0 8B DD 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 57 53 8B C5 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91257_0 {
	meta:
		name = "TTeeCanvas.TextWidth"
		size = 88
		refs = "0010 TTeeCanvas.TextExtent"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 0C 24 83 7B 2C 00 74 34 8B 43 2C 8B 70 44 85 F6 74 10 80 7E 20 00 74 0A 8B 46 0C 99 33 C2 2B C2 03 C8 8B 43 2C 8B 70 30 85 F6 74 10 80 7E 20 00 74 0A 8B 46 0C 99 33 C2 2B C2 03 C8 8B C1 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_91258_0 {
	meta:
		name = "TTeeCanvas.TextHeight"
		size = 89
		refs = "0010 TTeeCanvas.TextExtent"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 4C 24 04 83 7B 2C 00 74 34 8B 43 2C 8B 70 44 85 F6 74 10 80 7E 20 00 74 0A 8B 46 1C 99 33 C2 2B C2 03 C8 8B 43 2C 8B 70 30 85 F6 74 10 80 7E 20 00 74 0A 8B 46 1C 99 33 C2 2B C2 03 C8 8B C1 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_91259_0 {
	meta:
		name = "TTeeCanvas.Ellipse"
		size = 27
	strings:
		$1 = { 53 56 8B F0 8B 42 08 50 8B 42 0C 50 8B 4A 04 8B 12 8B C6 8B 18 FF 53 70 5E 5B C3 }
	condition:
		$1
}

rule function_91260_0 {
	meta:
		name = "TTeeCanvas.Frame3D"
		size = 178
		refs = "001c TPen.SetWidth 0026 TPen.SetStyle 0053 TPen.SetColor 005f TTeeCanvas.Line 0069 TTeeCanvas.LineTo 009b InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B DA 8B F0 8B 7D 08 BA 01 00 00 00 8B 46 10 E8 ?? ?? ?? ?? 33 D2 8B 46 10 E8 ?? ?? ?? ?? FF 4B 0C FF 4B 08 85 FF 7E 6F 4F 8B 43 08 89 45 F4 8B 43 04 89 45 F8 8B 03 89 45 EC 8B 43 0C 89 45 F0 8B 55 FC 8B 46 10 E8 ?? ?? ?? ?? 8B CB 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 0C 8B 46 10 E8 ?? ?? ?? ?? FF 4D EC 8D 4B 08 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B C3 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 85 FF 7F 91 FF 43 0C FF 43 08 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_91261_0 {
	meta:
		name = "TTeeCanvas.LineTo"
		size = 23
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 4F 04 8B 17 8B C6 8B 18 FF 53 7C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91262_0 {
	meta:
		name = "TTeeCanvas.MoveTo"
		size = 26
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 4F 04 8B 17 8B C6 8B 18 FF 93 80 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91263_0 {
	meta:
		name = "TTeeCanvas.RoundRect"
		size = 37
	strings:
		$1 = { 55 8B EC 53 8B 5A 08 53 8B 5A 0C 53 51 8B 4D 08 51 8B 0A 8B 52 04 87 CA 8B 18 FF 93 90 00 00 00 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_91264_0 {
	meta:
		name = "TTeeCanvas.TextOut"
		size = 87
		refs = "0020 @ROUND 0036 HtmlTextOut"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 80 7D 08 00 74 27 8B 45 0C 50 89 7D FC DB 45 FC E8 ?? ?? ?? ?? 50 89 75 F8 DB 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C3 59 E8 ?? ?? ?? ?? EB 12 8B 45 0C 50 8B CF 8B D6 8B C3 8B 18 FF 93 98 00 00 00 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_91265_0 {
	meta:
		name = "TTeeCanvas.Line"
		size = 50
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 4D FC 8B D7 8B C6 8B 18 FF 93 80 00 00 00 8B 4D 08 8B 55 0C 8B C6 8B 18 FF 53 7C 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_91266_0 {
	meta:
		name = "TTeeCanvas.Line"
		size = 30
	strings:
		$1 = { 53 56 8B F0 8B 01 50 8B 41 04 50 8B 02 8B 4A 04 8B D6 92 8B 18 FF 93 D0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_91267_0 {
	meta:
		name = "TTeeCanvas.BeginBlending"
		size = 22
		refs = "000a _DV_TTeeBlend 0011 TTeeBlend.Create"
	strings:
		$1 = { 83 E1 7F 89 48 18 52 8B C8 A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91268_0 {
	meta:
		name = "TTeeCanvas.EndBlending"
		size = 36
		refs = "0011 TTeeBlend.DoBlend 0018 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 12 0F B6 53 18 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 89 43 18 5E 5B C3 }
	condition:
		$1
}

rule function_91269_0 {
	meta:
		name = "CalcPoint"
		size = 83
		refs = "0019 SinCos 0027 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8D 55 F0 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 10 DB 40 F8 DC 4D F0 E8 ?? ?? ?? ?? 8B 55 10 03 42 FC 89 03 8B 45 10 DB 40 F0 DC 4D F8 E8 ?? ?? ?? ?? 8B 55 10 8B 52 F4 2B D0 89 16 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_91270_0 {
	meta:
		name = "TTeeCanvas.Arc"
		size = 165
		refs = "0044 TeePiStep 0056 CalcPoint"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F9 8B F2 89 45 EC 8B 45 1C 2B C6 D1 F8 79 03 83 D0 00 89 45 F8 8B 45 18 2B C7 D1 F8 79 03 83 D0 00 89 45 F0 8B C6 03 45 F8 89 45 FC 8B C7 03 45 F0 89 45 F4 55 DD 45 10 DC 0D ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 59 55 DD 45 08 DC 0D ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 59 8B 45 1C 50 8B 45 18 50 8B 45 E8 50 8B 45 E4 50 8B 45 E0 50 8B 45 DC 50 8B CF 8B D6 8B 45 EC 8B 18 FF 53 60 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_91271_0 {
	meta:
		name = "CalcArrowPoint"
		size = 78
		refs = "0021 @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 DD 40 F8 8B 45 08 DC 48 F0 8B 45 08 DD 40 E8 8B 45 08 DC 48 E0 DE C1 E8 ?? ?? ?? ?? 89 03 8B 45 08 DD 40 F8 D9 E0 8B 45 08 DC 48 E0 8B 45 08 DD 40 E8 8B 45 08 DC 48 F0 DE C1 E8 ?? ?? ?? ?? 89 43 04 5B 5D C3 }
	condition:
		$1
}

rule function_91272_0 {
	meta:
		name = "TTeeCanvas.GetArrowPoints"
		size = 544
		refs = "0035 TeeDistance 0047 @ROUND 0086 TTeeCanvas.GetArrowPoints 009f TPointArray 00a4 @DynArraySetLength 0100 CalcArrowPoint 01fd @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 8B F1 8B FA 8B 5D 08 8B 06 2B 07 89 45 D4 8B 47 04 2B 46 04 89 45 D0 DB 45 D4 83 C4 F8 DD 1C 24 9B DB 45 D0 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 5D B0 9B 8B 45 10 89 45 DC DD 45 B0 E8 ?? ?? ?? ?? 89 45 A8 89 55 AC 8B 45 0C 99 3B 55 AC 75 07 3B 45 A8 76 12 EB 02 7E 0E 8B 45 A8 89 45 A0 8B 45 AC 89 45 A4 EB 0A 8B 45 0C 99 89 45 A0 89 55 A4 8B 45 A0 89 45 D8 DD 45 B0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 86 60 01 00 00 6A 07 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 DB 45 D0 DC 75 B0 DD 5D E0 9B DB 45 D4 DC 75 B0 DD 5D F0 9B DB 06 DC 4D F0 DB 46 04 DC 4D E0 DE E9 DD 5D C0 9B DB 06 DC 4D E0 DB 46 04 DC 4D F0 DE C1 DD 5D B8 9B DB 45 D8 DC 6D C0 DD 5D F8 9B DB 45 DC D8 0D ?? ?? ?? ?? DC 6D B8 DD 5D E8 9B 55 8D 45 98 E8 ?? ?? ?? ?? 59 8B 03 8B 55 98 89 50 18 8B 55 9C 89 50 1C DB 45 DC D8 0D ?? ?? ?? ?? DC 45 B8 DD 5D E8 9B 55 8D 45 98 E8 ?? ?? ?? ?? 59 8B 03 8B 55 98 89 50 28 8B 55 9C 89 50 2C DB 45 DC DB 2D ?? ?? ?? ?? DC 4D 14 DE C9 DD 5D C8 9B DD 45 B8 DC 65 C8 DD 5D E8 9B 55 8D 45 98 E8 ?? ?? ?? ?? 59 8B 03 8B 55 98 89 50 10 8B 55 9C 89 50 14 DD 45 B8 DC 45 C8 DD 5D E8 9B 55 8D 45 98 E8 ?? ?? ?? ?? 59 8B 03 8B 55 98 89 50 30 8B 55 9C 89 50 34 DB 07 DC 4D F0 DB 47 04 DC 4D E0 DE E9 DD 5D F8 9B DD 45 B8 DC 65 C8 DD 5D E8 9B 55 8D 45 98 E8 ?? ?? ?? ?? 59 8B 03 8B 55 98 89 50 08 8B 55 9C 89 50 0C DD 45 B8 DC 45 C8 DD 5D E8 9B 55 8D 45 98 E8 ?? ?? ?? ?? 59 8B 03 8B 55 98 89 10 8B 55 9C 89 50 04 8B 03 8B 16 89 50 20 8B 56 04 89 50 24 EB 0D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 14 00 00 00 00 00 00 00 00 00 00 3F 0A D7 A3 70 3D 0A D7 A3 F7 3F 00 00 }
	condition:
		$1
}

rule function_91273_0 {
	meta:
		name = "TTeeCanvas.Arrow"
		size = 225
		refs = "001c TTeeCanvas.Arrow 003f TTeeCanvas.GetArrowPoints 0053 @DynArrayHigh 0087 TTeeCanvas.LineTo 00ac TPointArray 00b1 @DynArrayClear 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F9 88 55 FB 8B D8 8B 75 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 18 FF 75 14 8B 45 0C 50 8B 45 08 50 8D 45 FC 50 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 6C 80 7D FB 00 74 19 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 8B 18 FF 93 D8 00 00 00 EB 3F 8B 06 50 8B 46 04 50 8B 4F 04 8B 17 8B C3 8B 38 FF 97 D0 00 00 00 8B 45 FC 8D 50 28 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 18 8B 10 52 8B 40 04 50 8B 4E 04 8B 16 8B C3 8B 18 FF 93 D0 00 00 00 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 59 5D C2 14 00 }
	condition:
		$1
}

rule function_91274_0 {
	meta:
		name = "TPointBlock.DoChanged"
		size = 32
	strings:
		$1 = { 53 8B D8 66 83 7B 0A 00 74 08 8B D3 8B 43 0C FF 53 08 8B 43 10 85 C0 74 05 8B 10 FF 52 50 5B C3 }
	condition:
		$1
}

rule function_91275_0 {
	meta:
		name = "TPointXYFloat.Create"
		size = 114
		refs = "000e @ClassCreate 001d TObject.Create 005b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 08 89 47 08 8B 45 0C 89 47 0C 89 77 10 8B 45 10 89 47 18 8B 45 14 89 47 1C 8B 45 10 89 47 20 8B 45 14 89 47 24 8B 45 10 89 47 28 8B 45 14 89 47 2C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_91276_0 {
	meta:
		name = "TPointXYFloat.Assign"
		size = 56
		refs = "000b _DV_TPointXYFloat 0010 @IsClass 0025 TPointBlock.DoChanged 0030 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 83 C6 20 8D 7B 20 A5 A5 A5 A5 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91277_0 {
	meta:
		name = "TDomXPathNumberResult.AsNumber"
		size = 22
		altNames = "TPointXYFloat.GetX TPointXYZFloat.GetValue TPointXYZFloat.GetX"
	strings:
		$1 = { 83 C4 F8 8B 50 20 89 14 24 8B 50 24 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_91278_0 {
	meta:
		name = "TPointXYFloat.GetY"
		size = 22
		altNames = "TPointXYZFloat.GetY"
	strings:
		$1 = { 83 C4 F8 8B 50 28 89 14 24 8B 50 2C 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_91279_0 {
	meta:
		name = "TPointXYFloat.IsXStored"
		size = 16
		altNames = "TPointXYZFloat.IsXStored"
	strings:
		$1 = { 8B D0 DD 42 20 DC 5A 18 9B DF E0 9E 0F 95 C0 C3 }
	condition:
		$1
}

rule function_91280_0 {
	meta:
		name = "TPointXYFloat.IsYStored"
		size = 16
		altNames = "TPointXYZFloat.IsYStored"
	strings:
		$1 = { 8B D0 DD 42 28 DC 5A 18 9B DF E0 9E 0F 95 C0 C3 }
	condition:
		$1
}

rule function_91281_0 {
	meta:
		name = "TPointXYFloat.SetX"
		size = 40
		refs = "0020 TPointBlock.DoChanged"
		altNames = "TPointXYZFloat.SetX"
	strings:
		$1 = { 55 8B EC 8B D0 DD 42 20 DC 5D 08 9B DF E0 9E 74 13 8B 45 08 89 42 20 8B 45 0C 89 42 24 8B C2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_91282_0 {
	meta:
		name = "TPointXYFloat.SetY"
		size = 40
		refs = "0020 TPointBlock.DoChanged"
		altNames = "TPointXYZFloat.SetY"
	strings:
		$1 = { 55 8B EC 8B D0 DD 42 28 DC 5D 08 9B DF E0 9E 74 13 8B 45 08 89 42 28 8B 45 0C 89 42 2C 8B C2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_91283_0 {
	meta:
		name = "TPointXYFloat.InitDefault"
		size = 43
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 18 8B 55 0C 89 50 1C 8B 55 08 89 50 20 8B 55 0C 89 50 24 8B 55 08 89 50 28 8B 55 0C 89 50 2C 5D C2 08 00 }
	condition:
		$1
}

rule function_91284_0 {
	meta:
		name = "TPointXYZFloat.Create"
		size = 126
		refs = "000e @ClassCreate 001d TObject.Create 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 08 89 47 08 8B 45 0C 89 47 0C 89 77 10 8B 45 10 89 47 18 8B 45 14 89 47 1C 8B 45 10 89 47 20 8B 45 14 89 47 24 8B 45 10 89 47 28 8B 45 14 89 47 2C 8B 45 10 89 47 30 8B 45 14 89 47 34 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_91285_0 {
	meta:
		name = "TPointXYZFloat.Assign"
		size = 59
		refs = "000b _DV_TPointXYZFloat 0010 @IsClass 0028 TPointBlock.DoChanged 0033 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 83 C6 20 8D 7B 20 B9 06 00 00 00 F3 A5 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91288_0 {
	meta:
		name = "TPointXYZFloat.GetZ"
		size = 22
	strings:
		$1 = { 83 C4 F8 8B 50 30 89 14 24 8B 50 34 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_91289_0 {
	meta:
		name = "TPointXYFloat.ReadXZero"
		size = 28
		refs = "0009 TReader.ReadBoolean"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 33 C0 89 43 20 89 43 24 5E 5B C3 }
	condition:
		$1
}

rule function_91290_0 {
	meta:
		name = "TPointXYFloat.WriteXZero"
		size = 32
		refs = "0007 TPointXYFloat.WriteXZero 0014 TWriter.WriteBoolean"
	strings:
		$1 = { 8B C8 DD 41 20 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 94 C0 92 E8 ?? ?? ?? ?? C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_91291_0 {
	meta:
		name = "TPointXYFloat.ReadYZero"
		size = 28
		refs = "0009 TReader.ReadBoolean"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 33 C0 89 43 28 89 43 2C 5E 5B C3 }
	condition:
		$1
}

rule function_91292_0 {
	meta:
		name = "TPointXYFloat.WriteYZero"
		size = 32
		refs = "0007 TPointXYFloat.WriteYZero 0014 TWriter.WriteBoolean"
	strings:
		$1 = { 8B C8 DD 41 28 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 94 C0 92 E8 ?? ?? ?? ?? C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_91293_0 {
	meta:
		name = "TPointXYFloat.DefineProperties"
		size = 192
		refs = "000c TPersistent.DefineProperties 0012 TPointXYFloat.ReadXZero 0018 TPointXYFloat.WriteXZero 0021 TPointXYFloat.DefineProperties 004e TPointXYFloat.ReadYZero 0054 TPointXYFloat.WriteYZero"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? DD 43 18 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 0F DD 43 20 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 04 33 C9 EB 02 B1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 04 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? DD 43 18 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 0F DD 43 28 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 04 33 C9 EB 02 B1 01 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5F 5E 5B C3 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 58 00 5A 00 65 00 72 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 59 00 5A 00 65 00 72 00 6F 00 00 00 }
	condition:
		$1
}

rule function_91296_0 {
	meta:
		name = "TPointXYZFloat.IsZStored"
		size = 16
	strings:
		$1 = { 8B D0 DD 42 30 DC 5A 18 9B DF E0 9E 0F 95 C0 C3 }
	condition:
		$1
}

rule function_91300_0 {
	meta:
		name = "TPointXYZFloat.SetPoint"
		size = 22
		refs = "000f TPointBlock.DoChanged"
	strings:
		$1 = { 56 57 8B F2 8D 78 20 B9 06 00 00 00 F3 A5 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_91301_0 {
	meta:
		name = "TPointXYZFloat.SetPoint"
		size = 48
		refs = "0028 TPointBlock.DoChanged"
	strings:
		$1 = { 55 8B EC 8B 55 18 89 50 20 8B 55 1C 89 50 24 8B 55 10 89 50 28 8B 55 14 89 50 2C 8B 55 08 89 50 30 8B 55 0C 89 50 34 E8 ?? ?? ?? ?? 5D C2 18 00 }
	condition:
		$1
}

rule function_91303_0 {
	meta:
		name = "TPointXYZFloat.SetValue"
		size = 50
		refs = "002a TPointBlock.DoChanged"
	strings:
		$1 = { 55 8B EC 8D 50 20 8B 4D 08 89 0A 8B 4D 0C 89 4A 04 8B 4D 08 89 4A 08 8B 4D 0C 89 4A 0C 8B 4D 08 89 4A 10 8B 4D 0C 89 4A 14 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_91304_0 {
	meta:
		name = "TPointXYZFloat.DefineProperties"
		size = 108
		refs = "000b TPersistent.DefineProperties 0011 TPointXYZFloat.ReadZZero 0017 TPointXYZFloat.WriteZZero 0020 TPointXYZFloat.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? DD 43 18 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 0F DD 43 30 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 04 33 C9 EB 02 B1 01 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 5A 00 5A 00 65 00 72 00 6F 00 00 00 }
	condition:
		$1
}

rule function_91305_0 {
	meta:
		name = "TPointXYZFloat.InitDefault"
		size = 57
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 18 8B 55 0C 89 50 1C 83 C0 20 8B 55 08 89 10 8B 55 0C 89 50 04 8B 55 08 89 50 08 8B 55 0C 89 50 0C 8B 55 08 89 50 10 8B 55 0C 89 50 14 5D C2 08 00 }
	condition:
		$1
}

rule function_91306_0 {
	meta:
		name = "TPointXYZFloat.ReadZZero"
		size = 28
		refs = "0009 TReader.ReadBoolean"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 33 C0 89 43 30 89 43 34 5E 5B C3 }
	condition:
		$1
}

rule function_91307_0 {
	meta:
		name = "TPointXYZFloat.WriteZZero"
		size = 32
		refs = "0007 TPointXYZFloat.WriteZZero 0014 TWriter.WriteBoolean"
	strings:
		$1 = { 8B C8 DD 41 30 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 94 C0 92 E8 ?? ?? ?? ?? C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_91308_0 {
	meta:
		name = "TVisualBlock.Create"
		size = 113
		refs = "000a @ClassCreate 0017 TComponent.Create 0028 _DV_TPointXYZFloat 002d TPointXYZFloat.Create 005e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 68 00 00 59 40 6A 00 56 8B 06 8B 40 4C 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C C6 46 40 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_91309_0 {
	meta:
		name = "TVisualBlock.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TComponent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 3C E8 ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91310_0 {
	meta:
		name = "TVisualBlock.Assign"
		size = 70
		refs = "000b _DV_TVisualBlock 0010 @IsClass 003e TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B FE 8B 57 38 8B 43 38 8B 08 FF 51 08 8B 57 3C 8B 43 3C 8B 08 FF 51 08 0F B6 47 40 88 43 40 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91311_0 {
	meta:
		name = "TVisualBlock.SetLocation"
		size = 20
	strings:
		$1 = { 56 8B F0 8B 46 38 8B 08 FF 51 08 8B C6 8B 10 FF 52 50 5E C3 }
	condition:
		$1
}

rule function_91312_0 {
	meta:
		name = "TVisualBlock.SetSize"
		size = 20
	strings:
		$1 = { 56 8B F0 8B 46 3C 8B 08 FF 51 08 8B C6 8B 10 FF 52 50 5E C3 }
	condition:
		$1
}

rule function_91313_0 {
	meta:
		name = "TTeeCanvas3D.Surface3D"
		size = 7
		altNames = "TVisualBlock.AddPathPoint"
	strings:
		$1 = { 55 8B EC 5D C2 10 00 }
	condition:
		$1
}

rule function_91315_0 {
	meta:
		name = "TVisualBlock.SetBounds"
		size = 164
		refs = "0020 TVisualBlock.SetBounds 002a TRect.GetHeight"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 8B F8 8B 47 38 8D 70 20 8B 03 03 43 08 89 45 FC DB 45 FC D8 0D ?? ?? ?? ?? DD 1E 9B 8B C3 E8 ?? ?? ?? ?? 89 45 FC DB 45 FC 8B 43 04 03 43 0C 89 45 F8 DB 45 F8 D8 0D ?? ?? ?? ?? DE E9 DD 5E 10 9B DD 45 10 DC 45 08 D8 0D ?? ?? ?? ?? DD 5E 08 9B 8B 47 3C 8D 70 20 8B 43 08 2B 03 99 33 C2 2B C2 89 45 FC DB 45 FC DD 1E 9B 8B 43 0C 2B 43 04 99 33 C2 2B C2 89 45 FC DB 45 FC DD 5E 10 9B DD 45 08 DC 65 10 D9 E1 DD 5E 08 9B 5F 5E 5B 59 59 5D C2 10 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_91317_0 {
	meta:
		name = "TCustomChartGrid.NotifyChange"
		size = 29
		altNames = "TVisualEditor.MarkDirty"
	strings:
		$1 = { 53 66 83 B8 92 03 00 00 00 74 10 8B D8 8B D0 8B 83 94 03 00 00 FF 93 90 03 00 00 5B C3 }
	condition:
		$1
}

rule function_91320_0 {
	meta:
		name = "TCanvas3D.Arrow"
		size = 57
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F0 8B 7D 08 8B 45 14 50 8B 45 10 50 8B 45 0C 50 57 57 68 00 00 49 40 6A 00 8B 4D FC 8B C6 8B 18 FF 93 30 01 00 00 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_91321_0 {
	meta:
		name = "TCanvas3D.Assign"
		size = 31
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 14 8B D0 8B C3 8B 08 FF 51 3C 8B 46 44 89 43 44 5E 5B C3 }
	condition:
		$1
}

rule function_91327_0 {
	meta:
		name = "TCanvas3D.Calc3DPoints"
		size = 120
		refs = "001e TPointArray 0023 @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D9 8B FA 89 45 FC 8D 73 01 56 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 4E 85 F6 7C 40 46 C7 45 F8 00 00 00 00 8B DF 8B 45 0C 50 8D 45 F0 50 8B 4B 04 8B 13 8B 45 FC 8B 38 FF 97 14 01 00 00 8B 45 08 8B 00 8B 55 F8 8B 4D F0 89 0C D0 8B 4D F4 89 4C D0 04 FF 45 F8 83 C3 08 4E 75 CA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_91328_0 {
	meta:
		name = "TCanvas3D.CalcRect3D"
		size = 84
		refs = "001a TCanvas3D.Calculate3DPosition"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8D 45 F8 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 89 10 8B 55 FC 89 50 04 8D 45 F8 50 8D 56 08 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 89 50 08 8B 55 FC 89 50 0C 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_91329_0 {
	meta:
		name = "TCanvas3D.Calculate3DPosition"
		size = 33
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B 43 08 50 57 8B 4B 04 8B 13 8B C6 8B 18 FF 93 14 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91330_0 {
	meta:
		name = "TCanvas3D.Calculate3DPosition"
		size = 50
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F2 8D 7D F8 A5 A5 8B F1 8B D8 56 8B 45 08 50 8B 4D FC 8B 55 F8 8B C3 8B 18 FF 93 14 01 00 00 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_91331_0 {
	meta:
		name = "TCanvas3D.Cube"
		size = 54
	strings:
		$1 = { 55 8B EC 53 56 57 8B F2 8B F8 8B 46 04 50 8B 46 0C 50 51 8B 45 10 50 0F B6 45 0C 50 8B 45 08 50 8B 16 8B 4E 08 8B C7 8B 18 FF 93 3C 01 00 00 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_91332_0 {
	meta:
		name = "TCanvas3D.Diamond"
		size = 159
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 89 4D FC 8B F0 8B 4D 14 8D 04 11 D1 F8 79 03 83 D0 00 8B 5D FC 03 5D 10 D1 FB 79 03 83 D3 00 89 45 F4 8B 7D FC 89 7D F8 89 4D EC 89 5D F0 89 45 E4 8B 45 10 89 45 E8 89 55 DC 89 5D E0 8B 45 0C 03 45 08 D1 F8 79 03 83 D0 00 50 8B 45 F4 89 45 BC 8B 45 F8 89 45 C0 8B 45 EC 89 45 C4 8B 45 F0 89 45 C8 8B 45 E4 89 45 CC 8B 45 E8 89 45 D0 8B 45 DC 89 45 D4 8B 45 E0 89 45 D8 8D 55 BC B9 03 00 00 00 8B C6 8B 18 FF 93 90 01 00 00 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_91334_0 {
	meta:
		name = "TCanvas3D.DrawLighting"
		size = 7
	strings:
		$1 = { 55 8B EC 5D C2 1C 00 }
	condition:
		$1
}

rule function_91336_0 {
	meta:
		name = "TCanvas3D.EllipseWithZ"
		size = 35
	strings:
		$1 = { 53 56 57 8B F2 8B F8 8B 46 08 50 8B 46 0C 50 51 8B 16 8B 4E 04 8B C7 8B 18 FF 93 50 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91337_0 {
	meta:
		name = "TCanvas3D.RoundRect"
		size = 56
		refs = "001f TCanvas3D.CalcRect3D 002b TTeeCanvas.RoundRect"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 8B 45 10 50 8D 45 F0 50 8B D6 8B 4D 0C 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_91338_0 {
	meta:
		name = "TCanvas3D.PointFromCircle"
		size = 224
		refs = "003c TCanvas3D.PointFromCircle 005c TeePiStep 0071 SinCos 007c @ROUND 00c3 TCanvas3D.Calculate3DPosition"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 89 4D FC 8B F0 8B 5D 08 8B 02 03 42 08 D1 F8 79 03 83 D0 00 89 45 F8 8B 42 04 03 42 0C D1 F8 79 03 83 D0 00 89 45 F4 8B 42 08 2B 02 89 45 CC DB 45 CC D8 0D ?? ?? ?? ?? DD 5D E8 9B 8B 42 0C 2B 42 04 89 45 CC DB 45 CC D8 0D ?? ?? ?? ?? DD 5D E0 9B DD 05 ?? ?? ?? ?? DC 4D 10 83 C4 F8 DD 1C 24 9B 8D 55 D0 8D 45 D8 E8 ?? ?? ?? ?? DD 45 E8 DC 4D D0 E8 ?? ?? ?? ?? 03 45 F8 89 03 80 7D 0C 00 74 13 DD 45 E0 DC 4D D8 E8 ?? ?? ?? ?? 03 45 F4 89 43 04 EB 13 DD 45 E0 DC 4D D8 E8 ?? ?? ?? ?? 8B 55 F4 2B D0 89 53 04 83 7D FC 00 74 1B 8D 45 C4 50 8B D3 8B 4D FC 8B C6 E8 ?? ?? ?? ?? 8B 45 C4 89 03 8B 45 C8 89 43 04 5E 5B 8B E5 5D C2 10 00 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_91339_0 {
	meta:
		name = "TCanvas3D.PointFromSpiral"
		size = 224
		refs = "000e TeePiStep 0026 TCanvas3D.PointFromSpiral 0078 Exp 0090 SinCos 00ba @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 8B F1 8B DA DD 05 ?? ?? ?? ?? DC 4D 10 DD 5D F0 9B 8B 43 08 2B 03 89 45 BC DB 45 BC D8 0D ?? ?? ?? ?? DD 5D E8 9B 8B 43 0C 2B 43 04 89 45 BC DB 45 BC D8 0D ?? ?? ?? ?? DD 5D E0 9B DD 45 E8 DC 5D E0 9B DF E0 9E 76 0E 8B 45 E0 89 45 D8 8B 45 E4 89 45 DC EB 0C 8B 45 E8 89 45 D8 8B 45 EC 89 45 DC DD 45 F0 DC 4D 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DC 4D D8 DD 5D D0 9B FF 75 F4 FF 75 F0 8D 55 C0 8D 45 C8 E8 ?? ?? ?? ?? 8B 03 03 43 08 D1 F8 79 03 83 D0 00 89 45 FC 8B 43 04 03 43 0C D1 F8 79 03 83 D0 00 89 45 F8 DD 45 D0 DC 4D C0 E8 ?? ?? ?? ?? 03 45 FC 89 06 DD 45 D0 DC 4D C8 E8 ?? ?? ?? ?? 03 45 F8 89 46 04 5E 5B 8B E5 5D C2 10 00 00 00 00 3F }
	condition:
		$1
}

rule function_91340_0 {
	meta:
		name = "TCanvas3D.PolygonWithZ"
		size = 162
		refs = "0012 TCanvas3D.PolygonWithZ 002b TCanvas3D.Calc3DPoints 0041 @DynArrayHigh 0066 TPointArray 006b @DynArrayClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 45 FC 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 8B 18 FF 93 D8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_91341_0 {
	meta:
		name = "TCanvas3D.Polyline"
		size = 162
		refs = "0012 TCanvas3D.Polyline 002b TCanvas3D.Calc3DPoints 0041 @DynArrayHigh 0066 TPointArray 006b @DynArrayClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 45 FC 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 8B 18 FF 93 D4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_91342_0 {
	meta:
		name = "TCanvas3D.HorizLine3D"
		size = 67
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 0C 8B 45 08 50 8B CE 8B 55 FC 8B C3 8B 38 FF 97 74 01 00 00 8B 45 08 50 8B CE 8B 55 F8 8B C3 8B 18 FF 93 78 01 00 00 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_91343_0 {
	meta:
		name = "TCanvas3D.VertLine3D"
		size = 60
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 45 08 50 8B 4D FC 8B D6 8B C3 8B 38 FF 97 74 01 00 00 8B 45 08 50 8B 4D 0C 8B D6 8B C3 8B 18 FF 93 78 01 00 00 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_91344_0 {
	meta:
		name = "TCanvas3D.ZLine3D"
		size = 60
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 45 0C 50 8B 4D FC 8B D6 8B C3 8B 38 FF 97 74 01 00 00 8B 45 08 50 8B 4D FC 8B D6 8B C3 8B 18 FF 93 78 01 00 00 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_91345_0 {
	meta:
		name = "TCanvas3D.FourPointsFromRect"
		size = 164
		refs = "001c TCanvas3D.Calculate3DPosition"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B DA 8B F0 8D 45 F4 50 8B D3 8B 4D FC 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F4 89 10 8B 55 F8 89 50 04 8B 45 FC 50 8D 45 F4 50 8B 4B 04 8B 53 08 8B C6 8B 38 FF 97 14 01 00 00 8B 45 08 8B 55 F4 89 50 08 8B 55 F8 89 50 0C 8D 45 F4 50 8D 53 08 8B 4D FC 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 55 F4 89 50 10 8B 55 F8 89 50 14 8B 45 FC 50 8D 45 F4 50 8B 4B 0C 8B 13 8B C6 8B 18 FF 93 14 01 00 00 8B 45 08 8B 55 F4 89 50 18 8B 55 F8 89 50 1C 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_91346_0 {
	meta:
		name = "TCanvas3D.FrontPlaneBegin"
		size = 24
	strings:
		$1 = { 53 8B D8 83 7B 40 00 75 0A 8B C3 8B 10 FF 92 4C 01 00 00 FF 43 40 5B C3 }
	condition:
		$1
}

rule function_91347_0 {
	meta:
		name = "TCanvas3D.FrontPlaneEnd"
		size = 18
	strings:
		$1 = { FF 48 40 83 78 40 00 75 08 8B 10 FF 92 54 01 00 00 C3 }
	condition:
		$1
}

rule function_91348_0 {
	meta:
		name = "TCanvas3D.LineWithZ"
		size = 63
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 56 8B 4D F8 8B 55 FC 8B C3 8B 38 FF 97 74 01 00 00 56 8B 4D 0C 8B 55 10 8B C3 8B 18 FF 93 78 01 00 00 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_91349_0 {
	meta:
		name = "TCanvas3D.LineWithZ"
		size = 54
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC 8B 00 50 8B 45 FC 8B 40 04 50 8B 45 08 50 8B 4F 04 8B 17 8B C6 8B 18 FF 93 70 01 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_91350_0 {
	meta:
		name = "TCanvas3D.MoveTo3D"
		size = 56
		refs = "002c TTeeCanvas.MoveTo"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D FC 8B F2 8B D8 8B 45 08 50 8D 45 F4 50 8B 4D FC 8B D6 8B C3 8B 30 FF 96 14 01 00 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_91353_0 {
	meta:
		name = "TCanvas3D.LineTo3D"
		size = 56
		refs = "002c TTeeCanvas.LineTo"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D FC 8B F2 8B D8 8B 45 08 50 8D 45 F4 50 8B 4D FC 8B D6 8B C3 8B 30 FF 96 14 01 00 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_93315_0 {
	meta:
		name = "TGDIPlusCanvas.LineTo3D"
		size = 56
		refs = "002c TTeeCanvas.LineTo"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D FC 8B F2 8B D8 8B 45 08 50 8D 45 F4 50 8B 4D FC 8B D6 8B C3 8B 30 FF 96 14 01 00 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_91351_0 {
	meta:
		name = "TCanvas3D.MoveTo3D"
		size = 20
	strings:
		$1 = { 53 8B 4A 08 51 8B 4A 04 8B 12 8B 18 FF 93 74 01 00 00 5B C3 }
	condition:
		$1
}

rule function_91352_0 {
	meta:
		name = "TCanvas3D.LineTo3D"
		size = 20
	strings:
		$1 = { 53 8B 4A 08 51 8B 4A 04 8B 12 8B 18 FF 93 78 01 00 00 5B C3 }
	condition:
		$1
}

rule function_91354_0 {
	meta:
		name = "TCanvas3D.PlaneWithZ"
		size = 29
	strings:
		$1 = { 53 56 8B F0 8D 42 10 50 8D 42 18 50 51 8D 4A 08 8B C6 8B 18 FF 93 84 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_91355_0 {
	meta:
		name = "TCanvas3D.Rectangle"
		size = 17
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 18 FF 93 A0 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_91356_0 {
	meta:
		name = "TCanvas3D.Rectangle"
		size = 52
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F0 89 55 F0 89 4D F4 8B 45 10 89 45 F8 8B 45 0C 89 45 FC 8D 55 F0 8B 4D 08 8B C6 8B 18 FF 93 A0 01 00 00 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_91357_0 {
	meta:
		name = "TCanvas3D.RectFromRectZ"
		size = 45
		refs = "000c TCanvas3D.FourPointsFromRect 0022 RectFromPolygon"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 8D 5D E0 53 E8 ?? ?? ?? ?? 8B 45 08 50 8D 45 E0 B9 04 00 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_91358_0 {
	meta:
		name = "TCanvas3D.RotatedEllipse"
		size = 356
		refs = "0024 TCanvas3D.RotatedEllipse 0078 TeePiStep 008a SinCos 00dd @ROUND 0134 TPen.GetStyle"
	strings:
		$1 = { 55 8B EC 81 C4 9C FD FF FF 53 56 57 89 4D FC 8B F8 8B 45 18 03 C2 89 85 9C FD FF FF DB 85 9C FD FF FF D8 0D ?? ?? ?? ?? DD 5D D8 9B 8B 45 14 03 45 FC 89 85 9C FD FF FF DB 85 9C FD FF FF D8 0D ?? ?? ?? ?? DD 5D D0 9B 89 95 9C FD FF FF DB 85 9C FD FF FF DC 6D D8 DD 5D C8 9B DB 45 FC DC 6D D0 DD 5D C0 9B C7 45 F0 E4 72 51 C3 C7 45 F4 1B 88 B9 3F DD 45 08 DC 0D ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 55 A0 8D 45 A8 E8 ?? ?? ?? ?? 33 F6 8D 9D A0 FD FF FF 89 B5 9C FD FF FF DB 85 9C FD FF FF DC 4D F0 83 C4 F8 DD 1C 24 9B 8D 55 B0 8D 45 B8 E8 ?? ?? ?? ?? DD 45 C8 DC 4D B8 DD 5D E8 9B DD 45 C0 DC 4D B0 DD 5D E0 9B DD 45 E8 DC 4D A0 DD 45 E0 DC 4D A8 DE C1 DC 45 D8 E8 ?? ?? ?? ?? 89 03 DD 45 E8 D9 E0 DC 4D A8 DD 45 E0 DC 4D A0 DE C1 DC 45 D0 E8 ?? ?? ?? ?? 89 43 04 46 83 C3 08 83 FE 40 75 8F 8B 47 04 8B 40 10 0F B6 40 20 3C 01 74 1B 8B 45 10 50 8D 95 A0 FD FF FF B9 3F 00 00 00 8B C7 8B 18 FF 93 90 01 00 00 EB 25 8B 47 10 E8 ?? ?? ?? ?? 3C 05 74 19 8B 45 10 50 8D 95 A0 FD FF FF B9 3F 00 00 00 8B C7 8B 18 FF 93 94 01 00 00 5F 5E 5B 8B E5 5D C2 14 00 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_91359_0 {
	meta:
		name = "TCanvas3D.SmoothShadow"
		size = 473
		refs = "001a TBrush.SetColor 0024 TBrush.SetStyle 002c TPen.GetStyle 003a TPen.SetStyle 004b TPen.SetColor 0085 _DV_TTeeGradient 008a TCustomTeeGradient.Create 0095 TCanvas3D.SmoothShadow 00a5 TCustomTeeGradient.SetVisible 00b9 TCustomTeeGradient.SetEndColor 00c4 ApplyBright 00d8 ApplyDark 00e2 TCustomTeeGradient.SetStartColor 00ec TCustomTeeGradient.SetDirection 0114 TTeeCanvas.GetGradient 017b TObject.Free 0181 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B DA 8B F0 8B 7D 14 8B 53 08 8B 46 04 E8 ?? ?? ?? ?? 8B 46 04 33 D2 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 3C 05 74 1B 8B 46 10 33 D2 E8 ?? ?? ?? ?? 8B 46 04 8B 40 10 8B 50 18 8B 46 10 E8 ?? ?? ?? ?? 8D 47 01 85 C0 7E 14 8B 55 18 8B CF 8B C6 8B 18 FF 93 D8 00 00 00 E9 66 01 00 00 80 7D 20 00 0F 84 52 01 00 00 80 7B 10 00 0F 84 26 01 00 00 6A 00 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 7B 08 85 FF 75 0F BA C0 C0 C0 00 8B 45 F8 E8 ?? ?? ?? ?? EB 13 8B C7 B2 20 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 43 08 B2 80 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? B2 07 8B 45 F8 E8 ?? ?? ?? ?? 6A 00 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 08 FF 51 08 8B 46 10 B2 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 50 8B 45 FC 8B 40 0C 50 8B 4D FC 8B 49 04 8B 55 FC 8B 12 8B C6 8B 18 FF 53 70 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 40 08 50 8B 45 FC 8B 40 0C 50 8B 4D FC 8B 49 04 8B 55 FC 8B 12 8B C6 8B 18 FF 53 70 EB 0A 8B 55 FC 8B C6 8B 08 FF 51 74 5F 5E 5B 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule function_91360_0 {
	meta:
		name = "TCanvas3D.StretchDraw"
		size = 1237
		refs = "001a TPen.SetStyle 0023 _Dn_TBitmap 0028 @IsClass 003c TBitmap.SetPixelFormat 004a TBitmap.Create 00e8 TBitmap.GetScanline 0104 TeeSetDCBrushColor 0120 GetStockObject 012a SelectObject 0139 @ROUND 0450 TBrush.SetColor 04ae TBrush.SetHandle 04c8 TObject.Free"
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 53 56 57 89 4D F8 89 55 FC 8B F0 B2 05 8B 46 10 E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 F8 89 45 D4 B2 06 8B 45 D4 E8 ?? ?? ?? ?? EB 41 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 B2 06 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 28 85 C0 0F 94 C0 8B 55 D4 88 42 30 8B 55 F8 8B 45 D4 8B 08 FF 51 08 B2 06 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 8B 10 FF 52 30 89 45 E8 8B 45 D4 8B 10 FF 52 24 8B D8 83 7D E8 00 0F 84 2A 04 00 00 85 DB 0F 84 22 04 00 00 8B 45 FC 8B 40 0C 8B 55 FC 2B 42 04 89 45 84 DB 45 84 89 5D 80 DB 45 80 DE F9 DD 5D D8 9B 8B 45 FC 8B 40 08 8B 55 FC 2B 02 89 45 84 DB 45 84 DB 45 E8 DE F9 DD 5D E0 9B 33 D2 8B 45 D4 E8 ?? ?? ?? ?? 89 45 CC BA 01 00 00 00 8B 45 D4 E8 ?? ?? ?? ?? 2B 45 CC 89 45 C8 83 3D ?? ?? ?? ?? 00 0F 95 45 C7 80 7D C7 00 74 1D 8B C6 8B 10 FF 52 0C 89 45 C0 6A 12 E8 ?? ?? ?? ?? 50 8B 45 C0 50 E8 ?? ?? ?? ?? EB 05 33 C0 89 45 C0 DD 45 0C E8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 8B 40 04 89 45 AC 4B 85 DB 0F 8C 50 03 00 00 43 89 5D BC C7 45 F0 00 00 00 00 8B 45 C8 F7 6D F0 03 45 CC 89 45 D0 8B 45 F0 40 89 45 84 DB 45 84 DC 4D D8 E8 ?? ?? ?? ?? 8B 55 FC 03 42 04 89 45 B4 8B 5D FC 8B 1B 89 5D A8 0F B6 45 08 2C 01 72 07 74 5E E9 B3 00 00 00 53 8D 85 78 FF FF FF 50 8B 4D AC 8B 55 EC 8B C6 8B 38 FF 97 14 01 00 00 8B 85 78 FF FF FF 89 45 88 8B 85 7C FF FF FF 89 45 8C 53 8D 85 78 FF FF FF 50 8B 4D B4 8B 55 EC 8B C6 8B 18 FF 93 14 01 00 00 8B 85 78 FF FF FF 89 45 A0 8B 85 7C FF FF FF 89 45 A4 E9 B2 00 00 00 8B 45 AC 50 8D 85 78 FF FF FF 50 8B 4D EC 8B D3 8B C6 8B 38 FF 97 14 01 00 00 8B 85 78 FF FF FF 89 45 88 8B 85 7C FF FF FF 89 45 8C 8B 45 B4 50 8D 85 78 FF FF FF 50 8B 4D EC 8B D3 8B C6 8B 18 FF 93 14 01 00 00 8B 85 78 FF FF FF 89 45 A0 8B 85 7C FF FF FF 89 45 A4 EB 58 8B 45 EC 50 8D 85 78 FF FF FF 50 8B 4D AC 8B D3 8B C6 8B 38 FF 97 14 01 00 00 8B 85 78 FF FF FF 89 45 88 8B 85 7C FF FF FF 89 45 8C 8B 45 EC 50 8D 85 78 FF FF FF 50 8B 4D B4 8B D3 8B C6 8B 18 FF 93 14 01 00 00 8B 85 78 FF FF FF 89 45 A0 8B 85 7C FF FF FF 89 45 A4 8B 45 E8 48 85 C0 0F 8C DE 01 00 00 40 89 45 B8 C7 45 F4 00 00 00 00 8B 45 F4 40 89 45 84 DB 45 84 DC 4D E0 E8 ?? ?? ?? ?? 8B 55 FC 03 02 89 45 B0 0F B6 45 08 2C 01 72 07 74 64 E9 BB 00 00 00 8B 45 B0 50 8D 85 78 FF FF FF 50 8B 4D AC 8B 55 EC 8B C6 8B 18 FF 93 14 01 00 00 8B 85 78 FF FF FF 89 45 90 8B 85 7C FF FF FF 89 45 94 8B 45 B0 50 8D 85 78 FF FF FF 50 8B 4D B4 8B 55 EC 8B C6 8B 18 FF 93 14 01 00 00 8B 85 78 FF FF FF 89 45 98 8B 85 7C FF FF FF 89 45 9C E9 B6 00 00 00 8B 45 AC 50 8D 85 78 FF FF FF 50 8B 4D EC 8B 55 B0 8B C6 8B 18 FF 93 14 01 00 00 8B 85 78 FF FF FF 89 45 90 8B 85 7C FF FF FF 89 45 94 8B 45 B4 50 8D 85 78 FF FF FF 50 8B 4D EC 8B 55 B0 8B C6 8B 18 FF 93 14 01 00 00 8B 85 78 FF FF FF 89 45 98 8B 85 7C FF FF FF 89 45 9C EB 5A 8B 45 EC 50 8D 85 78 FF FF FF 50 8B 4D AC 8B 55 B0 8B C6 8B 18 FF 93 14 01 00 00 8B 85 78 FF FF FF 89 45 90 8B 85 7C FF FF FF 89 45 94 8B 45 EC 50 8D 85 78 FF FF FF 50 8B 4D B4 8B 55 B0 8B C6 8B 18 FF 93 14 01 00 00 8B 85 78 FF FF FF 89 45 98 8B 85 7C FF FF FF 89 45 9C 8B 45 F4 8D 04 40 8B 55 D0 8D 04 02 80 7D C7 00 74 26 8D 50 04 0F B6 12 8D 48 02 0F B6 09 C1 E1 08 0B D1 0F B6 00 C1 E0 10 0B D0 52 8B 45 C0 50 FF 15 ?? ?? ?? ?? EB 21 8D 50 04 0F B6 12 8D 48 02 0F B6 09 C1 E1 08 0B D1 0F B6 00 C1 E0 10 0B D0 8B 46 04 E8 ?? ?? ?? ?? 8D 55 88 B9 03 00 00 00 8B C6 8B 18 FF 93 D8 00 00 00 8B 45 B0 89 45 A8 8B 45 90 89 45 88 8B 45 94 89 45 8C 8B 45 98 89 45 A0 8B 45 9C 89 45 A4 FF 45 F4 FF 4D B8 0F 85 2D FE FF FF 8B 45 B4 89 45 AC FF 45 F0 FF 4D BC 0F 85 BB FC FF FF 80 7D C7 00 74 0A 33 D2 8B 46 04 E8 ?? ?? ?? ?? 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 08 8B 45 D4 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_91361_0 {
	meta:
		name = "TCanvas3D.TrianglePointsTo2D"
		size = 91
		refs = "0013 TCanvas3D.Calculate3DPosition"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 07 8B 44 24 04 89 47 04 8B CC 8D 56 0C 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 47 08 8B 44 24 04 89 47 0C 8B CC 8D 56 18 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 47 10 8B 44 24 04 89 47 14 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91365_0 {
	meta:
		name = "TTeeCanvas3D.Create"
		size = 83
		refs = "000a @ClassCreate 0017 TCanvas3D.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 38 C7 46 3C 00 00 59 40 C6 46 34 01 C6 86 18 01 00 00 01 C6 86 E8 00 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_91366_0 {
	meta:
		name = "TTeeCanvas3D.DeleteBitmap"
		size = 19
		refs = "000e TObject.Free"
	strings:
		$1 = { 05 E4 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91367_0 {
	meta:
		name = "TTeeCanvas3D.Destroy"
		size = 46
		refs = "0003 @BeforeDestruction 001c TTeeCanvas.Destroy 0027 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 92 D8 01 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91368_0 {
	meta:
		name = "TTeeCanvas3D.GetBackMode"
		size = 19
		refs = "0007 TCanvas.GetHandle 000d GetBkMode"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91372_0 {
	meta:
		name = "TTeeCanvas3D.GetBackColor"
		size = 19
		refs = "0007 TCanvas.GetHandle 000d GetBkColor"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91522_0 {
	meta:
		name = "TTeeCanvas3D.GetTextAlign"
		size = 19
		refs = "0007 TCanvas.GetHandle 000d GetTextAlign"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91369_0 {
	meta:
		name = "TTeeCanvas3D.SetBackMode"
		size = 27
		refs = "000e TCanvas.GetHandle 0014 SetBkMode"
	strings:
		$1 = { 53 56 8B DA 8B F0 0F B6 C3 50 8B 46 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91370_0 {
	meta:
		name = "TTeeCanvas3D.SetBackColor"
		size = 31
		refs = "0009 ColorToRGB 0012 TCanvas.GetHandle 0018 SetBkColor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91371_0 {
	meta:
		name = "TTeeCanvas3D.Description"
		size = 40
		refs = "0006 TTeeCanvas3D.Description 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 44 00 49 00 00 00 }
	condition:
		$1
}

rule function_91373_0 {
	meta:
		name = "TTeeCanvas3D.TextOut"
		size = 93
		refs = "001e TFont.GetSize 0029 TTeeCanvas3D.GetNewFont 003f TTeeCanvas3D.DirectTextOut 004a SelectObject 0050 DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B C3 8B 10 FF 52 0C 8B F0 8B 43 0C E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B 45 F8 50 8B 45 08 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 85 FF 74 0D 57 56 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_91374_0 {
	meta:
		name = "RectText"
		size = 220
	strings:
		$1 = { 55 8B EC 83 C4 C4 56 57 89 4D F8 89 55 FC 8B F8 8B 45 08 8B 50 08 8B 45 08 8B 40 FC 8B 08 FF 91 9C 00 00 00 8B F0 8B 45 08 8B 50 08 8B 45 08 8B 40 FC 8B 08 FF 91 A0 00 00 00 89 45 F4 8B 45 08 8B 40 FC 8B 10 FF 52 24 83 F8 08 7C 03 83 E8 08 83 F8 02 75 27 8B C7 2B C6 89 45 E4 8B 45 FC 89 45 E8 89 7D EC 8B 45 FC 03 45 F4 89 45 F0 8B 45 F8 8B F8 8D 75 E4 A5 A5 A5 A5 EB 5A 83 F8 06 75 32 8B C6 D1 F8 79 03 83 D0 00 8B D7 2B D0 89 55 D4 8B 55 FC 89 55 D8 03 F8 89 7D DC 8B 45 FC 03 45 F4 89 45 E0 8B 45 F8 8B F8 8D 75 D4 A5 A5 A5 A5 EB 23 89 7D C4 8B 45 FC 89 45 C8 03 F7 89 75 CC 8B 45 FC 03 45 F4 89 45 D0 8B 45 F8 8B F8 8D 75 C4 A5 A5 A5 A5 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_91375_0 {
	meta:
		name = "IsTrueTypeFont"
		size = 37
		refs = "0012 GetTextMetrics"
	strings:
		$1 = { 55 8B EC 83 C4 C4 8D 45 C4 50 8B 45 08 8B 40 F8 50 E8 ?? ?? ?? ?? 0F B6 45 FB 24 04 3C 04 0F 94 C0 8B E5 5D C3 }
	condition:
		$1
}

rule function_91376_0 {
	meta:
		name = "DoTextOut"
		size = 65
		refs = "0028 @UStrToPWChar 0037 TextOut"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B F0 8B 45 08 8B 40 08 89 45 FC 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 53 8B 45 08 8B 40 08 E8 ?? ?? ?? ?? 50 57 56 8B 45 08 8B 40 F8 50 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_91377_0 {
	meta:
		name = "CreateFontPath"
		size = 51
		refs = "000b BeginPath 0020 DoTextOut 002d EndPath"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F8 50 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 08 8B 50 0C 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F8 50 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_91378_0 {
	meta:
		name = "DoFontShadow"
		size = 616
		refs = "0093 RectText 00be ColorToRGB 00cb SetTextColor 00d8 DoTextOut 0102 _DV_TBlurFilter 0107 TBlurFilter.Create 0112 DoFontShadow 0142 TCustomCanvas.TextWidth 01d6 TCustomCanvas.TextHeight 021d TObject.Free 0223 @HandleFinally 0233 TCanvas.GetHandle"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 89 55 F8 89 45 FC 8B 45 FC 80 78 20 00 0F 84 45 02 00 00 8B 45 FC 83 78 0C 00 75 0D 8B 45 FC 83 78 1C 00 0F 84 2F 02 00 00 8B 45 FC 8B 40 0C 85 C0 7D 11 8B 55 08 8B 72 F4 F7 6D F8 8B 55 08 29 42 F4 EB 0B 8B 55 08 8B 72 F4 F7 6D F8 03 F0 8B 45 FC 8B 40 1C 85 C0 7D 11 8B 55 08 8B 7A 0C F7 6D F8 8B 55 08 29 42 0C EB 0B 8B 55 08 8B 7A 0C F7 6D F8 03 F8 8B 45 FC 80 78 18 00 76 2B 8B 45 08 50 8D 4D C8 8B D7 8B C6 E8 ?? ?? ?? ?? 59 8D 55 C8 8B 45 FC 0F B6 48 18 8B 45 08 8B 40 FC 8B 18 FF 53 58 89 45 F4 EB 05 33 C0 89 45 F4 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 F8 50 E8 ?? ?? ?? ?? 8B 45 08 50 8B D7 8B C6 E8 ?? ?? ?? ?? 59 8B 45 FC 80 78 10 00 0F 84 60 01 00 00 8B 45 08 8B 40 FC 83 B8 E4 00 00 00 00 0F 84 4D 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 40 14 83 F8 01 7D 05 B8 01 00 00 00 8B 55 F0 89 42 74 8B 45 08 8B 50 08 8B 45 08 8B 40 FC 8B 40 08 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 10 FF 52 24 83 F8 08 7C 03 83 E8 08 83 F8 02 75 04 2B F3 EB 10 83 F8 06 75 0B 8B C3 D1 F8 79 03 83 D0 00 2B F0 8B C6 48 85 C0 7D 07 33 C0 89 45 EC EB 03 89 45 EC 85 FF 7D 07 33 C0 89 45 E8 EB 03 89 7D E8 8B 45 08 8B 40 FC 8B 80 E4 00 00 00 8B 10 FF 52 30 48 8D 14 33 3B C2 7D 04 8B F0 EB 02 8B F2 8B 45 08 8B 40 FC 8B 80 E4 00 00 00 8B 10 FF 52 24 8B D8 4B 8B 45 08 8B 50 08 8B 45 08 8B 40 FC 8B 40 08 E8 ?? ?? ?? ?? 03 C7 48 3B C3 7E 02 8B C3 8B 55 EC 89 55 D8 8B 55 E8 89 55 DC 89 75 E0 89 45 E4 8D 4D D8 8B 45 08 8B 40 FC 8B 90 E4 00 00 00 8B 45 F0 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 8B 40 FC 8B 40 08 E8 ?? ?? ?? ?? 8B 55 08 89 42 F8 8B 45 08 8B 40 FC B2 01 8B 08 FF 51 30 8B 45 FC 80 78 18 00 76 0E 8B 45 08 8B 40 FC 8B 55 F4 8B 08 FF 51 5C 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91379_0 {
	meta:
		name = "TTeeCanvas3D.DirectTextOut"
		size = 611
		refs = "002b DoFontShadow 0051 ColorToRGB 005b SetTextColor 00e8 TPen.SetStyle 00fc TBrush.SetColor 0109 TBrush.SetStyle 0119 CreateFontPath 013a WidenPath 0145 SelectClipPath 0156 RectText 016b TCustomTeeGradient.Draw 01dd TTeePicture.Filtered 022e StrokePath 0239 StrokeAndFillPath 0247 DoTextOut"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 40 2C 85 C0 74 2C 8B 50 44 85 D2 74 0E 55 8B C2 BA 01 00 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 2C 8B 40 30 85 C0 74 0A 55 83 CA FF E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 0C 8B 40 18 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 2C 85 C0 0F 84 E1 01 00 00 8B 50 3C 85 D2 74 06 80 7A 28 00 75 04 33 D2 EB 02 B2 01 88 55 F3 8B 50 34 85 D2 74 06 80 7A 28 00 75 04 33 DB EB 02 B3 01 8B 50 4C 85 D2 74 06 83 7A 0C 00 75 04 33 C0 EB 02 B0 01 88 45 F2 0F B6 45 F3 0A C3 75 0A 80 7D F2 00 0F 84 81 01 00 00 80 7D F3 00 74 1B 8B 45 FC 8B 40 2C 8B 70 3C 8B 46 10 8B 48 18 8B D6 8B 45 FC 8B 30 FF 56 54 EB 0D 8B 45 FC 8B 40 10 B2 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 50 18 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 33 D2 E8 ?? ?? ?? ?? B2 01 8B 45 FC 8B 08 FF 51 30 55 E8 ?? ?? ?? ?? 59 84 DB 0F 84 88 00 00 00 8B 45 FC 8B 40 2C 8B 40 34 80 78 60 00 74 09 8B 45 F8 50 E8 ?? ?? ?? ?? 6A 01 8B 45 F8 50 E8 ?? ?? ?? ?? 6A 00 55 8D 4D E0 8B 55 0C 8B 45 F4 E8 ?? ?? ?? ?? 59 8D 4D E0 8B 45 FC 8B 40 2C 8B 40 34 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 E0 00 00 00 8B 45 FC 8B 40 2C 8B 40 34 80 78 60 00 74 09 C6 45 F3 00 E9 82 00 00 00 80 7D F3 00 74 7C 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 04 B2 01 E8 ?? ?? ?? ?? EB 66 80 7D F2 00 74 60 6A 01 8B 45 F8 50 E8 ?? ?? ?? ?? 55 8D 4D E0 8B 55 0C 8B 45 F4 E8 ?? ?? ?? ?? 59 8D 45 E0 50 8B 45 FC 8B 40 2C 8B 40 4C E8 ?? ?? ?? ?? 8B C8 8B 45 FC 5A 8B 18 FF 93 94 00 00 00 8B 45 FC 8B 10 FF 92 E0 00 00 00 80 7D F3 00 74 14 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 04 B2 01 E8 ?? ?? ?? ?? 80 7D F3 00 74 41 8B 45 FC 8B 40 2C 81 78 18 FF FF FF 1F 75 0B 8B 45 F8 50 E8 ?? ?? ?? ?? EB 27 8B 45 F8 50 E8 ?? ?? ?? ?? EB 1C 55 8B 55 0C 8B 45 F4 E8 ?? ?? ?? ?? 59 EB 0D 55 8B 55 0C 8B 45 F4 E8 ?? ?? ?? ?? 59 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_91380_0 {
	meta:
		name = "TTeeCanvas3D.Rectangle"
		size = 141
		refs = "0020 TTeeCanvas.IsGradientVisible 0048 TTeeCanvas3D.GradientFill 0055 TBrush.SetStyle 006a TCanvas.GetHandle 0070 Rectangle"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 8B FA 8B F0 8B 46 04 8B 40 10 0F B6 40 20 88 45 FB 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 2F 89 7D E8 8B 45 FC 89 45 EC 8B 45 0C 89 45 F0 8B 45 08 89 45 F4 8D 4D E8 8B 56 30 8B C6 E8 ?? ?? ?? ?? 8B 46 08 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 0C 50 8B 45 FC 50 57 8B 46 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 84 DB 74 0C 0F B6 55 FB 8B 46 04 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_91381_0 {
	meta:
		name = "TTeeCanvas3D.RoundRect"
		size = 200
		refs = "0021 TTeeCanvas.IsGradientVisible 006e TTeeCanvas3D.GradientFill 0085 TBrush.SetStyle 00a5 TCanvas.GetHandle 00ab RoundRect"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 4D F8 89 55 FC 8B F0 8B 46 04 8B 40 10 0F B6 40 20 88 45 F7 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 5E 8B 45 FC 89 45 D4 8B 45 F8 89 45 D8 8B 45 14 40 89 45 DC 8B 45 10 40 89 45 E0 56 8D 75 D4 8D 7D E4 A5 A5 A5 A5 5E 8B 45 08 50 8D 55 E4 8B 4D 0C 8B C6 8B 38 FF 97 B0 00 00 00 8D 4D E4 8B 56 30 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 E0 00 00 00 8B 46 08 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 F8 50 8B 45 FC 50 8B 46 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 84 DB 74 0C 0F B6 55 F7 8B 46 04 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_91382_0 {
	meta:
		name = "TTeeCanvas3D.SetTextAlign"
		size = 24
		refs = "000b TCanvas.GetHandle 0011 SetTextAlign"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91383_0 {
	meta:
		name = "TTeeCanvas3D.MoveTo"
		size = 31
		refs = "0011 TCanvas.GetHandle 0017 MoveToEx"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A 00 57 56 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91384_0 {
	meta:
		name = "TTeeCanvas3D.SetFastLine"
		size = 32
	strings:
		$1 = { 53 8B D8 84 D2 74 0F 8B C3 8B 10 FF 52 0C 89 83 EC 00 00 00 5B C3 33 C0 89 83 EC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_91385_0 {
	meta:
		name = "TTeeCanvas3D.FastLineTo"
		size = 15
		refs = "000a LineTo"
	strings:
		$1 = { 51 52 8B 80 EC 00 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91386_0 {
	meta:
		name = "TTeeCanvas3D.LineTo"
		size = 29
		refs = "000f TCanvas.GetHandle 0015 LineTo"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91387_0 {
	meta:
		name = "TTeeCanvas3D.PolygonFour"
		size = 22
	strings:
		$1 = { 53 8D 90 1C 01 00 00 B9 03 00 00 00 8B 18 FF 93 D8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_91388_0 {
	meta:
		name = "TTeeCanvas3D.PlaneWithZ"
		size = 183
		refs = "0034 TTeeCanvas3D.Calc3DTPoint"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 75 0C 8D 7D E0 A5 A5 8B 75 10 8D 7D E8 A5 A5 8B F1 8D 7D F0 A5 A5 8B F2 8D 7D F8 A5 A5 8B D8 8B 75 08 8D 55 F8 8B CE 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B CE 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8B CE 8B C3 E8 ?? ?? ?? ?? 8D 55 E0 8B CE 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 89 83 1C 01 00 00 8B 45 FC 89 83 20 01 00 00 8B 45 F0 89 83 24 01 00 00 8B 45 F4 89 83 28 01 00 00 8B 45 E8 89 83 2C 01 00 00 8B 45 EC 89 83 30 01 00 00 8B 45 E0 89 83 34 01 00 00 8B 45 E4 89 83 38 01 00 00 8B C3 8B 10 FF 92 D0 01 00 00 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_91389_0 {
	meta:
		name = "TTeeCanvas3D.Calc3DTPoint"
		size = 10
		refs = "0005 TTeeCanvas3D.Calc3DPos"
	strings:
		$1 = { 51 8D 4A 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91390_0 {
	meta:
		name = "TTeeCanvas3D.Calc3DTPoint3D"
		size = 20
		refs = "000e TTeeCanvas3D.Calc3DPoint"
	strings:
		$1 = { 53 8B 5A 04 53 8B 5A 08 53 8B 12 87 CA E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91391_0 {
	meta:
		name = "TTeeCanvas3D.Calculate3DPosition"
		size = 49
		refs = "001b TTeeCanvas3D.Calc3DPos"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B 5D 08 8B 55 0C 52 8D 4D F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 89 03 8B 45 F8 89 43 04 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_91392_0 {
	meta:
		name = "TTeeCanvas3D.Calc3DPoint"
		size = 42
		refs = "0015 TTeeCanvas3D.Calc3DPos"
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B DA 8B 55 08 52 8D 4D 0C 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 89 03 8B 45 0C 89 43 04 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_91393_0 {
	meta:
		name = "TTeeCanvas3D.Calculate2DPosition"
		size = 356
		refs = "0017 TTeeCanvas3D.Calculate2DPosition 0058 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F1 8B FA 8B D8 DD 83 10 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 84 2B 01 00 00 D9 05 ?? ?? ?? ?? DC B3 10 01 00 00 DD 5D F0 9B 80 7B 49 00 74 51 8B 07 2B 83 48 01 00 00 89 45 EC DB 45 EC DC 4D F0 DB 45 08 DC 8B F8 00 00 00 DE E9 E8 ?? ?? ?? ?? 03 43 4C 89 07 8B 06 2B 83 4C 01 00 00 89 45 EC DB 45 EC DC 4D F0 DB 45 08 DC 8B 00 01 00 00 DE C1 E8 ?? ?? ?? ?? 03 43 50 89 06 E9 C4 00 00 00 80 BB 19 01 00 00 00 0F 84 B7 00 00 00 DD 83 C0 00 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 84 A1 00 00 00 DD 83 B8 00 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 84 8B 00 00 00 8B 07 89 45 FC 8B 43 54 29 45 08 8B 45 FC 2B 83 48 01 00 00 89 45 EC DB 45 EC DC 4D F0 DB 45 08 DC 8B D0 00 00 00 DE E9 8B 06 2B 43 50 89 45 E8 DB 45 E8 DC 8B B0 00 00 00 DE E9 DC B3 C0 00 00 00 E8 ?? ?? ?? ?? 03 43 4C 89 07 8B 06 2B 83 4C 01 00 00 89 45 EC DB 45 EC DC 4D F0 DB 45 08 DC 8B D8 00 00 00 DE E9 8B 45 FC 2B 43 4C 89 45 E8 DB 45 E8 DC 8B C8 00 00 00 DE E9 DC B3 B8 00 00 00 E8 ?? ?? ?? ?? 03 43 50 89 06 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_91394_0 {
	meta:
		name = "TTeeCanvas3D.Calc3DPoint"
		size = 424
		refs = "002a @ROUND 00f8 TTeeCanvas3D.Calc3DPoint"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 8B F2 8B D8 80 7B 49 00 74 4E DB 43 4C DC 6D 18 DD 83 F8 00 00 00 DC 4D 08 DE C1 DC 8B 10 01 00 00 E8 ?? ?? ?? ?? 03 83 48 01 00 00 89 06 DB 43 50 DC 6D 10 DD 83 00 01 00 00 DC 4D 08 DE E9 DC 8B 10 01 00 00 E8 ?? ?? ?? ?? 03 83 4C 01 00 00 89 46 04 E9 3C 01 00 00 80 BB 19 01 00 00 00 0F 84 F8 00 00 00 DB 43 54 DC 6D 08 DD 5D 08 9B DB 43 4C DC 6D 18 DD 5D 18 9B DB 43 50 DC 6D 10 DD 5D 10 9B DD 45 08 DC 8B A0 00 00 00 DD 45 18 DC 8B 88 00 00 00 DE E9 DD 5D E0 9B DD 45 18 DC 8B A0 00 00 00 DD 45 08 DC 8B 88 00 00 00 DE C1 DD 5D F0 9B DD 45 10 DC 8B 98 00 00 00 DD 45 E0 DC 8B 80 00 00 00 DE E9 DD 5D E8 9B 80 BB F0 00 00 00 00 74 2C DD 45 E0 DC 8B 98 00 00 00 DD 45 10 DC 8B 80 00 00 00 DE C1 DC 8B 08 01 00 00 D8 05 ?? ?? ?? ?? DC BB 10 01 00 00 DD 5D F8 9B EB 12 8B 83 10 01 00 00 89 45 F8 8B 83 14 01 00 00 89 45 FC DD 45 F0 DC 8B A8 00 00 00 DD 45 E8 DC 8B 90 00 00 00 DE E9 DC 4D F8 E8 ?? ?? ?? ?? 03 83 48 01 00 00 89 06 DD 45 E8 DC 8B A8 00 00 00 DD 45 F0 DC 8B 90 00 00 00 DE C1 DC 4D F8 E8 ?? ?? ?? ?? 03 83 4C 01 00 00 89 46 04 EB 37 DB 43 4C DC 6D 18 DC 8B 10 01 00 00 DB 83 48 01 00 00 DE C1 E8 ?? ?? ?? ?? 89 06 DB 43 50 DC 6D 10 DC 8B 10 01 00 00 DB 83 4C 01 00 00 DE C1 E8 ?? ?? ?? ?? 89 46 04 5E 5B 8B E5 5D C2 18 00 00 00 80 3F }
	condition:
		$1
}

rule function_91395_0 {
	meta:
		name = "TTeeCanvas3D.Calc3DPos"
		size = 444
		refs = "0032 @ROUND 00c4 TTeeCanvas3D.Calc3DPos"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F9 8B F2 8B D8 80 7B 49 00 74 57 DB 45 08 DC 8B F8 00 00 00 8B 06 2B 43 4C 89 45 DC DB 45 DC DE C1 DC 8B 10 01 00 00 E8 ?? ?? ?? ?? 03 83 48 01 00 00 89 06 DB 45 08 DC 8B 00 01 00 00 8B 07 2B 43 50 89 45 DC DB 45 DC DE E1 DC 8B 10 01 00 00 E8 ?? ?? ?? ?? 03 83 4C 01 00 00 89 07 E9 41 01 00 00 80 BB 19 01 00 00 00 0F 84 34 01 00 00 8B 43 54 29 45 08 8B 43 4C 29 06 8B 43 50 29 07 DB 45 08 DC 8B A0 00 00 00 DB 06 DC 8B 88 00 00 00 DE E9 DD 5D E0 9B 80 BB F0 00 00 00 00 74 2B DD 45 E0 DC 8B 98 00 00 00 DB 07 DC 8B 80 00 00 00 DE C1 DC 8B 08 01 00 00 D8 05 ?? ?? ?? ?? DC BB 10 01 00 00 DD 5D F8 9B EB 12 8B 83 10 01 00 00 89 45 F8 8B 83 14 01 00 00 89 45 FC 80 BB F1 00 00 00 00 74 78 DB 06 DC 8B A0 00 00 00 DB 45 08 DC 8B 88 00 00 00 DE C1 DD 5D F0 9B DB 07 DC 8B 98 00 00 00 DD 45 E0 DC 8B 80 00 00 00 DE E9 DD 5D E8 9B DD 45 F0 DC 8B A8 00 00 00 DD 45 E8 DC 8B 90 00 00 00 DE E9 DC 4D F8 E8 ?? ?? ?? ?? 03 83 48 01 00 00 89 06 DD 45 E8 DC 8B A8 00 00 00 DD 45 F0 DC 8B 90 00 00 00 DE C1 DC 4D F8 E8 ?? ?? ?? ?? 03 83 4C 01 00 00 89 07 EB 46 DB 06 DC 8B A0 00 00 00 DB 45 08 DC 8B 88 00 00 00 DE C1 DC 4D F8 E8 ?? ?? ?? ?? 03 83 48 01 00 00 89 06 DB 07 DC 8B 98 00 00 00 DD 45 E0 DC 8B 80 00 00 00 DE E9 DC 4D F8 E8 ?? ?? ?? ?? 03 83 4C 01 00 00 89 07 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_91397_0 {
	meta:
		name = "TTeeCanvas3D.Cone"
		size = 43
		refs = "0022 TTeeCanvas3D.InternalCylinder"
	strings:
		$1 = { 55 8B EC 53 8B 5D 20 53 8B 5D 1C 53 8B 5D 18 53 8B 5D 14 53 8B 5D 10 53 0F B6 5D 0C 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_91398_0 {
	meta:
		name = "TTeeCanvas3D.Sphere"
		size = 63
		refs = "0012 @ROUND"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 DD 45 08 E8 ?? ?? ?? ?? 8D 14 38 52 8B 55 FC 03 D0 52 8B 55 10 52 8B 4D FC 2B C8 8B D7 2B D0 8B C6 8B 18 FF 93 50 01 00 00 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_91400_0 {
	meta:
		name = "TCanvas3D.TriSurface"
		size = 210
		refs = "0017 TeeZeroRect 0034 TCanvas3D.TriSurface 006c TCanvas3D.TrianglePointsTo2D 0077 RectFromTriangle 0082 TTeeBlend.SetRectangle 00bd TObject.Free 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 57 88 4D FF 8B DA 8B F0 80 7D FF 00 76 15 BA ?? ?? ?? ?? 0F B6 4D FF 8B C6 8B 38 FF 57 58 89 45 F4 EB 05 33 C0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7E 6A C7 45 F8 01 00 00 00 8D 45 E8 50 8D 45 A0 50 8D 4D C4 8B 55 F8 8B 45 0C FF 55 08 83 7D F4 00 74 23 8D 4D AC 8D 55 C4 8B C6 E8 ?? ?? ?? ?? 8D 55 90 8D 45 AC E8 ?? ?? ?? ?? 8D 55 90 8B 45 F4 E8 ?? ?? ?? ?? 8D 4D E8 8D 55 C4 8B C6 8B 38 FF 97 C4 01 00 00 80 7D FF 00 76 0A 8B 55 F4 8B C6 8B 08 FF 51 5C FF 45 F8 4B 75 9D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_91401_0 {
	meta:
		name = "TTeeCanvas3D.SetFontQuality"
		size = 53
		refs = "0016 TeeFontAntiAlias"
	strings:
		$1 = { 8B 48 2C 85 C9 74 23 0F B6 41 40 2C 01 72 04 74 0E EB 12 0F B6 05 ?? ?? ?? ?? 88 42 1A EB 15 C6 42 1A 03 EB 0F C6 42 1A 00 C3 0F B6 05 ?? ?? ?? ?? 88 42 1A C3 }
	condition:
		$1
}

rule function_91402_0 {
	meta:
		name = "TTeeCanvas3D.GetNewFont"
		size = 92
		refs = "0014 TFont.GetHandle 0027 GetObject 0036 MulDiv 0044 TTeeCanvas3D.SetFontQuality 004a CreateFontIndirect 0051 SelectObject"
	strings:
		$1 = { 53 56 57 83 C4 A4 8B F9 8B F2 8B D8 8B 43 2C 85 C0 74 07 E8 ?? ?? ?? ?? EB 08 8B 43 0C E8 ?? ?? ?? ?? 54 6A 5C 50 E8 ?? ?? ?? ?? 6A 48 8B 43 0C 8B 40 1C 50 57 E8 ?? ?? ?? ?? F7 D8 89 04 24 8B D4 8B C3 E8 ?? ?? ?? ?? 54 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 83 C4 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91403_0 {
	meta:
		name = "TTeeCanvas3D.SmoothShadow"
		size = 101
		refs = "0039 TTeeShadow.InternalDrawSmooth 005b TCanvas3D.SmoothShadow"
	strings:
		$1 = { 55 8B EC 56 57 8B F9 8B F0 8B 45 20 80 7A 10 00 74 2D 80 7E 14 00 75 27 83 BE E4 00 00 00 00 74 1E 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B CF 8B C2 8B D6 E8 ?? ?? ?? ?? EB 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 FF 75 0C FF 75 08 8B CF 8B C6 E8 ?? ?? ?? ?? 5F 5E 5D C2 1C 00 }
	condition:
		$1
}

rule function_91404_0 {
	meta:
		name = "TTeeCanvas3D.TextOut3D"
		size = 244
		refs = "0027 TTeeCanvas3D.Calc3DPos 0039 TTeeCanvas3D.TextOut3D 0047 TFont.GetSize 0058 @ROUND 00a2 TTeeCanvas3D.GetNewFont 00bb HtmlTextOut 00d1 TTeeCanvas3D.DirectTextOut 00dc SelectObject 00e2 DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F8 89 55 FC 8B D8 8B C3 8B 10 FF 52 0C 8B F0 8B 45 10 50 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 80 7B 34 00 74 62 DD 83 10 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 50 8B 43 0C E8 ?? ?? ?? ?? 89 45 E4 DB 45 E4 DC 8B 10 01 00 00 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 83 7D F4 00 75 08 83 7D F0 01 73 14 EB 02 7D 10 C7 45 E8 01 00 00 00 C7 45 EC 00 00 00 00 EB 0C 8B 45 F0 89 45 E8 8B 45 F4 89 45 EC 8B 45 E8 EB 08 8B 43 0C E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 80 7D 08 00 74 13 8B 45 0C 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 14 8B 45 F8 50 8B 45 0C 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 85 FF 74 0D 57 56 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_91405_0 {
	meta:
		name = "TTeeCanvas3D.TextOut3D"
		size = 27
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 53 8B 5D 08 53 6A 00 8B 18 FF 93 C0 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_91406_0 {
	meta:
		name = "TTeeCanvas3D.RectangleWithZ"
		size = 235
		refs = "002d TTeeCanvas3D.Calc3DPos"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F9 8B F2 8B D8 8B C3 8D AB 1C 01 00 00 8B 16 89 14 24 8B 56 04 89 54 24 04 8B D7 52 8D 4C 24 08 8D 54 24 04 E8 ?? ?? ?? ?? 8B 04 24 89 45 00 8B 44 24 04 89 45 04 8B C3 8D AB 24 01 00 00 8B 56 08 89 54 24 08 8B 56 04 89 54 24 0C 8B D7 52 8D 4C 24 10 8D 54 24 0C E8 ?? ?? ?? ?? 8B 44 24 08 89 45 00 8B 44 24 0C 89 45 04 8B C3 8D AB 2C 01 00 00 8B 56 08 89 54 24 10 8B 56 0C 89 54 24 14 8B D7 52 8D 4C 24 18 8D 54 24 14 E8 ?? ?? ?? ?? 8B 44 24 10 89 45 00 8B 44 24 14 89 45 04 8B C3 8D AB 34 01 00 00 8B 16 89 54 24 18 8B 56 0C 89 54 24 1C 8B D7 52 8D 4C 24 20 8D 54 24 1C E8 ?? ?? ?? ?? 8B 44 24 18 89 45 00 8B 44 24 1C 89 45 04 8B C3 8B 10 FF 92 D0 01 00 00 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91407_0 {
	meta:
		name = "SetCanvasRegion"
		size = 120
		refs = "0019 CreateRectRgn 0022 GetClipRgn 002a ClipHistory 002f @DynArrayLength 0045 :63 004a @DynArraySetLength 005d DeleteObject 0068 ExtSelectClipRgn"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B DA 8B F8 85 DB 74 62 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 8B F0 56 57 E8 ?? ?? ?? ?? 48 75 32 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8D 45 01 50 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? 89 34 A8 EB 06 56 E8 ?? ?? ?? ?? 8B 04 24 50 53 57 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91408_0 {
	meta:
		name = "ClipCanvas"
		size = 94
		refs = "001f TCanvas.GetHandle 002e LPtoDP 0047 CreateRectRgn 0055 SetCanvasRegion"
	strings:
		$1 = { 53 83 C4 F0 8B 0A 89 0C 24 8B 4A 04 89 4C 24 04 8B 4A 08 89 4C 24 08 8B 4A 0C 89 4C 24 0C E8 ?? ?? ?? ?? 8B D8 6A 02 8D 44 24 04 50 53 E8 ?? ?? ?? ?? 8B 44 24 0C 50 8B 44 24 0C 50 8B 44 24 0C 50 8B 44 24 0C 50 E8 ?? ?? ?? ?? B9 01 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_91410_0 {
	meta:
		name = "InternalCreateRegion"
		size = 33
		refs = "000e LPtoDP 0017 CreatePolygonRgn"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B 75 08 56 53 50 E8 ?? ?? ?? ?? 6A 01 56 53 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_91411_0 {
	meta:
		name = "PointArrayOf"
		size = 85
		refs = "001c TPointArray 0021 @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F0 8B 45 08 8B 40 0C 50 8B 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 50 0C 4A 85 D2 7C 1D 42 33 DB 8B C6 8B 4D FC 8B 09 8B 30 89 34 D9 8B 70 04 89 74 D9 04 43 83 C0 08 4A 75 E8 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_91412_0 {
	meta:
		name = "TTeeCanvas.ClipPolygon"
		size = 274
		refs = "0018 TTeeCanvas.ClipPolygon 002f GetMapMode 003f PointArrayOf 004c TPointArray 0051 @DynArrayAsg 006b @DynArrayHigh 0078 InternalCreateRegion 0096 @DynArrayClear 009c @HandleFinally 00aa CreatePolygonRgn 00c3 SetCanvasRegion"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 89 5D FC 8B F1 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 10 FF 52 0C 89 45 F4 8B 45 F4 50 E8 ?? ?? ?? ?? 48 74 6C 55 8D 4D F0 8B C3 8B D6 E8 ?? ?? ?? ?? 59 8B 55 F0 8D 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 6A 01 8B 45 0C 50 53 E8 ?? ?? ?? ?? 89 45 F8 80 7D 08 00 74 12 B9 04 00 00 00 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? EB 10 B9 01 00 00 00 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_91413_0 {
	meta:
		name = "ClipEllipse"
		size = 13
	strings:
		$1 = { 53 33 C9 8B 18 FF 93 B4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_91414_0 {
	meta:
		name = "TTeeCanvas.ClipEllipse"
		size = 95
		refs = "0026 LPtoDP 0030 CreateEllipticRgnIndirect 003e SetCanvasRegion"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D9 8B F2 8B 10 FF 52 0C 8B F8 56 57 8D 7C 24 08 A5 A5 A5 A5 5F 5E 6A 02 8D 44 24 04 50 57 E8 ?? ?? ?? ?? 84 DB 74 16 56 E8 ?? ?? ?? ?? 8B D0 B9 03 00 00 00 8B C7 E8 ?? ?? ?? ?? EB 14 54 E8 ?? ?? ?? ?? 8B D0 B9 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91415_0 {
	meta:
		name = "ClipRoundRectangle"
		size = 18
	strings:
		$1 = { 53 56 8B F0 51 8B C6 8B 18 FF 93 B0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_91416_0 {
	meta:
		name = "TTeeCanvas.ClipRectangle"
		size = 92
		refs = "0024 LPtoDP 0041 CreateRoundRectRgn 004f SetCanvasRegion"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B F2 8B 10 FF 52 0C 8B D8 8D 7D EC A5 A5 A5 A5 6A 02 8D 45 EC 50 53 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 FC 50 8B 45 F8 50 8B 45 F4 50 8B 45 F0 50 8B 45 EC 50 E8 ?? ?? ?? ?? 8B D0 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_91417_0 {
	meta:
		name = "ClipPolygon"
		size = 29
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 45 08 50 6A 00 8B C6 8B 18 FF 93 B8 00 00 00 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_91418_0 {
	meta:
		name = "RectFromPolygon"
		size = 115
	strings:
		$1 = { 55 8B EC 53 56 8B D9 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 0A 89 4A 08 8B 4A 04 89 4A 0C 8B F3 4E 85 F6 7E 41 8D 48 08 8B C1 8B 1A 3B 18 7E 06 8B 18 89 1A EB 0C 8B 5A 08 3B 18 7D 05 8B 18 89 5A 08 8B 5A 04 3B 58 04 7E 08 8B 40 04 89 42 04 EB 0E 8B 5A 0C 3B 58 04 7D 06 8B 40 04 89 42 0C 83 C1 08 4E 75 C2 FF 42 08 FF 42 0C 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_91419_0 {
	meta:
		name = "RectFromTriangle"
		size = 27
		refs = "0014 RectFromPolygon"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B C3 B9 03 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91420_0 {
	meta:
		name = "RectangleInRectangle"
		size = 76
	strings:
		$1 = { 56 8B C8 8B 31 8B 49 04 3B 32 7C 0F 3B 4A 04 7C 0A 3B 72 08 7F 05 3B 4A 0C 7E 04 33 C9 EB 02 B1 01 84 C9 74 23 83 C0 08 8B 08 8B 40 04 3B 0A 7C 0F 3B 42 04 7C 0A 3B 4A 08 7F 05 3B 42 0C 7E 04 33 C0 EB 06 B0 01 5E C3 33 C0 5E C3 }
	condition:
		$1
}

rule function_91421_0 {
	meta:
		name = "QuickSortAngle"
		size = 222
		refs = "00b4 QuickSortAngle"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D F8 8B F2 89 45 FC 8B 5D 0C 8B 55 08 8D 04 1A D1 F8 79 03 83 D0 00 8B 04 86 89 45 F4 EB 01 43 D9 04 9E D8 5D F4 9B DF E0 9E 72 F3 EB 01 4A D9 04 96 D8 5D F4 9B DF E0 9E 77 F3 3B D3 7C 50 8B 45 FC 8B 00 8B 0C D8 89 4D EC 8B 4C D8 04 89 4D F0 8B 45 FC 8B 00 8B 4D FC 8B 09 8B 3C D1 89 3C D8 8B 7C D1 04 89 7C D8 04 8B 45 FC 8B 00 8B 4D EC 89 0C D0 8B 4D F0 89 4C D0 04 8B 04 9E 89 45 E8 8B 04 96 89 04 9E 8B 45 E8 89 04 96 43 4A 3B D3 7D 8D 3B 55 0C 7E 17 8B 45 10 50 8B 45 0C 50 52 8B 45 FC 8B D6 8B 4D F8 E8 ?? ?? ?? ?? 59 3B 5D 08 7D 17 8B 45 10 50 53 8B 45 08 50 8B D6 8B 45 FC 8B 4D F8 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_91422_0 {
	meta:
		name = "TTeeCanvas.ConvexHull"
		size = 732
		refs = "0014 TTeeCanvas.ConvexHull 0025 @DynArrayLength 005d @DynArrayHigh 00dd TPointArray 00e2 @DynArraySetLength 00fb :TTeeCanvas.:1 0143 Hypot 0190 QuickSortAngle 024c Move 02c1 @DynArrayClear 02c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 C9 89 4D FC 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 8B 06 E8 ?? ?? ?? ?? 83 F8 03 0F 84 78 02 00 00 8B 06 E8 ?? ?? ?? ?? 83 F8 03 7D 09 C6 45 FB 00 E9 63 02 00 00 C7 45 F0 80 96 98 00 C7 45 EC 80 96 98 00 33 C0 89 45 F4 8B 06 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 37 47 33 DB 8B 06 8B 44 D8 04 3B 45 F0 75 12 8B 06 8B 04 D8 3B 45 EC 7E 1B 89 45 EC 89 5D F4 EB 13 3B 45 F0 7D 0E 89 45 F0 8B 06 8B 04 D8 89 45 EC 89 5D F4 43 4F 75 CC 8B 06 8B 55 F4 8B 0C D0 89 4D E4 8B 4C D0 04 89 4D E8 8B 06 E8 ?? ?? ?? ?? 8B 16 8B 0E 8B 5D F4 8B 3C C2 89 3C D9 8B 7C C2 04 89 7C D9 04 8B 06 E8 ?? ?? ?? ?? 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 06 E8 ?? ?? ?? ?? 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 06 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 61 47 33 DB 8B 06 8B 55 E4 2B 14 D8 89 55 BC DB 45 BC D9 5D CC 9B 8B 06 8B 55 E8 2B 54 D8 04 89 55 BC DB 45 BC D9 5D D0 9B FF 75 CC FF 75 D0 E8 ?? ?? ?? ?? DD 5D C0 9B DD 45 C0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0A 8B 45 FC 33 D2 89 14 98 EB 0D D9 45 CC DC 75 C0 8B 45 FC D9 1C 98 9B 43 4F 75 A2 55 6A 00 8B 06 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B C6 8B 55 FC E8 ?? ?? ?? ?? 59 BB 01 00 00 00 85 DB 75 04 B0 01 EB 66 8B 06 8B 54 D8 F8 89 55 DC 8B 54 D8 FC 89 55 E0 8B 06 E8 ?? ?? ?? ?? 3B D8 75 0E 8B 45 E4 89 45 D4 8B 45 E8 89 45 D8 EB 10 8B 06 8B 54 D8 08 89 55 D4 8B 54 D8 0C 89 55 D8 8B 06 8B 55 DC 2B 14 D8 8B 06 8B 4D D8 2B 4C D8 04 0F AF D1 8B 06 8B 4D D4 2B 0C D8 8B 06 8B 7D E0 2B 7C D8 04 0F AF CF 2B D1 0F 98 C0 84 C0 74 03 43 EB 58 8B 06 E8 ?? ?? ?? ?? 8B F8 3B FB 75 18 57 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 32 8B C7 2B C3 8B C8 03 C9 03 C9 03 C9 8B 06 8D 14 D8 8B 06 8D 44 D8 08 E8 ?? ?? ?? ?? 57 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 4B 8B 06 E8 ?? ?? ?? ?? 3B D8 0F 85 24 FF FF FF 8B 06 E8 ?? ?? ?? ?? 40 50 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 06 E8 ?? ?? ?? ?? 8B 16 8B 4D E4 89 0C C2 8B 4D E8 89 4C C2 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_91423_0 {
	meta:
		name = "TTeeCanvas3D.ClipCube"
		size = 661
		refs = "0018 TTeeCanvas3D.ClipCube 003b TPointArray 0040 @DynArraySetLength 0072 TTeeCanvas3D.Calc3DPos 01ff TTeeCanvas.ConvexHull 0207 @DynArrayLength 0212 @DynArrayHigh 023c @DynArrayClear 0242 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE 19 01 00 00 00 0F 84 19 02 00 00 6A 08 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 89 45 F8 8B 03 89 45 F4 8B 43 0C 89 45 F0 8B C7 50 8D 4D F0 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 F4 89 10 8B 45 F8 8B 55 F0 89 50 04 8B 45 FC 83 C0 08 89 45 EC 8B 03 89 45 E8 8B 43 0C 89 45 E4 8B 45 08 50 8D 4D E4 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8B 55 E8 89 10 8B 45 EC 8B 55 E4 89 50 04 8B 45 FC 83 C0 10 89 45 E0 8B 03 89 45 DC 8B 43 04 89 45 D8 8B 45 08 50 8D 4D D8 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 8B 55 DC 89 10 8B 45 E0 8B 55 D8 89 50 04 8B 45 FC 83 C0 18 89 45 D4 8B 43 08 89 45 D0 8B 43 04 89 45 CC 8B 45 08 50 8D 4D CC 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 8B 45 D4 8B 55 D0 89 10 8B 45 D4 8B 55 CC 89 50 04 8B 45 FC 83 C0 20 89 45 C8 8B 43 08 89 45 C4 8B 43 04 89 45 C0 8B C7 50 8D 4D C0 8D 55 C4 8B C6 E8 ?? ?? ?? ?? 8B 45 C8 8B 55 C4 89 10 8B 45 C8 8B 55 C0 89 50 04 8B 45 FC 83 C0 28 89 45 BC 8B 43 08 89 45 B8 8B 43 0C 89 45 B4 8B C7 50 8D 4D B4 8D 55 B8 8B C6 E8 ?? ?? ?? ?? 8B 45 BC 8B 55 B8 89 10 8B 45 BC 8B 55 B4 89 50 04 8B 45 FC 83 C0 30 89 45 B0 8B 03 89 45 AC 8B 43 04 89 45 A8 8B C7 50 8D 4D A8 8D 55 AC 8B C6 E8 ?? ?? ?? ?? 8B 45 B0 8B 55 AC 89 10 8B 45 B0 8B 55 A8 89 50 04 8B 45 FC 8D 78 38 8B 43 08 89 45 A4 8B 43 0C 89 45 A0 8B 45 08 50 8D 4D A0 8D 55 A4 8B C6 E8 ?? ?? ?? ?? 8B 45 A4 89 07 8B 45 A0 89 47 04 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C6 8B 18 FF 93 B8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 56 8B F3 8D 7D 90 A5 A5 A5 A5 5E FF 45 90 FF 45 94 FF 4D 9C 8D 55 90 8B C6 8B 08 FF 91 AC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_91424_0 {
	meta:
		name = "UnClipCanvas"
		size = 105
		refs = "0005 ClipHistory 000a @DynArrayLength 0021 TCanvas.GetHandle 0027 SelectClipRgn 0036 DeleteObject 0048 :63 004d @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 43 A1 ?? ?? ?? ?? 8B 44 98 FC 50 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 44 98 FC 50 E8 ?? ?? ?? ?? 4B 53 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5E 5B C3 6A 00 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91426_0 {
	meta:
		name = "TTeeCanvas3D.Projection"
		size = 208
		refs = "0036 @ROUND 004d TTeeCanvas3D.Projection 007a TView3DOptions.GetHorizOffset 0087 TView3DOptions.GetVertOffset 00b2 TTeeCanvas3D.CalcPerspective"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B D8 8B 75 08 8D 43 4C 8D 53 50 8B 0E 03 4E 08 D1 F9 79 03 83 D1 00 89 08 8B 46 04 03 46 0C D1 F8 79 03 83 D0 00 89 02 DD 43 5D E8 ?? ?? ?? ?? 01 43 4C DD 43 65 E8 ?? ?? ?? ?? 01 43 50 DB 45 FC D8 0D ?? ?? ?? ?? DC 43 6D E8 ?? ?? ?? ?? 89 43 54 8B 43 4C 89 83 48 01 00 00 8B 43 50 89 83 4C 01 00 00 8B 43 44 85 C0 74 41 8B F8 8B C7 E8 ?? ?? ?? ?? 01 83 48 01 00 00 8B C7 E8 ?? ?? ?? ?? 01 83 4C 01 00 00 80 BB 19 01 00 00 00 74 13 DB 2D ?? ?? ?? ?? 8B 43 44 DC 48 50 DD 9B 10 01 00 00 9B 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 00 00 00 00 00 3F 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_91427_0 {
	meta:
		name = "TTeeCanvas3D.CalcPerspective"
		size = 88
		refs = "0034 TTeeCanvas3D.CalcPerspective"
	strings:
		$1 = { 51 8B 48 44 83 79 28 00 0F 9F C1 88 88 F0 00 00 00 84 C9 74 34 8B 4A 08 2B 0A 8B D1 83 FA 01 7D 05 BA 01 00 00 00 8B 48 44 DB 41 28 DC 88 10 01 00 00 DB 2D ?? ?? ?? ?? DE C9 89 14 24 DB 04 24 DE F9 DD 98 08 01 00 00 9B 5A C3 00 0E 74 DA 40 A7 0D 74 DA F7 3F 00 00 }
	condition:
		$1
}

rule function_91428_0 {
	meta:
		name = "TTeeCanvas3D.CalcTrigValues"
		size = 612
		refs = "0030 TView3DOptions.GetTilt 007a TeePiStep 0092 SinCos 00be TTeeCanvas3D.CalcTrigValues 0106 MaxLimit"
	strings:
		$1 = { 53 56 83 C4 A0 8B D8 80 7B 49 00 0F 85 46 02 00 00 8B 43 44 85 C0 74 2B 8B F0 DD 46 08 D9 E0 DD 1C 24 9B DD 46 30 D9 E0 DD 5C 24 08 9B 8B C6 E8 ?? ?? ?? ?? 89 44 24 5C DB 44 24 5C DD 5C 24 10 9B EB 1D 33 C0 89 04 24 89 44 24 04 33 C0 89 44 24 08 89 44 24 0C 33 C0 89 44 24 10 89 44 24 14 C6 83 F0 00 00 00 00 33 C0 89 83 08 01 00 00 89 83 0C 01 00 00 DD 04 24 DC 0D ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 93 98 00 00 00 8D 83 80 00 00 00 E8 ?? ?? ?? ?? DD 44 24 08 DC 0D ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 93 A0 00 00 00 8D 83 88 00 00 00 E8 ?? ?? ?? ?? DD 44 24 10 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 C0 88 83 F1 00 00 00 DD 44 24 10 DC 0D ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 93 A8 00 00 00 8D 83 90 00 00 00 E8 ?? ?? ?? ?? DD 83 A0 00 00 00 DC 8B 90 00 00 00 DD 9B B0 00 00 00 9B DD 05 ?? ?? ?? ?? DB 7C 24 20 9B DD 83 A0 00 00 00 DC 8B A8 00 00 00 DB 6C 24 20 DE D9 9B DF E0 9E 76 1C 8B 44 24 20 89 44 24 30 8B 44 24 24 89 44 24 34 66 8B 44 24 28 66 89 44 24 38 EB 11 DD 83 A0 00 00 00 DC 8B A8 00 00 00 DB 7C 24 30 9B DB 6C 24 30 DD 9B B8 00 00 00 9B DD 05 ?? ?? ?? ?? DB 7C 24 40 9B DD 83 80 00 00 00 DC 8B 88 00 00 00 DC 8B 90 00 00 00 DD 83 98 00 00 00 DC 8B A8 00 00 00 DE C1 DB 6C 24 40 DE D9 9B DF E0 9E 76 1C 8B 44 24 40 89 44 24 50 8B 44 24 44 89 44 24 54 66 8B 44 24 48 66 89 44 24 58 EB 25 DD 83 80 00 00 00 DC 8B 88 00 00 00 DC 8B 90 00 00 00 DD 83 98 00 00 00 DC 8B A8 00 00 00 DE C1 DB 7C 24 50 9B DB 6C 24 50 DD 9B C0 00 00 00 9B DD 83 A8 00 00 00 DC 8B 80 00 00 00 DC 8B 88 00 00 00 DD 83 98 00 00 00 DC 8B 90 00 00 00 DE E9 DD 9B C8 00 00 00 9B DD 83 98 00 00 00 DC 8B 88 00 00 00 DC 8B 90 00 00 00 DD 83 A8 00 00 00 DC 8B 80 00 00 00 DE E9 DD 9B D0 00 00 00 9B DD 83 98 00 00 00 DC 8B A8 00 00 00 DC 8B 88 00 00 00 DD 83 80 00 00 00 DC 8B 90 00 00 00 DE C1 DD 9B D8 00 00 00 9B 83 C4 60 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_91429_0 {
	meta:
		name = "TTeeCanvas3D.InitWindow"
		size = 492
		refs = "0091 TTeeCanvas3D.InitWindow 00d3 TeePiStep 00e5 SinCos 011c TTeeCanvas3D.CalcTrigValues 014c _Dn_TBitmap 0151 TBitmap.Create 016e TeeSetBitmapSize 0179 TBitmap.GetCanvas 0192 TTeeCanvas.SetCanvas"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 0C 56 8D 7B 1C A5 A5 A5 A5 5E 8B 45 F8 89 43 44 85 C0 74 14 DB 40 10 DD 5B 38 9B 8B 43 44 80 78 58 01 0F 95 C0 88 43 34 0F B6 45 10 88 83 19 01 00 00 C6 43 49 00 33 C0 89 83 10 01 00 00 C7 83 14 01 00 00 00 00 F0 3F 80 BB 19 01 00 00 00 0F 84 B8 00 00 00 8B 43 44 85 C0 0F 84 A6 00 00 00 0F B6 50 20 88 53 49 84 D2 0F 84 97 00 00 00 8B 43 44 DB 40 24 DD 5D D8 9B DD 45 D8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 21 33 C0 89 83 F8 00 00 00 C7 83 FC 00 00 00 00 00 F0 BF D9 05 ?? ?? ?? ?? DC 65 D8 DD 5D D8 9B EB 12 33 C0 89 83 F8 00 00 00 C7 83 FC 00 00 00 00 00 F0 3F DD 45 D8 DC 0D ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 55 E0 8D 45 E8 E8 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DC 5D E0 9B DF E0 9E 76 14 33 C0 89 83 00 01 00 00 C7 83 04 01 00 00 00 00 F0 3F EB 0D DD 45 E8 DC 75 E0 DD 9B 00 01 00 00 9B 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 28 84 C0 0F 84 8B 00 00 00 8B 46 08 2B 06 89 45 F0 8B 46 0C 2B 46 04 89 45 F4 83 BB E4 00 00 00 00 75 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 E4 00 00 00 C6 46 30 01 8B 4D F4 8B 55 F0 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 33 D2 89 50 08 89 50 0C 33 D2 89 50 10 89 50 14 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 C8 33 C0 89 45 CC 8B 45 F0 89 45 D0 8B 45 F4 89 45 D4 8B 45 08 8B F8 8D 75 C8 A5 A5 A5 A5 EB 13 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B F8 A5 A5 A5 A5 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 00 B4 42 00 00 34 43 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_91430_0 {
	meta:
		name = "TTeeCanvas3D.TransferBitmap"
		size = 85
		refs = "001c TBitmap.GetCanvas 0021 TCanvas.GetHandle 004a BitBlt"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 68 20 00 CC 00 6A 00 6A 00 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 83 E4 00 00 00 8B 10 FF 52 24 50 8B 83 E4 00 00 00 8B 10 FF 52 30 50 57 56 8B 45 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_91431_0 {
	meta:
		name = "TTeeCanvas3D.ReDrawBitmap"
		size = 49
	strings:
		$1 = { 53 56 51 8B F0 0F B6 86 E8 00 00 00 34 01 88 04 24 80 3C 24 00 74 12 8B 46 08 50 33 C9 33 D2 8B C6 8B 18 FF 93 DC 01 00 00 0F B6 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_91432_0 {
	meta:
		name = "TTeeCanvas3D.RenderToBitmap"
		size = 118
		refs = "0051 EqualRect"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B E9 8B FA 8B F0 8B C6 8B 10 FF 52 28 84 C0 74 3F 83 BE E4 00 00 00 00 74 36 8B 86 E4 00 00 00 8B 10 FF 52 30 8B D8 8B 86 E4 00 00 00 8B 10 FF 52 24 33 D2 89 14 24 33 D2 89 54 24 04 89 5C 24 08 89 44 24 0C 8B D4 8B C5 E8 ?? ?? ?? ?? EB 02 33 C0 8B D8 84 DB 74 0D 8B 07 8B 96 E4 00 00 00 8B 08 FF 51 08 8B C3 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91433_0 {
	meta:
		name = "TTeeCanvas3D.ShowImage"
		size = 85
		refs = "0048 TTeeCanvas.SetCanvas"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F0 8B 7D 08 8B C6 8B 10 FF 52 28 84 C0 74 23 83 BE E4 00 00 00 00 74 1A 8B 45 FC 50 8B 4F 04 8B 17 8B C6 8B 18 FF 93 DC 01 00 00 C6 86 E8 00 00 00 00 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_91434_0 {
	meta:
		name = "TTeeCanvas3D.StretchDraw"
		size = 28
	strings:
		$1 = { 53 56 57 8B FA 8B F0 85 C9 74 0D 8B D7 8B 46 08 8B 18 FF 93 88 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91435_0 {
	meta:
		name = "TTeeCanvas3D.Draw"
		size = 54
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 85 DB 74 19 8B C3 8B 10 FF 52 20 84 C0 75 0E 53 8B 4D FC 8B D7 8B 46 08 8B 18 FF 53 44 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_91436_0 {
	meta:
		name = "RGBA"
		size = 40
	strings:
		$1 = { 51 89 04 24 0F B6 44 24 02 0F B6 54 24 01 C1 E2 08 0B C2 0F B6 14 24 C1 E2 10 0B C2 0F B6 54 24 03 C1 E2 18 0B C2 5A C3 }
	condition:
		$1
}

rule function_91437_0 {
	meta:
		name = "RGBA"
		size = 25
	strings:
		$1 = { 55 8B EC C1 E2 08 0B C2 C1 E1 10 0B C1 8B 55 08 C1 E2 18 0B C2 5D C2 04 00 }
	condition:
		$1
}

rule function_91438_0 {
	meta:
		name = "TeeSigmoid"
		size = 88
		refs = "0008 TeeSigmoid 0022 Ln 002b Divisor 003f Exp"
	strings:
		$1 = { 55 8B EC 83 C4 F8 D9 05 ?? ?? ?? ?? DC 45 18 D9 05 ?? ?? ?? ?? DC 45 08 DE F9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 45 10 DC 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? DE C9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 59 59 5D C2 18 00 00 00 80 3F 00 00 00 3F }
	condition:
		$1
}

rule function_91439_0 {
	meta:
		name = "CalcColor"
		size = 232
		refs = "0090 TeeSigmoid 00a2 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B C8 8B 45 08 83 78 10 32 75 55 8B 45 08 8B 40 F8 F7 E9 8B 55 08 8B 5A F4 99 F7 FB 8B D8 8B 45 08 03 58 FC 8B 45 08 8B 40 EC F7 E9 8B 55 08 8B 72 F4 99 F7 FE 8B 55 08 03 42 F0 C1 E0 08 0B D8 8B 45 08 8B 40 E4 F7 E9 8B 55 08 8B 4A F4 99 F7 F9 8B 55 08 03 42 E8 C1 E0 10 0B D8 8B C3 EB 7A 89 4D F4 DB 45 F4 83 C4 F8 DD 1C 24 9B 8B 45 08 DB 40 10 83 C4 F8 DD 1C 24 9B 8B 45 08 DB 40 F4 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B 8B 45 08 DB 40 F8 DC 4D F8 E8 ?? ?? ?? ?? 8B D8 8B 45 08 03 58 FC 8B 45 08 DB 40 EC DC 4D F8 E8 ?? ?? ?? ?? 8B 55 08 03 42 F0 C1 E0 08 0B D8 8B 45 08 DB 40 E4 DC 4D F8 E8 ?? ?? ?? ?? 8B 55 08 03 42 E8 C1 E0 10 0B D8 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91440_0 {
	meta:
		name = "CheckFastBrush"
		size = 74
		refs = "000d TCanvas.GetHandle 0019 TeeSetDCBrushColor 0031 GetStockObject 003e SelectObject"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 E0 8B 40 08 E8 ?? ?? ?? ?? 8B 55 08 89 42 DC 83 3D ?? ?? ?? ?? 00 8B 45 08 0F 95 40 DB 8B 45 08 80 78 DB 00 74 1A 6A 12 E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 DC 50 E8 ?? ?? ?? ?? 8B 55 08 89 42 D4 5D C3 }
	condition:
		$1
}

rule function_91441_0 {
	meta:
		name = "CalcBrushColor"
		size = 117
		refs = "0009 CalcColor 002b TeeSetDCBrushColor 0049 SelectObject 004f DeleteObject 0055 CreateSolidBrush"
	strings:
		$1 = { 55 8B EC 53 8B 55 08 52 E8 ?? ?? ?? ?? 59 8B D8 8B 45 08 3B 58 D0 74 5A 8B 45 08 80 78 DB 00 74 10 53 8B 45 08 8B 40 DC 50 FF 15 ?? ?? ?? ?? EB 3B 8B 45 08 83 78 D4 00 74 19 8B 45 08 8B 40 D4 50 8B 45 08 8B 40 DC 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 DC 50 E8 ?? ?? ?? ?? 8B 55 08 89 42 D4 8B 45 08 89 58 D0 5B 5D C3 }
	condition:
		$1
}

rule function_91442_0 {
	meta:
		name = "RectGradient"
		size = 292
		refs = "008e CheckFastBrush 00a8 CalcBrushColor 00e5 PatBlt"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 88 45 FF 80 7D FF 00 74 20 8B 45 08 8B 40 CC 8B 55 08 2B 42 C4 89 45 F8 8B 45 08 8B 40 C8 8B 55 08 2B 42 C0 89 45 F4 EB 1E 8B 45 08 8B 40 C8 8B 55 08 2B 42 C0 89 45 F8 8B 45 08 8B 40 CC 8B 55 08 2B 42 C4 89 45 F4 8B 45 F4 89 45 F0 81 7D F0 00 01 00 00 7E 07 C7 45 F0 00 01 00 00 33 DB 8B 45 08 C7 40 D0 FF FF FF FF 8B 75 F0 4E 8B 45 08 89 70 F4 8B 45 08 83 78 F4 00 0F 8E 94 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 59 85 F6 0F 8C 82 00 00 00 46 89 75 EC 33 FF 8B 45 08 50 8B C7 E8 ?? ?? ?? ?? 59 8D 47 01 F7 6D F4 99 F7 7D F0 8B F0 80 7D FF 00 74 2C 68 21 00 F0 00 8B 45 F8 50 8B C3 2B C6 50 8B 45 08 8B 40 C4 50 8B 45 08 8B 40 C8 2B C3 50 8B 45 08 8B 40 DC 50 E8 ?? ?? ?? ?? EB 2A 68 21 00 F0 00 8B C3 2B C6 50 8B 45 F8 50 8B 45 08 8B 40 CC 2B C3 50 8B 45 08 8B 40 C0 50 8B 45 08 8B 40 DC 50 E8 ?? ?? ?? ?? 8B DE 47 FF 4D EC 75 84 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91443_0 {
	meta:
		name = "FromCorner"
		size = 302
		refs = "006e CheckFastBrush 007f CalcBrushColor 00aa PatBlt"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 45 08 80 78 14 05 0F 94 45 FF 80 7D FF 00 74 0B 8B 45 08 8B 40 C4 89 45 F0 EB 09 8B 45 08 8B 40 CC 89 45 F0 8B 7D F0 8B 45 08 8B 40 C8 8B 55 08 2B 42 C0 89 45 F8 8B 45 08 8B 40 CC 8B 55 08 2B 42 C4 89 45 F4 8B 45 F8 03 45 F4 83 F8 01 7D 05 B8 01 00 00 00 8B 55 08 89 42 F4 33 F6 33 DB 8B 45 08 50 E8 ?? ?? ?? ?? 59 C6 45 FE 00 8B 45 08 50 8D 04 33 E8 ?? ?? ?? ?? 59 80 7D FE 00 75 24 68 21 00 F0 00 8B 45 F0 2B C7 50 6A 01 57 8B 45 08 8B 40 C0 03 C3 48 50 8B 45 08 8B 40 DC 50 E8 ?? ?? ?? ?? 3B 75 F4 7D 56 46 80 7D FF 00 74 27 68 21 00 F0 00 6A 01 53 57 8B 45 08 8B 40 C0 50 8B 45 08 8B 40 DC 50 E8 ?? ?? ?? ?? 8B 45 08 3B 78 CC 7D 2B 47 EB 28 68 21 00 F0 00 6A 01 53 8B C7 48 50 8B 45 08 8B 40 C0 50 8B 45 08 8B 40 DC 50 E8 ?? ?? ?? ?? 8B 45 08 3B 78 C4 7E 01 4F 3B 5D F8 7D 03 43 EB 04 C6 45 FE 01 3B 75 F4 0F 8C 59 FF FF FF 3B 5D F8 0F 8C 50 FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91444_0 {
	meta:
		name = "FromCenter"
		size = 342
		refs = "0056 CheckFastBrush 0063 CalcBrushColor 009d TeeGradientPrecision 00af PatBlt"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B 45 08 8B 40 C8 8B 55 08 2B 42 C0 89 45 F4 8B 45 08 8B 40 CC 8B 55 08 2B 42 C4 89 45 F0 8B 45 F4 D1 E8 89 45 FC 8B 45 F0 D1 E8 89 45 F8 33 DB 33 F6 8B 45 FC 03 45 F8 83 F8 01 7D 05 B8 01 00 00 00 8B 55 08 89 42 F4 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 8D 04 1E E8 ?? ?? ?? ?? 59 8B C3 03 C0 8B 55 F0 2B D0 89 55 EC 8B C6 03 C0 8B 55 F4 2B D0 89 55 E8 8B 45 08 8B 78 C0 03 FE 8B 45 08 8B 40 C4 03 C3 89 45 E4 68 21 00 F0 00 8B 45 EC 50 A1 ?? ?? ?? ?? 50 8B 45 E4 50 57 8B 45 08 8B 40 DC 50 E8 ?? ?? ?? ?? 68 21 00 F0 00 8B 45 EC 50 A1 ?? ?? ?? ?? 50 8B 45 E4 50 8B 45 08 8B 40 C8 2B C6 48 50 8B 45 08 8B 40 DC 50 E8 ?? ?? ?? ?? 68 21 00 F0 00 A1 ?? ?? ?? ?? 50 8B 45 E8 50 8B 45 E4 50 57 8B 45 08 8B 40 DC 50 E8 ?? ?? ?? ?? 68 21 00 F0 00 A1 ?? ?? ?? ?? 50 8B 45 E8 50 8B 45 08 8B 40 CC 2B C3 2B 05 ?? ?? ?? ?? 50 57 8B 45 08 8B 40 DC 50 E8 ?? ?? ?? ?? 3B 5D F8 7D 06 03 1D ?? ?? ?? ?? 3B 75 FC 7D 06 03 35 ?? ?? ?? ?? 3B 5D F8 0F 8C 15 FF FF FF 3B 75 FC 0F 8C 0C FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91445_0 {
	meta:
		name = "DoDrawRadial"
		size = 156
		refs = "000b _DV_TCustomTeeGradient 0010 TCustomTeeGradient.Create 001b DoDrawRadial 0078 TCustomTeeGradient.DrawRadial 008d TObject.Free 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 6A 00 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 0C 07 8B 45 08 8B 40 BC 8B 55 FC 89 42 20 8B 45 08 8B 40 18 8B 55 FC 89 42 10 8B 45 08 8B 40 10 8B 55 FC 89 42 08 8B 45 08 8B 40 0C 8B 55 FC 89 42 18 8B 45 08 8B 40 08 8B 55 FC 89 42 1C 8B 45 08 8D 48 C0 8B 45 08 8B 50 E0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_91446_0 {
	meta:
		name = "DiagonalGradient"
		size = 564
		refs = "00d2 _Dn_TPen 00d7 TPen.Create 00e2 DiagonalGradient 010c TPen.SetWidth 011c TPen.SetStyle 012c TPen.SetMode 014c CalcColor 015d TPen.SetColor 0221 TObject.Free 0227 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 88 45 FF 80 7D FF 00 74 20 8B 45 08 8B 40 C0 8B 55 08 8B 52 CC 89 45 D4 89 55 D8 8B 45 D4 89 45 F4 8B 45 D8 89 45 F8 EB 1B 8B 45 08 FF 48 C4 8B 45 08 FF 48 CC 8B 45 08 8B 50 C0 89 55 F4 8B 50 C4 89 55 F8 8B 45 F4 89 45 EC 8B 45 F8 89 45 F0 8B 45 08 8B 40 C8 8B 55 08 2B 42 C0 89 45 E4 8B 45 08 8B 40 CC 8B 55 08 2B 42 C4 89 45 E0 8B 45 E4 F7 6D E0 3D 00 00 00 04 0F 8F A5 01 00 00 8B 45 E4 3B 45 E0 7E 05 8B 45 E4 EB 03 8B 45 E0 8B 55 E4 3B 55 E0 7D 05 8B 55 E4 EB 03 8B 55 E0 03 D0 89 55 E8 8B 5D E8 4B 8B C3 3D FF 00 00 00 7E 05 B8 FF 00 00 00 83 F8 01 7D 05 B8 01 00 00 00 8B 55 08 89 42 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 E0 8B 50 10 8B 45 DC 8B 08 FF 51 08 8B 45 08 8B 40 E0 8B 40 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E0 8B 40 10 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E0 8B 40 10 B2 04 E8 ?? ?? ?? ?? 85 DB 0F 8C C7 00 00 00 43 33 F6 8B 45 08 50 8B 45 08 8B 40 F4 F7 EE 99 F7 7D E8 E8 ?? ?? ?? ?? 59 8B D0 8B 45 08 8B 40 E0 8B 40 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E0 8B 55 EC 52 8B 55 F0 52 8B 4D F8 8B 55 F4 8B 38 FF 97 D0 00 00 00 80 7D FF 00 75 3B 8B 45 08 8B 40 C8 3B 45 EC 7E 05 FF 45 EC EB 0E 8B 55 08 8B 52 CC 3B 55 F0 7E 03 FF 45 F0 8B 55 08 8B 52 CC 3B 55 F8 7E 05 FF 45 F8 EB 46 8B 55 08 3B 45 F4 7E 3E FF 45 F4 EB 39 8B 45 08 8B 40 C8 3B 45 EC 7E 05 FF 45 EC EB 0E 8B 55 08 8B 52 C4 3B 55 F0 7D 03 FF 4D F0 8B 55 08 8B 52 C4 3B 55 F8 7D 05 FF 4D F8 EB 0B 8B 55 08 3B 45 F4 7E 03 FF 45 F4 46 4B 0F 85 3C FF FF FF 8B 45 08 8B 40 E0 8B 40 10 8B 55 DC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91447_0 {
	meta:
		name = "TTeeCanvas3D.GradientFill"
		size = 327
		refs = "0015 OrientRectangle 0021 DoDrawRadial 004a SwapInteger 0052 ColorToRGB 00bf TTeeCanvas3D.GradientFill 00ef RectGradient 0103 FromCorner 010c FromCenter 0117 DiagonalGradient 0136 SelectObject 013c DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 89 4D BC 8B DA 89 45 E0 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 80 7D 14 07 75 0C 55 E8 ?? ?? ?? ?? 59 E9 15 01 00 00 80 7D 14 00 74 1D 80 7D 14 02 74 17 80 7D 14 08 74 11 80 7D 14 09 74 0B 8D 55 18 8D 45 BC E8 ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 89 45 BC 8B 45 18 E8 ?? ?? ?? ?? 89 45 18 8B 45 BC 0F B6 D0 89 55 FC 8B D0 C1 EA 08 0F B6 D2 89 55 F0 C1 E8 10 0F B6 C0 89 45 E8 8B 45 18 0F B6 D0 2B 55 FC 89 55 F8 8B D0 C1 EA 08 0F B6 D2 2B 55 F0 89 55 EC C1 E8 10 0F B6 C0 2B 45 E8 89 45 E4 33 C0 89 45 D4 C7 45 D0 FF FF FF FF 0F B6 45 14 83 F8 09 77 6B FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 B0 01 E8 ?? ?? ?? ?? 59 EB 31 55 33 C0 E8 ?? ?? ?? ?? 59 EB 26 55 E8 ?? ?? ?? ?? 59 EB 1D 55 E8 ?? ?? ?? ?? 59 EB 14 55 B0 01 E8 ?? ?? ?? ?? 59 EB 09 55 33 C0 E8 ?? ?? ?? ?? 59 83 7D D4 00 74 13 8B 45 D4 50 8B 45 DC 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_91448_0 {
	meta:
		name = "DoVert"
		size = 157
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B 4D 0C 8B 49 FC 8B 49 0C 8B 5D 0C 8B 5B FC 03 4B 04 D1 F9 79 03 83 D1 00 8B 5D 0C 89 4B F8 52 8B 55 0C 8B 52 E4 0F B6 52 0C 52 6A 32 6A 00 6A 00 8B 55 0C 8B 52 E8 8B 4D 0C 83 C1 EC 92 87 CA 8B 18 FF 93 C8 00 00 00 8B 45 0C 8B 40 F8 8B 55 0C 89 42 F0 8B 45 0C 8B 40 FC 8B 40 0C 8B 55 0C 89 42 F8 8B 45 08 50 8B 45 0C 8B 40 E4 0F B6 40 0C 50 6A 32 6A 00 6A 00 8B 45 0C 8D 50 EC 8B 45 0C 8B 40 E8 8B 4D FC 8B 18 FF 93 C8 00 00 00 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_91449_0 {
	meta:
		name = "DoHoriz"
		size = 156
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B 4D 0C 8B 49 FC 8B 09 8B 5D 0C 8B 5B FC 03 4B 08 D1 F9 79 03 83 D1 00 8B 5D 0C 89 4B F4 52 8B 55 0C 8B 52 E4 0F B6 52 0C 52 6A 32 6A 00 6A 00 8B 55 0C 8B 52 E8 8B 4D 0C 83 C1 EC 92 87 CA 8B 18 FF 93 C8 00 00 00 8B 45 0C 8B 40 F4 8B 55 0C 89 42 EC 8B 45 0C 8B 40 FC 8B 40 08 8B 55 0C 89 42 F4 8B 45 08 50 8B 45 0C 8B 40 E4 0F B6 40 0C 50 6A 32 6A 00 6A 00 8B 45 0C 8D 50 EC 8B 45 0C 8B 40 E8 8B 4D FC 8B 18 FF 93 C8 00 00 00 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_91450_0 {
	meta:
		name = "TryGrayColor"
		size = 115
		refs = "001b ColorToRGB"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B 45 08 8B 40 E8 8B 10 FF 52 14 84 C0 74 54 8B C3 E8 ?? ?? ?? ?? 88 45 FC 8B D0 C1 EA 08 88 55 FB C1 E8 10 88 45 FA 66 8B 45 FA 66 89 45 FD 8A 45 FC 88 45 FF 0F B6 45 FD 0F B6 55 FE 03 C2 0F B6 55 FF 03 C2 B9 03 00 00 00 33 D2 F7 F1 0F B6 D0 8B CA 8B DA C1 E3 08 0B CB C1 E2 10 0B CA 8B C1 EB 02 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_91451_0 {
	meta:
		name = "TTeeCanvas3D.GradientFill"
		size = 340
		refs = "0017 TCustomTeeGradient.GetMidColor 001c TryGrayColor 00d1 DoVert 00f1 DoHoriz"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D FC 89 55 E4 89 45 E8 55 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B F0 55 8B 45 E4 8B 40 20 E8 ?? ?? ?? ?? 59 8B D8 55 8B 45 E4 8B 40 10 E8 ?? ?? ?? ?? 59 8B 55 E4 80 7A 0C 07 75 33 50 8B 45 E4 0F B6 40 0C 50 8B 45 E4 8B 40 08 50 8B 45 E4 8B 40 18 50 8B 45 E4 8B 40 1C 50 8B 55 FC 8B CB 8B 45 E8 8B 18 FF 93 C8 00 00 00 E9 D2 00 00 00 8B 55 E4 80 7A 59 00 0F 84 A1 00 00 00 8B 55 E4 80 7A 0C 08 0F 84 94 00 00 00 8B 55 E4 80 7A 0C 09 0F 84 87 00 00 00 8B 55 FC 56 8B F2 8D 7D EC A5 A5 A5 A5 5E 8B 55 E4 0F B6 52 0C 80 EA 01 72 0C 74 1A FE CA 74 26 FE CA 74 32 EB 40 55 56 8B CB 8B D0 8B C6 E8 ?? ?? ?? ?? 59 EB 75 55 50 8B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 59 EB 65 55 56 8B CB 8B D0 8B C6 E8 ?? ?? ?? ?? 59 EB 55 55 50 8B CE 8B D6 8B C3 E8 ?? ?? ?? ?? 59 EB 45 50 8B 45 E4 0F B6 40 0C 50 6A 32 6A 00 6A 00 8B 55 FC 8B CB 8B 45 E8 8B 18 FF 93 C8 00 00 00 EB 24 50 8B 45 E4 0F B6 40 0C 50 8B 45 E4 8B 40 08 50 6A 00 6A 00 8B 55 FC 8B CB 8B 45 E8 8B 18 FF 93 C8 00 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91452_0 {
	meta:
		name = "TAdapterNamedField.SetFieldName"
		size = 6
		altNames = "TTeeCanvas3D.EraseBackground"
	strings:
		$1 = { 8B 08 FF 51 74 C3 }
	condition:
		$1
}

rule function_91453_0 {
	meta:
		name = "TTeeCanvas3D.FillRect"
		size = 59
		refs = "0009 TTeeCanvas.IsGradientVisible 0019 TTeeCanvas3D.GradientFill 0024 TBrush.GetHandle 002e TCanvas.GetHandle 0034 FillRect"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B CE 8B 53 30 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 43 04 E8 ?? ?? ?? ?? 50 56 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91454_0 {
	meta:
		name = "ApplyDark"
		size = 81
		refs = "0009 ColorToRGB"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C6 C1 E8 08 8B CE C1 E9 10 3A DA 73 04 2A D3 EB 02 33 D2 3A D8 73 04 2A C3 EB 02 33 C0 3A D9 73 04 2A CB EB 02 33 C9 0F B6 D2 0F B6 C0 C1 E0 08 0B D0 0F B6 C1 C1 E0 10 0B D0 8B C2 5E 5B C3 }
	condition:
		$1
}

rule function_91455_0 {
	meta:
		name = "ApplyBright"
		size = 113
		refs = "000a ColorToRGB"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C6 C1 E8 08 8B CE C1 E9 10 0F B6 FA 0F B6 F3 03 FE 81 FF 00 01 00 00 73 04 02 D3 EB 02 B2 FF 0F B6 F8 03 FE 81 FF 00 01 00 00 73 04 02 C3 EB 02 B0 FF 0F B6 F9 03 FE 81 FF 00 01 00 00 73 04 02 CB EB 02 B1 FF 0F B6 D2 0F B6 C0 C1 E0 08 0B D0 0F B6 C1 C1 E0 10 0B D0 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91456_0 {
	meta:
		name = "TTeeCanvas3D.Cube"
		size = 54
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 45 20 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 0F B6 45 0C 50 8B 45 08 50 8B D7 8B C6 8B 18 FF 93 3C 01 00 00 5F 5E 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_91457_0 {
	meta:
		name = "Culling"
		size = 113
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B 4D 08 8B 49 FC 8B 89 34 01 00 00 8B 45 08 8B 40 FC 8B 80 2C 01 00 00 2B C8 8B 5D 08 8B 5B FC 8B 9B 28 01 00 00 8B 55 08 8B 52 FC 8B 92 30 01 00 00 2B DA 0F AF CB 8B 5D 08 8B 5B FC 8B 9B 24 01 00 00 2B D8 8B 45 08 8B 40 FC 8B 80 38 01 00 00 2B C2 0F AF D8 2B CB 89 4D F4 DB 45 F4 DD 5D F8 9B DD 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91458_0 {
	meta:
		name = "TTeeCanvas3D.Cube"
		size = 2004
		refs = "002e TTeeCanvas3D.Calc3DPos 016f Culling 0176 TTeeCanvas3D.Cube 03ab DarkerColorQuantity 03b6 TTeeCanvas.InternalDark 0652 DarkColorQuantity"
	strings:
		$1 = { 55 8B EC 81 C4 DC FE FF FF 53 56 57 89 4D F8 8B F2 89 45 FC 8B 5D 10 89 75 C0 8B 45 1C 89 45 BC 8B 45 14 50 8D 4D BC 8D 55 C0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C0 89 45 EC 8B 45 BC 89 45 F0 8B 45 F8 89 45 B8 8B 45 1C 89 45 B4 8B 45 14 50 8D 4D B4 8D 55 B8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B8 89 45 E4 8B 45 B4 89 45 E8 8B 45 F8 89 45 B0 8B 45 18 89 45 AC 8B 45 14 50 8D 4D AC 8D 55 B0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B0 89 45 DC 8B 45 AC 89 45 E0 8B 45 F8 89 45 A8 8B 45 1C 89 45 A4 8B C3 50 8D 4D A4 8D 55 A8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A8 89 45 D4 8B 45 A4 89 45 D8 8B 45 FC 8B 40 04 8B 40 10 80 78 20 00 75 11 8B 45 FC 8B 40 04 8B 40 10 8B 40 18 89 45 F4 EB 0B 8B 45 FC 8B 10 FF 52 04 89 45 F4 8B 45 FC 8B 40 04 8B 40 10 0F B6 40 20 3C 01 0F 94 45 C7 8B 45 FC 8B 55 EC 89 90 1C 01 00 00 8B 55 F0 89 90 20 01 00 00 8B 45 FC 8B 55 E4 89 90 24 01 00 00 8B 55 E8 89 90 28 01 00 00 8B 45 FC 8B 55 DC 89 90 2C 01 00 00 8B 55 E0 89 90 30 01 00 00 8B 45 FC 8B 55 FC 8D BA 34 01 00 00 89 75 A0 8B 55 18 89 55 9C 8B 55 14 52 8D 4D 9C 8D 55 A0 E8 ?? ?? ?? ?? 8B 45 A0 89 07 8B 45 9C 89 47 04 80 7D C7 00 75 13 55 E8 ?? ?? ?? ?? 59 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 10 8B 45 FC 8B 10 FF 92 D0 01 00 00 E9 77 01 00 00 8B 45 FC 89 45 98 8B 45 FC 05 1C 01 00 00 89 45 94 89 75 90 8B 45 1C 89 45 8C 89 5D 88 8B 45 88 50 8D 4D 8C 8D 55 90 8B 45 98 E8 ?? ?? ?? ?? 8B 45 94 8B 55 90 89 10 8B 45 94 8B 55 8C 89 50 04 8B 45 FC 89 45 84 8B 45 FC 05 24 01 00 00 89 45 80 8B 45 F8 89 85 7C FF FF FF 8B 45 1C 89 85 78 FF FF FF 89 9D 74 FF FF FF 8B 85 74 FF FF FF 50 8D 8D 78 FF FF FF 8D 95 7C FF FF FF 8B 45 84 E8 ?? ?? ?? ?? 8B 45 80 8B 95 7C FF FF FF 89 10 8B 45 80 8B 95 78 FF FF FF 89 50 04 8B 45 FC 89 85 70 FF FF FF 8B 45 FC 05 2C 01 00 00 89 85 6C FF FF FF 8B 45 F8 89 85 68 FF FF FF 8B 45 18 89 85 64 FF FF FF 89 9D 60 FF FF FF 8B 85 60 FF FF FF 50 8D 8D 64 FF FF FF 8D 95 68 FF FF FF 8B 85 70 FF FF FF E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 8B 95 68 FF FF FF 89 10 8B 85 6C FF FF FF 8B 95 64 FF FF FF 89 50 04 8B 45 FC 89 85 5C FF FF FF 8B 45 FC 05 34 01 00 00 89 85 58 FF FF FF 89 B5 54 FF FF FF 8B 45 18 89 85 50 FF FF FF 89 9D 4C FF FF FF 8B 85 4C FF FF FF 50 8D 8D 50 FF FF FF 8D 95 54 FF FF FF 8B 85 5C FF FF FF E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 8B 95 54 FF FF FF 89 10 8B 85 58 FF FF FF 8B 95 50 FF FF FF 89 50 04 8B 45 FC 8B 10 FF 92 D0 01 00 00 8B 45 FC 8B 55 FC 8D BA 2C 01 00 00 8B 55 F8 89 95 48 FF FF FF 8B 55 18 89 95 44 FF FF FF 8B D3 52 8D 8D 44 FF FF FF 8D 95 48 FF FF FF E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 89 07 8B 85 44 FF FF FF 89 47 04 8B 45 FC 8B 55 E4 89 90 1C 01 00 00 8B 55 E8 89 90 20 01 00 00 8B 45 FC 8B 55 D4 89 90 24 01 00 00 8B 55 D8 89 90 28 01 00 00 8B 45 FC 8B 55 DC 89 90 34 01 00 00 8B 55 E0 89 90 38 01 00 00 80 7D C7 00 75 13 55 E8 ?? ?? ?? ?? 59 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 23 80 7D 0C 00 74 12 0F B6 0D ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 D0 01 00 00 8B 45 FC 8B 55 EC 89 90 1C 01 00 00 8B 55 F0 89 90 20 01 00 00 8B 45 FC 8B 55 FC 8D BA 24 01 00 00 89 B5 40 FF FF FF 8B 55 1C 89 95 3C FF FF FF 8B D3 52 8D 8D 3C FF FF FF 8D 95 40 FF FF FF E8 ?? ?? ?? ?? 8B 85 40 FF FF FF 89 07 8B 85 3C FF FF FF 89 47 04 8B 45 FC 8B 55 FC 8D BA 2C 01 00 00 89 B5 38 FF FF FF 8B 55 18 89 95 34 FF FF FF 89 9D 30 FF FF FF 8B 95 30 FF FF FF 52 8D 8D 34 FF FF FF 8D 95 38 FF FF FF E8 ?? ?? ?? ?? 8B 85 38 FF FF FF 89 07 8B 85 34 FF FF FF 89 47 04 8B 45 FC 89 85 2C FF FF FF 8B 45 FC 8D B8 34 01 00 00 89 B5 28 FF FF FF 8B 45 18 89 85 24 FF FF FF 8B 45 14 89 85 20 FF FF FF 8B 85 20 FF FF FF 50 8D 8D 24 FF FF FF 8D 95 28 FF FF FF 8B 85 2C FF FF FF E8 ?? ?? ?? ?? 8B 85 28 FF FF FF 89 07 8B 85 24 FF FF FF 89 47 04 80 7D C7 00 74 0E 33 C0 89 45 C8 C7 45 CC 00 00 F0 3F EB 5F 8B 45 FC 8B 80 34 01 00 00 8B 55 FC 2B 82 1C 01 00 00 8B 55 FC 8B 92 28 01 00 00 8B 4D FC 2B 91 20 01 00 00 F7 EA 8B 55 FC 8B 92 24 01 00 00 8B 4D FC 2B 91 1C 01 00 00 8B 4D FC 8B 89 38 01 00 00 8B 7D FC 2B 8F 20 01 00 00 0F AF D1 2B C2 89 85 DC FE FF FF DB 85 DC FE FF FF DD 5D C8 9B DD 45 C8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 23 80 7D 0C 00 74 12 0F B6 0D ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 D0 01 00 00 8B 45 FC 89 85 1C FF FF FF 8B 45 FC 8D B8 34 01 00 00 89 B5 18 FF FF FF 8B 45 1C 89 85 14 FF FF FF 89 9D 10 FF FF FF 8B 85 10 FF FF FF 50 8D 8D 14 FF FF FF 8D 95 18 FF FF FF 8B 85 1C FF FF FF E8 ?? ?? ?? ?? 8B 85 18 FF FF FF 89 07 8B 85 14 FF FF FF 89 47 04 80 7D C7 00 74 0E 33 C0 89 45 C8 C7 45 CC 00 00 F0 3F EB 2F 8B 45 EC 2B 45 E4 8B 55 D8 2B 55 E8 F7 EA 8B 55 D4 2B 55 E4 8B 4D F0 2B 4D E8 0F AF D1 2B C2 89 85 DC FE FF FF DB 85 DC FE FF FF DD 5D C8 9B DD 45 C8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 62 8B 45 FC 8B 55 EC 89 90 1C 01 00 00 8B 55 F0 89 90 20 01 00 00 8B 45 FC 8B 55 E4 89 90 24 01 00 00 8B 55 E8 89 90 28 01 00 00 8B 45 FC 8B 55 D4 89 90 2C 01 00 00 8B 55 D8 89 90 30 01 00 00 80 7D 0C 00 74 12 0F B6 0D ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 D0 01 00 00 8B 45 FC 89 85 0C FF FF FF 8B 45 FC 8D B8 1C 01 00 00 89 B5 08 FF FF FF 8B 45 18 89 85 04 FF FF FF 8B 45 14 89 85 00 FF FF FF 8B 85 00 FF FF FF 50 8D 8D 04 FF FF FF 8D 95 08 FF FF FF 8B 85 0C FF FF FF E8 ?? ?? ?? ?? 8B 85 08 FF FF FF 89 07 8B 85 04 FF FF FF 89 47 04 8B 45 FC 89 85 FC FE FF FF 8B 45 FC 8D B8 2C 01 00 00 8B 45 F8 89 85 F8 FE FF FF 8B 45 18 89 85 F4 FE FF FF 89 9D F0 FE FF FF 8B 85 F0 FE FF FF 50 8D 8D F4 FE FF FF 8D 95 F8 FE FF FF 8B 85 FC FE FF FF E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 89 07 8B 85 F4 FE FF FF 89 47 04 8B 45 FC 89 85 EC FE FF FF 8B 45 FC 8D B8 24 01 00 00 89 B5 E8 FE FF FF 8B 45 18 89 85 E4 FE FF FF 89 9D E0 FE FF FF 8B 85 E0 FE FF FF 50 8D 8D E4 FE FF FF 8D 95 E8 FE FF FF 8B 85 EC FE FF FF E8 ?? ?? ?? ?? 8B 85 E8 FE FF FF 89 07 8B 85 E4 FE FF FF 89 47 04 8B 45 FC 8B 55 DC 89 90 34 01 00 00 8B 55 E0 89 90 38 01 00 00 80 7D C7 00 75 13 55 E8 ?? ?? ?? ?? 59 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 23 80 7D 0C 00 74 12 0F B6 0D ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 D0 01 00 00 5F 5E 5B 8B E5 5D C2 18 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_91459_0 {
	meta:
		name = "TTeeCanvas3D.RectangleZ"
		size = 207
		refs = "002c TTeeCanvas3D.Calc3DPos"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D FC 8B F2 8B D8 8B C3 8D BB 1C 01 00 00 89 75 F8 8B 55 FC 89 55 F4 8B 55 0C 52 8D 4D F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 07 8B 45 F4 89 47 04 8B C3 8D BB 24 01 00 00 89 75 F0 8B 55 FC 89 55 EC 8B 55 08 52 8D 4D EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 89 07 8B 45 EC 89 47 04 8B C3 8D BB 2C 01 00 00 89 75 E8 8B 55 10 89 55 E4 8B 55 08 52 8D 4D E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 07 8B 45 E4 89 47 04 8B C3 8D BB 34 01 00 00 89 75 E0 8B 55 10 89 55 DC 8B 55 0C 52 8D 4D DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 89 07 8B 45 DC 89 47 04 8B C3 8B 10 FF 92 D0 01 00 00 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_91460_0 {
	meta:
		name = "TTeeCanvas3D.RectangleY"
		size = 207
		refs = "002c TTeeCanvas3D.Calc3DPos"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F1 89 55 FC 8B D8 8B C3 8D BB 1C 01 00 00 8B 55 FC 89 55 F8 89 75 F4 8B 55 0C 52 8D 4D F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 07 8B 45 F4 89 47 04 8B C3 8D BB 24 01 00 00 8B 55 10 89 55 F0 89 75 EC 8B 55 0C 52 8D 4D EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 89 07 8B 45 EC 89 47 04 8B C3 8D BB 2C 01 00 00 8B 55 10 89 55 E8 89 75 E4 8B 55 08 52 8D 4D E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 89 07 8B 45 E4 89 47 04 8B C3 8D BB 34 01 00 00 8B 55 FC 89 55 E0 89 75 DC 8B 55 08 52 8D 4D DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 89 07 8B 45 DC 89 47 04 8B C3 8B 10 FF 92 D0 01 00 00 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_91461_0 {
	meta:
		name = "TTeeCanvas3D.DisableRotation"
		size = 21
	strings:
		$1 = { 0F B6 90 19 01 00 00 88 90 E0 00 00 00 C6 80 19 01 00 00 00 C3 }
	condition:
		$1
}

rule function_91462_0 {
	meta:
		name = "TTeeCanvas3D.EnableRotation"
		size = 14
	strings:
		$1 = { 0F B6 90 E0 00 00 00 88 90 19 01 00 00 C3 }
	condition:
		$1
}

rule function_91463_0 {
	meta:
		name = "TTeeCanvas3D.Invalidate"
		size = 8
	strings:
		$1 = { C6 80 E8 00 00 00 01 C3 }
	condition:
		$1
}

rule function_91464_0 {
	meta:
		name = "TTeeCanvas3D.RotateLabel3D"
		size = 65
		refs = "001c TTeeCanvas3D.Calc3DPos"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 14 50 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 10 50 FF 75 0C FF 75 08 8B 4D F8 8B 55 FC 8B C3 8B 18 FF 93 DC 00 00 00 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_91465_0 {
	meta:
		name = "TTeeCanvas3D.RotateLabel"
		size = 484
		refs = "0018 TTeeCanvas3D.RotateLabel 0094 TFont.GetHandle 009a GetObject 00a8 @ROUND 00f5 TFont.GetSize 014a MulDiv 0159 TTeeCanvas3D.SetFontQuality 0173 SetGraphicsMode 017c CreateFontIndirect 0183 SelectObject 0199 TTeeCanvas3D.DirectTextOut 01aa DeleteObject"
	strings:
		$1 = { 55 8B EC 83 C4 88 53 56 57 89 4D F8 89 55 FC 8B D8 EB 0D DD 45 08 D8 25 ?? ?? ?? ?? DD 5D 08 9B DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 E4 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 43 DD 83 40 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 31 80 7B 34 00 74 12 DD 83 10 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 19 8B 45 10 50 8B 4D F8 8B 55 FC 8B C3 8B 18 FF 93 98 00 00 00 E9 47 01 00 00 8B C3 8B 10 FF 52 0C 8B F0 8D 45 8C 50 6A 5C 8B 43 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? DD 45 08 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 94 DD 83 40 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 14 DD 83 40 01 00 00 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 98 C6 45 A4 07 80 7B 34 00 74 74 DD 83 10 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 62 8B 43 0C E8 ?? ?? ?? ?? 89 45 88 DB 45 88 DC 8B 10 01 00 00 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 83 7D F4 00 75 08 83 7D F0 01 73 14 EB 02 7D 10 C7 45 E8 01 00 00 00 C7 45 EC 00 00 00 00 EB 0C 8B 45 F0 89 45 E8 8B 45 F4 89 45 EC 6A 48 8B 43 0C 8B 40 1C 50 8B 45 E8 50 E8 ?? ?? ?? ?? F7 D8 89 45 8C 8D 55 8C 8B C3 E8 ?? ?? ?? ?? DD 83 40 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 08 6A 02 56 E8 ?? ?? ?? ?? 8D 45 8C 50 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B F8 8B 45 F8 50 8B 45 10 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 85 FF 74 0D 57 56 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? DD 83 40 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 08 6A 02 56 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 00 B4 43 00 00 00 00 00 00 80 3F 00 00 20 41 }
	condition:
		$1
}

rule function_91466_0 {
	meta:
		name = "TTeeCanvas3D.Polyline"
		size = 30
		refs = "0010 TCanvas.GetHandle 0016 Polyline"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 47 57 56 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91467_0 {
	meta:
		name = "TTeeCanvas3D.Polygon"
		size = 157
		refs = "001f TTeeCanvas.IsGradientVisible 0049 PolygonBounds 0057 TTeeCanvas3D.GradientFill 006b TBrush.SetStyle 007a TCanvas.GetHandle 0080 Polygon"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 8B F9 89 14 24 8B F0 8B 46 04 8B 40 10 0F B6 40 20 88 44 24 04 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 46 8D 47 01 50 6A 00 8B 54 24 08 8B CF 8B C6 8B 28 FF 95 B8 00 00 00 8D 4C 24 08 8B 04 24 8B D7 E8 ?? ?? ?? ?? 8D 4C 24 08 8B 56 30 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 E0 00 00 00 B2 01 8B 46 04 E8 ?? ?? ?? ?? 47 57 8B 44 24 04 50 8B 46 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 84 DB 74 0D 0F B6 54 24 04 8B 46 04 E8 ?? ?? ?? ?? 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91468_0 {
	meta:
		name = "TTeeCanvas3D.Polygon3D"
		size = 256
		refs = "0019 TTeeCanvas3D.Polygon3D 0031 TPointArray 0036 @DynArraySetLength 0081 TTeeCanvas3D.Calc3DPos 009f @DynArrayHigh 00ca @DynArrayClear 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 8B D9 8B FA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 73 01 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 4E 85 F6 7C 4B 46 89 75 F0 C7 45 F4 00 00 00 00 8B DF 8B C3 8B 55 FC 8B 4D F4 8D 34 CA 8B 10 89 55 EC 8B 50 04 89 55 E8 8B 40 08 50 8D 4D E8 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC 89 06 8B 45 E8 89 46 04 FF 45 F4 83 C3 0C FF 4D F0 75 C2 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F8 8B 18 FF 93 D8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91469_0 {
	meta:
		name = "TTeeCanvas3D.Ellipse"
		size = 187
		refs = "0021 TTeeCanvas.IsGradientVisible 0069 TTeeCanvas3D.GradientFill 0080 TBrush.SetStyle 0098 TCanvas.GetHandle 009e Ellipse"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 4D F8 89 55 FC 8B F0 8B 46 04 8B 40 10 0F B6 40 20 88 45 F7 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 59 8B 45 FC 89 45 D4 8B 45 F8 89 45 D8 8B 45 0C 40 89 45 DC 8B 45 08 40 89 45 E0 56 8D 75 D4 8D 7D E4 A5 A5 A5 A5 5E 8D 55 E4 33 C9 8B C6 8B 38 FF 97 B4 00 00 00 8D 4D E4 8B 56 30 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 E0 00 00 00 8B 46 08 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 0C 50 8B 45 F8 50 8B 45 FC 50 8B 46 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 84 DB 74 0C 0F B6 55 F7 8B 46 04 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_91470_0 {
	meta:
		name = "TTeeCanvas3D.GetCirclePoints"
		size = 200
		refs = "001f TTeeCanvas3D.GetCirclePoints 007e SinCos 008c @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B FA 8B 5D 08 8B 55 0C 8B 45 10 8D 34 11 89 75 D4 DB 45 D4 D8 0D ?? ?? ?? ?? D9 5D F8 9B 8D 34 18 89 75 D4 DB 45 D4 D8 0D ?? ?? ?? ?? D9 5D FC 9B 2B D1 89 55 D4 DB 45 D4 D8 0D ?? ?? ?? ?? DD 5D F0 9B 2B D8 89 5D D4 DB 45 D4 D8 0D ?? ?? ?? ?? DD 5D E8 9B 33 F6 8B DF 89 75 D4 DB 45 D4 DB 2D ?? ?? ?? ?? DE C9 83 C4 F8 DD 1C 24 9B 8D 55 D8 8D 45 E0 E8 ?? ?? ?? ?? DD 45 F0 DC 4D E0 D8 45 F8 E8 ?? ?? ?? ?? 89 03 DD 45 E8 DC 4D D8 D8 45 FC E8 ?? ?? ?? ?? 89 43 04 46 83 C3 08 83 FE 40 75 B6 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 00 00 00 3F AF 1E 97 8B 1A DE 40 CC FB 3F 00 00 }
	condition:
		$1
}

rule function_91471_0 {
	meta:
		name = "TTeeCanvas3D.GetCirclePoints"
		size = 220
		refs = "0022 TTeeCanvas3D.GetCirclePoints 0082 SinCos 00b5 TTeeCanvas3D.Calc3DPoint"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 89 55 FC 8B F8 8B 5D 0C 8B 55 10 8B 45 14 8D 34 11 89 75 CC DB 45 CC D8 0D ?? ?? ?? ?? D9 5D F4 9B 8D 34 18 89 75 CC DB 45 CC D8 0D ?? ?? ?? ?? D9 5D F8 9B 2B D1 89 55 CC DB 45 CC D8 0D ?? ?? ?? ?? DD 5D E8 9B 2B D8 89 5D CC DB 45 CC D8 0D ?? ?? ?? ?? DD 5D E0 9B 33 F6 8B 5D FC 89 75 CC DB 45 CC DB 2D ?? ?? ?? ?? DE C9 83 C4 F8 DD 1C 24 9B 8D 55 D0 8D 45 D8 E8 ?? ?? ?? ?? DD 45 E8 DC 4D D8 D8 45 F4 83 C4 F8 DD 1C 24 9B DD 45 E0 DC 4D D0 D8 45 F8 83 C4 F8 DD 1C 24 9B DB 45 08 83 C4 F8 DD 1C 24 9B 8B D3 8B C7 E8 ?? ?? ?? ?? 46 83 C3 08 83 FE 40 75 A4 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 00 3F AF 1E 97 8B 1A DE 40 CC FB 3F 00 00 }
	condition:
		$1
}

rule function_91472_0 {
	meta:
		name = "TTeeCanvas3D.EllipseWithZ"
		size = 264
		refs = "002e TTeeCanvas3D.Calc3DPos 009e TTeeCanvas3D.GetCirclePoints 00cc TPen.GetStyle"
	strings:
		$1 = { 55 8B EC 81 C4 DC FD FF FF 53 56 89 4D FC 8B F0 8B 5D 08 80 7E 49 00 74 64 89 55 E8 8B 45 FC 89 45 E4 8B C3 50 8D 4D E4 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 8B 45 E4 89 45 F8 8B 45 10 89 45 E0 8B 45 0C 89 45 DC 8B C3 50 8D 4D DC 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 89 45 EC 8B 45 DC 89 45 F0 8B 55 EC 52 50 8B 4D F8 8B 55 F4 8B C6 8B 18 FF 53 70 E9 83 00 00 00 80 BE 19 01 00 00 00 74 66 8B 45 FC 50 8B 45 10 50 8B 45 0C 50 8D 85 DC FD FF FF 8B CA 8B D6 92 E8 ?? ?? ?? ?? 8B 46 04 8B 40 10 0F B6 40 20 3C 01 74 18 53 8D 95 DC FD FF FF B9 3F 00 00 00 8B C6 8B 18 FF 93 90 01 00 00 EB 38 8B 46 10 E8 ?? ?? ?? ?? 3C 05 74 2C 53 8D 95 DC FD FF FF B9 3F 00 00 00 8B C6 8B 18 FF 93 94 01 00 00 EB 14 8B 45 10 40 50 8B 45 0C 40 50 8B 4D FC 8B C6 8B 18 FF 53 70 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_91473_0 {
	meta:
		name = "TTeeCanvas3D.GetPixel"
		size = 15
	strings:
		$1 = { 53 56 8B F0 8B 46 08 8B 18 FF 53 18 5E 5B C3 }
	condition:
		$1
}

rule function_91474_0 {
	meta:
		name = "TTeeCanvas3D.SetPixel"
		size = 44
		refs = "0010 ColorToRGB 001b TCanvas.GetHandle 0021 SetPixel"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 50 57 56 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_91475_0 {
	meta:
		name = "TTeeCanvas3D.Arc"
		size = 59
		refs = "002a TCanvas.GetHandle 0030 Arc"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 57 56 8B 43 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_91476_0 {
	meta:
		name = "ArcTo"
		size = 99
		refs = "001f SetArcDirection 0045 ArcTo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 84 DB 74 0E 6A 02 8B 45 20 8B 40 EC 50 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 FC 50 57 56 8B 45 20 8B 40 EC 50 E8 ?? ?? ?? ?? 84 DB 74 0E 6A 01 8B 45 20 8B 40 EC 50 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_91477_0 {
	meta:
		name = "CalcPoint"
		size = 83
		refs = "0019 SinCos 0027 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8D 55 F0 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 10 DB 40 24 DC 4D F0 E8 ?? ?? ?? ?? 8B 55 10 03 42 E8 89 03 8B 45 10 DB 40 20 DC 4D F8 E8 ?? ?? ?? ?? 8B 55 10 8B 52 E4 2B D0 89 16 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_91478_0 {
	meta:
		name = "CalcPoint2"
		size = 83
		refs = "0019 SinCos 0027 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8D 55 F0 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 10 DD 40 D8 DC 4D F0 E8 ?? ?? ?? ?? 8B 55 10 03 42 E8 89 03 8B 45 10 DD 40 D0 DC 4D F8 E8 ?? ?? ?? ?? 8B 55 10 8B 52 E4 2B D0 89 16 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_91479_0 {
	meta:
		name = "CreateDonutPath"
		size = 315
		refs = "000d BeginPath 0065 ArcTo 0084 CalcPoint2 00cf @ROUND 0133 EndPath"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 EC 50 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 08 8B 40 E4 8B 55 08 03 42 20 50 8B 45 08 8B 40 FC 50 8B 45 08 8B 40 F8 50 8B 45 08 8B 40 F4 50 8B 45 08 8B 40 F0 50 6A 00 8B 45 08 8B 48 E8 8B 45 08 03 48 24 8B 45 08 8B 50 E4 8B 45 08 2B 50 20 8B 45 08 8B 40 E8 8B 5D 08 2B 43 24 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 08 FF 70 1C FF 70 18 8B 45 08 8D 50 F8 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 08 FF 70 14 FF 70 10 8B 45 08 8D 50 F0 8B 45 08 83 C0 F4 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F4 8B 55 08 3B 42 FC 75 0E 8B 45 08 8B 40 F0 8B 55 08 3B 42 F8 74 67 8B 45 08 50 8B 45 08 DD 40 D0 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 55 08 03 42 E4 50 8B 45 08 8B 40 F4 50 8B 45 08 8B 40 F0 50 8B 45 08 8B 40 FC 50 8B 45 08 8B 40 F8 50 6A 01 8B 45 08 DD 40 D8 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 55 08 03 42 E8 50 8B 45 08 8B 40 E4 2B C6 50 8B 45 08 8B 40 E8 2B C3 5A 59 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 EC 50 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_91480_0 {
	meta:
		name = "TTeeCanvas3D.Donut"
		size = 264
		refs = "0018 TTeeCanvas3D.Donut 0042 CalcPoint 0076 CreateDonutPath 007e TTeeCanvas.IsGradientVisible 008b PathToRegion 009a SetCanvasRegion 00cb TTeeCanvas3D.GradientFill 00e5 StrokePath 00f0 StrokeAndFillPath"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 89 4D E4 89 55 E8 8B F0 DB 45 24 DC 4D 08 DB 2D ?? ?? ?? ?? DE C9 DD 5D D8 9B DB 45 20 DC 4D 08 DB 2D ?? ?? ?? ?? DE C9 DD 5D D0 9B 55 FF 75 1C FF 75 18 8D 55 F8 8D 45 FC E8 ?? ?? ?? ?? 59 55 FF 75 14 FF 75 10 8D 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 59 8B 4D F8 8B 55 FC 8B C6 8B 18 FF 93 80 00 00 00 8B C6 8B 10 FF 52 0C 89 45 EC 55 E8 ?? ?? ?? ?? 59 8B C6 E8 ?? ?? ?? ?? 84 C0 74 65 8B 45 EC 50 E8 ?? ?? ?? ?? 8B D0 B9 01 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 2B 45 24 89 45 C0 8B 45 E4 2B 45 20 89 45 C4 8B 45 E8 03 45 24 89 45 C8 8B 45 E4 03 45 20 89 45 CC 8D 4D C0 8B 56 30 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 E0 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 EC 50 E8 ?? ?? ?? ?? EB 09 8B 45 EC 50 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 20 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_91481_0 {
	meta:
		name = "CalcPoint"
		size = 118
		refs = "0019 SinCos 0038 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8D 55 F0 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 10 8B 40 F8 8B 40 08 8B 55 10 8B 52 F8 2B 02 89 45 EC DB 45 EC DC 4D F0 E8 ?? ?? ?? ?? 8B 55 10 03 42 FC 89 03 8B 45 10 8B 40 F8 8B 40 0C 8B 55 10 8B 52 F8 2B 42 04 89 45 EC DB 45 EC DC 4D F8 E8 ?? ?? ?? ?? 8B 55 10 8B 52 F4 2B D0 89 16 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_91482_0 {
	meta:
		name = "TTeeCanvas3D.Pie"
		size = 151
		refs = "0045 CalcPoint"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 89 55 F8 8B D8 8B 45 F8 8B 00 8B 55 F8 03 42 08 D1 F8 79 03 83 D0 00 89 45 FC 8B 45 F8 8B 40 04 8B 55 F8 03 42 0C D1 F8 79 03 83 D0 00 89 45 F4 55 FF 75 14 FF 75 10 8D 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 59 55 FF 75 0C FF 75 08 8D 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 0C 50 8B 45 F0 50 8B 45 EC 50 8B 45 E8 50 8B 45 E4 50 8B 4D F8 8B 49 04 8B 55 F8 8B 12 8B C3 8B 18 FF 93 88 00 00 00 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_91483_0 {
	meta:
		name = "DoPie"
		size = 81
		refs = "0045 TCanvas.GetHandle 004b Pie"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 08 50 8B 45 08 8B 40 0C 50 8B 45 08 8B 40 10 50 8B 45 08 8B 40 14 50 8B 45 08 8B 40 18 50 8B 45 08 8B 40 1C 50 8B 45 08 8B 40 F4 50 8B 45 08 8B 40 F8 50 8B 45 08 8B 40 FC 8B 40 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_91484_0 {
	meta:
		name = "TTeeCanvas3D.Pie"
		size = 198
		refs = "0025 TTeeCanvas.IsGradientVisible 003b BeginPath 0041 DoPie 0048 EndPath 004e PathToRegion 005c SetCanvasRegion 0085 TTeeCanvas3D.GradientFill 00a0 TBrush.SetStyle"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B 40 04 8B 40 10 0F B6 40 20 88 45 F3 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 74 75 8B 45 FC 8B 10 FF 52 0C 8B F0 56 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 56 E8 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 8B D0 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 89 45 E0 8B 45 F4 89 45 E4 8B 45 1C 89 45 E8 8B 45 18 89 45 EC 8D 4D E0 8B 45 FC 8B 50 30 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 E0 00 00 00 8B 45 FC 8B 40 08 8B 40 48 B2 01 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 DB 74 0F 0F B6 55 F3 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_91485_0 {
	meta:
		name = "TCanvas3D.CalcPieAngles"
		size = 316
		refs = "002a TCanvas3D.CalcPieAngles 006a ArcTan2"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B 7D 08 8B 75 0C 8B 45 24 2B C2 8B 5D 20 2B D9 89 5D FC 89 55 D4 DB 45 D4 89 45 D0 DB 45 D0 D8 0D ?? ?? ?? ?? DE C1 DD 5D E0 9B 89 4D D4 DB 45 D4 DB 45 FC D8 0D ?? ?? ?? ?? DE C1 DD 5D D8 9B DB 45 18 DC 6D D8 DD 5D E8 9B DB 45 1C DC 65 E0 DD 5D F0 9B FF 75 EC FF 75 E8 FF 75 F4 FF 75 F0 E8 ?? ?? ?? ?? DD 1E 9B DD 06 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0B DB 2D ?? ?? ?? ?? DC 06 DD 1E 9B DB 2D ?? ?? ?? ?? DC 0E DD 1E 9B DD 06 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 07 33 C0 89 06 89 46 04 DB 45 10 DC 6D D8 DD 5D E8 9B DB 45 14 DC 65 E0 DD 5D F0 9B FF 75 EC FF 75 E8 FF 75 F4 FF 75 F0 E8 ?? ?? ?? ?? DD 1F 9B DD 07 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0B DB 2D ?? ?? ?? ?? DC 07 DD 1F 9B DB 2D ?? ?? ?? ?? DC 0F DD 1F 9B DD 07 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0B 33 C0 89 07 C7 47 04 00 80 76 40 5F 5E 5B 8B E5 5D C2 20 00 00 00 00 3F 00 00 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 C3 BD 0F 1E D3 E0 2E E5 04 40 00 00 00 00 B4 43 }
	condition:
		$1
}

rule function_91487_0 {
	meta:
		name = "TTeeCanvas3D.CheckFastBrush"
		size = 44
		refs = "0006 TeeSetDCBrushColor 0015 GetStockObject 0023 SelectObject"
	strings:
		$1 = { 53 56 8B F0 83 3D ?? ?? ?? ?? 00 0F 95 C3 84 DB 74 15 6A 12 E8 ?? ?? ?? ?? 50 8B C6 8B 10 FF 52 0C 50 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_91488_0 {
	meta:
		name = "DrawPoints"
		size = 89
		refs = "0014 @DynArrayLength 0023 @DynArrayHigh 0045 :TTeeCanvas3D.:1 004a @DynArrayClear"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 83 78 FC 00 74 49 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 85 C0 7E 3A 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 50 FC 8B 45 08 8B 40 F8 8B 18 FF 93 D8 00 00 00 8B 45 08 83 C0 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 33 D2 89 50 F4 5B 5D C3 }
	condition:
		$1
}

rule function_93272_0 {
	meta:
		name = "DrawPoints"
		size = 89
		refs = "0014 @DynArrayLength 0023 @DynArrayHigh 0045 :TGDIPlusCanvas.:1 004a @DynArrayClear"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 83 78 FC 00 74 49 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 85 C0 7E 3A 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 50 FC 8B 45 08 8B 40 F8 8B 18 FF 93 D8 00 00 00 8B 45 08 83 C0 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 33 D2 89 50 F4 5B 5D C3 }
	condition:
		$1
}

rule function_91489_0 {
	meta:
		name = "DrawBevel"
		size = 1027
		refs = "003a TPen.GetStyle 004d TPen.SetStyle 0063 :TTeeCanvas3D.:1 0068 @DynArraySetLength 009a TCanvas3D.PointFromCircle 011c DrawPoints"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 88 4D FF 8B 4D 08 80 79 F3 00 0F 84 E3 03 00 00 89 45 F8 8B FA 8B 45 08 33 D2 89 50 F4 80 7D FF 00 0F 84 E5 02 00 00 8B 45 08 8B 40 F8 8B 40 10 E8 ?? ?? ?? ?? 88 45 F7 8B 45 08 8B 40 F8 8B 40 10 B2 05 E8 ?? ?? ?? ?? 68 6A 01 00 00 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 BB B4 00 00 00 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 E0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 8B 45 08 FF 40 F4 4B 83 FB FF 75 B1 33 DB 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 CC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 8B 45 08 FF 40 F4 43 81 FB B5 00 00 00 75 AE 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B C7 2D B4 00 00 00 03 C0 83 C0 02 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B DF 81 FB B4 00 00 00 7C 52 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 CC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 8B 45 08 FF 40 F4 4B 81 FB B3 00 00 00 75 AE 8B F7 81 EE B4 00 00 00 7C 53 46 BB B4 00 00 00 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 E0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 8B 45 08 FF 40 F4 43 4E 75 B3 8B 45 08 50 E8 ?? ?? ?? ?? 59 83 7D F8 00 0F 8E EA 00 00 00 B8 68 01 00 00 2B 45 F8 03 C0 83 C0 02 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B8 68 01 00 00 8B D8 8B 75 F8 2B F3 7F 4E 4E 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 CC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 8B 45 08 FF 40 F4 4B 46 75 B3 8B 5D F8 81 FB 68 01 00 00 7F 52 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 E0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 8B 45 08 FF 40 F4 43 81 FB 69 01 00 00 75 AE 8B 45 08 50 E8 ?? ?? ?? ?? 59 0F B6 55 F7 8B 45 08 8B 40 F8 8B 40 10 E8 ?? ?? ?? ?? E9 DD 00 00 00 3B 7D F8 7D 06 81 C7 68 01 00 00 8B C7 2B 45 F8 03 C0 83 C0 02 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 5D F8 8B F7 2B F3 7C 4E 46 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 E0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 8B 45 08 FF 40 F4 43 4E 75 B3 8B DF 8B 75 F8 2B F3 7F 4E 4E 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 CC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 8B 45 08 FF 40 F4 4B 46 75 B3 8B 45 08 50 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91490_0 {
	meta:
		name = "DrawBevel"
		size = 17
		refs = "000a DrawBevel"
	strings:
		$1 = { 55 8B EC 8B 4D 08 51 33 C9 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_91491_0 {
	meta:
		name = "DrawBack"
		size = 319
		refs = "0035 :TTeeCanvas3D.:1 003a @DynArraySetLength 00b0 TCanvas3D.PointFromCircle 0133 DrawPoints"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B F8 8B 45 08 0F B6 58 CB 8B 45 08 33 D2 89 50 F4 8B 45 FC 2B C7 03 C0 83 C0 02 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 0F B6 40 CA 34 01 84 D8 74 2A 8B 45 08 8B 40 C4 8B 55 08 3B 42 BC 7E 1C 8B 45 08 8B 40 B4 8B 55 08 3B 42 BC 7E 0E 8B 45 08 81 78 AC B4 00 00 00 7D 02 33 DB 84 DB 0F 84 B8 00 00 00 8B F7 8B 5D FC 2B DE 7C 4E 43 89 75 F0 DB 45 F0 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 F4 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 9C 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D F4 89 0C C2 8B 4D F8 89 4C C2 04 8B 45 08 FF 40 F4 46 4B 75 B3 8B 75 FC 8B DF 2B DE 7F 4E 4B 89 75 F0 DB 45 F0 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 F4 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 8C 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D F4 89 0C C2 8B 4D F8 89 4C C2 04 8B 45 08 FF 40 F4 4E 43 75 B3 8B 45 08 50 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91492_0 {
	meta:
		name = "DrawArc"
		size = 145
		refs = "0026 SetArcDirection 003e TCanvas3D.CalcRect3D 006d ArcTo"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8B FA 89 45 FC 8B 5D 08 84 DB 74 13 6A 02 8B 45 0C 8B 40 F8 8B 10 FF 52 0C 50 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 0C 8B 48 DC 8B 55 FC 8B 45 0C 8B 40 F8 E8 ?? ?? ?? ?? 8B 46 04 50 8B 06 50 8B 47 04 50 8B 07 50 8B 45 F8 50 8B 45 F4 50 8B 45 F0 50 8B 45 EC 50 8B 45 0C 8B 40 F8 8B 10 FF 52 0C 50 E8 ?? ?? ?? ?? 84 DB 74 13 6A 01 8B 45 0C 8B 40 F8 8B 10 FF 52 0C 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_91493_0 {
	meta:
		name = "DrawUsingArcs"
		size = 489
		refs = "0044 TCanvas3D.PointFromCircle 007f TTeeCanvas.MoveTo 00b8 TTeeCanvas.LineTo 0106 DrawArc 01d3 EndPath 01e0 StrokeAndFillPath"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 8B 5D 08 8B 5B 08 83 C3 F8 8B 45 08 8B 40 08 80 78 F3 00 74 2E 8B 45 08 DB 40 FC 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 F8 50 8B 45 08 8B 40 08 8B 48 DC 8B 45 08 8B 40 08 8D 50 CC 8B 03 E8 ?? ?? ?? ?? EB 2F 8B 45 08 DB 40 FC 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 F8 50 8B 45 08 8B 40 08 8B 48 DC 8B 45 08 8B 40 08 8D 90 7C FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8B 45 08 DB 40 FC 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 F0 50 8B 45 08 8B 40 08 8B 48 DC 8B 45 08 8B 40 08 8D 90 6C FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 55 F0 8B 03 E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 50 6A 00 8B 45 08 DB 40 F8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 E0 50 8B 45 08 8B 40 08 8B 48 DC 8B 45 08 8B 40 08 8D 90 6C FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 4D E0 8D 55 F0 8B 45 08 8B 40 08 05 6C FF FF FF E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 08 80 78 F3 00 74 2E 8B 45 08 DB 40 F8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 E8 50 8B 45 08 8B 40 08 8B 48 DC 8B 45 08 8B 40 08 8D 50 CC 8B 03 E8 ?? ?? ?? ?? EB 2F 8B 45 08 DB 40 F8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 E8 50 8B 45 08 8B 40 08 8B 48 DC 8B 45 08 8B 40 08 8D 90 7C FF FF FF 8B 03 E8 ?? ?? ?? ?? 8D 55 E8 8B 03 E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 80 78 F3 00 74 20 8B 45 08 8B 40 08 50 6A 01 8D 4D F8 8D 55 E8 8B 45 08 8B 40 08 83 C0 CC E8 ?? ?? ?? ?? 59 EB 20 8B 45 08 8B 40 08 50 6A 01 8D 4D F8 8D 55 E8 8B 45 08 8B 40 08 05 7C FF FF FF E8 ?? ?? ?? ?? 59 8B 03 8B 10 FF 52 0C 50 E8 ?? ?? ?? ?? 8B 03 8B 10 FF 52 0C 50 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91494_0 {
	meta:
		name = "DrawFront"
		size = 3081
		refs = "0057 DrawBevel 0073 :TTeeCanvas3D.:1 0078 @DynArraySetLength 0193 TCanvas3D.PointFromCircle 025d DrawPoints 0aaa BeginPath 0ab4 DrawUsingArcs"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 F4 8B F0 8B 7D 08 83 C7 F4 B3 01 33 C0 89 07 8B 45 08 80 78 CA 00 75 39 8B 45 08 8B 40 C4 8B 55 08 3B 42 BC 7D 2B 8B 45 08 8B 40 B4 8B 55 08 3B 42 BC 7D 1D 8B 45 08 81 78 AC B4 00 00 00 7D 11 33 DB 8B 45 08 50 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 59 84 DB 0F 84 9E 0B 00 00 6A 00 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 89 45 F8 89 75 FC 81 7D F8 68 01 00 00 7E 10 81 6D F8 68 01 00 00 81 7D F8 68 01 00 00 7F F0 81 7D F8 98 FE FF FF 7D 10 81 45 F8 68 01 00 00 81 7D F8 98 FE FF FF 7C F0 81 7D FC 68 01 00 00 7E 10 81 6D FC 68 01 00 00 81 7D FC 68 01 00 00 7F F0 81 7D FC 98 FE FF FF 7D 10 81 45 FC 68 01 00 00 81 7D FC 98 FE FF FF 7C F0 83 7D F8 00 7D 07 81 45 F8 68 01 00 00 83 7D FC 00 7D 07 81 45 FC 68 01 00 00 8B 45 08 8B 40 BC 8B 55 08 3B 42 C4 0F 8D AF 02 00 00 8B 55 08 8B 55 08 3B 42 B4 0F 8E A0 02 00 00 8B 45 08 80 78 CA 00 0F 84 2E 01 00 00 8B 45 F8 03 C0 83 C0 02 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 80 78 F3 00 74 55 8B 75 F8 85 F6 0F 8C 9C 00 00 00 46 33 DB 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 CC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 43 4E 75 BB EB 52 8B 75 F8 85 F6 7C 4B 46 33 DB 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 90 7C FF FF FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 43 4E 75 B8 8B 5D F8 83 FB 00 7C 4A 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 90 6C FF FF FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 4B 83 FB FF 75 B6 8B 45 08 50 E8 ?? ?? ?? ?? 59 83 7D FC 00 0F 8E 46 01 00 00 B8 68 01 00 00 2B 45 FC 03 C0 83 C0 02 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 75 FC 81 EE 68 01 00 00 7F 4E 4E BB 68 01 00 00 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 90 6C FF FF FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 4B 46 75 B8 8B 45 08 80 78 F3 00 74 5B 8B 5D FC 81 FB 68 01 00 00 0F 8F A4 00 00 00 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 CC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 43 81 FB 69 01 00 00 75 B6 EB 58 8B 5D FC 81 FB 68 01 00 00 7F 4D 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 90 7C FF FF FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 43 81 FB 69 01 00 00 75 B3 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 E9 3B 08 00 00 8B 45 08 8B 40 BC 8B 55 08 3B 42 C4 0F 8E BE 02 00 00 8B 55 08 8B 55 08 3B 42 B4 0F 8D AF 02 00 00 8B 45 08 80 78 CA 00 0F 84 47 01 00 00 B8 B4 00 00 00 2B 45 FC 03 C0 83 C0 02 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 80 78 F3 00 74 5C 8B 75 FC 81 EE B4 00 00 00 0F 8F A6 00 00 00 4E BB B4 00 00 00 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 CC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 4B 46 75 BB EB 59 8B 75 FC 81 EE B4 00 00 00 7F 4E 4E BB B4 00 00 00 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 90 7C FF FF FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 4B 46 75 B8 8B 5D FC 81 FB B4 00 00 00 7F 4D 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 90 6C FF FF FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 43 81 FB B5 00 00 00 75 B3 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 F8 2D B4 00 00 00 03 C0 83 C0 02 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 75 F8 81 EE B4 00 00 00 7C 4E 46 BB B4 00 00 00 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 90 6C FF FF FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 43 4E 75 B8 8B 45 08 80 78 F3 00 74 5B 8B 5D F8 81 FB B4 00 00 00 0F 8C A4 00 00 00 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 CC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 4B 81 FB B3 00 00 00 75 B6 EB 58 8B 5D F8 81 FB B4 00 00 00 7C 4D 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 90 7C FF FF FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 4B 81 FB B3 00 00 00 75 B3 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 E9 6B 05 00 00 8B 45 08 8B 40 BC 8B 55 08 3B 42 C4 0F 8F D6 03 00 00 8B 55 08 8B 55 08 3B 42 B4 0F 8D C7 03 00 00 8B 45 08 81 78 AC B4 00 00 00 0F 8E B7 03 00 00 68 6A 01 00 00 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 80 78 F3 00 74 4E BB B4 00 00 00 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 CC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 4B 83 FB FF 75 B9 EB 4F BB B4 00 00 00 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 90 7C FF FF FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 4B 83 FB FF 75 B6 33 DB 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 90 6C FF FF FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 43 81 FB B5 00 00 00 75 B3 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 F8 2D B4 00 00 00 03 C0 83 C0 02 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 5D F8 81 FB B4 00 00 00 7C 4D 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 90 6C FF FF FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 4B 81 FB B3 00 00 00 75 B3 8B 45 08 80 78 F3 00 74 5C 8B 75 F8 81 EE B4 00 00 00 0F 8C A6 00 00 00 46 BB B4 00 00 00 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 CC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 43 4E 75 BB EB 59 8B 75 F8 81 EE B4 00 00 00 7C 4E 46 BB B4 00 00 00 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 90 7C FF FF FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 43 4E 75 B8 8B 45 08 50 E8 ?? ?? ?? ?? 59 83 7D FC 00 0F 8E CC 02 00 00 B8 68 01 00 00 2B 45 FC 03 C0 83 C0 02 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B8 68 01 00 00 8B D8 8B 75 FC 2B F3 7F 49 4E 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 90 6C FF FF FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 4B 46 75 B8 8B 45 08 80 78 F3 00 74 5B 8B 5D FC 81 FB 68 01 00 00 0F 8F A4 00 00 00 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 CC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 43 81 FB 69 01 00 00 75 B6 EB 58 8B 5D FC 81 FB 68 01 00 00 7F 4D 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 90 7C FF FF FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 43 81 FB 69 01 00 00 75 B3 8B 45 08 50 E8 ?? ?? ?? ?? 59 E9 83 01 00 00 8B 45 F8 3B 45 FC 7D 07 81 45 F8 68 01 00 00 8B 45 08 8B 40 F8 80 B8 50 01 00 00 00 74 21 8B 45 08 8B 40 F8 8B 10 FF 52 0C 50 E8 ?? ?? ?? ?? 85 C0 74 0C 55 E8 ?? ?? ?? ?? 59 E9 34 01 00 00 8B 45 F8 2B 45 FC 03 C0 83 C0 02 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 80 78 F3 00 74 56 8B 5D FC 8B 75 F8 2B F3 0F 8C 9B 00 00 00 46 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 CC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 43 4E 75 BB EB 53 8B 5D FC 8B 75 F8 2B F3 7C 49 46 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 90 7C FF FF FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 43 4E 75 B8 8B 5D F8 8B 75 FC 2B F3 7F 49 4E 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 90 6C FF FF FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 07 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 FF 07 4B 46 75 B8 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91495_0 {
	meta:
		name = "DrawLeft"
		size = 710
		refs = "0055 :TTeeCanvas3D.:1 005a @DynArraySetLength 00ec DrawPoints"
	strings:
		$1 = { 55 8B EC 8B 45 08 81 78 AC 68 01 00 00 0F 8D B1 02 00 00 8B 45 08 80 78 CA 00 75 10 8B 45 08 80 B8 6B FF FF FF 00 0F 84 98 02 00 00 8B 45 08 80 78 CB 00 0F 84 4E 01 00 00 8B 45 08 80 78 F3 00 0F 84 B0 00 00 00 6A 05 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 40 FC 8B 55 08 8B 8A 60 FF FF FF 89 08 8B 8A 64 FF FF FF 89 48 04 8B 45 08 8B 40 FC 8B 55 08 8B 8A 58 FF FF FF 89 48 08 8B 8A 5C FF FF FF 89 48 0C 8B 45 08 8B 40 FC 8B 55 08 8B 8A 50 FF FF FF 89 48 10 8B 8A 54 FF FF FF 89 48 14 8B 45 08 8B 40 FC 8B 55 08 8B 8A 48 FF FF FF 89 48 18 8B 8A 4C FF FF FF 89 48 1C 8B 45 08 8B 40 FC 8B 55 08 8B 8A 40 FF FF FF 89 48 20 8B 8A 44 FF FF FF 89 48 24 8B 45 08 50 E8 ?? ?? ?? ?? 59 E9 CE 01 00 00 8B 45 08 8B 40 F8 8B 55 08 8B 8A 60 FF FF FF 89 88 1C 01 00 00 8B 8A 64 FF FF FF 89 88 20 01 00 00 8B 45 08 8B 40 F8 8B 55 08 8B 4A B0 89 88 24 01 00 00 8B 4A B4 89 88 28 01 00 00 8B 45 08 8B 40 F8 8B 55 08 8B 8A 48 FF FF FF 89 88 2C 01 00 00 8B 8A 4C FF FF FF 89 88 30 01 00 00 8B 45 08 8B 40 F8 8B 55 08 8B 8A 40 FF FF FF 89 88 34 01 00 00 8B 8A 44 FF FF FF 89 88 38 01 00 00 8B 45 08 8B 40 F8 8B 10 FF 92 D0 01 00 00 E9 3D 01 00 00 8B 45 08 80 78 F3 00 0F 84 AA 00 00 00 6A 05 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 40 FC 8B 55 08 8B 4A B8 89 08 8B 4A BC 89 48 04 8B 45 08 8B 40 FC 8B 55 08 8B 8A 58 FF FF FF 89 48 08 8B 8A 5C FF FF FF 89 48 0C 8B 45 08 8B 40 FC 8B 55 08 8B 8A 50 FF FF FF 89 48 10 8B 8A 54 FF FF FF 89 48 14 8B 45 08 8B 40 FC 8B 55 08 8B 8A 48 FF FF FF 89 48 18 8B 8A 4C FF FF FF 89 48 1C 8B 45 08 8B 40 FC 8B 55 08 8B 8A 38 FF FF FF 89 48 20 8B 8A 3C FF FF FF 89 48 24 8B 45 08 50 E8 ?? ?? ?? ?? 59 E9 86 00 00 00 8B 45 08 8B 40 F8 8B 55 08 8B 4A B8 89 88 1C 01 00 00 8B 4A BC 89 88 20 01 00 00 8B 45 08 8B 40 F8 8B 55 08 8B 4A B0 89 88 24 01 00 00 8B 4A B4 89 88 28 01 00 00 8B 45 08 8B 40 F8 8B 55 08 8B 8A 48 FF FF FF 89 88 2C 01 00 00 8B 8A 4C FF FF FF 89 88 30 01 00 00 8B 45 08 8B 40 F8 8B 55 08 8B 8A 38 FF FF FF 89 88 34 01 00 00 8B 8A 3C FF FF FF 89 88 38 01 00 00 8B 45 08 8B 40 F8 8B 10 FF 92 D0 01 00 00 5D C3 }
	condition:
		$1
}

rule function_91496_0 {
	meta:
		name = "DrawRight"
		size = 737
		refs = "003b :TTeeCanvas3D.:1 0040 @DynArraySetLength 0107 DrawPoints"
	strings:
		$1 = { 55 8B EC 8B 45 08 81 78 AC 68 01 00 00 0F 8D CC 02 00 00 8B 45 08 80 78 CA 00 75 10 8B 45 08 80 B8 6B FF FF FF 00 0F 84 B3 02 00 00 6A 00 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 80 78 CB 00 0F 84 4E 01 00 00 8B 45 08 80 78 F3 00 0F 84 B0 00 00 00 6A 05 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 40 FC 8B 55 08 8B 8A 30 FF FF FF 89 08 8B 8A 34 FF FF FF 89 48 04 8B 45 08 8B 40 FC 8B 55 08 8B 8A 28 FF FF FF 89 48 08 8B 8A 2C FF FF FF 89 48 0C 8B 45 08 8B 40 FC 8B 55 08 8B 8A 20 FF FF FF 89 48 10 8B 8A 24 FF FF FF 89 48 14 8B 45 08 8B 40 FC 8B 55 08 8B 8A 18 FF FF FF 89 48 18 8B 8A 1C FF FF FF 89 48 1C 8B 45 08 8B 40 FC 8B 55 08 8B 8A 10 FF FF FF 89 48 20 8B 8A 14 FF FF FF 89 48 24 8B 45 08 50 E8 ?? ?? ?? ?? 59 E9 CE 01 00 00 8B 45 08 8B 40 F8 8B 55 08 8B 8A 30 FF FF FF 89 88 1C 01 00 00 8B 8A 34 FF FF FF 89 88 20 01 00 00 8B 45 08 8B 40 F8 8B 55 08 8B 4A C0 89 88 24 01 00 00 8B 4A C4 89 88 28 01 00 00 8B 45 08 8B 40 F8 8B 55 08 8B 8A 18 FF FF FF 89 88 2C 01 00 00 8B 8A 1C FF FF FF 89 88 30 01 00 00 8B 45 08 8B 40 F8 8B 55 08 8B 8A 10 FF FF FF 89 88 34 01 00 00 8B 8A 14 FF FF FF 89 88 38 01 00 00 8B 45 08 8B 40 F8 8B 10 FF 92 D0 01 00 00 E9 3D 01 00 00 8B 45 08 80 78 F3 00 0F 84 AA 00 00 00 6A 05 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 40 FC 8B 55 08 8B 4A B8 89 08 8B 4A BC 89 48 04 8B 45 08 8B 40 FC 8B 55 08 8B 8A 28 FF FF FF 89 48 08 8B 8A 2C FF FF FF 89 48 0C 8B 45 08 8B 40 FC 8B 55 08 8B 8A 20 FF FF FF 89 48 10 8B 8A 24 FF FF FF 89 48 14 8B 45 08 8B 40 FC 8B 55 08 8B 8A 18 FF FF FF 89 48 18 8B 8A 1C FF FF FF 89 48 1C 8B 45 08 8B 40 FC 8B 55 08 8B 8A 38 FF FF FF 89 48 20 8B 8A 3C FF FF FF 89 48 24 8B 45 08 50 E8 ?? ?? ?? ?? 59 E9 86 00 00 00 8B 45 08 8B 40 F8 8B 55 08 8B 4A B8 89 88 1C 01 00 00 8B 4A BC 89 88 20 01 00 00 8B 45 08 8B 40 F8 8B 55 08 8B 4A C0 89 88 24 01 00 00 8B 4A C4 89 88 28 01 00 00 8B 45 08 8B 40 F8 8B 55 08 8B 8A 18 FF FF FF 89 88 2C 01 00 00 8B 8A 1C FF FF FF 89 88 30 01 00 00 8B 45 08 8B 40 F8 8B 55 08 8B 8A 38 FF FF FF 89 88 34 01 00 00 8B 8A 3C FF FF FF 89 88 38 01 00 00 8B 45 08 8B 40 F8 8B 10 FF 92 D0 01 00 00 5D C3 }
	condition:
		$1
}

rule function_91497_0 {
	meta:
		name = "DrawTop"
		size = 960
		refs = "002e BeginPath 0066 TCanvas3D.PointFromCircle 0074 TTeeCanvas.MoveTo 0098 TTeeCanvas.LineTo 00e1 DrawArc 0186 EndPath 0197 StrokeAndFillPath 01c1 :TTeeCanvas3D.:1 01c6 @DynArraySetLength 03b4 DrawPoints"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B FA 89 45 FC 8B 45 08 8B 40 F8 80 B8 50 01 00 00 00 0F 84 7F 01 00 00 8B 45 08 8B 40 F8 8B 10 FF 52 0C 50 E8 ?? ?? ?? ?? 85 C0 0F 84 66 01 00 00 8B 45 08 80 78 CB 00 74 37 DB 45 FC 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 E4 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 9C 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? EB 11 8B 45 08 8D 50 B8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8D 50 C0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 50 6A 00 89 7D E0 DB 45 E0 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 E4 50 8B 45 08 8B 48 DC 8B 45 08 8D 90 7C FF FF FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8D 4D E4 8B 45 08 8D 50 C0 8B 45 08 05 7C FF FF FF E8 ?? ?? ?? ?? 59 8B 45 08 80 78 CB 00 74 79 89 7D E0 DB 45 E0 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 F4 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 9C 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? DB 45 FC 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 9C 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 50 6A 01 8D 4D EC 8D 55 F4 8B 45 08 83 C0 9C E8 ?? ?? ?? ?? 59 EB 11 8B 45 08 8D 50 B8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 10 FF 52 0C 50 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 10 FF 52 0C 50 E8 ?? ?? ?? ?? E9 19 02 00 00 8B 45 08 80 78 CB 00 74 26 8B C7 2B 45 FC 03 C0 83 C0 02 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 50 8B 45 08 81 78 AC 68 01 00 00 7D 24 8B C7 2B 45 FC 83 C0 03 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 20 8B C7 2B 45 FC 40 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 33 D2 89 50 F4 8B 45 08 81 78 AC 68 01 00 00 7D 2B 8B 45 08 80 78 CB 00 75 22 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D 08 8B 59 B8 89 1C C2 8B 59 BC 89 5C C2 04 8B 45 08 FF 40 F4 8B 45 08 80 78 F3 00 74 5D 8B 75 FC 8B DF 2B DE 0F 8C AA 00 00 00 43 89 75 E0 DB 45 E0 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 E4 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 E0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D E4 89 0C C2 8B 4D E8 89 4C C2 04 8B 45 08 FF 40 F4 46 4B 75 B3 EB 5A 8B 75 FC 8B DF 2B DE 7C 51 43 89 75 E0 DB 45 E0 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 E4 50 8B 45 08 8B 48 DC 8B 45 08 8D 90 7C FF FF FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D E4 89 0C C2 8B 4D E8 89 4C C2 04 8B 45 08 FF 40 F4 46 4B 75 B0 8B 45 08 80 78 CB 00 74 57 8B F7 8B 5D FC 2B DE 7F 4E 4B 89 75 E0 DB 45 E0 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 E4 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 9C 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D E4 89 0C C2 8B 4D E8 89 4C C2 04 8B 45 08 FF 40 F4 4E 43 75 B3 8B 45 08 81 78 AC 68 01 00 00 7D 25 8B 45 08 80 78 CB 00 75 1C 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D 08 8B 59 B8 89 1C C2 8B 59 BC 89 5C C2 04 8B 45 08 50 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91498_0 {
	meta:
		name = "DrawBottom"
		size = 481
		refs = "0044 :TTeeCanvas3D.:1 0049 @DynArraySetLength 0112 TCanvas3D.PointFromCircle 01d5 DrawPoints"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B F8 8B 45 08 80 78 CA 00 0F 84 BF 01 00 00 8B 45 08 33 D2 89 50 F4 8B 45 08 80 78 CB 00 74 26 8B 45 FC 2B C7 03 C0 83 C0 02 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 50 8B 45 08 81 78 AC 68 01 00 00 7D 24 8B 45 FC 2B C7 83 C0 03 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 20 8B 45 FC 2B C7 40 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 81 78 AC 68 01 00 00 7D 31 8B 45 08 80 78 CB 00 75 28 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D 08 8B 99 38 FF FF FF 89 1C C2 8B 99 3C FF FF FF 89 5C C2 04 8B 45 08 FF 40 F4 8B F7 8B 5D FC 2B DE 7C 51 43 89 75 F0 DB 45 F0 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 F4 50 8B 45 08 8B 48 DC 8B 45 08 8D 90 6C FF FF FF 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D F4 89 0C C2 8B 4D F8 89 4C C2 04 8B 45 08 FF 40 F4 46 4B 75 B0 8B 45 08 80 78 CB 00 74 57 8B 75 FC 8B DF 2B DE 7F 4E 4B 89 75 F0 DB 45 F0 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 F4 50 8B 45 08 8B 48 DC 8B 45 08 8D 50 8C 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D F4 89 0C C2 8B 4D F8 89 4C C2 04 8B 45 08 FF 40 F4 4E 43 75 B3 8B 45 08 81 78 AC 68 01 00 00 7D 2B 8B 45 08 80 78 CB 00 75 22 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D 08 8B 99 38 FF FF FF 89 1C C2 8B 99 3C FF FF FF 89 5C C2 04 8B 45 08 50 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91499_0 {
	meta:
		name = "DoDrawSides"
		size = 484
		refs = "0018 :TTeeCanvas3D.:1 001d @DynArraySetLength 0052 DrawBack 005c DrawRight 0066 DrawLeft 0074 DrawFront"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 6A 00 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 33 D2 89 50 F4 8B 45 08 8B 40 B8 8B 55 08 3B 42 B0 0F 8D B6 00 00 00 8B 55 08 8B 55 08 3B 42 C0 7E 35 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 59 E9 62 01 00 00 8B 45 08 81 78 AC B4 00 00 00 7E 35 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 59 E9 21 01 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 E9 EC 00 00 00 8B 55 08 8B 55 08 3B 42 C0 7E 73 8B 45 08 81 78 AC B4 00 00 00 7E 35 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 59 E9 A0 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 EB 6E 8B 45 08 81 78 AC B4 00 00 00 7E 32 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 EB 30 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 E8 ?? ?? ?? ?? 59 5E 5B 5D C3 }
	condition:
		$1
}

rule function_91500_0 {
	meta:
		name = "TTeeCanvas3D.Pie3D"
		size = 2072
		refs = "001e TTeeCanvas3D.Pie3D 00f6 OffsetRect 0150 @ROUND 02da TCanvas3D.PointFromCircle 055e TTeeCanvas3D.Calc3DPos 06aa DrawBottom 06d9 ApplyDark 06e6 TBrush.SetColor 070a TPen.SetColor 0714 DoDrawSides 0770 DrawTop 07c7 @HandleFinally 07df :TTeeCanvas3D.:1 07e4 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 81 C4 50 FE FF FF 53 56 57 33 DB 89 5D FC 89 8D 0C FF FF FF 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 CB 00 C6 45 F3 00 89 95 F4 FE FF FF 8B 9D 0C FF FF FF 89 9D F8 FE FF FF 8B 85 F4 FE FF FF 2B 45 40 89 85 04 FF FF FF 8B 85 F4 FE FF FF 03 45 40 89 85 00 FF FF FF 8B C3 2B 45 3C 89 85 FC FE FF FF 8B C3 03 45 3C 8B 55 34 2B 55 38 89 55 DC 8B 95 04 FF FF FF 89 95 B4 FE FF FF 8B 95 FC FE FF FF 89 95 B8 FE FF FF 8B 95 00 FF FF FF 89 95 BC FE FF FF 89 85 C0 FE FF FF 8D B5 B4 FE FF FF 8D BD 7C FF FF FF A5 A5 A5 A5 8B 85 7C FF FF FF 89 85 A4 FE FF FF 8B 45 80 89 85 A8 FE FF FF 8B 45 84 89 85 AC FE FF FF 8B 45 88 89 85 B0 FE FF FF 8D B5 A4 FE FF FF 8D BD 6C FF FF FF A5 A5 A5 A5 8D 85 6C FF FF FF 8B 4D DC 33 D2 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 89 85 94 FE FF FF 8B 45 80 89 85 98 FE FF FF 8B 45 84 89 85 9C FE FF FF 8B 85 78 FF FF FF 89 85 A0 FE FF FF 8D B5 94 FE FF FF 8D BD C4 FE FF FF A5 A5 A5 A5 0F B6 45 1C 88 85 6B FF FF FF DD 45 2C D8 0D ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE F9 E8 ?? ?? ?? ?? 8B F8 DD 45 24 D8 0D ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE F9 E8 ?? ?? ?? ?? 8B F0 3B FE 7E 06 81 C6 68 01 00 00 8B 45 F8 8B 40 04 8B 40 10 80 78 20 00 75 14 8B 45 F8 8B 40 04 8B 40 10 8B 40 18 89 85 08 FF FF FF EB 0E 8B 45 F8 8B 10 FF 52 04 89 85 08 FF FF FF 80 7D 08 00 0F 97 45 CA 83 7D 18 00 0F 8E A5 01 00 00 8B 45 18 F7 6D 40 89 85 50 FE FF FF DB 85 50 FE FF FF DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 89 85 F0 FE FF FF 8B 45 18 F7 6D 3C 89 85 50 FE FF FF DB 85 50 FE FF FF DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 2B 95 F0 FE FF FF 89 95 04 FF FF FF 8B 95 F4 FE FF FF 03 95 F0 FE FF FF 89 95 00 FF FF FF 8B 95 F8 FE FF FF 2B D0 89 95 FC FE FF FF 03 85 F8 FE FF FF 8B 95 04 FF FF FF 89 95 84 FE FF FF 8B 95 FC FE FF FF 89 95 88 FE FF FF 8B 95 00 FF FF FF 89 95 8C FE FF FF 89 85 90 FE FF FF 56 57 8D B5 84 FE FF FF 8D 7D 9C A5 A5 A5 A5 5F 5E 8B 45 9C 89 85 74 FE FF FF 8B 45 A0 89 85 78 FE FF FF 8B 45 A4 89 85 7C FE FF FF 8B 45 A8 89 85 80 FE FF FF 56 57 8D B5 74 FE FF FF 8D 7D 8C A5 A5 A5 A5 5F 5E 8D 45 8C 8B 4D DC 33 D2 E8 ?? ?? ?? ?? 89 BD 50 FE FF FF DB 85 50 FE FF FF 83 C4 F8 DD 1C 24 9B 6A 00 8D 85 30 FF FF FF 50 8D 55 9C 8B 4D DC 8B 45 F8 E8 ?? ?? ?? ?? 89 B5 50 FE FF FF DB 85 50 FE FF FF 83 C4 F8 DD 1C 24 9B 6A 00 8D 85 60 FF FF FF 50 8D 55 9C 8B 4D DC 8B 45 F8 E8 ?? ?? ?? ?? 89 BD 50 FE FF FF DB 85 50 FE FF FF 83 C4 F8 DD 1C 24 9B 6A 00 8D 85 10 FF FF FF 50 8D 55 8C 8B 4D DC 8B 45 F8 E8 ?? ?? ?? ?? 89 B5 50 FE FF FF DB 85 50 FE FF FF 83 C4 F8 DD 1C 24 9B 6A 00 8D 85 40 FF FF FF 50 8D 55 8C 8B 4D DC 8B 45 F8 E8 ?? ?? ?? ?? C6 45 CB 01 83 7D 10 00 0F 8E CE 01 00 00 8B 45 10 F7 6D DC 89 85 50 FE FF FF DB 85 50 FE FF FF DB 2D ?? ?? ?? ?? DE C9 DD 9D E8 FE FF FF 9B DB 45 40 DC A5 E8 FE FF FF DB 85 F4 FE FF FF DE E1 E8 ?? ?? ?? ?? 89 85 04 FF FF FF DB 45 40 DC A5 E8 FE FF FF DB 85 F4 FE FF FF DE C1 E8 ?? ?? ?? ?? 89 85 00 FF FF FF DB 45 3C DC A5 E8 FE FF FF 89 9D 50 FE FF FF DB 85 50 FE FF FF DE E1 E8 ?? ?? ?? ?? 89 85 FC FE FF FF DB 45 3C DC A5 E8 FE FF FF 89 9D 50 FE FF FF DB 85 50 FE FF FF DE C1 E8 ?? ?? ?? ?? 8B 95 04 FF FF FF 89 95 64 FE FF FF 8B 95 FC FE FF FF 89 95 68 FE FF FF 8B 95 00 FF FF FF 89 95 6C FE FF FF 89 85 70 FE FF FF 56 57 8D B5 64 FE FF FF 8D 7D E0 A5 A5 A5 A5 5F 5E 8B 85 7C FF FF FF 89 85 54 FE FF FF 8B 45 80 89 85 58 FE FF FF 8B 45 84 89 85 5C FE FF FF 8B 45 88 89 85 60 FE FF FF 56 57 8D B5 54 FE FF FF 8D 7D CC A5 A5 A5 A5 5F 5E DD 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 55 CC 8B C8 33 C0 92 E8 ?? ?? ?? ?? 89 BD 50 FE FF FF DB 85 50 FE FF FF 83 C4 F8 DD 1C 24 9B 6A 00 8D 85 28 FF FF FF 50 8D 55 E0 8B 4D DC 8B 45 F8 E8 ?? ?? ?? ?? 89 B5 50 FE FF FF DB 85 50 FE FF FF 83 C4 F8 DD 1C 24 9B 6A 00 8D 85 58 FF FF FF 50 8D 55 E0 8B 4D DC 8B 45 F8 E8 ?? ?? ?? ?? 89 BD 50 FE FF FF DB 85 50 FE FF FF 83 C4 F8 DD 1C 24 9B 6A 00 8D 85 20 FF FF FF 50 8D 55 CC 8B 4D DC 8B 45 F8 E8 ?? ?? ?? ?? 89 B5 50 FE FF FF DB 85 50 FE FF FF 83 C4 F8 DD 1C 24 9B 6A 00 8D 85 50 FF FF FF 50 8D 55 CC 8B 4D DC 8B 45 F8 E8 ?? ?? ?? ?? C6 45 F3 01 8B 85 F4 FE FF FF 89 85 E0 FE FF FF 89 9D DC FE FF FF 8B 45 DC 50 8D 8D DC FE FF FF 8D 95 E0 FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 85 E0 FE FF FF 89 45 B8 8B 85 DC FE FF FF 89 45 BC 8B 85 F4 FE FF FF 89 85 D8 FE FF FF 03 5D DC 89 9D D4 FE FF FF 8B 45 DC 50 8D 8D D4 FE FF FF 8D 95 D8 FE FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 85 D8 FE FF FF 89 85 38 FF FF FF 8B 85 D4 FE FF FF 89 85 3C FF FF FF 89 BD 50 FE FF FF DB 85 50 FE FF FF 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 C0 50 8D 95 7C FF FF FF 8B 4D DC 8B 45 F8 E8 ?? ?? ?? ?? 89 B5 50 FE FF FF DB 85 50 FE FF FF 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 B0 50 8D 95 7C FF FF FF 8B 4D DC 8B 45 F8 E8 ?? ?? ?? ?? 89 BD 50 FE FF FF DB 85 50 FE FF FF 83 C4 F8 DD 1C 24 9B 6A 00 8D 85 18 FF FF FF 50 8D 95 6C FF FF FF 8B 4D DC 8B 45 F8 E8 ?? ?? ?? ?? 89 B5 50 FE FF FF DB 85 50 FE FF FF 83 C4 F8 DD 1C 24 9B 6A 00 8D 85 48 FF FF FF 50 8D 95 6C FF FF FF 8B 4D DC 8B 45 F8 E8 ?? ?? ?? ?? 8B C6 2B C7 89 45 AC 80 7D 08 00 76 1A 8D 95 C4 FE FF FF 0F B6 4D 08 8B 45 F8 8B 18 FF 53 58 89 85 E4 FE FF FF EB 08 33 C0 89 85 E4 FE FF FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8B D6 8B C7 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 40 10 8B 40 10 8B 40 18 3B 85 08 FF FF FF 0F 94 C3 80 7D 20 00 74 44 8B 45 F8 8B 40 04 8B 40 10 8B 40 18 B2 20 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 84 DB 74 20 8B 45 F8 8B 40 10 8B 40 10 8B 40 18 B2 20 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 40 10 E8 ?? ?? ?? ?? 55 8B D6 8B C7 E8 ?? ?? ?? ?? 59 80 7D 20 00 74 45 8B 45 F8 8B 40 04 8B 40 10 80 78 20 00 75 13 8B 45 F8 8B 40 04 8B 95 08 FF FF FF E8 ?? ?? ?? ?? EB 0E 8B 95 08 FF FF FF 8B 45 F8 8B 08 FF 51 2C 84 DB 74 11 8B 45 F8 8B 40 10 8B 95 08 FF FF FF E8 ?? ?? ?? ?? 80 7D CA 00 75 0B 55 8B D6 8B C7 E8 ?? ?? ?? ?? 59 80 7D F3 00 74 29 8D 45 E0 50 8D 45 CC 50 8D 45 9C 50 57 56 8D 45 B8 50 0F B6 45 CB 50 0F B6 55 0C 8B 4D DC 8B 45 F8 8B 18 FF 93 EC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D 08 00 76 0E 8B 95 E4 FE FF FF 8B 45 F8 8B 08 FF 51 5C C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 3C 00 00 00 00 00 00 34 43 35 C2 68 21 A2 DA 0F C9 00 40 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_91501_0 {
	meta:
		name = "TTeeCanvas3D.Plane3D"
		size = 241
		refs = "0030 TTeeCanvas3D.Calc3DPos"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B F9 8B F2 8B D8 8B C3 8D 93 1C 01 00 00 89 55 FC 8B 16 89 55 F8 8B 56 04 89 55 F4 8B 55 0C 52 8D 4D F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 89 10 8B 45 FC 8B 55 F4 89 50 04 8B C3 8D 93 24 01 00 00 89 55 F0 8B 17 89 55 EC 8B 57 04 89 55 E8 8B 55 0C 52 8D 4D E8 8D 55 EC E8 ?? ?? ?? ?? 8B 45 F0 8B 55 EC 89 10 8B 45 F0 8B 55 E8 89 50 04 8B C3 8D 93 2C 01 00 00 89 55 E4 8B 17 89 55 E0 8B 57 04 89 55 DC 8B 55 08 52 8D 4D DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E4 8B 55 E0 89 10 8B 45 E4 8B 55 DC 89 50 04 8B C3 8D BB 34 01 00 00 8B 16 89 55 D8 8B 56 04 89 55 D4 8B 55 08 52 8D 4D D4 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 D8 89 07 8B 45 D4 89 47 04 8B C3 8B 10 FF 92 D0 01 00 00 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_91502_0 {
	meta:
		name = "CalcPointZ"
		size = 94
		refs = "0026 SinCos 0034 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B F1 8B DA 89 45 EC DB 45 EC 8B 45 08 DC 48 D8 83 C4 F8 DD 1C 24 9B 8D 55 F0 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 08 DB 40 D0 DC 4D F8 E8 ?? ?? ?? ?? 8B 55 08 03 42 D4 89 03 8B 45 08 DB 40 C8 DC 4D F0 E8 ?? ?? ?? ?? 8B 55 08 8B 52 CC 2B D0 89 16 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91503_0 {
	meta:
		name = "CalcPointV"
		size = 112
		refs = "0046 TTeeCanvas3D.Calc3DPos 0064 CalcPointZ"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B F8 8D 04 7F 8B 55 08 8B 52 C4 8D 1C 82 8B 45 08 8B 40 C0 8B 55 08 8B 4D FC 8D 74 CA D8 8B 13 89 55 F8 8B 55 08 8B 52 BC 03 53 04 89 55 F4 8B 53 08 52 8D 4D F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 F4 89 46 04 8B 45 08 50 8D 4B 08 8B D3 8B C7 83 E8 04 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91504_0 {
	meta:
		name = "CalcPointH"
		size = 113
		refs = "0046 TTeeCanvas3D.Calc3DPos 0065 CalcPointZ"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 8B F8 8D 04 7F 8B 55 08 8B 52 C4 8D 1C 82 8B 45 08 8B 40 C0 8B 55 08 8B 4D FC 8D 74 CA D8 8B 55 08 8B 0B 2B 4A BC 89 4D F8 8B 53 04 89 55 F4 8B 53 08 52 8D 4D F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 06 8B 45 F4 89 46 04 8B 45 08 50 8D 4B 08 8D 53 04 8B C7 83 E8 05 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91505_0 {
	meta:
		name = "CoverAtLeft"
		size = 171
		refs = "002a TTeeCanvas3D.Calc3DPos 00a1 TeeCull"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B 75 08 83 C6 E0 8B 45 08 8B 40 C0 8B DE 33 D2 89 55 FC 33 D2 89 55 F8 33 D2 52 8D 4D F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 89 03 8B 45 F8 89 43 04 8B 45 08 8B 40 C0 8D 5E 08 33 D2 89 55 F4 C7 45 F0 0A 00 00 00 33 D2 52 8D 4D F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 89 03 8B 45 F0 89 43 04 8B 45 08 8B 40 C0 8D 5E 10 33 D2 89 55 EC C7 45 E8 0A 00 00 00 BA 0A 00 00 00 52 8D 4D E8 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC 89 03 8B 45 E8 89 43 04 8D 4E 10 8D 56 08 8B C6 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91506_0 {
	meta:
		name = "DrawCover"
		size = 436
		refs = "0012 DrawCover 001d TeeNumCylinderSides 002c :TTeeCanvas3D.:3 0031 @DynArraySetLength 004a CoverAtLeft 00a4 @ROUND 0123 TTeeCanvas3D.Calc3DPoint 0153 DarkColorQuantity 0158 TTeeCanvas.InternalDark 0160 @DynArrayHigh 0181 @DynArrayClear 01a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 80 78 BB 00 0F 85 AC 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 59 84 C0 0F 84 9A 00 00 00 8B 45 08 83 78 08 00 75 0E 33 C0 89 45 F0 C7 45 F4 00 00 F0 3F EB 10 8B 45 08 DB 40 08 D8 3D ?? ?? ?? ?? DD 5D F0 9B 8B 35 ?? ?? ?? ?? 4E 85 F6 0F 8C AE 00 00 00 46 33 DB 8D 43 01 8D 04 40 8B 55 08 8B 52 C4 DB 44 82 08 DC 4D F0 E8 ?? ?? ?? ?? 50 8D 45 E0 50 8D 43 01 8D 04 40 8B 55 08 8B 52 C4 DB 44 82 04 DC 4D F0 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 50 B4 8B 45 08 8B 40 C0 8B 38 FF 97 14 01 00 00 8B 45 FC 8B 55 E0 89 14 D8 8B 55 E4 89 54 D8 04 43 4E 75 A1 EB 4A 8B 35 ?? ?? ?? ?? 4E 85 F6 7C 3F 46 33 DB 8B 45 08 8B 50 C0 8D 43 01 8D 04 40 8B 4D 08 8B 49 C4 8D 04 81 8B 48 04 51 8B 48 08 51 8B 08 8D 45 E8 92 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 E8 89 14 D8 8B 55 EC 89 54 D8 04 43 4E 75 C4 8B 45 08 80 78 0C 00 74 18 8B 45 08 8B 50 B0 8B 45 08 8B 40 C0 0F B6 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 40 C0 8B 55 FC 8B 18 FF 93 D8 00 00 00 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 00 00 00 C8 42 }
	condition:
		$1
}

rule function_91507_0 {
	meta:
		name = "TTeeCanvas3D.InternalCylinder"
		size = 920
		refs = "0024 TTeeCanvas3D.InternalCylinder 0035 TeeDefaultConePercent 0079 TeeNumCylinderSides 0089 :TTeeCanvas3D.:2 008e @DynArraySetLength 0108 CalcPointZ 0186 @ROUND 01bb CalcPointV 01ce CalcPointH 01ea TTeeCanvas3D.Calc3DPoint 028e TeeCull 02ac TTeeCanvas.InternalDark 0340 DrawCover 034f @DynArrayClear 0370 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 84 53 56 57 33 DB 89 5D C4 89 4D B4 88 55 BB 89 45 C0 8B 75 10 8B 5D 14 8B 7D 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D 08 00 75 08 A1 ?? ?? ?? ?? 89 45 08 8B 45 C0 8B 40 04 8B 40 10 80 78 20 00 75 08 8B 40 18 89 45 B0 EB 0B 8B 45 C0 8B 10 FF 52 04 89 45 B0 8B C6 2B C3 D1 F8 79 03 83 D0 00 89 45 C8 03 DE D1 FB 79 03 83 D3 00 89 5D CC A1 ?? ?? ?? ?? 40 50 8D 45 C4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 DB 05 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE F1 DD 5D D8 9B 80 7D BB 00 74 66 8B 45 1C 2B 45 B4 D1 F8 79 03 83 D0 00 89 45 D0 8B 45 1C 03 45 B4 D1 F8 79 03 83 D0 00 89 45 D4 8B 45 18 2B C7 89 45 BC 8B 35 ?? ?? ?? ?? 85 F6 0F 8E 8E 00 00 00 BB 01 00 00 00 8D 04 5B 8B 55 C4 89 7C 82 04 55 8B 55 C4 8D 54 82 08 52 8B 55 C4 8D 14 82 8B C3 83 E8 04 59 E8 ?? ?? ?? ?? 59 43 4E 75 D7 EB 5E 8B 45 18 2B C7 D1 F8 79 03 83 D0 00 89 45 D0 03 7D 18 D1 FF 79 03 83 D7 00 89 7D D4 8B 45 1C 2B 45 B4 89 45 BC 8B 35 ?? ?? ?? ?? 85 F6 7E 2F BB 01 00 00 00 8D 04 5B 8B 55 C4 8B 4D 1C 89 0C 82 55 8B 55 C4 8D 4C 82 08 8B 55 C4 8D 54 82 04 8B C3 83 E8 05 E8 ?? ?? ?? ?? 59 43 4E 75 D6 8B 45 D0 F7 6D 08 89 45 84 DB 45 84 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 89 45 D0 8B 45 C8 F7 6D 08 89 45 84 DB 45 84 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 89 45 C8 80 7D BB 00 74 13 55 BA 02 00 00 00 B8 01 00 00 00 E8 ?? ?? ?? ?? 59 EB 11 55 BA 02 00 00 00 B8 01 00 00 00 E8 ?? ?? ?? ?? 59 8B 45 C4 83 C0 0C 8B 50 04 52 8B 50 08 52 8B 08 8D 55 98 8B 45 C0 E8 ?? ?? ?? ?? 8B 45 98 89 45 E0 8B 45 9C 89 45 E4 33 C0 89 45 AC 8B 45 E8 89 45 A0 8B 45 EC 89 45 A4 A1 ?? ?? ?? ?? 03 C0 50 B8 00 01 00 00 5A 8B CA 99 F7 F9 89 45 A8 8B 35 ?? ?? ?? ?? 83 EE 02 0F 8C B6 00 00 00 46 BB 02 00 00 00 80 7D BB 00 74 10 55 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 59 EB 0E 55 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 59 8D 04 5B 8B 55 C4 8D 04 82 8B 50 04 52 8B 50 08 52 8B 08 8D 55 90 8B 45 C0 E8 ?? ?? ?? ?? 8B 45 90 89 45 F8 8B 45 94 89 45 FC 8D 4D F0 8D 55 E8 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 75 2D 80 7D 0C 00 74 14 0F B6 4D A8 66 0F AF 4D AC 8B 55 B0 8B 45 C0 E8 ?? ?? ?? ?? 8D 55 E0 B9 03 00 00 00 8B 45 C0 8B 38 FF 97 D8 00 00 00 8B 45 F8 89 45 E0 8B 45 FC 89 45 E4 8B 45 F0 89 45 E8 8B 45 F4 89 45 EC FF 45 AC 43 4E 0F 85 50 FF FF FF 8B 45 C4 83 C0 0C 8B 50 04 52 8B 50 08 52 8B 08 8D 55 88 8B 45 C0 E8 ?? ?? ?? ?? 8B 45 88 89 45 F8 8B 45 8C 89 45 FC 8B 45 A0 89 45 F0 8B 45 A4 89 45 F4 8D 4D F0 8D 55 E8 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 75 13 8D 55 E0 B9 03 00 00 00 8B 45 C0 8B 18 FF 93 D8 00 00 00 55 E8 ?? ?? ?? ?? 59 8D 45 C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 1C 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_91508_0 {
	meta:
		name = "TTeeCanvas3D.Cylinder"
		size = 41
		refs = "0020 TTeeCanvas3D.InternalCylinder"
	strings:
		$1 = { 55 8B EC 53 8B 5D 1C 53 8B 5D 18 53 8B 5D 14 53 8B 5D 10 53 8B 5D 0C 53 0F B6 5D 08 53 6A 64 E8 ?? ?? ?? ?? 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_91509_0 {
	meta:
		name = "TTeeCanvas3D.Pyramid"
		size = 1934
		refs = "005d TTeeCanvas3D.Calc3DPos 017a TeeCull 01e0 DarkerColorQuantity 01ea TTeeCanvas.InternalDark 038b DarkColorQuantity"
	strings:
		$1 = { 55 8B EC 81 C4 30 FF FF FF 53 56 89 4D FC 8B DA 8B F0 8B 46 04 8B 40 10 80 78 20 00 75 08 8B 40 18 89 45 F8 EB 0A 8B C6 8B 10 FF 52 04 89 45 F8 84 DB 0F 84 82 03 00 00 8B 45 1C 3B 45 14 0F 84 A3 02 00 00 8B 45 FC 89 45 CC 8B 45 14 89 45 C8 8B 45 10 50 8D 4D C8 8D 55 CC 8B C6 E8 ?? ?? ?? ?? 8B 45 CC 89 45 F0 8B 45 C8 89 45 F4 8B 45 18 89 45 C4 8B 45 14 89 45 C0 8B 45 10 50 8D 4D C0 8D 55 C4 8B C6 E8 ?? ?? ?? ?? 8B 45 C4 89 45 E8 8B 45 C0 89 45 EC 8B 45 FC 03 45 18 D1 F8 79 03 83 D0 00 89 45 BC 8B 45 1C 89 45 B8 8B 45 10 03 45 0C D1 F8 79 03 83 D0 00 50 8D 4D B8 8D 55 BC 8B C6 E8 ?? ?? ?? ?? 8B 45 BC 89 45 D0 8B 45 B8 89 45 D4 8B 45 FC 89 45 B4 8B 45 14 89 45 B0 8B 45 0C 50 8D 4D B0 8D 55 B4 8B C6 E8 ?? ?? ?? ?? 8B 45 B4 89 45 E0 8B 45 B0 89 45 E4 8B 45 18 89 45 AC 8B 45 14 89 45 A8 8B 45 0C 50 8D 4D A8 8D 55 AC 8B C6 E8 ?? ?? ?? ?? 8B 45 AC 89 45 D8 8B 45 A8 89 45 DC 8B 45 F0 89 85 30 FF FF FF 8B 45 F4 89 85 34 FF FF FF 8B 45 D0 89 85 38 FF FF FF 8B 45 D4 89 85 3C FF FF FF 8B 45 E8 89 85 40 FF FF FF 8B 45 EC 89 85 44 FF FF FF 8D 95 30 FF FF FF B9 02 00 00 00 8B C6 8B 18 FF 93 D8 00 00 00 8D 4D E0 8D 55 D0 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 1C 3B 55 14 7D 02 34 01 84 C0 74 4B 8B 45 F0 89 85 30 FF FF FF 8B 45 F4 89 85 34 FF FF FF 8B 45 D0 89 85 38 FF FF FF 8B 45 D4 89 85 3C FF FF FF 8B 45 E0 89 85 40 FF FF FF 8B 45 E4 89 85 44 FF FF FF 8D 95 30 FF FF FF B9 02 00 00 00 8B C6 8B 18 FF 93 D8 00 00 00 80 7D 08 00 74 11 0F B6 0D ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 4D D8 8D 55 D0 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 1C 3B 55 14 7C 02 34 01 84 C0 74 4B 8B 45 E8 89 85 30 FF FF FF 8B 45 EC 89 85 34 FF FF FF 8B 45 D0 89 85 38 FF FF FF 8B 45 D4 89 85 3C FF FF FF 8B 45 D8 89 85 40 FF FF FF 8B 45 DC 89 85 44 FF FF FF 8D 95 30 FF FF FF B9 02 00 00 00 8B C6 8B 18 FF 93 D8 00 00 00 8B 45 1C 3B 45 14 0F 8D 86 00 00 00 8B 45 FC 89 45 A4 8B 45 14 89 45 A0 8B 45 0C 50 8D 4D A0 8D 55 A4 8B C6 E8 ?? ?? ?? ?? 8B 45 A4 89 45 E0 8B 45 A0 89 45 E4 8D 4D D8 8D 55 E0 8D 45 D0 E8 ?? ?? ?? ?? 84 C0 74 4B 8B 45 D0 89 85 30 FF FF FF 8B 45 D4 89 85 34 FF FF FF 8B 45 E0 89 85 38 FF FF FF 8B 45 E4 89 85 3C FF FF FF 8B 45 D8 89 85 40 FF FF FF 8B 45 DC 89 85 44 FF FF FF 8D 95 30 FF FF FF B9 02 00 00 00 8B C6 8B 18 FF 93 D8 00 00 00 8B 45 FC 89 45 9C 8B 45 14 89 45 98 8B 45 10 50 8D 4D 98 8D 55 9C 8B C6 E8 ?? ?? ?? ?? 8B 45 9C 89 45 F0 8B 45 98 89 45 F4 8B 45 18 89 45 94 8B 45 14 89 45 90 8B 45 10 50 8D 4D 90 8D 55 94 8B C6 E8 ?? ?? ?? ?? 8B 45 94 89 45 E8 8B 45 90 89 45 EC 8B 45 FC 89 45 8C 8B 45 14 89 45 88 8B 45 0C 50 8D 4D 88 8D 55 8C 8B C6 E8 ?? ?? ?? ?? 8B 45 8C 89 45 E0 8B 45 88 89 45 E4 8D 4D E0 8D 55 E8 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 1C 3B 55 14 7C 02 34 01 84 C0 0F 84 04 04 00 00 80 7D 08 00 74 11 0F B6 0D ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 18 50 8B 45 10 50 8B 45 0C 50 8B 4D 14 8B 55 FC 8B C6 8B 18 FF 93 A4 01 00 00 E9 CC 03 00 00 8B 45 FC 3B 45 18 0F 84 C0 02 00 00 8B 45 FC 89 45 84 8B 45 1C 89 45 80 8B 45 10 50 8D 4D 80 8D 55 84 8B C6 E8 ?? ?? ?? ?? 8B 45 84 89 45 F0 8B 45 80 89 45 F4 8B 45 FC 89 85 7C FF FF FF 8B 45 14 89 85 78 FF FF FF 8B 45 10 50 8D 8D 78 FF FF FF 8D 95 7C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 89 45 E8 8B 85 78 FF FF FF 89 45 EC 8B 45 18 89 85 74 FF FF FF 8B 45 1C 03 45 14 D1 F8 79 03 83 D0 00 89 85 70 FF FF FF 8B 45 10 03 45 0C D1 F8 79 03 83 D0 00 50 8D 8D 70 FF FF FF 8D 95 74 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 89 45 D0 8B 85 70 FF FF FF 89 45 D4 8B 45 FC 89 85 6C FF FF FF 8B 45 1C 89 85 68 FF FF FF 8B 45 0C 50 8D 8D 68 FF FF FF 8D 95 6C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 89 45 E0 8B 85 68 FF FF FF 89 45 E4 8B 45 FC 89 85 64 FF FF FF 8B 45 14 89 85 60 FF FF FF 8B 45 0C 50 8D 8D 60 FF FF FF 8D 95 64 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 89 45 D8 8B 85 60 FF FF FF 89 45 DC 8B 45 F0 89 85 30 FF FF FF 8B 45 F4 89 85 34 FF FF FF 8B 45 D0 89 85 38 FF FF FF 8B 45 D4 89 85 3C FF FF FF 8B 45 E8 89 85 40 FF FF FF 8B 45 EC 89 85 44 FF FF FF 8D 95 30 FF FF FF B9 02 00 00 00 8B C6 8B 18 FF 93 D8 00 00 00 8D 4D D8 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 FC 3B 55 18 7D 02 34 01 84 C0 74 4B 8B 45 E0 89 85 30 FF FF FF 8B 45 E4 89 85 34 FF FF FF 8B 45 D0 89 85 38 FF FF FF 8B 45 D4 89 85 3C FF FF FF 8B 45 D8 89 85 40 FF FF FF 8B 45 DC 89 85 44 FF FF FF 8D 95 30 FF FF FF B9 02 00 00 00 8B C6 8B 18 FF 93 D8 00 00 00 80 7D 08 00 74 11 0F B6 0D ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 4D E0 8D 55 D0 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 FC 3B 55 18 7D 02 34 01 84 C0 74 4B 8B 45 F0 89 85 30 FF FF FF 8B 45 F4 89 85 34 FF FF FF 8B 45 D0 89 85 38 FF FF FF 8B 45 D4 89 85 3C FF FF FF 8B 45 E0 89 85 40 FF FF FF 8B 45 E4 89 85 44 FF FF FF 8D 95 30 FF FF FF B9 02 00 00 00 8B C6 8B 18 FF 93 D8 00 00 00 8D 4D E8 8D 55 D0 8D 45 D8 E8 ?? ?? ?? ?? 8B 55 FC 3B 55 18 7D 02 34 01 84 C0 74 4B 8B 45 D8 89 85 30 FF FF FF 8B 45 DC 89 85 34 FF FF FF 8B 45 D0 89 85 38 FF FF FF 8B 45 D4 89 85 3C FF FF FF 8B 45 E8 89 85 40 FF FF FF 8B 45 EC 89 85 44 FF FF FF 8D 95 30 FF FF FF B9 02 00 00 00 8B C6 8B 18 FF 93 D8 00 00 00 8B 45 FC 89 85 5C FF FF FF 8B 45 1C 89 85 58 FF FF FF 8B 45 10 50 8D 8D 58 FF FF FF 8D 95 5C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 89 45 F0 8B 85 58 FF FF FF 89 45 F4 8B 45 FC 89 85 54 FF FF FF 8B 45 14 89 85 50 FF FF FF 8B 45 10 50 8D 8D 50 FF FF FF 8D 95 54 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 89 45 E8 8B 85 50 FF FF FF 89 45 EC 8B 45 FC 89 85 4C FF FF FF 8B 45 1C 89 85 48 FF FF FF 8B 45 0C 50 8D 8D 48 FF FF FF 8D 95 4C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 89 45 E0 8B 85 48 FF FF FF 89 45 E4 8D 4D E0 8D 55 E8 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 FC 3B 55 18 7C 02 34 01 84 C0 74 33 80 7D 08 00 74 11 0F B6 0D ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 4D 1C 8B 55 FC 8B C6 8B 18 FF 93 A8 01 00 00 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_91510_0 {
	meta:
		name = "PyramidFrontWall"
		size = 279
		refs = "0070 TCanvas3D.Calculate3DPosition 00ba TeeCull"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B FA 8B F0 8B 45 08 8B 40 FC 8B 55 08 2B 42 0C 89 45 C0 8B 45 08 8B 40 F8 8B 40 04 89 45 C4 8B 55 08 8B 52 FC 8B 4D 08 03 51 0C 89 55 C8 89 45 CC 8B 45 08 8B 40 F8 8B 40 08 89 45 D0 8B 45 08 8B 40 F8 8B 40 0C 89 45 D4 8B 55 08 8B 52 F8 8B 12 89 55 D8 89 45 DC 8D 45 F8 50 8B 45 08 8B 40 F4 8B CE 8D 55 C0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 08 8B 40 F4 8B CE 8D 55 C8 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 08 8B 40 F4 8B CF 8D 55 D0 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 08 8B 40 F4 8B CF 8D 55 D8 E8 ?? ?? ?? ?? 8D 4D E0 8D 55 E8 8D 45 F0 E8 ?? ?? ?? ?? 3B F7 7D 1C 85 F6 7E 18 8B 55 08 8B 52 F8 8B 52 04 8B 4D 08 8B 49 F8 3B 51 0C 7D 04 34 01 EB 1A 3B F7 7E 16 8B 55 08 8B 52 F8 8B 52 04 8B 4D 08 8B 49 F8 3B 51 0C 7E 02 34 01 84 C0 74 14 57 8D 55 C0 8B 45 08 8B 40 F4 8B CE 8B 18 FF 93 88 01 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91511_0 {
	meta:
		name = "PyramidSideWall"
		size = 387
		refs = "012f TeeCull"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 55 FC 8B D8 8B 45 08 8B 40 F0 8B 55 08 2B 42 08 50 8D 45 F4 50 8B 45 08 8B 48 F8 8B 49 04 8B 45 08 8B 40 F4 8B 55 FC 8B 30 FF 96 14 01 00 00 8B 45 08 8B 40 F4 8B 55 F4 89 90 1C 01 00 00 8B 55 F8 89 90 20 01 00 00 8B 45 08 8B 40 F0 8B 55 08 03 42 08 50 8D 45 F4 50 8B 45 08 8B 48 F8 8B 49 04 8B 45 08 8B 40 F4 8B 55 FC 8B 30 FF 96 14 01 00 00 8B 45 08 8B 40 F4 8B 55 F4 89 90 24 01 00 00 8B 55 F8 89 90 28 01 00 00 8B 45 08 8B 40 10 50 8D 45 F4 50 8B 45 08 8B 48 F8 8B 49 0C 8B 45 08 8B 40 F4 8B D3 8B 30 FF 96 14 01 00 00 8B 45 08 8B 40 F4 8B 55 F4 89 90 2C 01 00 00 8B 55 F8 89 90 30 01 00 00 8B 45 08 8B 40 EC 50 8D 45 F4 50 8B 45 08 8B 48 F8 8B 49 0C 8B 45 08 8B 40 F4 8B D3 8B 30 FF 96 14 01 00 00 8B 45 08 8B 40 F4 8B 55 F4 89 90 34 01 00 00 8B 55 F8 89 90 38 01 00 00 8B 45 08 8B 40 F4 8D 88 24 01 00 00 8B 45 08 8B 40 F4 8D 90 2C 01 00 00 8B 45 08 8B 40 F4 05 34 01 00 00 E8 ?? ?? ?? ?? 3B 5D FC 7E 18 8B 55 08 8B 52 F8 8B 52 04 8B 4D 08 8B 49 F8 3B 51 0C 7D 04 34 01 EB 1B 3B 5D FC 7D 16 8B 55 08 8B 52 F8 8B 52 04 8B 4D 08 8B 49 F8 3B 51 0C 7E 02 34 01 84 C0 74 0E 8B 45 08 8B 40 F4 8B 10 FF 92 D0 01 00 00 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91512_0 {
	meta:
		name = "BottomCover"
		size = 62
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 F8 8B 40 08 50 8B 45 08 8B 40 EC 50 8B 45 08 8B 40 10 50 8B 45 08 8B 48 F8 8B 49 0C 8B 45 08 8B 50 F8 8B 12 8B 45 08 8B 40 F4 8B 18 FF 93 A4 01 00 00 5B 5D C3 }
	condition:
		$1
}

rule function_91513_0 {
	meta:
		name = "TopCover"
		size = 90
	strings:
		$1 = { 55 8B EC 53 8B 45 08 83 78 0C 00 74 4A 8B 45 08 8B 40 FC 8B 55 08 03 42 0C 50 8B 45 08 8B 40 F0 8B 55 08 2B 42 08 50 8B 45 08 8B 40 F0 8B 55 08 03 42 08 50 8B 45 08 8B 50 FC 8B 45 08 2B 50 0C 8B 45 08 8B 48 F8 8B 49 04 8B 45 08 8B 40 F4 8B 18 FF 93 A4 01 00 00 5B 5D C3 }
	condition:
		$1
}

rule function_91514_0 {
	meta:
		name = "TTeeCanvas3D.PyramidTrunc"
		size = 223
		refs = "0044 BottomCover 004d TopCover 006b PyramidFrontWall 0091 PyramidSideWall"
	strings:
		$1 = { 55 8B EC 83 C4 EC 89 4D EC 89 55 F8 89 45 F4 8B 45 F8 8B 00 8B 55 F8 03 42 08 D1 F8 79 03 83 D0 00 89 45 FC 8B 45 EC 03 45 10 D1 F8 79 03 83 D0 00 89 45 F0 8B 45 F8 8B 40 0C 8B 55 F8 3B 42 04 7E 09 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 83 7D 0C 00 75 1A 8B 45 EC 3B 45 10 75 12 55 8B 45 F0 03 45 08 8B 55 10 E8 ?? ?? ?? ?? 59 EB 49 55 8B 45 F0 03 45 08 8B 55 10 E8 ?? ?? ?? ?? 59 55 8B 55 FC 2B 55 0C 8B 45 F8 8B 00 B1 01 E8 ?? ?? ?? ?? 59 55 8B 45 F0 2B 45 08 8B 55 EC E8 ?? ?? ?? ?? 59 55 8B 55 FC 03 55 0C 8B 45 F8 8B 40 08 33 C9 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 40 0C 8B 55 F8 3B 42 04 7E 09 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_91515_0 {
	meta:
		name = "TTeeCanvas3D.PlaneFour3D"
		size = 242
		refs = "004e TTeeCanvas3D.Calc3DPoint"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B DA 8B F0 56 57 8D BE 1C 01 00 00 8B F3 B9 08 00 00 00 F3 A5 5F 5E DB 03 DD 5D F8 9B FF 75 FC FF 75 F8 DB 43 04 83 C4 F8 DD 1C 24 9B 89 7D F4 DB 45 F4 83 C4 F8 DD 1C 24 9B 8D 96 1C 01 00 00 8B C6 E8 ?? ?? ?? ?? DB 43 08 DD 5D F8 9B FF 75 FC FF 75 F8 DB 43 0C 83 C4 F8 DD 1C 24 9B 89 7D F4 DB 45 F4 83 C4 F8 DD 1C 24 9B 8D 96 24 01 00 00 8B C6 E8 ?? ?? ?? ?? DB 43 10 DD 5D F8 9B FF 75 FC FF 75 F8 DB 43 14 83 C4 F8 DD 1C 24 9B DB 45 08 83 C4 F8 DD 1C 24 9B 8D 96 2C 01 00 00 8B C6 E8 ?? ?? ?? ?? DB 43 18 DD 5D F8 9B FF 75 FC FF 75 F8 DB 43 1C 83 C4 F8 DD 1C 24 9B DB 45 08 83 C4 F8 DD 1C 24 9B 8D 96 34 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 D0 01 00 00 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_91516_0 {
	meta:
		name = "TTeeCanvas3D.GetPixel3D"
		size = 52
		refs = "001c TTeeCanvas3D.Calc3DPos"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 08 50 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B C3 8B 18 FF 53 18 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_91517_0 {
	meta:
		name = "TTeeCanvas3D.SetPixel3D"
		size = 112
		refs = "001d TTeeCanvas3D.Calc3DPos 0044 TCanvas.GetHandle 0056 MoveToEx 0064 LineTo"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B F0 8B 45 0C 50 8D 4D F8 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 46 10 8B 40 10 83 78 1C 01 75 13 8B 45 08 50 8B 4D F8 8B 55 FC 8B C6 8B 18 FF 53 44 EB 28 8B 46 08 E8 ?? ?? ?? ?? 8B D8 6A 00 8B 45 F8 50 8B 45 FC 50 53 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 50 53 E8 ?? ?? ?? ?? 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_91523_0 {
	meta:
		name = "TTeeCanvas3D.GetUseBuffer"
		size = 8
	strings:
		$1 = { 0F B6 80 18 01 00 00 C3 }
	condition:
		$1
}

rule function_91524_0 {
	meta:
		name = "TTeeCanvas3D.SetUseBuffer"
		size = 103
		refs = "0058 TBitmap.GetCanvas 0061 TTeeCanvas.SetCanvas"
	strings:
		$1 = { 53 8B D8 3A 93 18 01 00 00 74 5A 88 93 18 01 00 00 80 BB 18 01 00 00 00 75 25 83 BB E4 00 00 00 00 74 1C 80 BB 1A 01 00 00 00 75 39 8B C3 8B 10 FF 92 D8 01 00 00 C6 83 E8 00 00 00 01 EB 26 80 BB 18 01 00 00 00 74 1D 83 BB E4 00 00 00 00 74 14 8B 83 E4 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91525_0 {
	meta:
		name = "TTeeCanvas3D.GetMonochrome"
		size = 8
	strings:
		$1 = { 0F B6 80 E9 00 00 00 C3 }
	condition:
		$1
}

rule function_91526_0 {
	meta:
		name = "TTeeCanvas3D.SetBitmap"
		size = 7
	strings:
		$1 = { 89 90 E4 00 00 00 C3 }
	condition:
		$1
}

rule function_91527_0 {
	meta:
		name = "TTeeCanvas3D.SetMonochrome"
		size = 36
		refs = "001f TView3DOptions.Repaint"
	strings:
		$1 = { 3A 90 E9 00 00 00 74 1B 88 90 E9 00 00 00 C6 80 E8 00 00 00 01 8B 50 44 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91528_0 {
	meta:
		name = "TTeeCanvas3D.Triangle3D"
		size = 178
		refs = "001f TTeeCanvas3D.Calc3DPoint 0094 TBrush.SetColor"
	strings:
		$1 = { 53 56 57 83 C4 D0 8B F9 8B F2 8B D8 8B C6 8B 50 04 52 8B 50 08 52 8D 54 24 08 8B 08 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 44 24 18 8B 44 24 04 89 44 24 1C 8D 46 0C 8B 50 04 52 8B 50 08 52 8B 08 8D 54 24 10 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 89 44 24 20 8B 44 24 0C 89 44 24 24 8D 46 18 8B 50 04 52 8B 50 08 52 8B 08 8D 54 24 18 8B C3 E8 ?? ?? ?? ?? 8B 44 24 10 89 44 24 28 8B 44 24 14 89 44 24 2C 8B 43 04 8B 50 10 0F B6 52 20 80 FA 01 74 07 8B 17 E8 ?? ?? ?? ?? 8D 54 24 18 B9 02 00 00 00 8B C3 8B 18 FF 93 D8 00 00 00 83 C4 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91529_0 {
	meta:
		name = "TTeeCanvas3D.TriangleWithZ"
		size = 188
		refs = "0034 TTeeCanvas3D.Calc3DPos"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 8D 7D C8 8B 45 FC 8B 00 89 45 F4 8B 45 FC 8B 40 04 89 45 F0 8B C6 50 8D 4D F0 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 07 8B 45 F0 89 47 04 8D 7D D0 8B 45 F8 8B 00 89 45 EC 8B 45 F8 8B 40 04 89 45 E8 8B C6 50 8D 4D E8 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 07 8B 45 E8 89 47 04 8D 7D D8 8B 45 0C 8B 00 89 45 E4 8B 45 0C 8B 40 04 89 45 E0 8B C6 50 8D 4D E0 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 89 07 8B 45 E0 89 47 04 8D 55 C8 B9 02 00 00 00 8B C3 8B 18 FF 93 D8 00 00 00 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_91530_0 {
	meta:
		name = "CalcArrowPoint"
		size = 117
		refs = "0024 @ROUND 0061 TCanvas3D.Calculate3DPosition"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B 45 08 DD 40 F8 8B 45 08 DC 48 F0 8B 45 08 DD 40 E8 8B 45 08 DC 48 E0 DE C1 E8 ?? ?? ?? ?? 89 03 8B 45 08 DD 40 F8 D9 E0 8B 45 08 DC 48 E0 8B 45 08 DD 40 E8 8B 45 08 DC 48 F0 DE C1 E8 ?? ?? ?? ?? 89 43 04 8D 45 F8 50 8B 45 08 8B 48 0C 8B D3 8B 45 08 8B 40 DC E8 ?? ?? ?? ?? 8B 45 F8 89 03 8B 45 FC 89 43 04 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_91531_0 {
	meta:
		name = "TCanvas3D.GetArrowPoints"
		size = 564
		refs = "0038 TeeDistance 0045 TCanvas3D.GetArrowPoints 005e TPointArray 0063 @DynArraySetLength 0074 @ROUND 0103 CalcArrowPoint 01f5 TCanvas3D.Calculate3DPosition 0212 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 8B F1 8B FA 89 45 DC 8B 5D 08 8B 06 2B 07 89 45 D4 8B 47 04 2B 46 04 89 45 D0 DB 45 D4 83 C4 F8 DD 1C 24 9B DB 45 D0 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 5D B0 9B DD 45 B0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 86 B6 01 00 00 6A 07 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 14 89 45 D8 DD 45 B0 E8 ?? ?? ?? ?? 89 45 A8 89 55 AC 8B 45 10 99 3B 55 AC 75 07 3B 45 A8 76 12 EB 02 7E 0E 8B 45 A8 89 45 A0 8B 45 AC 89 45 A4 EB 0A 8B 45 10 99 89 45 A0 89 55 A4 8B 45 A0 DB 45 D0 DC 75 B0 DD 5D E0 9B DB 45 D4 DC 75 B0 DD 5D F0 9B DB 06 DC 4D F0 DB 46 04 DC 4D E0 DE E9 DD 5D C0 9B DB 06 DC 4D E0 DB 46 04 DC 4D F0 DE C1 DD 5D B8 9B 89 45 9C DB 45 9C DC 6D C0 DD 5D F8 9B DB 45 D8 D8 0D ?? ?? ?? ?? DC 6D B8 DD 5D E8 9B 55 8D 45 94 E8 ?? ?? ?? ?? 59 8B 03 8B 55 94 89 50 18 8B 55 98 89 50 1C DB 45 D8 D8 0D ?? ?? ?? ?? DC 45 B8 DD 5D E8 9B 55 8D 45 94 E8 ?? ?? ?? ?? 59 8B 03 8B 55 94 89 50 28 8B 55 98 89 50 2C DB 45 D8 DB 2D ?? ?? ?? ?? DC 4D 18 DE C9 DD 5D C8 9B DD 45 B8 DC 65 C8 DD 5D E8 9B 55 8D 45 94 E8 ?? ?? ?? ?? 59 8B 03 8B 55 94 89 50 10 8B 55 98 89 50 14 DD 45 B8 DC 45 C8 DD 5D E8 9B 55 8D 45 94 E8 ?? ?? ?? ?? 59 8B 03 8B 55 94 89 50 30 8B 55 98 89 50 34 DB 07 DC 4D F0 DB 47 04 DC 4D E0 DE E9 DD 5D F8 9B DD 45 B8 DC 65 C8 DD 5D E8 9B 55 8D 45 94 E8 ?? ?? ?? ?? 59 8B 03 8B 55 94 89 50 08 8B 55 98 89 50 0C DD 45 B8 DC 45 C8 DD 5D E8 9B 55 8D 45 94 E8 ?? ?? ?? ?? 59 8B 03 8B 55 94 89 10 8B 55 98 89 50 04 8D 45 94 50 8B D6 8B 4D 0C 8B 45 DC E8 ?? ?? ?? ?? 8B 03 8B 55 94 89 50 20 8B 55 98 89 50 24 EB 0D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 18 00 00 00 00 00 00 00 00 00 3F 0A D7 A3 70 3D 0A D7 A3 F7 3F 00 00 }
	condition:
		$1
}

rule function_91532_0 {
	meta:
		name = "TTeeCanvas3D.Arrow"
		size = 283
		refs = "001c TTeeCanvas3D.Arrow 004d TCanvas3D.GetArrowPoints 0065 @DynArrayHigh 008f TCanvas3D.Calculate3DPosition 00bb TTeeCanvas.LineTo 00e6 TPointArray 00eb @DynArrayClear 010c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B D9 88 55 FB 8B F0 8B 7D 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B 45 1C 50 8B 45 18 50 8B C7 03 45 10 D1 F8 79 03 83 D0 00 50 8D 45 FC 50 8B 4D 20 8B D3 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 94 00 00 00 80 7D FB 00 74 19 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C6 8B 18 FF 93 D8 00 00 00 EB 67 8D 45 F0 50 8B CF 03 4D 10 D1 F9 79 03 83 D1 00 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 20 8B 10 52 8B 40 04 50 8B DE 8B C3 8B 4D F4 8B 55 F0 8B 38 FF 97 D0 00 00 00 8B 45 FC 8D 50 28 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 20 8B 55 FC 8D 7A 18 8B 17 52 8B 57 04 52 8B 48 04 8B 10 8B C3 8B 18 FF 93 D0 00 00 00 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule function_91534_0 {
	meta:
		name = "TTeeNeutralCanvas.GetBackColor"
		size = 7
	strings:
		$1 = { 8B 80 58 01 00 00 C3 }
	condition:
		$1
}

rule function_91535_0 {
	meta:
		name = "TTeeNeutralCanvas.GetBackMode"
		size = 8
	strings:
		$1 = { 0F B6 80 5C 01 00 00 C3 }
	condition:
		$1
}

rule function_91536_0 {
	meta:
		name = "TTeeNeutralCanvas.GetTextAlign"
		size = 7
	strings:
		$1 = { 8B 80 60 01 00 00 C3 }
	condition:
		$1
}

rule function_91537_0 {
	meta:
		name = "TTeeNeutralCanvas.Polyline"
		size = 58
		refs = "0016 TTeeCanvas.MoveTo 002b TTeeCanvas.LineTo"
	strings:
		$1 = { 53 56 57 55 8B F1 8B DA 8B F8 8D 6E 01 85 ED 7E 24 8B D3 8B C7 E8 ?? ?? ?? ?? 4D 85 ED 7E 16 89 EE 8D 43 08 8B D8 8B D3 8B C7 E8 ?? ?? ?? ?? 83 C3 08 4E 75 F1 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91538_0 {
	meta:
		name = "TTeeNeutralCanvas.SetBackColor"
		size = 7
	strings:
		$1 = { 89 90 58 01 00 00 C3 }
	condition:
		$1
}

rule function_91539_0 {
	meta:
		name = "TTeeNeutralCanvas.SetBackMode"
		size = 7
	strings:
		$1 = { 88 90 5C 01 00 00 C3 }
	condition:
		$1
}

rule function_91542_0 {
	meta:
		name = "TTeeNeutralCanvas.SetTextAlign"
		size = 7
	strings:
		$1 = { 89 90 60 01 00 00 C3 }
	condition:
		$1
}

rule function_91543_0 {
	meta:
		name = "TTeeShadow.Create"
		size = 101
		refs = "000d @ClassCreate 001a TObject.Create 004f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 10 01 C7 46 40 04 00 00 00 8B 45 08 89 46 28 8B 45 0C 89 46 2C B8 C0 C0 C0 00 89 46 08 89 46 34 B0 01 88 46 20 88 46 3C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_91544_0 {
	meta:
		name = "TTeeShadow.Assign"
		size = 85
		refs = "000a _DV_TTeeShadow 000f @IsClass 004e TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 32 8B C6 8B 50 08 89 53 08 8B 50 0C 89 53 0C 0F B6 50 10 88 53 10 8B 50 14 89 53 14 0F B6 50 18 88 53 18 8B 50 1C 89 53 1C 0F B6 40 20 88 43 20 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91545_0 {
	meta:
		name = "TTeeShadow.Changed"
		size = 20
	strings:
		$1 = { 53 66 83 78 2A 00 74 0A 8B D8 8B D0 8B 43 2C FF 53 28 5B C3 }
	condition:
		$1
}

rule function_91547_0 {
	meta:
		name = "TTeeShadow.InitValues"
		size = 41
	strings:
		$1 = { 55 8B EC 56 57 8B F9 8B 75 08 8B CA 88 48 20 88 48 3C 8B D7 89 50 08 89 50 34 89 70 0C 89 70 1C 89 70 38 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_91549_0 {
	meta:
		name = "TTeeShadow.SetClip"
		size = 14
		refs = "0009 TTeeShadow.Changed"
	strings:
		$1 = { 3A 50 04 74 08 88 50 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91550_0 {
	meta:
		name = "TTeeShadow.SetColor"
		size = 14
		refs = "0009 TTeeShadow.Changed"
	strings:
		$1 = { 3B 50 08 74 08 89 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95272_0 {
	meta:
		name = "TGridInfo.SetGridSizeY"
		size = 14
		refs = "0009 TGridInfo.InvalidateGrid"
	strings:
		$1 = { 3B 50 08 74 08 89 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91551_0 {
	meta:
		name = "TTeeShadow.SetHorizSize"
		size = 11
		refs = "0006 TTeeShadow.SetIntegerProperty"
	strings:
		$1 = { 8D 48 0C 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93750_0 {
	meta:
		name = "TMargins.SetRight"
		size = 11
		refs = "0006 TMargins.SetIntegerProperty"
	strings:
		$1 = { 8D 48 0C 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91552_0 {
	meta:
		name = "TTeeShadow.SetVertSize"
		size = 11
		refs = "0006 TTeeShadow.SetIntegerProperty"
	strings:
		$1 = { 8D 48 1C 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91609_0 {
	meta:
		name = "TCustomTeeGradient.SetRadialY"
		size = 11
		refs = "0006 TCustomTeeGradient.SetIntegerProperty"
	strings:
		$1 = { 8D 48 1C 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91553_0 {
	meta:
		name = "TTeeShadow.SetVisible"
		size = 14
		refs = "0009 TTeeShadow.Changed"
	strings:
		$1 = { 3A 50 20 74 08 88 50 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96044_0 {
	meta:
		name = "THTMLTableElementAttributes.SetVAlign"
		size = 14
		refs = "0009 THTMLTagAttributes.Changed"
	strings:
		$1 = { 3A 50 20 74 08 88 50 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91554_0 {
	meta:
		name = "TTeeShadow.GetSize"
		size = 29
	strings:
		$1 = { 53 8B C8 8B 41 0C 99 33 C2 2B C2 8B D8 8B 41 1C 99 33 C2 2B C2 3B C3 7D 02 8B C3 5B C3 }
	condition:
		$1
}

rule function_91556_0 {
	meta:
		name = "TTeeShadow.SetSmooth"
		size = 14
		refs = "0009 TTeeShadow.Changed"
	strings:
		$1 = { 3A 50 10 74 08 88 50 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91557_0 {
	meta:
		name = "TTeeShadow.SetSmoothBlur"
		size = 14
		refs = "0009 TTeeShadow.Changed"
	strings:
		$1 = { 3B 50 14 74 08 89 50 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91559_0 {
	meta:
		name = "TTeeShadow.PrepareCanvas"
		size = 327
		refs = "0104 TTeeShadow.RectToFourPoints 0114 PolygonBounds 0126 TCanvas3D.RectFromRectZ"
	strings:
		$1 = { 55 8B EC 83 C4 90 53 56 57 89 4D F8 89 55 FC 8B F0 81 7E 08 FF FF FF 1F 74 0C 83 7E 0C 00 75 0A 83 7E 1C 00 75 04 33 DB EB 02 B3 01 84 DB 0F 84 08 01 00 00 80 7E 18 00 0F 86 FE 00 00 00 80 7E 10 00 74 63 8B 46 0C 99 33 C2 2B C2 03 C0 8B 4D F8 8B 09 2B C8 8B 46 1C 99 33 C2 2B C2 03 C0 8B 7D F8 8B 7F 04 2B F8 8B 46 0C 99 33 C2 2B C2 03 C0 8B 55 F8 03 42 08 89 45 F4 8B 46 1C 99 33 C2 2B C2 03 C0 8B 55 F8 03 42 0C 89 4D B0 89 7D B4 8B 55 F4 89 55 B8 89 45 BC 56 8D 75 B0 8D 7D E0 A5 A5 A5 A5 5E EB 44 8B 45 F8 8B 00 8B 4E 0C 03 C1 8B 55 F8 8B 52 04 03 56 1C 8B 7D F8 8B 7F 08 03 F9 8B CF 8B 7D F8 8B 7F 0C 03 7E 1C 89 7D F0 89 45 A0 89 55 A4 89 4D A8 8B 45 F0 89 45 AC 56 8D 75 A0 8D 7D E0 A5 A5 A5 A5 5E 83 7D 08 00 74 27 DB 45 08 83 C4 F8 DD 1C 24 9B 8D 4D C0 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8D 4D E0 8D 45 C0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 90 50 8D 55 E0 8B 4D 0C 8B 45 FC E8 ?? ?? ?? ?? 8D 55 90 0F B6 4E 18 8B 45 FC 8B 38 FF 57 58 89 46 30 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_91560_0 {
	meta:
		name = "TTeeShadow.FinishBlending"
		size = 21
	strings:
		$1 = { 56 8B F0 80 7E 18 00 76 0A 8B C2 8B 56 30 8B 08 FF 51 5C 5E C3 }
	condition:
		$1
}

rule function_91562_0 {
	meta:
		name = "TeeBitsperPixel"
		size = 38
		refs = "000c TeeGetDeviceCaps"
	strings:
		$1 = { 53 56 8B D8 BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 BA 0E 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F AF F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_91563_0 {
	meta:
		name = "TeeCalcLines"
		size = 130
		refs = "000c TBitmap.SetPixelFormat 0023 TRGBArray 0028 @DynArraySetLength 0038 TBitmap.GetScanline"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 B2 06 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 24 8B F0 56 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 F6 7E 4B 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 13 89 02 83 FE 01 7E 39 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 13 89 42 04 8B 03 8B 48 04 8B 03 2B 08 8B D6 4A 83 EA 02 7C 17 42 B8 02 00 00 00 8B 33 8B 74 86 FC 03 F1 8B 3B 89 34 87 40 4A 75 EF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91564_0 {
	meta:
		name = "TeeCalcLines"
		size = 130
		refs = "000c TBitmap.SetPixelFormat 0023 TRGBAArray 0028 @DynArraySetLength 0038 TBitmap.GetScanline"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 B2 07 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 24 8B F0 56 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 F6 7E 4B 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 13 89 02 83 FE 01 7E 39 BA 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 13 89 42 04 8B 03 8B 48 04 8B 03 2B 08 8B D6 4A 83 EA 02 7C 17 42 B8 02 00 00 00 8B 33 8B 74 86 FC 03 F1 8B 3B 89 34 87 40 4A 75 EF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91565_0 {
	meta:
		name = "CalcWeights"
		size = 160
		refs = "006a Power 0070 CalcWeights 0075 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F0 8B C6 03 C0 40 89 45 FC 8B 45 08 C7 84 B0 00 00 FF FF A0 86 01 00 8B C6 48 85 C0 7C 6D 40 89 45 F4 33 FF 8B 45 08 8D 98 00 00 FF FF 85 F6 75 08 C7 03 A0 86 01 00 EB 38 8B C7 2B C6 F7 E8 F7 D8 89 45 F0 DB 45 F0 89 75 EC DB 45 EC DE F9 D9 5D F8 9B 8B 45 08 FF B0 FC FF FE FF FF 75 F8 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 8B 45 FC 2B C7 8B 55 08 8B 0B 89 8C 82 FC FF FE FF 47 83 C3 04 FF 4D F4 75 A2 5F 5E 5B 8B E5 5D C3 00 50 C3 47 }
	condition:
		$1
}

rule function_91566_0 {
	meta:
		name = "TeeShadowSmooth"
		size = 2804
		refs = "0055 TeeShadowSmooth 0078 TBitmap.GetCanvas 007d TCanvas.GetHandle 0082 TeeBitsperPixel 00a6 TeeCalcLines 00d8 :83 00dd @DynArraySetLength 0119 CalcWeights 04b0 PtVisible 0635 @ROUND 0a30 @DynArrayClear 0a3c TRGBAArray 0a5e TRGBArray 0a97 @FinalizeArray 0ac4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 50 B8 10 00 00 00 81 C4 04 F0 FF FF 50 48 75 F6 8B 45 FC 81 C4 70 FF FF FF 53 56 57 33 DB 89 9D F8 FF FE FF 89 9D F4 FF FE FF 89 9D F0 FF FE FF 89 9D EC FF FE FF 89 9D E8 FF FE FF 89 8D DC FF FE FF 89 95 E0 FF FE FF 89 85 E4 FF FE FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 1C 89 85 C4 FF FE FF 8B 45 18 89 85 C0 FF FE FF 8B 85 E4 FF FE FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 20 0F 94 85 97 FF FE FF 80 BD 97 FF FE FF 00 74 13 8D 85 EC FF FE FF 8B 95 E4 FF FE FF E8 ?? ?? ?? ?? EB 11 8D 85 F4 FF FE FF 8B 95 E4 FF FE FF E8 ?? ?? ?? ?? 8B 85 C4 FF FE FF 50 8B 85 C0 FF FE FF 50 8D 85 F8 FF FE FF B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 D9 45 10 D8 05 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 D9 9D FC FF FE FF 9B 8B 45 14 03 C0 40 89 85 A0 FF FE FF 8B 85 A0 FF FE FF 89 85 9C FF FE FF 55 8B 45 14 E8 ?? ?? ?? ?? 59 83 BD DC FF FE FF 00 7D 10 8B 85 DC FF FE FF F7 D8 89 85 B0 FF FE FF EB 08 33 C0 89 85 B0 FF FE FF 83 7D 20 00 7D 0D 8B 45 20 F7 D8 89 85 A8 FF FE FF EB 08 33 C0 89 85 A8 FF FE FF 83 BD E0 FF FE FF 00 0F 84 97 00 00 00 8B 85 E0 FF FE FF 8B 10 FF 52 30 8B 95 C4 FF FE FF 03 95 DC FF FE FF 3B C2 7F 1A 8B 85 E0 FF FE FF 8B 10 FF 52 30 2B 85 DC FF FE FF 48 89 85 AC FF FE FF EB 0D 8B 85 C4 FF FE FF 48 89 85 AC FF FE FF 8B 85 E0 FF FE FF 8B 10 FF 52 24 8B 95 C0 FF FE FF 03 55 20 3B C2 7F 17 8B 85 E0 FF FE FF 8B 10 FF 52 24 2B 45 20 48 89 85 A4 FF FE FF EB 40 8B 85 C0 FF FE FF 03 45 20 85 C0 7D 0A 33 C0 89 85 A4 FF FE FF EB 29 8B 85 C0 FF FE FF 48 89 85 A4 FF FE FF EB 1A 8B 85 C4 FF FE FF 48 89 85 AC FF FE FF 8B 85 C0 FF FE FF 48 89 85 A4 FF FE FF 8B 85 A8 FF FE FF 8B 95 A4 FF FE FF 2B D0 0F 8C A1 01 00 00 42 89 95 8C FF FE FF 89 85 BC FF FE FF 8B 85 B0 FF FE FF 8B 95 AC FF FE FF 2B D0 0F 8C 6E 01 00 00 42 89 95 88 FF FE FF 89 85 B8 FF FE FF 33 C0 89 85 D8 FF FE FF 33 C0 89 85 D4 FF FE FF 33 C0 89 85 D0 FF FE FF 33 F6 8B 8D B8 FF FE FF 2B 4D 14 85 C9 7D 08 8B D1 F7 DA 33 C9 EB 02 33 D2 3B 95 A0 FF FE FF 0F 8D D0 00 00 00 3B 8D C4 FF FE FF 0F 8D C4 00 00 00 8B 84 95 00 00 FF FF 80 BD 97 FF FE FF 00 74 52 8B 9D EC FF FE FF 8B BD BC FF FE FF 8B 1C BB 8D 1C 8B 89 9D 84 FF FE FF 8B 9D 84 FF FE FF 0F B6 5B 02 0F AF D8 01 9D D8 FF FE FF 8B 9D 84 FF FE FF 0F B6 5B 01 0F AF D8 01 9D D4 FF FE FF 8B 9D 84 FF FE FF 0F B6 1B 0F AF D8 01 9D D0 FF FE FF EB 52 8B 9D F4 FF FE FF 8B BD BC FF FE FF 8B 1C BB 8D 3C 49 03 DF 89 9D 80 FF FE FF 8B 9D 80 FF FE FF 0F B6 5B 02 0F AF D8 01 9D D8 FF FE FF 8B 9D 80 FF FE FF 0F B6 5B 01 0F AF D8 01 9D D4 FF FE FF 8B 9D 80 FF FE FF 0F B6 1B 0F AF D8 01 9D D0 FF FE FF 03 F0 42 41 3B 95 A0 FF FE FF 0F 8C 30 FF FF FF 8B 85 F8 FF FE FF 8B 95 BC FF FE FF 8B 04 90 8B 95 B8 FF FE FF 8D 14 52 8D 0C 10 85 F6 74 23 8B 85 D8 FF FE FF 99 F7 FE 88 41 02 8B 85 D4 FF FE FF 99 F7 FE 88 41 01 8B 85 D0 FF FE FF 99 F7 FE 88 01 FF 85 B8 FF FE FF FF 8D 88 FF FE FF 0F 85 9F FE FF FF FF 85 BC FF FE FF FF 8D 8C FF FE FF 0F 85 6C FE FF FF 83 BD E0 FF FE FF 00 74 4E 8B 85 E0 FF FE FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 20 0F 94 85 96 FF FE FF 80 BD 96 FF FE FF 00 74 13 8D 85 E8 FF FE FF 8B 95 E0 FF FE FF E8 ?? ?? ?? ?? EB 1A 8D 85 F0 FF FE FF 8B 95 E0 FF FE FF E8 ?? ?? ?? ?? EB 07 C6 85 96 FF FE FF 00 80 7D 08 00 74 10 8B 45 0C 8B 10 FF 52 0C 89 85 90 FF FE FF EB 08 33 C0 89 85 90 FF FE FF 8B 85 B0 FF FE FF 8B 95 AC FF FE FF 2B D0 0F 8C C6 05 00 00 42 89 95 8C FF FE FF 89 85 B8 FF FE FF 8B 85 A8 FF FE FF 8B 95 A4 FF FE FF 2B D0 0F 8C 93 05 00 00 42 89 95 88 FF FE FF 89 85 BC FF FE FF 80 7D 08 00 74 2B 8B 85 BC FF FE FF 03 45 20 50 8B 85 B8 FF FE FF 03 85 DC FF FE FF 50 8B 85 90 FF FE FF 50 E8 ?? ?? ?? ?? 85 C0 0F 84 43 05 00 00 33 C0 89 85 D8 FF FE FF 33 C0 89 85 D4 FF FE FF 33 C0 89 85 D0 FF FE FF 33 F6 8B 85 BC FF FE FF 2B 45 14 89 85 B4 FF FE FF 83 BD B4 FF FE FF 00 7D 12 8B 95 B4 FF FE FF F7 DA 33 C0 89 85 B4 FF FE FF EB 02 33 D2 8B 85 A4 FF FE FF 2B 85 B4 FF FE FF 89 85 98 FF FE FF 8B 85 98 FF FE FF 3B 85 9C FF FE FF 7E 0C 8B 85 9C FF FE FF 89 85 98 FF FE FF 3B 95 98 FF FE FF 7D 58 8B 84 95 00 00 FF FF 8B 8D F8 FF FE FF 8B 9D B4 FF FE FF 8B 0C 99 8B 9D B8 FF FE FF 8D 1C 5B 03 CB 0F B6 59 02 0F AF D8 01 9D D8 FF FE FF 0F B6 59 01 0F AF D8 01 9D D4 FF FE FF 0F B6 09 0F AF C8 01 8D D0 FF FE FF 03 F0 42 FF 85 B4 FF FE FF 3B 95 98 FF FE FF 7C A8 85 F6 0F 84 69 04 00 00 83 BD E0 FF FE FF 00 0F 84 60 03 00 00 80 BD 96 FF FE FF 00 0F 84 AE 01 00 00 8B 85 BC FF FE FF 03 45 20 8B 95 E8 FF FE FF 8B 04 82 8B 95 B8 FF FE FF 03 95 DC FF FE FF 8D 1C 90 8B 85 D8 FF FE FF 3B 85 D4 FF FE FF 0F 85 EB 00 00 00 8B 85 D8 FF FE FF 3B 85 D0 FF FE FF 0F 85 D9 00 00 00 0F B6 43 02 3A 43 01 75 50 0F B6 43 02 3A 03 75 48 0F B6 43 02 89 85 70 FF FE FF DB 85 70 FF FE FF DB 2D ?? ?? ?? ?? DE C9 DB 85 D8 FF FE FF DE C9 89 B5 6C FF FE FF DB 85 6C FF FE FF DE F9 E8 ?? ?? ?? ?? 88 43 02 0F B6 43 02 88 43 01 0F B6 43 02 88 03 E9 B1 03 00 00 DB 85 D8 FF FE FF DB 2D ?? ?? ?? ?? DE C9 89 B5 70 FF FE FF DB 85 70 FF FE FF DE F9 DD 9D C8 FF FE FF 9B 0F B6 43 02 89 85 70 FF FE FF DB 85 70 FF FE FF DC 8D C8 FF FE FF E8 ?? ?? ?? ?? 88 43 02 0F B6 43 01 89 85 70 FF FE FF DB 85 70 FF FE FF DC 8D C8 FF FE FF E8 ?? ?? ?? ?? 88 43 01 0F B6 03 89 85 70 FF FE FF DB 85 70 FF FE FF DC 8D C8 FF FE FF E8 ?? ?? ?? ?? 88 03 E9 31 03 00 00 89 B5 70 FF FE FF DB 85 70 FF FE FF DB 2D ?? ?? ?? ?? DE F1 DD 9D C8 FF FE FF 9B DB 85 D8 FF FE FF DC 8D C8 FF FE FF 0F B6 43 02 89 85 70 FF FE FF DB 85 70 FF FE FF DE C9 E8 ?? ?? ?? ?? 88 43 02 DB 85 D4 FF FE FF DC 8D C8 FF FE FF 0F B6 43 01 89 85 70 FF FE FF DB 85 70 FF FE FF DE C9 E8 ?? ?? ?? ?? 88 43 01 DB 85 D0 FF FE FF DC 8D C8 FF FE FF 0F B6 03 89 85 70 FF FE FF DB 85 70 FF FE FF DE C9 E8 ?? ?? ?? ?? 88 03 E9 A1 02 00 00 8B 85 BC FF FE FF 03 45 20 8B 95 F0 FF FE FF 8B 04 82 8B 95 B8 FF FE FF 03 95 DC FF FE FF 8D 14 52 03 C2 89 85 7C FF FE FF 8B 85 D8 FF FE FF 3B 85 D4 FF FE FF 0F 85 B6 00 00 00 8B 85 D8 FF FE FF 3B 85 D0 FF FE FF 0F 85 A4 00 00 00 DB 85 D8 FF FE FF DB 2D ?? ?? ?? ?? DE C9 89 B5 70 FF FE FF DB 85 70 FF FE FF DE F9 DD 9D C8 FF FE FF 9B 8B 85 7C FF FE FF 0F B6 40 02 89 85 70 FF FE FF DB 85 70 FF FE FF DC 8D C8 FF FE FF E8 ?? ?? ?? ?? 8B 95 7C FF FE FF 88 42 02 8B 85 7C FF FE FF 0F B6 40 01 89 85 70 FF FE FF DB 85 70 FF FE FF DC 8D C8 FF FE FF E8 ?? ?? ?? ?? 8B 95 7C FF FE FF 88 42 01 8B 85 7C FF FE FF 0F B6 00 89 85 70 FF FE FF DB 85 70 FF FE FF DC 8D C8 FF FE FF E8 ?? ?? ?? ?? 8B 95 7C FF FE FF 88 02 E9 B0 01 00 00 89 B5 70 FF FE FF DB 85 70 FF FE FF DB 2D ?? ?? ?? ?? DE F1 DD 9D C8 FF FE FF 9B DB 85 D8 FF FE FF DC 8D C8 FF FE FF 8B 85 7C FF FE FF 0F B6 40 02 89 85 70 FF FE FF DB 85 70 FF FE FF DE C9 E8 ?? ?? ?? ?? 8B 95 7C FF FE FF 88 42 02 DB 85 D4 FF FE FF DC 8D C8 FF FE FF 8B 85 7C FF FE FF 0F B6 40 01 89 85 70 FF FE FF DB 85 70 FF FE FF DE C9 E8 ?? ?? ?? ?? 8B 95 7C FF FE FF 88 42 01 DB 85 D0 FF FE FF DC 8D C8 FF FE FF 8B 85 7C FF FE FF 0F B6 00 89 85 70 FF FE FF DB 85 70 FF FE FF DE C9 E8 ?? ?? ?? ?? 8B 95 7C FF FE FF 88 02 E9 FC 00 00 00 89 B5 70 FF FE FF DB 85 70 FF FE FF D8 3D ?? ?? ?? ?? DD 9D C8 FF FE FF 9B 80 BD 97 FF FE FF 00 74 6D 8B 85 EC FF FE FF 8B 95 BC FF FE FF 8B 04 90 8B 95 B8 FF FE FF 8D 04 90 89 85 78 FF FE FF DB 85 D8 FF FE FF DC 8D C8 FF FE FF E8 ?? ?? ?? ?? 8B 95 78 FF FE FF 88 42 02 DB 85 D4 FF FE FF DC 8D C8 FF FE FF E8 ?? ?? ?? ?? 8B 95 78 FF FE FF 88 42 01 DB 85 D0 FF FE FF DC 8D C8 FF FE FF E8 ?? ?? ?? ?? 8B 95 78 FF FE FF 88 02 EB 6D 8B 85 F4 FF FE FF 8B 95 BC FF FE FF 8B 04 90 8B 95 B8 FF FE FF 8D 14 52 03 C2 89 85 74 FF FE FF DB 85 D8 FF FE FF DC 8D C8 FF FE FF E8 ?? ?? ?? ?? 8B 95 74 FF FE FF 88 42 02 DB 85 D4 FF FE FF DC 8D C8 FF FE FF E8 ?? ?? ?? ?? 8B 95 74 FF FE FF 88 42 01 DB 85 D0 FF FE FF DC 8D C8 FF FE FF E8 ?? ?? ?? ?? 8B 95 74 FF FE FF 88 02 FF 85 BC FF FE FF FF 8D 88 FF FE FF 0F 85 7A FA FF FF FF 85 B8 FF FE FF FF 8D 8C FF FE FF 0F 85 47 FA FF FF 8D 85 F8 FF FE FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 EC FF FE FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 E8 FF FE FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 F4 FF FE FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 F0 FF FE FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E8 FF FE FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 F0 FF FE FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 F8 FF FE FF 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 5F 5E 5B 8B E5 5D C2 1C 00 00 00 00 34 43 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 81 80 80 80 80 80 80 80 F7 3F 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_91567_0 {
	meta:
		name = "DrawEllipse"
		size = 27
		refs = "000a TBitmap.GetCanvas 0015 TCustomCanvas.Ellipse"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 83 C2 EC E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_91568_0 {
	meta:
		name = "TTeeShadow.InternalDrawSmooth"
		size = 948
		refs = "001e TTeeShadow.InternalDrawSmooth 004a TPointArray 004f @DynArraySetLength 005a @DynArrayLength 00f9 @DynArrayHigh 0106 PolygonBounds 017e _Dn_TBitmap 0183 TBitmap.Create 01a2 TeeSetBitmapSize 01ea TBitmap.GetCanvas 01fa TBrush.SetColor 0204 TPen.SetStyle 023f DrawEllipse 0288 @ROUND 02c0 InflateRect 034c TeeShadowSmooth 0367 @DynArrayClear 036f TObject.Free 0375 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 33 DB 89 5D E8 89 4D DC 89 55 E0 89 45 E4 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 8B 40 40 89 45 D0 89 45 CC 8D 73 01 85 F6 0F 8E 0B 01 00 00 56 8D 45 E8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 1C 42 33 C0 8B 5D 10 8B 4D E8 8B 33 89 34 C1 8B 73 04 89 74 C1 04 40 83 C3 08 4A 75 EA 8B 45 E8 8B 00 89 45 D8 8B 45 E8 8B 40 04 89 45 D4 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7E 26 B8 01 00 00 00 8B 4D E8 8B 0C C1 3B 4D D8 7D 03 89 4D D8 8B 4D E8 8B 4C C1 04 3B 4D D4 7D 03 89 4D D4 40 4A 75 DF 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 1F 42 33 C0 8B 4D E8 8D 0C C1 8B 19 2B 5D D8 43 89 19 8B 59 04 2B 5D D4 43 89 59 04 40 4A 75 E4 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 8D 4D BC 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 C4 2B 45 BC 03 45 D0 48 7D 07 B8 01 00 00 00 EB 09 8B 45 C4 2B 45 BC 03 45 D0 89 45 D8 8B 45 C8 2B 45 C0 03 45 CC 48 7D 07 B8 01 00 00 00 EB 09 8B 45 C8 2B 45 C0 03 45 CC 89 45 D4 EB 31 8B 45 DC 8B 40 08 8B 55 DC 2B 02 83 F8 01 7D 05 B8 01 00 00 00 89 45 D8 8B 45 DC 8B 40 0C 8B 55 DC 2B 42 04 83 F8 01 7D 05 B8 01 00 00 00 89 45 D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D D4 8B 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 30 8B F8 8B 75 D0 D1 FE 79 03 83 D6 00 2B FE 8B 45 FC 8B 10 FF 52 24 8B 5D CC D1 FB 79 03 83 D3 00 2B C3 89 75 AC 89 5D B0 89 7D B4 89 45 B8 8D 75 AC 8D 7D EC A5 A5 A5 A5 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 45 E4 8B 50 08 8B 47 48 E8 ?? ?? ?? ?? 8B 47 44 B2 05 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 7E 1F 8B 45 E8 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 59 8B 18 FF 53 6C E9 D8 00 00 00 80 7D 18 00 0F 84 90 00 00 00 55 E8 ?? ?? ?? ?? 59 83 7D 08 00 0F 84 BD 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 40 48 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 45 DC 8B 40 0C 8B 55 DC 2B 42 04 BA 64 00 00 00 2B 55 08 F7 EA 89 45 A8 DB 45 A8 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? F7 D8 50 8B 45 DC 8B 40 08 8B 55 DC 2B 02 BA 64 00 00 00 2B 55 08 F7 EA 89 45 A4 DB 45 A4 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B D0 F7 DA 8D 45 EC 59 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 EB 3E 83 7D 14 00 75 12 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 08 FF 51 54 EB 26 8B 45 F4 50 8B 45 F8 50 8B 45 14 50 8B 45 14 50 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 8B 55 EC 8B 18 FF 93 84 00 00 00 8B 45 DC 8B 40 04 50 8B 45 D8 50 8B 45 D4 50 8B 45 E4 8B 40 40 50 8B 45 E4 DB 40 14 83 C4 FC D9 1C 24 9B 8B 45 E0 50 8B 45 E4 0F B6 40 04 50 8B 4D DC 8B 09 8B 45 E0 8B 90 E4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 14 00 00 0A D7 A3 70 3D 0A D7 A3 F7 3F 00 00 }
	condition:
		$1
}

rule function_91569_0 {
	meta:
		name = "TTeeShadow.Draw"
		size = 305
		refs = "0019 TTeeShadow.Draw 0032 TPointArray 0037 @DynArraySetLength 0050 @DynArrayLength 0089 @DynArrayHigh 0096 PolygonBounds 00a8 TTeeShadow.PrepareCanvas 00df TTeeShadow.FinishBlending 00fa @DynArrayClear 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D FC 8B D9 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 40 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 F6 55 68 ?? ?? ?? ?? 64 FF 36 64 89 26 8B 45 FC E8 ?? ?? ?? ?? 8B C8 49 85 C9 7C 2A 41 33 D2 8B C3 8B 18 8B 75 F8 03 5E 0C 8B 75 FC 89 1C D6 8B 58 04 8B 75 F8 03 5E 1C 8B 75 FC 89 5C D6 04 42 83 C0 08 49 75 DB 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 4D E4 8B 45 FC E8 ?? ?? ?? ?? 6A 00 6A 00 8D 4D E4 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 33 6A 00 6A 00 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 8D 4D E4 8B 55 F8 8B 45 F4 8B 18 FF 93 00 01 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_91570_0 {
	meta:
		name = "RotatePoint"
		size = 103
		refs = "002a @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 89 75 FC DB 45 FC 8B 45 08 DC 48 F0 89 7D F8 DB 45 F8 8B 45 08 DC 48 E8 DE C1 E8 ?? ?? ?? ?? 8B 55 08 03 42 F8 89 03 F7 DE 89 75 FC DB 45 FC 8B 45 08 DC 48 E8 89 7D F8 DB 45 F8 8B 45 08 DC 48 F0 DE C1 E8 ?? ?? ?? ?? 8B 55 08 03 42 FC 89 43 04 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_91571_0 {
	meta:
		name = "TTeeShadow.RectToFourPoints"
		size = 190
		refs = "003d TeePiStep 0052 SinCos 007f RotatePoint"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 8B F1 8B DA 8B 03 03 43 08 D1 F8 79 03 83 D0 00 89 45 D8 8B 43 04 03 43 0C D1 F8 79 03 83 D0 00 89 45 DC 8B 45 D8 89 45 F8 8B 45 DC 89 45 FC DD 45 08 DC 0D ?? ?? ?? ?? DD 5D E0 9B FF 75 E4 FF 75 E0 8D 55 F0 8D 45 E8 E8 ?? ?? ?? ?? 56 8B F3 8D 7D C8 A5 A5 A5 A5 5E 8B 45 F8 29 45 C8 29 45 D0 8B 45 FC 29 45 CC 29 45 D4 55 8B C6 8B 5D CC 8B CB 8B 55 C8 E8 ?? ?? ?? ?? 59 55 8D 46 08 8B CB 8B 7D D0 8B D7 E8 ?? ?? ?? ?? 59 55 8D 46 10 8B 5D D4 8B CB 8B D7 E8 ?? ?? ?? ?? 59 55 8D 46 18 8B CB 8B 55 C8 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_91572_0 {
	meta:
		name = "TTeeShadow.OffsetRectangle"
		size = 53
		refs = "002d OffsetRect"
	strings:
		$1 = { 53 56 57 8B F1 8B D8 56 8B FE 8B F2 A5 A5 A5 A5 5E 8B C3 8B 10 FF 52 0C F7 6B 1C 50 8B C3 8B 10 FF 52 0C 8B D0 0F AF 53 0C 8B C6 59 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91573_0 {
	meta:
		name = "TTeeShadow.Draw"
		size = 244
		refs = "0017 TPen.GetStyle 002e @ROUND 003c TTeeShadow.PrepareCanvas 0051 TTeeShadow.OffsetRectangle 0094 TTeeShadow.RectToFourPoints 00b8 PolygonBounds 00d0 TTeeShadow.FinishBlending 00dc TPen.SetStyle 00e7 TPen.SetColor"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 89 4D FC 8B DA 8B F0 8B 7D 08 8B 43 10 E8 ?? ?? ?? ?? 88 45 FB 8B 43 10 8B 40 10 8B 40 18 89 45 F4 DD 45 10 E8 ?? ?? ?? ?? 50 57 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 8C 00 00 00 8D 4D E4 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 FF 75 25 6A 00 8B 45 0C 50 8D 45 C4 50 6A FF 6A 00 FF 75 14 FF 75 10 8D 4D E4 8B D6 8B C3 8B 38 FF 97 00 01 00 00 EB 4D 89 7D C0 DB 45 C0 83 C4 F8 DD 1C 24 9B 8D 4D C4 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 6A 00 8B 45 0C 50 8D 45 C4 50 6A 03 6A 00 FF 75 14 FF 75 10 8D 4D B0 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 4D B0 8B D6 8B C3 8B 38 FF 97 00 01 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B6 55 FB 8B 43 10 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 10 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_91574_0 {
	meta:
		name = "TTeeShadow.DrawEllipse"
		size = 103
		refs = "0013 @ROUND 0021 TTeeShadow.PrepareCanvas 0042 TTeeShadow.OffsetRectangle 005a TTeeShadow.FinishBlending"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 DD 45 0C E8 ?? ?? ?? ?? 50 6A 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 35 6A 01 6A 00 55 6A FF 8B 45 08 50 FF 75 10 FF 75 0C 8D 4D F0 8B D7 8B C3 E8 ?? ?? ?? ?? 8D 4D F0 8B D3 8B C6 8B 38 FF 97 00 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_91575_0 {
	meta:
		name = "TTeeShadow.IsColorStored"
		size = 10
	strings:
		$1 = { 8B 50 08 3B 50 34 0F 95 C0 C3 }
	condition:
		$1
}

rule function_91576_0 {
	meta:
		name = "TTeeShadow.IsHorizStored"
		size = 10
	strings:
		$1 = { 8B 50 0C 3B 50 38 0F 95 C0 C3 }
	condition:
		$1
}

rule function_91577_0 {
	meta:
		name = "TTeeShadow.IsVertStored"
		size = 10
	strings:
		$1 = { 8B 50 1C 3B 50 38 0F 95 C0 C3 }
	condition:
		$1
}

rule function_91578_0 {
	meta:
		name = "TTeeShadow.IsVisibleStored"
		size = 11
	strings:
		$1 = { 0F B6 50 20 3A 50 3C 0F 95 C0 C3 }
	condition:
		$1
}

rule function_91579_0 {
	meta:
		name = "TCustomTeeGradient.Create"
		size = 78
		refs = "000d @ClassCreate 001a TObject.Create 002d TCustomTeeGradient.InitDefs 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 40 8B 45 0C 89 46 44 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_91581_0 {
	meta:
		name = "TCustomTeeGradient.InitDefs"
		size = 68
	strings:
		$1 = { C6 40 28 00 33 D2 88 50 0C 88 50 48 BA FF FF FF 00 89 50 20 89 50 54 BA FF FF 00 00 89 50 10 89 50 4C BA FF FF FF 1F 89 50 14 89 50 50 C7 40 08 32 00 00 00 33 D2 89 50 04 33 D2 89 50 18 33 D2 89 50 1C C3 }
	condition:
		$1
}

rule function_91582_0 {
	meta:
		name = "TCustomTeeGradient.UseMiddleColor"
		size = 16
		refs = "000b TCustomTeeGradient.DoChanged"
	strings:
		$1 = { 80 78 59 00 75 09 C6 40 59 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91583_0 {
	meta:
		name = "TCustomTeeGradient.GetMidColor"
		size = 16
	strings:
		$1 = { 80 78 59 00 74 04 8B 40 14 C3 B8 FF FF FF 1F C3 }
	condition:
		$1
}

rule function_91585_0 {
	meta:
		name = "TCustomTeeGradient.SetVisible"
		size = 14
		refs = "0009 TCustomTeeGradient.DoChanged"
	strings:
		$1 = { 3A 50 28 74 08 88 50 28 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91587_0 {
	meta:
		name = "TCustomTeeGradient.SetBalance"
		size = 11
		refs = "0006 TCustomTeeGradient.SetIntegerProperty"
	strings:
		$1 = { 8D 48 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93751_0 {
	meta:
		name = "TMargins.SetTop"
		size = 11
		refs = "0006 TMargins.SetIntegerProperty"
	strings:
		$1 = { 8D 48 08 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91588_0 {
	meta:
		name = "TCustomTeeGradient.SetDirection"
		size = 14
		refs = "0009 TCustomTeeGradient.DoChanged"
	strings:
		$1 = { 3A 50 0C 74 08 88 50 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95273_0 {
	meta:
		name = "TGridInfo.SetShowGrid"
		size = 14
		refs = "0009 TGridInfo.InvalidateGrid"
	strings:
		$1 = { 3A 50 0C 74 08 88 50 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91593_0 {
	meta:
		name = "TCustomTeeGradient.SetMidColor"
		size = 57
		refs = "0013 TCustomTeeGradient.DoChanged 001f TCustomTeeGradient.SetColorProperty"
	strings:
		$1 = { 80 78 59 00 74 1E 81 FA FF FF FF 1F 75 0B C6 40 59 00 E8 ?? ?? ?? ?? EB 1F 8D 48 14 87 CA E8 ?? ?? ?? ?? C3 81 FA FF FF FF 1F 74 0C C6 40 59 01 89 50 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91594_0 {
	meta:
		name = "TCustomTeeGradient.Assign"
		size = 138
		refs = "000b _DV_TCustomTeeGradient 0010 @IsClass 0057 TCustomTeeGradient.SetSub 0069 TObject.Free 0082 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 65 8B FB 8B 47 04 89 46 04 8B 47 08 89 46 08 0F B6 47 0C 88 46 0C 8B 47 10 89 46 10 8B 47 14 89 46 14 8B 47 18 89 46 18 8B 47 1C 89 46 1C 8B 47 20 89 46 20 8B 47 24 85 C0 74 0B 8B D0 8B C6 E8 ?? ?? ?? ?? EB 10 8D 47 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 0F B6 47 28 88 46 28 0F B6 47 59 88 46 59 EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91595_0 {
	meta:
		name = "TCustomTeeGradient.GetSub"
		size = 43
		refs = "0013 _DV_TSubGradient 0018 TCustomTeeGradient.Create"
	strings:
		$1 = { 53 56 8B D8 83 7B 24 00 75 1B FF 73 44 FF 73 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 24 C6 46 60 32 8B 43 24 5E 5B C3 }
	condition:
		$1
}

rule function_91596_0 {
	meta:
		name = "TCustomTeeGradient.IsVisibleStored"
		size = 11
	strings:
		$1 = { 0F B6 50 28 3A 50 58 0F 95 C0 C3 }
	condition:
		$1
}

rule function_91597_0 {
	meta:
		name = "TCustomTeeGradient.IsDirectionStored"
		size = 11
	strings:
		$1 = { 0F B6 50 0C 3A 50 48 0F 95 C0 C3 }
	condition:
		$1
}

rule function_91598_0 {
	meta:
		name = "TCustomTeeGradient.IsEndStored"
		size = 10
	strings:
		$1 = { 8B 50 10 3B 50 4C 0F 95 C0 C3 }
	condition:
		$1
}

rule function_91599_0 {
	meta:
		name = "TCustomTeeGradient.IsMidStored"
		size = 10
	strings:
		$1 = { 8B 50 14 3B 50 50 0F 95 C0 C3 }
	condition:
		$1
}

rule function_91600_0 {
	meta:
		name = "TCustomTeeGradient.IsStartStored"
		size = 10
	strings:
		$1 = { 8B 50 20 3B 50 54 0F 95 C0 C3 }
	condition:
		$1
}

rule function_91601_0 {
	meta:
		name = "TCustomTeeGradient.SetSub"
		size = 33
		refs = "0009 TCustomTeeGradient.GetSub"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 8B 43 24 0F B6 56 60 88 50 60 5E 5B C3 }
	condition:
		$1
}

rule function_91602_0 {
	meta:
		name = "DoRadialGradient"
		size = 1576
		refs = "004e DoRadialGradient 0243 TPen.GetStyle 0256 TPen.SetStyle 02a5 TBrush.SetColor 0357 TeeSetDCBrushColor 0377 GetStockObject 0381 SelectObject 03c0 @ROUND 04dc TeeSigmoid 0610 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 24 FF FF FF 53 56 57 8B 45 08 8B 40 F8 8B 55 08 2B 42 F0 89 45 F8 8B 45 08 8B 40 FC 8B 55 08 2B 42 F4 89 45 F4 8B 45 F8 3B 45 F4 7E 05 8B 45 F8 EB 03 8B 45 F4 3D FF 00 00 00 7E 05 B8 FF 00 00 00 89 45 FC DB 45 FC D8 3D ?? ?? ?? ?? DD 5D D0 9B DB 45 F8 D8 0D ?? ?? ?? ?? DC 4D D0 DD 5D B0 9B DB 45 F4 D8 0D ?? ?? ?? ?? DC 4D D0 DD 5D A8 9B 8B 45 08 8B 40 EC 8B 40 20 89 45 80 0F B6 55 80 88 95 7F FF FF FF 0F B6 BD 7F FF FF FF 89 85 78 FF FF FF 8B 95 78 FF FF FF C1 EA 08 88 95 77 FF FF FF 0F B6 95 77 FF FF FF 89 55 F0 89 85 70 FF FF FF 8B 85 70 FF FF FF C1 E8 10 88 85 6F FF FF FF 0F B6 85 6F FF FF FF 89 45 EC 8B 45 08 8B 40 EC 83 78 08 32 0F 85 B3 00 00 00 8B 45 08 8B 40 EC 8B 40 10 89 85 68 FF FF FF 0F B6 85 68 FF FF FF 88 85 67 FF FF FF 0F B6 85 67 FF FF FF 2B C7 89 85 28 FF FF FF DB 85 28 FF FF FF DC 4D D0 DD 5D A0 9B 8B 45 08 8B 40 EC 8B 40 10 89 85 60 FF FF FF 8B 85 60 FF FF FF C1 E8 08 88 85 5F FF FF FF 0F B6 85 5F FF FF FF 2B 45 F0 89 85 28 FF FF FF DB 85 28 FF FF FF DC 4D D0 DD 5D 98 9B 8B 45 08 8B 40 EC 8B 40 10 89 85 58 FF FF FF 8B 85 58 FF FF FF C1 E8 10 88 85 57 FF FF FF 0F B6 85 57 FF FF FF 2B 45 EC 89 85 28 FF FF FF DB 85 28 FF FF FF DC 4D D0 DD 5D 90 9B E9 A5 00 00 00 8B 45 08 8B 40 EC 8B 40 10 89 85 50 FF FF FF 0F B6 85 50 FF FF FF 88 85 4F FF FF FF 0F B6 85 4F FF FF FF 2B C7 89 85 28 FF FF FF DB 85 28 FF FF FF DD 5D A0 9B 8B 45 08 8B 40 EC 8B 40 10 89 85 48 FF FF FF 8B 85 48 FF FF FF C1 E8 08 88 85 47 FF FF FF 0F B6 85 47 FF FF FF 2B 45 F0 89 85 28 FF FF FF DB 85 28 FF FF FF DD 5D 98 9B 8B 45 08 8B 40 EC 8B 40 10 89 85 40 FF FF FF 8B 85 40 FF FF FF C1 E8 10 88 85 3F FF FF FF 0F B6 85 3F FF FF FF 2B 45 EC 89 85 28 FF FF FF DB 85 28 FF FF FF DD 5D 90 9B 8B 45 08 8B 40 E8 8B 40 10 E8 ?? ?? ?? ?? 88 45 8B 8B 45 08 8B 40 E8 8B 40 10 B2 05 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E8 8B 40 04 89 85 38 FF FF FF 8B 85 38 FF FF FF 8B 40 10 8B 40 18 89 85 34 FF FF FF 8B 85 34 FF FF FF 89 45 8C 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 EC 8B 50 10 8B 45 08 8B 40 E8 8B 40 04 E8 ?? ?? ?? ?? 8B 45 08 8D 50 F0 8B 45 08 8B 40 E8 8B 08 FF 51 74 8B 45 F8 25 01 00 00 80 79 05 48 83 C8 FE 40 48 74 12 8B 45 F4 25 01 00 00 80 79 05 48 83 C8 FE 40 48 75 03 FF 4D FC 8B 45 08 8B 40 EC 8B 40 18 40 89 85 28 FF FF FF DB 85 28 FF FF FF 8B 45 08 8B 40 F0 8B 55 08 03 42 F8 89 85 24 FF FF FF DB 85 24 FF FF FF D8 0D ?? ?? ?? ?? DE C1 DD 5D E0 9B 8B 45 08 8B 40 EC 8B 40 1C 40 89 85 28 FF FF FF DB 85 28 FF FF FF 8B 45 08 8B 40 F4 8B 55 08 03 42 FC 89 85 24 FF FF FF DB 85 24 FF FF FF D8 0D ?? ?? ?? ?? DE C1 DD 5D D8 9B 83 3D ?? ?? ?? ?? 00 0F 95 45 8A 80 7D 8A 00 74 21 8B 45 08 8B 40 E8 8B 10 FF 52 0C 89 45 84 6A 12 E8 ?? ?? ?? ?? 50 8B 45 84 50 E8 ?? ?? ?? ?? EB 05 33 C0 89 45 84 8B 75 FC 83 FE 00 0F 8C 46 02 00 00 8B 45 08 8B 40 EC 8B 40 08 83 F8 32 0F 85 01 01 00 00 80 7D 8A 00 74 77 89 B5 28 FF FF FF DB 85 28 FF FF FF DC 4D A0 E8 ?? ?? ?? ?? 8B D8 8B C7 02 D8 89 B5 28 FF FF FF DB 85 28 FF FF FF DC 4D 98 E8 ?? ?? ?? ?? 02 45 F0 88 85 33 FF FF FF 89 B5 28 FF FF FF DB 85 28 FF FF FF DC 4D 90 E8 ?? ?? ?? ?? 02 45 EC 0F B6 D3 0F B6 8D 33 FF FF FF C1 E1 08 0B D1 0F B6 C0 C1 E0 10 0B D0 8B C2 50 8B 45 84 50 FF 15 ?? ?? ?? ?? E9 4A 01 00 00 89 B5 28 FF FF FF DB 85 28 FF FF FF DC 4D A0 E8 ?? ?? ?? ?? 8B D8 8B C7 02 D8 89 B5 28 FF FF FF DB 85 28 FF FF FF DC 4D 98 E8 ?? ?? ?? ?? 02 45 F0 88 85 32 FF FF FF 89 B5 28 FF FF FF DB 85 28 FF FF FF DC 4D 90 E8 ?? ?? ?? ?? 02 45 EC 0F B6 D3 0F B6 8D 32 FF FF FF C1 E1 08 0B D1 0F B6 C0 C1 E0 10 0B D0 89 95 2C FF FF FF 8B 45 08 8B 40 E8 8B 40 04 8B 95 2C FF FF FF E8 ?? ?? ?? ?? E9 C6 00 00 00 89 B5 28 FF FF FF DB 85 28 FF FF FF 83 C4 F8 DD 1C 24 9B 89 85 24 FF FF FF DB 85 24 FF FF FF 83 C4 F8 DD 1C 24 9B DB 45 FC 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 5D C8 9B 80 7D 8A 00 74 42 DD 45 C8 DC 4D A0 E8 ?? ?? ?? ?? 8B D8 03 DF DD 45 C8 DC 4D 98 E8 ?? ?? ?? ?? 03 45 F0 C1 E0 08 0B D8 DD 45 C8 DC 4D 90 E8 ?? ?? ?? ?? 03 45 EC C1 E0 10 0B D8 53 8B 45 84 50 FF 15 ?? ?? ?? ?? EB 45 DD 45 C8 DC 4D A0 E8 ?? ?? ?? ?? 8B D8 03 DF DD 45 C8 DC 4D 98 E8 ?? ?? ?? ?? 03 45 F0 C1 E0 08 0B D8 DD 45 C8 DC 4D 90 E8 ?? ?? ?? ?? 03 45 EC C1 E0 10 0B D8 8B D3 8B 45 08 8B 40 E8 8B 40 04 E8 ?? ?? ?? ?? 89 B5 28 FF FF FF DB 85 28 FF FF FF DC 4D B0 DD 5D C0 9B 89 B5 28 FF FF FF DB 85 28 FF FF FF DC 4D A8 DD 5D B8 9B DD 45 E0 DC 45 C0 E8 ?? ?? ?? ?? 50 DD 45 D8 DC 45 B8 E8 ?? ?? ?? ?? 50 DD 45 D8 DC 65 B8 E8 ?? ?? ?? ?? 50 DD 45 E0 DC 65 C0 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 E8 59 8B 18 FF 53 70 4E 83 FE FF 0F 85 BA FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 E8 8B 40 04 8B 55 8C E8 ?? ?? ?? ?? 0F B6 55 8B 8B 45 08 8B 40 E8 8B 40 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 80 3F 00 00 00 3F }
	condition:
		$1
}

rule function_91603_0 {
	meta:
		name = "TCustomTeeGradient.DrawRadial"
		size = 148
		refs = "001f OrientRectangle 0035 TTeeCanvas.GetGradient 0048 TCustomTeeGradient.SetVisible 004e DoRadialGradient 0089 TCustomTeeGradient.DrawSubGradient"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B F1 8D 7D D8 A5 A5 A5 A5 89 55 E8 89 45 EC 8D 55 F0 8D 45 D8 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 E8 8B 08 FF 91 AC 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 0F B6 58 28 8B 45 E8 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 E8 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 92 E0 00 00 00 8B 45 EC 8B 40 24 85 C0 74 16 80 78 28 00 74 10 6A 00 8D 4D D8 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91604_0 {
	meta:
		name = "TCustomTeeGradient.DrawRotated"
		size = 628
		refs = "0013 _Dn_TBitmap 0018 TBitmap.Create 0023 TCustomTeeGradient.DrawRotated 005d TeePiStep 006f SinCos 0094 @ROUND 00cf TeeSetBitmapSize 0126 _DV_TTeeCanvas3D 012b TTeeCanvas3D.Create 014e TBitmap.GetCanvas 0158 TTeeCanvas.SetCanvas 01a9 TCustomTeeGradient.Draw 01c5 @HandleFinally 01dc TObject.Free 01f0 TeeGradientRotate"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 89 4D F4 89 55 F8 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 40 08 8B 55 F4 2B 02 89 45 CC 8B 45 F4 8B 40 0C 8B 55 F4 2B 42 04 89 45 D0 8B 45 FC BA 68 01 00 00 2B 50 04 89 55 B8 DB 45 B8 DC 0D ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 55 D8 8D 45 E0 E8 ?? ?? ?? ?? DD 45 E0 DC 4D D8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 50 DB 45 CC DC 4D E0 DB 45 D0 DC 4D D8 DE C1 E8 ?? ?? ?? ?? 85 D2 7D 07 F7 D8 83 D2 00 F7 DA 83 C0 02 50 DB 45 CC DC 4D D8 DB 45 D0 DC 4D E0 DE C1 E8 ?? ?? ?? ?? 85 D2 7D 07 F7 D8 83 D2 00 F7 DA 8B D0 83 C2 02 8B 45 F0 59 E8 ?? ?? ?? ?? EB 4E DB 45 CC DC 4D E0 DB 45 D0 DC 4D D8 DE E9 E8 ?? ?? ?? ?? 85 D2 7D 07 F7 D8 83 D2 00 F7 DA 83 C0 02 50 DB 45 CC DC 4D D8 DB 45 D0 DC 4D E0 DE E9 E8 ?? ?? ?? ?? 85 D2 7D 07 F7 D8 83 D2 00 F7 DA 8B D0 83 C2 02 8B 45 F0 59 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 8B 45 EC 8B 08 FF 51 4C 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 89 45 D4 8B 45 FC 33 D2 89 50 04 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 8B 10 FF 52 30 8B D8 8B 45 F0 8B 10 FF 52 24 33 D2 89 55 BC 33 D2 89 55 C0 89 5D C4 89 45 C8 6A 00 8D 4D BC 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 D4 89 50 04 C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 F0 8B 45 FC FF 15 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 8B 08 FF 91 AC 00 00 00 8B 45 F0 50 8B 45 F0 8B 10 FF 52 24 2B 45 D0 D1 F8 79 03 83 D0 00 8B 55 F4 8B 52 04 2B D0 52 8B 45 F0 8B 10 FF 52 30 2B 45 CC D1 F8 79 03 83 D0 00 8B 55 F4 8B 12 2B D0 8B 45 F8 59 8B 18 FF 53 6C 8B 45 F8 8B 10 FF 92 E0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_91605_0 {
	meta:
		name = "TCustomTeeGradient.DrawSubGradient"
		size = 126
		refs = "0028 TCustomTeeGradient.DrawSubGradient 0041 TCustomTeeGradient.DrawRadial 0051 TCustomTeeGradient.Draw 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 89 55 FC 8B D8 8B 43 24 0F B6 48 60 8B D6 8B 45 FC 8B 38 FF 57 58 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 24 80 78 0C 07 75 0C 8B CE 8B 55 FC E8 ?? ?? ?? ?? EB 0E 8B 55 08 52 8B CE 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 5C C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_91606_0 {
	meta:
		name = "TCustomTeeGradient.Draw"
		size = 286
		refs = "0019 TCustomTeeGradient.Draw 0027 TTeeCanvas.GetGradient 003f @DynArrayLength 004e TPointArray 0053 @DynArraySetLength 0089 TCanvas3D.Calculate3DPosition 00a5 @DynArrayHigh 00d0 @DynArrayClear 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 8B F9 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 08 80 7D 08 00 0F 84 A0 00 00 00 8B 07 E8 ?? ?? ?? ?? 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2B 46 33 DB 8D 45 F0 50 8B 07 8D 14 D8 8B 4D 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F0 89 14 D8 8B 55 F4 89 54 D8 04 43 4E 75 D8 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F8 8B 18 FF 93 D8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 07 E8 ?? ?? ?? ?? 8B C8 8B 17 8B 45 F8 8B 18 FF 93 D8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_91607_0 {
	meta:
		name = "TCustomTeeGradient.Draw"
		size = 143
		refs = "001c TCustomTeeGradient.DrawRotated 0025 TTeeCanvas.GetGradient 0083 TCustomTeeGradient.DrawSubGradient"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 83 7B 04 00 74 0E 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? EB 65 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 08 83 7D 08 00 7E 2A 8B 45 08 50 8B 55 FC 8B 4D 08 8B C6 8B 38 FF 97 B0 00 00 00 8B 55 FC 8B C6 8B 08 FF 51 74 8B C6 8B 10 FF 92 E0 00 00 00 EB 0A 8B 55 FC 8B C6 8B 08 FF 51 74 8B 43 24 85 C0 74 16 80 78 28 00 74 10 8B 45 08 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_91608_0 {
	meta:
		name = "TCustomTeeGradient.SetRadialX"
		size = 11
		refs = "0006 TCustomTeeGradient.SetIntegerProperty"
	strings:
		$1 = { 8D 48 18 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91610_0 {
	meta:
		name = "TCustomTeeGradient.Draw"
		size = 54
		refs = "000f TPen.SetStyle 0016 TTeeCanvas.GetGradient"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 B2 05 8B 46 10 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 08 8B D7 B9 03 00 00 00 8B C6 8B 18 FF 93 D8 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91611_0 {
	meta:
		name = "TCustomTeeGradient.Draw"
		size = 152
		refs = "001e TCanvas3D.Calculate3DPosition 008b TCustomTeeGradient.Draw"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B F1 8B DA 89 45 FC 8B 7D 08 8D 45 D4 50 8B D6 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 89 45 DC 8B 45 D8 89 45 E0 8D 45 D4 50 8D 56 08 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 89 45 E4 8B 45 D8 89 45 E8 8D 45 D4 50 8D 56 10 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 89 45 EC 8B 45 D8 89 45 F0 8D 45 D4 50 8D 56 18 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 89 45 F4 8B 45 D8 89 45 F8 8D 4D DC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_91612_0 {
	meta:
		name = "TSubGradient.SetTransparency"
		size = 14
		refs = "0009 TCustomTeeGradient.DoChanged"
	strings:
		$1 = { 3A 50 60 74 08 88 50 60 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91613_0 {
	meta:
		name = "TTeeFont.Create"
		size = 146
		refs = "000d @ClassCreate 001a TFont.Create 0028 TFont.SetColor 002f TFont.GetCharset 003c TFont.SetCharset 0042 GetDefaultFontName 0049 TFont.SetName 0050 TFont.GetSize 0056 GetDefaultFontSize 0065 TFont.SetSize 007c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3C 01 74 09 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 74 0D 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 08 8B 45 0C 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_91614_0 {
	meta:
		name = "TTeeFont.Destroy"
		size = 76
		refs = "0003 @BeforeDestruction 000f TObject.Free 003a TFont.Destroy 0045 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 4C E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? 8B 46 34 E8 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91615_0 {
	meta:
		name = "TTeeFont.Assign"
		size = 114
		refs = "000b _DV_TTeeFont 0010 @IsClass 002c TTeeFont.SetEmboss 0036 TTeeFont.SetGradient 0046 TTeeFont.SetOutLine 0050 TTeeFont.SetPicture 0061 TTeeFont.SetShadow 006a TFont.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4D 8B FE 8B 47 28 89 43 28 8B 47 2C 89 43 2C 8B 57 30 8B C3 E8 ?? ?? ?? ?? 8B 57 34 8B C3 E8 ?? ?? ?? ?? 8B 47 38 89 43 38 8B 57 3C 8B C3 E8 ?? ?? ?? ?? 8B 57 4C 8B C3 E8 ?? ?? ?? ?? 0F B6 47 40 88 43 40 8B 57 44 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91616_0 {
	meta:
		name = "TTeeFont.SetInterCharSize"
		size = 14
	strings:
		$1 = { 3B 50 38 74 08 89 50 38 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_91617_0 {
	meta:
		name = "TTeeFont.GetOutLine"
		size = 35
		refs = "0012 _DV_TChartHiddenPen 0017 TChartHiddenPen.Create"
	strings:
		$1 = { 53 8B D8 83 7B 3C 00 75 15 FF 73 0C FF 73 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C 8B 43 3C 5B C3 }
	condition:
		$1
}

rule function_91618_0 {
	meta:
		name = "TTeeFont.SetOutLine"
		size = 46
		refs = "000d TTeeFont.GetOutLine 0027 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 8D 43 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91619_0 {
	meta:
		name = "TTeeFont.GetPicture"
		size = 43
		refs = "000d _DV_TTeePicture 0012 TPicture.Create 0021 TTeeFont.DoChanged"
	strings:
		$1 = { 53 56 8B D8 83 7B 4C 00 75 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 4C 89 5E 14 C7 46 10 ?? ?? ?? ?? 8B 43 4C 5E 5B C3 }
	condition:
		$1
}

rule function_91620_0 {
	meta:
		name = "TTeeFont.GetShadow"
		size = 35
		refs = "0012 _DV_TTeeShadow 0017 TTeeShadow.Create"
	strings:
		$1 = { 53 8B D8 83 7B 44 00 75 15 FF 73 0C FF 73 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 44 8B 43 44 5B C3 }
	condition:
		$1
}

rule function_91621_0 {
	meta:
		name = "TTeeFont.GetEmboss"
		size = 35
		refs = "0012 _DV_TTeeEmboss 0017 TTeeEmboss.Create"
	strings:
		$1 = { 53 8B D8 83 7B 30 00 75 15 FF 73 0C FF 73 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 30 8B 43 30 5B C3 }
	condition:
		$1
}

rule function_91622_0 {
	meta:
		name = "TTeeFont.SetPicture"
		size = 46
		refs = "000d TTeeFont.GetPicture 0027 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 8D 43 4C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91623_0 {
	meta:
		name = "TTeeFont.SetQuality"
		size = 14
	strings:
		$1 = { 3A 50 40 74 08 88 50 40 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_91624_0 {
	meta:
		name = "TTeeFont.SetShadow"
		size = 46
		refs = "000d TTeeFont.GetShadow 0027 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 8D 43 44 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91625_0 {
	meta:
		name = "TTeeFont.SetEmboss"
		size = 46
		refs = "000d TTeeFont.GetEmboss 0027 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 8D 43 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91720_0 {
	meta:
		name = "TTeePicture.SetFilters"
		size = 46
		refs = "000d TTeePicture.GetFilters 0027 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 8D 43 30 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91626_0 {
	meta:
		name = "TTeeFont.SetDepth"
		size = 40
	strings:
		$1 = { 55 8B EC 8B D0 DD 42 28 DC 5D 08 9B DF E0 9E 74 13 8B 45 08 89 42 28 8B 45 0C 89 42 2C 8B C2 8B 10 FF 52 0C 5D C2 08 00 }
	condition:
		$1
}

rule function_91627_0 {
	meta:
		name = "TTeeFont.IsDepthStored"
		size = 24
		refs = "0007 TTeeFont.IsDepthStored"
	strings:
		$1 = { 8B D0 DD 42 28 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 C0 C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_91628_0 {
	meta:
		name = "TTeeFont.IsHeightStored"
		size = 21
		refs = "0006 TFont.GetSize 000c GetDefaultFontSize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_91629_0 {
	meta:
		name = "TTeeFont.IsNameStored"
		size = 86
		refs = "000c TTeeFont.IsNameStored 001c TFont.GetName 0025 GetDefaultFontName 002a @UStrEqual 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_114761_0 {
	meta:
		name = "TXMLDocument.NodeIndentStored"
		size = 86
		refs = "000c TXMLDocument.NodeIndentStored 001c TXMLDocument.GetNodeIndentStr 0025 DefaultNodeIndent 002a @UStrEqual 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_91630_0 {
	meta:
		name = "TTeeFont.IsStyleStored"
		size = 23
	strings:
		$1 = { 53 56 8B F0 8B 46 10 0F B6 58 21 0F B6 46 54 3A C3 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_91631_0 {
	meta:
		name = "TTeeFont.IsColorStored"
		size = 10
	strings:
		$1 = { 8B 50 18 3B 50 50 0F 95 C0 C3 }
	condition:
		$1
}

rule function_91633_0 {
	meta:
		name = "TTeeFont.GetGradient"
		size = 35
		refs = "000b TTeeFont.DoChanged 0012 _DV_TTeeFontGradient 0017 TCustomTeeGradient.Create"
	strings:
		$1 = { 53 8B D8 83 7B 34 00 75 15 53 68 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 34 8B 43 34 5B C3 }
	condition:
		$1
}

rule function_91634_0 {
	meta:
		name = "TTeeFont.SetGradient"
		size = 46
		refs = "000d TTeeFont.GetGradient 0027 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 8D 43 34 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94803_0 {
	meta:
		name = "TTeeCustomShape.SetEmboss"
		size = 46
		refs = "000d TTeeCustomShape.GetEmboss 0027 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 8D 43 34 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91635_0 {
	meta:
		name = "SwapDouble"
		size = 40
	strings:
		$1 = { 83 C4 F8 8B 08 89 0C 24 8B 48 04 89 4C 24 04 8B 0A 89 08 8B 4A 04 89 48 04 8B 04 24 89 02 8B 44 24 04 89 42 04 59 5A C3 }
	condition:
		$1
}

rule function_91636_0 {
	meta:
		name = "SwapInteger"
		size = 11
	strings:
		$1 = { 53 8B 08 8B 1A 89 18 89 0A 5B C3 }
	condition:
		$1
}

rule function_91637_0 {
	meta:
		name = "TTeeButton.SetSymbolVisible"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 D4 02 00 00 74 10 88 96 D4 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_91638_0 {
	meta:
		name = "TTeeButton.SetSymbolWidth"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 96 D0 02 00 00 74 10 89 96 D0 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_91640_0 {
	meta:
		name = "TTeeButton.SymbolRectangle"
		size = 91
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B 58 54 8B CB 85 C9 79 03 83 C1 03 C1 F9 02 8B B0 D0 02 00 00 85 F6 75 07 BF 13 00 00 00 EB 02 8B FE 8B 70 50 8B EE 2B EF 89 2C 24 8D 3C 49 8B EB 2B EF 89 6C 24 04 83 EE 06 89 74 24 08 2B D9 89 5C 24 0C 8B FA 8B F4 A5 A5 A5 A5 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91643_0 {
	meta:
		name = "TTeeButton.PaintWindow"
		size = 176
		refs = "000f TWinControl.PaintWindow 0016 _DV_TTeeCanvas3D 001b TTeeCanvas3D.Create 0026 TTeeButton.PaintWindow 0033 _Dn_TCanvas 0038 TCanvas.Create 0042 TTeeCanvas.SetCanvas 005d TCanvas.SetHandle 0082 TObject.Free 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 0C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_91644_0 {
	meta:
		name = "TTeeButton.CMEnabledChanged"
		size = 22
		refs = "0006 TWinControl.CMEnabledChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_91645_0 {
	meta:
		name = "TTeeButton.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TCustomButton.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 D4 02 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_91646_0 {
	meta:
		name = "TTeeButton.LinkProperty"
		size = 76
		refs = "0025 TTeeButton.LinkProperty 002e GetPropInfo"
	strings:
		$1 = { 53 56 57 8B D9 8B F0 89 96 D8 02 00 00 33 C0 89 86 DC 02 00 00 8B BE D8 02 00 00 85 FF 74 23 85 DB 74 15 8B 0D ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 89 86 DC 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_91647_0 {
	meta:
		name = "TeeDefaultFont"
		size = 180
		refs = "0001 TeeMsg_DefaultFontSize 0008 StrToInt 000d GetDefaultFontSize 0012 GetDefaultFontName 0018 TeeMsg_DefaultFontName 001f @UStrAsg 002d SysLocale 0047 TeeDefaultFont 004c @UStrEqual"
	strings:
		$1 = { A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 08 75 15 A1 ?? ?? ?? ?? 83 78 04 11 75 0A C7 05 ?? ?? ?? ?? 09 00 00 00 A1 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1A A1 ?? ?? ?? ?? 83 78 04 11 75 0F B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 72 00 69 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 1A 20 6C 00 1A 20 72 00 20 00 1A 20 6F 00 92 01 53 00 92 01 56 00 92 01 62 00 92 01 4E 00 00 00 }
	condition:
		$1
}

rule function_91648_0 {
	meta:
		name = "CheckWinAlphaBlend"
		size = 128
		refs = "0001 CheckWinAlphaBlend 0006 TeeLoadLibrary 000b TeeMSIMG32 0024 GetProcAddress 0029 AlphaBlendProc"
	strings:
		$1 = { B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 17 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? EB 07 33 C0 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 95 C0 C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 6D 00 73 00 69 00 6D 00 67 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 41 00 6C 00 70 00 68 00 61 00 42 00 6C 00 65 00 6E 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_91649_0 {
	meta:
		name = "TryLoadSetDC"
		size = 176
		refs = "0001 TryLoadSetDC 0006 TeeLoadLibrary 000b TeeGDI32 0024 GetProcAddress 0029 TeeSetDCBrushColor 003e TeeSetDCPenColor"
	strings:
		$1 = { B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 2B 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 67 00 64 00 69 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 53 00 65 00 74 00 44 00 43 00 42 00 72 00 75 00 73 00 68 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 53 00 65 00 74 00 44 00 43 00 50 00 65 00 6E 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_91650_0 {
	meta:
		name = "TeeBlendBitmaps"
		size = 772
		refs = "0075 AlphaBlendChecked 007e IsWindowsNT 0086 CheckWinAlphaBlend 0095 CanUseWinAlphaBlend 00b9 TeeBlendBitmaps 00c1 @ROUND 00df TBitmap.GetCanvas 00e4 TCanvas.GetHandle 0105 AlphaBlendProc 0113 TBitmap.SetPixelFormat 0158 TBitmap.GetScanline"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F1 8D 7D F8 A5 A5 8B FA 8B D8 83 7D FC 00 7D 05 33 C0 89 45 FC 83 7D F8 00 7D 05 33 C0 89 45 F8 8B C3 8B 10 FF 52 30 8B F0 8B C7 8B 10 FF 52 30 2B 45 F8 3B C6 7E 02 8B C6 89 45 F4 8B C3 8B 10 FF 52 24 8B F0 8B C7 8B 10 FF 52 24 2B 45 FC 3B C6 7E 02 8B C6 8B F0 83 7D F4 00 0F 8E 74 02 00 00 85 F6 0F 8E 6C 02 00 00 80 3D ?? ?? ?? ?? 00 75 24 80 3D ?? ?? ?? ?? 00 74 09 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 A2 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 80 3D ?? ?? ?? ?? 00 74 65 83 7D 08 00 75 5F C6 45 F0 00 C6 45 F1 00 DB 2D ?? ?? ?? ?? DC 4D 0C E8 ?? ?? ?? ?? B2 FF 2A D0 88 55 F2 C6 45 F3 00 FF 75 F0 56 8B 45 F4 50 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 8B 45 F4 50 8B 45 FC 50 8B 45 F8 50 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? E9 D1 01 00 00 B2 06 8B C3 E8 ?? ?? ?? ?? B2 06 8B C7 E8 ?? ?? ?? ?? 83 7D 08 00 74 0A B2 06 8B 45 08 E8 ?? ?? ?? ?? 89 7D D4 D9 05 ?? ?? ?? ?? DC 65 0C DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? BA 00 01 00 00 2B D0 89 55 D8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 45 E8 8B 55 FC 8B 45 D4 E8 ?? ?? ?? ?? 89 45 E4 83 FE 01 7E 26 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 2B 45 E8 89 45 E0 8B 55 FC 42 8B 45 D4 E8 ?? ?? ?? ?? 2B 45 E4 89 45 DC EB 0A 33 C0 89 45 E0 33 C0 89 45 DC 4E 85 F6 0F 8C 34 01 00 00 46 89 75 D0 C7 45 EC 00 00 00 00 8B 75 E0 0F AF 75 EC 03 75 E8 8B 45 DC F7 6D EC 03 45 E4 8B 55 F8 8D 1C 10 83 7D 08 00 0F 84 87 00 00 00 8B 55 EC 8B 45 08 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 48 85 C0 0F 8C E1 00 00 00 40 81 3B FF FF FF 00 75 06 8D 4B 04 C6 01 FE 0F B6 0E 0F B6 3B 2B CF 0F B6 3A 0F AF CF C1 E9 08 02 0B 88 0B 83 C3 02 8D 4E 02 0F B6 09 0F B6 3B 2B CF 8D 7A 02 0F B6 3F 0F AF CF C1 E9 08 02 0B 88 0B 83 C3 02 8D 4E 04 0F B6 09 0F B6 3B 2B CF 8D 7A 04 0F B6 3F 0F AF CF C1 E9 08 02 0B 88 0B 83 C3 02 83 C6 06 83 C2 06 48 75 95 EB 73 8B 45 F4 48 85 C0 7C 6B 40 81 3B FF FF FF 00 75 0B 8B D3 80 C2 04 0F B6 D2 C6 02 FE 0F B6 0E 0F B6 13 0F B6 FA 2B CF 0F AF 4D D8 C1 E9 08 02 CA 88 0B 83 C3 02 8D 4E 02 0F B6 09 0F B6 13 0F B6 FA 2B CF 0F AF 4D D8 C1 E9 08 02 CA 88 0B 83 C3 02 8D 4E 04 0F B6 09 0F B6 13 0F B6 FA 2B CF 0F AF 4D D8 C1 E9 08 02 CA 88 0B 83 C3 02 83 C6 06 48 75 96 FF 45 EC FF 4D D0 0F 85 D7 FE FF FF 5F 5E 5B 8B E5 5D C2 0C 00 33 33 33 33 33 33 33 A3 00 40 00 00 00 00 C8 42 0A D7 A3 70 3D 0A D7 A3 00 40 00 00 }
	condition:
		$1
}

rule function_91651_0 {
	meta:
		name = "TTeeBlend.Create"
		size = 82
		refs = "000e @ClassCreate 001d TObject.Create 0030 TTeeBlend.SetRectangle 003b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C6 89 47 08 85 C0 74 0A 8B 55 08 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_91653_0 {
	meta:
		name = "TTeeBlend.SetRectangle"
		size = 331
		refs = "0013 OrientRectangle 00b2 TObject.Free 00b9 _Dn_TBitmap 00be TBitmap.Create 00d0 TBitmap.SetPixelFormat 00df TeeSetBitmapSize 00ea _DV_TTeeCanvas3D 00ef @IsClass 0107 TBitmap.GetCanvas 0140 TCanvas.CopyRect"
	strings:
		$1 = { 53 56 57 83 C4 D8 8B FA 8B D8 8D 74 24 08 8B D6 8B C7 E8 ?? ?? ?? ?? 83 3E 00 7D 04 33 C0 89 06 83 7E 04 00 7D 05 33 C0 89 46 04 83 7E 08 00 7D 05 33 C0 89 46 08 83 7E 0C 00 7D 05 33 C0 89 46 0C 8B 56 08 8B 06 2B D0 4A 7D 04 40 89 46 08 8B 56 0C 8B 46 04 2B D0 4A 7D 04 40 89 46 0C 8B 43 08 8B 50 24 3B 56 08 7D 03 89 56 08 8B 50 28 3B 56 0C 7D 03 89 56 0C 8B 46 08 2B 06 89 04 24 8B 46 0C 2B 46 04 89 44 24 04 8D 7B 0C A5 A5 A5 A5 83 3C 24 00 7E 07 83 7C 24 04 00 7F 04 33 C0 EB 02 B0 01 88 43 1C 84 C0 0F 84 96 00 00 00 8B 43 04 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 04 8B C6 C6 40 30 01 B2 06 E8 ?? ?? ?? ?? 8B 4C 24 04 8B 14 24 8B 43 04 E8 ?? ?? ?? ?? 8B 73 08 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 83 BE E4 00 00 00 00 74 0F 8B 86 E4 00 00 00 E8 ?? ?? ?? ?? 8B F0 EB 03 8B 76 08 8B 43 04 E8 ?? ?? ?? ?? 33 D2 89 54 24 18 33 D2 89 54 24 1C 8B 14 24 89 54 24 20 8B 54 24 04 89 54 24 24 8D 53 0C 52 8D 54 24 1C 8B CE E8 ?? ?? ?? ?? 83 C4 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91654_0 {
	meta:
		name = "TTeeBlend.DoBlend"
		size = 324
		refs = "003e _Dn_TBitmap 0043 TBitmap.Create 005c TeeSetBitmapSize 0063 TBitmap.GetCanvas 009e TCanvas.CopyRect 00a4 TeeZeroPoint 00f6 TeeBlendBitmaps 0111 TTeeCanvas.AssignFont 0138 TObject.Free"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 88 14 24 8B F0 8B 46 08 80 78 14 00 0F 85 23 01 00 00 80 7E 1C 00 0F 84 19 01 00 00 8B B8 E4 00 00 00 85 FF 0F 95 C0 34 01 88 44 24 01 80 7C 24 01 00 74 7D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 C6 47 30 01 8B 4E 18 2B 4E 10 8B 56 14 2B 56 0C 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B E8 8B C7 8B 10 FF 52 30 8B D8 8B C7 8B 10 FF 52 24 33 D2 89 54 24 0C 33 D2 89 54 24 10 89 5C 24 14 89 44 24 18 8D 46 0C 50 8B 46 08 8B 48 08 8D 54 24 10 8B C5 E8 ?? ?? ?? ?? 8B 05 ?? ?? ?? ?? 89 44 24 04 8B 05 ?? ?? ?? ?? 89 44 24 08 EB 0E 8B 46 0C 89 44 24 04 8B 46 10 89 44 24 08 8B 46 08 8B 10 FF 52 24 8B E8 0F B6 04 24 BA 64 00 00 00 2B D0 89 54 24 1C DB 44 24 1C 83 C4 F8 DD 1C 24 9B 6A 00 8D 4C 24 10 8B D7 8B 46 04 E8 ?? ?? ?? ?? 8B 46 08 8B 10 FF 52 24 3B E8 74 19 8B 46 08 8B 50 2C 85 D2 74 05 E8 ?? ?? ?? ?? 8B D5 8B 46 08 8B 08 FF 51 48 80 7C 24 01 00 74 16 57 8B 4E 10 8B 56 0C 8B 46 08 8B 18 FF 53 6C 8B C7 E8 ?? ?? ?? ?? 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91655_0 {
	meta:
		name = "EditColor"
		size = 180
		refs = "0011 _Dn_TColorDialog 0016 TColorDialog.Create 0021 EditColor 003d TeeCustomEditColors 0047 _Dn_TStringList 004c TStringList.Create 0061 TColorDialog.SetCustomColors 00a0 TObject.Free 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D FF 8B DA 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 89 58 70 8B 45 F4 0F B6 55 FF 88 50 74 83 3D ?? ?? ?? ?? 00 75 13 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? EB 0E 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 50 84 C0 74 1B 8B 45 F4 8B 50 78 A1 ?? ?? ?? ?? 8B 08 FF 51 08 8B 45 F4 8B 40 70 89 45 F8 EB 03 89 5D F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91656_0 {
	meta:
		name = "EditColor"
		size = 20
		refs = "0003 EditColor"
	strings:
		$1 = { 0F B6 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_91657_0 {
	meta:
		name = "EditColorDialog"
		size = 34
		refs = "000e EditColor"
	strings:
		$1 = { 53 51 88 0C 24 8B DA 8B 13 0F B6 0C 24 E8 ?? ?? ?? ?? 3B 03 0F 95 C2 84 D2 74 02 89 03 8B C2 5A 5B C3 }
	condition:
		$1
}

rule function_91658_0 {
	meta:
		name = "TButtonColor.Click"
		size = 96
		refs = "0008 TButtonColor.GetSymbolColor 001b TButtonColor.Click 002f EditColorDialog 003d TButtonColor.SetSymbolColor 004e TCustomButton.Click"
	strings:
		$1 = { 53 56 51 8B F0 8B C6 E8 ?? ?? ?? ?? 89 04 24 80 BE E0 02 00 00 00 74 09 0F B6 1D ?? ?? ?? ?? EB 07 0F B6 1D ?? ?? ?? ?? 8B D4 8B CB 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 14 24 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 A0 00 00 00 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 00 00 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_91659_0 {
	meta:
		name = "TButtonColor.GetSymbolColor"
		size = 68
		refs = "0030 GetOrdProp 0035 ColorToRGB"
	strings:
		$1 = { 53 56 8B D8 66 83 BB EA 02 00 00 00 74 0F 8B 83 EC 02 00 00 FF 93 E8 02 00 00 5E 5B C3 8B B3 DC 02 00 00 85 F6 74 14 8B D6 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 06 8B 83 E4 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_91660_0 {
	meta:
		name = "TButtonColor.SetSymbolColor"
		size = 55
		refs = "001f SetOrdProp"
	strings:
		$1 = { 56 8B F0 3B 96 E4 02 00 00 74 2A 8B 86 DC 02 00 00 85 C0 74 10 8B CA 8B 96 D8 02 00 00 92 E8 ?? ?? ?? ?? EB 06 89 96 E4 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_91661_0 {
	meta:
		name = "TButtonColor.DrawSymbol"
		size = 135
		refs = "0021 TButtonColor.GetSymbolColor 0033 TBrush.SetColor 0057 TPen.SetStyle 0060 TTeeButton.SymbolRectangle"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B C3 8B 10 FF 52 68 84 C0 74 6B 80 BB D4 02 00 00 00 74 62 8B C3 E8 ?? ?? ?? ?? 8B F8 89 BB E4 02 00 00 8B D7 8B 46 04 E8 ?? ?? ?? ?? 8B 46 04 8B 40 10 81 78 18 FF FF FF 1F 74 3A 8B C3 8B 10 FF 52 68 84 C0 75 0A B2 05 8B 46 10 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 44 24 08 50 8B 44 24 10 50 8B 4C 24 0C 8B 54 24 08 8B C6 8B 18 FF 93 8C 00 00 00 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91662_0 {
	meta:
		name = "TComboFlat.Create"
		size = 131
		refs = "000a @ClassCreate 0017 TCustomComboBox.Create 0023 TControl.SetHeight 0043 SysLocale 0052 GetDefaultFontName 0057 TFont.SetName 0060 GetDefaultFontSize 0065 TFont.SetSize 0070 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? BA 15 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 0D 00 00 00 8B C6 8B 08 FF 91 34 01 00 00 B2 02 8B C6 8B 08 FF 91 54 01 00 00 A1 ?? ?? ?? ?? 83 78 04 11 75 1C 8B 46 6C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 6C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_91663_0 {
	meta:
		name = "TComboFlat.Add"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 B4 02 00 00 8B 08 FF 51 38 5E C3 }
	condition:
		$1
}

rule function_91664_0 {
	meta:
		name = "TComboFlat.GetDropWidth"
		size = 28
		refs = "0006 TWinControl.HandleNeeded 0016 TControl.Perform"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 33 C9 BA 5F 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91665_0 {
	meta:
		name = "TComboFlat.IsDropWidthStored"
		size = 18
		refs = "0006 TComboFlat.GetDropWidth"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 3B 43 50 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_91666_0 {
	meta:
		name = "TComboFlat.SetDropWidth"
		size = 32
		refs = "0009 TWinControl.HandleNeeded 0019 TControl.Perform"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 6A 00 8B CE BA 60 01 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91667_0 {
	meta:
		name = "TComboFlat.CurrentItem"
		size = 57
		refs = "0016 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 F8 00 00 00 40 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B CE 8B 83 B4 02 00 00 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_91668_0 {
	meta:
		name = "TComboFlat.SelectedObject"
		size = 45
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 F8 00 00 00 40 75 04 33 C0 5B C3 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 B4 02 00 00 8B 08 FF 51 18 5B C3 }
	condition:
		$1
}

rule function_91669_0 {
	meta:
		name = "TComboFlat.WMPaint"
		size = 279
		refs = "000d TCustomComboBox.WMPaint 0025 @CallDynaInst 0034 _Dn_TControlCanvas 0039 TCanvas.Create 0044 TComboFlat.WMPaint 0054 TControlCanvas.SetControl 0064 TPen.SetColor 0071 TBrush.SetStyle 0086 TCustomCanvas.Rectangle 0094 InflateRect 00a6 GetSystemMetrics 0105 TObject.Free 010b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 80 BB 18 03 00 00 00 0F 85 F3 00 00 00 8B C3 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 0F 85 E0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 44 BA 0F 00 00 FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 8B 08 FF 51 60 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 EC 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 6A 1F E8 ?? ?? ?? ?? 8B 55 F4 2B D0 83 C2 02 89 55 EC FF 45 F0 FF 4D F8 8B 45 FC 8B 40 44 BA 05 00 00 FF E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 4A 8B 4D F0 8B 45 FC 8B 18 FF 53 64 8B 55 F4 4A 8B 4D F8 8B 45 FC 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91670_0 {
	meta:
		name = "TComboFlat.CMMouseEnter"
		size = 29
		refs = "0006 TControl.CMMouseEnter"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? C6 86 18 03 00 00 01 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_91671_0 {
	meta:
		name = "TComboFlat.CMMouseLeave"
		size = 29
		refs = "0006 TControl.CMMouseLeave"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? C6 86 18 03 00 00 00 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_91672_0 {
	meta:
		name = "TComboFlat.CMFocusChanged"
		size = 29
		refs = "0006 TWinControl.CMFocusChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? C6 86 18 03 00 00 00 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_91673_0 {
	meta:
		name = "TTeeFontGradient.SetOutline"
		size = 11
		refs = "0006 TTeeFontGradient.SetBooleanProperty"
	strings:
		$1 = { 8D 48 60 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91675_0 {
	meta:
		name = "TWhitePen.Create"
		size = 77
		refs = "000d @ClassCreate 0020 TChartPen.Create 002c TPen.SetColor 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 FF 75 0C FF 75 08 33 D2 8B C6 E8 ?? ?? ?? ?? BA FF FF FF 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_91677_0 {
	meta:
		name = "PointAtDistance"
		size = 154
		refs = "0048 ArcTan2 005a SinCos 0065 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D FC 8B DA 8B F8 8B 75 08 8B 03 89 06 8B 43 04 89 46 04 8B 07 3B 03 74 58 8B 43 04 2B 47 04 89 45 E4 DB 45 E4 83 C4 FC D9 1C 24 9B 8B 03 2B 07 89 45 E0 DB 45 E0 83 C4 FC D9 1C 24 9B E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8D 55 E8 8D 45 F0 E8 ?? ?? ?? ?? DB 45 FC DC 4D E8 E8 ?? ?? ?? ?? 29 06 DB 45 FC DC 4D F0 E8 ?? ?? ?? ?? 29 46 04 EB 16 8B 43 04 3B 47 04 7D 08 8B 45 FC 01 46 04 EB 06 8B 45 FC 29 46 04 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_91678_0 {
	meta:
		name = "TeeDistance"
		size = 50
		refs = "0021 Sqrt"
	strings:
		$1 = { 55 8B EC 83 C4 EC DD 45 10 D8 C8 DB 7D EC 9B DD 45 08 D8 C8 DB 6D EC DE C1 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_91679_0 {
	meta:
		name = "CalcSampling"
		size = 316
		refs = "000e CalcSampling 0092 Floor 009c Ceil 00dc @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 45 FC D9 05 ?? ?? ?? ?? D8 75 08 D9 5D F0 9B D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 07 C7 45 08 00 00 80 3F 8B 45 0C D9 40 08 D8 4D F0 D9 5D EC 9B D9 05 ?? ?? ?? ?? D8 4D 08 D9 5D F4 9B 8B 45 FC 03 45 FC 48 89 45 F8 4A 85 D2 0F 8C CC 00 00 00 42 89 55 DC 33 FF 8B 45 0C 8B 40 FC 33 D2 89 14 B8 89 7D D4 DB 45 D4 D8 4D F0 D9 5D E8 9B D9 45 E8 D8 65 EC D9 5D E4 9B D9 45 E8 D8 45 EC D9 5D E0 9B FF 75 E4 E8 ?? ?? ?? ?? 8B F0 FF 75 E0 E8 ?? ?? ?? ?? 2B C6 7C 7A 40 89 45 D8 8B 45 0C 8B 40 FC 8B 04 B8 8B 55 0C 8B 52 F8 8B 14 BA 8D 1C C2 89 75 D4 DB 45 D4 D8 6D E8 D8 4D 08 83 C4 FC D9 1C 24 9B 8B 45 0C 8B 40 F4 FF D0 D8 4D F4 E8 ?? ?? ?? ?? 89 43 04 83 7B 04 00 74 2F 85 F6 7D 08 8B C6 F7 D8 89 03 EB 10 3B 75 FC 7C 09 8B 45 F8 2B C6 89 03 EB 02 89 33 8B 45 0C 8B 40 FC FF 04 B8 8B 03 85 C0 7D 04 F7 D8 89 03 46 FF 4D D8 75 8A 47 FF 4D DC 0F 85 3A FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 80 3F 00 00 80 44 }
	condition:
		$1
}

rule function_91680_0 {
	meta:
		name = "FilterHorizontally"
		size = 331
		refs = "002d TBitmap.GetScanline"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B 45 08 8B 40 F0 48 85 C0 0F 8C 2C 01 00 00 40 89 45 E0 C7 45 F8 00 00 00 00 8B 45 08 8B 40 EC 8B 55 F8 E8 ?? ?? ?? ?? 89 45 FC 8B 45 08 8B 40 E8 8B 55 F8 E8 ?? ?? ?? ?? 89 45 E4 8B 45 08 8B 40 E4 48 85 C0 0F 8C E4 00 00 00 40 89 45 DC C7 45 F4 00 00 00 00 8B 45 08 8B 40 F8 8B 55 F4 8B 14 90 33 C0 89 45 F0 33 C0 89 45 EC 33 C0 89 45 E8 8B 45 08 8B 40 FC 8B 4D F4 8B 34 88 4E 85 F6 7C 31 46 33 C0 8B 0C C2 8D 0C 49 03 4D FC 0F B6 39 8B 5C C2 04 0F AF FB 01 7D F0 0F B6 79 01 0F AF FB 01 7D EC 0F B6 49 02 0F AF CB 01 4D E8 40 4E 75 D2 8B 45 E4 81 7D F0 00 00 04 00 7E 05 C6 00 FF EB 13 83 7D F0 00 7D 05 C6 00 00 EB 08 8B 55 F0 C1 EA 0A 88 10 81 7D EC 00 00 04 00 7E 06 C6 40 01 FF EB 15 83 7D EC 00 7D 06 C6 40 01 00 EB 09 8B 55 EC C1 EA 0A 88 50 01 81 7D E8 00 00 04 00 7E 06 C6 40 02 FF EB 15 83 7D E8 00 7D 06 C6 40 02 00 EB 09 8B 55 E8 C1 EA 0A 88 50 02 83 45 E4 03 FF 45 F4 FF 4D DC 0F 85 27 FF FF FF FF 45 F8 FF 4D E0 0F 85 DF FE FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91681_0 {
	meta:
		name = "FilterVertically"
		size = 380
		refs = "0012 TBitmap.GetScanline"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 45 08 8B 40 E8 33 D2 E8 ?? ?? ?? ?? 89 45 E0 8B 45 08 8B 40 E8 BA 01 00 00 00 E8 ?? ?? ?? ?? 2B 45 E0 89 45 F8 8B 45 08 8B 40 E0 33 D2 E8 ?? ?? ?? ?? 89 45 FC 8B 45 08 8B 40 E0 BA 01 00 00 00 E8 ?? ?? ?? ?? 2B 45 FC 89 45 E4 8B 45 08 8B 40 E4 48 85 C0 0F 8C 11 01 00 00 40 89 45 D8 8B 45 FC 89 45 DC 8B 45 08 8B 40 DC 48 85 C0 0F 8C E7 00 00 00 40 89 45 D4 C7 45 F4 00 00 00 00 8B 45 08 8B 40 F8 8B 55 F4 8B 14 90 33 C0 89 45 F0 33 C0 89 45 EC 33 C0 89 45 E8 8B 45 08 8B 40 FC 8B 4D F4 8B 34 88 4E 85 F6 7C 32 46 33 C0 8B 0C C2 0F AF 4D F8 03 4D E0 0F B6 39 8B 5C C2 04 0F AF FB 01 7D F0 0F B6 79 01 0F AF FB 01 7D EC 0F B6 49 02 0F AF CB 01 4D E8 40 4E 75 D1 8B 45 DC 81 7D F0 00 00 04 00 7E 05 C6 00 FF EB 13 83 7D F0 00 7D 05 C6 00 00 EB 08 8B 55 F0 C1 EA 0A 88 10 81 7D EC 00 00 04 00 7E 06 C6 40 01 FF EB 15 83 7D EC 00 7D 06 C6 40 01 00 EB 09 8B 55 EC C1 EA 0A 88 50 01 81 7D E8 00 00 04 00 7E 06 C6 40 02 FF EB 15 83 7D E8 00 7D 06 C6 40 02 00 EB 09 8B 55 E8 C1 EA 0A 88 50 02 8B 45 E4 01 45 DC FF 45 F4 FF 4D D4 0F 85 24 FF FF FF 83 45 E0 03 83 45 FC 03 FF 4D D8 0F 85 F3 FE FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91682_0 {
	meta:
		name = "SmoothStretch"
		size = 684
		refs = "001e SmoothStretch 0093 _Dn_TBitmap 0098 TBitmap.Create 00b3 TBitmap.SetPixelFormat 00d5 TeeSetBitmapSize 00f6 :93 00fb @DynArraySetLength 010d :04 0180 @TRUNC 019a @GetMem 01cd CalcSampling 01d4 FilterHorizontally 020b FilterVertically 0214 @DynArrayLength 0229 @FreeMem 023b @DynArrayClear 025e TObject.Free 0264 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F4 89 55 E0 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D E0 00 0F 84 38 02 00 00 83 7D EC 00 0F 84 2E 02 00 00 8B 45 E0 8B 10 FF 52 30 89 45 E4 8B 45 E0 8B 10 FF 52 24 89 45 DC 8B 45 EC 8B 10 FF 52 30 89 45 CC 8B 45 EC 8B 10 FF 52 24 89 45 F0 83 7D CC 01 0F 8E F8 01 00 00 83 7D F0 01 0F 8E EE 01 00 00 83 7D E4 01 0F 8E E4 01 00 00 83 7D DC 01 0F 8E DA 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 06 8B 45 EC E8 ?? ?? ?? ?? B2 06 8B 45 E0 E8 ?? ?? ?? ?? B2 06 8B 45 E8 E8 ?? ?? ?? ?? 8B 4D F0 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E4 3B 45 DC 7E 05 8B 45 E4 EB 03 8B 45 DC 8B D8 53 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 53 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 E4 48 89 45 C4 DB 45 C4 8B 45 CC 48 89 45 C0 DB 45 C0 DE F9 D9 5D D8 9B 8B 45 DC 48 89 45 C4 DB 45 C4 8B 45 F0 48 89 45 C0 DB 45 C0 DE F9 D9 5D D4 9B D9 45 D8 D8 5D D4 9B DF E0 9E 73 08 8B 45 D8 89 45 C8 EB 06 8B 45 D4 89 45 C8 8B 45 C8 89 45 D0 D9 05 ?? ?? ?? ?? D8 75 D0 D8 4D 08 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 83 C7 03 4B 85 DB 7C 1A 43 33 F6 8B C7 03 C0 03 C0 03 C0 E8 ?? ?? ?? ?? 8B 55 F8 89 04 B2 46 4B 75 E9 55 8B 45 E4 48 89 45 C4 DB 45 C4 8B 45 CC 48 89 45 C0 DB 45 C0 DE F9 83 C4 FC D9 1C 24 9B 8B 55 E4 8B 45 CC E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 55 8B 45 DC 48 89 45 C4 DB 45 C4 8B 45 F0 48 89 45 C0 DB 45 C0 DE F9 83 C4 FC D9 1C 24 9B 8B 55 DC 8B 45 F0 E8 ?? ?? ?? ?? 59 83 7D DC 02 7E 07 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 12 43 33 F6 8B 45 F8 8B 04 B0 E8 ?? ?? ?? ?? 46 4B 75 F1 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DC 5F 5E 5B 8B E5 5D C2 04 00 00 00 80 3F 00 00 00 40 }
	condition:
		$1
}

rule function_91683_0 {
	meta:
		name = "SinC"
		size = 34
		refs = "000f Sin"
	strings:
		$1 = { 55 8B EC 51 D9 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 75 08 D9 5D FC 9B D9 45 FC 59 5D C2 04 00 }
	condition:
		$1
}

rule function_91684_0 {
	meta:
		name = "Lanczos3Filter"
		size = 200
		refs = "000b Lanczos3Filter 005f Sin"
	strings:
		$1 = { 55 8B EC 83 C4 EC D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0B D9 45 08 D9 E0 D9 5D 08 9B EB 18 D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 09 C7 45 FC 00 00 80 3F EB 66 D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 52 DB 2D ?? ?? ?? ?? D8 4D 08 D9 5D F8 9B D9 45 F8 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 75 F8 D9 5D F4 9B DB 2D ?? ?? ?? ?? D8 4D 08 D9 5D F0 9B D9 45 F0 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 75 F0 D9 5D EC 9B D9 45 F4 D8 4D EC D9 5D FC 9B EB 05 33 C0 89 45 FC D9 45 FC 8B E5 5D C2 04 00 00 00 00 00 00 00 00 40 40 35 C2 68 21 A2 DA 0F C9 00 40 00 00 23 2C 9B 6B C1 91 0A 86 FF 3F 00 00 }
	condition:
		$1
}

rule function_91685_0 {
	meta:
		name = "TriangleFilter"
		size = 80
		refs = "0009 TriangleFilter"
	strings:
		$1 = { 55 8B EC 51 D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 09 D9 45 08 D9 E0 D9 5D 08 9B D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0F D9 05 ?? ?? ?? ?? D8 65 08 D9 5D FC 9B EB 05 33 C0 89 45 FC D9 45 FC 59 5D C2 04 00 00 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_91687_0 {
	meta:
		name = "SmoothStretch"
		size = 45
		refs = "000d Lanczos3Filter 0014 SmoothStretch 0020 TriangleFilter"
	strings:
		$1 = { 56 8B F0 84 C9 75 13 68 00 00 40 40 B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E C3 68 00 00 80 3F B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_91689_0 {
	meta:
		name = "TeeFreeLibrary"
		size = 29
		refs = "0002 Win32Platform 000d Win32MinorVersion 0018 FreeLibrary"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 83 3A 01 75 0B 8B 15 ?? ?? ?? ?? 83 3A 00 74 06 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91690_0 {
	meta:
		name = "TFilterRegion.Assign"
		size = 64
		refs = "000a _DV_TFilterRegion 000f @IsClass 0039 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B C6 8B 50 08 89 53 08 8B 50 0C 89 53 0C 8B 50 10 89 53 10 8B 40 04 89 43 04 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91691_0 {
	meta:
		name = "TFilterRegion.GetRectangle"
		size = 48
	strings:
		$1 = { 53 56 57 83 C4 F0 8B 48 08 89 0C 24 8B 58 0C 89 5C 24 04 03 48 10 89 4C 24 08 03 58 04 89 5C 24 0C 8B FA 8B F4 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91692_0 {
	meta:
		name = "TFilterRegion.SetRectangle"
		size = 29
	strings:
		$1 = { 8B 0A 89 48 08 8B 4A 04 89 48 0C 8B 4A 08 2B 0A 89 48 10 8B 4A 0C 2B 4A 04 89 48 04 C3 }
	condition:
		$1
}

rule function_91693_0 {
	meta:
		name = "TTeeFilter.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 14 01 C6 46 0C 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_91694_0 {
	meta:
		name = "TTeeFilter.Destroy"
		size = 72
		refs = "0003 @BeforeDestruction 0010 TRGBArray 0015 @DynArrayClear 001e TRGBAArray 002b TObject.Free 0036 TCollectionItem.Destroy 0041 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 24 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 28 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91695_0 {
	meta:
		name = "TTeeFilter.Apply"
		size = 225
		refs = "0091 TTeeFilter.GetRegion"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B F2 8B D8 8B 43 10 85 C0 75 38 8B C6 8B 10 FF 52 30 8B F8 4F 8B C6 8B 10 FF 52 24 48 33 D2 89 54 24 10 33 D2 89 54 24 14 89 7C 24 18 89 44 24 1C 8D 4C 24 10 8B D6 8B C3 8B 18 FF 53 20 E9 91 00 00 00 8B 50 08 89 14 24 8B 50 0C 89 54 24 04 83 78 10 00 75 17 8B C6 8B 10 FF 52 30 48 8B 14 24 3B C2 7D 02 8B C2 89 44 24 08 EB 1B 8B C6 8B 10 FF 52 30 48 8B 53 10 8B 52 10 03 14 24 3B C2 7C 02 8B C2 89 44 24 08 8B C3 E8 ?? ?? ?? ?? 83 78 04 00 75 18 8B C6 8B 10 FF 52 24 48 8B 54 24 04 3B C2 7D 02 8B C2 89 44 24 0C EB 1C 8B C6 8B 10 FF 52 24 48 8B 53 10 8B 52 04 03 54 24 04 3B C2 7C 02 8B C2 89 44 24 0C 8B CC 8B D6 8B C3 8B 18 FF 53 20 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91696_0 {
	meta:
		name = "TTeeFilter.Apply"
		size = 12
		refs = "0007 TTeeFilter.CalcLines"
	strings:
		$1 = { 80 78 20 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91697_0 {
	meta:
		name = "TTeeFilter.ApplyTo"
		size = 74
		refs = "0015 TTeeFilter.ApplyTo 0025 TTeeFilter.Apply 003a TObject.Free 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 33 C9 B2 01 FF 50 1C 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_91699_0 {
	meta:
		name = "TTeeFilter.CalcLines"
		size = 24
		refs = "000a TeeCalcLines"
	strings:
		$1 = { 80 78 21 00 74 09 83 C0 28 E8 ?? ?? ?? ?? C3 83 C0 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91700_0 {
	meta:
		name = "TTeeFilter.CreateEditor"
		size = 58
		refs = "000a TTeeFilter.CreateEditor 002f @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 89 43 18 8B 45 0C 89 43 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_91701_0 {
	meta:
		name = "TTeeFilter.Assign"
		size = 64
		refs = "000b _DV_TTeeFilter 0010 @IsClass 0024 TTeeFilter.GetRegion 002d TTeeFilter.SetRegion 0038 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 8B FE 0F B6 47 0C 88 43 0C 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91703_0 {
	meta:
		name = "TTeeFilter.SetRegion"
		size = 46
		refs = "000d TTeeFilter.GetRegion 0027 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 8D 43 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91706_0 {
	meta:
		name = "TFilterItems.Add"
		size = 18
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CB B2 01 8B C6 FF 50 1C 5E 5B C3 }
	condition:
		$1
}

rule function_91707_0 {
	meta:
		name = "TFilterItems.ApplyTo"
		size = 53
		refs = "001b TFilterItems.Get 0028 TTeeFilter.Apply"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 08 8B 58 08 4B 85 DB 7C 1D 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 80 78 0C 00 74 07 8B D5 E8 ?? ?? ?? ?? 46 4B 75 E6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91708_0 {
	meta:
		name = "TFilterItems.Assign"
		size = 172
		refs = "0012 _DV_TFilterItems 0017 @IsClass 0023 TCollection.Clear 0033 TFilterItems.Assign 0050 TFilterItems.Get 0095 @HandleFinally 00a1 TCollection.Assign"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 89 45 FC 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 46 08 8B 78 08 4F 85 FF 7C 36 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 00 89 45 F4 8B 4D FC B2 01 8B 45 F4 FF 50 1C 89 45 F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 08 43 4F 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91709_0 {
	meta:
		name = "TFilterItems.Update"
		size = 16
		refs = "0006 TCollection.Update"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 1C 01 5B C3 }
	condition:
		$1
}

rule function_91710_0 {
	meta:
		name = "TTeePicture.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TPicture.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 30 E8 ?? ?? ?? ?? 8B 46 34 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91711_0 {
	meta:
		name = "TTeePicture.DefineProperties"
		size = 88
		refs = "000b TPicture.DefineProperties 0011 TTeePicture.DoReadFilters 0017 TTeePicture.DoWriteFilters 001e TTeePicture.FiltersStored 0025 TTeePicture.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 46 00 69 00 6C 00 74 00 65 00 72 00 49 00 74 00 65 00 6D 00 73 00 00 00 }
	condition:
		$1
}

rule function_92990_0 {
	meta:
		name = "TImageFiltered.DefineProperties"
		size = 88
		refs = "000b TControl.DefineProperties 0011 TImageFiltered.ReadFilters 0017 TImageFiltered.WriteFilters 001e TImageFiltered.FiltersStored 0025 TImageFiltered.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 46 00 69 00 6C 00 74 00 65 00 72 00 49 00 74 00 65 00 6D 00 73 00 00 00 }
	condition:
		$1
}

rule function_91712_0 {
	meta:
		name = "TTeePicture.Assign"
		size = 45
		refs = "000a _DV_TTeePicture 000f @IsClass 001d TTeePicture.SetFilters 0026 TPicture.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 56 30 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91713_0 {
	meta:
		name = "TTeePicture.Filtered"
		size = 79
		refs = "0006 TTeePicture.FiltersStored 0022 _Dn_TBitmap 0027 TBitmap.Create 0037 TTeePicture.AssignGraphic 0046 TFilterItems.ApplyTo"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 83 7B 0C 00 75 05 8B 43 0C 5B C3 83 7B 34 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 34 8B 4B 0C 8B 53 34 8B 03 E8 ?? ?? ?? ?? 8B 43 30 85 C0 74 08 8B 53 34 E8 ?? ?? ?? ?? 8B 43 34 5B C3 }
	condition:
		$1
}

rule function_91714_0 {
	meta:
		name = "TTeePicture.FiltersStored"
		size = 21
	strings:
		$1 = { 8B 50 30 85 D2 74 0B 8B 42 08 83 78 08 00 0F 9F C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_91715_0 {
	meta:
		name = "TTeePicture.GetFilters"
		size = 37
		refs = "000a _DV_TTeeFilter 0014 _DV_TFilterItems 0019 TOwnedCollection.Create"
	strings:
		$1 = { 53 8B D8 83 7B 30 00 75 17 A1 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 30 8B 43 30 5B C3 }
	condition:
		$1
}

rule function_91716_0 {
	meta:
		name = "TTeePicture.ReadFilters"
		size = 270
		refs = "0017 TTeePicture.ReadFilters 003a TReader.EndOfList 0046 TCollection.Clear 004d TReader.ReadValue 0056 TReader.NextValue 0063 TReader.ReadInteger 006c TReader.CheckValue 0076 TReader.ReadStr 0080 TReader.ReadString 0088 FindClass 0094 TFilterItems.Add 00a1 TReader.ReadProperty 00e4 @HandleFinally 00fb @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 89 4D F8 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 08 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 66 8B C3 E8 ?? ?? ?? ?? 04 FE 2C 03 73 07 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 EC 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 8F 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_91717_0 {
	meta:
		name = "TTeePicture.DoReadFilters"
		size = 27
		refs = "0009 TTeePicture.GetFilters 0014 TTeePicture.ReadFilters"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 03 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91719_0 {
	meta:
		name = "TTeePicture.DoWriteFilters"
		size = 27
		refs = "0009 TTeePicture.GetFilters 0014 TTeePicture.WriteFilters"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 03 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91718_0 {
	meta:
		name = "TTeePicture.WriteFilters"
		size = 232
		refs = "0017 TTeePicture.WriteFilters 0030 TWriter.Write 004a TWriter.WriteValue 0052 @UStrClr 005e TWriter.WriteStr 0068 TFilterItems.Get 0072 TObject.ClassName 007c TWriter.WriteString 008f TWriter.WriteProperties 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D FC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 0E 8D 55 FB B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 78 08 4F 85 FF 7C 5E 47 33 F6 B2 01 8B C3 E8 ?? ?? ?? ?? 8D 43 2C E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 00 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 46 4F 75 A5 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 E4 04 01 00 FF FF FF FF 09 00 00 00 49 74 65 6D 43 6C 61 73 73 00 00 00 }
	condition:
		$1
}

rule function_91721_0 {
	meta:
		name = "TTeePicture.Repaint"
		size = 14
		refs = "0008 @CallDynaInst"
	strings:
		$1 = { 56 8B D0 66 BE FD FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_91722_0 {
	meta:
		name = "TTeePicture.AssignGraphic"
		size = 103
		refs = "000a _Dn_TIcon 000f @IsClass 002c TeeSetBitmapSize 003d TIcon.GetHandle 0049 TBitmap.GetCanvas 004e TCanvas.GetHandle 0054 DrawIconEx"
	strings:
		$1 = { 53 56 8B D9 8B F2 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 44 8B C3 8B 10 FF 52 24 50 8B C3 8B 10 FF 52 30 8B D0 8B C6 59 E8 ?? ?? ?? ?? 6A 03 6A 00 6A 00 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5E 5B C3 8B D3 8B C6 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_91723_0 {
	meta:
		name = "TFloatXYZ.SetDoubleProperty"
		size = 50
	strings:
		$1 = { 55 8B EC 53 8B C8 DD 02 DC 5D 08 9B DF E0 9E 74 1C 8B 45 08 89 02 8B 45 0C 89 42 04 66 83 79 22 00 74 0A 8B D9 8B D1 8B 43 24 FF 53 20 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_91724_0 {
	meta:
		name = "TFloatXYZ.Point"
		size = 36
	strings:
		$1 = { 8B 48 08 89 0A 8B 48 0C 89 4A 04 8B 48 10 89 4A 08 8B 48 14 89 4A 0C 8B 48 18 89 4A 10 8B 48 1C 89 4A 14 C3 }
	condition:
		$1
}

rule function_91725_0 {
	meta:
		name = "TFloatXYZ.SetX"
		size = 21
		refs = "000d TFloatXYZ.SetDoubleProperty"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8D 50 08 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_91726_0 {
	meta:
		name = "TFloatXYZ.SetY"
		size = 21
		refs = "000d TFloatXYZ.SetDoubleProperty"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8D 50 10 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_91727_0 {
	meta:
		name = "TFloatXYZ.SetZ"
		size = 21
		refs = "000d TFloatXYZ.SetDoubleProperty"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8D 50 18 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_91728_0 {
	meta:
		name = "TFloatXYZ.Assign"
		size = 76
		refs = "000a _DV_TFloatXYZ 000f @IsClass 0045 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 29 8B C6 8B 50 08 89 53 08 8B 50 0C 89 53 0C 8B 50 10 89 53 10 8B 50 14 89 53 14 8B 50 18 89 53 18 8B 50 1C 89 53 1C 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91729_0 {
	meta:
		name = "CopyBitmap"
		size = 218
		refs = "006f Move"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 7D 08 83 C7 FC 8B 07 80 78 21 00 74 62 8B 17 8B 52 44 8B 07 8B 40 3C 2B D0 4A 03 D2 03 D2 89 55 FC 40 03 C0 03 C0 89 45 F8 8B 07 8B 58 40 43 8B 07 8B 70 48 4E 2B F3 0F 8C 8C 00 00 00 46 8B 07 8B 40 28 8B 04 98 03 45 F8 8B 17 8B CB 2B 4A 40 8B 17 8B 52 34 8B 52 28 8B 14 8A 83 C2 04 8B 4D FC 51 92 59 E8 ?? ?? ?? ?? 43 4E 75 D1 EB 5A 8B 17 8B 52 44 8B 07 8B 40 3C 2B D0 4A 8D 14 52 89 55 FC 40 8D 04 40 89 45 F8 8B 07 8B 58 40 43 8B 07 8B 70 48 4E 2B F3 7C 30 46 8B 07 8B 40 24 8B 04 98 03 45 F8 8B 17 8B CB 2B 4A 40 8B 17 8B 52 34 8B 52 24 8B 14 8A 83 C2 03 8B 4D FC 51 92 59 E8 ?? ?? ?? ?? 43 4E 75 D1 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_91730_0 {
	meta:
		name = "DoBlurNoWeight"
		size = 987
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B 75 08 83 C6 F4 8B 7D 08 83 C7 F8 8B 45 08 8B 40 FC 80 78 21 00 0F 84 B0 01 00 00 8B 45 08 8B 40 FC 8B 40 40 40 8B 55 08 8B 52 FC 8B 52 48 4A 2B D0 0F 8C 93 03 00 00 42 89 55 F0 89 45 FC 8B 45 08 8B 40 FC 8B 40 28 8B 55 FC 8B 5C 90 04 8B 45 08 8B 40 FC 8B 55 FC 2B 50 40 8B 45 08 8B 40 FC 8B 40 34 8B 40 28 8B 04 90 89 45 F4 8B 45 08 8B 40 FC 8B 48 3C 41 8B 45 08 8B 40 FC 8B 40 44 48 2B C1 0F 8C 2C 01 00 00 40 89 45 EC 8B 45 08 8B 40 FC 8B D1 2B 50 3C 8B 45 F4 8D 04 90 89 45 E8 8B 07 0F B6 44 88 FC 8B 17 0F B6 14 8A 03 C2 8B 17 0F B6 54 8A 04 03 C2 8B 16 0F B6 54 8A FC 03 C2 8B 16 0F B6 14 8A 03 C2 8B 16 0F B6 54 8A 04 03 C2 0F B6 54 8B FC 03 C2 0F B6 14 8B 03 C2 0F B6 54 8B 04 03 C2 51 B9 09 00 00 00 33 D2 F7 F1 59 8B 55 E8 88 02 8B 07 0F B6 44 88 FD 8B 17 0F B6 54 8A 01 03 C2 8B 17 0F B6 54 8A 05 03 C2 8B 16 0F B6 54 8A FD 03 C2 8B 16 0F B6 54 8A 01 03 C2 8B 16 0F B6 54 8A 05 03 C2 0F B6 54 8B FD 03 C2 0F B6 54 8B 01 03 C2 0F B6 54 8B 05 03 C2 51 B9 09 00 00 00 33 D2 F7 F1 59 8B 55 E8 88 42 01 8B 07 0F B6 44 88 FE 8B 17 0F B6 54 8A 02 03 C2 8B 17 0F B6 54 8A 06 03 C2 8B 16 0F B6 54 8A FE 03 C2 8B 16 0F B6 54 8A 02 03 C2 8B 16 0F B6 54 8A 06 03 C2 0F B6 54 8B FE 03 C2 0F B6 54 8B 02 03 C2 0F B6 54 8B 06 03 C2 51 B9 09 00 00 00 33 D2 F7 F1 59 8B 55 E8 88 42 02 41 FF 4D EC 0F 85 D8 FE FF FF 8B 06 89 07 89 1E FF 45 FC FF 4D F0 0F 85 78 FE FF FF E9 FF 01 00 00 8B 45 08 8B 40 FC 8B 40 40 40 8B 55 08 8B 52 FC 8B 52 48 4A 2B D0 0F 8C E3 01 00 00 42 89 55 F0 89 45 FC 8B 45 08 8B 40 FC 8B 40 24 8B 55 FC 8B 74 90 04 8B 45 08 8B 40 FC 8B 55 FC 2B 50 40 8B 45 08 8B 40 FC 8B 40 34 8B 40 24 8B 04 90 89 45 F8 8B 45 08 8B 40 FC 8B 48 3C 41 8B 45 08 8B 40 FC 8B 40 44 48 2B C1 0F 8C 74 01 00 00 40 89 45 EC 8B 45 08 8B 40 FC 8B D1 2B 50 3C 8D 04 52 8B 55 F8 8D 04 02 89 45 E4 8D 1C 49 8B 45 08 8B 40 F0 0F B6 44 18 FD 8B 55 08 8B 52 F0 0F B6 14 1A 03 C2 8B 55 08 8B 52 F0 0F B6 54 1A 03 03 C2 8B 55 08 8B 52 EC 0F B6 54 1A FD 03 C2 8B 55 08 8B 52 EC 0F B6 14 1A 03 C2 8B 55 08 8B 52 EC 0F B6 54 1A 03 03 C2 0F B6 54 1E FD 03 C2 0F B6 14 1E 03 C2 0F B6 54 1E 03 03 C2 BF 09 00 00 00 33 D2 F7 F7 8B 55 E4 88 02 8B 45 08 8B 40 F0 0F B6 44 18 FE 8B 55 08 8B 52 F0 0F B6 54 1A 01 03 C2 8B 55 08 8B 52 F0 0F B6 54 1A 04 03 C2 8B 55 08 8B 52 EC 0F B6 54 1A FE 03 C2 8B 55 08 8B 52 EC 0F B6 54 1A 01 03 C2 8B 55 08 8B 52 EC 0F B6 54 1A 04 03 C2 0F B6 54 1E FE 03 C2 0F B6 54 1E 01 03 C2 0F B6 54 1E 04 03 C2 BF 09 00 00 00 33 D2 F7 F7 8B 55 E4 88 42 01 8B 45 08 8B 40 F0 0F B6 44 18 FF 8B 55 08 8B 52 F0 0F B6 54 1A 02 03 C2 8B 55 08 8B 52 F0 0F B6 54 1A 05 03 C2 8B 55 08 8B 52 EC 0F B6 54 1A FF 03 C2 8B 55 08 8B 52 EC 0F B6 54 1A 02 03 C2 8B 55 08 8B 52 EC 0F B6 54 1A 05 03 C2 0F B6 54 1E FF 03 C2 0F B6 54 1E 02 03 C2 0F B6 54 1E 05 03 C2 BB 09 00 00 00 33 D2 F7 F3 8B 55 E4 88 42 02 41 FF 4D EC 0F 85 90 FE FF FF 8B 45 08 8B 40 EC 8B 55 08 89 42 F0 8B 45 08 89 70 EC FF 45 FC FF 4D F0 0F 85 24 FE FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91731_0 {
	meta:
		name = "DoBlurWeight"
		size = 1868
		refs = "003e DoBlurWeight 017f @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B 75 08 83 C6 FC 8B 06 D9 40 4C 8B 06 D8 40 50 8B 06 D8 40 54 8B 06 D8 40 58 8B 06 D8 40 5C 8B 06 D8 40 60 8B 06 D8 40 64 8B 06 D8 40 68 8B 06 D8 40 6C D8 3D ?? ?? ?? ?? D9 5D F0 9B 8B 06 80 78 21 00 0F 84 56 03 00 00 8B 06 8B 40 40 40 8B 16 8B 52 48 4A 2B D0 0F 8C DB 06 00 00 42 89 55 EC 89 45 FC 8B 06 8B 40 28 8B 55 FC 8B 44 90 04 89 45 F4 8B 06 8B 58 3C 43 8B 06 8B 40 44 48 2B C3 0F 8C F2 02 00 00 40 89 45 E8 8B 06 8B D3 2B 50 3C 8B 06 8B 4D FC 2B 48 40 8B 06 8B 40 34 8B 40 28 8B 04 88 8D 3C 90 8B 45 08 8B 40 F8 0F B6 44 98 FC 89 45 E0 DB 45 E0 8B 06 D8 48 4C 8B 45 08 8B 40 F8 0F B6 04 98 89 45 DC DB 45 DC 8B 06 D8 48 50 DE C1 8B 45 08 8B 40 F8 0F B6 44 98 04 89 45 D8 DB 45 D8 8B 06 D8 48 54 DE C1 8B 45 08 8B 40 F4 0F B6 44 98 FC 89 45 D4 DB 45 D4 8B 06 D8 48 58 DE C1 8B 45 08 8B 40 F4 0F B6 04 98 89 45 D0 DB 45 D0 8B 06 D8 48 5C DE C1 8B 45 08 8B 40 F4 0F B6 44 98 04 89 45 CC DB 45 CC 8B 06 D8 48 60 DE C1 8B 45 F4 0F B6 44 98 FC 89 45 C8 DB 45 C8 8B 06 D8 48 64 DE C1 8B 45 F4 0F B6 04 98 89 45 C4 DB 45 C4 8B 06 D8 48 68 DE C1 8B 45 F4 0F B6 44 98 04 89 45 C0 DB 45 C0 8B 06 D8 48 6C DE C1 D8 4D F0 E8 ?? ?? ?? ?? 3D FF 00 00 00 7E 05 C6 07 FF EB 0B 85 C0 7D 05 C6 07 00 EB 02 88 07 8B 45 08 8B 40 F8 0F B6 44 98 FD 89 45 E0 DB 45 E0 8B 06 D8 48 4C 8B 45 08 8B 40 F8 0F B6 44 98 01 89 45 DC DB 45 DC 8B 06 D8 48 50 DE C1 8B 45 08 8B 40 F8 0F B6 44 98 05 89 45 D8 DB 45 D8 8B 06 D8 48 54 DE C1 8B 45 08 8B 40 F4 0F B6 44 98 FD 89 45 D4 DB 45 D4 8B 06 D8 48 58 DE C1 8B 45 08 8B 40 F4 0F B6 44 98 01 89 45 D0 DB 45 D0 8B 06 D8 48 5C DE C1 8B 45 08 8B 40 F4 0F B6 44 98 05 89 45 CC DB 45 CC 8B 06 D8 48 60 DE C1 8B 45 F4 0F B6 44 98 FD 89 45 C8 DB 45 C8 8B 06 D8 48 64 DE C1 8B 45 F4 0F B6 44 98 01 89 45 C4 DB 45 C4 8B 06 D8 48 68 DE C1 8B 45 F4 0F B6 44 98 05 89 45 C0 DB 45 C0 8B 06 D8 48 6C DE C1 D8 4D F0 E8 ?? ?? ?? ?? 3D FF 00 00 00 7E 06 C6 47 01 FF EB 0D 85 C0 7D 06 C6 47 01 00 EB 03 88 47 01 8B 45 08 8B 40 F8 0F B6 44 98 FE 89 45 E0 DB 45 E0 8B 06 D8 48 4C 8B 45 08 8B 40 F8 0F B6 44 98 02 89 45 DC DB 45 DC 8B 06 D8 48 50 DE C1 8B 45 08 8B 40 F8 0F B6 44 98 06 89 45 D8 DB 45 D8 8B 06 D8 48 54 DE C1 8B 45 08 8B 40 F4 0F B6 44 98 FE 89 45 D4 DB 45 D4 8B 06 D8 48 58 DE C1 8B 45 08 8B 40 F4 0F B6 44 98 02 89 45 D0 DB 45 D0 8B 06 D8 48 5C DE C1 8B 45 08 8B 40 F4 0F B6 44 98 06 89 45 CC DB 45 CC 8B 06 D8 48 60 DE C1 8B 45 F4 0F B6 44 98 FE 89 45 C8 DB 45 C8 8B 06 D8 48 64 DE C1 8B 45 F4 0F B6 44 98 02 89 45 C4 DB 45 C4 8B 06 D8 48 68 DE C1 8B 45 F4 0F B6 44 98 06 89 45 C0 DB 45 C0 8B 06 D8 48 6C DE C1 D8 4D F0 E8 ?? ?? ?? ?? 3D FF 00 00 00 7E 06 C6 47 02 FF EB 0D 85 C0 7D 06 C6 47 02 00 EB 03 88 47 02 43 FF 4D E8 0F 85 12 FD FF FF 8B 45 08 8B 40 F4 8B 55 08 89 42 F8 8B 45 08 8B 55 F4 89 50 F4 FF 45 FC FF 4D EC 0F 85 CA FC FF FF E9 99 03 00 00 8B 06 8B 40 40 40 8B 16 8B 52 48 4A 2B D0 0F 8C 85 03 00 00 42 89 55 EC 89 45 FC 8B 06 8B 40 24 8B 55 FC 8B 44 90 04 89 45 F8 8B 06 8B 58 3C 43 8B 06 8B 40 44 48 2B C3 0F 8C 3A 03 00 00 40 89 45 E8 8B 06 8B D3 2B 50 3C 8D 04 52 8B 16 8B 4D FC 2B 4A 40 8B 16 8B 52 34 8B 52 24 8B 14 8A 8D 04 02 89 45 E4 8D 3C 5B 8B 45 08 8B 40 F0 0F B6 44 38 FD 89 45 E0 DB 45 E0 8B 06 D8 48 4C 8B 45 08 8B 40 F0 0F B6 04 38 89 45 DC DB 45 DC 8B 06 D8 48 50 DE C1 8B 45 08 8B 40 F0 0F B6 44 38 03 89 45 D8 DB 45 D8 8B 06 D8 48 54 DE C1 8D 04 5B 8B 55 08 8B 52 EC 0F B6 44 02 FD 89 45 D4 DB 45 D4 8B 06 D8 48 58 DE C1 8D 04 5B 8B 55 08 8B 52 EC 0F B6 04 02 89 45 D0 DB 45 D0 8B 06 D8 48 5C DE C1 8D 04 5B 8B 55 08 8B 52 EC 0F B6 44 02 03 89 45 CC DB 45 CC 8B 06 D8 48 60 DE C1 8D 04 5B 8B 55 F8 0F B6 44 02 FD 89 45 C8 DB 45 C8 8B 06 D8 48 64 DE C1 8D 04 5B 8B 55 F8 0F B6 04 02 89 45 C4 DB 45 C4 8B 06 D8 48 68 DE C1 8D 04 5B 8B 55 F8 0F B6 44 02 03 89 45 C0 DB 45 C0 8B 06 D8 48 6C DE C1 D8 4D F0 E8 ?? ?? ?? ?? 3D FF 00 00 00 7E 08 8B 45 E4 C6 00 FF EB 11 85 C0 7D 08 8B 45 E4 C6 00 00 EB 05 8B 55 E4 88 02 8B 45 08 8B 40 F0 0F B6 44 38 FE 89 45 E0 DB 45 E0 8B 06 D8 48 4C 8B 45 08 8B 40 F0 0F B6 44 38 01 89 45 DC DB 45 DC 8B 06 D8 48 50 DE C1 8B 45 08 8B 40 F0 0F B6 44 38 04 89 45 D8 DB 45 D8 8B 06 D8 48 54 DE C1 8B 45 08 8B 40 EC 0F B6 44 38 FE 89 45 D4 DB 45 D4 8B 06 D8 48 58 DE C1 8B 45 08 8B 40 EC 0F B6 44 38 01 89 45 D0 DB 45 D0 8B 06 D8 48 5C DE C1 8B 45 08 8B 40 EC 0F B6 44 38 04 89 45 CC DB 45 CC 8B 06 D8 48 60 DE C1 8D 04 5B 8B 55 F8 0F B6 44 02 FE 89 45 C8 DB 45 C8 8B 06 D8 48 64 DE C1 8D 04 5B 8B 55 F8 0F B6 44 02 01 89 45 C4 DB 45 C4 8B 06 D8 48 68 DE C1 8D 04 5B 8B 55 F8 0F B6 44 02 04 89 45 C0 DB 45 C0 8B 06 D8 48 6C DE C1 D8 4D F0 E8 ?? ?? ?? ?? 3D FF 00 00 00 7E 09 8B 45 E4 C6 40 01 FF EB 13 85 C0 7D 09 8B 45 E4 C6 40 01 00 EB 06 8B 55 E4 88 42 01 8B 45 08 8B 40 F0 0F B6 44 38 FF 89 45 E0 DB 45 E0 8B 06 D8 48 4C 8B 45 08 8B 40 F0 0F B6 44 38 02 89 45 DC DB 45 DC 8B 06 D8 48 50 DE C1 8B 45 08 8B 40 F0 0F B6 44 38 05 89 45 D8 DB 45 D8 8B 06 D8 48 54 DE C1 8B 45 08 8B 40 EC 0F B6 44 38 FF 89 45 D4 DB 45 D4 8B 06 D8 48 58 DE C1 8B 45 08 8B 40 EC 0F B6 44 38 02 89 45 D0 DB 45 D0 8B 06 D8 48 5C DE C1 8B 45 08 8B 40 EC 0F B6 44 38 05 89 45 CC DB 45 CC 8B 06 D8 48 60 DE C1 8D 04 5B 8B 55 F8 0F B6 44 02 FF 89 45 C8 DB 45 C8 8B 06 D8 48 64 DE C1 8D 04 5B 8B 55 F8 0F B6 44 02 02 89 45 C4 DB 45 C4 8B 06 D8 48 68 DE C1 8D 04 5B 8B 55 F8 0F B6 44 02 05 89 45 C0 DB 45 C0 8B 06 D8 48 6C DE C1 D8 4D F0 E8 ?? ?? ?? ?? 3D FF 00 00 00 7E 09 8B 45 E4 C6 40 02 FF EB 13 85 C0 7D 09 8B 45 E4 C6 40 02 00 EB 06 8B 55 E4 88 42 02 43 FF 4D E8 0F 85 CA FC FF FF 8B 45 08 8B 40 EC 8B 55 08 89 42 F0 8B 45 08 8B 55 F8 89 50 EC FF 45 FC FF 4D EC 0F 85 82 FC FF FF 5F 5E 5B 8B E5 5D C3 00 00 80 3F }
	condition:
		$1
}

rule function_91732_0 {
	meta:
		name = "TConvolveFilter.Apply"
		size = 524
		refs = "001a TTeeFilter.Apply 002c @DynArrayLength 012e TConvolveFilter.CreateBuffer 0139 TConvolveFilter.Apply 01db DoBlurNoWeight 01e4 DoBlurWeight 01eb CopyBitmap 01fb TConvolveFilter.FreeBuffer"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B D9 8B FA 89 45 FC 8D 75 FC 8B CB 8B D7 8B 06 E8 ?? ?? ?? ?? 8B 06 80 78 21 00 74 12 8B 06 8B 40 28 E8 ?? ?? ?? ?? 85 C0 0F 84 C7 01 00 00 8B 06 80 78 21 00 75 12 8B 06 8B 40 24 E8 ?? ?? ?? ?? 85 C0 0F 84 AD 01 00 00 8B 43 04 85 C0 7D 09 8B 06 33 D2 89 50 40 EB 05 8B 16 89 42 40 8B 03 85 C0 7D 09 8B 06 33 D2 89 50 3C EB 05 8B 16 89 42 3C 8B C7 8B 10 FF 52 24 48 3B 43 0C 7D 0F 8B C7 8B 10 FF 52 24 48 8B 16 89 42 48 EB 08 8B 43 0C 8B 16 89 42 48 8B C7 8B 10 FF 52 30 48 3B 43 08 7D 0F 8B C7 8B 10 FF 52 30 48 8B 16 89 42 44 EB 08 8B 43 08 8B 16 89 42 44 8B 06 80 78 21 00 74 23 8B 06 8B 40 40 8B 16 8B 52 28 8B 04 82 89 45 F8 8B 06 8B 40 40 8B 16 8B 52 28 8B 44 82 04 89 45 F4 EB 21 8B 06 8B 40 40 8B 16 8B 52 24 8B 04 82 89 45 F0 8B 06 8B 40 40 8B 16 8B 52 24 8B 44 82 04 89 45 EC 8B 06 80 78 38 00 75 1B 8B 06 8B 48 48 8B 06 2B 48 40 8B 06 8B 50 44 8B 06 2B 50 3C 8B 06 E8 ?? ?? ?? ?? 8B 06 D9 40 4C D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 85 88 00 00 00 8B 06 D9 40 50 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 77 8B 06 D9 40 54 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 66 8B 06 D9 40 58 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 55 8B 06 D9 40 5C D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 44 8B 06 D9 40 60 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 33 8B 06 D9 40 64 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 22 8B 06 D9 40 68 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 11 8B 06 D9 40 6C D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 04 33 C0 EB 02 B0 01 84 C0 74 09 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 8B 06 80 78 38 00 75 07 8B 06 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_91733_0 {
	meta:
		name = "TConvolveFilter.CreateBuffer"
		size = 80
		refs = "000f _DV_TTeeFilter 0014 TTeeFilter.Create 0027 _Dn_TBitmap 002c TBitmap.Create 003c TeeSetBitmapSize 0047 TTeeFilter.Apply"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 34 0F B6 43 21 88 46 21 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 30 8B CD 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 53 30 8B 43 34 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91734_0 {
	meta:
		name = "TConvolveFilter.FreeBuffer"
		size = 21
		refs = "0007 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 43 30 E8 ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91735_0 {
	meta:
		name = "TBlurFilter.Create"
		size = 67
		refs = "000a @ClassCreate 0017 TTeeFilter.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 70 01 00 00 00 C7 46 74 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_91736_0 {
	meta:
		name = "TBlurFilter.Apply"
		size = 283
		refs = "0076 TBitmap.GetCanvas 007b TCanvas.GetHandle 0080 TeeBitsperPixel 0096 TTeeFilter.CalcLines 00c5 TConvolveFilter.CreateBuffer 00cd TBlurFilter.Apply 00e9 TConvolveFilter.Apply 0101 TConvolveFilter.FreeBuffer 0107 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B FA 89 45 FC C7 45 F8 00 00 80 3F 8B 45 FC C7 40 4C 00 00 80 3F 8B 45 FC 8B 55 F8 89 50 50 8B 45 FC C7 40 54 00 00 80 3F 8B 45 FC 8B 55 F8 89 50 58 8B 45 FC DB 40 70 D8 4D F8 8B 45 FC D9 58 5C 9B 8B 45 FC 8B 55 F8 89 50 60 8B 45 FC C7 40 64 00 00 80 3F 8B 45 FC 8B 55 F8 89 50 68 8B 45 FC C7 40 6C 00 00 80 3F 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 20 0F 94 C0 8B 55 FC 88 42 21 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 20 01 8B 45 FC C6 40 38 01 8B 46 0C 2B 46 04 99 33 C2 2B C2 8B C8 8B 46 08 2B 06 99 33 C2 2B C2 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 58 74 85 DB 7E 0F 8B CE 8B D7 8B 45 FC E8 ?? ?? ?? ?? 4B 75 F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC C6 40 20 00 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_91738_0 {
	meta:
		name = "TBlurFilter.CreateEditor"
		size = 172
		refs = "000e @IntfAddRef 0016 TBlurFilter.CreateEditor 002c TTeeFilter.CreateEditor 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 6A 14 B9 01 00 00 00 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 1C 6A 32 33 C9 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 74 00 65 00 70 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 6D 00 6F 00 75 00 6E 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_91739_0 {
	meta:
		name = "FoundAt"
		size = 41
		refs = "0012 @UStrToPWChar 0019 FindResource"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B F0 6A 0A 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 85 C0 0F 95 03 0F B6 03 5E 5B 5D C3 }
	condition:
		$1
}

rule function_91740_0 {
	meta:
		name = "TeeResourceStream"
		size = 155
		refs = "0015 MainInstance 001c FoundAt 0034 HInstance 004e LibModuleList 008b _Dn_TResourceStream 0090 TResourceStream.Create"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC C6 45 FB 00 55 8D 55 FB A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 59 84 C0 74 0A 8B 3D ?? ?? ?? ?? 8B 3F EB 47 55 8D 55 FB A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 74 08 8B 3D ?? ?? ?? ?? EB 2C 33 FF 8B 1D ?? ?? ?? ?? 8B 1B 85 DB 74 1E 8B F3 55 8D 55 FB 8B 46 04 E8 ?? ?? ?? ?? 59 84 C0 74 05 8B 7E 04 EB 06 8B 1B 85 DB 75 E2 80 7D FB 00 75 04 33 C0 EB 14 8B 45 FC 50 6A 0A 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_91741_0 {
	meta:
		name = "TTeeEmboss.Create"
		size = 73
		refs = "000d @ClassCreate 0020 TTeeShadow.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 FF 75 0C FF 75 08 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 88 46 20 88 46 3C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_91743_0 {
	meta:
		name = "Finalization"
		size = 168
		refs = "0007 Finalization 0013 _DV_53 001a RemoveCustomFonts 001f TeeRenderClasses 0025 _DV_TTeeCanvas3D 002c TList.RemoveItem 003e TObject.Free 0044 TeeGDI32 0051 TeeFreeLibrary 0057 TeeMSIMG32 0069 DeleteClipHistory 006e TeeCustomEditColors 0078 GetDefaultFontName 007d @UStrClr 0082 ClipHistory 0088 :63 008d @DynArrayClear 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 78 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_91744_0 {
	meta:
		name = "VCLTee.TeCanvas"
		size = 112
		refs = "0007 VCLTee.TeCanvas 0013 _DV_53 001b Win32Platform 0025 IsWindowsNT 002a TeeDefaultFont 002f AddCustomFonts 0034 TryLoadSetDC 003b _Dn_TList 0040 TObject.Create 0045 TeeRenderClasses 004b _DV_TTeeCanvas3D 0055 TList.Add 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 3F A1 ?? ?? ?? ?? 83 38 02 0F 94 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_91745_0 {
	meta:
		name = "TeeShowAboutBox"
		size = 304
		refs = "0018 TeeShowAboutBox 0027 _DV_TTeeAboutForm 002c TCustomForm.Create 004b TControl.SetText 0079 TeeIsTrial 008f TControl.GetText 009c @UStrCat 00ae TeeTranslateControl 00c1 TControl.SetWidth 00e1 TObject.Free 00e7 @HandleFinally 00fe @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 85 F6 74 10 8B 45 FC 8B 80 98 03 00 00 8B D6 E8 ?? ?? ?? ?? 85 FF 74 10 8B 45 FC 8B 80 B0 03 00 00 8B D7 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 2A 8D 55 F8 8B 45 FC 8B 98 AC 03 00 00 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 03 00 00 BA 39 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 54 00 52 00 49 00 41 00 4C 00 00 00 00 00 }
	condition:
		$1
}

rule function_91746_0 {
	meta:
		name = "TTeeAboutForm.LabelwwwClick"
		size = 124
		refs = "0006 TWinControl.GetHandle 000b TTeeAboutForm.LabelwwwClick 0010 TeeGotoURL"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 2B 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 73 00 74 00 65 00 65 00 6D 00 61 00 2E 00 63 00 6F 00 6D 00 2F 00 6C 00 69 00 6E 00 6B 00 49 00 6E 00 2F 00 54 00 65 00 65 00 43 00 68 00 61 00 72 00 74 00 46 00 6F 00 72 00 58 00 45 00 32 00 00 00 }
	condition:
		$1
}

rule function_92694_0 {
	meta:
		name = "TChartEditForm.LabelWWWClick"
		size = 124
		refs = "0006 TWinControl.GetHandle 000b TChartEditForm.LabelWWWClick 0010 TeeGotoURL"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 2B 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 73 00 74 00 65 00 65 00 6D 00 61 00 2E 00 63 00 6F 00 6D 00 2F 00 6C 00 69 00 6E 00 6B 00 49 00 6E 00 2F 00 54 00 65 00 65 00 43 00 68 00 61 00 72 00 74 00 46 00 6F 00 72 00 58 00 45 00 32 00 00 00 }
	condition:
		$1
}

rule function_91747_0 {
	meta:
		name = "TTeeAboutForm.FormCreate"
		size = 448
		refs = "000e TTeeAboutForm.FormCreate 001d TWinControl.SetDoubleBuffered 0027 TControl.GetText 0041 @UStrCatN 004b TControl.SetText 0061 TeeMsg_Copyright 0077 TCustomForm.SetBorderStyle 008b TControl.SetLeft 00a5 TControl.SetTop 00cf @UStrArrayClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 83 94 03 00 00 E8 ?? ?? ?? ?? B2 03 8B C3 E8 ?? ?? ?? ?? 8B 83 98 03 00 00 8B 50 48 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B 83 9C 03 00 00 8B 50 4C 03 50 54 83 C2 06 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 2A 00 00 00 54 00 65 00 65 00 43 00 68 00 61 00 72 00 74 00 20 00 53 00 74 00 61 00 6E 00 64 00 61 00 72 00 64 00 20 00 76 00 32 00 30 00 31 00 31 00 2E 00 30 00 33 00 2E 00 33 00 32 00 38 00 31 00 35 00 20 00 33 00 32 00 62 00 69 00 74 00 20 00 56 00 43 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 55 00 70 00 67 00 72 00 61 00 64 00 65 00 20 00 74 00 6F 00 20 00 50 00 72 00 6F 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 77 00 69 00 74 00 68 00 20 00 31 00 30 00 30 00 25 00 20 00 73 00 6F 00 75 00 72 00 63 00 65 00 20 00 63 00 6F 00 64 00 65 00 20 00 21 00 00 00 00 00 }
	condition:
		$1
}

rule function_91748_0 {
	meta:
		name = "TeeShowAboutBox2"
		size = 28
		refs = "0002 TeeAboutBoxProc 0010 TeeShowAboutBox"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 12 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91749_0 {
	meta:
		name = "Finalization"
		size = 16
		refs = "0002 _DV_2 000b TeeAboutBoxProc"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 07 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92178_0 {
	meta:
		name = "Finalization"
		size = 16
		refs = "0002 _DV_2 000b OnGetDesignerNames"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 07 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91750_0 {
	meta:
		name = "VCLTee.TeeAbout"
		size = 20
		refs = "0002 _DV_2 000b TeeAboutBoxProc 000f TeeShowAboutBox2"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0A C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91751_0 {
	meta:
		name = "TAreaSeriesEditor.FormShow"
		size = 608
		refs = "001d TAreaSeries.GetMultiArea 002b TCustomRadioGroup.SetItemIndex 00b1 @ROUND 00be TCustomUpDown.SetPosition 00cf TButtonPen.LinkPen 00d6 TCustomLineSeries.GetLinePen 014c TAreaSeriesEditor.GetAreaColor 0151 TAreaSeriesEditor.FormShow 015e TTeeButton.LinkProperty 017c TAreaSeriesEditor.EnableOrigin 01ab EnableControls 01ba TeeMsg_GalleryPoint 01d0 TeeInsertPointerForm 01ec TeeMsg_Gradient 0204 _Dn_TTeeGradientEditor 020c _Dn_TFormTeeSeries 0211 TFormTeeSeries.InsertSeriesForm 0226 @AsClass 0231 TControl.Hide"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B 43 0C 89 83 04 04 00 00 85 C0 0F 84 1D 02 00 00 8B F0 8B C6 E8 ?? ?? ?? ?? 0F B6 D0 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 0F B6 56 60 8B 83 E4 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 96 B1 01 00 00 8B 83 B8 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 96 90 01 00 00 8B 83 C4 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 96 B1 01 00 00 8B 83 C4 03 00 00 8B 08 FF 91 80 00 00 00 0F B6 96 A4 01 00 00 8B 83 00 04 00 00 8B 08 FF 91 FC 00 00 00 0F B6 96 FC 01 00 00 8B 83 A8 03 00 00 8B 08 FF 91 FC 00 00 00 DD 86 F0 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 8B 96 80 01 00 00 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 8C 01 00 00 0F B6 D0 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 0F B6 96 70 01 00 00 8B 83 F0 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 96 86 01 00 00 8B 83 DC 03 00 00 8B 08 FF 91 FC 00 00 00 8B 96 F8 01 00 00 8B 83 FC 03 00 00 E8 ?? ?? ?? ?? 8B B3 E8 03 00 00 89 9E EC 02 00 00 C7 86 E8 02 00 00 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 93 04 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 83 04 04 00 00 0F B6 50 60 80 F2 01 8B C6 8B 08 FF 91 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 04 04 00 00 E8 ?? ?? ?? ?? 84 C0 0F 95 C0 8B 93 F8 03 00 00 89 14 24 8B 93 FC 03 00 00 89 54 24 04 8B D4 B9 01 00 00 00 E8 ?? ?? ?? ?? 83 BB 08 04 00 00 00 75 22 8B 0D ?? ?? ?? ?? 8B 09 8B 83 04 04 00 00 8B 90 9C 01 00 00 8B 43 38 E8 ?? ?? ?? ?? 89 83 08 04 00 00 83 BB 0C 04 00 00 00 75 52 83 7B 38 00 74 4C 6A 02 A1 ?? ?? ?? ?? 8B 00 50 8B 83 04 04 00 00 8B 10 FF 92 88 01 00 00 50 8B 0D ?? ?? ?? ?? 8B 53 38 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 0C 04 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 D8 03 00 00 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 72 00 69 00 65 00 73 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_91752_0 {
	meta:
		name = "TAreaSeriesEditor.RGMultiAreaClick"
		size = 81
		refs = "001a TAreaSeries.SetMultiArea 0025 TAreaSeries.GetMultiArea 0049 EnableControls"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B 83 9C 03 00 00 0F B6 90 88 02 00 00 8B 83 04 04 00 00 E8 ?? ?? ?? ?? 8B 83 04 04 00 00 E8 ?? ?? ?? ?? 84 C0 0F 95 C0 8B 93 F8 03 00 00 89 14 24 8B 93 FC 03 00 00 89 54 24 04 8B D4 B9 01 00 00 00 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_91753_0 {
	meta:
		name = "TAreaSeriesEditor.CBColorEachClick"
		size = 62
	strings:
		$1 = { 53 8B D8 8B 83 E4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 04 04 00 00 8B 08 FF 91 D4 00 00 00 8B 83 04 04 00 00 0F B6 50 60 80 F2 01 8B 83 E8 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_91754_0 {
	meta:
		name = "TAreaSeriesEditor.GetAreaColor"
		size = 29
		refs = "0015 TChartSeries.GetSeriesColor"
	strings:
		$1 = { 8B 80 04 04 00 00 8B 90 7C 01 00 00 81 FA 00 00 00 20 75 06 E8 ?? ?? ?? ?? C3 8B C2 C3 }
	condition:
		$1
}

rule function_91755_0 {
	meta:
		name = "TAreaSeriesEditor.CBStairsClick"
		size = 59
		refs = "001a TCustomSeries.SetStairs"
	strings:
		$1 = { 53 8B D8 8B 83 B8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 04 04 00 00 E8 ?? ?? ?? ?? 8B 83 04 04 00 00 0F B6 90 B1 01 00 00 8B 83 C4 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_91756_0 {
	meta:
		name = "TAreaSeriesEditor.CBInvStairsClick"
		size = 32
		refs = "001a TCustomSeries.SetInvertedStairs"
	strings:
		$1 = { 53 8B D8 8B 83 C4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 04 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91757_0 {
	meta:
		name = "TAreaSeriesEditor.CBUseOriginClick"
		size = 39
		refs = "001a TAreaSeries.SetUseOrigin 0021 TAreaSeriesEditor.EnableOrigin"
	strings:
		$1 = { 53 8B D8 8B 83 A8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 04 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91758_0 {
	meta:
		name = "TAreaSeriesEditor.EOriginChange"
		size = 60
		refs = "001d TCustomUpDown.GetPosition 0035 TAreaSeries.SetOrigin"
	strings:
		$1 = { 53 51 8B D8 80 BB F2 01 00 00 00 74 2C 83 BB 04 04 00 00 00 74 23 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 83 C4 F8 DD 1C 24 9B 8B 83 04 04 00 00 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_91759_0 {
	meta:
		name = "TAreaSeriesEditor.EnableOrigin"
		size = 62
	strings:
		$1 = { 53 8B D8 8B 83 A8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 AC 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 AC 03 00 00 8B 10 FF 52 68 8B D0 8B 83 B0 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_91760_0 {
	meta:
		name = "TAreaSeriesEditor.FormCreate"
		size = 23
		refs = "0008 TControl.SetAlign 0011 TCustomForm.SetBorderStyle"
	strings:
		$1 = { 53 8B D8 B2 05 8B C3 E8 ?? ?? ?? ?? B2 03 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91761_0 {
	meta:
		name = "TAreaSeriesEditor.BPatternClick"
		size = 68
		refs = "0012 EditChartBrush 0023 TChartBrush.GetGradient 0030 _Dn_TTeeGradientEditor 0035 @AsClass"
	strings:
		$1 = { 53 8B D8 8B 83 04 04 00 00 8B 90 78 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 04 04 00 00 8B 80 78 01 00 00 E8 ?? ?? ?? ?? 50 8B 83 0C 04 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 8B 08 FF 91 30 01 00 00 5B C3 }
	condition:
		$1
}

rule function_91762_0 {
	meta:
		name = "TAreaSeriesEditor.Button1Click"
		size = 99
		refs = "001d TChartSeries.GetSeriesColor 0027 TBrush.SetColor 0042 EditChartBrush"
	strings:
		$1 = { 53 56 57 8B D8 8B BB 04 04 00 00 8B F7 8B 86 7C 01 00 00 3D 00 00 00 20 75 13 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 47 3C E8 ?? ?? ?? ?? EB 09 8B 57 3C 92 E8 ?? ?? ?? ?? 8B 83 04 04 00 00 8B 50 3C 8B C3 E8 ?? ?? ?? ?? 8B B3 04 04 00 00 8B 46 3C 8B 40 10 8B 50 18 8B C6 8B 08 FF 91 D8 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91763_0 {
	meta:
		name = "TAreaSeriesEditor.ETranspChange"
		size = 41
		refs = "0013 TCustomUpDown.GetPosition"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 1B 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 04 04 00 00 8B 08 FF 91 90 01 00 00 5B C3 }
	condition:
		$1
}

rule function_91764_0 {
	meta:
		name = "TAreaSeriesEditor.FormDestroy"
		size = 19
		refs = "000e TObject.Free"
	strings:
		$1 = { 05 08 04 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91765_0 {
	meta:
		name = "TAreaSeriesEditor.CBNullsChange"
		size = 32
		refs = "001a TCustomLineSeries.SetTreatNulls"
	strings:
		$1 = { 53 8B D8 8B 83 F0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 04 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91766_0 {
	meta:
		name = "TAreaSeriesEditor.CBDark3DClick"
		size = 32
		refs = "001a TCustomSeries.SetDark3D"
	strings:
		$1 = { 53 8B D8 8B 83 DC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 04 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91767_0 {
	meta:
		name = "TAreaSeriesEditor.EGroupChange"
		size = 47
		refs = "001c TCustomUpDown.GetPosition 0029 TAreaSeries.SetStackGroup"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 21 83 BB 04 04 00 00 00 74 18 8B 83 FC 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 04 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91768_0 {
	meta:
		name = "TAreaSeriesEditor.CBSmoothedClick"
		size = 35
	strings:
		$1 = { 53 8B D8 8B 83 00 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 04 04 00 00 8B 08 FF 91 9C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_91771_0 {
	meta:
		name = "TArrowSeriesEditor.CBColorEachClick"
		size = 90
		refs = "0054 TSeriesPointer.SetColor"
	strings:
		$1 = { 53 8B D8 8B 83 AC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D8 03 00 00 8B 08 FF 91 D4 00 00 00 8B 83 D8 03 00 00 0F B6 50 60 80 F2 01 8B 83 B0 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 D8 03 00 00 80 78 60 00 74 10 8B 80 9C 01 00 00 BA 00 00 00 20 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91772_0 {
	meta:
		name = "TArrowSeriesEditor.BBrushClick"
		size = 21
		refs = "0010 EditChartBrush"
	strings:
		$1 = { 8B 90 D8 03 00 00 8B 92 9C 01 00 00 8B 52 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91773_0 {
	meta:
		name = "TArrowSeriesEditor.SEArrowWidthChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TArrowSeries.SetArrowWidth"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 18 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91774_0 {
	meta:
		name = "TArrowSeriesEditor.SEArrowHeightChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TArrowSeries.SetArrowHeight"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 18 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91815_0 {
	meta:
		name = "TBackImageEditor.ELeftChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TBackImage.SetLeft"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 18 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91775_0 {
	meta:
		name = "TArrowSeriesEditor.SetLPercent"
		size = 120
		refs = "000c TArrowSeriesEditor.SetLPercent 0026 IntToStr 0033 @UStrCat 0041 TControl.SetText 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 D8 03 00 00 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 }
	condition:
		$1
}

rule function_91776_0 {
	meta:
		name = "TArrowSeriesEditor.FormShow"
		size = 228
		refs = "002c TArrowSeries.GetArrowWidth 0039 TCustomUpDown.SetPosition 0040 TArrowSeries.GetArrowHeight 005e TScrollBar.SetPosition 0065 TArrowSeriesEditor.SetLPercent 0079 TButtonPen.LinkPen 0084 TSeriesPointer.GetGradient 0091 TButtonGradient.LinkGradient 00a8 TArrowSeriesEditor.FormShow 00b9 TTeeButton.LinkProperty"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 89 83 D8 03 00 00 85 C0 0F 84 A8 00 00 00 8B F0 0F B6 56 60 8B 83 AC 03 00 00 8B 08 FF 91 FC 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 96 F8 01 00 00 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 86 9C 01 00 00 8B 50 0C 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B 86 9C 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 0F B6 96 FC 01 00 00 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 93 D8 03 00 00 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 72 00 69 00 65 00 73 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_91778_0 {
	meta:
		name = "TArrowSeriesEditor.SBPercentChange"
		size = 44
		refs = "001f TArrowSeries.SetPercent 0026 TArrowSeriesEditor.SetLPercent"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 1E 8B 83 C0 03 00 00 8B 90 7C 02 00 00 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91779_0 {
	meta:
		name = "TArrowSeriesEditor.ETranspChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TArrowSeries.SetTransp"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 18 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91782_0 {
	meta:
		name = "TAverageFuncEditor.ApplyFormChanges"
		size = 39
		refs = "0006 TTeeFunctionEditor.ApplyFormChanges 0021 TTeeFunction.SetIncludeNulls"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 B8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91783_0 {
	meta:
		name = "TAverageFuncEditor.SetFunction"
		size = 36
		refs = "0006 TTeeFunctionEditor.SetFunction"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 94 03 00 00 0F B6 50 38 8B 83 B8 03 00 00 8B 08 FF 91 FC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_91787_0 {
	meta:
		name = "TeeShowIncorrect"
		size = 98
		refs = "0012 TeeShowIncorrect 002b TeeMsg_IncorrectMaxMinValue 0034 Format 003c ShowMessage 0051 @UStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 5D F4 C6 45 F8 11 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91788_0 {
	meta:
		name = "TAxisIncrement.FormShow"
		size = 496
		refs = "0013 TAxisIncrement.FormShow 002b TControl.SetVisible 007c TeeMsg_EnterDateTime 0083 @UStrAsg 008a TAxisIncrement.SetEditText 00a9 TCustomRadioGroup.SetItemIndex 00cb TControl.SetText 014e @UStrClr 016b CurrencyString 0170 FloatToStr 019a TControl.SetTop 01bb TCustomEdit.SelectAll 01e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 93 AC 03 00 00 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B 83 90 03 00 00 83 B8 88 02 00 00 00 0F 94 C2 8B 83 A8 03 00 00 8B 08 FF 91 80 00 00 00 0F B6 93 AD 03 00 00 8B 83 A8 03 00 00 8B 08 FF 91 FC 00 00 00 80 BB AC 03 00 00 00 0F 84 A9 00 00 00 8B 83 98 03 00 00 05 88 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 BB AD 03 00 00 00 74 5B 80 BB B8 03 00 00 1B 74 52 33 D2 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 0F B6 93 B8 03 00 00 8B 83 94 03 00 00 8B 08 FF 91 FC 00 00 00 33 D2 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 98 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 94 03 00 00 8B 10 FF 92 F4 00 00 00 E9 DB 00 00 00 BA 01 00 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 83 CA FF 8B 83 94 03 00 00 8B 08 FF 91 FC 00 00 00 E9 B5 00 00 00 33 D2 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 90 03 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B 83 98 03 00 00 05 88 00 00 00 E8 ?? ?? ?? ?? DD 83 B0 03 00 00 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 8B 83 98 03 00 00 8B 70 4C 8B 93 A4 03 00 00 2B 72 4C BA 28 00 00 00 E8 ?? ?? ?? ?? 8B 83 98 03 00 00 8B 50 4C 2B D6 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 8B 83 98 03 00 00 8B 10 FF 92 F4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91789_0 {
	meta:
		name = "TAxisIncrement.SetEditText"
		size = 456
		refs = "0022 TAxisIncrement.SetEditText 003f DateTimeStep 0059 CurrencyString 005e TimeToStr 006c TControl.SetText 0099 Int 00b5 FloatToStr 00d5 Frac 011e TControl.GetText 0136 @UStrCatN 018f @UStrArrayClr 01a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 33 D2 89 55 BC 89 55 B8 89 55 FC 89 55 F8 89 55 F4 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 83 B0 03 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 37 A1 ?? ?? ?? ?? 8B 50 10 89 55 E8 8B 50 14 89 55 EC FF 75 EC FF 75 E8 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 98 03 00 00 E8 ?? ?? ?? ?? E9 04 01 00 00 DD 83 B0 03 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 82 BB 00 00 00 DD 83 B0 03 00 00 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D D0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 83 98 03 00 00 E8 ?? ?? ?? ?? DD 83 B0 03 00 00 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 84 90 00 00 00 DD 83 B0 03 00 00 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D C8 9B FF 75 CC FF 75 C8 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 B8 8B B3 98 03 00 00 8B C6 E8 ?? ?? ?? ?? FF 75 B8 68 ?? ?? ?? ?? FF 75 F4 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 BC 8B C6 E8 ?? ?? ?? ?? EB 33 8B 83 B0 03 00 00 89 45 C0 8B 83 B4 03 00 00 89 45 C4 FF 75 C4 FF 75 C0 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 80 3F B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_91790_0 {
	meta:
		name = "DoEnableControls"
		size = 112
	strings:
		$1 = { 55 8B EC 53 8B D8 8B D3 80 F2 01 8B 45 08 8B 40 FC 8B 80 98 03 00 00 8B 08 FF 91 80 00 00 00 8B 45 08 8B 40 FC 8B 80 A8 03 00 00 8B D3 8B 08 FF 91 FC 00 00 00 8B 45 08 8B 40 FC 88 98 AD 03 00 00 8B 45 08 8B 40 FC 8B 80 A8 03 00 00 8B D3 8B 08 FF 91 80 00 00 00 8B 45 08 8B 40 FC 8B 80 94 03 00 00 8B D3 8B 08 FF 91 80 00 00 00 5B 5D C3 }
	condition:
		$1
}

rule function_91791_0 {
	meta:
		name = "TAxisIncrement.RadioGroup1Click"
		size = 152
		refs = "0023 DoEnableControls 0080 TAxisIncrement.SetEditText"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 90 03 00 00 8B 80 88 02 00 00 83 E8 01 72 04 74 56 EB 76 55 B0 01 E8 ?? ?? ?? ?? 59 8B 45 FC 0F B6 80 B8 03 00 00 3C 1B 74 16 0F B6 D0 8B 45 FC 8B 80 94 03 00 00 8B 08 FF 91 FC 00 00 00 EB 13 8B 45 FC 8B 80 94 03 00 00 33 D2 8B 08 FF 91 FC 00 00 00 8B 45 FC 8B 80 94 03 00 00 8B 10 FF 92 F4 00 00 00 59 5D C3 55 33 C0 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 03 00 00 8B 10 FF 92 F4 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_91792_0 {
	meta:
		name = "TAxisIncrement.BOkClick"
		size = 722
		refs = "003c TAxisIncrement.BOkClick 008c DateTimeStep 00bc tmpSpace 00c1 @UStrLAsg 00cc TControl.GetText 00d7 Pos 010b @ValExt 013d CurrencyString 0145 StrToTime 0170 @HandleOnException 0178 _Dn_Exception 0195 StrToFloat 01ab @DoneExcept 01d5 @UStrCopy 0290 TeeShowIncorrect 02b2 @UStrArrayClr 02c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 74 FF FF FF 53 56 57 33 C9 89 8D 74 FF FF FF 89 8D 78 FF FF FF 89 8D 7C FF FF FF 89 4D FC 89 4D F8 89 4D F4 89 4D F0 89 4D EC 89 4D E8 89 4D E4 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E0 80 B8 AC 03 00 00 00 0F 84 D0 01 00 00 8B 45 E0 8B 80 90 03 00 00 83 B8 88 02 00 00 00 75 35 8B 45 E0 8B 80 94 03 00 00 8B 10 FF 92 F8 00 00 00 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 4D E0 8B 1C C2 89 99 B0 03 00 00 8B 5C C2 04 89 99 B4 03 00 00 E9 B9 01 00 00 8B 45 E0 8B 80 98 03 00 00 89 45 CC 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B 45 CC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 85 CF 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 95 7C FF FF FF 8B 45 CC E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 8D 55 DC E8 ?? ?? ?? ?? DD 5D D0 9B 83 7D DC 00 75 17 8B 45 E0 8B 55 D0 89 90 B0 03 00 00 8B 55 D4 89 90 B4 03 00 00 EB 32 8D 55 F4 8B 45 CC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? DD 5D C0 9B 8B 45 E0 8B 55 C0 89 90 B0 03 00 00 8B 55 C4 89 90 B4 03 00 00 33 C0 5A 59 59 64 89 10 E9 F5 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F0 8B 45 CC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? DB 7D B0 9B DB 6D B0 8B 45 E0 DD 98 B0 03 00 00 9B E8 ?? ?? ?? ?? E9 B0 00 00 00 8D 45 EC 50 8D 95 78 FF FF FF 8B 45 CC E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 8B CB 49 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? DB 7D A0 9B 8D 45 E8 50 8D 95 74 FF FF FF 8B 45 CC E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 8D 53 01 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? DD 5D 98 9B DB 6D A0 DC 45 98 8B 45 E0 DD 98 B0 03 00 00 9B EB 30 8D 55 E4 8B 45 E0 8B 80 98 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? DB 7D 80 9B DB 6D 80 8B 45 E0 DD 98 B0 03 00 00 9B 8B 45 E0 C7 80 C0 02 00 00 01 00 00 00 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 74 FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91793_0 {
	meta:
		name = "TAxisIncrement.CBExactClick"
		size = 86
		refs = "002a TCustomRadioGroup.SetItemIndex 0041 TAxisIncrement.SetEditText"
	strings:
		$1 = { 53 56 8B F0 8B 86 A8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D8 88 9E AD 03 00 00 84 DB 75 35 BA 01 00 00 00 8B 86 90 03 00 00 E8 ?? ?? ?? ?? B2 01 8B 86 98 03 00 00 8B 08 FF 91 80 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 98 03 00 00 8B 10 FF 92 F4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_91794_0 {
	meta:
		name = "TAxisIncrement.CBStepsChange"
		size = 25
	strings:
		$1 = { 53 8B D8 8B 83 94 03 00 00 8B 10 FF 92 F8 00 00 00 88 83 B8 03 00 00 5B C3 }
	condition:
		$1
}

rule function_91795_0 {
	meta:
		name = "GetDateTimeStepText"
		size = 111
		refs = "000d @UStrClr 001a _DV_TAxisIncrement 001f TCustomForm.Create 002a GetDateTimeStepText 005e TObject.Free 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 48 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 0F B6 D3 8B 45 FC 8B 80 94 03 00 00 8B 80 B4 02 00 00 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_91796_0 {
	meta:
		name = "GetIncrementText"
		size = 664
		refs = "0038 GetIncrementText 0051 FindDateTimeStep 006c GetDateTimeStepText 007a @UStrAsg 0093 DateTimeStep 00ad CurrencyString 00b2 TimeToStr 010d Int 0129 FloatToStr 0142 Frac 018e @UStrCatN 019e @UStrLAsg 01c1 FormatFloat 01fa StrToFloatDef 025d @UStrClr 026a @UStrArrayClr 0270 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 5C FF FF FF 53 56 33 DB 89 9D 5C FF FF FF 89 5D F8 89 5D F4 89 5D F0 89 5D EC 89 5D E8 89 5D E4 89 5D E0 89 5D DC 88 4D DB 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 D2 0F 84 4D 01 00 00 FF 75 14 FF 75 10 E8 ?? ?? ?? ?? 8B D8 80 7D DB 00 74 26 80 FB 1B 74 21 55 8B C3 8D 95 5C FF FF FF E8 ?? ?? ?? ?? 59 8B 95 5C FF FF FF 8B C6 E8 ?? ?? ?? ?? E9 C6 01 00 00 DD 45 10 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 33 A1 ?? ?? ?? ?? 8B 50 10 89 55 D0 8B 50 14 89 55 D4 FF 75 D4 FF 75 D0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? E9 84 01 00 00 DD 45 10 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 2E 8B 45 10 89 45 C8 8B 45 14 89 45 CC FF 75 CC FF 75 C8 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F4 E8 ?? ?? ?? ?? E9 47 01 00 00 DD 45 10 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DB 7D B0 9B 0F B7 45 B8 50 FF 75 B4 FF 75 B0 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F0 E8 ?? ?? ?? ?? DD 45 10 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 84 F3 00 00 00 DD 45 10 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D A8 9B FF 75 AC FF 75 A8 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 36 68 ?? ?? ?? ?? FF 75 EC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 B2 00 00 00 8D 45 E8 8B 55 0C E8 ?? ?? ?? ?? DD 45 10 DB 7D 90 9B 0F B7 45 98 50 FF 75 94 FF 75 90 8D 4D E4 8B 15 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B C6 8B 55 E4 E8 ?? ?? ?? ?? 8D 45 E0 8B 16 E8 ?? ?? ?? ?? 33 C0 89 45 80 89 45 84 66 89 45 88 0F B7 45 88 50 FF 75 84 FF 75 80 8B 15 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? DB BD 70 FF FF FF 9B DB AD 70 FF FF FF DC 5D 10 9B DF E0 9E 74 35 DD 45 10 DB BD 60 FF FF FF 9B 0F B7 85 68 FF FF FF 50 FF B5 64 FF FF FF FF B5 60 FF FF FF 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 DC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 8D 45 DC BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C2 10 00 00 00 00 00 00 00 00 00 80 3F B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_91798_0 {
	meta:
		name = "TAxisIncrement.ChangeIncrement"
		size = 365
		refs = "0015 TAxisIncrement.ChangeIncrement 0026 _DV_TAxisIncrement 002d TCustomForm.Create 004e _Dn_TCustomChart 0053 @AsClass 005d TCustomChart.AxisTitleOrName 006f TeeMsg_DesiredIncrement 0078 Format 0083 TControl.SetText 008a TChartAxis.IsDateTime 00cc FindDateTimeStep 00dd PositionToCenter 00e5 TeeTranslateControl 0109 TChartAxis.SetDesiredIncrement 011a TChartAxis.SetExactDateTime 0133 TObject.Free 0139 @HandleFinally 0150 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 DB 89 5D F4 89 5D E8 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8B 83 BC 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E8 8B D3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC C6 45 F0 11 8D 55 EC A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 88 82 AC 03 00 00 0F B6 83 8C 00 00 00 8B 55 F8 88 82 AD 03 00 00 8B 45 F8 8B 53 10 89 90 B0 03 00 00 8B 53 14 89 90 B4 03 00 00 8B 45 F8 FF B0 B4 03 00 00 FF B0 B0 03 00 00 E8 ?? ?? ?? ?? 8B 55 F8 88 82 B8 03 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 48 75 2B 8B 45 F8 FF B0 B4 03 00 00 FF B0 B0 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 0F B6 90 AD 03 00 00 8B C3 E8 ?? ?? ?? ?? C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 FF 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91801_0 {
	meta:
		name = "TAxisMaxMin.FormShow"
		size = 400
		refs = "0018 TAxisMaxMin.FormShow 0036 DTMinValue 0049 DtMaxValue 0071 CurrencyString 0076 DateToStr 0084 TControl.SetText 00b8 TimeToStr 00d8 @UStrClr 011a FloatToStr 0135 TControl.SetVisible 0149 TeeTranslateControl 0163 @UStrArrayClr 0169 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 C9 89 4D FC 89 4D F8 89 4D F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB A8 03 00 00 00 0F 84 9D 00 00 00 DD 83 B0 03 00 00 A1 ?? ?? ?? ?? DC 18 9B DF E0 9E 76 48 DD 83 B0 03 00 00 A1 ?? ?? ?? ?? DC 18 9B DF E0 9E 73 35 8B 83 B0 03 00 00 89 45 E8 8B 83 B4 03 00 00 89 45 EC FF 75 EC FF 75 E8 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 98 03 00 00 E8 ?? ?? ?? ?? EB 0D 33 D2 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 8B 83 B0 03 00 00 89 45 E0 8B 83 B4 03 00 00 89 45 E4 FF 75 E4 FF 75 E0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? EB 7A 8B 83 98 03 00 00 05 88 00 00 00 E8 ?? ?? ?? ?? 8B 83 9C 03 00 00 05 88 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? DD 83 B0 03 00 00 DB 7D D0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 56 00 61 00 6C 00 75 00 65 00 3A 00 00 00 00 00 }
	condition:
		$1
}

rule function_91802_0 {
	meta:
		name = "TAxisMaxMin.BitBtn1Click"
		size = 396
		refs = "0023 TAxisMaxMin.BitBtn1Click 0052 TControl.GetText 008c @UStrCatN 0092 CurrencyString 009a StrToDateTime 00ce StrToTime 0102 StrToFloat 0129 @HandleOnException 0131 _Dn_Exception 013d TeeShowIncorrect 0142 @DoneExcept 015c @UStrArrayClr 016f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 C9 89 4D C8 89 4D C4 89 4D CC 89 4D FC 89 4D F8 89 4D F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 BB A8 03 00 00 00 0F 84 A2 00 00 00 8D 55 CC 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 83 7D CC 00 74 5A 8D 55 C8 8B 83 98 03 00 00 E8 ?? ?? ?? ?? FF 75 C8 68 ?? ?? ?? ?? 8D 55 C4 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? FF 75 C4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DD 5D E8 9B 8B 45 E8 89 83 B0 03 00 00 8B 45 EC 89 83 B4 03 00 00 EB 5E 8D 55 F8 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DD 5D E0 9B 8B 45 E0 89 83 B0 03 00 00 8B 45 E4 89 83 B4 03 00 00 EB 2A 8D 55 F4 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? DB 7D D0 9B DB 6D D0 DD 9B B0 03 00 00 9B C7 83 C0 02 00 00 01 00 00 00 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 40 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_91806_0 {
	meta:
		name = "InsertImageEditor"
		size = 34
		refs = "0009 _DV_TBackImageEditor 000e TCustomForm.Create 0019 AddFormTo"
	strings:
		$1 = { 53 56 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_91807_0 {
	meta:
		name = "EditTeePicture"
		size = 118
		refs = "000e _DV_TBackImageEditor 0013 TCustomForm.Create 001e EditTeePicture 0032 TControl.Show 003c TBackImageEditor.RefreshControls 0061 TObject.Free 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 48 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_91808_0 {
	meta:
		name = "TBackImageEditor.RefreshControls"
		size = 174
		refs = "0010 _Dn_TBackImage 0015 @IsClass 0028 TCustomRadioGroup.SetItemIndex 003c TCustomUpDown.SetPosition 0057 TBackImageEditor.EnableImageControls"
	strings:
		$1 = { 53 56 8B D8 8B F2 89 B3 D8 03 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 0F B6 56 40 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B 83 D8 03 00 00 8B 50 3C 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 83 D8 03 00 00 8B 50 44 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 D8 03 00 00 83 78 0C 00 0F 95 C2 8B 83 98 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 98 03 00 00 8B 10 FF 52 68 84 C0 74 12 8B 83 D8 03 00 00 8B 40 0C 8B 10 FF 52 2C 84 C0 75 04 33 D2 EB 02 B2 01 8B 83 98 03 00 00 8B 08 FF 91 FC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_91809_0 {
	meta:
		name = "TBackImageEditor.RGBitmapClick"
		size = 36
		refs = "0017 TBackImage.SetMode 001e TBackImageEditor.EnableImageControls"
	strings:
		$1 = { 53 8B D8 8B 83 90 03 00 00 0F B6 90 88 02 00 00 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91810_0 {
	meta:
		name = "TBackImageEditor.EnableImageControls"
		size = 488
		refs = "001c TBackImageEditor.EnableImageControls 00a3 _Dn_TBackImage 00a8 @IsClass 00b7 TControl.Hide 00fc EnableControls 0114 TControl.SetVisible 0143 TPicture.GetWidth 014b IntToStr 015e TPicture.GetHeight 0176 @UStrCatN 0180 TControl.SetText 0197 GraphicExtension 01ac TBackImageEditor.SetBrowseCaption 01c6 @UStrArrayClr 01cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 D2 89 55 E0 89 55 EC 89 55 E8 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 D8 03 00 00 83 78 0C 00 0F 95 C2 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 8B B3 98 03 00 00 80 7E 61 00 74 4C 8B 83 90 03 00 00 8B 10 FF 52 68 8B D0 8B C6 8B 08 FF 91 80 00 00 00 8B 83 98 03 00 00 8B 10 FF 52 68 84 C0 74 12 8B 83 D8 03 00 00 8B 40 0C 8B 10 FF 52 2C 84 C0 75 04 33 D2 EB 02 B2 01 8B 83 98 03 00 00 8B 08 FF 91 FC 00 00 00 8B B3 D8 03 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 18 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? EB 38 80 7E 40 03 0F 94 C0 8B 93 B4 03 00 00 89 55 F0 8B 93 BC 03 00 00 89 55 F4 8B 93 B8 03 00 00 89 55 F8 8B 93 C0 03 00 00 89 55 FC 8D 55 F0 B9 03 00 00 00 E8 ?? ?? ?? ?? 8B 83 90 03 00 00 8B 10 FF 52 68 8B D0 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 8B 83 90 03 00 00 8B 10 FF 52 68 8B D0 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 8B B3 C4 03 00 00 80 7E 61 00 74 6D 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? FF 75 E4 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 83 D8 03 00 00 8B 40 0C 8B 00 89 C6 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 55 E0 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule function_91811_0 {
	meta:
		name = "TBackImageEditor.SetBrowseCaption"
		size = 87
		refs = "000a TTeePicture.Filtered 002f TeeMsg_ClearImage 003c TControl.SetText 0044 TeeMsg_BrowseImage"
	strings:
		$1 = { 53 8B D8 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 A4 03 00 00 8B 80 B8 01 00 00 8B 08 FF 51 08 8B 83 D8 03 00 00 83 78 0C 00 74 15 8B 15 ?? ?? ?? ?? 8B 12 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 5B C3 8B 15 ?? ?? ?? ?? 8B 12 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91812_0 {
	meta:
		name = "TBackImageEditor.BBrowseClick"
		size = 49
		refs = "0012 TPicture.SetGraphic 001d TeeLoadClearImage 0024 TBackImageEditor.SetBrowseCaption 002b TBackImageEditor.EnableImageControls"
	strings:
		$1 = { 53 8B D8 8B 83 D8 03 00 00 83 78 0C 00 74 09 33 D2 E8 ?? ?? ?? ?? EB 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91813_0 {
	meta:
		name = "TBackImageEditor.CBTranspClick"
		size = 50
	strings:
		$1 = { 53 8B D8 8B 83 98 03 00 00 8B 10 FF 52 68 84 C0 74 1E 8B 83 98 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D8 03 00 00 8B 40 0C 8B 08 FF 51 40 5B C3 }
	condition:
		$1
}

rule function_91814_0 {
	meta:
		name = "TBackImageEditor.Button1Click"
		size = 40
		refs = "000c ShowFiltersEditor 001b TTeePicture.Repaint 0022 TBackImageEditor.SetBrowseCaption"
	strings:
		$1 = { 53 8B D8 8B 93 D8 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91816_0 {
	meta:
		name = "TBackImageEditor.ETopChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TBackImage.SetTop"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 18 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91817_0 {
	meta:
		name = "TBackImageEditor.FormShow"
		size = 31
		refs = "0012 TBackImageEditor.RefreshControls 0019 TeeTranslateControl"
	strings:
		$1 = { 53 8B D8 8B 83 D8 03 00 00 85 C0 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91820_0 {
	meta:
		name = "TBarSeriesEditor.FormShow"
		size = 612
		refs = "003a TCustomUpDown.SetPosition 00b4 TCustomBarSeries.GetBarPen 00c1 TButtonPen.LinkPen 011b TTrackBar.SetPosition 0126 InsertTeeShadowEditor 0131 TTeeShadowEditor.RefreshControls 013c InsertTeeEmbossEditor 01de TeeOnChangeVisual 01ef @CallDynaInst 0204 TTabSheet.SetTabVisible 020b TBarSeriesEditor.CheckControls 0210 TBarSeriesEditor.FormShow 0221 TTeeButton.LinkProperty 0228 TBarSeriesEditor.RefreshShape 022f TBarSeriesEditor.AddStackBarEditor"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 0C 89 83 54 04 00 00 85 C0 0F 84 1D 02 00 00 8B F8 0F B6 97 73 01 00 00 8B 83 A0 03 00 00 8B 08 FF 91 FC 00 00 00 8B 97 74 01 00 00 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 8B 97 94 01 00 00 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8B 97 88 01 00 00 8B 83 E0 03 00 00 E8 ?? ?? ?? ?? 0F B6 57 60 8B 83 AC 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 97 71 01 00 00 8B 83 E8 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 97 80 01 00 00 8B 83 BC 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 97 A8 01 00 00 8B 83 E4 03 00 00 8B 08 FF 91 FC 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 8B 97 B0 01 00 00 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 97 78 01 00 00 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 8B 97 84 01 00 00 8B 83 0C 04 00 00 E8 ?? ?? ?? ?? 0F B6 97 90 01 00 00 8B 83 10 04 00 00 8B 08 FF 91 FC 00 00 00 0F B6 97 B4 01 00 00 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? 8B 97 A4 01 00 00 E8 ?? ?? ?? ?? 8B 83 2C 04 00 00 E8 ?? ?? ?? ?? 8B 97 8C 01 00 00 E8 ?? ?? ?? ?? 0F B6 97 92 01 00 00 8B 83 20 04 00 00 8B 08 FF 91 FC 00 00 00 0F B6 97 92 01 00 00 8B 83 24 04 00 00 8B 08 FF 91 80 00 00 00 0F B6 97 92 01 00 00 8B 83 28 04 00 00 8B 08 FF 91 80 00 00 00 0F B6 97 91 01 00 00 8B 83 28 04 00 00 8B 08 FF 91 FC 00 00 00 80 BF 73 01 00 00 0E 0F 94 C2 8B 83 38 04 00 00 8B 08 FF 91 FC 00 00 00 8B 97 A0 01 00 00 8B 83 40 04 00 00 E8 ?? ?? ?? ?? 0F B6 97 72 01 00 00 8B 83 48 04 00 00 8B 08 FF 91 FC 00 00 00 A1 ?? ?? ?? ?? 83 38 00 74 10 8B 47 40 66 BE A7 FF E8 ?? ?? ?? ?? 85 C0 75 04 33 D2 EB 02 B2 01 8B 83 4C 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 93 54 04 00 00 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 50 04 00 00 00 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 72 00 69 00 65 00 73 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_91821_0 {
	meta:
		name = "TBarSeriesEditor.AddStackBarEditor"
		size = 56
		refs = "000f TeeMsg_Stack 001f _Dn_TStackBarSeriesEditor 0027 _Dn_TFormTeeSeries 002c TFormTeeSeries.InsertSeriesForm"
	strings:
		$1 = { 53 8B D8 83 BB 58 04 00 00 00 75 2A 6A 01 A1 ?? ?? ?? ?? 8B 00 50 8B 83 54 04 00 00 50 8B 0D ?? ?? ?? ?? 8B 53 38 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 58 04 00 00 5B C3 }
	condition:
		$1
}

rule function_91822_0 {
	meta:
		name = "TBarSeriesEditor.RefreshShape"
		size = 61
	strings:
		$1 = { 56 8B F0 8B 86 54 04 00 00 0F B6 50 60 80 F2 01 8B 86 B0 03 00 00 8B 08 FF 91 80 00 00 00 8B 86 B0 03 00 00 8B 10 FF 52 68 84 C0 74 0E 8B 86 B0 03 00 00 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_91823_0 {
	meta:
		name = "TBarSeriesEditor.SEBarwidthChange"
		size = 47
		refs = "001c TCustomUpDown.GetPosition 0029 TCustomBarSeries.SetBarWidthPercent"
	strings:
		$1 = { 53 8B D8 80 BB 50 04 00 00 00 75 21 83 BB 54 04 00 00 00 74 18 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91824_0 {
	meta:
		name = "TBarSeriesEditor.CheckControls"
		size = 65
		refs = "0039 EnableControls"
	strings:
		$1 = { 83 C4 F4 8B 90 54 04 00 00 80 BA 73 01 00 00 08 0F 94 C2 8B 88 F8 03 00 00 89 0C 24 8B 88 FC 03 00 00 89 4C 24 04 8B 80 00 04 00 00 89 44 24 08 8B C4 B9 02 00 00 00 92 E8 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_91825_0 {
	meta:
		name = "TBarSeriesEditor.CBBarStyleChange"
		size = 82
		refs = "0023 TCustomBarSeries.SetBarStyle 002a TBarSeriesEditor.CheckControls"
	strings:
		$1 = { 53 8B D8 80 BB 50 04 00 00 00 75 44 8B 83 A0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 A0 03 00 00 8B 10 FF 92 F8 00 00 00 83 F8 0E 0F 94 C2 8B 83 38 04 00 00 8B 08 FF 91 FC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_91826_0 {
	meta:
		name = "TBarSeriesEditor.BBarBrushClick"
		size = 25
		refs = "000a TCustomBarSeries.GetBarBrush 0013 EditChartBrush"
	strings:
		$1 = { 53 8B D8 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91827_0 {
	meta:
		name = "TBarSeriesEditor.CBColorEachClick"
		size = 51
		refs = "002d TBarSeriesEditor.RefreshShape"
	strings:
		$1 = { 53 8B D8 80 BB 50 04 00 00 00 75 25 8B 83 AC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 54 04 00 00 8B 08 FF 91 D4 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91828_0 {
	meta:
		name = "TBarSeriesEditor.CBDarkBarClick"
		size = 41
		refs = "0023 TCustomBarSeries.SetDark3D"
	strings:
		$1 = { 53 8B D8 80 BB 50 04 00 00 00 75 1B 8B 83 BC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91829_0 {
	meta:
		name = "TBarSeriesEditor.CBBarSideMarginsClick"
		size = 41
		refs = "0023 TCustomBarSeries.SetSideMargins"
	strings:
		$1 = { 53 8B D8 80 BB 50 04 00 00 00 75 1B 8B 83 E4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91830_0 {
	meta:
		name = "TBarSeriesEditor.SEBarOffsetChange"
		size = 47
		refs = "001c TCustomUpDown.GetPosition 0029 TCustomBarSeries.SetOffsetPercent"
	strings:
		$1 = { 53 8B D8 80 BB 50 04 00 00 00 75 21 83 BB 54 04 00 00 00 74 18 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91831_0 {
	meta:
		name = "TBarSeriesEditor.CBMarksAutoPositionClick"
		size = 32
		refs = "001a TCustomBarSeries.SetAutoMarkPosition"
	strings:
		$1 = { 53 8B D8 8B 83 E8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91832_0 {
	meta:
		name = "TBarSeriesEditor.FormCreate"
		size = 38
		refs = "0017 TPageControl.SetActivePage 0020 TControl.SetAlign"
	strings:
		$1 = { 53 8B D8 C6 83 50 04 00 00 01 8B 93 94 03 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? B2 05 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91833_0 {
	meta:
		name = "TBarSeriesEditor.BGradientClick"
		size = 29
		refs = "000c TCustomBarSeries.GetGradient 0017 EditTeeGradient"
	strings:
		$1 = { 53 8B D8 6A 00 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91834_0 {
	meta:
		name = "TBarSeriesEditor.EBevelChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TCustomBarSeries.SetBevelSize"
	strings:
		$1 = { 53 8B D8 80 BB 50 04 00 00 00 75 18 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91835_0 {
	meta:
		name = "TBarSeriesEditor.Edit1Change"
		size = 47
		refs = "001c TCustomUpDown.GetPosition 0029 TCustomBarSeries.SetDepthPercent"
	strings:
		$1 = { 53 8B D8 80 BB 50 04 00 00 00 75 21 83 BB 54 04 00 00 00 74 18 8B 83 E0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91836_0 {
	meta:
		name = "TBarSeriesEditor.FormDestroy"
		size = 19
		refs = "000e TObject.Free"
	strings:
		$1 = { 05 58 04 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91837_0 {
	meta:
		name = "TBarSeriesEditor.Edit2Change"
		size = 46
		refs = "001e TCustomUpDown.GetPosition 0027 TCustomBarSeries.SetDarkPen"
	strings:
		$1 = { 53 56 8B D8 80 BB 50 04 00 00 00 75 1E 8B B3 54 04 00 00 85 F6 74 14 8B 83 0C 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91838_0 {
	meta:
		name = "TBarSeriesEditor.CBRelativeClick"
		size = 32
		refs = "001a TCustomBarSeries.SetGradientRelative"
	strings:
		$1 = { 53 8B D8 8B 83 10 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91839_0 {
	meta:
		name = "TBarSeriesEditor.TBTranspChange"
		size = 25
		refs = "0014 TCustomBarSeries.SetTransparency"
	strings:
		$1 = { 8B 90 18 04 00 00 0F B6 92 98 02 00 00 8B 80 54 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91840_0 {
	meta:
		name = "TBarSeriesEditor.cbMarksOnBarClick"
		size = 114
		refs = "0026 TCustomBarSeries.SetMarksOnBar 006b TBarSeriesEditor.cbLocationChange"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 BB 50 04 00 00 00 75 60 8B 83 20 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 8B 83 20 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 24 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 20 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 28 04 00 00 8B 08 FF 91 80 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91841_0 {
	meta:
		name = "TBarSeriesEditor.cbLocationChange"
		size = 41
		refs = "0023 TCustomBarSeries.SetMarksLocation"
	strings:
		$1 = { 53 8B D8 80 BB 50 04 00 00 00 75 1B 8B 83 28 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91842_0 {
	meta:
		name = "TBarSeriesEditor.CBRoundClick"
		size = 225
		refs = "003f TBarSeriesEditor.CBBarStyleChange 00db TBarSeriesEditor.cbBarRoundChange"
	strings:
		$1 = { 53 8B D8 8B 83 38 04 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 15 BA 0E 00 00 00 8B 83 A0 03 00 00 8B 08 FF 91 FC 00 00 00 EB 10 33 D2 8B 83 A0 03 00 00 8B 08 FF 91 FC 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 83 38 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 40 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 40 04 00 00 8B 10 FF 52 68 8B D0 8B 83 3C 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 38 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 44 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 38 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 34 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 38 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 48 04 00 00 8B 08 FF 91 80 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91843_0 {
	meta:
		name = "TBarSeriesEditor.ERoundSizeChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TCustomBarSeries.SetRoundSize"
	strings:
		$1 = { 53 8B D8 80 BB 50 04 00 00 00 75 18 8B 83 40 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91844_0 {
	meta:
		name = "TBarSeriesEditor.cbBarRoundChange"
		size = 41
		refs = "0023 TCustomBarSeries.SetBarRound"
	strings:
		$1 = { 53 8B D8 80 BB 50 04 00 00 00 75 1B 8B 83 48 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91845_0 {
	meta:
		name = "TBarSeriesEditor.PageControl1Change"
		size = 112
		refs = "0026 _Dn_TVisualsEditor 002b TCustomForm.Create 003c TControl.SetAlign 0052 TBarSeriesEditor.ChangedVisual 0069 AddFormTo"
	strings:
		$1 = { 53 56 8B D8 8B 83 90 03 00 00 8B 80 DC 02 00 00 3B 83 4C 04 00 00 75 55 83 BB 5C 04 00 00 00 75 4C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 5C 04 00 00 B2 05 8B C6 E8 ?? ?? ?? ?? 8B 83 5C 04 00 00 89 98 AC 03 00 00 C7 80 A8 03 00 00 ?? ?? ?? ?? 8B 93 54 04 00 00 8B 8A 9C 00 00 00 8B 93 4C 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91846_0 {
	meta:
		name = "TBarSeriesEditor.ChangedVisual"
		size = 66
		refs = "0018 TCustomBarSeries.SetBarStyle"
	strings:
		$1 = { 53 8B D8 8B 83 54 04 00 00 8B 90 9C 00 00 00 83 7A 14 00 74 09 B2 0D E8 ?? ?? ?? ?? EB 07 33 D2 E8 ?? ?? ?? ?? 8B 83 54 04 00 00 0F B6 90 73 01 00 00 8B 83 A0 03 00 00 8B 08 FF 91 FC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_91851_0 {
	meta:
		name = "TBaseFunctionEditor.EnableApply"
		size = 24
	strings:
		$1 = { 8B 50 04 85 D2 74 10 8B 82 A0 03 00 00 B2 01 8B 08 FF 91 80 00 00 00 C3 }
	condition:
		$1
}

rule function_91852_0 {
	meta:
		name = "Series"
		size = 20
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 40 04 8B 80 F4 03 00 00 5D C3 }
	condition:
		$1
}

rule function_91853_0 {
	meta:
		name = "TBaseFunctionEditor.FormCloseQuery"
		size = 139
		refs = "001e TTeeFuncEditor.FunctionClass 0025 Series 002c CreateNewTeeFunction 0045 TTeeFunction.BeginUpdate 0057 TTeeFunction.EndUpdate"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 45 FC 8B 45 FC 83 B8 94 03 00 00 00 75 22 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 50 55 E8 ?? ?? ?? ?? 59 5A E8 ?? ?? ?? ?? 8B 55 FC 89 82 94 03 00 00 8B 45 FC 8B 98 94 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 28 01 00 00 8B C3 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 83 B8 C4 00 00 00 00 75 18 55 E8 ?? ?? ?? ?? 59 8B 55 FC 8B 92 94 03 00 00 8B 08 FF 91 7C 01 00 00 C6 06 01 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_91854_0 {
	meta:
		name = "TBaseFunctionEditor.FormShow"
		size = 65
	strings:
		$1 = { 53 8B D8 C6 83 90 03 00 00 01 8B 43 0C 89 83 94 03 00 00 85 C0 74 21 8B C3 8B 10 FF 92 2C 01 00 00 8B 43 04 85 C0 74 10 8B 80 A0 03 00 00 33 D2 8B 08 FF 91 80 00 00 00 C6 83 90 03 00 00 00 5B C3 }
	condition:
		$1
}

rule function_91855_0 {
	meta:
		name = "TBaseFunctionEditor.FillSeries"
		size = 37
		refs = "0020 FillSeriesItems"
	strings:
		$1 = { 8B 88 94 03 00 00 8B 49 4C 85 C9 74 17 83 79 40 00 74 11 8B 41 40 8B 80 B4 03 00 00 B1 01 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91858_0 {
	meta:
		name = "TBMPOptions.CBMonoClick"
		size = 45
		refs = "0027 TBMPOptions.Preview"
	strings:
		$1 = { 53 8B D8 8B 83 90 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 80 F2 01 8B 83 98 03 00 00 8B 08 FF 91 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91861_0 {
	meta:
		name = "TBMPExportFormat.FileExtension"
		size = 40
		refs = "0006 TBMPExportFormat.FileExtension 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 62 00 6D 00 70 00 00 00 }
	condition:
		$1
}

rule function_91862_0 {
	meta:
		name = "TBMPExportFormat.Bitmap"
		size = 44
		refs = "0009 TBMPExportFormat.CheckProperties 0017 TBMPExportFormat.InternalGetBitmap 0023 TFilterItems.ApplyTo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 F6 74 03 89 73 18 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 14 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_91863_0 {
	meta:
		name = "TBMPExportFormat.InternalGetBitmap"
		size = 125
		refs = "000a TTeeExportFormat.CheckSize 0043 TCustomUpDown.GetPosition 0055 TCustomTeePanel.TeeCreateBitmap 0071 TBitmap.SetMonochrome"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 04 24 33 C0 89 44 24 04 8B 43 10 89 44 24 08 8B 43 0C 89 44 24 0C 8B 43 18 8B 80 98 03 00 00 8B 10 FF 92 F8 00 00 00 50 8B 43 18 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 50 8D 4C 24 08 8B 73 04 8B 56 74 8B C6 E8 ?? ?? ?? ?? 8B F0 8B 43 18 8B 80 90 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_91864_0 {
	meta:
		name = "TBMPExportFormat.CheckProperties"
		size = 38
		refs = "000f _DV_TBMPOptions 0014 TCustomForm.Create"
	strings:
		$1 = { 53 56 8B D8 83 7B 18 00 75 19 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 18 89 9E B4 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_91865_0 {
	meta:
		name = "TBMPExportFormat.Options"
		size = 19
		refs = "000a TBMPExportFormat.CheckProperties"
	strings:
		$1 = { 53 8B D8 84 D2 74 07 8B C3 E8 ?? ?? ?? ?? 8B 43 18 5B C3 }
	condition:
		$1
}

rule function_91866_0 {
	meta:
		name = "TBMPExportFormat.DoCopyToClipboard"
		size = 73
		refs = "0007 TBMPExportFormat.Bitmap 0012 TBMPExportFormat.DoCopyToClipboard 001d Clipboard 003a TObject.Free 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 33 D2 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_91867_0 {
	meta:
		name = "TBMPExportFormat.SaveToStream"
		size = 10
	strings:
		$1 = { 53 33 C9 8B 18 FF 53 28 5B C3 }
	condition:
		$1
}

rule function_91868_0 {
	meta:
		name = "TBMPExportFormat.SaveToStream"
		size = 74
		refs = "000a TBMPExportFormat.Bitmap 0015 TBMPExportFormat.SaveToStream 003a TObject.Free 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 8B D1 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_91870_0 {
	meta:
		name = "TBMPExportFormat.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TTeeExportFormat.Create 001c _Dn_TTeeFilter 0026 _Dn_TFilterItems 002b TOwnedCollection.Create 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_91872_0 {
	meta:
		name = "TeeSaveToBitmap"
		size = 224
		refs = "0016 TeeSaveToBitmap 0026 @UStrFromWStr 0031 ExtractFileExt 0044 @UStrCat 004d _DV_TBMPOptions 0052 TCustomForm.Create 0062 TCustomUpDown.SetPosition 008c _DV_TBMPExportFormat 0094 TTeeExportFormat.SaveToFile 00a9 @UStrClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D9 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 83 7D F4 00 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 86 A8 03 00 00 8B 55 08 E8 ?? ?? ?? ?? 8B 43 08 2B 03 8B 53 0C 2B 53 04 85 C0 7F 06 8B 45 F8 8B 40 50 85 D2 7F 06 8B 55 F8 8B 52 54 56 50 52 8B 4D FC A1 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 62 00 6D 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_91873_0 {
	meta:
		name = "TBMPOptions.FormCreate"
		size = 17
	strings:
		$1 = { 33 D2 8B 80 98 03 00 00 8B 08 FF 91 FC 00 00 00 C3 }
	condition:
		$1
}

rule function_91874_0 {
	meta:
		name = "TBMPOptions.FormShow"
		size = 28
		refs = "0016 TBMPOptions.Preview"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 98 03 00 00 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91875_0 {
	meta:
		name = "TBMPOptions.Preview"
		size = 94
		refs = "0014 TBMPExportFormat.Bitmap 001f TBMPOptions.Preview 0039 TPicture.SetGraphic 004e TObject.Free 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B 83 B4 03 00 00 85 C0 74 49 33 D2 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A4 03 00 00 8B 80 B8 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_91876_0 {
	meta:
		name = "TBMPOptions.Button1Click"
		size = 98
		refs = "000e TBMPExportFormat.InternalGetBitmap 0019 TBMPOptions.Button1Click 0032 ShowFiltersEditor 003d TBMPOptions.Preview 0052 TObject.Free 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 B4 03 00 00 8B 48 14 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_91880_0 {
	meta:
		name = "EditTeeFont"
		size = 124
		refs = "0012 _Dn_TFontDialog 0017 TFontDialog.Create 0022 EditTeeFont 0067 TObject.Free 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 8B F2 C6 45 FF 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 70 8B D6 8B 08 FF 51 08 8B 45 F8 8B 10 FF 52 50 84 C0 74 11 8B 45 F8 8B 50 70 8B C6 8B 08 FF 51 08 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5E 59 59 5D C3 }
	condition:
		$1
}

rule function_91881_0 {
	meta:
		name = "EditChartBrush"
		size = 124
		refs = "000f _DV_TBrushDialog 0014 TeeCreateForm 001f @AsClass 002a EditChartBrush 0041 TeeTranslateControl 0066 TObject.Free 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 B0 00 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 48 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_91882_0 {
	meta:
		name = "EditChartBrushLinkedColor"
		size = 147
		refs = "000f _DV_TBrushDialog 0014 TeeCreateForm 001f @AsClass 002a EditChartBrushLinkedColor 0056 TeeTranslateControl 007b TObject.Free 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 08 89 90 F0 03 00 00 8B 55 0C 89 90 F4 03 00 00 8B 45 F8 89 B0 00 04 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 48 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_91883_0 {
	meta:
		name = "TeeGetPictureFileName"
		size = 104
		refs = "000d @UStrClr 0016 _Dn_TOpenPictureDialog 001b TOpenPictureDialog.Create 0026 TeeGetPictureFileName 0042 TOpenDialog.GetFileName 0057 TObject.Free 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 8B C3 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 50 84 C0 74 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_91884_0 {
	meta:
		name = "TeeLoadClearImage"
		size = 102
		refs = "000f TeeLoadClearImage 0030 TeeGetPictureFileName 0040 TPicture.LoadFromFile 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 74 0B 33 D2 8B C3 8B 08 FF 51 08 EB 1A 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_91885_0 {
	meta:
		name = "TBrushDialog.RedrawShape"
		size = 127
	strings:
		$1 = { 53 56 8B D8 8B 83 00 04 00 00 8B 40 10 0F B6 40 20 3C 01 0F 95 C2 8B 83 BC 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 BC 03 00 00 8B 10 FF 52 68 8B D0 8B 83 CC 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 00 04 00 00 81 78 18 FF FF FF 1F 0F 94 C2 8B 83 D0 03 00 00 8B 08 FF 91 FC 00 00 00 8B B3 D0 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 80 F2 01 8B C6 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_91886_0 {
	meta:
		name = "TBrushDialog.FormShow"
		size = 292
		refs = "0014 _Dn_TChartBrush 0019 TChartBrush.Create 0045 TChartBrush.GetImage 0081 TBrushDialog.FormShow 0092 TTeeButton.LinkProperty 00b3 TChartBrush.GetGradient 00bd _Dn_TTeeGradientEditor 00c2 TTeeGradientEditor.CreateCustom 00d7 AddFormTo 00de TBrushDialog.CheckImageButton 00e5 TBrushDialog.RedrawShape"
	strings:
		$1 = { 53 56 8B D8 83 BB F8 03 00 00 00 75 16 6A 00 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 F8 03 00 00 8B 83 00 04 00 00 85 C0 0F 84 B8 00 00 00 8B D0 8B 83 F8 03 00 00 8B 08 FF 51 08 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 83 78 0C 00 74 13 83 CA FF 8B 83 90 03 00 00 8B 08 FF 91 FC 00 00 00 EB 1E 8B 83 00 04 00 00 8B 40 10 0F B6 50 20 83 E2 7F 8B 83 90 03 00 00 8B 08 FF 91 FC 00 00 00 B9 ?? ?? ?? ?? 8B 93 00 04 00 00 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 93 00 04 00 00 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 FC 03 00 00 8B 93 E4 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 42 00 61 00 63 00 6B 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_91887_0 {
	meta:
		name = "TBrushDialog.AddDialog"
		size = 72
		refs = "000d _DV_TBrushDialog 0012 TCustomForm.Create 001d TControl.SetAlign 0030 TControl.SetVisible 0039 AddFormTo 0040 TeeTranslateControl"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B 4E 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 05 8B C3 E8 ?? ?? ?? ?? 89 BB 00 04 00 00 33 D2 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91888_0 {
	meta:
		name = "TBrushDialog.Button3Click"
		size = 36
	strings:
		$1 = { 53 8B D8 8B 83 00 04 00 00 85 C0 74 0B 8B 93 F8 03 00 00 8B 08 FF 51 08 C7 83 C0 02 00 00 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_91889_0 {
	meta:
		name = "TBrushDialog.Button1Click"
		size = 347
		refs = "000e TBrushDialog.Button1Click 0049 TChartBrush.GetImage 005b TBrush.GetBitmap 0060 TObject.Free 006d TBrush.SetBitmap 007a TControl.SetText 0089 TeeGetPictureFileName 00a6 TPicture.LoadFromFile 00ba _Dn_TBitmap 00bf @IsClass 00cf TBitmap.Create 00e1 TPicture.GetHeight 00f2 TPicture.GetWidth 00fc TeeSetBitmapSize 0112 TBitmap.GetCanvas 012d TPicture.SetBitmap 0134 TBrushDialog.CheckImageButton 0149 @UStrClr 014f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 00 04 00 00 8B 40 10 0F B6 50 20 83 E2 7F 8B 83 90 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 C8 03 00 00 83 78 0C 01 75 41 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 08 8B 83 00 04 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? E9 AE 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 9A 00 00 00 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 6A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 83 00 04 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 83 00 04 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 8B 40 0C 50 8B C6 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 38 FF 57 44 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_91890_0 {
	meta:
		name = "SetImage"
		size = 356
		refs = "0012 SetImage 0031 TeeMsg_ClearImage 0038 TControl.SetText 0059 _Dn_TPicture 005e @IsClass 006f @AsClass 0081 IntToStr 00a8 @UStrCatN 00c6 _Dn_TBitmap 0142 @UStrArrayClr 0148 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 C8 03 00 00 C7 40 0C 01 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 C4 03 00 00 8B 80 B8 01 00 00 8B D3 8B 08 FF 51 08 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 58 0C 8B C3 8B 10 FF 52 30 8D 55 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC 8B 80 E8 03 00 00 E8 ?? ?? ?? ?? EB 6A 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 59 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 30 8D 55 EC E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 8D 55 E8 E8 ?? ?? ?? ?? FF 75 E8 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 8B 40 FC 8B 80 E8 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 78 00 00 00 }
	condition:
		$1
}

rule function_91891_0 {
	meta:
		name = "TBrushDialog.CheckImageButton"
		size = 154
		refs = "0011 TChartBrush.GetImage 002b SetImage 003d TBrush.GetBitmap 006c TeeMsg_BrowseImage 0073 TControl.SetText 0083 TImage.SetPicture"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 00 04 00 00 E8 ?? ?? ?? ?? 83 78 0C 00 74 18 55 8B 45 FC 8B 80 00 04 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C3 8B 45 FC 8B 80 00 04 00 00 E8 ?? ?? ?? ?? 85 C0 74 17 55 8B 45 FC 8B 80 00 04 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 EB 3B 8B 45 FC 8B 80 C8 03 00 00 33 D2 89 50 0C 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E8 03 00 00 33 D2 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_91893_0 {
	meta:
		name = "TBrushDialog.LStyleDrawItem"
		size = 467
		refs = "0022 TBrushDialog.LStyleDrawItem 0064 TBrush.SetStyle 0071 TBrush.SetColor 007e TCanvas.GetHandle 0084 SetBkColor 0094 SetBkMode 00a2 GetTextColor 00b5 SetTextColor 00f6 TBrushDialog.GetInternalBrush 012d TObject.Free 0133 @HandleFinally 014b TBrush.GetBitmap 0177 TControlCanvas.UpdateTextFlags 01be @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D C8 8B 75 0C 8D 7D DC A5 A5 A5 A5 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 90 03 00 00 8B 80 98 02 00 00 89 45 EC 8D 55 DC 8B 45 EC 8B 08 FF 51 54 83 7D F8 01 0F 84 13 01 00 00 83 7D F8 07 7F 1C 0F B6 55 F8 8B 45 EC 8B 40 48 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 48 33 D2 E8 ?? ?? ?? ?? 68 FF FF FF 00 8B 45 EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6A 01 8B 45 EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 F4 6A 00 8B 45 EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 DC 8B D0 83 C2 02 89 55 CC 8B 55 E0 83 C2 02 89 55 D0 83 C0 10 89 45 D4 8B 45 E8 83 E8 02 89 45 D8 8D 75 CC 8D 7D DC A5 A5 A5 A5 83 7D F8 07 7E 4D 8B 55 F8 83 EA 08 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 DC 8B 4D F0 8B 45 EC 8B 18 FF 93 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 DC 8B 45 EC 8B 08 FF 51 54 8B 45 EC 8B 40 48 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 4D C8 8B 45 FC 8B 80 90 03 00 00 8B 80 88 02 00 00 8B 55 F8 8B 18 FF 53 0C 8B 45 C8 50 8B 55 DC 83 C2 14 8B 4D E0 8B 45 EC 8B 18 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_91894_0 {
	meta:
		name = "TBrushDialog.CBTranspClick"
		size = 86
		refs = "0022 TChartBrush.SetBackColor"
	strings:
		$1 = { 53 56 8B D8 8B 83 D0 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 1E BA FF FF FF 1F 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 8B 83 CC 03 00 00 8B 10 FF 92 9C 00 00 00 8B B3 D0 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 80 F2 01 8B C6 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_91895_0 {
	meta:
		name = "TBrushDialog.BBackColorClick"
		size = 68
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 D0 03 00 00 8B 08 FF 91 FC 00 00 00 B2 01 8B 83 D0 03 00 00 8B 08 FF 91 80 00 00 00 66 83 BB F2 03 00 00 00 74 15 8B 83 00 04 00 00 8B 50 18 8B 83 F4 03 00 00 FF 93 F0 03 00 00 5B C3 }
	condition:
		$1
}

rule function_91896_0 {
	meta:
		name = "TBrushDialog.LStyleClick"
		size = 198
		refs = "0039 TBrushDialog.GetInternalBrush 0044 TBrushDialog.LStyleClick 0058 TChartBrush.GetImage 0060 TPicture.SetGraphic 0075 TObject.Free 007b @HandleFinally 009e TBrush.SetStyle 00ae TChartBrush.SetImage 00b6 TBrushDialog.CheckImageButton 00be TBrushDialog.RedrawShape"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 80 90 03 00 00 8B 10 FF 92 F8 00 00 00 83 F8 07 7E 62 8B 45 FC 8B 80 90 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 83 EA 08 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 00 04 00 00 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 90 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 45 FC 8B 80 00 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 00 04 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_91897_0 {
	meta:
		name = "TBrushDialog.GetInternalBrush"
		size = 235
		refs = "000a _Dn_TBitmap 000f TBitmap.Create 0026 TBrushDialog.GetInternalBrush 00e1 GetTeeBrush"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C7 83 C0 F4 83 F8 06 0F 87 B9 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 86 A0 03 00 00 8B 90 B8 01 00 00 8B C3 8B 08 FF 51 08 E9 87 00 00 00 8B 86 A4 03 00 00 8B 90 B8 01 00 00 8B C3 8B 08 FF 51 08 EB 72 8B 86 A8 03 00 00 8B 90 B8 01 00 00 8B C3 8B 08 FF 51 08 EB 5D 8B 86 AC 03 00 00 8B 90 B8 01 00 00 8B C3 8B 08 FF 51 08 EB 48 8B 86 B0 03 00 00 8B 90 B8 01 00 00 8B C3 8B 08 FF 51 08 EB 33 8B 86 B4 03 00 00 8B 90 B8 01 00 00 8B C3 8B 08 FF 51 08 EB 1E 8B 86 B8 03 00 00 8B 90 B8 01 00 00 8B C3 8B 08 FF 51 08 EB 09 8B D3 8B C7 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91898_0 {
	meta:
		name = "BrushFileName"
		size = 120
		refs = "000c BrushFileName 0021 TeeStr 0030 @UStrCat3 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 08 8B 40 FC 40 E8 ?? ?? ?? ?? 8B 4D FC 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 65 00 65 00 42 00 72 00 75 00 73 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_91899_0 {
	meta:
		name = "GetTeeBrush"
		size = 112
		refs = "0015 GetTeeBrush 0024 BrushFileName 002e HInstance 0035 TBitmap.LoadFromResourceName 003e TBitmap.SetTransparentMode 004a TBitmap.SetTransparentColor 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 45 F8 E8 ?? ?? ?? ?? 59 8B 4D F8 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? BA FF FF FF 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_91900_0 {
	meta:
		name = "TBrushDialog.FormDestroy"
		size = 12
		refs = "0007 TObject.Free"
	strings:
		$1 = { 8B 80 F8 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91901_0 {
	meta:
		name = "TBrushDialog.BSwapClick"
		size = 93
		refs = "0017 TBrush.SetColor 0020 TChartBrush.SetBackColor"
	strings:
		$1 = { 53 56 57 8B F0 8B 9E 00 04 00 00 8B 43 10 8B 78 18 8B 53 18 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 66 83 BE F2 03 00 00 00 74 0F 8B 53 18 8B 86 F4 03 00 00 FF 96 F0 03 00 00 8B 86 BC 03 00 00 8B 10 FF 92 9C 00 00 00 8B 86 CC 03 00 00 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91904_0 {
	meta:
		name = "TBubbleSeriesEditor.FormShow"
		size = 25
		refs = "0006 TSeriesPointerEditor.FormShow 0013 TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91907_0 {
	meta:
		name = "TChartGridNavigator.Notification"
		size = 55
		refs = "0010 TCustomTeeNavigator.Notification 002f TChartGridNavigator.SetGrid"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1A 83 BF E8 02 00 00 00 74 11 3B B7 E8 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91908_0 {
	meta:
		name = "TChartGridNavigator.SetGrid"
		size = 104
		refs = "0017 TComponent.RemoveFreeNotification 002a TComponent.FreeNotification 0040 TChartGridNavigator.ActiveChanged 0050 TChartGridNavigator.SelectedChanged 0057 TCustomChartGrid.SetNavigator"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 E8 02 00 00 3B F0 74 55 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 83 E8 02 00 00 85 C0 74 34 8B D3 E8 ?? ?? ?? ?? 8B 83 E8 02 00 00 89 98 94 03 00 00 C7 80 90 03 00 00 ?? ?? ?? ?? 89 98 9C 03 00 00 C7 80 98 03 00 00 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_91909_0 {
	meta:
		name = "TChartGridNavigator.ActiveChanged"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 08 01 00 00 C3 }
	condition:
		$1
}

rule function_91910_0 {
	meta:
		name = "TChartGridNavigator.BtnClick"
		size = 278
		refs = "0026 TChartGridNavigator.BtnClick 0051 TCustomChartGrid.FirstRowNum 006b TCustomGrid.SetRow 00d3 TCustomChartGrid.Insert 00e6 TCustomChartGrid.StartEditing 00f1 TCustomChartGrid.StopEditing 0105 TCustomChartGrid.Delete 010e TCustomTeeNavigator.BtnClick"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B 86 E8 02 00 00 85 C0 0F 84 F4 00 00 00 8B F8 0F B6 C3 83 F8 08 0F 87 E6 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 3B 87 94 02 00 00 0F 8D A8 00 00 00 8B 97 94 02 00 00 4A 8B C7 E8 ?? ?? ?? ?? E9 95 00 00 00 8B 87 94 02 00 00 8B 97 C8 02 00 00 4A 3B C2 0F 8D 80 00 00 00 8B D0 42 8B C7 E8 ?? ?? ?? ?? EB 74 8B C7 E8 ?? ?? ?? ?? 3B 87 94 02 00 00 7D 65 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 53 8B 87 C8 02 00 00 48 3B 87 94 02 00 00 7E 44 8B D0 8B C7 E8 ?? ?? ?? ?? EB 39 8B C7 E8 ?? ?? ?? ?? EB 30 8B C7 8B 10 FF 92 F4 00 00 00 8B C7 E8 ?? ?? ?? ?? EB 1D B2 01 8B C7 E8 ?? ?? ?? ?? EB 12 33 D2 8B C7 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91911_0 {
	meta:
		name = "TChartGridNavigator.EnableButtons"
		size = 41
		refs = "0006 TCustomTeeNavigator.EnableButtons 0023 TChartGridNavigator.EnableButtonsColRow"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 E8 02 00 00 85 C0 74 13 8B 88 94 02 00 00 8B 90 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91912_0 {
	meta:
		name = "TChartGridNavigator.EnableButtonsColRow"
		size = 351
		refs = "000f TCustomChartGrid.FirstRowNum 00ed TCustomChartGrid.HasPoints"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F0 8B 86 E8 02 00 00 E8 ?? ?? ?? ?? 3B F8 0F 9F C3 8B 86 E8 02 00 00 8B 80 C8 02 00 00 48 3B F8 0F 9C 04 24 8B D3 8B 86 BC 02 00 00 8B 08 FF 91 80 00 00 00 8B D3 8B 86 C0 02 00 00 8B 08 FF 91 80 00 00 00 0F B6 14 24 8B 86 C4 02 00 00 8B 08 FF 91 80 00 00 00 0F B6 14 24 8B 86 C8 02 00 00 8B 08 FF 91 80 00 00 00 8B 96 E8 02 00 00 F6 82 BD 02 00 00 04 74 26 80 BA 05 03 00 00 00 75 1D 8B 82 44 03 00 00 85 C0 74 0F 8B 80 B4 03 00 00 83 78 08 00 0F 9F C0 EB 06 33 C0 EB 02 33 C0 84 C0 74 04 B0 01 EB 0A 83 BA 88 03 00 00 00 0F 95 C0 8B D0 8B 86 CC 02 00 00 8B 08 FF 91 80 00 00 00 8B 86 E8 02 00 00 83 B8 C8 02 00 00 01 7E 1E 8B 86 CC 02 00 00 8B 10 FF 52 68 84 C0 74 0F 8B 86 E8 02 00 00 E8 ?? ?? ?? ?? 84 C0 75 04 33 D2 EB 02 B2 01 8B 86 D0 02 00 00 8B 08 FF 91 80 00 00 00 8B 86 E8 02 00 00 0F B6 90 05 03 00 00 8B 86 D8 02 00 00 8B 08 FF 91 80 00 00 00 8B 86 CC 02 00 00 8B 10 FF 52 68 8B D0 8B 86 D4 02 00 00 8B 08 FF 91 80 00 00 00 8B 86 E8 02 00 00 0F B6 90 05 03 00 00 8B 86 DC 02 00 00 8B 08 FF 91 80 00 00 00 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91913_0 {
	meta:
		name = "TChartGridNavigator.SelectedChanged"
		size = 17
		refs = "0009 TChartGridNavigator.EnableButtonsColRow"
	strings:
		$1 = { 55 8B EC 8B D1 8B 4D 0C E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_91914_0 {
	meta:
		name = "TCustomChartGrid.Create"
		size = 204
		refs = "000a @ClassCreate 0017 TCustomGrid.Create 005b TCustomGrid.SetGridLineWidth 0069 TCustomGrid.SetColWidths 0075 TCustomGrid.SetDefaultRowHeight 0081 TCustomGrid.SetFixedCols 008f TCustomGrid.SetRowHeights 0095 TCustomChartGrid.Create 009c TCustomGrid.SetOptions 00aa TCustomChartGrid.RecalcDimensions 00b5 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 21 03 00 00 00 C6 86 52 03 00 00 01 C6 86 48 03 00 00 00 C6 86 51 03 00 00 01 C6 86 54 03 00 00 00 C6 86 78 03 00 00 01 C6 86 53 03 00 00 00 C6 86 79 03 00 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? B9 1E 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? BA 10 00 00 00 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? B9 14 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C6 86 40 03 00 00 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 FC 4C 00 00 }
	condition:
		$1
}

rule function_91915_0 {
	meta:
		name = "TCustomChartGrid.Destroy"
		size = 82
		refs = "0003 @BeforeDestruction 0010 TCustomChartGrid.SetSeries 0019 TCustomChartGrid.SetChart 0025 :TCustomChartGrid.:1 002a @DynArrayClear 0035 TObject.Free 0040 TCustomGrid.Destroy 004b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 7C 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 86 4C 03 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91916_0 {
	meta:
		name = "TCustomChartGrid.Loaded"
		size = 26
		refs = "0006 TControl.Loaded 0014 TCustomGrid.SetRowHeights"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B9 14 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91917_0 {
	meta:
		name = "TCustomChartGrid.HasPoints"
		size = 95
	strings:
		$1 = { 53 56 33 C9 8B 90 88 03 00 00 85 D2 74 0F 8B 82 A0 00 00 00 83 78 04 00 0F 9F C1 EB 3D 8B 90 44 03 00 00 85 D2 74 33 8B DA 8B 83 B4 03 00 00 8B 40 08 48 85 C0 7C 23 40 33 D2 8B B3 B4 03 00 00 8B 76 04 8B 34 96 8B B6 A0 00 00 00 83 7E 04 00 7E 04 B1 01 EB 04 42 48 75 E0 8B C1 5E 5B C3 }
	condition:
		$1
}

rule function_91918_0 {
	meta:
		name = "TCustomChartGrid.FirstRowNum"
		size = 21
	strings:
		$1 = { 80 B8 78 03 00 00 00 74 06 B8 02 00 00 00 C3 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_91919_0 {
	meta:
		name = "TCustomChartGrid.SelectCell"
		size = 96
		refs = "0011 TCustomGrid.SelectCell 0020 TCustomChartGrid.FirstRowNum"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 85 F6 7E 0B 8B C3 E8 ?? ?? ?? ?? 3B F8 7D 04 33 C0 EB 02 B0 01 88 04 24 80 3C 24 00 74 20 66 83 BB 9A 03 00 00 00 74 16 57 8D 44 24 04 50 8B CE 8B D3 8B 83 9C 03 00 00 FF 93 98 03 00 00 0F B6 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91920_0 {
	meta:
		name = "TCustomChartGrid.CanEditModify"
		size = 39
		refs = "0007 TCustomGrid.CanEditModify 001e TChartGridNavigator.ActiveChanged"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 11 8B 86 80 03 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_91921_0 {
	meta:
		name = "SelectColumn"
		size = 200
		refs = "0020 TCustomGrid.MouseCoord 0069 TCustomGrid.GetSelection 00bf TCustomGrid.SetSelection"
	strings:
		$1 = { 55 8B EC 83 C4 A8 56 8B 75 08 83 C6 FC 8D 45 F8 50 8B 45 08 8B 48 08 8B 45 08 8B 50 0C 8B 06 E8 ?? ?? ?? ?? 8B 16 8B 92 A4 02 00 00 8B 45 F8 3B D0 0F 8D 8C 00 00 00 8B 16 8B 92 A8 02 00 00 3B 55 FC 7E 7F 8B D0 89 55 E8 89 55 F0 8B 06 8B 80 A8 02 00 00 89 45 EC 8B 06 8B 80 C8 02 00 00 48 89 45 F4 8D 55 D8 8B 06 E8 ?? ?? ?? ?? 8B 45 D8 3B 45 E8 75 44 8D 55 C8 8B 06 E8 ?? ?? ?? ?? 8B 45 CC 3B 45 EC 75 32 8D 55 B8 8B 06 E8 ?? ?? ?? ?? 8B 45 C0 3B 45 F0 75 20 8D 55 A8 8B 06 E8 ?? ?? ?? ?? 8B 45 B4 3B 45 F4 75 0E 8B 06 8B 80 94 02 00 00 89 45 EC 89 45 F4 8B 06 8D 55 E8 E8 ?? ?? ?? ?? 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_91922_0 {
	meta:
		name = "TCustomChartGrid.MouseDown"
		size = 104
		refs = "0022 TCustomGrid.MouseDown 003d TCustomChartGrid.AtSeriesColor 0047 SelectColumn 005d TChartGridNavigator.ActiveChanged"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 66 89 4D FA 8B DA 89 45 FC 8B 45 0C 50 8B 45 08 50 0F B7 4D FA 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 20 03 00 00 00 75 1A 84 DB 75 16 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 80 03 00 00 85 C0 74 08 8B 55 FC E8 ?? ?? ?? ?? 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_91923_0 {
	meta:
		name = "TCustomChartGrid.MouseMove"
		size = 275
		refs = "002c TCustomGrid.MouseCoord 0046 TCustomGrid.CellRect 0057 TCustomChartGrid.GetSeriesColor 006c PtInRect 007f TControl.SetCursor 009c TCustomChartGrid.GetSeries 00be TCustomChartGrid.SymbolRect 0106 TCustomGrid.MouseMove"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B F1 66 89 55 FE 8B D8 8B 7D 08 F6 83 BD 02 00 00 04 0F 84 DB 00 00 00 8D 45 F0 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 80 BB 48 03 00 00 00 74 57 8D 45 D0 50 8B 4D F4 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 F8 8B 4D F0 8B C3 E8 ?? ?? ?? ?? 85 C0 74 13 89 75 E8 89 7D EC 8D 55 E8 8D 45 D0 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 0D 66 BA EB FF 8B C3 E8 ?? ?? ?? ?? EB 77 33 D2 8B C3 E8 ?? ?? ?? ?? EB 6C 83 7D F4 00 75 66 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 85 C0 74 58 8D 45 C0 50 8B 4D F4 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 55 C0 8D 4D D0 8B C3 E8 ?? ?? ?? ?? 89 75 E0 89 7D E4 8D 55 E0 8D 45 D0 E8 ?? ?? ?? ?? 84 C0 74 09 0F B6 83 52 03 00 00 EB 02 33 C0 84 C0 74 0D 66 BA EB FF 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 57 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_91924_0 {
	meta:
		name = "TCustomChartGrid.StopEditing"
		size = 94
		refs = "001d TCustomMaskEdit.SetText 0024 TCustomGrid.HideEditor 004f @CallDynaInst 0056 TCustomChartGrid.NotifyChange"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 80 BF 05 03 00 00 00 74 4A 84 DB 74 0D 33 D2 8B 87 F4 02 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 DB 74 27 80 BF 79 03 00 00 00 75 1E 8B 87 58 03 00 00 50 8B 8F 94 02 00 00 8B 97 90 02 00 00 8B C7 66 BE A8 FF E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91925_0 {
	meta:
		name = "TCustomChartGrid.StartEditing"
		size = 300
		refs = "000d TCustomChartGrid.StartEditing 0044 TCustomChartGrid.GetSeries 0055 TChartSeries.GetDataSource 00b1 TChartSeries.IsNull 00cb @UStrClr 00e8 @CallDynaInst 00f6 @UStrAsg 00ff TCustomGrid.SetEditorMode 0106 TCustomChartGrid.NotifyChange 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 83 BD 02 00 00 04 0F 84 E6 00 00 00 80 BB 05 03 00 00 00 0F 85 D9 00 00 00 8B 83 90 02 00 00 85 C0 0F 8E CB 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 B8 00 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0D 80 BB A8 03 00 00 00 0F 84 A0 00 00 00 80 BB 50 03 00 00 00 74 21 8B C6 8B 10 FF 92 2C 01 00 00 DB 83 94 02 00 00 DE D9 9B DF E0 9E 0F 97 C0 88 83 79 03 00 00 EB 27 8B 96 A0 00 00 00 8B 52 04 8B 83 94 02 00 00 3B D0 7D 04 B0 01 EB 0A 8B D0 4A 8B C6 E8 ?? ?? ?? ?? 88 83 79 03 00 00 80 BB 79 03 00 00 00 74 0D 8D 83 58 03 00 00 E8 ?? ?? ?? ?? EB 29 8D 45 FC 50 8B 8B 94 02 00 00 8B 93 90 02 00 00 8B C3 66 BE A9 FF E8 ?? ?? ?? ?? 8B 55 FC 8D 83 58 03 00 00 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_91926_0 {
	meta:
		name = "TCustomChartGrid.KeyDown"
		size = 1108
		refs = "001d TCustomChartGrid.KeyDown 0044 TCustomChartGrid.Delete 0056 TCustomGrid.KeyDown 00c8 TCustomChartGrid.StopEditing 00dd TCustomChartGrid.ColorsColumn 00ec TCustomChartGrid.ChangeColor 00fe TCustomChartGrid.IsVisualsColumn 010f TCustomChartGrid.EditVisual 011b TCustomChartGrid.StartEditing 0163 TCustomChartGrid.GetSeries 016c TCustomChartGrid.FirstRowNum 019c TChartSeries.IsNull 01b2 TLabelsList.GetLabel 01cf TCustomGrid.SetRowCount 0228 TCustomChartGrid.AppendRow 0246 TCustomChartGrid.Insert 026d TCustomGrid.SetEditorMode 0325 TCustomSeriesList.Last 0334 TCustomAxisPanel.AddSeries 0341 GetNewSeriesName 03ef TObject.Free 0439 @UStrClr 0447 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 66 89 4D FE 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 FE 04 0F 95 C0 84 C0 74 2D 66 83 3E 2E 75 15 80 BB 05 03 00 00 00 75 0C 8B C3 E8 ?? ?? ?? ?? E9 DB 03 00 00 8B D6 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? E9 C9 03 00 00 0F B7 16 83 FA 27 7F 39 0F 84 6F 02 00 00 83 FA 20 7F 19 0F 84 0B 02 00 00 83 EA 0D 0F 84 02 02 00 00 83 EA 0E 74 3D E9 90 03 00 00 83 EA 25 0F 84 DF 02 00 00 4A 0F 84 89 00 00 00 E9 7B 03 00 00 83 EA 28 0F 84 6D 01 00 00 83 EA 05 0F 84 91 01 00 00 4A 0F 84 96 01 00 00 83 EA 43 74 13 E9 58 03 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? E9 57 03 00 00 80 BB 48 03 00 00 00 74 1B 8B C3 E8 ?? ?? ?? ?? 3B 83 90 02 00 00 75 0C 8B C3 E8 ?? ?? ?? ?? E9 33 03 00 00 8B 93 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 93 90 02 00 00 8B C3 E8 ?? ?? ?? ?? E9 10 03 00 00 8B C3 E8 ?? ?? ?? ?? E9 04 03 00 00 8B 83 C8 02 00 00 48 3B 83 94 02 00 00 0F 85 CD 00 00 00 80 BB 48 03 00 00 00 74 18 8B C3 E8 ?? ?? ?? ?? 3B 83 90 02 00 00 75 09 8B 83 90 02 00 00 40 EB 06 8B 83 90 02 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 8B 93 94 02 00 00 2B D0 89 55 F8 85 FF 74 11 8B 87 A0 00 00 00 8B 40 04 3B 45 F8 0F 9F C0 EB 02 33 C0 84 C0 74 0C 8B 55 F8 8B C7 E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 17 8D 4D F4 8B 47 7C 8B 55 F8 E8 ?? ?? ?? ?? 83 7D F4 00 0F 94 C0 EB 02 33 C0 84 C0 74 2D 8B 93 C8 02 00 00 4A 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 93 94 02 00 00 2B D0 42 8B C7 8B 08 FF 91 10 01 00 00 E9 36 02 00 00 8B D6 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? E9 24 02 00 00 8B D6 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? E9 12 02 00 00 8B 83 C8 02 00 00 48 3B 83 94 02 00 00 75 0C 8B C3 E8 ?? ?? ?? ?? E9 F7 01 00 00 8B D6 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? E9 E5 01 00 00 8B C3 E8 ?? ?? ?? ?? E9 D9 01 00 00 84 C0 74 0C 8B C3 E8 ?? ?? ?? ?? E9 C9 01 00 00 80 BB 05 03 00 00 00 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D6 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? E9 A5 01 00 00 80 BB 48 03 00 00 00 74 1B 8B C3 E8 ?? ?? ?? ?? 3B 83 90 02 00 00 75 0C 8B C3 E8 ?? ?? ?? ?? E9 81 01 00 00 8B 93 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 93 90 02 00 00 8B C3 E8 ?? ?? ?? ?? E9 5E 01 00 00 8B D6 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? E9 4C 01 00 00 80 BB 41 03 00 00 00 74 2D 8B 83 8C 02 00 00 48 3B 83 90 02 00 00 75 1E 83 BB 44 03 00 00 00 74 15 8B 83 44 03 00 00 8B 80 B4 03 00 00 83 78 08 00 0F 9F C0 EB 02 33 C0 84 C0 74 49 8B 83 44 03 00 00 8B 80 B4 03 00 00 E8 ?? ?? ?? ?? 8B 00 89 C2 8B 83 44 03 00 00 E8 ?? ?? ?? ?? 8B F8 8D 55 F0 8B 47 04 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 8B 08 FF 51 24 8B D6 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? E9 C7 00 00 00 8B D6 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? E9 B5 00 00 00 80 BB 41 03 00 00 00 74 2D 8B 83 8C 02 00 00 48 3B 83 90 02 00 00 75 1E 83 BB 44 03 00 00 00 74 15 8B 83 44 03 00 00 8B 80 B4 03 00 00 83 78 08 00 0F 9F C0 EB 02 33 C0 84 C0 74 21 8B 83 44 03 00 00 8B 80 B4 03 00 00 E8 ?? ?? ?? ?? 8B 80 A0 00 00 00 8B 40 04 85 C0 0F 94 C0 EB 02 33 C0 84 C0 74 36 8B B3 44 03 00 00 C6 86 99 02 00 00 00 8B 86 B4 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B3 44 03 00 00 C6 86 99 02 00 00 01 8B C6 8B 10 FF 92 9C 00 00 00 EB 1C 8B D6 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? EB 0D 8B D6 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91928_0 {
	meta:
		name = "TCustomChartGrid.GetGradientCell"
		size = 48
		refs = "0019 _Dn_TTeeGradient 001e TCustomTeeGradient.Create"
	strings:
		$1 = { 53 8B D8 83 BB 4C 03 00 00 00 75 1C 53 8B 03 8B 80 24 01 00 00 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 4C 03 00 00 8B 83 4C 03 00 00 5B C3 }
	condition:
		$1
}

rule function_91929_0 {
	meta:
		name = "TCustomChartGrid.GetReadOnly"
		size = 13
	strings:
		$1 = { F6 80 BD 02 00 00 04 0F 95 C0 34 01 C3 }
	condition:
		$1
}

rule function_91930_0 {
	meta:
		name = "TCustomChartGrid.SetReadOnly"
		size = 56
		refs = "0009 TCustomChartGrid.SetReadOnly 0018 TCustomGrid.SetOptions"
	strings:
		$1 = { 53 8B D8 84 D2 74 17 8B 15 ?? ?? ?? ?? F7 D2 23 93 BC 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 8B 15 ?? ?? ?? ?? 0B 93 BC 02 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 04 00 00 }
	condition:
		$1
}

rule function_91931_0 {
	meta:
		name = "TCustomChartGrid.AppendRow"
		size = 139
		refs = "0007 TCustomChartGrid.GetReadOnly 0036 TCustomChartGrid.ColorsColumn 0056 TCustomChartGrid.GetSeries 0076 TCustomGrid.SetRowCount 0084 TCustomGrid.SetRow"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 79 80 BB 41 03 00 00 00 75 09 80 BB 40 03 00 00 00 74 67 80 BB 50 03 00 00 00 75 5E 80 BB 48 03 00 00 00 74 18 8B C3 E8 ?? ?? ?? ?? 3B 83 90 02 00 00 75 09 8B 83 90 02 00 00 40 EB 06 8B 83 90 02 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 28 33 D2 8B C6 8B 08 FF 91 F8 00 00 00 8B 93 C8 02 00 00 42 8B C3 E8 ?? ?? ?? ?? 8B 93 C8 02 00 00 4A 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91932_0 {
	meta:
		name = "TCustomChartGrid.FindHeaderText"
		size = 264
		refs = "0017 TCustomChartGrid.LabelsColumn 0023 TeeMsg_Text 002a @UStrAsg 003f TCustomChartGrid.ColorsColumn 004b TeeMsg_Colors 0060 TCustomChartGrid.IsVisualsColumn 006b TCustomChartGrid.FindHeaderText 0091 TCustomChartGrid.GetSeries 00af @ROUND 00cd IntToStr"
	strings:
		$1 = { 53 56 57 55 51 8B F9 8B F2 8B D8 80 BB 51 03 00 00 00 74 1F 8B C3 E8 ?? ?? ?? ?? 3B F0 75 14 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? E9 B3 00 00 00 80 BB 48 03 00 00 00 74 1F 8B C3 E8 ?? ?? ?? ?? 3B F0 75 14 8B C7 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? E9 8B 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 70 80 BB 78 03 00 00 00 74 67 8B C3 E8 ?? ?? ?? ?? 3B F0 7E 5C 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B E8 85 ED 74 4B 80 BB 50 03 00 00 00 74 2F 8B C5 8B 10 FF 92 30 01 00 00 E8 ?? ?? ?? ?? 52 50 8B C6 99 03 04 24 13 54 24 04 83 C4 08 83 E8 01 83 DA 00 52 50 8B C7 E8 ?? ?? ?? ?? EB 13 83 3C 24 00 74 0D 8B C7 8B 14 24 8B 52 20 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 69 00 73 00 75 00 61 00 6C 00 73 00 00 00 }
	condition:
		$1
}

rule function_91933_0 {
	meta:
		name = "TCustomChartGrid.FindXYZIndex"
		size = 136
		refs = "0015 TCustomChartGrid.FindXYZIndex"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D FC 8B F2 C7 45 F8 FF FF FF FF BA ?? ?? ?? ?? 8B C6 8B 08 FF 91 58 01 00 00 8B D8 8B 86 A0 00 00 00 8B 48 04 49 85 C9 7C 37 41 33 D2 8B 45 FC 40 89 45 F4 DB 45 F4 8B 43 54 DC 1C D0 9B DF E0 9E 75 1A DB 45 08 8B 86 68 01 00 00 8B 40 54 DC 1C D0 9B DF E0 9E 75 05 89 55 F8 EB 04 42 49 75 CC 8B 45 F8 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5A 00 00 00 }
	condition:
		$1
}

rule function_91934_0 {
	meta:
		name = "GetALabel"
		size = 146
		refs = "0012 @UStrClr 0030 TLabelsList.GetLabel"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 98 88 03 00 00 85 DB 74 10 8B 4D F8 8B 43 7C 8B 55 FC E8 ?? ?? ?? ?? EB 56 8B 45 08 8B 40 F8 8B 80 44 03 00 00 8B 80 B4 03 00 00 8B 40 08 48 85 C0 7C 3C 40 33 F6 8B 55 08 8B 52 F8 8B 92 44 03 00 00 8B 92 B4 03 00 00 8B 52 04 8B 14 B2 8B DA 8B 53 7C 8B 52 08 3B 55 FC 7E 10 8B 4D F8 8B 55 FC 8B 43 7C E8 ?? ?? ?? ?? EB 04 46 48 75 C7 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_91935_0 {
	meta:
		name = "GetAValue"
		size = 440
		refs = "001b GetAValue 0038 TCustomChartGrid.GetSeries 00cd CurrencyString 00d2 TimeToStr 00dc @UStrAsg 0100 DateTimeToStr 0120 @UStrLAsg 0152 FormatFloat 0173 @UStrClr 018d @UStrArrayClr 0193 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 33 D2 89 55 FC 89 55 F8 89 55 F4 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8D 48 FC 8B 45 08 8B 50 F4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 55 08 89 42 F0 8B 45 08 83 78 F0 00 74 1A 8B 45 08 8B 40 F0 8B 80 A0 00 00 00 8B 40 04 8B 55 08 3B 42 EC 0F 9F C0 EB 02 33 C0 84 C0 0F 84 01 01 00 00 8B 45 08 83 78 FC 00 0F 84 E6 00 00 00 8B 45 08 8B 40 FC 80 78 08 00 0F 84 84 00 00 00 8B 45 08 8B 40 EC 8B 55 08 8B 52 FC 8B 52 54 8B 0C C2 89 4D E8 8B 4C C2 04 89 4D EC DD 45 E8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 2E 8B 45 E8 89 45 E0 8B 45 EC 89 45 E4 FF 75 E4 FF 75 E0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? E9 92 00 00 00 8B 45 E8 89 45 D8 8B 45 EC 89 45 DC FF 75 DC FF 75 D8 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 55 F8 E8 ?? ?? ?? ?? EB 67 8D 45 F4 8B 55 08 8B 52 F0 8B 92 94 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 EC 8B 55 08 8B 52 FC 8B 52 54 DD 04 C2 DB 7D C0 9B 0F B7 45 C8 50 FF 75 C4 FF 75 C0 8D 4D F0 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B C3 8B 55 F0 E8 ?? ?? ?? ?? EB 15 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 00 80 3F B0 04 02 00 FF FF FF FF 03 00 00 00 2E 00 2E 00 2E 00 00 00 }
	condition:
		$1
}

rule function_91936_0 {
	meta:
		name = "TCustomChartGrid.GetEditText"
		size = 612
		refs = "0026 TCustomChartGrid.GetEditText 0033 @UStrClr 0045 TCustomChartGrid.FirstRowNum 005e TCustomChartGrid.GetXYZSeries 0071 @ROUND 009e IntToStr 00b9 TeeStr 00e0 @UStrAsg 0116 TCustomChartGrid.FindHeaderText 0160 TCustomChartGrid.FindXYZIndex 017c @UStrLAsg 01a3 CurrencyString 01ab FormatFloat 01cb TCustomChartGrid.LabelsColumn 01dc GetALabel 01fd TCustomChartGrid.ColorsColumn 020b GetAValue 0230 @UStrArrayClr 0243 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 33 DB 89 5D C8 89 5D CC 89 5D E8 89 5D E4 89 4D EC 89 55 F4 89 45 F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7D F4 00 0F 85 A8 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 3B 45 EC 7F 74 8B 45 F8 80 B8 50 03 00 00 00 74 4D 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 8B 10 FF 92 38 01 00 00 E8 ?? ?? ?? ?? 52 50 8B 45 EC 99 03 04 24 13 54 24 04 83 C4 08 52 50 8B 45 F8 E8 ?? ?? ?? ?? 99 29 04 24 19 54 24 04 58 5A 52 50 8B C3 E8 ?? ?? ?? ?? E9 73 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 EC 5A 2B C2 8B D3 E8 ?? ?? ?? ?? E9 58 01 00 00 8B 45 F8 80 B8 78 03 00 00 00 74 0A 83 7D EC 01 0F 85 42 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 31 01 00 00 8B 45 F8 80 B8 78 03 00 00 00 75 06 83 7D EC 00 74 12 8B 45 F8 80 B8 78 03 00 00 00 74 18 83 7D EC 01 75 12 8B CB 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? E9 FB 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 3B 45 EC 0F 8F EA 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 29 45 EC 8B 45 F8 80 B8 50 03 00 00 00 74 74 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F4 50 8B 4D EC 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 83 FE FF 0F 84 AB 00 00 00 8D 45 E8 8B 55 F0 8B 92 94 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8B 80 60 01 00 00 8B 40 54 DD 04 F0 DB 7D D0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 4D E4 8B 15 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B C3 8B 55 E4 E8 ?? ?? ?? ?? EB 5F 8B 45 F8 80 B8 51 03 00 00 00 74 26 8B 45 F8 E8 ?? ?? ?? ?? 3B 45 F4 75 19 55 8D 55 CC 8B 45 EC E8 ?? ?? ?? ?? 59 8B 55 CC 8B C3 E8 ?? ?? ?? ?? EB 2D 8B 45 F8 80 B8 48 03 00 00 00 74 0D 8B 45 F8 E8 ?? ?? ?? ?? 3B 45 F4 74 14 55 8D 45 C8 E8 ?? ?? ?? ?? 59 8B 55 C8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_91937_0 {
	meta:
		name = "TCustomChartGrid.SetGradientCell"
		size = 49
		refs = "000d TCustomChartGrid.GetGradientCell 002a TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 8D 83 4C 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91938_0 {
	meta:
		name = "TCustomChartGrid.SetGrid3DMode"
		size = 28
		refs = "000c TCustomChartGrid.Regenerate"
	strings:
		$1 = { 56 8B F0 88 96 50 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_91939_0 {
	meta:
		name = "TCustomChartGrid.SetManualData"
		size = 8
	strings:
		$1 = { C6 82 64 01 00 00 01 C3 }
	condition:
		$1
}

rule function_91940_0 {
	meta:
		name = "TCustomChartGrid.NewBarSeries"
		size = 29
		refs = "000e _Dn_TBarSeries 0017 CreateNewSeries"
	strings:
		$1 = { 53 6A 00 8B 90 44 03 00 00 8B 4A 04 8B 1D ?? ?? ?? ?? 8B C1 8B CB E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_91941_0 {
	meta:
		name = "SetLabelSeries"
		size = 58
		refs = "0017 TChartSeries.Count 0033 TLabelsList.SetLabel"
	strings:
		$1 = { 55 8B EC 53 8B D8 EB 0C 33 D2 8B C3 8B 08 FF 91 F8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 08 3B 42 FC 7E E5 8B 45 08 8B 48 F8 8B 45 08 8B 50 FC 8B 43 7C E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_91942_0 {
	meta:
		name = "SetALabel"
		size = 111
		refs = "0020 SetLabelSeries"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 F8 89 45 FC 8B 45 08 8B 40 FC 8B 80 88 03 00 00 85 C0 74 09 55 E8 ?? ?? ?? ?? 59 EB 42 8B 45 08 8B 40 FC 8B 80 44 03 00 00 8B 80 B4 03 00 00 8B 40 08 8B D8 4B 85 DB 7C 26 43 33 F6 8B 45 08 8B 40 FC 8B 80 44 03 00 00 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 55 E8 ?? ?? ?? ?? 59 46 4B 75 DD 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_91943_0 {
	meta:
		name = "SetAllManualData"
		size = 99
		refs = "001d TCustomChartGrid.SetManualData"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 08 83 C7 FC 8B 07 8B 80 88 03 00 00 85 C0 74 0B 8B D0 8B 07 E8 ?? ?? ?? ?? EB 3B 8B 07 8B 80 44 03 00 00 8B 80 B4 03 00 00 8B 40 08 8B D8 4B 85 DB 7C 23 43 33 F6 8B 07 8B 80 44 03 00 00 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 8B 17 92 E8 ?? ?? ?? ?? 46 4B 75 E0 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_91944_0 {
	meta:
		name = "TCustomChartGrid.SetEditText"
		size = 764
		refs = "0022 TCustomChartGrid.SetEditText 0035 TCustomGrid.SetEditText 0085 TCustomChartGrid.NewBarSeries 0099 SetAllManualData 00a2 TCustomChartGrid.FirstRowNum 00b8 TCustomChartGrid.LabelsColumn 00c6 SetALabel 00e0 TCustomChartGrid.ColorsColumn 00f2 TCustomChartGrid.IsVisualsColumn 0107 TCustomChartGrid.GetSeries 0138 TCustomChartGrid.FindXYZIndex 015e TChartSeries.Count 016f Trim 0195 TChartSeries.SetValueColor 01b8 @UStrLAsg 01be CurrencyString 01c6 StrToDateTime 01fa StrToFloat 0220 TChartSeries.IsNull 0253 TChartSeries.RefreshSeries 0265 TCustomChartElement.Repaint 02b4 @HandleOnException 02bc _Dn_EConvertError 02c5 @DoneExcept 02da @UStrClr 02e7 @UStrArrayClr 02ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D F8 89 5D F4 8B F1 8B DA 89 45 FC 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 03 00 00 85 C0 75 10 8B 55 FC 83 BA 44 03 00 00 00 0F 84 73 02 00 00 85 C0 75 2F 8B 45 FC 8B 80 44 03 00 00 8B 80 B4 03 00 00 83 78 08 00 75 0C 8B 45 FC 0F B6 80 41 03 00 00 EB 02 33 C0 84 C0 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 2B F0 8B 45 FC 80 B8 51 03 00 00 00 74 1C 8B 45 FC E8 ?? ?? ?? ?? 3B D8 75 10 55 8B D7 8B C6 E8 ?? ?? ?? ?? 59 E9 AC 01 00 00 8B 45 FC 80 B8 48 03 00 00 00 74 10 8B 45 FC E8 ?? ?? ?? ?? 3B D8 0F 84 90 01 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 7E 01 00 00 8D 4D EC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 0F 84 3F 01 00 00 83 7D EC 00 0F 84 35 01 00 00 8B 45 FC 80 B8 50 03 00 00 00 74 2C 53 8B CE 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 8B 45 F0 8B 80 60 01 00 00 89 45 EC EB 1C 33 D2 8B 45 F0 8B 08 FF 91 F8 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 3B F0 7D E7 89 75 E8 8D 55 CC 8B C7 E8 ?? ?? ?? ?? 83 7D CC 00 75 30 8B 45 FC 80 B8 05 03 00 00 00 0F 85 C6 00 00 00 B9 FF FF FF 1F 8B 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 E9 A6 00 00 00 8B 45 EC 80 78 08 00 74 34 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DD 5D E0 9B 8B 45 EC 8B 40 54 8B 55 E8 8B 4D E0 89 0C D0 8B 4D E4 89 4C D0 04 EB 2C 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? DB 7D D0 9B DB 6D D0 8B 45 EC 8B 40 54 8B 55 E8 DD 1C D0 9B 8B 45 EC C6 40 4D 01 8B 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 27 B9 00 00 00 20 8B 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 80 B8 48 03 00 00 00 74 0B 8B 45 FC 8B 10 FF 92 A0 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 03 00 00 85 C0 74 07 E8 ?? ?? ?? ?? EB 11 8B 45 FC 8B 80 44 03 00 00 8B 10 FF 92 A0 00 00 00 8B 45 FC 66 83 B8 72 03 00 00 00 74 20 8B 45 FC E8 ?? ?? ?? ?? 03 F0 56 57 8B 75 FC 8B CB 8B 55 FC 8B 86 74 03 00 00 FF 96 70 03 00 00 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_91945_0 {
	meta:
		name = "TCustomChartGrid.GetXYZSeries"
		size = 94
	strings:
		$1 = { 53 56 33 F6 8B 90 44 03 00 00 85 D2 74 36 8B 92 B4 03 00 00 8B 4A 08 49 85 C9 7C 3D 41 33 D2 8B 98 44 03 00 00 8B 9B B4 03 00 00 8B 5B 04 8B 1C 93 80 BB 52 01 00 00 00 74 04 8B F3 EB 1B 42 49 75 DD EB 15 8B 90 88 03 00 00 85 D2 74 0B 80 BA 52 01 00 00 00 74 02 8B F2 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_91947_0 {
	meta:
		name = "TCustomChartGrid.IsVisualsColumn"
		size = 38
		refs = "000e TCustomChartGrid.GetSeries"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 06 83 3C 24 00 74 04 33 C0 EB 02 B0 01 5A 5E 5B C3 }
	condition:
		$1
}

rule function_91948_0 {
	meta:
		name = "TCustomChartGrid.TopLeftChanged"
		size = 36
		refs = "0006 TCustomGrid.TopLeftChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB A2 03 00 00 00 74 0E 8B D3 8B 83 A4 03 00 00 FF 93 A0 03 00 00 5B C3 }
	condition:
		$1
}

rule function_91949_0 {
	meta:
		name = "TCustomChartGrid.DoChangeVisual"
		size = 77
		refs = "000c TeeOnChangeVisual 001f TVisualsList.GetVisual 0044 TVisualsList.SetVisual"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B F2 8B D8 A1 ?? ?? ?? ?? 83 38 00 74 33 8B 86 9C 00 00 00 8B 14 24 E8 ?? ?? ?? ?? 8B 3D ?? ?? ?? ?? 8B 3F 8B C8 8B D6 8B C3 FF D7 85 C0 74 11 8B 96 9C 00 00 00 8B C8 8B 04 24 92 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91950_0 {
	meta:
		name = "TCustomChartGrid.MenuChangeVisual"
		size = 33
		refs = "000c TMenuItem.GetParentMenu 0019 TCustomChartGrid.DoChangeVisual"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B FE 8B C7 E8 ?? ?? ?? ?? 8B 50 0C 8B 4F 0C 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91951_0 {
	meta:
		name = "TCustomChartGrid.MenuDeleteVisual"
		size = 35
		refs = "0009 TMenuItem.GetParentMenu 001c TVisualsList.SetVisual"
	strings:
		$1 = { 53 56 8B DA 8B F3 8B C6 E8 ?? ?? ?? ?? 8B 40 0C 8B 56 0C 33 C9 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91952_0 {
	meta:
		name = "TCustomChartGrid.MenuEditVisual"
		size = 124
		refs = "0010 TMenuItem.GetParentMenu 0021 TVisualsList.GetVisual 0034 _Dn_TCustomForm 0039 @AsClass 0044 TCustomChartGrid.MenuEditVisual 006a TObject.Free 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 8B FE 8B C7 E8 ?? ?? ?? ?? 8B 40 0C 8B 57 0C 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 8B F0 33 C9 8B D3 8B C6 8B 18 FF 53 54 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_91953_0 {
	meta:
		name = "TCustomChartGrid.EditVisual"
		size = 482
		refs = "0012 TCustomChartGrid.GetSeries 002d TCustomChartGrid.FirstRowNum 0051 TVisualsList.GetVisual 006f _Dn_TPopupMenu 0074 TPopupMenu.Create 008d _Dn_TMenuItem 0092 TMenuItem.Create 009c TeeMsg_Edit 00a7 TMenuItem.SetCaption 00bb TCustomChartGrid.MenuEditVisual 00cd TMenuItem.Add 00e5 TeeMsg_Change 0104 TCustomChartGrid.MenuChangeVisual 012e TeeMsg_Delete 014d TCustomChartGrid.MenuDeleteVisual 0178 TMenuItem.GetItem 01a7 TCustomGrid.CellRect 01b6 TControl.ClientToScreen 01d6 TCustomChartGrid.DoChangeVisual"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B EA 8B D8 8B CC 8B D5 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 BA 01 00 00 83 3C 24 00 0F 85 B0 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B BB 94 02 00 00 2B F8 8B 86 A0 00 00 00 3B 78 04 0F 8D 92 01 00 00 8B D7 8B 86 9C 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 84 72 01 00 00 83 BB 84 03 00 00 00 0F 85 F9 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 84 03 00 00 8B 83 84 03 00 00 C6 40 68 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 04 8B 15 ?? ?? ?? ?? 8B 12 8B 44 24 04 E8 ?? ?? ?? ?? 8B 44 24 04 89 98 94 00 00 00 C7 80 90 00 00 00 ?? ?? ?? ?? 8B 83 84 03 00 00 8B 40 3C 8B 54 24 04 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 04 8B 15 ?? ?? ?? ?? 8B 12 8B 44 24 04 E8 ?? ?? ?? ?? 8B 44 24 04 89 98 94 00 00 00 C7 80 90 00 00 00 ?? ?? ?? ?? 8B 83 84 03 00 00 8B 40 3C 8B 54 24 04 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 04 8B 15 ?? ?? ?? ?? 8B 12 8B 44 24 04 E8 ?? ?? ?? ?? 8B 44 24 04 89 98 94 00 00 00 C7 80 90 00 00 00 ?? ?? ?? ?? 8B 83 84 03 00 00 8B 40 3C 8B 54 24 04 E8 ?? ?? ?? ?? 8B 83 84 03 00 00 89 70 0C 8B 83 84 03 00 00 8B 40 3C 33 D2 E8 ?? ?? ?? ?? 8B F7 89 70 0C 8B 83 84 03 00 00 8B 40 3C BA 01 00 00 00 E8 ?? ?? ?? ?? 89 70 0C 8D 44 24 10 50 8B 8B 94 02 00 00 8B D5 8B C3 E8 ?? ?? ?? ?? 8D 54 24 18 8D 4C 24 08 8B C3 E8 ?? ?? ?? ?? 8B 4C 24 0C 8B 54 24 08 8B 83 84 03 00 00 8B 18 FF 53 50 EB 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91954_0 {
	meta:
		name = "TCustomChartGrid.HasVisuals"
		size = 42
	strings:
		$1 = { 80 B8 53 03 00 00 02 74 1E 80 B8 53 03 00 00 00 75 12 8B 8A 9C 00 00 00 83 79 08 00 7F 09 83 79 14 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_91955_0 {
	meta:
		name = "GetAList"
		size = 233
		refs = "0032 TChartValueLists.Get"
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 52 FC 8B 92 7C 03 00 00 80 3C 02 00 74 4F 8B 45 08 83 78 F8 00 7E 25 8B 45 08 8B 50 F8 4A 8B 45 08 8B 40 F4 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F0 89 02 E9 A4 00 00 00 8B 45 08 8B 50 F8 8B 45 08 8B 40 F4 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F0 89 02 5D C3 8B 45 08 8B 40 F4 80 B8 6C 01 00 00 00 75 09 8B 45 08 83 78 F8 00 75 21 8B 45 08 8B 50 F8 8B 45 08 8B 40 F4 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F0 89 02 EB 4A 8B 45 08 83 78 F8 00 7E 22 8B 45 08 8B 50 F8 4A 8B 45 08 8B 40 F4 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F0 89 02 EB 1F 8B 45 08 8B 50 F8 8B 45 08 8B 40 F4 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F0 89 02 5D C3 }
	condition:
		$1
}

rule function_91956_0 {
	meta:
		name = "TCustomChartGrid.GetSeries"
		size = 389
		refs = "0029 TCustomChartGrid.GetXYZSeries 0092 GetAList 0109 TCustomChartGrid.HasVisuals"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F0 89 55 F8 89 45 FC 8B 45 F0 33 D2 89 10 8B 45 FC 80 B8 50 03 00 00 00 74 10 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 E9 46 01 00 00 8B 45 FC 80 B8 51 03 00 00 00 74 03 FF 4D F8 8B 45 FC 80 B8 48 03 00 00 00 74 03 FF 4D F8 83 7D F8 00 0F 8C 19 01 00 00 8B 45 FC 8B 80 88 03 00 00 85 C0 74 32 8B 90 98 00 00 00 8B 72 08 8B 55 FC 8B 92 7C 03 00 00 80 3A 00 75 01 4E 3B 75 F8 0F 8C EB 00 00 00 89 45 F4 55 33 C0 E8 ?? ?? ?? ?? 59 E9 DF 00 00 00 8B 45 FC 8B 80 44 03 00 00 85 C0 0F 84 C9 00 00 00 8B 80 B4 03 00 00 8B 78 08 4F 85 FF 0F 8C B7 00 00 00 47 33 DB 8B 45 FC 8B 80 44 03 00 00 8B 80 B4 03 00 00 8B 40 04 8B 04 98 8B 80 98 00 00 00 8B 70 08 8B 45 FC 8B 80 7C 03 00 00 80 3C 18 00 75 01 4E 8B 45 FC 8B 80 44 03 00 00 8B 80 B4 03 00 00 8B 40 04 8B 14 98 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 F8 48 3B F0 0F 94 C0 EB 02 33 C0 84 C0 74 21 8B 45 FC 8B 80 44 03 00 00 8B 80 B4 03 00 00 8B 40 04 8B 04 98 89 45 F4 8B 45 F0 33 D2 89 10 EB 38 3B 75 F8 7C 23 8B 45 FC 8B 80 44 03 00 00 8B 80 B4 03 00 00 8B 40 04 8B 04 98 89 45 F4 55 8B C3 E8 ?? ?? ?? ?? 59 EB 10 29 75 F8 43 4F 0F 85 4C FF FF FF 33 C0 89 45 F4 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91957_0 {
	meta:
		name = "TCustomChartGrid.SymbolRect"
		size = 61
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D9 8B 32 8B C6 83 C0 04 8B 7A 04 8B CF 83 C1 04 83 C6 10 83 C7 10 8B D7 89 04 24 89 4C 24 04 89 74 24 08 89 54 24 0C 8B FB 8B F4 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91958_0 {
	meta:
		name = "GetSeriesCol"
		size = 214
		refs = "001d TCustomChartGrid.LabelsColumn 0039 TCustomChartGrid.ColorsColumn"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 45 08 8B 40 FC 80 B8 51 03 00 00 00 74 0D 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? EB 1E 8B 45 08 8B 40 FC 80 B8 48 03 00 00 00 74 0D 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? EB 02 33 C0 8B 55 08 8B 52 FC 8B 92 88 03 00 00 85 D2 74 04 8B C2 EB 7D 8B 55 08 8B 52 FC 8B 92 44 03 00 00 8B 92 B4 03 00 00 8B 52 08 8B CA 49 85 C9 7C 5F 41 33 D2 40 3B F0 75 1A 8B 45 08 8B 40 FC 8B 80 44 03 00 00 8B 80 B4 03 00 00 8B 40 04 8B 04 90 EB 3F 8B 5D 08 8B 5B FC 8B 9B 44 03 00 00 8B 9B B4 03 00 00 8B 5B 04 8B 1C 93 8B 9B 98 00 00 00 8B 5B 08 83 EB 02 03 C3 8B 5D 08 8B 5B FC 8B 9B 7C 03 00 00 80 3C 13 00 74 01 40 42 49 75 A4 33 C0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_91959_0 {
	meta:
		name = "FillWithColor"
		size = 71
		refs = "0014 TBrush.SetColor 002a TBrush.SetStyle"
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 52 FC 8B 92 78 02 00 00 8B 52 48 92 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 78 02 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8D 50 EC 8B 45 08 8B 40 FC 8B 80 78 02 00 00 8B 08 FF 51 54 5D C3 }
	condition:
		$1
}

rule function_91960_0 {
	meta:
		name = "CheckGradientCell"
		size = 214
		refs = "0029 TCustomChartGrid.GetGradientCell 0041 _Dn_TTeeCanvas3D 0046 TTeeCanvas3D.Create 0051 CheckGradientCell 006b TTeeCanvas.SetCanvas 0087 TCustomTeeGradient.Draw 009c TObject.Free 00a2 @HandleFinally 00ba TBrush.SetStyle 00cf TCustomTeeGradient.SetVisible"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 40 FC 8B 80 4C 03 00 00 85 C0 0F 84 A9 00 00 00 80 78 28 00 0F 84 9F 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 92 4C 03 00 00 8B 08 FF 51 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 90 78 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 6A 00 8B 45 08 8D 48 EC 8B 45 08 8B 40 FC 8B 80 4C 03 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 8B 40 FC 8B 80 78 02 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 59 5D C3 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_91961_0 {
	meta:
		name = "DrawValueText"
		size = 196
		refs = "000e DrawValueText 0027 TCanvas.GetHandle 002d SetTextAlign 004c @CallDynaInst 0055 CheckGradientCell 00b2 @UStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 02 8B 45 08 8B 40 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 45 08 8B 48 E4 8B 45 08 8B 50 E8 8B 45 08 8B 40 FC 66 BE A9 FF E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 03 78 F0 57 8B 45 FC 50 8B 45 08 8B 48 F4 83 E9 02 8B 45 08 8D 50 EC 8B 45 08 8B 40 FC 8B 80 78 02 00 00 8B 18 FF 93 98 00 00 00 6A 00 8B 45 08 8B 40 FC 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_91962_0 {
	meta:
		name = "TCustomChartGrid.DrawCell"
		size = 914
		refs = "002e TCustomChartGrid.DrawCell 0056 CheckGradientCell 008f GetSeriesCol 00b8 TCustomChartGrid.GetSeries 0113 TCustomChartGrid.SymbolRect 0126 PaintSeriesLegend 0139 TBrush.SetStyle 014c TPen.SetStyle 0166 TFont.SetColor 0174 SeriesTitleOrName 017d TeeLineSeparator 0189 ReplaceChar 0193 TeeColumnSeparator 01ad @UStrLAsg 01fe FillWithColor 0217 TCustomChartGrid.ColorsColumn 0228 TCustomChartGrid.FirstRowNum 023a TeeMsg_Colors 02ec TCustomChartGrid.LabelsColumn 0315 @CallDynaInst 034c DrawValueText 0375 @UStrArrayClr 037d @UStrClr 0383 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 89 5D C4 89 5D C8 89 5D E0 8B 75 0C 8D 7D EC A5 A5 A5 A5 89 4D E4 89 55 E8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 44 03 00 00 00 75 10 8B 45 FC 83 B8 88 03 00 00 00 0F 84 0B 03 00 00 55 E8 ?? ?? ?? ?? 59 33 DB 8B 45 FC 80 B8 51 03 00 00 00 74 01 43 8B 45 FC 80 B8 48 03 00 00 00 74 01 43 83 7D E4 00 0F 85 5A 01 00 00 3B 5D E8 0F 8D 51 01 00 00 55 8B 45 E8 E8 ?? ?? ?? ?? 59 8B F0 8B 45 FC 83 B8 88 03 00 00 00 74 47 8B 45 FC 80 B8 78 03 00 00 00 75 3B 8D 4D DC 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 83 C0 04 50 8B 45 DC 8B 40 20 50 8B 4D EC 83 C1 12 8B 45 FC 8B 80 78 02 00 00 8D 55 EC 8B 18 FF 93 98 00 00 00 E9 76 02 00 00 85 F6 0F 84 6E 02 00 00 8B 45 FC 80 B8 50 03 00 00 00 74 0C 8B 45 E8 2B C3 48 0F 85 56 02 00 00 8D 4D CC 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8D 4D CC 8B 45 FC 8B 90 78 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 78 02 00 00 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 6C 8B 50 18 8B 45 FC 8B 80 78 02 00 00 8B 40 40 E8 ?? ?? ?? ?? 8D 45 E0 50 8D 55 C8 8B C6 E8 ?? ?? ?? ?? 8B 45 C8 8B 15 ?? ?? ?? ?? 0F B7 12 66 B9 20 00 E8 ?? ?? ?? ?? 8D 45 C4 50 8B 15 ?? ?? ?? ?? 0F B7 12 66 B9 20 00 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 F0 83 C0 04 50 8B 45 E0 50 8B 4D EC 83 C1 12 8B 45 FC 8B 80 78 02 00 00 8D 55 EC 8B 18 FF 93 98 00 00 00 E9 84 01 00 00 83 7D E8 00 74 12 8B 45 FC 80 B8 78 03 00 00 00 74 16 83 7D E4 01 75 10 55 8B 45 FC 8B 80 AC 02 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC 80 B8 48 03 00 00 00 0F 84 C9 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 3B 45 E8 0F 85 B8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 48 3B 45 E4 75 2E 8B 45 F0 83 C0 04 50 A1 ?? ?? ?? ?? 8B 00 50 8B 4D EC 83 C1 02 8B 45 FC 8B 80 78 02 00 00 8D 55 EC 8B 18 FF 93 98 00 00 00 E9 FF 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 3B 45 E4 0F 8F EE 00 00 00 8B 55 E8 42 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 74 1B 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 2B D0 8B 86 A0 00 00 00 3B 50 04 0F 9C C0 EB 02 33 C0 84 C0 74 26 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 2B D0 8B C6 8B 08 FF 91 B0 00 00 00 3D FF FF FF 1F 75 0E 8B 45 FC 8B 40 74 EB 06 8B 45 FC 8B 40 74 55 E8 ?? ?? ?? ?? 59 E9 83 00 00 00 8B 45 FC 80 B8 51 03 00 00 00 74 51 8B 45 FC E8 ?? ?? ?? ?? 3B 45 E8 75 44 55 E8 ?? ?? ?? ?? 59 8B 45 F0 83 C0 03 50 8D 45 C0 50 8B 4D E4 8B 55 E8 8B 45 FC 66 BE A9 FF E8 ?? ?? ?? ?? 8B 45 C0 50 8B 4D EC 83 C1 02 8B 45 FC 8B 80 78 02 00 00 8D 55 EC 8B 18 FF 93 98 00 00 00 EB 26 83 7D E4 00 75 14 83 7D E8 00 75 0E 55 B8 04 00 00 00 E8 ?? ?? ?? ?? 59 EB 0C 55 B8 02 00 00 00 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_91963_0 {
	meta:
		name = "TCustomChartGrid.Notification"
		size = 101
		refs = "0010 TWinControl.Notification 002c TCustomChartGrid.SetChart 005d TCustomChartGrid.SetSeries"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 48 8B 86 44 03 00 00 85 C0 74 0F 3B C7 75 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 2F 8B 86 80 03 00 00 85 C0 74 0E 3B C7 75 0A 33 C0 89 86 80 03 00 00 EB 17 8B 86 88 03 00 00 85 C0 74 0D 3B C7 75 09 33 D2 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91964_0 {
	meta:
		name = "TryDelete"
		size = 113
		refs = "0010 TCustomChartGrid.FirstRowNum 0069 TChartValueList.FillSequence"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 92 94 02 00 00 2B D0 8B 83 A0 00 00 00 3B 50 04 7D 40 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 92 94 02 00 00 2B D0 8B C3 8B 08 FF 91 10 01 00 00 8B 45 08 8B 40 FC 8B 80 7C 03 00 00 80 3C 30 00 75 0B 8B 83 68 01 00 00 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_91965_0 {
	meta:
		name = "TCustomChartGrid.Delete"
		size = 164
		refs = "002b TryDelete 0074 TCustomChartGrid.FirstRowNum 0092 TCustomGrid.SetRowCount 009a TCustomChartGrid.NotifyChange"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC F6 80 BD 02 00 00 04 0F 84 84 00 00 00 8B 45 FC 8B 80 88 03 00 00 85 C0 74 0B 55 33 D2 E8 ?? ?? ?? ?? 59 EB 33 8B 45 FC 8B B8 44 03 00 00 8B 87 B4 03 00 00 8B 70 08 4E 85 F6 7C 1C 46 33 DB 55 8B 87 B4 03 00 00 8B 40 04 8B 04 98 8B D3 E8 ?? ?? ?? ?? 59 43 4E 75 E7 8B 45 FC 8B 10 FF 92 A0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 40 8B 55 FC 3B 82 C8 02 00 00 7D 1A 8B 45 FC 8B 90 C8 02 00 00 4A 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_91966_0 {
	meta:
		name = "TryInsert"
		size = 102
	strings:
		$1 = { 55 8B EC 56 8B F0 8B 86 A0 00 00 00 83 78 04 00 8B 45 08 0F 9F 40 FF 80 BE 6C 01 00 00 00 74 23 8B 86 A0 00 00 00 DB 40 04 83 C4 F8 DD 1C 24 9B 6A 00 6A 00 33 D2 8B C6 8B 08 FF 91 FC 00 00 00 5E 5D C3 6A 00 6A 00 8B 86 A0 00 00 00 DB 40 04 83 C4 F8 DD 1C 24 9B 33 D2 8B C6 8B 08 FF 91 FC 00 00 00 5E 5D C3 }
	condition:
		$1
}

rule function_91967_0 {
	meta:
		name = "TCustomChartGrid.Insert"
		size = 139
		refs = "0024 TryInsert 0072 TCustomGrid.SetRowCount 0080 TCustomGrid.SetRow"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D8 F6 83 BD 02 00 00 04 74 70 C6 45 FF 00 8B 83 88 03 00 00 85 C0 74 09 55 E8 ?? ?? ?? ?? 59 EB 37 8B 83 44 03 00 00 89 45 F8 8B 45 F8 8B 80 B4 03 00 00 8B 70 08 4E 85 F6 7C 1D 46 33 FF 55 8B 45 F8 8B 80 B4 03 00 00 8B 40 04 8B 04 B8 E8 ?? ?? ?? ?? 59 47 4E 75 E6 80 7D FF 00 74 0E 8B 93 C8 02 00 00 42 8B C3 E8 ?? ?? ?? ?? 8B 93 C8 02 00 00 4A 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_91968_0 {
	meta:
		name = "TCustomChartGrid.AddListener"
		size = 45
		refs = "000f TComponent.FreeNotification 0026 TTeeEventListeners.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 20 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 85 D2 74 06 81 EA 54 FC FF FF 8B 86 14 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91969_0 {
	meta:
		name = "TCustomChartGrid.RemoveListener"
		size = 47
		refs = "0015 TComponent.RemoveFreeNotification 0028 TCustomTeePanel.RemoveListener"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 22 F6 43 1C 08 75 1C 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 85 D2 74 06 81 EA 54 FC FF FF 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91970_0 {
	meta:
		name = "TCustomChartGrid.SetChart"
		size = 62
		refs = "0015 TCustomChartGrid.RemoveListener 0026 TCustomChartGrid.AddListener 002d TCustomChartGrid.Regenerate"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 44 03 00 00 3B D8 74 1A 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 89 86 44 03 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 A0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_91971_0 {
	meta:
		name = "TCustomChartGrid.SetNavigator"
		size = 22
		refs = "0011 TComponent.FreeNotification"
	strings:
		$1 = { 8B CA 89 88 80 03 00 00 85 C9 74 09 8B D0 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91972_0 {
	meta:
		name = "MaxNumPoints"
		size = 152
	strings:
		$1 = { 55 8B EC 56 57 33 FF 8B 45 08 8B 40 FC 8B 80 88 03 00 00 85 C0 74 19 8B 55 08 8B 52 FC F6 42 1C 08 75 0D 8B 80 A0 00 00 00 8B 40 04 8B F8 EB 62 8B 45 08 8B 40 FC 8B 80 44 03 00 00 8B 80 B4 03 00 00 8B 40 08 8B F0 4E 85 F6 7C 46 46 33 D2 8B 45 08 8B 40 FC 8B 80 44 03 00 00 8B 80 B4 03 00 00 8B 40 04 8B 04 90 F6 40 1C 08 75 21 85 D2 75 04 B1 01 EB 0C 8B 88 A0 00 00 00 3B 79 04 0F 9C C1 84 C9 74 09 8B 80 A0 00 00 00 8B 78 04 42 4E 75 BD 8B C7 5F 5E 5D C3 }
	condition:
		$1
}

rule function_91973_0 {
	meta:
		name = "CalcParams"
		size = 155
		refs = "002d HasNoMandatoryValues 0089 TCustomChartGrid.HasVisuals"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 F6 43 1C 08 0F 85 84 00 00 00 8B 45 08 FF 40 F8 8B 45 08 8B 40 FC 0F B6 80 54 03 00 00 84 C0 75 18 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 92 7C 03 00 00 88 04 32 EB 14 3C 02 0F 94 C0 8B 55 08 8B 52 FC 8B 92 7C 03 00 00 88 04 32 8B 45 08 8B 40 FC 8B 80 7C 03 00 00 80 3C 30 00 74 06 8B 45 08 FF 40 F8 8B 83 98 00 00 00 8B 40 08 83 E8 02 8B 55 08 01 42 F8 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 84 C0 74 06 8B 45 08 FF 40 F8 5E 5B 5D C3 }
	condition:
		$1
}

rule function_91974_0 {
	meta:
		name = "Find"
		size = 60
		refs = "000d @DynArrayLength"
	strings:
		$1 = { 55 8B EC 53 33 DB 8B 45 10 8B 40 FC E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 1D 42 33 C9 8B 45 10 8B 40 FC DD 04 C8 DC 5D 08 9B DF E0 9E 75 04 B3 01 EB 04 41 4A 75 E6 8B C3 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_91975_0 {
	meta:
		name = "SetXYZDimensions"
		size = 471
		refs = "0012 SetXYZDimensions 0023 TCustomChartGrid.GetXYZSeries 004e TChartValueLists.Get 006a Find 0077 @DynArrayLength 0087 :TCustomChartGrid.:2 008c @DynArraySetLength 00c2 TCustomGrid.SetColCount 00d0 @DynArrayClear 015d TCustomGrid.SetRowCount 0187 TCustomGrid.SetFixedRows 0197 TCustomGrid.GetColWidths 01a9 TCustomGrid.SetColWidths 01ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 30 01 00 00 8B 87 A0 00 00 00 8B 58 04 4B 85 DB 7C 71 43 33 F6 8B 87 98 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 40 54 8B 14 F0 89 55 F0 8B 54 F0 04 89 55 F4 55 FF 75 F4 FF 75 F0 E8 ?? ?? ?? ?? 59 84 C0 75 39 8B 45 FC E8 ?? ?? ?? ?? 40 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 4D F0 89 4C C2 F8 8B 4D F4 89 4C C2 FC 46 4B 75 92 8B 45 FC E8 ?? ?? ?? ?? 8B D0 42 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 87 A0 00 00 00 8B 58 04 4B 85 DB 7C 67 43 33 F6 8B 87 68 01 00 00 8B 40 54 8B 14 F0 89 55 F0 8B 54 F0 04 89 55 F4 55 FF 75 F4 FF 75 F0 E8 ?? ?? ?? ?? 59 84 C0 75 39 8B 45 FC E8 ?? ?? ?? ?? 40 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 4D F0 89 4C C2 F8 8B 4D F4 89 4C C2 FC 46 4B 75 9C 8B 45 FC E8 ?? ?? ?? ?? 8B D0 83 C2 02 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC C6 80 51 03 00 00 00 8B 45 08 8B 40 FC C6 80 48 03 00 00 00 8B 45 08 8B 40 FC BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 40 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_91976_0 {
	meta:
		name = "TCustomChartGrid.RecalcDimensions"
		size = 476
		refs = "0033 :TCustomChartGrid.:1 0038 @DynArraySetLength 0075 SetXYZDimensions 00b3 CalcParams 010b TCustomChartGrid.FirstRowNum 011d MaxNumPoints 0131 TCustomGrid.SetRowCount 014e TCustomGrid.SetColCount 015c TCustomGrid.SetColWidths 019a TCustomGrid.SetFixedRows 01ca TCustomGrid.SetCol 01d1 TCustomChartGrid.NotifyChange"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8D 7D FC 8B 07 8B 98 44 03 00 00 85 DB 74 26 8B 83 B4 03 00 00 8B 40 08 50 8B 07 05 7C 03 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 27 8B 07 83 B8 88 03 00 00 00 74 1C 6A 01 8B 07 05 7C 03 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 07 80 B8 50 03 00 00 00 74 0C 55 E8 ?? ?? ?? ?? 59 E9 2D 01 00 00 C7 45 F8 01 00 00 00 8B 07 8B 80 44 03 00 00 85 C0 75 0F 8B 17 83 BA 88 03 00 00 00 0F 84 96 00 00 00 8B 17 8B 92 88 03 00 00 85 D2 74 0D 55 8B C2 33 D2 E8 ?? ?? ?? ?? 59 EB 32 8B 80 B4 03 00 00 8B 70 08 4E 85 F6 7C 24 46 33 DB 55 8B 07 8B 80 44 03 00 00 8B 80 B4 03 00 00 8B 40 04 8B 04 98 8B D3 E8 ?? ?? ?? ?? 59 43 4E 75 DF 8B 07 80 B8 51 03 00 00 00 74 03 FF 45 F8 8B 07 80 B8 48 03 00 00 00 74 03 FF 45 F8 8B 07 E8 ?? ?? ?? ?? 8B D8 43 8B 07 E8 ?? ?? ?? ?? 8B F0 55 E8 ?? ?? ?? ?? 59 03 F0 8B C6 3B C3 7D 02 8B C3 8B D0 8B 07 E8 ?? ?? ?? ?? EB 11 8B 07 E8 ?? ?? ?? ?? 8B D0 42 8B 07 E8 ?? ?? ?? ?? 8B 55 F8 8B 07 E8 ?? ?? ?? ?? B9 1E 00 00 00 33 D2 8B 07 E8 ?? ?? ?? ?? 8B 07 80 B8 48 03 00 00 00 74 1C 8B 07 83 B8 8C 02 00 00 01 7E 11 B9 28 00 00 00 BA 01 00 00 00 8B 07 E8 ?? ?? ?? ?? 8B 07 80 B8 78 03 00 00 00 74 0E BA 02 00 00 00 8B 07 E8 ?? ?? ?? ?? EB 0C BA 01 00 00 00 8B 07 E8 ?? ?? ?? ?? 8B 07 83 B8 90 02 00 00 00 75 17 8B 07 83 B8 8C 02 00 00 01 7E 0C BA 01 00 00 00 8B 07 E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_91978_0 {
	meta:
		name = "TCustomChartGrid.SetBooleanProperty"
		size = 28
		refs = "000c TCustomChartGrid.RecalcDimensions"
	strings:
		$1 = { 56 8B F0 3A 0A 74 13 88 0A 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_91979_0 {
	meta:
		name = "TCustomChartGrid.SetShowFields"
		size = 78
		refs = "0019 TCustomChartGrid.SetBooleanProperty 0020 TCustomChartGrid.FirstRowNum 0038 TCustomGrid.SetRow 0047 @CallDynaInst"
	strings:
		$1 = { 53 56 8B F0 3A 96 78 03 00 00 0F 95 C3 8D 86 78 03 00 00 8B CA 8B D6 92 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B 86 94 02 00 00 7E 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0B 8B C6 66 BE A1 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91980_0 {
	meta:
		name = "TCustomChartGrid.SetShowLabels"
		size = 14
		refs = "0009 TCustomChartGrid.SetBooleanProperty"
	strings:
		$1 = { 8D 88 51 03 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91981_0 {
	meta:
		name = "TCustomChartGrid.SetShowVisuals"
		size = 28
		refs = "000c TCustomChartGrid.RecalcDimensions"
	strings:
		$1 = { 56 8B F0 88 96 53 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_91982_0 {
	meta:
		name = "TCustomChartGrid.SetShowColors"
		size = 14
		refs = "0009 TCustomChartGrid.SetBooleanProperty"
	strings:
		$1 = { 8D 88 48 03 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91983_0 {
	meta:
		name = "TCustomChartGrid.SetShowXValues"
		size = 28
		refs = "000c TCustomChartGrid.RecalcDimensions"
	strings:
		$1 = { 56 8B F0 88 96 54 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_91984_0 {
	meta:
		name = "TCustomChartGrid.TeeEvent"
		size = 65
		refs = "0010 _Dn_TTeeSeriesEvent 0015 @IsClass 003a TCustomChartGrid.RecalcDimensions"
	strings:
		$1 = { 53 56 8B DA 8B F0 F6 46 1C 08 75 32 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 0F B6 43 08 04 FE 2C 02 72 04 FE C8 75 0C 8B C6 8B 10 FF 92 A0 00 00 00 EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91985_0 {
	meta:
		name = "TCustomChartGrid.GetSeriesColor"
		size = 139
		refs = "0026 TCustomChartGrid.ColorsColumn 0031 TCustomChartGrid.FirstRowNum 003f TCustomChartGrid.GetSeries"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 08 8B 45 FC C7 00 FF FF FF 1F 80 BB 48 03 00 00 00 74 5C 8B C3 E8 ?? ?? ?? ?? 3B F0 75 51 8B C3 E8 ?? ?? ?? ?? 3B F8 7C 46 8D 56 01 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 38 8B C3 E8 ?? ?? ?? ?? 8B D7 2B D0 8B 86 A0 00 00 00 3B 50 04 7D 1C 8B C3 E8 ?? ?? ?? ?? 8B D7 2B D0 8B C6 8B 08 FF 91 B0 00 00 00 8B 55 FC 89 02 EB 06 33 F6 EB 02 33 F6 8B C6 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_91986_0 {
	meta:
		name = "TCustomChartGrid.GetSeriesColor"
		size = 19
		refs = "000e TCustomChartGrid.GetSeriesColor"
	strings:
		$1 = { 8B 88 94 02 00 00 51 8B 88 90 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_91987_0 {
	meta:
		name = "TCustomChartGrid.ChangeColor"
		size = 35
		refs = "000c TCustomChartGrid.GetSeriesColor 001b TCustomChartGrid.ChangeColor"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0B 8B CE 8B D0 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_91988_0 {
	meta:
		name = "TCustomChartGrid.ChangeColor"
		size = 132
		refs = "0010 TCustomChartGrid.FirstRowNum 0021 TChartSeries.SetValueColor 002a TCustomChartGrid.SetManualData 0042 TCustomGrid.CellRect 004a TCustomChartGrid.ChangeColor"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F9 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 96 94 02 00 00 2B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 54 8B AE 94 02 00 00 8B CD 8B BE 90 02 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? 54 0F B6 05 ?? ?? ?? ?? 50 8B CD 8B D7 8B C6 8B 18 FF 93 0C 01 00 00 66 83 BE 62 03 00 00 00 74 0E 8B D6 8B 86 64 03 00 00 FF 96 60 03 00 00 83 C4 10 5D 5F 5E 5B C3 00 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_91989_0 {
	meta:
		name = "TCustomChartGrid.ChangeColor"
		size = 164
		refs = "000b TCustomChartGrid.GetSeriesColor 001a TCustomChartGrid.ChangeColor 0021 EditColorDialog 0057 TCustomChartGrid.NewBarSeries 006e TCustomChartGrid.FirstRowNum 007d TChartSeries.Count"
	strings:
		$1 = { 53 56 57 51 8B F0 8B D4 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 22 8B D4 0F B6 0D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 72 8B 0C 24 8B D3 8B C6 E8 ?? ?? ?? ?? EB 64 80 BE 41 03 00 00 00 74 5B 8B D4 0F B6 0D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 47 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 0C 33 D2 8B C3 8B 08 FF 91 F8 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B BE 94 02 00 00 2B F8 8B C3 E8 ?? ?? ?? ?? 3B F8 7D DA 8B 0C 24 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5A 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_91990_0 {
	meta:
		name = "TCustomChartGrid.AtSeriesColor"
		size = 158
		refs = "0013 Mouse 001a TMouse.GetCursorPos 0029 TControl.ScreenToClient 003d TCustomGrid.MouseCoord 0051 TCustomChartGrid.GetSeries 0069 TCustomGrid.CellRect 0078 TCustomChartGrid.SymbolRect 0085 PtInRect"
	strings:
		$1 = { 53 56 57 55 83 C4 C4 89 14 24 8B F8 33 DB 8D 54 24 24 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 54 24 24 8D 4C 24 0C 8B C7 E8 ?? ?? ?? ?? 8D 44 24 04 50 8B 4C 24 14 8B 54 24 10 8B C7 E8 ?? ?? ?? ?? 83 7C 24 08 00 75 4C 8B 6C 24 04 8B D5 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 74 39 8D 44 24 2C 50 8B 4C 24 0C 8B D5 8B C7 E8 ?? ?? ?? ?? 8D 54 24 2C 8D 4C 24 14 8B C7 E8 ?? ?? ?? ?? 8D 54 24 0C 8D 44 24 14 E8 ?? ?? ?? ?? 84 C0 74 07 8B 04 24 89 30 B3 01 8B C3 83 C4 3C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_91991_0 {
	meta:
		name = "TCustomChartGrid.DblClick"
		size = 168
		refs = "0012 TCustomChartGrid.ColorsColumn 002a TCustomChartGrid.ChangeColor 0039 TCustomChartGrid.IsVisualsColumn 004a TCustomChartGrid.EditVisual 0055 TCustomChartGrid.AtSeriesColor 006a TChartSeries.GetSeriesColor 0079 TCustomChartGrid.DblClick 0080 EditColorDialog 009c TControl.DblClick"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 BB 48 03 00 00 00 74 21 8B C3 E8 ?? ?? ?? ?? 3B 83 90 02 00 00 75 12 F6 83 BD 02 00 00 04 74 09 8B C3 E8 ?? ?? ?? ?? EB 70 8B 93 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 93 90 02 00 00 8B C3 E8 ?? ?? ?? ?? EB 50 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3C 80 BB 52 03 00 00 00 74 33 8B 04 24 E8 ?? ?? ?? ?? 89 44 24 04 8D 54 24 04 0F B6 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8B 54 24 04 8B 04 24 8B 08 FF 91 D8 00 00 00 EB 07 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_91992_0 {
	meta:
		name = "TCustomChartGrid.CanEditShow"
		size = 229
		refs = "0013 TCustomChartGrid.CanEditShow 0020 TCustomGrid.CanEditShow 006c TCustomChartGrid.ColorsColumn 0087 TCustomChartGrid.IsVisualsColumn 00ac @CallDynaInst 00ba @UStrAsg 00cf @UStrClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 88 45 FF 80 7D FF 00 0F 84 8D 00 00 00 66 83 BB 6A 03 00 00 00 74 1F 8B 83 94 02 00 00 50 8D 45 FF 50 8B 8B 90 02 00 00 8B D3 8B 83 6C 03 00 00 FF 93 68 03 00 00 80 7D FF 00 74 5E 80 BB 48 03 00 00 00 74 15 8B C3 E8 ?? ?? ?? ?? 3B 83 90 02 00 00 75 06 C6 45 FF 00 EB 40 8B 93 90 02 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 FF 00 EB 29 8D 45 F8 50 8B 8B 94 02 00 00 8B 93 90 02 00 00 8B C3 66 BE A9 FF E8 ?? ?? ?? ?? 8B 55 F8 8D 83 58 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_91993_0 {
	meta:
		name = "TCustomChartGrid.Regenerate"
		size = 63
		refs = "000d TCustomChartGrid.RecalcDimensions 002d TCustomChartGrid.FirstRowNum 0038 TCustomGrid.MoveColRow"
	strings:
		$1 = { 53 56 8B D8 F6 43 1C 08 75 32 8B C3 E8 ?? ?? ?? ?? 8B 83 8C 02 00 00 48 83 F8 01 7D 04 8B F0 EB 05 BE 01 00 00 00 6A 01 6A 01 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_91994_0 {
	meta:
		name = "TCustomChartGrid.SetSeries"
		size = 149
		refs = "0017 TComponent.RemoveFreeNotification 002d TCustomChartGrid.RemoveListener 004f TComponent.FreeNotification 0058 TCustomChartGrid.SetChart 007d TCustomChartGrid.AddListener 0084 TCustomChartGrid.Regenerate"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 88 03 00 00 3B D8 74 71 85 C0 74 2C 8B D6 E8 ?? ?? ?? ?? 8B 86 88 03 00 00 8B 40 40 85 C0 74 0B 8B D0 8B C6 E8 ?? ?? ?? ?? EB 0D 8B 96 8C 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B C3 89 86 88 03 00 00 85 C0 74 35 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 86 88 03 00 00 8B 40 40 89 86 8C 03 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 96 8C 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 A0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_91995_0 {
	meta:
		name = "TCustomChartGrid.LabelsColumn"
		size = 35
	strings:
		$1 = { 80 B8 51 03 00 00 00 74 16 80 B8 48 03 00 00 00 74 07 B8 02 00 00 00 EB 09 B8 01 00 00 00 C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_91996_0 {
	meta:
		name = "TCustomChartGrid.ColorsColumn"
		size = 19
	strings:
		$1 = { 80 B8 48 03 00 00 00 74 06 B8 01 00 00 00 C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_91999_0 {
	meta:
		name = "TCircledSeriesEditor.FormShow"
		size = 344
		refs = "0058 TCustomUpDown.SetPosition 0085 TCircledSeries.HasBackColor 00bc TCircledSeriesEditor.FormShow 00cd TTeeButton.LinkProperty 00d8 TCircledSeries.GetCircleGradient 00e5 TButtonGradient.LinkGradient 00f0 InsertTeeShadowEditor 0101 TTeeShadowEditor.RefreshControls 010c InsertTeeEmbossEditor"
	strings:
		$1 = { 53 56 8B D8 C6 83 EC 03 00 00 01 8B 43 0C 89 83 E8 03 00 00 85 C0 0F 84 05 01 00 00 8B F0 0F B6 96 74 01 00 00 8B 83 A4 03 00 00 8B 08 FF 91 FC 00 00 00 8B 46 40 0F B6 90 04 03 00 00 8B 83 A8 03 00 00 8B 08 FF 91 FC 00 00 00 8B 96 84 01 00 00 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 8B 96 78 01 00 00 8B 83 E0 03 00 00 E8 ?? ?? ?? ?? 8B 96 7C 01 00 00 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B 83 B4 03 00 00 8B 08 FF 91 FC 00 00 00 8B B3 B4 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 80 F2 01 8B C6 8B 08 FF 91 80 00 00 00 B9 ?? ?? ?? ?? 8B 93 E8 03 00 00 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 8B 93 E8 03 00 00 8B 92 88 01 00 00 E8 ?? ?? ?? ?? 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 8B 93 E8 03 00 00 8B 92 80 01 00 00 E8 ?? ?? ?? ?? C6 83 EC 03 00 00 00 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 69 00 72 00 63 00 6C 00 65 00 42 00 61 00 63 00 6B 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_92000_0 {
	meta:
		name = "TCircledSeriesEditor.CBCircledClick"
		size = 32
		refs = "001a TCircledSeries.SetCircled"
	strings:
		$1 = { 53 8B D8 8B 83 A4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92001_0 {
	meta:
		name = "TCircledSeriesEditor.SERotationChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TCircledSeries.SetRotationAngle"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 18 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92002_0 {
	meta:
		name = "TCircledSeriesEditor.SEXRadiusChange"
		size = 68
		refs = "0013 TCustomUpDown.GetPosition 0020 TCircledSeries.SetCustomXRadius"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 36 8B 83 E0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 8B 83 E0 03 00 00 E8 ?? ?? ?? ?? 85 C0 0F 94 C2 8B 83 D0 03 00 00 8B 08 FF 91 FC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92003_0 {
	meta:
		name = "TCircledSeriesEditor.SEYRadiusChange"
		size = 68
		refs = "0013 TCustomUpDown.GetPosition 0020 TCircledSeries.SetCustomYRadius"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 36 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 85 C0 0F 94 C2 8B 83 D8 03 00 00 8B 08 FF 91 FC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92004_0 {
	meta:
		name = "TCircledSeriesEditor.CBAutoXRClick"
		size = 36
		refs = "001e TCustomUpDown.SetPosition"
	strings:
		$1 = { 53 8B D8 8B 83 D0 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 0D 33 D2 8B 83 E0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92005_0 {
	meta:
		name = "TCircledSeriesEditor.CBAutoYRClick"
		size = 36
		refs = "001e TCustomUpDown.SetPosition"
	strings:
		$1 = { 53 8B D8 8B 83 D8 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 0D 33 D2 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92006_0 {
	meta:
		name = "TCircledSeriesEditor.CB3DClick"
		size = 35
		refs = "001d TCustomTeePanel.SetView3D"
	strings:
		$1 = { 53 8B D8 8B 83 A8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 E8 03 00 00 8B 40 40 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92007_0 {
	meta:
		name = "TCircledSeriesEditor.BBackClick"
		size = 37
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 B4 03 00 00 8B 08 FF 91 FC 00 00 00 B2 01 8B 83 B4 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92008_0 {
	meta:
		name = "TCircledSeriesEditor.CBTranspClick"
		size = 113
		refs = "002b TCircledSeries.SetCircleBackColor 0036 TCircledSeries.GetCircleGradient 003d TCustomTeeGradient.SetVisible"
	strings:
		$1 = { 53 56 8B D8 80 BB EC 03 00 00 00 75 61 8B 83 B4 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 30 BA 00 00 00 20 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 83 B0 03 00 00 8B 10 FF 92 9C 00 00 00 8B B3 B4 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 80 F2 01 8B C6 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92009_0 {
	meta:
		name = "TCircledSeriesEditor.BGradientClick"
		size = 54
		refs = "000a TCircledSeries.GetCircleGradient"
	strings:
		$1 = { 53 8B D8 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 80 78 28 00 74 20 33 D2 8B 83 B4 03 00 00 8B 08 FF 91 FC 00 00 00 B2 01 8B 83 B4 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92010_0 {
	meta:
		name = "TCircledSeriesEditor.CreateForm"
		size = 39
		refs = "0009 TeeMsg_GalleryCircled 0013 _DV_TCircledSeriesEditor 001b _Dn_TFormTeeSeries 0020 TFormTeeSeries.InsertSeriesForm"
	strings:
		$1 = { 53 56 8B F1 8B DA 6A 01 A1 ?? ?? ?? ?? 8B 00 50 56 8B 0D ?? ?? ?? ?? 8B 53 38 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92013_0 {
	meta:
		name = "TeeSetConstants"
		size = 20208
		refs = "0001 TeeMsg_Copyright 0006 TeeSetConstants 000b @UStrAsg 0010 TeeMsg_Test 001f TeeMsg_LegendFirstValue 002e TeeMsg_LegendColorWidth 003d TeeMsg_SeriesSetDataSource 004c TeeMsg_SeriesInvDataSource 005b TeeMsg_FillSample 006a TeeMsg_AxisLogDateTime 0079 TeeMsg_AxisLogNotPositive 0088 TeeMsg_AxisLabelSep 0097 TeeMsg_AxisIncrementNeg 00a6 TeeMsg_AxisMinMax 00b5 TeeMsg_AxisMaxMin 00c4 TeeMsg_AxisLogBase 00d3 TeeMsg_MaxPointsPerPage 00e2 TeeMsg_3dPercent 00f1 TeeMsg_CircularSeries 0100 TeeMsg_WarningHiColor 010f TeeMsg_DefaultPercentOf 011e TeeMsg_DefaultPercentOf2 012d TeeMsg_DefPercentFormat 013c TeeMsg_DefValueFormat 014b TeeMsg_DefLogValueFormat 015a TeeMsg_AxisTitle 0169 TeeMsg_AxisLabels 0178 TeeMsg_RefreshInterval 0187 TeeMsg_SeriesParentNoSelf 0196 TeeMsg_GalleryLine 01a5 TeeMsg_GalleryPoint 01b4 TeeMsg_GalleryArea 01c3 TeeMsg_GalleryBar 01d2 TeeMsg_GalleryHorizBar 01e1 TeeMsg_Stack 01f0 TeeMsg_GalleryPie 01ff TeeMsg_GalleryCircled 020e TeeMsg_GalleryFastLine 021d TeeMsg_GalleryHorizLine 022c TeeMsg_PieSample1 023b TeeMsg_PieSample2 024a TeeMsg_PieSample3 0259 TeeMsg_PieSample4 0268 TeeMsg_PieSample5 0277 TeeMsg_PieSample6 0286 TeeMsg_PieSample7 0295 TeeMsg_PieSample8 02a4 TeeMsg_GalleryLogoFont 02b3 TeeMsg_Editing 02c2 TeeMsg_GalleryStandard 02d1 TeeMsg_GalleryExtended 02e0 TeeMsg_GalleryFunctions 02ef TeeMsg_EditChart 02fe TeeMsg_PrintPreview 030d TeeMsg_ExportChart 031c TeeMsg_CustomAxes 032b TeeMsg_InvalidEditorClass 033a TeeMsg_MissingEditorClass 0349 TeeMsg_GalleryArrow 0358 TeeMsg_ExpFinish 0367 TeeMsg_ExpNext 0376 TeeMsg_GalleryGantt 0385 TeeMsg_GanttSample1 0394 TeeMsg_GanttSample2 03a3 TeeMsg_GanttSample3 03b2 TeeMsg_GanttSample4 03c1 TeeMsg_GanttSample5 03d0 TeeMsg_GanttSample6 03df TeeMsg_GanttSample7 03ee TeeMsg_GanttSample8 03fd TeeMsg_GanttSample9 040c TeeMsg_GanttSample10 041b TeeMsg_ChangeSeriesTitle 042a TeeMsg_NewSeriesTitle 0439 TeeMsg_DateTime 0448 TeeMsg_TopAxis 0457 TeeMsg_BottomAxis 0466 TeeMsg_LeftAxis 0475 TeeMsg_RightAxis 0484 TeeMsg_SureToDelete 0493 TeeMsg_DateTimeFormat 04a2 TeeMsg_Default 04b1 TeeMsg_ValuesFormat 04c0 TeeMsg_Maximum 04cf TeeMsg_Minimum 04de TeeMsg_DesiredIncrement 04ed TeeMsg_IncorrectMaxMinValue 04fc TeeMsg_EnterDateTime 050b TeeMsg_SureToApply 051a TeeMsg_SelectedSeries 0529 TeeMsg_RefreshData 0538 TeeMsg_DefaultFontSize 0547 TeeMsg_DefaultEditorSize 0556 TeeMsg_DefaultEditorHeight 0565 TeeMsg_FunctionAdd 0574 TeeMsg_FunctionSubtract 0583 TeeMsg_FunctionMultiply 0592 TeeMsg_FunctionDivide 05a1 TeeMsg_FunctionHigh 05b0 TeeMsg_FunctionLow 05bf TeeMsg_FunctionAverage 05ce TeeMsg_GalleryShape 05dd TeeMsg_GalleryBubble 05ec TeeMsg_FunctionNone 05fb TeeMsg_None 060a TeeMsg_PrivateDeclarations 0619 TeeMsg_PublicDeclarations 0628 TeeMsg_DefaultFontName 0637 TeeMsg_CheckPointerSize 0646 TeeMsg_About 0655 tcAdditional 0664 tcDControls 0673 tcQReport 0682 TeeMsg_DataSet 0691 TeeMsg_AskDataSet 06a0 TeeMsg_SingleRecord 06af TeeMsg_AskDataSource 06be TeeMsg_Summary 06cd TeeMsg_FunctionPeriod 06dc TeeMsg_WizardTab 06eb TeeMsg_TeeChartWizard 06fa TeeMsg_ClearImage 0709 TeeMsg_BrowseImage 0718 TeeMsg_WizardSureToClose 0727 TeeMsg_FieldNotFound 0736 TeeMsg_DepthAxis 0745 TeeMsg_PieOther 0754 TeeMsg_ShapeGallery1 0763 TeeMsg_ShapeGallery2 0772 TeeMsg_ValuesX 0781 TeeMsg_ValuesY 0790 TeeMsg_ValuesPie 079f TeeMsg_ValuesBar 07ae TeeMsg_ValuesAngle 07bd TeeMsg_ValuesGanttStart 07cc TeeMsg_ValuesGanttEnd 07db TeeMsg_ValuesGanttNextTask 07ea TeeMsg_ValuesBubbleRadius 07f9 TeeMsg_ValuesArrowEndX 0808 TeeMsg_ValuesArrowEndY 0817 TeeMsg_Legend 0826 TeeMsg_Title 0835 TeeMsg_Foot 0844 TeeMsg_Period 0853 TeeMsg_PeriodRange 0862 TeeMsg_CalcPeriod 0871 TeeMsg_SmallDotsPen 0886 TeeMsg_TeeExtension 0890 TeeMsg_InvalidTeeFile 089a @UStrCatN 08af TeeMsg_WrongTeeFileFormat 08ce TeeMsg_EmptyTeeFile 08dd TeeMsg_ChartAxesCategoryName 08ec TeeMsg_ChartAxesCategoryDesc 08fb TeeMsg_ChartWallsCategoryName 090a TeeMsg_ChartWallsCategoryDesc 0919 TeeMsg_ChartTitlesCategoryName 0928 TeeMsg_ChartTitlesCategoryDesc 0937 TeeMsg_Chart3DCategoryName 0946 TeeMsg_Chart3DCategoryDesc 0955 TeeMsg_CustomAxesEditor 0964 TeeMsg_Series 0973 TeeMsg_SeriesList 0982 TeeMsg_PageOfPages 0991 TeeMsg_FileSize 09a0 TeeMsg_First 09af TeeMsg_Prior 09be TeeMsg_Next 09cd TeeMsg_Last 09dc TeeMsg_Insert 09eb TeeMsg_Delete 09fa TeeMsg_Edit 0a09 TeeMsg_Post 0a18 TeeMsg_Cancel 0a27 TeeMsg_All 0a36 TeeMsg_Index 0a45 TeeMsg_Text 0a54 TeeMsg_AsBMP 0a63 TeeMsg_BMPFilter 0a72 TeeMsg_AsEMF 0a81 TeeMsg_EMFFilter 0a90 TeeMsg_ExportPanelNotSet 0a9f TeeMsg_Normal 0aae TeeMsg_NoBorder 0abd TeeMsg_Dotted 0acc TeeMsg_Colors 0adb TeeMsg_Filled 0aea TeeMsg_Marks 0af9 TeeMsg_Stairs 0b08 TeeMsg_Points 0b17 TeeMsg_Height 0b26 TeeMsg_Hollow 0b35 TeeMsg_Point2D 0b44 TeeMsg_Triangle 0b53 TeeMsg_Star 0b62 TeeMsg_Circle 0b71 TeeMsg_DownTri 0b80 TeeMsg_Cross 0b8f TeeMsg_Diamond 0b9e TeeMsg_NoLines 0bad TeeMsg_Stack100 0bbc TeeMsg_Pyramid 0bcb TeeMsg_Ellipse 0bda TeeMsg_InvPyramid 0be9 TeeMsg_Sides 0bf8 TeeMsg_SideAll 0c07 TeeMsg_Patterns 0c16 TeeMsg_Exploded 0c25 TeeMsg_Shadow 0c34 TeeMsg_SemiPie 0c43 TeeMsg_Rectangle 0c52 TeeMsg_VertLine 0c61 TeeMsg_HorizLine 0c70 TeeMsg_Line 0c7f TeeMsg_Cube 0c8e TeeMsg_DiagCross 0c9d TeeMsg_CanNotFindTempPath 0cac TeeMsg_CanNotCreateTempChart 0cbb TeeMsg_CanNotEmailChart 0cca TeeMsg_SeriesDelete 0cd9 TeeMsg_NoSeriesSelected 0ce8 TeeMsg_CannotLoadChartFromURL 0cf7 TeeMsg_CannotLoadSeriesDataFromURL 0d06 TeeMsg_AsJPEG 0d15 TeeMsg_JPEGFilter 0d24 TeeMsg_AsGIF 0d33 TeeMsg_GIFFilter 0d42 TeeMsg_AsPNG 0d51 TeeMsg_PNGFilter 0d60 TeeMsg_AsPCX 0d6f TeeMsg_PCXFilter 0d7e TeeMsg_AsVML 0d8d TeeMsg_VMLFilter 0d9c TeeMsg_AskLanguage 0dab TeeMsg_TextFile 0dba TeeMsg_Gradient 0dc9 TeeMsg_WantToSave 0dd8 TeeMsg_NativeFilter 0de7 TeeMsg_Property 0df6 TeeMsg_Value 0e05 TeeMsg_Yes 0e14 TeeMsg_No 0e23 TeeMsg_Image 0e32 TeeMsg_FunctionCustom 0e41 TeeMsg_AsPDF 0e50 TeeMsg_PDFFilter 0e5f TeeMsg_AsPS 0e6e TeeMsg_PSFilter 0e7d TeeMsg_GalleryHorizArea 0e8c TeeMsg_SelfStack 0e9b TeeMsg_DarkPen 0eaa TeeMsg_SelectFolder 0eb9 TeeMsg_BDEAlias 0ec8 TeeMsg_ADOConnection 0ed7 TeeMsg_Apply 0ee6 TeeMsg_AddNewGroup 0ef5 TeeMsg_ChangeGroupName 0f04 TeeMsg_GroupName 0f13 TeeMsg_FunctionMedian 0f22 TeeMsg_FunctionMode 0f31 TeeMsg_Options 0f40 TeeMsg_DepthTopAxis 0f4f TeeMsg_View2D 0f5e TeeMsg_Outline 0f6d TeeMsg_TextFilter1 0f7c TeeMsg_TextFilter2 0f8b TeeMsg_TextFilter3 0f9a TeeMsg_TextFilter4 0fa9 TeeMsg_TextFilter5 0fb8 TeeMsg_XMLFilter 0fc7 TeeMsg_HTMLFilter 0fd6 TeeMsg_ExcelFilter 0fe5 TeeMsg_ViewOrthoRight 0ff4 TeeMsg_ViewOrthoLeft 1003 TeeMsg_View3DFront 1012 TeeMsg_View3DRight 1021 TeeMsg_View3DLeft 1030 TeeMsg_AsSVG 103f TeeMsg_SVGFilter 104e TeeMsg_SubTitle 105d TeeMsg_SubFoot 106c TeeMsg_FunctionSubset 107b TeeMsg_Hexagon 108a TeeMsg_AntiAlias 1099 TeeMsg_Percent 10a8 TeeMsg_Smooth 10b7 TeeMsg_Blur 10c6 TeeMsg_Width 10d5 TeeMsg_Resize 10e4 TeeMsg_Left 10f3 TeeMsg_Top 1102 TeeMsg_Crop 1111 TeeMsg_Invert 1120 TeeMsg_GrayScale 112f TeeMsg_Mosaic 113e TeeMsg_Flip 114d TeeMsg_Reverse 115c TeeMsg_Brightness 116b TeeMsg_Color 117a TeeMsg_HueLumSat 1189 TeeMsg_Sharpen 1198 TeeMsg_GammaCorrection 11a7 TeeMsg_Emboss 11b6 TeeMsg_Contrast 11c5 TeeMsg_Rotate 11d4 TeeMsg_Back 11e3 TeeMsg_Autosize 11f2 TeeMsg_Mirror 1201 TeeMsg_Columns 1210 TeeMsg_Rows 121f TeeMsg_Tile 122e TeeMsg_Bevel 123d TeeMsg_Zoom 124c TeeMsg_ThemeDefault 125b TeeMsg_ThemeTeeChart 126a TeeMsg_ThemeExcel 1279 TeeMsg_ThemeVictorian 1288 TeeMsg_ThemePastels 1297 TeeMsg_ThemeSolid 12a6 TeeMsg_ThemeClassic 12b5 TeeMsg_ThemeWeb 12c4 TeeMsg_ThemeModern 12d3 TeeMsg_ThemeRainbow 12e2 TeeMsg_ThemeWinXP 12f1 TeeMsg_ThemeMacOS 1300 TeeMsg_ThemeWinVista 130f TeeMsg_ThemeGrayScale 131e TeeMsg_ThemeOpera 132d TeeMsg_ThemeWarm 133c TeeMsg_ThemeCool 134b TeeMsg_MenuFilters 135a TeeMsg_CrossTab 1369 TeeMsg_DBSumEditCaption 1378 TeeMsg_AsFlex 1387 TeeMsg_FlexFilter 1396 TeeMsg_AsXAML 13a5 TeeMsg_XAMLFilter 13b4 TeeMsg_SelectTmpFolder 13c3 TeeMsg_PathAdobeFlexCompiler 13d2 TeePolarDegreeSymbol 13e1 TeeMsg_NewChart 13f0 TeeMsg_RenameChart 13ff"
	strings:
		$1 = { B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA 03 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA 03 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 68 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA 03 00 00 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? }
	condition:
		$1
}

rule function_92014_0 {
	meta:
		name = "Finalization"
		size = 3712
		refs = "0007 Finalization 0013 _DV_1 001e TeeMsg_TeeExtension 0023 @UStrClr 0028 TeeMsg_Copyright 0032 TeeMsg_Test 003c TeeMsg_LegendFirstValue 0046 TeeMsg_LegendColorWidth 0050 TeeMsg_SeriesSetDataSource 005a TeeMsg_SeriesInvDataSource 0064 TeeMsg_FillSample 006e TeeMsg_AxisLogDateTime 0078 TeeMsg_AxisLogNotPositive 0082 TeeMsg_AxisLabelSep 008c TeeMsg_AxisIncrementNeg 0096 TeeMsg_AxisMinMax 00a0 TeeMsg_AxisMaxMin 00aa TeeMsg_AxisLogBase 00b4 TeeMsg_MaxPointsPerPage 00be TeeMsg_3dPercent 00c8 TeeMsg_CircularSeries 00d2 TeeMsg_WarningHiColor 00dc TeeMsg_DefaultPercentOf 00e6 TeeMsg_DefaultPercentOf2 00f0 TeeMsg_DefPercentFormat 00fa TeeMsg_DefValueFormat 0104 TeeMsg_DefLogValueFormat 010e TeeMsg_AxisTitle 0118 TeeMsg_AxisLabels 0122 TeeMsg_RefreshInterval 012c TeeMsg_SeriesParentNoSelf 0136 TeeMsg_GalleryLine 0140 TeeMsg_GalleryPoint 014a TeeMsg_GalleryArea 0154 TeeMsg_GalleryBar 015e TeeMsg_GalleryHorizBar 0168 TeeMsg_Stack 0172 TeeMsg_GalleryPie 017c TeeMsg_GalleryCircled 0186 TeeMsg_GalleryFastLine 0190 TeeMsg_GalleryHorizLine 019a TeeMsg_PieSample1 01a4 TeeMsg_PieSample2 01ae TeeMsg_PieSample3 01b8 TeeMsg_PieSample4 01c2 TeeMsg_PieSample5 01cc TeeMsg_PieSample6 01d6 TeeMsg_PieSample7 01e0 TeeMsg_PieSample8 01ea TeeMsg_GalleryLogoFont 01f4 TeeMsg_Editing 01fe TeeMsg_GalleryStandard 0208 TeeMsg_GalleryExtended 0212 TeeMsg_GalleryFunctions 021c TeeMsg_EditChart 0226 TeeMsg_PrintPreview 0230 TeeMsg_ExportChart 023a TeeMsg_CustomAxes 0244 TeeMsg_InvalidEditorClass 024e TeeMsg_MissingEditorClass 0258 TeeMsg_GalleryArrow 0262 TeeMsg_ExpFinish 026c TeeMsg_ExpNext 0276 TeeMsg_GalleryGantt 0280 TeeMsg_GanttSample1 028a TeeMsg_GanttSample2 0294 TeeMsg_GanttSample3 029e TeeMsg_GanttSample4 02a8 TeeMsg_GanttSample5 02b2 TeeMsg_GanttSample6 02bc TeeMsg_GanttSample7 02c6 TeeMsg_GanttSample8 02d0 TeeMsg_GanttSample9 02da TeeMsg_GanttSample10 02e4 TeeMsg_ChangeSeriesTitle 02ee TeeMsg_NewSeriesTitle 02f8 TeeMsg_DateTime 0302 TeeMsg_TopAxis 030c TeeMsg_BottomAxis 0316 TeeMsg_LeftAxis 0320 TeeMsg_RightAxis 032a TeeMsg_SureToDelete 0334 TeeMsg_DateTimeFormat 033e TeeMsg_Default 0348 TeeMsg_ValuesFormat 0352 TeeMsg_Maximum 035c TeeMsg_Minimum 0366 TeeMsg_DesiredIncrement 0370 TeeMsg_IncorrectMaxMinValue 037a TeeMsg_EnterDateTime 0384 TeeMsg_SureToApply 038e TeeMsg_SelectedSeries 0398 TeeMsg_RefreshData 03a2 TeeMsg_DefaultFontSize 03ac TeeMsg_DefaultEditorSize 03b6 TeeMsg_DefaultEditorHeight 03c0 TeeMsg_FunctionAdd 03ca TeeMsg_FunctionSubtract 03d4 TeeMsg_FunctionMultiply 03de TeeMsg_FunctionDivide 03e8 TeeMsg_FunctionHigh 03f2 TeeMsg_FunctionLow 03fc TeeMsg_FunctionAverage 0406 TeeMsg_GalleryShape 0410 TeeMsg_GalleryBubble 041a TeeMsg_FunctionNone 0424 TeeMsg_None 042e TeeMsg_PrivateDeclarations 0438 TeeMsg_PublicDeclarations 0442 TeeMsg_DefaultFontName 044c TeeMsg_CheckPointerSize 0456 TeeMsg_About 0460 tcAdditional 046a tcDControls 0474 tcQReport 047e TeeMsg_DataSet 0488 TeeMsg_AskDataSet 0492 TeeMsg_SingleRecord 049c TeeMsg_AskDataSource 04a6 TeeMsg_Summary 04b0 TeeMsg_FunctionPeriod 04ba TeeMsg_WizardTab 04c4 TeeMsg_TeeChartWizard 04ce TeeMsg_ClearImage 04d8 TeeMsg_BrowseImage 04e2 TeeMsg_WizardSureToClose 04ec TeeMsg_FieldNotFound 04f6 TeeMsg_DepthAxis 0500 TeeMsg_PieOther 050a TeeMsg_ShapeGallery1 0514 TeeMsg_ShapeGallery2 051e TeeMsg_ValuesX 0528 TeeMsg_ValuesY 0532 TeeMsg_ValuesPie 053c TeeMsg_ValuesBar 0546 TeeMsg_ValuesAngle 0550 TeeMsg_ValuesGanttStart 055a TeeMsg_ValuesGanttEnd 0564 TeeMsg_ValuesGanttNextTask 056e TeeMsg_ValuesBubbleRadius 0578 TeeMsg_ValuesArrowEndX 0582 TeeMsg_ValuesArrowEndY 058c TeeMsg_Legend 0596 TeeMsg_Title 05a0 TeeMsg_Foot 05aa TeeMsg_Period 05b4 TeeMsg_PeriodRange 05be TeeMsg_CalcPeriod 05c8 TeeMsg_SmallDotsPen 05d2 TeeMsg_InvalidTeeFile 05dc TeeMsg_WrongTeeFileFormat 05e6 TeeMsg_EmptyTeeFile 05f0 TeeMsg_ChartAxesCategoryName 05fa TeeMsg_ChartAxesCategoryDesc 0604 TeeMsg_ChartWallsCategoryName 060e TeeMsg_ChartWallsCategoryDesc 0618 TeeMsg_ChartTitlesCategoryName 0622 TeeMsg_ChartTitlesCategoryDesc 062c TeeMsg_Chart3DCategoryName 0636 TeeMsg_Chart3DCategoryDesc 0640 TeeMsg_CustomAxesEditor 064a TeeMsg_Series 0654 TeeMsg_SeriesList 065e TeeMsg_PageOfPages 0668 TeeMsg_FileSize 0672 TeeMsg_First 067c TeeMsg_Prior 0686 TeeMsg_Next 0690 TeeMsg_Last 069a TeeMsg_Insert 06a4 TeeMsg_Delete 06ae TeeMsg_Edit 06b8 TeeMsg_Post 06c2 TeeMsg_Cancel 06cc TeeMsg_All 06d6 TeeMsg_Index 06e0 TeeMsg_Text 06ea TeeMsg_AsBMP 06f4 TeeMsg_BMPFilter 06fe TeeMsg_AsEMF 0708 TeeMsg_EMFFilter 0712 TeeMsg_ExportPanelNotSet 071c TeeMsg_Normal 0726 TeeMsg_NoBorder 0730 TeeMsg_Dotted 073a TeeMsg_Colors 0744 TeeMsg_Filled 074e TeeMsg_Marks 0758 TeeMsg_Stairs 0762 TeeMsg_Points 076c TeeMsg_Height 0776 TeeMsg_Hollow 0780 TeeMsg_Point2D 078a TeeMsg_Triangle 0794 TeeMsg_Star 079e TeeMsg_Circle 07a8 TeeMsg_DownTri 07b2 TeeMsg_Cross 07bc TeeMsg_Diamond 07c6 TeeMsg_NoLines 07d0 TeeMsg_Stack100 07da TeeMsg_Pyramid 07e4 TeeMsg_Ellipse 07ee TeeMsg_InvPyramid 07f8 TeeMsg_Sides 0802 TeeMsg_SideAll 080c TeeMsg_Patterns 0816 TeeMsg_Exploded 0820 TeeMsg_Shadow 082a TeeMsg_SemiPie 0834 TeeMsg_Rectangle 083e TeeMsg_VertLine 0848 TeeMsg_HorizLine 0852 TeeMsg_Line 085c TeeMsg_Cube 0866 TeeMsg_DiagCross 0870 TeeMsg_CanNotFindTempPath 087a TeeMsg_CanNotCreateTempChart 0884 TeeMsg_CanNotEmailChart 088e TeeMsg_SeriesDelete 0898 TeeMsg_NoSeriesSelected 08a2 TeeMsg_CannotLoadChartFromURL 08ac TeeMsg_CannotLoadSeriesDataFromURL 08b6 TeeMsg_AsJPEG 08c0 TeeMsg_JPEGFilter 08ca TeeMsg_AsGIF 08d4 TeeMsg_GIFFilter 08de TeeMsg_AsPNG 08e8 TeeMsg_PNGFilter 08f2 TeeMsg_AsPCX 08fc TeeMsg_PCXFilter 0906 TeeMsg_AsVML 0910 TeeMsg_VMLFilter 091a TeeMsg_AskLanguage 0924 TeeMsg_TextFile 092e TeeMsg_Gradient 0938 TeeMsg_WantToSave 0942 TeeMsg_NativeFilter 094c TeeMsg_Property 0956 TeeMsg_Value 0960 TeeMsg_Yes 096a TeeMsg_No 0974 TeeMsg_Image 097e TeeMsg_FunctionCustom 0988 TeeMsg_AsPDF 0992 TeeMsg_PDFFilter 099c TeeMsg_AsPS 09a6 TeeMsg_PSFilter 09b0 TeeMsg_GalleryHorizArea 09ba TeeMsg_SelfStack 09c4 TeeMsg_DarkPen 09ce TeeMsg_SelectFolder 09d8 TeeMsg_BDEAlias 09e2 TeeMsg_ADOConnection 09ec TeeMsg_Apply 09f6 TeeMsg_AddNewGroup 0a00 TeeMsg_ChangeGroupName 0a0a TeeMsg_GroupName 0a14 TeeMsg_FunctionMedian 0a1e TeeMsg_FunctionMode 0a28 TeeMsg_Options 0a32 TeeMsg_DepthTopAxis 0a3c TeeMsg_View2D 0a46 TeeMsg_Outline 0a50 TeeMsg_TextFilter1 0a5a TeeMsg_TextFilter2 0a64 TeeMsg_TextFilter3 0a6e TeeMsg_TextFilter4 0a78 TeeMsg_TextFilter5 0a82 TeeMsg_XMLFilter 0a8c TeeMsg_HTMLFilter 0a96 TeeMsg_ExcelFilter 0aa0 TeeMsg_ViewOrthoRight 0aaa TeeMsg_ViewOrthoLeft 0ab4 TeeMsg_View3DFront 0abe TeeMsg_View3DRight 0ac8 TeeMsg_View3DLeft 0ad2 TeeMsg_AsSVG 0adc TeeMsg_SVGFilter 0ae6 TeeMsg_SubTitle 0af0 TeeMsg_SubFoot 0afa TeeMsg_FunctionSubset 0b04 TeeMsg_Hexagon 0b0e TeeMsg_AntiAlias 0b18 TeeMsg_Percent 0b22 TeeMsg_Smooth 0b2c TeeMsg_Blur 0b36 TeeMsg_Width 0b40 TeeMsg_Resize 0b4a TeeMsg_Left 0b54 TeeMsg_Top 0b5e TeeMsg_Crop 0b68 TeeMsg_Invert 0b72 TeeMsg_GrayScale 0b7c TeeMsg_Mosaic 0b86 TeeMsg_Flip 0b90 TeeMsg_Reverse 0b9a TeeMsg_Brightness 0ba4 TeeMsg_Color 0bae TeeMsg_HueLumSat 0bb8 TeeMsg_Sharpen 0bc2 TeeMsg_GammaCorrection 0bcc TeeMsg_Emboss 0bd6 TeeMsg_Contrast 0be0 TeeMsg_Rotate 0bea TeeMsg_Back 0bf4 TeeMsg_Autosize 0bfe TeeMsg_Mirror 0c08 TeeMsg_Columns 0c12 TeeMsg_Rows 0c1c TeeMsg_Tile 0c26 TeeMsg_Bevel 0c30 TeeMsg_Zoom 0c3a TeeMsg_ThemeDefault 0c44 TeeMsg_ThemeTeeChart 0c4e TeeMsg_ThemeExcel 0c58 TeeMsg_ThemeVictorian 0c62 TeeMsg_ThemePastels 0c6c TeeMsg_ThemeSolid 0c76 TeeMsg_ThemeClassic 0c80 TeeMsg_ThemeWeb 0c8a TeeMsg_ThemeModern 0c94 TeeMsg_ThemeRainbow 0c9e TeeMsg_ThemeWinXP 0ca8 TeeMsg_ThemeMacOS 0cb2 TeeMsg_ThemeWinVista 0cbc TeeMsg_ThemeGrayScale 0cc6 TeeMsg_ThemeOpera 0cd0 TeeMsg_ThemeWarm 0cda TeeMsg_ThemeCool 0ce4 TeeMsg_MenuFilters 0cee TeeMsg_CrossTab 0cf8 TeeMsg_DBSumEditCaption 0d02 TeeMsg_AsFlex 0d0c TeeMsg_FlexFilter 0d16 TeeMsg_AsXAML 0d20 TeeMsg_XAMLFilter 0d2a TeeMsg_SelectTmpFolder 0d34 TeeMsg_PathAdobeFlexCompiler 0d3e TeePolarDegreeSymbol 0d48 TeeMsg_NewChart 0d52 TeeMsg_RenameChart 0d5c TeeMsg_ChartName"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 0F 85 4C 0E 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_92015_0 {
	meta:
		name = "VCLTee.TeeConst"
		size = 54
		refs = "0007 VCLTee.TeeConst 0013 _DV_1 001b TeeSetConstants 002e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_92016_0 {
	meta:
		name = "TCustomSeriesEditor.FormShow"
		size = 640
		refs = "0030 TCustomLineSeries.GetLinePen 003d TButtonPen.LinkPen 008e _Dn_TLineSeries 0095 @IsClass 013d TCustomUpDown.SetPosition 016f TButtonGradient.LinkGradient 01a0 TTrackBar.SetPosition 0209 ShowControls 020e TCustomSeriesEditor.FormShow 021f TTeeButton.LinkProperty 0235 TeeMsg_GalleryPoint 024a TeeInsertPointerForm"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B D8 8B 43 0C 89 83 F4 03 00 00 85 C0 0F 84 3B 02 00 00 8B F0 0F B6 56 60 8B 83 A4 03 00 00 8B 08 FF 91 FC 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B 83 F4 03 00 00 0F B6 90 B0 01 00 00 8B 83 B0 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 96 84 01 00 00 8B 83 C0 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 96 85 01 00 00 8B 83 CC 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 F4 03 00 00 8B 3D ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 84 C0 0F 84 05 01 00 00 0F B6 96 B1 01 00 00 8B 83 9C 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 96 90 01 00 00 8B 83 A0 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 9C 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 0F B6 96 A4 01 00 00 8B 83 EC 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 F4 03 00 00 8B D7 E8 ?? ?? ?? ?? 8B D0 8B 83 EC 03 00 00 8B 08 FF 91 80 00 00 00 0F B6 96 86 01 00 00 8B 83 A8 03 00 00 8B 08 FF 91 FC 00 00 00 8B 96 94 01 00 00 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 8B 83 F4 03 00 00 8B 90 98 01 00 00 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 8B 83 F4 03 00 00 8B 10 FF 92 88 01 00 00 8B D0 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 0F B6 96 70 01 00 00 8B 83 DC 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 F4 03 00 00 8B 10 FF 92 8C 01 00 00 0F B6 D0 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? EB 67 8B 83 C4 03 00 00 89 04 24 8B 83 C8 03 00 00 89 44 24 04 8B 83 98 03 00 00 89 44 24 08 8B 83 A8 03 00 00 89 44 24 0C 8B 83 B4 03 00 00 89 44 24 10 8B 83 B8 03 00 00 89 44 24 14 8B 83 BC 03 00 00 89 44 24 18 8B 83 D4 03 00 00 89 44 24 1C 8B 83 E4 03 00 00 89 44 24 20 8B D4 B9 08 00 00 00 33 C0 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 93 F4 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 73 38 85 F6 74 2A 83 BB F0 03 00 00 00 75 21 8B 0D ?? ?? ?? ?? 8B 09 8B 83 F4 03 00 00 8B 90 9C 01 00 00 8B C6 E8 ?? ?? ?? ?? 89 83 F0 03 00 00 83 C4 24 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 72 00 69 00 65 00 73 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_92017_0 {
	meta:
		name = "TCustomSeriesEditor.CBStairsClick"
		size = 62
		refs = "001a TCustomSeries.SetStairs"
	strings:
		$1 = { 53 8B D8 8B 83 9C 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 8B 83 9C 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92018_0 {
	meta:
		name = "TCustomSeriesEditor.CBInvStairsClick"
		size = 32
		refs = "001a TCustomSeries.SetInvertedStairs"
	strings:
		$1 = { 53 8B D8 8B 83 A0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92019_0 {
	meta:
		name = "TCustomSeriesEditor.CBColorEachClick"
		size = 35
	strings:
		$1 = { 53 8B D8 8B 83 A4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 F4 03 00 00 8B 08 FF 91 D4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92020_0 {
	meta:
		name = "TCustomSeriesEditor.CBDark3DClick"
		size = 32
		refs = "001a TCustomSeries.SetDark3D"
	strings:
		$1 = { 53 8B D8 8B 83 A8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92021_0 {
	meta:
		name = "TCustomSeriesEditor.CBStackChange"
		size = 32
		refs = "001a TCustomSeries.SetStacked"
	strings:
		$1 = { 53 8B D8 8B 83 B0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92022_0 {
	meta:
		name = "TCustomSeriesEditor.EHeightChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TCustomSeries.SetLineHeight"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 18 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92023_0 {
	meta:
		name = "TCustomSeriesEditor.CBClickClick"
		size = 31
	strings:
		$1 = { 53 8B D8 8B 83 C0 03 00 00 8B 10 FF 92 F8 00 00 00 8B 93 F4 03 00 00 88 82 84 01 00 00 5B C3 }
	condition:
		$1
}

rule function_92024_0 {
	meta:
		name = "TCustomSeriesEditor.BBrushClick"
		size = 15
		refs = "000a EditChartBrush"
	strings:
		$1 = { 8B 90 F4 03 00 00 8B 52 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92025_0 {
	meta:
		name = "TCustomSeriesEditor.FormCreate"
		size = 8
		refs = "0003 TControl.SetAlign"
		altNames = "TFormTeePanel.FormCreate"
	strings:
		$1 = { B2 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92026_0 {
	meta:
		name = "TCustomSeriesEditor.CheckBox1Click"
		size = 32
		refs = "001a TCustomSeries.SetColorEachLine"
	strings:
		$1 = { 53 8B D8 8B 83 CC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92027_0 {
	meta:
		name = "TCustomSeriesEditor.BLineColorClick"
		size = 19
	strings:
		$1 = { 56 8B F0 8B 86 90 03 00 00 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_92028_0 {
	meta:
		name = "TCustomSeriesEditor.BEmbossClick"
		size = 158
		refs = "000c _Dn_TTeeEmbossEditor 0011 TCustomForm.Create 001c TCustomSeriesEditor.BEmbossClick 0036 TTeeShadowEditor.RefreshControls 0044 TControl.Hide 008e TObject.Free 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F4 03 00 00 8B 90 8C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92029_0 {
	meta:
		name = "TCustomSeriesEditor.BLineBorderClick"
		size = 19
	strings:
		$1 = { 56 8B F0 8B 86 94 03 00 00 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_92030_0 {
	meta:
		name = "TCustomSeriesEditor.Button1Click"
		size = 158
		refs = "000c _Dn_TTeeShadowEditor 0011 TCustomForm.Create 001c TCustomSeriesEditor.Button1Click 0036 TTeeShadowEditor.RefreshControls 0044 TControl.Hide 008e TObject.Free 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F4 03 00 00 8B 90 A0 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92031_0 {
	meta:
		name = "TCustomSeriesEditor.FormDestroy"
		size = 19
		refs = "000e TObject.Free"
	strings:
		$1 = { 05 F0 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92032_0 {
	meta:
		name = "TCustomSeriesEditor.CBNullsChange"
		size = 32
		refs = "001a TCustomLineSeries.SetTreatNulls"
	strings:
		$1 = { 53 8B D8 8B 83 DC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92033_0 {
	meta:
		name = "TCustomSeriesEditor.TBTranspChange"
		size = 28
	strings:
		$1 = { 8B 90 E4 03 00 00 0F B6 92 98 02 00 00 8B 80 F4 03 00 00 8B 08 FF 91 90 01 00 00 C3 }
	condition:
		$1
}

rule function_92034_0 {
	meta:
		name = "TCustomSeriesEditor.CBSmoothedClick"
		size = 35
	strings:
		$1 = { 53 8B D8 8B 83 EC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 F4 03 00 00 8B 08 FF 91 9C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_92038_0 {
	meta:
		name = "TCustomFunctionEditor.ApplyFormChanges"
		size = 209
		refs = "0019 TCustomFunctionEditor.ApplyFormChanges 0026 TBaseFunctionEditor.ApplyFormChanges 003a TControl.GetText 0040 CurrencyString 0048 StrToFloat 0084 TTeeFunction.SetPeriod 009a StrToInt 00b2 @UStrClr 00bf @UStrArrayClr 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 D2 89 55 CC 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B B3 94 03 00 00 8D 55 FC 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D E0 9B DB 6D E0 DD 5E 68 9B 8D 55 F8 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DB 7D D0 9B DB 6D D0 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? 8D 55 CC 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 89 46 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92039_0 {
	meta:
		name = "TCustomFunctionEditor.SetFunction"
		size = 211
		refs = "0019 TCustomFunctionEditor.SetFunction 0026 TBaseFunctionEditor.SetFunction 0046 CurrencyString 004b FloatToStr 0059 TControl.SetText 0091 IntToStr 00b4 @UStrClr 00c1 @UStrArrayClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 D2 89 55 CC 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B B3 94 03 00 00 DD 46 68 DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? DD 46 40 DB 7D D0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 8D 55 CC 8B 46 60 E8 ?? ?? ?? ?? 8B 55 CC 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92042_0 {
	meta:
		name = "TFormTeeShape.CreateForm"
		size = 119
		refs = "000f _DV_TFormTeeShape 0016 TFormTeeShape.Create 002e TCustomForm.SetBorderStyle 0041 TeeTranslateControl 004a TControl.SetAlign 0063 TControl.SetFont 006a TCustomForm.Show"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B 75 08 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 83 0C 04 00 00 85 F6 74 45 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 84 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 05 8B C3 E8 ?? ?? ?? ?? 80 7B 63 00 74 13 83 7B 38 00 74 0D 8B 43 38 8B 50 6C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_92043_0 {
	meta:
		name = "InsertTeeObjectForm"
		size = 132
		refs = "000a _DV_TFormTeeShape 0011 TFormTeeShape.CreateForm 001c TCustomForm.SetBorderStyle 0031 TControl.SetAlign 0038 TeeScaleForm 0047 TPageControl.GetPage 0052 TTabSheet.SetPageControl 005d TPageControl.GetPageCount 0073 TPageControl.SetActivePage 007a TeeTranslateControl"
	strings:
		$1 = { 53 56 57 8B F8 6A 00 8B CA A1 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 8B 08 FF 91 84 00 00 00 B2 05 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 18 8B 83 90 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 85 C0 7F D9 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92044_0 {
	meta:
		name = "EditTeeCustomShape"
		size = 344
		refs = "0011 _DV_TFormTeeShape 0017 TFormTeeShape.CreateForm 0022 EditTeeCustomShape 0033 TControl.SetText 003d TCustomForm.SetBorderStyle 004e TControl.SetHeight 0058 _Dn_TPanel 005d TCustomPanel.Create 0074 TCustomPanel.SetBevelOuter 007d TControl.SetAlign 0094 _Dn_TButton 0099 TCustomButton.Create 00ab TControl.SetLeft 00b7 TControl.SetTop 00ef TControl.SetVisible 0107 PositionToCenter 012c TObject.Free 0132 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 88 4D FF 6A 00 8B CA 8B 15 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? B2 03 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 54 83 C2 1E 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 BA 22 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 02 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 91 84 00 00 00 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 F8 8B 50 50 83 EA 62 8B C6 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? C7 86 B4 02 00 00 01 00 00 00 8B D3 8B C6 8B 08 FF 91 84 00 00 00 80 7D FF 00 74 20 8B 45 F8 8B 80 A8 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 AC 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 48 0F 94 45 FE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FE 5E 5B 59 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_92045_0 {
	meta:
		name = "TFormTeeShape.Create"
		size = 60
		refs = "000a @ClassCreate 001e TCustomForm.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 86 F4 03 00 00 01 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_92046_0 {
	meta:
		name = "TFormTeeShape.BColorClick"
		size = 17
	strings:
		$1 = { 33 D2 8B 80 A0 03 00 00 8B 08 FF 91 FC 00 00 00 C3 }
	condition:
		$1
}

rule function_92047_0 {
	meta:
		name = "TFormTeeShape.CBRoundClick"
		size = 108
		refs = "001e TTeeCustomShape.SetShapeStyle"
	strings:
		$1 = { 53 8B D8 8B 83 DC 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 0F B2 01 8B 83 0C 04 00 00 E8 ?? ?? ?? ?? EB 0D 33 D2 8B 83 0C 04 00 00 E8 ?? ?? ?? ?? 8B 83 DC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 E8 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 E8 03 00 00 8B 10 FF 52 68 8B D0 8B 83 E4 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92048_0 {
	meta:
		name = "TFormTeeShape.BBrushClick"
		size = 15
		refs = "000a EditChartBrush"
	strings:
		$1 = { 8B 90 0C 04 00 00 8B 52 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92049_0 {
	meta:
		name = "TFormTeeShape.RefreshControls"
		size = 292
		refs = "0035 TCustomUpDown.SetPosition 0087 TTeeCustomShape.GetGradient 00a5 TTeeFontEditor.RefreshControls 00b7 TTeeShadowEditor.RefreshControls 00c5 TButtonPen.LinkPen 00d6 TTeeCustomShape.GetPicture 00df TBackImageEditor.RefreshControls 00e4 TFormTeeShape.RefreshControls 00f5 TTeeButton.LinkProperty 00fc TFormTeeShape.EnableBevel"
	strings:
		$1 = { 53 56 57 8B D8 C6 83 F4 03 00 00 01 8B C2 89 83 0C 04 00 00 8B F0 80 7E 28 01 0F 94 C2 8B 83 DC 03 00 00 8B 08 FF 91 FC 00 00 00 8B 56 24 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 0F B6 56 2A 8B 83 A0 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 56 14 8B 83 CC 03 00 00 8B 08 FF 91 FC 00 00 00 8B 56 18 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 0F B6 56 40 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B BB 00 04 00 00 85 FF 74 13 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 91 30 01 00 00 8B 83 FC 03 00 00 85 C0 74 08 8B 56 20 E8 ?? ?? ?? ?? 8B 83 08 04 00 00 85 C0 74 08 8B 56 3C E8 ?? ?? ?? ?? 8B 56 0C 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? 8B BB 04 04 00 00 85 FF 74 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 93 0C 04 00 00 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 F4 03 00 00 00 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_92050_0 {
	meta:
		name = "TFormTeeShape.EnableBevel"
		size = 51
		refs = "002c EnableControls"
	strings:
		$1 = { 83 C4 F8 8B 90 0C 04 00 00 80 7A 14 00 0F 95 C2 8B 88 D0 03 00 00 89 0C 24 8B 80 D4 03 00 00 89 44 24 04 8B C4 B9 01 00 00 00 92 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_92051_0 {
	meta:
		name = "TFormTeeShape.FormShow"
		size = 48
		refs = "0010 TPageControl.SetActivePage 0023 TFormTeeShape.RefreshControls 002a TeeTranslateControl"
	strings:
		$1 = { 53 8B D8 8B 93 94 03 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B 83 0C 04 00 00 85 C0 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92052_0 {
	meta:
		name = "TFormTeeShape.FormCreate"
		size = 13
		refs = "0008 PositionToCenter"
	strings:
		$1 = { C6 80 F4 03 00 00 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92053_0 {
	meta:
		name = "TFormTeeShape.CBTransparentClick"
		size = 32
		refs = "001a TTeeCustomShape.SetTransparent"
	strings:
		$1 = { 53 8B D8 8B 83 A0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 0C 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92054_0 {
	meta:
		name = "TFormTeeShape.CBBevelChange"
		size = 39
		refs = "001a TTeeCustomShape.SetBevel 0021 TFormTeeShape.EnableBevel"
	strings:
		$1 = { 53 8B D8 8B 83 CC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 0C 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92055_0 {
	meta:
		name = "TFormTeeShape.EBevWidthChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TTeeCustomShape.SetBevelWidth"
	strings:
		$1 = { 53 8B D8 80 BB F4 03 00 00 00 75 18 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 0C 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92056_0 {
	meta:
		name = "TFormTeeShape.EShadowTranspChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TTeeCustomShape.SetTransparency"
	strings:
		$1 = { 53 8B D8 80 BB F4 03 00 00 00 75 18 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 0C 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92057_0 {
	meta:
		name = "TFormTeeShape.CBVisibleChecked"
		size = 43
		refs = "000a _Dn_TCheckBox 000f @AsClass 0024 TTeeCustomShapeBrushPen.SetVisible"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 0C 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92058_0 {
	meta:
		name = "TFormTeeShape.ERoundSizeChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TTeeCustomShape.SetRoundSize"
	strings:
		$1 = { 53 8B D8 80 BB F4 03 00 00 00 75 18 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 0C 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92059_0 {
	meta:
		name = "TFormTeeShape.PC1Change"
		size = 315
		refs = "0011 TWinControl.GetControlCount 0030 InsertTeeFontEditor 0050 TTeeFontEditor.RefreshControls 0072 TTeeCustomShape.GetGradient 007c _Dn_TTeeGradientEditor 0081 TTeeGradientEditor.CreateCustom 0096 AddFormTo 00ac InsertTeeShadowEditor 00c8 TTeeShadowEditor.RefreshControls 00db InsertTeeEmbossEditor 00f4 TTeeCustomShape.GetEmboss 0110 InsertImageEditor 0129 TTeeCustomShape.GetPicture 0132 TBackImageEditor.RefreshControls"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B FE 8B 87 DC 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 19 01 00 00 8B 87 DC 02 00 00 8B AB A8 03 00 00 3B C5 75 2C 8B C5 E8 ?? ?? ?? ?? 8B F0 89 B3 FC 03 00 00 8B 83 0C 04 00 00 85 C0 0F 84 EC 00 00 00 8B 50 20 8B C6 E8 ?? ?? ?? ?? E9 DD 00 00 00 3B 83 A4 03 00 00 75 3E 8B B3 0C 04 00 00 85 F6 0F 84 C7 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 BB 00 04 00 00 8B 93 A4 03 00 00 8B C7 E8 ?? ?? ?? ?? E9 97 00 00 00 8B BB AC 03 00 00 3B C7 75 25 8B C7 E8 ?? ?? ?? ?? 8B F0 89 B3 08 04 00 00 8B 83 0C 04 00 00 85 C0 74 74 8B 50 3C 8B C6 E8 ?? ?? ?? ?? EB 68 8B BB F0 03 00 00 3B C7 75 2B 8B C7 E8 ?? ?? ?? ?? 8B F0 89 B3 F8 03 00 00 8B BB 0C 04 00 00 85 FF 74 45 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 33 8B BB BC 03 00 00 3B C7 75 29 8B C7 E8 ?? ?? ?? ?? 8B F0 89 B3 04 04 00 00 8B BB 0C 04 00 00 85 FF 74 10 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92064_0 {
	meta:
		name = "TTeeDataSet.RecBufSize"
		size = 18
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 C4 02 00 00 83 C0 05 5B C3 }
	condition:
		$1
}

rule function_92065_0 {
	meta:
		name = "TTeeDataSet.InternalClose"
		size = 61
		refs = "0012 TObject.Free"
	strings:
		$1 = { 53 8B D8 8D 83 80 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 80 BB AE 00 00 00 00 74 0A 8B C3 8B 10 FF 92 EC 00 00 00 33 C0 89 83 88 01 00 00 C7 83 84 01 00 00 FF FF FF FF 5B C3 }
	condition:
		$1
}

rule function_92066_0 {
	meta:
		name = "TTeeDataSet.DoCreateField"
		size = 46
		refs = "0019 _Dn_TFieldDef 0025 TFieldDef.Create"
	strings:
		$1 = { 55 8B EC 56 52 51 8B 55 08 52 6A 00 8B 70 40 8B 56 08 8B 52 08 42 52 8B 15 ?? ?? ?? ?? B1 01 8B C6 92 87 CA E8 ?? ?? ?? ?? 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_92068_0 {
	meta:
		name = "TTeeDataSet.InternalDelete"
		size = 46
		refs = "0010 TList.Delete"
	strings:
		$1 = { 53 8B D8 8B 93 84 01 00 00 8B 83 80 01 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 88 01 00 00 3B 83 84 01 00 00 7F 06 FF 8B 84 01 00 00 5B C3 }
	condition:
		$1
}

rule function_92069_0 {
	meta:
		name = "TTeeDataSet.InternalGotoBookmark"
		size = 96
		refs = "000c TList.IndexOf 0020 TTeeDataSet.InternalGotoBookmark 0025 DatabaseError"
	strings:
		$1 = { 53 8B D8 8B 12 8B 83 80 01 00 00 E8 ?? ?? ?? ?? 83 F8 FF 74 08 89 83 84 01 00 00 5B C3 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 12 00 00 00 42 00 6F 00 6F 00 6B 00 6D 00 61 00 72 00 6B 00 20 00 6E 00 6F 00 74 00 20 00 66 00 6F 00 75 00 6E 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_92070_0 {
	meta:
		name = "TTeeDataSet.InternalSetToRecord"
		size = 33
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 C4 02 00 00 8B D0 03 D6 8B C3 8B 08 FF 91 08 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92071_0 {
	meta:
		name = "TTeeDataSet.InternalAddRecord"
		size = 25
	strings:
		$1 = { 56 8B F0 FF 86 88 01 00 00 84 C9 74 0A 8B C6 8B 10 FF 92 10 02 00 00 5E C3 }
	condition:
		$1
}

rule function_92072_0 {
	meta:
		name = "TTeeDataSet.GetBookmarkFlag"
		size = 25
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 C4 02 00 00 03 F0 0F B6 46 04 5E 5B C3 }
	condition:
		$1
}

rule function_92073_0 {
	meta:
		name = "TTeeDataSet.SetBookmarkFlag"
		size = 28
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B C7 8B 10 FF 92 C4 02 00 00 03 F0 88 5E 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92074_0 {
	meta:
		name = "TTeeDataSet.GetBookmarkData"
		size = 29
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 92 C4 02 00 00 03 F0 8B 06 89 07 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92075_0 {
	meta:
		name = "TTeeDataSet.SetBookmarkData"
		size = 29
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 92 C4 02 00 00 03 F0 8B 07 89 06 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92076_0 {
	meta:
		name = "TTeeDataSet.AllocRecordBuffer"
		size = 29
		refs = "0007 TTeeDataSet.RecBufSize 0016 @GetMem"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 89 B3 8C 01 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92077_0 {
	meta:
		name = "TTeeDataSet.FreeRecordBuffer"
		size = 15
		refs = "000a @FreeMem"
	strings:
		$1 = { 8B 12 8B 80 8C 01 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92078_0 {
	meta:
		name = "TTeeDataSet.InternalInitRecord"
		size = 31
		refs = "0018 @FillChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 F8 01 00 00 0F B7 D0 8B C6 33 C9 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92079_0 {
	meta:
		name = "TTeeDataSet.InternalFirst"
		size = 11
	strings:
		$1 = { C7 80 84 01 00 00 FF FF FF FF C3 }
	condition:
		$1
}

rule function_92080_0 {
	meta:
		name = "TTeeDataSet.GetRecNo"
		size = 49
		refs = "0006 TDataSet.UpdateCursorPos"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 BB 84 01 00 00 FF 75 15 8B C3 8B 10 FF 92 88 01 00 00 85 C0 7E 07 B8 01 00 00 00 5B C3 8B 83 84 01 00 00 40 5B C3 }
	condition:
		$1
}

rule function_92081_0 {
	meta:
		name = "TTeeDataSet.SetRecNo"
		size = 56
		refs = "0022 TTeeDataSet.SetRecNo"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 7C 26 8B C6 8B 10 FF 92 88 01 00 00 3B D8 7F 18 4B 89 9E 84 01 00 00 0F B6 15 ?? ?? ?? ?? 8B C6 8B 08 FF 91 B4 02 00 00 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_92082_0 {
	meta:
		name = "TTeeDataSet.InternalOpen"
		size = 139
		refs = "0008 _Dn_TList 000d TObject.Create 0035 TList.Add"
	strings:
		$1 = { 53 56 57 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 80 01 00 00 8B C3 8B 10 FF 92 88 01 00 00 8B F0 85 F6 7E 16 BF 01 00 00 00 8B D7 8B 83 80 01 00 00 E8 ?? ?? ?? ?? 47 4E 75 EF 8B C3 8B 10 FF 92 88 01 00 00 89 83 88 01 00 00 C7 83 84 01 00 00 FF FF FF FF C7 43 6C 04 00 00 00 8B C3 8B 10 FF 92 38 02 00 00 80 BB AE 00 00 00 00 74 0A 8B C3 8B 10 FF 92 D8 00 00 00 B2 01 8B C3 8B 08 FF 91 B4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92083_0 {
	meta:
		name = "TTeeDataSet.InternalLast"
		size = 21
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 88 01 00 00 89 83 84 01 00 00 5B C3 }
	condition:
		$1
}

rule function_92085_0 {
	meta:
		name = "GetFieldName"
		size = 204
		refs = "0012 GetFieldName 0031 @UStrAsg 004d TCustomChartSeries.GetIndex 0056 TeeStr 005f TeeMsg_Series 0068 @UStrCat3 0074 @UStrCat 007d @UStrClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 80 78 FF 00 74 55 8B C3 8B 55 08 8B 52 F8 8B 52 08 E8 ?? ?? ?? ?? 83 3B 00 75 32 8B 45 08 8B 40 F8 83 78 40 00 74 26 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 40 8D 55 FC E8 ?? ?? ?? ?? 8B 4D FC 8B 15 ?? ?? ?? ?? 8B 12 8B C3 E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 85 F6 75 0B 8B C3 8B D7 E8 ?? ?? ?? ?? EB 09 8B C3 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_92086_0 {
	meta:
		name = "AddField"
		size = 41
		refs = "0012 TTeeDataSet.DoCreateField"
	strings:
		$1 = { 55 8B EC 84 C0 74 11 6A 00 8B 45 08 8B 40 F4 B1 0B E8 ?? ?? ?? ?? 5D C3 6A 00 8B 45 08 8B 40 F4 B1 06 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_92087_0 {
	meta:
		name = "TTeeDataSet.AddSeriesFields"
		size = 504
		refs = "0024 TTeeDataSet.AddSeriesFields 003a GetFieldName 0054 _Dn_TFieldDef 0059 TFieldDef.Create 0081 AddField 0105 TChartValueLists.Get 0112 @UStrLAsg 0122 TeeStr 0132 @UStrCat3 017a @UStrArrayClr 0180 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 88 4D FF 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 4D EC BA ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 59 8B 45 EC 50 6A 03 6A 00 6A 00 6A 01 8B 45 F4 8B 48 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 98 A0 00 00 00 55 55 8D 4D E8 8B 53 20 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 55 E8 0F B6 43 08 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 98 A4 00 00 00 55 55 8D 4D E4 8B 53 20 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 55 E4 0F B6 43 08 E8 ?? ?? ?? ?? 59 55 8D 4D E0 BA ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 59 8B 45 E0 50 6A 01 68 80 00 00 00 6A 00 6A 04 8B 45 F4 8B 48 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 80 98 00 00 00 8B 78 08 4F 83 EF 02 7C 71 47 BE 02 00 00 00 8B 45 F8 8B 80 98 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B D8 8D 45 F0 8B 53 20 E8 ?? ?? ?? ?? 83 7B 20 00 75 1C 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 4D DC 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8D 45 F0 8B 53 20 E8 ?? ?? ?? ?? 55 55 8D 4D D8 8B 55 F0 33 C0 E8 ?? ?? ?? ?? 59 8B 55 D8 0F B6 43 08 E8 ?? ?? ?? ?? 59 46 4F 75 95 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 58 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 59 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 61 00 62 00 65 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 56 00 61 00 6C 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_92088_0 {
	meta:
		name = "GetAValue"
		size = 64
		refs = "0029 MSecsToTimeStamp 0031 TimeStampToDateTime"
	strings:
		$1 = { 55 8B EC 83 C4 F0 8B 55 08 8B 52 0C 8B 0A 89 4D F8 8B 4A 04 89 4D FC 84 C0 74 1E DD 45 F8 83 C4 F8 DF 3C 24 9B 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_92089_0 {
	meta:
		name = "TTeeDataSet.SetSeriesBuffer"
		size = 176
		refs = "0040 GetAValue 006f @_CToPasStr 007f @PStrNCpy 0095 TChartValueLists.Get"
	strings:
		$1 = { 55 8B EC 81 C4 00 FF FF FF 53 56 8B F2 8B D0 8B 4A 5C 8B 42 64 8B 1C 88 8B C6 48 74 0B 48 74 11 48 74 28 48 74 3F EB 5D 8B 45 0C 8B 00 89 03 EB 77 55 8B 45 08 8B 80 A0 00 00 00 0F B6 40 08 E8 ?? ?? ?? ?? 59 DD 5B 08 9B EB 5D 55 8B 45 08 8B 80 A4 00 00 00 0F B6 40 08 E8 ?? ?? ?? ?? 59 DD 5B 10 9B EB 43 8D 85 00 FF FF FF 8B 55 0C E8 ?? ?? ?? ?? 8D 95 00 FF FF FF 8D 43 68 B1 80 E8 ?? ?? ?? ?? EB 23 55 8B D6 83 EA 03 8B 45 08 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 0F B6 40 08 E8 ?? ?? ?? ?? 59 DD 5C F3 F0 9B 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_92090_0 {
	meta:
		name = "TTeeDataSet.SetFieldData"
		size = 15
	strings:
		$1 = { 53 8B CA 33 D2 8B 18 FF 93 E4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92091_0 {
	meta:
		name = "TTeeDataSet.GetRecord"
		size = 352
		refs = "00e0 TList.Get 0113 TTeeDataSet.GetRecord 0118 DatabaseError"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B FA 8B F0 B3 03 8B C6 8B 10 FF 92 40 02 00 00 84 C0 0F 84 FC 00 00 00 8B C6 8B 10 FF 92 88 01 00 00 48 7D 07 B3 02 E9 FA 00 00 00 33 DB 0F B6 45 FF 2C 01 72 3C 74 06 FE C8 74 21 EB 51 8B C6 8B 10 FF 92 88 01 00 00 48 3B 86 84 01 00 00 7F 04 B3 02 EB 3A FF 86 84 01 00 00 EB 32 83 BE 84 01 00 00 00 7F 04 B3 01 EB 25 FF 8E 84 01 00 00 EB 1D 83 BE 84 01 00 00 00 7C 12 8B C6 8B 10 FF 92 88 01 00 00 3B 86 84 01 00 00 7F 02 B3 03 84 DB 75 68 8B D7 8B C6 8B 08 FF 91 C0 02 00 00 8B C6 8B 10 FF 92 C4 02 00 00 03 F8 C6 47 04 00 83 BE 80 01 00 00 00 74 3B 8B 86 80 01 00 00 8B 40 08 3B 86 84 01 00 00 7E 2A 8B 96 84 01 00 00 8B 86 80 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 15 8B 96 84 01 00 00 8B 86 80 01 00 00 E8 ?? ?? ?? ?? 89 07 EB 33 C7 07 FF FF FF FF EB 2B 80 FB 03 0F 94 C0 22 45 08 74 20 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 80 7D 08 00 74 0C 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4E 00 6F 00 20 00 52 00 65 00 63 00 6F 00 72 00 64 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_92092_0 {
	meta:
		name = "TTeeDataSet.FillSeriesBuffer"
		size = 346
		refs = "0020 TTeeDataSet.FillSeriesBuffer 008c TLabelsList.GetLabel 00a2 @UStrToString 00b2 @PStrNCpy 00dd TChartValueLists.Get 0147 @UStrClr 014d @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FE FF FF 53 56 57 33 DB 89 9D F4 FE FF FF 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 84 01 00 00 8B 45 F8 8B 80 A0 00 00 00 3B 58 04 0F 8D BD 00 00 00 8B D3 8B 45 F8 8B 08 FF 91 B0 00 00 00 89 06 8B 45 FC 8B 80 84 01 00 00 8B 55 F8 8B 92 A0 00 00 00 8B 52 54 8B 0C C2 89 4E 08 8B 4C C2 04 89 4E 0C 8D 8D F4 FE FF FF 8B 45 FC 8B 90 84 01 00 00 8B 45 F8 8B 40 7C E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 8D 85 F8 FE FF FF B9 FF 00 00 00 E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8D 46 68 B1 80 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 98 00 00 00 8B 58 08 4B 85 DB 7E 6C BF 01 00 00 00 8D 46 10 8B F0 8B 45 F8 8B 80 98 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B 40 54 8B 55 FC 8B 92 84 01 00 00 8B 0C D0 89 0E 8B 4C D0 04 89 4E 04 47 83 C6 08 4B 75 D1 EB 31 33 C0 89 06 33 C0 89 46 08 89 46 0C C6 46 68 00 8B 45 F8 8B 80 98 00 00 00 8B 58 08 4B 85 DB 7E 10 8D 46 10 33 D2 89 10 89 50 04 83 C0 08 4B 75 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92093_0 {
	meta:
		name = "GetSeriesValue"
		size = 180
		refs = "006a TChartValueLists.Get 009a DateTimeToTimeStamp 00a2 TimeStampToMSecs"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 45 FC 8B 45 08 8B 40 08 8B 80 A0 00 00 00 3B 45 FC 75 14 8B 45 08 8B 40 FC 8B 50 08 89 55 F0 8B 50 0C 89 55 F4 EB 56 33 C0 89 45 F0 89 45 F4 8B 45 08 8B 40 08 8B 80 98 00 00 00 8B 70 08 4E 85 F6 7E 3A BF 01 00 00 00 8B 45 08 8B 58 FC 83 C3 10 8B 45 08 8B 40 08 8B 80 98 00 00 00 8B D7 E8 ?? ?? ?? ?? 3B 45 FC 75 0D 8B 03 89 45 F0 8B 43 04 89 45 F4 EB 07 47 83 C3 08 4E 75 D4 8B 45 FC 80 78 08 00 74 1A FF 75 F4 FF 75 F0 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? DD 5D F0 9B DD 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92094_0 {
	meta:
		name = "TTeeDataSet.GetSeriesBuffer"
		size = 242
		refs = "001a TTeeDataSet.GetSeriesBuffer 0068 GetSeriesValue 0096 @LStrFromString 00a0 StrPCopy 00bd TChartValueLists.Get 00db @LStrClr 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B FA 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 80 A0 00 00 00 83 78 04 00 0F 9F C3 84 DB 0F 84 8E 00 00 00 85 F6 0F 84 86 00 00 00 8B C7 48 74 0B 48 74 11 48 74 23 48 74 35 EB 59 8B 45 FC 8B 00 89 06 EB 6D 55 8B 45 08 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? 59 DD 1E 9B EB 58 55 8B 45 08 8B 80 A4 00 00 00 E8 ?? ?? ?? ?? 59 DD 1E 9B EB 43 8D 45 F8 8B 55 FC 83 C2 68 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 66 83 3E 00 0F 95 C3 EB 1D 55 8B D7 83 EA 03 8B 45 08 8B 80 98 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 DD 1E 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_92095_0 {
	meta:
		name = "TTeeDataSet.DoAddSeriesPoint"
		size = 185
		refs = "0018 TTeeDataSet.DoAddSeriesPoint 004c TChartValueLists.Get 007e @UStrFromString 00a6 @UStrClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 98 00 00 00 8B 70 08 4E 83 EE 02 7C 2E 46 BF 02 00 00 00 8B 5D FC 83 C3 18 8B 45 F8 8B 80 98 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B 13 89 50 30 8B 53 04 89 50 34 47 83 C3 08 4E 75 DE 8B 45 FC FF 70 0C FF 70 08 8B 45 FC FF 70 14 FF 70 10 8D 45 F4 8B 55 FC 83 C2 68 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D FC 8B 09 8B 45 F8 8B 18 FF 93 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92096_0 {
	meta:
		name = "TTeeDataSet.PostToSeries"
		size = 258
		refs = "0019 TTeeDataSet.PostToSeries 002f TChartSeries.SetValueColor 0078 @UStrFromString 008c TLabelsList.SetLabel 00bc TChartValueLists.Get 00ef @UStrClr 00f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0B 8B 97 84 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 87 84 01 00 00 8B 55 FC 8B 92 A0 00 00 00 8B 52 54 8B 4B 08 89 0C C2 8B 4B 0C 89 4C C2 04 8B 87 84 01 00 00 8B 55 FC 8B 92 A4 00 00 00 8B 52 54 8B 4B 10 89 0C C2 8B 4B 14 89 4C C2 04 8D 45 F4 8D 53 68 E8 ?? ?? ?? ?? 8B 4D F4 8B 97 84 01 00 00 8B 45 FC 8B 40 7C E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 8B 70 08 4E 83 EE 02 7C 3C 46 C7 45 F8 02 00 00 00 8D 43 18 8B D8 8B 45 FC 8B 80 98 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 40 54 8B 97 84 01 00 00 8B 0B 89 0C D0 8B 4B 04 89 4C D0 04 FF 45 F8 83 C3 08 4E 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92097_0 {
	meta:
		name = "TTeeDataSet.InternalPost"
		size = 33
		refs = "001c TList.Add"
	strings:
		$1 = { 80 B8 A5 00 00 00 02 74 17 FF 80 88 01 00 00 8B 90 88 01 00 00 8B 80 80 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92098_0 {
	meta:
		name = "TSeriesDataSet.DoFillBuffer"
		size = 12
		refs = "0007 TTeeDataSet.FillSeriesBuffer"
	strings:
		$1 = { 8B 88 90 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92099_0 {
	meta:
		name = "TSeriesDataSet.SetSeries"
		size = 160
		refs = "000a TDataSet.GetActive 0029 TComponent.RemoveFreeNotification 0047 TCustomTeePanel.RemoveListener 005a TComponent.FreeNotification 007e TTeeEventListeners.Add"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 33 D2 8B C6 8B 08 FF 91 B4 01 00 00 8B 86 90 01 00 00 85 C0 74 25 8B D6 E8 ?? ?? ?? ?? 8B 86 90 01 00 00 8B 40 40 85 C0 74 11 8B D6 85 D2 74 06 81 EA 6C FE FF FF E8 ?? ?? ?? ?? 8B C7 89 86 90 01 00 00 85 C0 74 2B 8B D6 E8 ?? ?? ?? ?? 8B 86 90 01 00 00 8B 40 40 85 C0 74 17 8B D6 85 D2 74 06 81 EA 6C FE FF FF 8B 80 14 03 00 00 E8 ?? ?? ?? ?? 83 BE 90 01 00 00 00 0F 95 C0 84 D8 74 0C B2 01 8B C6 8B 08 FF 91 B4 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92100_0 {
	meta:
		name = "TSeriesDataSet.Notification"
		size = 58
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF 90 01 00 00 00 74 14 3B B7 90 01 00 00 75 0C 33 D2 8B C7 8B 08 FF 91 C8 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92101_0 {
	meta:
		name = "TSeriesDataSet.RecInfoOfs"
		size = 6
	strings:
		$1 = { B8 F0 00 00 00 C3 }
	condition:
		$1
}

rule function_92102_0 {
	meta:
		name = "TSeriesDataSet.InternalOpen"
		size = 148
		refs = "000a TSeriesDataSet.InternalOpen 0011 _Dn_Exception 0016 Exception.Create 001b @RaiseExcept 0020 TTeeDataSet.InternalOpen"
	strings:
		$1 = { 83 B8 90 01 00 00 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 43 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 6F 00 70 00 65 00 6E 00 20 00 53 00 65 00 72 00 69 00 65 00 73 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 2E 00 20 00 4E 00 6F 00 20 00 53 00 65 00 72 00 69 00 65 00 73 00 20 00 61 00 73 00 73 00 69 00 67 00 6E 00 65 00 64 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_92103_0 {
	meta:
		name = "TChartDataSet.IsCursorOpen"
		size = 31
		refs = "0006 TTeeDataSet.IsCursorOpen"
		altNames = "TSeriesDataSet.IsCursorOpen"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 83 BB 90 01 00 00 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_92104_0 {
	meta:
		name = "TSeriesDataSet.InternalInitFieldDefs"
		size = 34
		refs = "0007 TCollection.Clear 001c TTeeDataSet.AddSeriesFields"
	strings:
		$1 = { 53 8B D8 8B 43 40 E8 ?? ?? ?? ?? 8B 83 90 01 00 00 85 C0 74 0B 33 C9 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92105_0 {
	meta:
		name = "TSeriesDataSet.GetRecordSize"
		size = 17
	strings:
		$1 = { 83 B8 90 01 00 00 00 74 05 66 B8 F0 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_92106_0 {
	meta:
		name = "TSeriesDataSet.GetFieldData"
		size = 69
		refs = "0038 TTeeDataSet.GetSeriesBuffer"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B F3 8B 46 5C 8B 56 64 83 3C 82 00 74 26 55 8B 83 90 01 00 00 50 8B C7 8B 10 FF 92 A8 00 00 00 8B D0 8B 46 5C 8B 4E 64 8B 0C 81 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92107_0 {
	meta:
		name = "TSeriesDataSet.SetFieldData"
		size = 78
		refs = "003a TTeeDataSet.SetSeriesBuffer 0045 TTeeDataSet.SetFieldData"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B F3 8B 46 5C 8B 56 64 83 3C 82 00 74 26 55 8B 83 90 01 00 00 50 8B C7 8B 10 FF 92 A8 00 00 00 8B D0 8B 46 5C 8B 4E 64 8B 04 81 8B C8 8B C3 E8 ?? ?? ?? ?? 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92108_0 {
	meta:
		name = "TSeriesDataSet.InternalPost"
		size = 75
		refs = "0022 TTeeDataSet.PostToSeries 003e TTeeDataSet.DoAddSeriesPoint 0045 TTeeDataSet.InternalPost"
	strings:
		$1 = { 53 8B D8 80 BB A5 00 00 00 02 75 1C 8B C3 8B 50 5C 8B 40 64 8B 04 90 8B C8 8B 93 90 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 1A 8B C3 8B 50 5C 8B 40 64 8B 04 90 8B D0 8B 8B 90 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92109_0 {
	meta:
		name = "TSeriesDataSet.InternalAddRecord"
		size = 50
		refs = "000b TTeeDataSet.InternalAddRecord 001a TTeeDataSet.DoAddSeriesPoint 002b TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 8B 90 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 88 01 00 00 8B 83 80 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92110_0 {
	meta:
		name = "TSeriesDataSet.InternalDelete"
		size = 32
		refs = "001a TTeeDataSet.InternalDelete"
	strings:
		$1 = { 53 8B D8 8B 93 84 01 00 00 8B 83 90 01 00 00 8B 08 FF 91 10 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92111_0 {
	meta:
		name = "TSeriesDataSet.GetRecordCount"
		size = 16
	strings:
		$1 = { 8B 80 90 01 00 00 8B 80 A0 00 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_92112_0 {
	meta:
		name = "TSeriesDataSet.TeeEvent"
		size = 57
		refs = "0009 TDataSet.GetActive 0015 _Dn_TTeeSeriesEvent 001a @IsClass 002b TDataSet.Close 0032 TDataSet.Open"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 80 7E 08 06 75 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92113_0 {
	meta:
		name = "TChartDataSet.SetChart"
		size = 146
		refs = "000a TDataSet.GetActive 0029 TComponent.RemoveFreeNotification 0040 TCustomTeePanel.RemoveListener 0053 TComponent.FreeNotification 0070 TTeeEventListeners.Add"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 33 D2 8B C6 8B 08 FF 91 B4 01 00 00 8B 86 90 01 00 00 85 C0 74 1E 8B D6 E8 ?? ?? ?? ?? 8B D6 85 D2 74 06 81 EA 6C FE FF FF 8B 86 90 01 00 00 E8 ?? ?? ?? ?? 8B C7 89 86 90 01 00 00 85 C0 74 24 8B D6 E8 ?? ?? ?? ?? 8B D6 85 D2 74 06 81 EA 6C FE FF FF 8B 86 90 01 00 00 8B 80 14 03 00 00 E8 ?? ?? ?? ?? 83 BE 90 01 00 00 00 0F 95 C0 84 D8 74 0C B2 01 8B C6 8B 08 FF 91 B4 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92114_0 {
	meta:
		name = "ValidEvent"
		size = 18
	strings:
		$1 = { 84 C0 74 0B 3C 07 74 07 3C 06 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_92115_0 {
	meta:
		name = "TChartDataSet.TeeEvent"
		size = 64
		refs = "0009 TDataSet.GetActive 0015 _Dn_TTeeSeriesEvent 001a @IsClass 0027 ValidEvent 0032 TDataSet.Close 0039 TDataSet.Open"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 0F B6 46 08 E8 ?? ?? ?? ?? 84 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92116_0 {
	meta:
		name = "TChartDataSet.GetRecordSize"
		size = 28
	strings:
		$1 = { 8B 90 90 01 00 00 85 D2 74 0F 8B 82 B4 03 00 00 8B 40 08 66 69 C0 F0 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_92117_0 {
	meta:
		name = "TChartDataSet.InternalDelete"
		size = 92
		refs = "0054 TTeeDataSet.InternalDelete"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 90 01 00 00 85 C0 74 42 8B 80 B4 03 00 00 8B 78 08 4F 85 FF 7C 34 47 33 F6 8B 83 90 01 00 00 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 8B 88 A0 00 00 00 8B 49 04 8B 93 84 01 00 00 3B CA 7E 08 8B 08 FF 91 10 01 00 00 46 4F 75 CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92118_0 {
	meta:
		name = "TChartDataSet.GetRecordCount"
		size = 93
	strings:
		$1 = { 56 57 55 33 FF 8B 90 90 01 00 00 85 D2 74 48 8B 92 B4 03 00 00 8B 72 08 4E 85 F6 7C 3A 46 33 C9 8B 90 90 01 00 00 8B 92 B4 03 00 00 8B 52 04 8B 2C 8A 85 C9 75 04 B2 01 EB 0C 8B 95 A0 00 00 00 3B 7A 04 0F 9C C2 84 D2 74 09 8B 95 A0 00 00 00 8B 7A 04 41 4E 75 C9 8B C7 5D 5F 5E C3 }
	condition:
		$1
}

rule function_92120_0 {
	meta:
		name = "TChartDataSet.InternalOpen"
		size = 144
		refs = "000a TChartDataSet.InternalOpen 0011 _Dn_Exception 0016 Exception.Create 001b @RaiseExcept 0020 TTeeDataSet.InternalOpen"
	strings:
		$1 = { 83 B8 90 01 00 00 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 43 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 6F 00 70 00 65 00 6E 00 20 00 43 00 68 00 61 00 72 00 74 00 20 00 44 00 61 00 74 00 61 00 53 00 65 00 74 00 2E 00 20 00 4E 00 6F 00 20 00 43 00 68 00 61 00 72 00 74 00 20 00 61 00 73 00 73 00 69 00 67 00 6E 00 65 00 64 00 2E 00 00 00 }
	condition:
		$1
}

rule function_92121_0 {
	meta:
		name = "ValidateFields"
		size = 152
		refs = "0012 ValidateFields 0028 TFields.GetCount 003c TFields.GetField 0044 TField.GetFullName 0051 TDefCollection.IndexOf 006b TFields.Remove 0086 @UStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 7D 08 83 C7 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 8B 58 38 85 DB 74 50 8B C3 E8 ?? ?? ?? ?? 48 83 F8 00 7C 43 89 C3 8B 07 8B 40 38 8B D3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 07 8B 40 40 E8 ?? ?? ?? ?? 40 75 17 8B 07 8B 70 38 8B C6 8B D3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92122_0 {
	meta:
		name = "TChartDataSet.InternalInitFieldDefs"
		size = 102
		refs = "0010 TCollection.Clear 0052 TTeeDataSet.AddSeriesFields 005c ValidateFields"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 90 01 00 00 85 C0 74 39 8B 80 B4 03 00 00 8B 58 08 4B 85 DB 7C 2B 43 33 F6 8B 45 FC 8B 80 90 01 00 00 8B 80 B4 03 00 00 83 78 08 01 0F 9F C1 8B 40 04 8B 14 B0 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 D8 55 E8 ?? ?? ?? ?? 59 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92123_0 {
	meta:
		name = "TChartDataSet.CalcFieldSeries"
		size = 119
		refs = "005a TCustomAxisPanel.GetSeries"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F0 8B 5D 08 89 17 33 C0 89 03 83 BE 90 01 00 00 00 74 4F EB 30 8B 03 89 45 FC 8B 86 90 01 00 00 8B 80 B4 03 00 00 8B 40 04 8B 55 FC 8B 04 90 89 45 F8 8B 45 F8 8B 80 98 00 00 00 8B 40 08 83 C0 02 29 07 FF 03 8B 13 8B 86 90 01 00 00 E8 ?? ?? ?? ?? 8B 80 98 00 00 00 8B 40 08 83 C0 02 3B 07 7C B3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_92124_0 {
	meta:
		name = "TChartDataSet.SetFieldData"
		size = 125
		refs = "0033 TChartDataSet.CalcFieldSeries 0067 TTeeDataSet.SetSeriesBuffer 0072 TTeeDataSet.SetFieldData"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B E9 8B FA 8B D8 8B F3 8B 46 5C 8B 56 64 83 3C 82 00 74 50 8D 44 24 04 50 8B C7 8B 10 FF 92 A8 00 00 00 8B D0 8D 4C 24 04 8B C3 E8 ?? ?? ?? ?? 55 8B 83 90 01 00 00 8B 80 B4 03 00 00 8B 40 04 8B 54 24 08 8B 04 90 50 8B 46 5C 8B 56 64 8B 04 82 6B 54 24 0C 1E 8D 0C D0 8B 54 24 08 8B C3 E8 ?? ?? ?? ?? 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92125_0 {
	meta:
		name = "TChartDataSet.RecInfoOfs"
		size = 28
	strings:
		$1 = { BA F0 00 00 00 8B 88 90 01 00 00 85 C9 74 0A 8B 81 B4 03 00 00 0F AF 50 08 8B C2 C3 }
	condition:
		$1
}

rule function_92126_0 {
	meta:
		name = "TChartDataSet.DoFillBuffer"
		size = 76
		refs = "003f TTeeDataSet.FillSeriesBuffer"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 83 90 01 00 00 85 C0 74 35 8B 80 B4 03 00 00 8B 78 08 4F 85 FF 7C 27 47 33 F6 6B C6 1E 8D 54 C5 00 8B 83 90 01 00 00 8B 80 B4 03 00 00 8B 40 04 8B 0C B0 8B C3 E8 ?? ?? ?? ?? 46 4F 75 DC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92127_0 {
	meta:
		name = "TChartDataSet.GetFieldData"
		size = 116
		refs = "0024 TChartDataSet.CalcFieldSeries 0066 TTeeDataSet.GetSeriesBuffer"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F1 8B FA 8B D8 8D 44 24 04 50 8B C7 8B 10 FF 92 A8 00 00 00 8B D0 8D 4C 24 04 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 50 5C 8B 40 64 83 3C 90 00 74 36 56 8B 83 90 01 00 00 8B 80 B4 03 00 00 8B 40 04 8B 54 24 08 8B 04 90 50 8B 43 5C 8B 53 64 8B 04 82 6B 54 24 0C 1E 8D 0C D0 8B 54 24 08 8B C3 E8 ?? ?? ?? ?? EB 02 33 C0 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92128_0 {
	meta:
		name = "TChartDataSet.InternalPost"
		size = 142
		refs = "004f TTeeDataSet.PostToSeries 007b TTeeDataSet.DoAddSeriesPoint 0086 TTeeDataSet.InternalPost"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 90 01 00 00 85 C0 74 74 8B 80 B4 03 00 00 8B 78 08 4F 85 FF 7C 66 47 33 F6 80 BB A5 00 00 00 02 75 2C 8B C3 8B 50 5C 8B 40 64 8B 04 90 6B D6 1E 8D 0C D0 8B 83 90 01 00 00 8B 80 B4 03 00 00 8B 40 04 8B 14 B0 8B C3 E8 ?? ?? ?? ?? EB 2A 8B C3 8B 50 5C 8B 40 64 8B 04 90 6B D6 1E 8D 14 D0 8B 83 90 01 00 00 8B 80 B4 03 00 00 8B 40 04 8B 0C B0 8B C3 E8 ?? ?? ?? ?? 46 4F 75 9D 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92129_0 {
	meta:
		name = "TChartDataSet.InternalAddRecord"
		size = 111
		refs = "0015 TTeeDataSet.InternalAddRecord 0050 TTeeDataSet.DoAddSeriesPoint 0065 TList.Add"
	strings:
		$1 = { 53 56 57 55 51 88 0C 24 8B EA 8B D8 0F B6 0C 24 8B D5 8B C3 E8 ?? ?? ?? ?? 8B 83 90 01 00 00 85 C0 74 35 8B 80 B4 03 00 00 8B 78 08 4F 85 FF 7C 27 47 33 F6 6B C6 1E 8D 54 C5 00 8B 83 90 01 00 00 8B 80 B4 03 00 00 8B 40 04 8B 0C B0 8B C3 E8 ?? ?? ?? ?? 46 4F 75 DC 8B 93 88 01 00 00 8B 83 80 01 00 00 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92132_0 {
	meta:
		name = "FillDataSet"
		size = 160
		refs = "0012 _DV_TDBCrossTabSource 0017 TDBCrossTabSource.Create 0022 FillDataSet 0032 TTeeSeriesSource.SetSeries 003c TDBCrossTabSource.SetDataSet 0046 TDBCrossTabSource.SetGroup 0051 TDBCrossTabSource.SetLabel 005c TDBCrossTabSource.SetValue 0068 TDBCrossTabSource.SetFormula 008c TObject.Free 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 55 10 8B 45 FC E8 ?? ?? ?? ?? 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 0F B6 55 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 68 01 8B 45 FC 8B 10 FF 52 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_92156_0 {
	meta:
		name = "FillDataSet"
		size = 160
		refs = "0012 _Dn_TDBCrossTabSource 0017 TDBCrossTabSource.Create 0022 FillDataSet 0032 TTeeSeriesSource.SetSeries 003c TDBCrossTabSource.SetDataSet 0046 TDBCrossTabSource.SetGroup 0051 TDBCrossTabSource.SetLabel 005c TDBCrossTabSource.SetValue 0068 TDBCrossTabSource.SetFormula 008c TObject.Free 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B 55 10 8B 45 FC E8 ?? ?? ?? ?? 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 0F B6 55 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 40 68 01 8B 45 FC 8B 10 FF 52 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_92133_0 {
	meta:
		name = "LocateSeries"
		size = 249
		refs = "0013 LocateSeries 005d @UStrEqual 007e UpperCase 00dc @UStrClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 3C 8B 78 40 8B 45 08 8B 40 FC 80 78 40 00 74 42 8B 87 B4 03 00 00 8B 70 08 4E 85 F6 0F 8C 82 00 00 00 46 33 DB 8B 87 B4 03 00 00 8B 40 04 8B 04 98 8B 40 58 8B 55 F8 E8 ?? ?? ?? ?? 75 0E 8B 87 B4 03 00 00 8B 40 04 8B 1C 98 EB 5A 43 4E 75 D5 EB 52 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 87 B4 03 00 00 8B 70 08 4E 85 F6 7C 39 46 33 DB 8D 55 F4 8B 87 B4 03 00 00 8B 40 04 8B 04 98 8B 40 58 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 75 0E 8B 87 B4 03 00 00 8B 40 04 8B 1C 98 EB 06 43 4E 75 CA 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92134_0 {
	meta:
		name = "TDBCrossTabSource.LoadDataSet"
		size = 1204
		refs = "001e TDBCrossTabSource.LoadDataSet 005f TCustomTeePanel.RemoveListener 0087 TTeeEventListeners.Add 008f TDBCrossTabSource.RemoveSeries 00ae TDataSet.DisableControls 00da TDataSet.FieldByName 00f9 TCustomChartSeries.SetTitle 0138 TDataSet.First 0161 LocateSeries 01aa CreateNewSeries 01ca TChartSeries.AssignFormat 01d8 TCustomChartSeries.SetShowInLegend 01f3 TCustomChartElement.SetBrush 0222 TCustomAxisPanel.GetFreeSeriesColor 0268 TLabelsList.GetLabel 02ad @UStrClr 02e9 TLabelsList.IndexOfLabel 03fd TDataSet.Next 0425 TDataSet.GotoBookmark 043b TDataSet.EnableControls 044d TCustomAxisPanel.BroadcastSeriesEvent 0453 @HandleFinally 048f TArray<System.Byte> 0494 @DynArrayClear 04a1 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 D2 89 55 B4 89 55 F8 89 55 F4 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 5C 00 0F 85 40 04 00 00 8B 45 FC C6 40 5C 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 60 85 C0 74 0F 8B 55 FC 85 D2 74 03 83 EA 94 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 8B 40 40 8B 55 FC 89 42 60 85 C0 74 15 8B 55 FC 85 D2 74 03 83 EA 94 8B 80 14 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 44 89 45 D0 8D 55 F0 8B 45 D0 8B 08 FF 91 78 02 00 00 8B 45 D0 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 78 54 00 75 07 33 C0 89 45 D4 EB 11 8B 45 FC 8B 50 54 8B 45 D0 E8 ?? ?? ?? ?? 89 45 D4 8B 45 FC 83 78 4C 00 75 1A 8B 45 FC 8B 40 3C 8B D8 8B 55 FC 8B 52 58 E8 ?? ?? ?? ?? 33 C0 89 45 DC EB 13 33 DB 8B 45 FC 8B 50 4C 8B 45 D0 E8 ?? ?? ?? ?? 89 45 DC 8B 45 FC 8B 50 58 8B 45 D0 E8 ?? ?? ?? ?? 89 45 D8 33 C0 89 45 E8 C7 45 EC 00 00 F0 3F 8B 45 D0 E8 ?? ?? ?? ?? E9 C0 02 00 00 8B 45 FC 83 78 4C 00 0F 84 40 01 00 00 8D 55 F8 8B 45 DC 8B 08 FF 91 80 00 00 00 55 8B 45 F8 E8 ?? ?? ?? ?? 59 8B D8 85 DB 0F 85 1E 01 00 00 8B 45 FC 8B 40 3C 83 78 58 00 75 0B 8B 45 FC 8B 58 3C E9 FD 00 00 00 8B 45 FC 8B 40 3C 89 45 CC 8B 45 CC 8B 00 89 45 B8 6A 00 8B 45 CC 8B 50 40 8B 45 CC 8B 40 04 8B 4D B8 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 08 01 00 00 C6 83 64 01 00 00 01 8B 45 FC 8B 50 3C 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 0F B6 50 54 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 0F B6 50 38 8B C3 8B 08 FF 51 48 8B 45 CC 8B 50 3C 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 8B 50 44 8B C3 8B 08 FF 51 50 C6 43 49 01 8B 45 FC 0F B6 40 50 34 01 88 43 48 8B 45 FC 8B 40 3C 8B 40 40 33 C9 B2 01 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 D8 00 00 00 8B 45 FC 8B 40 3C 89 43 0C 8B 45 FC 8B 40 3C 8B 80 A0 00 00 00 8B 40 04 48 85 C0 7C 35 40 89 45 C8 33 F6 6A 00 6A 00 8D 4D B4 8B 45 FC 8B 40 3C 8B 40 7C 8B D6 E8 ?? ?? ?? ?? 8B 55 B4 B9 00 00 00 20 8B C3 8B 38 FF 97 F4 00 00 00 46 FF 4D C8 75 D1 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 80 78 48 00 74 0C 8B 45 D8 8B 10 FF 52 68 DD 5D E8 9B 83 7D D4 00 75 24 8D 45 F4 E8 ?? ?? ?? ?? 8B 83 A0 00 00 00 83 78 04 00 7E 07 33 C0 89 45 E0 EB 2C C7 45 E0 FF FF FF FF EB 23 8D 55 F4 8B 45 D4 8B 08 FF 91 80 00 00 00 8B 45 FC 0F B6 48 40 8B 43 7C 8B 55 F4 E8 ?? ?? ?? ?? 89 45 E0 83 7D E0 FF 0F 85 CF 00 00 00 FF 75 EC FF 75 E8 B9 00 00 00 20 8B 55 F4 8B C3 8B 30 FF 96 F4 00 00 00 8B 45 FC 8B 40 3C 8B 40 40 89 45 C4 8B 45 C4 8B 80 B4 03 00 00 8B 40 08 48 85 C0 0F 8C C6 00 00 00 40 89 45 C8 33 F6 8B 45 C4 8B 80 B4 03 00 00 8B 40 04 3B 1C B0 74 73 8B 45 C4 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 8B 80 A0 00 00 00 8B 40 04 8B 93 A0 00 00 00 3B 42 04 7D 50 8B 45 C4 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 8B 80 A0 00 00 00 8B 93 A0 00 00 00 8B 52 04 2B 50 04 85 D2 7E 2B 89 55 C0 6A 00 6A 00 8B 45 C4 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 B9 00 00 00 20 8B 55 F4 8B 38 FF 97 F4 00 00 00 FF 4D C0 75 D8 46 FF 4D C8 0F 85 72 FF FF FF EB 30 8B 83 60 01 00 00 89 45 BC 8B 45 FC 0F B6 40 48 2C 02 73 1C 8B 45 BC 8B 40 54 8B 55 E0 DD 04 D0 DC 45 E8 8B 45 BC 8B 40 54 8B 55 E0 DD 1C D0 9B 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 D0 80 B8 A9 00 00 00 00 0F 84 30 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 F0 8B 45 D0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 D0 8B 08 FF 91 74 02 00 00 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 8B D0 8B 40 40 33 C9 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 5C 00 C3 E9 ?? ?? ?? ?? EB F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92135_0 {
	meta:
		name = "TDBCrossTabSource.Create"
		size = 69
		refs = "000a @ClassCreate 0017 TTeeSeriesSource.Create 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 48 01 C6 46 40 01 C6 46 50 01 C6 46 5C 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_92137_0 {
	meta:
		name = "TDBCrossTabSource.Editor"
		size = 80
		refs = "0001 TDBCrossTabSource.Editor 0006 GetClass"
	strings:
		$1 = { B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 02 33 C0 C3 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 54 00 44 00 42 00 43 00 68 00 61 00 72 00 74 00 43 00 72 00 6F 00 73 00 73 00 54 00 61 00 62 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_92138_0 {
	meta:
		name = "TDBCrossTabSource.HasSeries"
		size = 23
		refs = "0006 TChartSeries.GetDataSource 000c _DV_TDBCrossTabSource 0011 @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92192_0 {
	meta:
		name = "TSingleRecordSeriesSource.HasSeries"
		size = 23
		refs = "0006 TChartSeries.GetDataSource 000c _Dn_TDataSource 0011 @IsClass"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92139_0 {
	meta:
		name = "TDBCrossTabSource.Load"
		size = 42
		refs = "0019 TDataSet.GetActive 0024 TDBCrossTabSource.LoadDataSet"
	strings:
		$1 = { 53 8B D8 83 7B 3C 00 74 1F 83 7B 44 00 74 19 83 7B 58 00 74 13 8B 43 44 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92140_0 {
	meta:
		name = "TDBCrossTabSource.SetDataSet"
		size = 99
		refs = "0019 TObject.Free 0022 _Dn_TDBChartDataSource 0027 TDataSource.Create 0038 TComponent.FreeNotification 0045 TDBChartDataSource.SetDataSet 0052 TDBCrossTabSource.DataSourceCheckDataSet 005c TDBCrossTabSource.DataSourceCloseDataSet"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 44 74 55 8B C3 8B 10 FF 52 58 89 73 44 8B 43 64 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 64 8B 43 44 85 C0 74 14 8B D3 E8 ?? ?? ?? ?? 33 C9 8B 53 44 8B 43 64 E8 ?? ?? ?? ?? 8B 43 64 89 58 6C C7 40 68 ?? ?? ?? ?? 89 58 74 C7 40 70 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92141_0 {
	meta:
		name = "TDBCrossTabSource.Notification"
		size = 49
		refs = "0010 TTeeSeriesSource.Notification 0029 TDBCrossTabSource.SetDataSet"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 14 83 7F 44 00 74 0E 3B 77 44 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92142_0 {
	meta:
		name = "TDBCrossTabSource.TeeEvent"
		size = 53
		refs = "000a _Dn_TTeeSeriesEvent 000f @IsClass 002e TDBCrossTabSource.RemoveSeries"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 80 7E 08 01 75 15 83 7B 3C 00 74 0F 8B 46 0C 3B 43 3C 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92143_0 {
	meta:
		name = "TDBCrossTabSource.RemoveSeries"
		size = 131
		refs = "0051 TObject.Free 005b TCustomAxisPanel.SeriesCount 007a TCustomChartSeries.SetTitle"
	strings:
		$1 = { 53 56 57 55 8B F8 8B 47 3C 8B 40 40 85 C0 74 53 33 F6 8B E8 EB 42 8B 47 3C 8B 95 B4 03 00 00 8B 52 04 3B 04 B2 74 17 8B 47 3C 8B 95 B4 03 00 00 8B 52 04 8B 14 B2 3B 42 0C 0F 94 C3 EB 02 33 DB 84 DB 74 13 8B 85 B4 03 00 00 8B 40 04 8B 04 B0 E8 ?? ?? ?? ?? EB 01 46 8B C5 E8 ?? ?? ?? ?? 3B F0 7C B3 8B 47 3C F6 40 1C 08 75 12 8B 10 FF 92 08 01 00 00 8B 47 3C 33 D2 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92144_0 {
	meta:
		name = "TDBCrossTabSource.DataSourceCloseDataSet"
		size = 18
		refs = "000d TDBCrossTabSource.RemoveSeries"
	strings:
		$1 = { 80 78 68 00 75 0B 83 78 3C 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92145_0 {
	meta:
		name = "TDBCrossTabSource.SetActive"
		size = 28
		refs = "0006 TTeeSeriesSource.SetActive 0016 TDBCrossTabSource.DataSourceCloseDataSet"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 38 00 75 0A 8B 53 44 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92148_0 {
	meta:
		name = "TDBCrossTabSource.SetFormula"
		size = 24
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 48 74 0A 8B C6 8B 10 FF 52 58 88 5E 48 5E 5B C3 }
	condition:
		$1
}

rule function_92149_0 {
	meta:
		name = "TDBCrossTabSource.SetGroup"
		size = 38
		refs = "000c @UStrEqual 001f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 4C 8B D6 E8 ?? ?? ?? ?? 74 11 8B C3 8B 10 FF 52 58 8D 43 4C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92150_0 {
	meta:
		name = "TDBCrossTabSource.SetLabel"
		size = 38
		refs = "000c @UStrEqual 001f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 54 8B D6 E8 ?? ?? ?? ?? 74 11 8B C3 8B 10 FF 52 58 8D 43 54 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92151_0 {
	meta:
		name = "TDBCrossTabSource.SetValue"
		size = 38
		refs = "000c @UStrEqual 001f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 58 8B D6 E8 ?? ?? ?? ?? 74 11 8B C3 8B 10 FF 52 58 8D 43 58 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92152_0 {
	meta:
		name = "TDBCrossTabSource.Destroy"
		size = 65
		refs = "0003 @BeforeDestruction 001c TCustomTeePanel.RemoveListener 0024 TObject.Free 002f TTeeSeriesSource.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 60 85 C0 74 0E 8B D6 85 D2 74 03 83 EA 94 E8 ?? ?? ?? ?? 8B 46 64 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92153_0 {
	meta:
		name = "TDBCrossTabSource.SetCase"
		size = 24
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 40 74 0A 8B C6 8B 10 FF 52 58 88 5E 40 5E 5B C3 }
	condition:
		$1
}

rule function_92155_0 {
	meta:
		name = "VCLTee.TeeDBCrossTab"
		size = 36
		refs = "0002 _DV_2 000a _DV_TDBCrossTabSource 000f RegisterClass 0014 TeeSources 001f TList.Add"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92157_0 {
	meta:
		name = "TDBChartCrossTabEditor.EnableCombos"
		size = 74
		refs = "0009 TBaseDBChartEditor.DataSet 0041 EnableControls"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 8B 93 C4 03 00 00 89 14 24 8B 93 C8 03 00 00 89 54 24 04 8B 93 CC 03 00 00 89 54 24 08 8B 93 D4 03 00 00 89 54 24 0C 8B D4 B9 03 00 00 00 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_92158_0 {
	meta:
		name = "TDBChartCrossTabEditor.CBSourcesChange"
		size = 84
		refs = "0009 TBaseSourceEditor.CBSourcesChange 0010 TDBChartCrossTabEditor.EnableCombos 003b TBaseDBChartEditor.FillFields"
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 C8 03 00 00 89 04 24 8B 83 CC 03 00 00 89 44 24 04 8B 83 D4 03 00 00 89 44 24 08 8B D4 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_92159_0 {
	meta:
		name = "TDBChartCrossTabEditor.FormShow"
		size = 648
		refs = "0013 TDBChartCrossTabEditor.FormShow 0027 TBaseDBChartEditor.FormShow 003c TChartSeries.GetDataSource 0042 _Dn_TDBCrossTabSource 0047 @IsClass 0073 TDBCrossTabSource.Create 008b TeeGetUniqueName 00c2 TDBChartCrossTabEditor.EnableCombos 00ec TBaseDBChartEditor.FillFields 022e TeeTranslateControl 0243 @UStrClr 0249 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 86 AC 03 00 00 01 8B C6 E8 ?? ?? ?? ?? 8B 9E A8 03 00 00 85 DB 0F 84 F9 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 89 86 F0 03 00 00 EB 37 8B 86 A8 03 00 00 8B 48 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E F0 03 00 00 8D 4D FC 8B 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 24 8B 9E 94 03 00 00 8B 86 F0 03 00 00 8B 50 44 8B 83 B4 02 00 00 8B 08 FF 51 5C 8B D0 8B C3 8B 08 FF 91 FC 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 C8 03 00 00 89 45 F0 8B 86 CC 03 00 00 89 45 F4 8B 86 D4 03 00 00 89 45 F8 8D 55 F0 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 86 F0 03 00 00 80 78 48 01 75 12 33 D2 8B 86 C4 03 00 00 8B 08 FF 91 FC 00 00 00 EB 13 BA 01 00 00 00 8B 86 C4 03 00 00 8B 08 FF 91 FC 00 00 00 8B 9E C8 03 00 00 8B 86 F0 03 00 00 8B 50 58 8B 83 B4 02 00 00 8B 08 FF 51 54 8B D0 8B C3 8B 08 FF 91 FC 00 00 00 8B 9E CC 03 00 00 8B 86 F0 03 00 00 8B 50 4C 8B 83 B4 02 00 00 8B 08 FF 51 54 8B D0 8B C3 8B 08 FF 91 FC 00 00 00 8B 9E D4 03 00 00 8B 86 F0 03 00 00 8B 50 54 8B 83 B4 02 00 00 8B 08 FF 51 54 8B D0 8B C3 8B 08 FF 91 FC 00 00 00 8B 86 F0 03 00 00 0F B6 50 38 8B 86 D8 03 00 00 8B 08 FF 91 FC 00 00 00 8B 86 F0 03 00 00 0F B6 50 40 8B 86 DC 03 00 00 8B 08 FF 91 FC 00 00 00 8B 86 F0 03 00 00 0F B6 50 50 8B 86 E0 03 00 00 8B 08 FF 91 FC 00 00 00 8B 9E A8 03 00 00 85 DB 74 0F 8B C3 E8 ?? ?? ?? ?? 3B 86 F0 03 00 00 75 04 33 D2 EB 02 B2 01 8B 86 A0 03 00 00 8B 08 FF 91 80 00 00 00 8B 86 C8 03 00 00 89 45 F0 8B 86 CC 03 00 00 89 45 F4 8B 86 D4 03 00 00 89 45 F8 8D 55 F0 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 44 00 42 00 43 00 72 00 6F 00 73 00 73 00 54 00 61 00 62 00 53 00 6F 00 75 00 72 00 63 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_92160_0 {
	meta:
		name = "GetFieldCombo"
		size = 59
		refs = "0018 TControl.GetText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 F8 00 00 00 40 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B CE 8B 83 B4 02 00 00 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_92161_0 {
	meta:
		name = "TDBChartCrossTabEditor.BApplyClick"
		size = 303
		refs = "0011 TDBChartCrossTabEditor.BApplyClick 0024 TBaseSourceEditor.CheckReplaceSource 0051 TDBCrossTabSource.SetFormula 006a GetFieldCombo 0074 TDBCrossTabSource.SetValue 008c TDBCrossTabSource.SetGroup 00a4 TDBCrossTabSource.SetLabel 00ab TBaseDBChartEditor.DataSet 00b4 TDBCrossTabSource.SetDataSet 00cb TDBCrossTabSource.SetCase 011d @UStrArrayClr 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 93 F0 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 A8 03 00 00 33 D2 89 50 0C 8B B3 F0 03 00 00 8B 83 C4 03 00 00 8B 10 FF 92 F8 00 00 00 83 E8 01 73 0B B2 01 8B C6 E8 ?? ?? ?? ?? EB 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 DC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 E0 03 00 00 8B 10 FF 92 F8 00 00 00 88 46 50 8B 83 D8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 8B 08 FF 51 40 33 D2 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92163_0 {
	meta:
		name = "TDBChartCrossTabEditor.FormDestroy"
		size = 39
		refs = "0017 TObject.Free 0020 TBaseSourceEditor.FormDestroy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 F0 03 00 00 85 C0 74 0B 83 78 3C 00 75 05 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92167_0 {
	meta:
		name = "TDBChartCrossTabEditor.Translate"
		size = 48
		refs = "0028 TeeTranslateControl"
	strings:
		$1 = { 83 C4 F4 8B 90 C8 03 00 00 89 14 24 8B 90 CC 03 00 00 89 54 24 04 8B 90 D4 03 00 00 89 54 24 08 8B D4 B9 02 00 00 00 E8 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule function_92170_0 {
	meta:
		name = "TBaseDBChartEditor.FillSourceDatasets"
		size = 29
		refs = "0017 TBaseDBChartEditor.FillSources"
	strings:
		$1 = { 53 8B D8 8B 83 94 03 00 00 8B 80 B4 02 00 00 8B 10 FF 52 44 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92172_0 {
	meta:
		name = "FillSourcesForm"
		size = 102
		refs = "0025 TComponent.GetComponentCount 003a TComponent.GetComponent 0059 TBaseSourceEditor.AddComponentDataSource"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 85 DB 74 55 8B 45 08 3B 58 FC 74 4D 8B 45 08 8B 40 FC 8B 40 04 3B 58 04 74 3F 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 31 46 33 FF 6A 01 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 80 94 03 00 00 8B 88 B4 02 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 47 4E 75 D2 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_92173_0 {
	meta:
		name = "TBaseDBChartEditor.FillSources"
		size = 230
		refs = "002a OnGetDesignerNames 0036 TBaseSourceEditor.AddComponentDataSource 0057 Screen 005e TScreen.GetDataModuleCount 0077 TScreen.GetDataModule 007c FillSourcesForm 008d TScreen.GetFormCount 00a6 TScreen.GetForm"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 83 B8 A8 03 00 00 00 0F 84 C8 00 00 00 8B 45 FC 8B 80 A8 03 00 00 F6 40 1C 10 74 2E 83 3D ?? ?? ?? ?? 00 74 25 8B 55 FC 52 68 ?? ?? ?? ?? 8B 55 FC 8B 92 94 03 00 00 8B 92 B4 02 00 00 B1 01 FF 15 ?? ?? ?? ?? E9 8B 00 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1C 43 33 F6 55 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 75 E7 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1C 43 33 F6 55 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 75 E7 8B 45 FC 8B 80 A8 03 00 00 8B 40 40 85 C0 74 1D 55 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 A8 03 00 00 8B 40 40 8B 40 04 E8 ?? ?? ?? ?? 59 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92174_0 {
	meta:
		name = "TBaseDBChartEditor.FormShow"
		size = 103
		refs = "0007 TBaseSourceEditor.FormShow 000d TeeMsg_AskDataSet 001a TControl.SetText 0021 TBaseDBChartEditor.FillSourceDatasets 0032 TChartSeries.GetDataSource"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B B3 A8 03 00 00 85 F6 74 35 8B C6 E8 ?? ?? ?? ?? 85 C0 74 2A 8B B3 94 03 00 00 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 86 B4 02 00 00 8B 08 FF 51 5C 8B D0 8B C6 8B 08 FF 91 FC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92175_0 {
	meta:
		name = "TBaseDBChartEditor.DataSet"
		size = 16
		refs = "000a TComboFlat.SelectedObject"
		altNames = "TDBChartSourceEditor.DataSource TTeeFuncEditor.FunctionClass"
	strings:
		$1 = { 53 8B D8 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92176_0 {
	meta:
		name = "AddField"
		size = 69
		refs = "0011 TeeFieldType"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 55 FF 8B F8 0F B6 45 FF E8 ?? ?? ?? ?? 2C 03 73 26 8B 45 08 8B 70 FC 85 F6 7C 1C 46 8B 45 08 8B 58 F8 8B 03 8B 80 B4 02 00 00 8B D7 8B 08 FF 51 38 83 C3 04 4E 75 EB 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92177_0 {
	meta:
		name = "TBaseDBChartEditor.FillFields"
		size = 216
		refs = "002f TBaseDBChartEditor.DataSet 004a TFields.GetCount 006d TFields.GetField 0085 AddField 0094 TFieldDefs.Update 00b0 TFieldDefs.GetFieldDef"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 89 55 F8 8B F8 8B 75 FC 85 F6 7C 14 46 8B 5D F8 8B 03 8B 10 FF 92 04 01 00 00 83 C3 04 4E 75 F0 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 84 96 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B F8 8B C7 8B 40 38 E8 ?? ?? ?? ?? 85 C0 7E 3E 8B C7 8B 40 38 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 6E 46 33 DB 55 8B 47 38 8B D3 E8 ?? ?? ?? ?? 0F B6 40 48 50 8B 47 38 8B D3 E8 ?? ?? ?? ?? 8B 40 40 5A E8 ?? ?? ?? ?? 59 43 4E 75 D8 EB 41 8B 47 40 E8 ?? ?? ?? ?? 8B 47 40 8B 40 08 8B 70 08 4E 85 F6 7C 2B 46 33 DB 55 8B 47 40 8B D3 E8 ?? ?? ?? ?? 0F B6 40 25 50 8B 47 40 8B D3 E8 ?? ?? ?? ?? 8B 40 0C 5A E8 ?? ?? ?? ?? 59 43 4E 75 D8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92181_0 {
	meta:
		name = "TDBChartSourceEditor.BApplyClick"
		size = 304
		refs = "0017 TDBChartSourceEditor.BApplyClick 002a TChartSeries.SetDataSource 00a6 @UStrCatN 00b6 @UStrClr 00ca TChartValueList.SetValueSource 00d1 TDBChartSourceEditor.DataSource 0111 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B 83 B8 03 00 00 8B 80 94 03 00 00 89 45 F4 8B 45 F4 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 7E 63 8D 4D FC 8B 45 F4 8B 80 88 02 00 00 33 D2 8B 30 FF 56 0C 8B 45 F4 8B 80 88 02 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7E 43 C7 45 F8 01 00 00 00 FF 75 FC 68 ?? ?? ?? ?? 8D 4D F0 8B 45 F4 8B 80 88 02 00 00 8B 55 F8 8B 38 FF 57 0C FF 75 F0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 F8 4E 75 CE EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B 83 A8 03 00 00 8B 80 60 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_92184_0 {
	meta:
		name = "TDBChartSourceEditor.FormShow"
		size = 117
		refs = "0007 TBaseDBChartEditor.FormShow 0010 _Dn_TSelectListForm 0015 TCustomForm.Create 0026 TControl.SetAlign 003c TDBChartSourceEditor.OnChangeSources 0049 AddFormTo 0054 TeeTranslateControl 005a TeeMsg_AskDataSource 0067 TControl.SetText 006e TDBChartSourceEditor.FillFields"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B8 03 00 00 B2 05 8B C6 E8 ?? ?? ?? ?? 8B 83 B8 03 00 00 89 98 CC 03 00 00 C7 80 C8 03 00 00 ?? ?? ?? ?? 8B 8B A8 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92185_0 {
	meta:
		name = "TDBChartSourceEditor.CBSourcesChange"
		size = 32
		refs = "0006 TBaseSourceEditor.CBSourcesChange 000d TDBChartSourceEditor.FillFields 001a TChartSeries.SetLabelsSource"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92186_0 {
	meta:
		name = "AddField"
		size = 51
		refs = "0009 TeeFieldType"
	strings:
		$1 = { 55 8B EC 56 8B F0 8B C2 E8 ?? ?? ?? ?? 2C 02 73 1F 8B 45 08 8B 40 FC 8B 80 B8 03 00 00 8B 80 90 03 00 00 8B 80 88 02 00 00 8B D6 8B 08 FF 51 38 5E 5D C3 }
	condition:
		$1
}

rule function_92187_0 {
	meta:
		name = "AddAggregateFields"
		size = 72
		refs = "000d TDBChartSourceEditor.DataSource 0018 TFields.GetCount 0030 TFields.GetField 003a AddField"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 78 38 8B 47 3C E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 20 43 33 F6 8B 45 08 50 8B 47 3C 8B D6 E8 ?? ?? ?? ?? 8B 40 40 B2 06 E8 ?? ?? ?? ?? 59 46 4B 75 E3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_92188_0 {
	meta:
		name = "TDBChartSourceEditor.FillFields"
		size = 485
		refs = "0018 TDBChartSourceEditor.FillFields 0054 TDBChartSourceEditor.DataSource 0083 TFields.GetCount 00a6 TFields.GetField 00be AddField 00c9 AddAggregateFields 00d4 TFieldDefs.Update 00f0 TFieldDefs.GetFieldDef 012e @UStrLAsg 0136 TeeNumFields 014e TeeExtractField 01b8 TSelectListForm.EnableButtons 01d2 @UStrArrayClr 01d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F8 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B8 03 00 00 8B 80 90 03 00 00 8B 10 FF 92 04 01 00 00 8B 45 FC 8B 80 B8 03 00 00 8B 80 94 03 00 00 8B 10 FF 92 04 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 4E 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 78 38 00 0F 84 3C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 58 38 8B C3 8B 40 38 E8 ?? ?? ?? ?? 85 C0 7E 45 8B C3 8B 40 38 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2B 47 33 F6 55 8B 43 38 8B D6 E8 ?? ?? ?? ?? 0F B6 40 48 50 8B 43 38 8B D6 E8 ?? ?? ?? ?? 8B 40 40 5A E8 ?? ?? ?? ?? 59 46 4F 75 D8 55 E8 ?? ?? ?? ?? 59 EB 48 8B 43 40 E8 ?? ?? ?? ?? 8B 43 40 8B 40 08 8B 78 08 4F 85 FF 7C 2B 47 33 F6 55 8B 43 40 8B D6 E8 ?? ?? ?? ?? 0F B6 40 25 50 8B 43 40 8B D6 E8 ?? ?? ?? ?? 8B 40 0C 5A E8 ?? ?? ?? ?? 59 46 4F 75 D8 55 E8 ?? ?? ?? ?? 59 8D 45 F8 8B 55 FC 8B 92 A8 03 00 00 8B 92 60 01 00 00 8B 52 48 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 6E BE 01 00 00 00 8D 4D F4 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 03 00 00 8B 80 90 03 00 00 8B 80 88 02 00 00 89 45 F0 8B 55 F4 8B 45 F0 8B 08 FF 51 54 40 74 32 8B 45 FC 8B 80 B8 03 00 00 8B 80 94 03 00 00 8B 80 88 02 00 00 8B 55 F4 8B 08 FF 51 38 8B 55 F4 8B 45 F0 8B 08 FF 51 54 8B D0 8B 45 F0 8B 08 FF 51 48 46 4F 75 97 8B 45 FC 8B 80 B8 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92195_0 {
	meta:
		name = "TeeDBSummaryEditor"
		size = 150
		refs = "000e _DV_TDBChartSumEditor 0013 TCustomForm.Create 001e TeeDBSummaryEditor 002e TControl.SetAlign 003e TCustomForm.SetBorderStyle 0044 TeeMsg_DBSumEditCaption 004e TControl.SetText 005c TControl.Show 0081 TObject.Free 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 58 0C B2 03 8B 45 F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 E0 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 48 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92196_0 {
	meta:
		name = "TeeGetDBGroup"
		size = 129
		refs = "0016 @UStrAddRef 001e TeeGetDBGroup 0036 TeeGetDBPart 0041 @UStrLAsg 0051 StrToDBGroup 006d @UStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 4D F8 8B 55 FC B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 0C B3 01 8B 45 FC E8 ?? ?? ?? ?? 88 06 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92197_0 {
	meta:
		name = "TDBChartSumEditor.CBAggChange"
		size = 185
		refs = "000e TDBChartSumEditor.CBAggChange 0021 TBaseDBChartEditor.DataSet 0077 TControl.SetText 00a7 @UStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 9E C4 03 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 11 8B 86 C0 03 00 00 8B 10 FF 92 F8 00 00 00 48 75 04 33 D2 EB 02 B2 01 8B C3 8B 08 FF 91 80 00 00 00 8B C3 8B 10 FF 92 F8 00 00 00 40 74 26 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D FC 8B 83 B4 02 00 00 8B 38 FF 57 0C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B 86 A0 03 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92198_0 {
	meta:
		name = "TheFieldType"
		size = 88
		refs = "000f TBaseDBChartEditor.DataSet 001b TFields.GetCount 0028 TDataSet.FieldByName 0036 TFieldDefs.Update 0042 TDefCollection.IndexOf 004b TFieldDefs.GetFieldDef"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 8B C3 8B 40 38 E8 ?? ?? ?? ?? 85 C0 7E 0F 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 40 48 EB 21 8B 43 40 E8 ?? ?? ?? ?? 8B D6 8B 7B 40 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 0F B6 40 25 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_92199_0 {
	meta:
		name = "TDBChartSumEditor.EnableTimeStep"
		size = 329
		refs = "0012 TDBChartSumEditor.EnableTimeStep 008f TComboFlat.CurrentItem 0098 TheFieldType 009e TeeFieldType 0139 @UStrClr 013f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 C8 03 00 00 8B 10 FF 92 F8 00 00 00 40 75 52 8B 45 FC 8B 80 CC 03 00 00 83 CA FF 8B 08 FF 91 FC 00 00 00 8B 45 FC 8B 80 CC 03 00 00 33 D2 8B 08 FF 91 80 00 00 00 8B 45 FC 8B 80 D8 03 00 00 33 D2 8B 08 FF 91 80 00 00 00 8B 45 FC 8B 80 DC 03 00 00 33 D2 8B 08 FF 91 80 00 00 00 E9 A6 00 00 00 8D 55 F8 8B 45 FC 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 55 8B 45 F8 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 3C 01 0F 94 C2 8B 45 FC 8B 80 CC 03 00 00 8B 08 FF 91 80 00 00 00 8B 45 FC 8B 80 CC 03 00 00 8B 10 FF 52 68 8B D0 80 F2 01 8B 45 FC 8B 80 D8 03 00 00 8B 08 FF 91 80 00 00 00 8B 45 FC 8B 80 D8 03 00 00 8B 10 FF 52 68 84 C0 75 13 8B 45 FC 8B 80 D8 03 00 00 33 D2 8B 08 FF 91 FC 00 00 00 8B 45 FC 8B 80 D8 03 00 00 8B 10 FF 92 F8 00 00 00 85 C0 0F 9F C2 8B 45 FC 8B 80 DC 03 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_92200_0 {
	meta:
		name = "TDBChartSumEditor.CBGroupChange"
		size = 28
		refs = "0006 TDBChartSumEditor.EnableTimeStep"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92201_0 {
	meta:
		name = "TeeDBGroupToStr"
		size = 332
		refs = "0012 TeeDBGroupToStr 003a @UStrAsg 0097 @UStrClr"
	strings:
		$1 = { 53 8B DA 83 E0 7F 83 F8 06 0F 87 85 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 48 00 4F 00 55 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 44 00 41 00 59 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 57 00 45 00 45 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 57 00 45 00 45 00 4B 00 44 00 41 00 59 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 4F 00 4E 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 51 00 55 00 41 00 52 00 54 00 45 00 52 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 59 00 45 00 41 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_92202_0 {
	meta:
		name = "TDBChartSumEditor.BApplyClick"
		size = 960
		refs = "0014 TDBChartSumEditor.BApplyClick 0055 @UStrLAsg 009b @UStrClr 00b3 _Dn_TBarSeries 00be TCustomAxisPanel.AddSeries 00d1 TChartSeries.SetDataSource 00ee TControl.GetText 00fc @UStrCat3 0110 TChartValueList.SetValueSource 0179 TComboFlat.CurrentItem 01b4 TeeDBGroupToStr 01cc @UStrCatN 028c TChartSeries.SetLabelsSource 0293 TBaseDBChartEditor.DataSet 02c6 @UStrArrayClr 02e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 C0 03 00 00 8B 10 FF 92 F8 00 00 00 83 F8 04 77 66 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 35 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 83 BB A8 03 00 00 00 75 20 83 BB A4 03 00 00 00 74 17 8B 15 ?? ?? ?? ?? 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 89 83 A8 03 00 00 33 D2 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B B3 C4 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 40 75 2E 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 4D F0 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 83 A8 03 00 00 8B 80 60 01 00 00 E8 ?? ?? ?? ?? EB 3C 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D E8 8B 86 B4 02 00 00 8B 30 FF 56 0C 8B 4D E8 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 83 A8 03 00 00 8B 80 60 01 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B 83 C8 03 00 00 8B 10 FF 92 F8 00 00 00 40 0F 84 11 01 00 00 8D 55 F8 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 8B 83 CC 03 00 00 8B 10 FF 52 68 84 C0 74 49 8B 83 CC 03 00 00 8B 10 FF 92 F8 00 00 00 40 74 38 68 ?? ?? ?? ?? 8B 83 CC 03 00 00 8B 10 FF 92 F8 00 00 00 8D 55 E4 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? FF 75 F8 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? E9 AB 00 00 00 8B 83 D8 03 00 00 8B 10 FF 92 F8 00 00 00 83 E8 01 72 7E 74 4D 48 0F 85 8F 00 00 00 8B 83 A8 03 00 00 8B 80 60 01 00 00 C6 40 24 00 8B 83 DC 03 00 00 8B 10 FF 92 F8 00 00 00 85 C0 75 12 8D 45 F8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5B 8D 45 F8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 49 8B 83 A8 03 00 00 8B 80 68 01 00 00 C6 40 24 00 8B 83 DC 03 00 00 8B 10 FF 92 F8 00 00 00 8B 93 A8 03 00 00 8B 92 60 01 00 00 88 42 24 EB 1A 8B 83 A8 03 00 00 8B 90 60 01 00 00 C6 42 24 00 8B 80 68 01 00 00 C6 40 24 00 8B B3 A8 03 00 00 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 23 00 53 00 55 00 4D 00 23 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 23 00 43 00 4F 00 55 00 4E 00 54 00 23 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 23 00 48 00 49 00 47 00 48 00 23 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 23 00 4C 00 4F 00 57 00 23 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 23 00 41 00 56 00 47 00 23 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 23 00 53 00 4F 00 52 00 54 00 41 00 53 00 43 00 23 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 23 00 53 00 4F 00 52 00 54 00 44 00 45 00 53 00 23 00 00 00 }
	condition:
		$1
}

rule function_92203_0 {
	meta:
		name = "TDBChartSumEditor.FormShow"
		size = 738
		refs = "0014 TDBChartSumEditor.FormShow 0021 TBaseDBChartEditor.FormShow 0028 TDBChartSumEditor.EnableCombos 0049 TBaseDBChartEditor.FillFields 0068 @UStrLAsg 007e TeeGetDBPart 0127 StrToDBOrder 016b TDBChartSumEditor.EnableTimeStep 0190 TeeGetDBGroup 02a7 TDBChartSumEditor.CheckCount 02ae TeeTranslateControl 02c8 @UStrArrayClr 02d0 @UStrClr 02d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 C4 03 00 00 89 45 F0 8B 83 C8 03 00 00 89 45 F4 8D 55 F0 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B B3 A8 03 00 00 85 F6 0F 84 50 02 00 00 8D 45 FC 8B 96 60 01 00 00 8B 52 48 E8 ?? ?? ?? ?? 8B B3 C0 03 00 00 8D 4D EC 8B 55 FC B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 86 B4 02 00 00 8B 08 FF 51 54 8B D0 8B C6 8B 08 FF 91 FC 00 00 00 8B B3 C4 03 00 00 8D 4D E8 8B 55 FC B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 86 B4 02 00 00 8B 08 FF 51 54 8B D0 8B C6 8B 08 FF 91 FC 00 00 00 8D 4D FC 8B 83 A8 03 00 00 8B 90 80 00 00 00 B8 02 00 00 00 E8 ?? ?? ?? ?? C6 45 FA 00 83 7D FC 00 75 1B 8D 4D FC 8B 83 A8 03 00 00 8B 90 80 00 00 00 B8 01 00 00 00 E8 ?? ?? ?? ?? EB 24 8D 4D E4 8B 83 A8 03 00 00 8B 90 80 00 00 00 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 88 45 FA 83 7D FC 00 75 14 8D 45 FC 8B 93 A8 03 00 00 8B 92 80 00 00 00 E8 ?? ?? ?? ?? 8B B3 C8 03 00 00 8B 86 B4 02 00 00 8B 55 FC 8B 08 FF 51 54 8B D0 8B C6 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B B3 CC 03 00 00 8B C6 8B 10 FF 52 68 84 C0 74 26 8D 55 FB 8B 83 A8 03 00 00 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 0E 0F B6 55 FB 8B C6 8B 08 FF 91 FC 00 00 00 8B 83 CC 03 00 00 8B 10 FF 52 68 84 C0 75 11 8B 83 C8 03 00 00 8B 10 FF 92 F8 00 00 00 40 75 04 33 D2 EB 02 B2 01 8B 83 D8 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 D8 03 00 00 8B 10 FF 52 68 84 C0 0F 84 82 00 00 00 80 7D FA 00 75 57 8B 83 A8 03 00 00 8B 80 60 01 00 00 80 78 24 00 74 33 BA 01 00 00 00 8B 83 D8 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 A8 03 00 00 8B 80 60 01 00 00 0F B6 50 24 8B 83 DC 03 00 00 8B 08 FF 91 FC 00 00 00 EB 37 33 D2 8B 83 D8 03 00 00 8B 08 FF 91 FC 00 00 00 EB 25 BA 02 00 00 00 8B 83 D8 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 55 FA 8B 83 DC 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 D8 03 00 00 8B 10 FF 52 68 84 C0 74 12 8B 83 D8 03 00 00 8B 10 FF 92 F8 00 00 00 85 C0 7F 04 33 D2 EB 02 B2 01 8B 83 DC 03 00 00 8B 08 FF 91 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92204_0 {
	meta:
		name = "TDBChartSumEditor.CheckCount"
		size = 263
		refs = "000f TDBChartSumEditor.CheckCount 001c TBaseDBChartEditor.DataSet 0076 TeeGetDBPart 00c1 TControl.SetText 00f5 @UStrArrayClr 00fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B 83 C0 03 00 00 8B 10 FF 92 F8 00 00 00 48 75 04 33 D2 EB 02 B2 01 8B 83 C4 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 C4 03 00 00 8B 10 FF 52 68 84 C0 74 7A 8B B3 C4 03 00 00 8D 4D FC 8B 83 A8 03 00 00 8B 80 60 01 00 00 8B 50 48 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 B4 02 00 00 8B 08 FF 51 54 8B D0 8B C6 8B 08 FF 91 FC 00 00 00 8B C6 8B 10 FF 92 F8 00 00 00 40 74 26 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D F8 8B 86 B4 02 00 00 8B 18 FF 53 0C 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 18 33 D2 8B C6 E8 ?? ?? ?? ?? EB 0D 33 D2 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92205_0 {
	meta:
		name = "TDBChartSumEditor.EnableCombos"
		size = 74
		refs = "0009 TBaseDBChartEditor.DataSet 0041 EnableControls"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 8B 93 C0 03 00 00 89 14 24 8B 93 C4 03 00 00 89 54 24 04 8B 93 CC 03 00 00 89 54 24 08 8B 93 C8 03 00 00 89 54 24 0C 8B D4 B9 03 00 00 00 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_92206_0 {
	meta:
		name = "TDBChartSumEditor.CBSourcesChange"
		size = 57
		refs = "0009 TBaseSourceEditor.CBSourcesChange 0010 TDBChartSumEditor.EnableCombos 0031 TBaseDBChartEditor.FillFields"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 C4 03 00 00 89 04 24 8B 83 C8 03 00 00 89 44 24 04 8B D4 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_92207_0 {
	meta:
		name = "TDBChartSumEditor.CBSortChange"
		size = 54
	strings:
		$1 = { 53 8B D8 8B 83 D8 03 00 00 8B 10 FF 92 F8 00 00 00 85 C0 0F 9F C2 8B 83 DC 03 00 00 8B 08 FF 91 80 00 00 00 B2 01 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92209_0 {
	meta:
		name = "TDBChartSumEditor.FormCreate"
		size = 44
		refs = "0006 TBaseSourceEditor.FormCreate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 DC 03 00 00 8B 08 FF 91 FC 00 00 00 33 D2 8B 83 D8 03 00 00 8B 08 FF 91 FC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92212_0 {
	meta:
		name = "TDBSummarySource.HasSeries"
		size = 148
		refs = "000c TDBSummarySource.HasSeries 0019 TChartSeries.GetDataSource 001f _Dn_TDataSet 0024 @IsClass 0044 @UStrCopy 0051 @UStrEqual 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8D 45 FC 50 8B 83 60 01 00 00 8B 40 48 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_92215_0 {
	meta:
		name = "TDraw3D.InternalDraw"
		size = 301
		refs = "0043 TCustomTeePanel.ReCalcWidthHeight 00d0 TTeeCanvas.ResetState 00ef TCustomTeePanelExtended.DrawZoomRectangle"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F2 8B F8 0F B6 9F 99 02 00 00 C6 87 99 02 00 00 00 56 57 8D 7C 24 08 A5 A5 A5 A5 5F 5E 8B 87 40 03 00 00 8B 10 FF 52 1C 84 C0 75 0C 8B D4 8B C7 8B 08 FF 91 18 01 00 00 8B C7 E8 ?? ?? ?? ?? B8 64 00 00 00 89 87 0C 03 00 00 8D 97 44 03 00 00 52 8D 8F A8 02 00 00 8B D0 8B 87 40 03 00 00 8B 28 FF 95 20 01 00 00 8B 87 40 03 00 00 8B 10 FF 52 1C 84 C0 74 42 56 57 8D B7 44 03 00 00 8D 7C 24 18 A5 A5 A5 A5 5F 5E 56 57 8D 74 24 08 81 C7 44 03 00 00 A5 A5 A5 A5 5F 5E 8B D6 8B C7 8B 08 FF 91 18 01 00 00 56 57 8D 74 24 18 81 C7 44 03 00 00 A5 A5 A5 A5 5F 5E 80 BF A8 03 00 00 00 75 0B 8B 87 40 03 00 00 E8 ?? ?? ?? ?? 8B D6 8B C7 8B 08 FF 91 1C 01 00 00 8B 87 74 03 00 00 80 78 04 00 74 07 8B C7 E8 ?? ?? ?? ?? 80 BF A8 03 00 00 00 75 0B 8B 87 40 03 00 00 E8 ?? ?? ?? ?? 66 83 BF 82 03 00 00 00 74 0E 8B D7 8B 87 84 03 00 00 FF 97 80 03 00 00 88 9F 99 02 00 00 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92216_0 {
	meta:
		name = "TDraw3D.DoCustomPaint"
		size = 31
	strings:
		$1 = { 53 66 83 B8 A2 03 00 00 00 74 12 8B CA 8B D8 8B D0 8B 83 A4 03 00 00 FF 93 A0 03 00 00 5B C3 }
	condition:
		$1
}

rule function_92219_0 {
	meta:
		name = "TFormTee3D.CheckControls"
		size = 355
		refs = "0020 _Dn_TCustomChart 0025 @IsClass 0030 TCustomChart.GetASeries 0057 _Dn_TPieSeries 0090 TPageControl.SetActivePage"
	strings:
		$1 = { 53 56 8B D8 83 BB 3C 04 00 00 00 75 09 8B 43 0C 89 83 3C 04 00 00 8B B3 3C 04 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B C6 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 8B 83 3C 04 00 00 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 75 19 85 F6 74 15 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 88 83 38 04 00 00 80 BB 3A 04 00 00 00 74 1B 8B 83 90 03 00 00 8B 88 DC 02 00 00 8B 93 94 03 00 00 3B CA 74 05 E8 ?? ?? ?? ?? 8B B3 3C 04 00 00 80 BE 04 03 00 00 00 74 09 80 BB 38 04 00 00 00 75 04 33 D2 EB 02 B2 01 8B 83 E0 03 00 00 8B 08 FF 91 80 00 00 00 80 BE 04 03 00 00 00 74 1B 8B 86 40 03 00 00 8B 10 FF 52 1C 84 C0 75 10 8B 86 08 03 00 00 80 78 20 00 74 04 33 D2 EB 02 B2 01 8B 83 EC 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 EC 03 00 00 8B 10 FF 52 68 84 C0 74 0F 8B 83 E0 03 00 00 8B 10 FF 52 68 84 C0 75 04 33 D2 EB 02 B2 01 8B 83 E8 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 E0 03 00 00 8B 10 FF 52 68 8B D0 8B 83 00 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 00 04 00 00 8B 10 FF 52 68 8B D0 8B 83 04 04 00 00 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92220_0 {
	meta:
		name = "TFormTee3D.CBOrthogonalClick"
		size = 54
		refs = "0029 TView3DOptions.SetOrthogonal 0030 TFormTee3D.CheckControls"
	strings:
		$1 = { 53 8B D8 80 BB 39 04 00 00 00 75 28 8B 83 E0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 3C 04 00 00 8B 80 08 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92221_0 {
	meta:
		name = "TFormTee3D.SBZoomChange"
		size = 148
		refs = "000c TFormTee3D.SBZoomChange 002f TView3DOptions.SetZoomInteger 0043 IntToStr 0050 @UStrCat 005e TControl.SetText 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 E4 03 00 00 8B 90 98 02 00 00 8B 83 3C 04 00 00 8B 80 08 03 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 E4 03 00 00 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 }
	condition:
		$1
}

rule function_92222_0 {
	meta:
		name = "TFormTee3D.GetRotation"
		size = 13
	strings:
		$1 = { 8B 80 E8 03 00 00 8B 80 98 02 00 00 C3 }
	condition:
		$1
}

rule function_92223_0 {
	meta:
		name = "TFormTee3D.SBRotationChange"
		size = 131
		refs = "000d TFormTee3D.SBRotationChange 001a TFormTee3D.GetRotation 0045 TView3DOptions.SetRotationInteger 004f IntToStr 005d TControl.SetText 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 80 BB 39 04 00 00 00 75 20 8B 83 3C 04 00 00 85 C0 74 16 83 B8 08 03 00 00 00 74 0D 8B 80 08 03 00 00 8B D6 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92224_0 {
	meta:
		name = "TFormTee3D.SBElevationChange"
		size = 140
		refs = "000c TFormTee3D.SBElevationChange 0045 TView3DOptions.SetElevationInteger 0059 IntToStr 0067 TControl.SetText 007c @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 39 04 00 00 00 75 2A 8B 83 3C 04 00 00 85 C0 74 20 83 B8 08 03 00 00 00 74 17 8B 93 EC 03 00 00 8B 92 98 02 00 00 8B 80 08 03 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 EC 03 00 00 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92225_0 {
	meta:
		name = "TFormTee3D.CBView3dClick"
		size = 48
		refs = "0023 TCustomTeePanel.SetView3D 002a TFormTee3D.CheckControls"
	strings:
		$1 = { 53 8B D8 80 BB 39 04 00 00 00 75 22 8B 83 D8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 3C 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92226_0 {
	meta:
		name = "TFormTee3D.FormShow"
		size = 46
		refs = "0021 TTabSheet.SetTabVisible 0028 TFormTee3D.RefreshOptions"
	strings:
		$1 = { 53 8B D8 8B 43 0C 89 83 3C 04 00 00 85 C0 74 1C F6 40 1C 10 0F 95 C2 80 F2 01 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92227_0 {
	meta:
		name = "TFormTee3D.AddRenderClasses"
		size = 224
		refs = "0014 TFormTee3D.AddRenderClasses 0034 TeeRenderClasses 004f TList.Get 00b1 TFormTee3D.LBRenderClick 00b8 TFormTee3D.ShowCanvasEditor 00cd @UStrClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 1C 04 00 00 8B 10 FF 92 04 01 00 00 C7 45 FC FF FF FF FF A1 ?? ?? ?? ?? 8B 00 8B 78 08 4F 85 FF 7C 59 47 33 DB A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 8D 55 F4 FF 90 08 01 00 00 8B 55 F4 8B 86 1C 04 00 00 8B 80 88 02 00 00 8B 08 FF 51 38 8B 86 3C 04 00 00 8B 80 40 03 00 00 8B 00 89 45 F8 A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 3B 45 F8 75 03 89 5D FC 43 4F 75 AA 8B 55 FC 8B 86 1C 04 00 00 8B 08 FF 91 FC 00 00 00 8B D6 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92228_0 {
	meta:
		name = "TFormTee3D.RefreshOptions"
		size = 824
		refs = "0034 _Dn_TCustomAxisPanel 0039 @IsClass 004e TCustomUpDown.SetPosition 0076 TControl.Hide 00b3 TTrackBar.SetMin 00c3 TTrackBar.SetFrequency 012c TView3DOptions.GetZoom 0139 TTrackBar.SetPosition 0152 TView3DOptions.GetRotation 0166 TView3DOptions.GetElevation 017a TView3DOptions.GetHorizOffset 01a7 TFormTee3D.RefreshOptions 01ac @ROUND 01f9 TTrackBar.SetMax 0227 TView3DOptions.GetVertOffset 02ef TFormTee3D.CBZoomTextChange 0320 TFormTee3D.CheckControls"
	strings:
		$1 = { 53 56 57 83 C4 DC 8B D8 C6 83 39 04 00 00 01 8B B3 3C 04 00 00 0F B6 96 04 03 00 00 8B 83 D8 03 00 00 8B 08 FF 91 FC 00 00 00 8B BB 3C 04 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2E 8B 97 A0 03 00 00 8B 83 F8 03 00 00 E8 ?? ?? ?? ?? 8B 83 3C 04 00 00 0F B6 90 AE 03 00 00 8B 83 08 04 00 00 8B 08 FF 91 FC 00 00 00 EB 2C 8B 83 F8 03 00 00 E8 ?? ?? ?? ?? 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 8B 83 08 04 00 00 E8 ?? ?? ?? ?? 8B 86 40 03 00 00 8B 10 FF 52 1C 84 C0 74 3C 33 D2 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? BA 14 00 00 00 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? BA 14 00 00 00 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? EB 3D 33 D2 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? BA 2D 00 00 00 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? BA 0E 01 00 00 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? BA 0A 00 00 00 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? 8B B6 08 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 0F B6 56 20 8B 83 E0 03 00 00 8B 08 FF 91 FC 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 99 33 C2 2B C2 8B 93 F0 03 00 00 3B 82 90 02 00 00 7E 7F 8B C6 E8 ?? ?? ?? ?? 99 33 C2 2B C2 89 44 24 20 DB 44 24 20 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 83 7C 24 04 00 75 0B 81 3C 24 FF 7F 00 00 76 16 EB 02 7E 12 C7 44 24 08 FF 7F 00 00 C7 44 24 0C 00 00 00 00 EB 0F 8B 04 24 89 44 24 08 8B 44 24 04 89 44 24 0C 8B 44 24 08 8B D0 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B 83 F0 03 00 00 8B 90 90 02 00 00 F7 DA E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 99 33 C2 2B C2 8B 93 F4 03 00 00 3B 82 90 02 00 00 0F 8E 82 00 00 00 8B C6 E8 ?? ?? ?? ?? 99 33 C2 2B C2 89 44 24 20 DB 44 24 20 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 10 89 54 24 14 83 7C 24 14 00 75 0C 81 7C 24 10 FF 7F 00 00 76 16 EB 02 7E 12 C7 44 24 18 FF 7F 00 00 C7 44 24 1C 00 00 00 00 EB 10 8B 44 24 10 89 44 24 18 8B 44 24 14 89 44 24 1C 8B 44 24 18 8B D0 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 8B 83 F4 03 00 00 8B 90 90 02 00 00 F7 DA E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 0F B6 56 58 8B 83 30 04 00 00 8B 08 FF 91 FC 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 56 28 8B 83 FC 03 00 00 E8 ?? ?? ?? ?? 8B 56 24 8B 83 04 04 00 00 E8 ?? ?? ?? ?? 8B 56 10 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 39 04 00 00 00 83 C4 24 5F 5E 5B C3 00 00 00 00 C0 3F }
	condition:
		$1
}

rule function_92229_0 {
	meta:
		name = "TFormTee3D.SBHOffsetChange"
		size = 118
		refs = "000c TFormTee3D.SBHOffsetChange 002f TView3DOptions.SetHorizInteger 0043 IntToStr 0051 TControl.SetText 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F0 03 00 00 8B 90 98 02 00 00 8B 83 3C 04 00 00 8B 80 08 03 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 F0 03 00 00 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92230_0 {
	meta:
		name = "TFormTee3D.SBVOffsetChange"
		size = 118
		refs = "000c TFormTee3D.SBVOffsetChange 002f TView3DOptions.SetVertInteger 0043 IntToStr 0051 TControl.SetText 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F4 03 00 00 8B 90 98 02 00 00 8B 83 3C 04 00 00 8B 80 08 03 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 F4 03 00 00 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92231_0 {
	meta:
		name = "TFormTee3D.SE3dChange"
		size = 68
		refs = "0020 _Dn_TCustomAxisPanel 0025 @IsClass 0034 TCustomUpDown.GetPosition 003d TCustomAxisPanel.Set3DPercent"
	strings:
		$1 = { 53 56 8B D8 80 BB F2 01 00 00 00 74 34 80 BB 39 04 00 00 00 75 2B 8B B3 3C 04 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B 83 F8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92232_0 {
	meta:
		name = "TFormTee3D.SBPerspecChange"
		size = 118
		refs = "000c TFormTee3D.SBPerspecChange 002f TView3DOptions.SetPerspective 0043 IntToStr 0051 TControl.SetText 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 FC 03 00 00 8B 90 98 02 00 00 8B 83 3C 04 00 00 8B 80 08 03 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 FC 03 00 00 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92233_0 {
	meta:
		name = "TFormTee3D.EOrthoAngleChange"
		size = 53
		refs = "001c TCustomUpDown.GetPosition 002f TView3DOptions.SetOrthoAngle"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 27 80 BB 39 04 00 00 00 75 1E 8B 83 04 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 3C 04 00 00 8B 80 08 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92234_0 {
	meta:
		name = "TFormTee3D.SetGallery3DPanel"
		size = 128
		refs = "0020 TCustomTeePanel.SetView3D 0035 TView3DOptions.SetOrthogonal 0049 TView3DOptions.SetOrthoAngle 0054 TView3DOptions.GetRotation 0061 TView3DOptions.SetRotationInteger 006c TView3DOptions.GetElevation 0079 TView3DOptions.SetElevationInteger"
	strings:
		$1 = { 53 56 8B F2 8B 80 14 04 00 00 8B 90 D8 02 00 00 85 D2 74 69 8B DA 0F B6 93 04 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B 83 08 03 00 00 0F B6 50 20 8B 86 08 03 00 00 E8 ?? ?? ?? ?? 8B 83 08 03 00 00 8B 50 24 8B 86 08 03 00 00 E8 ?? ?? ?? ?? 8B 83 08 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 86 08 03 00 00 E8 ?? ?? ?? ?? 8B 83 08 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 86 08 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92235_0 {
	meta:
		name = "TFormTee3D.Select3DPanel"
		size = 256
		refs = "0040 TChartList.GetChart 0085 TView3DOptions.GetRotation 00a1 TView3DOptions.GetElevation"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F2 C7 04 24 FF FF FF FF 8B 80 14 04 00 00 89 44 24 04 8B 44 24 04 8B 80 98 02 00 00 8B 68 08 4D 85 ED 0F 8C 93 00 00 00 45 33 FF 8B 44 24 04 8B 80 98 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 0F B6 83 04 03 00 00 3A 86 04 03 00 00 75 66 8B 83 08 03 00 00 0F B6 40 20 8B 96 08 03 00 00 3A 42 20 75 51 8B 83 08 03 00 00 8B 40 24 8B 96 08 03 00 00 3B 42 24 75 3D 8B 83 08 03 00 00 E8 ?? ?? ?? ?? 50 8B 86 08 03 00 00 E8 ?? ?? ?? ?? 5A 3B D0 75 21 8B 83 08 03 00 00 E8 ?? ?? ?? ?? 50 8B 86 08 03 00 00 E8 ?? ?? ?? ?? 5A 3B D0 75 05 89 3C 24 EB 08 47 4D 0F 85 70 FF FF FF 83 3C 24 FF 75 10 33 D2 8B 44 24 04 8B 08 FF 91 FC 00 00 00 EB 20 8B 44 24 04 8B 80 98 02 00 00 8B 14 24 E8 ?? ?? ?? ?? 8B D0 8B 44 24 04 8B 08 FF 91 FC 00 00 00 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92236_0 {
	meta:
		name = "TFormTee3D.FormCreate"
		size = 21
		refs = "0008 TControl.SetAlign"
	strings:
		$1 = { 53 8B D8 B2 05 8B C3 E8 ?? ?? ?? ?? C6 83 3A 04 00 00 01 5B C3 }
	condition:
		$1
}

rule function_92237_0 {
	meta:
		name = "AddNewChart"
		size = 229
		refs = "000d TeeSeriesTypes 0016 TTeeSeriesTypes.Get 0029 TChartGalleryPanel.CreateChart 002f _Dn_TCustomChart 0034 @AsClass 0046 TTeeCustomShape.SetTransparent 0056 TChartWalls.SetSize 0061 TCustomSeriesList.ClearValues 0082 TCustomTeePanel.SetView3D 008f TView3DOptions.SetOrthogonal 00b3 TChartSeries.SetVertAxis 00c7 TView3DOptions.SetElevationInteger 00d2 TChartAxes.GetLeftAxis 00d9 TChartAxis.SetLabels"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 55 FF 8B F0 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 80 14 04 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 83 74 04 00 00 8B 40 04 33 D2 E8 ?? ?? ?? ?? 8B 83 74 04 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B 83 70 04 00 00 8B 40 5C 8B CE 33 D2 8B 30 FF 56 20 80 7D FF 00 74 60 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 83 08 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 83 B4 03 00 00 8B 70 08 4E 85 F6 7C 1A 46 33 FF 8B 83 B4 03 00 00 8B 40 04 8B 04 B8 B2 02 E8 ?? ?? ?? ?? 47 4E 75 E9 8B 83 08 03 00 00 BA 68 01 00 00 E8 ?? ?? ?? ?? 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92238_0 {
	meta:
		name = "TFormTee3D.CreateViewsGallery"
		size = 589
		refs = "0018 TChartGalleryPanel.SetSmooth 0032 TChartGalleryPanel.SetNumCols 003e TChartGalleryPanel.SetNumRows 0044 TeeMsg_View2D 004d AddNewChart 0059 TCustomTeePanel.SetView3D 0064 TChartAxes.GetLeftAxis 006b TChartAxis.SetLabels 0071 TeeMsg_ViewOrthoRight 008a TView3DOptions.SetOrthogonal 00a2 TeeMsg_ViewOrthoLeft 00cb TTeeCustomShapeBrushPen.SetVisible 00ff TChartSeries.SetVertAxis 0112 TChartAxes.GetRightAxis 0117 TChartAxis.SetZPosition 0127 TView3DOptions.SetOrthoAngle 012d TeeMsg_View3DFront 017d TView3DOptions.SetRotationInteger 0183 TeeMsg_View3DRight 01dc TeeMsg_View3DLeft"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 98 14 04 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 A0 02 00 00 00 C6 83 A1 02 00 00 00 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 55 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 59 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 55 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 59 8B D8 8B 83 08 03 00 00 B2 01 E8 ?? ?? ?? ?? 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 55 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 59 8B D8 B2 01 8B 83 08 03 00 00 E8 ?? ?? ?? ?? 8B 83 74 04 00 00 8B 40 10 33 D2 E8 ?? ?? ?? ?? 8B 83 74 04 00 00 8B 40 14 B2 01 E8 ?? ?? ?? ?? 8B 83 B4 03 00 00 8B 70 08 4E 85 F6 7C 1A 46 33 FF 8B 83 B4 03 00 00 8B 40 04 8B 04 B8 B2 01 E8 ?? ?? ?? ?? 47 4E 75 E9 6A 00 6A 00 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 87 00 00 00 8B 83 08 03 00 00 E8 ?? ?? ?? ?? 55 A1 ?? ?? ?? ?? 8B 00 B2 01 E8 ?? ?? ?? ?? 59 8B D8 8B 83 74 04 00 00 8B 40 10 B2 01 E8 ?? ?? ?? ?? 8B 83 74 04 00 00 8B 40 14 B2 01 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 08 03 00 00 BA 68 01 00 00 E8 ?? ?? ?? ?? 55 A1 ?? ?? ?? ?? 8B 00 B2 01 E8 ?? ?? ?? ?? 59 8B D8 8B 83 74 04 00 00 8B 40 10 B2 01 E8 ?? ?? ?? ?? 8B 83 74 04 00 00 8B 40 14 33 D2 E8 ?? ?? ?? ?? 68 00 00 59 40 6A 00 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 08 03 00 00 BA 2C 01 00 00 E8 ?? ?? ?? ?? 55 A1 ?? ?? ?? ?? 8B 00 B2 01 E8 ?? ?? ?? ?? 59 8B D8 8B 83 74 04 00 00 8B 40 10 33 D2 E8 ?? ?? ?? ?? 8B 83 74 04 00 00 8B 40 14 B2 01 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 00 00 59 40 6A 00 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 08 03 00 00 BA 2D 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92239_0 {
	meta:
		name = "TFormTee3D.CBClipPointsClick"
		size = 53
		refs = "000e _Dn_TCustomAxisPanel 0013 @IsClass 002e TCustomAxisPanel.SetClipPoints"
	strings:
		$1 = { 53 56 8B D8 8B B3 3C 04 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B 83 08 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92240_0 {
	meta:
		name = "TFormTee3D.ETextSizeChange"
		size = 53
		refs = "001c TCustomUpDown.GetPosition 002f TView3DOptions.SetFontZoom"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 27 80 BB 39 04 00 00 00 75 1E 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 3C 04 00 00 8B 80 08 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92241_0 {
	meta:
		name = "TFormTee3D.ChartGalleryPanel1ChangeChart"
		size = 12
		refs = "0007 TFormTee3D.SetGallery3DPanel"
	strings:
		$1 = { 8B 90 3C 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92242_0 {
	meta:
		name = "TFormTee3D.PageControl1Change"
		size = 100
		refs = "002c TFormTee3D.CreateViewsGallery 0039 TFormTee3D.Select3DPanel 0055 TFormTee3D.AddRenderClasses 005e TFormTee3D.RefreshOptions"
	strings:
		$1 = { 53 8B D8 8B 83 90 03 00 00 8B 80 DC 02 00 00 3B 83 98 03 00 00 75 28 8B 83 14 04 00 00 8B 80 98 02 00 00 83 78 08 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 93 3C 04 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 8B 93 18 04 00 00 3B C2 75 12 80 BA 80 02 00 00 00 74 10 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92243_0 {
	meta:
		name = "TFormTee3D.LBRenderClick"
		size = 176
		refs = "002d TeeRenderClasses 0034 TList.Get 004f Screen 005a TScreen.SetCursor 0062 TFormTee3D.LBRenderClick 007e TCustomTeePanel.SetInternalCanvas 0085 TFormTee3D.ShowCanvasEditor 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 83 1C 04 00 00 8B 10 FF 92 F8 00 00 00 40 0F 84 90 00 00 00 8B 83 1C 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F0 8B 93 3C 04 00 00 8B 92 40 03 00 00 8B 12 89 D0 3B C6 74 5E A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 8B C6 FF 90 04 01 00 00 8B 93 3C 04 00 00 92 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 5D C3 }
	condition:
		$1
}

rule function_92244_0 {
	meta:
		name = "TFormTee3D.ShowCanvasEditor"
		size = 332
		refs = "000d TFormTee3D.ShowCanvasEditor 0029 TWinControl.GetControl 004a TControl.Hide 005e TObject.Free 0069 TWinControl.GetControlCount 008c GetClass 00a2 TControl.SetAlign 00a9 TeeTranslateControl 00c2 AddFormTo 00d6 _Dn_TTeeCanvas3D 00db @IsClass 00fe TControl.Show 013b @UStrClr 0141 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 83 39 04 00 00 01 EB 42 33 D2 8B 83 20 04 00 00 E8 ?? ?? ?? ?? 8B B3 24 04 00 00 3B C6 75 19 33 D2 8B C6 8B 08 FF 91 84 00 00 00 8B 83 24 04 00 00 E8 ?? ?? ?? ?? EB 12 33 D2 8B 83 20 04 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 20 04 00 00 E8 ?? ?? ?? ?? 85 C0 7F AF 8D 55 FC 8B 83 3C 04 00 00 8B 80 40 03 00 00 8B 00 FF 90 0C 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 34 8B CB B2 01 FF 50 38 8B F0 B2 05 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 83 3C 04 00 00 8B 88 40 03 00 00 8B 93 20 04 00 00 8B C6 E8 ?? ?? ?? ?? EB 5B 8B 83 3C 04 00 00 8B 80 40 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 40 8B 93 20 04 00 00 8B 83 24 04 00 00 8B 08 FF 91 84 00 00 00 8B 83 24 04 00 00 E8 ?? ?? ?? ?? 8B 83 3C 04 00 00 8B 80 40 03 00 00 8B 10 FF 52 28 8B D0 8B 83 28 04 00 00 8B 08 FF 91 FC 00 00 00 C6 83 39 04 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92245_0 {
	meta:
		name = "TFormTee3D.CBBufferedClick"
		size = 61
	strings:
		$1 = { 53 8B D8 80 BB 39 04 00 00 00 75 2F 8B 83 28 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 3C 04 00 00 8B 80 40 03 00 00 8B 08 FF 51 4C 8B 83 3C 04 00 00 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92246_0 {
	meta:
		name = "TFormTee3D.CBZoomTextChange"
		size = 98
		refs = "0020 TView3DOptions.SetZoomText"
	strings:
		$1 = { 53 8B D8 8B 83 30 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 3C 04 00 00 8B 80 08 03 00 00 E8 ?? ?? ?? ?? 8B 83 3C 04 00 00 8B 80 08 03 00 00 80 78 58 00 0F 94 C2 8B 83 0C 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 0C 04 00 00 8B 10 FF 52 68 8B D0 8B 83 10 04 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92249_0 {
	meta:
		name = "TeeAddAxes"
		size = 250
		refs = "0017 TeeAddAxes 002a TeeMsg_LeftAxis 0039 TeeMsg_RightAxis 0048 TeeMsg_TopAxis 0057 TeeMsg_BottomAxis 006c TeeMsg_DepthAxis 007b TeeMsg_DepthTopAxis 00ac IntToStr 00b5 TeeMsg_CustomAxesEditor 00bf @UStrCat3 00e7 @UStrArrayClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 88 4D FF 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 44 8B 15 ?? ?? ?? ?? 8B 12 8B C3 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B C3 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B C3 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B C3 8B 08 FF 51 38 80 7D FF 00 74 1E 8B 15 ?? ?? ?? ?? 8B 12 8B C3 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B C3 8B 08 FF 51 38 85 F6 74 45 8B 86 A8 03 00 00 8B 40 08 48 83 E8 06 7C 36 40 89 C6 BF 06 00 00 00 8D 55 F4 8B C7 83 E8 06 E8 ?? ?? ?? ?? 8B 4D F4 8B 15 ?? ?? ?? ?? 8B 12 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 38 47 4E 75 D2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92250_0 {
	meta:
		name = "TFormTeeAxis.CreateAxis"
		size = 82
		refs = "000d @ClassCreate 0021 TCustomForm.Create 003c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 C6 86 C8 05 00 00 01 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 C9 05 00 00 00 8B 45 08 89 86 D4 05 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_92251_0 {
	meta:
		name = "TFormTeeAxis.SetAxisIndex"
		size = 204
		refs = "00b7 TList.IndexOf"
	strings:
		$1 = { 53 56 57 55 8B D8 8B BB D4 05 00 00 8B B7 BC 00 00 00 8B AB B4 04 00 00 3B BE C8 03 00 00 75 11 33 D2 8B C5 8B 08 FF 91 FC 00 00 00 E9 96 00 00 00 3B BE CC 03 00 00 75 11 BA 01 00 00 00 8B C5 8B 08 FF 91 FC 00 00 00 EB 7D 3B BE C0 03 00 00 75 11 BA 02 00 00 00 8B C5 8B 08 FF 91 FC 00 00 00 EB 64 3B BE C4 03 00 00 75 11 BA 03 00 00 00 8B C5 8B 08 FF 91 FC 00 00 00 EB 4B 3B BE B8 03 00 00 75 11 BA 04 00 00 00 8B C5 8B 08 FF 91 FC 00 00 00 EB 32 3B BE BC 03 00 00 75 11 BA 05 00 00 00 8B C5 8B 08 FF 91 FC 00 00 00 EB 19 8B D7 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C5 8B 08 FF 91 FC 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92252_0 {
	meta:
		name = "TFormTeeAxis.FormShow"
		size = 222
		refs = "0028 TTabSheet.SetTabVisible 0047 TeeAddAxes 004e TFormTeeAxis.SetAxisIndex 0065 TChartAxes.GetVisible 008c TChartAxes.GetBehind 00ad TPageControl.SetActivePage 00d8 TFormTeeAxis.PageAxisChange"
	strings:
		$1 = { 53 8B D8 8B 83 D4 05 00 00 85 C0 0F 84 CB 00 00 00 8B 80 BC 00 00 00 F6 40 1C 10 0F 95 C2 80 F2 01 8B 83 9C 05 00 00 E8 ?? ?? ?? ?? 8B 83 B4 04 00 00 8B 90 88 02 00 00 8B 83 D4 05 00 00 8B 80 BC 00 00 00 B1 01 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 D4 05 00 00 8B 80 BC 00 00 00 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 A8 04 00 00 8B 08 FF 91 FC 00 00 00 8B 83 D4 05 00 00 8B 80 BC 00 00 00 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 AC 04 00 00 8B 08 FF 91 FC 00 00 00 8B 93 94 03 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B 93 40 04 00 00 8B 83 3C 04 00 00 E8 ?? ?? ?? ?? 8B 93 14 04 00 00 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92253_0 {
	meta:
		name = "TFormTeeAxis.CBVisibleClick"
		size = 32
		refs = "001a TChartAxis.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 64 05 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92254_0 {
	meta:
		name = "TFormTeeAxis.SEAxisTickLengthChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TChartAxis.SetTickLength"
	strings:
		$1 = { 53 8B D8 80 BB C8 05 00 00 00 75 18 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92255_0 {
	meta:
		name = "TFormTeeAxis.CBAutomaticClick"
		size = 85
		refs = "0026 TChartAxis.SetAutomatic 0033 TChartAxis.AdjustMaxMin 003e TChartAxis.SetAutomaticMaximum 0047 TChartAxis.SetAutomaticMinimum 004e TFormTeeAxis.SetAxisScales"
	strings:
		$1 = { 53 56 8B D8 80 BB C9 05 00 00 00 75 45 8B B3 D4 05 00 00 8B 83 5C 05 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 80 7E 0C 00 74 09 8B C6 E8 ?? ?? ?? ?? EB 12 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92256_0 {
	meta:
		name = "TFormTeeAxis.ETitleChange"
		size = 90
		refs = "000c TFormTeeAxis.ETitleChange 0020 TControl.GetText 002f TChartAxis.GetAxisTitle 0035 TChartAxisTitle.SetCaption 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 1C 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92257_0 {
	meta:
		name = "TFormTeeAxis.EditAxisMaxMin"
		size = 412
		refs = "0020 TFormTeeAxis.EditAxisMaxMin 002f _Dn_TAxisMaxMin 0034 TCustomForm.Create 005f _Dn_TCustomChart 0064 @AsClass 006e TCustomChart.AxisTitleOrName 007e @UStrCatN 0089 TControl.SetText 0094 TChartAxis.IsDateTime 00e1 TeeTranslateControl 010d TChartAxis.SetMaximum 0129 TChartAxis.SetMinimum 013d TFormTeeAxis.SetAxisScales 0152 TObject.Free 0158 @HandleFinally 0174 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 5D EC 89 4D F8 89 55 FC 8B F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 FC 68 ?? ?? ?? ?? 8B B7 D4 05 00 00 8B 86 BC 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EC 8B D6 E8 ?? ?? ?? ?? FF 75 EC 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 87 D4 05 00 00 E8 ?? ?? ?? ?? 8B 55 F4 88 82 A8 03 00 00 84 DB 74 1D 8B 45 F4 8B 97 D4 05 00 00 8B 4A 18 89 88 B0 03 00 00 8B 4A 1C 89 88 B4 03 00 00 EB 1B 8B 45 F4 8B 97 D4 05 00 00 8B 4A 20 89 88 B0 03 00 00 8B 4A 24 89 88 B4 03 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 92 20 01 00 00 48 75 4E 84 DB 74 1C 8B 45 F4 FF B0 B4 03 00 00 FF B0 B0 03 00 00 8B 87 D4 05 00 00 E8 ?? ?? ?? ?? EB 1A 8B 45 F4 FF B0 B4 03 00 00 FF B0 B0 03 00 00 8B 87 D4 05 00 00 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 91 FC 00 00 00 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_92258_0 {
	meta:
		name = "TFormTeeAxis.BAxisMaxClick"
		size = 22
		refs = "0004 TeeMsg_Maximum 0011 TFormTeeAxis.EditAxisMaxMin"
	strings:
		$1 = { 6A 01 8B 15 ?? ?? ?? ?? 8B 12 8B 88 D0 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92259_0 {
	meta:
		name = "TFormTeeAxis.BAxisMinClick"
		size = 22
		refs = "0004 TeeMsg_Minimum 0011 TFormTeeAxis.EditAxisMaxMin"
	strings:
		$1 = { 6A 00 8B 15 ?? ?? ?? ?? 8B 12 8B 88 DC 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92260_0 {
	meta:
		name = "TFormTeeAxis.BIncreClick"
		size = 34
		refs = "000c _Dn_TAxisIncrement 0011 TAxisIncrement.ChangeIncrement 001c TFormTeeAxis.SetAxisScales"
	strings:
		$1 = { 53 8B D8 8B 8B D4 05 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92261_0 {
	meta:
		name = "TFormTeeAxis.CBLogarithmicClick"
		size = 178
		refs = "000e TFormTeeAxis.CBLogarithmicClick 0043 TChartAxis.SetLogarithmic 0052 @HandleOnException 005a _Dn_AxisException 0086 @RaiseAgain 008b @DoneExcept 00a0 TFormTeeAxis.EnableLogBaseControls 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 60 05 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 45 FC 8B 80 D4 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3E E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 80 D4 05 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 60 05 00 00 33 D2 8B 08 FF 91 FC 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92262_0 {
	meta:
		name = "TFormTeeAxis.EnableLogBaseControls"
		size = 85
	strings:
		$1 = { 53 8B D8 8B 83 60 05 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 0F 8B 83 60 05 00 00 8B 10 FF 52 68 84 C0 75 04 33 D2 EB 02 B2 01 8B 83 70 05 00 00 8B 08 FF 91 80 00 00 00 8B 83 70 05 00 00 8B 10 FF 52 68 8B D0 8B 83 74 05 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92263_0 {
	meta:
		name = "TFormTeeAxis.SEInnerTicksLengthChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TChartAxis.SetTickInnerLength"
	strings:
		$1 = { 53 8B D8 80 BB C8 05 00 00 00 75 18 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92264_0 {
	meta:
		name = "TFormTeeAxis.SEAxisMinorTickLenChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TChartAxis.SetMinorTickLength"
	strings:
		$1 = { 53 8B D8 80 BB C8 05 00 00 00 75 18 8B 83 24 05 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92265_0 {
	meta:
		name = "TFormTeeAxis.SEMinorCountChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TChartAxis.SetMinorTickCount"
	strings:
		$1 = { 53 8B D8 80 BB C8 05 00 00 00 75 18 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92266_0 {
	meta:
		name = "TFormTeeAxis.CBAutoMaxClick"
		size = 160
		refs = "0031 TChartAxis.SetAutomaticMaximum 0068 TChartAxis.SetAutomaticMinimum 0091 TChartAxis.AdjustMaxMin 0098 TFormTeeAxis.SetAxisScales"
	strings:
		$1 = { 53 56 57 8B D8 80 BB C9 05 00 00 00 0F 85 8A 00 00 00 8B B3 D4 05 00 00 8B BB D0 04 00 00 3B D7 75 33 8B C7 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 D0 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 80 05 00 00 8B 08 FF 91 80 00 00 00 EB 35 8B 83 DC 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 DC 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 7C 05 00 00 8B 08 FF 91 80 00 00 00 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92267_0 {
	meta:
		name = "TFormTeeAxis.CBInvertedClick"
		size = 32
	strings:
		$1 = { 53 8B D8 8B 83 68 05 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 8B 08 FF 51 24 5B C3 }
	condition:
		$1
}

rule function_92268_0 {
	meta:
		name = "TFormTeeAxis.SETitleAngleChange"
		size = 43
		refs = "0013 TCustomUpDown.GetPosition 001f TChartAxis.GetAxisTitle 0025 TChartAxisTitle.SetAngle"
	strings:
		$1 = { 53 8B D8 80 BB C8 05 00 00 00 75 1D 8B 83 28 04 00 00 E8 ?? ?? ?? ?? 50 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92269_0 {
	meta:
		name = "TFormTeeAxis.SETitleSizeChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TChartAxis.SetTitleSize"
	strings:
		$1 = { 53 8B D8 80 BB C8 05 00 00 00 75 18 8B 83 34 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92270_0 {
	meta:
		name = "TFormTeeAxis.CBLabelsClick"
		size = 32
		refs = "001a TChartAxis.SetLabels"
	strings:
		$1 = { 53 8B D8 8B 83 44 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92271_0 {
	meta:
		name = "TFormTeeAxis.SELabelsAngleChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TChartAxis.SetLabelsAngle"
	strings:
		$1 = { 53 8B D8 80 BB C8 05 00 00 00 75 18 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92272_0 {
	meta:
		name = "TFormTeeAxis.RGLabelStyleClick"
		size = 32
		refs = "001a TChartAxis.SetLabelStyle"
	strings:
		$1 = { 53 8B D8 8B 83 0C 05 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92273_0 {
	meta:
		name = "TFormTeeAxis.SELabelsSizeChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TChartAxis.SetLabelsSize"
	strings:
		$1 = { 53 8B D8 80 BB C8 05 00 00 00 75 18 8B 83 68 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92274_0 {
	meta:
		name = "TFormTeeAxis.CBOnAxisClick"
		size = 32
		refs = "001a TChartAxis.SetLabelsOnAxis"
	strings:
		$1 = { 53 8B D8 8B 83 4C 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92275_0 {
	meta:
		name = "TFormTeeAxis.SESeparChange"
		size = 65
		refs = "0013 TCustomUpDown.GetPosition 0020 TChartAxis.SetLabelsSeparation"
	strings:
		$1 = { 53 8B D8 80 BB C8 05 00 00 00 75 33 8B 83 74 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 8B 83 D4 05 00 00 83 78 74 00 0F 94 C2 8B 83 78 05 00 00 8B 08 FF 91 FC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92276_0 {
	meta:
		name = "TFormTeeAxis.CBRoundFirstClick"
		size = 32
		refs = "001a TChartAxis.SetRoundFirstLabel"
	strings:
		$1 = { 53 8B D8 8B 83 50 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92277_0 {
	meta:
		name = "TFormTeeAxis.CBTickOnLabelsClick"
		size = 32
		refs = "001a TChartAxis.SetTickOnLabelsOnly"
	strings:
		$1 = { 53 8B D8 8B 83 C0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92278_0 {
	meta:
		name = "TFormTeeAxis.CBGridCenteredClick"
		size = 35
		refs = "001d TAxisGridPen.SetCentered"
	strings:
		$1 = { 53 8B D8 8B 83 38 05 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 8B 40 60 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92279_0 {
	meta:
		name = "TFormTeeAxis.CBMultilineClick"
		size = 32
		refs = "001a TChartAxis.SetLabelsMultiLine"
	strings:
		$1 = { 53 8B D8 8B 83 48 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92280_0 {
	meta:
		name = "TFormTeeAxis.SetAxisScales"
		size = 939
		refs = "0034 TFormTeeAxis.SetAxisScales 005b TChartAxis.IsDateTime 006b GetIncrementText 007c TControl.SetText 0093 DTMinValue 00a3 DtMaxValue 00c5 CurrencyString 00ca DateTimeToStr 00f9 TimeToStr 0196 @UStrLAsg 01b9 FormatFloat 0251 TCustomUpDown.SetPosition 02e9 Exp 0320 FloatToStr 0335 TFormTeeAxis.EnableLogBaseControls 038c @UStrClr 0399 @UStrArrayClr 039f @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 7C FF FF FF 53 56 33 D2 89 95 7C FF FF FF 89 55 FC 89 55 F8 89 55 F4 89 55 F0 89 55 EC 89 55 E8 89 55 E4 89 55 E0 89 55 DC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 9E D4 05 00 00 FF 73 14 FF 73 10 8B 83 84 00 00 00 50 8D 85 7C FF FF FF 50 8B C3 E8 ?? ?? ?? ?? 8B D0 0F B6 8B 8C 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B 86 54 05 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 FD 00 00 00 DD 43 20 A1 ?? ?? ?? ?? DC 18 9B DF E0 9E 76 3F DD 43 20 A1 ?? ?? ?? ?? DC 18 9B DF E0 9E 73 2F 8B 43 20 89 45 D0 8B 43 24 89 45 D4 FF 75 D4 FF 75 D0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 86 E4 04 00 00 E8 ?? ?? ?? ?? EB 2D 8B 43 20 89 45 C8 8B 43 24 89 45 CC FF 75 CC FF 75 C8 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 86 E4 04 00 00 E8 ?? ?? ?? ?? DD 43 18 A1 ?? ?? ?? ?? DC 18 9B DF E0 9E 76 42 DD 43 18 A1 ?? ?? ?? ?? DC 18 9B DF E0 9E 73 32 8B 43 18 89 45 C0 8B 43 1C 89 45 C4 FF 75 C4 FF 75 C0 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 86 D8 04 00 00 E8 ?? ?? ?? ?? E9 AD 00 00 00 8B 43 18 89 45 B8 8B 43 1C 89 45 BC FF 75 BC FF 75 B8 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 86 D8 04 00 00 E8 ?? ?? ?? ?? EB 7E 8D 45 EC 8B 93 84 00 00 00 E8 ?? ?? ?? ?? DD 43 20 DB 7D A0 9B 0F B7 45 A8 50 FF 75 A4 FF 75 A0 8D 4D E8 8B 15 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E8 8B 86 E4 04 00 00 E8 ?? ?? ?? ?? 8D 45 E4 8B 93 84 00 00 00 E8 ?? ?? ?? ?? DD 43 18 DB 7D 90 9B 0F B7 45 98 50 FF 75 94 FF 75 90 8D 4D E0 8B 15 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 E0 8B 86 D8 04 00 00 E8 ?? ?? ?? ?? C6 86 C9 05 00 00 01 0F B6 53 0C 8B 86 5C 05 00 00 8B 08 FF 91 FC 00 00 00 0F B6 53 0D 8B 86 D0 04 00 00 8B 08 FF 91 FC 00 00 00 0F B6 53 0E 8B 86 DC 04 00 00 8B 08 FF 91 FC 00 00 00 8B 53 38 8B 86 FC 04 00 00 E8 ?? ?? ?? ?? 8B 53 3C 8B 86 F0 04 00 00 E8 ?? ?? ?? ?? 0F B6 53 40 8B 86 80 05 00 00 8B 08 FF 91 FC 00 00 00 0F B6 53 41 8B 86 7C 05 00 00 8B 08 FF 91 FC 00 00 00 0F B6 53 0D 8B 86 80 05 00 00 8B 08 FF 91 80 00 00 00 0F B6 53 0E 8B 86 7C 05 00 00 8B 08 FF 91 80 00 00 00 C6 86 C9 05 00 00 00 0F B6 53 28 8B 86 60 05 00 00 8B 08 FF 91 FC 00 00 00 0F B6 93 0C 01 00 00 80 F2 01 8B 86 60 05 00 00 8B 08 FF 91 80 00 00 00 68 FF 3F 00 00 68 00 00 00 80 6A 00 E8 ?? ?? ?? ?? DC 5B 30 9B DF E0 9E 0F 94 C2 8B 86 74 05 00 00 8B 08 FF 91 FC 00 00 00 DD 43 30 DB 7D 80 9B 0F B7 45 88 50 FF 75 84 FF 75 80 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 86 70 05 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 93 B8 00 00 00 8B 86 68 05 00 00 8B 08 FF 91 FC 00 00 00 0F B6 93 C0 00 00 00 8B 86 64 05 00 00 8B 08 FF 91 FC 00 00 00 83 7B 74 00 0F 94 C2 8B 86 78 05 00 00 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92281_0 {
	meta:
		name = "SetAxisLabels"
		size = 1092
		refs = "0014 SetAxisLabels 0088 TCustomUpDown.SetPosition 0115 TChartAxis.IsDateTime 0143 CurrencyString 01fd TeeMsg_DateTimeFormat 020c TControl.SetText 021a @UStrLAsg 0235 DateTimeDefaultFormat 024a _Dn_TFormatEditor 024f TFormatEditor.AddDefaultFormats 0255 TeeMsg_ValuesFormat 0281 TeeMsg_DefValueFormat 0293 DelphiToLocalFormat 02ed TTeeFontEditor.RefreshControls 0307 @UStrArrayClr 030d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 7D 08 83 C7 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 8B B0 D4 05 00 00 8B 46 6C 8B 40 14 0F B6 50 10 8B 07 8B 80 44 04 00 00 8B 08 FF 91 FC 00 00 00 0F B6 56 7C 8B 07 8B 80 0C 05 00 00 8B 08 FF 91 FC 00 00 00 8B 07 8B 80 4C 04 00 00 0F B6 56 70 8B 08 FF 91 FC 00 00 00 8B 07 8B 80 50 04 00 00 0F B6 56 7F 8B 08 FF 91 FC 00 00 00 8B 07 8B 80 64 04 00 00 8B 56 68 E8 ?? ?? ?? ?? 8B 07 8B 80 74 04 00 00 8B 56 74 E8 ?? ?? ?? ?? 8B 07 8B 80 68 04 00 00 8B 56 78 E8 ?? ?? ?? ?? 8B 07 8B 80 48 04 00 00 0F B6 56 7E 8B 08 FF 91 FC 00 00 00 8B 07 8B 80 8C 04 00 00 0F B6 56 7D 8B 08 FF 91 FC 00 00 00 8B 07 8B 80 88 04 00 00 8B 80 B4 02 00 00 8B 10 FF 52 44 8B 07 8B 80 10 05 00 00 0F B6 56 65 8B 08 FF 91 FC 00 00 00 8B 07 8B 80 98 05 00 00 0F B6 96 8D 00 00 00 8B 08 FF 91 FC 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 1A 01 00 00 8B 07 8B 80 88 04 00 00 8B 98 B4 02 00 00 DD 46 18 DC 66 20 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 46 8B 15 ?? ?? ?? ?? 8B 52 1C 8B C3 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 52 20 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 EB 74 8B 15 ?? ?? ?? ?? 8B 52 0C 8B C3 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 52 10 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 07 8B 80 84 04 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 96 88 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 7E DD 46 18 DC 66 20 83 C4 F8 DD 1C 24 9B 8D 45 FC E8 ?? ?? ?? ?? EB 67 8B 07 8B 80 88 04 00 00 8B 90 B4 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 07 8B 80 84 04 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 96 84 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 10 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 07 8B 80 88 04 00 00 8B 98 B4 02 00 00 8B 55 FC 8B C3 8B 08 FF 51 54 40 75 0A 8B 55 FC 8B C3 8B 08 FF 51 38 8B 07 8B 80 88 04 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 07 8B 80 CC 05 00 00 85 C0 74 0E 8B 56 6C 8B 52 14 8B 52 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 00 80 3F B0 04 02 00 FF FF FF FF 05 00 00 00 68 00 68 00 3A 00 6E 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 68 00 68 00 3A 00 6E 00 6E 00 3A 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 68 00 68 00 3A 00 6E 00 6E 00 3A 00 73 00 73 00 2E 00 7A 00 7A 00 7A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 79 00 79 00 79 00 79 00 2D 00 6D 00 6D 00 2D 00 64 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6D 00 6D 00 2D 00 64 00 64 00 2D 00 79 00 79 00 79 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 64 00 64 00 2D 00 6D 00 6D 00 2D 00 79 00 79 00 79 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 64 00 64 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 64 00 64 00 64 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6D 00 6D 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6D 00 6D 00 6D 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_92282_0 {
	meta:
		name = "SetAxisTicks"
		size = 122
		refs = "0022 TCustomUpDown.SetPosition"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 83 C6 FC 8B 06 8B 98 D4 05 00 00 8B 06 8B 80 C8 03 00 00 8B 93 AC 00 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 C4 03 00 00 8B 93 A8 00 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 C0 03 00 00 0F B6 93 B0 00 00 00 8B 08 FF 91 FC 00 00 00 8B 06 8B 80 24 05 00 00 8B 93 98 00 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 94 05 00 00 8B 93 94 00 00 00 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_92283_0 {
	meta:
		name = "SetAxisGrids"
		size = 122
		refs = "0032 @ROUND 0045 TCustomUpDown.SetPosition"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 98 D4 05 00 00 8B 43 60 0F B6 50 30 8B 45 08 8B 40 FC 8B 80 38 05 00 00 8B 08 FF 91 FC 00 00 00 8B 43 60 DD 40 38 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 80 34 05 00 00 E8 ?? ?? ?? ?? 8B 43 60 8B 50 34 8B 45 08 8B 40 FC 8B 80 44 05 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 00 04 00 00 8B 93 94 00 00 00 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_92284_0 {
	meta:
		name = "SetAxisTitle"
		size = 142
		refs = "0017 TChartAxis.GetAxisTitle 0027 TControl.SetText 003e TCustomUpDown.SetPosition 0085 TFormTeeShape.RefreshControls"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 08 83 C7 FC 8B 07 8B 98 D4 05 00 00 8B C3 E8 ?? ?? ?? ?? 8B 50 58 8B 07 8B 80 1C 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 50 54 8B 07 8B 80 28 04 00 00 E8 ?? ?? ?? ?? 8B 07 8B 80 34 04 00 00 8B 53 58 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 50 10 8B 07 8B 80 38 04 00 00 8B 08 FF 91 FC 00 00 00 8B 07 8B B0 D0 05 00 00 85 F6 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_92285_0 {
	meta:
		name = "SetAxisPositions"
		size = 329
		refs = "001a @ROUND 0029 TCustomUpDown.SetPosition"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 83 C6 FC 8B 06 8B 98 D4 05 00 00 DD 83 D8 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 06 8B 80 E8 03 00 00 E8 ?? ?? ?? ?? DD 83 C8 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 06 8B 80 EC 03 00 00 E8 ?? ?? ?? ?? DD 83 D0 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 06 8B 80 F0 03 00 00 E8 ?? ?? ?? ?? DD 43 50 E8 ?? ?? ?? ?? 8B D0 8B 06 8B 80 C0 04 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 D4 05 00 00 0F B6 90 E0 00 00 00 8B 06 8B 80 04 05 00 00 8B 08 FF 91 FC 00 00 00 8B 06 8B 80 08 04 00 00 0F B6 93 BA 00 00 00 8B 08 FF 91 FC 00 00 00 8B 06 8B 80 B4 04 00 00 8B 10 FF 92 F8 00 00 00 83 F8 06 0F 9D C2 8B 06 8B 80 08 04 00 00 8B 08 FF 91 80 00 00 00 8B 06 8B 80 0C 04 00 00 0F B6 93 B9 00 00 00 8B 08 FF 91 FC 00 00 00 8B 06 8B 80 B4 04 00 00 8B 10 FF 92 F8 00 00 00 83 F8 06 0F 9D C2 8B 06 8B 80 0C 04 00 00 8B 08 FF 91 80 00 00 00 0F B6 93 0C 01 00 00 80 F2 01 8B 06 8B 80 C0 04 00 00 8B 08 FF 91 80 00 00 00 0F B6 93 0C 01 00 00 80 F2 01 8B 06 8B 80 BC 04 00 00 8B 08 FF 91 80 00 00 00 5E 5B 5D C3 }
	condition:
		$1
}

rule function_92286_0 {
	meta:
		name = "SetAxisItems"
		size = 262
		refs = "0051 TFormTeeAxis.CBItemsAutoClick 0074 TAxisItems.Get 00d4 TFormTeeAxis.ListItemsClick 00e9 TControl.SetText"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC 8B 80 A0 05 00 00 8B 80 88 02 00 00 8B 10 FF 52 44 8B 45 08 8B 40 FC 8B 80 D4 05 00 00 8B 40 6C 0F B6 50 10 8B 45 08 8B 40 FC 8B 80 B8 05 00 00 8B 08 FF 91 FC 00 00 00 8B 45 08 8B 50 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 D4 05 00 00 8B 78 6C 8B 5F 08 4B 85 DB 7C 2A 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 50 0C 8B 45 08 8B 40 FC 8B 80 A0 05 00 00 8B 80 88 02 00 00 8B 08 FF 51 38 46 4B 75 D9 8B 45 08 8B 40 FC 8B 80 A0 05 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 7E 29 8B 45 08 8B 40 FC 8B 80 A0 05 00 00 33 D2 8B 08 FF 91 FC 00 00 00 8B 45 08 8B 50 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? EB 27 8B 45 08 8B 40 FC 8B 80 AC 05 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 C4 05 00 00 8B 10 FF 92 14 01 00 00 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_92287_0 {
	meta:
		name = "TFormTeeAxis.PageAxisChange"
		size = 447
		refs = "002a TButtonPen.LinkPen 00a6 SetAxisLabels 00ba TFormTeeAxis.SetAxisScales 00cc SetAxisTitle 00df SetAxisTicks 00f2 SetAxisGrids 0105 SetAxisPositions 0118 SetAxisItems"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8D 75 FC 8B 06 8B 80 D4 05 00 00 85 C0 0F 84 9E 01 00 00 8B D8 8B 06 8B 80 28 05 00 00 8B 53 60 E8 ?? ?? ?? ?? 8B 06 8B 80 18 05 00 00 8B 93 9C 00 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 B4 03 00 00 8B 93 A4 00 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 B0 03 00 00 8B 93 A0 00 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 AC 03 00 00 8B 53 44 E8 ?? ?? ?? ?? 8B 06 8B 80 04 04 00 00 8B 93 90 00 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 90 03 00 00 8B 0E 8B 89 9C 03 00 00 8B 90 DC 02 00 00 3B CA 75 09 55 E8 ?? ?? ?? ?? 59 EB 70 8B 0E 3B 91 94 03 00 00 75 09 8B 06 E8 ?? ?? ?? ?? EB 5D 8B 0E 3B 91 98 03 00 00 75 09 55 E8 ?? ?? ?? ?? 59 EB 4A 8B 0E 3B 91 A0 03 00 00 75 09 55 E8 ?? ?? ?? ?? 59 EB 37 8B 0E 3B 91 F4 03 00 00 75 09 55 E8 ?? ?? ?? ?? 59 EB 24 8B 0E 3B 91 CC 03 00 00 75 09 55 E8 ?? ?? ?? ?? 59 EB 11 8B 06 3B 90 9C 05 00 00 75 07 55 E8 ?? ?? ?? ?? 59 8B 06 8B 80 B4 04 00 00 8B 10 FF 92 F8 00 00 00 83 F8 06 0F 9D C2 8B 06 8B 80 A0 04 00 00 8B 08 FF 91 80 00 00 00 8B 06 8B 80 D4 05 00 00 0F B6 90 C0 00 00 00 8B 06 8B 80 64 05 00 00 8B 08 FF 91 FC 00 00 00 8B 06 8B 80 D4 05 00 00 80 78 64 00 0F 94 C2 8B 06 8B 80 90 04 00 00 8B 08 FF 91 FC 00 00 00 8B 06 8B 80 D4 05 00 00 80 B8 B9 00 00 00 00 75 09 80 B8 0C 01 00 00 00 74 04 33 D2 EB 02 B2 01 8B 06 8B 80 90 04 00 00 8B 08 FF 91 80 00 00 00 8B 06 C6 80 C8 05 00 00 00 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92288_0 {
	meta:
		name = "TFormTeeAxis.CBShowClick"
		size = 44
		refs = "0026 TChartAxes.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 A8 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 8B 80 BC 00 00 00 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92289_0 {
	meta:
		name = "TFormTeeAxis.FormCreate"
		size = 72
		refs = "000c TControl.SetVisible 0026 TPageControl.SetActivePageIndex 003b TTabSheet.SetTabVisible"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 9C 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 A0 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 90 03 00 00 E8 ?? ?? ?? ?? F6 43 1C 10 0F 95 C2 80 F2 01 8B 83 9C 05 00 00 E8 ?? ?? ?? ?? C6 83 C8 05 00 00 01 5B C3 }
	condition:
		$1
}

rule function_92290_0 {
	meta:
		name = "TFormTeeAxis.PageAxisChanging"
		size = 8
	strings:
		$1 = { C6 80 C8 05 00 00 01 C3 }
	condition:
		$1
}

rule function_92291_0 {
	meta:
		name = "TFormTeeAxis.EPosChange"
		size = 51
		refs = "0014 TCustomUpDown.GetPosition 002c TChartAxis.SetPositionPercent"
	strings:
		$1 = { 53 51 8B D8 80 BB C8 05 00 00 00 75 23 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 83 C4 F8 DD 1C 24 9B 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_92292_0 {
	meta:
		name = "TFormTeeAxis.EStartChange"
		size = 110
		refs = "0015 TCustomUpDown.GetPosition 004c TChartAxis.SetStartPosition 0059 @ROUND 0066 TCustomUpDown.SetPosition"
	strings:
		$1 = { 53 56 51 8B D8 80 BB C8 05 00 00 00 75 5C 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 8B B3 D4 05 00 00 DC 9E D0 00 00 00 9B DF E0 9E 73 21 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? EB 18 DD 86 C8 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_92293_0 {
	meta:
		name = "TFormTeeAxis.EEndChange"
		size = 110
		refs = "0015 TCustomUpDown.GetPosition 004c TChartAxis.SetEndPosition 0059 @ROUND 0066 TCustomUpDown.SetPosition"
	strings:
		$1 = { 53 56 51 8B D8 80 BB C8 05 00 00 00 75 5C 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 8B B3 D4 05 00 00 DC 9E C8 00 00 00 9B DF E0 9E 76 21 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? EB 18 DD 86 D0 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_92294_0 {
	meta:
		name = "TFormTeeAxis.LBAxesClick"
		size = 202
		refs = "0026 TFormTeeAxis.LBAxesClick 00ad TChartAxes.Get 00c3 TFormTeeAxis.PageAxisChange"
	strings:
		$1 = { 53 56 8B D8 8B 83 D4 05 00 00 8B B0 BC 00 00 00 8B 83 B4 04 00 00 8B 10 FF 92 F8 00 00 00 83 F8 05 77 73 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 86 C8 03 00 00 89 83 D4 05 00 00 EB 67 8B 86 CC 03 00 00 89 83 D4 05 00 00 EB 59 8B 86 C0 03 00 00 89 83 D4 05 00 00 EB 4B 8B 86 C4 03 00 00 89 83 D4 05 00 00 EB 3D 8B 86 B8 03 00 00 89 83 D4 05 00 00 EB 2F 8B 86 BC 03 00 00 89 83 D4 05 00 00 EB 21 8B 83 B4 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 89 83 D4 05 00 00 C6 83 C8 05 00 00 01 8B D3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92295_0 {
	meta:
		name = "TFormTeeAxis.BAddClick"
		size = 86
		refs = "0019 _Dn_TChartAxis 001e TChartAxis.Create 003f TeeAddAxes 0046 TFormTeeAxis.SetAxisIndex 004f TFormTeeAxis.PageAxisChange"
	strings:
		$1 = { 53 56 8B D8 8B 83 D4 05 00 00 8B 80 BC 00 00 00 8B 88 B0 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 D4 05 00 00 8B 83 B4 04 00 00 8B 90 88 02 00 00 8B 86 BC 00 00 00 B1 01 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92296_0 {
	meta:
		name = "TFormTeeAxis.CBOtherSideClick"
		size = 32
		refs = "001a TChartAxis.SetOtherSide"
	strings:
		$1 = { 53 8B D8 8B 83 08 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92297_0 {
	meta:
		name = "TFormTeeAxis.BDeleteClick"
		size = 73
		refs = "000c TObject.Free 0041 TFormTeeAxis.LBAxesClick"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 8B B3 B4 04 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B F8 8B D7 8B 86 88 02 00 00 8B 08 FF 51 48 8B D7 4A 8B C6 8B 08 FF 91 FC 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92298_0 {
	meta:
		name = "TFormTeeAxis.CBHorizAxisClick"
		size = 92
		refs = "0019 TList.IndexOf 0039 TChartAxis.SetHorizontal"
	strings:
		$1 = { 53 56 8B D8 8B B3 D4 05 00 00 8B 86 BC 00 00 00 8B 80 A8 03 00 00 8B D6 E8 ?? ?? ?? ?? 83 F8 06 7C 37 8B 83 0C 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 66 83 BB DA 05 00 00 00 74 12 8B 93 D4 05 00 00 8B 83 DC 05 00 00 FF 93 D8 05 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92299_0 {
	meta:
		name = "TFormTeeAxis.ELogBaseChange"
		size = 276
		refs = "0013 TFormTeeAxis.ELogBaseChange 0034 TControl.GetText 0052 CurrencyString 005a StrToFloatDef 0094 TChartAxis.SetLogarithmicBase 00a5 Exp 00f7 @UStrClr 00fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 C9 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB C8 05 00 00 00 0F 85 BC 00 00 00 8D 55 FC 8B 83 70 05 00 00 E8 ?? ?? ?? ?? 8B 83 D4 05 00 00 DD 40 30 DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D D0 9B DB 6D D0 DD 5D F0 9B DD 45 F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 6E DD 45 F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 5F FF 75 F4 FF 75 F0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 68 FF 3F 00 00 68 00 00 00 80 6A 00 E8 ?? ?? ?? ?? 8B 83 D4 05 00 00 DC 58 30 9B DF E0 9E 0F 94 C2 8B 83 74 05 00 00 8B 08 FF 91 FC 00 00 00 8B B3 74 05 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 80 F2 01 8B C6 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 00 00 80 3F 00 00 00 00 }
	condition:
		$1
}

rule function_92300_0 {
	meta:
		name = "TFormTeeAxis.CBTitleVisibleClick"
		size = 37
		refs = "0019 TChartAxis.GetAxisTitle 001f TTeeCustomShapeBrushPen.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 38 04 00 00 8B 10 FF 92 F8 00 00 00 50 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92301_0 {
	meta:
		name = "TFormTeeAxis.CBFormatChange"
		size = 156
		refs = "0011 TFormTeeAxis.CBFormatChange 0024 TChartAxis.IsDateTime 0036 TControl.GetText 0040 TChartAxis.SetDateTimeFormat 005b LocalToDelphiFormat 0065 TChartAxis.SetValuesFormat 007a @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 D4 05 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1A 8D 55 FC 8B 83 88 04 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 23 8D 55 F4 8B 83 88 04 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92302_0 {
	meta:
		name = "TFormTeeAxis.CBExpoClick"
		size = 32
		refs = "001a TChartAxis.SetLabelsExponent"
	strings:
		$1 = { 53 8B D8 8B 83 8C 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92303_0 {
	meta:
		name = "TFormTeeAxis.CBAxisBehClick"
		size = 44
		refs = "0026 TChartAxes.SetBehind"
	strings:
		$1 = { 53 8B D8 8B 83 AC 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 8B 80 BC 00 00 00 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92304_0 {
	meta:
		name = "TFormTeeAxis.CBLabelAlignClick"
		size = 51
		refs = "001e TChartAxis.SetLabelsAlign"
	strings:
		$1 = { 53 8B D8 8B 83 90 04 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 0F 33 D2 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 B2 01 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92305_0 {
	meta:
		name = "TFormTeeAxis.Edit1Change"
		size = 51
		refs = "0014 TCustomUpDown.GetPosition 002c TChartAxis.SetZPosition"
	strings:
		$1 = { 53 51 8B D8 80 BB C8 05 00 00 00 75 23 8B 83 C0 04 00 00 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 83 C4 F8 DD 1C 24 9B 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_92306_0 {
	meta:
		name = "TFormTeeAxis.EMinOffChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TChartAxis.SetMinimumOffset"
	strings:
		$1 = { 53 8B D8 80 BB C8 05 00 00 00 75 18 8B 83 F0 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92307_0 {
	meta:
		name = "TFormTeeAxis.EMaxOffChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TChartAxis.SetMaximumOffset"
	strings:
		$1 = { 53 8B D8 80 BB C8 05 00 00 00 75 18 8B 83 FC 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92308_0 {
	meta:
		name = "TFormTeeAxis.LogEClick"
		size = 137
		refs = "0012 TFormTeeAxis.LogEClick 0029 Exp 0040 CurrencyString 0045 FloatToStr 0053 TControl.SetText 0078 @UStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 FF 3F 00 00 68 00 00 00 80 6A 00 E8 ?? ?? ?? ?? DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 70 05 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 74 05 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92309_0 {
	meta:
		name = "TFormTeeAxis.Edit2Change"
		size = 54
		refs = "0014 TCustomUpDown.GetPosition 002f TAxisGridPen.SetZ"
	strings:
		$1 = { 53 51 8B D8 80 BB C8 05 00 00 00 75 26 8B 83 34 05 00 00 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 83 C4 F8 DD 1C 24 9B 8B 83 D4 05 00 00 8B 40 60 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_92310_0 {
	meta:
		name = "TFormTeeAxis.CBPosUnitsChange"
		size = 41
		refs = "0023 TChartAxis.SetPosUnits"
	strings:
		$1 = { 53 8B D8 80 BB C8 05 00 00 00 75 1B 8B 83 04 05 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92311_0 {
	meta:
		name = "TFormTeeAxis.FormDestroy"
		size = 17
	strings:
		$1 = { 8B D0 8B 80 90 03 00 00 8B 08 FF 91 84 00 00 00 C3 }
	condition:
		$1
}

rule function_92312_0 {
	meta:
		name = "TFormTeeAxis.CBAlternateClick"
		size = 32
		refs = "001a TChartAxis.SetLabelsAlternate"
	strings:
		$1 = { 53 8B D8 8B 83 10 05 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92313_0 {
	meta:
		name = "TFormTeeAxis.Button1Click"
		size = 134
		refs = "000f TFormTeeAxis.Button1Click 0020 TChartAxis.IsDateTime 0035 TControl.GetText 003f _Dn_TFormatEditor 0044 TFormatEditor.Change 004e TControl.SetText 0057 TFormTeeAxis.CBFormatChange 006c @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 50 8D 45 FC 50 8D 55 F8 8B B3 88 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92314_0 {
	meta:
		name = "TFormTeeAxis.EMarksEveryChange"
		size = 41
		refs = "0013 TCustomUpDown.GetPosition 0023 TAxisGridPen.SetDrawEvery"
	strings:
		$1 = { 53 8B D8 80 BB C8 05 00 00 00 75 1B 8B 83 44 05 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 D4 05 00 00 8B 40 60 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92315_0 {
	meta:
		name = "TFormTeeAxis.CBShowAllClick"
		size = 54
		refs = "001e TChartAxis.SetLabelsSeparation"
	strings:
		$1 = { 53 8B D8 8B 83 78 05 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 0F 33 D2 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 BA 0A 00 00 00 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92316_0 {
	meta:
		name = "TFormTeeAxis.CBMinRoundClick"
		size = 32
		refs = "001a TChartAxis.SetMinimumRound"
	strings:
		$1 = { 53 8B D8 8B 83 7C 05 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92317_0 {
	meta:
		name = "TFormTeeAxis.CBMaxRoundClick"
		size = 32
		refs = "001a TChartAxis.SetMaximumRound"
	strings:
		$1 = { 53 8B D8 8B 83 80 05 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92318_0 {
	meta:
		name = "TFormTeeAxis.Edit3Change"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TChartAxis.SetMinorTickCount"
	strings:
		$1 = { 53 8B D8 80 BB C8 05 00 00 00 75 18 8B 83 94 05 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92319_0 {
	meta:
		name = "TFormTeeAxis.PageTitleFormatChange"
		size = 12
		refs = "0007 TFormTeeShape.PC1Change"
	strings:
		$1 = { 8B 80 D0 05 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92320_0 {
	meta:
		name = "TFormTeeAxis.PageLabelsChange"
		size = 81
		refs = "001d TWinControl.GetControlCount 002c InsertTeeFontEditor 004a TTeeFontEditor.RefreshControls"
	strings:
		$1 = { 53 56 8B D8 8B 83 3C 04 00 00 8B 80 DC 02 00 00 8B B3 78 04 00 00 3B C6 75 34 8B C6 E8 ?? ?? ?? ?? 85 C0 75 29 8B 83 78 04 00 00 E8 ?? ?? ?? ?? 8B F0 89 B3 CC 05 00 00 8B 83 D4 05 00 00 8B 40 6C 8B 40 14 8B 50 20 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92321_0 {
	meta:
		name = "TFormTeeAxis.PageTitleChange"
		size = 94
		refs = "001f TPageControl.GetPageCount 002e TChartAxis.GetAxisTitle 003b InsertTeeObjectForm 0057 TFormTeeShape.RefreshControls"
	strings:
		$1 = { 53 56 8B D8 8B 83 10 04 00 00 8B 80 DC 02 00 00 3B 83 84 05 00 00 75 43 8B 83 88 05 00 00 E8 ?? ?? ?? ?? 85 C0 75 34 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 88 05 00 00 E8 ?? ?? ?? ?? 8B F0 89 B3 D0 05 00 00 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92322_0 {
	meta:
		name = "TFormTeeAxis.CBLabelsBehindClick"
		size = 32
		refs = "001a TChartAxis.SetLabelsBehind"
	strings:
		$1 = { 53 8B D8 8B 83 98 05 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92323_0 {
	meta:
		name = "TFormTeeAxis.ButtonFormatClick"
		size = 53
		refs = "001f TAxisItems.Get 0024 TAxisItem.GetFormat 002f EditTeeCustomShape"
	strings:
		$1 = { 53 8B D8 6A 00 8B 83 A0 05 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 8B 40 6C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92324_0 {
	meta:
		name = "TFormTeeAxis.ListItemsClick"
		size = 231
		refs = "0013 TFormTeeAxis.ListItemsClick 0048 TAxisItems.Get 0064 CurrencyString 0069 FloatToStr 0077 TControl.SetText 00d5 @UStrClr 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A0 05 00 00 8B 10 FF 92 F8 00 00 00 40 74 5B 8B 83 A0 05 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 8B 40 6C E8 ?? ?? ?? ?? 8B F0 DD 46 10 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 AC 05 00 00 E8 ?? ?? ?? ?? 8B 56 0C 8B 83 C4 05 00 00 E8 ?? ?? ?? ?? 8B 83 A0 05 00 00 8B 10 FF 92 F8 00 00 00 40 0F 95 C2 8B 83 AC 05 00 00 8B 08 FF 91 80 00 00 00 8B 83 AC 05 00 00 8B 10 FF 52 68 8B D0 8B 83 B0 05 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92325_0 {
	meta:
		name = "TFormTeeAxis.EItemValueChange"
		size = 162
		refs = "0013 TFormTeeAxis.EItemValueChange 0048 TAxisItems.Get 0058 TControl.GetText 005e CurrencyString 0066 StrToFloat 007b TAxisItem.SetValue 0090 @UStrClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A0 05 00 00 8B 10 FF 92 F8 00 00 00 40 74 51 8B 83 A0 05 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 8B 40 6C E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B 83 AC 05 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92326_0 {
	meta:
		name = "TFormTeeAxis.CBItemsAutoClick"
		size = 100
		refs = "005e TFormTeeAxis.ListItemsClick"
	strings:
		$1 = { 53 8B D8 8B 83 B8 05 00 00 8B 10 FF 92 F8 00 00 00 8B 93 D4 05 00 00 8B 52 6C 88 42 10 8B 83 B8 05 00 00 8B 10 FF 92 F8 00 00 00 8B D0 80 F2 01 8B 83 A4 05 00 00 8B 08 FF 91 80 00 00 00 8B 83 A4 05 00 00 8B 10 FF 52 68 8B D0 8B 83 A0 05 00 00 8B 08 FF 91 80 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92327_0 {
	meta:
		name = "TFormTeeAxis.AxisItemTextChange"
		size = 126
		refs = "000c TFormTeeAxis.AxisItemTextChange 0031 TControl.GetText 0053 TAxisItems.Get 0059 TAxisItem.SetText 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A0 05 00 00 8B 10 FF 92 F8 00 00 00 40 74 36 8D 55 FC 8B 83 C4 05 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 83 A0 05 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 05 00 00 8B 40 6C E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92330_0 {
	meta:
		name = "InsertTeeFontEditor"
		size = 43
		refs = "0009 _DV_TTeeFontEditor 000e TCustomForm.Create 0019 TControl.SetAlign 0022 AddFormTo"
	strings:
		$1 = { 53 56 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 05 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_92331_0 {
	meta:
		name = "EditTeeFontEx"
		size = 155
		refs = "000e _DV_TTeeFontEditor 0013 TCustomForm.Create 001e EditTeeFontEx 002e TCustomForm.SetBorderStyle 0047 TControl.SetVisible 0061 TControl.SetHeight 0086 TObject.Free 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 03 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 98 14 04 00 00 8B 45 F8 8B 80 90 03 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 54 8B 45 F8 8B 80 90 03 00 00 03 50 54 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 48 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92332_0 {
	meta:
		name = "TTeeFontEditor.BFontClick"
		size = 39
		refs = "000c EditTeeFont 0021 TTeeFontEditor.RefreshBasicProps"
	strings:
		$1 = { 53 8B D8 8B 93 14 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 CC 03 00 00 8B 10 FF 92 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92333_0 {
	meta:
		name = "TTeeFontEditor.RefreshBasicProps"
		size = 322
		refs = "0012 TTeeFontEditor.RefreshBasicProps 0025 TFont.GetSize 0032 TCustomUpDown.SetPosition 00ba TFont.GetName 012f @UStrArrayClr 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 14 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B FE 8B 47 10 0F B6 40 21 88 45 FF F6 45 FF 02 0F 95 C2 8B 83 BC 03 00 00 8B 08 FF 91 FC 00 00 00 8B 47 10 0F B6 40 21 88 45 FE F6 45 FE 01 0F 95 C2 8B 83 C0 03 00 00 8B 08 FF 91 FC 00 00 00 8B 47 10 0F B6 40 21 88 45 FD F6 45 FD 08 0F 95 C2 8B 83 C4 03 00 00 8B 08 FF 91 FC 00 00 00 8B 47 10 0F B6 40 21 88 45 FC F6 45 FC 04 0F 95 C2 8B 83 C8 03 00 00 8B 08 FF 91 FC 00 00 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B BB F0 03 00 00 8B 87 B4 02 00 00 8B 08 FF 51 54 8B D0 8B C7 8B 08 FF 91 FC 00 00 00 8B 83 F0 03 00 00 8B 10 FF 92 F8 00 00 00 40 75 2A 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B BB F0 03 00 00 8B 87 B4 02 00 00 8B 08 FF 51 38 8B D0 8B C7 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92334_0 {
	meta:
		name = "TTeeFontEditor.RefreshControls"
		size = 376
		refs = "001d Screen 0024 TScreen.GetFonts 0039 TeeAddFontNames 0061 TTeeFontEditor.RefreshControls 006e TTeeButton.LinkProperty 0075 TTeeFontEditor.RefreshBasicProps 0089 TCustomUpDown.SetPosition 0090 TTeeFont.GetOutLine 009d TButtonPen.LinkPen 00a4 TTeeFont.GetGradient 00d0 @ROUND 0113 TTeeFont.GetShadow 011c TTeeShadowEditor.RefreshControls 0131 TTeeFont.GetEmboss 014f TTeeFont.GetPicture 0158 TBackImageEditor.RefreshControls"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 86 F0 03 00 00 8B 80 B4 02 00 00 8B 10 FF 52 14 85 C0 75 3C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 8B 86 F0 03 00 00 8B 08 FF 91 40 01 00 00 A1 ?? ?? ?? ?? 83 38 00 74 16 8B 1D ?? ?? ?? ?? 8B 1B 8B 86 F0 03 00 00 8B 80 B4 02 00 00 FF D3 8B C7 89 86 14 04 00 00 B9 ?? ?? ?? ?? 8B D0 8B 86 CC 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 9E 14 04 00 00 8B 53 38 8B 86 D8 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 86 DC 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 50 60 8B 86 E0 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 53 40 8B 86 00 04 00 00 8B 08 FF 91 FC 00 00 00 DD 43 28 E8 ?? ?? ?? ?? 8B D0 8B 86 0C 04 00 00 E8 ?? ?? ?? ?? 8B 9E 1C 04 00 00 85 DB 74 17 8B 86 14 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 30 01 00 00 8B 9E 24 04 00 00 85 DB 74 14 8B 86 14 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 9E 18 04 00 00 85 DB 74 14 8B 86 14 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 9E 20 04 00 00 85 DB 74 14 8B 86 14 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_92335_0 {
	meta:
		name = "TTeeFontEditor.FormShow"
		size = 105
		refs = "0018 TeeTranslateControl 002b TTeeFontEditor.RefreshControls 0046 _Dn_TTeeFont 004b TTeeFont.Create"
	strings:
		$1 = { 53 56 8B F0 83 BE 10 04 00 00 00 0F 95 C3 80 F3 01 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B 86 14 04 00 00 85 C0 74 40 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 86 90 03 00 00 80 78 61 00 74 2B 84 DB 74 16 6A 00 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 10 04 00 00 8B 96 14 04 00 00 8B 86 10 04 00 00 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_92336_0 {
	meta:
		name = "TTeeFontEditor.EInterChange"
		size = 47
		refs = "001c TCustomUpDown.GetPosition 0029 TTeeFont.SetInterCharSize"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 21 83 BB 14 04 00 00 00 74 18 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 14 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92337_0 {
	meta:
		name = "TTeeFontEditor.CBOutGradClick"
		size = 37
		refs = "0019 TTeeFont.GetGradient 001f TTeeFontGradient.SetOutline"
	strings:
		$1 = { 53 8B D8 8B 83 E0 03 00 00 8B 10 FF 92 F8 00 00 00 50 8B 83 14 04 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92338_0 {
	meta:
		name = "TTeeFontEditor.FormCreate"
		size = 52
		refs = "000a TControl.Hide 001d TControl.SetHeight 002e TPageControl.SetActivePage"
	strings:
		$1 = { 53 8B D8 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B 83 90 03 00 00 8B 53 54 2B 50 54 8B C3 E8 ?? ?? ?? ?? 8B 93 A0 03 00 00 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92339_0 {
	meta:
		name = "TTeeFontEditor.Button2Click"
		size = 24
	strings:
		$1 = { 8B 90 10 04 00 00 85 D2 74 0D 8B 88 14 04 00 00 8B C1 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_92340_0 {
	meta:
		name = "TTeeFontEditor.FormDestroy"
		size = 12
		refs = "0007 TObject.Free"
	strings:
		$1 = { 8B 80 10 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92341_0 {
	meta:
		name = "TTeeFontEditor.ESizeChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TFont.SetSize"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 18 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 14 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92342_0 {
	meta:
		name = "TTeeFontEditor.CheckStyle"
		size = 126
		refs = "0033 @SetElem 0042 TFont.SetStyle"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D9 8B FA 8B F0 8B C7 8B 10 FF 92 F8 00 00 00 84 C0 74 2E 8B BE 14 04 00 00 8B 47 10 0F B6 40 21 88 04 24 8B D3 8D 44 24 04 B1 01 E8 ?? ?? ?? ?? 0F B6 54 24 04 0A 14 24 8B C7 E8 ?? ?? ?? ?? EB 30 8B BE 14 04 00 00 8B 47 10 0F B6 40 21 88 44 24 01 8B D3 8D 44 24 04 B1 01 E8 ?? ?? ?? ?? 0F B6 54 24 04 F7 D2 22 54 24 01 8B C7 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92343_0 {
	meta:
		name = "TTeeFontEditor.CBItalicClick"
		size = 14
		refs = "0009 TTeeFontEditor.CheckStyle"
	strings:
		$1 = { B1 01 8B 90 BC 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92344_0 {
	meta:
		name = "TTeeFontEditor.CBBoldClick"
		size = 14
		refs = "0009 TTeeFontEditor.CheckStyle"
	strings:
		$1 = { 33 C9 8B 90 C0 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92345_0 {
	meta:
		name = "TTeeFontEditor.CBStrikeClick"
		size = 14
		refs = "0009 TTeeFontEditor.CheckStyle"
	strings:
		$1 = { B1 03 8B 90 C4 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92346_0 {
	meta:
		name = "TTeeFontEditor.CBUnderClick"
		size = 14
		refs = "0009 TTeeFontEditor.CheckStyle"
	strings:
		$1 = { B1 02 8B 90 C8 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92347_0 {
	meta:
		name = "TTeeFontEditor.CBNameChange"
		size = 83
		refs = "000c TTeeFontEditor.CBNameChange 0020 TComboFlat.CurrentItem 002e TFont.SetName 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 14 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92348_0 {
	meta:
		name = "TTeeFontEditor.PageControl1Change"
		size = 363
		refs = "0027 InsertTeeShadowEditor 0044 TTeeFont.GetShadow 004d TTeeShadowEditor.RefreshControls 0078 InsertTeeEmbossEditor 0095 TTeeFont.GetEmboss 00d5 TTeeFont.GetGradient 00df _Dn_TTeeGradientEditor 00e4 TTeeGradientEditor.CreateCustom 00f9 AddFormTo 0121 InsertImageEditor 0134 TControl.Hide 0156 TTeeFont.GetPicture 0163 TBackImageEditor.RefreshControls"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 9C 03 00 00 8B 80 DC 02 00 00 8B B3 E4 03 00 00 3B C6 75 3B 83 BB 24 04 00 00 00 75 32 8B C6 E8 ?? ?? ?? ?? 8B F8 89 BB 24 04 00 00 8B B3 14 04 00 00 85 F6 0F 84 26 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? E9 11 01 00 00 8B 83 9C 03 00 00 8B 80 DC 02 00 00 8B B3 F8 03 00 00 3B C6 75 3B 83 BB 18 04 00 00 00 75 32 8B C6 E8 ?? ?? ?? ?? 8B F8 89 BB 18 04 00 00 8B B3 14 04 00 00 85 F6 0F 84 D5 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? E9 C0 00 00 00 8B 83 9C 03 00 00 8B 80 DC 02 00 00 3B 83 E8 03 00 00 75 44 83 BB 1C 04 00 00 00 75 3B 8B B3 14 04 00 00 85 F6 0F 84 95 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 BB 1C 04 00 00 8B 93 E8 03 00 00 8B C7 E8 ?? ?? ?? ?? EB 68 8B 83 9C 03 00 00 8B 80 DC 02 00 00 8B B3 F4 03 00 00 3B C6 75 52 83 BB 20 04 00 00 00 75 49 8B C6 E8 ?? ?? ?? ?? 8B F8 89 BB 20 04 00 00 8B 87 90 03 00 00 E8 ?? ?? ?? ?? 8B 83 20 04 00 00 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B B3 14 04 00 00 85 F6 74 14 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 20 04 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92349_0 {
	meta:
		name = "TTeeFontEditor.CBQualityChange"
		size = 32
		refs = "001a TTeeFont.SetQuality"
	strings:
		$1 = { 53 8B D8 8B 83 00 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 14 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92350_0 {
	meta:
		name = "TTeeFontEditor.EDepthChange"
		size = 60
		refs = "001d TCustomUpDown.GetPosition 0035 TTeeFont.SetDepth"
	strings:
		$1 = { 53 51 8B D8 80 BB F2 01 00 00 00 74 2C 83 BB 14 04 00 00 00 74 23 8B 83 0C 04 00 00 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 83 C4 F8 DD 1C 24 9B 8B 83 14 04 00 00 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_92353_0 {
	meta:
		name = "ChartPreview"
		size = 127
		refs = "000e _Dn_TChartPreview 0013 TCustomForm.Create 001e ChartPreview 002d _DV_TChartPageNavigator 0044 TTeePreviewPanel.SetPanel 0064 TObject.Free 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 15 ?? ?? ?? ?? 89 90 24 04 00 00 8B 45 F8 8B 80 D4 03 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 A0 00 00 00 C3 E9 ?? ?? ?? ?? EB E5 59 59 5D C3 }
	condition:
		$1
}

rule function_92354_0 {
	meta:
		name = "TChartPageNavigator.BtnClick"
		size = 113
		refs = "000a TChartPageNavigator.GetChart 002d TChartPage.PreviousPage 0036 TChartPage.NextPage 0044 TChartPage.SetCurrent 004d TChartPage.Count 0069 TCustomTeeNavigator.BtnClick"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B B0 18 04 00 00 85 F6 74 42 8B C3 2C 01 72 1E 74 0A FE C8 74 0F FE C8 74 22 EB 30 8B C6 E8 ?? ?? ?? ?? EB 27 8B C6 E8 ?? ?? ?? ?? EB 1E BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 08 01 00 00 8B D3 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92355_0 {
	meta:
		name = "TChartPageNavigator.SetPanel"
		size = 47
		refs = "000a _Dn_TCustomAxisPanel 000f @IsClass 001c TCustomTeeNavigator.SetPanel"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92356_0 {
	meta:
		name = "TChartPageNavigator.EnableButtons"
		size = 144
		refs = "0007 TCustomTeeNavigator.EnableButtons 000e TChartPageNavigator.GetChart 005a TChartPage.Count"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 77 8B C3 E8 ?? ?? ?? ?? 8B B0 18 04 00 00 85 F6 74 66 83 7E 08 01 0F 9F C2 8B 83 BC 02 00 00 8B 08 FF 91 80 00 00 00 8B 83 BC 02 00 00 8B 10 FF 52 68 8B D0 8B 83 C0 02 00 00 8B 08 FF 91 80 00 00 00 8B C6 E8 ?? ?? ?? ?? 3B 46 08 0F 9F C2 8B 83 C4 02 00 00 8B 08 FF 91 80 00 00 00 8B 83 C4 02 00 00 8B 10 FF 52 68 8B D0 8B 83 C8 02 00 00 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92357_0 {
	meta:
		name = "TChartPageNavigator.DoTeeEvent"
		size = 59
		refs = "000a _Dn_TChartChangePage 000f @IsClass 001b _Dn_TTeeSeriesEvent"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 17 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 80 7B 08 06 75 0A 8B C6 8B 10 FF 92 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92358_0 {
	meta:
		name = "TChartPageNavigator.GetChart"
		size = 7
	strings:
		$1 = { 8B 80 B8 02 00 00 C3 }
	condition:
		$1
}

rule function_92359_0 {
	meta:
		name = "TChartPageNavigator.SetChart"
		size = 15
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 91 04 01 00 00 5E C3 }
	condition:
		$1
}

rule function_92360_0 {
	meta:
		name = "TChartPageNavigator.PageCount"
		size = 21
		refs = "0006 TChartPageNavigator.GetChart 000f @CallDynaInst"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 66 BE A9 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_92361_0 {
	meta:
		name = "TChartPageNavigator.Print"
		size = 224
		refs = "001f _Dn_TPrintDialog 0024 TCommonDialog.Create 002f TChartPageNavigator.Print 0061 TChartPageNavigator.GetChart 006a @CallDynaInst 009f TCustomAxisPanel.PrintPages 00b4 TObject.Free 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 8B C3 8B 10 FF 92 0C 01 00 00 48 0F 8E A6 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 0F B6 15 ?? ?? ?? ?? 88 50 79 8B 45 FC C6 40 7B 02 8B 55 FC B8 01 00 00 00 89 42 70 8B 55 FC 89 42 7C 8B C3 E8 ?? ?? ?? ?? 66 BE A9 FF E8 ?? ?? ?? ?? 8B F8 8B 45 FC 89 78 74 8B 45 FC 89 B8 80 00 00 00 8B 45 FC 8B 10 FF 52 50 84 C0 74 18 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 4A 74 8B 55 FC 8B 52 70 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 E8 ?? ?? ?? ?? B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 02 00 00 00 }
	condition:
		$1
}

rule function_92362_0 {
	meta:
		name = "TFormTeeGeneral.CreateChart"
		size = 68
		refs = "000d @ClassCreate 001a TCustomForm.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 86 80 04 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_92363_0 {
	meta:
		name = "TFormTeeGeneral.EnableZoomControls"
		size = 134
		refs = "007e EnableControls"
	strings:
		$1 = { 83 C4 D8 8B 90 A4 03 00 00 89 14 24 8B 90 AC 03 00 00 89 54 24 04 8B 90 A8 03 00 00 89 54 24 08 8B 90 B8 03 00 00 89 54 24 0C 8B 90 BC 03 00 00 89 54 24 10 8B 90 B0 03 00 00 89 54 24 14 8B 90 B4 03 00 00 89 54 24 18 8B 90 CC 03 00 00 89 54 24 1C 8B 90 D4 03 00 00 89 54 24 20 8B 90 E0 03 00 00 89 54 24 24 8B D4 8B 80 80 04 00 00 8B 80 74 03 00 00 0F B6 40 18 B9 09 00 00 00 E8 ?? ?? ?? ?? 83 C4 28 C3 }
	condition:
		$1
}

rule function_92364_0 {
	meta:
		name = "TFormTeeGeneral.CBAllowZoomClick"
		size = 41
		refs = "0023 TFormTeeGeneral.EnableZoomControls"
	strings:
		$1 = { 53 8B D8 8B 83 A0 03 00 00 8B 10 FF 92 F8 00 00 00 8B 93 80 04 00 00 8B 92 74 03 00 00 88 42 18 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92365_0 {
	meta:
		name = "TFormTeeGeneral.CBAnimatedZoomClick"
		size = 34
	strings:
		$1 = { 53 8B D8 8B 83 A4 03 00 00 8B 10 FF 92 F8 00 00 00 8B 93 80 04 00 00 8B 92 74 03 00 00 88 42 19 5B C3 }
	condition:
		$1
}

rule function_92366_0 {
	meta:
		name = "CheckButtons"
		size = 81
	strings:
		$1 = { 55 8B EC 84 C0 75 16 8B 45 08 8B 40 FC 8B 80 40 04 00 00 8B 08 FF 91 FC 00 00 00 5D C3 3C 02 75 16 8B 45 08 8B 40 FC 8B 80 48 04 00 00 8B 08 FF 91 FC 00 00 00 EB 18 3C 01 75 14 8B 45 08 8B 40 FC 8B 80 50 04 00 00 8B 08 FF 91 FC 00 00 00 5D C3 }
	condition:
		$1
}

rule function_92367_0 {
	meta:
		name = "TFormTeeGeneral.FormShow"
		size = 644
		refs = "002f TCustomRadioGroup.SetItemIndex 00e0 TCustomUpDown.SetPosition 00e7 TFormTeeGeneral.EnableZoomControls 013a TTeeZoom.GetPen 0149 TButtonPen.LinkPen 0183 CheckButtons 01fc TFormTeeGeneral.CBZoomTextChange 0235 ColorPalettes 0240 TColorPalettes.AddTo"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8D 7D FC 8B 07 8B 80 80 04 00 00 85 C0 0F 84 58 02 00 00 8B F0 0F B6 96 68 03 00 00 8B 07 8B 80 C4 03 00 00 E8 ?? ?? ?? ?? 8B 86 F4 02 00 00 0F B6 50 18 8B 07 8B 80 0C 04 00 00 8B 08 FF 91 FC 00 00 00 8B 86 F4 02 00 00 0F B6 50 19 8B 07 8B 80 5C 04 00 00 8B 08 FF 91 FC 00 00 00 8B 07 8B 80 40 04 00 00 BA 02 00 00 00 8B 08 FF 91 FC 00 00 00 8B 07 8B 80 48 04 00 00 BA 02 00 00 00 8B 08 FF 91 FC 00 00 00 8B 07 8B 80 50 04 00 00 BA 02 00 00 00 8B 08 FF 91 FC 00 00 00 8B 9E 74 03 00 00 8B 07 8B 80 A0 03 00 00 0F B6 53 18 8B 08 FF 91 FC 00 00 00 8B 07 8B 80 A4 03 00 00 0F B6 53 19 8B 08 FF 91 FC 00 00 00 8B 07 8B 80 AC 03 00 00 8B 53 1C E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 8B 07 8B 80 BC 03 00 00 8B 53 30 E8 ?? ?? ?? ?? 0F B6 53 28 8B 07 8B 80 CC 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 53 34 8B 07 8B 80 D4 03 00 00 8B 08 FF 91 FC 00 00 00 8B 07 8B 80 E0 03 00 00 0F B6 53 3C 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 07 8B 80 B0 03 00 00 E8 ?? ?? ?? ?? 8B 07 8B 80 FC 03 00 00 0F B6 53 29 8B 08 FF 91 FC 00 00 00 8B 07 8B 80 08 04 00 00 0F B6 53 2A 8B 08 FF 91 FC 00 00 00 80 7B 18 00 74 0D 55 0F B6 43 34 33 D2 E8 ?? ?? ?? ?? 59 0F B6 96 70 03 00 00 8B 07 8B 80 DC 03 00 00 8B 08 FF 91 FC 00 00 00 80 BE 68 03 00 00 00 0F 95 C2 8B 07 8B 80 DC 03 00 00 8B 08 FF 91 80 00 00 00 8B 07 8B 80 DC 03 00 00 8B 10 FF 52 68 84 C0 74 13 55 0F B6 86 70 03 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 59 8B 86 08 03 00 00 0F B6 50 58 8B 07 8B 80 1C 04 00 00 8B 08 FF 91 FC 00 00 00 8B 17 8B 07 E8 ?? ?? ?? ?? 8B 86 08 03 00 00 8B 50 10 8B 07 8B 80 18 04 00 00 E8 ?? ?? ?? ?? 8B 07 8B 80 30 04 00 00 8B 10 FF 92 04 01 00 00 8B 07 8B 80 30 04 00 00 8B 90 88 02 00 00 A1 ?? ?? ?? ?? 8B 00 8B 00 B1 01 E8 ?? ?? ?? ?? 8B 86 58 04 00 00 85 C0 75 14 8B 07 8B 80 30 04 00 00 33 D2 8B 08 FF 91 FC 00 00 00 EB 13 8B D0 42 8B 07 8B 80 30 04 00 00 8B 08 FF 91 FC 00 00 00 8B 07 C6 80 60 04 00 00 00 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92368_0 {
	meta:
		name = "FontOfPersistent"
		size = 227
		refs = "001b GetPropList 002b FontOfPersistent 0060 GetObjectProp 006a _Dn_TTeeFont 006f @IsClass 0085 _Dn_TPersistent 0096 _Dn_TComponent 00cc FreeMemory 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 33 C0 89 45 F4 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 8E B2 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B F0 4E 85 F6 7C 7E 46 33 DB 8B 45 F0 8B 04 98 8B 10 8B 12 80 3A 07 75 68 83 78 04 00 74 62 8B 45 F0 8B 14 98 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 3B 7D F8 74 3A 89 7D F4 EB 39 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 13 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 04 43 4E 75 85 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 59 C3 E9 ?? ?? ?? ?? EB EE 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92369_0 {
	meta:
		name = "AddAxis"
		size = 168
		refs = "0010 AddAxis 002c TChartAxis.GetAxisTitle 0038 TeeMsg_AxisTitle 004c @UStrCatN 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B CE 8B D3 8B 38 FF 57 3C 8B C6 E8 ?? ?? ?? ?? 50 53 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? FF 30 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC 59 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_92370_0 {
	meta:
		name = "TFormTeeGeneral.GetChartObjects"
		size = 892
		refs = "001f TFormTeeGeneral.GetChartObjects 002b TeeMsg_Legend 0046 TCustomChartLegend.GetTitle 004e TeeMsg_LegendTitle 005e TeeMsg_Title 0074 TeeMsg_Foot 008a TeeMsg_SubTitle 00a0 TeeMsg_SubFoot 00ee FontOfPersistent 010d SeriesTitleOrName 014a TeeMsg_Marks 0151 TeeTranslateString 0166 @UStrCatN 01b4 TChartTools.Get 01f8 TChartAxes.GetLeftAxis 01ff TeeMsg_LeftAxis 0206 AddAxis 0213 TChartAxes.GetRightAxis 021a TeeMsg_RightAxis 022e TChartAxes.GetTopAxis 0235 TeeMsg_TopAxis 0249 TChartAxes.GetBottomAxis 0250 TeeMsg_BottomAxis 0264 TChartAxes.GetDepthTopAxis 026b TeeMsg_DepthTopAxis 027f TChartAxes.GetDepthAxis 0286 TeeMsg_DepthAxis 02b3 TChartCustomAxes.Get 02d3 IntToStr 030d @UStrArrayClr 0313 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? 8B 12 8B 8E 60 04 00 00 8B 45 FC 8B 18 FF 53 3C 8B 86 60 04 00 00 E8 ?? ?? ?? ?? 8B C8 8B 15 ?? ?? ?? ?? 8B 12 8B 45 FC 8B 18 FF 53 3C 8B 15 ?? ?? ?? ?? 8B 12 8B 8E 70 04 00 00 8B 45 FC 8B 18 FF 53 3C 8B 15 ?? ?? ?? ?? 8B 12 8B 8E 5C 04 00 00 8B 45 FC 8B 18 FF 53 3C 8B 15 ?? ?? ?? ?? 8B 12 8B 8E 6C 04 00 00 8B 45 FC 8B 18 FF 53 3C 8B 15 ?? ?? ?? ?? 8B 12 8B 8E 68 04 00 00 8B 45 FC 8B 18 FF 53 3C 8B 86 B4 03 00 00 8B 40 08 48 85 C0 0F 8C CB 00 00 00 40 89 45 F8 33 DB 80 7D 08 00 75 04 B0 01 EB 21 8B 86 B4 03 00 00 8B 40 04 8B 3C 98 8B 87 88 00 00 00 8B 50 20 8B C7 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 84 C0 74 2D 8D 55 F4 8B FE 8B 87 B4 03 00 00 8B 40 04 8B 04 98 E8 ?? ?? ?? ?? 8B 55 F4 8B 87 B4 03 00 00 8B 40 04 8B 0C 98 8B 45 FC 8B 38 FF 57 3C 8D 55 EC 8B FE 8B 87 B4 03 00 00 8B 40 04 8B 04 98 E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 55 E8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 87 B4 03 00 00 8B 40 04 8B 04 98 8B 88 88 00 00 00 8B 45 FC 8B 38 FF 57 3C 43 FF 4D F8 0F 85 3B FF FF FF 8B 86 2C 04 00 00 8B 40 08 48 85 C0 7C 51 40 89 45 F8 33 DB 80 7D 08 00 74 18 8B D3 8B 86 2C 04 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 85 C0 74 27 8B D3 8B 86 2C 04 00 00 E8 ?? ?? ?? ?? 50 8B D3 8B 86 2C 04 00 00 E8 ?? ?? ?? ?? 8B 50 08 8B 45 FC 59 8B 38 FF 57 3C 43 FF 4D F8 75 B5 55 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 59 55 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 59 55 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 59 55 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 59 55 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 59 55 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 59 8B 86 B0 03 00 00 8B 40 08 8B 40 08 48 85 C0 7C 54 40 89 45 F8 33 DB 55 8B D3 8B 86 B0 03 00 00 E8 ?? ?? ?? ?? 50 8D 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 55 DC 8B C3 E8 ?? ?? ?? ?? FF 75 DC 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 5A E8 ?? ?? ?? ?? 59 43 FF 4D F8 75 B2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 75 00 73 00 74 00 6F 00 6D 00 20 00 61 00 78 00 69 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_92371_0 {
	meta:
		name = "TFormTeeGeneral.FillFonts"
		size = 56
		refs = "002b TFormTeeGeneral.GetChartObjects 0032 TFormTeeGeneral.SelectTitleFont"
	strings:
		$1 = { 53 8B D8 8B 83 EC 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 44 6A 01 8B 83 EC 03 00 00 8B 88 88 02 00 00 8B 93 80 04 00 00 8B 03 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92372_0 {
	meta:
		name = "TFormTeeGeneral.RGPanningClick"
		size = 45
	strings:
		$1 = { 8B 90 C4 03 00 00 0F B6 92 88 02 00 00 8B 88 80 04 00 00 88 91 68 03 00 00 84 D2 0F 95 C2 8B 80 DC 03 00 00 8B 08 FF 91 80 00 00 00 C3 }
	condition:
		$1
}

rule function_92373_0 {
	meta:
		name = "TFormTeeGeneral.SEAniZoomStepsChange"
		size = 40
		refs = "0013 TCustomUpDown.GetPosition"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 1A 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 8B 93 80 04 00 00 8B 92 74 03 00 00 89 42 1C 5B C3 }
	condition:
		$1
}

rule function_92374_0 {
	meta:
		name = "TFormTeeGeneral.BZoomColorClick"
		size = 31
		refs = "0010 TTeeZoom.GetBrush 0019 EditChartBrush"
	strings:
		$1 = { 53 8B D8 8B 83 80 04 00 00 8B 80 74 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92375_0 {
	meta:
		name = "TFormTeeGeneral.EMinPixChange"
		size = 40
		refs = "0013 TCustomUpDown.GetPosition"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 1A 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 8B 93 80 04 00 00 8B 92 74 03 00 00 89 42 30 5B C3 }
	condition:
		$1
}

rule function_92376_0 {
	meta:
		name = "TFormTeeGeneral.CBDirChange"
		size = 34
	strings:
		$1 = { 53 8B D8 8B 83 CC 03 00 00 8B 10 FF 92 F8 00 00 00 8B 93 80 04 00 00 8B 92 74 03 00 00 88 42 28 5B C3 }
	condition:
		$1
}

rule function_92377_0 {
	meta:
		name = "TFormTeeGeneral.CBZoomMouseChange"
		size = 34
	strings:
		$1 = { 53 8B D8 8B 83 D4 03 00 00 8B 10 FF 92 F8 00 00 00 8B 93 80 04 00 00 8B 92 74 03 00 00 88 42 34 5B C3 }
	condition:
		$1
}

rule function_92378_0 {
	meta:
		name = "TFormTeeGeneral.CBScrollMouseChange"
		size = 31
	strings:
		$1 = { 53 8B D8 8B 83 DC 03 00 00 8B 10 FF 92 F8 00 00 00 8B 93 80 04 00 00 88 82 70 03 00 00 5B C3 }
	condition:
		$1
}

rule function_92379_0 {
	meta:
		name = "TFormTeeGeneral.FormCreate"
		size = 38
		refs = "000f TControl.SetAlign 0020 TPageControl.SetActivePage"
	strings:
		$1 = { 53 8B D8 C6 83 60 04 00 00 01 B2 05 8B C3 E8 ?? ?? ?? ?? 8B 93 34 04 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92380_0 {
	meta:
		name = "TFormTeeGeneral.CBUpLeftClick"
		size = 34
	strings:
		$1 = { 53 8B D8 8B 83 E0 03 00 00 8B 10 FF 92 F8 00 00 00 8B 93 80 04 00 00 8B 92 74 03 00 00 88 42 3C 5B C3 }
	condition:
		$1
}

rule function_92381_0 {
	meta:
		name = "TFormTeeGeneral.SelectedFont"
		size = 143
		refs = "001b _Dn_TTeeCustomShape 0020 @IsClass 0032 _Dn_TChartAxis 004e _Dn_TChartSeries 005f _Dn_TPersistent 0064 @AsClass 0072 FontOfPersistent"
	strings:
		$1 = { 53 56 8B F0 8B 86 EC 03 00 00 8B 80 88 02 00 00 8B 08 FF 51 18 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 43 20 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B 43 6C 8B 40 14 8B 40 20 EB 42 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 93 88 00 00 00 8B 52 20 E8 ?? ?? ?? ?? EB 14 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92382_0 {
	meta:
		name = "TFormTeeGeneral.ResetIFont"
		size = 55
		refs = "0032 TObject.Free"
	strings:
		$1 = { 8B 90 6C 04 00 00 85 D2 74 1A 8B 88 78 04 00 00 89 4A 08 8B 88 7C 04 00 00 89 4A 0C 33 D2 89 90 6C 04 00 00 05 64 04 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92383_0 {
	meta:
		name = "TFormTeeGeneral.LBFontsClick"
		size = 215
		refs = "0007 TFormTeeGeneral.ResetIFont 0033 TFormTeeGeneral.SelectedFont 0044 _Dn_TTeeFont 0049 TTeeFont.Create 0070 _Dn_TTeeFontEditor 0075 TCustomForm.Create 0086 TControl.SetAlign 0097 AddFormTo 00a8 TTeeFontEditor.RefreshControls 00d0 TFormTeeGeneral.ChangedFont"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 EC 03 00 00 8B 10 FF 92 F8 00 00 00 40 0F 84 B4 00 00 00 8B 83 EC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 89 83 6C 04 00 00 6A 00 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 64 04 00 00 8B 93 6C 04 00 00 8B C6 8B 08 FF 51 08 83 BB 70 04 00 00 00 75 30 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 70 04 00 00 B2 05 8B C6 E8 ?? ?? ?? ?? 8B 93 F4 03 00 00 8B 83 70 04 00 00 E8 ?? ?? ?? ?? 8B 93 6C 04 00 00 8B 83 70 04 00 00 E8 ?? ?? ?? ?? 8B 83 6C 04 00 00 8B 50 08 89 93 78 04 00 00 8B 50 0C 89 93 7C 04 00 00 8B 83 6C 04 00 00 89 58 0C C7 40 08 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92384_0 {
	meta:
		name = "TFormTeeGeneral.ChangedFont"
		size = 905
		refs = "0013 TFormTeeGeneral.ChangedFont 0060 TCustomListBox.GetSelected 0071 TFormTeeGeneral.SelectedFont 008d TFont.GetName 00a8 @UStrEqual 00c2 TFont.SetName 00cd TFont.GetSize 00f2 TFont.SetSize 0136 TFont.SetStyle 0153 TFont.SetColor 0170 TTeeFont.SetInterCharSize 017b TTeeFont.GetShadow 01ac TTeeShadow.SetHorizSize 01e8 TTeeShadow.SetVertSize 0224 TTeeShadow.SetColor 0262 TTeeShadow.SetVisible 02a0 TTeeShadow.SetTransparency 02de TTeeShadow.SetSmooth 02e9 TTeeFont.GetGradient 031c TCustomTeeGradient.SetVisible 035c TFormTeeGeneral.ResetIFont 0376 @UStrArrayClr 037c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 6C 04 00 00 00 0F 84 36 03 00 00 80 BB F2 01 00 00 00 0F 84 22 03 00 00 8B 83 EC 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 48 85 C0 0F 8C D9 02 00 00 40 89 45 FC 33 FF 8B D7 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 B4 02 00 00 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 3B B3 6C 04 00 00 0F 84 9D 02 00 00 8D 55 F4 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 F0 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 8B 55 F0 58 E8 ?? ?? ?? ?? 74 18 8D 55 EC 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 50 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 5A 3B D0 74 14 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 6C 04 00 00 8B 40 10 0F B6 40 21 88 45 FB 8B 83 64 04 00 00 8B 40 10 0F B6 40 21 88 45 FA 0F B6 45 FA 3A 45 FB 74 1B 8B 83 6C 04 00 00 8B 40 10 0F B6 40 21 88 45 F9 0F B6 55 F9 8B C6 E8 ?? ?? ?? ?? 8B 83 6C 04 00 00 8B 40 18 8B 93 64 04 00 00 3B 42 18 74 09 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 6C 04 00 00 8B 40 38 8B 93 64 04 00 00 3B 42 38 74 09 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 8B 40 0C 50 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 5A 3B 50 0C 74 1C 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 8B 40 0C 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 8B 40 1C 50 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 5A 3B 50 1C 74 1C 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 8B 40 1C 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 8B 40 08 50 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 5A 3B 50 08 74 1C 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 8B 40 08 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 0F B6 40 20 50 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 5A 3A 50 20 74 1D 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 0F B6 40 20 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 0F B6 40 18 50 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 5A 3A 50 18 74 1D 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 0F B6 40 18 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 0F B6 40 10 50 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 5A 3A 50 10 74 1D 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 0F B6 40 10 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 0F B6 40 28 50 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 5A 3A 50 28 74 1D 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 0F B6 40 28 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 47 FF 4D FC 0F 85 2D FD FF FF 8B 93 6C 04 00 00 8B 83 64 04 00 00 8B 08 FF 51 08 66 83 BB 7A 04 00 00 00 74 1B 8B 93 6C 04 00 00 8B 83 7C 04 00 00 FF 93 78 04 00 00 EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92387_0 {
	meta:
		name = "TFormTeeGeneral.LBFontsKeyDown"
		size = 24
		refs = "0010 TFormTeeGeneral.DoSelectAllFonts"
	strings:
		$1 = { 55 8B EC F6 45 08 04 74 0B 66 83 39 41 75 05 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_92388_0 {
	meta:
		name = "TFormTeeGeneral.CheckCursorEdit"
		size = 105
		refs = "0012 _Dn_TMouseCursorEdit 0017 TCustomForm.Create 004f TFormTeeGeneral.CursorChange 005c AddFormTo"
	strings:
		$1 = { 53 56 8B D8 83 BB 68 04 00 00 00 75 53 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 68 04 00 00 8B 83 80 04 00 00 0F B7 80 80 00 00 00 66 89 86 B0 03 00 00 8B 83 80 04 00 00 89 86 B4 03 00 00 89 9E AC 03 00 00 C7 86 A8 03 00 00 ?? ?? ?? ?? 8B 93 E4 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B 83 68 04 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92389_0 {
	meta:
		name = "TFormTeeGeneral.PageControl1Change"
		size = 95
		refs = "002f TFormTeeGeneral.FillFonts 003a TeeTranslateControl 0059 TFormTeeGeneral.CheckCursorEdit"
	strings:
		$1 = { 53 8B D8 8B 83 90 03 00 00 8B 80 DC 02 00 00 3B 83 E8 03 00 00 75 37 8B 83 EC 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 75 12 8B C3 E8 ?? ?? ?? ?? 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? 8B 83 EC 03 00 00 8B 10 FF 92 F4 00 00 00 5B C3 3B 83 E4 03 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92390_0 {
	meta:
		name = "TFormTeeGeneral.CursorChange"
		size = 43
		refs = "0011 TControl.SetCursor"
	strings:
		$1 = { 53 8B D8 0F B7 92 B0 03 00 00 8B 83 80 04 00 00 E8 ?? ?? ?? ?? 8B 83 80 04 00 00 0F B7 90 80 00 00 00 66 89 90 F0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_92391_0 {
	meta:
		name = "TFormTeeGeneral.CBHistoryClick"
		size = 38
		refs = "0020 TTeeZoom.SetHistory"
	strings:
		$1 = { 53 8B D8 8B 83 FC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 80 04 00 00 8B 80 74 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92392_0 {
	meta:
		name = "TFormTeeGeneral.SelectTitleFont"
		size = 102
		refs = "0052 TCustomListBox.SetSelected 005f TFormTeeGeneral.LBFontsClick"
	strings:
		$1 = { 53 56 8B D8 8B 83 EC 03 00 00 8B 10 FF 92 08 01 00 00 8B 83 80 04 00 00 8B 90 70 04 00 00 8B B3 EC 03 00 00 8B 86 88 02 00 00 8B 08 FF 51 5C 8B D0 8B C6 8B 08 FF 91 FC 00 00 00 8B B3 EC 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 B1 01 8B C6 E8 ?? ?? ?? ?? 8B 93 EC 03 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92393_0 {
	meta:
		name = "TFormTeeGeneral.CBAllFontsClick"
		size = 39
		refs = "0018 TFormTeeGeneral.DoSelectAllFonts 0021 TFormTeeGeneral.SelectTitleFont"
	strings:
		$1 = { 53 8B D8 8B 83 04 04 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92394_0 {
	meta:
		name = "TFormTeeGeneral.DoSelectAllFonts"
		size = 15
	strings:
		$1 = { 8B 80 EC 03 00 00 8B 10 FF 92 1C 01 00 00 C3 }
	condition:
		$1
}

rule function_92395_0 {
	meta:
		name = "TFormTeeGeneral.CBZoomAspectClick"
		size = 34
	strings:
		$1 = { 53 8B D8 8B 83 08 04 00 00 8B 10 FF 92 F8 00 00 00 8B 93 80 04 00 00 8B 92 74 03 00 00 88 42 2A 5B C3 }
	condition:
		$1
}

rule function_92396_0 {
	meta:
		name = "TFormTeeGeneral.CBInsideBoundsClick"
		size = 34
	strings:
		$1 = { 53 8B D8 8B 83 0C 04 00 00 8B 10 FF 92 F8 00 00 00 8B 93 80 04 00 00 8B 92 F4 02 00 00 88 42 18 5B C3 }
	condition:
		$1
}

rule function_92397_0 {
	meta:
		name = "TFormTeeGeneral.CBZoomTextChange"
		size = 98
		refs = "0020 TView3DOptions.SetZoomText"
	strings:
		$1 = { 53 8B D8 8B 83 1C 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 80 04 00 00 8B 80 08 03 00 00 E8 ?? ?? ?? ?? 8B 83 80 04 00 00 8B 80 08 03 00 00 80 78 58 00 0F 94 C2 8B 83 14 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 14 04 00 00 8B 10 FF 52 68 8B D0 8B 83 18 04 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92398_0 {
	meta:
		name = "TFormTeeGeneral.ETextSizeChange"
		size = 53
		refs = "001c TCustomUpDown.GetPosition 002f TView3DOptions.SetFontZoom"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 27 80 BB 60 04 00 00 00 75 1E 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 80 04 00 00 8B 80 08 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92399_0 {
	meta:
		name = "TFormTeeGeneral.CBPaletteChange"
		size = 47
		refs = "001b TCustomChart.SetColorPaletteIndex"
	strings:
		$1 = { 53 8B D8 8B 83 30 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 4A 8B 83 80 04 00 00 E8 ?? ?? ?? ?? 8B 83 2C 04 00 00 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92400_0 {
	meta:
		name = "TFormTeeGeneral.Draw3D1AfterDraw"
		size = 313
		refs = "0014 TFormTeeGeneral.Draw3D1AfterDraw 002f TColorArray 0034 @DynArrayAsg 0043 ColorPalette 0058 @DynArrayLength 00ad @ROUND 00e6 TBrush.SetColor 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 96 80 04 00 00 8B 92 54 04 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 75 16 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 9E 2C 04 00 00 8B 53 50 8B CA 85 C9 79 03 83 C1 03 C1 F9 02 89 4D E4 D1 FA 79 03 83 D2 00 03 D1 89 55 EC 8B 53 54 83 EA 08 89 55 E0 DB 45 E0 89 45 DC DB 45 DC DE F9 D9 5D F8 9B 48 85 C0 7C 72 40 89 45 F4 33 DB 89 5D E0 DB 45 E0 D8 4D F8 E8 ?? ?? ?? ?? 83 C0 04 89 45 E8 8D 43 01 89 45 E0 DB 45 E0 D8 4D F8 E8 ?? ?? ?? ?? 8B F8 83 C7 04 89 7D F0 8B 45 FC 8B 14 98 8B 86 2C 04 00 00 8B 80 40 03 00 00 8B 40 04 E8 ?? ?? ?? ?? 8B 45 EC 50 57 8B 86 2C 04 00 00 8B 80 40 03 00 00 8B 4D E8 8B 55 E4 8B 38 FF 97 8C 00 00 00 43 FF 4D F4 75 94 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92401_0 {
	meta:
		name = "TFormTeeGeneral.CBWheelClick"
		size = 34
	strings:
		$1 = { 53 8B D8 8B 83 5C 04 00 00 8B 10 FF 92 F8 00 00 00 8B 93 80 04 00 00 8B 92 F4 02 00 00 88 42 19 5B C3 }
	condition:
		$1
}

rule function_92402_0 {
	meta:
		name = "TFormTeeGeneral.CheckMouseButton"
		size = 263
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 0C 8B C7 8B 10 FF 92 F8 00 00 00 85 C0 75 51 8B 86 80 04 00 00 8B 90 74 03 00 00 C6 42 18 01 88 5A 34 8B 86 80 04 00 00 3A 98 70 03 00 00 0F 85 BB 00 00 00 0F B6 55 08 88 90 70 03 00 00 80 B8 68 03 00 00 00 0F 84 A4 00 00 00 BA 01 00 00 00 8B 45 FC 8B 08 FF 91 FC 00 00 00 E9 8F 00 00 00 8B C7 8B 10 FF 92 F8 00 00 00 48 75 49 8B 86 80 04 00 00 80 B8 68 03 00 00 00 75 07 C6 80 68 03 00 00 03 8B 86 80 04 00 00 88 98 70 03 00 00 8B 90 74 03 00 00 3A 5A 34 75 55 0F B6 45 08 88 42 34 80 7A 18 00 74 48 33 D2 8B 45 FC 8B 08 FF 91 FC 00 00 00 EB 39 8B 86 80 04 00 00 8B 80 74 03 00 00 80 78 18 00 74 09 3A 58 34 75 04 C6 40 18 00 8B 86 80 04 00 00 3A 98 70 03 00 00 75 10 80 B8 68 03 00 00 00 74 07 C6 80 68 03 00 00 00 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_92403_0 {
	meta:
		name = "TFormTeeGeneral.CBLeftButtonChange"
		size = 22
		refs = "0011 TFormTeeGeneral.CheckMouseButton"
	strings:
		$1 = { 6A 00 6A 01 8B 88 50 04 00 00 8B 90 40 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92404_0 {
	meta:
		name = "TFormTeeGeneral.CBRightButtonChange"
		size = 22
		refs = "0011 TFormTeeGeneral.CheckMouseButton"
	strings:
		$1 = { 6A 01 6A 00 8B 88 40 04 00 00 8B 90 50 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92405_0 {
	meta:
		name = "TFormTeeGeneral.CBMidButtonChange"
		size = 22
		refs = "0011 TFormTeeGeneral.CheckMouseButton"
	strings:
		$1 = { 6A 02 6A 01 8B 88 50 04 00 00 8B 90 48 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92408_0 {
	meta:
		name = "EditTeeGradient"
		size = 10
		refs = "0005 EditTeeGradient"
	strings:
		$1 = { 6A 00 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92409_0 {
	meta:
		name = "CreateGradientEditor"
		size = 108
		refs = "0010 _DV_TTeeGradientEditor 0015 TeeCreateForm 0020 @AsClass 0040 TControl.SetVisible"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B F2 8B D8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 73 0C 0F B6 45 FF 88 83 41 04 00 00 84 C0 74 1A 8B 83 CC 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 83 C4 03 00 00 33 D2 E8 ?? ?? ?? ?? 0F B6 55 08 80 F2 01 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_92410_0 {
	meta:
		name = "EditTeeGradient"
		size = 90
		refs = "000d CreateGradientEditor 0018 EditTeeGradient 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 0F B6 5D 08 53 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 92 20 01 00 00 48 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_92411_0 {
	meta:
		name = "TTeeGradientEditor.CreateCustom"
		size = 135
		refs = "000d @ClassCreate 001a TCustomForm.Create 0039 TControl.SetVisible 0066 TControl.SetHeight 0071 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 86 48 04 00 00 8B 86 48 04 00 00 89 46 0C 8B 86 D8 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 86 DC 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 86 E0 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 56 54 8B 86 DC 03 00 00 2B 50 54 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_92412_0 {
	meta:
		name = "TTeeGradientEditor.CheckVisible"
		size = 116
		refs = "006c EnableControls"
	strings:
		$1 = { 83 C4 E4 80 B8 41 04 00 00 00 75 10 8B 90 48 04 00 00 80 7A 28 00 75 04 33 D2 EB 02 B2 01 8B 88 F0 03 00 00 89 0C 24 8B 88 C8 03 00 00 89 4C 24 04 8B 88 D4 03 00 00 89 4C 24 08 8B 88 D0 03 00 00 89 4C 24 0C 8B 88 CC 03 00 00 89 4C 24 10 8B 88 C4 03 00 00 89 4C 24 14 8B 80 F8 03 00 00 89 44 24 18 8B C4 B9 06 00 00 00 92 E8 ?? ?? ?? ?? 83 C4 1C C3 }
	condition:
		$1
}

rule function_92413_0 {
	meta:
		name = "TTeeGradientEditor.CheckDirection"
		size = 162
		refs = "005b EnableControls"
	strings:
		$1 = { 53 56 83 C4 E8 8B D8 8B B3 48 04 00 00 0F B6 46 0C 3C 04 74 10 3C 07 74 0C 3C 05 74 08 3C 06 74 04 33 C0 EB 02 B0 01 80 BB 41 04 00 00 00 75 0E 80 7E 28 00 74 04 84 C0 74 04 33 C0 EB 02 B0 01 8B 93 D4 03 00 00 89 14 24 8B 93 D0 03 00 00 89 54 24 04 8B D4 B9 01 00 00 00 E8 ?? ?? ?? ?? 80 7E 0C 07 0F 94 C0 8B 93 AC 03 00 00 89 54 24 08 8B 93 B0 03 00 00 89 54 24 0C 8B 93 BC 03 00 00 89 54 24 10 8B 93 C0 03 00 00 89 54 24 14 8D 54 24 08 B9 03 00 00 00 E8 ?? ?? ?? ?? 83 C4 18 5E 5B C3 }
	condition:
		$1
}

rule function_92414_0 {
	meta:
		name = "TTeeGradientEditor.CBVisibleClick"
		size = 46
		refs = "0021 TCustomTeeGradient.SetVisible 0028 TTeeGradientEditor.CheckVisible"
	strings:
		$1 = { 53 8B D8 C6 83 40 04 00 00 01 8B 83 E8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 48 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92415_0 {
	meta:
		name = "TTeeGradientEditor.CBDirectionChange"
		size = 139
		refs = "0022 TCustomTeeGradient.SetDirection 0029 TTeeGradientEditor.CheckDirection 0030 TTeeGradientEditor.IsRectGradient 0078 TChartGalleryPanel.GetChart"
	strings:
		$1 = { 53 56 8B D8 C6 83 40 04 00 00 01 8B 83 F0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 48 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 11 83 CA FF 8B 83 F8 03 00 00 8B 08 FF 91 FC 00 00 00 8B C3 8B 10 FF 92 2C 01 00 00 8B B3 14 04 00 00 8B 86 98 02 00 00 83 78 08 00 7E 23 8B 83 F0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 FC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92416_0 {
	meta:
		name = "TTeeGradientEditor.RefreshGradient"
		size = 304
		refs = "002d TObject.Free 0038 _Dn_TTeeGradient 003d TCustomTeeGradient.Create 0057 TTeeGradientEditor.RefreshGradient 0068 TTeeButton.LinkProperty 00a5 TTeeGradientEditor.CheckVisible 00ac TTeeGradientEditor.CheckDirection 00bd TTeeGradientEditor.SelectDirection"
	strings:
		$1 = { 53 56 8B F0 C6 86 42 04 00 00 01 89 56 0C 8B C2 89 86 48 04 00 00 85 C0 0F 84 A3 00 00 00 8D 86 3C 04 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 6A 00 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E 3C 04 00 00 8B 96 48 04 00 00 8B C3 8B 08 FF 51 08 B9 ?? ?? ?? ?? 8B 96 48 04 00 00 8B 86 C8 03 00 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 96 48 04 00 00 8B 86 D0 03 00 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 96 48 04 00 00 8B 86 CC 03 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 28 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 2C 01 00 00 8B C6 E8 ?? ?? ?? ?? C6 86 42 04 00 00 00 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 74 00 61 00 72 00 74 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 69 00 64 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 6E 00 64 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_92417_0 {
	meta:
		name = "TTeeGradientEditor.RefreshControls"
		size = 372
		refs = "000f TTeeGradientEditor.RefreshControls 0029 TScrollBar.SetPosition 0054 TCustomTeeGradient.GetMidColor 0078 TTrackBar.SetPosition 0083 IntToStr 0091 TControl.SetText 00c6 TCustomUpDown.SetPosition 00db TCustomTeeGradient.GetSub 00e8 TButtonGradient.LinkGradient 0148 TTeeGradientEditor.SetDirectionGradients 0162 @UStrArrayClr 0168 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 48 04 00 00 8B 56 08 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 0F B6 56 28 8B 83 E8 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 56 0C 8B 83 F0 03 00 00 8B 08 FF 91 FC 00 00 00 8B C6 E8 ?? ?? ?? ?? 3D FF FF FF 1F 0F 94 C2 8B 83 D4 03 00 00 8B 08 FF 91 FC 00 00 00 8B 56 18 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 46 18 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B 56 1C 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 46 1C E8 ?? ?? ?? ?? 8B 55 F8 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 56 04 8B 83 34 04 00 00 E8 ?? ?? ?? ?? 8B 56 04 8B 83 38 04 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 24 04 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 50 60 8B 83 20 04 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 50 28 8B 83 28 04 00 00 8B 08 FF 91 FC 00 00 00 8B 83 C8 03 00 00 8B 10 FF 92 9C 00 00 00 8B 83 D0 03 00 00 8B 10 FF 92 9C 00 00 00 8B 83 CC 03 00 00 8B 10 FF 92 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92418_0 {
	meta:
		name = "TTeeGradientEditor.SetDirectionGradients"
		size = 166
		refs = "0030 TChartGalleryPanel.GetChart 0035 TCustomChart.GetBackWall 003a TTeeCustomShape.GetGradient 004c TCustomTeeGradient.SetStartColor 0057 TCustomTeeGradient.GetMidColor 0060 TCustomTeeGradient.SetMidColor 0070 TCustomTeeGradient.SetEndColor"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 83 14 04 00 00 8B 80 98 02 00 00 8B 40 08 85 C0 0F 8E 84 00 00 00 8B F8 4F 85 FF 7C 54 47 33 ED 8B D5 8B 83 14 04 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 83 48 04 00 00 8B 50 20 8B C6 E8 ?? ?? ?? ?? 8B 83 48 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 48 04 00 00 8B 50 10 8B C6 E8 ?? ?? ?? ?? 45 4F 75 AF 8B 83 F0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B B3 14 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 FC 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92419_0 {
	meta:
		name = "TTeeGradientEditor.FormShow"
		size = 56
		refs = "0032 TeeTranslateControl"
	strings:
		$1 = { 53 8B D8 8B 83 48 04 00 00 85 C0 74 0E 8B D0 8B C3 8B 08 FF 91 30 01 00 00 EB 0D 8B 53 0C 8B C3 8B 08 FF 91 30 01 00 00 C6 83 40 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92420_0 {
	meta:
		name = "TTeeGradientEditor.BCancelClick"
		size = 47
	strings:
		$1 = { 53 56 8B D8 80 BB 40 04 00 00 00 74 1F 8B 93 3C 04 00 00 8B 83 48 04 00 00 8B 08 FF 51 08 8B B3 48 04 00 00 8B D3 8B 46 44 FF 56 40 5E 5B C3 }
	condition:
		$1
}

rule function_92421_0 {
	meta:
		name = "TTeeGradientEditor.BSwapClick"
		size = 82
		refs = "001b TCustomTeeGradient.SetStartColor 0024 TCustomTeeGradient.SetEndColor"
	strings:
		$1 = { 53 56 57 8B D8 C6 83 40 04 00 00 01 8B B3 48 04 00 00 8B 7E 20 8B 56 10 8B C6 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 83 C8 03 00 00 8B 10 FF 92 A0 00 00 00 8B 83 CC 03 00 00 8B 10 FF 92 A0 00 00 00 8B C3 8B 10 FF 92 2C 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92422_0 {
	meta:
		name = "TTeeGradientEditor.CBMidClick"
		size = 126
		refs = "0031 TCustomTeeGradient.SetMidColor 003e TCustomTeeGradient.UseMiddleColor 0049 TCustomTeeGradient.GetMidColor"
	strings:
		$1 = { 53 8B D8 80 BB 42 04 00 00 00 75 70 C6 83 40 04 00 00 01 8B 83 D4 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 12 BA FF FF FF 1F 8B 83 48 04 00 00 E8 ?? ?? ?? ?? EB 2D 8B 83 48 04 00 00 E8 ?? ?? ?? ?? 8B 83 48 04 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 75 10 BA FF FF FF 00 8B 83 48 04 00 00 E8 ?? ?? ?? ?? 8B 83 D0 03 00 00 8B 10 FF 92 A0 00 00 00 8B C3 8B 10 FF 92 2C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_92423_0 {
	meta:
		name = "TTeeGradientEditor.BMidClick"
		size = 55
		refs = "0011 TCustomTeeGradient.GetMidColor"
	strings:
		$1 = { 53 8B D8 C6 83 40 04 00 00 01 8B 83 48 04 00 00 E8 ?? ?? ?? ?? 3D FF FF FF 1F 0F 94 C2 8B 83 D4 03 00 00 8B 08 FF 91 FC 00 00 00 8B C3 8B 10 FF 92 2C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_92424_0 {
	meta:
		name = "AddGallery"
		size = 73
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B F2 85 F6 7C 30 46 C7 45 F8 00 00 00 00 8B 5D FC 8B 45 08 8B 40 FC 8B 80 F8 03 00 00 8B 80 88 02 00 00 8B 4D F8 8B 13 8B 38 FF 57 3C FF 45 F8 83 C3 04 4E 75 DB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92425_0 {
	meta:
		name = "TTeeGradientEditor.FormCreate"
		size = 708
		refs = "0010 TControl.SetAlign 001a _DV_TPreviewGradient 001f TCustomTeePanelExtended.Create 0053 TTeeGradientEditor.FormCreate 00e3 AddGallery 00fb TPageControl.SetActivePage"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 89 45 FC B2 05 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 44 04 00 00 8B 45 FC 8B 90 F4 03 00 00 8B C3 8B 08 FF 91 84 00 00 00 8B 45 FC 8B 80 44 04 00 00 B2 05 E8 ?? ?? ?? ?? 55 B8 ?? ?? ?? ?? 89 45 B8 B8 ?? ?? ?? ?? 89 45 BC B8 ?? ?? ?? ?? 89 45 C0 B8 ?? ?? ?? ?? 89 45 C4 B8 ?? ?? ?? ?? 89 45 C8 B8 ?? ?? ?? ?? 89 45 CC B8 ?? ?? ?? ?? 89 45 D0 B8 ?? ?? ?? ?? 89 45 D4 B8 ?? ?? ?? ?? 89 45 D8 B8 ?? ?? ?? ?? 89 45 DC B8 ?? ?? ?? ?? 89 45 E0 B8 ?? ?? ?? ?? 89 45 E4 B8 ?? ?? ?? ?? 89 45 E8 B8 ?? ?? ?? ?? 89 45 EC B8 ?? ?? ?? ?? 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 B8 ?? ?? ?? ?? 89 45 F8 8D 45 B8 BA 10 00 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 90 94 03 00 00 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 61 00 72 00 69 00 62 00 65 00 20 00 53 00 75 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 42 00 75 00 73 00 69 00 6E 00 65 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 48 00 6F 00 74 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 46 00 61 00 72 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 65 00 61 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4E 00 69 00 67 00 68 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 70 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 47 00 6F 00 6C 00 66 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 75 00 6E 00 6B 00 79 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 75 00 6E 00 73 00 65 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 52 00 61 00 69 00 6E 00 62 00 6F 00 77 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 50 00 61 00 73 00 74 00 65 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 72 00 6F 00 70 00 69 00 63 00 61 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 65 00 61 00 20 00 32 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 65 00 73 00 65 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 6C 00 65 00 61 00 72 00 20 00 64 00 61 00 79 00 00 00 }
	condition:
		$1
}

rule function_92426_0 {
	meta:
		name = "TTeeGradientEditor.TrackBar1Change"
		size = 116
		refs = "000c TTeeGradientEditor.TrackBar1Change 0030 TCustomTeeGradient.SetRadialX 0041 IntToStr 004f TControl.SetText 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 83 40 04 00 00 01 8B 83 BC 03 00 00 8B 90 98 02 00 00 8B 83 48 04 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 48 04 00 00 8B 40 18 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92427_0 {
	meta:
		name = "TTeeGradientEditor.TrackBar2Change"
		size = 116
		refs = "000c TTeeGradientEditor.TrackBar2Change 0030 TCustomTeeGradient.SetRadialY 0041 IntToStr 004f TControl.SetText 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 83 40 04 00 00 01 8B 83 C0 03 00 00 8B 90 98 02 00 00 8B 83 48 04 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 48 04 00 00 8B 40 1C E8 ?? ?? ?? ?? 8B 55 FC 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92428_0 {
	meta:
		name = "TTeeGradientEditor.SBBalanceChange"
		size = 180
		refs = "0015 TTeeGradientEditor.SBBalanceChange 0042 TCustomTeeGradient.SetBalance 004b TeeMsg_DefPercentFormat 0052 @UStrLAsg 0073 CurrencyString 007b FormatFloat 0089 TControl.SetText 00a3 @UStrArrayClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 C9 89 4D FC 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 42 04 00 00 00 75 1E C6 83 40 04 00 00 01 8B 83 A0 03 00 00 8B 90 7C 02 00 00 8B 83 48 04 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8B 83 48 04 00 00 DB 40 08 DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92429_0 {
	meta:
		name = "TTeeGradientEditor.BEndClick"
		size = 16
		altNames = "TTeeGradientEditor.BStartClick"
	strings:
		$1 = { C6 80 40 04 00 00 01 8B 10 FF 92 2C 01 00 00 C3 }
	condition:
		$1
}

rule function_92431_0 {
	meta:
		name = "TTeeGradientEditor.SetPreview"
		size = 143
		refs = "000a TCustomTeePanelExtended.GetGradient 0019 TCustomTeeGradient.SetVisible 0033 TCustomTeeGradient.SetDirection 004c TCustomTeeGradient.SetStartColor 0057 TCustomTeeGradient.GetMidColor 0069 TCustomTeeGradient.SetMidColor 0082 TCustomTeeGradient.SetEndColor 0089 TTeeGradientEditor.SetDirectionGradients"
	strings:
		$1 = { 53 8B D8 8B 83 44 04 00 00 E8 ?? ?? ?? ?? 8B 93 48 04 00 00 0F B6 52 28 E8 ?? ?? ?? ?? 8B 83 44 04 00 00 E8 ?? ?? ?? ?? 8B 93 48 04 00 00 0F B6 52 0C E8 ?? ?? ?? ?? 8B 83 44 04 00 00 E8 ?? ?? ?? ?? 8B 93 48 04 00 00 8B 52 20 E8 ?? ?? ?? ?? 8B 83 48 04 00 00 E8 ?? ?? ?? ?? 50 8B 83 44 04 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 83 44 04 00 00 E8 ?? ?? ?? ?? 8B 93 48 04 00 00 8B 52 10 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92432_0 {
	meta:
		name = "TTeeGradientEditor.IsRectGradient"
		size = 35
	strings:
		$1 = { 8B 90 48 04 00 00 0F B6 52 0C 84 D2 74 12 80 FA 01 74 0D 80 FA 02 74 08 80 FA 03 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_92433_0 {
	meta:
		name = "DefaultGradient"
		size = 112
		refs = "0011 TCustomTeeGradient.SetStartColor 001e TCustomTeeGradient.SetMidColor 002b TCustomTeeGradient.SetEndColor 0049 TCustomTeeGradient.SetDirection 0066 TCustomTeeGradient.SetBalance"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 55 10 8B 52 FC 92 E8 ?? ?? ?? ?? 8B 45 10 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 10 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 81 FB FF FF FF 1F 74 16 8B 45 10 80 78 FB 00 75 0D 8B 45 10 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 0F B6 55 0C 8B 45 10 8B 40 FC E8 ?? ?? ?? ?? 8B 45 10 8B 40 FC 8B 55 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_92434_0 {
	meta:
		name = "TTeeGradientEditor.DefaultGradient"
		size = 606
		refs = "001b TTeeGradientEditor.DefaultGradient 0078 DefaultGradient"
	strings:
		$1 = { 55 8B EC 83 C4 F8 88 4D FB 89 55 FC 8B 45 08 83 F8 10 0F 87 40 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 6A 00 6A 32 B9 F4 80 0B 00 BA 97 0A F5 00 B8 D2 DF DD 00 E8 ?? ?? ?? ?? 59 E9 D6 01 00 00 55 6A 00 6A 32 B9 80 80 80 00 BA FF FF FF 00 B8 C0 C0 C0 00 E8 ?? ?? ?? ?? 59 E9 B7 01 00 00 55 6A 00 6A 32 B9 FF FF 00 00 BA FF FF FF 1F B8 FF 00 00 00 E8 ?? ?? ?? ?? 59 E9 98 01 00 00 55 6A 01 6A 4A 33 C9 BA 80 80 FF 00 33 C0 E8 ?? ?? ?? ?? 59 E9 7F 01 00 00 55 6A 01 6A 04 B9 C4 62 00 00 BA FF FF FF 00 B8 D5 6A 00 00 E8 ?? ?? ?? ?? 59 E9 60 01 00 00 55 6A 01 6A 37 B9 00 00 80 00 BA 80 80 FF 00 B8 80 FF FF 00 E8 ?? ?? ?? ?? 59 E9 41 01 00 00 55 6A 00 6A 28 33 C9 BA 40 00 80 00 B8 FF FF FF 00 E8 ?? ?? ?? ?? 59 E9 25 01 00 00 55 6A 05 6A 32 B9 FF FF FF 00 BA 40 00 80 00 B8 20 03 A5 00 E8 ?? ?? ?? ?? 59 E9 06 01 00 00 55 6A 00 6A 32 B9 86 F9 D9 00 BA C0 C0 C0 00 B8 02 99 15 00 E8 ?? ?? ?? ?? 59 E9 E7 00 00 00 55 6A 00 6A 32 B9 85 EB 52 00 BA 7A 60 87 00 B8 81 38 BD 00 E8 ?? ?? ?? ?? 59 E9 C8 00 00 00 55 6A 00 6A 32 B9 42 10 00 00 BA AF D8 A7 00 B8 06 5A B8 00 E8 ?? ?? ?? ?? 59 E9 A9 00 00 00 55 6A 00 6A 32 B9 1A 01 DD 00 BA 55 83 0F 00 B8 E8 1E A1 00 E8 ?? ?? ?? ?? 59 E9 8A 00 00 00 55 6A 00 6A 32 B9 9D 8B FD 00 BA F6 91 94 00 B8 89 74 24 00 E8 ?? ?? ?? ?? 59 EB 6E 55 6A 00 6A 32 B9 61 D7 20 00 BA F3 2F 73 00 B8 4B 41 9A 00 E8 ?? ?? ?? ?? 59 EB 52 55 6A 00 6A 32 B9 F9 1E 29 00 BA E1 CB BA 00 B8 1C 03 4C 00 E8 ?? ?? ?? ?? 59 EB 36 55 6A 00 6A 32 B9 57 44 60 00 BA 85 71 CE 00 B8 B7 5F 26 00 E8 ?? ?? ?? ?? 59 EB 1A 55 6A 00 6A 32 B9 FF DB CE 00 BA E9 E6 E0 00 B8 EA F3 FF 00 E8 ?? ?? ?? ?? 59 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_92435_0 {
	meta:
		name = "TTeeGradientEditor.GalleryClick"
		size = 96
		refs = "0036 TTeeGradientEditor.IsRectGradient 0045 TTeeGradientEditor.DefaultGradient"
	strings:
		$1 = { 53 56 8B D8 8B 83 F8 03 00 00 8B 10 FF 92 F8 00 00 00 40 74 48 8B B3 F8 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 88 02 00 00 8B 08 FF 51 18 50 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 93 48 04 00 00 8B 03 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 28 01 00 00 8B C3 8B 10 FF 92 2C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92436_0 {
	meta:
		name = "TTeeGradientEditor.DirectionsChangeChart"
		size = 85
		refs = "0017 TList.IndexOf 0026 TCustomTeeGradient.SetDirection 0044 TTeeGradientEditor.CheckDirection"
	strings:
		$1 = { 53 56 8B D8 8B 83 14 04 00 00 8B 90 D8 02 00 00 8B 80 98 02 00 00 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 83 48 04 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 F0 03 00 00 8B 08 FF 91 FC 00 00 00 C6 83 40 04 00 00 01 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 2C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92437_0 {
	meta:
		name = "TPreviewGradient.InternalDraw"
		size = 9
	strings:
		$1 = { 8B 08 FF 91 18 01 00 00 C3 }
	condition:
		$1
}

rule function_92438_0 {
	meta:
		name = "TButtonGradient.Click"
		size = 129
		refs = "0017 TButtonGradient.GetEditor 002b TButtonGradient.Click 0048 TCustomButton.Click 006a TObject.Free 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 B8 D8 02 00 00 00 74 63 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 92 20 01 00 00 48 0F 94 C0 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 84 C0 74 13 8B 45 FC 8B 10 FF 92 A0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 E0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_94452_0 {
	meta:
		name = "TButtonPen.Click"
		size = 129
		refs = "0017 TButtonPen.GetEditor 002b TButtonPen.Click 0048 TCustomButton.Click 006a TObject.Free 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 B8 D8 02 00 00 00 74 63 8B 45 FC E8 ?? ?? ?? ?? 8B 10 FF 92 20 01 00 00 48 0F 94 C0 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 84 C0 74 13 8B 45 FC 8B 10 FF 92 A0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 E0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_92439_0 {
	meta:
		name = "TButtonGradient.DrawSymbol"
		size = 150
		refs = "0022 TTeeButton.SymbolRectangle 002b TButtonGradient.GetGradient 0036 TCustomTeeGradient.Draw 0040 TPen.SetStyle 0047 TTeeCanvas.GetGradient 0057 TPen.SetColor 0070 TBrush.SetStyle"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B C3 8B 10 FF 52 68 84 C0 74 7C 83 BB D8 02 00 00 00 74 73 8B D4 8B C3 E8 ?? ?? ?? ?? 6A 00 8B C3 E8 ?? ?? ?? ?? 8D 4C 24 04 8B D6 E8 ?? ?? ?? ?? 33 D2 8B 46 10 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 80 78 28 00 74 0C 33 D2 8B 46 10 E8 ?? ?? ?? ?? EB 0D BA 80 80 80 00 8B 46 10 E8 ?? ?? ?? ?? B2 01 8B 46 04 E8 ?? ?? ?? ?? 8B 44 24 08 50 8B 44 24 10 50 8B 4C 24 0C 8B 54 24 08 8B C6 8B 18 FF 93 8C 00 00 00 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_92440_0 {
	meta:
		name = "TButtonGradient.EditorDestroy"
		size = 41
		altNames = "TButtonPen.EditorDestroy"
	strings:
		$1 = { 53 8B D8 66 83 BB EA 02 00 00 00 74 12 8B 93 E0 02 00 00 8B 83 EC 02 00 00 FF 93 E8 02 00 00 33 C0 89 83 E0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_92441_0 {
	meta:
		name = "TButtonGradient.GetEditor"
		size = 101
		refs = "0012 TButtonGradient.GetGradient 0022 CreateGradientEditor 0058 TButtonGradient.EditorDestroy"
	strings:
		$1 = { 53 56 8B D8 83 BB E0 02 00 00 00 75 4F 6A 00 8B C3 E8 ?? ?? ?? ?? 8B D0 0F B6 8B F0 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 89 B3 E0 02 00 00 8B 86 40 03 00 00 89 83 E8 02 00 00 8B 86 44 03 00 00 89 83 EC 02 00 00 8B 83 E0 02 00 00 89 98 44 03 00 00 C7 80 40 03 00 00 ?? ?? ?? ?? 8B 83 E0 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92443_0 {
	meta:
		name = "TButtonGradient.LinkGradient"
		size = 24
		refs = "0008 TTeeButton.LinkProperty"
		altNames = "TButtonPen.LinkPen"
	strings:
		$1 = { 56 8B F0 33 C9 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_92444_0 {
	meta:
		name = "TTeeGradientEditor.FormDestroy"
		size = 35
		refs = "0012 TObject.Free"
	strings:
		$1 = { 53 8B D8 8D 83 44 04 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 83 3C 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92445_0 {
	meta:
		name = "TTeeGradientEditor.SBTranspChange"
		size = 34
		refs = "000a TCustomTeeGradient.GetSub 001c TSubGradient.SetTransparency"
	strings:
		$1 = { 53 8B D8 8B 83 48 04 00 00 E8 ?? ?? ?? ?? 8B 93 20 04 00 00 0F B6 92 7C 02 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92446_0 {
	meta:
		name = "TTeeGradientEditor.CBSubVisibleClick"
		size = 37
		refs = "0019 TCustomTeeGradient.GetSub 001f TCustomTeeGradient.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 28 04 00 00 8B 10 FF 92 F8 00 00 00 50 8B 83 48 04 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92447_0 {
	meta:
		name = "TTeeGradientEditor.EAngleChange"
		size = 62
		refs = "0013 TCustomUpDown.GetPosition 0020 TCustomTeeGradient.SetAngle 0038 TTrackBar.SetPosition"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 30 8B 83 34 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 48 04 00 00 E8 ?? ?? ?? ?? 8B 83 34 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 38 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92448_0 {
	meta:
		name = "TTeeGradientEditor.TBAngleChange"
		size = 60
		refs = "001f TCustomTeeGradient.SetAngle 0036 TCustomUpDown.SetPosition"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 2E 8B 83 38 04 00 00 8B 90 98 02 00 00 8B 83 48 04 00 00 E8 ?? ?? ?? ?? 8B 83 38 04 00 00 8B 90 98 02 00 00 8B 83 34 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92449_0 {
	meta:
		name = "Apply"
		size = 189
		refs = "001a TChartGalleryPanel.GetChart 0033 TCustomTeePanel.SetView3D 0040 TChartAxes.SetVisible 0047 TCustomChart.GetBackWall 004c TTeeCustomShape.GetGradient 0053 TCustomTeeGradient.SetVisible 0061 TTeeCustomShape.SetTransparent 006f TCustomTeePanel.SetMargin 00b5 TCustomTeeGradient.SetDirection"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 0F B6 D3 8B 45 08 8B 40 08 8B 40 FC 8B 80 14 04 00 00 E8 ?? ?? ?? ?? 8B F0 8B 86 70 04 00 00 8B 40 5C 8B 10 FF 52 44 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 86 A8 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? B9 10 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? B9 16 00 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? B9 10 00 00 00 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? B9 16 00 00 00 BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_92450_0 {
	meta:
		name = "AddDirectionGallery"
		size = 383
		refs = "000c AddDirectionGallery 002f TChartGalleryPanel.SetNumRows 0045 TChartGalleryPanel.SetNumCols 005a _Dn_TGalleryChart 005f TGalleryChart.Create 007a TList.Add 00ac TChartGalleryPanel.ChartEvent 00c8 TChartGalleryPanel.ChartOnDblClick 010f @UStrAsg 0118 TControl.SetShowHint 0120 Apply 013c TChartGalleryPanel.ResizeCharts 014d TeeTranslateControl 0158 TTeeGradientEditor.SelectDirection 016d @UStrClr 0173 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 14 04 00 00 C6 80 A0 02 00 00 00 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 14 04 00 00 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 DB 8B 45 08 8B 40 FC 8B 88 14 04 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 40 FC 8B 80 14 04 00 00 8B 80 98 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 14 04 00 00 8B C6 8B 08 FF 91 84 00 00 00 8B 45 08 8B 40 FC 8B 80 14 04 00 00 89 86 1C 01 00 00 C7 86 18 01 00 00 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 14 04 00 00 89 86 24 01 00 00 C7 86 20 01 00 00 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 14 04 00 00 89 86 0C 02 00 00 C7 86 08 02 00 00 ?? ?? ?? ?? 8D 4D FC 0F B6 D3 8B 45 08 8B 40 FC 8B 80 F0 03 00 00 8B 80 B4 02 00 00 8B 38 FF 57 0C 8B 55 FC 8D 86 88 00 00 00 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 55 8B C3 E8 ?? ?? ?? ?? 59 43 80 FB 0A 0F 85 1C FF FF FF 8B 45 08 8B 40 FC 8B 80 14 04 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 14 04 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92451_0 {
	meta:
		name = "TTeeGradientEditor.PageControl1Change"
		size = 64
		refs = "0038 AddDirectionGallery"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 90 03 00 00 8B 80 DC 02 00 00 8B 55 FC 3B 82 10 04 00 00 75 1C 8B 45 FC 8B 80 14 04 00 00 8B 80 98 02 00 00 83 78 08 00 75 07 55 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_92452_0 {
	meta:
		name = "TTeeGradientEditor.SelectDirection"
		size = 60
		refs = "0028 TChartGalleryPanel.GetChart"
	strings:
		$1 = { 53 56 57 8B D8 8B BB 48 04 00 00 85 FF 74 29 8B B3 14 04 00 00 8B 86 98 02 00 00 83 78 08 00 7E 17 0F B6 57 0C 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 FC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92455_0 {
	meta:
		name = "TFormTeeLegend.CreateLegend"
		size = 75
		refs = "000e @ClassCreate 0029 TFormTeeLegend.SetLegend 0034 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 8B DA 8B F0 8B CF 33 D2 8B C6 8B 38 FF 57 38 8B 55 08 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_92456_0 {
	meta:
		name = "TFormTeeLegend.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TCustomForm.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 90 04 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_92457_0 {
	meta:
		name = "TFormTeeLegend.SetLegend"
		size = 34
		refs = "0015 InsertTeeObjectForm"
	strings:
		$1 = { 53 56 8B D8 8B F2 89 B3 94 04 00 00 8B D6 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 89 83 98 04 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92458_0 {
	meta:
		name = "TFormTeeLegend.SEMarginChange"
		size = 75
		refs = "0016 TCustomChartLegend.GetVertical 0025 TCustomUpDown.GetPosition 002e TCustomChartLegend.SetHorizMargin 0044 TCustomChartLegend.SetVertMargin"
	strings:
		$1 = { 53 56 8B D8 80 BB 90 04 00 00 00 75 3B 8B B3 94 04 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 16 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 14 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92459_0 {
	meta:
		name = "TFormTeeLegend.CBLegendStyleChange"
		size = 32
		refs = "001a TCustomChartLegend.SetLegendStyle"
	strings:
		$1 = { 53 8B D8 8B 83 A8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92460_0 {
	meta:
		name = "TFormTeeLegend.SETopPosChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TCustomChartLegend.SetTopLeftPos"
	strings:
		$1 = { 53 8B D8 80 BB 90 04 00 00 00 75 18 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92461_0 {
	meta:
		name = "TFormTeeLegend.CBLegStyleChange"
		size = 32
		refs = "001a TCustomChartLegend.SetTextStyle"
	strings:
		$1 = { 53 8B D8 8B 83 AC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92462_0 {
	meta:
		name = "TFormTeeLegend.CBShowClick"
		size = 32
		refs = "001a TTeeCustomShapeBrushPen.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 A0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92463_0 {
	meta:
		name = "TFormTeeLegend.CBResizeChartClick"
		size = 32
		refs = "001a TCustomChartLegend.SetResizeChart"
	strings:
		$1 = { 53 8B D8 8B 83 BC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92464_0 {
	meta:
		name = "TFormTeeLegend.CBInvertedClick"
		size = 32
		refs = "001a TCustomChartLegend.SetInverted"
	strings:
		$1 = { 53 8B D8 8B 83 A4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92465_0 {
	meta:
		name = "TFormTeeLegend.FormShow"
		size = 432
		refs = "0021 TCustomUpDown.SetPosition 0052 TFormTeeLegend.SetLeftTop 0119 TCustomRadioGroup.SetItemIndex 0138 TButtonPen.LinkPen 013f TFormTeeLegend.EnableMarginControls 0146 TFormTeeLegend.EnableCustomPosition 014f _Dn_TSymbolEditor 0154 TCustomForm.Create 0165 AddFormTo 0183 TTabSheet.SetTabVisible 0194 TFormTeeShape.RefreshControls 019b TFormTeeLegend.RefreshTitle 01a9 TeeTranslateControl"
	strings:
		$1 = { 53 56 8B D8 8B 83 94 04 00 00 85 C0 0F 84 8D 01 00 00 8B F0 8B 96 98 00 00 00 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 0F B6 56 54 8B 83 04 04 00 00 8B 08 FF 91 FC 00 00 00 80 BE 80 00 00 00 00 0F 94 C2 8B 83 30 04 00 00 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 56 64 8B 83 08 04 00 00 8B 08 FF 91 FC 00 00 00 0F B6 96 81 00 00 00 8B 83 BC 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 56 78 8B 83 A8 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 96 8C 00 00 00 8B 83 AC 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 56 10 8B 83 A0 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 56 6C 8B 83 A4 03 00 00 8B 08 FF 91 FC 00 00 00 80 7E 59 00 74 30 80 7E 5A 00 75 15 BA 01 00 00 00 8B 83 0C 04 00 00 8B 08 FF 91 FC 00 00 00 EB 25 BA 02 00 00 00 8B 83 0C 04 00 00 8B 08 FF 91 FC 00 00 00 EB 10 33 D2 8B 83 0C 04 00 00 8B 08 FF 91 FC 00 00 00 0F B6 56 58 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 8B 96 A4 00 00 00 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 8B 56 5C 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8E 88 00 00 00 8B 93 B4 03 00 00 E8 ?? ?? ?? ?? 8B 46 08 85 C0 74 0A F6 40 1C 10 74 04 33 D2 EB 02 B2 01 8B 83 38 04 00 00 E8 ?? ?? ?? ?? 8B 93 94 04 00 00 8B 83 98 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 90 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92466_0 {
	meta:
		name = "TFormTeeLegend.RefreshTitle"
		size = 226
		refs = "000d TFormTeeLegend.RefreshTitle 002b TCustomChartLegend.GetTitle 00bc TFormTeeShape.RefreshControls 00d1 @UStrClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 9C 04 00 00 00 0F 84 9C 00 00 00 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B 46 54 8B 08 FF 51 1C 8B 55 FC 8B 83 20 04 00 00 8B 80 A8 02 00 00 8B 08 FF 51 2C 0F B6 46 58 84 C0 75 12 33 D2 8B 83 28 04 00 00 8B 08 FF 91 FC 00 00 00 EB 2C 3C 02 75 15 BA 01 00 00 00 8B 83 28 04 00 00 8B 08 FF 91 FC 00 00 00 EB 13 BA 02 00 00 00 8B 83 28 04 00 00 8B 08 FF 91 FC 00 00 00 0F B6 56 10 8B 83 2C 04 00 00 8B 08 FF 91 FC 00 00 00 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 9C 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92467_0 {
	meta:
		name = "TFormTeeLegend.EnableCustomPosition"
		size = 228
		refs = "0019 TFormTeeLegend.SetLeftTop"
	strings:
		$1 = { 53 56 51 8B F0 0F B6 86 90 04 00 00 88 04 24 C6 86 90 04 00 00 01 8B C6 E8 ?? ?? ?? ?? 8B 86 94 04 00 00 0F B6 58 54 8B D3 8B 86 E4 03 00 00 8B 08 FF 91 80 00 00 00 8B D3 8B 86 F0 03 00 00 8B 08 FF 91 80 00 00 00 8B D3 8B 86 E8 03 00 00 8B 08 FF 91 80 00 00 00 8B D3 8B 86 F4 03 00 00 8B 08 FF 91 80 00 00 00 8B D3 8B 86 30 04 00 00 8B 08 FF 91 80 00 00 00 8B D3 80 F2 01 8B 86 BC 03 00 00 8B 08 FF 91 80 00 00 00 8B D3 80 F2 01 8B 86 D4 03 00 00 8B 08 FF 91 80 00 00 00 8B D3 80 F2 01 8B 86 D0 03 00 00 8B 08 FF 91 80 00 00 00 8B D3 80 F2 01 8B 86 C4 03 00 00 8B 08 FF 91 80 00 00 00 8B D3 80 F2 01 8B 86 C8 03 00 00 8B 08 FF 91 80 00 00 00 0F B6 04 24 88 86 90 04 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_92468_0 {
	meta:
		name = "TFormTeeLegend.EnableMarginControls"
		size = 58
		refs = "000d TCustomChartLegend.GetVertical 001f TCustomUpDown.SetPosition"
	strings:
		$1 = { 53 56 8B D8 8B B3 94 04 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 11 8B 56 68 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B 96 A0 00 00 00 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92469_0 {
	meta:
		name = "TFormTeeLegend.FormCreate"
		size = 25
		refs = "0014 TPageControl.SetActivePage"
	strings:
		$1 = { C6 80 90 04 00 00 01 8B 90 94 03 00 00 8B 80 90 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92470_0 {
	meta:
		name = "TFormTeeLegend.EVertSpacingChange"
		size = 47
		refs = "001c TCustomUpDown.GetPosition 0029 TCustomChartLegend.SetVertSpacing"
	strings:
		$1 = { 53 8B D8 80 BB 90 04 00 00 00 75 21 83 BB 94 04 00 00 00 74 18 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92471_0 {
	meta:
		name = "TFormTeeLegend.RGPositionClick"
		size = 25
		refs = "0014 TCustomChartLegend.SetAlignment"
	strings:
		$1 = { 8B 90 D8 03 00 00 0F B6 92 88 02 00 00 8B 80 94 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92472_0 {
	meta:
		name = "TFormTeeLegend.CanChangePos"
		size = 27
	strings:
		$1 = { 80 B8 90 04 00 00 00 75 0C 8B 80 94 04 00 00 80 78 54 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_92473_0 {
	meta:
		name = "TFormTeeLegend.ECustLeftChange"
		size = 75
		refs = "0007 TFormTeeLegend.CanChangePos 0025 TCustomUpDown.GetPosition 002e TCustomChartLegend.SetLeftPercent 0044 TTeeCustomShapePosition.SetLeft"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 39 8B B3 94 04 00 00 80 BE 80 00 00 00 00 75 16 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 14 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92474_0 {
	meta:
		name = "TFormTeeLegend.ECustTopChange"
		size = 75
		refs = "0007 TFormTeeLegend.CanChangePos 0025 TCustomUpDown.GetPosition 002e TCustomChartLegend.SetTopPercent 0044 TTeeCustomShapePosition.SetTop"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 39 8B B3 94 04 00 00 80 BE 80 00 00 00 00 75 16 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 14 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92475_0 {
	meta:
		name = "TFormTeeLegend.CBCustPosClick"
		size = 74
		refs = "001a TTeeCustomShapePosition.SetCustomPosition 002d TCustomChartLegend.SetResizeChart 0044 TFormTeeLegend.EnableCustomPosition"
	strings:
		$1 = { 53 8B D8 8B 83 04 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 8B 83 94 04 00 00 80 78 54 00 74 17 33 D2 E8 ?? ?? ?? ?? 33 D2 8B 83 BC 03 00 00 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92476_0 {
	meta:
		name = "TFormTeeLegend.CBFontColorClick"
		size = 32
		refs = "001a TCustomChartLegend.SetFontSeriesColor"
	strings:
		$1 = { 53 8B D8 8B 83 08 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92477_0 {
	meta:
		name = "TFormTeeLegend.CBCheckBoxesChange"
		size = 92
		refs = "001d TCustomChartLegend.SetCheckBoxes 0047 TCustomChartLegend.SetCheckBoxesStyle"
	strings:
		$1 = { 53 8B D8 8B 83 0C 04 00 00 8B 10 FF 92 F8 00 00 00 85 C0 0F 9F C2 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 8B 83 94 04 00 00 80 78 59 00 74 2D 8B 83 0C 04 00 00 8B 10 FF 92 F8 00 00 00 48 75 0F 33 D2 8B 83 94 04 00 00 E8 ?? ?? ?? ?? EB 0D B2 01 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92478_0 {
	meta:
		name = "TFormTeeLegend.CBTitleVisibleClick"
		size = 37
		refs = "0019 TCustomChartLegend.GetTitle 001f TTeeCustomShapeBrushPen.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 2C 04 00 00 8B 10 FF 92 F8 00 00 00 50 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92479_0 {
	meta:
		name = "TFormTeeLegend.CBTextAlignChange"
		size = 86
		refs = "0021 TCustomChartLegend.GetTitle 0028 TLegendTitle.SetTextAlign"
	strings:
		$1 = { 53 8B D8 8B 83 28 04 00 00 8B 10 FF 92 F8 00 00 00 83 E8 01 72 04 74 16 EB 28 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 5B C3 8B 83 94 04 00 00 E8 ?? ?? ?? ?? B2 02 E8 ?? ?? ?? ?? 5B C3 8B 83 94 04 00 00 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92480_0 {
	meta:
		name = "TFormTeeLegend.MemoTextChange"
		size = 134
		refs = "000e TFormTeeLegend.MemoTextChange 0043 ReplaceChar 0052 TCustomChartLegend.GetTitle 0075 @UStrArrayClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 90 04 00 00 00 75 3E 8D 45 FC 50 8D 55 F8 8B 83 20 04 00 00 8B 80 A8 02 00 00 8B 08 FF 51 1C 8B 45 F8 33 C9 66 BA 0A 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 8B 40 54 5A 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92481_0 {
	meta:
		name = "TFormTeeLegend.CBPosPercentClick"
		size = 58
		refs = "001e TCustomChartLegend.SetPosUnits 0034 TFormTeeLegend.SetLeftTop"
	strings:
		$1 = { 53 8B D8 8B 83 30 04 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 0F 33 D2 8B 83 94 04 00 00 E8 ?? ?? ?? ?? EB 0D B2 01 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92482_0 {
	meta:
		name = "TFormTeeLegend.SetLeftTop"
		size = 98
		refs = "001c TCustomUpDown.SetPosition"
	strings:
		$1 = { 53 8B D8 8B 83 94 04 00 00 80 B8 80 00 00 00 00 75 10 8B 50 74 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? EB 0E 8B 50 44 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 8B 83 94 04 00 00 80 B8 80 00 00 00 00 75 13 8B 90 9C 00 00 00 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 5B C3 8B 50 48 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92483_0 {
	meta:
		name = "TFormTeeLegend.AddItem"
		size = 152
		refs = "0011 TFormTeeLegend.AddItem 0021 TeeStr 0036 TCustomChartLegend.GetItem 0046 @UStrCatN 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B D6 8B 83 94 04 00 00 E8 ?? ?? ?? ?? FF 70 20 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 48 04 00 00 8B 80 88 02 00 00 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_92484_0 {
	meta:
		name = "TFormTeeLegend.SetItems"
		size = 239
		refs = "0045 TFormTeeLegend.EnableCustomItems 004c TFormTeeLegend.EnableCustItemPos 007a TFormTeeLegend.AddItem 00ac TFormTeeLegend.LBItemsClick"
	strings:
		$1 = { 53 56 57 8B D8 C6 83 90 04 00 00 01 8B 83 94 04 00 00 8B 40 70 0F B6 50 10 8B 83 40 04 00 00 8B 08 FF 91 FC 00 00 00 8B 83 94 04 00 00 8B 40 70 0F B6 50 11 8B 83 44 04 00 00 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 48 04 00 00 8B 80 88 02 00 00 8B 10 FF 52 44 8B 83 94 04 00 00 8B 40 70 8B 70 08 4E 85 F6 7C 10 46 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 47 4E 75 F3 8B 83 48 04 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 7E 19 33 D2 8B 83 48 04 00 00 8B 08 FF 91 FC 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 83 94 04 00 00 8B 40 70 80 78 10 00 74 11 8B 83 48 04 00 00 8B 10 FF 92 F8 00 00 00 40 75 04 33 D2 EB 02 B2 01 8B 83 50 04 00 00 8B 08 FF 91 80 00 00 00 C6 83 90 04 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92485_0 {
	meta:
		name = "TFormTeeLegend.PageControl1Change"
		size = 109
		refs = "002a TCustomChartLegend.GetTitle 0037 InsertTeeObjectForm 0044 TFormTeeLegend.RefreshTitle 0055 TFormTeeLegend.SetItems 0066 TFormTeeShape.PC1Change"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 90 03 00 00 8B 80 DC 02 00 00 3B 83 10 04 00 00 75 30 83 BB 9C 04 00 00 00 75 36 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 14 04 00 00 E8 ?? ?? ?? ?? 89 83 9C 04 00 00 8B C3 E8 ?? ?? ?? ?? EB 0F 3B 83 38 04 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 83 98 04 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92486_0 {
	meta:
		name = "TFormTeeLegend.PageControl2Change"
		size = 18
		refs = "000d TFormTeeShape.PC1Change"
	strings:
		$1 = { 8B 88 9C 04 00 00 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92487_0 {
	meta:
		name = "TFormTeeLegend.Button1Click"
		size = 20
		refs = "000f TeeEditStrings"
	strings:
		$1 = { 8B 90 20 04 00 00 8B 92 A8 02 00 00 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92488_0 {
	meta:
		name = "TFormTeeLegend.EnableCustomItems"
		size = 147
	strings:
		$1 = { 53 8B D8 8B 83 40 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 44 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 94 04 00 00 8B 40 70 0F B6 50 10 8B 83 54 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 40 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 4C 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 40 04 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 11 8B 83 48 04 00 00 8B 10 FF 92 F8 00 00 00 40 75 04 33 D2 EB 02 B2 01 8B 83 50 04 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92489_0 {
	meta:
		name = "TFormTeeLegend.CBCustomClick"
		size = 64
		refs = "001d TLegendItems.SetCustom 0024 TFormTeeLegend.EnableCustomItems 003a TFormTeeLegend.SetItems"
	strings:
		$1 = { 53 8B D8 8B 83 40 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 94 04 00 00 8B 40 70 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 94 04 00 00 8B 40 70 80 78 10 00 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92490_0 {
	meta:
		name = "TFormTeeLegend.EnableCustItemPos"
		size = 81
		refs = "0049 EnableControls"
	strings:
		$1 = { 83 C4 EC 8B 90 6C 04 00 00 89 14 24 8B 90 74 04 00 00 89 54 24 04 8B 90 80 04 00 00 89 54 24 08 8B 90 78 04 00 00 89 54 24 0C 8B 90 84 04 00 00 89 54 24 10 8B D4 8B 80 94 04 00 00 8B 40 70 0F B6 40 11 B9 04 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule function_92491_0 {
	meta:
		name = "TFormTeeLegend.CBCustPositionClick"
		size = 42
		refs = "001d TLegendItems.SetCustomPosition 0024 TFormTeeLegend.EnableCustItemPos"
	strings:
		$1 = { 53 8B D8 8B 83 44 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 94 04 00 00 8B 40 70 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92492_0 {
	meta:
		name = "TFormTeeLegend.LBItemsClick"
		size = 310
		refs = "0089 TFormTeeLegend.LegendItem 0099 TControl.SetText 0103 TCustomUpDown.SetPosition 0118 TLegendItem.HasFont"
	strings:
		$1 = { 53 56 8B D8 C6 83 90 04 00 00 01 8B 83 94 04 00 00 8B 40 70 80 78 10 00 74 11 8B 83 48 04 00 00 8B 10 FF 92 F8 00 00 00 40 75 04 33 D2 EB 02 B2 01 8B 83 50 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 94 04 00 00 8B 40 70 80 78 10 00 74 0F 8B 83 50 04 00 00 8B 10 FF 52 68 84 C0 75 04 33 D2 EB 02 B2 01 8B 83 54 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 48 04 00 00 8B 10 FF 92 F8 00 00 00 40 0F 84 A6 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 56 20 8B 83 60 04 00 00 E8 ?? ?? ?? ?? 8B 56 24 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 8B 46 04 83 F8 08 7C 03 83 E8 08 85 C0 75 12 33 D2 8B 83 6C 04 00 00 8B 08 FF 91 FC 00 00 00 EB 2D 83 F8 06 75 15 BA 01 00 00 00 8B 83 6C 04 00 00 8B 08 FF 91 FC 00 00 00 EB 13 BA 02 00 00 00 8B 83 6C 04 00 00 8B 08 FF 91 FC 00 00 00 8B 56 0C 8B 83 80 04 00 00 E8 ?? ?? ?? ?? 8B 56 28 8B 83 84 04 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 8C 04 00 00 8B 08 FF 91 80 00 00 00 C6 83 90 04 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92493_0 {
	meta:
		name = "TFormTeeLegend.EItemTextChange"
		size = 95
		refs = "000c TFormTeeLegend.EItemTextChange 0029 TControl.GetText 0034 TFormTeeLegend.LegendItem 003a TLegendItem.SetText 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 90 04 00 00 00 75 1F 8D 55 FC 8B 83 60 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92494_0 {
	meta:
		name = "TFormTeeLegend.LegendItem"
		size = 32
		refs = "001a TCustomChartLegend.GetItem"
	strings:
		$1 = { 53 8B D8 8B 83 48 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92495_0 {
	meta:
		name = "TFormTeeLegend.CBItemAlignChange"
		size = 89
		refs = "0026 TFormTeeLegend.LegendItem 002d TLegendItem.SetAlign"
	strings:
		$1 = { 53 8B D8 80 BB 90 04 00 00 00 75 4B 8B 83 6C 04 00 00 8B 10 FF 92 F8 00 00 00 83 E8 01 72 04 74 12 EB 23 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? EB 24 8B C3 E8 ?? ?? ?? ?? BA 06 00 00 00 E8 ?? ?? ?? ?? EB 11 8B C3 E8 ?? ?? ?? ?? BA 02 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92496_0 {
	meta:
		name = "TFormTeeLegend.EItemXChange"
		size = 56
		refs = "0024 TCustomUpDown.GetPosition 002c TFormTeeLegend.LegendItem 0032 TLegendItem.SetLeft"
	strings:
		$1 = { 53 8B D8 80 BB 90 04 00 00 00 75 2A 8B 83 48 04 00 00 8B 10 FF 92 F8 00 00 00 40 74 19 8B 83 80 04 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92497_0 {
	meta:
		name = "TFormTeeLegend.EItemYChange"
		size = 56
		refs = "0024 TCustomUpDown.GetPosition 002c TFormTeeLegend.LegendItem 0032 TLegendItem.SetTop"
	strings:
		$1 = { 53 8B D8 80 BB 90 04 00 00 00 75 2A 8B 83 48 04 00 00 8B 10 FF 92 F8 00 00 00 40 74 19 8B 83 84 04 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92498_0 {
	meta:
		name = "TFormTeeLegend.EItemText2Change"
		size = 95
		refs = "000c TFormTeeLegend.EItemText2Change 0029 TControl.GetText 0034 TFormTeeLegend.LegendItem 003a TLegendItem.SetText2 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 90 04 00 00 00 75 1F 8D 55 FC 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92499_0 {
	meta:
		name = "TFormTeeLegend.Button2Click"
		size = 128
		refs = "0008 TFormTeeLegend.LegendItem 000d TLegendItem.HasFont 001b TLegendItem.GetFont 0024 EditTeeFontEx 003a TLegendItem.SetFont"
	strings:
		$1 = { 53 56 57 8B F8 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 84 C0 75 12 84 DB 75 0E 8B C7 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B 87 8C 04 00 00 8B 08 FF 91 FC 00 00 00 8B B7 8C 04 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 80 F2 01 8B C6 8B 08 FF 91 80 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92500_0 {
	meta:
		name = "TFormTeeLegend.CBDefItemFontClick"
		size = 35
		refs = "0006 TFormTeeLegend.LegendItem 000d TLegendItem.SetFont"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 33 D2 8B 83 8C 04 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92501_0 {
	meta:
		name = "TFormTeeLegend.SBAddItemClick"
		size = 252
		refs = "0015 TLegendItems.Get 003c TLegendItem.SetAlign 0056 TLegendItem.SetLeft 0070 TLegendItem.SetTop 00ca TFormTeeLegend.AddItem 00e3 TFormTeeLegend.LBItemsClick"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 83 94 04 00 00 8B 40 70 8B 70 08 8B D6 E8 ?? ?? ?? ?? 8B F8 85 F6 0F 8E 8B 00 00 00 8B EE 4D 8B D5 8B 83 94 04 00 00 8B 40 70 E8 ?? ?? ?? ?? 8B 50 04 8B C7 E8 ?? ?? ?? ?? 8B D5 8B 83 94 04 00 00 8B 40 70 E8 ?? ?? ?? ?? 8B 50 0C 8B C7 E8 ?? ?? ?? ?? 8B D5 8B 83 94 04 00 00 8B 40 70 E8 ?? ?? ?? ?? 8B 50 28 8B C7 E8 ?? ?? ?? ?? 83 FE 01 7E 35 8B D5 8B 83 94 04 00 00 8B 40 70 E8 ?? ?? ?? ?? 8B 40 28 50 8B D6 83 EA 02 8B 83 94 04 00 00 8B 40 70 E8 ?? ?? ?? ?? 5A 2B 50 28 03 57 28 8B C7 E8 ?? ?? ?? ?? 8B 83 94 04 00 00 8B 78 08 85 FF 74 0A 8B C7 8B 10 FF 92 9C 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 83 48 04 00 00 8B 08 FF 91 FC 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? B2 01 8B 83 50 04 00 00 8B 08 FF 91 80 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92502_0 {
	meta:
		name = "TFormTeeLegend.SBDeleteItemClick"
		size = 161
		refs = "0021 TList.Delete 0099 TFormTeeLegend.LBItemsClick"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 48 04 00 00 8B 10 FF 92 F8 00 00 00 8B F0 8B 83 94 04 00 00 8B 40 70 8B D6 E8 ?? ?? ?? ?? 8B 83 94 04 00 00 8B 78 08 85 FF 74 0A 8B C7 8B 10 FF 92 9C 00 00 00 8B 83 48 04 00 00 8B 80 88 02 00 00 8B D6 8B 08 FF 51 48 8B 83 48 04 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 3B F0 7D 12 8B D6 8B 83 48 04 00 00 8B 08 FF 91 FC 00 00 00 EB 1E 8B B3 48 04 00 00 8B 86 88 02 00 00 8B 10 FF 52 14 8B D0 4A 8B C6 8B 08 FF 91 FC 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92505_0 {
	meta:
		name = "TFormTeePage.CreateChart"
		size = 73
		refs = "000d @ClassCreate 001a TCustomForm.Create 0028 TChartPageNavigator.SetChart 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 86 A8 03 00 00 8B 55 08 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_92506_0 {
	meta:
		name = "TFormTeePage.SEPointsPerPageChange"
		size = 146
		refs = "000d TFormTeePage.SEPointsPerPageChange 0023 TFormTeePage.Chart 0037 TControl.GetText 0046 TChartPage.SetPointsPerPage 0053 TCustomUpDown.GetPosition 0063 TFormTeePage.SetNoPages 006c TFormTeePage.ChartPageNavigator1ButtonClicked 0081 @UStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB F2 01 00 00 00 74 50 8B C3 E8 ?? ?? ?? ?? 8B B0 18 04 00 00 8D 55 FC 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 14 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92507_0 {
	meta:
		name = "TFormTeePage.CBScaleLastClick"
		size = 39
		refs = "0015 TFormTeePage.Chart 0021 TChartPage.SetScaleLastPage"
	strings:
		$1 = { 53 8B D8 8B 83 98 03 00 00 8B 10 FF 92 F8 00 00 00 50 8B C3 E8 ?? ?? ?? ?? 8B 80 18 04 00 00 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92508_0 {
	meta:
		name = "TFormTeePage.FormShow"
		size = 203
		refs = "0007 TFormTeePage.Chart 0028 TCustomUpDown.SetPosition 0077 TFormTeePage.SetNoPages 0080 TFormTeePage.ChartPageNavigator1ButtonClicked 0085 TeePageNumToolClass 0096 TControl.SetVisible 009f TFormTeePage.PageNumTool 00c4 TFormTeePage.SetEditTool"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 75 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 86 18 04 00 00 8B 50 0C 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B 86 18 04 00 00 0F B6 50 10 8B 83 98 03 00 00 8B 08 FF 91 FC 00 00 00 8B 86 60 04 00 00 0F B6 50 5B 8B 83 A4 03 00 00 8B 08 FF 91 FC 00 00 00 8B 86 18 04 00 00 0F B6 50 04 8B 83 B0 03 00 00 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 08 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 0F 95 C2 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 85 C0 74 06 80 78 38 00 75 04 33 D2 EB 02 B2 01 8B 83 AC 03 00 00 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92509_0 {
	meta:
		name = "TFormTeePage.PageNumTool"
		size = 292
		refs = "0018 TFormTeePage.PageNumTool 0026 TFormTeePage.Chart 004c TChartTools.Get 0052 TeePageNumToolClass 0059 @IsClass 00aa TeeGetUniqueName 00d5 TChartTools.Add 00ee @UStrClr 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 44 8B 45 FC E8 ?? ?? ?? ?? 8B B8 2C 04 00 00 8B 77 08 4E 85 F6 7C 2E 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 84 C0 74 0D 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D8 EB 6F 43 4E 75 D5 80 7D FB 00 74 63 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 74 09 83 7E 04 00 74 03 8B 76 04 A1 ?? ?? ?? ?? 8B 00 8B CE B2 01 FF 50 38 8B D8 8D 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 8B 08 FF 51 24 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 19 8B 45 FC E8 ?? ?? ?? ?? 8B 80 2C 04 00 00 8B D3 E8 ?? ?? ?? ?? EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 68 00 61 00 72 00 74 00 54 00 6F 00 6F 00 6C 00 00 00 }
	condition:
		$1
}

rule function_92510_0 {
	meta:
		name = "TFormTeePage.CBPageLegendClick"
		size = 39
		refs = "0015 TFormTeePage.Chart 0021 TCustomChartLegend.SetCurrentPage"
	strings:
		$1 = { 53 8B D8 8B 83 A4 03 00 00 8B 10 FF 92 F8 00 00 00 50 8B C3 E8 ?? ?? ?? ?? 8B 80 60 04 00 00 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92511_0 {
	meta:
		name = "TFormTeePage.ChartPageNavigator1ButtonClicked"
		size = 139
		refs = "0013 TFormTeePage.ChartPageNavigator1ButtonClicked 0020 TFormTeePage.Chart 003b TChartPage.Count 004a TeeMsg_PageOfPages 0056 Format 0064 TControl.SetText 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B B0 18 04 00 00 8D 45 FC 50 8B 46 08 89 45 EC C6 45 F0 00 8B C6 E8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 00 8D 55 EC A1 ?? ?? ?? ?? 8B 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92512_0 {
	meta:
		name = "TFormTeePage.CBPageNumClick"
		size = 53
		refs = "000a _Dn_TCheckBox 000f @AsClass 0021 TFormTeePage.PageNumTool 002e TFormTeePage.SetEditTool"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 F8 00 00 00 50 B2 01 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 48 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92513_0 {
	meta:
		name = "TFormTeePage.SetEditTool"
		size = 71
		refs = "0014 TControl.SetVisible 0029 TFormTeePage.PageNumTool"
	strings:
		$1 = { 53 8B D8 8B 83 AC 03 00 00 0F B6 50 61 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 83 B8 03 00 00 80 78 61 00 74 0D 33 D2 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 33 D2 EB 02 B2 01 8B 83 B8 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92515_0 {
	meta:
		name = "TFormTeePage.CBAutoScaleClick"
		size = 39
		refs = "0015 TFormTeePage.Chart 0021 TChartPage.SetAutoScale"
	strings:
		$1 = { 53 8B D8 8B 83 B0 03 00 00 8B 10 FF 92 F8 00 00 00 50 8B C3 E8 ?? ?? ?? ?? 8B 80 18 04 00 00 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92516_0 {
	meta:
		name = "TFormTeePage.CBNoPagesClick"
		size = 43
		refs = "001e TCustomUpDown.SetPosition 0025 TFormTeePage.SetNoPages"
	strings:
		$1 = { 53 8B D8 8B 83 B4 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 0D 33 D2 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92517_0 {
	meta:
		name = "TFormTeePage.SetNoPages"
		size = 68
		refs = "000b TCustomUpDown.GetPosition"
	strings:
		$1 = { 53 56 8B D8 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 85 C0 0F 94 C2 8B 83 B4 03 00 00 8B 08 FF 91 FC 00 00 00 8B B3 B4 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 80 F2 01 8B C6 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92518_0 {
	meta:
		name = "TFormTeePage.BEditToolClick"
		size = 195
		refs = "0013 TFormTeePage.BEditToolClick 0022 TFormTeePage.PageNumTool 0038 GetClass 005e TControl.SetAlign 0066 PositionToCenter 0074 TeeTranslateControl 0094 TObject.Free 009a @HandleFinally 00b1 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 74 8D 55 F8 8B 03 FF 50 44 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 60 8B CE B2 01 FF 50 38 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 58 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92521_0 {
	meta:
		name = "TFormTeePanel.InsertAt"
		size = 60
		refs = "000e _DV_TFormTeePanel 0015 TFormTeePanel.CreatePanel 0020 TControl.SetAlign 0027 TeeTranslateControl 0030 AddFormTo"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B 45 08 50 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B D8 B2 05 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_92522_0 {
	meta:
		name = "TFormTeePanel.CreatePanel"
		size = 92
		refs = "000d @ClassCreate 001a TCustomForm.Create 003b TPageControl.SetActivePage 0046 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 86 38 04 00 00 C6 86 24 04 00 00 00 8B 96 94 03 00 00 8B 86 90 03 00 00 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_92523_0 {
	meta:
		name = "TFormTeePanel.SEPanelWiChange"
		size = 61
		refs = "001a TCustomUpDown.GetPosition 0036 TCustomPanel.SetBevelWidth"
	strings:
		$1 = { 53 56 8B D8 80 BB F2 01 00 00 00 74 2D 8B B3 38 04 00 00 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 3B 86 84 02 00 00 74 14 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92524_0 {
	meta:
		name = "TFormTeePanel.RefreshPanel"
		size = 420
		refs = "0045 TButtonPen.LinkPen 0056 TCustomUpDown.SetPosition 007f TCustomTeePanelExtended.GetBackImage 009d TCustomTeePanel.GetMargin 010e TFormTeePanel.AdjustMarginMinMax 0115 TFormTeePanel.CheckColorDef 011a TFormTeePanel.RefreshPanel 012b TTeeButton.LinkProperty 0140 TCustomTeePanelExtended.GetGradient 016a TBackImageEditor.RefreshControls 0185 TTeeShadowEditor.RefreshControls"
	strings:
		$1 = { 53 56 8B D8 8B C2 89 83 38 04 00 00 8B F0 0F B6 96 82 02 00 00 8B 83 D0 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 96 83 02 00 00 8B 83 DC 03 00 00 8B 08 FF 91 FC 00 00 00 8B 96 9C 02 00 00 8B 83 E0 03 00 00 E8 ?? ?? ?? ?? 8B 96 A0 02 00 00 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 8B 96 84 02 00 00 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 8B 96 88 02 00 00 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 50 38 8B 83 20 04 00 00 8B 08 FF 91 FC 00 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 04 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 0C 04 00 00 E8 ?? ?? ?? ?? BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 10 04 00 00 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 08 04 00 00 E8 ?? ?? ?? ?? 0F B6 96 E4 02 00 00 8B 83 14 04 00 00 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 93 38 04 00 00 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B B3 2C 04 00 00 85 F6 74 17 8B 83 38 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 30 01 00 00 8B B3 30 04 00 00 85 F6 74 14 8B 83 38 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 34 04 00 00 85 C0 74 11 8B 93 38 04 00 00 8B 92 00 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_92525_0 {
	meta:
		name = "TFormTeePanel.FormShow"
		size = 58
		refs = "0012 TFormTeePanel.RefreshPanel 0023 TCustomForm.SetVisible 0034 TPageControl.SetActivePage"
	strings:
		$1 = { 53 8B D8 8B 83 38 04 00 00 85 C0 74 2B 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 2C 04 00 00 85 C0 74 07 B2 01 E8 ?? ?? ?? ?? 8B 93 94 03 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92526_0 {
	meta:
		name = "TFormTeePanel.CBImageInsideClick"
		size = 37
		refs = "0019 TCustomTeePanelExtended.GetBackImage 001f TBackImage.SetInside"
	strings:
		$1 = { 53 8B D8 8B 83 20 04 00 00 8B 10 FF 92 F8 00 00 00 50 8B 83 38 04 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92527_0 {
	meta:
		name = "TFormTeePanel.SEPanelBorChange"
		size = 61
		refs = "001a TCustomUpDown.GetPosition 0036 TCustomPanel.SetBorderWidth"
	strings:
		$1 = { 53 56 8B D8 80 BB F2 01 00 00 00 74 2D 8B B3 38 04 00 00 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 3B 86 88 02 00 00 74 14 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92528_0 {
	meta:
		name = "TFormTeePanel.BPanelColorClick"
		size = 26
		refs = "0014 TFormTeePanel.CheckColorDef"
	strings:
		$1 = { 53 8B D8 8B 83 38 04 00 00 8B 10 FF 92 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92530_0 {
	meta:
		name = "TFormTeePanel.CheckColorDef"
		size = 82
	strings:
		$1 = { 53 56 8B D8 C6 83 24 04 00 00 01 8B 83 38 04 00 00 81 78 74 0F 00 00 FF 0F 94 C2 8B 83 C0 03 00 00 8B 08 FF 91 FC 00 00 00 C6 83 24 04 00 00 00 8B B3 C0 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 80 F2 01 8B C6 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92531_0 {
	meta:
		name = "TFormTeePanel.CBColorDefClick"
		size = 51
		refs = "0018 TControl.SetColor 001f TFormTeePanel.CheckColorDef"
	strings:
		$1 = { 56 8B F0 80 BE 24 04 00 00 00 75 25 BA 0F 00 00 FF 8B 86 38 04 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 B8 03 00 00 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_92532_0 {
	meta:
		name = "TFormTeePanel.ERoundChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TCustomTeePanel.SetBorderRound"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 18 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 38 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92533_0 {
	meta:
		name = "TFormTeePanel.CBInnerChange"
		size = 60
		refs = "0036 TCustomPanel.SetBevelInner"
	strings:
		$1 = { 53 8B D8 8B 83 D0 03 00 00 8B 10 FF 92 F8 00 00 00 8B 93 38 04 00 00 3A 82 82 02 00 00 74 1B 8B 83 D0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 38 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92534_0 {
	meta:
		name = "TFormTeePanel.CBOuterChange"
		size = 60
		refs = "0036 TCustomPanel.SetBevelOuter"
	strings:
		$1 = { 53 8B D8 8B 83 DC 03 00 00 8B 10 FF 92 F8 00 00 00 8B 93 38 04 00 00 3A 82 83 02 00 00 74 1B 8B 83 DC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 38 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92535_0 {
	meta:
		name = "SetMinMax"
		size = 78
		refs = "0023 TCustomUpDown.SetMin 002f TCustomUpDown.SetMax"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 8B 80 38 04 00 00 80 B8 E4 02 00 00 01 75 1B BA 30 F8 FF FF 8B C3 E8 ?? ?? ?? ?? BA D0 07 00 00 8B C3 E8 ?? ?? ?? ?? 5B 5D C3 33 D2 8B C3 E8 ?? ?? ?? ?? BA 64 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_92536_0 {
	meta:
		name = "TFormTeePanel.AdjustMarginMinMax"
		size = 74
		refs = "0012 SetMinMax"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 55 8B 45 FC 8B 80 04 04 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 0C 04 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 08 04 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 10 04 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_92537_0 {
	meta:
		name = "TFormTeePanel.CBMarUnitsChange"
		size = 39
		refs = "001a TCustomTeePanel.SetMarginUnits 0021 TFormTeePanel.AdjustMarginMinMax"
	strings:
		$1 = { 53 8B D8 8B 83 14 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 38 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92538_0 {
	meta:
		name = "TFormTeePanel.SERightMaChange"
		size = 73
		refs = "0018 TCustomTeePanel.GetMargin 0034 TFormTeePanel.ChangeMargin 0042 TCustomTeePanel.SetMargin"
	strings:
		$1 = { 53 56 8B D8 80 BB F2 01 00 00 00 74 39 8B B3 38 04 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 50 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 93 08 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B C8 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92539_0 {
	meta:
		name = "TFormTeePanel.ChangeMargin"
		size = 88
		refs = "002c TCustomUpDown.GetPosition 004a TCustomUpDown.SetPosition"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 8B FE 80 BB F2 01 00 00 00 74 35 8B 83 38 04 00 00 80 B8 E4 02 00 00 01 74 10 8B 45 FC E8 ?? ?? ?? ?? 03 45 08 83 F8 64 7D 0C 8B 45 FC E8 ?? ?? ?? ?? 8B F8 EB 0A 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_92540_0 {
	meta:
		name = "TFormTeePanel.SETopMaChange"
		size = 76
		refs = "001b TCustomTeePanel.GetMargin 0037 TFormTeePanel.ChangeMargin 0045 TCustomTeePanel.SetMargin"
	strings:
		$1 = { 53 56 8B D8 80 BB F2 01 00 00 00 74 3C 8B B3 38 04 00 00 BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 93 04 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B C8 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92541_0 {
	meta:
		name = "TFormTeePanel.SEBotMaChange"
		size = 76
		refs = "001b TCustomTeePanel.GetMargin 0037 TFormTeePanel.ChangeMargin 0045 TCustomTeePanel.SetMargin"
	strings:
		$1 = { 53 56 8B D8 80 BB F2 01 00 00 00 74 3C 8B B3 38 04 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 93 10 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B C8 BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92542_0 {
	meta:
		name = "TFormTeePanel.SELeftMaChange"
		size = 70
		refs = "001b TCustomTeePanel.GetMargin 0034 TFormTeePanel.ChangeMargin 003f TCustomTeePanel.SetMargin"
	strings:
		$1 = { 53 56 8B D8 80 BB F2 01 00 00 00 74 36 8B B3 38 04 00 00 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 93 0C 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B C8 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92543_0 {
	meta:
		name = "TFormTeePanel.PageControl1Change"
		size = 256
		refs = "0012 TWinControl.GetControlCount 0039 TCustomTeePanelExtended.GetGradient 0043 _Dn_TTeeGradientEditor 0048 TTeeGradientEditor.CreateCustom 006a AddFormTo 0080 InsertTeeShadowEditor 009b TTeeShadowEditor.RefreshControls 00ae InsertTeeEmbossEditor 00dc InsertImageEditor 00ef TCustomTeePanelExtended.GetBackImage 00f8 TBackImageEditor.RefreshControls"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 90 03 00 00 8B 80 DC 02 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 DE 00 00 00 8B 83 90 03 00 00 8B 80 DC 02 00 00 3B 83 9C 03 00 00 75 41 8B 83 38 04 00 00 E8 ?? ?? ?? ?? 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 2C 04 00 00 8B 83 38 04 00 00 E8 ?? ?? ?? ?? 8B C8 8B 93 9C 03 00 00 8B C6 E8 ?? ?? ?? ?? E9 89 00 00 00 8B B3 BC 03 00 00 3B C6 75 24 8B C6 E8 ?? ?? ?? ?? 8B F8 89 BB 34 04 00 00 8B 83 38 04 00 00 8B 90 00 03 00 00 8B C7 E8 ?? ?? ?? ?? EB 5B 8B B3 18 04 00 00 3B C6 75 24 8B C6 E8 ?? ?? ?? ?? 8B F8 89 BB 28 04 00 00 8B 83 38 04 00 00 8B 90 CC 02 00 00 8B C7 E8 ?? ?? ?? ?? EB 2D 8B B3 E4 03 00 00 3B C6 75 23 8B C6 E8 ?? ?? ?? ?? 8B F8 89 BB 30 04 00 00 8B 83 38 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92546_0 {
	meta:
		name = "TTeeFunctionEditor.SetFunction"
		size = 216
		refs = "0007 TBaseFunctionEditor.SetFunction 0015 _Dn_TTeeMovingFunction 001a @IsClass 0044 @ROUND 00d1 TTeeFunctionEditor.CBStyleChange"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 94 03 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 34 01 80 7E 48 01 0F 94 C2 84 C2 74 15 BA 02 00 00 00 8B 83 AC 03 00 00 8B 08 FF 91 FC 00 00 00 EB 37 DD 46 40 E8 ?? ?? ?? ?? 83 FA 00 75 17 83 F8 00 75 12 33 D2 8B 83 AC 03 00 00 8B 08 FF 91 FC 00 00 00 EB 13 BA 01 00 00 00 8B 83 AC 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 56 49 8B 83 A4 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 AC 03 00 00 8B 10 FF 92 F8 00 00 00 85 C0 0F 95 C2 8B 83 98 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 AC 03 00 00 8B 10 FF 92 F8 00 00 00 83 F8 02 0F 94 C2 8B 83 9C 03 00 00 8B 08 FF 91 80 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92547_0 {
	meta:
		name = "CalcIsDateTime"
		size = 77
		refs = "0016 TChartSeries.GetDataSource 0027 _Dn_TChartSeries 002c @IsClass"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 80 94 03 00 00 8B 58 4C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 2A 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B C3 E8 ?? ?? ?? ?? 8B 80 68 01 00 00 0F B6 40 08 5B 5D C3 33 C0 5B 5D C3 }
	condition:
		$1
}

rule function_92548_0 {
	meta:
		name = "TTeeFunctionEditor.BChangeClick"
		size = 307
		refs = "0012 TTeeFunctionEditor.BChangeClick 0022 _Dn_TAxisIncrement 0027 TCustomForm.Create 003e CalcIsDateTime 0084 FindDateTimeStep 0093 TeeMsg_PeriodRange 009d TControl.SetText 00a5 PositionToCenter 00ad TeeTranslateControl 00db CurrencyString 00e0 FloatToStr 0106 TObject.Free 010c @HandleFinally 0123 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 33 C9 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 8B 55 F4 88 82 AC 03 00 00 8B 45 F4 C6 80 AD 03 00 00 01 8B 45 F4 8B 55 FC 8B 92 94 03 00 00 8B 4A 40 89 88 B0 03 00 00 8B 4A 44 89 88 B4 03 00 00 8B 45 FC 8B 80 94 03 00 00 FF 70 44 FF 70 40 E8 ?? ?? ?? ?? 8B 55 F4 88 82 B8 03 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 92 20 01 00 00 48 75 36 8B 45 F4 DD 80 B0 03 00 00 DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 03 00 00 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_92550_0 {
	meta:
		name = "TTeeFunctionEditor.ApplyFormChanges"
		size = 211
		refs = "0013 TTeeFunctionEditor.ApplyFormChanges 0020 TBaseFunctionEditor.ApplyFormChanges 003d TTeeFunction.SetPeriodAlign 0059 TTeeFunction.SetPeriodStyle 0072 TControl.GetText 008f CurrencyString 0097 StrToFloatDef 00ac TTeeFunction.SetPeriod 00c1 @UStrClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B B3 94 03 00 00 8B 83 A4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 AC 03 00 00 8B 10 FF 92 F8 00 00 00 83 F8 02 75 0B B2 01 8B C6 E8 ?? ?? ?? ?? EB 09 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 F0 89 45 F4 66 89 45 F8 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D E0 9B DB 6D E0 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92552_0 {
	meta:
		name = "TTeeFunctionEditor.CBStyleChange"
		size = 396
		refs = "0015 TTeeFunctionEditor.CBStyleChange 00a2 TControl.SetText 00d4 @ROUND 00f4 CurrencyString 00f9 FloatToStr 015a TBaseFunctionEditor.EnableApply 0174 @UStrArrayClr 017a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 33 C9 89 4D FC 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 AC 03 00 00 8B 10 FF 92 F8 00 00 00 85 C0 0F 95 C2 8B 83 98 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 AC 03 00 00 8B 10 FF 92 F8 00 00 00 83 F8 02 0F 94 C2 8B 83 9C 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 94 03 00 00 85 C0 74 0E 8B 50 40 89 55 F0 8B 50 44 89 55 F4 EB 08 33 C0 89 45 F0 89 45 F4 8B 83 AC 03 00 00 8B 10 FF 92 F8 00 00 00 83 E8 01 72 04 74 14 EB 74 33 D2 8B 83 98 03 00 00 E8 ?? ?? ?? ?? E9 8F 00 00 00 D9 05 ?? ?? ?? ?? DC 5D F0 9B DF E0 9E 76 0A 33 C0 89 45 E8 89 45 EC EB 0C 8B 45 F0 89 45 E8 8B 45 F4 89 45 EC DD 45 E8 E8 ?? ?? ?? ?? 89 45 B8 89 55 BC DF 6D B8 DB 7D D0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 98 03 00 00 E8 ?? ?? ?? ?? EB 2D DD 45 F0 DB 7D C0 9B 0F B7 45 C8 50 FF 75 C4 FF 75 C0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 8B 83 98 03 00 00 8B 10 FF 52 68 84 C0 74 0E 8B 83 98 03 00 00 8B 10 FF 92 F4 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_92555_0 {
	meta:
		name = "EditSeriesDialog"
		size = 336
		refs = "0015 EditSeriesDialog 0022 _DV_TFormTeeSeries 0027 TeeCreateForm 0032 @AsClass 004b TeeTranslateControl 005a TCustomForm.SetBorderIcons 0064 TCustomForm.SetBorderStyle 006e TCustomForm.SetScaled 0084 TeeMsg_Editing 008d Format 0098 TControl.SetText 00ac TControl.Hide 00fb TFormTeeSeries.CBSeriesChange 011b TObject.Free 0121 @HandleFinally 0138 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? B2 02 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8B 43 08 89 45 F0 C6 45 F4 11 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 89 58 0C 8B 45 FC 8B 80 14 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 80 35 05 00 00 00 8B 55 FC 8B C3 89 82 30 05 00 00 8B C8 8B 53 08 8B 45 FC 8B 80 08 04 00 00 8B 18 FF 93 00 01 00 00 8B 45 FC 8B 80 08 04 00 00 33 D2 8B 08 FF 91 FC 00 00 00 8B 45 FC 8B 90 08 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_92556_0 {
	meta:
		name = "TFormTeeSeries.EPercentFormatChange"
		size = 105
		refs = "000e TFormTeeSeries.EPercentFormatChange 0022 TControl.GetText 002d LocalToDelphiFormat 003b TChartSeries.SetPercentFormat 0050 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 30 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92557_0 {
	meta:
		name = "TFormTeeSeries.SetCBSeries"
		size = 74
		refs = "0033 TFormTeeSeries.CBSeriesChange 0042 TControl.SetVisible"
	strings:
		$1 = { 53 56 57 8B D8 8B BB 30 05 00 00 85 FF 74 2A 8B B3 08 04 00 00 8B 86 B4 02 00 00 8B D7 8B 08 FF 51 5C 8B D0 8B C6 8B 08 FF 91 FC 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? EB 0D 33 D2 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92558_0 {
	meta:
		name = "TFormTeeSeries.EnableMultiLine"
		size = 56
	strings:
		$1 = { 8B 90 30 05 00 00 8B 92 88 00 00 00 0F B6 52 6C 80 C2 FD 80 EA 02 72 0F 4A 80 EA 02 72 09 80 EA 01 74 04 33 D2 EB 02 B2 01 8B 80 04 04 00 00 8B 08 FF 91 80 00 00 00 C3 }
	condition:
		$1
}

rule function_92559_0 {
	meta:
		name = "TFormTeeSeries.FillAxis"
		size = 308
		refs = "001c TFormTeeSeries.FillAxis 007c TChartAxes.Get 00bd TeeMsg_CustomAxesEditor 00d1 IntToStr 00e1 @UStrCatN 0110 @UStrArrayClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 5D EC 88 4D FF 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 11 8B C6 8B 10 FF 52 14 8B D0 4A 8B C6 8B 08 FF 51 48 8B C6 8B 10 FF 52 14 83 F8 03 7F E3 8B 83 30 05 00 00 8B 40 40 89 45 F8 8B 45 F8 8B 80 A8 03 00 00 8B 40 08 48 83 E8 06 0F 8C 93 00 00 00 40 89 45 F4 BB 06 00 00 00 8B 45 F8 8B 80 A8 03 00 00 8B D3 E8 ?? ?? ?? ?? 0F B6 80 B9 00 00 00 22 45 FF 75 1F 8B 45 F8 8B 80 A8 03 00 00 8B D3 E8 ?? ?? ?? ?? 80 B8 B9 00 00 00 00 75 4B 80 7D FF 00 75 45 8B 45 F8 8B 80 A8 03 00 00 8B D3 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? FF 30 68 ?? ?? ?? ?? 8D 55 EC 8B C3 83 E8 06 E8 ?? ?? ?? ?? FF 75 EC 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 59 8B 38 FF 57 3C 43 FF 4D F4 0F 85 76 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_92560_0 {
	meta:
		name = "TFormTeeSeries.AllSeriesMarksVisible"
		size = 67
	strings:
		$1 = { 53 56 B1 01 8B 80 30 05 00 00 8B 70 40 8B 86 B4 03 00 00 8B 40 08 48 85 C0 7C 23 40 33 D2 8B 9E B4 03 00 00 8B 5B 04 8B 1C 93 8B 9B 88 00 00 00 80 7B 10 00 75 04 33 C9 EB 04 42 48 75 E0 8B C1 5E 5B C3 }
	condition:
		$1
}

rule function_92561_0 {
	meta:
		name = "TFormTeeSeries.MarkSymbolsForm"
		size = 228
		refs = "0011 _Dn_TFormTeeShape 0016 TFormTeeShape.CreateForm 0023 TControl.Hide 002e TWinControl.HandleNeeded 003b TTabSheet.SetTabVisible 0044 _Dn_TCheckBox 0049 TCustomCheckBox.Create 005b TControl.SetLeft 006b TControl.SetTop 007b TControl.SetWidth 0080 TFormTeeSeries.MarkSymbolsForm 0087 TControl.SetText 00a5 TFormTeeShape.CBVisibleChecked"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B 45 08 50 8B CF 33 D2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B 83 A8 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 83 98 03 00 00 8B 50 48 8B C6 E8 ?? ?? ?? ?? 8B 83 98 03 00 00 8B 50 4C 8B C6 E8 ?? ?? ?? ?? 8B 83 98 03 00 00 8B 50 50 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 57 10 8B C6 8B 08 FF 91 FC 00 00 00 89 9E 1C 01 00 00 C7 86 18 01 00 00 ?? ?? ?? ?? 8B 93 94 03 00 00 8B C6 8B 08 FF 91 84 00 00 00 8B C3 5F 5E 5B 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 26 00 56 00 69 00 73 00 69 00 62 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_92562_0 {
	meta:
		name = "SetTabSeriesMarks"
		size = 470
		refs = "0021 InsertTeeObjectForm 0052 TSeriesMarks.GetCallout 0062 TCustomUpDown.SetPosition 00ec TButtonPen.LinkPen 0150 TFormTeeSeries.AllSeriesMarksVisible 0169 TFormTeeSeries.EnableMultiLine 0184 TFormTeeShape.RefreshControls 01a3 TSeriesMarks.GetSymbol 01ce TMarginsEditor.RefreshControls"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 83 C6 FC 8B 06 83 B8 1C 05 00 00 00 75 17 8B 06 8B 80 DC 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 16 89 82 1C 05 00 00 8B 06 8B 80 30 05 00 00 8B 98 88 00 00 00 0F B6 53 6C 8B 06 8B 80 44 04 00 00 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 50 54 8B 06 8B 80 88 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 50 4C 8B 06 8B 80 94 04 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 F4 03 00 00 8B 53 54 E8 ?? ?? ?? ?? 8B 06 8B 80 E8 03 00 00 0F B6 53 5C 8B 08 FF 91 FC 00 00 00 8B 06 8B 80 00 04 00 00 8B 53 60 E8 ?? ?? ?? ?? 8B 06 8B 80 04 04 00 00 0F B6 53 6D 8B 08 FF 91 FC 00 00 00 8B 06 8B 80 E4 03 00 00 0F B6 53 10 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 50 44 8B 06 8B 80 7C 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 50 48 8B 06 8B 80 A0 04 00 00 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 50 50 8B 06 8B 80 AC 04 00 00 E8 ?? ?? ?? ?? 0F B6 53 7C 8B 06 8B 80 E0 04 00 00 8B 08 FF 91 FC 00 00 00 8B 06 8B 80 EC 04 00 00 0F B6 93 84 00 00 00 8B 08 FF 91 FC 00 00 00 8B 06 E8 ?? ?? ?? ?? 8B D0 8B 06 8B 80 38 04 00 00 8B 08 FF 91 FC 00 00 00 8B 06 E8 ?? ?? ?? ?? 8B 06 8B 80 30 05 00 00 8B 90 88 00 00 00 8B 06 8B 80 1C 05 00 00 E8 ?? ?? ?? ?? 8B 06 8B 98 20 05 00 00 85 DB 74 1C 8B 06 8B 80 30 05 00 00 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 80 18 05 00 00 85 C0 74 16 8B 16 8B 92 30 05 00 00 8B 92 88 00 00 00 8B 52 68 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_92563_0 {
	meta:
		name = "AddSortByItems"
		size = 394
		refs = "008c TChartValueLists.Get"
	strings:
		$1 = { 55 8B EC 51 53 56 57 EB 1F 8B 45 08 8B 40 08 8B 40 FC 8B 80 F4 04 00 00 8B 80 B4 02 00 00 BA 02 00 00 00 8B 08 FF 51 48 8B 45 08 8B 40 08 8B 40 FC 8B 80 F4 04 00 00 8B 80 B4 02 00 00 8B 10 FF 52 14 83 F8 02 7F C2 8B 45 08 8B 40 08 8B 40 FC 8B 80 F4 04 00 00 33 D2 8B 08 FF 91 FC 00 00 00 8B 45 08 8B 40 08 8B 40 FC 8B 80 30 05 00 00 8B B0 98 00 00 00 8B 46 08 48 85 C0 0F 8C D0 00 00 00 40 89 45 FC 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 83 78 20 00 0F 84 AD 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 50 20 8B 45 08 8B 40 08 8B 40 FC 8B 80 F4 04 00 00 8B 80 B4 02 00 00 59 8B 38 FF 57 3C 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 24 00 74 6D 8B 45 08 8B 40 08 8B 40 FC 8B B8 F4 04 00 00 8B 87 B4 02 00 00 8B 10 FF 52 14 8B D0 4A 8B C7 8B 08 FF 91 FC 00 00 00 8B D3 8B C6 E8 ?? ?? ?? ?? 80 78 24 01 75 1B 8B 45 08 8B 40 08 8B 40 FC 8B 80 F8 04 00 00 33 D2 8B 08 FF 91 FC 00 00 00 EB 1C 8B 45 08 8B 40 08 8B 40 FC 8B 80 F8 04 00 00 BA 01 00 00 00 8B 08 FF 91 FC 00 00 00 43 FF 4D FC 0F 85 36 FF FF FF 8B 45 08 8B 40 08 8B 40 FC 8B 80 F4 04 00 00 8B 10 FF 92 F8 00 00 00 85 C0 0F 95 C2 8B 45 08 8B 40 08 8B 40 FC 8B 80 F8 04 00 00 8B 08 FF 91 80 00 00 00 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92564_0 {
	meta:
		name = "SetTabSeriesGeneral"
		size = 823
		refs = "001b SetTabSeriesGeneral 0057 TControl.SetText 0085 TCustomUpDown.SetPosition 00a8 _Dn_TFormatEditor 00ad TFormatEditor.AddDefaultFormats 00bb DelphiToLocalFormat 0115 TFormTeeSeries.FillAxes 0240 TFormTeeSeries.FindZList 0254 TControl.SetVisible 0274 AddSortByItems 02bb ShowControls 02d1 TeeFillCursors 02e2 TeeOnChangeVisual 02f3 @CallDynaInst 0324 @UStrArrayClr 032a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C0 89 45 F8 89 45 FC 8B 7D 08 83 C7 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 8B 80 30 05 00 00 85 C0 0F 84 90 02 00 00 8B F0 8B 07 8B 80 00 05 00 00 0F B6 56 54 8B 08 FF 91 FC 00 00 00 8B 07 8B 80 08 05 00 00 8B 56 50 E8 ?? ?? ?? ?? 83 7E 70 FF 0F 94 C2 8B 07 8B 80 34 04 00 00 8B 08 FF 91 FC 00 00 00 8B 46 70 83 F8 FF 75 11 8B 07 8B 80 30 04 00 00 33 D2 E8 ?? ?? ?? ?? EB 0E 8B 17 8B 92 30 04 00 00 92 E8 ?? ?? ?? ?? 8B 07 8B 80 18 04 00 00 8B 90 B4 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B 86 94 00 00 00 E8 ?? ?? ?? ?? 8B 07 8B 80 18 04 00 00 8B 98 B4 02 00 00 8B 55 FC 8B C3 8B 08 FF 51 54 40 75 0A 8B 55 FC 8B C3 8B 08 FF 51 38 8B 07 8B 80 18 04 00 00 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 86 8C 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 07 8B 80 B8 03 00 00 E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 8B 07 8B 98 C8 03 00 00 8B 07 8B 80 30 05 00 00 0F B6 80 B0 00 00 00 2C 01 72 08 74 14 FE C8 74 21 EB 30 33 D2 8B C3 8B 08 FF 91 FC 00 00 00 EB 47 BA 01 00 00 00 8B C3 8B 08 FF 91 FC 00 00 00 EB 36 BA 02 00 00 00 8B C3 8B 08 FF 91 FC 00 00 00 EB 25 8B 07 8B 80 30 05 00 00 8B 90 B4 00 00 00 8B 83 B4 02 00 00 8B 08 FF 51 5C 8B D0 8B C3 8B 08 FF 91 FC 00 00 00 8B 07 8B 98 D4 03 00 00 8B 07 8B 80 30 05 00 00 0F B6 80 C0 00 00 00 2C 01 72 08 74 14 FE C8 74 21 EB 30 33 D2 8B C3 8B 08 FF 91 FC 00 00 00 EB 47 BA 01 00 00 00 8B C3 8B 08 FF 91 FC 00 00 00 EB 36 BA 02 00 00 00 8B C3 8B 08 FF 91 FC 00 00 00 EB 25 8B 07 8B 80 30 05 00 00 8B 90 B8 00 00 00 8B 83 B4 02 00 00 8B 08 FF 51 5C 8B D0 8B C3 8B 08 FF 91 FC 00 00 00 8B 86 A0 00 00 00 0F B6 50 08 8B 07 8B 80 CC 03 00 00 8B 08 FF 91 FC 00 00 00 8B 86 A4 00 00 00 0F B6 50 08 8B 07 8B 80 D8 03 00 00 8B 08 FF 91 FC 00 00 00 8B 07 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 95 C2 8B 07 8B 80 B8 04 00 00 E8 ?? ?? ?? ?? 8B 07 8B 80 B8 04 00 00 80 78 61 00 74 0C 0F B6 53 08 8B 08 FF 91 FC 00 00 00 55 E8 ?? ?? ?? ?? 59 8B 86 98 00 00 00 83 78 08 02 0F 9E C0 8B 17 8B 92 28 04 00 00 89 55 E8 8B 17 8B 92 2C 04 00 00 89 55 EC 8B 17 8B 92 30 04 00 00 89 55 F0 8B 17 8B 92 34 04 00 00 89 55 F4 8D 55 E8 B9 03 00 00 00 E8 ?? ?? ?? ?? 0F B7 46 68 EB 02 33 C0 8B 17 8B 92 A8 03 00 00 92 E8 ?? ?? ?? ?? 8B 07 8B 98 30 05 00 00 85 DB 74 1A A1 ?? ?? ?? ?? 83 38 00 74 10 8B 43 40 66 BE A7 FF E8 ?? ?? ?? ?? 85 C0 75 04 33 D2 EB 02 B2 01 8B 07 8B 80 0C 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92565_0 {
	meta:
		name = "TFormTeeSeries.PageSeriesChange"
		size = 96
		refs = "0025 SetTabSeriesGeneral 0039 SetTabSeriesMarks 004f TFormTeeSeries.SetTabDataSource"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 94 03 00 00 8B 4D FC 8B 89 9C 03 00 00 8B 90 DC 02 00 00 3B CA 75 09 55 E8 ?? ?? ?? ?? 59 EB 27 8B 4D FC 3B 91 BC 03 00 00 75 09 55 E8 ?? ?? ?? ?? 59 EB 13 8B 45 FC 3B 90 C0 03 00 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 15 05 00 00 00 59 5D C3 }
	condition:
		$1
}

rule function_92566_0 {
	meta:
		name = "TFormTeeSeries.FillAxes"
		size = 47
		refs = "0014 TFormTeeSeries.FillAxis"
	strings:
		$1 = { 53 8B D8 8B 83 C8 03 00 00 8B 90 B4 02 00 00 B1 01 8B C3 E8 ?? ?? ?? ?? 8B 83 D4 03 00 00 8B 90 B4 02 00 00 33 C9 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92567_0 {
	meta:
		name = "TFormTeeSeries.SetTabDataSource"
		size = 350
		refs = "0041 TChartSeries.GetDataSource 00a6 _Dn_TChartSeries 00ab @IsClass 00ce TeeSources 00e5 TList.Get 0154 TFormTeeSeries.CreateDataSourceForm"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B 83 24 04 00 00 8B 10 FF 92 F8 00 00 00 8B F0 8B BB 30 05 00 00 83 BF C4 00 00 00 00 74 18 BA 03 00 00 00 8B 83 24 04 00 00 8B 08 FF 91 FC 00 00 00 E9 01 01 00 00 8B C7 E8 ?? ?? ?? ?? 85 C0 75 50 8B 83 30 05 00 00 8B 90 A0 00 00 00 83 7A 04 00 7E 0B 0F B6 80 64 01 00 00 34 01 EB 02 33 C0 84 C0 74 18 BA 01 00 00 00 8B 83 24 04 00 00 8B 08 FF 91 FC 00 00 00 E9 BB 00 00 00 33 D2 8B 83 24 04 00 00 8B 08 FF 91 FC 00 00 00 E9 A6 00 00 00 8B 83 30 05 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 BA 02 00 00 00 8B 83 24 04 00 00 8B 08 FF 91 FC 00 00 00 EB 77 33 C0 89 04 24 E8 ?? ?? ?? ?? 8B 68 08 4D 85 ED 7C 31 45 33 FF E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 93 30 05 00 00 FF 50 54 84 C0 74 11 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 89 04 24 EB 04 47 4D 75 D2 8B BB 24 04 00 00 83 3C 24 00 74 1C 8B 87 B4 02 00 00 8B 14 24 8B 08 FF 51 5C 8B D0 8B C7 8B 08 FF 91 FC 00 00 00 EB 0C 33 D2 8B C7 8B 08 FF 91 FC 00 00 00 8B 83 24 04 00 00 8B 10 FF 92 F8 00 00 00 3B F0 74 07 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92568_0 {
	meta:
		name = "TFormTeeSeries.AddToTab"
		size = 45
		refs = "000e TControl.SetAlign 0015 TeeTranslateControl 0021 AddFormTo"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA B2 05 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_92569_0 {
	meta:
		name = "TFormTeeSeries.InsertSeriesForm"
		size = 157
		refs = "0019 _DV_TFormTeeSeries 001e @IsClass 002c _Dn_TTabSheet 0031 TTabSheet.Create 0043 TTabSheet.SetPageControl 004d TTabSheet.SetPageIndex 0057 TControl.SetText 0071 TFormTeeSeries.AddToTab"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 85 DB 74 6B 83 7B 04 00 74 65 8B 43 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 53 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 04 8B 90 94 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 10 8B C6 E8 ?? ?? ?? ?? 8B 55 0C 8B C6 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4B 04 B2 01 8B C7 FF 50 38 8B D0 8B CE 8B 43 04 E8 ?? ?? ?? ?? 8B D8 EB 1B 8B CB B2 01 8B C7 FF 50 38 8B D8 8B 55 0C 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 43 0C 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_92570_0 {
	meta:
		name = "TFormTeeSeries.DestroySeriesForms"
		size = 142
		refs = "000c RemoveControls 001d TPageControl.GetPage 004d TTabSheet.GetPageIndex 006a TObject.Free 007b TPageControl.GetPageCount 0086 TFormTeeSeries.DestroyDataSourceForm"
	strings:
		$1 = { 53 56 57 8B F0 8B 86 98 03 00 00 E8 ?? ?? ?? ?? 33 FF EB 60 8B D7 8B 86 94 03 00 00 E8 ?? ?? ?? ?? 8B D8 3B 9E 98 03 00 00 74 48 3B 9E 9C 03 00 00 74 40 3B 9E BC 03 00 00 74 38 3B 9E C0 03 00 00 74 30 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 1B 8B 83 7C 02 00 00 F6 40 1C 08 75 0F F6 43 1C 08 75 09 8B C3 E8 ?? ?? ?? ?? EB 04 47 EB 01 47 8B 86 94 03 00 00 E8 ?? ?? ?? ?? 3B F8 7C 91 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92571_0 {
	meta:
		name = "SeriesEditorForm"
		size = 97
		refs = "000c SeriesEditorForm 0017 _Dn_TControl 001c StartClassGroup 0026 ActivateClassGroup 0030 TCustomChartElement.EditorClass 0038 GetClass 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_92572_0 {
	meta:
		name = "CreateTheSeriesForm"
		size = 114
		refs = "0011 SeriesEditorForm 004a TFormTeeSeries.AddToTab 0058 TFormTeeSeries.DestroySeriesForms 006b TTabSheet.SetTabVisible"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 80 30 05 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 36 8B 45 08 8B 40 FC 8B 80 30 05 00 00 50 8B 45 08 8B 48 FC B2 01 8B C3 FF 50 38 8B D0 8B 45 08 8B 40 FC 8B 88 98 03 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5B 5D C3 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 98 03 00 00 33 D2 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_92573_0 {
	meta:
		name = "HideSeriesPage"
		size = 62
		refs = "0012 TControl.SetVisible 0025 TControl.SetText"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 80 0C 04 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 10 04 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 94 03 00 00 33 D2 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_92574_0 {
	meta:
		name = "FindTab"
		size = 152
		refs = "0015 FindTab 0033 TPageControl.GetPageCount 0046 TPageControl.GetPage 004e TControl.GetText 0059 @UStrEqual 0082 @UStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B B8 94 03 00 00 33 C0 89 45 F8 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 33 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 75 0E 8B D3 8B C7 E8 ?? ?? ?? ?? 89 45 F8 EB 04 43 4E 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92575_0 {
	meta:
		name = "AddTeeSources"
		size = 245
		refs = "0012 AddTeeSources 004e TeeSources 006b TList.Get 00e2 @UStrClr 00e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 24 04 00 00 8B 98 B4 02 00 00 EB 11 8B C3 8B 10 FF 52 14 8B D0 4A 8B C3 8B 08 FF 51 48 8B C3 8B 10 FF 52 14 83 F8 04 7F E3 E8 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 77 46 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 80 24 04 00 00 8B 80 B4 02 00 00 8B FB 8B D7 8B 08 FF 51 5C 40 75 3C 8B 45 08 8B 40 FC 8B 80 30 05 00 00 8B 50 40 8B C3 FF 50 44 84 C0 74 24 8D 55 F8 8B C3 FF 50 48 8B 55 F8 8B 45 08 8B 40 FC 8B 80 24 04 00 00 8B 80 B4 02 00 00 8B CF 8B 18 FF 53 3C FF 45 FC 4E 75 91 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92576_0 {
	meta:
		name = "ChangeSeriesForms"
		size = 1096
		refs = "001b @UStrAddRef 0023 ChangeSeriesForms 0063 TTeeEventListeners.Add 006c AddTeeSources 0074 _Dn_TBitmap 0079 TBitmap.Create 009e TeeGetBitmapEditor 00cd TObject.Free 00d3 @HandleFinally 00f9 TControl.SetVisible 010d GetGallerySeriesName 011a Pos 012e @UStrInsert 014a SeriesTitleOrName 015a @UStrCatN 016e TControl.SetText 01b2 TTabSheet.SetTabVisible 0234 TControl.GetText 023f @UStrEqual 02a9 ShowControls 0319 TFormTeeSeries.DestroySeriesForms 0322 CreateTheSeriesForm 032f FindTab 0343 TPageControl.SetActivePage 03cf TFormTeeSeries.PageSeriesChange 03f8 @UStrClr 0405 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 33 D2 89 55 E8 89 55 F0 89 55 EC 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 30 05 00 00 8B 40 40 8B 55 08 8B 52 FC 89 82 10 05 00 00 85 C0 74 1B 8B 55 08 8B 52 FC 85 D2 74 06 81 EA C0 FA FF FF 8B 80 14 03 00 00 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 08 8B 40 FC 8B 80 30 05 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 0C 04 00 00 8B 80 B8 01 00 00 8B 55 F4 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 8B 40 FC 8B 80 30 05 00 00 0F B6 90 3C 01 00 00 8B 45 08 8B 40 FC 8B 80 3C 04 00 00 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 08 8B 40 FC 8B 80 30 05 00 00 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 10 8D 48 01 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 EC 8B 45 08 8B 40 FC 8B 80 30 05 00 00 E8 ?? ?? ?? ?? FF 75 EC 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 8B 40 FC 8B 80 10 04 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 0C 04 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 94 03 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 0F B6 90 36 05 00 00 8B 45 08 8B 40 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 0F B6 90 37 05 00 00 8B 45 08 8B 40 FC 8B 80 BC 03 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 B8 35 05 00 00 00 74 24 8B 45 08 8B 40 FC 8B 80 30 05 00 00 F6 40 55 01 75 12 8B 45 08 8B 40 FC 8B 80 30 05 00 00 F6 40 55 20 74 04 33 D2 EB 02 B2 01 8B 45 08 8B 40 FC 8B 80 C0 03 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 36 8D 55 E8 8B 45 08 8B 40 FC 8B 80 C0 03 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 75 29 8B 45 08 8B 40 FC 8B 80 C0 03 00 00 80 B8 80 02 00 00 00 75 14 8D 55 FC 8B 45 08 8B 40 FC 8B 80 98 03 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 30 05 00 00 8B 10 FF 92 74 01 00 00 8B 55 08 8B 52 FC 8B 92 C4 03 00 00 89 55 E0 8B 55 08 8B 52 FC 8B 92 D0 03 00 00 89 55 E4 8D 55 E0 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 B8 34 05 00 00 00 74 12 8B 45 08 8B 40 FC 8B 80 30 05 00 00 F6 40 55 01 74 04 33 D2 EB 02 B2 01 8B 45 08 8B 40 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 90 03 00 00 80 78 61 00 74 1B 8B 55 08 8B 52 FC 8B 92 30 05 00 00 F6 42 55 10 0F 95 C2 8B 08 FF 91 FC 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 8B D0 8B 45 08 8B 40 FC 8B 80 94 03 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 15 8B 45 08 8B 40 FC 8B 80 94 03 00 00 83 B8 DC 02 00 00 00 75 1D 8B 45 08 8B 40 FC 8B 90 98 03 00 00 8B 45 08 8B 40 FC 8B 80 94 03 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 94 03 00 00 8B 90 DC 02 00 00 80 BA 80 02 00 00 00 75 11 8B 55 08 8B 52 FC 8B 92 9C 03 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 24 04 00 00 83 CA FF 8B 08 FF 91 FC 00 00 00 8B 45 08 8B 50 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 3C 04 00 00 8B 10 FF 92 A0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_92577_0 {
	meta:
		name = "TFormTeeSeries.CBSeriesChange"
		size = 278
		refs = "0014 TFormTeeSeries.CBSeriesChange 0041 TControl.GetText 004b @UStrClr 0068 TComboFlat.SelectedObject 00a3 TChartListBox.SetSelectedSeries 00c0 ChangeSeriesForms 00db HideSeriesPage 010a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 80 14 05 00 00 01 8B 45 FC 8B 80 94 03 00 00 8B 98 DC 02 00 00 85 DB 74 0C 8D 55 F8 8B C3 E8 ?? ?? ?? ?? EB 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 08 04 00 00 8B C3 8B 10 FF 92 F8 00 00 00 40 74 7D 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 B0 30 05 00 00 85 F6 74 5E 8B 45 FC 8B 80 3C 05 00 00 85 C0 74 1F 8B 10 FF 92 08 01 00 00 8B 45 FC 8B 90 30 05 00 00 8B 45 FC 8B 80 3C 05 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 30 05 00 00 8B 55 FC 3B 82 24 05 00 00 74 2E 55 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 30 05 00 00 8B 55 FC 89 82 24 05 00 00 EB 10 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC C6 80 14 05 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92578_0 {
	meta:
		name = "TFormTeeSeries.FormCreate"
		size = 130
		refs = "004f _Dn_TTeeFuncEditor 006a TPageControl.SetActivePage"
	strings:
		$1 = { 53 56 8B D8 C6 83 15 05 00 00 00 C6 83 14 05 00 00 01 C6 83 35 05 00 00 01 C6 83 36 05 00 00 01 C6 83 37 05 00 00 01 C6 83 34 05 00 00 00 BA 0C 00 00 00 8B 83 24 04 00 00 8B 08 FF 91 3C 01 00 00 8B 83 24 04 00 00 8B 80 B4 02 00 00 8B 0D ?? ?? ?? ?? BA 03 00 00 00 8B 30 FF 56 24 8B 93 98 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 93 E0 03 00 00 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92579_0 {
	meta:
		name = "TFormTeeSeries.RGMarkStyleClick"
		size = 45
		refs = "0020 TSeriesMarks.SetStyle 0027 TFormTeeSeries.EnableMultiLine"
	strings:
		$1 = { 53 8B D8 8B 83 44 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 30 05 00 00 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92580_0 {
	meta:
		name = "TFormTeeSeries.CBPersistentClick"
		size = 68
		refs = "001f TFormTeeSeries.CBPersistentClick"
	strings:
		$1 = { 53 56 8B F0 8B 9E 30 05 00 00 8B 86 90 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 10 0F B6 05 ?? ?? ?? ?? 0A 43 55 88 43 55 5E 5B C3 0F B6 05 ?? ?? ?? ?? F7 D0 22 43 55 88 43 55 5E 5B C3 00 00 10 00 00 00 }
	condition:
		$1
}

rule function_92581_0 {
	meta:
		name = "TFormTeeSeries.CBYDateTimeClick"
		size = 44
		refs = "0025 TChartValueList.SetDateTime"
	strings:
		$1 = { 53 56 8B D8 8B B3 30 05 00 00 85 F6 74 1B 8B 83 D8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 A4 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92582_0 {
	meta:
		name = "TFormTeeSeries.CBXDateTimeClick"
		size = 44
		refs = "0025 TChartValueList.SetDateTime"
	strings:
		$1 = { 53 56 8B D8 8B B3 30 05 00 00 85 F6 74 1B 8B 83 CC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 A0 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92583_0 {
	meta:
		name = "CheckOldSource"
		size = 166
		refs = "0014 TChartSeries.GetDataSource 002b _Dn_TTeeSeriesSource 0030 @IsClass 0066 TTeeSeriesSource.SetSeries 006d TObject.Free 007c TChartSeries.SetDataSource"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 83 C6 FC 8B 06 8B 80 30 05 00 00 E8 ?? ?? ?? ?? 85 C0 74 74 8B 06 8B 80 30 05 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 58 8B 06 8B 80 30 05 00 00 E8 ?? ?? ?? ?? 8B 40 04 8B 16 3B 82 30 05 00 00 75 3E 8B 06 8B 80 30 05 00 00 E8 ?? ?? ?? ?? 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 80 30 05 00 00 33 D2 E8 ?? ?? ?? ?? 8B 06 8B 80 30 05 00 00 8B 10 FF 92 08 01 00 00 8B 06 8B 80 30 05 00 00 33 D2 8B 08 FF 91 7C 01 00 00 5E 5B 5D C3 }
	condition:
		$1
}

rule function_92584_0 {
	meta:
		name = "TFormTeeSeries.CBDataSourcestyleChange"
		size = 105
		refs = "0040 CheckOldSource 0062 TFormTeeSeries.CreateDataSourceForm"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 38 05 00 00 85 C0 74 10 8B 80 A0 03 00 00 33 D2 8B 08 FF 91 80 00 00 00 8B 45 FC 8B 80 24 04 00 00 8B 10 FF 92 F8 00 00 00 83 E8 01 72 04 74 1B EB 20 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 30 05 00 00 C6 80 64 01 00 00 01 EB 07 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_92585_0 {
	meta:
		name = "TFormTeeSeries.DestroyDataSourceForm"
		size = 50
		refs = "002b TObject.Free"
	strings:
		$1 = { 53 56 8B D8 8B B3 38 05 00 00 85 F6 74 21 8B C6 8B 10 FF 92 18 01 00 00 84 C0 74 13 8D 83 38 05 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92586_0 {
	meta:
		name = "EnableButton"
		size = 17
		refs = "000c TControl.SetVisible"
	strings:
		$1 = { 66 83 B8 1A 01 00 00 00 0F 95 C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92587_0 {
	meta:
		name = "TFormTeeSeries.CreateDataSourceForm"
		size = 690
		refs = "000d TFormTeeSeries.CreateDataSourceForm 001a TFormTeeSeries.DestroyDataSourceForm 0034 TControl.SetVisible 00b7 TCustomChartGrid.SetChart 00c8 TCustomChartGrid.SetSeries 0107 TFormTeeSeries.CheckCBSamples 011a @CallDynaInst 0126 IntToStr 0134 TControl.SetText 013f TControl.BringToFront 017a FillSeriesSources 0185 TChartSeries.GetDataSource 0200 TComboFlat.SelectedObject 0226 EnableButton 0259 TControl.SetAlign 0270 AddFormTo 028c TTimer.SetEnabled 02a1 @UStrClr 02a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 BB 38 05 00 00 00 0F 85 65 02 00 00 33 D2 8B 83 4C 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 50 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 58 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 60 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 8B 83 24 04 00 00 8B 10 FF 92 F8 00 00 00 83 E8 01 72 0E 74 50 48 0F 84 A6 00 00 00 E9 41 01 00 00 8B 83 30 05 00 00 8B 50 40 8B 83 58 04 00 00 E8 ?? ?? ?? ?? 8B 93 30 05 00 00 8B 83 58 04 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 58 04 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? E9 A5 01 00 00 B2 01 8B 83 60 04 00 00 E8 ?? ?? ?? ?? 8B 83 30 05 00 00 8B B0 34 01 00 00 8B C3 E8 ?? ?? ?? ?? 85 F6 75 11 8B 83 30 05 00 00 66 BE E6 FF E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 8B 83 60 04 00 00 E8 ?? ?? ?? ?? E9 48 01 00 00 B2 01 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 8B 83 D0 04 00 00 8B 10 FF 92 04 01 00 00 6A 00 8B 83 D0 04 00 00 8B 90 B4 02 00 00 8B 8B 30 05 00 00 33 C0 E8 ?? ?? ?? ?? 8B 83 30 05 00 00 E8 ?? ?? ?? ?? 8B D0 8B B3 D0 04 00 00 8B 86 B4 02 00 00 8B 08 FF 51 5C 8B D0 8B C6 8B 08 FF 91 FC 00 00 00 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 8B 83 D0 04 00 00 8B 10 FF 92 F8 00 00 00 40 0F 95 C2 8B 83 D8 04 00 00 8B 08 FF 91 80 00 00 00 33 D2 8B 83 D4 04 00 00 8B 08 FF 91 80 00 00 00 E9 A8 00 00 00 8B B3 24 04 00 00 8B C6 8B 10 FF 92 F8 00 00 00 83 F8 03 75 10 8B C6 E8 ?? ?? ?? ?? 8B CB B2 01 FF 50 38 EB 3F 8B C6 E8 ?? ?? ?? ?? 8B F0 8B C6 FF 50 50 84 C0 74 21 8B 83 4C 04 00 00 E8 ?? ?? ?? ?? 8B 83 50 04 00 00 E8 ?? ?? ?? ?? 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 8B C6 FF 50 4C 8B CB B2 01 FF 50 38 8B D0 89 93 38 05 00 00 8B C2 B2 05 E8 ?? ?? ?? ?? 8B 8B 30 05 00 00 8B 93 1C 04 00 00 8B 83 38 05 00 00 E8 ?? ?? ?? ?? 8B 83 38 05 00 00 66 BE A1 FF E8 ?? ?? ?? ?? B2 01 8B 83 B0 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92588_0 {
	meta:
		name = "TFormTeeSeries.CBShowInLegendClick"
		size = 40
		refs = "0021 TCustomChartSeries.SetShowInLegend"
	strings:
		$1 = { 53 56 8B D8 8B B3 30 05 00 00 85 F6 74 17 8B 83 00 05 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92589_0 {
	meta:
		name = "TFormTeeSeries.CBCursorChange"
		size = 93
		refs = "000d TFormTeeSeries.CBCursorChange 0027 TComboFlat.CurrentItem 0033 TeeSetCursor 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 30 05 00 00 8D 55 FC 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 0F B7 46 68 E8 ?? ?? ?? ?? 66 89 46 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92590_0 {
	meta:
		name = "TFormTeeSeries.SEArrowLengthChange"
		size = 51
		refs = "0006 TFormTeeSeries.CanModifySeries 0015 TCustomUpDown.GetPosition 0027 TSeriesMarks.GetCallout 002d TMarksCallout.SetLength"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 8B 83 88 04 00 00 E8 ?? ?? ?? ?? 50 8B 83 30 05 00 00 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92591_0 {
	meta:
		name = "TFormTeeSeries.CBMarkClipClick"
		size = 38
		refs = "0020 TSeriesMarks.SetClip"
	strings:
		$1 = { 53 8B D8 8B 83 E8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 30 05 00 00 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92592_0 {
	meta:
		name = "TFormTeeSeries.CBMarksVisibleClick"
		size = 83
		refs = "0021 TTeeCustomShapeBrushPen.SetVisible 0036 TFormTeeSeries.AllSeriesMarksVisible"
	strings:
		$1 = { 53 56 8B F0 8B 86 E4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 30 05 00 00 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 0F B6 9E 15 05 00 00 C6 86 15 05 00 00 01 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 86 38 04 00 00 8B 08 FF 91 FC 00 00 00 88 9E 15 05 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92593_0 {
	meta:
		name = "TFormTeeSeries.FormDestroy"
		size = 39
		refs = "0006 TFormTeeSeries.DestroySeriesForms 0021 TCustomTeePanel.RemoveListener"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 10 05 00 00 85 C0 74 11 8B D3 85 D2 74 06 81 EA C0 FA FF FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92594_0 {
	meta:
		name = "TFormTeeSeries.FormShow"
		size = 141
		refs = "000c InternalOnCreateEditSeries 0030 InternalOnCreateEditSeriesObj 006f TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 C6 83 14 05 00 00 00 83 3D ?? ?? ?? ?? 00 74 1A 83 BB 30 05 00 00 00 74 11 8B 83 30 05 00 00 8B 50 40 8B C3 FF 15 ?? ?? ?? ?? 66 83 3D ?? ?? ?? ?? 00 74 20 83 BB 30 05 00 00 00 74 17 8B 83 30 05 00 00 8B 48 40 8B D3 8B 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B 83 30 05 00 00 85 C0 74 2A F6 40 1C 10 0F 95 C2 8B 83 C8 04 00 00 E8 ?? ?? ?? ?? 8B 83 30 05 00 00 0F B6 50 48 8B 83 C8 04 00 00 8B 08 FF 91 FC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92595_0 {
	meta:
		name = "TFormTeeSeries.SEMarksAngleChange"
		size = 46
		refs = "0006 TFormTeeSeries.CanModifySeries 0015 TCustomUpDown.GetPosition 0028 TSeriesMarks.SetAngle"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 30 05 00 00 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92596_0 {
	meta:
		name = "TFormTeeSeries.CBHorizAxisChange"
		size = 87
		refs = "002c TChartSeries.SetHorizAxis 0043 TComboFlat.SelectedObject 0050 TChartSeries.SetCustomHorizAxis"
	strings:
		$1 = { 53 56 8B D8 8B B3 C8 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 83 F8 03 7D 1A 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 30 05 00 00 E8 ?? ?? ?? ?? 5E 5B C3 B2 03 8B 83 30 05 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 30 05 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92597_0 {
	meta:
		name = "TFormTeeSeries.CBVertAxisChange"
		size = 87
		refs = "002c TChartSeries.SetVertAxis 0043 TComboFlat.SelectedObject 0050 TChartSeries.SetCustomVertAxis"
	strings:
		$1 = { 53 56 8B D8 8B B3 D4 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 83 F8 03 7D 1A 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 30 05 00 00 E8 ?? ?? ?? ?? 5E 5B C3 B2 03 8B 83 30 05 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 30 05 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92598_0 {
	meta:
		name = "TFormTeeSeries.EMarksEveryChange"
		size = 46
		refs = "0006 TFormTeeSeries.CanModifySeries 0015 TCustomUpDown.GetPosition 0028 TSeriesMarks.SetDrawEvery"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 30 05 00 00 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92599_0 {
	meta:
		name = "TFormTeeSeries.CBMultiLineClick"
		size = 38
		refs = "0020 TSeriesMarks.SetMultiline"
	strings:
		$1 = { 53 8B D8 8B 83 04 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 30 05 00 00 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92600_0 {
	meta:
		name = "TFormTeeSeries.CBSortOrderChange"
		size = 356
		refs = "0009 TFormTeeSeries.CanModifySeries 0071 TChartValueLists.Get 013b TChartSeries.SortByLabels 015b @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 4A 01 00 00 8B B3 F4 04 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 B4 02 00 00 8B 08 FF 51 18 8B E8 8B 83 30 05 00 00 8B 80 98 00 00 00 8B 78 08 4F 85 FF 0F 8C 90 00 00 00 47 33 F6 8B 83 F4 04 00 00 8B 10 FF 92 F8 00 00 00 83 F8 02 7C 17 8B 83 30 05 00 00 8B 80 98 00 00 00 8B D6 E8 ?? ?? ?? ?? 3B E8 74 19 8B 83 30 05 00 00 8B 80 98 00 00 00 8B D6 E8 ?? ?? ?? ?? C6 40 24 00 EB 42 8B 83 F8 04 00 00 8B 10 FF 92 F8 00 00 00 85 C0 75 19 8B 83 30 05 00 00 8B 80 98 00 00 00 8B D6 E8 ?? ?? ?? ?? C6 40 24 01 EB 17 8B 83 30 05 00 00 8B 80 98 00 00 00 8B D6 E8 ?? ?? ?? ?? C6 40 24 02 46 4F 0F 85 73 FF FF FF 8B 83 F4 04 00 00 8B 10 FF 92 F8 00 00 00 85 C0 0F 95 C2 8B 83 F8 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 F4 04 00 00 8B 10 FF 92 F8 00 00 00 85 C0 74 50 8B 83 F4 04 00 00 8B 10 FF 92 F8 00 00 00 48 75 30 8B 83 F8 04 00 00 8B 10 FF 92 F8 00 00 00 85 C0 75 0F B2 01 8B 83 30 05 00 00 E8 ?? ?? ?? ?? EB 1E B2 02 8B 83 30 05 00 00 E8 ?? ?? ?? ?? EB 0F 8B 83 30 05 00 00 66 BE EA FF E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92601_0 {
	meta:
		name = "TFormTeeSeries.CBFormatChange"
		size = 108
		refs = "000e TFormTeeSeries.CBFormatChange 0022 TControl.GetText 002d LocalToDelphiFormat 0053 @UStrClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 30 05 00 00 8B 08 FF 91 E0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92602_0 {
	meta:
		name = "TFormTeeSeries.CheckCanClose"
		size = 24
	strings:
		$1 = { 8B 90 38 05 00 00 85 D2 74 0B 8B C2 8B 10 FF 92 18 01 00 00 C3 B0 01 C3 }
	condition:
		$1
}

rule function_92603_0 {
	meta:
		name = "TFormTeeSeries.PageSeriesChanging"
		size = 36
		refs = "000c TFormTeeSeries.CheckCanClose"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 88 06 3B 7B 04 74 09 0F B6 06 88 83 15 05 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92604_0 {
	meta:
		name = "TFormTeeSeries.CBDepthClick"
		size = 74
		refs = "0006 TFormTeeSeries.CanModifySeries 002a TChartSeries.SetDepth 0037 TCustomUpDown.GetPosition"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3A 8B 83 34 04 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 10 83 CA FF 8B 83 30 05 00 00 E8 ?? ?? ?? ?? EB 18 8B 83 30 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 30 05 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92605_0 {
	meta:
		name = "TFormTeeSeries.CanModifySeries"
		size = 33
	strings:
		$1 = { 80 B8 14 05 00 00 00 75 12 80 B8 15 05 00 00 00 75 09 83 B8 30 05 00 00 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_92606_0 {
	meta:
		name = "TFormTeeSeries.EDepthChange"
		size = 56
		refs = "0006 TFormTeeSeries.CanModifySeries 0015 TCustomUpDown.GetPosition 0022 TChartSeries.SetDepth"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 28 8B 83 30 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 30 05 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 34 04 00 00 8B 08 FF 91 FC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92607_0 {
	meta:
		name = "TFormTeeSeries.FormCloseQuery"
		size = 18
		refs = "0009 TFormTeeSeries.CheckCanClose"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 88 06 5E 5B C3 }
	condition:
		$1
}

rule function_92608_0 {
	meta:
		name = "TFormTeeSeries.CBAllVisibleClick"
		size = 121
		refs = "0009 TFormTeeSeries.CanModifySeries 004e TTeeCustomShapeBrushPen.SetVisible"
	strings:
		$1 = { 53 56 57 55 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 63 8B 83 30 05 00 00 8B 68 40 8B 85 B4 03 00 00 8B 70 08 4E 85 F6 7C 2E 46 33 FF 8B 83 38 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 85 B4 03 00 00 8B 40 04 8B 04 B8 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 47 4E 75 D5 8B 83 38 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 E4 03 00 00 8B 08 FF 91 FC 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92609_0 {
	meta:
		name = "TFormTeeSeries.PaintBox1Paint"
		size = 122
		refs = "0022 TBrush.SetStyle 0033 TBrush.SetColor 004e InflateRect 0070 PaintSeriesLegend"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 83 BB 30 05 00 00 00 74 64 8B 83 3C 04 00 00 8B B0 B0 01 00 00 33 D2 8B 46 48 E8 ?? ?? ?? ?? 8B 83 3C 04 00 00 8B 50 74 8B 46 48 E8 ?? ?? ?? ?? 8B D4 8B 83 3C 04 00 00 8B 08 FF 51 60 6A FC 6A 00 8D 44 24 08 50 E8 ?? ?? ?? ?? 8B D4 8B C6 8B 08 FF 51 54 8B CC 8B 83 3C 04 00 00 8B 90 B0 01 00 00 8B 83 30 05 00 00 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_92610_0 {
	meta:
		name = "TFormTeeSeries.PaintBox1Click"
		size = 84
		refs = "0012 TChartSeries.GetSeriesColor 001e TFormTeeSeries.PaintBox1Click 0025 EditColorDialog"
	strings:
		$1 = { 53 56 51 8B D8 8B B3 30 05 00 00 85 F6 74 3D 8B C6 E8 ?? ?? ?? ?? 89 04 24 8B D4 0F B6 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 8B 14 24 8B 83 30 05 00 00 8B 08 FF 91 D8 00 00 00 8B 83 3C 04 00 00 8B 10 FF 92 A0 00 00 00 5A 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_92611_0 {
	meta:
		name = "TFormTeeSeries.CBSamplesDefaultClick"
		size = 128
		refs = "000d TFormTeeSeries.CBSamplesDefaultClick 0034 @CallDynaInst 003c IntToStr 004a TControl.SetText 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 70 04 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 35 8B 83 30 05 00 00 66 BE E6 FF E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 70 04 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92612_0 {
	meta:
		name = "TFormTeeSeries.CheckCBSamples"
		size = 95
		refs = "0020 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 30 05 00 00 8B B8 34 01 00 00 85 FF 74 17 8B 83 30 05 00 00 66 BE E6 FF E8 ?? ?? ?? ?? 3B F8 74 04 33 D2 EB 02 B2 01 8B 83 70 04 00 00 8B 08 FF 91 FC 00 00 00 8B B3 70 04 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 80 F2 01 8B C6 8B 08 FF 91 80 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92613_0 {
	meta:
		name = "TFormTeeSeries.ESamplesChange"
		size = 114
		refs = "000c TFormTeeSeries.ESamplesChange 0020 TControl.GetText 002a StrToIntDef 003d TFormTeeSeries.CheckCBSamples 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 8B 93 30 05 00 00 89 82 34 01 00 00 8B C3 E8 ?? ?? ?? ?? B2 01 8B 83 74 04 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92614_0 {
	meta:
		name = "TFormTeeSeries.BApplyRandomClick"
		size = 62
		refs = "000d TChartSeries.SetDataSource 002a @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 33 D2 8B 83 30 05 00 00 E8 ?? ?? ?? ?? 8B 93 30 05 00 00 8B 82 34 01 00 00 85 C0 75 10 8B C2 33 D2 66 BE E9 FF E8 ?? ?? ?? ?? 5E 5B C3 92 66 BE E9 FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92615_0 {
	meta:
		name = "TFormTeeSeries.TeeEvent"
		size = 123
		refs = "0010 _Dn_TTeeSeriesEvent 0015 @IsClass 0049 TFormTeeSeries.DestroySeriesForms 005a TFormTeeSeries.CBSeriesChange"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 08 75 6C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 41 80 7E 08 03 75 10 8B 83 3C 04 00 00 8B 10 FF 92 9C 00 00 00 EB 2B 8B C6 80 78 08 01 75 23 8B 40 0C 3B 83 30 05 00 00 75 18 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 30 05 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 66 83 BB 2A 05 00 00 00 74 10 8B CE 8B D3 8B 83 2C 05 00 00 FF 93 28 05 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92616_0 {
	meta:
		name = "TFormTeeSeries.EArrowDistChange"
		size = 51
		refs = "0006 TFormTeeSeries.CanModifySeries 0015 TCustomUpDown.GetPosition 0027 TSeriesMarks.GetCallout 002d TCallout.SetDistance"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 8B 83 94 04 00 00 E8 ?? ?? ?? ?? 50 8B 83 30 05 00 00 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92617_0 {
	meta:
		name = "TFormTeeSeries.BCalloutPointerClick"
		size = 31
		refs = "0010 TSeriesMarks.GetCallout 0019 EditSeriesPointer"
	strings:
		$1 = { 53 8B D8 8B 83 30 05 00 00 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92618_0 {
	meta:
		name = "TFormTeeSeries.CBHeadChange"
		size = 54
		refs = "0006 TFormTeeSeries.CanModifySeries 002a TSeriesMarks.GetCallout 0030 TCallout.SetArrowHead"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 26 8B 83 A0 04 00 00 8B 10 FF 92 F8 00 00 00 50 8B 83 30 05 00 00 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92619_0 {
	meta:
		name = "TFormTeeSeries.Edit1Change"
		size = 51
		refs = "0006 TFormTeeSeries.CanModifySeries 0015 TCustomUpDown.GetPosition 0027 TSeriesMarks.GetCallout 002d TCallout.SetArrowHeadSize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 8B 83 AC 04 00 00 E8 ?? ?? ?? ?? 50 8B 83 30 05 00 00 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92620_0 {
	meta:
		name = "TFormTeeSeries.ChartGrid1SetEditText"
		size = 30
		refs = "0016 TChartSeries.RefreshSeries"
	strings:
		$1 = { 55 8B EC 8B 90 58 04 00 00 8B 92 88 03 00 00 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_92621_0 {
	meta:
		name = "TFormTeeSeries.Timer1Timer"
		size = 48
		refs = "000c TTimer.SetEnabled 0019 TPageControl.SetActivePage"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 B0 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 93 C0 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92622_0 {
	meta:
		name = "TFormTeeSeries.FindZList"
		size = 55
	strings:
		$1 = { 53 8B D8 8B 83 30 05 00 00 8B 50 40 8B 92 B8 03 00 00 8B 08 FF 91 EC 00 00 00 85 C0 75 17 8B 83 30 05 00 00 8B 50 40 8B 92 BC 03 00 00 8B 08 FF 91 EC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92623_0 {
	meta:
		name = "TFormTeeSeries.CBZDateTimeClick"
		size = 57
		refs = "0007 TFormTeeSeries.FindZList 0024 TChartValueList.SetDateTime 0032 TControl.Hide"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1A 8B 83 B8 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 B8 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92624_0 {
	meta:
		name = "TFormTeeSeries.Button1Click"
		size = 124
		refs = "000f TFormTeeSeries.Button1Click 002b TControl.GetText 0035 _Dn_TFormatEditor 003a TFormatEditor.Change 0044 TControl.SetText 004d TFormTeeSeries.CBFormatChange 0062 @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC 50 8D 55 F8 8B B3 18 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92625_0 {
	meta:
		name = "TFormTeeSeries.Button2Click"
		size = 124
		refs = "000f TFormTeeSeries.Button2Click 002b TControl.GetText 0035 _Dn_TFormatEditor 003a TFormatEditor.Change 0044 TControl.SetText 004d TFormTeeSeries.EPercentFormatChange 0062 @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC 50 8D 55 F8 8B B3 B8 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92626_0 {
	meta:
		name = "TFormTeeSeries.Button3Click"
		size = 44
		refs = "0026 TFormTeeSeries.CBDataSourcestyleChange"
	strings:
		$1 = { 53 8B D8 8B 83 30 05 00 00 8B 10 FF 92 08 01 00 00 33 D2 8B 83 24 04 00 00 8B 08 FF 91 FC 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92627_0 {
	meta:
		name = "TFormTeeSeries.CBShowInEditorClick"
		size = 28
	strings:
		$1 = { 53 8B D8 8B 83 C8 04 00 00 8B 10 FF 92 F8 00 00 00 8B 93 30 05 00 00 88 42 48 5B C3 }
	condition:
		$1
}

rule function_92628_0 {
	meta:
		name = "TFormTeeSeries.CBSeriesSourceChange"
		size = 17
	strings:
		$1 = { B2 01 8B 80 D4 04 00 00 8B 08 FF 91 80 00 00 00 C3 }
	condition:
		$1
}

rule function_92629_0 {
	meta:
		name = "TFormTeeSeries.BApplySourceClick"
		size = 77
		refs = "000a TComboFlat.SelectedObject 0017 TChartSeries.SetDataSource"
	strings:
		$1 = { 53 8B D8 8B 83 D0 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 30 05 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 D4 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 D0 04 00 00 8B 10 FF 92 F8 00 00 00 40 0F 95 C2 8B 83 D8 04 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92630_0 {
	meta:
		name = "TFormTeeSeries.BClearSourceClick"
		size = 31
		refs = "0019 TFormTeeSeries.BApplySourceClick"
	strings:
		$1 = { 53 8B D8 83 CA FF 8B 83 D0 04 00 00 8B 08 FF 91 FC 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92631_0 {
	meta:
		name = "TFormTeeSeries.PageControlMarksChange"
		size = 201
		refs = "000b TFormTeeShape.PC1Change 0044 TSeriesMarks.GetSymbol 004f TFormTeeSeries.MarkSymbolsForm 0071 TFormTeeShape.RefreshControls 008e _Dn_TMarginsEditor 0093 TCustomForm.Create 00a8 AddFormTo 00c2 TMarginsEditor.RefreshControls"
	strings:
		$1 = { 53 56 8B D8 8B 83 1C 05 00 00 E8 ?? ?? ?? ?? 8B 83 DC 03 00 00 8B 80 DC 02 00 00 3B 83 B4 04 00 00 75 55 83 BB 20 05 00 00 00 0F 85 96 00 00 00 8B 83 B4 04 00 00 50 8B 83 30 05 00 00 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 03 E8 ?? ?? ?? ?? 8B F0 89 B3 20 05 00 00 8B 83 30 05 00 00 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 3B 83 E4 04 00 00 75 46 83 BB 18 05 00 00 00 75 3D 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 18 05 00 00 8B 93 E4 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 83 30 05 00 00 8B 80 88 00 00 00 8B 50 68 8B 83 18 05 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92632_0 {
	meta:
		name = "TFormTeeSeries.CBTextAlignChange"
		size = 49
		refs = "0006 TFormTeeSeries.CanModifySeries 002b TSeriesMarks.SetTextAlign"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 8B 83 E0 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 30 05 00 00 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92633_0 {
	meta:
		name = "TFormTeeSeries.SpeedButton1Click"
		size = 39
		refs = "0011 _Dn_TMouseCursorEdit 0016 TMouseCursorEdit.Choose"
	strings:
		$1 = { 53 56 8B D8 8B B3 30 05 00 00 0F B7 4E 68 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 93 30 05 00 00 66 89 42 68 5E 5B C3 }
	condition:
		$1
}

rule function_92634_0 {
	meta:
		name = "TFormTeeSeries.CBFontSeriesColorClick"
		size = 38
		refs = "0020 TSeriesMarks.SetFontSeriesColor"
	strings:
		$1 = { 53 8B D8 8B 83 EC 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 30 05 00 00 8B 80 88 00 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92636_0 {
	meta:
		name = "TFormTeeSeries.ELegendTitleChange"
		size = 94
		refs = "000c TFormTeeSeries.ELegendTitleChange 0019 TFormTeeSeries.CanModifySeries 002b TControl.GetText 0039 TCustomChartSeries.SetLegendTitle 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1C 8D 55 FC 8B 83 08 05 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 30 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92637_0 {
	meta:
		name = "TFormTeeSeries.BVisualClick"
		size = 25
		refs = "000f _Dn_TVisualsEditor 0014 TVisualsEditor.ModalShow"
	strings:
		$1 = { 8B 90 30 05 00 00 8B 8A 9C 00 00 00 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92640_0 {
	meta:
		name = "GetTeeChartHelpFile"
		size = 60
		refs = "0006 GetTeeChartHelpFile 000b GetRegistryHelpPath"
	strings:
		$1 = { 53 8B D8 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 54 00 65 00 65 00 43 00 68 00 61 00 72 00 74 00 39 00 2E 00 68 00 6C 00 70 00 00 00 }
	condition:
		$1
}

rule function_92641_0 {
	meta:
		name = "GetTeeChartUserHelpFile"
		size = 60
		refs = "0006 GetTeeChartUserHelpFile 000b GetRegistryHelpPath"
	strings:
		$1 = { 53 8B D8 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 54 00 65 00 65 00 55 00 73 00 65 00 72 00 39 00 2E 00 68 00 6C 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_92642_0 {
	meta:
		name = "TChartEditForm.CheckHelpFile"
		size = 200
		refs = "000e TChartEditForm.CheckHelpFile 0031 GetTeeChartHelpFile 003f @UStrAsg 0049 GetTeeChartUserHelpFile 0074 TCustomForm.SetBorderIcons 0081 @UStrClr 0096 TControl.SetVisible 00b0 @UStrArrayClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 83 04 05 00 00 40 74 59 8B 83 BC 04 00 00 F6 40 1C 10 74 18 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 83 B0 02 00 00 E8 ?? ?? ?? ?? EB 16 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 83 B0 02 00 00 E8 ?? ?? ?? ?? 83 BB B0 02 00 00 00 74 21 0F B6 15 ?? ?? ?? ?? 0A 93 A0 02 00 00 8B C3 E8 ?? ?? ?? ?? EB 0B 8D 83 B0 02 00 00 E8 ?? ?? ?? ?? F6 83 04 05 00 00 40 0F 95 C2 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_92643_0 {
	meta:
		name = "TChartEditForm.DeltaGroup"
		size = 18
	strings:
		$1 = { F6 80 05 05 00 00 01 74 06 B8 01 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_92644_0 {
	meta:
		name = "TChartEditForm.FillGroups"
		size = 363
		refs = "003c TeeMsg_All 0060 TChartSeriesList.GetAllActive 006f TCheckListBox.SetChecked 0099 TSeriesGroups.Get 00bb TSeriesGroup.GetActive 00ce TChartEditForm.DeltaGroup 00df TCheckListBox.SetState 0161 TChartEditForm.GroupsClick"
	strings:
		$1 = { 53 56 57 55 51 8B F0 8B 86 40 04 00 00 8B 10 FF 92 F8 00 00 00 89 04 24 83 3C 24 FF 75 05 33 C0 89 04 24 8B 86 40 04 00 00 8B 10 FF 92 04 01 00 00 F6 86 05 05 00 00 01 74 39 8B 15 ?? ?? ?? ?? 8B 12 8B 86 40 04 00 00 8B 80 88 02 00 00 8B 08 FF 51 38 8B 86 BC 04 00 00 8B 80 B4 03 00 00 E8 ?? ?? ?? ?? 8B C8 33 D2 8B 86 40 04 00 00 E8 ?? ?? ?? ?? 8B 86 BC 04 00 00 8B 80 B4 03 00 00 8B 78 14 8B 47 08 8B 68 08 4D 85 ED 0F 8C 8E 00 00 00 45 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 50 0C 8B 86 40 04 00 00 8B 80 88 02 00 00 8B 08 FF 51 38 8B D3 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 2C 01 72 08 74 3A FE C8 74 1C EB 4C 8B C6 E8 ?? ?? ?? ?? 8B D0 03 D3 B1 01 8B 86 40 04 00 00 E8 ?? ?? ?? ?? EB 32 8B C6 E8 ?? ?? ?? ?? 8B D0 03 D3 B1 02 8B 86 40 04 00 00 E8 ?? ?? ?? ?? EB 18 8B C6 E8 ?? ?? ?? ?? 8B D0 03 D3 33 C9 8B 86 40 04 00 00 E8 ?? ?? ?? ?? 43 4D 0F 85 75 FF FF FF 8B 86 40 04 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 48 3B 04 24 7D 15 8B 86 40 04 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 48 89 04 24 8B 14 24 8B 86 40 04 00 00 8B 08 FF 91 FC 00 00 00 8B D6 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92645_0 {
	meta:
		name = "TryHideSubPage"
		size = 86
		refs = "0018 TPageControl.GetPageCount 0031 TPageControl.GetPage 004d TTabSheet.SetTabVisible"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 08 8B 7F 08 83 C7 FC 8B 07 8B 80 98 03 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1F 43 33 F6 8B 07 8B 80 98 03 00 00 8B D6 E8 ?? ?? ?? ?? 80 B8 80 02 00 00 00 75 13 46 4B 75 E4 8B 07 8B 80 94 03 00 00 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_92646_0 {
	meta:
		name = "HideTabs"
		size = 410
		refs = "0020 TTabSheet.SetTabVisible 0192 TryHideSubPage"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 FC 8B 03 F6 80 00 05 00 00 01 74 0F 8B 03 8B 80 9C 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 03 F6 80 00 05 00 00 02 74 0F 8B 03 8B 80 A4 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 03 F6 80 00 05 00 00 04 74 0F 8B 03 8B 80 A0 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 03 F6 80 00 05 00 00 08 74 0F 8B 03 8B 80 A8 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 03 F6 80 00 05 00 00 10 74 0F 8B 03 8B 80 AC 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 03 F6 80 00 05 00 00 20 74 0F 8B 03 8B 80 B0 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 03 F6 80 00 05 00 00 40 74 0F 8B 03 8B 80 B4 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 03 F6 80 00 05 00 00 80 74 0F 8B 03 8B 80 B8 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 03 F6 80 01 05 00 00 01 74 0F 8B 03 8B 80 C0 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 03 F6 80 01 05 00 00 10 74 0F 8B 03 8B 80 C4 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 03 F6 80 01 05 00 00 20 74 0F 8B 03 8B 80 C8 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 03 F6 80 01 05 00 00 80 74 0F 8B 03 8B 80 D8 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 03 F6 80 02 05 00 00 01 74 0F 8B 03 8B 80 DC 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 03 F6 80 02 05 00 00 02 74 0F 8B 03 8B 80 E0 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 03 F6 80 01 05 00 00 08 74 0F 8B 03 8B 80 BC 03 00 00 33 D2 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 5B 5D C3 }
	condition:
		$1
}

rule function_92647_0 {
	meta:
		name = "ActivatePageIndex"
		size = 653
		refs = "0024 ActivatePageIndex 0051 TPageControl.SetActivePage 005a TChartEditForm.MainPageChange 010d TPageControl.GetPageCount 0133 TPageControl.GetPage 01a7 TChartEditForm.SubPageChange"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 08 83 C6 FC 8B 06 0F B6 80 FC 04 00 00 83 C0 F4 83 F8 05 0F 87 CE 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 06 8B 90 C4 03 00 00 8B 06 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 16 8B 06 E8 ?? ?? ?? ?? E9 25 02 00 00 8B 06 8B 90 C8 03 00 00 8B 06 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 16 8B 06 E8 ?? ?? ?? ?? E9 02 02 00 00 8B 06 8B 90 D8 03 00 00 8B 06 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 16 8B 06 E8 ?? ?? ?? ?? E9 DF 01 00 00 8B 06 8B 90 DC 03 00 00 8B 06 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 16 8B 06 E8 ?? ?? ?? ?? E9 BC 01 00 00 8B 06 8B 90 E0 03 00 00 8B 06 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 16 8B 06 E8 ?? ?? ?? ?? E9 99 01 00 00 8B 06 8B 80 FC 04 00 00 83 F8 08 0F 8F 88 01 00 00 8B D8 EB 3E 8B 06 8B 80 98 03 00 00 E8 ?? ?? ?? ?? 48 3B D8 7D 03 43 EB 29 8B 06 8B 98 FC 04 00 00 EB 05 85 DB 7E 33 4B 8B 06 8B 80 98 03 00 00 8B D3 E8 ?? ?? ?? ?? 80 B8 80 02 00 00 00 74 E3 EB 18 8B 06 8B 80 98 03 00 00 8B D3 E8 ?? ?? ?? ?? 80 B8 80 02 00 00 00 74 AA 8B 06 8B FB 89 B8 FC 04 00 00 8B D7 8B 06 8B 80 98 03 00 00 E8 ?? ?? ?? ?? 80 B8 80 02 00 00 00 74 34 8B 06 8B 90 FC 04 00 00 8B 06 8B 98 98 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 90 98 03 00 00 8B 06 E8 ?? ?? ?? ?? E9 D8 00 00 00 8B 06 8B 80 C4 03 00 00 80 B8 80 02 00 00 00 74 1D 8B D0 8B 06 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 16 8B 06 E8 ?? ?? ?? ?? E9 AA 00 00 00 8B 06 8B 80 D8 03 00 00 80 B8 80 02 00 00 00 74 1A 8B D0 8B 06 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 16 8B 06 E8 ?? ?? ?? ?? EB 7F 8B 06 8B 80 DC 03 00 00 80 B8 80 02 00 00 00 74 1A 8B D0 8B 06 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 16 8B 06 E8 ?? ?? ?? ?? EB 54 8B 06 8B 80 C8 03 00 00 80 B8 80 02 00 00 00 74 1A 8B D0 8B 06 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 16 8B 06 E8 ?? ?? ?? ?? EB 29 8B 06 8B 80 E0 03 00 00 80 B8 80 02 00 00 00 74 18 8B D0 8B 06 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 16 8B 06 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_92648_0 {
	meta:
		name = "SelectFirstSeries"
		size = 154
		refs = "0030 @CallDynaInst 007c TCustomListBox.SetSelected 0093 TChartEditForm.LBSeriesRefreshButtons"
	strings:
		$1 = { 55 8B EC 56 8B 45 08 8B 40 FC 8B 80 64 04 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 7E 78 8B 45 08 8B 40 FC 8B 80 64 04 00 00 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 08 8B 40 FC 8B 80 64 04 00 00 8B 10 FF 92 F4 00 00 00 8B 45 08 8B 40 FC 8B 80 64 04 00 00 33 D2 8B 08 FF 91 FC 00 00 00 8B 45 08 8B 40 FC 8B 80 64 04 00 00 80 B8 78 02 00 00 00 74 09 B1 01 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 90 64 04 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5E 5D C3 }
	condition:
		$1
}

rule function_92649_0 {
	meta:
		name = "TChartEditForm.FormShow"
		size = 1196
		refs = "001a TChartEditForm.FormShow 0043 TeeSeriesNamesRuntime 0064 TControl.SetVisible 007d TMenuItem.SetChecked 008a TSpeedButton.GetGlyph 009e TeeLoadArrowBitmaps 00a3 TeeIsTrial 00b9 TControl.SetCursor 00cd TControl.SetText 00f5 @UStrAsg 00fa TeeToolTypes 0111 TTabSheet.SetTabVisible 0116 TeeAnimationTypes 0142 TChartListBox.SetChart 014c TControl.GetText 017a TeeMsg_Editing 0184 FmtStr 0194 HideTabs 019e TChartEditForm.BroadCastShowEditor 01be TChartEditForm.PrepareTree 01c5 TChartEditForm.ShowHideGroups 01d6 ActivatePageIndex 0226 TChartListBox.SetSelectedSeries 0237 TChartEditForm.LBSeriesEditSeries 026d TPageControl.SetActivePage 0276 TChartEditForm.MainPageChange 02c5 SelectFirstSeries 033e TFormTeeSeries.PageSeriesChanging 037a TFormTeeSeries.PageSeriesChange 0394 TChartEditForm.LBSeriesRefreshButtons 03aa TCustomChartGrid.SetShowColors 03bf @UStrClr 03cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D F0 89 4D F8 89 45 FC 8D 5D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 83 B8 BC 04 00 00 00 0F 84 7B 03 00 00 8B 03 8B 80 BC 04 00 00 F6 40 1C 10 75 18 80 3D ?? ?? ?? ?? 00 75 0F 8B 03 F6 80 04 05 00 00 80 75 04 33 D2 EB 02 B2 01 8B 03 8B 80 90 04 00 00 E8 ?? ?? ?? ?? 8B 03 F6 80 04 05 00 00 80 0F 95 C2 8B 03 8B 80 8C 04 00 00 E8 ?? ?? ?? ?? 8B 03 8B 80 EC 03 00 00 E8 ?? ?? ?? ?? 50 8B 03 8B 80 E8 03 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 13 8B 03 8B 80 D0 03 00 00 66 BA EB FF E8 ?? ?? ?? ?? EB 3A 8B 03 8B 80 D0 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 80 D0 03 00 00 66 BA EB FF E8 ?? ?? ?? ?? 8B 03 8B 80 D0 03 00 00 05 88 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 83 78 08 00 75 0F 8B 03 8B 80 D8 03 00 00 33 D2 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 83 78 08 00 75 0F 8B 03 8B 80 DC 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 03 8B 90 BC 04 00 00 8B 03 8B 80 64 04 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B 03 E8 ?? ?? ?? ?? 83 7D F0 00 75 3C 8B 03 83 B8 BC 04 00 00 00 74 31 6A 00 8B 03 8B 80 BC 04 00 00 8B 40 08 89 45 E8 C6 45 EC 11 8D 4D E8 8B 15 ?? ?? ?? ?? 8B 12 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 03 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 33 D2 8B 03 E8 ?? ?? ?? ?? 8B 03 83 B8 BC 04 00 00 00 74 15 8B 03 8B 80 58 04 00 00 80 78 61 00 74 07 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 03 83 B8 FC 04 00 00 FF 74 07 55 E8 ?? ?? ?? ?? 59 8B 03 8B 80 58 04 00 00 80 78 61 00 74 26 8B 03 8B 80 9C 03 00 00 83 78 38 00 75 18 8B 03 8B 90 C8 04 00 00 8B 03 8B 80 9C 03 00 00 8B 08 FF 91 84 00 00 00 8B 03 8B 80 F8 04 00 00 85 C0 74 25 8B D0 8B 03 8B 80 64 04 00 00 E8 ?? ?? ?? ?? 8B 03 8B 90 64 04 00 00 33 C9 8B 03 E8 ?? ?? ?? ?? E9 8A 00 00 00 8B 03 83 B8 E8 04 00 00 00 74 31 8B 03 8B 80 D8 03 00 00 80 B8 80 02 00 00 00 74 20 8B 03 8B 90 D8 03 00 00 8B 03 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 13 8B 03 E8 ?? ?? ?? ?? EB 4E 8B 03 83 B8 EC 04 00 00 00 74 31 8B 03 8B 80 DC 03 00 00 80 B8 80 02 00 00 00 74 20 8B 03 8B 90 DC 03 00 00 8B 03 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 13 8B 03 E8 ?? ?? ?? ?? EB 12 8B 03 83 B8 FC 04 00 00 FF 75 07 55 E8 ?? ?? ?? ?? 59 8B 03 8B 80 9C 03 00 00 80 B8 F2 01 00 00 00 0F 84 AA 00 00 00 8B 03 8B 80 64 04 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 0F 8E 8F 00 00 00 8B 03 0F B6 80 FC 04 00 00 04 F7 2C 02 73 77 8B 03 8B B0 64 04 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B C8 8B D6 8B 03 E8 ?? ?? ?? ?? 8B 03 8B B0 08 05 00 00 C6 45 F7 01 8D 4D F7 8B 96 94 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B 03 80 B8 FC 04 00 00 09 75 13 8B 96 9C 03 00 00 8B 86 94 03 00 00 E8 ?? ?? ?? ?? EB 11 8B 96 BC 03 00 00 8B 86 94 03 00 00 E8 ?? ?? ?? ?? 8B 96 94 03 00 00 8B C6 E8 ?? ?? ?? ?? EB 18 55 E8 ?? ?? ?? ?? 59 EB 0F 8B 03 8B 90 64 04 00 00 8B 03 E8 ?? ?? ?? ?? 8B 03 8B 80 18 04 00 00 C6 80 41 03 00 00 01 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 55 00 70 00 67 00 72 00 61 00 64 00 65 00 20 00 74 00 6F 00 20 00 50 00 72 00 6F 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 77 00 69 00 74 00 68 00 20 00 31 00 30 00 30 00 25 00 20 00 73 00 6F 00 75 00 72 00 63 00 65 00 20 00 63 00 6F 00 64 00 65 00 20 00 21 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2B 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 73 00 74 00 65 00 65 00 6D 00 61 00 2E 00 63 00 6F 00 6D 00 2F 00 6C 00 69 00 6E 00 6B 00 49 00 6E 00 2F 00 54 00 65 00 65 00 43 00 68 00 61 00 72 00 74 00 46 00 6F 00 72 00 58 00 45 00 32 00 00 00 }
	condition:
		$1
}

rule function_92650_0 {
	meta:
		name = "TChartEditForm.ShowHideGroups"
		size = 149
		refs = "0014 TControl.SetVisible 007b TChartEditForm.FillGroups 008f TControl.SetLeft"
	strings:
		$1 = { 53 8B D8 F6 83 04 05 00 00 80 0F 95 C2 8B 83 4C 04 00 00 E8 ?? ?? ?? ?? 8B 83 4C 04 00 00 0F B6 50 61 8B 83 50 04 00 00 E8 ?? ?? ?? ?? 8B 83 4C 04 00 00 0F B6 50 61 8B 83 54 04 00 00 E8 ?? ?? ?? ?? F6 83 04 05 00 00 80 0F 95 C2 8B 83 48 04 00 00 E8 ?? ?? ?? ?? 8B 83 48 04 00 00 0F B6 50 61 8B 83 44 04 00 00 E8 ?? ?? ?? ?? 8B 83 48 04 00 00 80 78 61 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B 83 64 04 00 00 8B 50 48 8B 83 90 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92651_0 {
	meta:
		name = "TChartEditForm.AddSeriesNodes"
		size = 223
		refs = "0013 TChartEditForm.AddSeriesNodes 0041 TTreeNode.DeleteChildren 0070 TChartListBox.GetSeries 00b0 TTreeNodes.AddChildObject 00cd @UStrClr 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 58 04 00 00 80 78 61 00 0F 84 8F 00 00 00 83 BB CC 04 00 00 00 0F 84 82 00 00 00 8B 83 CC 04 00 00 E8 ?? ?? ?? ?? 8B 83 64 04 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 48 85 C0 7C 61 40 89 45 F8 C7 45 FC 00 00 00 00 8B 55 FC 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 8B F0 F6 46 1C 10 75 06 80 7E 48 00 74 32 56 8D 4D F4 8B 83 64 04 00 00 8B 80 88 02 00 00 8B 55 FC 8B 30 FF 56 0C 8B 4D F4 8B 83 58 04 00 00 8B 80 E0 02 00 00 8B 93 CC 04 00 00 E8 ?? ?? ?? ?? FF 45 FC FF 4D F8 75 AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92652_0 {
	meta:
		name = "ChartTabsVisible"
		size = 107
		refs = "001a TPageControl.GetPageCount 0033 TPageControl.GetPage"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 08 83 C7 FC C6 45 FF 01 8B 07 8B 80 98 03 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 38 46 33 DB 8B 07 8B 80 98 03 00 00 8B D3 E8 ?? ?? ?? ?? 80 B8 80 02 00 00 00 74 19 8B 07 8B 80 98 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 17 3B 82 9C 03 00 00 75 08 43 4E 75 CB C6 45 FF 00 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92653_0 {
	meta:
		name = "AddTools"
		size = 155
		refs = "0017 AddTools 0031 TChartTools.Get 006f TTreeNodes.AddChildObject 0088 @UStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B FA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 77 08 4E 85 F6 7C 4E 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 80 78 48 00 74 38 8B D3 8B C7 E8 ?? ?? ?? ?? 50 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 00 8D 55 F8 FF 50 6C 8B 4D F8 8B 45 08 8B 40 FC 8B 80 58 04 00 00 8B 80 E0 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 43 4E 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92654_0 {
	meta:
		name = "TChartEditForm.PrepareTree"
		size = 1728
		refs = "001a TChartEditForm.PrepareTree 0030 TControl.SetVisible 0065 TControl.SetWidth 0078 TControl.SetLeft 0092 _Dn_TPanel 0097 TCustomPanel.Create 00bf TControl.SetAlign 00d5 TTreeNodes.Clear 0107 TControl.GetText 0120 TTreeNodes.AddObject 0131 TChartEditForm.AddSeriesNodes 0155 TTreeNode.SetExpanded 015b ChartTabsVisible 019f TPageControl.GetPageCount 01bf TPageControl.GetPage 0202 TTreeNodes.AddChildObject 0238 TChartAxes.GetLeftAxis 023f TeeMsg_LeftAxis 025f TChartAxes.GetRightAxis 0266 TeeMsg_RightAxis 0286 TChartAxes.GetTopAxis 028d TeeMsg_TopAxis 02ad TChartAxes.GetBottomAxis 02b4 TeeMsg_BottomAxis 02d4 TChartAxes.GetDepthAxis 02db TeeMsg_DepthAxis 02fb TChartAxes.GetDepthTopAxis 0302 TeeMsg_DepthTopAxis 034f TChartCustomAxes.Get 035e IntToStr 0367 TeeMsg_CustomAxesEditor 0371 @UStrCat3 03c0 TeeMsg_Title 03e2 TeeMsg_SubTitle 0404 TeeMsg_SubFoot 0426 TeeMsg_Foot 05a7 AddTools 0606 TCustomTreeView.SetSelected 062c @UStrClr 0639 @UStrArrayClr 064c @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 5C 04 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 50 8B 55 FC 89 82 B8 04 00 00 8B 45 FC 8B 50 50 8B 45 FC 8B 80 58 04 00 00 03 50 50 8B 45 FC 8B 80 5C 04 00 00 03 50 50 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 D4 03 00 00 BA 10 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 90 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 C8 04 00 00 8B C3 8B 55 FC 8B 08 FF 91 84 00 00 00 8B 45 FC 8B 80 C8 04 00 00 B2 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 58 04 00 00 8B B8 E0 02 00 00 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 98 9C 03 00 00 80 7B 61 00 75 0F 8B 45 FC 8B 80 BC 03 00 00 80 78 61 00 74 62 8B 45 FC 8B 80 9C 03 00 00 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 4D E8 8B 45 FC 8B 80 58 04 00 00 8B 80 E0 02 00 00 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 89 82 CC 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 04 00 00 8B 80 B4 03 00 00 83 78 08 0B 0F 9C C2 8B 45 FC 8B 80 CC 04 00 00 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 74 2C 8B 45 FC 8B 80 98 03 00 00 50 8D 55 E4 8B 45 FC 8B 80 94 03 00 00 E8 ?? ?? ?? ?? 8B 4D E4 33 D2 8B C7 E8 ?? ?? ?? ?? 89 45 F8 EB 05 33 C0 89 45 F8 8B 45 FC 8B 80 98 03 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8E 3C 03 00 00 BB 01 00 00 00 8B 45 FC 8B 80 98 03 00 00 8B D3 E8 ?? ?? ?? ?? 80 B8 80 02 00 00 00 0F 84 12 03 00 00 8B 45 FC 8B 80 98 03 00 00 8B D3 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 98 03 00 00 8B D3 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8B 4D E0 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 89 45 F4 8B 45 FC 8B 80 98 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 3B 82 A0 03 00 00 0F 85 67 01 00 00 8B 45 FC 8B 80 BC 04 00 00 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 09 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 04 00 00 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 09 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 04 00 00 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 09 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 04 00 00 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 09 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 04 00 00 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 09 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 04 00 00 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 09 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 04 00 00 8B 80 A8 03 00 00 8B 40 08 48 83 E8 06 0F 8C B4 01 00 00 40 89 45 EC C7 45 F0 06 00 00 00 8B 55 F0 83 EA 06 8B 45 FC 8B 80 BC 04 00 00 8B 80 B0 03 00 00 E8 ?? ?? ?? ?? 50 8D 55 D8 8B 45 F0 83 E8 06 E8 ?? ?? ?? ?? 8B 4D D8 8B 15 ?? ?? ?? ?? 8B 12 8D 45 DC E8 ?? ?? ?? ?? 8B 4D DC 8B 55 F4 8B C7 E8 ?? ?? ?? ?? FF 45 F0 FF 4D EC 75 AF E9 53 01 00 00 8B 45 FC 8B 80 98 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 3B 82 A8 03 00 00 0F 85 8D 00 00 00 8B 45 FC 8B 80 BC 04 00 00 8B 80 70 04 00 00 50 8B 0D ?? ?? ?? ?? 8B 09 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 04 00 00 8B 80 6C 04 00 00 50 8B 0D ?? ?? ?? ?? 8B 09 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 04 00 00 8B 80 68 04 00 00 50 8B 0D ?? ?? ?? ?? 8B 09 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 04 00 00 8B 80 5C 04 00 00 50 8B 0D ?? ?? ?? ?? 8B 09 8B 55 F4 8B C7 E8 ?? ?? ?? ?? E9 A7 00 00 00 8B 45 FC 8B 80 98 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 3B 82 B8 03 00 00 0F 85 88 00 00 00 8B 45 FC 8B 80 BC 04 00 00 8B 80 74 04 00 00 8B 40 10 50 B9 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 04 00 00 8B 80 74 04 00 00 8B 40 14 50 B9 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 04 00 00 8B 80 74 04 00 00 8B 40 08 50 B9 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 04 00 00 8B 80 74 04 00 00 8B 40 04 50 B9 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 43 4E 0F 85 C9 FC FF FF 83 7D F8 00 74 0A B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B F0 4E 83 EE 02 0F 8C DF 00 00 00 46 BB 02 00 00 00 8B 45 FC 8B 80 90 03 00 00 8B D3 E8 ?? ?? ?? ?? 80 B8 80 02 00 00 00 0F 84 B4 00 00 00 8B 45 FC 8B 80 90 03 00 00 8B D3 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 90 03 00 00 8B D3 E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 8B 4D D4 33 D2 8B C7 E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 80 90 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 3B 82 D8 03 00 00 75 24 8B 55 FC 8B 45 F8 89 82 D0 04 00 00 55 8B 55 FC 8B 92 BC 04 00 00 8B 92 2C 04 00 00 E8 ?? ?? ?? ?? 59 EB 3D 8B 45 FC 8B 80 90 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 3B 82 DC 03 00 00 75 22 8B 55 FC 8B 45 F8 89 82 D4 04 00 00 55 8B 55 FC 8B 92 BC 04 00 00 8B 92 A4 03 00 00 E8 ?? ?? ?? ?? 59 43 4E 0F 85 27 FF FF FF 8B 45 FC 8B 90 CC 04 00 00 8B 45 FC 8B 80 58 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 58 04 00 00 8B 10 FF 92 F4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 69 00 67 00 68 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 6F 00 74 00 74 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 61 00 63 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_92655_0 {
	meta:
		name = "TChartEditForm.BroadCastShowEditor"
		size = 80
		refs = "000c TeeOnShowEditor 0032 TList.Get"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B D8 83 3D ?? ?? ?? ?? 00 74 37 A1 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 2A 46 33 FF 8B 83 90 03 00 00 50 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B 4C 24 04 8B 93 BC 04 00 00 8B C3 FF D5 47 4E 75 D9 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92656_0 {
	meta:
		name = "TChartEditForm.ReadDefaultFont"
		size = 236
		refs = "0011 TChartEditForm.ReadDefaultFont 0026 TeeReadStringOption 0041 TeeExtractField 004b TFont.SetName 0063 StrToInt 006c TFont.SetSize 008d TFont.SetColor 00a7 @UStrArrayClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 0F 95 C3 84 DB 74 5C 8D 4D F8 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 4D F4 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8D 4D F0 BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 45 00 64 00 69 00 74 00 6F 00 72 00 46 00 6F 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_92657_0 {
	meta:
		name = "AdjustSize"
		size = 31
		refs = "0006 StrToInt 000c Screen"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 F7 6A 48 B9 60 00 00 00 99 F7 F9 5B C3 }
	condition:
		$1
}

rule function_92658_0 {
	meta:
		name = "TChartEditForm.FormCreate"
		size = 528
		refs = "0005 TeeMsg_DefaultEditorSize 000c AdjustSize 0015 TControl.SetWidth 001a TeeMsg_DefaultEditorHeight 002a GetSystemMetrics 0038 TControl.SetHeight 0041 TChartEditForm.SetChart 004a TControl.SetText 005b TChartEditForm.FormCreate 0073 TPageControl.SetActivePage 009b TeeReadBoolOption 00cc TControl.SetVisible 00df TeeReadIntegerOption 00f2 TChartEditForm.ReadDefaultFont 013d TChartEditForm.GroupsClickCheck"
	strings:
		$1 = { 53 56 8B D8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F0 6A 1F E8 ?? ?? ?? ?? 83 E8 12 03 F0 8B D6 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? C7 83 FC 04 00 00 FF FF FF FF 0F B7 05 ?? ?? ?? ?? 66 89 83 04 05 00 00 8B 93 94 03 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B 93 9C 03 00 00 8B 83 98 03 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 83 00 05 00 00 B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 83 0D 05 00 00 B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 83 0E 05 00 00 B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 58 04 00 00 E8 ?? ?? ?? ?? 8B B3 58 04 00 00 8B 56 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 53 6C 8B 03 E8 ?? ?? ?? ?? 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 0F B7 05 ?? ?? ?? ?? 66 0B 83 04 05 00 00 66 89 83 04 05 00 00 33 C0 89 83 D8 04 00 00 33 C0 89 83 DC 04 00 00 8B 83 40 04 00 00 89 98 04 03 00 00 C7 80 00 03 00 00 ?? ?? ?? ?? 5E 5B C3 7F 07 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 52 00 65 00 6D 00 65 00 6D 00 62 00 65 00 72 00 50 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 52 00 65 00 6D 00 65 00 6D 00 62 00 65 00 72 00 53 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 72 00 65 00 65 00 4D 00 6F 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 72 00 65 00 65 00 57 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 65 00 72 00 69 00 65 00 73 00 47 00 72 00 6F 00 75 00 70 00 73 00 00 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule function_92659_0 {
	meta:
		name = "TChartEditForm.AxisNotifyCustom"
		size = 18
		refs = "000d TFormTeeSeries.FillAxes"
	strings:
		$1 = { 8B 90 08 05 00 00 85 D2 74 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92660_0 {
	meta:
		name = "Add3DForm"
		size = 84
		refs = "0016 @CallDynaInst 0024 _Dn_TFormTee3D"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 8B 80 BC 04 00 00 66 BE A7 FF E8 ?? ?? ?? ?? 85 C0 74 04 8B D8 EB 06 8B 1D ?? ?? ?? ?? 8B 45 08 8B 48 FC B2 01 8B C3 FF 50 38 8B 55 08 89 42 F8 8B 45 08 8B 40 FC 8B 80 BC 04 00 00 8B 55 08 8B 52 F8 89 42 0C 5E 5B 5D C3 }
	condition:
		$1
}

rule function_92661_0 {
	meta:
		name = "TChartEditForm.SubPageChange"
		size = 900
		refs = "002c TTabSheet.SetHighlighted 0059 TChartEditForm.SelectTreeNodeData 0092 TWinControl.GetControlCount 00a1 TTabSheet.GetPageIndex 00b1 TChartEditForm.SubPageChange 00e3 _Dn_TFormTeeGeneral 00e8 TFormTeeGeneral.CreateChart 0123 _Dn_TFormTeeAxis 0128 TFormTeeAxis.CreateAxis 0140 TChartEditForm.AxisNotifyCustom 0181 _Dn_TFormTeeTitle 0186 TFormTeeTitle.CreateTitle 01a6 _Dn_TFormTeeLegend 01ab TFormTeeLegend.CreateLegend 01c2 _Dn_TFormTeePanel 01c7 TFormTeePanel.CreatePanel 01de _Dn_TFormTeePage 01e3 TFormTeePage.CreateChart 0200 TCustomChart.GetLeftWall 021a _Dn_TFormTeeWall 021f TFormTeeWall.CreateWall 022a Add3DForm 0242 TControl.SetParentColor 0251 TCustomForm.SetBorderIcons 025b TCustomForm.SetBorderStyle 0265 TControl.SetAlign 0286 TeeScaleForm 02a0 TControl.SetFont 02a8 TCustomForm.Show 02b2 TWinControl.AlignControl 02cb TFormTeeGeneral.CheckCursorEdit 02e1 TeeTranslateControl 0327 TWinControl.GetControl 032d _Dn_TFormTee3D 0332 @IsClass 034a TFormTee3D.CheckControls 0374 TFormTeeAxis.PageAxisChange"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B DA 89 45 FC 8D 75 FC 8B 06 80 B8 0C 05 00 00 00 74 15 8B 06 8B 80 98 03 00 00 8B 80 DC 02 00 00 B2 01 E8 ?? ?? ?? ?? 8B 06 8B 80 58 04 00 00 80 78 61 00 74 1F 8B 06 3B 98 98 03 00 00 75 15 8B 06 8B 80 98 03 00 00 8B 90 DC 02 00 00 8B 06 E8 ?? ?? ?? ?? 8B 06 83 B8 BC 04 00 00 00 0F 84 9E 02 00 00 8B 06 8B 80 98 03 00 00 83 B8 DC 02 00 00 00 0F 84 89 02 00 00 8B 06 8B 80 98 03 00 00 8B 98 DC 02 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 85 6C 02 00 00 8B C3 E8 ?? ?? ?? ?? 83 F8 07 0F 87 7A 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 06 8B 80 BC 04 00 00 50 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 E9 3B 01 00 00 8B 06 83 B8 E0 04 00 00 00 75 16 8B 06 8B 80 BC 04 00 00 8B 80 C8 03 00 00 8B 16 89 82 E0 04 00 00 8B 06 8B 80 E0 04 00 00 50 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 16 89 90 DC 05 00 00 C7 80 D8 05 00 00 ?? ?? ?? ?? E9 E6 00 00 00 8B 06 83 B8 E4 04 00 00 00 75 16 8B 06 8B 80 BC 04 00 00 8B 80 70 04 00 00 8B 16 89 82 E4 04 00 00 8B 06 8B 80 BC 04 00 00 50 8B 06 8B 80 E4 04 00 00 50 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 E9 9D 00 00 00 8B 06 8B 80 BC 04 00 00 8B 80 60 04 00 00 50 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 7B 8B 06 8B 80 BC 04 00 00 50 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 5F 8B 06 8B 80 BC 04 00 00 50 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 43 8B 06 83 B8 F0 04 00 00 00 75 15 8B 06 8B 80 BC 04 00 00 E8 ?? ?? ?? ?? 8B 16 89 82 F0 04 00 00 8B 06 8B 80 F0 04 00 00 50 8B 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 07 55 E8 ?? ?? ?? ?? 59 B2 01 8B 45 F8 8B 08 FF 91 E4 00 00 00 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? B2 05 8B 45 F8 E8 ?? ?? ?? ?? 8B 06 8B 80 98 03 00 00 8B 90 DC 02 00 00 8B 45 F8 8B 08 FF 91 84 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 80 78 63 00 74 11 8B 45 F8 8B 40 38 8B 50 6C 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 48 74 07 83 E8 02 74 22 EB 3B 8B 45 F8 E8 ?? ?? ?? ?? 8B 80 94 03 00 00 89 45 F4 8D 55 F4 33 C9 8B 45 F8 E8 ?? ?? ?? ?? EB 23 8B 45 F8 8B 80 A0 03 00 00 89 45 F4 8D 55 F4 33 C9 8B 45 F8 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 06 8B 98 C0 03 00 00 8B 06 8B 80 98 03 00 00 3B 98 DC 02 00 00 75 2E 8B C3 33 D2 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B 06 8B 80 C0 03 00 00 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 8B 06 8B 98 A0 03 00 00 8B 06 8B 80 98 03 00 00 3B 98 DC 02 00 00 75 10 8B C3 33 D2 E8 ?? ?? ?? ?? 8B 16 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_92662_0 {
	meta:
		name = "TChartEditForm.BCloseClick"
		size = 11
	strings:
		$1 = { C7 80 C0 02 00 00 02 00 00 00 C3 }
	condition:
		$1
}

rule function_92663_0 {
	meta:
		name = "TChartEditForm.BMoveUPClick"
		size = 12
		refs = "0007 TChartListBox.MoveCurrentUp"
	strings:
		$1 = { 8B 80 64 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92669_0 {
	meta:
		name = "TChartEditForm.BCloneSeriesClick"
		size = 12
		refs = "0007 TChartListBox.CloneSeries"
	strings:
		$1 = { 8B 80 64 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92664_0 {
	meta:
		name = "TChartEditForm.BMoveDownClick"
		size = 12
		refs = "0007 TChartListBox.MoveCurrentDown"
	strings:
		$1 = { 8B 80 64 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92665_0 {
	meta:
		name = "TChartEditForm.BAddSeriesClick"
		size = 190
		refs = "001f TChartListBox.AddSeriesGallery 002c TChartEditForm.CurrentGroup 0037 TSeriesGroup.Add 0042 TChartListBox.UpdateSeries 0066 TPageControl.SetActivePage 006d TChartEditForm.SetTabSeries 008d TFormTeeSeries.PageSeriesChange 0096 TFormTeeSeries.CBDataSourcestyleChange 00a5 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B 93 90 03 00 00 8B 83 BC 03 00 00 8B 08 FF 91 84 00 00 00 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1D 8B C3 E8 ?? ?? ?? ?? 85 C0 74 12 8B D6 E8 ?? ?? ?? ?? 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 85 F6 74 50 83 BE C4 00 00 00 00 74 47 89 B3 F4 04 00 00 8B 93 BC 03 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B B3 08 05 00 00 8B 96 C0 03 00 00 8B 86 94 03 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 83 64 04 00 00 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 0E 8B 83 64 04 00 00 8B 10 FF 92 F4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92666_0 {
	meta:
		name = "TChartEditForm.InternalSetupFormSeries"
		size = 59
		refs = "001e TFormTeeSeries.DestroySeriesForms 0029 TChartListBox.GetSelectedSeries"
	strings:
		$1 = { 53 8B D8 8B 93 90 03 00 00 8B 83 BC 03 00 00 8B 08 FF 91 84 00 00 00 8B 83 08 05 00 00 E8 ?? ?? ?? ?? 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 8B 93 08 05 00 00 89 82 30 05 00 00 5B C3 }
	condition:
		$1
}

rule function_92667_0 {
	meta:
		name = "TChartEditForm.BDeleteSeriesClick"
		size = 61
		refs = "001e TChartListBox.DeleteSeries 0037 TChartEditForm.InternalSetupFormSeries"
	strings:
		$1 = { 53 8B D8 8B 93 90 03 00 00 8B 83 BC 03 00 00 8B 08 FF 91 84 00 00 00 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 8B 83 08 05 00 00 85 C0 74 0F 33 D2 89 90 30 05 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92668_0 {
	meta:
		name = "TChartEditForm.BRenameSeriesClick"
		size = 171
		refs = "000d TChartEditForm.BRenameSeriesClick 001e TChartListBox.RenameSeries 0059 TChartEditForm.TreeNodeCurrentSeries 005f TTreeNode.SetText 0074 @CallDynaInst 0085 TCustomForm.SetActiveControl 009a @UStrClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 84 C0 74 3D 8B 83 58 04 00 00 80 78 61 00 74 31 8B B3 64 04 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D FC 8B 86 88 02 00 00 8B 30 FF 56 0C 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 83 7B 38 00 75 20 8B 83 64 04 00 00 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 0D 8B 93 64 04 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92670_0 {
	meta:
		name = "TChartEditForm.SetTabSeries"
		size = 404
		refs = "0016 TChartListBox.GetSelectedSeries 0030 _Dn_TFormTeeSeries 0035 TCustomForm.Create 0064 TChartEditForm.SetTabSeries 006b TCustomForm.SetBorderIcons 0074 TCustomForm.SetBorderStyle 008d TControl.SetAlign 00ee TChartListBox.FillSeries 00f9 TeeScaleForm 0109 TChartEditForm.FormSeriesEvent 011c TControl.SetFont 012e @CallDynaInst 0140 TControl.Show 0147 TCustomForm.Show 015f TeeTranslateControl 0184 TFormTeeSeries.SetCBSeries"
	strings:
		$1 = { 53 56 57 51 8B D8 83 BB 08 05 00 00 00 74 1C 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 8B 93 08 05 00 00 89 82 30 05 00 00 E9 38 01 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 08 05 00 00 8B FE 8B 97 08 04 00 00 8B 92 B4 02 00 00 8B 83 64 04 00 00 89 90 48 03 00 00 89 87 3C 05 00 00 0F B6 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 93 BC 03 00 00 8B C7 8B 08 FF 91 84 00 00 00 B2 05 8B C7 E8 ?? ?? ?? ?? F6 83 04 05 00 00 10 0F 95 C0 88 87 35 05 00 00 F6 83 01 05 00 00 02 0F 95 C0 34 01 88 87 36 05 00 00 F6 83 01 05 00 00 04 0F 95 C0 34 01 88 87 37 05 00 00 0F B6 83 06 05 00 00 88 87 34 05 00 00 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 8B F0 89 B7 30 05 00 00 8B D6 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 8B 83 08 05 00 00 E8 ?? ?? ?? ?? 89 9F 2C 05 00 00 C7 87 28 05 00 00 ?? ?? ?? ?? 80 7F 63 00 74 0D 8B 47 38 8B 50 6C 8B C7 E8 ?? ?? ?? ?? 8B 83 BC 03 00 00 8B 40 38 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 75 0E 8B 83 BC 03 00 00 8B 40 38 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 83 08 05 00 00 8B 90 08 04 00 00 89 14 24 8B D4 33 C9 E8 ?? ?? ?? ?? 8B 83 BC 03 00 00 83 78 38 00 75 0E 8B 93 90 03 00 00 8B 08 FF 91 84 00 00 00 8B 83 08 05 00 00 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_92671_0 {
	meta:
		name = "TChartEditForm.FormSeriesEvent"
		size = 49
		refs = "000a _Dn_TTeeSeriesEvent 000f @IsClass 002a TChartEditForm.AddSeriesNodes"
	strings:
		$1 = { 53 56 8B D9 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 0F B6 43 08 84 C0 74 08 3C 01 74 04 3C 04 75 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92672_0 {
	meta:
		name = "TChartEditForm.GridMouseDown"
		size = 85
		refs = "0038 _Dn_TChartGrid 003d @AsClass 004c TCustomChartGrid.SetGrid3DMode"
	strings:
		$1 = { 55 8B EC 56 8B F2 80 F9 01 75 45 F6 45 10 02 74 3F 8B 90 BC 04 00 00 8B 92 B4 03 00 00 83 7A 08 00 7E 2D 8B 42 04 33 D2 8B 04 90 80 B8 52 01 00 00 00 74 1C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 90 50 03 00 00 80 F2 01 E8 ?? ?? ?? ?? 5E 5D C2 0C 00 }
	condition:
		$1
}

rule function_92673_0 {
	meta:
		name = "TChartEditForm.SelectTreeNodeData"
		size = 134
		refs = "0015 TTreeNodes.GetCount 0032 TTreeNodes.GetNodeFromIndex 0057 TCustomTreeView.GetSelected 0077 TCustomTreeView.SetSelected"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 83 58 04 00 00 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 61 47 33 F6 8B 83 58 04 00 00 8B 80 E0 02 00 00 8B D6 E8 ?? ?? ?? ?? 3B 68 0C 75 42 8B 83 58 04 00 00 8B 80 E0 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B F8 8B 83 58 04 00 00 E8 ?? ?? ?? ?? 3B F8 74 22 8B BB 58 04 00 00 8B 87 E0 02 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? EB 04 46 4F 75 A2 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92674_0 {
	meta:
		name = "SetTabPrint"
		size = 195
		refs = "0019 Screen 0024 TScreen.SetCursor 002c SetTabPrint 003f _Dn_TChartPreview 0044 TCustomForm.Create 0059 TChartPreview.HideCloseButton 0062 TControl.SetAlign 008b AddFormTo 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 80 C0 04 00 00 85 C0 0F 85 9A 00 00 00 A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 48 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 89 98 C0 04 00 00 8B C3 E8 ?? ?? ?? ?? B2 05 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 88 BC 04 00 00 8B 45 08 8B 40 FC 8B 90 E0 03 00 00 8B 45 08 8B 40 FC 8B 80 C0 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 80 D4 03 00 00 8B 10 FF 92 9C 00 00 00 5B 5D C3 }
	condition:
		$1
}

rule function_92677_0 {
	meta:
		name = "SetTabExport"
		size = 175
		refs = "0011 TWinControl.GetControlCount 0022 _Dn_TTeeExportForm 0027 TCustomForm.Create 0048 AddFormTo 0051 TControl.SetAlign 005e TControl.SetVisible 0073 TWinControl.GetControl 00a1 TTabSheet.SetTabVisible 00a8 TTeeExportFormBase.EnableButtons"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 85 C0 75 4B 8B 45 08 8B 48 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 88 BC 04 00 00 8B 45 08 8B 40 FC 8B 90 C8 03 00 00 8B C3 E8 ?? ?? ?? ?? B2 05 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 7C 04 00 00 E8 ?? ?? ?? ?? EB 15 8B 45 08 8B 40 FC 8B 80 C8 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B D8 33 D2 8B 83 B8 03 00 00 8B 08 FF 91 FC 00 00 00 8B 45 08 8B 40 FC F6 80 01 05 00 00 40 74 0D 33 D2 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_92678_0 {
	meta:
		name = "SetTabData"
		size = 340
		refs = "001e TCustomChartGrid.SetChart 003d HasColors 004a TCustomChartGrid.SetShowColors 0051 TCustomChartGrid.RecalcDimensions 0065 TSpeedButton.SetDown 00e2 HasNoMandatoryValues 014c TChartEditForm.GridMouseDown"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 83 C6 FC 8B 06 8B 98 18 04 00 00 8B 06 8B 90 BC 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 44 03 00 00 8B 80 B4 03 00 00 83 78 08 00 7E 0F 8B 40 04 33 D2 8B 04 90 E8 ?? ?? ?? ?? EB 02 33 C0 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 80 2C 04 00 00 0F B6 93 48 03 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 28 04 00 00 0F B6 93 51 03 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 30 04 00 00 0F B6 93 50 03 00 00 E8 ?? ?? ?? ?? 8B 83 44 03 00 00 8B 80 B4 03 00 00 83 78 08 00 7E 11 8B 40 04 33 D2 8B 04 90 0F B6 80 52 01 00 00 EB 02 33 C0 8B 16 8B 92 30 04 00 00 92 8B 08 FF 91 80 00 00 00 8B 83 44 03 00 00 8B 80 B4 03 00 00 83 78 08 00 7E 0F 8B 40 04 33 D2 8B 04 90 E8 ?? ?? ?? ?? EB 02 33 C0 8B 16 8B 92 34 04 00 00 92 E8 ?? ?? ?? ?? 8B 83 44 03 00 00 8B 80 B4 03 00 00 83 78 08 00 7E 0C 80 BB 53 03 00 00 02 0F 94 C0 EB 02 33 C0 8B 16 8B 92 94 04 00 00 92 E8 ?? ?? ?? ?? 8B 06 8B 80 58 04 00 00 80 78 61 00 75 0A 8B C3 8B 10 FF 92 F4 00 00 00 8B 06 89 83 CC 00 00 00 C7 83 C8 00 00 00 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_92679_0 {
	meta:
		name = "TChartEditForm.MainPageChange"
		size = 225
		refs = "0025 TTabSheet.SetHighlighted 004b TChartEditForm.SelectTreeNodeData 006d TChartEditForm.SetTabSeries 0081 SetTabData 0094 SetTabTools 00a6 SetTabAnimations 00b9 SetTabExport 00cd SetTabPrint 00da TChartEditForm.BroadCastShowEditor"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 80 B8 0C 05 00 00 00 74 16 8B 45 FC 8B 80 90 03 00 00 8B 80 DC 02 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 58 04 00 00 80 78 61 00 74 17 8B 45 FC 8B 80 90 03 00 00 8B 90 DC 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 90 03 00 00 8B 80 DC 02 00 00 8B 55 FC 3B 82 BC 03 00 00 75 0B 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 8B 55 FC 3B 82 C4 03 00 00 75 09 55 E8 ?? ?? ?? ?? 59 EB 56 8B 55 FC 3B 82 D8 03 00 00 75 07 E8 ?? ?? ?? ?? EB 44 8B 55 FC 3B 82 DC 03 00 00 75 07 E8 ?? ?? ?? ?? EB 32 8B 55 FC 3B 82 C8 03 00 00 75 09 55 E8 ?? ?? ?? ?? 59 EB 1E 8B 55 FC 3B 82 E0 03 00 00 75 09 55 E8 ?? ?? ?? ?? 59 EB 0A 8B D0 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_92680_0 {
	meta:
		name = "TChartEditForm.WMHelp"
		size = 75
		refs = "0016 FindControl 0032 Application 0040 TApplication.HelpContext 0046 TCustomForm.WMHelp"
	strings:
		$1 = { F6 80 A0 02 00 00 08 74 3C 8B 42 08 83 78 04 01 75 38 8B 40 0C E8 ?? ?? ?? ?? EB 03 8B 40 38 85 C0 74 09 83 B8 70 01 00 00 00 74 F0 85 C0 74 1A 8B 15 ?? ?? ?? ?? 8B 12 8B 80 70 01 00 00 92 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92681_0 {
	meta:
		name = "TChartEditForm.SetChart"
		size = 804
		refs = "0017 TComponent.FreeNotification 0028 TChartListBox.SetChart 0082 _Dn_TRegistry 0087 TRegistry.Create 0092 TChartEditForm.SetChart 00a5 TRegistry.OpenKeyReadOnly 00c3 TRegistry.ValueExists 00d0 TCustomForm.SetPosition 00dd TRegistry.ReadInteger 00ec TCustomForm.SetLeft 0108 TCustomForm.SetTop 0146 TControl.SetWidth 0177 TControl.SetHeight 01bb TCustomForm.GetLeft 01c2 Screen 01c9 TScreen.GetWidth 01ec TCustomForm.GetTop 01fa TScreen.GetHeight 022b TObject.Free 0231 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 8B C2 89 83 BC 04 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B 93 BC 04 00 00 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 83 BB BC 04 00 00 00 0F 95 C2 8B 83 90 03 00 00 8B 08 FF 91 80 00 00 00 83 BB BC 04 00 00 00 0F 95 C2 8B 83 98 03 00 00 8B 08 FF 91 80 00 00 00 83 BB BC 04 00 00 00 0F 84 CE 01 00 00 80 BB 0D 05 00 00 00 75 0D 80 BB 0E 05 00 00 00 0F 84 B8 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 69 01 00 00 80 BB 0D 05 00 00 00 74 52 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 41 33 D2 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7D 02 33 C0 8B D0 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7D 02 33 C0 8B D0 8B C3 E8 ?? ?? ?? ?? 80 BB 0E 05 00 00 00 0F 84 9F 00 00 00 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 20 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 F8 64 7D 05 B8 64 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 20 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 F8 64 7D 05 B8 64 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 2C 83 BB 58 04 00 00 00 74 23 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 F8 0A 7D 05 B8 0A 00 00 00 8B 93 58 04 00 00 92 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 3B F0 7E 18 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 2B 53 50 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 3B F0 7E 18 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 2B 53 54 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 2C 00 00 00 53 00 4F 00 46 00 54 00 57 00 41 00 52 00 45 00 5C 00 53 00 74 00 65 00 65 00 6D 00 61 00 20 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 54 00 65 00 65 00 43 00 68 00 61 00 72 00 74 00 20 00 50 00 72 00 6F 00 5C 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 6F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 72 00 65 00 65 00 57 00 69 00 64 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_92682_0 {
	meta:
		name = "TChartEditForm.ReparentAxis"
		size = 66
		refs = "000b TWinControl.GetControlCount 001c TWinControl.GetControl"
	strings:
		$1 = { 53 56 8B D8 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 85 C0 7E 2C 33 D2 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B F0 33 D2 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 86 90 03 00 00 8B 08 FF 91 84 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92683_0 {
	meta:
		name = "TChartEditForm.ReparentTitle"
		size = 66
		refs = "000b TWinControl.GetControlCount 001c TWinControl.GetControl"
	strings:
		$1 = { 53 56 8B D8 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 85 C0 7E 2C 33 D2 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B F0 33 D2 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 86 90 03 00 00 8B 08 FF 91 84 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92686_0 {
	meta:
		name = "TChartEditForm.ResetParentTab"
		size = 94
		refs = "000b TPageControl.GetPageCount 001e TPageControl.GetPage 0033 TChartEditForm.ReparentAxis 003a TChartEditForm.ReparentTitle 0041 TChartEditForm.ReparentTools"
	strings:
		$1 = { 53 56 57 55 8B F2 8B E8 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1A 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 91 84 00 00 00 47 4B 75 E9 8B C5 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 8B 95 94 03 00 00 8B 85 98 03 00 00 8B 08 FF 91 84 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92687_0 {
	meta:
		name = "TChartEditForm.FormCloseQuery"
		size = 57
		refs = "0013 TFormTeeSeries.FormCloseQuery 0026 TBaseSourceEditor.FormCloseQuery 0032 TCustomForm.Close"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B 83 08 05 00 00 85 C0 74 09 8B CE E8 ?? ?? ?? ?? EB 11 8B 83 C4 04 00 00 85 C0 74 07 8B CE E8 ?? ?? ?? ?? 80 3E 00 74 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92688_0 {
	meta:
		name = "TChartEditForm.TreeSelectSeries"
		size = 193
		refs = "0038 TTabSheet.SetTabVisible 0053 TFormTeeSeries.PageSeriesChanging 007a TControl.SetAlign 0085 TWinControl.GetHandle 0092 TChartListBox.SetSelectedSeries 0099 TChartEditForm.SetTabSeries 00a4 TControl.Show 00b9 TFormTeeSeries.PageSeriesChange"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B 93 94 03 00 00 8B 83 98 03 00 00 8B 08 FF 91 84 00 00 00 8B 93 98 03 00 00 8B 83 9C 03 00 00 8B 08 FF 91 84 00 00 00 B2 01 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? C6 04 24 01 8B 83 08 05 00 00 85 C0 74 0D 8B CC 8B 90 94 03 00 00 E8 ?? ?? ?? ?? 80 3C 24 00 74 60 8B 93 C8 04 00 00 8B 83 BC 03 00 00 8B 08 FF 91 84 00 00 00 B2 05 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 8B 83 08 05 00 00 85 C0 74 0B 8B 90 94 03 00 00 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_92689_0 {
	meta:
		name = "TChartEditForm.TreeNodeCurrentSeries"
		size = 96
		refs = "0015 TTreeNode.GetCount 002c TTreeNode.GetItem 003b TChartListBox.GetSelectedSeries"
	strings:
		$1 = { 53 56 57 55 8B D8 33 ED 8B B3 CC 04 00 00 85 F6 74 47 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 39 47 33 F6 8B D6 8B 83 CC 04 00 00 E8 ?? ?? ?? ?? 8B 40 0C 50 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 5A 3B D0 75 11 8B D6 8B 83 CC 04 00 00 E8 ?? ?? ?? ?? 8B E8 EB 04 46 4F 75 CA 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92690_0 {
	meta:
		name = "TChartEditForm.LBSeriesEditSeries"
		size = 85
		refs = "0023 TChartEditForm.TreeNodeCurrentSeries 0035 TTreeNode.SetSelected 0048 TPageControl.SetActivePage 004f TChartEditForm.SetTabSeries"
	strings:
		$1 = { 53 8B D8 8B 83 64 04 00 00 8B 10 FF 92 F8 00 00 00 40 74 3F 8B 83 58 04 00 00 80 78 61 00 74 1B 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 8B C3 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? EB 18 8B 93 BC 03 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92691_0 {
	meta:
		name = "TChartEditForm.LBSeriesOtherItemsChange"
		size = 76
	strings:
		$1 = { 53 8B D8 83 BB 08 05 00 00 00 74 3E 8B 83 BC 03 00 00 83 78 38 00 75 0E 8B 93 90 03 00 00 8B 08 FF 91 84 00 00 00 8B 83 64 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 08 05 00 00 8B 80 08 04 00 00 8B 08 FF 91 FC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92692_0 {
	meta:
		name = "TChartEditForm.LBSeriesRefreshButtons"
		size = 773
		refs = "0024 @CallDynaInst 0185 TChartListBox.GetShowIcon 0295 TControl.SetVisible 02f0 TTreeNode.GetCount 02fb TChartEditForm.AddSeriesNodes"
	strings:
		$1 = { 53 56 57 55 51 8B F8 8B 87 BC 04 00 00 8B 80 B4 03 00 00 83 78 08 00 7E 11 8B 87 64 04 00 00 66 BE B5 FF E8 ?? ?? ?? ?? EB 02 33 C0 84 C0 74 14 8B 87 64 04 00 00 8B 10 FF 92 F8 00 00 00 40 0F 95 C0 EB 02 33 C0 8B D8 84 DB 74 24 8B 87 64 04 00 00 8B 10 FF 92 F8 00 00 00 8B 97 BC 04 00 00 8B 92 B4 03 00 00 8B 52 04 8B 04 82 8B F0 EB 02 33 F6 84 DB 74 06 F6 46 1C 20 75 04 33 C0 EB 02 B0 01 88 04 24 F6 87 04 05 00 00 01 0F 95 C2 8B 87 F0 03 00 00 8B 08 FF 91 80 00 00 00 8B 87 F0 03 00 00 8B 10 FF 52 68 8B 97 64 04 00 00 88 82 F8 02 00 00 84 DB 74 1B 80 3C 24 00 75 15 F6 87 04 05 00 00 02 74 0C F6 46 55 01 75 06 F6 46 55 04 74 04 33 D2 EB 02 B2 01 8B 87 F4 03 00 00 8B 08 FF 91 80 00 00 00 8B 87 F4 03 00 00 8B 10 FF 52 68 8B AF 64 04 00 00 88 85 F9 02 00 00 F6 87 05 05 00 00 04 0F 95 C0 88 85 FA 02 00 00 84 DB 74 1C 8B 87 64 04 00 00 8B 10 FF 92 20 01 00 00 83 F8 02 7D 09 F6 87 04 05 00 00 20 75 04 33 D2 EB 02 B2 01 8B 87 F8 03 00 00 8B 08 FF 91 80 00 00 00 84 DB 74 15 80 3C 24 00 75 0F F6 87 04 05 00 00 04 74 06 F6 46 55 02 74 04 33 D2 EB 02 B2 01 8B 87 00 04 00 00 8B 08 FF 91 80 00 00 00 8B 87 00 04 00 00 8B 10 FF 52 68 84 C0 75 2B 8B 87 64 04 00 00 E8 ?? ?? ?? ?? 84 C0 74 1C 8B 87 64 04 00 00 80 B8 0A 03 00 00 00 74 0D 8B 87 64 04 00 00 C6 80 0A 03 00 00 00 84 DB 74 28 8B 87 64 04 00 00 8B 10 FF 92 20 01 00 00 83 F8 02 7D 15 F6 87 04 05 00 00 08 74 0C F6 46 55 01 75 06 F6 46 55 08 74 04 33 D2 EB 02 B2 01 8B 87 FC 03 00 00 8B 08 FF 91 80 00 00 00 84 DB 74 69 8B 87 64 04 00 00 8B 10 FF 92 20 01 00 00 48 7F 58 8B 87 64 04 00 00 8B 10 FF 92 F8 00 00 00 8B D8 8B 87 64 04 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 48 3B D8 0F 9C C2 8B 87 EC 03 00 00 8B 08 FF 91 80 00 00 00 8B 87 64 04 00 00 8B 10 FF 92 F8 00 00 00 85 C0 0F 9F C2 8B 87 E8 03 00 00 8B 08 FF 91 80 00 00 00 EB 20 33 D2 8B 87 EC 03 00 00 8B 08 FF 91 80 00 00 00 33 D2 8B 87 E8 03 00 00 8B 08 FF 91 80 00 00 00 F6 87 05 05 00 00 02 0F 95 C0 8B 97 64 04 00 00 88 82 09 03 00 00 8B D0 8B 87 EC 03 00 00 E8 ?? ?? ?? ?? 8B 87 EC 03 00 00 0F B6 50 61 8B 87 E8 03 00 00 E8 ?? ?? ?? ?? 8B 87 58 04 00 00 80 78 61 00 74 45 83 BF CC 04 00 00 00 74 3C 8B 87 64 04 00 00 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 29 8B 87 64 04 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 8B D8 8B 87 CC 04 00 00 E8 ?? ?? ?? ?? 3B D8 74 07 8B C7 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92693_0 {
	meta:
		name = "TChartEditForm.BChangeTypeSeriesClick"
		size = 34
		refs = "000c TChartListBox.ChangeTypeSeries 001c TChartEditForm.InternalSetupFormSeries"
	strings:
		$1 = { 53 8B D8 8B D3 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 83 BB 08 05 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92695_0 {
	meta:
		name = "TChartEditForm.ButtonHelpClick"
		size = 26
		refs = "0002 Application 0015 TApplication.HelpCommand"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 8B 88 70 01 00 00 B8 01 00 00 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92696_0 {
	meta:
		name = "TChartEditForm.MainPageChanging"
		size = 66
		refs = "0015 TFormTeeSeries.PageSeriesChanging 003b TTabSheet.SetHighlighted"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B 83 08 05 00 00 85 C0 74 0B 8B CE 8B D3 E8 ?? ?? ?? ?? EB 03 C6 06 01 80 3E 00 74 1C 80 BB 0C 05 00 00 00 74 13 8B 83 90 03 00 00 8B 80 DC 02 00 00 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92697_0 {
	meta:
		name = "TChartEditForm.Notification"
		size = 54
		refs = "0010 TCustomForm.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 19 83 BF BC 04 00 00 00 74 10 3B B7 BC 04 00 00 75 08 33 C0 89 87 BC 04 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92698_0 {
	meta:
		name = "TChartEditForm.SubPageChanging"
		size = 29
		refs = "0018 TTabSheet.SetHighlighted"
	strings:
		$1 = { 80 B8 0C 05 00 00 00 74 13 8B 80 98 03 00 00 8B 80 DC 02 00 00 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92699_0 {
	meta:
		name = "TChartEditForm.SBGridTextClick"
		size = 25
		refs = "0014 TCustomChartGrid.SetShowLabels"
	strings:
		$1 = { 8B 90 28 04 00 00 0F B6 92 C0 01 00 00 8B 80 18 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92700_0 {
	meta:
		name = "TChartEditForm.SBGridColClick"
		size = 25
		refs = "0014 TCustomChartGrid.SetShowColors"
	strings:
		$1 = { 8B 90 2C 04 00 00 0F B6 92 C0 01 00 00 8B 80 18 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92701_0 {
	meta:
		name = "TChartEditForm.SBGrid3DClick"
		size = 77
		refs = "0017 TCustomChartGrid.SetGrid3DMode 002f TCustomChartGrid.SetShowLabels 0047 TCustomChartGrid.SetShowColors"
	strings:
		$1 = { 53 8B D8 8B 83 30 04 00 00 0F B6 90 C0 01 00 00 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 8B 83 28 04 00 00 0F B6 90 C0 01 00 00 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 8B 83 2C 04 00 00 0F B6 90 C0 01 00 00 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92702_0 {
	meta:
		name = "TChartEditForm.SBGridXClick"
		size = 43
		refs = "0018 TCustomChartGrid.SetShowXValues"
	strings:
		$1 = { 8B 90 34 04 00 00 80 BA C0 01 00 00 00 74 0E B2 02 8B 80 18 04 00 00 E8 ?? ?? ?? ?? C3 B2 01 8B 80 18 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92704_0 {
	meta:
		name = "TChartEditForm.CurrentGroup"
		size = 103
		refs = "001b TChartEditForm.DeltaGroup 0061 TSeriesGroups.Get"
	strings:
		$1 = { 53 8B D8 8B 83 40 04 00 00 8B 10 FF 92 F8 00 00 00 40 75 04 33 C0 5B C3 8B C3 E8 ?? ?? ?? ?? 48 75 16 8B 83 40 04 00 00 8B 10 FF 92 F8 00 00 00 85 C0 75 04 33 C0 EB 2D 8B 83 40 04 00 00 8B 10 FF 92 F8 00 00 00 50 8B C3 E8 ?? ?? ?? ?? 5A 2B D0 8B 83 BC 04 00 00 8B 80 B4 03 00 00 8B 40 14 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92705_0 {
	meta:
		name = "TChartEditForm.GroupsClick"
		size = 32
		refs = "0006 TChartEditForm.CurrentGroup 0013 TChartListBox.SetGroup 001a TChartEditForm.EnableGroupButtons"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92706_0 {
	meta:
		name = "TChartEditForm.EnableGroupButtons"
		size = 76
		refs = "0017 TChartEditForm.DeltaGroup"
	strings:
		$1 = { 53 56 8B D8 8B 83 40 04 00 00 8B 10 FF 92 F8 00 00 00 8B F0 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 9D C2 8B 83 50 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 50 04 00 00 8B 10 FF 52 68 8B D0 8B 83 54 04 00 00 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92707_0 {
	meta:
		name = "TChartEditForm.GroupsClickCheck"
		size = 220
		refs = "0007 TChartEditForm.DeltaGroup 0035 TCheckListBox.GetChecked 0048 TChartSeriesList.SetAllActive 004f TChartEditForm.FillGroups 006a TCheckListBox.GetState 007d TChartEditForm.CurrentGroup 0084 TSeriesGroup.SetActive 00bf TChartSeriesList.GetAllActive 00ce TCheckListBox.SetChecked 00d5 TChartEditForm.EnableGroupButtons"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 48 75 47 8B 83 40 04 00 00 8B 10 FF 92 F8 00 00 00 85 C0 75 35 8B B3 40 04 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 BC 04 00 00 8B 80 B4 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 7D 8B B3 40 04 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 2C 01 72 18 74 06 FE C8 74 22 EB 2E 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? EB 1E 8B C3 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? EB 0E 8B C3 E8 ?? ?? ?? ?? B2 02 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 48 75 20 8B 83 BC 04 00 00 8B 80 B4 03 00 00 E8 ?? ?? ?? ?? 8B C8 33 D2 8B 83 40 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92709_0 {
	meta:
		name = "TChartEditForm.GroupsDragOver"
		size = 170
		refs = "0029 TCustomListBox.ItemAtPos 0039 _Dn_TChartListBox 003e @IsClass 0056 TChartEditForm.DeltaGroup 007e TSeriesGroups.Get 008a TChartListBox.GetSelectedSeries 0092 TList.IndexOf"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B D8 8B 7D 08 8B 45 14 89 45 F4 8B 45 10 89 45 F8 B1 01 8D 55 F4 8B 83 40 04 00 00 E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 12 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 07 80 3F 00 74 4E 8B C3 E8 ?? ?? ?? ?? 3B F0 7C 43 80 3F 00 74 36 8B C3 E8 ?? ?? ?? ?? 8B D6 2B D0 8B 83 BC 04 00 00 8B 80 B4 03 00 00 8B 40 14 E8 ?? ?? ?? ?? 8B 40 10 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 40 74 04 33 C0 EB 02 B0 01 88 07 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_92710_0 {
	meta:
		name = "RefreshGroups"
		size = 65
		refs = "000d TChartEditForm.FillGroups 003a TChartEditForm.GroupsClick"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 40 04 00 00 8B D3 8B 08 FF 91 FC 00 00 00 8B 45 08 8B 40 FC 8B 90 40 04 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_92711_0 {
	meta:
		name = "TChartEditForm.GroupsDragDrop"
		size = 291
		refs = "0029 TCustomListBox.ItemAtPos 003c _Dn_TChartListBox 0041 @IsClass 0050 TChartListBox.GetSelectedSeries 005e TChartEditForm.DeltaGroup 0088 TChartEditForm.CurrentGroup 0094 TList.RemoveItem 009c RefreshGroups 00c2 TSeriesGroups.Get 00ce TList.IndexOf 00da TList.Add"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 89 45 FC 8B 45 0C 89 45 F4 8B 45 08 89 45 F8 8B 45 FC 8B 80 40 04 00 00 B1 01 8D 55 F4 E8 ?? ?? ?? ?? 8B D8 83 FB FF 0F 84 E2 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 CD 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B F0 85 DB 75 49 8B 45 FC E8 ?? ?? ?? ?? 48 75 3E 8B 45 FC 8B 80 40 04 00 00 8B 10 FF 92 F8 00 00 00 8B F8 8B 45 FC E8 ?? ?? ?? ?? 3B F8 7C 14 8B 45 FC E8 ?? ?? ?? ?? 8B 40 10 8B D6 33 C9 E8 ?? ?? ?? ?? 55 8B C3 E8 ?? ?? ?? ?? 59 EB 77 8B 45 FC E8 ?? ?? ?? ?? 8B D3 2B D0 8B 45 FC 8B 80 BC 04 00 00 8B 80 B4 03 00 00 8B 40 14 E8 ?? ?? ?? ?? 8B 78 10 8B D6 8B C7 E8 ?? ?? ?? ?? 40 75 45 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 40 04 00 00 8B 10 FF 92 F8 00 00 00 8B F8 8B 45 FC E8 ?? ?? ?? ?? 3B F8 7C 14 8B 45 FC E8 ?? ?? ?? ?? 8B 40 10 8B D6 33 C9 E8 ?? ?? ?? ?? 55 8B C3 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_92712_0 {
	meta:
		name = "TChartEditForm.BAddGroupClick"
		size = 170
		refs = "000d TChartEditForm.BAddGroupClick 001b @UStrClr 0024 TeeMsg_GroupName 002b TeeMsg_AddNewGroup 0032 InputQuery 0056 TChartSeriesList.AddGroup 005d TChartEditForm.FillGroups 0084 TChartEditForm.GroupsClick 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8D 4D FC 8B 15 ?? ?? ?? ?? 8B 12 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 74 06 83 7D FC 00 74 DF 83 7D FC 00 74 42 8B 83 BC 04 00 00 8B 80 B4 03 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B B3 40 04 00 00 8B 86 88 02 00 00 8B 10 FF 52 14 8B D0 4A 8B C6 8B 08 FF 91 FC 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92713_0 {
	meta:
		name = "TChartEditForm.BRenameGroupClick"
		size = 141
		refs = "000d TChartEditForm.BRenameGroupClick 003c TeeMsg_GroupName 0043 TeeMsg_ChangeGroupName 004a InputQuery 0055 TChartEditForm.CurrentGroup 0060 @UStrAsg 0067 TChartEditForm.FillGroups 007c @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 40 04 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D FC 8B 86 88 02 00 00 8B 30 FF 56 0C 8D 4D FC 8B 15 ?? ?? ?? ?? 8B 12 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 74 19 8B C3 E8 ?? ?? ?? ?? 83 C0 0C 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92714_0 {
	meta:
		name = "TChartEditForm.BDeleteGroupClick"
		size = 122
		refs = "000d TChartEditForm.BDeleteGroupClick 003d TeeYesNoDelete 0048 TChartEditForm.CurrentGroup 004d TObject.Free 0054 TChartEditForm.FillGroups 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 40 04 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D FC 8B 86 88 02 00 00 8B 30 FF 56 0C 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 84 C0 74 13 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92715_0 {
	meta:
		name = "SetMainTab"
		size = 139
		refs = "0034 TPageControl.SetActivePage 004d TChartEditForm.ReparentTools 0068 TChartEditForm.ReparentAnimations 0083 TChartEditForm.MainPageChange"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B F0 8B 45 08 8B 40 FC 8B 80 90 03 00 00 8B D0 8B 80 DC 02 00 00 8B 08 FF 91 84 00 00 00 8B 45 08 8B 40 FC 8B 80 90 03 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 3B B0 D8 03 00 00 75 0D 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? EB 19 8B 45 08 8B 40 FC 3B B0 DC 03 00 00 75 0B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 DB 74 17 8B 45 08 8B 40 FC 8B 90 90 03 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_92716_0 {
	meta:
		name = "SetSubTab"
		size = 155
		refs = "004e TPageControl.SetActivePage 005f TChartEditForm.ReparentAxis 0072 TChartEditForm.ReparentTitle 0087 TChartEditForm.SubPageChange"
	strings:
		$1 = { 55 8B EC 51 53 56 88 55 FF 8B D8 8B 75 08 83 C6 FC 8B 06 8B 90 94 03 00 00 8B 06 8B 80 98 03 00 00 8B 08 FF 91 84 00 00 00 8B 06 8B 90 98 03 00 00 8B 82 DC 02 00 00 85 C0 74 08 8B 08 FF 91 84 00 00 00 8B 06 8B 80 98 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 06 3B 98 A0 03 00 00 75 09 8B 06 E8 ?? ?? ?? ?? EB 11 8B 06 3B 98 A8 03 00 00 75 07 8B 06 E8 ?? ?? ?? ?? 80 7D FF 00 74 11 8B 06 8B 90 98 03 00 00 8B 06 E8 ?? ?? ?? ?? EB 09 8B 16 8B 06 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92717_0 {
	meta:
		name = "TChartEditForm.TreeChange"
		size = 794
		refs = "001a TWinControl.GetControl 0032 TWinControl.GetControlCount 004b _Dn_TTabSheet 0050 @IsClass 0077 SetMainTab 008f SetSubTab 00ac TControl.SetAlign 00b3 TControl.Show 00d7 @CallDynaInst 010e _Dn_TChartSeries 0121 TChartEditForm.TreeSelectSeries 012e _Dn_TPageControl 0148 TChartEditForm.ResetParentTab 0182 TTabSheet.SetTabVisible 018d TChartEditForm.SubPageChange 019a _Dn_TChartAxis 01d7 TTreeNode.GetIndex 01f4 TFormTeeAxis.PageAxisChange 0218 _Dn_TChartTitle 0296 TFormTeeTitle.CBTitlesChange 02b7 _Dn_TCustomChartWall 02d9 TTreeNode.GetParent 0310 TFormTeeWall.RefreshControls"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 89 45 FC EB 1A 8B 45 FC 8B 80 C8 04 00 00 33 D2 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 91 84 00 00 00 8B 45 FC 8B 80 C8 04 00 00 E8 ?? ?? ?? ?? 85 C0 7F D4 83 7B 0C 00 0F 84 D0 02 00 00 8B 7B 0C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 AE 00 00 00 8B F7 8B 55 FC 8B 92 90 03 00 00 8B 86 7C 02 00 00 3B D0 75 0D 55 B2 01 8B C7 E8 ?? ?? ?? ?? 59 EB 16 8B 55 FC 3B 82 98 03 00 00 75 0B 55 B2 01 8B C7 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 90 C8 04 00 00 8B C6 8B 08 FF 91 84 00 00 00 B2 05 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 03 00 00 3B 43 0C 0F 85 4B 02 00 00 8B 45 FC 8B 80 64 04 00 00 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 0F 84 31 02 00 00 8B 45 FC 8B 80 64 04 00 00 8B 10 FF 92 F4 00 00 00 8B 45 FC 8B 80 64 04 00 00 8B 10 FF 92 A0 00 00 00 E9 0A 02 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B D7 8B 45 FC E8 ?? ?? ?? ?? E9 EA 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5B 8B 45 FC 8B 90 98 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 C8 04 00 00 8B 45 FC 8B 80 98 03 00 00 8B 08 FF 91 84 00 00 00 8B 45 FC 8B 80 98 03 00 00 B2 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 9C 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? E9 7E 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6D 55 8B 45 FC 8B 80 A0 03 00 00 33 D2 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 A0 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B F0 8B 43 0C 89 86 D4 05 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 86 B4 04 00 00 8B 08 FF 91 FC 00 00 00 8B 96 90 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 C8 04 00 00 8B 86 90 03 00 00 8B 08 FF 91 84 00 00 00 E9 00 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 8A 00 00 00 55 8B 45 FC 8B 80 A8 03 00 00 33 D2 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 A8 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B F0 8B 43 0C 89 86 00 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 86 9C 03 00 00 8B 08 FF 91 FC 00 00 00 8B 45 FC 8B 80 A8 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B D0 8B 86 90 03 00 00 8B 08 FF 91 84 00 00 00 8B 96 9C 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 C8 04 00 00 8B 86 90 03 00 00 8B 08 FF 91 84 00 00 00 EB 61 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 50 55 8B 45 FC 8B 80 B8 03 00 00 33 D2 E8 ?? ?? ?? ?? 59 8B C3 E8 ?? ?? ?? ?? 8B 70 0C 8B 45 FC 8B 90 C8 04 00 00 8B C6 8B 08 FF 91 84 00 00 00 B2 05 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B8 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 53 0C E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92718_0 {
	meta:
		name = "TChartEditForm.TreeEditing"
		size = 29
		refs = "000a _Dn_TChartSeries 000f @IsClass"
	strings:
		$1 = { 55 8B EC 53 8B D9 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 88 02 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_92719_0 {
	meta:
		name = "TChartEditForm.FormDestroy"
		size = 628
		refs = "0020 TChartEditForm.ResetParentTab 003a TControl.SetWidth 004e TChartEditForm.FormDestroy 0053 TeeSaveIntegerOption 0067 TeeSaveBoolOption 0091 _Dn_TRegistry 0096 TRegistry.Create 00b6 TRegistry.OpenKey 00ce TCustomForm.GetLeft 00dd TRegistry.WriteInteger 00e4 TCustomForm.GetTop 0101 TeeMsg_DefaultEditorSize 0108 StrToInt 0122 TeeMsg_DefaultEditorHeight 0153 TObject.Free 0159 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B 83 58 04 00 00 85 C0 74 2D 80 78 61 00 74 27 8B 93 90 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 98 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 93 B8 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 58 04 00 00 80 78 61 00 74 0D 8B 50 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 83 04 05 00 00 80 0F 95 C2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BB BC 04 00 00 00 0F 84 E7 00 00 00 80 BB 0D 05 00 00 00 75 0D 80 BB 0E 05 00 00 00 0F 84 D1 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 80 00 00 00 80 BB 0D 05 00 00 00 74 2C 8B C3 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 80 BB 0E 05 00 00 00 74 42 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 3B 43 50 74 10 8B 4B 50 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 3B 43 54 74 10 8B 4B 54 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 72 00 65 00 65 00 57 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 65 00 72 00 69 00 65 00 73 00 47 00 72 00 6F 00 75 00 70 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 53 00 4F 00 46 00 54 00 57 00 41 00 52 00 45 00 5C 00 53 00 74 00 65 00 65 00 6D 00 61 00 20 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 54 00 65 00 65 00 43 00 68 00 61 00 72 00 74 00 20 00 50 00 72 00 6F 00 5C 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 6F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_92720_0 {
	meta:
		name = "TChartEditForm.FormResize"
		size = 34
	strings:
		$1 = { 8B 90 58 04 00 00 80 7A 61 00 74 15 8B 48 50 2B 4A 50 8B 90 5C 04 00 00 2B 4A 50 89 88 B8 04 00 00 C3 }
	condition:
		$1
}

rule function_92723_0 {
	meta:
		name = "TChartEditForm.PopupDataPopup"
		size = 133
		refs = "000d TCustomChartGrid.GetSeriesColor 001d TMenuItem.SetVisible"
	strings:
		$1 = { 53 51 8B D8 8B D4 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 85 C0 0F 95 C2 8B 83 6C 04 00 00 E8 ?? ?? ?? ?? 8B 83 6C 04 00 00 80 78 42 00 74 09 81 3C 24 00 00 00 20 75 04 33 D2 EB 02 B2 01 8B 83 70 04 00 00 E8 ?? ?? ?? ?? 8B 83 6C 04 00 00 80 78 42 00 74 09 81 3C 24 FF FF FF 1F 75 04 33 D2 EB 02 B2 01 8B 83 74 04 00 00 E8 ?? ?? ?? ?? 8B 83 6C 04 00 00 0F B6 50 42 8B 83 68 04 00 00 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_92725_0 {
	meta:
		name = "TChartEditForm.DefaultColor1Click"
		size = 17
		refs = "000c TCustomChartGrid.ChangeColor"
	strings:
		$1 = { BA 00 00 00 20 8B 80 18 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92726_0 {
	meta:
		name = "TChartEditForm.Makenullpoint1Click"
		size = 17
		refs = "000c TCustomChartGrid.ChangeColor"
	strings:
		$1 = { BA FF FF FF 1F 8B 80 18 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92727_0 {
	meta:
		name = "TChartEditForm.extfont1Click"
		size = 160
		refs = "0013 EditTeeFont 001a _Dn_TBitmap 001f TBitmap.Create 002a TChartEditForm.extfont1Click 0038 TBitmap.GetCanvas 005b TCustomCanvas.TextHeight 006b TCustomGrid.SetDefaultRowHeight 0080 TObject.Free 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B 83 18 04 00 00 8B 50 6C 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 40 40 8B 93 18 04 00 00 8B 52 6C 8B 08 FF 51 08 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 83 C2 02 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_92728_0 {
	meta:
		name = "TChartEditForm.SBCopyDataClick"
		size = 143
		refs = "0013 _Dn_TSeriesDataText 0018 TSeriesDataText.Create 0023 TChartEditForm.SBCopyDataClick 0069 @CallDynaInst 007e TObject.Free 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 6A 00 8B 8B BC 04 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 0E 01 8B 45 FC C6 40 0D 01 8B 83 28 04 00 00 0F B6 80 C0 01 00 00 8B 55 FC 88 42 0F 8B 83 2C 04 00 00 0F B6 80 C0 01 00 00 8B 55 FC 88 42 0C 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92729_0 {
	meta:
		name = "TChartEditForm.ViewSeriesNames1Click"
		size = 204
		refs = "0011 TMenuItem.SetChecked 0040 TChartListBox.SetNames 0051 TChartEditForm.ViewSeriesNames1Click 005c TControl.SetText 0079 TeeTranslateControl 0086 TSpeedButton.SetDown"
	strings:
		$1 = { 53 8B D8 8B 83 88 04 00 00 0F B6 50 3C 80 F2 01 E8 ?? ?? ?? ?? 8B 83 BC 03 00 00 83 78 38 00 75 0E 8B 93 90 03 00 00 8B 08 FF 91 84 00 00 00 8B 83 88 04 00 00 0F B6 50 3C 8B 83 64 04 00 00 E8 ?? ?? ?? ?? 8B 83 88 04 00 00 80 78 3C 00 74 12 BA ?? ?? ?? ?? 8B 83 F8 03 00 00 E8 ?? ?? ?? ?? EB 10 BA ?? ?? ?? ?? 8B 83 F8 03 00 00 E8 ?? ?? ?? ?? 8B 83 F8 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 90 04 00 00 E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 08 00 00 00 26 00 4E 00 61 00 6D 00 65 00 2E 00 2E 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 26 00 54 00 69 00 74 00 6C 00 65 00 2E 00 2E 00 2E 00 00 00 }
	condition:
		$1
}

rule function_92730_0 {
	meta:
		name = "TChartEditForm.SpeedSeriesMouseDown"
		size = 87
		refs = "0018 TControl.GetBoundsRect 002f TControl.ClientToScreen"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 8B D8 33 C0 89 45 F8 8D 55 E8 8B 83 90 04 00 00 E8 ?? ?? ?? ?? 8B 45 F4 89 45 FC 8D 4D E0 8D 55 F8 8B 83 90 04 00 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F8 8B 45 E4 89 45 FC 8B 4D FC 8B 55 F8 8B 83 84 04 00 00 8B 18 FF 53 50 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_92731_0 {
	meta:
		name = "TChartEditForm.ViewSeriesGroups1Click"
		size = 108
		refs = "0011 TMenuItem.SetChecked 0024 TChartEditForm.ViewSeriesGroups1Click 0052 TChartEditForm.ShowHideGroups 005f TSpeedButton.SetDown"
	strings:
		$1 = { 53 8B D8 8B 83 8C 04 00 00 0F B6 50 3C 80 F2 01 E8 ?? ?? ?? ?? 8B 83 8C 04 00 00 80 78 3C 00 74 17 0F B7 05 ?? ?? ?? ?? 66 0B 83 04 05 00 00 66 89 83 04 05 00 00 EB 17 0F B7 05 ?? ?? ?? ?? F7 D0 66 23 83 04 05 00 00 66 89 83 04 05 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 90 04 00 00 E8 ?? ?? ?? ?? 5B C3 00 00 00 80 00 00 00 }
	condition:
		$1
}

rule function_92733_0 {
	meta:
		name = "TChartEditForm.SBGridVisualsClick"
		size = 43
		refs = "0018 TCustomChartGrid.SetShowVisuals"
	strings:
		$1 = { 8B 90 94 04 00 00 80 BA C0 01 00 00 00 74 0E B2 02 8B 80 18 04 00 00 E8 ?? ?? ?? ?? C3 B2 01 8B 80 18 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92734_0 {
	meta:
		name = "TChartEditForm.HideOther1Click"
		size = 74
		refs = "0025 TCustomListBox.GetSelected"
	strings:
		$1 = { 53 56 57 8B F0 8B 86 BC 04 00 00 8B 80 B4 03 00 00 8B 78 08 4F 85 FF 7C 2D 47 33 DB 8B D3 8B 86 64 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 86 BC 04 00 00 8B 80 B4 03 00 00 8B 40 04 8B 04 98 8B 08 FF 51 48 43 4F 75 D6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92735_0 {
	meta:
		name = "TChartEditForm.PopupListSeriesPopup"
		size = 67
		refs = "001c TMenuItem.SetEnabled 002d TChartSeriesList.GetAllActive"
	strings:
		$1 = { 53 8B D8 8B 83 64 04 00 00 8B 10 FF 92 F8 00 00 00 40 0F 95 C2 8B 83 A8 04 00 00 E8 ?? ?? ?? ?? 8B 83 BC 04 00 00 8B 80 B4 03 00 00 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B 83 9C 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92736_0 {
	meta:
		name = "TChartEditForm.ShowAll1Click"
		size = 27
		refs = "0016 TChartSeriesList.SetAllActive"
	strings:
		$1 = { 3B 90 9C 04 00 00 0F 94 C2 8B 80 BC 04 00 00 8B 80 B4 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92737_0 {
	meta:
		name = "TChartEditForm.SelectAll1Click"
		size = 15
	strings:
		$1 = { 8B 80 64 04 00 00 8B 10 FF 92 1C 01 00 00 C3 }
	condition:
		$1
}

rule function_92738_0 {
	meta:
		name = "TChartEditForm.SelectNone1Click"
		size = 15
	strings:
		$1 = { 8B 80 64 04 00 00 8B 10 FF 92 08 01 00 00 C3 }
	condition:
		$1
}

rule function_92741_0 {
	meta:
		name = "TFormTeeTitle.CreateTitle"
		size = 107
		refs = "000d @ClassCreate 001a TCustomForm.Create 0044 InsertTeeObjectForm 0055 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 89 86 F8 03 00 00 8B 45 08 89 86 00 04 00 00 C6 86 F4 03 00 00 00 8B 96 00 04 00 00 8B 86 90 03 00 00 E8 ?? ?? ?? ?? 89 86 FC 03 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_92742_0 {
	meta:
		name = "TFormTeeTitle.SetTitleControls"
		size = 261
		refs = "00a6 TCustomUpDown.SetPosition 00cf TFormTeeTitle.EnableCustomPosition 00e4 TCustomMemo.SetLines 00fc TFormTeeShape.RefreshControls"
	strings:
		$1 = { 53 56 57 55 8B F8 8B B7 00 04 00 00 0F B6 46 59 2C 01 72 08 74 2D FE C8 74 14 EB 3A 33 D2 8B 87 DC 03 00 00 8B 08 FF 91 FC 00 00 00 EB 28 BA 01 00 00 00 8B 87 DC 03 00 00 8B 08 FF 91 FC 00 00 00 EB 13 BA 02 00 00 00 8B 87 DC 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 56 10 8B 87 CC 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 56 58 8B 87 D0 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 56 54 8B 87 C4 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 9F F5 03 00 00 C6 87 F5 03 00 00 01 8B EE 8B 55 44 8B 87 B8 03 00 00 E8 ?? ?? ?? ?? 8B 55 48 8B 87 C0 03 00 00 E8 ?? ?? ?? ?? 8B 56 60 8B 87 E8 03 00 00 E8 ?? ?? ?? ?? 88 9F F5 03 00 00 8B C7 E8 ?? ?? ?? ?? C6 87 F4 03 00 00 01 8B 56 5C 8B 87 A0 03 00 00 E8 ?? ?? ?? ?? C6 87 F4 03 00 00 00 8B 97 00 04 00 00 8B 87 FC 03 00 00 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92743_0 {
	meta:
		name = "TFormTeeTitle.EnableCustomPosition"
		size = 154
		refs = "0074 TCustomUpDown.SetPosition"
	strings:
		$1 = { 53 56 51 8B F0 0F B6 86 F5 03 00 00 88 04 24 C6 86 F5 03 00 00 01 8B 86 00 04 00 00 0F B6 58 54 8B D3 8B 86 B4 03 00 00 8B 08 FF 91 80 00 00 00 8B D3 8B 86 BC 03 00 00 8B 08 FF 91 80 00 00 00 8B D3 8B 86 B8 03 00 00 8B 08 FF 91 80 00 00 00 8B D3 8B 86 C0 03 00 00 8B 08 FF 91 80 00 00 00 84 DB 74 28 8B 86 00 04 00 00 8B 50 44 8B 86 B8 03 00 00 E8 ?? ?? ?? ?? 8B 86 00 04 00 00 8B 50 48 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? 0F B6 04 24 88 86 F5 03 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_92744_0 {
	meta:
		name = "TFormTeeTitle.FormShow"
		size = 138
		refs = "007d TFormTeeTitle.SetTitleControls"
	strings:
		$1 = { 53 8B D8 8B 83 00 04 00 00 85 C0 74 74 8B 93 F8 03 00 00 3B 82 70 04 00 00 75 12 33 D2 8B 83 9C 03 00 00 8B 08 FF 91 FC 00 00 00 EB 4D 3B 82 6C 04 00 00 75 15 BA 01 00 00 00 8B 83 9C 03 00 00 8B 08 FF 91 FC 00 00 00 EB 30 3B 82 68 04 00 00 75 15 BA 02 00 00 00 8B 83 9C 03 00 00 8B 08 FF 91 FC 00 00 00 EB 13 BA 03 00 00 00 8B 83 9C 03 00 00 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 F5 03 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92745_0 {
	meta:
		name = "TFormTeeTitle.CBVisibleClick"
		size = 32
		refs = "001a TTeeCustomShapeBrushPen.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 CC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92746_0 {
	meta:
		name = "TFormTeeTitle.MTextChange"
		size = 65
		refs = "0023 TStrings.Equals 003a TChartTitle.SetText"
	strings:
		$1 = { 53 56 8B D8 80 BB F4 03 00 00 00 75 31 8B B3 00 04 00 00 8B 83 A0 03 00 00 8B 90 A8 02 00 00 8B 46 5C E8 ?? ?? ?? ?? 84 C0 75 13 8B 83 A0 03 00 00 8B 90 A8 02 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92747_0 {
	meta:
		name = "TFormTeeTitle.CBAdjustClick"
		size = 32
		refs = "001a TChartTitle.SetAdjustFrame"
	strings:
		$1 = { 53 8B D8 8B 83 D0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92748_0 {
	meta:
		name = "TFormTeeTitle.CBTitlesChange"
		size = 119
		refs = "0071 TFormTeeTitle.SetTitleControls"
	strings:
		$1 = { 53 8B D8 8B 83 9C 03 00 00 8B 10 FF 92 F8 00 00 00 83 E8 01 72 0A 74 1C 48 74 2D 48 74 3E EB 4E 8B 83 F8 03 00 00 8B 80 70 04 00 00 89 83 00 04 00 00 EB 3A 8B 83 F8 03 00 00 8B 80 6C 04 00 00 89 83 00 04 00 00 EB 26 8B 83 F8 03 00 00 8B 80 68 04 00 00 89 83 00 04 00 00 EB 12 8B 83 F8 03 00 00 8B 80 5C 04 00 00 89 83 00 04 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92749_0 {
	meta:
		name = "TFormTeeTitle.CBCustPosClick"
		size = 39
		refs = "001a TTeeCustomShapePosition.SetCustomPosition 0021 TFormTeeTitle.EnableCustomPosition"
	strings:
		$1 = { 53 8B D8 8B 83 C4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92750_0 {
	meta:
		name = "TFormTeeTitle.FormCreate"
		size = 38
		refs = "000f TCustomForm.SetBorderStyle 0020 TPageControl.SetActivePage"
	strings:
		$1 = { 53 8B D8 C6 83 F5 03 00 00 01 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 93 94 03 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92751_0 {
	meta:
		name = "TFormTeeTitle.CanChangeCust"
		size = 36
	strings:
		$1 = { 80 B8 F5 03 00 00 00 75 15 83 B8 00 04 00 00 00 74 0C 8B 80 00 04 00 00 80 78 54 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_92752_0 {
	meta:
		name = "TFormTeeTitle.ECustLeftChange"
		size = 62
		refs = "0006 TFormTeeTitle.CanChangeCust 0015 TCustomUpDown.GetPosition 0038 TTeeCustomShapePosition.SetLeft"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2E 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 93 00 04 00 00 3B 42 44 74 18 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92753_0 {
	meta:
		name = "TFormTeeTitle.ECustTopChange"
		size = 62
		refs = "0006 TFormTeeTitle.CanChangeCust 0015 TCustomUpDown.GetPosition 0038 TTeeCustomShapePosition.SetTop"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2E 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8B 93 00 04 00 00 3B 42 48 74 18 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92754_0 {
	meta:
		name = "TFormTeeTitle.CBAlignChange"
		size = 66
		refs = "0026 TChartTitle.SetAlignment"
	strings:
		$1 = { 53 8B 98 00 04 00 00 8B 80 DC 03 00 00 8B 10 FF 92 F8 00 00 00 83 E8 01 72 07 74 10 48 74 18 EB 1F 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 B2 02 8B C3 E8 ?? ?? ?? ?? 5B C3 B2 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92755_0 {
	meta:
		name = "TFormTeeTitle.Edit1Change"
		size = 47
		refs = "001c TCustomUpDown.GetPosition 0029 TChartTitle.SetVertMargin"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 21 80 BB F5 03 00 00 00 75 18 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92756_0 {
	meta:
		name = "TFormTeeTitle.PageControlTitleChange"
		size = 12
		refs = "0007 TFormTeeShape.PC1Change"
	strings:
		$1 = { 8B 80 FC 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92757_0 {
	meta:
		name = "TFormTeeTitle.Button1Click"
		size = 20
		refs = "000f TeeEditStrings"
	strings:
		$1 = { 8B 90 A0 03 00 00 8B 92 A8 02 00 00 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92760_0 {
	meta:
		name = "TFormTeeTools.FillTools"
		size = 341
		refs = "0014 TFormTeeTools.FillTools 0027 TControl.SetText 005c TChartTools.Get 0142 @UStrClr 0148 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B 83 90 03 00 00 89 45 FC 8B 45 FC 8B 10 FF 92 04 01 00 00 8B 83 D8 03 00 00 8B 40 08 48 85 C0 7C 67 40 89 45 F8 33 F6 8B D6 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? F6 40 1C 10 75 13 8B D6 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 80 78 48 00 74 35 8B D6 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 50 8B D6 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 8B 00 8D 55 F4 FF 50 6C 8B 55 F4 8B 45 FC 8B 80 88 02 00 00 59 8B 38 FF 57 3C 46 FF 4D F8 75 9F 8B 83 90 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 0F 9F C2 8B 83 A4 03 00 00 8B 08 FF 91 80 00 00 00 8B B3 BC 03 00 00 80 7E 61 00 74 17 8B 83 A4 03 00 00 8B 10 FF 52 68 8B D0 8B C6 8B 08 FF 91 80 00 00 00 8B 83 A4 03 00 00 8B 10 FF 52 68 8B D0 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 A0 03 00 00 8B 10 FF 52 68 8B D0 8B 83 C0 03 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92761_0 {
	meta:
		name = "TFormTeeTools.DeleteForm"
		size = 38
		refs = "000a TWinControl.GetControlCount 001b TWinControl.GetControl 0020 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 85 C0 7E 12 33 D2 8B 83 94 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92762_0 {
	meta:
		name = "TFormTeeTools.LBToolsClick"
		size = 395
		refs = "000d TFormTeeTools.LBToolsClick 001e TWinControl.GetControlCount 002f TWinControl.GetControl 0039 TFormTeeTools.CurrentTool 0093 TList.IndexOf 00c3 TFormTeeTools.DeleteForm 00da GetClass 00ee TeeTranslateControl 00f7 TControl.SetAlign 010d AddFormTo 0126 TControl.SetVisible 0157 TControl.SetTop 015e TFormTeeTools.EnableButtons 0165 TFormTeeTools.SetPanelBottom 017a @UStrClr 0180 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 1F 33 D2 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 70 0C 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 84 24 01 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 15 01 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 85 C0 7E 44 33 D2 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 92 18 01 00 00 84 C0 75 2B 33 D2 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 50 0C 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 90 03 00 00 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 50 38 8B 83 A4 03 00 00 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 00 8D 55 FC FF 50 44 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 2F 8B CB B2 01 FF 50 38 8B F0 8B C6 E8 ?? ?? ?? ?? B2 05 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 93 94 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? F6 40 1C 10 0F 95 C2 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 8B B3 BC 03 00 00 80 7E 61 00 74 25 8B C3 E8 ?? ?? ?? ?? 0F B6 50 48 8B C6 8B 08 FF 91 FC 00 00 00 BA 03 00 00 00 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92763_0 {
	meta:
		name = "TFormTeeTools.BDeleteClick"
		size = 328
		refs = "000e TFormTeeTools.BDeleteClick 001b TFormTeeTools.CurrentTool 003c TeeYesNoDelete 007f TObject.Free 0086 TFormTeeTools.DeleteForm 008d TFormTeeTools.FillTools 0121 TFormTeeTools.LBToolsClick 0136 @UStrClr 013c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 FE 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 00 8D 55 FC FF 50 6C 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 84 C0 0F 84 DD 00 00 00 8B 83 90 03 00 00 8B 10 FF 92 F8 00 00 00 8B F8 66 83 BB D2 03 00 00 00 74 15 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 D4 03 00 00 FF 93 D0 03 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B B3 90 03 00 00 83 FF 01 7E 0F 8B D7 4A 8B C6 8B 08 FF 91 FC 00 00 00 EB 27 8B 86 88 02 00 00 8B 10 FF 52 14 85 C0 7E 18 8B 86 88 02 00 00 8B 10 FF 52 14 8B D0 4A 8B C6 8B 08 FF 91 FC 00 00 00 8B 83 90 03 00 00 8B 10 FF 92 F8 00 00 00 40 0F 95 C2 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 A0 03 00 00 8B 10 FF 52 68 8B D0 8B 83 C0 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 A0 03 00 00 8B 10 FF 52 68 84 C0 74 09 8B D3 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92764_0 {
	meta:
		name = "TFormTeeTools.CBActiveClick"
		size = 44
		refs = "0006 TFormTeeTools.CurrentTool"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1C 8B 83 A4 03 00 00 8B 10 FF 92 F8 00 00 00 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 48 5B C3 }
	condition:
		$1
}

rule function_92765_0 {
	meta:
		name = "TFormTeeTools.GetNewTool"
		size = 164
		refs = "0014 _Dn_TTeeToolsGallery 0019 TCustomForm.Create 0024 TFormTeeTools.GetNewTool 0032 PositionToCenter 0048 TTeeToolsGallery.SelectedTool 0056 TFormTeeTools.DoAddNewTool 006e TObject.Free 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 33 C0 89 45 FC 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 48 75 19 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 B9 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 43 00 68 00 61 00 72 00 74 00 54 00 6F 00 6F 00 6C 00 00 00 }
	condition:
		$1
}

rule function_92766_0 {
	meta:
		name = "TFormTeeTools.DoAddNewTool"
		size = 221
		refs = "001a TFormTeeTools.DoAddNewTool 0036 @CallDynaInst 005e TChartTools.Get 00a9 TeeGetUniqueName 00c8 @UStrClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 D8 03 00 00 8B 40 10 85 C0 74 0E 66 BE AC FF E8 ?? ?? ?? ?? 89 45 F4 EB 05 33 C0 89 45 F4 8B 83 D8 03 00 00 8B 70 08 4E 85 F6 7C 30 46 33 FF 8B D7 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 8B 40 04 8B 93 D8 03 00 00 3B 42 10 75 0E 8B 83 D8 03 00 00 8B 40 10 89 45 F4 EB 04 47 4E 75 D3 8B 4D F4 B2 01 8B 45 FC FF 50 38 8B F0 8B 83 D8 03 00 00 8B 50 10 8B C6 8B 08 FF 51 4C 8D 4D F0 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92767_0 {
	meta:
		name = "TFormTeeTools.BAddClick"
		size = 105
		refs = "002d TFormTeeTools.FillTools 0062 TFormTeeTools.LBToolsClick"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 10 FF 92 2C 01 00 00 85 C0 74 54 66 83 BB CA 03 00 00 00 74 0E 8B D0 8B 83 CC 03 00 00 FF 93 C8 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B B3 90 03 00 00 8B 86 88 02 00 00 8B 10 FF 52 14 8B D0 4A 8B C6 8B 08 FF 91 FC 00 00 00 8B 83 90 03 00 00 8B 10 FF 92 F4 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92768_0 {
	meta:
		name = "TFormTeeTools.CurrentTool"
		size = 58
	strings:
		$1 = { 53 56 8B D8 8B 83 90 03 00 00 8B 10 FF 92 F8 00 00 00 40 75 05 33 C0 5E 5B C3 8B B3 90 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 88 02 00 00 8B 08 FF 51 18 5E 5B C3 }
	condition:
		$1
}

rule function_92769_0 {
	meta:
		name = "TFormTeeTools.FillAndSet"
		size = 66
		refs = "0007 TFormTeeTools.FillTools 0031 TFormTeeTools.LBToolsClick 003b TFormTeeTools.EnableButtons"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B3 90 03 00 00 8B 86 88 02 00 00 8B 10 FF 52 14 85 C0 7E 18 33 D2 8B C6 8B 08 FF 91 FC 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92770_0 {
	meta:
		name = "TFormTeeTools.FormShow"
		size = 187
		refs = "004e TControl.SetTop 0065 TControl.SetVisible 009f TFormTeeTools.FillAndSet 00ae TControl.SetCursor 00b5 TeeTranslateControl"
	strings:
		$1 = { 53 8B D8 83 BB D8 03 00 00 00 75 09 8B 43 0C 89 83 D8 03 00 00 8B 83 D8 03 00 00 85 C0 74 0F 83 78 10 00 74 09 8B 50 10 F6 42 1C 10 75 26 8B 83 9C 03 00 00 8B 48 54 8B 93 A4 03 00 00 2B 4A 54 D1 F9 79 03 83 D1 00 03 48 4C 8B C1 92 E8 ?? ?? ?? ?? EB 25 8B 40 10 F6 40 1C 10 0F 95 C2 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 BC 03 00 00 8B 08 FF 91 80 00 00 00 8B 93 D8 03 00 00 85 D2 74 20 8B 42 10 85 C0 74 12 F6 40 1C 10 0F 95 C2 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 66 BA EB FF 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92771_0 {
	meta:
		name = "TFormTeeTools.FormCreate"
		size = 34
		refs = "000a TSpeedButton.GetGlyph 001c TeeLoadArrowBitmaps"
	strings:
		$1 = { 53 8B D8 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 50 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92772_0 {
	meta:
		name = "TFormTeeTools.SwapTool"
		size = 167
		refs = "0038 TList.Exchange 0045 TChartTools.Get 004a TComponent.GetComponentIndex 0072 TComponent.SetComponentIndex 009e TFormTeeTools.EnableButtons"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B 83 90 03 00 00 8B 80 88 02 00 00 8B CF 8B D6 8B 28 FF 55 4C 8B 83 90 03 00 00 8B 10 FF 92 9C 00 00 00 8B CF 8B D6 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 8B D6 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B D7 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B D6 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B D7 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 8B 83 D8 03 00 00 8B 40 10 8B 10 FF 92 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92773_0 {
	meta:
		name = "TFormTeeTools.EnableButtons"
		size = 142
	strings:
		$1 = { 53 56 57 8B D8 8B B3 90 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 85 C0 0F 9F C2 8B 83 B4 03 00 00 8B 08 FF 91 80 00 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B F8 8B 86 88 02 00 00 8B 10 FF 52 14 48 3B F8 0F 9C C2 8B 83 B8 03 00 00 8B 08 FF 91 80 00 00 00 8B C6 8B 10 FF 92 F8 00 00 00 40 0F 95 C2 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 A0 03 00 00 8B 10 FF 52 68 8B D0 8B 83 C0 03 00 00 8B 08 FF 91 80 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92774_0 {
	meta:
		name = "TFormTeeTools.BMoveUpClick"
		size = 45
		refs = "0026 TFormTeeTools.SwapTool"
	strings:
		$1 = { 53 56 8B D8 8B B3 90 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 48 50 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B C3 59 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92775_0 {
	meta:
		name = "TFormTeeTools.BMoveDownClick"
		size = 45
		refs = "0026 TFormTeeTools.SwapTool"
	strings:
		$1 = { 53 56 8B D8 8B B3 90 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 40 50 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B C3 59 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92776_0 {
	meta:
		name = "TFormTeeTools.Reload"
		size = 78
		refs = "002d TFormTeeTools.FillAndSet 0047 TFormTeeTools.LBToolsClick"
	strings:
		$1 = { 53 56 8B D8 8B B3 D8 03 00 00 85 F6 74 23 83 7E 10 00 74 1D 8B 83 90 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 3B 46 08 74 07 8B C3 E8 ?? ?? ?? ?? 8B 83 90 03 00 00 8B 10 FF 92 F8 00 00 00 40 74 09 8B D3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92777_0 {
	meta:
		name = "TFormTeeTools.LBToolsDrawItem"
		size = 69
		refs = "0038 TeeDrawTool"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 75 0C 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 0F B7 45 08 50 8B BB 90 03 00 00 8B 87 88 02 00 00 8B D6 8B 08 FF 51 18 50 8D 4D F0 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_92778_0 {
	meta:
		name = "TFormTeeTools.CMShowingChanged"
		size = 24
		refs = "0006 TCustomForm.CMShowingChanged 0012 TWinControl.UpdateControlState"
		altNames = "TTeeExportForm.CMShowingChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 38 85 C0 74 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92779_0 {
	meta:
		name = "TFormTeeTools.CBShowInEditorClick"
		size = 42
		refs = "0006 TFormTeeTools.CurrentTool"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1A 8B 83 BC 03 00 00 8B 10 FF 92 F8 00 00 00 50 8B C3 E8 ?? ?? ?? ?? 5A 88 50 48 5B C3 }
	condition:
		$1
}

rule function_92780_0 {
	meta:
		name = "TFormTeeTools.CloneTool"
		size = 31
		refs = "000a CloneChartTool"
	strings:
		$1 = { 53 56 8B DA 8B 53 04 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 53 40 8B C6 8B 08 FF 51 4C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_92781_0 {
	meta:
		name = "TFormTeeTools.BCloneClick"
		size = 131
		refs = "000d TFormTeeTools.BCloneClick 001a TFormTeeTools.CurrentTool 005d TFormTeeTools.EnableButtons 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 28 01 00 00 8B F0 8D 55 FC 8B 06 FF 50 6C 8B 55 FC 8B 83 90 03 00 00 8B 80 88 02 00 00 8B CE 8B 30 FF 56 3C 8B D0 8B 83 90 03 00 00 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92782_0 {
	meta:
		name = "TFormTeeTools.SetPanelBottom"
		size = 192
		refs = "000e TFormTeeTools.SetPanelBottom 0027 TFormTeeTools.CurrentTool 004b TObject.ClassName 0060 @UStrCatN 006e TControl.SetText 0083 @UStrClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A8 03 00 00 80 78 61 00 74 4E 8B C3 E8 ?? ?? ?? ?? 85 C0 74 43 8B C3 E8 ?? ?? ?? ?? FF 70 08 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 00 8D 55 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 }
	condition:
		$1
}

rule function_92783_0 {
	meta:
		name = "TFormTeeTools.PBottomClick"
		size = 133
		refs = "000c TFormTeeTools.PBottomClick 0019 TFormTeeTools.CurrentTool 002f @UStrLAsg 0038 TeeMsg_NewToolName 003f TeeMsg_ChangeToolName 0046 InputQuery 0060 TFormTeeTools.SetPanelBottom 0075 @UStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 43 8B C3 E8 ?? ?? ?? ?? 8B 50 08 8D 45 FC E8 ?? ?? ?? ?? 8D 4D FC 8B 15 ?? ?? ?? ?? 8B 12 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 74 16 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 24 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92786_0 {
	meta:
		name = "TFormTeeWall.CreateWall"
		size = 68
		refs = "000d @ClassCreate 001a TCustomForm.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 86 10 04 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_92787_0 {
	meta:
		name = "TFormTeeWall.RefreshControls"
		size = 131
		refs = "000c TFormTeeWall.TheChart 007d TFormTeeWall.SetWallControls"
	strings:
		$1 = { 53 8B D8 89 93 10 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B 80 74 04 00 00 8B 93 10 04 00 00 3B 50 10 75 12 33 D2 8B 83 90 03 00 00 8B 08 FF 91 04 01 00 00 EB 47 3B 50 14 75 15 BA 01 00 00 00 8B 83 90 03 00 00 8B 08 FF 91 04 01 00 00 EB 2D 3B 50 08 75 15 BA 02 00 00 00 8B 83 90 03 00 00 8B 08 FF 91 04 01 00 00 EB 13 BA 03 00 00 00 8B 83 90 03 00 00 8B 08 FF 91 04 01 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92788_0 {
	meta:
		name = "TFormTeeWall.TabSubWallsChange"
		size = 92
		refs = "0007 TFormTeeWall.TheChart 0018 TCustomTabControl.GetTabIndex 0055 TFormTeeWall.SetWallControls"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B B0 74 04 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 83 E8 01 72 07 74 10 48 74 18 EB 21 8B 46 10 89 83 10 04 00 00 EB 1F 8B 46 14 89 83 10 04 00 00 EB 14 8B 46 08 89 83 10 04 00 00 EB 09 8B 46 04 89 83 10 04 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92789_0 {
	meta:
		name = "TFormTeeWall.FormShow"
		size = 16
		refs = "000b TFormTeeWall.RefreshControls"
	strings:
		$1 = { 8B 90 10 04 00 00 85 D2 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92790_0 {
	meta:
		name = "TFormTeeWall.CBView3dWallsClick"
		size = 33
		refs = "0015 TFormTeeWall.TheChart 001b TCustomAxisPanel.SetView3DWalls"
	strings:
		$1 = { 53 8B D8 8B 83 CC 03 00 00 8B 10 FF 92 F8 00 00 00 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92791_0 {
	meta:
		name = "TFormTeeWall.BWallBrushClick"
		size = 15
		refs = "000a EditChartBrush"
	strings:
		$1 = { 8B 90 10 04 00 00 8B 52 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92792_0 {
	meta:
		name = "TFormTeeWall.SEWallSizeChange"
		size = 65
		refs = "0013 TCustomUpDown.GetPosition 0020 TCustomChartWall.SetSize"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 33 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 8B 83 10 04 00 00 83 78 5C 00 0F 9F C2 8B 83 B0 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92793_0 {
	meta:
		name = "TFormTeeWall.SetWallControls"
		size = 592
		refs = "000e TFormTeeWall.TheChart 0046 TCustomUpDown.SetPosition 0106 TTeeCustomShape.GetGradient 0116 TButtonGradient.LinkGradient 0128 TFormTeeWall.SetWallControls 015f @HandleFinally 0169 TCustomChartWall.GetPen 0179 TButtonPen.LinkPen 017e TeeOnChangeVisual 0192 @CallDynaInst 01aa TControl.SetVisible 021c TTeeButton.LinkProperty"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 0F B6 90 D0 03 00 00 8B 45 FC 8B 80 CC 03 00 00 8B 08 FF 91 FC 00 00 00 8B 45 FC 8B 80 10 04 00 00 89 45 F8 8B 45 F8 8B 50 5C 8B 45 FC 8B 80 AC 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 0F B6 50 2A 8B 45 FC 8B 80 A8 03 00 00 8B 08 FF 91 FC 00 00 00 8B 45 F8 0F B6 50 55 8B 45 FC 8B 80 B0 03 00 00 8B 08 FF 91 FC 00 00 00 8B 45 F8 83 78 5C 00 0F 9F C2 8B 45 FC 8B 80 B0 03 00 00 8B 08 FF 91 80 00 00 00 8B 45 F8 0F B6 50 10 8B 45 FC 8B 80 B8 03 00 00 8B 08 FF 91 FC 00 00 00 8B 45 F8 0F B6 50 54 8B 45 FC 8B 80 D0 03 00 00 8B 08 FF 91 FC 00 00 00 8B 45 F8 0F B6 50 40 8B 45 FC 8B 80 C4 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 60 8B 45 FC 8B 80 EC 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 50 58 8B 45 FC 8B 80 F8 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 B4 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC C6 80 0C 04 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 50 5C 8B 45 FC 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 0C 04 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 74 13 8B 45 F8 8B 40 08 66 BE A7 FF E8 ?? ?? ?? ?? 85 C0 75 04 33 D2 EB 02 B2 01 8B 45 FC 8B 80 04 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 80 74 04 00 00 8B 40 08 8B 55 FC 3B 82 10 04 00 00 0F 95 C2 8B 45 FC 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 80 74 04 00 00 8B 40 04 8B 55 FC 3B 82 10 04 00 00 0F 94 C2 8B 45 FC 8B 80 00 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 10 04 00 00 8B 45 FC 8B 80 98 03 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 03 00 00 8B 10 FF 92 A0 00 00 00 5E 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_92794_0 {
	meta:
		name = "TFormTeeWall.CBTranspClick"
		size = 32
		refs = "001a TTeeCustomShape.SetTransparent"
	strings:
		$1 = { 53 8B D8 8B 83 A8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92795_0 {
	meta:
		name = "TFormTeeWall.CBDark3DClick"
		size = 32
		refs = "001a TCustomChartWall.SetDark3D"
	strings:
		$1 = { 53 8B D8 8B 83 B0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92796_0 {
	meta:
		name = "TFormTeeWall.BEmbossClick"
		size = 25
		refs = "000a TTeeCustomShape.GetEmboss 0013 EditTeeEmboss"
	strings:
		$1 = { 53 8B D8 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92797_0 {
	meta:
		name = "TFormTeeWall.BGradientClick"
		size = 51
		refs = "000a TTeeCustomShape.GetGradient 001d TTeeCustomShape.SetTransparent"
	strings:
		$1 = { 53 8B D8 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 80 78 28 00 74 1D 33 D2 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 A8 03 00 00 8B 08 FF 91 FC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92798_0 {
	meta:
		name = "TFormTeeWall.TheChart"
		size = 10
	strings:
		$1 = { 8B 80 10 04 00 00 8B 40 08 C3 }
	condition:
		$1
}

rule function_92799_0 {
	meta:
		name = "TFormTeeWall.CBVisibleClick"
		size = 32
		refs = "001a TTeeCustomShapeBrushPen.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 B8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92800_0 {
	meta:
		name = "TFormTeeWall.FormCreate"
		size = 176
		refs = "0008 TControl.SetAlign 0013 TCustomTabControl.GetTabs 001a TFormTeeWall.FormCreate"
	strings:
		$1 = { 53 8B D8 B2 05 8B C3 E8 ?? ?? ?? ?? 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B D8 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 69 00 67 00 68 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 6F 00 74 00 74 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 61 00 63 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_92801_0 {
	meta:
		name = "TFormTeeWall.Edit1Change"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TTeeCustomShape.SetTransparency"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 18 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92802_0 {
	meta:
		name = "TFormTeeWall.CBAutoHideClick"
		size = 32
		refs = "001a TCustomChartWall.SetAutoHide"
	strings:
		$1 = { 53 8B D8 8B 83 D0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92803_0 {
	meta:
		name = "TFormTeeWall.EAllSizeChange"
		size = 61
		refs = "001c TCustomUpDown.GetPosition 0024 TFormTeeWall.TheChart 0030 TChartWalls.SetSize 0037 TFormTeeWall.SetWallControls"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 2F 80 BB 0C 04 00 00 00 75 26 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 80 74 04 00 00 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92804_0 {
	meta:
		name = "TFormTeeWall.Edit2Change"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TCustomChartWall.SetStart"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 18 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92805_0 {
	meta:
		name = "TFormTeeWall.Edit3Change"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TCustomChartWall.SetEnd"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 18 8B 83 F8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92806_0 {
	meta:
		name = "TFormTeeWall.BImageClick"
		size = 149
		refs = "000c GetParentForm 0013 _Dn_TBackImageEditor 0018 TeeCreateForm 0023 @AsClass 002e TFormTeeWall.BImageClick 003f TTeeCustomShape.GetPicture 0049 TBackImageEditor.RefreshControls 0057 TControl.Hide 0085 TObject.Free 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92807_0 {
	meta:
		name = "TFormTeeWall.BShadowClick"
		size = 15
		refs = "000a EditTeeShadow"
	strings:
		$1 = { 8B 90 10 04 00 00 8B 52 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92808_0 {
	meta:
		name = "TFormTeeWall.BVisualClick"
		size = 111
		refs = "0014 TeeOnEditVisual 002f TeeOnChangeVisual"
	strings:
		$1 = { 53 56 57 55 8B D8 8B B3 10 04 00 00 8B 7E 2C 85 FF 74 1B A1 ?? ?? ?? ?? 83 38 00 74 4D 8B 2D ?? ?? ?? ?? 8B 6D 00 8B D7 8B C3 FF D5 EB 3C A1 ?? ?? ?? ?? 83 38 00 74 32 8B 2D ?? ?? ?? ?? 8B 6D 00 8B 83 10 04 00 00 8B 50 08 8B CF 8B C3 FF D5 89 46 2C 8B 83 10 04 00 00 8B 70 08 85 F6 74 0A 8B C6 8B 10 FF 92 9C 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92811_0 {
	meta:
		name = "EditTeeEmboss"
		size = 132
		refs = "000f _DV_TTeeEmbossEditor 0014 TeeCreateForm 001f @AsClass 002a EditTeeEmboss 0049 TControl.SetVisible 006e TObject.Free 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 B0 E4 03 00 00 8B 45 F8 8B 80 A0 03 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 48 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94899_0 {
	meta:
		name = "EditTeeShadow"
		size = 132
		refs = "000f _DV_TTeeShadowEditor 0014 TeeCreateForm 001f @AsClass 002a EditTeeShadow 0049 TControl.SetVisible 006e TObject.Free 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 B0 E4 03 00 00 8B 45 F8 8B 80 A0 03 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 48 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92812_0 {
	meta:
		name = "InsertTeeEmbossEditor"
		size = 47
		refs = "0009 _DV_TTeeEmbossEditor 000e TCustomForm.Create 001d TControl.SetVisible 0026 AddFormTo"
	strings:
		$1 = { 53 56 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 83 A0 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_94900_0 {
	meta:
		name = "InsertTeeShadowEditor"
		size = 47
		refs = "0009 _DV_TTeeShadowEditor 000e TCustomForm.Create 001d TControl.SetVisible 0026 AddFormTo"
	strings:
		$1 = { 53 56 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 83 A0 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_92817_0 {
	meta:
		name = "TEMFExportFormat.FileExtension"
		size = 88
		refs = "0009 TEMFExportFormat.GetEnhanced 0014 TEMFExportFormat.FileExtension 0019 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 65 00 6D 00 66 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 77 00 6D 00 66 00 00 00 }
	condition:
		$1
}

rule function_92818_0 {
	meta:
		name = "TEMFExportFormat.FileFilterIndex"
		size = 25
		refs = "0006 TEMFExportFormat.GetEnhanced"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 8B 43 08 5B C3 8B 43 08 40 5B C3 }
	condition:
		$1
}

rule function_92819_0 {
	meta:
		name = "TEMFExportFormat.IncFileFilterIndex"
		size = 14
		refs = "0006 TTeeExportFormat.IncFileFilterIndex"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? FF 03 5B C3 }
	condition:
		$1
}

rule function_92820_0 {
	meta:
		name = "TEMFExportFormat.Metafile"
		size = 62
		refs = "0009 TTeeExportFormat.CheckSize 0010 TEMFExportFormat.GetEnhanced 0035 TCustomTeePanel.TeeCreateMetafile"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 89 14 24 33 D2 89 54 24 04 8B 53 10 89 54 24 08 8B 53 0C 89 54 24 0C 8B CC 8B D0 8B 43 04 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_92821_0 {
	meta:
		name = "TEMFExportFormat.Options"
		size = 35
		refs = "0012 _DV_TEMFOptions 0017 TCustomForm.Create"
	strings:
		$1 = { 53 8B D8 84 D2 74 17 83 7B 14 00 75 11 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 14 8B 43 14 5B C3 }
	condition:
		$1
}

rule function_92822_0 {
	meta:
		name = "TEMFExportFormat.DoCopyToClipboard"
		size = 71
		refs = "0005 TEMFExportFormat.Metafile 0010 TEMFExportFormat.DoCopyToClipboard 001b Clipboard 0038 TObject.Free 003e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_94685_0 {
	meta:
		name = "TCustomTeePanel.CopyToClipboardMetafile"
		size = 71
		refs = "0005 TCustomTeePanel.TeeCreateMetafile 0010 TCustomTeePanel.CopyToClipboardMetafile 001b Clipboard 0038 TObject.Free 003e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_92823_0 {
	meta:
		name = "TEMFExportFormat.SaveToStream"
		size = 72
		refs = "0008 TEMFExportFormat.Metafile 0013 TEMFExportFormat.SaveToStream 0038 TObject.Free 003e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92824_0 {
	meta:
		name = "TEMFExportFormat.GetEnhanced"
		size = 25
	strings:
		$1 = { 8B 50 14 85 D2 74 0F 8B 82 90 03 00 00 8B 10 FF 92 F8 00 00 00 C3 B0 01 C3 }
	condition:
		$1
}

rule function_92825_0 {
	meta:
		name = "TEMFExportFormat.SetEnhanced"
		size = 37
	strings:
		$1 = { 53 56 8B DA 8B F0 B2 01 8B C6 8B 08 FF 51 2C 8B 46 14 8B 80 90 03 00 00 8B D3 8B 08 FF 91 FC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92826_0 {
	meta:
		name = "TEMFExportFormat.WantsFilterIndex"
		size = 32
		refs = "0016 TEMFExportFormat.SetEnhanced"
	strings:
		$1 = { 53 3B 50 08 0F 94 C1 84 C9 75 11 8B 58 08 43 3B D3 75 09 33 D2 E8 ?? ?? ?? ?? B1 01 8B C1 5B C3 }
	condition:
		$1
}

rule function_92835_0 {
	meta:
		name = "WithFileExtension"
		size = 324
		refs = "001b WithFileExtension 002c TeeExportFormats 003d UpperCase 0066 TTeeExportFormats.Get 00a2 @UStrCat3 00ad @UStrEqual 00d0 @TryFinallyExit 00e7 TObject.Free 00ed @HandleFinally 0115 @UStrArrayClr 011d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 D2 89 55 E8 89 55 E4 89 55 E0 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 83 3D ?? ?? ?? ?? 00 0F 84 C8 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 48 85 C0 0F 8C AD 00 00 00 40 89 45 EC C7 45 F4 00 00 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 FF 50 10 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B 45 F0 8B 08 FF 51 18 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 4D E4 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 55 FC E8 ?? ?? ?? ?? 75 23 8B 45 F0 8B 10 FF 52 20 85 C0 74 10 8B 45 F0 8B 10 FF 52 20 B2 01 FF 50 50 89 45 F8 E8 ?? ?? ?? ?? EB 29 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 F4 FF 4D EC 0F 85 5E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F8 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_92837_0 {
	meta:
		name = "SaveTeeToFile"
		size = 156
		refs = "0011 _Dn_TFileStream 0018 TFileStream.Create 0023 SaveTeeToFile 003d TControl.SetVisible 0056 SaveTeeToStream 0075 @HandleFinally 008c TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 45 FC 68 00 FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 0F B6 40 61 88 45 F7 B2 01 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 F7 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_92838_0 {
	meta:
		name = "TeeToString"
		size = 179
		refs = "000f _Dn_TMemoryStream 0014 TObject.Create 001f TeeToString 002f SaveTeeToStream 003b TStream.SetPosition 0044 _Dn_TStringStream 0049 TStringStream.Create 0065 ObjectBinaryToText 006f TStringStream.GetDataString 0084 TObject.Free 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92839_0 {
	meta:
		name = "LoadTeeFromStream"
		size = 9
		refs = "0004 TStream.ReadComponent"
	strings:
		$1 = { 8B 00 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92840_0 {
	meta:
		name = "LoadTeeFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e LoadTeeFromFile 002e LoadTeeFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92841_0 {
	meta:
		name = "TTeeExportFormBase.BCopyClick"
		size = 334
		refs = "0013 TTeeExportFormBase.BCopyClick 0034 TTeeExportFormBase.PictureFormat 0041 TCustomUpDown.GetPosition 0059 TTeeExportFormat.CopyToClipboard 006f Screen 007a TScreen.SetCursor 00af @CallDynaInst 00c4 TObject.Free 00ca @HandleFinally 010a TTeeExportFormBase.NativeAsText 0118 TTeeExportFormBase.NativeAsString 0121 Clipboard 0127 TClipboard.SetAsText 013c @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 94 03 00 00 8B 80 DC 02 00 00 3B 83 98 03 00 00 75 31 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 89 46 10 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 89 46 0C 8B C6 E8 ?? ?? ?? ?? E9 C9 00 00 00 3B 83 9C 03 00 00 0F 85 85 00 00 00 A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 28 01 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BE FD FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 83 94 03 00 00 8B 80 DC 02 00 00 3B 83 A8 03 00 00 75 24 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92842_0 {
	meta:
		name = "TTeeExportFormBase.NativeAsString"
		size = 176
		refs = "0011 _Dn_TStringStream 0016 TStringStream.Create 0021 TTeeExportFormBase.NativeAsString 004e TStream.SetPosition 0062 TStream.CopyFrom 006c TStringStream.GetDataString 0081 TObject.Free 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 2C 01 00 00 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 12 52 50 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92843_0 {
	meta:
		name = "TTeeExportFormBase.SaveDataToFile"
		size = 150
		refs = "000b Screen 0016 TScreen.SetCursor 001e TTeeExportFormBase.SaveDataToFile 004d @CallDynaInst 0062 TObject.Free 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 28 01 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 66 BE FC FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92845_0 {
	meta:
		name = "TTeeExportFormBase.GetSeparator"
		size = 164
		refs = "000e TTeeExportFormBase.GetSeparator 0057 TControl.GetText 0091 @UStrArrayClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 54 04 00 00 8B 10 FF 92 F8 00 00 00 83 E8 01 72 0A 74 0E 48 74 11 48 74 14 EB 18 66 BB 20 00 EB 40 66 BB 09 00 EB 3A 66 BB 2C 00 EB 34 66 BB 3B 00 EB 2E 8D 55 FC 8B 83 58 04 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 06 66 BB 20 00 EB 14 8D 55 F8 8B 83 58 04 00 00 E8 ?? ?? ?? ?? 8B 45 F8 0F B7 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92846_0 {
	meta:
		name = "TTeeExportFormBase.GetDataFilterIndex"
		size = 41
	strings:
		$1 = { 53 8B D8 8B 83 20 04 00 00 8B 80 88 02 00 00 85 C0 75 11 8B 83 54 04 00 00 8B 10 FF 92 F8 00 00 00 40 5B C3 83 C0 05 5B C3 }
	condition:
		$1
}

rule function_92847_0 {
	meta:
		name = "TTeeExportFormBase.DoSaveNativeToFile"
		size = 12
		refs = "0007 SaveTeeToFile"
	strings:
		$1 = { 8B 80 98 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92848_0 {
	meta:
		name = "TTeeExportFormBase.GetNativeExtension"
		size = 116
		refs = "0027 @UStrAsg 0031 TTeeExportFormBase.GetNativeExtension"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 00 04 00 00 8B 80 88 02 00 00 83 E8 01 72 07 74 15 48 74 21 EB 2B 8B C6 8B 93 A4 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 03 00 00 00 74 00 78 00 74 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 78 00 6D 00 6C 00 00 00 }
	condition:
		$1
}

rule function_92849_0 {
	meta:
		name = "TTeeExportFormBase.SaveNativeToFile"
		size = 220
		refs = "0013 TTeeExportFormBase.SaveNativeToFile 001e Screen 0029 TScreen.SetCursor 0041 TTeeExportFormBase.GetNativeExtension 0051 @UStrCat3 005e ChangeFileExt 009c @HandleFinally 00b8 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B C6 E8 ?? ?? ?? ?? 8B 83 AC 03 00 00 8B 10 FF 92 F8 00 00 00 8B C8 8B 55 FC 8B C3 8B 18 FF 93 30 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_92850_0 {
	meta:
		name = "TTeeExportFormBase.SavePictureToFile"
		size = 128
		refs = "000b Screen 0016 TScreen.SetCursor 001e TTeeExportFormBase.SavePictureToFile 002d TTeeExportFormBase.GuessPictureFormat 003a TCustomUpDown.GetPosition 0054 TTeeExportFormat.SaveToFile 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B D8 A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 89 46 10 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 89 46 0C 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_92851_0 {
	meta:
		name = "TeeDefaultFilterExtension"
		size = 80
		refs = "0007 TeeDefaultFilterExtension 001a @UStrCatN"
	strings:
		$1 = { 53 56 8B F2 8B D8 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 28 00 2A 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 29 00 7C 00 2A 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_92852_0 {
	meta:
		name = "TTeeExportFormBase.GetNativeFilter"
		size = 132
		refs = "0011 TTeeExportFormBase.GetNativeFilter 002c TTeeExportFormBase.GetNativeExtension 0037 TeeDefaultFilterExtension 0046 @UStrCatN 0060 @UStrArrayClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF B3 A0 04 00 00 68 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? FF 75 FC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_92853_0 {
	meta:
		name = "TTeeExportFormBase.BSaveClick"
		size = 497
		refs = "0014 TTeeExportFormBase.BSaveClick 003b TTeeExportFormBase.PictureFormat 0055 @UStrAsg 006c TOpenDialog.SetInitialDir 0075 TOpenDialog.SetFileName 008e TOpenDialog.GetFileName 0098 TTeeExportFormBase.SavePictureToFile 00cb TTeeExportFormBase.GetNativeExtension 00e3 TTeeExportFormBase.GetNativeFilter 0111 TTeeExportFormBase.SaveNativeToFile 0153 TTeeExportFormBase.GetDataFilterIndex 0168 TOpenDialog.GetFilterIndex 017a TCustomRadioGroup.SetItemIndex 01a7 TTeeExportFormBase.SaveDataToFile 01c1 @UStrArrayClr 01d6 @UStrClr 01e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 94 03 00 00 8B 80 DC 02 00 00 3B 83 98 03 00 00 75 6F 8B B3 90 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8D 55 FC 8B C7 8B 08 FF 51 18 8B 55 FC 8D 86 8C 00 00 00 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 04 89 46 7C 8B 93 AC 04 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 50 84 C0 0F 84 23 01 00 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? E9 0A 01 00 00 3B 83 A8 03 00 00 75 71 8B B3 B0 03 00 00 8B 93 AC 04 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 86 8C 00 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 46 78 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 50 84 C0 0F 84 AA 00 00 00 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? E9 91 00 00 00 3B 83 9C 03 00 00 0F 85 85 00 00 00 8B B3 A4 03 00 00 8B 93 AC 04 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 78 8B 93 A8 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 46 7C 8B C6 8B 10 FF 52 50 84 C0 74 46 8B C6 E8 ?? ?? ?? ?? 83 F8 05 7F 0F 33 D2 8B 83 20 04 00 00 E8 ?? ?? ?? ?? EB 17 8B C6 E8 ?? ?? ?? ?? 8B D0 83 EA 05 8B 83 20 04 00 00 E8 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92854_0 {
	meta:
		name = "TTeeExportFormBase.FormCreate"
		size = 488
		refs = "0007 TTeeExportFormBase.FormCreate 000c TeeReadIntegerOption 0015 TControl.SetHeight 002b TControl.SetWidth 0032 _Dn_TStringList 0037 TStringList.Create 004a TControl.SetVisible 006a TeeMsg_TeeExtension 0071 @UStrAsg 007d TeeMsg_NativeFilter 0089 TeeMsg_TextFilter1 0095 TeeMsg_TextFilter2 00a1 TeeMsg_TextFilter3 00ad TeeMsg_TextFilter4 00b9 TeeMsg_TextFilter5 00c5 TeeMsg_XMLFilter 00d1 TeeMsg_HTMLFilter 00dd TeeMsg_ExcelFilter 00ef @UStrCatN 0110 TPageControl.SetActivePage 012e TCustomRadioGroup.SetItemIndex 013a DialogOptions"
	strings:
		$1 = { 53 8B D8 8B 53 54 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 53 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 88 04 00 00 B2 01 8B 83 4C 04 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 60 04 00 00 E8 ?? ?? ?? ?? C6 83 84 04 00 00 00 8D 83 A4 04 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 83 A0 04 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? FF 30 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? FF 30 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? FF 30 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? FF 30 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? FF 30 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? FF 30 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? FF 30 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? FF 30 8D 83 A8 04 00 00 BA 0F 00 00 00 E8 ?? ?? ?? ?? 8D 83 9C 04 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 93 98 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 93 2C 04 00 00 8B 83 28 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 00 04 00 00 E8 ?? ?? ?? ?? 8B 83 90 03 00 00 8B 15 ?? ?? ?? ?? 89 50 74 8B 83 A4 03 00 00 8B 15 ?? ?? ?? ?? 89 50 74 8B 83 B0 03 00 00 8B 15 ?? ?? ?? ?? 89 50 74 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 45 00 78 00 70 00 6F 00 72 00 74 00 48 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 78 00 70 00 6F 00 72 00 74 00 57 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7C 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 54 00 65 00 65 00 43 00 68 00 61 00 72 00 74 00 20 00 53 00 74 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_92855_0 {
	meta:
		name = "IsViewerRegistered"
		size = 184
		refs = "0012 IsViewerRegistered 001f _Dn_TRegistry 0024 TRegistry.Create 0042 TRegistry.SetRootKey 0051 @UStrCat3 005c TRegistry.KeyExists 0074 TObject.Free 007a @HandleFinally 0091 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 00 00 00 80 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_92856_0 {
	meta:
		name = "TTeeExportFormBase.RGFormatClick"
		size = 272
		refs = "0014 TTeeExportFormBase.RGFormatClick 002b TWinControl.GetControlCount 003f TWinControl.GetControl 0044 TControl.Hide 004f TTeeExportFormBase.PictureFormat 007c TTabSheet.SetTabVisible 0098 TPageControl.SetActivePage 00a5 AddFormTo 00ac TeeTranslateControl 00c6 TTeeExportFormBase.CheckFileSize 00d8 IsViewerRegistered 00fd @UStrClr 0103 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 C0 03 00 00 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 16 43 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 ED 8B C6 E8 ?? ?? ?? ?? 8B D8 B2 01 8B C3 8B 08 FF 51 2C 8B F8 85 FF 74 0B 8B C7 E8 ?? ?? ?? ?? 85 C0 7F 04 33 D2 EB 02 B2 01 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? 8B 86 C0 03 00 00 80 B8 80 02 00 00 00 74 23 8B D0 8B 86 BC 03 00 00 E8 ?? ?? ?? ?? 8B 96 C0 03 00 00 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 11 8B 96 C4 03 00 00 8B 86 BC 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 8B 08 FF 51 18 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 86 80 04 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92857_0 {
	meta:
		name = "TeeFillPictureDialog"
		size = 304
		refs = "001f TeeFillPictureDialog 002b TeeExportFormats 006f TTeeExportFormats.Get 0099 @UStrCat 00d0 ReplaceChar 00e6 TObject.Free 010c @UStrArrayClr 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D E4 89 5D E0 89 5D E8 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 0F 84 C0 00 00 00 83 7E 78 00 75 07 33 C0 89 45 F0 EB 07 C7 45 F0 01 00 00 00 A1 ?? ?? ?? ?? 8B 40 08 48 85 C0 0F 8C 9B 00 00 00 40 89 45 EC C7 45 F4 00 00 00 00 8B 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 FF 50 10 8B D8 8B 45 FC 89 43 04 8D 55 F0 8B C3 8B 08 FF 51 08 83 7E 78 00 74 0D 8D 46 78 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 08 FF 51 1C 8B 55 E8 8D 46 78 E8 ?? ?? ?? ?? 83 7D F8 00 74 2B 8D 45 E4 50 8D 55 E0 8B C3 8B 08 FF 51 14 8B 45 E0 33 C9 66 BA 26 00 E8 ?? ?? ?? ?? 8B 55 E4 8B CB 8B 45 F8 8B 18 FF 53 3C EB 07 8B C3 E8 ?? ?? ?? ?? FF 45 F4 FF 4D EC 0F 85 70 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7C 00 00 00 }
	condition:
		$1
}

rule function_92858_0 {
	meta:
		name = "TTeeExportFormBase.PrepareOnShow"
		size = 31
		refs = "000c TTabSheet.SetTabVisible 0019 TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92859_0 {
	meta:
		name = "PrepareXMLEncoding"
		size = 154
		refs = "000a PrepareXMLEncoding 0018 TeeDefaultXMLEncoding 008a @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 64 04 00 00 8B 80 B4 02 00 00 8B 55 FC 8B 08 FF 51 54 40 75 1A 8B 45 08 8B 40 FC 8B 80 64 04 00 00 8B 80 B4 02 00 00 8B 55 FC 8B 08 FF 51 38 8B 45 08 8B 40 FC 8B 98 64 04 00 00 8B 83 B4 02 00 00 8B 55 FC 8B 08 FF 51 54 8B D0 8B C3 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92860_0 {
	meta:
		name = "TTeeExportFormBase.FormShow"
		size = 344
		refs = "0017 TCustomRadioGroup.SetItemIndex 0024 TTeeExportFormBase.FormShow 0096 TCustomUpDown.SetPosition 00c8 TTeeExportFormBase.FreeExportFormats 00e5 TeeFillPictureDialog 00fa TCustomListBox.SetItems 012a TTeeExportFormBase.RGFormatClick 0131 TTeeExportFormBase.EnableButtons 0141 TeeTranslateControl 0147 PrepareXMLEncoding"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8D 75 FC 8B 06 8B 80 20 04 00 00 33 D2 E8 ?? ?? ?? ?? 8B 06 8B 98 A4 03 00 00 A1 ?? ?? ?? ?? 0B 43 74 89 43 74 8B 06 8B 98 90 03 00 00 A1 ?? ?? ?? ?? 0B 43 74 89 43 74 8B 06 8B 98 B0 03 00 00 8B 43 74 0B 05 ?? ?? ?? ?? 89 43 74 8B 06 83 78 0C 00 74 0D 8B 06 8B 40 0C 8B 16 89 82 98 04 00 00 8B 06 83 B8 98 04 00 00 00 0F 84 C5 00 00 00 8B 06 C6 80 84 04 00 00 01 8B 06 8B 98 98 04 00 00 8B 53 50 8B 06 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 8B 53 54 8B 06 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? DB 43 50 DB 43 54 DE F9 8B 06 DD 98 90 04 00 00 9B 8B 06 8B 10 FF 92 38 01 00 00 8B 06 E8 ?? ?? ?? ?? 8B 06 8B 88 88 04 00 00 8B 06 8B 90 98 04 00 00 8B 06 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 06 8B 90 88 04 00 00 8B 06 8B 80 F4 03 00 00 E8 ?? ?? ?? ?? 8B 06 8B 80 54 04 00 00 BA 01 00 00 00 8B 08 FF 91 FC 00 00 00 8B 06 8B 80 F4 03 00 00 33 D2 8B 08 FF 91 FC 00 00 00 8B 16 8B 06 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B 06 C6 80 84 04 00 00 00 8B 06 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 5E 5B 59 5D C3 00 00 00 00 00 08 00 }
	condition:
		$1
}

rule function_92861_0 {
	meta:
		name = "TTeeExportFormBase.CanChangeSize"
		size = 72
		refs = "002f TTeeExportFormBase.CanChangeSize"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 2D 80 BB 84 04 00 00 00 75 24 8B 83 E0 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 12 DD 83 90 04 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 04 33 C0 5B C3 B0 01 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_92862_0 {
	meta:
		name = "TTeeExportFormBase.EWidthChange"
		size = 176
		refs = "000a TTeeExportFormBase.CanChangeSize 002c TCustomUpDown.GetPosition 003d @ROUND 004a TCustomUpDown.SetPosition 007c TTeeExportFormBase.PictureFormat 00a1 TTeeExportFormBase.CheckFileSize"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 96 00 00 00 C6 83 84 04 00 00 01 3B B3 CC 03 00 00 75 2B 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 DC B3 90 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? EB 29 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 89 04 24 DB 04 24 DC 8B 90 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 89 46 10 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 89 46 0C 8B C3 E8 ?? ?? ?? ?? C6 83 84 04 00 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_92863_0 {
	meta:
		name = "TTeeExportFormBase.PageControl1Change"
		size = 39
		refs = "0006 TTeeExportFormBase.EnableButtons 0021 TTeeExportFormBase.TryPreviewData"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 94 03 00 00 8B 80 DC 02 00 00 3B 83 9C 03 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92864_0 {
	meta:
		name = "MapiInstalled"
		size = 96
		refs = "0002 IsMapiInstalled 000a MapiInstalled 000f TeeLoadLibrary 0022 TeeFreeLibrary"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? FF 75 26 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 11 C7 05 ?? ?? ?? ?? 01 00 00 00 E8 ?? ?? ?? ?? EB 07 33 C0 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 01 0F 94 C0 C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 61 00 70 00 69 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_92866_0 {
	meta:
		name = "TTeeExportFormBase.NativeAsText"
		size = 17
	strings:
		$1 = { 8B 80 00 04 00 00 83 B8 88 02 00 00 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_92867_0 {
	meta:
		name = "TTeeExportFormBase.EnableButtons"
		size = 321
		refs = "0050 TTeeExportFormBase.NativeAsText"
	strings:
		$1 = { 53 8B D8 8B 83 94 03 00 00 8B 80 DC 02 00 00 3B 83 98 03 00 00 74 45 8B 83 94 03 00 00 8B 80 DC 02 00 00 3B 83 9C 03 00 00 75 0E 8B C3 8B 10 FF 92 34 01 00 00 84 C0 75 23 8B 83 94 03 00 00 8B 80 DC 02 00 00 3B 83 A8 03 00 00 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 D2 EB 02 B2 01 8B 83 E8 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 E8 03 00 00 8B 10 FF 52 68 84 C0 75 18 8B 83 94 03 00 00 8B 80 DC 02 00 00 3B 83 A8 03 00 00 74 04 33 D2 EB 02 B2 01 8B 83 EC 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 94 03 00 00 8B 80 DC 02 00 00 3B 83 9C 03 00 00 75 1F 8B 83 20 04 00 00 83 B8 88 02 00 00 03 75 10 33 D2 8B 83 E8 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 EC 03 00 00 8B 10 FF 52 68 8B D0 8B 83 F0 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 94 03 00 00 8B 80 DC 02 00 00 3B 83 A8 03 00 00 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 D2 EB 02 B2 01 8B 83 04 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 E8 03 00 00 8B 10 FF 52 68 8B D0 8B 83 80 04 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_92868_0 {
	meta:
		name = "TTeeExportFormBase.RGTextClick"
		size = 152
		refs = "008b TTeeExportFormBase.EnableButtons 0092 TTeeExportFormBase.TryPreviewData"
	strings:
		$1 = { 53 8B D8 8B 83 20 04 00 00 83 B8 88 02 00 00 00 0F 94 C2 8B 83 54 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 54 04 00 00 8B 10 FF 52 68 8B D0 8B 83 58 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 20 04 00 00 8B 80 88 02 00 00 85 C0 74 0E 83 F8 01 74 09 83 F8 02 74 04 33 D2 EB 02 B2 01 8B 83 60 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 20 04 00 00 83 B8 88 02 00 00 01 0F 94 C2 8B 83 64 04 00 00 8B 08 FF 91 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92869_0 {
	meta:
		name = "ConvertToText"
		size = 66
		refs = "000f TStream.SetPosition 0016 _Dn_TMemoryStream 001b TObject.Create 002a ObjectBinaryToText 0035 TObject.Free"
	strings:
		$1 = { 55 8B EC 53 6A 00 6A 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 89 58 FC 5B 5D C3 }
	condition:
		$1
}

rule function_92870_0 {
	meta:
		name = "TTeeExportFormBase.CreateNativeStream"
		size = 101
		refs = "000a _Dn_TMemoryStream 000f TObject.Create 0020 SaveTeeToStream 003a ConvertToText 0050 TStream.SetPosition 005a ConvertTextToXML"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 55 FC 8B 83 98 04 00 00 E8 ?? ?? ?? ?? 8B 83 00 04 00 00 8B 80 88 02 00 00 48 74 05 48 74 0B EB 26 55 E8 ?? ?? ?? ?? 59 EB 1D 55 E8 ?? ?? ?? ?? 59 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 5B 59 5D C3 }
	condition:
		$1
}

rule function_92871_0 {
	meta:
		name = "TTeeExportFormBase.CBFileSizeClick"
		size = 228
		refs = "0012 TTeeExportFormBase.CBFileSizeClick 0068 TeeMsg_FileSize 0071 Format 007f TControl.SetText 0094 TObject.Free 009a @HandleFinally 00c1 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 B8 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 72 8B C3 8B 10 FF 92 2C 01 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B 45 FC 8B 10 FF 12 89 45 E8 89 55 EC 8D 45 E8 89 45 F0 C6 45 F4 10 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 83 B4 03 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_92873_0 {
	meta:
		name = "TTeeExportFormBase.CBDelimChange"
		size = 96
		refs = "0007 TTeeExportFormBase.TryPreviewData 0047 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 54 04 00 00 8B 10 FF 92 F8 00 00 00 83 F8 04 0F 94 C2 8B 83 58 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 58 04 00 00 8B 10 FF 52 68 84 C0 74 21 8B 83 58 04 00 00 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 0E 8B 83 58 04 00 00 8B 10 FF 92 F4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_92874_0 {
	meta:
		name = "TTeeExportFormBase.FreeExportFormats"
		size = 92
		refs = "002e TObject.Free"
	strings:
		$1 = { 53 56 57 8B F0 8B 9E 88 04 00 00 85 DB 74 32 8B C3 8B 10 FF 52 14 48 85 C0 7C 1B 40 89 C3 33 FF 8B D7 8B 86 88 04 00 00 8B 08 FF 51 18 E8 ?? ?? ?? ?? 47 4B 75 EA 8B 86 88 04 00 00 8B 10 FF 52 44 8B BE F4 03 00 00 F6 47 1C 08 75 0B 8B 87 88 02 00 00 8B 10 FF 52 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92875_0 {
	meta:
		name = "TTeeExportFormBase.FormDestroy"
		size = 23
		refs = "0006 TTeeExportFormBase.FreeExportFormats 0011 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 88 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92876_0 {
	meta:
		name = "TTeeExportFormBase.PictureFormat"
		size = 36
	strings:
		$1 = { 53 56 8B D8 8B B3 F4 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 88 02 00 00 8B 08 FF 51 18 5E 5B C3 }
	condition:
		$1
}

rule function_92877_0 {
	meta:
		name = "TTeeExportFormBase.GuessPictureFormat"
		size = 280
		refs = "0017 TTeeExportFormBase.GuessPictureFormat 0027 ExtractFileExt 0032 UpperCase 0048 @UStrCopy 0055 @UStrEqual 0069 @UStrDelete 00cd TTeeExportFormBase.PictureFormat 00e9 @UStrArrayClr 00f1 @UStrClr 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 FC E8 ?? ?? ?? ?? 8D 45 F0 50 B9 01 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 F4 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 8B D8 4B 85 DB 7C 41 43 33 FF 8B 45 F8 8B 80 F4 03 00 00 8B 80 88 02 00 00 8B D7 8B 08 FF 51 18 8B F0 8D 55 E8 8B C6 8B 08 FF 51 18 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 74 0E 47 4B 75 C2 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C6 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_92878_0 {
	meta:
		name = "WindowsMajorVersion"
		size = 208
		refs = "0010 @FillChar 001d GetVersionEx 0026 WindowsMajorVersion 002d _Dn_Exception 0032 Exception.Create 0037 @RaiseExcept"
	strings:
		$1 = { 81 C4 EC FE FF FF 8B C4 33 C9 BA 14 01 00 00 E8 ?? ?? ?? ?? C7 04 24 14 01 00 00 54 E8 ?? ?? ?? ?? 85 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 44 24 04 81 C4 14 01 00 00 C3 00 00 B0 04 02 00 FF FF FF FF 3C 00 00 00 45 00 72 00 72 00 6F 00 72 00 20 00 63 00 61 00 6C 00 6C 00 69 00 6E 00 67 00 20 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 20 00 47 00 65 00 74 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 45 00 78 00 20 00 74 00 6F 00 20 00 6F 00 62 00 74 00 61 00 69 00 6E 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 6E 00 75 00 6D 00 62 00 65 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_92879_0 {
	meta:
		name = "LongPathName"
		size = 224
		refs = "0009 Win32Platform 0013 WindowsMajorVersion 001e TeeKernel32 0026 LongPathName 002b TeeLoadLibrary 0049 GetProcAddress 004e GetLongPathName 0059 @UStrToPWChar 006e @UStrSetLength 0089 @UStrAsg"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 A1 ?? ?? ?? ?? 83 38 02 75 72 E8 ?? ?? ?? ?? 83 F8 05 7C 68 83 3D ?? ?? ?? ?? 00 75 2D B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 8B E8 55 FF 15 ?? ?? ?? ?? 8B F8 8B D7 4A 8B C6 E8 ?? ?? ?? ?? 57 8B 06 E8 ?? ?? ?? ?? 50 55 FF 15 ?? ?? ?? ?? EB 09 8B C6 8B D3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6B 00 65 00 72 00 6E 00 65 00 6C 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 47 00 65 00 74 00 4C 00 6F 00 6E 00 67 00 50 00 61 00 74 00 68 00 4E 00 61 00 6D 00 65 00 41 00 00 00 00 00 }
	condition:
		$1
}

rule function_92881_0 {
	meta:
		name = "AdjustExtension"
		size = 128
		refs = "000e AdjustExtension 0023 @UStrCat3 0036 ChangeFileExt 0044 @UStrAsg 005e @UStrArrayClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 45 08 8B 40 FC 8B 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_92882_0 {
	meta:
		name = "GetDataExtension"
		size = 244
		refs = "000f GetDataExtension 002c @UStrLAsg 0044 Pos 0058 @UStrDelete 00ae @UStrAsg 00c3 @UStrClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 8B 52 F8 8B 92 A4 03 00 00 8B 52 78 E8 ?? ?? ?? ?? 8B C3 03 C0 48 85 C0 7E 26 89 C3 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 10 8D 55 FC 8B C8 B8 01 00 00 00 92 E8 ?? ?? ?? ?? 4B 75 DC 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 17 8B 55 FC 85 D2 74 05 83 EA 04 8B 12 8D 4D FC 91 87 D1 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 10 8D 55 FC 8B C8 B8 01 00 00 00 92 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 7C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_92883_0 {
	meta:
		name = "TTeeExportFormBase.CreateTempFile"
		size = 296
		refs = "0015 TTeeExportFormBase.CreateTempFile 0028 TTeeExportFormBase.GetTempFolder 0046 @UStrCatN 0069 TTeeExportFormBase.PictureFormat 0079 AdjustExtension 0087 TTeeExportFormBase.SavePictureToFile 00a0 TTeeExportFormBase.GetNativeExtension 00b6 TTeeExportFormBase.SaveNativeToFile 00cd TTeeExportFormBase.GetDataFilterIndex 00d5 GetDataExtension 00ec TTeeExportFormBase.SaveDataToFile 0106 @UStrArrayClr 010c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 F8 8B 00 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B 45 F8 FF B0 9C 04 00 00 8B 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 94 03 00 00 8B 80 DC 02 00 00 8B 55 F8 3B 82 98 03 00 00 75 29 55 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 51 18 8B 45 F0 E8 ?? ?? ?? ?? 59 8B 55 FC 8B 12 8B 45 F8 E8 ?? ?? ?? ?? EB 63 8B 55 F8 3B 82 A8 03 00 00 75 24 55 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 59 8B 55 FC 8B 12 8B 45 F8 E8 ?? ?? ?? ?? EB 34 8B 55 F8 3B 82 9C 03 00 00 75 29 55 55 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 59 8B 45 E8 E8 ?? ?? ?? ?? 59 8B 55 FC 8B 12 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_92884_0 {
	meta:
		name = "TTeeExportFormBase.BSendClick"
		size = 128
		refs = "000c TTeeExportFormBase.BSendClick 0018 IsMapiInstalled 0020 MapiInstalled 0033 TTeeExportFormBase.CreateTempFile 0041 InternalTeeEmailFile 0049 DeleteFile 0070 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? FF 75 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 01 75 22 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 93 9C 04 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? EB 10 33 D2 8B 83 F0 03 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92886_0 {
	meta:
		name = "TTeeExportFormat.CheckSize"
		size = 7
	strings:
		$1 = { 89 50 10 89 48 0C C3 }
	condition:
		$1
}

rule function_92887_0 {
	meta:
		name = "TTeeExportFormat.CopyToClipboard"
		size = 60
		refs = "0015 TTeeExportFormat.CheckSize 0023 TeeMsg_ExportPanelNotSet 002c _Dn_Exception 0031 Exception.Create 0036 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 83 7B 04 00 74 18 B2 01 8B C3 8B 08 FF 51 2C 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 12 5B C3 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92888_0 {
	meta:
		name = "TTeeExportFormat.Destroy"
		size = 63
		refs = "0003 @BeforeDestruction 0022 TObject.Free 002d TObject.Destroy 0038 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 8B 08 FF 51 2C 85 C0 74 0E B2 01 8B C6 8B 08 FF 51 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92890_0 {
	meta:
		name = "TTeeExportFormat.IncFileFilterIndex"
		size = 8
	strings:
		$1 = { FF 02 8B 12 89 50 08 C3 }
	condition:
		$1
}

rule function_92892_0 {
	meta:
		name = "TTeeExportFormat.SaveToFile"
		size = 159
		refs = "001f TTeeExportFormat.CheckSize 002d _Dn_TFileStream 0032 TFileStream.Create 003d TTeeExportFormat.SaveToFile 0074 TObject.Free 007a @HandleFinally 0082 TeeMsg_ExportPanelNotSet 008b _Dn_Exception 0090 Exception.Create 0095 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B FA 8B D8 83 7B 04 00 74 6D B2 01 8B C3 8B 08 FF 51 2C 8B C3 E8 ?? ?? ?? ?? 68 00 FF 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 0E 8B CE 8B 55 FC 8B C3 8B 18 FF 53 28 EB 0A 8B 55 FC 8B C3 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92893_0 {
	meta:
		name = "TTeeExportFormat.SaveToFile"
		size = 101
		refs = "0016 TTeeExportFormat.SaveToFile 0030 TTeeExportFormat.CheckSize 0052 TObject.Free 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B DA B2 01 FF 50 10 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 58 04 8B 4D 08 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 4D 10 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_92897_0 {
	meta:
		name = "TTeeExportFormat.SaveToFile"
		size = 18
		refs = "000c TTeeExportFormat.SaveToFile"
	strings:
		$1 = { 53 6A 00 8B 5A 50 53 8B 5A 54 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92898_0 {
	meta:
		name = "TTeeExportFormat.CheckSize"
		size = 31
	strings:
		$1 = { 83 78 10 00 75 09 8B 50 04 8B 52 50 89 50 10 83 78 0C 00 75 09 8B 50 04 8B 52 54 89 50 0C C3 }
	condition:
		$1
}

rule function_92899_0 {
	meta:
		name = "TTeeExportFormat.WantsFilterIndex"
		size = 21
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 04 3B F0 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_92903_0 {
	meta:
		name = "TeeExportSavePanel"
		size = 300
		refs = "0011 TeeExportSavePanel 003c _Dn_TSaveDialog 0041 TOpenDialog.Create 006b @UStrAsg 00af TOpenDialog.GetFileName 00ba TTeeExportFormat.SaveToFile 00cf TObject.Free 00d5 @HandleFinally 0109 @UStrClr 0116 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 FF 50 10 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 89 58 04 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC 8B 08 FF 51 1C 8B 55 F4 8B 45 F8 83 C0 78 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC 8B 08 FF 51 18 8B 55 F0 8B 45 F8 05 8C 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 74 0B 05 ?? ?? ?? ?? 8B 55 F8 89 42 74 8B 45 F8 8B 10 FF 52 50 84 C0 74 16 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 02 00 00 00 }
	condition:
		$1
}

rule function_92904_0 {
	meta:
		name = "InternalTeeEmailFile"
		size = 355
		refs = "0025 InternalTeeEmailFile 0046 @UStrLAsg 0056 @LStrFromUStr 005e @LStrToPChar 006b ExtractFileName 00e9 Application 00f8 MapiSendMail 0116 TeeMsg_CanNotEmailChart 011f _Dn_Exception 0124 Exception.CreateFmt 0129 @RaiseExcept 0143 @LStrArrayClr 0150 @UStrArrayClr 0156 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 C9 89 4D FC 89 4D F8 89 4D F4 89 4D F0 89 4D EC 8B F2 8B D8 8D 7D BC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 A4 33 C0 89 45 A8 C7 45 AC FF FF FF FF 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 89 45 B0 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 45 B4 33 C0 89 45 B8 33 C0 89 07 8D 45 EC 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 89 47 04 33 C0 89 47 08 33 C0 89 47 0C 33 C0 89 47 10 33 C0 89 47 14 33 C0 89 47 18 33 C0 89 47 1C 33 C0 89 47 20 33 C0 89 47 24 C7 47 28 01 00 00 00 8D 45 A4 89 47 2C 6A 0B 6A 00 8B CF A1 ?? ?? ?? ?? 8B 00 8B 90 78 01 00 00 33 C0 E8 ?? ?? ?? ?? 8B D8 85 DB 74 2B 83 FB 01 74 26 89 5D 9C C6 45 A0 00 8D 45 9C 50 6A 00 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92905_0 {
	meta:
		name = "GetRegistryHelpPath"
		size = 288
		refs = "0015 GetRegistryHelpPath 0022 @UStrClr 0029 _Dn_TRegistry 002e TRegistry.Create 004c TRegistry.SetRootKey 0059 TRegistry.OpenKeyReadOnly 006a TRegistry.ReadString 007f @UStrCatN 0094 TObject.Free 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 02 00 00 80 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 22 8D 4D F8 8B D6 8B 45 FC E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 56 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 53 00 4F 00 46 00 54 00 57 00 41 00 52 00 45 00 5C 00 4D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 5C 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 5C 00 48 00 65 00 6C 00 70 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_92906_0 {
	meta:
		name = "TTeeExportFormBase.Panel5Resize"
		size = 24
		refs = "0013 TControl.SetWidth"
	strings:
		$1 = { 8B 90 14 04 00 00 8B 52 50 83 EA 0E 8B 80 1C 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92908_0 {
	meta:
		name = "TTeeExportFormBase.BViewNativeClick"
		size = 77
		refs = "000c TTeeExportFormBase.BViewNativeClick 001c TTeeExportFormBase.NativeAsString 0028 TeeEditStrings 003d @UStrClr 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 FC B1 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92910_0 {
	meta:
		name = "TTeeExportFormBase.CheckFileSize"
		size = 256
		refs = "0013 TTeeExportFormBase.CheckFileSize 0036 TTeeExportFormBase.PictureFormat 003f _Dn_TMemoryStream 0044 TObject.Create 0082 TeeMsg_FileSize 008b Format 0099 TControl.SetText 00ae TObject.Free 00b4 @HandleFinally 00db @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 08 04 00 00 8B 10 FF 92 F8 00 00 00 84 C0 0F 84 87 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 51 24 8D 45 F8 50 8B 45 FC 8B 10 FF 12 89 45 E8 89 55 EC 8D 45 E8 89 45 F0 C6 45 F4 10 8D 55 F0 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 0C 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 83 0C 04 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_92911_0 {
	meta:
		name = "TTeeExportFormBase.PageOptionsChange"
		size = 26
		refs = "0015 TTeeExportFormBase.CheckFileSize"
	strings:
		$1 = { 8B 90 BC 03 00 00 8B 92 DC 02 00 00 3B 90 C4 03 00 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92912_0 {
	meta:
		name = "TTeeExportFormBase.FormClose"
		size = 108
		refs = "0007 TTeeExportFormBase.FormClose 000c TeeSaveIntegerOption"
	strings:
		$1 = { 53 8B D8 8B 53 54 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 45 00 78 00 70 00 6F 00 72 00 74 00 48 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 78 00 70 00 6F 00 72 00 74 00 57 00 69 00 64 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_92915_0 {
	meta:
		name = "TTeeExportFormBase.SelectedEncoding"
		size = 86
		refs = "0016 TTeeExportFormBase.SelectedEncoding 0033 TEncoding.GetASCII 0039 TEncoding.GetBigEndianUnicode 003f TEncoding.GetUnicode 0045 TEncoding.GetUTF7 004b TEncoding.GetUTF8 0051 TEncoding.GetANSI"
	strings:
		$1 = { 8B 80 60 04 00 00 8B 10 FF 92 F8 00 00 00 83 F8 05 77 3D FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92916_0 {
	meta:
		name = "TTeeExportFormBase.TryPreviewData"
		size = 219
		refs = "0012 TTeeExportFormBase.TryPreviewData 004a TControl.SetVisible 00ad TObject.Free 00b3 @HandleFinally 00ca @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 33 D2 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 70 04 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 0F 8B 86 20 04 00 00 83 B8 88 02 00 00 03 75 04 33 D2 EB 02 B2 01 8B 86 74 04 00 00 E8 ?? ?? ?? ?? 8B 86 74 04 00 00 80 78 61 00 74 5F 8B 10 FF 92 14 01 00 00 8B C6 8B 10 FF 92 28 01 00 00 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 8B 55 F8 8B 86 74 04 00 00 8B 80 A8 02 00 00 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 59 5D C3 }
	condition:
		$1
}

rule function_92922_0 {
	meta:
		name = "TTeeExportFormBase.BPreviewClick"
		size = 145
		refs = "000c TTeeExportFormBase.BPreviewClick 001c TTeeExportFormBase.CreateTempFile 0021 Screen 002c TScreen.SetCursor 0041 TWinControl.GetHandle 0049 TeeGotoURL 006a @HandleFinally 0081 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_92925_0 {
	meta:
		name = "TeeRegisterFilters"
		size = 74
		refs = "0008 FilterClasses 0014 _Dn_TList 0019 TObject.Create 0029 TList.IndexOf 0035 TList.Add 003c RegisterClass"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 BF ?? ?? ?? ?? 83 3F 00 75 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 07 85 F6 7C 23 46 8B 13 8B 07 E8 ?? ?? ?? ?? 40 75 10 8B 13 8B 07 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 83 C3 04 4E 75 DE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92926_0 {
	meta:
		name = "TeeUnRegisterFilters"
		size = 43
		refs = "0004 FilterClasses 001e TList.RemoveItem"
	strings:
		$1 = { 53 56 83 3D ?? ?? ?? ?? 00 74 1D 8B F2 85 F6 7C 17 46 8B D8 A1 ?? ?? ?? ?? 8B 13 33 C9 E8 ?? ?? ?? ?? 83 C3 04 4E 75 EC 5E 5B C3 }
	condition:
		$1
}

rule function_92927_0 {
	meta:
		name = "SmoothBitmap"
		size = 51
		refs = "000d _Dn_TBitmap 0012 TBitmap.Create 001f TeeSetBitmapSize 0028 SmoothStretch"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92928_0 {
	meta:
		name = "TResizeFilter.Apply"
		size = 119
		refs = "001f SmoothBitmap 002a TResizeFilter.Apply 003d TeeSetBitmapSize 0048 TBitmap.GetCanvas 0066 TObject.Free 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B 43 30 85 C0 7E 61 83 7B 34 00 7E 5B 8B 4B 34 8B D0 8B C6 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 34 8B 53 30 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_92929_0 {
	meta:
		name = "TResizeFilter.CreateEditor"
		size = 192
		refs = "000e @IntfAddRef 0016 TResizeFilter.CreateEditor 002c TTeeFilter.CreateEditor 0039 TeeMsg_Width 0055 TeeMsg_Height 0079 @IntfClear 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 6A 00 68 10 27 00 00 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 18 6A 00 68 10 27 00 00 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_92931_0 {
	meta:
		name = "TCropFilter.Apply"
		size = 309
		refs = "0024 _Dn_TBitmap 0029 TBitmap.Create 0034 TCropFilter.Apply 0041 TBitmap.GetPixelFormat 004b TBitmap.SetPixelFormat 0059 TeeSetBitmapSize 0061 TBitmap.GetCanvas 00c0 TCanvas.CopyRect 00d0 SmoothStretch 0122 TObject.Free 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 8B F2 8B D8 83 7B 30 00 0F 8E 17 01 00 00 83 7B 34 00 0F 8E 0D 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 4B 34 8B 53 30 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 45 FC 8B 10 FF 52 30 89 45 F8 8B 45 FC 8B 10 FF 52 24 33 D2 89 55 E8 33 D2 89 55 EC 8B 55 F8 89 55 F0 89 45 F4 8B C6 E8 ?? ?? ?? ?? 8B 53 38 89 55 D8 8B 53 40 89 55 DC 8B 53 38 03 53 30 4A 89 55 E0 8B 53 40 03 53 34 4A 89 55 E4 8D 55 D8 52 8D 55 E8 8B C8 8B C7 E8 ?? ?? ?? ?? 80 7B 3C 00 74 0C 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 3B 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C6 8B 10 FF 52 30 8B F8 4F 8B C6 8B 10 FF 52 24 48 33 D2 89 55 C8 33 D2 89 55 CC 89 7D D0 89 45 D4 8D 55 C8 8B 4D FC 8B C3 8B 18 FF 93 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92932_0 {
	meta:
		name = "TCropFilter.CreateEditor"
		size = 236
		refs = "000e @IntfAddRef 0016 TCropFilter.CreateEditor 002c TResizeFilter.CreateEditor 0039 TeeMsg_Left 0055 TeeMsg_Top 006e TeeMsg_Smooth 0092 @IntfClear 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 6A 00 68 10 27 00 00 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 18 6A 00 68 10 27 00 00 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 18 6A 00 6A 00 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 6F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 6D 00 6F 00 6F 00 74 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_92934_0 {
	meta:
		name = "TInvertFilter.Apply"
		size = 120
		refs = "0011 TTeeFilter.Apply 0019 @DynArrayLength"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 0C 24 8B F0 8B 0C 24 8B C6 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 85 C0 74 51 8B 3C 24 8B 7F 04 8B 04 24 8B 40 0C 2B C7 7C 41 40 89 44 24 04 8B 0C 24 8B 09 8B 14 24 8B 52 08 2B D1 7C 26 42 8B 46 24 8B 04 B8 8D 1C 49 03 C3 B3 FF 2A 18 88 18 B3 FF 2A 58 01 88 58 01 B3 FF 2A 58 02 88 58 02 41 4A 75 DB 47 FF 4C 24 04 75 C4 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92936_0 {
	meta:
		name = "Max"
		size = 13
	strings:
		$1 = { 3A C2 73 02 8B C2 3A C1 73 02 8B C1 C3 }
	condition:
		$1
}

rule function_92937_0 {
	meta:
		name = "Min"
		size = 13
	strings:
		$1 = { 3A C2 76 02 8B C2 3A C1 76 02 8B C1 C3 }
	condition:
		$1
}

rule function_92938_0 {
	meta:
		name = "TGrayScaleFilter.Apply"
		size = 660
		refs = "0012 TTeeFilter.Apply 001a @DynArrayLength 0104 TGrayScaleFilter.Apply 0137 @ROUND"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 89 0C 24 8B F0 8B 0C 24 8B C6 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 85 C0 0F 84 41 02 00 00 0F B6 46 30 2C 01 72 1B 0F 84 85 00 00 00 FE C8 0F 84 1B 01 00 00 FE C8 0F 84 86 01 00 00 E9 1E 02 00 00 8B 04 24 8B 40 04 8B 14 24 8B 52 0C 2B D0 0F 8C 0A 02 00 00 42 89 54 24 08 89 44 24 04 8B 3C 24 8B 3F 8B 1C 24 8B 5B 08 2B DF 7C 35 43 8B 46 24 8B 54 24 04 8B 04 90 8D 14 7F 8D 0C 10 0F B6 01 0F B6 51 01 03 C2 0F B6 51 02 03 C2 BD 03 00 00 00 33 D2 F7 F5 88 01 88 41 01 88 41 02 47 4B 75 CC FF 44 24 04 FF 4C 24 08 75 B2 E9 AE 01 00 00 8B 04 24 8B 40 04 8B 14 24 8B 52 0C 2B D0 0F 8C 9A 01 00 00 42 89 54 24 08 89 44 24 04 8B 3C 24 8B 3F 8B 1C 24 8B 5B 08 2B DF 7C 63 43 8B 46 24 8B 54 24 04 8B 04 90 8D 14 7F 8D 2C 10 0F B6 45 02 89 44 24 10 DB 44 24 10 DB 2D ?? ?? ?? ?? DE C9 0F B6 45 01 89 44 24 14 DB 44 24 14 DB 2D ?? ?? ?? ?? DE C9 DE C1 0F B6 45 00 89 44 24 18 DB 44 24 18 DB 2D ?? ?? ?? ?? DE C9 DE C1 E8 ?? ?? ?? ?? 88 45 00 88 45 01 88 45 02 47 4B 75 9E FF 44 24 04 FF 4C 24 08 75 84 E9 10 01 00 00 8B 04 24 8B 40 04 8B 14 24 8B 52 0C 2B D0 0F 8C FC 00 00 00 42 89 54 24 08 89 44 24 04 8B 3C 24 8B 3F 8B 1C 24 8B 5B 08 2B DF 7C 38 43 8B 46 24 8B 54 24 04 8B 04 90 8D 14 7F 8D 14 10 0F B6 42 02 6B C0 0B 0F B6 4A 01 C1 E1 04 03 C1 0F B6 0A 8D 0C 89 03 C1 C1 E8 05 88 02 88 42 01 88 42 02 47 4B 75 C9 FF 44 24 04 FF 4C 24 08 75 AF E9 9D 00 00 00 8B 04 24 8B 40 04 8B 14 24 8B 52 0C 2B D0 0F 8C 89 00 00 00 42 89 54 24 08 89 44 24 04 8B 3C 24 8B 3F 8B 1C 24 8B 5B 08 2B DF 7C 67 43 8B 46 24 8B 54 24 04 8B 04 90 8D 14 7F 8D 14 10 0F B6 42 02 3A 42 01 73 04 0F B6 42 01 3A 02 73 03 0F B6 02 0F B6 4A 02 88 4C 24 0C 0F B6 4A 01 3A 4C 24 0C 73 08 0F B6 4A 01 88 4C 24 0C 0F B6 0A 3A 4C 24 0C 73 07 0F B6 0A 88 4C 24 0C 0F B6 C0 0F B6 4C 24 0C 03 C1 D1 E8 88 02 88 42 01 88 42 02 47 4B 75 9A FF 44 24 04 FF 4C 24 08 75 80 83 C4 1C 5D 5F 5E 5B C3 00 9A 99 99 99 99 99 99 99 FD 3F 00 00 3D 0A D7 A3 70 3D 0A 97 FE 3F 00 00 AE 47 E1 7A 14 AE 47 E1 FB 3F 00 00 }
	condition:
		$1
}

rule function_92939_0 {
	meta:
		name = "TGrayScaleFilter.CreateEditor"
		size = 124
		refs = "000e @IntfAddRef 0016 TGrayScaleFilter.CreateEditor 002c TTeeFilter.CreateEditor 004e @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4D 00 65 00 74 00 68 00 6F 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_92941_0 {
	meta:
		name = "TMosaicFilter.Create"
		size = 64
		refs = "000a @ClassCreate 0017 TAmountFilter.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 30 08 00 00 00 C6 46 3C 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_92942_0 {
	meta:
		name = "DoMosaic"
		size = 279
		refs = "008b @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 89 55 F8 89 45 FC 33 F6 33 C0 89 45 F4 33 C0 89 45 F0 8B 45 08 8B 40 FC 85 C0 7C 5A 40 89 45 E0 C7 45 EC 00 00 00 00 8B 45 F8 03 45 EC 8B 55 08 8B 52 F8 8B 52 24 8B 04 82 89 45 E4 8B 45 08 8B 40 F4 85 C0 7C 28 40 33 D2 8B 4D FC 03 CA 8D 0C 49 8B 5D E4 8D 0C 0B 0F B6 59 02 03 F3 0F B6 59 01 01 5D F4 0F B6 09 01 4D F0 42 48 75 DB FF 45 EC FF 4D E0 75 B1 89 75 DC DB 45 DC 8B 45 08 D8 48 F0 E8 ?? ?? ?? ?? 88 45 EB DB 45 F4 8B 45 08 D8 48 F0 E8 ?? ?? ?? ?? 88 45 EA DB 45 F0 8B 45 08 D8 48 F0 E8 ?? ?? ?? ?? 88 45 E9 8B 45 08 8B 40 FC 85 C0 7C 53 40 89 45 E0 C7 45 EC 00 00 00 00 8B 45 F8 03 45 EC 8B 55 08 8B 52 F8 8B 52 24 8B 04 82 89 45 E4 8B 45 08 8B 40 F4 85 C0 7C 21 40 33 D2 8B 4D FC 03 CA 8D 0C 49 8B 5D E4 03 D9 66 8B 4D E9 66 89 0B 8A 4D EB 88 4B 02 42 48 75 E2 FF 45 EC FF 4D E0 75 B8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92943_0 {
	meta:
		name = "DoMosaicRow"
		size = 180
		refs = "0022 DoMosaic 006b DoMosaicRow"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F0 8B 7D 08 83 C7 F8 8B 45 08 8B 58 EC 8B 1B EB 13 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 59 8B 07 03 58 30 8B 45 08 8B 40 EC 8B 40 08 8B 17 2B 42 30 3B D8 7C DB 8B 45 08 8B 40 EC 8B 40 08 3B D8 7D 5F 2B C3 8B 55 08 89 42 F4 8B 45 08 8B 40 F4 40 8B 55 08 8B 52 FC 42 F7 EA 89 45 FC DB 45 FC D8 3D ?? ?? ?? ?? 8B 45 08 D9 58 F0 9B 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 55 08 89 42 F4 8B 07 8B 40 30 F7 E8 89 45 FC DB 45 FC D8 3D ?? ?? ?? ?? 8B 45 08 D9 58 F0 9B 5F 5E 5B 59 5D C3 00 00 80 3F }
	condition:
		$1
}

rule function_92944_0 {
	meta:
		name = "TMosaicFilter.Apply"
		size = 188
		refs = "0014 TTeeFilter.Apply 001f @DynArrayLength 0041 TMosaicFilter.Apply 0065 DoMosaicRow"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 4D EC 89 45 F8 8B 4D EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 24 E8 ?? ?? ?? ?? 85 C0 0F 84 88 00 00 00 8B 45 F8 8B 48 30 85 C9 7E 7E 8B C1 F7 E8 89 45 E8 DB 45 E8 D8 3D ?? ?? ?? ?? D9 5D F0 9B 8B 45 F8 8B 40 30 48 89 45 F4 8B 45 F4 89 45 FC 8B 5D EC 8B 5B 04 EB 0F 55 8B C3 E8 ?? ?? ?? ?? 59 8B 45 F8 03 58 30 8B 45 EC 8B 40 0C 8B 55 F8 2B 42 30 3B D8 7C E1 8B 45 EC 8B 40 0C 3B D8 7D 29 2B C3 48 89 45 FC 8B 45 F4 40 8B 55 FC 42 F7 EA 89 45 E8 DB 45 E8 D8 3D ?? ?? ?? ?? D9 5D F0 9B 55 8B C3 E8 ?? ?? ?? ?? 59 5B 8B E5 5D C3 00 00 80 3F }
	condition:
		$1
}

rule function_92946_0 {
	meta:
		name = "TFlipFilter.Apply"
		size = 229
		refs = "0012 TTeeFilter.Apply 001a @DynArrayLength"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 89 0C 24 8B D8 8B 0C 24 8B C3 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 85 C0 0F 84 B7 00 00 00 8B 14 24 8B 52 0C 8B 04 24 8B 40 04 2B D0 89 54 24 08 8B F0 8B 54 24 08 D1 FA 79 03 83 D2 00 03 C2 48 2B C6 0F 8C 8D 00 00 00 40 89 44 24 10 8B 04 24 8B 00 8B 14 24 8B 52 08 2B D0 7C 6E 42 89 54 24 14 8B 4B 24 8B 0C B1 8D 14 40 8D 3C 11 66 8B 0F 66 89 4C 24 04 8A 4F 02 88 4C 24 06 8B 4C 24 08 2B CE 89 4C 24 0C 8B 4B 24 8B 0C B1 8B 7B 24 8B 6C 24 0C 8B 3C AF 8D 2C 11 66 8B 0C 17 66 89 4D 00 8A 4C 17 02 88 4D 02 8B 4B 24 8B 7C 24 0C 8B 0C B9 03 CA 66 8B 54 24 04 66 89 11 8A 54 24 06 88 51 02 40 FF 4C 24 14 75 97 46 FF 4C 24 10 0F 85 78 FF FF FF 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92948_0 {
	meta:
		name = "TReverseFilter.Apply"
		size = 228
		refs = "0012 TTeeFilter.Apply 001a @DynArrayLength"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 0C 24 8B D8 8B 0C 24 8B C3 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 85 C0 0F 84 B6 00 00 00 8B 14 24 8B 52 08 8B 04 24 8B 00 2B D0 89 54 24 08 8B D0 8B 4C 24 08 D1 F9 79 03 83 D1 00 03 C1 48 2B C2 0F 8C 8D 00 00 00 40 89 44 24 0C 8B 04 24 8B 40 04 8B 0C 24 8B 49 0C 2B C8 7C 6D 41 89 4C 24 10 8D 0C 52 8B 73 24 8B 34 86 03 F1 66 8B 0E 66 89 4C 24 04 8A 4E 02 88 4C 24 06 8B 74 24 08 2B F2 8D 0C 52 8B 7B 24 8B 3C 87 8D 0C 0F 8D 3C 76 8B 6B 24 8B 6C 85 00 03 EF 8B F9 66 8B 4D 00 66 89 0F 8A 4D 02 88 4F 02 8D 0C 76 8B 73 24 8B 34 86 03 F1 66 8B 4C 24 04 66 89 0E 8A 4C 24 06 88 4E 02 40 FF 4C 24 10 75 98 42 FF 4C 24 0C 0F 85 78 FF FF FF 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92950_0 {
	meta:
		name = "TAmountFilter.Create"
		size = 64
		refs = "000a @ClassCreate 0017 TTeeFilter.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 34 01 C7 46 30 05 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_92951_0 {
	meta:
		name = "TAmountFilter.ScrollMin"
		size = 38
	strings:
		$1 = { 80 78 34 00 74 10 80 78 3C 00 74 04 33 C0 EB 15 B8 9C FF FF FF C3 80 78 3C 00 74 04 33 C0 EB 05 B8 01 FF FF FF C3 }
	condition:
		$1
}

rule function_92952_0 {
	meta:
		name = "TAmountFilter.ScrollMax"
		size = 18
	strings:
		$1 = { 80 78 34 00 74 06 B8 64 00 00 00 C3 B8 FF 00 00 00 C3 }
	condition:
		$1
}

rule function_92953_0 {
	meta:
		name = "TAmountFilter.ResetScroll"
		size = 39
		refs = "0006 TAmountFilter.ScrollMin 0010 TScrollBar.SetMin 0017 TAmountFilter.ScrollMax 0021 TScrollBar.SetMax"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 38 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 38 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92954_0 {
	meta:
		name = "TAmountFilter.CreateEditor"
		size = 204
		refs = "000f @IntfAddRef 0017 TAmountFilter.CreateEditor 002d TTeeFilter.CreateEditor 0034 TAmountFilter.ScrollMax 003c TAmountFilter.ScrollMin 0054 TAmountFilter.ResetScroll 005a TeeMsg_Percent 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 1C 89 43 38 53 68 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 6D 00 6F 00 75 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 65 00 72 00 63 00 65 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_92955_0 {
	meta:
		name = "TBrightnessFilter.Apply"
		size = 524
		refs = "001b TTeeFilter.Apply 0023 @DynArrayLength 003e TBrightnessFilter.Apply 009d @ROUND"
	strings:
		$1 = { 53 56 57 83 C4 EC 89 0C 24 8B F0 83 7E 30 00 0F 84 DD 01 00 00 8B 0C 24 8B C6 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 85 C0 0F 84 C3 01 00 00 80 7E 34 00 0F 84 00 01 00 00 DB 46 30 DB 2D ?? ?? ?? ?? DE C9 D9 5C 24 0C 9B 8B 04 24 8B 40 04 8B 14 24 8B 52 0C 2B D0 0F 8C 95 01 00 00 42 89 54 24 10 89 44 24 08 8B 04 24 8B 00 8B 3C 24 8B 7F 08 2B F8 0F 8C AD 00 00 00 47 89 44 24 04 8B 46 24 8B 54 24 08 8B 04 90 8B 54 24 04 8D 14 52 8D 1C 10 D9 05 ?? ?? ?? ?? D8 4C 24 0C E8 ?? ?? ?? ?? 0F B6 53 02 03 C2 85 C0 7D 06 C6 43 02 00 EB 10 3D FF 00 00 00 7E 06 C6 43 02 FF EB 03 88 43 02 D9 05 ?? ?? ?? ?? D8 4C 24 0C E8 ?? ?? ?? ?? 0F B6 53 01 03 C2 85 C0 7D 06 C6 43 01 00 EB 10 3D FF 00 00 00 7E 06 C6 43 01 FF EB 03 88 43 01 D9 05 ?? ?? ?? ?? D8 4C 24 0C E8 ?? ?? ?? ?? 0F B6 13 03 C2 85 C0 7D 05 C6 03 00 EB 0E 3D FF 00 00 00 7E 05 C6 03 FF EB 02 88 03 FF 44 24 04 4F 0F 85 58 FF FF FF FF 44 24 08 FF 4C 24 10 0F 85 32 FF FF FF E9 B9 00 00 00 8B 04 24 8B 40 04 8B 14 24 8B 52 0C 2B D0 0F 8C A5 00 00 00 42 89 54 24 10 89 44 24 08 8B 04 24 8B 00 8B 3C 24 8B 7F 08 2B F8 7C 7F 47 89 44 24 04 8B 46 24 8B 54 24 08 8B 04 90 8B 54 24 04 8D 14 52 8D 14 10 0F B6 42 02 03 46 30 85 C0 7D 06 C6 42 02 00 EB 10 3D FF 00 00 00 7E 06 C6 42 02 FF EB 03 88 42 02 0F B6 42 01 03 46 30 85 C0 7D 06 C6 42 01 00 EB 10 3D FF 00 00 00 7E 06 C6 42 01 FF EB 03 88 42 01 0F B6 02 03 46 30 85 C0 7D 05 C6 02 00 EB 0E 3D FF 00 00 00 7E 05 C6 02 FF EB 02 88 02 FF 44 24 04 4F 75 86 FF 44 24 08 FF 4C 24 10 0F 85 64 FF FF FF 83 C4 14 5F 5E 5B C3 00 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 00 00 7F 43 }
	condition:
		$1
}

rule function_92957_0 {
	meta:
		name = "ColorToHLS"
		size = 65
		refs = "000b ColorToRGB 0036 RGBToHLS"
	strings:
		$1 = { 55 8B EC 51 56 57 8B F9 8B F2 E8 ?? ?? ?? ?? 8B D0 88 55 FF 8B CA C1 E9 08 88 4D FE C1 EA 10 88 55 FD 0F B6 45 FF C1 E0 10 66 8B 45 FD 50 8B 4D 08 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 59 5D C2 04 00 }
	condition:
		$1
}

rule function_92958_0 {
	meta:
		name = "RGBToHLS"
		size = 656
		refs = "0081 RGBToHLS 009d @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 4D F4 89 55 F8 89 45 FC 0F B6 4D 0A 0F B6 5D 09 0F B6 75 08 66 3B D9 73 0D 66 3B F1 73 04 8B D1 EB 0F 8B D6 EB 0B 66 3B F3 73 04 8B D3 EB 02 8B D6 66 3B D9 76 11 66 3B F1 76 06 66 89 4D E0 EB 15 66 89 75 E0 EB 0F 66 3B F3 76 06 66 89 5D E0 EB 04 66 89 75 E0 8B C2 66 03 45 E0 66 89 45 E2 0F B7 45 E2 69 C0 F0 00 00 00 05 FF 00 00 00 89 45 CC DB 45 CC DB 2D ?? ?? ?? ?? DE C9 D9 5D EC 9B 66 3B 55 E0 75 23 8B 45 FC 66 C7 00 A0 00 D9 45 EC E8 ?? ?? ?? ?? 8B 55 F8 66 89 02 8B 45 F4 66 C7 00 00 00 E9 A3 01 00 00 0F B7 C2 0F B7 7D E0 2B C7 89 45 E4 D9 45 EC D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 31 69 45 E4 F0 00 00 00 89 45 CC DB 45 CC 0F B7 45 E2 89 45 C8 DB 45 C8 D8 0D ?? ?? ?? ?? DE C1 0F B7 45 E2 89 45 C4 DB 45 C4 DE F9 D9 5D E8 9B EB 3C 0F B7 45 E2 89 45 CC DB 45 CC D8 0D ?? ?? ?? ?? D8 2D ?? ?? ?? ?? 69 45 E4 F0 00 00 00 89 45 C8 DB 45 C8 DE C1 0F B7 45 E2 BF FE 01 00 00 2B F8 89 7D C4 DB 45 C4 DE F9 D9 5D E8 9B DB 45 E4 D8 3D ?? ?? ?? ?? D9 5D DC 9B 0F B7 C2 0F B7 F9 2B C7 89 45 CC DB 45 CC D8 0D ?? ?? ?? ?? DB 45 E4 D8 0D ?? ?? ?? ?? DE C1 D8 4D DC D9 5D D8 9B 0F B7 C2 0F B7 FB 2B C7 89 45 CC DB 45 CC D8 0D ?? ?? ?? ?? DB 45 E4 D8 0D ?? ?? ?? ?? DE C1 D8 4D DC D9 5D D4 9B 0F B7 C2 0F B7 F6 2B C6 89 45 CC DB 45 CC D8 0D ?? ?? ?? ?? DB 45 E4 D8 0D ?? ?? ?? ?? DE C1 D8 4D DC D9 5D D0 9B 66 3B D1 75 0C D9 45 D0 D8 65 D4 D9 5D F0 9B EB 27 66 3B D3 75 12 D9 05 ?? ?? ?? ?? D8 45 D8 D8 65 D0 D9 5D F0 9B EB 10 D9 05 ?? ?? ?? ?? D8 45 D4 D8 65 D8 D9 5D F0 9B D9 45 F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0F D9 45 F0 D8 05 ?? ?? ?? ?? D9 5D F0 9B EB 1C D9 45 F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 0D D9 45 F0 D8 25 ?? ?? ?? ?? D9 5D F0 9B D9 45 F0 E8 ?? ?? ?? ?? 8B 55 FC 66 89 02 D9 45 EC E8 ?? ?? ?? ?? 8B 55 F8 66 89 02 D9 45 E8 E8 ?? ?? ?? ?? 8B 55 F4 66 89 02 5F 5E 5B 8B E5 5D C2 04 00 81 80 80 80 80 80 80 80 F6 3F 00 00 00 00 F0 42 00 00 00 3F 00 00 7F 43 00 00 80 3F 00 00 20 42 00 00 A0 42 00 00 20 43 00 00 00 00 00 00 70 43 }
	condition:
		$1
}

rule function_92959_0 {
	meta:
		name = "HLSToColor"
		size = 33
		refs = "0003 HLSToRGB"
	strings:
		$1 = { 51 54 E8 ?? ?? ?? ?? 0F B6 44 24 02 0F B6 54 24 01 C1 E2 08 0B C2 0F B6 14 24 C1 E2 10 0B C2 5A C3 }
	condition:
		$1
}

rule function_92960_0 {
	meta:
		name = "RoundColor"
		size = 13
	strings:
		$1 = { 3D FF 00 00 00 7E 05 B8 FF 00 00 00 C3 }
	condition:
		$1
}

rule function_92961_0 {
	meta:
		name = "HueToRGB"
		size = 172
		refs = "0008 HueToRGB 002d @ROUND"
	strings:
		$1 = { 55 8B EC D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 21 D9 45 0C D8 65 10 D8 4D 08 D8 05 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 D8 45 10 E8 ?? ?? ?? ?? EB 59 D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0A D9 45 0C E8 ?? ?? ?? ?? EB 40 D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 29 D9 45 0C D8 65 10 D9 05 ?? ?? ?? ?? D8 65 08 DE C9 D8 05 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 D8 45 10 E8 ?? ?? ?? ?? EB 08 D9 45 10 E8 ?? ?? ?? ?? 5D C2 0C 00 00 00 20 42 00 00 A0 41 CD CC CC CC CC CC CC CC F9 3F 00 00 00 00 F0 42 00 00 20 43 }
	condition:
		$1
}

rule function_92962_0 {
	meta:
		name = "RoundColor2"
		size = 148
		refs = "0009 RoundColor2 004e HueToRGB 006e @ROUND 0073 RoundColor"
	strings:
		$1 = { 55 8B EC 51 D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0F D9 45 08 D8 05 ?? ?? ?? ?? D9 5D 08 9B EB 1C D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 0D D9 45 08 D8 25 ?? ?? ?? ?? D9 5D 08 9B 8B 45 0C FF 70 FC 8B 45 0C FF 70 F8 FF 75 08 E8 ?? ?? ?? ?? 8B D0 C1 E0 08 2B C2 89 45 FC DB 45 FC D8 05 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5D C2 04 00 00 00 00 00 00 00 70 43 00 00 F0 42 89 88 88 88 88 88 88 88 F7 3F 00 00 }
	condition:
		$1
}

rule function_92963_0 {
	meta:
		name = "HLSToRGB"
		size = 324
		refs = "0027 HLSToRGB 002e @ROUND 0033 RoundColor 00e4 RoundColor2"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8B F8 8B 5D 08 66 85 C9 75 38 0F B7 C6 8B D0 C1 E0 08 2B C2 89 45 F4 DB 45 F4 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 43 02 0F B6 43 02 88 43 01 88 03 66 81 FF A0 00 E9 D8 00 00 00 0F B7 C6 89 45 F4 DB 45 F4 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 28 0F B7 C6 0F B7 D1 81 C2 F0 00 00 00 F7 EA 89 45 F4 DB 45 F4 D8 05 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 D9 5D F8 9B EB 30 0F B7 C6 0F B7 D1 03 C2 89 45 F4 DB 45 F4 0F B7 C6 0F B7 D1 F7 EA 89 45 F0 DB 45 F0 D8 05 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 DE E9 D9 5D F8 9B 0F B7 C6 03 C0 89 45 F4 DB 45 F4 D8 65 F8 D9 5D FC 9B 55 0F B7 C7 89 45 F4 DB 45 F4 D8 05 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B E8 ?? ?? ?? ?? 59 88 43 02 55 0F B7 C7 89 45 F4 DB 45 F4 83 C4 FC D9 1C 24 9B E8 ?? ?? ?? ?? 59 88 43 01 55 0F B7 C7 89 45 F4 DB 45 F4 D8 25 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B E8 ?? ?? ?? ?? 59 88 03 5F 5E 5B 8B E5 5D C2 04 00 00 00 89 88 88 88 88 88 88 88 F7 3F 00 00 00 00 F0 42 00 00 A0 42 }
	condition:
		$1
}

rule function_92964_0 {
	meta:
		name = "TColorFilter.Apply"
		size = 279
		refs = "0011 TTeeFilter.Apply 0019 @DynArrayLength"
	strings:
		$1 = { 53 56 57 83 C4 F0 89 0C 24 8B D8 8B 0C 24 8B C3 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 85 C0 0F 84 EB 00 00 00 83 7B 38 00 75 10 83 7B 34 00 75 0A 83 7B 30 00 0F 84 D5 00 00 00 8B 04 24 8B 40 04 8B 14 24 8B 52 0C 2B D0 0F 8C C1 00 00 00 42 89 54 24 0C 89 44 24 04 8B 43 24 8B 54 24 04 8B 04 90 89 44 24 08 8B 34 24 8B 36 8B 3C 24 8B 7F 08 2B FE 0F 8C 89 00 00 00 47 8D 04 76 8B 54 24 08 03 D0 8B 43 38 85 C0 74 22 0F B6 4A 02 03 C8 8B C1 85 C0 7D 06 C6 42 02 00 EB 10 3D FF 00 00 00 7E 06 C6 42 02 FF EB 03 88 42 02 8B 43 34 85 C0 74 22 0F B6 4A 01 03 C8 8B C1 85 C0 7D 06 C6 42 01 00 EB 10 3D FF 00 00 00 7E 06 C6 42 01 FF EB 03 88 42 01 8B 43 30 85 C0 74 1E 0F B6 0A 03 C8 8B C1 85 C0 7D 05 C6 02 00 EB 0E 3D FF 00 00 00 7E 05 C6 02 FF EB 02 88 02 46 4F 0F 85 78 FF FF FF FF 44 24 04 FF 4C 24 0C 0F 85 48 FF FF FF 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92965_0 {
	meta:
		name = "TColorFilter.CreateEditor"
		size = 220
		refs = "000e @IntfAddRef 0016 TColorFilter.CreateEditor 002c TTeeFilter.CreateEditor 0086 @IntfClear 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 68 FF 00 00 00 B9 01 FF FF FF BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 1C 68 FF 00 00 00 B9 01 FF FF FF BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 1C 68 FF 00 00 00 B9 01 FF FF FF BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 03 00 00 00 52 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 47 00 72 00 65 00 65 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 6C 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_92967_0 {
	meta:
		name = "THueLumSatFilter.Apply"
		size = 369
		refs = "0011 TTeeFilter.Apply 0019 @DynArrayLength 009b RGBToHLS 0150 HLSToRGB"
	strings:
		$1 = { 53 56 57 83 C4 E8 89 0C 24 8B D8 8B 0C 24 8B C3 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 85 C0 0F 84 45 01 00 00 83 7B 30 00 75 10 83 7B 34 00 75 0A 83 7B 38 00 0F 84 2F 01 00 00 8B 04 24 8B 40 04 8B 14 24 8B 52 0C 2B D0 0F 8C 1B 01 00 00 42 89 54 24 14 89 44 24 04 8B 43 24 8B 54 24 04 8B 04 90 89 44 24 10 8B 34 24 8B 36 8B 3C 24 8B 7F 08 2B FE 0F 8C E3 00 00 00 47 8D 04 76 8B 54 24 10 0F B6 4C 02 02 C1 E1 10 66 8B 0C 02 51 8D 4C 24 10 8D 54 24 0E 8D 44 24 0C E8 ?? ?? ?? ?? 8B 43 30 85 C0 74 2B 0F B7 54 24 08 03 D0 8B C2 85 C0 7D 09 66 C7 44 24 08 00 00 EB 15 3D FF 00 00 00 7E 09 66 C7 44 24 08 FF 00 EB 05 66 89 44 24 08 8B 43 34 85 C0 74 2B 0F B7 54 24 0A 03 D0 8B C2 85 C0 7D 09 66 C7 44 24 0A 00 00 EB 15 3D FF 00 00 00 7E 09 66 C7 44 24 0A FF 00 EB 05 66 89 44 24 0A 8B 43 38 85 C0 74 2B 0F B7 54 24 0C 03 D0 8B C2 85 C0 7D 09 66 C7 44 24 0C 00 00 EB 15 3D FF 00 00 00 7E 09 66 C7 44 24 0C FF 00 EB 05 66 89 44 24 0C 8D 04 76 8B 54 24 10 8D 04 02 50 0F B7 4C 24 10 0F B7 54 24 0E 0F B7 44 24 0C E8 ?? ?? ?? ?? 46 4F 0F 85 1E FF FF FF FF 44 24 04 FF 4C 24 14 0F 85 EE FE FF FF 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_92968_0 {
	meta:
		name = "THueLumSatFilter.CreateEditor"
		size = 240
		refs = "000e @IntfAddRef 0016 THueLumSatFilter.CreateEditor 002c TTeeFilter.CreateEditor 0086 @IntfClear 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 68 FF 00 00 00 B9 01 FF FF FF BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 1C 68 FF 00 00 00 B9 01 FF FF FF BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 1C 68 FF 00 00 00 B9 01 FF FF FF BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 03 00 00 00 48 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4C 00 75 00 6D 00 69 00 6E 00 61 00 6E 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 61 00 74 00 75 00 72 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_92970_0 {
	meta:
		name = "TSharpenFilter.Apply"
		size = 71
		refs = "0041 TConvolveFilter.Apply"
	strings:
		$1 = { 53 C7 40 4C 00 00 00 BE C7 40 50 00 00 00 BE C7 40 54 00 00 00 BE C7 40 58 00 00 00 BE C7 40 5C 00 00 00 40 C7 40 60 00 00 00 BE C7 40 64 00 00 00 BE C7 40 68 00 00 00 BE C7 40 6C 00 00 00 BE E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92972_0 {
	meta:
		name = "TGammaCorrectionFilter.Create"
		size = 64
		refs = "000a @ClassCreate 0017 TAmountFilter.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 30 46 00 00 00 C6 46 3C 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_92973_0 {
	meta:
		name = "TGammaCorrectionFilter.Apply"
		size = 352
		refs = "0014 TTeeFilter.Apply 001c @DynArrayLength 0040 TGammaCorrectionFilter.Apply 00b0 Ln 00c0 Exp 00cb @ROUND"
	strings:
		$1 = { 53 56 57 81 C4 E0 FE FF FF 89 0C 24 8B F0 8B 0C 24 8B C6 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 85 C0 0F 84 10 01 00 00 8B 46 30 99 33 C2 2B C2 89 84 24 1C 01 00 00 DB 84 24 1C 01 00 00 DB 2D ?? ?? ?? ?? DE C9 D9 5C 24 04 9B DB 2D ?? ?? ?? ?? D8 5C 24 04 9B DF E0 9E 76 19 C7 44 24 10 3B DF 4F 8D C7 44 24 14 97 6E 12 83 66 C7 44 24 18 F5 3F EB 09 D9 44 24 04 DB 7C 24 10 9B DB 6C 24 10 D9 5C 24 04 9B C6 44 24 1A 00 BF 01 00 00 00 8D 5C 24 1B 89 BC 24 1C 01 00 00 DB 84 24 1C 01 00 00 D8 35 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 74 24 04 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 03 47 43 81 FF 00 01 00 00 75 B9 8B 3C 24 8B 7F 04 8B 04 24 8B 40 0C 2B C7 7C 4D 40 89 44 24 08 8B 0C 24 8B 09 8B 14 24 8B 52 08 2B D1 7C 32 42 8B 46 24 8B 04 B8 8D 1C 49 03 C3 0F B6 58 02 0F B6 5C 1C 1A 88 58 02 0F B6 58 01 0F B6 5C 1C 1A 88 58 01 0F B6 18 0F B6 5C 1C 1A 88 18 41 4A 75 CF 47 FF 4C 24 08 75 B8 81 C4 20 01 00 00 5F 5E 5B C3 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 3B DF 4F 8D 97 6E 12 83 F5 3F 00 00 00 00 7F 43 }
	condition:
		$1
}

rule function_92975_0 {
	meta:
		name = "TEmbossFilter.Apply"
		size = 63
		refs = "0039 TConvolveFilter.Apply"
	strings:
		$1 = { 53 33 DB 89 58 4C C7 40 50 00 00 80 BF 33 DB 89 58 54 C7 40 58 00 00 80 BF C7 40 5C 00 00 80 3F C7 40 60 00 00 80 3F 33 DB 89 58 64 C7 40 68 00 00 80 BF 33 DB 89 58 6C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92977_0 {
	meta:
		name = "TContrastFilter.Apply"
		size = 560
		refs = "001a TTeeFilter.Apply 0022 @DynArrayLength 0039 TContrastFilter.Apply 00bd @ROUND 00c2 @_llmul 00c7 @_lldiv"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 89 4C 24 04 89 14 24 8B F0 8B 4C 24 04 8B 14 24 8B C6 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 85 C0 0F 84 EB 01 00 00 80 7E 34 00 74 12 DB 46 30 DB 2D ?? ?? ?? ?? DE C9 D9 5C 24 0C 9B EB 08 C7 44 24 0C 00 00 80 3F 8B 44 24 04 8B 40 04 8B 54 24 04 8B 52 0C 2B D0 0F 8C B5 01 00 00 42 89 54 24 10 89 44 24 08 8B 7C 24 04 8B 3F 8B 6C 24 04 8B 6D 08 2B EF 0F 8C 89 01 00 00 45 8B 46 24 8B 54 24 08 8B 04 90 8D 14 7F 8D 1C 10 80 7E 34 00 74 3A 6A 00 68 00 01 00 00 0F B6 43 02 2D 80 00 00 00 99 52 50 0F B6 43 02 89 44 24 24 DB 44 24 24 D8 4C 24 1C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 53 02 03 C2 EB 23 8B 56 30 0F B6 43 02 8B C8 81 E9 80 00 00 00 0F AF D1 85 D2 79 06 81 C2 FF 00 00 00 C1 FA 08 03 D0 8B C2 85 C0 7D 06 C6 43 02 00 EB 10 3D FF 00 00 00 7E 06 C6 43 02 FF EB 03 88 43 02 80 7E 34 00 74 3A 6A 00 68 00 01 00 00 0F B6 43 01 2D 80 00 00 00 99 52 50 0F B6 43 01 89 44 24 24 DB 44 24 24 D8 4C 24 1C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 53 01 03 C2 EB 23 8B 56 30 0F B6 43 01 8B C8 81 E9 80 00 00 00 0F AF D1 85 D2 79 06 81 C2 FF 00 00 00 C1 FA 08 03 D0 8B C2 85 C0 7D 06 C6 43 01 00 EB 10 3D FF 00 00 00 7E 06 C6 43 01 FF EB 03 88 43 01 80 7E 34 00 74 37 6A 00 68 00 01 00 00 0F B6 03 2D 80 00 00 00 99 52 50 0F B6 03 89 44 24 24 DB 44 24 24 D8 4C 24 1C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 13 03 C2 EB 22 8B 56 30 0F B6 03 8B C8 81 E9 80 00 00 00 0F AF D1 85 D2 79 06 81 C2 FF 00 00 00 C1 FA 08 03 D0 8B C2 85 C0 7D 05 C6 03 00 EB 0E 3D FF 00 00 00 7E 05 C6 03 FF EB 02 88 03 47 4D 0F 85 78 FE FF FF FF 44 24 08 FF 4C 24 10 0F 85 54 FE FF FF 83 C4 18 5D 5F 5E 5B C3 00 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_92979_0 {
	meta:
		name = "TSoftenFilter.Apply"
		size = 61
		refs = "0037 TConvolveFilter.Apply"
	strings:
		$1 = { 53 33 DB 89 58 4C 33 DB 89 58 50 33 DB 89 58 54 33 DB 89 58 58 C7 40 5C 00 00 80 3F C7 40 60 00 00 80 3F 33 DB 89 58 64 C7 40 68 00 00 80 3F C7 40 6C 00 00 80 3F E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92981_0 {
	meta:
		name = "TImageFiltered.Create"
		size = 119
		refs = "000a @ClassCreate 0017 TImage.Create 003f TImageFiltered.DoPictureChanged 0044 _Dn_TTeeFilter 004e _Dn_TFilterItems 0053 TOwnedCollection.Create 0064 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 86 B8 01 00 00 8B 50 10 89 96 E0 01 00 00 8B 50 14 89 96 E4 01 00 00 8B 86 B8 01 00 00 89 70 14 C7 40 10 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 D0 01 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_92982_0 {
	meta:
		name = "TImageFiltered.Destroy"
		size = 66
		refs = "0003 @BeforeDestruction 001a TObject.Free 0030 TImage.Destroy 003b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 D8 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 86 D0 01 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_92983_0 {
	meta:
		name = "TImageFiltered.DoPictureChanged"
		size = 57
		refs = "001b TObject.Free"
	strings:
		$1 = { 53 8B D8 80 BB D4 01 00 00 00 75 2B 8D 83 D8 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 66 83 BB E2 01 00 00 00 74 0E 8B D3 8B 83 E4 01 00 00 FF 93 E0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_92984_0 {
	meta:
		name = "TImageFiltered.Filtered"
		size = 232
		refs = "0027 TObject.Free 0062 _Dn_TBitmap 0067 TBitmap.Create 0082 TImageFiltered.Filtered 00bf @HandleFinally 00d8 TFilterItems.ApplyTo"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 D0 01 00 00 80 78 1C 00 74 22 8B 45 FC 05 D8 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 D0 01 00 00 C6 40 1C 00 8B 45 FC 83 B8 D8 01 00 00 00 0F 85 94 00 00 00 8B 45 FC 8B 80 B8 01 00 00 85 C0 0F 84 83 00 00 00 83 78 0C 00 74 7D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 D8 01 00 00 8B 45 FC C6 80 D4 01 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B8 01 00 00 8B 50 0C 8B 45 FC 8B 80 D8 01 00 00 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 D4 01 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 90 D8 01 00 00 8B 45 FC 8B 80 D0 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 D8 01 00 00 59 5D C3 }
	condition:
		$1
}

rule function_92985_0 {
	meta:
		name = "TImageFiltered.SetFilters"
		size = 35
		refs = "001d TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 83 D0 01 00 00 8B 08 FF 51 08 8D 83 D8 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_92986_0 {
	meta:
		name = "TImageFiltered.Paint"
		size = 203
		refs = "000d _Dn_TControlCanvas 0012 TCanvas.Create 001d TImageFiltered.Paint 002d TControlCanvas.SetControl 0034 TImageFiltered.Filtered 0044 TImage.DestRect 0067 TPen.SetStyle 0074 TBrush.SetStyle 007e TCanvas.GetHandle 0084 SetBkMode 00b9 TObject.Free 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1A 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8D 55 DC 8B CB 8B 45 FC 8B 18 FF 93 88 00 00 00 F6 46 1C 10 74 4A 8B 45 FC 8B 40 44 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 48 B2 01 E8 ?? ?? ?? ?? 6A 01 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 55 EC 8B C6 8B 08 FF 51 60 8B 45 F4 50 8B 45 F8 50 8B 4D F0 8B 55 EC 8B 45 FC 8B 18 FF 53 7C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_92987_0 {
	meta:
		name = "TImageFiltered.ReadFilters"
		size = 17
		refs = "0007 _Dn_TTeePicture 000c TTeePicture.ReadFilters"
	strings:
		$1 = { 8B 88 D0 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92988_0 {
	meta:
		name = "TImageFiltered.WriteFilters"
		size = 17
		refs = "0007 _Dn_TTeePicture 000c TTeePicture.WriteFilters"
	strings:
		$1 = { 8B 88 D0 01 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_92989_0 {
	meta:
		name = "TImageFiltered.FiltersStored"
		size = 24
	strings:
		$1 = { 8B 90 D0 01 00 00 85 D2 74 0B 8B 42 08 83 78 08 00 0F 9F C0 C3 33 C0 C3 }
	condition:
		$1
}

rule function_92991_0 {
	meta:
		name = "TRotateFilter.Create"
		size = 64
		refs = "000a @ClassCreate 0017 TTeeFilter.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 3C FF FF FF 00 C6 46 38 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_92992_0 {
	meta:
		name = "TRotateFilter.Apply"
		size = 1260
		refs = "0014 TTeeFilter.Apply 001c @DynArrayLength 002f TRotateFilter.Apply 0059 _DV_TFlipFilter 005e TTeeFilter.ApplyTo 0066 _DV_TReverseFilter 008a _Dn_TBitmap 008f TBitmap.Create 00e2 TeeSetBitmapSize 00f6 TeePiStep 0108 SinCos 0137 @ROUND 01ff TBitmap.GetCanvas 020b TBrush.SetStyle 0216 TBrush.SetColor 024b _Dn_TTeeFilter 0250 TTeeFilter.Create 0487 TBitmap.FreeImage 04a7 TObject.Free 04ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 89 55 FC 8B F0 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 85 C0 0F 84 A8 04 00 00 EB 0D DD 46 30 D8 25 ?? ?? ?? ?? DD 5E 30 9B DD 46 30 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 E4 DD 46 30 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 1F 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5C 04 00 00 DD 46 30 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 84 49 04 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 52 24 89 45 DC 8B 45 FC 8B 10 FF 52 30 89 45 D8 DD 46 30 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 0F DD 46 30 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 13 8B 4D D8 8B 55 DC 8B 45 F8 E8 ?? ?? ?? ?? E9 DF 00 00 00 D9 05 ?? ?? ?? ?? DC 66 30 D8 0D ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8D 55 B0 8D 45 B4 E8 ?? ?? ?? ?? 80 7E 38 00 0F 84 A6 00 00 00 D9 45 B4 D8 4D B0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 4A DB 45 D8 D8 4D B4 DB 45 DC D8 4D B0 DE C1 E8 ?? ?? ?? ?? 85 D2 7D 07 F7 D8 83 D2 00 F7 DA 50 DB 45 D8 D8 4D B0 DB 45 DC D8 4D B4 DE C1 E8 ?? ?? ?? ?? 85 D2 7D 07 F7 D8 83 D2 00 F7 DA 8B D0 8B 45 F8 59 E8 ?? ?? ?? ?? EB 58 DB 45 D8 D8 4D B4 DB 45 DC D8 4D B0 DE E9 E8 ?? ?? ?? ?? 85 D2 7D 07 F7 D8 83 D2 00 F7 DA 50 DB 45 D8 D8 4D B0 DB 45 DC D8 4D B4 DE E9 E8 ?? ?? ?? ?? 85 D2 7D 07 F7 D8 83 D2 00 F7 DA 8B D0 8B 45 F8 59 E8 ?? ?? ?? ?? EB 0E 8B 4D DC 8B 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 83 7D D8 01 0F 8E DF 02 00 00 83 7D DC 01 0F 8E D5 02 00 00 8B 46 3C 3D FF FF FF 1F 75 0C B2 01 8B 45 F8 8B 08 FF 51 40 EB 52 3D FF FF FF 00 74 4B 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 8B 47 48 33 D2 E8 ?? ?? ?? ?? 8B 56 3C 8B 47 48 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 30 8B D8 8B 45 F8 8B 10 FF 52 24 33 D2 89 55 9C 33 D2 89 55 A0 89 5D A4 89 45 A8 8D 55 9C 8B C7 8B 08 FF 51 54 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F8 8B 45 D4 E8 ?? ?? ?? ?? DD 46 30 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 64 8B 45 DC 48 85 C0 0F 8C F8 01 00 00 40 89 45 AC C7 45 F4 00 00 00 00 8B 7D D8 4F 85 FF 7C 38 47 33 DB 8B 45 D4 8B 40 24 8B 04 98 8B 55 DC 2B 55 F4 8D 14 52 8D 44 10 FD 8B 56 24 8B 4D F4 8B 14 8A 8D 0C 5B 8D 0C 0A 66 8B 11 66 89 10 8A 51 02 88 50 02 43 4F 75 CB FF 45 F4 FF 4D AC 75 B8 E9 A0 01 00 00 DD 46 30 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 65 8B 45 DC 48 85 C0 0F 8C 85 01 00 00 40 89 45 AC C7 45 F4 00 00 00 00 8B 7D D8 4F 85 FF 7C 39 47 33 DB 8B 45 D8 2B C3 8B 55 D4 8B 52 24 8B 44 82 FC 8B 55 F4 8D 14 52 03 C2 8B 56 24 8B 4D F4 8B 14 8A 8D 0C 5B 8D 0C 0A 66 8B 11 66 89 10 8A 51 02 88 50 02 43 4F 75 CA FF 45 F4 FF 4D AC 75 B7 E9 2C 01 00 00 8B 45 F8 8B 10 FF 52 30 D1 F8 79 03 83 D0 00 89 45 E8 8B 45 F8 8B 10 FF 52 24 D1 F8 79 03 83 D0 00 8B 55 D8 D1 FA 79 03 83 D2 00 89 55 F0 8B 55 DC D1 FA 79 03 83 D2 00 89 55 EC 8B 55 B4 89 55 C4 8B 55 B0 89 55 C0 F7 D8 48 89 45 E4 8B 45 F8 8B 10 FF 52 24 48 85 C0 0F 8C CE 00 00 00 40 89 45 AC C7 45 F4 00 00 00 00 FF 45 E4 DB 45 E4 D8 4D C4 DB 45 F0 DE E9 D9 5D BC 9B DB 45 E4 D8 4D C0 DB 45 EC DE C1 D9 5D B8 9B 8B 45 D4 8B 40 24 8B 55 F4 8B 04 90 89 45 D0 8B 45 E8 F7 D8 48 89 45 E0 8B 45 F8 8B 10 FF 52 30 8B F8 4F 85 FF 7C 6F 47 33 DB FF 45 E0 DB 45 E0 D8 4D C0 D8 65 BC E8 ?? ?? ?? ?? 89 45 CC 83 7D CC 00 7C 4E 8B 45 CC 3B 45 D8 7D 46 DB 45 E0 D8 4D C4 D8 45 B8 E8 ?? ?? ?? ?? 89 45 C8 83 7D C8 00 7C 2F 8B 45 C8 3B 45 DC 7D 27 8D 04 5B 8B 55 D0 8D 04 02 8B 56 24 8B 4D C8 8B 14 8A 8B 4D CC 8D 0C 49 8D 0C 0A 66 8B 11 66 89 10 8A 51 02 88 50 02 43 4F 75 94 FF 45 F4 FF 4D AC 0F 85 3D FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B4 43 00 00 34 43 00 00 00 00 00 00 B4 42 00 00 87 43 }
	condition:
		$1
}

rule function_92994_0 {
	meta:
		name = "TRotateFilter.SetAngle"
		size = 33
	strings:
		$1 = { 55 8B EC 8B D0 DD 42 30 DC 5D 08 9B DF E0 9E 74 0C 8B 45 08 89 42 30 8B 45 0C 89 42 34 5D C2 08 00 }
	condition:
		$1
}

rule function_92995_0 {
	meta:
		name = "TRotateFilter.CreateEditor"
		size = 240
		refs = "000e @IntfAddRef 0016 TRotateFilter.CreateEditor 002c TTeeFilter.CreateEditor 0046 TeeMsg_Back 005f TeeMsg_Autosize 0083 @IntfClear 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 68 68 01 00 00 33 C9 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 1C 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 10 6A 00 6A 00 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 6E 00 67 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 42 00 61 00 63 00 6B 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 75 00 74 00 6F 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_92996_0 {
	meta:
		name = "TMirrorFilter.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TTeeFilter.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 14 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_92997_0 {
	meta:
		name = "TMirrorFilter.Apply"
		size = 470
		refs = "0018 TTeeFilter.Apply 0020 @DynArrayLength 002f _Dn_TBitmap 0034 TBitmap.Create 003f TMirrorFilter.Apply 0071 TeeSetBitmapSize 0080 TBitmap.GetCanvas 00ab _DV_TFlipFilter 00b0 TTeeFilter.ApplyTo 0150 _DV_TReverseFilter 01c3 TObject.Free 01c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B DA 8B F0 8B 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 85 C0 0F 84 A3 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 46 30 84 C0 74 08 3C 01 0F 85 A5 00 00 00 8B C3 8B 10 FF 52 24 03 C0 50 8B C3 8B 10 FF 52 30 8B D0 8B 45 F8 59 E8 ?? ?? ?? ?? 80 7E 30 00 75 14 53 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 38 FF 57 44 EB 19 53 8B C3 8B 10 FF 52 24 50 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 59 8B 38 FF 57 44 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7E 30 00 75 1B 53 8B C3 8B 10 FF 52 24 50 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 59 8B 30 FF 56 44 EB 12 53 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 30 FF 56 44 8B C3 8B 10 FF 52 24 8B D0 03 D2 8B C3 8B 08 FF 51 38 E9 A0 00 00 00 8B C3 8B 10 FF 52 24 50 8B C3 8B 10 FF 52 30 8B D0 03 D2 8B 45 F8 59 E8 ?? ?? ?? ?? 80 7E 30 02 75 14 53 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 38 FF 57 44 EB 19 53 8B C3 8B 10 FF 52 30 50 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 5A 8B 38 FF 57 44 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7E 30 02 75 1B 53 8B C3 8B 10 FF 52 30 50 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 5A 8B 30 FF 56 44 EB 12 53 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 30 FF 56 44 8B C3 8B 10 FF 52 30 8B D0 03 D2 8B C3 8B 08 FF 51 44 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? 33 C9 33 D2 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_92998_0 {
	meta:
		name = "TMirrorFilter.CreateEditor"
		size = 128
		refs = "000e @IntfAddRef 0016 TMirrorFilter.CreateEditor 002c TTeeFilter.CreateEditor 004e @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 69 00 72 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_93000_0 {
	meta:
		name = "TTileFilter.Create"
		size = 67
		refs = "000a @ClassCreate 0017 TTeeFilter.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 30 03 00 00 00 C7 46 34 03 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_93001_0 {
	meta:
		name = "TTileFilter.Apply"
		size = 287
		refs = "001a TTeeFilter.Apply 0025 @DynArrayLength 0098 SmoothBitmap 00a3 TTileFilter.Apply 00d9 TBitmap.GetCanvas 010c TObject.Free 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B D9 89 55 F8 89 45 FC 8B CB 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 85 C0 0F 84 E7 00 00 00 8B 45 FC 83 78 30 01 7D 0A 8B 45 FC C7 40 30 01 00 00 00 8B 45 FC 83 78 34 01 7D 0A 8B 45 FC C7 40 34 01 00 00 00 8B 43 08 2B 03 8B 55 FC 8B 4A 30 99 F7 F9 89 45 F0 8B 43 0C 2B 43 04 8B 55 FC 8B 4A 34 99 F7 F9 89 45 EC 83 7D F0 00 0F 8E 94 00 00 00 83 7D EC 00 0F 8E 8A 00 00 00 8B 4D EC 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 30 48 85 C0 7C 43 40 89 45 E4 C7 45 F4 00 00 00 00 8B 45 FC 8B 58 34 4B 85 DB 7C 25 43 33 F6 8B 45 E8 50 8B 45 F8 E8 ?? ?? ?? ?? 8B CE 0F AF 4D EC 8B 55 F4 0F AF 55 F0 8B 38 FF 57 44 46 4B 75 DE FF 45 F4 FF 4D E4 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93002_0 {
	meta:
		name = "TTileFilter.CreateEditor"
		size = 196
		refs = "000e @IntfAddRef 0016 TTileFilter.CreateEditor 002c TTeeFilter.CreateEditor 0039 TeeMsg_Columns 0055 TeeMsg_Rows 0079 @IntfClear 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 6A 01 68 E8 03 00 00 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 18 6A 01 68 E8 03 00 00 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4E 00 75 00 6D 00 43 00 6F 00 6C 00 73 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4E 00 75 00 6D 00 52 00 6F 00 77 00 73 00 00 00 }
	condition:
		$1
}

rule function_93004_0 {
	meta:
		name = "TBevelFilter.Create"
		size = 67
		refs = "000a @ClassCreate 0017 TTeeFilter.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 30 40 00 00 00 C7 46 34 0F 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_93005_0 {
	meta:
		name = "TBevelFilter.Apply"
		size = 589
		refs = "0011 TTeeFilter.Apply 0019 @DynArrayLength"
	strings:
		$1 = { 53 56 57 83 C4 E0 89 0C 24 8B D8 8B 0C 24 8B C3 E8 ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 85 C0 0F 84 21 02 00 00 8B 14 24 8B 12 89 54 24 0C 8B 04 24 8B 40 08 89 44 24 10 8B 34 24 8B 76 04 89 74 24 14 8B 0C 24 8B 49 0C 89 4C 24 18 2B C2 D1 F8 79 03 83 D0 00 89 44 24 08 2B CE D1 F9 79 03 83 D1 00 89 4C 24 04 8B 43 34 48 85 C0 0F 8C D4 01 00 00 40 89 44 24 1C 33 F6 3B 74 24 04 0F 8D CE 00 00 00 8B 3C 24 8B 3F 03 FE 8B 14 24 8B 52 08 2B D6 2B D7 0F 8C B7 00 00 00 42 8B 43 24 8B 4C 24 14 8B 04 88 8D 0C 7F 03 C1 0F B6 48 02 03 4B 30 81 F9 FF 00 00 00 7E 06 C6 40 02 FF EB 07 0F B6 4B 30 00 48 02 0F B6 48 01 03 4B 30 81 F9 FF 00 00 00 7E 06 C6 40 01 FF EB 07 0F B6 4B 30 00 48 01 0F B6 08 03 4B 30 81 F9 FF 00 00 00 7E 05 C6 00 FF EB 06 0F B6 4B 30 00 08 8B 43 24 8B 4C 24 18 8B 04 88 8D 0C 7F 03 C1 0F B6 48 02 2B 4B 30 79 06 C6 40 02 00 EB 07 0F B6 4B 30 28 48 02 0F B6 48 01 2B 4B 30 79 06 C6 40 01 00 EB 07 0F B6 4B 30 28 48 01 0F B6 08 2B 4B 30 79 05 C6 00 00 EB 06 0F B6 4B 30 28 08 47 4A 0F 85 4A FF FF FF FF 44 24 14 FF 4C 24 18 3B 74 24 08 0F 8D D0 00 00 00 8B 3C 24 8B 7F 04 03 FE 47 8B 14 24 8B 52 0C 2B D6 2B D7 0F 8C B7 00 00 00 42 8B 43 24 8B 04 B8 8B 4C 24 0C 8D 0C 49 03 C1 0F B6 48 02 03 4B 30 81 F9 FF 00 00 00 7E 06 C6 40 02 FF EB 07 0F B6 4B 30 00 48 02 0F B6 48 01 03 4B 30 81 F9 FF 00 00 00 7E 06 C6 40 01 FF EB 07 0F B6 4B 30 00 48 01 0F B6 08 03 4B 30 81 F9 FF 00 00 00 7E 05 C6 00 FF EB 06 0F B6 4B 30 00 08 8B 43 24 8B 04 B8 8B 4C 24 10 8D 0C 49 03 C1 0F B6 48 02 2B 4B 30 79 06 C6 40 02 00 EB 07 0F B6 4B 30 28 48 02 0F B6 48 01 2B 4B 30 79 06 C6 40 01 00 EB 07 0F B6 4B 30 28 48 01 0F B6 08 2B 4B 30 79 05 C6 00 00 EB 06 0F B6 4B 30 28 08 47 4A 0F 85 4A FF FF FF FF 44 24 0C FF 4C 24 10 46 FF 4C 24 1C 0F 85 33 FE FF FF 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93006_0 {
	meta:
		name = "TBevelFilter.CreateEditor"
		size = 184
		refs = "000e @IntfAddRef 0016 TBevelFilter.CreateEditor 002c TTeeFilter.CreateEditor 006f @IntfClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 68 FF 00 00 00 B9 01 00 00 00 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 1C 68 E8 03 00 00 B9 01 00 00 00 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 72 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_93008_0 {
	meta:
		name = "TZoomFilter.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TTeeFilter.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 30 C7 46 34 00 00 24 40 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_93009_0 {
	meta:
		name = "DoCrop"
		size = 202
		refs = "0014 _DV_TCropFilter 0019 TTeeFilter.Create 0024 DoCrop 00b8 TObject.Free 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 03 58 FC 8B 45 F8 89 58 38 8B 45 08 03 70 F8 8B 45 F8 89 70 40 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 03 D2 2B C2 83 F8 01 7D 05 B8 01 00 00 00 8B 55 F8 89 42 30 8B 45 08 8B 40 F0 8B 55 08 8B 52 F8 03 D2 2B C2 83 F8 01 7D 05 B8 01 00 00 00 8B 55 F8 89 42 34 8B 45 08 8B 40 EC 0F B6 40 38 8B 55 F8 88 42 3C 8B 45 08 8B 48 E8 8B 55 FC 8B 45 F8 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93010_0 {
	meta:
		name = "TZoomFilter.Apply"
		size = 332
		refs = "003a TZoomFilter.Apply 0041 @ROUND 0088 DoCrop 0095 _Dn_TBitmap 009a TBitmap.Create 00b9 TeeSetBitmapSize 00c1 TBitmap.GetCanvas 00f0 TCanvas.CopyRect 012e TObject.Free 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 89 4D E8 8B DA 89 45 EC 8B 45 E8 8B 40 08 8B 55 E8 2B 02 40 89 45 F4 8B 45 E8 8B 40 0C 8B 55 E8 2B 42 04 40 89 45 F0 DB 45 F4 8B 45 EC DC 48 30 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 89 45 FC DB 45 F0 8B 45 EC DC 48 30 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 89 45 F8 8B C3 8B 10 FF 52 30 3B 45 F4 75 25 8B C3 8B 10 FF 52 24 3B 45 F0 75 19 55 8B 55 E8 8B 52 04 8B 45 E8 8B 00 8B CB E8 ?? ?? ?? ?? 59 E9 A8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F0 8B 55 F4 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B F0 33 C0 89 45 D4 33 C0 89 45 D8 8B 45 F4 89 45 DC 8B 45 F0 89 45 E0 8B 45 E8 50 8B C3 E8 ?? ?? ?? ?? 8B C8 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 55 8B 4D E4 33 D2 33 C0 E8 ?? ?? ?? ?? 59 8B 45 E4 50 8B C3 E8 ?? ?? ?? ?? 8B 4D E8 8B 49 04 8B 55 E8 8B 12 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 0A D7 A3 70 3D 0A D7 A3 F7 3F 00 00 }
	condition:
		$1
}

rule function_93011_0 {
	meta:
		name = "TZoomFilter.CreateEditor"
		size = 184
		refs = "000e @IntfAddRef 0016 TZoomFilter.CreateEditor 002c TTeeFilter.CreateEditor 0047 TeeMsg_Smooth 006b @IntfClear 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 6A 64 33 C9 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 1C 6A 00 6A 00 8B 0D ?? ?? ?? ?? 8B 09 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 65 00 72 00 63 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 6D 00 6F 00 6F 00 74 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_93013_0 {
	meta:
		name = "RotateGradient"
		size = 132
		refs = "002b _DV_TRotateFilter 0030 TRotateFilter.Create 003b RotateGradient 0053 TRotateFilter.SetAngle 005d TTeeFilter.Apply 0072 TObject.Free 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 8B F0 8B C3 8B 10 FF 52 30 8B F8 8B C3 8B 10 FF 52 24 0F AF F8 81 FF 00 00 00 01 7D 58 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DB 46 04 83 C4 F8 DD 1C 24 9B 8B 45 FC E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93014_0 {
	meta:
		name = "TeeGrayScale"
		size = 121
		refs = "0014 _DV_TGrayScaleFilter 0019 TTeeFilter.Create 0024 TeeGrayScale 0040 TTeeFilter.Apply 0055 TObject.Free 005b @HandleFinally 006b _DV_TInvertFilter 0070 TTeeFilter.ApplyTo"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D9 88 55 FB 89 45 FC 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 07 8B 45 F4 C6 40 30 01 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FB 00 74 0D 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93015_0 {
	meta:
		name = "Finalization"
		size = 36
		refs = "0002 _DV_32 0009 TeeGradientRotate 0012 FilterClasses 001f TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 1B A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93016_0 {
	meta:
		name = "VCLTee.TeeFilters"
		size = 215
		refs = "0008 _DV_32 0014 _DV_TInvertFilter 001c _DV_TGrayScaleFilter 0024 _DV_TMosaicFilter 002c _DV_TFlipFilter 0034 _DV_TReverseFilter 003c _DV_TBrightnessFilter 0044 _DV_TContrastFilter 004c _DV_TColorFilter 0054 _DV_THueLumSatFilter 005c _Dn_TBlurFilter 0064 _DV_TSharpenFilter 006c _DV_TGammaCorrectionFilter 0074 _DV_TEmbossFilter 007c _DV_TSoftenFilter 0084 _DV_TCropFilter 008c _DV_TResizeFilter 0094 _DV_TRotateFilter 009c _DV_TMirrorFilter 00a4 _DV_TTileFilter 00ac _DV_TBevelFilter 00b4 _DV_TZoomFilter 00c4 TeeRegisterFilters 00c9 TeeGradientRotate 00cf RotateGradient"
	strings:
		$1 = { 55 8B EC 83 C4 AC 83 2D ?? ?? ?? ?? 01 0F 83 C0 00 00 00 A1 ?? ?? ?? ?? 89 45 AC A1 ?? ?? ?? ?? 89 45 B0 A1 ?? ?? ?? ?? 89 45 B4 A1 ?? ?? ?? ?? 89 45 B8 A1 ?? ?? ?? ?? 89 45 BC A1 ?? ?? ?? ?? 89 45 C0 A1 ?? ?? ?? ?? 89 45 C4 A1 ?? ?? ?? ?? 89 45 C8 A1 ?? ?? ?? ?? 89 45 CC A1 ?? ?? ?? ?? 89 45 D0 A1 ?? ?? ?? ?? 89 45 D4 A1 ?? ?? ?? ?? 89 45 D8 A1 ?? ?? ?? ?? 89 45 DC A1 ?? ?? ?? ?? 89 45 E0 A1 ?? ?? ?? ?? 89 45 E4 A1 ?? ?? ?? ?? 89 45 E8 A1 ?? ?? ?? ?? 89 45 EC A1 ?? ?? ?? ?? 89 45 F0 A1 ?? ?? ?? ?? 89 45 F4 A1 ?? ?? ?? ?? 89 45 F8 A1 ?? ?? ?? ?? 89 45 FC 8D 45 AC BA 14 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_93017_0 {
	meta:
		name = "ShowFiltersEditor"
		size = 116
		refs = "0011 _DV_TFiltersEditor 0016 TCustomForm.Create 0021 ShowFiltersEditor 005e TObject.Free 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 8B DA 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 98 3C 04 00 00 8B 45 F8 89 B0 38 04 00 00 8B 45 F8 8B 10 FF 92 20 01 00 00 48 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93018_0 {
	meta:
		name = "ShowFiltersEditor"
		size = 43
		refs = "0009 TTeePicture.GetFilters 0015 ShowFiltersEditor 0022 TTeePicture.Repaint"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 8B D8 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_93019_0 {
	meta:
		name = "TFiltersEditor.FormCreate"
		size = 79
		refs = "0012 TSpeedButton.GetGlyph 0024 TeeLoadArrowBitmaps 0031 _DV_TFormCreator 0036 TFormCreator.Create 0048 TFiltersEditor.ChangedProperties"
	strings:
		$1 = { 53 56 8B D8 C6 83 2C 04 00 00 01 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 50 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B 8B E0 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 24 04 00 00 89 5E 44 C7 46 40 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93020_0 {
	meta:
		name = "TFiltersEditor.EnableButtons"
		size = 145
	strings:
		$1 = { 53 56 8B D8 8B 83 B4 03 00 00 8B 10 FF 92 F8 00 00 00 40 0F 95 C2 8B 83 A8 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 B4 03 00 00 8B 10 FF 92 F8 00 00 00 85 C0 0F 9F C2 8B 83 AC 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 A8 03 00 00 8B 10 FF 52 68 84 C0 74 26 8B 83 B4 03 00 00 8B 10 FF 92 F8 00 00 00 8B F0 8B 83 B4 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 48 3B F0 7C 04 33 D2 EB 02 B2 01 8B 83 B0 03 00 00 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_93022_0 {
	meta:
		name = "TFiltersEditor.ClearProperties"
		size = 36
		refs = "000e TWinControl.GetControl 0013 TObject.Free 001a TWinControl.GetControlCount"
	strings:
		$1 = { 53 8B 98 E0 03 00 00 EB 0E 33 D2 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7F E7 5B C3 }
	condition:
		$1
}

rule function_93023_0 {
	meta:
		name = "CreateProperties"
		size = 633
		refs = "0039 CreateProperties 0071 TFiltersEditor.CurrentFilter 009e TFiltersEditor.ChangedProperties 00e4 @HandleFinally 00f9 TWinControl.GetControlCount 0105 TTabSheet.SetTabVisible 0164 TControl.Hide 016e TeeTranslateControl 017f TControl.Show 01c8 TTeeFilter.GetRegion 01de TCustomUpDown.SetPosition 0240 TPageControl.SetActivePage 0271 TControl.SetVisible"
	strings:
		$1 = { 55 8B EC 51 53 8B 45 08 8B 40 FC 8B 80 B4 03 00 00 8B 10 FF 92 F8 00 00 00 40 0F 84 2C 02 00 00 8B 45 08 8B 40 FC 8B 80 DC 03 00 00 8B 80 DC 02 00 00 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 FC 8B 80 24 04 00 00 8B 40 54 8B 10 FF 52 08 8B 45 08 8B 40 FC 8B 80 24 04 00 00 C7 40 4C 08 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 9A 24 04 00 00 89 43 50 C6 43 48 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 50 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 92 24 04 00 00 85 D2 74 03 83 EA A8 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 24 04 00 00 C6 40 48 00 C3 E9 ?? ?? ?? ?? EB E8 8B 45 08 8B 40 FC 8B 98 E0 03 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 9F C2 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 24 04 00 00 8B 40 50 0F B6 50 14 8B 45 08 8B 40 FC 8B 80 E4 03 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 E0 03 00 00 80 B8 80 02 00 00 00 75 2B 8B 55 08 8B 52 FC 8B 92 E4 03 00 00 80 BA 80 02 00 00 00 75 16 8B 45 08 8B 40 FC 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? E9 B6 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 E0 03 00 00 80 B8 80 02 00 00 00 75 0F 8B 55 08 8B 52 FC 8B 92 E4 03 00 00 89 55 FC 8B 55 08 8B 52 FC 8B 92 E4 03 00 00 80 BA 80 02 00 00 00 74 64 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 53 08 8B 45 08 8B 40 FC 8B 80 F8 03 00 00 E8 ?? ?? ?? ?? 8B 53 0C 8B 45 08 8B 40 FC 8B 80 04 04 00 00 E8 ?? ?? ?? ?? 8B 53 10 8B 45 08 8B 40 FC 8B 80 10 04 00 00 E8 ?? ?? ?? ?? 8B 53 04 8B 45 08 8B 40 FC 8B 80 1C 04 00 00 E8 ?? ?? ?? ?? EB 03 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 DC 03 00 00 8B 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 8B 45 08 8B 40 FC 8B 80 B4 03 00 00 8B 10 FF 92 F8 00 00 00 40 0F 95 C2 8B 45 08 8B 40 FC 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_93024_0 {
	meta:
		name = "TFiltersEditor.FiltersClick"
		size = 88
		refs = "0015 TFiltersEditor.FiltersClick 0023 TFiltersEditor.EnableButtons 002b TFiltersEditor.ClearProperties 0031 CreateProperties 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 80 2C 04 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 2C 04 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 59 5D C3 }
	condition:
		$1
}

rule function_93025_0 {
	meta:
		name = "TFiltersEditor.CompareMenus"
		size = 85
		refs = "0011 TMenuItem.GetItem 0030 @UStrEqual 0041 @UStrCmp"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B 83 BC 03 00 00 8B 40 3C E8 ?? ?? ?? ?? 8B F0 8B 83 BC 03 00 00 8B 40 3C 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 46 38 8B 53 38 E8 ?? ?? ?? ?? 75 04 33 C0 EB 17 8B 46 38 8B 53 38 E8 ?? ?? ?? ?? 73 05 83 C8 FF EB 05 B8 01 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93026_0 {
	meta:
		name = "TFiltersEditor.SwapMenus"
		size = 69
		refs = "0016 TMenuItem.GetItem 0033 TMenuItem.SetMenuIndex"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B 83 BC 03 00 00 8B 40 3C 8B D6 E8 ?? ?? ?? ?? 8B E8 8B 83 BC 03 00 00 8B 40 3C 8B D7 E8 ?? ?? ?? ?? 8B D8 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93027_0 {
	meta:
		name = "TFiltersEditor.BAddClick"
		size = 86
		refs = "002b TControl.ClientToScreen"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B B3 A4 03 00 00 8B 46 48 03 46 50 48 89 04 24 8B 46 4C 03 46 54 48 89 44 24 04 8D 4C 24 08 8B D4 8B C6 E8 ?? ?? ?? ?? 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B 4C 24 04 8B 14 24 8B 83 BC 03 00 00 8B 18 FF 53 50 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_93028_0 {
	meta:
		name = "TFiltersEditor.FilterSelected"
		size = 181
		refs = "0010 TFiltersEditor.FilterSelected 001e FilterClasses 0025 TList.Get 0065 TCheckListBox.SetChecked 007e TFiltersEditor.FiltersClick 0087 TFiltersEditor.Preview 008e TeeTranslateControl 00a3 @UStrClr 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F8 8B 8E 38 04 00 00 B2 01 8B C7 FF 50 1C 8B D8 8D 55 FC 8B C7 FF 50 28 8B 55 FC 8B 86 B4 03 00 00 8B 80 88 02 00 00 8B CB 8B 18 FF 53 3C 8B D8 B1 01 8B D3 8B 86 B4 03 00 00 E8 ?? ?? ?? ?? 8B D3 8B 86 B4 03 00 00 8B 08 FF 91 FC 00 00 00 8B D6 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93029_0 {
	meta:
		name = "StretchTo"
		size = 228
		refs = "0012 _Dn_TBitmap 0017 TBitmap.Create 0022 StretchTo 0035 TeeSetBitmapSize 0043 @IsClass 0082 SmoothStretch 00b3 TObject.Free 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F1 8B DA 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 89 45 F4 EB 1A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 55 FC 8B 45 F4 8B 08 FF 51 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 08 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_93030_0 {
	meta:
		name = "GetFilteredBitmap"
		size = 103
		refs = "0018 _Dn_TBitmap 001d TBitmap.Create 003a _Dn_TTeePicture 003f TTeePicture.AssignGraphic 0058 TFilterItems.ApplyTo"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 FC 8B 03 83 B8 28 04 00 00 00 75 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 89 82 28 04 00 00 8B 03 8B 88 3C 04 00 00 8B 03 8B 90 28 04 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 80 38 04 00 00 85 C0 74 0D 8B 13 8B 92 28 04 00 00 E8 ?? ?? ?? ?? 8B 03 8B 80 28 04 00 00 5B 5D C3 }
	condition:
		$1
}

rule function_93031_0 {
	meta:
		name = "TFiltersEditor.Preview"
		size = 183
		refs = "0035 TCustomTeePanelExtended.SetBackImageMode 005f TCustomTeePanelExtended.GetBackImage 0066 GetFilteredBitmap 0070 StretchTo"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 80 D4 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 77 8B 45 FC 83 B8 3C 04 00 00 00 74 6B 8B 45 FC 8B 80 B8 03 00 00 B2 03 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 03 00 00 80 78 3C 00 74 2E 8B 45 FC 8B 98 B8 03 00 00 8B 43 54 50 8B 45 FC 8B 80 B8 03 00 00 E8 ?? ?? ?? ?? 50 55 E8 ?? ?? ?? ?? 59 8B 4B 50 5A E8 ?? ?? ?? ?? EB 1E 8B 45 FC 8B 80 B8 03 00 00 E8 ?? ?? ?? ?? 50 55 E8 ?? ?? ?? ?? 59 8B D0 58 8B 08 FF 51 08 8B 45 FC 66 83 B8 32 04 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 34 04 00 00 FF 93 30 04 00 00 5B 59 5D C3 }
	condition:
		$1
}

rule function_93032_0 {
	meta:
		name = "TFiltersEditor.CurrentFilter"
		size = 36
	strings:
		$1 = { 53 56 8B D8 8B B3 B4 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 88 02 00 00 8B 08 FF 51 18 5E 5B C3 }
	condition:
		$1
}

rule function_93034_0 {
	meta:
		name = "TFiltersEditor.FiltersClickCheck"
		size = 53
		refs = "0019 TCheckListBox.GetChecked 0021 TFiltersEditor.CurrentFilter 002e TFiltersEditor.Preview"
	strings:
		$1 = { 53 56 8B D8 8B B3 B4 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 88 50 0C 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93035_0 {
	meta:
		name = "TFiltersEditor.BDeleteClick"
		size = 190
		refs = "0018 TFiltersEditor.CurrentFilter 001d TObject.Free 0080 TFiltersEditor.FiltersClick 0089 TFiltersEditor.ClearProperties 0090 TFiltersEditor.EnableButtons 00ad TControl.SetVisible 00b6 TFiltersEditor.Preview"
	strings:
		$1 = { 56 57 55 8B F0 8B 86 B4 03 00 00 8B 10 FF 92 F8 00 00 00 8B F8 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B AE B4 03 00 00 8B C5 8B 10 FF 92 F8 00 00 00 8B D0 8B 85 88 02 00 00 8B 08 FF 51 48 8B 86 B4 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 3B F8 7C 14 8B 86 B4 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 8B F8 4F 85 FF 7C 1B 8B D7 8B 86 B4 03 00 00 8B 08 FF 91 FC 00 00 00 8B D6 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 B4 03 00 00 8B 10 FF 92 F8 00 00 00 40 0F 95 C2 8B 86 DC 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E C3 }
	condition:
		$1
}

rule function_93036_0 {
	meta:
		name = "TFiltersEditor.Swap"
		size = 96
		refs = "0028 TFilterItems.Get 004e TFiltersEditor.EnableButtons 0057 TFiltersEditor.Preview"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B 83 B4 03 00 00 8B 80 88 02 00 00 8B CF 8B D6 8B 28 FF 55 4C 8B D7 8B 83 38 04 00 00 E8 ?? ?? ?? ?? 8B E8 8B D6 8B 83 38 04 00 00 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 14 8B D6 8B C5 8B 08 FF 51 14 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93037_0 {
	meta:
		name = "TFiltersEditor.BMoveUpClick"
		size = 59
		refs = "0034 TFiltersEditor.Swap"
	strings:
		$1 = { 53 56 8B F0 8B 9E B4 03 00 00 8B C3 8B 10 FF 92 F8 00 00 00 85 C0 7E 20 8B C3 8B 10 FF 92 F8 00 00 00 48 50 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 59 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93038_0 {
	meta:
		name = "TFiltersEditor.BMoveDownClick"
		size = 88
		refs = "0050 TFiltersEditor.Swap"
	strings:
		$1 = { 53 56 57 8B F0 8B 9E B4 03 00 00 8B C3 8B 10 FF 92 F8 00 00 00 40 74 3C 8B C3 8B 10 FF 92 F8 00 00 00 8B F8 8B 83 88 02 00 00 8B 10 FF 52 14 48 3B F8 7D 20 8B C3 8B 10 FF 92 F8 00 00 00 40 50 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 59 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93039_0 {
	meta:
		name = "AddMenuItems"
		size = 230
		refs = "000e AddMenuItems 0019 FilterClasses 0037 _Dn_TMenuItem 003c TMenuItem.Create 004c TList.Get 005c TMenuItem.SetCaption 0078 TObject.ClassName 0098 TFiltersEditor.FilterSelected 00b1 TMenuItem.Add 00d3 @UStrArrayClr 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 8B 78 08 4F 85 FF 0F 8C 92 00 00 00 47 33 F6 8B 45 08 8B 48 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 8D 55 FC FF 50 28 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7B 38 00 75 20 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 89 83 94 00 00 00 C7 83 90 00 00 00 ?? ?? ?? ?? 89 73 0C 8B 45 08 8B 40 FC 8B 80 BC 03 00 00 8B 40 3C 8B D3 E8 ?? ?? ?? ?? 46 4F 0F 85 71 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93040_0 {
	meta:
		name = "TFiltersEditor.FormShow"
		size = 460
		refs = "0015 TFiltersEditor.FormShow 0020 _Dn_TTeeFilter 002b _Dn_TFilterItems 0030 TOwnedCollection.Create 007c TFilterItems.Get 00d1 TCheckListBox.SetChecked 010a TPageControl.SetActivePage 0140 TFiltersEditor.FiltersClick 014a TFiltersEditor.Preview 0171 TControl.SetVisible 0177 AddMenuItems 0180 TeeTranslateControl 0189 TFiltersEditor.CompareMenus 0192 TFiltersEditor.SwapMenus 0197 FilterClasses 01a4 TeeSort 01b9 @UStrClr 01bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 20 04 00 00 8B 45 FC 8B 80 38 04 00 00 85 C0 0F 84 89 00 00 00 8B D0 8B C3 8B 08 FF 51 08 8B 45 FC 8B 80 38 04 00 00 8B 40 08 8B 70 08 4E 85 F6 7C 6C 46 33 DB 8B 45 FC 8B 80 38 04 00 00 8B D3 E8 ?? ?? ?? ?? 50 8B 45 FC 8B 80 38 04 00 00 8B D3 E8 ?? ?? ?? ?? 8B 00 8D 55 F8 FF 50 28 8B 55 F8 8B 45 FC 8B 80 B4 03 00 00 8B 80 88 02 00 00 59 8B 38 FF 57 3C 8B 45 FC 8B 80 38 04 00 00 8B D3 E8 ?? ?? ?? ?? 0F B6 48 0C 8B 45 FC 8B 80 B4 03 00 00 8B D3 E8 ?? ?? ?? ?? 43 4E 75 97 8B 45 FC 83 B8 3C 04 00 00 00 0F 95 C2 8B 45 FC 8B 80 D4 03 00 00 8B 08 FF 91 80 00 00 00 8B 45 FC 8B 90 E0 03 00 00 8B 45 FC 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B4 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 7E 28 8B 45 FC 8B 80 B4 03 00 00 33 D2 8B 08 FF 91 FC 00 00 00 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B4 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 0F 9F C2 8B 45 FC 8B 80 DC 03 00 00 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 50 08 4A 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93041_0 {
	meta:
		name = "TFiltersEditor.Scaled1Click"
		size = 56
		refs = "0011 TMenuItem.SetChecked 0032 TFiltersEditor.Preview"
	strings:
		$1 = { 53 8B D8 8B 83 C4 03 00 00 0F B6 50 3C 80 F2 01 E8 ?? ?? ?? ?? 8B 83 C4 03 00 00 0F B6 50 3C 8B 83 D8 03 00 00 8B 08 FF 91 FC 00 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93042_0 {
	meta:
		name = "TFiltersEditor.FormDestroy"
		size = 38
		refs = "000a TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 83 24 04 00 00 E8 ?? ?? ?? ?? 8B 83 20 04 00 00 E8 ?? ?? ?? ?? 8B 83 28 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93043_0 {
	meta:
		name = "TFiltersEditor.CBPreviewClick"
		size = 77
		refs = "0038 TFiltersEditor.Preview 0047 TCustomTeePanelExtended.SetBackImage"
	strings:
		$1 = { 53 8B D8 8B 83 D4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D8 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 D4 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 0B 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 33 D2 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93044_0 {
	meta:
		name = "TFiltersEditor.CBScaledClick"
		size = 41
		refs = "001a TMenuItem.SetChecked 0023 TFiltersEditor.Preview"
	strings:
		$1 = { 53 8B D8 8B 83 D8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93045_0 {
	meta:
		name = "TFormCreator.Create"
		size = 90
		refs = "000b @ClassCreate 001c TComponent.Create 0024 _Dn_TWinControl 0029 @AsClass 0033 _DV_TFormItems 0038 TObject.Create 0046 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 54 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93046_0 {
	meta:
		name = "TFormCreator.Destroy"
		size = 81
		refs = "0004 @BeforeDestruction 0013 TFormItems.Get 0018 TObject.Free 0022 TList.Delete 003e TComponent.Destroy 0049 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F8 EB 18 8B C6 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 54 33 D2 E8 ?? ?? ?? ?? 8B 77 54 83 7E 08 00 7F DF 8B 47 54 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C7 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93047_0 {
	meta:
		name = "TFormCreator.AddCheckBox"
		size = 223
		refs = "001e TFormCreator.AddCheckBox 002e _Dn_TCheckBox 0033 TCustomCheckBox.Create 0062 TControl.SetText 0073 GetPropValue 007b @VarToBool 0097 TFormCreator.CheckBoxChanged 00b0 TFormCreator.AddItem 00c8 @VarClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 53 38 8B C6 8B 08 FF 91 84 00 00 00 6A 4B 6A 10 8B 4B 4C BA 04 00 00 00 8B C6 8B 38 FF 97 A4 00 00 00 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8D 45 E8 50 B1 01 8B 55 FC 8B 43 50 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 FC 00 00 00 89 9E 1C 01 00 00 C7 86 18 01 00 00 ?? ?? ?? ?? 8B 46 54 83 C0 02 01 43 4C FF 75 0C FF 75 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 46 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_93048_0 {
	meta:
		name = "TFormCreator.AddItem"
		size = 65
		refs = "000d _DV_TFormItem 0012 TObject.Create 001e @UStrAsg 0034 TList.Add"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 43 04 8B D7 E8 ?? ?? ?? ?? 8B 45 08 89 43 08 8B 45 0C 89 43 0C 8B D3 8B 46 54 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_93049_0 {
	meta:
		name = "TFormCreator.AddScroll"
		size = 316
		refs = "001e TFormCreator.AddScroll 002e _Dn_TScrollBar 0033 TScrollBar.Create 003f _Dn_TLabel 0044 TCustomLabel.Create 0052 TControl.SetLeft 005f TControl.SetTop 0069 TControl.SetText 007f TCustomLabel.SetFocusControl 00ba TScrollBar.SetMin 00c4 TScrollBar.SetMax 00d5 GetPropValue 00dd @VarToInteger 00e6 TScrollBar.SetPosition 00f6 TFormCreator.ScrollChanged 010d TFormCreator.AddItem 0125 @VarClr 012b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 4B 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 BA 04 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 53 4C 83 EA 02 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 53 38 8B C7 8B 08 FF 91 84 00 00 00 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 47 54 01 43 4C 8B 53 38 8B C6 8B 08 FF 91 84 00 00 00 8B 43 38 8B 40 50 83 E8 08 50 6A 10 8B 4B 4C BA 04 00 00 00 8B C6 8B 38 FF 97 A4 00 00 00 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 08 8B C6 E8 ?? ?? ?? ?? 8D 45 E8 50 B1 01 8B 55 FC 8B 43 50 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 89 9E 9C 02 00 00 C7 86 98 02 00 00 ?? ?? ?? ?? 8B 46 54 83 C0 06 01 43 4C 6A 00 6A 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 46 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_93050_0 {
	meta:
		name = "TFormCreator.ScrollChanged"
		size = 105
		refs = "0013 TFormCreator.ScrollChanged 0021 _Dn_TScrollBar 0026 @AsClass 0036 @VarFromInt 0042 TFormCreator.ChangeProp 0057 @VarClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 7C 02 00 00 8D 45 F0 B1 FC E8 ?? ?? ?? ?? 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93051_0 {
	meta:
		name = "TFormCreator.ComboChanged"
		size = 109
		refs = "0013 TFormCreator.ComboChanged 0021 _Dn_TComboBox 0026 @AsClass 003a @VarFromInt 0046 TFormCreator.ChangeProp 005b @VarClr 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 F8 00 00 00 8B D0 8D 45 F0 B1 FC E8 ?? ?? ?? ?? 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93052_0 {
	meta:
		name = "TFormCreator.CheckBoxChanged"
		size = 107
		refs = "0013 TFormCreator.CheckBoxChanged 0021 _Dn_TCheckBox 0026 @AsClass 0038 @VarFromBool 0044 TFormCreator.ChangeProp 0059 @VarClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 F8 00 00 00 8B D0 8D 45 F0 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93053_0 {
	meta:
		name = "TFormCreator.ChangeProp"
		size = 74
		refs = "0014 _Dn_TComponent 0019 @AsClass 0029 SetPropValue"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 80 7B 48 00 75 35 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 70 0C 8B CD 8B 56 04 8B 43 50 E8 ?? ?? ?? ?? 66 83 7E 0A 00 74 08 8B D7 8B 46 0C FF 56 08 8B 53 50 8B 43 44 FF 53 40 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93054_0 {
	meta:
		name = "TFormCreator.ColorChanged"
		size = 14
	strings:
		$1 = { 53 8B D8 8B 50 50 8B 43 44 FF 53 40 5B C3 }
	condition:
		$1
}

rule function_93055_0 {
	meta:
		name = "TFormCreator.EditChanged"
		size = 117
		refs = "0014 TFormCreator.EditChanged 0022 _Dn_TEdit 0027 @AsClass 002f TControl.GetText 003a @VarFromUStr 0046 TFormCreator.ChangeProp 005b @UStrClr 0063 @VarClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93056_0 {
	meta:
		name = "TFormCreator.AddColor"
		size = 150
		refs = "0012 _Dn_TButtonColor 0017 TTeeButton.Create 0026 @AsClass 003f TControl.SetText 004b TTeeButton.LinkProperty 0057 TControl.SetLeft 0061 TControl.SetTop 0071 TFormCreator.ColorChanged 0087 TFormCreator.AddItem"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B FA 8B F0 8B 4E 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B C5 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 56 38 8B C3 8B 08 FF 91 84 00 00 00 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B CF 8B 56 50 8B C3 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 56 4C 8B C3 E8 ?? ?? ?? ?? 89 B3 1C 01 00 00 C7 83 18 01 00 00 ?? ?? ?? ?? 8B 43 54 83 C0 06 01 46 4C 6A 00 6A 00 8B D7 8B C6 E8 ?? ?? ?? ?? 89 43 0C 8B C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93057_0 {
	meta:
		name = "GetReadableEnum"
		size = 208
		refs = "0014 @UStrAsg 0047 @UStrDelete 004e @UStrLen 008e GetReadableEnum 0093 @UStrInsert"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 89 45 FC 8B C3 8B 55 FC E8 ?? ?? ?? ?? EB 31 8B 03 0F B7 30 8B FE 8B C6 83 C0 9F 66 83 E8 1A 73 07 8B FE 66 81 E7 DF FF 8B 03 66 3B 38 74 1C 8B C3 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 85 C0 7F C4 BE 02 00 00 00 EB 40 8B 03 0F B7 7C 70 FE 66 89 7D FA 8B C7 83 C0 9F 66 83 E8 1A 73 09 66 81 E7 DF FF 66 89 7D FA 8B 03 0F B7 44 70 FE 66 3B 45 FA 75 13 8B D3 8B CE B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C6 02 EB 01 46 8B 03 E8 ?? ?? ?? ?? 3B F0 7C B5 83 3B 00 75 0A 8B C3 8B 55 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_93058_0 {
	meta:
		name = "TFormCreator.AddCombo"
		size = 372
		refs = "001c TFormCreator.AddCombo 002c _Dn_TComboFlat 0031 TComboFlat.Create 0083 TFormCreator.ComboChanged 0094 GetPropInfo 00ab GetTypeData 00d4 GetEnumName 00df GetReadableEnum 0106 GetPropValue 0111 @VarToUStr 011c GetEnumValue 0136 TFormCreator.AddItem 014e @VarClr 015b @UStrArrayClr 0161 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4E 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 56 38 8B C3 8B 08 FF 91 84 00 00 00 8B 43 38 8B 40 50 83 E8 08 50 6A 10 8B 4E 4C BA 04 00 00 00 8B C3 8B 38 FF 97 A4 00 00 00 B2 02 8B C3 8B 08 FF 91 54 01 00 00 8B 43 54 83 C0 06 01 46 4C 89 B3 94 02 00 00 C7 83 90 02 00 00 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 55 FC 8B 46 50 E8 ?? ?? ?? ?? 85 C0 0F 84 8C 00 00 00 8B 00 8B 00 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 8B 40 09 8B 00 E8 ?? ?? ?? ?? 8B 50 01 8B 40 05 2B C2 7C 36 40 89 45 F0 89 55 F8 8D 4D E8 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 83 B4 02 00 00 8B 08 FF 51 38 FF 45 F8 FF 4D F0 75 D1 8D 45 D4 50 B1 01 8B 55 FC 8B 46 50 E8 ?? ?? ?? ?? 8D 55 D4 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 FC 00 00 00 6A 00 6A 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 89 43 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_93059_0 {
	meta:
		name = "TFormCreator.AddInteger"
		size = 484
		refs = "0022 TFormCreator.AddInteger 0032 _Dn_TEdit 0037 TCustomEdit.Create 0043 _Dn_TLabel 0048 TCustomLabel.Create 0063 TControl.SetLeft 0070 TControl.SetTop 0080 TControl.SetText 0095 TCustomLabel.SetFocusControl 009f TControl.GetText 00ac Pos 00ca @UStrCat3 011b TFormCreator.EditChanged 0129 TFormCreator.AddItem 0136 _Dn_TUpDown 013b TCustomUpDown.Create 0151 TWinControl.GetHandle 015a TCustomUpDown.SetAssociate 0164 TCustomUpDown.SetMax 016e TCustomUpDown.SetMin 017f GetPropValue 0187 @VarToInteger 0190 TCustomUpDown.SetPosition 01a5 @VarClr 01ad @UStrClr 01c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 4B 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 53 38 8B C7 8B 08 FF 91 84 00 00 00 BA 04 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 53 4C 83 C2 04 8B C7 E8 ?? ?? ?? ?? 83 7D F8 00 75 0C 8B 55 FC 8B C7 E8 ?? ?? ?? ?? EB 0A 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 24 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 53 38 8B C6 8B 08 FF 91 84 00 00 00 8B 46 38 8B 40 50 83 E8 34 83 E8 10 50 6A 10 8B 4B 4C BA 2C 00 00 00 8B C6 8B 38 FF 97 A4 00 00 00 8B 46 54 83 C0 06 01 43 4C 89 9E 94 02 00 00 C7 86 90 02 00 00 ?? ?? ?? ?? 6A 00 6A 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 46 0C 8B 4B 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 53 38 8B C7 8B 08 FF 91 84 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 55 08 8B C7 E8 ?? ?? ?? ?? 8B 55 0C 8B C7 E8 ?? ?? ?? ?? 8D 45 DC 50 B1 01 8B 55 FC 8B 43 50 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C6 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 }
	condition:
		$1
}

rule function_93060_0 {
	meta:
		name = "TFiltersEditor.Timer1Timer"
		size = 27
		refs = "000c TTimer.SetEnabled 0015 TFiltersEditor.FiltersClick"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93061_0 {
	meta:
		name = "TFiltersEditor.ELeftChange"
		size = 53
		refs = "0014 TCustomUpDown.GetPosition 001d TFiltersEditor.CurrentFilter 0022 TTeeFilter.GetRegion 002e TFiltersEditor.ChangedProperties"
	strings:
		$1 = { 53 56 8B D8 80 BB 2C 04 00 00 00 75 25 8B 83 F8 03 00 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 70 08 8B D3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93062_0 {
	meta:
		name = "TFiltersEditor.ETopChange"
		size = 53
		refs = "0014 TCustomUpDown.GetPosition 001d TFiltersEditor.CurrentFilter 0022 TTeeFilter.GetRegion 002e TFiltersEditor.ChangedProperties"
	strings:
		$1 = { 53 56 8B D8 80 BB 2C 04 00 00 00 75 25 8B 83 04 04 00 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 70 0C 8B D3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93063_0 {
	meta:
		name = "TFiltersEditor.EWidthChange"
		size = 53
		refs = "0014 TCustomUpDown.GetPosition 001d TFiltersEditor.CurrentFilter 0022 TTeeFilter.GetRegion 002e TFiltersEditor.ChangedProperties"
	strings:
		$1 = { 53 56 8B D8 80 BB 2C 04 00 00 00 75 25 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 70 10 8B D3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93064_0 {
	meta:
		name = "TFiltersEditor.EHeightChange"
		size = 53
		refs = "0014 TCustomUpDown.GetPosition 001d TFiltersEditor.CurrentFilter 0022 TTeeFilter.GetRegion 002e TFiltersEditor.ChangedProperties"
	strings:
		$1 = { 53 56 8B D8 80 BB 2C 04 00 00 00 75 25 8B 83 1C 04 00 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 70 04 8B D3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93069_0 {
	meta:
		name = "TFastLineSeriesEditor.FormShow"
		size = 236
		refs = "00e5 TPenDialog.FormShow"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 89 83 F0 03 00 00 85 C0 0F 84 C9 00 00 00 8B 40 44 89 83 CC 03 00 00 8B 83 F0 03 00 00 0F B6 90 7A 01 00 00 8B 83 D0 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 F0 03 00 00 0F B6 90 79 01 00 00 8B 83 E8 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 F0 03 00 00 0F B6 90 7E 01 00 00 8B 83 D8 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 F0 03 00 00 0F B6 90 7D 01 00 00 8B 83 DC 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 D8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 DC 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 F0 03 00 00 0F B6 90 70 01 00 00 8B 83 E0 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 F0 03 00 00 0F B6 90 7B 01 00 00 8B 83 EC 03 00 00 8B 08 FF 91 FC 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93070_0 {
	meta:
		name = "TFastLineSeriesEditor.BColorClick"
		size = 52
		refs = "0006 TPenDialog.BColorClick"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 CC 03 00 00 8B 40 10 8B 50 18 8B 86 F0 03 00 00 8B 08 FF 91 D8 00 00 00 8B 86 AC 03 00 00 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_93071_0 {
	meta:
		name = "TFastLineSeriesEditor.CBDrawAllClick"
		size = 62
		refs = "001a TFastLineSeries.SetDrawAll"
	strings:
		$1 = { 53 8B D8 8B 83 D0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B 83 F0 03 00 00 0F B6 90 7A 01 00 00 80 F2 01 8B 83 E8 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_93072_0 {
	meta:
		name = "TFastLineSeriesEditor.CBStairsClick"
		size = 62
		refs = "001a TFastLineSeries.SetStairs"
	strings:
		$1 = { 53 8B D8 8B 83 D8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B 83 D8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 DC 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_93073_0 {
	meta:
		name = "TFastLineSeriesEditor.CBInvStairsClick"
		size = 32
		refs = "001a TFastLineSeries.SetInvertedStairs"
	strings:
		$1 = { 53 8B D8 8B 83 DC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93074_0 {
	meta:
		name = "TFastLineSeriesEditor.CBNullsChange"
		size = 63
		refs = "001e TFastLineSeries.SetIgnoreNulls 0039 TCustomLineSeries.SetTreatNulls"
	strings:
		$1 = { 53 8B D8 8B 83 E0 03 00 00 8B 10 FF 92 F8 00 00 00 83 F8 02 0F 94 C2 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B 83 E0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93075_0 {
	meta:
		name = "TFastLineSeriesEditor.CBDrawAllStyleChange"
		size = 32
		refs = "001a TFastLineSeries.SetDAPStyle"
	strings:
		$1 = { 53 8B D8 8B 83 E8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93076_0 {
	meta:
		name = "TFastLineSeriesEditor.CBFastPenClick"
		size = 32
		refs = "001a TFastLineSeries.SetFastPen"
	strings:
		$1 = { 53 8B D8 8B 83 EC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93079_0 {
	meta:
		name = "TFormatEditor.RadioGroup1Click"
		size = 564
		refs = "0013 TFormatEditor.RadioGroup1Click 0105 TControl.GetText 0111 CurrencyString 011f TControl.SetText 01d3 TFormatEditor.TheFormat 0204 @UStrClr 0221 @UStrArrayClr 0227 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB E8 03 00 00 00 0F 85 C9 01 00 00 8B 83 A8 03 00 00 8B 10 FF 92 F8 00 00 00 88 83 F0 03 00 00 8B 83 B0 03 00 00 8B 10 FF 92 F8 00 00 00 88 83 F1 03 00 00 8B 83 A8 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 75 24 8B 83 B0 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 75 12 8B 83 AC 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 10 33 D2 8B 83 BC 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 93 F0 03 00 00 8B 83 A4 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 B0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 B4 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 AC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 A8 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 3B 8D 55 FC 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 14 8B 15 ?? ?? ?? ?? 8B 52 0C 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 8B 83 A4 03 00 00 8B 10 FF 92 F4 00 00 00 E9 BD 00 00 00 8B 83 B0 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 44 8D 55 F8 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 75 20 8D 4D F4 8B B3 B4 03 00 00 8B 86 B4 02 00 00 33 D2 8B 38 FF 57 0C 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 83 B4 03 00 00 8B 10 FF 92 F4 00 00 00 EB 67 8B 83 A0 03 00 00 8B 10 FF 52 68 8B D0 80 F2 01 8B 83 C0 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 A0 03 00 00 8B 10 FF 52 68 84 C0 74 3A 8D 55 F0 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 83 7D F0 00 75 18 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B 83 A0 03 00 00 8B 10 FF 92 F4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93080_0 {
	meta:
		name = "TFormatEditor.TheFormat"
		size = 832
		refs = "0018 TFormatEditor.TheFormat 003a TControl.GetText 006f CurrencyString 0076 @UStrAsg 007f @UStrClr 008a TCustomUpDown.GetPosition 00ac @UStrCat 0107 DupeString 011f @UStrFromWChar 0133 @UStrCatN 02d1 @UStrArrayClr 02d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A0 03 00 00 8B 10 FF 52 68 84 C0 74 12 8B D6 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? E9 78 02 00 00 8B 83 BC 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 0F 84 19 02 00 00 8B 83 C8 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 11 8B C6 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 85 C0 75 34 8B 83 C4 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 13 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 02 01 00 00 8B 83 C4 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 0F 84 CC 00 00 00 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 83 F8 03 7E 50 FF 36 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 8B D0 83 EA 03 8D 4D FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 FC 8D 45 F8 8B 15 ?? ?? ?? ?? 0F B7 92 BC 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? E9 8C 00 00 00 FF 36 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? 0F B7 92 BC 00 00 00 E8 ?? ?? ?? ?? FF 75 F4 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? BA 03 00 00 00 2B D0 8D 4D F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F0 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4D EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 EC 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? EB 20 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 4F 75 F1 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 85 C0 7E 7B 8D 45 E8 8B 15 ?? ?? ?? ?? 0F B7 92 BE 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 83 CC 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 26 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4D E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? EB 24 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8D 4D E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 57 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 49 8B 83 A8 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 0F 8B D6 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? EB 28 8B 83 B0 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 0F 8B D6 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 23 00 2C 00 23 00 23 00 23 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 30 00 30 00 30 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 }
	condition:
		$1
}

rule function_93081_0 {
	meta:
		name = "SetIntegerRB"
		size = 88
		refs = "0014 SetIntegerRB 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC C6 80 E8 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 BC 03 00 00 B2 01 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC C6 80 E8 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EB 5D C3 }
	condition:
		$1
}

rule function_93082_0 {
	meta:
		name = "TFormatEditor.FormShow"
		size = 2144
		refs = "001a TFormatEditor.FormShow 0031 @UStrLAsg 01c0 TFormatEditor.AddDate 01d7 TControl.SetText 0230 @HandleFinally 0286 TFormatEditor.AddGeo 030b Pos 032e TFormatEditor.CBPercentClick 0346 @UStrDelete 0354 CurrencyString 03b5 @UStrFromWChar 0452 SetIntegerRB 0475 @UStrCopy 0482 @UStrEqual 04bc TCustomUpDown.SetPosition 0586 @UStrAsg 06ac TeeTranslateControl 06c6 @UStrArrayClr 06ce @UStrClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC 8B 92 EC 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 03 00 00 8B 80 B4 02 00 00 8B 10 FF 52 44 8B 45 FC 8B 80 A0 03 00 00 8B 80 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 FC 8B 80 A0 03 00 00 8B 80 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 FC 8B 80 B4 03 00 00 8B 80 B4 02 00 00 8B 10 FF 52 44 8B 45 FC 8B 80 B4 03 00 00 8B 80 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 FC 8B 80 B4 03 00 00 8B 80 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 FC 8B 80 B4 03 00 00 8B 80 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 FC 8B 80 B4 03 00 00 8B 80 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 FC 8B 80 B4 03 00 00 8B 80 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 FC 8B 80 B4 03 00 00 8B 80 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 FC 8B 80 B4 03 00 00 8B 80 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 FC 8B 80 B4 03 00 00 8B 80 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 FC 8B 80 B4 03 00 00 8B 80 B4 02 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 45 FC 80 B8 F0 03 00 00 00 75 24 8B 45 FC 8B 90 EC 03 00 00 8B 45 FC 8B 80 A4 03 00 00 8B 80 B4 02 00 00 8B 08 FF 51 54 40 0F 84 96 00 00 00 8B 45 FC 8B 80 A4 03 00 00 B2 01 8B 08 FF 91 80 00 00 00 8B 45 FC 8B 90 EC 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 EC 03 00 00 8B 45 FC 8B 80 A4 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 03 00 00 8B 10 FF 92 F4 00 00 00 8B 45 FC C6 80 E8 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A8 03 00 00 B2 01 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 E8 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 80 B8 F1 03 00 00 00 75 24 8B 45 FC 8B 90 EC 03 00 00 8B 45 FC 8B 80 B4 03 00 00 8B 80 B4 02 00 00 8B 08 FF 51 54 40 0F 84 96 00 00 00 8B 45 FC 8B 80 B4 03 00 00 B2 01 8B 08 FF 91 80 00 00 00 8B 45 FC 8B 90 EC 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 90 EC 03 00 00 8B 45 FC 8B 80 B4 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B4 03 00 00 8B 10 FF 92 F4 00 00 00 8B 45 FC C6 80 E8 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 B0 03 00 00 B2 01 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 E8 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 90 EC 03 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 9F C2 8B 45 FC 8B 80 C0 03 00 00 8B 08 FF 91 FC 00 00 00 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? 85 DB 7E 14 8B 45 FC 05 EC 03 00 00 B9 01 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 EC 03 00 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 9F C2 8B 45 FC 8B 80 C8 03 00 00 8B 08 FF 91 FC 00 00 00 85 DB 7E 29 A1 ?? ?? ?? ?? 8B 00 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 8B 55 FC 81 C2 EC 03 00 00 8B C8 8B C3 92 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? 0F B7 92 BC 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8B 55 FC 8B 92 EC 03 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 9F C2 8B 45 FC 8B 80 C4 03 00 00 8B 08 FF 91 FC 00 00 00 85 DB 7E 3A 8D 45 E8 8B 15 ?? ?? ?? ?? 0F B7 92 BC 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 8B 55 FC 81 C2 EC 03 00 00 8B C8 8B C3 92 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? 0F B7 92 BE 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 8B 55 FC 8B 92 EC 03 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E ED 00 00 00 55 E8 ?? ?? ?? ?? 59 33 F6 EB 01 46 8D 45 E0 50 8D 7C 1E 01 8B D7 8B 45 FC 8B 80 EC 03 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 D3 8D 45 DC 50 8B D7 8B 45 FC 8B 80 EC 03 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 AB 8B 45 FC 8B 80 D0 03 00 00 8B D6 E8 ?? ?? ?? ?? 85 F6 7E 29 8D 45 D8 50 8D 53 01 8B 45 FC 8B 80 EC 03 00 00 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 D2 EB 02 B2 01 8B 45 FC 8B 80 CC 03 00 00 8B 08 FF 91 FC 00 00 00 8D 45 D4 8B 15 ?? ?? ?? ?? 0F B7 92 BC 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 8D 0C 30 8B 45 FC 05 EC 03 00 00 8B D3 E8 ?? ?? ?? ?? C6 45 F7 00 8B 45 FC 8B 80 EC 03 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 39 BB 01 00 00 00 8B 55 FC 8B 92 EC 03 00 00 0F B7 54 5A FE 66 83 FA 23 74 1C 66 83 FA 30 74 16 C6 45 F7 01 8B 45 FC 05 EC 03 00 00 8B 55 F8 E8 ?? ?? ?? ?? EB 04 43 48 75 CC 33 F6 80 7D F7 00 75 4D 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 EC 03 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1B BB 01 00 00 00 8B 55 FC 8B 92 EC 03 00 00 66 83 7C 5A FE 30 75 01 46 43 48 75 EA 8B 45 FC 8B 80 E4 03 00 00 8B D6 E8 ?? ?? ?? ?? E9 C3 00 00 00 8B 45 FC C6 80 E8 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 AC 03 00 00 B2 01 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 E8 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 80 A0 03 00 00 B2 01 8B 08 FF 91 80 00 00 00 8B 45 FC 8B 90 EC 03 00 00 8B 45 FC 8B 80 A0 03 00 00 8B 80 B4 02 00 00 8B 08 FF 51 54 85 C0 75 1D 8B 45 FC 8B 90 EC 03 00 00 8B 45 FC 8B 80 A0 03 00 00 8B 80 B4 02 00 00 8B 08 FF 51 38 8B 45 FC 8B 90 EC 03 00 00 8B 45 FC 8B 80 A0 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 03 00 00 8B 10 FF 92 F4 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 23 00 2E 00 23 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 30 00 2E 00 30 00 25 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 64 00 64 00 64 00 B0 00 20 00 6D 00 6D 00 27 00 20 00 73 00 73 00 22 00 2E 00 7A 00 7A 00 7A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 64 00 64 00 64 00 20 00 6D 00 6D 00 27 00 20 00 73 00 73 00 22 00 2E 00 7A 00 7A 00 7A 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 64 00 64 00 64 00 20 00 64 00 65 00 67 00 20 00 6D 00 6D 00 27 00 20 00 73 00 73 00 22 00 2E 00 7A 00 7A 00 7A 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 64 00 64 00 64 00 20 00 6D 00 6D 00 20 00 73 00 73 00 2E 00 7A 00 7A 00 7A 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 64 00 64 00 64 00 20 00 6D 00 6D 00 20 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 64 00 64 00 20 00 6D 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 64 00 64 00 64 00 B0 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 64 00 64 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_93083_0 {
	meta:
		name = "TFormatEditor.CBDateChange"
		size = 83
		refs = "000c TFormatEditor.CBDateChange 0020 TControl.GetText 002e @UStrAsg 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 EC 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_93084_0 {
	meta:
		name = "TFormatEditor.CBCustomChange"
		size = 83
		refs = "000c TFormatEditor.CBCustomChange 0020 TControl.GetText 002e @UStrAsg 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 EC 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_93085_0 {
	meta:
		name = "TFormatEditor.AddDate"
		size = 50
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 A4 03 00 00 8B 80 B4 02 00 00 8B D6 8B 08 FF 51 54 40 75 13 8B 83 A4 03 00 00 8B 80 B4 02 00 00 8B D6 8B 08 FF 51 38 5E 5B C3 }
	condition:
		$1
}

rule function_93086_0 {
	meta:
		name = "TFormatEditor.AddGeo"
		size = 50
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 B4 03 00 00 8B 80 B4 02 00 00 8B D6 8B 08 FF 51 54 40 75 13 8B 83 B4 03 00 00 8B 80 B4 02 00 00 8B D6 8B 08 FF 51 38 5E 5B C3 }
	condition:
		$1
}

rule function_93087_0 {
	meta:
		name = "TFormatEditor.FormCreate"
		size = 37
		refs = "0005 CurrencyString 000f TFormatEditor.AddDate"
	strings:
		$1 = { 53 8B D8 8B 15 ?? ?? ?? ?? 8B 52 0C 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 52 1C 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93088_0 {
	meta:
		name = "TFormatEditor.CBPercentClick"
		size = 121
	strings:
		$1 = { 53 8B D8 8B 83 C0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 80 F2 01 8B 83 C4 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 C0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 80 F2 01 8B 83 C8 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 C0 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 20 33 D2 8B 83 C4 03 00 00 8B 08 FF 91 FC 00 00 00 33 D2 8B 83 C8 03 00 00 8B 08 FF 91 FC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_93090_0 {
	meta:
		name = "TFormatEditor.CBGeoChange"
		size = 83
		refs = "000c TFormatEditor.CBGeoChange 0020 TControl.GetText 002e @UStrAsg 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 EC 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_93091_0 {
	meta:
		name = "TFormatEditor.RBIntegerClick"
		size = 80
		refs = "004a TFormatEditor.RadioGroup1Click"
	strings:
		$1 = { 53 8B D8 8B 83 BC 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 30 33 D2 8B 83 A8 03 00 00 8B 08 FF 91 FC 00 00 00 33 D2 8B 83 B0 03 00 00 8B 08 FF 91 FC 00 00 00 33 D2 8B 83 AC 03 00 00 8B 08 FF 91 FC 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93092_0 {
	meta:
		name = "TFormatEditor.Change"
		size = 197
		refs = "001a _DV_TFormatEditor 001f TCustomForm.Create 002a TFormatEditor.Change 003f @UStrAsg 004f TControl.SetVisible 0078 TFormatEditor.AddDefaultFormats 0090 TFormatEditor.TheFormat 00b0 TObject.Free 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 89 55 FC 8B 7D 08 8B 5D 0C 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 05 EC 03 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 A8 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 A4 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 A0 03 00 00 8B 90 B4 02 00 00 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 48 75 0C 8B D7 8B 45 F8 E8 ?? ?? ?? ?? EB 09 8B C7 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_93093_0 {
	meta:
		name = "TFormatEditor.AddDefaultFormats"
		size = 344
		refs = "0005 TeeMsg_DefValueFormat 0013 TFormatEditor.AddDefaultFormats"
	strings:
		$1 = { 53 8B DA 8B 15 ?? ?? ?? ?? 8B 12 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B C3 8B 08 FF 51 38 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 30 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 30 00 2E 00 23 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 23 00 2E 00 23 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 23 00 2C 00 23 00 23 00 30 00 2E 00 30 00 30 00 3B 00 28 00 23 00 2C 00 23 00 23 00 30 00 2E 00 30 00 30 00 29 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 30 00 30 00 65 00 2D 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 23 00 2E 00 30 00 20 00 22 00 78 00 31 00 30 00 22 00 20 00 45 00 2B 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 23 00 2E 00 23 00 20 00 78 00 31 00 30 00 45 00 2D 00 23 00 00 00 00 00 }
	condition:
		$1
}

rule function_93096_0 {
	meta:
		name = "TFramedBorderEditor.FormShow"
		size = 171
		refs = "001e _Dn_TBrushDialog 0023 TBrushDialog.AddDialog 0051 TChartBrush.GetGradient 005e TButtonGradient.LinkGradient 0069 InsertTeeShadowEditor 0071 TTeeShadowEditor.RefreshControls 007c InsertTeeEmbossEditor 00a4 TCustomUpDown.SetPosition"
	strings:
		$1 = { 53 56 8B D8 8B 83 C4 03 00 00 85 C0 0F 84 96 00 00 00 8B F0 8B 8B B0 03 00 00 8B 56 24 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8B B4 03 00 00 8B 56 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8B B8 03 00 00 8B 56 1C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B D0 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 8B 56 28 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8B 56 18 E8 ?? ?? ?? ?? 0F B6 56 10 8B 83 9C 03 00 00 8B 08 FF 91 FC 00 00 00 8B 56 2C 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93097_0 {
	meta:
		name = "TFramedBorderEditor.InsertDialog"
		size = 61
		refs = "000d _DV_TFramedBorderEditor 0012 TCustomForm.Create 0023 TControl.SetAlign 002a TeeTranslateControl 0033 AddFormTo"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B 4E 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 BB C4 03 00 00 B2 05 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93098_0 {
	meta:
		name = "TFramedBorderEditor.CBFrameVisibleClick"
		size = 32
		refs = "001a TTeeCustomShapeBrushPen.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 9C 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93099_0 {
	meta:
		name = "TFramedBorderEditor.EWidthChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TFramedBorder.SetWidth"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 18 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93102_0 {
	meta:
		name = "FillTeeFunctions"
		size = 220
		refs = "0011 FillTeeFunctions 0024 TStrings.BeginUpdate 0031 TeeMsg_FunctionNone 003f TeeSeriesTypes 0063 TTeeSeriesTypes.Get 0088 TeeLineSeparator 0099 ReplaceChar 00b5 TStrings.EndUpdate 00ca @UStrClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B B0 B4 02 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B 15 ?? ?? ?? ?? 8B 12 8B C6 8B 08 FF 51 38 A1 ?? ?? ?? ?? 8B 00 8B 40 08 48 85 C0 7C 65 40 89 45 F8 C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? 8B D8 83 7B 08 00 74 3B 83 7B 04 00 75 35 8B 53 08 8B C6 8B 08 FF 51 5C 40 75 28 8D 45 F4 50 8B 15 ?? ?? ?? ?? 0F B7 12 8B 43 0C 8B 00 66 B9 20 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 4B 08 8B C6 8B 18 FF 53 3C FF 45 FC FF 4D F8 75 A6 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93103_0 {
	meta:
		name = "AddSource"
		size = 224
		refs = "0010 AddSource 0030 @CallDynaInst 003e SeriesTitleOrName 0058 @UStrCatN 0085 TChartSeries.GetDataSources 008c TList.IndexOf 00bd @UStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 50 FC 8B 45 08 8B 40 FC 8B 40 40 8B CB 66 BE AA FF E8 ?? ?? ?? ?? 84 C0 74 74 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 85 FF 74 16 57 68 ?? ?? ?? ?? FF 75 FC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 83 78 F8 00 74 10 8B 45 08 8B 40 F8 8B CB 8B 55 FC 8B 30 FF 56 3C 8B 45 08 80 78 08 00 75 15 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 40 75 19 8B 45 08 83 78 F4 00 74 10 8B 45 08 8B 40 F4 8B CB 8B 55 FC 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_93104_0 {
	meta:
		name = "AddFrom"
		size = 106
		refs = "000f TComponent.GetComponentCount 0022 TComponent.GetComponent 0028 _Dn_TChartSeries 002d @IsClass 0046 AddSource 005b AddFrom"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 4A 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 08 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 59 8B 45 08 50 8B D3 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 59 43 4F 75 B9 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93105_0 {
	meta:
		name = "IsMDIApplication"
		size = 48
		refs = "0001 Application"
	strings:
		$1 = { A1 ?? ?? ?? ?? 83 38 00 74 20 A1 ?? ?? ?? ?? 8B 00 83 78 48 00 74 13 A1 ?? ?? ?? ?? 8B 00 8B 40 48 80 B8 A6 02 00 00 02 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_93106_0 {
	meta:
		name = "AddMDISources"
		size = 143
		refs = "0007 Application 0011 TCustomForm.get_ActiveMDIChild 002d TComponent.GetComponentCount 0040 TComponent.GetComponent 0046 _Dn_TCustomChart 004b @IsClass 005e _Dn_TCustomFrame 007f AddFrom"
	strings:
		$1 = { 55 8B EC 53 56 57 A1 ?? ?? ?? ?? 8B 00 8B 40 48 E8 ?? ?? ?? ?? 85 C0 74 71 A1 ?? ?? ?? ?? 8B 00 8B 40 48 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 52 47 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 18 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 08 8B 40 FC 8B 40 04 85 C0 74 12 8B 55 08 52 33 D2 E8 ?? ?? ?? ?? 59 EB 04 43 4F 75 B1 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_93107_0 {
	meta:
		name = "FillSeriesSources"
		size = 58
		refs = "0010 IsMDIApplication 001a AddMDISources 002f AddFrom"
	strings:
		$1 = { 55 8B EC 83 C4 F4 89 4D FC 89 55 F8 89 45 F4 E8 ?? ?? ?? ?? 84 C0 74 09 55 E8 ?? ?? ?? ?? 59 EB 13 8B 45 FC 8B 40 04 85 C0 74 09 55 33 D2 E8 ?? ?? ?? ?? 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_93108_0 {
	meta:
		name = "TTeeFuncEditor.FormCreate"
		size = 36
		refs = "0006 TBaseSourceEditor.FormCreate 0013 TCustomComboBox.SetSorted 001e FillTeeFunctions"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93110_0 {
	meta:
		name = "TTeeFuncEditor.FillSeries"
		size = 652
		refs = "0015 TTeeFuncEditor.FillSeries 007d FillSeriesSources 0097 TStrings.BeginUpdate 00c0 TChartSeries.GetDataSource 00cf TChartSeries.GetDataSources 00ef TList.Get 00f5 _Dn_TChartSeries 00fa @IsClass 011a SeriesTitleOrName 0176 TStrings.EndUpdate 017c @HandleFinally 0213 TTeeFuncEditor.CBSingleChange 024e TTeeFuncEditor.SetValueListCombo 0279 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 E4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 CC 03 00 00 8B 80 B4 02 00 00 8B 10 FF 52 44 8B 45 FC 8B 80 F0 03 00 00 89 45 F4 8B 45 F4 8B 80 90 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 44 6A 00 8B 45 FC 8B 88 F4 03 00 00 8B 45 FC 8B 80 CC 03 00 00 8B 90 B4 02 00 00 8B 45 F4 8B 80 90 03 00 00 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8B 80 94 03 00 00 89 45 F0 8B 45 F0 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 10 FF 92 04 01 00 00 8B 45 FC 8B B0 F4 03 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 93 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 40 08 48 85 C0 0F 8C 80 00 00 00 40 89 45 EC 33 FF 8B C6 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 57 8B C6 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 89 45 F8 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F0 8B 80 88 02 00 00 8B 4D F8 8B 18 FF 53 3C 8B 45 F4 8B 80 90 03 00 00 8B 80 88 02 00 00 89 45 E8 8B 55 F8 8B 45 E8 8B 08 FF 51 5C 8B D0 8B 45 E8 8B 08 FF 51 48 47 FF 4D EC 75 86 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 8B 80 88 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC 8B 80 C4 03 00 00 80 78 61 00 0F 84 D3 00 00 00 8B 45 FC 8B 80 F4 03 00 00 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 A7 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 92 00 00 00 8B 45 FC 8B 98 CC 03 00 00 8B 83 B4 02 00 00 8B D6 8B 08 FF 51 5C 8B F0 8B C3 8B 10 FF 92 F8 00 00 00 3B F0 74 4E 8B D6 8B C3 8B 08 FF 91 FC 00 00 00 8B 45 FC C6 80 E8 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 E8 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 88 D4 03 00 00 8B 45 FC 8B 90 F4 03 00 00 8B 45 FC 8B 00 E8 ?? ?? ?? ?? EB 14 8B 45 FC 8B 80 CC 03 00 00 83 CA FF 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93111_0 {
	meta:
		name = "TTeeFuncEditor.SetValueListCombo"
		size = 122
		refs = "000f TTeeFuncEditor.SetValueListCombo 0026 @UStrLAsg 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 96 60 01 00 00 8B 52 48 E8 ?? ?? ?? ?? 83 7D FC 00 75 0E 33 D2 8B C3 8B 08 FF 91 FC 00 00 00 EB 1A 8B 55 FC 8B 83 B4 02 00 00 8B 08 FF 51 54 8B D0 8B C3 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93112_0 {
	meta:
		name = "TTeeFuncEditor.FormShow"
		size = 382
		refs = "0008 TBaseSourceEditor.FormShow 0019 TPageControl.SetActivePage 004c TTeeEventListeners.Add 0055 _Dn_TSelectListForm 005a TCustomForm.Create 0073 TControl.SetHeight 009a TControl.SetAlign 00aa TTeeFuncEditor.CBSourcesChange 00c1 AddFormTo 00cc TeeTranslateControl 00e0 TTeeFuncEditor.FillSeries 011b TeeMsg_FunctionNone 0153 TChartSeries.GetDataSource 0176 TSelectListForm.EnableButtons"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 93 BC 03 00 00 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 43 0C 89 83 F4 03 00 00 8B 83 F4 03 00 00 85 C0 74 20 83 78 40 00 74 1A 8B D3 85 D2 74 06 81 EA 08 FC FF FF 8B 40 40 8B 80 14 03 00 00 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 F0 03 00 00 8B 86 90 03 00 00 8B 50 54 83 EA 05 E8 ?? ?? ?? ?? 8B 86 94 03 00 00 8B 50 54 83 EA 05 E8 ?? ?? ?? ?? 8B 56 54 83 EA 08 8B C6 E8 ?? ?? ?? ?? B2 05 8B C6 E8 ?? ?? ?? ?? 89 9E CC 03 00 00 C7 86 C8 03 00 00 ?? ?? ?? ?? 8B 8B F4 03 00 00 8B 93 BC 03 00 00 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 83 BB F4 03 00 00 00 0F 84 92 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B B3 94 03 00 00 8B 83 F4 03 00 00 8B 80 C4 00 00 00 85 C0 74 1F 8B 00 89 C7 8B 86 B4 02 00 00 8B D7 8B 08 FF 51 5C 8B D0 8B C6 8B 08 FF 91 FC 00 00 00 EB 1F 8B 15 ?? ?? ?? ?? 8B 12 8B 86 B4 02 00 00 8B 08 FF 51 54 8B D0 8B C6 8B 08 FF 91 FC 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 8B B3 F4 03 00 00 83 BE C4 00 00 00 00 75 0B 8B C6 E8 ?? ?? ?? ?? 85 C0 74 04 33 D2 EB 02 B2 01 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93113_0 {
	meta:
		name = "TTeeFuncEditor.TryCreateNewFunction"
		size = 114
		refs = "0008 TTeeFuncEditor.FunctionClass 0048 CreateNewTeeFunction"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 4C 8B BB F4 03 00 00 8B 97 C4 00 00 00 85 D2 75 04 B0 01 EB 09 8B 12 89 D0 3B F0 0F 95 C0 84 C0 74 3B 33 D2 8B C7 8B 08 FF 91 7C 01 00 00 8B D6 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 EB 10 33 D2 8B 83 F4 03 00 00 8B 08 FF 91 7C 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93114_0 {
	meta:
		name = "CreateEditorForm"
		size = 129
		refs = "001b TObject.Free 0022 GetClass 004a TeeTranslateControl 0079 AddFormTo"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 45 08 8B 40 FC 05 EC 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 51 8B 45 08 8B 48 FC B2 01 8B C3 FF 50 38 8B F0 8B 45 08 8B 40 FC 89 B0 EC 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 F4 03 00 00 8B 88 C4 00 00 00 8B 45 08 8B 40 FC 8B 90 C0 03 00 00 8B 45 08 8B 40 FC 8B 80 EC 03 00 00 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_93115_0 {
	meta:
		name = "TTeeFuncEditor.CBSourcesChange"
		size = 568
		refs = "0013 TTeeFuncEditor.CBSourcesChange 0021 TBaseSourceEditor.CBSourcesChange 0029 TTeeFuncEditor.FunctionClass 003c TTabSheet.SetTabVisible 005a TTeeFuncEditor.TryCreateNewFunction 00ae TControl.SetVisible 0111 CreateEditorForm 013d TPageControl.SetActivePage 015e TChartSeries.GetDataSource 0183 TTimer.SetEnabled 0198 TObject.Free 019e @HandleFinally 01f3 TCustomForm.SetVisible 0227 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 95 C2 8B 45 FC 8B 80 C0 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C0 03 00 00 80 B8 80 02 00 00 00 0F 84 63 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C9 B2 01 FF 50 38 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 5D F4 8B 03 FF 50 58 0F B6 5B 52 8B C3 34 01 84 C0 74 09 8B 45 F4 80 78 53 00 75 04 33 D2 EB 02 B2 01 8B 45 FC 8B 80 C4 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 03 00 00 80 78 61 00 74 33 8B 45 F4 0F B6 50 54 80 F2 01 8B 45 FC 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 D0 03 00 00 0F B6 50 61 8B 45 FC 8B 80 D4 03 00 00 E8 ?? ?? ?? ?? 83 7D F8 00 75 12 8B 45 FC 8B 80 C0 03 00 00 33 D2 E8 ?? ?? ?? ?? EB 0A 55 8B 45 F8 E8 ?? ?? ?? ?? 59 84 DB 74 27 8B 45 FC 8B 80 C0 03 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 C0 03 00 00 8B 45 FC 8B 80 B8 03 00 00 E8 ?? ?? ?? ?? 8B D3 80 F2 01 8B 45 FC 8B 80 BC 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F4 03 00 00 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 0A D8 74 1C 8B 45 FC 83 B8 EC 03 00 00 00 74 10 8B 45 FC 8B 80 DC 03 00 00 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 A0 03 00 00 B2 01 8B 08 FF 91 80 00 00 00 EB 20 8B 45 FC 8B 80 BC 03 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 03 00 00 0F B6 50 61 80 F2 01 8B 45 FC 8B 80 F0 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F0 03 00 00 80 78 61 00 74 10 8B 45 FC 8B 80 E0 03 00 00 B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93116_0 {
	meta:
		name = "DoApply"
		size = 532
		refs = "000c DoApply 0052 TChartSeries.SetDataSource 006b TChartValueList.SetValueSource 0081 TComboFlat.SelectedObject 00dd TComboFlat.CurrentItem 017a TChartSeries.CheckOtherSeries 018f TChartSeries.GetDataSources 01de TDataSourcesList.Add 01ed TTeeFuncEditor.TryCreateNewFunction 0202 @UStrClr 0208 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 C4 03 00 00 80 78 61 00 0F 84 D4 00 00 00 8B 45 08 8B 40 FC 8B 80 CC 03 00 00 8B 10 FF 92 F8 00 00 00 40 75 31 8B 45 08 8B 40 FC 8B 80 F4 03 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 F4 03 00 00 8B 80 60 01 00 00 33 D2 E8 ?? ?? ?? ?? E9 72 01 00 00 8B 45 08 8B 40 FC 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 80 F4 03 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 D4 03 00 00 8B 10 FF 92 F8 00 00 00 40 75 1E 8B 45 08 8B 40 FC 8B 80 F4 03 00 00 8B 80 60 01 00 00 33 D2 E8 ?? ?? ?? ?? E9 19 01 00 00 8D 55 FC 8B 45 08 8B 40 FC 8B 80 D4 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC 8B 80 F4 03 00 00 8B 80 60 01 00 00 E8 ?? ?? ?? ?? E9 E6 00 00 00 8B 45 08 8B 40 FC 8B 80 F0 03 00 00 8B 80 94 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 75 18 8B 45 08 8B 40 FC 8B 80 F4 03 00 00 33 D2 E8 ?? ?? ?? ?? E9 AD 00 00 00 8B 45 08 8B 40 FC 8B 80 F0 03 00 00 8B 80 94 03 00 00 8B B8 88 02 00 00 8B C7 8B 10 FF 52 14 8B D8 4B 85 DB 7C 23 43 33 F6 8B D6 8B C7 8B 08 FF 51 18 8B D0 8B 45 08 8B 40 FC 8B 80 F4 03 00 00 E8 ?? ?? ?? ?? 46 4B 75 E0 8B 45 08 8B 40 FC 8B 80 F4 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 08 8B 45 08 8B 40 FC 8B 80 F0 03 00 00 8B 80 94 03 00 00 8B B8 88 02 00 00 8B C7 8B 10 FF 52 14 8B D8 4B 85 DB 7C 28 43 33 F6 8B D6 8B C7 8B 08 FF 51 18 50 8B 45 08 8B 40 FC 8B 80 F4 03 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 46 4B 75 DB 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93117_0 {
	meta:
		name = "TTeeFuncEditor.BApplyClick"
		size = 138
		refs = "004b TChartSeries.BeginUpdate 0051 DoApply 0060 TChartSeries.EndUpdate 006e TChartSeries.CheckDataSource"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC 8B 80 EC 03 00 00 85 C0 74 2A 66 83 B8 02 03 00 00 00 74 20 C6 45 FB 01 8B 45 FC 8B 80 EC 03 00 00 8B D8 8D 4D FB 8B D0 8B 83 04 03 00 00 FF 93 00 03 00 00 8B 45 FC 8B 80 F4 03 00 00 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 F4 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 F4 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 03 00 00 33 D2 8B 08 FF 91 80 00 00 00 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93118_0 {
	meta:
		name = "TTeeFuncEditor.CBSingleChange"
		size = 202
		refs = "0075 TComboFlat.SelectedObject 009e TChartValueLists.Get"
	strings:
		$1 = { 53 56 57 55 51 8B F0 0F B6 96 E8 03 00 00 80 F2 01 8B 86 A0 03 00 00 8B 08 FF 91 80 00 00 00 8B 9E D4 03 00 00 8B 83 B4 02 00 00 8B 10 FF 52 44 8B 86 CC 03 00 00 8B 10 FF 92 F8 00 00 00 40 0F 95 C2 8B C3 8B 08 FF 91 80 00 00 00 8B C3 8B 10 FF 52 68 8B D0 8B 86 D8 03 00 00 8B 08 FF 91 80 00 00 00 8B C3 8B 10 FF 52 68 84 C0 74 56 8B 86 CC 03 00 00 E8 ?? ?? ?? ?? 89 04 24 8B 04 24 8B 80 98 00 00 00 8B 78 08 4F 85 FF 7E 27 BD 01 00 00 00 8B 04 24 8B 80 98 00 00 00 8B D5 E8 ?? ?? ?? ?? 8B 50 20 8B 83 B4 02 00 00 8B 08 FF 51 38 45 4F 75 DE 33 D2 8B 86 D4 03 00 00 8B 08 FF 91 FC 00 00 00 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93119_0 {
	meta:
		name = "TTeeFuncEditor.BNoneClick"
		size = 31
		refs = "0019 TTeeFuncEditor.CBSingleChange"
	strings:
		$1 = { 53 8B D8 83 CA FF 8B 83 CC 03 00 00 8B 08 FF 91 FC 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93121_0 {
	meta:
		name = "TTeeFuncEditor.TeeEvent"
		size = 126
		refs = "0010 _Dn_TTeeSeriesEvent 0015 @IsClass 003f TTeeFuncEditor.FillSeries"
	strings:
		$1 = { 53 56 8B F2 8B D8 F6 43 1C 08 75 6F 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5E 8B C6 0F B6 50 08 80 EA 01 72 2F 74 07 80 EA 03 74 28 EB 4A 8B 40 0C 3B 83 F4 03 00 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 36 33 D2 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 EB 24 8B 40 0C 3B 83 F4 03 00 00 74 09 8B C3 E8 ?? ?? ?? ?? EB 10 33 D2 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_93122_0 {
	meta:
		name = "TTeeFuncEditor.FormDestroy"
		size = 54
		refs = "0026 TCustomTeePanel.RemoveListener 002f TBaseSourceEditor.FormDestroy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 F4 03 00 00 85 C0 74 1A 83 78 40 00 74 14 8B D3 85 D2 74 06 81 EA 08 FC FF FF 8B 40 40 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93123_0 {
	meta:
		name = "TTeeFuncEditor.Timer1Timer"
		size = 48
		refs = "000c TTimer.SetEnabled 0019 TPageControl.SetActivePage"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 93 C0 03 00 00 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93124_0 {
	meta:
		name = "TTeeFuncEditor.Timer2Timer"
		size = 48
		refs = "000c TTimer.SetEnabled 0019 TPageControl.SetActivePage"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 E0 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 93 BC 03 00 00 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93125_0 {
	meta:
		name = "TTeeFuncEditor.SpeedButton1Click"
		size = 69
		refs = "000a GetParentForm 000f GetChartGalleryFunction 003d TTeeFuncEditor.CBSourcesChange"
	strings:
		$1 = { 53 56 57 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 28 8B BB 94 03 00 00 8B 87 B4 02 00 00 8B D6 8B 08 FF 51 5C 8B D0 8B C7 8B 08 FF 91 FC 00 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93126_0 {
	meta:
		name = "TTeeFuncEditor.Translate"
		size = 21
		refs = "000f TeeTranslateControl"
	strings:
		$1 = { 51 8B 90 CC 03 00 00 89 14 24 8B D4 33 C9 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_93129_0 {
	meta:
		name = "TAddTeeFunction.CalculateValue"
		size = 51
		refs = "0012 @DynArrayLength"
	strings:
		$1 = { 53 83 C4 F8 8B DA 33 C0 89 04 24 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 11 40 33 D2 DD 04 24 DC 04 D3 DD 1C 24 9B 42 48 75 F2 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_93130_0 {
	meta:
		name = "TSubtractTeeFunction.CalculateValue"
		size = 73
		refs = "0012 @DynArrayLength"
	strings:
		$1 = { 53 83 C4 F8 8B DA 33 C0 89 04 24 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 25 42 33 C0 85 C0 75 10 8B 0C C3 89 0C 24 8B 4C C3 04 89 4C 24 04 EB 0A DD 04 24 DC 24 C3 DD 1C 24 9B 40 4A 75 DE DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_93131_0 {
	meta:
		name = "TMultiplyTeeFunction.CalculateValue"
		size = 73
		refs = "0012 @DynArrayLength"
	strings:
		$1 = { 53 83 C4 F8 8B DA 33 C0 89 04 24 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 25 42 33 C0 85 C0 75 10 8B 0C C3 89 0C 24 8B 4C C3 04 89 4C 24 04 EB 0A DD 04 24 DC 0C C3 DD 1C 24 9B 40 4A 75 DE DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_93132_0 {
	meta:
		name = "TDivideTeeFunction.CalculateValue"
		size = 73
		refs = "0012 @DynArrayLength"
	strings:
		$1 = { 53 83 C4 F8 8B DA 33 C0 89 04 24 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 25 42 33 C0 85 C0 75 10 8B 0C C3 89 0C 24 8B 4C C3 04 89 4C 24 04 EB 0A DD 04 24 DC 34 C3 DD 1C 24 9B 40 4A 75 DE DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_93133_0 {
	meta:
		name = "THighTeeFunction.Calculate"
		size = 71
		refs = "001c TTeeFunction.ValueList 0021 TChartValueList.GetMaxValue 0034 TTeeFunction.Calculate"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 83 F9 FF 75 1A 80 7B 38 00 74 14 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D F8 9B EB 11 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_93135_0 {
	meta:
		name = "TLowTeeFunction.Calculate"
		size = 71
		refs = "001c TTeeFunction.ValueList 0021 TChartValueList.GetMinValue 0034 TTeeFunction.Calculate"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 83 F9 FF 75 1A 80 7B 38 00 74 14 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 5D F8 9B EB 11 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_93134_0 {
	meta:
		name = "THighTeeFunction.CalculateValue"
		size = 89
		refs = "0012 @DynArrayLength"
	strings:
		$1 = { 53 83 C4 F8 8B DA 33 C0 89 04 24 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 8B C8 49 85 C9 7C 35 41 33 D2 85 D2 75 10 8B 04 D3 89 04 24 8B 44 D3 04 89 44 24 04 EB 1A DD 04 D3 DC 1C 24 9B DF E0 9E 76 0E 8B 04 D3 89 04 24 8B 44 D3 04 89 44 24 04 42 49 75 CE DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_93136_0 {
	meta:
		name = "TLowTeeFunction.CalculateValue"
		size = 89
		refs = "0012 @DynArrayLength"
	strings:
		$1 = { 53 83 C4 F8 8B DA 33 C0 89 04 24 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 8B C8 49 85 C9 7C 35 41 33 D2 85 D2 75 10 8B 04 D3 89 04 24 8B 44 D3 04 89 44 24 04 EB 1A DD 04 D3 DC 1C 24 9B DF E0 9E 73 0E 8B 04 D3 89 04 24 8B 44 D3 04 89 44 24 04 42 49 75 CE DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_93137_0 {
	meta:
		name = "TAverageTeeFunction.Calculate"
		size = 104
		refs = "0028 TTeeFunction.ValueList 002d TChartValueList.GetTotal 0055 TTeeFunction.Calculate"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 83 F9 FF 75 3B 80 7B 38 00 74 35 8B 86 A0 00 00 00 83 78 04 00 7E 1F 8B D6 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 86 A0 00 00 00 DB 40 04 DE F9 DD 5D F8 9B EB 1B 33 C0 89 45 F8 89 45 FC EB 11 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_93138_0 {
	meta:
		name = "TAverageTeeFunction.CalculateValue"
		size = 76
		refs = "0015 @DynArrayLength"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 33 C0 89 04 24 89 44 24 04 33 DB 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 12 40 33 D2 43 DD 04 24 DC 04 D6 DD 1C 24 9B 42 48 75 F1 85 DB 7E 0F 89 5C 24 08 DB 44 24 08 DC 3C 24 DD 1C 24 9B DD 04 24 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_93139_0 {
	meta:
		name = "TAverageTeeFunction.GetEditorClass"
		size = 72
		refs = "0006 TAverageTeeFunction.GetEditorClass 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 54 00 41 00 76 00 65 00 72 00 61 00 67 00 65 00 46 00 75 00 6E 00 63 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_93140_0 {
	meta:
		name = "TCustomTeeFunction.Create"
		size = 78
		refs = "000a @ClassCreate 0017 TTeeFunction.Create 0029 TTeeFunction.SetPeriod 003b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 52 01 68 00 00 F0 3F 6A 00 8B C6 E8 ?? ?? ?? ?? C7 46 60 64 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_93141_0 {
	meta:
		name = "TCustomTeeFunction.AddPoints"
		size = 181
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F0 66 83 7E 5A 00 0F 84 99 00 00 00 8B 46 4C 8B 10 FF 92 08 01 00 00 8B 46 68 89 04 24 8B 46 6C 89 44 24 04 8B 7E 60 85 FF 7E 7A 8B 04 24 89 46 70 8B 44 24 04 89 46 74 FF 74 24 04 FF 74 24 04 8D 4C 24 10 8B D6 8B 46 5C FF 56 58 8B 6E 4C 80 BD 6C 01 00 00 00 74 21 FF 76 74 FF 76 70 FF 74 24 14 FF 74 24 14 B9 00 00 00 20 33 D2 8B C5 8B 18 FF 93 00 01 00 00 EB 1F FF 74 24 0C FF 74 24 0C FF 76 74 FF 76 70 B9 00 00 00 20 33 D2 8B C5 8B 18 FF 93 00 01 00 00 DD 04 24 DC 46 40 DD 1C 24 9B 4F 75 86 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93142_0 {
	meta:
		name = "TCustomTeeFunction.GetEditorClass"
		size = 76
		refs = "0006 TCustomTeeFunction.GetEditorClass 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 54 00 43 00 75 00 73 00 74 00 6F 00 6D 00 46 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_93143_0 {
	meta:
		name = "TCustomSortedFunction.AddValue"
		size = 111
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 33 C9 8B 5D FC 85 DB 7C 42 43 33 F6 DD 04 F2 DC 5D 08 9B DF E0 9E 76 2F 8B 45 FC 8D 5E 01 2B D8 7F 14 4B 8B 4C C2 F8 89 0C C2 8B 4C C2 FC 89 4C C2 04 48 43 75 ED 8B 45 08 89 04 F2 8B 45 0C 89 44 F2 04 B1 01 EB 04 46 4B 75 C1 84 C9 75 10 8B 45 FC 8B 4D 08 89 0C C2 8B 4D 0C 89 4C C2 04 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_93144_0 {
	meta:
		name = "TMedianTeeFunction.CalculateValue"
		size = 88
		refs = "0009 @DynArrayLength 0045 TMedianTeeFunction.CalculateValue"
	strings:
		$1 = { 53 83 C4 F8 8B DA 8B C3 E8 ?? ?? ?? ?? 83 F8 01 75 0E 8B 03 89 04 24 8B 43 04 89 44 24 04 EB 2D 8D 50 01 D1 FA 79 03 83 D2 00 8B 0C D3 89 0C 24 8B 4C D3 04 89 4C 24 04 A8 01 74 11 DD 04 24 DC 44 D3 F8 D8 0D ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A 5B C3 00 00 00 3F }
	condition:
		$1
}

rule function_93145_0 {
	meta:
		name = "TModeTeeFunction.CalculateValue"
		size = 157
		refs = "000b @DynArrayHigh"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B DA 8B C3 E8 ?? ?? ?? ?? 40 7E 0E 8B 03 89 04 24 8B 43 04 89 44 24 04 EB 09 33 C0 89 04 24 89 44 24 04 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 60 BE 01 00 00 00 33 FF 8B C3 E8 ?? ?? ?? ?? 8B C8 85 C9 7E 33 BA 01 00 00 00 DD 44 D3 F8 DC 1C D3 9B DF E0 9E 75 03 46 EB 1A 3B FE 7D 11 8B 44 D3 F8 89 04 24 8B 44 D3 FC 89 44 24 04 8B FE BE 01 00 00 00 42 49 75 D2 3B FE 7D 15 8B C3 E8 ?? ?? ?? ?? 8B 14 C3 89 14 24 8B 54 C3 04 89 54 24 04 DD 04 24 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93147_0 {
	meta:
		name = "VCLTee.TeeFunci"
		size = 174
		refs = "0002 _DV_31 000f TeeMsg_FunctionAdd 0014 _DV_TAddTeeFunction 0019 RegisterTeeBasicFunction 001f TeeMsg_FunctionSubtract 0024 _DV_TSubtractTeeFunction 002f TeeMsg_FunctionMultiply 0034 _DV_TMultiplyTeeFunction 003f TeeMsg_FunctionDivide 0044 _DV_TDivideTeeFunction 004f TeeMsg_FunctionHigh 0054 _DV_THighTeeFunction 005f TeeMsg_FunctionLow 0064 _DV_TLowTeeFunction 006f TeeMsg_FunctionAverage 0074 _DV_TAverageTeeFunction 007f TeeMsg_FunctionCustom 0084 _DV_TCustomTeeFunction 008f TeeMsg_FunctionMedian 0094 _DV_TMedianTeeFunction 009f TeeMsg_FunctionMode 00a4 _DV_TModeTeeFunction"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 0F 83 A0 00 00 00 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93148_0 {
	meta:
		name = "TTeeGalleryForm.FormCreate"
		size = 183
		refs = "0019 _Dn_TChart 001e TCustomChart.Create 0033 TChartListBox.SetChart 0040 TCustomListBox.SetSorted 0053 TTeeGalleryForm.FillGalleryPages 0059 TeeMsg_All 0074 TeeMsg_GalleryStandard 00a0 TChartGalleryPanel.DefaultSmooth"
	strings:
		$1 = { 53 56 8B D8 33 C0 89 83 C8 03 00 00 33 C0 89 83 CC 03 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C0 03 00 00 8B D6 8B 83 94 03 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 83 A0 03 00 00 8B 90 B4 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 09 8B 83 A0 03 00 00 8B 80 B4 02 00 00 33 D2 8B 30 FF 56 60 8B 15 ?? ?? ?? ?? 8B 12 8B B3 A0 03 00 00 8B 86 B4 02 00 00 8B 08 FF 51 54 8B D0 8B C6 8B 08 FF 91 FC 00 00 00 8B 83 90 03 00 00 8B 00 E8 ?? ?? ?? ?? 8B D0 8B 83 AC 03 00 00 8B 08 FF 91 FC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_93149_0 {
	meta:
		name = "TTeeGalleryForm.FormKeyDown"
		size = 32
		refs = "0017 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 56 8B F0 8B D1 8B 86 90 03 00 00 0F B7 4D 08 66 BE B9 FF E8 ?? ?? ?? ?? 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_93150_0 {
	meta:
		name = "TTeeGalleryForm.ChartListBox1Click"
		size = 93
		refs = "000b TChartListBox.GetSelectedSeries 0031 TTeeGalleryForm.CreateGallery 0048 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 47 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 00 89 C2 8B F2 3B B3 C4 03 00 00 74 2E 8B D6 8B C3 E8 ?? ?? ?? ?? 89 B3 C4 03 00 00 8B 9B 94 03 00 00 8B C3 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 0A 8B C3 8B 10 FF 92 F4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_93151_0 {
	meta:
		name = "TTeeGalleryForm.CBPageChange"
		size = 108
		refs = "000c TTeeGalleryForm.CBPageChange 002d TTeeGalleryForm.CreateChartList 003d TComboFlat.CurrentItem 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A0 03 00 00 8B 10 FF 92 F8 00 00 00 85 C0 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 18 8D 55 FC 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_93152_0 {
	meta:
		name = "TTeeGalleryForm.CB3DClick"
		size = 32
		refs = "001a TChartGalleryPanel.SetView3D"
	strings:
		$1 = { 53 8B D8 8B 83 A8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93153_0 {
	meta:
		name = "TTeeGalleryForm.FillGalleryPages"
		size = 151
		refs = "000e TTeeGalleryForm.FillGalleryPages 0019 TeeSeriesTypes 0034 TTeeSeriesTypes.Get 0041 @UStrLAsg 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 8B 70 08 4E 85 F6 7C 4D 46 33 DB A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 8B 40 10 8B 10 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C7 8B 08 FF 51 54 40 75 1E A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 83 78 08 00 75 0A 8B 55 FC 8B C7 8B 08 FF 51 38 43 4E 75 B6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93154_0 {
	meta:
		name = "TTeeGalleryForm.CreateChartList"
		size = 312
		refs = "0018 TTeeGalleryForm.CreateChartList 0032 TStrings.BeginUpdate 0050 TCustomAxisPanel.FreeAllSeries 0055 TeeSeriesTypes 0070 TTeeSeriesTypes.Get 008b @UStrEqual 00a6 TTeeSeriesTypes.Find 00b1 TeeLineSeparator 00bd ReplaceChar 00d2 TCustomAxisPanel.AddSeries 00d8 TCustomChartSeries.SetTitle 00e7 TTeeGalleryForm.ChartListBox1Click 0108 TStrings.EndUpdate 010e @HandleFinally 0125 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 94 03 00 00 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 C0 03 00 00 33 D2 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 70 08 4E 85 F6 7C 7D 46 33 FF A1 ?? ?? ?? ?? 8B 00 8B D7 E8 ?? ?? ?? ?? 8B D8 83 7B 08 00 75 60 83 7D F8 00 74 0F 8B 43 10 8B 00 8B 55 F8 E8 ?? ?? ?? ?? 75 4B 83 7B 18 00 75 45 8D 45 F4 50 8B 53 04 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 40 0C 8B 00 8B 15 ?? ?? ?? ?? 0F B7 12 66 B9 20 00 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 53 04 8B 45 FC 8B 80 C0 03 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 47 4E 75 86 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 94 03 00 00 8B 80 88 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93155_0 {
	meta:
		name = "TTeeGalleryForm.CreateGallery"
		size = 340
		refs = "001d TChartGalleryPanel.SetNumRows 003d _Dn_TTeeSeriesType 0042 TObject.Create 0055 TTeeGalleryForm.CreateGallery 00bd TChartGalleryPanel.CreateSubChart 0104 TChartGalleryPanel.ShowSelectedChart 011f TObject.Free 0125 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B FA 8B D8 8B 83 90 03 00 00 89 45 FC BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 A0 02 00 00 00 8B 83 90 03 00 00 8B 55 FC 89 82 E0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 B0 E8 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 7E 04 C7 46 14 01 00 00 00 33 C0 89 46 08 8B 45 FC 8B 80 98 02 00 00 8B 10 FF 52 08 33 D2 8B 45 FC 8B 08 FF 91 FC 00 00 00 8B 45 FC 8B 80 E8 02 00 00 8B 40 04 33 C9 B2 01 FF 50 38 8B F0 8B 45 FC 89 B0 E4 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 90 03 00 00 50 68 ?? ?? ?? ?? 8B 06 FF 90 84 00 00 00 8B 45 FC 8B 80 A4 02 00 00 8B 55 FC 8B B2 A8 02 00 00 F7 EE 8B 55 FC 8B 92 98 02 00 00 8B 4A 08 3B C1 7D 10 8B C1 99 F7 FE 8B D0 42 8B 45 FC E8 ?? ?? ?? ?? 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 E4 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 E8 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93157_0 {
	meta:
		name = "TTeeGalleryForm.CBSmoothClick"
		size = 32
		refs = "001a TChartGalleryPanel.SetSmooth"
	strings:
		$1 = { 53 8B D8 8B 83 AC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93159_0 {
	meta:
		name = "TTeeGalleryForm.FormShow"
		size = 77
		refs = "0008 TTeeGalleryForm.CBPageChange 002e TControl.SetWidth 0047 TControl.SetHeight"
	strings:
		$1 = { 53 8B D8 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 83 C8 03 00 00 85 C0 7E 35 83 BB CC 03 00 00 00 7E 2C 83 F8 64 7D 05 B8 64 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 83 CC 03 00 00 83 F8 64 7D 05 B8 64 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93164_0 {
	meta:
		name = "TGalleryChart.Create"
		size = 673
		refs = "000f @ClassCreate 0021 TCustomChart.Create 0035 TTeeCustomShapeBrushPen.SetVisible 0042 TChartAxis.SetLabelStyle 0052 TChartPen.SetSmallDots 0065 TChartPen.SetSmallSpace 007e TFont.SetSize 0097 TFont.SetColor 0125 TView3DOptions.SetOrthogonal 0131 TView3DOptions.SetZoomInteger 013d TView3DOptions.SetPerspective 0152 TView3DOptions.SetRotationInteger 015e TView3DOptions.SetElevationInteger 016a TCustomAxisPanel.Set3DPercent 0173 TCustomAxisPanel.SetClipPoints 017a TCustomChart.GetFrame 017f TChartPen.Hide 018b TCustomPanel.SetBevelWidth 0194 TCustomPanel.SetBevelOuter 019b TCustomChart.GetLeftWall 01a3 clTeeGallery 01aa TTeeCustomShape.SetColor 01b6 TCustomChartWall.SetSize 01bd TCustomChartWall.GetPen 01c7 TPen.SetColor 01ce TTeeCustomShape.GetGradient 01d5 TCustomTeeGradient.SetVisible 01e6 TCustomTeeGradient.SetStartColor 01f7 TCustomTeeGradient.SetEndColor 01fe TCustomChart.GetBottomWall 026a TGalleryChart.AfterDraw 0277 TControl.SetColor 028b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? C6 87 99 02 00 00 00 8B 87 60 04 00 00 33 D2 E8 ?? ?? ?? ?? 8B 87 C8 03 00 00 B2 02 E8 ?? ?? ?? ?? 8B 87 C8 03 00 00 8B 40 60 B2 01 E8 ?? ?? ?? ?? 8B 87 C8 03 00 00 8B 40 60 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 87 C8 03 00 00 8B 40 6C 8B 40 14 8B 40 20 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 87 C8 03 00 00 8B 40 6C 8B 40 14 8B 40 20 BA 80 80 80 00 E8 ?? ?? ?? ?? 8B 87 C4 03 00 00 B2 02 E8 ?? ?? ?? ?? 8B 87 C4 03 00 00 8B 40 60 B2 01 E8 ?? ?? ?? ?? 8B 87 C4 03 00 00 8B 40 6C 8B 40 14 8B 40 20 BA 07 00 00 00 E8 ?? ?? ?? ?? 8B 87 C4 03 00 00 8B 40 6C 8B 40 14 8B 40 20 BA 80 80 80 00 E8 ?? ?? ?? ?? 8B 87 C4 03 00 00 8B 40 60 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 87 70 04 00 00 8B 40 20 BA 00 00 80 00 E8 ?? ?? ?? ?? 8B 87 74 03 00 00 C6 40 19 01 8B 9F 08 03 00 00 33 D2 8B C3 E8 ?? ?? ?? ?? BA 5A 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 37 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BE A1 02 00 00 00 74 18 BA 4F 01 00 00 8B C3 E8 ?? ?? ?? ?? BA 5E 01 00 00 8B C3 E8 ?? ?? ?? ?? BA 64 00 00 00 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 02 00 00 00 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 80 80 80 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 80 80 80 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA C0 C0 C0 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 80 80 80 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 80 80 80 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA C0 C0 C0 00 E8 ?? ?? ?? ?? 89 BF 84 03 00 00 C7 87 80 03 00 00 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? C6 87 99 02 00 00 01 8B C7 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93165_0 {
	meta:
		name = "TGalleryChart.SetMargins"
		size = 81
		refs = "0023 TCustomTeePanel.SetMargin"
	strings:
		$1 = { 53 56 8B D8 80 BB 04 03 00 00 00 74 07 BE 04 00 00 00 EB 05 BE 05 00 00 00 8B CE BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B CE BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CE BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93166_0 {
	meta:
		name = "TGalleryChart.DrawFrame3D"
		size = 90
		refs = "0033 Frame3D"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 66 83 BE 80 00 00 00 F3 74 41 8B D4 8B C6 8B 08 FF 51 60 84 DB 74 19 8B 46 74 50 6A 01 8D 54 24 08 8B C8 8B 86 C8 02 00 00 E8 ?? ?? ?? ?? EB 1B 68 80 80 80 00 6A 01 8D 54 24 08 B9 FF FF FF 00 8B 86 C8 02 00 00 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_93167_0 {
	meta:
		name = "TGalleryChart.Focus"
		size = 308
		refs = "0011 TCustomTeePanelExtended.GetGradient 001c TCustomTeeGradient.SetVisible 0025 TCustomTeeGradient.SetDirection 0031 TCustomTeeGradient.SetStartColor 0037 clTeeGallery 003e TCustomTeeGradient.SetEndColor 005e TView3DOptions.SetRotationInteger 007d @CallDynaInst 008d TGalleryChart.Focus 0094 TFont.SetStyle 009d TFont.SetColor 00a3 GetDefaultFontSize 00af TFont.SetSize 00bd TTeeFont.GetShadow 00c8 TTeeShadow.SetVisible 00d4 TTeeShadow.SetSize 00e0 TTeeShadow.SetColor 00ec TTeeShadow.SetSmoothBlur 00f5 TCustomPanel.SetBevelOuter"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 C6 87 99 02 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B F0 B2 01 8B C6 E8 ?? ?? ?? ?? B2 05 8B C6 E8 ?? ?? ?? ?? BA C0 C0 C0 00 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 47 38 85 C0 74 38 80 B8 A1 02 00 00 00 74 2F BA 59 01 00 00 8B 87 08 03 00 00 E8 ?? ?? ?? ?? 8B 87 B4 03 00 00 83 78 08 00 7E 13 8B 40 04 33 D2 8B 04 90 8B D3 66 BE EF FF E8 ?? ?? ?? ?? 8B 87 70 04 00 00 8B 58 20 0F B6 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 83 C2 02 8B C3 E8 ?? ?? ?? ?? 8B 87 70 04 00 00 8B 40 20 E8 ?? ?? ?? ?? 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 80 80 80 00 8B C3 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 02 8B C7 E8 ?? ?? ?? ?? 80 BF F2 01 00 00 00 74 19 8B C7 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 0A 8B C7 8B 10 FF 92 F4 00 00 00 C6 87 99 02 00 00 01 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 01 00 00 00 }
	condition:
		$1
}

rule function_93168_0 {
	meta:
		name = "TGalleryChart.UnFocus"
		size = 192
		refs = "000a TCustomTeePanelExtended.GetGradient 0022 TCustomTeeGradient.SetVisible 002b TCustomPanel.SetBevelOuter 003b TGalleryChart.UnFocus 0042 TFont.SetStyle 004e TFont.SetColor 0054 GetDefaultFontSize 005d TFont.SetSize 006b TTeeFont.GetShadow 0072 TTeeShadow.SetVisible 0092 TView3DOptions.SetRotationInteger 00b1 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 80 78 28 00 0F 84 9D 00 00 00 8B C7 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 87 70 04 00 00 8B 70 20 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 00 00 80 00 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B C6 E8 ?? ?? ?? ?? 8B 87 70 04 00 00 8B 40 20 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 47 38 85 C0 74 38 80 B8 A1 02 00 00 00 74 2F BA 4F 01 00 00 8B 87 08 03 00 00 E8 ?? ?? ?? ?? 8B 87 B4 03 00 00 83 78 08 00 7E 13 8B 40 04 33 D2 8B 04 90 8B D3 66 BE EF FF E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_93169_0 {
	meta:
		name = "TGalleryChart.CMMouseEnter"
		size = 27
		refs = "000b TGalleryChart.DrawFrame3D 0014 TControl.CMMouseEnter"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93170_0 {
	meta:
		name = "TGalleryChart.CMMouseLeave"
		size = 27
		refs = "000b TGalleryChart.DrawFrame3D 0014 TCustomAxisPanel.CMMouseLeave"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93171_0 {
	meta:
		name = "TGalleryChart.SetSmooth"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 C8 04 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93172_0 {
	meta:
		name = "TGalleryChart.ArrowOrigin"
		size = 134
		refs = "0022 TTeeShadow.GetSize"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 33 F6 8B 83 9C 02 00 00 80 78 28 00 74 06 8B 40 10 03 70 1C 8B 83 00 03 00 00 E8 ?? ?? ?? ?? 85 C0 7E 0D 8B 83 00 03 00 00 E8 ?? ?? ?? ?? 03 F0 80 BB C8 04 00 00 00 74 0C B9 02 00 00 00 8B C6 99 F7 F9 89 C6 8B 43 54 2B C6 89 47 04 33 F6 8B 83 9C 02 00 00 80 78 28 00 74 06 8B 40 10 03 70 1C 80 BB C8 04 00 00 00 74 0C B9 02 00 00 00 8B C6 99 F7 F9 89 C6 83 C6 04 89 37 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93173_0 {
	meta:
		name = "TGalleryChart.DrawSubGalleryArrow"
		size = 205
		refs = "000c TGalleryChart.ArrowOrigin 001c TPen.SetMode 0026 TBrush.SetStyle 0030 TBrush.SetColor 003a TPen.SetStyle"
	strings:
		$1 = { 53 56 83 C4 C8 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 9B 40 03 00 00 B2 0F 8B 43 10 E8 ?? ?? ?? ?? 33 D2 8B 43 04 E8 ?? ?? ?? ?? 33 D2 8B 43 04 E8 ?? ?? ?? ?? B2 05 8B 43 10 E8 ?? ?? ?? ?? 8B 04 24 89 44 24 08 8B 4C 24 04 8B D1 83 EA 06 83 EA 02 89 54 24 0C 8B F0 83 C6 07 89 74 24 10 89 54 24 14 83 C0 03 89 44 24 18 83 E9 04 89 4C 24 1C 8B 44 24 08 89 44 24 20 8B 44 24 0C 89 44 24 24 8B 44 24 10 89 44 24 28 8B 44 24 14 89 44 24 2C 8B 44 24 18 89 44 24 30 8B 44 24 1C 89 44 24 34 8D 54 24 20 B9 02 00 00 00 8B C3 8B 30 FF 96 D8 00 00 00 B2 04 8B 43 10 E8 ?? ?? ?? ?? 33 D2 8B 43 10 E8 ?? ?? ?? ?? 83 C4 38 5E 5B C3 }
	condition:
		$1
}

rule function_93174_0 {
	meta:
		name = "TGalleryChart.DrawSmoothChart"
		size = 664
		refs = "003c TChartAxis.SetLabels 006c TFont.GetSize 0079 TFont.SetSize 00c0 TTeeCustomShapeBrushPen.SetVisible 00d2 TCustomTeePanel.SetMargin 0107 TCustomTeePanel.TeeCreateBitmap 0112 TGalleryChart.DrawSmoothChart 0135 TControl.GetBoundsRect 0175 SmoothStretch 018a TObject.Free 01b6 TTeeCustomShapePosition.SetCustomPosition 01c9 _Dn_TTeeCanvas3D 0214 TChartTitle.DrawTitle 022c TGalleryChart.SetMargins 023c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 89 45 FC 8B 45 FC 83 78 50 02 0F 8C 78 02 00 00 8B 45 FC 83 78 54 02 0F 8C 6B 02 00 00 8B 45 FC C6 80 C9 04 00 00 01 8B 45 FC 8B 80 C8 03 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 03 00 00 B2 01 E8 ?? ?? ?? ?? C7 45 F0 01 00 00 00 8B 45 FC 8B 80 C8 03 00 00 8B 40 6C 8B 40 14 8B 58 20 8B C3 E8 ?? ?? ?? ?? 8B D0 0F AF 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 03 00 00 8B 40 6C 8B 40 14 8B 58 20 8B C3 E8 ?? ?? ?? ?? 8B D0 0F AF 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 70 04 00 00 8D 70 44 8D 7D E0 A5 A5 A5 A5 0F B6 50 10 88 55 F7 33 D2 E8 ?? ?? ?? ?? B9 1E 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 D0 33 C0 89 45 D4 8B 45 FC 8B 40 50 03 C0 89 45 D8 8B 45 FC 8B 40 54 03 C0 89 45 DC 6A 06 6A 00 8D 4D D0 8B 45 FC 8B 50 74 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 74 50 8B 45 FC 0F B6 80 04 03 00 00 50 8D 55 B0 8B 45 FC E8 ?? ?? ?? ?? 8D 45 B0 50 8D 45 C0 50 8B 45 FC 8B 88 08 03 00 00 8B 45 FC 8B 98 40 03 00 00 8B 53 08 8B C3 8B 18 FF 93 18 01 00 00 8B 45 FC 8B 80 40 03 00 00 8B 90 E4 00 00 00 B1 01 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 70 04 00 00 0F B6 55 F7 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 70 04 00 00 8D 78 44 8D 75 E0 A5 A5 A5 A5 B2 01 E8 ?? ?? ?? ?? 8B 55 FC 8B 9A 40 03 00 00 8B 13 89 D0 3B 05 ?? ?? ?? ?? 74 3B 8B 45 FC 8B 40 74 50 8B 45 FC 0F B6 80 04 03 00 00 50 8D 55 B0 8B 45 FC E8 ?? ?? ?? ?? 8D 45 B0 50 8D 45 C0 50 8B 45 FC 8B 88 08 03 00 00 8B 53 08 8B C3 8B 18 FF 93 18 01 00 00 8B 45 FC 8B 80 70 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 70 04 00 00 33 D2 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC C6 80 C9 04 00 00 00 C3 E9 ?? ?? ?? ?? E9 41 FF FF FF 8B 45 FC 8B 80 C8 03 00 00 8B 40 6C 8B 40 14 8B 58 20 8B C3 E8 ?? ?? ?? ?? 99 F7 7D F0 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 03 00 00 8B 40 6C 8B 40 14 8B 58 20 8B C3 E8 ?? ?? ?? ?? 99 F7 7D F0 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93175_0 {
	meta:
		name = "TGalleryChart.AfterDraw"
		size = 75
		refs = "0018 TGalleryChart.DrawSmoothChart 0028 TCustomTeePanelExtended.GetGradient 0045 TGalleryChart.DrawSubGalleryArrow"
	strings:
		$1 = { 53 8B D8 80 BB C8 04 00 00 00 74 10 80 BB C9 04 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 80 BB C9 04 00 00 00 75 24 8B C3 E8 ?? ?? ?? ?? 80 78 28 00 74 17 8B 43 38 85 C0 74 10 80 B8 A0 02 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93176_0 {
	meta:
		name = "TChartGalleryPanel.Create"
		size = 218
		refs = "000e @ClassCreate 001c TCustomPanelNoCaption.Create 0056 _DV_TChartList 005b TObject.Create 009c clTeeGallery 00a3 TControl.SetColor 00aa TChartGalleryPanel.DefaultSmooth 00c5 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 F1 02 00 00 00 33 C0 89 86 D8 02 00 00 33 C0 89 86 F4 02 00 00 33 C0 89 86 C0 02 00 00 89 86 C4 02 00 00 33 C0 89 86 B8 02 00 00 89 86 BC 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 98 02 00 00 C6 86 B1 02 00 00 01 C6 86 A0 02 00 00 01 C6 86 A1 02 00 00 01 C7 86 A4 02 00 00 03 00 00 00 C7 86 A8 02 00 00 04 00 00 00 B2 01 8B C6 8B 08 FF 91 E4 00 00 00 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B D8 88 9E B0 02 00 00 88 9E DC 02 00 00 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93177_0 {
	meta:
		name = "TChartGalleryPanel.Destroy"
		size = 71
		refs = "0003 @BeforeDestruction 001f TChartGalleryPanel.SaveSmooth 002a TObject.Free 0035 TCustomControl.Destroy 0040 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B6 86 B0 02 00 00 3A 86 DC 02 00 00 74 09 8B D0 8B 06 E8 ?? ?? ?? ?? 8B 86 98 02 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93178_0 {
	meta:
		name = "TChartGalleryPanel.DefaultSmooth"
		size = 56
		refs = "0003 TChartGalleryPanel.DefaultSmooth 0008 TeeReadBoolOption"
	strings:
		$1 = { 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 6D 00 6F 00 6F 00 74 00 68 00 47 00 61 00 6C 00 6C 00 65 00 72 00 79 00 00 00 }
	condition:
		$1
}

rule function_93179_0 {
	meta:
		name = "TChartGalleryPanel.DefaultMode"
		size = 52
		refs = "0003 TChartGalleryPanel.DefaultMode 0008 TeeReadIntegerOption"
	strings:
		$1 = { 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 61 00 6C 00 6C 00 65 00 72 00 79 00 4D 00 6F 00 64 00 65 00 00 00 }
	condition:
		$1
}

rule function_93180_0 {
	meta:
		name = "TChartGalleryPanel.SaveSmooth"
		size = 52
		refs = "0001 TChartGalleryPanel.SaveSmooth 0006 TeeSaveBoolOption"
	strings:
		$1 = { B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 6D 00 6F 00 6F 00 74 00 68 00 47 00 61 00 6C 00 6C 00 65 00 72 00 79 00 00 00 }
	condition:
		$1
}

rule function_93181_0 {
	meta:
		name = "TChartGalleryPanel.SaveMode"
		size = 48
		refs = "0001 TChartGalleryPanel.SaveMode 0006 TeeSaveIntegerOption"
	strings:
		$1 = { B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 47 00 61 00 6C 00 6C 00 65 00 72 00 79 00 4D 00 6F 00 64 00 65 00 00 00 }
	condition:
		$1
}

rule function_93182_0 {
	meta:
		name = "TChartGalleryPanel.SetNumCols"
		size = 12
		refs = "0007 TChartGalleryPanel.ResizeCharts"
	strings:
		$1 = { 89 90 A8 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93183_0 {
	meta:
		name = "TChartGalleryPanel.SetNumRows"
		size = 12
		refs = "0007 TChartGalleryPanel.ResizeCharts"
	strings:
		$1 = { 89 90 A4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93184_0 {
	meta:
		name = "TChartGalleryPanel.GetChartXY"
		size = 120
		refs = "0030 TChartList.GetChart"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B D8 33 C0 89 45 F4 8B 83 98 02 00 00 8B 78 08 4F 85 FF 7C 2F 47 33 F6 8B D6 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 3B 45 FC 74 1A 8B D6 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 80 78 61 00 74 03 FF 45 F4 46 4F 75 D4 8B 45 F4 8B 8B A8 02 00 00 99 F7 F9 8B 55 08 89 02 8B 45 F4 99 F7 F9 8B 45 F8 89 10 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_93185_0 {
	meta:
		name = "TChartGalleryPanel.ChartOnDblClick"
		size = 35
	strings:
		$1 = { 53 89 90 D8 02 00 00 66 83 B8 C2 02 00 00 00 74 10 8B D8 8B D0 8B 83 C4 02 00 00 FF 93 C0 02 00 00 5B C3 }
	condition:
		$1
}

rule function_93186_0 {
	meta:
		name = "TChartGalleryPanel.CalcChartWidthHeight"
		size = 89
	strings:
		$1 = { 53 56 8B C8 8B B1 A4 02 00 00 85 F6 7E 38 83 B9 A8 02 00 00 00 7E 2F 8B 99 84 02 00 00 03 99 88 02 00 00 8B 41 54 2B C3 99 F7 FE 89 81 AC 02 00 00 8B 41 50 2B C3 99 F7 B9 A8 02 00 00 89 81 9C 02 00 00 5E 5B C3 33 C0 89 81 AC 02 00 00 33 C0 89 81 9C 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_93187_0 {
	meta:
		name = "CreateSeries"
		size = 95
		refs = "0038 CreateNewSeries"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC 8B 40 14 83 F8 01 7D 05 B8 01 00 00 00 8B D8 85 DB 7E 3B 8B 45 08 8B 40 FC 8B 40 08 50 8B 45 08 8B 48 F4 8B 45 08 8B 50 F8 33 C0 E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 40 FC 8B 78 18 85 FF 74 0C 8B CF 8B 06 8B D6 FF 90 DC 00 00 00 4B 75 C5 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_93188_0 {
	meta:
		name = "TChartGalleryPanel.CreateChart"
		size = 1068
		refs = "0024 TChartGalleryPanel.CreateChart 003e _Dn_TLineSeries 004b _DV_TGalleryChart 0050 TGalleryChart.Create 0087 TList.Add 0097 @UStrLAsg 00a0 TeeLineSeparator 00a8 @UStrFromWChar 00b3 TeeNumFields 00e0 TeeExtractField 0119 TeeGetUniqueName 0130 TChartGalleryPanel.ResizeChart 0136 CreateSeries 0172 @CallDynaInst 0191 TControl.SetCursor 01d1 TFont.SetColor 01d9 TCustomChart.GetLeftWall 01de TCustomChartWall.GetPen 01e8 TPen.SetColor 01f0 TCustomChart.GetBottomWall 0215 TPen.SetWidth 0289 TChartGalleryPanel.ChartEvent 029c TChartGalleryPanel.ChartOnDblClick 034e TObject.Free 0354 @HandleFinally 035e TGalleryChart.SetMargins 0370 TGalleryChart.SetSmooth 0392 TChartGalleryPanel.ChartKeyDown 03b3 TCustomTeePanel.SetInternalCanvas 03d2 @UStrClr 03df @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D D4 89 4D DC 89 4D D8 89 4D E0 89 4D F0 89 55 FC 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 89 45 F4 83 7D F4 00 75 08 A1 ?? ?? ?? ?? 89 45 F4 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 40 18 8B 55 F8 89 42 0C 8B 45 F8 8B 80 74 03 00 00 C6 40 18 00 8B 45 F8 C6 80 99 02 00 00 00 8B 45 EC 8B 80 98 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 FC 8B 52 0C 8B 12 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? 0F B7 12 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 3F BF 01 00 00 00 8D 45 DC 50 8D 45 D8 8B 15 ?? ?? ?? ?? 0F B7 12 E8 ?? ?? ?? ?? 8B 4D D8 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 8B 80 70 04 00 00 8B 40 5C 8B 08 FF 51 38 47 4B 75 C6 8B 55 EC 8B 45 F8 8B 08 FF 91 84 00 00 00 8D 4D D4 8B 5D F8 8B 43 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B C3 8B 08 FF 51 24 33 C9 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 EC 80 B8 F0 02 00 00 00 74 33 8B 45 EC 83 B8 F4 02 00 00 00 74 27 8B 45 F8 8B 80 B4 03 00 00 8B 40 04 33 D2 8B 04 90 8B 55 EC 8B 92 F4 02 00 00 66 BE E8 FF E8 ?? ?? ?? ?? 34 01 EB 02 33 C0 88 45 EB 80 7D EB 00 0F 84 D4 00 00 00 66 BA F3 FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 0F B7 90 80 00 00 00 66 89 90 F0 02 00 00 33 D2 89 90 18 01 00 00 89 90 1C 01 00 00 33 D2 89 90 20 01 00 00 89 90 24 01 00 00 8B 80 70 04 00 00 8B 40 20 BA 80 80 80 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 80 80 80 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 80 80 80 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 C8 03 00 00 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 C8 03 00 00 8B 40 44 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 C4 03 00 00 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 C4 03 00 00 8B 40 44 BA FF FF FF 00 E8 ?? ?? ?? ?? EB 56 66 BA EB FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 0F B7 90 80 00 00 00 66 89 90 F0 02 00 00 8B 55 EC 89 90 1C 01 00 00 C7 80 18 01 00 00 ?? ?? ?? ?? 8B 55 EC 89 90 24 01 00 00 C7 80 20 01 00 00 ?? ?? ?? ?? 8B 55 EC 89 90 0C 02 00 00 C7 80 08 02 00 00 ?? ?? ?? ?? 8B 45 F8 8B 80 B4 03 00 00 8B 40 04 33 D2 8B 04 90 8B 55 EC 0F B6 92 B1 02 00 00 66 BE EF FF E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 85 C0 75 39 8B 45 F8 8B 80 B4 03 00 00 8B 58 08 4B 85 DB 7C 68 43 33 FF 8B 45 F8 8B 80 B4 03 00 00 8B 40 04 8B 04 B8 0F B6 55 EB 80 F2 01 66 BE EC FF E8 ?? ?? ?? ?? 47 4B 75 DD EB 40 33 C9 B2 01 FF 50 38 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 8B 00 8B 55 F8 FF 50 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC 0F B6 90 B0 02 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC 80 B8 D4 02 00 00 00 75 16 8B 45 F8 8B 55 EC 89 90 24 02 00 00 C7 80 20 02 00 00 ?? ?? ?? ?? 8B 45 EC 8B 98 EC 02 00 00 85 DB 74 14 8B C3 B2 01 FF 90 04 01 00 00 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 C6 80 99 02 00 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 65 00 65 00 47 00 61 00 6C 00 6C 00 65 00 72 00 79 00 43 00 68 00 61 00 72 00 74 00 00 00 }
	condition:
		$1
}

rule function_93189_0 {
	meta:
		name = "FindChartXY"
		size = 110
		refs = "0035 TChartList.GetChart 004b TChartGalleryPanel.GetChartXY"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8B 45 08 8B 40 FC 8B 80 98 02 00 00 8B 58 08 4B 85 DB 7C 40 43 33 FF 8B 45 08 8B 40 FC 8B 80 98 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B F0 8D 45 F0 50 8D 4D F4 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F4 75 08 8B 45 F8 3B 45 F0 74 06 47 4B 75 C3 33 F6 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93190_0 {
	meta:
		name = "TChartGalleryPanel.KeyDown"
		size = 236
		refs = "001a TWinControl.KeyDown 0032 TChartGalleryPanel.GetChartXY 0095 TChartGalleryPanel.ShowSubGallery 00bb TChartGalleryPanel.ChartOnDblClick 00c7 FindChartXY"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 66 89 4D FA 8B DA 89 45 FC 8B D3 0F B7 4D FA 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F0 50 8D 4D F4 8B 45 FC 8B 90 D8 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 0F B7 03 83 F8 26 7F 0E 74 34 83 E8 0D 74 69 83 E8 18 74 0C EB 73 83 E8 27 74 10 48 74 2B EB 69 83 7D F4 00 7E 63 FF 4D F4 EB 5E 8B 45 FC 8B 80 A8 02 00 00 3B 45 F4 7E 50 FF 45 F4 EB 4B 83 7D F0 00 7E 45 FF 4D F0 EB 40 F6 45 FA 02 74 16 8B 45 FC 80 B8 A0 02 00 00 00 74 2E 8B 45 FC E8 ?? ?? ?? ?? EB 24 8B 45 FC 8B 80 A4 02 00 00 3B 45 F0 7E 16 FF 45 F0 EB 11 8B 45 FC 8B 90 D8 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 55 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 59 85 C0 74 17 66 83 B8 80 00 00 00 EB 75 0D 8B D0 8B 45 FC 8B 08 FF 91 FC 00 00 00 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93191_0 {
	meta:
		name = "TChartGalleryPanel.ResizeChart"
		size = 170
		refs = "0032 TChartGalleryPanel.GetChartXY 009e TControl.SetBoundsRect"
	strings:
		$1 = { 53 56 57 55 83 C4 E4 89 0C 24 8B F2 8B D8 83 BB A8 02 00 00 00 0F 8E 87 00 00 00 83 BB A4 02 00 00 00 7E 7E 8D 44 24 08 50 8D 4C 24 08 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 84 02 00 00 03 83 88 02 00 00 8B 4C 24 04 8B 93 9C 02 00 00 0F AF CA 03 C8 89 4C 24 0C 8B 4C 24 08 8B BB AC 02 00 00 0F AF CF 03 C8 2B 0C 24 89 4C 24 10 8B 6B 50 2B E8 3B D5 7C 02 8B D5 03 54 24 0C 4A 89 54 24 14 8B 53 54 2B D0 3B FA 7D 04 8B C7 EB 02 8B C2 03 44 24 10 48 89 44 24 18 8D 54 24 0C 8B C6 E8 ?? ?? ?? ?? 83 C4 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93192_0 {
	meta:
		name = "TChartGalleryPanel.ShowSelectedChart"
		size = 196
		refs = "0028 TChartList.GetChart 0061 TGalleryChart.Focus 00b8 TGalleryChart.UnFocus"
	strings:
		$1 = { 53 56 57 8B D8 83 BB D8 02 00 00 00 75 41 8B 83 98 02 00 00 8B 78 08 4F 85 FF 7C 33 47 33 F6 8B D6 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 66 83 B8 80 00 00 00 F3 74 15 8B D6 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 89 83 D8 02 00 00 EB 04 46 4F 75 D0 8B 83 D8 02 00 00 85 C0 74 24 0F B6 93 B1 02 00 00 E8 ?? ?? ?? ?? 66 83 BB BA 02 00 00 00 74 0E 8B D3 8B 83 BC 02 00 00 FF 93 B8 02 00 00 8B 83 98 02 00 00 8B 78 08 4F 85 FF 7C 35 47 33 F6 8B D6 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 3B 83 D8 02 00 00 74 19 8B D6 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 0F B6 93 B1 02 00 00 E8 ?? ?? ?? ?? 46 4F 75 CE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93193_0 {
	meta:
		name = "TChartGalleryPanel.FindSelectedChart"
		size = 124
		refs = "0031 TChartList.GetChart"
	strings:
		$1 = { 53 56 57 55 8B D8 33 C0 89 83 D8 02 00 00 83 BB F4 02 00 00 00 74 60 8B 83 98 02 00 00 8B 70 08 4E 85 F6 7C 52 46 33 FF 8B D7 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B 80 B4 03 00 00 8B 40 04 33 D2 8B 04 90 8B 08 89 CA 8B 8B F4 02 00 00 8B 09 89 CD 3B EA 75 1E 83 B8 C4 00 00 00 00 75 15 8B D7 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 89 83 D8 02 00 00 EB 04 47 4E 75 B1 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93194_0 {
	meta:
		name = "TChartGalleryPanel.ChartKeyDown"
		size = 28
		refs = "0013 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 56 8B F0 8B D1 8B C6 0F B7 4D 08 66 BE B9 FF E8 ?? ?? ?? ?? 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_93195_0 {
	meta:
		name = "TChartGalleryPanel.SubKeyDown"
		size = 56
		refs = "002f @CallDynaInst"
	strings:
		$1 = { 55 8B EC 56 8B F0 66 83 39 1B 75 12 8B 86 D0 02 00 00 C7 80 C0 02 00 00 02 00 00 00 EB 15 8B D1 8B 86 E0 02 00 00 0F B7 4D 08 66 BE B9 FF E8 ?? ?? ?? ?? 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_93196_0 {
	meta:
		name = "TChartGalleryPanel.SubSelected"
		size = 276
		refs = "0027 TList.IndexOf 0054 TCustomAxisPanel.FreeAllSeries 006d CreateNewSeries 0099 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 51 89 04 24 8B 04 24 8B B8 D8 02 00 00 8B 04 24 8B 98 E0 02 00 00 8B 93 D8 02 00 00 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B F0 89 77 0C 85 F6 0F 85 95 00 00 00 8B 97 B4 03 00 00 8B 4A 04 33 DB 8B 0C 99 8B 09 89 C8 8B F0 8B 5A 08 33 D2 8B C7 E8 ?? ?? ?? ?? 85 DB 7E 18 6A 00 8B 44 24 04 8B 90 D8 02 00 00 8B CE 33 C0 E8 ?? ?? ?? ?? 4B 75 E8 8B DF 8B 83 B4 03 00 00 8B 40 04 33 D2 8B 04 90 8B 14 24 8B 92 E0 02 00 00 0F B6 92 B1 02 00 00 66 BE EF FF E8 ?? ?? ?? ?? 8B 83 B4 03 00 00 8B 40 08 48 85 C0 7C 50 40 89 C3 33 ED 8B 87 B4 03 00 00 8B 40 04 8B 04 A8 B2 01 66 BE EC FF E8 ?? ?? ?? ?? 45 4B 75 E5 EB 2E 8B 87 B4 03 00 00 8B 58 08 4B 85 DB 7C 20 43 33 ED 8B 87 B4 03 00 00 8B 40 04 8B 34 A8 8B D6 8B 06 8B 4F 0C FF 90 DC 00 00 00 45 4B 75 E3 8B 04 24 8B 80 D0 02 00 00 C7 80 C0 02 00 00 01 00 00 00 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93197_0 {
	meta:
		name = "TChartGalleryPanel.SubPaintBox"
		size = 141
		refs = "0010 TBrush.SetColor 001a TPen.SetStyle"
	strings:
		$1 = { 53 83 C4 D0 8B 9A B0 01 00 00 33 D2 8B 43 48 E8 ?? ?? ?? ?? B2 05 8B 43 44 E8 ?? ?? ?? ?? 33 C0 89 04 24 C7 44 24 04 08 00 00 00 C7 44 24 08 04 00 00 00 33 C0 89 44 24 0C C7 44 24 10 09 00 00 00 C7 44 24 14 08 00 00 00 8B 04 24 89 44 24 18 8B 44 24 04 89 44 24 1C 8B 44 24 08 89 44 24 20 8B 44 24 0C 89 44 24 24 8B 44 24 10 89 44 24 28 8B 44 24 14 89 44 24 2C 8D 54 24 18 B9 02 00 00 00 8B C3 8B 18 FF 53 6C 83 C4 30 5B C3 }
	condition:
		$1
}

rule function_93198_0 {
	meta:
		name = "TChartGalleryPanel.SubPanelClick"
		size = 17
	strings:
		$1 = { 8B 80 D0 02 00 00 C7 80 C0 02 00 00 01 00 00 00 C3 }
	condition:
		$1
}

rule function_93199_0 {
	meta:
		name = "TChartGalleryPanel.AddSubCharts"
		size = 162
		refs = "0017 _Dn_TTeeSeriesType 001c TObject.Create 002f TChartGalleryPanel.AddSubCharts 0065 TChartGalleryPanel.CreateSubChart 0091 TObject.Free 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 89 45 FC 8B 45 FC 89 B0 E0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 E8 02 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 92 E4 02 00 00 8B 12 89 D0 89 43 04 C7 43 14 01 00 00 00 33 C0 89 43 08 8B 86 98 02 00 00 8B 10 FF 52 08 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 8B 80 E4 02 00 00 8B 00 FF 90 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 E8 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93200_0 {
	meta:
		name = "TChartGalleryPanel.CreateSubGallery"
		size = 165
		refs = "0024 TChartGalleryPanel.CreateSubGallery 0034 TChartGalleryPanel.AddSubCharts 003b TChartGalleryPanel.CalcChartWidthHeight 006f TControl.SetHeight 0078 TChartGalleryPanel.SetNumRows 0093 TObject.Free 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 89 45 FC 33 C9 B2 01 8B C6 FF 50 38 8B 55 FC 89 82 E4 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 98 02 00 00 8B 48 08 8B C1 8B BB A8 02 00 00 99 F7 FF 8B F0 8B C1 99 F7 FF 85 D2 7E 01 46 8B 93 AC 02 00 00 0F AF D6 83 C2 08 8B 43 38 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 E4 02 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93201_0 {
	meta:
		name = "TChartGalleryPanel.ShowSubGallery"
		size = 905
		refs = "0028 TObject.Free 0040 TGalleryChart.UnFocus 0066 TControl.ClientToScreen 0070 _Dn_TForm 0075 TCustomForm.Create 0088 TChartGalleryPanel.ShowSubGallery 0097 TCustomForm.SetPosition 00a0 TCustomForm.SetBorderStyle 00aa TCustomForm.SetLeft 00b4 TCustomForm.SetTop 00ba clTeeGallery 00c1 TControl.SetColor 00db TChartGalleryPanel.SubKeyDown 00eb _Dn_TPanel 00f0 TCustomPanel.Create 00fb TControl.SetAlign 0104 TControl.SetText 0110 TControl.SetHeight 0136 TChartGalleryPanel.SubPanelClick 0146 _Dn_TPaintBox 014b TPaintBox.Create 017f TControl.SetBoundsRect 01a5 TChartGalleryPanel.SubPaintBox 01b5 _DV_TChartGalleryPanel 01ba TChartGalleryPanel.Create 01e5 TChartGalleryPanel.SetView3D 0201 TChartGalleryPanel.SubSelected 0217 TChartGalleryPanel.SetSmooth 0290 TChartGalleryPanel.CreateSubGallery 029e TChartGalleryPanel.ShowSelectedChart 02a6 Screen 02ad TScreen.GetWorkAreaRect 02c1 TControl.GetBoundsRect 0375 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 89 45 FC 8B 45 FC 83 B8 D0 02 00 00 00 74 15 8B 45 FC 05 D0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 90 B1 02 00 00 8B 45 FC 8B 80 D8 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 D8 02 00 00 8B 50 48 89 55 EC 8B 50 4C 03 50 54 89 55 F0 8D 4D F4 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 D0 02 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 A4 02 00 00 01 8B 45 FC 89 83 24 02 00 00 C7 83 20 02 00 00 ?? ?? ?? ?? 8B 45 FC 8B 88 D0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA 0C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 D0 02 00 00 8B C3 8B 08 FF 91 84 00 00 00 8B 45 FC 89 83 1C 01 00 00 C7 83 18 01 00 00 ?? ?? ?? ?? 8B 45 FC 8B 88 D0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D3 8B C6 8B 08 FF 91 84 00 00 00 C7 45 DC 04 00 00 00 C7 45 E0 02 00 00 00 C7 45 E4 0C 00 00 00 C7 45 E8 0A 00 00 00 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 89 86 1C 01 00 00 C7 86 18 01 00 00 ?? ?? ?? ?? 8B 45 FC 89 86 BC 01 00 00 C7 86 B8 01 00 00 ?? ?? ?? ?? 8B 45 FC 8B 88 D0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 98 E0 02 00 00 8B 45 FC 8B 80 EC 02 00 00 89 83 EC 02 00 00 8B 45 FC 0F B6 90 B1 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 02 00 00 8B 55 FC 89 90 C4 02 00 00 C7 80 C0 02 00 00 ?? ?? ?? ?? C6 80 A0 02 00 00 00 8B 55 FC 0F B6 92 B0 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 02 00 00 B2 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 90 D0 02 00 00 8B 45 FC 8B 80 E0 02 00 00 8B 08 FF 91 84 00 00 00 8B 45 FC 8B 80 E0 02 00 00 C6 80 D4 02 00 00 01 8B 55 FC 8B 92 D0 02 00 00 8B 52 54 E8 ?? ?? ?? ?? 8B 55 FC 8B 92 D8 02 00 00 8B 92 B4 03 00 00 8B 52 04 33 C9 8B 14 8A 8B 12 89 D0 8B 55 FC 8B 92 E0 02 00 00 8B C8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 E0 02 00 00 E8 ?? ?? ?? ?? 8D 55 CC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 5D D4 8D 55 CC 8B 45 FC 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? 3B 5D D4 7D 16 8B 45 FC 8B 80 D0 02 00 00 8B D3 2B 50 50 83 EA 02 E8 ?? ?? ?? ?? 8D 55 CC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 5D D8 8D 55 CC 8B 45 FC 8B 80 D0 02 00 00 E8 ?? ?? ?? ?? 3B 5D D8 7D 16 8B 45 FC 8B 80 D0 02 00 00 8B D3 2B 50 54 83 EA 02 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 D0 02 00 00 8B 10 FF 92 20 01 00 00 48 75 1F 8B 45 FC 66 83 B8 CA 02 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 CC 02 00 00 FF 93 C8 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 05 D0 02 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93202_0 {
	meta:
		name = "TChartGalleryPanel.ChartEvent"
		size = 38
		refs = "000a _DV_TGalleryChart 000f @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B C3 8B 08 FF 91 FC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_93203_0 {
	meta:
		name = "TChartGalleryPanel.ClickedArrow"
		size = 94
		refs = "0012 TGalleryChart.ArrowOrigin"
	strings:
		$1 = { 53 56 83 C4 E8 8B F2 8B D8 8B D4 8B 83 D8 02 00 00 E8 ?? ?? ?? ?? 8B 04 24 89 44 24 08 8B 54 24 04 8B CA 83 E9 0C 89 4C 24 0C 83 C0 0C 89 44 24 10 89 54 24 14 8B 06 8B 56 04 3B 44 24 08 7C 12 3B 54 24 0C 7C 0C 3B 44 24 10 7F 06 3B 54 24 14 7E 04 33 C0 EB 02 B0 01 83 C4 18 5E 5B C3 }
	condition:
		$1
}

rule function_93205_0 {
	meta:
		name = "TChartGalleryPanel.SelectChart"
		size = 98
		refs = "0018 TChartGalleryPanel.ShowSelectedChart 0030 Mouse 0037 TMouse.GetCursorPos 0044 TControl.ScreenToClient 004d TChartGalleryPanel.ClickedArrow 0058 TChartGalleryPanel.ShowSubGallery"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 3B 93 D8 02 00 00 74 0D 89 93 D8 02 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB A0 02 00 00 00 74 37 8B B3 D8 02 00 00 8D 54 24 08 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 54 24 08 8B CC 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_93206_0 {
	meta:
		name = "TChartGalleryPanel.SetView3D"
		size = 107
		refs = "002e TChartList.GetChart 004c @CallDynaInst 005e TGalleryChart.SetMargins"
	strings:
		$1 = { 53 56 57 55 8B D8 3A 93 B1 02 00 00 74 58 88 93 B1 02 00 00 8B 83 98 02 00 00 8B 68 08 4D 85 ED 7C 44 45 33 FF 8B D7 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B 80 B4 03 00 00 8B 40 04 33 D2 8B 04 90 0F B6 93 B1 02 00 00 66 BE EF FF E8 ?? ?? ?? ?? 8B D7 8B 83 98 02 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4D 75 BF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93207_0 {
	meta:
		name = "TChartGalleryPanel.SetSmooth"
		size = 75
		refs = "0033 TChartList.GetChart 003f TGalleryChart.SetSmooth"
	strings:
		$1 = { 53 56 57 8B D8 F6 43 1C 02 75 3C 3A 93 B0 02 00 00 74 34 88 93 B0 02 00 00 8B 83 98 02 00 00 8B 70 08 4E 85 F6 7C 20 46 33 FF 8B D7 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 0F B6 93 B0 02 00 00 E8 ?? ?? ?? ?? 47 4E 75 E3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93208_0 {
	meta:
		name = "TChartGalleryPanel.CreateChartList"
		size = 103
		refs = "002c TeeSeriesTypes 0035 TTeeSeriesTypes.Find 0042 TChartGalleryPanel.CreateChart 004f TChartGalleryPanel.FindSelectedChart 0056 TChartGalleryPanel.ShowSelectedChart"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 8B F1 8B DA 8B F8 8B 87 98 02 00 00 8B 10 FF 52 08 85 F6 7C 22 46 A1 ?? ?? ?? ?? 8B 00 8B 13 E8 ?? ?? ?? ?? 85 C0 74 09 8B D0 8B C7 E8 ?? ?? ?? ?? 83 C3 04 4E 75 DF 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 7D F4 8B 75 F8 8B 5D FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_93209_0 {
	meta:
		name = "TChartGalleryPanel.ResizeCharts"
		size = 65
		refs = "0008 TChartGalleryPanel.CalcChartWidthHeight 002a TChartList.GetChart 0035 TChartGalleryPanel.ResizeChart"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 98 02 00 00 85 C0 74 27 8B 70 08 4E 85 F6 7C 1F 46 33 FF 8B D7 8B 83 98 02 00 00 E8 ?? ?? ?? ?? 8B D0 33 C9 8B C3 E8 ?? ?? ?? ?? 47 4E 75 E4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93211_0 {
	meta:
		name = "TChartGalleryPanel.ValidSeries"
		size = 63
		refs = "0011 @UStrEqual"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 46 10 8B 00 8B D7 E8 ?? ?? ?? ?? 75 1E 80 BB F1 02 00 00 00 74 06 83 7E 08 00 75 13 80 BB F1 02 00 00 00 75 06 83 7E 08 00 74 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93212_0 {
	meta:
		name = "TChartGalleryPanel.CreateSubChart"
		size = 83
		refs = "0025 TChartGalleryPanel.CreateChart"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B D8 8B D4 8B 83 E8 02 00 00 89 50 0C 8B 93 E0 02 00 00 8B 8A 98 02 00 00 8B 79 08 92 E8 ?? ?? ?? ?? 8B F0 8B 86 B4 03 00 00 8B 40 04 33 D2 8B 14 90 8B 83 E4 02 00 00 8B 00 8B CF FF 90 DC 00 00 00 89 7E 0C 8B C6 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93213_0 {
	meta:
		name = "CalcCount"
		size = 75
		refs = "0009 TeeSeriesTypes 0024 TTeeSeriesTypes.Get 0037 TChartGalleryPanel.ValidSeries"
	strings:
		$1 = { 55 8B EC 53 56 57 33 FF A1 ?? ?? ?? ?? 8B 00 8B 58 08 4B 85 DB 7C 2D 43 33 F6 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 48 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 01 47 46 4B 75 D6 8B C7 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_93214_0 {
	meta:
		name = "TChartGalleryPanel.CreateGalleryPage"
		size = 190
		refs = "0011 CalcCount 0054 TChartGalleryPanel.CalcChartWidthHeight 0067 TeeSeriesTypes 0082 TTeeSeriesTypes.Get 0091 TChartGalleryPanel.ValidSeries 009f TChartGalleryPanel.CreateChart 00ab TChartGalleryPanel.FindSelectedChart 00b3 TChartGalleryPanel.ShowSelectedChart"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 55 E8 ?? ?? ?? ?? 59 8B C8 8B 45 FC 8B 80 A4 02 00 00 48 8B 55 FC 8B 9A A8 02 00 00 F7 EB 3B C8 7E 12 8B C1 48 99 F7 FB 40 8B 55 FC 89 82 A4 02 00 00 EB 0D 8B 45 FC C7 80 A4 02 00 00 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 02 00 00 8B 10 FF 52 08 A1 ?? ?? ?? ?? 8B 00 8B 70 08 4E 85 F6 7C 32 46 33 FF A1 ?? ?? ?? ?? 8B 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 47 4E 75 D1 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93216_0 {
	meta:
		name = "TChartGalleryPanel.GetSeriesClass"
		size = 126
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 FC 8B B0 D8 02 00 00 85 F6 0F 95 C2 84 D2 74 5A 8B 9E B4 03 00 00 8B 5B 04 33 F6 8B 1C B3 89 98 E4 02 00 00 8B B0 E4 02 00 00 8B 36 89 F3 8B 75 FC 89 1E 8B B0 E4 02 00 00 85 F6 74 1B 83 BE C4 00 00 00 00 74 12 8B 9E C4 00 00 00 8B 1B 89 5D F8 8B 5D F8 89 19 EB 04 33 DB 89 19 8B 80 D8 02 00 00 8B 40 0C 8B 4D 08 89 01 8B C2 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_93217_0 {
	meta:
		name = "TChartGalleryPanel.UseTheme"
		size = 233
		refs = "0024 TChartGalleryPanel.UseTheme 005b TChartList.GetChart 00b5 @CallDynaInst 00d6 TObject.Free 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC 85 D2 0F 84 CE 00 00 00 33 C9 8B C2 B2 01 FF 50 10 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 98 02 00 00 8B 40 08 48 85 C0 0F 8C 82 00 00 00 40 89 45 F0 C7 45 F8 00 00 00 00 8B 45 FC 8B 80 98 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 F4 89 42 04 8B 45 F4 8B 10 FF 52 14 8B 45 FC 8B 80 98 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 80 B4 03 00 00 8B 40 08 8B D8 4B 85 DB 7C 2F 43 33 FF 8B 45 FC 8B 80 98 02 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8B 80 B4 03 00 00 8B 40 04 8B 04 B8 B2 01 66 BE EC FF E8 ?? ?? ?? ?? 47 4B 75 D4 FF 45 F8 FF 4D F0 75 89 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93220_0 {
	meta:
		name = "TTeeGallery.HideFunctions"
		size = 39
		refs = "000a TCustomTabControl.GetTabs"
	strings:
		$1 = { 53 8B D8 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 08 FF 51 48 8B 83 A0 03 00 00 C6 80 F1 02 00 00 00 5B C3 }
	condition:
		$1
}

rule function_93221_0 {
	meta:
		name = "TTeeGallery.HideButtons"
		size = 14
		refs = "0009 TControl.SetVisible"
	strings:
		$1 = { 33 D2 8B 80 90 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93222_0 {
	meta:
		name = "TTeeGallery.SelectedPaletteIndex"
		size = 36
	strings:
		$1 = { 53 56 8B D8 8B B3 A8 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 B4 02 00 00 8B 08 FF 51 18 5E 5B C3 }
	condition:
		$1
}

rule function_93223_0 {
	meta:
		name = "TTeeGallery.CBPaletteChange"
		size = 145
		refs = "003b TChartList.GetChart 0043 TTeeGallery.SelectedPaletteIndex 004b TCustomChart.SetColorPaletteIndex 0081 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B 83 A8 03 00 00 8B 10 FF 92 F8 00 00 00 40 7E 73 8B AB A0 03 00 00 8B 85 98 02 00 00 8B 40 08 48 85 C0 7C 5F 40 89 04 24 33 FF 8B 85 98 02 00 00 8B D7 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 58 E8 ?? ?? ?? ?? 8B 85 98 02 00 00 8B D7 E8 ?? ?? ?? ?? 8B 80 B4 03 00 00 8B 40 04 33 D2 8B 34 90 8B 83 94 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 66 BE EF FF E8 ?? ?? ?? ?? 47 FF 0C 24 75 A7 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93224_0 {
	meta:
		name = "TTeeGallery.CB3DClick"
		size = 32
		refs = "001a TChartGalleryPanel.SetView3D"
	strings:
		$1 = { 53 8B D8 8B 83 94 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93225_0 {
	meta:
		name = "LoadSize"
		size = 532
		refs = "0035 TControl.SetWidth 0057 TControl.SetHeight 0061 LoadSize 0066 TeeReadBoolOption 0075 _Dn_TRegistry 007a TRegistry.Create 0098 TRegistry.OpenKeyReadOnly 00a9 TRegistry.ValueExists 00ba TRegistry.ReadInteger 0119 TObject.Free 011f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 40 FC 8B 80 C0 03 00 00 85 C0 7E 4A 8B 55 08 8B 52 FC 83 BA C4 03 00 00 00 7E 3B 83 F8 64 7D 05 B8 64 00 00 00 8B 55 08 8B 52 FC 92 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 C4 03 00 00 83 F8 64 7D 05 B8 64 00 00 00 8B 55 08 8B 52 FC 92 E8 ?? ?? ?? ?? 59 5D C3 B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B3 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 68 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 23 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 F8 64 7D 05 B8 64 00 00 00 8B 55 08 8B 52 FC 92 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 23 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 F8 64 7D 05 B8 64 00 00 00 8B 55 08 8B 52 FC 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 B0 04 02 00 FF FF FF FF 13 00 00 00 52 00 65 00 6D 00 65 00 6D 00 62 00 65 00 72 00 47 00 61 00 6C 00 6C 00 65 00 72 00 79 00 53 00 69 00 7A 00 65 00 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 53 00 4F 00 46 00 54 00 57 00 41 00 52 00 45 00 5C 00 53 00 74 00 65 00 65 00 6D 00 61 00 20 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 54 00 65 00 65 00 43 00 68 00 61 00 72 00 74 00 20 00 50 00 72 00 6F 00 5C 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 47 00 61 00 6C 00 6C 00 65 00 72 00 79 00 57 00 69 00 64 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 61 00 6C 00 6C 00 65 00 72 00 79 00 48 00 65 00 69 00 67 00 68 00 74 00 00 00 }
	condition:
		$1
}

rule function_93226_0 {
	meta:
		name = "SetRender"
		size = 216
		refs = "000b SetRender 001d TeeReadIntegerOption 0026 TeeRenderClasses 0041 TList.Get 0049 TObject.ClassName 0052 TeeGalleryCanvas 0057 @UStrEqual 0082 TChartGalleryPanel.SetSmooth 009d @UStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 67 A1 ?? ?? ?? ?? 8B 00 8B 70 08 4E 85 F6 7C 58 46 33 DB A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2B A1 ?? ?? ?? ?? 8B 00 8B D3 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B B2 A0 03 00 00 89 86 EC 02 00 00 8B C6 33 D2 E8 ?? ?? ?? ?? EB 04 43 4E 75 AB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 61 00 6C 00 6C 00 65 00 72 00 79 00 52 00 65 00 6E 00 64 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_93227_0 {
	meta:
		name = "TTeeGallery.FormShow"
		size = 87
		refs = "0009 SetRender 0049 TTeeGallery.TabTypesChange 004f LoadSize"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 A0 03 00 00 0F B6 90 B0 02 00 00 8B 45 FC 8B 80 A4 03 00 00 8B 08 FF 91 FC 00 00 00 8B 45 FC 8B 80 9C 03 00 00 33 D2 8B 08 FF 91 04 01 00 00 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_93228_0 {
	meta:
		name = "TTeeGallery.TabPagesChange"
		size = 208
		refs = "0014 TTeeGallery.TabPagesChange 0034 TCustomTabControl.GetTabIndex 005a TChartGalleryPanel.SetView3D 007f TCustomTabControl.GetTabs 0092 TChartGalleryPanel.CreateGalleryPage 00a8 TTeeGallery.CBPaletteChange 00bd @UStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 A0 03 00 00 80 BB BD 03 00 00 00 75 12 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 48 74 04 33 C0 EB 02 B0 01 88 86 F1 02 00 00 8B 83 94 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 83 98 03 00 00 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 40 74 26 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F8 5A 8B 38 FF 57 0C 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 0B 8B 86 98 02 00 00 8B 10 FF 52 08 8B D3 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93229_0 {
	meta:
		name = "TabIndexOf"
		size = 33
		refs = "0013 TCustomTabControl.GetTabs"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 8B 80 98 03 00 00 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 54 5B 5D C3 }
	condition:
		$1
}

rule function_93230_0 {
	meta:
		name = "AddTabPages"
		size = 318
		refs = "000c AddTabPages 0023 TCustomTabControl.GetTabs 002d TeeSeriesTypes 004c TTeeSeriesTypes.Get 0065 @UStrLAsg 00c6 TCustomTabControl.GetTabIndex 012c @UStrClr 0132 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 98 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 A1 ?? ?? ?? ?? 8B 00 8B 70 08 4E 85 F6 0F 8C DC 00 00 00 46 33 FF A1 ?? ?? ?? ?? 8B 00 8B D7 E8 ?? ?? ?? ?? 8B D8 83 7B 14 00 0F 8E B7 00 00 00 8D 45 FC 8B 53 10 8B 12 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 98 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 54 40 0F 85 8A 00 00 00 8B 45 08 8B 40 FC 80 B8 BD 03 00 00 00 74 21 83 7B 08 00 74 75 8B 45 08 8B 40 FC 8B 80 98 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 38 EB 5A 8B 45 08 8B 40 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? 83 E8 01 72 04 74 23 EB 40 83 7B 08 00 75 3A 8B 45 08 8B 40 FC 8B 80 98 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 38 EB 1F 83 7B 08 00 74 19 8B 45 08 8B 40 FC 8B 80 98 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 38 47 4E 0F 85 27 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93231_0 {
	meta:
		name = "TTeeGallery.TabTypesChange"
		size = 136
		refs = "001e TCustomTabControl.GetTabIndex 0036 AddTabPages 003d TeeMsg_GalleryStandard 0044 TabIndexOf 0059 TCustomTabControl.GetTabs 0080 TTeeGallery.TabPagesChange"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 80 B8 BD 03 00 00 00 75 15 8B 45 FC 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? 48 74 04 33 C0 EB 02 B0 01 8B 55 FC 88 82 BC 03 00 00 55 E8 ?? ?? ?? ?? 59 55 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 59 8B D8 85 DB 7E 17 8B 45 FC 8B 80 98 03 00 00 E8 ?? ?? ?? ?? 8B CB 33 D2 8B 18 FF 53 4C 8B 45 FC 8B 80 98 03 00 00 33 D2 8B 08 FF 91 04 01 00 00 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_93233_0 {
	meta:
		name = "TTeeGallery.AddTabTypes"
		size = 53
		refs = "0008 TCustomTabControl.GetTabs 0017 TeeMsg_Series 0026 TeeMsg_GalleryFunctions"
	strings:
		$1 = { 53 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 44 8B 15 ?? ?? ?? ?? 8B 12 8B C3 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B C3 8B 08 FF 51 38 5B C3 }
	condition:
		$1
}

rule function_93234_0 {
	meta:
		name = "TTeeGallery.FormCreate"
		size = 90
		refs = "0016 TTeeGallery.AddTabTypes 0035 ColorPalettes 0040 TColorPalettes.AddTo 004d TCustomComboBox.SetSorted 0054 TeeTranslateControl"
	strings:
		$1 = { 53 8B D8 33 C0 89 83 C0 03 00 00 33 C0 89 83 C4 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 A8 03 00 00 8B 10 FF 92 04 01 00 00 8B 83 A8 03 00 00 8B 90 B4 02 00 00 A1 ?? ?? ?? ?? 8B 00 8B 00 33 C9 E8 ?? ?? ?? ?? B2 01 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93235_0 {
	meta:
		name = "TTeeGallery.SetPalette"
		size = 52
	strings:
		$1 = { 53 56 57 8B F2 8B D8 83 FE FF 75 05 BE 0D 00 00 00 8B BB A8 03 00 00 8B 87 B4 02 00 00 8B D6 8B 08 FF 51 5C 8B D0 8B C7 8B 08 FF 91 FC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93236_0 {
	meta:
		name = "NormalGallery"
		size = 348
		refs = "000d _DV_TTeeGallery 0012 TCustomForm.Create 001d NormalGallery 0049 PositionToCenter 0089 TTeeGallery.HideFunctions 00af TTeeGallery.SetPalette 00c5 TTeeGallery.SelectedPaletteIndex 00ee TChartGalleryPanel.GetSeriesClass 014d TObject.Free 0153 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 48 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 0C 8B 55 FC 89 82 C0 03 00 00 8B 45 08 8B 40 08 8B 55 FC 89 82 C4 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 50 20 0F B6 12 8B 45 FC 8B 80 94 03 00 00 8B 08 FF 91 FC 00 00 00 8B 45 08 8B 40 F8 8B 55 FC 8B 92 A0 03 00 00 89 82 F4 02 00 00 8B 45 08 80 78 F7 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 0F B6 40 18 8B 55 FC 8B 92 A0 03 00 00 88 82 F0 02 00 00 8B 45 08 8B 50 10 8B 12 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 20 01 00 00 48 75 7B 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 10 89 02 8B 45 08 8B 40 14 50 8B 45 08 8B 48 1C 8B 45 08 8B 50 24 8B 45 FC 8B 80 A0 03 00 00 E8 ?? ?? ?? ?? 8B 55 08 88 42 F6 8B 45 08 80 78 F6 00 74 3B 8B 45 FC 8B 80 94 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 18 8B 45 FC 8B 80 A0 03 00 00 8B 80 D8 02 00 00 80 B8 04 03 00 00 00 75 04 33 C0 EB 02 B0 01 8B 55 08 8B 52 20 88 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_93237_0 {
	meta:
		name = "AlternateGallery"
		size = 264
		refs = "000d _Dn_TTeeGalleryForm 0012 TCustomForm.Create 001d AlternateGallery 0049 PositionToCenter 006b TeeTranslateControl 009a TChartGalleryPanel.GetSeriesClass 00f9 TObject.Free 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 48 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 0C 8B 55 FC 89 82 C8 03 00 00 8B 45 08 8B 40 08 8B 55 FC 89 82 CC 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 50 20 0F B6 12 8B 45 FC 8B 80 A8 03 00 00 8B 08 FF 91 FC 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 20 01 00 00 48 75 6B 8B 45 08 8B 40 14 50 8B 45 08 8B 48 1C 8B 45 08 8B 50 24 8B 45 FC 8B 80 90 03 00 00 E8 ?? ?? ?? ?? 8B 55 08 88 42 F6 8B 45 08 80 78 F6 00 74 3B 8B 45 FC 8B 80 A8 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 18 8B 45 FC 8B 80 90 03 00 00 8B 80 D8 02 00 00 80 B8 04 03 00 00 00 75 04 33 C0 EB 02 B0 01 8B 55 08 8B 52 20 88 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_93238_0 {
	meta:
		name = "GetChartGalleryClass"
		size = 59
		refs = "0014 _Dn_TChartGalleryPanel 0019 TChartGalleryPanel.DefaultMode 0023 NormalGallery 002c AlternateGallery"
	strings:
		$1 = { 55 8B EC 83 C4 F4 88 4D F7 89 55 F8 89 45 FC C6 45 F6 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 09 55 E8 ?? ?? ?? ?? 59 EB 07 55 E8 ?? ?? ?? ?? 59 0F B6 45 F6 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule function_93239_0 {
	meta:
		name = "CreateNewSeriesGallery"
		size = 33
		refs = "0017 CreateNewSeriesGallery"
	strings:
		$1 = { 55 8B EC 51 53 6A 01 6A 00 8D 5D FC 53 51 8B 4D 08 51 33 C9 87 CA E8 ?? ?? ?? ?? 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_93240_0 {
	meta:
		name = "CreateNewSeriesGallery"
		size = 326
		refs = "0026 _Dn_TCustomChart 002b @AsClass 003c _Dn_TChartEditForm 0041 @IsClass 0094 GetChartGalleryClass 00a7 TCustomTeePanel.SetView3D 00bc TCustomChart.SetColorPaletteIndex 0106 @CallDynaInst 0118 CreateNewSeries"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 89 55 FC 8B D8 8B 75 0C 33 C0 89 45 F8 0F B6 87 04 03 00 00 88 45 F7 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 58 04 00 00 89 45 E8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 83 BB DC 04 00 00 00 7E 1A 83 BB D8 04 00 00 00 7E 11 8B C3 8B B0 DC 04 00 00 8B 80 D8 04 00 00 89 45 08 8D 45 F0 50 8D 45 F7 50 8D 45 EC 50 0F B6 45 14 50 8B 45 10 50 8D 45 E8 50 56 8B 45 08 50 0F B6 4D 18 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 9A 00 00 00 0F B6 55 F7 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 E8 ?? ?? ?? ?? 83 7D FC 00 75 04 B0 01 EB 23 80 7D 18 00 74 04 B0 01 EB 19 8B 55 FC 8B 12 89 D0 3B 45 F0 74 04 B0 01 EB 09 8B 45 10 83 38 FF 0F 95 C0 84 C0 74 49 83 7D FC 00 74 08 8B 45 FC 8B 58 04 EB 0D 8B C7 66 BE AC FF E8 ?? ?? ?? ?? 8B D8 8B 45 EC 50 8B 4D F0 8B D7 8B C3 E8 ?? ?? ?? ?? 89 45 F8 8B 45 10 83 38 FF 74 13 8B 4D 10 8B 09 8B 45 F8 8B 00 8B 55 F8 FF 90 DC 00 00 00 8B 45 F8 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_93241_0 {
	meta:
		name = "ChangeSeriesTypeGallery"
		size = 87
		refs = "0020 CreateNewSeriesGallery 0032 AssignSeries"
	strings:
		$1 = { 53 56 83 C4 F8 8B DA 8B F0 6A 00 6A 01 8D 44 24 0C 50 6A 00 6A 00 8B 03 8B 48 40 8B 13 8B C6 E8 ?? ?? ?? ?? 89 04 24 83 3C 24 00 74 25 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 03 83 7C 24 04 FF 74 10 8B 13 8B 03 8B 00 8B 4C 24 04 FF 90 DC 00 00 00 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_93242_0 {
	meta:
		name = "ChangeAllSeriesGallery"
		size = 101
		refs = "0037 CreateNewSeriesGallery 004b AssignSeries 005b ChangeAllSeriesType"
	strings:
		$1 = { 53 56 83 C4 F4 8B DA 8B F0 8B 83 B4 03 00 00 83 78 08 00 7E 4A 8B 40 04 33 D2 8B 04 90 89 44 24 04 6A 00 6A 01 8D 44 24 10 50 6A 00 6A 00 8B CB 8B 54 24 18 8B C6 E8 ?? ?? ?? ?? 89 04 24 83 3C 24 00 74 1B 8B D4 8D 44 24 04 E8 ?? ?? ?? ?? 8B 14 24 8B 12 89 D0 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_93243_0 {
	meta:
		name = "GetChartGalleryFunction"
		size = 155
		refs = "0010 _DV_TTeeGallery 0015 TCustomForm.Create 0020 GetChartGalleryFunction 002e PositionToCenter 003c TCustomTabControl.GetTabs 0073 TChartGalleryPanel.GetSeriesClass 0088 TObject.Free 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 33 D2 89 55 FC 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 9C 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 48 8B 45 F8 C6 80 BD 03 00 00 01 8B 45 F8 8B 10 FF 92 20 01 00 00 48 75 18 8D 45 F0 50 8D 4D FC 8D 55 F4 8B 45 F8 8B 80 A0 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule function_93244_0 {
	meta:
		name = "TeeAddGallery"
		size = 34
		refs = "0016 CreateNewSeriesGallery"
	strings:
		$1 = { 53 51 85 D2 74 17 6A 01 6A 00 8D 5C 24 08 53 6A 00 6A 00 87 CA E8 ?? ?? ?? ?? 5A 5B C3 33 C0 5A 5B C3 }
	condition:
		$1
}

rule function_93245_0 {
	meta:
		name = "TeeChangeGallery"
		size = 20
		refs = "0006 ChangeSeriesTypeGallery"
	strings:
		$1 = { 53 8B DA 8B D3 E8 ?? ?? ?? ?? 8B 03 8B 00 89 C2 8B C2 5B C3 }
	condition:
		$1
}

rule function_93246_0 {
	meta:
		name = "TTeeGallery.CBSmoothClick"
		size = 52
		refs = "001a TChartGalleryPanel.SetSmooth 002e TChartGalleryPanel.SaveSmooth"
	strings:
		$1 = { 53 8B D8 8B 83 A4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B 83 A0 03 00 00 0F B6 90 B0 02 00 00 8B 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93247_0 {
	meta:
		name = "TTeeGallery.FormDestroy"
		size = 392
		refs = "000a TTeeGallery.FormDestroy 000f TeeReadBoolOption 002c _Dn_TRegistry 0031 TRegistry.Create 0051 TRegistry.OpenKey 0065 TRegistry.WriteInteger 008a TObject.Free 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7F 83 BB C0 03 00 00 00 74 09 83 BB C4 03 00 00 00 75 6D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 20 8B 4B 50 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 4B 54 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 52 00 65 00 6D 00 65 00 6D 00 62 00 65 00 72 00 47 00 61 00 6C 00 6C 00 65 00 72 00 79 00 53 00 69 00 7A 00 65 00 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 53 00 4F 00 46 00 54 00 57 00 41 00 52 00 45 00 5C 00 53 00 74 00 65 00 65 00 6D 00 61 00 20 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 54 00 65 00 65 00 43 00 68 00 61 00 72 00 74 00 20 00 50 00 72 00 6F 00 5C 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 47 00 61 00 6C 00 6C 00 65 00 72 00 79 00 57 00 69 00 64 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 61 00 6C 00 6C 00 65 00 72 00 79 00 48 00 65 00 69 00 67 00 68 00 74 00 00 00 }
	condition:
		$1
}

rule function_93248_0 {
	meta:
		name = "TTeeGallery.ESearchClick"
		size = 49
		refs = "0018 TControl.SetText 002b TFont.SetColor"
	strings:
		$1 = { 53 8B D8 8B 83 B8 03 00 00 8B 50 6C 81 7A 18 C0 C0 C0 00 75 1A 33 D2 E8 ?? ?? ?? ?? 8B 83 B8 03 00 00 8B 40 6C BA 08 00 00 FF E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93249_0 {
	meta:
		name = "TTeeGallery.ESearchChange"
		size = 577
		refs = "0018 TTeeGallery.ESearchChange 002c TControl.GetText 0037 Trim 0048 TCustomTabControl.GetTabs 005b TeeMsg_Search 0062 @UStrEqual 006f TTeeGallery.AddTabTypes 0088 TTeeGallery.TabTypesChange 012f AnsiUpperCase 0134 TeeSeriesTypes 015c TTeeSeriesTypes.Get 019a AnsiContainsStr 01b6 TChartGalleryPanel.CreateChart 01bd TControl.SetParentColor 01ec TTeeGallery.CBPaletteChange 0201 @UStrClr 0216 @UStrArrayClr 0234 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 83 7D F0 00 75 5E 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 8D 4D E8 33 D2 8B 30 FF 56 0C 8B 45 E8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 85 84 01 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 83 9C 03 00 00 8B 08 FF 91 04 01 00 00 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 83 B8 03 00 00 8B 10 FF 92 F4 00 00 00 E9 51 01 00 00 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 8D 4D E4 33 D2 8B 30 FF 56 0C 8B 45 E4 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 74 38 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 08 FF 51 38 8B B3 A0 03 00 00 8B 86 98 02 00 00 8B 10 FF 52 08 8D 55 DC 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 40 08 48 85 C0 0F 8C A1 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 A1 ?? ?? ?? ?? 8B 00 8B 55 F8 E8 ?? ?? ?? ?? 8B F8 83 7F 14 00 7E 59 80 BB BC 03 00 00 00 74 06 83 7F 08 00 75 0F 80 BB BC 03 00 00 00 75 41 83 7F 08 00 75 3B 8D 55 D8 8B 47 0C 8B 00 E8 ?? ?? ?? ?? 8B 45 D8 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 1F A1 ?? ?? ?? ?? 8B 00 8B 55 F8 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 86 98 02 00 00 8B 40 08 8B 96 A4 02 00 00 0F AF 96 A8 02 00 00 3B C2 7D 0C FF 45 F8 FF 4D F4 0F 85 6A FF FF FF 8B D3 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93250_0 {
	meta:
		name = "Finalization"
		size = 76
		refs = "0007 Finalization 0013 _DV_2 001a TeeChangeGalleryProc 0023 TeeAddGalleryProc 002c TeeGalleryCanvas 0031 @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1C A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 33 D2 89 10 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_93251_0 {
	meta:
		name = "VCLTee.TeeGally"
		size = 32
		refs = "0002 _DV_2 000a TeeAddGalleryProc 0010 TeeAddGallery 0015 TeeChangeGalleryProc 001b TeeChangeGallery"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93252_0 {
	meta:
		name = "TGanttSeriesEditor.RefreshShape"
		size = 28
	strings:
		$1 = { 8B 90 BC 03 00 00 0F B6 52 60 80 F2 01 8B 80 A4 03 00 00 8B 08 FF 91 80 00 00 00 C3 }
	condition:
		$1
}

rule function_93253_0 {
	meta:
		name = "TGanttSeriesEditor.FormShow"
		size = 236
		refs = "0027 TCustomUpDown.SetPosition 0058 TGanttSeries.GetConnectingPen 0065 TButtonPen.LinkPen 006a TGanttSeriesEditor.FormShow 007b TTeeButton.LinkProperty 0082 TGanttSeriesEditor.RefreshShape 0091 TeeMsg_GalleryGantt 00a7 TeeInsertPointerForm 00b7 _Dn_TSeriesPointerEditor 00bc @AsClass 00c1 TSeriesPointerEditor.HideSizeOptions"
	strings:
		$1 = { 53 56 8B D8 8B 43 0C 89 83 BC 03 00 00 85 C0 0F 84 B0 00 00 00 8B F0 8B 86 9C 01 00 00 8B 50 38 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 0F B6 56 60 8B 83 A8 03 00 00 8B 08 FF 91 FC 00 00 00 8B C6 8B 10 FF 92 8C 01 00 00 0F B6 D0 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 98 03 00 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 93 BC 03 00 00 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 BB B8 03 00 00 00 75 36 8B 0D ?? ?? ?? ?? 8B 09 8B 83 BC 03 00 00 8B 90 9C 01 00 00 8B 43 38 E8 ?? ?? ?? ?? 8B F0 89 B3 B8 03 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 72 00 69 00 65 00 73 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_93254_0 {
	meta:
		name = "TGanttSeriesEditor.SEPointVertSizeChange"
		size = 44
		refs = "0013 TCustomUpDown.GetPosition 0026 TSeriesPointer.SetVertSize"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 1E 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 BC 03 00 00 8B 80 9C 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93255_0 {
	meta:
		name = "TGanttSeriesEditor.CBColorEachClick"
		size = 42
		refs = "0024 TGanttSeriesEditor.RefreshShape"
	strings:
		$1 = { 53 8B D8 8B 83 A8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 BC 03 00 00 8B 08 FF 91 D4 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93256_0 {
	meta:
		name = "TGanttSeriesEditor.BColorClick"
		size = 17
	strings:
		$1 = { 33 D2 8B 80 BC 03 00 00 8B 08 FF 91 D4 00 00 00 C3 }
	condition:
		$1
}

rule function_93258_0 {
	meta:
		name = "TGanttSeriesEditor.Edit1Change"
		size = 41
		refs = "0013 TCustomUpDown.GetPosition"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 1B 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 BC 03 00 00 8B 08 FF 91 90 01 00 00 5B C3 }
	condition:
		$1
}

rule function_93259_0 {
	meta:
		name = "TGanttSeriesEditor.FormDestroy"
		size = 19
		refs = "000e TObject.Free"
	strings:
		$1 = { 05 B8 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93262_0 {
	meta:
		name = "TGDIPlusCanvas.Create"
		size = 117
		refs = "000a @ClassCreate 0017 TTeeCanvas3D.Create 003a _Dn_TGPPen 003f TGPPen.Create 004c _Dn_TTeeCanvas3D 0062 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 74 01 00 00 01 C6 86 75 01 00 00 02 C6 86 A4 01 00 00 FF 68 00 00 80 3F 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 60 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 9C 01 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_93263_0 {
	meta:
		name = "TGDIPlusCanvas.Destroy"
		size = 102
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0054 TTeeCanvas3D.Destroy 005f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 60 01 00 00 E8 ?? ?? ?? ?? 8B 86 64 01 00 00 E8 ?? ?? ?? ?? 8B 86 5C 01 00 00 E8 ?? ?? ?? ?? 8B 86 58 01 00 00 E8 ?? ?? ?? ?? 8B 86 9C 01 00 00 E8 ?? ?? ?? ?? 8B 86 A0 01 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93264_0 {
	meta:
		name = "TGDIPlusCanvas.Description"
		size = 44
		refs = "0006 TGDIPlusCanvas.Description 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 47 00 44 00 49 00 2B 00 00 00 00 00 }
	condition:
		$1
}

rule function_93265_0 {
	meta:
		name = "TGDIPlusCanvas.EditorClass"
		size = 64
		refs = "0006 TGDIPlusCanvas.EditorClass 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 54 00 47 00 44 00 49 00 50 00 6C 00 75 00 73 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_93266_0 {
	meta:
		name = "TGDIPlusCanvas.SetAnti"
		size = 47
		refs = "0019 TView3DOptions.Repaint 0029 TGDIPlusCanvas.DoSetAntiAlias"
	strings:
		$1 = { 53 8B D8 3A 93 74 01 00 00 74 22 88 93 74 01 00 00 8B 43 44 85 C0 74 05 E8 ?? ?? ?? ?? 83 BB 58 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93267_0 {
	meta:
		name = "TGDIPlusCanvas.SetAntiText"
		size = 47
		refs = "0019 TView3DOptions.Repaint 0029 TGDIPlusCanvas.DoSetAntiAliasText"
	strings:
		$1 = { 53 8B D8 3A 93 75 01 00 00 74 22 88 93 75 01 00 00 8B 43 44 85 C0 74 05 E8 ?? ?? ?? ?? 83 BB 58 01 00 00 00 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93268_0 {
	meta:
		name = "TGDIPlusCanvas.SetPixel"
		size = 68
		refs = "0012 TGDIPlusCanvas.GDIPColor 001a TGDIPlusCanvas.GPen 0020 TGPPen.SetColor 0039 TGPGraphics.DrawLine"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 55 08 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 57 8D 46 01 50 57 8B CE 8B 93 60 01 00 00 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_93269_0 {
	meta:
		name = "TGDIPlusCanvas.SetPixel3D"
		size = 56
		refs = "001c TTeeCanvas3D.Calc3DPos"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D F8 89 55 FC 8B D8 8B 45 0C 50 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 8B 18 FF 53 44 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_93270_0 {
	meta:
		name = "ConvertPoints"
		size = 97
		refs = "001f @DynArrayLength"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 40 30 83 78 2C 00 74 3A 8B 45 08 8B 40 FC 8B 40 30 8B 40 2C E8 ?? ?? ?? ?? 85 C0 7E 25 8B 45 08 8B 40 FC 8B 40 30 8B 40 2C 8B 55 08 89 42 F8 8B 45 08 8B 40 FC 8B 40 30 8B 40 2C E8 ?? ?? ?? ?? 5D C3 8B 45 08 8B 40 F4 8B 55 08 89 42 F8 8B 45 08 8B 40 F0 40 5D C3 }
	condition:
		$1
}

rule function_93271_0 {
	meta:
		name = "TGDIPlusCanvas.GBrush"
		size = 461
		refs = "0033 TObject.Free 0039 ConvertPoints 005c _Dn_TGPGraphicsPath 0061 TGPGraphicsPath.Create 0070 TGPGraphicsPath.AddPolygon 007e TGPGraphicsPath.GetBounds 00bd TGPGraphicsPath.Reset 00c7 TGPGraphicsPath.AddEllipse 00da TGPGraphicsPath.AddRectangle 00e3 _Dn_TGPPathGradientBrush 00e8 TGPPathGradientBrush.Create 0107 TGPPathGradientBrush.GetCenterPoint 012a TGPPathGradientBrush.SetCenterPoint 016f TGDIPlusCanvas.GetColorBlend 0187 TGPPathGradientBrush.SetInterpolationColors"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 89 4D F0 89 55 F4 89 45 FC 8B 45 FC 8B 40 30 85 C0 0F 84 9F 01 00 00 80 78 28 00 0F 84 95 01 00 00 8B 45 FC 8B 80 64 01 00 00 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 89 45 D4 8B 45 FC 8B 40 30 0F B6 40 0C 3C 04 74 08 3C 07 0F 85 D9 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 4D D4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 6A 00 8D 55 AC 33 C9 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 30 80 78 0C 07 75 3F 8B 45 B4 85 C0 79 03 83 C0 03 C1 F8 02 8B 55 B8 85 D2 79 03 83 C2 03 C1 FA 02 29 45 AC 29 55 B0 03 C0 01 45 B4 8B C2 03 C0 01 45 B8 8B C3 E8 ?? ?? ?? ?? 8D 55 AC 8B C3 E8 ?? ?? ?? ?? EB 11 8B C3 E8 ?? ?? ?? ?? 8D 55 AC 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 FC 89 B0 64 01 00 00 33 C0 89 45 D8 33 C0 89 45 DC 8D 55 D8 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 30 8B 50 18 01 55 D8 8B 40 1C 01 45 DC 8B 45 FC 8B 80 64 01 00 00 8D 55 D8 E8 ?? ?? ?? ?? EB 1E 8B 45 D4 50 6A 04 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 64 01 00 00 8B 45 FC 8B 40 30 80 78 59 00 74 33 6A 02 8D 55 BC 52 6A 02 8D 55 D4 52 8D 4D C8 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 50 8D 4D BC 8D 55 C8 8B 45 FC 8B 80 64 01 00 00 E8 ?? ?? ?? ?? EB 31 6A 01 8D 55 E0 52 6A 01 8D 55 D4 52 8D 4D E8 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 50 8D 4D E0 8D 55 E8 8B 45 FC 8B 80 64 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 64 01 00 00 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93273_0 {
	meta:
		name = "DoTopGradient"
		size = 755
		refs = "0014 DoTopGradient 0035 TPointArray 003a @DynArraySetLength 0065 TCanvas3D.PointFromCircle 0095 TTeeCanvas.GetGradient 009c TCustomTeeGradient.SetVisible 00ae TGDIPlusCanvas.GDIPColor 00f9 TCustomTeeGradient.SetDirection 0123 TCustomTeeGradient.SetRadialX 014e TCustomTeeGradient.SetRadialY 016a @DynArrayAsg 019e :TGDIPlusCanvas.:1 02c4 DrawPoints 02e0 @DynArrayClear 02e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 33 D2 89 50 F4 68 69 01 00 00 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 DB 89 5D F0 DB 45 F0 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 F4 50 8B 45 08 8B 50 20 8B 45 08 8B 40 F8 8B CF E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 FC 8B 4D F4 89 0C C2 8B 4D F8 89 4C C2 04 8B 45 08 FF 40 F4 43 81 FB 69 01 00 00 75 B5 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 33 C9 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 89 82 98 01 00 00 8B 45 08 8B 40 F8 B1 FF BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 89 82 90 01 00 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? C6 40 59 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? B2 07 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 55 08 8B 52 20 8B 52 08 8B 4D 08 8B 49 20 2B 11 D1 FA 79 03 83 D2 00 F7 DA E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 55 08 8B 52 20 8B 52 0C 8B 4D 08 8B 49 20 2B 51 04 D1 FA 79 03 83 D2 00 F7 DA E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 83 C0 2C 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 33 D2 89 50 F4 8B 45 08 80 78 08 00 74 2D 8B 45 08 8B 40 10 8B 55 08 2B 42 14 03 C0 83 C0 02 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 29 8B 45 08 8B 40 10 8B 55 08 2B 42 14 83 C0 02 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 80 78 08 00 75 24 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D 08 8B 49 0C 8B 19 89 1C C2 8B 59 04 89 5C C2 04 8B 45 08 FF 40 F4 8B 45 08 8B 58 14 8B 45 08 8B 70 10 2B F3 7C 4A 46 89 5D F0 DB 45 F0 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 F4 50 8B 45 08 8B 50 20 8B 45 08 8B 40 F8 8B CF E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D F4 89 0C C2 8B 4D F8 89 4C C2 04 8B 45 08 FF 40 F4 43 4E 75 B7 8B 45 08 80 78 08 00 74 5A 8B 45 08 8B 58 10 8B 45 08 8B 70 14 2B F3 7F 4A 4E 89 5D F0 DB 45 F0 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 F4 50 8B 45 08 8B 50 18 8B 45 08 8B 40 F8 8B CF E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D F4 89 0C C2 8B 4D F8 89 4C C2 04 8B 45 08 FF 40 F4 4B 46 75 B7 8B 45 08 50 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93274_0 {
	meta:
		name = "DoFlatGradient"
		size = 885
		refs = "0014 DoFlatGradient 0025 DoTopGradient 008e TPointArray 0093 @DynArraySetLength 00c1 TCanvas3D.PointFromCircle 0148 TGDIPlusCanvas.GDIPColor 019b TTeeCanvas.GetGradient 01b1 TCustomTeeGradient.SetDirection 01c6 TCustomTeeGradient.SetAngle 01e2 @DynArrayAsg 028d :TGDIPlusCanvas.:1 0346 DrawPoints 0362 @DynArrayClear 0368 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B C7 E8 ?? ?? ?? ?? 59 8B 45 08 81 78 14 27 01 00 00 7F 0C 8B 45 08 81 78 10 4F 01 00 00 7D 38 8B 45 08 81 78 14 27 01 00 00 7C 0C 8B 45 08 81 78 14 4F 01 00 00 7E 20 8B 45 08 81 78 10 27 01 00 00 0F 8C E1 02 00 00 8B 45 08 81 78 10 4F 01 00 00 0F 8F D1 02 00 00 8B 45 08 33 D2 89 50 F4 6A 52 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 BB 27 01 00 00 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 50 1C 8B 45 08 8B 40 F8 8B CF E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 8B 45 08 FF 40 F4 43 81 FB 50 01 00 00 75 B5 BB 4F 01 00 00 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 50 20 8B 45 08 8B 40 F8 8B CF E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 8B 45 08 FF 40 F4 4B 81 FB 26 01 00 00 75 B5 8B 45 08 8B 40 F8 B1 FF BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 89 82 94 01 00 00 8B 45 08 8B 40 F8 33 C9 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 89 82 98 01 00 00 8B 45 08 8B 40 F8 33 C9 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 89 82 90 01 00 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? C6 40 59 01 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? BA 87 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 83 C0 2C 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 81 78 14 27 01 00 00 7F 1C 8B 45 08 81 78 10 4F 01 00 00 7C 10 C7 45 F8 27 01 00 00 C7 45 F4 4F 01 00 00 EB 5E 8B 45 08 81 78 14 27 01 00 00 7C 1E 8B 45 08 81 78 14 4F 01 00 00 7F 12 8B 45 08 8B 40 14 89 45 F8 C7 45 F4 4F 01 00 00 EB 34 8B 45 08 81 78 10 27 01 00 00 7C 1E 8B 45 08 81 78 10 4F 01 00 00 7F 12 C7 45 F8 27 01 00 00 8B 45 08 8B 40 10 89 45 F4 EB 0A 33 C0 89 45 F8 33 C0 89 45 F4 8B 45 08 33 D2 89 50 F4 8B 45 F4 2B 45 F8 03 C0 83 C0 02 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 5D F8 8B 75 F4 2B F3 7C 4A 46 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 50 1C 8B 45 08 8B 40 F8 8B CF E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 8B 45 08 FF 40 F4 43 4E 75 B7 8B 5D F4 8B 75 F8 2B F3 7F 4A 4E 89 5D E8 DB 45 E8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 EC 50 8B 45 08 8B 50 20 8B 45 08 8B 40 F8 8B CF E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D EC 89 0C C2 8B 4D F0 89 4C C2 04 8B 45 08 FF 40 F4 4B 46 75 B7 8B 45 08 50 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93275_0 {
	meta:
		name = "DoCurvedGradient"
		size = 923
		refs = "0014 DoCurvedGradient 0025 DoTopGradient 008e TPointArray 0093 @DynArraySetLength 00c1 TCanvas3D.PointFromCircle 0148 TGDIPlusCanvas.GDIPColor 017a @DynArrayHigh 0187 PolygonBounds 0192 TTeeCanvas.GetGradient 01a8 TCustomTeeGradient.SetDirection 01ca TCustomTeeGradient.SetRadialX 01ec TCustomTeeGradient.SetRadialY 0208 @DynArrayAsg 02b3 :TGDIPlusCanvas.:1 036c DrawPoints 0388 @DynArrayClear 038e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B C7 E8 ?? ?? ?? ?? 59 8B 45 08 81 78 14 27 01 00 00 7F 0C 8B 45 08 81 78 10 4F 01 00 00 7D 38 8B 45 08 81 78 14 27 01 00 00 7C 0C 8B 45 08 81 78 14 4F 01 00 00 7E 20 8B 45 08 81 78 10 27 01 00 00 0F 8C 07 03 00 00 8B 45 08 81 78 10 4F 01 00 00 0F 8F F7 02 00 00 8B 45 08 33 D2 89 50 F4 6A 52 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 BB 27 01 00 00 89 5D D8 DB 45 D8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 DC 50 8B 45 08 8B 50 1C 8B 45 08 8B 40 F8 8B CF E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 FC 8B 4D DC 89 0C C2 8B 4D E0 89 4C C2 04 8B 45 08 FF 40 F4 43 81 FB 50 01 00 00 75 B5 BB 4F 01 00 00 89 5D D8 DB 45 D8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 DC 50 8B 45 08 8B 50 20 8B 45 08 8B 40 F8 8B CF E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 FC 8B 4D DC 89 0C C2 8B 4D E0 89 4C C2 04 8B 45 08 FF 40 F4 4B 81 FB 26 01 00 00 75 B5 8B 45 08 8B 40 F8 33 C9 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 89 82 98 01 00 00 8B 45 08 8B 40 F8 B1 FF BA FF FF FF 00 E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 89 82 90 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 4D E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? C6 40 59 00 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? B2 07 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 55 EC 2B 55 E4 85 D2 79 03 83 C2 07 C1 FA 03 F7 DA E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 55 F0 2B 55 E8 85 D2 79 03 83 C2 07 C1 FA 03 F7 DA E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 83 C0 2C 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 81 78 14 27 01 00 00 7F 1C 8B 45 08 81 78 10 4F 01 00 00 7C 10 C7 45 F8 27 01 00 00 C7 45 F4 4F 01 00 00 EB 5E 8B 45 08 81 78 14 27 01 00 00 7C 1E 8B 45 08 81 78 14 4F 01 00 00 7F 12 8B 45 08 8B 40 14 89 45 F8 C7 45 F4 4F 01 00 00 EB 34 8B 45 08 81 78 10 27 01 00 00 7C 1E 8B 45 08 81 78 10 4F 01 00 00 7F 12 C7 45 F8 27 01 00 00 8B 45 08 8B 40 10 89 45 F4 EB 0A 33 C0 89 45 F8 33 C0 89 45 F4 8B 45 08 33 D2 89 50 F4 8B 45 F4 2B 45 F8 03 C0 83 C0 02 50 8B 45 08 83 C0 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 5D F8 8B 75 F4 2B F3 7C 4A 46 89 5D D8 DB 45 D8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 DC 50 8B 45 08 8B 50 1C 8B 45 08 8B 40 F8 8B CF E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D DC 89 0C C2 8B 4D E0 89 4C C2 04 8B 45 08 FF 40 F4 43 4E 75 B7 8B 5D F4 8B 75 F8 2B F3 7F 4A 4E 89 5D D8 DB 45 D8 83 C4 F8 DD 1C 24 9B 6A 00 8D 45 DC 50 8B 45 08 8B 50 20 8B 45 08 8B 40 F8 8B CF E8 ?? ?? ?? ?? 8B 45 08 8B 40 F4 8B 55 08 8B 52 FC 8B 4D DC 89 0C C2 8B 4D E0 89 4C C2 04 8B 45 08 FF 40 F4 4B 46 75 B7 8B 45 08 50 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93276_0 {
	meta:
		name = "TGDIPlusCanvas.DrawLighting"
		size = 282
		refs = "0018 TGDIPlusCanvas.DrawLighting 0029 TPen.GetStyle 0045 _Dn_TTeeGradient 004a TCustomTeeGradient.Create 0055 TTeeCanvas.GetGradient 006c TPen.SetStyle 007d DoFlatGradient 0088 DoCurvedGradient 00e3 TObject.Free 00e9 @HandleFinally 0101 :TGDIPlusCanvas.:1 0106 @DynArrayClear"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D FC 8B F1 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 10 E8 ?? ?? ?? ?? 88 45 EF 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 08 FF 51 08 8B 45 F8 8B 40 10 B2 05 E8 ?? ?? ?? ?? 80 EB 01 72 04 74 0D EB 14 55 8B C6 E8 ?? ?? ?? ?? 59 EB 09 55 8B C6 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 EF 8B 45 F8 8B 40 10 E8 ?? ?? ?? ?? 8B 45 F8 33 D2 89 90 90 01 00 00 8B 45 F8 33 D2 89 90 94 01 00 00 8B 45 F8 33 D2 89 90 98 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B 08 FF 51 08 8B 45 F0 33 D2 89 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule function_93277_0 {
	meta:
		name = "TGDIPlusCanvas.GDIPColor"
		size = 66
		refs = "0015 ColorToRGB"
	strings:
		$1 = { 53 8B D9 81 FA FF FF FF 1F 75 07 BA FF FF FF 00 EB 09 8B C2 E8 ?? ?? ?? ?? 8B D0 8B C2 C1 E8 10 0F B6 C0 8B CA C1 E9 08 0F B6 C9 C1 E1 08 0B C1 0F B6 D2 C1 E2 10 0B C2 0F B6 D3 C1 E2 18 0B C2 5B C3 }
	condition:
		$1
}

rule function_93278_0 {
	meta:
		name = "TGDIPlusCanvas.GDIPColor"
		size = 13
		refs = "0008 TGDIPlusCanvas.GDIPColor"
	strings:
		$1 = { 0F B6 88 A4 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93279_0 {
	meta:
		name = "GetHatchStyle"
		size = 101
		refs = "001e GetHatchStyle"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 40 04 8B 40 10 0F B6 40 20 83 E0 7F 83 F8 06 77 43 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 C0 5D C3 B8 01 00 00 00 5D C3 B8 02 00 00 00 5D C3 B8 03 00 00 00 5D C3 B8 04 00 00 00 5D C3 B8 05 00 00 00 5D C3 }
	condition:
		$1
}

rule function_93280_0 {
	meta:
		name = "TGDIPlusCanvas.GBrush"
		size = 294
		refs = "000f TBrush.GetBitmap 0021 TObject.Free 004b _Dn_TGPBitmap 0050 TGPBitmap.Create 005d _Dn_TGPTextureBrush 0062 TGPTextureBrush.Create 00a8 TGDIPlusCanvas.GDIPColor 00b1 _Dn_TGPSolidBrush 00b6 TGPSolidBrush.Create 00fd GetHatchStyle 0107 _Dn_TGPHatchBrush 010c TGPHatchBrush.Create"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 85 C0 74 64 8B 45 FC 8B 80 64 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 10 FF 52 28 50 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 10 FF 52 70 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 64 01 00 00 8B C3 E8 ?? ?? ?? ?? E9 9E 00 00 00 8B 45 FC 8B 40 04 8B 40 10 80 78 20 00 75 3B 8B 45 FC 8B 80 64 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 10 8B 50 18 8B 45 FC E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 64 01 00 00 EB 54 8B 45 FC 8B 80 64 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 10 8B 50 18 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC 8B 10 FF 52 04 8B D0 8B 45 FC E8 ?? ?? ?? ?? 50 55 E8 ?? ?? ?? ?? 59 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 64 01 00 00 8B 45 FC 8B 80 64 01 00 00 5B 59 5D C3 }
	condition:
		$1
}

rule function_93281_0 {
	meta:
		name = "GetLinearGradientDirection"
		size = 311
		refs = "0012 GetLinearGradientDirection"
	strings:
		$1 = { 55 8B EC 83 E0 7F 83 F8 09 0F 87 21 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 08 89 42 F8 8B 45 08 8B 40 F4 8B 55 08 89 42 F0 B8 01 00 00 00 5D C3 8B 45 08 8B 40 F4 8B 55 08 89 42 F8 8B 45 08 8B 40 FC 8B 55 08 89 42 F0 B8 01 00 00 00 5D C3 8B 45 08 8B 40 FC 8B 55 08 89 42 F8 8B 45 08 8B 40 F4 8B 55 08 89 42 F0 33 C0 5D C3 8B 45 08 8B 40 F4 8B 55 08 89 42 F8 8B 45 08 8B 40 FC 8B 55 08 89 42 F0 33 C0 5D C3 8B 45 08 8B 40 FC 8B 55 08 89 42 F8 8B 45 08 8B 40 F4 8B 55 08 89 42 F0 B8 02 00 00 00 5D C3 8B 45 08 8B 40 F4 8B 55 08 89 42 F8 8B 45 08 8B 40 FC 8B 55 08 89 42 F0 B8 03 00 00 00 5D C3 8B 45 08 8B 40 FC 8B 55 08 89 42 F8 8B 45 08 8B 40 F4 8B 55 08 89 42 F0 B8 03 00 00 00 5D C3 8B 45 08 8B 40 F4 8B 55 08 89 42 F8 8B 45 08 8B 40 FC 8B 55 08 89 42 F0 B8 02 00 00 00 5D C3 B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule function_93282_0 {
	meta:
		name = "TGDIPlusCanvas.GBrush"
		size = 1010
		refs = "003f TGDIPlusCanvas.GDIPColor 0089 TObject.Free 00bd _Dn_TGPGraphicsPath 00c2 TGPGraphicsPath.Create 00eb MakeRect 00f8 TGPGraphicsPath.AddRectangle 0122 InflateRect 0157 TGPGraphicsPath.AddEllipse 0160 _Dn_TGPPathGradientBrush 0165 TGPPathGradientBrush.Create 018c TGDIPlusCanvas.GetColorBlend 01a1 TGPPathGradientBrush.SetInterpolationColors 0213 TGPPathGradientBrush.SetCenterPoint 022b GetLinearGradientDirection 028d _Dn_TGPLinearGradientBrush 0292 TGPLinearGradientBrush.Create 03d8 TGPLinearGradientBrush.SetInterpolationColors 03e7 TGDIPlusCanvas.GBrush"
	strings:
		$1 = { 55 8B EC 81 C4 78 FF FF FF 53 56 57 89 55 EC 8B F0 8B 46 30 85 C0 0F 84 C8 03 00 00 80 78 28 00 0F 84 BE 03 00 00 0F B6 58 0C 8B 40 10 89 45 F0 8B 46 30 8B 40 20 89 45 F8 8B 55 F0 8B C6 E8 ?? ?? ?? ?? 89 45 F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 89 45 FC 8B 46 30 56 8D 70 30 8D 7D 88 A5 A5 A5 A5 5E 8B 45 90 2B 45 88 89 45 E4 8B 45 94 2B 45 8C 89 45 E8 80 FB 04 74 09 80 FB 07 0F 85 9A 01 00 00 8B 86 64 01 00 00 E8 ?? ?? ?? ?? 83 7D E4 00 75 16 83 7D E8 00 75 10 8B 45 EC 56 8B F0 8D 7D 88 A5 A5 A5 A5 5E EB 0F 8B 46 30 56 8D 70 30 8D 7D 88 A5 A5 A5 A5 5E 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 80 FB 04 75 31 8B 45 94 40 2B 45 8C 50 8D 85 78 FF FF FF 50 8B 4D 90 41 8B 5D 88 2B CB 8B 55 8C 8B C3 E8 ?? ?? ?? ?? 8D 95 78 FF FF FF 8B C7 E8 ?? ?? ?? ?? EB 5D 8B 4D 94 2B 4D 8C 85 C9 79 03 83 C1 03 C1 F9 02 8B 55 90 2B 55 88 85 D2 79 03 83 C2 03 C1 FA 02 8D 45 88 E8 ?? ?? ?? ?? 8B 45 94 83 C0 02 2B 45 8C 50 8D 85 78 FF FF FF 50 8B 4D 90 83 C1 02 8B 5D 88 2B CB 8B 55 8C 4A 8B C3 48 E8 ?? ?? ?? ?? 8D 95 78 FF FF FF 8B C7 E8 ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 64 01 00 00 8B 46 30 80 78 59 00 74 2F 6A 03 8D 55 B0 52 6A 03 8D 55 E0 52 8D 4D C0 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 4D B0 8D 55 C0 8B 86 64 01 00 00 E8 ?? ?? ?? ?? EB 2D 6A 02 8D 55 98 52 6A 02 8D 55 E0 52 8D 4D A4 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 4D 98 8D 55 A4 8B 86 64 01 00 00 E8 ?? ?? ?? ?? 8B 45 88 03 45 90 D1 F8 79 03 83 D0 00 89 45 DC 8B 45 8C 03 45 94 D1 F8 79 03 83 D0 00 89 45 D8 8B 46 30 8B 50 18 03 55 DC 89 55 D0 8B 40 1C 03 45 D8 89 45 D4 8D 55 D0 8B 86 64 01 00 00 E8 ?? ?? ?? ?? E9 C0 01 00 00 8B 86 64 01 00 00 E8 ?? ?? ?? ?? 55 8B C3 E8 ?? ?? ?? ?? 59 8B D8 8B 46 30 83 78 04 00 0F 85 AA 00 00 00 83 7D E4 00 75 5C 83 7D E8 00 75 56 8B 45 F0 50 8B 45 F8 50 53 8B 45 EC 8B 40 0C 8B 55 EC 2B 42 04 50 8D 85 78 FF FF FF 50 8B 4D EC 8B 49 08 8B 7D EC 8B 3F 2B CF 41 8B 55 EC 8B 52 04 8B C7 48 E8 ?? ?? ?? ?? 8D 8D 78 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 64 01 00 00 E9 05 01 00 00 8B 45 F0 50 8B 45 F8 50 53 8B 45 94 2B 45 8C 50 8D 85 78 FF FF FF 50 8B 4D 90 8B 7D 88 2B CF 41 8B C7 48 8B 55 8C E8 ?? ?? ?? ?? 8D 8D 78 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 64 01 00 00 E9 BD 00 00 00 83 7D E4 00 75 65 83 7D E8 00 75 5F 8B 45 F0 50 8B 45 F8 50 8B 46 30 DB 40 04 83 C4 FC D9 1C 24 9B 6A 00 8B 45 EC 8B 40 0C 8B 7D EC 8B 7F 04 2B C7 50 8D 85 78 FF FF FF 50 8B 4D EC 8B 49 08 8B 5D EC 8B 1B 2B CB 41 8B D7 8B C3 48 E8 ?? ?? ?? ?? 8D 8D 78 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 64 01 00 00 EB 52 8B 45 F0 50 8B 45 F8 50 8B 46 30 DB 40 04 83 C4 FC D9 1C 24 9B 6A 00 8B 45 94 8B 7D 8C 2B C7 50 8D 85 78 FF FF FF 50 8B 4D 90 8B 5D 88 2B CB 41 8B C3 48 8B D7 E8 ?? ?? ?? ?? 8D 8D 78 FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 64 01 00 00 8B 46 30 80 78 59 00 74 2D 6A 03 8D 55 B0 52 6A 03 8D 55 E0 52 8D 4D C0 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 4D B0 8D 55 C0 8B 86 64 01 00 00 E8 ?? ?? ?? ?? 8B 86 64 01 00 00 EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93283_0 {
	meta:
		name = "TGDIPlusCanvas.GPen"
		size = 342
		refs = "0028 TGPPen.SetWidth 0057 TGDIPlusCanvas.GDIPColor 0060 TGPPen.SetColor 006c TGPPen.SetDashStyle 0092 TPen.GetStyle 00a1 TGDIPlusCanvas.GPen 0118 TGPPen.SetLineCap 0148 TGPPen.SetLineJoin"
	strings:
		$1 = { 53 56 51 8B D8 8B B3 60 01 00 00 8B 83 80 01 00 00 85 C0 75 19 8B 43 10 8B 40 10 DB 40 1C 83 C4 FC D9 1C 24 9B 8B C6 E8 ?? ?? ?? ?? EB 14 89 04 24 DB 04 24 83 C4 FC D9 1C 24 9B 8B C6 E8 ?? ?? ?? ?? 80 BB 7D 01 00 00 00 74 2A 8B 43 10 8B 40 10 8B 50 18 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 85 00 00 00 8B 43 10 8B 40 10 8B 50 18 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 04 77 5C FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? EB 36 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 28 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 1A BA 03 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 0C BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 0F B6 83 7C 01 00 00 2C 01 72 04 74 17 EB 2A 6A 02 B9 02 00 00 00 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 22 6A 03 B9 01 00 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 0D 6A 00 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 83 60 01 00 00 5A 5E 5B C3 }
	condition:
		$1
}

rule function_93284_0 {
	meta:
		name = "TGDIPlusCanvas.GradientFill"
		size = 182
		refs = "0012 TTeeCanvas.GetGradient 0019 TCustomTeeGradient.SetVisible 0027 TCustomTeeGradient.SetStartColor 0038 TCustomTeeGradient.SetMidColor 0047 TCustomTeeGradient.SetEndColor 0057 TCustomTeeGradient.SetDirection 0066 TCustomTeeGradient.SetBalance 0075 TCustomTeeGradient.SetRadialX 0084 TCustomTeeGradient.SetRadialY 008e MakeRect 009b TGDIPlusCanvas.GBrush 00a9 TGPGraphics.FillRectangle"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? BA FF FF FF 1F E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 18 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 55 14 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 10 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 0C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8D 45 F0 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 58 01 00 00 59 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_93285_0 {
	meta:
		name = "TGDIPlusCanvas.CalcArcAngles"
		size = 244
		refs = "0019 TGDIPlusCanvas.CalcArcAngles 0055 ArcTan2"
	strings:
		$1 = { 55 8B EC 83 C4 DC 56 57 8B 7D 08 8B 75 0C 03 55 24 89 55 DC DB 45 DC D8 0D ?? ?? ?? ?? DD 5D F8 9B 03 4D 20 89 4D DC DB 45 DC D8 0D ?? ?? ?? ?? DD 5D F0 9B DB 45 18 DC 6D F0 DD 5D E0 9B DB 45 1C DC 65 F8 DD 5D E8 9B FF 75 E4 FF 75 E0 FF 75 EC FF 75 E8 E8 ?? ?? ?? ?? D9 1E 9B D9 06 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0B DB 2D ?? ?? ?? ?? D8 06 D9 1E 9B DB 2D ?? ?? ?? ?? D8 0E D9 1E 9B DB 45 10 DC 6D F0 DD 5D E0 9B DB 45 14 DC 65 F8 DD 5D E8 9B FF 75 E4 FF 75 E0 FF 75 EC FF 75 E8 E8 ?? ?? ?? ?? D9 1F 9B D9 07 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0B DB 2D ?? ?? ?? ?? D8 07 D9 1F 9B DB 2D ?? ?? ?? ?? D8 0F D9 1F 9B 5F 5E 8B E5 5D C2 20 00 00 00 00 3F 00 00 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 C3 BD 0F 1E D3 E0 2E E5 04 40 00 00 }
	condition:
		$1
}

rule function_93286_0 {
	meta:
		name = "TGDIPlusCanvas.BeginBlending"
		size = 80
		refs = "001c TGDIPlusCanvas.BeginBlending 0023 @ROUND 0033 _Dn_TTeeBlend 0038 TTeeBlend.Create"
	strings:
		$1 = { 53 56 57 51 8B D9 8B F2 8B F8 0F B6 C3 BA 64 00 00 00 2B D0 89 14 24 DB 04 24 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 88 87 A4 01 00 00 56 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 00 00 00 33 33 33 33 33 33 33 A3 00 40 00 00 }
	condition:
		$1
}

rule function_93287_0 {
	meta:
		name = "TGDIPlusCanvas.EndBlending"
		size = 19
		refs = "0006 TObject.Free"
	strings:
		$1 = { 53 8B D8 8B C2 E8 ?? ?? ?? ?? C6 83 A4 01 00 00 FF 5B C3 }
	condition:
		$1
}

rule function_93288_0 {
	meta:
		name = "AddFontFromResource"
		size = 170
		refs = "0009 TeeResourceStream 0014 AddFontFromResource 002f @GetMem 0066 TGPPrivateFontCollection.AddMemoryFont 007b @FreeMem 0081 @HandleFinally 0098 TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 12 89 45 F0 89 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 EC 8B 5D F0 8B CB 8B 45 FC 8B 30 FF 56 0C 8B 45 08 8B 40 FC 8B 80 A0 01 00 00 8B CB 8B 55 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93289_0 {
	meta:
		name = "DoAddFonts"
		size = 108
		refs = "0008 DoAddFonts 000d AddFontFromResource"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 45 00 45 00 4C 00 43 00 44 00 46 00 4F 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 45 00 45 00 4C 00 45 00 44 00 46 00 4F 00 4E 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_93290_0 {
	meta:
		name = "TGDIPlusCanvas.GetGraphics"
		size = 342
		refs = "0013 TGDIPlusCanvas.GetGraphics 0048 _Dn_TBitmap 004d TBitmap.Create 0068 TBitmap.GetCanvas 006d TCanvas.GetHandle 0072 TeeBitsperPixel 0087 TBitmap.SetPixelFormat 00aa _Dn_TGPGraphics 00af TGPGraphics.Create 00c0 TGDIPlusCanvas.DoSetAntiAlias 00c8 TGDIPlusCanvas.DoSetAntiAliasText 00db _Dn_TGPPrivateFontCollection 00e0 TGPPrivateFontCollection.Create 00ef DoAddFonts 00fe TGPGraphics.GetLastStatus 0111 IntToStr 011b _Dn_Exception 0120 Exception.Create 0125 @RaiseExcept 0143 @UStrClr 0149 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 B8 58 01 00 00 00 0F 85 FC 00 00 00 8B 45 FC 8B 10 FF 52 28 84 C0 74 64 8B 45 FC 83 B8 E4 00 00 00 00 75 19 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 91 D4 01 00 00 8B 45 FC 8B 80 E4 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F8 20 75 12 8B 45 FC 8B 80 E4 00 00 00 B2 07 E8 ?? ?? ?? ?? EB 10 8B 45 FC 8B 80 E4 00 00 00 B2 06 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 58 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 A0 01 00 00 00 75 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 82 A0 01 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 58 01 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 21 8B C3 0F BE C0 8D 55 F8 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 98 58 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93291_0 {
	meta:
		name = "TGDIPlusCanvas.DoSetAntiAlias"
		size = 80
		refs = "0018 TGPGraphics.SetSmoothingMode 0028 TGPGraphics.SetPixelOffsetMode"
	strings:
		$1 = { 53 8B D8 80 BB 74 01 00 00 00 74 22 BA 02 00 00 00 8B 83 58 01 00 00 E8 ?? ?? ?? ?? BA 02 00 00 00 8B 83 58 01 00 00 E8 ?? ?? ?? ?? EB 10 BA 01 00 00 00 8B 83 58 01 00 00 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93292_0 {
	meta:
		name = "TGDIPlusCanvas.DoSetAntiAliasText"
		size = 85
		refs = "0020 TGPGraphics.SetTextRenderingHint"
	strings:
		$1 = { 0F B6 90 75 01 00 00 80 EA 01 72 08 74 17 FE CA 74 21 EB 30 BA 04 00 00 00 8B 80 58 01 00 00 E8 ?? ?? ?? ?? C3 33 D2 8B 80 58 01 00 00 E8 ?? ?? ?? ?? C3 BA 05 00 00 00 8B 80 58 01 00 00 E8 ?? ?? ?? ?? C3 BA 01 00 00 00 8B 80 58 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93293_0 {
	meta:
		name = "TGDIPlusCanvas.InitWindow"
		size = 376
		refs = "00a8 TObject.Free 00c3 TTeeCanvas3D.InitWindow 00f6 TGPGraphics.GetHDC 0101 TGDIPlusCanvas.InitWindow 0134 TGPGraphics.ReleaseHDC 013a @HandleFinally 016b TGDIPlusCanvas.GetGraphics"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 4D F8 8B F2 89 45 FC 8B 5D 0C 8B 45 FC 8B 80 9C 01 00 00 33 D2 8B 08 FF 51 4C 8B 45 14 50 0F B6 45 10 50 53 8D 45 D8 50 8B 45 FC 8B 80 9C 01 00 00 8B 4D F8 8B D6 8B 38 FF 97 18 01 00 00 8B 45 FC 8B 10 FF 52 28 84 C0 74 58 8B 45 FC 83 B8 E4 00 00 00 00 74 4C 8B 43 08 2B 03 89 45 F0 8B 43 0C 2B 43 04 89 45 F4 8B 45 FC 8B 80 E4 00 00 00 8B 10 FF 52 30 3B 45 F0 75 13 8B 45 FC 8B 80 E4 00 00 00 8B 10 FF 52 24 3B 45 F4 74 15 8B 45 FC 05 58 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 14 50 0F B6 45 10 50 53 8B 45 08 50 8B 4D F8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 68 01 00 00 8B 45 FC 33 D2 89 90 6C 01 00 00 8B 45 FC 33 D2 89 90 70 01 00 00 8B 45 FC 8B 80 58 01 00 00 85 C0 74 66 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 3B 45 EC 0F 94 45 EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 58 01 00 00 8B 55 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 80 7D EB 00 75 15 8B 45 FC 05 58 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 45 FC 83 B8 58 01 00 00 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_93295_0 {
	meta:
		name = "TGDIPlusCanvas.SetUseBuffer"
		size = 48
		refs = "0016 TTeeCanvas3D.SetUseBuffer 0029 TObject.Free"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 28 3A D8 74 1C 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 86 58 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93296_0 {
	meta:
		name = "TGDIPlusCanvas.Arc"
		size = 96
		refs = "001e TGDIPlusCanvas.Arc 003f TGDIPlusCanvas.GPen 004e TGPGraphics.DrawArc"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 57 8B 45 1C 2B C6 50 8B 45 18 2B C7 50 DD 45 10 D8 0D ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B DD 45 08 DC 65 10 D8 0D ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 18 00 00 00 00 00 00 80 BF }
	condition:
		$1
}

rule function_93297_0 {
	meta:
		name = "TGDIPlusCanvas.Arc"
		size = 148
		refs = "0013 TPen.GetStyle 0042 TGDIPlusCanvas.CalcArcAngles 0055 TGDIPlusCanvas.Arc 0073 TGDIPlusCanvas.GPen 0082 TGPGraphics.DrawArc"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 43 10 E8 ?? ?? ?? ?? 3C 05 74 6B 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 45 FC 50 8D 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 57 8B 45 1C 2B C6 50 8B 45 18 2B C7 50 D9 05 ?? ?? ?? ?? D8 45 FC 83 C4 FC D9 1C 24 9B D9 45 F8 D8 65 FC 83 C4 FC D9 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 18 00 00 00 00 34 43 }
	condition:
		$1
}

rule function_93298_0 {
	meta:
		name = "TGDIPlusCanvas.ClipEllipse"
		size = 153
		refs = "0032 _Dn_TGPGraphicsPath 0037 TGPGraphicsPath.Create 0042 TGDIPlusCanvas.ClipEllipse 0053 MakeRect 005e TGPGraphicsPath.AddEllipse 0071 TGPGraphics.SetClip 0086 TObject.Free 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B D8 8B 02 8B 4A 04 8B 72 08 8B 52 0C 42 89 45 DC 89 4D E0 89 75 E4 89 55 E8 8D 75 DC 8D 7D EC A5 A5 A5 A5 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 CC 8D 45 EC E8 ?? ?? ?? ?? 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8B 83 58 01 00 00 B9 01 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93299_0 {
	meta:
		name = "TGDIPlusCanvas.ClipPolygon"
		size = 144
		refs = "0011 CreatePolygonRgn 001e _Dn_TGPRegion 0023 TGPRegion.Create 002e TGDIPlusCanvas.ClipPolygon 004d TGPGraphics.SetClip 0075 DeleteObject 007d TObject.Free 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 6A 01 8B 45 0C 50 52 E8 ?? ?? ?? ?? 89 45 FC 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 00 74 15 8B 83 58 01 00 00 B9 04 00 00 00 8B 55 F8 E8 ?? ?? ?? ?? EB 10 8B 83 58 01 00 00 33 C9 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_93300_0 {
	meta:
		name = "TGDIPlusCanvas.ClipRectangle"
		size = 82
		refs = "0036 MakeRect 0047 TGPGraphics.SetClip"
	strings:
		$1 = { 53 56 57 83 C4 D0 8B D8 8B 02 8B 4A 04 49 8B 72 08 8B 52 0C 42 89 44 24 10 89 4C 24 14 89 74 24 18 89 54 24 1C 8D 74 24 10 8B FC A5 A5 A5 A5 8D 54 24 20 8B C4 E8 ?? ?? ?? ?? 8D 54 24 20 33 C9 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 83 C4 30 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93301_0 {
	meta:
		name = "TGDIPlusCanvas.ClipRectangle"
		size = 27
	strings:
		$1 = { 55 8B EC 56 57 8B FA 8B F0 8B D7 8B C6 8B 08 FF 91 AC 00 00 00 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_93302_0 {
	meta:
		name = "TGDIPlusCanvas.AssignVisiblePenColor"
		size = 189
		refs = "0017 TTeeCanvas.AssignVisiblePenColor 0021 TPen.SetColor 004a _Dn_TChartPen 004f @IsClass 005a TPen.GetStyle 0064 TPen.SetStyle 0072 TPen.SetWidth"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B 46 10 8B 68 1C 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 43 10 E8 ?? ?? ?? ?? 8B 43 10 8B 40 10 3B 68 1C 75 0A 33 C0 89 83 80 01 00 00 EB 0C 8B 46 10 8B 40 1C 89 83 80 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 53 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 10 E8 ?? ?? ?? ?? 8B 46 10 8B 50 1C 8B 43 10 E8 ?? ?? ?? ?? 8B C6 0F B6 50 21 88 93 7D 01 00 00 0F B6 40 20 88 83 7C 01 00 00 80 7E 28 00 75 26 8B 43 10 E8 ?? ?? ?? ?? 3C 05 74 1A B2 05 8B 43 10 E8 ?? ?? ?? ?? EB 0E C6 83 7D 01 00 00 00 C6 83 7C 01 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93303_0 {
	meta:
		name = "TGDIPlusCanvas.XORDoHorizLine"
		size = 82
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B 83 9C 01 00 00 8B 40 10 8B 53 10 8B 08 FF 51 08 8B 83 9C 01 00 00 8B 40 04 8B 53 04 8B 08 FF 51 08 8B 45 FC 50 56 8B CE 8B D7 8B 83 9C 01 00 00 8B 18 FF 93 D0 00 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_93304_0 {
	meta:
		name = "TGDIPlusCanvas.DoHorizLine"
		size = 145
		refs = "002b TGDIPlusCanvas.XORDoHorizLine 0036 SingleOne 006b TGDIPlusCanvas.GPen 0078 TGPGraphics.DrawLine"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 89 55 FC 8B D8 8B 75 08 8B 43 10 0F B6 40 18 3C 0E 74 04 3C 0F 75 0F 56 8B CF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 4B DB 45 FC D8 0D ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 89 75 F8 DB 45 F8 83 C4 FC D9 1C 24 9B 89 7D F4 DB 45 F4 83 C4 FC D9 1C 24 9B 89 75 F0 DB 45 F0 83 C4 FC D9 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 89 BB 68 01 00 00 89 B3 6C 01 00 00 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_93305_0 {
	meta:
		name = "CalcPoint"
		size = 87
		refs = "001d SinCos 002b @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 8B F2 8B D8 DD 45 08 83 C4 F4 DB 3C 24 9B 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? DB 6D E0 8B 45 10 DC 48 F0 E8 ?? ?? ?? ?? 8B 55 10 03 42 FC 89 03 DB 6D F0 8B 45 10 DC 48 E0 E8 ?? ?? ?? ?? 8B 55 10 8B 52 EC 2B D0 89 16 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_93306_0 {
	meta:
		name = "TGDIPlusCanvas.Donut"
		size = 656
		refs = "0022 TGDIPlusCanvas.Donut 0075 CalcPoint 00d0 TGDIPlusCanvas.CalcArcAngles 00ef _Dn_TGPGraphicsPath 00f4 TGPGraphicsPath.Create 0157 TGPGraphicsPath.AddArc 01d8 TGPGraphicsPath.CloseFigure 0210 TGDIPlusCanvas.GBrush 0220 TGPGraphics.FillPath 0228 TPen.GetStyle 0233 TGDIPlusCanvas.GPen 0243 TGPGraphics.DrawPath 0258 TObject.Free 025e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A0 53 56 57 89 4D EC 89 55 FC 8B D8 8B 75 24 DD 45 10 DC 5D 18 9B DF E0 9E 72 1C DB 2D ?? ?? ?? ?? DC 65 18 DD 5D C8 9B DB 2D ?? ?? ?? ?? DC 65 10 DD 5D C0 9B EB 1A DB 2D ?? ?? ?? ?? DC 65 10 DD 5D C8 9B DB 2D ?? ?? ?? ?? DC 65 18 DD 5D C0 9B 89 75 A0 DB 45 A0 DD 5D F0 9B DB 45 20 DD 5D E0 9B 55 FF 75 CC FF 75 C8 8D 55 D8 8D 45 DC E8 ?? ?? ?? ?? 59 55 FF 75 C4 FF 75 C0 8D 55 D0 8D 45 D4 E8 ?? ?? ?? ?? 59 8B 4D D8 8B 55 DC 8B C3 8B 38 FF 97 80 00 00 00 8B 45 FC 03 C6 50 8B 45 EC 03 45 20 50 8B 45 DC 50 8B 45 D8 50 8B 45 D4 50 8B 45 D0 50 8D 45 B8 50 8D 45 B4 50 8B 4D EC 2B 4D 20 8B 55 FC 2B D6 8B C3 E8 ?? ?? ?? ?? D9 45 B8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 07 C7 45 B8 00 00 B4 43 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 BC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DB 45 FC DC 65 F0 83 C4 FC D9 1C 24 9B DB 45 EC DC 65 E0 83 C4 FC D9 1C 24 9B D9 05 ?? ?? ?? ?? DC 4D F0 83 C4 FC D9 1C 24 9B D9 05 ?? ?? ?? ?? DC 4D E0 83 C4 FC D9 1C 24 9B FF 75 B8 D9 45 B4 D8 65 B8 83 C4 FC D9 1C 24 9B 8B 45 BC E8 ?? ?? ?? ?? 89 75 A0 DB 45 A0 DC 4D 08 DB 2D ?? ?? ?? ?? DE C9 DD 5D F0 9B DB 45 20 DC 4D 08 DB 2D ?? ?? ?? ?? DE C9 DD 5D E0 9B DB 45 FC DC 65 F0 83 C4 FC D9 1C 24 9B DB 45 EC DC 65 E0 83 C4 FC D9 1C 24 9B D9 05 ?? ?? ?? ?? DC 4D F0 83 C4 FC D9 1C 24 9B D9 05 ?? ?? ?? ?? DC 4D E0 83 C4 FC D9 1C 24 9B FF 75 B4 D9 45 B8 D8 65 B4 83 C4 FC D9 1C 24 9B 8B 45 BC E8 ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 8B 43 04 8B 40 10 0F B6 40 20 3C 01 74 3A 8B 45 FC 2B C6 89 45 A4 8B 45 EC 2B 45 20 89 45 A8 03 75 FC 89 75 AC 8B 45 EC 03 45 20 89 45 B0 8D 55 A4 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 58 01 00 00 8B 4D BC E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 3C 05 74 17 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 58 01 00 00 8B 4D BC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 20 00 00 00 00 35 C2 68 21 A2 DA 0F C9 01 40 00 00 00 00 00 00 00 00 00 40 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_93307_0 {
	meta:
		name = "TGDIPlusCanvas.XORDoVertLine"
		size = 76
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 83 9C 01 00 00 8B 40 10 8B 53 10 8B 08 FF 51 08 8B 83 9C 01 00 00 8B 40 04 8B 53 04 8B 08 FF 51 08 56 8B 45 08 50 8B CF 8B D6 8B 83 9C 01 00 00 8B 18 FF 93 D0 00 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_93308_0 {
	meta:
		name = "TGDIPlusCanvas.DoVertLine"
		size = 145
		refs = "002b TGDIPlusCanvas.XORDoVertLine 0039 SingleOne 006b TGDIPlusCanvas.GPen 0078 TGPGraphics.DrawLine"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B 43 10 0F B6 40 18 3C 0E 74 04 3C 0F 75 0F 57 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? EB 4B 89 75 F8 DB 45 F8 D8 0D ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B DB 45 FC 83 C4 FC D9 1C 24 9B 89 75 F4 DB 45 F4 83 C4 FC D9 1C 24 9B 89 7D F0 DB 45 F0 83 C4 FC D9 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 89 B3 68 01 00 00 89 BB 6C 01 00 00 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_93309_0 {
	meta:
		name = "TGDIPlusCanvas.Ellipse"
		size = 145
		refs = "0044 TGDIPlusCanvas.GBrush 0053 TGPGraphics.FillEllipse 005b TPen.GetStyle 0075 TGDIPlusCanvas.GPen 0084 TGPGraphics.DrawEllipse"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 8B 43 04 8B 40 10 0F B6 40 20 3C 01 74 3A 89 75 F0 89 7D F4 8B 45 0C 89 45 F8 8B 45 08 89 45 FC 57 8B 45 0C 2B C6 48 50 8B 45 08 2B C7 48 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 3C 05 74 25 57 8B 45 0C 2B C6 48 50 8B 45 08 2B C7 48 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_93310_0 {
	meta:
		name = "TGDIPlusCanvas.FillRect"
		size = 62
		refs = "001c MakeRect 0026 TGDIPlusCanvas.GBrush 0034 TGPGraphics.FillRectangle"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B 43 04 8B 40 10 0F B6 40 20 3C 01 74 21 8B D4 8B C6 E8 ?? ?? ?? ?? 54 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 58 01 00 00 59 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_93311_0 {
	meta:
		name = "TGDIPlusCanvas.Line"
		size = 74
		refs = "0020 TGDIPlusCanvas.GPen 0028 TGDIPlusCanvas.GetGraphics 0031 TGPGraphics.DrawLine"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 08 8B 75 0C 8B 45 F8 50 56 57 8B C3 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 5A E8 ?? ?? ?? ?? 89 B3 68 01 00 00 89 BB 6C 01 00 00 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_93312_0 {
	meta:
		name = "TGDIPlusCanvas.SetFastLine"
		size = 32
		refs = "000a TGDIPlusCanvas.GPen"
	strings:
		$1 = { 53 8B D8 84 D2 74 0F 8B C3 E8 ?? ?? ?? ?? 89 83 78 01 00 00 5B C3 33 C0 89 83 78 01 00 00 5B C3 }
	condition:
		$1
}

rule function_93313_0 {
	meta:
		name = "TGDIPlusCanvas.FastLineTo"
		size = 109
		refs = "0014 SingleOne 0057 TGPGraphics.DrawLine"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 DB 83 68 01 00 00 D8 0D ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B DB 83 6C 01 00 00 83 C4 FC D9 1C 24 9B 89 74 24 08 DB 44 24 08 83 C4 FC D9 1C 24 9B 89 7C 24 10 DB 44 24 10 83 C4 FC D9 1C 24 9B 8B 93 78 01 00 00 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 89 B3 68 01 00 00 89 BB 6C 01 00 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93314_0 {
	meta:
		name = "TGDIPlusCanvas.LineTo"
		size = 60
		refs = "0015 TGDIPlusCanvas.GPen 0028 TGPGraphics.DrawLine"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 83 6C 01 00 00 50 56 57 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 8B 68 01 00 00 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 89 B3 68 01 00 00 89 BB 6C 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93316_0 {
	meta:
		name = "TGDIPlusCanvas.MoveTo"
		size = 13
	strings:
		$1 = { 89 90 68 01 00 00 89 88 6C 01 00 00 C3 }
	condition:
		$1
}

rule function_93317_0 {
	meta:
		name = "TGDIPlusCanvas.MoveTo3D"
		size = 46
		refs = "0026 TTeeCanvas3D.Calc3DPos"
	strings:
		$1 = { 55 8B EC 89 90 68 01 00 00 89 88 6C 01 00 00 8B 55 08 89 90 70 01 00 00 52 8D 88 6C 01 00 00 8D 90 68 01 00 00 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_93318_0 {
	meta:
		name = "TGDIPlusCanvas.Pie"
		size = 200
		refs = "0018 TGDIPlusCanvas.Pie 0064 MakeRect 0071 TGDIPlusCanvas.GBrush 007f TGPGraphics.FillPie 0087 TPen.GetStyle 00a6 TGDIPlusCanvas.GPen 00b4 TGPGraphics.DrawPie"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 8B F2 8B D8 DD 45 08 D9 5D F4 9B D9 45 F4 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 07 C7 45 F4 00 00 B4 43 D9 05 ?? ?? ?? ?? DC 65 10 D9 5D FC 9B D9 45 F4 DC 65 10 D9 5D F8 9B D9 45 FC D8 65 F8 D9 5D FC 9B 8B 43 04 8B 40 10 0F B6 40 20 3C 01 74 2B FF 75 FC FF 75 F8 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8D 45 E4 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 58 01 00 00 59 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 3C 05 74 29 FF 75 FC FF 75 F8 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8D 45 E4 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 58 01 00 00 59 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 10 00 00 00 00 00 00 00 B4 43 }
	condition:
		$1
}

rule function_93319_0 {
	meta:
		name = "TGDIPlusCanvas.Pie"
		size = 118
		refs = "0036 TGDIPlusCanvas.CalcArcAngles"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B F2 8B D8 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8D 45 FC 50 8D 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 89 75 E8 89 7D EC 8B 45 1C 89 45 F0 8B 45 18 89 45 F4 D9 45 FC 83 C4 F8 DD 1C 24 9B D9 45 F8 83 C4 F8 DD 1C 24 9B 8D 55 E8 8B C3 8B 08 FF 91 84 00 00 00 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_93321_0 {
	meta:
		name = "TGDIPlusCanvas.Polygon"
		size = 346
		refs = "004e TGDIPlusCanvas.GBrush 0058 MakePoints 0066 TGPGraphics.FillPolygon 007f @DynArrayLength 0094 @DynArrayHigh 00a1 PolygonBounds 0127 TPen.GetStyle 0140 TGDIPlusCanvas.GPen 014e TGPGraphics.DrawPolygon"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F1 8B FA 8B D8 8B 43 04 8B 40 10 0F B6 40 20 3C 01 0F 84 04 01 00 00 8B 43 30 85 C0 0F 84 D6 00 00 00 80 78 28 00 0F 84 CC 00 00 00 8B 43 30 0F B6 40 0C 3C 07 74 04 3C 04 75 2C 8D 46 01 50 8B D7 8B CE 8B C3 E8 ?? ?? ?? ?? 50 8B C7 8B D6 E8 ?? ?? ?? ?? 8B C8 8B 83 58 01 00 00 5A E8 ?? ?? ?? ?? E9 B4 00 00 00 8B 43 30 83 78 2C 00 74 52 8B 43 30 8B 40 2C E8 ?? ?? ?? ?? 85 C0 7E 43 8D 46 01 50 8B 43 30 8B 68 2C 8B C5 E8 ?? ?? ?? ?? 8B D0 8D 4C 24 04 8B C5 E8 ?? ?? ?? ?? 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 50 8B C7 8B D6 E8 ?? ?? ?? ?? 8B C8 8B 83 58 01 00 00 5A E8 ?? ?? ?? ?? EB 59 8D 46 01 50 8D 4C 24 04 8B C7 8B D6 E8 ?? ?? ?? ?? 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 50 8B C7 8B D6 E8 ?? ?? ?? ?? 8B C8 8B 83 58 01 00 00 5A E8 ?? ?? ?? ?? EB 23 8D 46 01 50 8B C7 8B D6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 58 01 00 00 59 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 3C 05 74 23 8D 46 01 50 8B C7 8B D6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 58 01 00 00 59 E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93322_0 {
	meta:
		name = "TGDIPlusCanvas.Polyline"
		size = 60
		refs = "000d TPen.GetStyle 001e MakePoints 0026 TGDIPlusCanvas.GPen 0034 TGPGraphics.DrawLines"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B 43 10 E8 ?? ?? ?? ?? 3C 05 74 23 8D 46 01 50 8B C7 8B D6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 83 58 01 00 00 59 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93323_0 {
	meta:
		name = "TGDIPlusCanvas.XORRectangle"
		size = 70
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 9C 01 00 00 8B 40 10 8B 53 10 8B 08 FF 51 08 8B 83 9C 01 00 00 8B 40 04 8B 53 04 8B 08 FF 51 08 8B 46 08 50 8B 46 0C 50 8B 4E 04 8B 16 8B 83 9C 01 00 00 8B 18 FF 93 8C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_93324_0 {
	meta:
		name = "TGDIPlusCanvas.Rectangle"
		size = 189
		refs = "0026 OrientRectangle 003f TGDIPlusCanvas.XORRectangle 006c TGDIPlusCanvas.GBrush 007b TGPGraphics.FillRectangle 0083 TPen.GetStyle 00a1 TGDIPlusCanvas.GPen 00b0 TGPGraphics.DrawRectangle"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B D8 89 55 E0 89 4D E4 8B 45 0C 48 89 45 E8 8B 45 08 48 89 45 EC 8D 55 F0 8D 45 E0 E8 ?? ?? ?? ?? 8B 43 10 0F B6 40 18 3C 0E 74 04 3C 0F 75 0C 8D 55 F0 8B C3 E8 ?? ?? ?? ?? EB 6F 8B 43 04 8B 40 10 0F B6 40 20 3C 01 74 2C 8B 7D F4 57 8B 45 F8 8B 75 F0 2B C6 50 8B 45 FC 2B C7 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 3C 05 74 29 8B 7D F4 57 8B 45 F8 8B 75 F0 2B C6 50 8B 45 FC 2B C7 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_93325_0 {
	meta:
		name = "TGDIPlusCanvas.RoundRect"
		size = 514
		refs = "007f _Dn_TGPGraphicsPath 0084 TGPGraphicsPath.Create 008f TGDIPlusCanvas.RoundRect 00b0 TGPGraphicsPath.AddLine 00cb TGPGraphicsPath.AddArc 019b TGDIPlusCanvas.GBrush 01ae TGPGraphics.FillPath 01b9 TPen.GetStyle 01c5 TGDIPlusCanvas.GPen 01d8 TGPGraphics.DrawPath 01ed TObject.Free 01f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 75 08 8B 5D 0C 8B 7D 14 4F FF 4D 10 8B CF 2B 4D F8 8B 45 10 2B 45 F4 89 45 F0 D1 FB 79 03 83 D3 00 89 5D EC 8B 5D EC 03 DB D1 FE 79 03 83 D6 00 89 75 E8 8B 75 E8 03 F6 8B C1 99 33 C2 2B C2 3B D8 7F 0C 8B 45 F0 99 33 C2 2B C2 3B F0 7E 18 57 8B 45 10 50 8B 4D F4 8B 55 F8 8B 45 FC 8B 18 FF 53 70 E9 7F 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 2B 45 EC 50 8B 45 F4 50 8B 55 F8 03 55 EC 8B 4D F4 8B 45 E4 E8 ?? ?? ?? ?? 53 56 68 00 00 87 43 68 00 00 B4 42 8B D7 2B D3 8B 4D F4 8B 45 E4 E8 ?? ?? ?? ?? 57 8B 45 10 2B 45 E8 50 8B 4D F4 03 4D E8 8B D7 8B 45 E4 E8 ?? ?? ?? ?? 53 56 6A 00 68 00 00 B4 42 8B 4D 10 2B CE 8B D7 2B D3 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 F8 03 45 EC 50 8B 45 10 50 8B D7 2B 55 EC 8B 4D 10 8B 45 E4 E8 ?? ?? ?? ?? 53 56 68 00 00 B4 42 68 00 00 B4 42 8B 4D 10 2B CE 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 F4 03 45 E8 50 8B 4D 10 2B 4D E8 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 53 56 68 00 00 34 43 68 00 00 B4 42 8B 4D F4 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 40 10 0F B6 40 20 3C 01 74 33 8B 45 F8 89 45 D4 8B 45 F4 89 45 D8 89 7D DC 8B 45 10 89 45 E0 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 58 01 00 00 8B 4D E4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 3C 05 74 1B 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 80 58 01 00 00 8B 4D E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_93326_0 {
	meta:
		name = "GetPrivateFont"
		size = 440
		refs = "0018 @UStrAddRef 0020 GetPrivateFont 0035 @UStrEqual 0065 @DynArrayLength 007a TObject.Free 0087 :TGDIPlusCanvas.:2 008c @Finalize 009d TGPFontCollection.GetFamilyCount 00b7 @DynArraySetLength 00cc _Dn_TGPFontFamily 00d1 TGPFontFamily.Create 00e3 @DynArrayHigh 00ff TGPFontCollection.GetFamilies 0112 @UStrClr 0121 TGPFontFamily.GetFamilyName 0153 @DynArrayClear 0160 @UStrArrayClr 0166 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 13 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 EE 00 00 00 8B 45 08 8B 40 FC 83 B8 A0 01 00 00 00 0F 84 DB 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 12 43 33 F6 8B 45 F4 8B 04 B0 E8 ?? ?? ?? ?? 46 4B 75 F1 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 A0 01 00 00 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8D 45 F4 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 5D EC 4B 85 DB 7C 19 43 33 F6 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 89 04 B2 46 4B 75 EA 8B 45 F4 E8 ?? ?? ?? ?? 50 8D 45 F0 50 8B 45 08 8B 40 FC 8B 80 A0 01 00 00 8B 4D F4 8B 55 EC E8 ?? ?? ?? ?? 8B 5D EC 4B 85 DB 7C 31 43 33 F6 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 04 B0 33 C9 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 75 06 8B 45 F4 8B 3C B0 46 4B 75 D2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C7 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 53 00 2D 00 44 00 69 00 67 00 69 00 74 00 61 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 6C 00 65 00 6B 00 74 00 72 00 61 00 00 00 }
	condition:
		$1
}

rule function_93327_0 {
	meta:
		name = "GFont"
		size = 435
		refs = "0017 GFont 002e TObject.Free 009c TFont.GetName 00a4 GetPrivateFont 00ca TFont.GetSize 00e4 _Dn_TGPFont 00e9 TGPFont.Create 0115 @HandleFinally 0153 @WStrFromUStr 018f @UStrClr 0197 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C0 89 45 EC 89 45 E8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 5C 01 00 00 E8 ?? ?? ?? ?? 33 F6 8B 45 08 8B 40 FC 8B 58 0C 8B C3 8B 40 10 0F B6 40 21 88 45 FB F6 45 FB 01 74 19 8B D3 8B 42 10 0F B6 40 21 A8 02 74 07 BE 03 00 00 00 EB 05 BE 01 00 00 00 8B C3 8B 40 10 0F B6 40 21 88 45 FA F6 45 FA 04 74 03 83 CE 04 8B C3 8B 40 10 0F B6 40 21 88 45 F9 F6 45 F9 08 74 03 83 CE 08 8B 45 08 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 59 89 45 FC 83 7D FC 00 74 69 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 FC 8B 40 0C E8 ?? ?? ?? ?? 89 45 F0 DB 45 F0 83 C4 FC D9 1C 24 9B 56 6A 03 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 82 5C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 08 8B 40 FC 8B 40 0C E8 ?? ?? ?? ?? 89 45 F0 DB 45 F0 83 C4 FC D9 1C 24 9B 56 6A 03 6A 00 8D 55 E8 8B 45 08 8B 40 FC 8B 40 0C E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 82 5C 01 00 00 8B 45 08 8B 40 FC 8B 98 5C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93328_0 {
	meta:
		name = "CalcTextRect"
		size = 145
		refs = "0013 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 45 FC 8B 45 08 D9 40 F4 E8 ?? ?? ?? ?? 8B D8 8B 45 08 D9 40 F8 E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 50 08 8B 45 08 8B 40 FC 8B 08 FF 91 9C 00 00 00 89 45 E8 DB 45 E8 8B 45 08 D8 40 F4 E8 ?? ?? ?? ?? 8B F8 8B 45 08 8B 50 08 8B 45 08 8B 40 FC 8B 08 FF 91 A0 00 00 00 89 45 E8 DB 45 E8 8B 45 08 D8 40 F8 E8 ?? ?? ?? ?? 89 5D EC 89 75 F0 89 7D F4 89 45 F8 8B 45 FC 8B F8 8D 75 EC A5 A5 A5 A5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93329_0 {
	meta:
		name = "InternalTextOut"
		size = 228
		refs = "0017 InternalTextOut 002e TBrush.SetColor 004d CalcTextRect 005c TGDIPlusCanvas.GBrush 0098 ElementToCharLen 00a7 @WStrFromUStr 00bc TGPGraphics.DrawString 00d1 @WStrClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 04 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 30 85 C0 74 25 80 78 28 00 74 1F 8B 45 08 50 8D 45 EC E8 ?? ?? ?? ?? 59 8D 55 EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 EB 0D 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 40 08 89 45 E8 8B 5D E8 85 DB 74 05 83 EB 04 8B 1B 8B 45 08 8B 40 F0 50 57 56 8B 45 08 8B 40 08 8B D3 E8 ?? ?? ?? ?? 50 8D 45 E4 8B 55 08 8B 52 08 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 08 8B 40 FC 8B 80 58 01 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93330_0 {
	meta:
		name = "TryDrawShadow"
		size = 279
		refs = "0021 TTeeShadow.GetSize 005b InternalTextOut 008c _Dn_TBlurFilter 0091 TBlurFilter.Create 009c TryDrawShadow 00be CalcTextRect 00d9 OffsetRect 0105 TObject.Free 010b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 8B F2 8B D8 85 DB 0F 84 FD 00 00 00 80 7B 20 00 0F 84 F3 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 E4 00 00 00 8B 45 08 8B 50 F4 89 55 F8 8B 50 F8 89 55 FC DB 43 0C D8 45 F8 D9 5D F8 9B DB 43 1C D8 45 FC D9 5D FC 9B 8B 45 08 50 8B 53 08 8D 45 F8 E8 ?? ?? ?? ?? 59 80 7B 10 00 0F 84 A7 00 00 00 83 7B 14 00 0F 84 9D 00 00 00 8B 45 08 8B 40 FC 83 B8 E4 00 00 00 00 0F 84 8A 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 C6 40 21 01 8B 43 14 8B 55 F4 89 42 74 8B 45 08 50 8D 45 E4 E8 ?? ?? ?? ?? 59 8B 4B 1C 83 C1 03 0F AF CE 8B 53 0C 83 C2 03 0F AF D6 8D 45 E4 E8 ?? ?? ?? ?? 8D 4D E4 8B 45 08 8B 40 FC 8B 90 E4 00 00 00 8B 45 F4 8B 18 FF 53 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93331_0 {
	meta:
		name = "TGDIPlusCanvas.TextOut"
		size = 1024
		refs = "0028 TGDIPlusCanvas.TextOut 028d _Dn_TGPMatrix 0292 TGPMatrix.Create 02ba TGPGraphics.GetTransform 02db TGPMatrix.RotateAt 02f2 TGPGraphics.MultiplyTransform 031d TBrush.SetColor 0326 CalcTextRect 0338 GFont 0350 TTeeFont.GetGradient 0359 TTeeCanvas.GetGradient 036b TTeeFont.GetShadow 0375 TryDrawShadow 0382 TTeeFont.GetEmboss 039c TCustomTeeGradient.SetVisible 03ae InternalTextOut 03cd TGPGraphics.ResetTransform 03de TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F1 8B FA 89 45 FC 8B 45 FC 8B 10 FF 52 24 83 F8 02 75 6D 8B 45 FC DD 80 88 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 2A 8B 45 FC DD 80 88 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 15 8B 55 08 8B 45 FC 8B 08 FF 91 9C 00 00 00 03 F0 E9 E2 01 00 00 8B 45 FC DD 80 88 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 84 C9 01 00 00 8B 55 08 8B 45 FC 8B 08 FF 91 9C 00 00 00 2B F8 E9 B4 01 00 00 83 F8 06 0F 85 EA 00 00 00 8B 45 FC DD 80 88 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 62 8B 45 FC DD 80 88 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 4D 8B 45 FC DD 80 88 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 1C 8B 55 08 8B 45 FC 8B 08 FF 91 9C 00 00 00 D1 F8 79 03 83 D0 00 03 F0 E9 50 01 00 00 8B 55 08 8B 45 FC 8B 08 FF 91 9C 00 00 00 D1 F8 79 03 83 D0 00 2B F0 E9 34 01 00 00 8B 45 FC DD 80 88 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 15 8B 55 08 8B 45 FC 8B 08 FF 91 A0 00 00 00 03 F0 E9 0A 01 00 00 8B 45 FC DD 80 88 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 15 8B 55 08 8B 45 FC 8B 08 FF 91 A0 00 00 00 2B F8 E9 E0 00 00 00 8B 55 08 8B 45 FC 8B 08 FF 91 9C 00 00 00 D1 F8 79 03 83 D0 00 83 C0 02 2B F8 E9 C1 00 00 00 83 F8 0E 0F 85 B8 00 00 00 8B 45 FC DD 80 88 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 7C 8B 45 FC DD 80 88 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 67 8B 45 FC DD 80 88 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 29 8B 55 08 8B 45 FC 8B 08 FF 91 9C 00 00 00 D1 F8 79 03 83 D0 00 03 F0 8B 55 08 8B 45 FC 8B 08 FF 91 A0 00 00 00 2B F8 EB 50 8B 55 08 8B 45 FC 8B 08 FF 91 A0 00 00 00 03 F0 8B 55 08 8B 45 FC 8B 08 FF 91 9C 00 00 00 D1 F8 79 03 83 D0 00 03 F8 EB 27 8B 55 08 8B 45 FC 8B 08 FF 91 9C 00 00 00 D1 F8 79 03 83 D0 00 2B F8 8B 55 08 8B 45 FC 8B 08 FF 91 A0 00 00 00 2B F0 8B C7 83 E8 02 89 45 E0 DB 45 E0 D9 5D F4 9B 89 75 E0 DB 45 E0 D9 5D F8 9B 33 C0 89 45 EC 8B 45 FC DD 80 88 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 84 81 00 00 00 8B 45 FC DD 80 88 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 6C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 89 7D E0 DB 45 E0 D9 5D E4 9B 89 75 E0 DB 45 E0 D9 5D E8 9B 8B 45 FC 8B 80 58 01 00 00 8B 55 EC E8 ?? ?? ?? ?? 85 C0 75 34 8B 45 FC DD 80 88 01 00 00 83 C4 FC D9 1C 24 9B 8D 55 E4 33 C9 8B 45 EC E8 ?? ?? ?? ?? 85 C0 75 13 8B 45 FC 8B 80 58 01 00 00 33 C9 8B 55 EC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 08 8B D8 8B 45 FC 8B 10 FF 52 08 3C 02 75 2A 8B 45 FC 8B 10 FF 52 04 8B D0 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 55 8D 45 D0 E8 ?? ?? ?? ?? 59 8D 55 D0 8B 45 FC 8B 08 FF 51 74 55 E8 ?? ?? ?? ?? 59 89 45 F0 8B 45 FC 83 78 2C 00 74 48 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 55 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 40 2C E8 ?? ?? ?? ?? 83 CA FF E8 ?? ?? ?? ?? 59 EB 0F 8B 45 FC E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 55 8B 45 FC 8B 40 0C 8B 50 18 8D 45 F4 E8 ?? ?? ?? ?? 59 8B D3 8B 45 FC 8B 08 FF 51 30 83 7D EC 00 74 1F 8B 45 FC 8B 80 58 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 0D 8B 45 EC 33 D2 89 55 EC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 00 B4 43 00 00 87 43 00 00 B4 42 00 00 34 43 }
	condition:
		$1
}

rule function_93332_0 {
	meta:
		name = "TGDIPlusCanvas.RotateLabel"
		size = 64
		refs = "0008 TGDIPlusCanvas.RotateLabel 0023 TTeeCanvas3D.RotateLabel"
	strings:
		$1 = { 55 8B EC 56 8B F0 D9 05 ?? ?? ?? ?? DC 65 08 DD 9E 88 01 00 00 9B 8B 45 10 50 FF 75 0C FF 75 08 8B C6 E8 ?? ?? ?? ?? 33 C0 89 86 88 01 00 00 89 86 8C 01 00 00 5E 5D C2 0C 00 00 00 00 00 B4 43 }
	condition:
		$1
}

rule function_93333_0 {
	meta:
		name = "TGDIPlusCanvas.XORHorizLine3D"
		size = 79
		altNames = "TGDIPlusCanvas.XORVertLine3D"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 83 9C 01 00 00 8B 40 10 8B 53 10 8B 08 FF 51 08 8B 83 9C 01 00 00 8B 40 04 8B 53 04 8B 08 FF 51 08 8B 45 0C 50 8B 45 08 50 8B CF 8B D6 8B 83 9C 01 00 00 8B 18 FF 93 D0 00 00 00 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_93334_0 {
	meta:
		name = "TGDIPlusCanvas.HorizLine3D"
		size = 152
		refs = "0023 TTeeCanvas3D.Calc3DPos 0055 TGDIPlusCanvas.XORHorizLine3D 006a TGDIPlusCanvas.GPen 007a TGPGraphics.DrawLine"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 45 0C 89 45 F4 56 8D 4D F4 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 56 8D 4D 0C 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 43 10 0F B6 40 18 3C 0E 74 04 3C 0F 75 17 8B 45 F8 50 8B 45 0C 50 8B 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 23 8B 45 F4 50 8B 45 F8 50 8B 45 0C 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 4D FC 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 89 83 68 01 00 00 8B 45 0C 89 83 6C 01 00 00 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_93335_0 {
	meta:
		name = "TGDIPlusCanvas.LineWithZ"
		size = 108
		refs = "001d TTeeCanvas3D.Calc3DPos 003e TGDIPlusCanvas.GPen 004e TGPGraphics.DrawLine"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 75 08 56 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 56 8D 4D 0C 8D 55 10 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 10 50 8B 45 0C 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 4D FC 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 8B 45 10 89 83 68 01 00 00 8B 45 0C 89 83 6C 01 00 00 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_93336_0 {
	meta:
		name = "TGDIPlusCanvas.UnClipRectangle"
		size = 43
		refs = "000c MakeRect 001b TGPGraphics.SetClip 0022 TTeeCanvas3D.UnClipRectangle"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8D 43 1C E8 ?? ?? ?? ?? 8B D4 33 C9 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_93338_0 {
	meta:
		name = "TGDIPlusCanvas.VertLine3D"
		size = 152
		refs = "0023 TTeeCanvas3D.Calc3DPos 0055 TGDIPlusCanvas.XORVertLine3D 006a TGDIPlusCanvas.GPen 007a TGPGraphics.DrawLine"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 45 FC 89 45 F4 56 8D 4D F8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 56 8D 4D 0C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 43 10 0F B6 40 18 3C 0E 74 04 3C 0F 75 17 8B 45 FC 50 8B 45 0C 50 8B 4D F8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? EB 23 8B 45 F8 50 8B 45 FC 50 8B 45 0C 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 4D F4 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 89 83 68 01 00 00 8B 45 0C 89 83 6C 01 00 00 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_93339_0 {
	meta:
		name = "TGDIPlusCanvas.ZLine3D"
		size = 121
		refs = "0028 TTeeCanvas3D.Calc3DPos 004c TGDIPlusCanvas.GPen 005c TGPGraphics.DrawLine"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D F8 89 55 FC 8B D8 8B 45 FC 89 45 F4 8B 45 F8 89 45 F0 8B 45 0C 50 8D 4D F0 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 50 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 4D F4 8B 83 58 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 89 83 68 01 00 00 8B 45 F8 89 83 6C 01 00 00 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_93340_0 {
	meta:
		name = "TGDIPlusCanvas.GetColorBlend"
		size = 216
		refs = "0044 TGDIPlusCanvas.GDIPColor 005c TCustomTeeGradient.GetMidColor"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 8B 55 08 8B 45 10 80 7F 59 00 74 72 C7 02 03 00 00 00 33 D2 89 10 C7 40 04 00 00 00 3F C7 40 08 00 00 80 3F 8B 83 98 01 00 00 85 C0 74 04 89 06 EB 0C 8B 57 20 8B C3 E8 ?? ?? ?? ?? 89 06 8B 83 94 01 00 00 85 C0 74 05 89 46 04 EB 13 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 89 46 04 8B 83 90 01 00 00 85 C0 74 05 89 46 08 EB 56 8B 57 10 8B C3 E8 ?? ?? ?? ?? 89 46 08 EB 47 C7 02 02 00 00 00 33 D2 89 10 C7 40 04 00 00 80 3F 8B 83 98 01 00 00 85 C0 74 04 89 06 EB 0C 8B 57 10 8B C3 E8 ?? ?? ?? ?? 89 06 8B 83 90 01 00 00 85 C0 74 05 89 46 04 EB 0D 8B 57 20 8B C3 E8 ?? ?? ?? ?? 89 46 04 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_93343_0 {
	meta:
		name = "TTeeGDIPlus.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TComponent.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 39 01 C6 46 3A 02 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_93344_0 {
	meta:
		name = "TTeeGDIPlus.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000e TTeeGDIPlus.RemoveTag 0017 TTeeGDIPlus.SetTeePanel 0022 TComponent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93345_0 {
	meta:
		name = "TTeeGDIPlus.GetCanvas"
		size = 46
		refs = "0013 _DV_TGDIPlusCanvas 0018 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 3C 85 F6 74 1E 8B 86 40 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B 86 40 03 00 00 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_93346_0 {
	meta:
		name = "TTeeGDIPlus.Activate"
		size = 140
		refs = "0013 _DV_TGDIPlusCanvas 0018 TGDIPlusCanvas.Create 003b TCustomTeePanel.SetInternalCanvas 0042 TTeeGDIPlus.ResetCanvas 004f TGDIPlusCanvas.GetGraphics 0058 TTeeGDIPlus.RemoveTag 006c @IsClass 0077 _Dn_TTeeCanvas3D 007c TTeeCanvas3D.Create"
	strings:
		$1 = { 53 56 8B D8 83 7B 3C 00 74 7F 80 7B 38 00 74 45 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 3C 8B 80 40 03 00 00 8B 10 FF 52 28 8B D0 8B C6 8B 08 FF 51 4C 8B D6 8B 43 3C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 9E 54 01 00 00 8B C6 E8 ?? ?? ?? ?? EB 34 8B C3 E8 ?? ?? ?? ?? 8B 73 3C 8B 86 40 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93347_0 {
	meta:
		name = "TTeeGDIPlus.SetActive"
		size = 14
		refs = "0009 TTeeGDIPlus.Activate"
	strings:
		$1 = { 3A 50 38 74 08 88 50 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93835_0 {
	meta:
		name = "TTeeFunction.SetIncludeNulls"
		size = 14
		refs = "0009 TTeeFunction.ReCalculate"
	strings:
		$1 = { 3A 50 38 74 08 88 50 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93348_0 {
	meta:
		name = "TTeeGDIPlus.RemoveTag"
		size = 59
		refs = "0013 _DV_TGDIPlusCanvas 0018 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 3C 85 F6 74 2D 8B 86 40 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B 86 40 03 00 00 8B 90 54 01 00 00 3B D3 75 08 33 D2 89 90 54 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_93349_0 {
	meta:
		name = "TTeeGDIPlus.ResetCanvas"
		size = 67
		refs = "0013 _DV_TGDIPlusCanvas 0018 @IsClass 0023 TTeeGDIPlus.GetCanvas 002c TGDIPlusCanvas.SetAnti 003c TGDIPlusCanvas.SetAntiText"
	strings:
		$1 = { 53 56 8B D8 8B 73 3C 85 F6 74 35 8B 86 40 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 20 8B C3 E8 ?? ?? ?? ?? 0F B6 53 39 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 53 3A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93350_0 {
	meta:
		name = "TTeeGDIPlus.SetAntialias"
		size = 14
		refs = "0009 TTeeGDIPlus.ResetCanvas"
	strings:
		$1 = { 3A 50 39 74 08 88 50 39 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93834_0 {
	meta:
		name = "TTeeFunction.SetCalcByValue"
		size = 14
		refs = "0009 TTeeFunction.ReCalculate"
	strings:
		$1 = { 3A 50 39 74 08 88 50 39 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93351_0 {
	meta:
		name = "TTeeGDIPlus.SetAntialiasText"
		size = 14
		refs = "0009 TTeeGDIPlus.ResetCanvas"
	strings:
		$1 = { 3A 50 3A 74 08 88 50 3A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93352_0 {
	meta:
		name = "TTeeGDIPlus.SetTeePanel"
		size = 103
		refs = "0015 TComponent.RemoveFreeNotification 0024 _DV_TGDIPlusCanvas 0029 @IsClass 0034 _Dn_TTeeCanvas3D 0039 TTeeCanvas3D.Create 0042 TCustomTeePanel.SetInternalCanvas 0052 TComponent.FreeNotification 005f TTeeGDIPlus.Activate"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 3C 3B F0 74 55 85 C0 74 34 8B D3 E8 ?? ?? ?? ?? 8B 7B 3C 8B 87 40 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B C6 89 43 3C 85 C0 74 09 8B D3 E8 ?? ?? ?? ?? EB 04 C6 43 38 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93353_0 {
	meta:
		name = "TTeeGDIPlus.Notification"
		size = 49
		refs = "0010 TComponent.Notification 0029 TTeeGDIPlus.SetTeePanel"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 14 83 7F 3C 00 74 0E 3B 77 3C 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94297_0 {
	meta:
		name = "TTeeSeriesSource.Notification"
		size = 49
		refs = "0010 TComponent.Notification 0029 TTeeSeriesSource.SetSeries"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 14 83 7F 3C 00 74 0E 3B 77 3C 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93354_0 {
	meta:
		name = "Finalization"
		size = 29
		refs = "0002 _DV_3 0009 TeeRenderClasses 0011 _DV_TGDIPlusCanvas 0018 TList.RemoveItem"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 14 A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93355_0 {
	meta:
		name = "VCLTee.TeeGDIPlus"
		size = 64
		refs = "0002 _DV_3 000a _Dn_TControl 000f StartClassGroup 0019 ActivateClassGroup 0024 _DV_TTeeGDIPlus 0029 GroupDescendentsWith 002e TeeRenderClasses 0036 _DV_TGDIPlusCanvas 003b TList.Add"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 36 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93356_0 {
	meta:
		name = "TGDIPlusEditor.FormShow"
		size = 500
		refs = "0016 TGDIPlusEditor.FormShow 002f _Dn_TTeeGDIPlus 0034 @IsClass 0048 _Dn_TGDIPlusCanvas 00c9 TControl.Hide 0133 TGDIPlusCanvas.GetGraphics 0138 TGPGraphics.GetDpiX 014f CurrencyString 0154 FloatToStr 0162 TControl.SetText 0172 TGPGraphics.GetDpiY 01c8 EnableControls 01e2 @UStrArrayClr 01e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 33 C9 89 4D FC 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 0C 33 C0 89 83 BC 03 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 89 B3 B8 03 00 00 EB 30 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B 43 0C 89 83 BC 03 00 00 8B 80 54 01 00 00 89 83 B8 03 00 00 EB 08 33 C0 89 83 B8 03 00 00 8B 83 B8 03 00 00 85 C0 74 44 0F B6 50 38 8B 83 B4 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 B8 03 00 00 0F B6 50 39 8B 83 90 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 B8 03 00 00 0F B6 50 3A 8B 83 B0 03 00 00 8B 08 FF 91 FC 00 00 00 EB 45 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B 83 BC 03 00 00 85 C0 74 30 0F B6 90 74 01 00 00 8B 83 90 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 BC 03 00 00 0F B6 90 75 01 00 00 8B 83 B0 03 00 00 8B 08 FF 91 FC 00 00 00 8B B3 BC 03 00 00 85 F6 0F 84 8D 00 00 00 8B C6 8B 10 FF 52 28 8B D0 8B 83 A8 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DB 7D D0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? EB 2A 8B 83 A0 03 00 00 89 45 C4 8B 83 A4 03 00 00 89 45 C8 8B 83 A8 03 00 00 89 45 CC 8D 55 C4 B9 02 00 00 00 33 C0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93357_0 {
	meta:
		name = "TGDIPlusEditor.CBAntiAliasClick"
		size = 70
		refs = "0021 TTeeGDIPlus.SetAntialias 003f TGDIPlusCanvas.SetAnti"
	strings:
		$1 = { 53 56 8B D8 8B B3 B8 03 00 00 85 F6 74 1A 8B 83 90 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 90 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93358_0 {
	meta:
		name = "TGDIPlusEditor.ModalShow"
		size = 110
		refs = "000c _DV_TGDIPlusEditor 0013 TCustomForm.Create 001e TGDIPlusEditor.ModalShow 002e TCustomForm.SetBorderStyle 0059 TObject.Free 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D9 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 03 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 58 0C 8B 45 F8 8B 10 FF 92 20 01 00 00 48 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93359_0 {
	meta:
		name = "TGDIPlusEditor.CBBufferedClick"
		size = 62
	strings:
		$1 = { 53 56 57 8B D8 8B 83 A8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 BC 03 00 00 8B 08 FF 51 4C 8B 83 BC 03 00 00 8B 70 44 8B 7E 70 85 FF 74 0A 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93360_0 {
	meta:
		name = "TGDIPlusEditor.CBTextQualityChange"
		size = 70
		refs = "0021 TTeeGDIPlus.SetAntialiasText 003f TGDIPlusCanvas.SetAntiText"
	strings:
		$1 = { 53 56 8B D8 8B B3 B8 03 00 00 85 F6 74 1A 8B 83 B0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B 83 B0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93361_0 {
	meta:
		name = "TGDIPlusEditor.CBActiveClick"
		size = 32
		refs = "001a TTeeGDIPlus.SetActive"
	strings:
		$1 = { 53 8B D8 8B 83 B4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93365_0 {
	meta:
		name = "HtmlNumFields"
		size = 124
		refs = "000d @UStrAddRef 0015 HtmlNumFields 002a Pos 003f @UStrDelete 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 10 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 46 85 DB 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_93366_0 {
	meta:
		name = "HtmlField"
		size = 468
		refs = "0024 @UStrAddRef 002c HtmlField 003a @UStrClr 0051 Pos 006f @UStrCopy 007a Trim 0085 @UStrAsg 0094 @UStrDelete 00f0 @UStrEqual 0194 @UStrArrayClr 01a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 FF 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E 17 01 00 00 8D 45 EC 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 47 3B 7D F8 0F 85 82 00 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 1B 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8B 45 08 E8 ?? ?? ?? ?? E9 A6 00 00 00 4B EB 01 4B 8D 45 E4 50 B9 01 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 DD 8D 45 DC 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 08 E8 ?? ?? ?? ?? 33 DB EB 52 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 0A 8D 45 FC E8 ?? ?? ?? ?? EB 35 4E EB 01 4E 8D 45 D8 50 B9 01 00 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 DD 8D 45 FC 8B CE BA 01 00 00 00 E8 ?? ?? ?? ?? 85 DB 0F 85 CA FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_93367_0 {
	meta:
		name = "PushFont"
		size = 13
		refs = "0003 State"
		altNames = "PushState"
	strings:
		$1 = { 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 38 C3 }
	condition:
		$1
}

rule function_93369_0 {
	meta:
		name = "PopState"
		size = 76
		refs = "0004 State 0014 @UStrClr"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 75 09 8B C3 E8 ?? ?? ?? ?? 5B C3 A1 ?? ?? ?? ?? 8B 10 FF 52 14 8B D0 4A 8B CB A1 ?? ?? ?? ?? 8B 18 FF 53 0C A1 ?? ?? ?? ?? 8B 10 FF 52 14 8B D0 4A A1 ?? ?? ?? ?? 8B 08 FF 51 48 5B C3 }
	condition:
		$1
}

rule function_93370_0 {
	meta:
		name = "PopFont"
		size = 76
		refs = "0004 StateFont 0014 @UStrClr"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 75 09 8B C3 E8 ?? ?? ?? ?? 5B C3 A1 ?? ?? ?? ?? 8B 10 FF 52 14 8B D0 4A 8B CB A1 ?? ?? ?? ?? 8B 18 FF 53 0C A1 ?? ?? ?? ?? 8B 10 FF 52 14 8B D0 4A A1 ?? ?? ?? ?? 8B 08 FF 51 48 5B C3 }
	condition:
		$1
}

rule function_93371_0 {
	meta:
		name = "GetToken"
		size = 340
		refs = "0012 GetToken 0024 Pos 0033 @UStrAsg 003a @UStrClr 0054 @UStrCopy 0063 @UStrDelete 0097 @UStrCat3 00a1 _DV_HtmlParserException 00a6 Exception.Create 00ab @RaiseExcept 00f6 @UStrArrayClr 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 15 8B C7 8B 16 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 9D 00 00 00 83 FB 01 7E 21 57 8B CB 49 8B 06 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B CB 49 8B C6 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 77 8B C6 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 16 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 25 8B 0E 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2F 8D 45 F8 50 8B 06 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4D 00 69 00 73 00 73 00 69 00 6E 00 67 00 20 00 3E 00 20 00 61 00 74 00 20 00 00 00 }
	condition:
		$1
}

rule function_93372_0 {
	meta:
		name = "FontWeight"
		size = 464
		refs = "0029 FontWeight 002e @UStrAsg 0037 @UStrClr 0068 @UStrCat"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 8B 45 08 8B 40 08 8B 40 FC 8B 70 0C 8B C6 8B 40 10 0F B6 40 21 88 45 FF F6 45 FF 01 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 40 10 0F B6 40 21 88 45 FE F6 45 FE 02 74 1F 83 3B 00 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 40 10 0F B6 40 21 88 45 FD F6 45 FD 04 74 1F 83 3B 00 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 42 10 0F B6 40 21 A8 08 74 1F 83 3B 00 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3B 00 75 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 4F 00 4C 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 54 00 41 00 4C 00 49 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 2C 00 20 00 49 00 54 00 41 00 4C 00 49 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 4E 00 44 00 45 00 52 00 4C 00 49 00 4E 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 2C 00 20 00 55 00 4E 00 44 00 45 00 52 00 4C 00 49 00 4E 00 45 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 54 00 52 00 49 00 4B 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 2C 00 20 00 53 00 54 00 52 00 49 00 4B 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4E 00 4F 00 52 00 4D 00 41 00 4C 00 00 00 00 00 }
	condition:
		$1
}

rule function_93373_0 {
	meta:
		name = "PushCurrentFont"
		size = 360
		refs = "000e PushCurrentFont 0027 TFont.GetSize 002f TeeStr 0048 TFont.GetName 0064 IntToStr 0075 FontWeight 008b @UStrCatN 0093 PushFont 00b4 @UStrArrayClr 00bc @UStrClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 0C E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 55 F4 8B 45 08 8B 40 FC 8B 40 0C E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 55 F0 8B 45 08 8B 40 FC 8B 40 0C 8B 40 18 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 55 8D 45 EC E8 ?? ?? ?? ?? 59 FF 75 EC 68 ?? ?? ?? ?? 8D 45 FC BA 09 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 C6 40 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 3C 00 46 00 4F 00 4E 00 54 00 20 00 73 00 69 00 7A 00 65 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 63 00 6F 00 6C 00 6F 00 72 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 20 00 77 00 65 00 69 00 67 00 68 00 74 00 3D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_93374_0 {
	meta:
		name = "HexToColor"
		size = 360
		refs = "0017 @UStrAddRef 001f HexToColor 0030 Trim 003b @UStrLAsg 0051 @UStrCopy 005e @UStrEqual 008a @UStrCat3 0092 StrToInt 012c @UStrArrayClr 0134 @UStrClr 013a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F0 50 B9 01 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 A9 00 00 00 8D 45 E8 50 B9 02 00 00 00 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 4D E8 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8D 45 E0 50 B9 02 00 00 00 BA 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 4D E0 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 88 45 FB 8D 45 D8 50 B9 02 00 00 00 BA 06 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 4D D8 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 0F B6 D3 0F B6 4D FB C1 E1 08 0B D1 0F B6 C0 C1 E0 10 0B D0 8B C2 8B D8 EB 05 BB 00 00 00 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_93375_0 {
	meta:
		name = "HtmlToColor"
		size = 512
		refs = "0011 @UStrAddRef 0019 HtmlToColor 002a UpperCase 0035 Trim 0040 @UStrLAsg 004d @UStrEqual 00f6 @UStrCopy 010d HexToColor 0119 StringToColor 0135 @UStrArrayClr 013b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 33 DB E9 C5 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A BB FF 00 00 00 E9 AC 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A BB 00 00 FF 00 E9 93 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 BB FF FF 00 00 EB 7D 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 BB FF FF FF 00 EB 67 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 BB 00 80 00 00 EB 51 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 BB 00 FF 00 00 EB 3B 8D 45 F0 50 B9 01 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 0A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 42 00 4C 00 41 00 43 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 52 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 4C 00 55 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 59 00 45 00 4C 00 4C 00 4F 00 57 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 48 00 49 00 54 00 45 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 47 00 52 00 45 00 45 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 49 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_93376_0 {
	meta:
		name = "ProcessFont"
		size = 1196
		refs = "0017 @UStrAddRef 001f ProcessFont 0037 @UStrDelete 0059 HtmlNumFields 0079 HtmlField 0084 UpperCase 008f @UStrLAsg 009c @UStrEqual 00be TFont.SetName 00e8 @UStrCopy 0116 TFont.GetSize 011f StrToInt 0129 TFont.SetSize 0162 HtmlToColor 0172 TFont.SetColor 01c4 TFont.SetStyle 0277 @UStrCat3 0281 _Dn_Exception 0286 Exception.Create 028b @RaiseExcept 02d3 @UStrArrayClr 02d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC B9 06 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 55 FC B9 01 00 00 00 92 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E 56 02 00 00 BE 01 00 00 00 8D 45 F0 50 8D 4D F4 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 16 8B 45 08 8B 40 FC 8B 40 0C 8B 55 F0 E8 ?? ?? ?? ?? E9 EE 01 00 00 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 79 8D 45 F8 50 B9 01 00 00 00 BA 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 28 8B 45 08 8B 40 FC 8B 78 0C 8B C7 E8 ?? ?? ?? ?? 50 8B 45 F0 E8 ?? ?? ?? ?? 5A 03 D0 8B C7 E8 ?? ?? ?? ?? E9 83 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 40 0C E8 ?? ?? ?? ?? E9 66 01 00 00 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1D 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 40 0C E8 ?? ?? ?? ?? E9 3A 01 00 00 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 03 01 00 00 8D 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1A 8B 45 08 8B 40 FC 8B 40 0C 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E8 00 00 00 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1A 8B 45 08 8B 40 FC 8B 40 0C 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BF 00 00 00 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1A 8B 45 08 8B 40 FC 8B 40 0C 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 96 00 00 00 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 17 8B 45 08 8B 40 FC 8B 40 0C 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 70 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 17 8B 45 08 8B 40 FC 8B 40 0C 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4A 8D 45 E4 8B 4D F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 8D 45 E0 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 0F 85 AF FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 41 00 4D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 46 00 41 00 4D 00 49 00 4C 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 49 00 5A 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 4F 00 4C 00 4F 00 52 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 57 00 45 00 49 00 47 00 48 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 4F 00 4C 00 44 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 54 00 41 00 4C 00 49 00 43 00 00 00 00 00 02 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4E 00 4F 00 52 00 4D 00 41 00 4C 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 54 00 52 00 49 00 4B 00 45 00 00 00 00 00 08 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 55 00 4E 00 44 00 45 00 52 00 4C 00 49 00 4E 00 45 00 00 00 04 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 66 00 69 00 65 00 6C 00 64 00 20 00 69 00 6E 00 20 00 46 00 4F 00 4E 00 54 00 20 00 57 00 45 00 49 00 47 00 48 00 54 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 66 00 69 00 65 00 6C 00 64 00 20 00 69 00 6E 00 20 00 46 00 4F 00 4E 00 54 00 3A 00 20 00 00 00 }
	condition:
		$1
}

rule function_93377_0 {
	meta:
		name = "DoStringReplace"
		size = 286
		refs = "001e DoStringReplace 002e @UStrLAsg 004b @UStrClr 005b Pos 006c @UStrCat 008a @UStrCopy 009d @UStrCatN 0109 @UStrArrayClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D EC 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 8D 00 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 75 10 8B 45 08 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 08 EB 76 8B 45 08 FF 30 8D 45 E8 50 8B CB 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? FF 75 E8 FF 75 EC 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 75 F0 85 F6 74 05 83 EE 04 8B 36 8D 45 F4 50 8D 14 1E B9 FF FF FF 7F 8B 45 F4 E8 ?? ?? ?? ?? 8B 7D F8 85 FF 74 05 83 EF 04 8B 3F 8D 45 FC 50 8D 14 1F B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 0F 85 69 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_93378_0 {
	meta:
		name = "OutputText"
		size = 800
		refs = "0016 @UStrAddRef 001e OutputText 003a DoStringReplace 0045 @UStrLAsg 00c8 @UStrCopy 00d5 @UStrEqual 00fa @UStrDelete 0177 TTeeCanvas.GetFontHeight 024a @UStrArrayClr 0252 @UStrClr 0258 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8D 45 EC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8D 45 E8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 E4 50 8B D3 4A B9 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 8B D8 84 DB 74 1C 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D0 4A 8D 45 FC B9 02 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 14 01 00 00 8B 45 08 8B 40 FC 8B 55 FC 8B 08 FF 91 9C 00 00 00 89 45 F8 8B 45 08 80 78 FA 00 74 2F 8B 45 08 8B 40 FC 8B 40 1C 8B 55 08 8B 52 FC 03 42 24 D1 F8 79 03 83 D0 00 8B 55 08 89 42 F4 8B 45 F8 D1 F8 79 03 83 D0 00 8B 55 08 29 42 F4 8B 45 08 8B 40 FC 8B 55 FC 8B 08 FF 91 A0 00 00 00 8B F0 8B 45 08 83 78 F0 00 75 13 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 89 42 F0 EB 1D 8B 45 08 3B 70 F0 7D 15 8B 45 08 8B 40 EC 8B 55 08 03 42 F0 2B C6 48 8B 55 08 89 42 EC 8B 45 08 80 78 0C 00 74 1E 8B 45 FC 50 8B 45 08 8B 48 EC 8B 45 08 8B 50 F4 8B 45 08 8B 40 FC 8B 38 FF 97 98 00 00 00 8B 45 08 8B 55 F8 01 50 F4 8B 45 08 8B 40 F4 8B 55 08 8B 52 08 3B 02 7E 0E 8B 45 08 8B 40 F4 8B 55 08 8B 52 08 89 02 8B 45 08 3B 70 F0 7E 06 8B 45 08 89 70 F0 8B 45 08 8B 40 F0 8B 55 08 8B 52 08 3B 42 04 7E 0F 8B 45 08 8B 40 F0 8B 55 08 8B 52 08 89 42 04 84 DB 74 14 8B 45 08 33 D2 89 50 F0 8B 45 08 8B 40 E8 8B 55 08 89 42 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 6C 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 67 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 26 00 61 00 6D 00 70 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_93379_0 {
	meta:
		name = "SetBackFont"
		size = 72
		refs = "0009 SetBackFont 001b PopFont 0023 ProcessFont 0039 @UStrClr 003f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_93380_0 {
	meta:
		name = "ImageNotFound"
		size = 249
		refs = "0034 TPen.SetStyle 0047 TPen.SetColor 005a TPen.SetWidth 006a TBrush.SetStyle 007d TBrush.SetColor"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 83 7D FC 00 75 07 C7 45 FC 28 00 00 00 83 7D 08 00 75 07 C7 45 08 28 00 00 00 8B 45 0C 8B 40 FC 8B 40 10 33 D2 E8 ?? ?? ?? ?? 8B 45 0C 8B 40 FC 8B 40 10 BA FF 00 00 00 E8 ?? ?? ?? ?? 8B 45 0C 8B 40 FC 8B 40 10 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 0C 8B 40 FC 8B 40 04 33 D2 E8 ?? ?? ?? ?? 8B 45 0C 8B 40 FC 8B 40 04 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B C6 03 45 FC 50 8B C7 03 45 08 50 8B 45 0C 8B 40 FC 8B CF 8B D6 8B 18 FF 93 8C 00 00 00 8B 45 0C 8B 40 FC 8B CF 8B D6 8B 18 FF 93 80 00 00 00 8B CF 03 4D 08 49 8B D6 03 55 FC 4A 8B 45 0C 8B 40 FC 8B 18 FF 53 7C 8B CF 03 4D 08 49 8B 45 0C 8B 40 FC 8B D6 8B 18 FF 93 80 00 00 00 8B D6 03 55 FC 4A 8B 45 0C 8B 40 FC 8B CF 8B 18 FF 53 7C 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_93381_0 {
	meta:
		name = "RemoveQuotes"
		size = 216
		refs = "0013 RemoveQuotes 0022 @UStrAsg 0037 @UStrCopy 0044 @UStrEqual 0057 @UStrDelete 00ae @UStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B D6 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 03 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 03 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B F0 8D 45 F4 50 8B 03 B9 01 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C3 B9 01 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_93382_0 {
	meta:
		name = "DoImage"
		size = 1288
		refs = "002d @UStrAddRef 0035 DoImage 004d @UStrClr 005f @UStrDelete 0075 @UStrCopy 0082 @UStrEqual 00e6 HtmlNumFields 0106 HtmlField 0111 UpperCase 011c @UStrLAsg 0133 StrToInt 0187 Trim 0192 RemoveQuotes 01a4 _Dn_TMemoryStream 01a9 TObject.Create 01c5 ExtractFileExt 01d9 GraphicFileExtension 01fe ImageNotFound 0204 @TryFinallyExit 0223 GraphicDownload 0256 TStream.SetPosition 0305 TeeRect 03d9 @HandleOnException 03e1 _Dn_Exception 0407 @DoneExcept 043b TObject.Free 0441 @HandleFinally 047a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 D2 89 55 C8 89 55 D0 89 55 CC 89 55 D4 89 55 D8 89 55 DC 89 55 F8 89 55 F4 89 55 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 33 C0 89 45 E8 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC B9 05 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8D 45 FC B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 D8 50 B9 01 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1A 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 55 FC B9 01 00 00 00 92 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E 82 00 00 00 BE 01 00 00 00 8D 45 F0 50 8D 4D F4 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8D 55 D4 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC EB 36 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E8 EB 1A 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 46 4B 75 83 83 7D F8 00 0F 84 E4 02 00 00 8D 55 CC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 C8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 C8 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 FF 15 ?? ?? ?? ?? 89 45 E0 83 7D E0 00 75 27 8B 45 08 50 8B 45 E8 50 8B 45 08 8B 50 EC 8B 45 08 8B 40 F4 8B 4D EC E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? E9 57 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 E4 8B 45 F8 FF 15 ?? ?? ?? ?? 8B D8 85 DB 0F 85 DC 01 00 00 8B 45 E4 8B 10 FF 12 83 FA 00 75 0B 83 F8 00 0F 86 C7 01 00 00 EB 06 0F 8E BF 01 00 00 6A 00 6A 00 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 E4 8B 45 E0 8B 08 FF 51 5C 83 7D EC 00 75 0B 8B 45 E0 8B 10 FF 52 30 89 45 EC 83 7D E8 00 75 0B 8B 45 E0 8B 10 FF 52 24 89 45 E8 8B 45 E0 8B 10 FF 52 30 3B 45 EC 75 11 8B 45 E0 8B 10 FF 52 24 3B 45 E8 0F 84 AA 00 00 00 8B 45 08 83 78 F4 00 0F 8E B8 00 00 00 8B 45 08 83 78 EC 00 0F 8E AB 00 00 00 8B 45 08 80 78 FA 00 74 49 8B 45 08 8B 40 EC 03 45 E8 50 8D 45 B8 50 8B 45 08 8B 48 F4 8B 5D EC D1 FB 79 03 83 D3 00 03 CB 8B 45 08 8B 40 F4 2B C3 8B 55 08 8B 52 EC E8 ?? ?? ?? ?? 8D 55 B8 8B 45 08 8B 40 FC 8B 4D E0 8B 18 FF 93 94 00 00 00 EB 59 8B 45 08 8B 40 EC 03 45 E8 50 8D 45 B8 50 8B 45 08 8B 48 F4 03 4D EC 8B 45 08 8B 50 EC 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8D 55 B8 8B 45 08 8B 40 FC 8B 4D E0 8B 18 FF 93 94 00 00 00 EB 1B 8B 45 E0 50 8B 45 08 8B 48 EC 8B 45 08 8B 50 F4 8B 45 08 8B 40 FC 8B 18 FF 53 6C 8B 45 08 8B 55 EC 01 50 F4 8B 45 08 8B 40 EC 03 45 E8 83 E8 0A 8B 55 08 89 42 EC 8B 45 08 8B 55 E8 89 50 F0 8B 45 08 8B 40 08 8B 00 3B 45 EC 7D 0B 8B 45 08 8B 40 08 8B 55 EC 89 10 8B 45 08 8B 40 08 8B 40 04 3B 45 E8 7D 0C 8B 45 08 8B 40 08 8B 55 E8 89 50 04 33 C0 5A 59 59 64 89 10 EB 52 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 50 8B 45 E8 50 8B 45 08 8B 50 EC 8B 45 08 8B 40 F4 8B 4D EC E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 1D 8B 45 08 50 8B 45 E8 50 8B 45 08 8B 50 EC 8B 45 08 8B 40 F4 8B 4D EC E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 57 00 49 00 44 00 54 00 48 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 48 00 45 00 49 00 47 00 48 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 53 00 52 00 43 00 00 00 }
	condition:
		$1
}

rule function_93383_0 {
	meta:
		name = "NewSize"
		size = 41
		refs = "000e PushCurrentFont 0022 TFont.SetSize"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 08 8B 40 FC 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_93384_0 {
	meta:
		name = "DoToken"
		size = 2924
		refs = "0016 @UStrAddRef 001e DoToken 0041 @UStrCopy 004e @UStrEqual 005b TTeeCanvas.GetFontHeight 0087 @UStrDelete 009c UpperCase 0119 TFont.GetSize 0121 NewSize 016b SetBackFont 0319 PushCurrentFont 0328 ProcessFont 0398 TFont.SetStyle 03a0 PushState 0490 DoImage 0671 PopState 0697 @UStrCat3 06d2 TPen.SetStyle 06de TPen.SetWidth 06ea TPen.SetColor 072b OutputText 0755 @UStrArrayClr 075b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 C6 40 FB 00 8D 45 F0 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 37 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 01 42 EC 8B 45 08 8B 40 E8 8B 55 08 89 42 F4 8B 45 08 33 D2 89 50 F0 8D 45 FC B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 AA 06 00 00 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 41 8B 45 08 8B 40 E8 8B 55 08 89 42 F4 8B 45 08 33 D2 89 50 F0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 01 42 EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 83 C0 02 8B 55 08 8B 52 08 01 42 04 E9 33 06 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1D 55 8B 45 08 8B 40 FC 8B 40 0C E8 ?? ?? ?? ?? 83 C0 02 E8 ?? ?? ?? ?? 59 E9 07 06 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1D 55 8B 45 08 8B 40 FC 8B 40 0C E8 ?? ?? ?? ?? 83 E8 02 E8 ?? ?? ?? ?? 59 E9 DB 05 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 20 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 29 42 EC E9 AC 05 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 32 55 8B 45 08 8B 40 FC 8B 40 0C E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 01 42 EC E9 6B 05 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 27 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 55 08 01 42 EC E9 35 05 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 39 55 8B 45 08 8B 40 FC 8B 40 0C E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 8B 55 08 29 42 EC E9 ED 04 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 55 B8 30 00 00 00 E8 ?? ?? ?? ?? 59 E9 CD 04 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 55 B8 24 00 00 00 E8 ?? ?? ?? ?? 59 E9 AD 04 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 55 B8 18 00 00 00 E8 ?? ?? ?? ?? 59 E9 8D 04 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 55 B8 12 00 00 00 E8 ?? ?? ?? ?? 59 E9 6D 04 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 55 B8 0C 00 00 00 E8 ?? ?? ?? ?? 59 E9 4D 04 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 55 B8 08 00 00 00 E8 ?? ?? ?? ?? 59 E9 2D 04 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1E 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 00 04 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C 8B 45 08 C6 40 FA 01 E9 E5 03 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2F 8B 45 08 8B 40 FC 8B 70 0C 8B C6 8B 40 10 0F B6 58 21 0F B6 15 ?? ?? ?? ?? 0A D3 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E9 89 03 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2F 8B 45 08 8B 40 FC 8B 70 0C 8B C6 8B 40 10 0F B6 58 21 0F B6 15 ?? ?? ?? ?? 0A D3 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E9 4B 03 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2F 8B 45 08 8B 40 FC 8B 70 0C 8B C6 8B 40 10 0F B6 58 21 0F B6 15 ?? ?? ?? ?? 0A D3 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E9 0D 03 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2F 8B 45 08 8B 40 FC 8B 70 0C 8B C6 8B 40 10 0F B6 58 21 0F B6 15 ?? ?? ?? ?? 0A D3 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E9 CF 02 00 00 8D 45 EC 50 B9 05 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 E9 98 02 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1E 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 29 8B 45 08 8B 40 FC 8B 70 0C 8B C6 8B 40 10 0F B6 58 21 0F B6 15 ?? ?? ?? ?? F7 D2 22 D3 8B C6 E8 ?? ?? ?? ?? E9 42 02 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 29 8B 45 08 8B 40 FC 8B 70 0C 8B C6 8B 40 10 0F B6 58 21 0F B6 15 ?? ?? ?? ?? F7 D2 22 D3 8B C6 E8 ?? ?? ?? ?? E9 0A 02 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 29 8B 45 08 8B 40 FC 8B 70 0C 8B C6 8B 40 10 0F B6 58 21 0F B6 15 ?? ?? ?? ?? F7 D2 22 D3 8B C6 E8 ?? ?? ?? ?? E9 D2 01 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 29 8B 45 08 8B 40 FC 8B 70 0C 8B C6 8B 40 10 0F B6 58 21 0F B6 15 ?? ?? ?? ?? F7 D2 22 D3 8B C6 E8 ?? ?? ?? ?? E9 9A 01 00 00 8D 45 E8 50 B9 06 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B 45 08 50 E8 ?? ?? ?? ?? 59 E9 66 01 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B 45 08 50 E8 ?? ?? ?? ?? 59 E9 48 01 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C 8B 45 08 C6 40 FA 00 E9 2D 01 00 00 8D 45 E4 50 B9 06 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1C 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 50 8B 45 F8 E8 ?? ?? ?? ?? 59 E9 EC 00 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 54 8B 45 08 80 78 E7 00 74 0F 8B 45 08 50 E8 ?? ?? ?? ?? 59 E9 C5 00 00 00 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 50 8D 45 E0 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 59 E9 89 00 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 6B 8B 45 08 8B 40 E8 8B 55 08 89 42 F4 8B 45 08 8B 40 FC 8B 58 10 33 D2 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 80 80 80 00 8B C3 E8 ?? ?? ?? ?? 8B 55 08 8B 52 EC 52 8B 45 08 8B 40 F4 8B C8 83 C1 64 8B D0 8B 45 08 8B 40 FC 8B 18 FF 93 BC 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 01 42 EC EB 0F 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 EB 0D 8B 45 08 0F B6 40 FB 8B 55 08 88 42 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 42 00 52 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3C 00 50 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 42 00 49 00 47 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 53 00 4D 00 41 00 4C 00 4C 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3C 00 2F 00 53 00 55 00 42 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 53 00 55 00 42 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 2F 00 53 00 55 00 50 00 45 00 52 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 53 00 55 00 50 00 45 00 52 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 48 00 31 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 48 00 32 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 48 00 33 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 48 00 34 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 48 00 35 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 48 00 36 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 50 00 52 00 45 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 3C 00 46 00 4F 00 4E 00 54 00 20 00 4E 00 41 00 4D 00 45 00 3D 00 22 00 43 00 4F 00 55 00 52 00 49 00 45 00 52 00 20 00 4E 00 45 00 57 00 22 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 43 00 45 00 4E 00 54 00 45 00 52 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3C 00 42 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3C 00 42 00 4F 00 4C 00 44 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 53 00 54 00 52 00 4F 00 4E 00 47 00 3E 00 00 00 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3C 00 49 00 3E 00 00 00 02 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3C 00 55 00 3E 00 00 00 04 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 53 00 54 00 52 00 49 00 4B 00 45 00 3E 00 00 00 00 00 08 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 49 00 4D 00 47 00 20 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 2F 00 42 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 2F 00 42 00 4F 00 4C 00 44 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 2F 00 53 00 54 00 52 00 4F 00 4E 00 47 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 2F 00 49 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 2F 00 55 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 2F 00 53 00 54 00 52 00 49 00 4B 00 45 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3C 00 2F 00 46 00 4F 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3C 00 2F 00 50 00 52 00 45 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 2F 00 43 00 45 00 4E 00 54 00 45 00 52 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3C 00 46 00 4F 00 4E 00 54 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3C 00 2F 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3C 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 48 00 52 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_93385_0 {
	meta:
		name = "InternalHtmlText"
		size = 156
		refs = "0019 @UStrAddRef 0021 InternalHtmlText 0048 TTeeCanvas.GetFontHeight 0056 GetToken 0065 DoToken 0081 @UStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 DB 89 5D E0 89 4D EC 89 55 F4 89 45 FC 8B 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 33 D2 89 10 8B 45 08 33 D2 89 50 04 8B 45 F4 89 45 E8 C6 45 FA 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 8D 55 E0 8D 45 10 E8 ?? ?? ?? ?? 83 7D E0 00 74 0A 55 8B 45 E0 E8 ?? ?? ?? ?? 59 83 7D E0 00 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_93387_0 {
	meta:
		name = "HtmlMultiLineTextHeight"
		size = 304
		refs = "0026 @UStrAddRef 002e HtmlMultiLineTextHeight 004a @UStrLAsg 0060 Pos 007a @UStrCopy 0088 HtmlTextExtent 009f @UStrDelete 00fb @UStrClr 0108 @UStrArrayClr 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D F8 89 5D F4 89 5D F0 89 5D EC 8B F9 89 55 FC 89 45 E8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E4 33 C0 89 07 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 64 8D 45 D8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8D 4D DC 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E0 01 45 E4 FF 07 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 8B DE 85 DB 7F 9C 83 7D FC 00 74 16 8D 4D DC 8B 55 FC 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E0 01 45 E4 FF 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 E4 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_93388_0 {
	meta:
		name = "HtmlTextExtent"
		size = 28
		refs = "0014 InternalHtmlText"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 6A 00 57 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93389_0 {
	meta:
		name = "HtmlTextOut"
		size = 96
		refs = "0013 @UStrAddRef 001b HtmlTextOut 0036 InternalHtmlText 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 6A 01 8D 45 F8 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_93392_0 {
	meta:
		name = "TChartListBox.Create"
		size = 260
		refs = "000a @ClassCreate 0017 TCustomListBox.Create 0087 TChartListBox.LBSeriesDrawItem 0097 TChartListBox.LBSeriesDragOver 00a7 TChartListBox.LBSeriesClick 00b0 TCustomListBox.SetStyle 00bc TCustomListBox.SetItemHeight 00c5 TCustomListBox.SetSorted 00f1 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 60 03 00 00 00 C6 86 08 03 00 00 01 C6 86 09 03 00 00 01 C6 86 0A 03 00 00 01 C7 86 62 03 00 00 1A 00 00 00 C6 86 66 03 00 00 01 C7 86 67 03 00 00 10 00 00 00 C6 86 6B 03 00 00 01 C7 86 6C 03 00 00 1A 00 00 00 C6 86 70 03 00 00 01 C7 86 71 03 00 00 D8 00 00 00 C6 86 75 03 00 00 01 89 B6 CC 02 00 00 C7 86 C8 02 00 00 ?? ?? ?? ?? 89 B6 EC 00 00 00 C7 86 E8 00 00 00 ?? ?? ?? ?? 89 B6 1C 01 00 00 C7 86 18 01 00 00 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? BA 18 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 91 24 01 00 00 C6 86 FA 02 00 00 01 C6 86 F9 02 00 00 01 C6 86 F8 02 00 00 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_93393_0 {
	meta:
		name = "TChartListBox.Destroy"
		size = 64
		refs = "0003 @BeforeDestruction 001a TObject.Free 0023 TChartListBox.SetChart 002e TCustomListBox.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 04 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93394_0 {
	meta:
		name = "TChartListBox.DragDrop"
		size = 88
		refs = "0037 TCustomListBox.ItemAtPos 004b TChartListBox.SwapSeries"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B D8 8B C3 8B 10 FF 92 F8 00 00 00 40 74 35 8B C3 8B 10 FF 92 F8 00 00 00 8B F0 89 7D F8 8B 45 08 89 45 FC B1 01 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 F8 FF 74 0F 3B C6 74 0B 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_93396_0 {
	meta:
		name = "TChartListBox.DoRefresh"
		size = 29
	strings:
		$1 = { 53 66 83 B8 5A 03 00 00 00 74 10 8B D8 8B D0 8B 83 5C 03 00 00 FF 93 58 03 00 00 5B C3 }
	condition:
		$1
}

rule function_93397_0 {
	meta:
		name = "TChartListBox.SetChart"
		size = 119
		refs = "0021 TCustomTeePanel.RemoveListener 002e TComponent.RemoveFreeNotification 0041 TComponent.FreeNotification 005e TTeeEventListeners.Add 0067 TChartListBox.FillSeries 0070 TChartListBox.ClearItems"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 FC 02 00 00 3B F0 74 64 85 C0 74 1E 8B D3 85 D2 74 06 81 EA 88 FC FF FF E8 ?? ?? ?? ?? 8B D3 8B 83 FC 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 FC 02 00 00 85 C0 74 2F 8B D3 E8 ?? ?? ?? ?? 8B D3 85 D2 74 06 81 EA 88 FC FF FF 8B 83 FC 02 00 00 8B 80 14 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93398_0 {
	meta:
		name = "TChartListBox.SetCheckStyle"
		size = 121
		refs = "0046 TChartListBox.GetSeries"
	strings:
		$1 = { 53 56 57 55 8B F0 3A 96 00 03 00 00 74 66 8B C2 88 86 00 03 00 00 3C 01 75 50 33 ED 8B 46 38 85 C0 74 47 80 B8 F2 01 00 00 00 74 3E 8B 86 88 02 00 00 8B 10 FF 52 14 48 8B D8 85 DB 7C 2C 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? 80 78 38 00 74 16 45 83 FD 01 7E 10 8B D7 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 48 47 4B 75 D7 8B C6 8B 10 FF 92 9C 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93399_0 {
	meta:
		name = "TChartListBox.ClearItems"
		size = 93
		refs = "0027 TChartListBox.ClearItems 0043 @HandleOnException 004b _Dn_EInvalidOperation 0054 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F0 F6 46 1C 08 75 4A 8B 86 88 02 00 00 8B 10 FF 52 44 8B BE 48 03 00 00 85 FF 74 35 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C7 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_93400_0 {
	meta:
		name = "TChartListBox.SelectSeries"
		size = 26
		refs = "000c TCustomListBox.SetSelected"
	strings:
		$1 = { 80 B8 78 02 00 00 00 74 08 B1 01 E8 ?? ?? ?? ?? C3 8B 08 FF 91 FC 00 00 00 C3 }
	condition:
		$1
}

rule function_93401_0 {
	meta:
		name = "TChartListBox.SwapSeries"
		size = 184
		refs = "003a TChartListBox.GetSeries 0056 TCustomAxisPanel.ExchangeSeries 007a GetParentForm 008b @CallDynaInst 0098 TCustomForm.SetActiveControl 00a1 TChartListBox.SelectSeries 00a8 TChartListBox.DoRefresh 00af TChartListBox.RefreshDesigner"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B CF 8B D6 8B 83 88 02 00 00 8B 28 FF 55 4C 8B 83 48 03 00 00 85 C0 74 09 8B CF 8B D6 8B 28 FF 55 4C 83 BB FC 02 00 00 00 74 40 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D7 8B C3 E8 ?? ?? ?? ?? 8B E8 8B CD 8B D6 8B 83 FC 02 00 00 E8 ?? ?? ?? ?? 66 83 BB 32 03 00 00 00 74 11 55 8B CE 8B D3 8B 83 34 03 00 00 FF 93 30 03 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 8B E8 85 ED 74 18 8B C3 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 09 8B D3 8B C5 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93403_0 {
	meta:
		name = "TChartListBox.SectionLeft"
		size = 43
	strings:
		$1 = { 53 56 33 F6 8B CA 49 85 C9 7C 1B 41 33 D2 8D 1C 92 80 BC 18 66 03 00 00 00 74 07 03 B4 18 62 03 00 00 42 49 75 E8 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_93404_0 {
	meta:
		name = "TChartListBox.SetGroup"
		size = 20
		refs = "000f TChartListBox.UpdateSeries"
	strings:
		$1 = { 3B 90 0C 03 00 00 74 0B 89 90 0C 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93405_0 {
	meta:
		name = "ChartShadow"
		size = 23
	strings:
		$1 = { 85 C0 74 10 8B 80 60 04 00 00 8B 80 88 00 00 00 8B 40 20 C3 33 C0 C3 }
	condition:
		$1
}

rule function_93406_0 {
	meta:
		name = "ItemIsSelected"
		size = 66
		refs = "0030 TCustomListBox.GetSelected"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 8B 10 FF 92 F8 00 00 00 3B D8 74 25 8B 45 08 8B 40 FC 80 B8 78 02 00 00 00 74 11 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5B 5D C3 B0 01 5B 5D C3 }
	condition:
		$1
}

rule function_93407_0 {
	meta:
		name = "TChartListBox.LBSeriesDrawItem"
		size = 928
		refs = "0022 TChartListBox.LBSeriesDrawItem 0043 @CallDynaInst 0050 ItemIsSelected 008a TBrush.SetColor 00e0 TBrush.SetStyle 00f9 TChartListBox.SectionLeft 0114 TChartListBox.GetSeries 0126 TChartListBox.GetShowIcon 0143 TeeDrawBitmapEditor 014b TChartListBox.GetShowColor 01ab InflateRect 01b3 ChartShadow 01e4 TTeeShadow.SetSize 01fc PaintSeriesLegend 0216 TTeeShadow.SetHorizSize 0221 TTeeShadow.SetVertSize 0229 TChartListBox.GetShowActive 0274 TeeDrawCheckBox 0286 TChartListBox.GetShowTitle 029c ColorToRGB 02a6 TFont.SetColor 02bb TChartSeries.GetSeriesColor 02e8 TCanvas.GetHandle 02ee SetBkMode 0312 TCustomCanvas.TextHeight 031b TCustomListBox.GetItemHeight 037a @UStrClr 0380 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 DB 89 5D B8 8B 75 0C 8D 7D DC A5 A5 A5 A5 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B B8 98 02 00 00 F6 45 08 01 75 22 8B 45 FC 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 0E 55 8B 45 F8 E8 ?? ?? ?? ?? 59 84 C0 75 04 33 DB EB 02 B3 01 84 DB 74 3C 8B 45 FC 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 1D 55 8B 45 F8 E8 ?? ?? ?? ?? 59 84 C0 74 0F BA 03 00 00 FF 8B 47 48 E8 ?? ?? ?? ?? EB 32 BA 0D 00 00 FF 8B 47 48 E8 ?? ?? ?? ?? EB 23 F6 45 08 10 74 0F BA 03 00 00 FF 8B 47 48 E8 ?? ?? ?? ?? EB 0E 8B 45 FC 8B 50 74 8B 47 48 E8 ?? ?? ?? ?? 8D 55 DC 8B C7 8B 08 FF 51 54 8B 45 FC 8B 50 74 8B 47 48 E8 ?? ?? ?? ?? 33 D2 8B 47 48 E8 ?? ?? ?? ?? 57 8D 75 DC 8D 7D CC A5 A5 A5 A5 5F BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 E8 02 89 45 D4 8D 55 CC 8B C7 8B 08 FF 51 54 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 47 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 19 8B 45 E0 50 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 CE 00 00 00 80 BE 3C 01 00 00 00 0F 84 C1 00 00 00 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 E8 02 89 45 BC 8B 55 E0 89 55 C0 8B 55 FC 03 82 6C 03 00 00 89 45 C4 8B 45 E8 89 45 C8 56 57 8D 75 BC 8D 7D CC A5 A5 A5 A5 5F 5E 8D 45 CC B9 FC FF FF FF BA FC FF FF FF E8 ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 74 2A 8B 45 EC 8B 40 0C 89 45 F4 8B 45 EC 8B 40 1C 89 45 F0 8B 45 EC 80 78 20 00 74 19 BA 03 00 00 00 8B 45 EC E8 ?? ?? ?? ?? EB 0A 33 C0 89 45 F4 33 C0 89 45 F0 8D 4D CC 8B D7 8B C6 E8 ?? ?? ?? ?? 83 7D EC 00 74 1F 8B 45 EC 80 78 20 00 74 16 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 47 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 0F B6 4E 38 51 8B 4D FC 8B 49 74 51 8B 4D FC 80 B9 00 03 00 00 00 0F 94 C1 51 83 C0 02 8B 4D E8 8B 55 E0 2B CA 83 E9 0D D1 F9 79 03 83 D1 00 03 CA 8B D1 8B CF E8 ?? ?? ?? ?? B2 01 8B 47 48 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 C7 00 00 00 84 DB 74 16 B8 0E 00 00 FF E8 ?? ?? ?? ?? 8B D0 8B 47 40 E8 ?? ?? ?? ?? EB 37 8B 45 FC 80 B8 0B 03 00 00 00 74 13 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 47 40 E8 ?? ?? ?? ?? EB 18 8B 45 FC 8B 40 6C 8B 40 18 E8 ?? ?? ?? ?? 8B D0 8B 47 40 E8 ?? ?? ?? ?? 6A 01 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 4D B8 8B 45 FC 8B 80 88 02 00 00 8B 55 F8 8B 18 FF 53 0C 8B 45 B8 50 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A 2B C2 D1 F8 79 03 83 D0 00 03 45 E0 50 BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 42 8B C7 59 8B 18 FF 93 90 00 00 00 6A 02 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 10 6A 00 33 C9 33 D2 8B C7 8B 18 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_93408_0 {
	meta:
		name = "TChartListBox.GetSelectedSeries"
		size = 24
		refs = "0012 TChartListBox.GetSeries"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93409_0 {
	meta:
		name = "TChartListBox.SetFontSeriesColor"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 0B 03 00 00 74 10 88 96 0B 03 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_93410_0 {
	meta:
		name = "TChartListBox.SetNames"
		size = 20
		refs = "000f TChartListBox.UpdateSeries"
	strings:
		$1 = { 3A 90 18 03 00 00 74 0B 88 90 18 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93411_0 {
	meta:
		name = "TChartListBox.SetSelectedSeries"
		size = 68
		refs = "003d TCustomListBox.SetSelected"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 88 02 00 00 8B 08 FF 51 5C 8B D0 8B C3 8B 08 FF 91 FC 00 00 00 8B C3 8B 10 FF 92 F8 00 00 00 40 74 15 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 B1 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93412_0 {
	meta:
		name = "TChartListBox.LBSeriesDragOver"
		size = 31
	strings:
		$1 = { 55 8B EC 80 B8 09 03 00 00 00 74 04 3B CA 74 04 33 C0 EB 02 B0 01 8B 55 08 88 02 5D C2 10 00 }
	condition:
		$1
}

rule function_93413_0 {
	meta:
		name = "TChartListBox.SeriesAtMousePos"
		size = 67
		refs = "000e Mouse 0015 TMouse.GetCursorPos 0022 TControl.ScreenToClient 0039 TCustomListBox.ItemAtPos"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8D 54 24 08 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 54 24 08 8B CC 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 06 8B 44 24 04 89 46 04 8B D6 B1 01 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_93414_0 {
	meta:
		name = "TChartListBox.PointInSection"
		size = 65
		refs = "001b TChartListBox.SectionLeft"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8D 04 B6 80 BC 03 66 03 00 00 00 74 25 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 17 3B C2 7D 0E 8D 0C B6 03 84 0B 62 03 00 00 3B D0 7C 04 33 C0 EB 06 B0 01 EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93415_0 {
	meta:
		name = "TChartListBox.GetSeriesGroup"
		size = 27
	strings:
		$1 = { 8B 90 0C 03 00 00 85 D2 74 04 8B 42 10 C3 8B 80 FC 02 00 00 8B 80 B4 03 00 00 C3 }
	condition:
		$1
}

rule function_93416_0 {
	meta:
		name = "TChartListBox.CheckLegendBoxes"
		size = 28
		refs = "0017 TChartListBox.SetCheckStyle"
	strings:
		$1 = { 8B 90 FC 02 00 00 8B 92 60 04 00 00 80 7A 59 00 74 09 0F B6 52 5A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93417_0 {
	meta:
		name = "TChartListBox.FillSeries"
		size = 314
		refs = "0016 TChartListBox.VerifyParent 0021 TChartListBox.ClearItems 0035 TChartListBox.GetSeriesGroup 0052 FillSeriesItems 005a TChartListBox.CheckLegendBoxes 006f TChartListBox.FillSeries 0094 @HandleOnException 009c _Dn_EInvalidOperation 00a5 @DoneExcept 00f2 TChartListBox.SelectSeries 0119 TChartListBox.DoRefresh 012f TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 F8 89 45 FC 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 83 B8 FC 02 00 00 00 74 2D 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 0F B6 88 18 03 00 00 80 F1 01 8B 45 FC 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B B0 48 03 00 00 85 F6 74 3E 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 90 88 02 00 00 8B C6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 88 02 00 00 8B 55 F8 8B 08 FF 51 5C 8B D8 83 FB FF 75 14 8B 45 FC 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 7E 02 33 DB 83 FB FF 74 1C 8B 45 FC 8B 80 88 02 00 00 8B 10 FF 52 14 3B D8 7D 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 52 03 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 54 03 00 00 FF 93 50 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 91 84 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93418_0 {
	meta:
		name = "TChartListBox.AnySelected"
		size = 104
		refs = "004d TCustomListBox.SetSelected"
	strings:
		$1 = { 53 56 8B F0 80 BE 78 02 00 00 00 74 48 8B C6 8B 10 FF 92 20 01 00 00 85 C0 0F 9F C3 84 DB 75 43 8B 86 88 02 00 00 8B 10 FF 52 14 85 C0 7E 34 8B C6 8B 10 FF 92 F8 00 00 00 40 74 27 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 B1 01 8B C6 E8 ?? ?? ?? ?? B3 01 EB 0E 8B C6 8B 10 FF 92 F8 00 00 00 40 0F 95 C3 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_93419_0 {
	meta:
		name = "TChartListBox.ChangeTypeSeries"
		size = 462
		refs = "0010 TChartListBox.AnySelected 002e TeeChangeGalleryProc 003c _Dn_TChartSeriesList 0041 TObject.Create 004c TChartListBox.ChangeTypeSeries 0080 TCustomListBox.GetSelected 008e TChartListBox.GetSeries 0098 TList.Add 011b ChangeSeriesType 0128 TCustomSeriesList.Put 0134 TChartListBox.UpdateSeries 0151 @HandleFinally 0192 TChartListBox.SelectSeries 01ab TObject.Free 01bb TChartListBox.DoRefresh 01c3 TChartListBox.RefreshDesigner"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 AB 01 00 00 8B 45 FC 83 B8 FC 02 00 00 00 0F 84 9B 01 00 00 83 3D ?? ?? ?? ?? 00 0F 84 8E 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 80 B8 78 02 00 00 00 74 40 8B 45 FC 8B 80 88 02 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4A 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 14 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? 47 4E 75 DA EB 1F 8B 45 FC 8B 10 FF 92 F8 00 00 00 8B D0 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F0 E8 ?? ?? ?? ?? B3 01 33 C0 89 45 F4 8B 45 FC C6 80 61 03 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 70 08 4E 85 F6 7C 45 46 33 FF 8B 45 F0 8B 40 04 8B 04 B8 89 45 F8 84 DB 74 16 8D 55 F8 8B 45 FC 8B 40 04 FF 15 ?? ?? ?? ?? 89 45 F4 33 DB EB 0B 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8B 4D F8 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 47 4E 75 BE 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 61 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 8B 10 FF 92 08 01 00 00 8B 45 F0 8B 70 08 4E 85 F6 7C 2D 46 33 FF 8B 45 F0 8B 40 04 8B 14 B8 8B 45 FC 8B 80 88 02 00 00 8B 08 FF 51 5C 83 F8 FF 74 0A 8B D0 8B 45 FC E8 ?? ?? ?? ?? 47 4E 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93420_0 {
	meta:
		name = "IsSelected"
		size = 59
		refs = "001e TCustomListBox.GetSelected"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 80 B8 78 02 00 00 00 74 10 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 5B 5D C3 8B 45 08 8B 40 FC 8B 10 FF 92 F8 00 00 00 3B D8 0F 94 C0 5B 5D C3 }
	condition:
		$1
}

rule function_93421_0 {
	meta:
		name = "TChartListBox.DblClick"
		size = 348
		refs = "001c TChartListBox.SeriesAtMousePos 002f IsSelected 0045 TChartListBox.PointInSection 0060 TChartListBox.ChangeTypeSeries 0097 TChartListBox.GetSeries 00b7 TChartSeries.GetSeriesColor 00c4 TChartListBox.DblClick 00cc EditColorDialog"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 45 FC 8B 45 FC C6 80 60 03 00 00 01 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B D8 83 FB FF 0F 84 24 01 00 00 55 8B C3 E8 ?? ?? ?? ?? 59 84 C0 0F 84 13 01 00 00 8D 55 F4 33 C9 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1C 8B 45 FC 80 B8 0A 03 00 00 00 74 10 8B 55 FC 8B 45 FC E8 ?? ?? ?? ?? E9 E6 00 00 00 8D 55 F4 B9 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 99 00 00 00 8B 45 FC 80 B8 08 03 00 00 00 0F 84 89 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 80 B8 3C 01 00 00 00 0F 84 A7 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 89 45 F0 8D 55 F0 0F B6 0D ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 7B 8B 55 F0 8B C6 8B 08 FF 91 D8 00 00 00 33 D2 8B C6 8B 08 FF 91 D4 00 00 00 8B 45 FC 66 83 B8 2A 03 00 00 00 74 55 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 5D FC 8B 55 FC 8B 83 2C 03 00 00 FF 93 28 03 00 00 EB 35 8D 55 F4 B9 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 21 8B 45 FC 66 83 B8 3A 03 00 00 00 74 14 8B 75 FC 8B CB 8B 55 FC 8B 86 3C 03 00 00 FF 96 38 03 00 00 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_93422_0 {
	meta:
		name = "TChartListBox.GetItemIndex"
		size = 35
		refs = "0007 TCustomListBox.GetItemIndex"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 8B 10 FF 92 14 01 00 00 85 C0 75 03 83 CE FF 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_93423_0 {
	meta:
		name = "TChartListBox.MouseDown"
		size = 350
		refs = "001e TCustomListBox.MouseDown 0025 TChartListBox.HideEditor 0040 TChartListBox.SeriesAtMousePos 005a TChartListBox.PointInSection 0074 TChartListBox.GetSeries 0132 TControl.BeginDrag"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 66 89 4D FE 8B D8 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F8 00 00 00 40 0F 84 1B 01 00 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B F0 83 FE FF 0F 84 A4 00 00 00 8D 55 F4 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 8D 00 00 00 80 BB 00 03 00 00 00 75 17 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 50 38 80 F2 01 8B 08 FF 51 48 EB 2F 8B 83 88 02 00 00 8B 10 FF 52 14 48 85 C0 7C 1F 40 89 45 F0 33 FF 8B D7 8B C3 E8 ?? ?? ?? ?? 3B F7 0F 94 C2 8B 08 FF 51 48 47 FF 4D F0 75 E7 8B D6 8B C3 E8 ?? ?? ?? ?? 83 78 40 00 75 0A 8B C3 8B 10 FF 92 A0 00 00 00 66 83 BB 22 03 00 00 00 74 5E 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 24 03 00 00 FF 93 20 03 00 00 EB 43 80 BB 09 03 00 00 00 74 3A 8D 55 F4 B9 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 27 80 BB 60 03 00 00 00 75 1E F6 45 FE 01 75 18 F6 45 FE 04 75 12 F6 45 FE 08 74 0C 83 C9 FF 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 60 03 00 00 00 66 83 BB 52 03 00 00 00 74 0E 8B D3 8B 83 54 03 00 00 FF 93 50 03 00 00 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_93424_0 {
	meta:
		name = "TChartListBox.MoveCurrentUp"
		size = 51
		refs = "002d TChartListBox.SwapSeries"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 F8 00 00 00 85 C0 7E 20 8B C3 8B 10 FF 92 F8 00 00 00 48 50 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B C3 59 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93425_0 {
	meta:
		name = "TChartListBox.MoveCurrentDown"
		size = 80
		refs = "0049 TChartListBox.SwapSeries"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 10 FF 92 F8 00 00 00 40 74 3C 8B C3 8B 10 FF 92 F8 00 00 00 8B F0 8B 83 88 02 00 00 8B 10 FF 52 14 48 3B F0 7D 20 8B C3 8B 10 FF 92 F8 00 00 00 40 50 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B C3 59 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93426_0 {
	meta:
		name = "DoDelete"
		size = 156
		refs = "001f TCustomListBox.GetSelected 002c TChartListBox.GetSeries 0031 TObject.Free 0086 TChartListBox.SelectSeries 008d TChartListBox.DoRefresh 0094 TChartListBox.RefreshDesigner"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 08 83 C6 FC 8B 06 80 B8 78 02 00 00 00 74 35 33 DB EB 1E 8B 06 8B D3 E8 ?? ?? ?? ?? 84 C0 74 10 8B 06 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 01 43 8B 06 8B 80 88 02 00 00 8B 10 FF 52 14 3B D8 7C D1 EB 25 8B 06 8B 10 FF 92 F8 00 00 00 40 74 18 8B 06 8B 10 FF 92 F8 00 00 00 8B D0 8B 06 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 7E 09 8B 06 33 D2 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_93427_0 {
	meta:
		name = "TChartListBox.DeleteSeries"
		size = 186
		refs = "0013 TChartListBox.DeleteSeries 0023 TChartListBox.AnySelected 0055 TChartListBox.GetSelectedSeries 005d SeriesTitleOrName 0068 TeeMsg_SelectedSeries 006f @UStrLAsg 007a TeeYesNoDelete 0084 DoDelete 00a7 @UStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 6B 8B 45 FC 80 B8 FA 02 00 00 00 74 56 8B 45 FC 80 B8 78 02 00 00 00 74 0E 8B 45 FC 8B 10 FF 92 20 01 00 00 48 75 12 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? EB 10 8D 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 14 55 E8 ?? ?? ?? ?? 59 B3 01 EB 09 55 E8 ?? ?? ?? ?? 59 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93428_0 {
	meta:
		name = "TChartListBox.CloneSeries"
		size = 37
		refs = "0013 TChartListBox.GetSelectedSeries 0018 CloneChartSeries 001f TChartListBox.RefreshDesigner"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 F8 00 00 00 40 74 13 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93429_0 {
	meta:
		name = "TChartListBox.KeyUp"
		size = 81
		refs = "0025 TChartListBox.AddSeriesGallery 0037 TChartListBox.DeleteSeries 0040 TChartListBox.GetSelectedSeries 004b TChartListBox.ShowEditor"
	strings:
		$1 = { 53 8B D8 0F B7 02 66 83 E8 2D 74 0D 66 FF C8 74 1A 66 83 E8 43 74 26 EB 36 80 BB F8 02 00 00 00 74 2D 8B C3 E8 ?? ?? ?? ?? 5B C3 80 BB F9 02 00 00 00 74 1B 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 85 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93430_0 {
	meta:
		name = "TChartListBox.EditorPress"
		size = 18
	strings:
		$1 = { 66 83 39 0D 74 06 66 83 39 1B 75 05 66 C7 01 00 00 C3 }
	condition:
		$1
}

rule function_93431_0 {
	meta:
		name = "TChartListBox.EditorKey"
		size = 165
		refs = "000d TChartListBox.EditorKey 0053 TControl.GetText 005e TCustomChartSeries.SetTitle 0069 TControl.Hide 0092 @UStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 01 83 F8 26 7F 0E 74 16 83 E8 0D 74 11 83 E8 0E 74 0C EB 54 83 E8 28 74 05 83 E8 49 75 4A 8B 9E 04 03 00 00 85 DB 74 40 80 7B 61 00 74 3A 66 83 39 1B 74 15 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C E8 ?? ?? ?? ?? 8B 86 04 03 00 00 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 F4 00 00 00 8B C6 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_93432_0 {
	meta:
		name = "TChartListBox.HideEditor"
		size = 36
		refs = "000a TChartListBox.HideEditor 001a TChartListBox.EditorKey"
	strings:
		$1 = { 51 66 C7 04 24 0D 00 0F B7 15 ?? ?? ?? ?? 52 8D 4C 24 04 8B 90 04 03 00 00 E8 ?? ?? ?? ?? 5A C3 00 00 00 00 }
	condition:
		$1
}

rule function_93433_0 {
	meta:
		name = "TChartListBox.ShowEditor"
		size = 311
		refs = "0014 TChartListBox.ShowEditor 0021 TChartListBox.GetSelectedSeries 0030 TChartListBox.GetShowTitle 004a _Dn_TEdit 004f TCustomEdit.Create 0080 SeriesTitleOrName 008a TControl.SetText 0097 TControl.SetWidth 00a3 TChartListBox.SectionLeft 00af TControl.SetLeft 00c5 TCustomListBox.ItemRect 00d1 TControl.SetTop 00de TControl.SetHeight 00ee TChartListBox.EditorKey 00fe TChartListBox.EditorPress 0105 TControl.Show 0124 @UStrClr 012a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 E6 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 D7 00 00 00 83 BB 04 03 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 04 03 00 00 8B B3 04 03 00 00 8B D3 8B C6 8B 08 FF 91 84 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 46 0C 8B C3 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 93 71 03 00 00 8B C6 E8 ?? ?? ?? ?? BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D0 83 EA 02 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8D 4D F0 8B C3 E8 ?? ?? ?? ?? 8B 7D F4 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 2B D7 42 8B C6 E8 ?? ?? ?? ?? 89 9E 24 02 00 00 C7 86 20 02 00 00 ?? ?? ?? ?? 89 9E 2C 02 00 00 C7 86 28 02 00 00 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 F4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93434_0 {
	meta:
		name = "TChartListBox.RenameSeries"
		size = 397
		refs = "0016 TChartListBox.RenameSeries 003c TChartListBox.GetSelectedSeries 0056 @UStrLAsg 0063 SeriesTitleOrName 0077 TeeMsg_NewSeriesTitle 007e TeeMsg_ChangeSeriesTitle 0085 InputQuery 00a1 Trim 00ca TCustomChartElement.Repaint 00f6 @UStrEqual 0102 TCustomChartSeries.SetTitle 014f TChartListBox.SelectSeries 0169 @UStrArrayClr 017c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B C3 8B 10 FF 92 F8 00 00 00 8B F0 83 FE FF 0F 84 1A 01 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 F0 80 BB 18 03 00 00 00 74 10 8D 45 FC 8B 55 F0 8B 52 08 E8 ?? ?? ?? ?? EB 0B 8D 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 4D FC 8B 15 ?? ?? ?? ?? 8B 12 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 84 C0 0F 84 B9 00 00 00 80 BB 18 03 00 00 00 74 36 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 83 7D EC 00 74 68 8B 55 FC 8B 45 F0 8B 08 FF 51 24 8B 4D FC 8B D6 8B 83 88 02 00 00 8B 38 FF 57 20 8B 45 F0 E8 ?? ?? ?? ?? EB 43 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 83 7D E8 00 74 1B 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 8B 55 F0 8B 52 08 E8 ?? ?? ?? ?? 75 0C 33 D2 8B 45 F0 E8 ?? ?? ?? ?? EB 0B 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 80 BB 18 03 00 00 00 74 14 8B 45 F8 8B 55 F0 8B 52 08 E8 ?? ?? ?? ?? 0F 95 45 F7 EB 1A 8D 55 E0 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 0F 95 45 F7 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93435_0 {
	meta:
		name = "TChartListBox.RefreshDesigner"
		size = 37
		refs = "001f @CallDynaInst"
	strings:
		$1 = { 56 8B 90 FC 02 00 00 85 D2 74 18 83 BA 50 04 00 00 00 74 0F 8B 82 50 04 00 00 66 BE FF FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_93436_0 {
	meta:
		name = "TChartListBox.AddSeriesGallery"
		size = 137
		refs = "0008 TeeAddGalleryProc 0012 TChartListBox.GetSelectedSeries 0052 TCustomListBox.SetSelected 006c TChartListBox.SelectSeries 0073 TChartListBox.DoRefresh 007a TChartListBox.RefreshDesigner"
	strings:
		$1 = { 53 56 57 55 8B D8 83 3D ?? ?? ?? ?? 00 74 71 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 93 FC 02 00 00 8B 43 04 FF 15 ?? ?? ?? ?? 8B F0 85 F6 74 55 80 BB 78 02 00 00 00 74 24 8B 83 88 02 00 00 8B 10 FF 52 14 8B F8 4F 85 FF 7C 12 47 33 ED 33 C9 8B D5 8B C3 E8 ?? ?? ?? ?? 45 4F 75 F1 8B D6 8B 83 88 02 00 00 8B 08 FF 51 5C 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 02 33 F6 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93437_0 {
	meta:
		name = "TChartListBox.Notification"
		size = 55
		refs = "0010 TWinControl.Notification 002f TChartListBox.SetChart"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1A 83 BF FC 02 00 00 00 74 11 3B B7 FC 02 00 00 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93438_0 {
	meta:
		name = "TChartListBox.WMNCHitTest"
		size = 67
		refs = "000e TWinControl.WMNCHitTest"
	strings:
		$1 = { 53 56 83 C4 F4 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 46 08 89 04 24 0F BF 04 24 89 44 24 04 0F BF 44 24 02 89 44 24 08 8B 44 24 04 89 83 10 03 00 00 8B 44 24 08 89 83 14 03 00 00 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_93439_0 {
	meta:
		name = "TChartListBox.WMSetCursor"
		size = 143
		refs = "0025 TChartListBox.SeriesAtMousePos 0040 TChartListBox.PointInSection 0064 Screen 0070 TScreen.GetCursors 0076 SetCursor 0087 TWinControl.WMSetCursor"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 F6 43 1C 10 75 7E 8B 83 88 02 00 00 8B 10 FF 52 14 85 C0 7E 66 8D 93 10 03 00 00 8B C3 E8 ?? ?? ?? ?? 40 74 56 66 83 7F 08 01 75 4F 33 F6 8D 93 10 03 00 00 8B CE 8B C3 E8 ?? ?? ?? ?? 84 C0 74 34 85 F6 75 09 80 BB 0A 03 00 00 00 75 0E 83 FE 02 75 28 80 BB 08 03 00 00 00 74 1F A1 ?? ?? ?? ?? 8B 00 BA EB FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 0F 46 83 FE 03 75 B3 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93440_0 {
	meta:
		name = "TChartListBox.UpdateSeries"
		size = 32
		refs = "0006 TWinControl.HandleAllocated 0011 TChartListBox.GetSelectedSeries 001a TChartListBox.FillSeries"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93441_0 {
	meta:
		name = "TChartListBox.GetShowActive"
		size = 8
	strings:
		$1 = { 0F B6 80 6B 03 00 00 C3 }
	condition:
		$1
}

rule function_93442_0 {
	meta:
		name = "TChartListBox.SetShowActive"
		size = 21
	strings:
		$1 = { 56 8B F0 88 96 6B 03 00 00 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_93443_0 {
	meta:
		name = "TChartListBox.GetShowIcon"
		size = 8
	strings:
		$1 = { 0F B6 80 66 03 00 00 C3 }
	condition:
		$1
}

rule function_93444_0 {
	meta:
		name = "TChartListBox.SetShowIcon"
		size = 21
	strings:
		$1 = { 56 8B F0 88 96 66 03 00 00 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_93445_0 {
	meta:
		name = "TChartListBox.GetShowColor"
		size = 8
	strings:
		$1 = { 0F B6 80 70 03 00 00 C3 }
	condition:
		$1
}

rule function_93446_0 {
	meta:
		name = "TChartListBox.SetShowColor"
		size = 21
	strings:
		$1 = { 56 8B F0 88 96 70 03 00 00 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_93447_0 {
	meta:
		name = "TChartListBox.GetShowTitle"
		size = 8
	strings:
		$1 = { 0F B6 80 75 03 00 00 C3 }
	condition:
		$1
}

rule function_93448_0 {
	meta:
		name = "TChartListBox.SetShowTitle"
		size = 21
	strings:
		$1 = { 56 8B F0 88 96 75 03 00 00 8B C6 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_93449_0 {
	meta:
		name = "TChartListBox.VerifyParent"
		size = 186
		refs = "001d TChartListBox.VerifyParent 002b TWinControl.HandleNeeded 003a @HandleOnException 0042 _Dn_Exception 005d _Dn_TForm 0062 TCustomForm.Create 009b @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC 8B 40 38 89 02 33 C0 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 77 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 55 F8 8B 45 FC 8B 08 FF 91 84 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 22 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93450_0 {
	meta:
		name = "TChartListBox.SelectAll"
		size = 28
		refs = "000f TCustomListBox.SelectAll 0016 TChartListBox.RefreshDesigner"
	strings:
		$1 = { 53 8B D8 80 BB 78 02 00 00 00 74 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93451_0 {
	meta:
		name = "TChartListBox.GetSeries"
		size = 47
	strings:
		$1 = { 53 56 8B F2 8B D8 83 FE FF 74 1F 8B 83 88 02 00 00 8B 10 FF 52 14 3B F0 7D 10 8B D6 8B 83 88 02 00 00 8B 08 FF 51 18 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_93452_0 {
	meta:
		name = "SeriesRemoved"
		size = 188
		refs = "0011 TChartListBox.VerifyParent 00b2 TObject.Free"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8D 55 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F8 8B 45 08 8B 40 F8 8B 50 0C 8B 45 08 8B 40 FC 8B 80 88 02 00 00 8B 08 FF 51 5C 8B F0 83 FE FF 74 66 8B 45 08 8B 40 FC 8B 80 88 02 00 00 8B D6 8B 08 FF 51 48 8B 45 08 8B 40 FC 83 B8 48 03 00 00 00 74 13 8B 45 08 8B 40 FC 8B 80 48 03 00 00 8B D6 8B 08 FF 51 48 8B 45 08 8B 40 FC 66 83 B8 42 03 00 00 00 74 21 8B 45 08 8B 58 FC 8B 45 08 8B 40 F8 8B 48 0C 8B 45 08 8B 50 FC 8B 83 44 03 00 00 FF 93 40 03 00 00 8B 45 08 8B 40 FC 8B 55 FC 8B 08 FF 91 84 00 00 00 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93453_0 {
	meta:
		name = "TChartListBox.TeeEvent"
		size = 345
		refs = "0016 TChartListBox.TeeEvent 0032 _Dn_TTeeSeriesEvent 0037 @IsClass 0096 TChartListBox.CheckLegendBoxes 00cc SeriesTitleOrName 00e7 SeriesRemoved 00fe TChartListBox.UpdateSeries 011f _Dn_TTeeView3DEvent 0148 @UStrClr 014e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 1C 08 0F 85 0A 01 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D7 00 00 00 8B 45 F8 0F B6 50 08 83 FA 05 0F 87 E4 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 80 B8 61 03 00 00 00 0F 85 B5 00 00 00 8B 45 FC 8B 10 FF 92 9C 00 00 00 E9 A5 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 E9 8D 00 00 00 8B 50 0C 8B 45 FC 8B 80 88 02 00 00 8B 08 FF 51 5C 8B D8 83 FB FF 74 75 8D 55 F4 8B 45 F8 8B 40 0C E8 ?? ?? ?? ?? 8B 4D F4 8B 45 FC 8B 80 88 02 00 00 8B D3 8B 18 FF 53 20 EB 52 55 E8 ?? ?? ?? ?? 59 EB 49 8B 45 FC 80 B8 61 03 00 00 00 75 3D 8B 45 FC E8 ?? ?? ?? ?? EB 33 8B 45 FC 80 B8 61 03 00 00 00 75 27 8B 45 FC E8 ?? ?? ?? ?? EB 1D 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 FC 8B 10 FF 92 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93454_0 {
	meta:
		name = "TChartListBox.SetParent"
		size = 69
		refs = "0006 TWinControl.SetParent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 38 85 C0 74 32 80 B8 F2 01 00 00 00 74 29 8B C3 8B 10 FF 92 F8 00 00 00 40 74 1C 8B 83 88 02 00 00 8B 10 FF 52 14 85 C0 75 0D 83 CA FF 8B C3 8B 08 FF 91 FC 00 00 00 5B C3 }
	condition:
		$1
}

rule function_93457_0 {
	meta:
		name = "TMarginsEditor.RGUnitsClick"
		size = 63
		refs = "001e TMargins.SetUnits"
	strings:
		$1 = { 8B 90 90 03 00 00 8B 92 88 02 00 00 83 EA 01 72 04 74 10 EB 1C 33 D2 8B 80 C4 03 00 00 E8 ?? ?? ?? ?? C3 B2 01 8B 80 C4 03 00 00 E8 ?? ?? ?? ?? C3 B2 02 8B 80 C4 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93458_0 {
	meta:
		name = "TMarginsEditor.FormShow"
		size = 34
		refs = "0015 TMarginsEditor.RefreshControls 001c TeeTranslateControl"
	strings:
		$1 = { 53 8B D8 8B 43 0C 85 C0 74 0F 8B D0 89 93 C4 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93459_0 {
	meta:
		name = "TMarginsEditor.RefreshControls"
		size = 163
		refs = "0020 TCustomRadioGroup.SetItemIndex 004d TMarginsEditor.RGUnitsClick 0061 TCustomUpDown.SetPosition"
	strings:
		$1 = { 53 8B D8 8B C2 89 83 C4 03 00 00 0F B6 40 14 2C 01 72 04 74 11 EB 21 33 D2 8B 83 90 03 00 00 E8 ?? ?? ?? ?? EB 22 BA 01 00 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? EB 10 BA 02 00 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 8B 83 C4 03 00 00 8B 50 04 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 8B 83 C4 03 00 00 8B 50 08 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B 83 C4 03 00 00 8B 50 0C 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B 83 C4 03 00 00 8B 50 10 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93460_0 {
	meta:
		name = "TMarginsEditor.ELeftChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TMargins.SetLeft"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 18 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93461_0 {
	meta:
		name = "TMarginsEditor.ETopChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TMargins.SetTop"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 18 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93462_0 {
	meta:
		name = "TMarginsEditor.ERightChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TMargins.SetRight"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 18 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93463_0 {
	meta:
		name = "TMarginsEditor.EBottomChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TMargins.SetBottom"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 18 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93466_0 {
	meta:
		name = "TMouseCursorEdit.FormShow"
		size = 87
		refs = "0011 TeeFillCursors 0029 TeePreviewCursor 0030 TeeTranslateControl 0051 TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 0F B7 93 B0 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 83 9C 03 00 00 8B 90 B8 01 00 00 0F B7 83 B0 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 B4 03 00 00 85 C0 74 06 F6 40 1C 10 74 04 33 D2 EB 02 B2 01 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93467_0 {
	meta:
		name = "TMouseCursorEdit.Choose"
		size = 134
		refs = "0011 _DV_TMouseCursorEdit 0016 TCustomForm.Create 0021 TMouseCursorEdit.Choose 0042 PositionToCenter 0070 TObject.Free 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 8B DA 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 66 89 B0 B0 03 00 00 8B 45 F8 89 98 B4 03 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 8B 45 F8 0F B7 80 B0 03 00 00 66 89 45 FE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 FE 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93468_0 {
	meta:
		name = "TeeIdentToCursor"
		size = 76
		refs = "0009 TeeIdentToCursor 000e @UStrEqual 0024 IdentToCursor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B C7 06 E4 07 00 00 B0 01 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 72 00 54 00 65 00 65 00 48 00 61 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_93469_0 {
	meta:
		name = "TeeSetCursor"
		size = 128
		refs = "0015 TeeSetCursor 002a @UStrCat3 0035 TeeIdentToCursor 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 84 C0 74 06 0F B7 5D FC EB 02 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 63 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_93470_0 {
	meta:
		name = "TeeCursorToIdent"
		size = 68
		refs = "000d TeeCursorToIdent 0012 @UStrAsg 001d CursorToIdent"
	strings:
		$1 = { 53 8B DA 3D E4 07 00 00 75 10 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 5B C3 8B D3 E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 72 00 54 00 65 00 65 00 48 00 61 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_93471_0 {
	meta:
		name = "DeleteCursorPrefix"
		size = 144
		refs = "000f DeleteCursorPrefix 001e @UStrAsg 0033 @UStrCopy 0040 @UStrEqual 0053 @UStrDelete 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B D6 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 03 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 63 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_93472_0 {
	meta:
		name = "TTempCursors.ProcGetCursors"
		size = 86
		refs = "000f TTempCursors.ProcGetCursors 001f DeleteCursorPrefix 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 04 8B 80 B4 02 00 00 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93473_0 {
	meta:
		name = "TeeFillCursors"
		size = 200
		refs = "0017 TStrings.BeginUpdate 0029 _DV_TTempCursors 002e TObject.Create 0039 TeeFillCursors 0051 TTempCursors.ProcGetCursors 0056 GetCursorValues 0078 TObject.Free 007e @HandleFinally 008e TStrings.EndUpdate 009a _DV_TMouseCursorEdit 009f TMouseCursorEdit.SetComboCursor"
	strings:
		$1 = { 55 8B EC 83 C4 F4 66 89 55 FA 89 45 FC 8B 45 FC 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 04 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 55 FC 89 50 04 8B 45 F4 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 80 B4 02 00 00 E8 ?? ?? ?? ?? 0F B7 4D FA 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 72 00 54 00 65 00 65 00 48 00 61 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_93474_0 {
	meta:
		name = "TMouseCursorEdit.SetComboCursor"
		size = 134
		refs = "0011 TMouseCursorEdit.SetComboCursor 0022 TeeCursorToIdent 0031 DeleteCursorPrefix 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 0F BF C6 E8 ?? ?? ?? ?? 84 C0 74 27 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 83 B4 02 00 00 8B 08 FF 51 54 8B D0 8B C3 8B 08 FF 91 FC 00 00 00 EB 0D 83 CA FF 8B C3 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93475_0 {
	meta:
		name = "TeePreviewCursor"
		size = 175
		refs = "000c Screen 0013 TScreen.GetCursors 0024 _Dn_TBitmap 0029 TBitmap.Create 0034 TeePreviewCursor 0041 GetSystemMetrics 0054 TeeSetBitmapSize 006b TBitmap.GetCanvas 0070 TCanvas.GetHandle 0076 DrawIconEx 0080 TPicture.SetGraphic 0095 TObject.Free 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 0F BF D0 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 80 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 0E E8 ?? ?? ?? ?? 50 6A 0D E8 ?? ?? ?? ?? 8B D0 8B 45 FC 59 E8 ?? ?? ?? ?? 6A 0B 6A 00 6A 00 6A 00 6A 00 53 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93476_0 {
	meta:
		name = "TMouseCursorEdit.ChangeCursor"
		size = 55
		refs = "0019 TeePreviewCursor"
	strings:
		$1 = { 53 8B D8 8B C2 66 89 83 B0 03 00 00 8B 93 9C 03 00 00 8B 92 B8 01 00 00 E8 ?? ?? ?? ?? 66 83 BB AA 03 00 00 00 74 0E 8B D3 8B 83 AC 03 00 00 FF 93 A8 03 00 00 5B C3 }
	condition:
		$1
}

rule function_93477_0 {
	meta:
		name = "TMouseCursorEdit.CBCursorChange"
		size = 93
		refs = "000c TMouseCursorEdit.CBCursorChange 0020 TComboFlat.CurrentItem 002f TeeSetCursor 0038 TMouseCursorEdit.ChangeCursor 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 0F B7 83 B0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_93478_0 {
	meta:
		name = "CursorIndexOk"
		size = 47
		refs = "000a LoadCursor 001b Screen 0022 TScreen.GetCursors"
	strings:
		$1 = { 53 56 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? 8B F0 66 BB E5 07 EB 01 43 0F BF D3 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 3B F0 75 EC 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_93479_0 {
	meta:
		name = "TMouseCursorEdit.BLoadClick"
		size = 166
		refs = "0016 TMouseCursorEdit.BLoadClick 0030 CursorIndexOk 0040 TOpenDialog.GetFileName 004e StrPCopy 0054 LoadCursorFromFile 005e Screen 0065 TScreen.SetCursors 006e TMouseCursorEdit.ChangeCursor 0094 @UStrClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 FC FD FF FF 53 56 33 C9 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A4 03 00 00 8B 10 FF 52 50 84 C0 74 54 E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 8D 85 FC FD FF FF 8B 55 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B C8 0F BF D6 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 83 CA FF 8B 83 94 03 00 00 8B 08 FF 91 FC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93482_0 {
	meta:
		name = "TCustomTeeNavigator.Create"
		size = 220
		refs = "000e @ClassCreate 001c TCustomPanelNoCaption.Create 0021 TCustomTeeNavigator.Create 0034 NewStyleControls 004c _Dn_TStringList 0051 TStringList.Create 0063 TCustomTeeNavigator.HintsChanged 0074 TCustomTeeNavigator.InitHints 007d TCustomPanel.SetBevelOuter 0086 TCustomPanel.SetBevelInner 0092 TControl.SetWidth 009e TControl.SetHeight 00b9 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 43 58 0B 05 ?? ?? ?? ?? 89 43 58 A1 ?? ?? ?? ?? 80 38 00 75 0C 8B 43 58 0B 05 ?? ?? ?? ?? 89 43 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 98 02 00 00 89 5E 44 C7 46 40 ?? ?? ?? ?? 8B C3 8B 10 FF 92 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? BA F1 00 00 00 8B C3 E8 ?? ?? ?? ?? BA 19 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 AC 02 00 00 00 C6 83 8D 02 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 21 00 00 00 40 00 00 00 10 00 00 00 }
	condition:
		$1
}

rule function_93483_0 {
	meta:
		name = "TCustomTeeNavigator.Destroy"
		size = 70
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0034 TCustomControl.Destroy 003f @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 9C 02 00 00 E8 ?? ?? ?? ?? 8B 86 98 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 91 04 01 00 00 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93484_0 {
	meta:
		name = "TCustomTeeNavigator.InitHints"
		size = 399
		refs = "0013 TCustomTeeNavigator.InitHints 0029 _Dn_TStringList 002e TStringList.Create 0047 TeeMsg_First 0056 TeeMsg_Prior 0065 TeeMsg_Next 0074 TeeMsg_Last 0083 TeeMsg_Insert 0092 TeeMsg_Delete 00a1 TeeMsg_Edit 00b0 TeeMsg_Post 00bf TeeMsg_Cancel 00f2 @UStrAsg 017c @UStrArrayClr 0182 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BE 9C 02 00 00 00 75 12 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 9C 02 00 00 8B 9E 9C 02 00 00 8B C3 8B 10 FF 52 44 8B 15 ?? ?? ?? ?? 8B 12 8B C3 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B C3 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B C3 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B C3 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B C3 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B C3 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B C3 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B C3 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B C3 8B 08 FF 51 38 33 DB 8D 4D F4 0F B6 D3 8B 86 9C 02 00 00 8B 38 FF 57 0C 8B 55 F4 0F B6 C3 8B 84 86 BC 02 00 00 05 88 00 00 00 E8 ?? ?? ?? ?? 43 80 FB 09 75 D2 33 DB 8B 86 98 02 00 00 8B 10 FF 52 14 48 85 C0 7C 58 40 89 45 F8 C7 45 FC 00 00 00 00 8D 4D F0 8B 55 FC 8B 86 98 02 00 00 8B 38 FF 57 0C 83 7D F0 00 74 28 8D 4D EC 8B 55 FC 8B 86 98 02 00 00 8B 38 FF 57 0C 8B 55 EC 0F B6 C3 8B 84 86 BC 02 00 00 05 88 00 00 00 E8 ?? ?? ?? ?? 80 FB 08 74 09 43 FF 45 FC FF 4D F8 75 B3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93486_0 {
	meta:
		name = "TCustomTeeNavigator.SetSize"
		size = 335
	strings:
		$1 = { 53 56 57 55 83 C4 E8 89 0C 24 8B CA 8B F0 F6 46 1C 01 0F 85 2F 01 00 00 83 BE BC 02 00 00 00 0F 84 22 01 00 00 33 FF 33 DB 0F B6 C3 8B 84 86 BC 02 00 00 80 78 61 00 74 01 47 43 80 FB 09 75 E9 85 FF 75 01 47 8B C7 F7 AE A4 02 00 00 3B 01 7E 02 89 01 8B 14 24 8B 12 8B 86 A8 02 00 00 3B D0 7D 05 8B 14 24 89 02 8B 04 24 8B 00 89 44 24 14 80 BE 8C 02 00 00 01 75 05 83 6C 24 14 04 8B 01 99 F7 FF 8B D8 89 9E A0 02 00 00 8B C7 F7 EB 89 44 24 08 80 7E 65 00 75 06 8B 44 24 08 89 01 33 C0 89 44 24 10 8B 01 2B 44 24 08 89 44 24 0C 8B C7 D1 F8 79 03 83 D0 00 89 44 24 08 33 DB 0F B6 C3 8B 84 86 BC 02 00 00 80 78 61 00 74 56 33 D2 89 54 24 04 83 7C 24 0C 00 74 1B 8B 54 24 0C 29 54 24 08 83 7C 24 08 00 7D 0C 01 7C 24 08 C7 44 24 04 01 00 00 00 8B 96 A0 02 00 00 03 54 24 04 52 8B 54 24 18 52 33 C9 8B 54 24 18 8B 28 FF 95 A4 00 00 00 8B 86 A0 02 00 00 03 44 24 04 01 44 24 10 EB 19 8B 96 A0 02 00 00 52 8B 56 54 52 8B 56 50 42 33 C9 8B 28 FF 95 A4 00 00 00 43 80 FB 09 0F 85 77 FF FF FF 83 C4 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93488_0 {
	meta:
		name = "TCustomTeeNavigator.CheckSize"
		size = 75
		refs = "001c TCustomTeeNavigator.SetSize 0043 TWinControl.SetBounds"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B 43 50 89 04 24 8B 43 54 89 44 24 04 8D 4C 24 04 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 04 24 3B 43 50 75 09 8B 44 24 04 3B 43 54 74 16 8B 04 24 50 8B 44 24 08 50 8B 4B 4C 8B 53 48 8B C3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_93489_0 {
	meta:
		name = "TCustomTeeNavigator.WMSize"
		size = 30
		refs = "000b TWinControl.WMSize 0012 TCustomTeeNavigator.CheckSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 89 46 0C 5E 5B C3 }
	condition:
		$1
}

rule function_93490_0 {
	meta:
		name = "TCustomTeeNavigator.BtnMouseDown"
		size = 182
		refs = "0028 TWinControl.GetHandle 002f GetFocus 003e @CallDynaInst"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 0F B6 9F AC 02 00 00 0F B6 82 D8 01 00 00 88 87 AC 02 00 00 80 BF F0 01 00 00 00 74 3F 8B C7 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 74 2D 8B C7 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 74 1E 8B C7 8B 10 FF 92 F4 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 3B D8 75 4D EB 4B 80 BF F0 01 00 00 00 74 42 8B C7 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 30 3A 9F AC 02 00 00 74 28 0F B6 C3 8B 84 87 BC 02 00 00 8B 10 FF 92 9C 00 00 00 0F B6 87 AC 02 00 00 8B 84 87 BC 02 00 00 8B 10 FF 92 9C 00 00 00 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_93491_0 {
	meta:
		name = "TCustomTeeNavigator.WMKillFocus"
		size = 23
		altNames = "TCustomTeeNavigator.WMSetFocus"
	strings:
		$1 = { 0F B6 90 AC 02 00 00 8B 84 90 BC 02 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_93493_0 {
	meta:
		name = "TCustomTeeNavigator.KeyDown"
		size = 257
		refs = "00fb @CallDynaInst"
	strings:
		$1 = { 56 8B CA 8B F0 0F B6 86 AC 02 00 00 8B D0 0F B7 09 66 83 E9 20 0F 84 B6 00 00 00 66 83 E9 05 74 5F 66 83 E9 02 0F 85 D4 00 00 00 3C 08 73 01 40 3C 08 74 10 0F B6 C8 8B 8C 8E BC 02 00 00 80 79 61 00 74 E7 3A 86 AC 02 00 00 0F 84 AF 00 00 00 88 86 AC 02 00 00 0F B6 C2 8B 84 86 BC 02 00 00 8B 10 FF 92 9C 00 00 00 0F B6 86 AC 02 00 00 8B 84 86 BC 02 00 00 8B 10 FF 92 9C 00 00 00 5E C3 84 C0 76 01 48 84 C0 74 10 0F B6 C8 8B 8C 8E BC 02 00 00 80 79 61 00 74 E7 3A 86 AC 02 00 00 74 5E 88 86 AC 02 00 00 0F B6 C2 8B 84 86 BC 02 00 00 8B 10 FF 92 9C 00 00 00 0F B6 86 AC 02 00 00 8B 84 86 BC 02 00 00 8B 10 FF 92 9C 00 00 00 5E C3 0F B6 86 AC 02 00 00 8B 84 86 BC 02 00 00 8B 10 FF 52 68 84 C0 74 17 0F B6 86 AC 02 00 00 8B 84 86 BC 02 00 00 66 BE EC FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_93495_0 {
	meta:
		name = "TCustomTeeNavigator.ClickHandler"
		size = 19
		refs = "000d @CallDynaInst"
	strings:
		$1 = { 56 0F B6 92 D8 01 00 00 66 BE AE FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_93496_0 {
	meta:
		name = "TCustomTeeNavigator.CMEnabledChanged"
		size = 28
		refs = "0006 TWinControl.CMEnabledChanged"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? F6 46 1C 01 75 0A 8B C6 8B 10 FF 92 08 01 00 00 5E C3 }
	condition:
		$1
}

rule function_93497_0 {
	meta:
		name = "TCustomTeeNavigator.BtnClick"
		size = 43
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 92 08 01 00 00 66 83 BE B2 02 00 00 00 74 0E 8B D3 8B 86 B4 02 00 00 FF 96 B0 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_93498_0 {
	meta:
		name = "TCustomTeeNavigator.Loaded"
		size = 36
		refs = "0006 TControl.Loaded 000d TCustomTeeNavigator.CheckSize 0014 TCustomTeeNavigator.InitHints"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 08 01 00 00 5B C3 }
	condition:
		$1
}

rule function_93500_0 {
	meta:
		name = "TCustomTeeNavigator.InitButtons"
		size = 440
		refs = "0014 TCustomTeeNavigator.InitButtons 004a BtnTypeName 0053 _DV_TTeeNavButton 0058 TSpeedButton.Create 006e TSpeedButton.SetFlat 0081 TControl.SetVisible 00c8 FmtStr 00cf TSpeedButton.GetGlyph 00d8 HInstance 00dd TBitmap.LoadFromResourceName 00e6 TSpeedButton.SetNumGlyphs 00f6 TCustomTeeNavigator.ClickHandler 0106 TCustomTeeNavigator.BtnMouseDown 0182 @UStrClr 0188 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 EC 14 00 00 00 C7 45 F0 12 00 00 00 8B 45 EC 89 86 A4 02 00 00 8B 45 F0 89 86 A8 02 00 00 33 C0 89 45 F4 C6 45 FB 00 C7 45 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 0F B6 45 FB 89 9C 86 BC 02 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 0F B6 45 FB 88 83 D8 01 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 91 80 00 00 00 8B 86 A4 02 00 00 50 8B 86 A8 02 00 00 50 33 C9 8B 55 F4 8B C3 8B 38 FF 97 A4 00 00 00 6A 00 8B 45 E8 8B 00 89 45 E0 C6 45 E4 0A 8D 4D E0 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 02 8B C3 E8 ?? ?? ?? ?? 89 B3 1C 01 00 00 C7 83 18 01 00 00 ?? ?? ?? ?? 89 B3 CC 00 00 00 C7 83 C8 00 00 00 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 84 00 00 00 8B 86 A4 02 00 00 01 45 F4 FE 45 FB 83 45 E8 04 80 7D FB 09 0F 85 1E FF FF FF 33 D2 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 86 D0 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 86 D4 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 86 D8 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 86 DC 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 65 00 65 00 4E 00 61 00 76 00 5F 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_93501_0 {
	meta:
		name = "TCustomTeeNavigator.SetPanel"
		size = 111
		refs = "0017 TComponent.RemoveFreeNotification 002e TCustomTeePanel.RemoveListener 0041 TComponent.FreeNotification 005e TTeeEventListeners.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 B8 02 00 00 3B F0 74 5C 85 C0 74 1E 8B D3 E8 ?? ?? ?? ?? 8B D3 85 D2 74 06 81 EA 20 FD FF FF 8B 83 B8 02 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 B8 02 00 00 85 C0 74 24 8B D3 E8 ?? ?? ?? ?? 8B D3 85 D2 74 06 81 EA 20 FD FF FF 8B 83 B8 02 00 00 8B 80 14 03 00 00 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 08 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_93502_0 {
	meta:
		name = "TCustomTeeNavigator.TeeEvent"
		size = 9
	strings:
		$1 = { 8B 08 FF 91 00 01 00 00 C3 }
	condition:
		$1
}

rule function_93503_0 {
	meta:
		name = "TCustomTeeNavigator.Notification"
		size = 58
		refs = "0010 TWinControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1D 83 BF B8 02 00 00 00 74 14 3B B7 B8 02 00 00 75 0C 33 D2 8B C7 8B 08 FF 91 04 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93507_0 {
	meta:
		name = "TTeeNavButton.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TObject.Free 001d TSpeedButton.Destroy 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 DC 01 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93508_0 {
	meta:
		name = "TTeeNavButton.MouseDown"
		size = 111
		refs = "001a TSpeedButton.MouseDown 002c _Dn_TTimer 0031 TTimer.Create 003d TTeeNavButton.TimerExpired 0048 TTimer.SetOnTimer 0058 TTimer.SetInterval 0065 TTimer.SetEnabled"
	strings:
		$1 = { 55 8B EC 51 53 66 89 4D FE 8B D8 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B C3 E8 ?? ?? ?? ?? 83 BB DC 01 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 DC 01 00 00 53 68 ?? ?? ?? ?? 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? BA 90 01 00 00 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 DC 01 00 00 E8 ?? ?? ?? ?? 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_93511_0 {
	meta:
		name = "TTeeNavButton.Paint"
		size = 149
		refs = "000b TSpeedButton.Paint 0013 TWinControl.GetHandle 001a GetFocus 0078 OffsetRect 0084 TCanvas.GetHandle 008a DrawFocusRect"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 3B F0 75 6C 8B 43 38 0F B6 80 AC 02 00 00 3A 83 D8 01 00 00 75 5A C7 44 24 10 03 00 00 00 C7 44 24 14 03 00 00 00 8B 43 50 83 E8 03 89 44 24 18 8B 43 54 83 E8 03 89 44 24 1C 8D 74 24 10 8B FC A5 A5 A5 A5 80 BB D2 01 00 00 02 75 11 8B C4 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 54 8B 83 B0 01 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93521_0 {
	meta:
		name = "TeeNextStep"
		size = 244
		refs = "000d IsInfinite 002b TeeNextStep"
	strings:
		$1 = { 55 8B EC 83 C4 F8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 84 C0 74 11 33 C0 89 45 F8 C7 45 FC 00 00 F0 3F E9 A8 00 00 00 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 21 DB 2D ?? ?? ?? ?? DC 4D 08 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DD 5D F8 9B EB 78 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 23 DD 45 08 D8 0D ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 DD 5D F8 9B EB 46 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0E 33 C0 89 45 F8 C7 45 FC 00 00 00 40 EB 29 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0E 33 C0 89 45 F8 C7 45 FC 00 00 14 40 EB 0C 33 C0 89 45 F8 C7 45 FC 00 00 24 40 DD 45 F8 59 59 5D C2 08 00 00 00 00 20 41 CD CC CC CC CC CC CC CC FB 3F 00 00 00 00 80 3F 00 00 00 40 00 00 A0 40 }
	condition:
		$1
}

rule function_93522_0 {
	meta:
		name = "SeriesGuessContents"
		size = 132
		refs = "0007 HasNoMandatoryValues 0012 SeriesGuessContents 0022 HasColors 0038 HasLabels 0055 TSeriesMarksPositions.ExistCustom"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 0F B6 1D ?? ?? ?? ?? EB 07 0F B6 1D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 8B 86 88 00 00 00 8B 40 74 E8 ?? ?? ?? ?? 84 C0 74 0B 0F B6 05 ?? ?? ?? ?? 0A C3 8B D8 8B C3 5E 5B C3 00 00 00 01 00 00 00 00 00 00 00 02 00 00 00 04 00 00 00 08 00 00 00 }
	condition:
		$1
}

rule function_93524_0 {
	meta:
		name = "TChartAxisTitle.Assign"
		size = 56
		refs = "000b _DV_TChartAxisTitle 0010 @IsClass 0027 @UStrAsg 0030 TTeeCustomShape.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B FE 8B 47 54 89 43 54 8D 43 58 8B 57 58 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93525_0 {
	meta:
		name = "TChartAxisTitle.IsAngleStored"
		size = 10
	strings:
		$1 = { 8B 50 54 3B 50 5C 0F 95 C0 C3 }
	condition:
		$1
}

rule function_93526_0 {
	meta:
		name = "TChartAxisTitle.SetAngle"
		size = 31
		refs = "0019 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 53 8B DA 8B C8 8B C3 BB 68 01 00 00 99 F7 FB 8B C2 8D 51 54 8B 49 08 91 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93529_0 {
	meta:
		name = "TChartAxisTitle.Clicked"
		size = 132
		refs = "0059 RectToFourPoints 0070 PointInPolygon"
	strings:
		$1 = { 53 56 57 55 83 C4 D4 8B E9 8B FA 8B F0 33 DB 80 7E 10 00 74 65 83 7E 58 00 74 5F 8B 46 54 85 C0 75 20 8D 46 44 3B 38 7C 0F 3B 68 04 7C 0A 3B 78 08 7F 05 3B 68 0C 7E 04 33 C0 EB 02 B0 01 8B D8 EB 38 89 44 24 28 DB 44 24 28 83 C4 F8 DD 1C 24 9B 8D 54 24 10 8D 46 44 E8 ?? ?? ?? ?? 89 3C 24 89 6C 24 04 8D 54 24 08 8B C4 B9 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 02 B3 01 8B C3 83 C4 2C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93530_0 {
	meta:
		name = "TChartAxisPen.Create"
		size = 77
		refs = "000d @ClassCreate 0020 TChartPen.Create 002c TPen.SetWidth 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 FF 75 0C FF 75 08 33 D2 8B C6 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_93531_0 {
	meta:
		name = "TAxisGridPen.SetCentered"
		size = 14
		altNames = "TChartAxisPen.SetLineMode"
	strings:
		$1 = { 3A 50 30 74 08 88 50 30 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_93532_0 {
	meta:
		name = "TChartAxis.Create"
		size = 512
		refs = "0011 @ClassCreate 0025 @CallDynaInst 0045 TCollectionItem.Create 0059 TChartAxis.SetCalcPosValue 0060 _DV_TCustomSeriesList 0065 TObject.Create 0074 _DV_TAxisItems 0079 TAxisItems.Create 00a7 TeeMsg_DefValueFormat 00ae @UStrAsg 00d8 _DV_TTicks 00dd TDarkGrayPen.Create 015c _DV_TAxisGridPen 0161 TAxisGridPen.Create 017b _Dn_TChartHiddenPen 0180 TChartHiddenPen.Create 019d _DV_TChartAxisPen 01a2 TChartAxisPen.Create 01dc TList.Add 01e9 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 8B 45 F8 66 BE FF FF E8 ?? ?? ?? ?? 8B F8 89 BB BC 00 00 00 8B 87 A8 03 00 00 83 78 08 06 7C 0E 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? EB 0B 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 44 01 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 6C 33 C0 89 43 30 C7 43 34 00 00 24 40 C6 43 0C 01 C6 43 0D 01 C6 43 0E 01 C7 43 74 0A 00 00 00 8D 83 84 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? C6 43 64 00 C6 43 7C 00 C6 43 70 01 C6 83 B0 00 00 00 01 8B 83 BC 00 00 00 50 8B 00 8B 80 08 01 00 00 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A0 00 00 00 C7 83 AC 00 00 00 04 00 00 00 8B 83 BC 00 00 00 50 8B 00 8B 80 08 01 00 00 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 9C 00 00 00 C7 83 98 00 00 00 02 00 00 00 C7 83 94 00 00 00 03 00 00 00 8B 83 BC 00 00 00 50 8B 00 8B 80 08 01 00 00 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A4 00 00 00 8B 83 BC 00 00 00 50 8B 00 8B 80 08 01 00 00 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 60 8B 83 BC 00 00 00 50 8B 00 8B 80 08 01 00 00 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 90 00 00 00 8B 83 BC 00 00 00 50 8B 00 8B 80 08 01 00 00 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 44 C6 83 C0 00 00 00 01 C6 43 7F 01 C6 83 8C 00 00 00 01 33 C0 89 83 D0 00 00 00 C7 83 D4 00 00 00 00 00 59 40 8B 83 BC 00 00 00 8B 80 A8 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93533_0 {
	meta:
		name = "TChartAxis.Create"
		size = 68
		refs = "000e @ClassCreate 002f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 8B 89 B0 03 00 00 8B 30 FF 56 1C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93534_0 {
	meta:
		name = "ResetSeriesAxes"
		size = 126
		refs = "001a TCustomAxisPanel.SeriesCount 002e TCustomAxisPanel.GetSeries 0047 TChartSeries.SetCustomHorizAxis 0050 TChartSeries.SetHorizAxis 0067 TChartSeries.SetCustomVertAxis 0070 TChartSeries.SetVertAxis"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 08 8B 40 FC 8B 80 BC 00 00 00 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 53 46 33 FF 8B D7 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 3B 83 B4 00 00 00 75 12 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 3B 83 B8 00 00 00 75 12 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 47 4E 75 B0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93535_0 {
	meta:
		name = "TChartAxis.Destroy"
		size = 211
		refs = "0006 @BeforeDestruction 0019 TObject.Free 0078 ResetSeriesAxes 00a0 TList.RemoveItem 00ae TAxisTicks 00b3 @DynArrayClear 00bf TCollectionItem.Destroy 00cb @ClassDestroy"
	strings:
		$1 = { 55 8B EC 51 53 E8 ?? ?? ?? ?? 8B DA 89 45 FC 8B 45 FC 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 60 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 90 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 44 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 54 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 6C E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 44 01 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 BC 00 00 00 8B 80 A8 03 00 00 8B 55 FC 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 05 B8 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 FC 22 D3 8B 45 FC E8 ?? ?? ?? ?? 84 DB 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_93536_0 {
	meta:
		name = "TChartAxis.GetAxisTitle"
		size = 98
		refs = "0016 _DV_TChartAxisTitle 001b TChartAxisTitle.Create"
	strings:
		$1 = { 53 56 8B D8 83 BB 54 01 00 00 00 75 4C 8B 8B BC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 54 01 00 00 8B 83 BC 00 00 00 3B 98 C8 03 00 00 75 09 C7 46 54 5A 00 00 00 EB 0F 3B 98 CC 03 00 00 75 07 C7 46 54 0E 01 00 00 8B 83 54 01 00 00 8B 50 54 89 50 5C 8B 83 54 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_93537_0 {
	meta:
		name = "TChartAxis.IncDecDateTime"
		size = 60
		refs = "0032 TeeDateTimeIncrement"
	strings:
		$1 = { 55 8B EC 56 57 8B F9 8B F0 8B 45 08 FF 75 10 FF 75 0C 50 80 BE 8C 00 00 00 00 74 0D 80 BE F4 00 00 00 00 74 04 3C 14 73 04 33 C0 EB 02 B0 01 8B CF E8 ?? ?? ?? ?? 5F 5E 5D C2 0C 00 }
	condition:
		$1
}

rule function_93539_0 {
	meta:
		name = "TChartAxis.IsDateTime"
		size = 80
		refs = "0013 TCustomAxisPanel.SeriesCount 0026 TCustomAxisPanel.GetSeries"
	strings:
		$1 = { 53 56 57 51 89 04 24 8B 04 24 8B B8 BC 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2B 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 80 78 38 00 74 15 8B 14 24 8B 08 FF 91 EC 00 00 00 85 C0 74 06 0F B6 40 08 EB 06 46 4B 75 D8 33 C0 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93540_0 {
	meta:
		name = "TChartAxis.SetTicks"
		size = 12
	strings:
		$1 = { 8B 80 A0 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_93543_0 {
	meta:
		name = "TChartAxis.SetGrid"
		size = 9
	strings:
		$1 = { 8B 40 60 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_93547_0 {
	meta:
		name = "TChartAxis.IsPosStored"
		size = 28
		refs = "000a TChartAxis.IsPosStored"
	strings:
		$1 = { 8B D0 DD 82 D8 00 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 C0 C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_93548_0 {
	meta:
		name = "TChartAxis.IsStartStored"
		size = 28
		refs = "000a TChartAxis.IsStartStored"
	strings:
		$1 = { 8B D0 DD 82 C8 00 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 C0 C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_93549_0 {
	meta:
		name = "TChartAxis.IsEndStored"
		size = 28
		refs = "000a TChartAxis.IsEndStored"
	strings:
		$1 = { 8B D0 DD 82 D0 00 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 C0 C3 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_93550_0 {
	meta:
		name = "TChartAxis.IsCustom"
		size = 30
		refs = "0012 TList.IndexOf"
	strings:
		$1 = { 53 8B D8 8B 83 BC 00 00 00 8B 80 A8 03 00 00 8B D3 E8 ?? ?? ?? ?? 83 F8 06 0F 9D C0 5B C3 }
	condition:
		$1
}

rule function_93551_0 {
	meta:
		name = "TChartAxis.SetHorizontal"
		size = 32
		refs = "0013 TCustomTeePanel.SetBooleanProperty 001a TChartAxis.SetCalcPosValue"
	strings:
		$1 = { 53 8B D8 8D 83 B9 00 00 00 8B CA 8B 93 BC 00 00 00 92 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93552_0 {
	meta:
		name = "TChartAxis.SetOtherSide"
		size = 20
		refs = "000f TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 BA 00 00 00 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93553_0 {
	meta:
		name = "InternalCalcPos"
		size = 101
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 18 8B 40 FC 80 B8 B9 00 00 00 00 74 0F 8B 45 18 8B 40 FC 80 B8 B8 00 00 00 00 75 1E 8B 45 18 8B 40 FC 80 B8 B9 00 00 00 00 75 1D 8B 45 18 8B 40 FC 80 B8 B8 00 00 00 00 75 0E 8B 45 10 89 45 F8 8B 45 14 89 45 FC EB 0C 8B 45 08 89 45 F8 8B 45 0C 89 45 FC DD 45 F8 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_93554_0 {
	meta:
		name = "TChartAxis.InternalCalcPosPoint"
		size = 528
		refs = "0041 InternalCalcPos 00a2 TChartAxis.InternalCalcPosPoint 0144 Exp"
	strings:
		$1 = { 55 8B EC 83 C4 E4 89 45 FC 8B 45 FC 80 78 28 00 0F 84 5C 01 00 00 8B 45 FC 3B 90 88 01 00 00 75 2E 55 8B 45 FC FF B0 24 01 00 00 FF B0 20 01 00 00 8B 45 FC FF B0 2C 01 00 00 FF B0 28 01 00 00 E8 ?? ?? ?? ?? 59 DD 5D F0 9B E9 B6 01 00 00 8B 45 FC 3B 90 8C 01 00 00 75 2E 55 8B 45 FC FF B0 2C 01 00 00 FF B0 28 01 00 00 8B 45 FC FF B0 24 01 00 00 FF B0 20 01 00 00 E8 ?? ?? ?? ?? 59 DD 5D F0 9B E9 7D 01 00 00 8B 45 FC 8B 88 38 01 00 00 89 4D E8 8B 88 3C 01 00 00 89 4D EC DD 45 E8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 0C 8B 45 FC 83 B8 90 01 00 00 00 75 1A 8B 45 FC 8B 90 28 01 00 00 89 55 F0 8B 90 2C 01 00 00 89 55 F4 E9 33 01 00 00 8B 45 FC 80 B8 B8 00 00 00 00 74 25 8B 45 FC 8B 80 8C 01 00 00 2B C2 89 45 E4 DB 45 E4 DC 4D E8 8B 45 FC DB 80 90 01 00 00 DE F9 DD 5D E8 9B EB 21 8B 45 FC 2B 90 88 01 00 00 89 55 E4 DB 45 E4 DC 4D E8 8B 45 FC DB 80 90 01 00 00 DE F9 DD 5D E8 9B 8B 45 FC 80 B8 B9 00 00 00 00 74 21 8B 45 FC DD 80 18 01 00 00 DC 45 E8 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D F0 9B E9 B4 00 00 00 8B 45 FC DD 80 10 01 00 00 DC 65 E8 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D F0 9B E9 93 00 00 00 8B 45 FC 8B 80 90 01 00 00 85 C0 7E 7E 8B 4D FC 80 B9 B8 00 00 00 00 74 17 8B 4D FC 8B 89 8C 01 00 00 2B CA 89 4D E4 DB 45 E4 DD 5D E8 9B EB 13 8B 4D FC 2B 91 88 01 00 00 89 55 E4 DB 45 E4 DD 5D E8 9B DD 45 E8 8B 55 FC DC 8A 30 01 00 00 89 45 E4 DB 45 E4 DE F9 DD 5D E8 9B 8B 45 FC 80 B8 B9 00 00 00 00 74 12 8B 45 FC DD 80 28 01 00 00 DC 45 E8 DD 5D F0 9B EB 1A 8B 45 FC DD 80 20 01 00 00 DC 65 E8 DD 5D F0 9B EB 08 33 C0 89 45 F0 89 45 F4 DD 45 F0 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_93555_0 {
	meta:
		name = "TChartAxis.SetDateTimeFormat"
		size = 20
		refs = "000f TCustomTeePanel.SetStringProperty"
	strings:
		$1 = { 8D 88 88 00 00 00 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93556_0 {
	meta:
		name = "TChartAxis.SetAxisTitle"
		size = 49
		refs = "000d TChartAxis.GetAxisTitle 002a TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 8D 83 54 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93557_0 {
	meta:
		name = "TChartAxis.SetStartPosition"
		size = 30
		refs = "0016 TCustomTeePanel.SetDoubleProperty"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8D 90 C8 00 00 00 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_93558_0 {
	meta:
		name = "TChartAxis.SetEndPosition"
		size = 30
		refs = "0016 TCustomTeePanel.SetDoubleProperty"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8D 90 D0 00 00 00 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_93559_0 {
	meta:
		name = "TChartAxis.SetPositionPercent"
		size = 30
		refs = "0016 TCustomTeePanel.SetDoubleProperty"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8D 90 D8 00 00 00 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_93560_0 {
	meta:
		name = "TChartAxis.SetRoundFirstLabel"
		size = 17
		refs = "000c TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 7F 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93561_0 {
	meta:
		name = "TChartAxis.SetLabelsMultiLine"
		size = 17
		refs = "000c TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 7E 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93562_0 {
	meta:
		name = "TChartAxis.SetLabelsExponent"
		size = 17
		refs = "000c TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 7D 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93563_0 {
	meta:
		name = "TChartAxis.SetZPosition"
		size = 64
		refs = "0016 TCustomTeePanel.SetDoubleProperty 001f TChartAxis.SetZPosition"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8D 53 50 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? DD 43 50 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0E C7 43 50 7B 14 AE 47 C7 43 54 E1 7A 84 3F 5B 5D C2 08 00 00 00 00 00 }
	condition:
		$1
}

rule function_93564_0 {
	meta:
		name = "TChartAxis.SetTickOnLabelsOnly"
		size = 20
		refs = "000f TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 B0 00 00 00 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93565_0 {
	meta:
		name = "TChartAxis.CalcDateTimeIncrement"
		size = 368
		refs = "000b DateTimeStep 005d TChartAxis.CalcDateTimeIncrement 00a2 @ROUND 00da TeeNextStep 00ed NextDateTimeStep"
	strings:
		$1 = { 53 56 57 83 C4 D8 8B FA 8B F0 A1 ?? ?? ?? ?? 8B 10 89 54 24 08 8B 50 04 89 54 24 0C DD 46 10 DC 5C 24 08 9B DF E0 9E 76 10 8B 46 10 89 44 24 10 8B 46 14 89 44 24 14 EB 10 8B 44 24 08 89 44 24 10 8B 44 24 0C 89 44 24 14 8B 44 24 10 89 04 24 8B 44 24 14 89 44 24 04 DD 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 86 9D 00 00 00 85 FF 0F 8E 95 00 00 00 DD 86 30 01 00 00 DC 34 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 10 DD 86 30 01 00 00 D8 35 ?? ?? ?? ?? DD 1C 24 9B DD 86 30 01 00 00 DC 34 24 E8 ?? ?? ?? ?? 8B D8 3B FB 7D 58 DD 04 24 A1 ?? ?? ?? ?? DC 98 D0 00 00 00 9B DF E0 9E 73 37 DD 04 24 A1 ?? ?? ?? ?? DC 58 10 9B DF E0 9E 73 13 FF 74 24 04 FF 74 24 04 E8 ?? ?? ?? ?? DD 1C 24 9B EB 20 FF 74 24 04 FF 74 24 04 E8 ?? ?? ?? ?? DD 1C 24 9B EB 0D D9 05 ?? ?? ?? ?? DC 0C 24 DD 1C 24 9B 3B FB 7C 90 A1 ?? ?? ?? ?? 8B 10 89 54 24 18 8B 50 04 89 54 24 1C DD 04 24 DC 5C 24 18 9B DF E0 9E 76 11 8B 04 24 89 44 24 20 8B 44 24 04 89 44 24 24 EB 10 8B 44 24 18 89 44 24 20 8B 44 24 1C 89 44 24 24 8B 44 24 20 89 04 24 8B 44 24 24 89 44 24 04 DD 04 24 83 C4 28 5F 5E 5B C3 00 00 00 00 00 00 00 00 24 74 49 00 00 00 40 }
	condition:
		$1
}

rule function_93566_0 {
	meta:
		name = "TChartAxis.RoundLogPower"
		size = 72
		refs = "001c LogN 0021 @ROUND 0036 Power"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 FF 73 34 FF 73 30 FF 73 34 FF 73 30 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 DF 6D F0 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_93567_0 {
	meta:
		name = "AnySeriesHasLessThan"
		size = 196
		refs = "0020 TCustomAxisPanel.SeriesCount 0044 TCustomAxisPanel.GetSeries 00a0 TChartSeries.Count"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC C6 45 FB 00 8B 45 08 8B 40 08 8B 40 FC 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 8A 00 00 00 46 33 FF 8B 45 08 8B 40 08 8B 40 FC 8B 80 BC 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 80 7B 38 00 74 61 80 BB 6C 01 00 00 00 74 12 8B 45 08 8B 40 08 8B 40 FC 80 B8 B9 00 00 00 00 75 1B 80 BB 6C 01 00 00 00 75 3D 8B 45 08 8B 40 08 8B 40 FC 80 B8 B9 00 00 00 00 75 2B 8B 45 08 8B 40 08 8B 50 FC 8B C3 8B 08 FF 91 04 01 00 00 84 C0 74 14 8B C3 E8 ?? ?? ?? ?? 3B 45 FC 0F 9E 45 FB 80 7D FB 00 75 08 47 4E 0F 85 79 FF FF FF 0F B6 45 FB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93568_0 {
	meta:
		name = "InternalCalcLabelsIncrement"
		size = 620
		refs = "0023 InternalCalcLabelsIncrement 008a TChartAxis.RoundLogPower 00b1 AnySeriesHasLessThan 0147 @ROUND 0177 TeeNextStep 01af IsInfinite 0203 MinAxisIncrement"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 8B 75 08 83 C6 F0 8B 45 08 8B 78 F8 47 8B DF 8B 45 08 8B 40 FC DD 40 10 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 87 CA 00 00 00 8B 45 08 8B 40 FC DD 80 30 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 10 33 C0 89 06 C7 46 04 00 00 F0 3F E9 B3 00 00 00 8B 45 08 8B 40 FC DD 80 30 01 00 00 D9 E1 89 7D CC DB 45 CC DE F9 DD 1E 9B 8B 45 08 8B 40 FC 80 78 28 00 74 13 FF 76 04 FF 36 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? DD 1E 9B DB 2D ?? ?? ?? ?? 8B 45 08 8B 40 FC DC 98 30 01 00 00 9B DF E0 9E 77 63 55 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 59 84 C0 74 52 8B 06 89 45 F0 8B 46 04 89 45 F4 D9 05 ?? ?? ?? ?? DC 5D F0 9B DF E0 9E 76 0E 33 C0 89 45 E8 C7 45 EC 00 00 F0 3F EB 0C 8B 45 F0 89 45 E8 8B 45 F4 89 45 EC 8B 45 E8 89 06 8B 45 EC 89 46 04 EB 11 8B 45 08 8B 40 FC 8B 50 10 89 16 8B 50 14 89 56 04 33 D2 8B 45 08 8B 40 FC 83 78 74 00 0F 8E BB 00 00 00 8B 45 08 8B 40 FC DD 80 30 01 00 00 DC 36 DD 5D F8 9B DD 45 F8 D9 E1 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 76 3D DD 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 08 3B 58 F8 7E 54 8B 45 08 8B 40 FC 80 78 28 00 74 10 DD 06 8B 45 08 8B 40 FC DC 48 30 DD 1E 9B EB 38 FF 76 04 FF 36 E8 ?? ?? ?? ?? DD 1E 9B EB 29 8B 45 08 8B 40 FC 80 78 28 00 74 10 DD 06 8B 45 08 8B 40 FC DC 48 30 DD 1E 9B EB 0D FF 76 04 FF 36 E8 ?? ?? ?? ?? DD 1E 9B FF 76 04 FF 36 E8 ?? ?? ?? ?? 8B D0 8B 45 08 3B 58 F8 7E 1C DD 06 8B 45 08 8B 40 FC DC 98 30 01 00 00 9B DF E0 9E 77 08 84 D2 0F 84 45 FF FF FF 84 D2 74 19 8B 45 08 8B 40 FC 8B 90 30 01 00 00 89 16 8B 90 34 01 00 00 89 56 04 EB 4E 8B 06 89 45 E0 8B 46 04 89 45 E4 8B 05 ?? ?? ?? ?? 89 45 D8 8B 05 ?? ?? ?? ?? 89 45 DC DD 45 E0 DC 5D D8 9B DF E0 9E 76 0E 8B 45 E0 89 45 D0 8B 45 E4 89 45 D4 EB 0C 8B 45 D8 89 45 D0 8B 45 DC 89 45 D4 8B 45 D0 89 06 8B 45 D4 89 46 04 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 CD CC CC CC CC CC CC 8C FF 3F 00 00 00 00 80 3F 00 00 00 00 FE FF FF FF 1D 40 00 00 }
	condition:
		$1
}

rule function_93569_0 {
	meta:
		name = "TChartAxis.CalcLabelsIncrement"
		size = 111
		refs = "0025 TChartAxis.CalcDateTimeIncrement 0031 InternalCalcLabelsIncrement 0045 DateTimeStep 0058 MinAxisIncrement"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 55 F8 89 45 FC 83 7D F8 00 7E 26 8B 45 FC 80 B8 F4 00 00 00 00 74 11 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B EB 39 55 E8 ?? ?? ?? ?? 59 EB 30 8B 45 FC 80 B8 F4 00 00 00 00 74 12 A1 ?? ?? ?? ?? 8B 10 89 55 F0 8B 50 04 89 55 F4 EB 12 8B 05 ?? ?? ?? ?? 89 45 F0 8B 05 ?? ?? ?? ?? 89 45 F4 DD 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule function_93570_0 {
	meta:
		name = "TChartAxis.LabelWidth"
		size = 20
		refs = "000c TChartAxis.InternalLabelSize"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 B2 01 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_93572_0 {
	meta:
		name = "TChartAxis.InternalLabelSize"
		size = 208
		refs = "0016 TChartAxis.InternalLabelSize 003f TCustomAxisPanel.MultiLineTextWidth 00aa @UStrClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 FF 75 0C FF 75 08 8D 55 F4 8B C3 8B 08 FF 51 28 8B 55 F4 8D 4D F8 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? 8B F0 80 7D FF 00 74 17 8B 43 68 83 F8 5A 74 0B 3D 0E 01 00 00 74 04 33 C0 EB 18 B0 01 EB 14 8B 43 68 85 C0 74 0B 3D B4 00 00 00 74 04 33 C0 EB 02 B0 01 84 C0 74 1F 8B 83 BC 00 00 00 8B 80 40 03 00 00 BA ?? ?? ?? ?? 8B 08 FF 91 A0 00 00 00 8B F0 0F AF 75 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_93573_0 {
	meta:
		name = "TChartAxis.IsMaxStored"
		size = 18
	strings:
		$1 = { 80 78 0C 00 75 06 80 78 0D 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_93574_0 {
	meta:
		name = "TChartAxis.IsMinStored"
		size = 18
	strings:
		$1 = { 80 78 0C 00 75 06 80 78 0E 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_93575_0 {
	meta:
		name = "TChartAxis.CalcXYIncrement"
		size = 136
		refs = "0028 TChartAxis.CalcXYIncrement 0039 @ROUND 0066 TChartAxis.CalcLabelsIncrement"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 85 F6 7E 4E 83 BB 90 01 00 00 00 7E 45 8B 7B 74 85 FF 7E 21 89 7C 24 08 DB 44 24 08 DB 2D ?? ?? ?? ?? DE C9 89 74 24 0C DB 44 24 0C DE C9 E8 ?? ?? ?? ?? 03 F0 DB 83 90 01 00 00 D8 0D ?? ?? ?? ?? 89 74 24 08 DB 44 24 08 DE F9 E8 ?? ?? ?? ?? EB 05 B8 01 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 83 C4 10 5F 5E 5B C3 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_93576_0 {
	meta:
		name = "TChartAxis.CalcIncrement"
		size = 684
		refs = "0020 TChartAxis.CalcIncrement 0062 @ROUND 008a Int 00fd Frac 0121 TChartAxis.InternalLabelSize 01e1 TChartAxis.CalcXYIncrement 021e TChartAxis.SetDesiredIncrement 0257 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 89 45 FC 8B 45 FC 80 78 7F 00 0F 84 82 00 00 00 8B 45 FC DD 40 10 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 70 8B 45 FC DD 80 28 01 00 00 D9 E1 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 73 15 8B 45 FC DD 40 10 8B 45 FC DC 88 28 01 00 00 DD 5D E8 9B EB 21 8B 45 FC DD 80 28 01 00 00 E8 ?? ?? ?? ?? 89 45 D0 89 55 D4 DF 6D D0 8B 45 FC DC 48 10 DD 5D E8 9B 8B 45 FC DD 80 20 01 00 00 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? 8B 45 FC DC 48 10 DD 5D E0 9B EB 2A 8B 45 FC 8B 90 28 01 00 00 89 55 E8 8B 90 2C 01 00 00 89 55 EC 8B 45 FC 8B 90 20 01 00 00 89 55 E0 8B 90 24 01 00 00 89 55 E4 DD 45 E0 DC 45 E8 D8 0D ?? ?? ?? ?? DD 5D D8 9B EB 1C DD 45 D8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 28 DD 45 D8 D8 0D ?? ?? ?? ?? DD 5D D8 9B DD 45 D8 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 C9 FF 75 DC FF 75 D8 8B 45 FC 0F B6 90 B9 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 FF 75 EC FF 75 E8 8B 45 FC 0F B6 90 B9 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 3B F0 7D 04 8B D8 EB 02 8B DE FF 75 E4 FF 75 E0 8B 45 FC 0F B6 90 B9 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 3B C3 7D 02 8B C3 8B D8 8B 45 FC DD 40 10 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0E 3B F3 7D 04 8B C3 EB 02 8B C6 8B D8 EB 52 DD 45 E8 8B 45 FC DC 40 10 83 C4 F8 DD 1C 24 9B 8B 45 FC 0F B6 90 B9 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 3B C3 7C 02 8B D8 DD 45 E0 8B 45 FC DC 60 10 83 C4 F8 DD 1C 24 9B 8B 45 FC 0F B6 90 B9 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 3B C3 7D 02 8B C3 8B D8 8B D3 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B 8B 45 FC 80 78 65 00 75 6B 8B 45 FC DD 40 10 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 59 DD 45 F0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 4A 68 00 00 F0 3F 6A 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? DD 5D F0 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EC 8B 45 FC 80 78 65 00 74 25 8B 45 FC 80 78 28 00 74 0F DD 45 F0 8B 45 FC DC 70 30 DD 5D F0 9B EB 0D DD 45 F0 D8 0D ?? ?? ?? ?? DD 5D F0 9B DD 45 F0 5E 5B 8B E5 5D C3 00 00 00 00 FE FF FF FF FF FF FF FF 3D 40 00 00 00 00 00 3F 00 00 00 40 }
	condition:
		$1
}

rule function_93577_0 {
	meta:
		name = "RecalcAdjustedMinMax"
		size = 113
		refs = "0050 TChartAxis.InternalCalcPosPoint"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B 7D 08 83 C7 FC 8B 17 8B 9A 88 01 00 00 8B 17 8B B2 8C 01 00 00 8B 17 01 82 88 01 00 00 8B 07 8B 55 FC 29 90 8C 01 00 00 8B 07 8B 80 8C 01 00 00 8B 17 2B 82 88 01 00 00 8B 17 89 82 90 01 00 00 8B 07 8B D3 E8 ?? ?? ?? ?? 8B 45 08 DD 58 F0 9B 8B 07 8B D6 E8 ?? ?? ?? ?? 8B 45 08 DD 58 E8 9B 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93578_0 {
	meta:
		name = "TChartAxis.AdjustMaxMinRect"
		size = 183
		refs = "001c RecalcAdjustedMinMax 0034 TChartAxis.InternalCalcPositions 00af TChartAxis.InternalCalcRange"
	strings:
		$1 = { 55 8B EC 83 C4 E0 89 45 FC 8B 45 FC 80 B8 B9 00 00 00 00 74 0E 55 8B 02 8B 52 08 E8 ?? ?? ?? ?? 59 EB 0D 55 8B 42 04 8B 52 0C E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 55 E8 89 90 20 01 00 00 8B 55 EC 89 90 24 01 00 00 8B 45 FC 8B 55 F0 89 90 28 01 00 00 8B 55 F4 89 90 2C 01 00 00 8B 45 FC DD 80 28 01 00 00 8B 45 FC DC 98 20 01 00 00 9B DF E0 9E 76 31 8B 45 FC 05 28 01 00 00 8B 55 FC 81 C2 20 01 00 00 8B 08 89 4D E0 8B 48 04 89 4D E4 8B 0A 89 08 8B 4A 04 89 48 04 8B 45 E0 89 02 8B 45 E4 89 42 04 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_93579_0 {
	meta:
		name = "TChartAxis.CalcMinMax"
		size = 89
		refs = "0028 TCustomAxisPanel.InternalMinMax"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 80 7B 0C 00 75 06 80 7B 0D 00 74 1A 0F B6 83 B9 00 00 00 50 33 C9 8B D3 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? DD 1F 9B 80 7B 0C 00 75 06 80 7B 0E 00 74 1A 0F B6 83 B9 00 00 00 50 B1 01 8B D3 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? DD 1E 9B 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93580_0 {
	meta:
		name = "TChartAxis.InternalCalcRange"
		size = 308
		refs = "001e TChartAxis.InternalCalcRange 0090 Ln 0121 TChartAxis.CalcZPos"
	strings:
		$1 = { 53 8B D8 DD 83 20 01 00 00 DC A3 28 01 00 00 DD 9B 30 01 00 00 9B DD 83 30 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 94 C2 88 93 40 01 00 00 84 D2 74 10 33 C0 89 83 58 01 00 00 89 83 5C 01 00 00 EB 13 DB 83 90 01 00 00 DC B3 30 01 00 00 DD 9B 58 01 00 00 9B 80 7B 28 00 0F 84 BE 00 00 00 DD 83 28 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 10 33 C0 89 83 18 01 00 00 89 83 1C 01 00 00 EB 19 DD 83 28 01 00 00 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 9B 18 01 00 00 9B DD 83 20 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 10 33 C0 89 83 10 01 00 00 89 83 14 01 00 00 EB 19 DD 83 20 01 00 00 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 9B 10 01 00 00 9B DD 83 10 01 00 00 DC A3 18 01 00 00 DD 9B 38 01 00 00 9B DD 83 38 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 10 33 C0 89 83 00 01 00 00 89 83 04 01 00 00 EB 13 DB 83 90 01 00 00 DC B3 38 01 00 00 DD 9B 00 01 00 00 9B 8B C3 E8 ?? ?? ?? ?? 89 83 50 01 00 00 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_93581_0 {
	meta:
		name = "TChartAxis.CalcRoundScales"
		size = 296
		refs = "0042 TChartAxis.CalcIncrement 004f TChartAxis.CalcRoundScales 0076 Ceil 00fb Floor 0118 TChartAxis.InternalCalcRange"
	strings:
		$1 = { 53 56 83 C4 F4 8B F0 83 BE 90 01 00 00 00 0F 84 08 01 00 00 80 BE 40 01 00 00 00 0F 85 FB 00 00 00 80 7E 40 00 74 0C 80 7E 0C 00 75 0A 80 7E 0D 00 75 04 33 C0 EB 02 B0 01 8B D8 84 C0 74 4F 8B C6 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 3E DD 86 20 01 00 00 DC 34 24 DD 9E 20 01 00 00 9B FF B6 24 01 00 00 FF B6 20 01 00 00 E8 ?? ?? ?? ?? 89 44 24 08 DB 44 24 08 DC 0C 24 DD 9E 20 01 00 00 9B EB 09 33 C0 89 04 24 89 44 24 04 80 7E 41 00 74 0C 80 7E 0C 00 75 0A 80 7E 0E 00 75 04 33 C0 EB 02 B0 01 0A D8 84 C0 74 5C DD 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0B 8B C6 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 33 DD 86 28 01 00 00 DC 34 24 DD 9E 28 01 00 00 9B FF B6 2C 01 00 00 FF B6 28 01 00 00 E8 ?? ?? ?? ?? 89 44 24 08 DB 44 24 08 DC 0C 24 DD 9E 28 01 00 00 9B 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 83 C4 0C 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_93582_0 {
	meta:
		name = "TChartAxis.AdjustMaxMin"
		size = 152
		refs = "000f TChartAxis.CalcMinMax 0088 TChartAxis.InternalCalcRange 008f TChartAxis.CalcRoundScales"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8D 4B 18 8D 53 20 8B C3 E8 ?? ?? ?? ?? 8B 43 18 89 83 20 01 00 00 8B 43 1C 89 83 24 01 00 00 8B 43 20 89 83 28 01 00 00 8B 43 24 89 83 2C 01 00 00 66 83 BB 6A 01 00 00 00 74 44 C6 04 24 00 8B 83 20 01 00 00 89 44 24 08 8B 83 24 01 00 00 89 44 24 0C 8D 44 24 08 50 8D 44 24 04 50 83 C9 FF 8B D3 8B 83 6C 01 00 00 FF 93 68 01 00 00 DD 83 20 01 00 00 DC 64 24 08 DD 9B 20 01 00 00 9B 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_93583_0 {
	meta:
		name = "TChartAxis.Assign"
		size = 591
		refs = "000b _DV_TChartAxis 0010 @IsClass 0030 TAxisItems.CopyFrom 0079 TChartAxis.SetTicks 0086 TChartAxis.SetTicksInner 0096 TChartAxis.SetGrid 00a3 TChartAxis.SetMinorTicks 00b0 TChartAxis.SetMinorGrid 00f1 @UStrAsg 0151 TChartAxis.SetAxisTitle 0169 TChartAxis.GetGridCentered 0172 TChartAxis.SetGridCentered 0247 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 26 02 00 00 8B FE 8B 57 44 8B 43 44 8B 08 FF 51 08 8B 57 6C 8B 43 6C E8 ?? ?? ?? ?? 0F B6 47 64 88 43 64 0F B6 47 65 88 43 65 8B 47 68 89 43 68 0F B6 47 7D 88 43 7D 0F B6 47 7E 88 43 7E 8B 47 74 89 43 74 8B 47 78 89 43 78 0F B6 47 7C 88 43 7C 0F B6 47 70 88 43 70 8B 97 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 47 58 89 43 58 8B 57 60 8B C3 E8 ?? ?? ?? ?? 8B 97 9C 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 90 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 87 AC 00 00 00 89 83 AC 00 00 00 8B 87 98 00 00 00 89 83 98 00 00 00 8B 87 94 00 00 00 89 83 94 00 00 00 8B 87 A8 00 00 00 89 83 A8 00 00 00 8D 83 84 00 00 00 8B 97 84 00 00 00 E8 ?? ?? ?? ?? 8B 47 10 89 43 10 8B 47 14 89 43 14 8B 47 18 89 43 18 8B 47 1C 89 43 1C 8B 47 38 89 43 38 0F B6 47 40 88 43 40 8B 47 20 89 43 20 8B 47 24 89 43 24 8B 47 3C 89 43 3C 0F B6 47 41 88 43 41 0F B6 47 0C 88 43 0C 0F B6 47 0D 88 43 0D 0F B6 47 0E 88 43 0E 8B 97 54 01 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 88 00 00 00 8B 97 88 00 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B6 47 28 88 43 28 8B 47 30 89 43 30 8B 47 34 89 43 34 0F B6 87 B8 00 00 00 88 83 B8 00 00 00 0F B6 87 8C 00 00 00 88 83 8C 00 00 00 0F B6 47 7F 88 43 7F 0F B6 87 B0 00 00 00 88 83 B0 00 00 00 0F B6 87 0C 01 00 00 88 83 0C 01 00 00 8B 87 C8 00 00 00 89 83 C8 00 00 00 8B 87 CC 00 00 00 89 83 CC 00 00 00 8B 87 D0 00 00 00 89 83 D0 00 00 00 8B 87 D4 00 00 00 89 83 D4 00 00 00 8B 87 D8 00 00 00 89 83 D8 00 00 00 8B 87 DC 00 00 00 89 83 DC 00 00 00 0F B6 87 E0 00 00 00 88 83 E0 00 00 00 0F B6 87 C0 00 00 00 88 83 C0 00 00 00 0F B6 87 B9 00 00 00 88 83 B9 00 00 00 0F B6 87 BA 00 00 00 88 83 BA 00 00 00 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93584_0 {
	meta:
		name = "TChartAxis.LabelValue"
		size = 330
		refs = "0022 TChartAxis.LabelValue 004e DateTimeDefaultFormat 005e @UStrLAsg 0081 CurrencyString 008b DateTimeToString 00be FormatFloat 00c8 @UStrAsg 0100 TeeLineSeparator 0109 ReplaceChar 0128 @UStrClr 0135 @UStrArrayClr 013b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D CC 89 4D FC 89 4D F8 89 4D F4 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB F4 00 00 00 00 74 5C 83 BB 88 00 00 00 00 75 16 FF B3 34 01 00 00 FF B3 30 01 00 00 8D 45 FC E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 93 88 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 89 45 E8 8B 45 0C 89 45 EC FF 75 EC FF 75 E8 8B 0D ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? EB 3B 8D 45 F4 8B 93 84 00 00 00 E8 ?? ?? ?? ?? DD 45 08 DB 7D D0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 4D F0 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B C6 8B 55 F0 E8 ?? ?? ?? ?? 8B 83 BC 00 00 00 66 83 B8 FA 03 00 00 00 74 15 6A FF 56 8B F8 33 C9 8B D3 8B 87 FC 03 00 00 FF 97 F8 03 00 00 80 7B 7E 00 74 20 8D 45 CC 50 8B 06 0F B7 0D ?? ?? ?? ?? 66 BA 20 00 E8 ?? ?? ?? ?? 8B 55 CC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_93585_0 {
	meta:
		name = "TChartAxis.InternalCalcLabelStyle"
		size = 261
		refs = "0014 TChartAxis.InternalCalcLabelStyle 0029 TCustomAxisPanel.SeriesCount 004a TCustomAxisPanel.GetSeries 00bb TLabelsList.GetLabel 00ee @UStrClr 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 EC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 8B 86 BC 00 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C A5 00 00 00 47 C7 45 F8 00 00 00 00 8B 55 F8 8B 86 BC 00 00 00 E8 ?? ?? ?? ?? 8B D8 80 7B 38 00 74 7D 8B D6 8B C3 8B 08 FF 91 04 01 00 00 84 C0 74 6D C6 45 FF 02 80 BB 52 01 00 00 00 75 60 80 BE B9 00 00 00 00 74 09 80 BB 6C 01 00 00 00 75 12 80 BE B9 00 00 00 00 75 45 80 BB 6C 01 00 00 00 75 3C 8B 43 7C 8B 40 08 85 C0 7E 32 48 85 C0 7C 2D 40 89 45 F0 C7 45 F4 00 00 00 00 8D 4D EC 8B 55 F4 8B 43 7C E8 ?? ?? ?? ?? 83 7D EC 00 74 06 C6 45 FF 04 EB 12 FF 45 F4 FF 4D F0 75 DE FF 45 F8 4F 0F 85 63 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93586_0 {
	meta:
		name = "TChartAxis.CalcLabelStyle"
		size = 20
	strings:
		$1 = { 53 8B D8 0F B6 43 7C 84 C0 75 07 8B C3 8B 10 FF 52 20 5B C3 }
	condition:
		$1
}

rule function_93587_0 {
	meta:
		name = "MaxLabelsValueWidth"
		size = 532
		refs = "0018 MaxLabelsValueWidth 0029 TChartAxis.CalcIncrement 0038 TChartAxis.IsDateTime 0072 Int 0132 TCustomAxisPanel.MultiLineTextWidth 01e8 @UStrArrayClr 01ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C0 89 45 D0 89 45 D4 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? DD 5D F8 9B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 8B 40 FC 80 B8 8C 00 00 00 00 75 0C 8B 45 08 8B 40 FC 80 78 7F 00 74 46 8B 45 08 8B 40 FC DD 80 28 01 00 00 DC 75 F8 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DC 4D F8 DD 5D F0 9B 8B 45 08 8B 40 FC DD 80 20 01 00 00 DC 75 F8 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DC 4D F8 DD 5D E8 9B EB 30 8B 45 08 8B 40 FC 8B 90 28 01 00 00 89 55 F0 8B 90 2C 01 00 00 89 55 F4 8B 45 08 8B 40 FC 8B 90 20 01 00 00 89 55 E8 8B 90 24 01 00 00 89 55 EC 8B 45 08 8B 40 FC 8B 98 BC 00 00 00 8B 83 F8 03 00 00 89 45 E0 8B 83 FC 03 00 00 89 45 E4 33 C0 89 83 F8 03 00 00 89 83 FC 03 00 00 DD 45 F8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 4F 33 F6 BF 88 13 00 00 6A 00 FF 75 EC FF 75 E8 8D 55 D8 8B 45 08 8B 40 FC 8B 08 FF 51 28 8B 55 D8 8D 4D DC 8B C3 E8 ?? ?? ?? ?? 3B C6 7D 02 8B C6 8B F0 DD 45 E8 DC 65 F8 DD 5D E8 9B 4F DD 45 E8 DC 5D F0 9B DF E0 9E 72 56 85 FF 75 BA EB 50 6A 00 FF 75 F4 FF 75 F0 8D 55 D4 8B 45 08 8B 40 FC 8B 08 FF 51 28 8B 55 D4 8D 4D DC 8B C3 E8 ?? ?? ?? ?? 8B F0 6A 00 FF 75 EC FF 75 E8 8D 55 D0 8B 45 08 8B 40 FC 8B 08 FF 51 28 8B 55 D0 8D 4D DC 8B C3 E8 ?? ?? ?? ?? 3B C6 7D 02 8B C6 8B F0 BA ?? ?? ?? ?? 8B 83 40 03 00 00 8B 08 FF 91 9C 00 00 00 03 F0 8B 45 E0 89 83 F8 03 00 00 8B 45 E4 89 83 FC 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_93588_0 {
	meta:
		name = "MaxAxisTextWidth"
		size = 251
		refs = "0012 MaxAxisTextWidth 0034 TCustomAxisPanel.SeriesCount 0053 TCustomAxisPanel.GetSeries 005c TChartSeries.Count 0074 TLabelsList.GetLabel 00b1 TCustomAxisPanel.MultiLineTextWidth 00e6 @UStrClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 08 8B 40 FC 8B 80 BC 00 00 00 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? 48 85 C0 0F 8C 91 00 00 00 40 89 45 E8 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 61 40 89 45 E4 33 F6 8D 4D FC 8B D6 8B 43 7C E8 ?? ?? ?? ?? 56 8D 45 FC 50 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 50 FC 8B 7B 40 8B 87 FC 03 00 00 FF 97 F8 03 00 00 83 7D FC 00 74 1B 6A 00 8D 4D F8 8B 55 FC 8B 43 40 E8 ?? ?? ?? ?? 3B 45 F4 7D 03 8B 45 F4 89 45 F4 46 FF 4D E4 75 A5 FF 45 F0 FF 4D E8 0F 85 7A FF FF FF 8B 5D F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93589_0 {
	meta:
		name = "TChartAxis.MaxLabelsWidth"
		size = 239
		refs = "001b TChartAxis.CalcLabelStyle 0031 MaxLabelsValueWidth 0047 TCustomAxisPanel.MaxMarkWidth 0067 MaxAxisTextWidth 0071 TCustomAxisPanel.MaxTextWidth 0096 TAxisItems.Get 009b TAxisItem.ActiveFormat 00b2 TTeeCanvas.AssignFont 00d5 TCustomAxisPanel.MultiLineTextWidth"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 45 FC 8B 45 FC 8B 40 6C 80 78 10 00 74 66 8B 45 FC E8 ?? ?? ?? ?? 2C 02 74 0C FE C8 74 16 FE C8 74 27 FE C8 75 4A 55 E8 ?? ?? ?? ?? 59 8B D8 E9 AA 00 00 00 8B 45 FC 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 8B D8 E9 95 00 00 00 8B 45 FC 8B 80 BC 00 00 00 66 83 B8 FA 03 00 00 00 74 0B 55 E8 ?? ?? ?? ?? 59 8B D8 EB 77 E8 ?? ?? ?? ?? 8B D8 EB 6E 33 DB EB 6A 33 DB 8B 40 08 48 85 C0 7C 60 40 89 45 F4 33 F6 8B 45 FC 8B 40 6C 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 20 8B 45 FC 8B 80 BC 00 00 00 8B 80 40 03 00 00 E8 ?? ?? ?? ?? 6A 00 8B 45 FC 8B 40 6C 8B D6 E8 ?? ?? ?? ?? 8B 50 0C 8D 4D F8 8B 45 FC 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 3B C3 7D 02 8B C3 8B D8 46 FF 4D F4 75 A6 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93590_0 {
	meta:
		name = "TChartAxis.GetLabels"
		size = 11
	strings:
		$1 = { 8B 40 6C 8B 40 14 0F B6 40 10 C3 }
	condition:
		$1
}

rule function_93591_0 {
	meta:
		name = "TChartAxis.GetLabelsFont"
		size = 10
	strings:
		$1 = { 8B 40 6C 8B 40 14 8B 40 20 C3 }
	condition:
		$1
}

rule function_93592_0 {
	meta:
		name = "TChartAxis.SetLabels"
		size = 12
		refs = "0007 TTeeCustomShapeBrushPen.SetVisible"
	strings:
		$1 = { 8B 40 6C 8B 40 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93593_0 {
	meta:
		name = "TChartAxis.SetLabelsFont"
		size = 12
		refs = "0007 TTeeCustomShape.SetFont"
	strings:
		$1 = { 8B 40 6C 8B 40 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93594_0 {
	meta:
		name = "TChartAxis.DepthAxisAlign"
		size = 18
	strings:
		$1 = { 80 B8 BA 00 00 00 00 74 03 33 C0 C3 B8 02 00 00 00 C3 }
	condition:
		$1
}

rule function_93595_0 {
	meta:
		name = "TChartAxis.DepthAxisPos"
		size = 58
		refs = "000f TChartAxis.CalcZPos"
	strings:
		$1 = { 53 8B D8 80 BB BA 00 00 00 00 74 19 8B C3 E8 ?? ?? ?? ?? 50 8B 83 BC 00 00 00 8B 80 50 03 00 00 5A 2B C2 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 93 BC 00 00 00 03 82 48 03 00 00 5B C3 }
	condition:
		$1
}

rule function_93596_0 {
	meta:
		name = "TChartAxis.SetAutomatic"
		size = 43
		refs = "0012 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 53 56 8B DA 8B F0 8D 56 0C 8B CB 8B 86 BC 00 00 00 E8 ?? ?? ?? ?? 8B 86 BC 00 00 00 F6 40 1C 01 75 06 88 5E 0E 88 5E 0D 5E 5B C3 }
	condition:
		$1
}

rule function_93597_0 {
	meta:
		name = "TChartAxis.SetAutoMinMax"
		size = 54
		refs = "0017 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B F0 8B 5D 08 8B CB 8B 86 BC 00 00 00 E8 ?? ?? ?? ?? 84 DB 74 0C 80 7D FF 00 74 0A C6 46 0C 01 EB 04 C6 46 0C 00 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_93598_0 {
	meta:
		name = "TChartAxis.SetAutomaticMinimum"
		size = 14
		refs = "0009 TChartAxis.SetAutoMinMax"
	strings:
		$1 = { 52 8D 50 0E 0F B6 48 0D E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93599_0 {
	meta:
		name = "TChartAxis.SetAutomaticMaximum"
		size = 14
		refs = "0009 TChartAxis.SetAutoMinMax"
	strings:
		$1 = { 52 8D 50 0D 0F B6 48 0E E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93600_0 {
	meta:
		name = "TChartAxis.IsAxisValuesFormatStored"
		size = 27
		refs = "000b TeeMsg_DefValueFormat 0012 @UStrEqual"
	strings:
		$1 = { 53 8B D8 8B 83 84 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_93601_0 {
	meta:
		name = "TChartAxis.SetValuesFormat"
		size = 20
		refs = "000f TCustomTeePanel.SetStringProperty"
	strings:
		$1 = { 8D 88 84 00 00 00 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93602_0 {
	meta:
		name = "TChartAxis.SetInverted"
		size = 20
		refs = "000f TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 B8 00 00 00 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93603_0 {
	meta:
		name = "TChartAxis.SetItems"
		size = 9
		refs = "0004 TAxisItems.CopyFrom"
	strings:
		$1 = { 8B 40 6C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93605_0 {
	meta:
		name = "TChartAxis.SetLabelsBehind"
		size = 20
		refs = "000f TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 8D 00 00 00 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93606_0 {
	meta:
		name = "TChartAxis.SetLogarithmicBase"
		size = 96
		refs = "000a TChartAxis.SetLogarithmicBase 0025 TeeMsg_AxisLogBase 002e _DV_AxisException 0033 Exception.Create 0038 @RaiseExcept 004d TCustomTeePanel.SetDoubleProperty"
	strings:
		$1 = { 55 8B EC 8B D0 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 0F DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 42 30 8B 92 BC 00 00 00 92 E8 ?? ?? ?? ?? 5D C2 08 00 00 00 00 00 00 80 3F 00 00 00 00 }
	condition:
		$1
}

rule function_93607_0 {
	meta:
		name = "TChartAxis.SetLogarithmic"
		size = 148
		refs = "000d TChartAxis.IsDateTime 0017 TeeMsg_AxisLogDateTime 0020 _DV_AxisException 0025 Exception.Create 002a @RaiseExcept 0035 TChartAxis.AdjustMaxMin 0041 TChartAxis.SetLogarithmic 005f TeeMsg_AxisLogNotPositive 0082 TCustomTeePanel.SetBooleanProperty 0089 TChartAxis.SetCalcPosValue"
	strings:
		$1 = { 53 56 8B DA 8B F0 84 DB 74 24 8B C6 E8 ?? ?? ?? ?? 84 C0 74 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 44 8B C6 E8 ?? ?? ?? ?? DD 86 28 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 12 DD 86 20 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 56 28 8B CB 8B 86 BC 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_93608_0 {
	meta:
		name = "TChartAxis.SetCalcPosValue"
		size = 242
		refs = "000c TChartAxis.InternalCalcPosPoint 0025 TChartAxis.InternalCalcDepthPosValue 004d TChartAxis.LogXPosValue 005d TChartAxis.LogYPosValue 0081 TChartAxis.XPosValue 0091 TChartAxis.YPosValue 00a3 TChartAxis.XPosValueCheck 00b3 TChartAxis.YPosValueCheck"
	strings:
		$1 = { 89 80 B4 01 00 00 C7 80 B0 01 00 00 ?? ?? ?? ?? 80 B8 0C 01 00 00 00 74 22 89 80 9C 01 00 00 C7 80 98 01 00 00 ?? ?? ?? ?? 89 80 A4 01 00 00 C7 80 A0 01 00 00 ?? ?? ?? ?? EB 7C 80 78 28 00 74 22 89 80 9C 01 00 00 C7 80 98 01 00 00 ?? ?? ?? ?? 89 80 A4 01 00 00 C7 80 A0 01 00 00 ?? ?? ?? ?? EB 54 8B 90 BC 00 00 00 8B 92 A8 03 00 00 80 7A 14 00 74 22 89 80 9C 01 00 00 C7 80 98 01 00 00 ?? ?? ?? ?? 89 80 A4 01 00 00 C7 80 A0 01 00 00 ?? ?? ?? ?? EB 20 89 80 9C 01 00 00 C7 80 98 01 00 00 ?? ?? ?? ?? 89 80 A4 01 00 00 C7 80 A0 01 00 00 ?? ?? ?? ?? 80 B8 B9 00 00 00 00 74 19 8B 90 98 01 00 00 89 90 A8 01 00 00 8B 90 9C 01 00 00 89 90 AC 01 00 00 C3 8B 90 A0 01 00 00 89 90 A8 01 00 00 8B 90 A4 01 00 00 89 90 AC 01 00 00 C3 }
	condition:
		$1
}

rule function_93609_0 {
	meta:
		name = "TChartAxis.SetLabelsAlign"
		size = 27
	strings:
		$1 = { 56 8B F0 3A 56 64 74 11 88 56 64 8B 86 BC 00 00 00 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_93610_0 {
	meta:
		name = "TChartAxis.SetLabelsAlternate"
		size = 17
		refs = "000c TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 65 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93611_0 {
	meta:
		name = "TChartAxis.SetLabelsAngle"
		size = 34
		refs = "001c TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 53 8B DA 8B C8 8B C3 BB 68 01 00 00 99 F7 FB 8B C2 8D 51 68 8B 89 BC 00 00 00 91 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93612_0 {
	meta:
		name = "TChartAxis.SetLabelsSeparation"
		size = 46
		refs = "0006 TeeMsg_AxisLabelSep 000f _DV_AxisException 0014 Exception.Create 0019 @RaiseExcept 0029 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 85 D2 7D 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 48 74 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93613_0 {
	meta:
		name = "TChartAxis.SetLabelsSize"
		size = 17
		refs = "000c TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 78 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93614_0 {
	meta:
		name = "TChartAxis.SetTitleSize"
		size = 17
		refs = "000c TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 58 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93615_0 {
	meta:
		name = "TChartAxis.SetLabelsOnAxis"
		size = 17
		refs = "000c TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 70 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93616_0 {
	meta:
		name = "TChartAxis.SetExactDateTime"
		size = 20
		refs = "000f TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 8C 00 00 00 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93617_0 {
	meta:
		name = "TChartAxis.SetLabelStyle"
		size = 27
	strings:
		$1 = { 56 8B F0 3A 56 7C 74 11 88 56 7C 8B 86 BC 00 00 00 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_93618_0 {
	meta:
		name = "TChartAxis.SetVisible"
		size = 20
		refs = "000f TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 C0 00 00 00 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93619_0 {
	meta:
		name = "TChartAxis.SetDesiredIncrement"
		size = 172
		refs = "0012 TChartAxis.SetDesiredIncrement 002d TeeMsg_AxisIncrementNeg 0036 _DV_AxisException 003b Exception.Create 0040 @RaiseExcept 0047 TChartAxis.IsDateTime 0065 CurrencyString 006a DateTimeToStr 007e TCustomTeePanel.SetDoubleProperty 0093 @UStrClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 8B 45 08 89 45 F0 8B 45 0C 89 45 F4 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 53 10 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_93620_0 {
	meta:
		name = "TChartAxis.SetMinimum"
		size = 71
		refs = "001f TeeMsg_AxisMinMax 0028 _DV_AxisException 002d Exception.Create 0032 @RaiseExcept 003f TChartAxis.InternalSetMinimum"
	strings:
		$1 = { 55 8B EC 8B D0 8B 82 BC 00 00 00 F6 40 1C 02 75 25 DD 45 08 DC 5A 18 9B DF E0 9E 76 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_93621_0 {
	meta:
		name = "TChartAxis.InternalSetMinimum"
		size = 27
		refs = "0013 TCustomTeePanel.SetDoubleProperty"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8D 50 20 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_93622_0 {
	meta:
		name = "TChartAxis.SetMaximum"
		size = 71
		refs = "001f TeeMsg_AxisMaxMin 0028 _DV_AxisException 002d Exception.Create 0032 @RaiseExcept 003f TChartAxis.InternalSetMaximum"
	strings:
		$1 = { 55 8B EC 8B D0 8B 82 BC 00 00 00 F6 40 1C 02 75 25 DD 45 08 DC 5A 20 9B DF E0 9E 73 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_93623_0 {
	meta:
		name = "TChartAxis.SetMaximumRound"
		size = 17
		refs = "000c TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 40 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93624_0 {
	meta:
		name = "TChartAxis.SetMinimumRound"
		size = 17
		refs = "000c TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 41 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93625_0 {
	meta:
		name = "TChartAxis.SetMinMax"
		size = 162
		refs = "004e TChartAxis.InternalSetMinimum 005b TChartAxis.InternalSetMaximum 0067 MinAxisRange 0097 TChartCustomAxes.ResetScales"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 C6 43 0C 00 C6 43 0E 00 C6 43 0D 00 DD 45 10 DC 5D 08 9B DF E0 9E 76 24 8B 45 10 89 45 F8 8B 45 14 89 45 FC 8B 45 08 89 45 10 8B 45 0C 89 45 14 8B 45 F8 89 45 08 8B 45 FC 89 45 0C FF 75 14 FF 75 10 8B C3 E8 ?? ?? ?? ?? FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? DD 43 18 DC 63 20 DC 1D ?? ?? ?? ?? 9B DF E0 9E 73 17 DD 43 20 DC 05 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 8B 83 BC 00 00 00 8B 80 B0 03 00 00 8B D3 E8 ?? ?? ?? ?? 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_93626_0 {
	meta:
		name = "TChartAxis.InternalSetMaximum"
		size = 27
		refs = "0013 TCustomTeePanel.SetDoubleProperty"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8D 50 18 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_93627_0 {
	meta:
		name = "TChartAxis.SetTickLength"
		size = 20
		refs = "000f TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 88 AC 00 00 00 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93628_0 {
	meta:
		name = "TChartAxis.SetMinorTickLength"
		size = 20
		refs = "000f TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 88 98 00 00 00 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93629_0 {
	meta:
		name = "TChartAxis.SetMinorTickCount"
		size = 20
		refs = "000f TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 88 94 00 00 00 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93630_0 {
	meta:
		name = "TChartAxis.SetTickInnerLength"
		size = 20
		refs = "000f TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 88 A8 00 00 00 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93631_0 {
	meta:
		name = "TChartAxis.DrawTitle"
		size = 264
		refs = "001f TChartAxis.DrawTitle 0043 TTeeCanvas.AssignFont 005c TChartAxis.DepthAxisAlign 00c7 TChartAxis.DrawAxisLabel"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 89 14 24 8B D8 8B 83 BC 00 00 00 8B 80 40 03 00 00 33 C9 BA ?? ?? ?? ?? 8B 30 FF 96 E4 00 00 00 8B BB BC 00 00 00 8B B7 40 03 00 00 8B 83 54 01 00 00 8B 50 20 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 8B 08 FF 51 30 80 BB 0C 01 00 00 00 74 46 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 48 8B 87 0C 03 00 00 D1 F8 79 03 83 D0 00 50 8B AB 54 01 00 00 8B 45 58 50 DB 45 54 83 C4 F8 DD 1C 24 9B 8B 4C 24 14 8B 54 24 10 8B C6 8B 30 FF 96 AC 01 00 00 EB 34 0F B6 43 7D 88 44 24 08 C6 43 7D 00 8B 83 54 01 00 00 8B 50 54 52 8B 50 58 52 50 6A 00 8B 4C 24 14 8B 54 24 10 8B C3 E8 ?? ?? ?? ?? 0F B6 44 24 08 88 43 7D 8B 83 BC 00 00 00 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 83 C4 0C 5D 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 69 00 74 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_93632_0 {
	meta:
		name = "TChartAxis.CalcZPos"
		size = 84
		refs = "0033 TChartAxis.CalcZPos 003a @ROUND"
	strings:
		$1 = { 53 56 51 8B D8 80 BB 0C 01 00 00 00 74 0E 8B 83 BC 00 00 00 8B B0 BC 02 00 00 EB 0C 8B 83 BC 00 00 00 8B B0 0C 03 00 00 89 34 24 DB 04 24 DC 4B 50 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B F0 8B C6 5A 5E 5B C3 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_93633_0 {
	meta:
		name = "DrawExponentLabel"
		size = 652
		refs = "0018 DrawExponentLabel 002c UpperCase 0039 Pos 0091 @UStrCopy 00d6 TFont.GetSize 0140 TFont.SetSize 0249 @UStrClr 0256 @UStrArrayClr 025c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C0 89 45 EC 89 45 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 08 8B 40 F8 8B 80 BC 00 00 00 8B 98 40 03 00 00 85 F6 75 29 8B 45 08 8B 40 EC 50 8B 45 08 8B 40 FC 50 8B 45 08 8B 48 F0 8B 45 08 8B 50 F4 8B C3 8B 18 FF 93 BC 01 00 00 E9 BA 01 00 00 8D 45 FC 50 8B CE 49 8B 45 08 8B 40 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 89 45 E8 8B 7D E8 85 FF 74 05 83 EF 04 8B 3F 8D 45 F8 50 8B CF 49 8D 56 01 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? 8B 08 FF 91 A0 00 00 00 48 89 45 F0 8B 43 0C E8 ?? ?? ?? ?? 8B F0 8B C3 8B 10 FF 52 24 85 C0 0F 85 91 00 00 00 8B 45 08 8B 40 EC 50 8B 45 FC 50 8B 45 08 8B 48 F0 8B 45 08 8B 50 F4 8B C3 8B 38 FF 97 BC 01 00 00 8B 55 FC 8B C3 8B 08 FF 91 9C 00 00 00 40 89 45 F4 8B 7B 0C 8B C7 E8 ?? ?? ?? ?? 50 8B 43 0C E8 ?? ?? ?? ?? 85 C0 79 03 83 C0 03 C1 F8 02 5A 2B D0 8B C7 E8 ?? ?? ?? ?? 8B 45 08 8B 40 EC 50 8B 45 F8 50 8B 45 08 8B 48 F0 8B 45 F0 D1 F8 79 03 83 D0 00 2B C8 83 C1 02 8B 45 08 8B 50 F4 03 55 F4 8B C3 8B 38 FF 97 BC 01 00 00 E9 B2 00 00 00 8B 7B 0C 8B C7 E8 ?? ?? ?? ?? 50 8B 43 0C E8 ?? ?? ?? ?? 85 C0 79 03 83 C0 03 C1 F8 02 5A 2B D0 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 8B 08 FF 91 9C 00 00 00 40 89 45 F4 8B C3 8B 10 FF 52 24 83 F8 06 75 0C 8B 7D F4 D1 FF 79 07 83 D7 00 EB 02 33 FF 8B 45 08 8B 40 EC 50 8B 45 F8 50 8B 45 08 8B 48 F0 8B 45 F0 D1 F8 79 03 83 D0 00 2B C8 83 C1 02 8B 45 08 8B 50 F4 03 D7 8B C3 8B 38 FF 97 BC 01 00 00 8B D6 8B 43 0C E8 ?? ?? ?? ?? 8B 45 08 8B 40 EC 50 8B 45 FC 50 8B 45 08 8B 48 F0 8B 45 08 8B 50 F4 2B 55 F4 8B C3 8B 38 FF 97 BC 01 00 00 8B D6 8B 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 45 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_93634_0 {
	meta:
		name = "TeeNumTextLines"
		size = 194
		refs = "0014 @UStrAddRef 001c TeeNumTextLines 002e TeeLineSeparator 0033 @UStrFromWChar 003e @UStrLAsg 0049 Pos 005f @UStrDelete 00ad @UStrArrayClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8D 45 F8 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 3D 47 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 8B DE 85 DB 7F C3 83 7D FC 00 74 01 47 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93635_0 {
	meta:
		name = "TChartAxis.DrawAxisLabel"
		size = 2596
		refs = "002a TChartAxis.DrawAxisLabel 00e0 Aligns 0103 TChartAxis.SizeLabels 0298 @ROUND 02b7 TeePiStep 02c5 Sin 03f6 TeeNumTextLines 0521 _DV_TChartAxisTitle 0526 @IsClass 058a TCustomAxisPanel.MultiLineTextWidth 07ba TCanvas3D.CalcRect3D 07dc TTeeCustomShape.DrawRectRotated 07ef TBrush.SetStyle 081b @UStrLAsg 0884 TeeLineSeparator 0889 @UStrFromWChar 089f Pos 08bd @UStrCopy 08e3 DrawExponentLabel 09a4 @UStrDelete 09dd @UStrArrayClr 09e5 @UStrClr 09eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 33 DB 89 5D FC 89 5D E8 89 5D E4 89 5D E0 89 4D F0 89 55 F4 89 45 F8 8B 75 0C 8B 5D 14 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 BC 00 00 00 8B 80 40 03 00 00 BA ?? ?? ?? ?? 8B 08 FF 91 A0 00 00 00 89 45 DC 8B 45 DC D1 F8 79 03 83 D0 00 89 45 C4 85 DB 7D 0A 81 C3 68 01 00 00 85 DB 7C F6 B9 68 01 00 00 8B C3 99 F7 F9 89 D3 8B C3 3D B4 00 00 00 7F 22 0F 84 1D 01 00 00 83 E8 01 72 2B 83 E8 2C 0F 84 BD 01 00 00 83 E8 2D 0F 84 A7 00 00 00 E9 0C 03 00 00 2D 0E 01 00 00 0F 84 45 01 00 00 83 E8 5A 0F 85 F8 02 00 00 8B 45 F8 0F B6 80 B9 00 00 00 84 C0 75 09 8B 55 F8 80 7A 64 00 75 1C 8B 55 F8 0F B6 92 BA 00 00 00 83 E0 7F 8D 04 C5 ?? ?? ?? ?? 8B 04 90 89 45 C0 EB 30 8B 45 F8 80 B8 BA 00 00 00 00 74 14 C7 45 C0 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 01 45 F4 EB 10 33 C0 89 45 C0 8B 45 F8 E8 ?? ?? ?? ?? 29 45 F4 8B 45 F8 80 B8 B9 00 00 00 00 0F 85 A6 02 00 00 8B 45 F8 80 B8 0C 01 00 00 00 0F 85 96 02 00 00 8B 45 C4 29 45 F0 E9 8B 02 00 00 8B 45 F8 80 B8 B9 00 00 00 00 74 1F 8B 45 F8 0F B6 80 BA 00 00 00 8B 04 85 ?? ?? ?? ?? 89 45 C0 8B 45 C4 29 45 F4 E9 60 02 00 00 8B 45 F8 0F B6 80 BA 00 00 00 34 01 83 E0 7F 8B 04 85 ?? ?? ?? ?? 89 45 C0 8B 45 F8 80 B8 0C 01 00 00 00 0F 84 37 02 00 00 8B 45 C4 01 45 F0 E9 2C 02 00 00 8B 55 F8 0F B6 92 BA 00 00 00 80 F2 01 83 E2 7F 8B 45 F8 0F B6 80 B9 00 00 00 0F B6 C8 8D 0C CD ?? ?? ?? ?? 8B 14 91 89 55 C0 84 C0 75 06 8B 45 C4 01 45 F0 8B 45 F8 80 B8 0C 01 00 00 00 0F 84 E8 01 00 00 8B 45 C4 01 45 F0 E9 DD 01 00 00 8B 45 F8 80 B8 B9 00 00 00 00 74 24 8B 45 F8 0F B6 80 BA 00 00 00 34 01 83 E0 7F 8B 04 85 ?? ?? ?? ?? 89 45 C0 8B 45 C4 01 45 F4 E9 AD 01 00 00 8B 45 F8 0F B6 80 BA 00 00 00 8B 04 85 ?? ?? ?? ?? 89 45 C0 8B 45 F8 80 B8 0C 01 00 00 00 0F 84 89 01 00 00 8B 45 C4 01 45 F0 E9 7E 01 00 00 33 C0 89 45 C0 8B 45 F8 80 B8 B9 00 00 00 00 0F 84 A0 00 00 00 8B 45 F8 80 B8 BA 00 00 00 00 74 3B 8B 45 F8 8B 80 BC 00 00 00 8B 80 40 03 00 00 BA ?? ?? ?? ?? 8B 08 FF 91 9C 00 00 00 89 45 A4 DB 45 A4 E8 ?? ?? ?? ?? 89 45 D4 8B 45 D4 29 45 F4 8B 45 D4 29 45 F0 E9 22 01 00 00 89 5D A4 DB 45 A4 A1 ?? ?? ?? ?? DC 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D C8 9B 8B 45 F8 8B 80 BC 00 00 00 8B 80 40 03 00 00 8B 55 10 8B 08 FF 91 9C 00 00 00 89 45 A4 DB 45 A4 DC 4D C8 E8 ?? ?? ?? ?? 89 45 D4 8B 45 D4 29 45 F4 8B 45 D4 01 45 F0 E9 C9 00 00 00 8B 45 F8 80 B8 BA 00 00 00 00 74 3C 8B 45 F8 8B 80 BC 00 00 00 8B 80 40 03 00 00 BA ?? ?? ?? ?? 8B 08 FF 91 9C 00 00 00 89 45 A4 DB 45 A4 E8 ?? ?? ?? ?? 89 45 D4 8B 45 D4 D1 F8 79 03 83 D0 00 01 45 F0 E9 81 00 00 00 89 5D A4 DB 45 A4 A1 ?? ?? ?? ?? DC 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D C8 9B 8B 45 F8 8B 80 BC 00 00 00 8B 80 40 03 00 00 8B 55 10 8B 08 FF 91 9C 00 00 00 89 45 A4 DB 45 A4 DC 4D C8 E8 ?? ?? ?? ?? 89 45 D4 8B 45 D4 83 C0 0A 29 45 F4 8B 45 D4 D1 F8 79 03 83 D0 00 01 45 F0 EB 21 8B 45 F8 0F B6 80 BA 00 00 00 8B 55 F8 0F B6 92 B9 00 00 00 8D 14 D5 ?? ?? ?? ?? 8B 04 82 89 45 C0 8B 45 F8 80 B8 0C 01 00 00 00 74 08 8B 45 08 89 45 EC EB 0C 8B 45 F8 8B 80 50 01 00 00 89 45 EC 8B 45 10 E8 ?? ?? ?? ?? 89 45 D8 81 FB B4 00 00 00 74 08 81 FB 0E 01 00 00 75 03 F7 5D DC 8B 45 DC F7 6D D8 89 45 A4 DB 45 A4 E8 ?? ?? ?? ?? 8B 55 F8 80 BA B9 00 00 00 00 74 7A 85 DB 75 1F 8B 55 F8 80 BA BA 00 00 00 00 74 08 29 45 F0 E9 CB 00 00 00 8B 45 DC 29 45 F0 E9 C0 00 00 00 81 FB B4 00 00 00 75 1F 8B 55 F8 80 BA BA 00 00 00 00 74 0B 8B 45 DC 29 45 F0 E9 A1 00 00 00 29 45 F0 E9 99 00 00 00 83 FB 5A 74 0C 81 FB 0E 01 00 00 0F 85 88 00 00 00 DB 45 DC D8 0D ?? ?? ?? ?? 8B 45 D8 40 89 45 A4 DB 45 A4 DE C9 E8 ?? ?? ?? ?? 29 45 F4 EB 69 85 DB 74 08 81 FB B4 00 00 00 75 1F DB 45 DC D8 0D ?? ?? ?? ?? 8B 45 D8 40 89 45 A4 DB 45 A4 DE C9 E8 ?? ?? ?? ?? 29 45 F0 EB 3E 8B 55 F8 80 BA BA 00 00 00 00 74 1A 83 FB 5A 75 08 8B 45 DC 29 45 F4 EB 25 81 FB 0E 01 00 00 75 1D 29 45 F4 EB 18 83 FB 5A 75 05 29 45 F4 EB 0E 81 FB 0E 01 00 00 75 06 8B 45 DC 29 45 F4 85 F6 75 09 8B 45 F8 8B 40 6C 8B 70 14 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 0F 8B 45 F8 8B 40 6C 3B 70 14 0F 84 8D 02 00 00 8D 7E 44 8B 45 F8 8B 80 BC 00 00 00 8B 80 40 03 00 00 BA ?? ?? ?? ?? 8B 08 FF 91 9C 00 00 00 89 45 B4 8B 45 B4 D1 E8 89 45 B0 8B 45 F4 89 07 8B 45 F0 03 45 DC 89 47 04 0F B6 46 29 50 8D 4D B8 8B 45 F8 8B 80 BC 00 00 00 8B 55 10 E8 ?? ?? ?? ?? 89 45 BC 8B 45 DC F7 6D B8 89 45 C4 8B 45 C0 83 F8 08 7C 09 8B 55 C4 29 57 04 83 E8 08 8B D3 83 EA 5A 74 17 83 EA 5A 0F 84 9F 00 00 00 83 EA 5A 0F 84 06 01 00 00 E9 8B 01 00 00 83 F8 06 75 45 8B 55 F8 80 BA BA 00 00 00 00 74 0D 8B 55 F4 03 55 C4 03 55 B0 89 17 EB 0F 8B 55 C4 D1 FA 79 03 83 D2 00 03 55 F4 89 17 8B 55 BC D1 FA 79 03 83 D2 00 8B 4D F0 2B CA 03 4D C4 03 4D B0 89 4F 04 E9 41 01 00 00 83 F8 02 75 1C 8B 55 F4 03 55 BC 2B 55 B4 89 17 8B 55 F0 03 55 C4 03 55 B4 89 57 04 E9 20 01 00 00 8B 55 C4 D1 FA 79 03 83 D2 00 8B 4D F4 2B CA 03 4D B0 89 0F 8B 55 C4 03 D2 8B 4D F0 2B CA 89 4F 04 E9 FA 00 00 00 83 F8 06 75 26 83 7D C0 08 7C 0E 8B 55 F0 2B 55 C4 89 57 04 E9 E1 00 00 00 8B 55 C4 03 D2 8B 4D F0 2B CA 89 4F 04 E9 CF 00 00 00 83 F8 02 75 26 8B 55 F4 03 55 BC 8B 4D B0 D1 F9 79 03 83 D1 00 03 D1 89 17 8B 55 C4 03 D2 8B 4D F0 2B CA 89 4F 04 E9 A4 00 00 00 8B 55 F4 2B 55 BC 89 17 8B 55 C4 03 D2 8B 4D F0 2B CA 89 4F 04 E9 8A 00 00 00 83 F8 06 75 3B 8B 55 F8 80 BA BA 00 00 00 00 74 13 8B 55 C4 D1 FA 79 03 83 D2 00 8B 4D F4 2B CA 89 0F EB 11 8B 55 BC D1 FA 79 03 83 D2 00 8B 4D F4 2B CA 89 0F 8B 55 F0 2B 55 B4 89 57 04 EB 4A 83 F8 02 75 17 8B 55 BC D1 FA 79 03 83 D2 00 8B 4D F0 2B CA 2B 4D B4 89 4F 04 EB 2E 8B 55 BC D1 FA 79 03 83 D2 00 8B 4D F4 2B CA 2B 4D C4 2B 4D B0 89 0F 8B 55 F4 2B 55 BC 03 55 B4 89 17 8B 55 F0 03 55 C4 03 55 B4 89 57 04 8B 17 03 55 BC 89 57 08 8B 57 04 03 55 C4 89 57 0C 83 F8 02 75 0C 8B 07 89 47 08 2B 45 BC 89 07 EB 1F 83 F8 06 75 1A 8B 47 08 2B 07 D1 F8 79 03 83 D0 00 89 45 BC 8B 45 BC 29 47 08 8B 45 BC 29 07 8B 45 B0 29 07 8B 45 B0 01 47 08 83 7D EC 00 74 24 8D 45 94 50 8D 56 44 8B 46 08 8B 80 40 03 00 00 8B 4D EC E8 ?? ?? ?? ?? 56 8D 7E 44 8D 75 94 A5 A5 A5 A5 5E 80 7E 2A 00 75 2D 8B 45 EC 50 8B CB 8D 56 44 8B C6 E8 ?? ?? ?? ?? 8B 46 08 8B B8 40 03 00 00 8B 47 04 33 D2 E8 ?? ?? ?? ?? 8B 47 04 B2 01 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 BC 00 00 00 8B 80 40 03 00 00 8B 55 C0 8B 08 FF 51 48 8D 45 E8 8B 55 10 E8 ?? ?? ?? ?? C6 45 AF 01 8B 45 F8 66 83 B8 EA 00 00 00 00 74 36 8D 45 F0 50 8D 45 EC 50 8D 45 E8 50 8D 45 AF 50 8D 4D F4 8B 7D F8 8B 55 F8 8B 87 EC 00 00 00 FF 97 E8 00 00 00 80 7D AF 00 74 0B 8B 45 E8 E8 ?? ?? ?? ?? 89 45 D8 80 7D AF 00 0F 84 41 01 00 00 8B 45 D8 85 C0 0F 8E 36 01 00 00 89 45 A8 8D 45 E4 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 55 E8 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 89 45 D4 83 7D D4 00 7E 17 8D 45 FC 50 8B 4D D4 49 BA 01 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? EB 0B 8D 45 FC 8B 55 E8 E8 ?? ?? ?? ?? 85 DB 75 71 8B 45 DC 01 45 F0 8B 45 F8 80 78 7D 00 74 0C 55 E8 ?? ?? ?? ?? 59 E9 AB 00 00 00 80 7E 29 00 75 27 8B 45 EC 50 8B 45 FC 50 8B 45 F8 8B 80 BC 00 00 00 8B 80 40 03 00 00 8B 4D F0 8B 55 F4 8B 38 FF 97 BC 01 00 00 EB 7E 8B 45 EC 50 8B 45 FC 50 6A 01 8B 45 F8 8B 80 BC 00 00 00 8B 80 40 03 00 00 8B 4D F0 8B 55 F4 8B 38 FF 97 C0 01 00 00 EB 55 81 FB B4 00 00 00 75 08 8B 45 DC 01 45 F0 EB 13 83 FB 5A 74 08 81 FB 0E 01 00 00 75 06 8B 45 DC 01 45 F4 8B 45 EC 50 8B 45 FC 50 89 5D A4 DB 45 A4 83 C4 F8 DD 1C 24 9B 8B 45 F8 8B 80 BC 00 00 00 8B 80 40 03 00 00 8B 4D F0 8B 55 F4 8B 38 FF 97 AC 01 00 00 8D 45 E8 8B 4D D4 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 4D A8 0F 85 CD FE FF FF 8B 45 F8 8B 80 BC 00 00 00 8B 80 40 03 00 00 33 D2 8B 08 FF 51 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 10 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 57 00 6A 00 00 00 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_93636_0 {
	meta:
		name = "TChartAxis.Scroll"
		size = 164
		refs = "0012 TChartAxis.Scroll 002f TCustomAxisPanel.InternalMinMax"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B F0 84 DB 74 5E DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 20 0F B6 86 B9 00 00 00 50 33 C9 8B D6 8B 86 BC 00 00 00 E8 ?? ?? ?? ?? DC 5E 18 9B DF E0 9E 77 2F DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 4E 0F B6 86 B9 00 00 00 50 B1 01 8B D6 8B 86 BC 00 00 00 E8 ?? ?? ?? ?? DC 5E 20 9B DF E0 9E 73 2E C6 46 0C 00 C6 46 0D 00 DD 46 18 DC 45 08 DD 5E 18 9B C6 46 0E 00 DD 46 20 DC 45 08 DD 5E 20 9B 8B 86 BC 00 00 00 8B 10 FF 92 9C 00 00 00 5E 5B 5D C2 08 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_93637_0 {
	meta:
		name = "TChartAxis.InternalCalcDepthPosValue"
		size = 79
		refs = "0030 @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 80 BB 40 01 00 00 00 74 08 8B 83 08 01 00 00 EB 33 80 BB B8 00 00 00 00 74 16 DD 83 20 01 00 00 DC 65 08 DC 8B 58 01 00 00 E8 ?? ?? ?? ?? EB 14 DD 45 08 DC A3 28 01 00 00 DC 8B 58 01 00 00 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_93638_0 {
	meta:
		name = "TChartAxis.LogXPosValue"
		size = 164
		refs = "000e TChartAxis.LogXPosValue 005c Ln 006d @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 83 38 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 08 8B 83 08 01 00 00 EB 79 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 19 80 BB B8 00 00 00 00 74 08 8B 83 8C 01 00 00 EB 59 8B 83 88 01 00 00 EB 51 80 BB B8 00 00 00 00 74 22 DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DC AB 10 01 00 00 DC 8B 00 01 00 00 E8 ?? ?? ?? ?? EB 20 DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DC A3 18 01 00 00 DC 8B 00 01 00 00 E8 ?? ?? ?? ?? 03 83 88 01 00 00 5B 5D C2 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_93639_0 {
	meta:
		name = "TChartAxis.LogYPosValue"
		size = 168
		refs = "000e TChartAxis.LogYPosValue 005c Ln 006d @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 83 38 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 08 8B 83 08 01 00 00 EB 7D DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 19 80 BB B8 00 00 00 00 75 08 8B 83 8C 01 00 00 EB 5D 8B 83 88 01 00 00 EB 55 80 BB B8 00 00 00 00 74 22 DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DC AB 10 01 00 00 DC 8B 00 01 00 00 E8 ?? ?? ?? ?? EB 20 DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DC A3 18 01 00 00 DC 8B 00 01 00 00 E8 ?? ?? ?? ?? 8B 93 8C 01 00 00 2B D0 8B C2 5B 5D C2 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_93640_0 {
	meta:
		name = "TChartAxis.XPosValueCheck"
		size = 203
		refs = "0060 TeeMaxPixelPos 0093 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D8 80 BB 40 01 00 00 00 74 0B 8B 83 08 01 00 00 E9 A7 00 00 00 DD 45 08 DC A3 28 01 00 00 DC 8B 58 01 00 00 DD 5D F8 9B 80 BB 66 01 00 00 00 74 60 80 BB B8 00 00 00 00 74 0F DB 83 8C 01 00 00 DC 65 F8 DD 5D F8 9B EB 0D DB 83 88 01 00 00 DC 45 F8 DD 5D F8 9B DB 05 ?? ?? ?? ?? DC 5D F8 9B DF E0 9E 73 07 A1 ?? ?? ?? ?? EB 50 8B 15 ?? ?? ?? ?? F7 DA 89 55 F4 DB 45 F4 DC 5D F8 9B DF E0 9E 76 04 8B C2 EB 35 DD 45 F8 E8 ?? ?? ?? ?? EB 2B 80 BB B8 00 00 00 00 74 14 DD 45 F8 E8 ?? ?? ?? ?? 50 8B 83 8C 01 00 00 5A 2B C2 EB 0E DD 45 F8 E8 ?? ?? ?? ?? 03 83 88 01 00 00 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_93641_0 {
	meta:
		name = "TChartAxis.YPosValueCheck"
		size = 203
		refs = "0060 TeeMaxPixelPos 0093 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D8 80 BB 40 01 00 00 00 74 0B 8B 83 08 01 00 00 E9 A7 00 00 00 DD 45 08 DC A3 28 01 00 00 DC 8B 58 01 00 00 DD 5D F8 9B 80 BB 66 01 00 00 00 74 60 80 BB B8 00 00 00 00 74 0F DB 83 88 01 00 00 DC 45 F8 DD 5D F8 9B EB 0D DB 83 8C 01 00 00 DC 65 F8 DD 5D F8 9B DB 05 ?? ?? ?? ?? DC 5D F8 9B DF E0 9E 73 07 A1 ?? ?? ?? ?? EB 50 8B 15 ?? ?? ?? ?? F7 DA 89 55 F4 DB 45 F4 DC 5D F8 9B DF E0 9E 76 04 8B C2 EB 35 DD 45 F8 E8 ?? ?? ?? ?? EB 2B 80 BB B8 00 00 00 00 74 10 DD 45 F8 E8 ?? ?? ?? ?? 03 83 88 01 00 00 EB 12 DD 45 F8 E8 ?? ?? ?? ?? 50 8B 83 8C 01 00 00 5A 2B C2 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_93642_0 {
	meta:
		name = "TChartAxis.XPosValue"
		size = 91
	strings:
		$1 = { 55 8B EC 51 8B D0 80 BA 40 01 00 00 00 74 0B 8B 82 08 01 00 00 89 45 FC EB 39 DD 45 08 DC A0 28 01 00 00 DC 88 58 01 00 00 83 EC 08 DF 3C 24 8F 45 FC 59 80 BA B8 00 00 00 00 74 0E 8B 82 8C 01 00 00 2B 45 FC 89 45 FC EB 09 8B 82 88 01 00 00 01 45 FC 8B 45 FC 59 5D C2 08 00 }
	condition:
		$1
}

rule function_93643_0 {
	meta:
		name = "TChartAxis.YPosValue"
		size = 91
	strings:
		$1 = { 55 8B EC 51 8B D0 80 BA 40 01 00 00 00 74 0B 8B 82 08 01 00 00 89 45 FC EB 39 DD 45 08 DC A0 28 01 00 00 DC 88 58 01 00 00 83 EC 08 DF 3C 24 8F 45 FC 59 80 BA B8 00 00 00 00 74 0B 8B 82 88 01 00 00 01 45 FC EB 0C 8B 82 8C 01 00 00 2B 45 FC 89 45 FC 8B 45 FC 59 5D C2 08 00 }
	condition:
		$1
}

rule function_93644_0 {
	meta:
		name = "TChartAxis.CalcSizeValue"
		size = 124
		refs = "000d TChartAxis.CalcSizeValue 003a Ln 0045 @ROUND"
	strings:
		$1 = { 55 8B EC 53 8B D8 33 D2 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 58 80 7B 28 00 74 30 DD 83 38 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 40 DD 45 08 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DC 8B 00 01 00 00 E8 ?? ?? ?? ?? 8B D0 EB 22 DD 83 30 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 10 DD 45 08 DC 8B 58 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B C2 5B 5D C2 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_93645_0 {
	meta:
		name = "TChartAxis.AxisRect"
		size = 153
		refs = "003d TeeAxisClickGap"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B 88 8C 01 00 00 8B B8 88 01 00 00 3B CF 7D 04 8B F1 EB 04 8B F7 8B F9 8B 48 6C 8B 49 14 80 79 10 00 74 25 8B A8 80 00 00 00 3B 68 48 7D 0D 8B CD 8B 58 48 03 1D ?? ?? ?? ?? EB 12 8B 48 48 2B 0D ?? ?? ?? ?? 8B DD EB 05 8B 48 48 8B D9 80 B8 B9 00 00 00 00 74 19 89 34 24 89 4C 24 04 89 7C 24 08 89 5C 24 0C 8B FA 8B F4 A5 A5 A5 A5 EB 1A 89 4C 24 10 89 74 24 14 89 5C 24 18 89 7C 24 1C 8B FA 8D 74 24 10 A5 A5 A5 A5 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93646_0 {
	meta:
		name = "TChartAxis.Clicked"
		size = 144
		refs = "0014 TCustomAxisPanel.IsAxisVisible 0046 TChartAxis.AxisRect 0057 TCanvas3D.CalcRect3D"
	strings:
		$1 = { 53 56 57 55 83 C4 E0 8B F2 8B D8 8B D3 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 6C 8B AB BC 00 00 00 80 BD 04 03 00 00 00 74 32 80 BB BA 00 00 00 00 74 08 8B BD 0C 03 00 00 EB 02 33 FF 54 8D 54 24 14 8B C3 E8 ?? ?? ?? ?? 8D 54 24 14 8B 85 40 03 00 00 8B CF E8 ?? ?? ?? ?? EB 09 8B D4 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 56 04 3B 04 24 7C 12 3B 54 24 04 7C 0C 3B 44 24 08 7F 06 3B 54 24 0C 7E 04 33 C0 EB 02 B0 01 83 C4 20 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93648_0 {
	meta:
		name = "SetInternals"
		size = 76
		refs = "0046 TChartAxis.InternalCalcRange"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 55 08 8B 52 FC 8B 4A 18 89 88 20 01 00 00 8B 4A 1C 89 88 24 01 00 00 8B 45 08 8B 40 FC 8B 55 08 8B 52 FC 8B 4A 20 89 88 28 01 00 00 8B 4A 24 89 88 2C 01 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_93649_0 {
	meta:
		name = "TChartAxis.CustomDrawMinMaxStartEnd"
		size = 263
		refs = "004a TChartAxis.CustomDrawMinMaxStartEnd 008a SetInternals 00a8 TChartAxis.CustomDrawStartEnd 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 8B F1 8B DA 89 45 FC 8B 45 FC 8B 50 20 89 55 F0 8B 50 24 89 55 F4 8B 45 FC 8B 50 18 89 55 E8 8B 50 1C 89 55 EC 8B 45 FC 8B 50 10 89 55 E0 8B 50 14 89 55 E4 8B 45 FC 0F B6 40 0C 88 45 DF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 0C 00 8B 45 FC 8B 55 20 89 50 20 8B 55 24 89 50 24 8B 45 FC 8B 55 18 89 50 18 8B 55 1C 89 50 1C 8B 45 FC 8B 55 10 89 50 10 8B 55 14 89 50 14 55 E8 ?? ?? ?? ?? 59 8B 45 2C 50 0F B6 45 28 50 8B 45 0C 50 8B 45 08 50 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F0 89 50 20 8B 55 F4 89 50 24 8B 45 FC 8B 55 E8 89 50 18 8B 55 EC 89 50 1C 8B 45 FC 8B 55 E0 89 50 10 8B 55 E4 89 50 14 8B 45 FC 0F B6 55 DF 88 50 0C 55 E8 ?? ?? ?? ?? 59 C3 E9 ?? ?? ?? ?? EB BA 5E 5B 8B E5 5D C2 28 00 }
	condition:
		$1
}

rule function_93650_0 {
	meta:
		name = "TChartAxis.CustomDrawMinMax"
		size = 59
		refs = "0032 TChartAxis.CustomDrawMinMaxStartEnd"
	strings:
		$1 = { 55 8B EC 56 8B F0 8B 45 24 50 0F B6 45 20 50 FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B 86 88 01 00 00 50 8B 86 8C 01 00 00 50 8B C6 E8 ?? ?? ?? ?? 5E 5D C2 20 00 }
	condition:
		$1
}

rule function_93651_0 {
	meta:
		name = "TChartAxis.CustomDraw"
		size = 60
		refs = "000f TChartAxis.InternalCalcPositions 0031 TChartAxis.CustomDrawStartEnd"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 50 0F B6 45 08 50 8B 83 88 01 00 00 50 8B 83 8C 01 00 00 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_93652_0 {
	meta:
		name = "TChartAxis.CustomDrawStartEnd"
		size = 131
		refs = "002d TChartAxis.RecalcSizeCenter 0054 TChartPen.SetVisible 005d TChartAxis.Draw"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 8B D8 89 93 80 00 00 00 89 4B 5C 8B 45 14 89 43 48 8B 45 0C 89 83 88 01 00 00 8B 45 08 89 83 8C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 43 60 0F B6 50 28 88 55 FF 8B 50 08 89 55 F0 8B 50 0C 89 55 F4 33 D2 89 50 08 89 50 0C 0F B6 55 10 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B6 55 FF 8B 43 60 E8 ?? ?? ?? ?? 8B 43 60 8B 55 F0 89 50 08 8B 55 F4 89 50 0C 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_93653_0 {
	meta:
		name = "TChartAxis.RecalcSizeCenter"
		size = 49
		refs = "002c TChartAxis.InternalCalcRange"
	strings:
		$1 = { 8B 90 8C 01 00 00 2B 90 88 01 00 00 89 90 90 01 00 00 8B 90 88 01 00 00 03 90 8C 01 00 00 D1 FA 79 03 83 D2 00 89 90 08 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93654_0 {
	meta:
		name = "DoCalculation"
		size = 120
		refs = "0012 DoCalculation 0025 @ROUND"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 89 75 FC DB 45 FC DB 2D ?? ?? ?? ?? DE C9 8B 45 08 8B 40 FC DC 88 C8 00 00 00 E8 ?? ?? ?? ?? 03 C3 8B 55 08 8B 52 FC 89 82 88 01 00 00 89 75 FC DB 45 FC DB 2D ?? ?? ?? ?? DE C9 8B 45 08 8B 40 FC DC 88 D0 00 00 00 E8 ?? ?? ?? ?? 03 D8 8B 45 08 8B 40 FC 89 98 8C 01 00 00 5E 5B 59 5D C3 00 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_93655_0 {
	meta:
		name = "TChartAxis.InternalCalcPositions"
		size = 108
		refs = "0026 DoCalculation 0065 TChartAxis.RecalcSizeCenter"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 BC 00 00 00 8B 55 FC 80 BA 0C 01 00 00 00 74 11 55 8B 90 0C 03 00 00 33 C0 E8 ?? ?? ?? ?? 59 EB 34 8B 55 FC 80 BA B9 00 00 00 00 74 15 55 8B 90 B8 02 00 00 8B 80 44 03 00 00 E8 ?? ?? ?? ?? 59 EB 13 55 8B 90 BC 02 00 00 8B 80 48 03 00 00 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_93656_0 {
	meta:
		name = "TChartAxis.ApplyPosition"
		size = 152
		refs = "0012 TChartAxis.ApplyPosition 0050 @ROUND"
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 8B D7 DD 83 D8 00 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 62 80 BB E0 00 00 00 00 75 33 80 BB B9 00 00 00 00 74 08 8B 71 0C 2B 71 04 EB 05 8B 71 08 2B 31 DB 2D ?? ?? ?? ?? DC 8B D8 00 00 00 89 34 24 DB 04 24 DE C9 E8 ?? ?? ?? ?? 8B F0 EB 0D DD 83 D8 00 00 00 E8 ?? ?? ?? ?? 8B F0 80 BB BA 00 00 00 00 74 02 F7 DE 80 BB B9 00 00 00 00 74 02 F7 DE 8D 14 3E 8B C2 5A 5F 5E 5B C3 00 00 00 00 00 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_93657_0 {
	meta:
		name = "TChartAxis.GetRectangleEdge"
		size = 44
	strings:
		$1 = { 80 B8 BA 00 00 00 00 74 12 80 B8 B9 00 00 00 00 74 05 8B 42 04 EB 14 8B 42 08 C3 80 B8 B9 00 00 00 00 74 05 8B 42 0C EB 02 8B 02 C3 }
	condition:
		$1
}

rule function_93658_0 {
	meta:
		name = "GetLimit"
		size = 266
	strings:
		$1 = { 55 8B EC 53 8B 55 08 8B 52 FC 80 BA B1 00 00 00 00 0F 84 89 00 00 00 8B 55 08 8B 52 FC 83 BA B4 00 00 00 00 74 7A 84 C0 74 15 8B 55 08 8B 52 FC 8B 92 B4 00 00 00 80 BA B8 00 00 00 00 74 19 84 C0 75 3A 8B 45 08 8B 40 FC 8B 80 B4 00 00 00 80 B8 B8 00 00 00 00 74 25 8B 45 08 8B 40 FC 8B 80 B4 00 00 00 FF 70 1C FF 70 18 8B D8 8B 83 AC 01 00 00 FF 93 A8 01 00 00 E9 8A 00 00 00 8B 45 08 8B 40 FC 8B 80 B4 00 00 00 FF 70 24 FF 70 20 8B D8 8B 83 AC 01 00 00 FF 93 A8 01 00 00 5B 5D C3 8B 55 08 8B 52 FC 80 BA B9 00 00 00 00 74 2D 84 C0 74 15 8B 45 08 8B 40 FC 8B 80 BC 00 00 00 8B 80 48 03 00 00 40 EB 3F 8B 45 08 8B 40 FC 8B 80 BC 00 00 00 8B 80 50 03 00 00 EB 2B 84 C0 74 14 8B 45 08 8B 40 FC 8B 80 BC 00 00 00 8B 80 4C 03 00 00 EB 13 8B 45 08 8B 40 FC 8B 80 BC 00 00 00 8B 80 44 03 00 00 40 5B 5D C3 }
	condition:
		$1
}

rule function_93659_0 {
	meta:
		name = "TChartAxis.DrawGridLine"
		size = 556
		refs = "011f TChartAxis.DrawGridLine 0126 @ROUND 01d6 GetLimit"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 89 45 FC 8B 45 FC 3B B0 88 01 00 00 0F 8E FB 01 00 00 8B 45 FC 3B B0 8C 01 00 00 0F 8D EC 01 00 00 8B 45 FC 8B 80 BC 00 00 00 89 45 F8 8B 45 F8 8B 80 40 03 00 00 89 45 F4 8B 45 F8 8D B8 44 03 00 00 8B 45 FC 80 B8 0C 01 00 00 00 74 2F 8B 47 0C 50 56 8B 4F 04 8B 17 8B 45 F4 8B 18 FF 93 60 01 00 00 8B 47 0C 50 56 8B 4F 08 8B 17 8B 45 F4 8B 18 FF 93 58 01 00 00 E9 90 01 00 00 8B 45 F8 80 B8 04 03 00 00 00 0F 84 2E 01 00 00 8B 45 F8 80 B8 AC 03 00 00 00 0F 84 E5 00 00 00 8B 45 FC 80 B8 64 01 00 00 00 75 47 8B 45 FC 80 B8 B9 00 00 00 00 74 20 8B 47 0C 50 8B 45 F8 8B 80 0C 03 00 00 50 8B 4F 04 8B D6 8B 45 F4 8B 18 FF 93 60 01 00 00 EB 1B 56 8B 45 F8 8B 80 0C 03 00 00 50 8B 4F 08 8B 17 8B 45 F4 8B 18 FF 93 58 01 00 00 8B 45 FC 80 B8 65 01 00 00 00 0F 85 0D 01 00 00 8B 45 F8 DB 80 0C 03 00 00 8B 45 FC 8B 40 60 DC 48 38 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B F8 8B 45 F8 3B B8 0C 03 00 00 0F 84 DD 00 00 00 8B 45 FC 80 B8 B9 00 00 00 00 74 23 57 8B 45 F8 8B 80 0C 03 00 00 50 8B 45 FC 8B 48 48 8B D6 8B 45 F4 8B 18 FF 93 64 01 00 00 E9 AE 00 00 00 57 8B 45 F8 8B 80 0C 03 00 00 50 8B 45 FC 8B 50 48 8B CE 8B 45 F4 8B 18 FF 93 64 01 00 00 E9 8B 00 00 00 8B 45 FC 80 B8 B9 00 00 00 00 74 18 8B 47 0C 50 6A 00 8B 4F 04 8B D6 8B 45 F4 8B 18 FF 93 60 01 00 00 EB 67 56 6A 00 8B 4F 08 8B 17 8B 45 F4 8B 18 FF 93 58 01 00 00 EB 52 8B 45 FC 80 B8 B9 00 00 00 00 74 24 55 33 C0 E8 ?? ?? ?? ?? 59 50 55 B0 01 E8 ?? ?? ?? ?? 59 8B C8 8B D6 8B 45 F4 8B 18 FF 93 C0 00 00 00 EB 22 56 55 B0 01 E8 ?? ?? ?? ?? 59 50 55 33 C0 E8 ?? ?? ?? ?? 59 8B D0 8B 45 F4 59 8B 18 FF 93 BC 00 00 00 5F 5E 5B 8B E5 5D C3 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_93660_0 {
	meta:
		name = "TChartAxis.DrawGrids"
		size = 344
		refs = "003d TChartAxis.DrawGrids 0064 TBrush.SetStyle 00e7 @ROUND 00f0 TChartAxis.DrawGridLine"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B D8 66 83 BB 82 01 00 00 00 74 0E 8B D3 8B 83 84 01 00 00 FF 93 80 01 00 00 8B 43 60 80 78 28 00 0F 84 07 01 00 00 8B 83 BC 00 00 00 8B 80 40 03 00 00 33 C9 BA ?? ?? ?? ?? 8B 38 FF 97 E4 00 00 00 8B 83 BC 00 00 00 8B B8 40 03 00 00 B2 01 8B C7 8B 08 FF 51 30 8B 47 04 B2 01 E8 ?? ?? ?? ?? 8B 6B 60 8B 45 10 81 78 18 00 00 00 20 75 10 B9 80 80 80 00 8B D5 8B C7 8B 38 FF 57 54 EB 13 8B 43 60 8B 40 10 8B 48 18 8B 53 60 8B C7 8B 38 FF 57 54 8B 53 60 8B 42 34 83 F8 01 7D 05 B8 01 00 00 00 8B E8 80 7A 30 00 74 48 8B FE 4F 85 FF 7E 68 BE 01 00 00 00 8B C6 99 F7 FD 85 D2 75 2D 8B 83 B8 01 00 00 8B 04 B0 8B 93 B8 01 00 00 03 44 B2 FC 89 04 24 DB 04 24 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 46 4F 75 C6 EB 27 8B FE 4F 85 FF 7C 20 47 33 F6 8B C6 99 F7 FD 85 D2 75 10 8B 83 B8 01 00 00 8B 14 B0 8B C3 E8 ?? ?? ?? ?? 46 4F 75 E3 8B 83 BC 00 00 00 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 5A 5D 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 47 00 72 00 69 00 64 00 00 00 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_93661_0 {
	meta:
		name = "HorizMode"
		size = 299
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 89 55 F8 89 45 FC 8B 45 08 8B 40 FC 8B 50 44 8B C2 8B 40 10 8B 40 1C 8B F0 8B 45 08 8B 40 FC 8B 80 BC 00 00 00 80 B8 04 03 00 00 00 0F 84 C6 00 00 00 0F B6 42 30 2C 01 72 04 74 35 EB 77 57 8B 45 08 8B 40 FC 8B 80 50 01 00 00 50 8B 45 08 8B 40 FC 8B 80 BC 00 00 00 8B 80 40 03 00 00 8B 4D F8 8B 55 FC 8B 18 FF 93 58 01 00 00 E9 A8 00 00 00 8B D7 2B D6 52 8B 55 F8 52 8D 14 3E 52 8B 45 08 8B 40 FC 8B 80 50 01 00 00 8B D0 2B D6 52 03 F0 56 6A 01 8B 45 08 8B 40 FC 8B 80 BC 00 00 00 8B 80 40 03 00 00 8B 4D FC 33 D2 8B 18 FF 93 44 01 00 00 EB 64 8B D7 2B D6 52 8D 14 3E 52 8B 45 08 8B 40 FC 8B 80 50 01 00 00 8B D0 2B D6 52 03 F0 56 6A 01 6A 00 8B 45 08 8B 40 FC 8B 80 BC 00 00 00 8B 80 40 03 00 00 8B 4D F8 8B 55 FC 8B 18 FF 93 3C 01 00 00 EB 21 57 8B 45 08 8B 40 FC 8B 80 BC 00 00 00 8B 80 40 03 00 00 8B 4D F8 8B 55 FC 8B 18 FF 93 BC 00 00 00 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93662_0 {
	meta:
		name = "TChartAxis.DrawLineSegment"
		size = 761
		refs = "00d9 HorizMode"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 8B B0 BC 00 00 00 8B BE 40 03 00 00 8B 45 FC 80 B8 0C 01 00 00 00 0F 84 82 00 00 00 80 BE 04 03 00 00 00 0F 84 B4 02 00 00 8B 45 FC 80 B8 BA 00 00 00 00 74 24 8B 96 C4 03 00 00 8B C6 8B 08 FF 91 20 01 00 00 03 86 50 03 00 00 8B 55 FC 2B 82 50 01 00 00 89 45 F0 EB 12 8B 45 FC 8B 96 48 03 00 00 2B 90 50 01 00 00 89 55 F0 8B 45 F8 50 8B 45 FC 8B 50 48 8B 4D F0 8B C7 8B 18 FF 93 74 01 00 00 8B 45 F4 50 8B 45 FC 8B 50 48 8B 4D F0 8B C7 8B 18 FF 93 78 01 00 00 E9 3F 02 00 00 8B 45 FC 80 B8 B9 00 00 00 00 74 6B 8B 45 FC 80 B8 BA 00 00 00 00 74 18 55 8B 45 FC 8B 48 48 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 59 E9 0F 02 00 00 55 8B 96 CC 03 00 00 8B C6 8B 08 FF 91 20 01 00 00 03 45 F4 50 8B 96 C8 03 00 00 8B C6 8B 08 FF 91 20 01 00 00 50 8B 45 F8 5A 2B C2 8B 55 FC 8B 4A 48 8B 55 FC 03 8A 4C 01 00 00 5A E8 ?? ?? ?? ?? 59 E9 C8 01 00 00 8B 45 FC 80 B8 BA 00 00 00 00 74 0E 8B 45 FC 8B 80 4C 01 00 00 89 45 F0 EB 0E 8B 45 FC 8B 80 4C 01 00 00 F7 D8 89 45 F0 8B 45 FC 8B 80 BC 00 00 00 80 B8 04 03 00 00 00 0F 84 53 01 00 00 8B 45 FC 8B 40 44 0F B6 40 30 2C 01 72 07 74 4B E9 C4 00 00 00 8B 96 C4 03 00 00 8B C6 8B 08 FF 91 20 01 00 00 03 45 F4 50 8B 45 FC 8B 80 50 01 00 00 50 8B 45 FC 8B 50 48 03 55 F0 8B 45 FC 8B 80 BC 00 00 00 8B 80 40 03 00 00 8B 4D F8 8B 18 FF 93 60 01 00 00 E9 2F 01 00 00 8B 45 F8 50 8B 45 FC 8B 58 48 03 5D F0 8B C3 8B 57 10 8B 52 10 03 42 1C 50 8B 96 C4 03 00 00 8B C6 8B 08 FF 91 20 01 00 00 03 45 F4 50 8B 45 FC 8B 80 50 01 00 00 8B 57 10 8B 52 10 2B 42 1C 50 8B 45 FC 8B 80 50 01 00 00 8B 57 10 8B 52 10 03 42 1C 50 6A 01 8B CB 8B 47 10 8B 40 10 2B 48 1C 8B 45 FC 8B 80 BC 00 00 00 8B 80 40 03 00 00 B2 01 8B 18 FF 93 44 01 00 00 E9 B1 00 00 00 8B 45 F8 50 8B 96 C4 03 00 00 8B C6 8B 08 FF 91 20 01 00 00 03 45 F4 50 8B 45 FC 8B 80 50 01 00 00 8B 57 10 8B 52 10 2B 42 1C 50 8B 45 FC 8B 80 50 01 00 00 8B 57 10 8B 52 10 03 42 1C 50 6A 01 6A 00 8B 45 FC 8B 58 48 03 5D F0 8B CB 8B 47 10 8B 40 10 03 48 1C 8B D3 8B 47 10 8B 40 10 2B 50 1C 8B 45 FC 8B 80 BC 00 00 00 8B 80 40 03 00 00 8B 18 FF 93 3C 01 00 00 EB 37 8B 96 C4 03 00 00 8B C6 8B 08 FF 91 20 01 00 00 03 45 F4 50 8B 45 FC 8B 50 48 03 55 F0 8B 45 FC 8B 80 BC 00 00 00 8B 80 40 03 00 00 8B 4D F8 8B 18 FF 93 C0 00 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93663_0 {
	meta:
		name = "InternalDrawTick"
		size = 614
		refs = "0058 TChartAxis.DepthAxisPos"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 8B F2 89 45 FC 8B 45 08 8B 40 08 8B 40 F4 8B 80 BC 00 00 00 8B B8 40 03 00 00 8B 55 08 8B 52 08 8B 52 F4 80 BA 0C 01 00 00 00 0F 84 80 00 00 00 8B 45 08 8B 40 08 8B 40 F4 80 B8 BA 00 00 00 00 74 37 8B 45 08 8B 40 08 8B 40 F4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 45 08 8B 40 08 8B 40 F4 8B 58 48 03 DE 8B CB 03 4D F8 8B D3 8B C7 8B 18 FF 93 58 01 00 00 E9 DA 01 00 00 8B 45 08 8B 40 08 8B 40 F4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 45 08 8B 40 08 8B 40 F4 8B 58 48 2B DE 8B CB 2B 4D F8 8B D3 8B C7 8B 18 FF 93 58 01 00 00 E9 A3 01 00 00 8B 55 08 8B 52 08 8B 52 F4 80 BA BA 00 00 00 00 0F 84 9B 00 00 00 8B 45 08 8B 40 08 8B 40 F4 80 B8 B9 00 00 00 00 74 42 8B 45 08 8B 40 08 8B 40 F4 8B 40 48 2B C6 2B 45 F8 50 8B 45 08 8B 40 08 8B 40 F4 8B 80 50 01 00 00 50 8B 45 08 8B 40 08 8B 40 F4 8B 48 48 2B CE 8B 55 FC 8B C7 8B 18 FF 93 60 01 00 00 E9 39 01 00 00 8B 45 08 8B 40 08 8B 40 F4 03 B0 4C 01 00 00 8B 55 FC 52 8B 55 08 8B 52 08 8B 52 F4 8B 92 50 01 00 00 52 8B 45 08 8B 40 08 8B 40 F4 8B 40 48 03 C6 8B C8 03 4D F8 8B D0 8B C7 8B 18 FF 93 58 01 00 00 E9 F2 00 00 00 8B 55 08 8B 52 08 8B 52 F4 03 B2 4C 01 00 00 8B 55 08 8B 52 08 8B 52 F4 80 BA B9 00 00 00 00 74 70 80 B8 04 03 00 00 00 74 42 8B 45 08 8B 40 08 8B 40 F4 8B 40 48 03 C6 03 45 F8 50 8B 45 08 8B 40 08 8B 40 F4 8B 80 50 01 00 00 50 8B 45 08 8B 40 08 8B 40 F4 8B 48 48 03 CE 8B 55 FC 8B C7 8B 18 FF 93 60 01 00 00 E9 86 00 00 00 8B 45 08 8B 40 08 8B 40 F4 8B 40 48 03 C6 8B D0 03 55 F8 52 8B C8 8B 55 FC 8B C7 8B 18 FF 93 C0 00 00 00 EB 61 80 B8 04 03 00 00 00 74 35 8B 55 FC 52 8B 55 08 8B 52 08 8B 52 F4 8B 92 50 01 00 00 52 8B 45 08 8B 40 08 8B 40 F4 8B 40 48 2B C6 8B C8 2B 4D F8 8B D0 8B C7 8B 18 FF 93 58 01 00 00 EB 23 8B 55 FC 52 8B 45 08 8B 40 08 8B 40 F4 8B 40 48 2B C6 8B C8 2B 4D F8 8B D0 8B C7 8B 18 FF 93 BC 00 00 00 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93664_0 {
	meta:
		name = "AProc"
		size = 110
		refs = "0042 TChartAxis.DrawGridLine 0067 InternalDrawTick"
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 52 08 8B 52 08 8B 52 F4 3B 82 88 01 00 00 7E 55 8B 55 08 8B 52 08 8B 52 08 8B 52 F4 3B 82 8C 01 00 00 7D 41 8B 55 08 80 7A FB 00 74 14 8B 55 08 8B 52 08 8B 52 08 8B 52 F4 92 E8 ?? ?? ?? ?? EB 24 8B 55 08 8B 52 08 52 8B 55 08 8B 52 08 8B 52 08 8B 52 F4 8B 8A 98 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_93665_0 {
	meta:
		name = "DrawLogMinorTicks"
		size = 265
		refs = "0012 @DynArrayLength 0045 TChartValues 004a @DynArraySetLength 00f8 AProc"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 7D 10 83 C7 FC 8B 07 E8 ?? ?? ?? ?? 8B F0 8B DE 4B 85 DB 7C 19 43 33 D2 8B 07 DD 04 D0 DC 5D 08 9B DF E0 9E 0F 84 CC 00 00 00 42 4B 75 EA 8D 46 01 50 8B C7 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 07 8B 55 08 89 14 F0 8B 55 0C 89 54 F0 04 DD 45 08 8B 45 10 8B 40 08 8B 40 08 8B 40 F4 DC 48 30 DC 65 08 8B 45 10 DC 48 F0 DD 5D F8 9B 8B 45 10 8B 40 08 8B 40 08 8B 40 F4 8B 98 94 00 00 00 85 DB 7E 6B DD 45 08 DC 45 F8 DD 5D 08 9B DD 45 08 8B 45 10 8B 40 08 8B 40 08 8B 40 F4 DC 98 20 01 00 00 9B DF E0 9E 77 43 DD 45 08 8B 45 10 8B 40 08 8B 40 08 8B 40 F4 DC 98 28 01 00 00 9B DF E0 9E 72 28 8B 45 10 50 FF 75 0C FF 75 08 8B 45 10 8B 40 08 8B 40 08 8B 70 F4 8B 86 AC 01 00 00 FF 96 A8 01 00 00 E8 ?? ?? ?? ?? 59 4B 75 95 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_93666_0 {
	meta:
		name = "ProcessMinorTicks"
		size = 796
		refs = "0015 ProcessMinorTicks 00be @ROUND 00d8 AProc 0120 TChartValues 0125 @DynArrayClear 0190 DrawLogMinorTicks 0242 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 D2 89 55 FC 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 08 8B 40 F4 8B 80 94 00 00 00 40 89 45 D8 DB 45 D8 D8 3D ?? ?? ?? ?? DD 5D F0 9B 8B 45 08 8B 40 08 83 78 F0 01 0F 8E B9 00 00 00 8B 45 08 8B 40 08 8B 40 F4 80 78 28 00 0F 85 A6 00 00 00 8B 45 08 8B 40 08 8B 40 F4 8B 80 B8 01 00 00 8B 40 04 8B 55 08 8B 52 08 8B 52 F4 8B 92 B8 01 00 00 2B 02 89 45 D8 DB 45 D8 D8 0D ?? ?? ?? ?? DC 4D F0 DD 5D E8 9B 8B 45 08 8B 40 08 8B 40 F4 8B 80 94 00 00 00 85 C0 7E 5D 89 45 DC BE 01 00 00 00 55 89 75 D8 DB 45 D8 DC 4D E8 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 08 8B 40 F4 8B 80 B8 01 00 00 8B 00 2B C3 E8 ?? ?? ?? ?? 59 55 8B C3 8B 55 08 8B 52 08 8B 52 F0 8B 4D 08 8B 49 08 8B 49 F4 8B 89 B8 01 00 00 03 44 91 FC E8 ?? ?? ?? ?? 59 46 FF 4D DC 75 AB 8B 45 08 8B 40 08 8B 40 F4 80 78 28 00 0F 84 2D 01 00 00 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 08 83 78 F0 00 0F 8E DE 00 00 00 8B 45 08 8B 40 08 8B 40 F0 8B 55 08 8B 52 08 8B 52 F4 8B 92 B8 01 00 00 8B 54 82 FC 8B 45 08 8B 40 08 8B 58 F4 8B 83 B4 01 00 00 FF 93 B0 01 00 00 8B 45 08 8B 40 08 8B 40 F4 DC 70 30 DD 5D E0 9B 55 FF 75 E4 FF 75 E0 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 08 8B 40 F0 83 E8 03 85 C0 7C 41 40 89 45 DC 33 F6 55 8B 45 08 8B 40 08 8B 40 F4 8B 80 B8 01 00 00 8B 14 B0 8B 45 08 8B 40 08 8B 58 F4 8B 83 B4 01 00 00 FF 93 B0 01 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 46 FF 4D DC 75 C5 55 8B 45 08 8B 40 08 8B 40 F0 8B 55 08 8B 52 08 8B 52 F4 8B 92 B8 01 00 00 8B 54 82 FC 8B 45 08 8B 40 08 8B 58 F4 8B 83 B4 01 00 00 FF 93 B0 01 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 08 8B 40 08 8B 40 F0 48 85 C0 0F 8E 91 00 00 00 89 45 DC BE 01 00 00 00 8B 45 08 8B 40 08 8B 40 F4 8B 80 B8 01 00 00 8B 04 B0 8B 55 08 8B 52 08 8B 52 F4 8B 92 B8 01 00 00 2B 44 B2 FC 89 45 D8 DB 45 D8 D8 0D ?? ?? ?? ?? DC 4D F0 DD 5D E8 9B 8B 45 08 8B 40 08 8B 40 F4 8B 98 94 00 00 00 85 DB 7E 34 BF 01 00 00 00 55 89 7D D8 DB 45 D8 DC 4D E8 E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 08 8B 40 F4 8B 80 B8 01 00 00 8B 04 B0 5A 2B C2 E8 ?? ?? ?? ?? 59 47 4B 75 D1 46 FF 4D DC 0F 85 77 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_93667_0 {
	meta:
		name = "ProcessTicks"
		size = 182
		refs = "0088 InternalDrawTick"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 80 7E 28 00 0F 84 98 00 00 00 8B 55 0C 8B 52 08 8B 52 F4 8B 92 BC 00 00 00 8B 92 40 03 00 00 33 C9 92 8B 18 FF 93 E4 00 00 00 8B 45 0C 8B 40 08 8B 40 F4 8B 80 BC 00 00 00 8B 80 40 03 00 00 8B FE 8B 57 10 8B 4A 18 8B D7 8B 18 FF 53 54 8B 45 0C 8B 40 08 8B 58 F0 4B 85 DB 7C 29 43 33 F6 8B 45 0C 50 8B 45 0C 8B 40 08 8B 40 F4 8B 80 B8 01 00 00 8B 04 B0 8B 4D 08 8B 55 FC E8 ?? ?? ?? ?? 59 46 4B 75 DA 8B 45 0C 8B 40 08 8B 40 F4 8B 80 BC 00 00 00 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_93668_0 {
	meta:
		name = "ProcessMinor"
		size = 107
		refs = "0042 TBrush.SetStyle 0060 ProcessMinorTicks"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 55 FF 8B F0 8B 45 08 8B 40 08 83 78 F0 00 7E 4D 80 7E 28 00 74 47 8B 45 08 8B 40 08 8B 40 F4 8B 80 BC 00 00 00 8B 98 40 03 00 00 B2 01 8B C3 8B 08 FF 51 30 B2 01 8B 43 04 E8 ?? ?? ?? ?? 8B FE 8B 47 10 8B 48 18 8B D7 8B C3 8B 18 FF 53 54 8B 45 08 50 0F B6 45 FF E8 ?? ?? ?? ?? 59 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93669_0 {
	meta:
		name = "DrawTicksGrid"
		size = 568
		refs = "0020 TBrush.SetStyle 0092 TPen.SetStyle 00cc TBrush.SetColor 0101 TChartAxis.DrawLineSegment 0121 DrawTicksGrid 0126 ProcessTicks 0134 TChartAxis.DrawGrids 0192 ProcessMinor"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 08 83 C6 F4 8B 06 8B 80 BC 00 00 00 8B 98 40 03 00 00 B2 01 8B 43 04 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 30 8B 16 8B 06 8B 80 BC 00 00 00 8B 08 FF 91 20 01 00 00 8B 16 89 82 4C 01 00 00 8B 06 8B 40 44 80 78 28 00 0F 84 AF 00 00 00 8B 16 8B 92 BC 00 00 00 8B BA 40 03 00 00 8B 50 10 8B 4A 18 8B D0 8B C7 8B 18 FF 53 54 8B 06 8B 40 44 80 78 30 00 74 52 8B 06 8B 80 BC 00 00 00 8B 80 40 03 00 00 8B 40 10 B2 05 E8 ?? ?? ?? ?? 8B 06 8B 80 BC 00 00 00 8B 80 40 03 00 00 8B 40 04 33 D2 E8 ?? ?? ?? ?? 8B 06 8B 40 44 8B 40 10 8B 40 18 8B 16 8B 92 BC 00 00 00 8B 92 40 03 00 00 8B 52 04 92 E8 ?? ?? ?? ?? 8B 06 66 83 B8 72 01 00 00 00 74 12 8B 1E 8B 16 8B 83 74 01 00 00 FF 93 70 01 00 00 EB 17 8B 06 8B 88 8C 01 00 00 8B 06 8B 90 88 01 00 00 8B 06 E8 ?? ?? ?? ?? 8B 06 8B 80 AC 00 00 00 85 C0 74 1A 55 50 8B 06 8B 90 A0 00 00 00 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 8B 50 F0 8B 06 E8 ?? ?? ?? ?? 8B 06 8B 80 A8 00 00 00 85 C0 74 1A 55 F7 D8 50 8B 06 8B 90 A4 00 00 00 83 C9 FF B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 06 83 B8 98 00 00 00 00 74 44 8B 06 8B 80 BC 00 00 00 8B 80 40 03 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 E4 00 00 00 55 8B 06 8B 80 9C 00 00 00 33 D2 E8 ?? ?? ?? ?? 59 8B 06 8B 80 BC 00 00 00 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 55 8B 06 8B 80 90 00 00 00 B2 01 E8 ?? ?? ?? ?? 59 8B 06 8B 80 BC 00 00 00 8B 80 40 03 00 00 B2 02 8B 08 FF 51 30 5F 5E 5B 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 69 00 63 00 6B 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 6E 00 6E 00 65 00 72 00 54 00 69 00 63 00 6B 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 69 00 6E 00 6F 00 72 00 54 00 69 00 63 00 6B 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_93670_0 {
	meta:
		name = "AddTick"
		size = 85
		refs = "0013 @DynArrayLength 002b TAxisTicks 0030 @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 F4 8B 80 B8 01 00 00 E8 ?? ?? ?? ?? 40 50 8B 45 08 8B 40 F4 05 B8 01 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 40 F0 8B 55 08 8B 52 F4 8B 92 B8 01 00 00 89 1C 82 8B 45 08 FF 40 F0 5B 5D C3 }
	condition:
		$1
}

rule function_93671_0 {
	meta:
		name = "DrawThisLabel"
		size = 556
		refs = "002f TTeeCanvas.AssignFont 004f TBrush.SetStyle 0078 TChartAxis.DepthAxisAlign 0089 TView3DOptions.GetRotation 00a0 DrawThisLabel 010d TChartAxis.DepthAxisPos 0118 TChartAxis.DrawAxisLabel 019a TChartAxis.MaxLabelsWidth"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F1 89 55 F8 89 45 FC 8B 7D 10 83 C7 F4 8B 07 8B 80 BC 00 00 00 8B 98 40 03 00 00 85 F6 74 0C 8B 56 20 8B C3 E8 ?? ?? ?? ?? EB 14 8B 07 8B 40 6C 8B 40 14 8B 40 20 8B D0 8B C3 E8 ?? ?? ?? ?? 33 D2 8B 43 04 E8 ?? ?? ?? ?? B2 01 8B 43 04 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 30 8B 07 80 B8 0C 01 00 00 00 0F 84 AC 00 00 00 8B 07 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 48 8B 43 44 E8 ?? ?? ?? ?? 3D 68 01 00 00 74 09 8B 43 44 80 78 20 00 74 1E 8B C3 BA ?? ?? ?? ?? 8B 08 FF 91 A0 00 00 00 D1 F8 79 03 83 D0 00 03 45 FC 89 45 F4 EB 06 8B 45 FC 89 45 F4 8B 07 80 B8 BA 00 00 00 00 74 0A 8B 07 8B 98 80 00 00 00 EB 25 BA ?? ?? ?? ?? 8B C3 8B 08 FF 91 9C 00 00 00 D1 F8 79 03 83 D0 00 8B 17 8B 92 80 00 00 00 83 EA 02 2B D0 8B DA 8B 07 8B 40 68 50 8B 45 F8 50 56 8B 45 F4 50 8B 07 E8 ?? ?? ?? ?? 8B C8 8B 07 8B D3 E8 ?? ?? ?? ?? E9 F2 00 00 00 8B 07 80 78 65 00 0F 84 9F 00 00 00 8B 45 10 80 78 EF 00 74 0A 8B 07 8B 98 80 00 00 00 EB 7B 8B 07 80 B8 B9 00 00 00 00 74 41 8B 07 80 B8 BA 00 00 00 00 74 1B 8B C3 BA ?? ?? ?? ?? 8B 08 FF 91 A0 00 00 00 8B 17 8B 9A 80 00 00 00 2B D8 EB 4A 8B C3 BA ?? ?? ?? ?? 8B 08 FF 91 A0 00 00 00 8B 17 8B 9A 80 00 00 00 03 D8 EB 2F 8B 07 80 B8 BA 00 00 00 00 74 13 8B 07 E8 ?? ?? ?? ?? 8B D8 8B 07 03 98 80 00 00 00 EB 11 8B 07 E8 ?? ?? ?? ?? 8B 17 8B 9A 80 00 00 00 2B D8 8B 45 10 0F B6 40 EF 34 01 8B 55 10 88 42 EF EB 08 8B 07 8B 98 80 00 00 00 8B 07 80 B8 B9 00 00 00 00 74 1B 8B 07 8B 40 68 50 8B 45 F8 50 56 6A 00 8B 07 8B CB 8B 55 FC E8 ?? ?? ?? ?? EB 19 8B 07 8B 40 68 50 8B 45 F8 50 56 6A 00 8B 07 8B 4D FC 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_93672_0 {
	meta:
		name = "GetAxisSeriesLabel"
		size = 405
		refs = "001d GetAxisSeriesLabel 0063 TChartSeries.GetMarkText 006e @UStrAsg 007d TLabelsList.GetLabel 0091 TChartSeries.MandatoryAxis 017c @UStrArrayClr 0182 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 3B B3 28 01 00 00 0F 8C 2F 01 00 00 3B B3 2C 01 00 00 0F 8F 23 01 00 00 8B 45 0C 0F B6 40 EE 2C 03 74 0D FE C8 74 22 FE C8 74 38 E9 96 00 00 00 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 E8 ?? ?? ?? ?? EB 7D 8D 4D F0 8B D6 8B 43 7C E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 E8 ?? ?? ?? ?? EB 63 8B C3 E8 ?? ?? ?? ?? 8B 55 0C 3B 42 F4 75 2B 8B 83 60 01 00 00 8B 40 54 FF 74 F0 04 FF 34 F0 8D 55 EC 8B 45 0C 8B 40 F4 8B 08 FF 51 28 8B 55 EC 8B 45 08 E8 ?? ?? ?? ?? EB 29 8B 83 68 01 00 00 8B 40 54 FF 74 F0 04 FF 34 F0 8D 55 E8 8B 45 0C 8B 40 F4 8B 08 FF 51 28 8B 55 E8 8B 45 08 E8 ?? ?? ?? ?? 8B 43 40 66 83 B8 FA 03 00 00 00 74 1B 56 8B 55 08 52 8B 55 0C 8B 52 F4 8B F8 8B CB 8B 87 FC 03 00 00 FF 97 F8 03 00 00 8B 45 08 83 38 00 74 45 8B 45 0C 8B 40 F4 80 B8 B9 00 00 00 00 74 1A 8B 45 FC 8B 93 A0 00 00 00 8B 52 54 8B 0C F2 89 08 8B 4C F2 04 89 48 04 EB 18 8B 45 FC 8B 93 A4 00 00 00 8B 52 54 8B 0C F2 89 08 8B 4C F2 04 89 48 04 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_93673_0 {
	meta:
		name = "AddTickAndSaveLabel"
		size = 114
		refs = "0022 AddTick 0047 DrawThisLabel 0064 TAxisItems.InternalAdd"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 8B 45 10 8B 40 F4 80 B8 B0 00 00 00 00 74 0C 8B 45 10 50 8B C3 E8 ?? ?? ?? ?? 59 8B 45 10 8B 40 F4 80 B8 8D 00 00 00 00 74 18 8B 45 10 50 FF 75 0C FF 75 08 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 59 EB 1D 85 F6 75 19 FF 75 0C FF 75 08 8B 45 10 8B 40 F4 8B 40 6C 8B D7 E8 ?? ?? ?? ?? 89 58 08 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_93674_0 {
	meta:
		name = "CalcAllSeries"
		size = 146
		refs = "0031 TCustomAxisPanel.SeriesCount 0045 TCustomAxisPanel.GetSeries 0084 TList.Add"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 08 8B 40 08 8B 40 F4 8B 80 44 01 00 00 8B 10 FF 52 08 8B 45 08 8B 40 08 8B 40 F4 8B 80 BC 00 00 00 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 50 47 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 80 7B 38 00 74 37 8B 45 08 8B 40 08 8B 50 F4 8B C3 8B 08 FF 91 04 01 00 00 84 C0 74 20 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 08 8B 40 F4 8B 80 44 01 00 00 E8 ?? ?? ?? ?? 46 4F 75 B3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93675_0 {
	meta:
		name = "CalcFirstLastAllSeries"
		size = 149
		refs = "004d TCustomSeriesList.Get"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 F8 89 45 FC 8B 45 FC C7 00 FF FF FF 7F 8B 45 F8 C7 00 FF FF FF FF 8B 45 08 8B 40 08 8B 40 F4 8B 80 44 01 00 00 8B 70 08 4E 85 F6 7C 56 46 33 FF 8B 45 08 8B 40 08 8B 40 F4 8B 80 44 01 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 54 01 00 00 8B 55 FC 8B 12 8B 83 28 01 00 00 3B D0 7E 0A 83 F8 FF 74 05 8B 55 FC 89 02 8B 55 F8 8B 12 8B 83 2C 01 00 00 3B D0 7D 05 8B 55 F8 89 02 47 4E 75 AD 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93676_0 {
	meta:
		name = "DuplicatedTick"
		size = 71
		refs = "0019 @DynArrayLength"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 33 DB 8B 45 08 8B 40 08 8B 40 F4 8B 80 B8 01 00 00 E8 ?? ?? ?? ?? 48 85 C0 7C 1F 40 33 D2 8B 4D 08 8B 49 08 8B 49 F4 8B 89 B8 01 00 00 3B 34 91 75 04 B3 01 EB 04 42 48 75 E4 8B C3 5E 5B 5D C3 }
	condition:
		$1
}

rule function_93677_0 {
	meta:
		name = "AxisLabelsSeries"
		size = 748
		refs = "0012 AxisLabelsSeries 002f CalcAllSeries 003c CalcFirstLastAllSeries 00d2 TCustomSeriesList.Get 00dc GetAxisSeriesLabel 0139 DuplicatedTick 015d AddTick 01a2 TCustomAxisPanel.MultiLineTextWidth 01f2 @TRUNC 024a AddTickAndSaveLabel 02bd @UStrClr 02c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F4 8B 80 44 01 00 00 8B 10 FF 52 08 55 E8 ?? ?? ?? ?? 59 55 8D 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 59 81 7D F0 FF FF FF 7F 0F 84 4D 02 00 00 8B 45 08 8B 40 F4 0F B6 80 B9 00 00 00 88 45 D3 8B 45 08 8B 40 F4 8B 40 68 83 E8 5A 74 07 2D B4 00 00 00 75 09 0F B6 45 D3 34 01 88 45 D3 8B 45 08 8B 40 F4 8B 80 44 01 00 00 8B 40 08 48 85 C0 0F 8C 07 02 00 00 40 89 45 CC C7 45 F8 00 00 00 00 C7 45 DC FF FF FF FF 33 C0 89 45 D8 8B 75 F0 8B 5D EC 2B DE 0F 8C D6 01 00 00 43 8B 45 08 50 8D 45 FC 50 8B 45 08 8B 40 F4 8B 80 44 01 00 00 8B 55 F8 E8 ?? ?? ?? ?? 8D 4D E0 8B D6 E8 ?? ?? ?? ?? 59 84 C0 0F 84 9E 01 00 00 DD 45 E0 8B 45 08 8B 40 F4 DC 98 28 01 00 00 9B DF E0 9E 0F 82 85 01 00 00 DD 45 E0 8B 45 08 8B 40 F4 DC 98 20 01 00 00 9B DF E0 9E 0F 87 6C 01 00 00 FF 75 E4 FF 75 E0 8B 45 08 8B 78 F4 8B 87 AC 01 00 00 FF 97 A8 01 00 00 8B F8 55 8B C7 E8 ?? ?? ?? ?? 59 88 45 D2 8B 45 08 8B 40 F4 80 B8 B0 00 00 00 00 75 12 80 7D D2 00 75 0C 8B 45 08 50 8B C7 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F4 8B 40 6C 8B 40 14 0F B6 40 10 84 C0 0F 84 0D 01 00 00 83 7D FC 00 0F 84 03 01 00 00 8B 45 08 8B 40 F4 8B 80 BC 00 00 00 8B 90 40 03 00 00 89 55 C8 6A 00 8D 4D F4 8B 55 FC E8 ?? ?? ?? ?? 89 45 D4 80 7D D3 00 75 16 8B 45 C8 BA ?? ?? ?? ?? 8B 08 FF 91 A0 00 00 00 F7 6D F4 89 45 D4 8B 45 08 8B 40 F4 83 78 74 00 0F 84 85 00 00 00 83 7D DC FF 74 7F DB 45 D4 DB 2D ?? ?? ?? ?? DE C9 8B 45 08 8B 40 F4 DB 40 74 DE C9 E8 ?? ?? ?? ?? 01 45 D4 B9 02 00 00 00 8B 45 D4 99 F7 F9 89 45 D4 3B 7D DC 7C 12 8B C7 2B 45 D4 8B 55 DC 03 55 D8 3B C2 0F 9D C0 EB 10 8B C7 03 45 D4 8B 55 DC 2B 55 D8 3B C2 0F 9E C0 84 C0 74 55 80 7D D2 00 75 17 8B 45 08 50 FF 75 E4 FF 75 E0 33 C9 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 59 89 7D DC 8B 45 D4 89 45 D8 EB 2D 80 7D D2 00 75 17 8B 45 08 50 FF 75 E4 FF 75 E0 33 C9 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 59 89 7D DC 8B 45 D4 D1 F8 79 03 83 D0 00 89 45 D8 46 4B 0F 85 2B FE FF FF FF 45 F8 FF 4D CC 0F 85 04 FE FF FF 8B 45 08 8B 40 F4 8B 80 44 01 00 00 8B 10 FF 52 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 0A D7 A3 70 3D 0A D7 A3 F9 3F 00 00 }
	condition:
		$1
}

rule function_93678_0 {
	meta:
		name = "InternalDrawLabel"
		size = 273
		refs = "0016 InternalDrawLabel 0086 AddTick 00c3 AddTickAndSaveLabel 00ea TChartAxis.IncDecDateTime 00ff @UStrClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 88 55 FF 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 76 04 FF 36 8B 45 08 8B 58 F4 8B 83 AC 01 00 00 FF 93 A8 01 00 00 8B D8 8B 45 08 8B 40 F4 80 78 70 00 74 0F 8B 45 08 8B 40 F4 83 B8 60 01 00 00 01 7C 1C 8B 45 08 8B 40 F4 3B 98 88 01 00 00 7E 66 8B 45 08 8B 40 F4 3B 98 8C 01 00 00 7D 58 8B 45 08 8B 40 F4 80 B8 B0 00 00 00 00 75 0C 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F4 8B 40 6C 8B 40 14 0F B6 40 10 84 C0 74 29 8B 45 08 50 FF 76 04 FF 36 FF 76 04 FF 36 8D 55 F8 8B 45 08 8B 40 F4 8B 08 FF 51 28 8B 55 F8 33 C9 8B C3 E8 ?? ?? ?? ?? 59 80 7D FF 00 74 20 8B 45 08 FF 70 E4 FF 70 E0 8B 45 08 0F B6 40 DF 50 8B CE 8B 45 08 8B 40 F4 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93679_0 {
	meta:
		name = "TryDrawLogLabels"
		size = 212
		refs = "0038 LogN 004c Power 0059 TryDrawLogLabels 008a InternalDrawLabel"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B FA 8B D8 33 F6 8B 45 18 8B 40 08 8B 40 F4 DD 40 30 83 C4 F4 DB 3C 24 9B 8B 45 18 8B 40 08 8B 40 F4 FF 70 34 FF 70 30 FF 75 14 FF 75 10 E8 ?? ?? ?? ?? 89 7D F4 DB 45 F4 DE E9 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 5F EB 45 DD 45 10 8B 45 18 8B 40 08 8B 40 F4 DC 98 28 01 00 00 9B DF E0 9E 72 13 8B 45 18 8B 40 08 50 8D 45 10 33 D2 E8 ?? ?? ?? ?? 59 46 84 DB 74 0C DD 45 10 DC 4D 08 DD 5D 10 9B EB 0A DD 45 10 DC 45 F8 DD 5D 10 9B DD 45 10 8B 45 18 8B 40 08 8B 40 F4 DC 98 20 01 00 00 9B DF E0 9E 76 A3 8B C6 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_93680_0 {
	meta:
		name = "DoDefaultLogLabels"
		size = 488
		refs = "0032 DoDefaultLogLabels 006a MinAxisRange 0077 TChartAxis.RoundLogPower 010e LogN 0120 Power 0152 AddTick 016e TryDrawLogLabels"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B 5D 08 83 C3 F4 8B 03 DD 80 28 01 00 00 8B 03 DC 98 20 01 00 00 9B DF E0 9E 0F 84 B1 01 00 00 8B 03 DD 80 28 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 61 8B 03 DD 80 28 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 18 8B 03 C7 80 28 01 00 00 9A 99 99 99 C7 80 2C 01 00 00 99 99 B9 3F EB 1C FF 35 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 03 DD 98 28 01 00 00 9B 8B 45 08 8B 13 8B 8A 28 01 00 00 89 48 F8 8B 8A 2C 01 00 00 89 48 FC EB 1C 8B 03 FF B0 2C 01 00 00 FF B0 28 01 00 00 8B 03 E8 ?? ?? ?? ?? 8B 45 08 DD 58 F8 9B 8B 03 8B 80 90 00 00 00 80 78 28 00 0F 84 8C 00 00 00 8B 45 08 8B 50 F8 89 55 F8 8B 50 FC 89 55 FC DD 45 F8 8B 03 DC 98 28 01 00 00 9B DF E0 9E 72 3D 8B 03 DD 40 30 83 C4 F4 DB 3C 24 9B 8B 03 FF 70 34 FF 70 30 8B 03 FF B0 2C 01 00 00 FF B0 28 01 00 00 E8 ?? ?? ?? ?? D8 25 ?? ?? ?? ?? 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 8B 03 DC 98 28 01 00 00 9B DF E0 9E 73 1E 8B 45 08 50 FF 75 FC FF 75 F8 8B 33 8B 86 AC 01 00 00 FF 96 A8 01 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 08 FF 70 FC FF 70 F8 8B 03 FF 70 34 FF 70 30 33 D2 B0 01 E8 ?? ?? ?? ?? 59 85 C0 75 1F 55 8B 45 08 FF 70 FC FF 70 F8 8B 03 FF 70 34 FF 70 30 BA 01 00 00 00 33 C0 E8 ?? ?? ?? ?? 59 8B 03 8B 80 90 00 00 00 80 78 28 00 74 35 8B 45 08 DD 40 F8 8B 03 DC 98 20 01 00 00 9B DF E0 9E 76 21 8B 45 08 50 8B 45 08 FF 70 FC FF 70 F8 8B 1B 8B 83 AC 01 00 00 FF 93 A8 01 00 00 E8 ?? ?? ?? ?? 59 5E 5B 59 59 5D C3 00 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_93681_0 {
	meta:
		name = "DoDefaultLabels"
		size = 856
		refs = "0027 DoDefaultLabels 00a0 TeeRoundDate 00c7 CurrencyString 00cc FloatToStr 00fb @UStrEqual 0129 @TRUNC 0159 TChartAxis.IncDecDateTime 0181 InternalDrawLabel 0296 MinAxisIncrement 032c @UStrArrayClr 0332 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 C0 89 45 FC 89 45 F8 89 45 F4 89 45 F0 8B 5D 08 83 C3 F4 8B 75 08 83 C6 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 DD 80 20 01 00 00 8B 45 08 DC 70 E0 DD 1E 9B 8B 03 DD 80 30 01 00 00 8B 45 08 DC 70 E0 D9 E1 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 83 B4 02 00 00 8B 03 80 B8 F4 00 00 00 00 74 3F 8B 03 80 B8 8C 00 00 00 00 74 34 8B 45 08 80 78 DF 1B 74 2B 8B 45 08 80 78 DF 10 72 22 8B 03 FF B0 24 01 00 00 FF B0 20 01 00 00 8B 45 08 0F B6 40 DF E8 ?? ?? ?? ?? DD 1E 9B E9 B1 00 00 00 8B 03 DD 80 28 01 00 00 DB 7D D0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 DD 80 20 01 00 00 DB 7D C0 9B 0F B7 45 C8 50 FF 75 C4 FF 75 C0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 75 04 B0 01 EB 08 8B 03 0F B6 40 7F 34 01 84 C0 74 15 8B 03 8B 90 20 01 00 00 89 16 8B 90 24 01 00 00 89 56 04 EB 37 DD 06 E8 ?? ?? ?? ?? 89 45 98 89 55 9C DF 6D 98 8B 45 08 DC 48 E0 DD 1E 9B EB 1C 8B 45 08 FF 70 E4 FF 70 E0 8B 45 08 0F B6 40 DF 50 8B CE 8B 03 33 D2 E8 ?? ?? ?? ?? DD 06 8B 03 DC 98 20 01 00 00 9B DF E0 9E 77 D4 8B 03 80 B8 40 01 00 00 00 74 13 8B 45 08 50 8B C6 33 D2 E8 ?? ?? ?? ?? 59 E9 8B 01 00 00 8B 03 66 83 B8 6A 01 00 00 00 74 56 C6 45 DF 00 8B 06 89 45 E0 8B 46 04 89 45 E4 8D 45 E0 50 8D 45 DF 50 8B 3B 8B 13 83 C9 FF 8B 87 6C 01 00 00 FF 97 68 01 00 00 DD 06 DC 45 E0 DD 5D E0 9B 8D 45 E0 50 8D 45 DF 50 8B 3B 8B 13 83 C9 FF 8B 87 6C 01 00 00 FF 97 68 01 00 00 DD 06 DC 45 E0 DD 1E 9B 8B 03 DD 80 20 01 00 00 8B 03 DC A0 28 01 00 00 D9 E1 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 76 04 B0 01 EB 50 DD 06 DB 7D B0 9B 0F B7 45 B8 50 FF 75 B4 FF 75 B0 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 06 8B 45 08 DC 60 E0 DB 7D A0 9B 0F B7 45 A8 50 FF 75 A4 FF 75 A0 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F0 E8 ?? ?? ?? ?? 0F 94 C0 84 C0 74 13 8B 45 08 50 8B C6 33 D2 E8 ?? ?? ?? ?? 59 E9 9E 00 00 00 8B 03 DD 80 28 01 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 72 22 8B 03 DD 80 28 01 00 00 DC 25 ?? ?? ?? ?? D9 05 ?? ?? ?? ?? DC 05 ?? ?? ?? ?? DE F9 DD 5D E8 9B EB 5D 8B 03 8B 90 28 01 00 00 89 55 E8 8B 90 2C 01 00 00 89 55 EC EB 47 8B 03 66 83 B8 7A 01 00 00 00 74 2D 8B 3B 8B CE 8B 13 8B 87 7C 01 00 00 FF 97 78 01 00 00 DD 06 DC 5D E8 9B DF E0 9E 72 1E 8B 45 08 50 8B C6 B2 01 E8 ?? ?? ?? ?? 59 EB 0E 8B 45 08 50 8B C6 B2 01 E8 ?? ?? ?? ?? 59 DD 06 DC 5D E8 9B DF E0 9E 73 AE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 40 1C 46 BF D5 ED BD CE FE E6 DB DD 3F 00 00 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_93682_0 {
	meta:
		name = "DoNotCustomLabels"
		size = 64
		refs = "001a DoNotCustomLabels 0029 DoDefaultLogLabels 0035 DoDefaultLabels"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 F4 80 78 28 00 74 21 8B 45 08 8B 40 F4 DD 40 10 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0C 8B 45 08 50 E8 ?? ?? ?? ?? 59 5D C3 8B 45 08 50 E8 ?? ?? ?? ?? 59 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_93683_0 {
	meta:
		name = "DoCustomLabels"
		size = 236
		refs = "0063 DoNotCustomLabels 006c DoCustomLabels 00bd InternalDrawLabel"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 45 08 8B 55 08 8B 52 F4 8B 8A 28 01 00 00 89 48 F8 8B 8A 2C 01 00 00 89 48 FC C6 45 FF 01 33 F6 33 DB 8B 45 08 83 C0 F8 50 8D 45 FF 50 8B 45 08 8B 40 F4 8B 98 BC 00 00 00 8B 45 08 8B 50 F4 8B CE 8B 83 04 04 00 00 FF 93 00 04 00 00 80 7D FF 00 74 10 85 F6 75 7B 8B 45 08 50 E8 ?? ?? ?? ?? 59 EB 6F DB 2D ?? ?? ?? ?? 8B 45 08 8B 40 F4 DC A8 28 01 00 00 8B 45 08 DC 58 F8 9B DF E0 9E 77 1E DB 2D ?? ?? ?? ?? 8B 45 08 8B 40 F4 DC 80 20 01 00 00 8B 45 08 DC 58 F8 9B DF E0 9E 73 04 33 DB EB 02 B3 01 84 DB 74 12 8B 45 08 50 8B 45 08 83 C0 F8 33 D2 E8 ?? ?? ?? ?? 59 46 84 DB 74 12 81 FE D0 07 00 00 7F 0A 80 7D FF 00 0F 84 50 FF FF FF 5E 5B 59 5D C3 00 00 BC 42 7A E5 D5 94 BF D6 E7 3F 00 00 }
	condition:
		$1
}

rule function_93684_0 {
	meta:
		name = "DrawAxisTitle"
		size = 189
		refs = "004d TChartAxis.DepthAxisPos 0063 TChartAxis.DrawTitle"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 F4 83 B8 54 01 00 00 00 0F 84 A3 00 00 00 8B 45 08 8B 40 F4 8B 98 54 01 00 00 80 7B 10 00 0F 84 8D 00 00 00 83 7B 58 00 0F 84 83 00 00 00 8B 45 08 8B 40 F4 80 B8 0C 01 00 00 00 74 23 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 40 F4 8B 50 5C 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? EB 51 8B 45 08 8B 40 F4 80 B8 B9 00 00 00 00 74 22 8B 45 08 8B 40 F4 8B 48 5C 8B 45 08 8B 40 F4 8B 90 08 01 00 00 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? EB 20 8B 45 08 8B 40 F4 8B 88 08 01 00 00 8B 45 08 8B 40 F4 8B 50 5C 8B 45 08 8B 40 F4 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_93685_0 {
	meta:
		name = "DepthAxisLabels"
		size = 348
		refs = "0012 DepthAxisLabels 0029 TCustomAxisPanel.CountActiveSeries 0042 @TRUNC 00b8 AddTick 00e8 TCustomAxisPanel.SeriesTitleLegend 0125 AddTickAndSaveLabel 0143 @UStrClr 0149 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F4 8B 80 BC 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8E FD 00 00 00 8B 45 08 8B 40 F4 DD 80 28 01 00 00 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 F4 DD 80 20 01 00 00 E8 ?? ?? ?? ?? 8B F0 2B F3 0F 8C CF 00 00 00 46 89 5D F4 DB 45 F4 8B 45 08 8B 40 F4 DC A8 20 01 00 00 D8 25 ?? ?? ?? ?? 8B 45 08 DD 58 F8 9B 8B 45 08 FF 70 FC FF 70 F8 8B 45 08 8B 78 F4 8B 87 A4 01 00 00 FF 97 A0 01 00 00 89 45 F8 8B 45 08 8B 40 F4 80 B8 B0 00 00 00 00 75 0D 8B 45 08 50 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F4 8B 40 6C 8B 40 14 0F B6 40 10 84 C0 74 59 8B 45 08 8B 40 F4 8B B8 BC 00 00 00 8D 45 FC 50 B1 01 8B D3 8B C7 E8 ?? ?? ?? ?? 66 83 BF FA 03 00 00 00 74 19 53 8D 45 FC 50 8B 45 08 8B 50 F4 33 C9 8B 87 FC 03 00 00 FF 97 F8 03 00 00 8B 45 08 50 8B 45 08 FF 70 FC FF 70 F8 33 C9 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 59 43 4E 0F 85 32 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_93686_0 {
	meta:
		name = "DrawCustomLabels"
		size = 302
		refs = "0012 DrawCustomLabels 0046 TAxisItems.Get 00aa AddTick 00b2 TAxisItem.ActiveFormat 00c3 @UStrLAsg 00fb AddTickAndSaveLabel 011b @UStrClr 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F4 8B 40 6C 8B 70 08 4E 85 F6 0F 8C D9 00 00 00 46 C7 45 F8 00 00 00 00 8B 45 08 8B 40 F4 8B 40 6C 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 DD 43 10 8B 45 08 8B 40 F4 DC 58 20 9B DF E0 9E 0F 82 9E 00 00 00 DD 43 10 8B 45 08 8B 40 F4 DC 58 18 9B DF E0 9E 0F 87 88 00 00 00 FF 73 14 FF 73 10 8B 45 08 8B 78 F4 8B 87 AC 01 00 00 FF 97 A8 01 00 00 89 43 08 8B 45 08 8B 40 F4 80 B8 B0 00 00 00 00 75 0D 8B 45 08 50 8B 43 08 E8 ?? ?? ?? ?? 59 8B C3 E8 ?? ?? ?? ?? 80 78 10 00 74 44 8D 45 FC 8B 53 0C E8 ?? ?? ?? ?? 83 7D FC 00 75 14 FF 73 14 FF 73 10 8D 55 FC 8B 45 08 8B 40 F4 8B 08 FF 51 28 8B 45 08 50 FF 73 14 FF 73 10 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 43 08 E8 ?? ?? ?? ?? 59 FF 45 F8 4E 0F 85 2F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93687_0 {
	meta:
		name = "DoDrawLabels"
		size = 572
		refs = "0027 DoDrawLabels 0053 TAxisTicks 0058 @DynArrayClear 0073 TChartAxis.CalcLabelStyle 00a5 TTeeCanvas.AssignFont 00ac TChartAxis.CalcIncrement 00e7 FindDateTimeStep 0119 DateTimeStep 01aa DoCustomLabels 01b6 DoNotCustomLabels 01c2 AxisLabelsSeries 01d9 DepthAxisLabels 01f1 DrawCustomLabels"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 83 C3 F4 8B 03 80 B8 8D 00 00 00 00 74 1D 8B 03 8B 80 BC 00 00 00 8B 80 40 03 00 00 33 C9 BA ?? ?? ?? ?? 8B 30 FF 96 E4 00 00 00 8B 03 0F B6 80 B9 00 00 00 8B 55 08 88 42 EF 8B 45 08 33 D2 89 50 F0 8B 03 05 B8 01 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 40 6C 80 78 10 00 0F 84 81 01 00 00 8B 10 FF 52 08 8B 03 E8 ?? ?? ?? ?? 8B 55 08 88 42 EE 8B 45 08 80 78 EE 01 0F 84 6C 01 00 00 8B 03 8B 40 6C 8B 40 14 8B 40 20 8B 13 8B 92 BC 00 00 00 8B 92 40 03 00 00 92 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 45 08 DD 58 E0 9B 8B 03 80 B8 F4 00 00 00 00 74 6F 8B 03 80 B8 8C 00 00 00 00 74 64 8B 03 DD 40 10 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 53 8B 03 FF 70 14 FF 70 10 E8 ?? ?? ?? ?? 8B 55 08 88 42 DF 8B 45 08 80 78 DF 1B 74 3E EB 0E 8B 45 08 0F B6 40 DF 40 8B 55 08 88 42 DF 8B 45 08 DD 40 E0 8B 45 08 0F B6 40 DF 8B 15 ?? ?? ?? ?? DC 1C C2 9B DF E0 9E 76 12 8B 45 08 80 78 DF 1A 75 CD EB 07 8B 45 08 C6 40 DF 1B 8B 45 08 DD 40 E0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 1A 8B 45 08 80 78 DF 14 0F 82 9F 00 00 00 8B 45 08 80 78 DF 1A 0F 87 92 00 00 00 8B 03 DD 80 20 01 00 00 8B 03 DC 98 28 01 00 00 9B DF E0 9E 72 7C 8B 45 08 0F B6 40 EE 2C 02 74 0E FE C8 74 34 FE C8 74 3C FE C8 74 2C EB 63 8B 03 8B 80 BC 00 00 00 66 83 B8 02 04 00 00 00 74 0C 8B 45 08 50 E8 ?? ?? ?? ?? 59 EB 45 8B 45 08 50 E8 ?? ?? ?? ?? 59 EB 39 8B 45 08 50 E8 ?? ?? ?? ?? 59 EB 2D 8B 03 80 B8 0C 01 00 00 00 74 0C 8B 45 08 50 E8 ?? ?? ?? ?? 59 EB 16 8B 45 08 50 E8 ?? ?? ?? ?? 59 EB 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 03 80 B8 8D 00 00 00 00 74 16 8B 03 8B 80 BC 00 00 00 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 5E 5B 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4C 00 61 00 62 00 65 00 6C 00 73 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_93688_0 {
	meta:
		name = "TChartAxis.Draw"
		size = 332
		refs = "0034 TChartAxis.IsDateTime 0058 TChartAxis.GetRectangleEdge 0071 TChartAxis.ApplyPosition 007d DrawAxisTitle 0084 DoDrawLabels 008b DrawTicksGrid 00ae TChartAxis.Draw 00d4 TAxisItems.Get 00e4 TAxisItem.ActiveFormat 00f1 DrawThisLabel"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B DA 89 45 F4 8B 45 F4 8B 90 F8 00 00 00 8B 45 F4 8B 80 BC 00 00 00 8B 80 40 03 00 00 33 C9 8B 30 FF 96 E4 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 88 82 F4 00 00 00 84 DB 74 36 8B 45 F4 8B 80 BC 00 00 00 8D 90 44 03 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 80 BC 00 00 00 8D 88 44 03 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 89 42 48 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 8B 45 F4 80 B8 8D 00 00 00 00 75 75 8B 45 F4 8B 80 BC 00 00 00 8B 80 40 03 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 E4 00 00 00 8B 45 F4 8B 40 6C 8B 70 08 4E 85 F6 7C 32 46 33 FF 8B 45 F4 8B 40 6C 8B D7 E8 ?? ?? ?? ?? 8B D8 55 FF 73 14 FF 73 10 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 53 0C 8B 43 08 E8 ?? ?? ?? ?? 59 47 4E 75 D1 8B 45 F4 8B 80 BC 00 00 00 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 8B 45 F4 8B 80 BC 00 00 00 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4C 00 61 00 62 00 65 00 6C 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_93689_0 {
	meta:
		name = "TChartAxis.SizeTickAxis"
		size = 71
	strings:
		$1 = { 8B 50 44 80 7A 28 00 74 09 8B 52 10 8B 52 1C 42 EB 02 33 D2 8B 88 A0 00 00 00 80 79 28 00 74 06 03 90 AC 00 00 00 8B 88 9C 00 00 00 80 79 28 00 74 12 8B 88 98 00 00 00 3B D1 7E 04 8B C2 EB 02 8B C1 8B D0 8B C2 C3 }
	condition:
		$1
}

rule function_93690_0 {
	meta:
		name = "TChartAxis.SizeLabels"
		size = 38
		refs = "0018 TChartAxis.InternalCalcSize"
	strings:
		$1 = { 53 8B D8 6A 00 8B 43 78 50 8B 43 6C 8B 40 14 8B 50 20 8B 4B 68 8B C3 E8 ?? ?? ?? ?? 80 7B 65 00 74 02 03 C0 5B C3 }
	condition:
		$1
}

rule function_93691_0 {
	meta:
		name = "TChartAxis.InternalCalcSize"
		size = 208
		refs = "0026 TTeeCanvas.AssignFont 0045 TChartAxis.InternalCalcSize 005c TChartAxis.MaxLabelsWidth"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 45 08 85 C0 0F 85 9E 00 00 00 8B BB BC 00 00 00 8B B7 40 03 00 00 8B C6 E8 ?? ?? ?? ?? 80 BB B9 00 00 00 00 74 42 8B 45 FC 83 E8 01 72 07 2D B3 00 00 00 75 11 8B C6 BA ?? ?? ?? ?? 8B 08 FF 91 A0 00 00 00 EB 62 83 7D 0C 00 75 09 8B C3 E8 ?? ?? ?? ?? EB 53 8B 87 40 03 00 00 8B 55 0C 8B 08 FF 91 9C 00 00 00 EB 40 8B 45 FC 83 E8 5A 74 07 2D B4 00 00 00 75 11 8B C6 BA ?? ?? ?? ?? 8B 08 FF 91 A0 00 00 00 EB 20 83 7D 0C 00 75 09 8B C3 E8 ?? ?? ?? ?? EB 11 8B 87 40 03 00 00 8B 55 0C 8B 08 FF 91 9C 00 00 00 5F 5E 5B 59 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_93692_0 {
	meta:
		name = "TChartAxis.InflateAxisPos"
		size = 45
	strings:
		$1 = { 80 B8 B9 00 00 00 00 74 12 80 B8 BA 00 00 00 00 74 04 2B D1 EB 14 03 D1 8B C2 C3 80 B8 BA 00 00 00 00 74 04 03 D1 EB 02 2B D1 8B C2 C3 }
	condition:
		$1
}

rule function_93693_0 {
	meta:
		name = "TChartAxis.InflateAxisRect"
		size = 44
	strings:
		$1 = { 80 B8 B9 00 00 00 00 74 12 80 B8 BA 00 00 00 00 74 05 01 4A 04 EB 14 29 4A 0C C3 80 B8 BA 00 00 00 00 74 05 29 4A 08 EB 02 01 0A C3 }
	condition:
		$1
}

rule function_93694_0 {
	meta:
		name = "CalcLabelsRect"
		size = 40
		refs = "0011 TChartAxis.InflateAxisRect 0022 TChartAxis.GetRectangleEdge"
	strings:
		$1 = { 55 8B EC 8B 55 08 8B 52 F8 8B 4D 08 8B 49 FC 91 E8 ?? ?? ?? ?? 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_93695_0 {
	meta:
		name = "TChartAxis.CalcRect"
		size = 406
		refs = "0017 TChartAxis.IsDateTime 0088 TChartAxis.InternalCalcSize 008d CalcLabelsRect 00a8 TChartAxis.SizeLabels 00f9 TChartAxis.SizeTickAxis 010b TChartAxis.InflateAxisRect 011a TChartAxis.ApplyPosition 0145 TChartAxis.GetRectangleEdge 016a TChartAxis.InflateAxisPos"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 89 55 F8 89 45 FC 8D 75 FC 8B 06 E8 ?? ?? ?? ?? 8B 16 88 82 F4 00 00 00 84 DB 0F 84 14 01 00 00 8B 06 80 B8 0C 01 00 00 00 74 24 8B 06 80 B8 BA 00 00 00 00 74 0D 8B 45 F8 8B 40 08 8B 16 89 42 5C EB 49 8B 45 F8 8B 00 8B 16 89 42 5C EB 3D 8B 06 8B 80 54 01 00 00 85 C0 74 31 8B D8 80 7B 10 00 74 29 83 7B 58 00 74 23 55 8B 43 58 50 8B 06 8B 40 58 50 8B 4B 54 8B 53 20 8B 06 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 16 89 42 5C 8B 06 8B 40 6C 8B 40 14 80 78 10 00 74 3D 8B 06 E8 ?? ?? ?? ?? 8B D8 8B 06 8B 80 BC 00 00 00 8B 80 A8 03 00 00 66 83 78 1A 00 74 0E 8B F8 8B CB 8B 16 8B 47 1C FF 57 18 8B D8 55 8B C3 E8 ?? ?? ?? ?? 59 8B 16 89 82 80 00 00 00 8B 06 8B 80 BC 00 00 00 8B 16 8B 08 FF 91 20 01 00 00 8B D8 8B 06 E8 ?? ?? ?? ?? 03 D8 85 DB 7E 0C 8B 55 F8 8B CB 8B 06 E8 ?? ?? ?? ?? 8B 4D F8 8B 06 8B 50 5C 8B 06 E8 ?? ?? ?? ?? 8B 16 89 42 5C 8B 4D F8 8B 06 8B 90 80 00 00 00 8B 06 E8 ?? ?? ?? ?? 8B 16 89 82 80 00 00 00 EB 50 8B 55 F8 8B 06 E8 ?? ?? ?? ?? 8B D0 8B 4D F8 8B 06 E8 ?? ?? ?? ?? 8B D8 8B 06 89 58 48 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 06 E8 ?? ?? ?? ?? 8B F8 8B 06 89 B8 80 00 00 00 8B 06 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 06 E8 ?? ?? ?? ?? 8B 16 89 42 5C 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93696_0 {
	meta:
		name = "TChartAxis.IsZStored"
		size = 84
		refs = "0019 TChartAxis.IsZStored"
	strings:
		$1 = { 8B D0 80 BA 0C 01 00 00 00 75 30 80 BA BA 00 00 00 00 74 0F DD 42 50 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 1B 80 BA BA 00 00 00 00 75 0F DB 2D ?? ?? ?? ?? DC 5A 50 9B DF E0 9E 72 03 33 C0 C3 B0 01 C3 00 00 00 00 00 C8 42 F2 D2 4D 62 10 58 39 B4 F8 3F 00 00 }
	condition:
		$1
}

rule function_93697_0 {
	meta:
		name = "TChartAxis.SetMaximumOffset"
		size = 17
		refs = "000c TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 38 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93698_0 {
	meta:
		name = "TChartAxis.SetMinimumOffset"
		size = 17
		refs = "000c TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 48 3C 8B 80 BC 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93699_0 {
	meta:
		name = "TChartAxis.IsLogBaseStored"
		size = 24
		refs = "0007 TChartAxis.IsLogBaseStored"
	strings:
		$1 = { 8B D0 DD 42 30 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 C0 C3 00 00 00 20 41 }
	condition:
		$1
}

rule function_93700_0 {
	meta:
		name = "TChartAxis.GetGridCentered"
		size = 8
	strings:
		$1 = { 8B 40 60 0F B6 40 30 C3 }
	condition:
		$1
}

rule function_93701_0 {
	meta:
		name = "TChartAxis.SetPosUnits"
		size = 33
	strings:
		$1 = { 56 8B F0 3A 96 E0 00 00 00 74 14 88 96 E0 00 00 00 8B 86 BC 00 00 00 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_93702_0 {
	meta:
		name = "TChartDepthAxis.InternalCalcLabelStyle"
		size = 117
		refs = "0014 TCustomAxisPanel.SeriesCount 0027 TCustomAxisPanel.GetSeries"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 C6 04 24 04 8B A8 BC 00 00 00 8B C5 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 4A 46 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D8 80 7B 38 00 74 32 80 BB 52 01 00 00 00 75 23 8B C3 8B 10 FF 92 38 01 00 00 DD 5C 24 04 9B 8B C3 8B 10 FF 92 2C 01 00 00 DC 5C 24 04 9B DF E0 9E 74 06 C6 04 24 02 EB 04 47 4E 75 B9 0F B6 04 24 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93703_0 {
	meta:
		name = "TSeriesMarkPosition.Assign"
		size = 82
	strings:
		$1 = { 8B 4A 04 89 48 04 8B 4A 08 89 48 08 8B 4A 10 89 48 10 8B 4A 14 89 48 14 0F B6 4A 0C 88 48 0C 0F B6 4A 18 88 48 18 8B 4A 20 89 48 20 8B 4A 24 89 48 24 8B 4A 1C 89 48 1C 8B 4A 28 89 48 28 8B 4A 2C 89 48 2C 8B 4A 30 89 48 30 0F B6 52 34 88 50 34 C3 }
	condition:
		$1
}

rule function_93704_0 {
	meta:
		name = "TSeriesMarkPosition.Bounds"
		size = 28
		refs = "0015 Bounds"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 1C 50 56 8B 4B 28 8B 53 24 8B 43 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93705_0 {
	meta:
		name = "TChartDepthAxis.SetInverted"
		size = 95
		refs = "0006 TChartAxis.SetInverted 0017 TChartAxes.GetDepthAxis 002c TChartAxes.GetDepthTopAxis"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 BC 00 00 00 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 3B D8 75 20 8B 83 BC 00 00 00 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 0F B6 93 B8 00 00 00 88 90 B8 00 00 00 5B C3 8B 83 BC 00 00 00 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 0F B6 93 B8 00 00 00 88 90 B8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_93706_0 {
	meta:
		name = "TChartValueList.Create"
		size = 107
		refs = "000e @ClassCreate 001d TObject.Create 0037 TList.Add 0042 @UStrAsg 0054 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 4D 01 8B C6 89 47 28 85 C0 74 0D 8B 80 98 00 00 00 8B D7 E8 ?? ?? ?? ?? 8D 47 20 8B 55 08 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_93708_0 {
	meta:
		name = "TChartValueList.First"
		size = 24
	strings:
		$1 = { 83 C4 F8 8B 40 54 8B 10 89 14 24 8B 50 04 89 54 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_93709_0 {
	meta:
		name = "TChartValueList.Last"
		size = 30
	strings:
		$1 = { 83 C4 F8 8B 50 54 8B 40 04 8B 4C C2 F8 89 0C 24 8B 4C C2 FC 89 4C 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_93710_0 {
	meta:
		name = "TChartValueList.Delete"
		size = 49
		refs = "0026 Move"
	strings:
		$1 = { 53 56 8B D8 FF 4B 04 8B 43 04 3B D0 7D 1C 2B C2 8B C8 03 C9 03 C9 03 C9 8B 43 54 8D 44 D0 08 8B 73 54 8D 14 D6 E8 ?? ?? ?? ?? C6 43 4D 01 5E 5B C3 }
	condition:
		$1
}

rule function_93711_0 {
	meta:
		name = "TChartValueList.Delete"
		size = 63
		refs = "0034 Move"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 2B F2 3B CE 7E 02 8B CE 29 4B 04 8B 73 04 3B D6 7D 1F 03 CA 8B 43 54 8D 04 C8 8B 4B 54 8D 0C D1 2B F2 8B D6 03 D2 03 D2 03 D2 87 CA E8 ?? ?? ?? ?? C6 43 4D 01 5E 5B C3 }
	condition:
		$1
}

rule function_93712_0 {
	meta:
		name = "TChartValueList.InsertChartValue"
		size = 119
		refs = "000e @DynArrayLength 001b TeeDefaultCapacity 002a TChartValues 002f @DynArraySetLength 0055 Move"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B D8 8B 43 54 E8 ?? ?? ?? ?? 8B F0 3B 73 04 7F 1D 03 35 ?? ?? ?? ?? 56 8D 43 54 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 73 04 2B F7 85 F6 7E 1A 8B 43 54 8D 54 F8 08 8B 43 54 8D 04 F8 8B CE 03 C9 03 C9 03 C9 E8 ?? ?? ?? ?? 8B 43 54 8B 55 08 89 14 F8 8B 55 0C 89 54 F8 04 FF 43 04 C6 43 4D 01 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_93713_0 {
	meta:
		name = "TChartValueList.AddChartValue"
		size = 24
		refs = "0010 TChartValueList.AddChartValue"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 30 8B 55 0C 89 50 34 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_93714_0 {
	meta:
		name = "IncrementArray"
		size = 72
		refs = "000e @DynArrayLength 0024 TeeDefaultCapacity 0039 TChartValues 003e @DynArraySetLength"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 40 54 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 40 04 40 3B D8 7D 23 03 1D ?? ?? ?? ?? 53 8B 45 08 8B 40 FC 83 C0 54 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5B 5D C3 }
	condition:
		$1
}

rule function_93715_0 {
	meta:
		name = "TChartValueList.AddChartValue"
		size = 437
		refs = "0020 @DynArrayLength 002c TeeDefaultCapacity 003e TChartValues 0043 @DynArraySetLength 0158 IncrementArray"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 80 78 24 00 75 58 8B 45 FC 8B 58 04 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 8B F0 3B F3 7F 20 03 35 ?? ?? ?? ?? 56 8B 45 FC 83 C0 54 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 40 54 8B 55 FC 8B 4A 30 89 0C D8 8B 4A 34 89 4C D8 04 8B 45 FC FF 40 04 E9 3B 01 00 00 8B 45 FC 8B 50 04 4A 83 FA FF 74 3C 8B 45 FC 80 78 24 01 75 15 8B 45 FC DD 40 30 8B 45 FC 8B 40 54 DC 1C D0 9B DF E0 9E 73 1E 8B 45 FC 80 78 24 02 75 74 8B 45 FC DD 40 30 8B 45 FC 8B 40 54 DC 1C D0 9B DF E0 9E 77 5F 8B 45 FC 8B 58 04 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 40 04 40 3B F0 7D 20 03 35 ?? ?? ?? ?? 56 8B 45 FC 83 C0 54 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 40 54 8B 55 FC 8B 4A 30 89 0C D8 8B 4A 34 89 4C D8 04 8B 45 FC FF 40 04 E9 94 00 00 00 8B 45 FC 80 78 24 01 75 1F EB 01 4A 85 D2 7C 31 8B 45 FC 8B 40 54 DD 04 D0 8B 45 FC DC 58 30 9B DF E0 9E 77 E6 EB 1A 4A 85 D2 7C 15 8B 45 FC 8B 40 54 DD 04 D0 8B 45 FC DC 58 30 9B DF E0 9E 72 E6 8D 5A 01 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 50 04 8D 43 01 2B C2 7F 20 48 8B 4D FC 8B 49 54 8B 75 FC 8B 76 54 8B 7C D6 F8 89 3C D1 8B 7C D6 FC 89 7C D1 04 4A 40 75 E1 8B 45 FC 8B 40 54 8B 55 FC 8B 4A 30 89 0C D8 8B 4A 34 89 4C D8 04 8B 45 FC FF 40 04 8B 45 FC C6 40 4D 01 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93716_0 {
	meta:
		name = "TChartValueList.GetValue"
		size = 26
	strings:
		$1 = { 83 C4 F8 8B 40 54 8B 0C D0 89 0C 24 8B 4C D0 04 89 4C 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_93717_0 {
	meta:
		name = "TChartValueList.Locate"
		size = 42
	strings:
		$1 = { 55 8B EC 53 8B D8 2B CA 7C 16 41 87 D1 8B 43 54 DD 04 C8 DC 5D 08 9B DF E0 9E 74 07 41 4A 75 ED 83 C9 FF 8B C1 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_93718_0 {
	meta:
		name = "TChartValueList.Locate"
		size = 24
		refs = "0010 TChartValueList.Locate"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 48 04 49 33 D2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_93719_0 {
	meta:
		name = "TChartValueList.SetValue"
		size = 44
	strings:
		$1 = { 55 8B EC 53 8B 48 54 8B 5D 08 89 1C D1 8B 5D 0C 89 5C D1 04 C6 40 4D 01 8B CA 8B 40 28 B2 04 8B 18 FF 93 C4 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_93720_0 {
	meta:
		name = "TChartValueList.GetMaxValue"
		size = 39
		refs = "000f TChartValueList.RecalcStats"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 7B 4D 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B 43 10 89 04 24 8B 43 14 89 44 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_93721_0 {
	meta:
		name = "TChartValueList.GetMinValue"
		size = 39
		refs = "000f TChartValueList.RecalcStats"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 7B 4D 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B 43 18 89 04 24 8B 43 1C 89 44 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_93722_0 {
	meta:
		name = "TChartValueList.GetTotal"
		size = 39
		refs = "000f TChartValueList.RecalcStats"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 7B 4D 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B 43 38 89 04 24 8B 43 3C 89 44 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_93723_0 {
	meta:
		name = "TChartValueList.GetTotalABS"
		size = 39
		refs = "000f TChartValueList.RecalcStats"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 7B 4D 00 74 07 8B C3 E8 ?? ?? ?? ?? 8B 43 40 89 04 24 8B 43 44 89 44 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_93724_0 {
	meta:
		name = "TChartValueList.RecalcStats"
		size = 237
		refs = "000e @DynArrayLength"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 8B 43 54 E8 ?? ?? ?? ?? 3B 43 04 7D 0B 8B 43 54 E8 ?? ?? ?? ?? 89 43 04 83 7B 04 00 0F 8E B7 00 00 00 85 F6 75 46 8B 43 54 8B 10 89 14 24 8B 50 04 89 54 24 04 8B 04 24 89 43 18 8B 44 24 04 89 43 1C 8B 04 24 89 43 10 8B 44 24 04 89 43 14 8B 04 24 89 43 38 8B 44 24 04 89 43 3C DD 04 24 D9 E1 DD 5B 40 9B B8 01 00 00 00 EB 02 33 C0 8D 3C 30 8B 73 04 4E 2B F7 7C 60 46 8B 43 54 8B 14 F8 89 14 24 8B 54 F8 04 89 54 24 04 DD 04 24 DC 5B 18 9B DF E0 9E 73 0F 8B 04 24 89 43 18 8B 44 24 04 89 43 1C EB 19 DD 04 24 DC 5B 10 9B DF E0 9E 76 0D 8B 04 24 89 43 10 8B 44 24 04 89 43 14 DD 43 38 DC 04 24 DD 5B 38 9B DD 04 24 D9 E1 DC 43 40 DD 5B 40 9B 47 4E 75 A1 C6 43 4D 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93725_0 {
	meta:
		name = "TChartValueList.RecalcStats"
		size = 82
		refs = "0007 @DynArrayLength 0026 TChartValueList.RecalcStats"
	strings:
		$1 = { 53 8B D8 8B 43 54 E8 ?? ?? ?? ?? 3B 43 04 7D 0B 8B 43 54 E8 ?? ?? ?? ?? 89 43 04 83 7B 04 00 7E 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 20 33 C0 89 43 18 89 43 1C 33 C0 89 43 10 89 43 14 33 C0 89 43 38 89 43 3C 33 C0 89 43 40 89 43 44 C6 43 4D 00 5B C3 }
	condition:
		$1
}

rule function_93726_0 {
	meta:
		name = "TChartValueList.SetDateTime"
		size = 14
		refs = "0009 TCustomChartElement.SetBooleanProperty"
	strings:
		$1 = { 8D 48 08 8B 40 28 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93727_0 {
	meta:
		name = "TChartValueList.ClearValues"
		size = 28
		refs = "000d TChartValues 0012 @DynArrayClear"
	strings:
		$1 = { 53 8B D8 33 C0 89 43 04 8D 43 54 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 4D 01 5B C3 }
	condition:
		$1
}

rule function_93728_0 {
	meta:
		name = "TChartValueList.Range"
		size = 36
		refs = "000f TChartValueList.RecalcStats"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 7B 4D 00 74 07 8B C3 E8 ?? ?? ?? ?? DD 43 10 DC 63 18 DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_93729_0 {
	meta:
		name = "TChartValueList.Scroll"
		size = 92
	strings:
		$1 = { 53 56 57 83 C4 F8 8B 50 04 85 D2 7E 49 8B 48 54 8B 19 89 1C 24 8B 59 04 89 5C 24 04 8B CA 49 85 C9 7E 1E BA 01 00 00 00 8B 58 54 8B 70 54 8B 3C D6 89 7C D3 F8 8B 7C D6 04 89 7C D3 FC 42 49 75 E7 8B 50 54 8B 40 04 8B 0C 24 89 4C C2 F8 8B 4C 24 04 89 4C C2 FC 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93730_0 {
	meta:
		name = "TChartValueList.SetValueSource"
		size = 39
		refs = "000c @UStrEqual 0018 @UStrAsg 0020 TChartSeries.CheckDataSource"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 48 8B D6 E8 ?? ?? ?? ?? 74 12 8D 43 48 8B D6 E8 ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93731_0 {
	meta:
		name = "TChartValueList.Exchange"
		size = 87
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F0 8B 46 54 8B 1C D0 89 1C 24 8B 5C D0 04 89 5C 24 04 8B 46 54 8B 5E 54 8B 3C C8 89 3C D3 8B 7C C8 04 89 7C D3 04 8B 46 54 8B 1C 24 89 1C C8 8B 5C 24 04 89 5C C8 04 C6 46 4D 01 8B CA 8B 46 28 B2 04 8B 18 FF 93 C4 00 00 00 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93732_0 {
	meta:
		name = "TChartValueList.FillSequence"
		size = 52
	strings:
		$1 = { 53 51 8B 48 04 49 85 C9 7C 14 41 33 D2 89 14 24 DB 04 24 8B 58 54 DD 1C D3 9B 42 49 75 EF C6 40 4D 01 8B 40 28 33 C9 B2 04 8B 18 FF 93 C4 00 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_93733_0 {
	meta:
		name = "TChartValueList.CompareValueIndex"
		size = 98
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B 43 54 8B 34 D0 89 34 24 8B 74 D0 04 89 74 24 04 8B 43 54 8B 14 C8 89 54 24 08 8B 54 C8 04 89 54 24 0C DD 04 24 DC 5C 24 08 9B DF E0 9E 73 05 83 C8 FF EB 18 DD 04 24 DC 5C 24 08 9B DF E0 9E 76 07 B8 01 00 00 00 EB 04 33 C0 EB 08 80 7B 24 02 75 02 F7 D8 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_93734_0 {
	meta:
		name = "TChartValueList.Sort"
		size = 42
		refs = "000b TChartValueList.CompareValueIndex 0018 @FindDynaInst 0024 TeeSort"
	strings:
		$1 = { 53 8B D8 80 7B 24 00 74 1F 53 68 ?? ?? ?? ?? 8B 43 28 50 66 BA E5 FF E8 ?? ?? ?? ?? 50 8B 53 04 4A 33 C0 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93735_0 {
	meta:
		name = "TChartValueList.Assign"
		size = 55
		refs = "000b _DV_TChartValueList 0010 @IsClass 002f @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 8B FE 0F B6 47 24 88 43 24 0F B6 47 08 88 43 08 8D 43 48 8B 57 48 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93736_0 {
	meta:
		name = "TChartValueList.ReadMultiplier"
		size = 240
		refs = "0006 TReader.ReadFloat 000c TChartValueList.ReadMultiplier 001c ShowMessageUser"
	strings:
		$1 = { 53 8B DA 8B C3 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 00 80 3F B0 04 02 00 FF FF FF FF 5D 00 00 00 45 00 72 00 72 00 6F 00 72 00 3A 00 20 00 4D 00 75 00 6C 00 74 00 69 00 70 00 6C 00 69 00 65 00 72 00 20 00 70 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 20 00 69 00 73 00 20 00 6F 00 62 00 73 00 6F 00 6C 00 65 00 74 00 65 00 2E 00 0D 00 4D 00 6F 00 64 00 69 00 66 00 79 00 20 00 54 00 65 00 65 00 44 00 65 00 66 00 73 00 2E 00 69 00 6E 00 63 00 20 00 28 00 65 00 6E 00 61 00 62 00 6C 00 65 00 20 00 4D 00 75 00 6C 00 74 00 69 00 70 00 6C 00 69 00 65 00 72 00 29 00 20 00 61 00 6E 00 64 00 20 00 72 00 65 00 63 00 6F 00 6D 00 70 00 69 00 6C 00 65 00 2E 00 00 00 }
	condition:
		$1
}

rule function_93737_0 {
	meta:
		name = "TChartValueList.DefineProperties"
		size = 80
		refs = "000b TPersistent.DefineProperties 0011 TChartValueList.ReadMultiplier 001c TChartValueList.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 75 00 6C 00 74 00 69 00 70 00 6C 00 69 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_93738_0 {
	meta:
		name = "TChartValueList.ValueToString"
		size = 108
		refs = "0013 TChartValueList.ValueToString 0036 CurrencyString 003b FloatToStr 0045 @UStrAsg 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 8B F1 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 40 54 DD 04 D0 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93739_0 {
	meta:
		name = "TChartValueList.IsDateStored"
		size = 11
	strings:
		$1 = { 0F B6 50 08 3A 50 4C 0F 95 C0 C3 }
	condition:
		$1
}

rule function_93740_0 {
	meta:
		name = "TChartValueList.InitDateTime"
		size = 7
	strings:
		$1 = { 88 50 08 88 50 4C C3 }
	condition:
		$1
}

rule function_93741_0 {
	meta:
		name = "TMargins.Create"
		size = 90
		refs = "000b @ClassCreate 001a TObject.Create 0029 TMargins.SetDefaultHoriz 0046 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 2C BA 0A 00 00 00 8B C7 E8 ?? ?? ?? ?? C7 47 08 05 00 00 00 C7 47 10 05 00 00 00 C6 47 14 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93742_0 {
	meta:
		name = "TMargins.Assign"
		size = 71
		refs = "000a _DV_TMargins 000f @IsClass 0040 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B C6 8B 50 04 89 53 04 8B 50 08 89 53 08 8B 50 0C 89 53 0C 8B 50 10 89 53 10 0F B6 40 14 88 43 14 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93743_0 {
	meta:
		name = "TMargins.IsLeftStored"
		size = 10
	strings:
		$1 = { 8B 50 04 3B 50 18 0F 95 C0 C3 }
	condition:
		$1
}

rule function_93744_0 {
	meta:
		name = "TMargins.IsRightStored"
		size = 10
	strings:
		$1 = { 8B 50 0C 3B 50 18 0F 95 C0 C3 }
	condition:
		$1
}

rule function_93745_0 {
	meta:
		name = "TMargins.SetDefaultHoriz"
		size = 15
	strings:
		$1 = { 8B CA 89 48 18 89 48 04 8B 50 18 89 50 0C C3 }
	condition:
		$1
}

rule function_93746_0 {
	meta:
		name = "TMargins.SetIntegerProperty"
		size = 29
	strings:
		$1 = { 56 8B F0 3B 0A 74 14 89 0A 8B 46 2C 8B 40 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_93749_0 {
	meta:
		name = "TMargins.SetUnits"
		size = 31
	strings:
		$1 = { 56 8B F0 3A 56 14 74 15 88 56 14 8B 46 2C 8B 40 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_93752_0 {
	meta:
		name = "TMargins.Calculate"
		size = 308
		refs = "0027 TMargins.Calculate 0036 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 0F B6 43 14 2C 01 72 07 74 76 E9 D9 00 00 00 DB 43 04 DB 2D ?? ?? ?? ?? DE C9 89 75 F8 DB 45 F8 DE C9 E8 ?? ?? ?? ?? 89 43 1C DB 43 0C DB 2D ?? ?? ?? ?? DE C9 89 75 F8 DB 45 F8 DE C9 E8 ?? ?? ?? ?? 89 43 24 DB 43 08 DB 2D ?? ?? ?? ?? DE C9 89 75 F8 DB 45 F8 DE C9 E8 ?? ?? ?? ?? 89 43 20 DB 43 10 DB 2D ?? ?? ?? ?? DE C9 89 75 F8 DB 45 F8 DE C9 E8 ?? ?? ?? ?? 89 43 28 E9 80 00 00 00 DB 43 04 DB 2D ?? ?? ?? ?? DE C9 89 7D F8 DB 45 F8 DE C9 E8 ?? ?? ?? ?? 89 43 1C DB 43 0C DB 2D ?? ?? ?? ?? DE C9 89 7D F8 DB 45 F8 DE C9 E8 ?? ?? ?? ?? 89 43 24 DB 43 08 DB 2D ?? ?? ?? ?? DE C9 DB 45 FC DE C9 E8 ?? ?? ?? ?? 89 43 20 DB 43 10 DB 2D ?? ?? ?? ?? DE C9 DB 45 FC DE C9 E8 ?? ?? ?? ?? 89 43 28 EB 18 8B 43 04 89 43 1C 8B 43 0C 89 43 24 8B 43 08 89 43 20 8B 43 10 89 43 28 5F 5E 5B 59 59 5D C2 04 00 0A D7 A3 70 3D 0A D7 A3 F9 3F 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_93753_0 {
	meta:
		name = "TMargins.HorizSize"
		size = 9
	strings:
		$1 = { 8B 50 1C 03 50 24 8B C2 C3 }
	condition:
		$1
}

rule function_93754_0 {
	meta:
		name = "TMargins.VertSize"
		size = 9
	strings:
		$1 = { 8B 50 20 03 50 28 8B C2 C3 }
	condition:
		$1
}

rule function_93755_0 {
	meta:
		name = "TSeriesMarksPositions.Put"
		size = 85
		refs = "0010 TList.Add 001e TList.Get 0029 _DV_TSeriesMarkPosition 002e TObject.Create 0039 TList.Put 0042 TSeriesMarksPositions.Get 004d TSeriesMarkPosition.Assign"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 3B 73 08 7D F2 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 75 17 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? C6 40 18 01 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93756_0 {
	meta:
		name = "TSeriesMarksPositions.Get"
		size = 15
	strings:
		$1 = { 3B 50 08 7D 07 8B 40 04 8B 04 90 C3 33 C0 C3 }
	condition:
		$1
}

rule function_93757_0 {
	meta:
		name = "TSeriesMarksPositions.Automatic"
		size = 40
		refs = "0010 TList.Get 001d TSeriesMarksPositions.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 1A 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0D 8B D6 8B C3 E8 ?? ?? ?? ?? C6 40 18 00 5E 5B C3 }
	condition:
		$1
}

rule function_93759_0 {
	meta:
		name = "TSeriesMarksPositions.ExistCustom"
		size = 62
		refs = "0018 TSeriesMarksPositions.Get"
	strings:
		$1 = { 53 56 57 55 8B F0 33 DB 8B 7E 08 4F 85 FF 7C 27 47 33 ED 8B D5 8B C6 E8 ?? ?? ?? ?? 85 C0 74 13 8B D5 8B C6 E8 ?? ?? ?? ?? 80 78 18 00 74 04 B3 01 EB 04 45 4F 75 DC 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93760_0 {
	meta:
		name = "TSeriesMarksPositions.MoveTo"
		size = 132
	strings:
		$1 = { 55 8B EC 53 56 8B 1A 89 4B 10 8B 0A 8B 5D 08 89 59 14 8B 0A 8B 1A 8B 73 10 89 71 04 8B 73 14 89 71 08 8B 0A 8B 49 10 8B 1A 8B 5B 28 D1 FB 79 03 83 D3 00 2B CB 8B 1A 89 4B 20 8B 0A 8B 49 14 8B 1A 2B 4B 1C 41 8B 1A 89 4B 24 8B 58 10 8B 5B 78 85 DB 74 2A 8D 43 44 8B 58 0C 2B 58 04 8B F1 83 C6 02 89 70 04 03 DE 89 58 0C 8B 58 08 2B 18 8B 12 8B 4A 20 83 C1 02 89 08 03 D9 89 58 08 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_93762_0 {
	meta:
		name = "TMarksItem.TextChanged"
		size = 20
	strings:
		$1 = { 56 8B F0 C6 46 58 01 8B 46 08 8B 08 FF 91 08 01 00 00 5E C3 }
	condition:
		$1
}

rule function_93763_0 {
	meta:
		name = "TMarksItem.GetText"
		size = 47
		refs = "0011 _Dn_TStringList 0016 TStringList.Create 0025 TMarksItem.TextChanged"
	strings:
		$1 = { 53 56 8B D8 83 7B 54 00 75 1F C6 43 58 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 54 89 5E 44 C7 46 40 ?? ?? ?? ?? 8B 43 54 5E 5B C3 }
	condition:
		$1
}

rule function_93764_0 {
	meta:
		name = "TMarksItem.SetText"
		size = 55
		refs = "000d TMarksItem.GetText 0026 TObject.Free"
	strings:
		$1 = { 56 57 8B FA 8B F0 85 FF 74 10 8B C6 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 08 EB 10 8D 46 54 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 83 7E 54 00 75 04 C6 46 58 00 5F 5E C3 }
	condition:
		$1
}

rule function_93765_0 {
	meta:
		name = "TMarksItems.Get"
		size = 133
		refs = "000f TList.Add 0020 TList.Get 0031 _DV_TMarksItem 0036 TTeeCustomShape.Create 0044 TTeeCustomShape.SetColor 004b TTeeCustomShape.GetEmboss 0059 @CallDynaInst 0073 TList.Put"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 08 48 3B F8 7F EF 8B D7 8B C3 E8 ?? ?? ?? ?? 85 C0 75 4F 8B 43 10 8B 48 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 BA 18 00 00 FF 8B C5 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 8B D0 8B 43 10 66 BE FC FF E8 ?? ?? ?? ?? 8B 55 3C 8B 43 10 66 BE FB FF E8 ?? ?? ?? ?? 8B CD 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93766_0 {
	meta:
		name = "TMarksItems.Clear"
		size = 69
		refs = "0015 TList.Get 001a TObject.Free 0025 TList.Clear"
	strings:
		$1 = { 53 56 57 8B F0 8B 5E 08 4B 85 DB 7C 15 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 EE 8B C6 E8 ?? ?? ?? ?? 8B 46 10 85 C0 74 11 8B 78 08 85 FF 74 0A 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93767_0 {
	meta:
		name = "TSeriesMarks.Create"
		size = 230
		refs = "000b @ClassCreate 001c TTeeCustomShape.Create 0031 _DV_TSeriesMarksPositions 0036 TObject.Create 0045 _DV_TMarksItems 005f _DV_TMargins 0064 TMargins.Create 0075 TMargins.SetDefaultHoriz 007c TTeeCustomShape.GetGradient 0087 TCustomTeeGradient.SetDirection 009a TCustomTeeGradient.SetEndColor 00ac TCustomTeeGradient.SetStartColor 00be TTeeCustomShape.SetColor 00c7 TTeeCustomShapeBrushPen.SetVisible 00d2 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 70 C6 47 6C 02 C7 47 60 01 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 74 89 7E 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 64 89 7E 10 C6 47 7C 02 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 68 8B C6 BA 14 00 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B F0 B2 03 8B C6 E8 ?? ?? ?? ?? 0F B6 46 0C 88 46 48 BA FF FF FF 00 8B C6 E8 ?? ?? ?? ?? 8B 46 10 89 46 4C BA C0 C0 C0 00 8B C6 E8 ?? ?? ?? ?? 8B 46 20 89 46 54 BA 18 00 00 FF 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93768_0 {
	meta:
		name = "TSeriesMarks.Destroy"
		size = 81
		refs = "0003 @BeforeDestruction 000f TObject.Free 003f TTeeCustomShape.Destroy 004a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 68 E8 ?? ?? ?? ?? 8B 46 78 E8 ?? ?? ?? ?? 8B 46 58 E8 ?? ?? ?? ?? 8B 46 74 E8 ?? ?? ?? ?? 8B 46 64 33 D2 89 50 10 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93769_0 {
	meta:
		name = "TSeriesMarks.Assign"
		size = 181
		refs = "000c _DV_TSeriesMarks 0011 @IsClass 002b TSeriesMarks.SetCallout 0049 TSeriesMarks.SetMargins 005a TSeriesMarks.SetSymbol 008e TMarksItems.Get 00ac TTeeCustomShape.Assign"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 8A 00 00 00 8B FE 8B 47 54 89 43 54 8B 57 58 8B C3 E8 ?? ?? ?? ?? 0F B6 47 5C 88 43 5C 8B 47 60 89 43 60 0F B6 47 6C 88 43 6C 8B 57 68 8B C3 E8 ?? ?? ?? ?? 0F B6 47 6D 88 43 6D 8B 57 78 8B C3 E8 ?? ?? ?? ?? 0F B6 47 7C 88 43 7C 0F B6 87 85 00 00 00 88 83 85 00 00 00 8B 43 64 8B 10 FF 52 08 8B 47 64 8B 68 08 4D 85 ED 7C 22 45 33 FF 8B 46 64 8B D7 E8 ?? ?? ?? ?? 50 8B D7 8B 43 64 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 47 4D 75 E1 8B D6 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93773_0 {
	meta:
		name = "TSeriesMarks.ResetPositions"
		size = 49
		refs = "0019 TSeriesMarksPositions.Get 0029 TCustomChartElement.Repaint"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 74 8B 58 08 4B 85 DB 7C 15 43 33 F6 8B 47 74 8B D6 E8 ?? ?? ?? ?? C6 40 18 00 46 4B 75 EE 8B 47 70 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93774_0 {
	meta:
		name = "TSeriesMarks.GetCallout"
		size = 98
		refs = "0026 _DV_TMarksCallout 002b TMarksCallout.Create"
	strings:
		$1 = { 53 56 57 8B F0 83 7E 58 00 75 50 8B 46 08 85 C0 74 37 0F B6 98 99 02 00 00 C6 80 99 02 00 00 00 8B 4E 70 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7E 58 8B 56 08 8B C7 8B 08 FF 51 0C 8B 46 08 88 98 99 02 00 00 EB 12 8B 4E 70 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 58 8B 46 58 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93775_0 {
	meta:
		name = "TSeriesMarks.SetCallout"
		size = 46
		refs = "000d TSeriesMarks.GetCallout 0027 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 8D 43 58 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93777_0 {
	meta:
		name = "TSeriesMarks.SetDrawEvery"
		size = 14
		refs = "0009 TCustomChartElement.SetIntegerProperty"
	strings:
		$1 = { 8D 48 60 8B 40 70 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93778_0 {
	meta:
		name = "TSeriesMarks.SetAngle"
		size = 14
		refs = "0009 TCustomChartElement.SetIntegerProperty"
	strings:
		$1 = { 8D 48 54 8B 40 70 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93779_0 {
	meta:
		name = "TSeriesMarks.SetFontSeriesColor"
		size = 17
		refs = "000c TCustomChartElement.SetBooleanProperty"
	strings:
		$1 = { 8D 88 84 00 00 00 8B 40 70 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93780_0 {
	meta:
		name = "TSeriesMarks.SetOnTop"
		size = 17
		refs = "000c TCustomChartElement.SetBooleanProperty"
	strings:
		$1 = { 8D 88 85 00 00 00 8B 40 70 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93781_0 {
	meta:
		name = "TCustomAdapterCommandColumn.SetCaptionAttributes"
		size = 9
		altNames = "TSeriesMarks.SetMargins"
	strings:
		$1 = { 8B 40 68 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_93782_0 {
	meta:
		name = "TSeriesMarks.SetMultiline"
		size = 14
		refs = "0009 TCustomChartElement.SetBooleanProperty"
	strings:
		$1 = { 8D 48 6D 8B 40 70 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93784_0 {
	meta:
		name = "TSeriesMarks.Clicked"
		size = 244
		refs = "002f TSeriesMarksPositions.Get 004b TSeriesMarks.ConvertTo2D 009c RectToFourPoints 00ac PointInPolygon"
	strings:
		$1 = { 53 56 57 55 83 C4 C4 8B EA 8B F0 8B 46 74 8B 58 08 4B 83 FB 00 0F 8C CC 00 00 00 8B C3 99 F7 7E 60 85 D2 0F 85 B4 00 00 00 8B D3 8B 46 74 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 A0 00 00 00 8D 44 24 30 50 8D 4F 20 8D 57 10 8B C6 E8 ?? ?? ?? ?? 8B 44 24 30 89 04 24 8B 44 24 34 89 44 24 04 8B 47 28 03 04 24 89 44 24 08 8B 47 1C 03 44 24 04 89 44 24 0C 8B 4E 54 85 C9 7E 3C 8B C1 B9 68 01 00 00 99 F7 F9 89 54 24 38 DB 44 24 38 83 C4 F8 DD 1C 24 9B 8D 54 24 18 8D 44 24 08 E8 ?? ?? ?? ?? 8D 54 24 10 8B C5 B9 03 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 36 EB 27 8B 45 00 8B 55 04 3B 04 24 7C 12 3B 54 24 04 7C 0C 3B 44 24 08 7F 06 3B 54 24 0C 7E 04 33 C0 EB 02 B0 01 84 C0 75 0D 4B 83 FB FF 0F 85 34 FF FF FF 83 CB FF 8B C3 83 C4 3C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93785_0 {
	meta:
		name = "TSeriesMarks.UsePosition"
		size = 153
		refs = "0014 TList.Add 0022 TList.Get 002d _DV_TSeriesMarkPosition 0032 TObject.Create 0041 TList.Put 004a TSeriesMarksPositions.Get 006f TSeriesMarkPosition.Assign"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B 58 74 EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 3B 73 08 7D F2 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 75 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 40 18 00 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 80 78 18 00 74 38 8B 17 80 7A 0C 00 74 0F 8B 17 8B 4A 04 89 0C 24 8B 4A 08 89 4C 24 04 8B 17 92 E8 ?? ?? ?? ?? 8B 07 80 78 0C 00 74 18 8B 07 8B 14 24 89 50 04 8B 54 24 04 89 50 08 EB 07 8B 17 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93786_0 {
	meta:
		name = "TSeriesMarks.ApplyArrowLength"
		size = 15
		refs = "000a TMarksCallout.ApplyArrowLength"
	strings:
		$1 = { 8B 48 58 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93787_0 {
	meta:
		name = "TSeriesMarks.SetStyle"
		size = 17
		refs = "000c TCustomChartElement.Repaint"
	strings:
		$1 = { 3A 50 6C 74 0B 88 50 6C 8B 40 70 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93788_0 {
	meta:
		name = "TSeriesMarks.SetClip"
		size = 14
		refs = "0009 TCustomChartElement.SetBooleanProperty"
	strings:
		$1 = { 8D 48 5C 8B 40 70 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93789_0 {
	meta:
		name = "DrawTextLine"
		size = 441
		refs = "0023 TeePiStep 003a SinCos 0093 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B F0 8B 45 08 8B 40 FC 8B 40 54 85 C0 0F 84 A8 00 00 00 89 45 DC DB 45 DC A1 ?? ?? ?? ?? DC 08 DD 5D F0 9B FF 75 F4 FF 75 F0 8D 55 E0 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 08 8B 58 F8 8B 45 08 0F AF 58 F4 8B 45 08 8B 40 F0 8B 40 0C 8B 55 08 8B 52 FC 8B 52 68 03 42 28 8B 55 08 8B 7A EC 2B C7 2B D8 8B 45 08 8B 40 FC 8B 40 0C 80 78 28 00 74 10 8B 40 10 8B 40 1C 48 D1 F8 79 03 83 D0 00 03 D8 89 5D DC DB 45 DC DC 4D E8 E8 ?? ?? ?? ?? 8B 55 08 03 42 E4 89 45 F8 8B 45 08 8B 40 FC 83 78 54 5A 75 03 FF 45 F8 89 5D DC DB 45 DC DC 4D E0 E8 ?? ?? ?? ?? 03 C7 89 45 FC EB 50 8B 45 08 8B 40 E8 89 45 F8 8B 45 08 8B 40 F0 8B 40 04 8B 55 08 8B 52 FC 8B 52 68 03 42 20 8B 55 08 8B 52 F8 8B 4D 08 0F AF 51 F4 03 C2 89 45 FC 8B 45 08 8B 40 FC 8B 40 0C 80 78 28 00 74 11 8B 40 10 8B 40 1C 48 D1 F8 79 03 83 D0 00 01 45 FC 8B 45 08 8B 40 FC 8B 40 08 8B 98 40 03 00 00 8B C3 8B 10 FF 92 F8 00 00 00 84 C0 74 60 8B 45 08 8B 40 FC 8B 78 54 85 FF 75 23 8B 45 08 8B 40 FC 8B 80 80 00 00 00 83 E8 02 50 56 8B 4D FC 8B 55 F8 8B C3 8B 18 FF 93 BC 01 00 00 EB 51 8B 45 08 8B 40 FC 8B 80 80 00 00 00 83 E8 02 50 56 89 7D DC DB 45 DC 83 C4 F8 DD 1C 24 9B 8B 4D FC 8B 55 F8 8B C3 8B 18 FF 93 AC 01 00 00 EB 21 56 8B 45 08 8B 40 FC DB 40 54 83 C4 F8 DD 1C 24 9B 8B 4D FC 8B 55 F8 8B C3 8B 18 FF 93 DC 00 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93790_0 {
	meta:
		name = "TSeriesMarks.DrawText"
		size = 568
		refs = "0028 TSeriesMarks.DrawText 0118 TTeeCanvas.TextOut 0148 TeeLineSeparator 014d @UStrFromWChar 0157 @UStrLAsg 0162 Pos 018b @UStrCopy 0193 DrawTextLine 0214 @UStrArrayClr 021a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 DB 89 5D CC 89 5D E0 89 5D DC 89 5D D8 89 5D D4 89 5D D0 8B F1 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F0 8B 12 8B 45 FC 8B 40 68 03 50 1C 8B 4D F0 03 51 08 2B 50 24 D1 FA 79 03 83 D2 00 89 55 E8 89 55 E4 8B 55 F0 8B 52 04 8B 45 FC 8B 40 68 03 50 20 8B 4D F0 03 51 0C 2B 50 28 D1 FA 79 03 83 D2 00 89 55 EC 8B 45 FC 0F B6 40 7C 3C 02 75 18 8B 45 FC 8B 40 08 8B 80 40 03 00 00 BA 06 00 00 00 8B 08 FF 51 48 EB 52 84 C0 75 26 8B 45 FC 8B 40 08 8B 80 40 03 00 00 33 D2 8B 08 FF 51 48 8B 45 F0 8B 00 8B 55 FC 8B 52 68 03 42 1C 89 45 E8 EB 28 8B 45 FC 8B 40 08 8B 80 40 03 00 00 BA 02 00 00 00 8B 08 FF 51 48 8B 45 F0 8B 40 08 8B 55 FC 8B 52 68 2B 42 24 89 45 E8 8B 45 FC 80 78 29 01 75 2B 56 6A 01 8B 4D F0 8B 49 04 8B 45 FC 8B 40 68 03 48 20 8B 45 FC 8B 40 08 8B 80 40 03 00 00 8B 55 E8 E8 ?? ?? ?? ?? E9 DD 00 00 00 33 C0 89 45 F8 8B 45 FC 8B 40 08 8B 80 40 03 00 00 BA ?? ?? ?? ?? 8B 08 FF 91 A0 00 00 00 89 45 F4 8D 45 DC 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 8B D6 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 DC E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E 85 00 00 00 8D 45 E0 8B D6 E8 ?? ?? ?? ?? 55 8D 45 CC 50 8B CB 49 BA 01 00 00 00 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 59 8B 75 E0 85 F6 74 05 83 EE 04 8B 36 8D 45 E0 50 8D 53 01 8B CE 8B 45 E0 E8 ?? ?? ?? ?? FF 45 F8 8D 45 D4 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 8B 55 E0 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 D4 E8 ?? ?? ?? ?? 8B D8 85 DB 75 97 83 7D E0 00 74 15 55 8B 45 E0 E8 ?? ?? ?? ?? 59 EB 09 55 8B C6 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_93791_0 {
	meta:
		name = "TSeriesMarks.ConvertTo2D"
		size = 138
		refs = "0060 TCanvas3D.Calculate3DPosition"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F1 8D 7D F0 A5 A5 8B F2 8D 7D F8 A5 A5 8B D8 8B 7D 08 8B 73 08 80 BE 04 03 00 00 00 74 4E 8B 86 40 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 75 3C 8B 75 F8 2B 75 F0 8B 45 FC 2B 45 F4 89 45 EC 8D 45 E4 50 8B 43 08 8B 80 40 03 00 00 8B 8B 80 00 00 00 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 E4 2B C6 89 07 8B 45 E8 2B 45 EC 89 47 04 EB 0B 8B 45 F0 89 07 8B 45 F4 89 47 04 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_93792_0 {
	meta:
		name = "TSeriesMarks.DrawItem"
		size = 604
		refs = "0032 TSeriesMarks.GetCallout 006e TCallout.Draw 0084 TBrush.SetStyle 00d4 TSeriesMarks.ConvertTo2D 011e OffsetRect 013d TTeeCustomShape.DrawRectRotated 014b TSeriesMarksSymbol.ShouldDraw 0169 TTeeCustomShape.SetColor 0173 TTeeCustomShape.SetTransparent 017b TSeriesMarks.DrawItem 0200 TTeeCustomShape.GetWidth 0219 TTeeCanvas.AssignFont 0230 TFont.SetColor 023d TSeriesMarks.DrawText"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 43 70 89 45 F0 8B 45 F0 8B 40 40 8B 80 40 03 00 00 89 45 EC 83 7B 58 00 74 43 8B C3 E8 ?? ?? ?? ?? 80 78 10 00 75 10 8B C3 E8 ?? ?? ?? ?? 8B 40 44 80 78 28 00 74 26 8D 46 2C 50 8D 46 10 50 8B 83 80 00 00 00 50 0F B6 46 34 50 8B C3 E8 ?? ?? ?? ?? 8D 4E 04 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC 80 78 2A 00 74 19 8B 45 EC 8B 40 04 B2 01 E8 ?? ?? ?? ?? B2 01 8B 45 EC 8B 08 FF 51 30 EB 1D 8B 45 FC 8B 78 04 8B 47 10 8B 40 18 50 8B 45 FC 8B 48 1C 8B D7 8B 45 EC 8B 38 FF 57 50 8B 45 FC 8B 78 0C 8B 47 10 8B 48 18 8B D7 8B 45 EC 8B 38 FF 57 54 8D 45 C4 50 8D 4E 20 8D 56 10 8B C3 E8 ?? ?? ?? ?? 8B 45 C4 89 46 20 8B 45 C8 89 46 24 8B 46 20 89 45 DC 8B 46 24 89 45 E0 8B 45 DC 03 46 28 89 45 E4 8B 45 E0 03 46 1C 89 45 E8 80 7E 18 00 74 1A 8B 45 F0 8B 40 40 8B 88 AC 02 00 00 8B 90 A8 02 00 00 8D 45 DC E8 ?? ?? ?? ?? 8B 83 80 00 00 00 50 8B 43 54 B9 68 01 00 00 99 F7 F9 8B CA 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 73 78 85 F6 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 88 45 F7 80 7D F7 00 74 79 8B 55 F8 8B 43 78 E8 ?? ?? ?? ?? 33 D2 8B 43 78 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? 8B 08 FF 91 A0 00 00 00 8B 55 DC 8B CA 83 C1 04 89 4D CC 8B 4D E0 8B F1 83 C6 03 89 75 D0 03 D0 4A 89 55 D4 03 C1 83 E8 02 89 45 D8 8B 73 78 56 8D 7E 44 8D 75 CC A5 A5 A5 A5 5E 8B 83 80 00 00 00 50 8B 43 54 B9 68 01 00 00 99 F7 F9 8B CA 8B 43 78 8D 50 44 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8B 40 04 B2 01 E8 ?? ?? ?? ?? B2 01 8B 45 EC 8B 08 FF 51 30 83 45 DC 02 80 7D F7 00 74 13 8B 43 78 E8 ?? ?? ?? ?? 8B 55 DC 83 C2 04 03 C2 89 45 DC 8B 45 FC 8B 50 20 8B 45 EC E8 ?? ?? ?? ?? 80 BB 84 00 00 00 00 74 0E 8B 45 EC 8B 40 0C 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 DC 8B 4D 0C 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_93793_0 {
	meta:
		name = "TSeriesMarks.InternalDraw"
		size = 59
		refs = "0014 TSeriesMarks.UsePosition 0025 TSeriesMarks.MarkItem 0030 TSeriesMarks.DrawItem"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8D 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_93794_0 {
	meta:
		name = "TSeriesMarks.MarkItem"
		size = 30
		refs = "000e TSeriesMarks.GetItem"
	strings:
		$1 = { 53 8B D8 8B 43 64 3B 50 08 7D 0F 8B C3 E8 ?? ?? ?? ?? 85 C0 75 06 8B C3 5B C3 8B C3 5B C3 }
	condition:
		$1
}

rule function_93795_0 {
	meta:
		name = "TotalBounds"
		size = 230
		refs = "0014 TSeriesMarkPosition.Bounds 0021 TSeriesMarks.MarkItem 00c5 TSeriesMarks.ConvertTo2D"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D9 8B F2 8B F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B D7 E8 ?? ?? ?? ?? 8B 50 0C 80 7A 28 00 74 15 8B 52 10 8B 52 1C 01 53 08 8B 50 0C 8B 52 10 8B 52 1C 01 53 0C 8B 40 3C 80 78 20 00 74 25 8B 50 0C 85 D2 7E 05 01 53 08 EB 06 85 D2 7D 02 29 13 8B 50 1C 85 D2 7E 05 01 53 0C EB 07 85 D2 7D 03 29 53 04 8B 45 08 8B 40 FC 8B 40 34 85 C0 74 2B 80 78 20 00 74 25 8B 50 0C 85 D2 7E 04 01 13 EB 07 85 D2 7D 03 29 53 08 8B 50 1C 85 D2 7E 05 01 53 04 EB 07 85 D2 7D 03 29 53 0C 8B 03 89 45 F8 8B 43 04 89 45 FC 8D 45 F0 50 8D 56 10 8B 45 08 8B 40 FC 8D 4D F8 E8 ?? ?? ?? ?? 8B 03 2B 45 F8 29 03 29 43 08 8B 43 04 2B 45 FC 29 43 04 29 43 0C 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93796_0 {
	meta:
		name = "TSeriesMarks.AntiOverlap"
		size = 194
		refs = "0024 TotalBounds 0048 TSeriesMarksPositions.Get 0086 IntersectRect"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 8B D9 8B F2 89 45 FC 8B 7D 08 3B F3 0F 8D 9E 00 00 00 55 8D 4D BC 8B D7 8B C3 E8 ?? ?? ?? ?? 59 56 57 8D 75 BC 8D 7D EC A5 A5 A5 A5 5F 5E 4B 2B DE 7C 7D 43 87 F3 8B 45 FC 8B 40 74 8B D3 E8 ?? ?? ?? ?? 85 C0 74 65 55 8B 45 FC 8B 40 74 8B D3 E8 ?? ?? ?? ?? 8B D0 8D 4D BC 8B C3 E8 ?? ?? ?? ?? 59 56 57 8D 75 BC 8D 7D CC A5 A5 A5 A5 5F 5E 8D 45 EC 50 8D 45 CC 50 8D 45 DC 50 E8 ?? ?? ?? ?? 85 C0 74 27 8B 45 D0 8B 55 F0 3B C2 7E 09 8B 55 F8 2B D0 8B C2 EB 05 8B C2 2B 45 D8 29 47 24 29 47 14 80 7F 34 00 74 03 29 47 30 43 4E 75 86 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_93797_0 {
	meta:
		name = "TSeriesMarks.TextWidth"
		size = 315
		refs = "0018 TSeriesMarks.TextWidth 0033 TChartSeries.GetMarkText 003d TeeLineSeparator 0042 @UStrFromWChar 004d @UStrLAsg 0058 Pos 0072 @UStrCopy 0119 @UStrClr 0126 @UStrArrayClr 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B DA 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E4 8D 4D FC 8B 45 E8 8B 40 70 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 7E 8D 45 E0 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8B 45 E8 8B 40 08 8B 80 40 03 00 00 8B 08 FF 91 9C 00 00 00 3B 45 E4 7D 03 8B 45 E4 89 45 E4 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 FC 50 8D 53 01 8B CE 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F0 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 85 DB 75 82 83 7D FC 00 74 22 8B 45 E8 8B 40 08 8B 80 40 03 00 00 8B 55 FC 8B 08 FF 91 9C 00 00 00 3B 45 E4 7D 03 8B 45 E4 89 45 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 E4 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93798_0 {
	meta:
		name = "TSeriesMarks.GetArrowLength"
		size = 15
		refs = "0006 TSeriesMarks.GetCallout"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 54 5B C3 }
	condition:
		$1
}

rule function_93799_0 {
	meta:
		name = "TSeriesMarks.GetArrowPen"
		size = 15
		refs = "0006 TSeriesMarks.GetCallout"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 40 44 5B C3 }
	condition:
		$1
}

rule function_93801_0 {
	meta:
		name = "TSeriesMarks.Clear"
		size = 33
	strings:
		$1 = { 53 8B D8 8B 43 74 8B 10 FF 52 08 8B 43 64 80 78 14 00 75 0B 83 78 08 00 7E 05 8B 10 FF 52 08 5B C3 }
	condition:
		$1
}

rule function_93802_0 {
	meta:
		name = "TSeriesMarks.InitEmboss"
		size = 19
		refs = "000e TTeeShadow.InitValues"
		altNames = "TSeriesMarks.InitShadow"
	strings:
		$1 = { 6A 03 B9 80 80 80 00 8B C2 0F B6 52 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93804_0 {
	meta:
		name = "TSeriesMarks.ReadItems"
		size = 155
		refs = "003b _Dn_TReader 0040 TFiler.Create 005b TMarksItems.Get 0066 TReader.CheckValue 0071 TReader.ReadProperty 0078 TReader.EndOfList 0090 TObject.Free"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B DA 89 04 24 8D 54 24 04 B9 04 00 00 00 8B C3 8B 30 FF 56 0C 83 7C 24 04 00 0F 9F C0 8B 14 24 8B 52 64 88 42 14 84 C0 74 63 68 00 04 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 7C 24 04 4F 85 FF 7C 3E 47 33 ED 8B 04 24 8B 40 64 8B D5 E8 ?? ?? ?? ?? 8B F0 B2 01 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 EC 33 D2 8B C3 E8 ?? ?? ?? ?? 45 4F 75 C5 8B C3 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93805_0 {
	meta:
		name = "TSeriesMarks.WriteItems"
		size = 147
		refs = "0032 _Dn_TWriter 0037 TFiler.Create 004e TWriter.WriteValue 005b TMarksItems.Get 0075 TWriter.WriteProperties 0089 TObject.Free"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B DA 89 04 24 8B 04 24 8B 40 64 8B 40 08 89 44 24 04 8D 54 24 04 B9 04 00 00 00 8B C3 8B 30 FF 56 10 68 00 04 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 7C 24 04 4F 85 FF 7C 40 47 33 F6 B2 01 8B C3 E8 ?? ?? ?? ?? 8B 04 24 8B 40 64 8B D6 E8 ?? ?? ?? ?? 85 C0 74 16 8B 04 24 8B 40 64 8B D6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 46 4F 75 C3 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93806_0 {
	meta:
		name = "TSeriesMarks.DefineProperties"
		size = 76
		refs = "000b TTeeCustomShape.DefineProperties 0011 TSeriesMarks.ReadItems 0017 TSeriesMarks.WriteItems 0026 TSeriesMarks.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 43 64 83 78 08 00 0F 9F C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 08 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 74 00 65 00 6D 00 73 00 00 00 }
	condition:
		$1
}

rule function_93807_0 {
	meta:
		name = "TSeriesMarks.GetSymbol"
		size = 32
		refs = "000f _DV_TSeriesMarksSymbol 0014 TSeriesMarksSymbol.Create"
	strings:
		$1 = { 53 8B D8 83 7B 78 00 75 12 8B 4B 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 78 8B 43 78 5B C3 }
	condition:
		$1
}

rule function_93808_0 {
	meta:
		name = "TSeriesMarks.SetSymbol"
		size = 46
		refs = "000d TSeriesMarks.GetSymbol 0027 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 8D 43 78 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93809_0 {
	meta:
		name = "TSeriesMarks.SetTextAlign"
		size = 28
	strings:
		$1 = { 56 8B F0 3A 56 7C 74 12 88 56 7C 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_93810_0 {
	meta:
		name = "TSeriesMarks.SetParent"
		size = 46
		refs = "000b TTeeCustomShapeBrushPen.SetParent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 58 85 C0 74 07 8B D6 8B 08 FF 51 0C 8B 43 78 85 C0 74 07 8B D6 8B 08 FF 51 0C 5E 5B C3 }
	condition:
		$1
}

rule function_93811_0 {
	meta:
		name = "TTeeFunction.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TComponent.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 51 01 C6 46 39 00 C6 46 38 01 C6 46 49 01 C6 46 48 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_93812_0 {
	meta:
		name = "TTeeFunction.BeginUpdate"
		size = 5
	strings:
		$1 = { C6 40 50 01 C3 }
	condition:
		$1
}

rule function_93813_0 {
	meta:
		name = "TTeeFunction.EndUpdate"
		size = 16
		refs = "000b TTeeFunction.ReCalculate"
	strings:
		$1 = { 80 78 50 00 74 09 C6 40 50 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93814_0 {
	meta:
		name = "TTeeFunction.ReCalculate"
		size = 21
		refs = "0010 TChartSeries.CheckDataSource"
	strings:
		$1 = { 80 78 50 00 75 0E 83 78 4C 00 74 08 8B 40 4C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93815_0 {
	meta:
		name = "TTeeFunction.ValueList"
		size = 126
		refs = "0010 TTeeFunction.ValueList 002e @UStrLAsg 0038 @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 4C 85 FF 74 13 8D 45 FC 8B 97 60 01 00 00 8B 52 48 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 08 8B 9E 60 01 00 00 EB 0F 8B 55 FC 8B C6 8B 08 FF 91 58 01 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93816_0 {
	meta:
		name = "TTeeFunction.CalculateAllPoints"
		size = 360
		refs = "0031 TChartValueList.GetMinValue 0054 TTeeFunction.AddFunctionXY 005c TChartValueList.GetMaxValue 00a1 TChartValueList.Range 00a7 TTeeFunction.CalculateAllPoints"
	strings:
		$1 = { 53 56 57 55 83 C4 DC 89 0C 24 8B F2 8B D8 8B 7B 4C 6A FF 83 C9 FF 8B D6 8B C3 8B 28 FF 55 60 DD 5C 24 10 9B 80 BF 51 01 00 00 00 75 5B 8B 04 24 E8 ?? ?? ?? ?? DD 5C 24 08 9B FF 74 24 0C FF 74 24 0C FF 74 24 1C FF 74 24 1C 0F B6 96 6C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 04 24 E8 ?? ?? ?? ?? DD 5C 24 08 9B FF 74 24 0C FF 74 24 0C FF 74 24 1C FF 74 24 1C 0F B6 96 6C 01 00 00 8B C3 E8 ?? ?? ?? ?? E9 D1 00 00 00 80 BE 6C 01 00 00 00 75 55 8B 43 4C 80 B8 6C 01 00 00 00 74 49 8B 04 24 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DB 7C 24 18 9B 8B 04 24 E8 ?? ?? ?? ?? DB 6C 24 18 DE C1 DD 5C 24 08 9B FF 74 24 0C FF 74 24 0C FF 74 24 1C FF 74 24 1C B9 00 00 00 20 33 D2 8B C7 8B 18 FF 93 00 01 00 00 EB 73 8B 04 24 E8 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DB 7C 24 18 9B 8B 04 24 E8 ?? ?? ?? ?? DB 6C 24 18 DE C1 DD 5C 24 08 9B 8B 43 4C 80 B8 6C 01 00 00 00 74 20 FF 74 24 0C FF 74 24 0C FF 74 24 1C FF 74 24 1C 0F B6 96 6C 01 00 00 8B C3 E8 ?? ?? ?? ?? EB 21 FF 74 24 14 FF 74 24 14 FF 74 24 14 FF 74 24 14 B9 00 00 00 20 33 D2 8B C7 8B 18 FF 93 00 01 00 00 83 C4 24 5D 5F 5E 5B C3 00 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_93817_0 {
	meta:
		name = "TTeeFunction.CalculatePeriod"
		size = 65
		refs = "0035 TTeeFunction.AddFunctionXY"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 FF 75 10 FF 75 0C 8B 45 08 50 8B 4D FC 8B D6 8B C3 8B 38 FF 57 60 83 C4 F8 DD 1C 24 9B 0F B6 96 6C 01 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_93818_0 {
	meta:
		name = "TTeeFunction.CalculateByPeriod"
		size = 504
		refs = "0021 TChartSeries.Count 0048 FindDateTimeStep 0064 @ROUND 00d3 TChartAxis.IncDecDateTime 00d9 TTeeFunction.CalculateByPeriod 01bd TTeeFunction.AddFunctionXY"
	strings:
		$1 = { 53 56 57 55 83 C4 C8 89 4C 24 04 89 14 24 8B F0 8B 46 4C 89 44 24 34 33 C0 89 44 24 10 8B 04 24 E8 ?? ?? ?? ?? 8B F8 8B 44 24 04 8B 40 54 8B 54 24 10 8B 0C D0 89 4C 24 18 8B 4C D0 04 89 4C 24 1C FF 76 44 FF 76 40 E8 ?? ?? ?? ?? 88 44 24 30 33 C0 89 44 24 28 89 44 24 2C 80 7E 48 00 75 45 DD 46 40 E8 ?? ?? ?? ?? 8B D8 03 5C 24 10 4B 8B 44 24 04 8B 40 54 8B 54 24 10 8B 0C D0 89 4C 24 20 8B 4C D0 04 89 4C 24 24 3B FB 7E 7B 8B 44 24 04 8B 40 54 8B 14 D8 89 54 24 28 8B 54 D8 04 89 54 24 2C EB 63 8B 5C 24 10 8B 44 24 18 89 44 24 20 8B 44 24 1C 89 44 24 24 FF 76 44 FF 76 40 0F B6 44 24 38 50 8D 4C 24 24 8B 44 24 40 8B 40 74 B2 01 E8 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DC 4E 40 DC 6C 24 18 DD 5C 24 28 9B EB 16 8B 44 24 04 8B 40 54 DD 44 D8 08 DC 5C 24 18 9B DF E0 9E 73 08 43 8B C7 48 3B D8 7C E3 C6 44 24 31 00 3B FB 0F 8E AC 00 00 00 0F B6 46 49 84 C0 75 12 8B 44 24 20 89 44 24 08 8B 44 24 24 89 44 24 0C EB 29 3C 02 75 12 8B 44 24 28 89 44 24 08 8B 44 24 2C 89 44 24 0C EB 13 DD 44 24 20 DC 44 24 28 D8 0D ?? ?? ?? ?? DD 5C 24 08 9B 0F B6 56 48 80 FA 01 75 1D 8B 44 24 04 8B 40 54 8B 4C 24 10 DD 04 C8 DC 5C 24 18 9B DF E0 9E 73 05 C6 44 24 31 01 84 D2 0F 94 C0 0A 44 24 31 74 1A FF 74 24 0C FF 74 24 0C 53 8B 4C 24 1C 8B 54 24 0C 8B C6 8B 28 FF 55 40 EB 1E FF 74 24 0C FF 74 24 0C 6A 00 6A 00 8B 44 24 10 0F B6 90 6C 01 00 00 8B C6 E8 ?? ?? ?? ?? 80 7E 48 00 0F 94 C0 0A 44 24 31 74 05 43 89 5C 24 10 8B C7 48 3B 44 24 10 0F 8D 70 FE FF FF 83 C4 38 5D 5F 5E 5B C3 3B DF 4F 8D 97 6E 12 83 F5 3F 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_93820_0 {
	meta:
		name = "TTeeFunction.AddFunctionXY"
		size = 79
	strings:
		$1 = { 55 8B EC 53 56 8B F0 84 D2 74 20 FF 75 14 FF 75 10 FF 75 0C FF 75 08 B9 00 00 00 20 33 D2 8B 46 4C 8B 18 FF 93 00 01 00 00 EB 1E FF 75 0C FF 75 08 FF 75 14 FF 75 10 B9 00 00 00 20 33 D2 8B 46 4C 8B 18 FF 93 00 01 00 00 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_93821_0 {
	meta:
		name = "CalculateFunctionMany"
		size = 401
		refs = "0012 CalculateFunctionMany 0037 TChartSeries.GetDataSources 0050 TList.Get 0067 TChartSeries.Count 0148 TLabelsList.GetLabel 017e @UStrClr 0184 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C0 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 68 01 00 00 89 45 EC 8B 45 08 8B 40 F8 8B 78 4C 8B C7 E8 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 60 46 33 DB 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 85 C0 74 47 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5A 3B D0 7E 23 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 55 08 89 42 FC 8B 45 08 8B 40 FC 8B 80 68 01 00 00 89 45 EC 43 4E 75 A3 83 7D EC 00 0F 84 C0 00 00 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C AA 00 00 00 46 33 DB 8B 45 EC 8B 40 54 8B 14 D8 89 55 F8 8B 54 D8 04 89 55 FC 8B 45 08 8B 40 F8 8B 40 4C E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F8 8B CB 8B 38 FF 57 64 DD 5D F0 9B 8B 45 08 8B 40 FC 80 B8 6C 01 00 00 00 75 24 8B 45 F8 89 45 E0 8B 45 FC 89 45 E4 8B 45 F0 89 45 F8 8B 45 F4 89 45 FC 8B 45 E0 89 45 F0 8B 45 E4 89 45 F4 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 4D DC 8B 45 08 8B 40 FC 8B 40 7C 8B D3 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 08 8B 40 F8 8B 40 4C B9 00 00 00 20 8B 38 FF 97 00 01 00 00 43 4E 0F 85 59 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93822_0 {
	meta:
		name = "MaxCountSources"
		size = 84
		refs = "0015 TChartSeries.GetDataSources 0038 TList.Get 003d TChartSeries.Count"
	strings:
		$1 = { 55 8B EC 53 56 57 33 DB 8B 45 08 8B 40 08 8B 40 F8 8B 40 4C E8 ?? ?? ?? ?? 8B 70 08 4E 85 F6 7C 2C 46 33 FF 8B 45 08 8B 40 08 8B 40 F8 8B 40 4C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B C3 7D 02 8B C3 8B D8 47 4E 75 D7 8B C3 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_93823_0 {
	meta:
		name = "CommonX"
		size = 108
		refs = "0018 TChartSeries.GetDataSources 003b TList.Get 004e TChartValueList.Locate"
	strings:
		$1 = { 55 8B EC 51 53 56 57 C6 45 FF 01 8B 45 10 8B 40 08 8B 40 F8 8B 40 4C E8 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 3C 43 33 F6 8B 45 10 8B 40 08 8B 40 F8 8B 40 4C E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B B8 68 01 00 00 FF 75 0C FF 75 08 8B C7 E8 ?? ?? ?? ?? 85 C0 7D 06 C6 45 FF 00 EB 04 46 4B 75 C7 0F B6 45 FF 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_93824_0 {
	meta:
		name = "CalculateFunctionManyByValue"
		size = 728
		refs = "001b CalculateFunctionManyByValue 0027 MaxCountSources 0035 _DV_TChartValueList 003a TChartValueList.Create 0044 _Dn_TStringList 0049 TStringList.Create 008c TChartSeries.GetDataSources 00b0 TList.Get 00e9 TLabelsList.GetLabel 010f CurrencyString 0114 FloatToStr 0131 TChartValueList.Sort 0170 TChartValueList.Locate 0206 @UStrClr 0212 CommonX 0293 TObject.Free 02a1 @HandleFinally 02c5 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 56 57 33 C0 89 45 AC 89 45 FC 89 45 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 E8 ?? ?? ?? ?? 59 8B D8 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 4B 85 DB 0F 8C 1B 02 00 00 43 89 5D CC C7 45 F0 00 00 00 00 8B 45 E8 8B 10 FF 52 10 8B 45 E4 8B 10 FF 52 44 8B 45 08 8B 40 F8 8B 40 4C E8 ?? ?? ?? ?? 8B 70 08 4E 85 F6 0F 8C 91 00 00 00 46 33 FF 8B 45 08 8B 40 F8 8B 40 4C E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 8B 98 68 01 00 00 8B 43 04 3B 45 F0 7E 5D 8B 43 54 8B 55 F0 FF 74 D0 04 FF 34 D0 8B 45 E8 8B 10 FF 52 0C 8D 4D AC 8B 45 EC 8B 40 7C 8B D7 E8 ?? ?? ?? ?? 83 7D AC 00 74 32 8B 43 54 8B 55 F0 DD 04 D0 DB 7D C0 9B 0F B7 45 C8 50 FF 75 C4 FF 75 C0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF 8B 55 F8 8B 45 E4 8B 18 FF 53 3C 47 4E 0F 85 72 FF FF FF 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 8B 70 04 4E 85 F6 0F 8C 32 01 00 00 46 33 FF 8B 45 E8 8B 40 54 8B 14 F8 89 55 D8 8B 54 F8 04 89 55 DC FF 75 DC FF 75 D8 8B 45 08 8B 40 F8 8B 40 4C 8B 80 68 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8D F2 00 00 00 FF 75 DC FF 75 D8 8B 45 08 8B 40 F8 8B 40 4C E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 F8 8B 08 FF 51 68 DD 5D D0 9B DD 45 D8 DB 7D B0 9B 0F B7 45 B8 50 FF 75 B4 FF 75 B0 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 E4 8B 08 FF 51 54 8B D8 85 DB 7C 31 8B D3 8B 45 E4 8B 08 FF 51 18 8B D8 8B 45 08 8B 40 F8 8B 40 4C E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 40 7C 8D 4D FC 8B 55 F0 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 55 FF 75 DC FF 75 D8 E8 ?? ?? ?? ?? 59 84 C0 74 27 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 8B 45 08 8B 40 F8 8B 40 4C B9 00 00 00 20 8B 55 FC 8B 18 FF 93 00 01 00 00 EB 2C 8B 45 08 8B 40 F8 80 78 38 00 74 20 FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 8B 45 08 8B 40 F8 8B 40 4C 8B 55 FC 8B 08 FF 91 FC 00 00 00 47 4E 0F 85 D1 FE FF FF FF 45 F0 FF 4D CC 0F 85 F0 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93825_0 {
	meta:
		name = "TTeeFunction.AddPoints"
		size = 111
		refs = "0025 TChartSeries.GetDataSources 003a CalculateFunctionMany 0043 CalculateFunctionManyByValue 004e TChartSeries.Count"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 F8 80 78 50 00 75 54 83 7D FC 00 74 4E 8B 45 F8 8B 58 4C 8B C3 E8 ?? ?? ?? ?? 83 78 08 01 7E 1B 8B 45 F8 80 78 39 00 75 09 55 E8 ?? ?? ?? ?? 59 EB 29 55 E8 ?? ?? ?? ?? 59 EB 20 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 14 8B 45 FC 8B 88 68 01 00 00 8B 55 FC 8B 45 F8 8B 18 FF 53 54 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93826_0 {
	meta:
		name = "TTeeFunction.DoCalculation"
		size = 44
		refs = "0009 TTeeFunction.DoCalculation"
	strings:
		$1 = { 53 56 8B F0 DD 46 40 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0A 8B C6 8B 18 FF 53 4C 5E 5B C3 8B C6 8B 18 FF 53 50 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_93827_0 {
	meta:
		name = "TTeeFunction.SetParentSeries"
		size = 31
	strings:
		$1 = { 53 8B 48 4C 3B D1 74 15 85 C9 74 08 33 DB 89 99 C4 00 00 00 92 8B 08 FF 91 7C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_93828_0 {
	meta:
		name = "TTeeFunction.AddValue"
		size = 20
	strings:
		$1 = { 55 8B EC 8B 45 08 89 04 CA 8B 45 0C 89 44 CA 04 5D C2 08 00 }
	condition:
		$1
}

rule function_93830_0 {
	meta:
		name = "TTeeFunction.Calculate"
		size = 259
		refs = "001c TTeeFunction.Calculate 0031 TChartSeries.Count 004e TChartValues 0053 @DynArraySetLength 0073 TChartSeries.IsNull 00a2 TTeeFunction.ValueList 00eb @DynArrayClear 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 8B F1 89 55 F8 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FE FF 75 0D 33 F6 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 4F 80 7B 38 00 74 1C 8B C7 2B C6 40 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 EC 2B FE 7C 63 47 89 7D E8 80 7B 38 00 75 0E 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 45 80 7B 38 00 75 1B 8B 45 EC 40 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 40 54 FF 74 F0 04 FF 34 F0 8B 4D EC 8B 55 FC 8B C3 8B 38 FF 57 44 FF 45 EC 46 FF 4D E8 75 A1 8B 55 FC 8B C3 8B 08 FF 51 48 DD 5D F0 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA DD 45 F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_93831_0 {
	meta:
		name = "TTeeFunction.CalculateMany"
		size = 281
		refs = "001a TTeeFunction.CalculateMany 003b TChartValues 0040 @DynArraySetLength 0067 TList.Get 0072 TTeeFunction.ValueList 008f TChartSeries.IsNull 0103 @DynArrayClear 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 38 00 74 1D 8B 45 F8 8B 40 08 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 E0 8B 45 F8 8B 40 08 48 85 C0 0F 8C 83 00 00 00 40 89 45 DC 33 F6 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 8B 40 04 3B 45 F4 7E 54 80 7B 38 00 75 0D 8B D6 8B C7 E8 ?? ?? ?? ?? 84 C0 75 41 80 7B 38 00 75 1B 8B 45 E0 40 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 E4 8B 40 54 8B 55 F4 FF 74 D0 04 FF 34 D0 8B 4D E0 8B 55 FC 8B C3 8B 38 FF 57 44 FF 45 E0 46 FF 4D DC 75 83 8B 55 FC 8B C3 8B 08 FF 51 48 DD 5D E8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA DD 45 E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93832_0 {
	meta:
		name = "TTeeFunction.CalculateManyByValue"
		size = 301
		refs = "0017 TTeeFunction.CalculateManyByValue 0038 TChartValues 003d @DynArraySetLength 006a TList.Get 0075 TTeeFunction.ValueList 0089 TChartValueList.Locate 009e TChartSeries.IsNull 0115 @DynArrayClear 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 38 00 74 1D 8B 45 F8 8B 40 08 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 E8 8B 45 F8 8B 40 08 48 85 C0 0F 8C 98 00 00 00 40 89 45 E0 C7 45 EC 00 00 00 00 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 89 45 E4 8B 83 68 01 00 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 51 80 7E 38 00 75 0D 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 3E 80 7E 38 00 75 1B 8B 45 E8 40 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 E4 8B 40 54 FF 74 F8 04 FF 34 F8 8B 4D E8 8B 55 FC 8B C6 8B 18 FF 53 44 FF 45 E8 FF 45 EC FF 4D E0 0F 85 73 FF FF FF 8B 55 FC 8B C6 8B 08 FF 51 48 DD 5D F0 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA DD 45 F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_93833_0 {
	meta:
		name = "TTeeFunction.Assign"
		size = 68
		refs = "000a _DV_TTeeFunction 000f @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2A 8B C6 0F B6 50 39 88 53 39 0F B6 50 38 88 53 38 8B 50 40 89 53 40 8B 50 44 89 53 44 0F B6 50 48 88 53 48 0F B6 40 49 88 43 49 5E 5B C3 }
	condition:
		$1
}

rule function_93836_0 {
	meta:
		name = "TTeeFunction.InternalSetPeriod"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 40 8B 55 0C 89 50 44 5D C2 08 00 }
	condition:
		$1
}

rule function_93837_0 {
	meta:
		name = "TTeeFunction.SetPeriod"
		size = 84
		refs = "000a TTeeFunction.SetPeriod 0016 TeeMsg_FunctionPeriod 001f _DV_ChartException 0024 Exception.Create 0029 @RaiseExcept 0048 TTeeFunction.ReCalculate"
	strings:
		$1 = { 55 8B EC 8B D0 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? DD 42 40 DC 5D 08 9B DF E0 9E 74 13 8B 45 08 89 42 40 8B 45 0C 89 42 44 8B C2 E8 ?? ?? ?? ?? 5D C2 08 00 00 00 00 00 }
	condition:
		$1
}

rule function_93838_0 {
	meta:
		name = "TTeeFunction.SetPeriodAlign"
		size = 14
		refs = "0009 TTeeFunction.ReCalculate"
	strings:
		$1 = { 3A 50 49 74 08 88 50 49 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93844_0 {
	meta:
		name = "TTeeMovingFunction.Create"
		size = 75
		refs = "000a @ClassCreate 0017 TTeeFunction.Create 0025 TTeeFunction.InternalSetPeriod 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 68 00 00 F0 3F 6A 00 8B C6 E8 ?? ?? ?? ?? C6 46 53 01 C6 46 49 02 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_93845_0 {
	meta:
		name = "TTeeMovingFunction.DoCalculation"
		size = 232
		refs = "0014 @ROUND 0025 TChartSeries.Count 007d TTeeMovingFunction.DoCalculation 00ce TTeeFunction.AddFunctionXY"
	strings:
		$1 = { 53 56 57 55 83 C4 E8 89 4C 24 04 89 14 24 8B F0 DD 46 40 E8 ?? ?? ?? ?? 89 44 24 08 8B 5C 24 08 4B 8B 04 24 E8 ?? ?? ?? ?? 8B F8 4F 2B FB 0F 8C A6 00 00 00 47 0F B6 46 49 2C 01 72 04 74 21 EB 47 8B C3 2B 44 24 08 8B 54 24 04 8B 52 54 8B 4C C2 08 89 4C 24 10 8B 4C C2 0C 89 4C 24 14 EB 3E 8B C3 2B 44 24 08 8B 54 24 04 8B 52 54 DD 44 C2 08 8B 44 24 04 8B 40 54 DC 04 D8 D8 0D ?? ?? ?? ?? DD 5C 24 10 9B EB 16 8B 44 24 04 8B 40 54 8B 14 D8 89 54 24 10 8B 54 D8 04 89 54 24 14 FF 74 24 14 FF 74 24 14 53 8B CB 2B 4C 24 14 41 8B 54 24 0C 8B C6 8B 28 FF 55 60 83 C4 F8 DD 1C 24 9B 8B 44 24 10 0F B6 90 6C 01 00 00 8B C6 E8 ?? ?? ?? ?? 43 4F 0F 85 5B FF FF FF 83 C4 18 5D 5F 5E 5B C3 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_93846_0 {
	meta:
		name = "TTeeFunction.GetEditorClass"
		size = 72
		refs = "0006 TTeeFunction.GetEditorClass 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 54 00 54 00 65 00 65 00 46 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_93847_0 {
	meta:
		name = "TTeeFunction.PrepareForGallery"
		size = 52
		refs = "0009 TCustomAxisPanel.SeriesCount 001c TCustomAxisPanel.GetSeries 0027 @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B EA 8B C5 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1B 43 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? B2 01 66 BE EC FF E8 ?? ?? ?? ?? 47 4B 75 E8 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93848_0 {
	meta:
		name = "TCustomChartElement.Create"
		size = 97
		refs = "000a @ClassCreate 0017 TComponent.Create 0029 _Dn_TChartBrush 002e TChartBrush.Create 0038 TCustomChartElement.CreateChartPen 004e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 38 01 56 8B 06 8B 40 40 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C 8B C6 E8 ?? ?? ?? ?? 89 46 44 C6 46 48 01 C6 46 4A 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_93849_0 {
	meta:
		name = "TCustomChartElement.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 000f TObject.Free 002b TComponent.Destroy 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 44 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 4C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93850_0 {
	meta:
		name = "TCustomChartElement.Assign"
		size = 74
		refs = "000b _DV_TCustomChartElement 0010 @IsClass 0027 TCustomChartElement.SetBrush 0042 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 8B FE 0F B6 47 38 88 43 38 8B 57 3C 8B C3 E8 ?? ?? ?? ?? 8B 57 44 8B C3 8B 08 FF 51 50 8B 47 0C 89 43 0C EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93852_0 {
	meta:
		name = "TCustomChartElement.CreateChartPen"
		size = 20
		refs = "000a _Dn_TChartPen 000f TChartPen.Create"
	strings:
		$1 = { 50 8B 00 8B 40 40 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93853_0 {
	meta:
		name = "TCustomChartElement.EditorClass"
		size = 16
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 FF 50 44 5E 5B C3 }
	condition:
		$1
}

rule function_93857_0 {
	meta:
		name = "TCustomChartElement.Repaint"
		size = 20
	strings:
		$1 = { 56 8B 70 40 85 F6 74 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_93858_0 {
	meta:
		name = "TCustomChartElement.SetActive"
		size = 11
		refs = "0006 TCustomChartElement.SetBooleanProperty"
	strings:
		$1 = { 8D 48 38 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93862_0 {
	meta:
		name = "TCustomChartElement.SetDoubleProperty"
		size = 38
		refs = "001e TCustomChartElement.Repaint"
	strings:
		$1 = { 55 8B EC 8B C8 DD 02 DC 5D 08 9B DF E0 9E 74 12 8B 45 08 89 02 8B 45 0C 89 42 04 8B C1 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_93864_0 {
	meta:
		name = "TCustomChartElement.SetStringProperty"
		size = 40
		refs = "000e @UStrEqual 0019 @UStrAsg 0020 TCustomChartElement.Repaint"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 06 8B D7 E8 ?? ?? ?? ?? 74 10 8B C6 8B D7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93866_0 {
	meta:
		name = "TCustomChartElement.SetParentComponent"
		size = 35
		refs = "000a _DV_TCustomAxisPanel 000f @IsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B D6 8B C3 8B 08 FF 51 4C 5E 5B C3 }
	condition:
		$1
}

rule function_93868_0 {
	meta:
		name = "TCustomChartSeries.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TCustomChartElement.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 54 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_93870_0 {
	meta:
		name = "TCustomChartSeries.Assign"
		size = 86
		refs = "000b _DV_TCustomChartSeries 0010 @IsClass 0021 @UStrAsg 004e TCustomChartElement.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 31 8D 43 4C 8B FE 8B 57 4C E8 ?? ?? ?? ?? 8D 43 50 8B 57 50 E8 ?? ?? ?? ?? 0F B6 47 54 88 43 54 0F B6 47 55 88 43 55 8D 43 58 8B 57 58 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93871_0 {
	meta:
		name = "TCustomChartSeries.GetIndex"
		size = 24
		refs = "000f TList.IndexOf"
	strings:
		$1 = { 8B 50 40 85 D2 74 0D 8B 92 B4 03 00 00 92 E8 ?? ?? ?? ?? C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_93872_0 {
	meta:
		name = "TCustomChartSeries.DefineProperties"
		size = 152
		refs = "000c TComponent.DefineProperties 0012 TCustomChartSeries.ReadIdentifier 0018 TCustomChartSeries.WriteIdentifier 0024 TCustomChartSeries.DefineProperties 0031 TCustomChartSeries.ReadStyle 0037 TCustomChartSeries.WriteStyle"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 83 7B 4C 00 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 04 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 3A 43 55 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 64 00 65 00 6E 00 74 00 69 00 66 00 69 00 65 00 72 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 53 00 74 00 79 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_93873_0 {
	meta:
		name = "TCustomChartSeries.ReadIdentifier"
		size = 80
		refs = "000f TCustomChartSeries.ReadIdentifier 001f TReader.ReadString 002a @UStrAsg 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93874_0 {
	meta:
		name = "TCustomChartSeries.WriteIdentifier"
		size = 10
		refs = "0005 TWriter.WriteString"
	strings:
		$1 = { 8B 40 4C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93875_0 {
	meta:
		name = "TCustomChartSeries.ReadStyle"
		size = 200
		refs = "0007 TReader.ReadInteger 0010 TCustomChartSeries.ReadStyle"
	strings:
		$1 = { 53 56 8B D8 8B C2 E8 ?? ?? ?? ?? 8B F0 0F B6 05 ?? ?? ?? ?? 88 43 55 B8 01 00 00 00 23 C6 48 75 0D 0F B6 05 ?? ?? ?? ?? 0A 43 55 88 43 55 B8 02 00 00 00 23 C6 83 F8 02 75 0D 0F B6 05 ?? ?? ?? ?? 0A 43 55 88 43 55 B8 04 00 00 00 23 C6 83 F8 04 75 0D 0F B6 05 ?? ?? ?? ?? 0A 43 55 88 43 55 B8 08 00 00 00 23 C6 83 F8 08 75 0D 0F B6 05 ?? ?? ?? ?? 0A 43 55 88 43 55 B8 10 00 00 00 23 C6 83 F8 10 75 0D 0F B6 05 ?? ?? ?? ?? 0A 43 55 88 43 55 83 E6 20 83 FE 20 75 0D 0F B6 05 ?? ?? ?? ?? 0A 43 55 88 43 55 5E 5B C3 00 00 00 00 00 00 01 00 00 00 02 00 00 00 04 00 00 00 08 00 00 00 10 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_93876_0 {
	meta:
		name = "TCustomChartSeries.WriteStyle"
		size = 66
		refs = "003c TWriter.WriteInteger"
	strings:
		$1 = { 56 33 F6 F6 40 55 01 74 01 46 F6 40 55 02 74 03 83 C6 02 F6 40 55 04 74 03 83 C6 04 F6 40 55 08 74 03 83 C6 08 F6 40 55 10 74 03 83 C6 10 F6 40 55 20 74 03 83 C6 20 8B C2 8B D6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_93877_0 {
	meta:
		name = "TCustomChartSeries.CalcHorizMargins"
		size = 9
		altNames = "TCustomChartSeries.CalcVerticalMargins"
	strings:
		$1 = { 33 C0 89 02 33 C0 89 01 C3 }
	condition:
		$1
}

rule function_93881_0 {
	meta:
		name = "TCustomChartSeries.Removed"
		size = 6
	strings:
		$1 = { 33 D2 89 50 40 C3 }
	condition:
		$1
}

rule function_93882_0 {
	meta:
		name = "TCustomChartSeries.SameClass"
		size = 45
		refs = "0010 @IsClass"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 07 89 C6 8B C3 8B D6 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 0D 8B 03 89 C6 8B C7 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93883_0 {
	meta:
		name = "TCustomChartSeries.RepaintDesigner"
		size = 34
		refs = "001c @CallDynaInst"
	strings:
		$1 = { 56 8B 50 40 85 D2 74 18 83 BA 50 04 00 00 00 74 0F 8B 82 50 04 00 00 66 BE FE FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_93884_0 {
	meta:
		name = "TCustomChartSeries.SetActive"
		size = 40
		refs = "000b TCustomChartElement.SetActive 001b TCustomAxisPanel.BroadcastSeriesEvent 0022 TCustomChartSeries.RepaintDesigner"
	strings:
		$1 = { 53 8B D8 3A 53 38 74 1E 8B C3 E8 ?? ?? ?? ?? 8B 43 40 85 C0 74 09 B1 05 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93885_0 {
	meta:
		name = "TCustomChartSeries.SetLegendTitle"
		size = 11
		refs = "0006 TCustomChartElement.SetStringProperty"
	strings:
		$1 = { 8D 48 50 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93886_0 {
	meta:
		name = "TCustomChartSeries.SetShowInLegend"
		size = 19
		refs = "000e TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 83 C0 54 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93887_0 {
	meta:
		name = "TCustomChartSeries.SetTitle"
		size = 41
		refs = "000c TCustomChartElement.SetStringProperty 001c TCustomAxisPanel.BroadcastSeriesEvent 0023 TCustomChartSeries.RepaintDesigner"
	strings:
		$1 = { 53 8B D8 8D 43 58 8B CA 8B D3 92 E8 ?? ?? ?? ?? 8B 43 40 85 C0 74 09 B1 02 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93890_0 {
	meta:
		name = "TVisualsList.DeleteVisual"
		size = 51
		refs = "0023 TObject.Free 002c TList.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 1C 8B 43 04 83 3C B0 00 74 13 8B 43 04 8B 04 B0 8B 50 04 3B 53 10 75 05 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93891_0 {
	meta:
		name = "CloneVisual"
		size = 42
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 13 89 D0 8B 55 08 8B 52 FC 8B 4A 10 B2 01 FF 50 38 8B F0 8B D3 8B C6 8B 08 FF 51 08 8B C6 5E 5B 5D C3 }
	condition:
		$1
}

rule function_93892_0 {
	meta:
		name = "TVisualsList.GetVisual"
		size = 97
		refs = "0033 CloneVisual 0040 TVisualsList.SetVisual"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B 45 FC 3B 58 08 7D 0C 8B 45 FC 8B 40 04 83 3C 98 00 75 34 8B 45 FC 8B 70 14 85 F6 74 26 80 7E 40 00 74 20 55 8B C6 E8 ?? ?? ?? ?? 59 8B C8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 04 98 EB 0D 33 C0 EB 09 8B 45 FC 8B 40 04 8B 04 98 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93893_0 {
	meta:
		name = "TVisualsList.SetTemplate"
		size = 52
		refs = "0015 TComponent.RemoveFreeNotification 0026 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 14 3B F0 74 24 85 C0 74 08 8B 53 10 E8 ?? ?? ?? ?? 8B C6 89 43 14 85 C0 74 08 8B 53 10 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 08 5E 5B C3 }
	condition:
		$1
}

rule function_93894_0 {
	meta:
		name = "AddPending"
		size = 51
		refs = "0029 TList.Add"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC 8B 40 08 8B 55 08 3B 42 F8 7F 1B 8B 55 08 8B 5A F8 2B D8 7C 11 43 8B 45 08 8B 40 FC 33 D2 E8 ?? ?? ?? ?? 4B 75 F0 5B 5D C3 }
	condition:
		$1
}

rule function_93895_0 {
	meta:
		name = "TVisualsList.SetVisual"
		size = 139
		refs = "0041 TObject.Free 006a AddPending 0082 TCustomChartElement.Repaint"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D9 89 55 F8 89 45 FC 8B 45 FC 8B 40 08 3B 45 F8 7E 2B 8B 45 FC 8B 40 04 8B 55 F8 83 3C 90 00 74 1C 8B 45 FC 8B 40 04 8B 55 F8 8B 04 90 8B 50 04 8B 4D FC 3B 51 10 75 05 E8 ?? ?? ?? ?? 85 DB 75 1F 8B 45 FC 8B 40 08 85 C0 7E 28 3B 45 F8 7E 23 8B 45 FC 8B 40 04 8B 55 F8 33 C9 89 0C 90 EB 13 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 04 8B 55 F8 89 1C 90 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93896_0 {
	meta:
		name = "InternalInsert"
		size = 56
		refs = "0014 TList.Add 0030 TList.Insert"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 5D 08 83 C3 FC EB 09 8B 03 33 D2 E8 ?? ?? ?? ?? 8B 03 8B 40 08 8B 55 08 3B 42 F8 7C EA 8B 45 08 8B 50 F8 8B 03 8B CE E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_93897_0 {
	meta:
		name = "TVisualsList.InsertVisual"
		size = 49
		refs = "001d InternalInsert"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 85 C9 75 14 8B 45 FC 83 78 08 00 7E 14 55 33 C0 E8 ?? ?? ?? ?? 59 EB 09 55 8B C1 E8 ?? ?? ?? ?? 59 59 59 5D C3 }
	condition:
		$1
}

rule function_93898_0 {
	meta:
		name = "TVisualsList.Assign"
		size = 55
		refs = "001f TVisualsList.GetVisual 002a TVisualsList.InsertVisual"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 8B 10 FF 52 08 8B 75 08 4E 85 F6 7C 1B 46 33 DB 8B D3 8B C5 E8 ?? ?? ?? ?? 8B C8 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 75 E8 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93899_0 {
	meta:
		name = "TVisualsList.Clear"
		size = 67
		refs = "0028 TObject.Free 0034 TCustomChartElement.Repaint 003b TList.Clear"
	strings:
		$1 = { 53 56 57 8B D8 8B 7B 08 4F 85 FF 7C 23 47 33 F6 8B 43 04 83 3C B0 00 74 13 8B 43 04 8B 04 B0 8B 50 04 3B 53 10 75 05 E8 ?? ?? ?? ?? 46 4F 75 E0 8B 43 10 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93900_0 {
	meta:
		name = "TVisualsList.Edit"
		size = 95
		refs = "0007 TeeOnEditVisual 003a TVisualsList.GetVisual 0058 TCustomChartElement.Repaint"
	strings:
		$1 = { 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 83 38 00 74 4C 83 FE FF 75 20 8B 35 ?? ?? ?? ?? 8B 36 8B 43 10 8B 40 40 8B 53 14 FF D6 84 C0 74 30 8B C3 8B 10 FF 52 08 EB 27 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 35 ?? ?? ?? ?? 8B 36 8B 43 10 8B 40 40 FF D6 84 C0 74 08 8B 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93901_0 {
	meta:
		name = "TChartSeries.Create"
		size = 416
		refs = "000e @ClassCreate 001c TCustomChartSeries.Create 0042 _DV_TChartValueLists 0047 TObject.Create 0052 TeeMsg_ValuesX 005e _DV_TChartValueList 0063 TChartValueList.Create 007a TeeMsg_ValuesY 00a7 _DV_TLabelsList 00bb _DV_TVisualsList 00eb _DV_TSeriesMarks 00f0 TSeriesMarks.Create 0102 TeeMsg_DefValueFormat 0109 @UStrAsg 0115 TeeMsg_DefPercentFormat 0123 _DV_TCustomSeriesList 0135 TChartSeries.Create 0186 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C7 83 BC 00 00 00 FF FF FF FF C7 43 70 FF FF FF FF C6 83 B0 00 00 00 01 C6 83 C0 00 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 98 00 00 00 A1 ?? ?? ?? ?? 8B 00 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A0 00 00 00 C6 46 24 01 89 B3 68 01 00 00 A1 ?? ?? ?? ?? 8B 00 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A4 00 00 00 89 B3 60 01 00 00 C6 83 6C 01 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 7C 89 5E 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 9C 00 00 00 89 5E 10 C7 43 5C 00 00 00 20 C7 83 CC 00 00 00 00 00 00 20 66 C7 43 68 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 88 00 00 00 8D 83 94 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 83 8C 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 84 00 00 00 0F B6 05 ?? ?? ?? ?? 88 83 C1 00 00 00 C7 83 28 01 00 00 FF FF FF FF C7 83 2C 01 00 00 FF FF FF FF C6 83 51 01 00 00 01 C6 83 4F 01 00 00 01 C6 83 3C 01 00 00 01 C6 83 3D 01 00 00 01 33 C0 89 83 A8 00 00 00 89 83 AC 00 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 0F 00 00 00 }
	condition:
		$1
}

rule function_93902_0 {
	meta:
		name = "TChartSeries.Destroy"
		size = 260
		refs = "0005 @BeforeDestruction 0025 TObject.Free 002c TChartSeries.RemoveAllLinkedSeries 0033 TChartSeries.GetDataSource 0081 TCustomSeriesList.Get 0088 TChartSeries.RemoveDataSource 00f0 TCustomChartElement.Destroy 00fb @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 83 BD C4 00 00 00 00 74 13 8D 85 C4 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 85 C0 74 18 8B C5 E8 ?? ?? ?? ?? 3B 68 04 75 0C 8B C5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 6C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 85 84 00 00 00 85 C0 74 23 8B 70 08 4E 85 F6 7C 1B 46 33 FF 8B 85 84 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 47 4E 75 E8 8B C5 8B 10 FF 92 08 01 00 00 8D 85 84 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 85 98 00 00 00 E8 ?? ?? ?? ?? 8B 85 24 01 00 00 E8 ?? ?? ?? ?? 8B 85 9C 00 00 00 E8 ?? ?? ?? ?? 8B 45 7C E8 ?? ?? ?? ?? 8D 85 88 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93903_0 {
	meta:
		name = "TChartSeries.CanAddRandomPoints"
		size = 21
		refs = "0002 TeeRandomAtRunTime"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 00 75 09 F6 40 1C 10 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_93904_0 {
	meta:
		name = "TChartSeries.ChangeInternalColor"
		size = 27
	strings:
		$1 = { 56 57 8B F0 8B FA 89 BE CC 00 00 00 8B D7 8B C6 8B 08 FF 91 D8 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_93905_0 {
	meta:
		name = "TChartSeries.Added"
		size = 63
		refs = "0006 TCustomChartSeries.Added 001b TCustomAxisPanel.GetFreeSeriesColor 0024 TChartSeries.ChangeInternalColor 002b TChartSeries.NotifyColorChanged 0032 TChartSeries.RecalcGetAxis 0039 TChartSeries.CheckDataSource"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 81 7B 5C 00 00 00 20 75 1C 33 C9 B2 01 8B 43 40 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93906_0 {
	meta:
		name = "TChartSeries.Removed"
		size = 47
		refs = "001b TControl.SetCursor 0022 TChartSeries.RemoveAllLinkedSeries 0029 TCustomChartSeries.Removed"
	strings:
		$1 = { 53 8B D8 8B 43 40 0F B7 90 80 00 00 00 66 3B 53 68 75 0C 0F B7 90 F0 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93907_0 {
	meta:
		name = "TChartSeries.CalcDepthPositions"
		size = 95
	strings:
		$1 = { 8B 50 40 8B 92 24 04 00 00 0F AF 90 40 01 00 00 89 90 54 01 00 00 8B 48 70 83 F9 FF 75 13 8B 48 40 8B 89 24 04 00 00 03 CA 89 88 5C 01 00 00 EB 08 03 D1 89 90 5C 01 00 00 8B 90 54 01 00 00 03 90 5C 01 00 00 D1 FA 79 03 83 D2 00 89 90 58 01 00 00 8B 88 88 00 00 00 89 91 80 00 00 00 C3 }
	condition:
		$1
}

rule function_93908_0 {
	meta:
		name = "TChartSeries.CheckMouse"
		size = 168
		refs = "0049 TControl.SetCursor"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B FA 8B F0 33 DB 66 83 7E 68 00 75 14 66 83 BE 12 01 00 00 00 75 0A 66 83 BE 1A 01 00 00 00 74 79 8B 0C 24 8B D7 8B C6 8B 38 FF 97 5C 01 00 00 40 74 3F 0F B7 46 68 66 85 C0 74 0A 8B D0 8B 46 40 E8 ?? ?? ?? ?? 80 BE C8 00 00 00 00 75 1F C6 86 C8 00 00 00 01 66 83 BE 12 01 00 00 00 74 0E 8B D6 8B 86 14 01 00 00 FF 96 10 01 00 00 B3 01 EB 28 80 BE C8 00 00 00 00 74 1F C6 86 C8 00 00 00 00 66 83 BE 1A 01 00 00 00 74 0E 8B D6 8B 86 1C 01 00 00 FF 96 18 01 00 00 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93909_0 {
	meta:
		name = "TChartSeries.GetChildren"
		size = 42
		refs = "000f TComponent.GetChildren"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B 83 C4 00 00 00 85 C0 74 08 8B D0 8B 45 0C FF 55 08 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_93910_0 {
	meta:
		name = "TChartSeries.SetParentChart"
		size = 68
		refs = "0014 TCustomAxisPanel.RemoveSeries 001d TCustomChartElement.SetParentChart 003d TCustomAxisPanel.InternalAddSeries"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 40 3B F0 74 34 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 83 88 00 00 00 85 C0 74 08 8B 53 40 8B 08 FF 51 0C 8B 43 40 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93911_0 {
	meta:
		name = "TChartSeries.SetFunction"
		size = 66
		refs = "0011 TObject.Free 0034 TComponent.FreeNotification 003b TChartSeries.CheckDataSource"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C4 00 00 00 3B F0 74 2F E8 ?? ?? ?? ?? 8B C6 89 83 C4 00 00 00 85 C0 74 17 89 58 4C C6 83 64 01 00 00 00 8B D3 8B 83 C4 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93912_0 {
	meta:
		name = "TChartSeries.Notification"
		size = 112
		refs = "0010 TComponent.Notification 0036 TChartSeries.InternalRemoveDataSource 0040 _Dn_TVisualBlock 0045 @IsClass"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 53 3B BE C4 00 00 00 75 0A 33 C0 89 86 C4 00 00 00 EB 41 83 7E 6C 00 74 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 30 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 83 BE 9C 00 00 00 00 74 16 8B 86 9C 00 00 00 3B 78 14 75 0B 8B 86 9C 00 00 00 33 D2 89 50 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93913_0 {
	meta:
		name = "TChartSeries.DefineProperties"
		size = 320
		refs = "000c TCustomChartSeries.DefineProperties 0012 TChartSeries.ReadDataSources 0018 TChartSeries.WriteDataSources 0030 TChartSeries.DefineProperties 003d TChartSeries.ReadCustomHorizAxis 0043 TChartSeries.WriteCustomHorizAxis 005f TChartSeries.ReadCustomVertAxis 0065 TChartSeries.WriteCustomVertAxis 0081 TChartSeries.ReadData 008d @FindDynaInst 0095 TChartSeries.IsDataStored"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 43 6C 85 C0 74 06 83 78 08 01 7F 04 33 C9 EB 02 B1 01 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 04 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 83 BB B4 00 00 00 00 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 04 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 83 BB B8 00 00 00 00 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 04 53 68 ?? ?? ?? ?? 53 8B C3 66 BA EB FF E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 08 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 61 00 74 00 61 00 53 00 6F 00 75 00 72 00 63 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 43 00 75 00 73 00 74 00 6F 00 6D 00 48 00 6F 00 72 00 69 00 7A 00 41 00 78 00 69 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 75 00 73 00 74 00 6F 00 6D 00 56 00 65 00 72 00 74 00 41 00 78 00 69 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 44 00 61 00 74 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_93914_0 {
	meta:
		name = "TChartSeries.IsDataStored"
		size = 33
	strings:
		$1 = { 80 B8 21 01 00 00 00 75 15 80 B8 64 01 00 00 00 74 09 80 B8 20 01 00 00 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_93916_0 {
	meta:
		name = "ReadLabel"
		size = 238
		refs = "0016 ReadLabel 005e TArray<System.Byte> 0063 @DynArraySetLength 0081 TEncoding.GetANSI 008b TEncoding.GetString 009d @LStrFromPCharLen 00b9 @UStrFromLStr 00ce @LStrClr 00dc @DynArrayClear 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8D 55 F7 8B 45 08 8B 40 FC B9 01 00 00 00 8B 30 FF 56 0C 80 7D F7 FF 75 54 8D 55 F0 8B 45 08 8B 40 FC B9 04 00 00 00 8B 30 FF 56 0C 8B 45 F0 50 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B 45 08 8B 40 FC 8B 4D F0 8B 30 FF 56 0C 8B 45 F0 50 53 E8 ?? ?? ?? ?? 33 C9 8B 55 FC E8 ?? ?? ?? ?? EB 2C 6A 00 0F B6 4D F7 8D 45 F8 33 D2 E8 ?? ?? ?? ?? 0F B6 4D F7 8B 55 F8 8B 45 08 8B 40 FC 8B 30 FF 56 0C 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93917_0 {
	meta:
		name = "ReadSeriesPoint"
		size = 517
		refs = "0012 ReadSeriesPoint 0092 ReadColor 00b4 ReadLabel 00bf @UStrClr 00f7 TChartValueLists.Get 013b _DV_TSeriesMarkPosition 0140 TObject.Create 01dd TList.Add 01f8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 D2 89 55 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 08 F6 42 FB 01 74 15 8D 55 E8 8B 45 08 8B 40 FC B9 08 00 00 00 8B 18 FF 53 0C EB 0A 89 45 CC DB 45 CC DD 5D E8 9B 8D 55 E0 8B 45 08 8B 40 FC B9 08 00 00 00 8B 18 FF 53 0C 8B 45 08 80 78 FA 00 74 24 8B 45 E8 89 45 D0 8B 45 EC 89 45 D4 8B 45 E0 89 45 E8 8B 45 E4 89 45 EC 8B 45 D0 89 45 E0 8B 45 D4 89 45 E4 8B 45 08 F6 40 FB 02 74 0F 8B 45 08 50 E8 ?? ?? ?? ?? 59 89 45 DC EB 07 C7 45 DC 00 00 00 20 8B 45 08 F6 40 FB 04 74 0F 8B 45 08 50 8D 45 FC E8 ?? ?? ?? ?? 59 EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 58 F4 4B 83 EB 02 7C 3C 43 BE 02 00 00 00 8D 55 F0 8B 45 08 8B 40 FC B9 08 00 00 00 8B 38 FF 57 0C 8B 45 08 8B 40 F0 8B 80 98 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 89 50 30 8B 55 F4 89 50 34 46 4B 75 CA FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 8B 45 08 8B 40 F0 8B 4D DC 8B 55 FC 8B 18 FF 93 00 01 00 00 8B 45 08 F6 40 FB 08 0F 84 A9 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 53 04 8B 45 08 8B 40 FC B9 08 00 00 00 8B 30 FF 56 0C 8D 53 0C 8B 45 08 8B 40 FC B9 01 00 00 00 8B 30 FF 56 0C 8D 53 10 8B 45 08 8B 40 FC B9 08 00 00 00 8B 30 FF 56 0C 8D 53 18 8B 45 08 8B 40 FC B9 01 00 00 00 8B 30 FF 56 0C 8D 53 1C 8B 45 08 8B 40 FC B9 04 00 00 00 8B 30 FF 56 0C 8D 53 20 8B 45 08 8B 40 FC B9 08 00 00 00 8B 30 FF 56 0C 8D 53 28 8B 45 08 8B 40 FC B9 04 00 00 00 8B 30 FF 56 0C 8B 45 08 8B 40 F0 8B 80 88 00 00 00 8B 40 74 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93918_0 {
	meta:
		name = "TChartSeries.ReadData"
		size = 185
		refs = "0062 TChartSeries.BeginUpdate 006a TChartSeries.ReadData 0083 ReadSeriesPoint 009d TChartSeries.EndUpdate 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 55 FC 89 45 F0 8B 45 F0 8B 10 FF 92 08 01 00 00 8D 55 FB B9 01 00 00 00 8B 45 FC 8B 18 FF 53 0C 8D 55 EC B9 04 00 00 00 8B 45 FC 8B 18 FF 53 0C 8B 45 F0 8B 80 60 01 00 00 8B 55 F0 3B 82 A4 00 00 00 0F 95 45 FA 8B 45 F0 8B 80 98 00 00 00 8B 40 08 89 45 F4 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D EC 4B 85 DB 7C 10 43 33 F6 55 8B C6 E8 ?? ?? ?? ?? 59 46 4B 75 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 C6 80 64 01 00 00 01 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93919_0 {
	meta:
		name = "TChartSeries.ReadDataSources"
		size = 141
		refs = "0010 TChartSeries.ReadDataSources 001f TReader.CheckValue 0026 _Dn_TStringList 002b TStringList.Create 0048 TReader.ReadString 0059 TReader.EndOfList 007b @UStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 BE 90 00 00 00 8B F7 8B C6 8B 10 FF 52 44 EB 14 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 38 8B C3 E8 ?? ?? ?? ?? 84 C0 74 E1 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93920_0 {
	meta:
		name = "WriteLabel"
		size = 155
		refs = "0013 WriteLabel 0035 TEncoding.GetANSI 003f TEncoding.GetBytes 0047 @DynArrayLength 0084 TArray<System.Byte> 0089 @DynArrayClear 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 FF 8D 55 F7 8B 45 08 8B 40 FC B9 01 00 00 00 8B 30 FF 56 10 E8 ?? ?? ?? ?? 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 8D 55 F8 8B 45 08 8B 40 FC B9 04 00 00 00 8B 18 FF 53 10 8B 55 FC 8B 45 08 8B 40 FC 8B 4D F8 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93921_0 {
	meta:
		name = "WriteSeriesPoint"
		size = 581
		refs = "0015 WriteSeriesPoint 0099 TChartSeries.InternalColor 00d0 TLabelsList.GetLabel 00d8 WriteLabel 0107 TChartValueLists.Get 0155 TSeriesMarksPositions.Get 0160 _DV_TSeriesMarkPosition 0165 TObject.Create 017f TSeriesMarks.UsePosition 0232 @UStrClr 0238 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 E4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 F6 40 FB 01 74 2C 8B 45 08 8B 40 F4 8B 40 54 8B 55 FC 8B 0C D0 89 4D F0 8B 4C D0 04 89 4D F4 8D 55 F0 8B 45 08 8B 40 FC B9 08 00 00 00 8B 18 FF 53 10 8B 45 08 8B 40 F0 8B 80 60 01 00 00 8B 40 54 8B 55 FC 8B 0C D0 89 4D F0 8B 4C D0 04 89 4D F4 8D 55 F0 8B 45 08 8B 40 FC B9 08 00 00 00 8B 18 FF 53 10 8B 45 08 F6 40 FB 02 74 24 8B 45 08 8B 40 F0 8B 55 FC E8 ?? ?? ?? ?? 89 45 EC 8D 55 EC 8B 45 08 8B 40 FC B9 04 00 00 00 8B 18 FF 53 10 8B 45 08 F6 40 FB 04 74 21 8B 45 08 50 8D 4D E4 8B 45 08 8B 40 F0 8B 40 7C 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F0 8B 80 98 00 00 00 8B 58 08 4B 83 EB 02 7C 43 43 BE 02 00 00 00 8B 45 08 8B 40 F0 8B 80 98 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 40 54 8B 55 FC 8B 0C D0 89 4D F0 8B 4C D0 04 89 4D F4 8D 55 F0 8B 45 08 8B 40 FC B9 08 00 00 00 8B 38 FF 57 10 46 4B 75 C3 8B 45 08 F6 40 FB 08 0F 84 DF 00 00 00 8B 45 08 8B 40 F0 8B 80 88 00 00 00 8B 40 74 8B 55 FC E8 ?? ?? ?? ?? 85 C0 75 26 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8D 4D E8 8B 45 08 8B 40 F0 8B 80 88 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F0 8B 80 88 00 00 00 8B 40 74 8B 55 FC E8 ?? ?? ?? ?? 8B D8 8D 53 04 8B 45 08 8B 40 FC B9 08 00 00 00 8B 30 FF 56 10 8D 53 0C 8B 45 08 8B 40 FC B9 01 00 00 00 8B 30 FF 56 10 8D 53 10 8B 45 08 8B 40 FC B9 08 00 00 00 8B 30 FF 56 10 8D 53 18 8B 45 08 8B 40 FC B9 01 00 00 00 8B 30 FF 56 10 8D 53 1C 8B 45 08 8B 40 FC B9 04 00 00 00 8B 30 FF 56 10 8D 53 20 8B 45 08 8B 40 FC B9 08 00 00 00 8B 30 FF 56 10 8D 53 28 8B 45 08 8B 40 FC B9 04 00 00 00 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93922_0 {
	meta:
		name = "TChartSeries.WriteData"
		size = 110
		refs = "0012 SeriesGuessContents 0039 TChartSeries.Count 005f WriteSeriesPoint"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 89 55 FC 89 45 F0 8B 45 F0 E8 ?? ?? ?? ?? 88 45 FB 8D 55 FB B9 01 00 00 00 8B 45 FC 8B 18 FF 53 10 8B 45 F0 8B 80 68 01 00 00 89 45 F4 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC 8D 55 EC B9 04 00 00 00 8B 45 FC 8B 18 FF 53 10 8B 5D EC 4B 85 DB 7C 10 43 33 F6 55 8B C6 E8 ?? ?? ?? ?? 59 46 4B 75 F3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93923_0 {
	meta:
		name = "TChartSeries.WriteDataSources"
		size = 74
		refs = "000d TWriter.WriteValue 0014 TChartSeries.GetDataSources 002a TList.Get 0034 TWriter.WriteString"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 B2 01 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B E8 8B 5D 08 4B 85 DB 7C 1A 43 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? 8B 50 08 8B C7 E8 ?? ?? ?? ?? 46 4B 75 E9 33 D2 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93924_0 {
	meta:
		name = "TChartSeries.DrawValuesForward"
		size = 56
	strings:
		$1 = { 80 B8 6C 01 00 00 00 74 1F 8B 50 74 0F B6 92 B8 00 00 00 80 F2 01 8B 40 40 80 B8 30 04 00 00 00 74 13 80 F2 01 8B C2 C3 8B 40 78 0F B6 90 B8 00 00 00 80 F2 01 8B C2 C3 }
	condition:
		$1
}

rule function_93925_0 {
	meta:
		name = "TChartSeries.SortDrawPoints"
		size = 21
		refs = "0008 TIntArray 000d @DynArrayClear"
		altNames = "TChartSeries.SortDrawSeries"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_93927_0 {
	meta:
		name = "TChartSeries.DrawSeriesForward"
		size = 13
	strings:
		$1 = { 8B 40 40 0F B6 80 30 04 00 00 34 01 C3 }
	condition:
		$1
}

rule function_93928_0 {
	meta:
		name = "SeriesNameOrIndex"
		size = 114
		refs = "000f SeriesNameOrIndex 001f @UStrAsg 0031 TCustomChartSeries.GetIndex 003a TeeStr 0043 TeeMsg_Series 004c @UStrCat3 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 53 08 E8 ?? ?? ?? ?? 83 3E 00 75 28 83 7B 40 00 74 22 8B C3 E8 ?? ?? ?? ?? 40 8D 55 FC E8 ?? ?? ?? ?? 8B 4D FC 8B 15 ?? ?? ?? ?? 8B 12 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93929_0 {
	meta:
		name = "DoDrawIndex"
		size = 171
		refs = "000d DoDrawIndex 002f TVisualsList.GetVisual 003a TeeStr 009a @UStrClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 80 78 FF 00 74 39 8B 45 08 8B 40 F8 8B 80 9C 00 00 00 8B D6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F8 8B 40 40 8B 80 40 03 00 00 59 8B 18 FF 93 E4 00 00 00 8B 45 08 8B 40 F8 8B D6 8B 08 FF 91 A4 00 00 00 8B 45 08 80 78 FF 00 74 17 8B 45 08 8B 40 F8 8B 40 40 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93930_0 {
	meta:
		name = "DoDrawHidden"
		size = 184
		refs = "000d DoDrawHidden 002f TVisualsList.GetVisual 003a TeeStr 00a7 @UStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 80 78 FF 00 74 39 8B 45 08 8B 40 F8 8B 80 9C 00 00 00 8B D3 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 F8 8B 40 40 8B 80 40 03 00 00 59 8B 30 FF 96 E4 00 00 00 8B 45 08 8B 40 F8 8B 70 40 8B 45 08 8B 50 F8 8B CB 8B 86 3C 04 00 00 FF 96 38 04 00 00 8B 45 08 80 78 FF 00 74 17 8B 45 08 8B 40 F8 8B 40 40 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_93931_0 {
	meta:
		name = "TChartSeries.DrawAllValues"
		size = 608
		refs = "0014 TChartSeries.DrawAllValues 00af @DynArrayHigh 00c8 DoDrawHidden 011f DoDrawIndex 015e TIntArray 0163 @DynArrayClear 0169 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 40 8B 80 40 03 00 00 0F B6 40 5C 88 45 FF 80 7D FF 00 74 1A 8B 45 F8 8B 80 9C 00 00 00 8B 40 14 85 C0 74 0A 80 78 40 00 75 04 C6 45 FF 00 6A 01 8D 45 F4 50 8B 45 F8 8B 88 2C 01 00 00 8B 45 F8 8B 90 28 01 00 00 8B 45 F8 8B 18 FF 93 E4 00 00 00 83 7D F4 00 0F 84 F1 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 40 66 83 B8 3A 04 00 00 00 74 5B 8B 45 F8 8B 10 FF 92 68 01 00 00 84 C0 74 28 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 8C 8F 00 00 00 46 33 DB 55 8B 45 F4 8B 04 98 E8 ?? ?? ?? ?? 59 43 4E 75 EF EB 79 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 83 FB 00 7C 6A 55 8B 45 F4 8B 04 98 E8 ?? ?? ?? ?? 59 4B 83 FB FF 75 ED EB 55 8B 45 F8 8B 10 FF 92 68 01 00 00 84 C0 74 24 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 38 46 33 DB 55 8B 45 F4 8B 04 98 E8 ?? ?? ?? ?? 59 43 4E 75 EF EB 22 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 83 FB 00 7C 13 55 8B 45 F4 8B 04 98 E8 ?? ?? ?? ?? 59 4B 83 FB FF 75 ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 8B 40 40 66 83 B8 3A 04 00 00 00 74 5F 8B 45 F8 8B 10 FF 92 68 01 00 00 84 C0 74 2A 8B 45 F8 8B 98 28 01 00 00 8B 45 F8 8B B0 2C 01 00 00 2B F3 0F 8C 8F 00 00 00 46 55 8B C3 E8 ?? ?? ?? ?? 59 43 4E 75 F3 EB 7F 8B 45 F8 8B 98 2C 01 00 00 8B 45 F8 8B B0 28 01 00 00 2B F3 7F 69 4E 55 8B C3 E8 ?? ?? ?? ?? 59 4B 46 75 F3 EB 59 8B 45 F8 8B 10 FF 92 68 01 00 00 84 C0 74 26 8B 45 F8 8B 98 28 01 00 00 8B 45 F8 8B B0 2C 01 00 00 2B F3 7C 34 46 55 8B C3 E8 ?? ?? ?? ?? 59 43 4E 75 F3 EB 24 8B 45 F8 8B 98 2C 01 00 00 8B 45 F8 8B B0 28 01 00 00 2B F3 7F 0E 4E 55 8B C3 E8 ?? ?? ?? ?? 59 4B 46 75 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93932_0 {
	meta:
		name = "TChartSeries.CheckDataSource"
		size = 29
	strings:
		$1 = { 83 B8 38 01 00 00 00 75 13 83 78 40 00 74 0D 8B D0 8B 40 40 8B 08 FF 91 44 01 00 00 C3 }
	condition:
		$1
}

rule function_93933_0 {
	meta:
		name = "TChartSeries.SetColorSource"
		size = 38
		refs = "000c @UStrEqual 0018 @UStrAsg 001f TChartSeries.CheckDataSource"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 64 8B D6 E8 ?? ?? ?? ?? 74 11 8D 43 64 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93934_0 {
	meta:
		name = "TChartSeries.SetLabelsSource"
		size = 44
		refs = "000f @UStrEqual 001e @UStrAsg 0025 TChartSeries.CheckDataSource"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 80 00 00 00 8B D6 E8 ?? ?? ?? ?? 74 14 8D 83 80 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93935_0 {
	meta:
		name = "TChartSeries.GetCursorValueIndex"
		size = 54
		refs = "000f Mouse 0016 TMouse.GetCursorPos 0023 TControl.ScreenToClient 002c TChartSeries.Clicked"
	strings:
		$1 = { 53 56 83 C4 F0 8B D8 8B 73 40 8D 54 24 08 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 54 24 08 8B CC 8B C6 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_93936_0 {
	meta:
		name = "TChartSeries.GetCursorValues"
		size = 117
		refs = "0015 Mouse 001c TMouse.GetCursorPos 002b TControl.ScreenToClient"
	strings:
		$1 = { 53 56 57 83 C4 E4 89 0C 24 8B FA 8B D8 8B 73 40 8D 54 24 14 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8D 54 24 14 8D 4C 24 0C 8B C6 E8 ?? ?? ?? ?? 8B 44 24 0C 89 44 24 04 8B 44 24 10 89 44 24 08 8B 73 74 8B 54 24 04 8B 86 B4 01 00 00 FF 96 B0 01 00 00 DD 1F 9B 8B 5B 78 8B 54 24 08 8B 83 B4 01 00 00 FF 93 B0 01 00 00 8B 04 24 DD 18 9B 83 C4 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93937_0 {
	meta:
		name = "TChartSeries.GetDataSource"
		size = 34
		refs = "0016 TList.Get"
	strings:
		$1 = { 53 56 8B D8 8B 73 6C 85 F6 74 12 83 7E 08 00 7E 0C 33 D2 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_93938_0 {
	meta:
		name = "TChartSeries.GetDataSources"
		size = 36
		refs = "000d _DV_TDataSourcesList 0012 TObject.Create"
	strings:
		$1 = { 53 56 8B D8 83 7B 6C 00 75 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 6C 89 5E 10 8B 43 6C 5E 5B C3 }
	condition:
		$1
}

rule function_93939_0 {
	meta:
		name = "TChartSeries.InternalAddDataSource"
		size = 191
		refs = "0014 TChartSeries.GetDataSources 001b TDataSourcesList.InheritedAdd 002c _DV_TChartSeries 0031 @IsClass 003e TChartSeries.AddLinkedSeries 0049 TComponent.FreeNotification 0051 _DV_TTeeSeriesSource 007e TComponent.RemoveComponent 0087 TComponent.InsertComponent 0095 TComponent.RemoveFreeNotification"
	strings:
		$1 = { 53 56 57 55 51 8B DA 8B F0 85 DB 0F 84 A3 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B F8 C6 86 64 01 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? EB 73 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 59 8B EB 3B 75 3C 74 52 0F B6 45 38 88 04 24 8B C5 8B 10 FF 52 58 8B 45 3C 3B 43 04 75 10 8B D3 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 3C 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 45 3C 8B D3 E8 ?? ?? ?? ?? 80 3C 24 00 74 0C 8B C5 8B 10 FF 52 60 EB 03 83 CF FF 8B C7 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93940_0 {
	meta:
		name = "TChartSeries.RemoveAllLinkedSeries"
		size = 87
		refs = "001d TList.Get 0031 _DV_TChartSeries 0036 @IsClass 004b TChartSeries.RemoveLinkedSeries"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 6C 85 C0 74 47 8B 78 08 4F 85 FF 7C 3F 47 33 F6 8B D6 8B 43 6C E8 ?? ?? ?? ?? 85 C0 74 2A 8B D6 8B 43 6C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B D6 8B 43 6C E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 46 4F 75 C4 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93941_0 {
	meta:
		name = "DoSetDataSource"
		size = 142
		refs = "000e TChartSeries.GetDataSources 0019 TList.IndexOf 0028 _DV_TChartSeries 002d @IsClass 0042 TChartSeries.CheckOtherSeries 0078 TChartSeries.InternalAddDataSource 0085 TChartSeries.CheckDataSource"
	strings:
		$1 = { 55 8B EC 53 83 CB FF 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 F8 E8 ?? ?? ?? ?? 40 75 69 8B 45 08 8B 40 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 80 78 F7 00 74 1C 8B 45 08 8B 40 FC F6 40 1C 01 75 10 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 10 FF 52 08 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_93942_0 {
	meta:
		name = "TChartSeries.InternalSetDataSource"
		size = 245
		refs = "001a TChartSeries.InternalSetDataSource 0035 TChartSeries.IsValidDataSource 003f DoSetDataSource 004d TeeMsg_SeriesSetDataSource 0056 _DV_ChartException 005b Exception.Create 0060 @RaiseExcept 0073 @CallDynaInst 0090 @UStrLAsg 00a3 TObject.ClassName 00b9 TeeMsg_SeriesInvDataSource 00c7 Exception.CreateFmt 00e1 @UStrClr 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D F0 88 4D F7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 40 85 DB 75 38 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0E 55 E8 ?? ?? ?? ?? 59 8B D8 E9 85 00 00 00 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6A 8B C3 8B 4D F8 8B 55 FC 66 BE AA FF E8 ?? ?? ?? ?? 84 C0 74 0B 55 E8 ?? ?? ?? ?? 59 8B D8 EB 4A 8D 45 F0 8B 55 F8 8B 52 08 E8 ?? ?? ?? ?? 83 7D F0 00 75 0D 8D 55 F0 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 F0 89 45 E8 C6 45 EC 11 8D 45 E8 50 6A 00 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93943_0 {
	meta:
		name = "TChartSeries.InternalRemoveDataSource"
		size = 139
		refs = "0017 TComponent.RemoveFreeNotification 0024 TChartSeries.GetDataSource 0038 @CallDynaInst 0056 TChartSeries.CheckDataSource 0078 TList.IndexOf"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 F6 43 1C 08 75 78 85 FF 74 09 8B D3 8B C7 E8 ?? ?? ?? ?? 83 7B 40 00 74 1B 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 8B CF 8B D3 8B 43 40 66 BE AB FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B F8 75 15 8B 43 6C 85 C0 74 05 8B 10 FF 52 08 8B C3 E8 ?? ?? ?? ?? EB 2A 8B B3 C4 00 00 00 85 F6 74 06 80 7E 52 00 75 13 8B 6B 6C 85 ED 74 13 8B D7 8B C5 E8 ?? ?? ?? ?? 40 74 07 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93944_0 {
	meta:
		name = "TChartSeries.SetDataSource"
		size = 36
		refs = "000c TChartSeries.InternalSetDataSource 0015 TChartSeries.GetDataSource 001e TChartSeries.InternalRemoveDataSource"
	strings:
		$1 = { 53 8B D8 85 D2 74 0B B1 01 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93945_0 {
	meta:
		name = "TChartSeries.IsValidSourceOf"
		size = 6
	strings:
		$1 = { 3B C2 0F 95 C0 C3 }
	condition:
		$1
}

rule function_93946_0 {
	meta:
		name = "TChartSeries.IsValidDataSource"
		size = 55
		refs = "000f _DV_TChartSeries 0014 @IsClass 0025 @CallDynaInst"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 3B FB 74 22 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B D7 8B C3 66 BE E7 FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93947_0 {
	meta:
		name = "TChartSeries.IsValidSeriesSource"
		size = 46
		refs = "001b @CallDynaInst"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B BB C4 00 00 00 85 FF 74 15 8B D5 8B C7 66 BE EF FF E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93948_0 {
	meta:
		name = "TChartSeries.GetYValueList"
		size = 189
		refs = "0015 @UStrAddRef 001d TChartSeries.GetYValueList 002e AnsiUpperCase 0039 @UStrLAsg 005b TChartValueLists.Get 0071 @UStrEqual 00a8 @UStrArrayClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 87 98 00 00 00 8B 70 08 4E 83 EE 02 7C 40 46 BB 02 00 00 00 8B 87 98 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B 40 20 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 75 11 8B 87 98 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B D8 EB 0A 43 4E 75 C6 8B 9F 60 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93949_0 {
	meta:
		name = "TChartSeries.CheckOtherSeries"
		size = 16
		refs = "000b TCustomAxisPanel.CheckOtherSeries"
	strings:
		$1 = { 8B 48 40 85 C9 74 08 91 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93950_0 {
	meta:
		name = "TChartSeries.ColorRange"
		size = 119
		refs = "004f TChartSeries.IsNull 005f TChartSeries.SetValueColor 006a TCustomChartElement.Repaint"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 55 FC 8B F8 8B 45 FC 8B 70 04 4E 85 F6 7C 4B 46 33 DB 8B 45 FC 8B 40 54 8B 14 D8 89 55 F0 8B 54 D8 04 89 55 F4 DD 45 F0 DC 5D 10 9B DF E0 9E 72 25 DD 45 F0 DC 5D 08 9B DF E0 9E 77 19 8B D3 8B C7 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 4D F8 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 75 B8 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_93952_0 {
	meta:
		name = "TChartSeries.Clicked"
		size = 26
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B 4F 04 8B 17 8B C6 8B 18 FF 93 5C 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93953_0 {
	meta:
		name = "TChartSeries.RecalcGetAxis"
		size = 131
	strings:
		$1 = { 8B 50 40 85 D2 74 71 8B 92 C4 03 00 00 89 50 74 0F B6 90 B0 00 00 00 80 EA 01 72 07 80 EA 02 74 10 EB 1B 8B 50 40 8B 92 C0 03 00 00 89 50 74 EB 0D 8B 90 B4 00 00 00 85 D2 74 03 89 50 74 8B 50 40 8B 92 C8 03 00 00 89 50 78 0F B6 90 C0 00 00 00 FE CA 74 07 80 EA 02 74 10 EB 26 8B 50 40 8B 92 CC 03 00 00 89 50 78 EB 18 8B 90 B8 00 00 00 85 D2 74 0E 89 50 78 C3 33 D2 89 50 74 33 D2 89 50 78 C3 }
	condition:
		$1
}

rule function_93954_0 {
	meta:
		name = "TChartSeries.ReadCustomHorizAxis"
		size = 41
		refs = "0009 TReader.ReadInteger 0019 TChartCustomAxes.Get 0022 TChartSeries.SetCustomHorizAxis"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 40 8B 80 B0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93955_0 {
	meta:
		name = "TChartSeries.ReadCustomVertAxis"
		size = 41
		refs = "0009 TReader.ReadInteger 0019 TChartCustomAxes.Get 0022 TChartSeries.SetCustomVertAxis"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 40 8B 80 B0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93956_0 {
	meta:
		name = "TChartSeries.WriteCustomHorizAxis"
		size = 29
		refs = "000d TCollectionItem.GetIndex 0016 TWriter.WriteInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93957_0 {
	meta:
		name = "TChartSeries.WriteCustomVertAxis"
		size = 29
		refs = "000d TCollectionItem.GetIndex 0016 TWriter.WriteInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93958_0 {
	meta:
		name = "TChartSeries.SetHorizAxis"
		size = 56
		refs = "002b TChartSeries.RecalcGetAxis 0032 TCustomChartElement.Repaint"
	strings:
		$1 = { 53 8B D8 3A 93 B0 00 00 00 74 2B 88 93 B0 00 00 00 80 BB B0 00 00 00 03 74 0E F6 43 1C 01 75 08 33 C0 89 83 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93959_0 {
	meta:
		name = "TChartSeries.SetVertAxis"
		size = 56
		refs = "002b TChartSeries.RecalcGetAxis 0032 TCustomChartElement.Repaint"
	strings:
		$1 = { 53 8B D8 3A 93 C0 00 00 00 74 2B 88 93 C0 00 00 00 80 BB C0 00 00 00 03 74 0E F6 43 1C 01 75 08 33 C0 89 83 B8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_93960_0 {
	meta:
		name = "TChartSeries.SetChartValueList"
		size = 21
		refs = "000f TCustomChartElement.Repaint"
	strings:
		$1 = { 56 8B F0 8B C2 8B D1 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_93961_0 {
	meta:
		name = "TChartSeries.SetXValues"
		size = 14
		refs = "0009 TChartSeries.SetChartValueList"
	strings:
		$1 = { 8B CA 8B 90 A0 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93962_0 {
	meta:
		name = "TChartSeries.SetYValues"
		size = 14
		refs = "0009 TChartSeries.SetChartValueList"
	strings:
		$1 = { 8B CA 8B 90 A4 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_93963_0 {
	meta:
		name = "TChartSeries.ValueListOfAxis"
		size = 53
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 04 01 00 00 84 C0 74 1A 80 BE B9 00 00 00 00 74 08 8B 83 A0 00 00 00 EB 0B 8B 83 A4 00 00 00 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_93964_0 {
	meta:
		name = "CalcMinMaxValue"
		size = 457
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B 5D 0C 8B 5B FC 80 BB 6C 01 00 00 00 0F 84 E1 00 00 00 8B 55 0C 8B 52 FC 8B 52 74 8B 72 38 85 F6 75 0A 83 7A 3C 00 0F 84 8C 00 00 00 3B C8 7D 43 80 BA B8 00 00 00 00 74 1E 2B CE 41 8B C1 8B DA 8B D0 8B 83 B4 01 00 00 FF 93 B0 01 00 00 DD 5D F8 9B E9 5E 01 00 00 2B C6 40 8B DA 8B D0 8B 83 B4 01 00 00 FF 93 B0 01 00 00 DD 5D F8 9B E9 42 01 00 00 80 BA B8 00 00 00 00 74 1F 03 4A 3C 49 8B C1 8B DA 8B D0 8B 83 B4 01 00 00 FF 93 B0 01 00 00 DD 5D F8 9B E9 1A 01 00 00 03 42 3C 48 8B DA 8B D0 8B 83 B4 01 00 00 FF 93 B0 01 00 00 DD 5D F8 9B E9 FD 00 00 00 80 BA B8 00 00 00 00 74 19 8B DA 8B D1 8B 83 B4 01 00 00 FF 93 B0 01 00 00 DD 5D F8 9B E9 DB 00 00 00 8B DA 8B D0 8B 83 B4 01 00 00 FF 93 B0 01 00 00 DD 5D F8 9B E9 C2 00 00 00 8B 45 0C 8B 40 FC 8B 40 78 8B 48 38 85 C9 75 06 83 78 3C 00 74 7A 3B 55 08 7E 3D 80 B8 B8 00 00 00 00 74 1A 03 50 3C 8B D8 8B 83 B4 01 00 00 FF 93 B0 01 00 00 DD 5D F8 9B E9 84 00 00 00 8B 55 08 03 50 3C 8B D8 8B 83 B4 01 00 00 FF 93 B0 01 00 00 DD 5D F8 9B EB 6A 80 B8 B8 00 00 00 00 74 16 2B D1 8B D8 8B 83 B4 01 00 00 FF 93 B0 01 00 00 DD 5D F8 9B EB 4B 8B 55 08 2B D1 8B D8 8B 83 B4 01 00 00 FF 93 B0 01 00 00 DD 5D F8 9B EB 32 80 B8 B8 00 00 00 00 74 14 8B D8 8B 83 B4 01 00 00 FF 93 B0 01 00 00 DD 5D F8 9B EB 15 8B D8 8B 55 08 8B 83 B4 01 00 00 FF 93 B0 01 00 00 DD 5D F8 9B DD 45 F8 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_93965_0 {
	meta:
		name = "TChartSeries.CalcFirstLastVisibleIndex"
		size = 459
		refs = "0029 TChartSeries.Count 0078 CalcMinMaxValue 0094 TChartValueList.First 011b TChartValueList.Last"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 45 FC 8D 75 FC 8B 06 C7 80 28 01 00 00 FF FF FF FF 8B 06 C7 80 2C 01 00 00 FF FF FF FF 8B 06 E8 ?? ?? ?? ?? 85 C0 0F 8E 90 01 00 00 8B 06 E8 ?? ?? ?? ?? 8B D8 4B 8B 06 80 B8 4F 01 00 00 00 0F 84 65 01 00 00 8B 06 8B 80 68 01 00 00 80 78 24 00 0F 84 53 01 00 00 8B 06 8B 40 40 05 44 03 00 00 55 8B 50 0C 52 8B 48 08 8B 50 04 8B 00 E8 ?? ?? ?? ?? 59 DD 5D F0 9B 8B 06 33 D2 89 90 28 01 00 00 8B 06 8B 80 68 01 00 00 E8 ?? ?? ?? ?? DC 5D F0 9B DF E0 9E 77 41 EB 20 8B 06 FF 80 28 01 00 00 8B 06 3B 98 28 01 00 00 7D 0E 8B 06 C7 80 28 01 00 00 FF FF FF FF EB 1F 8B 06 8B 80 28 01 00 00 8B 16 8B 92 68 01 00 00 8B 52 54 DD 04 C2 DC 5D F0 9B DF E0 9E 72 C1 8B 06 83 B8 28 01 00 00 00 0F 8C D4 00 00 00 8B 06 8B 40 40 05 44 03 00 00 55 8B 50 04 52 8B 08 8B 50 0C 8B 40 08 E8 ?? ?? ?? ?? 59 DD 5D E8 9B 8B 06 8B 80 68 01 00 00 E8 ?? ?? ?? ?? DC 5D E8 9B DF E0 9E 77 0D 8B 06 89 98 2C 01 00 00 E9 90 00 00 00 8B 06 8B 80 28 01 00 00 8B 16 89 82 2C 01 00 00 EB 08 8B 06 FF 80 2C 01 00 00 8B 06 8B 90 2C 01 00 00 3B DA 7E 21 8B 06 8B 80 68 01 00 00 8B 40 54 DD 04 D0 DC 5D E8 9B DF E0 9E 72 D5 EB 08 8B 06 FF 88 2C 01 00 00 8B 06 80 B8 50 01 00 00 00 75 3E 8B 06 83 B8 2C 01 00 00 00 7E 33 8B 06 8B 80 2C 01 00 00 8B 16 8B 92 68 01 00 00 8B 52 54 DD 04 C2 DC 5D E8 9B DF E0 9E 77 C3 EB 12 8B 06 33 D2 89 90 28 01 00 00 8B 06 89 98 2C 01 00 00 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93967_0 {
	meta:
		name = "TChartSeries.DrawHiddenValue"
		size = 7
		altNames = "TTeeCustomTool.ChartDragDropEvent"
	strings:
		$1 = { 55 8B EC 5D C2 14 00 }
	condition:
		$1
}

rule function_93968_0 {
	meta:
		name = "TChartSeries.IsValueFormatStored"
		size = 27
		refs = "000b TeeMsg_DefValueFormat 0012 @UStrEqual"
	strings:
		$1 = { 53 8B D8 8B 83 94 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_93969_0 {
	meta:
		name = "TChartSeries.IsDataSourceStored"
		size = 19
		refs = "0006 TChartSeries.GetDataSources"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 78 08 01 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_93970_0 {
	meta:
		name = "TChartSeries.IsPercentFormatStored"
		size = 27
		refs = "000b TeeMsg_DefPercentFormat 0012 @UStrEqual"
	strings:
		$1 = { 53 8B D8 8B 83 8C 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_93971_0 {
	meta:
		name = "TChartSeries.DeletedValue"
		size = 11
	strings:
		$1 = { 8B D1 8B 08 FF 91 10 01 00 00 C3 }
	condition:
		$1
}

rule function_93972_0 {
	meta:
		name = "TChartSeries.AddChartValue"
		size = 310
		refs = "00e3 TChartValueLists.Get"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 89 0C 24 8B EA 8B F8 8B 85 A0 00 00 00 8B 40 54 8B 14 24 8B 0C D0 89 4C 24 10 8B 4C D0 04 89 4C 24 14 8B 85 A4 00 00 00 8B 40 54 8B 14 24 8B 0C D0 89 4C 24 18 8B 4C D0 04 89 4C 24 1C 0F B6 87 6C 01 00 00 3A 85 6C 01 00 00 74 30 8B 44 24 10 89 44 24 20 8B 44 24 14 89 44 24 24 8B 44 24 18 89 44 24 10 8B 44 24 1C 89 44 24 14 8B 44 24 20 89 44 24 18 8B 44 24 24 89 44 24 1C FF 74 24 14 FF 74 24 14 8B 87 A0 00 00 00 8B 10 FF 52 0C 89 44 24 04 FF 74 24 1C FF 74 24 1C 8B 87 A4 00 00 00 8B 54 24 0C 8B 08 FF 51 14 8B 85 98 00 00 00 8B 40 08 48 89 44 24 08 8B 87 98 00 00 00 8B 70 08 4E 83 EE 02 7C 5C 46 BB 02 00 00 00 3B 5C 24 08 7F 24 8B 85 98 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B 40 54 8B 14 24 8B 0C D0 89 4C 24 18 8B 4C D0 04 89 4C 24 1C EB 0A 33 C0 89 44 24 18 89 44 24 1C FF 74 24 1C FF 74 24 1C 8B 87 98 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B 54 24 0C 8B 08 FF 51 14 43 4E 75 AA 8B 44 24 04 83 C4 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93973_0 {
	meta:
		name = "TChartSeries.AddedValue"
		size = 209
		refs = "0019 TChartSeries.AddedValue 004f TChartSeries.GrowColors 005d TList.Get 006c TList.Insert 0085 TLabelsList.GetLabel 0092 TLabelsList.InsertLabel 00be @UStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B D6 8B C3 8B 38 FF 57 60 8B F8 8B 86 24 01 00 00 85 C0 74 35 8B 40 08 3B 45 FC 7E 2D 83 BB 24 01 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 24 01 00 00 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 8B 46 7C 8B 40 08 3B 45 FC 7E 1B 8D 4D F8 8B 55 FC 8B 46 7C E8 ?? ?? ?? ?? 8B 4D F8 8B D7 8B 43 7C E8 ?? ?? ?? ?? 83 BB 38 01 00 00 00 75 0E 8B CF 8B D3 8B C3 8B 18 FF 93 C0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93975_0 {
	meta:
		name = "CalcXValue"
		size = 210
		refs = "0016 CalcXValue 0064 @UStrLAsg 0094 CurrencyString 009c FormatFloat 00a6 @UStrAsg 00c0 @UStrArrayClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 D2 89 55 FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 58 74 85 DB 74 27 8B 45 08 8B 40 F8 8B 55 08 8B 52 FC 8B 92 A0 00 00 00 8B 52 54 FF 74 C2 04 FF 34 C2 8B D6 8B C3 8B 08 FF 51 28 EB 56 8D 45 FC 8B 55 08 8B 52 FC 8B 92 94 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 08 8B 52 FC 8B 92 A0 00 00 00 8B 52 54 DD 04 C2 DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93976_0 {
	meta:
		name = "ValueToStr"
		size = 215
		refs = "0018 ValueToStr 0041 DateTimeDefaultFormat 005c CurrencyString 0066 DateTimeToString 007c @UStrLAsg 00a2 FormatFloat 00ac @UStrAsg 00c6 @UStrArrayClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 D2 89 55 FC 89 55 F8 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 60 01 00 00 80 78 08 00 74 38 8B 45 08 FF 70 F4 FF 70 F0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 50 F0 89 55 E8 8B 50 F4 89 55 EC FF 75 EC FF 75 E8 8B 0D ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? EB 44 8D 45 F8 8B 55 08 8B 52 FC 8B 92 94 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 DD 40 F0 DB 7D D0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 4D F4 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93977_0 {
	meta:
		name = "CalcPercentSt"
		size = 280
		refs = "001c CalcPercentSt 0035 TChartValueList.GetTotalABS 0055 @UStrLAsg 007b CurrencyString 0083 FormatFloat 008d @UStrAsg 00fc @UStrArrayClr 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 D2 89 55 FC 89 55 F8 89 55 F4 89 55 F0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 98 60 01 00 00 8B C3 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 4E 8D 45 FC 8B 55 08 8B 52 FC 8B 92 8C 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 E0 C7 45 E4 00 00 00 C8 66 C7 45 E8 05 40 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 F8 E8 ?? ?? ?? ?? EB 53 8D 45 F4 8B 55 08 8B 52 FC 8B 92 8C 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? D9 05 ?? ?? ?? ?? 8B 45 08 DC 48 F0 DE F1 DB 7D D0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 4D F0 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B C6 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_93978_0 {
	meta:
		name = "TChartSeries.LegendString"
		size = 674
		refs = "0024 TChartSeries.LegendString 004a TLabelsList.GetLabel 00b2 TeeColumnSeparator 00b7 @UStrFromWChar 00c3 @UStrCat3 00cc ValueToStr 00fc @UStrCat 013e CalcPercentSt 0190 CalcXValue 019b @UStrAsg 020a @UStrCatN 028d @UStrArrayClr 0293 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 8B FA 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D7 8B 45 FC 8B 08 FF 91 18 01 00 00 89 45 F8 8B CE 8B 45 FC 8B 40 7C 8B 55 F8 E8 ?? ?? ?? ?? 84 DB 0F 84 21 02 00 00 8B 55 F8 8B 45 FC 8B 08 FF 91 64 01 00 00 DD 5D F0 9B 0F B6 C3 83 F8 0A 0F 87 03 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 3E 00 74 1B 8D 45 EC 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B 0E 8B C6 E8 ?? ?? ?? ?? 55 8D 45 E8 E8 ?? ?? ?? ?? 59 8B 55 E8 8B 0E 8B C6 E8 ?? ?? ?? ?? E9 95 01 00 00 83 3E 00 74 19 8D 45 E4 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 55 8D 45 E0 E8 ?? ?? ?? ?? 59 8B 55 E0 8B C6 E8 ?? ?? ?? ?? E9 5E 01 00 00 83 3E 00 74 1B 8D 45 DC 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 0E 8B C6 E8 ?? ?? ?? ?? 55 8D 45 D8 E8 ?? ?? ?? ?? 59 8B 55 D8 8B 0E 8B C6 E8 ?? ?? ?? ?? E9 23 01 00 00 83 3E 00 74 19 8D 45 D4 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B C6 E8 ?? ?? ?? ?? 55 8D 45 D0 E8 ?? ?? ?? ?? 59 8B 55 D0 8B C6 E8 ?? ?? ?? ?? E9 EC 00 00 00 55 8D 45 CC E8 ?? ?? ?? ?? 59 8B 55 CC 8B C6 E8 ?? ?? ?? ?? E9 D3 00 00 00 55 8D 45 C8 E8 ?? ?? ?? ?? 59 8B 55 C8 8B C6 E8 ?? ?? ?? ?? E9 BA 00 00 00 55 8D 45 C4 E8 ?? ?? ?? ?? 59 8B 55 C4 8B C6 E8 ?? ?? ?? ?? E9 A1 00 00 00 55 8D 45 C0 E8 ?? ?? ?? ?? 59 FF 75 C0 8D 45 BC 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 BC 55 8D 45 B8 E8 ?? ?? ?? ?? 59 FF 75 B8 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 67 55 8D 45 B4 E8 ?? ?? ?? ?? 59 FF 75 B4 8D 45 B0 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 B0 55 8D 45 AC E8 ?? ?? ?? ?? 59 FF 75 AC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 2D 55 8D 45 A8 E8 ?? ?? ?? ?? 59 FF 75 A8 8D 45 A4 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 A4 FF 36 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 13 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_93979_0 {
	meta:
		name = "TChartSeries.AddValues"
		size = 224
		refs = "0012 TChartSeries.BeginUpdate 001a TChartSeries.AddValues 0045 @CallDynaInst 0050 TChartSeries.Count 008c TChartValueList.SetDateTime 00cd TChartSeries.EndUpdate 00d3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 08 01 00 00 8B 45 FC 83 B8 C4 00 00 00 00 75 3D 8B D3 8B 45 FC 66 BE E8 FF E8 ?? ?? ?? ?? 84 C0 74 6F 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 61 46 C7 45 F8 00 00 00 00 8B 4D F8 8B D3 8B 45 FC 8B 38 FF 57 64 FF 45 F8 4E 75 ED EB 44 8B 83 A0 00 00 00 0F B6 50 08 8B 45 FC 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? 8B 83 A4 00 00 00 0F B6 50 08 8B 45 FC 8B 80 A4 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 C4 00 00 00 8B D3 66 BE EE FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_93980_0 {
	meta:
		name = "TChartSeries.AssignValues"
		size = 12
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 68 5E C3 }
	condition:
		$1
}

rule function_93981_0 {
	meta:
		name = "TChartSeries.RefreshSeries"
		size = 37
		refs = "001e TCustomAxisPanel.BroadcastSeriesEvent"
	strings:
		$1 = { 53 56 8B D8 33 C9 B2 03 8B C3 8B 30 FF 96 C4 00 00 00 8B 43 40 85 C0 74 09 B1 06 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93982_0 {
	meta:
		name = "TChartSeries.MouseDown"
		size = 107
	strings:
		$1 = { 55 8B EC 53 56 8B 75 10 66 F7 C6 40 00 74 2C 66 83 B8 02 01 00 00 00 74 4C 0F B6 4D 14 51 56 8B 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 04 01 00 00 FF 93 00 01 00 00 EB 2A 66 83 B8 FA 00 00 00 00 74 20 0F B6 4D 14 51 56 8B 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 FC 00 00 00 FF 93 F8 00 00 00 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_93983_0 {
	meta:
		name = "TChartSeries.MoreSameZOrder"
		size = 101
		refs = "0015 TCustomAxisPanel.SeriesCount 0029 TCustomAxisPanel.GetSeries 0045 TChartSeries.GetZOrder"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 73 40 80 BE 98 02 00 00 00 74 4C 8B C6 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 3E 47 33 ED 8B D5 8B 43 40 E8 ?? ?? ?? ?? 8B F0 3B DE 74 27 80 7E 38 00 74 21 80 BE 52 01 00 00 00 75 18 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 3B D0 75 04 B0 01 EB 06 45 4F 75 C5 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93984_0 {
	meta:
		name = "TChartSeries.DrawSeriesAscending"
		size = 87
		refs = "0034 TView3DOptions.GetRotation"
	strings:
		$1 = { 53 56 8B 70 40 8B 86 B8 03 00 00 0F B6 98 B8 00 00 00 80 F3 01 80 BE 04 03 00 00 00 74 34 8B 86 40 03 00 00 8B 10 FF 52 1C 84 C0 75 25 8B 86 08 03 00 00 E8 ?? ?? ?? ?? 83 F8 5A 7C 15 8B 86 08 03 00 00 E8 ?? ?? ?? ?? 3D 0E 01 00 00 7D 03 80 F3 01 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_93985_0 {
	meta:
		name = "TChartSeries.FirstInZOrder"
		size = 103
		refs = "0015 TCustomAxisPanel.SeriesCount 0029 TCustomAxisPanel.GetSeries 003c TChartSeries.GetZOrder"
	strings:
		$1 = { 53 56 57 55 51 8B D8 80 7B 38 00 74 4C C6 04 24 01 8B 43 40 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 3D 47 33 ED 8B D5 8B 43 40 E8 ?? ?? ?? ?? 8B F0 3B DE 74 2A 80 7E 38 00 74 1A 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 3B D0 75 06 C6 04 24 00 EB 0A 45 4F 75 CC EB 04 C6 04 24 00 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93986_0 {
	meta:
		name = "TChartSeries.BeginEntity"
		size = 87
		refs = "000c TChartSeries.BeginEntity 001c SeriesNameOrIndex 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 40 8B 80 40 03 00 00 33 C9 8B 18 FF 93 E4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_93987_0 {
	meta:
		name = "TChartSeries.BroadcastEvent"
		size = 97
		refs = "0027 TChartTools.Get 002d _DV_TTeeCustomToolSeries 0032 @IsClass"
	strings:
		$1 = { 53 56 57 55 51 88 14 24 8B E8 8B 45 40 85 C0 74 4A 8B B8 2C 04 00 00 8B 77 08 4E 85 F6 7C 3C 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B D3 8B C7 E8 ?? ?? ?? ?? 80 78 38 00 74 0E 3B 68 4C 75 09 0F B6 14 24 8B 08 FF 51 64 43 4E 75 C7 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_93988_0 {
	meta:
		name = "TChartSeries.DoBeforeDrawValues"
		size = 38
		refs = "0008 TChartSeries.BroadcastEvent"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 66 83 BB DA 00 00 00 00 74 0E 8B D3 8B 83 DC 00 00 00 FF 93 D8 00 00 00 5B C3 }
	condition:
		$1
}

rule function_93989_0 {
	meta:
		name = "TChartSeries.DoAfterDrawValues"
		size = 38
		refs = "0008 TChartSeries.BroadcastEvent"
	strings:
		$1 = { 53 8B D8 B2 04 8B C3 E8 ?? ?? ?? ?? 66 83 BB D2 00 00 00 00 74 0E 8B D3 8B 83 D4 00 00 00 FF 93 D0 00 00 00 5B C3 }
	condition:
		$1
}

rule function_93990_0 {
	meta:
		name = "TChartSeries.CalcSelectionPos"
		size = 50
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 3C 01 00 00 89 07 8B D6 8B C3 8B 08 FF 91 44 01 00 00 8B 55 08 89 02 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_93991_0 {
	meta:
		name = "TChartSeries.CalculateMarkPosition"
		size = 552
		refs = "0021 TTeeCanvas.AssignFont 005f TView3DOptions.GetZoom 0084 TChartSeries.CalculateMarkPosition 0091 TFont.GetSize 00a1 @ROUND 00df TFont.SetSize 010f TCustomAxisPanel.MultiLineTextWidth 012d HtmlTextExtent 014a TMargins.Calculate 0158 TMargins.HorizSize 0168 TMargins.VertSize 0185 TSeriesMarksSymbol.ShouldDraw 01ff TSeriesMarksPositions.MoveTo"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 73 40 8B 45 FC 8B 50 20 8B 86 40 03 00 00 E8 ?? ?? ?? ?? 80 BE 04 03 00 00 00 0F 84 B1 00 00 00 8B 86 40 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 0F 85 9B 00 00 00 8B 86 08 03 00 00 80 78 58 01 0F 84 8B 00 00 00 8B 86 08 03 00 00 E8 ?? ?? ?? ?? 83 F8 64 74 7B 8B 86 40 03 00 00 8B 78 0C 8B 86 08 03 00 00 E8 ?? ?? ?? ?? 89 45 D4 DB 45 D4 DB 2D ?? ?? ?? ?? DE C9 DB 7D C8 9B 8B C7 E8 ?? ?? ?? ?? 89 45 C4 DB 45 C4 DB 6D C8 DE C9 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 83 7D E4 00 75 08 83 7D E0 01 73 14 EB 02 7D 10 C7 45 D8 01 00 00 00 C7 45 DC 00 00 00 00 EB 0C 8B 45 E0 89 45 D8 8B 45 E4 89 45 DC 8B 45 D8 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 86 40 03 00 00 BA ?? ?? ?? ?? 8B 08 FF 91 A0 00 00 00 8B F8 8B 83 88 00 00 00 80 78 29 00 75 1C 6A 00 8D 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B F0 8B C7 0F AF 45 F4 89 45 F4 EB 1A 8D 4D EC 8B 55 F8 8B 86 40 03 00 00 E8 ?? ?? ?? ?? 8B 75 EC 8B 45 F0 89 45 F4 57 8B 83 88 00 00 00 8B 40 68 8B 4D F4 8B D6 E8 ?? ?? ?? ?? 8B 83 88 00 00 00 8B 40 68 E8 ?? ?? ?? ?? 03 F0 8B 83 88 00 00 00 8B 40 68 E8 ?? ?? ?? ?? 01 45 F4 8B 83 88 00 00 00 83 78 78 00 74 19 8B 83 88 00 00 00 8B 40 78 E8 ?? ?? ?? ?? 84 C0 74 07 8B C7 83 E8 04 03 F0 8B 45 FC 8B 40 0C 80 78 28 00 74 12 8B 40 10 8B 50 1C 03 F2 4E 03 55 F4 4A 89 55 F4 EB 04 FF 45 F4 46 8B 45 08 8B 00 89 70 28 8B 45 08 8B 00 8B 55 F4 89 50 1C 8B 83 88 00 00 00 8B 40 78 85 C0 74 15 83 C0 44 33 D2 89 50 04 89 78 0C 33 D2 89 10 8B 50 0C 89 50 08 8B 45 0C 50 8B 55 08 8B 83 88 00 00 00 8B 40 74 8B 4D 10 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 }
	condition:
		$1
}

rule function_93992_0 {
	meta:
		name = "TChartSeries.DrawMarks"
		size = 392
		refs = "0017 TChartSeries.DrawMarks 0034 _DV_TSeriesMarkPosition 0039 TObject.Create 0084 TChartSeries.IsNull 0098 TChartSeries.GetMarkText 00af TSeriesMarks.MarkItem 00e1 TChartSeries.CalculateMarkPosition 00f1 TeeStr 0150 TObject.Free 0156 @HandleFinally 016d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 EC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 40 8B 80 40 03 00 00 0F B6 40 5C 88 45 F7 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 28 01 00 00 8B 83 2C 01 00 00 2B C6 0F 8C DD 00 00 00 40 89 45 F0 8B 83 88 00 00 00 FF 70 60 8B C6 5A 8B CA 99 F7 F9 85 D2 0F 85 B6 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 A5 00 00 00 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 8F 00 00 00 8B 83 88 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B F8 80 7F 10 00 74 7A 8B D6 8B C3 8B 08 FF 91 3C 01 00 00 50 8B D6 8B C3 8B 08 FF 91 44 01 00 00 50 8D 45 F8 50 8B 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 80 7D F7 00 74 20 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B 43 40 8B 80 40 03 00 00 33 C9 8B 38 FF 97 E4 00 00 00 8B 45 F8 50 8B 4D FC 8B D6 8B C3 8B 38 FF 97 9C 00 00 00 80 7D F7 00 74 11 8B 43 40 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 46 FF 4D F0 0F 85 27 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_93993_0 {
	meta:
		name = "TChartSeries.DrawMark"
		size = 51
		refs = "0028 TSeriesMarks.InternalDraw"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 57 8B 45 08 50 8B D6 8B C3 8B 08 FF 91 B0 00 00 00 8B C8 8B D6 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_93994_0 {
	meta:
		name = "TChartSeries.NotifyNewValue"
		size = 60
		refs = "0035 TCustomChartElement.Repaint"
	strings:
		$1 = { 53 56 8B F1 8B D8 66 83 BB E2 00 00 00 00 74 0E 8B CE 8B 83 E4 00 00 00 FF 93 E0 00 00 00 8B CE B2 01 8B C3 8B 30 FF 96 C4 00 00 00 80 7B 38 00 74 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_93995_0 {
	meta:
		name = "TChartSeries.FirstDisplayedIndex"
		size = 33
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 68 01 00 00 84 C0 74 08 8B 83 28 01 00 00 5B C3 8B 83 2C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_93996_0 {
	meta:
		name = "TChartSeries.LastDisplayedIndex"
		size = 33
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 68 01 00 00 84 C0 74 08 8B 83 2C 01 00 00 5B C3 8B 83 28 01 00 00 5B C3 }
	condition:
		$1
}

rule function_93997_0 {
	meta:
		name = "TChartSeries.IsNull"
		size = 29
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 B0 00 00 00 3D FF FF FF 1F 0F 94 C0 5E 5B C3 }
	condition:
		$1
}

rule function_93998_0 {
	meta:
		name = "TChartSeries.AddNull"
		size = 36
	strings:
		$1 = { 55 8B EC 53 56 8B F0 FF 75 0C FF 75 08 B9 FF FF FF 1F 33 D2 8B C6 8B 18 FF 93 F4 00 00 00 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_93999_0 {
	meta:
		name = "TChartSeries.AddNull"
		size = 40
	strings:
		$1 = { 53 56 57 8B FA 8B F0 FF B6 AC 00 00 00 FF B6 A8 00 00 00 B9 FF FF FF 1F 8B D7 8B C6 8B 18 FF 93 F4 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94000_0 {
	meta:
		name = "TChartSeries.AddNullXY"
		size = 46
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 FF 75 14 FF 75 10 FF 75 0C FF 75 08 B9 FF FF FF 1F 8B D7 8B C6 8B 18 FF 93 00 01 00 00 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_94001_0 {
	meta:
		name = "TChartSeries.AddArray"
		size = 130
		refs = "0014 TChartSeries.BeginUpdate 001c TChartSeries.AddArray 006c TChartSeries.EndUpdate 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 8B FA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 8B D0 83 EA 00 42 89 55 F8 8B F0 85 F6 7C 24 46 8B DF DB 03 83 C4 F8 DD 1C 24 9B B9 00 00 00 20 33 D2 8B 45 FC 8B 38 FF 97 F4 00 00 00 83 C3 04 4E 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94002_0 {
	meta:
		name = "TChartSeries.AddArray"
		size = 126
		refs = "0014 TChartSeries.BeginUpdate 001c TChartSeries.AddArray 0068 TChartSeries.EndUpdate 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 8B FA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 8B D0 83 EA 00 42 89 55 F8 8B F0 85 F6 7C 20 46 8B DF FF 73 04 FF 33 B9 00 00 00 20 33 D2 8B 45 FC 8B 38 FF 97 F4 00 00 00 83 C3 08 4E 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94003_0 {
	meta:
		name = "TChartSeries.AddArray"
		size = 142
		refs = "0014 TChartSeries.BeginUpdate 001c TChartSeries.AddArray 0076 TChartSeries.EndUpdate 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B D9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 8B D0 83 EA 00 42 89 55 F8 85 C0 7C 30 40 89 45 F4 8B DE 8B 75 0C FF 73 04 FF 33 FF 76 04 FF 36 B9 00 00 00 20 33 D2 8B 45 FC 8B 38 FF 97 00 01 00 00 83 C6 08 83 C3 08 FF 4D F4 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_94004_0 {
	meta:
		name = "TChartSeries.Add"
		size = 107
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 80 BE 6C 01 00 00 00 74 27 8B 86 A0 00 00 00 DB 40 04 83 C4 F8 DD 1C 24 9B FF 75 0C FF 75 08 8B 4D FC 8B D7 8B C6 8B 18 FF 93 00 01 00 00 EB 25 FF 75 0C FF 75 08 8B 86 A4 00 00 00 DB 40 04 83 C4 F8 DD 1C 24 9B 8B 4D FC 8B D7 8B C6 8B 18 FF 93 00 01 00 00 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_94005_0 {
	meta:
		name = "TChartSeries.AddX"
		size = 59
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 FF 75 0C FF 75 08 8B 86 A0 00 00 00 DB 40 04 83 C4 F8 DD 1C 24 9B 8B 4D FC 8B D7 8B C6 8B 18 FF 93 00 01 00 00 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_94006_0 {
	meta:
		name = "TChartSeries.AddY"
		size = 59
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 86 A0 00 00 00 DB 40 04 83 C4 F8 DD 1C 24 9B FF 75 0C FF 75 08 8B 4D FC 8B D7 8B C6 8B 18 FF 93 00 01 00 00 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_94007_0 {
	meta:
		name = "TChartSeries.AddXY"
		size = 312
		refs = "005c TChartValueList.AddChartValue 009a TChartValueLists.Get 00c7 TList.Insert 00d9 TChartSeries.GrowColors 0107 TLabelsList.InsertLabel"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 55 FC 8B D8 8B 83 A0 00 00 00 8B 55 10 89 50 30 8B 55 14 89 50 34 8B 83 A4 00 00 00 8B 55 08 89 50 30 8B 55 0C 89 50 34 66 83 BB EA 00 00 00 00 74 16 8B D3 8B 83 EC 00 00 00 FF 93 E8 00 00 00 84 C0 0F 84 D0 00 00 00 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 8B B3 A4 00 00 00 FF 76 34 FF 76 30 8B 55 F4 8B C6 8B 08 FF 51 14 8B 83 98 00 00 00 8B 78 08 4F 83 EF 02 7C 2E 47 C7 45 F0 02 00 00 00 8B 55 F0 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B F0 FF 76 34 FF 76 30 8B 55 F4 8B C6 8B 08 FF 51 14 FF 45 F0 4F 75 DA 8B 83 24 01 00 00 85 C0 74 0D 8B 4D F8 8B 55 F4 E8 ?? ?? ?? ?? EB 21 81 7D F8 00 00 00 20 74 18 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 F4 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 75 09 8B 43 7C 83 78 08 00 7E 0E 8B 4D FC 8B 55 F4 8B 43 7C E8 ?? ?? ?? ?? 83 BB 38 01 00 00 00 75 18 8B 4D F4 8B D3 8B C3 8B 18 FF 93 C0 00 00 00 EB 07 C7 45 F4 FF FF FF FF 8B 45 F4 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_94008_0 {
	meta:
		name = "TChartSeries.Count"
		size = 10
		altNames = "TChartSeries.CountLegendItems"
	strings:
		$1 = { 8B 80 A0 00 00 00 8B 40 04 C3 }
	condition:
		$1
}

rule function_94010_0 {
	meta:
		name = "TChartSeries.VisibleCount"
		size = 314
		refs = "00f6 TChartSeries.MandatoryAxis"
	strings:
		$1 = { 53 56 57 51 8B D8 33 C0 89 04 24 83 BB 28 01 00 00 00 75 15 8B 83 A0 00 00 00 8B 40 04 48 3B 83 2C 01 00 00 0F 94 C0 EB 02 33 C0 84 C0 74 11 8B 83 A0 00 00 00 8B 40 04 89 04 24 E9 F2 00 00 00 8B 83 28 01 00 00 83 F8 FF 0F 84 E3 00 00 00 83 BB 2C 01 00 00 FF 0F 84 D6 00 00 00 8B 93 68 01 00 00 80 7A 24 00 75 7E 8B 83 A0 00 00 00 8B 78 04 4F 85 FF 0F 8C B8 00 00 00 47 33 F6 8B D6 8B C3 8B 08 FF 91 B4 00 00 00 8B 43 74 DC 58 20 9B DF E0 9E 72 4B 8B D6 8B C3 8B 08 FF 91 B4 00 00 00 8B 43 74 DC 58 18 9B DF E0 9E 77 33 8B D6 8B C3 8B 08 FF 91 B8 00 00 00 8B 43 78 DC 58 20 9B DF E0 9E 72 1B 8B D6 8B C3 8B 08 FF 91 B8 00 00 00 8B 43 78 DC 58 18 9B DF E0 9E 77 03 FF 04 24 46 4F 75 99 EB 4C 8B F0 8B BB 2C 01 00 00 2B FE 7C 40 47 8B C3 E8 ?? ?? ?? ?? DD 40 20 8B 83 60 01 00 00 8B 40 54 DC 1C F0 9B DF E0 9E 77 1F 8B C3 E8 ?? ?? ?? ?? DD 40 18 8B 83 60 01 00 00 8B 40 54 DC 1C F0 9B DF E0 9E 72 03 FF 04 24 46 4F 75 C1 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94011_0 {
	meta:
		name = "TChartSeries.MarkPercent"
		size = 384
		refs = "0029 TChartSeries.MarkPercent 003c TChartValueList.GetTotalABS 008d @UStrLAsg 00a8 CurrencyString 00b0 FormatFloat 00ba @UStrAsg 00d9 TeeMsg_DefaultPercentOf2 00eb TeeMsg_DefaultPercentOf 0149 FmtStr 0163 @UStrArrayClr 0169 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 5D F0 89 5D EC 88 4D E7 89 55 E8 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 60 01 00 00 8B C6 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 2B 8B 55 E8 8B C3 8B 08 FF 91 64 01 00 00 D9 E1 D8 0D ?? ?? ?? ?? DB 7D A4 9B 8B C6 E8 ?? ?? ?? ?? DB 6D A4 DE F1 DD 5D D8 9B EB 0C 33 C0 89 45 D8 C7 45 DC 00 00 59 40 8D 45 F8 8B 93 8C 00 00 00 E8 ?? ?? ?? ?? DD 45 D8 DB 7D C0 9B 0F B7 45 C8 50 FF 75 C4 FF 75 C0 8D 4D F4 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C7 8B 55 F4 E8 ?? ?? ?? ?? 80 7D E7 00 0F 84 85 00 00 00 8B 83 88 00 00 00 80 78 6D 00 74 12 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? EB 10 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8D 45 F0 8B 93 94 00 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? DB 7D B0 9B 0F B7 45 B8 50 FF 75 B4 FF 75 B0 8D 4D EC 8B 15 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 6A 01 8B 07 89 45 94 C6 45 98 11 8B 45 EC 89 45 9C C6 45 A0 11 8D 4D 94 8B C7 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_94012_0 {
	meta:
		name = "TChartSeries.GetOriginValue"
		size = 21
	strings:
		$1 = { 83 C4 F8 8B 08 FF 91 64 01 00 00 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_94013_0 {
	meta:
		name = "TChartSeries.GetMarkValue"
		size = 32
	strings:
		$1 = { 83 C4 F8 8B 80 60 01 00 00 8B 40 54 8B 0C D0 89 0C 24 8B 4C D0 04 89 4C 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_94014_0 {
	meta:
		name = "GetAValue"
		size = 152
		refs = "0015 GetAValue 002f @UStrLAsg 005b CurrencyString 0063 FormatFloat 006d @UStrAsg 0087 @UStrArrayClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 08 8B 52 FC 8B 92 94 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC 8B 08 FF 91 64 01 00 00 DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94015_0 {
	meta:
		name = "LabelOrValue"
		size = 48
		refs = "0017 TLabelsList.GetLabel 0027 GetAValue"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B F0 8B CB 8B 45 08 8B 40 FC 8B 40 7C 8B D6 E8 ?? ?? ?? ?? 83 3B 00 75 0C 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 59 5E 5B 5D C3 }
	condition:
		$1
}

rule function_94016_0 {
	meta:
		name = "GetAXValue"
		size = 210
		refs = "0016 GetAXValue 003d @UStrLAsg 006d CurrencyString 0075 FormatFloat 007f @UStrAsg 00c0 @UStrArrayClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 70 74 85 F6 75 58 8D 45 FC 8B 55 08 8B 52 FC 8B 92 94 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 55 08 8B 52 FC 8B 92 68 01 00 00 8B 52 54 DD 04 C2 DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 4D F8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C3 8B 55 F8 E8 ?? ?? ?? ?? EB 25 8B 45 08 8B 40 F8 8B 55 08 8B 52 FC 8B 92 68 01 00 00 8B 52 54 FF 74 C2 04 FF 34 C2 8B D3 8B C6 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94017_0 {
	meta:
		name = "TChartSeries.GetMarkText"
		size = 1112
		refs = "0022 TChartSeries.GetMarkText 0046 TSeriesMarks.GetItem 005d TMarksItem.GetText 008f @UStrCopy 009c @UStrEqual 00c6 @UStrDelete 00d8 TeeLineSeparator 012f GetAValue 013b @UStrAsg 0151 TChartSeries.MarkPercent 0162 LabelOrValue 018d @UStrFromWChar 01b1 @UStrCatN 0228 TeeColumnSeparator 022d ReplaceChar 029f GetAXValue 0300 SeriesTitleOrName 0310 IntToStr 032c @UStrLAsg 0352 CurrencyString 035a FormatFloat 03dd @UStrClr 0420 @UStrArrayClr 0433 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 12 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 98 88 00 00 00 8B 43 64 8B 40 08 3B 45 F8 7E 0E 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B F0 EB 02 33 F6 85 F6 74 7B 80 7E 58 00 74 75 8B C6 E8 ?? ?? ?? ?? 8B 55 E4 8B 08 FF 51 1C 8B 45 E4 8B 00 89 45 BC 8B 5D BC 85 DB 74 05 83 EB 04 8B 1B 8D 45 B8 50 8B D3 4A 8B 45 E4 8B 00 B9 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 3B 03 00 00 8B 45 E4 8B 00 89 45 BC 8B 45 BC 85 C0 74 05 83 E8 04 8B 00 8B D0 4A 8B 45 E4 B9 02 00 00 00 E8 ?? ?? ?? ?? E9 12 03 00 00 80 7B 6D 00 74 09 0F B7 35 ?? ?? ?? ?? EB 04 66 BE 20 00 0F B6 43 6C 83 F8 0C 0F 87 EA 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 8D 45 B4 E8 ?? ?? ?? ?? 59 8B 55 B4 8B 45 E4 E8 ?? ?? ?? ?? E9 9D 02 00 00 8B 45 E4 50 33 C9 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E9 87 02 00 00 55 8D 55 B0 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 55 B0 8B 45 E4 E8 ?? ?? ?? ?? E9 6A 02 00 00 55 8D 55 AC 8B 45 F8 E8 ?? ?? ?? ?? 59 FF 75 AC 8D 45 A8 8B D6 E8 ?? ?? ?? ?? FF 75 A8 8D 45 A4 50 33 C9 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? FF 75 A4 8B 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 27 02 00 00 55 8D 55 A0 8B 45 F8 E8 ?? ?? ?? ?? 59 FF 75 A0 8D 45 9C 8B D6 E8 ?? ?? ?? ?? FF 75 9C 55 8D 45 98 E8 ?? ?? ?? ?? 59 FF 75 98 8B 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 EB 01 00 00 8B 45 E4 50 8B 45 FC 8B 40 40 8B 4D F8 8B 55 FC 8B 30 FF 96 48 01 00 00 80 7B 6D 00 0F 85 C9 01 00 00 8D 45 94 50 8B 45 E4 8B 00 66 B9 20 00 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 94 8B 45 E4 E8 ?? ?? ?? ?? E9 A0 01 00 00 8B 45 E4 50 B1 01 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? E9 8A 01 00 00 55 8D 55 90 8B 45 F8 E8 ?? ?? ?? ?? 59 FF 75 90 8D 45 8C 8B D6 E8 ?? ?? ?? ?? FF 75 8C 8D 45 88 50 B1 01 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? FF 75 88 8B 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 47 01 00 00 55 8D 45 84 E8 ?? ?? ?? ?? 59 8B 55 84 8B 45 E4 E8 ?? ?? ?? ?? E9 2D 01 00 00 55 8D 45 80 E8 ?? ?? ?? ?? 59 FF 75 80 8D 85 7C FF FF FF 8B D6 E8 ?? ?? ?? ?? FF B5 7C FF FF FF 55 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 59 FF B5 78 FF FF FF 8B 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 E8 00 00 00 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? E9 D8 00 00 00 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? E9 C8 00 00 00 83 7D F8 00 75 4C 8D 45 F4 8B 55 FC 8B 92 8C 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 45 D0 C7 45 D4 00 00 00 C8 66 C7 45 D8 05 40 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 4D F0 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E4 8B 55 F0 E8 ?? ?? ?? ?? EB 76 8D 45 EC 8B 55 FC 8B 92 8C 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 91 64 01 00 00 D8 0D ?? ?? ?? ?? DB BD 6C FF FF FF 9B 33 D2 8B 45 FC 8B 08 FF 91 64 01 00 00 DB AD 6C FF FF FF DE F1 DB 7D C0 9B 0F B7 45 C8 50 FF 75 C4 FF 75 C0 8D 4D E8 8B 15 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E4 8B 55 E8 E8 ?? ?? ?? ?? EB 08 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 0A 01 00 00 00 74 19 8B 45 E4 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 83 0C 01 00 00 FF 93 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF BA 11 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_94018_0 {
	meta:
		name = "TChartSeries.SetMarkText"
		size = 9
		refs = "0004 TLabelsList.SetLabel"
		altNames = "TChartSeries.SetXLabel"
	strings:
		$1 = { 8B 40 7C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98214_0 {
	meta:
		name = "TCustomAdapterCommandGroup.GetVisibleCommands"
		size = 9
		refs = "0004 TAdapterActionsListHelper.GetVisibleActions"
	strings:
		$1 = { 8B 40 7C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98216_0 {
	meta:
		name = "TCustomAdapterCommandGroup.SetAddDefaultCommands"
		size = 9
		refs = "0004 TAdapterActionsListHelper.SetAddDefaultActions"
	strings:
		$1 = { 8B 40 7C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94019_0 {
	meta:
		name = "TChartSeries.SetValueFormat"
		size = 14
		refs = "0009 TCustomChartElement.SetStringProperty"
	strings:
		$1 = { 8D 88 94 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94020_0 {
	meta:
		name = "TChartSeries.SetPercentFormat"
		size = 14
		refs = "0009 TCustomChartElement.SetStringProperty"
	strings:
		$1 = { 8D 88 8C 00 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94021_0 {
	meta:
		name = "TChartSeries.PrepareForGallery"
		size = 174
		refs = "0013 @CallDynaInst 0022 TTeeCustomShapeBrushPen.SetVisible 002f TFont.SetSize 0036 TSeriesMarks.GetCallout 0040 TMarksCallout.SetLength 004c TSeriesMarks.SetDrawEvery 005b TCustomChartSeries.GetIndex 0065 clTeeGallery1 006d TCustomAxisPanel.GetDefaultColor 0081 clTeeGallery2"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 BA 04 00 00 00 8B C7 66 BE E9 FF E8 ?? ?? ?? ?? 8B B7 88 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? BA 07 00 00 00 8B 46 20 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? BA 04 00 00 00 E8 ?? ?? ?? ?? BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? C6 47 60 01 84 DB 74 43 8B C7 E8 ?? ?? ?? ?? 85 C0 75 1C 8B 15 ?? ?? ?? ?? 8B 47 40 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 91 D8 00 00 00 EB 2B 8B 15 ?? ?? ?? ?? 8B 47 40 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 91 D8 00 00 00 EB 0F BA C0 C0 C0 00 8B C7 8B 08 FF 91 D8 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94022_0 {
	meta:
		name = "TChartSeries.NumSampleValues"
		size = 6
		altNames = "TEncodingInfoISO60DanishNorwegian.MIBenum"
	strings:
		$1 = { B8 19 00 00 00 C3 }
	condition:
		$1
}

rule function_94023_0 {
	meta:
		name = "TChartSeries.RaiseClicked"
		size = 26
	strings:
		$1 = { 66 83 B8 FA 00 00 00 00 75 0D 66 83 B8 02 01 00 00 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_94025_0 {
	meta:
		name = "TChartSeries.RandomBounds"
		size = 628
		refs = "0031 TCustomAxisPanel.GetMaxValuesCount 0044 TCustomAxisPanel.MinYValue 0053 TCustomAxisPanel.MaxYValue 006f TChartSeries.RandomBounds 009e TCustomAxisPanel.MinXValue 00ad TCustomAxisPanel.MaxXValue 016a Date 0212 TChartSeries.RandomValue"
	strings:
		$1 = { 53 56 57 55 83 C4 D4 8B D9 8B FA 8B F0 33 C0 89 43 18 89 43 1C 33 C0 89 44 24 10 C7 44 24 14 00 40 8F 40 8B 6E 40 85 ED 0F 84 2F 01 00 00 8B C5 E8 ?? ?? ?? ?? 85 C0 0F 8E 20 01 00 00 8B 56 78 8B 46 40 E8 ?? ?? ?? ?? DD 5B 18 9B 8B 56 78 8B 46 40 E8 ?? ?? ?? ?? DD 5C 24 10 9B DD 44 24 10 DC 5B 18 9B DF E0 9E 75 2E DD 44 24 10 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 10 33 C0 89 44 24 10 C7 44 24 14 00 40 8F 40 EB 0E D9 05 ?? ?? ?? ?? DC 4B 18 DD 5C 24 10 9B 8B 56 74 8B 46 40 E8 ?? ?? ?? ?? DD 1C 24 9B 8B 56 74 8B 46 40 E8 ?? ?? ?? ?? DD 5C 24 08 9B DD 44 24 08 DC 1C 24 9B DF E0 9E 75 30 DD 44 24 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 12 8B C7 48 89 44 24 28 DB 44 24 28 DD 5C 24 08 9B EB 0E D9 05 ?? ?? ?? ?? DC 0C 24 DD 5C 24 08 9B 80 BE 6C 01 00 00 00 0F 85 A3 00 00 00 8D 43 18 8B 14 24 89 54 24 18 8B 54 24 04 89 54 24 1C 8B 10 89 14 24 8B 50 04 89 54 24 04 8B 54 24 18 89 10 8B 54 24 1C 89 50 04 8B 44 24 08 89 44 24 20 8B 44 24 0C 89 44 24 24 8B 44 24 10 89 44 24 08 8B 44 24 14 89 44 24 0C 8B 44 24 20 89 44 24 10 8B 44 24 24 89 44 24 14 EB 46 8B 86 A0 00 00 00 80 78 08 00 74 21 E8 ?? ?? ?? ?? DD 1C 24 9B 89 7C 24 28 DB 44 24 28 DC 04 24 D8 25 ?? ?? ?? ?? DD 5C 24 08 9B EB 19 33 C0 89 04 24 89 44 24 04 8B C7 48 89 44 24 28 DB 44 24 28 DD 5C 24 08 9B DD 44 24 08 DC 24 24 DD 5B 08 9B 83 FF 01 7E 10 4F 89 7C 24 28 DB 44 24 28 DC 7B 08 DD 5B 08 9B DD 44 24 10 DC 63 18 DD 5B 20 9B DB 2D ?? ?? ?? ?? DC 5B 20 9B DF E0 9E 73 10 C7 43 20 00 00 C0 FF C7 43 24 FF FF DF 41 EB 1D DB 2D ?? ?? ?? ?? DC 5B 20 9B DF E0 9E 76 0E C7 43 20 00 00 C0 FF C7 43 24 FF FF DF C1 BA 64 00 00 00 8B 06 E8 ?? ?? ?? ?? 89 44 24 28 DB 44 24 28 DC 4B 20 DB 2D ?? ?? ?? ?? DE C9 DC 43 18 DD 5B 10 9B 8B 04 24 89 03 8B 44 24 04 89 43 04 83 C4 2C 5D 5F 5E 5B C3 00 00 00 00 00 00 00 40 00 00 80 3F 00 00 00 00 FE FF FF FF 1D 40 00 00 00 00 00 00 FE FF FF FF 1D C0 00 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_94026_0 {
	meta:
		name = "TChartSeries.AddSampleValues"
		size = 260
		refs = "0016 TChartSeries.RandomBounds 0020 TChartSeries.AddSampleValues 0038 TChartSeries.RandomValue"
	strings:
		$1 = { 53 56 57 55 83 C4 CC 8B D9 8B F2 8B F8 8D 4C 24 08 8B D6 8B C7 E8 ?? ?? ?? ?? DD 44 24 28 D8 0D ?? ?? ?? ?? DD 1C 24 9B 85 F6 0F 8E B5 00 00 00 BA 64 00 00 00 8B 07 E8 ?? ?? ?? ?? 89 44 24 30 DB 44 24 30 DC 0C 24 DB 2D ?? ?? ?? ?? DE C9 DC 44 24 18 DD 04 24 D8 0D ?? ?? ?? ?? DE E9 D9 E1 DD 5C 24 18 9B 84 DB 74 1B FF 74 24 1C FF 74 24 1C B9 00 00 00 20 33 D2 8B C7 8B 28 FF 95 F4 00 00 00 EB 5A 80 BF 6C 01 00 00 00 74 23 FF 74 24 0C FF 74 24 0C FF 74 24 24 FF 74 24 24 B9 00 00 00 20 33 D2 8B C7 8B 28 FF 95 00 01 00 00 EB 21 FF 74 24 1C FF 74 24 1C FF 74 24 14 FF 74 24 14 B9 00 00 00 20 33 D2 8B C7 8B 28 FF 95 00 01 00 00 DD 44 24 08 DC 44 24 10 DD 5C 24 08 9B 4E 0F 85 4B FF FF FF 83 C4 34 5D 5F 5E 5B C3 00 00 00 00 00 80 3E 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 00 00 00 3F }
	condition:
		$1
}

rule function_94027_0 {
	meta:
		name = "TChartSeries.SortByLabels"
		size = 76
		refs = "000f TChartSeries.CompareLabelIndex 001b @FindDynaInst 002d TeeSort 003f TChartValueList.FillSequence 0046 TCustomChartElement.Repaint"
	strings:
		$1 = { 53 8B D8 84 D2 74 43 88 93 C9 00 00 00 53 68 ?? ?? ?? ?? 53 8B C3 66 BA E5 FF E8 ?? ?? ?? ?? 50 8B 83 A0 00 00 00 8B 50 04 4A 33 C0 E8 ?? ?? ?? ?? C6 83 C9 00 00 00 00 8B 83 68 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94028_0 {
	meta:
		name = "TChartSeries.CheckOrder"
		size = 81
		refs = "0015 TChartValueList.Sort 0028 TChartValueList.FillSequence 004a TCustomChartElement.Repaint"
	strings:
		$1 = { 53 56 8B D8 33 C0 8B 93 60 01 00 00 80 7A 24 00 74 1C 8B C2 E8 ?? ?? ?? ?? 8B B3 68 01 00 00 83 7E 48 00 75 07 8B C6 E8 ?? ?? ?? ?? B0 01 8B 93 68 01 00 00 80 7A 24 00 74 09 8B C2 E8 ?? ?? ?? ?? B0 01 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94029_0 {
	meta:
		name = "TChartSeries.FillSampleValues"
		size = 196
		refs = "0011 TeeMsg_FillSample 001a _DV_ChartException 001f Exception.Create 0024 @RaiseExcept 0043 @CallDynaInst 005a Random 0060 RandSeed 006a TChartSeries.BeginUpdate 0072 TChartSeries.FillSampleValues 00a9 TChartSeries.EndUpdate 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 85 DB 7D 1B 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1F 85 DB 75 1B 8B 45 FC 8B 98 34 01 00 00 85 DB 7F 0E 8B 45 FC 66 BE E6 FF E8 ?? ?? ?? ?? 8B D8 8B 45 FC 8B 10 FF 92 08 01 00 00 B8 EC A0 76 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B D3 8B 45 FC 66 BE ED FF E8 ?? ?? ?? ?? 8B 45 FC 66 BE EA FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC C6 80 64 01 00 00 00 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_94030_0 {
	meta:
		name = "TChartSeries.AssignFormat"
		size = 368
		refs = "000d TChartSeries.SetDataSource 0073 @UStrAsg 00b2 TChartValueLists.Get 00d7 TChartSeries.SetMarks 00ea TChartSeries.ChangeInternalColor 0167 TChartSeries.RecalcGetAxis"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B6 83 6C 01 00 00 3A 86 6C 01 00 00 75 24 8B 96 A0 00 00 00 8B 83 A0 00 00 00 8B 08 FF 51 08 8B 96 A4 00 00 00 8B 83 A4 00 00 00 8B 08 FF 51 08 EB 22 8B 96 A0 00 00 00 8B 83 A4 00 00 00 8B 08 FF 51 08 8B 96 A4 00 00 00 8B 83 A0 00 00 00 8B 08 FF 51 08 8D 83 80 00 00 00 8B 96 80 00 00 00 E8 ?? ?? ?? ?? 8D 43 64 8B 56 64 E8 ?? ?? ?? ?? 8B 96 98 00 00 00 8B 52 08 4A 8B 83 98 00 00 00 8B 40 08 48 3B D0 7F 02 8B C2 8B E8 83 ED 02 7C 2B 45 BF 02 00 00 00 8B D7 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 50 8B D7 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 08 47 4D 75 DB 8B 96 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 46 5C 89 43 5C 8B 96 CC 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 46 60 88 43 60 8D 83 94 00 00 00 8B 96 94 00 00 00 E8 ?? ?? ?? ?? 8D 83 8C 00 00 00 8B 96 8C 00 00 00 E8 ?? ?? ?? ?? 8B 86 B4 00 00 00 89 83 B4 00 00 00 0F B6 86 B0 00 00 00 88 83 B0 00 00 00 8B 86 B8 00 00 00 89 83 B8 00 00 00 0F B6 86 C0 00 00 00 88 83 C0 00 00 00 0F B6 86 C1 00 00 00 88 83 C1 00 00 00 0F B7 46 68 66 89 43 68 8B 46 70 89 43 70 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94031_0 {
	meta:
		name = "SelfSetDataSources"
		size = 66
		refs = "000f TChartSeries.GetDataSources 0028 TList.Get 0035 TChartSeries.InternalAddDataSource"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 10 FF 52 08 8B 5F 08 4B 85 DB 7C 1D 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 46 4B 75 E6 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_94032_0 {
	meta:
		name = "AssignColors"
		size = 162
		refs = "002e _Dn_TList 0033 TObject.Create 0069 TList.Get 007c TList.Add 009a TObject.Free"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 F8 83 B8 24 01 00 00 00 74 72 8B 45 08 8B 40 FC 8B 80 24 01 00 00 85 C0 74 07 8B 10 FF 52 08 EB 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 82 24 01 00 00 8B 45 08 8B 40 F8 8B 80 24 01 00 00 8B 58 08 4B 85 DB 7C 47 43 33 F6 8B 45 08 8B 40 F8 8B 80 24 01 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 FC 8B 80 24 01 00 00 E8 ?? ?? ?? ?? 46 4B 75 D6 EB 18 8B 45 08 8B 40 FC 05 24 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_94033_0 {
	meta:
		name = "TChartSeries.Assign"
		size = 227
		refs = "0011 _DV_TChartSeries 0016 @IsClass 0029 TCustomChartSeries.Assign 0034 TChartSeries.AssignFormat 0055 TTeeFunction.SetParentSeries 0070 TChartSeries.GetDataSource 0098 AssignColors 00aa TLabelsList.Assign 00b5 TChartSeries.AssignValues 00c0 TChartSeries.GetDataSources 00c5 SelfSetDataSources 00ce TChartSeries.CheckDataSource"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B2 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 80 C4 00 00 00 85 C0 74 14 8B 55 FC 83 BA C4 00 00 00 00 75 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 0F B6 80 64 01 00 00 8B 55 FC 88 82 64 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 0C 8B 45 F8 80 B8 64 01 00 00 00 74 37 8B 45 F8 80 B8 64 01 00 00 00 75 06 F6 40 1C 10 75 34 55 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 50 7C 8B 45 FC 8B 40 7C E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 0F 55 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? EB 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_94034_0 {
	meta:
		name = "TChartSeries.SetColorEachPoint"
		size = 19
		refs = "000e TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 83 C0 60 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94035_0 {
	meta:
		name = "TChartSeries.ReplaceList"
		size = 154
		refs = "0013 TList.IndexOf 0027 TList.Delete 0046 @UStrAsg 007d TChartValueLists.Get 0082 TObject.Free 0091 TList.Put"
	strings:
		$1 = { 53 56 57 55 8B F9 8B EA 8B D8 8B D7 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 0D 8B D6 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B D5 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 56 8D 47 20 8B 55 20 E8 ?? ?? ?? ?? 3B AB A0 00 00 00 75 0E 89 BB A0 00 00 00 89 BB 68 01 00 00 EB 14 3B AB A4 00 00 00 75 0C 89 BB A4 00 00 00 89 BB 60 01 00 00 8B D6 8B 83 98 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF 8B D6 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94036_0 {
	meta:
		name = "TChartSeries.GetxValue"
		size = 32
	strings:
		$1 = { 83 C4 F8 8B 80 A0 00 00 00 8B 40 54 8B 0C D0 89 0C 24 8B 4C D0 04 89 4C 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_94037_0 {
	meta:
		name = "TChartSeries.GetyValue"
		size = 32
	strings:
		$1 = { 83 C4 F8 8B 80 A4 00 00 00 8B 40 54 8B 0C D0 89 0C 24 8B 4C D0 04 89 4C 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_94038_0 {
	meta:
		name = "TChartSeries.SetYValue"
		size = 42
		refs = "0020 TCustomChartElement.Repaint"
	strings:
		$1 = { 55 8B EC 53 56 8B 88 A4 00 00 00 8B 59 54 8B 75 08 89 34 D3 8B 75 0C 89 74 D3 04 C6 41 4D 01 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_94039_0 {
	meta:
		name = "TChartSeries.SetXValue"
		size = 42
		refs = "0020 TCustomChartElement.Repaint"
	strings:
		$1 = { 55 8B EC 53 56 8B 88 A0 00 00 00 8B 59 54 8B 75 08 89 34 D3 8B 75 0C 89 74 D3 04 C6 41 4D 01 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_94040_0 {
	meta:
		name = "TChartSeries.IsPointInChartRect"
		size = 73
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 8B 46 40 8D 98 44 03 00 00 8B D5 8B C6 8B 08 FF 91 3C 01 00 00 8B F8 8B D5 8B C6 8B 08 FF 91 44 01 00 00 3B 3B 7C 0F 3B 43 04 7C 0A 3B 7B 08 7F 05 3B 43 0C 7E 04 33 C0 EB 02 B0 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94041_0 {
	meta:
		name = "TChartSeries.InternalColor"
		size = 28
	strings:
		$1 = { 8B 88 24 01 00 00 85 C9 74 0C 3B 51 08 7D 07 8B 41 04 8B 04 90 C3 B8 00 00 00 20 C3 }
	condition:
		$1
}

rule function_94042_0 {
	meta:
		name = "TChartSeries.GetValueColor"
		size = 63
		refs = "000b TChartSeries.InternalColor 0026 TCustomAxisPanel.GetDefaultColor 002f GetDefaultColor 0038 TChartSeries.GetSeriesColor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 3D 00 00 00 20 75 26 80 7B 60 00 74 19 8B 43 40 85 C0 74 09 8B D6 E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94043_0 {
	meta:
		name = "TChartSeries.GrowColors"
		size = 59
		refs = "0007 _Dn_TList 000c TObject.Create 0031 TList.Add"
	strings:
		$1 = { 53 56 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 24 01 00 00 8B 86 A0 00 00 00 8B 58 04 4B 85 DB 7C 14 43 BA 00 00 00 20 8B 86 24 01 00 00 E8 ?? ?? ?? ?? 4B 75 ED 5E 5B C3 }
	condition:
		$1
}

rule function_94044_0 {
	meta:
		name = "TChartSeries.SetValueColor"
		size = 59
		refs = "001d TChartSeries.GrowColors 002c TList.Put 0033 TCustomChartElement.Repaint"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 83 BB 24 01 00 00 00 75 0F 81 FE 00 00 00 20 74 1D 8B C3 E8 ?? ?? ?? ?? 8B CE 8B D7 8B 83 24 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94045_0 {
	meta:
		name = "TChartSeries.ClickedPointer"
		size = 47
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F0 8B 7D 08 8B 45 0C 50 8B 07 50 8B 47 04 50 8B 4D FC 8B C6 8B 18 FF 93 80 00 00 00 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_94047_0 {
	meta:
		name = "TChartSeries.ClearLists"
		size = 101
		refs = "001f TChartValueLists.Get 003b TObject.Free 0052 TSeriesMarks.Clear"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 98 00 00 00 8B 70 08 4E 85 F6 7C 19 46 33 FF 8B D7 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 10 47 4E 75 EA 8D 83 24 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 43 7C 8B 10 FF 52 08 8B 83 88 00 00 00 85 C0 74 05 E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 8B 10 FF 52 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94048_0 {
	meta:
		name = "TChartSeries.Clear"
		size = 121
		refs = "0056 @CallDynaInst 0072 TCustomChartElement.Repaint"
	strings:
		$1 = { 53 56 8B D8 C7 83 28 01 00 00 FF FF FF FF C7 83 2C 01 00 00 FF FF FF FF 8B C3 8B 10 FF 52 7C 66 83 BB F2 00 00 00 00 74 0E 8B D3 8B 83 F4 00 00 00 FF 93 F0 00 00 00 33 C9 33 D2 8B C3 8B 30 FF 96 C4 00 00 00 8B B3 C4 00 00 00 85 F6 74 0B 8B C6 66 BE F0 FF E8 ?? ?? ?? ?? 80 7B 38 00 74 16 83 7B 40 00 74 10 8B 43 40 F6 40 1C 08 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94049_0 {
	meta:
		name = "TChartSeries.AssociatedToAxis"
		size = 76
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 74 01 00 00 84 C0 74 2E 80 BE B9 00 00 00 00 74 0E 80 BB B0 00 00 00 02 74 21 3B 73 74 74 1C 80 BE B9 00 00 00 00 75 0E 80 BB C0 00 00 00 02 74 0A 3B 73 78 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_94050_0 {
	meta:
		name = "TChartSeries.DrawLegendShape"
		size = 14
	strings:
		$1 = { 8B D1 8B 40 40 8B 08 FF 91 3C 01 00 00 C3 }
	condition:
		$1
}

rule function_94051_0 {
	meta:
		name = "TChartSeries.LegendItemColor"
		size = 9
	strings:
		$1 = { 8B 08 FF 91 B0 00 00 00 C3 }
	condition:
		$1
}

rule function_94052_0 {
	meta:
		name = "TChartSeries.DrawLegend"
		size = 437
		refs = "003a TChartSeries.GetSeriesColor 005f TBrush.SetColor 0129 TBrush.GetBitmap 0159 TBrush.SetStyle 0178 TCustomTeePanel.SetBrushCanvas"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 0C 24 8B FA 8B F0 83 FF FF 75 0A 80 7E 60 00 0F 85 90 01 00 00 8B 46 40 0F B6 90 99 02 00 00 88 54 24 0B C6 80 99 02 00 00 00 83 FF FF 75 0B 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 0E 8B D7 8B C6 8B 08 FF 91 1C 01 00 00 8B D8 8B 46 40 8B 80 40 03 00 00 8B 40 04 8B D3 E8 ?? ?? ?? ?? 81 FB FF FF FF 1F 0F 84 30 01 00 00 8B 46 40 8B 80 48 04 00 00 89 44 24 04 8B 46 3C 8B 40 10 0F B6 40 20 88 44 24 09 8B 46 44 8B 50 10 8B 4A 18 8B D0 8B 46 40 8B 80 40 03 00 00 8B 18 FF 53 54 8D 44 24 09 50 8D 4C 24 08 8B D7 8B C6 8B 18 FF 93 D0 00 00 00 8B 46 40 8B A8 4C 04 00 00 85 ED 74 1C 8B 56 40 8B 92 4C 04 00 00 8B 52 10 8B 4A 18 8B D5 8B 80 40 03 00 00 8B 18 FF 53 54 81 7C 24 04 00 00 00 20 75 21 8B 46 40 8B 80 48 04 00 00 89 44 24 04 81 7C 24 04 00 00 00 20 75 0A 8B 46 40 8B 40 74 89 44 24 04 C6 44 24 0A 00 C6 44 24 08 00 8B 5E 3C 8B 43 10 0F B6 40 20 3A 44 24 09 74 37 8B C3 E8 ?? ?? ?? ?? 85 C0 74 10 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 20 84 C0 74 1C 8B 43 10 0F B6 40 20 88 44 24 08 C6 44 24 0A 01 0F B6 54 24 09 8B C3 E8 ?? ?? ?? ?? 8B 46 40 8B 54 24 04 52 8B 90 40 03 00 00 8B 52 04 8B 52 10 8B 52 18 8B 4E 3C E8 ?? ?? ?? ?? 8B 0C 24 8B D7 8B C6 8B 18 FF 93 98 00 00 00 80 7C 24 0A 00 74 0D 0F B6 54 24 08 8B 46 3C E8 ?? ?? ?? ?? 8B 46 40 0F B6 54 24 0B 88 90 99 02 00 00 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94054_0 {
	meta:
		name = "TChartSeries.CalcZOrder"
		size = 87
		refs = "003c TChartSeries.GetZOrder"
	strings:
		$1 = { 53 8B D8 83 BB BC 00 00 00 FF 75 2D 8B 43 40 80 B8 04 03 00 00 00 74 17 FF 80 20 04 00 00 8B 43 40 8B 80 20 04 00 00 89 83 40 01 00 00 EB 26 33 C0 89 83 40 01 00 00 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 53 40 8B 8A 20 04 00 00 3B C1 7D 02 8B C1 89 82 20 04 00 00 5B C3 }
	condition:
		$1
}

rule function_94055_0 {
	meta:
		name = "TChartSeries.CalcXPosValue"
		size = 30
	strings:
		$1 = { 55 8B EC 53 FF 75 0C FF 75 08 8B 58 74 8B 83 9C 01 00 00 FF 93 98 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_94056_0 {
	meta:
		name = "TChartSeries.XScreenToValue"
		size = 30
	strings:
		$1 = { 53 83 C4 F8 8B 58 74 8B 83 B4 01 00 00 FF 93 B0 01 00 00 DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_94057_0 {
	meta:
		name = "TChartSeries.CalcXSizeValue"
		size = 21
		refs = "000d TChartAxis.CalcSizeValue"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 74 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_94058_0 {
	meta:
		name = "TChartSeries.CalcYPosValue"
		size = 30
	strings:
		$1 = { 55 8B EC 53 FF 75 0C FF 75 08 8B 58 78 8B 83 A4 01 00 00 FF 93 A0 01 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_94059_0 {
	meta:
		name = "TChartSeries.CalcPosValue"
		size = 46
	strings:
		$1 = { 55 8B EC 80 B8 6C 01 00 00 00 74 10 FF 75 0C FF 75 08 8B 10 FF 92 48 01 00 00 EB 0E FF 75 0C FF 75 08 8B 10 FF 92 40 01 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_94060_0 {
	meta:
		name = "TChartSeries.XValueToText"
		size = 31
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B D6 8B 43 74 8B 08 FF 51 28 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_94061_0 {
	meta:
		name = "TChartSeries.YValueToText"
		size = 31
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8B D6 8B 43 78 8B 08 FF 51 28 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_94062_0 {
	meta:
		name = "TChartSeries.YScreenToValue"
		size = 30
	strings:
		$1 = { 53 83 C4 F8 8B 58 78 8B 83 B4 01 00 00 FF 93 B0 01 00 00 DD 1C 24 9B DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_94063_0 {
	meta:
		name = "TChartSeries.CalcYSizeValue"
		size = 21
		refs = "000d TChartAxis.CalcSizeValue"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 8B 40 78 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_94064_0 {
	meta:
		name = "TChartSeries.CalcXPos"
		size = 34
	strings:
		$1 = { 53 8B 88 A0 00 00 00 8B 49 54 FF 74 D1 04 FF 34 D1 8B 58 74 8B 83 9C 01 00 00 FF 93 98 01 00 00 5B C3 }
	condition:
		$1
}

rule function_94065_0 {
	meta:
		name = "TChartSeries.CalcYPos"
		size = 34
	strings:
		$1 = { 53 8B 88 A4 00 00 00 8B 49 54 FF 74 D1 04 FF 34 D1 8B 58 78 8B 83 A4 01 00 00 FF 93 A0 01 00 00 5B C3 }
	condition:
		$1
}

rule function_94066_0 {
	meta:
		name = "TChartSeries.Delete"
		size = 277
		refs = "0036 TChartValueLists.Get 0057 TList.Delete 0066 TLabelsList.DeleteLabel 0078 TVisualsList.DeleteVisual 008f TSeriesMarksPositions.Get 0094 TObject.Free 00af TMarksItems.Get 00d9 TCustomChartElement.Repaint 00f6 TeeMsg_SeriesDelete 00ff _DV_ChartException 0104 Exception.CreateFmt 0109 @RaiseExcept"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F2 8B D8 8B 83 A0 00 00 00 8B 78 04 3B F7 0F 8D C3 00 00 00 8B 83 98 00 00 00 8B 78 08 4F 85 FF 7C 1B 47 33 ED 8B D5 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 1C 45 4F 75 E8 8B 83 24 01 00 00 85 C0 74 0C 3B 70 08 7D 07 8B D6 E8 ?? ?? ?? ?? 8B 43 7C 3B 70 08 7D 07 8B D6 E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 3B 70 08 7D 07 8B D6 E8 ?? ?? ?? ?? 8B BB 88 00 00 00 8B 6F 74 3B 75 08 7D 18 8B C5 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 74 8B D6 E8 ?? ?? ?? ?? 8B 6F 64 3B 75 08 7D 18 8B C5 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 64 8B D6 E8 ?? ?? ?? ?? 8B CE B2 02 8B C3 8B 30 FF 96 C4 00 00 00 80 7B 38 00 74 37 8B C3 E8 ?? ?? ?? ?? EB 2E 89 34 24 C6 44 24 04 00 4F 89 7C 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94067_0 {
	meta:
		name = "TChartSeries.Delete"
		size = 338
		refs = "004d TChartValueLists.Get 0057 TChartValueList.Delete 0084 TList.Delete 00a6 TObject.Free 00c3 TLabelsList.DeleteLabel 00e9 TVisualsList.DeleteVisual 0134 TCustomChartElement.Repaint 0145 TChartValueList.FillSequence"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B F0 8B 86 A0 00 00 00 8B 40 04 3B F8 0F 8D 28 01 00 00 8B D0 2B D7 3B 55 FC 7D 03 89 55 FC 8B 86 98 00 00 00 8B 58 08 4B 85 DB 7C 26 43 C7 45 F8 00 00 00 00 8B 55 F8 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B D7 E8 ?? ?? ?? ?? FF 45 F8 4B 75 E2 8B 86 24 01 00 00 85 C0 74 3F 3B 78 08 7D 1B 8B DF 03 5D FC 4B 2B DF 7C 11 43 8B D7 8B 86 24 01 00 00 E8 ?? ?? ?? ?? 4B 75 F0 8B 86 24 01 00 00 83 78 08 00 75 13 8D 86 24 01 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 46 7C 3B 78 08 7D 18 8B DF 03 5D FC 4B 2B DF 7C 0E 43 8B D7 8B 46 7C E8 ?? ?? ?? ?? 4B 75 F3 8B 86 9C 00 00 00 3B 78 08 7D 1B 8B DF 03 5D FC 4B 2B DF 7C 11 43 8B D7 8B 86 9C 00 00 00 E8 ?? ?? ?? ?? 4B 75 F0 8B 86 88 00 00 00 8B 40 74 89 45 F4 8B 45 F4 3B 78 08 7D 18 8B DF 03 5D FC 4B 2B DF 7C 0E 43 8B D7 8B 45 F4 E8 ?? ?? ?? ?? 4B 75 F3 83 C9 FF B2 02 8B C6 8B 18 FF 93 C4 00 00 00 80 7E 38 00 74 07 8B C6 E8 ?? ?? ?? ?? 80 7D 08 00 74 0B 8B 86 68 01 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_94068_0 {
	meta:
		name = "TChartSeries.SwapValueIndex"
		size = 123
		refs = "0026 TChartValueLists.Get 0030 TChartValueList.Exchange 0048 TList.Exchange"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B D8 8B 83 98 00 00 00 8B 70 08 4E 85 F6 7C 1E 46 33 FF 8B D7 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 0C 24 8B D5 E8 ?? ?? ?? ?? 47 4E 75 E5 8B 83 24 01 00 00 85 C0 74 0A 8B 0C 24 8B D5 E8 ?? ?? ?? ?? 8B 43 7C 83 78 08 00 7E 0A 8B 0C 24 8B D5 E8 ?? ?? ?? ?? 8B 83 9C 00 00 00 83 78 08 00 7E 0A 8B 0C 24 8B D5 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94070_0 {
	meta:
		name = "TChartSeries.GetSeriesColor"
		size = 21
	strings:
		$1 = { 8B 50 5C 81 FA 00 00 00 20 75 07 8B 80 CC 00 00 00 C3 8B C2 C3 }
	condition:
		$1
}

rule function_94071_0 {
	meta:
		name = "TChartSeries.NotifyColorChanged"
		size = 28
		refs = "000f TCustomAxisPanel.BroadcastSeriesEvent 0016 TCustomChartSeries.RepaintDesigner"
	strings:
		$1 = { 53 8B D8 8B 43 40 85 C0 74 09 B1 03 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94072_0 {
	meta:
		name = "TChartSeries.SetSeriesColor"
		size = 51
		refs = "001d TCustomChartElement.SetColorProperty 002d TChartSeries.NotifyColorChanged"
	strings:
		$1 = { 53 8B D8 81 7B 5C 00 00 00 20 75 08 3B 93 CC 00 00 00 74 1D 8D 43 5C 8B CA 8B D3 92 E8 ?? ?? ?? ?? 8B 43 5C 89 83 CC 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94073_0 {
	meta:
		name = "TChartSeries.MaxXValue"
		size = 24
		refs = "000a TChartValueList.GetMaxValue"
	strings:
		$1 = { 83 C4 F8 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_94075_0 {
	meta:
		name = "TChartSeries.MinXValue"
		size = 24
		refs = "000a TChartValueList.GetMinValue"
	strings:
		$1 = { 83 C4 F8 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_94074_0 {
	meta:
		name = "TChartSeries.MaxYValue"
		size = 24
		refs = "000a TChartValueList.GetMaxValue"
	strings:
		$1 = { 83 C4 F8 8B 80 A4 00 00 00 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_94076_0 {
	meta:
		name = "TChartSeries.MinYValue"
		size = 24
		refs = "000a TChartValueList.GetMinValue"
	strings:
		$1 = { 83 C4 F8 8B 80 A4 00 00 00 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_94077_0 {
	meta:
		name = "TChartSeries.MaxZValue"
		size = 33
		refs = "0009 TChartSeries.GetZOrder"
		altNames = "TChartSeries.MinZValue"
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 E8 ?? ?? ?? ?? 89 44 24 08 DB 44 24 08 DD 1C 24 9B DD 04 24 83 C4 0C 5B C3 }
	condition:
		$1
}

rule function_94079_0 {
	meta:
		name = "TChartSeries.MaxMarkWidth"
		size = 78
		refs = "0024 TSeriesMarks.MarkItem 0037 TSeriesMarks.TextWidth"
	strings:
		$1 = { 53 56 57 55 8B F8 33 ED 8B 87 A0 00 00 00 8B 40 04 8B F0 4E 85 F6 7C 2F 46 33 DB 8B 87 88 00 00 00 8B D3 E8 ?? ?? ?? ?? 80 78 10 00 74 15 8B 87 88 00 00 00 8B D3 E8 ?? ?? ?? ?? 3B C5 7D 02 8B C5 8B E8 43 4E 75 D4 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94080_0 {
	meta:
		name = "TChartSeries.AddLinkedSeries"
		size = 38
		refs = "000f TList.IndexOf 001f TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 40 75 0D 8B D6 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94081_0 {
	meta:
		name = "TChartSeries.RemoveDataSource"
		size = 19
		refs = "0004 TChartSeries.GetDataSources 000d TList.RemoveItem"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 8B D3 33 C9 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94082_0 {
	meta:
		name = "TChartSeries.SetNull"
		size = 26
		refs = "000a TChartSeries.SetValueColor"
	strings:
		$1 = { 84 C9 74 0B B9 FF FF FF 1F E8 ?? ?? ?? ?? C3 B9 00 00 00 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94083_0 {
	meta:
		name = "TChartSeries.RemoveLinkedSeries"
		size = 20
		refs = "000f TList.RemoveItem"
	strings:
		$1 = { 8B 88 84 00 00 00 85 C9 74 09 8B C1 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94084_0 {
	meta:
		name = "TChartSeries.BeginUpdate"
		size = 7
	strings:
		$1 = { FF 80 38 01 00 00 C3 }
	condition:
		$1
}

rule function_94085_0 {
	meta:
		name = "TChartSeries.EndUpdate"
		size = 30
		refs = "0019 TChartSeries.RefreshSeries"
	strings:
		$1 = { 83 B8 38 01 00 00 00 7E 14 FF 88 38 01 00 00 83 B8 38 01 00 00 00 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94086_0 {
	meta:
		name = "TChartSeries.NotifyValue"
		size = 264
		refs = "0050 TCustomSeriesList.Get 0066 TChartSeries.NotifyValue"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 88 14 24 8B F0 83 BE 38 01 00 00 00 0F 85 E3 00 00 00 83 BE 84 00 00 00 00 0F 84 D6 00 00 00 8B 86 84 00 00 00 8B 78 08 4F 85 FF 0F 8C C4 00 00 00 47 C7 44 24 08 00 00 00 00 8B 54 24 08 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 8B E8 0F B6 04 24 83 F8 04 0F 87 92 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F6 85 C1 00 00 00 08 74 6E 8B C5 8B 10 FF 92 08 01 00 00 EB 62 F6 85 C1 00 00 00 01 74 59 83 BD C4 00 00 00 00 75 50 8B 4C 24 04 8B D6 8B C5 8B 18 FF 93 88 00 00 00 EB 3E F6 85 C1 00 00 00 04 74 35 83 BD C4 00 00 00 00 75 2C 8B 4C 24 04 8B D6 8B C5 8B 18 FF 53 64 EB 1D F6 85 C1 00 00 00 02 74 14 8B D6 8B C5 8B 08 FF 51 68 EB 09 8B D6 8B C5 8B 08 FF 51 68 FF 44 24 08 4F 0F 85 45 FF FF FF 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94088_0 {
	meta:
		name = "TChartSeries.CanZoomScroll"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 74 01 00 00 C3 }
	condition:
		$1
}

rule function_94089_0 {
	meta:
		name = "TChartSeries.Loaded"
		size = 193
		refs = "0014 TChartSeries.Loaded 0021 TComponent.Loaded 003d TChartSeries.GetDataSources 0078 TComponent.FindComponent 0081 TChartSeries.InternalAddDataSource 0092 TObject.Free 0099 TChartSeries.CheckDataSource 00ae @UStrClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B B3 90 00 00 00 85 F6 74 67 8B C6 8B 10 FF 52 14 85 C0 7E 51 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 08 8B 83 90 00 00 00 8B 10 FF 52 14 8B F0 4E 85 F6 7C 33 46 C7 45 FC 00 00 00 00 8D 4D F8 8B 55 FC 8B 83 90 00 00 00 8B 38 FF 57 0C 8B 55 F8 8B 43 04 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? FF 45 FC 4E 75 D5 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94090_0 {
	meta:
		name = "TChartSeries.SetCustomHorizAxis"
		size = 45
		refs = "0020 TChartSeries.RecalcGetAxis 0027 TCustomChartElement.Repaint"
	strings:
		$1 = { 53 8B D8 89 93 B4 00 00 00 85 D2 74 09 C6 83 B0 00 00 00 03 EB 07 C6 83 B0 00 00 00 01 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94091_0 {
	meta:
		name = "TChartSeries.GetZOrder"
		size = 21
	strings:
		$1 = { 8B 90 BC 00 00 00 83 FA FF 75 07 8B 80 40 01 00 00 C3 8B C2 C3 }
	condition:
		$1
}

rule function_94092_0 {
	meta:
		name = "TChartSeries.SetZOrder"
		size = 48
		refs = "000f TCustomChartElement.SetIntegerProperty"
	strings:
		$1 = { 53 8B D8 8D 83 BC 00 00 00 8B CA 8B D3 92 E8 ?? ?? ?? ?? 8B 83 BC 00 00 00 83 F8 FF 75 0A 33 C0 89 83 40 01 00 00 5B C3 89 83 40 01 00 00 5B C3 }
	condition:
		$1
}

rule function_94093_0 {
	meta:
		name = "TChartSeries.SetCustomVertAxis"
		size = 45
		refs = "0020 TChartSeries.RecalcGetAxis 0027 TCustomChartElement.Repaint"
	strings:
		$1 = { 53 8B D8 89 93 B8 00 00 00 85 D2 74 09 C6 83 C0 00 00 00 03 EB 07 C6 83 C0 00 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94094_0 {
	meta:
		name = "TChartSeries.CreateSubGallery"
		size = 21
		refs = "0005 TeeMsg_Normal"
	strings:
		$1 = { 55 8B EC 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 5D C2 08 00 }
	condition:
		$1
}

rule function_94096_0 {
	meta:
		name = "TChartSeries.SetDepth"
		size = 11
		refs = "0006 TCustomChartElement.SetIntegerProperty"
	strings:
		$1 = { 8D 48 70 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94097_0 {
	meta:
		name = "TChartSeries.SetHorizontal"
		size = 32
	strings:
		$1 = { 8B 90 A0 00 00 00 89 90 60 01 00 00 8B 90 A4 00 00 00 89 90 68 01 00 00 C6 80 6C 01 00 00 00 C3 }
	condition:
		$1
}

rule function_94098_0 {
	meta:
		name = "TChartSeries.CalcFirstLastPage"
		size = 169
		refs = "002f TCustomAxisPanel.GetPointsPerPage 0042 TCustomAxisPanel.GetPage"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F0 8B 86 A0 00 00 00 8B 58 04 85 DB 75 12 C7 45 00 FF FF FF FF 8B 04 24 C7 00 FF FF FF FF EB 78 8B 46 40 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 5F 83 FF 01 75 0E 8B 46 40 E8 ?? ?? ?? ?? 48 89 45 00 EB 0E 8B 46 40 E8 ?? ?? ?? ?? 48 F7 EF 89 45 00 3B 5D 00 7F 17 8B C3 99 F7 FF 8B C8 49 85 C9 7D 04 33 C0 EB 02 8B C1 F7 EF 89 45 00 8B 45 00 03 C7 48 8B 14 24 89 02 8B 04 24 3B 18 7F 1B 8B C3 99 F7 FF 03 55 00 4A 8B 04 24 89 10 EB 0B 33 C0 89 45 00 4B 8B 04 24 89 18 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94099_0 {
	meta:
		name = "TChartSeries.CompareLabelIndex"
		size = 150
		refs = "0014 TChartSeries.CompareLabelIndex 0027 TLabelsList.GetLabel 003f @UStrCmp 0081 @UStrArrayClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B 43 7C E8 ?? ?? ?? ?? 8D 4D F8 8B D7 8B 43 7C E8 ?? ?? ?? ?? 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 73 05 83 CE FF EB 16 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 76 07 BE 01 00 00 00 EB 02 33 F6 80 BB C9 00 00 00 02 75 02 F7 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94100_0 {
	meta:
		name = "TChartSeries.GetXLabel"
		size = 25
		refs = "0011 TLabelsList.GetLabel"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 7C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94102_0 {
	meta:
		name = "TChartSeries.SetDefaultNullValue"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 A8 00 00 00 8B 55 0C 89 90 AC 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_94103_0 {
	meta:
		name = "TChartSeries.IsColorStored"
		size = 11
	strings:
		$1 = { 81 78 5C 00 00 00 20 0F 95 C0 C3 }
	condition:
		$1
}

rule function_94104_0 {
	meta:
		name = "TChartSeries.MandatoryAxis"
		size = 17
	strings:
		$1 = { 80 B8 6C 01 00 00 00 74 04 8B 40 78 C3 8B 40 74 C3 }
	condition:
		$1
}

rule function_94105_0 {
	meta:
		name = "TSeriesEnumerator.Create"
		size = 10
	strings:
		$1 = { C7 00 FF FF FF FF 89 50 04 C3 }
	condition:
		$1
}

rule function_94106_0 {
	meta:
		name = "TSeriesEnumerator.MoveNext"
		size = 21
	strings:
		$1 = { 8B 10 8B 48 04 8B 49 08 49 3B D1 7D 05 FF 00 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_94107_0 {
	meta:
		name = "TCustomSeriesList.GetEnumerator"
		size = 18
		refs = "000b TSeriesEnumerator.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94112_0 {
	meta:
		name = "TSeriesEnumerator.GetCurrent"
		size = 12
	strings:
		$1 = { 8B 50 04 8B 00 8B 52 04 8B 04 82 C3 }
	condition:
		$1
}

rule function_94113_0 {
	meta:
		name = "TCustomSeriesList.ClearValues"
		size = 72
		refs = "000e TCustomSeriesList.GetEnumerator 0038 TSeriesEnumerator.MoveNext"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? EB 21 8B 7C 24 04 8B 2C 24 8B 47 04 8B 04 A8 89 44 24 08 8B 74 24 08 8B DE 8B C3 8B 10 FF 92 08 01 00 00 8B C4 E8 ?? ?? ?? ?? 84 C0 75 D4 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94114_0 {
	meta:
		name = "TCustomSeriesList.FillSampleValues"
		size = 92
		refs = "0013 TCustomSeriesList.GetEnumerator 0043 @CallDynaInst 004c TSeriesEnumerator.MoveNext"
	strings:
		$1 = { 53 56 57 55 83 C4 EC 89 14 24 8B D8 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? EB 2E 8B 6C 24 08 8B 44 24 04 89 44 24 0C 8B 45 04 8B 54 24 0C 8B 04 90 89 44 24 10 8B 7C 24 10 8B DF 8B 14 24 8B C3 66 BE E9 FF E8 ?? ?? ?? ?? 8D 44 24 04 E8 ?? ?? ?? ?? 84 C0 75 C5 83 C4 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94116_0 {
	meta:
		name = "TChartSeriesList.AddGroup"
		size = 42
		refs = "000a TCollection.Add 0010 _DV_TSeriesGroup 0015 @AsClass 0021 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 14 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_94117_0 {
	meta:
		name = "TChartSeriesList.Assign"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 46 14 8B 52 14 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_94118_0 {
	meta:
		name = "TChartSeriesList.GetAllActive"
		size = 41
	strings:
		$1 = { 53 56 8B F0 B0 01 8B 56 08 4A 85 D2 7C 18 42 33 C9 8B 5E 04 8B 1C 8B 80 7B 38 00 75 05 33 C0 5E 5B C3 41 4A 75 EB 5E 5B C3 }
	condition:
		$1
}

rule function_94119_0 {
	meta:
		name = "TChartSeriesList.SetAllActive"
		size = 41
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 8B 6F 08 4D 85 ED 7C 14 45 33 F6 8B 47 04 8B 04 B0 8B D3 8B 08 FF 51 48 46 4D 75 EF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94120_0 {
	meta:
		name = "TChartSeriesList.SetGroups"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 14 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_94121_0 {
	meta:
		name = "TChartAxes.Clear"
		size = 34
		refs = "000a TChartAxes.Get 000f TObject.Free 001c TList.Clear"
	strings:
		$1 = { 53 8B D8 EB 0E 33 D2 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 08 00 7F EC 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94161_0 {
	meta:
		name = "TChartTools.Clear"
		size = 34
		refs = "000a TChartTools.Get 000f TObject.Free 001c TList.Clear"
	strings:
		$1 = { 53 8B D8 EB 0E 33 D2 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 08 00 7F EC 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94123_0 {
	meta:
		name = "TChartAxes.GetDepthAxis"
		size = 10
	strings:
		$1 = { 8B 40 10 8B 80 B8 03 00 00 C3 }
	condition:
		$1
}

rule function_94124_0 {
	meta:
		name = "TChartAxes.GetDepthTopAxis"
		size = 10
	strings:
		$1 = { 8B 40 10 8B 80 BC 03 00 00 C3 }
	condition:
		$1
}

rule function_94125_0 {
	meta:
		name = "TChartAxes.GetLeftAxis"
		size = 10
	strings:
		$1 = { 8B 40 10 8B 80 C8 03 00 00 C3 }
	condition:
		$1
}

rule function_94126_0 {
	meta:
		name = "TChartAxes.GetTopAxis"
		size = 10
	strings:
		$1 = { 8B 40 10 8B 80 C0 03 00 00 C3 }
	condition:
		$1
}

rule function_94127_0 {
	meta:
		name = "TChartAxes.GetRightAxis"
		size = 10
	strings:
		$1 = { 8B 40 10 8B 80 CC 03 00 00 C3 }
	condition:
		$1
}

rule function_94128_0 {
	meta:
		name = "TChartAxes.GetBottomAxis"
		size = 10
	strings:
		$1 = { 8B 40 10 8B 80 C4 03 00 00 C3 }
	condition:
		$1
}

rule function_94129_0 {
	meta:
		name = "TChartAxes.SetFastCalc"
		size = 41
		refs = "0018 TChartAxes.Get 001d TChartAxis.SetCalcPosValue"
	strings:
		$1 = { 53 56 57 8B F8 88 57 14 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94130_0 {
	meta:
		name = "TChartAxes.GetBehind"
		size = 11
	strings:
		$1 = { 8B 40 10 0F B6 80 AC 03 00 00 C3 }
	condition:
		$1
}

rule function_94131_0 {
	meta:
		name = "TChartAxes.GetVisible"
		size = 11
	strings:
		$1 = { 8B 40 10 0F B6 80 AD 03 00 00 C3 }
	condition:
		$1
}

rule function_94134_0 {
	meta:
		name = "TChartAxes.Reset"
		size = 40
		refs = "0015 TChartAxes.Get 001c TChartAxis.SetAutomatic"
	strings:
		$1 = { 53 56 57 8B F8 8B 5F 08 4B 85 DB 7C 17 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 46 4B 75 EC 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94138_0 {
	meta:
		name = "TChartCustomAxes.ResetScales"
		size = 74
		refs = "001b TChartCustomAxes.Get 003d TChartAxis.SetMinMax"
	strings:
		$1 = { 53 56 57 55 8B FA 8B E8 8B 45 08 8B 70 08 4E 85 F6 7C 32 46 33 DB 8B D3 8B C5 E8 ?? ?? ?? ?? 3B B8 F0 00 00 00 75 1A FF 77 24 FF 77 20 FF 77 1C FF 77 18 8B D3 8B C5 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 D1 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94141_0 {
	meta:
		name = "TTeeCustomAnimation.Create"
		size = 64
		refs = "000a @ClassCreate 0017 TCustomChartElement.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 4C 0A 00 00 00 C6 46 51 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_94142_0 {
	meta:
		name = "TTeeCustomAnimation.ChartEvent"
		size = 22
		refs = "0011 TTeeCustomTool.ChartEvent"
	strings:
		$1 = { 84 D2 75 0C 80 78 53 00 74 06 8B 10 FF 52 78 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94143_0 {
	meta:
		name = "TTeeCustomAnimation.ChartMouseEvent"
		size = 137
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 4D FE 88 55 FF 8B D8 8B 75 0C 89 75 F4 8B 45 08 89 45 F8 8D 4B 54 8D 55 F4 8B C3 8B 38 FF 57 74 0F B6 45 FF 2C 01 72 08 74 1C FE C8 74 31 EB 46 56 8B 45 08 50 0F B6 55 FE 0F B7 4D 10 8B C3 8B 18 FF 53 7C EB 30 56 8B 45 08 50 0F B6 55 FE 0F B7 4D 10 8B C3 8B 18 FF 93 84 00 00 00 EB 17 56 8B 45 08 50 0F B6 55 FE 0F B7 4D 10 8B C3 8B 18 FF 93 80 00 00 00 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_94145_0 {
	meta:
		name = "TTeeCustomAnimation.DoMouseDown"
		size = 45
	strings:
		$1 = { 55 8B EC 56 8B F0 80 7E 51 00 75 1C 0F B6 46 54 3A 46 50 0F 94 C0 88 46 53 84 C0 74 0B 8B 46 40 8B 10 FF 92 A0 00 00 00 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_94146_0 {
	meta:
		name = "TTeeCustomAnimation.DoMouseMove"
		size = 78
	strings:
		$1 = { 55 8B EC 56 8B F0 80 7E 51 01 75 3D 0F B6 46 54 3A 46 50 0F 94 C0 88 46 53 84 C0 74 17 80 7E 52 00 75 26 C6 46 52 01 8B 46 40 8B 10 FF 92 A0 00 00 00 EB 15 80 7E 52 00 74 0F C6 46 52 00 8B 46 40 8B 10 FF 92 A0 00 00 00 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_94147_0 {
	meta:
		name = "TTeeCustomAnimation.DoMouseUp"
		size = 32
	strings:
		$1 = { 55 8B EC 56 8B F0 80 7E 51 00 75 0F C6 46 53 00 8B 46 40 8B 10 FF 92 A0 00 00 00 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_94148_0 {
	meta:
		name = "TTeeCustomAnimation.SetParentChart"
		size = 72
		refs = "001c TList.RemoveItem 0041 TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 40 3B F0 74 38 85 C0 74 1E 8B 80 A4 03 00 00 8B D3 33 C9 E8 ?? ?? ?? ?? 85 F6 75 0B 8B 43 40 8B 10 FF 92 9C 00 00 00 8B C6 89 43 40 85 C0 74 0D 8B 80 A4 03 00 00 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94154_0 {
	meta:
		name = "TTeeCustomTool.ChartMouseEvent"
		size = 7
		altNames = "TWebBrowserEvents2Dispatch.DoNavigateError"
	strings:
		$1 = { 55 8B EC 5D C2 0C 00 }
	condition:
		$1
}

rule function_94158_0 {
	meta:
		name = "TTeeCustomTool.SetParentChart"
		size = 79
		refs = "001c TList.RemoveItem 0034 TCustomChartElement.SetParentChart 0048 TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 40 3B F0 74 3F 85 C0 74 1E 8B 80 2C 04 00 00 8B D3 33 C9 E8 ?? ?? ?? ?? 85 F6 75 0B 8B 43 40 8B 10 FF 92 9C 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 40 85 C0 74 0D 8B 80 2C 04 00 00 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94159_0 {
	meta:
		name = "TChartTools.Add"
		size = 34
		refs = "0019 TList.Add"
	strings:
		$1 = { 53 56 8B DA 8B 70 10 85 F6 74 0B 8B D6 8B C3 8B 08 FF 51 4C EB 07 8B D3 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_94160_0 {
	meta:
		name = "TChartTools.Add"
		size = 28
		refs = "0015 TChartTools.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 4B 10 B2 01 8B C6 FF 50 38 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94163_0 {
	meta:
		name = "TChartTools.SetActive"
		size = 44
		refs = "0018 TChartTools.Get"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 8B 6F 08 4D 85 ED 7C 17 45 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 48 46 4D 75 EC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94164_0 {
	meta:
		name = "TTeeCustomToolSeries.GetEditorClass"
		size = 68
		refs = "0006 TTeeCustomToolSeries.GetEditorClass 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 54 00 53 00 65 00 72 00 69 00 65 00 73 00 54 00 6F 00 6F 00 6C 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_94165_0 {
	meta:
		name = "TTeeCustomToolSeries.GetHorizAxis"
		size = 78
		refs = "001b TCustomAxisPanel.HasActiveSeries"
	strings:
		$1 = { 53 8B 50 4C 85 D2 74 05 8B 42 74 5B C3 8B 58 40 33 C9 8B 93 C4 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 08 8B 83 C4 03 00 00 EB 21 33 C9 8B 93 C0 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 08 8B 83 C0 03 00 00 EB 06 8B 83 C4 03 00 00 5B C3 }
	condition:
		$1
}

rule function_94166_0 {
	meta:
		name = "TTeeCustomToolSeries.GetVertAxis"
		size = 78
		refs = "001b TCustomAxisPanel.HasActiveSeries"
	strings:
		$1 = { 53 8B 50 4C 85 D2 74 05 8B 42 78 5B C3 8B 58 40 33 C9 8B 93 C8 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 08 8B 83 C8 03 00 00 EB 21 33 C9 8B 93 CC 03 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 08 8B 83 CC 03 00 00 EB 06 8B 83 C8 03 00 00 5B C3 }
	condition:
		$1
}

rule function_94167_0 {
	meta:
		name = "TTeeCustomToolSeries.Notification"
		size = 49
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 14 83 7F 4C 00 74 0E 3B 77 4C 75 09 33 D2 8B C7 8B 08 FF 51 74 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94168_0 {
	meta:
		name = "TTeeCustomToolSeries.SetSeries"
		size = 43
		refs = "0014 TComponent.RemoveFreeNotification 0024 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 4C 3B F0 74 1B 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 43 4C 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94169_0 {
	meta:
		name = "TTeeCustomToolSeries.Assign"
		size = 41
		refs = "000a _DV_TTeeCustomToolSeries 000f @IsClass 0022 TCustomChartElement.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 46 4C 89 43 4C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94174_0 {
	meta:
		name = "TTeeCustomToolAxis.Assign"
		size = 41
		refs = "000a _DV_TTeeCustomToolAxis 000f @IsClass 0022 TCustomChartElement.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 46 4C 89 43 4C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94170_0 {
	meta:
		name = "TTeeCustomToolAxis.DefineProperties"
		size = 80
		refs = "000b TComponent.DefineProperties 0011 TTeeCustomToolAxis.ReadAxis 0017 TTeeCustomToolAxis.WriteAxis 0023 TTeeCustomToolAxis.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 83 7B 4C 00 0F 95 C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 78 00 69 00 73 00 49 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_94171_0 {
	meta:
		name = "TTeeCustomToolAxis.GetEditorClass"
		size = 64
		refs = "0006 TTeeCustomToolAxis.GetEditorClass 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 41 00 78 00 69 00 73 00 54 00 6F 00 6F 00 6C 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_94172_0 {
	meta:
		name = "TTeeCustomToolAxis.ReadAxis"
		size = 41
		refs = "0009 TReader.ReadInteger 0019 TChartAxes.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 40 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 74 5E 5B C3 }
	condition:
		$1
}

rule function_94173_0 {
	meta:
		name = "TTeeCustomToolAxis.SetAxis"
		size = 52
		refs = "002d TCustomChartElement.Repaint"
	strings:
		$1 = { 53 56 8B D8 3B 53 4C 74 28 8B F2 89 73 4C 85 F6 74 0F 8B 96 BC 00 00 00 8B C3 8B 08 FF 51 4C EB 09 33 D2 8B C3 8B 08 FF 51 4C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94175_0 {
	meta:
		name = "TTeeCustomToolAxis.WriteAxis"
		size = 35
		refs = "0013 TList.IndexOf 001c TWriter.WriteInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 40 8B 80 A8 03 00 00 8B 53 4C E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94176_0 {
	meta:
		name = "TCustomAxisPanel.Create"
		size = 860
		refs = "000f @ClassCreate 001d TCustomTeePanelExtended.Create 0035 _DV_TChartAnimations 003a TObject.Create 004c _DV_TChartTools 0071 _DV_TChartSeriesList 0086 _DV_TSeriesGroup 0090 _DV_TSeriesGroups 0095 TOwnedCollection.Create 00b3 _DV_TChartAxes 00c8 _DV_TChartAxis 00d2 _DV_TChartCustomAxes 00ed TChartAxis.Create 0102 TCustomAxisPanel.Create 0107 @UStrAsg 0115 TChartAxis.SetCalcPosValue 020a _DV_TChartDepthAxis 0289 _DV_TChartPage 028e TChartPage.Create 02ad @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 99 02 00 00 00 C7 83 A0 03 00 00 0F 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A4 03 00 00 89 5E 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 2C 04 00 00 89 5E 10 C6 83 AC 03 00 00 01 C6 83 AD 03 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B4 03 00 00 89 5E 10 A1 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 93 B4 03 00 00 89 42 14 C6 83 D0 03 00 00 01 C6 83 AE 03 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 A8 03 00 00 89 5E 10 A1 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B0 03 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 BB C4 03 00 00 8B F7 8D 86 F8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 B9 00 00 00 01 8B C6 E8 ?? ?? ?? ?? 8B 8B B0 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C0 03 00 00 8D 86 F8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 B9 00 00 00 01 C6 86 BA 00 00 00 01 33 C0 89 46 50 C7 46 54 00 00 59 40 8B C6 E8 ?? ?? ?? ?? 8B 46 60 33 D2 89 50 38 C7 40 3C 00 00 59 40 33 D2 89 50 40 C7 40 44 00 00 59 40 8B 8B B0 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 C8 03 00 00 8D 86 F8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8B B0 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 CC 03 00 00 8D 86 F8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 BA 00 00 00 01 33 C0 89 46 50 C7 46 54 00 00 59 40 8B 46 60 33 D2 89 50 38 C7 40 3C 00 00 59 40 33 D2 89 50 40 C7 40 44 00 00 59 40 8B 8B B0 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 B8 03 00 00 8D 86 F8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 C0 00 00 00 00 C6 86 0C 01 00 00 01 8B C6 E8 ?? ?? ?? ?? C6 86 BA 00 00 00 01 8B 8B B0 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 BC 03 00 00 8D 86 F8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 86 C0 00 00 00 00 C6 86 0C 01 00 00 01 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 18 04 00 00 89 5E 14 C6 83 99 02 00 00 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 6F 00 74 00 74 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 54 00 6F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4C 00 65 00 66 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 52 00 69 00 67 00 68 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 44 00 65 00 70 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 65 00 70 00 74 00 68 00 54 00 6F 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_94177_0 {
	meta:
		name = "ResetToolsAxis"
		size = 90
		refs = "002a TChartTools.Get 0030 _DV_TTeeCustomToolAxis 0035 @IsClass"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 08 83 C7 FC 8B 07 8B 80 2C 04 00 00 8B 70 08 4E 85 F6 7C 39 46 33 DB 8B 07 8B 80 2C 04 00 00 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B 07 8B 80 2C 04 00 00 8B D3 E8 ?? ?? ?? ?? 33 D2 89 50 4C 43 4E 75 CA 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_94178_0 {
	meta:
		name = "TCustomAxisPanel.Destroy"
		size = 158
		refs = "0006 @BeforeDestruction 0015 TCustomAxisPanel.FreeAllSeries 0023 TObject.Free 006f ResetToolsAxis 008a TCustomTeePanelExtended.Destroy 0096 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 51 53 E8 ?? ?? ?? ?? 8B DA 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A4 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 18 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B0 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 B4 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 50 04 00 00 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 2C 04 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B 45 FC E8 ?? ?? ?? ?? 84 DB 7E 08 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_94179_0 {
	meta:
		name = "TCustomAxisPanel.Set3DPercent"
		size = 85
		refs = "002b TeeMsg_3dPercent 0034 _Dn_Exception 0039 Exception.CreateFmt 003e @RaiseExcept 004d TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 83 C4 F0 83 FA 01 7C 05 83 FA 64 7E 37 C7 04 24 01 00 00 00 C6 44 24 04 00 C7 44 24 08 64 00 00 00 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 88 A0 03 00 00 87 CA E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_94180_0 {
	meta:
		name = "TCustomAxisPanel.ReadMaxPointsPerPage"
		size = 29
		refs = "0009 TReader.ReadInteger 0016 TChartPage.SetPointsPerPage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94181_0 {
	meta:
		name = "TCustomAxisPanel.ReadPage"
		size = 29
		refs = "0009 TReader.ReadInteger 0016 TChartPage.SetCurrent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94182_0 {
	meta:
		name = "TCustomAxisPanel.ReadScaleLastPage"
		size = 29
		refs = "0009 TReader.ReadBoolean 0016 TChartPage.SetScaleLastPage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94183_0 {
	meta:
		name = "TCustomAxisPanel.DefineProperties"
		size = 204
		refs = "000c TCustomTeePanelExtended.DefineProperties 0012 TCustomAxisPanel.ReadMaxPointsPerPage 001d TCustomAxisPanel.DefineProperties 002a TCustomAxisPanel.ReadPage 0042 TCustomAxisPanel.ReadScaleLastPage"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 04 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 04 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 10 00 00 00 4D 00 61 00 78 00 50 00 6F 00 69 00 6E 00 74 00 73 00 50 00 65 00 72 00 50 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 50 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 63 00 61 00 6C 00 65 00 4C 00 61 00 73 00 74 00 50 00 61 00 67 00 65 00 00 00 }
	condition:
		$1
}

rule function_94184_0 {
	meta:
		name = "TChartPage.Create"
		size = 64
		refs = "000a @ClassCreate 0017 TObject.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 08 01 00 00 00 C6 46 10 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_94185_0 {
	meta:
		name = "TChartPage.SetAutoScale"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 04 8B 40 14 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94186_0 {
	meta:
		name = "TChartPage.SetCurrent"
		size = 93
		refs = "0009 TChartPage.Count 002b TCustomTeePanel.SetIntegerProperty 0031 _DV_TChartChangePage 0039 TCustomTeePanel.BroadcastTeeEventClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B C6 7D 02 8B F0 83 FE 01 7D 05 BE 01 00 00 00 3B 73 08 74 38 8D 53 08 8B CE 8B 43 14 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 8B 43 14 66 83 B8 0A 04 00 00 00 74 10 8B F0 8B D3 8B 86 0C 04 00 00 FF 96 08 04 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_94187_0 {
	meta:
		name = "TChartPage.SetScaleLastPage"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 48 10 8B 40 14 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94188_0 {
	meta:
		name = "TChartPage.Assign"
		size = 66
		refs = "000a _DV_TChartPage 000f @IsClass 003b TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B C6 0F B6 50 04 88 53 04 8B 50 08 89 53 08 8B 50 0C 89 53 0C 0F B6 40 10 88 43 10 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94189_0 {
	meta:
		name = "TChartPage.NextPage"
		size = 34
		refs = "000c TChartPage.Count 001c TChartPage.SetCurrent"
	strings:
		$1 = { 53 8B D8 83 7B 0C 00 7E 17 8B C3 E8 ?? ?? ?? ?? 3B 43 08 7E 0B 8B 53 08 42 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94190_0 {
	meta:
		name = "TChartPage.PreviousPage"
		size = 22
		refs = "0011 TChartPage.SetCurrent"
	strings:
		$1 = { 83 78 0C 00 7E 0F 83 78 08 01 7E 09 8B 50 08 4A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94191_0 {
	meta:
		name = "CalcNumPages"
		size = 195
		refs = "002b TCustomAxisPanel.SeriesCount 0045 TCustomAxisPanel.GetSeries"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 45 FC C7 45 F8 01 00 00 00 33 C0 89 45 F4 C6 45 EF 01 8B 45 08 8B 40 FC 8B 40 14 89 45 E8 8B 45 E8 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 5F 46 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 80 7B 38 00 74 3E 8B 55 FC 8B C3 8B 08 FF 91 04 01 00 00 84 C0 74 2D 80 7D EF 00 74 04 B0 01 EB 0F 8B 83 A0 00 00 00 8B 40 04 3B 45 F4 0F 9F C0 84 C0 74 10 8B 83 A0 00 00 00 8B 40 04 89 45 F4 C6 45 EF 00 FF 45 F0 4E 75 A9 83 7D F4 00 7E 1F 8B 45 08 8B 40 FC 8B 48 0C 8B 45 F4 99 F7 F9 89 45 F8 8B 45 F4 99 F7 F9 85 D2 7E 03 FF 45 F8 8B 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94192_0 {
	meta:
		name = "TChartPage.Count"
		size = 135
		refs = "001b TCustomAxisPanel.SeriesCount 0028 TCustomAxisPanel.GetSeries 003d CalcNumPages"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 58 14 8B 45 FC 83 78 0C 00 7E 65 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 5A 33 D2 8B C3 E8 ?? ?? ?? ?? 80 B8 6C 01 00 00 00 74 24 55 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 59 8B F0 55 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 59 3B C6 7D 2D 8B C6 EB 29 55 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 59 8B F0 55 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 59 3B C6 7D 09 8B C6 EB 05 B8 01 00 00 00 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_94193_0 {
	meta:
		name = "TChartPage.FirstValueIndex"
		size = 11
	strings:
		$1 = { 8B 50 08 4A 0F AF 50 0C 8B C2 C3 }
	condition:
		$1
}

rule function_94194_0 {
	meta:
		name = "TChartPage.SetPointsPerPage"
		size = 85
		refs = "0009 TeeMsg_MaxPointsPerPage 0012 _DV_ChartException 0017 Exception.Create 001c @RaiseExcept 002c TCustomTeePanel.SetIntegerProperty 0033 TChartPage.Count 0041 TChartPage.SetCurrent 0047 _DV_TChartChangePage 004f TCustomTeePanel.BroadcastTeeEventClass"
	strings:
		$1 = { 53 8B D8 85 D2 7D 1B 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8D 43 0C 8B CA 8B 53 14 92 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 3B 43 08 7D 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 43 14 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94197_0 {
	meta:
		name = "TCustomAxisPanel.CountActiveSeries"
		size = 49
		refs = "0009 TCustomAxisPanel.SeriesCount"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 48 85 C0 7C 1A 40 33 D2 8B 8B B4 03 00 00 8B 49 04 8B 0C 91 80 79 38 00 74 01 46 42 48 75 E9 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_94199_0 {
	meta:
		name = "TCustomAxisPanel.PrintPages"
		size = 312
		refs = "001a Printer 0028 @UStrAsg 0032 TPrinter.BeginDoc 003a TCustomAxisPanel.PrintPages 0052 TChartPage.Count 0085 TCustomTeePanel.ChartPrintRect 009c TChartPage.SetCurrent 00a7 TCustomTeePanel.PrintPartial 00b5 TPrinter.NewPage 00dd @HandleFinally 00e9 TPrinter.EndDoc 00f8 @HandleOnException 0100 _Dn_Exception 010e TPrinter.Abort 0128 @RaiseAgain 012d @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B DA 89 45 FC 8B 45 FC 83 78 08 00 74 13 E8 ?? ?? ?? ?? 83 C0 18 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 75 10 8B 45 FC 8B 80 18 04 00 00 E8 ?? ?? ?? ?? 8B F8 85 DB 75 05 BB 01 00 00 00 8B 45 FC 8B 80 18 04 00 00 8B 40 08 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B F7 2B F3 7C 2E 46 8B 45 FC 8B 80 18 04 00 00 8B D3 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 3B FB 7E 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 18 04 00 00 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3A E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 78 1C 00 74 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94200_0 {
	meta:
		name = "TCustomAxisPanel.SetPages"
		size = 12
	strings:
		$1 = { 8B 80 18 04 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_94202_0 {
	meta:
		name = "TCustomAxisPanel.FreeAllSeries"
		size = 75
		refs = "0011 TCustomAxisPanel.GetSeries 0020 @IsClass 0034 TObject.Free 003e TCustomAxisPanel.SeriesCount"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 33 F6 EB 2F 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 85 ED 74 0D 8B C3 8B D5 E8 ?? ?? ?? ?? 84 C0 74 12 33 D2 8B C3 8B 08 FF 51 4C 8B C3 E8 ?? ?? ?? ?? EB 01 46 8B C7 E8 ?? ?? ?? ?? 3B F0 7C C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94203_0 {
	meta:
		name = "TCustomAxisPanel.Loaded"
		size = 347
		refs = "0015 TCustomAxisPanel.Loaded 0023 TCustomTeePanel.Loaded 002b TCustomAxisPanel.GetSeriesGroups 006b TSeriesGroups.Get 00af TList.Delete 00e0 StrToInt 00fb TList.Add 011f TObject.Free 0125 @HandleFinally 0148 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 EC 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 0F 8E FA 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 48 85 C0 0F 8C E3 00 00 00 40 89 45 F4 C7 45 F8 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 89 45 F0 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F0 8B 58 14 85 DB 74 79 8B C3 8B 10 FF 52 14 85 C0 7E 6E 8B 45 F0 8B 40 10 8B 58 08 4B 85 DB 7C 14 43 33 F6 8B 45 F0 8B 40 10 8B D6 E8 ?? ?? ?? ?? 46 4B 75 EF 8B 45 F0 8B 40 14 8B 10 FF 52 14 8B D8 4B 85 DB 7C 3A 43 33 F6 8D 4D EC 8B 45 F0 8B 40 14 8B D6 8B 38 FF 57 0C 8B 45 EC E8 ?? ?? ?? ?? 8B 55 FC 8B 92 B4 03 00 00 8B 52 04 8B 04 82 8B 55 F0 8B 52 10 92 E8 ?? ?? ?? ?? 46 4B 75 C9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 83 C0 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 FF 45 F8 FF 4D F4 0F 85 28 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94204_0 {
	meta:
		name = "TCustomAxisPanel.IsAxisVisible"
		size = 8
	strings:
		$1 = { 0F B6 82 48 01 00 00 C3 }
	condition:
		$1
}

rule function_94206_0 {
	meta:
		name = "TCustomAxisPanel.HasActiveSeries"
		size = 105
		refs = "0014 TCustomAxisPanel.SeriesCount 0028 TCustomAxisPanel.GetSeries"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 54 24 04 89 04 24 8B D9 8B 04 24 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 41 47 33 ED 8B D5 8B 04 24 E8 ?? ?? ?? ?? 8B F0 80 7E 38 00 74 28 8B C6 8B 10 FF 92 74 01 00 00 84 C0 74 16 8B 54 24 04 8B C6 8B 08 FF 91 04 01 00 00 8B D8 84 DB 75 0A EB 04 33 DB EB 04 45 4F 75 C2 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94207_0 {
	meta:
		name = "TCustomAxisPanel.CalcIsAxisVisible"
		size = 58
		refs = "0031 TCustomAxisPanel.HasActiveSeries"
	strings:
		$1 = { 80 B8 AD 03 00 00 00 74 09 80 BA C0 00 00 00 00 75 04 33 C9 EB 02 B1 01 84 C9 74 1B 80 BA 0C 01 00 00 00 74 09 0F B6 88 04 03 00 00 EB 09 B1 01 E8 ?? ?? ?? ?? 8B C8 8B C1 C3 }
	condition:
		$1
}

rule function_94208_0 {
	meta:
		name = "CalcSubStringWidth"
		size = 72
		refs = "003c HtmlTextExtent"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 8B 45 08 80 78 08 00 75 18 8B 45 08 8B 40 FC 8B 80 40 03 00 00 8B D3 8B 08 FF 91 9C 00 00 00 EB 19 8D 4D F8 8B 45 08 8B 40 FC 8B 80 40 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94209_0 {
	meta:
		name = "TCustomAxisPanel.MultiLineTextWidth"
		size = 305
		refs = "0027 @UStrAddRef 002f TCustomAxisPanel.MultiLineTextWidth 0048 TeeLineSeparator 004d @UStrFromWChar 0058 @UStrLAsg 0063 Pos 007e @UStrCopy 0086 CalcSubStringWidth 00ac @UStrDelete 010d @UStrClr 011a @UStrArrayClr 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D F4 89 5D F0 89 5D EC 89 5D E8 89 4D E4 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B 45 E4 33 D2 89 10 8D 45 F4 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 72 55 8D 45 D8 50 8B CB 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 59 8B F8 3B FE 7D 05 89 75 E0 EB 03 89 7D E0 8B 75 E0 8B 45 E4 FF 00 8D 45 F8 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 89 45 DC 8B 5D DC 85 DB 7F 8E 83 7D F8 00 74 17 55 8B 45 F8 E8 ?? ?? ?? ?? 59 3B C6 7D 02 8B C6 8B F0 8B 45 E4 FF 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_94210_0 {
	meta:
		name = "TCustomAxisPanel.NoActiveSeries"
		size = 77
		refs = "000d TCustomAxisPanel.SeriesCount 0020 TCustomAxisPanel.GetSeries"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B C5 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2D 46 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D8 80 7B 38 00 74 15 8B 14 24 8B C3 8B 08 FF 91 04 01 00 00 84 C0 74 04 33 C0 EB 06 47 4E 75 D6 B0 01 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94211_0 {
	meta:
		name = "TCustomAxisPanel.IsSeriesGroupsStored"
		size = 17
		refs = "0001 TCustomAxisPanel.GetSeriesGroups"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 0F 9F C0 C3 }
	condition:
		$1
}

rule function_94212_0 {
	meta:
		name = "CalcResult"
		size = 86
	strings:
		$1 = { 55 8B EC 8B 45 10 80 78 FF 00 75 30 8B 45 10 80 78 FE 00 74 0F DD 45 08 8B 45 10 DC 58 F0 9B DF E0 9E 72 18 8B 45 10 80 78 FE 00 75 25 DD 45 08 8B 45 10 DC 58 F0 9B DF E0 9E 76 16 8B 45 10 C6 40 FF 00 8B 45 10 8B 55 08 89 50 F0 8B 55 0C 89 50 F4 5D C2 08 00 }
	condition:
		$1
}

rule function_94213_0 {
	meta:
		name = "TCustomAxisPanel.InternalMinMax"
		size = 1052
		refs = "0025 TChartAxis.CalcLabelStyle 003c TCustomAxisPanel.SeriesCount 0059 TCustomAxisPanel.GetSeries 007e CalcResult 00c7 TCustomAxisPanel.InternalMinMax 00e2 TCustomAxisPanel.GetAxisSeries 0122 TCustomAxisPanel.GetAxisSeriesMaxPoints 0149 TChartSeries.CalcFirstLastPage 0260 TCustomAxisPanel.NoActiveSeries 02c3 TChartPage.FirstValueIndex"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 88 4D FE 89 55 EC 8B D8 8B 45 EC 80 B8 0C 01 00 00 00 0F 84 B3 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 3C 02 75 7B 33 C0 89 45 F0 89 45 F4 C6 45 FF 01 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C C1 03 00 00 46 C7 45 D4 00 00 00 00 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 8B F8 80 7F 38 00 74 38 80 7D FE 00 74 1A 55 8B C7 8B 10 FF 92 38 01 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 EB 18 55 8B C7 8B 10 FF 92 2C 01 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 FF 45 D4 4E 75 B0 E9 64 03 00 00 80 7D FE 00 74 11 33 C0 89 45 F0 C7 45 F4 00 00 E0 BF E9 4D 03 00 00 DB 83 20 04 00 00 D8 05 ?? ?? ?? ?? DD 5D F0 9B E9 38 03 00 00 33 C0 89 45 F0 89 45 F4 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 17 80 BE 6C 01 00 00 00 74 06 0F B6 45 08 EB 0C 0F B6 45 08 34 01 EB 04 0F B6 45 08 8B 93 18 04 00 00 83 7A 0C 00 0F 9F C2 84 C2 0F 84 F3 00 00 00 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 DC 02 00 00 8B 86 A0 00 00 00 83 78 04 00 0F 8E CC 02 00 00 8D 4D D8 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 80 7D 08 00 74 08 8B 96 A0 00 00 00 EB 06 8B 96 A4 00 00 00 80 7D FE 00 74 18 8B 42 54 8B 55 DC 8B 0C D0 89 4D F0 8B 4C D0 04 89 4D F4 E9 8D 02 00 00 8B 42 54 8B 4D D8 8B 34 C8 89 75 F0 8B 74 C8 04 89 75 F4 8B BB 18 04 00 00 80 7F 10 00 0F 85 6A 02 00 00 8B 4D D8 2B 4D DC 41 8B 77 0C 3B CE 0F 8D 58 02 00 00 8B 42 54 8B 55 DC 8B 3C D0 89 7D E0 8B 7C D0 04 89 7D E4 DD 45 E0 DC 5D F0 9B DF E0 9E 75 1A 89 75 B8 DB 45 B8 89 4D B4 DB 45 B4 DE F9 DC 45 E0 DD 5D F0 9B E9 1F 02 00 00 DD 45 F0 DC 65 E0 89 75 B8 DB 45 B8 DE C9 89 4D B4 DB 45 B4 DE F9 DC 45 E0 DD 5D F0 9B E9 FD 01 00 00 8B 83 18 04 00 00 83 78 0C 00 7E 06 80 78 04 00 75 04 33 C0 EB 02 B0 01 88 45 D3 C6 45 FF 01 8B C3 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C CC 01 00 00 46 C7 45 E8 00 00 00 00 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8B F8 80 7F 38 00 75 12 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 96 01 00 00 8B 87 A0 00 00 00 83 78 04 00 0F 8E 86 01 00 00 80 7D 08 00 74 11 80 BF B0 00 00 00 02 74 27 8B 47 74 3B 45 EC 74 1F 80 7D 08 00 0F 85 65 01 00 00 80 BF C0 00 00 00 02 74 0C 8B 47 78 3B 45 EC 0F 85 50 01 00 00 80 7D D3 00 0F 84 E9 00 00 00 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 89 45 CC 8B 87 A0 00 00 00 8B 50 04 3B 55 CC 0F 8E 26 01 00 00 80 7D 08 00 74 04 8B D0 EB 06 8B 97 A4 00 00 00 8B 42 54 8B 4D CC 8D 0C C8 8B 01 89 45 E0 8B 41 04 89 45 E4 8B 45 CC 40 89 45 BC 8B 87 A0 00 00 00 8B 40 04 8B 8B 18 04 00 00 8B 49 0C 03 4D CC 3B C1 7E 0E 8B 83 18 04 00 00 8B 40 0C 03 45 CC EB 09 8B 87 A0 00 00 00 8B 40 04 8B 4D BC 48 2B C1 7C 57 40 91 89 45 D4 8B 42 54 8B 7D D4 8D 3C F8 8B 07 89 45 C0 8B 47 04 89 45 C4 80 7D FE 00 74 1A DD 45 C0 DC 5D E0 9B DF E0 9E 73 26 8B 45 C0 89 45 E0 8B 45 C4 89 45 E4 EB 18 DD 45 C0 DC 5D E0 9B DF E0 9E 76 0C 8B 45 C0 89 45 E0 8B 45 C4 89 45 E4 FF 45 D4 49 75 AE 55 FF 75 E4 FF 75 E0 E8 ?? ?? ?? ?? 59 EB 5D 80 7D FE 00 74 26 80 7D 08 00 74 10 8B C7 8B 10 FF 92 30 01 00 00 DD 5D E0 9B EB 34 8B C7 8B 10 FF 92 34 01 00 00 DD 5D E0 9B EB 24 80 7D 08 00 74 10 8B C7 8B 10 FF 92 24 01 00 00 DD 5D E0 9B EB 0E 8B C7 8B 10 FF 92 28 01 00 00 DD 5D E0 9B 55 FF 75 E4 FF 75 E0 E8 ?? ?? ?? ?? 59 FF 45 E8 4E 0F 85 3C FE FF FF DD 45 F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 3F }
	condition:
		$1
}

rule function_94214_0 {
	meta:
		name = "TCustomAxisPanel.MaxXValue"
		size = 22
		refs = "0008 TCustomAxisPanel.InternalMinMax"
	strings:
		$1 = { 83 C4 F8 6A 01 33 C9 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_94215_0 {
	meta:
		name = "TCustomAxisPanel.MaxYValue"
		size = 22
		refs = "0008 TCustomAxisPanel.InternalMinMax"
	strings:
		$1 = { 83 C4 F8 6A 00 33 C9 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_94216_0 {
	meta:
		name = "TCustomAxisPanel.MinXValue"
		size = 22
		refs = "0008 TCustomAxisPanel.InternalMinMax"
	strings:
		$1 = { 83 C4 F8 6A 01 B1 01 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_94217_0 {
	meta:
		name = "TCustomAxisPanel.MinYValue"
		size = 22
		refs = "0008 TCustomAxisPanel.InternalMinMax"
	strings:
		$1 = { 83 C4 F8 6A 00 B1 01 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_94218_0 {
	meta:
		name = "TCustomAxisPanel.SeriesLegend"
		size = 93
		refs = "0015 TCustomAxisPanel.SeriesCount 0028 TCustomAxisPanel.GetSeries"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 88 4C 24 04 89 14 24 8B F8 33 ED 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 34 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 80 78 54 00 74 1E 80 7C 24 04 00 74 06 80 78 38 00 74 11 3B 2C 24 75 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 07 45 46 4B 75 CF 33 C0 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94220_0 {
	meta:
		name = "TCustomAxisPanel.SeriesTitleLegend"
		size = 74
		refs = "0009 TCustomAxisPanel.ActiveSeriesLegend 0014 TCustomAxisPanel.SeriesLegend 0025 @UStrAsg 0037 SeriesTitleOrName 0041 @UStrClr"
	strings:
		$1 = { 55 8B EC 53 84 C9 74 09 E8 ?? ?? ?? ?? 8B D8 EB 09 33 C9 E8 ?? ?? ?? ?? 8B D8 85 DB 74 1F 8B 45 08 8B 53 50 E8 ?? ?? ?? ?? 8B 45 08 83 38 00 75 14 8B 55 08 8B C3 E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_94221_0 {
	meta:
		name = "TCustomAxisPanel.MaxTextWidth"
		size = 184
		refs = "0014 TCustomAxisPanel.MaxTextWidth 0024 TCustomAxisPanel.SeriesCount 003f TCustomAxisPanel.GetSeries 006b TLabelsList.GetLabel 0079 TCustomAxisPanel.MultiLineTextWidth 00a4 @UStrClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 D2 89 55 E4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 FC E8 ?? ?? ?? ?? 48 85 C0 7C 66 40 89 45 EC C7 45 F8 00 00 00 00 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 8B 40 7C 8B 70 08 4E 85 F6 7C 37 46 C7 45 F4 00 00 00 00 6A 00 8D 4D E4 8B 45 E8 8B 40 7C 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 E4 8D 4D F0 8B 45 FC E8 ?? ?? ?? ?? 3B C3 7D 02 8B C3 8B D8 FF 45 F4 4E 75 D1 FF 45 F8 FF 4D EC 75 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94222_0 {
	meta:
		name = "TCustomAxisPanel.MaxMarkWidth"
		size = 64
		refs = "000b TCustomAxisPanel.SeriesCount 001e TCustomAxisPanel.GetSeries 0029 TChartSeries.MaxMarkWidth"
	strings:
		$1 = { 53 56 57 55 8B E8 33 FF 8B C5 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 23 43 33 F6 8B D6 8B C5 E8 ?? ?? ?? ?? 80 78 38 00 74 0D E8 ?? ?? ?? ?? 3B C7 7D 02 8B C7 8B F8 46 4B 75 E0 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94223_0 {
	meta:
		name = "TCustomAxisPanel.GetSeries"
		size = 13
	strings:
		$1 = { 8B 80 B4 03 00 00 8B 40 04 8B 04 90 C3 }
	condition:
		$1
}

rule function_94224_0 {
	meta:
		name = "TCustomAxisPanel.CalcSize3DWalls"
		size = 376
		refs = "0041 TCustomAxisPanel.CalcSize3DWalls 007e @ROUND 00df TView3DOptions.CalcOrthoRatio"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B D8 80 BB 04 03 00 00 00 0F 84 23 01 00 00 80 BB 98 02 00 00 00 74 15 8B 83 20 04 00 00 40 83 F8 01 7D 05 B8 01 00 00 00 8B F0 EB 05 BE 01 00 00 00 DB 83 A0 03 00 00 DB 2D ?? ?? ?? ?? DE C9 DD 1C 24 9B 8B 83 08 03 00 00 80 78 20 00 75 0D DD 04 24 D8 0D ?? ?? ?? ?? DD 1C 24 9B 80 BB 1C 04 00 00 00 74 57 DB 83 0C 03 00 00 89 74 24 08 DB 44 24 08 DE F9 E8 ?? ?? ?? ?? 8B F8 89 BB 24 04 00 00 89 7C 24 08 DB 44 24 08 DC 34 24 E8 ?? ?? ?? ?? 8B E8 89 AB 28 04 00 00 89 6C 24 08 DB 44 24 08 89 74 24 0C DB 44 24 0C DE F9 E8 ?? ?? ?? ?? 89 83 D0 02 00 00 E9 95 00 00 00 DB 83 B8 02 00 00 DC 0C 24 E8 ?? ?? ?? ?? 89 83 24 04 00 00 8B 83 08 03 00 00 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 14 DB 83 24 04 00 00 DC 34 24 E8 ?? ?? ?? ?? 89 83 24 04 00 00 DB 83 24 04 00 00 DC 0C 24 E8 ?? ?? ?? ?? 8B F8 89 BB 28 04 00 00 0F AF FE 89 BB D0 02 00 00 8B 83 24 04 00 00 F7 EE 89 83 0C 03 00 00 EB 20 33 C0 89 83 24 04 00 00 33 C0 89 83 28 04 00 00 33 C0 89 83 0C 03 00 00 33 C0 89 83 D0 02 00 00 83 C4 10 5D 5F 5E 5B C3 00 00 00 3B DF 4F 8D 97 6E 12 83 F5 3F 00 00 00 00 00 40 00 00 80 3F }
	condition:
		$1
}

rule function_94225_0 {
	meta:
		name = "TCustomAxisPanel.SeriesCount"
		size = 10
	strings:
		$1 = { 8B 80 B4 03 00 00 8B 40 08 C3 }
	condition:
		$1
}

rule function_94226_0 {
	meta:
		name = "TCustomAxisPanel.BroadcastToolEvent"
		size = 63
		refs = "0023 TChartTools.Get"
	strings:
		$1 = { 53 56 57 51 88 14 24 8B F8 8B 87 2C 04 00 00 8B 58 08 4B 85 DB 7C 23 43 33 F6 8B 87 2C 04 00 00 8B D6 E8 ?? ?? ?? ?? 80 78 38 00 74 09 0F B6 14 24 8B 08 FF 51 54 46 4B 75 E0 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94227_0 {
	meta:
		name = "TCustomAxisPanel.BroadcastAnimationEvent"
		size = 63
		refs = "0023 TChartAnimations.Get"
	strings:
		$1 = { 53 56 57 51 88 14 24 8B F8 8B 87 A4 03 00 00 8B 58 08 4B 85 DB 7C 23 43 33 F6 8B 87 A4 03 00 00 8B D6 E8 ?? ?? ?? ?? 80 78 38 00 74 09 0F B6 14 24 8B 08 FF 51 54 46 4B 75 E0 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94228_0 {
	meta:
		name = "TCustomAxisPanel.CalcInvertedRotation"
		size = 71
		refs = "0032 TView3DOptions.GetRotation"
	strings:
		$1 = { 53 56 8B D8 C6 83 30 04 00 00 00 80 BB 04 03 00 00 00 74 30 8B B3 08 03 00 00 80 7E 20 00 74 0F 83 7E 24 5A 7E 1E C6 83 30 04 00 00 01 EB 15 8B C6 E8 ?? ?? ?? ?? 3D B4 00 00 00 7D 07 C6 83 30 04 00 00 01 5E 5B C3 }
	condition:
		$1
}

rule function_94229_0 {
	meta:
		name = "SetSeriesZOrder"
		size = 281
		refs = "00ed TChartSeries.GetZOrder"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 45 08 8B 40 FC 33 D2 89 90 20 04 00 00 8B 45 08 8B 40 FC 80 B8 98 02 00 00 00 74 0F 8B 45 08 8B 40 FC 80 B8 04 03 00 00 00 75 04 33 C0 EB 02 B0 01 88 45 FF 80 7D FF 00 74 54 8B 45 08 8B 40 FC C7 80 20 04 00 00 FF FF FF FF 8B 45 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 08 8B D8 4B 85 DB 7C 2E 43 33 F6 8B 45 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 8B F8 80 7F 38 00 74 0D 80 7F 4A 00 75 07 8B C7 8B 10 FF 52 6C 46 4B 75 D5 8B 45 08 8B 40 FC 8B 80 B8 03 00 00 80 B8 B8 00 00 00 00 75 68 8B 45 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 08 8B D8 4B 85 DB 7C 52 43 33 F6 8B 45 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 8B F8 80 7F 38 00 74 31 80 7F 4A 00 75 2B 80 7D FF 00 74 1D 8B C7 E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 8B 92 20 04 00 00 2B D0 89 97 40 01 00 00 EB 08 33 C0 89 87 40 01 00 00 46 4B 75 B1 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_94230_0 {
	meta:
		name = "SetSeriesZPositions"
		size = 67
	strings:
		$1 = { 55 8B EC 56 57 8B 45 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 08 8B F0 4E 85 F6 7C 24 46 33 FF 8B 45 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 04 8B 04 B8 80 78 38 00 74 05 8B 10 FF 52 70 47 4E 75 DF 5F 5E 5D C3 }
	condition:
		$1
}

rule function_94231_0 {
	meta:
		name = "RecalcPositions"
		size = 55
		refs = "0025 TChartAxes.Get 002a TChartAxis.InternalCalcPositions"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 08 8B 40 FC 8B B8 A8 03 00 00 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_94232_0 {
	meta:
		name = "CalcAxisRect"
		size = 328
		refs = "002b TChartAxes.Get 003a TCustomAxisPanel.CalcIsAxisVisible 0047 TChartAxis.AdjustMaxMin 0053 RecalcPositions 00a7 TCustomAxisPanel.IsAxisVisible 00c8 TChartAxis.CalcRect 00d9 IntersectRect 010e TChartAxis.InflateAxisRect 0136 TCustomTeePanel.ReCalcWidthHeight"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B 45 08 8B 40 FC 8B B8 A8 03 00 00 8B 77 08 4E 85 F6 7C 34 46 C7 45 FC 00 00 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 88 83 48 01 00 00 8B C3 E8 ?? ?? ?? ?? FF 45 FC 4E 75 D4 55 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8D B0 44 03 00 00 8D 7D E8 A5 A5 A5 A5 8B 45 08 8B 40 FC 8B 80 A8 03 00 00 89 45 F8 8B 45 F8 8B 70 08 4E 85 F6 0F 8C 93 00 00 00 46 C7 45 FC 00 00 00 00 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 84 C0 74 40 56 8D 75 E8 8D 7D D8 A5 A5 A5 A5 5E 83 7D FC 05 0F 9C C1 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8D 45 D8 50 8D 45 E8 50 8D 45 D8 50 E8 ?? ?? ?? ?? 85 C0 74 31 56 8D 75 D8 8D 7D E8 A5 A5 A5 A5 5E EB 23 8B 45 F8 66 83 78 1A 00 74 19 8B 7D F8 33 C9 8B D3 8B 47 1C FF 57 18 8B C8 8D 55 E8 8B C3 E8 ?? ?? ?? ?? FF 45 FC 4E 0F 85 75 FF FF FF 8B 45 08 8B 40 FC 8D B8 44 03 00 00 8D 75 E8 A5 A5 A5 A5 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94233_0 {
	meta:
		name = "ApplyOffsets"
		size = 66
	strings:
		$1 = { 55 8B EC 8B 4D 08 8B 49 EC 80 B9 B8 00 00 00 00 74 18 8B 4D 08 8B 49 EC 8B 49 3C 01 0A 8B 55 08 8B 52 EC 8B 52 38 01 10 5D C3 8B 4D 08 8B 49 EC 8B 49 3C 01 08 8B 45 08 8B 40 EC 8B 40 38 01 02 5D C3 }
	condition:
		$1
}

rule function_94234_0 {
	meta:
		name = "ApplyGapSize"
		size = 50
	strings:
		$1 = { 55 8B EC 8B 4D 08 8B 49 EC 80 B9 B8 00 00 00 00 74 10 8B 55 08 8B 52 EC 8B 92 60 01 00 00 01 10 5D C3 8B 45 08 8B 40 EC 8B 80 60 01 00 00 01 02 5D C3 }
	condition:
		$1
}

rule function_94235_0 {
	meta:
		name = "ApplyMaxMinOffsets"
		size = 245
		refs = "004f ApplyOffsets 008e ApplyGapSize 00b4 TChartAxis.AdjustMaxMinRect 00bb TChartAxis.CalcRoundScales 00d6 TChartAxis.SizeLabels 00e7 TChartAxis.InflateAxisPos"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 08 83 C6 EC 8B 06 83 78 38 00 75 0C 8B 06 83 78 3C 00 75 04 33 DB EB 02 B3 01 8B 06 83 B8 60 01 00 00 00 0F 9F 45 FF 84 DB 74 39 8B 06 80 B8 B9 00 00 00 00 74 18 8B 45 08 50 8B 45 08 8D 50 F8 8B 45 08 83 C0 F0 E8 ?? ?? ?? ?? 59 EB 16 8B 45 08 50 8B 45 08 8D 50 F4 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 59 80 7D FF 00 74 39 8B 06 80 B8 B9 00 00 00 00 74 18 8B 45 08 50 8B 45 08 8D 50 F8 8B 45 08 83 C0 F0 E8 ?? ?? ?? ?? 59 EB 16 8B 45 08 50 8B 45 08 8D 50 F4 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 59 8B 45 08 8D 50 F0 8B 06 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 84 DB 74 2D 8B 06 8B 40 6C 8B 40 14 0F B6 40 10 84 C0 74 1D 8B 06 E8 ?? ?? ?? ?? 8B C8 8B 06 8B 90 80 00 00 00 8B 06 E8 ?? ?? ?? ?? 8B 16 89 42 5C 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_94236_0 {
	meta:
		name = "CalcSeriesAxisRect"
		size = 312
		refs = "000d TeeZeroRect 012c ApplyMaxMinOffsets"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 45 EC A1 ?? ?? ?? ?? 8B F0 8D 7D F0 A5 A5 A5 A5 8B 45 08 8B 40 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 08 8B F0 4E 85 F6 0F 8C F3 00 00 00 46 C7 45 E0 00 00 00 00 8B 45 08 8B 40 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 04 8B 55 E0 8B 04 90 8B D8 80 7B 38 00 0F 84 BD 00 00 00 8B 55 EC 8B C3 8B 08 FF 91 04 01 00 00 84 C0 0F 84 A8 00 00 00 8B 45 EC 80 B8 B9 00 00 00 00 74 4F 8D 4D E4 8D 55 E8 8B C3 8B 18 FF 53 54 8B 45 EC 83 78 3C 00 75 17 8B 45 EC 80 78 0E 00 74 0E 8B 45 F0 3B 45 E8 7F 03 8B 45 E8 89 45 F0 8B 45 EC 83 78 38 00 75 66 8B 45 EC 80 78 0D 00 74 5D 8B 45 F8 3B 45 E4 7F 03 8B 45 E4 89 45 F8 EB 4D 8D 4D E4 8D 55 E8 8B C3 8B 18 FF 53 58 8B 45 EC 83 78 3C 00 75 17 8B 45 EC 80 78 0E 00 74 0E 8B 45 FC 3B 45 E4 7F 03 8B 45 E4 89 45 FC 8B 45 EC 83 78 38 00 75 17 8B 45 EC 80 78 0D 00 74 0E 8B 45 F4 3B 45 E8 7F 03 8B 45 E8 89 45 F4 FF 45 E0 4E 0F 85 15 FF FF FF 55 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94237_0 {
	meta:
		name = "CalcSeriesRect"
		size = 62
		refs = "002c TChartAxes.Get 0031 CalcSeriesAxisRect"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 8B 80 A8 03 00 00 8B 58 08 4B 85 DB 7C 21 43 33 F6 55 8B 45 08 8B 40 FC 8B 80 A8 03 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 75 E2 5E 5B 5D C3 }
	condition:
		$1
}

rule function_94238_0 {
	meta:
		name = "TCustomAxisPanel.InternalDraw"
		size = 580
		refs = "002a TCustomAxisPanel.CalcInvertedRotation 0060 TCustomAxisPanel.BroadcastToolEvent 006a TCustomAxisPanel.BroadcastAnimationEvent 0146 SetSeriesZOrder 0168 CalcAxisRect 016f SetSeriesZPositions 0176 CalcSeriesRect 01c9 TCustomAxisPanel.DrawAxesSeries 01ff TCustomTeePanelExtended.DrawZoomRectangle 0221 TTeeCanvas.ResetState"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 55 F8 89 45 FC 8B 45 FC 0F B6 80 99 02 00 00 88 45 F7 8B 45 FC C6 80 99 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B F0 8D 7D E4 A5 A5 A5 A5 8B 45 FC 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 75 0E 8D 55 E4 8B 45 FC 8B 08 FF 91 18 01 00 00 B2 02 8B 45 FC E8 ?? ?? ?? ?? B2 02 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 2C 01 00 00 8B 45 FC 8B 80 B4 03 00 00 8B 58 08 4B 85 DB 7C 21 43 33 F6 8B 45 FC 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 80 78 38 00 74 05 8B 10 FF 52 5C 46 4B 75 E2 8B 45 FC 80 B8 3C 03 00 00 00 0F 85 89 00 00 00 8B 45 FC 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 74 6A 8B 45 FC 05 44 03 00 00 50 8B 45 FC 8D 88 A8 02 00 00 8B 45 FC 8B 90 0C 03 00 00 8B 45 FC 8B 80 40 03 00 00 8B 18 FF 93 20 01 00 00 8B 45 FC 8D B0 44 03 00 00 8D 7D D4 A5 A5 A5 A5 8B 45 FC 8D B8 44 03 00 00 8D 75 E4 A5 A5 A5 A5 8B 55 F8 8B 45 FC 8B 08 FF 91 18 01 00 00 8B 45 FC 8D B8 44 03 00 00 8D 75 D4 A5 A5 A5 A5 B2 01 8B 45 FC 8B 08 FF 91 34 01 00 00 55 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 10 FF 92 1C 01 00 00 8B 45 FC 8D B0 44 03 00 00 8D 7D E4 A5 A5 A5 A5 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 8B 45 FC 80 B8 3C 03 00 00 00 75 3E 8B 45 FC 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 75 2C 8B 45 FC 05 44 03 00 00 50 8B 45 FC 8D 88 A8 02 00 00 8B 45 FC 8B 90 0C 03 00 00 8B 45 FC 8B 80 40 03 00 00 8B 18 FF 93 20 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 75 0D 33 D2 8B 45 FC 8B 08 FF 91 34 01 00 00 8B 45 FC 8B 80 74 03 00 00 80 78 04 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 40 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 24 01 00 00 8B 45 FC 0F B6 55 F7 88 90 99 02 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94239_0 {
	meta:
		name = "DrawAllAxis"
		size = 232
		refs = "0028 DrawAllAxis 0068 TChartAxes.Get 0077 TCustomAxisPanel.IsAxisVisible 008c TChartAxes.GetBottomAxis 00ad TChartAxis.Draw"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 8B 40 FC 80 B8 AD 03 00 00 00 0F 84 B0 00 00 00 8B 45 08 8B 40 FC 8B 80 40 03 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 E4 00 00 00 8B 45 08 8B 40 FC 8B 10 FF 92 28 01 00 00 8B 45 08 8B 40 FC 8B 80 A8 03 00 00 8B 70 08 4E 85 F6 7C 5F 46 33 FF 8B 45 08 8B 40 FC 8B 80 A8 03 00 00 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 84 C0 74 32 8B 45 08 8B 40 FC 8B 80 A8 03 00 00 E8 ?? ?? ?? ?? 3B D8 75 14 8B 45 08 8B 40 FC 33 D2 8B 08 FF 91 38 01 00 00 84 C0 75 09 B2 01 8B C3 E8 ?? ?? ?? ?? 47 4E 75 A4 8B 45 08 8B 40 FC 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 5F 5E 5B 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 78 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_94240_0 {
	meta:
		name = "ClipRegionCreate"
		size = 113
		refs = "0013 TCustomTeePanel.CanClip"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B 45 08 8B 40 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 4F 8B 45 08 8B 40 08 8B 40 FC 8D B0 44 03 00 00 8D 7D F0 A5 A5 A5 A5 FF 4D F4 FF 45 FC 8B 45 08 8B 40 08 8B 40 FC 8B 80 0C 03 00 00 50 8D 55 F0 8B 45 08 8B 40 08 8B 40 FC 8B 80 40 03 00 00 33 C9 8B 18 FF 93 34 01 00 00 8B 45 08 C6 40 FF 01 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94241_0 {
	meta:
		name = "ClipRegionDone"
		size = 44
	strings:
		$1 = { 55 8B EC 8B 45 08 80 78 FF 00 74 1E 8B 45 08 8B 40 08 8B 40 FC 8B 80 40 03 00 00 8B 10 FF 92 E0 00 00 00 8B 45 08 C6 40 FF 00 5D C3 }
	condition:
		$1
}

rule function_94242_0 {
	meta:
		name = "DrawMarksSeries"
		size = 144
		refs = "002b ClipRegionCreate 003c DrawMarksSeries 006e ClipRegionDone"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 87 A0 00 00 00 83 78 04 00 7E 5F 8B B7 88 00 00 00 80 7E 10 00 74 53 80 7E 5C 00 74 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 46 08 8B 80 40 03 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 E4 00 00 00 8B C7 8B 10 FF 92 A0 00 00 00 8B 46 08 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 80 7E 5C 00 74 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 5F 5E 5B 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 61 00 72 00 6B 00 73 00 00 00 }
	condition:
		$1
}

rule function_94243_0 {
	meta:
		name = "TryDrawSeries"
		size = 77
		refs = "0010 TChartSeries.GetZOrder"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 80 7E 38 00 74 3C 8B C6 E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 08 8B 40 FC E8 ?? ?? ?? ?? 3B D8 75 21 8B 45 08 8B 40 FC 8B 96 A0 00 00 00 3B 42 04 7D 10 8B 45 08 8B 50 FC 8B C6 8B 08 FF 91 A4 00 00 00 5E 5B 5D C3 }
	condition:
		$1
}

rule function_94244_0 {
	meta:
		name = "DrawAllSeriesValue"
		size = 546
		refs = "0014 DrawAllSeriesValue 0025 TCustomChartSeries.GetIndex 00a3 @DynArrayHigh 00cd TryDrawSeries 0121 TIntArray 0126 @DynArrayClear 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 08 8B 40 08 8B 40 FC 8B 80 B4 03 00 00 8B 70 08 8B 45 FC 50 8D 45 F8 50 8B 45 08 8B 40 FC 8B CE 8B D3 8B 18 FF 93 E8 00 00 00 83 7D F8 00 0F 84 CE 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 FC 8B 80 A0 00 00 00 8B 40 04 3B 45 FC 7F 04 B0 01 EB 11 8B 45 08 8B 40 FC 8B 55 FC 8B 08 FF 91 6C 01 00 00 84 C0 74 39 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 62 46 33 DB 8B 45 08 8B 40 FC 8B 40 40 8B 55 F8 8B 14 9A 8B 80 B4 03 00 00 8B 40 04 8B 04 90 55 E8 ?? ?? ?? ?? 59 43 4E 75 DA EB 37 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 83 FB 00 7C 28 8B 45 08 8B 40 FC 8B 40 40 8B 55 F8 8B 14 9A 8B 80 B4 03 00 00 8B 40 04 8B 04 90 55 E8 ?? ?? ?? ?? 59 4B 83 FB FF 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 08 8B 40 FC 8B 80 A0 00 00 00 8B 40 04 3B 45 FC 7F 04 B0 01 EB 11 8B 45 08 8B 40 FC 8B 55 FC 8B 08 FF 91 6C 01 00 00 84 C0 74 4F 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 08 8B 52 08 8B 52 FC 8B 92 B4 03 00 00 8B 52 08 8B D8 8B F2 4E 2B F3 7C 71 46 8B 45 08 8B 40 08 8B 40 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 04 8B 04 98 55 E8 ?? ?? ?? ?? 59 43 4E 75 DD EB 4B 8B 45 08 8B 40 08 8B 40 08 8B 40 FC 8B 80 B4 03 00 00 8B 58 08 4B 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 2B F3 7F 24 4E 8B 45 08 8B 40 08 8B 40 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 04 8B 04 98 55 E8 ?? ?? ?? ?? 59 4B 46 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94245_0 {
	meta:
		name = "DrawSeries"
		size = 1097
		refs = "0015 DrawSeries 0024 TIntArray 0029 @DynArrayClear 007d TChartSeries.FirstInZOrder 009b TCustomChartSeries.GetIndex 00e8 TChartSeries.GetZOrder 0180 ClipRegionCreate 01d9 @DynArrayHigh 01ee DrawAllSeriesValue 0238 @HandleFinally 0284 ClipRegionDone 0332 DrawMarksSeries 0382 TChartSeries.BeginEntity"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 C6 40 FF 00 8B 45 08 8B 40 08 8B 40 FC 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 0F 85 FF 02 00 00 8B 45 08 8B 40 08 8B 40 FC 80 B8 04 03 00 00 00 0F 84 E9 02 00 00 8B 45 FC 8B 10 FF 92 CC 00 00 00 84 C0 0F 84 D6 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 96 03 00 00 C7 45 F4 FF FF FF FF C7 45 F0 FF FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 08 8B 52 FC 8B 92 B4 03 00 00 8B 52 08 8B F0 8B FA 4F 2B FE 0F 8C CF 00 00 00 47 8B 45 08 8B 40 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 89 45 EC 8B 45 EC 80 78 38 00 0F 84 A1 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 3B D8 0F 85 87 00 00 00 8B 45 EC 8B 10 FF 92 54 01 00 00 8B 45 EC 8B 80 28 01 00 00 83 F8 FF 74 6E 83 7D F4 FF 75 05 89 45 F4 EB 0B 3B 45 F4 7E 03 8B 45 F4 89 45 F4 83 7D F0 FF 75 0E 8B 45 EC 8B 80 2C 01 00 00 89 45 F0 EB 14 8B 45 EC 8B 80 2C 01 00 00 3B 45 F0 7D 03 8B 45 F0 89 45 F0 8B 45 EC 8B 10 FF 92 90 00 00 00 8B 45 08 8B 40 08 8B 40 FC 80 B8 AE 03 00 00 00 74 13 8B 45 08 80 78 FF 00 75 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 46 4F 0F 85 32 FF FF FF 83 7D F4 FF 0F 84 E8 00 00 00 6A 00 8D 45 F8 50 8B 4D F0 8B 55 F4 8B 45 FC 8B 18 FF 93 E4 00 00 00 83 7D F8 00 0F 84 86 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 68 01 00 00 84 C0 74 24 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 85 FF 7C 38 47 33 F6 55 8B 45 F8 8B 04 B0 E8 ?? ?? ?? ?? 59 46 4F 75 EF EB 22 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 83 FE 00 7C 13 55 8B 45 F8 8B 04 B0 E8 ?? ?? ?? ?? 59 4E 83 FE FF 75 ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC 8B 10 FF 92 68 01 00 00 84 C0 74 1A 8B 75 F4 8B 7D F0 2B FE 7C 28 47 55 8B C6 E8 ?? ?? ?? ?? 59 46 4F 75 F3 EB 18 8B 75 F0 8B 7D F4 2B FE 7F 0E 4F 55 8B C6 E8 ?? ?? ?? ?? 59 4E 47 75 F3 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 8B 55 08 8B 52 08 8B 52 FC 8B 92 B4 03 00 00 8B 52 08 8B F0 8B FA 4F 2B FE 0F 8C 6F 01 00 00 47 8B 45 08 8B 40 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 89 45 E8 8B 45 E8 80 78 38 00 74 70 8B 45 E8 E8 ?? ?? ?? ?? 8B D8 8B 45 FC E8 ?? ?? ?? ?? 3B D8 75 5A 8B 45 E8 83 B8 28 01 00 00 FF 74 4E 8B 45 08 8B 40 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 8B 80 88 00 00 00 80 B8 85 00 00 00 00 75 1F 8B 45 08 8B 40 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 8B 55 08 52 E8 ?? ?? ?? ?? 59 8B 45 E8 8B 10 FF 92 8C 00 00 00 46 4F 0F 85 67 FF FF FF E9 D0 00 00 00 8B 45 FC 8B 10 FF 92 54 01 00 00 8B 45 FC 83 B8 28 01 00 00 FF 0F 84 B5 00 00 00 8B 45 FC 8B 40 40 8B 80 40 03 00 00 0F B6 58 5C 84 DB 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 90 00 00 00 8B 45 FC 80 B8 30 01 00 00 00 75 5F 8B 45 FC 8B 10 FF 92 74 01 00 00 84 C0 74 1C 8B 45 08 8B 40 08 8B 40 FC 80 B8 AE 03 00 00 00 74 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 10 FF 92 94 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 88 00 00 00 80 B8 85 00 00 00 00 75 0D 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 59 8B 45 FC 8B 10 FF 92 8C 00 00 00 84 DB 74 14 8B 45 FC 8B 40 40 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94246_0 {
	meta:
		name = "DoDraw"
		size = 197
		refs = "0046 DrawSeries 00b4 DrawMarksSeries"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 5D FC 8B 45 08 8B 40 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 04 8B 04 98 80 78 38 00 74 1F 8B 45 08 8B 40 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 04 8B 04 98 8B 55 08 52 E8 ?? ?? ?? ?? 59 03 DF 3B F3 75 C0 8B 5D FC 8B 45 08 8B 40 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 04 8B 04 98 80 78 38 00 74 4A 8B 45 08 8B 40 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 04 8B 04 98 8B 80 88 00 00 00 80 B8 85 00 00 00 00 74 26 8B 45 08 C6 40 FF 00 8B 45 08 8B 40 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 04 8B 04 98 8B 55 08 52 E8 ?? ?? ?? ?? 59 03 DF 3B F3 75 95 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_94247_0 {
	meta:
		name = "DrawAllSeries"
		size = 228
		refs = "0015 DrawAllSeries 0089 DoDraw"
	strings:
		$1 = { 55 8B EC 51 53 56 8B 45 08 8B 40 FC 8B 80 40 03 00 00 33 C9 BA ?? ?? ?? ?? 8B 18 FF 93 E4 00 00 00 8B 45 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 08 85 C0 7E 79 8B 45 08 8B 40 FC 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 74 04 B0 01 EB 1E 8B 45 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 04 33 D2 8B 34 90 8B C6 8B 10 FF 92 AC 00 00 00 84 C0 74 21 8B 45 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 08 55 B9 01 00 00 00 8B D0 33 C0 E8 ?? ?? ?? ?? 59 EB 1D 8B 45 08 8B 40 FC 8B 80 B4 03 00 00 8B 40 08 55 48 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 72 00 69 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_94248_0 {
	meta:
		name = "TCustomAxisPanel.DrawAxesSeries"
		size = 157
		refs = "0024 TCustomAxisPanel.BroadcastToolEvent 002e TCustomAxisPanel.BroadcastAnimationEvent 0034 DrawAllAxis 005a DrawAllSeries"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 10 FF 92 40 01 00 00 8B 45 FC 80 B8 AC 03 00 00 00 74 1B B2 03 8B 45 FC E8 ?? ?? ?? ?? B2 03 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 B2 01 8B 45 FC E8 ?? ?? ?? ?? B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 30 01 00 00 55 E8 ?? ?? ?? ?? 59 B2 04 8B 45 FC E8 ?? ?? ?? ?? B2 04 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 B8 AC 03 00 00 00 75 1B B2 03 8B 45 FC E8 ?? ?? ?? ?? B2 03 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_94249_0 {
	meta:
		name = "TCustomAxisPanel.DoOnBeforeDrawAxes"
		size = 29
	strings:
		$1 = { 53 66 83 B8 EA 03 00 00 00 74 10 8B D8 8B D0 8B 83 EC 03 00 00 FF 93 E8 03 00 00 5B C3 }
	condition:
		$1
}

rule function_94250_0 {
	meta:
		name = "TCustomAxisPanel.DoOnBeforeDrawChart"
		size = 29
	strings:
		$1 = { 53 66 83 B8 E2 03 00 00 00 74 10 8B D8 8B D0 8B 83 E4 03 00 00 FF 93 E0 03 00 00 5B C3 }
	condition:
		$1
}

rule function_94251_0 {
	meta:
		name = "TCustomAxisPanel.DoOnBeforeDrawSeries"
		size = 29
	strings:
		$1 = { 53 66 83 B8 F2 03 00 00 00 74 10 8B D8 8B D0 8B 83 F4 03 00 00 FF 93 F0 03 00 00 5B C3 }
	condition:
		$1
}

rule function_94252_0 {
	meta:
		name = "TCustomAxisPanel.ColorPaletteChanged"
		size = 83
		refs = "003d TCustomAxisPanel.GetFreeSeriesColor 0046 TChartSeries.ChangeInternalColor"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 83 B4 03 00 00 8B 68 08 4D 85 ED 7C 3A 45 33 F6 8B 83 B4 03 00 00 8B 40 04 8B 3C B0 81 7F 5C 00 00 00 20 75 1E 8B 83 B4 03 00 00 8B 40 04 8B 0C B0 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 46 4D 75 C9 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94253_0 {
	meta:
		name = "TCustomAxisPanel.DoOnAfterDraw"
		size = 29
	strings:
		$1 = { 53 66 83 B8 82 03 00 00 00 74 10 8B D8 8B D0 8B 83 84 03 00 00 FF 93 80 03 00 00 5B C3 }
	condition:
		$1
}

rule function_94254_0 {
	meta:
		name = "TCustomAxisPanel.SetView3DWalls"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
		altNames = "TTeePreviewPanel.SetShowImage"
	strings:
		$1 = { 8D 88 D0 03 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94255_0 {
	meta:
		name = "TCustomAxisPanel.GetChildren"
		size = 83
		refs = "0018 TWinControl.GetChildren"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F8 FF 75 0C FF 75 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 87 B4 03 00 00 8B 70 08 4E 85 F6 7C 21 46 33 DB 8B 87 B4 03 00 00 8B 40 04 8B 04 98 80 78 49 00 75 08 8B D0 8B 45 0C FF 55 08 43 4E 75 E2 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_94256_0 {
	meta:
		name = "TCustomAxisPanel.CMMouseLeave"
		size = 30
		refs = "0006 TCustomTeePanel.CMMouseLeave 000f TCustomAxisPanel.BroadcastToolEvent 0018 TCustomAxisPanel.BroadcastAnimationEvent"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 05 8B C3 E8 ?? ?? ?? ?? B2 05 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94257_0 {
	meta:
		name = "TCustomAxisPanel.RemovedDataSource"
		size = 46
		refs = "000a _DV_TTeeSeriesSource 000f @IsClass 001a TChartSeries.GetDataSource 0027 TTeeSeriesSource.SetSeries"
	strings:
		$1 = { 53 56 8B D9 8B F2 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 8B C6 E8 ?? ?? ?? ?? 3B D8 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94258_0 {
	meta:
		name = "TCustomAxisPanel.SetClipPoints"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 AE 03 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94259_0 {
	meta:
		name = "TCustomAxisPanel.SetCustomAxes"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 B0 03 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_94260_0 {
	meta:
		name = "TCustomAxisPanel.SetLeftAxis"
		size = 12
	strings:
		$1 = { 8B 80 C8 03 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_94261_0 {
	meta:
		name = "TCustomAxisPanel.SetDepthAxis"
		size = 12
	strings:
		$1 = { 8B 80 B8 03 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_94262_0 {
	meta:
		name = "TCustomAxisPanel.SetDepthTopAxis"
		size = 12
	strings:
		$1 = { 8B 80 BC 03 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_94263_0 {
	meta:
		name = "TCustomAxisPanel.SetRightAxis"
		size = 12
		altNames = "TTeePreviewPanel.SetPaperShadow"
	strings:
		$1 = { 8B 80 CC 03 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_94264_0 {
	meta:
		name = "TCustomAxisPanel.GetSeriesGroups"
		size = 10
	strings:
		$1 = { 8B 80 B4 03 00 00 8B 40 14 C3 }
	condition:
		$1
}

rule function_94265_0 {
	meta:
		name = "TCustomAxisPanel.SetSeriesGroups"
		size = 19
	strings:
		$1 = { 56 8B F0 8B 86 B4 03 00 00 8B 40 14 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_94266_0 {
	meta:
		name = "TCustomAxisPanel.SetTopAxis"
		size = 12
	strings:
		$1 = { 8B 80 C0 03 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_94267_0 {
	meta:
		name = "TCustomAxisPanel.SetBottomAxis"
		size = 12
	strings:
		$1 = { 8B 80 C4 03 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_94269_0 {
	meta:
		name = "TCustomAxisPanel.RemoveSeries"
		size = 109
		refs = "001f TCustomAxisPanel.BroadcastSeriesEvent 002a @CallDynaInst 0037 TList.Delete"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 85 ED 7C 5C 8B 83 B4 03 00 00 8B 40 04 8B 3C A8 B1 01 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C7 66 BE EE FF E8 ?? ?? ?? ?? 8B D5 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 66 83 BB 12 04 00 00 00 74 0E 8B D7 8B 83 14 04 00 00 FF 93 10 04 00 00 B1 07 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94270_0 {
	meta:
		name = "TCustomAxisPanel.GetAxisSeries"
		size = 97
		refs = "0039 TCustomAxisPanel.NoActiveSeries"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F0 8B 86 B4 03 00 00 8B 78 08 4F 85 FF 7C 40 47 C7 04 24 00 00 00 00 8B 86 B4 03 00 00 8B 40 04 8B 14 24 8B 1C 90 80 7B 38 00 75 0D 8B D5 8B C6 E8 ?? ?? ?? ?? 84 C0 74 10 8B D5 8B C3 8B 08 FF 91 04 01 00 00 84 C0 75 08 FF 04 24 4F 75 C8 33 DB 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94271_0 {
	meta:
		name = "TCustomAxisPanel.GetAxisSeriesMaxPoints"
		size = 138
		refs = "004a TCustomAxisPanel.NoActiveSeries"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B EA 8B F0 33 C0 89 04 24 C7 44 24 08 FF FF FF FF 8B 86 B4 03 00 00 8B 78 08 4F 85 FF 7C 59 47 C7 44 24 04 00 00 00 00 8B 86 B4 03 00 00 8B 40 04 8B 54 24 04 8B 1C 90 80 7B 38 00 75 0D 8B D5 8B C6 E8 ?? ?? ?? ?? 84 C0 74 26 8B D5 8B C3 8B 08 FF 91 04 01 00 00 84 C0 74 16 8B 83 A0 00 00 00 8B 40 04 3B 44 24 08 7E 07 89 44 24 08 89 1C 24 FF 44 24 04 4F 75 B0 8B 04 24 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94272_0 {
	meta:
		name = "TCustomAxisPanel.GetPage"
		size = 10
	strings:
		$1 = { 8B 80 18 04 00 00 8B 40 08 C3 }
	condition:
		$1
}

rule function_94273_0 {
	meta:
		name = "TCustomAxisPanel.GetPointsPerPage"
		size = 10
	strings:
		$1 = { 8B 80 18 04 00 00 8B 40 0C C3 }
	condition:
		$1
}

rule function_94274_0 {
	meta:
		name = "TCustomAxisPanel.GetScaleLastPage"
		size = 11
	strings:
		$1 = { 8B 80 18 04 00 00 0F B6 40 10 C3 }
	condition:
		$1
}

rule function_94276_0 {
	meta:
		name = "TCustomAxisPanel.GetDefaultColor"
		size = 61
		refs = "0016 @DynArrayHigh 0036 GetDefaultColor"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 54 04 00 00 00 74 24 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 83 E8 00 40 50 8B C6 5A 8B CA 99 F7 F9 8B 83 54 04 00 00 8B 04 90 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94277_0 {
	meta:
		name = "TCustomAxisPanel.GetFreeSeriesColor"
		size = 114
		refs = "0022 @DynArrayHigh 002d ColorPalette 0041 TCustomAxisPanel.GetDefaultColor"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 88 14 24 8B F0 33 DB 83 BE 54 04 00 00 00 74 11 8B 86 54 04 00 00 E8 ?? ?? ?? ?? 89 44 24 08 EB 10 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 89 44 24 08 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 43 3B 5C 24 08 7F 1A 8B 44 24 04 50 0F B6 4C 24 04 8B D7 8B C6 8B 28 FF 95 4C 01 00 00 84 C0 74 D4 8B C7 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94278_0 {
	meta:
		name = "TCustomAxisPanel.AddSeries"
		size = 16
	strings:
		$1 = { 53 8B DA 8B D0 8B C3 8B 08 FF 51 4C 8B C3 5B C3 }
	condition:
		$1
}

rule function_94279_0 {
	meta:
		name = "TCustomAxisPanel.AddSeries"
		size = 43
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B F8 33 DB EB 0E 8B 74 9D 00 8B D7 8B C6 8B 08 FF 51 4C 43 8B 04 24 3B D8 7E EB 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94280_0 {
	meta:
		name = "TCustomAxisPanel.AddSeries"
		size = 28
		refs = "0015 TCustomAxisPanel.AddSeries"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 4B 04 B2 01 8B C6 FF 50 38 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94281_0 {
	meta:
		name = "TCustomAxisPanel.CheckMouseSeries"
		size = 94
	strings:
		$1 = { 53 56 57 83 C4 F4 89 4C 24 04 89 14 24 8B F8 C6 44 24 08 00 8B 87 B4 03 00 00 8B 58 08 4B 83 FB 00 7C 2F 8B 87 B4 03 00 00 8B 40 04 8B 34 98 80 7E 38 00 74 17 8B 4C 24 04 8B 14 24 8B C6 8B 30 FF 56 78 84 C0 74 05 C6 44 24 08 01 4B 83 FB FF 75 D1 0F B6 44 24 08 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94282_0 {
	meta:
		name = "TCustomAxisPanel.BroadcastSeriesEvent"
		size = 108
		refs = "0019 _DV_TTeeSeriesEvent 001e TObject.Create 0029 TCustomAxisPanel.BroadcastSeriesEvent 0045 TCustomTeePanel.BroadcastTeeEvent 005a TObject.Free 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B F2 8B F8 80 BF 31 04 00 00 00 75 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 88 58 08 8B 45 FC 89 70 0C 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_94283_0 {
	meta:
		name = "TCustomAxisPanel.InternalAddSeries"
		size = 99
		refs = "0010 TList.IndexOf 0021 @CallDynaInst 002e TList.Add 0039 TCustomAxisPanel.BroadcastSeriesEvent"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 40 75 48 89 5F 40 8B C7 66 BE F0 FF E8 ?? ?? ?? ?? 8B D7 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 33 C9 8B D7 8B C3 E8 ?? ?? ?? ?? 66 83 BB DA 03 00 00 00 74 0E 8B D7 8B 83 DC 03 00 00 FF 93 D8 03 00 00 8B C3 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94284_0 {
	meta:
		name = "TCustomAxisPanel.GetMaxValuesCount"
		size = 109
	strings:
		$1 = { 53 56 83 C4 F8 33 D2 89 14 24 C6 44 24 04 01 8B 90 B4 03 00 00 8B 4A 08 49 85 C9 7C 48 41 33 F6 8B 90 B4 03 00 00 8B 52 04 8B 14 B2 80 7A 38 00 74 2F 80 7C 24 04 00 74 04 B3 01 EB 0F 8B 9A A0 00 00 00 8B 5B 04 3B 1C 24 0F 9F C3 84 DB 74 11 8B 92 A0 00 00 00 8B 52 04 89 14 24 C6 44 24 04 00 46 49 75 BB 8B 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_94285_0 {
	meta:
		name = "TCustomAxisPanel.SetAxisBehind"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 AC 03 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94286_0 {
	meta:
		name = "TCustomAxisPanel.SetAxisVisible"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 AD 03 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94287_0 {
	meta:
		name = "TCustomAxisPanel.CheckOtherSeries"
		size = 131
		refs = "0013 TChartSeries.GetDataSource 001e TeeMsg_CircularSeries 0027 _DV_ChartException 002c Exception.Create 0031 @RaiseExcept 0040 _DV_TChartSeries 0045 @IsClass 0050 TChartSeries.GetDataSources 0069 TList.Get 0075 TCustomAxisPanel.CheckOtherSeries"
	strings:
		$1 = { 53 56 57 55 51 8B D9 89 14 24 8B F0 85 DB 74 6D 8B C3 E8 ?? ?? ?? ?? 3B 04 24 75 1B 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 46 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8B C3 E8 ?? ?? ?? ?? 8B 78 08 4F 85 FF 7C 21 47 33 ED 8B C3 E8 ?? ?? ?? ?? 8B D5 E8 ?? ?? ?? ?? 8B C8 8B 14 24 8B C6 E8 ?? ?? ?? ?? 45 4F 75 E2 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94288_0 {
	meta:
		name = "TCustomAxisPanel.IsValidDataSource"
		size = 102
		refs = "000f TChartSeries.IsValidDataSource 0020 _DV_TTeeSeriesSource 0025 @IsClass"
	strings:
		$1 = { 53 56 57 51 8B F1 8B FA 8B D8 8B D6 8B C7 E8 ?? ?? ?? ?? 88 04 24 80 3C 24 00 75 1B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 06 8B D3 FF 50 44 88 04 24 80 3C 24 00 74 20 66 83 BB 42 04 00 00 00 74 16 56 8D 44 24 04 50 8B CF 8B D3 8B 83 44 04 00 00 FF 93 40 04 00 00 0F B6 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94289_0 {
	meta:
		name = "TCustomAxisPanel.CheckDatasource"
		size = 283
		refs = "0019 TChartSeries.GetDataSource 002b _DV_TChartSeries 0030 @IsClass 0059 _DV_TTeeSeriesSource 0073 TTeeSeriesSource.Refresh 0097 TChartSeries.BeginUpdate 009f TCustomAxisPanel.CheckDatasource 00c4 @CallDynaInst 00d9 TChartSeries.EndUpdate 00df @HandleFinally 00f5 TChartSeries.CanAddRandomPoints"
	strings:
		$1 = { 55 8B EC 51 56 89 55 FC 8B 45 FC F6 40 1C 01 0F 85 02 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 5B 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 68 E9 C8 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 AD 00 00 00 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9B 00 00 00 8B 45 FC 8B 80 C4 00 00 00 85 C0 74 5C 80 78 52 00 0F 84 84 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 08 01 00 00 8B 45 FC 8B 80 C4 00 00 00 33 D2 66 BE EE FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 80 B8 64 01 00 00 00 75 26 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 FC 66 BE E6 FF E8 ?? ?? ?? ?? 8B D0 8B 45 FC 66 BE E9 FF E8 ?? ?? ?? ?? 5E 59 5D C3 }
	condition:
		$1
}

rule function_94290_0 {
	meta:
		name = "TCustomAxisPanel.DrawBackWallAfter"
		size = 63
		refs = "002c TCanvas3D.FourPointsFromRect 0033 TeeCull"
	strings:
		$1 = { 53 56 83 C4 E0 8B F2 8B D8 8B 83 40 03 00 00 8B 10 FF 52 1C 84 C0 74 04 33 C0 EB 1D 54 8D 93 44 03 00 00 8B CE 8B 83 40 03 00 00 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 34 01 83 C4 20 5E 5B C3 }
	condition:
		$1
}

rule function_94291_0 {
	meta:
		name = "TCustomAxisPanel.ExchangeSeries"
		size = 392
		refs = "008e TList.Exchange 009f TComponent.GetComponentIndex 00c8 TComponent.SetComponentIndex 00f2 TSeriesGroups.Contains 0109 TSeriesGroups.Get 0120 TList.IndexOf 0175 TCustomAxisPanel.BroadcastSeriesEvent"
	strings:
		$1 = { 53 56 57 51 89 0C 24 8B FA 8B D8 8B 93 B4 03 00 00 8B 42 04 8B 04 B8 80 78 4A 00 74 27 8B C7 8B F0 8B 42 08 48 2B C6 7C 1B 40 8B 93 B4 03 00 00 8B 52 04 8B 14 B2 80 7A 4A 00 75 04 8B FE EB 04 46 48 75 E6 8B 93 B4 03 00 00 8B 42 04 8B 0C 24 8B 04 88 80 78 4A 00 74 29 8B 04 24 8B F0 8B 42 08 48 2B C6 7C 1C 40 8B 93 B4 03 00 00 8B 52 04 8B 14 B2 80 7A 4A 00 75 05 89 34 24 EB 04 46 48 75 E5 8B 0C 24 8B D7 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B 83 B4 03 00 00 8B 40 04 8B 04 B8 E8 ?? ?? ?? ?? 8B F0 8B 83 B4 03 00 00 8B 40 04 8B 14 24 8B 04 90 E8 ?? ?? ?? ?? 8B D0 8B 83 B4 03 00 00 8B 40 04 8B 04 B8 E8 ?? ?? ?? ?? 8B 83 B4 03 00 00 8B 40 04 8B 14 24 8B 04 90 8B D6 E8 ?? ?? ?? ?? 8B 83 B4 03 00 00 8B 50 04 8B 14 BA 8B 40 14 E8 ?? ?? ?? ?? 8B F0 83 FE FF 74 71 8B 83 B4 03 00 00 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8B 40 10 8B 93 B4 03 00 00 8B 52 04 8B 0C 24 8B 14 8A E8 ?? ?? ?? ?? 40 74 47 8B 83 B4 03 00 00 8B 40 14 8B D6 E8 ?? ?? ?? ?? 8B 70 10 8B 83 B4 03 00 00 8B 40 04 8B 14 24 8B 14 90 8B C6 E8 ?? ?? ?? ?? 50 8B 83 B4 03 00 00 8B 40 04 8B 14 B8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? B1 04 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94292_0 {
	meta:
		name = "TCustomAxisPanel.ExchangeSeries"
		size = 72
		refs = "0017 TCustomChartSeries.GetIndex 0029 TCustomAxisPanel.ExchangeSeries"
	strings:
		$1 = { 53 56 57 55 8B F1 8B DA 8B F8 8B 6E 40 8B 43 40 3B E8 75 1B 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? EB 14 8B F8 8B D5 8B C3 8B 08 FF 51 4C 8B D7 8B C6 8B 08 FF 51 4C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94293_0 {
	meta:
		name = "TCustomAxisPanel.Assign"
		size = 247
		refs = "000b _DV_TCustomAxisPanel 0010 @IsClass 004d TCustomAxisPanel.SetBottomAxis 006c TColorArray 0071 @DynArrayAsg 007e TCustomAxisPanel.SetCustomAxes 0098 TCustomAxisPanel.SetLeftAxis 00a5 TCustomAxisPanel.SetDepthAxis 00b2 TCustomAxisPanel.SetDepthTopAxis 00bf TCustomAxisPanel.SetPages 00cc TCustomAxisPanel.SetRightAxis 00d9 TCustomAxisPanel.SetTopAxis 00ef TCustomTeePanelExtended.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 CE 00 00 00 8B FE 8B 87 A0 03 00 00 89 83 A0 03 00 00 0F B6 87 AC 03 00 00 88 83 AC 03 00 00 0F B6 87 AD 03 00 00 88 83 AD 03 00 00 8B 97 C4 03 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 87 AE 03 00 00 88 83 AE 03 00 00 8D 83 54 04 00 00 8B 97 54 04 00 00 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 97 B0 03 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 87 1C 04 00 00 88 83 1C 04 00 00 8B 97 C8 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 B8 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 BC 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 18 04 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 CC 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 C0 03 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 87 D0 03 00 00 88 83 D0 03 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94294_0 {
	meta:
		name = "TCustomAxisPanel.IsCustomAxesStored"
		size = 17
	strings:
		$1 = { 8B 80 B0 03 00 00 8B 40 08 83 78 08 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_94298_0 {
	meta:
		name = "TTeeSeriesSource.SetSeries"
		size = 79
		refs = "001c TComponent.RemoveFreeNotification 002f TComponent.FreeNotification 0039 TChartSeries.SetDataSource"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 3C 74 41 8B C3 8B 10 FF 52 58 8B 43 3C 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B 53 3C 8B C6 89 43 3C 85 C0 74 13 8B D3 E8 ?? ?? ?? ?? 8B D3 8B 43 3C E8 ?? ?? ?? ?? EB 0D 85 D2 74 09 8B C2 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94299_0 {
	meta:
		name = "TTeeSeriesSource.SetActive"
		size = 74
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 38 74 3C 83 7E 3C 00 74 33 84 DB 74 0F F6 46 1C 01 75 29 8B C6 8B 10 FF 52 5C EB 20 F6 46 1C 08 75 1A 8B 46 3C F6 40 1C 08 75 11 80 7E 39 00 75 0B 8B 46 3C 8B 10 FF 92 08 01 00 00 88 5E 38 5E 5B C3 }
	condition:
		$1
}

rule function_94300_0 {
	meta:
		name = "TTeeSeriesSource.Close"
		size = 20
	strings:
		$1 = { F6 40 1C 01 75 0D F6 40 1C 08 75 07 33 D2 8B 08 FF 51 40 C3 }
	condition:
		$1
}

rule function_94302_0 {
	meta:
		name = "TTeeSeriesSource.Open"
		size = 8
	strings:
		$1 = { B2 01 8B 08 FF 51 40 C3 }
	condition:
		$1
}

rule function_94303_0 {
	meta:
		name = "TTeeSeriesSource.Refresh"
		size = 18
	strings:
		$1 = { 80 78 38 00 74 0B F6 40 1C 01 75 05 8B 10 FF 52 5C C3 }
	condition:
		$1
}

rule function_94308_0 {
	meta:
		name = "TTeeSeriesSource.HasSeries"
		size = 92
		refs = "000f TTeeSeriesSource.HasSeries 001f TObject.ClassName 002a TChartSeries.GetDataSource 0032 TObject.ClassNameIs 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 8B 00 5A E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_94310_0 {
	meta:
		name = "SeriesTitleOrName"
		size = 136
		refs = "0011 SeriesTitleOrName 0021 @UStrAsg 002b Trim 003a SeriesNameOrIndex 004d TeeColumnSeparator 0052 ReplaceChar 0076 @UStrArrayClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 56 58 E8 ?? ?? ?? ?? 8D 55 FC 8B 03 E8 ?? ?? ?? ?? 83 7D FC 00 75 0B 8B D3 8B C6 E8 ?? ?? ?? ?? EB 20 8D 45 F8 50 8B 03 66 B9 20 00 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94311_0 {
	meta:
		name = "FillSeriesItems"
		size = 229
		refs = "001b FillSeriesItems 0029 TStrings.BeginUpdate 007e SeriesTitleOrName 00b5 TStrings.EndUpdate 00bb @HandleFinally 00d2 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 88 4D F7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 78 08 4F 85 FF 7C 5E 47 C7 45 F0 00 00 00 00 8B 45 F8 8B 40 04 8B 55 F0 8B 34 90 F6 46 1C 10 74 06 80 7E 49 00 74 06 80 7E 48 00 74 32 80 7E 4A 00 75 2C 80 7D F7 00 74 19 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8B CE 8B 45 FC 8B 18 FF 53 3C EB 0D 8B 56 08 8B CE 8B 45 FC 8B 18 FF 53 3C FF 45 F0 4F 75 AA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94313_0 {
	meta:
		name = "ShowMessageUser"
		size = 52
		refs = "000f ShowMessageUser 001a StrPCopy 0022 MessageBox"
	strings:
		$1 = { 53 81 C4 00 F8 FF FF 8B D8 68 10 20 00 00 68 ?? ?? ?? ?? 8D 44 24 08 8B D3 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 81 C4 00 08 00 00 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_94314_0 {
	meta:
		name = "HasNoMandatoryValues"
		size = 172
		refs = "002a TChartValueList.First 0030 HasNoMandatoryValues 003d TChartValueList.Last"
	strings:
		$1 = { 53 56 57 51 8B F0 33 DB 80 BE 3D 01 00 00 00 0F 84 8A 00 00 00 8B 86 A0 00 00 00 83 78 04 00 7E 7E 8B BE 68 01 00 00 8B C7 E8 ?? ?? ?? ?? D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 22 8B C7 E8 ?? ?? ?? ?? 8B 86 A0 00 00 00 8B 40 04 48 89 04 24 DB 04 24 DE D9 9B DF E0 9E 0F 94 C0 EB 02 33 C0 84 C0 74 3B 8B 86 A0 00 00 00 8B 40 04 48 3D 10 27 00 00 7E 05 B8 10 27 00 00 8B C8 85 C9 7C 21 41 33 D2 89 14 24 DB 04 24 8B 47 54 DC 1C D0 9B DF E0 9E 74 04 B3 01 EB 08 42 49 75 E6 EB 02 B3 01 8B C3 5A 5F 5E 5B C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_94315_0 {
	meta:
		name = "HasColors"
		size = 91
		refs = "000e TChartSeries.GetSeriesColor 0038 TChartSeries.InternalColor"
	strings:
		$1 = { 53 56 57 55 51 8B F8 C6 04 24 00 8B C7 E8 ?? ?? ?? ?? 8B E8 8B 87 A0 00 00 00 8B 40 04 48 3D 10 27 00 00 7E 05 B8 10 27 00 00 8B D8 85 DB 7C 21 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 3D 00 00 00 20 74 0A 3B E8 74 06 C6 04 24 01 EB 04 46 4B 75 E2 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94316_0 {
	meta:
		name = "HasLabels"
		size = 141
		refs = "0014 HasLabels 0051 TLabelsList.GetLabel 0076 @UStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 8B 47 7C 83 78 08 00 7E 3A 8B 87 A0 00 00 00 8B 40 04 48 83 F8 64 7E 05 B8 64 00 00 00 8B D8 85 DB 7C 20 43 33 F6 8D 4D F8 8B 47 7C 8B D6 E8 ?? ?? ?? ?? 83 7D F8 00 74 06 C6 45 FF 01 EB 04 46 4B 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94317_0 {
	meta:
		name = "TDataSourcesList.Notify"
		size = 39
		refs = "0010 TList.Notify 001f TChartSeries.InternalRemoveDataSource"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 02 75 0A 8B D7 8B 46 10 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94321_0 {
	meta:
		name = "TDataSourcesList.Clear"
		size = 40
		refs = "0007 TChartSeries.RemoveAllLinkedSeries 000e TDataSourcesList.InheritedClear"
	strings:
		$1 = { 53 8B D8 8B 43 10 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 10 80 B8 64 01 00 00 00 75 08 8B 10 FF 92 08 01 00 00 5B C3 }
	condition:
		$1
}

rule function_94322_0 {
	meta:
		name = "TLabelsList.GetLabel"
		size = 51
		refs = "001a @UStrClr 002b @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 3B 73 08 7D 09 8B 43 04 83 3C B0 00 75 09 8B C7 E8 ?? ?? ?? ?? EB 0F 8B C7 8B 53 04 8B 14 B2 8B 12 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94323_0 {
	meta:
		name = "TLabelsList.IndexOfLabel"
		size = 204
		refs = "001e TLabelsList.IndexOfLabel 0041 TLabelsList.GetLabel 004c @UStrEqual 005f UpperCase 00af @UStrArrayClr 00b7 @UStrClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 88 4D F7 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D F7 00 74 2A 8B 77 08 4E 85 F6 7C 60 46 33 DB 8D 4D F0 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 74 47 43 4E 75 E3 EB 3E 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 77 08 4E 85 F6 7C 2B 46 33 DB 8D 4D E8 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC 8B 55 FC E8 ?? ?? ?? ?? 74 07 43 4E 75 D8 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94325_0 {
	meta:
		name = "TLabelsList.SetLabel"
		size = 163
		refs = "0038 string 003d @Dispose 0066 AddPending 0077 @New 0082 @UStrAsg 0099 TCustomChartElement.Repaint"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 F8 89 45 FC 8B 45 FC 8B 40 08 3B 45 F8 7E 26 8B 45 FC 8B 40 04 8B 55 F8 83 3C 90 00 74 17 8B 45 FC 8B 40 04 8B 55 F8 8B 04 90 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 75 1F 8B 45 FC 8B 40 08 85 C0 7E 43 3B 45 F8 7E 3E 8B 45 FC 8B 40 04 8B 55 F8 33 C9 89 0C 90 EB 2E 55 E8 ?? ?? ?? ?? 59 8B 15 ?? ?? ?? ?? B8 04 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 55 F8 89 1C 90 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94327_0 {
	meta:
		name = "TLabelsList.InsertLabel"
		size = 82
		refs = "0021 InternalInsert 002a string 0034 @New 003f @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F1 89 55 F8 89 45 FC 85 F6 75 14 8B 45 FC 83 78 08 00 7E 2F 55 33 C0 E8 ?? ?? ?? ?? 59 EB 24 8B 15 ?? ?? ?? ?? B8 04 00 00 00 E8 ?? ?? ?? ?? 8B D8 8B C3 8B D6 E8 ?? ?? ?? ?? 55 8B C3 E8 ?? ?? ?? ?? 59 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94328_0 {
	meta:
		name = "TLabelsList.Assign"
		size = 119
		refs = "0017 TLabelsList.Assign 003f TLabelsList.GetLabel 004b TLabelsList.InsertLabel 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 10 FF 52 08 8B 45 FC 8B 70 08 4E 85 F6 7C 20 46 33 DB 8D 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94329_0 {
	meta:
		name = "TLabelsList.Clear"
		size = 57
		refs = "0021 string 0026 @Dispose 0031 TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 77 08 4E 85 F6 7C 21 46 33 DB 8B 47 04 83 3C 98 00 74 11 8B 47 04 8B 04 98 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 E2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94330_0 {
	meta:
		name = "TLabelsList.DeleteLabel"
		size = 49
		refs = "001c string 0021 @Dispose 002a TList.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 08 7D 1A 8B 43 04 83 3C B0 00 74 11 8B 43 04 8B 04 B0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94331_0 {
	meta:
		name = "TSeriesPointer.Create"
		size = 182
		refs = "000b @ClassCreate 0028 TTeeCustomShapeBrushPen.Create 0053 TTeeCustomShapeBrushPen.CanvasChanged 005a _Dn_TTeeEmboss 005f TTeeEmboss.Create 0072 TTeeShadow.InitValues 007f _Dn_TTeeShadow 0084 TTeeShadow.Create 00a2 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 85 F6 74 0A 8B 56 40 8B C7 8B 08 FF 51 0C 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 3C 01 89 77 2C C6 47 28 01 C7 47 24 04 00 00 00 C7 47 38 04 00 00 00 C6 47 14 01 C6 47 1C 01 C6 47 34 00 57 68 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 20 6A 03 8B 4E 08 8B C6 33 D2 E8 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 30 6A 03 8B 4E 08 8B C6 33 D2 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94332_0 {
	meta:
		name = "TSeriesPointer.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TTeeCustomShapeBrushPen.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 20 E8 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94333_0 {
	meta:
		name = "TSeriesPointer.ChangeStyle"
		size = 4
	strings:
		$1 = { 88 50 34 C3 }
	condition:
		$1
}

rule function_94336_0 {
	meta:
		name = "TSeriesPointer.CheckPointerSize"
		size = 29
		refs = "0005 TeeMsg_CheckPointerSize 000e _DV_ChartException 0013 Exception.Create 0018 @RaiseExcept"
	strings:
		$1 = { 4A 7D 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94338_0 {
	meta:
		name = "TSeriesPointer.SetHorizSize"
		size = 43
		refs = "000b TSeriesPointer.CheckPointerSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 3B 73 24 74 14 89 73 24 8B 73 08 85 F6 74 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_94340_0 {
	meta:
		name = "TSeriesPointer.SetInflate"
		size = 28
		altNames = "TTeeCustomShape.SetShapeStyle"
	strings:
		$1 = { 56 8B F0 3A 56 28 74 12 88 56 28 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_94341_0 {
	meta:
		name = "TSeriesPointer.SetVertSize"
		size = 43
		refs = "000b TSeriesPointer.CheckPointerSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 3B 73 38 74 14 89 73 38 8B 73 08 85 F6 74 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_94343_0 {
	meta:
		name = "TSeriesPointer.SetDepth"
		size = 28
		altNames = "TTeeCustomShape.SetBevelWidth"
	strings:
		$1 = { 56 8B F0 3B 56 18 74 12 89 56 18 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_94344_0 {
	meta:
		name = "TSeriesPointer.SetDraw3D"
		size = 28
	strings:
		$1 = { 56 8B F0 3A 56 1C 74 12 88 56 1C 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_94346_0 {
	meta:
		name = "TSeriesPointer.CalcHorizMargins"
		size = 51
	strings:
		$1 = { 53 56 57 80 78 10 00 74 26 80 78 28 00 74 20 8B 3A 8B 70 24 46 3B FE 7E 04 8B DF EB 02 8B DE 89 1A 8B 11 3B F2 7D 04 8B C2 EB 02 8B C6 89 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94347_0 {
	meta:
		name = "TSeriesPointer.CalcVerticalMargins"
		size = 51
	strings:
		$1 = { 53 56 57 80 78 10 00 74 26 80 78 28 00 74 20 8B 3A 8B 70 38 46 3B FE 7E 04 8B DF EB 02 8B DE 89 1A 8B 11 3B F2 7D 04 8B C2 EB 02 8B C6 89 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94350_0 {
	meta:
		name = "TSeriesPointer.SetStyle"
		size = 28
	strings:
		$1 = { 56 8B F0 3A 56 34 74 12 88 56 34 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_94351_0 {
	meta:
		name = "TSeriesPointer.Prepare"
		size = 30
		refs = "0006 TSeriesPointer.GetColor 0018 TSeriesPointer.PrepareCanvas"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 43 08 8B 90 40 03 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94352_0 {
	meta:
		name = "TSeriesPointer.PrepareCanvas"
		size = 143
		refs = "0049 TPen.GetStyle 0057 TPen.SetStyle"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B FA 8B D8 8B 73 0C 80 7E 28 00 74 30 8B EE 8B 45 10 81 78 18 00 00 00 20 75 0E 8B 0C 24 8B D6 8B C7 8B 30 FF 56 54 EB 2A 8B 43 0C 8B 40 10 8B 48 18 8B D5 8B C7 8B 30 FF 56 54 EB 16 8B 47 10 E8 ?? ?? ?? ?? 3C 05 74 0A 8B 47 10 B2 05 E8 ?? ?? ?? ?? 8B 6B 04 8B 45 10 8B 70 18 81 FE 00 00 00 20 75 0E 80 78 20 00 75 05 8B 34 24 EB 03 8B 75 18 8B 04 24 50 8B CE 8B D5 8B C7 8B 18 FF 53 50 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94353_0 {
	meta:
		name = "DrawDiagonalCross"
		size = 211
		refs = "0024 TSeriesPointer.GetStartZ"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 80 78 E7 00 74 6F 8B 45 08 8B 40 D4 40 50 8B 45 08 8B 40 D0 40 50 8B 45 08 8B 40 CC E8 ?? ?? ?? ?? 50 8B 45 08 8B 48 D8 8B 45 08 8B 50 DC 8B 45 08 8B 40 E0 8B 18 FF 93 70 01 00 00 8B 45 08 8B 40 DC 48 50 8B 45 08 8B 40 D0 40 50 8B 45 08 8B 40 CC E8 ?? ?? ?? ?? 50 8B 45 08 8B 48 D8 8B 45 08 8B 50 D4 8B 45 08 8B 40 E0 8B 18 FF 93 70 01 00 00 5B 5D C3 8B 45 08 8B 40 D4 40 50 8B 45 08 8B 40 D0 40 50 8B 45 08 8B 48 D8 8B 45 08 8B 50 DC 8B 45 08 8B 40 E0 8B 18 FF 93 D0 00 00 00 8B 45 08 8B 40 DC 48 50 8B 45 08 8B 40 D0 40 50 8B 45 08 8B 48 D8 8B 45 08 8B 50 D4 8B 45 08 8B 40 E0 8B 18 FF 93 D0 00 00 00 5B 5D C3 }
	condition:
		$1
}

rule function_94354_0 {
	meta:
		name = "DrawCross"
		size = 179
		refs = "001c TSeriesPointer.GetStartZ"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 80 78 E7 00 74 5F 8B 45 08 8B 40 D0 40 50 8B 45 08 8B 40 CC E8 ?? ?? ?? ?? 50 8B 45 08 8B 48 D8 8B 45 08 8B 50 1C 8B 45 08 8B 40 E0 8B 18 FF 93 60 01 00 00 8B 45 08 8B 40 18 50 8B 45 08 8B 40 CC E8 ?? ?? ?? ?? 50 8B 45 08 8B 48 D4 41 8B 45 08 8B 50 DC 8B 45 08 8B 40 E0 8B 18 FF 93 58 01 00 00 5B 5D C3 8B 45 08 8B 40 D0 40 50 8B 45 08 8B 48 D8 8B 45 08 8B 50 1C 8B 45 08 8B 40 E0 8B 18 FF 93 C0 00 00 00 8B 45 08 8B 40 18 50 8B 45 08 8B 48 D4 41 8B 45 08 8B 50 DC 8B 45 08 8B 40 E0 8B 18 FF 93 BC 00 00 00 5B 5D C3 }
	condition:
		$1
}

rule function_94355_0 {
	meta:
		name = "CalcTriangle3D"
		size = 145
		refs = "0018 TSeriesPointer.GetStartZ 0027 TCanvas3D.Calculate3DPosition"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B 5D 08 83 C3 E8 8D 45 F8 50 8B 45 08 8B 40 CC E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 08 8B 40 E0 E8 ?? ?? ?? ?? 8B 45 F8 89 03 8B 45 FC 89 43 04 8D 45 F8 50 8B 45 08 8B 40 CC E8 ?? ?? ?? ?? 8B C8 8D 53 08 8B 45 08 8B 40 E0 E8 ?? ?? ?? ?? 8B 45 F8 89 43 08 8B 45 FC 89 43 0C 8D 45 F8 50 8B 45 08 8B 40 CC E8 ?? ?? ?? ?? 8B C8 8D 53 10 8B 45 08 8B 40 E0 E8 ?? ?? ?? ?? 8B 45 F8 89 43 10 8B 45 FC 89 43 14 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94356_0 {
	meta:
		name = "VertTriangle"
		size = 287
		refs = "0095 CalcTriangle3D 00cd TSeriesPointer.GetStartZ 00d9 TSeriesPointer.GetEndZ"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B D8 8B 45 08 8B 40 CC 80 78 1C 00 74 09 8B 45 08 80 78 E7 00 75 7C 8B 45 08 8B 40 DC 8B 55 08 8B 52 18 03 D3 89 45 F8 89 55 FC 8B 45 08 8B 55 F8 89 50 E8 8B 55 FC 89 50 EC 8B 45 08 8B 40 D4 8B 55 08 8B 52 18 03 D3 89 45 F0 89 55 F4 8B 45 08 8B 55 F0 89 50 F0 8B 55 F4 89 50 F4 8B 45 08 8B 40 1C 8B 55 08 8B 52 18 2B D3 89 45 E8 89 55 EC 8B 45 08 8B 55 E8 89 50 F8 8B 55 EC 89 50 FC 8B 45 08 80 78 E7 00 74 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 80 78 E7 00 74 5E 8B 45 08 8B 40 CC 80 78 1C 00 74 52 8B 45 08 8B 40 18 2B C3 50 8B 45 08 8B 40 D4 50 8B 45 08 03 58 18 53 8B 45 08 8B 40 CC E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 CC E8 ?? ?? ?? ?? 50 8B 45 08 8B 40 CC 0F B6 40 14 50 8B 45 08 8B 48 DC 8B 45 08 8B 40 E0 B2 01 8B 18 FF 93 98 01 00 00 EB 19 8B 45 08 8D 50 E8 8B 45 08 8B 40 E0 B9 02 00 00 00 8B 18 FF 93 D8 00 00 00 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94357_0 {
	meta:
		name = "HexagonPoints"
		size = 318
		refs = "0015 TPointArray 001a @DynArraySetLength 010d TSeriesPointer.GetStartZ 011f TCanvas3D.Calculate3DPosition"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 8B D8 6A 06 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 40 10 D1 F8 79 03 83 D0 00 8B 55 08 8B 52 1C 8B 4D 08 8B 49 D8 89 55 F8 89 4D FC 8B 13 8B 4D F8 89 0A 8B 4D FC 89 4A 04 8B 55 08 8B 52 D4 8B 4D 08 8B 49 18 2B C8 89 55 F0 89 4D F4 8B 13 8B 4D F0 89 4A 08 8B 4D F4 89 4A 0C 8B 55 08 8B 52 D4 8B 4D 08 8B 49 18 03 C8 89 55 E8 89 4D EC 8B 13 8B 4D E8 89 4A 10 8B 4D EC 89 4A 14 8B 55 08 8B 52 1C 8B 4D 08 8B 49 D0 89 55 E0 89 4D E4 8B 13 8B 4D E0 89 4A 18 8B 4D E4 89 4A 1C 8B 55 08 8B 52 DC 8B 4D 08 8B 49 18 03 C8 89 55 D8 89 4D DC 8B 13 8B 4D D8 89 4A 20 8B 4D DC 89 4A 24 8B 55 08 8B 52 DC 8B 4D 08 8B 49 18 2B C8 8B C1 89 55 D0 89 45 D4 8B 03 8B 55 D0 89 50 28 8B 55 D4 89 50 2C 8B 45 08 80 78 E7 00 74 38 33 F6 8D 45 C8 50 8B 45 08 8B 40 CC E8 ?? ?? ?? ?? 8B C8 8B 03 8D 14 F0 8B 45 08 8B 40 E0 E8 ?? ?? ?? ?? 8B 03 8B 55 C8 89 14 F0 8B 55 CC 89 54 F0 04 46 83 FE 06 75 CA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94358_0 {
	meta:
		name = "HorizTriangle"
		size = 137
		refs = "0066 CalcTriangle3D"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B 4D 08 8B 49 18 89 45 F8 89 4D FC 8B 45 08 8B 4D F8 89 48 E8 8B 4D FC 89 48 EC 8B 45 08 8B 40 D0 89 55 F0 89 45 F4 8B 45 08 8B 4D F0 89 48 F0 8B 4D F4 89 48 F4 8B 45 08 8B 40 D8 89 55 E8 89 45 EC 8B 45 08 8B 55 E8 89 50 F8 8B 55 EC 89 50 FC 8B 45 08 80 78 E7 00 74 0A 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 8D 50 E8 8B 45 08 8B 40 E0 B9 02 00 00 00 8B 18 FF 93 D8 00 00 00 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94359_0 {
	meta:
		name = "DrawHexagon"
		size = 113
		refs = "000a DrawHexagon 001c HexagonPoints 0025 @DynArrayHigh 0041 TPointArray 0046 @DynArrayClear 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8D 45 FC E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 40 E0 8B 55 FC 8B 18 FF 93 D8 00 00 00 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5B 59 5D C3 }
	condition:
		$1
}

rule function_94360_0 {
	meta:
		name = "DrawDiamond"
		size = 339
		refs = "0097 TSeriesPointer.GetStartZ 00a7 TCanvas3D.Calculate3DPosition"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 8B 45 08 8B 40 DC 8B 55 08 8B 52 18 89 45 F8 89 55 FC 8B 45 F8 89 45 C0 8B 45 FC 89 45 C4 8B 45 08 8B 40 1C 8B 55 08 8B 52 D8 89 45 F0 89 55 F4 8B 45 F0 89 45 C8 8B 45 F4 89 45 CC 8B 45 08 8B 40 D4 8B 55 08 8B 52 18 89 45 E8 89 55 EC 8B 45 E8 89 45 D0 8B 45 EC 89 45 D4 8B 45 08 8B 40 1C 8B 55 08 8B 52 D0 89 45 E0 89 55 E4 8B 45 E0 89 45 D8 8B 45 E4 89 45 DC 8B 45 08 80 78 E7 00 0F 84 AC 00 00 00 8D 45 B8 50 8B 45 08 8B 40 CC E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 40 E0 8D 55 C0 E8 ?? ?? ?? ?? 8B 45 B8 89 45 C0 8B 45 BC 89 45 C4 8D 45 B8 50 8B 45 08 8B 40 CC E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 40 E0 8D 55 C8 E8 ?? ?? ?? ?? 8B 45 B8 89 45 C8 8B 45 BC 89 45 CC 8D 45 B8 50 8B 45 08 8B 40 CC E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 40 E0 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 B8 89 45 D0 8B 45 BC 89 45 D4 8D 45 B8 50 8B 45 08 8B 40 CC E8 ?? ?? ?? ?? 8B C8 8B 45 08 8B 40 E0 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 B8 89 45 D8 8B 45 BC 89 45 DC 8D 55 C0 8B 45 08 8B 40 E0 B9 03 00 00 00 8B 18 FF 93 D8 00 00 00 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94361_0 {
	meta:
		name = "DrawShadowEmboss"
		size = 286
		refs = "0015 DrawShadowEmboss 006a TSeriesPointer.GetStartZ 008c TTeeShadow.Draw 00c7 HexagonPoints 00d0 @DynArrayHigh 00eb TPointArray 00f0 @DynArrayClear 0111 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 DC 8B 55 08 8B 52 D8 8B 4D 08 8B 49 D4 8B 5D 08 8B 5B D0 89 45 D8 89 55 DC 89 4D E0 89 5D E4 8D 75 D8 8D 7D E8 A5 A5 A5 A5 8B 45 08 0F B6 40 08 2C 01 72 0B 74 38 2C 0B 74 61 E9 91 00 00 00 8B 45 08 8B 40 CC E8 ?? ?? ?? ?? 89 45 D4 DB 45 D4 83 C4 F8 DD 1C 24 9B 6A 00 6A 00 8D 4D E8 8B 45 08 8B 50 E0 8B 45 F8 E8 ?? ?? ?? ?? EB 62 8B 45 08 8B 40 CC E8 ?? ?? ?? ?? 89 45 D4 DB 45 D4 83 C4 F8 DD 1C 24 9B 6A 00 8D 4D E8 8B 45 08 8B 50 E0 8B 45 F8 8B 18 FF 53 10 EB 35 8B 45 08 50 8D 45 FC E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 08 8B 50 E0 8B 4D FC 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94362_0 {
	meta:
		name = "TryDrawShadow"
		size = 141
		refs = "0012 TTeeShadow.GetSize 0042 TPen.GetStyle 0050 DrawShadowEmboss 0061 TBrush.SetColor 0071 TBrush.SetStyle 0083 TPen.SetStyle"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 80 7F 20 00 74 78 8B C7 E8 ?? ?? ?? ?? 85 C0 74 6D 8B 45 08 8B 40 E0 8B 50 04 8B C2 8B 40 10 8B 40 18 8B F0 8B C2 8B 40 10 0F B6 40 20 8B D8 8B 45 08 8B 40 E0 8B 40 10 E8 ?? ?? ?? ?? 88 45 FF 8B 45 08 50 8B C7 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 E0 8B 40 04 8B D6 E8 ?? ?? ?? ?? 8B D3 8B 45 08 8B 40 E0 8B 40 04 E8 ?? ?? ?? ?? 0F B6 55 FF 8B 45 08 8B 40 E0 8B 40 10 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_94363_0 {
	meta:
		name = "TSeriesPointer.DrawPointer"
		size = 921
		refs = "003f TryDrawShadow 00a9 TSeriesPointer.GetEndZ 00b3 TSeriesPointer.GetStartZ 00e8 TCanvas3D.RectFromRectZ 0125 TSeriesPointer.GetGradient 012d TCustomTeeGradient.SetEndColor 0135 TTeeCanvas.GetGradient 015d TSeriesPointer.DrawPointer 0254 TSeriesPointer.GetMiddleZ 02c3 VertTriangle 02e6 HorizTriangle 0301 DrawCross 030a DrawDiagonalCross 0323 DrawDiamond 0378 DrawHexagon"
	strings:
		$1 = { 55 8B EC 83 C4 88 53 56 57 88 4D E7 89 55 E0 89 45 CC 8B 75 14 8B 45 1C 2B C6 89 45 DC 8B 45 1C 03 C6 89 45 D4 8B 45 18 2B 45 10 89 45 D8 8B 45 18 03 45 10 89 45 D0 55 8B 45 CC 8B 40 30 E8 ?? ?? ?? ?? 59 55 8B 45 CC 8B 40 20 E8 ?? ?? ?? ?? 59 8B 45 CC 80 78 35 00 0F 86 A4 00 00 00 8B 45 DC 89 45 AC 8B 45 D8 89 45 B0 8B 45 D4 40 89 45 B4 8B 45 D0 40 89 45 B8 56 8D 75 AC 8D 7D BC A5 A5 A5 A5 5E 80 7D 08 00 0F 94 C0 22 45 E7 74 43 8B 45 CC 80 78 1C 00 74 3A 8B 45 E0 8B 40 44 80 78 20 00 74 2E 8B 45 CC E8 ?? ?? ?? ?? 8B D8 8B 45 CC E8 ?? ?? ?? ?? 2B D8 01 5D C4 8B 45 CC E8 ?? ?? ?? ?? 8B D8 8B 45 CC E8 ?? ?? ?? ?? 2B D8 29 5D C0 8D 45 8C 50 8B 45 CC E8 ?? ?? ?? ?? 8B C8 8D 55 BC 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 8C 8B 45 CC 0F B6 48 35 8B 45 E0 8B 18 FF 53 58 8B F8 EB 02 33 FF 8B 45 CC 80 78 3D 00 75 40 8B 45 CC 8B 40 08 0F B6 98 99 02 00 00 C6 80 99 02 00 00 00 8B 45 CC E8 ?? ?? ?? ?? 8B 55 0C E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 0C E8 ?? ?? ?? ?? 8B 45 CC 8B 40 08 88 98 99 02 00 00 0F B6 45 08 83 F8 0C 0F 87 23 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 80 7D E7 00 74 7A 8B 45 CC 80 78 1C 00 74 3A 8B 45 D8 50 8B 45 D0 50 8B 45 CC E8 ?? ?? ?? ?? 50 8B 45 CC E8 ?? ?? ?? ?? 50 8B 45 CC 0F B6 40 14 50 6A 00 8B 4D D4 8B 55 DC 8B 45 E0 8B 18 FF 93 3C 01 00 00 E9 9F 01 00 00 8B 45 DC 89 45 9C 8B 45 D8 89 45 A0 8B 45 D4 40 89 45 A4 8B 45 D0 40 89 45 A8 8B 45 CC E8 ?? ?? ?? ?? 8B C8 8D 55 9C 8B 45 E0 8B 18 FF 93 A0 01 00 00 E9 68 01 00 00 8B 45 D4 40 50 8B 45 D0 40 50 8B 4D D8 8B 55 DC 8B 45 E0 8B 18 FF 93 8C 00 00 00 E9 48 01 00 00 80 7D E7 00 74 68 8B 45 CC 80 78 1C 00 74 38 8B 45 E0 8B 10 FF 52 1C 84 C0 74 2C 8B 45 CC E8 ?? ?? ?? ?? 50 89 75 88 DB 45 88 83 C4 F8 DD 1C 24 9B 8B 4D 18 8B 55 1C 8B 45 E0 8B 18 FF 93 B0 01 00 00 E9 01 01 00 00 8B 45 D4 50 8B 45 D0 50 8B 45 CC E8 ?? ?? ?? ?? 50 8B 4D D8 8B 55 DC 8B 45 E0 8B 18 FF 93 50 01 00 00 E9 DA 00 00 00 8B 45 D4 50 8B 45 D0 50 8B 4D D8 8B 55 DC 8B 45 E0 8B 18 FF 53 70 E9 BF 00 00 00 55 8B 45 10 E8 ?? ?? ?? ?? 59 E9 B0 00 00 00 55 8B 45 10 F7 D8 E8 ?? ?? ?? ?? 59 E9 9F 00 00 00 55 8B 55 D4 8B 45 DC E8 ?? ?? ?? ?? 59 E9 8D 00 00 00 55 8B 55 DC 8B 45 D4 E8 ?? ?? ?? ?? 59 EB 7E 55 E8 ?? ?? ?? ?? 59 EB 75 55 E8 ?? ?? ?? ?? 59 EB 6C 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 EB 5C 55 E8 ?? ?? ?? ?? 59 EB 53 80 7D E7 00 74 29 8B 45 CC E8 ?? ?? ?? ?? 50 8B 45 E0 8B 40 04 8B 40 10 8B 40 18 50 8B 4D 18 8B 55 1C 8B 45 E0 8B 18 FF 93 FC 00 00 00 EB 24 8B 45 E0 8B 40 04 8B 40 10 8B 40 18 50 8B 4D 18 8B 55 1C 8B 45 E0 8B 18 FF 53 44 EB 07 55 E8 ?? ?? ?? ?? 59 8B 45 CC 80 78 35 00 76 0A 8B D7 8B 45 E0 8B 08 FF 51 5C 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_94364_0 {
	meta:
		name = "TSeriesPointer.Draw"
		size = 45
		refs = "0024 TSeriesPointer.Draw"
	strings:
		$1 = { 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 8B 50 04 8B 52 10 8B 52 18 52 0F B6 50 34 52 8B 4C 24 0C 8B 54 24 08 E8 ?? ?? ?? ?? 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_94365_0 {
	meta:
		name = "TSeriesPointer.Draw"
		size = 23
		refs = "0011 TSeriesPointer.Draw"
	strings:
		$1 = { 53 8B 58 04 8B 5B 10 8B 5B 18 53 0F B6 58 34 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94366_0 {
	meta:
		name = "TSeriesPointer.Draw"
		size = 49
		refs = "0028 TSeriesPointer.DrawPointer"
	strings:
		$1 = { 55 8B EC 56 52 51 8B 50 24 52 8B 50 38 52 8B 55 0C 52 0F B6 55 08 52 8B 70 08 8B 96 40 03 00 00 0F B6 8E 04 03 00 00 E8 ?? ?? ?? ?? 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_94367_0 {
	meta:
		name = "TSeriesPointer.Assign"
		size = 112
		refs = "000b _DV_TSeriesPointer 0010 @IsClass 0041 TSeriesPointer.SetEmboss 004b TSeriesPointer.SetShadow 0068 TTeeCustomShapeBrushPen.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4B 8B FE 0F B6 47 14 88 43 14 8B 47 18 89 43 18 0F B6 47 1C 88 43 1C 8B 47 24 89 43 24 0F B6 47 28 88 43 28 8B 57 20 8B C3 E8 ?? ?? ?? ?? 8B 57 30 8B C3 E8 ?? ?? ?? ?? 0F B6 47 34 88 43 34 0F B6 47 35 88 43 35 8B 47 38 89 43 38 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94369_0 {
	meta:
		name = "TSeriesPointer.GetColor"
		size = 10
	strings:
		$1 = { 8B 40 04 8B 40 10 8B 40 18 C3 }
	condition:
		$1
}

rule function_94370_0 {
	meta:
		name = "TSeriesPointer.GetSize"
		size = 16
	strings:
		$1 = { 8B 48 38 8B 50 24 3B CA 7D 03 8B C2 C3 8B C1 C3 }
	condition:
		$1
}

rule function_94371_0 {
	meta:
		name = "TSeriesPointer.GetStartZ"
		size = 37
	strings:
		$1 = { 8B 50 2C 85 D2 74 1A 8B 48 18 85 C9 75 08 8B 82 54 01 00 00 EB 0E 8B 92 58 01 00 00 2B D1 8B C2 C3 8B 40 40 C3 }
	condition:
		$1
}

rule function_94372_0 {
	meta:
		name = "TSeriesPointer.GetMiddleZ"
		size = 18
	strings:
		$1 = { 8B 50 2C 85 D2 74 07 8B 82 58 01 00 00 C3 8B 40 40 C3 }
	condition:
		$1
}

rule function_94373_0 {
	meta:
		name = "TSeriesPointer.GetEndZ"
		size = 37
	strings:
		$1 = { 8B 50 2C 85 D2 74 1A 8B 48 18 85 C9 75 08 8B 82 5C 01 00 00 EB 0E 8B 92 58 01 00 00 03 D1 8B C2 C3 8B 40 40 C3 }
	condition:
		$1
}

rule function_94375_0 {
	meta:
		name = "TSeriesPointer.SetTransparency"
		size = 28
	strings:
		$1 = { 56 8B F0 3A 56 35 74 12 88 56 35 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_94376_0 {
	meta:
		name = "TCallout.Create"
		size = 115
		refs = "000a @ClassCreate 0017 TSeriesPointer.Create 001d TTeeCustomShapeBrushPen.CanvasChanged 0024 _Dn_TWhitePen 0029 TWhitePen.Create 0041 TTeeCustomShapeBrushPen.SetVisible 0055 TSeriesPointer.SetColor 0060 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 44 C6 46 28 01 C6 46 3D 01 C6 46 34 00 B2 01 8B C6 E8 ?? ?? ?? ?? C6 46 1C 00 C7 46 50 08 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_94377_0 {
	meta:
		name = "TCallout.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TSeriesPointer.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 44 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111988_0 {
	meta:
		name = "TXmlDomBuilder.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TComponent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 44 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94378_0 {
	meta:
		name = "TCallout.Assign"
		size = 68
		refs = "000b _DV_TCallout 0010 @IsClass 0026 TCallout.SetArrow 003c TSeriesPointer.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B FE 8B 47 4C 89 43 4C 8B 57 44 8B C3 E8 ?? ?? ?? ?? 0F B6 47 48 88 43 48 8B 47 50 89 43 50 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94379_0 {
	meta:
		name = "TCallout.SetDistance"
		size = 28
	strings:
		$1 = { 56 8B F0 3B 56 4C 74 12 89 56 4C 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_94381_0 {
	meta:
		name = "TCallout.Draw"
		size = 579
		refs = "0066 TSeriesPointer.Prepare 0079 TBrush.SetStyle 007f TeeCheckMarkArrowColor 00b8 ArrowColors 0100 TCanvas3D.Arrow 0148 TCanvas3D.LineWithZ 0201 TCanvas3D.Calculate3DPosition 0224 TSeriesPointer.GetColor 0236 TSeriesPointer.DrawPointer"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 75 10 8D 7D E8 A5 A5 8B 75 14 8D 7D F0 A5 A5 8B F1 8D 7D F8 A5 A5 8B DA 8B F0 8B 56 08 8B 82 40 03 00 00 89 45 DC 8B 82 A8 02 00 00 8B 92 AC 02 00 00 85 C0 75 04 85 D2 74 12 01 45 F8 01 55 FC 01 45 F0 01 55 F4 01 45 E8 01 55 EC 8B 46 44 80 78 28 00 0F 84 65 01 00 00 8B C6 E8 ?? ?? ?? ?? 80 7E 48 02 74 0D 8B 45 DC 8B 40 04 B2 01 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 1C 8B 46 44 8B 40 10 8B 40 18 3B D8 75 04 B0 01 EB 0D 8B 56 08 3B 42 74 0F 94 C0 EB 02 33 C0 84 C0 74 21 8B 46 08 83 78 74 00 0F 94 C0 83 E0 7F 8B 0C 85 ?? ?? ?? ?? 8B 56 44 8B 45 DC 8B 18 FF 53 54 EB 13 8B 46 44 8B 50 10 8B 4A 18 8B D0 8B 45 DC 8B 18 FF 53 54 0F B6 46 48 FE C8 74 06 FE C8 74 21 EB 3E 8D 55 F8 52 8B 46 50 50 50 8B 45 0C 50 8D 4D E8 33 D2 8B 45 DC E8 ?? ?? ?? ?? E9 BF 00 00 00 8D 55 F8 52 8B 46 50 50 50 8B 45 0C 50 8D 4D E8 B2 01 8B 45 DC E8 ?? ?? ?? ?? E9 A0 00 00 00 8B 46 08 80 B8 04 03 00 00 00 74 40 80 7D 08 00 74 26 8B 45 0C 50 8D 4D F0 8D 55 F8 8B 45 DC E8 ?? ?? ?? ?? 8B 45 0C 50 8D 4D E8 8D 55 F0 8B 45 DC E8 ?? ?? ?? ?? EB 68 8B 45 0C 50 8D 4D E8 8D 55 F8 8B 45 DC E8 ?? ?? ?? ?? EB 54 80 7D 08 00 74 35 8B 45 F0 50 8B 45 F4 50 8B 5D DC 8B C3 8B 4D FC 8B 55 F8 8B 38 FF 97 D0 00 00 00 8B 45 E8 50 8B 45 EC 50 8B C3 8B 4D F4 8B 55 F0 8B 18 FF 93 D0 00 00 00 EB 19 8B 45 E8 50 8B 45 EC 50 8B 45 DC 8B 4D FC 8B 55 F8 8B 18 FF 93 D0 00 00 00 80 7E 48 00 75 6C 80 7E 10 00 74 66 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 89 45 E0 8B 45 FC 89 45 E4 8B 46 08 80 B8 04 03 00 00 00 74 1E 8D 45 D4 50 8B 4D 0C 8D 55 E0 8B 45 DC E8 ?? ?? ?? ?? 8B 45 D4 89 45 E0 8B 45 D8 89 45 E4 8B 45 E0 50 8B 45 E4 50 8B 46 24 50 8B 46 38 50 8B C6 E8 ?? ?? ?? ?? 50 0F B6 46 34 50 33 C9 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_94382_0 {
	meta:
		name = "TCallout.SetArrowHead"
		size = 28
	strings:
		$1 = { 56 8B F0 3A 56 48 74 12 88 56 48 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_94383_0 {
	meta:
		name = "TCallout.SetArrowHeadSize"
		size = 28
	strings:
		$1 = { 56 8B F0 3B 56 50 74 12 89 56 50 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_94384_0 {
	meta:
		name = "TMarksCallout.Create"
		size = 89
		refs = "000a @ClassCreate 0017 TCallout.Create 002e TTeeCustomShapeBrushPen.SetVisible 003b TPen.SetColor 0046 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 54 08 00 00 00 C7 46 58 08 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 44 BA FF FF FF 00 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_94385_0 {
	meta:
		name = "TMarksCallout.Assign"
		size = 41
		refs = "000a _DV_TMarksCallout 000f @IsClass 0022 TCallout.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 46 54 89 43 54 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94386_0 {
	meta:
		name = "TMarksCallout.SetLength"
		size = 14
		refs = "0009 TCustomChartElement.SetIntegerProperty"
	strings:
		$1 = { 8D 48 54 8B 40 2C 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94387_0 {
	meta:
		name = "TMarksCallout.ApplyArrowLength"
		size = 19
	strings:
		$1 = { 8B 48 54 03 48 4C 29 4A 24 29 4A 14 8B 40 4C 29 42 08 C3 }
	condition:
		$1
}

rule function_94388_0 {
	meta:
		name = "TMarksCallout.IsLengthStored"
		size = 10
	strings:
		$1 = { 8B 50 54 3B 50 58 0F 95 C0 C3 }
	condition:
		$1
}

rule function_94389_0 {
	meta:
		name = "TAxisGridPen.Create"
		size = 72
		refs = "000d @ClassCreate 0020 TDottedGrayPen.Create 0032 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 FF 75 0C FF 75 08 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 34 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_94390_0 {
	meta:
		name = "TAxisGridPen.Assign"
		size = 62
		refs = "000a _DV_TAxisGridPen 000f @IsClass 0037 TChartPen.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 8B C6 0F B6 50 30 88 53 30 8B 50 34 89 53 34 8B 50 38 89 53 38 8B 50 3C 89 53 3C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94391_0 {
	meta:
		name = "TAxisGridPen.DefineProperties"
		size = 108
		refs = "000b TPersistent.DefineProperties 0011 TAxisGridPen.ReadZZero 0017 TAxisGridPen.WriteZZero 0020 TAxisGridPen.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? DD 43 40 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 0F DD 43 38 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 04 33 C9 EB 02 B1 01 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 5A 00 5A 00 65 00 72 00 6F 00 00 00 }
	condition:
		$1
}

rule function_94392_0 {
	meta:
		name = "TAxisGridPen.ReadZZero"
		size = 28
		refs = "0009 TReader.ReadBoolean"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 33 C0 89 43 38 89 43 3C 5E 5B C3 }
	condition:
		$1
}

rule function_94393_0 {
	meta:
		name = "TAxisGridPen.WriteZZero"
		size = 32
		refs = "0007 TAxisGridPen.WriteZZero 0014 TWriter.WriteBoolean"
	strings:
		$1 = { 8B C8 DD 41 38 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 94 C0 92 E8 ?? ?? ?? ?? C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_94394_0 {
	meta:
		name = "TAxisGridPen.IsZStored"
		size = 16
	strings:
		$1 = { 8B D0 DD 42 38 DC 5A 40 9B DF E0 9E 0F 95 C0 C3 }
	condition:
		$1
}

rule function_94395_0 {
	meta:
		name = "TAxisGridPen.SetDrawEvery"
		size = 14
	strings:
		$1 = { 3B 50 34 74 08 89 50 34 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_94397_0 {
	meta:
		name = "TAxisGridPen.SetZ"
		size = 40
	strings:
		$1 = { 55 8B EC 8B D0 DD 42 38 DC 5D 08 9B DF E0 9E 74 13 8B 45 08 89 42 38 8B 45 0C 89 42 3C 8B C2 8B 10 FF 52 0C 5D C2 08 00 }
	condition:
		$1
}

rule function_94399_0 {
	meta:
		name = "TAxisItem.GetFormat"
		size = 54
		refs = "0019 _Dn_TTeeShape 001e TTeeCustomShape.Create 002c TTeeCustomShape.InitTransparent"
	strings:
		$1 = { 53 56 8B D8 83 7B 04 00 75 26 8B 43 18 8B 40 18 8B 88 BC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 04 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 43 04 5E 5B C3 }
	condition:
		$1
}

rule function_94400_0 {
	meta:
		name = "TAxisItem.ActiveFormat"
		size = 17
	strings:
		$1 = { 8B 50 04 85 D2 74 03 8B C2 C3 8B 40 18 8B 40 14 C3 }
	condition:
		$1
}

rule function_94401_0 {
	meta:
		name = "TAxisItem.SetFormat"
		size = 46
		refs = "000d TAxisItem.GetFormat 0027 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 8D 43 04 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94402_0 {
	meta:
		name = "TAxisItem.SetText"
		size = 38
		refs = "000c @UStrEqual 0018 @UStrAsg 001f TAxisItem.Repaint"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 8B D6 E8 ?? ?? ?? ?? 74 11 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94403_0 {
	meta:
		name = "TAxisItem.Repaint"
		size = 21
	strings:
		$1 = { 8B 40 18 8B 40 18 8B 80 BC 00 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_94404_0 {
	meta:
		name = "TAxisItem.SetValue"
		size = 40
		refs = "0020 TAxisItem.Repaint"
	strings:
		$1 = { 55 8B EC 8B D0 DD 42 10 DC 5D 08 9B DF E0 9E 74 13 8B 45 08 89 42 10 8B 45 0C 89 42 14 8B C2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_94405_0 {
	meta:
		name = "TAxisItems.Create"
		size = 99
		refs = "000b @ClassCreate 001a TObject.Create 0031 _Dn_TTeeShape 0036 TTeeCustomShape.Create 0044 TTeeCustomShape.InitTransparent 004f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 C6 47 10 01 8B 47 18 8B 88 BC 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 14 8B C6 B2 01 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94407_0 {
	meta:
		name = "TAxisItems.InternalAdd"
		size = 67
		refs = "000d _DV_TAxisItem 0012 TObject.Create 002d @UStrAsg 0036 TList.Add"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 73 18 8B 45 08 89 43 10 8B 45 0C 89 43 14 8D 43 0C 8B D7 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_94408_0 {
	meta:
		name = "TAxisItems.Add"
		size = 28
		refs = "000f TAxisItems.InternalAdd"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? C6 43 10 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_94409_0 {
	meta:
		name = "TAxisItems.CopyFrom"
		size = 81
		refs = "0034 TAxisItems.Get 0044 TAxisItems.Add"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B 57 14 8B 46 14 8B 08 FF 51 08 80 7F 10 00 75 33 8B C6 8B 10 FF 52 08 C6 46 10 00 8B 5F 08 4B 85 DB 7C 20 43 33 ED 8B D5 8B C7 E8 ?? ?? ?? ?? FF 70 14 FF 70 10 8B 50 0C 8B C6 E8 ?? ?? ?? ?? 45 4B 75 E3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94410_0 {
	meta:
		name = "TAxisItems.Clear"
		size = 62
		refs = "0015 TAxisItems.Get 001a TObject.Free 0025 TList.Clear"
	strings:
		$1 = { 53 56 57 8B F0 8B 5E 08 4B 85 DB 7C 15 43 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 EE 8B C6 E8 ?? ?? ?? ?? 8B 46 18 8B 80 BC 00 00 00 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94412_0 {
	meta:
		name = "TeeDrawBitmapEditor"
		size = 105
		refs = "0010 _Dn_TBitmap 0015 TBitmap.Create 0020 TeeDrawBitmapEditor 0030 TeeGetBitmapEditor 0055 TObject.Free 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 4D 08 8B D7 8B C3 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_94413_0 {
	meta:
		name = "TSeriesGroup.Create"
		size = 220
		refs = "0016 @ClassCreate 0025 TSeriesGroup.Create 0036 TCollectionItem.Create 003d _DV_TCustomSeriesList 0042 TObject.Create 0050 @CallDynaInst 0063 @UStrAsg 0075 IntToStr 0080 @UStrCat 0095 @UStrClr 009b @HandleFinally 00aa @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B C7 66 BE FF FF E8 ?? ?? ?? ?? 8B 53 10 89 42 10 8D 43 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 74 19 8D 55 F8 8B 47 08 8B 40 08 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 47 00 72 00 6F 00 75 00 70 00 00 00 }
	condition:
		$1
}

rule function_94416_0 {
	meta:
		name = "TSeriesGroup.Assign"
		size = 62
		refs = "000b _DV_TSeriesGroup 0010 @IsClass 0021 @UStrAsg 002b TSeriesGroup.SetSeries 0036 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8D 43 0C 8B FE 8B 57 0C E8 ?? ?? ?? ?? 8B 57 10 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94419_0 {
	meta:
		name = "TSeriesGroup.GetActive"
		size = 72
	strings:
		$1 = { 53 56 8B 50 10 8B 52 08 85 D2 75 05 33 C0 5E 5B C3 33 F6 4A 85 D2 7C 17 42 33 C9 8B 58 10 8B 5B 04 8B 1C 8B 80 7B 38 00 74 01 46 41 4A 75 EC 8B 40 10 3B 70 08 75 04 33 C0 EB 0A 85 F6 75 04 B0 01 EB 02 B0 02 5E 5B C3 }
	condition:
		$1
}

rule function_94420_0 {
	meta:
		name = "TSeriesGroup.SetActive"
		size = 90
		refs = "0010 TSeriesGroup.GetActive"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 80 FB 02 74 48 8B C7 E8 ?? ?? ?? ?? 3A D8 74 3D 8B 47 10 8B 70 08 4E 85 F6 7C 32 46 33 ED 84 DB 75 12 8B 47 10 8B 40 04 8B 04 A8 B2 01 8B 08 FF 51 48 EB 15 80 FB 01 75 10 8B 47 10 8B 40 04 8B 04 A8 33 D2 8B 08 FF 51 48 45 4E 75 D1 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94421_0 {
	meta:
		name = "TSeriesGroup.SetSeries"
		size = 13
		refs = "0008 TList.Assign"
	strings:
		$1 = { 6A 00 33 C9 8B 40 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94422_0 {
	meta:
		name = "TSeriesGroup.DefineProperties"
		size = 80
		refs = "000b TPersistent.DefineProperties 0011 TSeriesGroup.ReadSeries 0017 TSeriesGroup.WriteSeries 0026 TSeriesGroup.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 43 10 83 78 08 00 0F 9F C1 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 72 00 69 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_94423_0 {
	meta:
		name = "TSeriesGroup.WriteSeries"
		size = 140
		refs = "0017 TSeriesGroup.WriteSeries 0027 TWriter.WriteValue 0043 TCustomChartSeries.GetIndex 004b TeeStr 0056 TWriter.WriteString 0079 @UStrClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 FC E8 ?? ?? ?? ?? 8B 47 10 8B 58 08 4B 85 DB 7C 28 43 33 F6 8B 47 10 8B 40 04 8B 04 B0 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 DB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94424_0 {
	meta:
		name = "TSeriesGroup.ReadSeries"
		size = 138
		refs = "0010 TSeriesGroup.ReadSeries 001f TReader.CheckValue 0026 _Dn_TStringList 002b TStringList.Create 0045 TReader.ReadString 0056 TReader.EndOfList 0078 @UStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7E 14 8B F7 8B C6 8B 10 FF 52 44 EB 14 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 38 8B C3 E8 ?? ?? ?? ?? 84 C0 74 E1 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_94425_0 {
	meta:
		name = "TSeriesGroups.Contains"
		size = 70
		refs = "0023 TSeriesGroups.Get 002d TList.IndexOf"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B F8 C7 04 24 FF FF FF FF 8B 47 08 8B 70 08 4E 85 F6 7C 22 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 10 8B D5 E8 ?? ?? ?? ?? 40 74 05 89 1C 24 EB 04 43 4E 75 E1 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94426_0 {
	meta:
		name = "StringsEqual"
		size = 141
		refs = "0011 StringsEqual 0029 @UStrEqual 003e UpperCase 0079 @UStrArrayClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 80 78 FF 00 74 0B 8B C3 8B D6 E8 ?? ?? ?? ?? 74 30 8B 45 08 80 78 FF 00 75 23 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 58 E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94427_0 {
	meta:
		name = "TSeriesGroups.FindByName"
		size = 79
		refs = "0029 TSeriesGroups.Get 0037 StringsEqual"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 4D FF 89 55 F4 89 45 F8 8B 45 F8 8B 40 08 8B 58 08 4B 85 DB 7C 24 43 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 55 8B 46 0C 8B 55 F4 E8 ?? ?? ?? ?? 59 84 C0 75 06 47 4B 75 DF 33 F6 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94430_0 {
	meta:
		name = "TSeriesMarksSymbol.Create"
		size = 172
		refs = "000f @ClassCreate 0021 TTeeCustomShape.Create 0040 TTeeCustomShapeBrushPen.SetVisible 0049 TTeeCustomShape.SetTransparent 0056 TTeeShadow.SetSize 0067 TTeeCustomShape.GetEmboss 0096 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 74 10 0F B6 9E 99 02 00 00 C6 86 99 02 00 00 00 EB 02 33 DB 33 D2 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 47 3C BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 47 3C C7 40 38 01 00 00 00 8B C7 E8 ?? ?? ?? ?? BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? C7 40 38 01 00 00 00 85 F6 74 06 88 9E 99 02 00 00 8B C7 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_94431_0 {
	meta:
		name = "TSeriesMarksSymbol.ShouldDraw"
		size = 18
	strings:
		$1 = { 80 78 10 00 74 06 80 78 2A 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_94432_0 {
	meta:
		name = "RegisterBasicClasses"
		size = 154
		refs = "0004 _Dn_TControl 0009 StartClassGroup 0013 ActivateClassGroup 001e _DV_TCustomChartElement 0023 GroupDescendentsWith 002e _DV_TTeeFunction 003e _DV_TTeeSeriesSource 004e _Dn_TTeeCustomShapeBrushPen 005e _DV_TChartAxis 0068 _DV_TChartAxisTitle 0079 _DV_TChartDepthAxis 0082 _DV_TSeriesMarks 0092 RegisterClasses"
	strings:
		$1 = { 83 C4 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 04 24 A1 ?? ?? ?? ?? 89 44 24 04 A1 ?? ?? ?? ?? 89 44 24 08 A1 ?? ?? ?? ?? 89 44 24 0C 8B C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_94433_0 {
	meta:
		name = "Finalization"
		size = 80
		refs = "0005 _DV_25 000c FTeeSources 0019 TObject.Free 001e _DV_TChartAxisTitle 0026 _DV_TChartAxis 002f _DV_TChartDepthAxis 0038 _DV_TSeriesMarks 0048 UnRegisterClasses"
	strings:
		$1 = { 83 C4 F0 FF 05 ?? ?? ?? ?? 75 41 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 04 24 A1 ?? ?? ?? ?? 89 44 24 04 A1 ?? ?? ?? ?? 89 44 24 08 A1 ?? ?? ?? ?? 89 44 24 0C 8B C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule function_94434_0 {
	meta:
		name = "VCLTee.TeEngine"
		size = 25
		refs = "0002 _DV_25 000b TeeMaxPixelPos 0014 RegisterBasicClasses"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0F C7 05 ?? ?? ?? ?? FF 7F 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94435_0 {
	meta:
		name = "PositionToCenter"
		size = 22
		refs = "0009 TCustomForm.SetPosition"
	strings:
		$1 = { 83 78 04 00 74 08 B2 07 E8 ?? ?? ?? ?? C3 B2 04 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94436_0 {
	meta:
		name = "TeeGetParentForm"
		size = 49
		refs = "000e _Dn_TControl 0013 @IsClass 0020 GetParentForm"
	strings:
		$1 = { 53 56 8B F0 8B DE 85 DB 74 22 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 75 02 8B DE 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_94437_0 {
	meta:
		name = "TeeCreateForm"
		size = 54
		refs = "0009 TeeGetParentForm 001d TControl.SetAlign 0024 PositionToCenter 002d TCustomForm.SetBorderStyle"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C8 B2 01 8B C3 FF 50 38 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? B2 03 8B C3 E8 ?? ?? ?? ?? 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_94438_0 {
	meta:
		name = "CreatePenDialog"
		size = 64
		refs = "000d _DV_TPenDialog 0012 TeeCreateForm 001d @AsClass 0036 TControl.Hide"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F2 8B D8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 B3 CC 03 00 00 80 3C 24 00 74 0B 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_94439_0 {
	meta:
		name = "EditChartPen"
		size = 81
		refs = "0007 CreatePenDialog 0012 EditChartPen 003d TObject.Free 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 92 20 01 00 00 48 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 59 59 5D C3 }
	condition:
		$1
}

rule function_94440_0 {
	meta:
		name = "TPenDialog.FormShow"
		size = 528
		refs = "0021 _Dn_TChartPen 0026 TChartPen.Create 005a @IsClass 008f TChartPen.SetVisible 0094 IsWindowsNT 009f TeeMsg_SmallDotsPen 0125 TPen.GetStyle 0167 TControl.SetVisible 017b TCustomUpDown.SetPosition 01c4 TPenDialog.EnablePenStyle 01c9 TPenDialog.FormShow 01da TTeeButton.LinkProperty 01e7 TeeTranslateControl"
	strings:
		$1 = { 53 56 51 8B F0 83 BE C4 03 00 00 00 0F 95 C0 34 01 88 04 24 80 3C 24 00 74 16 6A 00 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 C4 03 00 00 8B 86 CC 03 00 00 85 C0 0F 84 A0 01 00 00 8B D0 8B 86 C4 03 00 00 8B 08 FF 51 08 8B 9E CC 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 1B 01 00 00 0F B6 53 28 8B 86 90 03 00 00 8B 08 FF 91 FC 00 00 00 8B 86 90 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 C4 03 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 19 8B 15 ?? ?? ?? ?? 8B 12 8B 86 AC 03 00 00 8B 80 B4 02 00 00 8B 08 FF 51 38 8B 9E CC 03 00 00 80 7B 21 00 74 60 8B 9E AC 03 00 00 8B 83 B4 02 00 00 8B 10 FF 52 14 8B D0 4A 8B C3 8B 08 FF 91 FC 00 00 00 33 D2 8B 86 A4 03 00 00 8B 08 FF 91 80 00 00 00 33 D2 8B 86 94 03 00 00 8B 08 FF 91 80 00 00 00 B2 01 8B 86 C0 03 00 00 8B 08 FF 91 80 00 00 00 B2 01 8B 86 BC 03 00 00 8B 08 FF 91 80 00 00 00 EB 18 8B C3 E8 ?? ?? ?? ?? 0F B6 D0 8B 86 AC 03 00 00 8B 08 FF 91 FC 00 00 00 A1 ?? ?? ?? ?? 80 38 00 74 1A 8B 86 CC 03 00 00 0F B6 50 20 8B 86 B4 03 00 00 8B 08 FF 91 FC 00 00 00 EB 0D 33 D2 8B 86 B4 03 00 00 E8 ?? ?? ?? ?? 8B 86 CC 03 00 00 8B 50 24 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? EB 29 33 D2 8B 86 90 03 00 00 E8 ?? ?? ?? ?? 8B 86 CC 03 00 00 E8 ?? ?? ?? ?? 0F B6 D0 8B 86 AC 03 00 00 8B 08 FF 91 FC 00 00 00 8B 86 CC 03 00 00 8B 40 10 8B 50 1C 8B 86 A4 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 96 CC 03 00 00 8B 86 B0 03 00 00 E8 ?? ?? ?? ?? 80 3C 24 00 74 07 8B C6 E8 ?? ?? ?? ?? C6 86 C8 03 00 00 00 5A 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_94441_0 {
	meta:
		name = "TPenDialog.EnablePenStyle"
		size = 42
		refs = "0002 IsWindowsNT"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 80 3A 00 75 1E 8B 90 CC 03 00 00 8B 52 10 83 7A 1C 01 0F 94 C2 8B 80 AC 03 00 00 8B 08 FF 91 80 00 00 00 C3 }
	condition:
		$1
}

rule function_94442_0 {
	meta:
		name = "TPenDialog.SEWidthChange"
		size = 52
		refs = "0013 TCustomUpDown.GetPosition 0020 TPen.SetWidth 0027 TPenDialog.EnablePenStyle"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 26 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 C8 03 00 00 01 5B C3 }
	condition:
		$1
}

rule function_94443_0 {
	meta:
		name = "TPenDialog.CBEndStyleChange"
		size = 39
		refs = "001a TChartPen.SetEndStyle"
	strings:
		$1 = { 53 8B D8 8B 83 B4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? C6 83 C8 03 00 00 01 5B C3 }
	condition:
		$1
}

rule function_94444_0 {
	meta:
		name = "TPenDialog.CBVisibleClick"
		size = 48
		refs = "0023 TChartPen.SetVisible"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 22 8B 83 90 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? C6 83 C8 03 00 00 01 5B C3 }
	condition:
		$1
}

rule function_94445_0 {
	meta:
		name = "TPenDialog.BCancelClick"
		size = 106
		refs = "0028 _Dn_TChartPen 002d @IsClass 0042 TChartPen.SetVisible"
	strings:
		$1 = { 53 56 8B D8 80 BB C8 03 00 00 00 74 50 8B 93 C4 03 00 00 8B 83 CC 03 00 00 8B 08 FF 51 08 8B B3 CC 03 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 28 8B 83 C4 03 00 00 0F B6 50 28 8B C6 E8 ?? ?? ?? ?? 8B 83 CC 03 00 00 66 83 78 0A 00 74 0A 8B F0 8B D3 8B 46 0C FF 56 08 C7 83 C0 02 00 00 02 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_94447_0 {
	meta:
		name = "TPenDialog.CBStyleChange"
		size = 233
		refs = "000e _Dn_TChartPen 0015 @IsClass 001e IsWindowsNT 0056 TChartPen.SetSmallDots 0077 TPen.SetStyle"
	strings:
		$1 = { 53 56 57 55 8B F0 8B 86 CC 03 00 00 8B 3D ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 84 C0 74 41 A1 ?? ?? ?? ?? 80 38 00 74 37 8B 86 AC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D8 8B 86 AC 03 00 00 8B 80 B4 02 00 00 8B 10 FF 52 14 48 3B D8 75 11 B2 01 8B 86 CC 03 00 00 E8 ?? ?? ?? ?? 33 DB EB 39 B3 01 8B 86 AC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 CC 03 00 00 E8 ?? ?? ?? ?? 8B AE CC 03 00 00 8B C5 8B D7 E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C5 E8 ?? ?? ?? ?? 8B D3 8B 86 A4 03 00 00 8B 08 FF 91 80 00 00 00 8B D3 8B 86 94 03 00 00 8B 08 FF 91 80 00 00 00 8B D3 80 F2 01 8B 86 C0 03 00 00 8B 08 FF 91 80 00 00 00 8B D3 80 F2 01 8B 86 BC 03 00 00 8B 08 FF 91 80 00 00 00 C6 86 C8 03 00 00 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94448_0 {
	meta:
		name = "TPenDialog.BColorClick"
		size = 26
	strings:
		$1 = { 53 8B D8 8B 83 AC 03 00 00 8B 10 FF 92 A0 00 00 00 C6 83 C8 03 00 00 01 5B C3 }
	condition:
		$1
}

rule function_94449_0 {
	meta:
		name = "TPenDialog.CBStyleDrawItem"
		size = 394
		refs = "0021 TPenDialog.CBStyleDrawItem 0060 TPen.SetStyle 0074 TPen.SetColor 0091 ColorToRGB 00c3 IsWindowsNT 00ef TeeCreatePenSmallDots 00f8 TPen.SetHandle 0128 TBrush.SetStyle 012f TControlCanvas.UpdateTextFlags 0175 @UStrClr 017b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 8B 75 0C 8D 7D EC A5 A5 A5 A5 89 4D FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 87 AC 03 00 00 8B B0 78 02 00 00 8D 55 EC 8B C6 8B 08 FF 51 54 8B 87 AC 03 00 00 8B 80 B4 02 00 00 8B 10 FF 52 14 48 3B 45 FC 74 0C 0F B6 55 FC 8B 46 44 E8 ?? ?? ?? ?? 8B 87 CC 03 00 00 8B 40 10 8B 50 18 8B 46 44 E8 ?? ?? ?? ?? F6 45 08 01 74 07 BB 0D 00 00 FF EB 09 8B 87 AC 03 00 00 8B 58 74 8B C3 E8 ?? ?? ?? ?? 8B 56 44 8B 52 10 3B 42 18 75 22 8B 46 44 8B 50 10 81 7A 18 FF FF FF 00 75 09 33 D2 E8 ?? ?? ?? ?? EB 0A BA FF FF FF 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 30 8B 87 AC 03 00 00 8B 80 B4 02 00 00 8B 10 FF 52 14 48 3B 45 FC 75 19 8B 5E 44 8B 43 10 8B 40 18 33 D2 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 83 C1 08 8B 55 EC 83 C2 02 8B C6 8B 18 FF 53 64 8B 4D F0 83 C1 08 8B 55 EC 83 C2 1E 8B C6 8B 18 FF 53 60 B2 01 8B 46 48 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8D 4D E8 8B 87 AC 03 00 00 8B 80 B4 02 00 00 8B 55 FC 8B 18 FF 53 0C 8B 45 E8 50 8B 4D F0 83 C1 02 8B 55 EC 83 C2 22 8B C6 8B 18 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_94450_0 {
	meta:
		name = "TButtonPen.GetEditor"
		size = 96
		refs = "001d CreatePenDialog 0053 TButtonPen.EditorDestroy"
	strings:
		$1 = { 53 56 8B D8 83 BB E0 02 00 00 00 75 4A 0F B6 8B F0 02 00 00 8B 93 D8 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 89 B3 E0 02 00 00 8B 86 40 03 00 00 89 83 E8 02 00 00 8B 86 44 03 00 00 89 83 EC 02 00 00 8B 83 E0 02 00 00 89 98 44 03 00 00 C7 80 40 03 00 00 ?? ?? ?? ?? 8B 83 E0 02 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_94453_0 {
	meta:
		name = "TButtonPen.DrawSymbol"
		size = 238
		refs = "005c TPen.SetWidth 0077 TBrush.SetStyle"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B FA 8B F0 8B C6 8B 10 FF 52 68 84 C0 0F 84 CE 00 00 00 83 BE D8 02 00 00 00 0F 84 C1 00 00 00 8B 86 D8 02 00 00 8B D0 8B 4A 10 83 79 1C 06 7E 2B 8B 48 08 89 0C 24 8B 48 0C 89 4C 24 04 33 C9 89 48 08 89 48 0C 8B 52 10 8B 52 1C 89 54 24 08 BA 06 00 00 00 E8 ?? ?? ?? ?? EB 0F 33 C0 89 04 24 89 44 24 04 33 C0 89 44 24 08 8B 47 04 B2 01 E8 ?? ?? ?? ?? 8B 86 D8 02 00 00 8B 50 10 8B 4A 18 8B D0 8B C7 8B 18 FF 53 54 8B 4E 54 D1 F9 79 03 83 D1 00 8B 56 50 83 EA 11 8B C7 8B 18 FF 93 80 00 00 00 8B 4E 54 D1 F9 79 03 83 D1 00 8B 56 50 83 EA 06 8B C7 8B 18 FF 53 7C 66 83 7C 24 02 00 74 1E 8B 9E D8 02 00 00 8B 54 24 08 8B C3 E8 ?? ?? ?? ?? 8B 04 24 89 43 08 8B 44 24 04 89 43 0C 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94456_0 {
	meta:
		name = "ShowControls"
		size = 33
		refs = "0013 TControl.SetVisible"
	strings:
		$1 = { 53 56 57 8B D8 8B F1 85 F6 7C 12 46 8B FA 8B D3 8B 07 E8 ?? ?? ?? ?? 83 C7 04 4E 75 F1 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94457_0 {
	meta:
		name = "TeeYesNo"
		size = 236
		refs = "0019 TeeYesNo 0024 Screen 002d TScreen.SetCursor 005d @UStrLAsg 0083 MessageDlgPosHelp 00d1 @UStrArrayClr 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 85 DB 74 5A 8D 55 EC 8B C3 8B 08 FF 51 5C 8B 7D EC 83 C7 14 8D 55 EC 8B C3 8B 08 FF 51 5C 8B 45 F0 83 C0 1E 8B D8 8D 45 FC 8B D6 E8 ?? ?? ?? ?? B0 03 0F B7 15 ?? ?? ?? ?? 66 89 55 F6 33 D2 8B F7 8B CB 52 56 51 6A 00 8B D0 8B 45 FC 0F B7 4D F6 E8 ?? ?? ?? ?? 83 F8 06 0F 94 C3 EB 2C 8D 45 F8 8B D6 E8 ?? ?? ?? ?? B0 03 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D F8 92 91 E8 ?? ?? ?? ?? 83 F8 06 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 00 00 03 00 00 00 }
	condition:
		$1
}

rule function_94458_0 {
	meta:
		name = "TeeYesNoDelete"
		size = 108
		refs = "0015 TeeYesNoDelete 002e TeeMsg_SureToDelete 0037 Format 0041 TeeYesNo 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 5D F4 C6 45 F8 11 8D 55 F4 A1 ?? ?? ?? ?? 8B 00 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94461_0 {
	meta:
		name = "AddFormTo"
		size = 216
		refs = "001e TControl.SetParentColor 0027 TCustomForm.SetPosition 0030 TCustomForm.SetBorderStyle 0037 AddFormTo 003e TCustomForm.SetBorderIcons 005e TControl.SetVisible 006a TCustomForm.SetLeft 0071 TControl.GetClientHeight 009d TCustomForm.SetTop 00a4 TeeScaleForm 00b7 TControl.SetFont 00be TCustomForm.Show"
	strings:
		$1 = { 53 56 57 55 51 8B E9 8B F2 8B D8 B2 01 8B FB 8B C7 8B 08 FF 91 E4 00 00 00 B2 01 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 6B 0C 8B D6 8B C3 8B 08 FF 91 84 00 00 00 8B 43 38 0F B6 50 61 88 14 24 B2 01 E8 ?? ?? ?? ?? BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 8B D0 58 2B C2 99 33 C2 2B C2 D1 F8 79 03 83 D0 00 83 F8 04 7E 05 B8 04 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7B 63 00 74 0D 8B 43 38 8B 50 6C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 14 24 8B 43 38 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_94462_0 {
	meta:
		name = "TeeLoadArrowBitmaps"
		size = 108
		refs = "0006 TeeLoadArrowBitmaps 000b TeeLoadBitmap"
	strings:
		$1 = { 53 8B DA 33 C9 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 54 00 65 00 65 00 41 00 72 00 72 00 6F 00 77 00 55 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 54 00 65 00 65 00 41 00 72 00 72 00 6F 00 77 00 44 00 6F 00 77 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_94463_0 {
	meta:
		name = "MoveList"
		size = 208
		refs = "0017 MoveList 003c TCustomListBox.GetSelected 00bd @UStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 88 02 00 00 8B 10 FF 52 14 48 85 C0 7C 4B 40 89 45 F8 33 DB 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 32 8D 4D F4 8B D3 8B 86 88 02 00 00 8B 38 FF 57 0C 8B 45 F4 50 8B D3 8B 86 88 02 00 00 8B 08 FF 51 18 8B C8 8B 45 FC 8B 80 88 02 00 00 5A 8B 38 FF 57 3C 43 FF 4D F8 75 BB 33 DB EB 1D 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 8B D3 8B 86 88 02 00 00 8B 08 FF 51 48 EB 01 43 8B 86 88 02 00 00 8B 10 FF 52 14 3B D8 7C D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94464_0 {
	meta:
		name = "MoveListAll"
		size = 136
		refs = "0017 MoveListAll 0075 @UStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 14 48 85 C0 7C 30 40 89 45 F8 33 DB 8D 4D F4 8B D3 8B C6 8B 38 FF 57 0C 8B 45 F4 50 8B D3 8B C6 8B 08 FF 51 18 8B C8 8B 45 FC 5A 8B 38 FF 57 3C 43 FF 4D F8 75 D6 8B C6 8B 10 FF 52 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94466_0 {
	meta:
		name = "GetFirstParentForm"
		size = 45
		refs = "000f _Dn_TCustomForm 0014 @IsClass"
	strings:
		$1 = { 53 56 57 8B D8 33 FF EB 17 8B DE 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 8B FB EB 07 8B 73 38 85 F6 75 E2 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94467_0 {
	meta:
		name = "TeeScaleForm"
		size = 102
		refs = "0008 GetFirstParentForm 0016 _Dn_TForm 001b @IsClass 0026 TCustomForm.GetPixelsPerInch 004e TWinControl.ScaleBy 005e TCustomForm.SetPixelsPerInch"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 50 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3F 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 3B F8 74 2B 8B C6 E8 ?? ?? ?? ?? 50 8B FB 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94468_0 {
	meta:
		name = "TPenDialog.ESpaceChange"
		size = 66
		refs = "0014 _Dn_TChartPen 0019 @IsClass 0028 TCustomUpDown.GetPosition 0035 TChartPen.SetSmallSpace"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 34 8B 83 CC 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? C6 83 C8 03 00 00 01 5B C3 }
	condition:
		$1
}

rule function_94469_0 {
	meta:
		name = "TeeSavePictureDialog"
		size = 216
		refs = "0011 TeeSavePictureDialog 0020 _Dn_TSavePictureDialog 0025 TOpenPictureDialog.Create 0044 GraphicFilter 0052 @UStrAsg 007b TOpenDialog.GetFileName 009a TObject.Free 00a0 @HandleFinally 00b7 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 89 C3 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 83 C0 78 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 74 0B 05 ?? ?? ?? ?? 8B 55 FC 89 42 74 8B 45 FC 8B 10 FF 52 50 84 C0 74 15 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B C6 8B 08 FF 51 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_94472_0 {
	meta:
		name = "TPieSeriesEditor.FormShow"
		size = 1184
		refs = "001a TPieSeriesEditor.FormShow 0043 TTeeButton.LinkProperty 005a TCustomUpDown.SetPosition 0107 ColorPalettes 0112 TColorPalettes.AddTo 0136 _Dn_TCustomChart 013b @AsClass 0160 TPieOtherSlice.GetText 016e TControl.SetText 0188 CurrencyString 018d FloatToStr 01d3 EnableControls 0200 TPieSeries.GetPiePen 020d TButtonPen.LinkPen 024a TScrollBar.SetPosition 025e TeeStr 0273 TCircledSeries.GetCircleGradient 0280 TButtonGradient.LinkGradient 02b7 TTrackBar.SetPosition 0374 _Dn_TGDIPlusCanvas 0379 @IsClass 03b2 TCustomUpDown.GetPosition 03ec _Dn_TCircledSeriesEditor 03f1 TCircledSeriesEditor.CreateForm 0408 TControl.Hide 043b TPageControl.SetActivePage 0442 TeeTranslateControl 0457 @UStrClr 046d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 C9 89 4D E0 89 4D EC 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 89 83 5C 04 00 00 85 C0 0F 84 F9 03 00 00 B9 ?? ?? ?? ?? 8B D0 8B 83 1C 04 00 00 E8 ?? ?? ?? ?? 8B B3 5C 04 00 00 8B 96 E8 01 00 00 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 0F B6 96 D4 01 00 00 8B 83 B4 03 00 00 8B 08 FF 91 FC 00 00 00 8B 46 40 85 C0 74 09 80 B8 04 03 00 00 00 75 04 33 D2 EB 02 B2 01 8B 83 B4 03 00 00 8B 08 FF 91 80 00 00 00 0F B6 96 05 02 00 00 8B 83 C0 03 00 00 8B 08 FF 91 FC 00 00 00 80 BE F4 01 00 00 00 75 12 33 D2 8B 83 D8 03 00 00 8B 08 FF 91 FC 00 00 00 EB 13 BA 01 00 00 00 8B 83 D8 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 56 60 8B 83 18 04 00 00 8B 08 FF 91 FC 00 00 00 8B 83 20 04 00 00 8B 10 FF 92 04 01 00 00 8B 83 20 04 00 00 8B 90 B4 02 00 00 A1 ?? ?? ?? ?? 8B 00 8B 00 B1 01 E8 ?? ?? ?? ?? 83 7E 40 00 0F 95 C2 8B 83 20 04 00 00 8B 08 FF 91 80 00 00 00 8B 7E 40 85 FF 74 22 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 90 58 04 00 00 42 8B 83 20 04 00 00 8B 08 FF 91 FC 00 00 00 8B BE F8 01 00 00 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 8B 55 EC 8B 83 08 04 00 00 E8 ?? ?? ?? ?? DD 47 18 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 04 04 00 00 E8 ?? ?? ?? ?? 0F B6 57 0C 8B 83 00 04 00 00 8B 08 FF 91 FC 00 00 00 80 7F 0C 00 0F 95 C0 8B 93 08 04 00 00 89 55 E4 8B 93 04 04 00 00 89 55 E8 8D 55 E4 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 96 C8 01 00 00 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 0F B6 96 CC 01 00 00 8B 83 2C 04 00 00 8B 08 FF 91 FC 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? 8B 96 D8 01 00 00 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8B 86 FC 01 00 00 0F B6 50 08 8B 83 30 04 00 00 8B 08 FF 91 FC 00 00 00 8B 86 FC 01 00 00 8B 50 04 8B 83 34 04 00 00 E8 ?? ?? ?? ?? 8D 55 E0 8B 83 34 04 00 00 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 83 58 04 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 40 04 00 00 E8 ?? ?? ?? ?? 8B 83 40 04 00 00 C6 80 F0 02 00 00 01 8B C6 E8 ?? ?? ?? ?? 0F B6 50 28 8B 83 50 04 00 00 8B 08 FF 91 FC 00 00 00 8B 96 F0 01 00 00 8B 83 48 04 00 00 E8 ?? ?? ?? ?? 0F B6 96 04 02 00 00 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 8B 96 D0 01 00 00 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? 0F B6 86 E0 01 00 00 2C 01 72 08 74 1B FE C8 74 2C EB 3A BA 01 00 00 00 8B 83 E4 03 00 00 8B 08 FF 91 FC 00 00 00 EB 25 BA 02 00 00 00 8B 83 E4 03 00 00 8B 08 FF 91 FC 00 00 00 EB 10 33 D2 8B 83 E4 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 AC 03 00 00 89 45 D4 8B 83 EC 03 00 00 89 45 D8 8B 83 E0 03 00 00 89 45 DC 8D 55 D4 8B 83 5C 04 00 00 8B 40 40 0F B6 80 04 03 00 00 B9 02 00 00 00 E8 ?? ?? ?? ?? 8B 83 5C 04 00 00 8B 40 40 8B 80 40 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 93 B0 03 00 00 89 55 E4 8B 93 E4 03 00 00 89 55 E8 8D 55 E4 B9 01 00 00 00 E8 ?? ?? ?? ?? 8B 83 E4 03 00 00 8B 10 FF 52 68 84 C0 74 2F 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 8B 93 B0 03 00 00 89 55 E4 8B 93 E4 03 00 00 89 55 E8 8D 55 E4 B9 01 00 00 00 E8 ?? ?? ?? ?? 83 BB 60 04 00 00 00 75 18 8B 8B 5C 04 00 00 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 60 04 00 00 8B 83 60 04 00 00 8B 80 B0 03 00 00 E8 ?? ?? ?? ?? 8B 83 60 04 00 00 8B 80 B4 03 00 00 E8 ?? ?? ?? ?? 8B 83 60 04 00 00 8B 80 B8 03 00 00 E8 ?? ?? ?? ?? 8B 93 94 03 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 72 00 69 00 65 00 73 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_94473_0 {
	meta:
		name = "TPieSeriesEditor.CBDark3dClick"
		size = 41
		refs = "0023 TPieSeries.SetDark3D"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 1B 8B 83 B4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94474_0 {
	meta:
		name = "TPieSeriesEditor.CBEdgeStyleChange"
		size = 83
		refs = "001e TPieSeries.SetEdgeStyle"
	strings:
		$1 = { 53 8B D8 8B 83 E4 03 00 00 8B 10 FF 92 F8 00 00 00 85 C0 75 0F B2 02 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? 5B C3 8B 83 E4 03 00 00 8B 10 FF 92 F8 00 00 00 48 75 0F 33 D2 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? EB 0D B2 01 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94475_0 {
	meta:
		name = "TPieSeriesEditor.CBPatternsClick"
		size = 32
		refs = "001a TPieSeries.SetUsePatterns"
	strings:
		$1 = { 53 8B D8 8B 83 C0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94476_0 {
	meta:
		name = "TPieSeriesEditor.CBOtherChange"
		size = 85
		refs = "0026 TPieOtherSlice.SetStyle 004c EnableControls"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B 83 5C 04 00 00 8B B0 F8 01 00 00 8B 83 00 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 80 7E 0C 00 0F 95 C0 8B 93 08 04 00 00 89 14 24 8B 93 04 04 00 00 89 54 24 04 8B D4 B9 01 00 00 00 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_94477_0 {
	meta:
		name = "TPieSeriesEditor.EOtherValueChange"
		size = 152
		refs = "0015 TPieSeriesEditor.EOtherValueChange 0029 TControl.GetText 0043 CurrencyString 004b StrToFloat 006a TPieOtherSlice.SetValue 007f @UStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 83 04 04 00 00 E8 ?? ?? ?? ?? 83 7D EC 00 74 3B 8D 55 FC 8B 83 04 04 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 83 C4 F8 DD 1C 24 9B 8B 83 5C 04 00 00 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94478_0 {
	meta:
		name = "TPieSeriesEditor.EOtherLabelChange"
		size = 95
		refs = "000d TPieSeriesEditor.EOtherLabelChange 002b TControl.GetText 0039 TPieOtherSlice.SetText 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 5C 04 00 00 85 F6 74 1C 8D 55 FC 8B 83 08 04 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 86 F8 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_94479_0 {
	meta:
		name = "TPieSeriesEditor.SEExpBigChange"
		size = 47
		refs = "001c TCustomUpDown.GetPosition 0029 TPieSeries.SetExplodeBiggest"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 21 83 BB 5C 04 00 00 00 74 18 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94480_0 {
	meta:
		name = "TPieSeriesEditor.Edit1Change"
		size = 47
		refs = "001c TCustomUpDown.GetPosition 0029 TPieSeries.SetAngleSize"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 21 83 BB 5C 04 00 00 00 74 18 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94481_0 {
	meta:
		name = "TPieSeriesEditor.FormCreate"
		size = 31
		refs = "0008 TCustomForm.SetBorderStyle 0019 TPageControl.SetActivePage"
	strings:
		$1 = { 53 8B D8 B2 03 8B C3 E8 ?? ?? ?? ?? 8B 93 94 03 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94482_0 {
	meta:
		name = "TPieSeriesEditor.CBMarksAutoPositionClick"
		size = 32
		refs = "001a TPieSeries.SetAutoMarkPosition"
	strings:
		$1 = { 53 8B D8 8B 83 2C 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94483_0 {
	meta:
		name = "TPieSeriesEditor.Button2Click"
		size = 100
		refs = "0014 TPieOtherSlice.GetLegend 001e _Dn_TFormTeeLegend 0023 TFormTeeLegend.CreateLegend 002e TPieSeriesEditor.Button2Click 0054 TObject.Free 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B 83 5C 04 00 00 8B 80 F8 01 00 00 E8 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_94484_0 {
	meta:
		name = "TPieSeriesEditor.Edit2Change"
		size = 47
		refs = "001c TCustomUpDown.GetPosition 0029 TPieSeries.SetDarkPen"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 21 83 BB 5C 04 00 00 00 74 18 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94485_0 {
	meta:
		name = "TPieSeriesEditor.Edit3Change"
		size = 47
		refs = "001c TCustomUpDown.GetPosition 0029 TPieSeries.SetTransparency"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 21 83 BB 5C 04 00 00 00 74 18 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94486_0 {
	meta:
		name = "TPieSeriesEditor.Edit4Change"
		size = 129
		refs = "001f TCustomUpDown.GetPosition 002c TPieSeries.SetBevelPercent 0041 _Dn_TGDIPlusCanvas 0046 @IsClass 0079 EnableControls"
	strings:
		$1 = { 53 83 C4 F8 8B D8 80 BB F2 01 00 00 00 74 6E 83 BB 5C 04 00 00 00 74 65 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? 8B 83 5C 04 00 00 8B 40 40 8B 80 40 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2F 8B 83 EC 03 00 00 E8 ?? ?? ?? ?? 85 C0 0F 9F C0 8B 93 B0 03 00 00 89 14 24 8B 93 E4 03 00 00 89 54 24 04 8B D4 B9 01 00 00 00 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_94487_0 {
	meta:
		name = "TPieSeriesEditor.CBMultipleChange"
		size = 51
		refs = "001e TPieSeries.SetMultiPie"
	strings:
		$1 = { 53 8B D8 8B 83 D8 03 00 00 8B 10 FF 92 F8 00 00 00 85 C0 75 0F 33 D2 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? 5B C3 B2 01 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94488_0 {
	meta:
		name = "TPieSeriesEditor.CBColorEachClick"
		size = 86
	strings:
		$1 = { 53 8B D8 8B 83 18 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 5C 04 00 00 8B 08 FF 91 D4 00 00 00 8B 83 5C 04 00 00 0F B6 50 60 80 F2 01 8B 83 1C 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 5C 04 00 00 0F B6 50 60 8B 83 20 04 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_94489_0 {
	meta:
		name = "TPieSeriesEditor.FormDestroy"
		size = 19
		refs = "000e TObject.Free"
	strings:
		$1 = { 05 60 04 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94490_0 {
	meta:
		name = "TPieSeriesEditor.CBVertCenterClick"
		size = 38
		refs = "0020 TPieMarks.SetVertCenter"
	strings:
		$1 = { 53 8B D8 8B 83 30 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 5C 04 00 00 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94491_0 {
	meta:
		name = "TPieSeriesEditor.SBLegSizeChange"
		size = 118
		refs = "000c TPieSeriesEditor.SBLegSizeChange 002f TPieMarks.SetLegSize 0043 TeeStr 0051 TControl.SetText 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 34 04 00 00 8B 90 7C 02 00 00 8B 83 5C 04 00 00 8B 80 FC 01 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 34 04 00 00 8B 80 7C 02 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 58 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_94492_0 {
	meta:
		name = "TPieSeriesEditor.CBPaletteChange"
		size = 36
		refs = "001e TCustomChart.SetColorPaletteIndex"
	strings:
		$1 = { 53 8B D8 8B 83 20 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 4A 8B 83 5C 04 00 00 8B 40 40 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94493_0 {
	meta:
		name = "TPieSeriesEditor.TBBrightChange"
		size = 112
		refs = "000c TPieSeriesEditor.TBBrightChange 0029 TPieSeries.SetGradientBright 003d IntToStr 004b TControl.SetText 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 48 04 00 00 8B 90 98 02 00 00 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 5C 04 00 00 8B 80 F0 01 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 4C 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_94494_0 {
	meta:
		name = "TPieSeriesEditor.CBGradVisibleClick"
		size = 37
		refs = "0019 TCircledSeries.GetCircleGradient 001f TCustomTeeGradient.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 50 04 00 00 8B 10 FF 92 F8 00 00 00 50 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94495_0 {
	meta:
		name = "TPieSeriesEditor.PageControl1Change"
		size = 78
		refs = "0027 TWinControl.GetControlCount 0036 TPieSeries.GetFrame 0043 _Dn_TFramedBorderEditor 0048 TFramedBorderEditor.InsertDialog"
	strings:
		$1 = { 53 8B D8 83 BB 5C 04 00 00 00 74 40 8B 83 90 03 00 00 8B 80 DC 02 00 00 3B 83 38 04 00 00 75 2C 8B 83 38 04 00 00 E8 ?? ?? ?? ?? 85 C0 75 1D 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? 8B C8 8B 93 38 04 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94498_0 {
	meta:
		name = "EditSeriesPointer"
		size = 204
		refs = "000f _DV_TSeriesPointerEditor 0014 TeeCreateForm 001f EditSeriesPointer 002d PositionToCenter 003a TControl.SetText 004e TControl.Hide 006c TControl.SetVisible 0074 TeeTranslateControl 0098 TObject.Free 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 89 70 0C 8B 45 F8 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 E4 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 90 03 00 00 B2 01 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 6F 00 69 00 6E 00 74 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_94499_0 {
	meta:
		name = "TeeInsertPointerForm"
		size = 23
		refs = "0006 _Dn_TFormTeeSeries 000c _DV_TSeriesPointerEditor 0012 TFormTeeSeries.InsertSeriesForm"
	strings:
		$1 = { 6A 01 51 52 8B 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94500_0 {
	meta:
		name = "TSeriesPointerEditor.Enable3DPoint"
		size = 148
	strings:
		$1 = { 53 56 57 55 8B F0 8B BE 18 04 00 00 8B 6F 08 85 ED 74 33 80 BD 04 03 00 00 00 74 2A 0F B6 5F 34 84 DB 74 26 80 FB 02 74 21 80 FB 03 74 1C 8B 47 08 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 74 06 80 7F 34 01 74 04 33 D2 EB 02 B2 01 8B 86 D8 03 00 00 8B 08 FF 91 80 00 00 00 8B 86 D8 03 00 00 8B 10 FF 52 68 84 C0 74 12 8B 86 D8 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 75 04 33 D2 EB 02 B2 01 8B 86 E0 03 00 00 8B 08 FF 91 80 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94501_0 {
	meta:
		name = "TSeriesPointerEditor.SetPointerStyle"
		size = 46
	strings:
		$1 = { 53 56 8B D8 8B 83 18 04 00 00 0F B6 50 34 8B B3 DC 03 00 00 8B 86 B4 02 00 00 8B 08 FF 51 5C 8B D0 8B C6 8B 08 FF 91 FC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_94502_0 {
	meta:
		name = "TSeriesPointerEditor.FormShow"
		size = 528
		refs = "0019 _Dn_TSeriesPointer 001e @IsClass 0045 TControl.SetVisible 006b TSeriesPointerEditor.CustomSeries 00da TSeriesPointerEditor.SetPointerVisible 0105 TSeriesPointerEditor.Enable3DPoint 0113 TCustomUpDown.SetPosition 0136 TSeriesPointerEditor.SetPointerStyle 0161 TSeriesPointerEditor.CheckDefColor 016f TButtonPen.LinkPen 017e TTrackBar.SetPosition 01d3 ShowControls 01d8 TeeOnChangeVisual 01e9 @CallDynaInst 01fe TTabSheet.SetTabVisible 0205 TeeTranslateControl"
	strings:
		$1 = { 53 56 57 83 C4 E8 8B D8 83 7B 0C 00 0F 84 F0 01 00 00 8B 73 0C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 42 89 B3 18 04 00 00 33 D2 8B 83 E4 03 00 00 8B 08 FF 91 80 00 00 00 33 D2 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 E8 03 00 00 8B 08 FF 91 80 00 00 00 33 D2 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? EB 65 8B C3 E8 ?? ?? ?? ?? 8B 80 9C 01 00 00 89 83 18 04 00 00 B2 01 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 50 60 8B 83 E4 03 00 00 8B 08 FF 91 FC 00 00 00 B2 01 8B 83 E8 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 B8 70 01 00 00 02 0F 94 C2 8B 83 E8 03 00 00 8B 08 FF 91 FC 00 00 00 8B BB 18 04 00 00 0F B6 57 10 8B C3 E8 ?? ?? ?? ?? 0F B6 57 10 8B 83 D4 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 57 1C 8B 83 D8 03 00 00 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 57 24 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 57 38 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 8B 57 18 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F B6 57 28 8B 83 CC 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 57 14 8B 83 E0 03 00 00 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 57 0C 8B 83 08 04 00 00 E8 ?? ?? ?? ?? 0F B6 57 35 8B 83 F8 03 00 00 E8 ?? ?? ?? ?? 8B 83 18 04 00 00 80 78 3C 00 75 49 8B 83 A8 03 00 00 89 04 24 8B 83 AC 03 00 00 89 44 24 04 8B 83 B0 03 00 00 89 44 24 08 8B 83 B4 03 00 00 89 44 24 0C 8B 83 B8 03 00 00 89 44 24 10 8B 83 BC 03 00 00 89 44 24 14 8B D4 B9 05 00 00 00 33 C0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 74 10 8B 47 08 66 BE A7 FF E8 ?? ?? ?? ?? 85 C0 75 04 33 D2 EB 02 B2 01 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94503_0 {
	meta:
		name = "TSeriesPointerEditor.CheckDefColor"
		size = 63
		refs = "000d TSeriesPointer.GetColor"
	strings:
		$1 = { 53 56 8B D8 8B B3 18 04 00 00 8B C6 E8 ?? ?? ?? ?? 3D 00 00 00 20 75 12 8B 46 0C 8B 40 10 81 78 18 00 00 00 20 0F 94 C0 EB 02 33 C0 8B D0 8B 83 04 04 00 00 8B 08 FF 91 FC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_94504_0 {
	meta:
		name = "TSeriesPointerEditor.SetPointerVisible"
		size = 176
		refs = "0012 TTeeCustomShapeBrushPen.SetVisible 001d TSeriesPointerEditor.Enable3DPoint 00a6 EnableControls"
	strings:
		$1 = { 53 56 83 C4 DC 8B DA 8B F0 8B D3 8B 86 18 04 00 00 E8 ?? ?? ?? ?? 84 DB 74 09 8B C6 E8 ?? ?? ?? ?? EB 20 33 D2 8B 86 D8 03 00 00 8B 08 FF 91 80 00 00 00 33 D2 8B 86 E0 03 00 00 8B 08 FF 91 80 00 00 00 8B 86 CC 03 00 00 89 04 24 8B 86 B0 03 00 00 89 44 24 04 8B 86 B4 03 00 00 89 44 24 08 8B 86 B8 03 00 00 89 44 24 0C 8B 86 BC 03 00 00 89 44 24 10 8B 86 00 04 00 00 89 44 24 14 8B 86 DC 03 00 00 89 44 24 18 8B 86 08 04 00 00 89 44 24 1C 8B 86 04 04 00 00 89 44 24 20 8B D4 B9 08 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 24 5E 5B C3 }
	condition:
		$1
}

rule function_94505_0 {
	meta:
		name = "TSeriesPointerEditor.CBDrawPointClick"
		size = 28
		refs = "0016 TSeriesPointerEditor.SetPointerVisible"
	strings:
		$1 = { 53 8B D8 8B 83 D4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94506_0 {
	meta:
		name = "TSeriesPointerEditor.CB3dPointClick"
		size = 62
		refs = "001a TSeriesPointer.SetDraw3D"
	strings:
		$1 = { 53 8B D8 8B 83 D8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 8B 83 D8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 E0 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_94507_0 {
	meta:
		name = "TSeriesPointerEditor.SEPointHorizSizeChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TSeriesPointer.SetHorizSize"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 18 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94508_0 {
	meta:
		name = "TSeriesPointerEditor.BPointFillColorClick"
		size = 42
		refs = "000f EditChartBrush 0016 TSeriesPointerEditor.CheckDefColor"
	strings:
		$1 = { 56 8B F0 8B 86 18 04 00 00 8B 50 04 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 86 DC 03 00 00 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_94509_0 {
	meta:
		name = "TSeriesPointerEditor.CBStyleChange"
		size = 56
		refs = "002a TSeriesPointer.SetStyle 0031 TSeriesPointerEditor.Enable3DPoint"
	strings:
		$1 = { 53 56 8B D8 8B B3 DC 03 00 00 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B 86 B4 02 00 00 8B 08 FF 51 18 8B D0 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94510_0 {
	meta:
		name = "TSeriesPointerEditor.SEPointVertSizeChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TSeriesPointer.SetVertSize"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 18 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94511_0 {
	meta:
		name = "TSeriesPointerEditor.CBInflateClick"
		size = 32
		refs = "001a TSeriesPointer.SetInflate"
	strings:
		$1 = { 53 8B D8 8B 83 CC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94512_0 {
	meta:
		name = "TSeriesPointerEditor.CBPoDarkClick"
		size = 32
		refs = "001a TSeriesPointer.SetDark3D"
	strings:
		$1 = { 53 8B D8 8B 83 E0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94513_0 {
	meta:
		name = "TSeriesPointerEditor.CBDefBrushColorClick"
		size = 116
		refs = "0021 TSeriesPointer.SetColor 0034 TPen.SetColor"
	strings:
		$1 = { 56 8B F0 8B 86 04 04 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 25 BA 00 00 00 20 8B 86 18 04 00 00 E8 ?? ?? ?? ?? 8B 86 18 04 00 00 8B 40 0C BA 00 00 00 20 E8 ?? ?? ?? ?? EB 1C 8B 86 18 04 00 00 8B 40 0C 8B 50 10 81 7A 18 00 00 00 20 75 07 33 D2 E8 ?? ?? ?? ?? 8B 86 08 04 00 00 8B 10 FF 92 9C 00 00 00 8B 86 DC 03 00 00 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_94514_0 {
	meta:
		name = "TSeriesPointerEditor.CBStyleDrawItem"
		size = 474
		refs = "0022 TSeriesPointerEditor.CBStyleDrawItem 005b _Dn_TTeeCanvas3D 0060 TTeeCanvas3D.Create 0088 TTeeCanvas.SetCanvas 00a7 TChartSeries.GetSeriesColor 00b5 TSeriesPointer.PrepareCanvas 00f6 TPen.SetStyle 0103 TPen.SetWidth 010d TPen.SetColor 0130 TSeriesPointer.DrawPointer 0145 TObject.Free 014b @HandleFinally 0166 TBrush.SetStyle 0171 TBrush.SetColor 0185 TControlCanvas.UpdateTextFlags 01c5 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 8B 75 0C 8D 7D DC A5 A5 A5 A5 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 DC 03 00 00 8B 80 78 02 00 00 8B 50 48 8B 52 10 8B 52 18 89 55 F4 8D 55 DC 8B 08 FF 51 54 8B 45 FC 8B B8 18 04 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 DC 03 00 00 8B 90 78 02 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 47 04 8B 40 10 8B 70 18 81 FE 00 00 00 20 75 10 83 7F 2C 00 74 0A 8B 47 2C E8 ?? ?? ?? ?? 8B F0 8B CE 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 DC 03 00 00 8B 80 B4 02 00 00 8B 55 F8 8B 08 FF 51 18 8B D8 8B C3 04 FC 2C 03 72 04 FE C8 75 33 8B 47 0C 80 78 28 00 75 2A 8B 45 F0 8B 40 10 89 45 EC 33 D2 8B 45 EC E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B D6 8B 45 EC E8 ?? ?? ?? ?? 8B 45 DC 83 C0 06 50 8B 45 E0 83 C0 06 83 C0 02 50 6A 04 6A 04 56 53 33 C9 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B B8 DC 03 00 00 8B B7 78 02 00 00 8B 46 48 B2 01 E8 ?? ?? ?? ?? 8B 46 48 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 DC 03 00 00 8B 80 78 02 00 00 E8 ?? ?? ?? ?? 8D 4D D8 8B 87 B4 02 00 00 8B 55 F8 8B 18 FF 53 0C 8B 45 D8 50 8B 4D E0 83 C1 02 8B 55 DC 83 C2 0E 8B C6 8B 18 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_94515_0 {
	meta:
		name = "TSeriesPointerEditor.CustomSeries"
		size = 46
		refs = "000b _Dn_TSeriesPointer 0010 @IsClass 001d _Dn_TCustomSeries 0022 @AsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 0C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 46 2C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_94516_0 {
	meta:
		name = "TSeriesPointerEditor.CBColorEachClick"
		size = 36
		refs = "0015 TSeriesPointerEditor.CustomSeries"
	strings:
		$1 = { 53 8B D8 8B 83 E4 03 00 00 8B 10 FF 92 F8 00 00 00 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 91 D4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_94517_0 {
	meta:
		name = "TSeriesPointerEditor.BPoinPenColClick"
		size = 26
		refs = "0006 TSeriesPointerEditor.CheckDefColor"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 DC 03 00 00 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_94518_0 {
	meta:
		name = "TSeriesPointerEditor.FormCreate"
		size = 101
		refs = "000c TControl.SetAlign 001d TPageControl.SetActivePage 005b TCustomComboBox.SetSorted"
	strings:
		$1 = { 53 56 57 55 51 8B F8 B2 05 8B C7 E8 ?? ?? ?? ?? 8B 97 A0 03 00 00 8B 87 9C 03 00 00 E8 ?? ?? ?? ?? 8B 87 DC 03 00 00 8B 80 B4 02 00 00 89 04 24 8B 04 24 8B 10 FF 52 14 8B F0 4E 85 F6 7C 13 46 33 DB 8B CB 8B D3 8B 04 24 8B 28 FF 55 24 43 4E 75 F0 8B 87 DC 03 00 00 B2 01 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94519_0 {
	meta:
		name = "TSeriesPointerEditor.BEmbossClick"
		size = 15
		refs = "000a EditTeeEmboss"
	strings:
		$1 = { 8B 90 18 04 00 00 8B 52 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94520_0 {
	meta:
		name = "TSeriesPointerEditor.BGradientClick"
		size = 40
		refs = "000c TSeriesPointer.GetGradient 0022 EditTeeGradient"
	strings:
		$1 = { 53 8B D8 6A 00 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 18 04 00 00 0F B6 48 3D 80 F1 01 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94521_0 {
	meta:
		name = "TSeriesPointerEditor.HideSizeOptions"
		size = 83
		refs = "000c TControl.SetVisible"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94523_0 {
	meta:
		name = "TSeriesPointerEditor.CBIgnoreNullsClick"
		size = 53
		refs = "0018 TSeriesPointerEditor.CustomSeries 001f TCustomLineSeries.SetTreatNulls"
	strings:
		$1 = { 53 8B D8 8B 83 E8 03 00 00 8B 10 FF 92 F8 00 00 00 84 C0 74 10 8B C3 E8 ?? ?? ?? ?? B2 02 E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94524_0 {
	meta:
		name = "TSeriesPointerEditor.Button2Click"
		size = 15
		refs = "000a EditTeeShadow"
	strings:
		$1 = { 8B 90 18 04 00 00 8B 52 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94525_0 {
	meta:
		name = "TSeriesPointerEditor.TBTranspChange"
		size = 25
		refs = "0014 TSeriesPointer.SetTransparency"
	strings:
		$1 = { 8B 90 F8 03 00 00 0F B6 92 98 02 00 00 8B 80 18 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94526_0 {
	meta:
		name = "TSeriesPointerEditor.SEPointDepthChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TSeriesPointer.SetDepth"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 18 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 18 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94527_0 {
	meta:
		name = "TSeriesPointerEditor.PageControl1Change"
		size = 115
		refs = "0026 _Dn_TVisualsEditor 002b TCustomForm.Create 003c TControl.SetAlign 0052 TSeriesPointerEditor.ChangedVisual 006c AddFormTo"
	strings:
		$1 = { 53 56 8B D8 8B 83 9C 03 00 00 8B 80 DC 02 00 00 3B 83 10 04 00 00 75 58 83 BB 14 04 00 00 00 75 4F 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 14 04 00 00 B2 05 8B C6 E8 ?? ?? ?? ?? 8B 83 14 04 00 00 89 98 AC 03 00 00 C7 80 A8 03 00 00 ?? ?? ?? ?? 8B 93 18 04 00 00 8B 52 2C 8B 8A 9C 00 00 00 8B 93 10 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94528_0 {
	meta:
		name = "TSeriesPointerEditor.ChangedVisual"
		size = 49
		refs = "001b TSeriesPointer.SetStyle 002b TSeriesPointerEditor.SetPointerStyle"
	strings:
		$1 = { 53 8B D8 8B 83 18 04 00 00 8B 50 2C 8B 92 9C 00 00 00 83 7A 14 00 74 09 B2 0D E8 ?? ?? ?? ?? EB 07 B2 01 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94531_0 {
	meta:
		name = "TeePreview"
		size = 112
		refs = "000e _DV_TChartPreview 0013 TCustomForm.Create 001e TeePreview 0035 TTeePreviewPanel.SetPanel 0055 TObject.Free 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 80 D4 03 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 A0 00 00 00 C3 E9 ?? ?? ?? ?? EB E5 59 59 5D C3 }
	condition:
		$1
}

rule function_94532_0 {
	meta:
		name = "TChartPreview.ResetMargins"
		size = 138
		refs = "0011 TTeePreviewPanel.GetPanel 002a Printer 002f TPrinter.GetPrinters 0046 TCustomTeePanel.CalcProportionalMargins 0075 TChartPreview.TeePreviewPanel1ChangeMargins"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8B 9E D4 03 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 74 6A 8B C3 E8 ?? ?? ?? ?? 80 B8 F9 02 00 00 00 74 38 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 7E 25 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 56 8D 74 24 04 8D B8 54 03 00 00 A5 A5 A5 A5 5E 8B C3 E8 ?? ?? ?? ?? 05 54 03 00 00 50 33 C9 8B D6 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94533_0 {
	meta:
		name = "TChartPreview.FormShow"
		size = 559
		refs = "003c TControl.SetAlign 004c TControl.SetHelpContext 0062 TChartPreview.Navigator1ButtonClicked 0067 Screen 0070 TScreen.SetCursor 0084 TTeePreviewPanel.SetPanel 0089 Printer 008e TPrinter.GetPrinters 00bb TPrinter.GetPrinterIndex 00d1 TeeChangePaperOrientation 00e0 TPrinter.SetOrientation 00e7 TChartPreview.CheckOrientation 0114 EnableControls 0121 TTeePreviewPanel.GetPanel 015c TTrackBar.SetPosition 017c TChartPreview.ResetMargins 020c PrintTeePanel 0224 TeeTranslateControl"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B D8 8B B3 24 04 00 00 85 F6 74 54 8B CB B2 01 8B C6 FF 50 38 8B F8 89 BB 20 04 00 00 8B 93 9C 03 00 00 8B C7 8B 08 FF 91 84 00 00 00 B2 02 8B 83 20 04 00 00 E8 ?? ?? ?? ?? BA D0 05 00 00 8B 83 20 04 00 00 E8 ?? ?? ?? ?? 8B 83 20 04 00 00 89 98 B4 02 00 00 C7 80 B0 02 00 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 83 7B 0C 00 74 0E 8B 53 0C 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 94 03 00 00 8B 08 FF 91 40 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 7E 38 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 94 03 00 00 8B 08 FF 91 FC 00 00 00 80 3D ?? ?? ?? ?? 00 74 0C E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 2B 8B 83 04 04 00 00 89 04 24 8B 83 00 04 00 00 89 44 24 04 8B 83 A0 03 00 00 89 44 24 08 8B D4 B9 02 00 00 00 33 C0 E8 ?? ?? ?? ?? 8B B3 D4 03 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 74 76 8B C6 E8 ?? ?? ?? ?? 0F B6 90 F9 02 00 00 8B 83 EC 03 00 00 8B 08 FF 91 FC 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 90 FC 02 00 00 83 C2 64 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 56 8D B0 54 03 00 00 8D BB 10 04 00 00 A5 A5 A5 A5 5E 8B C3 E8 ?? ?? ?? ?? 8B BB 20 04 00 00 85 FF 74 55 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C7 8B 08 FF 91 04 01 00 00 EB 40 33 D2 8B 83 EC 03 00 00 8B 08 FF 91 80 00 00 00 33 D2 8B 83 D8 03 00 00 8B 08 FF 91 80 00 00 00 33 D2 8B 83 A4 03 00 00 8B 08 FF 91 80 00 00 00 33 D2 8B 83 04 04 00 00 8B 08 FF 91 80 00 00 00 33 D2 8B 83 E0 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 D4 03 00 00 0F B6 90 A2 03 00 00 8B 83 F0 03 00 00 8B 08 FF 91 FC 00 00 00 8B 15 ?? ?? ?? ?? 0F B6 12 8B 83 08 04 00 00 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 C4 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94534_0 {
	meta:
		name = "TChartPreview.BSetupPrinterClick"
		size = 89
		refs = "000f Printer 0014 TPrinter.GetPrinters 002e TPrinter.GetPrinterIndex 0045 TChartPreview.CheckOrientation"
	strings:
		$1 = { 53 8B D8 8B 83 28 04 00 00 8B 10 FF 52 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 94 03 00 00 8B 08 FF 91 40 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 83 94 03 00 00 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 D4 03 00 00 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_94535_0 {
	meta:
		name = "TChartPreview.CBPrintersChange"
		size = 47
		refs = "0013 Printer 0019 TPrinter.SetPrinterIndex 0020 TChartPreview.CheckOrientation 0029 TChartPreview.OrientationClick"
	strings:
		$1 = { 53 8B D8 8B 83 94 03 00 00 8B 10 FF 92 F8 00 00 00 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94536_0 {
	meta:
		name = "TChartPreview.OrientationClick"
		size = 49
		refs = "0004 Printer 0016 TPrinter.SetOrientation 001d TChartPreview.ResetMargins"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B 93 A0 03 00 00 0F B6 92 88 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 D4 03 00 00 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_94537_0 {
	meta:
		name = "TChartPreview.ChangeMargin"
		size = 166
		refs = "001f TCustomUpDown.GetPosition 0050 TTeePreviewPanel.GetPanel 007b EqualRect 0099 TCustomUpDown.SetPosition"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 8B F2 8B D8 80 BB F2 01 00 00 00 0F 84 81 00 00 00 8B C6 E8 ?? ?? ?? ?? 03 45 08 83 F8 64 7D 69 8B C6 E8 ?? ?? ?? ?? 89 07 80 BB 0C 04 00 00 00 75 34 8B B3 D4 03 00 00 8B C6 8B 10 FF 92 9C 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D B0 54 03 00 00 8D 7D F0 A5 A5 A5 A5 33 D2 8B 83 EC 03 00 00 8B 08 FF 91 FC 00 00 00 8D 93 10 04 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8B 83 E0 03 00 00 8B 08 FF 91 80 00 00 00 EB 09 8B 17 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_94538_0 {
	meta:
		name = "TChartPreview.SETopMaChange"
		size = 92
		refs = "0018 TTeePreviewPanel.GetPanel 003a TChartPreview.ChangeMargin"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 80 BB F2 01 00 00 00 74 44 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8D B0 54 03 00 00 8B FC A5 A5 A5 A5 8B 44 24 0C 50 8D 4C 24 08 8B 93 C8 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8D B8 54 03 00 00 8B F4 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94539_0 {
	meta:
		name = "TChartPreview.SERightMaChange"
		size = 91
		refs = "0018 TTeePreviewPanel.GetPanel 0039 TChartPreview.ChangeMargin"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 80 BB F2 01 00 00 00 74 43 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8D B0 54 03 00 00 8B FC A5 A5 A5 A5 8B 04 24 50 8D 4C 24 0C 8B 93 CC 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8D B8 54 03 00 00 8B F4 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94540_0 {
	meta:
		name = "TChartPreview.SEBotMaChange"
		size = 92
		refs = "0018 TTeePreviewPanel.GetPanel 003a TChartPreview.ChangeMargin"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 80 BB F2 01 00 00 00 74 44 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8D B0 54 03 00 00 8B FC A5 A5 A5 A5 8B 44 24 04 50 8D 4C 24 10 8B 93 D0 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8D B8 54 03 00 00 8B F4 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94541_0 {
	meta:
		name = "TChartPreview.SELeftMaChange"
		size = 92
		refs = "0018 TTeePreviewPanel.GetPanel 003a TChartPreview.ChangeMargin"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 80 BB F2 01 00 00 00 74 44 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8D B0 54 03 00 00 8B FC A5 A5 A5 A5 8B 44 24 08 50 8D 4C 24 04 8B 93 C4 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 8D B8 54 03 00 00 8B F4 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94542_0 {
	meta:
		name = "TChartPreview.ShowMarginsClick"
		size = 38
		refs = "0020 TChartPen.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 E4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 03 00 00 8B 80 AC 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94543_0 {
	meta:
		name = "TChartPreview.FormCreate"
		size = 39
		refs = "0016 _Dn_TPrinterSetupDialog 001b TCommonDialog.Create"
	strings:
		$1 = { 53 8B D8 C6 83 0C 04 00 00 01 C6 83 0D 04 00 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 28 04 00 00 5B C3 }
	condition:
		$1
}

rule function_94544_0 {
	meta:
		name = "TChartPreview.BResetClick"
		size = 90
		refs = "000e TTeePreviewPanel.GetPanel 0038 TChartPreview.TeePreviewPanel1ChangeMargins"
	strings:
		$1 = { 53 56 57 8B D8 8B B3 D4 03 00 00 8B C6 E8 ?? ?? ?? ?? 56 8D B8 54 03 00 00 8D B3 10 04 00 00 A5 A5 A5 A5 5E 8B C6 E8 ?? ?? ?? ?? 05 54 03 00 00 50 33 C9 8B D3 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 9C 00 00 00 33 D2 8B 83 E0 03 00 00 8B 08 FF 91 80 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94545_0 {
	meta:
		name = "TChartPreview.CheckOrientation"
		size = 29
		refs = "0004 Printer 0009 TPrinter.GetOrientation 0017 TCustomRadioGroup.SetItemIndex"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 D0 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94546_0 {
	meta:
		name = "TChartPreview.BPrintClick"
		size = 126
		refs = "0008 Screen 0013 TScreen.SetCursor 001b TChartPreview.BPrintClick 0053 TTeePreviewPanel.Print 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B3 20 04 00 00 85 F6 74 1D 8B C6 8B 10 FF 92 0C 01 00 00 48 7E 10 8B 83 20 04 00 00 8B 10 FF 92 10 01 00 00 EB 0B 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 5D C3 }
	condition:
		$1
}

rule function_94548_0 {
	meta:
		name = "TChartPreview.CBPropClick"
		size = 87
		refs = "0022 TTeePreviewPanel.GetPanel 0030 TChartPreview.ResetMargins"
	strings:
		$1 = { 53 8B D8 80 BB 0D 04 00 00 00 75 49 8B 83 EC 03 00 00 8B 10 FF 92 F8 00 00 00 50 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 5A 88 90 F9 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 EC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 80 F2 01 8B 83 E0 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_94549_0 {
	meta:
		name = "TChartPreview.TeePreviewPanel1ChangeMargins"
		size = 207
		refs = "001c TChartPreview.TeePreviewPanel1ChangeMargins 0032 TCustomUpDown.SetPosition 0077 TTeePreviewPanel.GetPanel 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 89 45 FC 8B 75 08 8B 45 FC C6 80 0C 04 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 16 8B 45 FC 8B 80 C4 03 00 00 E8 ?? ?? ?? ?? 8B 56 08 8B 45 FC 8B 80 CC 03 00 00 E8 ?? ?? ?? ?? 8B 56 04 8B 45 FC 8B 80 C8 03 00 00 E8 ?? ?? ?? ?? 8B 56 0C 8B 45 FC 8B 80 D0 03 00 00 E8 ?? ?? ?? ?? 84 DB 74 3C 8B 45 FC 8B 80 D4 03 00 00 E8 ?? ?? ?? ?? C6 80 F9 02 00 00 00 8B 45 FC C6 80 0D 04 00 00 01 8B 45 FC 8B 80 EC 03 00 00 33 D2 8B 08 FF 91 FC 00 00 00 8B 45 FC C6 80 0D 04 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 0C 04 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_94550_0 {
	meta:
		name = "TChartPreview.Navigator1ButtonClicked"
		size = 15
	strings:
		$1 = { 8B 80 D4 03 00 00 8B 10 FF 92 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_94551_0 {
	meta:
		name = "TChartPreview.TrackBar1Change"
		size = 51
		refs = "000d TTeePreviewPanel.GetPanel"
	strings:
		$1 = { 53 56 8B D8 8B B3 D4 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B 93 D8 03 00 00 8B 92 98 02 00 00 83 EA 64 89 90 FC 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_94552_0 {
	meta:
		name = "TChartPreview.PreviewPanel"
		size = 7
	strings:
		$1 = { 8B 80 D4 03 00 00 C3 }
	condition:
		$1
}

rule function_94553_0 {
	meta:
		name = "TChartPreview.FormDestroy"
		size = 27
		refs = "000a TObject.Free"
	strings:
		$1 = { 53 8B D8 8B 83 28 04 00 00 E8 ?? ?? ?? ?? 8B 83 20 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94554_0 {
	meta:
		name = "TChartPreview.CBBitmapClick"
		size = 32
		refs = "001a TTeePreviewPanel.SetAsBitmap"
	strings:
		$1 = { 53 8B D8 8B 83 F0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D4 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94555_0 {
	meta:
		name = "TChartPreview.HideCloseButton"
		size = 12
		refs = "0007 TControl.Hide"
	strings:
		$1 = { 8B 80 F4 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94556_0 {
	meta:
		name = "TChartPreview.Panel1Resize"
		size = 28
		refs = "0017 TControl.SetWidth"
	strings:
		$1 = { 8B 88 FC 03 00 00 8B 49 48 8B 90 94 03 00 00 2B 4A 48 8B C2 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94557_0 {
	meta:
		name = "TChartPreview.CBPrintPanelClick"
		size = 41
		refs = "0013 PrintTeePanel"
	strings:
		$1 = { 53 8B D8 8B 83 08 04 00 00 8B 10 FF 92 F8 00 00 00 8B 15 ?? ?? ?? ?? 88 02 8B 83 D4 03 00 00 8B 10 FF 92 9C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_94560_0 {
	meta:
		name = "TTeePreviewPanel.Create"
		size = 288
		refs = "000e @ClassCreate 001c TCustomTeePanelExtended.Create 0023 _DV_TTeePanelsList 0028 TObject.Create 004d _DV_TPreviewChartPen 0052 TChartPen.Create 0063 TChartPen.SetSmallDots 0070 TPen.SetStyle 00b6 @UStrClr 00c7 _Dn_TTeeShadow 00cc TTeeShadow.Create 00e6 TTeeShadow.InitValues 00f2 TControl.SetWidth 00fe TControl.SetHeight 010b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 A4 03 00 00 C6 83 A8 03 00 00 00 C6 83 B0 03 00 00 00 53 8B 03 8B 80 08 01 00 00 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 AC 03 00 00 8B C6 B2 01 E8 ?? ?? ?? ?? 8B 83 AC 03 00 00 B2 02 E8 ?? ?? ?? ?? C6 83 D0 03 00 00 01 C6 83 F4 03 00 00 01 C6 83 D8 03 00 00 00 C6 83 A2 03 00 00 00 C6 83 D1 03 00 00 01 C7 83 C8 03 00 00 FF FF FF 00 C6 83 A0 03 00 00 01 C6 83 A1 03 00 00 01 8D 83 D4 03 00 00 E8 ?? ?? ?? ?? 53 8B 03 8B 80 08 01 00 00 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 CC 03 00 00 6A 04 0F B6 56 20 8B C6 B9 80 80 80 00 E8 ?? ?? ?? ?? BA B0 01 00 00 8B C3 E8 ?? ?? ?? ?? BA 38 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_94561_0 {
	meta:
		name = "TTeePreviewPanel.Destroy"
		size = 77
		refs = "0003 @BeforeDestruction 0012 TObject.Free 003b TCustomTeePanelExtended.Destroy 0046 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 AC 03 00 00 E8 ?? ?? ?? ?? 8B 86 CC 03 00 00 E8 ?? ?? ?? ?? 8D 86 A4 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94562_0 {
	meta:
		name = "TTeePreviewPanel.GetPrintingBitmap"
		size = 210
		refs = "001c TTeePreviewPanel.GetPrintingBitmap 0049 TTeePreviewPanel.CalcImagePrintMargins 0077 TCustomTeePanel.CalcMetaBounds 00a2 TCustomTeePanel.TeeCreateBitmap 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 89 55 FC 8B D8 8B 45 FC C6 80 F8 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 C8 8B 45 FC 8B 08 FF 91 10 01 00 00 8B 75 D0 2B 75 C8 8B 7D D4 2B 7D CC 8D 4D D8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 B8 33 C0 89 45 BC 89 75 C0 89 7D C4 8D 45 F4 50 8D 45 F0 50 8D 45 EC 50 8D 45 E8 50 8D 4D B8 8D 55 D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 89 45 A8 33 C0 89 45 AC 8B 45 F4 89 45 B0 8B 45 F0 89 45 B4 6A 06 6A 00 8D 4D A8 8B 93 C8 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 F8 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94563_0 {
	meta:
		name = "TTeePreviewPanel.SendAsBitmap"
		size = 82
		refs = "0009 TTeePreviewPanel.GetPrintingBitmap 0014 TTeePreviewPanel.SendAsBitmap 003f TObject.Free 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 08 8B 4D FC 8B C6 8B 18 FF 93 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_94564_0 {
	meta:
		name = "TTeePreviewPanel.SendAsBitmap"
		size = 250
		refs = "0010 TTeePreviewPanel.GetPrintingBitmap 001b TTeePreviewPanel.SendAsBitmap 0058 _Dn_TBitmap 005d TBitmap.Create 0081 TeeSetBitmapSize 008e SmoothStretch 00b7 TObject.Free 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B F8 8B C7 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BF D1 03 00 00 00 0F 84 91 00 00 00 8B 45 FC 8B 10 FF 52 30 8B 56 08 2B 16 3B C2 75 12 8B 45 FC 8B 10 FF 52 24 8B 56 0C 2B 56 04 3B C2 74 6E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4E 0C 2B 4E 04 8B 56 08 2B 16 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4E 04 8B 16 8B 87 40 03 00 00 8B 18 FF 53 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D6 8B 87 40 03 00 00 8B 4D FC 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94565_0 {
	meta:
		name = "TTeePreviewPanel.Print"
		size = 435
		refs = "001c Screen 0027 TScreen.SetCursor 002f TTeePreviewPanel.Print 003c TTeePreviewPanel.CheckPrinterOrientation 004c TTeePreviewPanel.GetPanel 0057 Printer 006b @UStrAsg 008a TPrinter.BeginDoc 00bf TTeePanelsList.Get 00c7 TCustomTeePanel.ChartPrintRect 00e3 TPrinter.GetCanvas 00ed TTeePreviewPanel.SendAsBitmap 011b TCustomTeePanel.PrintPartial 0141 TPrinter.EndDoc 0150 @HandleOnException 0158 _Dn_Exception 0166 TPrinter.Abort 0180 @RaiseAgain 0185 @DoneExcept 01a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B D8 8B 83 A4 03 00 00 83 78 08 00 0F 8E 91 01 00 00 A1 ?? ?? ?? ?? 8B 00 66 BA F5 FF E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 BB D4 03 00 00 00 75 28 8B C3 E8 ?? ?? ?? ?? 83 78 08 00 74 2E E8 ?? ?? ?? ?? 83 C0 18 50 8B C3 E8 ?? ?? ?? ?? 8B 50 08 58 E8 ?? ?? ?? ?? EB 13 E8 ?? ?? ?? ?? 83 C0 18 8B 93 D4 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A4 03 00 00 8B 78 08 4F 85 FF 7C 79 47 33 F6 80 BB A2 03 00 00 00 74 3D 8B 83 A4 03 00 00 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 83 A4 03 00 00 8B D6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B C3 5A E8 ?? ?? ?? ?? EB 2C 8B 83 A4 03 00 00 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 83 A4 03 00 00 8B D6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 46 4F 75 8A 66 83 BB 82 03 00 00 00 74 0E 8B D3 8B 83 84 03 00 00 FF 93 80 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3A E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 78 1C 00 74 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94566_0 {
	meta:
		name = "TTeePreviewPanel.DrawPaper"
		size = 120
		refs = "001f TTeeShadow.Draw 002f TPen.SetStyle 0039 TPen.SetColor 0046 TPen.SetWidth 0054 TBrush.SetColor"
	strings:
		$1 = { 53 56 8B D8 6A 00 6A 00 6A 00 6A 00 8D 8B 08 04 00 00 8B 93 40 03 00 00 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 8B B3 40 03 00 00 33 D2 8B 46 10 E8 ?? ?? ?? ?? 33 D2 8B 46 10 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 46 10 E8 ?? ?? ?? ?? 8B 93 C8 03 00 00 8B 46 04 E8 ?? ?? ?? ?? 8D 83 08 04 00 00 8B 50 08 52 8B 50 0C 52 8B 48 04 8B 10 8B C6 8B 18 FF 93 8C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_94567_0 {
	meta:
		name = "TTeePreviewPanel.SetAsBitmap"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 A2 03 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94568_0 {
	meta:
		name = "TTeePreviewPanel.SetPaperColor"
		size = 14
		refs = "0009 TCustomTeePanel.SetColorProperty"
	strings:
		$1 = { 8D 88 C8 03 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94571_0 {
	meta:
		name = "TTeePreviewPanel.SetMargins"
		size = 12
	strings:
		$1 = { 8B 80 AC 03 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_94572_0 {
	meta:
		name = "TTeePreviewPanel.SetPanel"
		size = 135
		refs = "0009 TTeePreviewPanel.GetPanel 0024 TList.Delete 0035 TList.IndexOf 0045 TList.Add 004e TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 3B F0 74 73 3B DE 74 6F 8B 83 A4 03 00 00 83 78 08 00 7E 07 33 D2 E8 ?? ?? ?? ?? 85 F6 74 26 8B D6 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 40 75 16 8B D6 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1D 8B C3 E8 ?? ?? ?? ?? 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 74 07 C6 83 A2 03 00 00 01 8B C3 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_94573_0 {
	meta:
		name = "TTeePreviewPanel.CalcImagePrintMargins"
		size = 260
		refs = "0032 Printer 0037 TPrinter.GetPrinters 004b TCustomTeePanel.CalcProportionalMargins"
	strings:
		$1 = { 53 56 57 83 C4 D8 8B D9 8B FA 8B F0 8D 86 08 04 00 00 8B 50 08 2B 10 89 14 24 8B 50 0C 2B 50 04 89 54 24 04 85 FF 74 49 80 BF F9 02 00 00 00 74 30 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 7E 1D 8D 54 24 18 8B C7 E8 ?? ?? ?? ?? 56 57 8D 74 24 20 81 C7 54 03 00 00 A5 A5 A5 A5 5F 5E 56 8D B7 54 03 00 00 8B FB A5 A5 A5 A5 5E EB 2C C7 44 24 08 0F 00 00 00 C7 44 24 0C 0F 00 00 00 C7 44 24 10 0F 00 00 00 C7 44 24 14 0F 00 00 00 56 8B FB 8D 74 24 0C A5 A5 A5 A5 5E 8B 03 F7 2C 24 B9 64 00 00 00 99 F7 F9 03 86 08 04 00 00 89 03 8B 43 08 F7 2C 24 B9 64 00 00 00 99 F7 F9 8B 96 10 04 00 00 2B D0 89 53 08 8B 43 04 F7 6C 24 04 B9 64 00 00 00 99 F7 F9 03 86 0C 04 00 00 89 43 04 8B 43 0C F7 6C 24 04 B9 64 00 00 00 99 F7 F9 8B 96 14 04 00 00 2B D0 89 53 0C 83 C4 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94574_0 {
	meta:
		name = "TTeePreviewPanel.CheckPrinterOrientation"
		size = 65
		refs = "0004 Printer 0009 TPrinter.GetPrinters 002d TPrinter.SetOrientation"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 7E 29 0F B6 83 B0 03 00 00 2C 01 72 1E 74 02 EB 0E E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? EB 0C E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94575_0 {
	meta:
		name = "SetScreenSize"
		size = 41
		refs = "0004 Screen 000b TScreen.GetWidth 001d TScreen.GetHeight"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 08 89 42 FC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 08 89 42 F8 5D C3 }
	condition:
		$1
}

rule function_94576_0 {
	meta:
		name = "CalcPaperRectangles"
		size = 492
		refs = "0010 TTeePreviewPanel.CheckPrinterOrientation 0015 Printer 001a TPrinter.GetPrinters 002b CalcPaperRectangles 003b TPrinter.GetPageWidth 0048 TPrinter.GetPageHeight 005a @HandleOnException 0062 _Dn_EPrinter 006c SetScreenSize 0072 @DoneExcept 00a6 TControl.GetClientWidth 00b3 TControl.GetClientHeight 00d9 @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 14 85 C0 7E 51 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 07 55 E8 ?? ?? ?? ?? 59 33 C0 89 45 D8 33 C0 89 45 DC 8B 45 FC 89 45 E0 8B 45 F8 89 45 E4 8D 75 D8 8D 7D E8 A5 A5 A5 A5 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B F0 8B C3 F7 6D F8 8B D6 0F AF 55 FC 3B C2 0F 8E 8B 00 00 00 89 75 D4 DB 45 D4 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FE 2B F8 89 75 D4 DB 45 D4 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 82 0C 04 00 00 8B 45 08 8B 40 FC 8B 80 0C 04 00 00 03 C7 8B 55 08 8B 52 FC 89 82 14 04 00 00 83 7D F8 00 7E 0D 8B C7 F7 6D FC 99 F7 7D F8 8B F8 EB 02 8B FB 8B C3 2B C7 D1 F8 79 03 83 D0 00 8B 55 08 8B 52 FC 89 82 08 04 00 00 03 F8 8B 45 08 8B 40 FC 89 B8 10 04 00 00 E9 86 00 00 00 89 5D D4 DB 45 D4 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B FB 2B F8 89 5D D4 DB 45 D4 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 52 FC 89 82 08 04 00 00 8B 45 08 8B 40 FC 8B 80 08 04 00 00 03 C7 8B 55 08 8B 52 FC 89 82 10 04 00 00 83 7D FC 00 7E 0D 8B C7 F7 6D F8 99 F7 7D FC 8B F8 EB 02 8B FE 8B C6 2B C7 D1 F8 79 03 83 D0 00 8B 55 08 8B 52 FC 89 82 0C 04 00 00 03 F8 8B 45 08 8B 40 FC 89 B8 14 04 00 00 5F 5E 5B 8B E5 5D C3 00 00 A0 40 00 00 20 41 }
	condition:
		$1
}

rule function_94577_0 {
	meta:
		name = "TTeePreviewPanel.InternalDraw"
		size = 296
		refs = "001b TCustomTeePanel.ReCalcWidthHeight 0051 TTeeCanvas.ResetState 0057 CalcPaperRectangles 0088 TTeePreviewPanel.DrawPaper 0090 TTeePreviewPanel.GetPanel 009d TTeePreviewPanel.CalcImagePrintMargins 00d1 TTeePanelsList.Get 00db TTeePreviewPanel.DrawPanelImage 00f0 TTeePreviewPanel.DrawMargins"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC 8B 45 FC 8B 08 FF 91 18 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 05 44 03 00 00 50 8B 45 FC 8D 88 A8 02 00 00 8B 45 FC 8B 80 40 03 00 00 BA 64 00 00 00 8B 18 FF 93 20 01 00 00 8B 45 FC 8B 80 40 03 00 00 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC 66 83 B8 C2 03 00 00 00 74 1B 8B 45 FC 8D 88 08 04 00 00 8B 5D FC 8B 55 FC 8B 83 C4 03 00 00 FF 93 C0 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 4D EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8D 75 EC 8D B8 F8 03 00 00 A5 A5 A5 A5 8B 45 FC 8B 80 A4 03 00 00 8B 58 08 4B 85 DB 7C 21 43 33 F6 8B 45 FC 8B 80 A4 03 00 00 8B D6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 46 4B 75 E2 8B 45 FC 8D 90 F8 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 40 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 82 03 00 00 00 74 12 8B 5D FC 8B 55 FC 8B 83 84 03 00 00 FF 93 80 03 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94578_0 {
	meta:
		name = "TTeePreviewPanel.DrawMargins"
		size = 228
		refs = "0039 TPen.SetMode 0043 TBrush.SetStyle 0051 TBrush.SetColor"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 8B 86 AC 03 00 00 80 78 28 00 0F 84 C7 00 00 00 8B BE 40 03 00 00 8B 96 AC 03 00 00 8B 52 10 8B 4A 18 8B D0 8B C7 8B 18 FF 53 54 B2 0F 8B 47 10 E8 ?? ?? ?? ?? B2 01 8B 47 04 E8 ?? ?? ?? ?? 8B 96 C8 03 00 00 8B 47 04 E8 ?? ?? ?? ?? B2 01 8B C7 8B 08 FF 51 30 8B 86 14 04 00 00 50 8B 8E 0C 04 00 00 41 8B 55 00 4A 8B C7 8B 18 FF 93 C0 00 00 00 8B 86 14 04 00 00 50 8B 8E 0C 04 00 00 41 8B 55 08 8B C7 8B 18 FF 93 C0 00 00 00 8B 45 04 48 50 8B 96 08 04 00 00 42 8B 8E 10 04 00 00 8B C7 8B 18 FF 93 BC 00 00 00 8B 45 0C 50 8B 96 08 04 00 00 42 8B 8E 10 04 00 00 8B C7 8B 18 FF 93 BC 00 00 00 B2 02 8B C7 8B 08 FF 51 30 B2 04 8B 47 10 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94579_0 {
	meta:
		name = "DrawAsMetafile"
		size = 192
		refs = "0044 TCustomTeePanel.CalcMetaBounds 006a TCustomTeePanel.TeeCreateMetafile 0075 DrawAsMetafile 00ad TObject.Free 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 8B 45 08 8D 70 F0 8D 7D DC A5 A5 A5 A5 8D 45 F8 50 8D 45 F4 50 8D 45 F0 50 8D 45 EC 50 8D 55 BC 8B 45 08 8B 40 EC 8B 08 FF 91 10 01 00 00 8D 4D BC 8D 55 DC 8B 45 08 8B 40 EC E8 ?? ?? ?? ?? 33 C0 89 45 CC 33 C0 89 45 D0 8B 45 F8 89 45 D4 8B 45 F4 89 45 D8 8D 4D CC 8B 45 08 8B 40 EC B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8D 50 F0 8B 45 08 8B 40 E8 8B 80 40 03 00 00 8B 4D FC 8B 18 FF 93 94 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94580_0 {
	meta:
		name = "TTeePreviewPanel.DrawPanelImage"
		size = 174
		refs = "0016 TTeePreviewPanel.CalcImagePrintMargins 0028 TCustomTeePanel.CanClip 0082 TTeePreviewPanel.SendAsBitmap 008a DrawAsMetafile"
	strings:
		$1 = { 55 8B EC 83 C4 E8 89 55 EC 89 45 E8 8D 4D F0 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 EC C6 80 F8 02 00 00 01 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 16 8D 55 F0 8B 45 E8 8B 80 40 03 00 00 8B 08 FF 91 AC 00 00 00 EB 1A 8B 45 E8 8D 90 08 04 00 00 8B 45 E8 8B 80 40 03 00 00 8B 08 FF 91 AC 00 00 00 8B 45 E8 80 B8 D0 03 00 00 00 74 23 8B 45 E8 80 B8 A2 03 00 00 00 74 10 8D 4D F0 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? EB 07 55 E8 ?? ?? ?? ?? 59 8B 45 E8 8B 80 40 03 00 00 8B 10 FF 92 E0 00 00 00 8B 45 EC C6 80 F8 02 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule function_94581_0 {
	meta:
		name = "TTeePreviewPanel.Notification"
		size = 60
		refs = "0010 TWinControl.Notification 001c TTeePreviewPanel.GetPanel 0034 TTeePreviewPanel.SetPanel"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1F 8B C7 E8 ?? ?? ?? ?? 85 C0 74 14 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94582_0 {
	meta:
		name = "TTeePreviewPanel.WhereIsCursor"
		size = 255
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 0C 24 8B CA 8B F0 8D 9E F8 03 00 00 8B C1 2B 03 99 33 C2 2B C2 8B F8 8B C1 2B 43 08 99 33 C2 2B C2 89 44 24 04 8B 04 24 2B 43 04 99 33 C2 2B C2 8B E8 8B 04 24 2B 43 0C 99 33 C2 2B C2 83 FF 05 7D 0C 83 FD 05 7D 07 B0 06 E9 93 00 00 00 83 FF 05 7D 0C 83 F8 05 7D 07 B0 08 E9 82 00 00 00 83 7C 24 04 05 7D 09 83 FD 05 7D 04 B0 07 EB 72 83 7C 24 04 05 7D 09 83 F8 05 7D 04 B0 09 EB 62 83 FF 05 7D 04 B0 01 EB 59 83 7C 24 04 05 7D 04 B0 03 EB 4E 83 FD 05 7D 04 B0 02 EB 45 83 F8 05 7D 04 B0 04 EB 3C 8D 86 F8 03 00 00 3B 08 7C 15 8B 50 04 3B 14 24 7F 0D 3B 48 08 7F 08 8B 40 0C 3B 04 24 7D 04 33 C0 EB 02 B0 01 84 C0 74 11 80 BE A1 03 00 00 00 74 04 B0 05 EB 15 33 C0 EB 02 33 C0 84 C0 74 0B 80 BE A0 03 00 00 00 75 02 33 C0 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94583_0 {
	meta:
		name = "TTeePreviewPanel.MouseMove"
		size = 1141
		refs = "001e TCustomTeePanel.MouseMove 0060 TTeePreviewPanel.WhereIsCursor 006b TeePreviewCursors 0072 TControl.SetCursor 008d TTeePreviewPanel.DrawMargins 00a4 TTeePreviewPanel.MouseMove 037e TTeePreviewPanel.GetPanel"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F1 66 89 55 FE 8B D8 8B 45 08 50 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 8D 83 08 04 00 00 3B 30 7C 15 8B 55 08 3B 50 04 7C 0D 3B 70 08 7F 08 8B 55 08 3B 50 0C 7E 04 33 C0 EB 02 B0 01 84 C0 0F 84 1D 04 00 00 80 BB D8 03 00 00 00 75 23 8B 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 0F B7 14 45 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 F1 03 00 00 80 BB A8 03 00 00 00 75 0D 8D 93 F8 03 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 83 D8 03 00 00 83 F8 09 0F 87 C3 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3B B3 08 04 00 00 0F 8C 88 02 00 00 3B B3 00 04 00 00 0F 8D 7C 02 00 00 89 B3 F8 03 00 00 E9 71 02 00 00 8B 45 08 3B 83 0C 04 00 00 0F 8C 62 02 00 00 8B 45 08 3B 83 04 04 00 00 0F 8D 53 02 00 00 8B 45 08 89 83 FC 03 00 00 E9 45 02 00 00 3B B3 10 04 00 00 0F 8F 39 02 00 00 3B B3 F8 03 00 00 0F 8E 2D 02 00 00 89 B3 00 04 00 00 E9 22 02 00 00 8B 45 08 3B 83 14 04 00 00 0F 8F 13 02 00 00 8B 45 08 3B 83 FC 03 00 00 0F 8E 04 02 00 00 8B 45 08 89 83 04 04 00 00 E9 F6 01 00 00 8B FE 2B BB DC 03 00 00 8B 93 E4 03 00 00 03 FA 8B 83 08 04 00 00 3B F8 7C 02 8B C7 89 45 E4 8B 7D 08 2B BB E0 03 00 00 8B B3 E8 03 00 00 03 FE 8B 83 0C 04 00 00 3B F8 7C 02 8B C7 89 45 E8 8B 8B EC 03 00 00 2B CA 03 4D E4 8B 83 10 04 00 00 3B C8 7F 0F 8B 83 EC 03 00 00 2B 83 E4 03 00 00 03 45 E4 89 45 EC 8B 93 F0 03 00 00 2B D6 03 55 E8 8B 83 14 04 00 00 3B D0 7F 0F 8B 83 F0 03 00 00 2B 83 E8 03 00 00 03 45 E8 89 45 F0 8D 83 08 04 00 00 8D 55 E4 8B 32 8B 52 04 3B 30 7C 0F 3B 50 04 7C 0A 3B 70 08 7F 05 3B 50 0C 7E 04 33 C0 EB 02 B0 01 84 C0 0F 84 3A 01 00 00 8D 83 08 04 00 00 8D 55 EC 8B 32 8B 52 04 3B 30 7C 0F 3B 50 04 7C 0A 3B 70 08 7F 05 3B 50 0C 7E 04 33 C0 EB 02 B0 01 84 C0 0F 84 0B 01 00 00 8D 75 E4 8D BB F8 03 00 00 A5 A5 A5 A5 E9 F9 00 00 00 3B B3 08 04 00 00 0F 8C ED 00 00 00 3B B3 00 04 00 00 0F 8D E1 00 00 00 8B 45 08 3B 83 0C 04 00 00 0F 8C D2 00 00 00 8B 45 08 3B 83 04 04 00 00 0F 8D C3 00 00 00 89 B3 F8 03 00 00 8B 45 08 89 83 FC 03 00 00 E9 AF 00 00 00 3B B3 08 04 00 00 0F 8C A3 00 00 00 3B B3 00 04 00 00 0F 8D 97 00 00 00 8B 45 08 3B 83 14 04 00 00 0F 8F 88 00 00 00 8B 45 08 3B 83 FC 03 00 00 7E 7D 89 B3 F8 03 00 00 8B 45 08 89 83 04 04 00 00 EB 6C 3B B3 10 04 00 00 7F 64 3B B3 F8 03 00 00 7E 5C 8B 45 08 3B 83 0C 04 00 00 7C 51 8B 45 08 3B 83 04 04 00 00 7D 46 89 B3 00 04 00 00 8B 45 08 89 83 FC 03 00 00 EB 35 3B B3 10 04 00 00 7F 2D 3B B3 F8 03 00 00 7E 25 8B 45 08 3B 83 14 04 00 00 7F 1A 8B 45 08 3B 83 FC 03 00 00 7E 0F 89 B3 00 04 00 00 8B 45 08 89 83 04 04 00 00 8D 83 08 04 00 00 8B 50 08 2B 10 89 55 F8 8B 50 0C 2B 50 04 89 55 F4 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 8E 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 80 F9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D B0 54 03 00 00 8D 7D E4 A5 A5 A5 A5 8B 83 F8 03 00 00 2B 83 08 04 00 00 6B C0 64 99 F7 7D F8 89 45 E4 8B 83 10 04 00 00 2B 83 00 04 00 00 6B C0 64 99 F7 7D F8 89 45 EC 8B 83 FC 03 00 00 2B 83 0C 04 00 00 6B C0 64 99 F7 7D F4 89 45 E8 8B 83 14 04 00 00 2B 83 04 04 00 00 6B C0 64 99 F7 7D F4 89 45 F0 8B C3 E8 ?? ?? ?? ?? 8D B8 54 03 00 00 8D 75 E4 A5 A5 A5 A5 66 83 BB BA 03 00 00 00 74 28 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1D 8B C3 E8 ?? ?? ?? ?? 05 54 03 00 00 50 B1 01 8B D3 8B 83 BC 03 00 00 FF 93 B8 03 00 00 80 BB A8 03 00 00 00 74 0C 8B C3 8B 10 FF 92 9C 00 00 00 EB 0D 8D 93 F8 03 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_94584_0 {
	meta:
		name = "TTeePreviewPanel.MouseUp"
		size = 78
		refs = "0021 TCustomTeePanel.MouseUp"
	strings:
		$1 = { 55 8B EC 51 56 66 89 4D FE 8B F0 C6 86 A4 02 00 00 00 8B 45 0C 50 8B 45 08 50 0F B7 4D FE 8B C6 E8 ?? ?? ?? ?? 80 BE D8 03 00 00 00 74 1A C6 86 D8 03 00 00 00 80 BE A8 03 00 00 00 75 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E 59 5D C2 08 00 }
	condition:
		$1
}

rule function_94585_0 {
	meta:
		name = "TTeePreviewPanel.MouseDown"
		size = 101
		refs = "0023 TCustomTeePanel.MouseDown 002e TTeePreviewPanel.WhereIsCursor"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FD 88 55 FF 8B D8 8B 7D 08 8B 75 0C 56 57 0F B7 4D FD 0F B6 55 FF 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 88 83 D8 03 00 00 80 BB D8 03 00 00 05 75 1C 89 B3 DC 03 00 00 89 BB E0 03 00 00 8D B3 F8 03 00 00 8D BB E4 03 00 00 A5 A5 A5 A5 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_94586_0 {
	meta:
		name = "TTeePreviewPanel.SetOrientation"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 B0 03 00 00 74 10 88 96 B0 03 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_94588_0 {
	meta:
		name = "TTeePreviewPanel.GetShadowColor"
		size = 10
	strings:
		$1 = { 8B 80 CC 03 00 00 8B 40 08 C3 }
	condition:
		$1
}

rule function_94591_0 {
	meta:
		name = "TTeePreviewPanel.GetPanel"
		size = 29
		refs = "0015 TTeePanelsList.Get"
	strings:
		$1 = { 8B 90 A4 03 00 00 85 D2 74 10 83 7A 08 00 7E 0A 8B C2 33 D2 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_94594_0 {
	meta:
		name = "TTeePreviewPanel.SetSmoothBitmap"
		size = 14
		refs = "0009 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 8D 88 D1 03 00 00 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94599_0 {
	meta:
		name = "GetDefaultColor"
		size = 33
		refs = "0004 ColorPalette 0009 @DynArrayHigh"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 50 8B C3 5A 8B CA 99 F7 F9 A1 ?? ?? ?? ?? 8B 04 90 5B C3 }
	condition:
		$1
}

rule function_94600_0 {
	meta:
		name = "DaysInMonth"
		size = 39
		refs = "0009 IsLeapYear 0015 MonthDays"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 83 E0 7F 8D 04 40 8B 15 ?? ?? ?? ?? 8D 04 C2 0F B7 D6 0F B7 44 50 FE 5E 5B C3 }
	condition:
		$1
}

rule function_94601_0 {
	meta:
		name = "DateTimeDefaultFormat"
		size = 64
		refs = "000b DateTimeDefaultFormat 0019 CurrencyString 0021 @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 8B D8 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 77 12 8B C3 8B 15 ?? ?? ?? ?? 8B 52 1C E8 ?? ?? ?? ?? EB 10 8B C3 8B 15 ?? ?? ?? ?? 8B 52 0C E8 ?? ?? ?? ?? 5B 5D C2 08 00 00 00 80 3F }
	condition:
		$1
}

rule function_94602_0 {
	meta:
		name = "NextDateTimeStep"
		size = 72
		refs = "0009 DateTimeStep"
	strings:
		$1 = { 55 8B EC 83 C4 F8 B1 E6 BA ?? ?? ?? ?? DD 45 08 DC 1A 9B DF E0 9E 72 0E 8B 42 08 89 45 F8 8B 42 0C 89 45 FC EB 19 83 EA 08 FE C1 75 E0 8B 05 ?? ?? ?? ?? 89 45 F8 8B 05 ?? ?? ?? ?? 89 45 FC DD 45 F8 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_94603_0 {
	meta:
		name = "FindDateTimeStep"
		size = 70
		refs = "000a DateTimeStep"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B 05 ?? ?? ?? ?? 89 45 F8 8B 05 ?? ?? ?? ?? 89 45 FC B3 1A BE ?? ?? ?? ?? DD 06 DC 65 08 D9 E1 DC 5D F8 9B DF E0 9E 72 0B 4B 83 EE 08 80 FB FF 75 E7 B3 1B 8B C3 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_94604_0 {
	meta:
		name = "TeeDrawCheckBox"
		size = 93
		refs = "003e Bounds 004a TCanvas.GetHandle 0050 DrawFrameControl"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B FA 8B F0 80 7D 08 00 74 04 33 DB EB 05 BB 04 00 00 00 80 7D 10 00 74 06 81 CB 00 04 00 00 53 6A 04 6A 0D 8D 45 EC 50 B9 0D 00 00 00 8B D7 8B C6 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_94605_0 {
	meta:
		name = "TCustomPanelNoCaption.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TCustomPanel.Create 001c TCustomPanelNoCaption.Create 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? F7 D0 23 46 58 89 46 58 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_94606_0 {
	meta:
		name = "TCustomTeePanel.Create"
		size = 479
		refs = "0011 @ClassCreate 001f TCustomPanelNoCaption.Create 0026 _DV_TTeeEventListeners 002b TObject.Create 003a TWinControl.SetTabStop 0046 TControl.SetWidth 0052 TControl.SetHeight 0073 _Dn_TTeeCanvas3D 0078 TTeeCanvas3D.Create 0087 _Dn_TView3DOptions 008c TView3DOptions.Create 00a3 TTeeCanvas.SetCanvas 0118 _DV_TTeePanning 0134 _Dn_TTeeShadow 0139 TTeeShadow.Create 0150 _Dn_TTeeEmboss 0155 TTeeEmboss.Create 016c _Dn_TChartHiddenPen 0171 TChartHiddenPen.Create 0182 TChartPen.SetEndStyle 0192 TeeEraseBack 01af TeeZeroRect 01c8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 14 03 00 00 B2 01 8B C3 E8 ?? ?? ?? ?? BA 90 01 00 00 8B C3 E8 ?? ?? ?? ?? BA FA 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 83 98 02 00 00 01 8B 83 78 02 00 00 89 83 C8 02 00 00 C6 83 04 03 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 40 03 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 08 03 00 00 8B 93 C8 02 00 00 8B 83 40 03 00 00 E8 ?? ?? ?? ?? C7 45 EC 03 00 00 00 C7 45 F0 04 00 00 00 C7 45 F4 03 00 00 00 C7 45 F8 04 00 00 00 8D BB D4 02 00 00 8D 75 EC A5 A5 A5 A5 C6 83 F9 02 00 00 01 33 C0 89 83 FC 02 00 00 C7 83 54 03 00 00 0F 00 00 00 C7 83 5C 03 00 00 0F 00 00 00 C7 83 58 03 00 00 0F 00 00 00 C7 83 60 03 00 00 0F 00 00 00 0F B7 83 80 00 00 00 66 89 83 F0 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 F4 02 00 00 53 8B 03 8B 80 08 01 00 00 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 00 03 00 00 53 8B 03 8B 80 08 01 00 00 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 CC 02 00 00 53 8B 03 8B 80 08 01 00 00 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 9C 02 00 00 8B C6 B2 02 E8 ?? ?? ?? ?? 8B 83 9C 02 00 00 C6 40 29 02 80 3D ?? ?? ?? ?? 00 74 0E F6 43 1C 10 0F 95 C0 34 01 A2 ?? ?? ?? ?? C6 83 99 02 00 00 01 A1 ?? ?? ?? ?? 8B F0 8D BB 1C 03 00 00 A5 A5 A5 A5 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94607_0 {
	meta:
		name = "TCustomTeePanel.Destroy"
		size = 157
		refs = "0003 @BeforeDestruction 0023 TObject.Free 008b TCustomControl.Destroy 0096 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 BE 3C 03 00 00 00 75 13 8D 86 40 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 86 9C 02 00 00 E8 ?? ?? ?? ?? 8B 86 CC 02 00 00 E8 ?? ?? ?? ?? 8B 86 00 03 00 00 E8 ?? ?? ?? ?? 8B 86 08 03 00 00 E8 ?? ?? ?? ?? 8B 86 F4 02 00 00 E8 ?? ?? ?? ?? 8D 86 14 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 38 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94609_0 {
	meta:
		name = "TCustomTeePanel.CreateParams"
		size = 50
		refs = "000b TCustomPanel.CreateParams"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 4E 24 20 81 7B 74 FF FF FF 1F 75 04 83 4E 08 20 8B 83 40 03 00 00 85 C0 74 05 33 D2 89 50 44 5E 5B C3 }
	condition:
		$1
}

rule function_94610_0 {
	meta:
		name = "TCustomTeePanel.SetShadow"
		size = 12
	strings:
		$1 = { 8B 80 00 03 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_94614_0 {
	meta:
		name = "TCustomTeePanel.SetView3DOptions"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 08 03 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_94615_0 {
	meta:
		name = "TCustomTeePanel.SetView3D"
		size = 55
		refs = "0017 TCustomTeePanel.SetBooleanProperty 001e _DV_TTeeView3DEvent 0023 TObject.Create 002c TCustomTeePanel.BroadcastTeeEvent 0031 TObject.Free"
	strings:
		$1 = { 53 8B D8 3A 93 04 03 00 00 74 2A 8D 83 04 03 00 00 8B CA 8B D3 92 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94616_0 {
	meta:
		name = "TCustomTeePanel.Draw"
		size = 38
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 8B 08 FF 51 60 8B CC 8B 93 C8 02 00 00 8B C3 8B 18 FF 93 0C 01 00 00 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_94617_0 {
	meta:
		name = "GetMargin"
		size = 46
	strings:
		$1 = { 55 8B EC 53 8B DA 8B C8 8B 45 08 8B 40 08 8B 40 FC 80 B8 E4 02 00 00 00 75 0F 8B C1 F7 EB B9 64 00 00 00 99 F7 F9 5B 5D C3 8B C1 5B 5D C3 }
	condition:
		$1
}

rule function_94618_0 {
	meta:
		name = "AdjustChartBounds"
		size = 439
		refs = "007d TCustomTeePanel.GetMargin 0085 GetMargin"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 8B 75 08 83 C6 FC 8B 06 05 A8 02 00 00 8B 50 08 2B 10 89 55 FC 8B 50 0C 2B 50 04 89 55 F8 8B 06 8B 98 88 02 00 00 8B 06 80 B8 82 02 00 00 00 74 0A 8B 06 8B 80 84 02 00 00 03 D8 8B 06 80 B8 83 02 00 00 00 74 0A 8B 06 8B 80 84 02 00 00 03 D8 8B 06 8B 80 9C 02 00 00 80 78 28 00 74 08 8B 40 10 8B 40 1C 03 D8 8B 06 8D B8 A8 02 00 00 55 8B 06 33 D2 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 59 8B 17 03 D3 03 C2 89 45 F4 55 8B 06 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 59 8B 57 04 03 D3 03 C2 89 45 F0 55 8B 06 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 59 8B 57 08 2B D3 2B D0 89 55 EC 55 8B 06 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 59 50 8B 47 0C 2B C3 5A 2B C2 8B 55 F4 89 55 DC 8B 55 F0 89 55 E0 8B 55 EC 89 55 E4 89 45 E8 8B 06 56 8D B8 44 03 00 00 8D 75 DC A5 A5 A5 A5 5E 8B 06 8B 80 00 03 00 00 80 78 20 00 74 3E 8B 50 0C 85 D2 7E 0C 03 D2 8B 0E 29 91 4C 03 00 00 EB 0A 03 D2 8B 0E 29 91 44 03 00 00 8B 50 1C 85 D2 7E 0E 8B C2 03 C0 8B 16 29 82 50 03 00 00 EB 0C 8B C2 03 C0 8B 16 29 82 48 03 00 00 8B 06 8B 80 CC 02 00 00 80 78 20 00 74 3E 8B 50 0C 85 D2 7E 0C 03 D2 8B 0E 29 91 44 03 00 00 EB 0A 03 D2 8B 0E 29 91 4C 03 00 00 8B 50 1C 85 D2 7E 0E 8B C2 03 C0 8B 16 29 82 48 03 00 00 EB 0C 8B C2 03 C0 8B 16 29 82 50 03 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94619_0 {
	meta:
		name = "TCustomTeePanel.Draw"
		size = 315
		refs = "0025 IsRectEmpty 008c AdjustChartBounds 00dc OffsetRect 00e4 TCustomTeePanel.ReCalcWidthHeight 0113 TTeeDebugPaint.Draw"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 8B DA 89 45 FC 8B 45 FC 80 B8 34 03 00 00 00 74 29 8B 45 FC 05 1C 03 00 00 E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 FC 8B 55 FC 56 8D B0 44 03 00 00 8D BA 1C 03 00 00 A5 A5 A5 A5 5E 8B 45 FC 8B 40 74 50 8B 45 FC 0F B6 80 04 03 00 00 50 56 8D 45 EC 50 8B 45 FC 8B 88 08 03 00 00 8B 45 FC 8B 80 40 03 00 00 8B D3 8B 38 FF 97 18 01 00 00 8B 45 FC 56 8D 75 EC 8D B8 A8 02 00 00 A5 A5 A5 A5 5E 55 E8 ?? ?? ?? ?? 59 8B 45 FC 80 B8 34 03 00 00 00 74 43 8B 45 FC 8B 55 FC 56 8D B0 1C 03 00 00 8D BA 44 03 00 00 A5 A5 A5 A5 5E 8B 45 FC 80 B8 F8 02 00 00 00 74 1F 8B 45 FC 8B 88 AC 02 00 00 8B 45 FC 8B 90 A8 02 00 00 8B 45 FC 05 44 03 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8D 90 A8 02 00 00 8B 45 FC 8B 08 FF 91 04 01 00 00 8B 45 FC 8B 80 38 03 00 00 85 C0 74 0E 8B 55 FC 8B 92 40 03 00 00 E8 ?? ?? ?? ?? 56 8B 45 FC 8B 88 C8 02 00 00 8B 45 FC 8B 80 40 03 00 00 8B D3 8B 18 FF 93 24 01 00 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94620_0 {
	meta:
		name = "TCustomTeePanel.Paint"
		size = 39
		refs = "0021 TCustomTeePanel.Draw"
	strings:
		$1 = { 53 8B D8 80 BB F8 02 00 00 00 75 19 8B 83 40 03 00 00 8B 10 FF 92 28 01 00 00 84 C0 75 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94621_0 {
	meta:
		name = "TCustomTeePanel.TeeCreateMetafile"
		size = 172
		refs = "0012 _Dn_TMetafile 0017 TMetafile.Create 005f _Dn_TMetafileCanvas 0064 TMetafileCanvas.Create 006f TCustomTeePanel.TeeCreateMetafile 0081 TCustomTeePanel.DrawToMetaCanvas 0096 TObject.Free 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 47 08 2B 07 83 F8 01 7D 05 B8 01 00 00 00 8B D0 8B 45 FC 8B 08 FF 51 44 8B 47 0C 2B 47 04 83 F8 01 7D 05 B8 01 00 00 00 8B D0 8B 45 FC 8B 08 FF 51 38 8B 45 FC 88 58 2C 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94622_0 {
	meta:
		name = "TCustomTeePanel.SetBrushCanvas"
		size = 65
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 41 10 80 78 20 00 74 14 3B 7D 08 75 0F 83 7D 08 00 75 07 BF FF FF FF 00 EB 02 33 FF 8B 45 08 50 8B D1 8B 86 40 03 00 00 8B CF 8B 18 FF 53 50 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_94623_0 {
	meta:
		name = "IsRemoteSession"
		size = 16
		refs = "0006 GetSystemMetrics"
	strings:
		$1 = { 68 00 10 00 00 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 C3 }
	condition:
		$1
}

rule function_94624_0 {
	meta:
		name = "ScreenRatio"
		size = 100
		refs = "0014 TeeGetDeviceCaps 0039 ScreenRatio"
	strings:
		$1 = { 53 56 83 C4 F0 8B F0 8B C6 8B 10 FF 52 0C BA 06 00 00 00 E8 ?? ?? ?? ?? 8B D8 85 DB 74 2F 8B C6 8B 10 FF 52 0C BA 04 00 00 00 E8 ?? ?? ?? ?? 89 44 24 08 DB 44 24 08 D8 0D ?? ?? ?? ?? 89 5C 24 0C DB 44 24 0C DE F9 DD 1C 24 9B EB 09 33 C0 89 04 24 89 44 24 04 DD 04 24 83 C4 10 5E 5B C3 00 00 00 80 3F }
	condition:
		$1
}

rule function_94625_0 {
	meta:
		name = "TCustomTeePanel.IsScreenHighColor"
		size = 43
		refs = "001a TeeBitsperPixel"
	strings:
		$1 = { 53 8B 98 40 03 00 00 8B C3 8B 10 FF 52 1C 84 C0 75 15 8B C3 8B 10 FF 52 0C E8 ?? ?? ?? ?? 83 F8 0F 7D 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_94626_0 {
	meta:
		name = "TCustomTeePanel.CanClip"
		size = 86
		refs = "0032 TeeClipWhenPrinting 0047 TeeClipWhenMetafiling"
	strings:
		$1 = { 53 8B D8 8B 83 40 03 00 00 8B 10 FF 52 1C 84 C0 75 3C 80 BB F8 02 00 00 00 75 0C 8B 83 40 03 00 00 80 78 14 00 74 2B 80 BB F8 02 00 00 00 74 09 80 3D ?? ?? ?? ?? 00 75 19 8B 83 40 03 00 00 80 78 14 00 74 09 80 3D ?? ?? ?? ?? 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_94627_0 {
	meta:
		name = "TCustomTeePanel.SetStringProperty"
		size = 43
		refs = "000e @UStrEqual 0019 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 06 8B D7 E8 ?? ?? ?? ?? 74 13 8B C6 8B D7 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94628_0 {
	meta:
		name = "TCustomTeePanel.SetDoubleProperty"
		size = 43
	strings:
		$1 = { 55 8B EC 56 8B F0 DD 02 DC 5D 08 9B DF E0 9E 74 15 8B 45 08 89 02 8B 45 0C 89 42 04 8B C6 8B 10 FF 92 9C 00 00 00 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_94629_0 {
	meta:
		name = "TCustomTeePanel.SetColorProperty"
		size = 21
		altNames = "TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 56 8B F0 3B 0A 74 0C 89 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_94630_0 {
	meta:
		name = "TCustomTeePanel.SetBooleanProperty"
		size = 21
	strings:
		$1 = { 56 8B F0 3A 0A 74 0C 88 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_94632_0 {
	meta:
		name = "TCustomTeePanel.SetSingleProperty"
		size = 37
	strings:
		$1 = { 55 8B EC 56 8B F0 D9 02 D8 5D 08 9B DF E0 9E 74 0F 8B 45 08 89 02 8B C6 8B 10 FF 92 9C 00 00 00 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_94633_0 {
	meta:
		name = "TCustomTeePanel.ReadBorderStyle"
		size = 128
		refs = "000f TCustomTeePanel.ReadBorderStyle 001f TReader.ReadIdent 002c @UStrEqual 003a TChartPen.SetVisible 004f @UStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C2 8B 83 9C 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 62 00 73 00 53 00 69 00 6E 00 67 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_94634_0 {
	meta:
		name = "TCustomTeePanel.DefineProperties"
		size = 80
		refs = "000b TWinControl.DefineProperties 0011 TCustomTeePanel.ReadBorderStyle 001c TCustomTeePanel.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 42 00 6F 00 72 00 64 00 65 00 72 00 53 00 74 00 79 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_94636_0 {
	meta:
		name = "TCustomTeePanel.Loaded"
		size = 60
		refs = "0006 TControl.Loaded 0024 TCustomTeePanel.SetControlRounded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 83 80 00 00 00 66 89 83 F0 02 00 00 83 BB A0 02 00 00 00 7E 07 8B C3 E8 ?? ?? ?? ?? 8B 43 50 89 83 2C 03 00 00 8B 43 54 89 83 30 03 00 00 5B C3 }
	condition:
		$1
}

rule function_94637_0 {
	meta:
		name = "TCustomTeePanel.CMMouseLeave"
		size = 74
		refs = "0010 TControl.SetCursor 0027 _DV_TMouseLeaveEvent 002c TObject.Create 0035 TCustomTeePanel.BroadcastTeeEvent 003a TObject.Free 0043 TControl.CMMouseLeave"
	strings:
		$1 = { 53 56 8B F2 8B D8 0F B7 93 F0 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 F4 02 00 00 80 78 18 00 74 04 C6 40 04 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94639_0 {
	meta:
		name = "TCustomTeePanel.WMGetDlgCode"
		size = 16
	strings:
		$1 = { 56 8B F2 8B D6 8B 08 FF 51 F0 83 4E 0C 01 5E C3 }
	condition:
		$1
}

rule function_94640_0 {
	meta:
		name = "TCustomTeePanel.WMEraseBkgnd"
		size = 28
		refs = "0005 TeeEraseBack 000f TWinControl.WMEraseBkgnd"
	strings:
		$1 = { 53 8B DA 80 3D ?? ?? ?? ?? 00 74 07 8B D3 E8 ?? ?? ?? ?? C7 43 0C 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_94641_0 {
	meta:
		name = "TCustomTeePanel.ReadState"
		size = 84
		refs = "0015 TCustomTeePanel.ReadState 0023 TWinControl.ReadState 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC C6 80 99 02 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 99 02 00 00 01 8B 45 FC 8B 10 FF 92 9C 00 00 00 C3 E9 ?? ?? ?? ?? EB E3 59 5D C3 }
	condition:
		$1
}

rule function_94642_0 {
	meta:
		name = "TCustomTeePanel.Invalidate"
		size = 39
		refs = "0021 TWinControl.Invalidate"
	strings:
		$1 = { 53 8B D8 80 BB 99 02 00 00 00 74 19 8B 83 40 03 00 00 85 C0 74 08 8B 10 FF 92 CC 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94643_0 {
	meta:
		name = "TCustomTeePanel.AssignTo"
		size = 121
		refs = "000e _Dn_TGraphic 0013 @IsClass 001f _Dn_TPicture 002f TCustomTeePanel.TeeCreateBitmap 003a TCustomTeePanel.AssignTo 005f TObject.Free 0065 @HandleFinally 0070 TWinControl.AssignTo"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3F 8B C6 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_94644_0 {
	meta:
		name = "TCustomTeePanel.RemoveListener"
		size = 83
		refs = "000e @IntfAddRef 0016 TCustomTeePanel.RemoveListener 002e TTeeEventListeners.Remove 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 14 03 00 00 85 C0 74 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_94645_0 {
	meta:
		name = "TCustomTeePanel.Resize"
		size = 236
		refs = "001e TCustomTeePanel.SetControlRounded 0047 TCustomTeePanel.Resize 0056 @ROUND 00d5 TView3DOptions.SetFontZoom 00dc TControl.Resize"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B D8 F6 43 1C 01 0F 85 C7 00 00 00 83 BB A0 02 00 00 00 7E 07 8B C3 E8 ?? ?? ?? ?? 8B BB 08 03 00 00 80 7F 58 02 0F 85 A7 00 00 00 8B 43 50 8B B3 2C 03 00 00 2B C6 89 44 24 18 DB 44 24 18 D8 0D ?? ?? ?? ?? 89 74 24 1C DB 44 24 1C DE F9 E8 ?? ?? ?? ?? 89 04 24 89 54 24 04 8B 43 54 8B B3 30 03 00 00 2B C6 89 44 24 18 DB 44 24 18 D8 0D ?? ?? ?? ?? 89 74 24 1C DB 44 24 1C DE F9 E8 ?? ?? ?? ?? 89 44 24 08 89 54 24 0C 8B 04 24 8B 54 24 04 3B 54 24 0C 75 08 3B 44 24 08 76 15 EB 02 7E 11 8B 04 24 89 44 24 10 8B 44 24 04 89 44 24 14 EB 10 8B 44 24 08 89 44 24 10 8B 44 24 0C 89 44 24 14 8B 44 24 10 8B D0 83 C2 64 8B C7 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 00 00 00 C8 42 }
	condition:
		$1
}

rule function_94646_0 {
	meta:
		name = "TCustomTeePanel.BroadcastTeeEventClass"
		size = 32
		refs = "000b TObject.Create 0014 TCustomTeePanel.BroadcastTeeEvent 0019 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94647_0 {
	meta:
		name = "TCustomTeePanel.BroadcastTeeEvent"
		size = 151
		refs = "0016 TCustomTeePanel.BroadcastTeeEvent 003c TTeeEventListeners.Get 004e _DV_TTeeMouseEvent 0053 @IsClass 0081 @IntfClear 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 7D F8 F6 43 1C 08 75 47 89 5F 04 33 F6 EB 35 8D 4D FC 8B D6 8B 83 14 03 00 00 E8 ?? ?? ?? ?? 8B D7 8B 45 FC 8B 08 FF 51 0C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 80 BB A4 02 00 00 00 75 0C 46 8B 83 14 03 00 00 3B 70 08 7C C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94648_0 {
	meta:
		name = "TCustomTeePanel.BroadcastMouseEvent"
		size = 148
		refs = "001e _DV_TTeeMouseEvent 0023 TObject.Create 002e TCustomTeePanel.BroadcastMouseEvent 006b TCustomTeePanel.BroadcastTeeEvent 0080 TObject.Free 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 88 4D FF 8B DA 8B F0 8B 86 14 03 00 00 83 78 08 00 7E 71 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 88 58 08 0F B6 45 FF 8B 55 F8 88 42 09 8B 45 F8 0F B7 55 10 66 89 50 0A 8B 45 F8 8B 55 0C 89 50 0C 8B 45 F8 8B 55 08 89 50 10 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_94649_0 {
	meta:
		name = "TCustomTeePanel.MouseDown"
		size = 115
		refs = "0027 TControl.MouseDown 0045 TCustomTeePanel.BroadcastMouseEvent 0059 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FE 8B DA 8B F8 8B 75 0C C6 87 A4 02 00 00 00 56 8B 45 08 50 0F B7 4D FE 8B D3 8B C7 E8 ?? ?? ?? ?? 80 BF A4 02 00 00 00 75 15 0F B7 45 FE 50 56 8B 45 08 50 8B CB 33 D2 8B C7 E8 ?? ?? ?? ?? 80 BF F0 01 00 00 00 74 19 8B C7 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 0A 8B C7 8B 10 FF 92 F4 00 00 00 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_94650_0 {
	meta:
		name = "TCustomTeePanel.MouseUp"
		size = 72
		refs = "0027 TControl.MouseUp 003c TCustomTeePanel.BroadcastMouseEvent"
	strings:
		$1 = { 55 8B EC 51 53 56 57 66 89 4D FE 8B DA 8B F0 8B 7D 0C C6 86 A4 02 00 00 00 57 8B 45 08 50 0F B7 4D FE 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B7 45 FE 50 57 8B 45 08 50 8B CB B2 01 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_94651_0 {
	meta:
		name = "TCustomTeePanel.MouseMove"
		size = 83
		refs = "0023 TControl.MouseMove 0047 TCustomTeePanel.BroadcastMouseEvent"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 66 89 55 FE 8B D8 8B 7D 08 C6 83 A4 02 00 00 00 57 8B CE 0F B7 55 FE 8B C3 E8 ?? ?? ?? ?? 8B 83 14 03 00 00 83 78 08 00 7E 18 F6 43 1C 10 75 12 0F B7 45 FE 50 56 57 33 C9 B2 02 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_94652_0 {
	meta:
		name = "TCustomTeePanel.DblClick"
		size = 33
		refs = "000d TControl.DblClick 001b Abort"
	strings:
		$1 = { 53 8B D8 C6 83 A4 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB A4 02 00 00 00 74 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94653_0 {
	meta:
		name = "TCustomTeePanel.GetMargin"
		size = 8
	strings:
		$1 = { 8B 84 90 D4 02 00 00 C3 }
	condition:
		$1
}

rule function_94654_0 {
	meta:
		name = "TCustomTeePanel.SetMargin"
		size = 13
		refs = "0008 TCustomTeePanel.SetIntegerProperty"
	strings:
		$1 = { 8D 94 90 D4 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94655_0 {
	meta:
		name = "TCustomTeePanel.GetBufferedDisplay"
		size = 12
	strings:
		$1 = { 8B 80 40 03 00 00 8B 10 FF 52 28 C3 }
	condition:
		$1
}

rule function_94657_0 {
	meta:
		name = "TCustomTeePanel.SetControlRounded"
		size = 149
		refs = "002b TCustomTeePanel.SetControlRounded 0057 CreateRoundRectRgn 0068 TWinControl.GetHandle 006e SetWindowRgn 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC 80 B8 18 03 00 00 00 75 7D 8B 45 FC 83 78 38 00 74 74 8B 45 FC C6 80 18 03 00 00 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 80 A0 02 00 00 85 C0 7E 1D 50 50 8B 45 FC 8B 40 54 50 8B 45 FC 8B 40 50 50 6A 00 6A 00 E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 6A FF 53 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 80 18 03 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 5B 59 5D C3 }
	condition:
		$1
}

rule function_94659_0 {
	meta:
		name = "TCustomTeePanel.GetBorderStyle"
		size = 18
	strings:
		$1 = { 8B 80 9C 02 00 00 80 78 28 00 74 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_94660_0 {
	meta:
		name = "TCustomTeePanel.SetTheBorderStyle"
		size = 18
		refs = "000d TChartPen.SetVisible"
	strings:
		$1 = { 80 FA 01 0F 94 C2 8B 80 9C 02 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94661_0 {
	meta:
		name = "TCustomTeePanel.SetBufferedDisplay"
		size = 12
	strings:
		$1 = { 8B 80 40 03 00 00 8B 08 FF 51 4C C3 }
	condition:
		$1
}

rule function_94662_0 {
	meta:
		name = "TCustomTeePanel.SetInternalCanvas"
		size = 109
		refs = "0014 TTeeCanvas.SetCanvas 004c TObject.Free"
	strings:
		$1 = { 53 56 57 8B F2 8B F8 85 F6 74 5E 8B 97 C8 02 00 00 8B C6 E8 ?? ?? ?? ?? 83 BF 40 03 00 00 00 74 2F 0F B6 9F 99 02 00 00 C6 87 99 02 00 00 00 8B 97 40 03 00 00 8B C6 8B 08 FF 91 1C 01 00 00 88 9F 99 02 00 00 8B 87 40 03 00 00 E8 ?? ?? ?? ?? 89 B7 40 03 00 00 80 BF 99 02 00 00 00 74 0A 8B C7 8B 10 FF 92 9C 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94663_0 {
	meta:
		name = "TCustomTeePanel.ReCalcWidthHeight"
		size = 215
		refs = "003d TRect.GetWidth 005d TRect.GetHeight"
	strings:
		$1 = { 53 56 83 C4 F0 8B F0 8D 9E 44 03 00 00 8B 86 A8 02 00 00 3B 03 7E 02 89 03 8B 86 AC 02 00 00 3B 43 04 7E 03 89 43 04 8B 03 8B 53 08 3B C2 7E 06 40 89 43 08 EB 10 3B C2 75 0C 8B C3 E8 ?? ?? ?? ?? 03 03 89 43 08 8B 43 04 8B 53 0C 3B C2 7E 06 40 89 43 0C EB 11 3B C2 75 0D 8B C3 E8 ?? ?? ?? ?? 03 43 04 89 43 0C 8D 86 44 03 00 00 8D 96 B8 02 00 00 8D 8E BC 02 00 00 8B 58 08 2B 18 89 1A 8B 50 0C 2B 50 04 89 11 8D 86 44 03 00 00 8B 10 03 50 08 D1 FA 79 03 83 D2 00 89 54 24 08 8B 50 04 03 50 0C D1 FA 79 03 83 D2 00 89 54 24 0C 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 8B 04 24 89 86 C0 02 00 00 8B 44 24 04 89 86 C4 02 00 00 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_94664_0 {
	meta:
		name = "TCustomTeePanel.GetCursorPos"
		size = 39
		refs = "000c Mouse 0013 TMouse.GetCursorPos 001e TControl.ScreenToClient"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B D4 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D4 8B CE 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_94665_0 {
	meta:
		name = "TCustomTeePanel.GetRectangle"
		size = 67
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 83 7B 38 00 74 0B 8B D6 8B C3 8B 08 FF 51 60 EB 21 33 C0 89 04 24 33 C0 89 44 24 04 8B 43 50 89 44 24 08 8B 43 54 89 44 24 0C 8B FE 8B F4 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94666_0 {
	meta:
		name = "TCustomTeePanel.DrawToMetaCanvas"
		size = 79
		refs = "0018 TCustomTeePanel.DrawToMetaCanvas 0026 TCustomTeePanel.NonBufferDraw 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 80 40 03 00 00 C6 40 14 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 80 40 03 00 00 C6 40 14 00 C3 E9 ?? ?? ?? ?? EB EB 59 5D C3 }
	condition:
		$1
}

rule function_94667_0 {
	meta:
		name = "TCustomTeePanel.GetMonochrome"
		size = 12
	strings:
		$1 = { 8B 80 40 03 00 00 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_94668_0 {
	meta:
		name = "TCustomTeePanel.SetMarginUnits"
		size = 29
	strings:
		$1 = { 56 8B F0 3A 96 E4 02 00 00 74 10 88 96 E4 02 00 00 8B C6 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_94669_0 {
	meta:
		name = "TCustomTeePanel.SetMonochrome"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 40 03 00 00 8B 08 FF 51 3C 5E C3 }
	condition:
		$1
}

rule function_94670_0 {
	meta:
		name = "TCustomTeePanel.SetPanning"
		size = 14
	strings:
		$1 = { 8B 80 F4 02 00 00 0F B6 52 18 88 50 18 C3 }
	condition:
		$1
}

rule function_94671_0 {
	meta:
		name = "TCustomTeePanel.Assign"
		size = 297
		refs = "000b _DV_TCustomTeePanel 0010 @IsClass 0028 TCustomPanel.SetBevelInner 0036 TCustomPanel.SetBevelOuter 0043 TCustomPanel.SetBevelWidth 0050 TCustomTeePanel.SetBorder 005d TCustomTeePanel.SetBorderRound 0064 TCustomTeePanel.GetBufferedDisplay 006d TCustomTeePanel.SetBufferedDisplay 0077 TControl.SetColor 0084 TCustomTeePanel.SetEmboss 00ac TCustomTeePanel.GetMonochrome 00b5 TCustomTeePanel.SetMonochrome 00c2 TCustomTeePanel.SetPanning 00fc TCustomTeePanel.SetShadow 0116 TCustomTeePanel.SetView3DOptions 0121 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 00 01 00 00 8B FE 0F B6 97 82 02 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 97 83 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 84 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 9C 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 A0 02 00 00 8B C3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 57 74 8B C3 E8 ?? ?? ?? ?? 8B 97 CC 02 00 00 8B C3 E8 ?? ?? ?? ?? 56 57 8D B7 D4 02 00 00 8D BB D4 02 00 00 A5 A5 A5 A5 5F 5E 0F B6 87 E4 02 00 00 88 83 E4 02 00 00 8B C7 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 97 F4 02 00 00 8B C3 E8 ?? ?? ?? ?? 56 57 8D B7 54 03 00 00 8D BB 54 03 00 00 A5 A5 A5 A5 5F 5E 0F B6 87 F9 02 00 00 88 83 F9 02 00 00 8B 87 FC 02 00 00 89 83 FC 02 00 00 8B 97 00 03 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 87 04 03 00 00 88 83 04 03 00 00 8B 97 08 03 00 00 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94672_0 {
	meta:
		name = "TCustomTeePanel.SaveToMetafile"
		size = 39
		refs = "001d TCustomTeePanel.SaveToMetafileRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D4 8B C3 8B 08 FF 91 10 01 00 00 54 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_94673_0 {
	meta:
		name = "TCustomTeePanel.SaveToMetafileEnh"
		size = 39
		refs = "001d TCustomTeePanel.SaveToMetafileRect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D4 8B C3 8B 08 FF 91 10 01 00 00 54 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_94674_0 {
	meta:
		name = "TCustomTeePanel.SaveToMetafileRect"
		size = 146
		refs = "000d TCustomTeePanel.TeeCreateMetafile 0018 TCustomTeePanel.SaveToMetafileRect 002c _Dn_TFileStream 0031 TFileStream.Create 0062 TObject.Free 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D9 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 FF 00 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_94675_0 {
	meta:
		name = "TCustomTeePanel.NonBufferDraw"
		size = 260
		refs = "0014 TCustomTeePanel.GetBufferedDisplay 001f TCustomTeePanel.NonBufferDraw 0036 _Dn_TTeeCanvas3D 003b @IsClass 0050 TCustomTeePanel.SetBufferedDisplay 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 88 45 FB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B B8 40 03 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 C6 87 1A 01 00 00 01 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 0F B6 80 99 02 00 00 88 45 FA 8B 45 FC C6 80 99 02 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B D3 8B 45 FC 8B 18 FF 93 0C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B6 55 FA 88 90 99 02 00 00 C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 FB 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 98 40 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 C6 83 1A 01 00 00 00 80 7D FB 00 75 0B 8B 45 FC 8B 10 FF 92 9C 00 00 00 C3 E9 ?? ?? ?? ?? EB BA 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94676_0 {
	meta:
		name = "TCustomTeePanel.TeeCreateBitmap"
		size = 43
		refs = "0022 TCustomTeePanel.TeeCreateBitmap"
	strings:
		$1 = { 53 83 C4 F0 8B D8 6A 00 6A 00 8D 54 24 08 8B C3 8B 08 FF 91 10 01 00 00 8D 4C 24 08 8B 53 74 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_94677_0 {
	meta:
		name = "TCustomTeePanel.TeeCreateBitmap"
		size = 253
		refs = "0013 _Dn_TBitmap 0018 TBitmap.Create 0027 _Dn_TTeeCanvas3D 002c @IsClass 005b TBitmap.SetPixelFormat 0065 TBitmap.GetPixelFormat 008f TeeSetBitmapSize 00af TBitmap.GetCanvas 00ba TBrush.SetColor 00dc TCustomTeePanel.NonBufferDraw 00ed TeeSetBitmapDPI"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 89 55 FC 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 83 40 03 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8B 45 FC 3B 43 74 75 25 8B CE 8D 55 F8 8B 83 40 03 00 00 8B 38 FF 97 2C 01 00 00 84 C0 74 0E 0F B6 55 0C 8B 45 F8 E8 ?? ?? ?? ?? EB 7F 8B 45 F8 E8 ?? ?? ?? ?? 3C 06 0F 94 C0 8B 55 F8 88 42 30 0F B6 55 0C 8B 45 F8 E8 ?? ?? ?? ?? 8B 4E 0C 2B 4E 04 8B 56 08 2B 16 8B 45 F8 E8 ?? ?? ?? ?? 81 7D FC FF FF FF 00 74 31 81 7D FC 00 00 00 20 75 06 8B 43 74 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 40 48 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 54 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 83 7D 08 00 7E 0B 8B 55 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_94678_0 {
	meta:
		name = "TCustomTeePanel.SaveToBitmapFile"
		size = 38
		refs = "001c TCustomTeePanel.SaveToBitmapFile"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 8B D4 8B C3 8B 08 FF 91 10 01 00 00 8B CC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_94679_0 {
	meta:
		name = "TCustomTeePanel.SaveToBitmapFile"
		size = 81
		refs = "0011 TCustomTeePanel.TeeCreateBitmap 001c TCustomTeePanel.SaveToBitmapFile 0041 TObject.Free 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F2 6A 00 6A 00 BA FF FF FF 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 51 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_94682_0 {
	meta:
		name = "TCustomTeePanel.PrintOrientation"
		size = 96
		refs = "000b Printer 0010 TPrinter.GetOrientation 001f TPrinter.SetOrientation 0027 TCustomTeePanel.PrintOrientation 0034 TCustomTeePanel.Print 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 FF E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 55 FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_94683_0 {
	meta:
		name = "TCustomTeePanel.CopyToClipboardBitmap"
		size = 82
		refs = "0010 TCustomTeePanel.TeeCreateBitmap 001b TCustomTeePanel.CopyToClipboardBitmap 0026 Clipboard 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 6A 00 6A 00 8B CA BA FF FF FF 00 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_94684_0 {
	meta:
		name = "TCustomTeePanel.CopyToClipboardBitmap"
		size = 32
		refs = "0017 TCustomTeePanel.CopyToClipboardBitmap"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 8B 08 FF 91 10 01 00 00 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_94686_0 {
	meta:
		name = "TCustomTeePanel.CopyToClipboardMetafile"
		size = 38
		refs = "001c TCustomTeePanel.CopyToClipboardMetafile"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B D4 8B C6 8B 08 FF 91 10 01 00 00 8B CC 8B D3 8B C6 E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_94687_0 {
	meta:
		name = "TCustomTeePanel.CalcMetaBounds"
		size = 256
		refs = "0047 TCustomTeePanel.CalcMetaBounds 004e @ROUND"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B DA 8B F0 8B 7D 14 8B 43 08 2B 03 8B 55 0C 89 02 8B 43 0C 2B 43 04 8B 55 08 89 02 8B 41 08 2B 01 89 45 FC 8B 41 0C 2B 41 04 89 45 F8 8B 86 FC 02 00 00 F7 6D FC 89 45 F4 DB 45 F4 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B 55 FC 2B D0 89 17 8B 86 FC 02 00 00 F7 6D F8 89 45 F4 DB 45 F4 DB 2D ?? ?? ?? ?? DE C9 E8 ?? ?? ?? ?? 8B 55 F8 2B D0 8B 45 10 89 10 8B 03 F7 2F 89 45 F4 DB 45 F4 8B 45 0C DB 00 DE F9 E8 ?? ?? ?? ?? 89 03 8B 43 08 F7 2F 89 45 F4 DB 45 F4 8B 45 0C DB 00 DE F9 E8 ?? ?? ?? ?? 89 43 08 8B 43 04 8B 55 10 F7 2A 89 45 F4 DB 45 F4 8B 45 08 DB 00 DE F9 E8 ?? ?? ?? ?? 89 43 04 8B 43 0C 8B 55 10 F7 2A 89 45 F4 DB 45 F4 8B 45 08 DB 00 DE F9 E8 ?? ?? ?? ?? 89 43 0C 5F 5E 5B 8B E5 5D C2 10 00 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_94688_0 {
	meta:
		name = "SetAnisotropic"
		size = 108
		refs = "000b TCanvas.GetHandle 0013 GetMapMode 0021 SetMapMode 002d SetWindowOrgEx 0043 SetWindowExtEx 0059 SetViewportExtEx 0065 SetViewportOrgEx"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B D8 53 E8 ?? ?? ?? ?? 8B 55 08 89 42 F8 6A 08 53 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 53 E8 ?? ?? ?? ?? 6A 00 8B 45 08 8B 40 F0 50 8B 45 08 8B 40 F4 50 53 E8 ?? ?? ?? ?? 6A 00 8B 45 08 8B 40 E8 50 8B 45 08 8B 40 EC 50 53 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 53 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_94689_0 {
	meta:
		name = "TCustomTeePanel.PrintPartialCanvas"
		size = 237
		refs = "0015 OrientRectangle 0041 TCustomTeePanel.CalcMetaBounds 0047 SetAnisotropic 005a TCustomTeePanel.PrintPartialCanvas 0068 TCustomTeePanel.CanClip 0077 ClipCanvas 00ab TCustomTeePanel.DrawToMetaCanvas 00b3 UnClipCanvas 00d0 @HandleFinally 00de TCanvas.GetHandle 00e4 SetMapMode"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 8B D9 89 55 FC 89 45 E4 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 45 F0 50 8D 45 EC 50 8D 45 E8 50 8D 55 C4 8B 45 E4 8B 08 FF 91 10 01 00 00 8D 4D C4 8D 55 D4 8B 45 E4 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 E4 C6 80 F8 02 00 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 0B 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 66 83 B8 EA 02 00 00 00 74 19 8D 45 D4 50 8B 5D E4 8B 4D FC 8B 55 E4 8B 83 EC 02 00 00 FF 93 E8 02 00 00 8D 4D D4 8B 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 C6 80 F8 02 00 00 00 C3 E9 ?? ?? ?? ?? EB EE 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94690_0 {
	meta:
		name = "TCustomTeePanel.PrintPartial"
		size = 30
		refs = "0007 Printer 000c TPrinter.GetCanvas 0017 TCustomTeePanel.PrintPartialCanvas"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94691_0 {
	meta:
		name = "TCustomTeePanel.PrintRect"
		size = 243
		refs = "0029 TCustomTeePanel.PrintRect 003d Printer 004b @UStrAsg 0055 TPrinter.BeginDoc 006d TCustomTeePanel.PrintPartial 0077 TPrinter.EndDoc 0086 @HandleOnException 008e _Dn_Exception 009c TPrinter.Abort 00b6 @RaiseAgain 00bb @DoneExcept 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 89 45 FC 8B 45 FC 0F B6 80 99 02 00 00 88 45 FB 8B 45 FC C6 80 99 02 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 08 00 74 13 E8 ?? ?? ?? ?? 83 C0 18 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3A E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 78 1C 00 74 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 0F B6 55 FB 88 90 99 02 00 00 8B 45 FC 8B 10 FF 92 9C 00 00 00 C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94692_0 {
	meta:
		name = "CalcMargin"
		size = 204
		refs = "0016 Printer 001b TPrinter.GetHandle 0025 TeeGetDeviceCaps 006c CalcMargin 00a6 @ROUND 00ab @_lldiv"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 8B F2 8B D8 8B 45 10 80 78 FF 00 74 43 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 58 00 00 00 E8 ?? ?? ?? ?? 89 45 EC DB 45 EC DB 7D E0 9B E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 5A 00 00 00 E8 ?? ?? ?? ?? 89 45 DC DB 45 DC DB 6D E0 DE F1 DD 5D F8 9B EB 0C 33 C0 89 45 F8 C7 45 FC 00 00 F0 3F 89 5D EC DB 45 EC D8 0D ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 DD 5D F0 9B 6A 00 6A 02 89 5D EC DB 45 EC DC 65 F0 DC 4D 08 DC 4D F8 89 75 DC DB 45 DC DE E1 D8 0D ?? ?? ?? ?? 89 75 D8 DB 45 D8 DE F9 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 00 00 00 F0 41 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 00 00 C8 42 }
	condition:
		$1
}

rule function_94693_0 {
	meta:
		name = "TCustomTeePanel.CalcProportionalMargins"
		size = 284
		refs = "0035 TCustomTeePanel.CalcProportionalMargins 0040 Printer 0045 TPrinter.GetPageWidth 0051 TPrinter.GetPageHeight 0062 @HandleOnException 006a _Dn_EPrinter 0077 Screen 007e TScreen.GetWidth 008c TScreen.GetHeight 0093 @DoneExcept 00b4 CalcMargin"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 89 55 F8 8B D8 8D 55 E0 8B C3 8B 08 FF 91 10 01 00 00 8B 45 E8 2B 45 E0 89 45 F4 8B 45 EC 2B 45 E4 89 45 F0 C6 45 FF 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 EB 36 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? C6 45 FF 00 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 7E 3C 55 DB 45 F0 DB 45 F4 DE F9 83 C4 F8 DD 1C 24 9B 8B D6 8B C3 E8 ?? ?? ?? ?? 59 C7 45 D0 0F 00 00 00 89 45 D4 C7 45 D8 0F 00 00 00 89 45 DC 8B 45 F8 8B F8 8D 75 D0 A5 A5 A5 A5 EB 3A 55 DB 45 F4 DB 45 F0 DE F9 83 C4 F8 DD 1C 24 9B 8B D3 8B C6 E8 ?? ?? ?? ?? 59 89 45 C0 C7 45 C4 0F 00 00 00 89 45 C8 C7 45 CC 0F 00 00 00 8B 45 F8 8B F8 8D 75 C0 A5 A5 A5 A5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94694_0 {
	meta:
		name = "TCustomTeePanel.ChartPrintRect"
		size = 220
		refs = "001a TCustomTeePanel.CalcProportionalMargins 002f Printer 0034 TPrinter.GetPageWidth 0042 TCustomTeePanel.ChartPrintRect 0056 @ROUND 0081 TPrinter.GetPageHeight"
	strings:
		$1 = { 53 56 57 83 C4 E4 8B F2 8B D8 80 BB F9 02 00 00 00 74 1B 8D 54 24 08 8B C3 E8 ?? ?? ?? ?? 56 8D 74 24 0C 8D BB 54 03 00 00 A5 A5 A5 A5 5E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 18 DB 44 24 18 DB 2D ?? ?? ?? ?? DE C9 DD 1C 24 9B DB 83 54 03 00 00 DC 0C 24 E8 ?? ?? ?? ?? 89 06 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 DB 83 5C 03 00 00 DC 0C 24 E8 ?? ?? ?? ?? 2B F8 89 7E 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 44 24 18 DB 44 24 18 DB 2D ?? ?? ?? ?? DE C9 DD 1C 24 9B DB 83 58 03 00 00 DC 0C 24 E8 ?? ?? ?? ?? 89 46 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 DB 83 60 03 00 00 DC 0C 24 E8 ?? ?? ?? ?? 2B F8 89 7E 0C 83 C4 1C 5F 5E 5B C3 0A D7 A3 70 3D 0A D7 A3 F8 3F 00 00 }
	condition:
		$1
}

rule function_94695_0 {
	meta:
		name = "TCustomTeePanel.Print"
		size = 29
		refs = "000b TCustomTeePanel.ChartPrintRect 0014 TCustomTeePanel.PrintRect"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D4 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_94696_0 {
	meta:
		name = "DrawBevel"
		size = 202
		refs = "0059 Colors 0064 TPen.SetColor 0071 InflateRect 007e TTeeCanvas.RoundRect"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 88 55 FB 89 45 FC 8B 5D 08 8B 7D 0C 80 7D FB 00 0F 84 A0 00 00 00 8B 46 0C 2B 46 04 D1 F8 79 03 83 D0 00 8B 56 08 2B 16 D1 FA 79 03 83 D2 00 3B D0 7F 02 8B C2 3B C7 7E 02 8B C7 8B F8 85 DB 7E 47 80 7D FB 01 0F 94 C0 83 E0 7F 8B 14 85 ?? ?? ?? ?? 8B 45 FC 8B 40 10 E8 ?? ?? ?? ?? 8B C6 83 C9 FF 83 CA FF E8 ?? ?? ?? ?? 53 8B D6 8B CB 8B 45 FC E8 ?? ?? ?? ?? 8B C7 F7 D8 8B C8 8B D0 8B C6 E8 ?? ?? ?? ?? EB 2E 80 7D FB 02 0F 94 C0 83 E0 7F 8B 04 85 ?? ?? ?? ?? 50 57 80 7D FB 01 0F 94 C0 83 E0 7F 8B 0C 85 ?? ?? ?? ?? 8B D6 8B 45 FC 8B 18 FF 53 78 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_94697_0 {
	meta:
		name = "TCustomTeePanel.DrawPanelBevels"
		size = 453
		refs = "002c TBrush.SetStyle 00c8 TTeeCanvas.RoundRect 0106 InflateRect 0115 PrintTeePanel 012e TPen.SetStyle 013a TPen.SetWidth 0143 TPen.SetMode 0167 DrawBevel"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B F0 8B 86 40 03 00 00 8B 10 FF 92 68 01 00 00 8B 86 40 03 00 00 8B 40 04 B2 01 E8 ?? ?? ?? ?? 8B BE 9C 02 00 00 80 7F 28 00 0F 84 CA 00 00 00 80 7F 21 00 74 07 BB 01 00 00 00 EB 42 8B 47 10 8B 58 1C 4B 85 DB 7E 37 8B C3 D1 F8 79 03 83 D0 00 8B D3 81 E2 01 00 00 80 79 05 4A 83 CA FE 42 4A 75 01 40 01 04 24 01 44 24 04 B9 02 00 00 00 8B C3 99 F7 F9 89 C3 29 5C 24 08 29 5C 24 0C 8B AE 9C 02 00 00 8B 45 10 8B 48 18 8B D5 8B 86 40 03 00 00 8B 38 FF 57 54 8B 86 A0 02 00 00 85 C0 7E 1C FF 4C 24 08 FF 4C 24 0C 50 8D 54 24 04 8B C8 8B 86 40 03 00 00 E8 ?? ?? ?? ?? EB 2D 8B 44 24 08 50 8B 44 24 10 50 8B 86 40 03 00 00 8B 4C 24 0C 8B 54 24 08 8B 38 FF 97 8C 00 00 00 8B 86 9C 02 00 00 80 78 21 00 75 01 43 8B C3 F7 D8 8B C8 8B D0 8B C4 E8 ?? ?? ?? ?? 80 BE F8 02 00 00 00 74 0D 80 3D ?? ?? ?? ?? 00 0F 84 8F 00 00 00 8B 86 40 03 00 00 8B 58 10 33 D2 8B C3 E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? B2 04 8B C3 E8 ?? ?? ?? ?? 8B 86 84 02 00 00 50 8B 86 A0 02 00 00 50 0F B6 96 83 02 00 00 8D 4C 24 08 8B 86 40 03 00 00 E8 ?? ?? ?? ?? 8B AE 88 02 00 00 85 ED 76 16 8B 7E 74 57 55 8D 54 24 08 8B CF 8B 86 40 03 00 00 8B 18 FF 53 78 8B 86 84 02 00 00 50 8B 86 A0 02 00 00 50 0F B6 96 82 02 00 00 8D 4C 24 08 8B 86 40 03 00 00 E8 ?? ?? ?? ?? 8B 86 40 03 00 00 8B 10 FF 92 6C 01 00 00 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94698_0 {
	meta:
		name = "TTeeZoomPen.IsColorStored"
		size = 13
	strings:
		$1 = { 8B 50 10 8B 52 18 3B 50 30 0F 95 C0 C3 }
	condition:
		$1
}

rule function_94702_0 {
	meta:
		name = "TTeeZoom.Create"
		size = 79
		refs = "000a @ClassCreate 0017 TObject.Create 003c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 1C 08 00 00 00 C6 46 18 01 C6 46 28 02 C7 46 30 10 00 00 00 C6 46 34 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_94703_0 {
	meta:
		name = "TTeeZoom.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000f TObject.Free 002a TPersistent.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 20 E8 ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94704_0 {
	meta:
		name = "TTeeZoom.Assign"
		size = 106
		refs = "000b _DV_TTeeZoom 0010 @IsClass 0034 TTeeZoom.SetBrush 0062 TTeeZoom.SetPen"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4E 8B FE 0F B6 47 18 88 43 18 0F B6 47 19 88 43 19 8B 47 1C 89 43 1C 8B 57 24 8B C3 E8 ?? ?? ?? ?? 0F B6 47 28 88 43 28 0F B6 47 29 88 43 29 0F B6 47 2A 88 43 2A 0F B7 47 2B 66 89 43 2B 0F B6 47 34 88 43 34 8B 57 38 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94705_0 {
	meta:
		name = "TTeeZoom.SetBrush"
		size = 46
		refs = "000d TTeeZoom.GetBrush 0027 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 8D 43 24 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94706_0 {
	meta:
		name = "TTeeZoom.SetPen"
		size = 46
		refs = "000d TTeeZoom.GetPen 0027 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 8D 43 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94708_0 {
	meta:
		name = "TTeeZoom.SetHistory"
		size = 24
	strings:
		$1 = { 88 50 29 80 78 29 00 75 0E 83 78 20 00 74 08 8B 40 20 8B 10 FF 52 08 C3 }
	condition:
		$1
}

rule function_94709_0 {
	meta:
		name = "TTeeZoom.GetBrush"
		size = 59
		refs = "0011 _DV_TTeeZoomBrush 0016 TChartBrush.Create 0027 TBrush.SetColor 0031 TBrush.SetStyle"
	strings:
		$1 = { 53 56 8B D8 83 7B 24 00 75 2B 6A 00 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 24 BA FF FF FF 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B 43 24 E8 ?? ?? ?? ?? 8B 43 24 5E 5B C3 }
	condition:
		$1
}

rule function_94710_0 {
	meta:
		name = "TTeeZoom.GetPen"
		size = 59
		refs = "0011 _DV_TTeeZoomPen 0016 TChartPen.Create 0027 TPen.SetColor"
	strings:
		$1 = { 53 56 8B D8 83 7B 38 00 75 2B 6A 00 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 38 BA FF FF FF 00 8B C6 E8 ?? ?? ?? ?? 8B 43 38 C7 40 30 FF FF FF 00 8B 43 38 5E 5B C3 }
	condition:
		$1
}

rule function_94711_0 {
	meta:
		name = "TBackImage.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TPicture.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 40 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_94712_0 {
	meta:
		name = "TBackImage.Assign"
		size = 63
		refs = "000a _DV_TBackImage 000f @IsClass 0038 TTeePicture.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 8B C6 0F B6 50 38 88 53 38 8B 50 3C 89 53 3C 0F B6 50 40 88 53 40 8B 40 44 89 43 44 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94713_0 {
	meta:
		name = "TBackImage.SetInside"
		size = 22
		refs = "0010 @CallDynaInst"
	strings:
		$1 = { 56 3A 50 38 74 0E 88 50 38 8B D0 66 BE FD FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_94714_0 {
	meta:
		name = "TBackImage.SetMode"
		size = 22
		refs = "0010 @CallDynaInst"
	strings:
		$1 = { 56 3A 50 40 74 0E 88 50 40 8B D0 66 BE FD FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_94715_0 {
	meta:
		name = "TBackImage.SetLeft"
		size = 22
		refs = "0010 @CallDynaInst"
	strings:
		$1 = { 56 3B 50 3C 74 0E 89 50 3C 8B D0 66 BE FD FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_94716_0 {
	meta:
		name = "TBackImage.SetTop"
		size = 22
		refs = "0010 @CallDynaInst"
	strings:
		$1 = { 56 3B 50 44 74 0E 89 50 44 8B D0 66 BE FD FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_94717_0 {
	meta:
		name = "TCustomTeePanelExtended.Create"
		size = 85
		refs = "000a @ClassCreate 0017 TCustomTeePanel.Create 002c _DV_TTeeZoom 0031 TTeeZoom.Create 0042 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 68 03 00 00 03 C6 86 70 03 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 74 03 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_94718_0 {
	meta:
		name = "TCustomTeePanelExtended.Destroy"
		size = 69
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0033 TCustomTeePanel.Destroy 003e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 74 03 00 00 E8 ?? ?? ?? ?? 8B 86 6C 03 00 00 E8 ?? ?? ?? ?? 8B 86 7C 03 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94719_0 {
	meta:
		name = "TCustomTeePanelExtended.SetAnimatedZoom"
		size = 10
	strings:
		$1 = { 8B 80 74 03 00 00 88 50 19 C3 }
	condition:
		$1
}

rule function_94720_0 {
	meta:
		name = "TCustomTeePanelExtended.SetAnimatedZoomSteps"
		size = 10
	strings:
		$1 = { 8B 80 74 03 00 00 89 50 1C C3 }
	condition:
		$1
}

rule function_94721_0 {
	meta:
		name = "TCustomTeePanelExtended.GetBackImage"
		size = 56
		refs = "0010 _DV_TBackImage 0015 TBackImage.Create"
	strings:
		$1 = { 53 56 8B D8 83 BB 7C 03 00 00 00 75 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 7C 03 00 00 89 5E 14 8B 03 8B 80 08 01 00 00 89 46 10 8B 83 7C 03 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_94722_0 {
	meta:
		name = "TCustomTeePanelExtended.SetBackImage"
		size = 59
		refs = "000d TCustomTeePanelExtended.GetBackImage 002a TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 8D 83 7C 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_94725_0 {
	meta:
		name = "TCustomTeePanelExtended.HasBackImage"
		size = 22
	strings:
		$1 = { 8B 90 7C 03 00 00 85 D2 74 06 83 7A 0C 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_94726_0 {
	meta:
		name = "TCustomTeePanelExtended.SetBackImageTransp"
		size = 36
		refs = "0009 TCustomTeePanelExtended.HasBackImage"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 10 8B 86 7C 03 00 00 8B 40 0C 8B D3 8B 08 FF 51 40 5E 5B C3 }
	condition:
		$1
}

rule function_94727_0 {
	meta:
		name = "TCustomTeePanelExtended.UndoZoom"
		size = 46
	strings:
		$1 = { 53 8B D8 66 83 BB 92 03 00 00 00 74 0E 8B D3 8B 83 94 03 00 00 FF 93 90 03 00 00 8B C3 8B 10 FF 92 9C 00 00 00 C6 83 78 03 00 00 00 5B C3 }
	condition:
		$1
}

rule function_94728_0 {
	meta:
		name = "TCustomTeePanelExtended.GetGradient"
		size = 48
		refs = "0019 _Dn_TTeeGradient 001e TCustomTeeGradient.Create"
	strings:
		$1 = { 53 8B D8 83 BB 6C 03 00 00 00 75 1C 53 8B 03 8B 80 08 01 00 00 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 6C 03 00 00 8B 83 6C 03 00 00 5B C3 }
	condition:
		$1
}

rule function_94729_0 {
	meta:
		name = "TCustomTeePanelExtended.SetGradient"
		size = 49
		refs = "000d TCustomTeePanelExtended.GetGradient 002a TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 5E 5B C3 8D 83 6C 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94730_0 {
	meta:
		name = "TCustomTeePanelExtended.Assign"
		size = 104
		refs = "000b _DV_TCustomTeePanelExtended 0010 @IsClass 0023 TCustomTeePanelExtended.SetBackImage 0030 TCustomTeePanelExtended.SetGradient 0057 TCustomTeePanelExtended.SetZoom 0060 TCustomTeePanel.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 43 8B FE 8B 97 7C 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 97 6C 03 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 87 68 03 00 00 88 83 68 03 00 00 0F B6 87 70 03 00 00 88 83 70 03 00 00 8B 97 74 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94731_0 {
	meta:
		name = "TCustomTeePanelExtended.GetPalette"
		size = 62
		refs = "0009 TCustomTeePanelExtended.HasBackImage 001c _Dn_TBitmap 0021 @IsClass"
	strings:
		$1 = { 53 56 8B D8 33 F6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 28 8B 83 7C 03 00 00 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B 83 7C 03 00 00 8B 40 0C 8B 10 FF 52 28 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_94732_0 {
	meta:
		name = "TCustomTeePanelExtended.DrawBitmap"
		size = 55
		refs = "0016 TCustomTeePanelExtended.HasBackImage 002c TBackImage.Draw"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 56 8D 4C 24 04 8B D3 8B 83 7C 03 00 00 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94733_0 {
	meta:
		name = "TileBitmap"
		size = 324
		refs = "0010 TPicture.GetWidth 001e TPicture.GetHeight"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 FC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D FC 00 0F 8E 0E 01 00 00 83 7D F8 00 0F 8E 04 01 00 00 33 F6 8B 45 08 83 78 08 00 7E 12 8B 45 08 8B 40 F8 8B 80 08 03 00 00 80 78 20 00 74 04 33 C0 EB 02 B0 01 88 45 F7 8B 45 08 3B 70 F4 0F 8D D2 00 00 00 33 DB 8B 45 08 3B 58 F0 0F 8D B5 00 00 00 80 7D F7 00 74 78 8B 45 08 8B 40 E0 03 C3 89 45 F0 8B 45 08 8B 40 E4 03 C6 89 45 EC 8B 45 08 8B 40 E0 03 C3 03 45 FC 89 45 E8 8B 45 08 8B 40 E4 03 C6 03 45 F8 89 45 E4 8B 45 F0 89 45 D4 8B 45 EC 89 45 D8 8B 45 E8 89 45 DC 8B 45 E4 89 45 E0 8B 45 08 DB 40 08 83 C4 F8 DD 1C 24 9B 6A 02 8B 45 08 8B 48 DC 8D 55 D4 8B 45 08 8B 40 F8 8B 80 40 03 00 00 8B 38 FF 97 B4 01 00 00 EB 28 8B 45 08 8B 40 DC 50 8B 45 08 8B 48 E4 03 CE 8B 45 08 8B 50 E0 03 D3 8B 45 08 8B 40 F8 8B 80 40 03 00 00 8B 38 FF 57 6C 03 5D FC 8B 45 08 3B 58 F0 0F 8C 4B FF FF FF 03 75 F8 8B 45 08 3B 70 F4 0F 8C 2E FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94734_0 {
	meta:
		name = "Calc3DRect"
		size = 81
		refs = "0025 TCanvas3D.CalcRect3D"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8D 45 F0 50 8B 45 08 8B 48 08 8B 45 08 8D 50 E0 8B 45 08 8B 40 F8 8B 80 40 03 00 00 E8 ?? ?? ?? ?? 8B 45 08 8D 75 F0 8D 78 E0 A5 A5 A5 A5 8B 45 08 8B 40 F8 80 B8 04 03 00 00 00 75 06 8B 45 08 FF 40 E4 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_94735_0 {
	meta:
		name = "TBackImage.Draw"
		size = 545
		refs = "001c TTeePicture.Filtered 0046 Calc3DRect 00a6 TCustomTeePanel.CanClip 0128 TileBitmap 015f TPicture.GetWidth 016d TPicture.GetHeight 01ab InflateRect"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B F1 8D 7D E0 A5 A5 A5 A5 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 89 45 DC 8B 45 FC 80 78 40 00 75 76 83 7D 08 00 74 54 8B 45 F8 8B 80 40 03 00 00 8B 50 44 80 7A 20 00 74 23 55 E8 ?? ?? ?? ?? 59 8D 55 E0 8B 45 F8 8B 80 40 03 00 00 8B 4D DC 8B 18 FF 93 94 00 00 00 E9 B1 01 00 00 DB 45 08 83 C4 F8 DD 1C 24 9B 6A 02 8D 55 E0 8B 4D DC 8B 18 FF 93 B4 01 00 00 E9 92 01 00 00 8D 55 E0 8B 45 F8 8B 80 40 03 00 00 8B 4D DC 8B 18 FF 93 94 00 00 00 E9 76 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 88 45 DB 80 7D DB 00 74 3C 83 7D 08 00 75 16 8D 55 E0 8B 45 F8 8B 80 40 03 00 00 8B 08 FF 91 AC 00 00 00 EB 20 8B 45 F8 8B 80 0C 03 00 00 50 8D 55 E0 8B 45 F8 8B 80 40 03 00 00 33 C9 8B 18 FF 93 34 01 00 00 83 7D 08 00 74 16 8B 45 F8 8B 80 08 03 00 00 80 78 20 00 74 07 55 E8 ?? ?? ?? ?? 59 8B 45 E8 2B 45 E0 89 45 F0 8B 45 EC 2B 45 E4 89 45 F4 8B 45 FC 80 78 40 01 75 0C 55 E8 ?? ?? ?? ?? 59 E9 CF 00 00 00 8D 55 E0 8B 45 F8 8B 08 FF 91 14 01 00 00 8B 45 FC 80 78 40 03 75 30 8B 45 FC 8B 40 3C 01 45 E0 8B 45 FC 8B 40 44 01 45 E4 8B 45 FC E8 ?? ?? ?? ?? 03 45 E0 89 45 E8 8B 45 FC E8 ?? ?? ?? ?? 03 45 E4 89 45 EC EB 36 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 2B D0 F7 DA D1 FA 79 03 83 D2 00 52 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 2B D0 F7 DA D1 FA 79 03 83 D2 00 8D 45 E0 59 E8 ?? ?? ?? ?? 83 7D 08 00 74 34 8B 45 F8 8B 80 08 03 00 00 80 78 20 00 75 25 DB 45 08 83 C4 F8 DD 1C 24 9B 6A 02 8D 55 E0 8B 45 F8 8B 80 40 03 00 00 8B 4D DC 8B 18 FF 93 B4 01 00 00 EB 18 8B 45 DC 50 8B 45 F8 8B 80 40 03 00 00 8B 4D E4 8B 55 E0 8B 18 FF 53 6C 80 7D DB 00 74 11 8B 45 F8 8B 80 40 03 00 00 8B 10 FF 92 E0 00 00 00 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_94736_0 {
	meta:
		name = "DrawShadowEmboss"
		size = 334
		refs = "0016 TTeeShadow.GetSize 003e ColorToRGB 0052 TCustomTeePanelExtended.PaintBack 00f0 TTeeShadow.Draw"
	strings:
		$1 = { 55 8B EC 53 56 8B DA 8B F0 80 7E 20 00 0F 84 37 01 00 00 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 28 01 00 00 8B 45 08 8B 40 FC 8B 40 38 85 C0 74 05 8B 40 74 EB 09 8B 45 08 8B 40 FC 8B 40 74 E8 ?? ?? ?? ?? 6A 00 8B 55 08 83 C2 EC 8B 4D 08 8B 49 FC 91 E8 ?? ?? ?? ?? 84 DB 74 38 8B 46 0C 85 C0 7E 0B 03 C0 40 8B 55 08 29 42 EC EB 09 03 C0 40 8B 55 08 29 42 F4 8B 46 1C 85 C0 7E 0B 03 C0 40 8B 55 08 29 42 F0 EB 41 03 C0 40 8B 55 08 29 42 F8 EB 36 8B 46 0C 85 C0 7E 0B 03 C0 40 8B 55 08 29 42 F4 EB 09 03 C0 40 8B 55 08 29 42 EC 8B 46 1C 85 C0 7E 0B 03 C0 40 8B 55 08 29 42 F8 EB 09 03 C0 40 8B 55 08 29 42 F0 6A 00 6A 00 8B 45 08 8B 40 FC 8B 80 A0 02 00 00 50 6A 00 8B 45 08 8D 48 EC 8B 45 08 8B 40 FC 8B 90 40 03 00 00 8B C6 E8 ?? ?? ?? ?? 84 DB 74 2A 83 7E 0C 00 7E 08 8B 45 08 FF 40 EC EB 06 8B 45 08 FF 48 F4 83 7E 1C 00 7E 08 8B 45 08 FF 40 F0 EB 30 8B 45 08 FF 48 F8 EB 28 83 7E 0C 00 7E 08 8B 45 08 FF 40 F4 EB 06 8B 45 08 FF 48 EC 83 7E 1C 00 7E 08 8B 45 08 FF 40 F8 EB 06 8B 45 08 FF 48 F0 5E 5B 5D C3 }
	condition:
		$1
}

rule function_94737_0 {
	meta:
		name = "TCustomTeePanelExtended.PanelPaint"
		size = 236
		refs = "001a TCustomTeePanelExtended.PanelPaint 004d DrawShadowEmboss 0076 TCustomTeePanelExtended.HasBackImage 0082 TCustomTeePanelExtended.GetBackImage 0095 TCustomTeePanelExtended.DrawBitmap 00a4 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B DA 89 45 FC 8B 45 FC 8B 80 40 03 00 00 33 C9 BA ?? ?? ?? ?? 8B 30 FF 96 E4 00 00 00 8B 45 FC 8B 80 40 03 00 00 8B 10 FF 92 68 01 00 00 8B F3 8D 7D EC A5 A5 A5 A5 55 8B 45 FC 8B 80 00 03 00 00 33 D2 E8 ?? ?? ?? ?? 59 55 8B 45 FC 8B 80 CC 02 00 00 B2 01 E8 ?? ?? ?? ?? 59 8D 55 EC 8B 45 FC 8B 08 FF 91 14 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 FC E8 ?? ?? ?? ?? 80 78 38 00 75 0D 33 C9 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 66 BE AE FF E8 ?? ?? ?? ?? 8B 45 FC 8B 80 40 03 00 00 8B 10 FF 92 6C 01 00 00 8B 45 FC 8B 80 40 03 00 00 8B 10 FF 92 E8 00 00 00 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 61 00 6E 00 65 00 6C 00 00 00 }
	condition:
		$1
}

rule function_94738_0 {
	meta:
		name = "TCustomTeePanelExtended.PaintBack"
		size = 201
		refs = "0016 PrintTeePanel 0039 TBrush.SetColor 0043 TBrush.SetStyle 004d TPen.SetStyle 0064 TTeeCanvas.GetGradient 0088 TCustomTeeGradient.Draw 0098 TCustomTeeGradient.SetVisible 00be TTeeCanvas.RoundRect"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 80 BB F8 02 00 00 00 74 0D 80 3D ?? ?? ?? ?? 00 0F 84 A1 00 00 00 81 F9 FF FF FF 1F 0F 84 95 00 00 00 8B B3 40 03 00 00 8B D1 8B 46 04 E8 ?? ?? ?? ?? 33 D2 8B 46 04 E8 ?? ?? ?? ?? B2 05 8B 46 10 E8 ?? ?? ?? ?? 8B 83 6C 03 00 00 85 C0 74 33 80 78 28 00 74 2D 8B C6 E8 ?? ?? ?? ?? 8B 93 6C 03 00 00 8B 08 FF 51 08 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B 4D FC 8B 93 40 03 00 00 E8 ?? ?? ?? ?? EB 34 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 83 7D 08 00 75 0F 8B 55 FC 8B C6 8B 08 FF 91 C4 00 00 00 EB 11 8B 45 08 50 8B 55 FC 8B 4D 08 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_94739_0 {
	meta:
		name = "TCustomTeePanelExtended.FillPanelRect"
		size = 56
		refs = "0023 TCustomTeePanelExtended.PaintBack"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B 86 40 03 00 00 8B 10 FF 92 68 01 00 00 8B 86 A0 02 00 00 50 8B D3 8B 4E 74 8B C6 E8 ?? ?? ?? ?? 8B 86 40 03 00 00 8B 10 FF 92 6C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_94740_0 {
	meta:
		name = "TCustomTeePanelExtended.DrawZoomRectangle"
		size = 249
		refs = "0012 ColorToRGB 0025 TTeeZoom.GetBrush 0049 TCustomTeePanel.SetBrushCanvas 005b TBrush.SetStyle 0066 TTeeZoom.GetPen 006d TPen.SetMode"
	strings:
		$1 = { 53 56 57 55 51 8B D8 8B C3 8B 10 FF 92 FC 00 00 00 E8 ?? ?? ?? ?? 8B F8 8B 83 74 03 00 00 83 78 24 00 74 2B E8 ?? ?? ?? ?? 8B 40 10 8B 70 18 57 8B 83 74 03 00 00 E8 ?? ?? ?? ?? 8B C8 BA FF FF FF 00 2B D7 33 D6 8B C3 E8 ?? ?? ?? ?? EB 10 8B 83 40 03 00 00 8B 40 04 B2 01 E8 ?? ?? ?? ?? 8B 83 74 03 00 00 E8 ?? ?? ?? ?? B2 0F E8 ?? ?? ?? ?? 8B B3 40 03 00 00 8B 83 74 03 00 00 E8 ?? ?? ?? ?? 8B E8 8B 83 74 03 00 00 E8 ?? ?? ?? ?? 8B 40 10 8B 40 18 89 04 24 B9 FF FF FF 00 2B CF 33 0C 24 8B D5 8B C6 8B 38 FF 57 54 8B 83 74 03 00 00 8B 40 24 85 C0 75 04 B0 01 EB 0C 8B 40 10 0F B6 40 20 3C 01 0F 94 C0 84 C0 74 09 B2 01 8B C6 8B 08 FF 51 30 8B 83 74 03 00 00 8B 50 10 52 8B 50 14 52 8B 48 0C 8B 50 08 8B C6 8B 18 FF 93 8C 00 00 00 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94741_0 {
	meta:
		name = "TCustomTeePanelExtended.GetAllowZoom"
		size = 11
	strings:
		$1 = { 8B 80 74 03 00 00 0F B6 40 18 C3 }
	condition:
		$1
}

rule function_94742_0 {
	meta:
		name = "TCustomTeePanelExtended.GetAnimatedZoom"
		size = 11
	strings:
		$1 = { 8B 80 74 03 00 00 0F B6 40 19 C3 }
	condition:
		$1
}

rule function_94743_0 {
	meta:
		name = "TCustomTeePanelExtended.GetAnimatedZoomSteps"
		size = 10
	strings:
		$1 = { 8B 80 74 03 00 00 8B 40 1C C3 }
	condition:
		$1
}

rule function_94744_0 {
	meta:
		name = "TCustomTeePanelExtended.GetBackImageTransp"
		size = 40
		refs = "0006 TCustomTeePanelExtended.HasBackImage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 83 7C 03 00 00 8B 40 0C 8B 10 FF 52 2C 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_94745_0 {
	meta:
		name = "TCustomTeePanelExtended.GetBackImageInside"
		size = 35
		refs = "0006 TCustomTeePanelExtended.HasBackImage 0011 TCustomTeePanelExtended.GetBackImage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C3 E8 ?? ?? ?? ?? 80 78 38 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_94746_0 {
	meta:
		name = "TCustomTeePanelExtended.GetBackImageMode"
		size = 16
		refs = "0006 TCustomTeePanelExtended.GetBackImage"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 40 40 5B C3 }
	condition:
		$1
}

rule function_94747_0 {
	meta:
		name = "TCustomTeePanelExtended.SetAllowZoom"
		size = 10
	strings:
		$1 = { 8B 80 74 03 00 00 88 50 18 C3 }
	condition:
		$1
}

rule function_94748_0 {
	meta:
		name = "TCustomTeePanelExtended.SetZoom"
		size = 12
	strings:
		$1 = { 8B 80 74 03 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_94749_0 {
	meta:
		name = "TCustomTeePanelExtended.ReadAllowZoom"
		size = 25
		refs = "0009 TReader.ReadBoolean"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 93 74 03 00 00 88 42 18 5E 5B C3 }
	condition:
		$1
}

rule function_94750_0 {
	meta:
		name = "TCustomTeePanelExtended.ReadAnimatedZoom"
		size = 25
		refs = "0009 TReader.ReadBoolean"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 93 74 03 00 00 88 42 19 5E 5B C3 }
	condition:
		$1
}

rule function_94751_0 {
	meta:
		name = "TCustomTeePanelExtended.ReadAnimatedZoomSteps"
		size = 25
		refs = "0009 TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 93 74 03 00 00 89 42 1C 5E 5B C3 }
	condition:
		$1
}

rule function_94752_0 {
	meta:
		name = "TCustomTeePanelExtended.ReadPrintMargins"
		size = 74
		refs = "000b TReader.CheckValue 001a TReader.ReadInteger"
	strings:
		$1 = { 53 56 8B DA 8B F0 B2 01 8B C3 E8 ?? ?? ?? ?? 8D 86 54 03 00 00 8B F0 8B C3 E8 ?? ?? ?? ?? 89 06 8B C3 E8 ?? ?? ?? ?? 89 46 04 8B C3 E8 ?? ?? ?? ?? 89 46 08 8B C3 E8 ?? ?? ?? ?? 89 46 0C 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94753_0 {
	meta:
		name = "TCustomTeePanelExtended.SavePrintMargins"
		size = 74
		refs = "000b TWriter.WriteValue 001c TWriter.WriteInteger"
	strings:
		$1 = { 53 56 8B DA 8B F0 B2 01 8B C3 E8 ?? ?? ?? ?? 8D 86 54 03 00 00 8B F0 8B 16 8B C3 E8 ?? ?? ?? ?? 8B 56 04 8B C3 E8 ?? ?? ?? ?? 8B 56 08 8B C3 E8 ?? ?? ?? ?? 8B 56 0C 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94754_0 {
	meta:
		name = "NotDefaultPrintMargins"
		size = 45
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 05 54 03 00 00 83 38 0F 75 16 83 78 04 0F 75 10 83 78 08 0F 75 0A 83 78 0C 0F 75 04 33 C0 5D C3 B0 01 5D C3 }
	condition:
		$1
}

rule function_94755_0 {
	meta:
		name = "TCustomTeePanelExtended.DefineProperties"
		size = 308
		refs = "0011 TCustomTeePanel.DefineProperties 001a TCustomTeePanelExtended.ReadAllowZoom 0025 TCustomTeePanelExtended.DefineProperties 0035 TCustomTeePanelExtended.ReadAnimatedZoom 0050 TCustomTeePanelExtended.ReadAnimatedZoomSteps 006b TCustomTeePanelExtended.ReadPrintMargins 0074 TCustomTeePanelExtended.SavePrintMargins 007a NotDefaultPrintMargins"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 04 8B 45 FC 50 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 04 8B 45 FC 50 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 04 8B 45 FC 50 68 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 04 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 41 00 6C 00 6C 00 6F 00 77 00 5A 00 6F 00 6F 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 41 00 6E 00 69 00 6D 00 61 00 74 00 65 00 64 00 5A 00 6F 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 41 00 6E 00 69 00 6D 00 61 00 74 00 65 00 64 00 5A 00 6F 00 6F 00 6D 00 53 00 74 00 65 00 70 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 50 00 72 00 69 00 6E 00 74 00 4D 00 61 00 72 00 67 00 69 00 6E 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_94756_0 {
	meta:
		name = "TTeeCustomShapeBrushPen.Create"
		size = 105
		refs = "000b @ClassCreate 0018 TObject.Create 001e TTeeCustomShapeBrushPen.CanvasChanged 0029 @CallDynaInst 003e _Dn_TChartPen 0043 TChartPen.Create 0055 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 8B C7 66 BE FD FF E8 ?? ?? ?? ?? B2 01 FF 50 10 89 47 04 57 68 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C C6 47 10 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94757_0 {
	meta:
		name = "TTeeCustomShapeBrushPen.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TPersistent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94758_0 {
	meta:
		name = "TTeeCustomShapeBrushPen.Assign"
		size = 68
		refs = "000b _DV_TTeeCustomShapeBrushPen 0010 @IsClass 0020 TTeeCustomShapeBrushPen.SetBrush 002a TTeeCustomShapeBrushPen.SetPen 003c TPersistent.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B FE 8B 57 04 8B C3 E8 ?? ?? ?? ?? 8B 57 0C 8B C3 E8 ?? ?? ?? ?? 0F B6 47 10 88 43 10 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94767_0 {
	meta:
		name = "TTeeCustomShapeBrushPen.SetVisible"
		size = 29
		refs = "0012 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 53 8B 48 08 85 C9 74 10 8D 58 10 8B C1 8B CA 8B D3 E8 ?? ?? ?? ?? 5B C3 88 50 10 5B C3 }
	condition:
		$1
}

rule function_94768_0 {
	meta:
		name = "TTeeCustomShape.Create"
		size = 151
		refs = "000f @ClassCreate 0026 TTeeCustomShapeBrushPen.Create 002c TTeeCustomShapeBrushPen.CanvasChanged 0033 _Dn_TTeeShadow 0038 TTeeShadow.Create 004a @CallDynaInst 0057 _Dn_TTeeFont 005c TTeeFont.Create 0081 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F8 8B D1 8B C7 8B 08 FF 51 0C 33 D2 8B C7 E8 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 5F 3C 8B D3 8B C7 66 BE FB FF E8 ?? ?? ?? ?? 57 68 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 20 C7 47 18 02 00 00 00 C7 47 1C FF FF FF 00 C7 47 24 10 00 00 00 8B C7 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_94769_0 {
	meta:
		name = "TTeeCustomShape.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 000f TObject.Free 0032 TTeeCustomShapeBrushPen.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 34 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94770_0 {
	meta:
		name = "TTeeCustomShape.Assign"
		size = 132
		refs = "000b _DV_TTeeCustomShape 0010 @IsClass 0033 TTeeCustomShape.SetFont 0044 TTeeCustomShape.SetPicture 0054 TTeeCustomShape.SetEmboss 005e TTeeCustomShape.SetShadow 007c TTeeCustomShapeBrushPen.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5F 8B FE 0F B6 47 14 88 43 14 8B 47 18 89 43 18 8B 47 1C 89 43 1C 8B 57 20 8B C3 E8 ?? ?? ?? ?? 0F B6 47 28 88 43 28 8B 57 38 8B C3 E8 ?? ?? ?? ?? 8B 47 24 89 43 24 8B 57 34 8B C3 E8 ?? ?? ?? ?? 8B 57 3C 8B C3 E8 ?? ?? ?? ?? 0F B6 47 29 88 43 29 0F B6 47 2A 88 43 2A 0F B6 47 40 88 43 40 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94771_0 {
	meta:
		name = "TTeeCustomShape.Draw"
		size = 13
		refs = "0008 TTeeCustomShape.DrawRectRotated"
	strings:
		$1 = { 6A 00 33 C9 8D 50 44 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94773_0 {
	meta:
		name = "RectToFourPoints"
		size = 188
		refs = "003c TeePiStep 0050 SinCos 007d RotatePoint"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F2 8B D8 8B 03 03 43 08 D1 F8 79 03 83 D0 00 89 45 E0 8B 43 04 03 43 0C D1 F8 79 03 83 D0 00 89 45 E4 8B 45 E0 89 45 F8 8B 45 E4 89 45 FC DD 45 08 A1 ?? ?? ?? ?? DC 08 83 C4 F8 DD 1C 24 9B 8D 55 F0 8D 45 E8 E8 ?? ?? ?? ?? 56 8B F3 8D 7D D0 A5 A5 A5 A5 5E 8B 45 F8 29 45 D0 29 45 D8 8B 45 FC 29 45 D4 29 45 DC 55 8B C6 8B 5D D4 8B CB 8B 55 D0 E8 ?? ?? ?? ?? 59 55 8D 46 08 8B CB 8B 7D D8 8B D7 E8 ?? ?? ?? ?? 59 55 8D 46 10 8B 5D DC 8B CB 8B D7 E8 ?? ?? ?? ?? 59 55 8D 46 18 8B CB 8B 55 D0 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_94774_0 {
	meta:
		name = "TTeeCustomShape.DrawRectRotated"
		size = 41
		refs = "001d TTeeCustomShape.DrawRectRotated"
	strings:
		$1 = { 55 8B EC 83 C4 F0 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 51 8B 55 08 52 8B 50 08 8D 4D F0 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_94775_0 {
	meta:
		name = "InternalDrawShape"
		size = 365
		refs = "0027 RectToFourPoints 00d6 TCanvas3D.EllipseWithZ 0162 TTeeCanvas.RoundRect"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F0 8B 45 08 83 78 0C 00 74 75 8B 45 08 DB 40 0C 83 C4 F8 DD 1C 24 9B 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 74 28 8B 45 08 8B 40 08 50 8D 55 E0 8B 45 08 8B 40 FC 8B 80 40 03 00 00 B9 03 00 00 00 8B 18 FF 93 90 01 00 00 E9 FE 00 00 00 8D 55 E0 8B 45 08 8B 40 FC 8B 80 40 03 00 00 B9 03 00 00 00 8B 18 FF 93 D8 00 00 00 E9 DD 00 00 00 8B 45 08 8B 40 FC 8B B8 40 03 00 00 8B C7 8B 10 FF 52 1C 84 C0 74 6E 8B 45 08 8B 40 F8 0F B6 40 28 2C 01 72 06 FE C8 74 19 EB 2B 8B 45 08 8B 48 08 8B D6 8B C7 8B 18 FF 93 A0 01 00 00 E9 9B 00 00 00 8B 45 08 8B 48 08 8B D6 8B C7 E8 ?? ?? ?? ?? E9 87 00 00 00 8B 45 08 8B 40 F8 8B 40 24 50 8B 45 08 8B 40 08 50 8B 45 08 8B 40 08 50 8B 45 08 8B 40 F8 8B 48 24 8B D6 8B C7 8B 18 FF 93 5C 01 00 00 EB 58 8B 45 08 8B 40 F8 0F B6 40 28 2C 01 72 06 FE C8 74 1B EB 2F 8B 46 08 50 8B 46 0C 50 8B 4E 04 8B 16 8B C7 8B 18 FF 93 8C 00 00 00 EB 2B 8B 46 08 50 8B 46 0C 50 8B 4E 04 8B 16 8B C7 8B 18 FF 53 70 EB 15 8B 45 08 8B 40 F8 8B 40 24 50 8B C8 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94776_0 {
	meta:
		name = "DrawShadowEmboss"
		size = 599
		refs = "0025 TTeeShadow.GetSize 00d5 TTeeShadow.Draw 018a TPen.SetStyle 0197 TBrush.SetStyle 01ae TBrush.SetColor 0232 InternalDrawShape"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 89 4D FC 8B DA 8B F8 85 DB 0F 84 38 02 00 00 80 7B 20 00 0F 84 2E 02 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 1F 02 00 00 8B 45 08 8B 40 F8 8B 40 04 8B 40 10 0F B6 40 20 3C 01 0F 84 07 02 00 00 8B 45 08 8B 40 F8 0F B6 40 28 3C 02 75 29 8B 45 08 DB 40 08 83 C4 F8 DD 1C 24 9B 6A 00 8B CF 8B 45 08 8B 40 FC 8B 90 40 03 00 00 8B C3 8B 30 FF 56 10 E9 AD 00 00 00 84 C0 75 04 33 F6 EB 09 8B 45 08 8B 40 F8 8B 70 24 8B 45 08 8B 40 FC 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 74 35 8B 45 08 8B 40 08 83 C0 02 89 45 D0 DB 45 D0 83 C4 F8 DD 1C 24 9B 56 8B 45 08 8B 40 0C 50 8B CF 8B 45 08 8B 40 FC 8B 90 40 03 00 00 8B C3 E8 ?? ?? ?? ?? EB 52 8B 45 08 8B 40 FC 8B 80 40 03 00 00 8B 10 FF 92 68 01 00 00 8B 45 08 DB 40 08 83 C4 F8 DD 1C 24 9B 56 8B 45 08 8B 40 0C 50 8B CF 8B 45 08 8B 40 FC 8B 90 40 03 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 80 40 03 00 00 8B 10 FF 92 6C 01 00 00 8B 45 08 8B 40 F8 80 78 40 00 0F 86 13 01 00 00 8B 73 0C 8B 7B 1C 3B FE 7D 04 8B C6 EB 02 8B C7 85 C0 7E 21 8B 45 08 8B 40 F8 8B 40 0C 80 78 28 00 74 12 8B D0 8B 52 10 8B 52 1C 03 F2 8B 40 10 8B 40 1C 03 F8 8B 45 08 8B 40 FC 8B 80 40 03 00 00 89 45 F8 8B 45 F8 8B 40 10 B2 05 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 04 33 D2 E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 40 3C 8B 50 08 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 8B 45 08 8B 40 E8 8B 55 FC 0F AF D6 03 C2 8B 55 08 8B 52 EC 8B 4D FC 0F AF CF 03 D1 89 55 F4 8B 55 08 8B 52 F0 8B 4D FC 0F AF CE 03 D1 8B 4D 08 8B 49 F4 8B 75 FC 0F AF F7 03 CE 89 45 D4 8B 45 F4 89 45 D8 89 55 DC 89 4D E0 8D 75 D4 8D 7D E4 A5 A5 A5 A5 80 7B 18 00 76 1C 8D 55 E4 8B 45 08 8B 40 FC 8B 80 40 03 00 00 0F B6 4B 18 8B 30 FF 56 58 8B F0 EB 02 33 F6 8B 45 08 50 8D 45 E4 E8 ?? ?? ?? ?? 59 80 7B 18 00 76 13 8B 45 08 8B 40 FC 8B 80 40 03 00 00 8B D6 8B 08 FF 51 5C 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94777_0 {
	meta:
		name = "TTeeCustomShape.DrawRectRotated"
		size = 598
		refs = "0045 RectToFourPoints 005b RectFromPolygon 0099 DrawShadowEmboss 0130 TBackImage.Draw 0178 TBrush.SetStyle 01c2 InternalDrawShape 01f6 DrawBevel 0207 TTeeCustomShape.GetPicture 020c TTeePicture.GetFilters 0239 TFilterItems.ApplyTo"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 8B F1 8D 7D E8 A5 A5 A5 A5 89 55 FC 89 45 F8 8B 45 F8 80 78 2A 00 0F 85 28 02 00 00 8B 45 F8 80 78 40 00 76 59 83 7D 0C 00 74 2D DB 45 0C 83 C4 F8 DD 1C 24 9B 8D 55 B8 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 D8 50 8D 45 B8 B9 04 00 00 00 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0A 8D 75 E8 8D 7D D8 A5 A5 A5 A5 8B 45 F8 0F B6 48 40 8D 55 D8 8B 45 FC 8B 80 40 03 00 00 8B 18 FF 53 58 8B F0 EB 02 33 F6 55 8B 45 F8 8B 50 3C 8D 45 E8 B9 01 00 00 00 E8 ?? ?? ?? ?? 59 55 8B 45 F8 8B 50 34 8D 45 E8 83 C9 FF E8 ?? ?? ?? ?? 59 8B 45 F8 8B 40 38 85 C0 0F 84 BF 00 00 00 83 78 0C 00 0F 84 B5 00 00 00 8B 45 F8 0F B6 40 28 3C 02 75 18 8D 55 E8 8B 45 FC 8B 80 40 03 00 00 33 C9 8B 18 FF 93 B4 00 00 00 EB 21 3C 01 75 1D 8B 45 F8 8B 40 24 50 8B C8 8D 55 E8 8B 45 FC 8B 80 40 03 00 00 8B 18 FF 93 B0 00 00 00 8B 45 FC 8B 80 40 03 00 00 8B 10 FF 52 1C 84 C0 74 17 8B 45 08 50 8B 45 F8 8B 40 38 8D 4D E8 8B 55 FC E8 ?? ?? ?? ?? EB 13 6A 00 8B 45 F8 8B 40 38 8D 4D E8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 0F B6 40 28 3C 02 74 04 3C 01 75 11 8B 45 FC 8B 80 40 03 00 00 8B 10 FF 92 E0 00 00 00 8B 45 FC 8B 80 40 03 00 00 8B 40 04 B2 01 E8 ?? ?? ?? ?? EB 23 8B 45 F8 8B 40 04 8B 50 10 8B 52 18 52 8B 55 F8 8B 4A 1C 8B D0 8B 45 FC 8B 80 40 03 00 00 8B 18 FF 53 50 8B 45 F8 8B 40 0C 8B 50 10 8B 4A 18 8B D0 8B 45 FC 8B 80 40 03 00 00 8B 18 FF 53 54 55 8D 45 E8 E8 ?? ?? ?? ?? 59 83 7D 0C 00 75 2D 56 8D 75 E8 8D 7D D8 A5 A5 A5 A5 5E 8B 45 F8 8B 40 18 50 6A 00 8B 45 F8 0F B6 50 14 8D 4D D8 8B 45 FC 8B 80 40 03 00 00 E8 ?? ?? ?? ?? 8B 45 F8 80 78 40 00 76 4A 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 08 8B 40 08 85 C0 7E 23 8B 45 F8 E8 ?? ?? ?? ?? 83 78 0C 00 75 15 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 04 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 40 03 00 00 8B D6 8B 08 FF 51 5C 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_94778_0 {
	meta:
		name = "TTeeCustomShape.IsTranspStored"
		size = 11
	strings:
		$1 = { 0F B6 50 2A 3A 50 30 0F 95 C0 C3 }
	condition:
		$1
}

rule function_94779_0 {
	meta:
		name = "TTeeCustomShape.ReadShadowColor"
		size = 117
		refs = "000f TTeeCustomShape.ReadShadowColor 001c TReader.NextValue 002a TReader.ReadIdent 0032 StringToColor 003c TTeeShadow.SetColor 0045 TReader.ReadInteger 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 3C 07 75 1E 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 43 3C E8 ?? ?? ?? ?? EB 11 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_94780_0 {
	meta:
		name = "TTeeCustomShape.ReadShadowSize"
		size = 26
		refs = "0009 TReader.ReadInteger 0013 TTeeShadow.SetSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 3C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94781_0 {
	meta:
		name = "TTeeCustomShape.DefineProperties"
		size = 140
		refs = "000c TPersistent.DefineProperties 0012 TTeeCustomShape.ReadShadowColor 001d TTeeCustomShape.DefineProperties 002a TTeeCustomShape.ReadShadowSize"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 04 53 68 ?? ?? ?? ?? 6A 00 6A 00 33 C9 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 68 00 61 00 64 00 6F 00 77 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 68 00 61 00 64 00 6F 00 77 00 53 00 69 00 7A 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_94782_0 {
	meta:
		name = "TTeeCustomShape.GetHeight"
		size = 10
	strings:
		$1 = { 8B 50 50 2B 50 48 42 8B C2 C3 }
	condition:
		$1
}

rule function_94783_0 {
	meta:
		name = "TTeeCustomShape.GetWidth"
		size = 10
	strings:
		$1 = { 8B 50 4C 2B 50 44 42 8B C2 C3 }
	condition:
		$1
}

rule function_94784_0 {
	meta:
		name = "TTeeCustomShape.InitEmboss"
		size = 16
		refs = "000b TTeeShadow.InitValues"
		altNames = "TTeeCustomShape.InitShadow"
	strings:
		$1 = { 6A 03 33 C9 8B C2 0F B6 52 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94786_0 {
	meta:
		name = "TTeeCustomShape.InitTransparent"
		size = 7
	strings:
		$1 = { 88 50 2A 88 50 30 C3 }
	condition:
		$1
}

rule function_94788_0 {
	meta:
		name = "TTeeCustomShape.GetPicture"
		size = 43
		refs = "000d _DV_TBackImage 0012 TBackImage.Create 0021 TTeeCustomShape.PictureChanged"
	strings:
		$1 = { 53 56 8B D8 83 7B 38 00 75 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 38 89 5E 14 C7 46 10 ?? ?? ?? ?? 8B 43 38 5E 5B C3 }
	condition:
		$1
}

rule function_94793_0 {
	meta:
		name = "TTeeCustomShape.SetColor"
		size = 29
		refs = "0012 TCustomTeePanel.SetColorProperty"
	strings:
		$1 = { 53 8B 48 08 85 C9 74 10 8D 58 1C 8B C1 8B CA 8B D3 E8 ?? ?? ?? ?? 5B C3 89 50 1C 5B C3 }
	condition:
		$1
}

rule function_94795_0 {
	meta:
		name = "TTeeCustomShape.GetEmboss"
		size = 52
		refs = "000c TTeeCustomShapeBrushPen.CanvasChanged 0013 _Dn_TTeeEmboss 0018 TTeeEmboss.Create 002a @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 83 7B 34 00 75 24 53 68 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 34 8B D6 8B C3 66 BE FC FF E8 ?? ?? ?? ?? 8B 43 34 5E 5B C3 }
	condition:
		$1
}

rule function_94798_0 {
	meta:
		name = "TTeeCustomShape.SetHeight"
		size = 8
	strings:
		$1 = { 03 50 48 4A 89 50 50 C3 }
	condition:
		$1
}

rule function_94799_0 {
	meta:
		name = "TTeeCustomShape.SetWidth"
		size = 8
	strings:
		$1 = { 03 50 44 4A 89 50 4C C3 }
	condition:
		$1
}

rule function_94800_0 {
	meta:
		name = "TTeeCustomShape.SetRoundSize"
		size = 38
	strings:
		$1 = { 56 8B F0 3B 56 24 74 1C 8B C2 89 46 24 85 C0 7E 04 C6 46 28 01 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_94801_0 {
	meta:
		name = "TTeeCustomShape.SetPicture"
		size = 62
		refs = "000d TTeeCustomShape.GetPicture 0026 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 10 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 08 EB 10 8D 43 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 73 08 85 F6 74 0A 8B C6 8B 10 FF 92 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_94802_0 {
	meta:
		name = "TTeeCustomShape.SetShadow"
		size = 30
		refs = "0019 TObject.Free"
	strings:
		$1 = { 85 D2 74 09 8B 40 3C 8B 08 FF 51 08 C3 83 C0 3C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94807_0 {
	meta:
		name = "TTeeCustomShape.SetTextFormat"
		size = 28
	strings:
		$1 = { 56 8B F0 3A 56 29 74 12 88 56 29 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_94808_0 {
	meta:
		name = "TTeeCustomShape.SetTransparency"
		size = 28
	strings:
		$1 = { 56 8B F0 3A 56 40 74 12 88 56 40 8B 46 08 85 C0 74 08 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_94809_0 {
	meta:
		name = "TTeeCustomShape.SetTransparent"
		size = 29
		refs = "0012 TCustomTeePanel.SetBooleanProperty"
	strings:
		$1 = { 53 8B 48 08 85 C9 74 10 8D 58 2A 8B C1 8B CA 8B D3 E8 ?? ?? ?? ?? 5B C3 88 50 2A 5B C3 }
	condition:
		$1
}

rule function_94810_0 {
	meta:
		name = "TTeeDebugPaint.Draw"
		size = 299
		refs = "0019 TTeeDebugPaint.Draw 002b QueryPerformanceCounter 0034 QueryPerformanceFrequency 007c GetDefaultFontName 0085 TFont.SetName 0091 TFont.SetColor 009d TFont.SetSize 00b7 IntToStr 0118 @UStrArrayClr 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 43 14 8D 45 F8 50 E8 ?? ?? ?? ?? 8D 45 F0 50 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC 2B 43 08 1B 53 0C 3B 55 F4 75 07 3B 45 F0 76 1F EB 02 7E 1B 8B 43 14 2B 43 10 89 43 18 8B 45 F8 89 43 08 8B 45 FC 89 43 0C 8B 43 14 89 43 10 8B C6 8B 10 FF 92 4C 01 00 00 8B 7E 0C 8B 15 ?? ?? ?? ?? 8B 12 8B C7 E8 ?? ?? ?? ?? BA FF FF FF 00 8B C7 E8 ?? ?? ?? ?? BA 08 00 00 00 8B C7 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 48 80 7B 1C 00 75 25 8D 55 EC 8B 43 18 E8 ?? ?? ?? ?? 8B 45 EC 50 B9 04 00 00 00 BA 04 00 00 00 8B C6 8B 18 FF 93 98 00 00 00 EB 23 8D 55 E8 8B 43 14 E8 ?? ?? ?? ?? 8B 45 E8 50 B9 04 00 00 00 BA 04 00 00 00 8B C6 8B 18 FF 93 98 00 00 00 8B C6 8B 10 FF 92 54 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94811_0 {
	meta:
		name = "TZoomPanning.Check"
		size = 49
	strings:
		$1 = { 53 56 8B 50 08 3B 50 10 7E 0E 8D 50 08 8D 48 10 8B 1A 8B 31 89 32 89 19 8B 50 0C 3B 50 14 7E 0E 8D 50 0C 83 C0 14 8B 0A 8B 18 89 1A 89 08 5E 5B C3 }
	condition:
		$1
}

rule function_94812_0 {
	meta:
		name = "TZoomPanning.Activate"
		size = 17
	strings:
		$1 = { 89 50 08 89 48 0C 89 50 10 89 48 14 C6 40 04 01 C3 }
	condition:
		$1
}

rule function_94813_0 {
	meta:
		name = "TTeeEventListeners.Add"
		size = 55
		refs = "000f TList.IndexOf 001f TList.Add 002c TList.Put"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B EF 8B D5 8B C3 E8 ?? ?? ?? ?? 8B F0 83 FE FF 75 16 33 D2 8B C3 E8 ?? ?? ?? ?? 8B F0 8B CD 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94814_0 {
	meta:
		name = "TTeeEventListeners.Get"
		size = 26
		refs = "0012 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 8B 53 04 8B 14 B2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94815_0 {
	meta:
		name = "TTeeEventListeners.Remove"
		size = 106
		refs = "000f @IntfAddRef 0017 TTeeEventListeners.Remove 0027 TList.IndexOf 0039 TList.Put 0042 TList.Delete 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 83 FE FF 7E 14 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_94816_0 {
	meta:
		name = "TTeeExportData.CopyToClipboard"
		size = 80
		refs = "000c TTeeExportData.CopyToClipboard 0025 Clipboard 002b TClipboard.SetAsText 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 0C 8B 45 FC 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_94818_0 {
	meta:
		name = "TTeeExportData.SaveToStream"
		size = 150
		refs = "0014 TTeeExportData.SaveToStream 001f TEncoding.GetUnicode 002f @DynArrayLength 0076 @UStrClr 007f TArray<System.Byte> 0084 @DynArrayClear 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 51 24 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B 45 F4 8B 30 FF 56 10 8D 55 F8 8B C3 8B 08 FF 51 0C 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B C8 03 C9 8B 55 F8 8B 45 F4 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94819_0 {
	meta:
		name = "TTeeExportData.SaveToFile"
		size = 92
		refs = "0010 _Dn_TFileStream 0017 TFileStream.Create 0022 TTeeExportData.SaveToFile 0036 @CallDynaInst 004b TObject.Free 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 68 00 FF 00 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 66 BE FB FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_94820_0 {
	meta:
		name = "PointInLine"
		size = 32
		refs = "0017 PointInLine"
	strings:
		$1 = { 55 8B EC 53 8B 19 53 8B 49 04 51 8B 4D 08 51 8B 0A 8B 52 04 87 CA E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_94821_0 {
	meta:
		name = "Distance"
		size = 452
		refs = "006a Sqrt 00f1 Distance"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 8B 45 08 8B 40 10 8B 55 08 3B 42 FC 75 62 8B 45 08 8B 40 0C 8B 55 08 3B 42 F8 75 54 8B 45 08 8B 40 F4 8B 00 8B 55 08 2B 42 FC 89 45 E4 DB 45 E4 DD 5D F0 9B 8B 45 08 8B 40 F4 8B 40 04 8B 55 08 2B 42 F8 89 45 E4 DB 45 E4 DD 5D E8 9B DD 45 F0 DC 4D F0 DD 45 E8 DC 4D E8 DE C1 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B E9 3A 01 00 00 8B 45 08 8B 40 10 8B 55 08 2B 42 FC 89 45 E4 DB 45 E4 DD 5D F0 9B 8B 45 08 8B 40 0C 8B 55 08 2B 42 F8 89 45 E4 DB 45 E4 DD 5D E8 9B 8B 45 08 8B 50 F4 8B 12 8B C2 8B 5D 08 2B 43 FC 89 45 E4 DB 45 E4 DC 4D F0 8B 45 08 8B 48 F4 8B 49 04 8B C1 8B 5D 08 2B 43 F8 89 45 E0 DB 45 E0 DC 4D E8 DE C1 DD 45 F0 DC 4D F0 DD 45 E8 DC 4D E8 DE C1 DE F9 DD 5D F8 9B DD 45 F8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 33 8B 45 08 8B 40 F4 8B 00 8B 55 08 2B 42 FC 89 45 E4 DB 45 E4 DD 5D F0 9B 8B 45 08 8B 40 F4 8B 40 04 8B 55 08 2B 42 F8 89 45 E4 DB 45 E4 DD 5D E8 9B EB 65 DD 45 F8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 22 8B 45 08 2B 50 10 89 55 E4 DB 45 E4 DD 5D F0 9B 8B 45 08 2B 48 0C 89 4D E4 DB 45 E4 DD 5D E8 9B EB 34 DD 45 F8 DC 4D F0 8B 45 08 DB 40 FC DE C1 89 55 E4 DB 45 E4 DE E1 DD 5D F0 9B DD 45 F8 DC 4D E8 8B 45 08 DB 40 F8 DE C1 89 4D E4 DB 45 E4 DE E1 DD 5D E8 9B DD 45 F0 DC 4D F0 DD 45 E8 DC 4D E8 DE C1 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_94822_0 {
	meta:
		name = "PointInLine"
		size = 95
		refs = "003f Distance"
	strings:
		$1 = { 55 8B EC 83 C4 F0 89 4D F8 89 55 FC 89 45 F4 8B 45 F4 8B 00 3B 45 FC 75 0B 8B 45 F4 8B 40 04 3B 45 F8 74 15 8B 45 F4 8B 00 3B 45 10 75 0F 8B 45 F4 8B 40 04 3B 45 0C 75 04 B0 01 EB 1C 55 E8 ?? ?? ?? ?? 59 D9 E1 8B 45 08 40 89 45 F0 DB 45 F0 DE D9 9B DF E0 9E 0F 93 C0 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_94823_0 {
	meta:
		name = "PointInLineTolerance"
		size = 26
		refs = "0011 PointInLine"
	strings:
		$1 = { 55 8B EC 53 8B 5D 10 53 8B 5D 0C 53 8B 5D 08 53 E8 ?? ?? ?? ?? 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_94824_0 {
	meta:
		name = "PointInLine"
		size = 24
		refs = "000f PointInLine"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 53 8B 5D 08 53 6A 00 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_94825_0 {
	meta:
		name = "PointInLine"
		size = 24
		refs = "0012 PointInLine"
	strings:
		$1 = { 53 8B 19 53 8B 49 04 51 6A 00 8B 0A 8B 52 04 87 CA E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94826_0 {
	meta:
		name = "PointInPolygon"
		size = 176
		refs = "005f PointInPolygon"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B D8 C6 04 24 00 8B C1 8B F0 8B F8 85 FF 0F 8C 84 00 00 00 47 C7 44 24 04 00 00 00 00 8D 4A 04 8B 43 04 3B 01 7C 09 8B 44 F2 04 3B 43 04 7F 10 8B 44 F2 04 3B 43 04 7F 51 8B 43 04 3B 01 7D 4A 8B 04 F2 2B 41 FC 8B 6B 04 2B 29 0F AF C5 89 44 24 08 DB 44 24 08 D8 0D ?? ?? ?? ?? 8B 44 F2 04 2B 01 89 44 24 0C DB 44 24 0C D8 0D ?? ?? ?? ?? DE F9 DB 41 FC DE C1 DB 03 DE D9 9B DF E0 9E 73 09 0F B6 04 24 34 01 88 04 24 8B 74 24 04 FF 44 24 04 83 C1 08 4F 75 88 0F B6 04 24 83 C4 10 5D 5F 5E 5B C3 00 00 00 80 3F }
	condition:
		$1
}

rule function_94827_0 {
	meta:
		name = "PointInTriangle"
		size = 75
		refs = "003e PointInPolygon"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B F9 8B F2 8B D8 8B 06 89 45 E8 8B 46 04 89 45 EC 8B 07 89 45 F0 8B 47 04 89 45 F4 8B 45 08 8B 10 89 55 F8 8B 50 04 89 55 FC 8D 55 E8 8B C3 B9 02 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_94828_0 {
	meta:
		name = "PointInTriangle"
		size = 101
		refs = "005a PointInPolygon"
	strings:
		$1 = { 55 8B EC 83 C4 D0 56 8B F0 8B 45 0C 89 55 F8 89 45 FC 8D 14 11 D1 FA 79 03 83 D2 00 89 55 F0 8B 55 08 89 55 F4 89 4D E8 89 45 EC 8B 45 F8 89 45 D0 8B 45 FC 89 45 D4 8B 45 F0 89 45 D8 8B 45 F4 89 45 DC 8B 45 E8 89 45 E0 8B 45 EC 89 45 E4 8D 55 D0 8B C6 B9 02 00 00 00 E8 ?? ?? ?? ?? 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_94829_0 {
	meta:
		name = "PointInHorizTriangle"
		size = 103
		refs = "005b PointInPolygon"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 8B F0 8B 45 0C 89 45 F8 89 55 FC 8B 5D 08 89 5D F0 8D 14 11 D1 FA 79 03 83 D2 00 89 55 F4 89 45 E8 89 4D EC 8B 45 F8 89 45 D0 8B 45 FC 89 45 D4 8B 45 F0 89 45 D8 8B 45 F4 89 45 DC 8B 45 E8 89 45 E0 8B 45 EC 89 45 E4 8D 55 D0 8B C6 B9 02 00 00 00 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_94830_0 {
	meta:
		name = "PointInEllipse"
		size = 164
		refs = "0049 PointInEllipse"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B DA 89 45 FC 8B FB 03 7D 0C D1 FF 79 03 83 D7 00 8B C1 03 45 08 D1 F8 79 03 83 D0 00 89 45 F8 8B C7 2B C3 F7 E8 8B D8 8B 45 F8 2B C1 F7 E8 8B F0 85 DB 74 51 85 F6 74 4D 8B 45 FC DB 00 D8 0D ?? ?? ?? ?? 89 7D F4 DB 45 F4 DE E9 D8 C8 89 5D F0 DB 45 F0 DE F9 DB 7D E4 9B 8B 45 FC DB 40 04 D8 0D ?? ?? ?? ?? DB 45 F8 DE E9 D8 C8 89 75 E0 DB 45 E0 DE F9 DB 6D E4 DE C1 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 04 33 C0 EB 02 B0 01 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_94831_0 {
	meta:
		name = "PointInEllipse"
		size = 19
		refs = "000e PointInEllipse"
	strings:
		$1 = { 8B 4A 08 51 8B 4A 0C 51 8B 4A 04 8B 12 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94832_0 {
	meta:
		name = "DelphiToLocalFormat"
		size = 152
		refs = "000d @UStrAsg 0012 CurrencyString 0058 @UniqueStringU"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F B7 80 BC 00 00 00 8B 15 ?? ?? ?? ?? 66 3B 82 BE 00 00 00 74 67 8B 06 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B F8 85 FF 7E 50 BB 01 00 00 00 8B 06 0F B7 44 58 FE 66 83 F8 2C 75 1B 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 0F B7 92 BC 00 00 00 66 89 54 58 FE EB 1F 66 83 F8 2E 75 19 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 0F B7 92 BE 00 00 00 66 89 54 58 FE 43 4F 75 B5 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94833_0 {
	meta:
		name = "LocalToDelphiFormat"
		size = 148
		refs = "000d @UStrAsg 0012 CurrencyString 0061 @UniqueStringU"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F B7 80 BC 00 00 00 8B 15 ?? ?? ?? ?? 66 3B 82 BE 00 00 00 74 63 8B 06 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B F8 85 FF 7E 4C BB 01 00 00 00 8B 06 0F B7 44 58 FE 8B 15 ?? ?? ?? ?? 66 3B 82 BC 00 00 00 75 10 8B C6 E8 ?? ?? ?? ?? 66 C7 44 58 FE 2C 00 EB 1D 8B 15 ?? ?? ?? ?? 66 3B 82 BE 00 00 00 75 0E 8B C6 E8 ?? ?? ?? ?? 66 C7 44 58 FE 2E 00 43 4F 75 B9 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94834_0 {
	meta:
		name = "EnableControls"
		size = 43
	strings:
		$1 = { 53 56 51 88 04 24 8B F1 85 F6 7C 1B 46 8B DA 8B 03 85 C0 74 0C 0F B6 14 24 8B 08 FF 91 80 00 00 00 83 C3 04 4E 75 E8 5A 5E 5B C3 }
	condition:
		$1
}

rule function_94835_0 {
	meta:
		name = "TeeRoundDate"
		size = 372
		refs = "000e TeeRoundDate 004c @ROUND 0075 @_llmul 0104 DecodeDate 014f EncodeDate"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B D8 DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 11 8B 45 08 89 45 F8 8B 45 0C 89 45 FC E9 2E 01 00 00 80 FB 14 0F 83 C2 00 00 00 80 EB 10 74 11 FE CB 74 27 FE CB 74 4C FE CB 74 71 E9 9E 00 00 00 DD 45 08 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC DF 6D E8 DD 5D F8 9B E9 F5 00 00 00 6A 00 6A 02 DD 45 08 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 89 55 EC DF 6D E8 DD 5D F8 9B E9 CC 00 00 00 6A 00 6A 03 DD 45 08 D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 89 55 EC DF 6D E8 DD 5D F8 9B E9 A3 00 00 00 6A 00 6A 07 DD 45 08 D8 25 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 89 55 EC DF 6D E8 D8 05 ?? ?? ?? ?? DD 5D F8 9B EB 71 8B 45 08 89 45 F8 8B 45 0C 89 45 FC EB 63 FF 75 0C FF 75 08 8D 4D F2 8D 55 F4 8D 45 F6 E8 ?? ?? ?? ?? 80 EB 14 74 0A 4B 80 EB 05 72 1B 74 21 EB 2B 66 83 7D F2 0F 72 08 66 C7 45 F2 0F 00 EB 1C 66 C7 45 F2 01 00 EB 14 66 C7 45 F2 01 00 EB 0C 66 C7 45 F2 01 00 66 C7 45 F4 01 00 0F B7 4D F2 0F B7 55 F4 0F B7 45 F6 E8 ?? ?? ?? ?? DD 5D F8 9B DD 45 F8 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 00 00 00 00 40 00 00 40 40 00 00 E0 40 }
	condition:
		$1
}

rule function_94836_0 {
	meta:
		name = "DecMonths"
		size = 60
	strings:
		$1 = { 55 8B EC 8B 55 08 66 C7 42 FE 01 00 8B 55 08 66 3B 42 FC 73 09 8B 55 08 66 29 42 FC 5D C3 8B 55 08 66 FF 4A FA 8B 55 08 66 2B 42 FC 66 BA 0C 00 66 2B D0 8B 45 08 66 89 50 FC 5D C3 }
	condition:
		$1
}

rule function_94837_0 {
	meta:
		name = "IncMonths"
		size = 46
	strings:
		$1 = { 55 8B EC 8B 55 08 66 C7 42 FE 01 00 8B 55 08 66 01 42 FC 8B 45 08 66 83 78 FC 0C 76 0F 8B 45 08 66 FF 40 FA 8B 45 08 66 83 68 FC 0C 5D C3 }
	condition:
		$1
}

rule function_94838_0 {
	meta:
		name = "IncDecMonths"
		size = 36
		refs = "0011 IncMonths 001d DecMonths"
	strings:
		$1 = { 55 8B EC 8B 55 08 80 7A F9 00 74 0C 8B 55 08 52 E8 ?? ?? ?? ?? 59 5D C3 8B 55 08 52 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_94839_0 {
	meta:
		name = "TeeDateTimeIncrement"
		size = 753
		refs = "0031 TeeDateTimeIncrement 0052 DecodeDate 00cc IncDecMonths 0159 EncodeDate 01bb CurrencyString 01c0 FloatToStr 01cb @UStrLAsg 01d9 StrToFloat 02dd @UStrArrayClr 02e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 50 FF FF FF 53 56 33 DB 89 5D F4 89 5D F0 89 5D EC 89 5D E8 89 5D E4 89 5D E0 89 5D DC 89 5D D8 8B F1 88 55 F9 8B 5D 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 84 C0 0F 84 59 01 00 00 FF 76 04 FF 36 8D 4D FE 8D 55 FC 8D 45 FA E8 ?? ?? ?? ?? 80 7D F9 00 74 0B DD 06 DC 45 0C DD 5D D0 9B EB 09 DD 06 DC 65 0C DD 5D D0 9B 0F B6 C3 83 C0 EC 83 F8 06 0F 87 AD 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 83 7D FE 0F 76 0B 66 C7 45 FE 0F 00 E9 98 00 00 00 66 83 7D FE 01 76 0B 66 C7 45 FE 01 00 E9 86 00 00 00 55 66 B8 01 00 E8 ?? ?? ?? ?? 59 66 C7 45 FE 0F 00 EB 73 55 66 B8 01 00 E8 ?? ?? ?? ?? 59 EB 66 55 66 B8 02 00 E8 ?? ?? ?? ?? 59 EB 59 55 66 B8 03 00 E8 ?? ?? ?? ?? 59 EB 4C 55 66 B8 04 00 E8 ?? ?? ?? ?? 59 EB 3F 55 66 B8 06 00 E8 ?? ?? ?? ?? 59 EB 32 80 7D F9 00 74 06 66 FF 45 FA EB 26 66 FF 4D FA EB 20 80 7D F9 00 74 0D DD 06 DC 45 0C DD 1E 9B E9 88 01 00 00 DD 06 DC 65 0C DD 1E 9B E9 7B 01 00 00 0F B7 4D FE 0F B7 55 FC 0F B7 45 FA E8 ?? ?? ?? ?? DD 1E 9B 80 FB 1A 0F 82 5E 01 00 00 80 7D F9 00 74 0F DD 06 DC 5D D0 9B DF E0 9E 0F 83 49 01 00 00 80 7D F9 00 0F 85 E8 FE FF FF DD 06 DC 5D D0 9B DF E0 9E 0F 87 D9 FE FF FF E9 2B 01 00 00 80 7D F9 00 0F 84 87 00 00 00 DD 06 DB 7D C0 9B 0F B7 45 C8 50 FF 75 C4 FF 75 C0 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? DB 7D B0 9B DD 45 0C DB 7D A0 9B 0F B7 45 A8 50 FF 75 A4 FF 75 A0 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 55 EC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? DB 7D 90 9B DB 6D B0 DB 6D 90 DE C1 DD 1E 9B E9 9A 00 00 00 DD 06 DB 7D 80 9B 0F B7 45 88 50 FF 75 84 FF 75 80 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 8B 55 E4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? DB BD 70 FF FF FF 9B DD 45 0C DB BD 60 FF FF FF 9B 0F B7 85 68 FF FF FF 50 FF B5 64 FF FF FF FF B5 60 FF FF FF 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 8B 55 DC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? DB BD 50 FF FF FF 9B DB AD 70 FF FF FF DB AD 50 FF FF FF DE E9 DD 1E 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 08 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_94840_0 {
	meta:
		name = "PrivateSort"
		size = 173
		refs = "008d PrivateSort"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 89 45 FC 8B 5D FC 8B 75 F8 8D 04 1E D1 E8 89 45 F4 3B F3 7E 5D EB 01 43 8B 45 08 8D 78 10 8B 4D F4 8B D3 8B 47 04 FF 17 85 C0 7C EB EB 01 4E 8B 45 08 8D 78 10 8B CE 8B 55 F4 8B 47 04 FF 17 85 C0 7C EB 3B F3 7E 21 8B 45 08 8D 78 08 8B CE 8B D3 8B 47 04 FF 17 3B 5D F4 75 05 89 75 F4 EB 08 3B 75 F4 75 03 89 5D F4 3B F3 7C 02 43 4E 3B F3 7F A6 3B 75 FC 7E 0F 8B 45 08 50 8B D6 8B 45 FC E8 ?? ?? ?? ?? 59 3B 5D F8 7D 0F 8B 45 08 50 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94841_0 {
	meta:
		name = "TeeSort"
		size = 14
		refs = "0005 PrivateSort"
	strings:
		$1 = { 55 8B EC 55 E8 ?? ?? ?? ?? 59 5D C2 10 00 }
	condition:
		$1
}

rule function_94842_0 {
	meta:
		name = "FindNameLoop"
		size = 192
		refs = "0011 FindNameLoop 0032 TeeStr 0043 @UStrCat3 0051 TComponent.FindComponent 005f IntToStr 009d @UStrArrayClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 78 FC 00 74 51 BB 01 00 00 00 EB 01 43 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8B 45 08 8B 50 F8 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 85 C0 75 D2 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 50 F8 8B C6 8B 4D FC E8 ?? ?? ?? ?? EB 12 8B 45 08 8B 50 F8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 }
	condition:
		$1
}

rule function_94843_0 {
	meta:
		name = "TeeGetUniqueName"
		size = 88
		refs = "0018 TeeGetUniqueName 0027 FindNameLoop 0032 @UStrAsg 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 DB 89 5D F4 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 45 F4 E8 ?? ?? ?? ?? 59 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94844_0 {
	meta:
		name = "TeeNumFields"
		size = 204
		refs = "0014 @UStrAddRef 001c TeeNumFields 003a TeeFieldsSeparator 003f @UStrLAsg 0055 Pos 006a @UStrDelete 00b7 @UStrArrayClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 04 33 FF EB 71 BF 01 00 00 00 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 42 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 2D 47 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 8B DE 85 DB 7F BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94845_0 {
	meta:
		name = "TeeNumFields"
		size = 153
		refs = "0015 TeeNumFields 0024 TeeFieldsSeparator 0029 @UStrLAsg 0035 @UStrAsg 006d @HandleFinally 0084 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94846_0 {
	meta:
		name = "TeeExtractField"
		size = 269
		refs = "001e @UStrAddRef 0026 TeeExtractField 0034 @UStrClr 004f TeeFieldsSeparator 0054 @UStrLAsg 006a Pos 0089 @UStrCopy 009a @UStrDelete 00d6 @UStrAsg 00fa @UStrArrayClr 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D E8 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 A2 00 00 00 85 F6 0F 8E 9A 00 00 00 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 56 4E 85 F6 75 16 8B 45 E8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 55 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 8B DF 85 DB 7F AA 83 FE 02 7D 0D 8B 45 E8 8B 55 FC E8 ?? ?? ?? ?? EB 08 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94847_0 {
	meta:
		name = "TeeExtractField"
		size = 171
		refs = "0018 @UStrAddRef 0020 TeeExtractField 002f TeeFieldsSeparator 0034 @UStrLAsg 0040 @UStrAsg 007b @HandleFinally 0097 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_94848_0 {
	meta:
		name = "TryFindResource"
		size = 83
		refs = "0015 StrPCopy 002a FindResource 0044 TBitmap.LoadFromResourceName"
	strings:
		$1 = { 55 8B EC 81 C4 00 FE FF FF 53 8B D8 8D 85 00 FE FF FF 8B D3 E8 ?? ?? ?? ?? 6A 02 8D 85 00 FE FF FF 50 8B 45 08 8B 40 FC 50 E8 ?? ?? ?? ?? 85 C0 74 1A 8B 45 08 8B 50 FC 8B 45 08 8B 40 F8 8B 40 08 8B CB E8 ?? ?? ?? ?? B0 01 EB 02 33 C0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94849_0 {
	meta:
		name = "LoadTeeBitmap"
		size = 112
		refs = "0017 LoadTeeBitmap 002a TryFindResource 0050 @HandleOnException 0058 _Dn_Exception 0061 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 F8 89 45 FC C6 45 F7 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B D8 55 8B 03 E8 ?? ?? ?? ?? 59 84 C0 75 0E 55 8B 43 04 E8 ?? ?? ?? ?? 59 84 C0 74 04 C6 45 F7 00 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94850_0 {
	meta:
		name = "TeeLoadBitmap"
		size = 121
		refs = "0014 TTeeBitmap 0019 @InitializeRecord 0021 TeeLoadBitmap 0034 @UStrLAsg 0046 LoadTeeBitmap 004b EnumModules 0066 @FinalizeRecord 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F9 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D FC 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94851_0 {
	meta:
		name = "TeeGetBitmapEditor"
		size = 107
		refs = "0011 TeeGetBitmapEditor 001e TObject.ClassParent 0026 TObject.ClassName 003f TeeLoadBitmap 0059 @UStrArrayClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B 03 E8 ?? ?? ?? ?? 8B 55 F8 8B 06 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_94852_0 {
	meta:
		name = "CrossingLines"
		size = 492
		refs = "0073 CrossingLines"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 8B F2 8B D8 DD 45 28 DC 65 38 DD 5D D0 9B DD 45 08 DC 65 18 DD 5D B8 9B DD 45 30 DC 65 40 DD 5D C8 9B DD 45 10 DC 65 20 DD 5D B0 9B DD 45 D0 DC 75 C8 DD 5D F8 9B DD 45 B8 DC 75 B0 DD 5D F0 9B DD 45 F8 DC 4D 40 DC 6D 38 DD 5D E8 9B DD 45 F0 DC 4D 20 DC 6D 18 DD 5D E0 9B DD 45 F0 DC 65 F8 DD 5D D8 9B DD 45 D8 D9 E1 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 73 0E DD 45 E8 DC 65 E0 DC 75 D8 DD 1B 9B EB 0B 8B 45 30 89 03 8B 45 34 89 43 04 DD 45 F8 DC 0B DC 45 E8 DD 1E 9B DD 45 40 DC 4D 28 DD 45 30 DC 4D 38 DE E9 DD 5D C0 9B DD 45 20 DC 4D 08 DD 45 10 DC 4D 18 DE E9 DD 5D A8 9B DD 45 D0 DC 4D 20 DD 45 C8 DC 4D 18 DE E9 DC 65 C0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 97 C2 DD 45 D0 DC 4D 10 DD 45 C8 DC 4D 08 DE E9 DC 65 C0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 97 C0 32 D0 74 44 DD 45 B8 DC 4D 40 DD 45 B0 DC 4D 38 DE E9 DC 65 A8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 97 C2 DD 45 B8 DC 4D 30 DD 45 B0 DC 4D 28 DE E9 DC 65 A8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 97 C0 32 D0 0F 85 84 00 00 00 DD 45 D0 DC 4D 20 DD 45 C8 DC 4D 18 DE E9 DC 65 C0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 C2 DD 45 D0 DC 4D 10 DD 45 C8 DC 4D 08 DE E9 DC 65 C0 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 C0 32 D0 74 40 DD 45 B8 DC 4D 40 DD 45 B0 DC 4D 38 DE E9 DC 65 A8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 C2 DD 45 B8 DC 4D 30 DD 45 B0 DC 4D 28 DE E9 DC 65 A8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 95 C0 32 D0 75 04 33 C0 EB 02 B0 01 5E 5B 8B E5 5D C2 40 00 00 00 00 D9 AC B0 3A F7 7C 1D 90 CD 3F 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_94854_0 {
	meta:
		name = "TeeTranslateControl"
		size = 11
		refs = "0006 TeeTranslateControl"
	strings:
		$1 = { 8B D4 83 C9 FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94855_0 {
	meta:
		name = "TeeTranslateString"
		size = 40
		refs = "0008 TeeTranslateStringHook 0021 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 3D ?? ?? ?? ?? 00 74 0D 8B D6 8B C3 FF 15 ?? ?? ?? ?? 5E 5B C3 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94856_0 {
	meta:
		name = "ReplaceChar"
		size = 155
		refs = "001d ReplaceChar 002c @UStrAsg 0036 @UStrFromWChar 0040 Pos 005b @UStrDelete 0064 @UniqueStringU 0086 @UStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 66 89 4D FE 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 8B 16 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 27 66 83 7D FE 00 75 10 8B C6 B9 01 00 00 00 8B D3 E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? 0F B7 55 FE 66 89 54 58 FE 85 DB 75 BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_94857_0 {
	meta:
		name = "TeeAntiAlias"
		size = 56
		refs = "001f TCustomTeePanel.TeeCreateBitmap 0028 _Dn_TSoftenFilter 002d TTeeFilter.ApplyTo"
	strings:
		$1 = { 53 83 C4 F0 8B D8 6A 06 6A 00 8D 54 24 08 8B C3 8B 08 FF 51 60 8D 4C 24 08 8B 53 74 8B C3 E8 ?? ?? ?? ?? 8B D8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_94858_0 {
	meta:
		name = "SetDefaultColorPalette"
		size = 16
		refs = "0001 DefaultPalette 000b SetDefaultColorPalette"
	strings:
		$1 = { B8 ?? ?? ?? ?? BA 13 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94859_0 {
	meta:
		name = "SetDefaultColorPalette"
		size = 81
		refs = "000e SetDefaultColorPalette 0019 ColorPalette 0024 TColorArray 0029 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B F3 85 F6 75 07 E8 ?? ?? ?? ?? EB 39 8B C6 40 50 B8 ?? ?? ?? ?? B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D6 85 D2 7C 17 42 33 C9 8B C7 8B 1D ?? ?? ?? ?? 8B 30 89 34 8B 41 83 C0 04 4A 75 EE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94860_0 {
	meta:
		name = "TeeReadBoolOption"
		size = 240
		refs = "000f _Dn_TRegistry 0014 TRegistry.Create 001f TeeReadBoolOption 0032 TRegistry.SetRootKey 003f TRegistry.OpenKeyReadOnly 004d TRegistry.ValueExists 005b TRegistry.ReadBool 0073 TObject.Free 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 88 55 FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 01 00 00 80 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 1B 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0D 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 2C 00 00 00 53 00 4F 00 46 00 54 00 57 00 41 00 52 00 45 00 5C 00 53 00 74 00 65 00 65 00 6D 00 61 00 20 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 54 00 65 00 65 00 43 00 68 00 61 00 72 00 74 00 20 00 50 00 72 00 6F 00 5C 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_94861_0 {
	meta:
		name = "TeeSaveBoolOption"
		size = 224
		refs = "000d _Dn_TRegistry 0012 TRegistry.Create 001d TeeSaveBoolOption 0030 TRegistry.SetRootKey 003f TRegistry.OpenKey 004f TRegistry.WriteBool 0064 TObject.Free 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 01 00 00 80 8B 45 FC E8 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 53 00 4F 00 46 00 54 00 57 00 41 00 52 00 45 00 5C 00 53 00 74 00 65 00 65 00 6D 00 61 00 20 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 54 00 65 00 65 00 43 00 68 00 61 00 72 00 74 00 20 00 50 00 72 00 6F 00 5C 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_94862_0 {
	meta:
		name = "TeeReadIntegerOption"
		size = 240
		refs = "000f _Dn_TRegistry 0014 TRegistry.Create 001f TeeReadIntegerOption 0032 TRegistry.SetRootKey 003f TRegistry.OpenKeyReadOnly 004d TRegistry.ValueExists 005b TRegistry.ReadInteger 0073 TObject.Free 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 89 55 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 01 00 00 80 8B 45 F8 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 1B 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0D 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 53 00 4F 00 46 00 54 00 57 00 41 00 52 00 45 00 5C 00 53 00 74 00 65 00 65 00 6D 00 61 00 20 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 54 00 65 00 65 00 43 00 68 00 61 00 72 00 74 00 20 00 50 00 72 00 6F 00 5C 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_94863_0 {
	meta:
		name = "TeeSaveIntegerOption"
		size = 224
		refs = "000d _Dn_TRegistry 0012 TRegistry.Create 001d TeeSaveIntegerOption 0030 TRegistry.SetRootKey 003f TRegistry.OpenKey 004f TRegistry.WriteInteger 0064 TObject.Free 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 01 00 00 80 8B 45 FC E8 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 53 00 4F 00 46 00 54 00 57 00 41 00 52 00 45 00 5C 00 53 00 74 00 65 00 65 00 6D 00 61 00 20 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 54 00 65 00 65 00 43 00 68 00 61 00 72 00 74 00 20 00 50 00 72 00 6F 00 5C 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_94865_0 {
	meta:
		name = "TeeSaveStringOption"
		size = 224
		refs = "000d _Dn_TRegistry 0012 TRegistry.Create 001d TeeSaveStringOption 0030 TRegistry.SetRootKey 003f TRegistry.OpenKey 004f TRegistry.WriteString 0064 TObject.Free 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 01 00 00 80 8B 45 FC E8 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 53 00 4F 00 46 00 54 00 57 00 41 00 52 00 45 00 5C 00 53 00 74 00 65 00 65 00 6D 00 61 00 20 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 54 00 65 00 65 00 43 00 68 00 61 00 72 00 74 00 20 00 50 00 72 00 6F 00 5C 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_94864_0 {
	meta:
		name = "TeeReadStringOption"
		size = 248
		refs = "0012 @UStrAsg 0019 _Dn_TRegistry 001e TRegistry.Create 0029 TeeReadStringOption 003c TRegistry.SetRootKey 0049 TRegistry.OpenKeyReadOnly 0057 TRegistry.ValueExists 0067 TRegistry.ReadString 007c TObject.Free 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B FA 8B D8 8B C6 8B D7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 01 00 00 80 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C 8B CE 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 53 00 4F 00 46 00 54 00 57 00 41 00 52 00 45 00 5C 00 53 00 74 00 65 00 65 00 6D 00 61 00 20 00 53 00 6F 00 66 00 74 00 77 00 61 00 72 00 65 00 5C 00 54 00 65 00 65 00 43 00 68 00 61 00 72 00 74 00 20 00 50 00 72 00 6F 00 5C 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_94866_0 {
	meta:
		name = "TeeDefaultXMLEncoding"
		size = 104
		refs = "0004 SysLocale 0011 TeeDefaultXMLEncoding 0016 @UStrAsg"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? 83 78 04 11 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 73 00 68 00 69 00 66 00 74 00 5F 00 6A 00 69 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 54 00 46 00 2D 00 31 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_94867_0 {
	meta:
		name = "TeeXMLHeader"
		size = 188
		refs = "0009 TeeXMLHeader 000e @UStrAsg 002b @UStrCatN 0037 @UStrCat"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 74 19 FF 33 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3F 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_94868_0 {
	meta:
		name = "TStringsStack.Pop"
		size = 66
		refs = "0014 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 14 85 C0 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 10 FF 52 14 8B D0 4A 8B CE 8B C3 8B 30 FF 56 0C 8B C3 8B 10 FF 52 14 8B D0 4A 8B C3 8B 08 FF 51 48 5E 5B C3 }
	condition:
		$1
}

rule function_94869_0 {
	meta:
		name = "TStringsStack.Push"
		size = 20
		refs = "0006 TStrings.Append"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 48 5B C3 }
	condition:
		$1
}

rule function_94870_0 {
	meta:
		name = "Spaces"
		size = 47
		refs = "000c @UStrSetLength 001c @UniqueStringU"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C7 8B D3 E8 ?? ?? ?? ?? 85 DB 7E 17 BE 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 66 C7 44 70 FE 20 00 46 4B 75 EE 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94871_0 {
	meta:
		name = "BeginObject"
		size = 600
		refs = "0022 BeginObject 0034 Pos 0055 @UStrCopy 0060 Trim 009e @UStrCatN 00d3 @UStrLAsg 00fa UpperCase 0107 @UStrEqual 0117 Spaces 0190 TStringsStack.Push 01b1 @UStrArrayClr 01c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7E 66 8B FB 85 FF 74 05 83 EF 04 8B 3F 8D 45 EC 50 8D 56 01 8B CF 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 E4 50 8B CE 49 83 E9 06 BA 07 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? EB 33 8B F3 85 F6 74 05 83 EE 04 8B 36 8D 45 E0 50 8B CE BA 07 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8D 4D D4 8B 55 F0 8B 12 42 8B 45 F4 8B 18 FF 53 0C 8B 45 D4 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 40 8D 55 CC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 08 8B 40 FC 8B 08 FF 51 38 8B 45 F0 FF 00 EB 4E 8D 55 C4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 C8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 08 8B 40 FC 8B 08 FF 51 38 8B 45 08 8B 40 F4 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 83 40 F8 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 4E 00 61 00 6D 00 65 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 45 00 4E 00 44 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_94872_0 {
	meta:
		name = "AddTag"
		size = 180
		refs = "000e AddTag 003c Spaces 0057 @UStrCatN 007f @UStrArrayClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 78 F8 02 7C 09 8B 45 08 83 68 F8 02 EB 08 8B 45 08 33 D2 89 50 F8 8D 55 F8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 8B 40 FC 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 3C 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_94873_0 {
	meta:
		name = "AddTags"
		size = 99
		refs = "0013 AddTags 0029 TStringsStack.Pop 0031 AddTag 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 8B 75 08 83 C6 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 17 8B 45 08 50 8D 55 FC 8B 06 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 59 8B 06 8B 10 FF 52 14 3B D8 7C DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_94874_0 {
	meta:
		name = "AddTags"
		size = 17
		refs = "000a AddTags"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 33 C0 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_94875_0 {
	meta:
		name = "AddStrings"
		size = 432
		refs = "0017 AddStrings 003e Trim 005f @UStrCopy 0098 @UStrCatN 00a6 Spaces 00de @UStrEqual 010f @UStrArrayClr 0122 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 40 F8 02 FF 06 8D 4D F0 8B 16 8B 45 F4 8B 18 FF 53 0C 8B 45 F0 8D 55 FC E8 ?? ?? ?? ?? 8B 7D FC 8B DF 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 B9 01 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B DF 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 08 8B 40 FC 8B 08 FF 51 38 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 13 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 31 FF FF FF FF 06 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 74 00 72 00 69 00 6E 00 67 00 20 00 76 00 61 00 6C 00 75 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7D 00 00 00 }
	condition:
		$1
}

rule function_94876_0 {
	meta:
		name = "AddItems"
		size = 728
		refs = "001b AddItems 0028 _DV_TStringsStack 002d TStringList.Create 005f Trim 006c Pos 0079 UpperCase 008e @UStrEqual 00b4 Spaces 00c7 TStringsStack.Pop 00dc @UStrCatN 0133 TStringsStack.Push 0175 @UStrCopy 01f1 TObject.Free 01f7 @HandleFinally 0213 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 40 F8 02 FF 06 8D 4D EC 8B 16 8B 45 F4 8B 18 FF 53 0C 8B 45 EC 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 DB 0F 85 BE 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 50 8B 45 08 83 68 F8 02 8D 55 E4 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 55 E0 8B 45 F0 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 08 8B 40 FC 8B 08 FF 51 38 E9 D8 00 00 00 8D 55 D8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 08 8B 40 FC 8B 08 FF 51 38 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 08 83 40 F8 02 E9 88 00 00 00 8B 7D F8 85 FF 74 05 83 EF 04 8B 3F 8D 55 D0 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? 8D 45 C8 50 8B CB 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 C8 8D 55 CC E8 ?? ?? ?? ?? FF 75 CC 68 ?? ?? ?? ?? 8D 45 C0 50 8D 53 01 8B CF 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 C0 8D 55 C4 E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 8D 45 D4 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 08 8B 40 FC 8B 08 FF 51 38 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 6B FE FF FF FF 06 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 45 00 4E 00 44 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 45 00 4E 00 44 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3C 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 20 00 76 00 61 00 6C 00 75 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 22 00 2F 00 3E 00 00 00 }
	condition:
		$1
}

rule function_94877_0 {
	meta:
		name = "ConvertTextToXML"
		size = 1716
		refs = "001a ConvertTextToXML 0027 _Dn_TStringList 002c TStringList.Create 0036 _DV_TStringsStack 0076 TeeDefaultXMLEncoding 0081 TeeXMLHeader 00bf Trim 00df @UStrCopy 00ea UpperCase 00f7 @UStrEqual 0108 BeginObject 011b Pos 0125 AddTags 013d @UStrLAsg 01cc Spaces 01e9 @UStrCatN 0207 @UStrDelete 0303 TStringsStack.Push 030f AddStrings 031c TStringsStack.Pop 0324 AddTag 03e0 AddItems 0429 @UStrClr 053c TStream.SetPosition 055f TObject.Free 057d @HandleFinally 059c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 15 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B DA 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 C8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 1E 8D 45 B8 E8 ?? ?? ?? ?? 8B 45 B8 8D 55 BC E8 ?? ?? ?? ?? 8B 55 BC 8B 45 FC 8B 08 FF 51 38 8B 55 D4 8B 45 C8 8B 08 FF 51 70 33 C0 89 45 F8 33 C0 89 45 CC E9 79 04 00 00 8D 4D B4 8B 55 CC 8B 45 C8 8B 18 FF 53 0C 8B 45 B4 8D 55 D8 E8 ?? ?? ?? ?? 83 7D D8 00 0F 84 56 04 00 00 8D 45 AC 50 B9 06 00 00 00 BA 01 00 00 00 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 AC 8D 55 B0 E8 ?? ?? ?? ?? 8B 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 15 55 8D 4D CC 8B 55 C8 8B 45 D8 E8 ?? ?? ?? ?? 59 E9 0E 04 00 00 8B 55 D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0C 55 E8 ?? ?? ?? ?? 59 E9 0E 01 00 00 C7 45 D0 FF FF FF FF 8D 45 EC 8B 55 D8 E8 ?? ?? ?? ?? 8B 55 D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 F6 7E 06 3B F3 7D 02 33 DB 85 DB 0F 8E A9 00 00 00 8D 45 E8 50 8B CB 49 BA 01 00 00 00 8B 45 EC E8 ?? ?? ?? ?? FF 45 D0 8B 45 F0 8B 10 FF 52 14 3B 45 D0 7E 1B 8D 4D A8 8B 55 D0 8B 45 F0 8B 30 FF 56 0C 8B 45 A8 8B 55 E8 E8 ?? ?? ?? ?? 74 4C 55 8B 45 D0 E8 ?? ?? ?? ?? 59 8B 55 E8 8B 45 F0 8B 08 FF 51 38 8D 55 A0 8B 45 F8 E8 ?? ?? ?? ?? FF 75 A0 68 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 8D 45 A4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 A4 8B 45 FC 8B 08 FF 51 38 83 45 F8 02 8D 45 EC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 85 DB 0F 85 1F FF FF FF 8B 45 F0 8B 10 FF 52 14 8B 55 D0 42 3B C2 7E 0B 55 8B 45 D0 40 E8 ?? ?? ?? ?? 59 8B 55 D8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E 51 02 00 00 8B 45 D8 89 45 C4 83 7D C4 00 74 0B 8B 45 C4 83 E8 04 8B 00 89 45 C4 8D 45 9C 50 8D 53 01 8B 4D C4 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 9C 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 13 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 84 00 00 00 8D 45 98 50 8B CB 49 BA 01 00 00 00 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 98 8D 55 DC E8 ?? ?? ?? ?? 8D 55 90 8B 45 F8 E8 ?? ?? ?? ?? FF 75 90 68 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 45 94 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 94 8B 45 FC 8B 08 FF 51 38 8B 55 DC 8B 45 F0 E8 ?? ?? ?? ?? 55 8D 55 CC 8B 45 C8 E8 ?? ?? ?? ?? 59 55 8D 55 8C 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 8C E8 ?? ?? ?? ?? 59 E9 F5 01 00 00 8B 45 D8 89 45 C0 83 7D C0 00 74 0B 8B 45 C0 83 E8 04 8B 00 89 45 C0 8D 45 E4 50 8D 53 02 8B 4D C0 8B 45 D8 E8 ?? ?? ?? ?? 8D 55 88 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 88 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 90 00 00 00 8D 45 84 50 8B CB 49 BA 01 00 00 00 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 84 8D 55 DC E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? FF B5 7C FF FF FF 68 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 45 80 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 80 8B 45 FC 8B 08 FF 51 38 8B 55 DC 8B 45 F0 E8 ?? ?? ?? ?? 55 8D 55 CC 8B 45 C8 E8 ?? ?? ?? ?? 59 55 8D 95 78 FF FF FF 8B 45 F0 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF E8 ?? ?? ?? ?? 59 E9 1E 01 00 00 8D 95 74 FF FF FF 8B 45 E4 E8 ?? ?? ?? ?? 8B 85 74 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 08 8D 45 E4 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 8B CB 49 BA 01 00 00 00 8B 45 D8 E8 ?? ?? ?? ?? FF B5 70 FF FF FF 68 ?? ?? ?? ?? FF 75 E4 68 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 95 68 FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? FF B5 68 FF FF FF 68 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 8D 85 6C FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B 45 FC 8B 08 FF 51 38 EB 7B 8D 95 64 FF FF FF 8B 45 D8 E8 ?? ?? ?? ?? 8B 85 64 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5B 55 E8 ?? ?? ?? ?? 59 83 6D F8 02 8D 95 5C FF FF FF 8B 45 F8 E8 ?? ?? ?? ?? FF B5 5C FF FF FF 68 ?? ?? ?? ?? 8D 95 58 FF FF FF 8B 45 F4 E8 ?? ?? ?? ?? FF B5 58 FF FF FF 68 ?? ?? ?? ?? 8D 85 60 FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 95 60 FF FF FF 8B 45 FC 8B 08 FF 51 38 FF 45 CC 8B 45 C8 8B 10 FF 52 14 3B 45 CC 0F 8F 76 FB FF FF 6A 00 6A 00 8B 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC 8B 08 FF 91 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 58 FF FF FF BA 1A 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4F 00 42 00 4A 00 45 00 43 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3C 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 76 00 61 00 6C 00 75 00 65 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 45 00 4E 00 44 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3C 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_94878_0 {
	meta:
		name = "TeeIsURL"
		size = 208
		refs = "0011 @UStrAddRef 0019 TeeIsURL 002a Trim 0035 UpperCase 0040 @UStrLAsg 004d Pos 0082 @UStrArrayClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 15 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 48 00 54 00 54 00 50 00 3A 00 2F 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 46 00 54 00 50 00 3A 00 2F 00 2F 00 00 00 00 00 }
	condition:
		$1
}

rule function_94879_0 {
	meta:
		name = "WindowsExecute"
		size = 68
		refs = "001c StrPCopy 0022 WindowsExecute 002e ShellExecute"
	strings:
		$1 = { 55 8B EC 81 C4 00 FE FF FF 6A 05 6A 00 6A 00 8B 45 08 8B 50 F8 8D 85 00 FE FF FF E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 50 E8 ?? ?? ?? ?? 8B E5 5D C3 00 00 6F 00 70 00 65 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_94880_0 {
	meta:
		name = "TeeGotoURL"
		size = 23
		refs = "000e WindowsExecute"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 F8 89 45 FC 55 E8 ?? ?? ?? ?? 59 59 59 5D C3 }
	condition:
		$1
}

rule function_94881_0 {
	meta:
		name = "RemoveControls"
		size = 32
		refs = "000a TWinControl.GetControl 000f TObject.Free 0016 TWinControl.GetControlCount"
	strings:
		$1 = { 53 8B D8 EB 0E 33 D2 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 7F E7 5B C3 }
	condition:
		$1
}

rule function_94882_0 {
	meta:
		name = "RegisterSeriesEditor"
		size = 32
		refs = "0004 _Dn_TControl 0009 StartClassGroup 0013 ActivateClassGroup 001a RegisterClass"
	strings:
		$1 = { 53 8B D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94883_0 {
	meta:
		name = "Finalization"
		size = 109
		refs = "0007 Finalization 0013 _DV_32 001a ColorPalette 0020 TColorArray 0025 @DynArrayClear 002a Screen 0038 TScreen.SetCursors 003d TeeFieldsSeparator 0042 @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 3D B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 33 C9 BA E4 07 00 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_94884_0 {
	meta:
		name = "VCLTee.TeeProcs"
		size = 192
		refs = "000a VCLTee.TeeProcs 0016 _DV_32 001e SetDefaultColorPalette 0024 HInstance 0031 @UStrLAsg 0039 @UStrToPWChar 0040 LoadCursor 0046 Screen 0055 TScreen.SetCursors 0066 EncodeDate 006c Tee19000101 0082 @UStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 54 E8 ?? ?? ?? ?? 8B 1D ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B C8 B8 E4 07 00 00 92 E8 ?? ?? ?? ?? 66 B9 01 00 66 BA 01 00 66 B8 6C 07 E8 ?? ?? ?? ?? DD 1D ?? ?? ?? ?? 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 54 00 45 00 45 00 5F 00 43 00 55 00 52 00 53 00 4F 00 52 00 5F 00 48 00 41 00 4E 00 44 00 00 00 }
	condition:
		$1
}

rule function_94885_0 {
	meta:
		name = "TSelectListForm.FormCreate"
		size = 43
		refs = "0008 TControl.SetAlign 0013 TSpeedButton.GetGlyph 0025 TeeLoadArrowBitmaps"
	strings:
		$1 = { 53 8B D8 B2 05 8B C3 E8 ?? ?? ?? ?? 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 50 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94886_0 {
	meta:
		name = "TSelectListForm.Changed"
		size = 36
		refs = "0006 TSelectListForm.EnableButtons"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 66 83 BB CA 03 00 00 00 74 0E 8B D3 8B 83 CC 03 00 00 FF 93 C8 03 00 00 5B C3 }
	condition:
		$1
}

rule function_94887_0 {
	meta:
		name = "TSelectListForm.BMoveUPClick"
		size = 123
		refs = "0071 TSelectListForm.Changed"
	strings:
		$1 = { 53 56 57 55 51 8B F0 3B 96 9C 03 00 00 75 05 83 CF FF EB 05 BF 01 00 00 00 8B 9E 94 03 00 00 8B C3 8B 10 FF 92 F8 00 00 00 89 04 24 8B C3 8B 10 FF 92 F8 00 00 00 03 C7 50 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 88 02 00 00 59 8B 28 FF 55 4C 8B 14 24 03 D7 8B C3 8B 08 FF 91 FC 00 00 00 8B 86 94 03 00 00 8B 10 FF 92 F4 00 00 00 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94889_0 {
	meta:
		name = "TSelectListForm.FromListDblClick"
		size = 53
		refs = "0009 TSelectListForm.BRightOneClick 002e TSelectListForm.EnableButtons"
	strings:
		$1 = { 53 56 8B D8 8B D3 8B C3 E8 ?? ?? ?? ?? 8B B3 94 03 00 00 8B 86 88 02 00 00 8B 10 FF 52 14 8B D0 4A 8B C6 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94890_0 {
	meta:
		name = "TSelectListForm.BLeftAllClick"
		size = 41
		refs = "001c MoveListAll 0023 TSelectListForm.Changed"
	strings:
		$1 = { 53 8B D8 8B 83 90 03 00 00 8B 90 88 02 00 00 8B 83 94 03 00 00 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94891_0 {
	meta:
		name = "TSelectListForm.BRightAllClick"
		size = 41
		refs = "001c MoveListAll 0023 TSelectListForm.Changed"
	strings:
		$1 = { 53 8B D8 8B 83 94 03 00 00 8B 90 88 02 00 00 8B 83 90 03 00 00 8B 80 88 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94892_0 {
	meta:
		name = "TSelectListForm.BLeftOneClick"
		size = 29
		refs = "0010 MoveList 0017 TSelectListForm.Changed"
	strings:
		$1 = { 53 8B D8 8B 93 90 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94893_0 {
	meta:
		name = "TSelectListForm.BRightOneClick"
		size = 64
		refs = "0010 MoveList 0017 TSelectListForm.Changed"
	strings:
		$1 = { 53 8B D8 8B 93 94 03 00 00 8B 83 90 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 90 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 75 0E 8B 83 94 03 00 00 8B 10 FF 92 F4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_94895_0 {
	meta:
		name = "TSelectListForm.EnableButtons"
		size = 241
	strings:
		$1 = { 53 56 8B D8 8B 83 90 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 0F 9F C2 8B 83 B4 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 B4 03 00 00 8B 10 FF 52 68 8B D0 8B 83 B8 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 94 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 0F 9F C2 8B 83 BC 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 BC 03 00 00 8B 10 FF 52 68 8B D0 8B 83 C0 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 94 03 00 00 8B 10 FF 92 F8 00 00 00 85 C0 0F 9F C2 8B 83 9C 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 94 03 00 00 8B 10 FF 92 F8 00 00 00 40 7E 26 8B 83 94 03 00 00 8B 10 FF 92 F8 00 00 00 8B F0 8B 83 94 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 48 3B F0 7C 04 33 D2 EB 02 B2 01 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_94896_0 {
	meta:
		name = "TSelectListForm.FormShow"
		size = 63
		refs = "0006 TSelectListForm.EnableButtons"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 90 03 00 00 8B 80 88 02 00 00 8B 10 FF 52 14 85 C0 7E 10 8B 83 90 03 00 00 8B 10 FF 92 F4 00 00 00 5B C3 8B 83 94 03 00 00 8B 10 FF 92 F4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_94901_0 {
	meta:
		name = "TTeeShadowEditor.RefreshControls"
		size = 392
		refs = "000d TTeeShadowEditor.RefreshControls 002b TCustomUpDown.SetPosition 00b6 TTrackBar.SetPosition 00c1 TeeStr 00cf TControl.SetText 00fc ColorToHLS 0148 TTeeButton.LinkProperty 015d @UStrClr 0163 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C2 89 83 E4 03 00 00 8B F0 8B 56 0C 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 56 1C 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 0F B6 56 18 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 0F B6 56 10 8B 83 A4 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 56 20 8B 83 C4 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 C4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 B4 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 C4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 BC 03 00 00 8B 08 FF 91 80 00 00 00 8B 56 14 8B 83 CC 03 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 46 14 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 0F B6 56 10 8B 83 CC 03 00 00 8B 08 FF 91 80 00 00 00 8D 83 E2 03 00 00 50 8D 8B E0 03 00 00 8D 93 DE 03 00 00 8B 46 08 E8 ?? ?? ?? ?? 0F B7 93 E0 03 00 00 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 0F B6 56 04 8B 83 D4 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 56 10 8B 83 D4 03 00 00 8B 08 FF 91 80 00 00 00 B9 ?? ?? ?? ?? 8B 93 E4 03 00 00 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_94902_0 {
	meta:
		name = "TTeeShadowEditor.CanChange"
		size = 24
	strings:
		$1 = { 80 B8 DC 03 00 00 00 75 09 83 B8 E4 03 00 00 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_94903_0 {
	meta:
		name = "TTeeShadowEditor.Edit1Change"
		size = 40
		refs = "0006 TTeeShadowEditor.CanChange 0015 TCustomUpDown.GetPosition 0022 TTeeShadow.SetHorizSize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94904_0 {
	meta:
		name = "TTeeShadowEditor.FormCreate"
		size = 8
	strings:
		$1 = { C6 80 DC 03 00 00 01 C3 }
	condition:
		$1
}

rule function_94905_0 {
	meta:
		name = "TTeeShadowEditor.FormShow"
		size = 53
		refs = "0021 TTeeShadowEditor.RefreshControls 0028 TeeTranslateControl"
	strings:
		$1 = { 53 8B D8 83 7B 0C 00 74 09 8B 43 0C 89 83 E4 03 00 00 8B 83 E4 03 00 00 85 C0 74 09 8B D0 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 DC 03 00 00 00 5B C3 }
	condition:
		$1
}

rule function_94906_0 {
	meta:
		name = "TTeeShadowEditor.EShadowTranspChange"
		size = 40
		refs = "0006 TTeeShadowEditor.CanChange 0015 TCustomUpDown.GetPosition 0022 TTeeShadow.SetTransparency"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94907_0 {
	meta:
		name = "TTeeShadowEditor.EVertSizeChange"
		size = 40
		refs = "0006 TTeeShadowEditor.CanChange 0015 TCustomUpDown.GetPosition 0022 TTeeShadow.SetVertSize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94909_0 {
	meta:
		name = "TTeeShadowEditor.CBSmoothClick"
		size = 80
		refs = "001a TTeeShadow.SetSmooth"
	strings:
		$1 = { 53 8B D8 8B 83 A4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 8B 83 E4 03 00 00 0F B6 50 10 8B 83 CC 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 E4 03 00 00 0F B6 50 10 8B 83 D4 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_94910_0 {
	meta:
		name = "TTeeShadowEditor.CBVisibleClick"
		size = 92
		refs = "001a TTeeShadow.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 C4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 8B 83 C4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 B4 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 C4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 BC 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_94911_0 {
	meta:
		name = "TTeeShadowEditor.TBBlurChange"
		size = 120
		refs = "000c TTeeShadowEditor.TBBlurChange 0019 TTeeShadowEditor.CanChange 0034 TTeeShadow.SetSmoothBlur 0045 TeeStr 0053 TControl.SetText 0068 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 36 8B 83 CC 03 00 00 8B 90 98 02 00 00 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B 83 E4 03 00 00 8B 40 14 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 D8 03 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_94912_0 {
	meta:
		name = "TTeeShadowEditor.TBColorChange"
		size = 75
		refs = "0006 TTeeShadowEditor.CanChange 002a HLSToColor 0037 TTeeShadow.SetColor"
	strings:
		$1 = { 56 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 74 3B 8B 86 D0 03 00 00 0F B7 90 98 02 00 00 0F B7 8E E2 03 00 00 0F B7 86 DE 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 86 E4 03 00 00 E8 ?? ?? ?? ?? 8B 86 94 03 00 00 8B 10 FF 92 9C 00 00 00 5E C3 }
	condition:
		$1
}

rule function_94913_0 {
	meta:
		name = "TTeeShadowEditor.BShadowColorClick"
		size = 34
		refs = "001d ColorToHLS"
	strings:
		$1 = { 8D 90 E2 03 00 00 52 8D 88 E0 03 00 00 8D 90 DE 03 00 00 8B 80 E4 03 00 00 8B 40 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94914_0 {
	meta:
		name = "TTeeShadowEditor.CBClipClick"
		size = 32
		refs = "001a TTeeShadow.SetClip"
	strings:
		$1 = { 53 8B D8 8B 83 D4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94917_0 {
	meta:
		name = "TChartShape.Create"
		size = 192
		refs = "000e @ClassCreate 001c TChartSeries.Create 003e TBrush.SetColor 0053 _Dn_TTeeFont 0058 TTeeFont.Create 0065 _Dn_TStringList 006a TStringList.Create 009e TChartShape.AddDefaultPoints 00ab @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 70 01 00 00 02 C6 83 82 01 00 00 01 C6 83 4F 01 00 00 00 8B 43 3C BA FF FF FF 00 E8 ?? ?? ?? ?? C6 83 79 01 00 00 01 53 8B 03 8B 40 40 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 74 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 7C 01 00 00 89 5E 44 8B 03 8B 40 40 89 46 40 8B 43 3C 8B 40 10 8B 50 18 8B C3 8B 08 FF 91 D8 00 00 00 C6 83 83 01 00 00 01 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_94918_0 {
	meta:
		name = "TChartShape.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0028 TChartSeries.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 7C 01 00 00 E8 ?? ?? ?? ?? 8B 86 74 01 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94920_0 {
	meta:
		name = "TChartShape.GetX0"
		size = 73
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B 83 A0 00 00 00 83 78 04 01 7D 19 6A 00 6A 00 6A 00 6A 00 B9 00 00 00 20 33 D2 8B C3 8B 30 FF 96 00 01 00 00 8B 83 A0 00 00 00 8B 40 54 8B 10 89 14 24 8B 50 04 89 54 24 04 DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_94921_0 {
	meta:
		name = "TChartShape.SetX0"
		size = 77
		refs = "0043 TChartShape.ChangeToManual"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 83 A0 00 00 00 83 78 04 01 7D 19 6A 00 6A 00 6A 00 6A 00 B9 00 00 00 20 33 D2 8B C3 8B 30 FF 96 00 01 00 00 8B 83 A0 00 00 00 8B 40 54 8B 55 08 89 10 8B 55 0C 89 50 04 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_94922_0 {
	meta:
		name = "TChartShape.GetY0"
		size = 73
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 8B 83 A0 00 00 00 83 78 04 01 7D 19 6A 00 6A 00 6A 00 6A 00 B9 00 00 00 20 33 D2 8B C3 8B 30 FF 96 00 01 00 00 8B 83 A4 00 00 00 8B 40 54 8B 10 89 14 24 8B 50 04 89 54 24 04 DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_94923_0 {
	meta:
		name = "TChartShape.SetY0"
		size = 77
		refs = "0043 TChartShape.ChangeToManual"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 83 A0 00 00 00 83 78 04 01 7D 19 6A 00 6A 00 6A 00 6A 00 B9 00 00 00 20 33 D2 8B C3 8B 30 FF 96 00 01 00 00 8B 83 A4 00 00 00 8B 40 54 8B 55 08 89 10 8B 55 0C 89 50 04 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_94924_0 {
	meta:
		name = "TChartShape.GetX1"
		size = 76
		refs = "0025 TChartSeries.Count"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 EB 19 6A 00 6A 00 6A 00 6A 00 B9 00 00 00 20 33 D2 8B C3 8B 30 FF 96 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 83 F8 02 7C DB 8B 83 A0 00 00 00 8B 40 54 8B 50 08 89 14 24 8B 50 0C 89 54 24 04 DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_94925_0 {
	meta:
		name = "TChartShape.SetX1"
		size = 80
		refs = "0025 TChartSeries.Count 0046 TChartShape.ChangeToManual"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 EB 19 6A 00 6A 00 6A 00 6A 00 B9 00 00 00 20 33 D2 8B C3 8B 30 FF 96 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 83 F8 02 7C DB 8B 83 A0 00 00 00 8B 40 54 8B 55 08 89 50 08 8B 55 0C 89 50 0C 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_94926_0 {
	meta:
		name = "TChartShape.GetY1"
		size = 76
		refs = "0025 TChartSeries.Count"
	strings:
		$1 = { 53 56 83 C4 F8 8B D8 EB 19 6A 00 6A 00 6A 00 6A 00 B9 00 00 00 20 33 D2 8B C3 8B 30 FF 96 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 83 F8 02 7C DB 8B 83 A4 00 00 00 8B 40 54 8B 50 08 89 14 24 8B 50 0C 89 54 24 04 DD 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_94927_0 {
	meta:
		name = "TChartShape.SetY1"
		size = 80
		refs = "0025 TChartSeries.Count 0046 TChartShape.ChangeToManual"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 EB 19 6A 00 6A 00 6A 00 6A 00 B9 00 00 00 20 33 D2 8B C3 8B 30 FF 96 00 01 00 00 8B C3 E8 ?? ?? ?? ?? 83 F8 02 7C DB 8B 83 A4 00 00 00 8B 40 54 8B 55 08 89 50 08 8B 55 0C 89 50 0C 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_94929_0 {
	meta:
		name = "TChartShape.SetSeriesColor"
		size = 28
		refs = "000b TChartSeries.SetSeriesColor 0015 TBrush.SetColor"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 3C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94930_0 {
	meta:
		name = "DrawDiagonalCross2D"
		size = 82
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 08 8B 76 F8 8B 45 08 8B 40 FC 8B 40 40 8B 98 40 03 00 00 8B 46 08 40 50 8B 46 0C 40 50 8B 4E 04 8B 16 8B C3 8B 38 FF 97 D0 00 00 00 8B 46 08 40 50 8B 46 04 48 50 8B 4E 0C 8B 16 8B C3 8B 18 FF 93 D0 00 00 00 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_94931_0 {
	meta:
		name = "DrawDiagonalCross3D"
		size = 93
		refs = "0030 TCanvas3D.LineWithZ"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 08 8B 7F F8 8B 45 08 8B 40 FC 8B 40 40 8B B0 40 03 00 00 8B 45 08 8B 40 FC 8B 80 58 01 00 00 50 8D 4F 08 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 47 08 50 8B 47 04 50 8B 45 08 8B 40 FC 8B 80 58 01 00 00 50 8B 4F 0C 8B 17 8B C6 8B 18 FF 93 70 01 00 00 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_94932_0 {
	meta:
		name = "DrawCross3D"
		size = 119
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 8B 40 40 8B B0 40 03 00 00 8B 45 08 8B 40 F8 8B 40 0C 50 8B 45 08 8B 40 FC 8B 80 58 01 00 00 50 8B 45 08 8B 48 F8 8B 49 04 8B 45 08 8B 50 F4 8B C6 8B 18 FF 93 60 01 00 00 8B 45 08 8B 40 F0 50 8B 45 08 8B 40 FC 8B 80 58 01 00 00 50 8B 45 08 8B 48 F8 8B 49 08 8B 45 08 8B 50 F8 8B 12 8B C6 8B 18 FF 93 58 01 00 00 5E 5B 5D C3 }
	condition:
		$1
}

rule function_94933_0 {
	meta:
		name = "DrawCross2D"
		size = 95
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 8B 40 FC 8B 40 40 8B 98 40 03 00 00 8B 45 08 8B 40 F8 8B 40 0C 40 50 8B 45 08 8B 48 F8 8B 49 04 8B 45 08 8B 50 F4 8B C3 8B 30 FF 96 C0 00 00 00 8B 45 08 8B 40 F0 50 8B 45 08 8B 48 F8 8B 49 08 41 8B 45 08 8B 50 F8 8B 12 8B C3 8B 18 FF 93 BC 00 00 00 5E 5B 5D C3 }
	condition:
		$1
}

rule function_94934_0 {
	meta:
		name = "TChartShape.DrawShape"
		size = 1845
		refs = "0047 TBrush.SetStyle 0063 TChartSeries.GetSeriesColor 006c TCustomChartSeries.GetIndex 0079 TCustomAxisPanel.GetDefaultColor 011f TChartShape.DrawShape 0299 TCanvas3D.LineWithZ 032c TCanvas3D.Cube 0337 DrawCross3D 0343 DrawDiagonalCross3D 0463 TTeeCanvas.RoundRect 0710 DrawCross2D 0719 DrawDiagonalCross2D"
	strings:
		$1 = { 55 8B EC 81 C4 28 FF FF FF 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 FC 8B 40 40 8B B0 40 03 00 00 8B 45 FC 8B 78 44 8B 47 10 8B 48 18 8B D7 8B C6 8B 38 FF 57 54 8B 45 FC 80 B8 81 01 00 00 00 74 0C B2 01 8B 46 04 E8 ?? ?? ?? ?? EB 63 8B 45 FC 8B 78 3C 8B 47 10 81 78 18 00 00 00 20 75 2B 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 8B C8 8B D7 8B C6 8B 38 FF 57 50 EB 26 8B 45 FC E8 ?? ?? ?? ?? 8B F8 8B 45 FC 8B 40 3C 8B 40 10 8B 40 18 50 8B 45 FC 8B 50 3C 8B C6 8B CF 8B 38 FF 57 50 8B 45 FC 8B 40 3C 8B 40 10 81 78 18 FF FF FF 1F 75 0B B2 01 8B C6 8B 08 FF 51 30 EB 09 B2 02 8B C6 8B 08 FF 51 30 8B 45 F8 8B 00 8B 55 F8 03 42 08 D1 F8 79 03 83 D0 00 89 45 F4 8B 45 F8 8B 40 04 8B 55 F8 03 42 0C D1 F8 79 03 83 D0 00 89 45 F0 84 DB 0F 84 EF 02 00 00 8B 45 FC 0F B6 80 79 01 00 00 83 F8 0D 0F 87 12 06 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 88 58 01 00 00 8B 55 F8 8B C6 8B 18 FF 93 A0 01 00 00 E9 B8 05 00 00 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 0C 50 8B 45 FC 8B 80 58 01 00 00 50 8B 4D F8 8B 49 04 8B 55 F8 8B 12 8B C6 8B 18 FF 93 50 01 00 00 E9 86 05 00 00 8B 45 F8 8B 40 0C 50 8B 45 FC 8B 80 58 01 00 00 50 8B 4D F8 8B 49 04 8B 55 F4 8B C6 8B 18 FF 93 60 01 00 00 E9 5D 05 00 00 8B 45 F0 50 8B 45 FC 8B 80 58 01 00 00 50 8B 4D F8 8B 49 08 8B 55 F8 8B 12 8B C6 8B 18 FF 93 58 01 00 00 E9 35 05 00 00 8B 45 F8 8B 00 8B 55 F8 8B 52 0C 89 45 E8 89 55 EC 8B 45 F8 8B 40 04 8B 55 F4 89 55 E0 89 45 E4 8B 45 F8 83 C0 08 50 8B 45 FC 8B 80 58 01 00 00 50 8D 4D E0 8D 55 E8 8B C6 8B 18 FF 93 C8 01 00 00 E9 EF 04 00 00 8B 45 F8 8B 40 0C 8B 55 F4 89 55 D8 89 45 DC 8B 45 F8 8B 40 08 8B 55 F8 8B 52 04 89 45 D0 89 55 D4 8D 45 D0 50 8B 45 FC 8B 80 58 01 00 00 50 8D 4D D8 8B 55 F8 8B C6 8B 18 FF 93 C8 01 00 00 E9 AB 04 00 00 8B 45 FC 8B 80 58 01 00 00 50 8B 4D F8 83 C1 08 8B 55 F8 8B C6 E8 ?? ?? ?? ?? E9 8C 04 00 00 8B 45 F8 8B 00 89 45 C8 8B 45 F0 89 45 CC 8B 45 F8 8B 40 04 8B 55 F4 89 55 C0 89 45 C4 8B 45 F8 8B 40 08 89 45 B8 8B 45 F0 89 45 BC 8B 45 F8 8B 40 0C 8B 55 F4 89 55 B0 89 45 B4 8D 45 B8 50 8D 45 B0 50 8B 45 FC 8B 80 58 01 00 00 50 8D 4D C0 8D 55 C8 8B C6 8B 18 FF 93 84 01 00 00 E9 2A 04 00 00 8B 45 FC 8B 80 5C 01 00 00 50 8B 45 FC 0F B6 80 81 01 00 00 34 01 50 6A 00 8B 45 FC 8B 88 54 01 00 00 8B 55 F8 8B C6 E8 ?? ?? ?? ?? E9 F9 03 00 00 55 E8 ?? ?? ?? ?? 59 E9 ED 03 00 00 55 E8 ?? ?? ?? ?? 59 E9 E1 03 00 00 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 E9 CE 03 00 00 8B 45 F8 8B 40 04 50 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 0C 50 8B 45 FC 8B 80 54 01 00 00 50 8B 45 FC 8B 80 5C 01 00 00 50 8B 45 FC 0F B6 80 81 01 00 00 34 01 50 8B 4D F8 8B 09 B2 01 8B C6 8B 18 FF 93 98 01 00 00 E9 82 03 00 00 8B 45 F8 8B 40 0C 50 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 04 50 8B 45 FC 8B 80 54 01 00 00 50 8B 45 FC 8B 80 5C 01 00 00 50 8B 45 FC 0F B6 80 81 01 00 00 34 01 50 8B 4D F8 8B 09 B2 01 8B C6 8B 18 FF 93 98 01 00 00 E9 36 03 00 00 8B 45 FC 0F B6 80 79 01 00 00 83 F8 0D 0F 87 23 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 80 B8 78 01 00 00 00 74 16 6A 0C 8B 55 F8 B9 0C 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 C2 02 00 00 8B 45 F8 8B 00 8B 55 F8 8B 52 04 8B 4D F8 8B 49 08 41 8B 5D F8 8B 5B 0C 43 89 85 60 FF FF FF 89 95 64 FF FF FF 89 8D 68 FF FF FF 89 9D 6C FF FF FF 8B 85 68 FF FF FF 50 8B 85 6C FF FF FF 50 8B C6 8B 8D 64 FF FF FF 8B 95 60 FF FF FF 8B 18 FF 93 8C 00 00 00 E9 68 02 00 00 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 0C 50 8B 4D F8 8B 49 04 8B 55 F8 8B 12 8B C6 8B 18 FF 53 70 E9 43 02 00 00 8B 45 F8 8B 40 0C 50 8B 4D F8 8B 49 04 8B 55 F4 8B C6 8B 18 FF 93 C0 00 00 00 E9 24 02 00 00 8B 45 F0 50 8B 4D F8 8B 49 08 41 8B 55 F8 8B 12 8B C6 8B 18 FF 93 BC 00 00 00 E9 05 02 00 00 8B 45 F8 8B 00 8B 55 F8 8B 52 0C 89 45 A8 89 55 AC 8B 45 F8 8B 40 04 8B 55 F4 89 55 A0 89 45 A4 8B 45 A8 89 85 48 FF FF FF 8B 45 AC 89 85 4C FF FF FF 8B 45 A0 89 85 50 FF FF FF 8B 45 A4 89 85 54 FF FF FF 8B 45 F8 8B 50 08 89 95 58 FF FF FF 8B 50 0C 89 95 5C FF FF FF 8D 95 48 FF FF FF B9 02 00 00 00 8B C6 8B 18 FF 93 D8 00 00 00 E9 92 01 00 00 8B 45 F8 8B 40 0C 8B 55 F4 89 55 98 89 45 9C 8B 45 F8 8B 40 08 8B 55 F8 8B 52 04 89 45 90 89 55 94 8B 45 F8 8B 10 89 95 48 FF FF FF 8B 50 04 89 95 4C FF FF FF 8B 45 98 89 85 50 FF FF FF 8B 45 9C 89 85 54 FF FF FF 8B 45 90 89 85 58 FF FF FF 8B 45 94 89 85 5C FF FF FF 8D 95 48 FF FF FF B9 02 00 00 00 8B C6 8B 18 FF 93 D8 00 00 00 E9 1F 01 00 00 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 0C 50 8B 4D F8 8B 49 04 8B 55 F8 8B 12 8B C6 8B 18 FF 93 D0 00 00 00 E9 F7 00 00 00 8B 45 F8 8B 00 89 45 88 8B 45 F0 89 45 8C 8B 45 F8 8B 40 04 8B 55 F4 89 55 80 89 45 84 8B 45 F8 8B 40 08 89 85 78 FF FF FF 8B 45 F0 89 85 7C FF FF FF 8B 45 F8 8B 40 0C 8B 55 F4 89 95 70 FF FF FF 89 85 74 FF FF FF 8B 45 88 89 85 28 FF FF FF 8B 45 8C 89 85 2C FF FF FF 8B 45 80 89 85 30 FF FF FF 8B 45 84 89 85 34 FF FF FF 8B 85 78 FF FF FF 89 85 38 FF FF FF 8B 85 7C FF FF FF 89 85 3C FF FF FF 8B 85 70 FF FF FF 89 85 40 FF FF FF 8B 85 74 FF FF FF 89 85 44 FF FF FF 8D 95 28 FF FF FF B9 03 00 00 00 8B C6 8B 18 FF 93 D8 00 00 00 EB 45 8B 45 F8 8B 40 08 50 8B 45 F8 8B 40 0C 50 8B 4D F8 8B 49 04 8B 55 F8 8B 12 8B C6 8B 18 FF 93 8C 00 00 00 EB 20 55 E8 ?? ?? ?? ?? 59 EB 17 55 E8 ?? ?? ?? ?? 59 EB 0E 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94935_0 {
	meta:
		name = "TChartShape.DrawText"
		size = 612
		refs = "001d TChartShape.DrawText 004c TTeeCanvas.AssignFont 006c BrushColors 0071 TFont.SetColor 00e7 @ROUND 023a @UStrArrayClr 0240 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D D0 89 4D D4 89 4D D8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 40 8B B0 40 03 00 00 8B 83 7C 01 00 00 8B 10 FF 52 14 85 C0 0F 8E E1 01 00 00 8B 93 74 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 46 0C 8B 50 18 8B 4E 04 8B 49 10 3B 51 18 75 14 85 D2 0F 94 C2 83 E2 7F 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? 8B 08 FF 91 A0 00 00 00 89 45 F0 8B 45 FC 8B 00 8B 55 FC 03 42 08 D1 F8 79 03 83 D0 00 89 45 EC 8B 45 FC 8B 40 04 8B 55 FC 03 42 0C D1 F8 79 03 83 D0 00 89 45 E8 0F B6 83 82 01 00 00 2C 01 72 04 74 0D EB 34 8B 45 FC 8B 40 04 89 45 E4 EB 4D 8B 83 7C 01 00 00 8B 10 FF 52 14 F7 6D F0 89 45 DC DB 45 DC D8 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 2B D0 89 55 E4 EB 24 8B 83 7C 01 00 00 8B 10 FF 52 14 F7 6D F0 89 45 DC DB 45 DC E8 ?? ?? ?? ?? 8B 55 FC 8B 52 0C 2B D0 89 55 E4 B2 01 8B C6 8B 08 FF 51 30 8B 83 7C 01 00 00 8B 10 FF 52 14 48 85 C0 0F 8C EE 00 00 00 40 89 45 E0 C7 45 F8 00 00 00 00 8D 4D D8 8B 55 F8 8B 83 7C 01 00 00 8B 38 FF 57 0C 8B 55 D8 8B C6 8B 08 FF 91 9C 00 00 00 0F B6 93 70 01 00 00 80 EA 01 72 15 FE CA 75 27 D1 F8 79 03 83 D0 00 8B 55 EC 2B D0 89 55 F4 EB 2D 8B 45 FC 8B 00 8B 56 10 8B 52 10 03 42 1C 83 C0 04 89 45 F4 EB 17 8B 55 FC 8B 52 08 8B 4E 10 8B 49 10 2B 51 1C 2B D0 83 EA 04 89 55 F4 33 D2 8B C6 8B 08 FF 51 48 80 BB 83 01 00 00 00 75 27 8D 4D D4 8B 55 F8 8B 83 7C 01 00 00 8B 38 FF 57 0C 8B 45 D4 50 8B 4D E4 8B 55 F4 8B C6 8B 38 FF 97 98 00 00 00 EB 2C 8B 83 54 01 00 00 50 8D 4D D0 8B 55 F8 8B 83 7C 01 00 00 8B 38 FF 57 0C 8B 45 D0 50 8B 4D E4 8B 55 F4 8B C6 8B 38 FF 97 BC 01 00 00 8B 45 F0 01 45 E4 FF 45 F8 FF 4D E0 0F 85 1D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 57 00 00 00 00 00 00 40 }
	condition:
		$1
}

rule function_94936_0 {
	meta:
		name = "TChartShape.SetShapeRectangle"
		size = 83
		refs = "0019 TChartShape.SetX0 002a TChartShape.SetY0 003b TChartShape.SetX1 004c TChartShape.SetY1"
	strings:
		$1 = { 53 56 8B F2 8B D8 C6 83 83 01 00 00 00 DB 06 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? DB 46 04 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? DB 46 08 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? DB 46 0C 83 C4 F8 DD 1C 24 9B 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94937_0 {
	meta:
		name = "TChartShape.GetShapeRectangle"
		size = 284
		refs = "0020 TChartShape.GetX0 0025 @TRUNC 002e TChartShape.GetY0 003c TChartShape.GetX1 004b TChartShape.GetY1"
	strings:
		$1 = { 53 56 57 55 83 C4 D8 8B F2 8B D8 0F B6 83 83 01 00 00 2C 01 72 07 74 5E E9 B7 00 00 00 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 7C 24 08 89 6C 24 0C 8B 14 24 89 54 24 10 89 44 24 14 8B FE 8D 74 24 08 A5 A5 A5 A5 E9 9E 00 00 00 33 D2 8B C3 8B 08 FF 91 3C 01 00 00 8B F8 33 D2 8B C3 8B 08 FF 91 44 01 00 00 8B E8 BA 01 00 00 00 8B C3 8B 08 FF 91 3C 01 00 00 89 44 24 04 BA 01 00 00 00 8B C3 8B 08 FF 91 44 01 00 00 89 7C 24 18 89 6C 24 1C 8B 54 24 04 89 54 24 20 89 44 24 24 8B FE 8D 74 24 18 A5 A5 A5 A5 EB 40 33 D2 8B C3 8B 08 FF 91 3C 01 00 00 89 06 33 D2 8B C3 8B 08 FF 91 44 01 00 00 89 46 04 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 06 89 46 08 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 03 46 04 89 46 0C 83 C4 28 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94938_0 {
	meta:
		name = "TChartShape.GetAdjustedRectangle"
		size = 59
		refs = "001a OrientRectangle"
	strings:
		$1 = { 53 56 83 C4 F0 8B DA 8B F0 8B D4 8B C6 8B 08 FF 91 80 01 00 00 8B C4 8B D3 E8 ?? ?? ?? ?? 8B 43 04 3B 43 0C 75 04 40 89 43 0C 8B 03 3B 43 08 75 04 40 89 43 08 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_94939_0 {
	meta:
		name = "TChartShape.DrawValue"
		size = 346
		refs = "002e TChartShape.GetAdjustedRectangle 0047 IntersectRect 009f TCanvas3D.CalcRect3D 00d3 TChartShape.DrawValue 0100 TChartShape.DrawShape 011a TChartShape.DrawText 014d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 89 45 FC 8B 45 FC 8B 80 A0 00 00 00 83 78 04 02 0F 85 34 01 00 00 85 D2 0F 85 2C 01 00 00 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 05 44 03 00 00 50 8D 45 E8 50 8D 45 D8 50 E8 ?? ?? ?? ?? 85 C0 0F 84 00 01 00 00 8B 45 FC 80 B8 83 01 00 00 00 75 04 33 DB EB 0D 8B 45 FC 8B 40 40 0F B6 98 04 03 00 00 8B 45 FC 80 B8 80 01 00 00 00 76 4E 8B 45 FC 8B 40 40 8B B0 40 03 00 00 84 DB 74 19 8D 45 D8 50 8B 45 FC 8B 88 58 01 00 00 8D 55 E8 8B C6 E8 ?? ?? ?? ?? EB 0C 56 8D 75 E8 8D 7D D8 A5 A5 A5 A5 5E 8B 45 FC 0F B6 88 80 01 00 00 8D 55 D8 8B C6 8B 30 FF 56 58 89 45 F8 EB 05 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 B8 79 01 00 00 06 75 1D 8D 55 C8 8B 45 FC 8B 08 FF 91 80 01 00 00 8D 4D C8 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 0D 8D 4D E8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 80 B8 80 01 00 00 00 76 14 8B 45 FC 8B 40 40 8B 80 40 03 00 00 8B 55 F8 8B 08 FF 51 5C C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94940_0 {
	meta:
		name = "TChartShape.AddDefaultPoints"
		size = 63
	strings:
		$1 = { 53 56 8B F0 6A 00 6A 00 6A 00 6A 00 B9 00 00 00 20 33 D2 8B C6 8B 18 FF 93 00 01 00 00 68 00 00 59 40 6A 00 68 00 00 59 40 6A 00 B9 00 00 00 20 33 D2 8B C6 8B 18 FF 93 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_94941_0 {
	meta:
		name = "TChartShape.AddSampleValues"
		size = 204
		refs = "0011 TChartSeries.RandomBounds 001b TChartShape.AddSampleValues 0028 TChartShape.AddDefaultPoints 0086 @ROUND 008f TChartSeries.RandomValue"
	strings:
		$1 = { 53 56 83 C4 D4 8B F0 8B CC BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? DD 44 24 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0C 8B C6 E8 ?? ?? ?? ?? E9 86 00 00 00 DD 44 24 08 D8 35 ?? ?? ?? ?? DC 04 24 83 C4 F8 DD 1C 24 9B DD 44 24 18 D8 35 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B B9 00 00 00 20 33 D2 8B C6 8B 18 FF 93 00 01 00 00 DD 04 24 DC 44 24 08 DD 44 24 08 D8 35 ?? ?? ?? ?? DE E9 83 C4 F8 DD 1C 24 9B DD 44 24 28 E8 ?? ?? ?? ?? 8B D0 8B 06 E8 ?? ?? ?? ?? 89 44 24 30 DB 44 24 30 DC 44 24 18 83 C4 F8 DD 1C 24 9B B9 00 00 00 20 33 D2 8B C6 8B 18 FF 93 00 01 00 00 83 C4 2C 5E 5B C3 00 00 00 00 00 00 00 00 00 00 41 00 00 00 40 }
	condition:
		$1
}

rule function_94942_0 {
	meta:
		name = "TChartShape.Clicked"
		size = 536
		refs = "0091 TChartShape.Clicked 00df PointInLine 0196 PointInPolygon 01a7 PointInTriangle 01c7 PointInEllipse 01d6 OrientRectangle"
	strings:
		$1 = { 53 56 57 83 C4 88 89 4C 24 04 89 14 24 8B D8 8B 73 40 85 F6 74 1D 8B 83 54 01 00 00 50 8D 4C 24 08 8D 54 24 04 8B 86 40 03 00 00 8B 30 FF 96 10 01 00 00 8B 04 24 89 44 24 10 8B 44 24 04 89 44 24 14 8D 54 24 38 8B C3 8B 08 FF 91 80 01 00 00 8B 74 24 38 8B C6 8B 7C 24 40 03 C7 D1 F8 79 03 83 D0 00 89 44 24 08 8B 44 24 3C 8B C8 8B 54 24 44 03 CA D1 F9 79 03 83 D1 00 89 4C 24 0C 0F B6 8B 79 01 00 00 83 F9 0D 0F 87 3F 01 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 4C 24 08 51 52 8D 54 24 18 8B C8 8B 44 24 10 92 E8 ?? ?? ?? ?? E9 1E 01 00 00 57 8B 44 24 10 50 8D 44 24 18 8B 4C 24 14 8B D6 E8 ?? ?? ?? ?? E9 04 01 00 00 8D 4C 24 40 8D 54 24 38 8D 44 24 10 E8 ?? ?? ?? ?? E9 EE 00 00 00 8B 4C 24 08 89 4C 24 18 89 44 24 1C 89 7C 24 20 8B 44 24 0C 89 44 24 24 8B 44 24 08 89 44 24 28 89 54 24 2C 89 74 24 30 8B 44 24 0C 89 44 24 34 8B 44 24 18 89 44 24 58 8B 44 24 1C 89 44 24 5C 8B 44 24 20 89 44 24 60 8B 44 24 24 89 44 24 64 8B 44 24 28 89 44 24 68 8B 44 24 2C 89 44 24 6C 8B 44 24 30 89 44 24 70 8B 44 24 34 89 44 24 74 8D 54 24 58 8D 44 24 10 B9 03 00 00 00 E8 ?? ?? ?? ?? EB 6A 52 50 8D 44 24 18 8B CF 8B D6 E8 ?? ?? ?? ?? EB 59 50 52 8D 44 24 18 8B CF 8B D6 E8 ?? ?? ?? ?? EB 48 8D 54 24 38 8D 44 24 10 E8 ?? ?? ?? ?? EB 39 8D 54 24 48 8D 44 24 38 E8 ?? ?? ?? ?? 8B 04 24 3B 44 24 48 7C 1D 8B 44 24 04 3B 44 24 4C 7C 13 8B 04 24 3B 44 24 50 7F 0A 8B 44 24 04 3B 44 24 54 7E 04 33 C0 EB 02 B0 01 84 C0 74 04 33 C0 EB 03 83 C8 FF 83 C4 78 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94943_0 {
	meta:
		name = "TChartShape.PrepareForGallery"
		size = 240
		refs = "000b TChartSeries.PrepareForGallery 001f TFont.SetColor 0038 TChartShape.PrepareForGallery 0043 TFont.SetStyle 0053 TFont.SetSize 0065 TCustomChartSeries.GetIndex 0071 TChartShape.SetStyle 0082 TBrush.SetColor 0097 TeeMsg_ShapeGallery1 00d6 TeeMsg_ShapeGallery2"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 74 12 BA FF FF 00 00 8B 86 74 01 00 00 E8 ?? ?? ?? ?? EB 10 BA 80 80 80 00 8B 86 74 01 00 00 E8 ?? ?? ?? ?? 0F B6 15 ?? ?? ?? ?? 8B 86 74 01 00 00 E8 ?? ?? ?? ?? BA 0C 00 00 00 8B 86 74 01 00 00 E8 ?? ?? ?? ?? 8B 86 7C 01 00 00 8B 10 FF 52 44 8B C6 E8 ?? ?? ?? ?? 48 75 3F B2 01 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0F BA 00 00 00 20 8B 46 3C E8 ?? ?? ?? ?? EB 0D BA C0 C0 C0 00 8B 46 3C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 86 7C 01 00 00 8B 08 FF 51 38 5E 5B C3 B2 04 8B C6 E8 ?? ?? ?? ?? 84 DB 74 0F BA 00 00 00 20 8B 46 3C E8 ?? ?? ?? ?? EB 0D BA C0 C0 C0 00 8B 46 3C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 86 7C 01 00 00 8B 08 FF 51 38 5E 5B C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_94944_0 {
	meta:
		name = "TChartShape.GetEditorClass"
		size = 68
		refs = "0006 TChartShape.GetEditorClass 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 54 00 43 00 68 00 61 00 72 00 74 00 53 00 68 00 61 00 70 00 65 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_94945_0 {
	meta:
		name = "TChartShape.Assign"
		size = 159
		refs = "000b _DV_TChartShape 0010 @IsClass 0030 TChartShape.SetFont 0097 TChartSeries.Assign"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7A 8B FE 0F B6 87 70 01 00 00 88 83 70 01 00 00 8B 97 74 01 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 87 78 01 00 00 88 83 78 01 00 00 0F B6 87 79 01 00 00 88 83 79 01 00 00 8B 97 7C 01 00 00 8B C3 8B 08 FF 91 84 01 00 00 0F B6 87 80 01 00 00 88 83 80 01 00 00 0F B6 87 81 01 00 00 88 83 81 01 00 00 0F B6 87 82 01 00 00 88 83 82 01 00 00 0F B6 87 83 01 00 00 88 83 83 01 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94947_0 {
	meta:
		name = "TChartShape.SetFont"
		size = 12
	strings:
		$1 = { 8B 80 74 01 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_94949_0 {
	meta:
		name = "TChartShape.SetText"
		size = 29
		refs = "0016 TCustomChartElement.Repaint"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 7C 01 00 00 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_94950_0 {
	meta:
		name = "TChartShape.SetTransparent"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 05 81 01 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94951_0 {
	meta:
		name = "TChartShape.SetRoundRectangle"
		size = 21
		refs = "0010 TCustomChartElement.Repaint"
	strings:
		$1 = { 8B C8 05 78 01 00 00 3A 10 74 09 88 10 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94952_0 {
	meta:
		name = "TChartShape.SetXYStyle"
		size = 20
		refs = "000f TCustomChartElement.Repaint"
	strings:
		$1 = { 3A 90 83 01 00 00 74 0B 88 90 83 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94953_0 {
	meta:
		name = "TChartShape.UseAxis"
		size = 11
	strings:
		$1 = { 80 B8 83 01 00 00 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_94954_0 {
	meta:
		name = "TChartShape.CalcZOrder"
		size = 26
		refs = "0014 TChartSeries.CalcZOrder"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 74 01 00 00 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94956_0 {
	meta:
		name = "TChartShape.SetVertAlign"
		size = 20
		refs = "000f TCustomChartElement.Repaint"
	strings:
		$1 = { 3A 90 82 01 00 00 74 0B 88 90 82 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94957_0 {
	meta:
		name = "TChartShape.CreateSubGallery"
		size = 214
		refs = "000a TChartSeries.CreateSubGallery 0010 TeeMsg_Rectangle 001e TeeMsg_VertLine 002c TeeMsg_HorizLine 003a TeeMsg_Ellipse 0048 TeeMsg_DownTri 0056 TeeMsg_Line 0064 TeeMsg_Diamond 0072 TeeMsg_Cube 0080 TeeMsg_Cross 008e TeeMsg_DiagCross 009c TeeMsg_Star 00aa TeeMsg_Pyramid 00b8 TeeMsg_InvPyramid 00c6 TeeMsg_Hollow"
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C FF 55 08 5D C2 08 00 }
	condition:
		$1
}

rule function_94958_0 {
	meta:
		name = "TChartShape.SetSubGallery"
		size = 226
		refs = "000c TChartShape.SetSubGallery 0051 TChartShape.SetStyle 00dd TChartShape.SetTransparent"
	strings:
		$1 = { 83 F9 0E 0F 87 D8 00 00 00 FF 24 8D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C2 33 D2 E8 ?? ?? ?? ?? C3 8B C2 B2 02 E8 ?? ?? ?? ?? C3 8B C2 B2 03 E8 ?? ?? ?? ?? C3 8B C2 B2 01 E8 ?? ?? ?? ?? C3 8B C2 B2 05 E8 ?? ?? ?? ?? C3 8B C2 B2 06 E8 ?? ?? ?? ?? C3 8B C2 B2 07 E8 ?? ?? ?? ?? C3 8B C2 B2 08 E8 ?? ?? ?? ?? C3 8B C2 B2 09 E8 ?? ?? ?? ?? C3 8B C2 B2 0A E8 ?? ?? ?? ?? C3 8B C2 B2 0B E8 ?? ?? ?? ?? C3 8B C2 B2 0C E8 ?? ?? ?? ?? C3 8B C2 B2 0D E8 ?? ?? ?? ?? C3 8B C2 0F B6 88 81 01 00 00 80 F1 01 8B D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94961_0 {
	meta:
		name = "TChartShape.ChangeToManual"
		size = 13
		refs = "0008 TCustomChartElement.Repaint"
	strings:
		$1 = { C6 80 64 01 00 00 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94962_0 {
	meta:
		name = "TChartShape.SetTransparency"
		size = 20
		refs = "000f TCustomChartElement.Repaint"
	strings:
		$1 = { 3A 90 80 01 00 00 74 0B 88 90 80 01 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94965_0 {
	meta:
		name = "TChartShapeEditor.FormShow"
		size = 712
		refs = "001c TChartShapeEditor.FormShow 007c TChartShape.GetX0 0093 CurrencyString 0098 FloatToStr 00a6 TControl.SetText 00ad TChartShape.GetY0 00de TChartShape.GetX1 010f TChartShape.GetY1 014a TControl.SetFont 015b TCustomMemo.SetLines 017b TCustomRadioGroup.SetItemIndex 01ff TChartShapeEditor.EnableRound 0222 TButtonPen.LinkPen 0233 TTeeFontEditor.RefreshControls 023a TChartShape.GetGradient 0247 TButtonGradient.LinkGradient 0259 TCustomUpDown.SetPosition 026f TTeeButton.LinkProperty 0290 @UStrArrayClr 0296 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 33 C9 89 4D FC 89 4D F8 89 4D F4 89 4D F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 89 83 14 04 00 00 85 C0 0F 84 3C 02 00 00 8B F0 0F B6 96 79 01 00 00 8B 83 C0 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 96 81 01 00 00 8B 83 CC 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 14 04 00 00 8B 80 A0 00 00 00 83 78 04 02 0F 85 C4 00 00 00 8B C6 E8 ?? ?? ?? ?? DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? DB 7D D0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? DB 7D C0 9B 0F B7 45 C8 50 FF 75 C4 FF 75 C0 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? DB 7D B0 9B 0F B7 45 B8 50 FF 75 B4 FF 75 B0 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 96 74 01 00 00 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 8B 96 7C 01 00 00 8B 83 F0 03 00 00 E8 ?? ?? ?? ?? 0F B6 86 70 01 00 00 2C 01 72 08 74 27 FE C8 74 11 EB 31 33 D2 8B 83 F8 03 00 00 E8 ?? ?? ?? ?? EB 22 BA 01 00 00 00 8B 83 F8 03 00 00 E8 ?? ?? ?? ?? EB 10 BA 02 00 00 00 8B 83 F8 03 00 00 E8 ?? ?? ?? ?? 0F B6 86 82 01 00 00 2C 01 72 08 74 15 FE C8 74 23 EB 31 33 D2 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? EB 22 BA 01 00 00 00 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? EB 10 BA 02 00 00 00 8B 83 F4 03 00 00 E8 ?? ?? ?? ?? 0F B6 96 78 01 00 00 8B 83 E0 03 00 00 8B 08 FF 91 FC 00 00 00 8B C3 E8 ?? ?? ?? ?? 0F B6 96 83 01 00 00 8B 83 D8 03 00 00 8B 08 FF 91 FC 00 00 00 8B 56 44 8B 83 C8 03 00 00 E8 ?? ?? ?? ?? 8B 96 74 01 00 00 8B 83 10 04 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 83 E4 03 00 00 E8 ?? ?? ?? ?? 0F B6 96 80 01 00 00 8B 83 04 04 00 00 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B 93 14 04 00 00 8B 83 C4 03 00 00 E8 ?? ?? ?? ?? C6 83 0C 04 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 53 00 65 00 72 00 69 00 65 00 73 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_94966_0 {
	meta:
		name = "TChartShapeEditor.SEX0Change"
		size = 155
		refs = "0015 TChartShapeEditor.SEX0Change 0032 TControl.GetText 004c CurrencyString 0054 StrToFloat 006d TChartShape.SetX0 0082 @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB F2 01 00 00 00 74 49 8D 55 EC 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 83 7D EC 00 74 35 8D 55 FC 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 83 C4 F8 DD 1C 24 9B 8B 83 14 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94967_0 {
	meta:
		name = "TChartShapeEditor.SEY0Change"
		size = 155
		refs = "0015 TChartShapeEditor.SEY0Change 0032 TControl.GetText 004c CurrencyString 0054 StrToFloat 006d TChartShape.SetY0 0082 @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB F2 01 00 00 00 74 49 8D 55 EC 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 83 7D EC 00 74 35 8D 55 FC 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 83 C4 F8 DD 1C 24 9B 8B 83 14 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94968_0 {
	meta:
		name = "TChartShapeEditor.SEX1Change"
		size = 155
		refs = "0015 TChartShapeEditor.SEX1Change 0032 TControl.GetText 004c CurrencyString 0054 StrToFloat 006d TChartShape.SetX1 0082 @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB F2 01 00 00 00 74 49 8D 55 EC 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 83 7D EC 00 74 35 8D 55 FC 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 83 C4 F8 DD 1C 24 9B 8B 83 14 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94969_0 {
	meta:
		name = "TChartShapeEditor.SEY1Change"
		size = 155
		refs = "0015 TChartShapeEditor.SEY1Change 0032 TControl.GetText 004c CurrencyString 0054 StrToFloat 006d TChartShape.SetY1 0082 @UStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB F2 01 00 00 00 74 49 8D 55 EC 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 83 7D EC 00 74 35 8D 55 FC 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D F0 9B DB 6D F0 83 C4 F8 DD 1C 24 9B 8B 83 14 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94970_0 {
	meta:
		name = "TChartShapeEditor.BShapeBrushClick"
		size = 35
		refs = "000f EditChartBrush"
	strings:
		$1 = { 56 8B F0 8B 86 14 04 00 00 8B 50 3C 8B C6 E8 ?? ?? ?? ?? 8B 86 C4 03 00 00 8B 10 FF 92 A0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_94971_0 {
	meta:
		name = "TChartShapeEditor.MemoTextChange"
		size = 36
	strings:
		$1 = { 80 B8 0C 04 00 00 00 75 1A 8B 90 F0 03 00 00 8B 92 A8 02 00 00 8B 80 14 04 00 00 8B 08 FF 91 84 01 00 00 C3 }
	condition:
		$1
}

rule function_94972_0 {
	meta:
		name = "TChartShapeEditor.RGAlignClick"
		size = 66
		refs = "0021 TChartShape.SetAlignment"
	strings:
		$1 = { 8B 90 F8 03 00 00 8B 92 88 02 00 00 83 EA 01 72 07 74 13 4A 74 1E EB 29 33 D2 8B 80 14 04 00 00 E8 ?? ?? ?? ?? C3 B2 02 8B 80 14 04 00 00 E8 ?? ?? ?? ?? C3 B2 01 8B 80 14 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94973_0 {
	meta:
		name = "TChartShapeEditor.CBTransClick"
		size = 32
		refs = "001a TChartShape.SetTransparent"
	strings:
		$1 = { 53 8B D8 8B 83 CC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 14 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94974_0 {
	meta:
		name = "TChartShapeEditor.CBStyleChange"
		size = 69
		refs = "001a TChartShape.SetStyle 0021 TChartShapeEditor.EnableRound"
	strings:
		$1 = { 53 8B D8 8B 83 C0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 14 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 83 14 04 00 00 80 B8 79 01 00 00 00 0F 94 C2 8B 83 E0 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_94975_0 {
	meta:
		name = "TChartShapeEditor.EnableRound"
		size = 52
	strings:
		$1 = { 8B 90 14 04 00 00 80 BA 79 01 00 00 00 75 10 8B 4A 40 85 C9 74 09 80 B9 04 03 00 00 00 74 04 33 D2 EB 02 B2 01 8B 80 E0 03 00 00 8B 08 FF 91 80 00 00 00 C3 }
	condition:
		$1
}

rule function_94976_0 {
	meta:
		name = "TChartShapeEditor.CBUnitsChange"
		size = 32
		refs = "001a TChartShape.SetXYStyle"
	strings:
		$1 = { 53 8B D8 8B 83 D8 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 14 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94977_0 {
	meta:
		name = "TChartShapeEditor.FormCreate"
		size = 29
		refs = "0011 InsertTeeFontEditor"
	strings:
		$1 = { 53 8B D8 C6 83 0C 04 00 00 01 8B 83 DC 03 00 00 E8 ?? ?? ?? ?? 89 83 10 04 00 00 5B C3 }
	condition:
		$1
}

rule function_94978_0 {
	meta:
		name = "TChartShapeEditor.CBRoundClick"
		size = 32
		refs = "001a TChartShape.SetRoundRectangle"
	strings:
		$1 = { 53 8B D8 8B 83 E0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 14 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94979_0 {
	meta:
		name = "TChartShapeEditor.RGVertAlignClick"
		size = 66
		refs = "0021 TChartShape.SetVertAlign"
	strings:
		$1 = { 8B 90 F4 03 00 00 8B 92 88 02 00 00 83 EA 01 72 07 74 13 4A 74 1E EB 29 33 D2 8B 80 14 04 00 00 E8 ?? ?? ?? ?? C3 B2 01 8B 80 14 04 00 00 E8 ?? ?? ?? ?? C3 B2 02 8B 80 14 04 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94980_0 {
	meta:
		name = "TChartShapeEditor.Edit1Change"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TChartShape.SetTransparency"
	strings:
		$1 = { 53 8B D8 80 BB F2 01 00 00 00 74 18 8B 83 04 04 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 14 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_94981_0 {
	meta:
		name = "TChartShapeEditor.Button1Click"
		size = 20
		refs = "000f TeeEditStrings"
	strings:
		$1 = { 8B 90 F0 03 00 00 8B 92 A8 02 00 00 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94984_0 {
	meta:
		name = "TBaseSourceEditor.AddComponentDataSource"
		size = 316
		refs = "0017 TBaseSourceEditor.AddComponentDataSource 003f TChartSeries.GetDataSources 0046 TList.IndexOf 0084 @CallDynaInst 0090 _Dn_TChartSeries 0095 @IsClass 00a3 SeriesTitleOrName 00b0 @UStrLAsg 00ed @UStrCatN 010f @UStrClr 011d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F4 8B 08 FF 51 5C 40 0F 85 CC 00 00 00 80 7D 08 00 75 19 8B 87 A8 03 00 00 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 40 0F 85 AD 00 00 00 8B D3 8B C7 8B 08 FF 91 28 01 00 00 84 C0 0F 84 99 00 00 00 80 BF AC 03 00 00 00 75 1E 8B 87 A8 03 00 00 8B 40 40 8B CB 8B 97 A8 03 00 00 66 BE AA FF E8 ?? ?? ?? ?? 84 C0 74 72 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? EB 0B 8D 45 FC 8B 53 08 E8 ?? ?? ?? ?? 8B 87 A8 03 00 00 8B 40 04 8B 73 04 3B C6 74 2D 85 F6 74 29 8D 45 F8 8B 56 08 E8 ?? ?? ?? ?? 83 7D F8 00 74 18 FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B CB 8B 55 FC 8B 45 F4 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_94986_0 {
	meta:
		name = "TBaseSourceEditor.FormShow"
		size = 117
		refs = "000b _Dn_TChartSeries 0010 @IsClass 0024 _Dn_TCustomChart 003d _Dn_TTeeSeriesSource 006e TeeTranslateControl"
	strings:
		$1 = { 53 56 8B D8 8B 73 0C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 89 B3 A8 03 00 00 EB 3B 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 08 89 B3 A4 03 00 00 EB 22 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B C6 89 83 B0 03 00 00 8B 40 3C 89 83 A8 03 00 00 33 D2 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_94987_0 {
	meta:
		name = "TBaseSourceEditor.FormCloseQuery"
		size = 212
		refs = "0016 TBaseSourceEditor.FormCloseQuery 0034 TeeMsg_SureToApply 003b @UStrLAsg 0058 MessageDlgPosHelp 0076 @CallDynaInst 00bd @UStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 89 4D F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A0 03 00 00 8B 10 FF 52 68 84 C0 74 7D 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? B0 03 0F B7 15 ?? ?? ?? ?? 33 F6 56 6A FF 6A FF 6A 00 8B CA 8B 55 FC 92 E8 ?? ?? ?? ?? 83 E8 02 74 45 83 E8 04 74 05 48 74 25 EB 41 8B 83 A0 03 00 00 66 BE EC FF E8 ?? ?? ?? ?? 8B 83 A0 03 00 00 8B 10 FF 52 68 34 01 8B 55 F8 88 02 EB 1E 33 D2 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 8B 45 F8 C6 00 01 EB 06 8B 45 F8 C6 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 0B 00 00 00 }
	condition:
		$1
}

rule function_94989_0 {
	meta:
		name = "TBaseSourceEditor.CheckReplaceSource"
		size = 226
		refs = "001b TeeSeriesTypes 0024 TTeeSeriesTypes.Get 002e TCustomAxisPanel.AddSeries 0049 TChartSeries.GetDataSource 0071 _Dn_TTeeSeriesSource 0076 @IsClass 00a6 TTeeSeriesSource.SetSeries 00ad TObject.Free 00ba TChartSeries.SetDataSource"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B BB A4 03 00 00 85 FF 74 27 83 BB A8 03 00 00 00 75 1E A1 ?? ?? ?? ?? 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 50 04 8B C7 E8 ?? ?? ?? ?? 89 83 A8 03 00 00 8B BB A8 03 00 00 85 FF 0F 84 98 00 00 00 8B C7 E8 ?? ?? ?? ?? 3B F0 0F 84 89 00 00 00 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 4D 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 33 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B 40 04 3B 83 A8 03 00 00 75 1D 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 33 D2 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 83 7E 3C 00 75 0D 8B 93 A8 03 00 00 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_94990_0 {
	meta:
		name = "TBaseSourceEditor.FormCreate"
		size = 15
		refs = "000a TControl.SetAlign"
	strings:
		$1 = { C6 80 AC 03 00 00 00 B2 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94992_0 {
	meta:
		name = "TBaseSourceEditor.CheckDataSource"
		size = 303
		refs = "0015 TBaseSourceEditor.CheckDataSource 0038 TChartSeries.GetDataSource 004e @IsClass 00a5 TObject.ClassName 00d4 @UStrCopy 00e8 TeeGetUniqueName 0107 @UStrClr 011c @UStrArrayClr 0122 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB B0 03 00 00 00 75 3F 83 BB A8 03 00 00 00 74 36 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 27 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 84 C0 74 11 8B 83 A8 03 00 00 E8 ?? ?? ?? ?? 89 83 B0 03 00 00 83 BB B0 03 00 00 00 0F 85 82 00 00 00 8B BB A8 03 00 00 85 FF 74 12 8B 4F 04 B2 01 8B C6 FF 50 38 89 83 B0 03 00 00 EB 0F 8B CB B2 01 8B C6 FF 50 38 89 83 B0 03 00 00 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 89 45 F4 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 8D 45 EC 50 8B CE BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 4D F0 8B BB B0 03 00 00 8B 47 04 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_94993_0 {
	meta:
		name = "TBaseSourceEditor.FormDestroy"
		size = 29
		refs = "0018 TObject.Free"
	strings:
		$1 = { 8B 90 B0 03 00 00 85 D2 74 12 83 7A 3C 00 75 0C 3B 42 04 75 07 8B C2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_94998_0 {
	meta:
		name = "TBSpline.FSetBuild"
		size = 34
		refs = "0013 TBSpline.ClearVertexList"
	strings:
		$1 = { 53 56 8B DA 8B F0 84 DB 75 12 80 7E 1C 00 74 07 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 20 88 5E 1C 5E 5B C3 }
	condition:
		$1
}

rule function_94999_0 {
	meta:
		name = "TBSpline.SetCapacity"
		size = 91
		refs = "001d T2DPointList 0022 @DynArraySetLength 0034 TKnuckleList"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 0C 74 4D 85 F6 7E 46 8D 46 01 50 8D 43 10 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 56 8D 43 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 48 85 C0 7C 0E 40 33 D2 8B 4B 18 C6 04 11 00 42 48 75 F5 89 73 0C 5E 5B C3 }
	condition:
		$1
}

rule function_95000_0 {
	meta:
		name = "TBSpline.FSetFragments"
		size = 26
	strings:
		$1 = { 3B 50 28 74 14 8B CA 89 48 28 81 F9 58 02 00 00 7E 07 C7 40 28 58 02 00 00 C3 }
	condition:
		$1
}

rule function_95001_0 {
	meta:
		name = "TBSpline.FSetInterpolated"
		size = 16
		refs = "000b TBSpline.FSetBuild"
	strings:
		$1 = { 3A 50 24 74 0A 88 50 24 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95002_0 {
	meta:
		name = "TBSpline.FGetPoint"
		size = 23
	strings:
		$1 = { 53 56 57 8B D9 03 D2 8B 40 10 8D 34 D0 8B FB A5 A5 A5 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95003_0 {
	meta:
		name = "TBSpline.FSetPoint"
		size = 30
		refs = "0016 TBSpline.FSetBuild"
	strings:
		$1 = { 53 56 57 8B D9 03 D2 8B 48 10 8D 3C D1 8B F3 A5 A5 A5 A5 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95004_0 {
	meta:
		name = "TBSpline.FGetKnuckle"
		size = 21
	strings:
		$1 = { 83 FA 01 74 05 3B 50 08 75 03 33 C0 C3 8B 40 18 0F B6 04 10 C3 }
	condition:
		$1
}

rule function_95005_0 {
	meta:
		name = "TBSpline.FSetKnuckle"
		size = 16
		refs = "000a TBSpline.FSetBuild"
	strings:
		$1 = { 53 8B 58 18 88 0C 13 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95006_0 {
	meta:
		name = "TBSpline.FGetNumberOfVertices"
		size = 21
		refs = "000c TBSpline.Rebuild"
	strings:
		$1 = { 53 8B D8 80 7B 1C 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 20 5B C3 }
	condition:
		$1
}

rule function_95007_0 {
	meta:
		name = "FillMatrix"
		size = 464
		refs = "00cc FillMatrix"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 08 83 C7 FC 8B 07 8B 40 20 83 F8 02 0F 8E A3 01 00 00 48 83 E8 02 7C 56 40 89 45 FC BB 02 00 00 00 8B 07 8B 40 04 8B 04 98 C7 44 D8 F8 55 55 55 55 C7 44 D8 FC 55 55 C5 3F 8B 07 8B 40 04 8B 04 98 C7 04 D8 55 55 55 55 C7 44 D8 04 55 55 E5 3F 8B 07 8B 40 04 8B 04 98 C7 44 D8 08 55 55 55 55 C7 44 D8 0C 55 55 C5 3F 43 FF 4D FC 75 B3 8B 07 8B 40 04 8B 40 04 33 D2 89 50 08 C7 40 0C 00 00 F0 3F 8B 07 8B 40 20 8B 17 8B 52 04 8B 14 82 33 C9 89 0C C2 C7 44 C2 04 00 00 F0 3F BB 03 00 00 00 E9 01 01 00 00 8B C3 03 C0 8B 17 8B 52 14 DD 04 C2 8B C3 03 C0 8B 17 8B 52 14 DC 64 C2 F0 D9 E1 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 0F 86 D3 00 00 00 8B C3 03 C0 8B 17 8B 52 14 DD 44 C2 10 8B C3 03 C0 8B 17 8B 52 14 DC 24 C2 D9 E1 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 0F 86 A6 00 00 00 8B C3 03 C0 8B 17 8B 52 14 DD 44 C2 08 8B C3 03 C0 8B 17 8B 52 14 DC 64 C2 F8 D9 E1 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 76 7C 8B C3 03 C0 8B 17 8B 52 14 DD 44 C2 18 8B C3 03 C0 8B 17 8B 52 14 DC 64 C2 08 D9 E1 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 76 52 8B F3 4E 8D 43 01 2B C6 7C 43 40 89 45 FC 8B 07 8B 40 04 8B 04 B0 33 D2 89 54 F0 F8 89 54 F0 FC 8B 07 8B 40 04 8B 04 B0 33 D2 89 14 F0 C7 44 F0 04 00 00 F0 3F 8B 07 8B 40 04 8B 04 B0 33 D2 89 54 F0 08 89 54 F0 0C 46 FF 4D FC 75 C1 83 C3 02 EB 01 43 8B 07 8B 40 20 48 3B D8 0F 8C F1 FE FF FF 5F 5E 5B 59 5D C3 23 84 47 1B 47 AC C5 A7 EE 3F 00 00 }
	condition:
		$1
}

rule function_95008_0 {
	meta:
		name = "TBSpline.Rebuild"
		size = 514
		refs = "001d TBSpline.ClearVertexList 003e TBSpline.FGetKnuckle 0070 TVertexList 0075 @DynArraySetLength 013e :TBSpline.:1 0171 TMatrixRow 01a7 FillMatrix 01b0 TBSpline.FInterpolate 01d3 @DynArrayClear 01f7 TBSpline.FPhantomPoints"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 45 FC 8B 45 FC 83 78 08 01 0F 8E D3 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 20 8B 45 FC 8B 70 08 85 F6 7E 26 BB 01 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 09 8B 45 FC 83 40 20 03 EB 06 8B 45 FC FF 40 20 43 4E 75 DF 8B 45 FC 8B 40 20 83 C0 02 50 8B 45 FC 83 C0 14 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 FF 8B 45 FC 8B 70 08 85 F6 0F 8E 90 00 00 00 BB 01 00 00 00 8B C3 03 C0 8B 55 FC 8B 52 10 56 57 8D 34 C2 8D 7D EC A5 A5 A5 A5 5F 5E 8B D3 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 35 8B C7 03 C0 8B 55 FC 8B 52 14 56 57 8D 7C C2 10 8D 75 EC A5 A5 A5 A5 5F 5E 8B C7 03 C0 8B 55 FC 8B 52 14 56 57 8D 7C C2 20 8D 75 EC A5 A5 A5 A5 5F 5E 83 C7 02 8B C3 03 C0 8B 55 FC 8B 52 10 8D 04 C2 50 8B C7 03 C0 8B 55 FC 8B 52 14 59 56 57 8B F1 8D 7C C2 10 A5 A5 A5 A5 5F 5E 47 43 4E 0F 85 75 FF FF FF 8B 45 FC 80 78 24 00 0F 84 C3 00 00 00 8B 45 FC 8B 40 20 40 50 8B 45 FC 83 C0 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 70 20 85 F6 7E 51 BB 01 00 00 00 8B 45 FC 8B 40 20 40 50 8B 45 FC 8B 40 04 8D 04 98 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 40 20 48 85 C0 7C 19 40 33 D2 8B 4D FC 8B 49 04 8B 0C 99 33 FF 89 3C D1 89 7C D1 04 42 48 75 EA 43 4E 75 B4 55 E8 ?? ?? ?? ?? 59 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 70 20 85 F6 7E 1D BB 01 00 00 00 8B 45 FC 8B 40 04 8D 04 98 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 E8 8B 45 FC 83 C0 04 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 40 1C 01 8B 45 FC E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95009_0 {
	meta:
		name = "TBSpline.FInterpolate"
		size = 496
		refs = "0013 TBSpline.FInterpolate 0037 TVertexList 003c @DynArraySetLength 01ab TBSpline.ClearVertexList 01bc @DynArrayAsg 01d7 @DynArrayClear 01dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 20 83 FE 02 0F 8E 97 01 00 00 83 C6 02 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 20 85 C0 0F 8E AC 00 00 00 89 45 EC B9 01 00 00 00 8D 41 01 8B 53 20 2B D0 0F 8C 8C 00 00 00 42 89 55 E8 8B 53 04 8B 14 82 DD 04 CA 8B 53 04 8B 14 8A DC 34 CA DD 5D F0 9B 8B 53 20 85 D2 7E 2D 89 55 E4 BA 01 00 00 00 DD 45 F0 8B 73 04 8B 34 8E DC 0C D6 8B 73 04 8B 34 86 DC 2C D6 8B 73 04 8B 34 86 DD 1C D6 9B 42 FF 4D E4 75 DB DD 45 F0 8B D0 03 D2 8B 73 14 DC 4C D6 F0 8B 73 14 DC 2C D6 8B 73 14 DD 1C D6 9B DD 45 F0 8B 73 14 DC 4C D6 F8 8B 73 14 DC 6C D6 08 8B 73 14 DD 5C D6 08 9B 40 FF 4D E8 0F 85 78 FF FF FF 41 FF 4D EC 0F 85 5C FF FF FF 8B 43 20 8B D0 03 D2 8B 4B 14 DD 04 D1 8B 4B 04 8B 0C 81 DC 34 C1 8B 45 FC DD 1C D0 9B 8B 43 20 8B D0 03 D2 8B 4B 14 DD 44 D1 08 8B 4B 04 8B 0C 81 DC 34 C1 8B 45 FC DD 5C D0 08 9B 8B 4B 20 49 83 F9 01 7C 69 D9 05 ?? ?? ?? ?? 8B 53 04 8B 14 8A DC 34 CA 8B 53 04 8B 14 8A DD 44 CA 08 8B C1 03 C0 8B 55 FC DC 4C C2 10 8B 53 14 DC 2C C2 DE C9 8B 55 FC DD 1C C2 9B D9 05 ?? ?? ?? ?? 8B 53 04 8B 14 8A DC 34 CA 8B 53 04 8B 14 8A DD 44 CA 08 8B 55 FC DC 4C C2 18 8B 53 14 DC 6C C2 08 DE C9 8B 55 FC DD 5C C2 08 9B 49 85 C9 75 97 8B C3 E8 ?? ?? ?? ?? 8D 43 14 8B 55 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 8B E5 5D C3 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_95010_0 {
	meta:
		name = "TBSpline.AddPoint"
		size = 86
		refs = "0016 TBSpline.SetCapacity 004d TBSpline.FSetBuild"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 43 0C 3B 43 08 75 0C 8B D0 83 C2 05 8B C3 E8 ?? ?? ?? ?? FF 43 08 8B 43 08 03 C0 8B 53 10 8B 4D 10 89 0C C2 8B 4D 14 89 4C C2 04 8B 43 08 03 C0 8B 53 10 8B 4D 08 89 4C C2 08 8B 4D 0C 89 4C C2 0C 33 D2 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_95011_0 {
	meta:
		name = "TBSpline.ClearVertexList"
		size = 19
		refs = "0008 TVertexList 000d @DynArrayClear"
	strings:
		$1 = { 53 8B D8 8D 43 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95012_0 {
	meta:
		name = "TBSpline.Clear"
		size = 62
		refs = "0006 TBSpline.FGetNumberOfVertices 0011 TBSpline.ClearVertexList 0024 TBSpline.FSetBuild 002d TBSpline.SetCapacity"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 7E 07 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 08 33 C0 89 43 20 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 24 00 C7 43 28 64 00 00 00 5B C3 }
	condition:
		$1
}

rule function_95013_0 {
	meta:
		name = "TBSpline.FPhantomPoints"
		size = 232
		refs = "0009 TBSpline.FGetNumberOfVertices 0018 TBSpline.FPhantomPoints"
	strings:
		$1 = { 53 83 C4 F4 8B D8 8B C3 E8 ?? ?? ?? ?? 48 0F 8E C8 00 00 00 33 C0 D9 05 ?? ?? ?? ?? 8B D0 03 D2 8B 4B 14 DC 4C D1 10 8B 4B 14 DC 64 D1 20 8B 4B 14 DD 1C D1 9B D9 05 ?? ?? ?? ?? 8B 4B 14 DC 4C D1 18 8B 4B 14 DC 64 D1 28 8B 43 14 DD 5C D0 08 9B 8B C3 E8 ?? ?? ?? ?? 03 C0 8B 53 14 8D 44 C2 10 50 8B C3 E8 ?? ?? ?? ?? 03 C0 8B 53 14 DD 04 C2 D8 0D ?? ?? ?? ?? DB 7C 24 04 9B 8B C3 E8 ?? ?? ?? ?? 03 C0 8B 53 14 DD 44 C2 F0 DB 6C 24 04 DE E1 58 DD 18 9B 8B C3 E8 ?? ?? ?? ?? 03 C0 8B 53 14 8D 44 C2 18 50 8B C3 E8 ?? ?? ?? ?? 03 C0 8B 53 14 DD 44 C2 08 D8 0D ?? ?? ?? ?? DB 7C 24 04 9B 8B C3 E8 ?? ?? ?? ?? 03 C0 8B 53 14 DD 44 C2 F8 DB 6C 24 04 DE E1 58 DD 18 9B 83 C4 0C 5B C3 00 00 00 00 00 00 40 }
	condition:
		$1
}

rule function_95014_0 {
	meta:
		name = "TBSpline.Value"
		size = 328
		refs = "002f TBSpline.Rebuild 0044 TBSpline.Value 0056 @TRUNC"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 8B FA 8B F0 33 C0 89 07 89 47 04 33 C0 89 47 08 89 47 0C 83 7E 08 02 0F 8C F5 00 00 00 80 7E 1C 00 75 07 8B C6 E8 ?? ?? ?? ?? 8B 5E 20 8B C3 48 89 45 D8 DB 45 D8 DC 4D 08 D8 05 ?? ?? ?? ?? DD 5D E8 9B DD 45 E8 D8 25 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7D 02 33 C0 8D 50 03 43 3B C3 7E 04 8B 46 20 40 8B D8 2B D3 0F 8C A5 00 00 00 42 89 55 DC 89 5D D8 DB 45 D8 DC 65 E8 D9 E1 DD 5D F8 9B DD 45 F8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 79 DD 45 F8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 25 DD 45 F8 DC 4D F8 DB 2D ?? ?? ?? ?? DE E1 D9 05 ?? ?? ?? ?? DC 4D F8 DC 4D F8 DC 4D F8 DE C1 DD 5D F0 9B EB 22 D9 05 ?? ?? ?? ?? DC 65 F8 DD 5D E0 9B DD 45 E0 DC 4D E0 DC 4D E0 DB 2D ?? ?? ?? ?? DE C9 DD 5D F0 9B 8B C3 03 C0 8B 56 14 DD 04 C2 DC 4D F0 DC 07 DD 1F 9B 8B 56 14 DD 44 C2 08 DC 4D F0 DC 47 08 DD 5F 08 9B 43 FF 4D DC 0F 85 5F FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 00 00 80 3F 00 00 00 40 AB AA AA AA AA AA AA AA FE 3F 00 00 00 00 00 3F AB AA AA AA AA AA AA AA FC 3F 00 00 }
	condition:
		$1
}

rule function_95015_0 {
	meta:
		name = "TSmoothingFunction.Create"
		size = 86
		refs = "000a @ClassCreate 0017 TTeeFunction.Create 0038 TTeeFunction.InternalSetPeriod 0043 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 51 00 C6 46 53 01 C6 46 58 01 C7 46 5C 04 00 00 00 68 00 00 F0 3F 6A 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_95016_0 {
	meta:
		name = "TSmoothingFunction.AddPoints"
		size = 516
		refs = "0084 TTeeFunction.ValueList 008e _DV_TBSpline 0093 TBSpline.Create 009e TSmoothingFunction.AddPoints 00e9 TBSpline.AddPoint 011c TBSpline.FSetKnuckle 012f TBSpline.FSetInterpolated 0147 TBSpline.FSetFragments 0181 TBSpline.Value 01ed TObject.Free 01f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 8B DA 89 45 FC 8B 45 FC 8B 70 4C 8B C6 8B 10 FF 92 08 01 00 00 80 BE 52 01 00 00 00 75 47 0F B6 86 6C 01 00 00 3A 83 6C 01 00 00 75 1D 8B 86 68 01 00 00 C6 40 24 01 8B 86 60 01 00 00 C6 40 24 00 C6 86 4F 01 00 00 01 EB 1B 8B 86 68 01 00 00 C6 40 24 00 8B 86 60 01 00 00 C6 40 24 01 C6 86 4F 01 00 00 00 8B 83 A0 00 00 00 83 78 04 00 0F 8E 7B 01 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 83 A0 00 00 00 8B 78 04 4F 85 FF 7C 6E 47 33 F6 8B 45 FC 8B 40 4C 80 B8 6C 01 00 00 00 74 27 8B 83 A0 00 00 00 8B 40 54 FF 74 F0 04 FF 34 F0 8B 45 F4 8B 40 54 FF 74 F0 04 FF 34 F0 8B 45 F8 E8 ?? ?? ?? ?? EB 25 8B 83 A4 00 00 00 8B 40 54 FF 74 F0 04 FF 34 F0 8B 45 F4 8B 40 54 FF 74 F0 04 FF 34 F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 8B D6 8B 45 F8 E8 ?? ?? ?? ?? 46 4F 75 95 8B 45 FC 0F B6 50 58 8B 45 F8 E8 ?? ?? ?? ?? 8B 83 A0 00 00 00 8B 50 04 8B 45 FC 0F AF 50 5C 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 28 89 45 D4 DB 45 D4 D8 3D ?? ?? ?? ?? DD 5D E8 9B 8B F8 85 FF 7C 75 47 33 F6 89 75 D4 DB 45 D4 DC 4D E8 83 C4 F8 DD 1C 24 9B 8D 55 D8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 80 B8 6C 01 00 00 00 74 23 FF 75 DC FF 75 D8 FF 75 E4 FF 75 E0 8B 45 FC 8B 40 4C B9 00 00 00 20 33 D2 8B 18 FF 93 00 01 00 00 EB 21 FF 75 E4 FF 75 E0 FF 75 DC FF 75 D8 8B 45 FC 8B 40 4C B9 00 00 00 20 33 D2 8B 18 FF 93 00 01 00 00 46 4F 75 8E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 80 3F }
	condition:
		$1
}

rule function_95017_0 {
	meta:
		name = "TSmoothingFunction.SetFactor"
		size = 24
		refs = "0013 TTeeFunction.ReCalculate"
	strings:
		$1 = { 3B 50 5C 74 12 83 FA 01 7D 05 BA 01 00 00 00 89 50 5C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95019_0 {
	meta:
		name = "TSmoothingFunction.GetEditorClass"
		size = 68
		refs = "0006 TSmoothingFunction.GetEditorClass 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 54 00 53 00 6D 00 6F 00 6F 00 74 00 68 00 46 00 75 00 6E 00 63 00 45 00 64 00 69 00 74 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_95020_0 {
	meta:
		name = "Finalization"
		size = 28
		refs = "0003 _DV_3 000a _DV_TSmoothingFunction 0016 UnRegisterTeeFunctions"
	strings:
		$1 = { 51 FF 05 ?? ?? ?? ?? 75 11 A1 ?? ?? ?? ?? 89 04 24 8B C4 33 D2 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_95022_0 {
	meta:
		name = "TStackBarSeriesEditor.FormShow"
		size = 222
		refs = "0013 TStackBarSeriesEditor.FormShow 005e CurrencyString 0063 FloatToStr 0071 TControl.SetText 0098 TCustomRadioGroup.SetItemIndex 00a9 TCustomUpDown.SetPosition 00b0 TStackBarSeriesEditor.EnableGroup 00cc @UStrClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 89 83 AC 03 00 00 85 C0 0F 84 86 00 00 00 8B F0 0F B6 96 B5 01 00 00 8B 83 90 03 00 00 8B 08 FF 91 FC 00 00 00 DD 86 98 01 00 00 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 83 94 03 00 00 E8 ?? ?? ?? ?? 0F B6 96 B5 01 00 00 8B 83 94 03 00 00 8B 08 FF 91 80 00 00 00 0F B6 96 93 01 00 00 8B 83 98 03 00 00 E8 ?? ?? ?? ?? 8B 96 AC 01 00 00 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 83 A8 03 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95023_0 {
	meta:
		name = "TStackBarSeriesEditor.CBYOriginClick"
		size = 97
		refs = "0023 TCustomBarSeries.SetUseOrigin"
	strings:
		$1 = { 53 8B D8 80 BB A8 03 00 00 00 75 53 8B 83 90 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 8B 83 AC 03 00 00 0F B6 90 B5 01 00 00 8B 83 94 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 94 03 00 00 8B 10 FF 52 68 84 C0 74 0E 8B 83 94 03 00 00 8B 10 FF 92 F4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_95024_0 {
	meta:
		name = "TStackBarSeriesEditor.EYOriginChange"
		size = 149
		refs = "0013 TStackBarSeriesEditor.EYOriginChange 0036 TControl.GetText 0051 CurrencyString 0059 StrToFloatDef 006e TCustomBarSeries.SetOrigin 0083 @UStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB A8 03 00 00 00 75 4C 8B B3 AC 03 00 00 8D 55 FC 8B 83 94 03 00 00 E8 ?? ?? ?? ?? DD 86 98 01 00 00 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DB 7D E0 9B DB 6D E0 83 C4 F8 DD 1C 24 9B 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95025_0 {
	meta:
		name = "TStackBarSeriesEditor.RGMultiBarClick"
		size = 45
		refs = "0020 TCustomBarSeries.SetMultiBar 0027 TStackBarSeriesEditor.EnableGroup"
	strings:
		$1 = { 53 8B D8 80 BB A8 03 00 00 00 75 1F 8B 83 98 03 00 00 0F B6 90 88 02 00 00 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95026_0 {
	meta:
		name = "TStackBarSeriesEditor.EnableGroup"
		size = 73
	strings:
		$1 = { 53 8B D8 8B 83 AC 03 00 00 0F B6 80 93 01 00 00 3C 02 74 08 3C 03 74 04 33 D2 EB 02 B2 01 8B 83 A4 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 A4 03 00 00 8B 10 FF 52 68 8B D0 8B 83 A0 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_95027_0 {
	meta:
		name = "TStackBarSeriesEditor.FormCreate"
		size = 15
		refs = "000a TControl.SetAlign"
	strings:
		$1 = { C6 80 A8 03 00 00 01 B2 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95028_0 {
	meta:
		name = "TStackBarSeriesEditor.EGroupChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TCustomBarSeries.SetStackGroup"
	strings:
		$1 = { 53 8B D8 80 BB A8 03 00 00 00 75 18 8B 83 A4 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95031_0 {
	meta:
		name = "ReadChartData"
		size = 53
		refs = "0028 TChartSeries.ReadData"
	strings:
		$1 = { 53 56 57 55 8B FA 8B E8 8B 87 B4 03 00 00 8B 58 08 4B 85 DB 7C 1A 43 33 F6 8B 87 B4 03 00 00 8B 40 04 8B 04 B0 8B D5 E8 ?? ?? ?? ?? 46 4B 75 E9 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95032_0 {
	meta:
		name = "TChartReader.Error"
		size = 31
	strings:
		$1 = { 53 66 83 B8 92 00 00 00 00 74 10 8B D8 8B 83 94 00 00 00 FF 93 90 00 00 00 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_95033_0 {
	meta:
		name = "TChartReader.FindMethodEvent"
		size = 13
		altNames = "TUtilsCustomTranscoder.CodecReadEventHandler"
	strings:
		$1 = { 55 8B EC 8B 45 08 C6 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_95034_0 {
	meta:
		name = "ReadHeader"
		size = 13
	strings:
		$1 = { 53 B9 04 00 00 00 8B 18 FF 53 0C 5B C3 }
	condition:
		$1
}

rule function_95035_0 {
	meta:
		name = "TeeFileIsValid"
		size = 74
		refs = "0009 TStream.GetPosition 0014 ReadHeader 003f TStream.SetPosition"
	strings:
		$1 = { 53 56 57 51 8B F0 8B C6 E8 ?? ?? ?? ?? 8B F8 8B D4 8B C6 E8 ?? ?? ?? ?? 66 81 3C 24 60 30 0F 94 C3 84 DB 75 12 0F B6 04 24 2C 4F 74 08 2C 20 74 04 33 DB EB 02 B3 01 8B C7 99 52 50 8B C6 E8 ?? ?? ?? ?? 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95036_0 {
	meta:
		name = "TeeFileIsBinary"
		size = 52
		refs = "0009 TStream.GetPosition 0014 ReadHeader 0029 TStream.SetPosition"
	strings:
		$1 = { 53 56 57 51 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 8B D4 8B C7 E8 ?? ?? ?? ?? 66 81 3C 24 60 30 0F 94 C3 8B C6 99 52 50 8B C7 E8 ?? ?? ?? ?? 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95037_0 {
	meta:
		name = "TeeWriteHeader"
		size = 30
	strings:
		$1 = { 53 51 66 C7 04 24 60 30 66 C7 44 24 02 57 01 8B D4 B9 04 00 00 00 8B 18 FF 53 10 5A 5B C3 }
	condition:
		$1
}

rule function_95038_0 {
	meta:
		name = "ConvertTeeToBinary"
		size = 94
		refs = "0009 TeeFileIsValid 0014 TeeFileIsBinary 001f TeeWriteHeader 0028 ObjectTextToBinary 003b TStream.CopyFrom 0044 TeeMsg_WrongTeeFileFormat 004d _Dn_ChartException 0052 Exception.Create 0057 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 31 8B C3 E8 ?? ?? ?? ?? 84 C0 75 12 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? EB 2D 8B C3 8B 10 FF 12 52 50 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95039_0 {
	meta:
		name = "ConvertTeeToText"
		size = 97
		refs = "000a TeeFileIsValid 0015 TeeFileIsBinary 0022 ReadHeader 002b ObjectBinaryToText 003e TStream.CopyFrom 0046 TeeMsg_WrongTeeFileFormat 004f _Dn_ChartException 0054 Exception.Create 0059 @RaiseExcept"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 32 8B C3 E8 ?? ?? ?? ?? 84 C0 74 14 8B D4 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? EB 2C 8B C3 8B 10 FF 12 52 50 8B D3 8B C6 E8 ?? ?? ?? ?? EB 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_95040_0 {
	meta:
		name = "LoadChartFromStreamCheck"
		size = 594
		refs = "0019 LoadChartFromStreamCheck 0036 TeeMsg_EmptyTeeFile 003f _Dn_ChartException 0044 Exception.Create 0049 @RaiseExcept 0051 TeeFileIsValid 0071 TCustomAxisPanel.FreeAllSeries 008f TeeFileIsBinary 009a _Dn_TMemoryStream 009f TObject.Create 00ad ConvertTeeToBinary 00b9 TStream.SetPosition 00c4 ReadHeader 00d3 _DV_TChartReader 00d8 TFiler.Create 00f9 TChartReader.FindMethodEvent 0132 @UStrLAsg 013f TReader.ReadRootComponent 015a @HandleFinally 0184 TObject.Free 01ab TStream.GetPosition 01cb ReadChartData 01ec TeeMsg_InvalidTeeFile 0217 TeeMsg_WrongTeeFileFormat 023f @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 DB 89 5D FC 88 4D F3 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 12 83 FA 00 75 1E 83 F8 00 75 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 B8 01 00 00 8B 45 F8 8B 00 C6 80 99 02 00 00 00 8B 45 F8 8B 00 33 D2 E8 ?? ?? ?? ?? 8B 45 F8 8B 00 8B 80 2C 04 00 00 8B 10 FF 52 08 8B 45 F4 89 45 E4 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 26 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 55 F4 8B 45 E4 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 68 00 10 00 00 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 55 EC 89 50 3C C7 40 38 ?? ?? ?? ?? 8B 45 EC 8B 55 08 89 90 90 00 00 00 8B 55 0C 89 90 94 00 00 00 8B 45 F8 8B 00 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 E8 8B 52 08 E8 ?? ?? ?? ?? 8B 55 F8 8B 12 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 55 E8 89 10 C3 E9 ?? ?? ?? ?? EB F0 83 7D FC 00 74 0D 8B 45 F8 8B 00 8B 55 FC 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 83 38 00 74 52 80 7D F3 00 74 31 8B 45 F4 8B 10 FF 12 52 50 8B 45 F4 E8 ?? ?? ?? ?? 3B 54 24 04 75 09 3B 04 24 5A 58 73 13 EB 04 5A 58 7D 0D 8B 55 F8 8B 12 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 00 C6 80 99 02 00 00 01 8B 45 F8 8B 00 8B 10 FF 92 9C 00 00 00 EB 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 3B 45 F4 74 23 8B 45 F4 E8 ?? ?? ?? ?? EB 19 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_95042_0 {
	meta:
		name = "TeeCheckExtension"
		size = 128
		refs = "000f TeeCheckExtension 001f ExtractFileExt 0030 TeeMsg_TeeExtension 003e @UStrCatN 0049 @UStrAsg 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 1B 53 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? FF 30 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 09 8B C6 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_95043_0 {
	meta:
		name = "LoadChartFromFileCheck"
		size = 159
		refs = "0015 LoadChartFromFileCheck 0027 TeeCheckExtension 0031 _Dn_TFileStream 0036 TFileStream.Create 0059 LoadChartFromStreamCheck 006e TObject.Free 0074 @HandleFinally 008b @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 0C FF 75 08 8B C3 33 C9 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_95045_0 {
	meta:
		name = "ConvertTeeFile"
		size = 173
		refs = "0013 _Dn_TFileStream 0018 TFileStream.Create 0023 ConvertTeeFile 005c ConvertTeeToText 0069 ConvertTeeToBinary 007e TObject.Free 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D9 8B F2 6A 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 FF 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 74 0D 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 0B 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95048_0 {
	meta:
		name = "SaveChartToStream"
		size = 506
		refs = "0019 SaveChartToStream 0032 _Dn_TMemoryStream 0037 TObject.Create 0050 TeeWriteHeader 006d @UStrLAsg 00cf _Dn_TWriter 00d4 TFiler.Create 0103 TWriter.WriteSignature 010e TWriter.WriteComponent 0123 TObject.Free 0129 @HandleFinally 01a3 TStream.SetPosition 01ae ConvertTeeToText 01e6 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D FC 8B D9 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 89 45 E8 80 7D 08 00 74 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 F6 55 68 ?? ?? ?? ?? 64 FF 36 64 89 26 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 89 45 F0 8B 45 F8 F6 40 1C 10 75 18 8D 45 FC 8B 55 F8 8B 52 08 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 8B 08 FF 51 24 8B 45 F8 8B 80 B4 03 00 00 8B 50 08 4A 85 D2 7C 2A 42 33 C9 8B 45 F8 8B 80 B4 03 00 00 8B 40 04 8B 04 88 84 DB 74 09 C6 80 21 01 00 00 01 EB 07 C6 80 20 01 00 00 01 41 4A 75 D9 33 F6 55 68 ?? ?? ?? ?? 64 FF 36 64 89 26 68 00 10 00 00 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 8B 40 04 85 C0 75 03 8B 45 F8 8B D0 8B 45 EC 8B 08 FF 11 8B 45 EC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 80 B4 03 00 00 8B 50 08 4A 85 D2 7C 26 42 33 C9 8B 45 F8 8B 80 B4 03 00 00 8B 40 04 8B 04 88 8B D8 C6 83 21 01 00 00 00 C6 83 20 01 00 00 00 41 4A 75 DD C3 E9 ?? ?? ?? ?? EB C1 8B 45 F0 89 45 F8 8B 45 F8 F6 40 1C 10 75 0B 8B 55 FC 8B 45 F8 8B 08 FF 51 24 80 7D 08 00 74 17 6A 00 6A 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D 08 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_95049_0 {
	meta:
		name = "SaveChartToXMLStream"
		size = 42
		refs = "000b SaveChartToStream 0016 TStream.SetPosition 0021 ConvertTextToXML"
	strings:
		$1 = { 55 8B EC 53 8B DA 6A 01 8B D3 E8 ?? ?? ?? ?? 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 0F B6 55 08 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_95050_0 {
	meta:
		name = "SaveChartToFile"
		size = 165
		refs = "0018 SaveChartToFile 002d TeeCheckExtension 0037 _Dn_TFileStream 003c TFileStream.Create 005e SaveChartToStream 0073 TObject.Free 0079 @HandleFinally 0090 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 FF 00 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 08 50 8B CB 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_95051_0 {
	meta:
		name = "SaveChartToXMLFile"
		size = 165
		refs = "0018 SaveChartToXMLFile 002d TeeCheckExtension 0037 _Dn_TFileStream 003c TFileStream.Create 005e SaveChartToXMLStream 0073 TObject.Free 0079 @HandleFinally 0090 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 FF 00 00 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 08 50 8B CB 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_95052_0 {
	meta:
		name = "ColorToHex"
		size = 132
		refs = "000c ColorToRGB 0013 RGBValue 004c ColorToHex 0051 Format"
	strings:
		$1 = { 53 56 83 C4 E4 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D4 E8 ?? ?? ?? ?? 56 0F B6 44 24 06 89 44 24 08 C6 44 24 0C 00 0F B6 44 24 05 89 44 24 10 C6 44 24 14 00 0F B6 44 24 04 89 44 24 18 C6 44 24 1C 00 8D 54 24 08 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 1C 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 23 00 25 00 2E 00 32 00 78 00 25 00 2E 00 32 00 78 00 25 00 2E 00 32 00 78 00 00 00 }
	condition:
		$1
}

rule function_95053_0 {
	meta:
		name = "TSeriesData.Create"
		size = 76
		refs = "000e @ClassCreate 001d TObject.Create 0035 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 08 8B 45 08 89 47 10 C6 47 0F 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_95054_0 {
	meta:
		name = "TSeriesData.GuessSeriesFormat"
		size = 98
		refs = "0057 SeriesGuessContents"
	strings:
		$1 = { 53 56 57 8B F0 33 DB 85 D2 74 04 8B DA EB 41 8B 56 08 85 D2 74 3A 8B 82 B4 03 00 00 8B 40 08 85 C0 7E 2D 8B D0 4A 85 D2 7C 26 42 33 C0 8B 4E 08 8B 89 B4 03 00 00 8B 49 04 8B 0C 81 8B B9 A0 00 00 00 83 7F 04 00 74 04 8B D9 EB 04 40 4A 75 DD 85 DB 74 0A 8B C3 E8 ?? ?? ?? ?? 88 46 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95055_0 {
	meta:
		name = "TSeriesData.GuessSeriesFormat"
		size = 9
	strings:
		$1 = { 8B 50 10 8B 08 FF 51 14 C3 }
	condition:
		$1
}

rule function_95056_0 {
	meta:
		name = "TSeriesData.Prepare"
		size = 9
		refs = "0004 TSeriesData.Prepare"
	strings:
		$1 = { 8B 50 10 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95057_0 {
	meta:
		name = "TSeriesData.Prepare"
		size = 32
	strings:
		$1 = { 53 8B D8 8B C3 8B 08 FF 51 14 80 7B 0F 00 75 04 80 63 1C FB 80 7B 0C 00 75 04 80 63 1C FD 5B C3 }
	condition:
		$1
}

rule function_95058_0 {
	meta:
		name = "TSeriesData.AsString"
		size = 172
		refs = "0017 TSeriesData.AsString 0025 TSeriesData.Prepare 002c @UStrClr 0034 TSeriesData.MaxSeriesCount 0067 @UStrCatN 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 32 43 C7 45 F8 00 00 00 00 FF 36 8D 4D F4 8B 55 F8 8B 45 FC 8B 38 FF 57 18 FF 75 F4 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 F8 4B 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_95059_0 {
	meta:
		name = "TSeriesData.ValueToString"
		size = 228
		refs = "0021 TSeriesData.ValueToString 003f @UStrLAsg 006c CurrencyString 0071 FloatToStr 007b @UStrAsg 00ab FormatFloat 00cf @UStrArrayClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 5D F0 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 16 80 7B 14 00 74 10 8D 45 FC 8B 96 94 00 00 00 E8 ?? ?? ?? ?? EB 0B 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? 83 7D FC 00 75 2B DD 45 08 DB 7D E0 9B 0F B7 45 E8 50 FF 75 E4 FF 75 E0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 55 F8 E8 ?? ?? ?? ?? EB 38 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? DD 45 08 DB 7D D0 9B 0F B7 45 D8 50 FF 75 D4 FF 75 D0 8D 4D F0 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B C7 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_95060_0 {
	meta:
		name = "TSeriesData.MaxSeriesCount"
		size = 87
	strings:
		$1 = { 53 56 57 8B 50 10 85 D2 74 0B 8B 82 A0 00 00 00 8B 50 04 EB 3C 33 D2 8B 48 08 85 C9 74 33 8B 89 B4 03 00 00 8B 71 08 4E 85 F6 7C 25 46 33 C9 8B 58 08 8B 9B B4 03 00 00 8B 5B 04 8B 1C 8B 8B 9B A0 00 00 00 8B 7B 04 3B D7 7F 02 8B D7 41 4E 75 DE 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95062_0 {
	meta:
		name = "TSeriesData.SaveToStream"
		size = 234
		refs = "0014 TSeriesData.SaveToStream 0038 TEncoding.GetBytes 004d TEncoding.GetANSI 007e @DynArrayLength 00c4 @UStrArrayClr 00cd TArray<System.Byte> 00d7 @FinalizeArray 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 04 85 FF 74 19 8D 55 F4 8B C3 8B 08 FF 51 0C 8B 55 F4 8D 4D FC 8B C7 E8 ?? ?? ?? ?? EB 1C 8D 55 F0 8B C3 8B 08 FF 51 0C 8B 45 F0 50 E8 ?? ?? ?? ?? 8D 4D FC 5A E8 ?? ?? ?? ?? 8B 7B 04 85 FF 74 0C 8D 55 F8 8B C7 8B 08 FF 51 24 EB 0D E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 51 24 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7E 14 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B C6 8B 18 FF 53 10 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C6 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95063_0 {
	meta:
		name = "TSeriesDataText.Create"
		size = 77
		refs = "000d @ClassCreate 001e TSeriesData.Create 002c @UStrClr 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 66 C7 46 20 09 00 8D 46 24 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_95064_0 {
	meta:
		name = "AddToResult"
		size = 197
		refs = "000c AddToResult 004c @UStrCatN 006e @UStrFromWChar 00b5 @UStrClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 83 38 00 75 31 8B 45 08 8B 40 08 8B 40 08 8B 40 FC FF 70 24 53 8B 45 08 8B 40 08 8B 40 08 8B 40 FC FF 70 24 8B 45 08 8B 40 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 52 8B 45 08 8B 40 FC FF 30 8D 45 FC 8B 55 08 8B 52 08 8B 52 08 8B 52 FC 0F B7 52 20 E8 ?? ?? ?? ?? FF 75 FC 8B 45 08 8B 40 08 8B 40 08 8B 40 FC FF 70 24 53 8B 45 08 8B 40 08 8B 40 08 8B 40 FC FF 70 24 8B 45 08 8B 40 FC BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_95065_0 {
	meta:
		name = "HeaderSeries"
		size = 236
		refs = "0017 HeaderSeries 0025 @UStrClr 0062 @UStrCatN 0079 SeriesTitleOrName 0081 AddToResult 00b7 TChartValueLists.Get 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 40 FC F6 40 1C 01 74 2E 8B 45 08 8B 40 08 8B 40 FC FF 70 24 8B 86 68 01 00 00 FF 70 20 8B 45 08 8B 40 08 8B 40 FC FF 70 24 8B 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 86 98 00 00 00 83 78 08 02 75 16 55 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 59 EB 40 55 8B 86 60 01 00 00 8B 40 20 E8 ?? ?? ?? ?? 59 8B 86 98 00 00 00 8B 58 08 4B 83 EB 02 7C 21 43 BF 02 00 00 00 55 8B D7 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 8B 40 20 E8 ?? ?? ?? ?? 59 47 4B 75 E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95066_0 {
	meta:
		name = "Header"
		size = 495
		refs = "001f Header 0037 TeeMsg_Index 004a @UStrCatN 0053 @UStrClr 006e @UStrFromWChar 0078 @UStrCat 0084 TeeMsg_Text 00c8 TeeMsg_Colors 010c HeaderSeries 01dc @UStrArrayClr 01e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 8B 75 08 83 C6 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 80 78 0D 00 74 1F 8B 06 FF 70 24 A1 ?? ?? ?? ?? FF 30 8B 06 FF 70 24 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 8B 06 F6 40 1C 04 74 3C 83 3B 00 74 18 8D 45 F4 8B 16 0F B7 52 20 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? FF 33 8B 06 FF 70 24 A1 ?? ?? ?? ?? FF 30 8B 06 FF 70 24 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 06 F6 40 1C 02 74 3C 83 3B 00 74 18 8D 45 F0 8B 16 0F B7 52 20 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? FF 33 8B 06 FF 70 24 A1 ?? ?? ?? ?? FF 30 8B 06 FF 70 24 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? 83 3B 00 74 18 8D 45 EC 8B 16 0F B7 52 20 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 78 10 85 FF 74 1B 55 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 59 8B 55 E8 8B C3 E8 ?? ?? ?? ?? E9 A6 00 00 00 8B 06 8B 50 08 8B C2 8B 80 B4 03 00 00 8B 40 08 85 C0 0F 8E 8E 00 00 00 8B C2 8B 80 B4 03 00 00 8B 40 04 33 D2 8B 3C 90 55 8D 55 E4 8B C7 E8 ?? ?? ?? ?? 59 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 06 8B 40 08 8B 80 B4 03 00 00 8B 40 08 8B F8 4F 85 FF 7E 53 C7 45 FC 01 00 00 00 8B 06 8B 40 08 8B 80 B4 03 00 00 8B 40 04 8B 55 FC 8B 04 90 89 45 F8 FF 33 8D 45 E0 8B 16 0F B7 52 20 E8 ?? ?? ?? ?? FF 75 E0 55 8D 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 59 FF 75 DC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 FC 4F 75 B4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95067_0 {
	meta:
		name = "TSeriesDataText.AsString"
		size = 172
		refs = "0013 TSeriesDataText.AsString 0021 TSeriesData.Prepare 0033 Header 0043 @UStrCat3 004c @UStrClr 0059 TSeriesData.AsString 006d @UStrCatN 0087 @UStrArrayClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 0E 00 74 1B 55 8D 45 F8 E8 ?? ?? ?? ?? 59 8B 55 F8 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? FF 33 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_95068_0 {
	meta:
		name = "TSeriesDataText.GuessSeriesFormat"
		size = 93
		refs = "0009 TSeriesData.GuessSeriesFormat 0043 SeriesGuessContents"
	strings:
		$1 = { 53 56 57 55 8B E8 8B C5 E8 ?? ?? ?? ?? 83 7D 10 00 75 45 80 7D 0F 00 74 3F F6 45 1C 04 75 39 8B 45 08 8B 80 B4 03 00 00 8B 70 08 4E 85 F6 7C 28 46 33 FF 8B 45 08 8B 80 B4 03 00 00 8B 40 04 8B 04 B8 E8 ?? ?? ?? ?? 8B D8 F6 C3 04 74 06 80 4D 1C 04 EB 04 47 4E 75 DB 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95069_0 {
	meta:
		name = "Add"
		size = 132
		refs = "000c Add 0028 @UStrAsg 0044 @UStrFromWChar 0058 @UStrCatN 0074 @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 80 78 FF 00 75 0F 8B 45 08 8B 40 F8 8B D3 E8 ?? ?? ?? ?? EB 2E 8B 45 08 8B 40 F8 FF 30 8D 45 FC 8B 55 08 8B 52 F4 0F B7 52 20 E8 ?? ?? ?? ?? FF 75 FC 53 8B 45 08 8B 40 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 C6 40 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_95070_0 {
	meta:
		name = "ValueToStr"
		size = 214
		refs = "0018 ValueToStr 0055 CurrencyString 005a DateTimeToStr 0082 @UStrCatN 00a5 TSeriesData.ValueToString 00af @UStrClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 80 A0 00 00 00 8B 40 04 3B D8 7D 76 80 7E 08 00 74 4D 8B 46 54 8B 14 D8 89 55 F0 8B 54 D8 04 89 55 F4 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 40 F4 FF 70 24 FF 75 FC 8B 45 08 8B 40 08 8B 40 F4 FF 70 24 8B 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 2B 8B 46 54 FF 74 D8 04 FF 34 D8 8B 4D F8 8B 45 08 8B 50 FC 8B 45 08 8B 40 08 8B 40 F4 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95071_0 {
	meta:
		name = "FirstSeriesLabel"
		size = 235
		refs = "0011 @UStrClr 0042 TLabelsList.GetLabel 00e0 @UStrCatN"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 89 45 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 40 F4 8B 70 10 85 F6 74 23 8B C6 8B 80 A0 00 00 00 8B 40 04 3B 45 FC 0F 8E 80 00 00 00 8B CB 8B 46 7C 8B 55 FC E8 ?? ?? ?? ?? EB 71 8B 45 08 8B 40 08 8B 40 F4 8B 40 08 8B 80 B4 03 00 00 8B 40 08 8B F8 4F 85 FF 7C 55 47 33 F6 8B 45 08 8B 40 08 8B 40 F4 8B 50 08 8B C2 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 8B 80 A0 00 00 00 8B 40 04 3B 45 FC 7E 26 8B C2 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 89 45 F8 8B CB 8B 45 F8 8B 40 7C 8B 55 FC E8 ?? ?? ?? ?? 83 3B 00 75 04 46 4F 75 AE 83 3B 00 74 26 8B 45 08 8B 40 08 8B 40 F4 FF 70 24 FF 33 8B 45 08 8B 40 08 8B 40 F4 FF 70 24 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95072_0 {
	meta:
		name = "DoSeries"
		size = 429
		refs = "001d DoSeries 0051 FirstSeriesLabel 005a Add 00a1 ColorToHex 00ee ValueToStr 014a @UStrFromWChar 015e TChartValueLists.Get 017c @UStrCatN 019a @UStrArrayClr 01a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 89 45 FC 8B 7D 08 8B 7F F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 FF 40 F0 8B 45 08 83 78 F0 01 75 29 8B 45 08 8B 40 F4 F6 40 1C 04 74 1D 8B 45 08 50 55 8D 55 F8 8B 45 08 8B 40 EC E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 08 83 78 F0 01 75 62 8B 45 08 8B 40 F4 F6 40 1C 02 74 56 8B 45 FC 8B 80 A0 00 00 00 8B 40 04 8B 55 08 3B 42 EC 7E 28 8B 45 08 50 8B 45 08 8B 50 EC 8B 45 FC 8B 08 FF 91 B0 00 00 00 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 59 EB 1A 8B 45 08 50 8D 55 F0 B8 00 00 00 20 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 F4 F6 40 1C 01 74 26 8B 45 08 50 55 8D 4D EC 8B 45 08 8B 50 EC 8B 45 FC 8B 80 68 01 00 00 E8 ?? ?? ?? ?? 59 8B 45 EC E8 ?? ?? ?? ?? 59 8B 45 08 50 55 8D 4D E8 8B 45 08 8B 50 EC 8B 45 FC 8B 80 60 01 00 00 E8 ?? ?? ?? ?? 59 8B 45 E8 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 80 98 00 00 00 8B 58 08 4B 83 EB 02 7C 50 43 BE 02 00 00 00 FF 37 8D 45 E4 8B 55 08 8B 52 F4 0F B7 52 20 E8 ?? ?? ?? ?? FF 75 E4 55 8B 45 FC 8B 80 98 00 00 00 8B D6 E8 ?? ?? ?? ?? 8D 4D E0 8B 55 08 8B 52 EC E8 ?? ?? ?? ?? 59 FF 75 E0 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 B6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95073_0 {
	meta:
		name = "TSeriesDataText.PointToString"
		size = 189
		refs = "001a TSeriesDataText.PointToString 0028 @UStrClr 0041 TeeStr 0049 Add 005f DoSeries 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 4D F8 89 55 EC 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? C6 45 FF 00 8B 45 F4 80 78 0D 00 74 15 55 8D 55 E8 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 59 33 C0 89 45 F0 8B 45 F4 8B 40 10 85 C0 74 09 55 E8 ?? ?? ?? ?? 59 EB 34 8B 45 F4 8B 40 08 8B 80 B4 03 00 00 8B 58 08 4B 85 DB 7C 20 43 33 F6 55 8B 45 F4 8B 40 08 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 E8 ?? ?? ?? ?? 59 46 4B 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95074_0 {
	meta:
		name = "TSeriesDataXML.Create"
		size = 132
		refs = "000f @ClassCreate 001b TSeriesDataXML.Create 002e TSeriesData.Create 003a TeeDefaultXMLEncoding 0045 @UStrAsg 005a @UStrClr 0060 @HandleFinally 006d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 0E 01 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 46 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_95075_0 {
	meta:
		name = "TSeriesDataXML.IsEncodingStored"
		size = 92
		refs = "000c TSeriesDataXML.IsEncodingStored 0020 TeeDefaultXMLEncoding 002b @UStrEqual 004a @UStrClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 20 00 74 15 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 43 20 E8 ?? ?? ?? ?? 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_95076_0 {
	meta:
		name = "AddResult"
		size = 55
		refs = "001a @UStrAsg 002a @UStrCat"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC 83 38 00 75 10 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 5B 5D C3 8B 45 08 8B 40 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 5B 5D C3 }
	condition:
		$1
}

rule function_95077_0 {
	meta:
		name = "Get"
		size = 192
		refs = "000f Get 004f TSeriesData.ValueToString 0063 @UStrCatN 0078 @UStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? FF 73 20 68 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 53 54 FF 74 C2 04 FF 34 C2 8D 4D FC 8B 45 08 8B 40 08 8B 50 FC 8B 45 08 8B 40 08 8B 40 08 8B 40 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_95078_0 {
	meta:
		name = "GetPointString"
		size = 552
		refs = "0019 GetPointString 003e TeeStr 0053 @UStrCatN 005d @UStrClr 008a TLabelsList.GetLabel 00d1 ColorToHex 010b Get 0114 AddResult 0123 TChartSeries.IsNull 0176 TChartValueLists.Get 018a @UStrCat 01ab @UStrArrayClr 01b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 08 8B 40 FC 80 78 0D 00 74 27 68 ?? ?? ?? ?? 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 40 FC F6 40 1C 04 74 33 8B 45 FC FF 30 68 ?? ?? ?? ?? 8D 4D F0 8B 45 08 8B 40 FC 8B 40 7C 8B 55 F8 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8B 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 40 FC F6 40 1C 02 74 38 8B 45 FC FF 30 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 55 F8 8B 08 FF 91 B0 00 00 00 8D 55 EC E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8B 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 40 FC F6 40 1C 01 74 20 55 55 8D 55 E8 8B 45 08 8B 40 FC 8B 80 68 01 00 00 E8 ?? ?? ?? ?? 59 8B 45 E8 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 75 6A 55 55 8D 55 E4 8B 45 08 8B 40 FC 8B 80 60 01 00 00 E8 ?? ?? ?? ?? 59 8B 45 E4 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 FC 8B 80 98 00 00 00 8B 58 08 4B 83 EB 02 7C 35 43 BE 02 00 00 00 55 8B 45 08 8B 40 FC 8B 80 98 00 00 00 8B D6 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 59 8B 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 46 4B 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 69 00 6E 00 64 00 65 00 78 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 20 00 74 00 65 00 78 00 74 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 20 00 63 00 6F 00 6C 00 6F 00 72 00 3D 00 22 00 00 00 00 00 }
	condition:
		$1
}

rule function_95079_0 {
	meta:
		name = "SeriesPoints"
		size = 220
		refs = "0017 SeriesPoints 0024 @UStrClr 0050 GetPointString 006a @UStrCatN 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 00 00 00 8B 40 04 85 C0 7E 3A 8B D8 4B 85 DB 7C 33 43 33 FF FF 36 68 ?? ?? ?? ?? 55 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 59 FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 05 00 00 00 E8 ?? ?? ?? ?? 47 4B 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 70 00 6F 00 69 00 6E 00 74 00 20 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_95080_0 {
	meta:
		name = "XMLSeries"
		size = 560
		refs = "0014 XMLSeries 0024 GetGallerySeriesName 0031 Pos 0045 @UStrInsert 0054 SeriesTitleOrName 006b TChartSeries.GetSeriesColor 0073 ColorToHex 0096 TeeStr 00b1 SeriesPoints 00da @UStrCatN 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 10 8D 48 01 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B 83 A0 00 00 00 8B 40 04 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 59 FF 75 EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 12 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 61 00 6D 00 70 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 73 00 65 00 72 00 69 00 65 00 73 00 20 00 74 00 69 00 74 00 6C 00 65 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 22 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 22 00 20 00 63 00 6F 00 6C 00 6F 00 72 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 70 00 6F 00 69 00 6E 00 74 00 73 00 20 00 63 00 6F 00 75 00 6E 00 74 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 2F 00 70 00 6F 00 69 00 6E 00 74 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 2F 00 73 00 65 00 72 00 69 00 65 00 73 00 3E 00 00 00 }
	condition:
		$1
}

rule function_95081_0 {
	meta:
		name = "TSeriesDataXML.AsString"
		size = 368
		refs = "0015 TSeriesDataXML.AsString 0023 TSeriesData.Prepare 003a TeeXMLHeader 0049 @UStrCat3 0052 @UStrClr 0067 XMLSeries 0072 @UStrCat 008c @UStrCatN 010d @UStrArrayClr 0113 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 0E 00 74 1F 8D 55 F8 8B 45 FC 8B 40 20 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 70 10 85 F6 74 18 55 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 59 8B 55 F4 8B C3 E8 ?? ?? ?? ?? EB 7F FF 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 08 8B 80 B4 03 00 00 8B 78 08 4F 85 FF 7C 47 47 33 F6 8B 45 FC 8B 40 08 8B 80 B4 03 00 00 8B 40 04 8B 14 B0 8B 45 FC E8 ?? ?? ?? ?? 55 8D 55 F0 8B 45 FC 8B 40 08 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 E8 ?? ?? ?? ?? 59 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 46 4F 75 BC 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 63 00 68 00 61 00 72 00 74 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 2F 00 63 00 68 00 61 00 72 00 74 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_95082_0 {
	meta:
		name = "AddCol"
		size = 92
		refs = "000f AddCol 0025 @UStrCatN"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 40 FC FF 30 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 8B 45 08 8B 40 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 5B 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 74 00 68 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 74 00 68 00 3E 00 00 00 }
	condition:
		$1
}

rule function_95083_0 {
	meta:
		name = "HeaderSeries"
		size = 290
		refs = "0017 HeaderSeries 0025 @UStrClr 004a TCustomChartSeries.GetIndex 0054 TeeMsg_Text 005b AddCol 0071 TeeMsg_Colors 00af SeriesTitleOrName 00ed TChartValueLists.Get 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 40 FC F6 40 1C 04 74 28 8B 45 08 8B 40 08 8B 40 FC 80 78 20 00 74 0B 8B C3 E8 ?? ?? ?? ?? 85 C0 75 0E 55 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 08 8B 40 FC F6 40 1C 02 74 0E 55 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 08 8B 40 FC F6 40 1C 01 74 10 55 8B 83 68 01 00 00 8B 40 20 E8 ?? ?? ?? ?? 59 8B 83 98 00 00 00 83 78 08 02 75 16 55 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 59 EB 40 55 8B 83 60 01 00 00 8B 40 20 E8 ?? ?? ?? ?? 59 8B 83 98 00 00 00 8B 70 08 4E 83 EE 02 7C 21 46 BF 02 00 00 00 55 8B D7 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B 40 20 E8 ?? ?? ?? ?? 59 47 4E 75 E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95084_0 {
	meta:
		name = "Header"
		size = 352
		refs = "0012 Header 0024 @UStrAsg 003c TeeMsg_Index 004f @UStrCatN 0067 HeaderSeries 0072 @UStrCat 00ed @UStrArrayClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 78 0D 00 74 1F FF 33 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? FF 30 68 ?? ?? ?? ?? 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 70 10 85 F6 74 18 55 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 59 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 53 8B 45 08 8B 40 FC 8B 40 08 85 C0 74 46 8B 80 B4 03 00 00 8B 40 08 8B F0 4E 85 F6 7C 36 46 33 FF 8B 45 08 8B 40 FC 8B 40 08 8B 80 B4 03 00 00 8B 40 04 8B 04 B8 89 45 FC 55 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 59 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 47 4E 75 CD 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 74 00 72 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 74 00 68 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 74 00 68 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 74 00 72 00 3E 00 00 00 }
	condition:
		$1
}

rule function_95085_0 {
	meta:
		name = "TSeriesDataHTML.AsString"
		size = 272
		refs = "0013 TSeriesDataHTML.AsString 0021 TSeriesData.Prepare 002d @UStrAsg 0041 Header 0056 @UStrCatN 0063 TSeriesData.AsString 0091 @UStrArrayClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 0E 00 74 20 FF 33 55 8D 45 F8 E8 ?? ?? ?? ?? 59 FF 75 F8 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 33 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 3C 00 74 00 61 00 62 00 6C 00 65 00 20 00 62 00 6F 00 72 00 64 00 65 00 72 00 3D 00 22 00 31 00 22 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 2F 00 74 00 61 00 62 00 6C 00 65 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_95086_0 {
	meta:
		name = "CellDouble"
		size = 164
		refs = "000c CellDouble 0037 TSeriesData.ValueToString 004b @UStrCatN 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? FF 75 0C FF 75 08 8D 4D FC 8B 45 10 8B 50 FC 8B 45 10 8B 40 08 8B 40 08 8B 40 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 74 00 64 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 74 00 64 00 3E 00 00 00 }
	condition:
		$1
}

rule function_95087_0 {
	meta:
		name = "GetPointStringSeries"
		size = 684
		refs = "0017 GetPointStringSeries 0024 @UStrClr 005b @UStrCat 00ee TCustomChartSeries.GetIndex 0110 TLabelsList.GetLabel 0124 @UStrCatN 0156 ColorToHex 019e CellDouble 0202 TChartValueLists.Get 0246 @UStrArrayClr 024c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 00 00 00 8B 40 04 48 8B 55 08 8B 52 08 3B 42 F8 0F 8D 88 00 00 00 8B 45 08 8B 40 08 8B 40 FC F6 40 1C 04 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 40 FC F6 40 1C 02 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 40 FC F6 40 1C 01 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 8B 70 08 4E 83 EE 02 0F 8C 79 01 00 00 46 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 4E 75 F1 E9 64 01 00 00 8B 45 08 8B 40 08 8B 40 FC F6 40 1C 04 74 4D 8B 45 08 8B 40 08 8B 40 FC 80 78 20 00 74 0C 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 32 FF 33 68 ?? ?? ?? ?? 8D 4D F8 8B 45 08 8B 40 08 8B 50 F8 8B 45 FC 8B 40 7C E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 40 FC F6 40 1C 02 74 37 FF 33 68 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 50 F8 8B 45 FC 8B 08 FF 91 B0 00 00 00 8D 55 F4 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 40 FC F6 40 1C 01 74 30 55 8B 45 08 8B 40 08 8B 40 F8 8B 55 FC 8B 92 68 01 00 00 8B 52 54 FF 74 C2 04 FF 34 C2 8D 45 F0 E8 ?? ?? ?? ?? 59 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 55 8B 45 08 8B 40 08 8B 40 F8 8B 55 FC 8B 92 60 01 00 00 8B 52 54 FF 74 C2 04 FF 34 C2 8D 45 EC E8 ?? ?? ?? ?? 59 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 80 98 00 00 00 8B 70 08 4E 83 EE 02 7C 41 46 BF 02 00 00 00 55 8B 45 FC 8B 80 98 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B 40 54 8B 55 08 8B 52 08 8B 52 F8 FF 74 D0 04 FF 34 D0 8D 45 E8 E8 ?? ?? ?? ?? 59 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 47 4E 75 C5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 74 00 64 00 3E 00 3C 00 2F 00 74 00 64 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 74 00 64 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 74 00 64 00 3E 00 00 00 }
	condition:
		$1
}

rule function_95088_0 {
	meta:
		name = "GetPointString"
		size = 296
		refs = "0012 GetPointString 0037 TeeStr 004b @UStrCatN 0054 @UStrClr 006c GetPointStringSeries 0077 @UStrCat 00e2 @UStrArrayClr 00e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 80 78 0D 00 74 29 68 ?? ?? ?? ?? 8D 55 F8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 70 10 85 F6 74 18 55 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 59 8B 55 F4 8B C3 E8 ?? ?? ?? ?? EB 4F 8B 45 08 8B 40 FC 8B 40 08 8B 80 B4 03 00 00 8B 40 08 8B F0 4E 85 F6 7C 36 46 33 FF 8B 45 08 8B 40 FC 8B 40 08 8B 80 B4 03 00 00 8B 40 04 8B 04 B8 89 45 FC 55 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 59 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 47 4E 75 CD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 74 00 64 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 74 00 64 00 3E 00 00 00 }
	condition:
		$1
}

rule function_95089_0 {
	meta:
		name = "TSeriesDataHTML.PointToString"
		size = 152
		refs = "0018 TSeriesDataHTML.PointToString 002c GetPointString 0041 @UStrCatN 0056 @UStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 DB 89 5D F4 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 55 8D 45 F4 E8 ?? ?? ?? ?? 59 FF 75 F4 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 74 00 72 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 74 00 72 00 3E 00 00 00 }
	condition:
		$1
}

rule function_95090_0 {
	meta:
		name = "WriteBuf"
		size = 43
	strings:
		$1 = { 55 8B EC 53 8B 4D 08 66 89 41 F6 8B 45 08 66 89 50 F8 8B 45 08 8D 50 F6 8B 45 08 8B 40 F0 B9 04 00 00 00 8B 18 FF 53 10 5B 5D C3 }
	condition:
		$1
}

rule function_95091_0 {
	meta:
		name = "WriteParams"
		size = 104
		refs = "000c WriteBuf 0051 Attr"
	strings:
		$1 = { 55 8B EC 53 8B 4D 08 51 83 C2 07 E8 ?? ?? ?? ?? 59 8B 45 08 8B 40 EC 80 78 0E 00 74 1B 8B 45 08 50 8B 45 08 0F B7 50 E4 8B 45 08 0F B7 40 E8 40 E8 ?? ?? ?? ?? 59 EB 18 8B 45 08 50 8B 45 08 0F B7 50 E4 8B 45 08 0F B7 40 E8 E8 ?? ?? ?? ?? 59 BA ?? ?? ?? ?? 8B 45 08 8B 40 F0 B9 03 00 00 00 8B 18 FF 53 10 5B 5D C3 }
	condition:
		$1
}

rule function_95092_0 {
	meta:
		name = "WriteDouble"
		size = 44
		refs = "0010 WriteParams 0024 TStream.WriteBuffer"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 66 BA 08 00 66 B8 03 00 E8 ?? ?? ?? ?? 59 8D 55 08 8B 45 10 8B 40 F0 B9 08 00 00 00 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_95093_0 {
	meta:
		name = "WriteText"
		size = 82
		refs = "001a @UStrToString 002f WriteParams"
	strings:
		$1 = { 55 8B EC 81 C4 00 FF FF FF 53 8B D8 8D 85 00 FF FF FF 8B D3 B9 FF 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 50 0F B6 95 00 FF FF FF 42 66 B8 04 00 E8 ?? ?? ?? ?? 59 0F B6 8D 00 FF FF FF 41 8D 95 00 FF FF FF 8B 45 08 8B 40 F0 8B 18 FF 53 10 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95094_0 {
	meta:
		name = "WriteNull"
		size = 21
		refs = "000e WriteParams"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 33 D2 66 B8 01 00 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule function_95095_0 {
	meta:
		name = "WriteHeaderSeries"
		size = 175
		refs = "0019 TeeMsg_Text 0020 WriteText 003c TeeMsg_Colors 0093 TChartValueLists.Get"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F8 8B 45 08 8B 40 EC F6 40 1C 04 74 17 8B 45 08 50 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 E4 8B 45 08 8B 40 EC F6 40 1C 02 74 17 8B 45 08 50 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 E4 8B 45 08 8B 40 EC F6 40 1C 01 74 19 8B 45 08 50 8B 87 68 01 00 00 8B 40 20 E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 E4 8B 87 98 00 00 00 8B 58 08 4B 85 DB 7E 29 BE 01 00 00 00 8B 45 08 50 8B 87 98 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 40 20 E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 E4 46 4B 75 DC 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_95096_0 {
	meta:
		name = "WriteValue"
		size = 250
		refs = "0015 WriteValue 003e @UStrLAsg 0079 WriteDouble 00a6 TSeriesData.ValueToString 00ac CurrencyString 00b4 StrToFloat 00e9 @UStrArrayClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 D2 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 08 8B 40 EC 80 78 14 00 74 16 8D 45 FC 8B 55 08 8B 52 FC 8B 92 94 00 00 00 E8 ?? ?? ?? ?? EB 14 8D 45 FC 8B 55 08 8B 52 08 8B 52 EC 8B 52 18 E8 ?? ?? ?? ?? 83 7D FC 00 75 22 8B 45 08 8B 40 08 50 8B 45 08 8B 40 08 8B 40 E8 8B 53 54 FF 74 C2 04 FF 34 C2 E8 ?? ?? ?? ?? 59 EB 53 8B 45 08 8B 40 08 8B 40 E8 8B 53 54 FF 74 C2 04 FF 34 C2 8D 4D F8 8B 45 08 8B 50 FC 8B 45 08 8B 40 08 8B 40 EC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DB 7D E0 9B 8B 45 08 8B 40 08 50 DB 6D E0 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95097_0 {
	meta:
		name = "WriteSeries"
		size = 502
		refs = "0012 WriteSeries 0048 WriteText 0082 WriteNull 00da TLabelsList.GetLabel 0112 ColorToHex 013c WriteValue 0151 TChartSeries.IsNull 01ba TChartValueLists.Get 01e4 @UStrArrayClr 01ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 A0 00 00 00 8B 40 04 48 8B 55 08 3B 42 E8 0F 8D 85 00 00 00 8B 45 08 8B 40 EC F6 40 1C 04 74 12 8B 45 08 50 33 C0 E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 E4 8B 45 08 8B 40 EC F6 40 1C 02 74 12 8B 45 08 50 33 C0 E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 E4 8B 45 08 8B 40 EC F6 40 1C 01 74 10 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 E4 8B 45 FC 8B 80 98 00 00 00 8B 58 08 4B 85 DB 0F 8E 2C 01 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 E4 4B 75 ED E9 14 01 00 00 8B 45 08 8B 40 EC F6 40 1C 04 74 27 8B 45 08 50 8D 4D F8 8B 45 08 8B 50 E8 8B 45 FC 8B 40 7C E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 E4 8B 45 08 8B 40 EC F6 40 1C 02 74 2C 8B 45 08 50 8B 45 08 8B 50 E8 8B 45 FC 8B 08 FF 91 B0 00 00 00 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 E4 8B 45 08 8B 40 EC F6 40 1C 01 74 16 55 8B 45 FC 8B 80 68 01 00 00 E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 E4 8B 45 08 8B 50 E8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 26 8B 45 FC 8B 80 98 00 00 00 8B 58 08 4B 85 DB 7E 64 8B 45 08 50 E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 E4 4B 75 ED EB 4F 55 8B 45 FC 8B 80 60 01 00 00 E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 E4 8B 45 FC 8B 80 98 00 00 00 8B 58 08 4B 83 EB 02 7C 27 43 BE 02 00 00 00 55 8B 45 FC 8B 80 98 00 00 00 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 08 FF 40 E4 46 4B 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95098_0 {
	meta:
		name = "TSeriesDataXLS.SaveToStream"
		size = 573
		refs = "0013 TSeriesData.Prepare 0018 BeginExcel 0025 TStream.WriteBuffer 0033 WriteBuf 0054 TSeriesData.MaxSeriesCount 0148 TeeMsg_Index 014f WriteText 0163 WriteHeaderSeries 01cf WriteDouble 01e3 WriteSeries 0225 EndExcel"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 55 F0 89 45 EC 8B 45 EC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? B9 0C 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 55 66 BA 0A 00 66 B8 00 02 E8 ?? ?? ?? ?? 59 66 C7 45 F6 00 00 66 C7 45 FA 00 00 66 C7 45 FC 00 00 66 C7 45 FE 00 00 8B 45 EC E8 ?? ?? ?? ?? 66 89 45 F8 8B 45 EC 80 78 0E 00 74 04 66 FF 45 F8 8B 45 EC 80 78 0D 00 74 04 66 FF 45 FC 8B 45 EC 8B 50 10 85 D2 74 07 B8 01 00 00 00 EB 0F 8B 45 EC 8B 40 08 8B 80 B4 03 00 00 8B 40 08 8B 4D EC F6 41 1C 04 74 04 66 01 45 FC 8B 4D EC F6 41 1C 02 74 04 66 01 45 FC 8B 4D EC F6 41 1C 01 74 04 66 01 45 FC 85 D2 74 11 8B 82 98 00 00 00 0F B7 40 08 48 66 01 45 FC EB 46 8B 45 EC 8B 40 08 8B 80 B4 03 00 00 8B 78 08 4F 85 FF 7C 32 47 C7 45 E8 00 00 00 00 8B 45 EC 8B 40 08 8B 80 B4 03 00 00 8B 40 04 8B 55 E8 8B 04 90 8B 80 98 00 00 00 0F B7 40 08 48 66 01 45 FC FF 45 E8 4F 75 D6 8D 55 F6 B9 0A 00 00 00 8B 45 F0 8B 18 FF 53 10 8B 45 EC 80 78 0E 00 74 6D C7 45 E8 FF FF FF FF 33 C0 89 45 E4 8B 45 EC 80 78 0D 00 74 11 55 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 59 FF 45 E4 8B 45 EC 8B 40 10 85 C0 74 09 55 E8 ?? ?? ?? ?? 59 EB 34 8B 45 EC 8B 40 08 8B 80 B4 03 00 00 8B 78 08 4F 85 FF 7C 20 47 33 F6 55 8B 45 EC 8B 40 08 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 E8 ?? ?? ?? ?? 59 46 4F 75 E3 8B 45 EC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 77 47 C7 45 E8 00 00 00 00 33 C0 89 45 E4 8B 45 EC 80 78 0D 00 74 14 55 DB 45 E8 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 59 FF 45 E4 8B 45 EC 8B 40 10 85 C0 74 09 55 E8 ?? ?? ?? ?? 59 EB 34 8B 45 EC 8B 40 08 8B 80 B4 03 00 00 8B 58 08 4B 85 DB 7C 20 43 33 F6 55 8B 45 EC 8B 40 08 8B 80 B4 03 00 00 8B 40 04 8B 04 B0 E8 ?? ?? ?? ?? 59 46 4B 75 E3 FF 45 E8 4F 75 91 BA ?? ?? ?? ?? B9 04 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95099_0 {
	meta:
		name = "Finalization"
		size = 43
		refs = "0005 _DV_6 000c _DV_TChartChart 0014 _DV_TODBCChart 0024 UnRegisterClasses"
	strings:
		$1 = { 83 C4 F8 FF 05 ?? ?? ?? ?? 75 1D A1 ?? ?? ?? ?? 89 04 24 A1 ?? ?? ?? ?? 89 44 24 04 8B C4 BA 01 00 00 00 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_95100_0 {
	meta:
		name = "VCLTee.TeeStore"
		size = 48
		refs = "0008 _DV_6 0010 _DV_TChartChart 0018 _DV_TODBCChart 0028 RegisterClasses"
	strings:
		$1 = { 55 8B EC 83 C4 F8 83 2D ?? ?? ?? ?? 01 73 1D A1 ?? ?? ?? ?? 89 45 F8 A1 ?? ?? ?? ?? 89 45 FC 8D 45 F8 BA 01 00 00 00 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule function_95101_0 {
	meta:
		name = "TStringsEditor.Button3Click"
		size = 111
		refs = "000c TStringsEditor.Button3Click 0042 Clipboard 004a TClipboard.SetAsText 005f @UStrClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 A4 03 00 00 8B 08 FF 91 08 01 00 00 83 7D FC 00 75 14 8D 55 FC 8B 83 A4 03 00 00 8B 80 A8 02 00 00 8B 08 FF 51 1C E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_95102_0 {
	meta:
		name = "TeeEditStrings"
		size = 190
		refs = "0014 _DV_TStringsEditor 0019 TCustomForm.Create 0024 TeeEditStrings 003c PositionToCenter 004c TCustomMemo.SetLines 005c TCustomEdit.SetReadOnly 0064 TeeTranslateControl 00a7 TObject.Free 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 8B FA 8B F0 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 0E 83 7E 04 00 75 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 A4 03 00 00 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 8B 80 A4 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 48 0F 94 45 FF 80 F3 01 22 5D FF 74 16 8B 45 F8 8B 80 A4 03 00 00 8B 90 A8 02 00 00 8B C7 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95103_0 {
	meta:
		name = "TeeEditStrings"
		size = 249
		refs = "0018 TeeEditStrings 0027 _DV_TStringsEditor 002c TCustomForm.Create 0049 PositionToCenter 006f TCustomEdit.SetReadOnly 0077 TeeTranslateControl 00b0 @UStrAsg 00c5 TObject.Free 00cb @HandleFinally 00e2 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 08 8B 45 F8 E8 ?? ?? ?? ?? 8B 17 8B 45 F8 8B 80 A4 03 00 00 8B 80 A8 02 00 00 8B 08 FF 51 2C 8B 45 F8 8B 80 A4 03 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 48 0F 94 45 FF 80 F3 01 22 5D FF 74 21 8D 55 F4 8B 45 F8 8B 80 A4 03 00 00 8B 80 A8 02 00 00 8B 08 FF 51 1C 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95104_0 {
	meta:
		name = "TStringsEditor.Button4Click"
		size = 104
		refs = "000c TStringsEditor.Button4Click 002f TOpenDialog.GetFileName 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 B0 03 00 00 8B 10 FF 52 50 84 C0 74 22 8D 55 FC 8B 83 B0 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 A4 03 00 00 8B 80 A8 02 00 00 8B 08 FF 51 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_95105_0 {
	meta:
		name = "TStringsEditor.Button5Click"
		size = 104
		refs = "000c TStringsEditor.Button5Click 002f TOpenDialog.GetFileName 0058 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 B4 03 00 00 8B 10 FF 52 50 84 C0 74 22 8D 55 FC 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 83 A4 03 00 00 8B 80 A8 02 00 00 8B 08 FF 51 7C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_95106_0 {
	meta:
		name = "TStringsEditor.FormKeyDown"
		size = 23
	strings:
		$1 = { 55 8B EC 66 83 39 1B 75 0A C7 80 C0 02 00 00 02 00 00 00 5D C2 04 00 }
	condition:
		$1
}

rule function_95107_0 {
	meta:
		name = "TStringsEditor.FormCreate"
		size = 136
		refs = "0005 TeeMsg_TextFile 0015 TStringsEditor.FormCreate 001a @UStrCat3 002b TeeMsg_SelectTextFile 0032 @UStrAsg 005e TeeMsg_SaveTextFile"
	strings:
		$1 = { 53 8B D8 8B 15 ?? ?? ?? ?? 8B 12 8B 83 B0 03 00 00 83 C0 78 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 B0 03 00 00 05 88 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 83 B4 03 00 00 83 C0 78 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 B4 03 00 00 05 88 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 7C 00 2A 00 2E 00 74 00 78 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_95110_0 {
	meta:
		name = "TSymbolEditor.CBVisibleClick"
		size = 32
		refs = "001a TLegendSymbol.SetVisible"
	strings:
		$1 = { 53 8B D8 8B 83 B0 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95111_0 {
	meta:
		name = "TSymbolEditor.RefreshSymbol"
		size = 259
		refs = "0020 TCustomUpDown.SetPosition 00cc TButtonPen.LinkPen 00ef TButtonGradient.LinkGradient"
	strings:
		$1 = { 53 56 8B D8 8B C2 89 83 D0 03 00 00 85 C0 0F 84 EC 00 00 00 8B F0 8B 56 28 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 80 7E 2C 00 75 12 33 D2 8B 83 A4 03 00 00 8B 08 FF 91 FC 00 00 00 EB 13 BA 01 00 00 00 8B 83 A4 03 00 00 8B 08 FF 91 FC 00 00 00 80 7E 1C 00 75 12 33 D2 8B 83 A8 03 00 00 8B 08 FF 91 FC 00 00 00 EB 13 BA 01 00 00 00 8B 83 A8 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 56 04 8B 83 AC 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 56 24 8B 83 BC 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 56 25 8B 83 B0 03 00 00 8B 08 FF 91 FC 00 00 00 0F B6 56 05 8B 83 B4 03 00 00 8B 08 FF 91 FC 00 00 00 8B 56 18 8B 83 B8 03 00 00 E8 ?? ?? ?? ?? 0F B6 56 05 80 F2 01 8B 83 B8 03 00 00 8B 08 FF 91 80 00 00 00 8B 56 08 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8B 83 C0 03 00 00 C6 80 F0 02 00 00 01 5E 5B C3 }
	condition:
		$1
}

rule function_95112_0 {
	meta:
		name = "TSymbolEditor.FormShow"
		size = 29
		refs = "0009 TSymbolEditor.RefreshSymbol 0017 TeeTranslateControl"
	strings:
		$1 = { 53 8B D8 8B 53 0C 8B C3 E8 ?? ?? ?? ?? C6 83 CC 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95113_0 {
	meta:
		name = "TSymbolEditor.SEColWiChange"
		size = 38
		refs = "0013 TCustomUpDown.GetPosition 0020 TLegendSymbol.SetWidth"
	strings:
		$1 = { 53 8B D8 80 BB CC 03 00 00 00 75 18 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95114_0 {
	meta:
		name = "TSymbolEditor.EnableWidthControls"
		size = 51
		refs = "002c EnableControls"
	strings:
		$1 = { 83 C4 F8 8B 90 D0 03 00 00 0F B6 52 24 80 F2 01 8B 88 A0 03 00 00 89 0C 24 8B 80 9C 03 00 00 89 44 24 04 8B C4 B9 01 00 00 00 92 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_95115_0 {
	meta:
		name = "TSymbolEditor.CBColWUnitsChange"
		size = 51
		refs = "001e TLegendSymbol.SetWidthUnits"
	strings:
		$1 = { 53 8B D8 8B 83 A4 03 00 00 8B 10 FF 92 F8 00 00 00 85 C0 75 0F 33 D2 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 5B C3 B2 01 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95116_0 {
	meta:
		name = "TSymbolEditor.CBSymbolPosChange"
		size = 51
		refs = "001e TLegendSymbol.SetPosition"
	strings:
		$1 = { 53 8B D8 8B 83 A8 03 00 00 8B 10 FF 92 F8 00 00 00 85 C0 75 0F 33 D2 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 5B C3 B2 01 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95117_0 {
	meta:
		name = "TSymbolEditor.CBContinuousClick"
		size = 32
		refs = "001a TLegendSymbol.SetContinuous"
	strings:
		$1 = { 53 8B D8 8B 83 AC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95118_0 {
	meta:
		name = "TSymbolEditor.CBSymPenClick"
		size = 65
		refs = "001a TLegendSymbol.SetDefaultPen"
	strings:
		$1 = { 53 8B D8 8B 83 B4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 8B 83 B4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 80 F2 01 8B 83 B8 03 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_95119_0 {
	meta:
		name = "TSymbolEditor.CBSquaredClick"
		size = 39
		refs = "001a TLegendSymbol.SetSquared 0021 TSymbolEditor.EnableWidthControls"
	strings:
		$1 = { 53 8B D8 8B 83 BC 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B 83 D0 03 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95120_0 {
	meta:
		name = "TSymbolEditor.FormCreate"
		size = 8
	strings:
		$1 = { C6 80 CC 03 00 00 01 C3 }
	condition:
		$1
}

rule function_95121_0 {
	meta:
		name = "TSymbolEditor.BEmbossClick"
		size = 15
		refs = "000a EditTeeEmboss"
	strings:
		$1 = { 8B 90 D0 03 00 00 8B 52 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95122_0 {
	meta:
		name = "TSymbolEditor.Button1Click"
		size = 15
		refs = "000a EditTeeShadow"
	strings:
		$1 = { 8B 90 D0 03 00 00 8B 52 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95125_0 {
	meta:
		name = "TTeeToolsGallery.FilterTool"
		size = 201
		refs = "000d TeeToolTypes 0016 TTeeToolTypes.Get 0028 TTeeToolsGallery.FilterTool 0039 TCustomTabControl.GetTabIndex 004e _Dn_TTeeCustomToolSeries 0053 @IsClass 0061 _Dn_TTeeCustomToolAxis 00b3 TObject.Free 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 A1 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? 33 C9 B2 01 FF 50 38 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 83 E8 01 72 07 74 18 48 74 28 EB 55 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 FF EB 46 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 FF EB 33 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 12 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 88 45 FF EB 04 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95126_0 {
	meta:
		name = "TTeeToolsGallery.FillTools"
		size = 209
		refs = "0014 TTeeToolsGallery.FillTools 005c TTeeToolTypes.Get 00be @UStrClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 A4 03 00 00 8B 10 FF 92 04 01 00 00 8B 86 D0 03 00 00 89 45 FC 8B 45 FC 8B 40 08 48 85 C0 7C 4C 40 89 45 F8 33 DB 8B D3 8B C6 8B 08 FF 91 28 01 00 00 84 C0 74 30 8B D3 8B 45 FC E8 ?? ?? ?? ?? 50 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F4 FF 50 6C 8B 55 F4 8B 86 A4 03 00 00 8B 80 88 02 00 00 59 8B 38 FF 57 3C 43 FF 4D F8 75 BA 8B 86 AC 03 00 00 8B 80 A8 02 00 00 8B 10 FF 52 44 33 D2 8B 86 98 03 00 00 8B 08 FF 91 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95127_0 {
	meta:
		name = "TTeeToolsGallery.FormShow"
		size = 272
		refs = "000c TWinControl.SetBevelKind 001e TWinControl.SetBevelCut 0029 TCustomTabControl.GetTabs 003f TeeMsg_Series 0056 TTeeToolsGallery.FormShow 006c TeeMsg_PieOther 007a TTeeToolsGallery.FillTools 008c TControl.SetVisible 0099 TControl.SetText 009f ToolsGalleryHook 00dc TControl.SetAlign 00e8 TControl.SetWidth 00ef TeeTranslateControl"
	strings:
		$1 = { 56 8B F0 B2 03 8B 86 AC 03 00 00 E8 ?? ?? ?? ?? B1 02 BA 01 00 00 00 8B 86 AC 03 00 00 E8 ?? ?? ?? ?? 8B 86 A0 03 00 00 E8 ?? ?? ?? ?? 8B 10 FF 52 44 8B 86 A0 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 08 FF 51 38 8B 86 A0 03 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 08 FF 51 38 8B 86 A0 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 12 8B 08 FF 51 38 8B C6 E8 ?? ?? ?? ?? F6 46 1C 10 0F 95 C2 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 86 C0 03 00 00 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 95 C2 8B 86 B4 03 00 00 E8 ?? ?? ?? ?? 8B 86 B4 03 00 00 0F B6 50 61 8B 86 BC 03 00 00 E8 ?? ?? ?? ?? 8B 86 B4 03 00 00 80 78 61 00 75 19 B2 05 8B 86 A0 03 00 00 E8 ?? ?? ?? ?? BA 2C 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5E C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 41 00 78 00 69 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_95128_0 {
	meta:
		name = "TTeeToolsGallery.SelectedTool"
		size = 28
		refs = "0016 TTeeToolsGallery.ToolAtIndex"
	strings:
		$1 = { 53 8B D8 8B 83 A4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95130_0 {
	meta:
		name = "TTeeToolsGallery.ToolAtIndex"
		size = 28
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 A4 03 00 00 8B 80 88 02 00 00 8B D6 8B 08 FF 51 18 5E 5B C3 }
	condition:
		$1
}

rule function_95131_0 {
	meta:
		name = "TeeDrawTool"
		size = 252
		refs = "0023 TeeDrawTool 0046 TBrush.SetColor 0076 TeeDrawBitmapEditor 008d TFont.SetColor 00a7 TBrush.SetStyle 00e7 @UStrClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 8B F1 8D 7D EC A5 A5 A5 A5 89 55 FC 8B F8 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B B7 98 02 00 00 F6 C3 01 0F 95 C0 84 C0 74 0F BA 0D 00 00 FF 8B 46 48 E8 ?? ?? ?? ?? EB 0B 8B 57 74 8B 46 48 E8 ?? ?? ?? ?? 8D 55 EC 8B C6 8B 08 FF 51 54 8B 45 F0 40 50 8B 4D EC 83 C1 02 8B 55 08 8B 87 98 02 00 00 E8 ?? ?? ?? ?? F6 C3 01 0F 95 C0 84 C0 74 0F BA 0E 00 00 FF 8B 46 40 E8 ?? ?? ?? ?? EB 0E 8B 47 6C 8B 50 18 8B 46 40 E8 ?? ?? ?? ?? B2 01 8B 46 48 E8 ?? ?? ?? ?? 8D 4D E8 8B 55 FC 8B 87 88 02 00 00 8B 18 FF 53 0C 8B 45 E8 50 8B 4D F0 83 C1 02 8B 55 EC 83 C2 16 8B C6 8B 18 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_95132_0 {
	meta:
		name = "TTeeToolsGallery.LBToolDrawItem"
		size = 123
		refs = "001c TTeeToolsGallery.ToolAtIndex 0032 TTeeToolsGallery.LBToolDrawItem 0051 TeeDrawTool 0066 TObject.Free 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B 75 0C 8D 7D EC A5 A5 A5 A5 8B F1 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 4E 33 C9 B2 01 FF 50 38 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 45 08 50 8B 45 FC 50 8B 83 A4 03 00 00 8D 4D EC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_95134_0 {
	meta:
		name = "TTeeToolsGallery.View3DClick"
		size = 29
		refs = "0016 TCustomTeePanel.SetView3D"
	strings:
		$1 = { 53 56 8B DA 8B F3 8B C6 8B 10 FF 92 F8 00 00 00 8B D0 8B 46 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95135_0 {
	meta:
		name = "TTeeToolsGallery.LBToolClick"
		size = 527
		refs = "0012 TTeeToolsGallery.LBToolClick 004a TWinControl.GetControl 004f TObject.Free 005a TWinControl.GetControlCount 007d TControl.SetText 0099 TControl.Hide 00a3 Application 00cc TTeeToolsGallery.ToolAtIndex 00d4 TObject.ClassName 011e TeeTranslateControl 0160 _Dn_TCustomChart 0165 @IsClass 01a7 TControl.Show 01db TTeeToolsGallery.View3DClick 01fc @UStrArrayClr 0202 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 A4 03 00 00 8B 10 FF 92 F8 00 00 00 40 0F 95 C2 8B 83 98 03 00 00 8B 08 FF 91 80 00 00 00 EB 15 BA 02 00 00 00 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 83 F8 02 7F DB 8B 83 A4 03 00 00 8B 10 FF 92 F8 00 00 00 40 75 2E 33 D2 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8B 83 AC 03 00 00 8B 80 A8 02 00 00 8B 10 FF 52 44 8B 83 BC 03 00 00 E8 ?? ?? ?? ?? E9 44 01 00 00 A1 ?? ?? ?? ?? 83 38 00 74 3A A1 ?? ?? ?? ?? 8B 00 F6 40 1C 10 74 2D 8B 83 A4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 83 C0 03 00 00 E8 ?? ?? ?? ?? 8B 83 A4 03 00 00 8B 10 FF 92 F8 00 00 00 8B D0 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 FF 50 70 8B 55 F4 8B 83 AC 03 00 00 8B 80 A8 02 00 00 8B 08 FF 51 2C 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 83 BB CC 03 00 00 00 0F 84 B7 00 00 00 8B C3 FF 93 CC 03 00 00 33 C0 89 45 FC 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 33 47 33 F6 8B D6 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B D6 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 89 45 FC 46 4F 75 D0 8B 83 B4 03 00 00 E8 ?? ?? ?? ?? 8B 83 BC 03 00 00 33 D2 89 90 18 01 00 00 89 90 1C 01 00 00 83 7D FC 00 74 3B E8 ?? ?? ?? ?? 8B 45 FC 0F B6 90 04 03 00 00 8B 83 BC 03 00 00 8B 08 FF 91 FC 00 00 00 8B 83 BC 03 00 00 8B 55 FC 89 50 0C 89 98 1C 01 00 00 C7 80 18 01 00 00 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95136_0 {
	meta:
		name = "TTeeToolsGallery.FormCreate"
		size = 27
		refs = "0002 TeeToolTypes 0010 ToolsGalleryHook"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 89 90 D0 03 00 00 8B 15 ?? ?? ?? ?? 89 90 CC 03 00 00 C3 }
	condition:
		$1
}

rule function_95138_0 {
	meta:
		name = "VCLTee.TeeToolsGallery"
		size = 17
		refs = "0002 _DV_2 000c ToolsGalleryHook"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 07 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95139_0 {
	meta:
		name = "LoadChartFromURL"
		size = 85
		refs = "000d _Dn_TMemoryStream 0012 TObject.Create 001d LoadChartFromURL 0044 TObject.Free 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95140_0 {
	meta:
		name = "LoadChartFromURL"
		size = 292
		refs = "0022 LoadChartFromURL 0033 @LStrLAsg 003b @LStrToPChar 0042 DownloadURL 0052 TControl.GetBoundsRect 005d TStream.SetPosition 0066 LoadChartFromStream 0078 TControl.SetBoundsRect 0091 @UStrFromLStr 00a3 TeeURLErrorMessage 00b3 @UStrCatN 00c9 TeeMsg_CannotLoadChartFromURL 00d2 _Dn_ChartException 00d7 Exception.CreateFmt 00dc @RaiseExcept 00f6 @UStrArrayClr 00fe @LStrClr 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D D4 89 5D D0 89 5D CC 89 5D FC 8B F1 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 32 8D 55 E8 8B 07 E8 ?? ?? ?? ?? 6A 00 6A 00 8B C6 E8 ?? ?? ?? ?? 8B C7 8B D6 E8 ?? ?? ?? ?? 8B 07 F6 40 1C 10 74 6E 8D 55 E8 8B 07 E8 ?? ?? ?? ?? EB 62 89 5D D8 C6 45 DC 00 68 ?? ?? ?? ?? 8D 45 D0 8B 55 F8 E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? 8D 55 CC 8B C3 E8 ?? ?? ?? ?? FF 75 CC 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 89 45 E0 C6 45 E4 11 8D 45 D8 50 6A 01 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0D 00 00 00 }
	condition:
		$1
}

rule function_95141_0 {
	meta:
		name = "InitWinInet"
		size = 296
		refs = "0002 TeeWinInetDLL 000a InitWinInet 000f TeeLoadLibrary 002d GetProcAddress 0032 _InternetOpenA 0047 _InternetOpenURLA 005c _InternetReadFile 0071 _InternetCloseHandle"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 6C B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 54 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 77 00 69 00 6E 00 69 00 6E 00 65 00 74 00 2E 00 64 00 6C 00 6C 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 65 00 74 00 4F 00 70 00 65 00 6E 00 41 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 65 00 74 00 4F 00 70 00 65 00 6E 00 55 00 72 00 6C 00 41 00 00 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 65 00 74 00 52 00 65 00 61 00 64 00 46 00 69 00 6C 00 65 00 00 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 65 00 74 00 43 00 6C 00 6F 00 73 00 65 00 48 00 61 00 6E 00 64 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_95142_0 {
	meta:
		name = "DownloadURL"
		size = 624
		refs = "0018 DownloadURL 002b TeeWinInetDLL 0033 InitWinInet 0056 _InternetOpenA 008a _InternetOpenURLA 00b0 TStream.SetPosition 00ba AllocMem 00e7 _InternetReadFile 0104 TStream.WriteBuffer 011d GetLastError 013b @FreeMem 0141 @HandleFinally 015a _InternetCloseHandle 01b5 @UStrFromPChar 01c5 @UStrCat3 01cd ShowMessageUser 01e7 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 C9 89 4D E8 89 4D E4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC FF FF FF FF 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 84 6B 01 00 00 68 00 08 00 00 6A 00 6A 00 6A 00 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 0F 84 3E 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 68 00 05 00 84 68 00 00 00 80 6A 00 56 8B 45 F8 50 FF 15 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 D7 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? B8 00 00 02 00 E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 EC 8D 45 EC 50 68 00 00 02 00 8B 45 F0 50 8B 45 F4 50 FF 15 ?? ?? ?? ?? 83 F8 01 1B C0 40 84 C0 74 27 83 7D EC 00 76 0F 8B 55 F0 8B 4D EC 8B C3 E8 ?? ?? ?? ?? EB 1A 6A 00 6A 00 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 FC EB 0E E8 ?? ?? ?? ?? 89 45 FC 83 7D EC 00 75 A5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 50 FF 15 ?? ?? ?? ?? 85 C0 75 08 E8 ?? ?? ?? ?? 89 45 FC C3 E9 ?? ?? ?? ?? EB E2 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 FF 15 ?? ?? ?? ?? 85 C0 75 08 E8 ?? ?? ?? ?? 89 45 FC C3 E9 ?? ?? ?? ?? EB E2 E8 ?? ?? ?? ?? 89 45 FC EB 22 8D 45 E4 8B D6 E8 ?? ?? ?? ?? 8B 4D E4 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5E 5B 8B E5 5D C3 54 65 65 00 B0 04 02 00 FF FF FF FF 31 00 00 00 43 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 6C 00 6F 00 61 00 64 00 20 00 57 00 69 00 6E 00 49 00 6E 00 65 00 74 00 2E 00 64 00 6C 00 6C 00 20 00 74 00 6F 00 20 00 61 00 63 00 63 00 65 00 73 00 73 00 20 00 54 00 65 00 65 00 43 00 68 00 61 00 72 00 74 00 20 00 66 00 69 00 6C 00 65 00 3A 00 20 00 00 00 }
	condition:
		$1
}

rule function_95143_0 {
	meta:
		name = "TeeURLErrorMessage"
		size = 80
		refs = "0019 TeeWinInetDLL 0024 FormatMessage 0044 @UStrFromPWCharLen"
	strings:
		$1 = { 53 81 C4 00 FE FF FF 8B DA 6A 00 68 00 02 00 00 8D 54 24 08 52 6A 00 50 A1 ?? ?? ?? ?? 50 68 00 28 00 00 E8 ?? ?? ?? ?? EB 01 48 85 C0 7E 0F 0F B6 54 44 FE 80 EA 21 72 F1 80 EA 0D 74 EC 8B D4 8B CB 91 E8 ?? ?? ?? ?? 81 C4 00 02 00 00 5B C3 }
	condition:
		$1
}

rule function_95145_0 {
	meta:
		name = "TTeeSeriesSourceFile.Load"
		size = 117
		refs = "000c TTeeSeriesSourceFile.Load 0026 TeeIsURL 003a @LStrFromUStr 0044 TTeeSeriesSourceFile.LoadFromURL 0050 TTeeSeriesSourceFile.LoadFromFile 0065 @LStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 3C 00 74 38 83 7B 40 00 74 32 8B 43 40 E8 ?? ?? ?? ?? 84 C0 74 1C 8D 45 FC 8B 53 40 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 0A 8B 53 40 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_95146_0 {
	meta:
		name = "TTeeSeriesSourceFile.SetFileName"
		size = 38
		refs = "000c @UStrEqual 001f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 40 8B D6 E8 ?? ?? ?? ?? 74 11 8B C3 8B 10 FF 52 58 8D 43 40 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95147_0 {
	meta:
		name = "TTeeSeriesSourceFile.LoadFromFile"
		size = 83
		refs = "000c _Dn_TFileStream 0013 TFileStream.Create 001e TTeeSeriesSourceFile.LoadFromFile 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_95148_0 {
	meta:
		name = "TTeeSeriesSourceFile.LoadFromURL"
		size = 284
		refs = "001b TTeeSeriesSourceFile.LoadFromURL 0028 _Dn_TMemoryStream 002d TObject.Create 0048 @UStrFromLStr 004f @LStrToPChar 0057 DownloadURL 0082 TeeURLErrorMessage 0092 @UStrCatN 00a8 TeeMsg_CannotLoadSeriesDataFromURL 00b1 _Dn_ChartException 00b6 Exception.CreateFmt 00bb @RaiseExcept 00d0 TObject.Free 00d6 @HandleFinally 00f2 @UStrArrayClr 00fa @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E4 89 4D E0 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0C 8B 55 F8 8B C6 8B 08 FF 51 64 EB 52 89 5D E8 C6 45 EC 00 FF 75 FC 68 ?? ?? ?? ?? 8D 55 E0 8B C3 E8 ?? ?? ?? ?? FF 75 E0 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 C6 45 F4 11 8D 45 E8 50 6A 01 8B 0D ?? ?? ?? ?? 8B 09 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_95150_0 {
	meta:
		name = "TCustomChartLink.Notification"
		size = 49
		refs = "0010 TComponent.Notification 0029 TCustomChartLink.SetChart"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 14 83 7F 38 00 74 0E 3B 77 38 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95152_0 {
	meta:
		name = "TChartWebSource.Create"
		size = 144
		refs = "000a @ClassCreate 0017 TImportChart.Create 001f TChartWebSource.Create 0024 @UStrAsg 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 50 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 73 00 74 00 65 00 65 00 6D 00 61 00 2E 00 63 00 6F 00 6D 00 2F 00 64 00 65 00 6D 00 6F 00 2E 00 74 00 65 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_95153_0 {
	meta:
		name = "TChartWebSource.Execute"
		size = 21
		refs = "000f TImportChart.LoadFromURL"
	strings:
		$1 = { 53 8B D8 83 7B 50 00 74 0A 8B 53 50 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95156_0 {
	meta:
		name = "DestroyCachedStreams"
		size = 100
		refs = "0007 Cached 000c TThreadList.LockList 0016 DestroyCachedStreams 0030 TList.Get 0035 TObject.Free 0053 TMonitor.Exit 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 5F 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_95157_0 {
	meta:
		name = "CacheDownload"
		size = 568
		refs = "0021 CacheDownload 0037 UpperCase 0047 @LStrFromUStr 004c Cached 0051 TThreadList.LockList 0075 TList.Get 008b @UStrEqual 00a6 @TryFinallyExit 00c9 TMonitor.Exit 00cf @HandleFinally 00d8 _DV_TCachedStream 00dd TCachedStream.Create 00fc @UStrAsg 010f @UStrCopy 012c TMemoryStream.LoadFromFile 0136 @LStrToPChar 0141 DownloadURL 0159 TStream.SetPosition 0187 TList.Add 01b1 TObject.Free 01c0 @HandleOnException 01c8 _Dn_Exception 01d9 @RaiseAgain 01de @DoneExcept 01f8 @UStrArrayClr 0200 @LStrClr 0208 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D E0 89 4D E4 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 8D 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 77 08 4E 85 F6 7C 46 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 04 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 8B 55 FC E8 ?? ?? ?? ?? 75 1E 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 08 8B 55 F0 8B 08 FF 51 1C E8 ?? ?? ?? ?? E9 33 01 00 00 43 4E 75 BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 83 C0 04 8B 55 FC E8 ?? ?? ?? ?? 8D 45 E0 50 B9 04 00 00 00 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 10 8B 45 E8 8B 40 08 8B 55 F4 E8 ?? ?? ?? ?? EB 16 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E8 8B 52 08 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 5F 6A 00 6A 00 8B 45 E8 8B 40 08 E8 ?? ?? ?? ?? 8B 45 E8 8B 40 08 8B 55 F0 8B 08 FF 51 1C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B 45 EC 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 68 00 74 00 74 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_95158_0 {
	meta:
		name = "TImportChart.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TComponent.Create 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 3C 01 C6 46 3D 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_95160_0 {
	meta:
		name = "TImportChart.CheckChart"
		size = 116
		refs = "0007 TImportChart.CheckChart 000e _Dn_ChartException 0013 Exception.Create 0018 @RaiseExcept"
	strings:
		$1 = { 83 78 38 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 43 00 68 00 61 00 72 00 74 00 20 00 6E 00 6F 00 74 00 20 00 61 00 73 00 73 00 69 00 67 00 6E 00 65 00 64 00 2E 00 20 00 43 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 69 00 6D 00 70 00 6F 00 72 00 74 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_95161_0 {
	meta:
		name = "TImportChart.CheckPosition"
		size = 91
		refs = "0018 TControl.SetAlign 0028 TControl.SetLeft 0033 TControl.SetTop 0046 TControl.SetWidth 0054 TControl.SetHeight"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 3C 00 75 06 80 7B 3D 00 74 0A 33 D2 8B 43 38 E8 ?? ?? ?? ?? 80 7B 3C 00 74 15 8B 16 8B 43 38 E8 ?? ?? ?? ?? 8B 56 04 8B 43 38 E8 ?? ?? ?? ?? 80 7B 3D 00 74 1B 8B 56 08 2B 16 8B 43 38 E8 ?? ?? ?? ?? 8B 56 0C 2B 56 04 8B 43 38 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95162_0 {
	meta:
		name = "TImportChart.LoadFromStream"
		size = 144
		refs = "0011 TImportChart.CheckChart 0035 TControl.GetBoundsRect 003d TImportChart.LoadFromStream 0050 LoadChartFromStream 0068 TImportChart.CheckPosition 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 78 4A 00 74 0C 8B 75 FC 8B 55 FC 8B 46 4C FF 56 48 8D 55 EC 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 38 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 66 83 78 42 00 74 0C 8B 5D FC 8B 55 FC 8B 43 44 FF 53 40 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95163_0 {
	meta:
		name = "TImportChart.LoadFromURL"
		size = 208
		refs = "0016 TImportChart.LoadFromURL 0024 TImportChart.CheckChart 0048 TControl.GetBoundsRect 0065 @LStrFromUStr 0073 LoadChartFromURL 008b TImportChart.CheckPosition 0091 @HandleFinally 00be @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 78 4A 00 74 0C 8B 75 FC 8B 55 FC 8B 46 4C FF 56 48 8D 55 EC 8B 45 FC 8B 40 38 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 83 C0 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 66 83 78 42 00 74 0C 8B 5D FC 8B 55 FC 8B 43 44 FF 53 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95164_0 {
	meta:
		name = "Finalization"
		size = 43
		refs = "0002 _DV_5 000a TeeWinInetDLL 0017 TeeFreeLibrary 001c DestroyCachedStreams 0021 Cached 0026 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 22 83 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95165_0 {
	meta:
		name = "VCLTee.TeeURL"
		size = 38
		refs = "0002 _DV_5 000c _Dn_TThreadList 0011 TThreadList.Create 0016 Cached 001b GraphicDownload 0021 CacheDownload"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95166_0 {
	meta:
		name = "TVisualsEditor.FormShow"
		size = 15
		refs = "000a TVisualsEditor.EnableClear"
	strings:
		$1 = { 8B 50 0C 89 90 9C 03 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95167_0 {
	meta:
		name = "TVisualsEditor.TemplateChanged"
		size = 12
	strings:
		$1 = { 8B 80 9C 03 00 00 8B 10 FF 52 08 C3 }
	condition:
		$1
}

rule function_95168_0 {
	meta:
		name = "TVisualsEditor.EnableClear"
		size = 162
		refs = "0042 TeeVisualEditorClass 005c TControl.SetAlign 0072 AddFormTo 0088 TVisualsEditor.TemplateChanged"
	strings:
		$1 = { 53 56 8B D8 8B 83 9C 03 00 00 85 C0 74 06 83 78 14 00 75 04 33 D2 EB 02 B2 01 8B 83 98 03 00 00 8B 08 FF 91 80 00 00 00 8B 83 98 03 00 00 8B 10 FF 52 68 84 C0 74 68 8B 83 A0 03 00 00 85 C0 75 4D A1 ?? ?? ?? ?? 8B 00 8B CB B2 01 FF 50 38 8B F0 89 B3 A0 03 00 00 B2 05 8B C6 E8 ?? ?? ?? ?? 8B 83 9C 03 00 00 8B 48 14 8B D3 8B 83 A0 03 00 00 E8 ?? ?? ?? ?? 8B 83 A0 03 00 00 89 98 94 03 00 00 C7 80 90 03 00 00 ?? ?? ?? ?? EB 11 8B 93 9C 03 00 00 8B 52 14 8B 08 FF 91 28 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_95169_0 {
	meta:
		name = "TVisualsEditor.Button3Click"
		size = 102
		refs = "0006 TeeOnChangeVisual 0032 TObject.Free 003f TVisualsList.SetTemplate 005e TVisualsEditor.EnableClear"
	strings:
		$1 = { 53 56 57 8B D8 A1 ?? ?? ?? ?? 83 38 00 74 53 8B 83 9C 03 00 00 8B 70 14 8B 3D ?? ?? ?? ?? 8B 3F 8B 50 10 8B CE 8B C3 FF D7 8B F8 85 FF 74 33 8B C6 E8 ?? ?? ?? ?? 8B D7 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 66 83 BB AA 03 00 00 00 74 0E 8B D3 8B 83 AC 03 00 00 FF 93 A8 03 00 00 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95170_0 {
	meta:
		name = "TVisualsEditor.BClearVisualClick"
		size = 77
		refs = "000c TVisualsList.SetTemplate 0047 TObject.Free"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 66 83 BB AA 03 00 00 00 74 0E 8B D3 8B 83 AC 03 00 00 FF 93 A8 03 00 00 33 D2 8B 83 98 03 00 00 8B 08 FF 91 80 00 00 00 8D 83 A0 03 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95171_0 {
	meta:
		name = "TVisualsEditor.ModalShow"
		size = 100
		refs = "000c _DV_TVisualsEditor 0013 TCustomForm.Create 001e TVisualsEditor.ModalShow 004f TObject.Free 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D9 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 58 0C 8B 45 F8 8B 10 FF 92 20 01 00 00 48 0F 94 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95174_0 {
	meta:
		name = "TeeExport"
		size = 168
		refs = "0013 @UStrAddRef 001b TeeExport 002a _DV_TTeeExportForm 002f TCustomForm.Create 0059 @UStrAsg 0079 TObject.Free 007f @HandleFinally 0096 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 B0 98 04 00 00 8B 45 F8 05 AC 04 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 20 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95177_0 {
	meta:
		name = "SelectedSeries"
		size = 22
		refs = "0010 TComboFlat.SelectedObject"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 80 1C 04 00 00 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_95178_0 {
	meta:
		name = "Chart"
		size = 17
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 80 98 04 00 00 5D C3 }
	condition:
		$1
}

rule function_95179_0 {
	meta:
		name = "TTeeExportForm.CreateData"
		size = 508
		refs = "0014 TTeeExportForm.CreateData 0042 SelectedSeries 004a Chart 0054 _Dn_TSeriesDataText 0059 TSeriesDataText.Create 0063 TTeeExportFormBase.GetSeparator 007a TControl.GetText 0085 @UStrAsg 008d TTeeExportFormBase.SelectedEncoding 00ad _Dn_TSeriesDataXML 00b2 TSeriesDataXML.Create 00f7 _Dn_TSeriesDataHTML 00fc TSeriesData.Create 0123 _Dn_TSeriesDataXLS 01b2 LocalToDelphiFormat 01d2 @UStrClr 01e7 @UStrArrayClr 01ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 80 20 04 00 00 8B 80 88 02 00 00 83 E8 01 72 0E 74 65 48 0F 84 A8 00 00 00 E9 CF 00 00 00 55 E8 ?? ?? ?? ?? 59 50 55 E8 ?? ?? ?? ?? 59 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 FC E8 ?? ?? ?? ?? 8B DF 66 89 43 20 8D 55 F8 8B 45 FC 8B 80 5C 04 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 24 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 43 04 E9 95 00 00 00 55 E8 ?? ?? ?? ?? 59 50 55 E8 ?? ?? ?? ?? 59 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 55 F4 8B 45 FC 8B 80 64 04 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B DF 8D 43 20 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 43 04 EB 4B 55 E8 ?? ?? ?? ?? 59 50 55 E8 ?? ?? ?? ?? 59 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 FC E8 ?? ?? ?? ?? 89 47 04 EB 1F 55 E8 ?? ?? ?? ?? 59 50 55 E8 ?? ?? ?? ?? 59 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 FC 8B 80 34 04 00 00 8B 10 FF 92 F8 00 00 00 8B F7 88 46 0F 8B 45 FC 8B 80 30 04 00 00 8B 10 FF 92 F8 00 00 00 88 46 0D 8B 45 FC 8B 80 38 04 00 00 8B 10 FF 92 F8 00 00 00 88 46 0E 8B 45 FC 8B 80 3C 04 00 00 8B 10 FF 92 F8 00 00 00 88 46 0C 8B 45 FC 8B 80 B4 04 00 00 8B 10 FF 92 F8 00 00 00 8B D8 88 5E 14 84 DB 75 27 8D 55 EC 8B 45 FC 8B 80 BC 04 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8D 46 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95180_0 {
	meta:
		name = "TTeeExportForm.ExistData"
		size = 48
		refs = "000e _Dn_TCustomAxisPanel 0013 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B B3 98 04 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B 86 B4 03 00 00 83 78 08 00 0F 9F C0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_95181_0 {
	meta:
		name = "TTeeExportForm.DoSaveNativeToFile"
		size = 70
		refs = "0022 SaveChartToFile 0040 SaveChartToXMLFile"
	strings:
		$1 = { 53 8B 98 00 04 00 00 8B 9B 88 02 00 00 83 EB 01 72 07 74 14 4B 74 20 EB 2B 6A 00 8B 80 98 04 00 00 E8 ?? ?? ?? ?? 5B C3 6A 01 8B 80 98 04 00 00 E8 ?? ?? ?? ?? 5B C3 6A 01 8B 80 98 04 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95182_0 {
	meta:
		name = "TTeeExportForm.PrepareOnShow"
		size = 127
		refs = "000e _Dn_TCustomAxisPanel 0013 @IsClass 0030 FillSeriesItems 0036 TeeMsg_All 006b TControl.SetVisible 0078 TTabSheet.SetTabVisible"
	strings:
		$1 = { 53 56 8B D8 8B B3 98 04 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 47 8B 96 B4 03 00 00 8B 83 1C 04 00 00 8B 80 B4 02 00 00 B1 01 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 09 8B 83 1C 04 00 00 8B 80 B4 02 00 00 33 D2 8B 30 FF 56 60 33 D2 8B 83 1C 04 00 00 8B 08 FF 91 FC 00 00 00 5E 5B C3 33 D2 8B 83 AC 03 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 9C 03 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95183_0 {
	meta:
		name = "TTeeExportForm.CreateNativeStream"
		size = 180
		refs = "000c _Dn_TCustomChart 0011 @IsClass 0020 _Dn_TMemoryStream 0025 TObject.Create 005e SaveChartToStream 00a0 SaveChartToXMLStream 00a9 TTeeExportFormBase.CreateNativeStream"
	strings:
		$1 = { 53 56 8B D8 8B 83 98 04 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 89 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 83 00 04 00 00 8B 80 88 02 00 00 83 E8 01 72 07 74 26 48 74 44 EB 6C 6A 00 8B 83 AC 03 00 00 8B 10 FF 92 F8 00 00 00 8B C8 8B D6 8B 83 98 04 00 00 E8 ?? ?? ?? ?? EB 4B 6A 01 8B 83 AC 03 00 00 8B 10 FF 92 F8 00 00 00 8B C8 8B D6 8B 83 98 04 00 00 E8 ?? ?? ?? ?? EB 2A 6A 01 8B 83 AC 03 00 00 8B 10 FF 92 F8 00 00 00 8B C8 8B D6 8B 83 98 04 00 00 E8 ?? ?? ?? ?? EB 09 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_95185_0 {
	meta:
		name = "TTeeExportForm.FormShow"
		size = 94
		refs = "0006 TTeeExportFormBase.FormShow 0017 _Dn_TFormatEditor 001c TFormatEditor.AddDefaultFormats"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 83 BC 04 00 00 8B 90 B4 02 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 B4 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 80 F2 01 8B 83 BC 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 BC 04 00 00 8B 10 FF 52 68 8B D0 8B 83 C0 04 00 00 8B 08 FF 91 80 00 00 00 5B C3 }
	condition:
		$1
}

rule function_95186_0 {
	meta:
		name = "TTeeExportForm.CBUseSeriesFormatClick"
		size = 72
		refs = "0042 TTeeExportFormBase.TryPreviewData"
	strings:
		$1 = { 53 8B D8 8B 83 B4 04 00 00 8B 10 FF 92 F8 00 00 00 8B D0 80 F2 01 8B 83 BC 04 00 00 8B 08 FF 91 80 00 00 00 8B 83 BC 04 00 00 8B 10 FF 52 68 8B D0 8B 83 C0 04 00 00 8B 08 FF 91 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95187_0 {
	meta:
		name = "TTeeExportForm.BFormatClick"
		size = 122
		refs = "000f TTeeExportForm.BFormatClick 002b TControl.GetText 0035 _Dn_TFormatEditor 003a TFormatEditor.Change 0044 TControl.SetText 004b TTeeExportFormBase.TryPreviewData 0060 @UStrClr 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC 50 8D 55 F8 8B B3 BC 04 00 00 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95192_0 {
	meta:
		name = "IsGridPositioning"
		size = 232
		refs = "001e @VarAddRef 0026 IsGridPositioning 0032 FDefaultPositioning 003d VarIsNull 004c @VarToWStr 0059 WideCompareText 00ad @WStrArrayClr 00b5 @VarClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 E8 89 55 EC 8B F0 8D 7D F0 A5 A5 A5 A5 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 3D ?? ?? ?? ?? 00 75 30 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 20 8D 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 04 33 DB EB 32 B3 01 EB 2E 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 1C 8D 45 E8 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 00 14 00 00 00 67 00 72 00 69 00 64 00 6C 00 61 00 79 00 6F 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_95193_0 {
	meta:
		name = "IsFlowPositioning"
		size = 91
		refs = "0016 @VarAddRef 001e IsFlowPositioning 002c IsGridPositioning 0046 @VarClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F0 8D 7D F0 A5 A5 A5 A5 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8B D8 80 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95194_0 {
	meta:
		name = "CalcElementXY"
		size = 370
		refs = "001f @IntfAddRef 0027 CalcElementXY 0061 @CheckAutoResult 009e @IntfClear 0117 @IntfCopy 014e IHTMLElement 0158 @FinalizeArray 0166 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 C9 89 4D D8 89 4D DC 89 4D E0 89 4D E4 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 33 C0 89 45 F8 8B 45 F4 89 03 8B 45 F8 89 43 04 83 7D FC 00 0F 84 EC 00 00 00 8D 45 E8 50 8B 45 FC 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 8B 75 E8 8D 45 E8 50 8B 45 FC 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 89 75 EC 89 45 F0 8B 45 EC 89 03 8B 45 F0 89 43 04 E9 85 00 00 00 8D 45 E8 50 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 01 03 8D 45 E8 50 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 01 43 04 8D 45 DC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 83 7D D8 00 0F 85 5A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95195_0 {
	meta:
		name = "VariantPropertyToPixels"
		size = 232
		refs = "001b @VarAddRef 0023 VariantPropertyToPixels 0036 VarIsNull 0053 @VarToUStr 0066 Pos 0080 @UStrCopy 0088 StrToInt 009a @HandleAnyException 009f @DoneExcept 00b4 @VarClr 00bc @UStrClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 D2 89 55 FC 8B F0 8D 7D E8 A5 A5 A5 A5 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E4 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 65 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8D 55 E8 E8 ?? ?? ?? ?? 83 7D FC 00 74 32 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 14 8D 45 FC 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 89 45 E4 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 E4 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 70 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_95196_0 {
	meta:
		name = "CalcElementRect"
		size = 248
		refs = "0018 @IntfAddRef 0020 CalcElementRect 002e @IntfClear 003f @IntfCast 0050 @CheckAutoResult 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F4 89 4D F8 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F4 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 45 F8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 F0 89 43 04 8D 45 F0 50 8B 45 F8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 F0 89 03 8D 45 F0 50 8B 45 F8 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 45 F0 89 43 08 8D 45 F0 50 8B 45 F8 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 45 F0 89 43 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 00 00 00 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95197_0 {
	meta:
		name = "GetPixelHeightPropertyValue"
		size = 332
		refs = "0017 @IntfAddRef 001f GetPixelHeightPropertyValue 0031 @IntfClear 0040 @CheckAutoResult 0064 @VarClr 0082 VariantPropertyToPixels 009f @IntfCast 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 90 9C 02 00 00 E8 ?? ?? ?? ?? 8B 45 F4 85 C0 0F 85 80 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? 50 6A 00 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 85 C0 75 56 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 DC 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 45 F8 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 D8 50 8B 45 F8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 58 2B 45 D8 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B C3 5B 8B E5 5D C3 00 00 0C 00 00 00 68 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95198_0 {
	meta:
		name = "GetPixelWidthPropertyValue"
		size = 656
		refs = "0019 @IntfAddRef 0021 GetPixelWidthPropertyValue 002f @IntfClear 003e Supports 0061 @VarClr 0073 @CheckAutoResult 007b @VarToInteger 008d @HandleAnyException 0092 @DoneExcept 00ed @IntfCast 0192 VariantPropertyToPixels 0250 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 EA 00 00 00 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 89 45 F0 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F0 00 75 32 8D 45 DC 50 8D 45 D8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 90 94 02 00 00 E8 ?? ?? ?? ?? 8B 45 DC 89 45 F0 83 7D F0 00 0F 85 1E 01 00 00 8D 45 F4 E8 ?? ?? ?? ?? 50 8D 45 D4 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 F4 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 5D DC 8D 45 D0 50 8B 45 F4 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 2B 5D D0 89 5D F0 E9 C2 00 00 00 8D 45 DC 50 8D 45 CC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 CC 50 8B 00 FF 90 94 02 00 00 E8 ?? ?? ?? ?? 8B 45 DC 89 45 F0 83 7D F0 00 0F 85 86 00 00 00 8D 45 BC E8 ?? ?? ?? ?? 50 6A 00 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 57 8D 45 F4 E8 ?? ?? ?? ?? 50 8D 45 B8 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 F4 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 5D DC 8D 45 D0 50 8B 45 F4 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 2B 5D D0 89 5D F0 8B 5D F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B0 8B C3 5F 5E 5B 8B E5 5D C3 00 1E F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 0A 00 00 00 77 00 69 00 64 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_95199_0 {
	meta:
		name = "SameDocument"
		size = 332
		refs = "0018 @IntfAddRef 0028 SameDocument 0036 @IntfClear 0045 Supports 007f @CheckAutoResult 008f @IntfCast 00f9 IHTMLDocument3 0103 @FinalizeArray 010c IHTMLDocument 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 7D F4 00 74 5F 83 7D F0 00 74 59 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D EC 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 5D E4 0F 94 C3 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B2 8B C3 5B 8B E5 5D C3 00 00 00 85 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_95200_0 {
	meta:
		name = "RestoreBrowserCursor"
		size = 53
		refs = "002d SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 F0 8B 80 6C 05 00 00 66 C7 45 F8 01 00 89 45 F4 C7 45 F0 00 02 00 00 33 D2 89 55 FC 8B 55 F8 52 8B 55 F4 52 6A 20 50 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_95201_0 {
	meta:
		name = "TCustomHTMLEditDesigner.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 0013 THTMLEditDesignerImpl.DisconnectComponent 001e TComponent.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 6C 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95202_0 {
	meta:
		name = "TCustomHTMLEditDesigner.IsPrimaryDocumentEvent"
		size = 166
		refs = "0014 @IntfAddRef 001c TCustomHTMLEditDesigner.IsPrimaryDocumentEvent 0032 @IntfClear 0041 @CheckAutoResult 0068 TCustomHTMLEditDesigner.IsPrimaryDocumentElement 0080 IHTMLElement 008a @FinalizeArray 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 83 7D FC 00 74 40 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 83 7D F8 00 74 23 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95203_0 {
	meta:
		name = "TCustomHTMLEditDesigner.IsPrimaryDocumentElement"
		size = 212
		refs = "0014 @IntfAddRef 001c TCustomHTMLEditDesigner.IsPrimaryDocumentElement 0032 TOleControl.GetIDispatchProp 0042 @IntfCast 004e @IntfClear 0060 @CheckAutoResult 0079 SameDocument 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 BA CB 00 00 00 8B 43 38 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 EC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 58 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B C3 5B 8B E5 5D C3 00 20 C5 6F 62 1E A4 CF 11 A7 31 00 A0 C9 08 26 37 }
	condition:
		$1
}

rule function_95204_0 {
	meta:
		name = "TCustomHTMLEditDesigner.Notification"
		size = 43
		refs = "0023 TCustomWebBrowserComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 80 FB 01 75 0E 3B 77 38 75 09 33 D2 8B C7 8B 08 FF 51 44 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95205_0 {
	meta:
		name = "TCustomHTMLEditDesigner.PostEditorEventNotify"
		size = 52
	strings:
		$1 = { 55 8B EC 51 53 8B 45 08 C7 45 FC 01 00 00 00 66 83 78 4A 00 74 15 8B 55 10 52 8D 55 FC 52 8B D8 8B 4D 0C 8B D0 8B 43 4C FF 53 48 8B 45 FC 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_95206_0 {
	meta:
		name = "TCustomHTMLEditDesigner.PostHandleEvent"
		size = 52
	strings:
		$1 = { 55 8B EC 51 53 8B 45 08 C7 45 FC 01 00 00 00 66 83 78 52 00 74 15 8B 55 10 52 8D 55 FC 52 8B D8 8B 4D 0C 8B D0 8B 43 54 FF 53 50 8B 45 FC 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_95207_0 {
	meta:
		name = "TCustomHTMLEditDesigner.PreHandleEvent"
		size = 52
	strings:
		$1 = { 55 8B EC 51 53 8B 45 08 C7 45 FC 01 00 00 00 66 83 78 5A 00 74 15 8B 55 10 52 8D 55 FC 52 8B D8 8B 4D 0C 8B D0 8B 43 5C FF 53 58 8B 45 FC 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_95208_0 {
	meta:
		name = "TCustomHTMLEditDesigner.SetActive"
		size = 396
		refs = "0017 TCustomHTMLEditDesigner.SetActive 002d TCustomWebBrowserComponent.CheckWebBrowserAssigned 004a THTMLEditDesignerImpl.DisconnectComponent 005a TWebBrowserEx.GetHTMLEditServices 0071 _DV_THTMLEditDesignerImpl 0076 THTMLEditDesignerImpl.Create 008c @IntfCast 00a9 OleCheck 010f sEditDesignerNoPageLoaded 0114 LoadResString 011e _Dn_Exception 0123 Exception.CreateFmt 0128 @RaiseExcept 0140 @UStrClr 0148 @IntfClear 016e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 5E 68 0F 84 05 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 46 38 F6 40 1C 08 74 19 C6 46 68 00 8B 46 6C 85 C0 0F 84 E6 00 00 00 E8 ?? ?? ?? ?? E9 DC 00 00 00 8D 55 FC 8B 46 38 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 8A 00 00 00 84 DB 74 43 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B 46 38 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? EB 7D 83 7E 6C 00 74 77 8D 45 F0 8B 56 6C 85 D2 74 03 83 EA F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 EC 8B 46 38 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 10 8B 46 6C 85 C0 74 41 E8 ?? ?? ?? ?? EB 3A 8B C3 88 46 68 84 C0 74 31 8B 46 08 89 45 E4 C6 45 E8 11 8D 45 E4 50 6A 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 5E 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5E 5B 8B E5 5D C3 00 00 62 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95209_0 {
	meta:
		name = "TCustomHTMLEditDesigner.SetWebBrowser"
		size = 38
		refs = "001f TCustomWebBrowserComponent.SetWebBrowser"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 85 C0 74 0D 3B F0 74 09 33 D2 8B C3 8B 08 FF 51 44 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95210_0 {
	meta:
		name = "TCustomHTMLEditDesigner.TranslateAccelerator"
		size = 52
	strings:
		$1 = { 55 8B EC 51 53 8B 45 08 C7 45 FC 01 00 00 00 66 83 78 62 00 74 15 8B 55 10 52 8D 55 FC 52 8B D8 8B 4D 0C 8B D0 8B 43 64 FF 53 60 8B 45 FC 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_95211_0 {
	meta:
		name = "TCustomElementBehavior.Detach"
		size = 84
		refs = "000d TCustomElementBehavior.SetHandleEvents 001f @IntfClear"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 33 D2 8B C3 E8 ?? ?? ?? ?? 8B B3 88 00 00 00 85 F6 74 08 8D 46 44 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 1C 8B F0 8D 43 28 E8 ?? ?? ?? ?? 8D 43 2C E8 ?? ?? ?? ?? 8D 43 30 E8 ?? ?? ?? ?? 8D 43 38 E8 ?? ?? ?? ?? 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_95212_0 {
	meta:
		name = "TCustomElementBehavior.DoContentReady"
		size = 221
		refs = "0012 TCustomElementBehavior.DoContentReady 0031 TCustomElementBehavior.GetBehaviorWrapper 004a TCustomElementBehavior.GetViewLink 0087 TCustomHTMLDocumentFragment.GetHTMLDocument 0095 TCustomElementBehavior.GetDefaults 00a3 @CheckAutoResult 00b8 @IntfClear 00c8 @WStrClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 6A 00 74 0B 8D 4D FC 8B D3 8B 43 6C FF 53 68 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0C 8B D3 8B C6 8B 08 FF 51 54 89 45 FC 8B C3 E8 ?? ?? ?? ?? 85 C0 74 55 8B C3 E8 ?? ?? ?? ?? 8B 40 48 8D 55 F8 8B 08 FF 51 1C 8B 45 F8 89 45 F4 8B 45 F4 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 7E 2B 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B 45 FC 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95213_0 {
	meta:
		name = "TCustomElementBehavior.DoContentSave"
		size = 59
		refs = "001e TCustomElementBehavior.GetBehaviorWrapper"
	strings:
		$1 = { 53 56 51 8B D8 33 C0 89 04 24 66 83 7B 62 00 74 0A 8B CC 8B D3 8B 43 64 FF 53 60 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0C 8B D3 8B C6 8B 08 FF 51 58 89 04 24 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_95214_0 {
	meta:
		name = "TCustomElementBehavior.DoDetach"
		size = 59
		refs = "001e TCustomElementBehavior.GetBehaviorWrapper"
	strings:
		$1 = { 53 56 51 8B D8 33 C0 89 04 24 66 83 7B 4A 00 74 0A 8B CC 8B D3 8B 43 4C FF 53 48 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0C 8B D3 8B C6 8B 08 FF 51 5C 89 04 24 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_95215_0 {
	meta:
		name = "TCustomElementBehavior.DoDocumentContextChange"
		size = 59
		refs = "001e TCustomElementBehavior.GetBehaviorWrapper"
	strings:
		$1 = { 53 56 51 8B D8 33 C0 89 04 24 66 83 7B 7A 00 74 0A 8B CC 8B D3 8B 43 7C FF 53 78 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0C 8B D3 8B C6 8B 08 FF 51 64 89 04 24 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_95216_0 {
	meta:
		name = "TCustomElementBehavior.DoDocumentReady"
		size = 59
		refs = "001e TCustomElementBehavior.GetBehaviorWrapper"
	strings:
		$1 = { 53 56 51 8B D8 33 C0 89 04 24 66 83 7B 72 00 74 0A 8B CC 8B D3 8B 43 74 FF 53 70 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0C 8B D3 8B C6 8B 08 FF 51 60 89 04 24 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_95217_0 {
	meta:
		name = "TCustomElementBehavior.GetDefaults"
		size = 191
		refs = "0012 TCustomElementBehavior.GetDefaults 001f @IntfClear 003d IID_IElementBehaviorSiteOM 0045 Supports 0059 IID_IElementBehaviorSiteOM2 007b OleCheck 008a @HandleAnyException 008f @DoneExcept 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8B 15 ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 84 C0 74 32 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 16 8B C6 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95218_0 {
	meta:
		name = "TCustomElementBehavior.GetElement"
		size = 39
		refs = "0009 @IntfClear"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 7B 38 00 74 11 8B C6 E8 ?? ?? ?? ?? 50 8B 43 38 50 8B 00 FF 50 0C 5E 5B C3 }
	condition:
		$1
}

rule function_95219_0 {
	meta:
		name = "TCustomElementBehavior.GetElement2"
		size = 120
		refs = "000f TCustomElementBehavior.GetElement2 0025 TCustomElementBehavior.GetElement 0035 @IntfCast 003f @IntfCopy 0054 @IntfClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 28 00 75 1A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 28 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95220_0 {
	meta:
		name = "TCustomElementBehavior.GetElement3"
		size = 120
		refs = "000f TCustomElementBehavior.GetElement3 0025 TCustomElementBehavior.GetElement 0035 @IntfCast 003f @IntfCopy 0054 @IntfClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 2C 00 75 1A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 2C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 73 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95221_0 {
	meta:
		name = "TCustomElementBehavior.GetElement4"
		size = 120
		refs = "000f TCustomElementBehavior.GetElement4 0025 TCustomElementBehavior.GetElement 0035 @IntfCast 003f @IntfCopy 0054 @IntfClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 30 00 75 1A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 30 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 0F F8 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95224_0 {
	meta:
		name = "TCustomElementBehavior.GetPosition"
		size = 27
	strings:
		$1 = { 55 8B EC 8B 45 10 33 D2 C7 00 14 00 00 00 C7 40 04 1E 00 00 00 8B C2 5D C2 0C 00 }
	condition:
		$1
}

rule function_95226_0 {
	meta:
		name = "TCustomElementBehavior.Init"
		size = 178
		refs = "0012 TCustomElementBehavior.Init 0022 @IntfCopy 0042 TCustomElementBehavior.GetElement 0051 TBehaviorElementEvents.Create 007c TEventDispatchEx.SetActive 009c @IntfClear 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 75 0C 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 38 8B D6 E8 ?? ?? ?? ?? 80 BB A8 00 00 00 00 74 51 8B C3 8B 10 FF 52 38 8B F8 85 FF 74 44 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B CB B2 01 8B C7 E8 ?? ?? ?? ?? 89 83 98 00 00 00 8D 83 94 00 00 00 8B 93 98 00 00 00 85 D2 74 03 83 EA E0 E8 ?? ?? ?? ?? B2 01 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 34 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_95227_0 {
	meta:
		name = "TComComponentReference.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0015 TComponent.RemoveFreeNotification 0020 TComponent.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 38 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97611_0 {
	meta:
		name = "TWebBrowserServiceProvider.Destroy"
		size = 50
		refs = "0003 @BeforeDestruction 0015 TWebBrowserEx.UnRegisterServiceProvider 0020 TComponent.Destroy 002b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 38 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95228_0 {
	meta:
		name = "TComComponentReference.SetComponent"
		size = 39
		refs = "0010 TComponent.RemoveFreeNotification 0020 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 43 38 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95230_0 {
	meta:
		name = "TCustomElementBehavior.Initialize"
		size = 53
		refs = "0007 TWrappedComObject.Initialize 0010 _DV_TComComponentReference 0015 TComponent.Create 0021 TComComponentReference.SetComponent"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 53 20 8B C6 E8 ?? ?? ?? ?? 89 B3 AC 00 00 00 C6 83 A8 00 00 00 01 5E 5B C3 }
	condition:
		$1
}

rule function_95232_0 {
	meta:
		name = "TCustomElementBehavior.Notify"
		size = 85
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8B 4D 10 8B 55 0C 8B C3 8B 30 FF 56 30 85 C0 75 36 8B 55 0C 83 EA 01 72 0C 74 1C 83 EA 02 74 20 4A 74 0B EB 22 8B C3 8B 10 FF 52 14 EB 19 8B C3 8B 10 FF 52 18 EB 10 8B C3 8B 10 FF 52 20 EB 07 8B C3 8B 10 FF 52 24 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_95233_0 {
	meta:
		name = "TCustomElementBehavior.SetBehavior"
		size = 117
		refs = "0011 TCustomElementBehavior.SetBehavior 0027 LowerCase 0032 @UStrAsg 003e UpperCase 0063 @UStrArrayClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 24 00 74 17 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 34 E8 ?? ?? ?? ?? EB 15 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95234_0 {
	meta:
		name = "TCustomElementBehavior.SetViewLink"
		size = 169
		refs = "0011 TCustomElementBehavior.SetViewLink 0044 TObject.Free 005e TCustomHTMLDocumentFragment.GetHTMLDocument 006c TCustomElementBehavior.GetDefaults 007a @CheckAutoResult 008f @IntfClear 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B B3 88 00 00 00 74 5B 8B 83 8C 00 00 00 85 C0 74 1B 3B 83 88 00 00 00 75 13 8D 83 8C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C6 89 83 88 00 00 00 85 C0 74 2A 8D 55 FC 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95237_0 {
	meta:
		name = "TCustomElementBehavior.DoControlSelect"
		size = 68
		refs = "0027 TCustomElementBehavior.GetBehaviorWrapper"
	strings:
		$1 = { 53 56 51 8B D8 33 C0 89 04 24 66 83 BB A2 00 00 00 00 74 10 8B CC 8B D3 8B 83 A4 00 00 00 FF 93 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0C 8B D3 8B C6 8B 08 FF 51 68 89 04 24 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_95238_0 {
	meta:
		name = "TCustomElementBehavior.DoMove"
		size = 41
	strings:
		$1 = { 53 51 33 D2 89 14 24 66 83 B8 82 00 00 00 00 74 12 8B CC 8B D8 8B D0 8B 83 84 00 00 00 FF 93 80 00 00 00 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_95239_0 {
	meta:
		name = "TCustomElementBehavior.DoNotify"
		size = 38
	strings:
		$1 = { 53 51 33 DB 89 1C 24 66 83 78 5A 00 74 12 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 43 5C FF 53 58 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_95240_0 {
	meta:
		name = "TCustomElementBehavior.DoInit"
		size = 69
		refs = "0028 TCustomElementBehavior.GetBehaviorWrapper"
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 33 C0 89 04 24 66 83 7B 52 00 74 0B 54 8B CF 8B D3 8B 43 54 FF 53 50 83 3C 24 00 75 18 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0B 8B CF 8B D3 8B C6 8B 18 FF 53 70 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95241_0 {
	meta:
		name = "TCustomElementBehavior.GetBehaviorWrapper"
		size = 10
	strings:
		$1 = { 8B 80 AC 00 00 00 8B 40 38 C3 }
	condition:
		$1
}

rule function_95242_0 {
	meta:
		name = "TCustomElementBehavior.SetHandleEvents"
		size = 184
		refs = "000f TCustomElementBehavior.SetHandleEvents 002e TEventDispatchEx.SetActive 0041 @IntfClear 0064 OleCheck 0071 _DV_TBehaviorElementEvents 0076 TBehaviorElementEvents.Create 0092 @IntfCopy 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 9E A8 00 00 00 74 75 84 DB 75 20 33 D2 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 86 98 00 00 00 8D 86 94 00 00 00 E8 ?? ?? ?? ?? 8B C3 88 86 A8 00 00 00 84 C0 74 45 8D 45 FC E8 ?? ?? ?? ?? 50 8B 46 38 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 FC 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 9E 98 00 00 00 8D 86 94 00 00 00 8B D3 85 D2 74 03 83 EA E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95244_0 {
	meta:
		name = "TCustomElementBehavior.Destroy"
		size = 101
		refs = "0003 @BeforeDestruction 001a TObject.Free 0040 @IntfClear 0053 TWrappedComObject.Destroy 005e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 AC 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 86 88 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 89 86 98 00 00 00 8D 86 94 00 00 00 E8 ?? ?? ?? ?? 8D 46 38 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95245_0 {
	meta:
		name = "TCustomElementBehavior.GetViewLink"
		size = 176
		refs = "0026 _DV_TCustomHTMLDocumentFragment 002b TCustomHTMLDocumentFragment.Create 003c TComponent.SetSubComponent 0041 TCustomElementBehavior.GetViewLink"
	strings:
		$1 = { 53 56 8B D8 83 BB 88 00 00 00 00 75 52 83 BB 8C 00 00 00 00 75 49 8B C3 8B 10 FF 52 10 84 C0 74 3E 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 88 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 88 00 00 00 8B 08 FF 51 24 8B 83 88 00 00 00 89 58 38 89 83 8C 00 00 00 8B 83 88 00 00 00 5E 5B C3 B0 04 02 00 FF FF FF FF 1C 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 48 00 54 00 4D 00 4C 00 44 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 46 00 72 00 61 00 67 00 6D 00 65 00 6E 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_95251_0 {
	meta:
		name = "TCustomPaintedBehavior.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 001a TObject.Free 0025 TCustomElementBehavior.Destroy 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 C8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95252_0 {
	meta:
		name = "TCustomPaintedBehavior.Detach"
		size = 83
		refs = "000a TCustomElementBehavior.Detach 0034 @IntfClear 0047 TObject.Free"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 53 E8 ?? ?? ?? ?? 8B F0 85 F6 75 19 83 BB CC 00 00 00 00 74 10 6A 00 8B 83 CC 00 00 00 50 8B 00 FF 50 10 8B F0 8D 83 CC 00 00 00 E8 ?? ?? ?? ?? 8D 83 C8 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_95253_0 {
	meta:
		name = "TCustomPaintedBehavior.DoDraw"
		size = 61
	strings:
		$1 = { 55 8B EC 51 56 8B F0 33 C0 89 45 FC 66 83 BE D2 00 00 00 00 74 1E 51 0F B6 45 0C 50 8B 45 08 50 8D 45 FC 50 8B CA 8B D6 8B 86 D4 00 00 00 FF 96 D0 00 00 00 8B 45 FC 5E 59 5D C2 08 00 }
	condition:
		$1
}

rule function_95254_0 {
	meta:
		name = "TCustomPaintedBehavior.DoGetEventTarget"
		size = 38
	strings:
		$1 = { 53 56 33 DB 66 83 B8 22 01 00 00 00 74 13 53 8B CA 8B F0 8B D0 8B 86 24 01 00 00 FF 96 20 01 00 00 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_95255_0 {
	meta:
		name = "TCustomPaintedBehavior.DoSetCursor"
		size = 38
	strings:
		$1 = { 53 56 33 DB 66 83 B8 EA 00 00 00 00 74 13 53 8B F0 8B CA 8B D0 8B 86 2C 01 00 00 FF 96 28 01 00 00 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_95256_0 {
	meta:
		name = "TCustomPaintedBehavior.Draw"
		size = 149
		refs = "0014 _Dn_TCanvas 0019 TCanvas.Create 003b TCanvas.SetHandle 0043 TCustomPaintedBehavior.Draw 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B 45 08 83 B8 C8 00 00 00 00 75 1D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 89 82 C8 00 00 00 8B 45 08 8B 10 FF 52 64 8B 45 08 8B 80 C8 00 00 00 8B 55 30 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 2C 50 8B 45 34 50 8D 4D 1C 8D 55 0C 8B 45 08 8B 18 FF 53 68 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 80 C8 00 00 00 33 D2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 FC 5B 59 5D C2 30 00 }
	condition:
		$1
}

rule function_95257_0 {
	meta:
		name = "TCustomPaintedBehavior.GetEventInfoFlags"
		size = 48
	strings:
		$1 = { 55 8B EC 8B 55 0C 8B 45 08 33 C9 89 0A 66 83 B8 22 01 00 00 00 74 06 C7 02 01 00 00 00 66 83 B8 2A 01 00 00 00 74 03 83 0A 02 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_95259_0 {
	meta:
		name = "TCustomPaintedBehavior.GetPainterInfo"
		size = 155
		refs = "0012 PaintFlags 0043 ZOrder"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 08 33 C0 89 45 FC 33 C0 BA ?? ?? ?? ?? 8B C8 80 F9 0F 77 0B 83 E1 7F 66 0F A3 8E 40 01 00 00 73 07 8B 4D 0C 8B 1A 09 19 40 83 C2 04 3C 0F 75 DD 0F B6 86 42 01 00 00 8B 04 85 ?? ?? ?? ?? 8B 55 0C 89 42 04 8B 45 0C 56 81 C6 30 01 00 00 8D 78 08 A5 A5 A5 A5 5E 8B 45 0C 56 81 C6 44 01 00 00 8D 78 18 A5 A5 A5 A5 5E 66 83 BE DA 00 00 00 00 74 15 8D 45 FC 50 8B 4D 0C 8B D6 8B 86 DC 00 00 00 FF 96 D8 00 00 00 8B 45 FC 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_95260_0 {
	meta:
		name = "TCustomPaintedBehavior.HitTestPoint"
		size = 86
	strings:
		$1 = { 55 8B EC 51 53 56 8B 75 18 8B 55 14 8B 45 08 83 3A 00 74 05 83 3E 00 75 09 C7 45 FC 03 40 00 80 EB 07 C7 45 FC 01 40 00 80 66 83 B8 E2 00 00 00 00 74 19 52 56 8D 55 FC 52 8B D8 8D 4D 0C 8B D0 8B 83 E4 00 00 00 FF 93 E0 00 00 00 8B 45 FC 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_95261_0 {
	meta:
		name = "TCustomPaintedBehavior.Init"
		size = 76
		refs = "000f TCustomElementBehavior.Init 0020 @IntfClear 0027 TCustomPaintedBehavior.Init 002e Supports"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 0C 8B 5D 08 57 53 E8 ?? ?? ?? ?? 8B F0 85 F6 75 19 8D 83 CC 00 00 00 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 5D C2 08 00 00 A7 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95262_0 {
	meta:
		name = "TCustomPaintedBehavior.Initialize"
		size = 96
		refs = "000b TCustomElementBehavior.Initialize 0012 TCustomPaintedBehavior.Initialize 0032 Rect 0043 GUID_NULL"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 83 40 01 00 00 C6 83 42 01 00 00 08 6A 00 8D 44 24 04 50 33 C9 33 D2 33 C0 E8 ?? ?? ?? ?? 8B F4 8D BB 44 01 00 00 A5 A5 A5 A5 A1 ?? ?? ?? ?? 8B F0 8D BB 30 01 00 00 A5 A5 A5 A5 83 C4 10 5F 5E 5B C3 00 00 01 04 00 00 }
	condition:
		$1
}

rule function_95263_0 {
	meta:
		name = "TCustomPaintedBehavior.InvalidatePainterInfo"
		size = 22
	strings:
		$1 = { 83 B8 CC 00 00 00 00 74 0C 8B 80 CC 00 00 00 50 8B 00 FF 50 0C C3 }
	condition:
		$1
}

rule function_95264_0 {
	meta:
		name = "TCustomPaintedBehavior.onresizeevent"
		size = 55
	strings:
		$1 = { 55 8B EC 51 53 8B 45 08 33 D2 89 55 FC 66 83 B8 EA 00 00 00 00 74 17 8D 55 FC 52 8B D8 8D 4D 0C 8B D0 8B 83 EC 00 00 00 FF 93 E8 00 00 00 8B 45 FC 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_95265_0 {
	meta:
		name = "TCustomPaintedBehavior.SetCursor"
		size = 18
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 8B 08 FF 51 70 5D C2 08 00 }
	condition:
		$1
}

rule function_95266_0 {
	meta:
		name = "TCustomPaintedBehavior.StringFromPartID"
		size = 20
	strings:
		$1 = { 55 8B EC 8B 45 10 85 C0 74 04 33 D2 89 10 33 C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_95269_0 {
	meta:
		name = "TCustomBinaryElementBehavior.FindBehavior"
		size = 20
	strings:
		$1 = { 55 8B EC 8B 45 18 85 C0 74 04 33 D2 89 10 33 C0 5D C2 14 00 }
	condition:
		$1
}

rule function_95274_0 {
	meta:
		name = "TGridInfo.IsCustomContainer"
		size = 98
		refs = "0010 @IntfAddRef 0018 TGridInfo.IsCustomContainer 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 66 83 7B 1A 00 74 0F 8D 45 FB 50 8B 4D FC 8B D3 8B 43 1C FF 53 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95275_0 {
	meta:
		name = "TGridInfo.Create"
		size = 50
		refs = "0008 @ClassCreate 0023 @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? C7 40 04 09 00 00 00 C7 40 08 09 00 00 00 C6 40 0C 01 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_95276_0 {
	meta:
		name = "TCustomBGColorBehavior.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 0021 TCustomPaintedBehavior.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 7C 01 00 00 85 C0 74 05 33 D2 89 50 5C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95277_0 {
	meta:
		name = "TCustomBGColorBehavior.DoDetach"
		size = 45
		refs = "0007 TCustomElementBehavior.DoDetach 001c TExcludeRects 0021 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 6A 00 8D 83 64 01 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_95278_0 {
	meta:
		name = "TCustomBGColorBehavior.DoDraw"
		size = 1316
		refs = "0023 TCustomBGColorBehavior.DoDraw 003f TCustomPaintedBehavior.DoDraw 0051 @IntfClear 005c TCustomElementBehavior.GetElement 006d @CheckAutoResult 007d @IntfCast 010c TExcludeRects 0111 @DynArraySetLength 015e @OleVarFromInt 01cd @IntfCopy 0202 @DynArrayLength 02b6 Rect 02c8 OffsetRect 039d TCanvas.GetHandle 03a3 ExcludeClipRect 03e0 TCustomBGColorBehavior.DrawMessage 03f3 SelectClipRgn 043f OleVariant 0449 @FinalizeArray 04af @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 12 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E0 89 55 E4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 0C 50 8B 45 08 50 8B 4D E0 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 85 AC 03 00 00 8D 45 C0 E8 ?? ?? ?? ?? 50 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 20 3B 83 68 01 00 00 0F 84 55 01 00 00 8B 45 EC 50 8B 00 FF 50 20 89 83 68 01 00 00 8D 45 B8 E8 ?? ?? ?? ?? 50 8D 55 B4 8B C3 E8 ?? ?? ?? ?? 8B 45 B4 50 8B 00 FF 90 74 01 00 00 E8 ?? ?? ?? ?? 8B 55 B8 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 50 8B 45 F0 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 75 B0 56 8D 83 64 01 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 89 45 D8 8D 55 AC 8B C3 E8 ?? ?? ?? ?? 8B 55 AC 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 D7 01 4E 85 F6 0F 8C 9A 00 00 00 46 C7 45 DC 00 00 00 00 8D 45 A8 E8 ?? ?? ?? ?? 50 8D 45 98 8B 55 DC B1 FC E8 ?? ?? ?? ?? FF 75 A4 FF 75 A0 FF 75 9C FF 75 98 8D 45 88 8B 55 DC B1 FC E8 ?? ?? ?? ?? FF 75 94 FF 75 90 FF 75 8C FF 75 88 8B 45 F0 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 55 A8 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D7 50 8B 4D F8 8B 55 F4 8B C3 8B 38 FF 97 8C 00 00 00 84 C0 74 17 8B 83 64 01 00 00 8B 55 D8 8D 04 90 8B 55 F8 E8 ?? ?? ?? ?? FF 45 D8 FF 45 DC 4E 0F 85 6E FF FF FF 8B 45 D8 50 8D 83 64 01 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 83 64 01 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C A0 01 00 00 46 C7 45 DC 00 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 45 84 8B 93 64 01 00 00 8B 4D DC 8B 14 8A B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 84 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 50 8B 45 E8 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 45 B0 50 8D 45 C4 50 8D 45 80 50 8B 45 E8 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 45 80 50 8D 85 7C FF FF FF 50 8B 45 E8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 50 8D 85 78 FF FF FF 50 8B 45 E8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 5A 59 E8 ?? ?? ?? ?? 8D 45 C4 B9 FE FF FF FF BA FE FF FF FF E8 ?? ?? ?? ?? 8D 45 B0 50 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 8D 85 74 FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 50 8B 00 FF 90 4C 01 00 00 E8 ?? ?? ?? ?? 8B 7D B0 8D 45 B0 50 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8D 85 6C FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 50 8B 00 FF 90 54 01 00 00 E8 ?? ?? ?? ?? 8B 45 B0 8D 55 C4 8B CF 92 E8 ?? ?? ?? ?? 8B 4D E4 8B 49 04 8B 55 E4 8B 12 8D 45 C4 E8 ?? ?? ?? ?? 8B 45 D0 50 8B 45 CC 50 8B 45 C8 83 C0 02 50 8B 45 C4 83 C0 02 50 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? FF 45 DC 4E 0F 85 68 FE FF FF 0F B6 45 0C 50 8B 45 08 50 8B 45 FC 50 8B 4D E0 8B 55 E4 8B C3 8B 30 FF 96 88 00 00 00 80 BB 60 01 00 00 00 74 0D 8B 55 E4 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 88 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 4E FF FF FF 8B C6 5F 5E 5B 8B E5 5D C2 08 00 00 25 44 2C 33 CB 26 D0 11 B4 83 00 C0 4F D9 01 19 48 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 1F F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95279_0 {
	meta:
		name = "TCustomBGColorBehavior.DrawMessage"
		size = 1620
		refs = "0029 @IntfAddRef 0031 TCustomBGColorBehavior.DrawMessage 0043 @UStrClr 0064 TBrush.SetStyle 0077 TBrush.SetColor 00b0 @IntfClear 00c8 @CheckAutoResult 00f2 Supports 0141 @IntfCast 015d @WStrClr 01a0 @WStrEqual 01da @OleVarFromInt 0322 @VarClr 0337 TCustomElementBehavior.GetElement 0356 IsGridPositioning 0362 sGridLayout 0367 LoadResString 037a sFlowLayout 0389 sFlowLayoutFixed 03c3 TFont.SetColor 03d5 TFont.SetStyle 03df TCustomElementBehavior.GetElement2 0411 Rect 041c TCanvas.GetHandle 043c @UStrToPWChar 0443 DrawText 04c9 OffsetRect 0511 IHTMLElement 051b @FinalizeArray 0527 OleVariant 05e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 1A 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F2 8D 7D BC A5 A5 A5 A5 89 4D FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 D7 01 8D 45 F4 E8 ?? ?? ?? ?? C7 45 D0 11 00 00 FF 0F B6 05 ?? ?? ?? ?? 88 45 CF 8B 83 C8 00 00 00 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 48 BA FF FF FF 00 E8 ?? ?? ?? ?? 66 83 BB 72 01 00 00 00 74 1D 8D 45 D0 50 8D 45 CF 50 8D 45 D7 50 8D 4D F4 8B D3 8B 83 74 01 00 00 FF 93 70 01 00 00 80 7D D7 00 0F 84 F6 02 00 00 8D 45 A8 E8 ?? ?? ?? ?? 50 8D 45 A4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 A4 50 8B 00 FF 90 74 01 00 00 E8 ?? ?? ?? ?? 8B 45 A8 50 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 83 7D F0 00 0F 84 F1 01 00 00 8D 45 A0 50 8D 45 98 E8 ?? ?? ?? ?? 50 8D 45 94 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 94 50 8B 00 FF 90 74 01 00 00 E8 ?? ?? ?? ?? 8B 55 98 8D 45 9C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 83 7D A0 00 7F 51 8D 45 90 E8 ?? ?? ?? ?? 50 8D 45 88 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 55 88 8D 45 8C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 8C 50 8B 00 FF 90 F0 00 00 00 E8 ?? ?? ?? ?? 8B 45 90 33 D2 E8 ?? ?? ?? ?? 0F 84 47 01 00 00 8D 45 84 50 8B 45 F0 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 83 7D 84 01 0F 85 36 03 00 00 8D 45 80 E8 ?? ?? ?? ?? 50 8D 85 70 FF FF FF 33 D2 B1 01 E8 ?? ?? ?? ?? FF B5 7C FF FF FF FF B5 78 FF FF FF FF B5 74 FF FF FF FF B5 70 FF FF FF 8D 85 60 FF FF FF 33 D2 B1 01 E8 ?? ?? ?? ?? FF B5 6C FF FF FF FF B5 68 FF FF FF FF B5 64 FF FF FF FF B5 60 FF FF FF 8B 45 F0 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 45 80 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 BC 02 00 00 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 50 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 50 8D 85 44 FF FF FF 33 D2 B1 01 E8 ?? ?? ?? ?? FF B5 50 FF FF FF FF B5 4C FF FF FF FF B5 48 FF FF FF FF B5 44 FF FF FF 8D 85 34 FF FF FF 33 D2 B1 01 E8 ?? ?? ?? ?? FF B5 40 FF FF FF FF B5 3C FF FF FF FF B5 38 FF FF FF FF B5 34 FF FF FF 8B 45 F0 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 95 54 FF FF FF 8D 85 58 FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 50 8B 00 FF 90 F0 00 00 00 E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 33 D2 E8 ?? ?? ?? ?? 0F 85 0B 02 00 00 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 95 30 FF FF FF 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 50 6A 00 68 ?? ?? ?? ?? 8D 95 2C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 2C FF FF FF 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 83 7D F4 00 75 50 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 74 0F 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 35 80 BB 80 01 00 00 00 74 0F 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 48 B2 01 E8 ?? ?? ?? ?? 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 46 01 00 00 8B 83 C8 00 00 00 8B 40 40 8B 55 D0 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 8B 40 40 0F B6 55 CF E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 C8 50 8D 45 AC 50 8D 45 A0 50 8B 45 F8 50 8B 00 FF 90 54 01 00 00 E8 ?? ?? ?? ?? 8B 4D C4 2B 4D A0 83 E9 19 33 D2 B8 19 00 00 00 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 8B F8 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 68 11 04 00 00 8D 45 AC 50 56 8B 45 F4 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 8D 45 A0 50 8B 45 F8 50 8B 00 FF 90 4C 01 00 00 E8 ?? ?? ?? ?? 8B 75 A0 8D 45 84 50 8B 45 F8 50 8B 00 FF 90 F8 00 00 00 E8 ?? ?? ?? ?? 8B 45 84 D1 F8 79 03 83 D0 00 03 F0 03 75 C0 8B 45 B8 2B 45 B0 D1 F8 79 03 83 D0 00 2B F0 56 8D 85 28 FF FF FF 50 8B 45 F8 50 8B 00 FF 90 FC 00 00 00 E8 ?? ?? ?? ?? 8B 95 28 FF FF FF D1 FA 79 03 83 D2 00 8B 45 B4 D1 F8 79 03 83 D0 00 2B D0 8D 45 AC 59 E8 ?? ?? ?? ?? 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 8B F0 8B 5D F4 85 DB 74 05 83 EB 04 8B 1B 6A 11 8D 45 AC 50 53 8B 45 F4 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 2C FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 34 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 88 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 17 FF FF FF 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 1F F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B F7 F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 1C 00 00 00 6D 00 73 00 5F 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_95280_0 {
	meta:
		name = "TCustomBGColorBehavior.GetPainterInfo"
		size = 64
		refs = "0017 GUID_NULL"
	strings:
		$1 = { 55 8B EC 56 57 8B 45 0C C7 00 02 00 00 00 C7 40 04 06 00 00 00 8B 15 ?? ?? ?? ?? 8B F2 8D 78 08 A5 A5 A5 A5 33 D2 89 50 18 33 D2 89 50 20 33 D2 89 50 1C 33 D2 89 50 24 33 C0 5F 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_95281_0 {
	meta:
		name = "TCustomBGColorBehavior.Initialize"
		size = 19
		refs = "0006 TCustomPaintedBehavior.Initialize"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 60 01 00 00 01 5B C3 }
	condition:
		$1
}

rule function_95283_0 {
	meta:
		name = "TCustomBGColorBehavior.SetShowMessage"
		size = 23
	strings:
		$1 = { 3A 90 60 01 00 00 74 0E 88 90 60 01 00 00 8B 10 FF 92 90 00 00 00 C3 }
	condition:
		$1
}

rule function_95284_0 {
	meta:
		name = "TCustomBGColorBehavior.ExcludeElementRect"
		size = 35
	strings:
		$1 = { 55 8B EC 53 83 B8 78 01 00 00 00 74 0F 8B 55 08 8B D8 87 D1 FF 93 78 01 00 00 EB 02 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_95286_0 {
	meta:
		name = "TCustomGridBehavior.Destroy"
		size = 56
		refs = "0003 @BeforeDestruction 0012 TCustomBGColorBehavior.Destroy 0026 TObject.Free 0031 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 80 BE 88 01 00 00 00 74 0B 8B 86 8C 01 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95287_0 {
	meta:
		name = "TCustomGridBehavior.DisplayGrid"
		size = 408
		refs = "0016 TCustomGridBehavior.DisplayGrid 0024 @VarClr 0036 TCustomElementBehavior.GetElement 0044 @CheckAutoResult 005e @IntfCast 0076 @IntfClear 00a0 TCustomGridBehavior.GetShowGrid 00ac IsGridPositioning 00c7 Supports 00d3 VarIsNull 0105 IHTMLElement 010f @FinalizeArray 0118 OleVariant 0130 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 50 6A 00 68 ?? ?? ?? ?? 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 50 6A 00 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 90 84 01 00 00 E8 ?? ?? ?? ?? 8B 45 CC 50 8B 00 FF 90 DC 02 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 33 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 27 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 8B 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 10 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BA 8B C3 5B 8B E5 5D C3 00 00 00 1C 00 00 00 6D 00 73 00 5F 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 69 00 6E 00 67 00 00 00 00 00 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 0E 00 00 00 68 00 61 00 73 00 67 00 72 00 69 00 64 00 00 00 D8 F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95288_0 {
	meta:
		name = "TCustomGridBehavior.GetInfo"
		size = 45
		refs = "0016 _DV_TGridInfo 001b TGridInfo.Create"
	strings:
		$1 = { 53 8B D8 83 BB 8C 01 00 00 00 75 19 C6 83 88 01 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 8C 01 00 00 8B 83 8C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_95289_0 {
	meta:
		name = "TCustomGridBehavior.SetInfo"
		size = 50
		refs = "001e TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 8C 01 00 00 3B F0 74 1F 85 C0 74 0E 80 BB 88 01 00 00 00 74 05 E8 ?? ?? ?? ?? 89 B3 8C 01 00 00 C6 83 88 01 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_95290_0 {
	meta:
		name = "TCustomGridBehavior.DrawAlphaBlend"
		size = 281
		refs = "0019 CreateCompatibleDC 002e TCustomGridBehavior.DrawAlphaBlend 0042 @FillChar 0088 CreateDIBSection 0098 SelectObject 00ce AlphaBlend 00fd DeleteObject 0106 DeleteDC 010c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 8B F2 8D 7D DC A5 A5 A5 A5 8B D9 8D 75 B0 53 E8 ?? ?? ?? ?? 89 45 F8 33 C0 89 45 F0 33 C0 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C6 33 C9 BA 2C 00 00 00 E8 ?? ?? ?? ?? C7 06 28 00 00 00 8B 45 E4 2B 45 DC 89 46 04 8B 45 E8 2B 45 E0 89 46 08 66 C7 46 0C 01 00 66 C7 46 0E 20 00 33 C0 89 46 10 8B 46 04 F7 6E 08 89 46 14 6A 00 6A 00 8D 45 EC 50 6A 00 56 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 50 8B 45 F8 50 E8 ?? ?? ?? ?? 89 45 F4 C6 45 FC 00 C6 45 FD 00 C6 45 FF 00 C6 45 FE 30 FF 75 FC 8B 7E 08 57 8B 46 04 50 6A 00 6A 00 8B 55 F8 52 57 50 8B 45 E0 50 8B 45 DC 50 53 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0D 8B 45 F4 50 8B 45 F8 50 E8 ?? ?? ?? ?? 83 7D F0 00 74 09 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95291_0 {
	meta:
		name = "TCustomGridBehavior.DrawBackground"
		size = 704
		refs = "0028 TCustomGridBehavior.DrawBackground 0035 TCustomGridBehavior.DisplayGrid 004a TCustomGridBehavior.GetInfo 00a8 TCustomElementBehavior.GetElement 00c3 @CheckAutoResult 00d1 @IntfClear 00ee @IntfCopy 0129 Supports 017e @IntfCast 024e TCanvas.GetHandle 025a TCustomGridBehavior.DrawAlphaBlend 0280 IHTMLElement 028a @FinalizeArray 02a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D D0 89 5D CC 89 5D D8 89 5D DC 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 FD 01 00 00 83 7E 04 00 7D 43 8B C3 E8 ?? ?? ?? ?? 8B 78 08 8B 45 F4 03 78 04 8B C3 E8 ?? ?? ?? ?? FF 70 08 8B 46 04 99 33 C2 2B C2 5A 8B CA 99 F7 F9 2B FA 89 7D F0 8B C3 E8 ?? ?? ?? ?? 8B 40 08 3B 45 F0 75 1A 33 C0 89 45 F0 EB 13 8B C3 E8 ?? ?? ?? ?? 8B 40 08 8B 55 F4 03 42 04 89 45 F0 33 C0 89 45 EC 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 46 8D 45 E0 50 8B 45 FC 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 01 45 EC 8D 45 DC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 90 E0 00 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 BA 33 C0 89 45 E8 8D 45 D8 E8 ?? ?? ?? ?? 50 8B 45 08 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 D8 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 33 8D 45 E0 50 8B 45 F8 50 8B 00 FF 90 54 01 00 00 E8 ?? ?? ?? ?? 8B 75 E0 8D 45 D4 50 8B 45 F8 50 8B 00 FF 90 04 01 00 00 E8 ?? ?? ?? ?? 2B 75 D4 89 75 E8 8D 45 E0 50 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 55 CC 8D 45 D0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 8B 00 FF 90 54 01 00 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 E9 91 00 00 00 83 7D E4 00 74 46 8B C3 E8 ?? ?? ?? ?? 8B 70 04 8B 45 F4 03 30 8B 45 F4 FF 30 8B 45 EC 5A 2B C2 99 33 C2 2B C2 2B F0 8B C3 E8 ?? ?? ?? ?? FF 70 04 8B 45 E8 5A 8B CA 99 F7 F9 2B F2 8B C3 E8 ?? ?? ?? ?? 3B 70 04 75 34 33 F6 EB 30 8B C3 E8 ?? ?? ?? ?? 8B 70 04 8B 45 EC 2B 45 E8 03 F0 EB 1C 6A 00 8B 4D F0 8B D6 8B 83 C8 00 00 00 8B 38 FF 57 20 8B C3 E8 ?? ?? ?? ?? 03 70 04 8B 45 F4 3B 70 08 7C DC 8B C3 E8 ?? ?? ?? ?? 8B 40 08 01 45 F0 8B 45 F4 8B 40 0C 3B 45 F0 0F 8F 60 FF FF FF 80 BB 90 01 00 00 00 74 17 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5F 5E 5B 8B E5 5D C2 0C 00 00 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95292_0 {
	meta:
		name = "TCustomGridBehavior.ExcludeElementRect"
		size = 632
		refs = "0022 TCustomGridBehavior.ExcludeElementRect 003f @WStrClr 004b @CheckAutoResult 0056 @UStrFromWStr 0063 @UStrLAsg 008a CompareText 00af @IntfCast 0120 TCustomBGColorBehavior.ExcludeElementRect 013a Supports 0165 TCustomGridBehavior.GetInfo 016c TGridInfo.IsCustomContainer 0178 @IntfClear 01d3 @WStrArrayClr 01e0 @UStrArrayClr 01e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 89 55 EC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BE 90 01 00 00 00 0F 84 DB 00 00 00 33 DB 8D 45 E8 E8 ?? ?? ?? ?? 50 57 8B 07 FF 50 38 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 0A 01 00 00 8D 45 E4 E8 ?? ?? ?? ?? 50 8D 45 E0 8B D7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 0F 84 98 00 00 00 B3 01 E9 91 00 00 00 8B 45 08 50 8B CF 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 7B 8B 45 08 80 38 00 74 73 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 75 32 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 75 22 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 75 12 8B C6 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 84 C0 74 31 8D 45 D8 E8 ?? ?? ?? ?? 50 57 8B 07 FF 90 E0 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 DC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 3B 45 EC 75 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 00 00 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B B0 04 02 00 FF FF FF FF 03 00 00 00 61 00 73 00 70 00 00 00 1E F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 00 F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 40 F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_95299_0 {
	meta:
		name = "TCustomGridBehavior.GetOnGetIsCustomContainer"
		size = 27
		refs = "0009 TCustomGridBehavior.GetInfo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 18 89 16 8B 50 1C 89 56 04 5E 5B C3 }
	condition:
		$1
}

rule function_95300_0 {
	meta:
		name = "TCustomGridBehavior.SetOnGetIsCustomContainer"
		size = 30
		refs = "0009 TCustomGridBehavior.GetInfo"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 55 08 89 50 18 8B 55 0C 89 50 1C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_95303_0 {
	meta:
		name = "TCustomBehaviorWrapper.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TComComponent.Create 001e _Dn_TStringList 0023 TStringList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 70 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_95304_0 {
	meta:
		name = "TCustomBehaviorWrapper.Destroy"
		size = 69
		refs = "0003 @BeforeDestruction 0018 TCustomElementBehaviorFactory.UnRegisterBehavior 0028 TObject.Free 0033 TComComponent.Destroy 003e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 C8 00 00 00 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8D 46 70 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95305_0 {
	meta:
		name = "TCustomBehaviorWrapper.CreateBehavior"
		size = 324
		refs = "001d TCustomBehaviorWrapper.CreateBehavior 002a @IntfClear 0062 Supports 0084 TComComponent.CreateObject 0093 @IntfCast 00a2 @HandleOnException 00aa _Dn_EOleSysError 00bd TObject.ClassName 00df sErrorCreatingBehavior 00e4 LoadResString 00ee _Dn_Exception 00f3 Exception.CreateFmt 00f8 @RaiseExcept 00fd @DoneExcept 0117 @UStrArrayClr 0125 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D E0 89 4D DC 89 4D F4 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 66 83 B8 DA 00 00 00 00 74 2B 8D 4D F8 8B 75 FC 8B 55 FC 8B 86 DC 00 00 00 FF 96 D8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 83 3B 00 0F 85 92 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 60 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8D 55 E0 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 11 8B 43 04 89 45 EC C6 45 F0 11 8D 45 E4 50 6A 01 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 25 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95306_0 {
	meta:
		name = "TCustomBehaviorWrapper.DoCreated"
		size = 70
		refs = "000b TComComponent.DoCreated 0019 _DV_TCustomElementBehavior 001e @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7B 68 00 74 10 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 6C 66 83 7B 7A 00 74 17 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D3 8B 43 7C FF 53 78 5E 5B C3 }
	condition:
		$1
}

rule function_95307_0 {
	meta:
		name = "TCustomBehaviorWrapper.DoContentReady"
		size = 42
	strings:
		$1 = { 53 51 33 C9 89 0C 24 66 83 B8 AA 00 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 AC 00 00 00 FF 93 A8 00 00 00 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_95308_0 {
	meta:
		name = "TCustomBehaviorWrapper.DoContentSave"
		size = 42
	strings:
		$1 = { 53 51 33 C9 89 0C 24 66 83 B8 A2 00 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 A4 00 00 00 FF 93 A0 00 00 00 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_95309_0 {
	meta:
		name = "TCustomBehaviorWrapper.DoControlSelect"
		size = 42
	strings:
		$1 = { 53 51 33 C9 89 0C 24 66 83 B8 C2 00 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 C4 00 00 00 FF 93 C0 00 00 00 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_95310_0 {
	meta:
		name = "TCustomBehaviorWrapper.DoDestroy"
		size = 57
		refs = "000b TComComponent.DoDestroy 001d _DV_TCustomElementBehavior 0022 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 66 83 BB 82 00 00 00 00 74 1D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 84 00 00 00 FF 93 80 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_95311_0 {
	meta:
		name = "TCustomBehaviorWrapper.DoDetach"
		size = 42
	strings:
		$1 = { 53 51 33 C9 89 0C 24 66 83 B8 8A 00 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 8C 00 00 00 FF 93 88 00 00 00 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_95312_0 {
	meta:
		name = "TCustomBehaviorWrapper.DoDocumentContextChange"
		size = 42
	strings:
		$1 = { 53 51 33 C9 89 0C 24 66 83 B8 BA 00 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 BC 00 00 00 FF 93 B8 00 00 00 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_95313_0 {
	meta:
		name = "TCustomBehaviorWrapper.DoDocumentReady"
		size = 42
	strings:
		$1 = { 53 51 33 C9 89 0C 24 66 83 B8 B2 00 00 00 00 74 13 54 8B D8 8B CA 8B D0 8B 83 B4 00 00 00 FF 93 B0 00 00 00 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_95314_0 {
	meta:
		name = "TCustomBehaviorWrapper.DoInit"
		size = 47
	strings:
		$1 = { 53 51 33 DB 89 1C 24 66 83 B8 92 00 00 00 00 74 18 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 83 94 00 00 00 FF 93 90 00 00 00 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_95315_0 {
	meta:
		name = "TCustomBehaviorWrapper.DoNotify"
		size = 56
	strings:
		$1 = { 55 8B EC 51 53 33 DB 89 5D FC 66 83 B8 9A 00 00 00 00 74 1B 51 8B 4D 08 51 8D 4D FC 51 8B D8 8B CA 8B D0 8B 83 9C 00 00 00 FF 93 98 00 00 00 8B 45 FC 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_95316_0 {
	meta:
		name = "TCustomBehaviorWrapper.GetComClass"
		size = 36
		refs = "0004 _DV_TCustomElementBehavior"
	strings:
		$1 = { 53 51 8B 15 ?? ?? ?? ?? 89 14 24 66 83 78 52 00 74 0C 8B CC 8B D8 8B D0 8B 43 54 FF 53 50 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_95317_0 {
	meta:
		name = "TCustomBehaviorWrapper.Notification"
		size = 45
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 C8 00 00 00 75 08 33 C0 89 87 C8 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95318_0 {
	meta:
		name = "TCustomBehaviorWrapper.SetFactory"
		size = 75
		refs = "0017 TComponent.RemoveFreeNotification 0024 TCustomElementBehaviorFactory.UnRegisterBehavior 0037 TComponent.FreeNotification 0044 TCustomElementBehaviorFactory.RegisterBehavior"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C8 00 00 00 3B F0 74 38 85 C0 74 14 8B D3 E8 ?? ?? ?? ?? 8B D3 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 8B C6 89 83 C8 00 00 00 85 C0 74 14 8B D3 E8 ?? ?? ?? ?? 8B D3 8B 83 C8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95319_0 {
	meta:
		name = "TCustomBehaviorWrapper.SetTags"
		size = 17
	strings:
		$1 = { 56 8B 70 70 3B D6 74 07 8B C6 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_95320_0 {
	meta:
		name = "TCustomBehaviorWrapper.AddBehavior"
		size = 156
		refs = "0018 @UStrAddRef 0020 @IntfAddRef 0028 TCustomBehaviorWrapper.AddBehavior 0036 @IntfClear 0045 Supports 007b @UStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95321_0 {
	meta:
		name = "TCustomBehaviorWrapper.AddBehavior"
		size = 328
		refs = "0022 @UStrAddRef 002a @IntfAddRef 0032 TCustomBehaviorWrapper.AddBehavior 0084 @IntfCast 008f @VarFromIntf 00a2 @WStrFromUStr 00b7 @CheckAutoResult 00ed @HandleFinally 0104 @WStrClr 010c @IntfClear 0114 @VarClr 0124 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 89 4D F8 89 55 FC 89 45 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 0F 84 AD 00 00 00 8B 45 E4 83 B8 C8 00 00 00 00 0F 84 9D 00 00 00 8B 45 E4 C6 40 68 01 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 45 E0 8B 55 E4 8B 92 C8 00 00 00 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 DC 50 8D 45 E8 50 8D 45 D8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 D8 50 8B 45 F8 50 8B 00 FF 90 7C 01 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 E4 8B 40 6C 85 C0 74 0F C6 40 24 01 89 50 3C 8B 45 E4 33 D2 89 50 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 C6 40 68 00 C3 E9 ?? ?? ?? ?? EB F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C3 00 00 00 29 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95322_0 {
	meta:
		name = "TCustomBehaviorWrapper.RemoveBehavior"
		size = 141
		refs = "0011 TCustomBehaviorWrapper.RemoveBehavior 0027 TCustomElementBehavior.GetElement2 0054 @CheckAutoResult 0071 @IntfClear 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 85 F6 74 3F 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 2F C6 46 24 00 8D 45 F8 50 8B 46 3C 50 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 80 01 00 00 E8 ?? ?? ?? ?? 66 83 7D F8 01 1B DB 43 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95323_0 {
	meta:
		name = "TCustomBehaviorWrapper.AddBehavior"
		size = 148
		refs = "0015 @IntfAddRef 001d TCustomBehaviorWrapper.AddBehavior 0036 @UStrCat3 0058 @UStrClr 0060 @IntfClear 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 8B D0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 23 00 66 00 61 00 63 00 74 00 6F 00 72 00 79 00 23 00 00 00 }
	condition:
		$1
}

rule function_95325_0 {
	meta:
		name = "TCustomBehaviorWrapper.SupportsNamespace"
		size = 181
		refs = "002d CompareText"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B 83 CC 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 75 04 B0 01 EB 12 8B D6 8B 83 CC 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 47 8B 83 D0 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 14 8B D7 8B 83 D0 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 EB 02 33 C0 84 C0 74 04 B0 01 EB 18 8B 83 D0 00 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 94 C0 EB 02 33 C0 88 45 FF 66 83 BB E2 00 00 00 00 74 19 57 8B 45 08 50 8D 45 FF 50 8B CE 8B D3 8B 83 E4 00 00 00 FF 93 E0 00 00 00 0F B6 45 FF 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_95326_0 {
	meta:
		name = "TCustomElementBehaviorFactory.Create"
		size = 86
		refs = "000b @ClassCreate 0018 TWebBrowserServiceProvider.Create 001f _Dn_TList 0024 TObject.Create 002c IID_IElementBehaviorFactory 0042 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 58 A1 ?? ?? ?? ?? 56 8D 7E 48 8B F0 A5 A5 A5 A5 5E 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95328_0 {
	meta:
		name = "TCustomElementBehaviorFactory.AddBehavior"
		size = 332
		refs = "0020 @IntfAddRef 0028 TCustomElementBehaviorFactory.AddBehavior 003c sAttachToNilElement 0041 LoadResString 004b _Dn_Exception 0050 Exception.Create 0055 @RaiseExcept 0061 @OleVarFromInt 0077 @IntfCast 0082 @VarFromIntf 009a @UStrCat3 00a5 @WStrFromUStr 00ba @CheckAutoResult 00d5 @UStrClr 00dd @WStrClr 00e5 @IntfClear 00f6 OleVariant 0100 @FinalizeArray 010e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 21 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 45 D0 8B D3 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 CC 50 8D 45 E8 50 8D 45 C4 8B 4E 34 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8D 45 C8 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 45 FC 50 8B 00 FF 90 7C 01 00 00 E8 ?? ?? ?? ?? 8B 45 CC 89 46 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5E 5B 8B E5 5D C3 00 00 29 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B B0 04 02 00 FF FF FF FF 09 00 00 00 23 00 66 00 61 00 63 00 74 00 6F 00 72 00 79 00 23 00 00 00 }
	condition:
		$1
}

rule function_95329_0 {
	meta:
		name = "TCustomElementBehaviorFactory.Delete"
		size = 110
		refs = "0012 TCustomElementBehaviorFactory.Delete 0028 TBehaviorArray 002d @DynArraySetLength 005c @DynArrayClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 89 30 8B CB 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95330_0 {
	meta:
		name = "TCustomElementBehaviorFactory.Delete"
		size = 604
		refs = "0023 @DynArrayAddRef 002b TCustomElementBehaviorFactory.Delete 0038 TCustomWebBrowserComponent.CheckDocumentAssigned 0040 @DynArrayLength 0060 @IntfClear 006c TWebBrowserEx.GetDocument2 007a @CheckAutoResult 008a @IntfCast 00c2 TCustomElementBehavior.GetElement 0124 TWebBrowserEx.GetMarkupServices 016b EmptyParam 01a1 @VarClr 01b2 IHTMLElement 01bc @FinalizeArray 01f5 TBehaviorArray 01fa @DynArrayClear 0200 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 88 4D EF 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C EA 00 00 00 46 33 DB 80 7D EF 00 0F 84 8E 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 55 E4 8B 47 38 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 90 3C 01 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D8 8B 45 FC 8B 04 98 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 DC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? EB 47 6A 00 8D 55 D4 8B 45 FC 8B 04 98 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 00 FF 90 EC 00 00 00 E8 ?? ?? ?? ?? 8D 55 D0 8B 45 FC 8B 04 98 E8 ?? ?? ?? ?? 8B 45 D0 50 8D 55 CC 8B 47 38 E8 ?? ?? ?? ?? 8B 45 CC 50 8B 00 FF 50 20 43 4E 0F 85 19 FF FF FF 80 7D EF 00 74 51 83 7D F8 00 74 4B 8D 45 F0 8B 55 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8D 45 C8 50 8D 45 B8 E8 ?? ?? ?? ?? FF 75 C4 FF 75 C0 FF 75 BC FF 75 B8 6A 00 68 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 97 5F 5E 5B 8B E5 5D C3 00 00 00 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 5E F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 9C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 06 00 00 00 43 00 75 00 74 00 00 00 }
	condition:
		$1
}

rule function_95331_0 {
	meta:
		name = "TCustomElementBehaviorFactory.FindBehavior"
		size = 548
		refs = "0025 TCustomElementBehaviorFactory.FindBehavior 0044 @IntfClear 0065 OleCheck 006d @WStrClr 007e @IntfCast 008c @CheckAutoResult 0097 @UStrFromWStr 00be TList.Get 00e7 TCustomBehaviorWrapper.SupportsNamespace 0120 sFindBehaviorFoundTwoBehaviors 0125 LoadResString 012f _Dn_Exception 0134 Exception.CreateFmt 0139 @RaiseExcept 0146 TCustomBehaviorWrapper.CreateBehavior 0151 @IntfCopy 01bd @UStrArrayClr 01cd @UStrClr 0200 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B 75 08 8B 45 18 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 01 40 00 80 83 7D 14 00 0F 84 67 01 00 00 8B 45 18 E8 ?? ?? ?? ?? 83 7E 58 00 0F 84 12 01 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 14 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 45 E4 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 EC 8B 46 58 8B 78 08 4F 85 FF 0F 8C B5 00 00 00 47 C7 45 F0 00 00 00 00 8B 55 F0 8B 46 58 E8 ?? ?? ?? ?? 8B D8 8D 45 E0 8B 55 10 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 45 DC 8B 55 0C E8 ?? ?? ?? ?? 8B 4D DC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6B 83 7D F4 00 75 48 8B 45 EC 8B 40 08 89 45 C4 C6 45 C8 11 8B 43 08 89 45 CC C6 45 D0 11 8B 45 0C 89 45 D4 C6 45 D8 0F 8D 45 C4 50 6A 02 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5D EC 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 8B 55 BC 8B 45 18 E8 ?? ?? ?? ?? 33 C0 89 45 F4 FF 45 F0 4F 0F 85 53 FF FF FF 83 7D F4 00 74 3D 66 83 7E 62 00 74 36 8D 45 B8 8B 55 10 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 45 14 50 8B 45 18 E8 ?? ?? ?? ?? 50 8D 45 F4 50 8D 45 B4 8B 55 0C E8 ?? ?? ?? ?? 8B 4D B4 8B D6 8B 46 64 FF 56 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AE 8B 45 F4 5F 5E 5B 8B E5 5D C2 14 00 00 00 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95332_0 {
	meta:
		name = "TCustomElementBehaviorFactory.RegisterBehavior"
		size = 44
		refs = "0013 _Dn_TList 0018 TObject.Create 0025 TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 1F 83 7B 58 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 58 8B D6 8B 43 58 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95333_0 {
	meta:
		name = "TCustomElementBehaviorFactory.UnRegisterBehavior"
		size = 32
		refs = "000b TList.IndexOf 001a TList.Delete"
	strings:
		$1 = { 53 8B D8 8B 43 58 85 C0 74 14 E8 ?? ?? ?? ?? 83 F8 FF 74 0A 8B D0 8B 43 58 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95336_0 {
	meta:
		name = "TCustomElementBehaviorFactory.Resolve"
		size = 230
		refs = "0018 TCustomElementBehaviorFactory.Resolve 003f TCustomElementBehaviorFactory.DoResolve 0062 TList.Get 006f @UStrFromWStr 007d CompareText 00ae OleCheck 00ce @UStrArrayClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C0 89 45 F0 89 45 F4 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 66 83 7F 6A 00 74 1A 8B 45 14 50 8B 45 18 50 8B 4D 10 8B 55 0C 8B C7 E8 ?? ?? ?? ?? 89 45 FC EB 70 8B 47 58 8B 70 08 4E 85 F6 7C 65 46 C7 45 F8 00 00 00 00 8B 47 58 8B 55 F8 E8 ?? ?? ?? ?? 8B D8 8D 45 F4 8B 55 0C E8 ?? ?? ?? ?? 8B 55 F4 8B 83 CC 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 2D 8D 45 F0 8B 55 10 E8 ?? ?? ?? ?? 8B 55 F0 8B 43 70 8B 08 FF 51 54 40 74 14 6A 00 8B 45 10 50 8B 45 18 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? FF 45 F8 4E 75 A3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_95337_0 {
	meta:
		name = "TCustomElementBehaviorFactory.DoResolve"
		size = 132
		refs = "0017 TCustomElementBehaviorFactory.DoResolve 0031 @UStrFromWStr 006d @UStrArrayClr 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 66 83 7B 6A 00 74 2D 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 0C 50 8B 45 08 50 56 8D 45 F4 8B D7 E8 ?? ?? ?? ?? 8B 4D F4 8B D3 8B 43 6C FF 53 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_95338_0 {
	meta:
		name = "TCustomElementBehaviorFactory.Select"
		size = 104
		refs = "000f TCustomElementBehaviorFactory.Select 0025 TBehaviorArray 002a @DynArraySetLength 0057 @DynArrayClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 89 30 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95339_0 {
	meta:
		name = "TCustomElementBehaviorFactory.Select"
		size = 600
		refs = "001a @DynArrayAddRef 0022 TCustomElementBehaviorFactory.Select 002f TCustomWebBrowserComponent.CheckDocumentAssigned 0037 @DynArrayLength 0047 TWebBrowserEx.CommandState 0056 sMultiSelectNotEnabled 005b LoadResString 0065 _Dn_Exception 006a Exception.Create 006f @RaiseExcept 0097 @IntfClear 00af TCustomElementBehavior.GetElement 00c0 @CheckAutoResult 00d0 @IntfCast 00f7 Supports 019b IHTMLElement 01a5 @FinalizeArray 01d5 @UStrClr 01ee TBehaviorArray 01f3 @DynArrayClear 01f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 48 7E 35 8B 46 38 BA 59 09 00 00 E8 ?? ?? ?? ?? 8B D8 F6 C3 04 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C D7 00 00 00 46 33 DB 83 7D F4 00 0F 85 92 00 00 00 8D 45 EC E8 ?? ?? ?? ?? 50 8D 45 E4 E8 ?? ?? ?? ?? 50 8D 55 E0 8B 45 FC 8B 04 98 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 90 3C 01 00 00 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D4 8B 45 FC 8B 04 98 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 D8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 50 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 43 4E 0F 85 2C FF FF FF 83 7D F8 00 74 1E 8D 45 D0 8B 55 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8F 5E 5B 8B E5 5D C3 00 00 00 25 44 2C 33 CB 26 D0 11 B4 83 00 C0 4F D9 01 19 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 5E F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 9C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95340_0 {
	meta:
		name = "TGlyphTable.AddGlyph"
		size = 420
		refs = "0020 @UStrAddRef 0030 TGlyphTable.AddGlyph 00b2 Format 00bd @UStrAsg 00d7 @UStrArrayClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 7D 08 8B 75 0C 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8B 43 04 89 45 9C C6 45 A0 11 8B 45 FC 89 45 A4 C6 45 A8 11 8B 45 F8 89 45 AC C6 45 B0 11 0F B6 45 1C 89 45 B4 C6 45 B8 00 0F B6 45 18 89 45 BC C6 45 C0 00 0F B6 45 14 89 45 C4 C6 45 C8 00 0F B6 45 10 89 45 CC C6 45 D0 00 89 75 D4 C6 45 D8 00 89 7D DC C6 45 E0 00 89 75 E4 C6 45 E8 00 89 7D EC C6 45 F0 00 8D 55 9C B9 0A 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8D 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 18 00 B0 04 02 00 FF FF FF FF 54 00 00 00 25 00 73 00 25 00 25 00 25 00 25 00 25 00 73 00 5E 00 5E 00 25 00 25 00 25 00 25 00 25 00 73 00 5E 00 5E 00 25 00 25 00 25 00 25 00 25 00 64 00 5E 00 5E 00 25 00 25 00 25 00 25 00 25 00 64 00 5E 00 5E 00 25 00 25 00 25 00 25 00 25 00 64 00 5E 00 5E 00 25 00 25 00 25 00 25 00 25 00 64 00 5E 00 5E 00 25 00 25 00 25 00 25 00 25 00 64 00 5E 00 5E 00 25 00 25 00 25 00 25 00 25 00 64 00 5E 00 5E 00 25 00 25 00 25 00 25 00 25 00 64 00 5E 00 5E 00 25 00 25 00 25 00 25 00 25 00 64 00 5E 00 5E 00 2A 00 2A 00 00 00 00 00 }
	condition:
		$1
}

rule function_95341_0 {
	meta:
		name = "TGlyphTable.ClearTable"
		size = 11
		refs = "0006 @UStrSetLength"
	strings:
		$1 = { 83 C0 04 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95342_0 {
	meta:
		name = "TCustomHTMLEditHost.Create"
		size = 75
		refs = "000b @ClassCreate 0018 TWebBrowserServiceProvider.Create 0021 IID_IHTMLEditHost 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 58 01 A1 ?? ?? ?? ?? 56 8D 7E 48 8B F0 A5 A5 A5 A5 5E 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95343_0 {
	meta:
		name = "TCustomHTMLEditHost.GetGridSizeX"
		size = 43
		refs = "000a KeyboardStateToShiftState 001d TCustomGridBehavior.GetInfo"
	strings:
		$1 = { 53 8B D8 83 7B 5C 00 74 1D E8 ?? ?? ?? ?? A8 04 74 07 B8 01 00 00 00 EB 10 8B 43 5C E8 ?? ?? ?? ?? 8B 40 04 5B C3 8B 43 60 5B C3 }
	condition:
		$1
}

rule function_95344_0 {
	meta:
		name = "TCustomHTMLEditHost.GetGridSizeY"
		size = 43
		refs = "000a KeyboardStateToShiftState 001d TCustomGridBehavior.GetInfo"
	strings:
		$1 = { 53 8B D8 83 7B 5C 00 74 1D E8 ?? ?? ?? ?? A8 04 74 07 B8 01 00 00 00 EB 10 8B 43 5C E8 ?? ?? ?? ?? 8B 40 08 5B C3 8B 43 64 5B C3 }
	condition:
		$1
}

rule function_95346_0 {
	meta:
		name = "TCustomHTMLEditHost.SetGridBehavior"
		size = 72
		refs = "0029 TCustomGridBehavior.GetInfo 0031 TGridInfo.SetGridSizeX 0041 TGridInfo.SetGridSizeY"
	strings:
		$1 = { 53 56 8B D8 8B 43 5C 3B D0 74 3A 85 C0 74 08 33 C9 89 88 7C 01 00 00 8B F2 89 73 5C 85 F6 74 25 89 9E 7C 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 53 60 E8 ?? ?? ?? ?? 8B 43 5C E8 ?? ?? ?? ?? 8B 53 64 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95347_0 {
	meta:
		name = "TCustomHTMLEditHost.SetGridSizeX"
		size = 35
		refs = "0014 TCustomGridBehavior.GetInfo 001b TGridInfo.SetGridSizeX"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 89 73 60 8B 7B 5C 85 FF 74 0E 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95348_0 {
	meta:
		name = "TCustomHTMLEditHost.SetGridSizeY"
		size = 35
		refs = "0014 TCustomGridBehavior.GetInfo 001b TGridInfo.SetGridSizeY"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 89 73 64 8B 7B 5C 85 FF 74 0E 8B C7 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95349_0 {
	meta:
		name = "TCustomHTMLEditHost.SnapTop"
		size = 53
		refs = "0009 TCustomHTMLEditHost.GetGridSizeY"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 03 F0 8B C3 E8 ?? ?? ?? ?? 96 99 F7 FE 8B F0 8B C3 E8 ?? ?? ?? ?? 0F AF F0 8B C6 83 E8 02 5E 5B C3 }
	condition:
		$1
}

rule function_95351_0 {
	meta:
		name = "TCustomHTMLEditHost.SnapLeft"
		size = 53
		refs = "0009 TCustomHTMLEditHost.GetGridSizeX"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 03 F0 8B C3 E8 ?? ?? ?? ?? 96 99 F7 FE 8B F0 8B C3 E8 ?? ?? ?? ?? 0F AF F0 8B C6 83 E8 02 5E 5B C3 }
	condition:
		$1
}

rule function_95350_0 {
	meta:
		name = "TCustomHTMLEditHost.SnapBottom"
		size = 51
		refs = "0009 TCustomHTMLEditHost.GetGridSizeY"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 03 F0 8B C3 E8 ?? ?? ?? ?? 96 99 F7 FE 8B F0 8B C3 E8 ?? ?? ?? ?? 0F AF F0 8B C6 40 5E 5B C3 }
	condition:
		$1
}

rule function_95352_0 {
	meta:
		name = "TCustomHTMLEditHost.SnapRight"
		size = 51
		refs = "0009 TCustomHTMLEditHost.GetGridSizeX"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? D1 F8 79 03 83 D0 00 03 F0 8B C3 E8 ?? ?? ?? ?? 96 99 F7 FE 8B F0 8B C3 E8 ?? ?? ?? ?? 0F AF F0 8B C6 40 5E 5B C3 }
	condition:
		$1
}

rule function_95353_0 {
	meta:
		name = "TCustomHTMLEditHost.SnapRect"
		size = 507
		refs = "0021 TCustomHTMLEditHost.GetGridSizeX 002a TCustomHTMLEditHost.GetGridSizeY 004d TCustomHTMLEditHost.SnapRect"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 5D 10 8B 75 08 33 C0 89 45 FC 80 7E 58 00 0F 84 D1 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 73 08 2B 33 8B 43 0C 2B 43 04 89 45 F8 8B 45 14 83 F8 08 0F 87 A5 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 43 04 8B D1 D1 FA 79 03 83 D2 00 03 C2 99 F7 F9 F7 E9 83 E8 02 89 43 04 8B 03 8B D7 D1 FA 79 03 83 D2 00 03 C2 99 F7 FF F7 EF 83 E8 02 89 03 8B 43 04 03 45 F8 89 43 0C 03 33 89 73 08 E9 37 01 00 00 8B 43 04 8B D1 D1 FA 79 03 83 D2 00 03 C2 99 F7 F9 F7 E9 83 E8 02 89 43 04 E9 19 01 00 00 8B 03 8B D7 D1 FA 79 03 83 D2 00 03 C2 99 F7 FF F7 EF 83 E8 02 89 03 E9 FD 00 00 00 8B 43 0C 8B D1 D1 FA 79 03 83 D2 00 03 C2 99 F7 F9 F7 E9 40 89 43 0C E9 E1 00 00 00 8B 43 08 8B D7 D1 FA 79 03 83 D2 00 03 C2 99 F7 FF F7 EF 40 89 43 08 E9 C5 00 00 00 8B 43 04 8B D1 D1 FA 79 03 83 D2 00 03 C2 99 F7 F9 F7 E9 83 E8 02 89 43 04 8B 03 8B D7 D1 FA 79 03 83 D2 00 03 C2 99 F7 FF F7 EF 83 E8 02 89 03 E9 90 00 00 00 8B 43 04 8B D1 D1 FA 79 03 83 D2 00 03 C2 99 F7 F9 F7 E9 83 E8 02 89 43 04 8B 43 08 8B D7 D1 FA 79 03 83 D2 00 03 C2 99 F7 FF F7 EF 40 89 43 08 EB 5E 8B 43 0C 8B D1 D1 FA 79 03 83 D2 00 03 C2 99 F7 F9 F7 E9 40 89 43 0C 8B 03 8B D7 D1 FA 79 03 83 D2 00 03 C2 99 F7 FF F7 EF 83 E8 02 89 03 EB 2E 8B 43 0C 8B D1 D1 FA 79 03 83 D2 00 03 C2 99 F7 F9 F7 E9 40 89 43 0C 8B 43 08 8B D7 D1 FA 79 03 83 D2 00 03 C2 99 F7 FF F7 EF 40 89 43 08 8B 45 FC 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_95354_0 {
	meta:
		name = "TCustomHostBehaviorInit.Create"
		size = 86
		refs = "000b @ClassCreate 0018 TWebBrowserServiceProvider.Create 001d IID_IHostBehaviorInit 002f _Dn_TWideStringList 0034 TWideStringList.Create 0042 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 56 8D 7E 48 8B F0 A5 A5 A5 A5 5E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 58 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95356_0 {
	meta:
		name = "TCustomHostBehaviorInit.Notification"
		size = 39
		refs = "0010 TCustomWebBrowserComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0A 3B 77 68 75 05 33 C0 89 47 68 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95357_0 {
	meta:
		name = "TCustomHostBehaviorInit.PopulateNamespaceTable"
		size = 580
		refs = "0019 TCustomHostBehaviorInit.PopulateNamespaceTable 0036 sFactoryPropertyNotAssigned 003b LoadResString 0054 Format 0070 MessageDlgPosHelp 0087 sWebBrowserNotAssigned 00d1 TWebBrowserEx.GetDocument2 00dd @IntfClear 00ea Supports 011f IID_IElementNamespaceTable 014a @IntfCast 0155 @VarFromIntf 0194 OleCheck 01b1 @WStrClr 01c9 @UStrClr 01d9 @VarClr 01e6 @UStrArrayClr 01fc @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 40 00 80 83 7B 68 00 75 4B 8D 45 F4 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 50 8B 43 08 89 45 D0 C6 45 D4 11 8D 55 D0 33 C9 58 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D F4 92 91 E8 ?? ?? ?? ?? E9 27 01 00 00 83 7B 38 00 75 4B 8D 45 F0 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B 43 08 89 45 D0 C6 45 D4 11 8D 55 D0 33 C9 58 E8 ?? ?? ?? ?? B0 01 0F B7 15 ?? ?? ?? ?? 33 C9 51 6A FF 6A FF 6A 00 8B 4D F0 92 91 E8 ?? ?? ?? ?? E9 D6 00 00 00 8D 55 C8 8B 43 38 E8 ?? ?? ?? ?? 8B 45 C8 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 AA 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 8B 00 00 00 8D 43 5C E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 0C 85 C0 75 69 8D 45 C4 8B 53 68 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8D 45 E0 E8 ?? ?? ?? ?? 8B 43 58 8B 10 FF 52 14 8B F0 4E 85 F6 7C 36 46 C7 45 DC 00 00 00 00 8D 45 E0 50 6A 02 6A 00 8D 4D C0 8B 55 DC 8B 43 58 8B 38 FF 57 0C 8B 45 C0 50 8B 43 5C 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? FF 45 DC 4E 75 D2 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AB 8B C6 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 04 00 00 00 12 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 C1 40 51 6D 36 74 CE 11 80 34 00 AA 00 60 09 FA 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_95358_0 {
	meta:
		name = "TCustomHostBehaviorInit.SetFactory"
		size = 43
		refs = "0014 TComponent.RemoveFreeNotification 0024 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 68 3B F0 74 1B 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 43 68 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95362_0 {
	meta:
		name = "TCustomHTMLValidator.ValidateDocument"
		size = 816
		refs = "0017 TCustomHTMLValidator.ValidateDocument 0025 @IntfClear 0045 TOleControl.GetIDispatchProp 005e Supports 00ab TWebBrowserEx.GetDocument2 00b9 @CheckAutoResult 00ce @OleVarFromInt 01f9 @IntfCast 0246 MessageBeep 025e @VarClr 027f OleVariant 0289 @FinalizeArray 02a2 IDispatch 02c5 IHTMLElement 02e0 IMarkupPointer 02f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 11 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 4D D0 BA CB 00 00 00 8B 43 38 E8 ?? ?? ?? ?? 8B 45 D0 50 8D 45 D8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 E0 01 00 00 8D 4D CC BA CB 00 00 00 8B 43 38 E8 ?? ?? ?? ?? 8B 45 CC 50 8D 45 D4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 AF 01 00 00 8D 45 EC E8 ?? ?? ?? ?? 50 8D 55 C8 8B 43 38 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 50 8D 45 B4 33 D2 B1 01 E8 ?? ?? ?? ?? FF 75 C0 FF 75 BC FF 75 B8 FF 75 B4 8D 45 A4 33 D2 B1 01 E8 ?? ?? ?? ?? FF 75 B0 FF 75 AC FF 75 A8 FF 75 A4 8B 45 EC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 45 C4 50 8D 45 E8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 25 01 00 00 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 D8 50 8B 00 FF 50 0C 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 D8 50 8B 00 FF 50 0C 6A 01 8D 45 A0 E8 ?? ?? ?? ?? 50 8B 45 D4 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 A0 50 8B 45 F8 50 8B 00 FF 50 2C 8D 45 9C E8 ?? ?? ?? ?? 50 8D 45 88 50 8B 45 EC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 55 88 4A 8D 45 8C B1 FC E8 ?? ?? ?? ?? FF 75 98 FF 75 94 FF 75 90 FF 75 8C 8D 85 74 FF FF FF 50 8B 45 EC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 4A 8D 85 78 FF FF FF B1 FC E8 ?? ?? ?? ?? FF 75 84 FF 75 80 FF B5 7C FF FF FF FF B5 78 FF FF FF 8B 45 EC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 55 9C 8D 45 DC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8B 45 E8 50 8B 45 F4 50 8B 00 FF 50 2C 8D 45 E0 E8 ?? ?? ?? ?? 50 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 45 FC 50 8B 45 F4 50 8B 45 F8 50 8B 45 D8 50 8B 00 FF 50 60 83 7D E4 00 75 06 83 7D E0 00 74 07 6A 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 5E FF FF FF 5B 8B E5 5D C3 00 00 82 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 25 44 2C 33 CB 26 D0 11 B4 83 00 C0 4F D9 01 19 FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95363_0 {
	meta:
		name = "TCustomHTMLDocumentFragment.Create"
		size = 89
		refs = "000e @ClassCreate 001c TComponent.Create 0023 _Dn_TWideStringList 0028 TWideStringList.Create 0037 TCustomHTMLDocumentFragment.HTMLChange 0044 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 48 89 5E 34 C7 46 30 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95365_0 {
	meta:
		name = "TCustomHTMLDocumentFragment.GetHTMLDocument"
		size = 804
		refs = "0019 TCustomHTMLDocumentFragment.GetHTMLDocument 0031 @IntfClear 003d TCustomElementBehavior.GetElement 004e @CheckAutoResult 005e @IntfCast 01d0 @IntfCopy 0203 IHTMLDOMNode 020d @FinalizeArray 0215 @WStrClr 0236 IHTMLElement 0271 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 44 00 0F 85 B2 01 00 00 8D 45 E4 E8 ?? ?? ?? ?? 50 8D 55 E0 8B 43 38 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 20 01 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 20 01 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 20 01 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 50 8B 45 F8 50 68 ?? ?? ?? ?? 8D 45 D8 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 90 68 01 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 50 8B 45 F4 50 68 ?? ?? ?? ?? 8D 45 D0 8B 55 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 8B 00 FF 90 68 01 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 20 01 00 00 E8 ?? ?? ?? ?? 8D 55 CC 8B 43 48 8B 08 FF 51 1C 8B 45 CC 50 8B 45 F0 50 8B 00 FF 90 E4 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 50 8D 45 C4 8B 55 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 50 8B 45 E8 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8D 43 44 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 40 8B 55 F4 E8 ?? ?? ?? ?? 8D 43 3C 8B 55 F0 E8 ?? ?? ?? ?? 8B C6 8B 53 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 7C FF FF FF 5E 5B 8B E5 5D C3 25 44 2C 33 CB 26 D0 11 B4 83 00 C0 4F D9 01 19 08 00 00 00 48 00 54 00 4D 00 4C 00 00 00 00 00 08 00 00 00 48 00 45 00 41 00 44 00 00 00 00 00 08 00 00 00 42 00 4F 00 44 00 59 00 00 00 00 00 14 00 00 00 61 00 66 00 74 00 65 00 72 00 42 00 65 00 67 00 69 00 6E 00 00 00 00 00 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 10 00 00 00 61 00 66 00 74 00 65 00 72 00 45 00 6E 00 64 00 00 00 00 00 08 00 00 00 53 00 50 00 41 00 4E 00 00 00 00 00 DA F5 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95366_0 {
	meta:
		name = "TCustomHTMLDocumentFragment.HTMLChange"
		size = 107
		refs = "000f TCustomHTMLDocumentFragment.HTMLChange 0023 _Dn_TWideStringList 0028 @AsClass 0045 @CheckAutoResult 005a @WStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 3C 00 74 2A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 51 1C 8B 45 FC 50 8B 43 3C 50 8B 00 FF 90 E4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95368_0 {
	meta:
		name = "TBehaviorElementEvents.Create"
		size = 119
		refs = "000e @ClassCreate 001c @IntfAddRef 0024 TBehaviorElementEvents.Create 0038 @IntfCopy 004d @IntfClear 0053 @HandleFinally 0060 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 77 28 8D 47 24 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_95369_0 {
	meta:
		name = "TBehaviorElementEvents.DoInvoke"
		size = 138
		refs = "002c THTMLElementEventDispatch.DoInvoke"
	strings:
		$1 = { 55 8B EC 53 56 57 8B DA 8B F0 8B 45 20 50 0F B7 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B D3 8B C6 E8 ?? ?? ?? ?? 81 EB 0B 04 00 00 74 0D 4B 74 1A 83 EB 02 74 25 4B 74 32 EB 3E 8B 7E 28 85 FF 74 37 8B C7 8B 10 FF 52 2C EB 2E 8B 7E 28 85 FF 74 27 8B C7 8B 10 FF 52 28 EB 1E 8B 7E 28 85 FF 74 17 8B C7 8B 10 FF 52 2C EB 0E 8B 7E 28 85 FF 74 07 8B C7 8B 10 FF 52 2C 5F 5E 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_95371_0 {
	meta:
		name = "TCustomWebBrowserServices.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 0019 TComponent.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 44 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95372_0 {
	meta:
		name = "TCustomWebBrowserServices.Notification"
		size = 41
		refs = "0021 TCustomWebBrowserComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 80 FB 01 75 0C 3B 77 38 75 07 8B C7 8B 10 FF 52 44 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95373_0 {
	meta:
		name = "TCustomWebBrowserServices.SetWebBrowser"
		size = 25
		refs = "0012 TCustomWebBrowserComponent.SetWebBrowser"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 44 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95374_0 {
	meta:
		name = "TCustomMarkupServices.ClearReferences"
		size = 92
		refs = "0006 TCustomWebBrowserServices.ClearReferences 000e @IntfClear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 48 E8 ?? ?? ?? ?? 8D 43 4C E8 ?? ?? ?? ?? 8D 43 50 E8 ?? ?? ?? ?? 8D 43 54 E8 ?? ?? ?? ?? 8D 43 58 E8 ?? ?? ?? ?? 8D 43 60 E8 ?? ?? ?? ?? 8D 43 5C E8 ?? ?? ?? ?? 8D 43 68 E8 ?? ?? ?? ?? 8D 43 6C E8 ?? ?? ?? ?? 8D 43 70 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95375_0 {
	meta:
		name = "TCustomMarkupServices.Copy"
		size = 197
		refs = "0010 TCustomMarkupServices.Copy 0036 TCustomMarkupServices.GetFinishPos 0044 TCustomMarkupServices.GetStartPos 0053 TWebBrowserEx.GetMarkupServices 0061 OleCheck 006b sPointersNotSetError 0070 LoadResString 007a _Dn_Exception 007f Exception.Create 0084 @RaiseExcept 0099 @UStrClr 00a1 @IntfClear 00aa IMarkupPointer2 00b4 @FinalizeArray 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 50 00 74 47 83 7B 58 00 74 41 83 7B 54 00 74 3B 8B 43 54 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B 43 38 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? EB 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95376_0 {
	meta:
		name = "TCustomMarkupServices.CreateContainer"
		size = 140
		refs = "000e TCustomMarkupServices.CreateContainer 001c @IntfClear 0026 TCustomMarkupServices.GetMarkupServices 004e @IntfCast 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 12 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 10 8D 43 60 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 48 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95377_0 {
	meta:
		name = "TCustomMarkupServices.CreatePointer"
		size = 99
		refs = "000f TCustomMarkupServices.CreatePointer 001c @IntfClear 0026 TCustomMarkupServices.GetMarkupServices 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 11 8B C6 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95378_0 {
	meta:
		name = "TCustomMarkupServices.Find"
		size = 420
		refs = "0021 @UStrAddRef 0029 TCustomMarkupServices.Find 003a @WStrFromUStr 0048 sNoSearchStringSpecified 004d LoadResString 0057 _Dn_Exception 005c Exception.Create 0061 @RaiseExcept 0068 TCustomWebBrowserComponent.CheckWebBrowserAssigned 0086 sFinishPosNotSet 009a Exception.CreateFmt 00b3 @IntfClear 00bf TWebBrowserEx.GetDocument2 00cd @CheckAutoResult 00db TCustomMarkupServices.GetStartPos 00e9 OleCheck 00f9 TCustomMarkupServices.CreatePointer 0109 @IntfCast 011b @WStrToPWChar 0171 @UStrClr 017e @UStrArrayClr 0184 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 64 8B 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7E 58 00 75 31 8B 46 08 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 75 06 83 7E 50 00 75 40 6A 01 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 55 E4 8B 46 38 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 83 7E 5C 00 75 1A 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 55 DC 8D 46 5C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 58 50 8B 46 5C 50 6A 00 8B 46 64 E8 ?? ?? ?? ?? 50 8D 55 D8 8B C6 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 5C 85 C0 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 8B C3 5E 5B 8B E5 5D C3 00 00 75 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95379_0 {
	meta:
		name = "TCustomMarkupServices.FindNext"
		size = 203
		refs = "0015 TCustomMarkupServices.FindNext 0039 sFinishPosNotSet 003e LoadResString 0048 _Dn_Exception 004d Exception.CreateFmt 0052 @RaiseExcept 006a @WStrToPWChar 0085 sCallingFindNextBeforeFind 0099 Exception.Create 00b8 @UStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 58 00 75 31 8B 43 08 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 5C 00 74 25 8B 43 58 50 8B 43 5C 50 6A 00 8B 43 64 E8 ?? ?? ?? ?? 50 8B 43 5C 50 8B 00 FF 50 5C 85 C0 0F 94 C0 8B D8 EB 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95380_0 {
	meta:
		name = "TCustomMarkupServices.GetContainer"
		size = 80
		refs = "0009 @IntfClear 001f TCustomMarkupServices.GetContainer 0024 @IntfCast 002d TCustomWebBrowserComponent.CheckWebBrowserAssigned 0037 TWebBrowserEx.GetPrimaryMarkupContainer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 7B 60 00 75 28 83 7B 68 00 74 11 8B C6 8B 53 68 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 38 E8 ?? ?? ?? ?? 5E 5B C3 00 00 48 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95381_0 {
	meta:
		name = "TCustomMarkupServices.GetDocument"
		size = 140
		refs = "000f TCustomMarkupServices.GetDocument 001c @IntfClear 002c @IntfCopy 0035 TCustomWebBrowserComponent.CheckWebBrowserAssigned 0045 TOleControl.GetIDispatchProp 0054 @IntfCast 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 83 7B 68 00 74 0C 8B C6 8B 53 68 E8 ?? ?? ?? ?? EB 26 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA CB 00 00 00 8B 43 38 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 20 C5 6F 62 1E A4 CF 11 A7 31 00 A0 C9 08 26 37 }
	condition:
		$1
}

rule function_95382_0 {
	meta:
		name = "TCustomMarkupServices.GetDocument2"
		size = 76
		refs = "0009 @IntfClear 0019 TCustomMarkupServices.GetDocument2 001e @IntfCast 0028 TCustomWebBrowserComponent.CheckWebBrowserAssigned 0032 TWebBrowserEx.GetDocument2"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 83 7B 68 00 74 12 8B C6 8B 53 68 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 38 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 25 44 2C 33 CB 26 D0 11 B4 83 00 C0 4F D9 01 19 }
	condition:
		$1
}

rule function_95383_0 {
	meta:
		name = "TCustomMarkupServices.GetFinishPos"
		size = 160
		refs = "0011 TCustomMarkupServices.GetFinishPos 0021 TCustomMarkupServices.GetMarkupServices 0035 @IntfClear 0044 OleCheck 0054 @IntfCast 005e @IntfCopy 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 2D 83 7B 58 00 75 27 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 43 58 8B 55 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 75 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95384_0 {
	meta:
		name = "TCustomMarkupServices.GetInsertPos"
		size = 160
		refs = "0011 TCustomMarkupServices.GetInsertPos 0021 TCustomMarkupServices.GetMarkupServices 0035 @IntfClear 0044 OleCheck 0054 @IntfCast 005e @IntfCopy 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 2D 83 7B 54 00 75 27 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 43 54 8B 55 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 54 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 75 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95385_0 {
	meta:
		name = "TCustomMarkupServices.GetLeftPos"
		size = 160
		refs = "0011 TCustomMarkupServices.GetLeftPos 0021 TCustomMarkupServices.GetMarkupServices 0035 @IntfClear 0044 OleCheck 0054 @IntfCast 005e @IntfCopy 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 2D 83 7B 48 00 75 27 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 43 48 8B 55 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 75 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95386_0 {
	meta:
		name = "TCustomMarkupServices.GetMarkupServices"
		size = 216
		refs = "0011 TCustomMarkupServices.GetMarkupServices 0021 @IntfCopy 003c @IntfCast 0045 TCustomWebBrowserComponent.CheckWebBrowserAssigned 0055 TOleControl.GetIDispatchProp 0073 sMarkupServicesNotAvailable 0078 LoadResString 0082 _Dn_Exception 0087 Exception.Create 008c @RaiseExcept 00ab @UStrClr 00b3 @IntfClear 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 53 6C E8 ?? ?? ?? ?? 83 3E 00 75 70 83 7B 68 00 74 12 8D 43 6C 8B 53 68 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 27 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA CB 00 00 00 8B 43 38 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 6C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 6C 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 A0 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95387_0 {
	meta:
		name = "TCustomMarkupServices.GetMarkupServices2"
		size = 216
		refs = "0011 TCustomMarkupServices.GetMarkupServices2 0021 @IntfCopy 003c @IntfCast 0045 TCustomWebBrowserComponent.CheckWebBrowserAssigned 0055 TOleControl.GetIDispatchProp 0073 sMarkupServices2NotAvailable 0078 LoadResString 0082 _Dn_Exception 0087 Exception.Create 008c @RaiseExcept 00ab @UStrClr 00b3 @IntfClear 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 53 70 E8 ?? ?? ?? ?? 83 3E 00 75 70 83 7B 68 00 74 12 8D 43 70 8B 53 68 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 27 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA CB 00 00 00 8B 43 38 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 70 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 70 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 70 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 82 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95388_0 {
	meta:
		name = "TCustomMarkupServices.GetRightPos"
		size = 160
		refs = "0011 TCustomMarkupServices.GetRightPos 0021 TCustomMarkupServices.GetMarkupServices 0035 @IntfClear 0044 OleCheck 0054 @IntfCast 005e @IntfCopy 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 2D 83 7B 4C 00 75 27 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 43 4C 8B 55 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 75 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95389_0 {
	meta:
		name = "TCustomMarkupServices.GetStartPos"
		size = 160
		refs = "0011 TCustomMarkupServices.GetStartPos 0021 TCustomMarkupServices.GetMarkupServices 0035 @IntfClear 0044 OleCheck 0054 @IntfCast 005e @IntfCopy 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 2D 83 7B 50 00 75 27 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 43 50 8B 55 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 75 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95390_0 {
	meta:
		name = "TCustomMarkupServices.InsertElement"
		size = 258
		refs = "0015 @IntfAddRef 001d TCustomMarkupServices.InsertElement 002d TCustomMarkupServices.GetMarkupServices2 003b sMarkupServicesUnavailable 0040 LoadResString 004a _Dn_Exception 004f Exception.Create 0054 @RaiseExcept 006a TCustomMarkupServices.GetFinishPos 0078 TCustomMarkupServices.GetStartPos 008e OleCheck 0098 sSetPointerError 00c6 @UStrClr 00cf IMarkupPointer2 00d9 @FinalizeArray 00e9 @IntfClear 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 75 21 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 50 00 74 36 83 7B 58 00 74 30 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 FC 50 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? EB 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95391_0 {
	meta:
		name = "TCustomMarkupServices.InsertText"
		size = 222
		refs = "0015 @UStrAddRef 001d TCustomMarkupServices.InsertText 002e @WStrFromUStr 003e TCustomMarkupServices.GetMarkupServices 0058 TCustomMarkupServices.GetStartPos 0065 @WStrToPWChar 0074 OleCheck 007e sStartPosNotSet 0083 LoadResString 008d _Dn_Exception 0092 Exception.Create 0097 @RaiseExcept 00ac @UStrClr 00b4 @IntfClear 00c4 @WStrClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 83 7B 50 00 74 42 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 75 F8 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 56 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? EB 21 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95392_0 {
	meta:
		name = "TCustomMarkupServices.Move"
		size = 339
		refs = "0017 TCustomMarkupServices.Move 0049 TCustomMarkupServices.GetLeftPos 0057 OleCheck 007f TCustomMarkupServices.GetRightPos 00b1 TCustomMarkupServices.GetMarkupServices2 00c1 TCustomMarkupServices.GetInsertPos 00cf TCustomMarkupServices.GetFinishPos 00dd TCustomMarkupServices.GetStartPos 00f9 sMarkupServicesPointerError 00fe LoadResString 0108 _Dn_Exception 010d Exception.Create 0112 @RaiseExcept 0127 @UStrClr 0130 IMarkupPointer2 013a @FinalizeArray 0142 @IntfClear 0148 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 50 00 0F 84 CA 00 00 00 83 7B 58 00 0F 84 C0 00 00 00 83 7B 54 00 0F 84 B6 00 00 00 8B 43 54 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 6A 00 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8B 43 54 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 6A 01 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 5B 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 FC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? EB 21 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95393_0 {
	meta:
		name = "TCustomMarkupServices.ParseStringOnly"
		size = 191
		refs = "001a TCustomMarkupServices.ParseStringOnly 0043 TCustomMarkupServices.GetFinishPos 0051 TCustomMarkupServices.GetStartPos 005d @IntfClear 0067 @WStrToPWChar 0073 TWebBrowserEx.GetMarkupServices 0081 OleCheck 009f IMarkupPointer2 00a9 @FinalizeArray 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 0F 9F 45 FB 80 7D FB 00 74 48 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 8B C6 E8 ?? ?? ?? ?? 50 8D 55 EC 8B 43 38 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 0F B6 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95394_0 {
	meta:
		name = "TCustomMarkupServices.ParseGlobalOnly"
		size = 161
		refs = "0018 TCustomMarkupServices.ParseGlobalOnly 002c TCustomMarkupServices.GetFinishPos 003a TCustomMarkupServices.GetStartPos 0045 @IntfClear 0054 TWebBrowserEx.GetMarkupServices 0062 OleCheck 0080 IMarkupPointer2 008a @FinalizeArray 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B C7 E8 ?? ?? ?? ?? 50 6A 00 56 8D 55 F0 8B 43 38 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95395_0 {
	meta:
		name = "IsRightOfOrEqualTo"
		size = 103
		refs = "0010 IsRightOfOrEqualTo 0028 TCustomMarkupServices.GetFinishPos 0054 @IntfClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 08 8B 40 FC 50 8B 00 FF 50 50 83 7D FC 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95402_0 {
	meta:
		name = "IsRightOfOrEqualTo"
		size = 103
		refs = "0010 IsRightOfOrEqualTo 0028 TCustomMarkupServices.GetRightPos 0054 @IntfClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 08 8B 40 FC 50 8B 00 FF 50 50 83 7D FC 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95396_0 {
	meta:
		name = "EqualElements"
		size = 200
		refs = "0019 @IntfAddRef 0029 EqualElements 0056 @IntfCast 0085 IInterface 008f @FinalizeArray 0098 IHTMLElement 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F4 89 4D F0 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 06 83 7D F8 00 75 0B 8B 45 FC 3B 45 F8 0F 94 C3 EB 29 8D 45 F4 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D F4 8D 45 F0 8B 55 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 5D F0 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 8B C3 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_95397_0 {
	meta:
		name = "TCustomMarkupServices.CalcMarkupContentFlags"
		size = 652
		refs = "0019 TCustomMarkupServices.CalcMarkupContentFlags 0031 @IntfClear 0040 TWebBrowserEx.GetMarkupServices 0054 TCustomMarkupServices.GetStartPos 00a0 OleCheck 00f8 @IntfCast 0109 @CheckAutoResult 013f @WStrClr 0175 WideCompareText 019a @IntfCopy 01a7 EqualElements 01b9 IsRightOfOrEqualTo 01d1 @HandleAnyException 01d6 @DoneExcept 0224 IHTMLElement 022e @FinalizeArray 023c @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 88 45 EB 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 D8 8B 45 F8 8B 40 38 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 0C 8D 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 45 FC 50 8B 00 FF 50 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 3F 01 00 00 C7 45 E0 FF FF FF FF 8D 45 DE 50 8D 45 E0 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8D 45 E4 50 6A FF 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 E4 83 F8 04 0F 87 07 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 F6 00 00 00 83 7D F0 00 0F 85 DD 00 00 00 80 4D EB 04 E9 D4 00 00 00 8D 45 EC E8 ?? ?? ?? ?? 50 8D 45 D0 8B 55 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 8B 00 FF 90 A0 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC 50 8D 45 C8 8B 55 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 66 83 7D CC 01 1B DB 43 84 DB 74 4E 8D 45 C4 E8 ?? ?? ?? ?? 50 8D 45 C0 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 C0 50 8B 00 FF 90 54 02 00 00 E8 ?? ?? ?? ?? 8B 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 06 80 4D EB 01 EB 0A 80 4D EB 02 EB 04 80 4D EB 04 83 7D E4 02 75 24 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? EB 17 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 08 8D 45 F0 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 B2 FE FF FF 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A5 0F B6 45 EB 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 58 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 10 00 00 00 61 00 62 00 73 00 6F 00 6C 00 75 00 74 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_95398_0 {
	meta:
		name = "TCustomMarkupServices.ParseStringMove"
		size = 82
		refs = "000f TCustomMarkupServices.ParseStringMove 0021 TCustomMarkupServices.ParseStringOnly 002c TCustomMarkupServices.Move 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95399_0 {
	meta:
		name = "TCustomMarkupServices.ParseStringMovePosition"
		size = 97
		refs = "0012 TCustomMarkupServices.ParseStringMovePosition 0024 TCustomMarkupServices.ParseStringOnly 0038 TCustomMarkupServices.MovePosition 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 08 50 8B 4D 0C 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_95400_0 {
	meta:
		name = "TCustomMarkupServices.GetParsedElement"
		size = 117
		refs = "0015 TCustomMarkupServices.GetParsedElement 002f @IntfClear 0040 TCustomMarkupServices.GetStartPos 004e OleCheck 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8D 45 F6 50 8D 45 F8 50 8B C6 E8 ?? ?? ?? ?? 50 8D 45 FC 50 6A 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95401_0 {
	meta:
		name = "TCustomMarkupServices.MovePosition"
		size = 364
		refs = "0020 TCustomMarkupServices.MovePosition 0030 TCustomMarkupServices.GetParsedElement 0042 @IntfClear 0051 @CheckAutoResult 0060 @OleVarFromUStr 00cb @OleVarFromInt 00ef TCustomMarkupServices.Move 0104 @VarClr 0122 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 AE 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 6A 00 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 FF 75 EC FF 75 E8 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 D8 02 00 00 E8 ?? ?? ?? ?? 89 5D E4 DB 45 E4 83 C4 FC D9 1C 24 9B 8B 45 FC 50 8B 00 FF 90 A8 02 00 00 E8 ?? ?? ?? ?? 89 7D E4 DB 45 E4 83 C4 FC D9 1C 24 9B 8B 45 FC 50 8B 00 FF 90 A0 02 00 00 E8 ?? ?? ?? ?? 8D 45 D4 8B 55 08 B1 FC E8 ?? ?? ?? ?? FF 75 E0 FF 75 DC FF 75 D8 FF 75 D4 8B 45 FC 50 8B 00 FF 90 58 02 00 00 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 61 00 62 00 73 00 6F 00 6C 00 75 00 74 00 65 00 00 00 00 00 10 00 00 00 50 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_95404_0 {
	meta:
		name = "TCustomMarkupServices.SelectLeftToRightElements"
		size = 1132
		refs = "001a TCustomMarkupServices.SelectLeftToRightElements 0028 @IntfClear 0037 TWebBrowserEx.GetMarkupServices 004b TCustomMarkupServices.GetLeftPos 0097 OleCheck 00c6 @CheckAutoResult 00d6 @IntfCast 00fd Supports 0203 @IntfCopy 0215 @HandleAnyException 026c @DoneExcept 02cd EqualElements 02df IsRightOfOrEqualTo 03d4 IHTMLElement 03de @FinalizeArray 03ec @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0C 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 D0 8B 45 F8 8B 40 38 E8 ?? ?? ?? ?? 8B 45 D0 50 8B 00 FF 50 0C 8D 55 CC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 CC 50 8B 45 FC 50 8B 00 FF 50 30 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 6E 02 00 00 C7 45 D8 FF FF FF FF 8D 45 D6 50 8D 45 D8 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8D 45 DC 50 6A FF 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 83 7D F4 00 74 60 83 7D E8 00 75 5A 8D 45 C8 E8 ?? ?? ?? ?? 50 8D 45 C0 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8D 45 C4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 C8 50 8D 45 E8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 8B 45 DC 83 F8 04 0F 87 D0 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E9 BF 01 00 00 83 7D F0 00 E9 A7 01 00 00 83 7D F0 00 0F 85 32 01 00 00 8D 45 EC E8 ?? ?? ?? ?? 50 8D 45 BC 8B 55 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 50 8B 00 FF 90 A0 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 50 8D 45 B4 8B 55 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 66 83 7D B8 01 1B DB 43 84 DB 0F 84 41 01 00 00 83 7D E4 00 75 2A 8D 45 B0 E8 ?? ?? ?? ?? 50 8B 45 E8 50 8B 00 FF 90 3C 01 00 00 E8 ?? ?? ?? ?? 8B 55 B0 8D 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E4 00 0F 84 07 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 50 8B 45 E4 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 83 7D DC 02 75 0B 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 C9 00 00 00 E9 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 50 8D 45 A8 8B 55 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? 8B 55 AC 8D 45 E0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E0 00 74 12 8B 45 F4 50 8B 45 E0 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6B 8D 45 A4 E8 ?? ?? ?? ?? 50 8D 45 A0 8B 55 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? 8B 55 A4 8D 45 E0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E0 00 74 2B 8B 45 F4 50 8B 45 E0 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? EB 17 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 08 8D 45 F0 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 0F 84 83 FD FF FF 83 7D E4 00 74 20 8D 45 9C 8B 55 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? EB 14 83 7D E0 00 74 0E 8B 45 E0 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 52 FF FF FF 5F 5E 5B 8B E5 5D C3 25 44 2C 33 CB 26 D0 11 B4 83 00 C0 4F D9 01 19 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 58 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 5E F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B D8 F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 20 F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 9C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95405_0 {
	meta:
		name = "TCustomMarkupServices.SelectLeftElement"
		size = 964
		refs = "001b TCustomMarkupServices.SelectLeftElement 0048 @IntfClear 0059 TCustomMarkupServices.GetLeftPos 0067 OleCheck 008e @IntfCast 009f @CheckAutoResult 011e IID_IHTMLElement2 0124 Supports 0192 @HandleAnyException 01e9 @DoneExcept 02df IDispatch 02e9 @FinalizeArray 033f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 88 55 EB 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EA 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E0 8D 45 DE 50 8D 45 E0 50 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 E4 50 6A FF 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 CC 01 00 00 C6 45 EA 01 8D 45 EC E8 ?? ?? ?? ?? 50 8D 45 D4 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 50 8B 00 FF 90 A0 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 45 CC 8B 55 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 66 83 7D D0 01 1B DB 43 8D 45 C8 E8 ?? ?? ?? ?? 50 8D 45 C0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8D 45 C4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 C8 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 15 ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 DB 0F 84 BF 00 00 00 8D 45 BC E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 90 3C 01 00 00 E8 ?? ?? ?? ?? 8B 55 BC 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 DD 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 45 F4 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 B0 00 00 00 E9 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 50 8D 45 B4 8B 55 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? 8B 55 B8 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F0 00 74 12 8B 45 FC 50 8B 45 F0 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 52 8D 45 B0 E8 ?? ?? ?? ?? 50 8D 45 AC 8B 55 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? 8B 55 B0 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F0 00 74 12 8B 45 FC 50 8B 45 F0 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 83 7D F0 00 74 26 80 7D EB 00 74 10 6A FF 8B 45 F0 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? EB 24 83 7D F4 00 74 1E 8D 45 A8 8B 55 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 6A FF FF FF 0F B6 45 EA 5F 5E 5B 8B E5 5D C3 00 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 58 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 25 44 2C 33 CB 26 D0 11 B4 83 00 C0 4F D9 01 19 5E F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B D8 F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 20 F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 9C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95406_0 {
	meta:
		name = "TCustomMarkupServices.Remove"
		size = 192
		refs = "0010 TCustomMarkupServices.Remove 0020 TCustomMarkupServices.GetMarkupServices 003c TCustomMarkupServices.GetFinishPos 004a TCustomMarkupServices.GetStartPos 005c OleCheck 0066 sSetPointerError 006b LoadResString 0075 _Dn_Exception 007a Exception.Create 007f @RaiseExcept 0094 @UStrClr 009d IMarkupPointer2 00a7 @FinalizeArray 00af @IntfClear 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 38 83 7B 50 00 74 32 83 7B 58 00 74 2C 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? EB 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95407_0 {
	meta:
		name = "TCustomMarkupServices.RemoveElement"
		size = 121
		refs = "0015 @IntfAddRef 001d TCustomMarkupServices.RemoveElement 002d TCustomMarkupServices.GetMarkupServices 004b OleCheck 0060 @IntfClear 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 18 83 7D FC 00 74 12 8B 45 FC 50 8B 45 F8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95409_0 {
	meta:
		name = "TCustomMarkupServices.Select"
		size = 132
		refs = "0015 @IntfAddRef 001d TCustomMarkupServices.Select 0033 TElementArray 0038 @DynArraySetLength 0046 @IntfCopy 006b @DynArrayClear 0073 @IntfClear 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 01 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95410_0 {
	meta:
		name = "TCustomMarkupServices.Select"
		size = 380
		refs = "0019 @DynArrayAddRef 0021 TCustomMarkupServices.Select 0031 TCustomMarkupServices.GetDocument2 0043 @DynArrayLength 0055 @IntfClear 006e @CheckAutoResult 007e @IntfCast 0133 TElementArray 0138 @DynArrayClear 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 83 7D EC 00 0F 84 AA 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 77 43 33 F6 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 55 E4 8B C7 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 90 3C 01 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 04 B0 50 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 46 4B 75 8C 83 7D F8 00 74 1E 8D 45 F0 8B 55 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B2 5F 5E 5B 8B E5 5D C3 00 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 5E F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 9C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95411_0 {
	meta:
		name = "TCustomMarkupServices.SetDocument"
		size = 26
		refs = "0013 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 44 8D 43 68 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95412_0 {
	meta:
		name = "TCustomDisplayServices.ClearReferences"
		size = 36
		refs = "0006 TCustomWebBrowserServices.ClearReferences 000e @IntfClear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 4C E8 ?? ?? ?? ?? 8D 43 48 E8 ?? ?? ?? ?? 8D 43 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95413_0 {
	meta:
		name = "TCustomDisplayServices.CreateDisplayPointer"
		size = 128
		refs = "0011 TCustomDisplayServices.CreateDisplayPointer 001e @IntfClear 0028 TCustomDisplayServices.GetDisplayServices 004e OleCheck 0064 IDisplayServices 006e @FinalizeArray 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95414_0 {
	meta:
		name = "TCustomDisplayServices.GetCaret"
		size = 128
		refs = "0011 TCustomDisplayServices.GetCaret 001e @IntfClear 0028 TCustomDisplayServices.GetDisplayServices 004e OleCheck 0064 IDisplayServices 006e @FinalizeArray 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95415_0 {
	meta:
		name = "TCustomDisplayServices.GetDisplayServices"
		size = 164
		refs = "0012 TCustomDisplayServices.GetDisplayServices 002e TOleControl.GetIDispatchProp 0054 @IntfCast 005e @IntfCopy 0074 IDispatch 007e @FinalizeArray 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 38 85 F6 74 35 8D 4D FC BA CB 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 20 8D 4D F8 BA CB 00 00 00 8B 43 38 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 50 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 59 59 5D C3 00 00 00 9D F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95416_0 {
	meta:
		name = "TCustomDisplayServices.GetEndPtr"
		size = 96
		refs = "000f TCustomDisplayServices.GetEndPtr 0025 TCustomDisplayServices.CreateDisplayPointer 0030 @IntfCopy 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 4C 00 75 15 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 4C E8 ?? ?? ?? ?? 8B C6 8B 53 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95417_0 {
	meta:
		name = "TCustomDisplayServices.GetLinInfo"
		size = 143
		refs = "0011 TCustomDisplayServices.GetLinInfo 001e @IntfClear 0028 TCustomDisplayServices.CreateDisplayPointer 003c TCustomDisplayServices.GetCaret 004a OleCheck 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 32 8B 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95418_0 {
	meta:
		name = "TCustomDisplayServices.GetStartPtr"
		size = 96
		refs = "000f TCustomDisplayServices.GetStartPtr 0025 TCustomDisplayServices.CreateDisplayPointer 0030 @IntfCopy 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 48 00 75 15 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 48 E8 ?? ?? ?? ?? 8B C6 8B 53 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95422_0 {
	meta:
		name = "TCustomHighlightRenderingServices.GetHTMLRenderStyle"
		size = 96
		refs = "000f TCustomHighlightRenderingServices.GetHTMLRenderStyle 0025 TCustomHighlightRenderingServices.CreateRenderStyle 0030 @IntfCopy 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 48 00 75 15 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 48 E8 ?? ?? ?? ?? 8B C6 8B 53 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95419_0 {
	meta:
		name = "TCustomHighlightRenderingServices.ClearReferences"
		size = 20
		refs = "0006 TCustomWebBrowserServices.ClearReferences 000e @IntfClear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 4C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95420_0 {
	meta:
		name = "TCustomHighlightRenderingServices.CreateRenderStyle"
		size = 101
		refs = "000f TCustomHighlightRenderingServices.CreateRenderStyle 001c TCustomWebBrowserComponent.CheckDocumentAssigned 0023 @IntfClear 0031 TWebBrowserEx.GetDocument4 003f @CheckAutoResult 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 6A 00 8D 55 FC 8B 43 38 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95421_0 {
	meta:
		name = "TCustomHighlightRenderingServices.GetHighlightRenderingServices"
		size = 132
		refs = "000f TCustomHighlightRenderingServices.GetHighlightRenderingServices 001c TCustomWebBrowserComponent.CheckDocumentAssigned 0032 TOleControl.GetIDispatchProp 0042 @IntfCast 004c @IntfCopy 0061 @IntfClear 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7B 4C 00 75 20 8D 4D FC BA CB 00 00 00 8B 43 38 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 4C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 06 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95425_0 {
	meta:
		name = "TCustomMSHTMLParser.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f @IntfClear 001a TComponent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 3C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95428_0 {
	meta:
		name = "TCustomMSHTMLParser.GetDocument2"
		size = 504
		refs = "001a TCustomMSHTMLParser.GetDocument2 0032 @IntfClear 0038 IID_IHTMLDocument2 0042 CLASS_HTMLDocument 0048 CoCreateInstance 004d OleCheck 0063 @IntfCast 0120 _DV_TParserEventDispatch 0125 TObject.Create 0136 TEventDispatchEx.SetActive 0140 @IntfCopy 019b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 3C 00 0F 85 0C 01 00 00 8D 43 3C E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 6A 01 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B D3 85 D2 74 03 83 EA A8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 68 78 EA FF FF 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 E0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 45 D8 8B D3 85 D2 74 03 83 EA A8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 50 8B 45 FC 50 8B 00 FF 50 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 38 89 5E 24 B2 01 8B C6 E8 ?? ?? ?? ?? 8B C7 8B 53 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B0 5F 5E 5B 8B E5 5D C3 18 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 12 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 88 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 02 BC FB 9B F1 EF 1A 10 84 ED 00 AA 00 34 1D 07 84 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_95429_0 {
	meta:
		name = "TCustomMSHTMLParser.GetDocument3"
		size = 100
		refs = "000f TCustomMSHTMLParser.GetDocument3 001f TCustomMSHTMLParser.GetDocument2 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 85 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95431_0 {
	meta:
		name = "TCustomMSHTMLParser.Invoke"
		size = 44
		refs = "001a @VarFromInt"
	strings:
		$1 = { 55 8B EC 53 81 7D 0C 78 EA FF FF 75 15 BB 80 0F 00 00 8B 45 20 8B D3 B1 FC E8 ?? ?? ?? ?? 33 C0 EB 05 B8 03 00 02 80 5B 5D C2 24 00 }
	condition:
		$1
}

rule function_95433_0 {
	meta:
		name = "TCustomMSHTMLParser.LoadFromStream"
		size = 164
		refs = "0011 TCustomMSHTMLParser.LoadFromStream 0021 TCustomMSHTMLParser.GetDocument2 002d @IntfClear 003a Supports 0049 _Dn_TStreamAdapter 004e TStreamAdapter.Create 0064 OleCheck 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 26 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 EC 50 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 80 23 D5 7F 07 4E 1B 10 AE 2D 08 00 2B 2E C7 13 }
	condition:
		$1
}

rule function_95434_0 {
	meta:
		name = "TCustomMSHTMLParser.OnChanged"
		size = 159
		refs = "0019 TCustomMSHTMLParser.OnChanged 0045 GUID_NULL 0055 TCustomMSHTMLParser.GetDocument2 0081 @IntfClear 0089 @VarClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 81 7D 0C F3 FD FF FF 75 3F 6A 00 6A 00 8D 45 F0 50 8D 45 E0 50 6A 02 68 00 08 00 00 A1 ?? ?? ?? ?? 50 68 F3 FD FF FF 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 50 18 A9 00 00 00 80 0F 94 C0 84 C0 74 02 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_95440_0 {
	meta:
		name = "TCustomMSHTMLParser.SaveToStream"
		size = 220
		refs = "0013 TCustomMSHTMLParser.SaveToStream 0023 TCustomMSHTMLParser.GetDocument2 0031 sNoPageLoaded 0036 LoadResString 0040 _Dn_Exception 0045 Exception.Create 004a @RaiseExcept 0057 _Dn_TStreamAdapter 005c TStreamAdapter.Create 007e @IntfCast 008c OleCheck 00a1 @IntfClear 00b1 @UStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 EC 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 80 23 D5 7F 07 4E 1B 10 AE 2D 08 00 2B 2E C7 13 }
	condition:
		$1
}

rule function_95442_0 {
	meta:
		name = "TDocEventDispatch.AfterConstruction"
		size = 30
		refs = "0008 TObject.AfterConstruction 000d DIID_HTMLDocumentEvents2"
		altNames = "TParserEventDispatch.AfterConstruction"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B F0 8D 7B 10 A5 A5 A5 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97606_0 {
	meta:
		name = "THTMLElementEventDispatch.AfterConstruction"
		size = 30
		refs = "0008 TObject.AfterConstruction 000d DIID_HTMLElementEvents2"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B F0 8D 7B 10 A5 A5 A5 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97434_0 {
	meta:
		name = "TWebBrowserEvents2Dispatch.AfterConstruction"
		size = 30
		refs = "0008 TObject.AfterConstruction 000d DIID_DWebBrowserEvents2"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B F0 8D 7B 10 A5 A5 A5 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97430_0 {
	meta:
		name = "TWndEventDispatch.AfterConstruction"
		size = 30
		refs = "0008 TObject.AfterConstruction 000d DIID_HTMLWindowEvents2"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B F0 8D 7B 10 A5 A5 A5 A5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95443_0 {
	meta:
		name = "TParserEventDispatch.GetEventInterface"
		size = 34
		refs = "000a @IntfClear 001a TCustomMSHTMLParser.GetDocument2"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 7B 24 85 FF 74 09 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95444_0 {
	meta:
		name = "TParserEventDispatch.DoInvoke"
		size = 118
		refs = "002b TEventDispatchEx.DoInvoke 004a TCustomMSHTMLParser.DoReadyStateChange 005a TCustomMSHTMLParser.DoBeforeUpdate 006a TCustomMSHTMLParser.DoAfterUpdate"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 8B 45 20 50 0F B7 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B D6 8B C3 E8 ?? ?? ?? ?? 81 EE 04 00 01 80 74 1B 4E 74 28 81 EE 9A FD FE 7F 75 2E 8B 43 24 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 EB 1E 8B 43 24 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 EB 0E 8B 43 24 85 C0 74 05 E8 ?? ?? ?? ?? 33 C0 5E 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_95447_0 {
	meta:
		name = "TCustomHTMLTableDesigner.GetTypeDetail"
		size = 20
		altNames = "TSelectionServicesListenter.GetTypeDetail"
	strings:
		$1 = { 55 8B EC 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_95450_0 {
	meta:
		name = "TCustomWebBrowserChangeManager.CreateChangeLog"
		size = 196
		refs = "0010 TCustomWebBrowserChangeManager.CreateChangeLog 0038 TOleControl.GetIDispatchProp 004a @IntfClear 0061 @IntfCast 0070 TWebBrowserEx.GetPrimaryMarkupContainer 007e OleCheck 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 1C 01 75 62 80 7B 54 00 74 5C 83 7B 38 00 74 56 8D 4D FC BA CB 00 00 00 8B 43 38 E8 ?? ?? ?? ?? 83 7D FC 00 74 40 6A 01 6A 01 8D 43 50 E8 ?? ?? ?? ?? 50 8D 45 F8 8B D3 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B 43 38 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 4A F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95451_0 {
	meta:
		name = "TCustomWebBrowserChangeManager.ExecChange"
		size = 289
		refs = "0014 TCustomWebBrowserChangeManager.ExecChange 003e TOleControl.GetIDispatchProp 0053 TWebBrowserEx.GetPrimaryMarkupContainer 005f @IntfClear 0067 IID_IHTMLChangePlayback 006d Supports 0087 OleCheck 009f :TCustomWebBrowserChangeManager.:1 00a4 @DynArraySetLength 00b3 @DynArrayLength 0107 @DynArrayClear 0115 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 50 00 0F 84 B8 00 00 00 83 7E 38 00 0F 84 AE 00 00 00 8D 4D F0 BA CB 00 00 00 8B 46 38 E8 ?? ?? ?? ?? 83 7D F0 00 0F 84 94 00 00 00 8D 55 EC 8B 46 38 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8B 15 ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 6B 8D 45 F4 50 6A 00 6A 00 8B 46 50 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 83 7D F4 00 74 4F 8B 45 F4 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 45 F4 50 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 46 50 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 0F B6 C3 50 8B 45 F8 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95453_0 {
	meta:
		name = "TCustomWebBrowserChangeManager.Notification"
		size = 42
		refs = "0017 @IntfClear 0022 TCustomWebBrowserComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 80 FB 01 75 0D 3B 77 38 75 08 8D 47 50 E8 ?? ?? ?? ?? 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95454_0 {
	meta:
		name = "TCustomWebBrowserChangeManager.Notify"
		size = 35
	strings:
		$1 = { 55 8B EC 53 56 8B 45 08 33 DB 66 83 78 4A 00 74 0A 8B F0 8B D0 8B 46 4C FF 56 48 8B C3 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_95456_0 {
	meta:
		name = "TCustomWebBrowserChangeManager.SetActive"
		size = 36
		refs = "0014 TCustomWebBrowserChangeManager.CreateChangeLog 001e @IntfClear"
	strings:
		$1 = { 53 8B D8 3A 53 54 74 1A 8B C2 88 43 54 84 C0 74 09 8B C3 E8 ?? ?? ?? ?? EB 08 8D 43 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95459_0 {
	meta:
		name = "TCustomHTMLTableDesigner.Clear"
		size = 200
		refs = "0012 TCustomHTMLTableDesigner.Clear 0021 TCustomHTMLTableDesigner.SetColumnHighlight 002a TCustomHTMLTableDesigner.SetRowHighlight 0035 TWebBrowserEx.GetMarkupServices 0046 @IntfClear 009a TWebBrowserEx.SetOverrideCursor 00a2 RestoreBrowserCursor 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 43 38 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 58 8D 43 78 E8 ?? ?? ?? ?? 8D 83 80 00 00 00 E8 ?? ?? ?? ?? 8D 83 84 00 00 00 E8 ?? ?? ?? ?? C6 83 88 00 00 00 00 8D 43 7C E8 ?? ?? ?? ?? 33 C0 89 45 F8 33 C0 89 45 FC 8B 45 F8 89 83 8C 00 00 00 8B 45 FC 89 83 90 00 00 00 80 BB 94 00 00 00 00 74 12 33 D2 8B 43 38 E8 ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95460_0 {
	meta:
		name = "TCustomHTMLTableDesigner.CanDesignElement"
		size = 116
		refs = "000e @IntfAddRef 0016 TCustomHTMLTableDesigner.CanDesignElement 0026 TCustomHTMLEditDesigner.IsPrimaryDocumentElement 003c TWebBrowserEx.GetIsEditableElement 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1A 0F B6 0D ?? ?? ?? ?? 8B 55 FC 8B 43 38 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_95461_0 {
	meta:
		name = "TCustomHTMLTableDesigner.Create"
		size = 75
		refs = "000a @ClassCreate 0017 TComponent.Create 0022 @UStrClr 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 A0 00 00 00 E8 ?? ?? ?? ?? 8D 86 A4 00 00 00 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_95462_0 {
	meta:
		name = "TCustomHTMLTableDesigner.DoMouseDown"
		size = 2604
		refs = "001c @IntfAddRef 0024 TCustomHTMLTableDesigner.DoMouseDown 0043 @CheckAutoResult 0055 @IntfClear 007d Supports 00da TCustomHTMLTableDesigner.CanDesignElement 0121 TCustomHTMLTableDesigner.OnTable 0167 TCustomHTMLTableDesigner.OnCell 018a @WStrFromUStr 0199 TWebBrowserEx.GetMarkupServices 01ad @IntfCopy 01e5 Mouse 01ec TMouse.GetCursorPos 0229 TCustomHTMLTableDesigner.SetRowHighlight 03ca @OleVarFromInt 05c8 @IntfCast 0836 TCustomHTMLTableDesigner.SetColumnHighlight 085f OleVariant 0869 @FinalizeArray 088b IHTMLElementCollection 094b IHTMLElement 0965 @WStrClr 09c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 29 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 E0 01 00 00 00 8D 45 D8 50 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 83 7D D8 01 0F 85 EE 07 00 00 8D 45 D4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 D4 50 8D 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 75 38 8D 45 D0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 D0 50 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 82 07 00 00 8D 45 CC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 55 CC 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 59 07 00 00 83 7D EC 00 74 46 8D 45 D8 50 8B 45 FC 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? 8B 45 D8 50 8D 45 E4 50 8D 45 C8 50 8B 45 FC 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 8B 4D C8 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 88 45 DF 8D 45 F0 E8 ?? ?? ?? ?? EB 3C 8D 45 D8 50 8B 45 FC 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? 8B 45 D8 50 8D 45 E4 50 8D 45 C8 50 8B 45 FC 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 8B 4D C8 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 88 45 DF 0F B6 45 DF FE C8 74 0D FE C8 0F 84 B9 00 00 00 E9 BC 06 00 00 8D 45 C4 8B 53 08 E8 ?? ?? ?? ?? 8B 45 C4 50 8D 55 C0 8B 43 38 E8 ?? ?? ?? ?? 8B 45 C0 50 8B 00 FF 50 54 8D 43 7C 8B 55 EC E8 ?? ?? ?? ?? C6 83 88 00 00 00 01 8D 83 80 00 00 00 8B 55 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 3F 8D 55 B8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 B8 89 83 8C 00 00 00 8B 45 BC 89 83 90 00 00 00 8D 45 D8 50 8B 45 F8 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 89 83 8C 00 00 00 8B 93 A4 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 E0 E9 08 06 00 00 8D 45 B4 8B 53 08 E8 ?? ?? ?? ?? 8B 45 B4 50 8D 55 B0 8B 43 38 E8 ?? ?? ?? ?? 8B 45 B0 50 8B 00 FF 50 54 BE 01 00 00 00 83 7D F0 00 0F 84 2E 01 00 00 8D 45 AC E8 ?? ?? ?? ?? 50 8D 45 A8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 A8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 AC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 06 05 00 00 8D 45 A4 E8 ?? ?? ?? ?? 50 8D 45 A0 E8 ?? ?? ?? ?? 50 8D 45 9C E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 9C 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 A0 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 A4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 AC 04 00 00 8D 45 98 E8 ?? ?? ?? ?? 50 8D 45 94 E8 ?? ?? ?? ?? 50 8D 45 90 E8 ?? ?? ?? ?? 50 8D 45 8C E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 8C 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 90 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 94 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 98 50 8D 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? E9 1B 04 00 00 8D 45 E8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 0F 84 ED 02 00 00 8D 45 88 E8 ?? ?? ?? ?? 50 8D 85 78 FF FF FF 33 D2 B1 01 E8 ?? ?? ?? ?? FF 75 84 FF 75 80 FF B5 7C FF FF FF FF B5 78 FF FF FF 8D 85 68 FF FF FF 33 D2 B1 01 E8 ?? ?? ?? ?? FF B5 74 FF FF FF FF B5 70 FF FF FF FF B5 6C FF FF FF FF B5 68 FF FF FF 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 E8 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 85 64 FF FF FF 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 45 88 50 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 50 02 00 00 E9 75 01 00 00 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 50 8D 85 50 FF FF FF 8B D6 B1 FC E8 ?? ?? ?? ?? FF B5 5C FF FF FF FF B5 58 FF FF FF FF B5 54 FF FF FF FF B5 50 FF FF FF 8D 85 40 FF FF FF 8B D6 B1 FC E8 ?? ?? ?? ?? FF B5 4C FF FF FF FF B5 48 FF FF FF FF B5 44 FF FF FF FF B5 40 FF FF FF 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 50 8B 45 E8 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 85 3C FF FF FF 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 A2 01 00 00 8D 45 D8 50 8B 45 FC 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 8B 7D D8 8D 45 C8 50 8B 45 F8 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 3B 7D C8 0F 8E 6F 01 00 00 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 50 8D 85 28 FF FF FF 8B D6 B1 FC E8 ?? ?? ?? ?? FF B5 34 FF FF FF FF B5 30 FF FF FF FF B5 2C FF FF FF FF B5 28 FF FF FF 8D 85 18 FF FF FF 8B D6 B1 FC E8 ?? ?? ?? ?? FF B5 24 FF FF FF FF B5 20 FF FF FF FF B5 1C FF FF FF FF B5 18 FF FF FF 8D 85 14 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 E8 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 85 14 FF FF FF 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 95 38 FF FF FF 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 8D 45 D8 50 8D 85 10 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 E8 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 3B 75 D8 0F 8C 53 FE FF FF E9 99 00 00 00 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 50 8D 85 FC FE FF FF 8B D6 B1 FC E8 ?? ?? ?? ?? FF B5 08 FF FF FF FF B5 04 FF FF FF FF B5 00 FF FF FF FF B5 FC FE FF FF 8D 85 EC FE FF FF 8B D6 B1 FC E8 ?? ?? ?? ?? FF B5 F8 FE FF FF FF B5 F4 FE FF FF FF B5 F0 FE FF FF FF B5 EC FE FF FF 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 50 8B 45 E8 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 85 E8 FE FF FF 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 95 0C FF FF FF 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 8D 45 D8 50 8D 85 E4 FE FF FF E8 ?? ?? ?? ?? 50 8B 45 E8 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 85 E4 FE FF FF 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 3B 75 D8 0F 8D D7 00 00 00 8D 45 C8 50 8D 85 DC FE FF FF E8 ?? ?? ?? ?? 50 8D 85 CC FE FF FF 8B D6 B1 FC E8 ?? ?? ?? ?? FF B5 D8 FE FF FF FF B5 D4 FE FF FF FF B5 D0 FE FF FF FF B5 CC FE FF FF 8D 85 BC FE FF FF 8B D6 B1 FC E8 ?? ?? ?? ?? FF B5 C8 FE FF FF FF B5 C4 FE FF FF FF B5 C0 FE FF FF FF B5 BC FE FF FF 8D 85 B8 FE FF FF E8 ?? ?? ?? ?? 50 8B 45 E8 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 85 B8 FE FF FF 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 95 DC FE FF FF 8D 85 E0 FE FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 E0 FE FF FF 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 8B 7D C8 8D 85 B4 FE FF FF 50 8B 45 FC 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 3B BD B4 FE FF FF 0F 8C 58 FE FF FF 83 7D F4 00 0F 84 83 00 00 00 8D 83 84 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8D 43 78 8B 55 F0 E8 ?? ?? ?? ?? 8D 83 80 00 00 00 8B 55 E4 E8 ?? ?? ?? ?? 8D 43 7C 8B 55 EC E8 ?? ?? ?? ?? 8D 55 B8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 B8 89 83 8C 00 00 00 8B 45 BC 89 83 90 00 00 00 8D 45 D8 50 8B 45 F4 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 89 83 90 00 00 00 8B 93 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 89 45 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 B8 FE FF FF E8 ?? ?? ?? ?? 8D 85 BC FE FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 DC FE FF FF E8 ?? ?? ?? ?? 8D 85 E0 FE FF FF E8 ?? ?? ?? ?? 8D 85 E4 FE FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 EC FE FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 8D 85 10 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 18 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 8D 85 40 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 8D 85 68 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C 8B 15 ?? ?? ?? ?? B9 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 7A FE FF FF 8B 45 E0 5F 5E 5B 8B E5 5D C3 1E F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 3D F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 3C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 3B F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95463_0 {
	meta:
		name = "UpdateOverrideCursor"
		size = 89
		refs = "0036 TWebBrowserEx.SetOverrideCursor 0053 RestoreBrowserCursor"
	strings:
		$1 = { 55 8B EC 84 C0 0F 95 C2 8B 4D 08 8B 49 FC 3A 91 94 00 00 00 74 41 84 C0 0F 95 C2 8B 4D 08 8B 49 FC 88 91 94 00 00 00 84 C0 0F 95 C2 8B 45 08 8B 40 FC 8B 40 38 E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 80 B8 94 00 00 00 00 75 0E 8B 45 08 8B 40 FC 8B 40 38 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule function_95464_0 {
	meta:
		name = "TCustomHTMLTableDesigner.DoMouseMove"
		size = 1140
		refs = "001d @IntfAddRef 0025 TCustomHTMLTableDesigner.DoMouseMove 0042 @CheckAutoResult 005d @IntfClear 0085 Supports 00af TCustomHTMLTableDesigner.CanDesignElement 00f1 TCustomHTMLTableDesigner.OnTable 0109 GetModuleHandle 0118 @UStrLAsg 0120 @UStrToPWChar 0127 LoadCursor 012d SetCursor 0165 UpdateOverrideCursor 021f @IntfCopy 028e TCustomHTMLTableDesigner.OnCell 0332 Mouse 0339 TMouse.GetCursorPos 0356 TCustomHTMLTableDesigner.SetColumnHeight 0384 TCustomHTMLTableDesigner.SetColumnWidth 039a IHTMLElement 03a4 @FinalizeArray 03c4 @UStrArrayClr 03e5 IHTMLTableRow2 03fd @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F8 89 45 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 8D 45 D0 50 8B 45 F8 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 8B 45 D0 83 E8 01 72 0B 0F 84 C0 02 00 00 E9 2F 03 00 00 8D 45 CC E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 CC 50 8D 45 E4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 DE 00 00 00 8D 45 C8 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 55 C8 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 B4 00 00 00 8D 45 D0 50 8B 45 F8 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? 8B 45 D0 50 8D 45 F4 50 8D 45 C4 50 8B 45 F8 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 8B 4D C4 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 FE C8 74 06 FE C8 74 32 EB 5E 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 2E 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 55 8B C3 E8 ?? ?? ?? ?? 59 E9 19 02 00 00 8D 45 C0 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 C0 50 8D 45 E8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 62 01 00 00 8D 45 BC E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 55 BC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 38 01 00 00 8D 45 EC E8 ?? ?? ?? ?? 50 8D 45 B8 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 B8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? EB 22 8D 45 B4 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 55 B4 8D 45 EC E8 ?? ?? ?? ?? 83 7D EC 00 74 1B 8D 45 E4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 BD 83 7D EC 00 75 0E 55 33 C0 E8 ?? ?? ?? ?? 59 E9 30 01 00 00 8D 45 D0 50 8B 45 F8 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? 8B 45 D0 50 8D 45 F0 50 8D 45 C4 50 8B 45 F8 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 8B 4D C4 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C3 FE C8 74 06 FE C8 74 32 EB 5E 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 2E 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 55 8B C3 E8 ?? ?? ?? ?? 59 EB 7F 55 33 C0 E8 ?? ?? ?? ?? 59 EB 74 8B 45 FC 83 B8 80 00 00 00 00 74 68 33 F6 8B 45 FC 80 B8 88 00 00 00 00 74 2E 8D 55 AC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 B0 8B 45 FC 2B 90 90 00 00 00 8B 45 FC 03 90 8C 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 2C 8D 55 AC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 AC 8B 45 FC 2B 90 8C 00 00 00 8B 45 FC 03 90 90 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 92 8B C6 5F 5E 5B 8B E5 5D C3 1E F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 4D 00 53 00 48 00 54 00 4D 00 4C 00 2E 00 44 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 23 00 39 00 38 00 30 00 34 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 23 00 39 00 38 00 30 00 35 00 00 00 3D F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95467_0 {
	meta:
		name = "TCustomHTMLTableDesigner.SetColumnHighlight"
		size = 808
		refs = "001c TCustomHTMLTableDesigner.SetColumnHighlight 0041 @IntfClear 0053 Supports 0079 @CheckAutoResult 00ab @OleVarFromInt 020d @OleVarFromUStr 026f @VarClr 0280 OleVariant 028a @FinalizeArray 029b IHTMLElementCollection 02e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 10 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 84 00 00 00 00 0F 84 20 02 00 00 83 7B 7C 00 0F 84 16 02 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 F4 01 00 00 8D 45 EC 50 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 43 7C 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 7D EC 4F 85 FF 0F 8C BC 01 00 00 47 33 F6 8D 45 E4 E8 ?? ?? ?? ?? 50 8D 45 D4 8B D6 B1 FC E8 ?? ?? ?? ?? FF 75 E0 FF 75 DC FF 75 D8 FF 75 D4 8D 45 C4 8B D6 B1 FC E8 ?? ?? ?? ?? FF 75 D0 FF 75 CC FF 75 C8 FF 75 C4 8D 45 C0 E8 ?? ?? ?? ?? 50 8B 43 7C 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 45 E4 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 2F 01 00 00 8D 45 EC 50 8D 45 BC E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 B8 50 8B 45 FC 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 58 3B 45 B8 0F 8E E6 00 00 00 8D 45 B4 E8 ?? ?? ?? ?? 50 8D 45 EC 50 8B 45 FC 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 8B 55 EC 8D 45 A4 B1 FC E8 ?? ?? ?? ?? FF 75 B0 FF 75 AC FF 75 A8 FF 75 A4 8D 45 B8 50 8B 45 FC 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 8B 55 B8 8D 45 94 B1 FC E8 ?? ?? ?? ?? FF 75 A0 FF 75 9C FF 75 98 FF 75 94 8D 45 90 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 90 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 45 B4 50 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 45 8D 45 80 8B 55 F0 E8 ?? ?? ?? ?? FF 75 8C FF 75 88 FF 75 84 FF 75 80 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 90 84 01 00 00 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 46 4F 0F 85 47 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 94 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 71 FF FF FF 5F 5E 5B 8B E5 5D C3 00 00 3D F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 3C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95468_0 {
	meta:
		name = "TCustomHTMLTableDesigner.OnCell"
		size = 516
		refs = "0022 @IntfAddRef 002a TCustomHTMLTableDesigner.OnCell 003c @IntfClear 004b Supports 0060 @CheckAutoResult 01be @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 89 55 FC 8B 75 0C 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 F4 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 8B 7D EC 83 EF 05 8D 45 EC 50 8B 45 F4 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 3B FB 0F 8F 80 00 00 00 3B C3 7E 7C 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 E8 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 48 8D 45 EC 50 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 5D EC 4B 8D 45 E0 50 8B 45 FC 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 3B 5D E0 7E 04 C6 45 F3 02 8D 45 EC 50 8B 45 F4 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 8B 5D EC 83 EB 04 8D 45 EC 50 8B 45 F4 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 3B DE 7F 08 3B C6 7E 04 C6 45 F3 01 80 7D F3 00 74 30 8D 45 DC E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 08 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 3C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B A1 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95469_0 {
	meta:
		name = "TCustomHTMLTableDesigner.OnChangeType"
		size = 121
		refs = "000f TCustomHTMLTableDesigner.OnChangeType 001d @IntfClear 0029 TWebBrowserEx.GetDocument2 0037 @CheckAutoResult 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B 43 38 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_95471_0 {
	meta:
		name = "TCustomHTMLTableDesigner.OnTable"
		size = 1076
		refs = "0021 @IntfAddRef 0029 TCustomHTMLTableDesigner.OnTable 0048 @VarClr 0057 @CheckAutoResult 0065 @OleVarFromUStr 006e @VarCmpNE 008f @VarToInteger 009e @IntfClear 00e2 @OleVarFromInt 0150 @IntfCast 0234 Supports 0315 Rect 032c PtInRect 037b OleVariant 0385 @FinalizeArray 039c IHTMLElementCollection 03e8 IHTMLElement 0400 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 18 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F0 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 83 7D FC 00 0F 84 1C 03 00 00 33 C0 89 45 EC 8D 45 C0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8D 45 C0 50 8D 45 B0 33 D2 E8 ?? ?? ?? ?? 8D 55 B0 58 E8 ?? ?? ?? ?? 74 22 8D 45 A0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 89 45 EC 8D 45 9C 50 8D 45 98 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 8B 45 98 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 7D 9C 4F 85 FF 0F 8C 8D 02 00 00 47 33 F6 8D 45 94 E8 ?? ?? ?? ?? 50 8D 45 84 8B D6 B1 FC E8 ?? ?? ?? ?? FF 75 90 FF 75 8C FF 75 88 FF 75 84 8D 85 74 FF FF FF 8B D6 B1 FC E8 ?? ?? ?? ?? FF 75 80 FF B5 7C FF FF FF FF B5 78 FF FF FF FF B5 74 FF FF FF 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 55 94 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 9C 50 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 9C 48 3B F0 0F 8D EF 00 00 00 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 50 8D 85 58 FF FF FF 8D 56 01 B1 FC E8 ?? ?? ?? ?? FF B5 64 FF FF FF FF B5 60 FF FF FF FF B5 5C FF FF FF FF B5 58 FF FF FF 8D 85 48 FF FF FF 8D 56 01 B1 FC E8 ?? ?? ?? ?? FF B5 54 FF FF FF FF B5 50 FF FF FF FF B5 4C FF FF FF FF B5 48 FF FF FF 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 8B 85 44 FF FF FF 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 50 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 45 8D 45 9C 50 8B 45 F8 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 9C 89 45 E8 8D 45 9C 50 8B 45 F8 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 9C 83 C0 04 8B 55 0C 3B 55 E8 7C 07 3B 45 0C 7E 02 B3 01 84 DB 0F 85 AD 00 00 00 8D 45 9C 50 8B 45 F8 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 9C 50 8D 85 40 FF FF FF 50 8B 45 F8 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 58 03 85 40 FF FF FF 83 E8 02 40 50 8D 45 D0 50 8D 85 3C FF FF FF 50 8B 45 F8 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 8B 85 3C FF FF FF 83 E8 02 50 8D 85 38 FF FF FF 50 8B 45 F8 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 95 38 FF FF FF 83 C2 02 8B 45 EC 83 C0 02 59 E8 ?? ?? ?? ?? 8B 45 F0 89 45 E0 8B 45 0C 89 45 E4 8D 55 E0 8D 45 D0 E8 ?? ?? ?? ?? 84 C0 74 02 B3 02 84 DB 74 19 8B 45 08 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? EB 08 46 4F 0F 85 76 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 8D 85 48 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8D 85 6C FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 74 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 5F FF FF FF 8B C3 5F 5E 5B 8B E5 5D C2 08 00 FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B A1 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95472_0 {
	meta:
		name = "TCustomHTMLTableDesigner.PreHandleEvent"
		size = 296
		refs = "001b TCustomHTMLTableDesigner.PreHandleEvent 0029 TCustomHTMLEditDesigner.PreHandleEvent 0071 @CheckAutoResult 0094 @OleVarFromInt 00c0 TCustomHTMLTableDesigner.SetColumnWidth 00c7 TCustomHTMLTableDesigner.Clear 00d2 TCustomHTMLTableDesigner.DoMouseDown 00f8 TCustomHTMLTableDesigner.DoMouseMove 0110 @VarClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 56 53 E8 ?? ?? ?? ?? 89 45 FC 81 EE A1 FD FF FF 0F 84 9F 00 00 00 4E 0F 84 B0 00 00 00 4E 0F 84 83 00 00 00 83 EE 03 0F 85 AC 00 00 00 83 BB 80 00 00 00 00 75 0A 83 7B 78 00 0F 84 99 00 00 00 8D 45 F8 50 57 8B 07 FF 50 48 E8 ?? ?? ?? ?? 83 7D F8 1B 0F 85 80 00 00 00 80 BB 88 00 00 00 00 74 2F 8D 45 E8 8B 93 8C 00 00 00 B1 FC E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 FF 75 EC FF 75 E8 8B 83 80 00 00 00 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? EB 0D 8B 93 90 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 32 8B D7 8B C3 E8 ?? ?? ?? ?? 89 45 FC EB 24 83 BB 80 00 00 00 00 75 06 83 7B 78 00 74 15 8B C3 E8 ?? ?? ?? ?? EB 0C 8B D7 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_95473_0 {
	meta:
		name = "TCustomHTMLTableDesigner.SetColumnHeight"
		size = 668
		refs = "0019 TCustomHTMLTableDesigner.SetColumnHeight 0027 @IntfClear 0039 Supports 0043 GetModuleHandle 0052 @UStrLAsg 005a @UStrToPWChar 0061 LoadCursor 0067 SetCursor 006f Mouse 0076 TMouse.GetCursorPos 00a8 @CheckAutoResult 00da @OleVarFromInt 0166 IntToStr 0173 @UStrCat 017e @OleVarFromUStr 01d7 @UStrClr 01df @VarClr 01f0 OleVariant 01fa @FinalizeArray 0228 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 55 EC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 F0 2B 86 90 00 00 00 03 86 8C 00 00 00 85 C0 0F 8E 2D 01 00 00 8D 45 E8 50 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 7D E8 4F 85 FF 0F 8C F8 00 00 00 47 33 DB 8D 45 E0 E8 ?? ?? ?? ?? 50 8D 45 D0 8B D3 B1 FC E8 ?? ?? ?? ?? FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 8D 45 C0 8B D3 B1 FC E8 ?? ?? ?? ?? FF 75 CC FF 75 C8 FF 75 C4 FF 75 C0 8D 45 BC E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 45 E0 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 72 8D 55 EC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 45 F0 2B 86 90 00 00 00 03 86 8C 00 00 00 8D 55 A8 E8 ?? ?? ?? ?? 8D 45 A8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 8D 45 AC E8 ?? ?? ?? ?? FF 75 B8 FF 75 B4 FF 75 B0 FF 75 AC 8D 45 A4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 A4 50 8B 00 FF 90 F4 01 00 00 E8 ?? ?? ?? ?? 43 4F 0F 85 0B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 9D 5F 5E 5B 8B E5 5D C3 00 00 00 3C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 4D 00 53 00 48 00 54 00 4D 00 4C 00 2E 00 44 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 23 00 39 00 38 00 30 00 34 00 00 00 FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B B0 04 02 00 FF FF FF FF 02 00 00 00 70 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_95474_0 {
	meta:
		name = "TCustomHTMLTableDesigner.SetColumnWidth"
		size = 960
		refs = "001c TCustomHTMLTableDesigner.SetColumnWidth 005a GetModuleHandle 0069 @UStrLAsg 0071 @UStrToPWChar 0078 LoadCursor 007e SetCursor 0095 @IntfCast 00a3 @CheckAutoResult 00b5 @IntfClear 00f9 @OleVarFromInt 015e Supports 0226 IntToStr 0236 @UStrCat 0247 @OleVarFromUStr 02af @UStrClr 02ba @VarClr 02cb OleVariant 02d5 @FinalizeArray 02e6 IHTMLElementCollection 0339 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 11 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F0 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F0 01 0F 8C 60 02 00 00 83 BE 84 00 00 00 00 0F 84 53 02 00 00 83 BE 80 00 00 00 00 0F 84 46 02 00 00 83 7E 7C 00 0F 84 3C 02 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 E8 50 8D 45 E4 8B 96 84 00 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 8B 45 E8 89 45 EC 8D 45 E8 50 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 46 7C 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 7D E8 4F 85 FF 0F 8C AB 01 00 00 47 33 DB 8D 45 DC E8 ?? ?? ?? ?? 50 8D 45 CC 8B D3 B1 FC E8 ?? ?? ?? ?? FF 75 D8 FF 75 D4 FF 75 D0 FF 75 CC 8D 45 BC 8B D3 B1 FC E8 ?? ?? ?? ?? FF 75 C8 FF 75 C4 FF 75 C0 FF 75 BC 8D 45 B8 E8 ?? ?? ?? ?? 50 8B 46 7C 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 45 DC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 1E 01 00 00 8D 45 E8 50 8D 45 B4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 B4 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 E8 3B 45 EC 0F 8E E9 00 00 00 8D 45 B0 E8 ?? ?? ?? ?? 50 8D 45 A0 8B 55 EC B1 FC E8 ?? ?? ?? ?? FF 75 AC FF 75 A8 FF 75 A4 FF 75 A0 8D 45 90 8B 55 EC B1 FC E8 ?? ?? ?? ?? FF 75 9C FF 75 98 FF 75 94 FF 75 90 8D 45 8C E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 8C 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 45 B0 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 6C 8D 95 78 FF FF FF 8B 45 F0 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8D 85 7C FF FF FF E8 ?? ?? ?? ?? FF 75 88 FF 75 84 FF 75 80 FF B5 7C FF FF FF 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 50 8B 00 FF 90 EC 01 00 00 E8 ?? ?? ?? ?? 43 4F 0F 85 58 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 5B FF FF FF 5F 5E 5B 8B E5 5D C3 00 00 00 4D 00 53 00 48 00 54 00 4D 00 4C 00 2E 00 44 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 23 00 39 00 38 00 30 00 35 00 00 00 3D F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 3C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B B0 04 02 00 FF FF FF FF 02 00 00 00 70 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_95475_0 {
	meta:
		name = "TCustomHTMLTableDesigner.SetRowHighlight"
		size = 200
		refs = "0015 TCustomHTMLTableDesigner.SetRowHighlight 002c @IntfClear 003e Supports 004c @OleVarFromUStr 0072 @CheckAutoResult 009d @VarClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 80 00 00 00 00 74 5C 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 3E 8D 45 EC 8B D6 E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 90 84 01 00 00 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95476_0 {
	meta:
		name = "TCustomHTMLDragDropDesigner.Clear"
		size = 14
		refs = "0009 TCustomHTMLDragDropDesigner.RestoreCursor"
	strings:
		$1 = { C6 40 78 00 C6 40 79 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95477_0 {
	meta:
		name = "TCustomHTMLDragDropDesigner.RestoreCursor"
		size = 29
		refs = "000f TWebBrowserEx.SetOverrideCursor 0017 RestoreBrowserCursor"
	strings:
		$1 = { 53 8B D8 80 7B 7A 00 74 12 33 D2 8B 43 38 E8 ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95479_0 {
	meta:
		name = "TCustomHTMLDragDropDesigner.DoDragDrop"
		size = 111
		refs = "0010 @IntfAddRef 0018 TCustomHTMLDragDropDesigner.DoDragDrop 0049 TCustomHTMLDragDropDesigner.Clear 005e @IntfClear 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 9A 00 00 00 00 74 21 33 C0 89 45 F8 8D 45 F8 50 8B 4D FC 8B D3 8B 83 9C 00 00 00 FF 93 98 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95480_0 {
	meta:
		name = "TCustomHTMLDragDropDesigner.DoDragLeave"
		size = 92
		refs = "000e @IntfAddRef 0016 TCustomHTMLDragDropDesigner.DoDragLeave 004c @IntfClear 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 8A 00 00 00 00 74 11 8B 4D FC 8B D3 8B 83 8C 00 00 00 FF 93 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_95481_0 {
	meta:
		name = "TCustomHTMLDragDropDesigner.DoDragEnter"
		size = 114
		refs = "0010 @IntfAddRef 0018 TCustomHTMLDragDropDesigner.DoDragEnter 0061 @IntfClear 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 82 00 00 00 00 74 24 33 C0 89 45 F8 8D 45 F8 50 8B 4D FC 8B D3 8B 83 84 00 00 00 FF 93 80 00 00 00 83 7D F8 00 74 04 C6 43 79 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95482_0 {
	meta:
		name = "TCustomHTMLDragDropDesigner.DoDragOver"
		size = 126
		refs = "0010 @IntfAddRef 0018 TCustomHTMLDragDropDesigner.DoDragOver 006d @IntfClear 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 92 00 00 00 00 74 2C 33 C0 89 45 F8 8D 45 F8 50 8B 4D FC 8B D3 8B 83 94 00 00 00 FF 93 90 00 00 00 83 7D F8 00 74 06 C6 43 78 01 EB 0A C6 43 78 00 EB 04 C6 43 78 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95483_0 {
	meta:
		name = "TCustomHTMLDragDropDesigner.DoMouseDown"
		size = 141
		refs = "0011 @IntfAddRef 0019 TCustomHTMLDragDropDesigner.DoMouseDown 003c @CheckAutoResult 0054 TCustomHTMLDragDropDesigner.DoDragDrop 005b TCustomHTMLDragDropDesigner.Clear 0079 @IntfClear 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 80 7B 79 00 74 3A 8D 45 F8 50 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 83 7D F8 01 75 22 80 7B 78 00 74 15 33 F6 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95484_0 {
	meta:
		name = "TCustomHTMLDragDropDesigner.DoSetCursor"
		size = 61
		refs = "0030 LoadCursor 0036 SetCursor"
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 B8 A2 00 00 00 00 74 12 8B CC 8B D8 8B D0 8B 83 A4 00 00 00 FF 93 A0 00 00 00 80 3C 24 00 75 12 68 03 7F 00 00 6A 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_95485_0 {
	meta:
		name = "TCustomHTMLDragDropDesigner.DoMouseMove"
		size = 217
		refs = "0012 @IntfAddRef 001a TCustomHTMLDragDropDesigner.DoMouseMove 003b @CheckAutoResult 0057 TCustomHTMLDragDropDesigner.DoDragEnter 0063 TCustomHTMLDragDropDesigner.DoDragOver 0081 TWebBrowserEx.SetOverrideCursor 008e TCustomHTMLDragDropDesigner.DoSetCursor 009c LoadCursor 00a2 SetCursor 00af TCustomHTMLDragDropDesigner.RestoreCursor 00c4 @IntfClear 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BF 01 00 00 00 0F B6 5E 79 8D 45 F8 50 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 8B 45 F8 83 E8 01 72 04 74 20 EB 26 80 7E 79 00 75 0C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 14 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 08 80 7E 79 00 74 02 33 FF 80 7E 79 00 74 31 C6 46 7A 01 B2 01 8B 46 38 E8 ?? ?? ?? ?? 80 7E 78 00 74 09 8B C6 E8 ?? ?? ?? ?? EB 1F 68 88 7F 00 00 6A 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? EB 0B 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95486_0 {
	meta:
		name = "TCustomHTMLDragDropDesigner.DoMouseUp"
		size = 49
		refs = "0008 TCustomHTMLDragDropDesigner.DoMouseUp 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_96822_0 {
	meta:
		name = "TAdapterUpdateField.ConvertValueCount"
		size = 49
		refs = "0008 TAdapterUpdateField.ConvertValueCount 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_95489_0 {
	meta:
		name = "TCustomHTMLDragDropDesigner.DoCancel"
		size = 49
		refs = "0008 TCustomHTMLDragDropDesigner.DoCancel 0026 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B C3 5B 5D C3 }
	condition:
		$1
}

rule function_95487_0 {
	meta:
		name = "TCustomHTMLDragDropDesigner.DoMouseOut"
		size = 126
		refs = "0011 @IntfAddRef 0019 TCustomHTMLDragDropDesigner.DoMouseOut 0036 @CheckAutoResult 004e TCustomHTMLDragDropDesigner.DoDragLeave 0055 TCustomHTMLDragDropDesigner.Clear 006a @IntfClear 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 8D 45 F8 50 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 8B 45 F8 83 E8 01 73 17 80 7B 79 00 74 11 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95488_0 {
	meta:
		name = "TCustomHTMLDragDropDesigner.PreHandleEvent"
		size = 436
		refs = "0018 TCustomHTMLDragDropDesigner.PreHandleEvent 0029 TCustomHTMLEditDesigner.PreHandleEvent 00c4 @CheckAutoResult 00d8 TCustomHTMLDragDropDesigner.DoCancel 00e9 TCustomHTMLDragDropDesigner.DoMouseDown 00fa TCustomHTMLDragDropDesigner.DoMouseUp 0108 TCustomHTMLDragDropDesigner.DoMouseMove 0114 @IntfClear 0130 Supports 013e TCustomHTMLDragDropDesigner.DoMouseOut 0193 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 8B 75 0C 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 56 53 E8 ?? ?? ?? ?? 8B F8 81 FE 0B 04 00 00 7F 51 0F 84 25 01 00 00 81 FE A3 FD FF FF 7F 2A 0F 84 98 00 00 00 81 EE 09 00 01 80 0F 84 B9 00 00 00 81 EE 98 FD FE 7F 0F 84 91 00 00 00 4E 0F 84 98 00 00 00 E9 0D 01 00 00 81 EE A6 FD FF FF 74 3F 81 EE 52 06 00 00 0F 84 F4 00 00 00 E9 F4 00 00 00 81 C6 F2 FB FF FF 83 FE 05 0F 87 E5 00 00 00 FF 24 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 FC 50 8B 45 10 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 83 7D FC 1B 0F 85 AA 00 00 00 8B 55 10 8B C3 E8 ?? ?? ?? ?? 8B F8 E9 99 00 00 00 8B 55 10 8B C3 E8 ?? ?? ?? ?? 8B F8 E9 88 00 00 00 8B 55 10 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 7A 8B 55 10 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 6C 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 10 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 44 8B 55 10 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 36 BF 01 00 00 00 EB 2F BF 01 00 00 00 EB 28 BF 01 00 00 00 EB 21 BF 01 00 00 00 EB 1A BF 01 00 00 00 EB 13 BF 01 00 00 00 EB 0C BF 01 00 00 00 EB 05 BF 01 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 59 5D C2 0C 00 D8 F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95491_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.InClickableRegion"
		size = 85
		refs = "0010 @IntfAddRef 0018 TCustomHTMLRegionDesigner.InClickableRegion 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95492_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.InNonEditableRegion"
		size = 156
		refs = "0015 @IntfAddRef 001d TCustomHTMLRegionDesigner.InNonEditableRegion 002d TCustomHTMLRegionDesigner.OverClient 0039 @IntfClear 0048 @CheckAutoResult 005a TWebBrowserEx.GetIsEditableElement 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 55 F8 0F B6 0D ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 00 00 01 00 00 00 }
	condition:
		$1
}

rule function_95493_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.OverSelectableControlInRegion"
		size = 105
		refs = "0015 @IntfAddRef 001d TCustomHTMLRegionDesigner.OverSelectableControlInRegion 002b @IntfClear 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95494_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.CanSelectTextInSrcElement"
		size = 340
		refs = "0015 @IntfAddRef 001d TCustomHTMLRegionDesigner.CanSelectTextInSrcElement 002b @IntfClear 003a @CheckAutoResult 0047 Supports 00af TCustomHTMLEditDesigner.IsPrimaryDocumentEvent 00dc TWebBrowserEx.GetIsEditableElement 00f8 IHTMLElement 0102 @FinalizeArray 0110 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 54 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 2C 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 84 DB 74 3D 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 75 2F 8D 45 EC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 55 EC 0F B6 0D ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 84 C0 75 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5E 5B 8B E5 5D C3 00 00 00 F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B F3 F3 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 3D F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 02 00 00 00 }
	condition:
		$1
}

rule function_95495_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.OverSelectableControlInRegion"
		size = 896
		refs = "0021 @IntfAddRef 0034 TCustomHTMLRegionDesigner.OverSelectableControlInRegion 0042 @IntfClear 004e TCustomHTMLEditDesigner.IsPrimaryDocumentEvent 0060 TCustomHTMLRegionDesigner.OverClient 0073 TWebBrowserEx.GetCurrentElement 009d @CheckAutoResult 00be @IntfCast 0100 SameDocument 0138 TCustomHTMLRegionDesigner.RegionIndexOfElementOrParent 0165 TWebBrowserEx.GetIsEditableElement 018b @IntfCopy 01d7 TWebBrowserEx.GetElementOfViewLinkDocument 0202 TCustomHTMLEditDesigner.IsPrimaryDocumentElement 02da IHTMLElement 02e4 @FinalizeArray 0358 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F0 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 33 DB 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 46 02 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 34 02 00 00 8D 55 EC 8B 46 38 E8 ?? ?? ?? ?? 83 7D EC 00 0F 84 8E 00 00 00 8D 45 E4 E8 ?? ?? ?? ?? 50 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8D 45 D8 E8 ?? ?? ?? ?? 50 8D 55 D4 8B 46 38 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 DC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 5A E8 ?? ?? ?? ?? 84 C0 74 07 33 DB E9 91 01 00 00 8D 45 D0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 D0 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 06 5A E8 ?? ?? ?? ?? 85 C0 7C 51 8D 45 CC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 55 CC 0F B6 0D ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 84 C0 74 24 8D 45 C8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F0 E8 ?? ?? ?? ?? B3 01 84 DB 0F 85 07 01 00 00 83 7D F8 00 0F 84 FD 00 00 00 8D 45 C0 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 8B 55 C0 8D 45 C4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8D 4D F4 8B 46 38 E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 BB 00 00 00 8D 45 BC E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 55 BC 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 92 00 00 00 8D 55 B8 8B 46 38 E8 ?? ?? ?? ?? 83 7D B8 00 74 74 8D 45 B0 E8 ?? ?? ?? ?? 50 8D 55 AC 8B 46 38 E8 ?? ?? ?? ?? 8B 45 AC 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 8B 55 B0 8D 45 B4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 50 8D 45 A4 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 8B 55 A4 8D 45 A8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 58 E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 0D 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 4C FF FF FF 8B C3 5E 5B 8B E5 5D C3 00 00 00 20 C5 6F 62 1E A4 CF 11 A7 31 00 A0 C9 08 26 37 08 00 00 00 }
	condition:
		$1
}

rule function_95496_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.InClickableRegion"
		size = 230
		refs = "001b @IntfAddRef 0023 TCustomHTMLRegionDesigner.InClickableRegion 003d TCustomHTMLEditDesigner.IsPrimaryDocumentEvent 004b TCustomHTMLRegionDesigner.OverClient 0057 @IntfClear 0066 @CheckAutoResult 007c TCustomHTMLRegionDesigner.RegionIndexOfElementOrParent 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 C7 06 FF FF FF FF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 6A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5C 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 03 5A E8 ?? ?? ?? ?? 89 06 83 3E 00 7C 28 66 83 BB 92 00 00 00 00 74 1A 8B 06 50 8D 45 F7 50 8B 4D FC 8B D3 8B 83 94 00 00 00 FF 93 90 00 00 00 EB 04 C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 0F B6 45 F7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95497_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.RegionIndexOfElement"
		size = 240
		refs = "0016 @IntfAddRef 001e TCustomHTMLRegionDesigner.RegionIndexOfElement 0033 @VarClr 0049 @CheckAutoResult 0051 VarIsNull 006b @VarToInteger 007d @HandleAnyException 0082 @DoneExcept 009f @IntfClear 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 E4 FF FF FF FF 8D 45 E8 E8 ?? ?? ?? ?? 50 6A 00 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 2D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 89 45 E4 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 E4 5F 5E 5B 8B E5 5D C3 00 00 00 30 00 00 00 5F 00 5F 00 42 00 6F 00 72 00 6C 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 52 00 65 00 67 00 69 00 6F 00 6E 00 49 00 6E 00 64 00 65 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_95498_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.RegionIndexOfElementOrParent"
		size = 210
		refs = "001c @IntfAddRef 002f TCustomHTMLRegionDesigner.RegionIndexOfElementOrParent 003d @IntfClear 0048 @IntfCopy 0058 TCustomHTMLRegionDesigner.RegionIndexOfElement 0082 @CheckAutoResult 00b4 IHTMLElement 00be @FinalizeArray 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 89 5D F8 89 4D F4 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 83 7D F8 00 74 45 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 0D 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? EB 2B 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 75 BB 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95499_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.SetClickableRegionCursor"
		size = 76
		refs = "000a TCustomHTMLRegionDesigner.SetClickableRegionCursor 001c LoadCursor 0022 SetCursor 0030 TWebBrowserEx.SetOverrideCursor 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 00 7F 00 00 6A 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 43 78 01 B2 01 8B 43 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C3 }
	condition:
		$1
}

rule function_95500_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.SetNonEditableRegionCursor"
		size = 76
		refs = "000a TCustomHTMLRegionDesigner.SetNonEditableRegionCursor 001c LoadCursor 0022 SetCursor 0030 TWebBrowserEx.SetOverrideCursor 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 86 7F 00 00 6A 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C6 43 78 01 B2 01 8B 43 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C3 }
	condition:
		$1
}

rule function_95501_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.SetOverSelectableControlInRegionCursor"
		size = 51
		refs = "000a TCustomHTMLRegionDesigner.SetOverSelectableControlInRegionCursor 0017 TCustomHTMLRegionDesigner.RestoreCursor 002a @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C3 }
	condition:
		$1
}

rule function_95502_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.SelectControlInRegion"
		size = 464
		refs = "001d @IntfAddRef 0025 TCustomHTMLRegionDesigner.SelectControlInRegion 0033 @IntfClear 004e @CheckAutoResult 005e @IntfCast 00f3 @HandleAnyException 0113 Application 011d TApplication.HandleException 0123 @HandleFinally 012a @DoneExcept 0148 IDispatch 0152 @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC E8 ?? ?? ?? ?? 50 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 90 3C 01 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8D 45 DC 8B 55 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3C E9 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 5F 5E 5B 8B E5 5D C3 00 00 00 25 44 2C 33 CB 26 D0 11 B4 83 00 C0 4F D9 01 19 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 5E F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 9C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95503_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.SetFocusControlInRegion"
		size = 196
		refs = "0013 @IntfAddRef 001b TCustomHTMLRegionDesigner.SetFocusControlInRegion 0029 @IntfClear 003b @CheckAutoResult 004b @IntfCast 0076 @HandleAnyException 007b @DoneExcept 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 9A F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95504_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.RestoreCursor"
		size = 33
		refs = "0013 TWebBrowserEx.SetOverrideCursor 001b RestoreBrowserCursor"
	strings:
		$1 = { 53 8B D8 80 7B 78 00 74 16 C6 43 78 00 33 D2 8B 43 38 E8 ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95505_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.DoMouseMove"
		size = 188
		refs = "0011 @IntfAddRef 0019 TCustomHTMLRegionDesigner.DoMouseMove 0036 @CheckAutoResult 0048 TCustomHTMLRegionDesigner.InClickableRegion 0056 TCustomHTMLRegionDesigner.SetClickableRegionCursor 0062 TCustomHTMLRegionDesigner.InNonEditableRegion 0070 TCustomHTMLRegionDesigner.SetNonEditableRegionCursor 007c TCustomHTMLRegionDesigner.OverSelectableControlInRegion 008a TCustomHTMLRegionDesigner.SetOverSelectableControlInRegionCursor 0093 TCustomHTMLRegionDesigner.RestoreCursor 00a8 @IntfClear 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 8D 45 F8 50 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 8B 45 F8 83 E8 01 73 55 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 3B 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 21 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95506_0 {
	meta:
		name = "IsClickableElement"
		size = 328
		refs = "0014 @IntfAddRef 001c IsClickableElement 0036 @WStrClr 0045 @CheckAutoResult 0050 @UStrFromWStr 005b @UStrLAsg 008f CompareText 0104 @UStrArrayClr 010c @IntfClear 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 83 7D FC 00 0F 84 B4 00 00 00 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B0 01 EB 44 8D 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 75 04 B0 01 EB 20 83 7D EC 00 74 06 83 7D E8 00 75 04 33 C0 EB 10 8B 55 E8 8B 45 EC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 61 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 6E 00 70 00 75 00 74 00 00 00 }
	condition:
		$1
}

rule function_95507_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.DoPostEditEventMouseDown"
		size = 178
		refs = "0016 @IntfAddRef 001e TCustomHTMLRegionDesigner.DoPostEditEventMouseDown 0042 @CheckAutoResult 0050 @IntfClear 005c TCustomHTMLRegionDesigner.OverSelectableControlInRegion 006a TCustomHTMLRegionDesigner.CanSelectTextInSrcElement 0074 FSelectClickableOnPostDown 0081 TCustomHTMLRegionDesigner.SelectControlInRegion 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 C6 83 98 00 00 00 00 8D 45 F4 50 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 8B 45 F4 48 75 39 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 21 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 13 80 3D ?? ?? ?? ?? 00 74 0A 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95508_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.CanEnterText"
		size = 124
		refs = "000d TCustomHTMLRegionDesigner.CanEnterText 001d TWebBrowserEx.GetIsContentPage 0029 TWebBrowserEx.GetCurrentElementType 003c TWebBrowserEx.GetCurrentElement 004d TWebBrowserEx.GetIsEditableElement 0064 @IntfClear 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 46 38 E8 ?? ?? ?? ?? 84 C0 74 2E 8B 46 38 E8 ?? ?? ?? ?? 04 FE 2C 02 73 20 8D 55 FC 8B 5E 38 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 0F B6 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 02 00 00 00 }
	condition:
		$1
}

rule function_95509_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.DoKeyDown"
		size = 99
		refs = "000f @IntfAddRef 0017 TCustomHTMLRegionDesigner.DoKeyDown 0028 FFilterKeyDown 0035 TCustomHTMLRegionDesigner.CanEnterText 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 80 3D ?? ?? ?? ?? 00 74 10 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 02 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95511_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.DoKeyPress"
		size = 99
		refs = "000f @IntfAddRef 0017 TCustomHTMLRegionDesigner.DoKeyPress 0028 FFilterKeyPress 0035 TCustomHTMLRegionDesigner.CanEnterText 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 80 3D ?? ?? ?? ?? 00 74 10 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 02 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95510_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.DoKeyUp"
		size = 99
		refs = "000f @IntfAddRef 0017 TCustomHTMLRegionDesigner.DoKeyUp 0028 FFilterKeyUp 0035 TCustomHTMLRegionDesigner.CanEnterText 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 80 3D ?? ?? ?? ?? 00 74 10 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 02 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95512_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.CalcClientRect"
		size = 368
		refs = "0017 TCustomHTMLRegionDesigner.CalcClientRect 0031 TOleControl.GetIDispatchProp 0041 @IntfCast 0054 GetClientRect 005b GetSystemMetrics 0066 @IntfClear 0072 TWebBrowserEx.GetDocument2 0080 @CheckAutoResult 0106 OffsetRect 0141 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 4D F0 BA CB 00 00 00 8B 46 38 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 0C 53 8B 45 F8 50 E8 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 29 43 08 8D 45 EC E8 ?? ?? ?? ?? 50 8D 55 E8 8B 46 38 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 FC 50 8B 00 FF 90 40 01 00 00 E8 ?? ?? ?? ?? 8B 75 E4 8D 45 E0 50 8B 45 FC 50 8B 00 FF 90 F8 00 00 00 E8 ?? ?? ?? ?? 3B 75 E0 7E 0A 6A 03 E8 ?? ?? ?? ?? 29 43 0C 8D 45 E4 50 8B 45 FC 50 8B 00 FF 90 4C 01 00 00 E8 ?? ?? ?? ?? 8B 75 E4 8D 45 E4 50 8B 45 FC 50 8B 00 FF 90 54 01 00 00 E8 ?? ?? ?? ?? 8B 45 E4 8B D3 8B CE 92 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5E 5B 8B E5 5D C3 00 00 00 14 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95513_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.OverClient"
		size = 141
		refs = "0010 @IntfAddRef 0018 TCustomHTMLRegionDesigner.OverClient 0028 TCustomHTMLRegionDesigner.CalcClientRect 003a @CheckAutoResult 0063 PtInRect 007a @IntfClear 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 FC 50 8B 00 FF 50 64 E8 ?? ?? ?? ?? 8B 5D E0 8D 45 E0 50 8B 45 FC 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? 8B 45 E0 89 5D F4 89 45 F8 8D 55 F4 8D 45 E4 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95514_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.DoMouseDown"
		size = 565
		refs = "001c @IntfAddRef 0024 TCustomHTMLRegionDesigner.DoMouseDown 0048 @CheckAutoResult 005f TCustomHTMLRegionDesigner.InClickableRegion 006d TCustomHTMLRegionDesigner.SetClickableRegionCursor 0073 FClickRegionOnDown 009b FMouseDownCancelClickableRegion 00a6 FCancelClickableOnDown 00b5 @IntfClear 00cc IsClickableElement 00ec TCustomHTMLRegionDesigner.InNonEditableRegion 00fa TCustomHTMLRegionDesigner.SetNonEditableRegionCursor 0100 FClickNonEditableRegionOnDown 0128 FMouseDownCanceNonEditableRegion 017c TCustomHTMLRegionDesigner.OverSelectableControlInRegion 018a TCustomHTMLRegionDesigner.CanSelectTextInSrcElement 0194 FSetFocusClickableOnDown 01a1 TCustomHTMLRegionDesigner.SetFocusControlInRegion 01a7 FSelectClickableOnDown 01b4 TCustomHTMLRegionDesigner.SelectControlInRegion 01ba FCancelCtrlKeyOnSelect 01e5 FCancelSelectableOnDown 0207 IHTMLElement 0211 @FinalizeArray 0227 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E4 89 4D E8 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 C6 83 98 00 00 00 00 8D 45 EC 50 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 8B 45 EC 48 0F 85 9F 01 00 00 8D 4D F0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 7F 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 1F 66 83 BB 82 00 00 00 00 74 15 8B 45 F0 50 8B 4D FC 8B D3 8B 83 84 00 00 00 FF 93 80 00 00 00 80 3D ?? ?? ?? ?? 00 74 02 33 F6 80 3D ?? ?? ?? ?? 00 0F 84 44 01 00 00 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 84 1D 01 00 00 C6 83 98 00 00 00 01 33 F6 E9 0F 01 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 78 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 1F 66 83 BB 8A 00 00 00 00 74 15 8D 45 F7 50 8B 4D FC 8B D3 8B 83 8C 00 00 00 FF 93 88 00 00 00 80 3D ?? ?? ?? ?? 00 74 02 33 F6 80 3D ?? ?? ?? ?? 00 0F 84 B7 00 00 00 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 0F 84 90 00 00 00 33 F6 E9 89 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 71 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 63 80 3D ?? ?? ?? ?? 00 74 0A 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 47 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 22 8D 45 E0 50 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 66 83 7D E0 00 74 09 C6 83 98 00 00 00 01 33 F6 80 3D ?? ?? ?? ?? 00 74 09 C6 83 98 00 00 00 01 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95515_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.DoMouseUp"
		size = 401
		refs = "0019 @IntfAddRef 0021 TCustomHTMLRegionDesigner.DoMouseUp 003e @CheckAutoResult 0055 TCustomHTMLRegionDesigner.InClickableRegion 0063 TCustomHTMLRegionDesigner.SetClickableRegionCursor 0069 FClickRegionOnDown 0091 FMouseUpCancelClickableRegion 009c FCancelClickableOnUp 00ab @IntfClear 00c2 IsClickableElement 00d4 TCustomHTMLRegionDesigner.InNonEditableRegion 00e2 TCustomHTMLRegionDesigner.SetNonEditableRegionCursor 00e8 FClickNonEditableRegionOnDown 0110 FMouseUpCanceNonEditableRegion 016b IHTMLElement 0175 @FinalizeArray 0183 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D EC 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 8D 45 F0 50 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 8B 45 F0 48 0F 85 0D 01 00 00 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 71 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 75 1F 66 83 BB 82 00 00 00 00 74 15 8B 45 F8 50 8B 4D FC 8B D3 8B 83 84 00 00 00 FF 93 80 00 00 00 80 3D ?? ?? ?? ?? 00 74 02 33 F6 80 3D ?? ?? ?? ?? 00 0F 84 A0 00 00 00 8D 45 EC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 7D 33 F6 EB 79 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6B 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 75 1F 66 83 BB 8A 00 00 00 00 74 15 8D 45 F7 50 8B 4D FC 8B D3 8B 83 8C 00 00 00 FF 93 88 00 00 00 80 3D ?? ?? ?? ?? 00 74 02 33 F6 80 3D ?? ?? ?? ?? 00 74 25 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 02 33 F6 80 BB 98 00 00 00 00 74 09 C6 83 98 00 00 00 00 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95516_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.DoBeforeDeactivate"
		size = 86
		refs = "000f @IntfAddRef 0017 TCustomHTMLRegionDesigner.DoBeforeDeactivate 002c TCustomHTMLEditDesigner.IsPrimaryDocumentEvent 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95517_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.PreHandleEvent"
		size = 227
		refs = "0013 TCustomHTMLEditDesigner.PreHandleEvent 0037 TCustomHTMLRegionDesigner.PreHandleEvent 007a TCustomHTMLRegionDesigner.DoBeforeDeactivate 00a1 TCustomHTMLRegionDesigner.DoMouseMove 00ac TCustomHTMLRegionDesigner.DoMouseDown 00b7 TCustomHTMLRegionDesigner.DoMouseUp 00c2 TCustomHTMLRegionDesigner.DoKeyDown 00cd TCustomHTMLRegionDesigner.DoKeyUp 00d8 TCustomHTMLRegionDesigner.DoKeyPress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 57 56 53 E8 ?? ?? ?? ?? 81 FE A6 FD FF FF 7F 30 0F 84 98 00 00 00 81 C6 5F 02 00 00 83 FE 04 0F 87 A8 00 00 00 FF 24 B5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 81 FE 17 04 00 00 7F 11 74 27 81 EE 03 04 00 00 74 26 83 EE 07 74 0F EB 74 81 EE 18 04 00 00 74 1E 4E 74 22 EB 67 8B D7 8B C3 E8 ?? ?? ?? ?? EB 5C B8 01 00 00 00 EB 55 B8 01 00 00 00 EB 4E B8 01 00 00 00 EB 47 B8 01 00 00 00 EB 40 8B D7 8B C3 E8 ?? ?? ?? ?? EB 35 8B D7 8B C3 E8 ?? ?? ?? ?? EB 2A 8B D7 8B C3 E8 ?? ?? ?? ?? EB 1F 8B D7 8B C3 E8 ?? ?? ?? ?? EB 14 8B D7 8B C3 E8 ?? ?? ?? ?? EB 09 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_95518_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.TranslateAccelerator"
		size = 280
		refs = "001a TCustomHTMLRegionDesigner.TranslateAccelerator 0028 TCustomHTMLEditDesigner.TranslateAccelerator 004b @CheckAutoResult 005d TWebBrowserEx.GetIsContentPage 0069 TWebBrowserEx.GetCurrentElementType 0080 TWebBrowserEx.GetCurrentElement 0091 TWebBrowserEx.GetIsEditableElement 00a4 @IntfClear 00f0 IHTMLElement 00fa @FinalizeArray 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 56 53 E8 ?? ?? ?? ?? 89 45 FC 81 EE A4 FD FF FF 74 09 83 EE 02 0F 85 9E 00 00 00 8D 45 F8 50 57 8B 07 FF 50 48 E8 ?? ?? ?? ?? 83 7D F8 2E 0F 85 85 00 00 00 8B 43 38 E8 ?? ?? ?? ?? 84 C0 74 79 8B 43 38 E8 ?? ?? ?? ?? 04 FE 2C 02 72 04 74 2B EB 67 8D 55 F4 8B 73 38 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 0F B6 0D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 45 33 C0 89 45 FC EB 3E 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 55 EC 8B 73 38 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 55 F0 0F B6 0D ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 FC 5F 5E 5B 8B E5 5D C2 0C 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_95519_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.PostEditorEventNotify"
		size = 138
		refs = "0013 TCustomHTMLEditDesigner.PreHandleEvent 0078 TCustomHTMLRegionDesigner.DoPostEditEventMouseDown"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 57 56 53 E8 ?? ?? ?? ?? 81 FE 0A 04 00 00 7F 1A 74 28 81 EE A1 FD FF FF 74 55 4E 74 40 4E 74 44 81 EE 60 06 00 00 74 20 EB 4A 81 EE 17 04 00 00 74 0F 4E 74 1A 4E 74 1E EB 3A B8 01 00 00 00 EB 33 B8 01 00 00 00 EB 2C B8 01 00 00 00 EB 25 B8 01 00 00 00 EB 1E B8 01 00 00 00 EB 17 B8 01 00 00 00 EB 10 8B D7 8B C3 E8 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_95520_0 {
	meta:
		name = "TCustomHTMLRegionDesigner.PostHandleEvent"
		size = 130
		refs = "0011 TCustomHTMLEditDesigner.PreHandleEvent"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 8B 45 08 8B 55 10 52 53 50 E8 ?? ?? ?? ?? 81 FB 0A 04 00 00 7F 1A 74 28 81 EB A1 FD FF FF 74 51 4B 74 40 4B 74 44 81 EB 60 06 00 00 74 20 EB 46 81 EB 17 04 00 00 74 0F 4B 74 1A 4B 74 1E EB 36 B8 01 00 00 00 EB 2F B8 01 00 00 00 EB 28 B8 01 00 00 00 EB 21 B8 01 00 00 00 EB 1A B8 01 00 00 00 EB 13 B8 01 00 00 00 EB 0C B8 01 00 00 00 EB 05 B8 01 00 00 00 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_95521_0 {
	meta:
		name = "TCustomBodyGridBehavior.AddGridBehaviors"
		size = 672
		refs = "0019 TCustomBodyGridBehavior.AddGridBehaviors 0029 TCustomElementBehavior.GetElement 003b @IntfClear 0057 @CheckAutoResult 0067 @IntfCast 0107 @OleVarFromInt 0151 @VarClr 0174 Supports 017f TCustomGridBehavior.GetInfo 0187 TGridInfo.IsCustomContainer 0198 TCustomBodyGridBehavior.AddGridBehavior 01b6 OleVariant 01c0 @FinalizeArray 021e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 83 7D DC 00 0F 84 6D 01 00 00 8D 45 D8 E8 ?? ?? ?? ?? 50 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 20 3B 83 A0 01 00 00 0F 84 14 01 00 00 8B 45 F0 50 8B 00 FF 50 20 89 83 A0 01 00 00 8D 45 D0 E8 ?? ?? ?? ?? 50 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 50 8B 00 FF 90 74 01 00 00 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 50 8B 45 F4 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 C8 8B F8 4F 85 FF 0F 8C B1 00 00 00 47 33 F6 8D 45 C4 E8 ?? ?? ?? ?? 50 8D 45 B4 8B D6 B1 FC E8 ?? ?? ?? ?? FF 75 C0 FF 75 BC FF 75 B8 FF 75 B4 8D 45 A4 8B D6 B1 FC E8 ?? ?? ?? ?? FF 75 B0 FF 75 AC FF 75 A8 FF 75 A4 8B 45 F4 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 55 C4 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 50 6A 00 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 13 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 4D F8 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 46 4F 0F 85 52 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8D 5F 5E 5B 8B E5 5D C3 00 25 44 2C 33 CB 26 D0 11 B4 83 00 C0 4F D9 01 19 48 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 1F F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 1C 00 00 00 6D 00 73 00 5F 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 69 00 6E 00 67 00 00 00 00 00 00 F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95522_0 {
	meta:
		name = "TCustomBodyGridBehavior.AddGridBehavior"
		size = 412
		refs = "0029 @VarAddRef 0031 @IntfAddRef 0039 TCustomBodyGridBehavior.AddGridBehavior 0049 IsGridPositioning 0063 @IntfCast 006b @VarClr 007b @IntfClear 008d @CheckAutoResult 00a6 VarIsNull 00b8 TCustomBehaviorWrapper.AddBehavior 00c7 @OleVarFromUStr 0131 OleVariant 013b @FinalizeArray 0151 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F2 8D 7D E8 A5 A5 A5 A5 89 4D FC 8B F0 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 0F 84 B2 00 00 00 B3 01 8D 45 F8 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 50 6A 00 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 90 84 01 00 00 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 00 FF 90 DC 02 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 84 C0 74 59 8B 55 FC 8B 86 9C 01 00 00 E8 ?? ?? ?? ?? 6A 00 8D 45 C4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 D0 FF 75 CC FF 75 C8 FF 75 C4 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 90 84 01 00 00 E8 ?? ?? ?? ?? 8B 45 C0 50 8B 00 FF 90 D8 02 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 8B C3 5F 5E 5B 8B E5 5D C3 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 0E 00 00 00 68 00 61 00 73 00 67 00 72 00 69 00 64 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_95523_0 {
	meta:
		name = "TCustomBodyGridBehavior.BehaviorCreated"
		size = 38
		refs = "000f TList.Add 0016 TCustomGridBehavior.GetInfo 001f TCustomGridBehavior.SetInfo"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B D6 8B 83 98 01 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95524_0 {
	meta:
		name = "TCustomBodyGridBehavior.BehaviorDestroyed"
		size = 36
		refs = "000c TList.IndexOf 001e TList.Delete"
	strings:
		$1 = { 53 8B D8 8B D1 8B 83 98 01 00 00 E8 ?? ?? ?? ?? 83 F8 FF 74 0D 8B D0 8B 83 98 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95525_0 {
	meta:
		name = "TCustomBodyGridBehavior.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 0012 TObject.Free 0028 TCustomGridBehavior.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 98 01 00 00 E8 ?? ?? ?? ?? 8B 86 9C 01 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95526_0 {
	meta:
		name = "TCustomBodyGridBehavior.Detach"
		size = 420
		refs = "0018 TCustomBodyGridBehavior.Detach 002c TList.Get 0034 TCustomElementBehavior.GetElement 0044 @IntfCast 0056 @VarClr 0066 @IntfClear 0078 @CheckAutoResult 0091 VarIsNull 009f Null 00aa @OleVarFromVar 0100 TCustomBehaviorWrapper.RemoveBehavior 011d TComComponent.SetGUIDString 0123 TCustomPaintedBehavior.Detach 0170 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 DD 00 00 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 98 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? 50 6A 00 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 90 84 01 00 00 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 90 DC 02 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 51 6A 00 8D 45 C4 E8 ?? ?? ?? ?? 8D 55 C4 8D 45 D4 E8 ?? ?? ?? ?? FF 75 E0 FF 75 DC FF 75 D8 FF 75 D4 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 90 84 01 00 00 E8 ?? ?? ?? ?? 8B 45 C0 50 8B 00 FF 90 D8 02 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 98 01 00 00 E8 ?? ?? ?? ?? 8B D0 8B 83 9C 01 00 00 E8 ?? ?? ?? ?? 8B B3 98 01 00 00 83 7E 08 00 0F 8F 13 FF FF FF 33 D2 8B 83 9C 01 00 00 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 8B C3 5E 5B 8B E5 5D C2 04 00 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 0E 00 00 00 68 00 61 00 73 00 67 00 72 00 69 00 64 00 00 00 }
	condition:
		$1
}

rule function_95528_0 {
	meta:
		name = "TCustomBodyGridBehavior.Initialize"
		size = 304
		refs = "0007 TCustomBGColorBehavior.Initialize 000e TCustomGridBehavior.GetInfo 0018 TCustomGridBehavior.InvalidateGrid 001f _Dn_TList 0024 TObject.Create 0033 _DV_TCustomBehaviorWrapper 0038 TCustomBehaviorWrapper.Create 0045 TCustomBodyGridBehavior.Initialize 004c TComComponent.SetGUIDString 005c TCustomBodyGridBehavior.GetComClass 006c @UStrAsg 007c @UStrClr 008c TCustomBodyGridBehavior.BehaviorCreated 009c TCustomBodyGridBehavior.BehaviorDestroyed 00a3 TCustomElementBehavior.GetBehaviorWrapper 00b0 TCustomBehaviorWrapper.SetFactory"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 58 14 C7 40 10 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 98 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 9C 01 00 00 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B B3 9C 01 00 00 89 5E 54 C7 46 50 ?? ?? ?? ?? 8D 86 D0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 9C 01 00 00 05 CC 00 00 00 E8 ?? ?? ?? ?? 8B B3 9C 01 00 00 89 5E 7C C7 46 78 ?? ?? ?? ?? 89 9E 84 00 00 00 C7 86 80 00 00 00 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 90 C8 00 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 26 00 00 00 7B 00 30 00 33 00 36 00 46 00 31 00 33 00 46 00 37 00 2D 00 45 00 30 00 38 00 31 00 2D 00 34 00 36 00 43 00 33 00 2D 00 39 00 36 00 34 00 43 00 2D 00 41 00 37 00 34 00 41 00 31 00 34 00 35 00 44 00 34 00 44 00 45 00 35 00 7D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 74 00 61 00 67 00 67 00 72 00 69 00 64 00 00 00 }
	condition:
		$1
}

rule function_95529_0 {
	meta:
		name = "THTMLEditDesignerImpl.Create"
		size = 104
		refs = "000e @ClassCreate 0020 @IntfClear 0027 THTMLEditDesignerImpl.Create 002e Supports 0041 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B F1 89 73 10 8D 43 0C E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 10 89 58 6C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 62 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95530_0 {
	meta:
		name = "THTMLEditDesignerImpl.DisconnectComponent"
		size = 34
		refs = "0017 @IntfClear"
	strings:
		$1 = { 53 8B D8 8B 43 10 85 C0 74 16 C6 40 68 00 33 D2 89 50 6C 8D 43 0C E8 ?? ?? ?? ?? 33 C0 89 43 10 5B C3 }
	condition:
		$1
}

rule function_95532_0 {
	meta:
		name = "THTMLEditDesignerImpl.PostEditorEventNotify"
		size = 40
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 0C 00 74 13 8B 55 10 52 8B 55 0C 52 8B 40 0C 50 8B 00 FF 50 18 EB 05 B8 01 00 00 00 5D C2 0C 00 }
	condition:
		$1
}

rule function_95533_0 {
	meta:
		name = "THTMLEditDesignerImpl.PostHandleEvent"
		size = 40
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 0C 00 74 13 8B 55 10 52 8B 55 0C 52 8B 40 0C 50 8B 00 FF 50 10 EB 05 B8 01 00 00 00 5D C2 0C 00 }
	condition:
		$1
}

rule function_95534_0 {
	meta:
		name = "THTMLEditDesignerImpl.PreHandleEvent"
		size = 40
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 0C 00 74 13 8B 55 10 52 8B 55 0C 52 8B 40 0C 50 8B 00 FF 50 0C EB 05 B8 01 00 00 00 5D C2 0C 00 }
	condition:
		$1
}

rule function_95535_0 {
	meta:
		name = "THTMLEditDesignerImpl.TranslateAccelerator"
		size = 40
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 0C 00 74 13 8B 55 10 52 8B 55 0C 52 8B 40 0C 50 8B 00 FF 50 14 EB 05 B8 01 00 00 00 5D C2 0C 00 }
	condition:
		$1
}

rule function_95536_0 {
	meta:
		name = "TCustomSelectionDesigner.AdjustSelectionRect"
		size = 276
		refs = "0011 TCustomSelectionDesigner.AdjustSelectionRect 0057 @IntfClear 0063 TWebBrowserEx.GetDocument2 0071 @CheckAutoResult 008a Supports 00cb OffsetRect 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 90 00 00 00 8B 93 88 00 00 00 3B C2 7D 0C 89 93 90 00 00 00 89 83 88 00 00 00 8B 83 94 00 00 00 8B 93 8C 00 00 00 3B C2 7D 0C 89 93 94 00 00 00 89 83 8C 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 55 F4 8B 43 38 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 3D 8D 45 F0 50 8B 45 FC 50 8B 00 FF 90 4C 01 00 00 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC 50 8B 45 FC 50 8B 00 FF 90 54 01 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8D 83 88 00 00 00 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 00 00 00 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95537_0 {
	meta:
		name = "TCustomSelectionDesigner.CalcMousePt"
		size = 379
		refs = "0014 @IntfAddRef 001c TCustomSelectionDesigner.CalcMousePt 0034 @CheckAutoResult 006d ScreenToClient 0168 @IntfClear 016e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8B 45 FC 50 8B 00 FF 50 74 E8 ?? ?? ?? ?? 8B 7D F0 8D 45 F0 50 8B 45 FC 50 8B 00 FF 50 78 E8 ?? ?? ?? ?? 8B 45 F0 89 7D F4 89 45 F8 8B 45 F4 89 06 8B 45 F8 89 46 04 56 8B 43 38 8B 80 6C 05 00 00 50 E8 ?? ?? ?? ?? 8D 45 F0 50 8B 83 9C 00 00 00 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 03 83 A4 00 00 00 3B 06 7D 23 8D 45 F0 50 8B 83 9C 00 00 00 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 03 83 A4 00 00 00 89 06 8D 45 F0 50 8B 83 9C 00 00 00 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 03 83 A8 00 00 00 3B 46 04 7D 24 8D 45 F0 50 8B 83 9C 00 00 00 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 03 83 A8 00 00 00 89 46 04 8D 45 F0 50 8B 83 A0 00 00 00 50 8B 00 FF 90 54 01 00 00 E8 ?? ?? ?? ?? 8B 45 F0 03 06 8B BB A4 00 00 00 3B C7 7D 02 89 3E 8D 45 F0 50 8B 83 A0 00 00 00 50 8B 00 FF 90 4C 01 00 00 E8 ?? ?? ?? ?? 8B 45 F0 03 46 04 8B BB A8 00 00 00 3B C7 7D 03 89 7E 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95538_0 {
	meta:
		name = "TCustomSelectionDesigner.CancelSelection"
		size = 73
		refs = "000d TCustomSelectionDesigner.ClearSelectionRect 0020 TWebBrowserEx.SetOverrideCursor 0028 RestoreBrowserCursor 0033 @IntfClear 0043 ReleaseCapture"
	strings:
		$1 = { 53 8B D8 C6 83 98 00 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 43 7C 00 0F B6 93 AC 00 00 00 8B 43 38 E8 ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? 8D 83 9C 00 00 00 E8 ?? ?? ?? ?? 8D 83 A0 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95539_0 {
	meta:
		name = "TCustomSelectionDesigner.ClearSelectionRect"
		size = 60
		refs = "0014 GetDC 001e TCanvas.SetHandle 002c TCustomCanvas.Rectangle"
	strings:
		$1 = { 53 8B D8 80 7B 7C 00 74 31 8B 43 38 8B 80 6C 05 00 00 50 E8 ?? ?? ?? ?? 8B D0 8B 43 78 E8 ?? ?? ?? ?? 8D 93 88 00 00 00 8B 43 78 E8 ?? ?? ?? ?? 33 D2 8B 43 78 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95540_0 {
	meta:
		name = "TCustomSelectionDesigner.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0017 TObject.Free 0022 TCustomHTMLEditDesigner.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 46 78 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95541_0 {
	meta:
		name = "TCustomSelectionDesigner.DoMouseDown"
		size = 660
		refs = "001f @IntfAddRef 0027 TCustomSelectionDesigner.DoMouseDown 003a TWebBrowserEx.GetOverrideCursor 004a TWebBrowserEx.SetOverrideCursor 0056 LoadCursor 005c SetCursor 006e @CheckAutoResult 00b4 ScreenToClient 00c7 SetCapture 00d6 @IntfClear 00f3 @IntfCopy 0109 @IntfCast 0158 Supports 01e4 CalcElementXY 020c IHTMLElement 0216 @FinalizeArray 0224 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 C9 89 4D DC 89 4D E4 89 4D E0 89 4D E8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 43 38 E8 ?? ?? ?? ?? 88 83 AC 00 00 00 B2 01 8B 43 38 E8 ?? ?? ?? ?? 68 03 7F 00 00 6A 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 FC 50 8B 00 FF 50 74 E8 ?? ?? ?? ?? 8B 75 EC 8D 45 EC 50 8B 45 FC 50 8B 00 FF 50 78 E8 ?? ?? ?? ?? 8B 45 EC 89 75 F0 89 45 F4 8B 45 F0 89 83 80 00 00 00 8B 45 F4 89 83 84 00 00 00 8D 83 80 00 00 00 50 8B 43 38 8B 80 6C 05 00 00 50 E8 ?? ?? ?? ?? C6 43 7C 00 8B 43 38 8B 80 6C 05 00 00 50 E8 ?? ?? ?? ?? C6 83 98 00 00 00 01 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 55 E8 8D 83 9C 00 00 00 E8 ?? ?? ?? ?? 8D 83 A0 00 00 00 8B 93 9C 00 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3D 8D 45 E4 E8 ?? ?? ?? ?? 50 8D 45 E0 8B 93 A0 00 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 55 E4 8D 83 A0 00 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 AF EB 28 8D 45 DC E8 ?? ?? ?? ?? 50 8B 83 9C 00 00 00 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 55 DC 8D 83 9C 00 00 00 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 3C BA ?? ?? ?? ?? 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 28 BA ?? ?? ?? ?? 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 14 BA ?? ?? ?? ?? 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 88 8D 55 D4 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 8B 45 D4 89 83 A4 00 00 00 8B 45 D8 89 83 A8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B 45 F8 5E 5B 8B E5 5D C3 00 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B D8 F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 00 F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B F3 F3 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 3D F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95542_0 {
	meta:
		name = "TCustomSelectionDesigner.DoMouseMove"
		size = 219
		refs = "0012 @IntfAddRef 001a TCustomSelectionDesigner.DoMouseMove 0037 @CheckAutoResult 004a TCustomSelectionDesigner.CalcMousePt 0051 TCustomSelectionDesigner.ClearSelectionRect 0064 GetDC 006e TCanvas.SetHandle 008a Rect 00a5 TCustomCanvas.Rectangle 00c6 @IntfClear 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BE 01 00 00 00 8D 45 F0 50 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 83 7D F0 01 75 74 8D 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? C6 43 7C 01 8B 43 38 8B 80 6C 05 00 00 50 E8 ?? ?? ?? ?? 8B D0 8B 43 78 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 E0 50 8B 4D F4 8B 93 84 00 00 00 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 8D 75 E0 8D BB 88 00 00 00 A5 A5 A5 A5 8D 93 88 00 00 00 8B 43 78 E8 ?? ?? ?? ?? 33 D2 8B 43 78 E8 ?? ?? ?? ?? 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95543_0 {
	meta:
		name = "TCustomSelectionDesigner.DoMouseUp"
		size = 180
		refs = "0011 @IntfAddRef 0019 TCustomSelectionDesigner.DoMouseUp 002e TCustomSelectionDesigner.CalcMousePt 004e TCustomSelectionDesigner.ClearSelectionRect 0059 TCustomSelectionDesigner.SelectControls 0068 TWebBrowserEx.SetOverrideCursor 0070 RestoreBrowserCursor 0075 ReleaseCapture 0080 @IntfClear 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8D 4D F4 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 89 83 90 00 00 00 8B 45 F8 89 83 94 00 00 00 C6 83 98 00 00 00 00 8B C3 E8 ?? ?? ?? ?? C6 43 7C 00 8B C3 E8 ?? ?? ?? ?? 0F B6 93 AC 00 00 00 8B 43 38 E8 ?? ?? ?? ?? 8B 43 38 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 9C 00 00 00 E8 ?? ?? ?? ?? 8D 83 A0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95544_0 {
	meta:
		name = "TCustomSelectionDesigner.PreHandleEvent"
		size = 141
		refs = "001d @CheckAutoResult 0034 TCustomSelectionDesigner.CancelSelection 005a TCustomSelectionDesigner.DoMouseMove 0067 TCustomSelectionDesigner.DoMouseDown 007d TCustomSelectionDesigner.DoMouseUp"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 75 10 8B 5D 08 BF 01 00 00 00 8D 45 FC 50 56 8B 06 FF 50 28 E8 ?? ?? ?? ?? 66 83 7D FC 00 75 12 80 BB 98 00 00 00 00 74 52 8B C3 E8 ?? ?? ?? ?? EB 49 8B 45 0C 2D A1 FD FF FF 74 2B 48 74 05 48 74 18 EB 37 80 BB 98 00 00 00 00 74 2E 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 21 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 EB 14 80 BB 98 00 00 00 00 74 0B 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C7 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_95545_0 {
	meta:
		name = "TCustomSelectionDesigner.SelectControls"
		size = 1856
		refs = "0019 TCustomSelectionDesigner.SelectControls 0027 @IntfClear 003c Supports 005e @CheckAutoResult 00c8 TCustomSelectionDesigner.AdjustSelectionRect 010b @OleVarFromInt 029e @IntfCast 0345 Rect 035c IntersectRect 039a @HandleAnyException 039f @DoneExcept 05d8 OleVariant 05e2 @FinalizeArray 061f IHTMLElement 064d IDispatch 068d @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 1E 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E4 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 4F 05 00 00 8D 45 C4 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 90 3C 01 00 00 E8 ?? ?? ?? ?? 8B 45 C4 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 14 05 00 00 8D 45 C0 E8 ?? ?? ?? ?? 50 8B 45 E4 8B 80 9C 00 00 00 50 8B 00 FF 90 74 01 00 00 E8 ?? ?? ?? ?? 8B 45 C0 50 8D 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 D3 04 00 00 8B 45 E4 E8 ?? ?? ?? ?? C6 45 DF 00 8D 45 BC 50 8B 45 EC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 BC 48 85 C0 0F 8C 95 04 00 00 40 89 45 D8 C7 45 E0 00 00 00 00 8D 45 B8 E8 ?? ?? ?? ?? 50 8D 45 A8 8B 55 E0 B1 FC E8 ?? ?? ?? ?? FF 75 B4 FF 75 B0 FF 75 AC FF 75 A8 8D 45 98 8B 55 E0 B1 FC E8 ?? ?? ?? ?? FF 75 A4 FF 75 A0 FF 75 9C FF 75 98 8B 45 EC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 45 B8 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 2A 8D 45 94 50 8B 45 F8 50 8B 45 E4 8B 80 9C 00 00 00 50 8B 00 FF 90 BC 00 00 00 E8 ?? ?? ?? ?? 66 83 7D 94 00 0F 84 EE 03 00 00 8D 45 90 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 90 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 C2 03 00 00 8D 45 8C E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 8C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 96 03 00 00 8D 45 88 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 88 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 6A 03 00 00 8D 45 84 E8 ?? ?? ?? ?? 50 8D 85 74 FF FF FF 8B 55 E0 B1 FC E8 ?? ?? ?? ?? FF 75 80 FF B5 7C FF FF FF FF B5 78 FF FF FF FF B5 74 FF FF FF 8D 85 64 FF FF FF 8B 55 E0 B1 FC E8 ?? ?? ?? ?? FF B5 70 FF FF FF FF B5 6C FF FF FF FF B5 68 FF FF FF FF B5 64 FF FF FF 8B 45 EC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 45 84 50 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 16 01 00 00 8D 45 F8 8B 55 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 85 60 FF FF FF 8B 55 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC 50 8B 45 E8 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 45 BC 50 8D 85 50 FF FF FF 50 8D 85 4C FF FF FF 50 8B 45 E8 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 50 8D 85 48 FF FF FF 50 8B 45 E8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 50 8D 85 44 FF FF FF 50 8B 45 E8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 85 44 FF FF FF 5A 59 E8 ?? ?? ?? ?? 8D 8D 50 FF FF FF 8B 45 E4 8D 90 88 00 00 00 8D 45 C8 E8 ?? ?? ?? ?? 84 C0 0F 84 0F 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? C6 45 DF 01 33 C0 5A 59 59 64 89 10 E9 DE 01 00 00 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CF 01 00 00 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 50 8D 85 30 FF FF FF 8B 55 E0 B1 FC E8 ?? ?? ?? ?? FF B5 3C FF FF FF FF B5 38 FF FF FF FF B5 34 FF FF FF FF B5 30 FF FF FF 8D 85 20 FF FF FF 8B 55 E0 B1 FC E8 ?? ?? ?? ?? FF B5 2C FF FF FF FF B5 28 FF FF FF FF B5 24 FF FF FF FF B5 20 FF FF FF 8B 45 EC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 85 40 FF FF FF 50 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 41 01 00 00 8D 45 94 50 8D 85 18 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 90 A0 00 00 00 E8 ?? ?? ?? ?? 8B 95 18 FF FF FF 8D 85 1C FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 66 83 7D 94 00 0F 84 EE 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC 50 8B 45 E8 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 45 BC 50 8D 85 50 FF FF FF 50 8D 85 4C FF FF FF 50 8B 45 E8 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 50 8D 85 48 FF FF FF 50 8B 45 E8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 50 8D 85 44 FF FF FF 50 8B 45 E8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 85 44 FF FF FF 5A 59 E8 ?? ?? ?? ?? 8D 8D 50 FF FF FF 8B 45 E4 8D 90 88 00 00 00 8D 45 C8 E8 ?? ?? ?? ?? 84 C0 74 42 8D 85 14 FF FF FF 8B 55 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 14 FF FF FF 50 8D 85 10 FF FF FF 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? C6 45 DF 01 FF 45 E0 FF 4D D8 0F 85 76 FB FF FF 80 7D DF 00 74 0E 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 10 FF FF FF E8 ?? ?? ?? ?? 8D 85 14 FF FF FF E8 ?? ?? ?? ?? 8D 85 18 FF FF FF E8 ?? ?? ?? ?? 8D 85 1C FF FF FF E8 ?? ?? ?? ?? 8D 85 20 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 85 64 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 88 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 98 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 0E FF FF FF 5F 5E 5B 8B E5 5D C3 00 00 00 34 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 9C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 1F F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 1E F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 3B F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 3C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B E9 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 58 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 5E F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_95546_0 {
	meta:
		name = "TCustomSelectionDesigner.SetActive"
		size = 126
		refs = "000b TCustomHTMLEditDesigner.SetActive 0016 _Dn_TCanvas 001b TCanvas.Create 002a TBrush.SetStyle 0037 TPen.SetStyle 0044 TPen.SetMode 0054 TPen.SetWidth 0064 TPen.SetColor 0077 TObject.Free"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 84 DB 74 58 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 5E 78 8B 43 48 B2 01 E8 ?? ?? ?? ?? 8B 46 78 8B 40 44 B2 02 E8 ?? ?? ?? ?? 8B 46 78 8B 40 44 B2 0E E8 ?? ?? ?? ?? 8B 46 78 8B 40 44 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 46 78 8B 40 44 BA FF FF FF 00 E8 ?? ?? ?? ?? 5E 5B C3 8D 46 78 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95547_0 {
	meta:
		name = "TCustomSelectionDesigner.TranslateAccelerator"
		size = 42
		refs = "001f TCustomSelectionDesigner.CancelSelection"
	strings:
		$1 = { 55 8B EC 53 8B 45 08 BB 01 00 00 00 81 7D 0C A4 FD FF FF 75 0E 80 B8 98 00 00 00 00 74 05 E8 ?? ?? ?? ?? 8B C3 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_95552_0 {
	meta:
		name = "TWebDispatch.Create"
		size = 82
		refs = "000b @ClassCreate 001a TObject.Create 002b _DV_TWebPathInfo 0030 TWebPathInfo.Create 003e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 09 01 C6 47 08 03 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95555_0 {
	meta:
		name = "TWebDispatch.AssignTo"
		size = 125
		refs = "0010 TWebDispatch.AssignTo 001e _DV_TWebDispatch 0023 @IsClass 0031 TWebDispatch.GetPathInfo 003d TWebDispatch.SetPathInfo 0056 TPersistent.AssignTo 006b @UStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 26 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B FE 8B C7 E8 ?? ?? ?? ?? 0F B6 43 08 88 47 08 0F B6 43 09 88 47 09 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95558_0 {
	meta:
		name = "TWebPathInfo.Create"
		size = 77
		refs = "000b @ClassCreate 0019 @UStrClr 0023 _Dn_TMask 0028 TMask.Create 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 08 E8 ?? ?? ?? ?? 8B 4F 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 89 77 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95560_0 {
	meta:
		name = "TWebPathInfo.GetMask"
		size = 292
		refs = "0012 TWebPathInfo.GetMask 0022 TWebPathInfo.GetPathInfo 002d @UStrEqual 0048 @UStrAsg 0059 DosPathToUnixPath 007a @UStrInsert 0084 _Dn_TMask 0089 TMask.Create 00ad TObject.Free 00c1 @HandleAnyException 00ce @RaiseAgain 00d3 @DoneExcept 00f6 @UStrArrayClr 00fe @UStrClr 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 53 08 E8 ?? ?? ?? ?? 0F 84 A6 00 00 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 08 E8 ?? ?? ?? ?? 83 7B 08 00 74 0B 8D 55 FC 8B 43 08 E8 ?? ?? ?? ?? 83 7D FC 00 74 1B 8B 45 FC 66 83 38 2F 74 12 8D 55 FC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 0C 8B 55 FC E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 33 C0 89 43 04 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 43 04 8B 5B 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_95561_0 {
	meta:
		name = "TWebPathInfo.GetPathInfo"
		size = 43
		refs = "000d @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 53 0C E8 ?? ?? ?? ?? 83 3E 00 75 11 8B 7B 10 85 FF 74 0A 8B C6 8B 57 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95562_0 {
	meta:
		name = "TWebPathInfo.SetPathInfo"
		size = 50
		refs = "0014 @UStrEqual 001e @UStrClr 002a @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 10 85 F6 74 16 8B C7 8B 56 08 E8 ?? ?? ?? ?? 75 0A 8D 43 0C E8 ?? ?? ?? ?? EB 0A 8D 43 0C 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95567_0 {
	meta:
		name = "HandleServerException"
		size = 656
		refs = "001a HandleServerException 0028 _Dn_Exception 002d @IsClass 003c @UStrLAsg 0046 @UStrClr 0054 TObject.ClassName 0074 sInternalServerError 0079 LoadResString 0087 Format 0097 @LStrFromUStr 00e1 IsConsole 00fb Output 0103 FileWrite 012d FileExists 013c _Dn_TFileStream 0141 TFileStream.Create 01b0 TObject.Free 01b6 @HandleFinally 01d2 @UStrArrayClr 01ef @LStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8D 45 F4 8B 53 04 E8 ?? ?? ?? ?? EB 08 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 55 D8 8B 03 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC C6 45 E0 11 8B 45 F4 89 45 E4 C6 45 E8 11 8D 45 DC 50 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 75 FC 8B DE 85 DB 74 05 83 EB 04 8B 1B 8D 45 D0 50 8B 45 F4 89 45 DC C6 45 E0 11 89 5D E4 C6 45 E8 00 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8D 45 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 3E 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 8B 0D ?? ?? ?? ?? 8B 09 91 E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 8B 55 FC 8B 0D ?? ?? ?? ?? 8B 09 91 E8 ?? ?? ?? ?? E9 94 00 00 00 B2 01 8B C7 E8 ?? ?? ?? ?? 84 C0 74 15 6A 41 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 EB 16 68 00 FF 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B 55 F8 8B C8 8B 45 F0 8B 18 FF 53 10 8B C6 85 C0 74 05 83 E8 04 8B 00 8B 55 FC 8B C8 8B 45 F0 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 3F 00 00 00 53 00 74 00 61 00 74 00 75 00 73 00 3A 00 20 00 35 00 30 00 30 00 20 00 25 00 73 00 0D 00 0A 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 3A 00 20 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 0D 00 0A 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 3A 00 20 00 25 00 64 00 0D 00 0A 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_95568_0 {
	meta:
		name = "TCGIApplication.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TWebApplication.Destroy 001a TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 64 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95569_0 {
	meta:
		name = "TCGIApplication.NewRequest"
		size = 16
		refs = "0006 TCGIApplication.GetFactory"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 12 5B C3 }
	condition:
		$1
}

rule function_95846_0 {
	meta:
		name = "TWebRequest.GetContentFields"
		size = 16
		refs = "0006 TWebRequest.GetContentParser"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 12 5B C3 }
	condition:
		$1
}

rule function_95571_0 {
	meta:
		name = "TCGIApplication.Run"
		size = 331
		refs = "0015 TCGIApplication.Run 0023 TWebApplication.Run 0028 IsConsole 0032 Output 0037 @RewritText 003c @_IOTest 0052 TCGIApplication.NewRequest 0075 Input 007a @ResetText 00a6 TCGIApplication.NewResponse 00c5 TWebRequestHandler.HandleRequest 00da TObject.Free 00e0 @HandleFinally 010e @HandleAnyException 0113 ExceptObject 011e HandleServerException 0123 @DoneExcept 0138 @LStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 0F A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 BA 10 00 00 00 8B 45 F8 8B 08 FF 51 0C 85 C0 7E 27 A1 ?? ?? ?? ?? 80 38 00 74 0F A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 83 CA FF 8B 45 F8 8B 18 FF 53 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 1A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 52 60 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95572_0 {
	meta:
		name = "InitApplication"
		size = 23
		refs = "0005 _DV_TCGIApplication 000a TWebApplication.Create 0010 Application"
	strings:
		$1 = { 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 C3 }
	condition:
		$1
}

rule function_96539_0 {
	meta:
		name = "InitApplication"
		size = 23
		refs = "0005 _DV_TISAPIApplication 000a TISAPIApplication.Create 0010 Application"
	strings:
		$1 = { 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 02 C3 }
	condition:
		$1
}

rule function_95573_0 {
	meta:
		name = "TCGIApplication.SetFactory"
		size = 4
	strings:
		$1 = { 89 50 64 C3 }
	condition:
		$1
}

rule function_95574_0 {
	meta:
		name = "TCGIApplication.GetFactory"
		size = 29
		refs = "000c _DV_TCGIFactory 0011 TCGIFactory.Create"
	strings:
		$1 = { 53 8B D8 83 7B 64 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 64 8B 43 64 5B C3 }
	condition:
		$1
}

rule function_95575_0 {
	meta:
		name = "TCGIApplication.CGIHandleException"
		size = 172
		refs = "0012 TCGIApplication.CGIHandleException 0021 ExceptObject 0027 _Dn_Exception 002c @IsClass 0038 @IntfClear 0046 Supports 006e AcquireExceptionObject 0075 @RaiseExcept 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D FC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2C 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 E8 ?? ?? ?? ?? 8B D0 8D 4D FB 8B 45 FC 8B 18 FF 53 0C 80 7D FB 00 75 13 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 00 8F 26 64 76 29 96 D4 11 A4 EC 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96540_0 {
	meta:
		name = "TISAPIApplication.ISAPIHandleException"
		size = 172
		refs = "0012 TISAPIApplication.ISAPIHandleException 0021 ExceptObject 0027 _Dn_Exception 002c @IsClass 0038 @IntfClear 0046 Supports 006e AcquireExceptionObject 0075 @RaiseExcept 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D FC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2C 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 E8 ?? ?? ?? ?? 8B D0 8D 4D FB 8B 45 FC 8B 18 FF 53 0C 80 7D FB 00 75 13 E8 ?? ?? ?? ?? 8B D8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 00 8F 26 64 76 29 96 D4 11 A4 EC 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_95576_0 {
	meta:
		name = "TCGIFactory.Create"
		size = 105
		refs = "000b @ClassCreate 0018 TObject.Create 001d Application 0025 _DV_TCGIApplication 002a @AsClass 0038 TCGIApplication.SetFactory 0041 ApplicationHandleException 004a TCGIApplication.CGIHandleException 0055 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 04 8B C6 8B D7 E8 ?? ?? ?? ?? 8B 47 04 8B 15 ?? ?? ?? ?? 89 42 04 C7 02 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95577_0 {
	meta:
		name = "TCGIFactory.GetOutputFileName"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 04 8B 52 60 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95578_0 {
	meta:
		name = "TCGIFactory.NewRequest"
		size = 384
		refs = "0018 TCGIFactory.NewRequest 0023 IsConsole 002f _Dn_TCGIRequest 0034 TCGIRequest.Create 0049 ParamStr 0075 _Dn_TWinCGIRequest 007a TWinCGIRequest.Create 0094 TCGIFactory.SetOutputFileName 009e TCGIFactory.GetOutputFileName 00bb _Dn_TIniFile 00c0 TCustomIniFile.Create 0108 TObject.Free 010e @HandleFinally 012a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 80 38 00 74 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC E9 D4 00 00 00 8D 55 F4 B8 02 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 F0 B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 EC B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 55 E8 B8 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 83 7D E4 00 75 6C 8D 55 E0 B8 01 00 00 00 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 DC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 04 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4F 00 75 00 74 00 70 00 75 00 74 00 20 00 46 00 69 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_95579_0 {
	meta:
		name = "TCGIFactory.NewResponse"
		size = 40
		refs = "0001 IsConsole 000d _Dn_TCGIResponse 0014 TCGIResponse.Create 001c _Dn_TWinCGIResponse"
	strings:
		$1 = { A1 ?? ?? ?? ?? 80 38 00 74 0F 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95580_0 {
	meta:
		name = "TCGIFactory.SetOutputFileName"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 83 C0 60 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95584_0 {
	meta:
		name = "AdjustHTTP"
		size = 100
		refs = "000a @LStrToPChar 0013 AdjustHTTP 0018 AnsiStrPos 0030 @LStrCopy 0040 @LStrCat3"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 58 3B C6 75 14 57 B9 FF FF FF 7F BA 06 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 0E 8B C7 8B CB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 48 54 54 50 5F 00 00 00 E4 04 01 00 FF FF FF FF 05 00 00 00 48 54 54 50 5F 00 00 00 }
	condition:
		$1
}

rule function_95585_0 {
	meta:
		name = "TCGIRequest.GetFieldByName"
		size = 169
		refs = "0017 TCGIRequest.GetFieldByName 0027 @UStrFromLStr 0032 GetEnvironmentVariable 0041 @LStrFromUStr 0050 AdjustHTTP 008a @LStrClr 0097 @UStrArrayClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 00 00 00 00 E8 ?? ?? ?? ?? 83 3B 00 75 2F 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95586_0 {
	meta:
		name = "TCGIRequest.GetStringVariable"
		size = 46
		refs = "0014 @LStrAsg 001f CGIServerVariables"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 83 FE 19 75 0C 8B C7 8B 53 14 E8 ?? ?? ?? ?? EB 10 8B CF 8B 14 B5 ?? ?? ?? ?? 8B C3 8B 18 FF 53 34 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95590_0 {
	meta:
		name = "TCGIRequest.ReadString"
		size = 237
		refs = "001a TCGIRequest.ReadString 0072 @LStrAsg 007f @LStrSetLength 0092 @LStrToPChar 009f Input 00a8 FileRead 00da @LStrClr 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC FF 75 13 8B 43 14 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 94 C0 EB 02 33 C0 84 C0 74 33 BA 10 00 00 00 8B C3 8B 08 FF 51 0C 85 C0 7E 23 BA 10 00 00 00 8B C3 8B 08 FF 51 0C 8B D0 8D 4D F4 8B C3 8B 30 FF 56 20 8B 55 F4 8D 43 14 E8 ?? ?? ?? ?? 8B 45 F8 33 C9 8B 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 7E 40 8B 75 FC 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B F8 85 F6 7E 1E 8B D7 A1 ?? ?? ?? ?? 8B 00 8B CE E8 ?? ?? ?? ?? 8B D8 85 DB 7E 08 03 FB 2B F3 85 F6 7F E2 8B 55 FC 2B D6 8B 45 F8 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95591_0 {
	meta:
		name = "TCGIRequest.TranslateURI"
		size = 286
		refs = "0021 TCGIRequest.TranslateURI 0032 @UStrAsg 004c @UStrFromLStr 00aa @UStrCopy 00b5 @UStrEqual 00d8 @UStrCat3 00f2 @UStrArrayClr 00ff @LStrArrayClr 0112 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8D 4D EC BA 05 00 00 00 8B C3 8B 30 FF 56 04 8B 55 EC 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 82 00 00 00 8D 4D E8 BA 04 00 00 00 8B C3 8B 18 FF 53 04 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B 4D FC 8B D1 85 D2 74 05 83 EA 04 8B 12 8B F0 2B F2 8B D9 85 DB 74 05 83 EB 04 8B 1B 8D 45 E4 50 8D 56 01 8B CB 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 8B 55 FC E8 ?? ?? ?? ?? 75 21 8D 45 E0 50 8B CE BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F0 8B 4D F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95593_0 {
	meta:
		name = "TCGIRequest.WriteString"
		size = 68
		refs = "001e Output 0026 FileWrite"
	strings:
		$1 = { 53 56 51 8B DA 85 DB 74 35 89 1C 24 8B 34 24 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D3 8B 0D ?? ?? ?? ?? 8B 09 91 E8 ?? ?? ?? ?? 8B D0 8B C6 85 C0 74 05 83 E8 04 8B 00 3B C2 0F 94 C0 EB 02 33 C0 5A 5E 5B C3 }
	condition:
		$1
}

rule function_95594_0 {
	meta:
		name = "TCGIRequest.WriteHeaders"
		size = 192
		refs = "0018 TCGIRequest.WriteHeaders 0045 Format 0055 @LStrFromUStr 0076 @UStrClr 007e @LStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D FC 89 5D F8 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 89 75 E8 C6 45 EC 0B 8B 45 08 89 45 F0 C6 45 F4 0B 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 2C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 53 00 74 00 61 00 74 00 75 00 73 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_95595_0 {
	meta:
		name = "TCGIResponse.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TWebResponse.Create 0029 @AfterConstruction"
		altNames = "TISAPIResponse.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 44 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_95596_0 {
	meta:
		name = "TCGIResponse.InitResponse"
		size = 216
		refs = "000d TCGIResponse.InitResponse 009f @LStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA 01 00 00 00 8B 43 10 8B 30 FF 56 04 83 7D FC 00 75 0E B9 ?? ?? ?? ?? 33 D2 8B C3 8B 30 FF 56 04 BA C8 00 00 00 8B C3 8B 08 FF 51 28 68 00 00 F0 BF 6A 00 BA 02 00 00 00 8B C3 8B 08 FF 51 0C 68 00 00 F0 BF 6A 00 BA 01 00 00 00 8B C3 8B 08 FF 51 0C 68 00 00 F0 BF 6A 00 33 D2 8B C3 8B 08 FF 51 0C B9 ?? ?? ?? ?? BA 08 00 00 00 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 E4 04 01 00 FF FF FF FF 03 00 00 00 31 2E 30 00 E4 04 01 00 FF FF FF FF 09 00 00 00 74 65 78 74 2F 68 74 6D 6C 00 00 00 }
	condition:
		$1
}

rule function_96563_0 {
	meta:
		name = "TISAPIResponse.InitResponse"
		size = 216
		refs = "000d TISAPIResponse.InitResponse 009f @LStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA 01 00 00 00 8B 43 10 8B 30 FF 56 04 83 7D FC 00 75 0E B9 ?? ?? ?? ?? 33 D2 8B C3 8B 30 FF 56 04 BA C8 00 00 00 8B C3 8B 08 FF 51 28 68 00 00 F0 BF 6A 00 BA 02 00 00 00 8B C3 8B 08 FF 51 0C 68 00 00 F0 BF 6A 00 BA 01 00 00 00 8B C3 8B 08 FF 51 0C 68 00 00 F0 BF 6A 00 33 D2 8B C3 8B 08 FF 51 0C B9 ?? ?? ?? ?? BA 08 00 00 00 8B C3 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 E4 04 01 00 FF FF FF FF 03 00 00 00 31 2E 30 00 E4 04 01 00 FF FF FF FF 09 00 00 00 74 65 78 74 2F 68 74 6D 6C 00 00 00 }
	condition:
		$1
}

rule function_95605_0 {
	meta:
		name = "TCGIResponse.SetDateVariable"
		size = 30
	strings:
		$1 = { 55 8B EC 85 D2 7C 13 83 FA 02 7F 0E 8B 4D 08 89 4C D0 50 8B 4D 0C 89 4C D0 54 5D C2 08 00 }
	condition:
		$1
}

rule function_95606_0 {
	meta:
		name = "TCGIResponse.SetIntegerVariable"
		size = 13
	strings:
		$1 = { 85 D2 7C 08 85 D2 7F 04 89 4C 90 4C C3 }
	condition:
		$1
}

rule function_95611_0 {
	meta:
		name = "AddHeaderItem"
		size = 123
		refs = "0015 @UStrAddRef 001d AddHeaderItem 003f Format 004d @UStrCat 006a @UStrArrayClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 29 8D 45 F8 50 89 5D F0 C6 45 F4 11 8D 55 F0 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 8B 45 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95612_0 {
	meta:
		name = "TCGIResponse.SendResponse"
		size = 1940
		refs = "0019 TCGIResponse.SendResponse 0094 Format 00a3 @UStrLAsg 00bf AddHeaderItem 00f9 TCookieCollection.GetCookie 0101 TCookie.GetHeaderValue 0178 CurrencyString 0180 FormatDateTime 01a0 DayOfWeekStr 01c5 MonthStr 02d2 TWebResponse.FormatAuthenticate 02ea TWebResponse.AddCustomHeaders 0372 IntToStr 0390 @UStrCat 03a3 @LStrFromUStr 042f @LStrArrayClr 043a @UStrClr 0457 @UStrArrayClr 0484 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 12 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D D4 BA 01 00 00 00 8B 43 10 8B 30 FF 56 04 83 7D D4 00 0F 84 9B 03 00 00 8D 4D D0 BA 01 00 00 00 8B C3 8B 30 FF 16 83 7D D0 00 74 49 8B C3 8B 10 FF 52 24 85 C0 7E 3E 8D 45 F8 50 8B C3 8B 10 FF 52 24 89 45 C0 C6 45 C4 00 8D 4D BC BA 01 00 00 00 8B C3 8B 30 FF 16 8B 45 BC 89 45 C8 C6 45 CC 0B 8D 55 C0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 8D 4D B8 BA 06 00 00 00 8B C3 8B 30 FF 16 8B 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D B4 BA 05 00 00 00 8B C3 8B 30 FF 16 8B 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 43 0C 8B 40 08 8B 70 08 4E 85 F6 7C 28 46 33 FF 55 8B D7 8B 43 0C E8 ?? ?? ?? ?? 8D 55 B0 E8 ?? ?? ?? ?? 8B 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 47 4E 75 DB 55 8D 4D AC BA 0A 00 00 00 8B C3 8B 30 FF 16 8B 45 AC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 BA 01 00 00 00 8B C3 8B 08 FF 51 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 86 A1 00 00 00 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 8B 08 FF 51 08 DD 5D E0 9B FF 75 E4 FF 75 E0 8D 4D F0 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 55 8D 45 A8 50 BA 01 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 45 A4 E8 ?? ?? ?? ?? 8B 45 A4 89 45 C0 C6 45 C4 11 BA 01 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 45 A0 E8 ?? ?? ?? ?? 8B 45 A0 89 45 C8 C6 45 CC 11 8D 55 C0 B9 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 A8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 BA 02 00 00 00 8B C3 8B 08 FF 51 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 86 A1 00 00 00 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 02 00 00 00 8B C3 8B 08 FF 51 08 DD 5D D8 9B FF 75 DC FF 75 D8 8D 4D E8 8B 15 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 55 8D 45 9C 50 BA 02 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 45 98 E8 ?? ?? ?? ?? 8B 45 98 89 45 C0 C6 45 C4 11 BA 02 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 45 94 E8 ?? ?? ?? ?? 8B 45 94 89 45 C8 C6 45 CC 11 8D 55 C0 B9 01 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 9C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D 90 BA 0B 00 00 00 8B C3 8B 30 FF 16 8B 45 90 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 55 8C 8B C3 E8 ?? ?? ?? ?? 8B 45 8C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 55 8D 4D 88 BA 09 00 00 00 8B C3 8B 30 FF 16 8B 45 88 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D 84 BA 07 00 00 00 8B C3 8B 30 FF 16 8B 45 84 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D 80 BA 08 00 00 00 8B C3 8B 30 FF 16 8B 45 80 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 95 7C FF FF FF 8B C3 8B 08 FF 51 18 83 BD 7C FF FF FF 00 75 06 83 7B 08 00 74 26 55 33 D2 8B C3 8B 08 FF 51 10 8D 95 78 FF FF FF E8 ?? ?? ?? ?? 8B 85 78 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 74 FF FF FF 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 50 8B C3 8B 10 FF 52 24 50 8D 85 70 FF FF FF 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 8D 70 FF FF FF 8B 43 10 5A 8B 30 FF 56 30 8B 43 08 85 C0 75 1D 8D 95 6C FF FF FF 8B C3 8B 08 FF 51 18 8B 95 6C FF FF FF 8B 43 10 8B 08 FF 51 2C EB 16 85 C0 74 12 8B D0 8B C3 8B 08 FF 51 3C 33 D2 8B C3 8B 08 FF 51 20 C6 43 6C 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 6C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 94 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 99 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 64 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 32 00 30 00 30 00 20 00 4F 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 41 00 6C 00 6C 00 6F 00 77 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 65 00 74 00 2D 00 43 00 6F 00 6F 00 6B 00 69 00 65 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 65 00 72 00 69 00 76 00 65 00 64 00 2D 00 46 00 72 00 6F 00 6D 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 22 00 25 00 73 00 22 00 2C 00 20 00 64 00 64 00 20 00 22 00 25 00 73 00 22 00 20 00 79 00 79 00 79 00 79 00 20 00 68 00 68 00 3A 00 6E 00 6E 00 3A 00 73 00 73 00 20 00 22 00 47 00 4D 00 54 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 45 00 78 00 70 00 69 00 72 00 65 00 73 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 4C 00 61 00 73 00 74 00 2D 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 69 00 74 00 6C 00 65 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 57 00 57 00 57 00 2D 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 65 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 3A 00 0D 00 0A 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_95615_0 {
	meta:
		name = "TWinCGIRequest.Create"
		size = 560
		refs = "0010 @ClassCreate 0020 @UStrAddRef 0038 TWinCGIRequest.Create 0051 @UStrLAsg 005b _Dn_TIniFile 0060 TCustomIniFile.Create 00b0 FileExists 00c0 _Dn_TFileStream 00c5 TFileStream.Create 010c TCGIRequest.Create 0121 @UStrClr 012e @UStrArrayClr 0134 @HandleFinally 0143 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 88 55 FB 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 18 83 7D 0C 00 75 1A 68 ?? ?? ?? ?? 8D 45 0C 50 8B C6 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 30 FF 56 04 83 7D 08 00 75 1B 68 ?? ?? ?? ?? 8D 45 08 50 8B 43 18 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 30 FF 56 04 B2 01 8B 45 0C E8 ?? ?? ?? ?? 84 C0 74 14 6A 40 8B 4D 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 1C B2 01 8B 45 08 E8 ?? ?? ?? ?? 84 C0 74 16 6A 41 8B 4D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 EB 17 68 00 FF 00 00 8B 4D 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 57 00 69 00 6E 00 43 00 47 00 49 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 46 00 69 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 20 00 46 00 69 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 79 00 73 00 74 00 65 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 4F 00 75 00 74 00 70 00 75 00 74 00 46 00 69 00 6C 00 65 00 2E 00 68 00 74 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4F 00 75 00 74 00 70 00 75 00 74 00 20 00 46 00 69 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_95616_0 {
	meta:
		name = "TWinCGIRequest.Destroy"
		size = 64
		refs = "0003 @BeforeDestruction 000f TObject.Free 002e TWebRequest.Destroy 0039 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 18 E8 ?? ?? ?? ?? 8B 46 1C 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95617_0 {
	meta:
		name = "TWinCGIRequest.GetFieldByName"
		size = 160
		refs = "0016 TWinCGIRequest.GetFieldByName 002c @UStrFromLStr 004c @LStrFromUStr 0066 @UStrArrayClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 F8 50 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B 43 18 8B 18 FF 53 04 8B 55 F8 8B 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 45 00 78 00 74 00 72 00 61 00 20 00 48 00 65 00 61 00 64 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_95618_0 {
	meta:
		name = "AcceptSection"
		size = 296
		refs = "0014 AcceptSection 0021 _Dn_TStringList 0026 TStringList.Create 0054 @UStrClr 008f @UStrCatN 00b5 @UStrSetLength 00ca TObject.Free 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 8B 40 FC 8B 40 18 8B 4D FC BA ?? ?? ?? ?? 8B 30 FF 56 44 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 32 46 C7 45 F8 00 00 00 00 FF 33 8D 4D F4 8B 55 F8 8B 45 FC 8B 38 FF 57 0C FF 75 F4 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 F8 4E 75 D6 83 3B 00 74 1B 8B 03 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 63 00 63 00 65 00 70 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_95619_0 {
	meta:
		name = "TWinCGIRequest.GetStringVariable"
		size = 408
		refs = "001a TWinCGIRequest.GetStringVariable 0077 WinCGIServerVariables 0096 @LStrFromUStr 00a8 @LStrAsg 00e1 AcceptSection 0126 @LStrClr 0148 @UStrArrayClr 014e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 83 F8 1C 0F 87 C8 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 01 00 01 01 01 00 00 04 00 00 00 00 00 00 01 01 00 00 00 00 01 01 01 01 02 01 03 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 6A 00 8D 45 F8 50 8B 0C 9D ?? ?? ?? ?? 8B 45 FC 8B 40 18 BA ?? ?? ?? ?? 8B 18 FF 53 04 8B 55 F8 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? E9 8B 00 00 00 8B C6 8B 55 FC 8B 52 14 E8 ?? ?? ?? ?? EB 7C 6A 00 8D 45 F4 50 8B 0C 9D ?? ?? ?? ?? 8B 45 FC 8B 40 18 BA ?? ?? ?? ?? 8B 18 FF 53 04 8B 55 F4 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 4E 55 8D 45 F0 E8 ?? ?? ?? ?? 59 8B 55 F0 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 33 85 DB 7C 28 83 FB 1C 7F 23 8D 45 EC 8B 14 9D ?? ?? ?? ?? B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B CE 8B 45 FC 8B 18 FF 53 34 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 43 00 47 00 49 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 45 00 78 00 74 00 72 00 61 00 20 00 48 00 65 00 61 00 64 00 65 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_95620_0 {
	meta:
		name = "TWinCGIRequest.ReadClient"
		size = 24
	strings:
		$1 = { 53 56 8B 70 1C 85 F6 74 0A 8B C6 8B 18 FF 53 0C 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_95621_0 {
	meta:
		name = "TWinCGIRequest.ReadString"
		size = 66
		refs = "001a @LStrSetLength 003a @LStrClr"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 85 FF 7E 2A 83 7B 1C 00 74 24 8B C6 33 C9 8B D7 E8 ?? ?? ?? ?? 8B 16 8B CF 8B 43 1C 8B 18 FF 53 0C 8B D0 8B C6 33 C9 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95622_0 {
	meta:
		name = "TWinCGIRequest.WriteClient"
		size = 11
	strings:
		$1 = { 53 8B 40 20 8B 18 FF 53 10 5B C3 }
	condition:
		$1
}

rule function_95623_0 {
	meta:
		name = "TWinCGIRequest.WriteString"
		size = 67
	strings:
		$1 = { 53 56 57 51 8B DA 8B F8 85 DB 74 30 89 1C 24 8B 34 24 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D3 8B 4F 20 91 8B 38 FF 57 10 8B D0 8B C6 85 C0 74 05 83 E8 04 8B 00 3B C2 0F 94 C0 EB 02 33 C0 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95626_0 {
	meta:
		name = "TCopyParser.Create"
		size = 144
		refs = "000d @ClassCreate 0024 @GetMem 006f TCopyParser.SkipToken 007a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 8B 45 08 89 46 08 B8 00 10 00 00 E8 ?? ?? ?? ?? 89 46 18 B8 FF 0F 00 00 8B 56 18 C6 04 02 00 48 83 F8 FF 75 F3 8B 46 18 C6 00 00 89 46 1C 8B 46 18 05 00 10 00 00 89 46 20 8B 46 18 89 46 24 8B 46 18 89 46 28 8B 46 18 89 46 2C C7 46 34 01 00 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_95627_0 {
	meta:
		name = "TCopyParser.Destroy"
		size = 59
		refs = "0004 @BeforeDestruction 0028 @FreeMem 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 18 00 74 1A 8B 56 2C 2B 56 1C 8B 46 04 66 B9 01 00 8B 38 FF 57 14 8B 46 18 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95628_0 {
	meta:
		name = "TCopyParser.CheckToken"
		size = 203
		refs = "0015 TCopyParser.CheckToken 0039 SIdentifierExpected 003e LoadResString 0048 TCopyParser.Error 0052 SStringExpected 006b SNumberExpected 0086 SCharExpected 009f TCopyParser.ErrorFmt 00b9 @UStrArrayClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 5E 39 74 7F 8B C3 FE C8 74 0B FE C8 74 20 48 2C 02 72 34 EB 4B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 55 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 3C 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? EB 23 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 88 5D E8 C6 45 EC 02 8D 4D E8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95630_0 {
	meta:
		name = "TCopyParser.CopySkipTo"
		size = 183
		refs = "0019 TCopyParser.CopySkipTo 0027 @LStrClr 0054 TStream.WriteBuffer 0067 @LStrFromPCharLen 0072 @LStrCat 0080 TCopyParser.ReadBuffer 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 88 4D FB 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B 5F 2C EB 02 43 4E 85 F6 7E 05 80 3B 00 75 F5 80 7D FB 00 74 17 83 7F 08 00 74 11 8B 47 2C 8B CB 2B C8 50 8B 47 08 5A E8 ?? ?? ?? ?? 6A 00 8B 47 2C 8B CB 2B C8 50 8D 45 FC 5A E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 85 F6 7E 07 8B C7 E8 ?? ?? ?? ?? 85 F6 74 06 80 7F 39 00 75 9D 89 5F 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_95631_0 {
	meta:
		name = "TCopyParser.CopySkipToEOL"
		size = 82
		refs = "002a @LStrFromPCharLen 0043 TCopyParser.UpdateOutStream 004a TCopyParser.NextToken"
	strings:
		$1 = { 53 56 51 88 14 24 8B F0 8B 5E 2C EB 01 43 0F B6 03 84 C0 74 08 2C 0A 74 04 2C 03 75 F0 6A 00 8B D1 8B CB 8B 46 2C 2B C8 92 E8 ?? ?? ?? ?? 80 3B 0D 75 01 43 89 5E 24 80 3C 24 00 74 0A 8B 56 2C 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_95632_0 {
	meta:
		name = "TCopyParser.CopySkipToEOF"
		size = 156
		refs = "0018 TCopyParser.CopySkipToEOF 003d @LStrFromPCharLen 0047 @LStrCat 0057 TCopyParser.UpdateOutStream 005e TCopyParser.NextToken 0069 TCopyParser.SkipToken 008a @LStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B F1 88 55 FB 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 2C EB 01 40 80 38 00 75 FA 89 43 24 6A 00 8B C8 8B 53 2C 2B CA 8D 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 80 7D FB 00 74 13 8B 53 2C 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 24 89 43 2C 80 7B 39 00 75 A9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95633_0 {
	meta:
		name = "InternalSkipBlanks"
		size = 175
		refs = "003b @LStrFromPCharLen 004c @LStrCat 0068 TCopyParser.UpdateOutStream 006f TCopyParser.ReadBuffer"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 83 C3 F8 8B 03 8B 70 24 0F B6 06 2C 01 72 0C 2C 09 74 69 04 E9 2C DF 72 72 EB 66 6A 00 8B CE 8B 45 08 2B 48 F4 8B 45 08 8B 50 F4 8B 45 08 83 C0 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 55 08 8B 52 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 45 08 80 78 F3 00 74 0D 8B 45 08 8B 50 F4 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 03 8B 78 24 80 3F 00 74 2D 8B 45 08 89 78 F4 EB 87 8B 03 FF 40 34 8B 03 FF 40 24 E9 78 FF FF FF 8B 45 08 80 78 F3 00 74 0D 8B 45 08 8B 50 F4 8B 03 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_95634_0 {
	meta:
		name = "TCopyParser.CopySkipToToken"
		size = 344
		refs = "001e TCopyParser.CopySkipToToken 0036 @LStrClr 0049 InternalSkipBlanks 0066 @LStrFromPCharLen 0071 @LStrCat 0083 TCopyParser.SkipToNextToken 0149 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 88 4D F3 88 55 F2 89 45 F8 8D 75 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F1 00 33 DB C6 45 F0 00 8B 45 08 E8 ?? ?? ?? ?? E9 E1 00 00 00 8B 06 8B 40 24 89 45 F4 55 E8 ?? ?? ?? ?? 59 8B 06 8B 78 24 3B 7D F4 74 20 6A 00 8B CF 2B 4D F4 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 0F B6 4D F3 0F B6 55 F3 8B 06 E8 ?? ?? ?? ?? 8B 06 80 78 39 22 75 14 84 DB 75 06 80 7D F1 00 74 04 33 C0 EB 02 B0 01 8B D8 EB 1B 8B 06 80 78 39 27 75 13 80 7D F1 00 75 04 84 DB 74 04 33 C0 EB 02 B0 01 88 45 F1 8B 06 0F B6 40 39 3A 45 F2 75 21 8B 06 80 78 39 22 75 06 80 7D F1 00 74 17 8B 06 80 78 39 27 75 04 84 DB 74 0B 8B C3 0A 45 F1 74 04 33 C0 EB 02 B0 01 88 45 F0 80 7D F0 00 75 27 6A 00 8B 06 8B 48 24 8B 06 2B 48 2C 8B 06 8B 50 2C 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 80 7D F0 00 75 0C 8B 06 80 78 39 00 0F 85 0D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_95639_0 {
	meta:
		name = "TCopyParser.CopyTokenToOutput"
		size = 9
		refs = "0004 TCopyParser.UpdateOutStream"
	strings:
		$1 = { 8B 50 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95642_0 {
	meta:
		name = "TCopyParser.ErrorStr"
		size = 61
		refs = "0022 SParseError 0029 _Dn_EParserError 002e Exception.CreateResFmt 0033 @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F0 8B F2 8B D8 89 34 24 C6 44 24 04 11 8B 43 34 89 44 24 08 C6 44 24 0C 00 54 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_95643_0 {
	meta:
		name = "TCopyParser.NextToken"
		size = 10
		refs = "0005 TCopyParser.SkipToNextToken"
	strings:
		$1 = { B1 01 B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95648_0 {
	meta:
		name = "TCopyParser.SkipToNextToken"
		size = 135
		refs = "000b TCopyParser.SkipBlanks 007a TCopyParser.UpdateOutStream"
	strings:
		$1 = { 53 56 51 88 0C 24 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 24 89 46 2C 0F B6 10 8B CA 80 E9 0A 74 3D 80 C1 C9 80 E9 1A 72 0D 80 E9 04 74 08 80 C1 FE 80 E9 1A 73 30 40 EB 01 40 0F B6 10 80 C2 D0 80 EA 0A 72 F4 80 C2 F9 80 EA 1A 72 EC 80 EA 04 74 E7 80 C2 FE 80 EA 1A 72 DF B3 01 EB 0F 40 FF 46 34 B3 05 EB 07 8B DA 84 DB 74 01 40 8B 56 24 89 46 24 80 3C 24 00 74 07 8B C6 E8 ?? ?? ?? ?? 88 5E 39 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_95650_0 {
	meta:
		name = "TCopyParser.ReadBuffer"
		size = 207
		refs = "000e TCopyParser.ReadBuffer 0040 Move 0078 LineStart 008a SLineTooLong 008f LoadResString 0099 TCopyParser.Error 00bd @UStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 24 2B 43 18 99 01 43 10 11 53 14 8B 43 28 0F B6 53 38 88 10 8B 73 1C 8B 43 24 2B F0 85 F6 74 0A 8B 53 18 8B CE E8 ?? ?? ?? ?? 03 73 18 89 73 1C 8B 43 20 2B 43 1C 8B C8 8B 53 1C 8B 43 04 8B 30 FF 56 0C 01 43 1C 8B 43 18 89 43 24 8B 73 1C 89 73 28 3B 73 20 75 2C 8B D6 4A 8B 43 18 E8 ?? ?? ?? ?? 8B F8 89 7B 28 3B 7B 18 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 43 28 0F B6 00 88 43 38 8B 43 28 C6 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95651_0 {
	meta:
		name = "TCopyParser.SkipBlanks"
		size = 91
		refs = "002a TCopyParser.UpdateOutStream 0031 TCopyParser.ReadBuffer"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 8B 75 24 8B 45 24 0F B6 00 2C 01 72 0C 2C 09 74 28 04 E9 2C DF 72 2A EB 23 84 DB 74 09 8B D6 8B C5 E8 ?? ?? ?? ?? 8B C5 E8 ?? ?? ?? ?? 8B 7D 24 80 3F 00 74 19 8B F7 EB CA FF 45 34 FF 45 24 EB C2 84 DB 74 09 8B D6 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95652_0 {
	meta:
		name = "TCopyParser.SourcePos"
		size = 35
	strings:
		$1 = { 83 C4 F8 8B C8 8B 41 2C 2B 41 18 99 03 41 10 13 51 14 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_95653_0 {
	meta:
		name = "TCopyParser.SkipEOL"
		size = 50
		refs = "0027 TCopyParser.NextToken"
	strings:
		$1 = { 80 78 39 05 75 2B EB 03 FF 40 2C 8B 50 2C 0F B6 12 80 EA 0A 74 F2 80 EA 03 74 ED 8B 50 2C 89 50 24 80 3A 00 74 07 E8 ?? ?? ?? ?? EB 04 C6 40 39 00 C3 }
	condition:
		$1
}

rule function_95656_0 {
	meta:
		name = "TCopyParser.TokenString"
		size = 66
		refs = "003a @LStrFromPCharLen"
	strings:
		$1 = { 53 83 C4 F8 8B DA 8B C8 80 79 39 02 75 10 8B 41 30 2B 41 2C 99 89 04 24 89 54 24 04 EB 0E 8B 41 24 2B 41 2C 99 89 04 24 89 54 24 04 6A 00 8B 44 24 04 8B D3 8B 49 2C 91 92 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_95657_0 {
	meta:
		name = "TCopyParser.TokenSymbolIs"
		size = 111
		refs = "000f TCopyParser.TokenSymbolIs 0025 TCopyParser.TokenString 002d @LStrToPChar 003b AnsiStrComp 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 39 01 75 24 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95658_0 {
	meta:
		name = "TCopyParser.TokenComponentIdent"
		size = 161
		refs = "0010 TCopyParser.TokenComponentIdent 001f TCopyParser.CheckToken 0040 SIdentifierExpected 0045 LoadResString 004f TCopyParser.Error 007a TCopyParser.TokenString 008f @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C6 E8 ?? ?? ?? ?? 8B 5E 24 EB 45 43 0F B6 03 04 BF 2C 1A 72 21 2C 04 74 1D 04 FE 2C 1A 72 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 43 0F B6 03 04 D0 2C 0A 72 F6 04 F9 2C 1A 72 F0 2C 04 74 EC 04 FE 2C 1A 72 E6 80 3B 2E 74 B6 89 5E 24 8B D7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95659_0 {
	meta:
		name = "TCopyParser.UpdateOutStream"
		size = 32
		refs = "0019 TStream.WriteBuffer"
	strings:
		$1 = { 53 56 8B 48 08 85 C9 74 14 8B DA 8B 70 24 2B F2 8B D6 8B C1 87 DA 8B CB E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95665_0 {
	meta:
		name = "TDSTableProducerEditor.Create"
		size = 70
		refs = "000b @ClassCreate 001a TObject.Create 0027 RPR 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C6 89 47 04 89 78 5C E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95666_0 {
	meta:
		name = "TDSTableProducerEditor.Destroy"
		size = 48
		refs = "0003 @BeforeDestruction 001e TObject.Destroy 0029 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 85 C0 74 05 33 D2 89 50 5C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95670_0 {
	meta:
		name = "TDSTableProducerEditor.SetDataSource"
		size = 15
		refs = "000a TDSTableProducer.SetDataSource"
	strings:
		$1 = { 8B 48 04 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95671_0 {
	meta:
		name = "THTMLTableColumn.Create"
		size = 201
		refs = "000f @ClassCreate 0028 _DV_THTMLTableColumns 002d @IsClass 0045 TDSTableProducer.BeginLayout 004d THTMLTableColumn.Create 005f TCollectionItem.Create 0068 _Dn_THTMLTableHeaderAttributes 006d THTMLTagAttributes.Create 0082 THTMLTableColumn.TitleChanged 009d TDSTableProducer.EndLayout 00a3 @HandleFinally 00b3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 33 C0 89 45 F4 85 DB 74 17 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 8B 43 18 89 45 F4 83 7D F4 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 FC 89 58 24 8B 45 FC 89 43 14 C7 43 10 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95673_0 {
	meta:
		name = "THTMLTableColumn.AssignTo"
		size = 183
		refs = "000f _DV_THTMLTableColumn 0014 @IsClass 0035 THTMLTableColumn.AssignTo 004a THTMLTableColumn.SetFieldName 0058 THTMLTableColumn.SetAlign 0065 THTMLTableColumn.SetBgColor 0073 THTMLTableColumn.SetVAlign 0080 THTMLTableColumn.SetTitle 00a2 @HandleFinally 00ae TPersistent.AssignTo"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 88 00 00 00 8B 45 FC 8B 70 04 85 F6 74 07 8B C6 8B 10 FF 52 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 50 10 8B F3 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 50 14 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 18 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 50 20 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 50 24 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB E9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95674_0 {
	meta:
		name = "THTMLTableColumn.GetField"
		size = 96
		refs = "0007 THTMLTableColumn.GeTDSTableProducer 0021 TDataLink.GetDataSet 0036 TDataSet.GetActive 004d TDataSet.FindField 0056 THTMLTableColumn.SetField"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 83 7B 0C 00 75 47 83 7B 10 00 74 41 85 F6 74 3D 8B 46 54 E8 ?? ?? ?? ?? 85 C0 74 31 8B 46 54 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 09 80 BE AE 00 00 00 00 75 13 8B 53 10 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_95677_0 {
	meta:
		name = "THTMLTableColumn.GetDisplayName"
		size = 37
		refs = "0012 @UStrAsg 001e TCollectionItem.GetDisplayName"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 10 00 74 0D 8B C6 8B 53 10 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95679_0 {
	meta:
		name = "THTMLTableColumn.RestoreDefaults"
		size = 37
		refs = "000b @UStrClr"
	strings:
		$1 = { 53 8B D8 C6 43 14 00 8D 43 18 E8 ?? ?? ?? ?? 8D 43 1C E8 ?? ?? ?? ?? C6 43 20 00 8B 43 24 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_95681_0 {
	meta:
		name = "THTMLTableColumn.SetBgColor"
		size = 40
		refs = "000c @UStrEqual 0018 @UStrAsg 0021 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 18 E8 ?? ?? ?? ?? 74 13 8D 43 18 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95682_0 {
	meta:
		name = "THTMLTableColumn.SetCustom"
		size = 40
		refs = "000c @UStrEqual 0018 @UStrAsg 0021 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 1C E8 ?? ?? ?? ?? 74 13 8D 43 1C 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95683_0 {
	meta:
		name = "THTMLTableColumn.SetField"
		size = 41
		refs = "0019 @UStrAsg 0022 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 0C 74 1B 89 73 0C 85 F6 74 0B 8D 43 10 8B 56 40 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95684_0 {
	meta:
		name = "THTMLTableColumn.SetFieldName"
		size = 95
		refs = "000d THTMLTableColumn.GeTDSTableProducer 001b TDataLink.GetDataSet 0038 TDataSet.FindField 0044 @UStrAsg 004d THTMLTableColumn.SetField 0056 TCollectionItem.Changed"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 33 ED 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 27 8B 46 54 E8 ?? ?? ?? ?? 85 C0 74 1B F6 46 1C 01 75 15 85 FF 74 11 8B 46 54 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B E8 8D 43 10 8B D7 E8 ?? ?? ?? ?? 8B D5 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95686_0 {
	meta:
		name = "THTMLTableColumn.SetVAlign"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 20 74 0A 88 50 20 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95692_0 {
	meta:
		name = "THTMLTableColumns.GetState"
		size = 15
	strings:
		$1 = { 8B 40 08 83 78 08 00 7E 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_95693_0 {
	meta:
		name = "THTMLTableColumns.RestoreDefaults"
		size = 101
		refs = "0015 THTMLTableColumns.RestoreDefaults 0036 THTMLTableColumns.GetColumn 003b THTMLTableColumn.RestoreDefaults 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 10 FF 52 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95694_0 {
	meta:
		name = "THTMLTableColumns.RebuildColumns"
		size = 230
		refs = "000e TCollection.Clear 0023 TDSTableProducer.GetDataSource 004b TDSTableProducer.BeginLayout 0053 THTMLTableColumns.RebuildColumns 0071 TFields.GetCount 0085 TFields.GetField 008e THTMLTableColumns.Add 0094 THTMLTableColumn.SetField 00b0 TDSTableProducer.EndLayout 00b6 @HandleFinally 00d3 THTMLTableColumns.GetColumn 00d8 THTMLTableColumn.Update"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 58 18 85 DB 0F 84 C0 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 B1 00 00 00 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 83 78 38 00 0F 84 9C 00 00 00 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B 78 38 8B C7 8B 40 38 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 20 43 33 F6 8B 47 38 8B D6 E8 ?? ?? ?? ?? 50 8B 45 FC E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 46 4B 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 8B 45 FC 8B 40 08 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B D6 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95699_0 {
	meta:
		name = "THTMLTableColumns.GetItemAttr"
		size = 113
		refs = "001d THTMLTableColumns.GetColumn 0039 THTMLTableColumn.GetField 0054 TObject.ClassName 005d @UStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B D8 8B 75 08 83 EA 01 72 04 74 15 EB 4C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 0C EB 40 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 12 8B C3 E8 ?? ?? ?? ?? 8B 00 8B D6 E8 ?? ?? ?? ?? EB 10 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_95701_0 {
	meta:
		name = "THTMLTableColumns.Update"
		size = 43
		refs = "0015 TDSTableProducer.LayoutChanged"
	strings:
		$1 = { 56 8B 70 18 85 F6 74 21 F6 46 1C 01 75 1B 85 D2 75 09 8B C6 E8 ?? ?? ?? ?? EB 0E 8B 56 5C 85 D2 74 07 8B C2 8B 10 FF 52 04 5E C3 }
	condition:
		$1
}

rule function_95704_0 {
	meta:
		name = "THTTPDataLink.GetDefaultFields"
		size = 74
		refs = "0009 TDataLink.GetDataSet"
	strings:
		$1 = { 53 56 8B F0 B3 01 8B C6 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C6 E8 ?? ?? ?? ?? 0F B6 98 AE 00 00 00 84 DB 74 22 80 7E 2D 00 74 1C 8B 46 20 48 85 C0 7C 14 40 33 D2 8B 4E 28 83 3C 91 00 7D 04 33 DB EB 04 42 48 75 EF 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_95705_0 {
	meta:
		name = "THTTPDataLink.GetFields"
		size = 53
		refs = "001b TDataLink.GetDataSet 0029 TFields.GetField"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 26 3B 73 20 7D 21 8B 43 28 83 3C B0 00 7C 18 8B C3 E8 ?? ?? ?? ?? 8B 40 38 8B 53 28 8B 14 B2 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_95706_0 {
	meta:
		name = "THTTPDataLink.AddMapping"
		size = 268
		refs = "0016 THTTPDataLink.AddMapping 0031 sTooManyColumns 0036 LoadResString 003e TableError 004b TDataLink.GetDataSet 0052 TDataSet.FindField 0064 TDataSet.FieldByName 00ad @ReallocMem 00bb TField.GetIndex 00ce TComponent.FreeNotification 00f5 @UStrClr 00fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 81 7B 20 FF FF FF 0F 7C 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 80 7B 2D 00 74 12 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F0 EB 10 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F0 85 F6 74 08 F6 46 1C 08 74 02 33 F6 8B 53 24 8B 43 20 3B D0 75 34 8B FA 85 FF 75 07 BF 08 00 00 00 EB 02 03 FF 3B C7 7E 03 8B F8 47 81 FF FF FF FF 0F 7E 05 BF FF FF FF 0F 8B D7 03 D2 03 D2 8D 43 28 E8 ?? ?? ?? ?? 89 7B 24 85 F6 74 1C 8B C6 E8 ?? ?? ?? ?? 8B 53 28 8B 4B 20 89 04 8A 8B 53 1C 8B C6 E8 ?? ?? ?? ?? EB 0D 8B 43 28 8B 53 20 C7 04 90 FF FF FF FF FF 43 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95707_0 {
	meta:
		name = "THTTPDataLink.ActiveChanged"
		size = 13
		refs = "0008 TDSTableProducer.LinkActive"
	strings:
		$1 = { 0F B6 50 15 8B 40 1C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95708_0 {
	meta:
		name = "THTTPDataLink.ClearMapping"
		size = 39
		refs = "0012 @FreeMem"
	strings:
		$1 = { 53 8B D8 8B 43 28 85 C0 74 1B 8B 53 24 03 D2 03 D2 E8 ?? ?? ?? ?? 33 C0 89 43 28 33 C0 89 43 24 33 C0 89 43 20 5B C3 }
	condition:
		$1
}

rule function_95710_0 {
	meta:
		name = "THTTPDataLink.DataSetChanged"
		size = 17
		refs = "0007 TDSTableProducer.Changed"
	strings:
		$1 = { 53 8B D8 8B 43 1C E8 ?? ?? ?? ?? C6 43 2C 00 5B C3 }
	condition:
		$1
}

rule function_95717_0 {
	meta:
		name = "THTTPDataLink.GetMappedIndex"
		size = 20
	strings:
		$1 = { 85 D2 7C 0C 3B 50 20 7D 07 8B 40 28 8B 04 90 C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_95718_0 {
	meta:
		name = "THTTPDataLink.Reset"
		size = 37
		refs = "0017 TDataLink.GetDataSet"
	strings:
		$1 = { 53 8B D8 80 7B 2C 00 74 0B 33 D2 8B C3 8B 08 FF 51 44 5B C3 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 68 02 00 00 5B C3 }
	condition:
		$1
}

rule function_95719_0 {
	meta:
		name = "TDSTableProducer.Create"
		size = 227
		refs = "000e @ClassCreate 001c TComponent.Create 0023 _Dn_TStringList 0028 TStringList.Create 0043 _DV_THTTPDataLink 0048 THTTPDataLink.Create 0054 _Dn_TDataSource 0059 TDataSource.Create 0061 _DV_THTMLTableColumn 006b _DV_THTMLTableColumns 0070 THTMLTableColumns.Create 007c _Dn_THTMLTableRowAttributes 0081 THTMLTagAttributes.Create 0090 TDSTableProducer.AttributeChanged 0099 _Dn_THTMLTableAttributes 009e THTMLTableAttributes.Create 00c1 TDSTableProducer.SetDataSource 00ce @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 68 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 64 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 54 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 58 A1 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 60 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 7C 89 5E 14 C7 46 10 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 80 00 00 00 89 5E 14 C7 46 10 ?? ?? ?? ?? C7 43 6C 14 00 00 00 8B 53 58 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95720_0 {
	meta:
		name = "TDSTableProducer.Destroy"
		size = 126
		refs = "0003 @BeforeDestruction 000e TDSTableProducer.BeginUpdate 0017 TDSTableProducer.SetDataSource 001f TObject.Free 006c TComponent.Destroy 0077 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 60 E8 ?? ?? ?? ?? 33 C0 89 46 60 8B 46 54 E8 ?? ?? ?? ?? 33 C0 89 46 54 8B 46 58 E8 ?? ?? ?? ?? 33 C0 89 46 58 8B 46 7C E8 ?? ?? ?? ?? 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 8B 46 68 E8 ?? ?? ?? ?? 8B 46 64 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95721_0 {
	meta:
		name = "TDSTableProducer.AcquireLayoutLock"
		size = 32
		refs = "0018 TDSTableProducer.BeginLayout"
	strings:
		$1 = { 53 83 78 74 00 75 06 83 78 78 00 74 04 33 DB EB 02 B3 01 84 DB 74 05 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_95723_0 {
	meta:
		name = "TDSTableProducer.BeginLayout"
		size = 29
		refs = "0006 TDSTableProducer.BeginUpdate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 74 00 75 08 8B 43 60 8B 10 FF 52 20 FF 43 74 5B C3 }
	condition:
		$1
}

rule function_95724_0 {
	meta:
		name = "TDSTableProducer.BeginUpdate"
		size = 4
	strings:
		$1 = { FF 40 78 C3 }
	condition:
		$1
}

rule function_95725_0 {
	meta:
		name = "TDSTableProducer.Changed"
		size = 25
	strings:
		$1 = { 83 78 78 00 75 0E 83 78 5C 00 74 08 8B 40 5C 8B 10 FF 12 C3 C6 40 70 01 C3 }
	condition:
		$1
}

rule function_95726_0 {
	meta:
		name = "TDSTableProducer.DefineFieldMap"
		size = 133
		refs = "000a THTMLTableColumns.GetState 0030 THTMLTableColumns.GetColumn 003b THTTPDataLink.AddMapping 004d TDataLink.GetDataSet 0059 TFields.GetCount 006d TFields.GetField"
	strings:
		$1 = { 53 56 57 55 8B F0 8B 46 60 E8 ?? ?? ?? ?? 3C 01 75 33 8B 46 54 C6 40 2D 01 8B 46 60 8B 40 08 8B 58 08 4B 85 DB 7C 59 43 33 FF 8B D7 8B 46 60 E8 ?? ?? ?? ?? 8B 50 10 8B 46 54 E8 ?? ?? ?? ?? 47 4B 75 E7 EB 3B 8B 46 54 C6 40 2D 00 E8 ?? ?? ?? ?? 8B E8 8B C5 8B 40 38 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 1C 43 33 FF 8B 45 38 8B D7 E8 ?? ?? ?? ?? 8B 50 40 8B 46 54 E8 ?? ?? ?? ?? 47 4B 75 E7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95727_0 {
	meta:
		name = "TDSTableProducer.DoCreateContent"
		size = 41
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 8A 00 00 00 00 74 12 8B CC 8B D8 8B D0 8B 83 8C 00 00 00 FF 93 88 00 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_95728_0 {
	meta:
		name = "TDSTableProducer.DoFormatCell"
		size = 58
	strings:
		$1 = { 55 8B EC 53 66 83 B8 92 00 00 00 00 74 27 51 8B 4D 18 51 8B 4D 14 51 8B 4D 10 51 8B 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 83 94 00 00 00 FF 93 90 00 00 00 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_95729_0 {
	meta:
		name = "TDSTableProducer.DoGetCaption"
		size = 56
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C6 8B 53 4C E8 ?? ?? ?? ?? 0F B6 43 50 88 07 66 83 BB 9A 00 00 00 00 74 11 57 8B CE 8B D3 8B 83 9C 00 00 00 FF 93 98 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95730_0 {
	meta:
		name = "TDSTableProducer.EndLayout"
		size = 135
		refs = "0015 TDSTableProducer.EndLayout 0034 TDSTableProducer.InternalLayout 005b @HandleFinally 0078 TDSTableProducer.EndUpdate"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 8B 40 74 85 C0 7E 73 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 48 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 83 78 74 01 75 0B 8B 45 FC 8B 40 60 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FF 48 74 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 59 5D C3 }
	condition:
		$1
}

rule function_95731_0 {
	meta:
		name = "TDSTableProducer.EndUpdate"
		size = 67
	strings:
		$1 = { 53 8B D8 83 7B 78 01 75 2F 83 7B 5C 00 74 29 80 7B 70 00 75 18 8B 53 58 83 7A 38 00 74 0F 8B 43 58 83 78 38 00 74 11 80 78 42 00 75 0B C6 43 70 00 8B 43 5C 8B 10 FF 12 83 7B 78 00 7E 03 FF 4B 78 5B C3 }
	condition:
		$1
}

rule function_95732_0 {
	meta:
		name = "TDSTableProducer.GetDataSource"
		size = 7
	strings:
		$1 = { 8B 40 54 8B 40 04 C3 }
	condition:
		$1
}

rule function_95733_0 {
	meta:
		name = "FieldIsMapped"
		size = 77
		refs = "0031 THTTPDataLink.GetFields"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 C6 45 FF 00 85 FF 74 32 8B 45 08 8B 40 FC 8B 40 54 8B 58 20 4B 85 DB 7C 21 43 33 F6 8B 45 08 8B 40 FC 8B 40 54 8B D6 E8 ?? ?? ?? ?? 3B F8 75 06 C6 45 FF 01 EB 04 46 4B 75 E2 0F B6 45 FF 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95734_0 {
	meta:
		name = "TDSTableProducer.InternalLayout"
		size = 565
		refs = "004b THTMLTableColumns.GetColumn 0050 THTMLTableColumn.IsStored 008f TObject.Free 00a8 THTTPDataLink.ClearMapping 00bc TDSTableProducer.DefineFieldMap 00c7 THTMLTableColumns.GetState 00e2 THTTPDataLink.GetDefaultFields 00f1 TCollection.Clear 011b THTMLTableColumn.GetField 012c FieldIsMapped 0166 THTTPDataLink.GetFields 017f TCollection.GetCount 01bc _DV_THTMLTableColumn 01c1 THTMLTableColumn.Create 01cd THTMLTableColumn.SetField"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 45 FC 8B 45 FC F6 40 1C 01 0F 85 15 02 00 00 8B 45 FC F6 40 1C 08 0F 85 08 02 00 00 33 DB 8B 45 FC 8B 40 60 8B 40 08 8B 70 08 4E 85 F6 7C 68 46 C7 45 F8 00 00 00 00 8B 45 FC 8B 40 60 8B 55 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 B3 01 EB 3F 84 DB 74 3B 8B 45 FC 8B 40 60 8B 40 08 8B 58 08 4B 83 FB 00 7C 2F 8B 45 FC 8B 40 60 8B D3 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 84 C0 75 07 8B C7 E8 ?? ?? ?? ?? 4B 83 FB FF 75 D9 EB 06 FF 45 F8 4E 75 A0 8B 45 FC 8B 40 54 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 54 80 78 15 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 40 60 E8 ?? ?? ?? ?? 84 C0 0F 85 27 01 00 00 8B 45 FC 8B 58 54 80 7B 15 00 75 18 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 FC 8B 40 60 E8 ?? ?? ?? ?? EB 4B 8B 45 FC 8B 40 60 8B 40 08 8B 58 08 4B 83 FB 00 7C 39 8B 45 FC 8B 40 60 8B D3 E8 ?? ?? ?? ?? 8B F0 8B C6 E8 ?? ?? ?? ?? 85 C0 74 12 55 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 C7 8B 45 FC 8B 40 54 8B 40 20 89 45 F8 8B 75 F8 4E 85 F6 0F 8C D4 00 00 00 46 33 DB 8B 45 FC 8B 40 54 8B D3 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 60 8B FB EB 01 47 8B 45 FC 8B 40 60 E8 ?? ?? ?? ?? 3B F8 7D 17 8B 45 FC 8B 40 60 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 45 F4 75 D9 8B 45 FC 8B 40 60 8B 50 08 3B 7A 08 7D 0B 8B D7 E8 ?? ?? ?? ?? 8B F8 EB 30 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 55 F4 8B C7 E8 ?? ?? ?? ?? EB 14 8B 45 FC 8B 48 60 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B D3 8B C7 8B 08 FF 51 14 43 4E 0F 85 65 FF FF FF EB 34 8B 45 FC 8B 40 60 8B 40 08 8B 70 08 4E 85 F6 7C 23 46 C7 45 F8 00 00 00 00 8B 45 FC 8B 40 60 8B 55 F8 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? FF 45 F8 4E 75 E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95737_0 {
	meta:
		name = "TDSTableProducer.Notification"
		size = 219
		refs = "0018 TCustomContentProducer.Notification 0036 TDSTableProducer.GetDataSource 0044 TDSTableProducer.SetDataSource 0051 _Dn_TField 0056 @IsClass 0062 TDSTableProducer.BeginLayout 006a TDSTableProducer.Notification 0097 THTMLTableColumns.GetColumn 00a0 THTMLTableColumn.GetField 00ad THTMLTableColumn.SetField 00c8 TDSTableProducer.EndLayout 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B D9 8B F2 89 45 FC 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 80 FB 01 0F 85 AF 00 00 00 8B 45 FC 83 78 54 00 0F 84 A2 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 3B F0 75 0F 33 D2 8B 45 FC E8 ?? ?? ?? ?? E9 87 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 76 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 60 8B 40 08 8B 58 08 4B 85 DB 7C 32 43 C7 45 F8 00 00 00 00 8B 45 FC 8B 40 60 8B 55 F8 E8 ?? ?? ?? ?? 8B F8 8B C7 E8 ?? ?? ?? ?? 3B F0 75 09 33 D2 8B C7 E8 ?? ?? ?? ?? FF 45 F8 4B 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95738_0 {
	meta:
		name = "TDSTableProducer.SetCaption"
		size = 26
		refs = "000c @UStrAsg 0013 TDSTableProducer.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 4C 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95739_0 {
	meta:
		name = "TDSTableProducer.SetCaptionAlignment"
		size = 14
		refs = "0009 TDSTableProducer.Changed"
	strings:
		$1 = { 3A 50 50 74 08 88 50 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95740_0 {
	meta:
		name = "TDSTableProducer.SetColumns"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 60 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_95741_0 {
	meta:
		name = "TDSTableProducer.SetDataSource"
		size = 64
		refs = "0011 TDataLink.SetDataSource 001e TComponent.FreeNotification 0039 TDSTableProducer.LinkActive"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 54 3B 70 04 74 2F 8B D6 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 14 F6 40 1C 01 75 0E 8B 43 54 0F B6 50 15 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95742_0 {
	meta:
		name = "TDSTableProducer.SetFooter"
		size = 26
		refs = "0013 TDSTableProducer.Changed"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 68 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_95743_0 {
	meta:
		name = "TDSTableProducer.SetHeader"
		size = 26
		refs = "0013 TDSTableProducer.Changed"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 64 8B 08 FF 51 08 8B C6 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_95744_0 {
	meta:
		name = "TDSTableProducer.SetMaxRows"
		size = 14
		refs = "0009 TDSTableProducer.Changed"
	strings:
		$1 = { 3B 50 6C 74 08 89 50 6C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95746_0 {
	meta:
		name = "TDSTableProducer.SetTableAttributes"
		size = 12
	strings:
		$1 = { 8B 80 80 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_95747_0 {
	meta:
		name = "TDSTableProducer.StoreColumns"
		size = 18
		refs = "0007 THTMLTableColumns.GetState"
	strings:
		$1 = { 53 8B D8 8B 43 60 E8 ?? ?? ?? ?? 3C 01 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_95748_0 {
	meta:
		name = "TDSTableProducer.FormatCell"
		size = 560
		refs = "0028 @UStrAddRef 0030 TDSTableProducer.FormatCell 0050 Format 005b @UStrLAsg 0098 @CallDynaInst 00a4 HTMLAlign 00ac @UStrCat 00b8 HTMLVAlign 00f9 @UStrAsg 0180 @UStrArrayClr 0188 @UStrClr 01a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D D0 89 5D E4 89 5D FC 89 5D F8 89 4D F4 8B FA 8B F0 8B 5D 08 8B 45 20 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 1C 89 45 E8 C6 45 EC 11 8D 55 E8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 55 18 E8 ?? ?? ?? ?? 0F B6 45 14 88 45 F3 0F B6 45 10 88 45 F2 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8D 45 FC 50 8D 45 F3 50 8D 45 F2 50 8D 45 F8 50 8D 45 20 50 8B 4D F4 8B D7 8B C6 66 BE EF FF E8 ?? ?? ?? ?? 8B C3 0F B6 55 F3 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 8B C3 0F B6 55 F2 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 83 7D FC 00 74 33 8D 45 E4 50 8B 03 89 45 D4 C6 45 D8 11 8B 45 FC 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 33 8D 45 D0 50 8B 03 89 45 D4 C6 45 D8 11 8B 45 F8 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B C3 E8 ?? ?? ?? ?? 8D 45 CC 50 8B 45 20 89 45 D4 C6 45 D8 11 8B 45 1C 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 20 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5F 5E 5B 8B E5 5D C2 1C 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3C 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 25 00 73 00 20 00 42 00 67 00 43 00 6F 00 6C 00 6F 00 72 00 3D 00 22 00 25 00 73 00 22 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3E 00 25 00 73 00 3C 00 2F 00 25 00 73 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_95749_0 {
	meta:
		name = "TDSTableProducer.RowHeader"
		size = 364
		refs = "0018 TDSTableProducer.RowHeader 002a @UStrAsg 0039 HTMLAlign 0041 @UStrCat 004d HTMLVAlign 0084 Format 00e8 @UStrClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 76 7C 8B C3 0F B6 56 18 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 8B C3 0F B6 56 20 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 83 7E 1C 00 74 33 8D 45 FC 50 8B 03 89 45 EC C6 45 F0 11 8B 46 1C 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7E 08 00 74 33 8D 45 E8 50 8B 03 89 45 EC C6 45 F0 11 8B 46 08 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3C 00 54 00 52 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 25 00 73 00 20 00 42 00 67 00 43 00 6F 00 6C 00 6F 00 72 00 3D 00 22 00 25 00 73 00 22 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_95750_0 {
	meta:
		name = "TDSTableProducer.TableCaption"
		size = 228
		refs = "0016 TDSTableProducer.TableCaption 0027 @UStrLAsg 003f @CallDynaInst 0051 Align 0074 Format 007d @UStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 53 4C E8 ?? ?? ?? ?? 0F B6 43 50 88 45 FB 8D 4D FB 8D 55 FC 8B C3 66 BE EE FF E8 ?? ?? ?? ?? 83 7D FC 00 74 31 57 0F B6 45 FB 8B 04 85 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 3C 00 43 00 61 00 70 00 74 00 69 00 6F 00 6E 00 20 00 25 00 73 00 25 00 73 00 3C 00 2F 00 43 00 61 00 70 00 74 00 69 00 6F 00 6E 00 3E 00 00 00 }
	condition:
		$1
}

rule function_95751_0 {
	meta:
		name = "TDSTableProducer.TableHeader"
		size = 764
		refs = "001a TDSTableProducer.TableHeader 002c @UStrAsg 005f Format 0075 HTMLAlign 007d @UStrCat 01bd @UStrArrayClr 01c5 @UStrClr 01cb @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B B6 80 00 00 00 8B 7E 2C 85 FF 7E 30 8D 45 FC 50 8B 03 89 45 EC C6 45 F0 11 89 7D F4 C6 45 F8 00 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 0F B6 56 18 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 8B 7E 24 83 FF FF 7E 30 8D 45 E8 50 8B 03 89 45 EC C6 45 F0 11 89 7D F4 C6 45 F8 00 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 7E 28 83 FF FF 7E 30 8D 45 E4 50 8B 03 89 45 EC C6 45 F0 11 89 7D F4 C6 45 F8 00 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 7E 1C 83 FF FF 7E 30 8D 45 E0 50 8B 03 89 45 EC C6 45 F0 11 89 7D F4 C6 45 F8 00 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C3 E8 ?? ?? ?? ?? 83 7E 20 00 74 33 8D 45 DC 50 8B 03 89 45 EC C6 45 F0 11 8B 46 20 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 83 7E 08 00 74 33 8D 45 D8 50 8B 03 89 45 EC C6 45 F0 11 8B 46 08 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B C3 E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 3C 00 54 00 61 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 25 00 73 00 20 00 57 00 69 00 64 00 74 00 68 00 3D 00 22 00 25 00 64 00 25 00 25 00 22 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 25 00 73 00 20 00 43 00 65 00 6C 00 6C 00 53 00 70 00 61 00 63 00 69 00 6E 00 67 00 3D 00 25 00 64 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 25 00 73 00 20 00 43 00 65 00 6C 00 6C 00 50 00 61 00 64 00 64 00 69 00 6E 00 67 00 3D 00 25 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 25 00 73 00 20 00 42 00 6F 00 72 00 64 00 65 00 72 00 3D 00 25 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 25 00 73 00 20 00 42 00 67 00 43 00 6F 00 6C 00 6F 00 72 00 3D 00 22 00 25 00 73 00 22 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_95752_0 {
	meta:
		name = "TDSTableProducer.ColumnHeader"
		size = 288
		refs = "001b TDSTableProducer.ColumnHeader 0029 @UStrClr 0051 THTMLTableColumns.GetColumn 005a THTMLTableColumn.GetField 0073 @UStrLAsg 0083 TField.GetDisplayLabel 00c1 @CallDynaInst 00cc @UStrCat 00fc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F8 8B 40 60 8B 40 08 8B 40 08 48 85 C0 0F 8C 9B 00 00 00 40 89 45 F0 33 FF 8B 45 F8 8B 40 60 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 43 24 83 78 28 00 74 10 8D 45 FC 8B 53 24 8B 52 28 E8 ?? ?? ?? ?? EB 1A 85 F6 74 0C 8D 55 FC 8B C6 E8 ?? ?? ?? ?? EB 0A 8D 55 FC 8B C3 8B 08 FF 51 0C 8B 5B 24 8B 45 FC 50 68 ?? ?? ?? ?? 8B 43 1C 50 0F B6 43 18 50 0F B6 43 20 50 8B 43 08 50 8D 45 EC 50 8B CF 33 D2 8B 45 F8 66 BE ED FF E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 47 FF 4D F0 0F 85 6B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 48 00 00 00 00 00 }
	condition:
		$1
}

rule function_95753_0 {
	meta:
		name = "TDataSetTableProducer.Content"
		size = 311
		refs = "0015 TDataSetTableProducer.Content 0022 @UStrClr 003a TDataSet.GetActive 0055 TDSTableProducer.LayoutChanged 007c TDataSet.Open 0092 TDSTableProducer.DoCreateContent 00c2 HtmlTable 00e2 @UStrCatN 0103 TDataSet.Close 0109 @HandleFinally 0125 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B B0 A0 00 00 00 85 F6 0F 84 D8 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 8B 45 FC 8B 40 60 8B 40 08 83 78 08 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? 34 01 88 45 FB 80 7D FB 00 74 0E 8B 45 FC 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 4C 8D 55 F4 8B 45 FC 8B 40 64 8B 08 FF 51 1C FF 75 F4 8D 45 F0 50 8B 45 FC 8B 48 6C 8B 45 FC 8B 80 A0 00 00 00 8B 55 FC E8 ?? ?? ?? ?? FF 75 F0 8D 55 EC 8B 45 FC 8B 40 68 8B 08 FF 51 1C FF 75 EC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 0E 8B 45 FC 8B 80 A0 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95757_0 {
	meta:
		name = "HtmlTable"
		size = 584
		refs = "002d HtmlTable 0042 @CallDynaInst 007a @UStrCatN 00ca @UStrCat 00f8 THTMLTableColumns.GetColumn 0101 THTMLTableColumn.GetField 0115 TField.GetDisplayText 011f @UStrClr 0182 TDataSet.Next 01c4 @UStrArrayClr 01d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D D0 89 5D D8 89 5D D4 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 F0 66 BE EC FF E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F0 66 BE EB FF E8 ?? ?? ?? ?? FF 75 D8 8D 55 D4 8B 45 F0 66 BE EA FF E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? FF 75 F8 8B C7 BA 04 00 00 00 E8 ?? ?? ?? ?? FF 37 8D 55 D0 8B 45 F0 66 BE F0 FF E8 ?? ?? ?? ?? FF 75 D0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C7 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 80 B8 A5 00 00 00 01 0F 85 EA 00 00 00 C7 45 E4 01 00 00 00 E9 C8 00 00 00 8B C7 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 8B 40 60 8B 40 08 8B 40 08 48 85 C0 0F 8C 83 00 00 00 40 89 45 DC C7 45 E8 00 00 00 00 8B 45 F0 8B 40 60 8B 55 E8 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 89 45 E0 83 7D E0 00 74 0D 8D 55 FC 8B 45 E0 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 68 ?? ?? ?? ?? 8B 43 18 50 0F B6 43 14 50 0F B6 43 20 50 8B 43 1C 50 8D 45 CC 50 8B 4D E8 8B 55 E4 8B 45 F0 66 BE ED FF E8 ?? ?? ?? ?? 8B 55 CC 8B C7 E8 ?? ?? ?? ?? FF 45 E8 FF 4D DC 75 88 FF 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? FF 4D EC FF 45 E4 83 7D EC 00 74 10 8B 45 F4 80 B8 A9 00 00 00 00 0F 84 22 FF FF FF 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 54 00 52 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 54 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 2F 00 54 00 61 00 62 00 6C 00 65 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_95760_0 {
	meta:
		name = "TSQLQueryTableProducer.Content"
		size = 434
		refs = "001c TSQLQueryTableProducer.Content 002a @UStrClr 003d TDataSet.Close 0049 TCustomContentProducer.GetDispatcher 007e TWebRequest.GetContentFields 00b1 TWebRequest.GetQueryFields 00db TStrings.GetName 00ef TParams.ParamByName 0102 TStrings.GetValue 010c TParam.SetText 011f TDataSet.Open 0126 TDSTableProducer.DoCreateContent 014c HtmlTable 016a @UStrCatN 0184 @UStrArrayClr 018d IWebDispatcherAccess 0197 @FinalizeArray 01a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 83 A0 00 00 00 85 C0 0F 84 32 01 00 00 E8 ?? ?? ?? ?? 33 F6 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 83 7D EC 00 74 64 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 0C 80 78 08 03 75 1B 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 8B 10 FF 52 0C E8 ?? ?? ?? ?? 8B F0 EB 31 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 52 0C 80 78 08 01 75 19 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 8B 10 FF 52 0C E8 ?? ?? ?? ?? 8B F0 85 F6 74 5D 8B C6 8B 10 FF 52 14 48 85 C0 7C 51 40 89 45 F0 C7 45 F4 00 00 00 00 8D 4D FC 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 83 A0 00 00 00 8B 80 E0 01 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B F8 85 FF 74 17 8D 4D D8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 D8 8B C7 E8 ?? ?? ?? ?? FF 45 F4 FF 4D F0 75 BA 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 40 8D 55 D4 8B 43 64 8B 08 FF 51 1C FF 75 D4 8D 45 D0 50 8B 4B 6C 8B D3 8B 83 A0 00 00 00 E8 ?? ?? ?? ?? FF 75 D0 8D 55 CC 8B 43 68 8B 08 FF 51 1C FF 75 CC 8B 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95768_0 {
	meta:
		name = "TCustomDataSetPageProducer.SetDataSet"
		size = 30
		refs = "0014 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 78 74 10 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 89 73 78 5E 5B C3 }
	condition:
		$1
}

rule function_95769_0 {
	meta:
		name = "TCustomDataSetPageProducer.Notification"
		size = 39
		refs = "0010 TCustomContentProducer.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0A 3B 77 78 75 05 33 C0 89 47 78 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95770_0 {
	meta:
		name = "TCustomDataSetPageProducer.DoTagEvent"
		size = 152
		refs = "001c TCustomDataSetPageProducer.DoTagEvent 003d TDataSet.FindField 0051 TField.GetDisplayText 005c @UStrAsg 006e TBasePageProducer.DoTagEvent 0083 @UStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 88 55 FF 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 14 85 C0 75 2F 83 7B 78 00 74 29 8B D7 8B 43 78 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 16 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 E8 ?? ?? ?? ?? 56 8B 45 08 50 0F B6 55 FF 8B CF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_95771_0 {
	meta:
		name = "TCustomDataSetPageProducer.Content"
		size = 46
		refs = "0011 TDataSet.GetActive 001d TDataSet.Open 0026 TBasePageProducer.Content"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 78 85 F6 74 13 8B C6 E8 ?? ?? ?? ?? 84 C0 75 08 8B 43 78 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95833_0 {
	meta:
		name = "WebApplicationDirectory"
		size = 117
		refs = "000e WebApplicationDirectory 001a FWebApplicationDirectory 0025 WebApplicationFileName 0030 ExtractFilePath 003d @UStrAsg 0064 @UStrArrayClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 20 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95834_0 {
	meta:
		name = "WebApplicationFileName"
		size = 168
		refs = "000c WebApplicationFileName 0018 FWebApplicationFileName 0023 MainInstance 002a GetModuleName 0037 @UStrAsg 003d FWebApplicationDirectory 0047 Pos 005e @UStrDelete 0080 @UStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 75 43 8D 55 FC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 14 B8 ?? ?? ?? ?? B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 5C 00 5C 00 3F 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_95838_0 {
	meta:
		name = "TWebRequest.UpdateMethodType"
		size = 328
		refs = "0012 TWebRequest.UpdateMethodType 002c @LStrToPChar 0045 CompareStringA 011b @LStrArrayClr 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 33 D2 8B C3 8B 30 FF 56 04 8B 45 FC E8 ?? ?? ?? ?? 8B F0 BF ?? ?? ?? ?? 6A FF 57 6A FF 56 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 85 C0 75 09 C6 43 08 01 E9 AC 00 00 00 8D 4D F8 33 D2 8B C3 8B 30 FF 56 04 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 BF ?? ?? ?? ?? 6A FF 57 6A FF 56 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 85 C0 75 06 C6 43 08 02 EB 72 8D 4D F4 33 D2 8B C3 8B 30 FF 56 04 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 BF ?? ?? ?? ?? 6A FF 57 6A FF 56 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 85 C0 75 06 C6 43 08 03 EB 38 8D 4D F0 33 D2 8B C3 8B 30 FF 56 04 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 BF ?? ?? ?? ?? 6A FF 57 6A FF 56 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 85 C0 75 04 C6 43 08 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 47 45 54 00 50 55 54 00 50 4F 53 54 00 00 00 00 48 45 41 44 00 00 00 00 }
	condition:
		$1
}

rule function_95839_0 {
	meta:
		name = "TWebRequest.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000f TObject.Free 002a TObject.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95840_0 {
	meta:
		name = "TWebRequest.ExtractFields"
		size = 60
		refs = "0030 ExtractHTTPFields"
	strings:
		$1 = { 55 8B EC 83 C4 C0 56 57 8B F1 8D 7D C0 B9 08 00 00 00 F3 A5 8B F2 8D 7D E0 B9 08 00 00 00 F3 A5 8B 45 08 50 6A 00 8B 4D 0C 8D 55 C0 8D 45 E0 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_95842_0 {
	meta:
		name = "TWebRequest.ExtractContentFields"
		size = 276
		refs = "0015 TWebRequest.ExtractContentFields 0035 TWebRequest.GetContent 0079 TWebRequest.ReadUnicodeString 0084 @UStrCat 008c @UStrToPWChar 00a2 TWebRequest.ExtractFields 00b7 @UStrClr 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA 10 00 00 00 8B C3 8B 08 FF 51 0C 85 C0 7E 77 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 BA 10 00 00 00 8B C3 8B 08 FF 51 0C 3B F0 7D 33 BA 10 00 00 00 8B C3 8B 08 FF 51 0C 8B F8 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 4D F4 8B D7 2B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 40 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_95843_0 {
	meta:
		name = "TWebRequest.ExtractCookieFields"
		size = 164
		refs = "000f TWebRequest.ExtractCookieFields 003b ExtractHeaderFields 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 6A 01 6A 00 8D 4D FC BA 1B 00 00 00 8B C3 8B 18 FF 53 04 8B 4D FC BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 10 00 08 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_95844_0 {
	meta:
		name = "TWebRequest.ExtractQueryFields"
		size = 164
		refs = "0010 TWebRequest.ExtractQueryFields 003b TWebRequest.ExtractFields 0050 @LStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA 03 00 00 00 8B C3 8B 38 FF 57 04 8B 45 FC 50 56 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 40 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_95845_0 {
	meta:
		name = "TWebRequest.GetContent"
		size = 114
		refs = "0012 TWebRequest.GetContent 0045 EncodingGetString 005f @LStrArrayClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA 19 00 00 00 8B C3 8B 38 FF 57 04 8B 45 FC 50 8D 4D F8 BA 0F 00 00 00 8B C3 8B 18 FF 53 04 8B 45 F8 8B CE 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95847_0 {
	meta:
		name = "TWebRequest.GetCookieFields"
		size = 42
		refs = "000d _Dn_TStringList 0012 TStringList.Create 0020 TWebRequest.ExtractCookieFields"
	strings:
		$1 = { 53 56 8B D8 83 7B 0C 00 75 1A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 5E 5B C3 }
	condition:
		$1
}

rule function_95848_0 {
	meta:
		name = "TWebRequest.GetQueryFields"
		size = 42
		refs = "000d _Dn_TStringList 0012 TStringList.Create 0020 TWebRequest.ExtractQueryFields"
	strings:
		$1 = { 53 56 8B D8 83 7B 10 00 75 1A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 10 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 10 5E 5B C3 }
	condition:
		$1
}

rule function_95849_0 {
	meta:
		name = "TWebRequest.ReadUnicodeString"
		size = 115
		refs = "0016 TWebRequest.ReadUnicodeString 0047 EncodingGetString 0061 @LStrArrayClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 30 FF 56 20 8B 45 F8 50 8D 4D F4 BA 0F 00 00 00 8B C3 8B 18 FF 53 04 8B 45 F4 8B 4D FC 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95850_0 {
	meta:
		name = "TWebRequest.GetInternalPathInfo"
		size = 23
		altNames = "TWebRequest.GetRawPathInfo"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA 04 00 00 00 8B C3 8B 18 FF 53 04 5E 5B C3 }
	condition:
		$1
}

rule function_95853_0 {
	meta:
		name = "TWebRequest.GetInternalScriptName"
		size = 23
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA 17 00 00 00 8B C3 8B 18 FF 53 04 5E 5B C3 }
	condition:
		$1
}

rule function_95854_0 {
	meta:
		name = "TWebRequest.GetFiles"
		size = 17
		refs = "0006 TWebRequest.GetContentParser"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 04 5B C3 }
	condition:
		$1
}

rule function_95855_0 {
	meta:
		name = "TWebRequest.GetContentParser"
		size = 100
		refs = "000c ContentParsers 0021 TList.Get 0051 _DV_TContentParser 0056 TAbstractContentParser.Create"
	strings:
		$1 = { 53 56 57 8B D8 83 7B 04 00 75 3B E8 ?? ?? ?? ?? 8B 70 08 4E 83 FE 00 7C 2D E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B F8 8B D3 8B C7 FF 50 0C 84 C0 74 0E 8B CB B2 01 8B C7 FF 50 08 89 43 04 EB 06 4E 83 FE FF 75 D3 83 7B 04 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 8B 43 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95856_0 {
	meta:
		name = "TCookie.Create"
		size = 65
		refs = "000a @ClassCreate 0017 TCollectionItem.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 20 C7 46 24 00 00 F0 BF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_95857_0 {
	meta:
		name = "TCookie.AssignTo"
		size = 104
		refs = "000b _DV_TCookie 0010 @IsClass 0021 @LStrAsg 0060 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 43 8B FE 8D 47 0C 8B 53 0C E8 ?? ?? ?? ?? 8D 47 10 8B 53 10 E8 ?? ?? ?? ?? 8D 47 18 8B 53 18 E8 ?? ?? ?? ?? 8D 47 14 8B 53 14 E8 ?? ?? ?? ?? 8B 43 20 89 47 20 8B 43 24 89 47 24 0F B6 43 28 88 47 28 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95858_0 {
	meta:
		name = "TCookie.GetHeaderValue"
		size = 768
		refs = "0019 TCookie.GetHeaderValue 002e HTTPEncode 005f Format 008d @UStrCat 00d7 @UStrLAsg 00f2 CurrencyString 00fa FormatDateTime 010c DayOfWeekStr 0124 MonthStr 017c @UStrCopy 0189 @UStrEqual 01a4 @UStrSetLength 01b3 @LStrFromUStr 01cd @UStrArrayClr 01d5 @UStrClr 01e2 @LStrArrayClr 01f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 D4 8B 43 0C E8 ?? ?? ?? ?? 8B 45 D4 89 45 D8 C6 45 DC 0B 8D 55 D0 8B 43 10 E8 ?? ?? ?? ?? 8B 45 D0 89 45 E0 C6 45 E4 0B 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 18 00 74 28 8D 45 CC 50 8B 43 18 89 45 C4 C6 45 C8 0B 8D 55 C4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? 83 7B 14 00 74 28 8D 45 C0 50 8B 43 14 89 45 C4 C6 45 C8 0B 8D 55 C4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8D 45 FC E8 ?? ?? ?? ?? DD 43 20 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 7F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 20 89 45 E8 8B 43 24 89 45 EC FF 75 EC FF 75 E8 8D 4D F4 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 BC 50 FF 73 24 FF 73 20 8D 45 B8 E8 ?? ?? ?? ?? 8B 45 B8 89 45 D8 C6 45 DC 11 FF 73 24 FF 73 20 8D 45 B4 E8 ?? ?? ?? ?? 8B 45 B4 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 BC 8D 45 FC E8 ?? ?? ?? ?? 80 7B 28 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 B0 50 8B D3 4A B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 19 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D0 83 EA 02 8D 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 3D 00 25 00 73 00 3B 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 64 00 6F 00 6D 00 61 00 69 00 6E 00 3D 00 25 00 73 00 3B 00 20 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 70 00 61 00 74 00 68 00 3D 00 25 00 73 00 3B 00 20 00 00 00 00 00 80 BF B0 04 02 00 FF FF FF FF 2D 00 00 00 22 00 65 00 78 00 70 00 69 00 72 00 65 00 73 00 3D 00 22 00 22 00 25 00 73 00 22 00 2C 00 20 00 64 00 64 00 20 00 22 00 25 00 73 00 22 00 20 00 79 00 79 00 79 00 79 00 20 00 68 00 68 00 3A 00 6E 00 6E 00 3A 00 73 00 73 00 20 00 22 00 47 00 4D 00 54 00 3B 00 20 00 22 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 65 00 63 00 75 00 72 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3B 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_95863_0 {
	meta:
		name = "TWebResponse.Create"
		size = 102
		refs = "000b @ClassCreate 001a TObject.Create 0024 _Dn_TStringList 0029 TStringList.Create 0031 _DV_TCookie 003b _DV_TCookieCollection 0040 TCookieCollection.Create 0052 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 14 A1 ?? ?? ?? ?? 50 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C C6 47 04 01 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95864_0 {
	meta:
		name = "TWebResponse.Destroy"
		size = 73
		refs = "0003 @BeforeDestruction 0015 TObject.Free 0037 TObject.Destroy 0042 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 04 00 74 0A 8B 46 08 E8 ?? ?? ?? ?? EB 05 33 C0 89 46 08 8B 46 14 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95865_0 {
	meta:
		name = "TWebResponse.AddCustomHeaders"
		size = 200
		refs = "0014 TWebResponse.AddCustomHeaders 003f TStrings.GetName 004d TStrings.GetValue 006b @UStrCatN 008b @UStrArrayClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 14 8B 10 FF 52 14 8B F0 4E 85 F6 7C 48 46 C7 45 F4 00 00 00 00 8D 4D FC 8B 55 F4 8B 43 14 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B 43 14 E8 ?? ?? ?? ?? FF 37 FF 75 FC 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C7 BA 05 00 00 00 E8 ?? ?? ?? ?? FF 45 F4 4E 75 C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3A 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_95866_0 {
	meta:
		name = "TWebResponse.GetCustomHeader"
		size = 25
		refs = "0011 TStrings.GetValue"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 14 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95867_0 {
	meta:
		name = "TWebResponse.GetUnicodeContent"
		size = 108
		refs = "0012 TWebResponse.GetUnicodeContent 003f EncodingGetString 0059 @LStrArrayClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA 08 00 00 00 8B C3 8B 38 FF 17 8B 45 FC 50 8D 55 F8 8B C3 8B 08 FF 51 18 8B 55 F8 8B CE 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95869_0 {
	meta:
		name = "TWebResponse.SetContentStream"
		size = 147
		refs = "0016 TWebResponse.SetContentStream 0028 TObject.Free 0080 @LStrClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 3B F0 74 48 E8 ?? ?? ?? ?? 8B FE 89 7B 08 85 FF 74 13 8B C7 8B 10 FF 12 8B C8 33 D2 8B C3 8B 18 FF 53 14 EB 27 8D 55 FC 8B C3 8B 08 FF 51 18 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B C8 33 D2 8B C3 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95870_0 {
	meta:
		name = "TWebResponse.SetCookieField"
		size = 240
		refs = "0020 TWebResponse.SetCookieField 0047 TCookieCollection.Add 0055 TStrings.GetName 0065 @LStrFromUStr 007e TStrings.GetValue 0099 @LStrAsg 00db @UStrArrayClr 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 89 5D F0 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 14 48 85 C0 0F 8C 8B 00 00 00 40 89 45 F4 33 FF 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D8 8D 4D F0 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 F0 8D 43 0C B9 00 00 00 00 E8 ?? ?? ?? ?? 8D 4D E8 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D EC 8B C6 E8 ?? ?? ?? ?? 8B 55 EC 8D 43 10 B9 00 00 00 00 E8 ?? ?? ?? ?? 8D 43 18 8B 55 F8 E8 ?? ?? ?? ?? 8D 43 14 8B 55 14 E8 ?? ?? ?? ?? 8B 45 0C 89 43 20 8B 45 10 89 43 24 0F B6 45 08 88 43 28 47 FF 4D F4 0F 85 7B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_95871_0 {
	meta:
		name = "TWebResponse.SetCustomHeader"
		size = 9
		refs = "0004 TStrings.SetValue"
	strings:
		$1 = { 8B 40 14 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95873_0 {
	meta:
		name = "TWebResponse.SetUnicodeContent"
		size = 184
		refs = "0014 TWebResponse.SetUnicodeContent 0035 EncodingGetBytes 003d @DynArrayLength 0049 @LStrSetLength 0070 @LStrFromPCharLen 008f @LStrClr 0098 TArray<System.Byte> 009d @DynArrayClear 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 BA 08 00 00 00 8B C3 8B 38 FF 17 8B 45 F4 8D 4D F8 8B D6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8D 45 FC 33 C9 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 17 6A 00 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95874_0 {
	meta:
		name = "TWebResponse.FormatAuthenticate"
		size = 256
		refs = "001f TWebResponse.FormatAuthenticate 007f Format 008e @LStrFromUStr 00b7 @LStrArrayClr 00bf @UStrClr 00c7 @LStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D F8 89 4D E4 89 4D E0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA 04 00 00 00 8B C3 8B 38 FF 17 83 7D FC 00 74 57 8D 45 F8 50 8D 4D E4 BA 03 00 00 00 8B C3 8B 38 FF 17 8B 45 E4 89 45 E8 C6 45 EC 0B 8D 4D E0 BA 04 00 00 00 8B C3 8B 18 FF 13 8B 45 E0 89 45 F0 C6 45 F4 0B 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 0D 8B CE BA 03 00 00 00 8B C3 8B 18 FF 13 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 25 00 73 00 20 00 52 00 65 00 61 00 6C 00 6D 00 3D 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_95876_0 {
	meta:
		name = "TCustomContentProducer.SetDispatcher"
		size = 30
		refs = "0014 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 38 74 10 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 89 73 38 5E 5B C3 }
	condition:
		$1
}

rule function_95878_0 {
	meta:
		name = "TCustomContentProducer.ContentFromStream"
		size = 18
		altNames = "TCustomContentProducer.ContentFromString"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B D6 8B C3 8B 08 FF 51 40 5E 5B C3 }
	condition:
		$1
}

rule function_95881_0 {
	meta:
		name = "TCustomContentProducer.GetDispatcher"
		size = 72
		refs = "0011 @IntfClear 0018 TCustomContentProducer.GetDispatcher 0026 Supports"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 38 85 FF 74 1E 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 DF D1 4C 14 AE 9F 11 D5 8D 38 00 50 56 8E 0E 44 }
	condition:
		$1
}

rule function_95882_0 {
	meta:
		name = "TCustomContentProducer.ProduceContent"
		size = 18
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 40 5E 5B C3 }
	condition:
		$1
}

rule function_95883_0 {
	meta:
		name = "TCustomContentProducer.ProduceContentFromStream"
		size = 24
		altNames = "TCustomPageDispatcher.PageNameOfRequest"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 8B 18 FF 53 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95884_0 {
	meta:
		name = "TCustomContentProducer.ProduceContentFromString"
		size = 24
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 8B 18 FF 53 48 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95888_0 {
	meta:
		name = "TWebActionItem.AssignTo"
		size = 230
		refs = "0016 TWebActionItem.AssignTo 0024 _DV_TWebActionItem 0029 @IsClass 0060 TWebActionItem.SetDefault 006b TWebActionItem.GetPathInfo 0075 TWebActionItem.SetPathInfo 0083 TWebActionItem.SetEnabled 0091 TWebActionItem.SetMethodType 00b3 @HandleFinally 00bf TPersistent.AssignTo 00d4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 84 00 00 00 8B 45 FC 8B 70 04 85 F6 74 07 8B C6 8B 10 FF 52 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 0F B6 50 1D 8B F3 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 50 1E 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 50 1C 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB E9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95889_0 {
	meta:
		name = "TWebActionItem.DispatchAction"
		size = 384
		refs = "001f TWebActionItem.DispatchAction 003e @UStrFromLStr 004b @UStrEqual 0055 @UStrClr 0080 TWebActionItem.GetMask 0088 TMask.Matches 00b0 TWebResponse.SetUnicodeContent 00c1 @IntfClear 00d6 Supports 012c @UStrArrayClr 0134 @LStrClr 014a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8D 55 EC 8B C6 8B 08 FF 51 10 8B 55 EC 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 08 8D 45 F8 E8 ?? ?? ?? ?? 0F B6 47 1D 22 45 08 75 32 80 7F 1E 00 0F 84 AA 00 00 00 0F B6 5F 1C 84 DB 74 09 3A 5E 08 0F 85 99 00 00 00 8B C7 E8 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 82 00 00 00 83 7F 2C 00 74 1C C6 45 F3 01 8D 55 E8 8B 47 2C 8B 08 FF 51 40 8B 55 E8 8B 45 F4 E8 ?? ?? ?? ?? EB 43 8B 5F 30 85 DB 74 3C 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 88 45 F3 80 7D F3 00 74 16 8D 55 E4 8B 45 FC 8B 08 FF 51 0C 8B 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 66 83 7F 12 00 74 16 C6 45 F3 01 8B 45 F4 50 8D 45 F3 50 8B CE 8B D7 8B 47 14 FF 57 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B7 17 FA AA 14 E8 D4 11 A5 4A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_95891_0 {
	meta:
		name = "TWebActionItem.SetDefault"
		size = 86
		refs = "002e TWebActionItems.GetActionItem 003d TWebActionItem.SetDefault 004d TCollectionItem.Changed"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 3A 5D 1D 74 44 84 DB 74 34 83 7D 04 00 74 2E 8B 45 04 8B 40 08 8B 70 08 4E 85 F6 7C 20 46 33 FF 8B D7 8B 45 04 E8 ?? ?? ?? ?? 3B E8 74 0B 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 47 4E 75 E3 88 5D 1D 33 D2 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95892_0 {
	meta:
		name = "TWebActionItem.SetEnabled"
		size = 16
		refs = "000b TCollectionItem.Changed"
	strings:
		$1 = { 3A 50 1E 74 0A 88 50 1E 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95894_0 {
	meta:
		name = "TWebActionItem.SetDisplayName"
		size = 227
		refs = "001a TWebActionItem.SetDisplayName 002b AnsiCompareText 0058 TWebActionItems.GetActionItem 0083 sDuplicateActionName 0088 LoadResString 0092 _DV_EWebBrokerException 0097 Exception.Create 009c @RaiseExcept 00ad @UStrAsg 00b6 TCollectionItem.Changed 00d0 @UStrArrayClr 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D F4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 28 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 83 00 00 00 8B 43 04 85 C0 74 68 8B 40 08 8B 78 08 4F 85 FF 7C 5D 47 C7 45 F8 00 00 00 00 8B 55 F8 8B 43 04 E8 ?? ?? ?? ?? 8B F0 3B DE 74 3E 85 F6 74 3A 8D 55 F4 8B C6 8B 08 FF 51 0C 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 F8 4F 75 AB 8D 43 28 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95895_0 {
	meta:
		name = "TWebActionItem.SetOnAction"
		size = 26
		refs = "0012 TCollectionItem.Changed"
	strings:
		$1 = { 55 8B EC 8B 55 08 89 50 10 8B 55 0C 89 50 14 33 D2 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_95896_0 {
	meta:
		name = "TWebActionItem.SetPathInfo"
		size = 204
		refs = "0011 TWebActionItem.SetPathInfo 0025 DosPathToUnixPath 0046 @UStrInsert 0056 TWebActionItem.ProducerPathInfo 0061 @UStrEqual 006b @UStrClr 0076 AnsiCompareText 0085 @UStrAsg 008e TCollectionItem.Changed 00a8 @UStrArrayClr 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 0A 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 1B 8B 45 FC 66 83 38 2F 74 12 8D 55 FC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 2C 00 74 1F 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 43 18 E8 ?? ?? ?? ?? 85 C0 74 14 8D 43 18 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_95897_0 {
	meta:
		name = "TWebActionItem.SetProducer"
		size = 34
		refs = "0013 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 12 8B 43 04 8B 50 18 8B C6 E8 ?? ?? ?? ?? 33 C0 89 43 30 89 73 2C 5E 5B C3 }
	condition:
		$1
}

rule function_95898_0 {
	meta:
		name = "TWebActionItem.ProducerPathInfo"
		size = 44
		refs = "000f TWebActionItem.ProducerPathInfo 0014 @UStrCat3"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 2C 8B 48 08 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_95899_0 {
	meta:
		name = "TWebActionItem.GetPathInfo"
		size = 43
		refs = "0017 TWebActionItem.ProducerPathInfo 0024 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 18 00 75 12 83 7B 2C 00 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95900_0 {
	meta:
		name = "TWebActionItem.GetMask"
		size = 240
		refs = "0014 TWebActionItem.GetMask 0024 TWebActionItem.GetPathInfo 0031 @UStrEqual 003b @UStrClr 004c AnsiCompareText 005a _Dn_TMask 005f TMask.Create 007b @UStrAsg 0087 TObject.Free 009b @HandleAnyException 00a8 @RaiseAgain 00ad @DoneExcept 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 08 8D 45 FC E8 ?? ?? ?? ?? 83 7B 24 00 74 0F 8B 43 20 8B 55 FC E8 ?? ?? ?? ?? 85 C0 74 63 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 43 20 8B 55 FC E8 ?? ?? ?? ?? 8B 43 24 85 C0 74 0A E8 ?? ?? ?? ?? 33 C0 89 43 24 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 89 43 24 8B 5B 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_95901_0 {
	meta:
		name = "TWebActionItem.SetProducerContent"
		size = 34
		refs = "0013 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 12 8B 43 04 8B 50 18 8B C6 E8 ?? ?? ?? ?? 33 C0 89 43 2C 89 73 30 5E 5B C3 }
	condition:
		$1
}

rule function_95906_0 {
	meta:
		name = "TWebActionItems.GetAttr"
		size = 114
		refs = "000b TWebActionItems.GetAttr 0026 sHTTPItemName 002b LoadResString 0034 sHTTPItemURI 0042 sHTTPItemEnabled 0050 sHTTPItemDefault 005e sHTTPItemProducer 006c @UStrClr"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_95907_0 {
	meta:
		name = "TWebActionItems.GetItemAttr"
		size = 352
		refs = "0020 TWebActionItems.GetItemAttr 003d TWebActionItems.GetActionItem 0059 TWebActionItem.GetPathInfo 0079 @UStrAsg 00b3 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 08 8B 45 FC 83 F8 04 0F 87 F3 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 0C E9 CA 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? E9 B5 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 80 78 1E 00 74 11 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 95 00 00 00 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 84 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 80 78 1D 00 74 0E 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 67 8B C7 E8 ?? ?? ?? ?? EB 5E 8B D6 8B C3 E8 ?? ?? ?? ?? 83 78 2C 00 74 18 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 2C 8B 50 08 8B C7 E8 ?? ?? ?? ?? EB 37 8B D6 8B C3 E8 ?? ?? ?? ?? 83 78 30 00 74 18 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 40 30 8B 50 08 8B C7 E8 ?? ?? ?? ?? EB 10 8B C7 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_95910_0 {
	meta:
		name = "TWebActionItems.SetItemName"
		size = 252
		refs = "001a TWebActionItems.SetItemName 0044 Format 0051 TWebActionItems.GetActionItem 006d CompareText 007e TCollection.GetCount 0093 _DV_TWebActionItem 0098 @AsClass 00b5 @UStrClr 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 01 00 00 00 8D 45 FC 50 8B 45 F4 89 45 EC C6 45 F0 00 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB EB 2F 8B D3 8B C7 E8 ?? ?? ?? ?? 8B F0 3B 75 F8 74 1E 8D 55 E8 8B C6 8B 08 FF 51 0C 8B 45 E8 8B 55 FC E8 ?? ?? ?? ?? 85 C0 75 05 FF 45 F4 EB 0C 43 8B C7 E8 ?? ?? ?? ?? 3B D8 7C C6 8B 47 08 3B 58 08 7C 9D 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 57 00 65 00 62 00 41 00 63 00 74 00 69 00 6F 00 6E 00 49 00 74 00 65 00 6D 00 25 00 64 00 00 00 }
	condition:
		$1
}

rule function_95912_0 {
	meta:
		name = "TCustomWebDispatcher.Create"
		size = 532
		refs = "001c @ClassCreate 002c TCustomWebDispatcher.Create 0037 RPR 003e _Dn_TComponentList 0043 TComponentList.Create 0070 _DV_TCustomWebDispatcher 0075 @IsClass 0081 sOnlyOneDispatcher 0086 LoadResString 0090 _DV_EWebBrokerException 0095 Exception.Create 009a @RaiseExcept 00a4 TComponent.GetComponentCount 00b8 TComponent.GetComponent 00fa TDataModule.CreateNew 00ff _DV_TWebActionItem 0109 _DV_TWebActionItems 010e TWebActionItems.Create 0142 @IntfClear 0158 Supports 0198 TList.Add 01b6 @UStrArrayClr 01cc @HandleFinally 01db @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F0 88 55 F7 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 80 00 00 00 C6 46 10 00 33 C0 89 83 88 00 00 00 89 83 8C 00 00 00 83 7D F0 00 0F 84 85 00 00 00 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 50 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 41 46 33 FF 8B D7 8B 45 F0 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 C2 6A FF 8B 4D F0 33 D2 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 68 8B 73 04 85 F6 0F 84 80 00 00 00 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 74 40 89 C6 33 FF 8B 43 04 8B D7 E8 ?? ?? ?? ?? 89 45 EC 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 EC 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B 45 F8 8B 08 FF 51 0C EB 30 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 EC 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0E 8B 83 80 00 00 00 8B 55 EC E8 ?? ?? ?? ?? 47 4E 75 91 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 80 7D F7 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 00 00 9E 95 5E 2F 65 DA D3 11 A4 11 00 C0 4F 6B B8 53 E4 3B D3 E6 AE 9F 11 D5 8D 38 00 50 56 8E 0E 44 }
	condition:
		$1
}

rule function_95913_0 {
	meta:
		name = "TCustomWebDispatcher.Destroy"
		size = 55
		refs = "0003 @BeforeDestruction 0012 TDataModule.Destroy 001a TObject.Free 0030 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 68 E8 ?? ?? ?? ?? 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95914_0 {
	meta:
		name = "TCustomWebDispatcher.HandleException"
		size = 350
		refs = "001f TCustomWebDispatcher.HandleException 003c TCustomWebDispatcher.GetResponse 00af TCustomWebDispatcher.GetRequest 00d2 sInternalApplicationError 00d7 LoadResString 00e5 Format 00f6 TWebResponse.SetUnicodeContent 013b @UStrClr 0143 @LStrClr 0151 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D F8 89 5D E4 89 5D E0 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 06 00 66 83 BB 8A 00 00 00 00 74 4D C6 06 01 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B C3 E8 ?? ?? ?? ?? BA F4 01 00 00 8B 08 FF 51 28 56 8B 4D FC 8B D3 8B 83 8C 00 00 00 FF 93 88 00 00 00 80 3E 00 74 17 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0C 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 34 80 3E 00 0F 85 9E 00 00 00 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 8F 00 00 00 8D 45 F8 50 8B 45 FC 8B 40 04 89 45 E8 C6 45 EC 11 8B C3 E8 ?? ?? ?? ?? 8D 4D E4 BA 04 00 00 00 8B 38 FF 57 04 8B 45 E4 89 45 F0 C6 45 F4 0B 8D 45 E8 50 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 40 84 C0 75 1D 8B C3 E8 ?? ?? ?? ?? BA F4 01 00 00 8B 08 FF 51 28 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 34 C6 06 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95915_0 {
	meta:
		name = "TCustomWebDispatcher.ActionByName"
		size = 138
		refs = "0018 TCustomWebDispatcher.ActionByName 003f TWebActionItems.GetActionItem 0056 AnsiCompareText 0075 @UStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 68 8B 40 08 8B 58 08 4B 85 DB 7C 2F 43 33 FF 8B 45 FC 8B 40 68 8B D7 E8 ?? ?? ?? ?? 8B F0 8D 55 F4 8B C6 8B 08 FF 51 0C 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 06 47 4B 75 D4 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95916_0 {
	meta:
		name = "TCustomWebDispatcher.DoAfterDispatch"
		size = 38
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 78 7A 00 74 12 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 43 7C FF 53 78 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_95917_0 {
	meta:
		name = "TCustomWebDispatcher.DoBeforeDispatch"
		size = 38
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 78 72 00 74 12 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 43 74 FF 53 70 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_95918_0 {
	meta:
		name = "DispatchHandler"
		size = 197
		refs = "0017 @IntfAddRef 001f DispatchHandler 0061 @UStrFromLStr 0073 TMask.Matches 009e @LStrClr 00a6 @UStrClr 00ae @IntfClear 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 FC 8B 10 FF 52 0C 84 C0 74 56 8B 45 FC 8B 10 FF 52 10 84 C0 74 0D 8B 45 FC 8B 10 FF 52 10 3A 46 08 75 3D 8D 55 F4 8B C6 8B 08 FF 51 10 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 8B 10 FF 52 18 5A E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 0C 50 8B CE 8B D7 8B 45 FC 8B 18 FF 53 14 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_95919_0 {
	meta:
		name = "TCustomWebDispatcher.DispatchAction"
		size = 396
		refs = "001a TCustomWebDispatcher.DispatchAction 0053 TCustomWebDispatcher.DoBeforeDispatch 0075 TWebActionItems.GetActionItem 0088 TWebActionItem.DispatchAction 00a6 TCollection.GetCount 00c5 TList.Get 00d6 @IntfClear 00ec Supports 0103 DispatchHandler 014e TCustomWebDispatcher.DoAfterDispatch 016b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 89 46 60 8B 45 F4 89 46 64 33 FF 33 C0 89 45 EC 8B 45 F4 8B 10 FF 52 40 84 C0 74 07 B3 01 E9 0A 01 00 00 8B 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 F4 8B 10 FF 52 40 84 C0 75 04 33 DB EB 33 B3 01 EB 2F 8B D7 8B 46 68 E8 ?? ?? ?? ?? 89 45 F0 6A 00 8B 4D F4 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8B 45 F0 80 78 1D 00 74 06 8B 45 F0 89 45 EC 47 84 DB 75 0C 8B 46 68 E8 ?? ?? ?? ?? 3B F8 7C C1 33 FF EB 58 8B 86 80 00 00 00 89 45 E4 89 7D E0 8B 55 E0 8B 45 E4 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 89 45 E8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E8 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 F4 50 6A 00 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 47 84 DB 75 0B 8B 86 80 00 00 00 3B 78 08 7C 99 84 DB 75 18 83 7D EC 00 74 12 6A 01 8B 4D F4 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 8B D8 84 DB 74 1B 8B 45 F4 8B 10 FF 52 40 84 C0 75 0F 8B 4D F4 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 00 00 E4 3B D3 E6 AE 9F 11 D5 8D 38 00 50 56 8E 0E 44 }
	condition:
		$1
}

rule function_95921_0 {
	meta:
		name = "TCustomWebDispatcher.Notification"
		size = 340
		refs = "001c TCustomWebDispatcher.Notification 002f TComponent.Notification 003d @IntfClear 0052 Supports 0090 TList.Add 009e _DV_TCustomContentProducer 00a3 @IsClass 00c5 TWebActionItems.GetActionItem 00db TWebActionItem.SetProducer 00fd TWebActionItem.SetProducerContent 0126 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 88 4D F7 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 4D F7 8B D7 8B C3 E8 ?? ?? ?? ?? 80 7D F7 00 75 5B 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0C 8B D3 8B 45 F8 8B 08 FF 51 0C EB 2E 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0D 8B 83 80 00 00 00 8B D7 E8 ?? ?? ?? ?? 80 7D F7 01 75 6D 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5C 8B 43 68 8B 40 08 8B 40 08 48 85 C0 7C 4E 40 89 45 F0 33 F6 8B D6 8B 43 68 E8 ?? ?? ?? ?? 3B 78 2C 75 13 8B D6 8B 43 68 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? EB 20 8B D6 8B 43 68 E8 ?? ?? ?? ?? 3B 78 30 75 11 8B D6 8B 43 68 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 46 FF 4D F0 75 B8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 9E 95 5E 2F 65 DA D3 11 A4 11 00 C0 4F 6B B8 53 E4 3B D3 E6 AE 9F 11 D5 8D 38 00 50 56 8E 0E 44 }
	condition:
		$1
}

rule function_95922_0 {
	meta:
		name = "TCustomWebDispatcher.HandleRequest"
		size = 12
		refs = "0007 TCustomWebDispatcher.DispatchAction"
	strings:
		$1 = { 89 50 60 89 48 64 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_95923_0 {
	meta:
		name = "TCustomWebDispatcher.SetActions"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 68 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_95925_0 {
	meta:
		name = "TCustomWebDispatcher.GetResponse"
		size = 4
	strings:
		$1 = { 8B 40 64 C3 }
	condition:
		$1
}

rule function_95929_0 {
	meta:
		name = "TCustomWebDispatcher.InitContext"
		size = 22
	strings:
		$1 = { 56 8B F0 89 56 60 89 4E 64 8B 86 80 00 00 00 8B 10 FF 52 08 5E C3 }
	condition:
		$1
}

rule function_95930_0 {
	meta:
		name = "TCustomWebDispatcher.InitModule"
		size = 176
		refs = "0018 TCustomWebDispatcher.InitModule 002c TComponent.GetComponentCount 0040 TComponent.GetComponent 004a @IntfClear 005f Supports 0073 TList.Add 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 74 53 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 44 46 33 FF 8B D7 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 F8 8B 80 80 00 00 00 8B D3 E8 ?? ?? ?? ?? 47 4E 75 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 E4 3B D3 E6 AE 9F 11 D5 8D 38 00 50 56 8E 0E 44 }
	condition:
		$1
}

rule function_95931_0 {
	meta:
		name = "TWebModule.Create"
		size = 329
		refs = "0019 @ClassCreate 0027 TWebModule.Create 0037 TCustomWebDispatcher.Create 0044 _DV_TCustomWebDispatcher 0073 InitInheritedComponent 0084 TObject.ClassName 009c sResNotFound 00a1 LoadResString 00ab _Dn_EResNotFound 00b0 Exception.CreateFmt 00b5 @RaiseExcept 00e3 @HandleAnyException 00e8 ApplicationHandleException 0101 @DoneExcept 011b @UStrArrayClr 0121 @HandleFinally 0131 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 12 89 D0 3B 05 ?? ?? ?? ?? 0F 84 B7 00 00 00 8B 45 FC F6 40 1C 10 0F 85 AA 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 3E 8D 55 EC 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 83 78 4A 00 74 15 8B 45 FC 80 78 58 00 74 0C 8B 5D FC 8B 55 FC 8B 43 4C FF 53 48 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 66 83 78 02 00 74 0D 8B 1D ?? ?? ?? ?? 33 D2 8B 43 04 FF 13 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95932_0 {
	meta:
		name = "EncodingFromContentType"
		size = 188
		refs = "000e EncodingFromContentType 001e @UStrFromLStr 0029 UpperCase 0036 Pos 0050 TEncoding.GetUTF8 0059 TEncoding.GetANSI 0075 @UStrArrayClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 1A 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 09 E8 ?? ?? ?? ?? 8B D8 EB 07 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 48 00 41 00 52 00 53 00 45 00 54 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 }
	condition:
		$1
}

rule function_95933_0 {
	meta:
		name = "EncodingGetString"
		size = 103
		refs = "0016 EncodingGetString 0021 EncodingFromContentType 002d BytesOf 003a TEncoding.GetString 0050 TArray<System.Byte> 0055 @DynArrayClear 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B D8 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95934_0 {
	meta:
		name = "EncodingGetBytes"
		size = 109
		refs = "0016 EncodingGetBytes 0021 EncodingFromContentType 002f TEncoding.GetBytes 003b TArray<System.Byte> 0040 @DynArrayAsg 005b @DynArrayClear 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B D8 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95935_0 {
	meta:
		name = "HTTPDecode"
		size = 648
		refs = "0020 HTTPDecode 003c @LStrSetLength 0044 @LStrToPChar 00b8 @PStrCpy 00d4 @PStrNCat 010b @LStrFromString 0116 @UStrFromLStr 011e StrToInt 0144 sErrorDecodingURLText 0149 LoadResString 0153 _DV_EWebBrokerException 0158 Exception.CreateFmt 015d @RaiseExcept 0185 @HandleOnException 018d _Dn_EConvertError 020d sInvalidURLEncodedChar 022b @DoneExcept 0254 @UStrClr 026c @LStrClr 0272 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 C9 89 4D C0 89 4D D4 89 4D E0 89 4D FC 8B FA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B D7 33 C9 92 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 07 E8 ?? ?? ?? ?? 8B F0 8B 45 F4 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E9 FC 00 00 00 8B C3 2C 25 74 10 2C 06 0F 85 E8 00 00 00 C6 06 20 E9 E2 00 00 00 FF 45 F4 8B 45 F4 80 38 25 75 08 C6 06 25 E9 CF 00 00 00 8B 45 F4 89 45 F0 FF 45 F4 8B 45 F0 80 38 00 74 7F 8B 45 F4 80 38 00 74 77 BA ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F0 0F B6 12 88 50 01 C6 00 01 8D 55 E8 8D 45 EC B1 02 E8 ?? ?? ?? ?? 8D 55 EC 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F4 0F B6 12 88 50 01 C6 00 01 8D 55 E8 8D 45 E4 B1 03 E8 ?? ?? ?? ?? 8D 55 E4 8D 45 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 88 06 EB 3F 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 2B D0 89 55 D8 C6 45 DC 00 8D 45 D8 50 6A 00 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 88 1E 46 FF 45 F4 8B 45 F4 0F B6 18 84 DB 0F 85 F6 FE FF FF 33 C0 5A 59 59 64 89 10 E9 AB 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? BA ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F0 0F B6 12 88 50 01 C6 00 01 8D 55 E8 8D 45 EC B1 02 E8 ?? ?? ?? ?? 8D 55 EC 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 55 F4 0F B6 12 88 50 01 C6 00 01 8D 55 E8 8D 45 E4 B1 03 E8 ?? ?? ?? ?? 8D 45 E4 89 45 C4 C6 45 C8 04 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 2B D0 89 55 CC C6 45 D0 00 8D 45 C4 50 6A 01 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 8B D6 2B D0 8B C7 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 01 24 00 00 01 25 00 00 }
	condition:
		$1
}

rule function_95936_0 {
	meta:
		name = "HTTPEncode"
		size = 204
		refs = "0022 @LStrSetLength 0029 @LStrToPChar 0049 HTTPEncode 007f FormatBuf"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B EA 8B D8 89 1C 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8D 14 40 8B C5 33 C9 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 00 E8 ?? ?? ?? ?? 8B F8 EB 4D 8B C3 04 E0 3C 5F 77 0A 83 E0 7F 0F A3 05 ?? ?? ?? ?? 73 04 88 1F EB 33 80 FB 20 75 05 C6 07 2B EB 29 6A 06 0F B6 C3 89 44 24 08 C6 44 24 0C 00 8D 44 24 08 50 6A 00 B9 ?? ?? ?? ?? 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C7 02 47 46 0F B6 1E 84 DB 75 AC 8B 45 00 E8 ?? ?? ?? ?? 8B D7 2B D0 8B C5 33 C9 E8 ?? ?? ?? ?? 83 C4 0C 5D 5F 5E 5B C3 92 67 FF 03 FF FF FF 87 FE FF FF 07 E4 04 01 00 FF FF FF FF 06 00 00 00 25 25 25 2E 32 78 00 00 }
	condition:
		$1
}

rule function_95937_0 {
	meta:
		name = "HTMLEncode"
		size = 364
		refs = "001d @UStrSetLength 0024 @UStrToPWChar 005f HTMLEncode 006b FormatBuf"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B C3 85 C0 74 05 83 E8 04 8B 00 8B D0 03 D2 8D 14 92 8B C5 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 8B 45 00 E8 ?? ?? ?? ?? 8B F0 E9 A4 00 00 00 8B C7 66 83 E8 22 74 74 66 83 E8 04 74 0E 66 83 E8 16 74 27 66 83 E8 02 74 21 EB 7F 6A 05 8D 44 24 04 50 6A FF B9 ?? ?? ?? ?? BA 05 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C6 08 EB 63 66 83 FF 3C 75 1C 6A 04 8D 44 24 04 50 6A FF B9 ?? ?? ?? ?? BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 1A 6A 04 8D 44 24 04 50 6A FF B9 ?? ?? ?? ?? BA 04 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C6 06 EB 22 6A 06 8D 44 24 04 50 6A FF B9 ?? ?? ?? ?? BA 06 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 C6 0A EB 03 66 89 3E 83 C6 02 83 C3 02 0F B7 3B 66 85 FF 0F 85 50 FF FF FF 8B 45 00 E8 ?? ?? ?? ?? 8B D6 2B D0 D1 FA 79 03 83 D2 00 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 26 00 61 00 6D 00 70 00 3B 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 6C 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 67 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_95938_0 {
	meta:
		name = "HTMLDecode"
		size = 920
		refs = "0029 HTMLDecode 0043 @UStrSetLength 004b @UStrToPWChar 00c6 AnsiStrPos 01a2 @UStrFromPWCharLen 01ad @ValLong 0205 @UStrFromWChar 0220 @UStrCat 0253 sInvalidHTMLEncodedChar 0258 LoadResString 0262 _Dn_EConvertError 0267 Exception.CreateFmt 026c @RaiseExcept 0299 @HandleOnException 031f @DoneExcept 0352 @UStrArrayClr 035a @UStrClr 0360 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 C9 89 4D C4 89 4D BC 89 4D C0 89 4D D0 89 4D C8 89 4D CC 89 4D FC 8B FA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B D7 92 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F4 8B 07 E8 ?? ?? ?? ?? 8B F0 8B 45 F4 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E9 08 02 00 00 8B C3 66 83 E8 26 0F 85 F2 01 00 00 8B 45 F4 89 45 F0 83 45 F4 02 8B 45 F4 0F B7 00 83 F8 67 7F 15 74 4A 83 E8 23 0F 84 CC 00 00 00 83 E8 3E 74 18 E9 51 01 00 00 83 E8 6C 74 32 83 E8 05 0F 84 90 00 00 00 E9 3E 01 00 00 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 3B 45 F4 0F 85 A2 01 00 00 83 45 F4 06 66 C7 06 26 00 E9 94 01 00 00 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 3B 45 F4 74 16 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 3B 45 F4 0F 85 6C 01 00 00 8B 45 F4 89 45 F0 83 45 F4 04 EB 04 83 45 F4 02 8B 45 F4 66 83 38 3B 74 09 8B 45 F4 66 83 38 00 75 EA 8B 45 F0 66 83 38 6C 75 0A 66 C7 06 3C 00 E9 37 01 00 00 66 C7 06 3E 00 E9 2D 01 00 00 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 3B 45 F4 0F 85 17 01 00 00 83 45 F4 08 66 C7 06 22 00 E9 09 01 00 00 8B 45 F4 89 45 EC 83 45 EC 02 EB 04 83 45 F4 02 8B 45 F4 66 83 38 3B 74 09 8B 45 F4 66 83 38 00 75 EA 8B 4D F4 2B 4D EC D1 F9 79 03 83 D1 00 8D 45 FC 8B 55 EC E8 ?? ?? ?? ?? 8D 55 E4 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 81 7D E8 00 00 01 00 7C 36 8B 45 E8 2D 00 00 01 00 85 C0 79 05 05 FF 03 00 00 C1 F8 0A 66 05 00 D8 66 89 06 83 C6 02 0F B7 45 E8 66 83 E8 00 66 25 FF 03 66 05 00 DC 66 89 06 E9 82 00 00 00 8B 45 E8 66 89 06 EB 7A 8D 45 D0 8B 55 F0 0F B7 12 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 45 CC 8B 55 F4 0F B7 12 E8 ?? ?? ?? ?? 8B 55 CC 58 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 2B D0 D1 FA 79 03 83 D2 00 89 55 DC C6 45 E0 00 8D 45 D4 50 6A 01 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 03 66 89 1E 83 C6 02 83 45 F4 02 8B 45 F4 0F B7 18 66 85 DB 0F 85 E9 FD FF FF 33 C0 5A 59 59 64 89 10 E9 8B 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 C4 8B 55 F0 0F B7 12 E8 ?? ?? ?? ?? 8D 45 C4 50 8D 45 C0 8B 55 F4 0F B7 12 E8 ?? ?? ?? ?? 8B 55 C0 58 E8 ?? ?? ?? ?? 8B 45 C4 89 45 D4 C6 45 D8 11 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F0 2B D0 D1 FA 79 03 83 D2 00 89 55 DC C6 45 E0 00 8D 45 D4 50 6A 01 8D 55 BC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 8B D6 2B D0 D1 FA 79 03 83 D2 00 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 61 00 6D 00 70 00 3B 00 00 00 00 00 6C 00 74 00 3B 00 00 00 67 00 74 00 3B 00 00 00 71 00 75 00 6F 00 74 00 3B 00 00 00 }
	condition:
		$1
}

rule function_95939_0 {
	meta:
		name = "ParseDate"
		size = 298
		refs = "0014 ParseDate 0024 @UStrLAsg 004e @UniqueStringU 0063 _Dn_TStringStream 0068 TStringStream.Create 0087 _Dn_TParser 008c TParser.Create 00b1 OldParseDate 00c1 ParseHTTPDate 00da TObject.Free 00e0 @HandleFinally 0114 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 23 BB 01 00 00 00 8B 45 FC 66 83 7C 58 FE 2D 75 0F 8D 45 FC E8 ?? ?? ?? ?? 66 C7 44 58 FE 3A 00 43 4E 75 E2 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 66 83 78 2E 03 75 10 8B D7 8B 45 EC E8 ?? ?? ?? ?? DD 5D F0 9B EB 0E 8B D7 8B 45 EC E8 ?? ?? ?? ?? DD 5D F0 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95940_0 {
	meta:
		name = "GetMonth"
		size = 68
		refs = "0023 Months 002e TParser.TokenSymbolIs"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 FC 83 3B 0D 7D 05 33 C0 5B 5D C3 C7 03 01 00 00 00 EB 02 FF 03 8B 03 8B 14 85 ?? ?? ?? ?? 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 84 C0 75 05 83 3B 0D 7C E1 83 3B 0D 0F 9C C0 5B 5D C3 }
	condition:
		$1
}

rule function_95941_0 {
	meta:
		name = "GetTime"
		size = 105
		refs = "000d TParser.TokenInt 001a TParser.NextToken"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 F8 8B 03 E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 8B 03 E8 ?? ?? ?? ?? 8B 03 66 83 78 2E 3A 75 07 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 55 08 89 42 F0 8B 03 E8 ?? ?? ?? ?? 8B 03 66 83 78 2E 3A 75 07 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 55 08 89 42 EC 8B 03 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_95942_0 {
	meta:
		name = "OldParseDate"
		size = 279
		refs = "0019 TParser.TokenInt 0023 TParser.NextToken 0050 GetMonth 0072 GetTime 00eb EncodeDate 0102 EncodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 45 F8 8D 7D F8 C7 45 FC 0D 00 00 00 8B 07 E8 ?? ?? ?? ?? 89 45 FC 8B 07 E8 ?? ?? ?? ?? 8B 07 66 83 78 2E 3A 75 07 8B 07 E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 8B 07 66 83 78 2E 2C 75 07 8B 07 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 84 C0 74 29 8B 07 E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 8B F0 8B 07 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 07 E8 ?? ?? ?? ?? 8B D8 EB 60 8B 07 E8 ?? ?? ?? ?? 8B F0 8B 07 E8 ?? ?? ?? ?? 8B 07 66 83 78 2E 2D 75 07 8B 07 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 07 E8 ?? ?? ?? ?? 8B 07 66 83 78 2E 2D 75 07 8B 07 E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 8B D8 83 FB 64 7D 06 81 C3 D0 07 00 00 8B 07 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B CE 0F B7 55 FC 8B C3 E8 ?? ?? ?? ?? DD 5D D8 9B 6A 00 0F B7 4D EC 0F B7 55 F0 0F B7 45 F4 E8 ?? ?? ?? ?? DC 45 D8 DD 5D E0 9B DD 45 E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95943_0 {
	meta:
		name = "GetWeekDayOrWkDay"
		size = 228
		refs = "0020 GetWeekDayOrWkDay 0039 DaysOfWeek 0040 TParser.TokenSymbolIs 0061 LongDaysOfWeek 0080 TParser.TokenString 0098 sNotAValidDay 009d LoadResString 00a7 _Dn_EParserError 00ac Exception.CreateFmt 00b1 @RaiseExcept 00b8 TParser.NextToken 00d2 @UStrArrayClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C0 89 45 F4 89 45 F0 8B 5D 08 83 C3 FC 8B 75 08 83 C6 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 03 01 00 00 00 EB 02 FF 03 8B 03 8B 14 85 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 84 C0 75 05 83 3B 07 7E E5 83 3B 07 7E 23 C7 03 01 00 00 00 EB 02 FF 03 8B 03 8B 14 85 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 84 C0 75 05 83 3B 07 7E E5 83 3B 07 7E 3B 8D 55 F4 8B 06 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95944_0 {
	meta:
		name = "GetDate1Or2"
		size = 316
		refs = "0023 GetDate1Or2 0030 TParser.TokenInt 003d TParser.NextToken 0060 Months 0067 TParser.TokenSymbolIs 007f TParser.TokenString 0097 sNotAValidMonth 009c LoadResString 00a6 _Dn_EParserError 00ab Exception.CreateFmt 00b0 @RaiseExcept 012a @UStrArrayClr 0130 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C0 89 45 EC 89 45 F4 89 45 F0 8B 5D 08 83 C3 F0 8B 75 08 83 C6 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 8B 06 E8 ?? ?? ?? ?? 8B 06 66 83 78 2E 3A 75 07 8B 06 E8 ?? ?? ?? ?? C7 03 01 00 00 00 EB 02 FF 03 8B 03 8B 14 85 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 84 C0 75 05 83 3B 0C 7E E5 83 3B 0C 7E 3B 8D 55 F4 8B 06 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B 06 66 83 78 2E 3A 75 07 8B 06 E8 ?? ?? ?? ?? 8D 55 EC 8B 06 E8 ?? ?? ?? ?? 8B 45 EC 89 45 E8 8B 45 E8 85 C0 74 05 83 E8 04 8B 00 83 F8 04 7D 14 8B 06 E8 ?? ?? ?? ?? 05 D0 07 00 00 8B 55 08 89 42 EC EB 0D 8B 06 E8 ?? ?? ?? ?? 8B 55 08 89 42 EC 8B 06 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95945_0 {
	meta:
		name = "GetDate3"
		size = 208
		refs = "0020 GetDate3 0039 Months 0040 TParser.TokenSymbolIs 0058 TParser.TokenString 0070 sNotAValidMonth 0075 LoadResString 007f _Dn_EParserError 0084 Exception.CreateFmt 0089 @RaiseExcept 0090 TParser.NextToken 0097 TParser.TokenInt 00be @UStrArrayClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C0 89 45 F4 89 45 F0 8B 5D 08 83 C3 F0 8B 75 08 83 C6 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 03 01 00 00 00 EB 02 FF 03 8B 03 8B 14 85 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 84 C0 75 05 83 3B 0C 7E E5 83 3B 0C 7E 3B 8D 55 F4 8B 06 E8 ?? ?? ?? ?? 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B 55 08 89 42 F4 8B 06 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_95946_0 {
	meta:
		name = "GetTime"
		size = 105
		refs = "000d TParser.TokenInt 001a TParser.NextToken"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 83 C3 F8 8B 03 E8 ?? ?? ?? ?? 8B 55 08 89 42 E8 8B 03 E8 ?? ?? ?? ?? 8B 03 66 83 78 2E 3A 75 07 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 55 08 89 42 E4 8B 03 E8 ?? ?? ?? ?? 8B 03 66 83 78 2E 3A 75 07 8B 03 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 8B 55 08 89 42 E0 8B 03 E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_95947_0 {
	meta:
		name = "ParseHTTPDate"
		size = 129
		refs = "000b GetWeekDayOrWkDay 001e TParser.NextToken 0024 GetDate1Or2 002b GetTime 0034 GetDate3 0044 TParser.TokenInt 0058 EncodeDate 006f EncodeTime"
	strings:
		$1 = { 55 8B EC 83 C4 D0 89 45 F8 55 E8 ?? ?? ?? ?? 59 8B 45 F8 66 83 78 2E 2C 75 18 8B 45 F8 E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 EB 19 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EC 0F B7 4D F4 0F B7 55 F0 0F B7 45 EC E8 ?? ?? ?? ?? DD 5D D0 9B 6A 00 0F B7 4D E0 0F B7 55 E4 0F B7 45 E8 E8 ?? ?? ?? ?? DC 45 D0 DD 5D D8 9B DD 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule function_95948_0 {
	meta:
		name = "ExtractHeaderFields"
		size = 141
		refs = "0030 ExtractHeaderFields 004e @UStrFromLStr 0056 @UStrToPWChar 0078 @UStrClr 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 DB 89 5D BC 8B F2 8D 7D C0 51 B9 08 00 00 00 F3 A5 59 8B F0 8D 7D E0 51 B9 08 00 00 00 F3 A5 59 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 0F B6 45 0C 50 0F B6 45 08 50 8D 45 BC 8B D3 E8 ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? 8B C8 8D 55 C0 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_95949_0 {
	meta:
		name = "DoStripQuotes"
		size = 224
		refs = "0011 @UStrAsg 004c DoStripQuotes 0086 @UStrDelete"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? C6 45 FF 00 66 C7 45 FC 00 00 8B 45 08 80 78 08 00 0F 84 8C 00 00 00 8B 06 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B D8 83 FB 01 7C 74 8B 06 0F B7 44 58 FE BA ?? ?? ?? ?? 89 55 F8 8B 55 F8 66 3D FF 00 77 06 0F B7 C0 0F A3 02 0F 92 C0 84 C0 74 4A 80 7D FF 00 74 21 8B 06 0F B7 44 58 FE 66 3B 45 FC 75 14 8B C6 B9 01 00 00 00 8B D3 E8 ?? ?? ?? ?? C6 45 FF 00 EB 23 80 7D FF 00 75 1D 8B 06 0F B7 44 58 FE 66 89 45 FC C6 45 FF 01 8B C6 B9 01 00 00 00 8B D3 E8 ?? ?? ?? ?? 4B 85 DB 75 8C 5E 5B 8B E5 5D C3 00 00 00 00 00 00 84 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_95950_0 {
	meta:
		name = "ExtractHeaderFields"
		size = 720
		refs = "0051 ExtractHeaderFields 008b @SetUnion 00e4 CharInSet 0194 @UStrFromPWCharLen 01a9 DoStripQuotes 01c0 @LStrFromUStr 01d1 HTTPDecode 01e2 @UStrFromLStr 0238 @UStrArrayClr 0248 @LStrArrayClr 0253 @UStrClr 0261 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 40 FF FF FF 53 56 57 33 DB 89 9D 40 FF FF FF 89 9D 50 FF FF FF 89 9D 4C FF FF FF 89 9D 48 FF FF FF 89 9D 44 FF FF FF 89 5D FC 8B F2 8D 7D B7 51 B9 08 00 00 00 F3 A5 59 8B F0 8D 7D D7 51 B9 08 00 00 00 F3 A5 59 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 BC 01 00 00 66 83 3B 00 0F 84 B2 01 00 00 8D 75 B7 8D BD 54 FF FF FF B9 08 00 00 00 F3 A5 8D 85 54 FF FF FF BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 8D B5 54 FF FF FF 8D 7D 97 B9 08 00 00 00 F3 A5 8D 75 D7 8D BD 54 FF FF FF B9 08 00 00 00 F3 A5 8D 85 54 FF FF FF BA ?? ?? ?? ?? B1 20 E8 ?? ?? ?? ?? 8D B5 54 FF FF FF 8D BD 77 FF FF FF B9 08 00 00 00 F3 A5 8B F3 33 FF EB 03 83 C6 02 8D 55 97 0F B7 06 E8 ?? ?? ?? ?? 84 C0 75 EE 89 75 F8 33 DB C6 45 F7 00 EB 03 83 C6 02 84 DB 74 11 BA ?? ?? ?? ?? 0F B7 06 E8 ?? ?? ?? ?? 84 C0 74 E8 8D 95 77 FF FF FF 0F B7 06 E8 ?? ?? ?? ?? 84 C0 74 D6 66 83 3E 22 75 31 66 85 FF 74 09 66 3B 3E 75 04 33 FF EB 14 3B 75 F8 0F 94 45 F7 0F B7 3E 80 7D F7 00 74 04 83 45 F8 02 66 85 FF 0F 95 C3 84 DB 74 05 83 C6 02 EB A2 80 7D F7 00 75 0F 66 83 3E 00 74 09 66 83 3E 22 75 03 83 C6 02 66 83 3E 00 0F 94 C3 8B 45 F8 66 83 38 00 0F 84 93 00 00 00 8B CE 2B 4D F8 D1 F9 79 03 83 D1 00 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 80 7D 0C 00 74 58 55 8D 95 44 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 59 8B 95 44 FF FF FF 8D 85 48 FF FF FF B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 8D 95 4C FF FF FF E8 ?? ?? ?? ?? 8B 95 4C FF FF FF 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 8B 45 10 8B 08 FF 51 38 EB 1E 55 8D 95 40 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 59 8B 95 40 FF FF FF 8B 45 10 8B 08 FF 51 38 83 C6 02 84 DB 0F 84 BE FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 40 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 48 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5F 5E 5B 8B E5 5D C2 0C 00 00 24 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 01 24 00 00 04 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 04 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_95951_0 {
	meta:
		name = "ExtractHTTPFields"
		size = 66
		refs = "0036 ExtractHeaderFields"
	strings:
		$1 = { 55 8B EC 83 C4 C0 56 57 8B F2 8D 7D C0 51 B9 08 00 00 00 F3 A5 59 8B F0 8D 7D E0 51 B9 08 00 00 00 F3 A5 59 8B 45 0C 50 6A 01 0F B6 45 08 50 8D 55 C0 8D 45 E0 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_95953_0 {
	meta:
		name = "StatusString"
		size = 1720
		refs = "00da StatusString 0151 @LStrAsg 031a @LStrClr"
	strings:
		$1 = { 53 8B DA 3D 91 01 00 00 0F 8F AE 00 00 00 0F 84 15 02 00 00 3D CE 00 00 00 7F 56 0F 84 98 01 00 00 3D CA 00 00 00 7F 2B 0F 84 53 01 00 00 83 E8 64 0F 84 12 01 00 00 48 0F 84 19 01 00 00 83 E8 63 0F 84 1E 01 00 00 48 0F 84 25 01 00 00 E9 C4 02 00 00 2D CB 00 00 00 0F 84 31 01 00 00 48 0F 84 38 01 00 00 48 0F 84 3F 01 00 00 E9 A6 02 00 00 3D 2F 01 00 00 7F 24 0F 84 73 01 00 00 2D 2C 01 00 00 0F 84 3E 01 00 00 48 0F 84 45 01 00 00 48 0F 84 4C 01 00 00 E9 7B 02 00 00 2D 30 01 00 00 0F 84 58 01 00 00 48 0F 84 5F 01 00 00 83 E8 5F 0F 84 64 01 00 00 E9 5B 02 00 00 3D 9A 01 00 00 7F 3B 0F 84 DE 01 00 00 05 6E FE FF FF 83 F8 07 0F 87 40 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D F5 01 00 00 7F 26 0F 84 D4 01 00 00 2D 9B 01 00 00 0F 84 9F 01 00 00 48 0F 84 A6 01 00 00 83 E8 58 0F 84 AB 01 00 00 E9 EC 01 00 00 2D F6 01 00 00 0F 84 B7 01 00 00 48 0F 84 BE 01 00 00 48 0F 84 C5 01 00 00 E9 CE 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 E4 04 01 00 FF FF FF FF 08 00 00 00 43 6F 6E 74 69 6E 75 65 00 00 00 00 E4 04 01 00 FF FF FF FF 13 00 00 00 53 77 69 74 63 68 69 6E 67 20 50 72 6F 74 6F 63 6F 6C 73 00 E4 04 01 00 FF FF FF FF 02 00 00 00 4F 4B 00 00 E4 04 01 00 FF FF FF FF 07 00 00 00 43 72 65 61 74 65 64 00 E4 04 01 00 FF FF FF FF 08 00 00 00 41 63 63 65 70 74 65 64 00 00 00 00 E4 04 01 00 FF FF FF FF 1D 00 00 00 4E 6F 6E 2D 41 75 74 68 6F 72 69 74 61 74 69 76 65 20 49 6E 66 6F 72 6D 61 74 69 6F 6E 00 00 00 E4 04 01 00 FF FF FF FF 0A 00 00 00 4E 6F 20 43 6F 6E 74 65 6E 74 00 00 E4 04 01 00 FF FF FF FF 0D 00 00 00 52 65 73 65 74 20 43 6F 6E 74 65 6E 74 00 00 00 E4 04 01 00 FF FF FF FF 0F 00 00 00 50 61 72 74 69 61 6C 20 43 6F 6E 74 65 6E 74 00 E4 04 01 00 FF FF FF FF 10 00 00 00 4D 75 6C 74 69 70 6C 65 20 43 68 6F 69 63 65 73 00 00 00 00 E4 04 01 00 FF FF FF FF 11 00 00 00 4D 6F 76 65 64 20 50 65 72 6D 61 6E 65 6E 74 6C 79 00 00 00 E4 04 01 00 FF FF FF FF 11 00 00 00 4D 6F 76 65 64 20 54 65 6D 70 6F 72 61 72 69 6C 79 00 00 00 E4 04 01 00 FF FF FF FF 09 00 00 00 53 65 65 20 4F 74 68 65 72 00 00 00 E4 04 01 00 FF FF FF FF 0C 00 00 00 4E 6F 74 20 4D 6F 64 69 66 69 65 64 00 00 00 00 E4 04 01 00 FF FF FF FF 09 00 00 00 55 73 65 20 50 72 6F 78 79 00 00 00 E4 04 01 00 FF FF FF FF 0B 00 00 00 42 61 64 20 52 65 71 75 65 73 74 00 E4 04 01 00 FF FF FF FF 0C 00 00 00 55 6E 61 75 74 68 6F 72 69 7A 65 64 00 00 00 00 E4 04 01 00 FF FF FF FF 10 00 00 00 50 61 79 6D 65 6E 74 20 52 65 71 75 69 72 65 64 00 00 00 00 E4 04 01 00 FF FF FF FF 09 00 00 00 46 6F 72 62 69 64 64 65 6E 00 00 00 E4 04 01 00 FF FF FF FF 09 00 00 00 4E 6F 74 20 46 6F 75 6E 64 00 00 00 E4 04 01 00 FF FF FF FF 12 00 00 00 4D 65 74 68 6F 64 20 4E 6F 74 20 41 6C 6C 6F 77 65 64 00 00 E4 04 01 00 FF FF FF FF 0F 00 00 00 4E 6F 6E 65 20 41 63 63 65 70 74 61 62 6C 65 00 E4 04 01 00 FF FF FF FF 1D 00 00 00 50 72 6F 78 79 20 41 75 74 68 65 6E 74 69 63 61 74 69 6F 6E 20 52 65 71 75 69 72 65 64 00 00 00 E4 04 01 00 FF FF FF FF 0F 00 00 00 52 65 71 75 65 73 74 20 54 69 6D 65 6F 75 74 00 E4 04 01 00 FF FF FF FF 08 00 00 00 43 6F 6E 66 6C 69 63 74 00 00 00 00 E4 04 01 00 FF FF FF FF 04 00 00 00 47 6F 6E 65 00 00 00 00 E4 04 01 00 FF FF FF FF 0F 00 00 00 4C 65 6E 67 74 68 20 52 65 71 75 69 72 65 64 00 E4 04 01 00 FF FF FF FF 0B 00 00 00 55 6E 6C 65 73 73 20 54 72 75 65 00 E4 04 01 00 FF FF FF FF 15 00 00 00 49 6E 74 65 72 6E 61 6C 20 53 65 72 76 65 72 20 45 72 72 6F 72 00 00 00 E4 04 01 00 FF FF FF FF 0F 00 00 00 4E 6F 74 20 49 6D 70 6C 65 6D 65 6E 74 65 64 00 E4 04 01 00 FF FF FF FF 0B 00 00 00 42 61 64 20 47 61 74 65 77 61 79 00 E4 04 01 00 FF FF FF FF 13 00 00 00 53 65 72 76 69 63 65 20 55 6E 61 76 61 69 6C 61 62 6C 65 00 E4 04 01 00 FF FF FF FF 0F 00 00 00 47 61 74 65 77 61 79 20 54 69 6D 65 6F 75 74 00 }
	condition:
		$1
}

rule function_95954_0 {
	meta:
		name = "TranslateChar"
		size = 101
		refs = "001b @UStrAsg 004b @UniqueStringU"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 66 89 4D FC 66 89 55 FE 8B D8 8B 7D 08 8B C7 8B D3 E8 ?? ?? ?? ?? 8B 07 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 26 BB 01 00 00 00 8B 07 0F B7 44 58 FE 66 3B 45 FE 75 10 8B C7 E8 ?? ?? ?? ?? 0F B7 55 FC 66 89 54 58 FE 43 4E 75 DF 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_95955_0 {
	meta:
		name = "UnixPathToDosPath"
		size = 25
		refs = "0012 TranslateChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 66 B9 5C 00 66 BA 2F 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95956_0 {
	meta:
		name = "DosPathToUnixPath"
		size = 25
		refs = "0012 TranslateChar"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 66 B9 2F 00 66 BA 5C 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_95957_0 {
	meta:
		name = "MonthStr"
		size = 54
		refs = "0019 DecodeDate 0026 Months 002b @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 FF 75 0C FF 75 08 8D 4D FA 8D 55 FC 8D 45 FE E8 ?? ?? ?? ?? 8B C3 0F B7 55 FC 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_95958_0 {
	meta:
		name = "DayOfWeekStr"
		size = 39
		refs = "000d DayOfWeek 0017 DaysOfWeek 001e @UStrAsg"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 0F B7 C0 8B 14 85 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_95968_0 {
	meta:
		name = "TAbstractWebPageModuleFactory.Create"
		size = 76
		refs = "000e @ClassCreate 001e TObject.Create 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 89 43 04 8B D3 8B 08 FF 51 20 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95971_0 {
	meta:
		name = "TDefaultWebAppServices.FindRequestHandler"
		size = 68
		refs = "0009 @IntfClear 0010 TDefaultWebAppServices.FindWebDispatcher 0024 TDefaultWebAppServices.FindRequestHandler 002b Supports"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 17 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 5E 5B C3 5F B0 CC 6F E0 8F D4 11 A4 E5 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_95972_0 {
	meta:
		name = "TDefaultWebAppServices.GetRequestHandler"
		size = 95
		refs = "000f TDefaultWebAppServices.GetRequestHandler 002f @IntfCopy 004e @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 75 14 8D 55 FC 8B C3 8B 08 FF 11 8B 55 FC 8D 43 0C E8 ?? ?? ?? ?? 8B C6 8B 53 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97394_0 {
	meta:
		name = "TWebSessionStub.Get_SessionID"
		size = 95
		refs = "000f TWebSessionStub.Get_SessionID 002f @IntfCopy 004e @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 75 14 8D 55 FC 8B C3 8B 08 FF 11 8B 55 FC 8D 43 0C E8 ?? ?? ?? ?? 8B C6 8B 53 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95974_0 {
	meta:
		name = "TDefaultWebAppServices.InitContext"
		size = 19
	strings:
		$1 = { 55 8B EC 89 48 10 8B 4D 08 89 48 18 89 50 14 5D C2 04 00 }
	condition:
		$1
}

rule function_95976_0 {
	meta:
		name = "TDefaultWebAppServices.InvokeDispatcher"
		size = 138
		refs = "000e TDefaultWebAppServices.InvokeDispatcher 001e TDefaultWebAppServices.GetRequestHandler 0046 sNoDispatcherComponent 004d _DV_EWebBrokerException 0052 Exception.CreateRes 0057 @RaiseExcept 006d IWebRequestHandler 0077 @FinalizeArray 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 1C 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 4B 18 8B 53 10 8B 18 FF 53 0C 8B D8 EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_95977_0 {
	meta:
		name = "TDefaultWebAppServices.FindWebDispatcher"
		size = 160
		refs = "003d _DV_TCustomWebDispatcher 0042 @IsClass 0051 TComponent.GetComponentCount 0064 TComponent.GetComponent"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 04 24 33 ED 8B 04 24 8B 40 14 8B 10 FF 52 04 48 85 C0 7C 7A 40 89 44 24 08 C7 44 24 04 00 00 00 00 8B 04 24 8B 40 14 8B 54 24 04 8B 08 FF 11 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 8B EB EB 3A 8B C3 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2C 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B D6 8B C3 E8 ?? ?? ?? ?? 8B E8 EB 04 46 4F 75 D7 85 ED 75 0A FF 44 24 04 FF 4C 24 08 75 93 8B C5 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_95978_0 {
	meta:
		name = "TDefaultWebAppServices.GetExceptionHandler"
		size = 108
		refs = "000a TDefaultWebAppServices.GetExceptionHandler 0015 TDefaultWebAppServices.FindWebDispatcher 0023 @IntfClear 0031 Supports 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B D8 85 DB 74 18 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 8F 26 64 76 29 96 D4 11 A4 EC 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_95983_0 {
	meta:
		name = "TContentParser.GetContentFields"
		size = 43
		refs = "000d _Dn_TStringList 0012 TStringList.Create 0021 TWebRequest.ExtractContentFields"
	strings:
		$1 = { 53 56 8B D8 83 7B 08 00 75 1B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 08 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_95987_0 {
	meta:
		name = "TWebBrokerDispatchFileRequest.Create"
		size = 81
		refs = "000e @ClassCreate 0020 TDispatchFileRequest.Create 003a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4E 38 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 10 8B 45 0C 89 47 08 8B 45 08 89 47 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_95988_0 {
	meta:
		name = "TWebBrokerDispatchFileRequest.IsGetRequest"
		size = 11
	strings:
		$1 = { 8B 40 08 80 78 08 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_95989_0 {
	meta:
		name = "TWebBrokerDispatchFileRequest.IsHeadRequest"
		size = 11
	strings:
		$1 = { 8B 40 08 80 78 08 04 0F 94 C0 C3 }
	condition:
		$1
}

rule function_95990_0 {
	meta:
		name = "TWebBrokerDispatchFileRequest.SetErrorCode"
		size = 9
	strings:
		$1 = { 8B 40 0C 8B 08 FF 51 28 C3 }
	condition:
		$1
}

rule function_95991_0 {
	meta:
		name = "TWebBrokerDispatchFileRequest.GetIfModifiedSince"
		size = 26
	strings:
		$1 = { 83 C4 F8 BA 0B 00 00 00 8B 40 08 8B 08 FF 51 08 DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_95993_0 {
	meta:
		name = "TWebBrokerDispatchFileRequest.SetContentLength"
		size = 15
	strings:
		$1 = { 53 8B CA 8B 40 0C 33 D2 8B 18 FF 53 14 5B C3 }
	condition:
		$1
}

rule function_95994_0 {
	meta:
		name = "TWebBrokerDispatchFileRequest.SetContentType"
		size = 90
		refs = "000f TWebBrokerDispatchFileRequest.SetContentType 0024 @LStrFromUStr 0049 @LStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA 08 00 00 00 8B 43 0C 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_95995_0 {
	meta:
		name = "TWebBrokerDispatchFileRequest.SetLastModified"
		size = 26
	strings:
		$1 = { 55 8B EC FF 75 0C FF 75 08 BA 02 00 00 00 8B 40 0C 8B 08 FF 51 0C 5D C2 08 00 }
	condition:
		$1
}

rule function_95998_0 {
	meta:
		name = "TWebBrokerDispatchFileRequest.DoBeforeDispatch"
		size = 36
	strings:
		$1 = { 53 56 8B 70 10 66 83 7E 42 00 74 15 8B 58 08 53 8B 58 0C 53 51 8B C6 8B CA 8B D0 8B 46 44 FF 56 40 5E 5B C3 }
	condition:
		$1
}

rule function_95999_0 {
	meta:
		name = "TWebBrokerDispatchFileRequest.DoAfterDispatch"
		size = 36
	strings:
		$1 = { 53 56 8B 70 10 66 83 7E 4A 00 74 15 8B 58 08 53 8B 58 0C 53 51 8B C6 8B CA 8B D0 8B 46 4C FF 56 48 5E 5B C3 }
	condition:
		$1
}

rule function_96000_0 {
	meta:
		name = "TWebBrokerDispatchFileRequest.GetRequestPathInfo"
		size = 80
		refs = "000f TWebBrokerDispatchFileRequest.GetRequestPathInfo 002a @UStrFromLStr 003f @LStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 08 8B 08 FF 51 10 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96001_0 {
	meta:
		name = "TWebBrokerDispatchFileRequest.GetResponseSent"
		size = 9
	strings:
		$1 = { 8B 40 0C 8B 10 FF 52 40 C3 }
	condition:
		$1
}

rule function_96002_0 {
	meta:
		name = "TCustomWebFileDispatcher.Create"
		size = 112
		refs = "000a @ClassCreate 0017 TComponent.Create 0020 _Dn_TWebFileDispatcherProperties 0025 TWebFileDispatcherProperties.Create 002d TCustomWebFileDispatcher.Create 0034 _Dn_TMask 0039 TMask.Create 0047 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 2A 00 00 00 00 00 }
	condition:
		$1
}

rule function_96008_0 {
	meta:
		name = "TCustomWebFileDispatcher.GetWebFileExtensions"
		size = 7
	strings:
		$1 = { 8B 40 38 8B 40 40 C3 }
	condition:
		$1
}

rule function_96009_0 {
	meta:
		name = "TCustomWebFileDispatcher.GetWebDirectories"
		size = 7
	strings:
		$1 = { 8B 40 38 8B 40 44 C3 }
	condition:
		$1
}

rule function_96010_0 {
	meta:
		name = "TCustomWebFileDispatcher.SetRootDirectory"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 83 C0 38 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96013_0 {
	meta:
		name = "TCustomWebFileDispatcher.DispatchRequest"
		size = 92
		refs = "000f _DV_TWebBrokerDispatchFileRequest 0015 TWebBrokerDispatchFileRequest.Create 0020 TCustomWebFileDispatcher.DispatchRequest 002e TDispatchFileRequest.DispatchFileRequest 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 51 8B 55 08 52 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_96014_0 {
	meta:
		name = "Finalization"
		size = 149
		refs = "0007 Finalization 0013 _DV_42 001a FContentParsers 0027 TObject.Free 002c FWebApplicationFileName 0031 @UStrClr 0036 FWebApplicationDirectory 0040 Months 004b string 0050 @FinalizeArray 0055 DaysOfWeek 006a LongDaysOfWeek 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 65 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_96015_0 {
	meta:
		name = "Web.HTTPApp"
		size = 47
		refs = "0007 Web.HTTPApp 0013 _DV_42 0027 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_114870_0 {
	meta:
		name = "Xml.Xmldom"
		size = 47
		refs = "0007 Xml.Xmldom 0013 _DV_5 0027 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_96026_0 {
	meta:
		name = "FindScriptProducerClass"
		size = 24
		refs = "0002 ScriptEnginesList"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0C 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 11 C3 33 C0 C3 }
	condition:
		$1
}

rule function_96029_0 {
	meta:
		name = "THTMLTagAttributes.RestoreDefaults"
		size = 20
		refs = "0007 @UStrClr 000e THTMLTagAttributes.Changed"
	strings:
		$1 = { 53 8B D8 8D 43 08 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96030_0 {
	meta:
		name = "THTMLTagAttributes.SetCustom"
		size = 38
		refs = "000c @UStrEqual 0018 @UStrAsg 001f THTMLTagAttributes.Changed"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 08 E8 ?? ?? ?? ?? 74 11 8D 43 08 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96031_0 {
	meta:
		name = "THTMLTableAttributes.Create"
		size = 81
		refs = "000a @ClassCreate 0017 THTMLTagAttributes.Create 003e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 2C 64 00 00 00 C7 46 1C FF FF FF FF C7 46 28 FF FF FF FF C7 46 24 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96032_0 {
	meta:
		name = "THTMLTableAttributes.AssignTo"
		size = 90
		refs = "000b _DV_THTMLTableAttributes 0010 @IsClass 0034 @UStrAsg 0047 THTMLTagAttributes.Changed 0052 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 35 8B FB 8B 46 2C 89 47 2C 0F B6 46 18 88 47 18 8B 46 1C 89 47 1C 8D 47 20 8B 56 20 E8 ?? ?? ?? ?? 8B 46 24 89 47 24 8B 46 28 89 47 28 8B C7 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96033_0 {
	meta:
		name = "THTMLTableAttributes.RestoreDefaults"
		size = 52
		refs = "0007 @UStrClr 002e THTMLTagAttributes.Changed"
	strings:
		$1 = { 53 8B D8 8D 43 08 E8 ?? ?? ?? ?? C6 43 18 00 C7 43 2C 64 00 00 00 C7 43 1C FF FF FF FF C7 43 28 FF FF FF FF C7 43 24 FF FF FF FF 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96036_0 {
	meta:
		name = "THTMLTableAttributes.SetBGColor"
		size = 96
		refs = "000e @UStrAddRef 0016 THTMLTableAttributes.SetBGColor 0027 @UStrEqual 0034 @UStrAsg 003b THTMLTagAttributes.Changed 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 53 20 E8 ?? ?? ?? ?? 74 12 8D 43 20 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_96037_0 {
	meta:
		name = "THTMLTableAttributes.SetCellSpacing"
		size = 14
		refs = "0009 THTMLTagAttributes.Changed"
	strings:
		$1 = { 3B 50 24 74 08 89 50 24 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96039_0 {
	meta:
		name = "THTMLTableAttributes.SetWidth"
		size = 14
		refs = "0009 THTMLTagAttributes.Changed"
	strings:
		$1 = { 3B 50 2C 74 08 89 50 2C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96040_0 {
	meta:
		name = "THTMLTableElementAttributes.AssignTo"
		size = 73
		refs = "000b _DV_THTMLTableElementAttributes 0010 @IsClass 002f @UStrAsg 0036 THTMLTagAttributes.Changed 0041 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 0F B6 46 18 8B FB 88 47 18 0F B6 46 20 88 47 20 8D 47 1C 8B 56 1C E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96041_0 {
	meta:
		name = "THTMLTableElementAttributes.RestoreDefaults"
		size = 36
		refs = "0007 @UStrClr 001e THTMLTagAttributes.Changed"
	strings:
		$1 = { 53 8B D8 8D 43 08 E8 ?? ?? ?? ?? C6 43 18 00 C6 43 20 00 8D 43 1C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96043_0 {
	meta:
		name = "THTMLTableElementAttributes.SetBGColor"
		size = 96
		refs = "000e @UStrAddRef 0016 THTMLTableElementAttributes.SetBGColor 0027 @UStrEqual 0034 @UStrAsg 003b THTMLTagAttributes.Changed 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 53 1C E8 ?? ?? ?? ?? 74 12 8D 43 1C 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_96045_0 {
	meta:
		name = "THTMLTableHeaderAttributes.AssignTo"
		size = 84
		refs = "000b _DV_THTMLTableHeaderAttributes 0010 @IsClass 002f @UStrAsg 0041 THTMLTagAttributes.Changed 004c THTMLTableElementAttributes.AssignTo"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2F 0F B6 46 18 8B FB 88 47 18 0F B6 46 20 88 47 20 8D 47 1C 8B 56 1C E8 ?? ?? ?? ?? 8D 47 28 8B 56 28 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96046_0 {
	meta:
		name = "THTMLTableHeaderAttributes.RestoreDefaults"
		size = 44
		refs = "0007 @UStrClr 0026 THTMLTagAttributes.Changed"
	strings:
		$1 = { 53 8B D8 8D 43 08 E8 ?? ?? ?? ?? C6 43 18 00 C6 43 20 00 8D 43 1C E8 ?? ?? ?? ?? 8D 43 28 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96047_0 {
	meta:
		name = "THTMLTableHeaderAttributes.SetCaption"
		size = 98
		refs = "000e @UStrAddRef 0016 THTMLTableHeaderAttributes.SetCaption 0027 AnsiCompareStr 0036 @UStrAsg 003d THTMLTagAttributes.Changed 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 28 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 12 8D 43 28 8B 55 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_96048_0 {
	meta:
		name = "TBasePageProducer.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TComponent.Create 0020 RPR 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 58 01 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96049_0 {
	meta:
		name = "TBasePageProducer.ContentFromStream"
		size = 212
		refs = "0018 TBasePageProducer.ContentFromStream 003b FindScriptProducerClass 0069 TBasePageProducer.GetLocateFileService 0078 TBasePageProducer.GetWebModuleContext 0085 ContentFromScriptStream 00a0 ContentFromStream 00b5 @IntfClear 00c2 @UStrArrayClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 84 C0 74 14 8D 55 F8 8B C3 8B 08 FF 51 4C 8B 45 F8 E8 ?? ?? ?? ?? EB 02 33 C0 85 C0 74 44 53 8B 03 8B 40 54 50 53 8B 03 8B 40 58 50 8D 55 F4 8B C3 8B 08 FF 51 4C 8B 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B D0 0F B6 4B 58 8B C6 E8 ?? ?? ?? ?? EB 19 53 8B 03 8B 40 54 50 6A 00 6A 00 8B 4D FC 0F B6 53 58 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96050_0 {
	meta:
		name = "TBasePageProducer.ServerScriptFromStream"
		size = 37
		refs = "001d ContentFromStream"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A 00 6A 00 53 8B 03 8B 40 58 50 8B CF 0F B6 53 58 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96051_0 {
	meta:
		name = "TBasePageProducer.ContentFromString"
		size = 102
		refs = "0010 TEncoding.GetUTF8 001c _Dn_TStringStream 0021 TStringStream.Create 002c TBasePageProducer.ContentFromString 0054 TObject.Free 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 8B F2 8B D8 E8 ?? ?? ?? ?? 50 6A 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B 55 F8 8B C3 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96052_0 {
	meta:
		name = "TBasePageProducer.HandleTag"
		size = 68
		refs = "001a TBasePageProducer.HandleTag 001f Format"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 8B 45 08 50 89 5D F8 C6 45 FC 11 8D 55 F8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 23 00 25 00 73 00 3E 00 00 00 }
	condition:
		$1
}

rule function_96058_0 {
	meta:
		name = "FindNamedModuleVariable"
		size = 196
		refs = "001b FindNamedModuleVariable 0029 TComponent.GetComponentCount 003d TComponent.GetComponent 0047 @IntfClear 005c Supports 0078 CompareText 0097 @UStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 50 43 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 83 7D FC 00 74 1A 8D 55 F0 8B 45 FC 8B 08 FF 51 0C 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 85 C0 74 06 47 4B 75 B3 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5F 5E 5B 8B E5 5D C3 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96061_0 {
	meta:
		name = "TLocalWebModuleContext.FindVariableContainer"
		size = 188
		refs = "0016 TLocalWebModuleContext.FindVariableContainer 0023 TLocalWebModuleContext.FindNamedVariable 0031 @IntfClear 0046 Supports 005f sVariableIsNotAContainer 0064 LoadResString 006e _Dn_EWebBrokerException 0073 Exception.CreateFmt 0078 @RaiseExcept 008d @UStrClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D F0 89 4D FC 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 4F 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 75 2E 89 75 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 8B E5 5D C3 00 00 00 B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A }
	condition:
		$1
}

rule function_96062_0 {
	meta:
		name = "GetModuleVariable"
		size = 176
		refs = "0018 GetModuleVariable 002b TComponent.GetComponentCount 003f TComponent.GetComponent 0049 @IntfClear 005e Supports 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 41 43 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 83 7D FC 00 74 0B 8B 45 F4 3B 45 F0 74 09 FF 45 F0 47 4B 75 C2 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 8B E5 5D C3 00 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96064_0 {
	meta:
		name = "GetModuleVariableCount"
		size = 156
		refs = "0014 GetModuleVariableCount 0026 TComponent.GetComponentCount 0039 TComponent.GetComponent 0049 @IntfClear 0056 Supports 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 34 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 03 FF 45 F8 46 4B 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 59 59 5D C3 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96066_0 {
	meta:
		name = "TBasePageProducer.GetWebModuleContext"
		size = 62
		refs = "000d FindComponentWebModuleContext 0026 _DV_TLocalWebModuleContext 002b TLocalWebModuleContext.Create"
	strings:
		$1 = { 53 56 8B D8 83 7B 5C 00 75 2E 8B C3 E8 ?? ?? ?? ?? 8B F0 89 73 5C 85 F6 75 1E 8B 73 04 85 F6 74 11 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 60 8B 43 60 89 43 5C 8B 43 5C 5E 5B C3 }
	condition:
		$1
}

rule function_96068_0 {
	meta:
		name = "GetTagID"
		size = 41
		refs = "0010 TagSymbols 0017 CompareText"
	strings:
		$1 = { 53 56 8B F0 B3 06 84 DB 74 1A 0F B6 C3 8B 04 85 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 85 C0 74 05 4B 84 DB 73 E2 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_96069_0 {
	meta:
		name = "TBasePageProducer.Content"
		size = 105
		refs = "000f @UStrClr 0024 TBasePageProducer.Content 0057 TObject.Free 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8D 55 FB 8B C3 8B 08 FF 51 60 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 0C 8B CE 8B 55 FC 8B C3 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96070_0 {
	meta:
		name = "TBasePageProducer.DoTagEvent"
		size = 37
	strings:
		$1 = { 55 8B EC 53 66 83 78 52 00 74 15 51 8B 4D 0C 51 8B 4D 08 51 8B CA 8B D8 8B D0 8B 43 54 FF 53 50 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_96071_0 {
	meta:
		name = "TBasePageProducer.ImplHandleTag"
		size = 69
		refs = "0018 TBasePageProducer.GetTagID 0022 @UStrClr 0038 @CallDynaInst"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B D6 8B C3 E8 ?? ?? ?? ?? 88 45 FB 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 50 57 0F B6 55 FB 8B CE 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_96073_0 {
	meta:
		name = "TBasePageProducer.UseScriptEngine"
		size = 76
		refs = "000c TBasePageProducer.UseScriptEngine 003a @UStrClr 0040 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 4C 83 7D FC 00 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_96074_0 {
	meta:
		name = "TBasePageProducer.GetLocateFileService"
		size = 136
		refs = "0010 TBasePageProducer.GetLocateFileService 001d @IntfClear 0041 Supports 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 7B 38 85 FF 74 2B 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 FC 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 5B 16 FD C9 1C 8F D4 11 A4 E4 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96076_0 {
	meta:
		name = "TBasePageProducer.GetProducerTemplateStream"
		size = 130
		refs = "0016 TBasePageProducer.GetProducerTemplateStream 0024 DesignerFileManager 0031 TBasePageProducer.GetProducerTemplateFileName 006e @UStrClr 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 83 3D ?? ?? ?? ?? 00 74 22 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 12 8B 4D F8 8B 55 FC A1 ?? ?? ?? ?? 8B 18 FF 53 10 8B D8 85 DB 75 0C 8B 55 F8 8B C6 8B 08 FF 51 60 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96077_0 {
	meta:
		name = "TBasePageProducer.GetProducerTemplateFileName"
		size = 340
		refs = "0015 TBasePageProducer.GetProducerTemplateFileName 002a DesignerFileManager 004f @UStrAsg 00e8 WebApplicationDirectory 00f3 IncludeTrailingPathDelimiter 00ff @UStrCat3 0114 ExtractFileDrive 013a @UStrArrayClr 0142 @UStrClr 0148 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 8B 08 FF 51 5C 83 3D ?? ?? ?? ?? 00 74 27 83 3B 00 0F 84 EA 00 00 00 8D 4D FC 8B 13 A1 ?? ?? ?? ?? 8B 30 FF 56 0C 8B 55 FC 8B C3 E8 ?? ?? ?? ?? E9 CC 00 00 00 8B 13 8B C2 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 83 F8 03 7C 0C 8B 03 66 83 78 02 3A 0F 94 C0 EB 02 33 C0 84 C0 74 04 B0 01 EB 35 8B C2 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7C 0B 8B 03 66 83 38 5C 0F 94 C0 EB 02 33 C0 84 C0 74 0C 8B 03 66 83 78 02 5C 0F 94 C0 EB 02 33 C0 84 C0 75 65 8B C2 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 48 7C 0B 8B 03 66 83 38 5C 0F 94 C0 EB 02 33 C0 84 C0 75 21 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B 0B 8B C3 E8 ?? ?? ?? ?? EB 1F 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 0B 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96079_0 {
	meta:
		name = "TCustomPageProducer.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TBasePageProducer.Create 001e _Dn_TStringList 0023 TStringList.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 74 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96080_0 {
	meta:
		name = "TCustomPageProducer.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TComponent.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 74 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96081_0 {
	meta:
		name = "TCustomPageProducer.GetTemplateStream"
		size = 208
		refs = "0014 TCustomPageProducer.GetTemplateStream 002a TBasePageProducer.GetLocateFileService 0057 TBasePageProducer.GetProducerTemplateFileName 0061 _Dn_TFileStream 0066 TFileStream.Create 0075 TEncoding.GetUTF8 008d _Dn_TStringStream 0092 TStringStream.Create 00b4 @UStrArrayClr 00bc @IntfClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 70 00 74 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 15 8B 45 F8 50 8B 4B 70 8B D3 8B 45 FC 8B 30 FF 56 0C 8B F0 EB 02 33 F6 85 F6 75 4F 6A 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 F8 C6 00 01 EB 2A E8 ?? ?? ?? ?? 50 6A 01 8D 55 F0 8B 43 74 8B 08 FF 51 1C 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 F8 C6 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96082_0 {
	meta:
		name = "TCustomPageProducer.SetHTMLFile"
		size = 41
		refs = "000c CompareText 0022 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 70 E8 ?? ?? ?? ?? 85 C0 74 12 8B 43 74 8B 10 FF 52 44 8D 43 70 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96083_0 {
	meta:
		name = "TCustomPageProducer.SetHTMLDoc"
		size = 27
		refs = "0014 @UStrClr"
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 74 8B 08 FF 51 08 8D 46 70 E8 ?? ?? ?? ?? 5F 5E C3 }
	condition:
		$1
}

rule function_96085_0 {
	meta:
		name = "ScriptProducerContentFromStream"
		size = 200
		refs = "0021 @IntfAddRef 0029 ScriptProducerContentFromStream 0036 @UStrClr 003d FindScriptProducerClass 006e @IntfCast 009a @IntfClear 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 88 4D F3 89 55 F4 89 45 F8 8B 75 08 8B 5D 10 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 0F B6 45 F3 50 FF 75 18 FF 75 14 53 8B 45 0C 50 8B 4D F4 B2 01 8B C7 FF 10 8B D0 85 D2 74 03 83 EA F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B 55 F8 8B 45 FC 8B 18 FF 53 1C 8B D6 8B 45 FC 8B 08 FF 51 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 14 00 00 83 44 32 53 4A A1 7B 49 81 DF CA 51 66 8F 36 B9 }
	condition:
		$1
}

rule function_96086_0 {
	meta:
		name = "ScriptProducerContentFromString"
		size = 170
		refs = "0011 @IntfAddRef 0019 ScriptProducerContentFromString 0024 TEncoding.GetUTF8 0030 _Dn_TStringStream 0035 TStringStream.Create 0064 ScriptProducerContentFromStream 0079 TObject.Free 007f @HandleFinally 0096 @IntfClear"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B F2 8B F8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 50 6A 01 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 18 FF 75 14 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_96087_0 {
	meta:
		name = "ContainsPreamble"
		size = 257
		refs = "0017 ContainsPreamble 0043 @DynArrayLength 006e TArray<System.Byte> 0073 @DynArraySetLength 00ec @FinalizeArray 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 55 FC 8B C6 8B 08 FF 51 24 83 7D FC 00 0F 84 99 00 00 00 8B C7 8B 10 FF 12 52 50 8B 45 FC E8 ?? ?? ?? ?? 99 3B 54 24 04 75 09 3B 04 24 5A 58 77 7B EB 04 5A 58 7F 75 8B 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B C7 8B 18 FF 53 0C B3 01 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 89 02 8B 45 FC E8 ?? ?? ?? ?? 8B D0 85 D2 7E 25 B8 01 00 00 00 8B 4D F8 0F B6 4C 01 FF 8B 75 FC 3A 4C 06 FF 74 0B 8B 55 F4 33 C9 89 0A 33 DB EB 04 40 4A 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96088_0 {
	meta:
		name = "GetEncodingOfStream"
		size = 164
		refs = "0015 _Dn_TStringStream 001a @IsClass 0031 TStream.GetPosition 0040 TStream.SetPosition 0048 GetEncodingOfStream 0053 TEncoding.GetUTF8 005f ContainsPreamble 0072 TEncoding.GetANSI 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B DA 89 45 FC 33 C0 89 03 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 FC 8B 40 18 89 45 F8 EB 6F 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D0 8B CB 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0A E8 ?? ?? ?? ?? 89 45 F8 EB 08 E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 99 52 50 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96089_0 {
	meta:
		name = "ContentFromStream"
		size = 892
		refs = "0021 ContentFromStream 0031 GetEncodingOfStream 0041 TStream.SetPosition 0050 _Dn_TStringStream 0055 TStringStream.Create 0073 _Dn_TCopyParser 0078 TCopyParser.Create 0093 TCopyParser.CopyTokenToOutput 009d TCopyParser.SkipToken 00e7 TCopyParser.TokenString 00f2 BytesOf 0100 TEncoding.GetString 010d TCopyParser.SkipToToken 0131 TrimRight 013c TrimLeft 0143 _Dn_TStringList 0148 TStringList.Create 016b @UStrLAsg 018b @UStrCat3 0193 UniqueString 01a4 @UStrToPWChar 01b5 ExtractHTTPFields 01ed @UStrCatN 0210 @UStrClr 021b TStringStream.WriteString 0230 TObject.Free 0236 @HandleFinally 0293 TStringStream.GetDataString 02c5 @LStrClr 02ce TArray<System.Byte> 02d3 @DynArrayClear 02e0 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D E8 88 55 EF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 89 45 D8 8B 45 D4 99 52 50 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 50 6A 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 12 8B 45 E4 E8 ?? ?? ?? ?? B2 01 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 0F B6 40 39 84 C0 74 04 2C 3C 75 DF 8B 45 E4 0F B6 58 39 84 DB 0F 84 B0 01 00 00 80 FB 3C 75 DD 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 3C 23 0F 85 75 01 00 00 33 D2 8B 45 E4 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 55 D0 8D 4D F4 8B 45 D8 E8 ?? ?? ?? ?? 8D 4D BC B2 3E 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 BC 8D 55 C0 E8 ?? ?? ?? ?? 8B 55 C0 8D 4D C4 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 C4 8D 55 C8 E8 ?? ?? ?? ?? 8B 45 C8 8D 55 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7D 0A 00 74 33 8D 45 F0 8B 55 FC E8 ?? ?? ?? ?? 8B 75 F0 85 F6 74 05 83 EE 04 8B 36 85 F6 7E 10 8D 45 F0 8B 4D F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 DC 50 0F B6 45 EF 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 7D 0A 00 74 33 8D 45 F8 50 8B 4D DC 8B 55 F4 8B 45 0C FF 55 08 84 C0 75 40 68 ?? ?? ?? ?? FF 75 F4 FF 75 F0 68 ?? ?? ?? ?? 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 21 66 83 7D 12 00 74 12 8D 45 F8 50 8B 4D DC 8B 55 F4 8B 45 14 FF 55 10 EB 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 B2 01 8B 45 E4 E8 ?? ?? ?? ?? E9 56 FE FF FF BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? B2 01 8B 45 E4 E8 ?? ?? ?? ?? E9 32 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 E8 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B2 5E 5B 8B E5 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3C 00 23 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 }
	condition:
		$1
}

rule function_96090_0 {
	meta:
		name = "ContentFromString"
		size = 113
		refs = "000e TEncoding.GetUTF8 001a _Dn_TStringStream 001f TStringStream.Create 002a ContentFromString 0048 ContentFromStream 005d TObject.Free 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B DA 8B F0 E8 ?? ?? ?? ?? 50 6A 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B CF 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_96091_0 {
	meta:
		name = "ContentFromScriptStream"
		size = 231
		refs = "0020 @IntfAddRef 0028 ContentFromScriptStream 0035 FindScriptProducerClass 0058 ContentFromStream 0075 ScriptProducerContentFromString 007f @UStrAsg 009c ScriptProducerContentFromStream 00cb @UStrClr 00d3 @IntfClear 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 88 4D F7 89 55 F8 89 45 FC 8B 5D 08 8B 75 10 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 C0 74 65 66 83 7D 16 00 74 41 6A 00 6A 00 FF 75 18 FF 75 14 8B CB 0F B6 55 F7 8B 45 FC E8 ?? ?? ?? ?? FF 75 20 FF 75 1C 56 8B 45 0C 50 8D 45 F0 50 8B 03 0F B6 4D F7 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? EB 35 FF 75 20 FF 75 1C 56 8B 45 0C 50 53 0F B6 4D F7 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 18 FF 75 20 FF 75 1C 6A 00 6A 00 8B CB 0F B6 55 F7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule function_96092_0 {
	meta:
		name = "ContentFromScriptFile"
		size = 170
		refs = "0011 @IntfAddRef 0019 ContentFromScriptFile 002a _Dn_TFileStream 002f TFileStream.Create 0064 ContentFromScriptStream 0079 TObject.Free 007f @HandleFinally 0096 @IntfClear"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B F2 8B F8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 20 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 20 FF 75 1C FF 75 18 FF 75 14 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CB 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 1C 00 }
	condition:
		$1
}

rule function_96093_0 {
	meta:
		name = "FindComponentWebModuleContext"
		size = 196
		refs = "0015 FindComponentWebModuleContext 002a @IntfClear 003f Supports 0052 @CallDynaInst 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 85 DB 74 36 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 04 8B FB EB 42 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 75 CA 83 7D F8 00 74 29 8B 45 F8 83 78 04 00 74 20 8B 45 F8 8B 78 04 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 75 02 33 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 59 5D C3 00 B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A }
	condition:
		$1
}

rule function_96094_0 {
	meta:
		name = "TCustomPageProducer.GetTemplateFileName"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 70 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111843_0 {
	meta:
		name = "TDomError.GetUri"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 70 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115090_0 {
	meta:
		name = "TXMLElementCompositor.GetElementDefs"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 70 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115215_0 {
	meta:
		name = "TXMLSchemaDef.GetSimpleTypes"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 70 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96095_0 {
	meta:
		name = "TAbstractScriptProducer.Create"
		size = 110
		refs = "000d @ClassCreate 0019 @IntfAddRef 0021 TAbstractScriptProducer.Create 0030 TObject.Create 0045 @IntfClear 004b @HandleFinally 0058 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_96096_0 {
	meta:
		name = "EScriptError.Create"
		size = 150
		refs = "0015 @ClassCreate 0024 EScriptError.Create 0046 Exception.Create 0054 @UStrAsg 0069 @UStrClr 006f @HandleFinally 007e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 8B 08 FF 11 8D 55 F8 8B 08 FF 51 0C 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 18 8D 43 1C 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_96097_0 {
	meta:
		name = "EScriptError.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 Exception.Destroy 001a TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98813_0 {
	meta:
		name = "TWebUserItem.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TCollectionItem.Destroy 001a TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96098_0 {
	meta:
		name = "TAbstractScriptEnginesList.Create"
		size = 37
		refs = "0008 @ClassCreate 000d ScriptEnginesList 0016 @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_96099_0 {
	meta:
		name = "Finalization"
		size = 121
		refs = "0007 Finalization 0013 _DV_71 001a HTMLAlign 0025 string 002a @FinalizeArray 002f HTMLVAlign 0044 DesignerFileManager 0049 @IntfClear 004e TagSymbols 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 49 B8 ?? ?? ?? ?? B9 04 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 07 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_96101_0 {
	meta:
		name = "DoneVCLApplication"
		size = 110
		refs = "000a DoneVCLApplication 0015 Application 001a TObject.Free 0030 @HandleOnException 0038 _Dn_Exception 0042 HandleShutdownException 0053 ApplicationHandleException 0065 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 3A E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1B 33 D2 89 15 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 33 C9 89 0A 89 4A 04 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_96102_0 {
	meta:
		name = "DLLExitProc"
		size = 31
		refs = "0008 DoneVCLApplication 000e OldDllProc"
	strings:
		$1 = { 53 8B D8 85 DB 75 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 08 8B C3 FF 15 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96104_0 {
	meta:
		name = "TWebApplication.Create"
		size = 128
		refs = "000a @ClassCreate 0013 WebRequestHandlerProc 0019 WebRequestHandler 0022 TWebRequestHandler.Create 0027 ApplicationHandleException 0030 TWebRequestHandler.HandleException 0035 IsLibrary 003f IsMultiThread 0047 DllProc 004c OldDllProc 0056 DLLExitProc 005d DoneVCLApplication 0062 AddExitProc 006d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 70 04 C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? 80 38 00 74 1E A1 ?? ?? ?? ?? C6 00 01 A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? EB 0A B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96106_0 {
	meta:
		name = "TWebApplication.CreateForm"
		size = 39
		refs = "0011 sOnlyOneDataModuleAllowed 0018 _Dn_Exception 001d Exception.CreateRes 0022 @RaiseExcept"
	strings:
		$1 = { 8B 48 54 85 C9 75 04 89 50 54 C3 3B D1 74 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96133_0 {
	meta:
		name = "WebContext"
		size = 19
		refs = "0002 GetWebContextProc"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 07 FF 15 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_97665_0 {
	meta:
		name = "FindWebComponentEditorHelper"
		size = 19
		refs = "0002 FindWebComponentEditorHelperProc"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 07 FF 15 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_96448_0 {
	meta:
		name = "WebRequestHandler"
		size = 19
		refs = "0002 WebRequestHandlerProc"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 07 FF 15 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_96134_0 {
	meta:
		name = "TWebContext.Create"
		size = 101
		refs = "000e @ClassCreate 001d TAbstractWebContext.Create 0038 SetWebContextProc 004e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 45 10 89 47 08 8B 45 0C 89 47 0C 89 77 04 8B 45 08 89 47 10 83 3D ?? ?? ?? ?? 00 74 08 8B C7 FF 15 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_96135_0 {
	meta:
		name = "TWebContext.Destroy"
		size = 67
		refs = "0003 @BeforeDestruction 000d SetWebContextProc 0031 TAbstractWebContext.Destroy 003c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 3D ?? ?? ?? ?? 00 74 08 33 C0 FF 15 ?? ?? ?? ?? 83 7E 14 00 74 08 8B 46 14 8B 10 FF 52 24 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96136_0 {
	meta:
		name = "TWebContext.FindPage"
		size = 140
		refs = "001d TWebContext.FindPage 0041 TAbstractWebPageInfo.GetFactory 0075 @UStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 88 4D FB 89 55 FC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 0F B6 4D FB 8B 55 FC 8B C3 8B 38 FF 57 4C 84 C0 74 1D 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 11 8B 55 F0 8B C3 8B 08 FF 51 44 89 06 EB 04 33 C0 89 06 83 3E 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_96137_0 {
	meta:
		name = "TWebContext.FindPageInfo"
		size = 209
		refs = "001e TWebContext.FindPageInfo 0093 CompareText 00ba @UStrClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 88 4D F7 89 55 F8 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 1C 8B 10 FF 52 10 8B F0 4E 85 F6 7C 67 46 33 FF 8B 45 FC 8B 10 FF 52 1C 8B D7 8B 08 FF 51 14 89 45 F0 8B 45 F0 8B 10 FF 52 14 89 03 83 3B 00 74 3F F6 45 F7 01 74 0B 8B 03 8B 10 FF 52 14 84 C0 74 2E F6 45 F7 02 74 0B 8B 03 8B 10 FF 52 18 84 C0 74 1D 8D 55 EC 8B 03 8B 08 FF 51 08 8B 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 75 04 B3 01 EB 0A 47 4E 75 9C 33 C0 89 03 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_96138_0 {
	meta:
		name = "TWebContext.FindDefaultPageInfo"
		size = 115
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B E8 8B C5 8B 10 FF 52 1C 8B 10 FF 52 10 8B F0 4E 85 F6 7C 3F 46 33 FF 8B C5 8B 10 FF 52 1C 8B D7 8B 08 FF 51 14 8B D8 8B C3 8B 10 FF 52 10 3B 04 24 75 1C 8B C3 8B 10 FF 52 14 85 C0 74 11 8B C3 8B 10 FF 52 14 8B 54 24 04 89 02 B0 01 EB 0E 47 4E 75 C4 8B 44 24 04 33 D2 89 10 33 C0 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96139_0 {
	meta:
		name = "TWebContext.FindModuleClass"
		size = 41
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 1C 8B D6 8B 08 FF 51 18 85 C0 75 0E 8B C3 8B 10 FF 52 1C 8B D6 8B 08 FF 51 20 5E 5B C3 }
	condition:
		$1
}

rule function_96140_0 {
	meta:
		name = "TWebContext.FindModuleName"
		size = 41
		altNames = "TWebContext.FindVariableContainer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 1C 8B D6 8B 08 FF 51 1C 85 C0 75 0E 8B C3 8B 10 FF 52 1C 8B D6 8B 08 FF 51 24 5E 5B C3 }
	condition:
		$1
}

rule function_96142_0 {
	meta:
		name = "TWebContext.GetEndUser"
		size = 104
		refs = "000f TWebContext.GetEndUser 0021 GetWebEndUserProc 0038 @IntfCopy 0057 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 1C 00 75 1D 83 3D ?? ?? ?? ?? 00 74 14 8D 45 FC FF 15 ?? ?? ?? ?? 8B 55 FC 8D 43 1C E8 ?? ?? ?? ?? 8B C6 8B 53 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96146_0 {
	meta:
		name = "THTMLElementEventDispatch.GetEventInterface"
		size = 19
		refs = "000c @IntfCopy"
		altNames = "TWebContext.GetAdapterResponse"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 24 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96148_0 {
	meta:
		name = "MakeWebPageInfoList"
		size = 146
		refs = "000e _Dn_TInterfaceList 0013 TInterfaceList.Create 0024 @IntfCopy 006a _DV_TWebPageInfoWrapper 006f TWebPageInfoWrapper.Create"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 45 FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 10 FF 52 1C 8B 10 FF 52 10 8B F0 4E 85 F6 7C 4D 46 C7 45 F8 00 00 00 00 8B 45 08 8B 40 FC 8B 10 FF 52 1C 8B 55 F8 8B 08 FF 51 14 8B 10 FF 52 14 8B D8 85 DB 74 21 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B 45 FC 8B 00 8B 08 FF 51 38 FF 45 F8 4E 75 BB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96149_0 {
	meta:
		name = "TWebContext.GetPageCount"
		size = 111
		refs = "0013 TWebContext.GetPageCount 002b MakeWebPageInfoList 003a @IntfCopy 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 14 00 75 18 55 8D 45 F8 E8 ?? ?? ?? ?? 59 8B 55 F8 8B 45 FC 83 C0 14 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 14 8B 10 FF 52 14 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96150_0 {
	meta:
		name = "TWebContext.GetPageInfo"
		size = 116
		refs = "0018 TWebContext.GetPageInfo 003b @IntfCast 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B 43 14 8B 18 FF 53 0C 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 77 5A D5 8A AE 9D 11 D5 8D 38 00 50 56 8E 0E 44 }
	condition:
		$1
}

rule function_96151_0 {
	meta:
		name = "TWebContext.FindApplicationModule"
		size = 94
	strings:
		$1 = { 53 56 57 55 8B D8 83 7B 18 00 75 4A 8B C3 8B 10 FF 52 1C 8B 10 FF 52 10 8B F8 4F 85 FF 7C 37 47 33 ED 8B C3 8B 10 FF 52 1C 8B D5 8B 08 FF 51 14 8B F0 8B C6 8B 10 FF 52 04 84 C0 74 15 8B C6 8B 10 FF 52 10 8B D0 8B C3 8B 08 FF 51 40 89 43 18 EB 04 45 4F 75 CC 8B 43 18 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96154_0 {
	meta:
		name = "TWebContext.SetAdapterResponse"
		size = 76
		refs = "000e @IntfAddRef 0016 TWebContext.SetAdapterResponse 0027 @IntfCopy 003c @IntfClear 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 24 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_96156_0 {
	meta:
		name = "TWebContext.GetRequestedPageName"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 2C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111855_0 {
	meta:
		name = "TDomPEInfoObject.GetNodeName"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 2C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96157_0 {
	meta:
		name = "TWebContext.SetDispatchedPageName"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 28 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96158_0 {
	meta:
		name = "TWebContext.SetRequestedPageName"
		size = 19
		refs = "000c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 2C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96159_0 {
	meta:
		name = "TAbstractWebContext.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TObject.Create 001d SetWebContextProc 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 08 8B C6 FF 15 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96160_0 {
	meta:
		name = "TAbstractWebContext.Destroy"
		size = 53
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 0018 SetWebContextProc 002e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 08 33 C0 FF 15 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96166_0 {
	meta:
		name = "THTMLItemsStub.Count"
		size = 9
		altNames = "TWebPageInfoWrapper.GetLoginRequired"
	strings:
		$1 = { 8B 40 0C 8B 10 FF 52 18 C3 }
	condition:
		$1
}

rule function_96168_0 {
	meta:
		name = "TWebPageInfoWrapper.GetHasViewAccess"
		size = 172
		refs = "0011 TWebPageInfoWrapper.GetHasViewAccess 002f WebContext 0080 @IntfClear 0088 @UStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8D 55 FC 8B 46 0C 8B 08 FF 51 1C 83 7D FC 00 74 41 E8 ?? ?? ?? ?? 85 C0 74 38 E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 11 83 7D F8 00 74 26 8D 55 F4 8B 46 0C 8B 08 FF 51 1C 8B 45 F4 50 E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 11 8B 45 F0 5A 8B 08 FF 51 10 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96169_0 {
	meta:
		name = "TAbstractAdapterRequest.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TObject.Create 001c WebContext 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 85 D2 74 03 83 EA F8 8B 08 FF 51 14 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96170_0 {
	meta:
		name = "TAbstractAdapterRequest.GetRequest"
		size = 11
		refs = "0001 WebContext"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 10 FF 52 04 C3 }
	condition:
		$1
}

rule function_96171_0 {
	meta:
		name = "TAbstractAdapterResponse.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TObject.Create 001c WebContext 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 85 D2 74 03 83 EA F8 8B 08 FF 51 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96172_0 {
	meta:
		name = "TAbstractAdapterResponse.GetResponse"
		size = 11
		refs = "0001 WebContext"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 10 FF 52 08 C3 }
	condition:
		$1
}

rule function_96196_0 {
	meta:
		name = "EnumerateExtensions"
		size = 227
		refs = "0018 @IntfAddRef 0020 EnumerateExtensions 006f @UStrLen 00cc @IntfClear 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FD FF FF 53 56 57 89 4D FC 88 55 FB 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 01 00 00 00 EB 77 80 7D FB 00 74 12 66 C7 85 F4 FD FF FF 2E 00 C7 45 F4 01 00 00 00 EB 23 33 C0 89 45 F4 EB 1C 66 83 7C 5E FE 20 74 13 8B 45 F4 0F B7 54 5E FE 66 89 94 45 F4 FD FF FF FF 45 F4 43 8B C6 E8 ?? ?? ?? ?? 3B D8 7F 08 66 83 7C 5E FE 3B 75 D1 8B 45 F4 66 C7 84 45 F4 FD FF FF 00 00 8D 95 F4 FD FF FF 8B 4D F4 8B 45 FC 8B 38 FF 57 0C 84 C0 75 06 C6 45 FA 00 EB 14 43 8B C6 E8 ?? ?? ?? ?? 3B D8 0F 8E 7A FF FF FF C6 45 FA 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96197_0 {
	meta:
		name = "TDispatchFileRequest.IsIncludeDirectory"
		size = 148
		refs = "003b TWebDirectories.GetItem 0044 TWebDirectoryItem.UpdateMask 0061 TMask.Matches"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B E8 8B 45 04 8B 40 44 8B 40 08 8B 40 08 85 C0 75 07 C6 44 24 04 00 EB 65 C6 44 24 04 00 8B F0 4E 85 F6 7C 59 46 33 FF 8B 45 04 8B 40 44 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 83 7B 14 00 74 36 0F B6 43 0C 2C 01 72 04 74 18 EB 2A 8B 14 24 8B 43 14 E8 ?? ?? ?? ?? 84 C0 74 1B C6 44 24 04 01 EB 14 8B 14 24 8B 43 14 E8 ?? ?? ?? ?? 84 C0 74 05 C6 44 24 04 00 47 4E 75 AA 0F B6 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96201_0 {
	meta:
		name = "TDispatchFileRequest.GetApplicationPath"
		size = 140
		refs = "000c TDispatchFileRequest.GetApplicationPath 001a MainInstance 0021 GetModuleName 002e Pos 0043 @UStrDelete 004d ExtractFilePath 0062 @UStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 12 8D 45 FC B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 5C 00 5C 00 3F 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_96202_0 {
	meta:
		name = "TDispatchFileRequest.QualifyFileName"
		size = 387
		refs = "001c @UStrAddRef 0024 TDispatchFileRequest.QualifyFileName 0055 @UStrDelete 005f @UStrAsg 006d IncludeTrailingPathDelimiter 0109 @UStrCatN 011f ExtractFileDrive 0143 @UStrCat3 014d ExpandFileName 0171 @UStrArrayClr 0177 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 1B 8B 45 FC 66 83 38 5C 75 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 46 04 8B 40 38 E8 ?? ?? ?? ?? 8B 55 F8 8B C2 85 C0 74 05 83 E8 04 8B 00 83 F8 03 7C 0D 8B 45 F8 66 83 78 02 3A 0F 94 C0 EB 02 33 C0 84 C0 74 04 B0 01 EB 30 8B C2 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7C 0C 8B 45 F8 66 83 38 5C 0F 94 C0 EB 02 33 C0 84 C0 74 0C 8B 03 66 83 78 02 5C 0F 94 C0 EB 02 33 C0 84 C0 75 6B 8B C2 85 C0 74 05 83 E8 04 8B 00 48 7C 0C 8B 45 F8 66 83 38 5C 0F 94 C0 EB 02 33 C0 84 C0 75 20 8D 55 F4 8B C6 8B 08 FF 11 FF 75 F4 FF 75 F8 FF 75 FC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 38 8D 55 EC 8B C6 8B 08 FF 11 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? FF 75 F0 FF 75 F8 FF 75 FC 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0D 8B C3 8B 4D FC 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 E8 8B 03 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96203_0 {
	meta:
		name = "TDispatchFileRequest.GetMimeType"
		size = 204
		refs = "0014 TDispatchFileRequest.GetMimeType 0021 TDispatchFileRequest.UpdateExtensionMimeType 002b ExtractFileExt 0036 LowerCase 0041 @UStrClr 004f TDictionary<System.string,System.string>.TryGetValue 005f @UStrAsg 0079 @UStrArrayClr 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 8B C8 8B 43 04 8B 40 3C 5A E8 ?? ?? ?? ?? 84 C0 75 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 18 00 00 00 61 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 2F 00 6F 00 63 00 74 00 65 00 74 00 2D 00 73 00 74 00 72 00 65 00 61 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_96204_0 {
	meta:
		name = "TDispatchFileRequest.SetResponse"
		size = 932
		refs = "0025 TDispatchFileRequest.SetResponse 0034 FileExists 0078 TTimeZone.FLocal 007f TTimeZone.ToLocalTime 008f FileAge 00b1 TDispatchFileRequest.GetMimeType 00d9 _Dn_TFileStream 00de TFileStream.Create 00fa @UStrLAsg 0105 LowerCase 0110 AnsiStartsText 011d TEncoding.GetUTF8 012d @DynArrayLength 013c TArray<System.Byte> 0141 @DynArraySetLength 0171 TEncoding.GetANSI 017e TEncoding.GetBufferEncoding 01a6 Pos 01b7 @UStrCat 01c3 TStream.SetPosition 01ce _DV_TSkipPreambleStream 01d3 TSkipPreambleStream.Create 024d TTimeZone.GetUtcOffsetInSeconds 028a @_llmul 0291 IncMilliSecond 02cd TObject.Free 02d3 @HandleFinally 02ec @UStrClr 02fa @DynArrayClear 0307 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 98 53 56 57 33 C9 89 4D 98 89 4D 9C 89 4D FC 89 4D F8 89 4D F4 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C6 E8 ?? ?? ?? ?? 84 C0 75 13 BA 94 01 00 00 8B C3 8B 08 FF 51 0C B3 01 E9 8C 02 00 00 8B C3 8B 10 FF 52 10 DD 5D D8 9B DD 45 D8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 69 8B C3 8B 10 FF 52 10 83 C4 F8 DD 1C 24 9B A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? DD 5D D8 9B 8D 55 E0 B1 01 8B C6 E8 ?? ?? ?? ?? DD 45 E0 DC 65 D8 D9 E1 DB 2D ?? ?? ?? ?? DE D9 9B DF E0 9E 76 29 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 1C BA 30 01 00 00 8B C3 8B 08 FF 51 0C B3 01 E9 09 02 00 00 6A 20 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 BE 00 00 00 E8 ?? ?? ?? ?? 8D 55 9C 8B 08 FF 51 24 8B 45 9C E8 ?? ?? ?? ?? 50 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 45 EC 8B 38 FF 57 0C 8B F8 8B 45 F8 E8 ?? ?? ?? ?? 3B F8 75 6F 33 C0 89 45 D4 E8 ?? ?? ?? ?? 8B C8 8D 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 85 FF 7E 52 E8 ?? ?? ?? ?? 3B 45 D4 75 48 8D 55 98 8B 45 FC E8 ?? ?? ?? ?? 8B 55 98 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? 57 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 6A 00 6A 00 8B 45 EC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 8B 10 FF 52 04 84 C0 74 11 8B 55 EC 8B C3 8B 08 FF 51 14 33 C0 89 45 EC EB 10 8B 45 EC 8B 10 FF 12 8B D0 8B C3 8B 08 FF 51 18 8D 55 E0 B1 01 8B C6 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 8B 36 8B 45 E0 89 45 C8 8B 45 E4 89 45 CC 33 C0 FF 75 CC FF 75 C8 8B D0 8B C6 E8 ?? ?? ?? ?? 89 45 B8 89 55 BC 8B 45 C8 89 45 B0 8B 45 CC 89 45 B4 8B 45 B8 8B 55 BC F7 D8 83 D2 00 F7 DA 89 45 A8 89 55 AC FF 75 B4 FF 75 B0 6A 00 68 E8 03 00 00 8B 45 A8 8B 55 AC E8 ?? ?? ?? ?? 52 50 E8 ?? ?? ?? ?? DD 5D A0 9B 8B 45 A0 89 45 C0 8B 45 A4 89 45 C4 FF 75 C4 FF 75 C0 8B C3 8B 10 FF 52 20 8B 55 FC 8B C3 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BF 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 00 80 BF B7 4A 89 72 06 45 2E C2 EE 3F 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 74 00 65 00 78 00 74 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3B 00 20 00 63 00 68 00 61 00 72 00 73 00 65 00 74 00 3D 00 75 00 74 00 66 00 2D 00 38 00 00 00 }
	condition:
		$1
}

rule function_96205_0 {
	meta:
		name = "TDispatchFileRequest.DispatchFileRequest"
		size = 257
		refs = "0011 TDispatchFileRequest.DispatchFileRequest 0049 TDispatchFileRequest.IsDispatchFileName 0055 @UStrClr 0061 TDispatchFileRequest.GetDispatchFileName 006f TDispatchFileRequest.CanDispatchFileName 0080 TDispatchFileRequest.QualifyFileName 008b @UStrLAsg 00a8 TDispatchFileRequest.SetResponse 00eb @UStrArrayClr 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8D 55 F8 8B C3 8B 08 FF 51 30 8B C3 8B 10 FF 52 08 84 C0 75 0F 8B C3 8B 10 FF 52 04 84 C0 0F 84 8A 00 00 00 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 7C 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 64 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 56 8D 4D F0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8D 4D F7 8B 55 FC 8B C3 8B 30 FF 56 28 80 7D F7 00 75 0D 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 88 45 F7 80 7D F7 00 74 18 8B C3 8B 10 FF 52 34 84 C0 75 0D 8D 4D F7 8B 55 FC 8B C3 8B 18 FF 53 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96206_0 {
	meta:
		name = "TDispatchFileRequest.GetDispatchFileName"
		size = 160
		refs = "0021 TDispatchFileRequest.GetDispatchFileName 0046 StringReplace 0051 @UStrAsg 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B 45 FC 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 0F B6 05 ?? ?? ?? ?? 50 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 59 5D C3 00 00 01 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_96207_0 {
	meta:
		name = "TDispatchFileRequest.UpdateExtensionMimeType$11$ActRec.$0$Body"
		size = 291
		refs = "001e TDispatchFileRequest.UpdateExtensionMimeType$11$ActRec.$0$Body 002e @UStrClr 0039 @UStrFromPWChar 004b TDictionary<System.string,System.string>.TryGetValue 005d LowerCase 0068 @UStrEqual 0079 TObject.Create 0088 sDuplicateMimeTypes 008d LoadResString 00a1 Format 00af @UStrAsg 00b7 @RaiseExcept 00e7 TDictionary<System.string,System.string>.Add 0101 @UStrArrayClr 0114 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8D 47 14 E8 ?? ?? ?? ?? 50 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 47 18 8B 40 04 8B 40 3C 59 E8 ?? ?? ?? ?? 84 C0 74 6A 8D 55 F8 8B 47 10 8B 40 10 E8 ?? ?? ?? ?? 8B 55 F8 8B 47 14 E8 ?? ?? ?? ?? 74 7D 8B 47 18 8B 10 FF 52 24 B2 01 E8 ?? ?? ?? ?? 89 47 0C 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 89 75 E8 C6 45 EC 0A 8D 55 E8 33 C9 E8 ?? ?? ?? ?? 8B 55 F4 8B 47 0C 83 C0 04 E8 ?? ?? ?? ?? 8B 47 0C E8 ?? ?? ?? ?? EB 2E 8D 55 E4 8B 47 10 8B 40 10 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 45 E0 8B D6 E8 ?? ?? ?? ?? 8B 55 E0 8B 47 18 8B 40 04 8B 40 3C 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96208_0 {
	meta:
		name = "TDispatchFileRequest.UpdateExtensionMimeType"
		size = 215
		refs = "0012 TDispatchFileRequest.UpdateExtensionMimeType 001f _DV_TDispatchFileRequest.UpdateExtensionMimeType$11$ActRec 0024 TObject.Create 0037 @IntfCopy 004e _DV_TDictionary<System.string,System.string> 0053 TDictionary<System.string,System.string>.Create 007f TWebFileExtensions.GetItem 0090 LowerCase 00a3 EnumerateExtensions 00bc @UStrClr 00c4 @IntfClear 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B C6 89 43 18 8B 40 04 83 78 3C 00 75 62 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 18 8B 72 04 89 46 3C 8B 46 40 8B 40 08 8B 40 08 48 85 C0 7C 3D 40 89 C6 33 FF 8B 43 18 8B 40 04 8B 40 40 8B D7 E8 ?? ?? ?? ?? 89 43 10 8D 55 F4 8B 43 10 8B 40 0C E8 ?? ?? ?? ?? 8B 45 F4 8B CB 85 C9 74 03 83 E9 E4 B2 01 E8 ?? ?? ?? ?? 47 4E 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96209_0 {
	meta:
		name = "TDispatchFileRequest.IsDispatchFileName"
		size = 113
		refs = "0011 TDispatchFileRequest.IsDispatchFileName 001e TDispatchFileRequest.UpdateExtensionMimeType 0028 ExtractFileExt 0033 LowerCase 0041 TDictionary<System.string,System.string>.ContainsKey 005d @UStrArrayClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 43 04 8B 40 3C E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96210_0 {
	meta:
		name = "TWebFileExtensionItem.Create"
		size = 81
		refs = "000d @ClassCreate 001a TCollectionItem.Create 0025 @UStrAsg 003b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 0C 8B 55 08 E8 ?? ?? ?? ?? 8D 46 10 8B 55 0C E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_96211_0 {
	meta:
		name = "TWebFileExtensionItem.GetComponentState"
		size = 60
		refs = "0008 TCollection.Owner 000e _Dn_TComponent 0013 @IsClass 002c TWebFileExtensionItem.GetComponentState"
	strings:
		$1 = { 53 56 8B D8 8B 43 04 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B 43 04 E8 ?? ?? ?? ?? 0F B7 70 1C EB 07 0F B7 35 ?? ?? ?? ?? 8B C6 5E 5B C3 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_96212_0 {
	meta:
		name = "TWebFileExtensionItem.GetDisplayName"
		size = 118
		refs = "0015 TWebFileExtensionItem.GetDisplayName 0024 sWebFileExtensionsItemDisplayName 0029 LoadResString 004f Format 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 10 89 45 EC C6 45 F0 11 8B 43 0C 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96213_0 {
	meta:
		name = "TWebFileExtensionItem.SetMimeType"
		size = 248
		refs = "0013 TWebFileExtensionItem.SetMimeType 0024 @UStrLAsg 002e @UStrAsg 0035 TWebFileExtensionItem.GetComponentState 0052 FLookupExtensions 005b FLookupMimeType 00b8 CompareText 00e6 @UStrArrayClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 10 E8 ?? ?? ?? ?? 8D 43 10 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A8 01 0F 85 8F 00 00 00 8B C3 E8 ?? ?? ?? ?? A8 10 0F 84 80 00 00 00 83 3D ?? ?? ?? ?? 00 74 15 83 3D ?? ?? ?? ?? 00 74 0C 8D 55 FC 8B 43 10 FF 15 ?? ?? ?? ?? 83 7D FC 00 74 5C 83 7B 0C 00 75 04 B0 01 EB 43 8D 55 F4 8B 43 0C FF 15 ?? ?? ?? ?? 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0B 8D 43 0C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96214_0 {
	meta:
		name = "TWebFileExtensionItem.SetExtensions"
		size = 248
		refs = "0013 TWebFileExtensionItem.SetExtensions 0024 @UStrLAsg 002e @UStrAsg 0035 TWebFileExtensionItem.GetComponentState 0052 FLookupExtensions 005b FLookupMimeType 00b8 CompareText 00e6 @UStrArrayClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 0C E8 ?? ?? ?? ?? 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A8 01 0F 85 8F 00 00 00 8B C3 E8 ?? ?? ?? ?? A8 10 0F 84 80 00 00 00 83 3D ?? ?? ?? ?? 00 74 15 83 3D ?? ?? ?? ?? 00 74 0C 8D 55 FC 8B 43 0C FF 15 ?? ?? ?? ?? 83 7D FC 00 74 5C 83 7B 10 00 75 04 B0 01 EB 43 8D 55 F4 8B 45 F8 FF 15 ?? ?? ?? ?? 8D 45 F0 8B 53 10 E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0B 8D 43 10 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96216_0 {
	meta:
		name = "TWebFileExtensions.Create"
		size = 69
		refs = "000a @ClassCreate 0017 _DV_TWebFileExtensionItem 0020 TCollection.Create 0027 TWebFileExtensions.SetDefaultExtensions 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 18 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96230_0 {
	meta:
		name = "TWebDirectories.Create"
		size = 69
		refs = "000a @ClassCreate 0017 _DV_TWebDirectoryItem 0020 TCollection.Create 0027 TWebDirectories.SetDefaultDirectories 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 18 8B 0D ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96217_0 {
	meta:
		name = "TWebFileExtensions.SetDefaultExtensions"
		size = 432
		refs = "0004 TWebFileExtensions.SetDefaultExtensions 0012 _DV_TWebFileExtensionItem 0017 TWebFileExtensionItem.Create"
	strings:
		$1 = { 53 8B D8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 74 00 65 00 78 00 74 00 2F 00 63 00 73 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 63 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 68 00 74 00 6D 00 6C 00 3B 00 68 00 74 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 74 00 65 00 78 00 74 00 2F 00 6A 00 61 00 76 00 61 00 73 00 63 00 72 00 69 00 70 00 74 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6A 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 6D 00 61 00 67 00 65 00 2F 00 6A 00 70 00 65 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6A 00 70 00 65 00 67 00 3B 00 6A 00 70 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 69 00 6D 00 61 00 67 00 65 00 2F 00 78 00 2D 00 70 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 70 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_96222_0 {
	meta:
		name = "TWebFileExtensions.GetItemAttr"
		size = 78
		refs = "001b TWebFileExtensions.GetItem 0025 @UStrAsg 0043 @UStrClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B D8 8B 75 08 83 EA 01 72 04 74 17 EB 2A 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 50 0C 8B C6 E8 ?? ?? ?? ?? EB 1C 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 50 10 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_96224_0 {
	meta:
		name = "TWebDirectoryItem.Create"
		size = 77
		refs = "000d @ClassCreate 001a TCollectionItem.Create 002c @UStrAsg 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 0C 88 46 0C 8D 46 10 8B 55 08 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_96226_0 {
	meta:
		name = "TWebDirectoryItem.GetDisplayName"
		size = 166
		refs = "0018 TWebDirectoryItem.GetDisplayName 0032 sWebDirectoryInclude 0037 LoadResString 004f sWebDirectoryItemDisplayName 007a Format 0094 @UStrArrayClr 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 43 0C 2C 01 72 04 74 11 EB 1C 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 89 45 E8 C6 45 EC 11 8B 43 10 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96227_0 {
	meta:
		name = "TWebDirectoryItem.SetDirectoryMask"
		size = 47
		refs = "000c @UStrEqual 0018 @UStrAsg 0028 TObject.Free"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 E8 ?? ?? ?? ?? 74 1A 8D 43 10 8B D6 E8 ?? ?? ?? ?? 8D 43 14 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96228_0 {
	meta:
		name = "TWebDirectoryItem.UpdateMask"
		size = 140
		refs = "000c TWebDirectoryItem.UpdateMask 0023 Trim 0042 @UStrCat3 004c _Dn_TMask 0051 TMask.Create 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 14 00 75 3C 8D 55 FC 8B 43 10 E8 ?? ?? ?? ?? 83 7D FC 00 74 2B 8B 45 FC 66 83 38 5C 74 10 8D 45 FC 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_96231_0 {
	meta:
		name = "TWebDirectories.SetDefaultDirectories"
		size = 104
		refs = "0006 TWebDirectories.SetDefaultDirectories 000f _DV_TWebDirectoryItem 0014 TWebDirectoryItem.Create"
	strings:
		$1 = { 53 8B D8 6A 00 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 5C 00 74 00 65 00 6D 00 70 00 6C 00 61 00 74 00 65 00 73 00 5C 00 2A 00 00 00 00 00 }
	condition:
		$1
}

rule function_96236_0 {
	meta:
		name = "TWebDirectories.GetItemAttr"
		size = 164
		refs = "0017 TWebDirectories.GetItem 002b TWebDirectories.GetItemAttr 0030 @UStrAsg 005f @UStrClr"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 83 EA 01 72 04 74 35 EB 49 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 40 0C 2C 01 72 04 74 11 EB 3C 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2D 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1E 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 50 10 8B 45 08 E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 6E 00 63 00 6C 00 75 00 64 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 45 00 78 00 63 00 6C 00 75 00 64 00 65 00 00 00 }
	condition:
		$1
}

rule function_96238_0 {
	meta:
		name = "TWebFileDispatcherProperties.Create"
		size = 93
		refs = "000b @ClassCreate 001c TComponent.Create 0025 _DV_TWebFileExtensions 002a TWebFileExtensions.Create 0036 _DV_TWebDirectories 003b TWebDirectories.Create 0049 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 40 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 44 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96239_0 {
	meta:
		name = "TWebFileDispatcherProperties.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 0012 TComponent.Destroy 001a TObject.Free 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96240_0 {
	meta:
		name = "TWebFileDispatcherProperties.GetRootDirectory"
		size = 116
		refs = "000f TWebFileDispatcherProperties.GetRootDirectory 0020 Trim 0032 @UStrAsg 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 38 E8 ?? ?? ?? ?? 83 7D FC 00 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8B C6 8B 53 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_96242_0 {
	meta:
		name = "TWebFileDispatcherProperties.SetWebDirectories"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 44 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_96243_0 {
	meta:
		name = "TSkipPreambleStream.Create"
		size = 80
		refs = "000f @ClassCreate 0028 TStream.SetPosition 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 8B F9 89 7B 08 8B C6 99 52 50 8B C7 E8 ?? ?? ?? ?? 89 73 04 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_96245_0 {
	meta:
		name = "TSkipPreambleStream.GetSize"
		size = 46
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B 43 08 8B 10 FF 12 52 50 8B 43 04 99 29 04 24 19 54 24 04 58 5A 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_96246_0 {
	meta:
		name = "TSkipPreambleStream.Read"
		size = 11
	strings:
		$1 = { 53 8B 40 08 8B 18 FF 53 0C 5B C3 }
	condition:
		$1
}

rule function_96247_0 {
	meta:
		name = "TSkipPreambleStream.Seek"
		size = 53
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 66 85 F6 75 14 8B D7 03 53 04 8B CE 8B 43 08 8B 30 FF 56 14 2B 43 04 EB 0F 8B CE 8B D7 8B 43 08 8B 30 FF 56 14 2B 43 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96248_0 {
	meta:
		name = "TSkipPreambleStream.Seek"
		size = 112
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B DA 8B F0 84 DB 75 2D 8B 46 04 99 03 45 08 13 55 0C 52 50 8B D3 8B 46 08 8B 08 FF 51 18 52 50 8B 46 04 99 29 04 24 19 54 24 04 58 5A 89 45 F8 89 55 FC EB 25 FF 75 0C FF 75 08 8B D3 8B 46 08 8B 08 FF 51 18 52 50 8B 46 04 99 29 04 24 19 54 24 04 58 5A 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_96249_0 {
	meta:
		name = "TSkipPreambleStream.SetSize"
		size = 20
		refs = "000e TStream.SetSize64"
	strings:
		$1 = { 53 8B DA 8B C8 8B C3 99 52 50 8B 41 08 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96251_0 {
	meta:
		name = "TSkipPreambleStream.Write"
		size = 15
	strings:
		$1 = { 53 56 8B F0 8B 46 08 8B 18 FF 53 10 5E 5B C3 }
	condition:
		$1
}

rule function_96438_0 {
	meta:
		name = "FreeWebModules"
		size = 31
		refs = "0002 WebRequestHandlerProc"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 15 FF 15 ?? ?? ?? ?? 85 C0 74 0B FF 15 ?? ?? ?? ?? 8B 10 FF 52 40 C3 }
	condition:
		$1
}

rule function_96444_0 {
	meta:
		name = "TBaseWebModuleFactory.GetModule"
		size = 11
		altNames = "TDefaultWebModuleFactory.GetModule"
	strings:
		$1 = { 33 C9 B2 01 8B 40 04 FF 50 38 C3 }
	condition:
		$1
}

rule function_96445_0 {
	meta:
		name = "TDefaultWebModuleFactory.GetModuleName"
		size = 89
		refs = "000f TDefaultWebModuleFactory.GetModuleName 0021 TObject.ClassName 0033 @UStrCopy 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B 45 FC B9 FF FF FF 7F BA 02 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97967_0 {
	meta:
		name = "TBaseWebModuleFactory.GetModuleName"
		size = 89
		refs = "000f TBaseWebModuleFactory.GetModuleName 0021 TObject.ClassName 0033 @UStrCopy 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B 45 FC B9 FF FF FF 7F BA 02 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96450_0 {
	meta:
		name = "TWebRequestHandler.Create"
		size = 124
		refs = "000a @ClassCreate 0017 TComponent.Create 001e _Dn_TCriticalSection 0023 TCriticalSection.Create 002d _Dn_TList 0032 TObject.Create 004b _DV_TWebModuleFactoryList 0050 TWebModuleFactoryList.Create 0069 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 50 C7 46 48 20 00 00 00 C6 46 4C 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96451_0 {
	meta:
		name = "TWebRequestHandler.Destroy"
		size = 83
		refs = "0003 @BeforeDestruction 0016 TObject.Free 0041 TComponent.Destroy 004c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 40 8B 46 3C E8 ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 8B 46 58 E8 ?? ?? ?? ?? 8B 46 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96452_0 {
	meta:
		name = "TWebRequestHandler.FreeModules"
		size = 170
		refs = "0017 TWebRequestHandler.FreeModules 003b TList.Get 0040 TObject.Free 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 8B 40 38 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 3C 8B 58 08 4B 85 DB 7C 19 43 33 F6 8B 45 FC 8B 40 3C 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EA 8B 45 FC 8B 40 3C 8B 10 FF 52 08 8B 45 FC 8B 40 44 8B 58 08 4B 85 DB 7C 19 43 33 F6 8B 45 FC 8B 40 44 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EA 8B 45 FC 8B 40 44 8B 10 FF 52 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 38 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96453_0 {
	meta:
		name = "FindWebModuleComponent"
		size = 69
		refs = "0005 @GetTls 000b AvailableWebModules 0038 TWebModuleList.RecordUnresolvedName"
	strings:
		$1 = { 53 56 8B F0 E8 ?? ?? ?? ?? 83 B8 ?? ?? ?? ?? 00 74 2C E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 8B D6 8B 08 FF 51 1C 8B D8 85 DB 75 16 E8 ?? ?? ?? ?? 8B 80 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? EB 02 33 DB 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_96455_0 {
	meta:
		name = "TWebRequestHandler.ActivateWebModules"
		size = 415
		refs = "001e sTooManyActiveConnections 0025 _Dn_EWebBrokerException 002a Exception.CreateRes 002f @RaiseExcept 0041 TWebRequestHandler.ActivateWebModules 00ab TList.Get 00c7 TList.Delete 00d5 TList.Add 00e2 TWebModuleFactoryList.GetItemCount 00f9 _DV_TDefaultWebModuleFactory 00fe TDefaultWebModuleFactory.Create 010b TWebModuleFactoryList.AddFactory 0127 _DV_TWebModuleList 012c TWebModuleList.Create 0145 sNoDataModulesRegistered 0171 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC 8B 40 48 85 C0 7E 1F 8B 55 FC 3B 42 40 7F 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 38 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 40 3C 8B 40 08 40 8B 55 FC 89 42 40 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C0 89 45 F8 8B 45 FC 8B 40 48 85 C0 7E 22 8B 55 FC 8B 52 3C 3B 42 08 7F 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 58 44 83 7B 08 00 7E 35 8B C3 33 D2 E8 ?? ?? ?? ?? 89 45 F8 6A 00 6A 00 8B 45 F8 8B 10 FF 52 0C 8B 45 FC 8B 40 44 33 D2 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 8B 55 F8 E8 ?? ?? ?? ?? EB 7F 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 85 C0 75 25 8B 45 FC 8B 58 54 85 DB 74 1B 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 85 C0 7E 25 8B 45 FC 8B 48 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 FC 8B 40 3C 8B 55 F8 E8 ?? ?? ?? ?? EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 40 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 38 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96456_0 {
	meta:
		name = "TWebRequestHandler.DeactivateWebModules"
		size = 134
		refs = "0018 TWebRequestHandler.DeactivateWebModules 002d TList.RemoveItem 0034 TWebModuleList.AutoDestroyModules 0055 TList.Add 005e TObject.Free 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC 8B 40 38 8B 10 FF 12 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 40 3C 8B D3 33 C9 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 80 78 4C 00 74 1A 8B C3 8B 10 FF 52 04 85 C0 7E 0F 8B 45 FC 8B 40 44 8B D3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 38 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 5B 59 5D C3 }
	condition:
		$1
}

rule function_96457_0 {
	meta:
		name = "TWebRequestHandler.GetActiveCount"
		size = 84
		refs = "0017 TWebRequestHandler.GetActiveCount 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 38 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 3C 8B 40 08 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 38 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_96458_0 {
	meta:
		name = "TWebRequestHandler.GetInactiveCount"
		size = 84
		refs = "0017 TWebRequestHandler.GetInactiveCount 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 45 FC 8B 45 FC 8B 40 38 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 44 8B 40 08 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 38 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 8B 45 F8 59 59 5D C3 }
	condition:
		$1
}

rule function_96459_0 {
	meta:
		name = "TWebRequestHandler.HandleRequest"
		size = 544
		refs = "001e TWebRequestHandler.HandleRequest 0030 TWebRequestHandler.ActivateWebModules 0053 TWebModuleList.AutoCreateModules 0065 sNoWebModulesActivated 006c _Dn_EWebBrokerException 0071 Exception.CreateRes 0076 @RaiseExcept 00a9 @IntfClear 00be Supports 00e4 _Dn_TDefaultWebAppServices 00e9 TObject.Create 00fa @IntfCopy 0142 @HandleAnyException 0152 ApplicationHandleException 015c @DoneExcept 0177 @HandleFinally 01d4 TWebRequestHandler.DeactivateWebModules"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EB 00 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 0F 84 9F 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 8B 10 FF 52 04 85 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 8B 10 FF 52 04 8B D8 4B 85 DB 7C 44 43 33 F6 8B D6 8B 45 E4 8B 08 FF 11 8B F8 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0B 8D 55 FC 8B 45 F8 8B 08 FF 51 0C 83 7D FC 00 75 04 46 4B 75 BF 83 7D FC 00 75 1D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8D 45 FC E8 ?? ?? ?? ?? 8B 45 EC 50 8B 4D F0 8B 55 E4 8B 45 FC 8B 18 FF 53 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 10 88 45 EB 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 18 8B D0 8B 1D ?? ?? ?? ?? 8B 43 04 FF 13 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 C3 E9 ?? ?? ?? ?? EB F0 80 7D EB 00 74 14 8B 45 EC 8B 10 FF 52 40 84 C0 75 08 8B 45 EC 8B 10 FF 52 34 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 18 8B D0 8B 1D ?? ?? ?? ?? 8B 43 04 FF 13 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 55 E4 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 EB 5F 5E 5B 8B E5 5D C3 BD B3 F7 5C B0 DA 11 D5 99 A8 00 50 56 8E 0E 44 }
	condition:
		$1
}

rule function_96460_0 {
	meta:
		name = "TWebRequestHandler.SetCacheConnections"
		size = 138
		refs = "0029 TWebRequestHandler.SetCacheConnections 004d TList.Get 0052 TObject.Free 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC 3A 50 4C 74 74 8B 45 FC 88 50 4C 84 D2 75 6A 8B 45 FC 8B 40 38 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 44 8B 58 08 4B 85 DB 7C 19 43 33 F6 8B 45 FC 8B 40 44 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 EA 8B 45 FC 8B 40 44 8B 10 FF 52 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 38 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96461_0 {
	meta:
		name = "TWebRequestHandler.AddWebModuleFactory"
		size = 15
		refs = "000a TWebModuleFactoryList.AddFactory"
	strings:
		$1 = { 8B 48 50 85 C9 74 07 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96462_0 {
	meta:
		name = "TWebRequestHandler.GetWebModuleFactory"
		size = 18
		refs = "000a TWebModuleFactoryList.GetItem"
	strings:
		$1 = { 8B 48 50 85 C9 74 08 8B C1 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_96463_0 {
	meta:
		name = "TWebRequestHandler.GetWebModuleFactoryCount"
		size = 18
		refs = "000a TWebModuleFactoryList.GetItemCount"
	strings:
		$1 = { 8B 50 50 85 D2 74 08 8B C2 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_96464_0 {
	meta:
		name = "TWebRequestHandler.HandleException"
		size = 228
		refs = "0014 TWebRequestHandler.HandleException 0023 ExceptObject 0029 _Dn_Exception 002e @IsClass 003a @IntfClear 0048 Supports 007b @HandleAnyException 0084 ExceptAddr 0090 ShowException 0095 @DoneExcept 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 63 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 49 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B D0 8D 4D FB 8B 45 FC 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? C6 45 FB 01 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D FB 00 75 11 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 8F 26 64 76 29 96 D4 11 A4 EC 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96465_0 {
	meta:
		name = "TWebModuleList.Create"
		size = 90
		refs = "000b @ClassCreate 001a TObject.Create 0021 _Dn_TStringList 0026 TStringList.Create 0030 _Dn_TComponentList 0035 TComponentList.Create 0046 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 89 77 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96466_0 {
	meta:
		name = "TWebModuleList.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001a TObject.Free 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96467_0 {
	meta:
		name = "TWebModuleFactoryList.GetItem"
		size = 19
		refs = "000c TList.Get"
		altNames = "TWebModuleList.GetItem"
	strings:
		$1 = { 53 56 8B 58 08 8B F2 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96469_0 {
	meta:
		name = "TWebModuleList.AddModuleClass"
		size = 161
		refs = "0019 TWebModuleFactoryList.GetItemCount 0037 TWebModuleFactoryList.GetItem 004d TWebModuleList.StartFixup 0055 TWebModuleList.AddModuleClass 0070 TWebModuleList.AddModule 0085 TWebModuleList.EndFixup 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 89 55 F8 89 45 FC 33 C0 89 45 F4 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 48 85 C0 7C 77 40 89 45 EC C7 45 F0 00 00 00 00 8B 45 FC 8B 40 04 8B 55 F0 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 10 3B 45 F8 75 48 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 18 89 45 F4 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 F0 FF 4D EC 75 94 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96470_0 {
	meta:
		name = "TWebModuleList.AddModuleName"
		size = 232
		refs = "0016 TWebModuleList.AddModuleName 002c TWebModuleFactoryList.GetItemCount 004e TWebModuleFactoryList.GetItem 0064 CompareText 0070 TWebModuleList.StartFixup 0093 TWebModuleList.AddModule 0098 @TryFinallyExit 00af TWebModuleList.EndFixup 00b5 @HandleFinally 00d4 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 8A 00 00 00 40 89 45 EC C7 45 F0 00 00 00 00 8B 45 FC 8B 40 04 8B 55 F0 E8 ?? ?? ?? ?? 8B D8 8D 55 E8 8B C3 8B 08 FF 11 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 4F 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 18 89 45 F4 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 25 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 F0 FF 4D EC 75 81 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96471_0 {
	meta:
		name = "TWebModuleList.FindModuleClass"
		size = 54
	strings:
		$1 = { 53 56 57 51 89 14 24 8B F8 8B C7 8B 10 FF 52 04 8B D8 4B 85 DB 7C 18 43 33 F6 8B D6 8B C7 8B 08 FF 11 8B 08 89 CA 3B 14 24 74 06 46 4B 75 EB 33 C0 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96472_0 {
	meta:
		name = "TWebModuleList.FindModuleName"
		size = 66
		refs = "002c CompareText"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B C5 8B 10 FF 52 04 8B D8 4B 85 DB 7C 20 43 33 FF 8B D7 8B C5 8B 08 FF 11 8B F0 8B 46 08 8B 14 24 E8 ?? ?? ?? ?? 85 C0 74 06 47 4B 75 E3 33 F6 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96473_0 {
	meta:
		name = "TWebModuleList.AddModule"
		size = 34
		refs = "000c TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 8B D6 E8 ?? ?? ?? ?? 66 83 7B 1A 00 74 08 8B D6 8B 43 1C FF 53 18 5E 5B C3 }
	condition:
		$1
}

rule function_96474_0 {
	meta:
		name = "TWebModuleList.StartFixup"
		size = 56
		refs = "000d @GetTls 0013 AvailableWebModules 0018 IsUniqueGlobalComponentNameProc 0022 FindWebModuleComponent 0027 RegisterFindGlobalComponentProc 0032 IsUniqueGlobalWebComponentName"
	strings:
		$1 = { 53 8B D8 FF 43 0C 83 7B 0C 01 75 2A E8 ?? ?? ?? ?? 89 98 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 89 43 10 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96475_0 {
	meta:
		name = "TWebModuleList.EndFixup"
		size = 227
		refs = "0013 TWebModuleList.EndFixup 007e TWebModuleList.PromoteFactoryClass 0083 GlobalFixupReferences 00ad @GetTls 00b5 AvailableWebModules 00bb @HandleFinally 00d2 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 FF 48 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 78 0C 00 75 5C EB 4B 8D 4D FC 8B 45 F8 8B 40 14 33 D2 8B 18 FF 53 0C 8B 45 F8 8B 40 14 33 D2 8B 08 FF 51 48 8B 55 FC 8B 45 F8 8B 08 FF 51 1C 85 C0 75 0F 8B 55 FC 8B 45 F8 8B 08 FF 51 24 85 C0 74 10 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 40 14 8B 10 FF 52 14 85 C0 7F A6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 83 78 0C 00 75 0D E8 ?? ?? ?? ?? 33 D2 89 90 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96476_0 {
	meta:
		name = "TWebModuleList.AutoCreateModules"
		size = 156
		refs = "000e TWebModuleList.StartFixup 0016 TWebModuleList.AutoCreateModules 0027 TWebModuleFactoryList.GetItemCount 003e TWebModuleFactoryList.GetItem 0071 TWebModuleList.AddModule 008a TWebModuleList.EndFixup 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 47 46 33 FF 8B 45 FC 8B 40 04 8B D7 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 08 3C 01 75 26 8B C3 8B 10 FF 52 10 8B D0 8B 45 FC 8B 08 FF 51 18 85 C0 75 11 8B C3 8B 10 FF 52 18 8B D0 8B 45 FC E8 ?? ?? ?? ?? 47 4E 75 BC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96477_0 {
	meta:
		name = "TWebModuleList.AutoDestroyModules"
		size = 81
		refs = "000a TWebModuleFactoryList.GetItemCount 001e TWebModuleFactoryList.GetItem 0044 TObject.Free"
	strings:
		$1 = { 53 56 57 55 8B F8 8B 47 04 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 37 46 33 ED 8B 47 04 8B D5 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 0C 3C 01 75 19 8B C3 8B 10 FF 52 10 8B D0 8B C7 8B 08 FF 51 18 85 C0 74 05 E8 ?? ?? ?? ?? 45 4E 75 CC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96478_0 {
	meta:
		name = "TWebModuleList.RecordUnresolvedName"
		size = 33
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 14 8B 08 FF 51 54 85 C0 7D 0A 8B D6 8B 43 14 8B 08 FF 51 38 5E 5B C3 }
	condition:
		$1
}

rule function_96479_0 {
	meta:
		name = "TWebModuleList.GetOnModuleAdded"
		size = 12
	strings:
		$1 = { 8B 48 18 89 0A 8B 48 1C 89 4A 04 C3 }
	condition:
		$1
}

rule function_96481_0 {
	meta:
		name = "TWebModuleList.PromoteFactoryClass"
		size = 152
		refs = "0018 TWebModuleList.PromoteFactoryClass 0029 TWebModuleFactoryList.GetItemCount 0040 TWebModuleFactoryList.GetItem 0056 CompareText 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 40 46 33 FF 8B 45 FC 8B 40 04 8B D7 E8 ?? ?? ?? ?? 8B D8 8D 55 F4 8B C3 8B 08 FF 11 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 12 8B C3 8B 10 FF 52 0C 3C 01 75 07 8B C3 8B 10 FF 52 1C 47 4E 75 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96484_0 {
	meta:
		name = "TWebModuleFactoryList.AddFactory"
		size = 176
		refs = "0011 TWebModuleFactoryList.AddFactory 0021 TList.IndexOf 002c sFactoryAlreadyRegistered 0031 LoadResString 003b _Dn_EWebBrokerException 0040 Exception.Create 0045 @RaiseExcept 005e sAppFactoryAlreadyRegistered 0084 TList.Add 009e @UStrArrayClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B D6 E8 ?? ?? ?? ?? 40 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 04 84 C0 74 2A 83 7B 04 00 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 73 04 8B 43 08 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96491_0 {
	meta:
		name = "Web.WebReq"
		size = 73
		refs = "0002 _DV_4 000a GetWebContextProc 001a GetWebContext 001f SetWebContextProc 002f SetWebContext 0034 GetModuleFileNameProc 0044 ImplGetModuleFileName"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 3F A1 ?? ?? ?? ?? 83 38 00 75 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 75 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 75 0B A1 ?? ?? ?? ?? C7 00 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96495_0 {
	meta:
		name = "IsVistaPlus"
		size = 12
		refs = "0001 Win32MajorVersion"
	strings:
		$1 = { A1 ?? ?? ?? ?? 83 38 06 0F 9D C0 C3 }
	condition:
		$1
}

rule function_96496_0 {
	meta:
		name = "CheckForIIS"
		size = 264
		refs = "000e CheckForIIS 0021 @WStrLAsg 0029 @IntfClear 002f IID_IADsContainer 0038 ADsGetObject 0047 IsVistaPlus 005e sADSAccessFailureVista 0063 LoadResString 006d _Dn_EOleSysError 0072 EOleSysError.Create 0077 @RaiseExcept 0080 OleError 008e sIISNotRunning 009b AdsError 00b5 @UStrArrayClr 00c5 @WStrClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 F7 C3 00 00 00 80 74 3E E8 ?? ?? ?? ?? 84 C0 74 2E 81 FB 05 40 00 80 75 26 53 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 75 15 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 8B E5 5D C3 00 00 2A 00 00 00 49 00 49 00 53 00 3A 00 2F 00 2F 00 6C 00 6F 00 63 00 61 00 6C 00 68 00 6F 00 73 00 74 00 2F 00 77 00 33 00 73 00 76 00 63 00 00 00 }
	condition:
		$1
}

rule function_96497_0 {
	meta:
		name = "GetVirtualWebDirObject"
		size = 33
		refs = "0006 _DV_TVirtualWebDir 000b TVirtualWebDir.Create 001b @IntfCopy"
	strings:
		$1 = { 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96500_0 {
	meta:
		name = "TVirtualWebDir.Create"
		size = 148
		refs = "000a @ClassCreate 0017 TObject.Create 0024 TVirtualWebDir.Create 0029 @UStrAsg 004e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 08 8D 46 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 0C 00 C6 46 0D 00 33 C0 89 46 2C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6C 00 6F 00 63 00 61 00 6C 00 68 00 6F 00 73 00 74 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 }
	condition:
		$1
}

rule function_96501_0 {
	meta:
		name = "TVirtualWebDir.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 0013 TObject.Free 002a TObject.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 2C 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 24 85 C0 74 05 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96502_0 {
	meta:
		name = "TVirtualWebDir.SetOpenStyle"
		size = 29
	strings:
		$1 = { 53 8B D8 3A 53 04 74 13 88 53 04 8B 43 24 8B 10 FF 52 08 C6 43 0C 00 C6 43 0D 00 5B C3 }
	condition:
		$1
}

rule function_96503_0 {
	meta:
		name = "TVirtualWebDir.SetIISPath"
		size = 177
		refs = "0014 TVirtualWebDir.SetIISPath 0024 @UStrFromWStr 002f @UStrEqual 0077 @UStrAsg 009c @UStrArrayClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 14 E8 ?? ?? ?? ?? 75 17 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 8B 53 18 E8 ?? ?? ?? ?? 74 24 8D 43 14 8B D6 E8 ?? ?? ?? ?? 8D 43 18 8B D7 E8 ?? ?? ?? ?? 8B 43 24 8B 10 FF 52 08 C6 43 0C 00 C6 43 0D 00 8D 43 1C 8B 55 0C E8 ?? ?? ?? ?? 8D 43 20 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_96504_0 {
	meta:
		name = "MatchBoolean"
		size = 10
	strings:
		$1 = { 84 C0 75 03 B0 01 C3 8B C2 C3 }
	condition:
		$1
}

rule function_96505_0 {
	meta:
		name = "TVirtualWebDir.MatchFilter"
		size = 239
		refs = "001e MatchBoolean"
	strings:
		$1 = { 53 56 8B F2 8B D8 B0 01 83 7B 2C 00 0F 84 DA 00 00 00 8B 43 2C 0F B6 40 2C 0F B6 56 2C E8 ?? ?? ?? ?? 84 C0 0F 84 BC 00 00 00 8B 43 2C 0F B6 40 1C 0F B6 56 1C E8 ?? ?? ?? ?? 84 C0 0F 84 A4 00 00 00 8B 43 2C 0F B6 40 1D 0F B6 56 1D E8 ?? ?? ?? ?? 84 C0 0F 84 8C 00 00 00 8B 43 2C 0F B6 40 2E 0F B6 56 2E E8 ?? ?? ?? ?? 84 C0 74 78 8B 43 2C 0F B6 40 2D 0F B6 56 2D E8 ?? ?? ?? ?? 84 C0 74 64 8B 43 2C 0F B6 40 31 0F B6 56 31 E8 ?? ?? ?? ?? 84 C0 74 50 8B 43 2C 0F B6 40 2F 0F B6 56 2F E8 ?? ?? ?? ?? 84 C0 74 3C 8B 43 2C 0F B6 40 32 0F B6 56 32 E8 ?? ?? ?? ?? 84 C0 74 28 8B 43 2C 0F B6 40 33 0F B6 56 33 E8 ?? ?? ?? ?? 84 C0 74 14 8B 43 2C 0F B6 40 30 0F B6 56 30 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_96507_0 {
	meta:
		name = "AddPath"
		size = 64
		refs = "0012 @UStrAsg 001a AddPath 0027 @UStrCatN"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 DB 75 0B 8B C7 8B D6 E8 ?? ?? ?? ?? EB 13 53 68 ?? ?? ?? ?? 56 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_96508_0 {
	meta:
		name = "TVirtualWebDir.LoadWebDirArray"
		size = 2280
		refs = "0022 TVirtualWebDir.LoadWebDirArray 0030 @IntfClear 0037 ADsBuildEnumerator 004c OleError 0064 ADsEnumerateNext 0098 @VarToDisp 00c3 @WStrClr 00d2 @CheckAutoResult 00dd @UStrFromWStr 00ea AnsiCompareText 0134 _DV_TWebDirStruct 0139 TWebDirStruct.Create 016b AddPath 0176 @UStrAsg 017e @VarClr 019d @VarToUStr 01e8 @VarToBool 028e @DispInvoke 030e @VarToInteger 031c @VarCopy 032e @OleVarFromInt 033c @VarAnd 035e @VarCmpEQ 05b5 VarArrayLowBound 05c3 VarArrayHighBound 05e4 @VarArrayGet 0616 TVirtualWebDir.MatchFilter 062a TList.Add 0647 Supports 066c TObject.Free 0677 Null 0685 @OleVarFromVar 068c Succeeded 06ad Variant 06b7 @FinalizeArray 06c2 @UStrClr 06ce OleVariant 06f5 @UStrArrayClr 074e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 3C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D C8 8B DA 89 45 CC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 8B D8 F7 C3 00 00 00 80 0F 84 40 06 00 00 8B C3 E8 ?? ?? ?? ?? E9 34 06 00 00 8D 45 C4 50 8D 45 E0 50 6A 01 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 F7 C3 00 00 00 80 74 07 8B C3 E8 ?? ?? ?? ?? 83 7D C4 00 0F 84 15 06 00 00 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 45 BC 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 00 FF 10 8B D8 F7 C3 00 00 00 80 74 07 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 B1 05 00 00 8D 45 B4 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 55 B4 8D 45 B8 E8 ?? ?? ?? ?? 8B 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 7A 05 00 00 83 7D 14 00 74 35 8D 45 AC E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 55 AC 8D 45 B0 E8 ?? ?? ?? ?? 8B 45 B0 8B 55 14 E8 ?? ?? ?? ?? 85 C0 0F 85 58 05 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 A0 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 55 A0 8D 45 A4 E8 ?? ?? ?? ?? 8B 55 A4 8D 4D A8 8B 45 08 E8 ?? ?? ?? ?? 8B 55 A8 8D 46 04 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 46 08 8D 55 D0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 46 18 8D 55 D0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 88 46 1E 8D 45 D0 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 88 46 1C 8D 45 D0 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 88 46 1D 8D 45 D0 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 88 46 34 8D 45 D0 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 D0 50 8D 45 90 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 45 90 E8 ?? ?? ?? ?? 88 46 1F 8D 45 D0 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 46 24 8D 55 D0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 46 28 8D 55 D0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 89 46 20 8D 55 D0 8D 45 80 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF BA 00 10 00 00 B1 02 E8 ?? ?? ?? ?? 8D 95 70 FF FF FF 8D 45 80 E8 ?? ?? ?? ?? 8D 45 80 50 8D 85 60 FF FF FF BA 00 10 00 00 B1 02 E8 ?? ?? ?? ?? 8D 95 60 FF FF FF 58 E8 ?? ?? ?? ?? 0F 94 C0 88 46 2F 8D 55 D0 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 85 40 FF FF FF BA 00 04 00 00 B1 02 E8 ?? ?? ?? ?? 8D 95 40 FF FF FF 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 50 8D 85 30 FF FF FF BA 00 04 00 00 B1 02 E8 ?? ?? ?? ?? 8D 95 30 FF FF FF 58 E8 ?? ?? ?? ?? 0F 94 C0 88 46 30 8D 55 D0 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 8D 85 10 FF FF FF BA 00 40 00 00 B1 02 E8 ?? ?? ?? ?? 8D 95 10 FF FF FF 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 8D 85 20 FF FF FF 50 8D 85 00 FF FF FF BA 00 40 00 00 B1 02 E8 ?? ?? ?? ?? 8D 95 00 FF FF FF 58 E8 ?? ?? ?? ?? 0F 94 C0 88 46 32 8D 55 D0 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 8D 85 E0 FE FF FF BA 00 20 00 00 B1 02 E8 ?? ?? ?? ?? 8D 95 E0 FE FF FF 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF 50 8D 85 D0 FE FF FF BA 00 20 00 00 B1 02 E8 ?? ?? ?? ?? 8D 95 D0 FE FF FF 58 E8 ?? ?? ?? ?? 0F 94 C0 88 46 31 8D 55 D0 8D 85 C0 FE FF FF E8 ?? ?? ?? ?? 8D 85 B0 FE FF FF BA 00 02 00 00 B1 02 E8 ?? ?? ?? ?? 8D 95 B0 FE FF FF 8D 85 C0 FE FF FF E8 ?? ?? ?? ?? 8D 85 C0 FE FF FF 50 8D 85 A0 FE FF FF BA 00 02 00 00 B1 02 E8 ?? ?? ?? ?? 8D 95 A0 FE FF FF 58 E8 ?? ?? ?? ?? 0F 94 C0 88 46 2E 8D 55 D0 8D 85 90 FE FF FF E8 ?? ?? ?? ?? 8D 85 80 FE FF FF BA 04 00 00 00 B1 01 E8 ?? ?? ?? ?? 8D 95 80 FE FF FF 8D 85 90 FE FF FF E8 ?? ?? ?? ?? 8D 85 90 FE FF FF 50 8D 85 70 FE FF FF BA 04 00 00 00 B1 01 E8 ?? ?? ?? ?? 8D 95 70 FE FF FF 58 E8 ?? ?? ?? ?? 0F 94 C0 88 46 2C 8D 55 D0 8D 85 60 FE FF FF E8 ?? ?? ?? ?? 8D 85 50 FE FF FF BA 10 00 00 00 B1 01 E8 ?? ?? ?? ?? 8D 95 50 FE FF FF 8D 85 60 FE FF FF E8 ?? ?? ?? ?? 8D 85 60 FE FF FF 50 8D 85 40 FE FF FF BA 10 00 00 00 B1 01 E8 ?? ?? ?? ?? 8D 95 40 FE FF FF 58 E8 ?? ?? ?? ?? 0F 94 C0 88 46 2D 8D 45 D0 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8D 45 D0 BA 01 00 00 00 E8 ?? ?? ?? ?? 50 8D 45 D0 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B F8 58 2B F8 7C 42 47 89 45 C0 8B 45 C0 50 6A 01 8D 45 D0 50 8D 85 2C FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 8D 95 2C FE FF FF 8D 85 3C FE FF FF E8 ?? ?? ?? ?? 8B 95 3C FE FF FF 8B 46 38 8B 08 FF 51 38 FF 45 C0 4F 75 C2 8B D6 8B 45 CC E8 ?? ?? ?? ?? 84 C0 74 4B 80 7D 10 00 75 0A 8B D6 8B 45 C8 E8 ?? ?? ?? ?? 80 7D 0C 00 74 3C 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 21 6A 00 6A 00 6A 01 8B 46 04 50 8B 4D C8 8B 55 F4 8B 45 CC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 8D 85 1C FE FF FF E8 ?? ?? ?? ?? 8D 95 1C FE FF FF 8D 45 E0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 BD F9 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 1C FE FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 3C FE FF FF E8 ?? ?? ?? ?? 8D 85 40 FE FF FF 8B 15 ?? ?? ?? ?? B9 15 00 00 00 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 4E FF FF FF 5F 5E 5B 8B E5 5D C2 10 00 D0 56 82 FD 15 FD CE 11 AB C4 02 60 8C 9E 75 53 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 49 00 53 00 57 00 65 00 62 00 56 00 69 00 72 00 74 00 75 00 61 00 6C 00 44 00 69 00 72 00 00 00 00 00 08 00 00 00 50 00 61 00 74 00 68 00 00 00 00 00 0E 00 00 00 41 00 70 00 70 00 52 00 6F 00 6F 00 74 00 00 00 0E 00 00 00 44 00 6F 00 6E 00 74 00 4C 00 6F 00 67 00 00 00 14 00 00 00 41 00 63 00 63 00 65 00 73 00 73 00 52 00 65 00 61 00 64 00 00 00 00 00 16 00 00 00 41 00 63 00 63 00 65 00 73 00 73 00 57 00 72 00 69 00 74 00 65 00 00 00 22 00 00 00 45 00 6E 00 61 00 62 00 6C 00 65 00 44 00 69 00 72 00 42 00 72 00 6F 00 77 00 73 00 69 00 6E 00 67 00 00 00 14 00 00 00 49 00 50 00 53 00 65 00 63 00 75 00 72 00 69 00 74 00 79 00 00 00 00 00 01 00 00 47 72 61 6E 74 42 79 44 65 66 61 75 6C 74 00 00 00 16 00 00 00 55 00 4E 00 43 00 55 00 53 00 45 00 52 00 4E 00 41 00 4D 00 45 00 00 00 16 00 00 00 55 00 4E 00 43 00 50 00 41 00 53 00 53 00 57 00 4F 00 52 00 44 00 00 00 16 00 00 00 41 00 63 00 63 00 65 00 73 00 73 00 46 00 6C 00 61 00 67 00 73 00 00 00 14 00 00 00 53 00 63 00 72 00 69 00 70 00 74 00 4D 00 61 00 70 00 73 00 00 00 00 00 D0 77 16 00 16 FD CE 11 AB C4 02 60 8C 9E 75 53 }
	condition:
		$1
}

rule function_96509_0 {
	meta:
		name = "TVirtualWebDir.LoadContainer"
		size = 640
		refs = "0017 TVirtualWebDir.LoadContainer 0037 @UStrCatN 0042 @WStrFromUStr 005a @IntfClear 0060 IID_IADsContainer 0069 ADsGetObject 00a6 ADsOpenObject 00b2 OleError 00c0 sIISNotRunning 00c5 LoadResString 00cd AdsError 00f8 @CheckAutoResult 0103 @IntfCopy 0111 sLoadError 019f @UStrClr 01a7 @WStrClr 01c4 @WStrArrayClr 01e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? FF 73 14 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 80 7B 0C 00 0F 85 36 01 00 00 80 7B 04 00 75 19 8D 43 28 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? EB 3B 33 F6 8D 43 28 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 0F B7 C6 50 8D 45 F0 8B 53 20 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC 8B 53 1C E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 50 E8 ?? ?? ?? ?? A9 00 00 00 80 74 05 E8 ?? ?? ?? ?? 83 7B 28 00 75 15 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 50 8D 45 E0 8B 53 18 E8 ?? ?? ?? ?? 8B 45 E0 50 68 ?? ?? ?? ?? 8B 43 28 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 15 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8D 43 28 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 85 C0 75 4A 8D 45 D8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 43 28 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 8D 43 28 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 85 C0 75 04 C6 43 0C 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AB 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 49 00 53 00 3A 00 2F 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 2F 00 77 00 33 00 73 00 76 00 63 00 00 00 00 00 18 00 00 00 49 00 49 00 53 00 57 00 65 00 62 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 08 00 00 00 52 00 6F 00 6F 00 74 00 00 00 00 00 20 00 00 00 49 00 49 00 53 00 57 00 65 00 62 00 56 00 69 00 72 00 74 00 75 00 61 00 6C 00 44 00 69 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_96510_0 {
	meta:
		name = "TVirtualWebDir.LoadWebDirList"
		size = 76
		refs = "0014 TObject.Free 001b _DV_TWebDirList 0020 TObject.Create 0039 TVirtualWebDir.LoadWebDirArray 0045 @UStrClr"
	strings:
		$1 = { 53 56 8B D8 80 7B 0C 00 74 3F 80 7B 0D 00 75 39 8B 43 24 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 24 6A 00 6A 00 6A 00 6A 00 8B CE 8B 53 28 8B C3 E8 ?? ?? ?? ?? C6 43 0D 01 8D 43 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96511_0 {
	meta:
		name = "TVirtualWebDir.LoadWebDirChildList"
		size = 93
		refs = "0019 @UStrEqual 0023 TObject.Free 002a _DV_TWebDirList 002f TObject.Create 0047 TVirtualWebDir.LoadWebDirArray 0055 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 80 7B 0C 00 74 4C 80 7B 0D 00 74 0C 8B 43 10 8B D6 E8 ?? ?? ?? ?? 74 3A 8B 43 24 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 24 56 6A 01 6A 01 6A 00 8B CF 8B 53 28 8B C3 E8 ?? ?? ?? ?? C6 43 0D 01 8D 43 10 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96512_0 {
	meta:
		name = "TVirtualWebDir.GetWebDirInfo"
		size = 43
		refs = "0008 TVirtualWebDir.SetOpenStyle 001b TVirtualWebDir.LoadContainer 0022 TVirtualWebDir.LoadWebDirList"
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 80 7B 0C 00 74 06 80 7B 0D 00 75 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 24 5B C3 }
	condition:
		$1
}

rule function_96513_0 {
	meta:
		name = "TVirtualWebDir.GetWebDirChildInfo"
		size = 61
		refs = "000b TVirtualWebDir.SetOpenStyle 0021 @UStrEqual 002a TVirtualWebDir.LoadContainer 0033 TVirtualWebDir.LoadWebDirChildList"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 80 7B 0C 00 74 12 80 7B 0D 00 74 0C 8B C6 8B 53 10 E8 ?? ?? ?? ?? 74 10 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 43 24 5E 5B C3 }
	condition:
		$1
}

rule function_96514_0 {
	meta:
		name = "TVirtualWebDir.GetRemoteWebDirInfo"
		size = 43
		refs = "0008 TVirtualWebDir.SetOpenStyle 001b TVirtualWebDir.LoadContainer 0022 TVirtualWebDir.LoadWebDirList"
	strings:
		$1 = { 53 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 80 7B 0C 00 74 06 80 7B 0D 00 75 0E 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 24 5B C3 }
	condition:
		$1
}

rule function_96515_0 {
	meta:
		name = "TVirtualWebDir.DeleteVRoot"
		size = 84
		refs = "000f TVirtualWebDir.LoadContainer 0015 TVirtualWebDir.DeleteVRoot 0023 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 0C 00 75 07 8B C3 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8B 43 28 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 5E 5B C3 00 00 20 00 00 00 49 00 49 00 53 00 57 00 65 00 62 00 56 00 69 00 72 00 74 00 75 00 61 00 6C 00 44 00 69 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_96516_0 {
	meta:
		name = "TVirtualWebDir.CreateVRoot"
		size = 1008
		refs = "0019 TVirtualWebDir.CreateVRoot 002c TVirtualWebDir.LoadContainer 003e @IntfClear 004a @WStrFromUStr 0061 @CheckAutoResult 006c @IntfCopy 0077 @OleVarFromUStr 00a2 @VarFromBool 01ab @UStrCat3 0243 @VarClr 024e @UStrClr 025a OleVariant 0264 @FinalizeArray 026c @WStrClr 0282 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 14 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7E 0C 00 75 07 8B C6 E8 ?? ?? ?? ?? 80 7E 0C 00 0F 84 F5 01 00 00 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F4 8B 53 04 E8 ?? ?? ?? ?? 8B 45 F4 50 68 ?? ?? ?? ?? 8B 46 28 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 E4 8B 53 08 E8 ?? ?? ?? ?? FF 75 F0 FF 75 EC FF 75 E8 FF 75 E4 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8D 45 D4 0F B6 53 1C E8 ?? ?? ?? ?? FF 75 E0 FF 75 DC FF 75 D8 FF 75 D4 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8D 45 C4 0F B6 53 1D E8 ?? ?? ?? ?? FF 75 D0 FF 75 CC FF 75 C8 FF 75 C4 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8D 45 B4 0F B6 53 2C E8 ?? ?? ?? ?? FF 75 C0 FF 75 BC FF 75 B8 FF 75 B4 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8D 45 A4 0F B6 53 2D E8 ?? ?? ?? ?? FF 75 B0 FF 75 AC FF 75 A8 FF 75 A4 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8D 45 94 0F B6 53 2E E8 ?? ?? ?? ?? FF 75 A0 FF 75 9C FF 75 98 FF 75 94 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8D 45 84 0F B6 53 34 E8 ?? ?? ?? ?? FF 75 90 FF 75 8C FF 75 88 FF 75 84 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 8B 4B 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 8D 85 74 FF FF FF E8 ?? ?? ?? ?? FF 75 80 FF B5 7C FF FF FF FF B5 78 FF FF FF FF B5 74 FF FF FF 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 8B 53 04 E8 ?? ?? ?? ?? FF B5 6C FF FF FF FF B5 68 FF FF FF FF B5 64 FF FF FF FF B5 60 FF FF FF 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF 8B 15 ?? ?? ?? ?? B9 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B4 5E 5B 8B E5 5D C3 00 00 20 00 00 00 49 00 49 00 53 00 57 00 65 00 62 00 56 00 69 00 72 00 74 00 75 00 61 00 6C 00 44 00 69 00 72 00 00 00 00 00 08 00 00 00 50 00 61 00 74 00 68 00 00 00 00 00 14 00 00 00 41 00 63 00 63 00 65 00 73 00 73 00 52 00 65 00 61 00 64 00 00 00 00 00 16 00 00 00 41 00 63 00 63 00 65 00 73 00 73 00 57 00 72 00 69 00 74 00 65 00 00 00 1A 00 00 00 41 00 63 00 63 00 65 00 73 00 73 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 00 00 18 00 00 00 41 00 63 00 63 00 65 00 73 00 73 00 53 00 6F 00 75 00 72 00 63 00 65 00 00 00 00 00 18 00 00 00 41 00 63 00 63 00 65 00 73 00 73 00 53 00 63 00 72 00 69 00 70 00 74 00 00 00 00 00 22 00 00 00 45 00 6E 00 61 00 62 00 6C 00 65 00 44 00 69 00 72 00 42 00 72 00 6F 00 77 00 73 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 2F 00 4C 00 4D 00 2F 00 57 00 33 00 53 00 56 00 43 00 2F 00 31 00 2F 00 52 00 4F 00 4F 00 54 00 2F 00 00 00 0E 00 00 00 41 00 70 00 70 00 52 00 6F 00 6F 00 74 00 00 00 1E 00 00 00 41 00 70 00 70 00 46 00 72 00 69 00 65 00 6E 00 64 00 6C 00 79 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_96518_0 {
	meta:
		name = "TVirtualWebDir._AddRef"
		size = 19
		refs = "000b InterlockedIncrement"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 C0 08 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_96519_0 {
	meta:
		name = "TVirtualWebDir._Release"
		size = 40
		refs = "000d InterlockedDecrement"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8D 43 08 50 E8 ?? ?? ?? ?? 8B F0 85 F6 75 09 B2 01 8B C3 8B 08 FF 51 FC 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_96520_0 {
	meta:
		name = "ADsGetObject"
		size = 236
		refs = "000c @WStrAddRef 0014 ADsGetObject 002b LoadLibrary 0050 GetProcAddress 007f FreeLibrary 0085 @HandleFinally 009c @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8D 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 1F 00 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 76 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F0 89 F3 85 F6 74 11 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF D3 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 59 59 5D C2 0C 00 00 61 00 63 00 74 00 69 00 76 00 65 00 64 00 73 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 41 00 44 00 73 00 47 00 65 00 74 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_96521_0 {
	meta:
		name = "ADsOpenObject"
		size = 268
		refs = "000c @WStrAddRef 0024 ADsOpenObject 003b LoadLibrary 0060 GetProcAddress 009b FreeLibrary 00a1 @HandleFinally 00bd @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8D 45 08 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 1F 00 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 76 5F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F0 89 F3 85 F6 74 1D 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF D3 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5E 5B 59 59 5D C2 18 00 61 00 63 00 74 00 69 00 76 00 65 00 64 00 73 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 41 00 44 00 73 00 4F 00 70 00 65 00 6E 00 4F 00 62 00 6A 00 65 00 63 00 74 00 00 00 }
	condition:
		$1
}

rule function_96522_0 {
	meta:
		name = "ADsBuildEnumerator"
		size = 208
		refs = "001b ADsBuildEnumerator 0020 LoadLibrary 0045 GetProcAddress 0055 @IntfClear 0075 FreeLibrary 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B 45 0C 85 C0 74 04 33 D2 89 10 C7 45 FC 1F 00 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 76 54 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F0 89 F3 85 F6 74 12 8B 45 0C E8 ?? ?? ?? ?? 50 8B 45 08 50 FF D3 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 8B 45 FC 5E 5B 59 59 5D C2 08 00 61 00 63 00 74 00 69 00 76 00 65 00 64 00 73 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 41 00 44 00 73 00 42 00 75 00 69 00 6C 00 64 00 45 00 6E 00 75 00 6D 00 65 00 72 00 61 00 74 00 6F 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_96523_0 {
	meta:
		name = "ADsFreeEnumerator"
		size = 236
		refs = "000c @IntfAddRef 0014 ADsFreeEnumerator 002b LoadLibrary 0050 GetProcAddress 0077 FreeLibrary 007d @HandleFinally 0094 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 1F 00 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 76 4B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F0 89 F3 85 F6 74 09 8B 45 08 50 FF D3 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 59 59 5D C2 04 00 00 61 00 63 00 74 00 69 00 76 00 65 00 64 00 73 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 41 00 44 00 73 00 46 00 72 00 65 00 65 00 45 00 6E 00 75 00 6D 00 65 00 72 00 61 00 74 00 6F 00 72 00 00 00 }
	condition:
		$1
}

rule function_96524_0 {
	meta:
		name = "ADsEnumerateNext"
		size = 248
		refs = "000c @IntfAddRef 0014 ADsEnumerateNext 002b LoadLibrary 0050 GetProcAddress 0083 FreeLibrary 0089 @HandleFinally 00a0 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 FC 1F 00 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 76 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 8B F0 89 F3 85 F6 74 15 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF D3 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 59 59 5D C2 10 00 00 61 00 63 00 74 00 69 00 76 00 65 00 64 00 73 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 41 00 44 00 73 00 45 00 6E 00 75 00 6D 00 65 00 72 00 61 00 74 00 65 00 4E 00 65 00 78 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_96526_0 {
	meta:
		name = "TWebDirStruct.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TPersistent.Destroy 001a TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98375_0 {
	meta:
		name = "TSitePageModuleHelper.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TSiteModuleHelper.Destroy 001a TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96527_0 {
	meta:
		name = "TWebDirStruct.Assign"
		size = 249
		refs = "0009 _DV_TWebDirStruct 0010 TObject.InheritsFrom 0025 @UStrAsg 00f1 TPersistent.Assign"
	strings:
		$1 = { 56 57 55 8B FA 8B F0 8B 15 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 84 C0 0F 84 D0 00 00 00 8D 46 04 8B EF 8B 55 04 E8 ?? ?? ?? ?? 8D 46 08 8B 55 08 E8 ?? ?? ?? ?? 8D 46 0C 8B 55 0C E8 ?? ?? ?? ?? 8D 46 10 8B 55 10 E8 ?? ?? ?? ?? 8D 46 14 8B 55 14 E8 ?? ?? ?? ?? 8D 46 18 8B 55 18 E8 ?? ?? ?? ?? 0F B6 45 1C 88 46 1C 0F B6 45 1D 88 46 1D 0F B6 45 1E 88 46 1E 0F B6 45 1F 88 46 1F 8B 45 20 89 46 20 8D 46 24 8B 55 24 E8 ?? ?? ?? ?? 8D 46 28 8B 55 28 E8 ?? ?? ?? ?? 0F B6 45 2C 88 46 2C 0F B6 45 2D 88 46 2D 0F B6 45 2E 88 46 2E 0F B6 45 2F 88 46 2F 0F B6 45 30 88 46 30 0F B6 45 31 88 46 31 0F B6 45 32 88 46 32 0F B6 45 33 88 46 33 0F B6 45 34 88 46 34 8B 46 38 8B 10 FF 52 44 8B 55 38 8B 46 38 8B 08 FF 51 08 EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E C3 }
	condition:
		$1
}

rule function_96530_0 {
	meta:
		name = "HandleServerException"
		size = 472
		refs = "0025 HandleServerException 003a _Dn_Exception 003f @IsClass 004e @UStrLAsg 0058 @UStrClr 0066 TObject.ClassName 0086 sInternalServerError 008b LoadResString 0099 Format 00d9 @UStrCat3 00e1 @UStrToPWChar 0132 @UStrArrayClr 0145 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D CC 89 4D DC 89 4D D8 89 4D FC 89 4D F8 89 4D F4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 43 0C F4 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8D 45 F4 8B 56 04 E8 ?? ?? ?? ?? EB 08 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 DC 8B 06 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 8B 45 F4 89 45 E8 C6 45 EC 11 8D 45 E0 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 7D FC 8B F7 85 F6 74 05 83 EE 04 8B 36 8D 45 F8 50 89 75 D0 C6 45 D4 00 8D 55 D0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F0 50 8D 45 CC 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC E8 ?? ?? ?? ?? 50 6A 03 8B 43 08 50 FF 93 8C 00 00 00 8B C7 85 C0 74 05 83 E8 04 8B 00 89 45 F0 6A 00 8D 45 F0 50 8B 45 FC 50 8B 43 08 50 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 2F 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 3A 00 20 00 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 0D 00 0A 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 3A 00 20 00 25 00 64 00 0D 00 0A 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 35 00 30 00 30 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_96531_0 {
	meta:
		name = "TISAPIApplication.GetExtensionVersion"
		size = 149
		refs = "0010 TISAPIApplication.GetExtensionVersion 003a @LStrFromUStr 0042 @LStrToPChar 0051 StrLCopy 0065 @HandleAnyException 006c @DoneExcept 0081 @LStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 06 00 00 02 00 8D 45 FC 8B 53 5C B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 46 04 B9 00 01 00 00 E8 ?? ?? ?? ?? BB 01 00 00 00 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96532_0 {
	meta:
		name = "TISAPIApplication.HttpExtensionProc"
		size = 223
		refs = "0012 TISAPIApplication.HttpExtensionProc 0022 TISAPIApplication.NewRequest 003d TISAPIApplication.NewResponse 005b TWebRequestHandler.HandleRequest 0084 TObject.Free 008a @HandleFinally 00b8 @HandleAnyException 00bd ExceptObject 00c5 HandleServerException 00d1 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F0 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 04 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 1E E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? C7 45 F8 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96533_0 {
	meta:
		name = "TISAPIApplication.NewRequest"
		size = 8
	strings:
		$1 = { 8B 40 60 8B 08 FF 11 C3 }
	condition:
		$1
}

rule function_96534_0 {
	meta:
		name = "TISAPIApplication.NewResponse"
		size = 9
	strings:
		$1 = { 8B 40 60 8B 08 FF 51 04 C3 }
	condition:
		$1
}

rule function_96535_0 {
	meta:
		name = "TISAPIApplication.TerminateExtension"
		size = 19
	strings:
		$1 = { 53 83 78 64 00 74 05 8B D8 FF 53 64 B8 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_96536_0 {
	meta:
		name = "GetExtensionVersion"
		size = 33
		refs = "0004 Application 000c _DV_TISAPIApplication 0011 @AsClass 0019 TISAPIApplication.GetExtensionVersion"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_96538_0 {
	meta:
		name = "TerminateExtension"
		size = 33
		refs = "0004 Application 000c _DV_TISAPIApplication 0011 @AsClass 0019 TISAPIApplication.TerminateExtension"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_96537_0 {
	meta:
		name = "HttpExtensionProc"
		size = 79
		refs = "000a DispatchThread 0032 Application 003a _DV_TISAPIApplication 003f @AsClass 0046 TISAPIApplication.HttpExtensionProc"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 66 83 3D ?? ?? ?? ?? 00 74 20 8B D3 8B 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 84 C0 74 07 B8 03 00 00 00 EB 20 B8 04 00 00 00 EB 19 A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_96541_0 {
	meta:
		name = "GetISAPIFileName"
		size = 76
		refs = "0006 HInstance 000b GetModuleName 0012 GetISAPIFileName 0017 Pos 002b @UStrDelete"
	strings:
		$1 = { 53 8B D8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 75 11 8B C3 B9 04 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 5C 00 5C 00 3F 00 5C 00 00 00 00 00 }
	condition:
		$1
}

rule function_96542_0 {
	meta:
		name = "TISAPIApplication.Create"
		size = 153
		refs = "000f @ClassCreate 001b TISAPIApplication.Create 002a TWebApplication.Create 0032 GetISAPIFileName 003a FWebApplicationFileName 003f @UStrAsg 0046 _DV_TISAPIFactory 004b TISAPIFactory.Create 0053 ApplicationHandleException 005c TISAPIApplication.ISAPIHandleException 0071 @UStrClr 0077 @HandleFinally 0084 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 60 A1 ?? ?? ?? ?? 89 70 04 C7 00 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96543_0 {
	meta:
		name = "TISAPIApplication.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 001d TObject.Free 0028 TWebApplication.Destroy 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 60 00 74 10 8D 46 60 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96549_0 {
	meta:
		name = "TISAPIRequest.Create"
		size = 56
		refs = "000a @ClassCreate 001a TWebRequest.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 14 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98511_0 {
	meta:
		name = "TScriptIncludeFiles.Create"
		size = 56
		refs = "000a @ClassCreate 001a TObjectList.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 14 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98505_0 {
	meta:
		name = "TScriptItems.Create"
		size = 56
		refs = "000a @ClassCreate 001a TObjectList.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 14 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96550_0 {
	meta:
		name = "TISAPIRequest.GetFieldByName"
		size = 248
		refs = "0023 TISAPIRequest.GetFieldByName 0042 @LStrToPChar 0071 @LStrCat3 00ad @LStrFromPCharLen 00b7 @LStrClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 04 F0 FF FF 50 83 C4 F4 53 56 57 33 DB 89 9D F4 EF FF FF 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F8 00 10 00 00 8D 45 F8 50 8D 85 F8 EF FF FF 50 8B C6 E8 ?? ?? ?? ?? 50 8B 7B 14 8B 47 08 50 FF 97 80 00 00 00 85 C0 75 3D 8D 45 F8 50 8D 85 F8 EF FF FF 50 8D 85 F4 EF FF FF 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 F4 EF FF FF E8 ?? ?? ?? ?? 50 8B 43 14 8B 40 08 50 8B 43 14 FF 90 80 00 00 00 85 C0 74 1E 83 7D F8 00 76 03 FF 4D F8 6A 00 8D 95 F8 EF FF FF 8B 45 FC 8B 4D F8 E8 ?? ?? ?? ?? EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 EF FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 00 00 E4 04 01 00 FF FF FF FF 05 00 00 00 48 54 54 50 5F 00 00 00 }
	condition:
		$1
}

rule function_96551_0 {
	meta:
		name = "TISAPIRequest.GetStringVariable"
		size = 242
		refs = "0017 TISAPIRequest.GetStringVariable 006d @LStrFromPChar 00b4 TISAPIRequest.GetHost 00bf ServerVariables 00e1 @LStrFromPCharLen 00ea @LStrClr"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C6 83 F8 1C 0F 87 D3 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 06 06 02 03 04 06 06 06 06 05 06 06 06 06 06 06 06 06 06 06 06 06 06 06 07 06 06 06 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C7 8B 53 14 8B 52 60 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 7B 8B C7 8B 53 14 8B 52 64 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 67 8B C7 8B 53 14 8B 52 68 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 53 8B C7 8B 53 14 8B 52 6C B9 00 00 00 00 E8 ?? ?? ?? ?? EB 3F 8B D7 8B C3 E8 ?? ?? ?? ?? EB 34 8B CF 8B 14 B5 ?? ?? ?? ?? 8B C3 8B 18 FF 53 34 EB 22 8B 43 14 8B 50 74 85 D2 76 18 6A 00 8B CA 8B D7 8B 40 78 92 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96552_0 {
	meta:
		name = "TISAPIRequest.GetRawPathInfo"
		size = 280
		refs = "0015 TISAPIRequest.GetRawPathInfo 0044 Pos 006a @LStrCopy 009d @LStrDelete 00b2 @LStrFromPChar 00cc @LStrArrayClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 34 8D 4D F8 BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 34 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 55 8B 7D F8 85 FF 74 05 83 EF 04 8B 3F 8B 45 F4 50 8D 14 37 B9 FF FF FF 7F 8B 45 FC E8 ?? ?? ?? ?? 8B 43 14 8B 40 64 85 C0 74 3E 80 38 00 74 39 8B 55 F4 8B 12 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 7E 24 8B 45 F4 B9 FF FF FF 7F 8B D6 E8 ?? ?? ?? ?? EB 13 8B 45 F4 8B 53 14 8B 52 68 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 E4 04 01 00 FF FF FF FF 08 00 00 00 48 54 54 50 5F 55 52 4C 00 00 00 00 E4 04 01 00 FF FF FF FF 03 00 00 00 55 52 4C 00 E4 04 01 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_96553_0 {
	meta:
		name = "TISAPIRequest.GetHost"
		size = 92
		refs = "0009 TISAPIRequest.GetHost 001c Pos 002d @LStrDelete"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B CB BA ?? ?? ?? ?? 8B C6 8B 30 FF 56 34 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0D 8B D3 B9 FF FF FF 7F 92 E8 ?? ?? ?? ?? 5E 5B C3 E4 04 01 00 FF FF FF FF 09 00 00 00 48 54 54 50 5F 48 4F 53 54 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_96555_0 {
	meta:
		name = "TISAPIRequest.GetIntegerVariable"
		size = 116
		refs = "0011 TISAPIRequest.GetIntegerVariable 002e @UStrFromLStr 003c StrToInt 0058 @LStrClr 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 04 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 0C 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 03 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96556_0 {
	meta:
		name = "TISAPIRequest.ReadClient"
		size = 45
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 89 0C 24 54 57 8B 73 14 8B 46 08 50 FF 96 88 00 00 00 85 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96558_0 {
	meta:
		name = "TISAPIRequest.TranslateURI"
		size = 190
		refs = "001e TISAPIRequest.TranslateURI 0036 @LStrFromUStr 0041 @LStrToPChar 004e StrCopy 008a @UStrFromArray 0093 @UStrClr 00ab @LStrClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F8 FB FF FF 53 56 57 33 DB 89 9D F8 FB FF FF 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 85 F8 FB FF FF 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 F8 FB FF FF E8 ?? ?? ?? ?? 8B D0 8D 85 FC FB FF FF E8 ?? ?? ?? ?? C7 45 FC 00 04 00 00 6A 00 8D 45 FC 50 8D 85 FC FB FF FF 50 68 E9 03 00 00 8B 73 14 8B 46 08 50 FF 96 8C 00 00 00 85 C0 74 14 8B C7 8D 95 FC FB FF FF B9 00 04 00 00 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F8 FB FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96559_0 {
	meta:
		name = "TISAPIRequest.WriteClient"
		size = 51
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 89 0C 24 6A 00 8D 44 24 04 50 57 8B 73 14 8B 46 08 50 FF 96 84 00 00 00 85 C0 75 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96561_0 {
	meta:
		name = "TISAPIRequest.WriteHeaders"
		size = 51
		refs = "0019 @LStrToPChar"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B D8 8B 73 14 89 56 0C 8B 45 08 50 6A 00 8B C7 E8 ?? ?? ?? ?? 50 6A 03 8B 46 08 50 FF 96 8C 00 00 00 B0 01 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_96565_0 {
	meta:
		name = "TISAPIResponse.GetDateVariable"
		size = 44
	strings:
		$1 = { 83 C4 F8 85 D2 7C 16 83 FA 02 7F 11 8B 4C D0 50 89 0C 24 8B 4C D0 54 89 4C 24 04 EB 09 33 C0 89 04 24 89 44 24 04 DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_96566_0 {
	meta:
		name = "TISAPIResponse.GetIntegerVariable"
		size = 17
	strings:
		$1 = { 85 D2 7C 09 85 D2 7F 05 8B 44 90 4C C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_96567_0 {
	meta:
		name = "TISAPIResponse.GetLogMessage"
		size = 30
		refs = "0017 @UStrFromArray"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 8B 52 14 83 C2 10 B9 50 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96569_0 {
	meta:
		name = "TISAPIResponse.GetStringVariable"
		size = 33
		refs = "0019 @LStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 85 DB 7C 10 83 FB 0B 7F 0B 8B C7 8B 54 9E 1C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96573_0 {
	meta:
		name = "TISAPIResponse.SetIntegerVariable"
		size = 19
	strings:
		$1 = { 85 D2 7C 0E 85 D2 7F 0A 3B 4C 90 4C 74 04 89 4C 90 4C C3 }
	condition:
		$1
}

rule function_96574_0 {
	meta:
		name = "TISAPIResponse.SetLogMessage"
		size = 96
		refs = "000f TISAPIResponse.SetLogMessage 0024 @LStrFromUStr 003a StrPLCopy 004f @LStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 10 8B 40 14 83 C0 10 B9 4F 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96579_0 {
	meta:
		name = "TISAPIResponse.SendResponse"
		size = 1920
		refs = "0019 TISAPIResponse.SendResponse 0094 Format 00a3 @UStrLAsg 00bf AddHeaderItem 00f9 TCookieCollection.GetCookie 0101 TCookie.GetHeaderValue 0178 CurrencyString 0180 FormatDateTime 01a0 DayOfWeekStr 01c5 MonthStr 02d2 TWebResponse.FormatAuthenticate 02ea TWebResponse.AddCustomHeaders 0372 IntToStr 0390 @UStrCat 03a3 @LStrFromUStr 042f @LStrArrayClr 043a @UStrClr 0457 @UStrArrayClr 0484 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 12 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D D4 BA 01 00 00 00 8B 43 10 8B 30 FF 56 04 83 7D D4 00 0F 84 9B 03 00 00 8D 4D D0 BA 01 00 00 00 8B C3 8B 30 FF 16 83 7D D0 00 74 49 8B C3 8B 10 FF 52 24 85 C0 7E 3E 8D 45 F8 50 8B C3 8B 10 FF 52 24 89 45 C0 C6 45 C4 00 8D 4D BC BA 01 00 00 00 8B C3 8B 30 FF 16 8B 45 BC 89 45 C8 C6 45 CC 0B 8D 55 C0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 55 8D 4D B8 BA 06 00 00 00 8B C3 8B 30 FF 16 8B 45 B8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D B4 BA 05 00 00 00 8B C3 8B 30 FF 16 8B 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 43 0C 8B 40 08 8B 70 08 4E 85 F6 7C 28 46 33 FF 55 8B D7 8B 43 0C E8 ?? ?? ?? ?? 8D 55 B0 E8 ?? ?? ?? ?? 8B 45 B0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 47 4E 75 DB 55 8D 4D AC BA 0A 00 00 00 8B C3 8B 30 FF 16 8B 45 AC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 BA 01 00 00 00 8B C3 8B 08 FF 51 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 86 A1 00 00 00 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 01 00 00 00 8B C3 8B 08 FF 51 08 DD 5D E0 9B FF 75 E4 FF 75 E0 8D 4D F0 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 55 8D 45 A8 50 BA 01 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 45 A4 E8 ?? ?? ?? ?? 8B 45 A4 89 45 C0 C6 45 C4 11 BA 01 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 45 A0 E8 ?? ?? ?? ?? 8B 45 A0 89 45 C8 C6 45 CC 11 8D 55 C0 B9 01 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 A8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 BA 02 00 00 00 8B C3 8B 08 FF 51 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 86 A1 00 00 00 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BA 02 00 00 00 8B C3 8B 08 FF 51 08 DD 5D D8 9B FF 75 DC FF 75 D8 8D 4D E8 8B 15 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 55 8D 45 9C 50 BA 02 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 45 98 E8 ?? ?? ?? ?? 8B 45 98 89 45 C0 C6 45 C4 11 BA 02 00 00 00 8B C3 8B 08 FF 51 08 83 C4 F8 DD 1C 24 9B 8D 45 94 E8 ?? ?? ?? ?? 8B 45 94 89 45 C8 C6 45 CC 11 8D 55 C0 B9 01 00 00 00 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 9C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D 90 BA 0B 00 00 00 8B C3 8B 30 FF 16 8B 45 90 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 55 8C 8B C3 E8 ?? ?? ?? ?? 8B 45 8C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 55 8D 4D 88 BA 09 00 00 00 8B C3 8B 30 FF 16 8B 45 88 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D 84 BA 07 00 00 00 8B C3 8B 30 FF 16 8B 45 84 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 55 8D 4D 80 BA 08 00 00 00 8B C3 8B 30 FF 16 8B 45 80 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 95 7C FF FF FF 8B C3 8B 08 FF 51 18 83 BD 7C FF FF FF 00 75 06 83 7B 08 00 74 26 55 33 D2 8B C3 8B 08 FF 51 10 8D 95 78 FF FF FF E8 ?? ?? ?? ?? 8B 85 78 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 74 FF FF FF 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 50 8B C3 8B 10 FF 52 24 50 8D 85 70 FF FF FF 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 8D 70 FF FF FF 8B 43 10 5A 8B 30 FF 56 30 8B 43 08 85 C0 75 1D 8D 95 6C FF FF FF 8B C3 8B 08 FF 51 18 8B 95 6C FF FF FF 8B 43 10 8B 08 FF 51 2C EB 16 85 C0 74 12 8B D0 8B C3 8B 08 FF 51 3C 33 D2 8B C3 8B 08 FF 51 20 C6 43 6C 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 6C FF FF FF BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 94 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 99 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 64 00 20 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 32 00 30 00 30 00 20 00 4F 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 41 00 6C 00 6C 00 6F 00 77 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 53 00 65 00 74 00 2D 00 43 00 6F 00 6F 00 6B 00 69 00 65 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 65 00 72 00 69 00 76 00 65 00 64 00 2D 00 46 00 72 00 6F 00 6D 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 22 00 25 00 73 00 22 00 2C 00 20 00 64 00 64 00 20 00 22 00 25 00 73 00 22 00 20 00 79 00 79 00 79 00 79 00 20 00 68 00 68 00 3A 00 6E 00 6E 00 3A 00 73 00 73 00 20 00 22 00 47 00 4D 00 54 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 45 00 78 00 70 00 69 00 72 00 65 00 73 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 4C 00 61 00 73 00 74 00 2D 00 4D 00 6F 00 64 00 69 00 66 00 69 00 65 00 64 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 54 00 69 00 74 00 6C 00 65 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 57 00 57 00 57 00 2D 00 41 00 75 00 74 00 68 00 65 00 6E 00 74 00 69 00 63 00 61 00 74 00 65 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 54 00 79 00 70 00 65 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 2D 00 4C 00 65 00 6E 00 67 00 74 00 68 00 3A 00 20 00 25 00 73 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_96580_0 {
	meta:
		name = "TISAPIResponse.SendRedirect"
		size = 47
		refs = "0012 @LStrToPChar"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 73 10 6A 00 6A 00 8B C5 E8 ?? ?? ?? ?? 50 6A 01 8B 7E 14 8B 47 08 50 FF 97 8C 00 00 00 C6 43 6C 01 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96584_0 {
	meta:
		name = "WorkerFunction"
		size = 229
		refs = "0015 WorkerFunction 0034 @TryFinallyExit 004d ImpersonateLoggedOnUser 0055 HttpExtensionProc 0088 CloseHandle 0095 @FreeMem 00a0 @HandleFinally 00b1 @HandleAnyException 00b6 @DoneExcept 00d0 GetQueuedCompletionStatus"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC E9 A9 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F0 FF 75 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 97 00 00 00 8B 5D F8 8B 43 04 50 E8 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 04 8B 33 8B 46 08 50 FF 96 8C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F8 00 74 1E 8B 45 F8 8B 40 04 50 E8 ?? ?? ?? ?? BA 08 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 89 45 F8 C3 E9 ?? ?? ?? ?? EB D4 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 8D 45 F0 50 8D 45 F8 50 8D 45 F4 50 8B 45 FC 8B 40 08 50 E8 ?? ?? ?? ?? 85 C0 0F 85 35 FF FF FF 33 C0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96585_0 {
	meta:
		name = "COMWorkerFunction"
		size = 83
		refs = "0008 CoInitFlags 0012 CoInitializeEx 001e COMWorkerFunction 002b WorkerFunction 0040 CoUninitialize 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 A1 ?? ?? ?? ?? 8B 00 50 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F3 8B 45 FC 5B 59 5D C3 }
	condition:
		$1
}

rule function_96586_0 {
	meta:
		name = "TISAPIThreadPool.Create"
		size = 89
		refs = "000e @ClassCreate 001e TObject.Create 002f _Dn_TCriticalSection 0034 TCriticalSection.Create 0044 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 0C C7 46 08 FF FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96587_0 {
	meta:
		name = "TISAPIThreadPool.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 0016 TObject.Free 0021 TObject.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 04 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96588_0 {
	meta:
		name = "TISAPIThreadPool.Initialize"
		size = 214
		refs = "001a TISAPIThreadPool.Initialize 002e @TryFinallyExit 0040 CreateIoCompletionPort 0064 @HandleFinally 006d NumberOfThreads 007f :TISAPIThreadPool.:1 0084 @DynArraySetLength 008c WorkerFunction 009a COMWorkerFunction 00be BeginThread"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC 8B 40 04 8B 10 FF 12 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 08 FF 74 0A E8 ?? ?? ?? ?? E9 98 00 00 00 6A 00 6A 00 6A 00 6A FF E8 ?? ?? ?? ?? 8B 55 FC 89 42 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB ED 0F B6 05 ?? ?? ?? ?? 50 8B 45 FC 83 C0 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 BF ?? ?? ?? ?? 8B 45 FC 80 78 0C 00 74 05 BF ?? ?? ?? ?? 0F B6 1D ?? ?? ?? ?? 4B 85 DB 7C 25 43 33 F6 8B 45 FC 50 6A 00 8D 45 F8 50 8B CF 33 D2 33 C0 E8 ?? ?? ?? ?? 8B 55 FC 8B 52 18 89 04 B2 46 4B 75 DE 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96589_0 {
	meta:
		name = "TISAPIThreadPool.ShutDown"
		size = 141
		refs = "000e NumberOfThreads 0023 PostQueuedCompletionStatus 003e WaitForMultipleObjects 0047 CloseHandle 007d :TISAPIThreadPool.:1 0082 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B F0 83 7E 08 FF 74 7E 0F B6 1D ?? ?? ?? ?? 4B 85 DB 7C 13 43 6A FF 6A 00 6A 00 8B 46 08 50 E8 ?? ?? ?? ?? 4B 75 EE 68 C0 D4 01 00 6A FF 8B 46 18 50 0F B6 05 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 46 08 50 E8 ?? ?? ?? ?? C7 46 08 FF FF FF FF 0F B6 1D ?? ?? ?? ?? 4B 85 DB 7C 13 43 33 FF 8B 46 18 8B 04 B8 50 E8 ?? ?? ?? ?? 47 4B 75 F0 6A 00 8D 46 18 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96590_0 {
	meta:
		name = "TISAPIThreadPool.PushBack"
		size = 75
		refs = "0015 @GetMem 0027 GetCurrentThread 002d OpenThreadToken 003d PostQueuedCompletionStatus"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 33 C0 83 7B 08 FF 74 38 B8 08 00 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 04 50 6A 00 68 FF 01 0F 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 3E 6A 00 56 6A 00 8B 43 08 50 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96594_0 {
	meta:
		name = "TISAPIThreadPool.SetInitCOM"
		size = 15
	strings:
		$1 = { 83 78 08 FF 74 08 3A 50 0C 74 03 88 50 0C C3 }
	condition:
		$1
}

rule function_96595_0 {
	meta:
		name = "GetExtensionVersion"
		size = 61
		refs = "0004 Win32Platform 000f IsNetscape 0018 ThreadPool 0024 ThreadPoolClass 0035 GetExtensionVersion"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 83 38 02 75 23 80 3D ?? ?? ?? ?? 00 75 1A 83 3D ?? ?? ?? ?? 00 75 11 33 C9 B2 01 A1 ?? ?? ?? ?? FF 50 08 A3 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_96596_0 {
	meta:
		name = "HttpExtensionProc"
		size = 145
		refs = "000a Win32Platform 0015 IsNetscape 001e ThreadPool 0029 HttpExtensionProc 0058 TISAPIThreadPool.PushBack 0070 @HandleAnyException 007a @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 08 A1 ?? ?? ?? ?? 83 38 02 75 6D 80 3D ?? ?? ?? ?? 00 75 64 83 3D ?? ?? ?? ?? 00 74 5B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 40 08 F7 D0 83 F8 FF 74 09 A1 ?? ?? ?? ?? 8B 10 FF 12 BB 04 00 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 BB 03 00 00 00 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? BB 04 00 00 00 E8 ?? ?? ?? ?? EB 08 56 E8 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_96597_0 {
	meta:
		name = "TerminateExtension"
		size = 109
		refs = "0008 Win32Platform 0013 IsNetscape 001c ThreadPool 0027 TerminateExtension 0052 TObject.Free 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 15 ?? ?? ?? ?? 83 3A 02 75 52 80 3D ?? ?? ?? ?? 00 75 49 83 3D ?? ?? ?? ?? 00 74 40 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E6 83 C8 FF EB 06 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_96598_0 {
	meta:
		name = "CheckForNetscapeServer"
		size = 188
		refs = "000d CheckForNetscapeServer 0020 @UStrSetLength 0027 GetModuleHandle 003e @UStrToPWChar 0045 GetModuleFileName 005a ExtractFileName 0067 CompareText 0086 @UStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC BA 00 10 00 00 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 8B F0 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 53 8B 45 FC E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B D0 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 68 00 74 00 74 00 70 00 64 00 2E 00 65 00 78 00 65 00 00 00 }
	condition:
		$1
}

rule function_96600_0 {
	meta:
		name = "Web.Win.ISAPIThreadPool"
		size = 37
		refs = "0002 _DV_2 000a CheckForNetscapeServer 000f IsNetscape 0014 _DV_TISAPIThreadPool 0019 ThreadPoolClass 001f NumberOfThreads"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 1B E8 ?? ?? ?? ?? A2 ?? ?? ?? ?? A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 19 C3 }
	condition:
		$1
}

rule function_96601_0 {
	meta:
		name = "TBaseSocket.Create"
		size = 137
		refs = "000a @ClassCreate 0017 TComponent.Create 006b RPR 0076 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 38 00 C6 46 39 00 33 C0 89 46 3C 33 C0 89 46 40 C6 46 44 00 66 C7 46 46 00 00 C7 46 48 FF FF FF FF C6 46 4C 00 33 C0 89 46 50 89 46 54 33 C0 89 46 58 89 46 5C 33 C0 89 46 60 89 46 64 33 C0 89 46 68 89 46 6C 33 C0 89 46 70 89 46 74 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96602_0 {
	meta:
		name = "TBaseSocket.Destroy"
		size = 43
		refs = "0003 @BeforeDestruction 0019 TComponent.Destroy 0024 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 50 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96603_0 {
	meta:
		name = "TBaseSocket.Open"
		size = 132
		refs = "0017 Xlat_SocketType 0023 Xlat_Domain 0029 socket 005e ioctlsocket 007c @CallDynaInst"
	strings:
		$1 = { 53 56 51 8B D8 80 7B 38 00 75 75 0F B7 43 46 50 0F B6 43 4C 8B 04 85 ?? ?? ?? ?? 50 0F B6 43 44 8B 04 85 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 48 8B F0 89 73 48 46 0F 95 C0 88 43 38 84 C0 74 3A 80 7B 39 01 75 1F C7 04 24 01 00 00 00 54 68 7E 66 04 80 8B 43 48 50 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 48 33 C0 89 43 3C 33 C0 89 43 40 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_96604_0 {
	meta:
		name = "TBaseSocket.Close"
		size = 53
		refs = "000f closesocket 002e @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 80 7B 38 00 74 28 8B 43 48 50 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 48 C7 43 48 FF FF FF FF C6 43 38 00 8B C3 66 BE EF FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96607_0 {
	meta:
		name = "TBaseSocket.PeekBuf"
		size = 35
		refs = "0012 recv"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A 02 57 56 8B 43 48 50 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 48 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96608_0 {
	meta:
		name = "TBaseSocket.ReceiveBuf"
		size = 69
		refs = "0018 recv"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 56 8B 43 48 50 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 48 89 45 FC 83 7D FC FF 74 0C 8D 4D FC 8B D6 8B C3 8B 18 FF 53 40 8B 45 FC 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_96609_0 {
	meta:
		name = "TBaseSocket.Receiveln"
		size = 273
		refs = "0020 TBaseSocket.Receiveln 002e @LStrClr 0042 TBaseSocket.PeekBuf 005c @LStrToPChar 0069 StrPos 0098 TBaseSocket.ReceiveBuf 00ca @LStrFromArray 00d8 @LStrCat 0104 @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 F4 FD FF FF 53 56 57 33 DB 89 9D F4 FD FF FF 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 33 F6 8D 95 F8 FD FF FF B9 FF 01 00 00 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E 8F 00 00 00 C6 84 1D F8 FD FF FF 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 85 F8 FD FF FF E8 ?? ?? ?? ?? 8B F0 85 F6 74 18 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 95 F8 FD FF FF 8B DE 2B DA 03 D8 6A 00 8D 95 F8 FD FF FF 8B CB 8B C7 E8 ?? ?? ?? ?? 85 F6 74 0E 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 2B D8 C6 84 1D F8 FD FF FF 00 8D 85 F4 FD FF FF 8D 95 F8 FD FF FF B9 00 02 00 00 6A 00 E8 ?? ?? ?? ?? 8B 95 F4 FD FF FF 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 4B 7C 08 85 F6 0F 84 4A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 F4 FD FF FF E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96610_0 {
	meta:
		name = "TBaseSocket.Select"
		size = 397
		refs = "003a FD_ZERO 004b FD_SET 00e6 TBaseSocket.Select 0103 select 0123 @HandleAnyException 012a @DoneExcept 0141 FD_ISSET"
	strings:
		$1 = { 55 8B EC 81 C4 D8 FC FF FF 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 7D 08 33 DB 8B 45 FC 80 78 38 00 0F 84 5B 01 00 00 83 7D F8 00 74 24 8D 9D E0 FE FF FF 8D 85 E0 FE FF FF E8 ?? ?? ?? ?? 8D 95 E0 FE FF FF 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? EB 02 33 DB 83 7D F4 00 74 24 8D B5 DC FD FF FF 8D 85 DC FD FF FF E8 ?? ?? ?? ?? 8D 95 DC FD FF FF 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? EB 02 33 F6 83 7D 0C 00 74 27 8D 85 D8 FC FF FF 89 45 F0 8D 85 D8 FC FF FF E8 ?? ?? ?? ?? 8D 95 D8 FC FF FF 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? EB 05 33 C0 89 45 F0 85 FF 7C 28 8B C7 B9 E8 03 00 00 99 F7 F9 89 45 E8 8B C7 B9 E8 03 00 00 99 F7 F9 69 C2 E8 03 00 00 89 45 EC 8D 45 E8 89 45 E4 EB 05 33 C0 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 50 8B 45 F0 50 56 53 8B 45 FC 8B 40 48 40 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 48 85 C0 0F 9F C0 8B D8 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 83 7D F8 00 74 16 8D 95 E0 FE FF FF 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? 8B 55 F8 88 02 83 7D F4 00 74 16 8D 95 DC FD FF FF 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? 8B 55 F4 88 02 83 7D 0C 00 74 16 8D 95 D8 FC FF FF 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? 8B 55 0C 88 02 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_96611_0 {
	meta:
		name = "TBaseSocket.SendBuf"
		size = 69
		refs = "0028 send"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8D 4D FC 8B D6 8B C3 8B 38 FF 57 44 8B 45 08 50 8B 45 FC 50 56 8B 43 48 50 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 48 83 F8 FF 74 03 01 43 40 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_96612_0 {
	meta:
		name = "TBaseSocket.Sendln"
		size = 116
		refs = "0011 @LStrAddRef 0019 TBaseSocket.Sendln 0029 @LStrCat 003f @LStrToPChar 004a TBaseSocket.SendBuf 0061 @LStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B CB 8B C6 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96613_0 {
	meta:
		name = "TBaseSocket.SendStream"
		size = 75
		refs = "0037 TBaseSocket.SendBuf"
	strings:
		$1 = { 53 56 57 81 C4 FC FD FF FF 8B FA 8B F0 33 C0 89 04 24 85 FF 74 28 8D 54 24 04 B9 00 02 00 00 8B C7 8B 18 FF 53 0C 8B D8 85 DB 74 12 6A 00 8D 54 24 08 8B CB 8B C6 E8 ?? ?? ?? ?? 40 75 D8 8B 04 24 81 C4 04 02 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96614_0 {
	meta:
		name = "TBaseSocket.WaitForData"
		size = 78
		refs = "0019 TBaseSocket.Select 003a TBaseSocket.PeekBuf"
	strings:
		$1 = { 53 56 57 51 8B FA 8B F0 33 DB 8D 44 24 01 50 57 8D 54 24 08 33 C9 8B C6 E8 ?? ?? ?? ?? 84 C0 74 26 80 3C 24 00 74 1A 80 7C 24 01 00 75 13 8D 54 24 02 B9 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 48 74 04 33 DB EB 02 B3 01 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96615_0 {
	meta:
		name = "TBaseSocket.DoHandleError"
		size = 27
		refs = "0004 WSAGetLastError"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 66 83 7B 62 00 74 0A 8B C8 8B D3 8B 43 64 FF 53 60 5B C3 }
	condition:
		$1
}

rule function_96616_0 {
	meta:
		name = "TBaseSocket.DoCreateHandle"
		size = 26
	strings:
		$1 = { 53 80 78 38 00 74 11 66 83 78 52 00 74 0A 8B D8 8B D0 8B 43 54 FF 53 50 5B C3 }
	condition:
		$1
}

rule function_96618_0 {
	meta:
		name = "TBaseSocket.DoReceive"
		size = 32
	strings:
		$1 = { 53 56 8B F1 8B D8 66 83 7B 6A 00 74 0B 56 8B CA 8B D3 8B 43 6C FF 53 68 8B 06 01 43 3C 5E 5B C3 }
	condition:
		$1
}

rule function_96620_0 {
	meta:
		name = "TBaseSocket.ErrorCheck"
		size = 21
		refs = "000c @CallDynaInst"
	strings:
		$1 = { 56 57 8B FA 42 75 09 66 BE EE FF E8 ?? ?? ?? ?? 8B C7 5F 5E C3 }
	condition:
		$1
}

rule function_96621_0 {
	meta:
		name = "TBaseSocket.Loaded"
		size = 35
		refs = "0006 TComponent.Loaded"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 38 00 74 11 F6 43 1C 10 75 0B C6 43 38 00 8B C3 8B 10 FF 52 4C 5B C3 }
	condition:
		$1
}

rule function_96624_0 {
	meta:
		name = "TBaseSocket.SetActive"
		size = 47
	strings:
		$1 = { 56 8B F0 3A 56 38 74 25 F6 46 1C 01 75 1C F6 46 1C 10 75 16 84 D2 74 09 8B C6 8B 10 FF 52 4C EB 0C 8B C6 8B 10 FF 52 50 EB 03 88 56 38 5E C3 }
	condition:
		$1
}

rule function_96625_0 {
	meta:
		name = "TBaseSocket.SetDomain"
		size = 36
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 44 74 16 F6 46 1C 01 75 0D F6 46 1C 10 75 07 8B C6 8B 10 FF 52 50 88 5E 44 5E 5B C3 }
	condition:
		$1
}

rule function_96626_0 {
	meta:
		name = "TBaseSocket.SetSockType"
		size = 36
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 4C 74 16 F6 46 1C 10 75 0D F6 46 1C 01 75 07 8B C6 8B 10 FF 52 50 88 5E 4C 5E 5B C3 }
	condition:
		$1
}

rule function_96627_0 {
	meta:
		name = "TBaseSocket.SetProtocol"
		size = 38
	strings:
		$1 = { 53 56 8B F2 8B D8 66 3B 73 46 74 17 F6 43 1C 10 75 0D F6 43 1C 01 75 07 8B C3 8B 10 FF 52 50 66 89 73 46 5E 5B C3 }
	condition:
		$1
}

rule function_96628_0 {
	meta:
		name = "TBaseSocket.SetBlockMode"
		size = 36
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 39 74 16 F6 46 1C 10 75 0D F6 46 1C 01 75 07 8B C6 8B 10 FF 52 50 88 5E 39 5E 5B C3 }
	condition:
		$1
}

rule function_96629_0 {
	meta:
		name = "TIpSocket.Create"
		size = 101
		refs = "000a @ClassCreate 0017 TBaseSocket.Create 0029 @LStrClr 0052 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 44 02 66 C7 46 46 00 00 8D 46 78 E8 ?? ?? ?? ?? 8D 46 7C E8 ?? ?? ?? ?? 8D 86 80 00 00 00 E8 ?? ?? ?? ?? 8D 86 84 00 00 00 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96630_0 {
	meta:
		name = "TIpSocket.GetSocketAddr"
		size = 186
		refs = "001f @LStrAddRef 002f TIpSocket.GetSocketAddr 0047 TIpSocket.LookupHostAddr 0052 @LStrLAsg 005a @LStrToPChar 0060 inet_addr 006f TIpSocket.LookupPort 0075 htons 008e @LStrClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 06 02 00 8D 4D F0 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 04 33 C9 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 66 89 46 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_96631_0 {
	meta:
		name = "TIpSocket.LookupHostName"
		size = 80
		refs = "000d @LStrClr 0014 @LStrToPChar 001a inet_addr 0031 gethostbyaddr 0045 @LStrFromPChar"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F1 8B FA 8B C6 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 89 5C 24 04 43 74 22 6A 02 6A 10 8D 44 24 0C 50 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0E 8B C6 8B 13 B9 00 00 00 00 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96632_0 {
	meta:
		name = "TIpSocket.LookupHostAddr"
		size = 300
		refs = "0016 TIpSocket.LookupHostAddr 0023 @LStrClr 003b @LStrToPChar 0041 inet_addr 0051 @LStrAsg 0060 gethostbyname 00ac Format 00bb @LStrFromUStr 00de @UStrClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D FC 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 DB 0F 84 92 00 00 00 0F B6 03 04 D0 2C 0A 73 1F 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 40 0F 84 81 00 00 00 8B C6 8B D3 E8 ?? ?? ?? ?? EB 76 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 65 8B D8 8D 45 FC 50 8B 43 0C 8B 38 0F B6 07 89 45 DC C6 45 E0 00 0F B6 47 01 89 45 E4 C6 45 E8 00 0F B6 47 02 89 45 EC C6 45 F0 00 0F B6 47 03 89 45 F4 C6 45 F8 00 8D 55 DC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 25 00 64 00 2E 00 25 00 64 00 2E 00 25 00 64 00 2E 00 25 00 64 00 00 00 E4 04 01 00 FF FF FF FF 07 00 00 00 30 2E 30 2E 30 2E 30 00 }
	condition:
		$1
}

rule function_96633_0 {
	meta:
		name = "TIpSocket.LookupPort"
		size = 121
		refs = "0010 TIpSocket.LookupPort 0024 @LStrToPChar 002a getservbyname 0038 ntohs 0046 @UStrFromLStr 004e StrToInt 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 85 DB 74 34 57 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 0E 0F B7 40 08 50 E8 ?? ?? ?? ?? 8B F0 EB 14 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96634_0 {
	meta:
		name = "TIpSocket.LookupProtocol"
		size = 32
		refs = "0009 @LStrToPChar 000f getprotobyname"
	strings:
		$1 = { 53 56 8B F2 33 DB 8B C6 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 74 04 0F B7 58 08 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_96635_0 {
	meta:
		name = "TIpSocket.LocalDomainName"
		size = 140
		refs = "0011 TIpSocket.LocalDomainName 001e @LStrClr 0028 TIpSocket.LocalHostAddr 0035 TIpSocket.LookupHostName 003d @LStrToPChar 0047 StrPos 005c @LStrFromPChar 0076 @LStrArrayClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 0F 8B C6 8D 53 01 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 2E 00 00 00 }
	condition:
		$1
}

rule function_96636_0 {
	meta:
		name = "TIpSocket.LocalHostName"
		size = 72
		refs = "000f @LStrClr 001e gethostname 003b @LStrFromArray"
	strings:
		$1 = { 53 56 81 C4 00 FF FF FF 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 68 00 01 00 00 8D 44 24 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 48 85 C0 75 10 8B C6 8B D4 B9 00 01 00 00 6A 00 E8 ?? ?? ?? ?? 81 C4 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_96638_0 {
	meta:
		name = "TIpSocket.Bind"
		size = 63
		refs = "0018 TIpSocket.GetSocketAddr 0028 bind"
	strings:
		$1 = { 53 83 C4 F0 8B D8 33 C0 80 7B 38 00 74 2C 54 8B 4B 7C 8B 53 78 8B C3 E8 ?? ?? ?? ?? 6A 10 8D 44 24 04 50 8B 43 48 50 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 48 85 C0 0F 94 C0 83 C4 10 5B C3 }
	condition:
		$1
}

rule function_96639_0 {
	meta:
		name = "TIpSocket.ReceiveFrom"
		size = 77
		refs = "0020 recvfrom"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 50 8B 45 10 50 8B 45 08 50 57 56 8B 43 48 50 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 48 89 45 FC 83 7D FC FF 74 0C 8D 4D FC 8B D6 8B C3 8B 18 FF 53 40 8B 45 FC 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_96640_0 {
	meta:
		name = "TIpSocket.SendTo"
		size = 101
		refs = "003a sendto 0056 TBaseSocket.SetBytesSent"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B 75 0C 8D 7D EC A5 A5 A5 A5 89 4D FC 8B F2 8B D8 8D 4D FC 8B D6 8B C3 8B 38 FF 57 44 6A 10 8D 45 EC 50 8B 45 08 50 8B 45 FC 50 56 8B 43 48 50 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 48 8B F0 83 FE FF 74 0C 8B 53 40 03 D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_96641_0 {
	meta:
		name = "TIpSocket.SetLocalHost"
		size = 108
		refs = "000e @LStrAddRef 0016 TIpSocket.SetLocalHost 0027 @LStrEqual 0047 @LStrAsg 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 53 78 E8 ?? ?? ?? ?? 74 1E F6 43 1C 01 75 0D F6 43 1C 10 75 07 8B C3 8B 10 FF 52 50 8D 43 78 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_96642_0 {
	meta:
		name = "TIpSocket.SetLocalPort"
		size = 108
		refs = "000e @LStrAddRef 0016 TIpSocket.SetLocalPort 0027 @LStrEqual 0047 @LStrAsg 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 53 7C E8 ?? ?? ?? ?? 74 1E F6 43 1C 01 75 0D F6 43 1C 10 75 07 8B C3 8B 10 FF 52 50 8D 43 7C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_96643_0 {
	meta:
		name = "TIpSocket.SetRemoteHost"
		size = 114
		refs = "000e @LStrAddRef 0016 TIpSocket.SetRemoteHost 002a @LStrEqual 004d @LStrAsg 0062 @LStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 93 80 00 00 00 E8 ?? ?? ?? ?? 74 21 F6 43 1C 01 75 0D F6 43 1C 10 75 07 8B C3 8B 10 FF 52 50 8D 83 80 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_96644_0 {
	meta:
		name = "TIpSocket.SetRemotePort"
		size = 114
		refs = "000e @LStrAddRef 0016 TIpSocket.SetRemotePort 002a @LStrEqual 004d @LStrAsg 0062 @LStrClr 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 93 84 00 00 00 E8 ?? ?? ?? ?? 74 21 F6 43 1C 01 75 0D F6 43 1C 10 75 07 8B C3 8B 10 FF 52 50 8D 83 84 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_96645_0 {
	meta:
		name = "TCustomIpClient.Create"
		size = 88
		refs = "000a @ClassCreate 0017 TIpSocket.Create 0045 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 88 00 00 00 00 33 C0 89 86 90 00 00 00 89 86 94 00 00 00 33 C0 89 86 98 00 00 00 89 86 9C 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96646_0 {
	meta:
		name = "TCustomIpClient.Open"
		size = 102
		refs = "000a TBaseSocket.Open 002d TIpSocket.GetSocketAddr 003d connect"
	strings:
		$1 = { 53 56 83 C4 F0 8B F0 8B C6 E8 ?? ?? ?? ?? 80 7E 38 00 74 4C 80 BE 88 00 00 00 00 75 43 54 8B 8E 84 00 00 00 8B 96 80 00 00 00 8B C6 E8 ?? ?? ?? ?? 6A 10 8D 44 24 04 50 8B 46 48 50 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 48 85 C0 0F 94 C3 88 9E 88 00 00 00 84 DB 74 07 8B C6 8B 10 FF 52 54 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_96647_0 {
	meta:
		name = "TCustomIpClient.Close"
		size = 55
		refs = "0013 shutdown 0031 TBaseSocket.Close"
	strings:
		$1 = { 53 8B D8 80 BB 88 00 00 00 00 74 22 6A 02 8B 43 48 50 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 48 C6 83 88 00 00 00 00 8B C3 8B 10 FF 52 58 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96648_0 {
	meta:
		name = "TCustomIpClient.Connect"
		size = 19
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 4C 0F B6 83 88 00 00 00 5B C3 }
	condition:
		$1
}

rule function_96653_0 {
	meta:
		name = "TRawSocket.Create"
		size = 63
		refs = "000a @ClassCreate 0017 TIpSocket.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 4C 02 66 C7 46 46 FF 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96654_0 {
	meta:
		name = "TUdpSocket.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TCustomIpClient.Create 0020 TBaseSocket.SetSockType 002b TBaseSocket.SetProtocol 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 66 BA 11 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96655_0 {
	meta:
		name = "TClientSocketThread.Create"
		size = 66
		refs = "000b @ClassCreate 001c TThread.Create 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B1 01 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 0F 01 89 77 44 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96657_0 {
	meta:
		name = "TClientSocketThread.Execute"
		size = 177
		refs = "0009 @GetTls 0012 ThreadObject 0036 _DV_TCustomIpClient 003b TCustomIpClient.Create 0049 TClientSocketThread.Execute 0063 TCustomTcpServer.Accept 007b TObject.Free 0089 @HandleFinally 009c TThread.Suspend"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC E8 ?? ?? ?? ?? 8B 55 FC 89 90 ?? ?? ?? ?? E9 85 00 00 00 8B 45 FC 8B 58 44 85 DB 74 6A 80 7B 0D 00 75 64 83 7B 44 00 74 5E 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 40 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8D 50 40 8B 45 FC 8B 40 44 8B 40 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 40 C3 E9 ?? ?? ?? ?? EB E5 8B 45 FC 80 78 0D 00 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 80 78 0D 00 0F 84 6E FF FF FF 5B 59 5D C3 }
	condition:
		$1
}

rule function_96658_0 {
	meta:
		name = "TClientSocketThread.ExecuteSyncProc"
		size = 13
		refs = "0008 TThread.Synchronize"
	strings:
		$1 = { 50 8B 10 8B 52 0C 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96660_0 {
	meta:
		name = "TServerSocketThread.Create"
		size = 88
		refs = "000b @ClassCreate 001c TThread.Create 0031 _Dn_TList 0036 TObject.Create 0044 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B1 01 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 0F 01 89 77 44 C7 47 48 0A 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 4C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96661_0 {
	meta:
		name = "TServerSocketThread.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000e TServerSocketThread.ClearThreadPool 001f TObject.Free 002a TThread.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 4C 83 78 08 00 7F F7 8B 46 4C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96662_0 {
	meta:
		name = "TServerSocketThread.ClearThreadPool"
		size = 59
		refs = "0017 TList.Get 0020 TThread.Terminate 002d TThread.Resume"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 4C 8B 70 08 4E 83 FE 00 7C 26 8B 47 4C 8B D6 E8 ?? ?? ?? ?? 8B D8 8B C3 E8 ?? ?? ?? ?? 80 7B 0E 00 74 07 8B C3 E8 ?? ?? ?? ?? 4E 83 FE FF 75 DA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96663_0 {
	meta:
		name = "TServerSocketThread.Execute"
		size = 91
		refs = "000a TCustomTcpServer.WaitForConnection 001b TServerSocketThread.FetchClientSocketThread 0028 TServerSocketThread.AddClientSocketThread 0035 TThread.Resume 003c TThread.Sleep"
	strings:
		$1 = { 53 56 8B D8 EB 3A 8B 43 44 E8 ?? ?? ?? ?? 84 C0 74 2E 80 7B 0D 00 75 28 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 75 09 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 07 8B C6 E8 ?? ?? ?? ?? 33 C0 E8 ?? ?? ?? ?? 80 7B 0D 00 75 12 83 7B 44 00 74 0C 8B 43 44 80 B8 89 00 00 00 00 75 AE 5E 5B C3 }
	condition:
		$1
}

rule function_96665_0 {
	meta:
		name = "TServerSocketThread.AddClientSocketThread"
		size = 82
		refs = "0048 TList.Add"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 83 7B 44 00 74 3D 8B 43 4C 8B 40 08 3B 43 48 7D 32 66 83 7B 52 00 74 0A 8B CC 8B D3 8B 43 54 FF 53 50 83 3C 24 00 75 0A 8B C3 8B 10 FF 52 0C 89 04 24 83 3C 24 00 74 0B 8B 14 24 8B 43 4C E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_96667_0 {
	meta:
		name = "TServerSocketThread.FetchClientSocketThread"
		size = 76
		refs = "0031 TList.Get"
	strings:
		$1 = { 53 56 57 8B D8 33 C0 83 7B 44 00 74 3B 8B 53 4C 83 7A 08 00 7E 32 8B 7B 40 8B 43 40 40 8B 53 4C 8B 4A 08 99 F7 F9 8B F2 89 73 40 8B D6 8B 43 4C E8 ?? ?? ?? ?? 3B 7B 40 74 06 80 78 0E 00 74 D9 80 78 0E 00 75 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96668_0 {
	meta:
		name = "TServerSocketThread.RemoveClientSocketThread"
		size = 11
		refs = "0006 TList.RemoveItem"
	strings:
		$1 = { 8B 40 4C 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96669_0 {
	meta:
		name = "TCustomTcpServer.Create"
		size = 119
		refs = "000a @ClassCreate 0017 TIpSocket.Create 0059 TCustomTcpServer.SetServerBlockMode 0064 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 89 00 00 00 00 33 C0 89 86 8C 00 00 00 33 C0 89 86 90 00 00 00 89 86 94 00 00 00 33 C0 89 86 98 00 00 00 89 86 9C 00 00 00 33 C0 89 86 A0 00 00 00 89 86 A4 00 00 00 B2 02 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96671_0 {
	meta:
		name = "TCustomTcpServer.Open"
		size = 76
		refs = "0006 TBaseSocket.Open 000d TIpSocket.Bind 001d TCustomTcpServer.Listen 0031 TCustomTcpServer.GetServerSocketThread 0046 TThread.Resume"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 35 BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 25 80 BB 88 00 00 00 02 75 1C 8B C3 E8 ?? ?? ?? ?? 8B 83 8C 00 00 00 85 C0 74 0B 80 78 0E 00 74 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96672_0 {
	meta:
		name = "TCustomTcpServer.Close"
		size = 56
		refs = "001c TThread.Terminate 0032 TBaseSocket.Close"
	strings:
		$1 = { 53 8B D8 80 BB 88 00 00 00 02 75 1C 83 BB 8C 00 00 00 00 74 13 8B 83 8C 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 8C 00 00 00 C6 83 89 00 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96673_0 {
	meta:
		name = "TCustomTcpServer.Accept"
		size = 91
		refs = "000e _DV_TCustomIpClient 0013 TCustomIpClient.Create 001e TCustomTcpServer.Accept 0046 TObject.Free 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96674_0 {
	meta:
		name = "TCustomTcpServer.Accept"
		size = 361
		refs = "0018 TCustomTcpServer.Accept 0038 @FillChar 005a accept 0075 @HandleAnyException 007d @DoneExcept 00c7 TBaseSocket.SetSockType 00ee inet_ntoa 0104 @LStrFromPChar 010e ntohs 0119 IntToStr 0130 @LStrFromUStr 0152 @UStrClr 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D DC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 C7 45 F0 10 00 00 00 8D 45 E0 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 50 8D 45 E0 50 8B 45 FC 8B 40 48 50 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 48 8B D8 33 C0 5A 59 59 64 89 10 EB 0D E9 ?? ?? ?? ?? 83 CB FF E8 ?? ?? ?? ?? 83 FB FF 0F 84 B7 00 00 00 C6 45 F7 01 8B 45 F8 8B 00 C6 40 38 01 8B 45 F8 8B 00 C6 80 88 00 00 00 01 8B 45 F8 8B 00 89 58 48 8B 45 FC 0F B6 40 44 8B 55 F8 8B 12 88 42 44 8B 45 FC 0F B6 50 4C 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 40 46 8B 55 F8 8B 12 66 89 42 46 8B 45 FC 0F B6 40 39 8B 55 F8 8B 12 88 42 39 FF 75 E4 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 00 05 80 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 0F B7 45 E2 50 E8 ?? ?? ?? ?? 0F B7 C0 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 8B 00 05 84 00 00 00 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B 12 8B 45 FC 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96676_0 {
	meta:
		name = "TCustomTcpServer.GetServerSocketThread"
		size = 60
		refs = "0011 _DV_TServerSocketThread 0016 TServerSocketThread.Create 0030 TCustomTcpServer.GetThread"
	strings:
		$1 = { 53 8B D8 83 BB 8C 00 00 00 00 75 14 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 8C 00 00 00 8B 83 8C 00 00 00 85 C0 74 0A 89 58 54 C7 40 50 ?? ?? ?? ?? 8B 83 8C 00 00 00 5B C3 }
	condition:
		$1
}

rule function_96677_0 {
	meta:
		name = "TCustomTcpServer.SetServerSocketThread"
		size = 37
		refs = "0011 TThread.Terminate"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 8C 00 00 00 85 C0 74 0C E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 50 89 B3 8C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_96679_0 {
	meta:
		name = "TCustomTcpServer.Listen"
		size = 61
		refs = "001b listen"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 38 00 74 27 80 BB 89 00 00 00 00 75 1E 56 8B 43 48 50 E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 48 85 C0 0F 94 C0 88 83 89 00 00 00 0F B6 83 89 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_96680_0 {
	meta:
		name = "TCustomTcpServer.SetServerBlockMode"
		size = 67
		refs = "0031 TBaseSocket.SetBlockMode"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 9E 88 00 00 00 74 32 F6 46 1C 01 75 0D F6 46 1C 10 75 07 8B C6 8B 10 FF 52 50 88 9E 88 00 00 00 80 FB 02 75 0B 33 D2 8B C6 E8 ?? ?? ?? ?? EB 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96681_0 {
	meta:
		name = "TCustomTcpServer.WaitForConnection"
		size = 56
		refs = "0017 TBaseSocket.Select"
	strings:
		$1 = { 53 56 51 8B F0 33 DB 8D 44 24 01 50 6A FF 8D 54 24 08 33 C9 8B C6 E8 ?? ?? ?? ?? 84 C0 74 13 80 3C 24 00 74 07 80 7C 24 01 00 74 04 33 DB EB 02 B3 01 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_96682_0 {
	meta:
		name = "Startup"
		size = 80
		refs = "0001 WSAData 000b WSAStartup 0014 Startup 001b _DV_ESocketError 0020 Exception.Create 0025 @RaiseExcept"
	strings:
		$1 = { 68 ?? ?? ?? ?? 68 01 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 53 00 41 00 53 00 74 00 61 00 72 00 74 00 75 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_96683_0 {
	meta:
		name = "Cleanup"
		size = 68
		refs = "0001 WSACleanup 000a Cleanup 0011 _DV_ESocketError 0016 Exception.Create 001b @RaiseExcept"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 53 00 41 00 43 00 6C 00 65 00 61 00 6E 00 75 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_96690_0 {
	meta:
		name = "RaiseFieldModificationNotPermitted"
		size = 91
		refs = "000c RaiseFieldModificationNotPermitted 001d sFieldModificationNotPermitted 0022 LoadResString 002c _DV_EAdapterFieldException 0031 EAdapterFieldException.Create 0036 @RaiseExcept 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_96691_0 {
	meta:
		name = "RaiseActionExecutionNotPermitted"
		size = 91
		refs = "000c RaiseActionExecutionNotPermitted 001d sActionExecutionNotPermitted 0022 LoadResString 002c _DV_EAdapterFieldException 0031 EAdapterFieldException.Create 0036 @RaiseExcept 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_96692_0 {
	meta:
		name = "RaiseFieldViewNotPermitted"
		size = 91
		refs = "000c RaiseFieldViewNotPermitted 001d sFieldViewNotPermitted 0022 LoadResString 002c _DV_EAdapterFieldException 0031 EAdapterFieldException.Create 0036 @RaiseExcept 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 6A 00 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_96694_0 {
	meta:
		name = "RaiseRequiredValueException"
		size = 113
		refs = "0012 @UStrAddRef 001a RaiseRequiredValueException 002e sFieldRequiresAValue 0033 LoadResString 003d _DV_EAdapterFieldException 0042 EAdapterFieldException.Create 0047 @RaiseExcept 0061 @UStrArrayClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 6A 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_96698_0 {
	meta:
		name = "RaiseFileUploadNotSupported"
		size = 113
		refs = "0012 @UStrAddRef 001a RaiseFileUploadNotSupported 002e sFileUploadNotSupported 0033 LoadResString 003d _DV_EAdapterFieldException 0042 EAdapterFieldException.Create 0047 @RaiseExcept 0061 @UStrArrayClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 6A 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_96699_0 {
	meta:
		name = "RaiseImageNotProvided"
		size = 113
		refs = "0012 @UStrAddRef 001a RaiseImageNotProvided 002e sImageNotProvided 0033 LoadResString 003d _DV_EAdapterFieldException 0042 EAdapterFieldException.Create 0047 @RaiseExcept 0061 @UStrArrayClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 6A 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_96696_0 {
	meta:
		name = "RaiseMultipleFilesException"
		size = 113
		refs = "0012 @UStrAddRef 001a RaiseMultipleFilesException 002e sFieldDoesNotAllowMultipleFiles 0033 LoadResString 003d _DV_EAdapterFieldException 0042 EAdapterFieldException.Create 0047 @RaiseExcept 0061 @UStrArrayClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 6A 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_96695_0 {
	meta:
		name = "RaiseMultipleValuesException"
		size = 113
		refs = "0012 @UStrAddRef 001a RaiseMultipleValuesException 002e sFieldDoesNotAllowMultipleValues 0033 LoadResString 003d _DV_EAdapterFieldException 0042 EAdapterFieldException.Create 0047 @RaiseExcept 0061 @UStrArrayClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 6A 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_96697_0 {
	meta:
		name = "RaiseRequiredFileException"
		size = 113
		refs = "0012 @UStrAddRef 001a RaiseRequiredFileException 002e sFieldRequiresAFile 0033 LoadResString 003d _DV_EAdapterFieldException 0042 EAdapterFieldException.Create 0047 @RaiseExcept 0061 @UStrArrayClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 6A 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_96700_0 {
	meta:
		name = "ValidateSingleValueField"
		size = 107
		refs = "0012 @IntfAddRef 001a ValidateSingleValueField 003e RaiseMultipleValuesException 0053 @UStrClr 005b @IntfClear 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 10 48 7E 13 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_96701_0 {
	meta:
		name = "ValidateSingleFileField"
		size = 107
		refs = "0012 @IntfAddRef 001a ValidateSingleFileField 003e RaiseMultipleFilesException 0053 @UStrClr 005b @IntfClear 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 18 48 7E 13 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_96702_0 {
	meta:
		name = "ValidateSingleFileOrValueField"
		size = 77
		refs = "000b @IntfAddRef 0013 ValidateSingleFileOrValueField 0021 ValidateSingleFileField 0029 ValidateSingleValueField 003e @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_96703_0 {
	meta:
		name = "ValidateRequiredValueField"
		size = 196
		refs = "0017 @IntfAddRef 001f ValidateRequiredValueField 0046 VarIsEmpty 0065 @VarFromUStr 006e @VarCmpEQ 0083 RaiseRequiredValueException 0098 @UStrClr 00a1 Variant 00ab @FinalizeArray 00b3 @IntfClear 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 10 85 C0 74 3F 8D 4D EC 33 D2 8B 45 FC 8B 18 FF 53 14 8D 45 EC E8 ?? ?? ?? ?? 84 C0 75 26 8D 4D DC 33 D2 8B 45 FC 8B 18 FF 53 14 8D 45 DC 50 8D 45 CC 33 D2 E8 ?? ?? ?? ?? 8D 55 CC 58 E8 ?? ?? ?? ?? 75 13 8D 55 C8 8B 45 FC 8B 08 FF 51 0C 8B 45 C8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96704_0 {
	meta:
		name = "ValidateRequiredFileField"
		size = 108
		refs = "0012 @IntfAddRef 001a ValidateRequiredFileField 003f RaiseRequiredFileException 0054 @UStrClr 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 18 85 C0 75 13 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 59 59 5D C3 }
	condition:
		$1
}

rule function_96705_0 {
	meta:
		name = "ValidateRequiredFileOrValueField"
		size = 196
		refs = "0017 @IntfAddRef 001f ValidateRequiredFileOrValueField 0046 VarIsEmpty 0065 @VarFromUStr 006e @VarCmpEQ 0083 RaiseRequiredValueException 0098 @UStrClr 00a1 Variant 00ab @FinalizeArray 00b3 @IntfClear 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 18 85 C0 75 52 8D 4D EC 33 D2 8B 45 FC 8B 18 FF 53 14 8D 45 EC E8 ?? ?? ?? ?? 84 C0 75 26 8D 4D DC 33 D2 8B 45 FC 8B 18 FF 53 14 8D 45 DC 50 8D 45 CC 33 D2 E8 ?? ?? ?? ?? 8D 55 CC 58 E8 ?? ?? ?? ?? 75 13 8D 55 C8 8B 45 FC 8B 08 FF 51 0C 8B 45 C8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96706_0 {
	meta:
		name = "CrunchFieldName"
		size = 112
		refs = "0036 LeadBytes 004c @UStrDelete 0063 @UStrLen"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 08 8B 7F FC BE 01 00 00 00 EB 4D 8B 07 0F B6 5C 70 FE 8B C3 04 D0 2C 0A 72 10 04 F9 2C 1A 72 0A 2C 04 74 06 04 FE 2C 1A 73 03 46 EB 2B A1 ?? ?? ?? ?? 0F B6 DB 0F A3 18 73 10 8B C7 B9 02 00 00 00 8B D6 E8 ?? ?? ?? ?? EB 0E 8B C7 B9 01 00 00 00 8B D6 E8 ?? ?? ?? ?? 8B 07 E8 ?? ?? ?? ?? 3B F0 7E A8 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule function_96707_0 {
	meta:
		name = "MakeValidAdapterFieldName"
		size = 96
		refs = "0010 @UStrAsg 001e CrunchFieldName 0042 MakeValidAdapterFieldName 0047 @UStrCat3"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 83 38 00 74 2F 55 E8 ?? ?? ?? ?? 59 8B 45 FC 83 38 00 74 0E 8B 45 FC 8B 00 0F B6 00 04 D0 2C 0A 73 12 8B 4D FC 8B 09 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 }
	condition:
		$1
}

rule function_96709_0 {
	meta:
		name = "TBaseAdapterAction.GetAdapterItemRequestParams"
		size = 120
		refs = "0018 @IntfAddRef 0020 TBaseAdapterAction.GetAdapterItemRequestParams 0030 MakeAdapterRequestIdentifier 003a @UStrAsg 005e @UStrClr 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 8B D6 8B 4D FC 8B C3 8B 18 FF 93 9C 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96710_0 {
	meta:
		name = "TBaseAdapterAction.ImplGetAdapterItemRequestParams"
		size = 159
		refs = "000f @IntfAddRef 0017 TBaseAdapterAction.ImplGetAdapterItemRequestParams 0024 TBaseAdapterAction.GetAdapter 008e @IntfClear 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 66 83 B8 A2 00 00 00 00 74 29 8B 45 FC 8B 10 FF 52 1C 50 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CB 8B 86 A4 00 00 00 FF 96 A0 00 00 00 66 83 BB 82 00 00 00 00 74 18 8B 45 FC 8B 10 FF 52 1C 8B C8 8B D3 8B 83 84 00 00 00 FF 93 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96711_0 {
	meta:
		name = "FindAdapterInParent"
		size = 140
		refs = "000d FindAdapterInParent 001e @CallDynaInst 003b @IntfClear 0050 Supports 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 EB 0D 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 21 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 52 EC 4A 1A 60 29 BD 46 89 AC 1A 57 42 A8 50 89 }
	condition:
		$1
}

rule function_96712_0 {
	meta:
		name = "TCustomAdapter.FindNamedField"
		size = 9
	strings:
		$1 = { 8B 40 3C 8B 08 FF 51 4C C3 }
	condition:
		$1
}

rule function_96713_0 {
	meta:
		name = "TCustomAdapter.FindNamedAction"
		size = 9
	strings:
		$1 = { 8B 40 40 8B 08 FF 51 4C C3 }
	condition:
		$1
}

rule function_96715_0 {
	meta:
		name = "TCustomAdapter.FindVariable"
		size = 9
		altNames = "TCustomAdapterBooleanField.IsEqual"
	strings:
		$1 = { 8B 08 FF 91 C4 00 00 00 C3 }
	condition:
		$1
}

rule function_96717_0 {
	meta:
		name = "TCustomAdapter.ImplFindVariableContainer"
		size = 132
		refs = "000d TCustomAdapter.ImplFindVariableContainer 002b @IntfClear 0040 Supports 004b RaiseVariableIsNotAContainer 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D6 8B 08 FF 91 C0 00 00 00 8B D8 85 DB 74 28 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A }
	condition:
		$1
}

rule function_96718_0 {
	meta:
		name = "TBaseAdapterMultiValueField.HasValue"
		size = 9
		altNames = "TCustomAdapter.FindVariableContainer"
	strings:
		$1 = { 8B 08 FF 91 C8 00 00 00 C3 }
	condition:
		$1
}

rule function_96719_0 {
	meta:
		name = "TCustomAdapter.GetVariableName"
		size = 21
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 BC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_96721_0 {
	meta:
		name = "TCustomAdapter.GetVariable"
		size = 9
	strings:
		$1 = { 8B 08 FF 91 D0 00 00 00 C3 }
	condition:
		$1
}

rule function_96723_0 {
	meta:
		name = "TCustomAdapter.ImplGetVariable"
		size = 74
		refs = "000f TWebComponentList.GetCount 0022 TWebComponentList.GetComponent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 3C 8B 10 FF 52 5C E8 ?? ?? ?? ?? 3B F0 7D 12 8B 43 3C 8B 10 FF 52 5C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 8B 43 3C 8B 10 FF 52 5C E8 ?? ?? ?? ?? 2B F0 56 8B 43 40 8B 10 FF 52 5C 5A E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96724_0 {
	meta:
		name = "TCustomAdapter.ImplGetVariableCount"
		size = 39
		refs = "000d TWebComponentList.GetCount"
	strings:
		$1 = { 53 56 8B D8 8B 43 3C 8B 10 FF 52 5C E8 ?? ?? ?? ?? 8B F0 8B 43 40 8B 10 FF 52 5C E8 ?? ?? ?? ?? 03 F0 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_96726_0 {
	meta:
		name = "TCustomAdapter.Create"
		size = 252
		refs = "000f @ClassCreate 0021 TComponent.Create 002f _Dn_TNotifyList 0034 TNotifyList.Create 0054 @IntfCopy 005b _DV_TAdapterHiddenFieldsList 0060 TAdapterHiddenFieldsList.Create 00bf TCustomAdapter.SetActions 00e6 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B F0 8B CF 33 D2 8B C6 E8 ?? ?? ?? ?? C6 86 C8 00 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 8B C6 8B 10 FF 52 40 8B D8 89 5E 44 8D 46 48 8B D3 85 D2 74 03 83 EA EC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 B8 00 00 00 8D 86 BC 00 00 00 8B 96 B4 00 00 00 85 D2 74 03 83 EA E4 E8 ?? ?? ?? ?? 8D 86 C0 00 00 00 8B 96 B8 00 00 00 85 D2 74 03 83 EA E4 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 6C 8B CF B2 01 FF 50 38 8B D0 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 70 8B CF B2 01 FF 50 38 8B D0 8B C6 8B 08 FF 91 8C 00 00 00 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96727_0 {
	meta:
		name = "TCustomAdapter.WebComponentsChange"
		size = 12
		refs = "0007 TCustomAdapter.NotifyAdapterChange"
	strings:
		$1 = { F6 40 1C 01 75 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96728_0 {
	meta:
		name = "TCustomAdapter.NotifyAdapterChange"
		size = 152
		refs = "000e TCustomAdapter.NotifyAdapterChange 0022 TNotifyList.GetCount 0036 TNotifyList.GetItem 003f @IntfClear 004c Supports 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 38 85 F6 74 43 8B C6 E8 ?? ?? ?? ?? 48 85 C0 7C 37 40 89 C6 33 FF 8B D7 8B 43 38 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 0C 47 4E 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 43 C8 2F 44 85 4F 37 41 85 64 FF 6E ED BA 14 65 }
	condition:
		$1
}

rule function_96729_0 {
	meta:
		name = "TCustomAdapter.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0012 TComponent.Destroy 0022 TObject.Free 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96730_0 {
	meta:
		name = "TCustomAdapter.Notification"
		size = 54
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0A 3B 77 3C 75 05 33 C0 89 47 3C 80 FB 01 75 0A 3B 77 40 75 05 33 C0 89 47 40 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96731_0 {
	meta:
		name = "TCustomAdapter.ImplSetData"
		size = 78
		refs = "000f TObject.Free 0017 _DV_TAdapterFields 001c @AsClass 002e TComponent.FreeNotification 0036 TWebContainerComponent.GetWebComponents 0040 TCustomAdapter.WebComponentsChange"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 3C 3B F0 74 05 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 3C 85 FF 74 21 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 43 3C E8 ?? ?? ?? ?? 89 58 14 C7 40 10 ?? ?? ?? ?? 8B 43 3C 89 58 40 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96732_0 {
	meta:
		name = "TCustomAdapter.ImplSetActions"
		size = 78
		refs = "000f TObject.Free 0017 _DV_TAdapterActions 001c @AsClass 002e TComponent.FreeNotification 0036 TWebContainerComponent.GetWebComponents 0040 TCustomAdapter.WebComponentsChange"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 43 40 3B F0 74 05 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 40 85 FF 74 21 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 43 40 E8 ?? ?? ?? ?? 89 58 14 C7 40 10 ?? ?? ?? ?? 8B 43 40 89 58 40 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96733_0 {
	meta:
		name = "TCustomAdapter.GetChildren"
		size = 42
		refs = "000f TComponent.GetChildren"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 8B 53 40 8B 45 0C FF 55 08 8B 53 3C 8B 45 0C FF 55 08 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_96737_0 {
	meta:
		name = "TCustomAdapter.ImplNotifyDeactivate"
		size = 34
		refs = "0006 TCustomAdapter.ClearErrors 000d TCustomAdapter.ClearAdapterValues"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 C4 00 00 00 C6 83 C8 00 00 00 00 5B C3 }
	condition:
		$1
}

rule function_96741_0 {
	meta:
		name = "TCustomAdapter.ClearErrors"
		size = 9
	strings:
		$1 = { 8B 40 48 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_96742_0 {
	meta:
		name = "TCustomAdapter.ImplClearAdapterValues"
		size = 17
	strings:
		$1 = { 56 8B F0 33 D2 8B C6 8B 08 FF 91 80 00 00 00 5E C3 }
	condition:
		$1
}

rule function_96743_0 {
	meta:
		name = "TCustomAdapter.ImplSetEchoActionFieldValues"
		size = 196
		refs = "0015 TCustomAdapter.ImplSetEchoActionFieldValues 0030 TWebContainerComponent.GetWebComponents 003a TCustomAdapter.GetVisibleFields 0045 TWebComponentList.GetCount 0059 TWebComponentList.GetComponent 0063 @IntfClear 0078 Supports 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 88 55 FB 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 55 FB 88 50 58 80 7D FB 00 75 0D 8B 40 3C E8 ?? ?? ?? ?? 89 45 F4 EB 08 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 40 43 33 F6 8B D6 8B 45 F4 E8 ?? ?? ?? ?? 8B F8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0C 0F B6 55 FB 8B 45 FC 8B 08 FF 51 0C 46 4B 75 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 61 6B 4C 27 D6 CA D4 11 A5 29 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96747_0 {
	meta:
		name = "TCustomAdapter.CanAddActionClass"
		size = 17
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 18 FF 93 B0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_96748_0 {
	meta:
		name = "TCustomAdapter.CanAddFieldClass"
		size = 17
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 18 FF 93 AC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_96753_0 {
	meta:
		name = "TCustomAdapter.EndIterator"
		size = 9
	strings:
		$1 = { 8B 08 FF 91 A8 00 00 00 C3 }
	condition:
		$1
}

rule function_96754_0 {
	meta:
		name = "TCustomAdapter.ImplEndIterator"
		size = 172
		refs = "0010 TCustomAdapter.ImplEndIterator 0053 @HandleOnException 005b _Dn_Exception 0069 TCustomAdapter.GetAdapterErrorsList 0077 @DoneExcept 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 FC 66 83 78 52 00 74 12 8D 45 FB 50 8B 5D FC B1 02 8B 55 FC 8B 43 54 FF 53 50 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 FC E8 ?? ?? ?? ?? 33 C9 8B D3 8B 18 FF 53 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 33 D2 89 90 C4 00 00 00 8B 45 FC C6 80 C8 00 00 00 00 C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96755_0 {
	meta:
		name = "TCustomAdapter.NextIteration"
		size = 9
	strings:
		$1 = { 8B 08 FF 91 A4 00 00 00 C3 }
	condition:
		$1
}

rule function_96756_0 {
	meta:
		name = "TCustomAdapter.ImplNextIteration"
		size = 150
		refs = "001a TCustomAdapter.ImplNextIteration 005d @HandleOnException 0065 _Dn_Exception 0073 TCustomAdapter.GetAdapterErrorsList 0081 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC 66 83 78 52 00 74 71 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8D 45 FB 50 8B 5D FC B1 01 8B 55 FC 8B 43 54 FF 53 50 0F B6 45 FB 34 01 88 45 FB 80 7D FB 00 74 09 8B 45 FC FF 80 C4 00 00 00 33 C0 5A 59 59 64 89 10 EB 2F E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 FC E8 ?? ?? ?? ?? 33 C9 8B D3 8B 18 FF 53 18 E8 ?? ?? ?? ?? EB 04 C6 45 FB 00 0F B6 45 FB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96757_0 {
	meta:
		name = "TCustomAdapter.StartIterator"
		size = 9
	strings:
		$1 = { 8B 08 FF 91 A0 00 00 00 C3 }
	condition:
		$1
}

rule function_96758_0 {
	meta:
		name = "TCustomAdapter.ImplStartIterator"
		size = 162
		refs = "001a TCustomAdapter.ImplStartIterator 0069 @HandleOnException 0071 _Dn_Exception 007f TCustomAdapter.GetAdapterErrorsList 008d @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 45 FC 8B 45 FC 66 83 78 52 00 74 7D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8D 45 FB 50 8B 5D FC 33 C9 8B 55 FC 8B 43 54 FF 53 50 0F B6 45 FB 34 01 88 45 FB 80 7D FB 00 74 15 8B 45 FC C6 80 C8 00 00 00 01 8B 45 FC 33 D2 89 90 C4 00 00 00 33 C0 5A 59 59 64 89 10 EB 2F E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 FC E8 ?? ?? ?? ?? 33 C9 8B D3 8B 18 FF 53 18 E8 ?? ?? ?? ?? EB 04 C6 45 FB 00 0F B6 45 FB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96759_0 {
	meta:
		name = "TCustomAdapter.ClearAdapterValues"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 94 00 00 00 C3 }
	condition:
		$1
}

rule function_96760_0 {
	meta:
		name = "TCustomAdapter.SetActions"
		size = 21
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B C6 8B 08 FF 91 88 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_96761_0 {
	meta:
		name = "TCustomAdapter.SetData"
		size = 21
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B C6 8B 08 FF 91 90 00 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_96762_0 {
	meta:
		name = "TCustomAdapter.GetEchoActionFieldValues"
		size = 15
	strings:
		$1 = { 56 8B F0 8B C6 8B 10 FF 92 84 00 00 00 5E C3 }
	condition:
		$1
}

rule function_96763_0 {
	meta:
		name = "TCustomAdapter.ImplGetEchoActionFieldValues"
		size = 5
	strings:
		$1 = { 0F B6 40 58 C3 }
	condition:
		$1
}

rule function_96764_0 {
	meta:
		name = "TCustomAdapter.SetEchoActionFieldValues"
		size = 24
	strings:
		$1 = { 56 51 88 14 24 8B F0 0F B6 14 24 8B C6 8B 08 FF 91 80 00 00 00 5A 5E C3 }
	condition:
		$1
}

rule function_96765_0 {
	meta:
		name = "TCustomAdapter.UpdateFieldsGetAnyChanges"
		size = 324
		refs = "001b @IntfAddRef 0023 TCustomAdapter.UpdateFieldsGetAnyChanges 0064 TList.Get 006e @IntfClear 007c Supports 00ce @HandleOnException 00d6 _Dn_Exception 00e4 TCustomAdapter.GetAdapterErrorsList 00f2 @DoneExcept 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D F8 89 4D F0 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 8B 45 F0 8B 40 08 48 85 C0 0F 8C C2 00 00 00 40 89 45 E4 C7 45 E8 00 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 5D F0 8B 75 E8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 8B 4D E8 8B 55 FC 8B 45 F8 8B 18 FF 53 0C 84 C0 74 1D C6 45 EF 01 EB 17 8B 5D F0 8B 75 E8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 04 C6 45 EF 01 80 7D EF 00 74 0A 33 C0 5A 59 59 64 89 10 EB 3F 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 F4 E8 ?? ?? ?? ?? 33 C9 8B D3 8B 18 FF 53 18 E8 ?? ?? ?? ?? FF 45 E8 FF 4D E4 0F 85 49 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 EF 5F 5E 5B 8B E5 5D C3 00 00 6D B2 21 70 23 B0 D4 11 A5 0F 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96766_0 {
	meta:
		name = "TCustomAdapter.UpdateRecordsGetAnyChanges"
		size = 260
		refs = "0019 @IntfAddRef 0021 TCustomAdapter.UpdateRecordsGetAnyChanges 0033 @IntfClear 0042 Supports 006a TCustomAdapter.ListAdapterUpdateFields 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 6A 8B 45 F8 8B 10 FF 52 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 29 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 55 FC 8B C3 8B 38 FF 57 58 88 45 F7 80 7D F7 00 75 14 8B 45 F8 8B 10 FF 52 0C 8B 45 F8 8B 10 FF 52 18 84 C0 74 CB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 C3 E9 ?? ?? ?? ?? EB F0 8B CE 8B 55 FC 8B C3 8B 18 FF 53 58 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 00 D8 CA 51 9C 97 62 CC 4C B9 F4 F5 30 20 E4 2A 00 }
	condition:
		$1
}

rule function_96767_0 {
	meta:
		name = "TCustomAdapter.UpdateFieldsValidateValues"
		size = 400
		refs = "001b @IntfAddRef 0023 TCustomAdapter.UpdateFieldsValidateValues 009d TList.Get 00a7 @IntfClear 00b5 Supports 00d6 @HandleOnException 00de _Dn_Exception 00ec TCustomAdapter.GetAdapterErrorsList 0111 @DoneExcept 014d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D F8 89 4D F0 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 8B 45 F4 66 83 78 62 00 74 17 8B 45 F0 50 8D 45 EF 50 8B 5D F4 8B 4D FC 8B 55 F4 8B 43 64 FF 53 60 80 7D EF 00 0F 85 F7 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 8B 40 08 48 85 C0 0F 8C A8 00 00 00 40 89 45 E4 C7 45 E8 00 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 5D F0 8B 75 E8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 4D E8 8B 55 FC 8B 45 F8 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 EB 40 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C6 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 7D F0 8B 45 E8 89 45 E0 8B 55 E0 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 8B 18 FF 53 24 E8 ?? ?? ?? ?? FF 45 E8 FF 4D E4 0F 85 63 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 66 83 78 6A 00 74 13 8B 45 F0 50 8B 5D F4 8B 4D FC 8B 55 F4 8B 43 6C FF 53 68 C3 E9 ?? ?? ?? ?? EB DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 48 6F EA 23 46 DC A7 47 8E C3 0F F9 F5 9D 8F 57 }
	condition:
		$1
}

rule function_96768_0 {
	meta:
		name = "TCustomAdapter.UpdateRecordsValidateValues"
		size = 240
		refs = "0019 @IntfAddRef 0021 TCustomAdapter.UpdateRecordsValidateValues 002f @IntfClear 003e Supports 0066 TCustomAdapter.ListAdapterUpdateFields 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 61 8B 45 F8 8B 10 FF 52 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 55 FC 8B C3 8B 38 FF 57 4C 8B 45 F8 8B 10 FF 52 0C 8B 45 F8 8B 10 FF 52 18 84 C0 74 D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 C3 E9 ?? ?? ?? ?? EB F0 8B CE 8B 55 FC 8B C3 8B 18 FF 53 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 D8 CA 51 9C 97 62 CC 4C B9 F4 F5 30 20 E4 2A 00 }
	condition:
		$1
}

rule function_96769_0 {
	meta:
		name = "TCustomAdapter.UpdateFieldsExecuteValues"
		size = 288
		refs = "001b @IntfAddRef 0023 TCustomAdapter.UpdateFieldsExecuteValues 0060 TList.Get 006a @IntfClear 0078 Supports 0099 @HandleOnException 00a1 _Dn_Exception 00af TCustomAdapter.GetAdapterErrorsList 00d4 @DoneExcept 0103 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D F8 89 4D F0 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 40 08 48 85 C0 0F 8C A8 00 00 00 40 89 45 E8 C7 45 EC 00 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 5D F0 8B 75 EC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 4D EC 8B 55 FC 8B 45 F8 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 EB 40 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C6 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 7D F0 8B 45 EC 89 45 E4 8B 55 E4 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 8B 18 FF 53 24 E8 ?? ?? ?? ?? FF 45 EC FF 4D E8 0F 85 63 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 03 AA C8 BB B8 EE B5 4F BA DA EE 25 43 DC 72 8D }
	condition:
		$1
}

rule function_96770_0 {
	meta:
		name = "TCustomAdapter.UpdateFieldsUpdateValues"
		size = 400
		refs = "001b @IntfAddRef 0023 TCustomAdapter.UpdateFieldsUpdateValues 009d TList.Get 00a7 @IntfClear 00b5 Supports 00d6 @HandleOnException 00de _Dn_Exception 00ec TCustomAdapter.GetAdapterErrorsList 0111 @DoneExcept 014d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D F8 89 4D F0 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 8B 45 F4 66 83 78 72 00 74 17 8B 45 F0 50 8D 45 EF 50 8B 5D F4 8B 4D FC 8B 55 F4 8B 43 74 FF 53 70 80 7D EF 00 0F 85 F7 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 8B 40 08 48 85 C0 0F 8C A8 00 00 00 40 89 45 E4 C7 45 E8 00 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 5D F0 8B 75 E8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 4D E8 8B 55 FC 8B 45 F8 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 EB 40 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C6 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 8B 7D F0 8B 45 E8 89 45 E0 8B 55 E0 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 8B 18 FF 53 24 E8 ?? ?? ?? ?? FF 45 E8 FF 4D E4 0F 85 63 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 66 83 78 7A 00 74 13 8B 45 F0 50 8B 5D F4 8B 4D FC 8B 55 F4 8B 43 7C FF 53 78 C3 E9 ?? ?? ?? ?? EB DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 CE 5D 6A BE 17 A6 D4 11 A4 FE 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96771_0 {
	meta:
		name = "TCustomAdapter.UpdateRecordsUpdateValues"
		size = 264
		refs = "0019 @IntfAddRef 0021 TCustomAdapter.UpdateRecordsUpdateValues 002f @IntfClear 003e Supports 0066 TCustomAdapter.ListAdapterUpdateFields 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 6D 8B 45 F8 8B 10 FF 52 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 2C 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 55 FC 8B C3 8B 38 FF 57 60 8B CE 8B 55 FC 8B C3 8B 38 FF 57 5C 8B 45 F8 8B 10 FF 52 0C 8B 45 F8 8B 10 FF 52 18 84 C0 74 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 C3 E9 ?? ?? ?? ?? EB F0 8B CE 8B 55 FC 8B C3 8B 38 FF 57 60 8B CE 8B 55 FC 8B C3 8B 18 FF 53 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 D8 CA 51 9C 97 62 CC 4C B9 F4 F5 30 20 E4 2A 00 }
	condition:
		$1
}

rule function_96773_0 {
	meta:
		name = "TCustomAdapter.ListAdapterUpdateFields"
		size = 444
		refs = "0024 @IntfAddRef 002c TCustomAdapter.ListAdapterUpdateFields 0045 GetActionFieldValues 006f TCustomAdapter.FindField 0078 TList.Add 0084 TCustomAdapter.GetVisibleFields 008f TWebComponentList.GetCount 00a7 TWebComponentList.GetComponent 00b5 TList.IndexOf 00c0 @IntfClear 00d6 Supports 0157 @UStrClr 018d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E8 89 55 FC 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 10 FF 52 08 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 18 8B D8 4B 85 DB 7C 28 43 33 F6 8D 4D DC 8B D6 8B 45 F0 8B 38 FF 57 1C 8B 55 DC 8B 45 EC E8 ?? ?? ?? ?? 8B 55 E8 92 E8 ?? ?? ?? ?? 46 4B 75 DB 8B 45 EC E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 0F 8C A0 00 00 00 43 33 F6 8B D6 8B 45 E4 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E8 8B 55 E0 E8 ?? ?? ?? ?? 40 75 7A 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E0 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 58 8B 45 F8 8B 10 FF 52 10 84 C0 74 4C 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 74 31 8D 55 D4 8B 45 F4 8B 08 FF 51 0C 8B 45 D4 50 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D0 8D 4D D8 5A 8B 38 FF 57 24 8B 45 E8 8B 55 E0 E8 ?? ?? ?? ?? 46 4B 0F 85 63 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 5F 5E 5B 8B E5 5D C3 00 00 BF 32 92 17 77 CC D4 11 A5 2B 00 C0 4F 6B B8 53 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96774_0 {
	meta:
		name = "TCustomAdapter.UpdateRecords"
		size = 444
		refs = "001b @IntfAddRef 0023 TCustomAdapter.UpdateRecords 0034 WebContext 005b @IntfClear 0068 Supports 0089 _Dn_TObjectList 008e TObjectList.Create 00a7 TCustomAdapter.CheckModifyAccess 00b5 TCustomAdapter.ListAdapterUpdateFields 00d1 TCustomAdapter.GetAdapterErrorsList 00d6 TBaseAdapterErrorsList.GetErrorCount 0120 TObject.Free 0126 @HandleFinally 0137 @HandleOnException 013f _Dn_Exception 015b @DoneExcept 0183 IInterface 018d @FinalizeArray"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 4D F0 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 39 E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 51 0C 83 7D F0 00 74 26 E8 ?? ?? ?? ?? 8D 55 EC 8B 08 FF 51 0C 8B 45 EC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 E9 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 FC 8B 45 F8 8B 18 FF 53 54 8B D8 84 DB 74 1F 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0E 8B 4D F4 8B 55 FC 8B 45 F8 8B 30 FF 56 50 84 DB 74 1F 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0E 8B 4D F4 8B 55 FC 8B 45 F8 8B 18 FF 53 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 8B D3 8B 18 FF 53 18 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C3 00 00 FC 4A 4E 37 1F D1 D4 11 A5 31 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96777_0 {
	meta:
		name = "TCustomAdapter.ImplHasModifyAccess"
		size = 139
		refs = "000f TCustomAdapter.ImplHasModifyAccess 0025 WebContext 006d IWebEndUser 0077 @FinalizeArray 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 83 BE AC 00 00 00 00 74 37 E8 ?? ?? ?? ?? 85 C0 74 2E E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 11 83 7D FC 00 74 1C E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 11 8B 45 F8 8B 96 AC 00 00 00 8B 08 FF 51 14 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96778_0 {
	meta:
		name = "TCustomAdapter.ImplHasViewAccess"
		size = 139
		refs = "000f TCustomAdapter.ImplHasViewAccess 0025 WebContext 006d IWebEndUser 0077 @FinalizeArray 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 83 BE A8 00 00 00 00 74 37 E8 ?? ?? ?? ?? 85 C0 74 2E E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 11 83 7D FC 00 74 1C E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 11 8B 45 F8 8B 96 A8 00 00 00 8B 08 FF 51 10 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96779_0 {
	meta:
		name = "TCustomAdapter.CheckModifyAccess"
		size = 21
		refs = "0006 TCustomAdapter.HasModifyAccess 000f RaiseAdapterModificationNotPermitted"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 05 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96781_0 {
	meta:
		name = "TCustomAdapter.ImplHasExecuteAccess"
		size = 139
		refs = "000f TCustomAdapter.ImplHasExecuteAccess 0025 WebContext 006d IWebEndUser 0077 @FinalizeArray 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 83 BE B0 00 00 00 00 74 37 E8 ?? ?? ?? ?? 85 C0 74 2E E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 11 83 7D FC 00 74 1C E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 11 8B 45 F8 8B 96 B0 00 00 00 8B 08 FF 51 0C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96782_0 {
	meta:
		name = "TCustomAdapter.GetAdapterHiddenFields"
		size = 35
		refs = "000a TAdapterHiddenFieldsList.Clear 0017 TCustomAdapter.ListHiddenFields"
	strings:
		$1 = { 53 8B D8 8B 83 B4 00 00 00 E8 ?? ?? ?? ?? 8B 93 B4 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 B4 00 00 00 5B C3 }
	condition:
		$1
}

rule function_96783_0 {
	meta:
		name = "AsEditText"
		size = 110
		refs = "000f AsEditText 001c VarIsEmpty 0027 VarIsNull 0035 @VarToUStr 003f HTMLEncode 0048 @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8B C3 E8 ?? ?? ?? ?? 84 C0 75 16 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96784_0 {
	meta:
		name = "TCustomAdapter.AddOrigValueHiddenFields"
		size = 552
		refs = "001a TCustomAdapter.AddOrigValueHiddenFields 0025 TCustomAdapter.GetVisibleFields 0030 TWebComponentList.GetCount 0048 TWebComponentList.GetComponent 0052 @IntfClear 0067 Supports 0114 AsEditText 0144 Format 0150 TAdapterHiddenFieldsList.Add 016d @UStrClr 0175 @VarClr 01ab @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 1D 01 00 00 46 33 FF 8B D7 8B 45 E4 E8 ?? ?? ?? ?? 8B D8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 0F 84 E1 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 0F 84 BC 00 00 00 8B 45 F8 8B 10 FF 52 0C 84 C0 0F 84 AC 00 00 00 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0D 8D 55 EC 8B 45 F4 8B 08 FF 51 0C EB 2C 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0B 8D 55 EC 8B 45 F0 8B 08 FF 51 0C 8D 55 D0 8B 45 F8 8B 08 FF 51 10 8D 45 D0 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 45 CC 50 B8 ?? ?? ?? ?? 89 45 BC C6 45 C0 11 8B 45 EC 89 45 C4 C6 45 C8 11 8D 55 BC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 45 E8 59 E8 ?? ?? ?? ?? 47 4E 0F 85 E6 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 5F 5E 5B 8B E5 5D C3 CD 5D 6A BE 17 A6 D4 11 A4 FE 00 C0 4F 6B B8 53 5B 73 E6 7A 64 69 D4 11 A4 AA 00 C0 4F 6B B8 53 C0 44 16 CD E8 41 06 4C 9A B8 CD 6B 05 36 7E 27 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 B0 04 02 00 FF FF FF FF 05 00 00 00 5F 00 5F 00 6F 00 76 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 73 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_96785_0 {
	meta:
		name = "TCustomAdapter.AddRecordKeysHiddenFields"
		size = 616
		refs = "0028 TCustomAdapter.AddRecordKeysHiddenFields 0036 @UStrClr 0042 @IntfClear 0058 Supports 0063 _Dn_TStringList 0068 TStringList.Create 0092 EncodeParamNameValues 00a7 TObject.Free 00ad @HandleFinally 00ca TCustomAdapter.GetVariableName 00da @UStrCat3 014d Format 015b TAdapterHiddenFieldsList.Add 01b9 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 33 C9 89 4D BC 89 4D D8 89 4D DC 89 4D FC 89 4D F4 89 4D F0 89 4D F8 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? C6 45 E3 00 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 EC 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 53 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E3 8B 55 E4 8B 45 F4 8B 18 FF 53 0C 8D 55 FC 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 7D FC 00 0F 84 DE 00 00 00 80 7D E3 00 74 1D 8D 55 DC 8B 45 EC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 EC 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 57 8B 45 F0 8B 10 FF 52 0C 84 C0 74 4B 8D 45 D8 50 B8 ?? ?? ?? ?? 89 45 C0 C6 45 C4 11 8B 45 F8 89 45 C8 C6 45 CC 11 8B 45 F0 8B 10 FF 52 10 89 45 D0 C6 45 D4 00 8D 55 C0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 4D FC 8B 45 E8 E8 ?? ?? ?? ?? EB 3A 8D 45 BC 50 B8 ?? ?? ?? ?? 89 45 AC C6 45 B0 11 8B 45 F8 89 45 B4 C6 45 B8 11 8D 55 AC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 BC 8B 4D FC 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5B 8B E5 5D C3 00 C5 8B 3C 90 1E 1E 92 45 BD 13 99 EB 29 81 98 76 B0 04 02 00 FF FF FF FF 01 00 00 00 2D 00 00 00 3A A5 CB A6 26 83 7A 4F BF FE 02 A2 C6 E4 1B 67 B0 04 02 00 FF FF FF FF 06 00 00 00 5F 00 5F 00 6B 00 65 00 79 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 25 00 73 00 2E 00 25 00 64 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 73 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_96786_0 {
	meta:
		name = "TCustomAdapter.AddAdapterModeHiddenField"
		size = 288
		refs = "001e TCustomAdapter.AddAdapterModeHiddenField 002c @IntfClear 0041 Supports 007a TCustomAdapter.GetVariableName 0096 Format 00a1 TAdapterHiddenFieldsList.Add 00b6 @UStrClr 00c3 @UStrArrayClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D F8 89 4D F4 89 4D E0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 5C 8B 45 FC 8B 10 FF 52 10 84 C0 74 50 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 8B 45 F8 50 8D 45 F4 50 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C6 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 00 00 00 7C 6A 6E 9E 4F 57 D4 11 A4 91 00 C0 4F 6B B8 53 B0 04 02 00 FF FF FF FF 05 00 00 00 5F 00 5F 00 61 00 6D 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 73 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_96787_0 {
	meta:
		name = "TCustomAdapter.ListHiddenFields"
		size = 34
		refs = "001a TCustomAdapter.AddAdapterModeHiddenField"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 8B 10 FF 52 68 8B D8 F6 C3 02 74 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96788_0 {
	meta:
		name = "TCustomAdapter.ListHiddenRecordFields"
		size = 48
		refs = "001a TCustomAdapter.AddOrigValueHiddenFields 0028 TCustomAdapter.AddRecordKeysHiddenFields"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 8B 10 FF 52 68 8B D8 F6 C3 01 74 09 8B D7 8B C6 E8 ?? ?? ?? ?? F6 C3 04 74 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96789_0 {
	meta:
		name = "TCustomAdapter.GetAdapterHiddenRecordFields"
		size = 54
		refs = "000a TAdapterHiddenFieldsList.Clear 0017 TCustomAdapter.ListHiddenRecordFields 0022 TAdapterHiddenFieldsList.GetFieldCount"
	strings:
		$1 = { 53 8B D8 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8B 93 B8 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 85 C0 7E 08 8B 83 B8 00 00 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_96791_0 {
	meta:
		name = "TCustomAdapter.GetActionsList"
		size = 15
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 91 E0 00 00 00 5E C3 }
	condition:
		$1
}

rule function_96792_0 {
	meta:
		name = "TCustomAdapter.GetFieldsList"
		size = 15
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 91 D4 00 00 00 5E C3 }
	condition:
		$1
}

rule function_96793_0 {
	meta:
		name = "TCustomAdapter.GetVisibleActions"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 E4 00 00 00 C3 }
	condition:
		$1
}

rule function_96794_0 {
	meta:
		name = "TCustomAdapter.GetVisibleFields"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 D8 00 00 00 C3 }
	condition:
		$1
}

rule function_96797_0 {
	meta:
		name = "TCustomAdapter.ImplGetActionsList"
		size = 12
		altNames = "TCustomAdapter.ImplGetFieldsList"
	strings:
		$1 = { 56 8B F2 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_96799_0 {
	meta:
		name = "TCustomAdapter.IsActionInUse"
		size = 29
		refs = "000a TWebContainerComponent.GetWebComponents 0011 FindAdapterAction"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 40 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_96800_0 {
	meta:
		name = "TCustomAdapter.IsFieldInUse"
		size = 29
		refs = "000a TWebContainerComponent.GetWebComponents 0011 FindAdapterField"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 3C E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_96801_0 {
	meta:
		name = "TCustomAdapter.GetHiddenFieldOptions"
		size = 12
		refs = "0003 TCustomAdapter.GetHiddenFieldOptions"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 07 00 00 00 }
	condition:
		$1
}

rule function_96803_0 {
	meta:
		name = "TAdapterUpdateField.ImplGetVariableName"
		size = 37
		refs = "0011 TAdapterNamedField.ImplGetVariableName 001e @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 40 00 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96805_0 {
	meta:
		name = "TAdapterUpdateField.ImplGetDisplayLabel"
		size = 43
		refs = "0014 TAdapterNamedDisplayField.ImplGetDisplayLabel 0024 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 84 00 00 00 00 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 84 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96807_0 {
	meta:
		name = "TAdapterUpdateField.GetAdapterValuesList"
		size = 22
		refs = "000f @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 94 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96808_0 {
	meta:
		name = "TAdapterUpdateField.Notification"
		size = 57
		refs = "0010 TComponent.Notification 0022 TComponent.IsImplementorOf 0031 @IntfClear"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 1C 8B 97 94 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8D 87 94 00 00 00 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96809_0 {
	meta:
		name = "TAdapterUpdateField.SetValuesList"
		size = 52
		refs = "0011 TComponent.ReferenceInterface 001e @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 B1 01 8B 93 94 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 94 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 C9 8B 93 94 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96810_0 {
	meta:
		name = "TAdapterUpdateField.GetInputStyleType"
		size = 15
	strings:
		$1 = { 83 B8 94 00 00 00 00 74 03 B0 03 C3 B0 01 C3 }
	condition:
		$1
}

rule function_96811_0 {
	meta:
		name = "TAdapterUpdateField.ImplGetEchoActionFieldValue"
		size = 8
	strings:
		$1 = { 0F B6 80 A0 00 00 00 C3 }
	condition:
		$1
}

rule function_96812_0 {
	meta:
		name = "TAdapterUpdateField.ImplSetEchoActionFieldValue"
		size = 7
	strings:
		$1 = { 88 90 A0 00 00 00 C3 }
	condition:
		$1
}

rule function_96813_0 {
	meta:
		name = "TAdapterUpdateField.ImplAsFormatted"
		size = 145
		refs = "0013 TAdapterUpdateField.ImplAsFormatted 0023 TAdapterNamedField.GetValue 0047 VarIsEmpty 0053 VarIsNull 005e @UStrClr 006a @VarToUStr 007f @VarClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 66 83 BB 9A 00 00 00 00 74 12 8B CE 8B D3 8B 83 9C 00 00 00 FF 93 98 00 00 00 EB 2B 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 0C 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 74 09 8B C6 E8 ?? ?? ?? ?? EB 0A 8B C6 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96815_0 {
	meta:
		name = "TAdapterUpdateField.ImplValidateValue"
		size = 136
		refs = "001b @IntfAddRef 0023 TAdapterUpdateField.ImplValidateValue 0034 GetActionFieldValues 0066 @IntfClear 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F0 8B D6 8B 45 F8 8B 30 FF 56 20 8B 55 F0 8D 4D F7 8B C3 8B 18 FF 93 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96816_0 {
	meta:
		name = "TAdapterUpdateField.DoOnValidateValue"
		size = 102
		refs = "0011 @IntfAddRef 0019 TAdapterUpdateField.DoOnValidateValue 0055 @IntfClear 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB AA 00 00 00 00 74 14 56 8B 4D FC 8B D3 8B 83 AC 00 00 00 FF 93 A8 00 00 00 EB 03 C6 06 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96817_0 {
	meta:
		name = "TAdapterUpdateField.UpdateValue"
		size = 84
		refs = "0011 @IntfAddRef 0019 TAdapterUpdateField.UpdateValue 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 8B 18 FF 93 C0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96818_0 {
	meta:
		name = "TAdapterUpdateField.ValidateValue"
		size = 84
		refs = "0011 @IntfAddRef 0019 TAdapterUpdateField.ValidateValue 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 8B 18 FF 93 BC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96819_0 {
	meta:
		name = "TAdapterUpdateField.CheckValueChange"
		size = 88
		refs = "0011 @IntfAddRef 0019 TAdapterUpdateField.CheckValueChange 0045 @IntfClear 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 8B 18 FF 93 B8 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96820_0 {
	meta:
		name = "TAdapterUpdateField.ImplCheckValueChange"
		size = 494
		refs = "0022 @IntfAddRef 002a TAdapterUpdateField.ImplCheckValueChange 003b GetActionFieldValues 00d8 @VarCmpNE 00eb @HandleAnyException 00f2 @DoneExcept 010b TAdapterNamedField.GetValue 0113 VarIsEmpty 0136 @VarFromUStr 01af Variant 01b9 @FinalizeArray 01c1 @VarClr 01c9 @IntfClear 01df @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0F 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 89 55 FC 89 45 DC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F8 8B D3 8B 45 F4 8B 18 FF 53 20 8B 55 F8 8B 45 DC 8B 08 FF 91 B4 00 00 00 8B D8 8B 45 DC 8B 10 FF 92 9C 00 00 00 3B D8 0F 85 2C 01 00 00 33 DB 8B 45 DC 8B 10 FF 92 A8 00 00 00 84 C0 0F 84 80 00 00 00 8B 45 F8 8B 10 FF 52 10 85 C0 7C 7F 40 89 45 D4 C7 45 D8 00 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C4 50 8B 4D D8 8B 55 F8 8B 45 DC 8B 30 FF 96 AC 00 00 00 8D 45 C4 50 8D 4D B4 8B 55 D8 8B 45 DC 8B 30 FF 96 A0 00 00 00 8D 55 B4 58 E8 ?? ?? ?? ?? 74 02 B3 01 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? B3 01 E8 ?? ?? ?? ?? 84 DB 75 15 FF 45 D8 FF 4D D4 75 99 EB 0B 8D 55 E0 8B 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 84 C0 74 3A 8D 4D A4 8B 55 F8 8B 45 DC 8B 30 FF 96 B0 00 00 00 8D 45 A4 50 8D 45 94 33 D2 E8 ?? ?? ?? ?? 8D 55 94 58 E8 ?? ?? ?? ?? 75 0C 8B 45 DC 80 B8 8D 00 00 00 00 74 4C B3 01 EB 48 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D 84 8B 55 F8 8B 45 DC 8B 30 FF 96 B0 00 00 00 8D 45 84 8D 55 E0 E8 ?? ?? ?? ?? 74 02 B3 01 33 C0 5A 59 59 64 89 10 EB 10 E9 ?? ?? ?? ?? B3 01 E8 ?? ?? ?? ?? EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 84 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96821_0 {
	meta:
		name = "TAdapterUpdateField.ConvertValues"
		size = 80
		refs = "000e @IntfAddRef 0016 TAdapterUpdateField.ConvertValues 003e @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 08 8B D3 8B 45 FC 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_96823_0 {
	meta:
		name = "TAdapterUpdateField.ConvertValue"
		size = 77
		refs = "000e @IntfAddRef 0016 TAdapterUpdateField.ConvertValue 003d @IntfClear 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 33 D2 8B 45 FC 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_96828_0 {
	meta:
		name = "TAdapterNamedField.GetInputName"
		size = 18
		altNames = "TAdapterSubComponent.GetWebComponentNodeName TCustomXSLPageProducer.ProduceContent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 50 5E 5B C3 }
	condition:
		$1
}

rule function_96829_0 {
	meta:
		name = "TAdapterNamedField.FullyQualifyInputName"
		size = 120
		refs = "000c TAdapterNamedField.FullyQualifyInputName 0019 TAdapterNamedField.GetAdapter 0022 @IntfClear 002f Supports 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 85 46 22 C6 DA 3B C4 4B B6 18 E9 F3 29 84 5F C2 }
	condition:
		$1
}

rule function_96830_0 {
	meta:
		name = "TAdapterNamedField.ImplGetInputName"
		size = 432
		refs = "001b TAdapterNamedField.ImplGetInputName 0028 TAdapterNamedField.GetAdapter 0038 @IntfClear 0045 Supports 006e TAdapterNamedField.GetVariableName 00d6 Format 00e1 @UStrLAsg 0116 @UStrAsg 012b @UStrClr 0151 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 FC 8B 10 FF 52 0C 84 C0 74 0C 8B 45 FC 8B 10 FF 52 10 8B F0 EB 03 83 CE FF 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 4C 84 C0 74 68 8B C3 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 40 8D 45 F0 50 8D 55 DC 8B 45 F4 8B 08 FF 51 0C 8B 45 DC 89 45 E0 C6 45 E4 11 8B 45 F8 89 45 E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F8 E8 ?? ?? ?? ?? 83 FE FF 74 26 57 8B 45 F8 89 45 E0 C6 45 E4 11 89 75 E8 C6 45 EC 00 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8B C7 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 00 00 3A A5 CB A6 26 83 7A 4F BF FE 02 A2 C6 E4 1B 67 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2D 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 2E 00 25 00 64 00 00 00 }
	condition:
		$1
}

rule function_96832_0 {
	meta:
		name = "TAdapterNamedField.ImplGetValue"
		size = 78
		refs = "0010 TAdapterNamedField.ImplGetValue 001e @VarClear 0028 @VarCopy 003d @VarClr 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97080_0 {
	meta:
		name = "TBaseEndUserAdapter.GetUserID"
		size = 78
		refs = "0010 TBaseEndUserAdapter.GetUserID 001e @VarClear 0028 @VarCopy 003d @VarClr 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97128_0 {
	meta:
		name = "TBaseValuesListAdapter.ImplGetListValue"
		size = 78
		refs = "0010 TBaseValuesListAdapter.ImplGetListValue 001e @VarClear 0028 @VarCopy 003d @VarClr 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96833_0 {
	meta:
		name = "TAdapterNamedField.AsFormatted"
		size = 21
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 8C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_96834_0 {
	meta:
		name = "TAdapterNamedField.ImplAsFormatted"
		size = 87
		refs = "0013 TAdapterNamedField.ImplAsFormatted 0030 @VarToUStr 0045 @VarClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 91 80 00 00 00 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96835_0 {
	meta:
		name = "TAdapterUpdateField.ImplSetFieldName"
		size = 101
		refs = "000f TAdapterUpdateField.ImplSetFieldName 0029 @UStrEqual 0033 @UStrClr 003f @UStrAsg 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 7C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 75 0A 8D 43 40 E8 ?? ?? ?? ?? EB 0A 8D 43 40 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96864_0 {
	meta:
		name = "TAdapterNamedField.ImplSetFieldName"
		size = 101
		refs = "000f TAdapterNamedField.ImplSetFieldName 0029 @UStrEqual 0033 @UStrClr 003f @UStrAsg 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 7C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 75 0A 8D 43 40 E8 ?? ?? ?? ?? EB 0A 8D 43 40 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96837_0 {
	meta:
		name = "TAdapterNamedField.GetDisplayLabel"
		size = 18
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 6C 5E 5B C3 }
	condition:
		$1
}

rule function_96840_0 {
	meta:
		name = "TAdapterNamedField.ImplGetDisplayLabel"
		size = 18
		altNames = "TCustomPageDispatcher.GetDefaultPageName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 48 5E 5B C3 }
	condition:
		$1
}

rule function_96842_0 {
	meta:
		name = "TAdapterDisplayReferenceGroup.DisplayComponentChange"
		size = 6
		altNames = "TAdapterDisplayReferenceGroup.NotifyAdapterChange TAdapterNamedField.GetMaxLength"
	strings:
		$1 = { 8B 10 FF 52 70 C3 }
	condition:
		$1
}

rule function_96844_0 {
	meta:
		name = "TAdapterNamedField.GetAdapter"
		size = 35
		refs = "000c FindAdapterInParent 0012 _DV_TCustomAdapter 0017 @AsClass"
	strings:
		$1 = { 53 8B D8 83 7B 44 00 75 15 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 44 8B 43 44 5B C3 }
	condition:
		$1
}

rule function_96845_0 {
	meta:
		name = "TAdapterNamedField.ParentChanged"
		size = 17
		refs = "0006 TWebContainedComponent.ParentChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 44 5B C3 }
	condition:
		$1
}

rule function_96847_0 {
	meta:
		name = "TAdapterNamedField.HasModifyAccess"
		size = 6
	strings:
		$1 = { 8B 10 FF 52 60 C3 }
	condition:
		$1
}

rule function_96848_0 {
	meta:
		name = "TAdapterNamedField.HasViewAccess"
		size = 6
		altNames = "TCustomAdapterActionButton.RestoreDefaults TMultiModuleWebAppServices.FinishContext"
	strings:
		$1 = { 8B 10 FF 52 5C C3 }
	condition:
		$1
}

rule function_96849_0 {
	meta:
		name = "TAdapterNamedField.ImplHasModifyAccess"
		size = 216
		refs = "0011 TAdapterNamedField.ImplHasModifyAccess 001e TAdapterNamedField.GetAdapter 002e @IntfClear 003b Supports 005c WebContext 00a1 IWebEndUser 00ab @FinalizeArray 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 10 8B D8 EB 02 B3 01 84 DB 74 3A 83 7E 4C 00 74 34 E8 ?? ?? ?? ?? 85 C0 74 2B E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 11 83 7D F8 00 74 19 E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 11 8B 45 F4 8B 56 4C 8B 08 FF 51 14 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5E 5B 8B E5 5D C3 00 C0 32 92 17 77 CC D4 11 A5 2B 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96850_0 {
	meta:
		name = "TAdapterNamedField.ImplHasViewAccess"
		size = 216
		refs = "0011 TAdapterNamedField.ImplHasViewAccess 001e TAdapterNamedField.GetAdapter 002e @IntfClear 003b Supports 005c WebContext 00a1 IWebEndUser 00ab @FinalizeArray 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 B3 01 84 DB 74 3A 83 7E 48 00 74 34 E8 ?? ?? ?? ?? 85 C0 74 2B E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 11 83 7D F8 00 74 19 E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 11 8B 45 F4 8B 56 48 8B 08 FF 51 10 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5E 5B 8B E5 5D C3 00 C0 32 92 17 77 CC D4 11 A5 2B 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96851_0 {
	meta:
		name = "TAdapterNamedField.GetActionOrigValue"
		size = 180
		refs = "0013 TAdapterNamedField.GetActionOrigValue 001e WebContext 0032 @IntfClear 003f Supports 004e GetActionFieldValues 0058 TAdapterNamedField.GetVariableName 007a @UStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 51 0C 8B 45 F4 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 22 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B CE 8B 45 F8 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 FC 4A 4E 37 1F D1 D4 11 A5 31 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96852_0 {
	meta:
		name = "TAdapterNamedField.GetActionValue"
		size = 472
		refs = "0016 TAdapterNamedField.GetActionValue 0023 @IntfClear 0028 WebContext 0049 Supports 0073 TAdapterNamedField.GetAdapter 0128 GetActionFieldValues 0132 TAdapterNamedField.GetVariableName 0154 @UStrClr 018a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 51 0C 8B 45 E8 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 EE 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 11 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F0 8B 08 FF 51 0C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 73 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 58 8B 45 F8 8B 10 FF 52 0C 84 C0 74 1F 8B 45 F8 8B 10 FF 52 10 8B D0 8B 45 F4 8B 08 FF 51 1C 84 C0 75 36 8B C6 E8 ?? ?? ?? ?? EB 54 8B 45 F4 8B 10 FF 52 24 85 C0 7E 21 8B 45 F4 8B 10 FF 52 28 84 C0 75 15 8B 45 F4 8B 10 FF 52 20 84 C0 75 09 8B C6 E8 ?? ?? ?? ?? EB 27 83 3E 00 75 22 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8B CE 8B 45 EC 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5E 5B 8B E5 5D C3 00 00 FC 4A 4E 37 1F D1 D4 11 A5 31 00 C0 4F 6B B8 53 8E 88 82 F9 49 B0 C0 46 AC 14 86 52 E6 AC 8D 97 3A A5 CB A6 26 83 7A 4F BF FE 02 A2 C6 E4 1B 67 D8 CA 51 9C 97 62 CC 4C B9 F4 F5 30 20 E4 2A 00 }
	condition:
		$1
}

rule function_96856_0 {
	meta:
		name = "TAdapterNamedField.SetEchoActionFieldValue"
		size = 15
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 91 84 00 00 00 5E C3 }
	condition:
		$1
}

rule function_96857_0 {
	meta:
		name = "TAdapterNamedField.CheckModifyAccess"
		size = 148
		refs = "000e TAdapterNamedField.CheckModifyAccess 001c @IntfClear 0031 Supports 004b TAdapterNamedField.GetVariableName 0053 RaiseFieldModificationNotPermitted 0068 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 1E 8B 45 FC 8B 10 FF 52 10 84 C0 75 12 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 00 00 00 64 D5 C3 98 E4 3C 2C 41 A7 FE DA 05 A1 A3 79 53 }
	condition:
		$1
}

rule function_96858_0 {
	meta:
		name = "TAdapterNamedField.CheckViewAccess"
		size = 148
		refs = "000e TAdapterNamedField.CheckViewAccess 001c @IntfClear 0031 Supports 004b TAdapterNamedField.GetVariableName 0053 RaiseFieldViewNotPermitted 0068 @UStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 1E 8B 45 FC 8B 10 FF 52 0C 84 C0 75 12 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 00 00 00 64 D5 C3 98 E4 3C 2C 41 A7 FE DA 05 A1 A3 79 53 }
	condition:
		$1
}

rule function_96859_0 {
	meta:
		name = "TAdapterNamedField.GetRequired"
		size = 6
		altNames = "TDomNode.HasChildNodes TMultiModuleWebAppServices.HandleRequest"
	strings:
		$1 = { 8B 10 FF 52 58 C3 }
	condition:
		$1
}

rule function_96863_0 {
	meta:
		name = "TAdapterNamedField.ImplGetVariableName"
		size = 37
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 40 00 74 0D 8B C6 8B 53 40 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 8B 08 FF 51 7C 5E 5B C3 }
	condition:
		$1
}

rule function_96865_0 {
	meta:
		name = "AddDefaultFields"
		size = 256
		refs = "001d AddDefaultFields 0051 @IntfClear 005f TObject.GetInterface 0087 Supports 00be @UStrClr 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 14 48 85 C0 7C 79 40 89 45 EC 33 F6 8B D6 8B 45 F4 8B 08 FF 51 18 33 C9 B2 01 FF 50 38 8B D8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 08 FF 51 14 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 18 8D 4D E8 8B D6 8B 45 F4 8B 18 FF 53 0C 8B 55 E8 8B 45 F8 8B 08 FF 51 0C 46 FF 4D EC 75 8D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 82 37 81 EB AE EE D2 11 AF B0 00 C0 4F B1 6E C3 94 BC 84 CB 65 4C D4 11 A4 8B 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96866_0 {
	meta:
		name = "AddDefaultActions"
		size = 268
		refs = "001d AddDefaultActions 0055 @IntfClear 006a Supports 00c9 @UStrClr 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 14 48 85 C0 0F 8C 80 00 00 00 40 89 45 EC 33 F6 8B D6 8B 45 F4 8B 08 FF 51 18 33 C9 B2 01 FF 50 38 8B D8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 08 FF 51 14 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 18 8D 4D E8 8B D6 8B 45 F4 8B 18 FF 53 0C 8B 55 E8 8B 45 F8 8B 08 FF 51 0C 46 FF 4D EC 75 86 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 82 37 81 EB AE EE D2 11 AF B0 00 C0 4F B1 6E C3 A6 C2 5F 00 C1 92 7D 4F BC 69 F4 25 46 72 E6 C0 }
	condition:
		$1
}

rule function_96867_0 {
	meta:
		name = "FindAdapterField"
		size = 268
		refs = "001d FindAdapterField 002b TWebComponentList.GetCount 0043 TWebComponentList.GetComponent 0053 @IntfClear 0060 Supports 0087 @UStrLAsg 00ae CompareText 00de @UStrArrayClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D FC 89 4D F8 89 4D F4 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 89 00 00 00 46 33 DB 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 53 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E8 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 8D 45 F4 8B 55 EC E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 0D 43 4E 0F 85 7A FF FF FF 33 C0 89 45 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 E8 5E 5B 8B E5 5D C3 00 C0 BB 2D D6 40 2C D4 11 A4 6E 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96868_0 {
	meta:
		name = "FindAdapterAction"
		size = 268
		refs = "001d FindAdapterAction 002b TWebComponentList.GetCount 0043 TWebComponentList.GetComponent 0053 @IntfClear 0060 Supports 0087 @UStrLAsg 00ae CompareText 00de @UStrArrayClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D FC 89 4D F8 89 4D F4 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 89 00 00 00 46 33 DB 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 53 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E8 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 8D 45 F4 8B 55 EC E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 0D 43 4E 0F 85 7A FF FF FF 33 C0 89 45 E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 E8 5E 5B 8B E5 5D C3 00 F7 20 C6 5D 4A C1 49 4D 86 8E 65 60 41 AD F0 17 }
	condition:
		$1
}

rule function_96870_0 {
	meta:
		name = "TBaseAdapterAction.ExecuteActionRequest"
		size = 197
		refs = "0014 @IntfAddRef 0024 TBaseAdapterAction.ExecuteActionRequest 003e TBaseAdapterAction.CheckExecuteAccess 0095 @HandleFinally 00ac @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 10 84 C0 75 61 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B 45 F4 8B 18 FF 53 4C 8B 45 FC 8B 10 FF 52 10 84 C0 75 3F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B 55 FC 8B 45 F4 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B 45 F4 8B 18 FF 53 50 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96871_0 {
	meta:
		name = "GetActionHandleResponse"
		size = 108
		refs = "000e @IntfAddRef 0016 GetActionHandleResponse 0023 @IntfClear 0032 Supports 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B9 46 0A BA 9B 51 33 47 B1 29 76 80 AD F3 35 68 }
	condition:
		$1
}

rule function_96872_0 {
	meta:
		name = "TBaseAdapterAction.GetExecuteActionResponse"
		size = 233
		refs = "0019 @IntfAddRef 0029 TBaseAdapterAction.GetExecuteActionResponse 0088 GetActionHandleResponse 00b1 @HandleFinally 00c8 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F4 89 4D F8 89 55 FC 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 0C 84 C0 75 78 8B 4D F8 8B 55 FC 8B 45 F0 8B 18 FF 53 54 8B 45 F8 8B 10 FF 52 0C 84 C0 75 5E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B 55 FC 8B 45 F0 8B 18 FF 53 5C 8B 45 F8 8B 10 FF 52 0C 84 C0 75 13 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B 45 F0 8B 18 FF 53 58 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96874_0 {
	meta:
		name = "GetActionRespondWith"
		size = 108
		refs = "000e @IntfAddRef 0016 GetActionRespondWith 0023 @IntfClear 0032 Supports 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 49 EE E6 0F 15 10 06 42 92 A9 65 65 59 39 E4 EC }
	condition:
		$1
}

rule function_96875_0 {
	meta:
		name = "TBaseAdapterAction.ImplGetExecuteActionResponse"
		size = 194
		refs = "0013 @IntfAddRef 001b TBaseAdapterAction.ImplGetExecuteActionResponse 0026 WebContext 0033 TWebResponse.GetUnicodeContent 004c TBaseAdapterAction.GetErrors 0051 TBaseAdapterErrorsList.GetErrorCount 0076 GetActionRespondWith 00a1 @UStrClr 00a9 @IntfClear 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 4D FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 8D 55 F4 E8 ?? ?? ?? ?? 83 7D F4 00 74 0C B2 01 8B 45 FC 8B 08 FF 51 10 EB 47 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0C B2 01 8B 45 FC 8B 08 FF 51 18 EB 0A 33 D2 8B 45 FC 8B 08 FF 51 18 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 0C 3C 03 75 0A 8B D3 8B 45 F8 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96878_0 {
	meta:
		name = "TBaseAdapterAction.ImplGetActionName"
		size = 21
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 A8 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_96883_0 {
	meta:
		name = "TBaseAdapterAction.GetErrors"
		size = 140
		refs = "000c TBaseAdapterAction.GetErrors 0019 TBaseAdapterAction.GetAdapter 0034 @IntfClear 0041 Supports 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 34 8B C3 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 B1 8E DD 42 9A 5D D4 11 A4 98 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96884_0 {
	meta:
		name = "TBaseAdapterAction.GetAdapter"
		size = 35
		refs = "000c FindAdapterInParent 0018 _DV_TCustomAdapter 001d @AsClass"
	strings:
		$1 = { 53 8B D8 83 7B 4C 00 75 0A 8B C3 E8 ?? ?? ?? ?? 89 43 4C 8B 43 4C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96885_0 {
	meta:
		name = "TBaseAdapterAction.ParentChanged"
		size = 17
		refs = "0006 TWebContainedComponent.ParentChanged"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 4C 5B C3 }
	condition:
		$1
}

rule function_96887_0 {
	meta:
		name = "TBaseAdapterAction.ImplGetDisplayLabel"
		size = 37
		refs = "0011 TBaseAdapterAction.GetActionName 001e @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 48 00 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96888_0 {
	meta:
		name = "TBaseAdapterAction.SetDisplayLabel"
		size = 101
		refs = "000f TBaseAdapterAction.SetDisplayLabel 0029 @UStrEqual 0033 @UStrClr 003f @UStrAsg 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 48 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 75 0A 8D 43 48 E8 ?? ?? ?? ?? EB 0A 8D 43 48 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96891_0 {
	meta:
		name = "TBaseAdapterAction.HasExecuteAccess"
		size = 15
	strings:
		$1 = { 56 8B F0 8B C6 8B 10 FF 92 90 00 00 00 5E C3 }
	condition:
		$1
}

rule function_96892_0 {
	meta:
		name = "TBaseAdapterAction.ImplHasExecuteAccess"
		size = 216
		refs = "0011 TBaseAdapterAction.ImplHasExecuteAccess 001e TBaseAdapterAction.GetAdapter 002e @IntfClear 003b Supports 005c WebContext 00a1 IWebEndUser 00ab @FinalizeArray 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 14 8B D8 EB 02 B3 01 84 DB 74 3A 83 7E 50 00 74 34 E8 ?? ?? ?? ?? 85 C0 74 2B E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 11 83 7D F8 00 74 19 E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 11 8B 45 F4 8B 56 50 8B 08 FF 51 0C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5E 5B 8B E5 5D C3 00 C0 32 92 17 77 CC D4 11 A5 2B 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96893_0 {
	meta:
		name = "TBaseAdapterAction.CheckExecuteAccess"
		size = 84
		refs = "000c TBaseAdapterAction.CheckExecuteAccess 0019 TBaseAdapterAction.HasExecuteAccess 0027 TBaseAdapterAction.GetActionName 002f RaiseActionExecutionNotPermitted 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 12 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_96895_0 {
	meta:
		name = "TBaseAdapterAction.HandleRequest"
		size = 84
		refs = "000f @IntfAddRef 0017 TBaseAdapterAction.HandleRequest 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 8B 08 FF 91 8C 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96896_0 {
	meta:
		name = "TBaseAdapterAction.ImplCreateRequestContext"
		size = 148
		refs = "0015 @IntfAddRef 001d TBaseAdapterAction.ImplCreateRequestContext 002a TBaseAdapterAction.GetAdapter 003a @IntfClear 0047 Supports 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 55 FC 8B 45 F8 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 FB 4A 4E 37 1F D1 D4 11 A5 31 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96897_0 {
	meta:
		name = "TBaseAdapterAction.ImplHandleRequest"
		size = 240
		refs = "0011 TBaseAdapterAction.ImplHandleRequest 001c WebContext 0030 @IntfClear 003d Supports 007e TBaseAdapterAction.ExecuteActionRequest 008b TBaseAdapterAction.GetExecuteActionResponse 00a1 IInterface 00ab @FinalizeArray 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 51 0C 8B 45 F4 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 2A E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 51 10 8B 45 F0 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B C3 5E 5B 8B E5 5D C3 00 FC 4A 4E 37 1F D1 D4 11 A5 31 00 C0 4F 6B B8 53 10 04 94 03 4D 41 D4 11 A4 7C 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96899_0 {
	meta:
		name = "TBaseAdapterAction.DoAfterExecuteActionRequest"
		size = 219
		refs = "0011 @IntfAddRef 0019 TBaseAdapterAction.DoAfterExecuteActionRequest 002d TBaseAdapterAction.GetAdapter 003f AdapterRequestParamsAsStrings 00ac TObject.Free 00b2 @HandleFinally 00c9 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 62 00 75 11 8B C3 E8 ?? ?? ?? ?? 66 83 B8 8A 00 00 00 00 74 7D 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 62 00 74 0B 8B 4D F8 8B D3 8B 43 64 FF 53 60 8B C3 E8 ?? ?? ?? ?? 66 83 B8 8A 00 00 00 00 74 24 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CB 8B 86 8C 00 00 00 FF 96 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96900_0 {
	meta:
		name = "TBaseAdapterAction.DoAfterGetExecuteActionResponse"
		size = 219
		refs = "0011 @IntfAddRef 0019 TBaseAdapterAction.DoAfterGetExecuteActionResponse 002d TBaseAdapterAction.GetAdapter 003f AdapterRequestParamsAsStrings 00ac TObject.Free 00b2 @HandleFinally 00c9 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 6A 00 75 11 8B C3 E8 ?? ?? ?? ?? 66 83 B8 92 00 00 00 00 74 7D 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 6A 00 74 0B 8B 4D F8 8B D3 8B 43 6C FF 53 68 8B C3 E8 ?? ?? ?? ?? 66 83 B8 92 00 00 00 00 74 24 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CB 8B 86 94 00 00 00 FF 96 90 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96901_0 {
	meta:
		name = "TBaseAdapterAction.DoBeforeExecuteActionRequest"
		size = 257
		refs = "0011 @IntfAddRef 0019 TBaseAdapterAction.DoBeforeExecuteActionRequest 0031 TBaseAdapterAction.GetAdapter 0047 AdapterRequestParamsAsStrings 00c2 TObject.Free 00c8 @HandleFinally 00ef @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 66 83 7B 5A 00 75 15 8B C3 E8 ?? ?? ?? ?? 66 83 B8 82 00 00 00 00 0F 84 9B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 66 83 B8 82 00 00 00 00 74 28 8B 45 F4 50 8D 45 FB 50 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CB 8B 86 84 00 00 00 FF 96 80 00 00 00 80 7D FB 00 75 16 66 83 7B 5A 00 74 0F 8D 45 FB 50 8B 4D F4 8B D3 8B 43 5C FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FB 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96902_0 {
	meta:
		name = "TBaseAdapterAction.DoBeforeGetExecuteActionResponse"
		size = 276
		refs = "0014 @IntfAddRef 0024 TBaseAdapterAction.DoBeforeGetExecuteActionResponse 003c TBaseAdapterAction.GetAdapter 0052 AdapterRequestParamsAsStrings 00cd TObject.Free 00d3 @HandleFinally 00fa @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 66 83 7B 72 00 75 15 8B C3 E8 ?? ?? ?? ?? 66 83 B8 9A 00 00 00 00 0F 84 9B 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 66 83 B8 9A 00 00 00 00 74 28 8B 45 F0 50 8D 45 F7 50 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CB 8B 86 9C 00 00 00 FF 96 98 00 00 00 80 7D F7 00 75 16 66 83 7B 72 00 74 0F 8D 45 F7 50 8B 4D F0 8B D3 8B 43 74 FF 53 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D F7 00 74 0A B2 01 8B 45 F8 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_96903_0 {
	meta:
		name = "TBaseAdapterAction.GetSuccessOptions"
		size = 21
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 10 FF 92 88 00 00 00 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_96904_0 {
	meta:
		name = "TBaseAdapterAction.GetFailureOptions"
		size = 21
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 10 FF 92 84 00 00 00 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_96905_0 {
	meta:
		name = "TBaseAdapterAction.ImplGetSuccessOptions"
		size = 7
		altNames = "TCustomAdapterAction.ImplGetSuccessOptions"
	strings:
		$1 = { 0F B6 50 78 8B C2 C3 }
	condition:
		$1
}

rule function_96907_0 {
	meta:
		name = "TBaseAdapterAction.GetDisplayStyle"
		size = 41
		refs = "0017 AdapterActionHTMLElementTypeNames 0021 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 7C 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 14 82 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96910_0 {
	meta:
		name = "TBaseAdapterAction.GetViewMode"
		size = 44
		refs = "001a AdapterDisplayViewModeTypeNames 0024 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 80 00 00 00 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 14 82 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96915_0 {
	meta:
		name = "TBaseAdapterAction.ImplEndIterator"
		size = 10
	strings:
		$1 = { 33 D2 89 50 40 C6 40 44 00 C3 }
	condition:
		$1
}

rule function_96916_0 {
	meta:
		name = "TBaseAdapterAction.ImplNextIteration"
		size = 21
	strings:
		$1 = { 53 8B D8 FF 43 40 8B C3 8B 10 FF 52 64 3B 43 40 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_96917_0 {
	meta:
		name = "TBaseAdapterAction.ImplStartIterator"
		size = 12
	strings:
		$1 = { 33 D2 89 50 40 C6 40 44 01 B0 01 C3 }
	condition:
		$1
}

rule function_96924_0 {
	meta:
		name = "TBaseAdapterAction.IsDefaultAction"
		size = 6
	strings:
		$1 = { 8B 08 FF 51 70 C3 }
	condition:
		$1
}

rule function_96926_0 {
	meta:
		name = "TCustomAdapterAction.ImplExecuteActionRequest"
		size = 149
		refs = "0010 @IntfAddRef 0018 TCustomAdapterAction.ImplExecuteActionRequest 0030 AdapterRequestParamsAsStrings 0067 TObject.Free 006d @HandleFinally 0084 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB D2 00 00 00 00 74 47 8B 45 FC E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B D3 8B 83 D4 00 00 00 FF 93 D0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_96927_0 {
	meta:
		name = "TCustomAdapterAction.ImplGetActionName"
		size = 43
		refs = "0014 TBaseAdapterAction.ImplGetActionName 0024 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB C8 00 00 00 00 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 93 C8 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96929_0 {
	meta:
		name = "TCustomAdapterAction.ImplWebEnabled"
		size = 41
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 DA 00 00 00 00 74 12 8B CC 8B D8 8B D0 8B 83 DC 00 00 00 FF 93 D8 00 00 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_96931_0 {
	meta:
		name = "TCustomAdapterAction.ImplSetActionName"
		size = 110
		refs = "000f TCustomAdapterAction.ImplSetActionName 002c @UStrEqual 0039 @UStrClr 0048 @UStrAsg 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 A8 00 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 75 0D 8D 83 C8 00 00 00 E8 ?? ?? ?? ?? EB 0D 8D 83 C8 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96933_0 {
	meta:
		name = "TAdapterActions.ImplCanAddClass"
		size = 83
		refs = "000b _DV_TCustomAdapterAction 0012 TObject.InheritsFrom 001c _DV_TImplementedAdapterAction 0032 TAdapterActions.AdapterCanAddClass 0041 CanAddClassHelper"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 13 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96934_0 {
	meta:
		name = "TAdapterActions.ImplGetWebComponentNodeName"
		size = 48
		refs = "0006 TAdapterActions.ImplGetWebComponentNodeName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 63 00 74 00 69 00 6F 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_96935_0 {
	meta:
		name = "TAdapterActions.SetWebParent"
		size = 48
		refs = "0016 _DV_TCustomAdapter 001b @AsClass 0022 TCustomAdapter.SetActions"
	strings:
		$1 = { 53 56 8B D8 3B 53 40 74 24 85 D2 74 1B 8B F2 89 73 40 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? EB 05 33 C0 89 43 40 5E 5B C3 }
	condition:
		$1
}

rule function_96936_0 {
	meta:
		name = "TAdapterActions.AdapterCanAddClass"
		size = 156
		refs = "0012 TAdapterActions.AdapterCanAddClass 001f TAdapterSubComponent.GetAdapter 003e @IntfClear 004b Supports 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 B3 01 EB 3A 8B C3 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 10 8B CF 8B D6 8B 45 FC 8B 18 FF 53 10 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 00 00 B2 8E DD 42 9A 5D D4 11 A4 98 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96937_0 {
	meta:
		name = "TAdapterFields.ImplCanAddClass"
		size = 66
		refs = "000b _DV_TAdapterUpdateField 0012 TObject.InheritsFrom 0021 TAdapterFields.AdapterCanAddClass 0030 CanAddClassHelper"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 22 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 13 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96938_0 {
	meta:
		name = "TAdapterFields.ImplGetWebComponentNodeName"
		size = 48
		refs = "0006 TAdapterFields.ImplGetWebComponentNodeName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 46 00 69 00 65 00 6C 00 64 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_96939_0 {
	meta:
		name = "TAdapterFields.SetWebParent"
		size = 51
		refs = "0016 _DV_TCustomAdapter 001b @AsClass"
	strings:
		$1 = { 56 57 8B F0 3B 56 40 74 27 85 D2 74 1E 8B FA 89 7E 40 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 08 FF 91 8C 00 00 00 EB 05 33 C0 89 46 40 5F 5E C3 }
	condition:
		$1
}

rule function_96940_0 {
	meta:
		name = "TAdapterFields.AdapterCanAddClass"
		size = 156
		refs = "0012 TAdapterFields.AdapterCanAddClass 001f TAdapterSubComponent.GetAdapter 003e @IntfClear 004b Supports 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 75 04 B3 01 EB 3A 8B C3 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 10 8B CF 8B D6 8B 45 FC 8B 18 FF 53 0C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 00 00 B2 8E DD 42 9A 5D D4 11 A4 98 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96941_0 {
	meta:
		name = "TAdapterDefaultActions.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TWebContainerComponent.Destroy 0022 TObject.Free 002d @ClassDestroy"
		altNames = "TAdapterDefaultFields.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8D 46 60 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96942_0 {
	meta:
		name = "TAdapterDefaultFields.GetVariablesInUse"
		size = 42
		refs = "000f _DV_TDefaultFieldsAdapter 0014 @AsClass 0019 TCustomAdapter.GetVisibleFields 0023 TAdapterSubComponent.GetVariablesInUse"
	strings:
		$1 = { 53 56 8B D8 8B 73 40 85 F6 74 15 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96951_0 {
	meta:
		name = "TAdapterDefaultActions.GetVariablesInUse"
		size = 42
		refs = "000f _DV_TDefaultFieldsAdapter 0014 @AsClass 0019 TCustomAdapter.GetVisibleActions 0023 TAdapterSubComponent.GetVariablesInUse"
	strings:
		$1 = { 53 56 8B D8 8B 73 40 85 F6 74 15 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96946_0 {
	meta:
		name = "TAdapterDefaultFields.GetNewFieldPrefix"
		size = 44
		refs = "0006 TAdapterDefaultFields.GetNewFieldPrefix 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 64 00 61 00 70 00 74 00 00 00 }
	condition:
		$1
}

rule function_96947_0 {
	meta:
		name = "TAdapterDefaultActions.ClearDefaultComponents"
		size = 28
		refs = "000f TObject.Free 0016 TAdapterSubComponent.NotifyAdapterChange"
		altNames = "TAdapterDefaultFields.ClearDefaultComponents"
	strings:
		$1 = { 53 8B D8 8D 43 60 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96949_0 {
	meta:
		name = "TAdapterDefaultActions.SetDefaultWebComponents"
		size = 4
		altNames = "TAdapterDefaultFields.SetDefaultWebComponents"
	strings:
		$1 = { 89 50 60 C3 }
	condition:
		$1
}

rule function_96955_0 {
	meta:
		name = "TAdapterDefaultActions.GetNewFieldPrefix"
		size = 48
		refs = "0006 TAdapterDefaultActions.GetNewFieldPrefix 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 41 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_96959_0 {
	meta:
		name = "TDefaultFieldsAdapter.ImplSetActions"
		size = 37
		refs = "000b TCustomAdapter.ImplSetActions 0013 _DV_TAdapterDefaultActions 0018 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 24 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_96960_0 {
	meta:
		name = "TDefaultFieldsAdapter.ImplSetData"
		size = 37
		refs = "000b TCustomAdapter.ImplSetData 0013 _DV_TAdapterDefaultFields 0018 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 20 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_96961_0 {
	meta:
		name = "ListIsClear"
		size = 26
		refs = "000a TWebComponentList.GetCount"
	strings:
		$1 = { 53 8B D8 85 DB 74 0F 8B C3 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_96962_0 {
	meta:
		name = "TDefaultFieldsAdapter.DefaultWebComponentsChange"
		size = 80
		refs = "000a TDefaultFieldsAdapter.DefaultWebComponentsChange 0024 ListIsClear 0041 TCustomAdapter.NotifyAdapterChange"
	strings:
		$1 = { 53 8B D8 0F B7 43 1C 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 74 2B 8B 83 20 01 00 00 8B 40 60 E8 ?? ?? ?? ?? 84 C0 75 12 8B 83 24 01 00 00 8B 40 60 E8 ?? ?? ?? ?? 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 5B C3 00 09 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_96963_0 {
	meta:
		name = "TDefaultFieldsAdapter.AddDefaultFields"
		size = 96
		refs = "000d _Dn_TStringList 0012 TStringList.Create 001d TDefaultFieldsAdapter.AddDefaultFields 003a AddDefaultFields 004f TObject.Free 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 91 D4 00 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96964_0 {
	meta:
		name = "TDefaultFieldsAdapter.ImplGetVisibleFields"
		size = 106
		refs = "000c TWebContainerComponent.GetWebComponents 0011 TWebComponentList.GetCount 001c TCustomAdapter.ImplGetVisibleFields 0033 _Dn_TWebComponentList 0038 TWebComponentList.Create 004d TDefaultFieldsAdapter.DefaultWebComponentsChange"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 20 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 09 8B C3 E8 ?? ?? ?? ?? EB 44 8B BB 20 01 00 00 83 7F 60 00 75 2F 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 83 20 01 00 00 89 70 60 89 5E 14 C7 46 10 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 EC 00 00 00 8B 83 20 01 00 00 8B 40 60 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96965_0 {
	meta:
		name = "TDefaultFieldsAdapter.AddDefaultActions"
		size = 96
		refs = "000d _Dn_TStringList 0012 TStringList.Create 001d TDefaultFieldsAdapter.AddDefaultActions 003a AddDefaultActions 004f TObject.Free 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 91 E0 00 00 00 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_96966_0 {
	meta:
		name = "TDefaultFieldsAdapter.ImplGetVisibleActions"
		size = 106
		refs = "000c TWebContainerComponent.GetWebComponents 0011 TWebComponentList.GetCount 001c TCustomAdapter.ImplGetVisibleActions 0033 _Dn_TWebComponentList 0038 TWebComponentList.Create 004d TDefaultFieldsAdapter.DefaultWebComponentsChange"
	strings:
		$1 = { 53 56 57 8B D8 8B 83 24 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 09 8B C3 E8 ?? ?? ?? ?? EB 44 8B BB 24 01 00 00 83 7F 60 00 75 2F 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 83 24 01 00 00 89 70 60 89 5E 14 C7 46 10 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 F0 00 00 00 8B 83 24 01 00 00 8B 40 60 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96970_0 {
	meta:
		name = "TAdapterSubComponent.GetParentComponent"
		size = 16
		refs = "000b TComponent.GetParentComponent"
	strings:
		$1 = { 8B 50 40 85 D2 74 03 8B C2 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96972_0 {
	meta:
		name = "TAdapterSubComponent.HasParent"
		size = 15
		refs = "000a TComponent.HasParent"
	strings:
		$1 = { 83 78 40 00 74 03 B0 01 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96974_0 {
	meta:
		name = "TAdapterSubComponent.ReadState"
		size = 28
		refs = "000b TComponent.ReadState"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 56 2C 8B C3 8B 08 FF 51 58 5E 5B C3 }
	condition:
		$1
}

rule function_96975_0 {
	meta:
		name = "TAdapterSubComponent.SetParentComponent"
		size = 18
	strings:
		$1 = { 56 8B F0 F6 46 1C 01 75 07 8B C6 8B 08 FF 51 58 5E C3 }
	condition:
		$1
}

rule function_96978_0 {
	meta:
		name = "Find"
		size = 252
		refs = "0013 Find 0021 TWebComponentList.GetCount 003f TWebComponentList.GetComponent 0049 @IntfClear 005e Supports 007d @UStrLAsg 00a4 CompareText 00cf @UStrArrayClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 0F 8C 87 00 00 00 43 C7 45 EC 00 00 00 00 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 83 7D FC 00 74 49 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 8D 45 F4 8B 55 08 8B 52 FC E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 08 FF 45 EC 4B 75 81 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C6 5E 5B 8B E5 5D C3 00 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96979_0 {
	meta:
		name = "TAdapterSubComponent.FindNamedVariable"
		size = 28
		refs = "0013 Find"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 55 8B C3 8B 10 FF 52 5C E8 ?? ?? ?? ?? 59 5B 59 5D C3 }
	condition:
		$1
}

rule function_96980_0 {
	meta:
		name = "TAdapterSubComponent.FindVariable"
		size = 6
	strings:
		$1 = { 8B 08 FF 51 4C C3 }
	condition:
		$1
}

rule function_96981_0 {
	meta:
		name = "TAdapterSubComponent.FindVariableContainer"
		size = 128
		refs = "000d TAdapterSubComponent.FindVariableContainer 0028 @IntfClear 003d Supports 0048 RaiseVariableIsNotAContainer 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D6 8B 08 FF 51 4C 8B D8 85 DB 74 28 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A }
	condition:
		$1
}

rule function_96982_0 {
	meta:
		name = "TAdapterSubComponent.GetAdapter"
		size = 12
		refs = "0006 @CallDynaInst"
	strings:
		$1 = { 56 66 BE F2 FF E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_96983_0 {
	meta:
		name = "TAdapterSubComponent.GetCurrentObject"
		size = 9
		refs = "0004 TAdapterSubComponent.GetVariable"
	strings:
		$1 = { 8B 50 44 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_96985_0 {
	meta:
		name = "TAdapterSubComponent.GetVariable"
		size = 23
		refs = "0010 TWebComponentList.GetComponent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 5C 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_96986_0 {
	meta:
		name = "TAdapterSubComponent.GetVariableCount"
		size = 17
		refs = "000b TWebComponentList.GetCount"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 5C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_96989_0 {
	meta:
		name = "TAdapterSubComponent.NextIteration"
		size = 26
		refs = "000e TWebComponentList.GetCount"
	strings:
		$1 = { 53 8B D8 FF 43 44 8B C3 8B 10 FF 52 5C E8 ?? ?? ?? ?? 3B 43 44 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_96990_0 {
	meta:
		name = "TAdapterSubComponent.NotifyAdapterChange"
		size = 120
		refs = "000c TAdapterSubComponent.NotifyAdapterChange 0019 TAdapterSubComponent.GetAdapter 0029 @IntfClear 0036 Supports 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 60 80 D4 10 D8 2B 2E 47 87 1B 29 33 AC D8 F3 B3 }
	condition:
		$1
}

rule function_96992_0 {
	meta:
		name = "TAdapterSubComponent.StartIterator"
		size = 29
		refs = "0011 TWebComponentList.GetCount"
	strings:
		$1 = { 53 56 8B D8 33 F6 89 73 44 8B C3 8B 10 FF 52 5C E8 ?? ?? ?? ?? 3B F0 0F 9C C0 5E 5B C3 }
	condition:
		$1
}

rule function_96993_0 {
	meta:
		name = "TAdapterErrorsList.AddError"
		size = 164
		refs = "001a TAdapterErrorsList.AddError 0028 @IntfClear 0037 Supports 0076 @UStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 1A 57 8D 55 F4 8B 45 FC 8B 08 FF 51 0C 8B 4D F4 8B D6 8B C3 8B 18 FF 53 1C EB 0C 57 33 C9 8B D6 8B C3 8B 18 FF 53 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96994_0 {
	meta:
		name = "TAdapterErrorsList.AddError"
		size = 152
		refs = "0014 TAdapterErrorsList.AddError 0022 @IntfClear 0030 Supports 006d @UStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 19 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 8B 4D F8 8B D6 8B C3 8B 18 FF 53 18 EB 0B 33 C9 8B D6 8B C3 8B 18 FF 53 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_96995_0 {
	meta:
		name = "TAdapterErrorsList.AddError"
		size = 104
		refs = "000e _DV_EAdapterException 0013 @IsClass 002a _DV_EAdapterFieldException"
	strings:
		$1 = { 53 56 57 55 8B E9 8B DA 8B F8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 8B 73 18 EB 02 33 F6 85 ED 75 30 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 56 8B 4B 1C 8B 53 04 8B C7 8B 18 FF 53 1C EB 1C 56 8B CD 8B 53 04 8B C7 8B 18 FF 53 1C EB 0D 56 8B CD 8B 53 04 8B C7 8B 18 FF 53 1C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_96996_0 {
	meta:
		name = "TAdapterErrorsList.AddError"
		size = 40
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F0 8B 4D 08 8B 46 1C 8B 18 FF 53 3C 8B 55 FC 8B 46 20 8B 08 FF 51 38 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_96997_0 {
	meta:
		name = "TAdapterErrorsList.ImplClearErrors"
		size = 21
	strings:
		$1 = { 56 8B F0 8B 46 1C 8B 10 FF 52 44 8B 46 20 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_96998_0 {
	meta:
		name = "TAdapterErrorsList.Create"
		size = 105
		refs = "000b @ClassCreate 001a TObject.Create 0021 _Dn_TStringList 0026 TStringList.Create 0055 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 24 89 77 18 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97000_0 {
	meta:
		name = "TAdapterErrorsList.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001a TObject.Free 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97001_0 {
	meta:
		name = "TAdapterErrorsList.ImplGetError"
		size = 44
		refs = "000f _DV_TAdapterError 0014 TAdapterError.Create 0024 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_110930_0 {
	meta:
		name = "MakeNamedNodeMap"
		size = 44
		refs = "000f _DV_Tox4DOMNamedNodeMap 0014 Tox4DOMNamedNodeMap.Create 0024 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97250_0 {
	meta:
		name = "TAdapterHiddenFieldsList.GetField"
		size = 44
		refs = "000f _DV_TAdapterHiddenField 0014 TAdapterHiddenField.Create 0024 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97002_0 {
	meta:
		name = "TAdapterErrorsList.ImplGetErrorCount"
		size = 9
	strings:
		$1 = { 8B 40 1C 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_97003_0 {
	meta:
		name = "TAdapterErrorsList.ImplGetObjectErrors"
		size = 78
		refs = "0030 _DV_TAdapterObjectErrorsList 0035 TAdapterObjectErrorsList.Create"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 33 FF 8B D5 8B 43 20 8B 08 FF 51 54 8B F0 85 F6 7C 2D 8B D6 8B 43 20 8B 08 FF 51 18 8B F8 85 FF 75 1D 55 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B CF 8B D6 8B 43 20 8B 18 FF 53 24 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97004_0 {
	meta:
		name = "TAdapterErrorsList.ImplHasObjectErrors"
		size = 24
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 20 8B 08 FF 51 54 85 C0 0F 9D C0 5E 5B C3 }
	condition:
		$1
}

rule function_97005_0 {
	meta:
		name = "TAdapterErrorsList.GetFieldName"
		size = 25
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 20 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97006_0 {
	meta:
		name = "TAdapterErrorsList.GetID"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 1C 8B 08 FF 51 18 5E 5B C3 }
	condition:
		$1
}

rule function_97008_0 {
	meta:
		name = "TAdapterError.Create"
		size = 72
		refs = "000e @ClassCreate 001d TObject.Create 0031 @AfterConstruction"
		altNames = "TAdapterHiddenField.Create Tox4DOMNamedNodeMap.Create"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 8B 45 08 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_97009_0 {
	meta:
		name = "TAdapterError.GetErrorText"
		size = 208
		refs = "0013 TAdapterError.GetErrorText 0027 TAdapterErrorsList.GetMessage 0035 TAdapterErrorsList.GetFieldName 004c TStrings.GetValue 006e Pos 008d @UStrDelete 009a @UStrInsert 00a4 @UStrAsg 00be @UStrArrayClr 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B 53 10 8B 43 0C E8 ?? ?? ?? ?? 8D 4D F8 8B 53 10 8B 43 0C E8 ?? ?? ?? ?? 83 7D F8 00 74 5F 8D 4D F0 8B 43 0C 8B 40 24 8B 55 F8 E8 ?? ?? ?? ?? 83 7D F0 00 74 48 8D 4D FC 8B 43 0C 8B 40 24 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 7E 26 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8D 55 F4 8B C8 8B C3 92 E8 ?? ?? ?? ?? 8D 55 F4 8B CB 8B 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97010_0 {
	meta:
		name = "TAdapterError.GetField"
		size = 180
		refs = "0011 TAdapterError.GetField 0027 TAdapterErrorsList.GetFieldName 0035 @IntfClear 0047 Supports 006b FindAdapterField 0087 @UStrArrayClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8D 4D F8 8B 53 10 8B 43 0C E8 ?? ?? ?? ?? 83 7D F8 00 74 40 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 0C 8B 40 18 E8 ?? ?? ?? ?? 84 C0 74 22 8D 4D F4 8B 53 10 8B 43 0C E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 8B 10 FF 52 18 5A E8 ?? ?? ?? ?? 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C6 5E 5B 8B E5 5D C3 00 BD BB 2D D6 40 2C D4 11 A4 6E 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_97011_0 {
	meta:
		name = "TAdapterError.GetID"
		size = 12
		refs = "0007 TAdapterErrorsList.GetID"
	strings:
		$1 = { 8B 50 10 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97012_0 {
	meta:
		name = "TCustomLoginFormAdapter.ImplGetActionsList"
		size = 56
		refs = "000c _DV_TLoginFormAdapterLoginAction 0011 TCustomLoginFormAdapter.ImplGetActionsList"
	strings:
		$1 = { 53 8B DA 8B C3 8B 10 FF 52 44 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 3C 5B C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 6F 00 67 00 69 00 6E 00 00 00 }
	condition:
		$1
}

rule function_97013_0 {
	meta:
		name = "TCustomLoginFormAdapter.ImplNotifyDeactivate"
		size = 23
		refs = "0006 TCustomAdapter.ImplNotifyDeactivate 0011 @UStrClr"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 83 4C 01 00 00 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_97014_0 {
	meta:
		name = "TCustomLoginFormAdapter.ImplGetFieldsList"
		size = 164
		refs = "000d _DV_TAdapterUserNameField 0012 TCustomLoginFormAdapter.ImplGetFieldsList 001f _DV_TAdapterPasswordField 0031 _DV_TAdapterNextPageField"
	strings:
		$1 = { 53 56 8B DA 8B C3 8B 10 FF 52 44 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 3C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 3C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 3C 5E 5B C3 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 73 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 65 00 78 00 74 00 50 00 61 00 67 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_97017_0 {
	meta:
		name = "TCustomLoginFormAdapter.RaiseBlankPassword"
		size = 111
		refs = "000b TCustomLoginFormAdapter.RaiseBlankPassword 0019 sWebUserPassword 001e LoadResString 002c sBlankPassword 003b _DV_EAdapterFieldException 0040 EAdapterFieldException.Create 0045 @RaiseExcept 005f @UStrArrayClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 6A 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_97018_0 {
	meta:
		name = "TCustomLoginFormAdapter.RaiseBlankUserName"
		size = 111
		refs = "000b TCustomLoginFormAdapter.RaiseBlankUserName 0019 sWebUserName 001e LoadResString 002c sBlankUserName 003b _DV_EAdapterFieldException 0040 EAdapterFieldException.Create 0045 @RaiseExcept 005f @UStrArrayClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 6A 00 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 59 59 5D C3 }
	condition:
		$1
}

rule function_97019_0 {
	meta:
		name = "TCustomLoginFormAdapter.ValidatePassword"
		size = 228
		refs = "0017 TCustomLoginFormAdapter.ValidatePassword 0035 TCustomLoginFormAdapter.GetPassword 006d VarIsEmpty 0086 @VarToUStr 0091 Trim 009e TCustomLoginFormAdapter.RaiseBlankPassword 00b3 @VarClr 00c0 @UStrArrayClr 00c9 Variant 00d3 @FinalizeArray 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 32 01 00 00 00 74 21 8D 45 FF 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 4D EC 8B D3 8B 83 34 01 00 00 FF 93 30 01 00 00 EB 04 C6 45 FF 00 80 7D FF 00 75 4C 80 BB 48 01 00 00 00 74 43 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 84 C0 75 26 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8D 55 C4 8D 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 E8 ?? ?? ?? ?? 83 7D D8 00 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97020_0 {
	meta:
		name = "TCustomLoginFormAdapter.EndUser"
		size = 184
		refs = "0012 TCustomLoginFormAdapter.EndUser 0026 WebContext 0038 @IntfClear 004d Supports 006a @IntfCopy 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 40 01 00 00 00 75 49 E8 ?? ?? ?? ?? 8B 53 04 8B 08 FF 51 3C 8B F0 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 19 8D 55 F8 8B 45 FC 8B 08 FF 51 1C 8B 55 F8 8D 83 40 01 00 00 E8 ?? ?? ?? ?? 8B C7 8B 93 40 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 0D 2F CD 19 8F E6 6F 4A 92 AA 4C 76 59 E8 37 08 }
	condition:
		$1
}

rule function_97021_0 {
	meta:
		name = "TCustomLoginFormAdapter.UserList"
		size = 184
		refs = "0012 TCustomLoginFormAdapter.UserList 0026 WebContext 0038 @IntfClear 004d Supports 006a @IntfCopy 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 44 01 00 00 00 75 49 E8 ?? ?? ?? ?? 8B 53 04 8B 08 FF 51 3C 8B F0 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 19 8D 55 F8 8B 45 FC 8B 08 FF 51 20 8B 55 F8 8D 83 44 01 00 00 E8 ?? ?? ?? ?? 8B C7 8B 93 44 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 0D 2F CD 19 8F E6 6F 4A 92 AA 4C 76 59 E8 37 08 }
	condition:
		$1
}

rule function_97022_0 {
	meta:
		name = "TCustomLoginFormAdapter.ExecuteLogin"
		size = 169
		refs = "0020 @VarAddRef 0028 TCustomLoginFormAdapter.ExecuteLogin 0053 TCustomLoginFormAdapter.EndUser 0084 IWebEndUser 008e @FinalizeArray 0096 @VarClr 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 3A 01 00 00 00 74 11 8D 4D F0 8B D3 8B 83 3C 01 00 00 FF 93 38 01 00 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 83 7D EC 00 74 15 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 F0 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97023_0 {
	meta:
		name = "TCustomLoginFormAdapter.ValidateUserName"
		size = 219
		refs = "0017 TCustomLoginFormAdapter.ValidateUserName 0035 TCustomLoginFormAdapter.GetUserName 0064 VarIsEmpty 007d @VarToUStr 0088 Trim 0095 TCustomLoginFormAdapter.RaiseBlankUserName 00aa @VarClr 00b7 @UStrArrayClr 00c0 Variant 00ca @FinalizeArray 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 2A 01 00 00 00 74 21 8D 45 FF 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 4D EC 8B D3 8B 83 2C 01 00 00 FF 93 28 01 00 00 EB 04 C6 45 FF 00 80 7D FF 00 75 43 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 84 C0 75 26 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8D 55 C4 8D 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 E8 ?? ?? ?? ?? 83 7D D8 00 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97024_0 {
	meta:
		name = "TCustomLoginFormAdapter.GetPassword"
		size = 232
		refs = "0014 TCustomLoginFormAdapter.GetPassword 0022 @VarClear 002c @VarCopy 0031 WebContext 0045 @IntfClear 0052 Supports 0095 @VarClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 8B C3 8D 55 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8B 08 FF 51 0C 8B 45 E4 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 22 8D 4D FC BA ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 10 83 7D FC 00 74 0C 8B CB 33 D2 8B 45 FC 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 A3 2D 3B 95 6D 7C 01 4F 93 2B 0B D8 B6 C6 DB B2 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_97025_0 {
	meta:
		name = "TCustomLoginFormAdapter.GetUserName"
		size = 232
		refs = "0014 TCustomLoginFormAdapter.GetUserName 0022 @VarClear 002c @VarCopy 0031 WebContext 0045 @IntfClear 0052 Supports 0095 @VarClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 8B C3 8D 55 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8B 08 FF 51 0C 8B 45 E4 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 22 8D 4D FC BA ?? ?? ?? ?? 8B 45 F8 8B 30 FF 56 10 83 7D FC 00 74 0C 8B CB 33 D2 8B 45 FC 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 A3 2D 3B 95 6D 7C 01 4F 93 2B 0B D8 B6 C6 DB B2 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 73 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_97026_0 {
	meta:
		name = "TCustomLoginFormAdapter.GetNextPage"
		size = 360
		refs = "0016 TCustomLoginFormAdapter.GetNextPage 002a WebContext 003e @IntfClear 004b Supports 0068 @UStrAsg 00a7 @UStrLAsg 00ce CompareText 00e2 @UStrClr 00f3 FindDefaultAppPageName 0128 @UStrArrayClr 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 4C 01 00 00 00 75 43 E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 51 0C 8B 45 F0 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 19 8D 55 EC 8B 45 FC 8B 08 FF 51 0C 8B 55 EC 8D 83 4C 01 00 00 E8 ?? ?? ?? ?? 83 BB 4C 01 00 00 00 75 71 E8 ?? ?? ?? ?? 8D 55 E8 8B 08 FF 51 34 8B 55 E8 8D 83 4C 01 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 51 2C 8D 45 F4 8B 93 4C 01 00 00 E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 0B 8D 83 4C 01 00 00 E8 ?? ?? ?? ?? 83 BB 4C 01 00 00 00 75 16 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 83 4C 01 00 00 E8 ?? ?? ?? ?? 8B C6 8B 93 4C 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5E 5B 8B E5 5D C3 00 F4 78 D9 14 E9 D1 D4 11 A5 32 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_97027_0 {
	meta:
		name = "TAdapterPasswordField.ImplGetValue"
		size = 14
		refs = "0008 @VarFromUStr"
		altNames = "TAdapterUserNameField.ImplGetValue"
	strings:
		$1 = { 53 8B DA 8B C3 33 D2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_97030_0 {
	meta:
		name = "TAdapterNextPageField.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TWebContainedComponent.Destroy 001d TObject.Free 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 94 00 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97032_0 {
	meta:
		name = "TAdapterNextPageField.GetAdapterValuesList"
		size = 80
		refs = "0014 _DV_TLogicalPageList 0019 TLogicalPageList.Create 0026 @IntfClear 002d TAdapterNextPageField.GetAdapterValuesList 0038 Supports"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 94 00 00 00 00 75 14 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 94 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 83 94 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 51 64 C1 CA AD 9B D4 11 A4 F2 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_97033_0 {
	meta:
		name = "ActionFieldValueAsString"
		size = 132
		refs = "0019 @VarAddRef 0021 ActionFieldValueAsString 0040 @VarToUStr 004f @HandleAnyException 0057 @UStrClr 005c @DoneExcept 0071 @VarClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F0 8D 7D F0 A5 A5 A5 A5 89 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97034_0 {
	meta:
		name = "TAdapterNextPageField.ImplGetValue"
		size = 193
		refs = "0016 TAdapterNextPageField.ImplGetValue 0023 TAdapterNamedField.GetEchoActionFieldValue 0031 TAdapterNamedField.GetActionValue 004f ActionFieldValueAsString 0059 @VarFromUStr 006d TAdapterLoginField.GetAdapter 0097 @UStrClr 009f @VarClr 00af @IntfClear 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3F 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 24 8D 4D E8 33 D2 8B 45 FC 8B 18 FF 53 14 8D 45 E8 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 27 8B C6 33 D2 E8 ?? ?? ?? ?? EB 1C 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 8B 08 FF 91 F4 00 00 00 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97035_0 {
	meta:
		name = "TAdapterNextPageField.UpdateValue"
		size = 117
		refs = "0014 TAdapterNextPageField.UpdateValue 0021 TAdapterLoginField.GetAdapter 0031 TAdapterNamedField.GetActionValue 0047 @VarToUStr 005c @IntfClear 0064 @VarClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 05 4C 01 00 00 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 4D F0 33 D2 8B 18 FF 53 14 8D 55 F0 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97036_0 {
	meta:
		name = "TAdapterNextPageField.ImplGetEchoActionFieldValue"
		size = 8
	strings:
		$1 = { 0F B6 80 98 00 00 00 C3 }
	condition:
		$1
}

rule function_97037_0 {
	meta:
		name = "TAdapterNextPageField.ImplSetEchoActionFieldValue"
		size = 7
	strings:
		$1 = { 88 90 98 00 00 00 C3 }
	condition:
		$1
}

rule function_97038_0 {
	meta:
		name = "TLoginFormAdapterLoginAction.GetDefaultActionName"
		size = 44
		refs = "0006 TLoginFormAdapterLoginAction.GetDefaultActionName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4C 00 6F 00 67 00 69 00 6E 00 00 00 }
	condition:
		$1
}

rule function_97039_0 {
	meta:
		name = "TLoginFormAdapterLoginAction.ImplGetAdapterItemRequestParams"
		size = 264
		refs = "001b @IntfAddRef 0023 TLoginFormAdapterLoginAction.ImplGetAdapterItemRequestParams 0041 WebContext 007b Format 0099 TCustomAdapterAction.ImplGetAdapterItemRequestParams 00b3 @UStrArrayClr 00bb @IntfClear 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D F4 89 5D F8 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 91 AC 00 00 00 83 7D F8 00 75 0D E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 51 34 83 7D F8 00 74 3E 8D 45 F4 50 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8B 45 F8 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 FC 8B 10 FF 52 1C 5A 8B 08 FF 51 38 8B D6 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 65 00 78 00 74 00 50 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3D 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_97040_0 {
	meta:
		name = "TLoginFormAdapterLoginAction.GetLoginStrings"
		size = 344
		refs = "0019 TLoginFormAdapterLoginAction.GetLoginStrings 0026 _Dn_TStringList 002b TStringList.Create 0047 TCustomLoginFormAdapterAction.GetAdapter 004f TCustomLoginFormAdapter.GetUserName 0068 Format 0086 TCustomLoginFormAdapter.GetPassword 00b9 @HandleAnyException 00c1 TObject.Free 00c6 @RaiseAgain 00cb @DoneExcept 00e0 @VarClr 00e8 @UStrClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8D 45 E0 89 45 F0 C6 45 F4 0D 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 38 8D 45 DC 50 8B C3 E8 ?? ?? ?? ?? 8D 55 CC E8 ?? ?? ?? ?? 8D 45 CC 89 45 F0 C6 45 F4 0D 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B 45 FC 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 73 00 65 00 72 00 4E 00 61 00 6D 00 65 00 3D 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 3D 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_97041_0 {
	meta:
		name = "TLoginFormAdapterLoginAction.ImplExecuteActionRequest"
		size = 588
		refs = "0023 @IntfAddRef 0033 TLoginFormAdapterLoginAction.ImplExecuteActionRequest 004e TCustomLoginFormAdapterAction.GetAdapter 007a GetAdapterRequestParamsIntf 009a @UStrAsg 00af TCustomLoginFormAdapter.ValidatePassword 00b7 TCustomLoginFormAdapter.ValidateUserName 00c2 TCustomLoginFormAdapter.UserList 00d0 TLoginFormAdapterLoginAction.GetLoginStrings 010f TObject.Free 0115 @HandleFinally 0122 TCustomLoginFormAdapter.GetUserName 012d TCustomLoginFormAdapter.ExecuteLogin 014c GetActionRespondWith 0174 @HandleOnException 017c _Dn_Exception 018a TCustomAdapter.GetAdapterErrorsList 0198 @DoneExcept 01a0 TBaseAdapterAction.GetErrors 01a5 TBaseAdapterErrorsList.GetErrorCount 01b8 TCustomAdapter.SetEchoActionFieldValues 01d2 @UStrArrayClr 01db IWebUserList 01e5 @FinalizeArray 01ed @IntfClear 01f5 @UStrClr 01fd @VarClr"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 89 55 FC 89 45 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 0F B6 15 ?? ?? ?? ?? 88 50 78 8B 45 DC E8 ?? ?? ?? ?? 85 C0 0F 84 42 01 00 00 8B 45 DC E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 CC 8D 4D D0 BA ?? ?? ?? ?? 8B 18 FF 53 1C 8B 55 D0 8B 45 D4 05 4C 01 00 00 E8 ?? ?? ?? ?? 33 D2 8B 45 D4 8B 08 FF 91 E8 00 00 00 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 D4 E8 ?? ?? ?? ?? 83 7D C8 00 74 4F 8B 45 DC E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 C4 8B 45 D4 E8 ?? ?? ?? ?? 8B 45 C4 8D 4D E0 8B 55 D8 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 E0 8B 45 D4 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 D4 E8 ?? ?? ?? ?? 8D 55 C0 8B 45 D4 8B 08 FF 91 F4 00 00 00 83 7D C0 00 74 24 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 BC 8B 45 D4 8B 08 FF 91 F4 00 00 00 8B 55 BC 8B 45 F4 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 D4 E8 ?? ?? ?? ?? 33 C9 8B D3 8B 18 FF 53 18 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0F 8B 45 DC E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A8 5F 5E 5B 8B E5 5D C3 03 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 65 00 78 00 74 00 50 00 61 00 67 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_97042_0 {
	meta:
		name = "TLoginFormAdapterLoginAction.NextPage"
		size = 26
		refs = "0009 TCustomLoginFormAdapterAction.GetAdapter"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 91 F4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_97044_0 {
	meta:
		name = "ListEndUserFields"
		size = 120
		refs = "000d _DV_TAdapterEndUserDisplayNameField 0012 ListEndUserFields 001f _DV_TAdapterEndUserLoggedInField"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 10 FF 52 44 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 3C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 3C 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4C 00 6F 00 67 00 67 00 65 00 64 00 49 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_97045_0 {
	meta:
		name = "ListEndUserActions"
		size = 112
		refs = "000d _DV_TEndUserAdapterLoginFormAction 0012 ListEndUserActions 001f _DV_TEndUserAdapterLogoutAction"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 10 FF 52 44 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 30 FF 56 3C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 3C 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4C 00 6F 00 67 00 69 00 6E 00 46 00 6F 00 72 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4C 00 6F 00 67 00 6F 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_97050_0 {
	meta:
		name = "TBaseEndUserAdapter.GetDisplayName"
		size = 21
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 1C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_97051_0 {
	meta:
		name = "TBaseEndUserAdapter.ImplGetDisplayName"
		size = 188
		refs = "0012 TBaseEndUserAdapter.ImplGetDisplayName 0022 TCustomAdapter.FindNamedField 0030 @IntfClear 003e Supports 0057 @VarToUStr 006c @VarClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 2F 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 EC 8B 45 FC 8B 08 FF 51 0C 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 4E 00 61 00 6D 00 65 00 00 00 7F 6A 6E 9E 4F 57 D4 11 A4 91 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_97053_0 {
	meta:
		name = "TBaseEndUserAdapter.ImplGetLoggedIn"
		size = 184
		refs = "0010 TBaseEndUserAdapter.ImplGetLoggedIn 0022 TCustomAdapter.FindNamedField 0030 @IntfClear 003e Supports 0055 @VarToBool 006c @VarClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 DB BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 2F 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 EC 8B 45 FC 8B 08 FF 51 0C 8D 45 EC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 4C 00 6F 00 67 00 67 00 65 00 64 00 49 00 6E 00 00 00 00 00 7F 6A 6E 9E 4F 57 D4 11 A4 91 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_97056_0 {
	meta:
		name = "TBaseEndUserAdapter.GetLogoutAction"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 24 01 00 00 C3 }
	condition:
		$1
}

rule function_97058_0 {
	meta:
		name = "TBaseEndUserAdapter.ExecuteLoginForm"
		size = 9
		altNames = "TBaseEndUserAdapter.ProduceLoginPage"
	strings:
		$1 = { 8B 10 FF 92 30 01 00 00 C3 }
	condition:
		$1
}

rule function_97059_0 {
	meta:
		name = "TBaseEndUserAdapter.CanProduceLoginPage"
		size = 30
	strings:
		$1 = { 53 8B D8 66 83 BB 32 01 00 00 00 75 0D 83 BB 28 01 00 00 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_97060_0 {
	meta:
		name = "TBaseEndUserAdapter.CanExecuteLoginForm"
		size = 39
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 14 01 00 00 84 C0 74 0E 8B C3 8B 10 FF 92 20 01 00 00 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_97063_0 {
	meta:
		name = "TBaseEndUserAdapter.ImplProduceLoginPage"
		size = 412
		refs = "001d TBaseEndUserAdapter.ImplProduceLoginPage 0028 WebContext 008c @IntfClear 009b Supports 00dd sPageContentNotProvided 00e2 LoadResString 00ec _DV_EAdapterException 00f1 Exception.CreateFmt 00f6 @RaiseExcept 0113 sPageNotFound 0136 sNoLoginPage 014a Exception.Create 0169 @UStrArrayClr 0177 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 E0 89 55 E4 89 55 E8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 8B F0 C6 45 FB 00 66 83 BB 32 01 00 00 00 74 11 8D 4D FB 8B D3 8B 83 34 01 00 00 FF 93 30 01 00 00 80 7D FB 00 0F 85 F7 00 00 00 83 BB 28 01 00 00 00 0F 84 C9 00 00 00 8D 45 F4 50 E8 ?? ?? ?? ?? 0F B6 0D ?? ?? ?? ?? 8B 93 28 01 00 00 8B 38 FF 57 48 84 C0 74 74 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 15 8B CE 8B 93 28 01 00 00 8B 45 FC 8B 30 FF 56 0C 88 45 FB EB 04 C6 45 FB 00 80 7D FB 00 0F 85 8D 00 00 00 8B 83 28 01 00 00 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 57 8B 83 28 01 00 00 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 00 00 00 00 61 1F 8D 60 23 F2 74 45 89 F7 F2 9A 73 37 2F FC }
	condition:
		$1
}

rule function_97069_0 {
	meta:
		name = "TBaseEndUserAdapter.LogIn"
		size = 91
		refs = "0018 @VarAddRef 0020 TBaseEndUserAdapter.LogIn 0048 @VarClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 91 2C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97070_0 {
	meta:
		name = "TBaseEndUserAdapter.ImplLogIn"
		size = 91
		refs = "0018 @VarAddRef 0020 TBaseEndUserAdapter.ImplLogIn 0048 @VarClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 91 08 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97072_0 {
	meta:
		name = "TBaseEndUserAdapter.ImplHasViewRights"
		size = 94
		refs = "000e @UStrAddRef 0016 TBaseEndUserAdapter.ImplHasViewRights 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF B3 3C 01 00 00 FF B3 38 01 00 00 8B 55 FC 8B C3 8B 08 FF 91 18 01 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_97077_0 {
	meta:
		name = "TBaseEndUserAdapter.ImplHasExecuteRights"
		size = 94
		refs = "000e @UStrAddRef 0016 TBaseEndUserAdapter.ImplHasExecuteRights 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF B3 3C 01 00 00 FF B3 38 01 00 00 8B 55 FC 8B C3 8B 08 FF 91 18 01 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_97075_0 {
	meta:
		name = "TBaseEndUserAdapter.ImplHasModifyRights"
		size = 94
		refs = "000e @UStrAddRef 0016 TBaseEndUserAdapter.ImplHasModifyRights 004c @UStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF B3 3C 01 00 00 FF B3 38 01 00 00 8B 55 FC 8B C3 8B 08 FF 91 18 01 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_97073_0 {
	meta:
		name = "TBaseEndUserAdapter.HasModifyRights"
		size = 82
		refs = "000e @UStrAddRef 0016 TBaseEndUserAdapter.HasModifyRights 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 91 3C 01 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_97074_0 {
	meta:
		name = "TBaseEndUserAdapter.HasViewRights"
		size = 82
		refs = "000e @UStrAddRef 0016 TBaseEndUserAdapter.HasViewRights 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 91 38 01 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_97076_0 {
	meta:
		name = "TBaseEndUserAdapter.HasExecuteRights"
		size = 82
		refs = "000e @UStrAddRef 0016 TBaseEndUserAdapter.HasExecuteRights 0040 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 91 34 01 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_97078_0 {
	meta:
		name = "TBaseEndUserAdapter.DoOnHasRights"
		size = 352
		refs = "001b TBaseEndUserAdapter.DoOnHasRights 0033 _Dn_TStringList 0038 TStringList.Create 0055 @UStrToPWChar 0066 ExtractStrings 0093 TObject.Free 0099 @HandleFinally 00b0 TBaseEndUserAdapter.UserList 00f7 @IntfClear 00ff @VarClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EF 00 66 83 7D 0A 00 74 6F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 EF 01 8D 45 F7 50 8D 45 EF 50 8B 4D F0 8B 55 FC 8B 45 0C FF 55 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D EF 00 75 41 C6 45 F7 01 8D 55 E8 8B 45 FC E8 ?? ?? ?? ?? 83 7D E8 00 74 2C 8D 55 D8 8B 45 FC 8B 08 FF 91 F4 00 00 00 8D 45 D8 50 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 8B 4D F8 5A 8B 18 FF 53 10 88 45 F7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 0F B6 45 F7 5B 8B E5 5D C2 08 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 01 10 00 08 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_97079_0 {
	meta:
		name = "TBaseEndUserAdapter.UserList"
		size = 184
		refs = "0012 TBaseEndUserAdapter.UserList 0026 WebContext 0038 @IntfClear 004d Supports 006a @IntfCopy 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 40 01 00 00 00 75 49 E8 ?? ?? ?? ?? 8B 53 04 8B 08 FF 51 3C 8B F0 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 19 8D 55 F8 8B 45 FC 8B 08 FF 51 20 8B 55 F8 8D 83 40 01 00 00 E8 ?? ?? ?? ?? 8B C7 8B 93 40 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 0D 2F CD 19 8F E6 6F 4A 92 AA 4C 76 59 E8 37 08 }
	condition:
		$1
}

rule function_97081_0 {
	meta:
		name = "TCustomEndUserAdapter.ExecuteLogout"
		size = 29
	strings:
		$1 = { 53 66 83 B8 5A 01 00 00 00 74 10 8B D8 8B D0 8B 83 5C 01 00 00 FF 93 58 01 00 00 5B C3 }
	condition:
		$1
}

rule function_97082_0 {
	meta:
		name = "TCustomEndUserAdapter.GetUserID"
		size = 110
		refs = "0013 TCustomEndUserAdapter.GetUserID 003d @VarClear 0047 @VarCopy 005c @VarClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 6A 01 00 00 00 74 12 8B CE 8B D3 8B 83 6C 01 00 00 FF 93 68 01 00 00 EB 12 8D 45 F0 E8 ?? ?? ?? ?? 8B C6 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97083_0 {
	meta:
		name = "TCustomEndUserAdapter.ExecuteLogin"
		size = 105
		refs = "0018 @VarAddRef 0020 TCustomEndUserAdapter.ExecuteLogin 0056 @VarClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 62 01 00 00 00 74 11 8D 4D F0 8B D3 8B 83 64 01 00 00 FF 93 60 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97084_0 {
	meta:
		name = "TCustomEndUserAdapter.GetLoggedInValue"
		size = 43
	strings:
		$1 = { 53 51 66 83 B8 4A 01 00 00 00 74 14 8B CC 8B D8 8B D0 8B 83 4C 01 00 00 FF 93 48 01 00 00 EB 04 C6 04 24 00 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_97085_0 {
	meta:
		name = "TCustomEndUserAdapter.GetDisplayNameValue"
		size = 42
		refs = "0024 @UStrClr"
	strings:
		$1 = { 53 8B DA 66 83 B8 52 01 00 00 00 74 14 8B CB 8B D8 8B D0 8B 83 54 01 00 00 FF 93 50 01 00 00 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_97087_0 {
	meta:
		name = "TEndUserAdapterLoginFormAction.GetDefaultActionName"
		size = 52
		refs = "0006 TEndUserAdapterLoginFormAction.GetDefaultActionName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4C 00 6F 00 67 00 69 00 6E 00 46 00 6F 00 72 00 6D 00 00 00 }
	condition:
		$1
}

rule function_97088_0 {
	meta:
		name = "TEndUserAdapterLoginFormAction.ImplWebEnabled"
		size = 39
		refs = "0009 TCustomEndUserAdapterAction.GetAdapter"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 85 C0 74 11 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 FC 00 00 00 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_97089_0 {
	meta:
		name = "TEndUserAdapterLoginFormAction.ImplExecuteActionRequest"
		size = 168
		refs = "000d TEndUserAdapterLoginFormAction.ImplExecuteActionRequest 0024 TCustomEndUserAdapterAction.GetAdapter 005a @HandleOnException 0062 _Dn_Exception 0070 TCustomAdapter.GetAdapterErrorsList 007e @DoneExcept 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 88 43 78 8B C3 E8 ?? ?? ?? ?? 85 C0 74 5D 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 F8 00 00 00 33 C0 5A 59 59 64 89 10 EB 30 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 FC E8 ?? ?? ?? ?? 33 C9 8B D3 8B 18 FF 53 18 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5F 5E 5B 59 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_97090_0 {
	meta:
		name = "ListApplicationFields"
		size = 56
		refs = "000c _DV_TAdapterApplicationTitleField 0011 ListApplicationFields"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 44 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 3C 5B C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 69 00 74 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_97091_0 {
	meta:
		name = "ListApplicationActions"
		size = 12
	strings:
		$1 = { 56 8B F0 8B C6 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_97096_0 {
	meta:
		name = "TCustomApplicationAdapter.GetApplicationTitle"
		size = 176
		refs = "0012 TCustomApplicationAdapter.GetApplicationTitle 0022 TCustomAdapter.FindNamedField 0030 @IntfClear 003e Supports 0057 @VarToUStr 006c @VarClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 2F 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 EC 8B 45 FC 8B 08 FF 51 0C 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 69 00 74 00 6C 00 65 00 00 00 7F 6A 6E 9E 4F 57 D4 11 A4 91 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_97099_0 {
	meta:
		name = "TEndUserAdapterLogoutAction.GetDefaultActionName"
		size = 48
		refs = "0006 TEndUserAdapterLogoutAction.GetDefaultActionName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4C 00 6F 00 67 00 6F 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_97100_0 {
	meta:
		name = "TEndUserAdapterLogoutAction.ImplWebEnabled"
		size = 39
		refs = "0009 TCustomEndUserAdapterAction.GetAdapter"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B C6 E8 ?? ?? ?? ?? 85 C0 74 11 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 04 01 00 00 8B D8 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_97101_0 {
	meta:
		name = "TEndUserAdapterLogoutAction.ImplExecuteActionRequest"
		size = 168
		refs = "000d TEndUserAdapterLogoutAction.ImplExecuteActionRequest 0024 TCustomEndUserAdapterAction.GetAdapter 005a @HandleOnException 0062 _Dn_Exception 0070 TCustomAdapter.GetAdapterErrorsList 007e @DoneExcept 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 88 43 78 8B C3 E8 ?? ?? ?? ?? 85 C0 74 5D 8B C3 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 92 00 01 00 00 33 C0 5A 59 59 64 89 10 EB 30 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 FC E8 ?? ?? ?? ?? 33 C9 8B D3 8B 18 FF 53 18 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5F 5E 5B 59 5D C3 03 00 00 00 }
	condition:
		$1
}

rule function_97103_0 {
	meta:
		name = "TAdapterNamedDisplayField.ImplGetDisplayLabel"
		size = 43
		refs = "0018 @UStrAsg 0024 TAdapterNamedField.ImplGetDisplayLabel"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 84 00 00 00 00 74 10 8B C6 8B 93 84 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97104_0 {
	meta:
		name = "TAdapterNamedDisplayField.GetDisplayStyle"
		size = 44
		refs = "001a AdapterDisplayHTMLElementTypeNames 0024 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 90 00 00 00 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 14 82 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97108_0 {
	meta:
		name = "TAdapterNamedDisplayField.GetInputStyle"
		size = 44
		refs = "001a AdapterInputHTMLElementTypeNames 0024 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 94 00 00 00 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 14 82 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97109_0 {
	meta:
		name = "TAdapterNamedDisplayField.ImplGetRequired"
		size = 8
	strings:
		$1 = { 0F B6 80 8D 00 00 00 C3 }
	condition:
		$1
}

rule function_97110_0 {
	meta:
		name = "TAdapterNamedDisplayField.SetDisplayLabel"
		size = 107
		refs = "000f TAdapterNamedDisplayField.SetDisplayLabel 0029 @UStrEqual 0036 @UStrClr 0045 @UStrAsg 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 48 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 75 0D 8D 83 84 00 00 00 E8 ?? ?? ?? ?? EB 0D 8D 83 84 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97111_0 {
	meta:
		name = "TAdapterNamedDisplayField.GetViewModeType"
		size = 15
	strings:
		$1 = { 80 B8 8C 00 00 00 00 74 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_97112_0 {
	meta:
		name = "TAdapterNamedDisplayField.GetViewMode"
		size = 44
		refs = "001a AdapterDisplayViewModeTypeNames 0024 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 98 00 00 00 83 E0 7F 8B 15 ?? ?? ?? ?? 8B 14 82 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97113_0 {
	meta:
		name = "TAdapterNamedDisplayField.IsDisplayLabelStored"
		size = 15
	strings:
		$1 = { 53 8B D8 83 BB 84 00 00 00 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_97115_0 {
	meta:
		name = "TAdapterApplicationTitleField.GetDefaultFieldName"
		size = 44
		refs = "0006 TAdapterApplicationTitleField.GetDefaultFieldName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 69 00 74 00 6C 00 65 00 00 00 }
	condition:
		$1
}

rule function_97116_0 {
	meta:
		name = "TAdapterApplicationTitleField.ImplGetValue"
		size = 49
		refs = "000b @VarFromUStr 0012 TAdapterApplicationField.GetAdapter"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 33 D2 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 14 8B C3 E8 ?? ?? ?? ?? 8B 90 28 01 00 00 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97118_0 {
	meta:
		name = "TAdapterEndUserLoggedInField.GetDefaultFieldName"
		size = 52
		refs = "0006 TAdapterEndUserLoggedInField.GetDefaultFieldName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4C 00 6F 00 67 00 67 00 65 00 64 00 49 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_97119_0 {
	meta:
		name = "TAdapterEndUserLoggedInField.ImplGetValue"
		size = 56
		refs = "0009 TAdapterEndUserField.GetAdapter 0025 @VarFromBool"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1B 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 0C 01 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 33 D2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97120_0 {
	meta:
		name = "TAdapterEndUserDisplayNameField.GetDefaultFieldName"
		size = 56
		refs = "0006 TAdapterEndUserDisplayNameField.GetDefaultFieldName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_97121_0 {
	meta:
		name = "TAdapterEndUserDisplayNameField.ImplGetValue"
		size = 109
		refs = "000f TAdapterEndUserDisplayNameField.ImplGetValue 001c TAdapterEndUserField.GetAdapter 003c @VarFromUStr 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1E 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 91 10 01 00 00 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 09 8B C6 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97124_0 {
	meta:
		name = "TBaseValuesListAdapter.GetListName"
		size = 21
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 00 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_97127_0 {
	meta:
		name = "TBaseValuesListAdapter.GetListValue"
		size = 21
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 FC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_97129_0 {
	meta:
		name = "TBaseValuesListAdapter.ImplCanAddFieldClass"
		size = 80
		refs = "0010 TCustomAdapter.ImplCanAddFieldClass 0027 TObject.InheritsFrom"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 32 8B C3 8B 10 FF 92 F8 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 1B 8B C3 8B 10 FF 92 F4 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97130_0 {
	meta:
		name = "TBaseValuesListAdapter.ImplGetFieldsList"
		size = 136
		refs = "001b TBaseValuesListAdapter.ImplGetFieldsList"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 10 FF 52 44 8B C3 8B 10 FF 92 F4 00 00 00 8B C8 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 3C 8B C3 8B 10 FF 92 F8 00 00 00 8B C8 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 3C 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4E 00 61 00 6D 00 65 00 46 00 69 00 65 00 6C 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 56 00 61 00 6C 00 75 00 65 00 46 00 69 00 65 00 6C 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_97131_0 {
	meta:
		name = "TBaseValuesListAdapter.GetListNameOfValue"
		size = 95
		refs = "001a @VarAddRef 0022 TBaseValuesListAdapter.GetListNameOfValue 004c @VarClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8D 55 F0 8B C3 8B 18 FF 93 0C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97134_0 {
	meta:
		name = "TBaseValuesListAdapter.GetListImageOfValue"
		size = 95
		refs = "0018 @VarAddRef 0020 TBaseValuesListAdapter.GetListImageOfValue 004a @VarClr 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 91 04 01 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97139_0 {
	meta:
		name = "TCustomStringsValuesList.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TCustomAdapter.Create 001e _Dn_TStringList 0023 TStringList.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 30 01 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_97140_0 {
	meta:
		name = "TCustomStringsValuesList.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TCustomAdapter.Destroy 001d TObject.Free 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 30 01 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97144_0 {
	meta:
		name = "TCustomStringsValuesList.ImplGetListName"
		size = 59
		refs = "0009 TCustomStringsValuesList.GetStrings 002a TStrings.GetName 0034 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 3B 83 34 01 00 00 7E 17 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 93 34 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97145_0 {
	meta:
		name = "TCustomStringsValuesList.ImplGetListValue"
		size = 217
		refs = "0017 TCustomStringsValuesList.ImplGetListValue 0024 TCustomStringsValuesList.GetStrings 0046 TStrings.GetName 005e TStrings.GetValue 0068 @VarFromUStr 0093 @VarClear 009d @VarCopy 00b7 @UStrArrayClr 00bf @VarClr 00c7 @UStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 3B 83 34 01 00 00 7E 5A 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 8B 93 34 01 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 1E 8B C3 E8 ?? ?? ?? ?? 8D 4D E4 8B 55 FC E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? EB 33 8B C3 E8 ?? ?? ?? ?? 8D 4D E0 8B 93 34 01 00 00 8B 18 FF 53 0C 8B 55 E0 8B C6 E8 ?? ?? ?? ?? EB 12 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97146_0 {
	meta:
		name = "TCustomStringsValuesList.ImplNextIteration"
		size = 32
		refs = "000c TCustomStringsValuesList.GetStrings"
	strings:
		$1 = { 53 8B D8 FF 83 34 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 3B 83 34 01 00 00 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_97147_0 {
	meta:
		name = "TCustomStringsValuesList.SetStrings"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 86 30 01 00 00 8B 08 FF 51 08 5F 5E C3 }
	condition:
		$1
}

rule function_97148_0 {
	meta:
		name = "TCustomStringsValuesList.ImplStartIterator"
		size = 32
		refs = "000f TCustomStringsValuesList.GetStrings"
	strings:
		$1 = { 53 56 8B D8 33 F6 89 B3 34 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 3B F0 0F 9C C0 5E 5B C3 }
	condition:
		$1
}

rule function_97149_0 {
	meta:
		name = "TCustomStringsValuesList.ImplGetListNameOfValue"
		size = 280
		refs = "002d @VarAddRef 0035 TCustomStringsValuesList.ImplGetListNameOfValue 0043 TCustomStringsValuesList.GetStrings 006f TStrings.GetName 009a TStrings.GetValue 00a5 @VarFromUStr 00b0 @VarCmpEQ 00cb @HandleAnyException 00d0 @DoneExcept 00e0 @UStrClr 00fd @VarClr 010b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D D8 89 5D DC 89 5D CC 8B F2 8D 7D F0 A5 A5 A5 A5 89 4D E8 89 45 EC 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? 8B 10 FF 52 14 48 85 C0 0F 8C 87 00 00 00 40 89 45 E0 C7 45 E4 00 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 4D E8 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 E8 83 38 00 74 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? 8D 4D CC 8B 55 E8 8B 12 E8 ?? ?? ?? ?? 8B 55 CC 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D0 8D 55 F0 E8 ?? ?? ?? ?? 75 0A 33 C0 5A 59 59 64 89 10 EB 24 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 E4 FF 4D E0 75 84 8B 45 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97150_0 {
	meta:
		name = "TCustomStringsValuesList.GetStrings"
		size = 36
	strings:
		$1 = { 53 8B D8 F6 43 1C 01 75 13 80 BB 38 01 00 00 00 75 0A 8B C3 8B 10 FF 92 10 01 00 00 8B 83 30 01 00 00 5B C3 }
	condition:
		$1
}

rule function_97151_0 {
	meta:
		name = "TCustomStringsValuesList.PrepareStrings"
		size = 36
	strings:
		$1 = { 53 C6 80 38 01 00 00 01 66 83 B8 42 01 00 00 00 74 10 8B D8 8B D0 8B 83 44 01 00 00 FF 93 40 01 00 00 5B C3 }
	condition:
		$1
}

rule function_97152_0 {
	meta:
		name = "TCustomStringsValuesList.ImplNotifyDeactivate"
		size = 19
		refs = "0006 TCustomAdapter.ImplNotifyDeactivate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 83 38 01 00 00 00 5B C3 }
	condition:
		$1
}

rule function_97153_0 {
	meta:
		name = "TLogicalPageList.Create"
		size = 380
		refs = "0025 @ClassCreate 0033 TLogicalPageList.Create 0043 TCustomStringsValuesList.Create 0048 WebContext 00cb Format 00d7 TCustomStringsValuesList.GetStrings 011e @UStrArrayClr 0133 @IntfClear 0139 @HandleFinally 0149 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D EC 89 5D D8 89 5D D4 89 5D F0 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 F7 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 24 8B D8 4B 85 DB 0F 8C AC 00 00 00 43 33 F6 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 8B 38 FF 57 28 8B 45 FC 8B 10 FF 52 1C 84 C0 0F 84 82 00 00 00 8D 55 F0 8B 45 FC 8B 08 FF 51 14 83 7D F0 00 74 54 8D 45 EC 50 8D 55 D8 8B 45 FC 8B 08 FF 51 14 8B 45 D8 89 45 DC C6 45 E0 11 8D 55 D4 8B 45 FC 8B 08 FF 51 0C 8B 45 D4 89 45 E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F8 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 38 EB 1D 8D 55 D0 8B 45 FC 8B 08 FF 51 0C 8B 45 D0 50 8B 45 F8 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 38 46 4B 0F 85 57 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B 45 F8 80 7D F7 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3D 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_97154_0 {
	meta:
		name = "TValuesListNameField.GetDefaultFieldName"
		size = 52
		refs = "0006 TValuesListNameField.GetDefaultFieldName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4E 00 61 00 6D 00 65 00 46 00 69 00 65 00 6C 00 64 00 00 00 }
	condition:
		$1
}

rule function_97155_0 {
	meta:
		name = "TValuesListNameField.ImplGetValue"
		size = 84
		refs = "000f TValuesListNameField.ImplGetValue 001c TBaseValuesListField.GetAdapter 0024 TBaseValuesListAdapter.GetListName 002e @VarFromUStr 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97156_0 {
	meta:
		name = "TValuesListValueField.GetDefaultFieldName"
		size = 56
		refs = "0006 TValuesListValueField.GetDefaultFieldName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 56 00 61 00 6C 00 75 00 65 00 46 00 69 00 65 00 6C 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_97228_0 {
	meta:
		name = "TFieldValuesValueField.GetDefaultFieldName"
		size = 56
		refs = "0006 TFieldValuesValueField.GetDefaultFieldName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 56 00 61 00 6C 00 75 00 65 00 46 00 69 00 65 00 6C 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_97158_0 {
	meta:
		name = "TCustomEndUserSessionAdapter.ExecuteLogin"
		size = 88
		refs = "0018 @VarAddRef 0020 TCustomEndUserSessionAdapter.ExecuteLogin 0030 TCustomEndUserSessionAdapter.SetUserID 0045 @VarClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97159_0 {
	meta:
		name = "TCustomEndUserSessionAdapter.ExecuteLogout"
		size = 25
		refs = "0001 WebContext"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 0F E8 ?? ?? ?? ?? 8B 10 FF 52 20 8B 10 FF 52 18 C3 }
	condition:
		$1
}

rule function_97160_0 {
	meta:
		name = "TCustomEndUserSessionAdapter.GetDisplayNameValue"
		size = 87
		refs = "0013 TCustomEndUserSessionAdapter.GetDisplayNameValue 0030 @VarToUStr 0045 @VarClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 91 F4 00 00 00 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97161_0 {
	meta:
		name = "TCustomEndUserSessionAdapter.GetLoggedInValue"
		size = 150
		refs = "0016 TCustomEndUserSessionAdapter.GetLoggedInValue 0031 VarIsEmpty 0050 @VarFromUStr 0059 @VarCmpNE 0079 Variant 0083 @FinalizeArray 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 8B 08 FF 91 F4 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 26 8D 55 E0 8B C3 8B 08 FF 91 F4 00 00 00 8D 45 E0 50 8D 45 D0 33 D2 E8 ?? ?? ?? ?? 8D 55 D0 58 E8 ?? ?? ?? ?? 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97162_0 {
	meta:
		name = "TCustomEndUserSessionAdapter.GetUserID"
		size = 64
		refs = "0004 WebContext 0019 TCustomEndUserSessionAdapter.GetUserID"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 85 C0 74 15 E8 ?? ?? ?? ?? 8B 10 FF 52 20 8B CB BA ?? ?? ?? ?? 8B 18 FF 13 5B C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 73 00 65 00 72 00 49 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_97163_0 {
	meta:
		name = "TCustomEndUserSessionAdapter.SetUserID"
		size = 64
		refs = "0004 WebContext 0019 TCustomEndUserSessionAdapter.SetUserID"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 85 C0 74 16 E8 ?? ?? ?? ?? 8B 10 FF 52 20 8B CB BA ?? ?? ?? ?? 8B 18 FF 53 04 5B C3 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 73 00 65 00 72 00 49 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_97166_0 {
	meta:
		name = "TBaseAdapterMultiValueField.Create"
		size = 74
		refs = "000a @ClassCreate 0017 TAdapterUpdateField.Create 0021 _DV_TFieldValuesAdapter 0026 TFieldValuesAdapter.Create 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 56 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 C4 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_97167_0 {
	meta:
		name = "TBaseAdapterMultiValueField.Destroy"
		size = 49
		refs = "0003 @BeforeDestruction 0012 TWebContainedComponent.Destroy 002a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 C4 00 00 00 B2 01 8B 08 FF 51 FC 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97169_0 {
	meta:
		name = "TBaseAdapterMultiValueField.NextValueIteration"
		size = 30
	strings:
		$1 = { 53 8B D8 FF 83 C0 00 00 00 8B C3 8B 10 FF 92 9C 00 00 00 3B 83 C0 00 00 00 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_97170_0 {
	meta:
		name = "TBaseAdapterMultiValueField.StartValueIterator"
		size = 30
	strings:
		$1 = { 53 56 8B D8 33 F6 89 B3 C0 00 00 00 8B C3 8B 10 FF 92 9C 00 00 00 3B F0 0F 9C C0 5E 5B C3 }
	condition:
		$1
}

rule function_97171_0 {
	meta:
		name = "TBaseAdapterMultiValueField.GetCurrentValue"
		size = 21
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 C4 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_97174_0 {
	meta:
		name = "TBaseAdapterMultiValueField.ImplGetCurrentValue"
		size = 27
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 93 C0 00 00 00 8B C3 8B 18 FF 93 A0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_97176_0 {
	meta:
		name = "TBaseAdapterMultiValueField.GetValues"
		size = 80
		refs = "0012 TBaseAdapterMultiValueField.GetValues 0020 @VarClear 002a @VarCopy 003f @VarClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 8B D9 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97177_0 {
	meta:
		name = "TCustomAdapterMultiValueField.GetValueCount"
		size = 153
		refs = "0012 TCustomAdapterMultiValueField.GetValueCount 001f TAdapterNamedField.CheckViewAccess 0026 TAdapterNamedField.GetEchoActionFieldValue 0034 TAdapterNamedField.GetActionValue 0085 @IntfClear 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 24 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 0D 8B 45 FC 8B 10 FF 52 10 89 45 F8 EB 29 33 C0 89 45 F8 EB 22 66 83 BB DA 00 00 00 00 74 13 8D 4D F8 8B D3 8B 83 DC 00 00 00 FF 93 D8 00 00 00 EB 05 33 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_97178_0 {
	meta:
		name = "TCustomAdapterMultiValueField.GetValues"
		size = 206
		refs = "0020 TCustomAdapterMultiValueField.GetValues 002d TAdapterNamedField.GetEchoActionFieldValue 003b TAdapterNamedField.GetActionValue 0058 @VarClear 0062 @VarCopy 00aa Variant 00b4 @FinalizeArray 00bc @IntfClear 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F1 89 55 D4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 33 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 0F 8B CE 8B 55 D4 8B 45 FC 8B 18 FF 53 14 EB 44 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? EB 30 66 83 BB D2 00 00 00 00 74 14 56 8B 4D D4 8B D3 8B 83 D4 00 00 00 FF 93 D0 00 00 00 EB 12 8D 45 D8 E8 ?? ?? ?? ?? 8B C6 8D 55 D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97179_0 {
	meta:
		name = "TCustomAdapterMultiValueField.ImplHasValue"
		size = 263
		refs = "0021 TCustomAdapterMultiValueField.ImplHasValue 002f TAdapterNamedField.CheckViewAccess 00a0 VarIsEmpty 00af @VarCmpEQ 00ce @HandleAnyException 00d3 @DoneExcept 00f0 @VarClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D F0 89 4D F4 89 4D F8 89 4D FC 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC 66 83 B8 E2 00 00 00 00 74 1E 8D 45 E7 50 8B 4D E8 8B 5D EC 8B 55 EC 8B 83 E4 00 00 00 FF 93 E0 00 00 00 E9 81 00 00 00 C6 45 E7 00 8B 45 EC 8B 10 FF 92 9C 00 00 00 48 85 C0 7C 6D 40 89 45 DC C7 45 E0 00 00 00 00 8D 4D F0 8B 55 E0 8B 45 EC 8B 18 FF 93 A0 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 1B 8D 45 F0 8B 55 E8 E8 ?? ?? ?? ?? 75 0E C6 45 E7 01 33 C0 5A 59 59 64 89 10 EB 1C 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 45 E0 FF 4D DC 75 9E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 E7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97180_0 {
	meta:
		name = "TCustomAdapterMultiValueField.GetInputStyleType"
		size = 15
	strings:
		$1 = { 83 B8 94 00 00 00 00 74 03 B0 06 C3 B0 01 C3 }
	condition:
		$1
}

rule function_97182_0 {
	meta:
		name = "TCustomAdapterMultiValueField.ImplUpdateValue"
		size = 306
		refs = "0023 @IntfAddRef 002b TCustomAdapterMultiValueField.ImplUpdateValue 0039 TAdapterNamedField.CheckModifyAccess 0051 _Dn_TStringList 0056 TStringList.Create 0072 GetActionFieldValues 00a9 @VarToUStr 00e2 TObject.Free 00e8 @HandleFinally 00ff @VarClr 0107 @UStrClr 010f @IntfClear"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 89 55 FC 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 66 83 B8 EA 00 00 00 00 0F 84 A0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F4 8B D3 8B 45 F8 8B 18 FF 53 20 8B 45 F4 8B 10 FF 52 10 8B D8 4B 85 DB 7C 2A 43 33 F6 8D 4D D8 8B D6 8B 45 F4 8B 38 FF 57 14 8D 55 D8 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 EC 8B 08 FF 51 38 46 4B 75 D9 8B 5D F0 8B 4D EC 8B 55 F0 8B 83 EC 00 00 00 FF 93 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97183_0 {
	meta:
		name = "TCustomAdapterMultiValueField.DoOnValidateValue"
		size = 280
		refs = "0022 @IntfAddRef 002a TCustomAdapterMultiValueField.DoOnValidateValue 004b _Dn_TStringList 0050 TStringList.Create 008b @VarToUStr 00c4 TObject.Free 00ca @HandleFinally 00e0 ValidateRequiredValueField 00f5 @VarClr 00fd @UStrClr 0105 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 66 83 B8 F2 00 00 00 00 0F 84 8B 00 00 00 C6 03 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 10 8B D8 4B 85 DB 7C 2A 43 33 F6 8D 4D E0 8B D6 8B 45 FC 8B 38 FF 57 14 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 8B 08 FF 51 38 46 4B 75 D9 8B 5D F8 8B 4D F4 8B 55 F8 8B 83 F4 00 00 00 FF 93 F0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 80 B8 8D 00 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97187_0 {
	meta:
		name = "TCustomAdapterImageField.RenderAdapterImage"
		size = 512
		refs = "001e @IntfAddRef 0026 TCustomAdapterImageField.RenderAdapterImage 0034 TAdapterNamedField.CheckViewAccess 0039 WebContext 004e @UStrLAsg 0075 AdapterRequestParamsAsStrings 00c8 _Dn_TMemoryStream 00cd TObject.Create 00df TStream.CopyFrom 0102 @HandleAnyException 0110 TObject.Free 0125 @RaiseAgain 012a @DoneExcept 013a @LStrFromUStr 0170 @HandleFinally 0192 TAdapterNamedField.GetVariableName 019a RaiseImageNotProvided 01af @UStrClr 01b7 @LStrClr 01c7 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 89 5D F8 89 55 FC 89 45 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 08 89 45 F0 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 66 83 B8 CA 00 00 00 00 0F 84 13 01 00 00 33 C0 89 45 EC C6 45 E7 01 33 C0 89 45 E8 8B 45 FC E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 45 EC 50 8D 45 E7 50 8B 5D F4 8B 4D E0 8B 55 F4 8B 83 CC 00 00 00 FF 93 C8 00 00 00 83 7D EC 00 74 7D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D E7 00 75 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 6A 00 6A 00 8B 55 EC 8B 45 E8 E8 ?? ?? ?? ?? EB 06 8B 45 EC 89 45 E8 33 C9 33 D2 8B 45 E8 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 EB 2D E9 ?? ?? ?? ?? 80 7D E7 00 74 08 8B 45 EC E8 ?? ?? ?? ?? 8B 45 EC 3B 45 E8 74 08 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D DC BA 08 00 00 00 8B 45 F0 8B 18 FF 53 04 8B 55 E8 8B 45 F0 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 8B 10 FF 52 40 84 C0 75 1C 8B 45 F0 83 78 08 00 75 13 8D 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 6D 00 61 00 67 00 65 00 2F 00 6A 00 70 00 65 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_97188_0 {
	meta:
		name = "TCustomAdapterImageField.DoOnValidateValue"
		size = 155
		refs = "000e @IntfAddRef 0016 TCustomAdapterImageField.DoOnValidateValue 0065 ValidateSingleFileField 0076 ValidateRequiredFileField 008b @IntfClear 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB F2 00 00 00 00 74 37 8B 45 FC 8B 10 FF 52 18 48 75 1C 33 D2 8B 45 FC 8B 08 FF 51 1C 8B C8 8B D3 8B 83 F4 00 00 00 FF 93 F0 00 00 00 EB 10 33 C9 8B D3 8B 83 F4 00 00 00 FF 93 F0 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 80 BB 8D 00 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_97189_0 {
	meta:
		name = "TCustomAdapterImageField.GetAdapterItemRequestParams"
		size = 139
		refs = "0018 @IntfAddRef 0020 TCustomAdapterImageField.GetAdapterItemRequestParams 0030 MakeAdapterRequestIdentifier 003a @UStrAsg 0071 @UStrClr 0079 @IntfClear 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 66 83 BB C2 00 00 00 00 74 18 8B 45 FC 8B 10 FF 52 1C 8B C8 8B D3 8B 83 C4 00 00 00 FF 93 C0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_97190_0 {
	meta:
		name = "ActionFieldValueAsBoolean"
		size = 124
		refs = "0016 @VarAddRef 001e ActionFieldValueAsBoolean 003a @VarToBool 004b @HandleAnyException 0052 @DoneExcept 0067 @VarClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F0 8D 7D F0 A5 A5 A5 A5 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97191_0 {
	meta:
		name = "TCustomAdapterImageField.ImplWebImageHREF"
		size = 161
		refs = "000f TCustomAdapterImageField.ImplWebImageHREF 0025 DesigningComponent 002e GetHTMLSampleImage 004a @UStrAsg 008e @UStrClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB D8 00 00 00 00 75 2E 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 A1 ?? ?? ?? ?? 83 38 00 74 19 8B 1D ?? ?? ?? ?? 8B 1B 8D 45 FC FF D3 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 27 8B C6 8B 93 D8 00 00 00 E8 ?? ?? ?? ?? 66 83 BB D2 00 00 00 00 74 10 8B CE 8B D3 8B 83 D4 00 00 00 FF 93 D0 00 00 00 83 3E 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97192_0 {
	meta:
		name = "TCustomAdapterImageField.WebImageHREF"
		size = 9
	strings:
		$1 = { 8B 08 FF 91 CC 00 00 00 C3 }
	condition:
		$1
}

rule function_97193_0 {
	meta:
		name = "TCustomAdapterImageField.ImplGetValue"
		size = 232
		refs = "0016 TCustomAdapterImageField.ImplGetValue 0023 TAdapterNamedField.CheckViewAccess 002a TAdapterNamedField.GetEchoActionFieldValue 0038 TAdapterNamedField.GetActionValue 0062 ActionFieldValueAsString 006c @VarFromUStr 00be @VarClr 00c6 @UStrClr 00ce @IntfClear 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4B 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 30 8B 45 F8 8B 10 FF 52 10 85 C0 7E 24 8D 4D E4 33 D2 8B 45 F8 8B 18 FF 53 14 8D 45 E4 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? EB 3B 8B C6 33 D2 E8 ?? ?? ?? ?? EB 30 66 83 BB E2 00 00 00 00 74 1D 8D 4D FC 8B D3 8B 83 E4 00 00 00 FF 93 E0 00 00 00 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 09 8B C6 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97194_0 {
	meta:
		name = "TCustomAdapterImageField.ImplUpdateValue"
		size = 169
		refs = "0016 @IntfAddRef 001e TCustomAdapterImageField.ImplUpdateValue 002b TAdapterNamedField.CheckModifyAccess 0040 GetActionFieldValues 0087 @IntfClear 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 66 83 BB EA 00 00 00 00 74 3D 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F4 8B D6 8B 45 F8 8B 30 FF 56 20 8B 45 F4 8B 10 FF 52 18 48 75 1A 33 D2 8B 45 F4 8B 08 FF 51 1C 8B C8 8B D3 8B 83 EC 00 00 00 FF 93 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97195_0 {
	meta:
		name = "TCustomAdapterImageField.ImplCheckValueChange"
		size = 146
		refs = "0016 @IntfAddRef 001e TCustomAdapterImageField.ImplCheckValueChange 002f GetActionFieldValues 006e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F4 8B D6 8B 45 F8 8B 30 FF 56 20 8B 45 F4 8B 10 FF 52 18 85 C0 7F 0D 80 BB 8D 00 00 00 00 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97207_0 {
	meta:
		name = "TCustomAdapterFileField.ImplCheckValueChange"
		size = 146
		refs = "0016 @IntfAddRef 001e TCustomAdapterFileField.ImplCheckValueChange 002f GetActionFieldValues 006e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F4 8B D6 8B 45 F8 8B 30 FF 56 20 8B 45 F4 8B 10 FF 52 18 85 C0 7F 0D 80 BB 8D 00 00 00 00 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97197_0 {
	meta:
		name = "TCustomAdapterImageField.HandleRequest"
		size = 82
		refs = "000e @IntfAddRef 0016 TCustomAdapterImageField.HandleRequest 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 91 C8 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_97199_0 {
	meta:
		name = "TCustomAdapterImageField.ImplHandleRequest"
		size = 236
		refs = "0011 TCustomAdapterImageField.ImplHandleRequest 001c WebContext 0030 @IntfClear 003d Supports 009b IInterface 00a5 @FinalizeArray 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 51 0C 8B 45 F4 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 2A E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 51 10 8B 45 F0 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 84 DB 74 10 8B 4D F8 8B 55 FC 8B C6 8B 30 FF 96 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B C3 5E 5B 8B E5 5D C3 00 00 00 16 A2 87 93 92 43 FB 48 98 80 BF A8 C5 CC 30 6E 82 E5 9F 73 BA 03 CA 42 AE 02 55 57 CD 38 56 D3 }
	condition:
		$1
}

rule function_97202_0 {
	meta:
		name = "TCustomAdapterFileField.ImplUpdateValue"
		size = 215
		refs = "001b @IntfAddRef 0023 TCustomAdapterFileField.ImplUpdateValue 0030 TAdapterNamedField.CheckModifyAccess 0045 GetActionFieldValues 005c _DV_TUpdateFileList 0061 TUpdateFileList.Create 0098 TObject.Free 009e @HandleFinally 00b5 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 66 83 BB D2 00 00 00 00 74 66 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F0 8B D6 8B 45 F8 8B 30 FF 56 20 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 8B D3 8B 83 D4 00 00 00 FF 93 D0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97203_0 {
	meta:
		name = "TCustomAdapterFileField.GetFileNames"
		size = 209
		refs = "0018 TCustomAdapterFileField.GetFileNames 0025 TAdapterNamedField.CheckViewAccess 002c TAdapterNamedField.GetEchoActionFieldValue 003a TAdapterNamedField.GetActionValue 005d @UStrFromLStr 0066 @UStrClr 0091 @UStrAsg 00af @LStrClr 00b7 @IntfClear 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 38 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 1F 8B 55 F4 8B 45 F8 8B 08 FF 51 1C 8D 55 F0 8B 08 FF 51 04 8B 55 F0 8B C6 E8 ?? ?? ?? ?? EB 3B 8B C6 E8 ?? ?? ?? ?? EB 32 66 83 BB DA 00 00 00 00 74 21 8D 45 FC 50 8B 4D F4 8B D3 8B 83 DC 00 00 00 FF 93 D8 00 00 00 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97204_0 {
	meta:
		name = "TCustomAdapterFileField.GetValueCount"
		size = 153
		refs = "0012 TCustomAdapterFileField.GetValueCount 001f TAdapterNamedField.CheckViewAccess 0026 TAdapterNamedField.GetEchoActionFieldValue 0034 TAdapterNamedField.GetActionValue 0085 @IntfClear 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 24 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 0D 8B 45 FC 8B 10 FF 52 18 89 45 F8 EB 29 33 C0 89 45 F8 EB 22 66 83 BB E2 00 00 00 00 74 13 8D 4D F8 8B D3 8B 83 E4 00 00 00 FF 93 E0 00 00 00 EB 05 33 C0 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_97205_0 {
	meta:
		name = "TCustomAdapterFileField.DoOnValidateValue"
		size = 199
		refs = "0013 @IntfAddRef 001b TCustomAdapterFileField.DoOnValidateValue 002e TAdapterUpdateField.DoOnValidateValue 0045 _DV_TUpdateFileList 004a TUpdateFileList.Create 0085 TObject.Free 008b @HandleFinally 00a1 ValidateRequiredFileField 00b6 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D9 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 66 83 B8 EA 00 00 00 00 74 52 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B 4D F4 8B 55 F8 8B 83 EC 00 00 00 FF 93 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 80 B8 8D 00 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97206_0 {
	meta:
		name = "TCustomAdapterFileField.GetValues"
		size = 85
		refs = "0012 TCustomAdapterFileField.GetValues 0024 TCustomAdapterFileField.GetFileNames 002e @VarFromUStr 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97210_0 {
	meta:
		name = "TCustomAdapterMemoField.DoOnValidateValue"
		size = 106
		refs = "0011 @IntfAddRef 0019 TCustomAdapterMemoField.DoOnValidateValue 002b TAdapterUpdateField.DoOnValidateValue 0033 ValidateSingleFileOrValueField 0044 ValidateRequiredFileOrValueField 0059 @IntfClear 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 80 BB 8D 00 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97239_0 {
	meta:
		name = "TCustomAdapterField.DoOnValidateValue"
		size = 106
		refs = "0011 @IntfAddRef 0019 TCustomAdapterField.DoOnValidateValue 002b TAdapterUpdateField.DoOnValidateValue 0033 ValidateSingleValueField 0044 ValidateRequiredValueField 0059 @IntfClear 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 80 BB 8D 00 00 00 00 74 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97211_0 {
	meta:
		name = "TCustomAdapterMemoField.ImplGetValue"
		size = 220
		refs = "0016 TCustomAdapterMemoField.ImplGetValue 0023 TAdapterNamedField.CheckViewAccess 002a TAdapterNamedField.GetEchoActionFieldValue 0038 TAdapterNamedField.GetActionValue 0056 ActionFieldValueAsString 0060 @VarFromUStr 00b2 @VarClr 00ba @UStrClr 00c2 @IntfClear 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3F 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 24 8D 4D E4 33 D2 8B 45 F8 8B 18 FF 53 14 8D 45 E4 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? EB 3B 8B C6 33 D2 E8 ?? ?? ?? ?? EB 30 66 83 BB C2 00 00 00 00 74 1D 8D 4D FC 8B D3 8B 83 C4 00 00 00 FF 93 C0 00 00 00 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 09 8B C6 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97212_0 {
	meta:
		name = "TCustomAdapterMemoField.ImplUpdateValue"
		size = 295
		refs = "0022 @IntfAddRef 002a TCustomAdapterMemoField.ImplUpdateValue 0037 TAdapterNamedField.CheckModifyAccess 004c GetActionFieldValues 0071 @VarToUStr 00de @VarClr 00e6 @UStrClr 00ef IActionFieldValue 00f9 @FinalizeArray 0102 IActionFieldValues 0114 @IntfClear 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 66 83 BB D2 00 00 00 00 74 41 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F0 8B D6 8B 45 F8 8B 38 FF 57 20 8D 4D D8 33 D2 8B 45 F0 8B 38 FF 57 14 8D 55 D8 8D 45 E8 E8 ?? ?? ?? ?? 8B 4D E8 8B D3 8B 83 D4 00 00 00 FF 93 D0 00 00 00 66 83 BB CA 00 00 00 00 74 3D 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 4D EC 8B D6 8B 45 F4 8B 30 FF 56 20 8B 45 EC 8B 10 FF 52 18 48 75 1A 33 D2 8B 45 EC 8B 08 FF 51 1C 8B C8 8B D3 8B 83 CC 00 00 00 FF 93 C8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BA 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97213_0 {
	meta:
		name = "TCustomAdapterMemoField.ImplCheckValueChange"
		size = 148
		refs = "0016 @IntfAddRef 001e TCustomAdapterMemoField.ImplCheckValueChange 0030 TAdapterUpdateField.ImplCheckValueChange 0041 GetActionFieldValues 0070 @IntfClear 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 84 DB 75 25 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F4 8B D6 8B 45 F8 8B 18 FF 53 20 8B 45 F4 8B 10 FF 52 18 85 C0 0F 9F C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97214_0 {
	meta:
		name = "TAbstractFieldValuesAdapter.ImplCanAddFieldClass"
		size = 57
		refs = "0010 TCustomAdapter.ImplCanAddFieldClass 0027 TObject.InheritsFrom"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1B 8B C3 8B 10 FF 92 F4 00 00 00 8B D0 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97215_0 {
	meta:
		name = "TAbstractFieldValuesAdapter.ImplGetFieldsList"
		size = 76
		refs = "001a TAbstractFieldValuesAdapter.ImplGetFieldsList"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 52 44 8B C3 8B 10 FF 92 F4 00 00 00 8B C8 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 3C 5E 5B C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 56 00 61 00 6C 00 75 00 65 00 46 00 69 00 65 00 6C 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_97220_0 {
	meta:
		name = "TAbstractFieldValuesAdapter.GetValueIndex"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 FC 00 00 00 C3 }
	condition:
		$1
}

rule function_97221_0 {
	meta:
		name = "TFieldValuesAdapter.Create"
		size = 68
		refs = "000d @ClassCreate 001a TCustomAdapter.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 86 34 01 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_97223_0 {
	meta:
		name = "TFieldValuesAdapter.ImplGetField"
		size = 7
	strings:
		$1 = { 8B 80 34 01 00 00 C3 }
	condition:
		$1
}

rule function_97224_0 {
	meta:
		name = "TFieldValuesAdapter.ImplGetValueIndex"
		size = 7
	strings:
		$1 = { 8B 80 30 01 00 00 C3 }
	condition:
		$1
}

rule function_97225_0 {
	meta:
		name = "TFieldValuesAdapter.ImplEndIterator"
		size = 116
		refs = "000f TFieldValuesAdapter.ImplEndIterator 001d @IntfClear 002f Supports 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 83 34 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 FC 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 07 D6 C0 5D 9C 1C 67 4E B3 BA 35 CE 2A 58 72 A0 }
	condition:
		$1
}

rule function_97226_0 {
	meta:
		name = "TFieldValuesAdapter.ImplNextIteration"
		size = 124
		refs = "000f TFieldValuesAdapter.ImplNextIteration 001d @IntfClear 002f Supports 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 83 34 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B 45 FC 8B 08 FF 51 18 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 07 D6 C0 5D 9C 1C 67 4E B3 BA 35 CE 2A 58 72 A0 }
	condition:
		$1
}

rule function_97227_0 {
	meta:
		name = "TFieldValuesAdapter.ImplStartIterator"
		size = 124
		refs = "000f TFieldValuesAdapter.ImplStartIterator 001d @IntfClear 002f Supports 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 83 34 01 00 00 E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B 45 FC 8B 08 FF 51 14 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 07 D6 C0 5D 9C 1C 67 4E B3 BA 35 CE 2A 58 72 A0 }
	condition:
		$1
}

rule function_97229_0 {
	meta:
		name = "TFieldValuesValueField.GetField"
		size = 128
		refs = "000c TFieldValuesValueField.GetField 0019 TAdapterNamedField.GetAdapter 0029 @IntfClear 0036 Supports 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 13 FE BD 87 10 CA D4 11 A5 28 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_97230_0 {
	meta:
		name = "TFieldValuesValueField.ImplAsFormatted"
		size = 220
		refs = "001a TFieldValuesValueField.ImplAsFormatted 0027 @UStrClr 002e TFieldValuesValueField.GetField 0037 @IntfClear 0044 Supports 0063 TAdapterNamedField.GetValue 0089 @VarToUStr 009f Variant 00a9 @FinalizeArray 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 28 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 83 7D F8 00 74 17 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8D 55 E8 8B CE 8B 45 F8 8B 38 FF 57 14 83 3E 00 75 14 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8D 55 D8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 4D E9 D7 59 A9 9B D4 11 A4 F2 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_97231_0 {
	meta:
		name = "TFieldValuesValueField.ImplGetValue"
		size = 156
		refs = "0015 TFieldValuesValueField.ImplGetValue 0022 TFieldValuesValueField.GetField 002b @IntfClear 0038 Supports 0050 @VarClear 005a @VarCopy 006f @VarClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 12 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 07 D6 C0 5D 9C 1C 67 4E B3 BA 35 CE 2A 58 72 A0 }
	condition:
		$1
}

rule function_97234_0 {
	meta:
		name = "TCustomAdapterBooleanField.ImplGetValue"
		size = 200
		refs = "0015 TCustomAdapterBooleanField.ImplGetValue 0022 TAdapterNamedField.CheckViewAccess 0029 TAdapterNamedField.GetEchoActionFieldValue 0037 TAdapterNamedField.GetActionValue 0052 ActionFieldValueAsBoolean 005b @VarFromBool 00ae @VarClr 00b6 @IntfClear 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3B 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 20 8D 4D E8 33 D2 8B 45 FC 8B 18 FF 53 14 8D 45 E8 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? EB 3C 8B C6 33 D2 E8 ?? ?? ?? ?? EB 31 66 83 BB C2 00 00 00 00 74 1E 8D 4D FB 8B D3 8B 83 C4 00 00 00 FF 93 C0 00 00 00 8B C6 0F B6 55 FB E8 ?? ?? ?? ?? EB 09 8B C6 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97235_0 {
	meta:
		name = "TCustomAdapterBooleanField.ImplIsEqual"
		size = 91
		refs = "0013 TCustomAdapterBooleanField.ImplIsEqual 0023 TAdapterNamedField.GetValue 002d @VarCmpEQ 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97236_0 {
	meta:
		name = "TCustomAdapterBooleanField.ConvertValue"
		size = 165
		refs = "001c @IntfAddRef 0024 TCustomAdapterBooleanField.ConvertValue 004d @VarToBool 0057 @VarFromBool 0066 @HandleAnyException 0075 @DoneExcept 008a @VarClr 0092 @IntfClear 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 33 D2 8B 45 FC 8B 18 FF 53 14 8D 45 E8 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 14 E9 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97237_0 {
	meta:
		name = "TCustomAdapterBooleanField.ImplUpdateValue"
		size = 188
		refs = "001e @IntfAddRef 0026 TCustomAdapterBooleanField.ImplUpdateValue 0033 TAdapterNamedField.CheckModifyAccess 0048 GetActionFieldValues 006d @VarToBool 0092 @IntfClear 009a @VarClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 66 83 BB CA 00 00 00 00 74 40 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 8B D6 8B 45 F8 8B 30 FF 56 20 8B 55 E4 8D 4D E8 8B C3 8B 30 FF 96 B0 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 CC 00 00 00 FF 93 C8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97240_0 {
	meta:
		name = "TCustomAdapterField.ImplGetValue"
		size = 215
		refs = "0019 TCustomAdapterField.ImplGetValue 0026 TAdapterNamedField.CheckViewAccess 002d TAdapterNamedField.GetEchoActionFieldValue 003b TAdapterNamedField.GetActionValue 0063 @VarClear 006d @VarCopy 00b3 Variant 00bd @FinalizeArray 00c5 @IntfClear 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 3E 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 1A 8B 45 FC 8B 10 FF 52 10 85 C0 7E 0E 8B CE 33 D2 8B 45 FC 8B 18 FF 53 14 EB 42 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? EB 2E 66 83 BB C2 00 00 00 00 74 12 8B CE 8B D3 8B 83 C4 00 00 00 FF 93 C0 00 00 00 EB 12 8D 45 D8 E8 ?? ?? ?? ?? 8B C6 8D 55 D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97241_0 {
	meta:
		name = "TCustomAdapterField.ImplUpdateValue"
		size = 178
		refs = "001e @IntfAddRef 0026 TCustomAdapterField.ImplUpdateValue 0033 TAdapterNamedField.CheckModifyAccess 0048 GetActionFieldValues 0088 @IntfClear 0090 @VarClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 66 83 BB CA 00 00 00 00 74 36 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 8B D6 8B 45 F8 8B 30 FF 56 20 8B 45 E4 8D 4D E8 33 D2 8B 30 FF 56 14 8D 4D E8 8B D3 8B 83 CC 00 00 00 FF 93 C8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97243_0 {
	meta:
		name = "TAdapterHiddenFieldsList.GetCurrentIntf"
		size = 21
		refs = "000e TAdapterHiddenFieldsList.GetField"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B CE 8B 53 0C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97270_0 {
	meta:
		name = "TBaseAdapterErrorsList.GetCurrentIntf"
		size = 21
		refs = "000e TBaseAdapterErrorsList.GetError"
	strings:
		$1 = { 53 56 8B F1 8B D8 8B CE 8B 53 0C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97244_0 {
	meta:
		name = "TAdapterHiddenFieldsList.NextIteration"
		size = 21
		refs = "0009 TAdapterHiddenFieldsList.GetFieldCount"
	strings:
		$1 = { 53 8B D8 FF 43 0C 8B C3 E8 ?? ?? ?? ?? 3B 43 0C 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_97281_0 {
	meta:
		name = "TBaseAdapterErrorsList.NextIteration"
		size = 21
		refs = "0009 TBaseAdapterErrorsList.GetErrorCount"
	strings:
		$1 = { 53 8B D8 FF 43 0C 8B C3 E8 ?? ?? ?? ?? 3B 43 0C 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_97245_0 {
	meta:
		name = "TAdapterHiddenFieldsList.StartIterator"
		size = 24
		refs = "000c TAdapterHiddenFieldsList.GetFieldCount"
	strings:
		$1 = { 53 56 8B D8 33 F6 89 73 0C 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 9C C0 5E 5B C3 }
	condition:
		$1
}

rule function_97282_0 {
	meta:
		name = "TBaseAdapterErrorsList.StartIterator"
		size = 24
		refs = "000c TBaseAdapterErrorsList.GetErrorCount"
	strings:
		$1 = { 53 56 8B D8 33 F6 89 73 0C 8B C3 E8 ?? ?? ?? ?? 3B F0 0F 9C C0 5E 5B C3 }
	condition:
		$1
}

rule function_97246_0 {
	meta:
		name = "TAdapterHiddenFieldsList.Add"
		size = 27
	strings:
		$1 = { 56 57 8B F9 8B F0 8B 46 10 8B 08 FF 51 38 8B D7 8B 46 14 8B 08 FF 51 38 5F 5E C3 }
	condition:
		$1
}

rule function_97247_0 {
	meta:
		name = "TAdapterHiddenFieldsList.Clear"
		size = 21
	strings:
		$1 = { 56 8B F0 8B 46 10 8B 10 FF 52 44 8B 46 14 8B 10 FF 52 44 5E C3 }
	condition:
		$1
}

rule function_97249_0 {
	meta:
		name = "TAdapterHiddenFieldsList.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001a TObject.Free 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97251_0 {
	meta:
		name = "TAdapterHiddenFieldsList.GetFieldCount"
		size = 9
	strings:
		$1 = { 8B 40 10 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_97253_0 {
	meta:
		name = "TAdapterHiddenField.GetName"
		size = 25
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 0C 8B 40 10 8B 53 10 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_97254_0 {
	meta:
		name = "TAdapterHiddenField.GetValue"
		size = 25
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 43 0C 8B 40 14 8B 53 10 8B 18 FF 53 0C 5E 5B C3 }
	condition:
		$1
}

rule function_97257_0 {
	meta:
		name = "TDtdValidationAgent.FindNotationDecl"
		size = 9
		altNames = "TUpdateFileList.GetFile"
	strings:
		$1 = { 8B 40 04 8B 08 FF 51 1C C3 }
	condition:
		$1
}

rule function_97258_0 {
	meta:
		name = "EAdapterFieldException.Create"
		size = 105
		refs = "0011 @ClassCreate 0033 Exception.CreateFmt 003d @UStrAsg 0050 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 0C 89 75 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 1C 8B D6 E8 ?? ?? ?? ?? 8B 45 08 89 43 18 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_97259_0 {
	meta:
		name = "TAdapterObjectErrorsList.Create"
		size = 297
		refs = "0018 @ClassCreate 0028 TAdapterObjectErrorsList.Create 0038 TObject.Create 0045 TBaseAdapterErrorsList.GetErrorCount 0060 TAdapterErrorsList.GetFieldName 006b @UStrLAsg 0092 CompareText 00a6 @DynArrayLength 00b9 :TAdapterObjectErrorsList.:1 00be @DynArraySetLength 00fa @UStrArrayClr 0100 @HandleFinally 0110 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D FC 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 F3 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 89 70 18 8B C6 E8 ?? ?? ?? ?? 48 85 C0 0F 8C 92 00 00 00 40 89 45 EC 33 DB 8D 4D FC 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 08 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 3B 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 40 50 8B 45 F4 83 C0 1C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 8B 40 1C E8 ?? ?? ?? ?? 8B 55 F4 8B 52 1C 89 5C 82 FC 43 FF 4D EC 0F 85 74 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 F4 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_97261_0 {
	meta:
		name = "TAdapterObjectErrorsList.ImplGetError"
		size = 29
		refs = "0015 TBaseAdapterErrorsList.GetError"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B 43 1C 8B 14 B0 8B 43 18 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97268_0 {
	meta:
		name = "TBaseAdapterErrorsList.DefineLabel"
		size = 14
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 18 FF 53 14 5E 5B C3 }
	condition:
		$1
}

rule function_97271_0 {
	meta:
		name = "TBaseAdapterErrorsList.GetError"
		size = 24
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 8B 18 FF 53 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97285_0 {
	meta:
		name = "ListPagedAdapterActions"
		size = 168
		refs = "000f _DV_TAdapterPrevPageAction 0014 ListPagedAdapterActions 0021 _DV_TAdapterGotoPageAction 0033 _DV_TAdapterNextPageAction"
	strings:
		$1 = { 53 56 8B F2 83 B8 2C 01 00 00 00 7E 36 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 3C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 3C 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 3C 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 72 00 65 00 76 00 50 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 6F 00 74 00 6F 00 50 00 61 00 67 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 65 00 78 00 74 00 50 00 61 00 67 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_97288_0 {
	meta:
		name = "TDefaultFieldsPagedAdapter.GetPageCount"
		size = 43
	strings:
		$1 = { 53 8B D8 B8 01 00 00 00 83 BB 2C 01 00 00 00 7E 18 8B C3 8B 10 FF 92 04 01 00 00 03 83 2C 01 00 00 48 99 F7 BB 2C 01 00 00 5B C3 }
	condition:
		$1
}

rule function_97289_0 {
	meta:
		name = "TDefaultFieldsPagedAdapter.GetRecordIndex"
		size = 43
	strings:
		$1 = { 53 51 66 83 B8 3A 01 00 00 00 74 14 8B CC 8B D8 8B D0 8B 83 3C 01 00 00 FF 93 38 01 00 00 EB 05 33 C0 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_97290_0 {
	meta:
		name = "TDefaultFieldsPagedAdapter.SetPageSize"
		size = 26
	strings:
		$1 = { 3B 90 2C 01 00 00 74 11 89 90 2C 01 00 00 8B 80 24 01 00 00 8B 10 FF 52 60 C3 }
	condition:
		$1
}

rule function_97291_0 {
	meta:
		name = "TDefaultFieldsPagedAdapter.EndOfPage"
		size = 48
	strings:
		$1 = { 53 8B D8 83 BB 2C 01 00 00 00 7E 1C 8B C3 8B 10 FF 92 00 01 00 00 8B 93 28 01 00 00 42 0F AF 93 2C 01 00 00 3B C2 7D 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_97292_0 {
	meta:
		name = "TDefaultFieldsPagedAdapter.ImplNextIteration"
		size = 75
		refs = "0039 TDefaultFieldsPagedAdapter.EndOfPage"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 10 FF 92 00 01 00 00 8B F0 8B C3 8B 10 FF 92 04 01 00 00 3B F0 7D 0A 8B C3 8B 10 FF 92 F4 00 00 00 8B C3 8B 10 FF 92 FC 00 00 00 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_97294_0 {
	meta:
		name = "TDefaultFieldsPagedAdapter.SkipToPage"
		size = 61
	strings:
		$1 = { 53 56 8B D8 8B 83 2C 01 00 00 85 C0 7E 2C 8B B3 28 01 00 00 0F AF F0 EB 0F 8B C3 8B 10 FF 92 F4 00 00 00 84 C0 74 13 4E 8B C3 8B 10 FF 92 FC 00 00 00 84 C0 75 04 85 F6 7F DF 5E 5B C3 }
	condition:
		$1
}

rule function_97295_0 {
	meta:
		name = "TDefaultFieldsPagedAdapter.ImplStartIterator"
		size = 93
		refs = "0045 TDefaultFieldsPagedAdapter.SkipToPage"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 10 FF 92 F8 00 00 00 84 C0 74 46 83 BB 2C 01 00 00 00 7E 2E EB 06 FF 8B 28 01 00 00 8B B3 28 01 00 00 85 F6 7E 15 8B C3 8B 10 FF 92 04 01 00 00 0F AF B3 2C 01 00 00 3B C6 7E DB 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 FC 00 00 00 34 01 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_97297_0 {
	meta:
		name = "TDefaultFieldsPagedAdapter.ImplNotifyDeactivate"
		size = 20
		refs = "0006 TCustomAdapter.ImplNotifyDeactivate"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 28 01 00 00 5B C3 }
	condition:
		$1
}

rule function_97298_0 {
	meta:
		name = "TDefaultFieldsPagedAdapter.EncodeActionParams"
		size = 200
		refs = "0015 @IntfAddRef 001d TDefaultFieldsPagedAdapter.EncodeActionParams 005b Format 0082 @UStrClr 008a @IntfClear 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 2C 01 00 00 00 74 41 8D 45 F8 50 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8B 83 28 01 00 00 89 45 F0 C6 45 F4 00 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 8B 10 FF 52 1C 5A 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 5F 00 63 00 70 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3D 00 25 00 64 00 00 00 }
	condition:
		$1
}

rule function_97299_0 {
	meta:
		name = "TDefaultFieldsPagedAdapter.ExtractRequestParams"
		size = 240
		refs = "001b @IntfAddRef 0023 TDefaultFieldsPagedAdapter.ExtractRequestParams 0031 @IntfClear 0040 Supports 0072 StrToInt 0083 @HandleAnyException 008a @DoneExcept 00b0 @UStrClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F8 89 4D F4 89 55 FC 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 8D 4D F8 BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 1C 83 7D F8 00 75 04 33 DB EB 2E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 8B 45 F0 89 98 28 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 0F 04 94 03 4D 41 D4 11 A4 7C 00 C0 4F 6B B8 53 B0 04 02 00 FF FF FF FF 03 00 00 00 5F 00 63 00 70 00 00 00 }
	condition:
		$1
}

rule function_97300_0 {
	meta:
		name = "TDefaultFieldsPagedAdapter.GetRecordCount"
		size = 41
	strings:
		$1 = { 53 51 33 D2 89 14 24 66 83 B8 32 01 00 00 00 74 12 8B CC 8B D8 8B D0 8B 83 34 01 00 00 FF 93 30 01 00 00 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_97302_0 {
	meta:
		name = "TDefaultFieldsPagedAdapter.GetEOF"
		size = 73
	strings:
		$1 = { 53 56 51 8B D8 66 83 BB 42 01 00 00 00 74 16 C6 04 24 01 8B CC 8B D3 8B 83 44 01 00 00 FF 93 40 01 00 00 EB 1C 8B C3 8B 10 FF 92 00 01 00 00 8B F0 8B C3 8B 10 FF 92 04 01 00 00 3B F0 0F 9D 04 24 0F B6 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_97303_0 {
	meta:
		name = "TDefaultFieldsPagedAdapter.GetNextRecord"
		size = 50
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 B8 4A 01 00 00 00 74 1B 8B CC 8B D8 8B D0 8B 83 4C 01 00 00 FF 93 48 01 00 00 0F B6 04 24 34 01 88 04 24 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_97304_0 {
	meta:
		name = "TDefaultFieldsPagedAdapter.GetFirstRecord"
		size = 50
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 B8 52 01 00 00 00 74 1B 8B CC 8B D8 8B D0 8B 83 54 01 00 00 FF 93 50 01 00 00 0F B6 04 24 34 01 88 04 24 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_97306_0 {
	meta:
		name = "TCustomAdapterGotoPageAction.GetDisplayStyleType"
		size = 24
		refs = "000b TBaseAdapterAction.GetDisplayStyleType"
		altNames = "TCustomAdapterPageAction.GetDisplayStyleType"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 02 B0 02 5E 5B C3 }
	condition:
		$1
}

rule function_97308_0 {
	meta:
		name = "TCustomAdapterPageAction.ImplExecuteActionRequest"
		size = 221
		refs = "0013 @IntfAddRef 001b TCustomAdapterPageAction.ImplExecuteActionRequest 0029 TCustomPagedAdapterAction.GetAdapter 0071 @HandleOnException 0079 _Dn_Exception 0087 TBaseAdapterAction.GetErrors 0095 @DoneExcept 00a2 TBaseAdapterErrorsList.GetErrorCount 00b5 TCustomAdapter.SetEchoActionFieldValues 00ca @IntfClear 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 F8 8B 08 FF 91 AC 00 00 00 84 C0 74 11 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 89 90 28 01 00 00 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 F8 E8 ?? ?? ?? ?? 33 C9 8B D3 8B 18 FF 53 18 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0F 8B 45 F8 E8 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97310_0 {
	meta:
		name = "TCustomAdapterPageAction.ImplIsDefaultAction"
		size = 140
		refs = "000d TCustomAdapterPageAction.ImplIsDefaultAction 0021 @IntfClear 002f Supports 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 84 DB 74 3A 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 45 FC 8B 10 FF 52 0C 8B D8 F6 C3 01 74 05 F6 C3 02 74 04 33 C0 EB 02 B0 01 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 63 05 50 CA 98 12 0F 40 81 4D DA 83 6E 08 D8 B4 }
	condition:
		$1
}

rule function_97321_0 {
	meta:
		name = "TCustomAdapterGotoPageAction.ImplIsDefaultAction"
		size = 140
		refs = "000d TCustomAdapterGotoPageAction.ImplIsDefaultAction 0021 @IntfClear 002f Supports 006e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 84 DB 74 3A 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 45 FC 8B 10 FF 52 0C 8B D8 F6 C3 01 74 05 F6 C3 02 74 04 33 C0 EB 02 B0 01 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 63 05 50 CA 98 12 0F 40 81 4D DA 83 6E 08 D8 B4 }
	condition:
		$1
}

rule function_97311_0 {
	meta:
		name = "TCustomAdapterPageAction.ImplWebEnabled"
		size = 13
	strings:
		$1 = { 51 8B D4 8B 08 FF 91 AC 00 00 00 5A C3 }
	condition:
		$1
}

rule function_97312_0 {
	meta:
		name = "TAdapterNextPageAction.GetDefaultActionName"
		size = 52
		refs = "0006 TAdapterNextPageAction.GetDefaultActionName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 65 00 78 00 74 00 50 00 61 00 67 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_97313_0 {
	meta:
		name = "TAdapterNextPageAction.GetDefaultDisplayLabel"
		size = 52
		refs = "0006 TAdapterNextPageAction.GetDefaultDisplayLabel 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 26 00 67 00 74 00 3B 00 26 00 67 00 74 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_97314_0 {
	meta:
		name = "TAdapterNextPageAction.GetNewPage"
		size = 108
		refs = "000b TCustomPagedAdapterAction.GetAdapter"
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 83 B8 2C 01 00 00 00 7E 33 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 04 01 00 00 8B D8 8B C6 E8 ?? ?? ?? ?? 8B A8 2C 01 00 00 8B C6 E8 ?? ?? ?? ?? 8B 80 28 01 00 00 40 0F AF E8 3B DD 7F 04 33 DB EB 02 B3 01 84 DB 74 10 8B C6 E8 ?? ?? ?? ?? 8B 80 28 01 00 00 40 89 07 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97315_0 {
	meta:
		name = "TCustomAdapterGotoPageAction.GetDefaultActionName"
		size = 52
		refs = "0006 TCustomAdapterGotoPageAction.GetDefaultActionName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 47 00 6F 00 74 00 6F 00 50 00 61 00 67 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_97318_0 {
	meta:
		name = "TCustomAdapterGotoPageAction.ImplExecuteActionRequest"
		size = 80
		refs = "000e @IntfAddRef 0016 TCustomAdapterGotoPageAction.ImplExecuteActionRequest 0023 TCustomPagedAdapterAction.GetAdapter 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_97319_0 {
	meta:
		name = "TCustomAdapterGotoPageAction.ImplGetAdapterItemRequestParams"
		size = 204
		refs = "0018 @IntfAddRef 0020 TCustomAdapterGotoPageAction.ImplGetAdapterItemRequestParams 0052 Format 0070 TCustomAdapterAction.ImplGetAdapterItemRequestParams 0085 @UStrClr 008d @IntfClear 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 B8 ?? ?? ?? ?? 89 45 E8 C6 45 EC 11 8B 43 40 89 45 F0 C6 45 F4 00 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 FC 8B 10 FF 52 1C 5A 8B 08 FF 51 38 8B D6 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 5F 00 63 00 70 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3D 00 25 00 64 00 00 00 }
	condition:
		$1
}

rule function_97320_0 {
	meta:
		name = "TCustomAdapterGotoPageAction.ImplGetDisplayLabel"
		size = 96
		refs = "003c TCustomAdapterGotoPageAction.ImplGetDisplayLabel 0041 Format"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 66 83 BB EA 00 00 00 00 74 14 56 8B 4B 40 8B D3 8B 83 EC 00 00 00 FF 93 E8 00 00 00 EB 1E 56 8B 43 40 40 89 44 24 04 C6 44 24 08 00 8D 54 24 04 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 25 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_97322_0 {
	meta:
		name = "TCustomAdapterGotoPageAction.ImplGetIsAdapterActionList"
		size = 22
		refs = "0006 TCustomPagedAdapterAction.GetAdapter"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 83 B8 2C 01 00 00 00 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_97323_0 {
	meta:
		name = "TCustomAdapterGotoPageAction.ImplWebEnabled"
		size = 24
		refs = "0006 TCustomPagedAdapterAction.GetAdapter"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 80 28 01 00 00 3B 43 40 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_97324_0 {
	meta:
		name = "TAdapterPrevPageAction.GetDefaultActionName"
		size = 52
		refs = "0006 TAdapterPrevPageAction.GetDefaultActionName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 72 00 65 00 76 00 50 00 61 00 67 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_97325_0 {
	meta:
		name = "TAdapterPrevPageAction.GetNewPage"
		size = 74
		refs = "000a TCustomPagedAdapterAction.GetAdapter"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 10 FF 92 04 01 00 00 85 C0 7E 10 8B C6 E8 ?? ?? ?? ?? 83 B8 28 01 00 00 00 7F 04 33 DB EB 02 B3 01 84 DB 74 10 8B C6 E8 ?? ?? ?? ?? 8B 80 28 01 00 00 48 89 07 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97326_0 {
	meta:
		name = "TAdapterPrevPageAction.GetDefaultDisplayLabel"
		size = 52
		refs = "0006 TAdapterPrevPageAction.GetDefaultDisplayLabel 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 26 00 6C 00 74 00 3B 00 26 00 6C 00 74 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_97327_0 {
	meta:
		name = "TCustomAdapter.GetIteratorIndex"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 98 00 00 00 C3 }
	condition:
		$1
}

rule function_97329_0 {
	meta:
		name = "TCustomAdapter.ImplInIterator"
		size = 8
	strings:
		$1 = { 0F B6 80 C8 00 00 00 C3 }
	condition:
		$1
}

rule function_97334_0 {
	meta:
		name = "TCustomAdapterAction.IsActionNameStored"
		size = 15
	strings:
		$1 = { 53 8B D8 83 BB C8 00 00 00 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_97340_0 {
	meta:
		name = "WebAdapt"
		size = 160
		refs = "0002 _DV_18 000a WebAdapt 000f RegisterAdapterRequestIdentifier 0028 _DV_TAdapterFields 002d RegisterClass 0032 _DV_TAdapterActions 003c _DV_TAdapterDefaultFields 0046 _DV_TAdapterDefaultActions"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 46 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 05 00 00 00 5F 00 5F 00 61 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 5F 00 5F 00 61 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 5F 00 5F 00 69 00 6D 00 67 00 00 00 }
	condition:
		$1
}

rule function_97350_0 {
	meta:
		name = "TWebComponentsStub.DispatchOfName"
		size = 60
		refs = "0014 @IntfClear 0030 TWebComponentsStub.DispatchOfObject"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 04 8B F0 85 F6 74 0D 57 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_97351_0 {
	meta:
		name = "TWebComponentsStub.DispatchOfObject"
		size = 44
		refs = "0018 TAbstractScriptEngine.CreateComponentStub 0021 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B 75 08 85 DB 74 0D 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_97356_0 {
	meta:
		name = "TWebModuleStub.Get_Name_"
		size = 37
		refs = "0014 @UStrAsg 001d @UStrClr"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 0C 85 FF 74 0C 8B C6 8B 57 08 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97357_0 {
	meta:
		name = "TWebModuleStub.Get_Objects"
		size = 38
		refs = "001e @IntfClear"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 0C 85 FF 74 0D 8B CE 8B D7 8B C3 8B 18 FF 53 0C EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97359_0 {
	meta:
		name = "TWebResponseStub.Get_Content"
		size = 78
		refs = "000c TWebResponseStub.Get_Content 0025 @UStrToPWChar 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 0C 8B 08 FF 51 3C 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_97364_0 {
	meta:
		name = "TWebProducerStub.Get_Content"
		size = 78
		refs = "000c TWebProducerStub.Get_Content 0025 @UStrToPWChar 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 0C 8B 08 FF 51 3C 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_97360_0 {
	meta:
		name = "TWebResponseStub.Set_Content"
		size = 80
		refs = "000f TWebResponseStub.Set_Content 001f @UStrFromPWChar 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97361_0 {
	meta:
		name = "TWebResponseStub.Write"
		size = 80
		refs = "000f TWebResponseStub.Write 001f @UStrFromPWChar 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97362_0 {
	meta:
		name = "TWebResponseStub.Write"
		size = 82
		refs = "000e @UStrAddRef 0016 TWebResponseStub.Write 0024 @UStrToPWChar 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_97365_0 {
	meta:
		name = "TWebProducerStub.Set_Content"
		size = 102
		refs = "0011 TWebProducerStub.Set_Content 0021 @UStrFromPWChar 0054 @UStrArrayClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 43 0C 8B 30 FF 56 24 8B 55 FC 8B 43 0C 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_97366_0 {
	meta:
		name = "TWebProducerStub.Write"
		size = 102
		refs = "0011 TWebProducerStub.Write 0021 @UStrFromPWChar 0054 @UStrArrayClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 43 0C 8B 30 FF 56 24 8B 55 FC 8B 43 0C 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_97368_0 {
	meta:
		name = "THTMLItemsStub.WriteItem"
		size = 9
	strings:
		$1 = { 8B 40 0C 8B 08 FF 51 38 C3 }
	condition:
		$1
}

rule function_97370_0 {
	meta:
		name = "THTMLItemsStub.Get_ControlDefault"
		size = 93
		refs = "0018 THTMLItemsStub.Get_ControlDefault 0036 @VarFromUStr 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B 43 0C 8B 18 FF 53 14 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_97372_0 {
	meta:
		name = "TWebPageStub.Create"
		size = 137
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TWebPageStub.Create 0036 @IntfCopy 004a TObject.Create 005f @IntfClear 0065 @HandleFinally 0072 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 0C 8B 55 08 E8 ?? ?? ?? ?? 8D 46 14 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_97373_0 {
	meta:
		name = "TWebPageStub.PageDispatcher"
		size = 192
		refs = "0012 TWebPageStub.PageDispatcher 0023 WebContext 0045 @IntfClear 005a Supports 0074 @IntfCopy 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 10 00 75 56 E8 ?? ?? ?? ?? 85 C0 74 4D 8B 43 14 8B 10 FF 52 0C 50 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 3C 8B F8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 16 8D 55 F8 8B 45 FC 8B 08 FF 51 10 8B 55 F8 8D 43 10 E8 ?? ?? ?? ?? 8B C6 8B 53 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 00 0D 2F CD 19 8F E6 6F 4A 92 AA 4C 76 59 E8 37 08 }
	condition:
		$1
}

rule function_97374_0 {
	meta:
		name = "TWebPageStub.Get_Description"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C 8B 08 FF 51 18 5E 5B C3 }
	condition:
		$1
}

rule function_97375_0 {
	meta:
		name = "TWebPageStub.Get_Title"
		size = 34
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C 8B 08 FF 51 14 83 3E 00 75 0A 8B D6 8B 43 0C 8B 08 FF 51 0C 5E 5B C3 }
	condition:
		$1
}

rule function_97379_0 {
	meta:
		name = "TWebPageStub.Get_LoginRequired"
		size = 142
		refs = "0010 TWebPageStub.Get_LoginRequired 0020 TWebPageStub.PageDispatcher 006b @IntfClear 0073 @UStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 26 8D 55 F8 8B 43 0C 8B 08 FF 51 0C 8B 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 5A 8B 08 FF 51 20 8B D8 EB 0A 8B 43 0C 8B 10 FF 52 20 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97380_0 {
	meta:
		name = "TWebPageStub.Get_CanView"
		size = 142
		refs = "0010 TWebPageStub.Get_CanView 0020 TWebPageStub.PageDispatcher 006b @IntfClear 0073 @UStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 26 8D 55 F8 8B 43 0C 8B 08 FF 51 0C 8B 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 5A 8B 08 FF 51 24 8B D8 EB 0A 8B 43 0C 8B 10 FF 52 24 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97381_0 {
	meta:
		name = "TWebPageStub.Get_DefaultAction"
		size = 256
		refs = "0016 TWebPageStub.Get_DefaultAction 0023 @IntfClear 003b WebContext 0063 Supports 00a3 _Dn_TActionLink 00a8 TActionLink.Create 00d0 @UStrArrayClr 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 55 F0 8B 43 0C 8B 08 FF 51 0C 8B 45 F0 50 E8 ?? ?? ?? ?? 0F B6 0D ?? ?? ?? ?? 5A 8B 38 FF 57 48 84 C0 74 6A 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 4F 8B 45 FC 8B 10 FF 52 0C 8B F8 85 FF 74 41 8D 55 EC 8B 43 0C 8B 08 FF 51 0C 8B 45 EC 50 8D 55 E8 8B 43 0C 8B 08 FF 51 0C 8B 45 E8 50 8B CF 85 C9 74 03 83 E9 CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B CE 8B 55 F4 8B C3 8B 18 FF 13 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 DD 4B 09 F8 BB 3D 5C 44 80 5B 80 D6 86 24 BA D4 }
	condition:
		$1
}

rule function_97382_0 {
	meta:
		name = "TWebPagesStub.Create"
		size = 192
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TWebPagesStub.Create 0036 @IntfCopy 0044 _Dn_TComponent 0049 @IsClass 0062 _Dn_TInterfaceList 0067 TInterfaceList.Create 0083 TWebComponentsStub.Create 0098 @IntfClear 009e @HandleFinally 00ab @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 1C 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8B 45 FC 8B 10 FF 52 0C F6 40 1C 10 74 1D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 46 18 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97383_0 {
	meta:
		name = "TWebPagesStub.FindPageInfo"
		size = 221
		refs = "001c TWebPagesStub.FindPageInfo 0027 WebContext 0060 @UStrLAsg 0087 CompareText 009f @IntfClear 00b1 TWebPagesStub.FindSamplePage 00cb @UStrArrayClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D FC 89 5D F8 8B D9 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 24 48 85 C0 7C 67 40 89 45 E8 C7 45 EC 00 00 00 00 E8 ?? ?? ?? ?? 8B CB 8B 55 EC 8B 30 FF 56 28 8D 55 FC 8B 03 8B 08 FF 51 0C 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 21 FF 45 EC FF 4D E8 75 A4 8B C3 E8 ?? ?? ?? ?? 83 3B 00 75 0D 8B CB 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97384_0 {
	meta:
		name = "TWebPagesStub.FindSamplePage"
		size = 312
		refs = "001f TWebPagesStub.FindSamplePage 006d @IntfCast 0082 @UStrLAsg 00a9 CompareText 00c4 _DV_TSampleWebPageInfo 00c9 TSampleWebPageInfo.Create 00f4 @IntfClear 0116 @UStrArrayClr 011c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 5D FC 89 5D F8 8B D9 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 78 18 00 0F 84 BB 00 00 00 8B 45 F4 8B 40 18 8B 10 FF 52 14 48 85 C0 7C 78 40 89 45 E8 C7 45 EC 00 00 00 00 8D 4D E4 8B 45 F4 8B 40 18 8B 55 EC 8B 30 FF 56 0C 8B 55 E4 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B 03 8B 08 FF 51 0C 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 42 FF 45 EC FF 4D E8 75 93 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 13 8B 45 F4 8B 40 18 8B 08 FF 51 38 EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 77 5A D5 8A AE 9D 11 D5 8D 38 00 50 56 8E 0E 44 }
	condition:
		$1
}

rule function_97385_0 {
	meta:
		name = "TWebPagesStub.DispatchOfName"
		size = 107
		refs = "0013 TWebPagesStub.DispatchOfName 0025 TWebPagesStub.FindPageInfo 0042 @IntfClear 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D7 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 10 56 8B 4D FC 8B 53 1C 8B C3 8B 18 FF 53 0C EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_97395_0 {
	meta:
		name = "TWebSessionStub.Get_Values"
		size = 90
		refs = "000f TWebSessionStub.Get_Values 001a WebContext 002a @UStrFromPWChar 0049 @UStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 20 50 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 8B CE 58 8B 18 FF 13 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97396_0 {
	meta:
		name = "TSessionObj.GetSessionID"
		size = 22
		refs = "0004 WebContext"
		altNames = "TWebSessionIDStub.Get_Value"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 8B 10 FF 52 20 8B D3 8B 08 FF 51 10 5B C3 }
	condition:
		$1
}

rule function_97397_0 {
	meta:
		name = "TWebModulesStub.FindObject"
		size = 92
		refs = "0010 _Dn_TVariableLookup 0015 TVariableLookup.Create 0020 TWebModulesStub.FindObject 0030 TVariableLookup.FindGlobalVariableContainer 0048 TObject.Free 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_97398_0 {
	meta:
		name = "TWebRequestStub.Create"
		size = 92
		refs = "000d @ClassCreate 0019 TWebRequestStub.Create 0028 TObject.Create 003b @HandleFinally 0048 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C3 }
	condition:
		$1
}

rule function_97399_0 {
	meta:
		name = "TRequestObj.Request"
		size = 23
		refs = "0001 WebContext"
		altNames = "TWebRequestStub.Request"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 0B E8 ?? ?? ?? ?? 8B 10 FF 52 04 C3 33 C0 C3 }
	condition:
		$1
}

rule function_97400_0 {
	meta:
		name = "TWebRequestStub.Get_PathInfo"
		size = 104
		refs = "000f TWebRequestStub.Get_PathInfo 001c TWebRequestStub.Request 0039 @UStrFromLStr 0042 @UStrClr 0057 @LStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1B 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 51 10 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98657_0 {
	meta:
		name = "TRequestObj.GetPathInfo"
		size = 104
		refs = "000f TRequestObj.GetPathInfo 001c TRequestObj.Request 0039 @WStrFromLStr 0042 @WStrClr 0057 @LStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1B 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 51 10 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97401_0 {
	meta:
		name = "TWebRequestStub.Get_ScriptName"
		size = 104
		refs = "000f TWebRequestStub.Get_ScriptName 001c TWebRequestStub.Request 0039 @UStrFromLStr 0042 @UStrClr 0057 @LStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1B 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 51 18 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98661_0 {
	meta:
		name = "TRequestObj.GetScriptName"
		size = 104
		refs = "000f TRequestObj.GetScriptName 001c TRequestObj.Request 0039 @WStrFromLStr 0042 @WStrClr 0057 @LStrClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1B 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 51 18 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97402_0 {
	meta:
		name = "TWebRequestStub.Get_Host"
		size = 109
		refs = "000f TWebRequestStub.Get_Host 001c TWebRequestStub.Request 003e @UStrFromLStr 0047 @UStrClr 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA 0A 00 00 00 8B 18 FF 53 04 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98655_0 {
	meta:
		name = "TRequestObj.GetHost"
		size = 109
		refs = "000f TRequestObj.GetHost 001c TRequestObj.Request 003e @WStrFromLStr 0047 @WStrClr 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA 0A 00 00 00 8B 18 FF 53 04 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97403_0 {
	meta:
		name = "TModuleObjectsStub.Create"
		size = 56
		refs = "000a @ClassCreate 001a TWebComponentsStub.Create 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 18 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_97409_0 {
	meta:
		name = "BuildPositionalDispIds"
		size = 59
	strings:
		$1 = { 53 56 8B 5A 08 4B 85 DB 7C 10 43 33 C9 8B 72 08 4E 2B F1 89 34 88 41 4B 75 F3 8B 4A 0C 85 C9 7E 17 8B D9 4B 85 DB 7C 10 43 33 C9 8B 72 04 8B 34 8E 89 0C B0 41 4B 75 F3 5E 5B C3 }
	condition:
		$1
}

rule function_97410_0 {
	meta:
		name = "SafeCreateControlRange"
		size = 296
		refs = "0015 SafeCreateControlRange 0023 @IntfClear 0043 TWebBrowserEx.Selection 0051 @WStrClr 0060 @CheckAutoResult 006d @WStrEqual 00a9 Supports 00c2 @HandleAnyException 00cf @DoneExcept 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 85 DB 0F 84 A4 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 62 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A 8B 45 F8 E8 ?? ?? ?? ?? EB 3A 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 08 00 00 00 4E 00 6F 00 6E 00 65 00 00 00 00 00 9C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_97411_0 {
	meta:
		name = "SafeCreateRange"
		size = 236
		refs = "0015 SafeCreateRange 0023 @IntfClear 0043 TWebBrowserEx.Selection 0051 @WStrClr 0060 @CheckAutoResult 006d @WStrEqual 009f @HandleAnyException 00ac @DoneExcept 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 85 DB 0F 84 81 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 3F 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 19 8B 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 08 00 00 00 4E 00 6F 00 6E 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_97412_0 {
	meta:
		name = "TCustomWebBrowserComponent.CheckDocumentAssigned"
		size = 128
		refs = "000e TCustomWebBrowserComponent.CheckDocumentAssigned 001b TCustomWebBrowserComponent.CheckWebBrowserAssigned 002b TOleControl.GetIDispatchProp 0039 sNoPageLoaded 003e LoadResString 0048 _Dn_Exception 004d Exception.Create 0052 @RaiseExcept 0067 @UStrClr 006f @IntfClear 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA CB 00 00 00 8B 43 38 E8 ?? ?? ?? ?? 83 7D FC 00 75 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_97413_0 {
	meta:
		name = "TCustomWebBrowserComponent.CheckWebBrowserAssigned"
		size = 117
		refs = "0012 TCustomWebBrowserComponent.CheckWebBrowserAssigned 0036 sWebBrowserNotAssigned 003b LoadResString 0045 _Dn_Exception 004a Exception.CreateFmt 004f @RaiseExcept 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 38 00 75 31 8B 43 08 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97415_0 {
	meta:
		name = "TCustomWebBrowserComponent.SetWebBrowser"
		size = 58
		refs = "0014 TComponent.RemoveFreeNotification 0024 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 3B F0 74 2A 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 43 38 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 66 83 7B 42 00 74 08 8B D3 8B 43 44 FF 53 40 5E 5B C3 }
	condition:
		$1
}

rule function_97417_0 {
	meta:
		name = "TEventDispatchEx.DoInvoke"
		size = 12
	strings:
		$1 = { 55 8B EC B8 03 00 02 80 5D C2 1C 00 }
	condition:
		$1
}

rule function_97421_0 {
	meta:
		name = "TEventDispatchEx.Invoke"
		size = 325
		refs = "0021 TEventDispatchEx.Invoke 003c TObject.ClassName 0052 sClassSinkingError 0057 LoadResString 0062 Format 006c _Dn_Exception 0071 Exception.Create 0076 @RaiseExcept 009e @GetMem 00bf BuildPositionalDispIds 0103 @FreeMem 0109 @HandleFinally 0125 @UStrArrayClr 012d @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C0 89 45 EC 89 45 E0 89 45 DC 8B 5D 1C 8B 7D 18 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 F7 C7 01 00 75 48 8D 45 EC 50 8D 55 E0 8B 06 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 11 8D 45 E4 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 33 C9 5A E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 F4 33 C0 89 45 F0 8B 43 08 85 C0 0F 9F 45 FB 80 7D FB 00 74 12 03 C0 03 C0 89 45 F0 8B 45 F0 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D FB 00 74 0A 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 14 50 57 53 8B 45 F4 50 8B 45 20 50 8B 45 24 50 8B 45 28 50 8B 4D 10 8B 55 0C 8B C6 8B 18 FF 53 08 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 74 0B 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 FC 5F 5E 5B 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule function_97422_0 {
	meta:
		name = "TEventDispatchEx.QueryInterface"
		size = 96
		refs = "0016 TObject.GetInterface 0028 IsEqualIID 0033 TEventDispatchEx.QueryInterface"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 25 8D 43 10 50 56 E8 ?? ?? ?? ?? 84 C0 74 12 8B CF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 EB 05 B8 02 40 00 80 5F 5E 5B 5D C2 0C 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_97423_0 {
	meta:
		name = "TEventDispatchEx.SetActive"
		size = 124
		refs = "000c TEventDispatchEx.SetActive 0047 InterfaceConnect 0057 InterfaceDisconnect 006c @IntfClear 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3A 53 04 74 40 88 53 04 8D 55 FC 8B C3 8B 08 FF 11 83 7D FC 00 74 2E 80 7B 04 00 74 1A 8D 43 08 50 8B CB 85 C9 74 03 83 E9 E0 8D 53 10 8B 45 FC E8 ?? ?? ?? ?? EB 0E 8D 4B 08 8D 53 10 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_97424_0 {
	meta:
		name = "TEventDispatchEx._AddRef"
		size = 19
		refs = "000b InterlockedIncrement"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 C0 0C 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_97425_0 {
	meta:
		name = "TEventDispatchEx._Release"
		size = 40
		refs = "000d InterlockedDecrement"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8D 43 0C 50 E8 ?? ?? ?? ?? 8B F0 85 F6 75 09 B2 01 8B C3 8B 08 FF 51 FC 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_97427_0 {
	meta:
		name = "TDocEventDispatch.GetEventInterface"
		size = 40
		refs = "000a @IntfClear 0020 TWebBrowserEx.GetDocument2"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C7 E8 ?? ?? ?? ?? 8B 73 24 85 F6 74 0F F6 46 1C 08 75 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97428_0 {
	meta:
		name = "GetShiftState"
		size = 332
		refs = "0011 GetShiftState 002a @IntfClear 003c TWebBrowserEx.GetWindow 004d @CheckAutoResult 0139 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 1D ?? ?? ?? ?? 8D 45 FC 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 55 F4 8B 45 08 8B 40 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 66 83 7D FC 00 74 04 66 83 CB 02 8D 45 FC 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 55 EC 8B 45 08 8B 40 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 66 83 7D FC 00 74 04 66 83 CB 04 8D 45 FC 50 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 55 E4 8B 45 08 8B 40 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 66 83 7D FC 00 74 04 66 83 CB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 8B C3 5B 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_97429_0 {
	meta:
		name = "TDocEventDispatch.DoInvoke"
		size = 3828
		refs = "0021 TDocEventDispatch.DoInvoke 015d @IntfCast 0169 TWebBrowserEx.DoOnControlResize 017a @VarFromBool 01ad TWebBrowserEx.DoOnControlMove 01f3 TWebBrowserEx.DoOnControlSelect 01f8 @CheckAutoResult 021c TWebBrowserEx.ClearCurrentElement 022b @CallDynaInst 026f @IntfClear 027a TWebBrowserEx.GetWindow 02a6 GetShiftState 031b @HandleAnyException 0320 @DoneExcept 04f3 @VarClr 0562 VarIsNull 0580 @VarAnd 058b @VarToBool 05d8 CGID_MSHTML 05e9 TWebBrowserEx.GetCommandTarget 0a9f @WStrClr 0adb WideCompareText 0be2 TEventDispatchEx.DoInvoke 0d81 OleVariant 0d8b @FinalizeArray 0e40 IHTMLEventObj 0e6b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 28 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 DC 03 00 02 80 8B 45 FC 8B 70 24 85 F6 0F 84 D7 0B 00 00 8B C3 3D A3 FD FF FF 7F 7B 0F 84 8B 03 00 00 3D 0B 00 01 80 7F 33 0F 84 35 09 00 00 05 FC FF FE 7F 83 F8 05 0F 87 81 0B 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D 9F FD FF FF 7F 1D 0F 84 AB 08 00 00 2D 0C 00 01 80 0F 84 BA 09 00 00 48 0F 84 C3 09 00 00 E9 3E 0B 00 00 2D A1 FD FF FF 0F 84 F9 05 00 00 48 0F 84 44 05 00 00 E9 27 0B 00 00 3D 03 04 00 00 7F 48 0F 84 AA 09 00 00 3D A7 FD FF FF 7F 24 0F 84 6B 01 00 00 2D A4 FD FF FF 0F 84 40 02 00 00 48 0F 84 96 02 00 00 48 0F 84 62 01 00 00 E9 EF 0A 00 00 2D A8 FD FF FF 0F 84 32 01 00 00 2D 50 06 00 00 74 36 E9 D8 0A 00 00 05 F5 FB FF FF 83 F8 06 0F 87 CA 0A 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 D4 8B 55 14 8B 12 03 D2 8B 4D 18 8B 09 8B 54 D1 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B C6 8B CB E8 ?? ?? ?? ?? 8B D0 8B 45 10 66 F7 DA 1B D2 F7 DA E8 ?? ?? ?? ?? 33 C0 89 45 DC E9 8F 0A 00 00 8D 45 D0 8B 55 14 8B 12 03 D2 8B 4D 18 8B 09 8B 54 D1 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B C6 8B CB E8 ?? ?? ?? ?? 8B D0 8B 45 10 66 F7 DA 1B D2 F7 DA E8 ?? ?? ?? ?? 33 C0 89 45 DC E9 4B 0A 00 00 8D 45 CC 50 8D 45 C8 8B 55 14 8B 12 03 D2 8B 4D 18 8B 09 8B 54 D1 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 50 56 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 55 CC 8B 45 10 66 F7 DA 1B D2 F7 DA E8 ?? ?? ?? ?? 33 C0 89 45 DC E9 FE 09 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 24 66 BE 9C FF E8 ?? ?? ?? ?? 33 C0 89 45 DC E9 DE 09 00 00 8B C6 66 BE EC FF E8 ?? ?? ?? ?? E9 CE 09 00 00 8B C6 66 BE EB FF E8 ?? ?? ?? ?? E9 BE 09 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C4 50 8D 45 C0 E8 ?? ?? ?? ?? 50 8D 55 BC 8B C6 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 C0 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 8B 45 C4 66 89 45 D8 55 E8 ?? ?? ?? ?? 59 8B C8 8D 55 D8 8B 45 FC 8B 40 24 66 BE B9 FF E8 ?? ?? ?? ?? 8D 45 C4 50 8D 45 B8 E8 ?? ?? ?? ?? 50 8D 55 B4 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 B4 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 8B 45 C4 0F B7 55 D8 3B C2 0F 94 C2 8B 45 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 FD 08 00 00 E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EE 08 00 00 8D 45 C4 50 8D 45 B0 E8 ?? ?? ?? ?? 50 8D 55 AC 8B C6 E8 ?? ?? ?? ?? 8B 45 AC 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 B0 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 8B 45 C4 66 89 45 D8 55 E8 ?? ?? ?? ?? 59 8B C8 8D 55 D8 8B 45 FC 8B 40 24 66 BE B8 FF E8 ?? ?? ?? ?? E9 91 08 00 00 8D 45 C4 50 8D 45 A8 E8 ?? ?? ?? ?? 50 8D 55 A4 8B C6 E8 ?? ?? ?? ?? 8B 45 A4 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 A8 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 8B 45 C4 66 89 45 DA 8D 55 DA 8B 45 FC 8B 40 24 66 BE B7 FF E8 ?? ?? ?? ?? E9 3D 08 00 00 8D 45 C4 50 8D 45 A0 E8 ?? ?? ?? ?? 50 8D 55 9C 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 9C 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 A0 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 8B 45 C4 50 8D 45 98 50 8D 45 94 E8 ?? ?? ?? ?? 50 8D 55 90 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 45 90 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 94 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 8B 45 98 50 8D 45 8C 50 8D 45 88 E8 ?? ?? ?? ?? 50 8D 55 84 8B C6 E8 ?? ?? ?? ?? 8B 45 84 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 88 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 8B 45 8C 50 55 E8 ?? ?? ?? ?? 59 8B C8 8B C6 5A 66 BE D5 FF E8 ?? ?? ?? ?? 8D 45 C4 50 8D 45 80 E8 ?? ?? ?? ?? 50 8D 95 7C FF FF FF 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 80 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 83 7D C4 01 0F 85 28 07 00 00 8D 45 E0 E8 ?? ?? ?? ?? 50 6A 00 68 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 50 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 50 8D 95 70 FF FF FF 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 85 60 FF FF FF 8D 55 E0 E8 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 84 C0 74 26 8D 45 E0 E8 ?? ?? ?? ?? 8B D0 66 83 FA 01 1B D2 F7 DA 8B 45 10 E8 ?? ?? ?? ?? C7 45 DC 01 00 00 00 E9 5E 06 00 00 33 C0 50 8D 85 50 FF FF FF B2 01 E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 50 6A 00 68 5A 09 00 00 68 ?? ?? ?? ?? 8D 95 4C FF FF FF 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 50 8B 00 FF 50 10 33 C0 89 45 DC E9 14 06 00 00 8D 45 C4 50 8D 85 48 FF FF FF E8 ?? ?? ?? ?? 50 8D 95 44 FF FF FF 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 85 44 FF FF FF 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 8B 45 C4 50 8D 45 98 50 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 50 8D 95 3C FF FF FF 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 85 3C FF FF FF 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 85 40 FF FF FF 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 8B 45 98 50 55 E8 ?? ?? ?? ?? 59 8B D0 8B C6 59 66 BE D4 FF E8 ?? ?? ?? ?? E9 66 05 00 00 8D 45 C4 50 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 50 8D 95 34 FF FF FF 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 85 34 FF FF FF 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 85 38 FF FF FF 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 8B 45 C4 50 8D 45 98 50 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 50 8D 95 2C FF FF FF 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 85 2C FF FF FF 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 85 30 FF FF FF 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 8B 45 98 50 8D 45 8C 50 8D 85 28 FF FF FF E8 ?? ?? ?? ?? 50 8D 95 24 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 24 FF FF FF 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 85 28 FF FF FF 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 8B 45 8C 50 55 E8 ?? ?? ?? ?? 59 8B C8 8B C6 5A 66 BE D3 FF E8 ?? ?? ?? ?? 33 C0 50 8D 85 14 FF FF FF 33 D2 E8 ?? ?? ?? ?? 8D 85 14 FF FF FF 50 6A 00 68 5A 09 00 00 68 ?? ?? ?? ?? 8D 95 10 FF FF FF 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 85 10 FF FF FF 50 8B 00 FF 50 10 E9 32 04 00 00 8D 45 C4 50 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 50 8D 95 08 FF FF FF 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 85 08 FF FF FF 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 85 0C FF FF FF 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 8B 45 C4 50 8D 45 98 50 8D 85 04 FF FF FF E8 ?? ?? ?? ?? 50 8D 95 00 FF FF FF 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 85 00 FF FF FF 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 85 04 FF FF FF 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 8B 45 98 50 55 E8 ?? ?? ?? ?? 59 8B D0 8B C6 59 66 BE AE FF E8 ?? ?? ?? ?? E9 84 03 00 00 8D 45 C4 50 8D 85 FC FE FF FF E8 ?? ?? ?? ?? 50 8D 95 F8 FE FF FF 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 85 FC FE FF FF 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 8B 45 C4 50 8D 45 98 50 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 50 8D 95 F0 FE FF FF 8B 45 FC 8B 40 24 E8 ?? ?? ?? ?? 8B 85 F0 FE FF FF 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 85 F4 FE FF FF 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 8B 45 98 50 55 E8 ?? ?? ?? ?? 59 8B D0 8B C6 59 66 BE AD FF E8 ?? ?? ?? ?? E9 D6 02 00 00 8B C6 66 BE A9 FF E8 ?? ?? ?? ?? E9 C6 02 00 00 8B C6 66 BE AB FF E8 ?? ?? ?? ?? E9 B6 02 00 00 8B C6 66 BE AA FF E8 ?? ?? ?? ?? E9 A6 02 00 00 8B C6 66 BE 9E FF E8 ?? ?? ?? ?? E9 96 02 00 00 8B C6 66 BE 9F FF E8 ?? ?? ?? ?? E9 86 02 00 00 8D 45 E0 E8 ?? ?? ?? ?? 50 6A 00 68 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? 50 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 50 8D 95 E4 FE FF FF 8B C6 E8 ?? ?? ?? ?? 8B 85 E4 FE FF FF 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 85 E8 FE FF FF 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 85 EC FE FF FF 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8D 85 D4 FE FF FF E8 ?? ?? ?? ?? 8D 85 D4 FE FF FF 8D 55 E0 E8 ?? ?? ?? ?? 8D 85 D4 FE FF FF E8 ?? ?? ?? ?? 84 C0 0F 84 E2 01 00 00 8D 45 E0 E8 ?? ?? ?? ?? 8B D0 66 83 FA 01 1B D2 F7 DA 8B 45 10 E8 ?? ?? ?? ?? C7 45 DC 01 00 00 00 E9 BC 01 00 00 8B C6 66 BE 9D FF E8 ?? ?? ?? ?? E9 AC 01 00 00 8B C6 66 BE A0 FF E8 ?? ?? ?? ?? E9 9C 01 00 00 8D 45 F8 8B 55 14 8B 12 03 D2 8B 4D 18 8B 09 8B 54 D1 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 D0 FE FF FF E8 ?? ?? ?? ?? 50 8D 85 CC FE FF FF E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 85 CC FE FF FF 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 85 D0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 96 00 00 00 8D 85 C8 FE FF FF E8 ?? ?? ?? ?? 50 8D 85 C4 FE FF FF E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 85 C4 FE FF FF 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 85 C8 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 4B 8D 85 C0 FE FF FF E8 ?? ?? ?? ?? 50 8D 85 BC FE FF FF E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 85 BC FE FF FF 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 85 C0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 40 8D 45 F4 8B 55 14 8B 12 03 D2 8B 4D 18 8B 09 8B 54 D1 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 8B 45 F4 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 10 33 D2 E8 ?? ?? ?? ?? C7 45 DC 01 00 00 00 EB 5A 8B 45 20 50 0F B7 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CF 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 DC EB 2C 8B 45 20 50 0F B7 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 8B CF 8B D3 8B 45 FC E8 ?? ?? ?? ?? 89 45 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 BC FE FF FF E8 ?? ?? ?? ?? 8D 85 C0 FE FF FF E8 ?? ?? ?? ?? 8D 85 C4 FE FF FF E8 ?? ?? ?? ?? 8D 85 C8 FE FF FF E8 ?? ?? ?? ?? 8D 85 CC FE FF FF E8 ?? ?? ?? ?? 8D 85 D0 FE FF FF E8 ?? ?? ?? ?? 8D 85 D4 FE FF FF E8 ?? ?? ?? ?? 8D 85 E4 FE FF FF E8 ?? ?? ?? ?? 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 85 EC FE FF FF E8 ?? ?? ?? ?? 8D 85 F0 FE FF FF E8 ?? ?? ?? ?? 8D 85 F4 FE FF FF E8 ?? ?? ?? ?? 8D 85 F8 FE FF FF E8 ?? ?? ?? ?? 8D 85 FC FE FF FF E8 ?? ?? ?? ?? 8D 85 00 FF FF FF E8 ?? ?? ?? ?? 8D 85 04 FF FF FF E8 ?? ?? ?? ?? 8D 85 08 FF FF FF E8 ?? ?? ?? ?? 8D 85 0C FF FF FF E8 ?? ?? ?? ?? 8D 85 10 FF FF FF E8 ?? ?? ?? ?? 8D 85 14 FF FF FF E8 ?? ?? ?? ?? 8D 85 24 FF FF FF E8 ?? ?? ?? ?? 8D 85 28 FF FF FF E8 ?? ?? ?? ?? 8D 85 2C FF FF FF E8 ?? ?? ?? ?? 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 8D 85 34 FF FF FF E8 ?? ?? ?? ?? 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 8D 85 48 FF FF FF E8 ?? ?? ?? ?? 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 B0 FD FF FF 8B 45 DC 5F 5E 5B 8B E5 5D C2 1C 00 2D F3 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 20 00 00 00 44 00 65 00 73 00 69 00 67 00 6E 00 5F 00 54 00 69 00 6D 00 65 00 5F 00 4C 00 6F 00 63 00 6B 00 00 00 00 00 0A 00 00 00 69 00 6E 00 70 00 75 00 74 00 00 00 10 00 00 00 74 00 65 00 78 00 74 00 61 00 72 00 65 00 61 00 00 00 00 00 0C 00 00 00 73 00 65 00 6C 00 65 00 63 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_97431_0 {
	meta:
		name = "TWndEventDispatch.GetEventInterface"
		size = 112
		refs = "0010 TWndEventDispatch.GetEventInterface 001d @IntfClear 0039 TOleControl.GetIDispatchProp 0049 TWebBrowserEx.GetWindow 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B 73 24 85 F6 74 25 F6 46 1C 08 75 1F 8D 4D FC BA CB 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 0A 8B D7 8B 43 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97432_0 {
	meta:
		name = "TWndEventDispatch.DoInvoke"
		size = 226
		refs = "005f @CallDynaInst 0068 TWebBrowserEx.ClearCurrentElement"
	strings:
		$1 = { 55 8B EC 51 56 57 89 55 FC BF 03 00 02 80 8B 48 24 85 C9 0F 84 C0 00 00 00 8B F1 8B 45 FC 3D EB 03 00 00 7F 1D 74 31 2D 00 00 01 80 74 65 48 74 55 83 E8 09 74 43 2D E0 03 FF 7F 74 63 E9 92 00 00 00 2D F0 03 00 00 74 1C 83 E8 06 74 6C 83 E8 02 74 5A 48 74 71 EB 7C 8B C6 66 BE A3 FF E8 ?? ?? ?? ?? EB 74 8B C6 E8 ?? ?? ?? ?? 8B C6 66 BE A2 FF E8 ?? ?? ?? ?? EB 60 8B C6 66 BE A4 FF E8 ?? ?? ?? ?? EB 53 8B C6 66 BE A6 FF E8 ?? ?? ?? ?? EB 46 8B C6 66 BE A5 FF E8 ?? ?? ?? ?? EB 39 8B C6 66 BE AC FF E8 ?? ?? ?? ?? EB 2C 8B C6 66 BE A8 FF E8 ?? ?? ?? ?? EB 1F 8B C6 66 BE A7 FF E8 ?? ?? ?? ?? EB 12 8B C6 66 BE A1 FF E8 ?? ?? ?? ?? EB 05 BF 01 40 00 80 8B C7 5F 5E 59 5D C2 1C 00 }
	condition:
		$1
}

rule function_97433_0 {
	meta:
		name = "TWndEventDispatch.GetHTMLWindow2"
		size = 100
		refs = "000f TWndEventDispatch.GetHTMLWindow2 002d @IntfCast 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 11 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 27 44 2C 33 CB 26 D0 11 B4 83 00 C0 4F D9 01 19 }
	condition:
		$1
}

rule function_97435_0 {
	meta:
		name = "TWebBrowserEvents2Dispatch.GetEventInterface"
		size = 19
		refs = "000c TWebBrowser.GetControlInterface"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 24 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97436_0 {
	meta:
		name = "TWebBrowserEvents2Dispatch.DoBeforeNavigate2"
		size = 172
		refs = "0011 TWebBrowserEvents2Dispatch.DoBeforeNavigate2 0022 TWebBrowser.GetControlInterface 0032 @IntfCast 003f TWebBrowserEx.GetModified 005b TEventDispatchEx.SetActive 0068 @IntfClear 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 43 24 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 75 FC 75 31 8B 43 24 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 08 66 C7 00 FF FF 8B 43 24 8B 80 54 04 00 00 33 D2 E8 ?? ?? ?? ?? 8B 43 24 05 60 04 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C2 14 00 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_97438_0 {
	meta:
		name = "TWebBrowserEvents2Dispatch.DoCommandStateChange"
		size = 67
		refs = "0011 TCustomWebBrowserCommandUpdater.UpdateCommands"
	strings:
		$1 = { 83 FA FF 75 11 8B 40 24 8B 80 0C 05 00 00 33 D2 E8 ?? ?? ?? ?? C3 83 FA 01 75 12 66 83 F9 01 1B D2 42 8B 40 24 88 90 2E 06 00 00 EB 15 83 FA 02 75 10 66 83 F9 01 1B D2 42 8B 40 24 88 90 2D 06 00 00 C3 }
	condition:
		$1
}

rule function_97439_0 {
	meta:
		name = "TWebBrowserEvents2Dispatch.DoDocumentComplete"
		size = 400
		refs = "0017 TWebBrowserEvents2Dispatch.DoDocumentComplete 0028 TWebBrowser.GetControlInterface 0038 @IntfCast 004f @IntfClear 0084 TWinControl.HandleAllocated 0093 TWebBrowserEx.HookChildWindows 009d TWebBrowserEx.GetPrimaryMarkupContainer 00f1 TEventDispatchEx.SetActive 0161 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 46 24 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 5D FC 0F 85 E5 00 00 00 8B 5E 24 8D 83 50 05 00 00 E8 ?? ?? ?? ?? 8D 83 54 05 00 00 E8 ?? ?? ?? ?? 8D 83 58 05 00 00 E8 ?? ?? ?? ?? 8D 83 5C 05 00 00 E8 ?? ?? ?? ?? 83 BB 74 05 00 00 00 0F 85 A9 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 81 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 83 7D F4 00 74 41 6A 00 6A 01 8D 83 60 04 00 00 E8 ?? ?? ?? ?? 50 8D 45 F0 8B 56 24 85 D2 74 06 81 EA D0 F9 FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 10 B2 01 8B 83 54 04 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 58 04 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? EB 19 66 83 BB AA 05 00 00 00 74 0F 8B 56 24 8B 83 AC 05 00 00 FF 93 A8 05 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5E 5B 8B E5 5D C3 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 4A F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_97459_0 {
	meta:
		name = "TWebBrowserEvents2Dispatch.DoStatusTextChange"
		size = 80
		refs = "000f TWebBrowserEvents2Dispatch.DoStatusTextChange 001f @UStrFromWStr 002a TWebBrowserEx.DoStatusTextChange 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97462_0 {
	meta:
		name = "TWebBrowserEvents2Dispatch.DoWindowClosing"
		size = 42
	strings:
		$1 = { 56 57 8B 78 24 8B F7 66 83 BE 4A 05 00 00 00 74 16 51 66 83 FA 01 1B C9 41 8B D7 8B 86 4C 05 00 00 FF 96 48 05 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_97468_0 {
	meta:
		name = "TWebBrowserEvents2Dispatch.DoInvoke"
		size = 1566
		refs = "0015 TWebBrowserEvents2Dispatch.DoInvoke 0184 @WStrFromPWChar 0607 @WStrArrayClr 060d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F0 8B 7D 18 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 03 00 02 80 81 FA FF 00 00 00 0F 8F E9 00 00 00 0F 84 3F 03 00 00 81 FA E1 00 00 00 7F 51 0F 84 26 05 00 00 83 C2 9C 83 FA 0D 0F 87 A1 05 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 81 C2 1E FF FF FF 83 FA 1C 0F 87 53 05 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 81 C2 00 FF FF FF 83 FA 10 0F 87 C9 04 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 FC 8B 55 14 8B 12 03 D2 8B 0F 8B 54 D1 08 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 0C 33 DB E9 58 04 00 00 8B 45 14 8B 40 04 03 C0 8B 17 8B 4C C2 08 8B 45 14 8B 00 03 C0 8B 17 8B 54 C2 08 8B C6 8B 18 FF 53 10 33 DB E9 2F 04 00 00 8B 45 14 8B 40 04 03 C0 8B 17 0F B7 4C C2 08 8B 45 14 8B 00 03 C0 8B 17 8B 54 C2 08 8B C6 8B 18 FF 53 14 33 DB E9 05 04 00 00 8B C6 8B 10 FF 52 18 33 DB E9 F7 03 00 00 8B C6 8B 10 FF 52 1C 33 DB E9 E9 03 00 00 8D 45 F8 8B 55 14 8B 12 03 D2 8B 0F 8B 54 D1 08 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 08 FF 51 20 33 DB E9 C3 03 00 00 8D 45 F4 8B 55 14 8B 12 03 D2 8B 0F 8B 54 D1 08 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 8B 08 FF 51 24 33 DB E9 9D 03 00 00 8B 45 14 8B 40 08 03 C0 8B 17 8B 44 C2 08 50 8B 45 14 8B 40 0C 03 C0 8B 17 8B 44 C2 08 50 8B 45 14 8B 40 10 03 C0 8B 17 8B 44 C2 08 50 8B 45 14 8B 40 14 03 C0 8B 17 8B 44 C2 08 50 8B 45 14 8B 40 18 03 C0 8B 17 8B 44 C2 08 50 8B 45 14 8B 40 04 03 C0 8B 17 8B 44 C2 08 8B C8 8B 45 14 8B 00 03 C0 8B 17 8B 54 C2 08 8B C6 8B 18 FF 53 28 33 DB E9 27 03 00 00 8B 45 14 8B 40 04 03 C0 8B 17 8B 4C C2 08 8B 45 14 8B 00 03 C0 8B 17 8B 44 C2 08 8B D0 8B C6 8B 18 FF 53 2C 33 DB E9 FC 02 00 00 8B 45 14 8B 40 04 03 C0 8B 17 8B 44 C2 08 8B C8 8B 45 14 8B 00 03 C0 8B 17 8B 54 C2 08 8B C6 8B 18 FF 53 30 33 DB E9 D1 02 00 00 8B 45 14 8B 40 04 03 C0 8B 17 8B 44 C2 08 8B C8 8B 45 14 8B 00 03 C0 8B 17 8B 54 C2 08 8B C6 8B 18 FF 53 34 33 DB E9 A6 02 00 00 8B C6 8B 10 FF 52 38 33 DB E9 98 02 00 00 8B 45 14 8B 00 03 C0 8B 17 0F B7 54 C2 08 8B C6 8B 08 FF 51 3C 33 DB E9 7C 02 00 00 8B 45 14 8B 00 03 C0 8B 17 0F B7 54 C2 08 8B C6 8B 08 FF 51 40 33 DB E9 60 02 00 00 8B 45 14 8B 00 03 C0 8B 17 0F B7 54 C2 08 8B C6 8B 08 FF 51 44 33 DB E9 44 02 00 00 8B 45 14 8B 00 03 C0 8B 17 0F B7 54 C2 08 8B C6 8B 08 FF 51 48 33 DB E9 28 02 00 00 8B 45 14 8B 00 03 C0 8B 17 0F B7 54 C2 08 8B C6 8B 08 FF 51 4C 33 DB E9 0C 02 00 00 8B 45 14 8B 00 03 C0 8B 17 0F B7 54 C2 08 8B C6 8B 08 FF 51 50 33 DB E9 F0 01 00 00 8B 45 14 8B 00 03 C0 8B 17 0F B7 54 C2 08 8B C6 8B 08 FF 51 54 33 DB E9 D4 01 00 00 8B 45 14 8B 00 03 C0 8B 17 8B 54 C2 08 8B C6 8B 08 FF 51 58 33 DB E9 B9 01 00 00 8B 45 14 8B 00 03 C0 8B 17 8B 54 C2 08 8B C6 8B 08 FF 51 5C 33 DB E9 9E 01 00 00 8B 45 14 8B 00 03 C0 8B 17 8B 54 C2 08 8B C6 8B 08 FF 51 60 33 DB E9 83 01 00 00 8B 45 14 8B 00 03 C0 8B 17 8B 54 C2 08 8B C6 8B 08 FF 51 64 33 DB E9 68 01 00 00 8B 45 14 8B 40 04 03 C0 8B 17 8B 4C C2 08 8B 45 14 8B 00 03 C0 8B 17 0F B7 54 C2 08 8B C6 8B 18 FF 53 68 33 DB E9 3E 01 00 00 8B 45 14 8B 40 04 03 C0 8B 17 8B 4C C2 08 8B 45 14 8B 00 03 C0 8B 17 8B 54 C2 08 8B C6 8B 18 FF 53 6C 33 DB E9 15 01 00 00 8B 45 14 8B 00 03 C0 8B 17 8B 54 C2 08 8B C6 8B 08 FF 51 70 33 DB E9 FA 00 00 00 8B 45 14 8B 00 03 C0 8B 17 8B 54 C2 08 8B C6 8B 08 FF 51 74 33 DB E9 DF 00 00 00 8B 45 14 8B 40 08 03 C0 8B 17 8B 44 C2 08 50 8B 45 14 8B 40 0C 03 C0 8B 17 8B 44 C2 08 50 8B 45 14 8B 40 10 03 C0 8B 17 8B 44 C2 08 50 8B 45 14 8B 40 04 03 C0 8B 17 8B 44 C2 08 8B C8 8B 45 14 8B 00 03 C0 8B 17 8B 54 C2 08 8B C6 8B 18 FF 53 78 33 DB E9 87 00 00 00 8B 45 14 8B 00 03 C0 8B 17 8B 54 C2 08 8B C6 8B 08 FF 51 7C 33 DB EB 6F 8B 45 14 8B 00 03 C0 8B 17 8B 54 C2 08 8B C6 8B 08 FF 91 80 00 00 00 33 DB EB 54 8B 45 14 8B 40 08 03 C0 8B 17 8B 44 C2 08 50 8B 45 14 8B 40 04 03 C0 8B 17 8B 44 C2 08 8B C8 8B 45 14 8B 00 03 C0 8B 17 8B 54 C2 08 8B C6 8B 18 FF 93 84 00 00 00 33 DB EB 1A 8B 45 14 8B 00 03 C0 8B 17 0F B7 54 C2 08 8B C6 8B 08 FF 91 88 00 00 00 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule function_97469_0 {
	meta:
		name = "TWebBrowserEx.Create"
		size = 372
		refs = "000e @ClassCreate 001c TOleControl.Create 002a _DV_TDocEventDispatch 002f TObject.Create 0041 _DV_TWndEventDispatch 0058 _DV_TWebBrowserEvents2Dispatch 0071 TEventDispatchEx.SetActive 0089 TWebBrowserEx.Create 008e @IntfCast 00d1 _DV_TCustomWebBrowserCommandUpdater 00d6 TComponent.Create 00f4 TComponent.SetSubComponent 0111 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 83 49 04 00 00 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 54 04 00 00 89 5E 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 58 04 00 00 89 5E 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 5C 04 00 00 89 5E 24 8B C6 B2 01 E8 ?? ?? ?? ?? 8D 83 64 04 00 00 8B 93 54 04 00 00 85 D2 74 03 83 EA E0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 68 04 00 00 8B 93 58 04 00 00 85 D2 74 03 83 EA E0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 83 6C 04 00 00 8B 93 5C 04 00 00 85 D2 74 03 83 EA E0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 0C 05 00 00 8B C6 8B D3 8B 08 FF 51 40 8B 83 0C 05 00 00 B2 01 E8 ?? ?? ?? ?? 8B 83 0C 05 00 00 BA ?? ?? ?? ?? 8B 08 FF 51 24 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 B0 04 02 00 FF FF FF FF 16 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 43 00 6F 00 6D 00 6D 00 61 00 6E 00 64 00 55 00 70 00 64 00 61 00 74 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_97470_0 {
	meta:
		name = "TWebBrowserEx.Destroy"
		size = 138
		refs = "0003 @BeforeDestruction 0012 @IntfClear 001d TOleControl.Destroy 002a TEventDispatchEx.SetActive 0078 TObject.Free 0083 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8D 86 5C 05 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 54 04 00 00 33 D2 E8 ?? ?? ?? ?? 8B 86 58 04 00 00 33 D2 E8 ?? ?? ?? ?? 8B 86 5C 04 00 00 33 D2 E8 ?? ?? ?? ?? 8B 86 54 04 00 00 33 D2 89 50 24 8B 86 58 04 00 00 33 D2 89 50 24 8B 86 5C 04 00 00 33 D2 89 50 24 8D 86 08 05 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97477_0 {
	meta:
		name = "TWebBrowserEx.DoCommand"
		size = 240
		refs = "0019 TWebBrowserEx.DoCommand 0029 TWebBrowserEx.GetActiveDocument 0039 @IntfCast 004d @WStrFromUStr 0062 @CheckAutoResult 00b4 @WStrArrayClr 00bc @IntfClear 00c4 @VarClr 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 5B 8D 45 E0 50 8D 45 DC 8B D6 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 FC 50 8B 00 FF 90 00 01 00 00 E8 ?? ?? ?? ?? 66 83 7D E0 00 74 31 8D 45 E0 50 FF 75 F4 FF 75 F0 FF 75 EC FF 75 E8 6A FF 8D 45 D8 8B D6 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 45 FC 50 8B 00 FF 90 18 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5E 5B 8B E5 5D C3 00 00 25 44 2C 33 CB 26 D0 11 B4 83 00 C0 4F D9 01 19 }
	condition:
		$1
}

rule function_97478_0 {
	meta:
		name = "TWebBrowserEx.DoCommand"
		size = 189
		refs = "002c @VarAddRef 003c TWebBrowserEx.DoCommand 004c TWebBrowserEx.GetCommandTarget 0062 CGID_MSHTML 008b IOleCommandTarget 0095 @FinalizeArray 009e OleVariant 00ae @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 8B 75 08 8D 7D E0 A5 A5 A5 A5 8B F1 8D 7D F0 A5 A5 A5 A5 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 83 7D DC 00 74 23 8D 45 E0 50 8D 45 F0 50 6A 00 56 68 ?? ?? ?? ?? 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_97479_0 {
	meta:
		name = "TWebBrowserEx.EnableModeless"
		size = 12
	strings:
		$1 = { 55 8B EC B8 01 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_97480_0 {
	meta:
		name = "TWebBrowserEx.FilterDataObject"
		size = 35
		refs = "0018 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 45 10 85 C0 74 04 33 D2 89 10 BB 01 00 00 00 8B 45 10 E8 ?? ?? ?? ?? 8B C3 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_97481_0 {
	meta:
		name = "TWebBrowserEx.GetActiveElement"
		size = 106
		refs = "000f TWebBrowserEx.GetActiveElement 001f TWebBrowserEx.GetDocument2 002c @IntfClear 003b @CheckAutoResult 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 18 8B C6 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97482_0 {
	meta:
		name = "TWebBrowserEx.GetCount"
		size = 134
		refs = "0010 TWebBrowserEx.GetCount 0020 TWebBrowserEx.GetDocument2 0032 @IntfClear 0041 @CheckAutoResult 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 2E 8D 45 F8 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 5D F8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97483_0 {
	meta:
		name = "TWebBrowserEx.GetCurrentElementType"
		size = 85
		refs = "000c TWebBrowserEx.GetCurrentElementType 0025 TWebBrowserEx.GetCurrentElement 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB 2C 06 00 00 00 75 0A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B6 83 2C 06 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_97484_0 {
	meta:
		name = "TWebBrowserEx.GetCurrentElement"
		size = 500
		refs = "001a TWebBrowserEx.GetCurrentElement 003d SafeCreateRange 0045 @IntfClear 0054 Supports 0071 @CheckAutoResult 007f @IntfCopy 00ae @WStrClr 00c7 @WStrEqual 010a TWebBrowserEx.GetMarkupServices 0118 OleCheck 0126 TWebBrowserEx.GetCaret 01c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 83 2C 06 00 00 84 C0 74 08 3C 01 0F 85 2A 01 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 33 8D 45 EC E8 ?? ?? ?? ?? 50 6A 00 8B 45 F4 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 55 EC 8D 83 28 06 00 00 E8 ?? ?? ?? ?? C6 83 2C 06 00 00 04 E9 D2 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 51 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 E8 33 D2 E8 ?? ?? ?? ?? 74 2E 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 55 E4 8D 83 28 06 00 00 E8 ?? ?? ?? ?? C6 83 2C 06 00 00 03 EB 66 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 50 14 8D 83 28 06 00 00 E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 00 FF 50 40 83 BB 28 06 00 00 00 74 09 C6 83 2C 06 00 00 02 EB 07 C6 83 2C 06 00 00 01 8B C6 8B 93 28 06 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B0 5E 5B 8B E5 5D C3 00 00 00 9C F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B 20 F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_97485_0 {
	meta:
		name = "TWebBrowserEx.GetDocument2"
		size = 116
		refs = "000f TWebBrowserEx.GetDocument2 0024 TOleControl.GetIDispatchProp 002f @IntfClear 003c Supports 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA CB 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 25 44 2C 33 CB 26 D0 11 B4 83 00 C0 4F D9 01 19 }
	condition:
		$1
}

rule function_97486_0 {
	meta:
		name = "TWebBrowserEx.GetDocument3"
		size = 116
		refs = "000f TWebBrowserEx.GetDocument3 0024 TOleControl.GetIDispatchProp 002f @IntfClear 003c Supports 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA CB 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 85 F4 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_97487_0 {
	meta:
		name = "TWebBrowserEx.GetDocument4"
		size = 116
		refs = "000f TWebBrowserEx.GetDocument4 0024 TOleControl.GetIDispatchProp 002f @IntfClear 003c Supports 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA CB 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 9A F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_97488_0 {
	meta:
		name = "TWebBrowserEx.GetIHTMLNamespaceCollection"
		size = 140
		refs = "0011 TWebBrowserEx.GetIHTMLNamespaceCollection 0021 TWebBrowserEx.GetDocument4 002f @IntfClear 003e @CheckAutoResult 004d @IntfCast 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 26 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 55 F8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 B8 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_97489_0 {
	meta:
		name = "TWebBrowserEx.GetDropTarget"
		size = 88
		refs = "0020 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 10 8B 5D 08 85 F6 74 04 33 C0 89 06 66 83 BB 42 05 00 00 00 74 30 8B C6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B 4D 0C 8B D3 8B 83 44 05 00 00 FF 93 40 05 00 00 83 3E 00 74 04 33 C0 EB 0C B8 01 40 00 80 EB 05 B8 01 40 00 80 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_97490_0 {
	meta:
		name = "TWebBrowserEx.GetExternal"
		size = 69
		refs = "0020 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 0C 8B 5D 08 85 F6 74 04 33 C0 89 06 66 83 BB 1A 05 00 00 00 74 19 8B C6 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 83 1C 05 00 00 FF 93 18 05 00 00 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_97491_0 {
	meta:
		name = "TWebBrowserEx.GetHostInfo"
		size = 145
		refs = "0015 @FillChar 0029 BorderStyle 0037 ScrollBarStyle 0045 ThemeStyle 0053 AutoCompleteOption 0061 DefaultBlock"
	strings:
		$1 = { 55 8B EC 53 56 8B 75 0C 8B 5D 08 8B C6 33 C9 BA 14 00 00 00 E8 ?? ?? ?? ?? C7 06 14 00 00 00 0F B6 83 48 04 00 00 8B 04 85 ?? ?? ?? ?? 0F B6 93 49 04 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 79 05 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 7B 05 00 00 0B 04 95 ?? ?? ?? ?? 0F B6 93 78 05 00 00 0B 04 95 ?? ?? ?? ?? 89 46 04 33 C0 89 46 08 66 83 BB 0A 06 00 00 00 74 12 8B CE 8B D3 8B 83 0C 06 00 00 FF 93 08 06 00 00 EB 02 33 C0 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_97492_0 {
	meta:
		name = "TWebBrowserEx.GetOptionKeyPath"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 45 0C 33 D2 89 10 B8 01 00 00 00 5D C2 0C 00 }
	condition:
		$1
}

rule function_97493_0 {
	meta:
		name = "TWebBrowserEx.GetTag"
		size = 300
		refs = "0020 TWebBrowserEx.GetTag 0030 TWebBrowserEx.GetDocument2 0042 @IntfClear 0050 @OleVarFromInt 0064 Null 006f @OleVarFromVar 009c @CheckAutoResult 00b9 @IntfCast 00e7 @VarClr 00f0 OleVariant 00fa @FinalizeArray 0110 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 81 00 00 00 8D 45 F4 E8 ?? ?? ?? ?? 50 8D 45 E4 8B 55 F8 B1 FC E8 ?? ?? ?? ?? FF 75 F0 FF 75 EC FF 75 E8 FF 75 E4 8D 45 C4 E8 ?? ?? ?? ?? 8D 55 C4 8D 45 D4 E8 ?? ?? ?? ?? FF 75 E0 FF 75 DC FF 75 D8 FF 75 D4 8D 45 C0 E8 ?? ?? ?? ?? 50 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 C0 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 55 F4 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5E 5B 8B E5 5D C3 FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_97495_0 {
	meta:
		name = "TWebBrowserEx.Invoke"
		size = 188
		refs = "002e TOleControl.Invoke 008c @VarFromInt 00a3 @VarFromBool"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 75 20 8B 7D 18 8B 5D 08 8B 45 28 50 8B 45 24 50 56 8B 45 1C 50 57 8B 45 14 50 8B 45 10 50 8B 45 0C 50 53 E8 ?? ?? ?? ?? 89 45 FC 66 F7 C7 02 00 74 74 85 F6 74 70 33 C0 89 45 FC 8B 45 0C 2D 78 EA FF FF 74 09 2D C3 12 00 00 74 3C EB 51 C7 45 FC 03 00 02 80 66 83 BB 12 06 00 00 00 74 47 C7 45 F8 70 00 00 00 8D 4D F8 8B D3 8B 83 14 06 00 00 FF 93 10 06 00 00 89 45 FC 8B C6 8B 55 F8 B1 FC E8 ?? ?? ?? ?? EB 1E 8B C6 0F B7 93 40 04 00 00 66 F7 DA 1B D2 F7 DA E8 ?? ?? ?? ?? EB 07 C7 45 FC 03 00 02 80 8B 45 FC 5F 5E 5B 59 59 5D C2 24 00 }
	condition:
		$1
}

rule function_97498_0 {
	meta:
		name = "TWebBrowserEx.OnFrameWindowActivate"
		size = 66
	strings:
		$1 = { 55 8B EC 51 53 8B 45 08 33 D2 89 55 FC 66 83 B8 02 05 00 00 00 74 1D 8D 55 FC 52 83 7D 0C 01 0F 94 C1 8B D8 8B D0 8B 83 04 05 00 00 FF 93 00 05 00 00 EB 05 33 C0 89 45 FC 8B 45 FC 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_97499_0 {
	meta:
		name = "TWebBrowserEx.Open"
		size = 110
		refs = "0014 TWebBrowserEx.Open 0022 EmptyParam 003d TWebBrowserEx.DoCommand 0053 OleVariant 005d @FinalizeArray 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 E0 E8 ?? ?? ?? ?? 8D 4D E0 BA D0 07 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97502_0 {
	meta:
		name = "TWebBrowserEx.Print"
		size = 110
		refs = "0014 TWebBrowserEx.Print 0022 EmptyParam 003d TWebBrowserEx.DoCommand 0053 OleVariant 005d @FinalizeArray 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 E0 E8 ?? ?? ?? ?? 8D 4D E0 BA 1B 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97504_0 {
	meta:
		name = "TWebBrowserEx.PageSetup"
		size = 110
		refs = "0014 TWebBrowserEx.PageSetup 0022 EmptyParam 003d TWebBrowserEx.DoCommand 0053 OleVariant 005d @FinalizeArray 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 E0 E8 ?? ?? ?? ?? 8D 4D E0 BA D4 07 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97506_0 {
	meta:
		name = "TWebBrowserEx.Save"
		size = 156
		refs = "000e TWebBrowserEx.Save 0023 TOleControl.GetIDispatchProp 002f @IntfClear 003c Supports 005e OleCheck 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 BA CB 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 45 FC 50 8B 00 FF 50 10 48 74 12 6A FF 6A 00 8B 45 FC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 0B 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_97507_0 {
	meta:
		name = "TWebBrowserEx.SaveAs"
		size = 110
		refs = "0014 TWebBrowserEx.SaveAs 0022 EmptyParam 003d TWebBrowserEx.DoCommand 0053 OleVariant 005d @FinalizeArray 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 E0 E8 ?? ?? ?? ?? 8D 4D E0 BA 47 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97508_0 {
	meta:
		name = "TWebBrowserEx.SelectAll"
		size = 110
		refs = "0014 TWebBrowserEx.SelectAll 0022 EmptyParam 003d TWebBrowserEx.DoCommand 0053 OleVariant 005d @FinalizeArray 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 E0 E8 ?? ?? ?? ?? 8D 4D E0 BA 1F 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97509_0 {
	meta:
		name = "TWebBrowserEx.SelLength"
		size = 324
		refs = "0014 TWebBrowserEx.SelLength 0030 TWebBrowserEx.GetDocument2 0042 @IntfClear 005b @CheckAutoResult 0069 @IntfCopy 00b6 @WStrClr 0123 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 CE FF 83 BB 4C 04 00 00 00 75 43 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 A6 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 55 F0 8D 83 4C 04 00 00 E8 ?? ?? ?? ?? 83 BB 4C 04 00 00 00 74 6B 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 83 4C 04 00 00 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 83 7D F8 00 74 4E 8D 45 F4 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 10 83 7D F4 00 74 32 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 E8 89 45 E4 8B 45 E4 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 EB 03 83 CE FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 8B C6 5E 5B 8B E5 5D C3 00 00 00 20 F2 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_97510_0 {
	meta:
		name = "TWebBrowserEx.SetControlBorder"
		size = 7
	strings:
		$1 = { 88 90 48 04 00 00 C3 }
	condition:
		$1
}

rule function_97511_0 {
	meta:
		name = "TWebBrowserEx.SetFlatScrollBar"
		size = 7
	strings:
		$1 = { 88 90 4A 04 00 00 C3 }
	condition:
		$1
}

rule function_97512_0 {
	meta:
		name = "TWebBrowserEx.SetShowScrollBar"
		size = 7
	strings:
		$1 = { 88 90 49 04 00 00 C3 }
	condition:
		$1
}

rule function_97513_0 {
	meta:
		name = "TWebBrowserEx.SetURL"
		size = 192
		refs = "0015 @UStrAddRef 001d TWebBrowserEx.SetURL 0031 @UStrAsg 004d @UStrLAsg 0061 @WStrFromUStr 006b TWebBrowser.Navigate 0080 @WStrClr 0088 @UStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 83 44 04 00 00 8B 55 FC E8 ?? ?? ?? ?? 66 C7 83 40 04 00 00 FF FF F6 43 1C 10 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? F6 43 1C 01 75 18 8D 45 F8 8B 93 44 04 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 61 00 62 00 6F 00 75 00 74 00 3A 00 62 00 6C 00 61 00 6E 00 6B 00 00 00 }
	condition:
		$1
}

rule function_97514_0 {
	meta:
		name = "TWebBrowserEx.SetUserMode"
		size = 144
		refs = "000e TWebBrowserEx.SetUserMode 0025 TOleControl.GetDefaultDispatch 0031 @IntfClear 003e Supports 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 89 93 40 04 00 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0E 68 3B FD FF FF 8B 45 FC 50 8B 00 FF 50 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 00 00 88 B2 96 B1 B4 BA 1A 10 B6 9C 00 AA 00 34 1D 07 }
	condition:
		$1
}

rule function_97515_0 {
	meta:
		name = "TWebBrowserEx.ShowContextMenu"
		size = 472
		refs = "0021 TWebBrowserEx.ShowContextMenu 002f @IntfClear 003e Supports 004a @WStrClr 0059 @CheckAutoResult 0064 @UStrFromWStr 008e TControl.ScreenToClient 00a4 TWebBrowserEx.GetDocument2 00fc @CallDynaInst 0122 TControl.SendCancelMode 01a0 @UStrClr 01b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 C0 89 45 C4 89 45 D0 89 45 FC 89 45 F8 89 45 F4 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 18 E8 ?? ?? ?? ?? 84 C0 74 22 8D 45 D0 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 10 8B 00 89 45 DC 8B 45 10 8B 40 04 89 45 E0 8B 45 DC 89 45 E8 8B 45 E0 89 45 EC 8D 4D C8 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8B 45 C8 89 45 E8 8B 45 CC 89 45 EC 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 2C 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 45 E8 50 8D 55 C4 8B C7 E8 ?? ?? ?? ?? 8B 45 C4 50 8B 00 FF 90 AC 01 00 00 E8 ?? ?? ?? ?? C6 45 E7 00 8B 45 10 8B 00 89 45 D4 8B 45 10 8B 40 04 89 45 D8 8D 4D E7 8D 55 D4 8B C7 66 BE E8 FF E8 ?? ?? ?? ?? 80 7D E7 00 75 74 8B C7 66 BE D8 FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 2F 80 7B 69 00 74 29 33 D2 8B C7 E8 ?? ?? ?? ?? 89 7B 6C 8B 45 10 8B 48 04 8B 45 10 8B 10 8B 87 84 00 00 00 8B 18 FF 53 50 33 C0 89 45 F0 EB 39 C7 45 F0 01 00 00 00 66 83 BF 92 05 00 00 00 74 28 8B 45 10 50 8B 45 14 50 8B 45 18 50 8D 45 F0 50 8B 4D 0C 8B D7 8B 87 94 05 00 00 FF 97 90 05 00 00 EB 05 33 C0 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 8B 45 F0 5F 5E 5B 8B E5 5D C2 14 00 FF F1 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_97516_0 {
	meta:
		name = "TWebBrowserEx.ShowHelp"
		size = 9
	strings:
		$1 = { 55 8B EC 33 C0 5D C2 20 00 }
	condition:
		$1
}

rule function_97517_0 {
	meta:
		name = "TWebBrowserEx.ShowMessage"
		size = 12
	strings:
		$1 = { 55 8B EC B8 01 00 00 00 5D C2 20 00 }
	condition:
		$1
}

rule function_97518_0 {
	meta:
		name = "TWebBrowserEx.ShowUI"
		size = 12
	strings:
		$1 = { 55 8B EC B8 01 00 00 00 5D C2 18 00 }
	condition:
		$1
}

rule function_97519_0 {
	meta:
		name = "TWebBrowserEx.PreProcessMessage"
		size = 152
		refs = "003f GetParentForm 0061 KeyboardStateToShiftState 0068 TWebBrowserEx.PreProcessMessage 007c @CallDynaInst"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B F2 8B F8 33 DB 66 83 BF 1A 06 00 00 00 74 1B 54 8B CE 8B D7 8B 87 1C 06 00 00 FF 97 18 06 00 00 80 3C 24 00 74 04 B3 01 EB 59 81 7E 04 00 01 00 00 75 50 B2 01 8B C7 E8 ?? ?? ?? ?? 8B F8 85 FF 74 41 8B 46 04 89 44 24 04 0F B7 46 08 66 89 44 24 08 8B 46 0C 89 44 24 0C E8 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 74 13 8D 54 24 04 8B C7 66 BE A2 FF E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 8B C3 83 C4 14 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_97520_0 {
	meta:
		name = "TWebBrowserEx.TranslateAccelerator"
		size = 213
		refs = "0033 GetAsyncKeyState 0060 TControl.ClientToScreen 009c GetParentForm 00b3 TControl.Perform"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B 5D 0C 8B 75 08 C7 45 FC 01 00 00 00 8B 43 04 83 E8 10 0F 84 A7 00 00 00 2D F0 00 00 00 74 4E 83 E8 04 74 02 EB 67 6A 12 E8 ?? ?? ?? ?? 66 85 C0 7D 5B 83 7B 08 79 75 55 83 BE 84 00 00 00 00 74 4C 8B 46 48 89 45 EC 8B 46 4C 89 45 F0 8D 4D F4 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 86 84 00 00 00 8B 4D F8 8B 55 F4 8B 38 FF 57 50 EB 20 8B 43 08 25 FF 00 00 00 83 F8 4E 75 13 6A 11 E8 ?? ?? ?? ?? 66 85 C0 7D 07 33 C0 89 45 FC EB 32 B2 01 8B C6 E8 ?? ?? ?? ?? 8B F0 85 F6 74 23 8B 43 0C 50 8B 4B 08 8B 53 04 8B C6 E8 ?? ?? ?? ?? 85 C0 75 09 C7 45 FC 01 00 00 00 EB 05 33 C0 89 45 FC 8B 45 FC 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_97521_0 {
	meta:
		name = "TWebBrowserEx.TranslateUrl"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 45 14 33 D2 89 10 B8 01 00 00 00 5D C2 10 00 }
	condition:
		$1
}

rule function_97523_0 {
	meta:
		name = "TWebBrowserEx.Undo"
		size = 110
		refs = "0014 TWebBrowserEx.Undo 0022 EmptyParam 003d TWebBrowserEx.DoCommand 0053 OleVariant 005d @FinalizeArray 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 E0 E8 ?? ?? ?? ?? 8D 4D E0 BA 2B 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97525_0 {
	meta:
		name = "TWebBrowserEx.Selection"
		size = 156
		refs = "0011 TWebBrowserEx.Selection 0021 TWebBrowserEx.GetDocument2 002e @IntfClear 0047 @CheckAutoResult 0080 IHTMLDocument2 008a @FinalizeArray 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 22 8B C6 E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 66 83 BB D2 05 00 00 00 74 10 8B CE 8B D3 8B 83 D4 05 00 00 FF 93 D0 05 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_97526_0 {
	meta:
		name = "TWebBrowserEx.Redo"
		size = 110
		refs = "0014 TWebBrowserEx.Redo 0022 EmptyParam 003d TWebBrowserEx.DoCommand 0053 OleVariant 005d @FinalizeArray 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 E0 E8 ?? ?? ?? ?? 8D 4D E0 BA 1D 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97527_0 {
	meta:
		name = "TWebBrowserEx.GetOverrideKeyPath"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 45 0C 33 D2 89 10 B8 01 40 00 80 5D C2 0C 00 }
	condition:
		$1
}

rule function_97528_0 {
	meta:
		name = "TWebBrowserEx.GetServiceProvider"
		size = 100
		refs = "000f TWebBrowserEx.GetServiceProvider 001f TWebBrowserEx.GetDocument2 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 C1 40 51 6D 36 74 CE 11 80 34 00 AA 00 60 09 FA }
	condition:
		$1
}

rule function_97529_0 {
	meta:
		name = "TWebBrowserEx.GetHTMLEditServices"
		size = 139
		refs = "0011 TWebBrowserEx.GetHTMLEditServices 001e @IntfClear 0028 TWebBrowserEx.GetServiceProvider 003b IID_IHTMLEditServices 0041 SID_SHTMLEditServices 0059 OleCheck 006f IServiceProvider 0079 @FinalizeArray 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 2B 8B C6 E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_97530_0 {
	meta:
		name = "TWebBrowserEx.GetHighlightRenderingServices"
		size = 100
		refs = "000f TWebBrowserEx.GetHighlightRenderingServices 001f TWebBrowserEx.GetDocument2 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 06 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_97531_0 {
	meta:
		name = "TWebBrowserEx.SaveToStream"
		size = 264
		refs = "0014 TWebBrowserEx.SaveToStream 0029 TOleControl.GetIDispatchProp 0037 sNoPageLoaded 003c LoadResString 0046 _Dn_Exception 004b Exception.Create 0050 @RaiseExcept 006b @IntfClear 0078 Supports 0087 _Dn_TStreamAdapter 008c TStreamAdapter.Create 009d @IntfCopy 00b1 OleCheck 00ce @UStrClr 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 BA CB 00 00 00 8B C3 E8 ?? ?? ?? ?? 83 7D F4 00 75 21 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EC BA CB 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 35 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 45 F8 E8 ?? ?? ?? ?? 6A 00 8B 45 F8 50 8B 45 FC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5E 5B 8B E5 5D C3 80 23 D5 7F 07 4E 1B 10 AE 2D 08 00 2B 2E C7 13 }
	condition:
		$1
}

rule function_97532_0 {
	meta:
		name = "TWebBrowserEx.LoadFromStream"
		size = 344
		refs = "0016 TWebBrowserEx.LoadFromStream 0043 TOleControl.GetWideStringProp 0069 TWebBrowserEx.GetDocument2 0075 @IntfClear 0082 Supports 0096 CreateBindCtx 009b OleCheck 00a9 @UStrLAsg 00d0 _DV_TStreamLoadMoniker 00d5 TStreamLoadMoniker.Create 010a @WStrClr 0112 @UStrClr 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 32 04 00 00 00 74 0E 8B D3 8B 83 34 04 00 00 FF 93 30 04 00 00 8D 4D EC BA 91 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 89 45 E8 8B 45 E8 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 0F 8E 8E 00 00 00 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 67 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 93 C0 05 00 00 E8 ?? ?? ?? ?? 83 7D F4 00 75 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B 45 F8 50 8B 45 F4 50 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 E8 50 6A 00 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C3 00 C9 C9 EA 79 F9 BA CE 11 8C 82 00 AA 00 4B A9 0B B0 04 02 00 FF FF FF FF 02 00 00 00 63 00 3A 00 00 00 00 00 }
	condition:
		$1
}

rule function_97534_0 {
	meta:
		name = "TWebBrowserEx.GetActiveDocument"
		size = 128
		refs = "000f TWebBrowserEx.GetActiveDocument 003f @IntfCast 004a TWebBrowserEx.GetDocument2 005f @IntfClear 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB DA 05 00 00 00 74 22 8D 4D FC 8B D3 8B 83 DC 05 00 00 FF 93 D8 05 00 00 8B C6 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 25 44 2C 33 CB 26 D0 11 B4 83 00 C0 4F D9 01 19 }
	condition:
		$1
}

rule function_97535_0 {
	meta:
		name = "TWebBrowserEx.GetViewLinkDocuments"
		size = 119
		refs = "0016 TWebBrowserEx.GetViewLinkDocuments 0047 @IntfCopy 0050 @IntfClear 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B D9 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 83 B8 E2 05 00 00 00 74 23 8D 55 FC 52 8B F0 8B 4D F8 8B D0 8B 86 E4 05 00 00 FF 96 E0 05 00 00 8B C3 8B 55 FC E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_97536_0 {
	meta:
		name = "TWebBrowserEx.GetElementOfViewLinkDocument"
		size = 140
		refs = "0018 @IntfAddRef 0020 TWebBrowserEx.GetElementOfViewLinkDocument 0038 @IntfClear 0054 @IntfCopy 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB EA 05 00 00 00 74 26 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 4D FC 8B D3 8B 83 EC 05 00 00 FF 93 E8 05 00 00 8B C6 8B 55 F8 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_97537_0 {
	meta:
		name = "TWebBrowserEx.GetIsEditableElement"
		size = 117
		refs = "0013 @IntfAddRef 001b TWebBrowserEx.GetIsEditableElement 0062 @IntfClear 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 88 4D FB 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB F2 05 00 00 00 74 20 0F B6 45 FB 50 8D 45 FA 50 8B 4D FC 8B D3 8B 83 F4 05 00 00 FF 93 F0 05 00 00 0F B6 5D FA EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_97538_0 {
	meta:
		name = "TWebBrowserEx.GetIsContentPage"
		size = 42
	strings:
		$1 = { 53 51 66 83 B8 F2 05 00 00 00 74 19 8B CC 8B D8 8B D0 8B 83 FC 05 00 00 FF 93 F8 05 00 00 0F B6 04 24 5A 5B C3 33 C0 5A 5B C3 }
	condition:
		$1
}

rule function_97539_0 {
	meta:
		name = "TWebBrowserEx.GetCommandTarget"
		size = 168
		refs = "0011 TWebBrowserEx.GetCommandTarget 001e @IntfClear 0025 TWinControl.HandleAllocated 0033 TWebBrowserEx.GetActiveDocument 0043 @IntfCast 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2F 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 0F 8B C6 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 25 44 2C 33 CB 26 D0 11 B4 83 00 C0 4F D9 01 19 CB BC 22 B7 68 4E 1B 10 A2 BC 00 AA 00 40 47 70 }
	condition:
		$1
}

rule function_97540_0 {
	meta:
		name = "TWebBrowserEx.GetWindow"
		size = 118
		refs = "000f TWebBrowserEx.GetWindow 001c @IntfClear 0023 TWinControl.HandleAllocated 0031 TWebBrowserEx.GetDocument2 0050 @CheckAutoResult 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 29 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 19 8B C6 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 90 B0 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97541_0 {
	meta:
		name = "TWebBrowserEx.InvokeEvent"
		size = 239
		refs = "000b TOleControl.InvokeEvent 001f TWinControl.HandleAllocated 005c @IntfClear 0098 TWebBrowserEx.HookChildWindows 00a5 TEventDispatchEx.SetActive"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 BB 5C 04 00 00 00 0F 84 D0 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 19 83 BB 5C 04 00 00 00 74 10 8B 83 5C 04 00 00 80 78 04 00 0F 85 AC 00 00 00 81 EE FA 00 00 00 0F 84 93 00 00 00 83 EE 09 0F 85 97 00 00 00 8D 83 50 05 00 00 E8 ?? ?? ?? ?? 8D 83 54 05 00 00 E8 ?? ?? ?? ?? 8D 83 58 05 00 00 E8 ?? ?? ?? ?? 8D 83 5C 05 00 00 E8 ?? ?? ?? ?? 83 BB 74 05 00 00 00 75 62 8B C3 E8 ?? ?? ?? ?? 84 C0 74 30 8B C3 E8 ?? ?? ?? ?? B2 01 8B 83 54 04 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 58 04 00 00 E8 ?? ?? ?? ?? B2 01 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? EB 27 66 83 BB AA 05 00 00 00 74 1D 8B D3 8B 83 AC 05 00 00 FF 93 A8 05 00 00 EB 0D 33 D2 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97542_0 {
	meta:
		name = "TWebBrowserEx.MouseOut"
		size = 50
	strings:
		$1 = { 55 8B EC 51 53 66 89 55 FE 66 83 B8 72 04 00 00 00 74 19 51 8B 55 08 52 8B D8 8B D0 0F B7 4D FE 8B 83 74 04 00 00 FF 93 70 04 00 00 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_97543_0 {
	meta:
		name = "TWebBrowserEx.MouseOver"
		size = 50
	strings:
		$1 = { 55 8B EC 51 53 66 89 55 FE 66 83 B8 7A 04 00 00 00 74 19 51 8B 55 08 52 8B D8 8B D0 0F B7 4D FE 8B 83 7C 04 00 00 FF 93 78 04 00 00 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_97544_0 {
	meta:
		name = "TWebBrowserEx.DoAfterUpdate"
		size = 29
	strings:
		$1 = { 53 66 83 B8 82 04 00 00 00 74 10 8B D8 8B D0 8B 83 84 04 00 00 FF 93 80 04 00 00 5B C3 }
	condition:
		$1
}

rule function_97545_0 {
	meta:
		name = "TWebBrowserEx.DoBeforeUpdate"
		size = 29
	strings:
		$1 = { 53 66 83 B8 8A 04 00 00 00 74 10 8B D8 8B D0 8B 83 8C 04 00 00 FF 93 88 04 00 00 5B C3 }
	condition:
		$1
}

rule function_97546_0 {
	meta:
		name = "TWebBrowserEx.DoError"
		size = 29
	strings:
		$1 = { 53 66 83 B8 92 04 00 00 00 74 10 8B D8 8B D0 8B 83 94 04 00 00 FF 93 90 04 00 00 5B C3 }
	condition:
		$1
}

rule function_97547_0 {
	meta:
		name = "TWebBrowserEx.ErrorUpdate"
		size = 29
	strings:
		$1 = { 53 66 83 B8 B2 04 00 00 00 74 10 8B D8 8B D0 8B 83 B4 04 00 00 FF 93 B0 04 00 00 5B C3 }
	condition:
		$1
}

rule function_97548_0 {
	meta:
		name = "TWebBrowserEx.RowEnter"
		size = 29
	strings:
		$1 = { 53 66 83 B8 AA 04 00 00 00 74 10 8B D8 8B D0 8B 83 AC 04 00 00 FF 93 A8 04 00 00 5B C3 }
	condition:
		$1
}

rule function_97549_0 {
	meta:
		name = "TWebBrowserEx.RowExit"
		size = 29
	strings:
		$1 = { 53 66 83 B8 A2 04 00 00 00 74 10 8B D8 8B D0 8B 83 A4 04 00 00 FF 93 A0 04 00 00 5B C3 }
	condition:
		$1
}

rule function_97550_0 {
	meta:
		name = "TWebBrowserEx.SelectStart"
		size = 29
	strings:
		$1 = { 53 66 83 B8 9A 04 00 00 00 74 10 8B D8 8B D0 8B 83 9C 04 00 00 FF 93 98 04 00 00 5B C3 }
	condition:
		$1
}

rule function_97551_0 {
	meta:
		name = "TWebBrowserEx.QueryService"
		size = 204
		refs = "0050 TList.Get 005f IsEqualGUID 0081 Supports"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B 75 08 C7 45 FC 02 40 00 80 83 7D FC 00 74 7D 83 BE 08 05 00 00 00 74 74 F6 46 1C 10 75 6E 8B 86 08 05 00 00 8B 78 08 4F 85 FF 7C 60 47 C7 45 F8 00 00 00 00 8B 9E 08 05 00 00 8B 45 F8 89 45 F4 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B D8 8D 43 48 50 8B 45 0C 50 E8 ?? ?? ?? ?? 84 C0 75 11 8D 43 48 50 8B 45 10 50 E8 ?? ?? ?? ?? 84 C0 74 18 8B 4D 14 8B 55 10 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 33 C0 89 45 FC EB 06 FF 45 F8 4F 75 A8 83 7D FC 00 74 24 8B 55 0C 8B C6 E8 ?? ?? ?? ?? 84 C0 74 16 8B 4D 14 8B 55 10 8B C6 E8 ?? ?? ?? ?? 84 C0 74 05 33 C0 89 45 FC 8B 45 FC 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_97552_0 {
	meta:
		name = "TWebBrowserEx.DoLoad"
		size = 29
	strings:
		$1 = { 53 66 83 B8 BA 04 00 00 00 74 10 8B D8 8B D0 8B 83 BC 04 00 00 FF 93 B8 04 00 00 5B C3 }
	condition:
		$1
}

rule function_97553_0 {
	meta:
		name = "TWebBrowserEx.DoHelp"
		size = 29
	strings:
		$1 = { 53 66 83 B8 C2 04 00 00 00 74 10 8B D8 8B D0 8B 83 C4 04 00 00 FF 93 C0 04 00 00 5B C3 }
	condition:
		$1
}

rule function_97554_0 {
	meta:
		name = "TWebBrowserEx.DoUnLoad"
		size = 29
	strings:
		$1 = { 53 66 83 B8 CA 04 00 00 00 74 10 8B D8 8B D0 8B 83 CC 04 00 00 FF 93 C8 04 00 00 5B C3 }
	condition:
		$1
}

rule function_97555_0 {
	meta:
		name = "TWebBrowserEx.DoBlur"
		size = 29
	strings:
		$1 = { 53 66 83 B8 DA 04 00 00 00 74 10 8B D8 8B D0 8B 83 DC 04 00 00 FF 93 D8 04 00 00 5B C3 }
	condition:
		$1
}

rule function_97556_0 {
	meta:
		name = "TWebBrowserEx.DoFocus"
		size = 29
	strings:
		$1 = { 53 66 83 B8 D2 04 00 00 00 74 10 8B D8 8B D0 8B 83 D4 04 00 00 FF 93 D0 04 00 00 5B C3 }
	condition:
		$1
}

rule function_97557_0 {
	meta:
		name = "TWebBrowserEx.DoWndResize"
		size = 29
	strings:
		$1 = { 53 66 83 B8 EA 04 00 00 00 74 10 8B D8 8B D0 8B 83 EC 04 00 00 FF 93 E8 04 00 00 5B C3 }
	condition:
		$1
}

rule function_97558_0 {
	meta:
		name = "TWebBrowserEx.DoScroll"
		size = 29
	strings:
		$1 = { 53 66 83 B8 E2 04 00 00 00 74 10 8B D8 8B D0 8B 83 E4 04 00 00 FF 93 E0 04 00 00 5B C3 }
	condition:
		$1
}

rule function_97559_0 {
	meta:
		name = "TWebBrowserEx.DoBeforeEditFocus"
		size = 35
	strings:
		$1 = { 53 66 83 B8 02 06 00 00 00 74 14 8B D8 8B CA 8B D0 8B 83 04 06 00 00 FF 93 00 06 00 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_97560_0 {
	meta:
		name = "TWebBrowserEx.DoBeforeUnLoad"
		size = 29
	strings:
		$1 = { 53 66 83 B8 F2 04 00 00 00 74 10 8B D8 8B D0 8B 83 F4 04 00 00 FF 93 F0 04 00 00 5B C3 }
	condition:
		$1
}

rule function_97562_0 {
	meta:
		name = "TWebBrowserEx.CommandState"
		size = 540
		refs = "001b TWebBrowserEx.CommandState 0032 TWebBrowserEx.GetDocument2 004c TCommandStateArray 0051 @DynArraySetLength 00b1 TWebBrowserEx.GetIsContentPage 00e9 TWebBrowserEx.GetCurrentElementType 0109 TWebBrowserEx.GetCurrentElement 011a TWebBrowserEx.GetIsEditableElement 012a @IntfClear 014c @CheckAutoResult 01cf IHTMLElement 01d9 @FinalizeArray 01e7 @DynArrayClear 0203 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 1D ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 83 7D F0 00 0F 84 75 01 00 00 6A 01 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 55 F8 89 10 8B 45 FC 33 D2 89 50 04 8D 4D EC 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 78 04 8B C7 83 E0 02 83 F8 02 75 03 80 CB 02 8B C7 83 E0 01 48 75 03 80 CB 01 83 E7 04 83 FF 04 75 03 80 CB 04 F6 C3 02 0F 84 0E 01 00 00 8B 86 0C 05 00 00 8B 40 38 E8 ?? ?? ?? ?? 84 C0 0F 84 F8 00 00 00 C6 45 F7 01 8B 45 F8 83 C0 F0 83 E8 02 72 13 83 E8 08 74 0E 83 E8 05 0F 84 8C 00 00 00 E9 CA 00 00 00 8B 86 0C 05 00 00 8B 40 38 E8 ?? ?? ?? ?? 04 FE 2C 02 72 07 74 31 E9 AF 00 00 00 8D 55 E8 8B 86 0C 05 00 00 8B 78 38 8B C7 E8 ?? ?? ?? ?? 8B 55 E8 8B C7 0F B6 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 F7 E9 83 00 00 00 8D 45 E4 E8 ?? ?? ?? ?? 50 8D 55 E0 8B 86 0C 05 00 00 8B 78 38 8B C7 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 55 E4 8B C7 0F B6 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 45 F7 EB 43 8D 45 DC E8 ?? ?? ?? ?? 50 8D 55 D8 8B 86 0C 05 00 00 8B 78 38 8B C7 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 55 DC 8B C7 0F B6 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 04 C6 45 F7 00 80 7D F7 00 75 06 80 E3 FD 80 E3 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B9 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_97563_0 {
	meta:
		name = "TWebBrowserEx.CommandState"
		size = 175
		refs = "0016 @DynArrayAddRef 001e TWebBrowserEx.CommandState 0033 TCommandStateArray 0038 @DynArraySetLength 0045 TWebBrowserEx.GetDocument2 0059 @DynArrayLength 005f CGID_MSHTML 0069 TWebBrowserEx.GetCommandTarget 0087 @IntfClear 009d @DynArrayClear 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B C6 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 27 6A 00 8B 45 FC 50 8B 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97564_0 {
	meta:
		name = "TWebBrowserEx.LoadFromFile"
		size = 372
		refs = "0016 TWebBrowserEx.LoadFromFile 002b TOleControl.GetIDispatchProp 0037 @IntfClear 0044 Supports 005c sSaveCurrentFile 0061 LoadResString 0085 MessageDlgPosHelp 00a5 OleCheck 00b0 _Dn_TFileStream 00b5 TFileStream.Create 00d4 Trim 00e4 ExtractFilePath 00f2 @UStrAsg 00fc TWebBrowserEx.LoadFromStream 0111 TObject.Free 0117 @HandleFinally 0133 @UStrArrayClr 0143 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D EC BA CB 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 5D 8B 45 FC 50 8B 00 FF 50 10 48 74 51 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 03 0F B7 15 ?? ?? ?? ?? 66 89 55 F2 33 D2 52 6A FF 6A FF 6A 00 8B D0 0F B7 4D F2 8B 45 F8 E8 ?? ?? ?? ?? 83 E8 02 0F 84 8B 00 00 00 83 E8 04 75 12 6A FF 6A 00 8B 45 FC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 6A 20 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 83 C0 05 00 00 E8 ?? ?? ?? ?? 83 7D E8 00 75 18 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 55 E4 8D 83 C0 05 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5E 5B 8B E5 5D C3 00 00 00 0B 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 0B 00 00 00 }
	condition:
		$1
}

rule function_97565_0 {
	meta:
		name = "TWebBrowserEx.SaveToFile"
		size = 168
		refs = "0013 TWebBrowserEx.SaveToFile 0028 TOleControl.GetIDispatchProp 0034 @IntfClear 0041 Supports 004f @WStrFromUStr 007b @WStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 BA CB 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 19 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 6A FF 8D 45 F8 50 8B 45 FC 50 8B 00 FF 50 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 0B 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_97566_0 {
	meta:
		name = "TWebBrowserEx.RegisterServiceProvider"
		size = 219
		refs = "0012 TWebBrowserEx.RegisterServiceProvider 0024 sNilProvider 0029 LoadResString 0033 _Dn_Exception 0038 Exception.Create 003d @RaiseExcept 0042 GUID_NULL 004c IsEqualGUID 0058 sInvalidServiceProviderGUID 0083 _Dn_TComponentList 0088 TComponentList.Create 009d TList.IndexOf 00ae TList.Add 00c8 @UStrArrayClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 46 48 50 E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 BB 08 05 00 00 00 75 14 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 08 05 00 00 8B 83 08 05 00 00 8B FE 8B D7 E8 ?? ?? ?? ?? 85 C0 7D 0D 8B 83 08 05 00 00 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_97567_0 {
	meta:
		name = "TWebBrowserEx.UnRegisterServiceProvider"
		size = 81
		refs = "0018 TList.IndexOf 002a TList.ExtractItem 0049 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 F6 43 1C 08 75 21 8B 83 08 05 00 00 8B FE 8B D7 E8 ?? ?? ?? ?? 40 74 0F 8B 83 08 05 00 00 8B D7 33 C9 E8 ?? ?? ?? ?? 8B 83 08 05 00 00 83 78 08 00 75 13 8D 83 08 05 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97568_0 {
	meta:
		name = "TWebBrowserEx.GetDisplayServices"
		size = 128
		refs = "000f TWebBrowserEx.GetDisplayServices 0028 TWebBrowserEx.GetDocument2 003b @IntfCast 0048 @IntfCopy 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 50 05 00 00 00 75 1D 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 50 05 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 93 50 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 9D F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_97569_0 {
	meta:
		name = "TWebBrowserEx.GetMarkupServices"
		size = 132
		refs = "000f TWebBrowserEx.GetMarkupServices 002d TOleControl.GetIDispatchProp 0040 @IntfCast 004d @IntfCopy 0062 @IntfClear 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 58 05 00 00 00 75 22 8D 4D FC BA CB 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 83 58 05 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 93 58 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 82 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_97570_0 {
	meta:
		name = "TWebBrowserEx.GetPrimaryMarkupContainer"
		size = 108
		refs = "000f TWebBrowserEx.GetPrimaryMarkupContainer 0024 TOleControl.GetIDispatchProp 0033 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC BA CB 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 48 F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_97571_0 {
	meta:
		name = "TWebBrowserEx.GetSelectionServices"
		size = 142
		refs = "0011 TWebBrowserEx.GetSelectionServices 002b @IntfClear 0036 TWebBrowserEx.GetPrimaryMarkupContainer 0044 TWebBrowserEx.GetHTMLEditServices 0052 OleCheck 005f @IntfCopy 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 5C 05 00 00 00 75 32 8D 83 5C 05 00 00 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8B C6 8B 93 5C 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_97572_0 {
	meta:
		name = "TWebBrowserEx.Exec"
		size = 173
		refs = "0012 TWebBrowserEx.Exec 0023 CGID_DocHostCommandHandler 0029 IsEqualGUID 0048 TWebBrowserEx.GetDocument2 0097 @IntfClear 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 75 0C 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 85 F6 74 5F 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 84 C0 74 49 8B 45 10 83 E8 28 74 09 2D 62 1B 00 00 74 12 EB 31 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 EB 34 66 83 BF A2 05 00 00 00 74 10 8B D7 8B 87 A4 05 00 00 FF 97 A0 05 00 00 EB 1A BB 00 01 04 80 EB 13 BB 00 01 04 80 EB 0C BB 04 01 04 80 EB 05 BB 04 01 04 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_97574_0 {
	meta:
		name = "TWebBrowserEx.DoReadyStateChange"
		size = 29
	strings:
		$1 = { 53 66 83 B8 12 05 00 00 00 74 10 8B D8 8B D0 8B 83 14 05 00 00 FF 93 10 05 00 00 5B C3 }
	condition:
		$1
}

rule function_97575_0 {
	meta:
		name = "TWebBrowserEx.DoStatusTextChange"
		size = 31
	strings:
		$1 = { 53 66 83 B8 22 05 00 00 00 74 12 8B D8 8B CA 8B D0 8B 83 24 05 00 00 FF 93 20 05 00 00 5B C3 }
	condition:
		$1
}

rule function_97576_0 {
	meta:
		name = "TWebBrowserEx.Loaded"
		size = 105
		refs = "000c TWebBrowserEx.Loaded 0019 TControl.Loaded 003a @WStrFromUStr 0044 TWebBrowser.Navigate 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 83 44 04 00 00 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 18 8D 45 FC 8B 93 44 04 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_97577_0 {
	meta:
		name = "TWebBrowserEx.ForceSelectionChange"
		size = 25
		refs = "0007 TWebBrowserEx.ClearCurrentElement 0012 @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 66 BE 9C FF E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97578_0 {
	meta:
		name = "TWebBrowserEx.ClearCurrentElement"
		size = 23
		refs = "000a @IntfClear"
	strings:
		$1 = { 53 8B D8 8D 83 28 06 00 00 E8 ?? ?? ?? ?? C6 83 2C 06 00 00 00 5B C3 }
	condition:
		$1
}

rule function_97579_0 {
	meta:
		name = "TWebBrowserEx.SelectionChange"
		size = 129
		refs = "000e TWebBrowserEx.SelectionChange 0026 @IntfClear 0031 TWebBrowserEx.GetWindow 0042 @CheckAutoResult 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 BB 2A 05 00 00 00 74 35 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC 8B D3 8B 83 2C 05 00 00 FF 93 28 05 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_97580_0 {
	meta:
		name = "TWebBrowserEx.DoUpdateCommands"
		size = 29
	strings:
		$1 = { 53 66 83 B8 32 05 00 00 00 74 10 8B D8 8B D0 8B 83 34 05 00 00 FF 93 30 05 00 00 5B C3 }
	condition:
		$1
}

rule function_97581_0 {
	meta:
		name = "TWebBrowserEx.GetModified"
		size = 180
		refs = "0011 TWebBrowserEx.GetModified 0028 TOleControl.GetIDispatchProp 0049 @IntfClear 0056 Supports 007e IDispatch 0088 @FinalizeArray 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 4D F8 BA CB 00 00 00 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 74 3A 8D 4D F4 BA CB 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 FC 50 8B 00 FF 50 10 85 C0 0F 94 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5E 5B 8B E5 5D C3 0B 01 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_97582_0 {
	meta:
		name = "TWebBrowserEx.CMCancelMode"
		size = 36
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 F0 66 83 BE 3A 05 00 00 00 74 0E 8B D6 8B 86 3C 05 00 00 FF 96 38 05 00 00 5E C3 }
	condition:
		$1
}

rule function_97583_0 {
	meta:
		name = "TWebBrowserEx.Notify"
		size = 40
	strings:
		$1 = { 55 8B EC 53 8B 45 08 66 83 B8 CA 05 00 00 00 74 10 8B D8 8B D0 8B 83 CC 05 00 00 FF 93 C8 05 00 00 33 C0 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_97584_0 {
	meta:
		name = "TWebBrowserEx.OnFocus"
		size = 170
		refs = "0015 TWebBrowserEx.OnFocus 0022 TOleControl.OnFocus 0033 TWebBrowserEx.GetDocument2 0041 @IntfClear 005d @CheckAutoResult 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B 75 0C 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 53 E8 ?? ?? ?? ?? 89 45 FC 85 F6 74 45 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 35 8D 45 F4 E8 ?? ?? ?? ?? 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 90 B0 01 00 00 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 EC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B 45 FC 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_97585_0 {
	meta:
		name = "TWebBrowserEx.GetCaret"
		size = 117
		refs = "000f TWebBrowserEx.GetCaret 0029 @IntfClear 0034 TWebBrowserEx.GetDisplayServices 0042 OleCheck 004f @IntfCopy 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB 54 05 00 00 00 75 24 8D 83 54 05 00 00 E8 ?? ?? ?? ?? 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 8B C6 8B 93 54 05 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97587_0 {
	meta:
		name = "TWebBrowserEx.InetExplorerServerWndProc"
		size = 339
		refs = "0080 CallWindowProc 00c1 @CallDynaInst 00d9 GetParentForm 00e0 TCustomForm.SetActiveControl 011f TWebBrowserEx.UnHookChildWindows"
	strings:
		$1 = { 53 56 57 51 8B DA 8B F8 81 3B 12 01 00 00 74 0E 81 3B 04 01 00 00 75 12 83 7B 04 12 75 0C C7 43 0C 01 00 00 00 E9 24 01 00 00 8B 03 83 E8 20 74 10 05 20 FE FF FF 83 E8 03 72 06 48 83 E8 02 73 25 66 83 BF 22 06 00 00 00 74 1B 54 8B CB 8B D7 8B 87 24 06 00 00 FF 97 20 06 00 00 80 3C 24 00 0F 85 E8 00 00 00 8B 43 08 50 8B 43 04 50 8B 03 50 8B 87 6C 05 00 00 50 8B 87 60 05 00 00 50 E8 ?? ?? ?? ?? 89 43 0C 8B 03 83 F8 18 7F 0F 74 5F 83 E8 07 74 1B 48 74 4E E9 B1 00 00 00 2D 82 00 00 00 74 78 2D 95 00 00 00 74 7A E9 9E 00 00 00 F6 47 1C 08 0F 85 94 00 00 00 8B C7 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 0F 84 81 00 00 00 C6 87 50 04 00 00 01 B2 01 8B C7 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? EB 68 C6 87 50 04 00 00 00 EB 5F 83 7B 04 00 75 59 33 D2 8B C7 E8 ?? ?? ?? ?? 85 C0 74 4C 66 83 BF 3A 04 00 00 00 74 42 8B D7 8B 87 3C 04 00 00 FF 97 38 04 00 00 EB 32 8B C7 E8 ?? ?? ?? ?? EB 29 66 83 BF 9A 05 00 00 00 74 1F 0F B7 43 08 50 66 83 7B 0A 01 1B C0 40 50 8B 4B 04 8B D7 8B 87 9C 05 00 00 FF 97 98 05 00 00 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97588_0 {
	meta:
		name = "TWebBrowserEx.ShellDocObjWndProc"
		size = 356
		refs = "0015 TWebBrowserEx.ShellDocObjWndProc 0039 CallWindowProc 0066 @CallDynaInst 0077 GetParentForm 007e TCustomForm.SetActiveControl 0088 TWebBrowserEx.GetActiveDocument 009e @IntfCast 00ac @CheckAutoResult 00c5 TWebBrowserEx.GetDocument2 00d3 @IntfClear 0109 TWebBrowserEx.UnHookChildWindows 0144 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 50 8B 43 04 50 8B 03 50 8B 87 68 05 00 00 50 8B 87 64 05 00 00 50 E8 ?? ?? ?? ?? 89 43 0C 8B 03 83 E8 07 74 0E 83 E8 7B 0F 84 B6 00 00 00 E9 B8 00 00 00 F6 47 1C 08 0F 85 AE 00 00 00 8B C7 66 BE B5 FF E8 ?? ?? ?? ?? 84 C0 0F 84 9B 00 00 00 B2 01 8B C7 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 1E 8D 45 F8 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B C7 66 BE B2 FF E8 ?? ?? ?? ?? 84 C0 75 4E 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 83 7D F4 00 74 3E 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 B0 01 00 00 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 90 EC 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 00 00 00 9A F6 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_97589_0 {
	meta:
		name = "TWebBrowserEx.DestroyWindowHandle"
		size = 67
		refs = "000c TEventDispatchEx.SetActive 002d TOleControl.DestroyWindowHandle"
	strings:
		$1 = { 53 8B D8 33 D2 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 58 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 89 83 6C 05 00 00 33 C0 89 83 68 05 00 00 5B C3 }
	condition:
		$1
}

rule function_97590_0 {
	meta:
		name = "TWebBrowserEx.ShellWndProc"
		size = 95
		refs = "0012 TWebBrowserEx.ShellWndProc 002d CallWindowProc 003f @HandleAnyException 0044 Application 004e TApplication.HandleException 0053 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 50 8B 43 04 50 8B 03 50 56 8B 45 08 50 E8 ?? ?? ?? ?? 89 43 0C 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_97591_0 {
	meta:
		name = "TWebBrowserEx.SetCommandUpdater"
		size = 49
		refs = "0017 TComponent.RemoveFreeNotification 002a TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 0C 05 00 00 3B F0 74 1E 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8B C6 89 83 0C 05 00 00 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97592_0 {
	meta:
		name = "TWebBrowserEx.Notification"
		size = 45
		refs = "0010 TWinControl.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 10 3B B7 0C 05 00 00 75 08 33 C0 89 87 0C 05 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97593_0 {
	meta:
		name = "TWebBrowserEx.HookChildWindows"
		size = 454
		refs = "000d TWebBrowserEx.HookChildWindows 0037 sChildWindowsAlreadyHooked 003c LoadResString 0046 _Dn_Exception 004b Exception.Create 0050 @RaiseExcept 0059 TWinControl.GetHandle 005f GetWindow 0085 TWebBrowserEx.InetExplorerServerWndProc 008a MakeObjectInstance 009d TWebBrowserEx.ShellDocObjWndProc 00b4 IsWindowUnicode 00ca GetWindowLongPtr 00e9 SetWindowLongPtr 01b5 @UStrClr 01bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 1C 10 0F 85 83 01 00 00 83 BB 68 05 00 00 00 75 09 83 BB 6C 05 00 00 00 74 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 05 8B C3 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 83 68 05 00 00 83 BB 68 05 00 00 00 0F 84 2E 01 00 00 80 BB 7A 05 00 00 00 0F 85 21 01 00 00 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 74 05 00 00 C6 83 7A 05 00 00 01 53 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 70 05 00 00 8B 83 68 05 00 00 50 E8 ?? ?? ?? ?? 85 C0 74 33 8B 83 68 05 00 00 BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 89 83 64 05 00 00 8B 83 68 05 00 00 BA FC FF FF FF 8B B3 70 05 00 00 56 52 50 E8 ?? ?? ?? ?? EB 31 8B 83 68 05 00 00 BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 89 83 64 05 00 00 8B 83 68 05 00 00 BA FC FF FF FF 8B B3 70 05 00 00 56 52 50 E8 ?? ?? ?? ?? 6A 05 8B 83 68 05 00 00 50 E8 ?? ?? ?? ?? 8B F0 89 B3 6C 05 00 00 56 E8 ?? ?? ?? ?? 85 C0 74 33 8B 83 6C 05 00 00 BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 89 83 60 05 00 00 8B 83 6C 05 00 00 BA FC FF FF FF 8B 8B 74 05 00 00 51 52 50 E8 ?? ?? ?? ?? EB 31 8B 83 6C 05 00 00 BA FC FF FF FF 52 50 E8 ?? ?? ?? ?? 89 83 60 05 00 00 8B 83 6C 05 00 00 BA FC FF FF FF 8B 8B 74 05 00 00 51 52 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97594_0 {
	meta:
		name = "TWebBrowserEx.WMParentNotify"
		size = 35
		refs = "000b TWinControl.WMParentNotify 001c TWebBrowserEx.UnHookChildWindows"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B7 46 04 66 83 E8 02 75 07 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97595_0 {
	meta:
		name = "TWebBrowserEx.GetOverrideCursor"
		size = 157
		refs = "0012 TWebBrowserEx.GetOverrideCursor 0022 @VarFromBool 002c TWebBrowserEx.GetCommandTarget 0045 CGID_MSHTML 0060 @VarToBool 0078 IOleCommandTarget 0082 @FinalizeArray 008a @VarClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 33 D2 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 83 7D EC 00 74 26 8D 45 F0 50 33 C0 50 6A 02 68 74 09 00 00 68 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 10 8D 45 F0 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97596_0 {
	meta:
		name = "TWebBrowserEx.SetOverrideCursor"
		size = 312
		refs = "001b TWebBrowserEx.SetOverrideCursor 002b @VarFromBool 0035 TWebBrowserEx.GetCommandTarget 004e CGID_MSHTML 0070 TWebBrowserEx.GetViewLinkDocuments 00af @IntfCast 00ea @IntfClear 00f3 IOleCommandTarget 00fd @FinalizeArray 0105 @VarClr 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 83 7D E4 00 74 26 33 C0 50 8D 45 E8 50 6A 02 68 74 09 00 00 68 ?? ?? ?? ?? 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 10 8D 4D FC BA 74 09 00 00 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 5F 8D 45 E8 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 7C 46 43 33 F6 8D 4D DC 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 55 DC 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 1C 33 C0 50 8D 45 E8 50 6A 02 68 74 09 00 00 68 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 10 46 4B 75 BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5F 5E 5B 8B E5 5D C3 CB BC 22 B7 68 4E 1B 10 A2 BC 00 AA 00 40 47 70 }
	condition:
		$1
}

rule function_97597_0 {
	meta:
		name = "TWebBrowserEx.UnHookChildWindows"
		size = 188
		refs = "000d TEventDispatchEx.SetActive 0044 SetWindowLongPtr 004f FreeObjectInstance"
	strings:
		$1 = { 53 56 8B D8 33 D2 8B 83 54 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 58 04 00 00 E8 ?? ?? ?? ?? 33 D2 8B 83 5C 04 00 00 E8 ?? ?? ?? ?? 8B 83 68 05 00 00 85 C0 74 2E BA FC FF FF FF 8B B3 64 05 00 00 56 52 50 E8 ?? ?? ?? ?? 8B 83 70 05 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 68 05 00 00 33 C0 89 83 70 05 00 00 8B 83 6C 05 00 00 85 C0 74 2E BA FC FF FF FF 8B B3 60 05 00 00 56 52 50 E8 ?? ?? ?? ?? 8B 83 74 05 00 00 E8 ?? ?? ?? ?? 33 C0 89 83 6C 05 00 00 33 C0 89 83 74 05 00 00 83 BB 6C 05 00 00 00 75 0D 83 BB 68 05 00 00 00 75 04 33 C0 EB 02 B0 01 88 83 7A 05 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_97598_0 {
	meta:
		name = "TWebBrowserEx.DoOnControlSelect"
		size = 89
		refs = "0011 TWebBrowserEx.DoOnControlSelect 004c @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 10 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 C7 06 FF FF 66 83 BB 82 05 00 00 00 74 14 8B 4D 0C 8B D3 8B 83 84 05 00 00 FF 93 80 05 00 00 66 89 06 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_97599_0 {
	meta:
		name = "TWebBrowserEx.DoOnControlMove"
		size = 39
	strings:
		$1 = { 53 83 CB FF 66 83 B8 B2 05 00 00 00 74 15 51 8B D8 8B CA 8B D0 8B 83 B4 05 00 00 FF 93 B0 05 00 00 8B D8 8B C3 5B C3 }
	condition:
		$1
}

rule function_97600_0 {
	meta:
		name = "TWebBrowserEx.DoOnControlResize"
		size = 39
	strings:
		$1 = { 53 83 CB FF 66 83 B8 BA 05 00 00 00 74 15 51 8B D8 8B CA 8B D0 8B 83 BC 05 00 00 FF 93 B8 05 00 00 8B D8 8B C3 5B C3 }
	condition:
		$1
}

rule function_97601_0 {
	meta:
		name = "TWebBrowserEx.DoResolveRelativePath"
		size = 42
		refs = "0009 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 66 83 BB 8A 05 00 00 00 74 10 8B CE 8B D3 8B 83 8C 05 00 00 FF 93 88 05 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_97602_0 {
	meta:
		name = "EnumChildProc"
		size = 48
		refs = "0017 GetForegroundWindow"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 0C 33 FF 8B F3 80 BE 50 04 00 00 00 75 11 E8 ?? ?? ?? ?? 3B 45 08 0F 94 C0 88 86 50 04 00 00 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_97603_0 {
	meta:
		name = "TWebBrowserEx.Focused"
		size = 31
		refs = "0006 TWinControl.Focused"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0D 80 BB 50 04 00 00 00 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_97604_0 {
	meta:
		name = "TWebBrowserEx.ClearDirtyFlag"
		size = 156
		refs = "000e TWebBrowserEx.ClearDirtyFlag 0023 TOleControl.GetIDispatchProp 002f @IntfClear 003c Supports 005e OleCheck 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 BA CB 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 1E 8B 45 FC 50 8B 00 FF 50 10 48 74 12 6A FF 6A 00 8B 45 FC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 80 23 D5 7F 07 4E 1B 10 AE 2D 08 00 2B 2E C7 13 }
	condition:
		$1
}

rule function_97605_0 {
	meta:
		name = "TWebBrowserEx.SetModified"
		size = 149
		refs = "0015 TWebBrowserEx.SetModified 0025 @VarFromBool 002f TWebBrowserEx.GetCommandTarget 0048 CGID_MSHTML 0071 IOleCommandTarget 007b @FinalizeArray 0083 @VarClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D3 E8 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 83 7D EC 00 74 26 33 C0 50 8D 45 F0 50 6A 02 68 26 09 00 00 68 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97609_0 {
	meta:
		name = "THTMLElementEventDispatch.QueryInterface"
		size = 76
		refs = "0013 TEventDispatchEx.QueryInterface 0020 THTMLElementEventDispatch.QueryInterface 0027 Supports"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 5D 08 57 8B 45 0C 50 53 E8 ?? ?? ?? ?? 8B F0 85 F6 74 14 8B CF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 02 33 F6 8B C6 5F 5E 5B 5D C2 0C 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_97610_0 {
	meta:
		name = "TWebBrowserServiceProvider.Create"
		size = 71
		refs = "000b @ClassCreate 0018 TComponent.Create 001d GUID_NULL 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 56 8D 7E 48 8B F0 A5 A5 A5 A5 5E 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97612_0 {
	meta:
		name = "TWebBrowserServiceProvider.SetWebBrowser"
		size = 49
		refs = "0014 TWebBrowserEx.UnRegisterServiceProvider 001d TCustomWebBrowserComponent.SetWebBrowser 002a TWebBrowserEx.RegisterServiceProvider"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 38 85 C0 74 0B 3B C6 74 07 8B D3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97613_0 {
	meta:
		name = "TCustomWebBrowserCommandUpdater.CommandState"
		size = 140
		refs = "000d TCustomWebBrowserCommandUpdater.CommandState 001d TCustomWebBrowserCommandUpdater.Find"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 0F B6 05 ?? ?? ?? ?? 88 04 24 8D 4C 24 04 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 58 8B 43 48 8B 54 24 04 3B 34 D0 75 4C 8B 43 48 8B 54 24 04 8B 7C D0 04 8B C7 83 E0 02 83 F8 02 75 04 80 0C 24 02 8B C7 83 E0 01 48 75 04 80 0C 24 01 83 E7 04 83 FF 04 75 04 80 0C 24 04 66 83 BB 82 00 00 00 00 74 11 54 8B CE 8B D3 8B 83 84 00 00 00 FF 93 80 00 00 00 0F B6 04 24 59 5A 5F 5E 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_97614_0 {
	meta:
		name = "TCustomWebBrowserCommandUpdater.DoElementPropertiesChanged"
		size = 94
		refs = "0013 @IntfAddRef 001b TCustomWebBrowserCommandUpdater.DoElementPropertiesChanged 004d @IntfClear 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 88 4D FB 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7B 7A 00 74 10 0F B6 45 FB 50 8B 4D FC 8B D3 8B 43 7C FF 53 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_97616_0 {
	meta:
		name = "TCustomWebBrowserCommandUpdater.DoBeforeCommand"
		size = 26
	strings:
		$1 = { 53 C6 01 00 66 83 78 5A 00 74 0D 51 8B D8 8B CA 8B D0 8B 43 5C FF 53 58 5B C3 }
	condition:
		$1
}

rule function_97617_0 {
	meta:
		name = "TCustomWebBrowserCommandUpdater.Find"
		size = 95
		refs = "001e @DynArrayLength"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 0C 24 8B FA 8B F0 C6 44 24 04 00 83 7E 38 00 74 3C 33 DB 8B 46 48 E8 ?? ?? ?? ?? 8B D0 4A 3B D3 7C 26 8D 04 1A D1 E8 8B 4E 48 8B 0C C1 2B CF 85 C9 7D 05 8D 58 01 EB 0C 8B D0 4A 85 C9 75 05 C6 44 24 04 01 3B D3 7D DA 8B 04 24 89 18 0F B6 44 24 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97618_0 {
	meta:
		name = "TCustomWebBrowserCommandUpdater.GetActionState"
		size = 49
	strings:
		$1 = { 55 8B EC 51 53 66 83 78 6A 00 74 17 51 8D 4D 08 51 8D 4D FF 51 8B D8 8B CA 8B D0 8B 43 6C FF 53 68 EB 04 C6 45 FF 00 0F B6 45 FF 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_97619_0 {
	meta:
		name = "TCustomWebBrowserCommandUpdater.QuickSort"
		size = 184
		refs = "009f TCustomWebBrowserCommandUpdater.QuickSort"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 4C 24 04 89 14 24 8B D8 8B 34 24 8B 44 24 04 8B 14 24 03 54 24 04 D1 EA EB 01 46 8B 4B 48 8B 0C D1 8B 7B 48 3B 0C F7 77 F1 EB 01 48 8B 4B 48 8B 0C C1 8B 7B 48 3B 0C D7 77 F1 3B C6 7C 48 8B 4B 48 8B 3C F1 89 7C 24 08 8B 7C F1 04 89 7C 24 0C 8B 4B 48 8B 7B 48 8B 2C C1 89 2C F7 8B 6C C1 04 89 6C F7 04 8B 4B 48 8B 7C 24 08 89 3C C1 8B 7C 24 0C 89 7C C1 04 3B F2 75 04 8B D0 EB 06 3B C2 75 02 8B D6 46 48 3B C6 7D 91 3B 04 24 7E 0C 8B C8 8B 14 24 8B C3 E8 ?? ?? ?? ?? 89 34 24 3B 74 24 04 0F 8C 60 FF FF FF 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97620_0 {
	meta:
		name = "TCustomWebBrowserCommandUpdater.RegisterCommand"
		size = 80
		refs = "000e @DynArrayLength 001e TCommandStateArray 0023 @DynArraySetLength 0049 TCustomWebBrowserCommandUpdater.QuickSort"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 43 8B 43 48 E8 ?? ?? ?? ?? 40 50 8D 43 48 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 48 E8 ?? ?? ?? ?? 8B 53 48 89 74 C2 F8 8B 43 48 E8 ?? ?? ?? ?? 8B C8 49 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97621_0 {
	meta:
		name = "TCustomWebBrowserCommandUpdater.RegisterCommands"
		size = 67
		refs = "002c TCustomWebBrowserCommandUpdater.RegisterCommand"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 4D FC 8B F8 8B 75 FC 46 4E 85 F6 7C 12 46 8B DA 8B 13 8B C7 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F1 8B 7D F0 8B 75 F4 8B 5D F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_97625_0 {
	meta:
		name = "TCustomWebBrowserCommandUpdater.UnRegisterCommands"
		size = 67
		refs = "002c TCustomWebBrowserCommandUpdater.UnRegisterCommand"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 85 DB 78 07 8B 34 9A 4B 56 79 F9 8B D4 89 4D FC 8B F8 8B 75 FC 46 4E 85 F6 7C 12 46 8B DA 8B 13 8B C7 E8 ?? ?? ?? ?? 83 C3 04 4E 75 F1 8B 7D F0 8B 75 F4 8B 5D F8 8B E5 5D C3 }
	condition:
		$1
}

rule function_97622_0 {
	meta:
		name = "TCustomWebBrowserCommandUpdater.SaveActionState"
		size = 34
	strings:
		$1 = { 55 8B EC 53 66 83 78 72 00 74 12 51 0F B6 4D 08 51 8B D8 8B CA 8B D0 8B 43 74 FF 53 70 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_97623_0 {
	meta:
		name = "TCustomWebBrowserCommandUpdater.SetWebBrowser"
		size = 40
		refs = "000b TCustomWebBrowserComponent.SetWebBrowser 0018 TWebBrowserEx.SetCommandUpdater 0021 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 F6 74 12 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97624_0 {
	meta:
		name = "TCustomWebBrowserCommandUpdater.UnRegisterCommand"
		size = 127
		refs = "0010 @DynArrayLength 006f TCommandStateArray 0074 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 33 F6 EB 01 46 8B 43 48 E8 ?? ?? ?? ?? 3B F0 7D 08 8B 43 48 3B 3C F0 75 EB 8B 43 48 E8 ?? ?? ?? ?? 3B F0 74 4F 8B C6 50 8B 43 48 E8 ?? ?? ?? ?? 8B D0 83 EA 02 58 2B D0 7C 1A 42 8B 4B 48 8B 73 48 8B 7C C6 08 89 3C C1 8B 7C C6 0C 89 7C C1 04 40 4A 75 E7 8B 43 48 E8 ?? ?? ?? ?? 48 50 8D 43 48 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97626_0 {
	meta:
		name = "TCustomWebBrowserCommandUpdater.UpdateCommands"
		size = 304
		refs = "0014 TCustomWebBrowserCommandUpdater.UpdateCommands 0034 TOleControl.GetIDispatchProp 0053 @DynArrayLength 0070 TCustomWebBrowserCommandUpdater.Find 0094 TWebBrowserEx.GetDocument2 00a0 @IntfClear 00ad Supports 00c3 CGID_MSHTML 00d4 TWebBrowserEx.DoUpdateCommands 0110 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 38 85 FF 0F 84 C0 00 00 00 8D 4D F4 BA CB 00 00 00 8B C7 E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 A7 00 00 00 8B 43 38 F6 40 1C 08 0F 85 9A 00 00 00 8B 43 48 E8 ?? ?? ?? ?? 85 C0 0F 84 8A 00 00 00 33 C0 89 45 F8 85 F6 74 10 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 60 85 F6 74 07 BF 01 00 00 00 EB 0A 8B 43 48 E8 ?? ?? ?? ?? 8B F8 8D 55 F0 8B 43 38 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 1B 6A 00 8B 43 48 8B 55 F8 8D 04 D0 50 57 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 0C 8B 43 38 E8 ?? ?? ?? ?? 66 83 7B 52 00 74 0A 8B CE 8B D3 8B 43 54 FF 53 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 00 00 00 CB BC 22 B7 68 4E 1B 10 A2 BC 00 AA 00 40 47 70 }
	condition:
		$1
}

rule function_97627_0 {
	meta:
		name = "TStreamLoadMoniker.BindToObject"
		size = 35
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 10 50 8B 00 FF 50 20 5D C2 14 00 }
	condition:
		$1
}

rule function_97628_0 {
	meta:
		name = "TStreamLoadMoniker.BindToStorage"
		size = 92
		refs = "000e IID_IStream 0018 IsEqualGUID 0028 _Dn_TStreamAdapter 002d TStreamAdapter.Create 0035 TStreamLoadMoniker.BindToStorage 003a Supports"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 BE ED 01 04 80 A1 ?? ?? ?? ?? 50 8B 45 14 50 E8 ?? ?? ?? ?? 84 C0 74 24 6A 00 8B 4B 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 02 33 F6 8B C6 5E 5B 5D C2 14 00 0C 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_97629_0 {
	meta:
		name = "TStreamLoadMoniker.CommonPrefixWith"
		size = 45
		refs = "0016 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 8B 45 10 E8 ?? ?? ?? ?? 50 8B 45 0C 50 8B 43 10 50 8B 00 FF 50 48 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_97630_0 {
	meta:
		name = "TStreamLoadMoniker.ComposeWith"
		size = 49
		refs = "0016 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 8B 45 14 E8 ?? ?? ?? ?? 50 8B 45 10 50 8B 45 0C 50 8B 43 10 50 8B 00 FF 50 2C 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_97631_0 {
	meta:
		name = "TStreamLoadMoniker.Create"
		size = 149
		refs = "000e @ClassCreate 001c @UStrAddRef 0024 TStreamLoadMoniker.Create 0038 @UStrAsg 0040 @IntfClear 0049 StringToOleStr 0051 CreateURLMoniker 0056 OleCheck 006b @UStrClr 0071 @HandleFinally 007e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 77 0C 8D 47 14 8B 55 08 E8 ?? ?? ?? ?? 8D 47 10 E8 ?? ?? ?? ?? 50 8B 47 14 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_97632_0 {
	meta:
		name = "TStreamLoadMoniker.Enum"
		size = 45
		refs = "0016 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 8B 45 10 E8 ?? ?? ?? ?? 50 8B 45 0C 50 8B 43 10 50 8B 00 FF 50 30 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_97633_0 {
	meta:
		name = "TStreamLoadMoniker.GetClassID"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 52 8B 40 10 50 8B 00 FF 50 0C 5D C2 08 00 }
	condition:
		$1
}

rule function_97634_0 {
	meta:
		name = "TStreamLoadMoniker.GetDisplayName"
		size = 31
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 10 50 8B 00 FF 50 50 5D C2 10 00 }
	condition:
		$1
}

rule function_97635_0 {
	meta:
		name = "TStreamLoadMoniker.GetSizeMax"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 52 8B 40 10 50 8B 00 FF 50 1C 5D C2 08 00 }
	condition:
		$1
}

rule function_97636_0 {
	meta:
		name = "TStreamLoadMoniker.GetTimeOfLastChange"
		size = 31
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 10 50 8B 00 FF 50 40 5D C2 10 00 }
	condition:
		$1
}

rule function_97637_0 {
	meta:
		name = "TStreamLoadMoniker.Hash"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 52 8B 40 10 50 8B 00 FF 50 38 5D C2 08 00 }
	condition:
		$1
}

rule function_97638_0 {
	meta:
		name = "TStreamLoadMoniker.Inverse"
		size = 41
		refs = "0016 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 0C E8 ?? ?? ?? ?? 50 8B 43 10 50 8B 00 FF 50 44 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_97639_0 {
	meta:
		name = "TStreamLoadMoniker.IsDirty"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 10 50 8B 00 FF 50 10 5D C2 04 00 }
	condition:
		$1
}

rule function_97640_0 {
	meta:
		name = "TStreamLoadMoniker.IsEqual"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 52 8B 40 10 50 8B 00 FF 50 34 5D C2 08 00 }
	condition:
		$1
}

rule function_97641_0 {
	meta:
		name = "TStreamLoadMoniker.IsRunning"
		size = 31
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 10 50 8B 00 FF 50 3C 5D C2 10 00 }
	condition:
		$1
}

rule function_97642_0 {
	meta:
		name = "TStreamLoadMoniker.IsSystemMoniker"
		size = 23
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 52 8B 40 10 50 8B 00 FF 50 58 5D C2 08 00 }
	condition:
		$1
}

rule function_97643_0 {
	meta:
		name = "TStreamLoadMoniker.Load"
		size = 20
		refs = "000c TStreamLoadMoniker.Load"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 52 50 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_97644_0 {
	meta:
		name = "TStreamLoadMoniker.ParseDisplayName"
		size = 57
		refs = "0016 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 1C 85 C0 74 04 33 D2 89 10 8B 45 1C E8 ?? ?? ?? ?? 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 43 10 50 8B 00 FF 50 54 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_97645_0 {
	meta:
		name = "TStreamLoadMoniker.Reduce"
		size = 53
		refs = "0016 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 18 85 C0 74 04 33 D2 89 10 8B 45 18 E8 ?? ?? ?? ?? 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 43 10 50 8B 00 FF 50 28 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_97646_0 {
	meta:
		name = "TStreamLoadMoniker.RelativePathTo"
		size = 45
		refs = "0016 @IntfClear"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 8B 45 10 E8 ?? ?? ?? ?? 50 8B 45 0C 50 8B 43 10 50 8B 00 FF 50 4C 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_97647_0 {
	meta:
		name = "TStreamLoadMoniker.Save"
		size = 27
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 10 52 8B 55 0C 52 8B 40 10 50 8B 00 FF 50 18 5D C2 0C 00 }
	condition:
		$1
}

rule function_97648_0 {
	meta:
		name = "TIFrameDocEventDispatch.DoInvoke"
		size = 200
		refs = "000c TIFrameDocEventDispatch.DoInvoke 002c @VarFromBool 0034 @IntfClear 0050 Supports 0071 @IntfCast 0081 @CheckAutoResult 0099 IHTMLEventObj 00a3 @FinalizeArray 00a9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BB 03 00 02 80 81 C2 59 02 00 00 83 EA 02 73 61 8B 45 10 33 D2 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8B 45 14 8B 00 03 C0 8B 55 18 8B 12 8B 44 C2 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8D 45 F8 8B 55 14 8B 12 03 D2 8B 4D 18 8B 09 8B 54 D1 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A FF 8B 45 F8 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5B 59 59 5D C2 1C 00 2D F3 50 30 B5 98 CF 11 BB 82 00 AA 00 BD CE 0B }
	condition:
		$1
}

rule function_97651_0 {
	meta:
		name = "WebBrowserEx"
		size = 17
		refs = "0002 _DV_31 000c OleInitialize"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 07 6A 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97658_0 {
	meta:
		name = "ModulePath"
		size = 99
		refs = "000d ModulePath 0018 GetModuleFileNameProc 0034 ExtractFilePath 003d @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 00 74 19 8B 35 ?? ?? ?? ?? 8B 36 8D 45 FC FF D6 8B D3 8B 45 FC E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97659_0 {
	meta:
		name = "DirExpandFileName"
		size = 844
		refs = "0022 DirExpandFileName 002f @UStrClr 004c ExtractFileDrive 006d @UStrLAsg 008f @UStrCopy 00a5 @UStrCatN 00df @UStrAsg 0143 @UStrCat 01f3 ExcludeTrailingPathDelimiter 01fe ExtractFilePath 0220 IncludeTrailingPathDelimiter 0238 LeadBytes 024e @UniqueStringU 0257 StrCharLength 02be @UStrLen 0300 @UStrCat3 031a @UStrArrayClr 032d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B C3 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 84 BE 02 00 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 75 55 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 66 83 3B 5C 75 0C 8D 45 FC 8B D3 E8 ?? ?? ?? ?? EB 75 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 8D 45 D8 50 8D 56 01 B9 FF FF FF 7F 8B 45 F4 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 53 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? EB 3D 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 8D 45 FC 50 8D 56 01 B9 FF FF FF 7F 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 75 0E 8B C7 8B D3 E8 ?? ?? ?? ?? E9 1C 02 00 00 BB 01 00 00 00 BE 01 00 00 00 C6 45 F3 00 E9 BF 01 00 00 8B 45 FC 0F B7 44 58 FE 66 83 E8 2E 74 49 66 83 E8 2E 0F 85 71 01 00 00 3B DE 0F 8E 6D 01 00 00 83 FB 01 74 0B 8B 45 FC 66 83 7C 58 FC 5C 74 1C 8D 45 D4 50 8B CB 2B CE 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8B C7 E8 ?? ?? ?? ?? 8B F3 C6 45 F3 01 E9 36 01 00 00 80 7D F3 00 0F 84 2C 01 00 00 8B 45 FC 89 45 EC 83 7D EC 00 74 0B 8B 45 EC 83 E8 04 8B 00 89 45 EC 3B 5D EC 0F 8D EF 00 00 00 8B 45 FC 66 83 3C 58 2E 75 3B 8B 45 FC 89 45 E8 83 7D E8 00 74 0B 8B 45 E8 83 E8 04 8B 00 89 45 E8 8D 43 01 3B 45 E8 7C 06 C6 45 E7 01 EB 0D 8B 45 FC 66 83 7C 58 02 2E 0F 95 45 E7 0F B6 45 E7 88 45 E6 EB 04 C6 45 E6 00 80 7D E6 00 74 45 8B 07 89 45 E0 8B 45 E0 89 45 DC 83 7D DC 00 74 0B 8B 45 DC 83 E8 04 8B 00 89 45 DC 83 7D DC 01 7E 1F 8D 55 CC 8B 07 E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 55 D0 8B C7 E8 ?? ?? ?? ?? 8B F3 EB 78 8B 45 FC 66 83 3C 58 5C 75 4B 8D 55 C8 8B 07 E8 ?? ?? ?? ?? 8B 55 C8 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 0F B7 44 58 FE 8B 15 ?? ?? ?? ?? 66 3D FF 00 77 06 0F B7 C0 0F A3 02 73 15 8D 45 FC E8 ?? ?? ?? ?? 8D 44 58 FE E8 ?? ?? ?? ?? 03 D8 EB 01 43 8D 73 01 EB 23 C6 45 F3 00 EB 1D 8D 55 C4 8B 07 E8 ?? ?? ?? ?? 8B 55 C4 8B C7 E8 ?? ?? ?? ?? 8D 73 01 EB 04 C6 45 F3 00 8B 45 FC 0F B7 44 58 FE 8B 15 ?? ?? ?? ?? 66 3D FF 00 77 06 0F B7 C0 0F A3 02 73 15 8D 45 FC E8 ?? ?? ?? ?? 8D 44 58 FE E8 ?? ?? ?? ?? 03 D8 EB 01 43 8B 45 FC E8 ?? ?? ?? ?? 3B D8 0F 8E 31 FE FF FF 8B C3 2B C6 48 7F 0B 8B 45 FC 66 83 7C 58 FE 5C 74 1C 8D 45 C0 50 8B CB 2B CE 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C0 8B C7 E8 ?? ?? ?? ?? 8B 0F 8B C7 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_97660_0 {
	meta:
		name = "QualifyFileName"
		size = 107
		refs = "000f QualifyFileName 001a DesignerFileManager 0039 ModulePath 0045 DirExpandFileName 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 83 38 00 74 12 8B CE A1 ?? ?? ?? ?? 8B 00 8B D3 8B 18 FF 53 0C EB 14 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B CE 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97661_0 {
	meta:
		name = "DesigningComponent"
		size = 50
		refs = "000d @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 EB 0D 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 83 7B 04 00 75 0F 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 85 C0 75 DE F6 43 1C 10 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_97666_0 {
	meta:
		name = "ValidateWebParent"
		size = 216
		refs = "0017 ValidateWebParent 002e sInvalidParent 0035 _Dn_EComponentError 003a Exception.CreateRes 003f @RaiseExcept 004a @CallDynaInst 0058 @IntfClear 006e Supports 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 85 DB 74 2C 3B FB 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 75 D4 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 2C 8B 07 89 C3 8B CB 8B 55 F8 8B 45 FC 8B 18 FF 53 0C 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 61 9F F5 13 85 EF D2 11 AF B1 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_97669_0 {
	meta:
		name = "TWebComponentList.Add"
		size = 132
		refs = "000f TWebComponentList.Add 001f TList.Add 0027 @IntfClear 003c Supports 004d TWebComponentList.Changed 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 8B D3 8B 45 FC 8B 08 FF 51 1C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 82 37 81 EB AE EE D2 11 AF B0 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_97670_0 {
	meta:
		name = "TWebComponentList.Changed"
		size = 41
		refs = "0006 TWebComponentList.NotifyLocked"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 15 C6 43 1C 00 66 83 7B 12 00 74 0E 8B D3 8B 43 14 FF 53 10 5B C3 C6 43 1C 01 5B C3 }
	condition:
		$1
}

rule function_97671_0 {
	meta:
		name = "TWebComponentList.Clear"
		size = 180
		refs = "000e TWebComponentList.Clear 001f TList.Last 0029 @IntfClear 003e Supports 0057 TObject.Free 0066 TList.Delete 007a TWebComponentList.Changed 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 EB 4E 8B C7 E8 ?? ?? ?? ?? 8B F0 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 1C 8D 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 43 08 8B 50 08 4A 8B 43 08 E8 ?? ?? ?? ?? 8B 7B 08 83 7F 08 00 7F A9 85 F6 74 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 82 37 81 EB AE EE D2 11 AF B0 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_97672_0 {
	meta:
		name = "TWebComponentList.Create"
		size = 75
		refs = "000b @ClassCreate 001a TObject.Create 0021 _Dn_TList 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 89 77 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97678_0 {
	meta:
		name = "TWebComponentList.Remove"
		size = 136
		refs = "000f TWebComponentList.Remove 0021 TList.RemoveItem 0029 @IntfClear 003e Supports 004f TWebComponentList.Changed 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 08 8B D6 33 C9 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 33 D2 8B 45 FC 8B 08 FF 51 1C 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 82 37 81 EB AE EE D2 11 AF B0 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_97679_0 {
	meta:
		name = "TWebComponentList.SetComponentIndex"
		size = 80
		refs = "0010 TList.IndexOf 0034 TList.Delete 0040 TList.Insert 0047 TWebComponentList.Changed"
	strings:
		$1 = { 53 56 57 55 8B F1 8B FA 8B D8 8B D7 8B 43 08 E8 ?? ?? ?? ?? 85 C0 7C 33 8B 6B 08 8B 55 08 85 F6 7D 02 33 F6 3B D6 7F 03 8B F2 4E 3B C6 74 1C 8B D0 8B C5 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 43 08 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97685_0 {
	meta:
		name = "TWebComponentList.NotifyLocked"
		size = 8
	strings:
		$1 = { 83 78 18 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_97686_0 {
	meta:
		name = "TWebComponentList.UnlockNotify"
		size = 21
		refs = "0010 TWebComponentList.Changed"
	strings:
		$1 = { FF 48 18 83 78 18 00 75 0B 80 78 1C 00 74 05 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97687_0 {
	meta:
		name = "TWebContentOptions.Create"
		size = 69
		refs = "000e @ClassCreate 001e TObject.Create 0030 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 45 FF 88 46 04 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97688_0 {
	meta:
		name = "TLayoutWebContent.LayoutButton"
		size = 36
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 08 50 8B 4D FC 8B D6 8B C3 8B 18 FF 53 04 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_97690_0 {
	meta:
		name = "TLayoutWebContent.LayoutLabelAndField"
		size = 40
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 0C 50 8B 45 08 50 8B 4D FC 8B D6 8B C3 8B 18 FF 53 0C 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_97695_0 {
	meta:
		name = "TLayoutWebContent.LayoutTable"
		size = 36
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 08 50 8B 4D FC 8B D6 8B C3 8B 18 FF 53 10 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_97697_0 {
	meta:
		name = "TWebComponentsEditorHelper.CanAddClassHelper"
		size = 18
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 18 FF 53 04 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_97702_0 {
	meta:
		name = "TWebContainerComponentHelper.Create"
		size = 108
		refs = "000e @ClassCreate 001d TObject.Create 0042 _DV_TWebComponentList 0047 TWebComponentList.Create 0055 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 8B 45 10 89 47 10 8B 45 14 89 47 14 8B 45 08 89 47 18 8B 45 0C 89 47 1C 8B 4F 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_97704_0 {
	meta:
		name = "TWebContainerComponentHelper.GetChildren"
		size = 76
		refs = "0015 TWebComponentList.GetCount 002c TWebComponentList.GetComponent"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 F8 89 45 FC 8B 45 FC 8B 40 08 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 24 43 33 F6 8B 45 FC 8B 40 08 8B D6 E8 ?? ?? ?? ?? 8B 50 04 3B 55 F8 75 08 8B D0 8B 45 0C FF 55 08 46 4B 75 DF 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_97707_0 {
	meta:
		name = "TWebContainerComponentHelper.GetDefaultWebComponents"
		size = 34
	strings:
		$1 = { 53 51 66 83 78 12 00 74 0E 8B CC 8B D8 8B D0 8B 43 14 FF 53 10 EB 05 33 C0 89 04 24 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_97708_0 {
	meta:
		name = "TWebContainerComponentHelper.SetChildOrder"
		size = 136
		refs = "0012 TWebContainerComponentHelper.SetChildOrder 0022 TWebComponentList.IndexOf 002e @IntfClear 0043 Supports 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 43 08 E8 ?? ?? ?? ?? 85 C0 7C 2B 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0A 8B D7 8B 45 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 82 37 81 EB AE EE D2 11 AF B0 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_97709_0 {
	meta:
		name = "TWebContainerComponentHelper.SetDefaultWebComponents"
		size = 22
	strings:
		$1 = { 53 66 83 78 1A 00 74 0C 8B D8 8B CA 8B D0 8B 43 1C FF 53 18 5B C3 }
	condition:
		$1
}

rule function_97710_0 {
	meta:
		name = "TWebContainerComponent.Create"
		size = 82
		refs = "000a @ClassCreate 0017 TComponent.Create 001d TWebContainerComponent.OnGetDefaultComponentList 0023 TWebContainerComponent.OnSetDefaultComponentList 002c _DV_TWebContainerComponentHelper 0031 TWebContainerComponentHelper.Create 003f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_97714_0 {
	meta:
		name = "TWebContainerComponent.OnGetDefaultComponentList"
		size = 18
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 8B 10 FF 52 44 89 06 5E 5B C3 }
	condition:
		$1
}

rule function_97718_0 {
	meta:
		name = "TWebContainerComponent.OnSetDefaultComponentList"
		size = 8
	strings:
		$1 = { 8B D1 8B 08 FF 51 48 C3 }
	condition:
		$1
}

rule function_97720_0 {
	meta:
		name = "TWebContainedComponentHelper.GetIndex"
		size = 12
		refs = "0007 TWebComponentList.IndexOf"
	strings:
		$1 = { 8B 50 04 8B 40 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97721_0 {
	meta:
		name = "TWebContainedComponentHelper.SetContainer"
		size = 32
		refs = "000a _DV_TWebComponentList 000f @AsClass 0019 TWebContainedComponentHelper.SetWebParent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 04 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97722_0 {
	meta:
		name = "TWebContainedComponentHelper.SetIndex"
		size = 15
		refs = "000a TWebComponentList.SetComponentIndex"
	strings:
		$1 = { 8B CA 8B 50 0C 8B 40 04 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97723_0 {
	meta:
		name = "TWebContainedComponentHelper.SetWebParent"
		size = 416
		refs = "0019 TWebContainedComponentHelper.SetWebParent 0033 DesigningComponent 0050 ValidateWebParent 005f @IntfClear 0074 Supports 007b TWebContainedComponentHelper.IsDefaultField 008d _DV_TWebComponentList 0092 @AsClass 009a TWebComponentList.Remove 00ec TObject.ClassName 0102 sInvalidWebParent 0109 _Dn_Exception 010e Exception.CreateResFmt 0113 @RaiseExcept 0139 TWebComponentList.Add 0174 @UStrClr 0182 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 10 0F 84 37 01 00 00 85 F6 74 09 8B C6 E8 ?? ?? ?? ?? EB 08 8B 43 04 E8 ?? ?? ?? ?? 85 F6 0F 95 C2 84 C2 74 0A 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B 7B 10 85 FF 74 60 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 45 FC 8B 10 FF 52 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 04 E8 ?? ?? ?? ?? EB 1B 8B 45 FC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 04 E8 ?? ?? ?? ?? 85 F6 0F 84 97 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 83 7D FC 00 75 31 8D 55 F0 8B 06 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1D 8B 45 FC 8B 10 FF 52 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 04 E8 ?? ?? ?? ?? EB 1B 8B 45 FC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 04 E8 ?? ?? ?? ?? 89 73 10 8B C3 8B 10 FF 12 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 F2 B0 DE 5C F9 EE D2 11 AF B1 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_97724_0 {
	meta:
		name = "TWebContainedComponentHelper.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 0016 TWebComponentList.Remove 0021 TObject.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C 85 C0 74 08 8B 56 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97726_0 {
	meta:
		name = "TWebContainedComponentHelper.GetContainer"
		size = 144
		refs = "000c TWebContainedComponentHelper.GetContainer 001a @IntfClear 0030 Supports 003b TWebContainedComponentHelper.IsDefaultField 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 10 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 23 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 10 8B D8 EB 0E 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 F2 B0 DE 5C F9 EE D2 11 AF B1 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_97728_0 {
	meta:
		name = "TWebContainedComponentHelper.Create"
		size = 93
		refs = "000e @ClassCreate 001e TObject.Create 0046 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 89 43 04 83 78 04 00 0F 94 C0 88 43 08 8B 45 08 89 43 18 8B 45 0C 89 43 1C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_97730_0 {
	meta:
		name = "TWebContainedComponent.GetParentComponent"
		size = 19
		refs = "000e TComponent.GetParentComponent"
	strings:
		$1 = { 8B 50 38 8B 52 10 85 D2 74 03 8B C2 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97731_0 {
	meta:
		name = "TWebContainedComponent.HasParent"
		size = 18
		refs = "000d TComponent.HasParent"
	strings:
		$1 = { 8B 50 38 83 7A 10 00 74 03 B0 01 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97732_0 {
	meta:
		name = "TWebContainedComponent.ReadState"
		size = 29
		refs = "000b TComponent.ReadState 0016 TWebContainedComponentHelper.SetWebParent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 56 2C 8B 43 38 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97733_0 {
	meta:
		name = "TWebContainedComponent.SetParentComponent"
		size = 15
		refs = "000a TWebContainedComponentHelper.SetWebParent"
	strings:
		$1 = { F6 40 1C 01 75 08 8B 40 38 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97736_0 {
	meta:
		name = "TWebContainedComponent.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TComponent.Create 001d TWebContainedComponent.OnParentChanged 0026 _DV_TWebContainedComponentHelper 002b TWebContainedComponentHelper.Create 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_97740_0 {
	meta:
		name = "TWebContainedComponent.GetContainerList"
		size = 7
	strings:
		$1 = { 8B 40 38 8B 40 0C C3 }
	condition:
		$1
}

rule function_97741_0 {
	meta:
		name = "TWebContainedComponent.GetWebParent"
		size = 7
	strings:
		$1 = { 8B 40 38 8B 40 10 C3 }
	condition:
		$1
}

rule function_97742_0 {
	meta:
		name = "TWebContainedContainerComponent.Create"
		size = 105
		refs = "000a @ClassCreate 0017 TComponent.Create 001d TWebContainedContainerComponent.OnGetDefaultComponentList 0023 TWebContainedContainerComponent.OnSetDefaultComponentList 002c _DV_TWebContainerComponentHelper 0031 TWebContainerComponentHelper.Create 003a TWebContainedContainerComponent.OnParentChanged 0043 _DV_TWebContainedComponentHelper 0048 TWebContainedComponentHelper.Create 0056 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 56 68 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_97743_0 {
	meta:
		name = "TWebContainedContainerComponent.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TComponent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 38 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97745_0 {
	meta:
		name = "TWebContainedContainerComponent.OnGetDefaultComponentList"
		size = 18
	strings:
		$1 = { 53 56 8B F1 8B D8 8B C3 8B 10 FF 52 4C 89 06 5E 5B C3 }
	condition:
		$1
}

rule function_97749_0 {
	meta:
		name = "TWebContainedContainerComponent.GetParentComponent"
		size = 19
		refs = "000e TComponent.GetParentComponent"
	strings:
		$1 = { 8B 50 3C 8B 52 10 85 D2 74 03 8B C2 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97750_0 {
	meta:
		name = "TWebContainedContainerComponent.HasParent"
		size = 18
		refs = "000d TComponent.HasParent"
	strings:
		$1 = { 8B 50 3C 83 7A 10 00 74 03 B0 01 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97751_0 {
	meta:
		name = "TWebContainedContainerComponent.ReadState"
		size = 29
		refs = "000b TComponent.ReadState 0016 TWebContainedComponentHelper.SetWebParent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 56 2C 8B 43 3C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97752_0 {
	meta:
		name = "TWebContainedContainerComponent.SetParentComponent"
		size = 15
		refs = "000a TWebContainedComponentHelper.SetWebParent"
	strings:
		$1 = { F6 40 1C 01 75 08 8B 40 3C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97754_0 {
	meta:
		name = "TWebContainedContainerComponent.OnSetDefaultComponentList"
		size = 8
	strings:
		$1 = { 8B D1 8B 08 FF 51 50 C3 }
	condition:
		$1
}

rule function_97760_0 {
	meta:
		name = "TWebContainedContainerComponent.GetWebParent"
		size = 7
	strings:
		$1 = { 8B 40 3C 8B 40 10 C3 }
	condition:
		$1
}

rule function_97770_0 {
	meta:
		name = "TAbstractNamedVariants.Add"
		size = 38
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B D8 8B C3 8B 10 FF 52 14 8B F0 55 8B CF 8B D6 8B C3 8B 18 FF 53 3C 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97771_0 {
	meta:
		name = "TAbstractNamedVariants.Append"
		size = 14
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 18 FF 53 28 5E 5B C3 }
	condition:
		$1
}

rule function_97772_0 {
	meta:
		name = "TAbstractNamedVariants.AddNamedVariants"
		size = 196
		refs = "001a TAbstractNamedVariants.AddNamedVariants 0028 TAbstractNamedVariants.BeginUpdate 0050 @VarClr 0059 @UStrClr 008c TAbstractNamedVariants.EndUpdate 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 89 55 E0 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 8B 10 FF 52 14 8B D8 4B 85 DB 7C 32 43 33 F6 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8B D6 8B 45 E0 8B 38 FF 57 0C 8D 4D E8 8B 55 FC 8B 45 E4 8B 38 FF 57 28 46 4B 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97773_0 {
	meta:
		name = "TAbstractNamedVariants.Assign"
		size = 110
		refs = "000e _DV_TAbstractNamedVariants 0013 @IsClass 001f TAbstractNamedVariants.BeginUpdate 0027 TAbstractNamedVariants.Assign 003f TAbstractNamedVariants.AddNamedVariants 0054 TAbstractNamedVariants.EndUpdate 005a @HandleFinally 0066 TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 45 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 2C 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_97774_0 {
	meta:
		name = "TAbstractNamedVariants.BeginUpdate"
		size = 23
	strings:
		$1 = { 53 8B D8 83 7B 04 00 75 09 B2 01 8B C3 8B 08 FF 51 20 FF 43 04 5B C3 }
	condition:
		$1
}

rule function_97777_0 {
	meta:
		name = "TAbstractNamedVariants.DefineProperties"
		size = 100
		refs = "0012 TAbstractNamedVariants.ReadData 001b TAbstractNamedVariants.WriteData 0021 DoWrite 0029 TAbstractNamedVariants.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4E 00 61 00 6D 00 65 00 64 00 56 00 61 00 72 00 69 00 61 00 6E 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_97779_0 {
	meta:
		name = "TAbstractNamedVariants.EndUpdate"
		size = 17
	strings:
		$1 = { FF 48 04 83 78 04 00 75 07 33 D2 8B 08 FF 51 20 C3 }
	condition:
		$1
}

rule function_97780_0 {
	meta:
		name = "TAbstractNamedVariants.Equals"
		size = 224
		refs = "001b TAbstractNamedVariants.Equals 0050 TAbstractNamedVariants.GetName 006a @UStrEqual 0078 TAbstractNamedVariants.GetVariant 0092 @VarCmpNE 00b2 Variant 00bc @FinalizeArray 00c9 @UStrArrayClr 00cf @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B C6 8B 10 FF 52 14 8B D8 8B 45 FC 8B 10 FF 52 14 3B D8 75 62 8B FB 4F 85 FF 7C 57 47 33 DB 8D 4D F4 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 4D F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 58 E8 ?? ?? ?? ?? 75 30 8D 4D E0 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 45 E0 50 8D 4D D0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 55 D0 58 E8 ?? ?? ?? ?? 75 08 43 4F 75 AC C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97781_0 {
	meta:
		name = "TAbstractNamedVariants.Error"
		size = 44
		refs = "0019 _DV_ENamedVariantsError 001e Exception.CreateFmt 0023 @RaiseExcept"
	strings:
		$1 = { 53 56 83 C4 F8 8B F1 8B DA 89 34 24 C6 44 24 04 00 54 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_97782_0 {
	meta:
		name = "TAbstractNamedVariants.Exchange"
		size = 244
		refs = "0022 TAbstractNamedVariants.Exchange 0030 TAbstractNamedVariants.BeginUpdate 0046 @VarClr 004f @UStrClr 0068 TAbstractNamedVariants.GetVariant 0079 TAbstractNamedVariants.GetName 00ac TAbstractNamedVariants.EndUpdate 00b2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 8B F2 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8B D6 8B 45 E4 8B 38 FF 57 0C 8D 4D D4 8B D3 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 D4 50 8D 4D D0 8B D3 8B 45 E4 E8 ?? ?? ?? ?? 8B 4D D0 8B D6 8B 45 E4 8B 30 FF 56 18 8D 45 E8 50 8B 4D FC 8B D3 8B 45 E4 8B 18 FF 53 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97784_0 {
	meta:
		name = "TAbstractNamedVariants.GetValue"
		size = 116
		refs = "0018 TAbstractNamedVariants.GetValue 0038 TAbstractNamedVariants.GetVariant 0042 @VarClear 004c @VarCopy 0061 @VarClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 8B 08 FF 51 38 8B F0 85 F6 7C 0D 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? EB 12 8D 45 F0 E8 ?? ?? ?? ?? 8B C7 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97785_0 {
	meta:
		name = "TAbstractNamedVariants.IndexOfName"
		size = 137
		refs = "0017 TAbstractNamedVariants.IndexOfName 0040 TAbstractNamedVariants.GetName 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 14 8B F0 4E 85 F6 7C 2C 46 C7 45 F8 00 00 00 00 8D 4D F4 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D FC 8B C3 8B 38 FF 57 24 85 C0 74 0D FF 45 F8 4E 75 DC C7 45 F8 FF FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97786_0 {
	meta:
		name = "TAbstractNamedVariants.Move"
		size = 196
		refs = "001f TAbstractNamedVariants.Move 0031 TAbstractNamedVariants.BeginUpdate 0047 @VarClr 0050 @UStrClr 008c TAbstractNamedVariants.EndUpdate 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B F3 74 6B 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 E4 8B 38 FF 57 0C 8B D3 8B 45 E4 8B 08 FF 51 30 8D 45 E8 50 8B 4D FC 8B D6 8B 45 E4 8B 18 FF 53 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97787_0 {
	meta:
		name = "TAbstractNamedVariants.ReadData"
		size = 205
		refs = "0018 TAbstractNamedVariants.ReadData 0028 TReader.CheckValue 0030 TAbstractNamedVariants.BeginUpdate 0053 TReader.ReadString 005e TReader.ReadVariant 0074 TReader.EndOfList 008d TAbstractNamedVariants.EndUpdate 0093 @HandleFinally 00b4 @VarClr 00bc @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 89 55 E0 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 8B 10 FF 52 2C EB 24 8D 55 FC 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 E0 E8 ?? ?? ?? ?? 8D 4D E8 8B 55 FC 8B 45 E4 8B 18 FF 53 28 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 74 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 D2 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97790_0 {
	meta:
		name = "TAbstractNamedVariants.SetValue"
		size = 50
		refs = "002a TAbstractNamedVariants.PutVariant"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 38 85 C0 7D 0D 8B CF 8B D6 8B C3 8B 18 FF 53 28 EB 0B 8B CF 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97791_0 {
	meta:
		name = "TAbstractNamedVariants.WriteData"
		size = 162
		refs = "0016 TAbstractNamedVariants.WriteData 0025 TWriter.WriteValue 0043 TAbstractNamedVariants.GetName 004d TWriter.WriteString 0059 TAbstractNamedVariants.GetVariant 0063 TWriter.WriteVariant 0087 @VarClr 008f @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B C7 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 14 48 85 C0 7C 38 40 89 45 FC 33 DB 8D 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8D 4D E8 8B D3 8B C6 E8 ?? ?? ?? ?? 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 43 FF 4D FC 75 CE 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97792_0 {
	meta:
		name = "TAbstractNamedVariants.GetName"
		size = 97
		refs = "0018 TAbstractNamedVariants.GetName 0026 @VarClr 002e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 50 8B C7 E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97793_0 {
	meta:
		name = "TAbstractNamedVariants.GetVariant"
		size = 90
		refs = "0012 TAbstractNamedVariants.GetVariant 001f @VarClr 0028 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97794_0 {
	meta:
		name = "TAbstractNamedVariants.PutVariant"
		size = 88
		refs = "0012 TAbstractNamedVariants.PutVariant 0025 TAbstractNamedVariants.GetName 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 8B 18 FF 53 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97795_0 {
	meta:
		name = "TNamedVariantsList.Destroy"
		size = 73
		refs = "0003 @BeforeDestruction 0012 TAbstractNamedVariants.Destroy 0024 TNamedVariantItem 0029 @FinalizeArray 0042 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 0C 85 C0 74 10 8B C8 8B 46 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 46 0C 33 D2 8B C6 8B 08 FF 51 1C 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97796_0 {
	meta:
		name = "TNamedVariantsList.Clear"
		size = 42
		refs = "0010 TNamedVariantItem 0016 @FinalizeArray"
	strings:
		$1 = { 53 8B D8 8B 43 0C 85 C0 74 1E 8B 53 08 8B C8 A1 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? 33 C0 89 43 0C 33 D2 8B C3 8B 08 FF 51 1C 5B C3 }
	condition:
		$1
}

rule function_97797_0 {
	meta:
		name = "TNamedVariantsList.Delete"
		size = 160
		refs = "0010 TNamedVariantsList.Delete 0027 SListIndexError 002c LoadResString 0038 TAbstractNamedVariants.Error 0047 TNamedVariantItem 004c @Finalize 0079 Move 008e @UStrClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 0C 7C 19 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B CE 8B C3 E8 ?? ?? ?? ?? 8D 3C 76 8B 43 08 8D 04 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 4B 0C 8B 43 0C 3B F0 7D 23 8B 53 08 8D 14 FA 52 8B 53 08 8D 54 FA 18 2B C6 8B C8 03 C9 03 C9 03 C9 8D 0C 49 8B C2 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97798_0 {
	meta:
		name = "TNamedVariantsList.Get"
		size = 181
		refs = "003b TNamedVariantsList.Get 0056 SListIndexError 005b LoadResString 0067 TAbstractNamedVariants.Error 0078 @UStrAsg 0087 @VarCopy 009c @UStrClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D FC 8B F2 8B D8 8B 45 FC 85 C0 74 04 33 D2 89 10 8B 45 08 8B 55 08 85 D2 74 0D 33 C9 89 4A 0C 89 4A 08 89 4A 04 89 0A 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 85 F6 7C 05 3B 73 0C 7C 19 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B CE 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8D 3C 76 8B 53 08 8B 14 FA E8 ?? ?? ?? ?? 8B 45 08 8B 53 08 8D 54 FA 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_97801_0 {
	meta:
		name = "TNamedVariantsList.Grow"
		size = 49
	strings:
		$1 = { 8B 50 10 83 FA 40 7E 0E 8B CA 85 C9 79 03 83 C1 03 C1 F9 02 EB 11 83 FA 08 7E 07 B9 10 00 00 00 EB 05 B9 04 00 00 00 03 CA 8B D1 8B 08 FF 51 1C C3 }
	condition:
		$1
}

rule function_97802_0 {
	meta:
		name = "TNamedVariantsList.Insert"
		size = 219
		refs = "0018 TNamedVariantsList.Insert 002f SListIndexError 0034 LoadResString 0040 TAbstractNamedVariants.Error 004f TNamedVariantsList.Grow 007c Move 009a @FillChar 00a5 @VarCopy 00af @UStrAsg 00c7 @UStrClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 0C 7E 19 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B CE 8B C3 E8 ?? ?? ?? ?? 8B 43 0C 3B 43 10 75 07 8B C3 E8 ?? ?? ?? ?? 8B 53 0C 3B F2 7D 26 8D 04 76 8B 4B 08 8D 0C C1 51 8B 4B 08 8D 44 C1 18 2B D6 8B CA 03 C9 03 C9 03 C9 8D 0C 49 8B D0 58 E8 ?? ?? ?? ?? 8D 04 76 8B 53 08 8D 04 C2 8B F0 33 C0 89 06 8D 46 08 33 C9 BA 10 00 00 00 E8 ?? ?? ?? ?? 8D 46 08 8B 55 08 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? FF 43 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_97803_0 {
	meta:
		name = "TNamedVariantsList.Put"
		size = 139
		refs = "0019 TNamedVariantsList.Put 0030 SListIndexError 0035 LoadResString 0041 TAbstractNamedVariants.Error 0052 @UStrAsg 0061 @VarCopy 0076 @UStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 0C 7C 19 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B CE 8B C3 E8 ?? ?? ?? ?? 8D 3C 76 8B 43 08 8D 04 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 43 08 8D 44 F8 08 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_97804_0 {
	meta:
		name = "TNamedVariantsList.SetCapacity"
		size = 31
		refs = "0015 @ReallocMem"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 03 D2 03 D2 03 D2 8D 14 52 8D 43 08 E8 ?? ?? ?? ?? 89 73 10 5E 5B C3 }
	condition:
		$1
}

rule function_97807_0 {
	meta:
		name = "SafeRedirect"
		size = 352
		refs = "0015 SafeRedirect 0035 Format 003f TWebResponse.SetUnicodeContent 0054 @UStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 75 00 00 00 3C 00 68 00 74 00 6D 00 6C 00 3E 00 0D 00 0A 00 3C 00 68 00 65 00 61 00 64 00 3E 00 0D 00 0A 00 3C 00 74 00 69 00 74 00 6C 00 65 00 3E 00 3C 00 2F 00 74 00 69 00 74 00 6C 00 65 00 3E 00 0D 00 0A 00 3C 00 4D 00 45 00 54 00 41 00 20 00 48 00 54 00 54 00 50 00 2D 00 45 00 51 00 55 00 49 00 56 00 3D 00 22 00 52 00 65 00 66 00 72 00 65 00 73 00 68 00 22 00 20 00 43 00 4F 00 4E 00 54 00 45 00 4E 00 54 00 3D 00 22 00 30 00 3B 00 20 00 55 00 52 00 4C 00 3D 00 25 00 30 00 3A 00 73 00 22 00 3E 00 0D 00 0A 00 3C 00 2F 00 68 00 65 00 61 00 64 00 3E 00 0D 00 0A 00 3C 00 62 00 6F 00 64 00 79 00 3E 00 0D 00 0A 00 3C 00 2F 00 42 00 4F 00 44 00 59 00 3E 00 0D 00 0A 00 3C 00 2F 00 48 00 54 00 4D 00 4C 00 3E 00 00 00 }
	condition:
		$1
}

rule function_97809_0 {
	meta:
		name = "RegisterAdapterRequestIdentifier"
		size = 59
		refs = "0005 RegisteredRequestIdentifiers 000f _Dn_TStringList 0014 TStringList.Create"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 54 85 C0 7D 0C 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 38 5B C3 }
	condition:
		$1
}

rule function_97815_0 {
	meta:
		name = "RaiseAdapterRequestNotHandled"
		size = 169
		refs = "0018 @IntfAddRef 0020 RaiseAdapterRequestNotHandled 005e sAdapterRequestNotHandled 0063 LoadResString 006d _DV_EAdapterDispatcherException 0072 Exception.CreateFmt 0077 @RaiseExcept 0091 @UStrArrayClr 0099 @IntfClear 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 33 D2 89 55 E8 89 55 E4 89 55 E0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 FC 8B 08 FF 51 0C 8B 45 E8 89 45 EC C6 45 F0 11 8D 55 E4 8B 45 FC 8B 08 FF 51 10 8B 45 E4 89 45 F4 C6 45 F8 11 8D 45 EC 50 6A 01 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B E5 5D C3 }
	condition:
		$1
}

rule function_97816_0 {
	meta:
		name = "GetAdapterRequestHTTPPath"
		size = 106
		refs = "000c GetAdapterRequestHTTPPath 0017 WebContext 003c @UStrFromLStr 0045 @UStrClr 005a @LStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 04 85 C0 74 1E E8 ?? ?? ?? ?? 8B 10 FF 52 04 8D 55 FC 8B 08 FF 51 18 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_97817_0 {
	meta:
		name = "EncodeParamsAsHTTPQuery"
		size = 388
		refs = "001b EncodeParamsAsHTTPQuery 0049 @UStrCat 005a TStrings.GetName 006a @LStrFromUStr 0075 HTTPEncode 0097 ExtractStringValue 00ce Format 00f0 @UStrCat3 010a @UStrArrayClr 0117 @LStrArrayClr 011f @UStrClr 013a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 48 85 C0 0F 8C B0 00 00 00 40 89 45 F8 33 F6 83 3B 00 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8D 4D D8 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8D 45 DC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 0B 8D 4D C8 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 45 C8 8D 55 CC E8 ?? ?? ?? ?? 8B 55 CC 8D 45 D0 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 D0 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 89 45 EC C6 45 F0 0B 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 46 FF 4D F8 0F 85 56 FF FF FF 8B 0B 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C1 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3D 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 3F 00 00 00 00 00 }
	condition:
		$1
}

rule function_97818_0 {
	meta:
		name = "LocalHTTPEnc"
		size = 204
		refs = "0022 @LStrSetLength 0029 @LStrToPChar 0049 LocalHTTPEnc 007f FormatBuf"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B EA 8B D8 89 1C 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8D 14 40 8B C5 33 C9 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 8B 45 00 E8 ?? ?? ?? ?? 8B F8 EB 4D 8B C3 04 E0 3C 5F 77 0A 83 E0 7F 0F A3 05 ?? ?? ?? ?? 73 04 88 1F EB 33 80 FB 20 75 05 C6 07 2B EB 29 6A 06 0F B6 C3 89 44 24 08 C6 44 24 0C 00 8D 44 24 08 50 6A 00 B9 ?? ?? ?? ?? 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 83 C7 02 47 46 0F B6 1E 84 DB 75 AC 8B 45 00 E8 ?? ?? ?? ?? 8B D7 2B D0 8B C5 33 C9 E8 ?? ?? ?? ?? 83 C4 0C 5D 5F 5E 5B C3 12 67 FF 03 FF FF FF 87 FE FF FF 07 E4 04 01 00 FF FF FF FF 06 00 00 00 25 25 25 2E 32 78 00 00 }
	condition:
		$1
}

rule function_97819_0 {
	meta:
		name = "AddNameValue"
		size = 196
		refs = "0016 @LStrAddRef 001e AddNameValue 005e Format 006c @UStrCat 0087 @UStrClr 008f @LStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D F8 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 89 75 E0 C6 45 E4 11 89 5D E8 C6 45 EC 00 8B 45 FC 89 45 F0 C6 45 F4 0B 8D 55 E0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 25 00 73 00 2E 00 25 00 64 00 2E 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_97820_0 {
	meta:
		name = "EncodeParamNameValues"
		size = 198
		refs = "0019 EncodeParamNameValues 0027 @UStrClr 0052 ExtractStringValue 0062 @LStrFromUStr 006d LocalHTTPEnc 007e TStrings.GetName 0087 AddNameValue 00a6 @UStrArrayClr 00b3 @LStrArrayClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 14 8B F0 4E 85 F6 7C 56 46 33 DB 55 8D 4D E8 8B D3 8B 45 F8 8B 38 FF 57 0C 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 4D E4 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 5A E8 ?? ?? ?? ?? 59 43 4E 75 AD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97821_0 {
	meta:
		name = "ExtractParamNameValues"
		size = 412
		refs = "001b ExtractParamNameValues 002b @UStrLAsg 0038 Pos 0056 @UStrCopy 0065 @UStrDelete 0098 StrToInt 00cc @LStrFromUStr 00d7 HTTPDecode 00e2 @UStrFromLStr 011b Format 0145 @UStrArrayClr 0152 @LStrArrayClr 0165 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 E9 00 00 00 8D 45 F0 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 AF 00 00 00 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 50 8B CE BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC 8B CE BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 F0 89 45 CC C6 45 D0 11 8B 45 F4 89 45 D4 C6 45 D8 11 8D 55 CC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 EC 8B 08 FF 51 38 E9 00 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3D 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_97822_0 {
	meta:
		name = "PageNameOfRequest"
		size = 196
		refs = "0014 PageNameOfRequest 0021 @UStrClr 0026 WebContext 0037 @IntfClear 004c Supports 008f IPageDispatcher 0099 @FinalizeArray 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 3C 8B D8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 29 8D 55 F4 8B 45 FC 8B 08 FF 51 10 83 7D F4 00 74 18 8D 55 F0 8B 45 FC 8B 08 FF 51 10 8B 45 F0 8B CE 8B 55 F8 8B 18 FF 53 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 00 0D 2F CD 19 8F E6 6F 4A 92 AA 4C 76 59 E8 37 08 }
	condition:
		$1
}

rule function_97823_0 {
	meta:
		name = "DispatchPageName"
		size = 368
		refs = "001f DispatchPageName 002a WebContext 003b @IntfClear 0050 Supports 009b RaiseDispatchBlankPageNameException 00e9 RaisePageDoesNotProvideContent 0101 RaisePageNotFound 0119 IPageDispatcher 0123 @FinalizeArray 0139 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 88 4D F3 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 3C 8B D8 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 32 8D 55 E8 8B 45 F8 8B 08 FF 51 10 83 7D E8 00 74 21 0F B6 45 F3 50 8D 55 E4 8B 45 F8 8B 08 FF 51 10 8B 45 E4 8B 4D F4 8B D6 8B 18 FF 53 14 8B D8 EB 7D E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 38 85 F6 75 05 E8 ?? ?? ?? ?? F6 45 F3 01 74 09 0F B6 1D ?? ?? ?? ?? EB 07 0F B6 1D ?? ?? ?? ?? 8D 45 EC 50 E8 ?? ?? ?? ?? 8B CB 8B D6 8B 18 FF 53 48 84 C0 74 33 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 8B 4D F4 8B D6 8B 45 FC 8B 18 FF 53 0C 8B D8 EB 09 8B C6 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B C3 5E 5B 8B E5 5D C3 00 0D 2F CD 19 8F E6 6F 4A 92 AA 4C 76 59 E8 37 08 01 00 00 00 00 00 00 00 61 1F 8D 60 23 F2 74 45 89 F7 F2 9A 73 37 2F FC }
	condition:
		$1
}

rule function_97824_0 {
	meta:
		name = "RedirectToPageName"
		size = 380
		refs = "0023 RedirectToPageName 002e WebContext 003f @IntfClear 0054 Supports 00a2 RaiseDispatchBlankPageNameException 00ef RaisePageDoesNotSupportRedirect 010b RaisePageNotFound 0123 IPageDispatcher 012d @FinalizeArray 0143 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F0 89 55 F4 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 3C 8B F8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 35 8D 55 E8 8B 45 FC 8B 08 FF 51 10 83 7D E8 00 74 24 8B 45 F0 50 53 8D 55 E4 8B 45 FC 8B 08 FF 51 10 8B 45 E4 8B 4D F4 8B D6 8B 18 FF 53 18 8B D8 E9 80 00 00 00 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 38 85 F6 75 05 E8 ?? ?? ?? ?? F6 C3 01 74 09 0F B6 1D ?? ?? ?? ?? EB 07 0F B6 1D ?? ?? ?? ?? 8D 45 EC 50 E8 ?? ?? ?? ?? 8B CB 8B D6 8B 18 FF 53 48 84 C0 74 37 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 4D F4 8B D6 8B 45 F8 8B 18 FF 53 14 8B D8 EB 09 8B C6 E8 ?? ?? ?? ?? B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B C3 5F 5E 5B 8B E5 5D C2 04 00 0D 2F CD 19 8F E6 6F 4A 92 AA 4C 76 59 E8 37 08 01 00 00 00 00 00 00 00 61 1F 8D 60 23 F2 74 45 89 F7 F2 9A 73 37 2F FC }
	condition:
		$1
}

rule function_97825_0 {
	meta:
		name = "TCustomPageDispatcher.EndUser"
		size = 168
		refs = "0012 TCustomPageDispatcher.EndUser 002d @IntfClear 0042 Supports 005c @IntfCopy 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 50 00 75 3E 8B 73 38 85 F6 74 37 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 16 8D 55 F8 8B 45 FC 8B 08 FF 51 1C 8B 55 F8 8D 43 50 E8 ?? ?? ?? ?? 8B C7 8B 53 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 00 0D 2F CD 19 8F E6 6F 4A 92 AA 4C 76 59 E8 37 08 }
	condition:
		$1
}

rule function_97826_0 {
	meta:
		name = "TCustomAdapterDispatcher.AddSpecialParams"
		size = 524
		refs = "0025 @IntfAddRef 0035 TCustomAdapterDispatcher.AddSpecialParams 0043 @IntfClear 0052 Supports 007b @UStrEqual 00af Format 0168 @UStrArrayClr 0193 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 DB 89 5D D0 89 5D D4 89 5D E8 89 5D F4 89 5D F0 89 5D EC 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 F4 00 00 00 8D 55 F0 8B 45 F4 8B 08 FF 51 0C 8D 55 EC 8B 45 F4 8B 08 FF 51 10 8B 45 EC 8B 55 F0 E8 ?? ?? ?? ?? 75 49 83 7D F0 00 74 43 8D 45 E8 50 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8B 45 F0 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 F8 8B 10 FF 52 1C 5A 8B 08 FF 51 38 E9 88 00 00 00 83 7D F0 00 74 3E 8D 45 D4 50 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8B 45 F0 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 50 8B 45 F8 8B 10 FF 52 1C 5A 8B 08 FF 51 38 83 7D EC 00 74 3E 8D 45 D0 50 B8 ?? ?? ?? ?? 89 45 D8 C6 45 DC 11 8B 45 EC 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 8B 45 F8 8B 10 FF 52 1C 5A 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5B 8B E5 5D C3 00 00 F4 78 D9 14 E9 D1 D4 11 A5 32 00 C0 4F 6B B8 53 B0 04 02 00 FF FF FF FF 03 00 00 00 5F 00 5F 00 70 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3D 00 25 00 73 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 5F 00 5F 00 73 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 5F 00 5F 00 66 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_97827_0 {
	meta:
		name = "TCustomAdapterDispatcher.ImplGetAdapterItemRequestParams"
		size = 352
		refs = "001f @IntfAddRef 002f TCustomAdapterDispatcher.ImplGetAdapterItemRequestParams 003d @IntfClear 004c Supports 00a3 Format 00e9 @UStrClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 DB 89 5D EC 89 5D F8 89 5D F4 88 4D F3 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0E 8D 55 F4 8B 4D 08 8B 45 F8 8B 30 FF 56 0C 8B 4D 08 8B 55 FC 8B C3 8B 30 FF 56 44 83 7D F4 00 74 44 F6 45 F3 01 75 3E 8D 45 EC 50 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8B 45 F4 89 45 E4 C6 45 E8 11 8D 55 DC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 08 8B 10 FF 52 1C 5A 8B 08 FF 51 38 66 83 7B 4A 00 74 18 8D 45 F4 50 8B 45 08 8B 10 FF 52 1C 50 8B 4D FC 8B D3 8B 43 4C FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5E 5B 8B E5 5D C2 04 00 00 00 00 F5 78 D9 14 E9 D1 D4 11 A5 32 00 C0 4F 6B B8 53 B0 04 02 00 FF FF FF FF 04 00 00 00 5F 00 5F 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3D 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_97828_0 {
	meta:
		name = "TCustomAdapterDispatcher.GetAdapterItemRequestParams"
		size = 107
		refs = "0013 @IntfAddRef 0023 TCustomAdapterDispatcher.GetAdapterItemRequestParams 0050 @IntfClear 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 88 4D FB 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 0F B6 4D FB 8B 55 FC 8B C3 8B 18 FF 53 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_97829_0 {
	meta:
		name = "TCustomAdapterDispatcher.ImplEncodeAdapterItemRequestAsFieldValue"
		size = 203
		refs = "001c @IntfAddRef 0024 TCustomAdapterDispatcher.ImplEncodeAdapterItemRequestAsFieldValue 0031 @UStrClr 0038 _DV_TAdapterItemRequestParams 003d TAdapterItemRequestParams.Create 004e @IntfCopy 006e TCustomAdapterDispatcher.GetAdapterItemRequestParams 007d EncodeParamNameValues 0092 @IntfClear 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F8 88 4D F7 89 55 FC 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 0F B6 4D F7 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 1C 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_97830_0 {
	meta:
		name = "TCustomAdapterDispatcher.EncodeAdapterItemRequestAsHREF"
		size = 91
		refs = "0013 @IntfAddRef 001b TCustomAdapterDispatcher.EncodeAdapterItemRequestAsHREF 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 88 4D FB 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 0F B6 4D FB 8B 55 FC 8B C3 8B 18 FF 53 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_97832_0 {
	meta:
		name = "TCustomAdapterDispatcher.EncodeAdapterItemRequestAsFieldValue"
		size = 91
		refs = "0013 @IntfAddRef 001b TCustomAdapterDispatcher.EncodeAdapterItemRequestAsFieldValue 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 88 4D FB 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 0F B6 4D FB 8B 55 FC 8B C3 8B 18 FF 53 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_97833_0 {
	meta:
		name = "TCustomAdapterDispatcher.ImplEncodeAdapterItemRequestAsHREF"
		size = 242
		refs = "001e @IntfAddRef 0026 TCustomAdapterDispatcher.ImplEncodeAdapterItemRequestAsHREF 0033 @UStrClr 003a _DV_TAdapterItemRequestParams 003f TAdapterItemRequestParams.Create 0050 @IntfCopy 0070 TCustomAdapterDispatcher.GetAdapterItemRequestParams 0080 EncodeParamsAsHTTPQuery 008c GetAdapterRequestHTTPPath 0097 @UStrCat3 00ac @IntfClear 00b2 @HandleFinally 00ce @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 88 4D F7 89 55 FC 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 0F B6 4D F7 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 1C 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B C6 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_97834_0 {
	meta:
		name = "AdapterRequestParamsAsStrings"
		size = 200
		refs = "0015 @IntfAddRef 001d AdapterRequestParamsAsStrings 002b @IntfClear 003a Supports 0043 _Dn_TStringList 0048 TStringList.Create 0073 @HandleAnyException 007b TObject.Free 0080 @RaiseAgain 0085 @DoneExcept 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F4 8B 45 F8 8B 08 FF 51 20 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5F 5E 5B 8B E5 5D C3 0F 04 94 03 4D 41 D4 11 A4 7C 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_97835_0 {
	meta:
		name = "TCustomAdapterDispatcher.GetActionRequestParams"
		size = 152
		refs = "000e TCustomAdapterDispatcher.GetActionRequestParams 0019 WebContext 002d @IntfClear 003a Supports 0046 AdapterRequestParamsAsStrings 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 51 0C 8B 45 F8 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC E8 ?? ?? ?? ?? 89 03 EB 04 33 C0 89 03 83 3B 00 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 00 00 FC 4A 4E 37 1F D1 D4 11 A5 31 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_97836_0 {
	meta:
		name = "TCustomAdapterDispatcher.GetImageRequestParams"
		size = 152
		refs = "000e TCustomAdapterDispatcher.GetImageRequestParams 0019 WebContext 002d @IntfClear 003a Supports 0046 AdapterRequestParamsAsStrings 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 51 0C 8B 45 F8 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC E8 ?? ?? ?? ?? 89 03 EB 04 33 C0 89 03 83 3B 00 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 00 00 16 A2 87 93 92 43 FB 48 98 80 BF A8 C5 CC 30 6E }
	condition:
		$1
}

rule function_97837_0 {
	meta:
		name = "TCustomAdapterDispatcher.DoBeforeDispatchAdapterRequest"
		size = 203
		refs = "0021 TCustomAdapterDispatcher.GetActionRequestParams 002d TCustomAdapterDispatcher.DoBeforeDispatchAdapterRequest 005f TObject.Free 0065 @HandleFinally 007c TCustomAdapterDispatcher.GetImageRequestParams"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 66 83 78 5A 00 74 51 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 42 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 50 8B 45 F4 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 5C FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 66 83 78 6A 00 74 51 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 42 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 50 8B 45 F4 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 6C FF 53 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97838_0 {
	meta:
		name = "TCustomAdapterDispatcher.DoAfterDispatchAdapterRequest"
		size = 192
		refs = "001e TCustomAdapterDispatcher.GetActionRequestParams 002a TCustomAdapterDispatcher.DoAfterDispatchAdapterRequest 0058 TObject.Free 005e @HandleFinally 0075 TCustomAdapterDispatcher.GetImageRequestParams"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 55 F8 89 45 FC 8B 45 FC 66 83 78 52 00 74 4D 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 54 FF 53 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 66 83 78 62 00 74 4D 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 64 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97839_0 {
	meta:
		name = "TCustomAdapterDispatcher.DoAdapterRequestNotHandled"
		size = 203
		refs = "0021 TCustomAdapterDispatcher.GetActionRequestParams 002d TCustomAdapterDispatcher.DoAdapterRequestNotHandled 005f TObject.Free 0065 @HandleFinally 007c TCustomAdapterDispatcher.GetImageRequestParams"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 66 83 78 72 00 74 51 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 42 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 50 8B 45 F4 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 74 FF 53 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 66 83 78 7A 00 74 51 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 42 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 50 8B 45 F4 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 7C FF 53 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97840_0 {
	meta:
		name = "TCustomAdapterDispatcher.ImplHandleRequest"
		size = 336
		refs = "0014 TCustomAdapterDispatcher.ImplHandleRequest 0038 @IntfCopy 004a TAdapterDispatchParams.GetObjectIdentifier 005b TAdapterDispatchParams.GetHandler 0065 @IntfClear 0073 Supports 0094 TCustomAdapterDispatcher.DoBeforeDispatchAdapterRequest 00b7 TCustomAdapterDispatcher.DoAfterDispatchAdapterRequest 00c9 TCustomAdapterDispatcher.DoAdapterRequestNotHandled 00dd RaiseAdapterRequestNotHandled 0118 @UStrClr 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B C6 8B 08 FF 51 48 8B D8 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 85 DB 0F 84 C3 00 00 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 83 7D F0 00 0F 84 AF 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B F8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 68 8B D3 85 D2 74 03 83 EA D8 8B 45 FC 8B 08 FF 51 0C 8D 4D F7 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7D F7 00 75 1D 8B D3 85 D2 74 03 83 EA D8 8B 45 FC 8B 08 FF 51 10 88 45 F7 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7D F7 00 75 46 8D 4D F7 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7D F7 00 75 34 8B C3 85 C0 74 03 83 E8 D8 E8 ?? ?? ?? ?? EB 24 85 FF 75 20 8D 4D F7 8B D7 8B C6 E8 ?? ?? ?? ?? 80 7D F7 00 75 0E 8B C3 85 C0 74 03 83 E8 D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 00 74 74 C2 48 1F 2E 97 47 9E 72 AF A6 CE 42 F8 26 }
	condition:
		$1
}

rule function_97841_0 {
	meta:
		name = "FindDefaultAppModulePageName"
		size = 79
		refs = "000b @UStrClr 0010 WebContext"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F8 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 3C 8B D8 85 DB 74 28 E8 ?? ?? ?? ?? 8B F0 8B 03 89 44 24 04 8B CC 8B 54 24 04 8B C6 8B 18 FF 53 50 84 C0 74 0A 8B D7 8B 04 24 8B 08 FF 51 08 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97842_0 {
	meta:
		name = "FindDefaultAppPageName"
		size = 204
		refs = "0011 FindDefaultAppPageName 001e @UStrClr 0023 WebContext 0034 @IntfClear 0049 Supports 007f FindDefaultAppModulePageName 0095 IPageDispatcher 009f @FinalizeArray 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 3C 8B F0 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 26 8D 55 F8 8B 45 FC 8B 08 FF 51 10 83 7D F8 00 74 15 8D 55 F4 8B 45 FC 8B 08 FF 51 10 8B 45 F4 8B D3 8B 08 FF 51 10 83 3B 00 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 00 00 00 0D 2F CD 19 8F E6 6F 4A 92 AA 4C 76 59 E8 37 08 }
	condition:
		$1
}

rule function_97844_0 {
	meta:
		name = "TCustomPageDispatcher.ImplDispatchPageName"
		size = 332
		refs = "001c TCustomPageDispatcher.ImplDispatchPageName 0032 FindDefaultAppModulePageName 003e @UStrLAsg 006d WebContext 0082 TCustomPageDispatcher.ValidatePage 0094 TCustomPageDispatcher.GetRequestedPage 00a2 @IntfClear 00b0 Supports 00bb RaisePageDoesNotProvideContent 0103 RaisePageNotFound 0120 @UStrClr 0126 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 85 F6 75 0A 8D 45 FC E8 ?? ?? ?? ?? EB 0A 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 66 83 7B 62 00 74 0F 8D 45 F3 50 8B 4D FC 8B D3 8B 43 64 FF 53 60 80 7D F3 00 0F 85 A5 00 00 00 83 7D FC 00 0F 84 9B 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 08 FF 51 38 8D 4D F3 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 7D 0F B6 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 46 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 FC 8B 45 F8 8B 30 FF 56 0C 88 45 F3 66 83 7B 5A 00 74 30 8B 4D FC 8B D3 8B 43 5C FF 53 58 EB 23 66 83 7B 6A 00 74 0F 8D 45 F3 50 8B 4D FC 8B D3 8B 43 6C FF 53 68 80 7D F3 00 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 61 1F 8D 60 23 F2 74 45 89 F7 F2 9A 73 37 2F FC }
	condition:
		$1
}

rule function_97845_0 {
	meta:
		name = "TCustomAdapterActionButton.GetActionName"
		size = 19
		refs = "000c @UStrAsg"
		altNames = "TCustomPageDispatcher.ImplGetDefaultPageName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 54 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111450_0 {
	meta:
		name = "TDomElement.GetNodeName"
		size = 19
		refs = "000c @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 54 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114800_0 {
	meta:
		name = "TXMLDocument.GetDOMDocument"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 54 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115211_0 {
	meta:
		name = "TXMLSchemaDef.GetAttributeDefs"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 54 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97847_0 {
	meta:
		name = "TCustomPageDispatcher.ImplHandleRequest"
		size = 136
		refs = "0012 TCustomPageDispatcher.ImplHandleRequest 0024 TCustomPageDispatcher.PageNameOfRequest 003a TCustomPageDispatcher.GetDefaultPageName 0044 FindDefaultAppModulePageName 0058 TCustomPageDispatcher.DispatchPageName 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 1A 83 7B 54 00 74 0C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8B CF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 00 01 00 00 00 }
	condition:
		$1
}

rule function_97848_0 {
	meta:
		name = "TCustomPageDispatcher.GetRequestedPage"
		size = 84
		refs = "0013 TCustomPageDispatcher.GetRequestedPage 002a WebContext"
	strings:
		$1 = { 53 56 83 C4 F8 88 0C 24 8B F2 F6 04 24 01 74 09 0F B6 1D ?? ?? ?? ?? EB 07 0F B6 1D ?? ?? ?? ?? 85 F6 74 17 8D 44 24 04 50 E8 ?? ?? ?? ?? 8B CB 8B D6 8B 18 FF 53 48 84 C0 75 06 33 C0 89 44 24 04 8B 44 24 04 59 5A 5E 5B C3 00 00 01 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_97850_0 {
	meta:
		name = "TCustomPageDispatcher.ImplPageNameOfRequest"
		size = 248
		refs = "000f TCustomPageDispatcher.ImplPageNameOfRequest 001a WebContext 0036 @UStrFromLStr 0043 Pos 0055 @UStrDelete 00b8 @UStrAsg 00cd @LStrClr 00d5 @UStrClr 00db @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 04 8B D8 8D 55 F8 8B C3 8B 08 FF 51 10 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 0E 8D 55 FC B9 FF FF FF 7F 92 E8 ?? ?? ?? ?? 83 7D FC 00 74 32 8B 55 FC 8B C2 85 C0 74 05 83 E8 04 8B 00 8B 4D FC 66 83 7C 41 FE 2F 75 19 8B C2 85 C0 74 05 83 E8 04 8B 00 8D 55 FC B9 01 00 00 00 92 E8 ?? ?? ?? ?? 83 7D FC 00 74 1B 8B 45 FC 66 83 38 2F 75 12 8D 45 FC B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_97851_0 {
	meta:
		name = "TCustomPageDispatcher.ValidatePage"
		size = 160
		refs = "0013 TCustomPageDispatcher.IsLoggedIn 0021 TCustomPageDispatcher.GetLoginRequired 0052 TCustomPageDispatcher.ProduceLoginPage 0062 TCustomPageDispatcher.GetCanView 0095 RaisePageAccessDenied"
	strings:
		$1 = { 53 56 57 51 8B F9 89 14 24 8B F0 C6 07 00 B3 01 8B C6 E8 ?? ?? ?? ?? 84 C0 75 3D 8B 14 24 8B C6 E8 ?? ?? ?? ?? 84 C0 74 2F 33 DB 66 83 BE 8A 00 00 00 00 74 15 6A 00 57 8B 4C 24 08 8B D6 8B 86 8C 00 00 00 FF 96 88 00 00 00 80 3F 00 75 09 8B C6 E8 ?? ?? ?? ?? 88 07 84 DB 74 2F 8B 14 24 8B C6 E8 ?? ?? ?? ?? 8B D8 84 DB 75 1F 66 83 BE 8A 00 00 00 00 74 15 6A 01 57 8B 4C 24 08 8B D6 8B 86 8C 00 00 00 FF 96 88 00 00 00 84 DB 75 0A 80 3F 00 75 05 E8 ?? ?? ?? ?? 8B C3 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97852_0 {
	meta:
		name = "TCustomPageDispatcher.IsLoggedIn"
		size = 111
		refs = "000e TCustomPageDispatcher.IsLoggedIn 001e TCustomPageDispatcher.EndUser 0052 IWebEndUser 005c @FinalizeArray 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 1C 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_97853_0 {
	meta:
		name = "TCustomPageDispatcher.ProduceLoginPage"
		size = 111
		refs = "000f TCustomPageDispatcher.ProduceLoginPage 0021 TCustomPageDispatcher.EndUser 0051 IWebEndUser 005b @FinalizeArray 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 14 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 30 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_97854_0 {
	meta:
		name = "TCustomPageDispatcher.ImplRedirectToPageName"
		size = 328
		refs = "001c TCustomPageDispatcher.ImplRedirectToPageName 0032 FindDefaultAppModulePageName 003e @UStrLAsg 0079 TCustomPageDispatcher.ValidatePage 008f TCustomPageDispatcher.GetRequestedPage 009d @IntfClear 00ab Supports 00b6 RaisePageDoesNotProvideContent 0102 RaisePageNotFound 011f @UStrClr 0125 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 85 F6 75 0A 8D 45 FC E8 ?? ?? ?? ?? EB 0A 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 66 83 7B 7A 00 74 13 8B 45 F4 50 8D 45 F3 50 8B 4D FC 8B D3 8B 43 7C FF 53 78 80 7D F3 00 0F 85 A0 00 00 00 83 7D FC 00 0F 84 96 00 00 00 8D 4D F3 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 81 00 00 00 0F B6 4D 08 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 4A 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 4D F4 8B 55 FC 8B 45 F8 8B 38 FF 57 14 88 45 F3 66 83 7B 72 00 74 23 8B 4D FC 8B D3 8B 43 74 FF 53 70 EB 16 66 83 7B 6A 00 74 0F 8D 45 F3 50 8B 4D FC 8B D3 8B 43 6C FF 53 68 80 7D F3 00 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 08 00 61 1F 8D 60 23 F2 74 45 89 F7 F2 9A 73 37 2F FC }
	condition:
		$1
}

rule function_97856_0 {
	meta:
		name = "TCustomPageDispatcher.GetCanView"
		size = 12
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 50 5E C3 }
	condition:
		$1
}

rule function_97857_0 {
	meta:
		name = "TCustomPageDispatcher.GetLoginRequired"
		size = 12
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 4C 5E C3 }
	condition:
		$1
}

rule function_97858_0 {
	meta:
		name = "TCustomPageDispatcher.ImplGetCanView"
		size = 228
		refs = "001b TCustomPageDispatcher.ImplGetCanView 005f TCustomPageDispatcher.EndUser 006e WebContext 00ba @IntfClear 00c2 @UStrClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D EC 89 4D E8 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 85 F6 74 7C 66 83 BB 82 00 00 00 00 74 22 C6 45 F7 00 8D 45 FF 50 8D 45 F7 50 8B CE 8B D3 8B 83 84 00 00 00 FF 93 80 00 00 00 80 7D F7 00 75 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 83 7D F0 00 74 40 8D 45 F8 50 E8 ?? ?? ?? ?? 0F B6 0D ?? ?? ?? ?? 8B D6 8B 30 FF 56 4C 84 C0 74 25 8D 55 EC 8B 45 F8 8B 08 FF 51 1C 8B 45 EC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 5A 8B 08 FF 51 10 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 0F B6 45 FF 5E 5B 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_97859_0 {
	meta:
		name = "TCustomPageDispatcher.ImplGetLoginRequired"
		size = 80
		refs = "0014 WebContext 001b TCustomPageDispatcher.ImplGetLoginRequired"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8B D8 85 F6 74 1D 8D 44 24 04 50 E8 ?? ?? ?? ?? 0F B6 0D ?? ?? ?? ?? 8B D6 8B 38 FF 57 4C 88 04 24 EB 04 C6 04 24 00 66 83 7B 4A 00 74 0B 54 8B CE 8B D3 8B 43 4C FF 53 48 0F B6 04 24 59 5A 5F 5E 5B C3 00 02 00 00 00 }
	condition:
		$1
}

rule function_97860_0 {
	meta:
		name = "TCustomLocateFileService.GetTemplateStream"
		size = 91
		refs = "0011 @UStrAddRef 0019 TCustomLocateFileService.GetTemplateStream 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 4D FC 8B D6 8B C3 8B 18 FF 53 44 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_97861_0 {
	meta:
		name = "TCustomLocateFileService.FindTemplateFile"
		size = 82
		refs = "0016 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? C6 45 FB 00 66 83 7B 3A 00 74 20 C6 45 FB 01 8B 45 FC 50 56 8D 45 FB 50 8B CF 8B D3 8B 43 3C FF 53 38 83 3E 00 75 04 C6 45 FB 00 0F B6 45 FB 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_97862_0 {
	meta:
		name = "TCustomLocateFileService.FindStream"
		size = 68
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 7D 08 8B 75 0C 66 83 78 4A 00 74 20 C6 45 FF 01 33 DB 89 1E C6 07 01 51 56 57 8D 4D FF 51 8B D8 8B CA 8B D0 8B 43 4C FF 53 48 EB 04 C6 45 FF 00 0F B6 45 FF 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_97863_0 {
	meta:
		name = "TCustomLocateFileService.GetFileStream"
		size = 17
		refs = "0005 _Dn_TFileStream 000c TFileStream.Create"
	strings:
		$1 = { 6A 20 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97864_0 {
	meta:
		name = "TCustomLocateFileService.ImplGetTemplateStream"
		size = 156
		refs = "0019 @UStrAddRef 0021 TCustomLocateFileService.ImplGetTemplateStream 004f TCustomLocateFileService.FindTemplateFile 0084 @UStrArrayClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8B 45 08 50 8B 4D FC 8B D6 8B C3 8B 38 FF 57 48 84 C0 75 2B 8D 45 F8 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 12 8B 4D 08 8B 55 F8 8B C3 8B 18 FF 53 4C 89 45 F4 EB 05 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_97865_0 {
	meta:
		name = "TCustomLocateFileService.FindIncludeFile"
		size = 18
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 18 FF 53 40 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_97866_0 {
	meta:
		name = "TCustomLocateFileService.ImplFindIncludeFile"
		size = 82
		refs = "0016 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? C6 45 FB 00 66 83 7B 42 00 74 20 C6 45 FB 01 8B 45 FC 50 56 8D 45 FB 50 8B CF 8B D3 8B 43 44 FF 53 40 83 3E 00 75 04 C6 45 FB 00 0F B6 45 FB 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_97867_0 {
	meta:
		name = "TMultiModuleWebAppServices.ImplFinishContext"
		size = 69
		refs = "003e TObject.Free"
	strings:
		$1 = { 53 56 8B F0 8B 46 44 8B 10 FF 52 04 8B D8 4B 83 FB 00 7C 18 8B D3 8B 46 44 8B 08 FF 11 8B D0 8B C6 8B 08 FF 51 48 4B 83 FB FF 75 E8 83 7E 38 00 74 10 8D 46 38 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97868_0 {
	meta:
		name = "TMultiModuleWebAppServices.ImplInitContext"
		size = 54
		refs = "001e TMultiModuleWebAppServices.ModuleAdded"
	strings:
		$1 = { 55 8B EC 56 8B F0 89 4E 3C 8B 45 08 89 46 40 89 56 44 8B C6 8B 10 FF 52 4C 89 46 38 56 68 ?? ?? ?? ?? 8B 46 44 8B 10 FF 52 0C 8B C6 8B 10 FF 52 40 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_97869_0 {
	meta:
		name = "TMultiModuleWebAppServices.CreateContext"
		size = 26
		refs = "0010 _Dn_TWebContext 0015 TWebContext.Create"
	strings:
		$1 = { 8B 50 3C 52 8B 50 40 52 6A 00 8B 48 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_97870_0 {
	meta:
		name = "TMultiModuleWebAppServices.InitModules"
		size = 47
	strings:
		$1 = { 53 56 8B F0 8B 46 44 8B 10 FF 52 04 8B D8 4B 83 FB 00 7C 18 8B D3 8B 46 44 8B 08 FF 11 8B D0 8B C6 8B 08 FF 51 44 4B 83 FB FF 75 E8 5E 5B C3 }
	condition:
		$1
}

rule function_97871_0 {
	meta:
		name = "TMultiModuleWebAppServices.InitModule"
		size = 236
		refs = "001b TMultiModuleWebAppServices.InitModule 0029 TComponent.GetComponentCount 003d TComponent.GetComponent 0047 @IntfClear 005c Supports 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D FC 89 4D F8 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 3F 43 33 F6 8B D6 8B 45 F0 E8 ?? ?? ?? ?? 8B F8 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0B 8B 55 F4 8B 45 F8 8B 08 FF 51 0C 46 4B 75 C4 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F0 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 00 9E 95 5E 2F 65 DA D3 11 A4 11 00 C0 4F 6B B8 53 42 BE 18 CE 58 13 D4 11 AB F4 F1 8F FA D1 2B 3C }
	condition:
		$1
}

rule function_97872_0 {
	meta:
		name = "TMultiModuleWebAppServices.DoneModule"
		size = 112
		refs = "000c TMultiModuleWebAppServices.DoneModule 001a @IntfClear 002f Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 42 BE 18 CE 58 13 D4 11 AB F4 F1 8F FA D1 2B 3C }
	condition:
		$1
}

rule function_97873_0 {
	meta:
		name = "TMultiModuleWebAppServices.ModuleAdded"
		size = 6
	strings:
		$1 = { 8B 08 FF 51 44 C3 }
	condition:
		$1
}

rule function_97877_0 {
	meta:
		name = "TMultiModuleWebAppServices.InitContext"
		size = 24
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 45 08 50 8B C6 8B 18 FF 53 54 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_97880_0 {
	meta:
		name = "TMultiModuleWebAppServices.DoAfterDispatch"
		size = 38
	strings:
		$1 = { 53 51 C6 04 24 01 66 83 78 52 00 74 12 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 43 54 FF 53 50 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_97881_0 {
	meta:
		name = "TMultiModuleWebAppServices.DoBeforeDispatch"
		size = 38
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 78 4A 00 74 12 51 8D 4C 24 04 51 8B D8 8B CA 8B D0 8B 43 4C FF 53 48 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_97883_0 {
	meta:
		name = "TMultiModuleWebAppServices.HandleException"
		size = 14
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 18 FF 53 50 5E 5B C3 }
	condition:
		$1
}

rule function_97885_0 {
	meta:
		name = "TCustomWebAppComponents.ImplFinishContext"
		size = 168
		refs = "000c TCustomWebAppComponents.ImplFinishContext 0020 @IntfClear 002f Supports 0042 TMultiModuleWebAppServices.ImplFinishContext 0071 TObject.Free 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 68 00 74 23 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 68 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 14 8B C3 E8 ?? ?? ?? ?? 8B 53 40 8B 43 6C 8B 08 FF 51 14 8B 43 40 8B 10 FF 52 40 84 C0 75 08 8B 43 40 8B 10 FF 52 34 8D 43 6C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 60 32 F1 06 F8 8F D4 11 A4 E5 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_97886_0 {
	meta:
		name = "TCustomWebAppComponents.ExceptionAsContent"
		size = 235
		refs = "0021 TCustomWebAppComponents.ExceptionAsContent 002f _Dn_EScriptError 0034 @IsClass 0041 ExpandScriptException 004d @UStrAsg 006e @UStrFromLStr 007a sInternalApplicationError 007f LoadResString 00a4 Format 00c8 @UStrArrayClr 00d0 @LStrClr 00d8 @UStrClr 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D F4 89 5D F0 89 5D F8 89 5D FC 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D3 8B C7 E8 ?? ?? ?? ?? EB 0A 8B C3 8B 57 04 E8 ?? ?? ?? ?? 83 7E 3C 00 74 1B 8D 4D F8 BA 04 00 00 00 8B 46 3C 8B 30 FF 56 04 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F4 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 03 89 45 E0 C6 45 E4 11 8B 45 FC 89 45 E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97887_0 {
	meta:
		name = "ExpandScriptException"
		size = 812
		refs = "001a ExpandScriptException 0028 @UStrClr 0045 @UStrAsg 0092 @UStrCopy 00b0 StringReplace 00bb @UStrLAsg 01a8 @UStrCatN 020e sScriptErrorTemplate 0213 LoadResString 0221 Format 022c @UStrCat 0253 @UStrArrayClr 0280 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0D 00 00 00 6A 00 6A 00 49 75 F9 53 56 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B 5E 18 85 DB 74 0B 8B C3 8B 10 FF 52 04 85 C0 75 10 8B 45 F4 8B 56 04 E8 ?? ?? ?? ?? E9 EF 01 00 00 8B 46 18 8B 10 FF 52 04 48 85 C0 0F 8C DE 01 00 00 40 89 45 F0 33 DB 8D 45 FC 50 8B D3 8B 46 18 8B 08 FF 11 8B 10 FF 52 04 50 8B D3 8B 46 18 8B 08 FF 11 8D 55 E8 8B 08 FF 11 8B 45 E8 BA 01 00 00 00 59 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E4 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E4 8D 45 FC E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 E0 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 8B D3 8B 46 18 8B 08 FF 11 8D 55 F8 8B 08 FF 11 8B D3 8B 46 18 8B 08 FF 11 8D 55 DC 8B 08 FF 11 8B 45 DC 89 45 D8 8B 45 D8 89 45 EC 83 7D EC 00 74 0B 8B 45 EC 83 E8 04 8B 00 89 45 EC FF 75 FC 68 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 50 8D 45 D4 50 0F B6 05 ?? ?? ?? ?? 50 8D 45 D0 50 8D 45 CC 50 8B D3 8B 46 18 8B 08 FF 11 8B 10 FF 52 04 8B 55 EC 2B D0 4A 52 8B D3 8B 46 18 8B 08 FF 11 8B 10 FF 52 04 8B D0 42 8B 45 F8 59 E8 ?? ?? ?? ?? 8B 45 CC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 75 D4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 50 89 5D A0 C6 45 A4 00 8B D3 8B 46 18 8B 08 FF 11 8D 55 9C 8B 08 FF 51 0C 8B 45 9C 89 45 A8 C6 45 AC 11 8B D3 8B 46 18 8B 08 FF 11 8B 10 FF 52 08 89 45 B0 C6 45 B4 00 8B D3 8B 46 18 8B 08 FF 11 8B 10 FF 52 04 89 45 B8 C6 45 BC 00 8B 45 FC 89 45 C0 C6 45 C4 11 8D 45 A0 50 8D 55 98 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 B9 04 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 43 FF 4D F0 0F 85 28 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C4 5E 5B 8B E5 5D C3 01 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 6C 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 67 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 3C 00 66 00 6F 00 6E 00 74 00 20 00 63 00 6F 00 6C 00 6F 00 72 00 3D 00 22 00 23 00 46 00 46 00 30 00 30 00 30 00 30 00 22 00 3E 00 7C 00 3C 00 2F 00 66 00 6F 00 6E 00 74 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_97888_0 {
	meta:
		name = "TCustomWebAppComponents.ImplHandleException"
		size = 247
		refs = "001e TCustomWebAppComponents.ImplHandleException 0073 @HandleAnyException 0087 TCustomWebAppComponents.ExceptionAsContent 0095 TWebResponse.SetUnicodeContent 009a @DoneExcept 00e4 @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 C6 00 00 8B 45 FC 66 83 B8 92 00 00 00 00 74 63 8B 45 F4 C6 00 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 83 94 00 00 00 FF 93 90 00 00 00 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 8B 45 F4 C6 00 01 8D 4D F0 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 40 40 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 80 38 00 75 28 8B 45 FC 8B 58 40 85 DB 74 1E 8D 4D EC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 C6 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97889_0 {
	meta:
		name = "TCustomWebAppComponents.CreateContext"
		size = 172
		refs = "0010 TCustomWebAppComponents.CheckSessionsStatus 0018 TCustomWebAppComponents.CreateContext 0039 _DV_TWebSession 003e TWebSession.Create 0053 @HandleOnException 005b _Dn_Exception 006b _DV_TInvalidWebSession 0070 TInvalidWebSession.Create 007b @DoneExcept 009d _Dn_TWebContext 00a2 TWebContext.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 33 D2 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 3C 50 8B 45 FC 8B 40 40 50 8B 45 FC 8B 48 70 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 6C 33 C0 5A 59 59 64 89 10 EB 2D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 6C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 50 8B 45 FC 8B 40 40 50 8B 45 FC 8B 40 6C 50 8B 45 FC 8B 48 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97891_0 {
	meta:
		name = "TCustomWebAppComponents.SetSessions"
		size = 43
		refs = "000e TComponent.ReferenceInterface 0018 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 B1 01 8B 53 70 8B C3 E8 ?? ?? ?? ?? 8D 43 70 8B D6 E8 ?? ?? ?? ?? 33 C9 8B 53 70 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97892_0 {
	meta:
		name = "TCustomWebAppComponents.CheckSessionsStatus"
		size = 124
		refs = "000f TCustomWebAppComponents.CheckSessionsStatus 001d @IntfClear 002c Supports 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 70 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 FC 8B 10 FF 52 14 84 D8 74 08 8B 45 FC 8B 10 FF 52 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 1D C2 AA 6E CF 42 86 44 A8 E6 D9 C8 56 2B D6 81 }
	condition:
		$1
}

rule function_97893_0 {
	meta:
		name = "TCustomWebAppComponents.Notification"
		size = 1024
		refs = "0020 TCustomWebAppComponents.Notification 0031 TComponent.Notification 0044 TComponent.IsImplementorOf 0050 @IntfClear 012a Supports 0144 @IntfCast 014e TCustomWebAppComponents.SetDispatcher 018e TCustomWebAppComponents.SetSessions 01d1 TCustomWebAppComponents.SetApplicationAdapter 0211 TCustomWebAppComponents.SetLocateFileService 0251 TCustomWebAppComponents.SetPageDispatcher 0291 TCustomWebAppComponents.SetAdapterDispatcher 02d4 TCustomWebAppComponents.SetEndUserAdapter 0317 TCustomWebAppComponents.SetUserListService 0372 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 0F 85 C2 00 00 00 8B 57 68 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 8D 47 68 E8 ?? ?? ?? ?? 8B 57 70 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 8D 47 70 E8 ?? ?? ?? ?? 8B 97 80 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8D 87 80 00 00 00 E8 ?? ?? ?? ?? 8B 57 74 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 8D 47 74 E8 ?? ?? ?? ?? 8B 57 78 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 8D 47 78 E8 ?? ?? ?? ?? 8B 57 7C 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 8D 47 7C E8 ?? ?? ?? ?? 8B 97 84 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8D 87 84 00 00 00 E8 ?? ?? ?? ?? 8B 97 88 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8D 87 88 00 00 00 E8 ?? ?? ?? ?? 84 DB 0F 85 13 02 00 00 F6 47 1C 01 0F 85 09 02 00 00 83 7F 68 00 75 3A 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 20 8D 45 F8 8B D6 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 83 7F 70 00 75 3A 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 20 8D 45 F4 8B D6 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 83 BF 80 00 00 00 00 75 3A 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 20 8D 45 F0 8B D6 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 83 7F 74 00 75 3A 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 20 8D 45 EC 8B D6 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 83 7F 78 00 75 3A 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 20 8D 45 E8 8B D6 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B C7 E8 ?? ?? ?? ?? 83 7F 7C 00 75 3A 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 20 8D 45 E4 8B D6 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C7 E8 ?? ?? ?? ?? 83 BF 84 00 00 00 00 75 3A 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 20 8D 45 E0 8B D6 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C7 E8 ?? ?? ?? ?? 83 BF 88 00 00 00 00 75 3A 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 20 8D 45 DC 8B D6 85 D2 74 03 83 EA CC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B0 5F 5E 5B 8B E5 5D C3 00 D8 4C 44 E4 AE 9F 11 D5 8D 38 00 50 56 8E 0E 44 1D C2 AA 6E CF 42 86 44 A8 E6 D9 C8 56 2B D6 81 B9 A3 E0 B2 A7 6F D4 11 A4 B8 00 C0 4F 6B B8 53 0D 64 2B BD 7F 8D D4 11 A4 E2 00 C0 4F 6B B8 53 5A 16 FD C9 1C 8F D4 11 A4 E4 00 C0 4F 6B B8 53 55 16 FD C9 1C 8F D4 11 A4 E4 00 C0 4F 6B B8 53 2D D1 BB 2D 07 3C 7E 4F BD 11 B3 A4 E1 E2 87 CD AF DE 77 08 5D AB D4 11 A5 03 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_97894_0 {
	meta:
		name = "TCustomAdapterActionButton.SetImageProducer"
		size = 43
		refs = "000e TComponent.ReferenceInterface 0018 @IntfCopy"
		altNames = "TCustomWebAppComponents.SetLocateFileService"
	strings:
		$1 = { 53 56 8B F2 8B D8 B1 01 8B 53 74 8B C3 E8 ?? ?? ?? ?? 8D 43 74 8B D6 E8 ?? ?? ?? ?? 33 C9 8B 53 74 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97895_0 {
	meta:
		name = "TCustomWebAppComponents.GetLocateFileService"
		size = 19
		refs = "000c @IntfCopy"
		altNames = "TXMLElementCompositor.GetElementGroups TXMLSchemaDef.GetNotationDefs"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 74 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97896_0 {
	meta:
		name = "TCustomWebAppComponents.SetDispatcher"
		size = 43
		refs = "000e TComponent.ReferenceInterface 0018 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 B1 01 8B 53 68 8B C3 E8 ?? ?? ?? ?? 8D 43 68 8B D6 E8 ?? ?? ?? ?? 33 C9 8B 53 68 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97897_0 {
	meta:
		name = "TCustomWebAppComponents.SetAdapterDispatcher"
		size = 43
		refs = "000e TComponent.ReferenceInterface 0018 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 B1 01 8B 53 7C 8B C3 E8 ?? ?? ?? ?? 8D 43 7C 8B D6 E8 ?? ?? ?? ?? 33 C9 8B 53 7C 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97898_0 {
	meta:
		name = "TCustomWebAppComponents.SetPageDispatcher"
		size = 43
		refs = "000e TComponent.ReferenceInterface 0018 @IntfCopy"
		altNames = "TCustomWebAppDataModule.SetAppServices"
	strings:
		$1 = { 53 56 8B F2 8B D8 B1 01 8B 53 78 8B C3 E8 ?? ?? ?? ?? 8D 43 78 8B D6 E8 ?? ?? ?? ?? 33 C9 8B 53 78 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97899_0 {
	meta:
		name = "TCustomWebAppComponents.SetApplicationAdapter"
		size = 52
		refs = "0011 TComponent.ReferenceInterface 001e @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 B1 01 8B 93 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 80 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 C9 8B 93 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97900_0 {
	meta:
		name = "TCustomWebAppComponents.SetEndUserAdapter"
		size = 52
		refs = "0011 TComponent.ReferenceInterface 001e @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 B1 01 8B 93 84 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 84 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 C9 8B 93 84 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97901_0 {
	meta:
		name = "TCustomWebAppComponents.SetUserListService"
		size = 52
		refs = "0011 TComponent.ReferenceInterface 001e @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 B1 01 8B 93 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 88 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 C9 8B 93 88 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_97902_0 {
	meta:
		name = "TCustomWebAppComponents.GetAdapterDispatcher"
		size = 64
		refs = "000f @IntfClear 0016 TCustomWebAppComponents.GetAdapterDispatcher 001e Supports"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 7C 00 74 1A 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 7C E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 55 16 FD C9 1C 8F D4 11 A4 E4 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_97903_0 {
	meta:
		name = "TCustomWebAppComponents.GetPageDispatcher"
		size = 60
		refs = "0009 @IntfClear 0010 TCustomWebAppComponents.GetPageDispatcher 0018 Supports"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 78 E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 5A 16 FD C9 1C 8F D4 11 A4 E4 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_97904_0 {
	meta:
		name = "TCustomWebAppComponents.ListRequestHandlers"
		size = 98
		refs = "000e @IntfAddRef 0016 TCustomWebAppComponents.ListRequestHandlers 0052 @IntfClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 7C 8B 45 FC 8B 08 FF 51 38 8B 53 68 8B 45 FC 8B 08 FF 51 38 8B 53 78 8B 45 FC 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_97905_0 {
	meta:
		name = "InvokeRequestHandler"
		size = 156
		refs = "0013 @IntfAddRef 001b InvokeRequestHandler 002b @IntfClear 003a Supports 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1C 8B 45 08 8B 40 FC 8B 48 40 8B 45 08 8B 40 FC 8B 50 3C 8B 45 F8 8B 18 FF 53 0C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 00 00 5F B0 CC 6F E0 8F D4 11 A4 E5 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_97906_0 {
	meta:
		name = "TCustomWebAppComponents.ImplHandleRequest"
		size = 336
		refs = "0015 TCustomWebAppComponents.ImplHandleRequest 002f TMultiModuleWebAppServices.DoBeforeDispatch 0053 _Dn_TInterfaceList 0058 TInterfaceList.Create 0069 @IntfCopy 00b0 InvokeRequestHandler 00e4 TMultiModuleWebAppServices.DoAfterDispatch 00f2 sNoHandler 00f7 LoadResString 0101 _Dn_EWebBrokerException 0106 Exception.Create 010b @RaiseExcept 0120 @UStrClr 0129 IInterface 0133 @FinalizeArray 013b @IntfClear 0141 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 48 40 8B 45 FC 8B 50 3C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 13 8B 45 FC 8B 40 40 8B 10 FF 52 40 84 C0 75 04 33 DB EB 02 B3 01 84 DB 75 71 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 60 8B 45 F8 8B 10 FF 52 14 48 85 C0 7C 3C 40 89 45 F4 33 F6 8D 4D F0 8B D6 8B 45 F8 8B 38 FF 57 0C 83 7D F0 00 74 19 55 8D 4D EC 8B D6 8B 45 F8 8B 18 FF 53 0C 8B 45 EC E8 ?? ?? ?? ?? 59 8B D8 84 DB 75 06 46 FF 4D F4 75 CA 84 DB 74 25 8B 45 FC 8B 40 40 8B 10 FF 52 40 84 C0 75 16 8B 45 FC 8B 48 40 8B 45 FC 8B 50 3C 8B 45 FC E8 ?? ?? ?? ?? 8B D8 84 DB 75 21 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97907_0 {
	meta:
		name = "TCustomWebAppComponents.InitModule"
		size = 128
		refs = "000f TCustomWebAppComponents.InitModule 001e TMultiModuleWebAppServices.InitModule 002c @IntfClear 003b Supports 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7B 68 00 74 25 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 68 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 60 32 F1 06 F8 8F D4 11 A4 E5 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_97908_0 {
	meta:
		name = "TCustomWebAppComponents.ImplInitContext"
		size = 152
		refs = "0019 TCustomWebAppComponents.ImplInitContext 002d @IntfClear 003c Supports 005d TMultiModuleWebAppServices.ImplInitContext 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D FC 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 68 00 74 28 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 68 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 4D 08 8B D6 8B 45 FC 8B 38 FF 57 0C 8B 45 08 50 8B CE 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 00 60 32 F1 06 F8 8F D4 11 A4 E5 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_97909_0 {
	meta:
		name = "TCustomWebAppComponents.GetWebApplicationInfo"
		size = 72
		refs = "0012 @IntfClear 0019 TCustomWebAppComponents.GetWebApplicationInfo 0024 Supports"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 80 00 00 00 00 74 1D 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B9 A3 E0 B2 A7 6F D4 11 A4 B8 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_97910_0 {
	meta:
		name = "TCustomWebAppComponents.GetWebEndUser"
		size = 72
		refs = "0012 @IntfClear 0019 TCustomWebAppComponents.GetWebEndUser 0024 Supports"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 84 00 00 00 00 74 1D 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 2D D1 BB 2D 07 3C 7E 4F BD 11 B3 A4 E1 E2 87 CD }
	condition:
		$1
}

rule function_97911_0 {
	meta:
		name = "TCustomWebAppComponents.GetWebUserList"
		size = 72
		refs = "0012 @IntfClear 0019 TCustomWebAppComponents.GetWebUserList 0024 Supports"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 BB 88 00 00 00 00 74 1D 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 83 88 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 AF DE 77 08 5D AB D4 11 A5 03 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_97912_0 {
	meta:
		name = "TBaseRequestHandler.HandleRequest"
		size = 8
	strings:
		$1 = { 53 8B 18 FF 53 40 5B C3 }
	condition:
		$1
}

rule function_97915_0 {
	meta:
		name = "StoreValues"
		size = 768
		refs = "0018 StoreValues 0042 TStrings.GetName 004f @UStrLAsg 0081 CompareText 00a2 ExtractStringValue 00b3 @UStrAsg 0282 @UStrArrayClr 0295 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 53 56 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D8 8B 10 FF 52 14 48 85 C0 0F 8C 39 02 00 00 40 89 45 D4 33 DB 8D 4D FC 8B D3 8B 45 D8 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 2E 8D 4D CC 8B D3 8B 45 D8 8B 30 FF 56 0C 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 08 8B 40 FC 83 C0 0C E8 ?? ?? ?? ?? E9 A6 01 00 00 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F0 3B 45 EC 75 04 B0 01 EB 20 83 7D F0 00 74 06 83 7D EC 00 75 04 33 C0 EB 10 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 2E 8D 4D C4 8B D3 8B 45 D8 8B 30 FF 56 0C 8B 45 C4 8D 55 C8 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 08 8B 40 FC 83 C0 18 E8 ?? ?? ?? ?? E9 30 01 00 00 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E8 3B 45 E4 75 04 B0 01 EB 20 83 7D E8 00 74 06 83 7D E4 00 75 04 33 C0 EB 10 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 2E 8D 4D BC 8B D3 8B 45 D8 8B 30 FF 56 0C 8B 45 BC 8D 55 C0 E8 ?? ?? ?? ?? 8B 55 C0 8B 45 08 8B 40 FC 83 C0 14 E8 ?? ?? ?? ?? E9 BA 00 00 00 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E0 3B 45 DC 75 04 B0 01 EB 20 83 7D E0 00 74 06 83 7D DC 00 75 04 33 C0 EB 10 8B 55 DC 8B 45 E0 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 54 8D 4D B4 8B D3 8B 45 D8 8B 30 FF 56 0C 8B 45 B4 8D 55 B8 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 08 8B 40 FC 83 C0 18 E8 ?? ?? ?? ?? 8D 4D AC 8B D3 8B 45 D8 8B 30 FF 56 0C 8B 45 AC 8D 55 B0 E8 ?? ?? ?? ?? 8B 55 B0 8B 45 08 8B 40 FC 83 C0 14 E8 ?? ?? ?? ?? EB 1E 8D 4D A8 8B D3 8B 45 D8 8B 30 FF 56 0C 8B 55 A8 8B 45 08 8B 40 FC 8B 40 1C 8B 08 FF 51 38 43 FF 4D D4 0F 85 CD FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 09 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 5F 00 5F 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 5F 00 5F 00 66 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 5F 00 5F 00 73 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 5F 00 5F 00 70 00 00 00 }
	condition:
		$1
}

rule function_97916_0 {
	meta:
		name = "TAdapterDispatchParams.Create"
		size = 616
		refs = "001d @ClassCreate 002b TAdapterDispatchParams.Create 0036 WebContext 0049 _Dn_TStringList 004e TStringList.Create 005c TWebRequest.GetQueryFields 0069 TStrings.GetValue 0081 StoreValues 008d RegisteredRequestIdentifiers 00d0 @UStrAsg 00de @UStrLAsg 00e6 TWebRequest.GetContentFields 0126 ExtractParamNameValues 0145 TObject.Free 014b @HandleFinally 01ef @UStrClr 0214 @UStrArrayClr 0237 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 33 DB 89 5D D4 89 5D D8 89 5D F8 89 5D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 F3 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 04 89 45 E8 C6 45 E7 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 1C 8B 45 E8 E8 ?? ?? ?? ?? 8D 4D D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D D8 00 74 18 C6 45 E7 01 55 8B 45 E8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 4A 01 00 00 83 3D ?? ?? ?? ?? 00 0F 84 3D 01 00 00 A1 ?? ?? ?? ?? 8B 10 FF 52 14 48 85 C0 0F 8C 2A 01 00 00 40 89 45 DC C7 45 EC 00 00 00 00 8D 4D D4 8B 55 EC A1 ?? ?? ?? ?? 8B 18 FF 53 0C 8B 55 D4 8B 45 FC 83 C0 10 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 FC 8B 52 10 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B 52 10 E8 ?? ?? ?? ?? 83 7D F8 00 74 53 C6 45 E7 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 55 8B 45 E0 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D E7 00 75 6C 8B 45 E8 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 F4 E8 ?? ?? ?? ?? 83 7D F8 00 74 53 C6 45 E7 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 E0 8B 45 F8 E8 ?? ?? ?? ?? 55 8B 45 E0 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D E7 00 75 0C FF 45 EC FF 4D DC 0F 85 E1 FE FF FF 8B 45 FC 83 78 0C 00 75 04 C6 45 E7 00 80 7D E7 00 75 16 8B 45 FC 83 C0 0C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B 45 FC 80 7D F3 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 5F 00 5F 00 69 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_97919_0 {
	meta:
		name = "TAdapterDispatchParams.GetHandler"
		size = 193
		refs = "0016 TAdapterDispatchParams.GetHandler 0030 TAdapterDispatchParams.GetObjectIdentifier 004d _Dn_TVariableLookup 0052 TVariableLookup.Create 006b TVariableLookup.GetObject 0086 TObject.Free 008c @HandleFinally 00ae @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F0 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 20 00 75 69 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 83 7D F4 00 74 58 6A 00 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 89 42 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 58 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97924_0 {
	meta:
		name = "TAdapterItemRequestParams.Create"
		size = 68
		refs = "000a @ClassCreate 0015 _Dn_TStringList 001a TStringList.Create 0026 TObject.Create 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 14 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_97931_0 {
	meta:
		name = "TWebSession.Create"
		size = 153
		refs = "000e @ClassCreate 001d @IntfAddRef 002d TWebSession.Create 003e @IntfCopy 0052 TObject.Create 0067 @IntfClear 0075 @HandleFinally 0082 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 8D 46 08 8B 55 08 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_97932_0 {
	meta:
		name = "TWebSession.Create"
		size = 240
		refs = "0014 @ClassCreate 0023 @IntfAddRef 002b @UStrAddRef 0033 TWebSession.Create 0044 @IntfCopy 004d TObject.Create 005b @IntfClear 006a Supports 00b4 @UStrClr 00ba @HandleFinally 00c7 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 34 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 19 8D 4D F4 8B 55 08 8B 45 F8 8B 38 FF 57 0C 8B 55 F4 8D 46 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 04 00 58 16 0C FA 6C 72 DF 47 98 10 84 A2 07 EF CA 65 }
	condition:
		$1
}

rule function_97933_0 {
	meta:
		name = "TWebSession.Create"
		size = 212
		refs = "0015 @ClassCreate 0024 @IntfAddRef 002c TWebSession.Create 003d @IntfCopy 004b @IntfClear 005a Supports 006f TWebSession.ReadSessionIDFromStore 0078 TObject.Create 008e ISessionsService 0098 @FinalizeArray 009e @HandleFinally 00ab @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 46 04 8B 55 FC E8 ?? ?? ?? ?? 83 7E 04 00 74 2C 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 84 C0 74 11 8B 45 08 50 8B 4D 0C 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 59 5D C2 08 00 00 1D C2 AA 6E CF 42 86 44 A8 E6 D9 C8 56 2B D6 81 }
	condition:
		$1
}

rule function_97934_0 {
	meta:
		name = "TWebSession.GetValue"
		size = 144
		refs = "0018 TWebSession.GetValue 002c @IntfClear 003b Supports 0057 @VarFromUStr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D FC 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 00 74 2A 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 0F 8B CE 8B 55 F8 8B 45 FC 8B 18 FF 53 18 EB 09 8B C6 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 60 8C F7 26 62 0D AE 42 B8 90 57 EF 47 5F B5 D3 }
	condition:
		$1
}

rule function_97935_0 {
	meta:
		name = "TWebSession.ReadSessionIDFromStore"
		size = 376
		refs = "0020 @IntfAddRef 0028 TWebSession.ReadSessionIDFromStore 0040 @IntfClear 004f Supports 005b @UStrClr 0081 TWebSession.ReadSessionCookie 00ca @IntfCopy 00d9 @HandleAnyException 00de @DoneExcept 0116 IWebSession 0120 @FinalizeArray 0146 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 FC 89 45 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 C8 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 18 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 4D 08 8B D3 8B 45 F0 8B 18 FF 53 0C EB 16 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 4D 08 8B D3 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1C 8D 4D E8 8B 55 F4 8B 45 F8 8B 18 FF 53 10 8B 55 E8 8B 45 EC 83 C0 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 83 78 08 00 75 19 8D 55 E4 8B 45 FC 8B 08 FF 51 0C 8B 55 E4 8B 45 EC 83 C0 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 34 94 A8 2B 6B 8F 19 41 B7 00 1D 14 00 E9 CC 87 58 16 0C FA 6C 72 DF 47 98 10 84 A2 07 EF CA 65 }
	condition:
		$1
}

rule function_97936_0 {
	meta:
		name = "TWebSession.ReadSessionCookie"
		size = 216
		refs = "0022 TWebSession.ReadSessionCookie 002f TWebRequest.GetCookieFields 003c TStrings.GetValue 0063 @UStrAsg 0073 TWebSession.WriteSessionCookie 008d @UStrArrayClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B F8 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F8 00 74 23 B3 01 8B C6 E8 ?? ?? ?? ?? 8D 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 E8 ?? ?? ?? ?? EB 02 33 DB 33 C9 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 12 00 00 00 57 00 65 00 62 00 42 00 72 00 6F 00 6B 00 65 00 72 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 49 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_97937_0 {
	meta:
		name = "TWebSession.SetValue"
		size = 124
		refs = "0012 TWebSession.SetValue 0026 @IntfClear 0035 Supports 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 00 74 27 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 0C 8B CF 8B D6 8B 45 FC 8B 18 FF 53 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 60 8C F7 26 62 0D AE 42 B8 90 57 EF 47 5F B5 D3 }
	condition:
		$1
}

rule function_97938_0 {
	meta:
		name = "TWebSession.Terminate"
		size = 184
		refs = "000e TWebSession.Terminate 0028 @IntfClear 0037 Supports 006f @IntfCopy 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 00 74 5D 83 7B 04 00 74 23 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 18 8B 43 08 8B 10 FF 52 0C 8D 43 08 E8 ?? ?? ?? ?? 83 7D FC 00 74 1E 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 8B 55 F8 8D 43 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 00 00 00 1D C2 AA 6E CF 42 86 44 A8 E6 D9 C8 56 2B D6 81 }
	condition:
		$1
}

rule function_97939_0 {
	meta:
		name = "TWebSession.WriteSessionIDToStore"
		size = 132
		refs = "0012 TWebSession.WriteSessionIDToStore 0020 @IntfClear 002f Supports 004c TWebSession.WriteSessionCookie 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 0E 8B CF 8B D6 8B 45 FC 8B 18 FF 53 10 EB 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 34 94 A8 2B 6B 8F 19 41 B7 00 1D 14 00 E9 CC 87 }
	condition:
		$1
}

rule function_97940_0 {
	meta:
		name = "TWebSession.WriteSessionCookie"
		size = 308
		refs = "0018 TWebSession.WriteSessionCookie 003f TCookieCollection.GetCookie 0049 @LStrToPChar 006c CompareStringA 0083 @LStrFromUStr 0094 TCookieCollection.Add 00a3 @LStrAsg 00ed @LStrClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D F8 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C 8B 40 08 8B 70 08 4E 85 F6 7C 5A 46 33 FF 8B 45 FC 8B 40 0C 8B D7 E8 ?? ?? ?? ?? 8B D8 8B 43 0C E8 ?? ?? ?? ?? 89 45 F4 B8 ?? ?? ?? ?? 89 45 F0 6A FF 8B 45 F0 50 6A FF 8B 45 F4 50 6A 00 68 00 04 00 00 E8 ?? ?? ?? ?? 83 E8 02 85 C0 75 12 8D 43 10 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? EB 53 47 4E 75 A9 8B 45 FC 8B 40 0C E8 ?? ?? ?? ?? 8B D8 8D 43 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC 8B 45 FC 8B 40 10 8B 08 FF 51 18 8B 55 EC 8D 43 14 E8 ?? ?? ?? ?? 8D 43 10 8B 55 F8 B9 00 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 43 20 C7 43 24 00 00 F0 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 57 65 62 42 72 6F 6B 65 72 53 65 73 73 69 6F 6E 49 44 00 00 E4 04 01 00 FF FF FF FF 12 00 00 00 57 65 62 42 72 6F 6B 65 72 53 65 73 73 69 6F 6E 49 44 00 00 }
	condition:
		$1
}

rule function_97941_0 {
	meta:
		name = "TWebSession.UpdateResponse"
		size = 220
		refs = "0013 TWebSession.UpdateResponse 0027 @IntfClear 0036 Supports 0078 TWebSession.WriteSessionIDToStore 009a @UStrClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 00 74 66 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 4B 8B 45 FC 8B 10 FF 52 28 84 C0 74 34 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 24 8D 55 F4 8B 45 F8 8B 08 FF 51 0C 8B 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? EB 0B 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 B7 BF D2 29 36 43 14 4F B1 FE 41 7A EC 40 A1 2F 4E 06 5D FF 1B FF 0E 48 BA 9D 6B 7F 8A A4 E4 77 }
	condition:
		$1
}

rule function_97942_0 {
	meta:
		name = "TWebSession.GetTimeoutMinutes"
		size = 120
		refs = "000d TWebSession.GetTimeoutMinutes 0023 @IntfClear 0032 Supports 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 83 7B 08 00 74 25 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 FC 8B 10 FF 52 10 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 B7 BF D2 29 36 43 14 4F B1 FE 41 7A EC 40 A1 2F }
	condition:
		$1
}

rule function_97943_0 {
	meta:
		name = "TWebSession.SetTimeoutMinutes"
		size = 120
		refs = "000f TWebSession.SetTimeoutMinutes 0023 @IntfClear 0032 Supports 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 00 74 25 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 FC 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B7 BF D2 29 36 43 14 4F B1 FE 41 7A EC 40 A1 2F }
	condition:
		$1
}

rule function_97944_0 {
	meta:
		name = "TWebSession.GetSessionID"
		size = 120
		refs = "000f TWebSession.GetSessionID 0023 @IntfClear 0032 Supports 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 00 74 25 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 FC 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 4E 06 5D FF 1B FF 0E 48 BA 9D 6B 7F 8A A4 E4 77 }
	condition:
		$1
}

rule function_97950_0 {
	meta:
		name = "TInvalidWebSession.Create"
		size = 67
		refs = "000b @ClassCreate 001b @UStrAsg 0024 TObject.Create 002f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_97958_0 {
	meta:
		name = "TInvalidWebSession.RaiseInvalidWebSession"
		size = 25
		refs = "0009 _DV_ESessionException 000e Exception.Create 0013 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_97961_0 {
	meta:
		name = "TBaseWebModuleFactory.Create"
		size = 80
		refs = "000e @ClassCreate 001d TObject.Create 0039 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 0F B6 45 08 88 47 08 0F B6 45 0C 88 47 09 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_97964_0 {
	meta:
		name = "TBaseWebModuleFactory.GetCreateMode"
		size = 5
	strings:
		$1 = { 0F B6 40 09 C3 }
	condition:
		$1
}

rule function_97968_0 {
	meta:
		name = "TBaseWebModuleFactory.PreventDestruction"
		size = 5
	strings:
		$1 = { C6 40 08 00 C3 }
	condition:
		$1
}

rule function_97969_0 {
	meta:
		name = "TBaseWebPageModuleFactory.Create"
		size = 79
		refs = "000d @ClassCreate 002e TAbstractWebPageModuleFactory.Create 0039 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 08 0F B6 45 08 88 46 0C 0F B6 45 0C 88 46 0D 8B 4D 10 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_97970_0 {
	meta:
		name = "TBaseWebPageModuleFactory.GetModule"
		size = 11
	strings:
		$1 = { 33 C9 B2 01 8B 40 08 FF 50 38 C3 }
	condition:
		$1
}

rule function_97975_0 {
	meta:
		name = "TBaseWebPageModuleFactory.GetModuleName"
		size = 89
		refs = "000f TBaseWebPageModuleFactory.GetModuleName 0021 TObject.ClassName 0033 @UStrCopy 0048 @UStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B 43 08 E8 ?? ?? ?? ?? 8B 45 FC B9 FF FF FF 7F BA 02 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_97977_0 {
	meta:
		name = "TWebAppPageModuleFactory.Create"
		size = 70
		refs = "000d @ClassCreate 0025 TBaseWebPageModuleFactory.Create 0030 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 0C 50 6A 01 0F B6 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_97979_0 {
	meta:
		name = "TWebPageModuleFactory.Create"
		size = 73
		refs = "000d @ClassCreate 0028 TBaseWebPageModuleFactory.Create 0033 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 10 50 0F B6 45 0C 50 0F B6 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_97980_0 {
	meta:
		name = "TWebAppDataModuleFactory.Create"
		size = 66
		refs = "000d @ClassCreate 0021 TBaseWebModuleFactory.Create 002c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 01 0F B6 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_97982_0 {
	meta:
		name = "TWebDataModuleFactory.Create"
		size = 69
		refs = "000d @ClassCreate 0024 TBaseWebModuleFactory.Create 002f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B6 45 0C 50 0F B6 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_97983_0 {
	meta:
		name = "TBaseWebPageInfo.Create"
		size = 117
		refs = "000e @ClassCreate 0027 @UStrAsg 005e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 0F B6 45 FF 88 46 10 8D 46 08 8B 55 18 E8 ?? ?? ?? ?? 8D 46 0C 8B 55 14 E8 ?? ?? ?? ?? 8D 46 14 8B 55 0C E8 ?? ?? ?? ?? 8D 46 18 8B 55 10 E8 ?? ?? ?? ?? 8D 46 1C 8B 55 08 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_97984_0 {
	meta:
		name = "TBaseWebPageInfo.GetIsPublished"
		size = 8
	strings:
		$1 = { F6 40 10 01 0F 95 C0 C3 }
	condition:
		$1
}

rule function_97985_0 {
	meta:
		name = "TBaseWebPageInfo.GetIsLoginRequired"
		size = 8
	strings:
		$1 = { F6 40 10 02 0F 95 C0 C3 }
	condition:
		$1
}

rule function_97989_0 {
	meta:
		name = "TBaseWebPageInfo.GetPageHREF"
		size = 184
		refs = "0013 TBaseWebPageInfo.GetPageHREF 001e WebContext 0044 @UStrFromLStr 0065 @UStrCatN 006e @UStrClr 008b @LStrClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 04 85 C0 74 40 E8 ?? ?? ?? ?? 8B 10 FF 52 04 8D 55 F8 8B 08 FF 51 18 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 55 F4 8B C3 8B 08 FF 51 08 FF 75 F4 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_97991_0 {
	meta:
		name = "TBaseWebPageInfo.SetFactory"
		size = 199
		refs = "0010 TBaseWebPageInfo.SetFactory 001d TAbstractWebPageInfo.SetFactory 002e TAbstractWebPageInfo.GetFactory 003b TObject.ClassName 004d @UStrCopy 005e ExtractFileExt 006b AnsiCompareFileName 0083 TObject.UnitName 0091 ChangeFileExt 009c @UStrAsg 00b6 @UStrArrayClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7B 0C 00 75 2A 8D 43 0C 50 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 10 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC B9 FF FF FF 7F BA 02 00 00 00 E8 ?? ?? ?? ?? 83 7B 08 00 74 49 8D 55 F8 8B 43 08 E8 ?? ?? ?? ?? 8B 45 F8 33 C9 8B 53 08 E8 ?? ?? ?? ?? 85 C0 75 2D 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 10 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 8D 4D F4 8B 53 08 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_97993_0 {
	meta:
		name = "TWebPageInfo.Create"
		size = 88
		refs = "000e @ClassCreate 0036 TBaseWebPageInfo.Create 0041 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 4D FF 8B DA 8B F0 8B 45 18 50 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 0F B6 4D FF 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_98005_0 {
	meta:
		name = "FindAdapter"
		size = 148
		refs = "000e FindAdapter 0020 @IntfClear 0035 Supports 0050 @CallDynaInst 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 3E 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B F8 EB 13 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 75 C2 33 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C3 00 00 00 96 BC 84 CB 65 4C D4 11 A4 8B 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98006_0 {
	meta:
		name = "FieldIndent"
		size = 184
		refs = "0015 FieldIndent 0029 @IntfClear 003e Supports 005a TAdapterFormLayout.GetFieldIndent 0064 @UStrClr 0071 @CallDynaInst 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D8 85 DB 74 56 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 24 8B 45 FC 8B 10 FF 52 0C 8B F8 85 FF 74 0C 8B 55 F8 8B C7 E8 ?? ?? ?? ?? EB 23 8B 45 F8 E8 ?? ?? ?? ?? EB 19 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 75 AA 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 F2 59 10 C5 91 AA D4 11 A5 02 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98007_0 {
	meta:
		name = "ChildTableIndent"
		size = 184
		refs = "0015 ChildTableIndent 0029 @IntfClear 003e Supports 005a TAdapterFormLayout.GetChildTableIndent 0064 @UStrClr 0071 @CallDynaInst 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 89 55 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D8 85 DB 74 56 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 24 8B 45 FC 8B 10 FF 52 0C 8B F8 85 FF 74 0C 8B 55 F8 8B C7 E8 ?? ?? ?? ?? EB 23 8B 45 F8 E8 ?? ?? ?? ?? EB 19 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 75 AA 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 F2 59 10 C5 91 AA D4 11 A5 02 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98008_0 {
	meta:
		name = "FindVariablesContainer"
		size = 148
		refs = "000e FindVariablesContainer 0020 @IntfClear 0035 Supports 0050 @CallDynaInst 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 3E 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B F8 EB 13 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 75 C2 33 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C3 00 00 00 84 68 6B D3 DE 33 50 4E 83 97 45 A0 85 C0 9D 95 }
	condition:
		$1
}

rule function_98009_0 {
	meta:
		name = "FindVariablesContainerInParent"
		size = 17
		refs = "0006 @CallDynaInst 000b FindVariablesContainer"
	strings:
		$1 = { 56 66 BE F2 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule function_98010_0 {
	meta:
		name = "MakeAdapterVariableName"
		size = 144
		refs = "0010 MakeAdapterVariableName 0022 @IntfClear 0037 Supports 0052 @CallDynaInst 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 3E 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0C 8B D7 8B 45 FC 8B 08 FF 51 0C EB 11 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 75 C2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 F5 F7 4B 0D 2A 33 D4 11 A4 74 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98011_0 {
	meta:
		name = "MakeAdapterItemVariableName"
		size = 96
		refs = "0011 FullyQualifiedName 0018 @UStrToPWChar 0021 StrScan 0037 MakeAdapterItemVariableName 003c @UStrCat3 0046 @UStrClr"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 F6 74 39 8B CB B2 02 8B C6 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 66 BA 2E 00 E8 ?? ?? ?? ?? 85 C0 74 05 66 C7 00 5F 00 85 C0 75 EA 8B 0B 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 76 00 00 00 }
	condition:
		$1
}

rule function_98012_0 {
	meta:
		name = "MakeAdapterItemVariableValue"
		size = 64
		refs = "0011 FullyQualifiedName 001a MakeAdapterItemVariableValue 001f @UStrCat3 0029 @UStrClr"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 F6 74 1C 8B CB B2 02 8B C6 E8 ?? ?? ?? ?? 8B 0B 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 76 00 00 00 }
	condition:
		$1
}

rule function_98013_0 {
	meta:
		name = "MakeAdapterHTMLName"
		size = 152
		refs = "0010 @UStrAddRef 0018 MakeAdapterHTMLName 003e Format 0047 @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 1C 53 8B 45 FC 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 25 00 73 00 2E 00 49 00 6E 00 70 00 75 00 74 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_98014_0 {
	meta:
		name = "GetAdapterModeOfAdapterInParent"
		size = 164
		refs = "0010 GetAdapterModeOfAdapterInParent 0021 @CallDynaInst 002f @IntfClear 0044 Supports 006c @UStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 3E 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0C 8B D7 8B 45 FC 8B 08 FF 51 10 EB 18 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 75 C2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 0B 5F 17 C4 2F BF 2A 4C AD AA 50 F7 DD 3A 8B E2 }
	condition:
		$1
}

rule function_98015_0 {
	meta:
		name = "GetAdapterModeOfDisplayInParent"
		size = 164
		refs = "0010 GetAdapterModeOfDisplayInParent 0021 @CallDynaInst 002f @IntfClear 0044 Supports 006c @UStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 3E 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0C 8B D7 8B 45 FC 8B 08 FF 51 0C EB 18 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 75 C2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 0B 5F 17 C4 2F BF 2A 4C AD AA 50 F7 DD 3A 8B E2 }
	condition:
		$1
}

rule function_98016_0 {
	meta:
		name = "TCustomAdapterGrid.ImplCanAddClass"
		size = 85
		refs = "000b _DV_TCustomAdapterEditColumn 0012 TObject.InheritsFrom 001c _DV_TCustomAdapterDisplayColumn 002d _DV_TCustomAdapterCommandColumn 0043 CanAddClassHelper"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 35 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 24 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 13 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98021_0 {
	meta:
		name = "TCustomAdapterGrid.ImplContent"
		size = 1100
		refs = "002e TCustomAdapterGrid.ImplContent 003e _DV_TGridLayout 0043 TAdapterFormLayout.Create 006c TCustomAdapterGrid.FormatTable 008e TObject.Free 0094 @HandleFinally 009e @IntfClear 00ad Supports 00be _DV_TAdapterFormLayout 00c3 @IsClass 00d8 @CallDynaInst 00e0 ChildTableIndent 00fa @UStrCatN 011f @UStrCat 0141 @UStrAsg 0169 _Dn_TLayoutAttributes 016e TLayoutAttributes.Create 0185 HTMLAlignValues 0198 AddQuotedAttrib 019e HTMLVAlignValues 01c7 @UStrCat3 0221 TAdapterControlGroup.GetAdapter 023d MakeAdapterVariableName 0272 Format 0292 @UStrClr 029f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 33 DB 89 5D D8 89 5D BC 89 5D E0 89 5D DC 89 5D E8 89 5D E4 89 5D EC 89 5D FC 89 4D F4 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 F8 89 98 8C 00 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 08 50 8B D3 8B CE 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 05 8C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 0F 84 48 01 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7F 8B 45 08 FF 30 8B 45 F8 66 BE F2 FF E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 F8 66 BE F2 FF E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8D 45 E4 8B 55 08 8B 12 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 F8 8B 10 FF 52 64 8B C8 8B 45 FC 5A 8B 18 FF 53 18 8B 55 E8 8B 45 08 E8 ?? ?? ?? ?? E9 D3 00 00 00 8B 45 08 FF 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 49 0C 8B 45 F0 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 49 04 8B 45 F0 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 50 8B 4D 08 8B 09 8D 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 4D F0 8B 45 FC 8B 18 FF 53 18 8B 55 E0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 FF 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 58 8B 45 F8 83 78 60 00 74 4F 8D 45 D8 50 8D 55 BC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 BC 89 45 C0 C6 45 C4 11 8B 45 F8 8B 40 60 89 45 C8 C6 45 CC 11 8B 45 08 8B 00 89 45 D0 C6 45 D4 11 8D 55 C0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 D8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5E 5B 8B E5 5D C2 04 00 00 D1 0E 81 4E 9B F0 D2 11 AA 53 00 A0 24 C1 15 62 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 2F 00 74 00 61 00 62 00 6C 00 65 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 6C 00 69 00 67 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 76 00 61 00 6C 00 69 00 67 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 85 00 00 00 3C 00 25 00 25 00 0D 00 0A 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 6C 00 61 00 73 00 74 00 4D 00 6F 00 64 00 65 00 3D 00 25 00 30 00 3A 00 73 00 2E 00 4D 00 6F 00 64 00 65 00 0D 00 0A 00 20 00 20 00 20 00 69 00 66 00 28 00 6C 00 61 00 73 00 74 00 4D 00 6F 00 64 00 65 00 3D 00 3D 00 22 00 22 00 29 00 0D 00 0A 00 20 00 20 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 25 00 30 00 3A 00 73 00 2E 00 4D 00 6F 00 64 00 65 00 3D 00 27 00 25 00 31 00 3A 00 73 00 27 00 0D 00 0A 00 20 00 20 00 20 00 7D 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 25 00 32 00 3A 00 73 00 0D 00 0A 00 3C 00 25 00 25 00 20 00 25 00 30 00 3A 00 73 00 2E 00 4D 00 6F 00 64 00 65 00 3D 00 6C 00 61 00 73 00 74 00 4D 00 6F 00 64 00 65 00 0D 00 0A 00 7D 00 20 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_98022_0 {
	meta:
		name = "TableHeader"
		size = 444
		refs = "0013 TableHeader 0032 HTMLAlign 003a @UStrCat 004a AddIntAttrib 007a AddStringAttrib 008a AddQuotedAttrib 00a5 AddCustomAttrib 00bf Format 00d4 @UStrClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 98 90 00 00 00 8D 45 FC 0F B6 53 04 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 18 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 20 E8 ?? ?? ?? ?? 56 8B 45 FC 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 65 00 6C 00 6C 00 73 00 70 00 61 00 63 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 65 00 6C 00 6C 00 70 00 61 00 64 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 62 00 6F 00 72 00 64 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 67 00 63 00 6F 00 6C 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 3C 00 74 00 61 00 62 00 6C 00 65 00 25 00 73 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_98023_0 {
	meta:
		name = "RowHeader"
		size = 348
		refs = "0014 RowHeader 0027 HTMLAlign 002f @UStrCat 003c HTMLVAlign 0054 AddQuotedAttrib 007f AddCustomAttrib 009c Format 00ae FieldIndent 00b9 @UStrCat3 00ce @UStrClr 00db @UStrArrayClr 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 0F B6 53 04 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 8D 45 FC 0F B6 53 0C 8B 0D ?? ?? ?? ?? 8B 14 91 E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 18 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 EC 8B C6 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 67 00 63 00 6F 00 6C 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 74 00 72 00 25 00 73 00 3E 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_98024_0 {
	meta:
		name = "FormatHiddenFields"
		size = 324
		refs = "0019 FormatHiddenFields 003b Format"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B F2 8B D8 85 DB 74 2F 56 89 5D E8 C6 45 EC 11 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 33 C0 89 45 F8 C6 45 FC 11 8D 55 E8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 48 00 69 00 64 00 64 00 65 00 6E 00 46 00 69 00 65 00 6C 00 64 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 62 00 00 00 3C 00 25 00 25 00 25 00 32 00 3A 00 73 00 20 00 69 00 66 00 20 00 28 00 25 00 30 00 3A 00 73 00 2E 00 25 00 31 00 3A 00 73 00 20 00 21 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 0D 00 0A 00 25 00 32 00 3A 00 73 00 20 00 20 00 20 00 7B 00 0D 00 0A 00 25 00 32 00 3A 00 73 00 20 00 20 00 20 00 20 00 20 00 25 00 30 00 3A 00 73 00 2E 00 25 00 31 00 3A 00 73 00 2E 00 57 00 72 00 69 00 74 00 65 00 46 00 69 00 65 00 6C 00 64 00 73 00 28 00 52 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 29 00 0D 00 0A 00 25 00 32 00 3A 00 73 00 20 00 20 00 20 00 7D 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_98025_0 {
	meta:
		name = "FormatHiddenRecordFields"
		size = 356
		refs = "0019 FormatHiddenRecordFields 003e Format"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 8B F2 8B D8 85 DB 74 32 56 89 5D E8 C6 45 EC 11 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 E8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 12 00 00 00 48 00 69 00 64 00 64 00 65 00 6E 00 52 00 65 00 63 00 6F 00 72 00 64 00 46 00 69 00 65 00 6C 00 64 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 62 00 00 00 3C 00 25 00 25 00 25 00 32 00 3A 00 73 00 20 00 69 00 66 00 20 00 28 00 25 00 30 00 3A 00 73 00 2E 00 25 00 31 00 3A 00 73 00 20 00 21 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 0D 00 0A 00 25 00 32 00 3A 00 73 00 20 00 20 00 20 00 7B 00 0D 00 0A 00 25 00 32 00 3A 00 73 00 20 00 20 00 20 00 20 00 20 00 25 00 30 00 3A 00 73 00 2E 00 25 00 31 00 3A 00 73 00 2E 00 57 00 72 00 69 00 74 00 65 00 46 00 69 00 65 00 6C 00 64 00 73 00 28 00 52 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 29 00 0D 00 0A 00 25 00 32 00 3A 00 73 00 20 00 20 00 20 00 7D 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_98026_0 {
	meta:
		name = "TCustomAdapterGrid.FormatTable"
		size = 1284
		refs = "0026 TCustomAdapterGrid.FormatTable 003e RowHeader 004c TableHeader 0058 @UStrCat3 0060 TAdapterControlGroup.GetVisibleFields 0065 TWebComponentList.GetCount 0089 TWebComponentList.GetComponent 0093 @IntfClear 00a8 Supports 00c8 @UStrClr 0101 @UStrCat 0128 _Dn_TWebDataDisplay 012d @IsClass 013e FieldIndent 014d FormatColumnHeading 015c @UStrCatN 017a FormatColumnData 01c7 MakeAdapterVariableName 01ed FormatHiddenRecordFields 024e Format 02d7 FormatHiddenFields 0301 @UStrArrayClr 0339 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 11 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E0 89 55 E4 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 55 D4 8B 45 FC 8B 80 94 00 00 00 E8 ?? ?? ?? ?? 59 8B 45 D4 50 55 8D 45 D0 E8 ?? ?? ?? ?? 59 8B 55 D0 8B C6 59 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 85 C0 0F 8C 28 01 00 00 40 89 45 D8 C7 45 DC 00 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC E8 ?? ?? ?? ?? 8B D8 8D 45 E8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 14 8D 45 F0 50 8B 4D E4 8B 55 E0 8B 45 E8 8B 38 FF 57 0C EB 08 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 37 8D 4D CC 8B 55 E0 8B 45 EC 8B 18 FF 53 0C 8B 55 CC 8B C6 E8 ?? ?? ?? ?? 8D 45 C8 50 8B 4D E0 8B 55 F0 8B 45 EC 8B 18 FF 53 10 8B 55 C8 8D 45 F8 E8 ?? ?? ?? ?? EB 6A 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 59 FF 36 8D 55 C4 8B 45 FC E8 ?? ?? ?? ?? FF 75 C4 8D 55 C0 8B FB 8B C7 E8 ?? ?? ?? ?? FF 75 C0 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 75 F8 8D 55 BC 8B 45 FC E8 ?? ?? ?? ?? FF 75 BC 8D 4D B8 8B 55 F0 8B C7 E8 ?? ?? ?? ?? FF 75 B8 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 DC FF 4D D8 0F 85 E3 FE FF FF FF 36 8D 55 B4 8B 45 FC E8 ?? ?? ?? ?? FF 75 B4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? FF 75 F8 8D 55 B0 8B 45 FC E8 ?? ?? ?? ?? FF 75 B0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 AC 8B 45 F4 E8 ?? ?? ?? ?? FF 75 AC 8D 45 F8 BA 05 00 00 00 E8 ?? ?? ?? ?? 83 7D F4 00 74 73 8D 45 A8 50 8B 45 F4 89 45 98 C6 45 9C 11 8D 45 94 50 55 8D 55 80 8B 45 FC 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 59 8B 45 80 89 45 84 C6 45 88 11 8B 45 F8 89 45 8C C6 45 90 11 8D 55 84 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 94 89 45 A0 C6 45 A4 11 8D 55 98 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 8B C6 E8 ?? ?? ?? ?? EB 53 8D 85 7C FF FF FF 50 55 8D 95 78 FF FF FF 8B 45 FC 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 59 8B 85 78 FF FF FF 89 45 98 C6 45 9C 11 8B 45 F8 89 45 A0 C6 45 A4 11 8D 55 98 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8D 95 74 FF FF FF 8B 45 F4 E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 74 FF FF FF BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 A8 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B6 5F 5E 5B 8B E5 5D C2 04 00 D1 1C 3E 1B 59 DF D2 11 AA 45 00 A0 24 C1 15 62 F0 E2 17 34 A0 22 D3 11 B0 03 00 C0 4F B1 6E C3 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 74 00 72 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 25 00 73 00 25 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF A5 00 00 00 3C 00 25 00 25 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 72 00 69 00 20 00 3D 00 20 00 30 00 0D 00 0A 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 65 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 45 00 6E 00 75 00 6D 00 65 00 72 00 61 00 74 00 6F 00 72 00 28 00 25 00 30 00 3A 00 73 00 2E 00 52 00 65 00 63 00 6F 00 72 00 64 00 73 00 29 00 0D 00 0A 00 20 00 20 00 20 00 66 00 6F 00 72 00 20 00 28 00 3B 00 20 00 21 00 65 00 2E 00 61 00 74 00 45 00 6E 00 64 00 28 00 29 00 3B 00 20 00 65 00 2E 00 6D 00 6F 00 76 00 65 00 4E 00 65 00 78 00 74 00 28 00 29 00 29 00 0D 00 0A 00 20 00 20 00 20 00 7B 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 25 00 31 00 3A 00 73 00 3C 00 25 00 25 00 20 00 20 00 72 00 69 00 2B 00 2B 00 0D 00 0A 00 20 00 20 00 20 00 7D 00 0D 00 0A 00 20 00 20 00 20 00 25 00 30 00 3A 00 73 00 2E 00 45 00 6E 00 64 00 49 00 74 00 65 00 72 00 61 00 74 00 69 00 6E 00 67 00 28 00 29 00 0D 00 0A 00 20 00 20 00 20 00 7D 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_98027_0 {
	meta:
		name = "TCustomAdapterGrid.SetHeadingAttributes"
		size = 12
	strings:
		$1 = { 8B 80 94 00 00 00 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_98030_0 {
	meta:
		name = "TCustomAdapterGrid.Create"
		size = 126
		refs = "000a @ClassCreate 0017 TAdapterControlGroup.Create 0020 _Dn_TGridAttributes 0025 TGridAttributes.Create 0034 _Dn_TGridRowAttributes 0039 TGridRowAttributes.Create 006b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 90 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 94 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 98 00 00 00 8B 86 90 00 00 00 C7 40 08 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98031_0 {
	meta:
		name = "TCustomAdapterGrid.Destroy"
		size = 69
		refs = "0003 @BeforeDestruction 0012 TAdapterControlGroup.Destroy 001d TObject.Free 003e @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 90 00 00 00 E8 ?? ?? ?? ?? 8B 86 94 00 00 00 E8 ?? ?? ?? ?? 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98032_0 {
	meta:
		name = "TCustomAdapterDisplayColumn.FormatTextDisplay"
		size = 488
		refs = "001f TCustomAdapterDisplayColumn.FormatTextDisplay 004c Format 0078 AddQuotedAttrib 0093 AddCustomAttrib 00cc @UStrAsg 00e1 @UStrClr 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E8 89 5D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 E8 50 89 7D E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 50 E8 ?? ?? ?? ?? 83 7D FC 00 74 33 8D 45 DC 50 8B 45 FC 89 45 EC C6 45 F0 11 8B 06 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 72 00 69 00 74 00 65 00 43 00 6F 00 6C 00 54 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 28 00 25 00 73 00 2E 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 54 00 65 00 78 00 74 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 3C 00 25 00 25 00 20 00 25 00 73 00 25 00 73 00 20 00 25 00 25 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 3C 00 73 00 70 00 61 00 6E 00 25 00 73 00 3E 00 25 00 73 00 3C 00 2F 00 73 00 70 00 61 00 6E 00 3E 00 00 00 }
	condition:
		$1
}

rule function_98033_0 {
	meta:
		name = "TCustomAdapterDisplayColumn.FormatListDisplay"
		size = 516
		refs = "001f TCustomAdapterDisplayColumn.FormatListDisplay 0035 AddQuotedAttrib 0050 AddCustomAttrib 0077 Format 00c9 @UStrCat 00de @UStrClr 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D DC 89 5D E8 89 5D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 4B 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 50 E8 ?? ?? ?? ?? 56 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 E8 50 89 7D E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 FC 89 45 EC C6 45 F0 11 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 69 00 73 00 74 00 56 00 61 00 6C 00 75 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 28 00 25 00 73 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 3C 00 25 00 25 00 20 00 6F 00 62 00 6A 00 3D 00 25 00 30 00 3A 00 73 00 25 00 31 00 3A 00 73 00 25 00 25 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 3C 00 25 00 3D 00 6F 00 62 00 6A 00 2E 00 74 00 65 00 78 00 74 00 25 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 3C 00 75 00 6C 00 20 00 25 00 30 00 3A 00 73 00 3E 00 0D 00 0A 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 75 00 6C 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_98034_0 {
	meta:
		name = "CalcDefaultAdapterInputElementType"
		size = 180
		refs = "0013 CalcDefaultAdapterInputElementType 0025 @IntfClear 003a Supports 0053 AdapterInputHTMLElementTypeNames 005d CompareText 0084 @UStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 01 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 31 8D 4D F8 8B D3 8B 45 FC 8B 18 FF 53 10 33 DB 8B 35 ?? ?? ?? ?? 8B 16 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 05 88 5D F7 EB 09 43 83 C6 04 80 FB 09 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F7 5E 5B 8B E5 5D C3 00 00 D1 57 15 1C 79 CA EE 4B 86 E2 25 3B EC 89 25 E2 }
	condition:
		$1
}

rule function_98035_0 {
	meta:
		name = "CalcDefaultAdapterDisplayElementType"
		size = 180
		refs = "0013 CalcDefaultAdapterDisplayElementType 0025 @IntfClear 003a Supports 0053 AdapterDisplayHTMLElementTypeNames 005d CompareText 0084 @UStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 31 8D 4D F8 8B D3 8B 45 FC 8B 18 FF 53 0C 33 DB 8B 35 ?? ?? ?? ?? 8B 16 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 05 88 5D F7 EB 09 43 83 C6 04 80 FB 04 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F7 5E 5B 8B E5 5D C3 00 00 D1 57 15 1C 79 CA EE 4B 86 E2 25 3B EC 89 25 E2 }
	condition:
		$1
}

rule function_98036_0 {
	meta:
		name = "CalcDefaultAdapterActionElementType"
		size = 180
		refs = "0013 CalcDefaultAdapterActionElementType 0025 @IntfClear 003a Supports 0053 AdapterActionHTMLElementTypeNames 005d CompareText 0084 @UStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 31 8D 4D F8 8B D3 8B 45 FC 8B 18 FF 53 0C 33 DB 8B 35 ?? ?? ?? ?? 8B 16 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 05 88 5D F7 EB 09 43 83 C6 04 80 FB 04 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F7 5E 5B 8B E5 5D C3 00 00 D1 57 15 1C 79 CA EE 4B 86 E2 25 3B EC 89 25 E2 }
	condition:
		$1
}

rule function_98037_0 {
	meta:
		name = "CalcDefaultAdapterViewModeType"
		size = 180
		refs = "0013 CalcDefaultAdapterViewModeType 0025 @IntfClear 003a Supports 0053 AdapterDisplayViewModeTypeNames 005d CompareText 0084 @UStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 31 8D 4D F8 8B D3 8B 45 FC 8B 18 FF 53 14 33 DB 8B 35 ?? ?? ?? ?? 8B 16 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 05 88 5D F7 EB 09 43 83 C6 04 80 FB 04 75 E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F7 5E 5B 8B E5 5D C3 00 00 D1 57 15 1C 79 CA EE 4B 86 E2 25 3B EC 89 25 E2 }
	condition:
		$1
}

rule function_98038_0 {
	meta:
		name = "ConvertDisplayType"
		size = 24
		altNames = "ConvertViewModeType"
	strings:
		$1 = { 2C 01 72 08 74 09 FE C8 74 08 EB 09 B0 01 C3 B0 02 C3 B0 03 C3 B0 01 C3 }
	condition:
		$1
}

rule function_98039_0 {
	meta:
		name = "CalcDisplayFieldViewMode"
		size = 79
		refs = "0023 CalcDefaultAdapterViewModeType 0035 ConvertViewModeType"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 FC 8B F0 8B 5D 08 84 C9 75 2F C6 03 01 B0 01 85 F6 74 2A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 03 74 0F 0F B6 45 FB E8 ?? ?? ?? ?? 88 03 B0 01 EB 08 33 C0 EB 04 88 0B B0 01 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_98041_0 {
	meta:
		name = "CalcDisplayFieldHTMLElementType"
		size = 79
		refs = "0023 CalcDefaultAdapterDisplayElementType 0035 ConvertDisplayType"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 55 FC 8B F0 8B 5D 08 84 C9 75 2F C6 03 01 B0 01 85 F6 74 2A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 03 74 0F 0F B6 45 FB E8 ?? ?? ?? ?? 88 03 B0 01 EB 08 33 C0 EB 04 88 0B B0 01 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_98042_0 {
	meta:
		name = "TCustomAdapterDisplayColumn.FormatImage"
		size = 556
		refs = "0018 TCustomAdapterDisplayColumn.FormatImage 002e AddQuotedAttrib 0051 AddIntAttrib 006f AddCustomAttrib 0089 Format 00d4 @UStrArrayClr 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 DB 89 5D FC 89 5D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 4B 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 4B 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 8B 94 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 8B 98 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 53 50 E8 ?? ?? ?? ?? 8D 45 F8 50 89 75 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 F8 89 45 D8 C6 45 DC 11 89 75 E0 C6 45 E4 11 8B 45 FC 89 45 E8 C6 45 EC 11 8D 55 D8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 77 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 68 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 3C 00 25 00 25 00 3D 00 28 00 25 00 30 00 3A 00 73 00 2E 00 49 00 6D 00 61 00 67 00 65 00 21 00 3D 00 6E 00 75 00 6C 00 6C 00 29 00 3F 00 25 00 30 00 3A 00 73 00 2E 00 49 00 6D 00 61 00 67 00 65 00 2E 00 41 00 73 00 48 00 52 00 45 00 46 00 3A 00 27 00 27 00 25 00 25 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 32 00 00 00 3C 00 69 00 6D 00 67 00 20 00 73 00 72 00 63 00 3D 00 22 00 25 00 30 00 3A 00 73 00 22 00 25 00 32 00 3A 00 73 00 20 00 61 00 6C 00 74 00 3D 00 22 00 3C 00 25 00 25 00 3D 00 25 00 31 00 3A 00 73 00 2E 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 54 00 65 00 78 00 74 00 25 00 25 00 3E 00 22 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_98044_0 {
	meta:
		name = "TCustomAdapterDisplayColumn.ControlContent"
		size = 240
		refs = "0019 TCustomAdapterDisplayColumn.ControlContent 002c @UStrClr 003b MakeAdapterVariableName 004c MakeAdapterHTMLName 0053 TAdapterDataDisplay.FindAssociatedField 0063 TAdapterDataDisplay.GetAdapterModeOfAdapter 006d CalcDefaultAdapterDisplayElementType 0072 ConvertDisplayType 0092 TCustomAdapterDisplayColumn.FormatImage 00a2 TCustomAdapterDisplayColumn.FormatListDisplay 00b2 TCustomAdapterDisplayColumn.FormatTextDisplay 00dd @UStrArrayClr 00e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 6C 08 74 0C 8B C6 E8 ?? ?? ?? ?? E9 8A 00 00 00 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 73 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F8 85 FF 74 1B 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 B0 01 2C 02 74 06 FE C8 74 16 EB 24 8B 45 F4 50 56 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 27 56 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 17 56 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98045_0 {
	meta:
		name = "TCustomAdapterDisplayColumn.Create"
		size = 73
		refs = "000a @ClassCreate 0017 TAdapterDataDisplay.Create 0036 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 94 00 00 00 FF FF FF FF C7 86 98 00 00 00 FF FF FF FF 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98050_0 {
	meta:
		name = "TCustomAdapterGrid.GetNewFieldPrefix"
		size = 40
		refs = "0006 TCustomAdapterGrid.GetNewFieldPrefix 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 43 00 6F 00 6C 00 00 00 }
	condition:
		$1
}

rule function_98051_0 {
	meta:
		name = "TCustomAdapterDisplayColumn.ImplFormatColumnHeading"
		size = 536
		refs = "0028 TCustomAdapterDisplayColumn.ImplFormatColumnHeading 003b @UStrClr 0053 AddQuotedAttrib 0061 AddCustomAttrib 0081 HTMLVAlignValues 009e HTMLAlignValues 00df Format 0100 FieldIndent 010a @UStrCat 012b @UStrAsg 0143 @UStrCat3 015d @UStrArrayClr 0178 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D DC 89 5D D0 89 5D FC 89 5D F8 89 5D F4 8B F1 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 6C 08 74 0C 8B C6 E8 ?? ?? ?? ?? E9 03 01 00 00 8B 43 48 8B 48 08 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 48 8B 50 0C 8D 45 FC E8 ?? ?? ?? ?? 8B 43 48 8B 48 10 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 48 0F B6 40 15 8B 15 ?? ?? ?? ?? 8B 0C 82 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 48 0F B6 40 14 8B 15 ?? ?? ?? ?? 8B 0C 82 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B C3 8B 08 FF 51 58 56 8B 45 FC 89 45 E0 C6 45 E4 11 8B 45 F8 89 45 E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8B 55 F0 8B C3 8B 38 FF 57 74 83 7D F4 00 74 3B 8D 45 DC 50 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8D 45 D0 8B 16 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 DC 8B C6 E8 ?? ?? ?? ?? EB 16 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 55 CC 8B 0E 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 76 00 61 00 6C 00 69 00 67 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 6C 00 69 00 67 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 74 00 68 00 25 00 73 00 3E 00 25 00 73 00 3C 00 2F 00 74 00 68 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_98052_0 {
	meta:
		name = "WriteColTextFunction"
		size = 236
		refs = "0008 WriteColTextFunction 0021 Format"
	strings:
		$1 = { 53 83 C4 F8 8B DA 53 B8 ?? ?? ?? ?? 89 44 24 04 C6 44 24 08 11 8D 54 24 04 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 72 00 69 00 74 00 65 00 43 00 6F 00 6C 00 54 00 65 00 78 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 44 00 00 00 3C 00 25 00 25 00 0D 00 0A 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 25 00 73 00 28 00 74 00 29 00 0D 00 0A 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 52 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 2E 00 57 00 72 00 69 00 74 00 65 00 28 00 28 00 74 00 21 00 3D 00 22 00 22 00 29 00 3F 00 74 00 3A 00 22 00 26 00 6E 00 62 00 73 00 70 00 22 00 29 00 0D 00 0A 00 7D 00 0D 00 0A 00 25 00 25 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_98053_0 {
	meta:
		name = "TCustomAdapterDisplayColumn.ImplGetControlRequirements"
		size = 152
		refs = "000f TCustomAdapterDisplayColumn.ImplGetControlRequirements 001e TAdapterDataDisplay.ImplGetControlRequirements 0038 WriteColTextFunction 005c @UStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 04 84 C0 75 19 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 72 00 69 00 74 00 65 00 43 00 6F 00 6C 00 54 00 65 00 78 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_98055_0 {
	meta:
		name = "TCustomAdapterDisplayColumn.CanAddClass"
		size = 11
	strings:
		$1 = { 53 8B 18 FF 93 88 00 00 00 5B C3 }
	condition:
		$1
}

rule function_98056_0 {
	meta:
		name = "TAdapterControlGroup.GetVisibleFields"
		size = 61
		refs = "000c TWebContainedContainerComponent.GetWebComponents 0011 TWebComponentList.GetCount 0030 TAdapterControlGroup.CreateDefaultFields"
	strings:
		$1 = { 53 8B D8 80 7B 64 00 74 10 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 09 8B C3 E8 ?? ?? ?? ?? 5B C3 8B C3 8B 10 FF 52 4C 85 C0 75 07 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 4C 5B C3 }
	condition:
		$1
}

rule function_98057_0 {
	meta:
		name = "TAdapterControlGroup.CreateDefaultFields"
		size = 488
		refs = "0015 TAdapterControlGroup.CreateDefaultFields 0022 TAdapterControlGroup.GetAdapter 0031 _Dn_TStringList 0036 TStringList.Create 0051 TAdapterControlGroup.GetFieldsList 005a _Dn_TWebComponentList 005f TWebComponentList.Create 006a TWebComponentList.LockNotify 00b0 TAdapterControlGroup.IsFieldInUse 00cf @IntfClear 00e4 Supports 00eb TWebContainedContainerComponent.GetWebComponents 014d TWebComponentList.UnlockNotify 0153 @HandleFinally 016a TObject.Free 01a3 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 0F 84 48 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F0 8B C3 8B 08 FF 51 50 8B 45 F4 8B 10 FF 52 14 48 85 C0 0F 8C A5 00 00 00 40 89 45 EC 33 F6 8D 4D E8 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 55 E8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 7A 8B D6 8B 45 F4 8B 08 FF 51 18 33 C9 B2 01 FF 50 38 8B F8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 14 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 18 8D 4D E4 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 55 E4 8B 45 F8 8B 08 FF 51 0C 46 FF 4D EC 0F 85 61 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 51 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 82 37 81 EB AE EE D2 11 AF B0 00 C0 4F B1 6E C3 94 BC 84 CB 65 4C D4 11 A4 8B 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98059_0 {
	meta:
		name = "TAdapterControlGroup.FindField"
		size = 220
		refs = "001a TAdapterControlGroup.FindField 0027 TWebContainedContainerComponent.GetWebComponents 002c TWebComponentList.GetCount 0044 TWebComponentList.GetComponent 0054 @IntfClear 0061 Supports 008c AnsiCompareText 00ae @UStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 61 46 33 DB 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 2B 8B C7 E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 89 45 F4 8D 55 F0 8B 45 FC 8B 08 FF 51 0C 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 74 09 43 4E 75 A2 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5F 5E 5B 8B E5 5D C3 C0 BB 2D D6 40 2C D4 11 A4 6E 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98061_0 {
	meta:
		name = "TAdapterControlGroup.SetAdapter"
		size = 200
		refs = "0010 TAdapterControlGroup.SetAdapter 0028 TComponent.FreeNotification 0037 @IntfClear 004c Supports 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 58 74 76 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 7B 58 85 FF 74 2B 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 10 8B FE 89 7B 58 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 0C 8B C3 8B 10 FF 52 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 D2 FE 44 04 5C 83 AD 4D 9C 79 49 BD C6 2A FA 8A }
	condition:
		$1
}

rule function_98063_0 {
	meta:
		name = "TAdapterControlGroup.GetFieldsList"
		size = 484
		refs = "0019 TAdapterControlGroup.GetFieldsList 0025 _DV_TAdapterDisplayColumn 0042 _DV_TAdapterDisplayField 006d TAdapterControlGroup.GetAdapter 007d @IntfClear 008a Supports 016e @UStrClr 0194 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B D3 8B C3 8B 30 FF 56 60 84 C0 74 0A A1 ?? ?? ?? ?? 89 45 E4 EB 22 8B 0D ?? ?? ?? ?? 8B D3 8B C3 8B 30 FF 56 60 84 C0 74 0A A1 ?? ?? ?? ?? 89 45 E4 EB 05 33 C0 89 45 E4 8B 45 EC 8B 10 FF 52 44 8B C3 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 C7 00 00 00 8B 45 F4 8B 10 FF 52 0C 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 A1 00 00 00 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 8E 00 00 00 46 C7 45 E8 00 00 00 00 8B 55 E8 8B 45 FC 8B 08 FF 51 18 8B F8 83 7D E4 00 74 69 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 48 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0E 8B D3 8B 45 F0 8B 08 FF 51 0C 84 C0 74 19 8D 55 E0 8B 45 F8 8B 08 FF 51 0C 8B 55 E0 8B 4D E4 8B 45 EC 8B 38 FF 57 3C FF 45 E8 4E 0F 85 7A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 00 00 00 2F 5B B4 30 B7 B5 AE 4B A6 FC EC 47 E5 B0 C9 41 B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 E1 7C 2A A2 68 AC D5 4D BE 09 18 CB BA B5 78 90 }
	condition:
		$1
}

rule function_98064_0 {
	meta:
		name = "TAdapterControlGroup.Destroy"
		size = 156
		refs = "0008 @BeforeDestruction 0014 TAdapterControlGroup.Destroy 0025 TWebControlGroup.Destroy 002d @IntfClear 0043 Supports 0059 TObject.Free 0074 @HandleFinally 0081 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 58 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 FC 8B 08 FF 51 10 8B 46 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 00 00 D2 FE 44 04 5C 83 AD 4D 9C 79 49 BD C6 2A FA 8A }
	condition:
		$1
}

rule function_98066_0 {
	meta:
		name = "TAdapterControlGroup.AdapterChange"
		size = 260
		refs = "000e TAdapterControlGroup.AdapterChange 002b TObject.Free 003c TNotifyList.GetCount 0050 TNotifyList.GetItem 0059 @IntfClear 0066 Supports 007f TWebContainedContainerComponent.GetWebComponents 0084 TWebComponentList.GetCount 009c TWebComponentList.GetComponent 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 4C 85 C0 74 15 8B C6 8B 10 FF 52 4C E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 50 8B 46 5C E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 35 43 33 FF 8B D7 8B 46 5C E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 FC 8B 08 FF 51 0C 47 4B 75 CE 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 40 43 33 FF 8B C6 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 FC 8B 08 FF 51 0C 47 4B 75 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 43 C8 2F 44 85 4F 37 41 85 64 FF 6E ED BA 14 65 }
	condition:
		$1
}

rule function_98067_0 {
	meta:
		name = "TAdapterControlGroup.GetAdapterVariableName"
		size = 176
		refs = "0011 TAdapterControlGroup.GetAdapterVariableName 001e @UStrClr 0025 TAdapterControlGroup.GetAdapter 0035 @IntfClear 0042 Supports 0060 @UStrCat3 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 1A 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 8B 4D F8 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 B0 04 02 00 FF FF FF FF 01 00 00 00 76 00 00 00 }
	condition:
		$1
}

rule function_98069_0 {
	meta:
		name = "TAdapterControlGroup.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TWebControlGroup.Create 001e _Dn_TNotifyList 0023 TNotifyList.Create 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 5C C6 46 64 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98071_0 {
	meta:
		name = "TAdapterControlGroup.GetDesigntimeWarnings"
		size = 154
		refs = "0018 TAdapterControlGroup.GetDesigntimeWarnings 0025 TAdapterControlGroup.GetAdapter 0035 sAdapterPropertyIsNil 003a LoadResString 0053 Format 0088 @UStrArrayClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 75 35 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 08 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 11 EB 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98248_0 {
	meta:
		name = "TAdapterDisplayReferenceGroup.GetDesigntimeWarnings"
		size = 154
		refs = "0018 TAdapterDisplayReferenceGroup.GetDesigntimeWarnings 0025 TWebDisplayReferenceGroup.GetWebDisplayComponent 0035 sDisplayComponentPropertyIsNil 003a LoadResString 0053 Format 0088 @UStrArrayClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 75 35 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 08 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 11 EB 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98225_0 {
	meta:
		name = "TCustomAdapterErrorList.GetDesigntimeWarnings"
		size = 154
		refs = "0018 TCustomAdapterErrorList.GetDesigntimeWarnings 0025 TCustomAdapterErrorList.GetAdapter 0035 sAdapterPropertyIsNil 003a LoadResString 0053 Format 0088 @UStrArrayClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 75 35 8D 45 FC 50 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 08 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 11 EB 10 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98072_0 {
	meta:
		name = "TAdapterControlGroup.GetAdapterModeOfAdapter"
		size = 140
		refs = "000f TAdapterControlGroup.GetAdapterModeOfAdapter 001c TAdapterControlGroup.GetAdapter 002c @IntfClear 0039 Supports 0056 @UStrAsg 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 FC 8B 08 FF 51 0C 83 3E 00 75 0A 8B C6 8B 53 60 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 7C 6A 6E 9E 4F 57 D4 11 A4 91 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98074_0 {
	meta:
		name = "TAdapterControlGroup.SetAddDefaultFields"
		size = 49
		refs = "001e TObject.Free"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 64 74 23 8B C6 8B 10 FF 52 4C 85 C0 74 15 8B C6 8B 10 FF 52 4C E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 50 88 5E 64 5E 5B C3 }
	condition:
		$1
}

rule function_98076_0 {
	meta:
		name = "TAdapterDataDisplay.SetFieldName"
		size = 300
		refs = "0011 TAdapterDataDisplay.SetFieldName 0021 AnsiCompareText 0033 @UStrAsg 003d TWebDataDisplay.GetCaption 0047 @UStrEqual 0052 TWebDataDisplay.SetCaption 0059 TWebContainedComponent.GetWebParent 009e @CallDynaInst 00bb @IntfClear 00d0 Supports 00f7 @UStrClr 0105 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 68 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 B9 00 00 00 8D 43 68 8B D6 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1F F6 43 1C 01 75 19 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0A 8B C3 8B 10 FF 92 84 00 00 00 0F B7 43 1C 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 74 4F 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 EB 0D 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 21 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 CE 85 DB 74 0A B2 01 8B 45 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 11 00 00 00 00 00 00 00 10 C3 A1 10 47 2E D3 11 B0 0E 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_98077_0 {
	meta:
		name = "TAdapterDataDisplay.GetCaption"
		size = 111
		refs = "000f TAdapterDataDisplay.GetCaption 001f TWebDataDisplay.GetCaption 002f @UStrAsg 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 1B 8B C6 8B 53 68 E8 ?? ?? ?? ?? 83 3E 00 75 15 8B C6 8B 53 08 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98078_0 {
	meta:
		name = "TAdapterDataDisplay.SetCaption"
		size = 141
		refs = "000e @UStrAddRef 0016 TAdapterDataDisplay.SetCaption 002d @UStrEqual 0038 TWebDataDisplay.SetCaption 007d @UStrClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 68 00 74 24 8B 45 FC 8B 53 68 E8 ?? ?? ?? ?? 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 2E 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 22 8B 45 FC 8B 53 08 E8 ?? ?? ?? ?? 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 0A 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_98080_0 {
	meta:
		name = "TAdapterDataDisplay.GetAdapterVariableName"
		size = 100
		refs = "000f TAdapterDataDisplay.GetAdapterVariableName 001c @UStrClr 0026 TAdapterDataDisplay.GetFieldName 0033 TAdapterDataDisplay.FindAssociatedField 003e MakeAdapterItemVariableName 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 12 8B C3 E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98204_0 {
	meta:
		name = "TCustomAdapterActionButton.GetAdapterVariableName"
		size = 100
		refs = "000f TCustomAdapterActionButton.GetAdapterVariableName 001c @UStrClr 0026 TCustomAdapterActionButton.GetActionName 0033 TCustomAdapterActionButton.FindAssociatedAction 003e MakeAdapterItemVariableName 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 12 8B C3 E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98082_0 {
	meta:
		name = "TAdapterDataDisplay.FindAssociatedField"
		size = 136
		refs = "000e TAdapterDataDisplay.FindAssociatedField 0023 FindVariablesContainerInParent 002d @IntfClear 003b Supports 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 83 7B 68 00 74 30 8B C3 E8 ?? ?? ?? ?? 8B F8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 53 68 8B 45 FC 8B 08 FF 51 0C 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 5D C3 00 00 00 B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A }
	condition:
		$1
}

rule function_98083_0 {
	meta:
		name = "TAdapterDataDisplay.FormatCaption"
		size = 488
		refs = "0018 TAdapterDataDisplay.FormatCaption 002b HTMLVAlignValues 003b AddQuotedAttrib 0048 HTMLAlignValues 0066 @UStrAsg 006e @UStrClr 008f AddCustomAttrib 010f Format 013d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 48 0F B6 40 15 8B 15 ?? ?? ?? ?? 8B 0C 82 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 48 0F B6 40 14 8B 15 ?? ?? ?? ?? 8B 0C 82 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 58 83 C0 04 8B 55 FC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 43 48 8B 48 08 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 48 8B 50 0C 8D 45 FC E8 ?? ?? ?? ?? 8B 43 48 8B 48 10 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 43 44 2C 01 72 0C 74 13 FE C8 74 18 FE C8 74 1D EB 22 8B 43 58 C6 40 0C 00 EB 19 8B 43 58 C6 40 0C 01 EB 10 8B 43 58 C6 40 0C 02 EB 07 8B 43 58 C6 40 0C 03 83 7D FC 00 74 33 56 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 E8 8B C3 8B 08 FF 51 58 8B 45 E8 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 8B 08 FF 51 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 76 00 61 00 6C 00 69 00 67 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 6C 00 69 00 67 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 3C 00 73 00 70 00 61 00 6E 00 25 00 30 00 3A 00 73 00 3E 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 73 00 70 00 61 00 6E 00 3E 00 00 00 }
	condition:
		$1
}

rule function_98084_0 {
	meta:
		name = "TAdapterDataDisplay.GetControlRequirements"
		size = 9
	strings:
		$1 = { 8B 08 FF 91 80 00 00 00 C3 }
	condition:
		$1
}

rule function_98085_0 {
	meta:
		name = "TAdapterDataDisplay.ImplGetControlRequirements"
		size = 131
		refs = "0011 TAdapterDataDisplay.ImplGetControlRequirements 0021 TAdapterDataDisplay.GetAdapterVariableName 003c TAdapterDataDisplay.FindAssociatedField 004a MakeAdapterItemVariableValue 0071 @UStrArrayClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 30 8B 55 FC 8B C6 8B 08 FF 51 10 84 C0 75 22 8B C3 E8 ?? ?? ?? ?? 8B D8 6A 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B C6 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_98086_0 {
	meta:
		name = "TAdapterDataDisplay.ImplContent"
		size = 232
		refs = "0021 TAdapterDataDisplay.ImplContent 0042 @IntfClear 0051 Supports 008f @UStrCat3 0098 @UStrClr 00b2 @UStrArrayClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F0 89 55 F4 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 F4 8B C3 8B 38 FF 57 50 83 7D F8 00 74 57 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 23 8B C3 8B 10 FF 52 68 50 56 8D 55 EC 8B C3 8B 08 FF 51 54 8B 55 EC 8B 4D F8 8B 45 FC 8B 18 FF 53 14 EB 20 8D 55 E8 8B C3 8B 08 FF 51 54 8B 55 E8 8B C6 8B 4D F8 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 04 00 00 D1 0E 81 4E 9B F0 D2 11 AA 53 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_98290_0 {
	meta:
		name = "TCustomAdapterEditColumn.ImplContent"
		size = 232
		refs = "0021 TCustomAdapterEditColumn.ImplContent 0042 @IntfClear 0051 Supports 008f @UStrCat3 0098 @UStrClr 00b2 @UStrArrayClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F0 89 55 F4 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 F4 8B C3 8B 38 FF 57 50 83 7D F8 00 74 57 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 23 8B C3 8B 10 FF 52 68 50 56 8D 55 EC 8B C3 8B 08 FF 51 54 8B 55 EC 8B 4D F8 8B 45 FC 8B 18 FF 53 14 EB 20 8D 55 E8 8B C3 8B 08 FF 51 54 8B 55 E8 8B C6 8B 4D F8 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 04 00 00 D1 0E 81 4E 9B F0 D2 11 AA 53 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_98088_0 {
	meta:
		name = "TAdapterDataDisplay.GetDesigntimeWarnings"
		size = 261
		refs = "0024 TAdapterDataDisplay.GetDesigntimeWarnings 0034 TAdapterDataDisplay.GetFieldName 0046 sAdapterFieldNameIsBlank 004b LoadResString 0064 Format 0076 TAdapterDataDisplay.FindAssociatedField 00a8 sCantFindAdapterField 00de @UStrArrayClr 00e6 @UStrClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 C9 89 4D E8 89 4D D4 89 4D D0 89 4D F8 89 4D F4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 35 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 08 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 08 FF 11 EB 55 8B C3 E8 ?? ?? ?? ?? 85 C0 75 4A 8D 45 E8 50 8B 43 08 89 45 D8 C6 45 DC 11 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 89 45 E0 C6 45 E4 11 8D 45 D8 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 E8 8B C6 8B 08 FF 11 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98205_0 {
	meta:
		name = "TCustomAdapterActionButton.GetDesigntimeWarnings"
		size = 261
		refs = "0024 TCustomAdapterActionButton.GetDesigntimeWarnings 0034 TCustomAdapterActionButton.GetActionName 0046 sAdapterActionNameIsBlank 004b LoadResString 0064 Format 0076 TCustomAdapterActionButton.FindAssociatedAction 00a8 sCantFindAdapterAction 00de @UStrArrayClr 00e6 @UStrClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 C9 89 4D E8 89 4D D4 89 4D D0 89 4D F8 89 4D F4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 35 8D 45 F8 50 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 08 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 58 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 08 FF 11 EB 55 8B C3 E8 ?? ?? ?? ?? 85 C0 75 4A 8D 45 E8 50 8B 43 08 89 45 D8 C6 45 DC 11 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 89 45 E0 C6 45 E4 11 8D 45 D8 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 E8 8B C6 8B 08 FF 11 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98089_0 {
	meta:
		name = "AddToCondition"
		size = 80
		refs = "0016 AddToCondition 001b @UStrCat"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 83 78 FC 00 74 13 8B 45 08 83 C0 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 45 08 83 C0 FC 8B D3 E8 ?? ?? ?? ?? 8B 45 08 5B 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 26 00 26 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_98090_0 {
	meta:
		name = "FormatHideFieldConditions"
		size = 468
		refs = "001c FormatHideFieldConditions 0029 @UStrClr 0051 AddToCondition 0094 Format 009f @UStrLAsg 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F4 89 5D FC 88 4D FB 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 F6 0F 84 88 00 00 00 F6 45 FB 08 74 09 8B C3 E8 ?? ?? ?? ?? EB 79 F6 45 FB 01 74 0C 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 F6 45 FB 02 74 0C 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 F6 45 FB 04 74 0C 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 83 7D FC 00 74 3D 8D 45 F4 50 89 75 EC C6 45 F0 11 8D 55 EC 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 53 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 25 00 30 00 3A 00 73 00 2E 00 43 00 61 00 6E 00 4D 00 6F 00 64 00 69 00 66 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 25 00 30 00 3A 00 73 00 2E 00 43 00 61 00 6E 00 56 00 69 00 65 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 25 00 30 00 3A 00 73 00 2E 00 56 00 69 00 73 00 69 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2F 00 00 00 3C 00 25 00 25 00 25 00 25 00 20 00 69 00 66 00 20 00 28 00 25 00 30 00 3A 00 73 00 29 00 0D 00 0A 00 20 00 20 00 20 00 7B 00 20 00 25 00 25 00 25 00 25 00 3E 00 0D 00 0A 00 25 00 25 00 73 00 3C 00 25 00 25 00 25 00 25 00 20 00 7D 00 20 00 25 00 25 00 25 00 25 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_98091_0 {
	meta:
		name = "TAdapterDataDisplay.FieldConditions"
		size = 105
		refs = "0011 TAdapterDataDisplay.FieldConditions 0022 FieldIndent 0030 MakeAdapterVariableName 003d FormatHideFieldConditions 0057 @UStrArrayClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 0F B6 4B 6C 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_98092_0 {
	meta:
		name = "TAdapterDataDisplay.FormatColumnData"
		size = 36
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 08 50 8B 4D FC 8B D6 8B C3 8B 18 FF 53 7C 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_98093_0 {
	meta:
		name = "TAdapterDataDisplay.FormatColumnHeading"
		size = 24
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 8B 18 FF 53 78 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98094_0 {
	meta:
		name = "TAdapterDataDisplay.ImplFormatColumnData"
		size = 440
		refs = "0028 TAdapterDataDisplay.ImplFormatColumnData 003b @UStrClr 004a HTMLAlignValues 005a AddQuotedAttrib 0064 HTMLVAlignValues 0098 Format 00b9 FieldIndent 00c3 @UStrCat 00e4 @UStrAsg 00fc @UStrCat3 0116 @UStrArrayClr 0131 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D E0 89 5D D4 89 5D FC 89 5D F8 89 4D F4 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 6C 08 74 0C 8B C6 E8 ?? ?? ?? ?? E9 BC 00 00 00 0F B6 43 6D 8B 15 ?? ?? ?? ?? 8B 0C 82 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 43 6E 8B 15 ?? ?? ?? ?? 8B 0C 82 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 45 F8 89 45 E4 C6 45 E8 11 89 7D EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D FC 8B 55 F4 8B C3 8B 38 FF 57 74 83 7D FC 00 74 3B 8D 45 E0 50 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8D 45 D4 8B 16 E8 ?? ?? ?? ?? 8B 45 D4 89 45 D8 C6 45 DC 11 8D 55 D8 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? EB 16 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 55 D0 8B 0E 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 6C 00 69 00 67 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 76 00 61 00 6C 00 69 00 67 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 3C 00 74 00 64 00 25 00 73 00 3E 00 3C 00 64 00 69 00 76 00 3E 00 25 00 73 00 3C 00 2F 00 64 00 69 00 76 00 3E 00 3C 00 2F 00 74 00 64 00 3E 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_98095_0 {
	meta:
		name = "TAdapterDataDisplay.ImplFormatColumnHeading"
		size = 424
		refs = "0028 TAdapterDataDisplay.ImplFormatColumnHeading 003b @UStrClr 0053 AddQuotedAttrib 0061 AddCustomAttrib 00a5 Format 00c6 FieldIndent 00d0 @UStrCat 00f1 @UStrAsg 0109 @UStrCat3 0123 @UStrArrayClr 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 DB 89 5D CC 89 5D DC 89 5D D0 89 5D FC 89 5D F8 89 5D F4 8B F1 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 6C 08 74 0C 8B C6 E8 ?? ?? ?? ?? E9 C9 00 00 00 8B 43 48 8B 48 08 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 48 8B 50 0C 8D 45 FC E8 ?? ?? ?? ?? 8B 43 48 8B 48 10 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B C3 8B 08 FF 51 58 56 8B 45 FC 89 45 E0 C6 45 E4 11 8B 45 F8 89 45 E8 C6 45 EC 11 8D 55 E0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 8B 55 F0 8B C3 8B 38 FF 57 74 83 7D F4 00 74 3B 8D 45 DC 50 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8D 45 D0 8B 16 E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 DC 8B C6 E8 ?? ?? ?? ?? EB 16 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 55 CC 8B 0E 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 74 00 68 00 25 00 73 00 3E 00 25 00 73 00 3C 00 2F 00 74 00 68 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_98096_0 {
	meta:
		name = "TAdapterDataDisplay.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TWebDataDisplay.Create 001e TAdapterDataDisplay.Create 002c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 46 6C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_98097_0 {
	meta:
		name = "TAdapterFormLayout.Create"
		size = 220
		refs = "0010 @ClassCreate 001e TAdapterFormLayout.Create 002f TLayoutWebContent.Create 0050 @UStrAsg 0064 _DV_TAdapterFormLayout 0069 @IsClass 0077 TAdapterFormLayout.GetChildTableIndent 0097 @UStrClr 009d @HandleFinally 00aa @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 19 00 C6 47 1A 00 C7 47 20 01 00 00 00 33 C0 89 47 24 8D 47 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 47 18 00 C6 47 28 00 85 F6 74 26 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 47 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 74 00 61 00 62 00 6C 00 65 00 3E 00 00 00 }
	condition:
		$1
}

rule function_98098_0 {
	meta:
		name = "TAdapterFormLayout.ImplLayoutButton"
		size = 500
		refs = "002b TAdapterFormLayout.ImplLayoutButton 003a TAdapterFormLayout.StartButtons 005e TAdapterFormLayout.GetFieldIndent 0087 Format 0091 @UStrAsg 015a @UStrArrayClr 0162 @UStrClr 0168 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D C8 89 5D C4 89 5D D0 89 5D CC 89 5D F8 89 5D D4 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7B 28 00 74 56 8D 45 F8 50 8B 06 89 45 D8 C6 45 DC 11 89 7D E0 C6 45 E4 11 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 89 45 E8 C6 45 EC 11 8B 45 FC 8B 40 08 89 45 F0 C6 45 F4 11 8D 55 D8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? E9 AA 00 00 00 83 7B 2C 01 75 53 8D 45 D0 50 8B 06 89 45 D8 C6 45 DC 11 89 7D E0 C6 45 E4 11 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 89 45 E8 C6 45 EC 11 8B 45 FC 8B 40 08 89 45 F0 C6 45 F4 11 8D 55 D8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B C6 E8 ?? ?? ?? ?? EB 51 8D 45 C8 50 8B 06 89 45 D8 C6 45 DC 11 89 7D E0 C6 45 E4 11 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8B 45 C4 89 45 E8 C6 45 EC 11 8B 45 FC 8B 40 08 89 45 F0 C6 45 F4 11 8D 55 D8 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 25 00 30 00 3A 00 73 00 25 00 33 00 3A 00 73 00 3E 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 25 00 30 00 3A 00 73 00 25 00 32 00 3A 00 73 00 3C 00 74 00 64 00 25 00 33 00 3A 00 73 00 3E 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_98099_0 {
	meta:
		name = "TAdapterFormLayout.ImplLayoutField"
		size = 316
		refs = "0021 TAdapterFormLayout.ImplLayoutField 0052 Format 0065 TAdapterFormLayout.StartFields 0071 @UStrCat3 00c1 @UStrClr 00ce @UStrArrayClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D E4 89 5D D8 89 5D FC 89 5D E8 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 48 8D 45 FC 50 8B 46 08 89 45 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 4D E8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 08 59 E8 ?? ?? ?? ?? EB 39 8D 45 E4 50 89 7D DC C6 45 E0 11 8D 55 DC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8D 4D D8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 08 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 25 00 30 00 3A 00 73 00 3E 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 3E 00 25 00 30 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_98100_0 {
	meta:
		name = "TAdapterFormLayout.ImplLayoutLabelAndField"
		size = 1064
		refs = "0024 TAdapterFormLayout.ImplLayoutLabelAndField 0036 @UStrClr 0079 TAdapterFormLayout.GetFieldIndent 0093 @UStrCatN 00ca Format 00dd TAdapterFormLayout.StartFields 00e9 @UStrCat3 0270 @UStrArrayClr 0283 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 89 55 FC 8B F0 8B 5D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 75 0D 8B 45 08 E8 ?? ?? ?? ?? E9 13 02 00 00 85 DB 0F 84 C5 01 00 00 0F B6 43 0C 2C 01 72 1B 0F 84 9D 00 00 00 FE C8 0F 84 F4 00 00 00 FE C8 0F 84 4B 01 00 00 E9 E8 01 00 00 8D 45 F8 50 68 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 04 89 45 D0 C6 45 D4 11 8B 45 FC 89 45 D8 C6 45 DC 11 8B 43 08 89 45 E0 C6 45 E4 11 89 7D E8 C6 45 EC 11 8D 55 D0 B9 03 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 4D CC BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 08 59 E8 ?? ?? ?? ?? E9 60 01 00 00 8D 45 C8 50 8B 43 08 89 45 D0 C6 45 D4 11 89 7D D8 C6 45 DC 11 8B 43 04 89 45 E0 C6 45 E4 11 8B 45 FC 89 45 E8 C6 45 EC 11 8D 55 D0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 50 8D 4D C4 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 C4 8B 45 08 59 E8 ?? ?? ?? ?? E9 01 01 00 00 8D 45 C0 50 8B 43 04 89 45 D0 C6 45 D4 11 8B 45 FC 89 45 D8 C6 45 DC 11 8B 43 08 89 45 E0 C6 45 E4 11 89 7D E8 C6 45 EC 11 8D 55 D0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 50 8D 4D BC BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 BC 8B 45 08 59 E8 ?? ?? ?? ?? E9 A2 00 00 00 8D 45 B8 50 8B 43 08 89 45 D0 C6 45 D4 11 89 7D D8 C6 45 DC 11 8B 43 04 89 45 E0 C6 45 E4 11 8B 45 FC 89 45 E8 C6 45 EC 11 8D 55 D0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 50 8D 4D B4 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 B4 8B 45 08 59 E8 ?? ?? ?? ?? EB 46 8D 45 B0 50 8B 45 FC 89 45 A0 C6 45 A4 11 89 7D A8 C6 45 AC 11 8D 55 A0 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 50 8D 4D 9C BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 9C 8B 45 08 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 B0 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 25 00 30 00 3A 00 73 00 3E 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 3C 00 74 00 64 00 20 00 25 00 32 00 3A 00 73 00 3E 00 25 00 33 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 25 00 30 00 3A 00 73 00 3E 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 0D 00 0A 00 3C 00 74 00 64 00 20 00 25 00 32 00 3A 00 73 00 3E 00 25 00 33 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 39 00 00 00 25 00 30 00 3A 00 73 00 3E 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 3C 00 2F 00 74 00 72 00 3E 00 0D 00 0A 00 3C 00 74 00 72 00 3E 00 3C 00 74 00 64 00 20 00 63 00 6F 00 6C 00 73 00 70 00 61 00 6E 00 3D 00 22 00 32 00 22 00 20 00 25 00 32 00 3A 00 73 00 3E 00 25 00 33 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 0D 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 3E 00 25 00 30 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 0D 00 0A 00 3C 00 74 00 64 00 3E 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 74 00 64 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_98101_0 {
	meta:
		name = "TAdapterFormLayout.ImplLayoutTable"
		size = 432
		refs = "0021 TAdapterFormLayout.ImplLayoutTable 003e TAdapterFormLayout.GetFieldIndent 0058 @UStrCatN 007b Format 008e TAdapterFormLayout.StartFields 009a @UStrCat3 0113 @UStrClr 0120 @UStrArrayClr 0133 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 71 8D 45 FC 50 68 ?? ?? ?? ?? 8D 55 F4 8B C3 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 46 08 89 45 E4 C6 45 E8 11 89 7D EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 4D E0 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 08 59 E8 ?? ?? ?? ?? EB 62 8D 45 DC 50 68 ?? ?? ?? ?? 8D 55 D4 8B C3 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 50 89 7D CC C6 45 D0 11 8D 55 CC 33 C9 58 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 4D C8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 08 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 25 00 30 00 3A 00 73 00 3E 00 0D 00 0A 00 25 00 31 00 3A 00 73 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 74 00 64 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3E 00 0D 00 0A 00 25 00 30 00 3A 00 73 00 00 00 }
	condition:
		$1
}

rule function_98102_0 {
	meta:
		name = "TAdapterFormLayout.StartFields"
		size = 150
		refs = "0016 TAdapterFormLayout.StartFields 0025 TAdapterFormLayout.EndButtons 003e TAdapterFormLayout.StartTable 004b TAdapterFormLayout.StartRow 005a TAdapterFormLayout.NextColumn 0069 @UStrCatN 0083 @UStrArrayClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 80 7B 18 01 74 03 FF 43 10 C6 43 18 01 FF 36 8D 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 FC 8D 55 F8 8B C3 E8 ?? ?? ?? ?? FF 75 F8 8D 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? FF 75 F4 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98103_0 {
	meta:
		name = "TAdapterFormLayout.EndField"
		size = 200
		refs = "000f TAdapterFormLayout.EndField 001c @UStrClr 0052 TAdapterFormLayout.GetFieldIndent 006b @UStrCatN 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 80 7B 18 02 75 0C 80 7B 28 00 75 06 83 7B 2C 00 74 46 80 7B 18 02 75 06 80 7B 28 00 74 3A 80 7B 1A 00 74 34 8B 43 24 3B 43 20 75 2C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 43 24 C6 43 1A 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 74 00 72 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_98104_0 {
	meta:
		name = "TAdapterFormLayout.NextColumn"
		size = 268
		refs = "0015 TAdapterFormLayout.NextColumn 0022 @UStrClr 003e TAdapterFormLayout.GetFieldIndent 004d @UStrCat3 006c TAdapterFormLayout.EndRow 0083 TAdapterFormLayout.StartRow 00a4 @UStrCatN 00e5 @UStrArrayClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 80 7B 18 02 75 27 80 7B 28 00 75 21 83 7B 2C 00 75 1B 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 73 80 7B 18 02 75 06 80 7B 28 00 74 67 8B 43 24 3B 43 20 75 0E 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 24 80 7B 1A 00 75 2F FF 36 8D 55 F8 8B C3 E8 ?? ?? ?? ?? FF 75 F8 8D 55 F4 8B C3 E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? EB 19 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 24 80 7B 18 02 75 03 FF 43 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 3C 00 74 00 64 00 00 00 }
	condition:
		$1
}

rule function_98105_0 {
	meta:
		name = "TAdapterFormLayout.StartRow"
		size = 160
		refs = "000f TAdapterFormLayout.StartRow 0025 TAdapterFormLayout.GetFieldIndent 003e @UStrCatN 004b @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 1A 00 75 29 8D 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? C6 43 1A 01 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 3C 00 74 00 72 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_98106_0 {
	meta:
		name = "TAdapterFormLayout.EndRow"
		size = 164
		refs = "000f TAdapterFormLayout.EndRow 0025 TAdapterFormLayout.GetFieldIndent 003e @UStrCatN 0050 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 1A 00 74 2E 8D 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 89 43 24 C6 43 1A 00 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 3C 00 2F 00 74 00 72 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_98107_0 {
	meta:
		name = "TAdapterFormLayout.EndTable"
		size = 192
		refs = "0011 TAdapterFormLayout.EndTable 0027 TAdapterFormLayout.EndRow 0034 TAdapterFormLayout.GetTableIndent 004d @UStrCatN 005d @UStrClr 0077 @UStrArrayClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 19 00 74 39 8D 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 FC 8D 55 F8 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? FF 4B 14 C6 43 19 00 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 2F 00 74 00 61 00 62 00 6C 00 65 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_98109_0 {
	meta:
		name = "TAdapterFormLayout.StartTable"
		size = 136
		refs = "000f TAdapterFormLayout.StartTable 002c TAdapterFormLayout.GetTableIndent 0043 @UStrCatN 004c @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 19 00 75 2A C6 43 19 01 FF 43 14 8D 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 FC FF 73 1C 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_98110_0 {
	meta:
		name = "TAdapterFormLayout.StartButtons"
		size = 151
		refs = "0013 TAdapterFormLayout.StartButtons 002d TAdapterFormLayout.EndFields 003d TAdapterFormLayout.StartTable 004a TAdapterFormLayout.StartRow 005c TAdapterFormLayout.NextColumn 006b @UStrCatN 0085 @UStrArrayClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 18 02 74 05 33 C0 89 43 2C 8B D6 8B C3 E8 ?? ?? ?? ?? C6 43 18 02 FF 36 8D 55 FC 8B C3 E8 ?? ?? ?? ?? FF 75 FC 8D 55 F8 8B C3 E8 ?? ?? ?? ?? FF 75 F8 8D 4D F4 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? FF 75 F4 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98111_0 {
	meta:
		name = "TAdapterFormLayout.EndButtons"
		size = 41
		refs = "0009 @UStrClr 001e TAdapterFormLayout.EndRow"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 80 7B 18 02 75 13 80 7B 28 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? C6 43 18 00 5E 5B C3 }
	condition:
		$1
}

rule function_98112_0 {
	meta:
		name = "TAdapterFormLayout.EndFields"
		size = 44
		refs = "0009 @UStrClr 001e TAdapterFormLayout.EndRow"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 80 7B 18 01 75 16 80 7B 28 00 75 09 8B D6 8B C3 E8 ?? ?? ?? ?? FF 4B 10 C6 43 18 00 5E 5B C3 }
	condition:
		$1
}

rule function_98113_0 {
	meta:
		name = "FillBlanks"
		size = 57
		refs = "0025 @UniqueStringU"
	strings:
		$1 = { 53 56 57 51 8B F8 8B 07 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 17 BE 01 00 00 00 8B C7 E8 ?? ?? ?? ?? 66 C7 44 70 FE 20 00 46 4B 75 EE 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98114_0 {
	meta:
		name = "TAdapterFormLayout.GetFieldIndent"
		size = 192
		refs = "0016 TAdapterFormLayout.GetFieldIndent 004a TAdapterFormLayout.GetTableIndent 0086 @UStrSetLength 008e FillBlanks 0098 @UStrAsg 00ad @UStrClr 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 10 80 7B 18 01 74 01 46 8B 43 0C 85 C0 74 05 83 E8 04 8B 00 8B D6 03 D2 03 C2 8B F0 80 7B 19 00 74 2C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8B 53 0C 85 D2 74 05 83 EA 04 8B 12 2B C2 03 F0 8B 43 34 85 C0 74 05 83 E8 04 8B 00 3B F0 74 12 8D 43 34 8B D6 E8 ?? ?? ?? ?? 8D 43 34 E8 ?? ?? ?? ?? 8B C7 8B 53 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_98115_0 {
	meta:
		name = "TAdapterFormLayout.GetTableIndent"
		size = 80
		refs = "0037 @UStrSetLength 003f FillBlanks 0049 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 14 80 7B 19 00 75 01 40 8B 53 0C 85 D2 74 05 83 EA 04 8B 12 03 C0 03 D0 8B C2 8B 53 30 85 D2 74 05 83 EA 04 8B 12 3B C2 74 11 8D 53 30 92 E8 ?? ?? ?? ?? 8D 43 30 E8 ?? ?? ?? ?? 8B C6 8B 53 30 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98116_0 {
	meta:
		name = "TAdapterFormLayout.GetChildTableIndent"
		size = 71
		refs = "0014 TAdapterFormLayout.GetChildTableIndent 0024 TAdapterFormLayout.GetFieldIndent 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC FF 40 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FF 48 10 C3 E9 ?? ?? ?? ?? EB F2 5B 59 5D C3 }
	condition:
		$1
}

rule function_98117_0 {
	meta:
		name = "TCustomAdapterForm.GetHTMLFormTag"
		size = 556
		refs = "001b TCustomAdapterForm.GetHTMLFormTag 002b TCustomAdapterForm.GetHTMLFormName 003b AddQuotedAttrib 0042 TCustomAdapterForm.GetControlRequirements 008f WebContext 00d2 @LStrCat 00dd @UStrFromLStr 0107 Format 0121 @LStrArrayClr 012e @UStrArrayClr 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 78 08 00 74 12 8D 45 FC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 43 70 2C 01 72 16 75 26 8D 45 FC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 8D 45 FC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 5A E8 ?? ?? ?? ?? 8B 10 FF 52 04 85 C0 74 4C E8 ?? ?? ?? ?? 8B 10 FF 52 04 8D 55 F0 8B 08 FF 51 18 8D 45 F0 50 E8 ?? ?? ?? ?? 8B 10 FF 52 04 8D 55 EC 8B 08 FF 51 10 8B 55 EC 58 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 45 FC 89 45 E4 C6 45 E8 11 8D 55 E4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 61 00 72 00 74 00 2F 00 66 00 6F 00 72 00 6D 00 2D 00 64 00 61 00 74 00 61 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 65 00 6E 00 63 00 74 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 67 00 65 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6D 00 65 00 74 00 68 00 6F 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 70 00 6F 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 61 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 66 00 6F 00 72 00 6D 00 25 00 73 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_98118_0 {
	meta:
		name = "FormatField"
		size = 144
		refs = "000f FormatField 001d @IntfClear 0032 Supports 0057 @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 1A 53 8B 45 08 8B 40 F8 8B 48 6C 8B 45 08 8B 50 FC 8B 45 FC 8B 18 FF 53 0C EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 D1 1C 3E 1B 59 DF D2 11 AA 45 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_98119_0 {
	meta:
		name = "FormatActionField"
		size = 148
		refs = "000b FormatActionField 0021 Format"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 53 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 55 F8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 5F 00 5F 00 61 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 3C 00 69 00 6E 00 70 00 75 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 68 00 69 00 64 00 64 00 65 00 6E 00 22 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 25 00 73 00 22 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_98120_0 {
	meta:
		name = "TCustomAdapterForm.FormatForm"
		size = 780
		refs = "0027 TCustomAdapterForm.FormatForm 0037 _DV_TAdapterFormLayout 003c TAdapterFormLayout.Create 0075 Format 0086 @UStrAsg 0093 TCustomAdapterForm.GetHTMLFormTag 00a8 TAdapterFormLayout.GetFieldIndent 00b3 FormatActionField 00c2 @UStrCatN 00ca TWebContainedContainerComponent.GetWebComponents 00cf TWebComponentList.GetCount 00e9 TWebComponentList.GetComponent 00f1 FormatField 00fc @UStrCat 010e TAdapterFormLayout.EndLayout 012c @IntfClear 013b Supports 0151 @IsClass 017b _Dn_TLayoutAttributes 0180 TLayoutAttributes.Create 0197 HTMLAlignValues 01aa AddQuotedAttrib 01b0 HTMLVAlignValues 01f3 TObject.Free 01f9 @HandleFinally 0250 @UStrArrayClr 0258 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D FC 89 55 F0 89 45 F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 6C 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 45 E8 50 8B 45 F8 8B 10 FF 52 64 8B 40 08 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 8B 40 6C 83 C0 1C E8 ?? ?? ?? ?? 8B CB 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? FF 33 68 ?? ?? ?? ?? 8D 55 DC 8B 45 F8 8B 40 6C E8 ?? ?? ?? ?? FF 75 DC 8D 45 D8 E8 ?? ?? ?? ?? FF 75 D8 8B C3 BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2A 46 33 FF 55 8B 45 F8 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 59 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 47 4E 75 D9 8D 55 D0 8B 45 F8 8B 40 6C E8 ?? ?? ?? ?? 8B 55 D0 8B C3 E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 B8 00 00 00 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8D 45 CC 50 8B 13 33 C9 8B 45 F4 8B 30 FF 56 10 8B 55 CC 8B C3 E8 ?? ?? ?? ?? E9 87 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 49 0C 8B 45 EC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 49 04 8B 45 EC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 50 8B 13 8B 4D EC 8B 45 F4 8B 30 FF 56 10 8B 55 C8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 83 C0 6C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B 45 F8 83 C0 68 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 74 00 61 00 62 00 6C 00 65 00 25 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 2F 00 66 00 6F 00 72 00 6D 00 3E 00 00 00 D1 0E 81 4E 9B F0 D2 11 AA 53 00 A0 24 C1 15 62 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 6C 00 69 00 67 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 76 00 61 00 6C 00 69 00 67 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_98121_0 {
	meta:
		name = "TCustomAdapterForm.ImplCanAddClass"
		size = 119
		refs = "000b _DV_TCustomAdapterGrid 0012 TObject.InheritsFrom 001c _DV_TCustomAdapterFieldGroup 002d _DV_TCustomAdapterCommandGroup 003e _DV_TCustomAdapterErrorList 004f _Dn_TCustomLayoutGroup 0065 CanAddClassHelper"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 57 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 46 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 35 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 24 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 13 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98122_0 {
	meta:
		name = "TCustomAdapterForm.ImplContent"
		size = 34
		refs = "0017 TCustomAdapterForm.FormatForm"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_98123_0 {
	meta:
		name = "TCustomAdapterForm.GetLayoutAttributes"
		size = 112
		refs = "000b @UStrClr 0016 TCustomAdapterForm.GetLayoutAttributes 001b AddQuotedAttrib 0036 AddCustomAttrib"
	strings:
		$1 = { 53 56 8B D8 8B 73 64 8D 46 08 E8 ?? ?? ?? ?? 8D 46 08 8B 4B 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 08 8B 4B 60 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 08 8B 53 5C E8 ?? ?? ?? ?? 8B 43 64 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_98124_0 {
	meta:
		name = "TCustomAdapterForm.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TWebControlGroup.Create 001e _Dn_TLayoutAttributes 0023 TLayoutAttributes.Create 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 64 C6 46 70 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98125_0 {
	meta:
		name = "TCustomAdapterForm.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TWebControlGroup.Destroy 001a TObject.Free 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 64 E8 ?? ?? ?? ?? 8B 46 68 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98126_0 {
	meta:
		name = "FormatField"
		size = 144
		refs = "000f FormatField 001d @IntfClear 0032 Supports 005a @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 1D 53 8B 45 08 8B 40 F8 8B 88 9C 00 00 00 8B 45 08 8B 50 FC 8B 45 FC 8B 18 FF 53 0C EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 D1 1C 3E 1B 59 DF D2 11 AA 45 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_98127_0 {
	meta:
		name = "FormatHiddenFields"
		size = 500
		refs = "0018 FormatHiddenFields 0054 Format 0095 @UStrCat3 00aa @UStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D FC 89 4D E0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 73 8D 45 FC 50 89 5D E4 C6 45 E8 11 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 33 C0 89 45 F4 C6 45 F8 11 8D 55 E4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 E0 50 89 5D E4 C6 45 E8 11 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 33 C0 89 45 F4 C6 45 F8 11 8D 55 E4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B C6 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 12 00 00 00 48 00 69 00 64 00 64 00 65 00 6E 00 52 00 65 00 63 00 6F 00 72 00 64 00 46 00 69 00 65 00 6C 00 64 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 62 00 00 00 3C 00 25 00 25 00 25 00 32 00 3A 00 73 00 20 00 69 00 66 00 20 00 28 00 25 00 30 00 3A 00 73 00 2E 00 25 00 31 00 3A 00 73 00 20 00 21 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 0D 00 0A 00 25 00 32 00 3A 00 73 00 20 00 20 00 20 00 7B 00 0D 00 0A 00 25 00 32 00 3A 00 73 00 20 00 20 00 20 00 20 00 20 00 25 00 30 00 3A 00 73 00 2E 00 25 00 31 00 3A 00 73 00 2E 00 57 00 72 00 69 00 74 00 65 00 46 00 69 00 65 00 6C 00 64 00 73 00 28 00 52 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 29 00 0D 00 0A 00 25 00 32 00 3A 00 73 00 20 00 20 00 20 00 7D 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 48 00 69 00 64 00 64 00 65 00 6E 00 46 00 69 00 65 00 6C 00 64 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_98128_0 {
	meta:
		name = "TCustomAdapterFieldGroup.FormatFields"
		size = 748
		refs = "0023 TCustomAdapterFieldGroup.FormatFields 0032 _DV_TAdapterFormLayout 0037 TAdapterFormLayout.Create 0073 Format 0087 @UStrAsg 008f @UStrClr 0097 TAdapterControlGroup.GetVisibleFields 009c TWebComponentList.GetCount 00b6 TWebComponentList.GetComponent 00be FormatField 00ca @UStrCat 00dc MakeAdapterVariableName 00ed TAdapterFormLayout.EndLayout 0103 @IntfClear 0111 Supports 0126 @IsClass 0154 _Dn_TLayoutAttributes 0159 TLayoutAttributes.Create 0170 HTMLAlignValues 0183 AddQuotedAttrib 0189 HTMLVAlignValues 01b2 @UStrCat3 01e0 TObject.Free 01e6 @HandleFinally 01f3 FormatHiddenFields 0245 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D FC 8B FA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 82 9C 00 00 00 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 45 E8 50 8B 45 F8 8B 10 FF 52 64 8B 40 08 89 45 E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 45 F8 8B 80 9C 00 00 00 83 C0 1C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2E 43 33 F6 55 8B 45 F8 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8D 55 DC E8 ?? ?? ?? ?? 59 8B 55 DC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 46 4B 75 D5 8D 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 F8 8B 80 9C 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 CF 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8D 45 D4 50 8B 55 08 8B 12 33 C9 8B 45 F4 8B 18 FF 53 18 8B 55 D4 8B 45 08 E8 ?? ?? ?? ?? E9 9B 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 49 0C 8B 45 EC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 49 04 8B 45 EC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 50 8B 4D 08 8B 09 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 CC 8B 4D EC 8B 45 F4 8B 18 FF 53 18 8B 55 D0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 C8 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 C8 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 05 9C 00 00 00 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 74 00 61 00 62 00 6C 00 65 00 25 00 73 00 3E 00 00 00 D1 0E 81 4E 9B F0 D2 11 AA 53 00 A0 24 C1 15 62 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 6C 00 69 00 67 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 76 00 61 00 6C 00 69 00 67 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_98129_0 {
	meta:
		name = "TCustomAdapterFieldGroup.ImplCanAddClass"
		size = 77
		refs = "000b _DV_TAdapterDataDisplay 0012 TObject.InheritsFrom 0025 _Dn_TCustomLayoutGroup 003b CanAddClassHelper"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 8B C3 FF 50 6C 84 C0 74 24 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 13 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98130_0 {
	meta:
		name = "TCustomAdapterFieldGroup.ImplContent"
		size = 468
		refs = "001f TCustomAdapterFieldGroup.ImplContent 0032 TCustomAdapterFieldGroup.FormatFields 0039 TAdapterControlGroup.GetAdapter 0051 MakeAdapterVariableName 0080 Format 008a @UStrAsg 009f @UStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D F8 89 5D DC 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B CF 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 4D 83 7B 60 00 74 47 8D 45 F8 50 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 8B 43 60 89 45 E8 C6 45 EC 11 8B 06 89 45 F0 C6 45 F4 11 8D 55 E0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 85 00 00 00 3C 00 25 00 25 00 0D 00 0A 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 6C 00 61 00 73 00 74 00 4D 00 6F 00 64 00 65 00 3D 00 25 00 30 00 3A 00 73 00 2E 00 4D 00 6F 00 64 00 65 00 0D 00 0A 00 20 00 20 00 20 00 69 00 66 00 28 00 6C 00 61 00 73 00 74 00 4D 00 6F 00 64 00 65 00 3D 00 3D 00 22 00 22 00 29 00 0D 00 0A 00 20 00 20 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 25 00 30 00 3A 00 73 00 2E 00 4D 00 6F 00 64 00 65 00 3D 00 27 00 25 00 31 00 3A 00 73 00 27 00 0D 00 0A 00 20 00 20 00 20 00 7D 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 25 00 32 00 3A 00 73 00 0D 00 0A 00 3C 00 25 00 25 00 20 00 25 00 30 00 3A 00 73 00 2E 00 4D 00 6F 00 64 00 65 00 3D 00 6C 00 61 00 73 00 74 00 4D 00 6F 00 64 00 65 00 0D 00 0A 00 7D 00 20 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_98131_0 {
	meta:
		name = "TCustomAdapterFieldGroup.GetLayoutAttributes"
		size = 128
		refs = "000e @UStrClr 001c TCustomAdapterFieldGroup.GetLayoutAttributes 0021 AddQuotedAttrib 0042 AddCustomAttrib"
	strings:
		$1 = { 53 56 8B D8 8B B3 98 00 00 00 8D 46 08 E8 ?? ?? ?? ?? 8D 46 08 8B 8B 8C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 08 8B 8B 94 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 08 8B 93 90 00 00 00 E8 ?? ?? ?? ?? 8B 83 98 00 00 00 5E 5B C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_98132_0 {
	meta:
		name = "TCustomAdapterFieldGroup.Create"
		size = 71
		refs = "000a @ClassCreate 0017 TAdapterControlGroup.Create 001e _Dn_TLayoutAttributes 0023 TLayoutAttributes.Create 0034 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 98 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98133_0 {
	meta:
		name = "TCustomAdapterFieldGroup.Destroy"
		size = 47
		refs = "0003 @BeforeDestruction 0012 TAdapterControlGroup.Destroy 001d TObject.Free 0028 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 98 00 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98134_0 {
	meta:
		name = "TCustomAdapterFieldGroup.GetAdapterDisplayCharacteristics"
		size = 12
		refs = "0003 TCustomAdapterFieldGroup.GetAdapterDisplayCharacteristics"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 06 00 00 00 }
	condition:
		$1
}

rule function_98138_0 {
	meta:
		name = "TCustomAdapterFieldGroup.GetAdapterFormLayout"
		size = 7
	strings:
		$1 = { 8B 80 9C 00 00 00 C3 }
	condition:
		$1
}

rule function_98139_0 {
	meta:
		name = "TCustomAdapterFieldGroup.GetNewFieldPrefix"
		size = 40
		refs = "0006 TCustomAdapterFieldGroup.GetNewFieldPrefix 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 46 00 6C 00 64 00 00 00 }
	condition:
		$1
}

rule function_98142_0 {
	meta:
		name = "TCustomAdapterForm.GetFormRequirements"
		size = 310
		refs = "001c TCustomAdapterForm.GetFormRequirements 0029 TCustomAdapterForm.GetControlRequirements 0054 TStrings.GetName 007e ExtractStringValue 00ad TGeneratedFunctions.GetItemCount 00c7 TGeneratedFunctions.GetName 00e5 TGeneratedFunctions.GetScript 0123 @UStrArrayClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 43 68 89 45 F8 8B 45 F8 8B 40 0C 8B 10 FF 52 14 8B F0 4E 85 F6 7C 61 46 33 DB 8D 4D F4 8B 45 F8 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 08 84 C0 75 3B 8D 4D EC 8B 45 F8 8B 40 0C 8B D3 8B 38 FF 57 0C 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 4D E8 8B 45 F8 8B 40 0C 8B D3 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC 59 8B 38 FF 57 0C 43 4E 75 A2 8B 45 F8 8B 40 04 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 55 46 33 DB 8D 4D E4 8B 45 F8 8B 40 04 8B D3 E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 8B 08 FF 11 84 C0 75 30 8D 4D E0 8B 45 F8 8B 40 04 8B D3 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 4D DC 8B 45 F8 8B 40 04 8B D3 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 59 8B 38 FF 57 04 43 4E 75 AE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98143_0 {
	meta:
		name = "GetRequirements"
		size = 468
		refs = "0015 @IntfAddRef 001d GetRequirements 0057 @IntfClear 0065 Supports 0167 IWebComponentContainer 0171 @FinalizeArray 0177 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 04 01 00 00 8B 45 FC 8B 10 FF 52 0C 8B F0 4E 85 F6 0F 8C F1 00 00 00 46 33 FF 8B D7 8B 45 FC 8B 08 FF 51 10 8B D8 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 11 8B 45 08 8B 40 FC 8B 50 68 8B 45 F4 8B 08 FF 51 0C 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 08 50 8B 45 F0 8B 10 FF 52 18 85 C0 74 03 83 E8 E0 E8 ?? ?? ?? ?? 59 EB 7A 8D 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 08 50 8B 45 EC 8B 10 FF 52 18 85 C0 74 03 83 E8 E0 E8 ?? ?? ?? ?? 59 EB 45 8D 45 E8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2B 8B 45 E8 8B 10 FF 52 0C 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 F8 E8 ?? ?? ?? ?? 59 47 4E 0F 85 12 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5F 5E 5B 8B E5 5D C3 9B 24 B9 4A 8D D9 2D 46 9A E0 68 20 D2 08 EF 8E BD BB 2D D6 40 2C D4 11 A4 6E 00 C0 4F 6B B8 53 93 BC 84 CB 65 4C D4 11 A4 8B 00 C0 4F 6B B8 53 F2 B0 DE 5C F9 EE D2 11 AF B1 00 C0 4F B1 6E C3 12 7E 95 44 39 E0 D2 11 AA 46 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_98144_0 {
	meta:
		name = "TCustomAdapterForm.GetControlRequirements"
		size = 65
		refs = "0013 _DV_TControlRequirements 0018 TControlRequirements.Create 0027 TWebContainedContainerComponent.GetWebComponents 0033 GetRequirements"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 78 68 00 75 28 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 68 55 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 E0 E8 ?? ?? ?? ?? 59 8B 45 FC 8B 40 68 59 5D C3 }
	condition:
		$1
}

rule function_98145_0 {
	meta:
		name = "TCustomAdapterForm.GetAdapterFormLayout"
		size = 4
	strings:
		$1 = { 8B 40 6C C3 }
	condition:
		$1
}

rule function_98146_0 {
	meta:
		name = "TCustomAdapterDisplayField.AddAttributes"
		size = 144
		refs = "000c TCustomAdapterDisplayField.AddAttributes 0011 AddIntAttrib 0020 AddQuotedAttrib 0039 AddCustomAttrib"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 4B 4C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 4B 54 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 4B 5C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 50 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 08 00 00 00 74 00 61 00 62 00 69 00 6E 00 64 00 65 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_98147_0 {
	meta:
		name = "TCustomAdapterDisplayField.FormatListDisplay"
		size = 428
		refs = "001c TCustomAdapterDisplayField.FormatListDisplay 002a TCustomAdapterDisplayField.AddAttributes 0051 Format 00a3 @UStrCat 00b8 @UStrClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 33 DB 89 5D DC 89 5D E8 89 5D FC 8B F2 8B 5D 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC E8 ?? ?? ?? ?? 53 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 E8 50 89 75 E0 C6 45 E4 11 8D 55 E0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 FC 89 45 EC C6 45 F0 11 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 69 00 73 00 74 00 56 00 61 00 6C 00 75 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 28 00 25 00 73 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 3C 00 25 00 25 00 20 00 6F 00 62 00 6A 00 3D 00 25 00 30 00 3A 00 73 00 25 00 31 00 3A 00 73 00 25 00 25 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 3C 00 25 00 3D 00 6F 00 62 00 6A 00 2E 00 74 00 65 00 78 00 74 00 25 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 3C 00 75 00 6C 00 20 00 25 00 30 00 3A 00 73 00 3E 00 0D 00 0A 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 75 00 6C 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_98148_0 {
	meta:
		name = "TCustomAdapterDisplayField.FormatTextDisplay"
		size = 344
		refs = "001c TCustomAdapterDisplayField.FormatTextDisplay 002a TCustomAdapterDisplayField.AddAttributes 0045 Format 0097 @UStrAsg 00ac @UStrClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 DB 89 5D E4 89 5D F0 89 5D FC 8B F2 8B 5D 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC E8 ?? ?? ?? ?? 53 8D 45 F0 50 89 75 E8 C6 45 EC 11 8D 55 E8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 55 F4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 33 8D 45 E4 50 8B 45 FC 89 45 D4 C6 45 D8 11 8B 03 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 19 00 00 00 3C 00 25 00 25 00 3D 00 20 00 25 00 30 00 3A 00 73 00 2E 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 54 00 65 00 78 00 74 00 20 00 25 00 25 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 30 00 3A 00 73 00 20 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 3C 00 73 00 70 00 61 00 6E 00 25 00 73 00 3E 00 25 00 73 00 3C 00 2F 00 73 00 70 00 61 00 6E 00 3E 00 00 00 }
	condition:
		$1
}

rule function_98149_0 {
	meta:
		name = "TCustomAdapterDisplayField.FormatTextInput"
		size = 452
		refs = "001b TCustomAdapterDisplayField.FormatTextInput 002b TCustomAdapterDisplayField.AddAttributes 003e AddIntAttrib 0079 Format 00b1 @UStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D E0 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 8B 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 8B A4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 FC 89 45 E4 C6 45 E8 11 8D 45 E0 50 89 75 D8 C6 45 DC 11 8D 55 D8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 89 45 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 E4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 61 00 78 00 6C 00 65 00 6E 00 67 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 3C 00 25 00 25 00 3D 00 20 00 25 00 30 00 3A 00 73 00 2E 00 45 00 64 00 69 00 74 00 54 00 65 00 78 00 74 00 20 00 25 00 25 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 38 00 00 00 3C 00 69 00 6E 00 70 00 75 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 74 00 65 00 78 00 74 00 22 00 25 00 30 00 3A 00 73 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 3C 00 25 00 25 00 3D 00 25 00 32 00 3A 00 73 00 25 00 25 00 3E 00 22 00 20 00 76 00 61 00 6C 00 75 00 65 00 3D 00 22 00 25 00 31 00 3A 00 73 00 22 00 20 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_98150_0 {
	meta:
		name = "TCustomAdapterDisplayField.FormatFileInput"
		size = 260
		refs = "0015 TCustomAdapterDisplayField.FormatFileInput 0025 TCustomAdapterDisplayField.AddAttributes 0038 AddIntAttrib 005f Format 0074 @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D FC 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 8B 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 FC 89 45 EC C6 45 F0 11 89 75 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2A 00 00 00 3C 00 69 00 6E 00 70 00 75 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 66 00 69 00 6C 00 65 00 22 00 25 00 30 00 3A 00 73 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 3C 00 25 00 25 00 3D 00 25 00 31 00 3A 00 73 00 25 00 25 00 3E 00 22 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_98151_0 {
	meta:
		name = "TCustomAdapterDisplayField.FormatTextArea"
		size = 480
		refs = "001b TCustomAdapterDisplayField.FormatTextArea 002b TCustomAdapterDisplayField.AddAttributes 003e AddIntAttrib 005e TextAreaWrap 006e AddStringAttrib 0096 Format 00ce @UStrClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D E0 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 8B 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 8B A8 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 83 AC 00 00 00 8B 15 ?? ?? ?? ?? 8B 0C 82 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 FC 89 45 E4 C6 45 E8 11 8D 45 E0 50 89 75 D8 C6 45 DC 11 8D 55 D8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 89 45 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 E4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 6F 00 6C 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 72 00 6F 00 77 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 77 00 72 00 61 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 3C 00 25 00 25 00 3D 00 20 00 25 00 30 00 3A 00 73 00 2E 00 45 00 64 00 69 00 74 00 54 00 65 00 78 00 74 00 20 00 25 00 25 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 30 00 00 00 3C 00 74 00 65 00 78 00 74 00 61 00 72 00 65 00 61 00 25 00 30 00 3A 00 73 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 3C 00 25 00 25 00 3D 00 25 00 32 00 3A 00 73 00 25 00 25 00 3E 00 22 00 3E 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 74 00 65 00 78 00 74 00 61 00 72 00 65 00 61 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_98152_0 {
	meta:
		name = "TCustomAdapterDisplayField.FormatPasswordInput"
		size = 460
		refs = "001b TCustomAdapterDisplayField.FormatPasswordInput 002b TCustomAdapterDisplayField.AddAttributes 003e AddIntAttrib 0079 Format 00b1 @UStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D E0 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 8B 90 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 8B A4 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 FC 89 45 E4 C6 45 E8 11 8D 45 E0 50 89 75 D8 C6 45 DC 11 8D 55 D8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 89 45 EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 E4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 73 00 69 00 7A 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 61 00 78 00 6C 00 65 00 6E 00 67 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 3C 00 25 00 25 00 3D 00 20 00 25 00 30 00 3A 00 73 00 2E 00 45 00 64 00 69 00 74 00 54 00 65 00 78 00 74 00 20 00 25 00 25 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3C 00 00 00 3C 00 69 00 6E 00 70 00 75 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 70 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 22 00 25 00 30 00 3A 00 73 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 3C 00 25 00 25 00 3D 00 25 00 32 00 3A 00 73 00 25 00 25 00 3E 00 22 00 20 00 76 00 61 00 6C 00 75 00 65 00 3D 00 22 00 25 00 31 00 3A 00 73 00 22 00 20 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_98153_0 {
	meta:
		name = "SelOptionsFunction"
		size = 1708
		refs = "0008 SelOptionsFunction 0021 Format"
	strings:
		$1 = {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}
	condition:
		$1
}

rule function_98154_0 {
	meta:
		name = "ListValuesFunction"
		size = 868
		refs = "0008 ListValuesFunction 0021 Format"
	strings:
		$1 = { 53 83 C4 F8 8B DA 53 B8 ?? ?? ?? ?? 89 44 24 04 C6 44 24 08 11 8D 54 24 04 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 69 00 73 00 74 00 56 00 61 00 6C 00 75 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 82 01 00 00 3C 00 25 00 25 00 0D 00 0A 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 25 00 73 00 28 00 66 00 29 00 0D 00 0A 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 73 00 3D 00 27 00 27 00 0D 00 0A 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 76 00 3D 00 27 00 27 00 0D 00 0A 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 6E 00 3D 00 27 00 27 00 0D 00 0A 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 63 00 3D 00 30 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 69 00 66 00 20 00 28 00 66 00 2E 00 56 00 61 00 6C 00 75 00 65 00 73 00 20 00 3D 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 20 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 73 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 65 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 45 00 6E 00 75 00 6D 00 65 00 72 00 61 00 74 00 6F 00 72 00 28 00 66 00 2E 00 56 00 61 00 6C 00 75 00 65 00 73 00 2E 00 52 00 65 00 63 00 6F 00 72 00 64 00 73 00 29 00 0D 00 0A 00 20 00 20 00 20 00 66 00 6F 00 72 00 20 00 28 00 3B 00 20 00 21 00 65 00 2E 00 61 00 74 00 45 00 6E 00 64 00 28 00 29 00 3B 00 20 00 65 00 2E 00 6D 00 6F 00 76 00 65 00 4E 00 65 00 78 00 74 00 28 00 29 00 29 00 0D 00 0A 00 20 00 20 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 73 00 2B 00 3D 00 20 00 27 00 3C 00 6C 00 69 00 3E 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 73 00 20 00 2B 00 3D 00 20 00 66 00 2E 00 56 00 61 00 6C 00 75 00 65 00 73 00 2E 00 56 00 61 00 6C 00 75 00 65 00 46 00 69 00 65 00 6C 00 64 00 2E 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 54 00 65 00 78 00 74 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 73 00 20 00 2B 00 3D 00 20 00 27 00 3C 00 2F 00 6C 00 69 00 3E 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 63 00 2B 00 2B 00 0D 00 0A 00 20 00 20 00 20 00 7D 00 0D 00 0A 00 20 00 20 00 20 00 65 00 2E 00 6D 00 6F 00 76 00 65 00 46 00 69 00 72 00 73 00 74 00 28 00 29 00 0D 00 0A 00 20 00 20 00 20 00 72 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 4F 00 62 00 6A 00 65 00 63 00 74 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 72 00 2E 00 74 00 65 00 78 00 74 00 20 00 3D 00 20 00 73 00 0D 00 0A 00 20 00 20 00 20 00 72 00 2E 00 63 00 6F 00 75 00 6E 00 74 00 20 00 3D 00 20 00 63 00 0D 00 0A 00 20 00 20 00 20 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 72 00 3B 00 0D 00 0A 00 20 00 7D 00 0D 00 0A 00 25 00 25 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_98155_0 {
	meta:
		name = "RadioGroupFunction"
		size = 2400
		refs = "0008 RadioGroupFunction 0032 Format"
	strings:
		$1 = { 53 83 C4 F0 8B DA 53 B8 ?? ?? ?? ?? 89 44 24 04 C6 44 24 08 11 B8 ?? ?? ?? ?? 89 44 24 0C C6 44 24 10 11 8D 54 24 04 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5B C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 61 00 64 00 69 00 6F 00 47 00 72 00 6F 00 75 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 72 00 61 00 64 00 69 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 6C 04 00 00 3C 00 25 00 25 00 0D 00 0A 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 25 00 30 00 3A 00 73 00 28 00 66 00 2C 00 6E 00 6D 00 2C 00 63 00 6F 00 6C 00 73 00 2C 00 61 00 74 00 74 00 72 00 29 00 0D 00 0A 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 73 00 3D 00 27 00 27 00 0D 00 0A 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 76 00 3D 00 27 00 27 00 0D 00 0A 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 6E 00 3D 00 27 00 27 00 0D 00 0A 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 63 00 3D 00 30 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 69 00 66 00 20 00 28 00 66 00 2E 00 56 00 61 00 6C 00 75 00 65 00 73 00 4C 00 69 00 73 00 74 00 20 00 3D 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 0D 00 0A 00 20 00 20 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 73 00 2B 00 3D 00 20 00 27 00 3C 00 69 00 6E 00 70 00 75 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 25 00 31 00 3A 00 73 00 22 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 69 00 66 00 20 00 28 00 66 00 2E 00 49 00 73 00 45 00 71 00 75 00 61 00 6C 00 28 00 74 00 72 00 75 00 65 00 29 00 29 00 20 00 73 00 2B 00 3D 00 20 00 27 00 20 00 63 00 68 00 65 00 63 00 6B 00 65 00 64 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 73 00 20 00 2B 00 3D 00 20 00 27 00 20 00 76 00 61 00 6C 00 75 00 65 00 3D 00 22 00 74 00 72 00 75 00 65 00 22 00 27 00 20 00 2B 00 20 00 27 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 27 00 20 00 2B 00 20 00 6E 00 6D 00 20 00 2B 00 20 00 27 00 22 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 69 00 66 00 20 00 28 00 61 00 74 00 74 00 72 00 21 00 3D 00 27 00 27 00 29 00 20 00 73 00 2B 00 3D 00 20 00 27 00 20 00 27 00 20 00 2B 00 20 00 61 00 74 00 74 00 72 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 73 00 20 00 2B 00 3D 00 20 00 27 00 3E 00 5C 00 72 00 5C 00 6E 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 63 00 20 00 3D 00 20 00 31 00 0D 00 0A 00 20 00 20 00 20 00 7D 00 0D 00 0A 00 20 00 20 00 20 00 65 00 6C 00 73 00 65 00 0D 00 0A 00 20 00 20 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 73 00 20 00 2B 00 3D 00 20 00 27 00 3C 00 74 00 61 00 62 00 6C 00 65 00 3E 00 3C 00 74 00 72 00 3E 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 65 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 45 00 6E 00 75 00 6D 00 65 00 72 00 61 00 74 00 6F 00 72 00 28 00 66 00 2E 00 56 00 61 00 6C 00 75 00 65 00 73 00 4C 00 69 00 73 00 74 00 2E 00 52 00 65 00 63 00 6F 00 72 00 64 00 73 00 29 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 66 00 6F 00 72 00 20 00 28 00 3B 00 20 00 21 00 65 00 2E 00 61 00 74 00 45 00 6E 00 64 00 28 00 29 00 3B 00 20 00 65 00 2E 00 6D 00 6F 00 76 00 65 00 4E 00 65 00 78 00 74 00 28 00 29 00 29 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 69 00 66 00 20 00 28 00 63 00 20 00 25 00 25 00 20 00 63 00 6F 00 6C 00 73 00 20 00 3D 00 3D 00 20 00 30 00 20 00 26 00 26 00 20 00 63 00 20 00 21 00 3D 00 20 00 30 00 29 00 20 00 73 00 20 00 2B 00 3D 00 20 00 27 00 3C 00 2F 00 74 00 72 00 3E 00 3C 00 74 00 72 00 3E 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 73 00 2B 00 3D 00 20 00 27 00 3C 00 74 00 64 00 3E 00 3C 00 69 00 6E 00 70 00 75 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 25 00 31 00 3A 00 73 00 22 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 76 00 20 00 3D 00 20 00 66 00 2E 00 56 00 61 00 6C 00 75 00 65 00 73 00 4C 00 69 00 73 00 74 00 2E 00 56 00 61 00 6C 00 75 00 65 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 63 00 68 00 65 00 63 00 6B 00 65 00 64 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 69 00 66 00 20 00 28 00 66 00 2E 00 56 00 61 00 6C 00 75 00 65 00 73 00 20 00 3D 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 63 00 68 00 65 00 63 00 6B 00 65 00 64 00 20 00 3D 00 20 00 28 00 66 00 2E 00 49 00 73 00 45 00 71 00 75 00 61 00 6C 00 28 00 76 00 29 00 29 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 65 00 6C 00 73 00 65 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 63 00 68 00 65 00 63 00 6B 00 65 00 64 00 20 00 3D 00 20 00 66 00 2E 00 56 00 61 00 6C 00 75 00 65 00 73 00 2E 00 48 00 61 00 73 00 56 00 61 00 6C 00 75 00 65 00 28 00 76 00 29 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 69 00 66 00 20 00 28 00 63 00 68 00 65 00 63 00 6B 00 65 00 64 00 29 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 73 00 2B 00 3D 00 20 00 27 00 20 00 63 00 68 00 65 00 63 00 6B 00 65 00 64 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 6E 00 20 00 3D 00 20 00 66 00 2E 00 56 00 61 00 6C 00 75 00 65 00 73 00 4C 00 69 00 73 00 74 00 2E 00 56 00 61 00 6C 00 75 00 65 00 4E 00 61 00 6D 00 65 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 69 00 66 00 20 00 28 00 6E 00 3D 00 3D 00 27 00 27 00 29 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 6E 00 20 00 3D 00 20 00 76 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 7D 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 73 00 20 00 2B 00 3D 00 20 00 27 00 20 00 76 00 61 00 6C 00 75 00 65 00 3D 00 22 00 27 00 20 00 2B 00 20 00 76 00 20 00 2B 00 20 00 27 00 22 00 27 00 20 00 2B 00 20 00 27 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 27 00 20 00 2B 00 20 00 6E 00 6D 00 20 00 2B 00 20 00 27 00 22 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 69 00 66 00 20 00 28 00 61 00 74 00 74 00 72 00 21 00 3D 00 27 00 27 00 29 00 20 00 73 00 2B 00 3D 00 20 00 27 00 20 00 27 00 20 00 2B 00 20 00 61 00 74 00 74 00 72 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 73 00 20 00 2B 00 3D 00 20 00 27 00 3E 00 27 00 20 00 2B 00 20 00 6E 00 20 00 2B 00 20 00 27 00 3C 00 2F 00 74 00 64 00 3E 00 5C 00 72 00 5C 00 6E 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 63 00 2B 00 2B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 7D 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 65 00 2E 00 6D 00 6F 00 76 00 65 00 46 00 69 00 72 00 73 00 74 00 28 00 29 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 73 00 20 00 2B 00 3D 00 20 00 27 00 3C 00 2F 00 74 00 72 00 3E 00 3C 00 2F 00 74 00 61 00 62 00 6C 00 65 00 3E 00 27 00 0D 00 0A 00 20 00 20 00 20 00 7D 00 0D 00 0A 00 20 00 20 00 20 00 72 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 4F 00 62 00 6A 00 65 00 63 00 74 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 72 00 2E 00 74 00 65 00 78 00 74 00 20 00 3D 00 20 00 73 00 0D 00 0A 00 20 00 20 00 20 00 72 00 2E 00 63 00 6F 00 75 00 6E 00 74 00 20 00 3D 00 20 00 63 00 0D 00 0A 00 20 00 20 00 20 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 72 00 3B 00 0D 00 0A 00 20 00 7D 00 0D 00 0A 00 25 00 25 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_98156_0 {
	meta:
		name = "CheckBoxGroupFunction"
		size = 2412
		refs = "0008 CheckBoxGroupFunction 0032 Format"
	strings:
		$1 = { 53 83 C4 F0 8B DA 53 B8 ?? ?? ?? ?? 89 44 24 04 C6 44 24 08 11 B8 ?? ?? ?? ?? 89 44 24 0C C6 44 24 10 11 8D 54 24 04 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5B C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 68 00 65 00 63 00 6B 00 42 00 6F 00 78 00 47 00 72 00 6F 00 75 00 70 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 68 00 65 00 63 00 6B 00 62 00 6F 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 6C 04 00 00 3C 00 25 00 25 00 0D 00 0A 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 25 00 30 00 3A 00 73 00 28 00 66 00 2C 00 6E 00 6D 00 2C 00 63 00 6F 00 6C 00 73 00 2C 00 61 00 74 00 74 00 72 00 29 00 0D 00 0A 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 73 00 3D 00 27 00 27 00 0D 00 0A 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 76 00 3D 00 27 00 27 00 0D 00 0A 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 6E 00 3D 00 27 00 27 00 0D 00 0A 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 63 00 3D 00 30 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 69 00 66 00 20 00 28 00 66 00 2E 00 56 00 61 00 6C 00 75 00 65 00 73 00 4C 00 69 00 73 00 74 00 20 00 3D 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 0D 00 0A 00 20 00 20 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 73 00 2B 00 3D 00 20 00 27 00 3C 00 69 00 6E 00 70 00 75 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 25 00 31 00 3A 00 73 00 22 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 69 00 66 00 20 00 28 00 66 00 2E 00 49 00 73 00 45 00 71 00 75 00 61 00 6C 00 28 00 74 00 72 00 75 00 65 00 29 00 29 00 20 00 73 00 2B 00 3D 00 20 00 27 00 20 00 63 00 68 00 65 00 63 00 6B 00 65 00 64 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 73 00 20 00 2B 00 3D 00 20 00 27 00 20 00 76 00 61 00 6C 00 75 00 65 00 3D 00 22 00 74 00 72 00 75 00 65 00 22 00 27 00 20 00 2B 00 20 00 27 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 27 00 20 00 2B 00 20 00 6E 00 6D 00 20 00 2B 00 20 00 27 00 22 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 69 00 66 00 20 00 28 00 61 00 74 00 74 00 72 00 21 00 3D 00 27 00 27 00 29 00 20 00 73 00 2B 00 3D 00 20 00 27 00 20 00 27 00 20 00 2B 00 20 00 61 00 74 00 74 00 72 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 73 00 20 00 2B 00 3D 00 20 00 27 00 3E 00 5C 00 72 00 5C 00 6E 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 63 00 20 00 3D 00 20 00 31 00 0D 00 0A 00 20 00 20 00 20 00 7D 00 0D 00 0A 00 20 00 20 00 20 00 65 00 6C 00 73 00 65 00 0D 00 0A 00 20 00 20 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 73 00 20 00 2B 00 3D 00 20 00 27 00 3C 00 74 00 61 00 62 00 6C 00 65 00 3E 00 3C 00 74 00 72 00 3E 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 65 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 45 00 6E 00 75 00 6D 00 65 00 72 00 61 00 74 00 6F 00 72 00 28 00 66 00 2E 00 56 00 61 00 6C 00 75 00 65 00 73 00 4C 00 69 00 73 00 74 00 2E 00 52 00 65 00 63 00 6F 00 72 00 64 00 73 00 29 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 66 00 6F 00 72 00 20 00 28 00 3B 00 20 00 21 00 65 00 2E 00 61 00 74 00 45 00 6E 00 64 00 28 00 29 00 3B 00 20 00 65 00 2E 00 6D 00 6F 00 76 00 65 00 4E 00 65 00 78 00 74 00 28 00 29 00 29 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 69 00 66 00 20 00 28 00 63 00 20 00 25 00 25 00 20 00 63 00 6F 00 6C 00 73 00 20 00 3D 00 3D 00 20 00 30 00 20 00 26 00 26 00 20 00 63 00 20 00 21 00 3D 00 20 00 30 00 29 00 20 00 73 00 20 00 2B 00 3D 00 20 00 27 00 3C 00 2F 00 74 00 72 00 3E 00 3C 00 74 00 72 00 3E 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 73 00 2B 00 3D 00 20 00 27 00 3C 00 74 00 64 00 3E 00 3C 00 69 00 6E 00 70 00 75 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 25 00 31 00 3A 00 73 00 22 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 76 00 20 00 3D 00 20 00 66 00 2E 00 56 00 61 00 6C 00 75 00 65 00 73 00 4C 00 69 00 73 00 74 00 2E 00 56 00 61 00 6C 00 75 00 65 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 63 00 68 00 65 00 63 00 6B 00 65 00 64 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 69 00 66 00 20 00 28 00 66 00 2E 00 56 00 61 00 6C 00 75 00 65 00 73 00 20 00 3D 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 63 00 68 00 65 00 63 00 6B 00 65 00 64 00 20 00 3D 00 20 00 28 00 66 00 2E 00 49 00 73 00 45 00 71 00 75 00 61 00 6C 00 28 00 76 00 29 00 29 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 65 00 6C 00 73 00 65 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 63 00 68 00 65 00 63 00 6B 00 65 00 64 00 20 00 3D 00 20 00 66 00 2E 00 56 00 61 00 6C 00 75 00 65 00 73 00 2E 00 48 00 61 00 73 00 56 00 61 00 6C 00 75 00 65 00 28 00 76 00 29 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 69 00 66 00 20 00 28 00 63 00 68 00 65 00 63 00 6B 00 65 00 64 00 29 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 73 00 2B 00 3D 00 20 00 27 00 20 00 63 00 68 00 65 00 63 00 6B 00 65 00 64 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 6E 00 20 00 3D 00 20 00 66 00 2E 00 56 00 61 00 6C 00 75 00 65 00 73 00 4C 00 69 00 73 00 74 00 2E 00 56 00 61 00 6C 00 75 00 65 00 4E 00 61 00 6D 00 65 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 69 00 66 00 20 00 28 00 6E 00 3D 00 3D 00 27 00 27 00 29 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 6E 00 20 00 3D 00 20 00 76 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 7D 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 73 00 20 00 2B 00 3D 00 20 00 27 00 20 00 76 00 61 00 6C 00 75 00 65 00 3D 00 22 00 27 00 20 00 2B 00 20 00 76 00 20 00 2B 00 20 00 27 00 22 00 27 00 20 00 2B 00 20 00 27 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 27 00 20 00 2B 00 20 00 6E 00 6D 00 20 00 2B 00 20 00 27 00 22 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 69 00 66 00 20 00 28 00 61 00 74 00 74 00 72 00 21 00 3D 00 27 00 27 00 29 00 20 00 73 00 2B 00 3D 00 20 00 27 00 20 00 27 00 20 00 2B 00 20 00 61 00 74 00 74 00 72 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 73 00 20 00 2B 00 3D 00 20 00 27 00 3E 00 27 00 20 00 2B 00 20 00 6E 00 20 00 2B 00 20 00 27 00 3C 00 2F 00 74 00 64 00 3E 00 5C 00 72 00 5C 00 6E 00 27 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 63 00 2B 00 2B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 7D 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 65 00 2E 00 6D 00 6F 00 76 00 65 00 46 00 69 00 72 00 73 00 74 00 28 00 29 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 73 00 20 00 2B 00 3D 00 20 00 27 00 3C 00 2F 00 74 00 72 00 3E 00 3C 00 2F 00 74 00 61 00 62 00 6C 00 65 00 3E 00 27 00 0D 00 0A 00 20 00 20 00 20 00 7D 00 0D 00 0A 00 20 00 20 00 20 00 72 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 4F 00 62 00 6A 00 65 00 63 00 74 00 3B 00 0D 00 0A 00 20 00 20 00 20 00 72 00 2E 00 74 00 65 00 78 00 74 00 20 00 3D 00 20 00 73 00 0D 00 0A 00 20 00 20 00 20 00 72 00 2E 00 63 00 6F 00 75 00 6E 00 74 00 20 00 3D 00 20 00 63 00 0D 00 0A 00 20 00 20 00 20 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 72 00 3B 00 0D 00 0A 00 20 00 7D 00 0D 00 0A 00 25 00 25 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_98157_0 {
	meta:
		name = "TCustomAdapterDisplayField.ImplGetControlRequirements"
		size = 476
		refs = "0015 TCustomAdapterDisplayField.ImplGetControlRequirements 0024 TAdapterDataDisplay.ImplGetControlRequirements 002e TCustomAdapterDisplayField.CalcInputElementType 006d SelOptionsFunction 0098 RadioGroupFunction 00c3 CheckBoxGroupFunction 00e4 TCustomAdapterDisplayField.CalcDisplayElementType 010a ListValuesFunction 0133 @UStrArrayClr 0139 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 FF 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 A4 00 00 00 0F B6 45 FF 04 FD 2C 02 72 13 74 3C FE C8 74 63 2C 02 0F 84 86 00 00 00 E9 87 00 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 04 84 C0 75 77 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 08 EB 5C BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 04 84 C0 75 4C 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 08 EB 31 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 04 84 C0 75 21 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 BA ?? ?? ?? ?? 8B C6 8B 38 FF 57 08 EB 06 8B C6 8B 10 FF 12 8D 55 FE 8B C3 E8 ?? ?? ?? ?? 84 C0 74 31 0F B6 45 FE 2C 03 75 29 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 04 84 C0 75 19 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 4D EC BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 6C 00 4F 00 70 00 74 00 69 00 6F 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 61 00 64 00 69 00 6F 00 47 00 72 00 6F 00 75 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 68 00 65 00 63 00 6B 00 42 00 6F 00 78 00 47 00 72 00 6F 00 75 00 70 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4C 00 69 00 73 00 74 00 56 00 61 00 6C 00 75 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_98158_0 {
	meta:
		name = "TCustomAdapterDisplayField.FormatSelect"
		size = 748
		refs = "0028 TCustomAdapterDisplayField.FormatSelect 0038 TCustomAdapterDisplayField.AddAttributes 0049 AddBoolAttrib 0070 Format 00a1 IntToStr 00b0 @UStrLAsg 00fc @UStrCatN 0114 @UStrCat 0129 @UStrClr 0146 @UStrArrayClr 014c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 DB 89 5D D4 89 5D B8 89 5D E0 89 5D FC 89 5D F8 89 4D F4 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 0F B6 4D 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 45 E0 50 89 7D D8 C6 45 DC 11 8D 55 D8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 89 45 EC C6 45 F0 11 8D 55 E4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B BB 98 00 00 00 83 FF FF 74 0C 8D 55 F8 8B C7 E8 ?? ?? ?? ?? EB 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D4 50 8B 45 FC 89 45 BC C6 45 C0 11 8B 45 F4 89 45 C4 C6 45 C8 11 B8 ?? ?? ?? ?? 89 45 CC C6 45 D0 11 8D 45 BC 50 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 B8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 B8 B9 02 00 00 00 5A E8 ?? ?? ?? ?? 8B 55 D4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6D 00 75 00 6C 00 74 00 69 00 70 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 6C 00 4F 00 70 00 74 00 69 00 6F 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 28 00 25 00 73 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 3C 00 25 00 25 00 20 00 6F 00 62 00 6A 00 3D 00 25 00 30 00 3A 00 73 00 25 00 31 00 3A 00 73 00 25 00 25 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 3C 00 25 00 25 00 3D 00 6F 00 62 00 6A 00 2E 00 63 00 6F 00 75 00 6E 00 74 00 25 00 25 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 3C 00 25 00 3D 00 6F 00 62 00 6A 00 2E 00 74 00 65 00 78 00 74 00 25 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 3C 00 73 00 65 00 6C 00 65 00 63 00 74 00 20 00 73 00 69 00 7A 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 3D 00 22 00 3C 00 25 00 25 00 3D 00 25 00 31 00 3A 00 73 00 25 00 25 00 3E 00 22 00 25 00 30 00 3A 00 73 00 3E 00 25 00 32 00 3A 00 73 00 3C 00 2F 00 73 00 65 00 6C 00 65 00 63 00 74 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_98159_0 {
	meta:
		name = "TCustomAdapterDisplayField.FormatInputGroup"
		size = 364
		refs = "001c TCustomAdapterDisplayField.FormatInputGroup 002a TCustomAdapterDisplayField.AddAttributes 0070 Format 0098 @UStrCat 00ad @UStrClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 33 DB 89 5D E4 89 5D FC 89 4D F8 8B F2 8B 5D 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 55 FC E8 ?? ?? ?? ?? 53 89 75 E8 C6 45 EC 11 8D 45 E4 50 8B 45 F8 89 45 C4 C6 45 C8 11 8B 45 10 89 45 CC C6 45 D0 11 8B 45 0C 89 45 D4 C6 45 D8 00 8B 45 FC 89 45 DC C6 45 E0 11 8D 55 C4 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 28 00 25 00 30 00 3A 00 73 00 2C 00 20 00 25 00 31 00 3A 00 73 00 2C 00 20 00 25 00 32 00 3A 00 64 00 2C 00 20 00 27 00 25 00 33 00 3A 00 73 00 27 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 3C 00 25 00 25 00 20 00 6F 00 62 00 6A 00 3D 00 25 00 30 00 3A 00 73 00 25 00 31 00 3A 00 73 00 25 00 25 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 3C 00 25 00 3D 00 6F 00 62 00 6A 00 2E 00 74 00 65 00 78 00 74 00 25 00 3E 00 00 00 }
	condition:
		$1
}

rule function_98160_0 {
	meta:
		name = "TCustomAdapterDisplayField.FormatCheckBoxGroup"
		size = 88
		refs = "001b TCustomAdapterDisplayField.FormatCheckBoxGroup 0022 TCustomAdapterDisplayField.FormatInputGroup"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 57 8B 83 B0 00 00 00 50 8B 45 08 50 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 68 00 65 00 63 00 6B 00 42 00 6F 00 78 00 47 00 72 00 6F 00 75 00 70 00 00 00 }
	condition:
		$1
}

rule function_98161_0 {
	meta:
		name = "TCustomAdapterDisplayField.FormatRadioGroup"
		size = 84
		refs = "001b TCustomAdapterDisplayField.FormatRadioGroup 0022 TCustomAdapterDisplayField.FormatInputGroup"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 57 8B 83 B0 00 00 00 50 8B 45 08 50 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 52 00 61 00 64 00 69 00 6F 00 47 00 72 00 6F 00 75 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_98162_0 {
	meta:
		name = "ConvertInputType"
		size = 78
		refs = "000b ConvertInputType"
	strings:
		$1 = { 83 E0 7F 83 F8 08 77 43 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B0 01 C3 B0 02 C3 B0 03 C3 B0 04 C3 B0 05 C3 B0 06 C3 B0 07 C3 B0 08 C3 B0 01 C3 }
	condition:
		$1
}

rule function_98163_0 {
	meta:
		name = "TCustomAdapterDisplayField.CalcInputElementType"
		size = 156
		refs = "0017 TCustomAdapterDisplayField.CalcInputElementType 0037 TAdapterDataDisplay.FindAssociatedField 0047 TAdapterDataDisplay.GetAdapterModeOfAdapter 0051 CalcDefaultAdapterInputElementType 005e ConvertInputType 0087 @UStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 86 95 00 00 00 84 C0 75 43 8B 45 FC C6 00 01 B3 01 8B C6 E8 ?? ?? ?? ?? 8B F8 85 FF 74 35 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B D8 84 DB 74 10 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 88 02 B3 01 EB 0B 33 DB EB 07 8B 55 FC 88 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_98164_0 {
	meta:
		name = "TCustomAdapterDisplayField.CalcDisplayFieldViewMode"
		size = 115
		refs = "000f TCustomAdapterDisplayField.CalcDisplayFieldViewMode 002b TAdapterDataDisplay.GetAdapterModeOfAdapter 0036 TAdapterDataDisplay.FindAssociatedField 0043 CalcDisplayFieldViewMode 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 83 AD 00 00 00 84 C0 75 27 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 0F B6 8B AD 00 00 00 5A E8 ?? ?? ?? ?? 8B D8 EB 04 88 06 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98165_0 {
	meta:
		name = "TCustomAdapterDisplayField.CalcDisplayElementType"
		size = 115
		refs = "000f TCustomAdapterDisplayField.CalcDisplayElementType 002b TAdapterDataDisplay.GetAdapterModeOfAdapter 0036 TAdapterDataDisplay.FindAssociatedField 0043 CalcDisplayFieldHTMLElementType 0060 @UStrClr 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 83 94 00 00 00 84 C0 75 27 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 0F B6 8B 94 00 00 00 5A E8 ?? ?? ?? ?? 8B D8 EB 04 88 06 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98166_0 {
	meta:
		name = "TCustomAdapterDisplayField.GetLayoutAttributes"
		size = 132
		refs = "0007 TWebDataDisplay.GetLayoutAttributes 0011 @UStrClr 001b HTMLAlignValues 0026 TCustomAdapterDisplayField.GetLayoutAttributes 002b AddQuotedAttrib 0035 HTMLVAlignValues"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 46 08 E8 ?? ?? ?? ?? 0F B6 43 6D 8B 15 ?? ?? ?? ?? 8B 0C 82 8D 46 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 43 6E 8B 15 ?? ?? ?? ?? 8B 0C 82 8D 46 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 6C 00 69 00 67 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 76 00 61 00 6C 00 69 00 67 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_98167_0 {
	meta:
		name = "TCustomAdapterDisplayField.ImplContent"
		size = 452
		refs = "0025 TCustomAdapterDisplayField.ImplContent 005d @IntfClear 006c Supports 0084 TAdapterFormLayout.EndField 0092 TAdapterFormLayout.StartTable 009e @UStrCat3 0119 @UStrCat 0139 Format 0143 @UStrAsg 0158 @UStrClr 0172 @UStrArrayClr 0195 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E4 89 55 E8 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B 55 E8 8B C3 8B 38 FF 57 50 83 7D F0 00 0F 84 0F 01 00 00 8D 4D F8 8B 55 E8 8B C3 8B 38 FF 57 74 83 7D F8 00 74 49 8D 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 2E 8B 45 EC 8B 10 FF 52 0C 8B F8 8D 55 E0 8B C7 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 55 DC 8B C7 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F4 59 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 23 8B C3 8B 10 FF 52 68 50 56 8D 55 D8 8B C3 8B 08 FF 51 54 8B 55 D8 8B 4D F0 8B 45 FC 8B 18 FF 53 14 EB 17 8D 55 D4 8B C3 8B 08 FF 51 54 8B 55 D4 8B C6 8B 4D F0 E8 ?? ?? ?? ?? 83 7D F8 00 74 20 83 7D EC 00 74 1A 8B 45 EC 8B 10 FF 52 0C 8D 55 D0 E8 ?? ?? ?? ?? 8B 55 D0 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 74 24 8D 45 CC 50 8B 06 89 45 C4 C6 45 C8 11 8D 55 C4 33 C9 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 CC 8B C6 E8 ?? ?? ?? ?? 8B 0E 8B C6 8B 55 F4 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 5F 5E 5B 8B E5 5D C2 04 00 F2 59 10 C5 91 AA D4 11 A5 02 00 C0 4F 6B B8 53 D1 0E 81 4E 9B F0 D2 11 AA 53 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_98168_0 {
	meta:
		name = "FormatInputControl"
		size = 281
		refs = "0015 FormatInputControl 0051 TCustomAdapterDisplayField.FormatPasswordInput 006c TCustomAdapterDisplayField.FormatTextInput 0089 TCustomAdapterDisplayField.FormatSelect 00c1 TCustomAdapterDisplayField.FormatRadioGroup 00dc TCustomAdapterDisplayField.FormatCheckBoxGroup 00f7 TCustomAdapterDisplayField.FormatTextArea 0112 TCustomAdapterDisplayField.FormatFileInput"
	strings:
		$1 = { 55 8B EC 53 8B DA 83 E0 7F 83 F8 08 0F 87 04 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 53 8B 45 08 8B 48 F4 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5B 5D C3 53 8B 45 08 8B 48 F4 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5B 5D C3 6A 00 53 8B 45 08 8B 48 F4 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5B 5D C3 6A 01 53 8B 45 08 8B 48 F4 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5B 5D C3 53 8B 45 08 8B 48 F4 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5B 5D C3 53 8B 45 08 8B 48 F4 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5B 5D C3 53 8B 45 08 8B 48 F4 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5B 5D C3 53 8B 45 08 8B 48 F4 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_98169_0 {
	meta:
		name = "FormatDisplayControl"
		size = 108
		refs = "002f TCustomAdapterDisplayField.FormatImage 004a TCustomAdapterDisplayField.FormatTextDisplay 0065 TCustomAdapterDisplayField.FormatListDisplay"
	strings:
		$1 = { 55 8B EC 53 8B DA FE C8 74 2C FE C8 74 06 FE C8 74 3F EB 55 8B 45 08 8B 40 F0 50 53 8B 45 08 8B 48 F4 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5B 5D C3 53 8B 45 08 8B 48 F4 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5B 5D C3 53 8B 45 08 8B 48 F4 8B 45 08 8B 50 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 5B 5D C3 }
	condition:
		$1
}

rule function_98170_0 {
	meta:
		name = "FormatToggleOnAccess"
		size = 472
		refs = "0018 FormatToggleOnAccess 002c TCustomAdapterDisplayField.CalcInputElementType 0040 FormatInputControl 004f TCustomAdapterDisplayField.CalcDisplayElementType 0063 FormatDisplayControl 0094 FieldIndent 00b0 Format 00c5 @UStrClr 00d2 @UStrArrayClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 D2 89 55 D0 89 55 FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F7 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 11 8B 45 08 50 0F B6 45 F7 8D 55 F8 E8 ?? ?? ?? ?? 59 8D 55 F6 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 11 8B 45 08 50 0F B6 45 F6 8D 55 FC E8 ?? ?? ?? ?? 59 53 8B 45 08 8B 40 F8 89 45 D4 C6 45 D8 11 8B 45 F8 89 45 DC C6 45 E0 11 8B 45 FC 89 45 E4 C6 45 E8 11 8D 55 D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 D0 89 45 EC C6 45 F0 11 8D 55 D4 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 73 00 00 00 3C 00 25 00 25 00 20 00 69 00 66 00 20 00 28 00 25 00 30 00 3A 00 73 00 2E 00 43 00 61 00 6E 00 4D 00 6F 00 64 00 69 00 66 00 79 00 29 00 0D 00 0A 00 20 00 20 00 20 00 7B 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 25 00 33 00 3A 00 73 00 25 00 31 00 3A 00 73 00 0D 00 0A 00 3C 00 25 00 25 00 20 00 7D 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 3C 00 25 00 25 00 20 00 65 00 6C 00 73 00 65 00 20 00 69 00 66 00 20 00 28 00 25 00 30 00 3A 00 73 00 2E 00 43 00 61 00 6E 00 56 00 69 00 65 00 77 00 29 00 0D 00 0A 00 20 00 20 00 20 00 7B 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 25 00 33 00 3A 00 73 00 25 00 32 00 3A 00 73 00 0D 00 0A 00 3C 00 25 00 25 00 20 00 7D 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_98171_0 {
	meta:
		name = "TCustomAdapterDisplayField.ControlContent"
		size = 372
		refs = "0020 TCustomAdapterDisplayField.ControlContent 0036 @UStrClr 0046 MakeAdapterVariableName 0062 MakeAdapterHTMLName 006d TCustomAdapterDisplayField.CalcDisplayFieldViewMode 0099 TCustomAdapterDisplayField.CalcInputElementType 00aa FormatInputControl 00b5 @UStrAsg 00c2 TCustomAdapterDisplayField.CalcDisplayElementType 00d3 FormatDisplayControl 0112 FormatToggleOnAccess 0145 @UStrArrayClr 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 8B D9 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 6C 08 74 0C 8B C3 E8 ?? ?? ?? ?? E9 F0 00 00 00 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 C8 00 00 00 8D 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 ED 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 B6 00 00 00 0F B6 45 ED FE C8 74 11 FE C8 74 5F FE C8 0F 84 80 00 00 00 E9 9D 00 00 00 8D 55 EF 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 1A 55 0F B6 45 EF 8D 55 E8 E8 ?? ?? ?? ?? 59 8B 55 E8 8B C3 E8 ?? ?? ?? ?? EB 74 8D 55 EE 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 65 55 0F B6 45 EE 8D 55 E4 E8 ?? ?? ?? ?? 59 8B 55 E4 8B C3 E8 ?? ?? ?? ?? EB 4B 8D 55 EE 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3C 55 0F B6 45 EE 8D 55 E0 E8 ?? ?? ?? ?? 59 8B 55 E0 8B C3 E8 ?? ?? ?? ?? EB 22 55 8D 45 DC E8 ?? ?? ?? ?? 59 8B 55 DC 8B C3 E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_98172_0 {
	meta:
		name = "TCustomAdapterDisplayField.Create"
		size = 121
		refs = "000a @ClassCreate 0017 TAdapterDataDisplay.Create 0066 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 86 90 00 00 00 FF FF FF FF C7 86 9C 00 00 00 FF FF FF FF C7 86 A0 00 00 00 FF FF FF FF 33 C0 89 86 98 00 00 00 C7 86 A4 00 00 00 FF FF FF FF C7 86 A8 00 00 00 FF FF FF FF C7 86 B0 00 00 00 01 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98173_0 {
	meta:
		name = "TCustomAdapterDisplayField.ImplRestoreDefaults"
		size = 308
		refs = "0011 TCustomAdapterDisplayField.ImplRestoreDefaults 001e TAdapterDataDisplay.ImplRestoreDefaults 0025 TAdapterDataDisplay.FindAssociatedField 0037 @IntfClear 004c Supports 00d8 @UStrClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 0F 84 94 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 FC 8B 10 FF 52 0C 89 83 90 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 F0 8B 45 F8 8B 08 FF 51 0C 8B 55 F0 8B C3 8B 08 FF 51 5C 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 F4 8B 10 FF 52 0C 89 83 A4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 00 B6 86 3C A2 2A 67 D4 11 A4 A7 00 C0 4F 6B B8 53 B7 86 3C A2 2A 67 D4 11 A4 A7 00 C0 4F 6B B8 53 39 76 2D 77 09 82 44 47 91 46 2B 6D 3A 5F 22 0F }
	condition:
		$1
}

rule function_98175_0 {
	meta:
		name = "TCustomAdapterDisplayField.FormatImage"
		size = 476
		refs = "0018 TCustomAdapterDisplayField.FormatImage 0028 TCustomAdapterDisplayField.AddAttributes 003b AddIntAttrib 0068 Format 00b3 @UStrArrayClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 DB 89 5D FC 89 5D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 8B 9C 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 8B 8B A0 00 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 89 75 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 F8 89 45 D8 C6 45 DC 11 89 75 E0 C6 45 E4 11 8B 45 FC 89 45 E8 C6 45 EC 11 8D 55 D8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 77 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 68 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 3C 00 25 00 25 00 3D 00 28 00 25 00 30 00 3A 00 73 00 2E 00 49 00 6D 00 61 00 67 00 65 00 21 00 3D 00 6E 00 75 00 6C 00 6C 00 29 00 3F 00 25 00 30 00 3A 00 73 00 2E 00 49 00 6D 00 61 00 67 00 65 00 2E 00 41 00 73 00 48 00 52 00 45 00 46 00 3A 00 27 00 27 00 25 00 25 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 32 00 00 00 3C 00 69 00 6D 00 67 00 20 00 73 00 72 00 63 00 3D 00 22 00 25 00 30 00 3A 00 73 00 22 00 25 00 32 00 3A 00 73 00 20 00 61 00 6C 00 74 00 3D 00 22 00 3C 00 25 00 25 00 3D 00 25 00 31 00 3A 00 73 00 2E 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 54 00 65 00 78 00 74 00 25 00 25 00 3E 00 22 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_98177_0 {
	meta:
		name = "TCustomAdapterActionButton.GetCaption"
		size = 111
		refs = "000f TCustomAdapterActionButton.GetCaption 001f TWebButton.GetCaption 002f @UStrAsg 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 1B 8B C6 8B 53 54 E8 ?? ?? ?? ?? 83 3E 00 75 15 8B C6 8B 53 08 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98178_0 {
	meta:
		name = "TCustomAdapterActionButton.SetCaption"
		size = 82
		refs = "0012 @UStrEqual 001d TWebButton.SetCaption"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 54 00 74 23 8B C6 8B 53 54 E8 ?? ?? ?? ?? 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 2C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 08 E8 ?? ?? ?? ?? 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98179_0 {
	meta:
		name = "TCustomAdapterActionButton.GetHTMLFormVarName"
		size = 164
		refs = "000e TCustomAdapterActionButton.GetHTMLFormVarName 001d @CallDynaInst 003a @IntfClear 004f Supports 006a @UStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 EB 0D 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 21 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 CE 85 DB 74 0C 8B D7 8B 45 FC 8B 08 FF 51 10 EB 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 D7 5D 4C 39 52 F2 D2 11 AA 55 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_98180_0 {
	meta:
		name = "ConvertDisplayType"
		size = 31
	strings:
		$1 = { 2C 01 72 0C 74 0D FE C8 74 0C FE C8 74 0B EB 0C B0 01 C3 B0 02 C3 B0 03 C3 B0 04 C3 B0 01 C3 }
	condition:
		$1
}

rule function_98181_0 {
	meta:
		name = "ActionFieldValue"
		size = 444
		refs = "001e ActionFieldValue 0035 Trim 0048 @UStrLAsg 006d Format 00f9 @UStrClr 0106 @UStrArrayClr 010c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 33 C9 89 4D E8 89 4D F4 89 4D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 08 8B 40 FC 8B 40 5C E8 ?? ?? ?? ?? 83 7D F4 00 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 23 8D 45 FC 50 8B 45 08 8B 40 FC 8B 40 5C 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B 45 08 8B 40 FC 8B 40 60 E8 ?? ?? ?? ?? 83 7D E8 00 75 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 23 8D 45 F8 50 8B 45 08 8B 40 FC 8B 40 60 89 45 EC C6 45 F0 11 8D 55 EC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 89 5D D0 C6 45 D4 11 8B 45 FC 89 45 D8 C6 45 DC 11 8B 45 F8 89 45 E0 C6 45 E4 11 8D 55 D0 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 50 00 61 00 67 00 65 00 2E 00 4E 00 61 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 22 00 25 00 73 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2F 00 00 00 3C 00 25 00 25 00 3D 00 25 00 30 00 3A 00 73 00 2E 00 4C 00 69 00 6E 00 6B 00 54 00 6F 00 50 00 61 00 67 00 65 00 28 00 25 00 31 00 3A 00 73 00 2C 00 20 00 25 00 32 00 3A 00 73 00 29 00 2E 00 41 00 73 00 46 00 69 00 65 00 6C 00 64 00 56 00 61 00 6C 00 75 00 65 00 25 00 25 00 3E 00 00 00 }
	condition:
		$1
}

rule function_98182_0 {
	meta:
		name = "AnchorClickEvent"
		size = 360
		refs = "0018 AnchorClickEvent 0039 TCustomAdapterActionButton.GetHTMLFormVarName 005d ActionFieldValue 007a Format 0088 @UStrAsg 00a2 @UStrArrayClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E4 89 4D E0 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 F8 F6 40 04 01 75 52 53 8D 55 E4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8B 45 08 50 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 59 8B 45 E0 89 45 F8 C6 45 FC 11 8D 55 E8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 5F 00 5F 00 61 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 32 00 00 00 25 00 30 00 3A 00 73 00 2E 00 25 00 31 00 3A 00 73 00 2E 00 76 00 61 00 6C 00 75 00 65 00 3D 00 27 00 25 00 32 00 3A 00 73 00 27 00 3B 00 25 00 30 00 3A 00 73 00 2E 00 73 00 75 00 62 00 6D 00 69 00 74 00 28 00 29 00 3B 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 66 00 61 00 6C 00 73 00 65 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 66 00 61 00 6C 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_98183_0 {
	meta:
		name = "FormatList"
		size = 876
		refs = "0041 FormatList 0046 Format"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 89 5D E0 C6 45 E4 11 8B 45 0C 8B 40 FC 8B 40 70 89 45 E8 C6 45 EC 00 89 75 F0 C6 45 F4 11 89 7D F8 C6 45 FC 11 8D 55 E0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 84 01 00 00 3C 00 25 00 25 00 20 00 69 00 66 00 20 00 28 00 25 00 30 00 3A 00 73 00 2E 00 41 00 72 00 72 00 61 00 79 00 20 00 21 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 0D 00 0A 00 20 00 20 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 63 00 3D 00 30 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 63 00 6F 00 6C 00 73 00 3D 00 25 00 31 00 3A 00 64 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 25 00 33 00 3A 00 73 00 3C 00 74 00 61 00 62 00 6C 00 65 00 3E 00 3C 00 74 00 72 00 3E 00 0D 00 0A 00 3C 00 25 00 25 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 65 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 45 00 6E 00 75 00 6D 00 65 00 72 00 61 00 74 00 6F 00 72 00 28 00 25 00 30 00 3A 00 73 00 2E 00 41 00 72 00 72 00 61 00 79 00 29 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 66 00 6F 00 72 00 20 00 28 00 3B 00 20 00 21 00 65 00 2E 00 61 00 74 00 45 00 6E 00 64 00 28 00 29 00 3B 00 20 00 65 00 2E 00 6D 00 6F 00 76 00 65 00 4E 00 65 00 78 00 74 00 28 00 29 00 29 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 69 00 66 00 20 00 28 00 63 00 6F 00 6C 00 73 00 20 00 3E 00 20 00 30 00 20 00 26 00 26 00 20 00 63 00 20 00 25 00 25 00 20 00 63 00 6F 00 6C 00 73 00 20 00 3D 00 3D 00 20 00 30 00 20 00 26 00 26 00 20 00 63 00 20 00 21 00 3D 00 20 00 30 00 29 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 7B 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 25 00 33 00 3A 00 73 00 20 00 20 00 3C 00 2F 00 74 00 72 00 3E 00 3C 00 74 00 72 00 3E 00 0D 00 0A 00 3C 00 25 00 25 00 20 00 20 00 20 00 20 00 20 00 7D 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 25 00 33 00 3A 00 73 00 20 00 20 00 3C 00 74 00 64 00 3E 00 0D 00 0A 00 25 00 33 00 3A 00 73 00 20 00 20 00 25 00 32 00 3A 00 73 00 0D 00 0A 00 25 00 33 00 3A 00 73 00 20 00 20 00 3C 00 2F 00 74 00 64 00 3E 00 0D 00 0A 00 3C 00 25 00 25 00 20 00 20 00 20 00 20 00 20 00 63 00 2B 00 2B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 7D 00 20 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 65 00 2E 00 6D 00 6F 00 76 00 65 00 46 00 69 00 72 00 73 00 74 00 28 00 29 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 25 00 33 00 3A 00 73 00 3C 00 2F 00 74 00 72 00 3E 00 3C 00 2F 00 74 00 61 00 62 00 6C 00 65 00 3E 00 0D 00 0A 00 3C 00 25 00 25 00 20 00 7D 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_98184_0 {
	meta:
		name = "FormAction"
		size = 145
		refs = "000e FormAction 0019 WebContext 0053 @LStrCat 005d @UStrFromLStr 0066 @UStrClr 0080 @LStrArrayClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 04 85 C0 74 3D E8 ?? ?? ?? ?? 8B 10 FF 52 04 8D 55 FC 8B 08 FF 51 18 8D 45 FC 50 E8 ?? ?? ?? ?? 8B 10 FF 52 04 8D 55 F8 8B 08 FF 51 10 8B 55 F8 58 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_98185_0 {
	meta:
		name = "FormatImageEvent"
		size = 552
		refs = "004f FormatImageEvent 0054 Format"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 14 89 45 D0 C6 45 D4 11 89 75 D8 C6 45 DC 11 89 7D E0 C6 45 E4 11 89 5D E8 C6 45 EC 11 8B 45 10 89 45 F0 C6 45 F4 11 8B 45 0C 89 45 F8 C6 45 FC 11 8D 55 D0 B9 05 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF DB 00 00 00 3C 00 25 00 25 00 20 00 20 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 49 00 6D 00 61 00 67 00 65 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 49 00 6D 00 61 00 67 00 65 00 20 00 3D 00 20 00 25 00 30 00 3A 00 73 00 2E 00 47 00 65 00 74 00 45 00 76 00 65 00 6E 00 74 00 49 00 6D 00 61 00 67 00 65 00 28 00 27 00 25 00 31 00 3A 00 73 00 27 00 2C 00 27 00 25 00 33 00 3A 00 73 00 27 00 2C 00 20 00 25 00 34 00 3A 00 73 00 29 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 69 00 66 00 20 00 28 00 49 00 6D 00 61 00 67 00 65 00 20 00 21 00 3D 00 20 00 6E 00 75 00 6C 00 6C 00 29 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 7B 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 25 00 35 00 3A 00 73 00 25 00 33 00 3A 00 73 00 3D 00 22 00 69 00 66 00 20 00 28 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 69 00 6D 00 61 00 67 00 65 00 73 00 29 00 20 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 69 00 6D 00 61 00 67 00 65 00 73 00 2E 00 25 00 32 00 3A 00 73 00 2E 00 73 00 72 00 63 00 3D 00 27 00 3C 00 25 00 25 00 3D 00 20 00 49 00 6D 00 61 00 67 00 65 00 2E 00 41 00 73 00 48 00 52 00 45 00 46 00 20 00 25 00 25 00 3E 00 27 00 22 00 0D 00 0A 00 3C 00 25 00 25 00 20 00 20 00 20 00 7D 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 7D 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_98186_0 {
	meta:
		name = "FormatImageEvents"
		size = 352
		refs = "001c FormatImageEvents 002e @UStrAsg 004a FormatImageEvent 0054 @UStrCat 00ac @UStrEqual 00b5 @UStrClr 00cf @UStrArrayClr 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 45 10 50 8B 45 0C 50 8D 45 F8 50 8B 4D FC 8B D7 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 56 8B 45 10 50 8B 45 0C 50 8D 45 F4 50 8B 4D FC 8B D7 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 56 8B 45 10 50 8B 45 0C 50 8D 45 F0 50 8B 4D FC 8B D7 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 6F 00 6E 00 6D 00 6F 00 75 00 73 00 65 00 64 00 6F 00 77 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 6F 00 6E 00 6D 00 6F 00 75 00 73 00 65 00 6F 00 76 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6F 00 6E 00 6D 00 6F 00 75 00 73 00 65 00 6F 00 75 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_98187_0 {
	meta:
		name = "InMultirecordView"
		size = 152
		refs = "000c InMultirecordView 0024 @IntfClear 0039 Supports 0057 @CallDynaInst 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 78 FC 85 FF 74 41 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 FC 8B 10 FF 52 0C A8 01 0F 95 C3 EB 13 8B C7 66 BE F2 FF E8 ?? ?? ?? ?? 8B F8 85 FF 75 BF 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 63 05 50 CA 98 12 0F 40 81 4D DA 83 6E 08 D8 B4 }
	condition:
		$1
}

rule function_98188_0 {
	meta:
		name = "FormatImage"
		size = 2184
		refs = "0025 FormatImage 0041 AddQuotedAttrib 0068 AddCustomAttrib 007e AddIntAttrib 00b2 TCustomAdapterActionButton.GetImageProducerVariableName 00d0 Format 0140 @IntfClear 0156 Supports 016d @UStrClr 017e @UStrCat 0187 InMultirecordView 01d4 @UStrLAsg 01e6 ChildTableIndent 01fb FormatImageEvents 0227 @UStrCatN 02cf AnchorClickEvent 02fd FormAction 03ae @UStrAsg 03dd FormatList 03f0 @UStrCat3 042b @UStrArrayClr 0473 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 18 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 8B F2 89 45 DC 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 8B 40 FC 8B 48 40 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 10 8B 40 FC 8B 48 4C 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 10 8B 40 FC 8B 50 44 8D 45 FC E8 ?? ?? ?? ?? 8B 45 10 8B 40 FC 8B 48 64 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 10 8B 40 FC 8B 48 68 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 10 8B 40 FC 83 78 74 00 0F 84 93 01 00 00 8D 55 EC 8B 45 10 8B 40 FC E8 ?? ?? ?? ?? 84 DB 74 1C 8D 45 F4 50 89 75 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2B 8D 45 F4 50 8D 55 D0 8B 45 10 8B 40 FC 8B 08 FF 51 4C 8B 45 D0 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 89 75 B8 C6 45 BC 11 8B 45 EC 89 45 C0 C6 45 C4 11 8B 45 F4 89 45 C8 C6 45 CC 11 8D 55 B8 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D 0C 00 0F 84 FF 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 DC 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 7A 8D 55 F0 8B 45 E0 8B 08 FF 51 0C 8D 45 E4 E8 ?? ?? ?? ?? 84 DB 74 0D 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 10 50 E8 ?? ?? ?? ?? 59 84 C0 74 0D 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E4 00 74 35 8D 45 B4 50 8B 45 F0 89 45 A4 C6 45 A8 11 8B 45 E4 89 45 AC C6 45 B0 11 8D 55 A4 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B4 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 A0 8B 45 10 8B 40 FC E8 ?? ?? ?? ?? 8B 45 A0 50 8D 45 E8 50 8B 4D F0 8B D6 8B 45 EC E8 ?? ?? ?? ?? 83 7D E8 00 74 26 68 ?? ?? ?? ?? FF 75 E8 8D 55 9C 8B 45 10 8B 40 FC E8 ?? ?? ?? ?? FF 75 9C 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 8B 4D F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 1C 8D 45 F4 50 89 75 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8D 55 F4 8B 45 10 8B 40 FC 8B 08 FF 51 4C 57 8B 45 F8 89 85 7C FF FF FF C6 45 80 11 8B 45 FC 89 45 84 C6 45 88 11 8B 45 F4 89 45 8C C6 45 90 11 8B 45 F0 89 45 94 C6 45 98 11 8D 95 7C FF FF FF B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 50 89 B5 7C FF FF FF C6 45 80 11 8D 85 74 FF FF FF 50 8B 45 10 50 8D 95 50 FF FF FF 8B C6 E8 ?? ?? ?? ?? 59 8B 85 50 FF FF FF 89 85 54 FF FF FF C6 85 58 FF FF FF 11 8B 07 89 85 5C FF FF FF C6 85 60 FF FF FF 11 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 89 85 64 FF FF FF C6 85 68 FF FF FF 11 8B 45 E8 89 85 6C FF FF FF C6 85 70 FF FF FF 11 8D 95 54 FF FF FF B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 89 45 84 C6 45 88 11 8D 85 48 FF FF FF 50 8B 07 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 89 45 8C C6 45 90 11 8D 95 44 FF FF FF 8B 45 10 8B 40 FC E8 ?? ?? ?? ?? 8B 85 44 FF FF FF 89 45 94 C6 45 98 11 8D 95 7C FF FF FF B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8B C7 E8 ?? ?? ?? ?? 84 DB 74 3E 8B 45 10 50 8D 85 40 FF FF FF 50 8D 95 3C FF FF FF 8B 45 10 8B 40 FC E8 ?? ?? ?? ?? 8B 8D 3C FF FF FF 8B 17 8B C6 E8 ?? ?? ?? ?? 59 8B 8D 40 FF FF FF 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 38 FF FF FF 8B 45 10 8B 40 FC E8 ?? ?? ?? ?? 8B 95 38 FF FF FF 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 38 FF FF FF BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 85 74 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 9C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A6 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 77 00 69 00 64 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 68 00 65 00 69 00 67 00 68 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 25 00 30 00 3A 00 73 00 2E 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 4C 00 61 00 62 00 65 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 27 00 25 00 73 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 50 00 00 00 3C 00 25 00 25 00 3D 00 28 00 25 00 31 00 3A 00 73 00 2E 00 47 00 65 00 74 00 49 00 6D 00 61 00 67 00 65 00 28 00 27 00 25 00 30 00 3A 00 73 00 27 00 2C 00 20 00 25 00 32 00 3A 00 73 00 29 00 21 00 3D 00 6E 00 75 00 6C 00 6C 00 29 00 3F 00 25 00 31 00 3A 00 73 00 2E 00 47 00 65 00 74 00 49 00 6D 00 61 00 67 00 65 00 28 00 27 00 25 00 30 00 3A 00 73 00 27 00 2C 00 20 00 25 00 32 00 3A 00 73 00 29 00 2E 00 41 00 73 00 48 00 52 00 45 00 46 00 3A 00 27 00 27 00 25 00 25 00 3E 00 00 00 00 00 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 B0 04 02 00 FF FF FF FF 09 00 00 00 2B 00 20 00 27 00 5F 00 27 00 20 00 2B 00 20 00 63 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 2B 00 20 00 27 00 5F 00 27 00 20 00 2B 00 20 00 72 00 69 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 3C 00 25 00 25 00 3D 00 20 00 27 00 25 00 30 00 3A 00 73 00 27 00 20 00 25 00 31 00 3A 00 73 00 20 00 25 00 25 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 3C 00 25 00 25 00 25 00 30 00 3A 00 73 00 2E 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 4C 00 61 00 62 00 65 00 6C 00 25 00 25 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 2B 00 00 00 3C 00 69 00 6D 00 67 00 20 00 62 00 6F 00 72 00 64 00 65 00 72 00 3D 00 22 00 30 00 22 00 20 00 73 00 72 00 63 00 3D 00 22 00 25 00 30 00 3A 00 73 00 22 00 25 00 31 00 3A 00 73 00 20 00 61 00 6C 00 74 00 3D 00 22 00 25 00 32 00 3A 00 73 00 22 00 2F 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 2A 00 00 00 3C 00 61 00 20 00 25 00 33 00 3A 00 73 00 68 00 72 00 65 00 66 00 3D 00 22 00 25 00 32 00 3A 00 73 00 22 00 20 00 6F 00 6E 00 63 00 6C 00 69 00 63 00 6B 00 3D 00 22 00 25 00 30 00 3A 00 73 00 22 00 3E 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 61 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 3C 00 61 00 3E 00 25 00 30 00 3A 00 73 00 3C 00 2F 00 61 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 5C 00 00 00 0D 00 0A 00 3C 00 25 00 25 00 20 00 69 00 66 00 20 00 28 00 25 00 30 00 3A 00 73 00 2E 00 45 00 6E 00 61 00 62 00 6C 00 65 00 64 00 29 00 0D 00 0A 00 20 00 20 00 20 00 7B 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 25 00 33 00 3A 00 73 00 25 00 31 00 3A 00 73 00 0D 00 0A 00 3C 00 25 00 25 00 20 00 7D 00 0D 00 0A 00 20 00 20 00 20 00 65 00 6C 00 73 00 65 00 0D 00 0A 00 20 00 20 00 20 00 7B 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 25 00 33 00 3A 00 73 00 25 00 32 00 3A 00 73 00 0D 00 0A 00 3C 00 25 00 25 00 20 00 7D 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_98189_0 {
	meta:
		name = "FormatAnchor"
		size = 996
		refs = "0033 FormatAnchor 004f AddQuotedAttrib 0076 AddCustomAttrib 0094 Format 00cc FormAction 00e4 AnchorClickEvent 014d ChildTableIndent 018f FormatList 019f @UStrCat3 01b7 @UStrCat 01d1 @UStrArrayClr 01e6 @UStrClr 01f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 80 53 56 57 33 DB 89 5D 80 89 5D 88 89 5D 84 89 5D CC 89 5D A0 89 5D 8C 89 5D A8 89 5D A4 89 5D FC 89 5D F8 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 48 40 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 48 4C 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 50 44 8D 45 FC E8 ?? ?? ?? ?? 84 DB 74 1C 8D 45 F8 50 89 75 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8D 55 F8 8B 45 08 8B 40 FC 8B 08 FF 51 4C 57 89 75 D0 C6 45 D4 11 8D 45 CC 50 8B 45 FC 89 45 AC C6 45 B0 11 8B 45 F8 89 45 B4 C6 45 B8 11 8D 45 A8 E8 ?? ?? ?? ?? 8B 45 A8 89 45 BC C6 45 C0 11 8B 45 08 50 8D 55 A4 8B C6 E8 ?? ?? ?? ?? 59 8B 45 A4 89 45 C4 C6 45 C8 11 8D 55 AC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 89 45 D8 C6 45 DC 11 8D 45 A0 50 8B 45 FC 89 45 90 C6 45 94 11 8B 45 F8 89 45 98 C6 45 9C 11 8D 55 90 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 A0 89 45 E0 C6 45 E4 11 8D 55 8C 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 8C 89 45 E8 C6 45 EC 11 8D 55 D0 B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 32 8B 45 08 50 8D 45 88 50 8D 55 84 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 4D 84 8B 17 8B C6 E8 ?? ?? ?? ?? 59 8B 4D 88 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 80 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 55 80 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 80 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 A0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 3C 00 25 00 25 00 3D 00 25 00 30 00 3A 00 73 00 2E 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 4C 00 61 00 62 00 65 00 6C 00 25 00 25 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2A 00 00 00 3C 00 61 00 20 00 68 00 72 00 65 00 66 00 3D 00 22 00 25 00 32 00 3A 00 73 00 22 00 25 00 30 00 3A 00 73 00 20 00 6F 00 6E 00 63 00 6C 00 69 00 63 00 6B 00 3D 00 22 00 25 00 33 00 3A 00 73 00 22 00 3E 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 61 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 3C 00 61 00 25 00 30 00 3A 00 73 00 3E 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 61 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 5C 00 00 00 0D 00 0A 00 3C 00 25 00 25 00 20 00 69 00 66 00 20 00 28 00 25 00 30 00 3A 00 73 00 2E 00 45 00 6E 00 61 00 62 00 6C 00 65 00 64 00 29 00 0D 00 0A 00 20 00 20 00 20 00 7B 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 25 00 33 00 3A 00 73 00 25 00 31 00 3A 00 73 00 0D 00 0A 00 3C 00 25 00 25 00 20 00 7D 00 0D 00 0A 00 20 00 20 00 20 00 65 00 6C 00 73 00 65 00 0D 00 0A 00 20 00 20 00 20 00 7B 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 25 00 33 00 3A 00 73 00 25 00 32 00 3A 00 73 00 0D 00 0A 00 3C 00 25 00 25 00 20 00 7D 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_98190_0 {
	meta:
		name = "FormatButton"
		size = 820
		refs = "002a FormatButton 0046 AddQuotedAttrib 007a Format 00ab AddCustomAttrib 00c9 TCustomAdapterActionButton.GetHTMLFormVarName 00ed ActionFieldValue 0162 ChildTableIndent 016e FormatList 017e @UStrCat3 0198 @UStrArrayClr 01a0 @UStrClr 01b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D C8 89 5D C4 89 5D EC 89 5D D0 89 5D CC 89 5D FC 89 5D F8 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 48 40 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 48 4C 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 1C 8D 45 F8 50 89 7D F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8D 55 F8 8B 45 08 8B 40 FC 8B 08 FF 51 4C 8D 45 FC 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 50 44 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 F6 40 04 01 75 65 8D 45 EC 50 8D 55 D0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 D0 89 45 D4 C6 45 D8 11 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8B 45 08 50 8D 55 CC 8B C7 E8 ?? ?? ?? ?? 59 8B 45 CC 89 45 E4 C6 45 E8 11 8D 55 D4 B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 12 8D 45 FC B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 45 FC 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 DB 74 32 8B 45 08 50 8D 45 C8 50 8D 55 C4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 4D C4 8B 16 8B C7 E8 ?? ?? ?? ?? 59 8B 4D C8 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 3C 00 25 00 25 00 3D 00 25 00 30 00 3A 00 73 00 2E 00 44 00 69 00 73 00 70 00 6C 00 61 00 79 00 4C 00 61 00 62 00 65 00 6C 00 25 00 25 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 5F 00 5F 00 61 00 63 00 74 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 25 00 30 00 3A 00 73 00 2E 00 25 00 31 00 3A 00 73 00 2E 00 76 00 61 00 6C 00 75 00 65 00 3D 00 27 00 25 00 32 00 3A 00 73 00 27 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6F 00 6E 00 63 00 6C 00 69 00 63 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 72 00 65 00 74 00 75 00 72 00 6E 00 20 00 66 00 61 00 6C 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 3C 00 69 00 6E 00 70 00 75 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 73 00 75 00 62 00 6D 00 69 00 74 00 22 00 25 00 30 00 3A 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_98191_0 {
	meta:
		name = "AddToCondition"
		size = 80
		refs = "0016 AddToCondition 001b @UStrCat"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 83 78 F4 00 74 13 8B 45 08 83 C0 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 45 08 83 C0 F4 8B D3 E8 ?? ?? ?? ?? 8B 45 08 5B 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 20 00 26 00 26 00 20 00 00 00 00 00 }
	condition:
		$1
}

rule function_98192_0 {
	meta:
		name = "CalcImageProducerDisplayType"
		size = 188
		refs = "000f CalcImageProducerDisplayType 001d @UStrClr 0029 @IntfClear 003e Supports 0057 AdapterActionHTMLElementTypeNames 0061 CompareText 006c ConvertDisplayType 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 85 DB 74 58 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 40 74 E8 ?? ?? ?? ?? 84 C0 74 37 8D 4D FC 8B D3 8B 45 F8 8B 18 FF 53 10 33 DB 8B 35 ?? ?? ?? ?? 8B 16 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 0B 43 83 C6 04 80 FB 04 75 DE B3 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 BB 0F 79 58 6F D5 98 42 9B 0C C6 22 A0 D6 DB AB }
	condition:
		$1
}

rule function_98193_0 {
	meta:
		name = "TCustomAdapterActionButton.ImplContent"
		size = 1128
		refs = "0025 TCustomAdapterActionButton.ImplContent 0036 MakeAdapterVariableName 0055 TCustomAdapterActionButton.FindAssociatedAction 005f @IntfClear 0074 Supports 00a9 CalcImageProducerDisplayType 00bb TCustomAdapterActionButton.GetAdapterModeOfAdapter 00c5 CalcDefaultAdapterActionElementType 00ca ConvertDisplayType 00f5 FormatImage 0100 @UStrAsg 0134 FormatButton 0151 FormatAnchor 0170 AddToCondition 01d0 TAdapterFormLayout.EndField 01dd TAdapterFormLayout.StartTable 01ea TAdapterFormLayout.StartRow 01fa @UStrCatN 0261 @UStrCat 027c Format 0287 @UStrLAsg 02df @UStrCat3 02e8 @UStrClr 0302 @UStrArrayClr 0342 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D DC 89 55 F8 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 83 7D EC 00 0F 84 A1 02 00 00 8B 45 FC F6 40 6C 08 0F 85 94 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8D 45 E4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 E4 8B 10 FF 52 0C 84 C0 75 04 33 C0 EB 02 B0 01 88 45 DB 8B 45 FC 0F B6 40 58 84 C0 75 36 8B 45 FC 83 78 74 00 74 0B 55 8B C6 E8 ?? ?? ?? ?? 59 EB 22 85 F6 74 1C 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 B0 01 FE C8 74 52 FE C8 74 0A FE C8 74 67 FE C8 74 24 EB 7C 55 6A 00 8D 45 D0 50 0F B6 4D DB 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 59 8B 55 D0 8B C3 E8 ?? ?? ?? ?? EB 5A 55 6A 01 8D 45 CC 50 0F B6 4D DB 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 59 8B 55 CC 8B C3 E8 ?? ?? ?? ?? EB 38 55 8D 4D C8 0F B6 55 DB 8B 45 EC E8 ?? ?? ?? ?? 59 8B 55 C8 8B C3 E8 ?? ?? ?? ?? EB 1B 55 8D 4D C4 0F B6 55 DB 8B 45 EC E8 ?? ?? ?? ?? 59 8B 55 C4 8B C3 E8 ?? ?? ?? ?? 8B 45 FC F6 40 6C 04 74 0C 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 FC F6 40 6C 01 74 0C 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 8B 45 FC F6 40 6C 02 74 0C 55 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 83 7D F4 00 74 59 8D 45 E0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 3E 8B 45 E0 8B 10 FF 52 0C 8B F0 8D 55 C0 8B C6 E8 ?? ?? ?? ?? FF 75 C0 8D 55 BC 8B C6 E8 ?? ?? ?? ?? FF 75 BC 8D 55 B8 8B C6 E8 ?? ?? ?? ?? FF 75 B8 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 84 C0 74 22 8D 45 B4 50 8B 45 FC 8B 10 FF 52 54 8B C8 8B 13 8B 45 F0 8B 30 FF 56 0C 8B 55 B4 8B C3 E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 92 00 00 00 83 7D E0 00 74 1A 8B 45 E0 8B 10 FF 52 0C 8D 55 B0 E8 ?? ?? ?? ?? 8B 55 B0 8B C3 E8 ?? ?? ?? ?? 8D 45 AC 50 8B 45 EC 89 45 A4 C6 45 A8 11 8D 55 A4 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 AC 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 A0 50 8B 45 F4 89 45 A4 C6 45 A8 11 8D 55 A4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 9C 50 8B 03 89 45 A4 C6 45 A8 11 8D 55 A4 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 9C 8B C3 E8 ?? ?? ?? ?? 8B 0B 8B C3 8B 55 E8 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B1 5E 5B 8B E5 5D C2 04 00 90 5E A0 AF AA DD 7F 4B B7 A6 D3 F9 09 3D 94 27 B0 04 02 00 FF FF FF FF 0C 00 00 00 25 00 30 00 3A 00 73 00 2E 00 45 00 6E 00 61 00 62 00 6C 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 25 00 30 00 3A 00 73 00 2E 00 43 00 61 00 6E 00 45 00 78 00 65 00 63 00 75 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 25 00 30 00 3A 00 73 00 2E 00 56 00 69 00 73 00 69 00 62 00 6C 00 65 00 00 00 00 00 F2 59 10 C5 91 AA D4 11 A5 02 00 C0 4F 6B B8 53 D1 0E 81 4E 9B F0 D2 11 AA 53 00 A0 24 C1 15 62 B0 04 02 00 FF FF FF FF 2F 00 00 00 3C 00 25 00 25 00 25 00 25 00 20 00 69 00 66 00 20 00 28 00 25 00 30 00 3A 00 73 00 29 00 0D 00 0A 00 20 00 20 00 20 00 7B 00 20 00 25 00 25 00 25 00 25 00 3E 00 0D 00 0A 00 25 00 25 00 73 00 3C 00 25 00 25 00 25 00 25 00 20 00 7D 00 20 00 25 00 25 00 25 00 25 00 3E 00 0D 00 0A 00 00 00 }
	condition:
		$1
}

rule function_98194_0 {
	meta:
		name = "TCustomAdapterActionButton.SetActionName"
		size = 296
		refs = "0011 TCustomAdapterActionButton.SetActionName 0021 AnsiCompareText 0033 @UStrAsg 003d TWebButton.GetCaption 0047 @UStrEqual 0052 TWebButton.SetCaption 0059 TWebContainedComponent.GetWebParent 009b @CallDynaInst 00b8 @IntfClear 00cd Supports 00f4 @UStrClr 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 53 54 8B C6 E8 ?? ?? ?? ?? 85 C0 0F 84 B6 00 00 00 8D 43 54 8B D6 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1C F6 43 1C 01 75 16 8B C6 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 07 8B C3 8B 10 FF 52 5C 0F B7 43 1C 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 74 4F 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 EB 0D 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 85 DB 74 21 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 CE 85 DB 74 0A B2 01 8B 45 FC 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 11 00 00 00 00 00 00 00 10 C3 A1 10 47 2E D3 11 B0 0E 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_98196_0 {
	meta:
		name = "TCustomAdapterActionButton.ImplRestoreDefaults"
		size = 152
		refs = "000f TCustomAdapterActionButton.ImplRestoreDefaults 001c TCustomAdapterActionButton.FindAssociatedAction 002a @IntfClear 003f Supports 006d @UStrClr 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 74 36 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 8B 55 F8 8B C6 8B 08 FF 51 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 B7 86 3C A2 2A 67 D4 11 A4 A7 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98197_0 {
	meta:
		name = "TCustomAdapterActionButton.FindAssociatedAction"
		size = 136
		refs = "000e TCustomAdapterActionButton.FindAssociatedAction 0023 FindVariablesContainerInParent 002d @IntfClear 003b Supports 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 83 7B 54 00 74 30 8B C3 E8 ?? ?? ?? ?? 8B F8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0D 8B 53 54 8B 45 FC 8B 08 FF 51 0C 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 5D C3 00 00 00 B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A }
	condition:
		$1
}

rule function_98198_0 {
	meta:
		name = "TCustomAdapterActionButton.Create"
		size = 104
		refs = "000a @ClassCreate 0017 TWebButton.Create 001e TCustomAdapterActionButton.Create 003d _Dn_TLayoutAttributes 0042 TLayoutAttributes.Create 0050 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 46 6C C7 46 64 FF FF FF FF C7 46 68 FF FF FF FF C7 46 70 FF FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 78 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 02 00 00 00 }
	condition:
		$1
}

rule function_98199_0 {
	meta:
		name = "TCustomAdapterActionButton.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TWebContainedComponent.Destroy 001a TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 78 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98200_0 {
	meta:
		name = "TCustomAdapterActionButton.GetControlRequirements"
		size = 6
	strings:
		$1 = { 8B 08 FF 51 58 C3 }
	condition:
		$1
}

rule function_98201_0 {
	meta:
		name = "TCustomAdapterActionButton.ImplGetControlRequirements"
		size = 199
		refs = "0014 TCustomAdapterActionButton.ImplGetControlRequirements 0024 TCustomAdapterActionButton.GetAdapterVariableName 003f TCustomAdapterActionButton.FindAssociatedAction 004d MakeAdapterItemVariableValue 0064 TCustomAdapterActionButton.GetImageProducerVariableName 007f TCustomAdapterActionButton.GetImageProducerComponent 008d FullyQualifiedFieldName 00b4 @UStrArrayClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 30 8B 55 FC 8B C6 8B 08 FF 51 10 84 C0 75 22 8B C3 E8 ?? ?? ?? ?? 8B F8 6A 00 8D 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B C6 8B 38 FF 57 0C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 30 8B 55 FC 8B C6 8B 08 FF 51 10 84 C0 75 22 8B C3 E8 ?? ?? ?? ?? 8B F8 6A 00 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 FC 8B C6 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98202_0 {
	meta:
		name = "TCustomAdapterActionButton.GetImageProducerVariableName"
		size = 37
		refs = "0005 TCustomAdapterActionButton.GetImageProducerComponent 0014 MakeAdapterItemVariableName 001e @UStrClr"
	strings:
		$1 = { 53 56 8B F2 E8 ?? ?? ?? ?? 8B D8 85 DB 74 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98203_0 {
	meta:
		name = "TCustomAdapterActionButton.GetImageProducerComponent"
		size = 116
		refs = "000c TCustomAdapterActionButton.GetImageProducerComponent 001a @IntfClear 0029 Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 74 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 58 18 8B E2 86 EC 59 45 8F CD 6B 4F 82 41 51 ED }
	condition:
		$1
}

rule function_98206_0 {
	meta:
		name = "TCustomAdapterCommandColumn.ImplCanAddClass"
		size = 68
		refs = "000b _DV_TCustomAdapterActionButton 0012 TObject.InheritsFrom 001c _Dn_TCustomLayoutGroup 0032 CanAddClassHelper"
		altNames = "TCustomAdapterCommandGroup.ImplCanAddClass"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 24 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 13 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98207_0 {
	meta:
		name = "FormatButton"
		size = 140
		refs = "000f FormatButton 001c @UStrClr 0024 @IntfClear 0039 Supports 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 18 53 8B 45 08 8B 40 F8 8B 48 78 8B 45 08 8B 50 FC 8B 45 FC 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 D1 1C 3E 1B 59 DF D2 11 AA 45 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_98208_0 {
	meta:
		name = "TCustomAdapterCommandGroup.ImplContent"
		size = 1224
		refs = "0023 TCustomAdapterCommandGroup.ImplContent 0033 _DV_TAdapterFormLayout 0038 TAdapterFormLayout.Create 005f AddQuotedAttrib 0080 AddCustomAttrib 009d Format 00ae @UStrAsg 00b6 @UStrClr 00be TCustomAdapterCommandGroup.GetVisibleCommands 00c3 TWebComponentList.GetCount 00dc TWebComponentList.GetComponent 00e9 FormatButton 00f5 @UStrLAsg 0100 @UStrCat 0115 TAdapterFormLayout.EndLayout 0143 TObject.Free 0149 @HandleFinally 0156 TCustomAdapterCommandGroup.GetAdapterModeOfDisplay 0164 TWebDisplayReferenceGroup.GetWebDisplayComponent 016c MakeAdapterVariableName 01c6 @IntfClear 01d5 Supports 01eb @IsClass 0219 _Dn_TLayoutAttributes 021e TLayoutAttributes.Create 0235 HTMLAlignValues 024e HTMLVAlignValues 0277 @UStrCat3 02c7 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E4 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 89 42 78 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 F8 8B 48 6C 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 48 74 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 50 70 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 F0 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 8B 40 78 83 C0 1C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 3D 43 33 FF 8B 45 F8 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B F0 55 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 59 8B 55 D0 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 08 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 08 47 4B 75 C6 8D 55 CC 8B 45 F8 8B 40 78 E8 ?? ?? ?? ?? 8B 55 CC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 83 C0 78 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8D 55 C8 8B 45 F8 E8 ?? ?? ?? ?? 83 7D C8 00 74 62 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 EC E8 ?? ?? ?? ?? 83 7D EC 00 74 4C 8D 45 C4 50 8B 45 EC 89 45 AC C6 45 B0 11 8D 55 A8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 A8 89 45 B4 C6 45 B8 11 8B 45 08 8B 00 89 45 BC C6 45 C0 11 8D 55 AC B9 02 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B 45 08 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 0F 84 D0 00 00 00 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8D 45 A4 50 8B 55 08 8B 12 33 C9 8B 45 F4 8B 18 FF 53 18 8B 55 A4 8B 45 08 E8 ?? ?? ?? ?? E9 9B 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 49 0C 8B 45 E0 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 49 04 8B 45 E0 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A0 50 8B 4D 08 8B 09 8D 45 9C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8B 4D E0 8B 45 F4 8B 18 FF 53 18 8B 55 A0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C1 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 74 00 61 00 62 00 6C 00 65 00 25 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 85 00 00 00 3C 00 25 00 25 00 0D 00 0A 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 6C 00 61 00 73 00 74 00 4D 00 6F 00 64 00 65 00 3D 00 25 00 30 00 3A 00 73 00 2E 00 4D 00 6F 00 64 00 65 00 0D 00 0A 00 20 00 20 00 20 00 69 00 66 00 28 00 6C 00 61 00 73 00 74 00 4D 00 6F 00 64 00 65 00 3D 00 3D 00 22 00 22 00 29 00 0D 00 0A 00 20 00 20 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 25 00 30 00 3A 00 73 00 2E 00 4D 00 6F 00 64 00 65 00 3D 00 27 00 25 00 31 00 3A 00 73 00 27 00 0D 00 0A 00 20 00 20 00 20 00 7D 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 25 00 32 00 3A 00 73 00 0D 00 0A 00 3C 00 25 00 25 00 20 00 25 00 30 00 3A 00 73 00 2E 00 4D 00 6F 00 64 00 65 00 3D 00 6C 00 61 00 73 00 74 00 4D 00 6F 00 64 00 65 00 0D 00 0A 00 7D 00 20 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 00 00 D1 0E 81 4E 9B F0 D2 11 AA 53 00 A0 24 C1 15 62 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 6C 00 69 00 67 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 76 00 61 00 6C 00 69 00 67 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_98210_0 {
	meta:
		name = "TCustomAdapterCommandGroup.GetAdapterModeOfDisplay"
		size = 136
		refs = "000f TCustomAdapterCommandGroup.GetAdapterModeOfDisplay 001c TWebDisplayReferenceGroup.GetWebDisplayComponent 002c @IntfClear 0039 Supports 0050 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 0B 5F 17 C4 2F BF 2A 4C AD AA 50 F7 DD 3A 8B E2 }
	condition:
		$1
}

rule function_98211_0 {
	meta:
		name = "TCustomAdapterCommandGroup.GetAdapterModeOfAdapter"
		size = 136
		refs = "000f TCustomAdapterCommandGroup.GetAdapterModeOfAdapter 001c TWebDisplayReferenceGroup.GetWebDisplayComponent 002c @IntfClear 0039 Supports 0050 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 10 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 0B 5F 17 C4 2F BF 2A 4C AD AA 50 F7 DD 3A 8B E2 }
	condition:
		$1
}

rule function_98212_0 {
	meta:
		name = "TCustomAdapterCommandGroup.Create"
		size = 94
		refs = "000e @ClassCreate 001c TAdapterDisplayReferenceGroup.Create 0029 _DV_TAdapterActionsListHelper 002e TAdapterActionsListHelper.Create 003c TAdapterActionsListHelper.SetAddDefaultActions 0049 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 43 38 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 7C 8B C6 B2 01 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98213_0 {
	meta:
		name = "TCustomAdapterCommandGroup.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TAdapterDisplayReferenceGroup.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 7C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111921_0 {
	meta:
		name = "TXmlAttributeDefinitionSignal.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 7C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98215_0 {
	meta:
		name = "TCustomAdapterCommandGroup.GetAddDefaultCommands"
		size = 8
	strings:
		$1 = { 8B 40 7C 0F B6 40 0C C3 }
	condition:
		$1
}

rule function_98219_0 {
	meta:
		name = "TCustomAdapterErrorList.SetAdapter"
		size = 30
		refs = "0014 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 40 74 10 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 89 73 40 5E 5B C3 }
	condition:
		$1
}

rule function_98220_0 {
	meta:
		name = "TCustomAdapterErrorList.Notification"
		size = 39
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 0A 3B 77 40 75 05 33 C0 89 47 40 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98222_0 {
	meta:
		name = "TCustomAdapterErrorList.ImplContent"
		size = 888
		refs = "0022 TCustomAdapterErrorList.ImplContent 003a FullyQualifiedFieldName 0052 ChildTableIndent 0062 @UStrCat3 006d Format 0076 @UStrClr 0087 @IntfClear 0095 Supports 00a5 _DV_TAdapterFormLayout 00aa @IsClass 00b9 TCustomAdapterErrorList.GetLayoutAttributes 00e0 _Dn_TLayoutAttributes 00e5 TLayoutAttributes.Create 00fc HTMLAlignValues 010f AddQuotedAttrib 0115 HTMLVAlignValues 0145 @UStrCatN 015d @UStrAsg 0172 TObject.Free 0178 @HandleFinally 0194 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F9 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 40 00 74 41 56 8D 55 EC 8B 43 40 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 4D E4 8D 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 33 C9 5A E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 83 3E 00 0F 84 FB 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 0F 84 DD 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8D 45 E0 50 8B C3 E8 ?? ?? ?? ?? 8B C8 8B 16 8B 45 FC 8B 18 FF 53 10 8B 55 E0 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A1 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 0D ?? ?? ?? ?? 8B 49 0C 8B 45 F8 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 49 04 8B 45 F8 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 50 68 ?? ?? ?? ?? FF 36 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 4D F8 8B 45 FC 8B 18 FF 53 10 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF AE 00 00 00 0D 00 0A 00 3C 00 25 00 25 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 76 00 61 00 72 00 20 00 65 00 20 00 3D 00 20 00 6E 00 65 00 77 00 20 00 45 00 6E 00 75 00 6D 00 65 00 72 00 61 00 74 00 6F 00 72 00 28 00 25 00 30 00 3A 00 73 00 2E 00 45 00 72 00 72 00 6F 00 72 00 73 00 29 00 0D 00 0A 00 20 00 20 00 20 00 66 00 6F 00 72 00 20 00 28 00 3B 00 20 00 21 00 65 00 2E 00 61 00 74 00 45 00 6E 00 64 00 28 00 29 00 3B 00 20 00 65 00 2E 00 6D 00 6F 00 76 00 65 00 4E 00 65 00 78 00 74 00 28 00 29 00 29 00 0D 00 0A 00 20 00 20 00 20 00 7B 00 0D 00 0A 00 20 00 20 00 20 00 20 00 20 00 52 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 2E 00 57 00 72 00 69 00 74 00 65 00 28 00 22 00 3C 00 6C 00 69 00 3E 00 22 00 20 00 2B 00 20 00 65 00 2E 00 69 00 74 00 65 00 6D 00 28 00 29 00 2E 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 29 00 0D 00 0A 00 20 00 20 00 20 00 7D 00 0D 00 0A 00 20 00 20 00 20 00 65 00 2E 00 6D 00 6F 00 76 00 65 00 46 00 69 00 72 00 73 00 74 00 28 00 29 00 0D 00 0A 00 20 00 20 00 20 00 7D 00 20 00 25 00 25 00 3E 00 0D 00 0A 00 00 00 00 00 D1 0E 81 4E 9B F0 D2 11 AA 53 00 A0 24 C1 15 62 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 6C 00 69 00 67 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 76 00 61 00 6C 00 69 00 67 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_98224_0 {
	meta:
		name = "TCustomAdapterErrorList.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TWebContainedComponent.Destroy 001a TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98227_0 {
	meta:
		name = "FormatCommand"
		size = 136
		refs = "000f FormatCommand 001c @UStrClr 0024 @IntfClear 0039 Supports 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 15 53 8B 45 08 8B 48 F8 8B 45 08 8B 50 FC 8B 45 FC 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 D1 1C 3E 1B 59 DF D2 11 AA 45 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_98228_0 {
	meta:
		name = "TCustomAdapterCommandColumn.ImplContent"
		size = 484
		refs = "0029 TCustomAdapterCommandColumn.ImplContent 0036 @UStrClr 003d TCustomAdapterCommandColumn.GetVisibleActions 0042 TWebComponentList.GetCount 0054 _DV_TAdapterFormLayout 0059 TAdapterFormLayout.Create 00b6 Format 00c4 @UStrAsg 00ee TWebComponentList.GetComponent 00fd FormatCommand 0108 @UStrCat 0119 TAdapterFormLayout.EndLayout 012b @IntfClear 013a Supports 016d TObject.Free 0173 @HandleFinally 018f @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D D8 89 5D E4 89 5D F4 89 4D F0 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 2B 01 00 00 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 83 7E 6C 01 7C 22 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 6C 3B C2 7E 02 8B C2 8B 55 F8 89 42 20 8B 45 F8 C6 40 28 01 8D 45 E4 50 8B C6 8B 10 FF 52 64 8B 40 08 89 45 DC C6 45 E0 11 8D 55 DC 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 F8 83 C0 1C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 37 47 C7 45 EC 00 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 55 EC E8 ?? ?? ?? ?? 89 45 E8 55 8D 55 D8 8B 45 E8 E8 ?? ?? ?? ?? 59 8B 55 D8 8B C3 E8 ?? ?? ?? ?? FF 45 EC 4F 75 D1 8D 55 D4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 1A 8D 45 D0 50 8B 13 33 C9 8B 45 F4 8B 30 FF 56 18 8B 55 D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 74 00 61 00 62 00 6C 00 65 00 25 00 73 00 3E 00 00 00 D1 0E 81 4E 9B F0 D2 11 AA 53 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_98229_0 {
	meta:
		name = "TCustomAdapterCommandColumn.FormatColumnData"
		size = 412
		refs = "001e TCustomAdapterCommandColumn.FormatColumnData 002e HTMLAlignValues 003e AddQuotedAttrib 0048 HTMLVAlignValues 0077 FieldIndent 00b3 @UStrCatN 00c1 Format 00db @UStrArrayClr 00e3 @UStrClr 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 DB 89 5D E0 89 5D DC 89 5D D8 89 5D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 43 78 8B 15 ?? ?? ?? ?? 8B 0C 82 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 43 79 8B 15 ?? ?? ?? ?? 8B 0C 82 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B 45 FC 89 45 E4 C6 45 E8 11 89 75 EC C6 45 F0 11 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F4 C6 45 F8 11 8D 45 E4 50 8D 55 D8 8B C3 E8 ?? ?? ?? ?? FF 75 D8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 DC BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 45 DC B9 02 00 00 00 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 6C 00 69 00 67 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 76 00 61 00 6C 00 69 00 67 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 3C 00 74 00 64 00 25 00 30 00 3A 00 73 00 3E 00 3C 00 64 00 69 00 76 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 25 00 31 00 3A 00 73 00 25 00 32 00 3A 00 73 00 3C 00 2F 00 64 00 69 00 76 00 3E 00 3C 00 2F 00 74 00 64 00 3E 00 00 00 }
	condition:
		$1
}

rule function_98230_0 {
	meta:
		name = "TCustomAdapterCommandColumn.FormatColumnHeading"
		size = 452
		refs = "001e TCustomAdapterCommandColumn.FormatColumnHeading 0037 AddQuotedAttrib 0045 AddCustomAttrib 0065 HTMLVAlignValues 0082 HTMLAlignValues 00a7 TCustomAdapterCommandColumn.GetCaption 00bf FieldIndent 00d9 @UStrCatN 00e7 Format 0101 @UStrArrayClr 0109 @UStrClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D E8 89 5D E4 89 5D E0 89 5D FC 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 68 8B 48 08 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 68 8B 50 0C 8D 45 FC E8 ?? ?? ?? ?? 8B 43 68 8B 48 10 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 68 0F B6 40 15 8B 15 ?? ?? ?? ?? 8B 0C 82 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 68 0F B6 40 14 8B 15 ?? ?? ?? ?? 8B 0C 82 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 45 FC 89 45 EC C6 45 F0 11 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F4 C6 45 F8 11 8D 45 EC 50 8D 55 E0 8B C3 E8 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 B9 01 00 00 00 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 76 00 61 00 6C 00 69 00 67 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 6C 00 69 00 67 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 3C 00 74 00 68 00 25 00 30 00 3A 00 73 00 3E 00 25 00 31 00 3A 00 73 00 3C 00 2F 00 74 00 68 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_98231_0 {
	meta:
		name = "TCustomAdapterCommandColumn.GetCaption"
		size = 68
		refs = "000f TCustomAdapterCommandColumn.GetCaption 0014 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 64 00 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B 53 64 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 6E 00 62 00 73 00 70 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_98233_0 {
	meta:
		name = "TCustomAdapterCommandColumn.Create"
		size = 133
		refs = "000e @ClassCreate 001c TWebControlGroup.Create 0025 _Dn_TCaptionAttributes 002a TCaptionAttributes.Create 0041 _DV_TAdapterActionsListHelper 0046 TAdapterActionsListHelper.Create 0054 TAdapterActionsListHelper.SetAddDefaultActions 005b _Dn_TLayoutAttributes 0060 TLayoutAttributes.Create 0070 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 68 C7 43 6C FF FF FF FF 8B 43 38 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 70 8B C6 B2 01 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 74 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98234_0 {
	meta:
		name = "TCustomAdapterCommandColumn.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 0012 TWebControlGroup.Destroy 001a TObject.Free 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 68 E8 ?? ?? ?? ?? 8B 46 70 E8 ?? ?? ?? ?? 8B 46 74 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98236_0 {
	meta:
		name = "TCustomAdapterCommandColumn.SetCaption"
		size = 84
		refs = "000c @UStrEqual 0015 TCustomAdapterCommandColumn.SetCaption 0024 @UStrClr 0030 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 64 E8 ?? ?? ?? ?? 74 22 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A 8D 43 64 E8 ?? ?? ?? ?? EB 0A 8D 43 64 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 26 00 6E 00 62 00 73 00 70 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_98238_0 {
	meta:
		name = "TCustomAdapterCommandColumn.GetAddDefaultCommands"
		size = 8
	strings:
		$1 = { 8B 40 70 0F B6 40 0C C3 }
	condition:
		$1
}

rule function_98240_0 {
	meta:
		name = "TCustomAdapterDisplayColumn.ImplRestoreDefaults"
		size = 160
		refs = "000f TCustomAdapterDisplayColumn.ImplRestoreDefaults 001c TAdapterDataDisplay.ImplRestoreDefaults 0023 TAdapterDataDisplay.FindAssociatedField 0031 @IntfClear 0046 Supports 0074 @UStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 74 36 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 8B 55 F8 8B C3 8B 08 FF 51 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 B7 86 3C A2 2A 67 D4 11 A4 A7 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98241_0 {
	meta:
		name = "TControlRequirements.Create"
		size = 74
		refs = "000a @ClassCreate 0015 _DV_TGeneratedFunctions 001a TGeneratedFunctions.Create 0024 _Dn_TStringList 0029 TStringList.Create 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98242_0 {
	meta:
		name = "TControlRequirements.DefineVariable"
		size = 180
		refs = "0018 TControlRequirements.DefineVariable 004f Format 0084 @UStrClr 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 46 0C 8B 08 FF 51 54 40 75 44 8D 45 FC 50 89 5D EC C6 45 F0 11 89 7D F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D 08 00 74 0F 8B 4D FC 33 D2 8B 46 0C 8B 18 FF 53 60 EB 0B 8B 55 FC 8B 46 0C 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 3D 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_98244_0 {
	meta:
		name = "TControlRequirements.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001a TObject.Free 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98246_0 {
	meta:
		name = "TControlRequirements.RequiresMultipartForm"
		size = 5
	strings:
		$1 = { C6 40 08 01 C3 }
	condition:
		$1
}

rule function_98247_0 {
	meta:
		name = "TAdapterDisplayReferenceGroup.Create"
		size = 66
		refs = "000a @ClassCreate 0017 TWebDisplayReferenceGroup.Create 0024 TAdapterDisplayReferenceGroup.OnDisplayComponentChange 002f @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 58 89 70 14 C7 40 10 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98251_0 {
	meta:
		name = "TAdapterDisplayReferenceGroup.AdapterChange"
		size = 192
		refs = "000e TAdapterDisplayReferenceGroup.AdapterChange 002b TObject.Free 003b TWebContainedContainerComponent.GetWebComponents 0040 TWebComponentList.GetCount 0058 TWebComponentList.GetComponent 0068 @IntfClear 0075 Supports 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 4C 85 C0 74 15 8B C3 8B 10 FF 52 4C E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 40 46 33 FF 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 0C 47 4E 75 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 43 C8 2F 44 85 4F 37 41 85 64 FF 6E ED BA 14 65 }
	condition:
		$1
}

rule function_98281_0 {
	meta:
		name = "TCustomAdapterCommandColumn.NotifyAdapterChange"
		size = 192
		refs = "000e TCustomAdapterCommandColumn.NotifyAdapterChange 002b TObject.Free 003b TWebContainedContainerComponent.GetWebComponents 0040 TWebComponentList.GetCount 0058 TWebComponentList.GetComponent 0068 @IntfClear 0075 Supports 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 4C 85 C0 74 15 8B C3 8B 10 FF 52 4C E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 50 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 40 46 33 FF 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 0C 47 4E 75 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 43 C8 2F 44 85 4F 37 41 85 64 FF 6E ED BA 14 65 }
	condition:
		$1
}

rule function_98252_0 {
	meta:
		name = "TAdapterDisplayReferenceGroup.SetWebDisplayComponent"
		size = 196
		refs = "000f TAdapterDisplayReferenceGroup.SetWebDisplayComponent 001c TWebDisplayReferenceGroup.GetWebDisplayComponent 0037 @IntfClear 0044 Supports 005b TWebDisplayReferenceGroup.SetWebDisplayComponent 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3B F0 74 6D 8B C3 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 10 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 D2 FE 44 04 5C 83 AD 4D 9C 79 49 BD C6 2A FA 8A }
	condition:
		$1
}

rule function_98253_0 {
	meta:
		name = "TAdapterDisplayReferenceGroup.Destroy"
		size = 152
		refs = "0008 @BeforeDestruction 0014 TAdapterDisplayReferenceGroup.Destroy 0021 TWebDisplayReferenceGroup.GetWebDisplayComponent 0031 @IntfClear 003e Supports 0057 TWebDisplayReferenceGroup.Destroy 0072 @HandleFinally 007f @ClassDestroy"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 FC 8B 08 FF 51 10 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 D2 FE 44 04 5C 83 AD 4D 9C 79 49 BD C6 2A FA 8A }
	condition:
		$1
}

rule function_98254_0 {
	meta:
		name = "TAdapterDisplayReferenceGroup.GetAdapterDisplayCharacteristics"
		size = 136
		refs = "000c TAdapterDisplayReferenceGroup.GetAdapterDisplayCharacteristics 0019 TWebDisplayReferenceGroup.GetWebDisplayComponent 0029 @IntfClear 0036 Supports 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 07 0F B6 1D ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 63 05 50 CA 98 12 0F 40 81 4D DA 83 6E 08 D8 B4 00 00 00 00 }
	condition:
		$1
}

rule function_98256_0 {
	meta:
		name = "TAdapterActionsListHelper.Create"
		size = 68
		refs = "000d @ClassCreate 0023 TObject.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 04 8B 45 08 89 46 08 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_98260_0 {
	meta:
		name = "TAdapterActionsListHelper.GetNewFieldPrefix"
		size = 40
		refs = "0006 TAdapterActionsListHelper.GetNewFieldPrefix 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 43 00 6D 00 64 00 00 00 }
	condition:
		$1
}

rule function_98261_0 {
	meta:
		name = "TAdapterActionsListHelper.FindAction"
		size = 220
		refs = "001a TAdapterActionsListHelper.FindAction 002b TWebComponentList.GetCount 0042 TWebComponentList.GetComponent 0052 @IntfClear 005f Supports 0089 AnsiCompareText 00ab @UStrClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 08 8B 40 08 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 5F 46 33 DB 8B 47 08 8B 40 08 8B D3 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 2A 8B 47 08 8B 40 08 8B D3 E8 ?? ?? ?? ?? 89 45 F4 8D 55 F0 8B 45 FC 8B 08 FF 51 0C 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 85 C0 74 09 43 4E 75 A4 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 00 F7 20 C6 5D 4A C1 49 4D 86 8E 65 60 41 AD F0 17 }
	condition:
		$1
}

rule function_98262_0 {
	meta:
		name = "TAdapterActionsListHelper.GetVisibleActions"
		size = 61
		refs = "0010 TWebComponentList.GetCount 0024 TWebContainerComponentHelper.GetDefaultWebComponents 002f TAdapterActionsListHelper.CreateDefaultActions"
	strings:
		$1 = { 53 8B D8 80 7B 0C 00 74 0F 8B 43 08 8B 40 08 E8 ?? ?? ?? ?? 85 C0 7E 08 8B 43 08 8B 40 08 5B C3 8B 43 08 E8 ?? ?? ?? ?? 85 C0 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_98263_0 {
	meta:
		name = "TAdapterActionsListHelper.GetActionsList"
		size = 524
		refs = "001c TAdapterActionsListHelper.GetActionsList 002a @IntfClear 0040 Supports 004a _DV_TAdapterActionButton 0078 FindVariablesContainer 017f @UStrClr 01ad @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 E8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 04 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 1F 8B 0D ?? ?? ?? ?? 8B 56 04 8B 45 EC 8B 18 FF 53 0C 84 C0 74 0A A1 ?? ?? ?? ?? 89 45 E0 EB 05 33 C0 89 45 E0 8B 45 E8 8B 10 FF 52 44 8B 46 04 E8 ?? ?? ?? ?? 8B D8 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 83 7D F4 00 0F 84 C7 00 00 00 8B 45 F4 8B 10 FF 52 0C 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 0F 84 A1 00 00 00 8B 45 FC 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C 8E 00 00 00 43 C7 45 E4 00 00 00 00 8B 55 E4 8B 45 FC 8B 08 FF 51 18 8B F8 83 7D E0 00 74 69 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 48 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B 45 F0 8B 08 FF 51 0C 84 C0 74 19 8D 55 DC 8B 45 F8 8B 08 FF 51 0C 8B 55 DC 8B 4D E0 8B 45 E8 8B 38 FF 57 3C FF 45 E4 4B 0F 85 7A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C3 00 00 61 9F F5 13 85 EF D2 11 AF B1 00 C0 4F B1 6E C3 CE 1E 2D 0C BA 7B FE 43 A4 66 2D 8B C7 0C C8 5D B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A F7 20 C6 5D 4A C1 49 4D 86 8E 65 60 41 AD F0 17 D8 2B FD E9 66 CD 91 4C 96 FE 8B 59 C7 CD 04 8F }
	condition:
		$1
}

rule function_98265_0 {
	meta:
		name = "TAdapterActionsListHelper.CreateDefaultActions"
		size = 448
		refs = "0015 TAdapterActionsListHelper.CreateDefaultActions 0022 _Dn_TStringList 0027 TStringList.Create 0042 TAdapterActionsListHelper.GetActionsList 004c _Dn_TWebComponentList 0051 TWebComponentList.Create 005c TWebComponentList.LockNotify 0075 TWebContainerComponentHelper.SetDefaultWebComponents 00a3 TAdapterActionsListHelper.IsActionInUse 00c2 @IntfClear 00d7 Supports 013d TWebComponentList.UnlockNotify 0143 @HandleFinally 015a TObject.Free 017c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 4E 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 46 08 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 48 85 C0 0F 8C A2 00 00 00 40 89 45 EC 33 DB 8D 4D E8 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 84 C0 75 77 8B D3 8B 45 F4 8B 08 FF 51 18 33 C9 B2 01 FF 50 38 8B F8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 8B 46 08 8B 50 08 8B 45 FC 8B 08 FF 51 14 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 18 8D 4D E4 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 55 E4 8B 45 F8 8B 08 FF 51 0C 43 FF 4D EC 0F 85 64 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 82 37 81 EB AE EE D2 11 AF B0 00 C0 4F B1 6E C3 A6 C2 5F 00 C1 92 7D 4F BC 69 F4 25 46 72 E6 C0 }
	condition:
		$1
}

rule function_98266_0 {
	meta:
		name = "TAdapterActionsListHelper.SetAddDefaultActions"
		size = 40
		refs = "000f TWebContainerComponentHelper.GetDefaultWebComponents 0014 TObject.Free 001e TWebContainerComponentHelper.SetDefaultWebComponents"
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 0C 74 1A 8B 46 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 46 08 E8 ?? ?? ?? ?? 88 5E 0C 5E 5B C3 }
	condition:
		$1
}

rule function_98267_0 {
	meta:
		name = "TGeneratedFunctions.Add"
		size = 27
	strings:
		$1 = { 56 57 8B F9 8B F0 8B 46 08 8B 08 FF 51 38 8B D7 8B 46 04 8B 08 FF 51 38 5F 5E C3 }
	condition:
		$1
}

rule function_98268_0 {
	meta:
		name = "TGeneratedFunctions.Create"
		size = 83
		refs = "000a @ClassCreate 0015 _Dn_TStringList 001a TStringList.Create 0035 TObject.Create 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98269_0 {
	meta:
		name = "TGeneratedFunctions.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001a TObject.Free 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? 8B 46 04 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98271_0 {
	meta:
		name = "TGeneratedFunctions.GetScript"
		size = 25
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 04 8B 18 FF 53 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98274_0 {
	meta:
		name = "TDesigntimeWarnings.AddString"
		size = 76
		refs = "000e @UStrAddRef 0016 TDesigntimeWarnings.AddString 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 43 04 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_98275_0 {
	meta:
		name = "ContainerWarnings"
		size = 116
		refs = "000d @IntfAddRef 0015 ContainerWarnings 0063 @IntfClear 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 2D 8B 45 FC 8B 10 FF 52 0C 8B D8 4B 85 DB 7C 1E 43 33 F6 8B D6 8B 45 FC 8B 08 FF 51 10 8B D0 8B 45 08 8B 40 FC 8B 08 FF 51 04 46 4B 75 E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98276_0 {
	meta:
		name = "TDesigntimeWarnings.AddObject"
		size = 496
		refs = "0017 TDesigntimeWarnings.AddObject 002a TList.IndexOf 003f TList.Add 007f @IntfClear 008d Supports 00cf @IntfCopy 00d8 ContainerWarnings 0193 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 08 8B D3 E8 ?? ?? ?? ?? 85 C0 0F 8F 26 01 00 00 8B 45 FC 8B 40 08 8B D3 E8 ?? ?? ?? ?? 83 7D E8 00 74 32 8B 45 E8 8B 10 FF 52 0C 8B F0 4E 85 F6 7C 23 46 C7 45 E4 00 00 00 00 8B 55 E4 8B 45 E8 8B 08 FF 51 10 8B D0 8B 45 FC 8B 08 FF 51 04 FF 45 E4 4E 75 E5 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 55 FC 8B 45 F8 8B 08 FF 51 0C 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 8B 45 F4 8B 10 FF 52 18 8B D0 85 D2 74 03 83 EA E0 8D 45 E8 E8 ?? ?? ?? ?? 55 8B 45 E8 E8 ?? ?? ?? ?? 59 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 23 8B 45 F0 8B 10 FF 52 18 8B D0 85 D2 74 03 83 EA E0 8D 45 E8 E8 ?? ?? ?? ?? 55 8B 45 E8 E8 ?? ?? ?? ?? 59 8D 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 28 8B 45 EC 8B 10 FF 52 0C 50 8D 45 E8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 55 8B 45 E8 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5E 5B 8B E5 5D C3 00 F7 8B 50 20 CE A9 D4 11 A5 01 00 C0 4F 6B B8 53 BD BB 2D D6 40 2C D4 11 A4 6E 00 C0 4F 6B B8 53 93 BC 84 CB 65 4C D4 11 A4 8B 00 C0 4F 6B B8 53 F2 B0 DE 5C F9 EE D2 11 AF B1 00 C0 4F B1 6E C3 12 7E 95 44 39 E0 D2 11 AA 46 00 A0 24 C1 15 62 }
	condition:
		$1
}

rule function_98277_0 {
	meta:
		name = "TDesigntimeWarnings.Create"
		size = 85
		refs = "000a @ClassCreate 0015 _Dn_TStringList 001a TStringList.Create 0026 _Dn_TObjectList 002b TObjectList.Create 0037 TObject.Create 0042 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 04 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 08 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98282_0 {
	meta:
		name = "TCustomAdapterCommandColumn.IsCaptionStored"
		size = 12
	strings:
		$1 = { 53 8B D8 83 7B 64 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_98284_0 {
	meta:
		name = "TCustomAdapterActionButton.Notification"
		size = 51
		refs = "0010 TComponent.Notification 001f TComponent.IsImplementorOf 002b @IntfClear"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 16 8B 57 74 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 8D 47 74 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98286_0 {
	meta:
		name = "TAdapterControlGroup.ImplGetControlRequirements"
		size = 132
		refs = "0011 TAdapterControlGroup.ImplGetControlRequirements 001e TAdapterControlGroup.GetAdapter 002c TAdapterControlGroup.GetAdapterVariableName 004b FullyQualifiedFieldName 0072 @UStrArrayClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 36 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 51 10 84 C0 75 1E 6A 01 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8B C6 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_98287_0 {
	meta:
		name = "TControlRequirements.IsVariableDefined"
		size = 23
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C 8B 08 FF 51 54 40 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_98289_0 {
	meta:
		name = "TCustomAdapterGrid.GetAdapterFormLayout"
		size = 7
		altNames = "TXMLBroker.GetErrorCount"
	strings:
		$1 = { 8B 80 8C 00 00 00 C3 }
	condition:
		$1
}

rule function_98291_0 {
	meta:
		name = "TCustomAdapterCommandColumn.GetLayoutAttributes"
		size = 112
		refs = "000b @UStrClr 0016 TCustomAdapterCommandColumn.GetLayoutAttributes 001b AddQuotedAttrib 0036 AddCustomAttrib"
	strings:
		$1 = { 53 56 8B D8 8B 73 74 8D 46 08 E8 ?? ?? ?? ?? 8D 46 08 8B 4B 58 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 08 8B 4B 60 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 46 08 8B 53 5C E8 ?? ?? ?? ?? 8B 43 74 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 74 00 79 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6C 00 61 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_98293_0 {
	meta:
		name = "TCustomAdapterActionButton.GetLayoutAttributes"
		size = 128
		refs = "000b @UStrClr 0015 HTMLAlignValues 0020 TCustomAdapterActionButton.GetLayoutAttributes 0025 AddQuotedAttrib 002f HTMLVAlignValues"
	strings:
		$1 = { 53 56 8B D8 8B 73 78 8D 46 08 E8 ?? ?? ?? ?? 0F B6 43 7C 8B 15 ?? ?? ?? ?? 8B 0C 82 8D 46 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 43 7D 8B 15 ?? ?? ?? ?? 8B 0C 82 8D 46 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 78 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 61 00 6C 00 69 00 67 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 76 00 61 00 6C 00 69 00 67 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_98297_0 {
	meta:
		name = "FindNamedModuleVariable"
		size = 268
		refs = "001c FindNamedModuleVariable 0032 TComponent.GetComponentCount 0050 TComponent.GetComponent 005b @IntfClear 0071 Supports 008a @UStrLAsg 00b1 CompareText 00df @UStrArrayClr 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D FC 89 4D F8 89 4D F4 8B DA 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 96 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 0F 8C 83 00 00 00 46 C7 45 E8 00 00 00 00 8B 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 89 45 EC 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 EC 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 45 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 0B FF 45 E8 4E 75 85 33 C0 89 45 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 EC 5E 5B 8B E5 5D C3 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98298_0 {
	meta:
		name = "GetModuleVariable"
		size = 196
		refs = "0018 GetModuleVariable 002b TComponent.GetComponentCount 0045 TComponent.GetComponent 0052 @CallDynaInst 005e @IntfClear 0073 Supports 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 56 47 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 85 C0 75 2C 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 F4 3B 45 EC 74 0B FF 45 EC FF 45 F0 4F 75 B2 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98299_0 {
	meta:
		name = "GetModuleVariableCount"
		size = 184
		refs = "0015 GetModuleVariableCount 0028 TComponent.GetComponentCount 003c TComponent.GetComponent 0045 @CallDynaInst 0063 @IntfClear 0070 Supports 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 4C 47 33 DB 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 66 BE F2 FF E8 ?? ?? ?? ?? 85 C0 75 2E 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 03 FF 45 F4 43 4F 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98300_0 {
	meta:
		name = "TCustomWebAppDataModule.Create"
		size = 332
		refs = "0019 @ClassCreate 0027 TCustomWebAppDataModule.Create 0046 _DV_TWebAppDataModule 005f _DV_TCustomWebAppDataModule 0067 InitInheritedComponent 0078 TObject.ClassName 0090 sResNotFound 0095 LoadResString 009f _Dn_EResNotFound 00a4 Exception.CreateFmt 00a9 @RaiseExcept 00e5 @HandleAnyException 00ea ApplicationHandleException 0104 @DoneExcept 011e @UStrArrayClr 0124 @HandleFinally 0134 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 D2 8B 45 FC 8B 18 FF 53 48 8B 55 FC 8B 12 89 D0 3B 05 ?? ?? ?? ?? 0F 84 B8 00 00 00 8B 45 FC F6 40 1C 10 0F 85 AB 00 00 00 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 3E 8D 55 EC 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 83 78 4A 00 74 15 8B 45 FC 80 78 58 00 74 0C 8B 5D FC 8B 55 FC 8B 43 4C FF 53 48 33 C0 5A 59 59 64 89 10 EB 24 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 66 83 78 02 00 74 0E 8B 1D ?? ?? ?? ?? 8B 55 FC 8B 43 04 FF 13 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98306_0 {
	meta:
		name = "TCustomWebAppPageModule.Create"
		size = 332
		refs = "0019 @ClassCreate 0027 TCustomWebAppPageModule.Create 0046 _DV_TWebAppPageModule 005f _DV_TCustomWebAppPageModule 0067 InitInheritedComponent 0078 TObject.ClassName 0090 sResNotFound 0095 LoadResString 009f _Dn_EResNotFound 00a4 Exception.CreateFmt 00a9 @RaiseExcept 00e5 @HandleAnyException 00ea ApplicationHandleException 0104 @DoneExcept 011e @UStrArrayClr 0124 @HandleFinally 0134 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 D2 8B 45 FC 8B 18 FF 53 48 8B 55 FC 8B 12 89 D0 3B 05 ?? ?? ?? ?? 0F 84 B8 00 00 00 8B 45 FC F6 40 1C 10 0F 85 AB 00 00 00 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 3E 8D 55 EC 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 83 78 4A 00 74 15 8B 45 FC 80 78 58 00 74 0C 8B 5D FC 8B 55 FC 8B 43 4C FF 53 48 33 C0 5A 59 59 64 89 10 EB 24 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 66 83 78 02 00 74 0E 8B 1D ?? ?? ?? ?? 8B 55 FC 8B 43 04 FF 13 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98328_0 {
	meta:
		name = "TCustomWebPageModule.Create"
		size = 332
		refs = "0019 @ClassCreate 0027 TCustomWebPageModule.Create 0046 _DV_TWebPageModule 0067 InitInheritedComponent 0078 TObject.ClassName 0090 sResNotFound 0095 LoadResString 009f _Dn_EResNotFound 00a4 Exception.CreateFmt 00a9 @RaiseExcept 00e5 @HandleAnyException 00ea ApplicationHandleException 0104 @DoneExcept 011e @UStrArrayClr 0124 @HandleFinally 0134 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 D2 8B 45 FC 8B 18 FF 53 48 8B 55 FC 8B 12 89 D0 3B 05 ?? ?? ?? ?? 0F 84 B8 00 00 00 8B 45 FC F6 40 1C 10 0F 85 AB 00 00 00 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 3E 8D 55 EC 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 83 78 4A 00 74 15 8B 45 FC 80 78 58 00 74 0C 8B 5D FC 8B 55 FC 8B 43 4C FF 53 48 33 C0 5A 59 59 64 89 10 EB 24 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 66 83 78 02 00 74 0E 8B 1D ?? ?? ?? ?? 8B 55 FC 8B 43 04 FF 13 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98301_0 {
	meta:
		name = "TCustomWebAppDataModule.CreateNew"
		size = 61
		refs = "000d @ClassCreate 001c TCustomWebDataModule.CreateNew 0027 @AfterConstruction"
		altNames = "TCustomWebPageModule.CreateNew"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_98307_0 {
	meta:
		name = "TCustomWebAppPageModule.CreateNew"
		size = 61
		refs = "000d @ClassCreate 001c TCustomWebPageModule.CreateNew 0027 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_98316_0 {
	meta:
		name = "TCustomWebDataModule.CreateNew"
		size = 61
		refs = "000d @ClassCreate 001c TDataModule.CreateNew 0027 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_98302_0 {
	meta:
		name = "TCustomWebAppDataModule.Notification"
		size = 51
		refs = "0010 TCustomWebDataModule.Notification 001f TComponent.IsImplementorOf 002b @IntfClear"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 16 8B 57 78 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 8D 47 78 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98304_0 {
	meta:
		name = "TCustomWebAppDataModule.QueryInterface"
		size = 88
		refs = "0010 TCustomWebAppDataModule.QueryInterface 0017 IsEqualGUID 002a Supports 003a TComponent.QueryInterface"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 8B CF BA ?? ?? ?? ?? 8B 43 78 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 08 57 56 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 00 00 00 0D 2F CD 19 8F E6 6F 4A 92 AA 4C 76 59 E8 37 08 }
	condition:
		$1
}

rule function_98308_0 {
	meta:
		name = "TCustomWebAppPageModule.QueryInterface"
		size = 88
		refs = "0010 TCustomWebAppPageModule.QueryInterface 0017 IsEqualGUID 002d Supports 003d TComponent.QueryInterface"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 10 8B 75 0C 8B 5D 08 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1A 8B CF BA ?? ?? ?? ?? 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 EB 08 57 56 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 0D 2F CD 19 8F E6 6F 4A 92 AA 4C 76 59 E8 37 08 }
	condition:
		$1
}

rule function_98309_0 {
	meta:
		name = "TCustomWebAppPageModule.Notification"
		size = 83
		refs = "0010 TCustomWebPageModule.Notification 0022 TComponent.IsImplementorOf 0031 @IntfClear 0038 TCustomWebPageModule.GetDefaultActionName 004b TAdapterActionName.SetAdapter"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 36 8B 97 98 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0B 8D 87 98 00 00 00 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 3B 70 08 75 0E 8B C7 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98310_0 {
	meta:
		name = "TCustomWebAppPageModule.SetAppServices"
		size = 52
		refs = "0011 TComponent.ReferenceInterface 001e @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 B1 01 8B 93 98 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 83 98 00 00 00 8B D6 E8 ?? ?? ?? ?? 33 C9 8B 93 98 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98313_0 {
	meta:
		name = "TCustomWebDataModule.Notification"
		size = 51
		refs = "0010 TComponent.Notification 002b TSiteModuleHelper.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 4C 85 C0 74 10 8B C7 8B 10 FF 52 4C 8B CB 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98315_0 {
	meta:
		name = "TCustomWebDataModule.Create"
		size = 334
		refs = "0019 @ClassCreate 0026 TCustomWebDataModule.Create 0045 _DV_TWebDataModule 005e _DV_TCustomWebDataModule 0066 InitInheritedComponent 0077 TObject.ClassName 008f sResNotFound 0094 LoadResString 009e _Dn_EResNotFound 00a3 Exception.CreateFmt 00a8 @RaiseExcept 00e4 @HandleAnyException 00e9 ApplicationHandleException 0103 @RaiseAgain 0108 @DoneExcept 0122 @UStrArrayClr 0128 @HandleFinally 0136 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D F0 89 5D EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 33 D2 8B 45 FC 8B 30 FF 56 48 8B 55 FC 8B 12 89 D0 3B 05 ?? ?? ?? ?? 0F 84 BD 00 00 00 8B 45 FC F6 40 1C 10 0F 85 B0 00 00 00 8B 15 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 3E 8D 55 F0 8B 45 FC 8B 00 E8 ?? ?? ?? ?? 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 83 78 4A 00 74 15 8B 45 FC 80 78 58 00 74 0C 8B 75 FC 8B 55 FC 8B 46 4C FF 56 48 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? A1 ?? ?? ?? ?? 66 83 78 02 00 74 0E 8B 1D ?? ?? ?? ?? 8B 55 FC 8B 43 04 FF 13 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98317_0 {
	meta:
		name = "TCustomWebDataModule.GetOnActivate"
		size = 27
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 4C 8B 50 18 89 16 8B 50 1C 89 56 04 5E 5B C3 }
	condition:
		$1
}

rule function_98318_0 {
	meta:
		name = "TCustomWebDataModule.GetOnDeactivate"
		size = 27
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 4C 8B 50 20 89 16 8B 50 24 89 56 04 5E 5B C3 }
	condition:
		$1
}

rule function_98319_0 {
	meta:
		name = "TCustomWebDataModule.GetRequest"
		size = 15
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 4C 8B 40 04 5B C3 }
	condition:
		$1
}

rule function_98320_0 {
	meta:
		name = "TCustomWebDataModule.GetResponse"
		size = 15
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 4C 8B 40 08 5B C3 }
	condition:
		$1
}

rule function_98321_0 {
	meta:
		name = "TCustomWebDataModule.GetSession"
		size = 15
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 4C 8B 40 0C 5B C3 }
	condition:
		$1
}

rule function_98322_0 {
	meta:
		name = "TCustomWebDataModule.SetOnActivate"
		size = 30
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 4C 8B 55 08 89 50 18 8B 55 0C 89 50 1C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_98323_0 {
	meta:
		name = "TCustomWebDataModule.SetOnDeactivate"
		size = 30
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 4C 8B 55 08 89 50 20 8B 55 0C 89 50 24 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_98324_0 {
	meta:
		name = "TCustomWebDataModule.GetSiteModuleHelper"
		size = 31
		refs = "000e _DV_TSiteModuleHelper 0013 TSiteModuleHelper.Create"
	strings:
		$1 = { 53 8B D8 83 7B 60 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 60 8B 43 60 5B C3 }
	condition:
		$1
}

rule function_98326_0 {
	meta:
		name = "TWebAppPageModuleHelper.GetPageProducer"
		size = 33
		refs = "000b _DV_TWebAppPageModule 0010 @AsClass 001a @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 78 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98327_0 {
	meta:
		name = "TWebPageModuleHelper.GetPageProducer"
		size = 33
		refs = "000b _DV_TCustomWebPageModule 0010 @AsClass 001a @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 78 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98330_0 {
	meta:
		name = "TCustomWebPageModule.Destroy"
		size = 61
		refs = "0003 @BeforeDestruction 0010 TCustomWebPageModule.SetPageProducer 001b TCustomWebDataModule.Destroy 002b TObject.Free 0036 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8D 46 7C 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98331_0 {
	meta:
		name = "TCustomWebPageModule.GetOnAfterDispatchPage"
		size = 27
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 54 8B 50 48 89 16 8B 50 4C 89 56 04 5E 5B C3 }
	condition:
		$1
}

rule function_98332_0 {
	meta:
		name = "TCustomWebPageModule.GetOnAfterRedirectToPage"
		size = 27
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 54 8B 50 50 89 16 8B 50 54 89 56 04 5E 5B C3 }
	condition:
		$1
}

rule function_98333_0 {
	meta:
		name = "TCustomWebPageModule.GetOnBeforeDispatchPage"
		size = 27
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 54 8B 50 40 89 16 8B 50 44 89 56 04 5E 5B C3 }
	condition:
		$1
}

rule function_98334_0 {
	meta:
		name = "TCustomWebPageModule.GetOnBeforeRedirectToPage"
		size = 27
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 54 8B 50 58 89 16 8B 50 5C 89 56 04 5E 5B C3 }
	condition:
		$1
}

rule function_98336_0 {
	meta:
		name = "TCustomWebPageModule.GetSitePageModuleHelper"
		size = 31
		refs = "000e _DV_TWebPageModuleHelper 0013 TSitePageModuleHelper.Create"
	strings:
		$1 = { 53 8B D8 83 7B 7C 00 75 11 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 7C 8B 43 7C 5B C3 }
	condition:
		$1
}

rule function_98338_0 {
	meta:
		name = "TCustomWebPageModule.Notification"
		size = 196
		refs = "0012 TCustomWebPageModule.Notification 0023 TCustomWebDataModule.Notification 003b @IntfClear 0049 Supports 0057 TCustomWebPageModule.SetPageProducer 0066 TComponent.IsImplementorOf 0079 TCustomWebPageModule.GetDefaultActionName 008c TAdapterActionName.SetAdapter 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 84 DB 75 30 F6 46 1C 01 75 2A 83 7E 78 00 75 24 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0A 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 30 8B 56 78 8B C7 E8 ?? ?? ?? ?? 84 C0 74 08 8D 46 78 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 3B 78 08 75 0E 8B C6 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 B7 17 FA AA 14 E8 D4 11 A5 4A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98339_0 {
	meta:
		name = "TCustomWebPageModule.SetOnAfterDispatchPage"
		size = 30
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 54 8B 55 08 89 50 48 8B 55 0C 89 50 4C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_98340_0 {
	meta:
		name = "TCustomWebPageModule.SetOnAfterRedirectToPage"
		size = 30
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 54 8B 55 08 89 50 50 8B 55 0C 89 50 54 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_98341_0 {
	meta:
		name = "TCustomWebPageModule.SetOnBeforeDispatchPage"
		size = 30
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 54 8B 55 08 89 50 40 8B 55 0C 89 50 44 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_98342_0 {
	meta:
		name = "TCustomWebPageModule.SetOnBeforeRedirectToPage"
		size = 30
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 54 8B 55 08 89 50 58 8B 55 0C 89 50 5C 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_98343_0 {
	meta:
		name = "TCustomWebPageModule.SetPageProducer"
		size = 100
		refs = "000e @IntfAddRef 0016 TCustomWebPageModule.SetPageProducer 0028 TComponent.ReferenceInterface 0033 @IntfCopy 0054 @IntfClear 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 8B 53 78 8B C3 E8 ?? ?? ?? ?? 8D 43 78 8B 55 FC E8 ?? ?? ?? ?? 33 C9 8B 53 78 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_98344_0 {
	meta:
		name = "TCustomWebPageModule.SetDefaultActionName"
		size = 23
		refs = "0010 TSitePageModuleHelper.SetDefaultActionName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 54 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98345_0 {
	meta:
		name = "TCustomWebPageModule.GetDefaultActionName"
		size = 15
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 54 8B 40 38 5B C3 }
	condition:
		$1
}

rule function_98346_0 {
	meta:
		name = "TSiteModuleHelper.Create"
		size = 75
		refs = "000b @ClassCreate 001a TObject.Create 0024 _DV_TWebNotifyContainer 0029 TWebNotifyContainer.Create 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 2C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98349_0 {
	meta:
		name = "TSiteModuleHelper.FindVariableContainer"
		size = 128
		refs = "000d TSiteModuleHelper.FindVariableContainer 0027 @IntfClear 003c Supports 0047 RaiseVariableIsNotAContainer 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D6 8B 08 FF 11 8B D8 85 DB 74 28 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A }
	condition:
		$1
}

rule function_98352_0 {
	meta:
		name = "TSiteModuleHelper.GetWebModuleContext"
		size = 25
		refs = "000d FindComponentWebModuleContext"
	strings:
		$1 = { 53 8B D8 83 7B 28 00 75 0B 8B 43 10 E8 ?? ?? ?? ?? 89 43 28 8B 43 28 5B C3 }
	condition:
		$1
}

rule function_98353_0 {
	meta:
		name = "TSiteModuleHelper.NotifyActivate"
		size = 68
		refs = "0004 WebContext 003e TWebNotifyContainer.NotifyWebActivate"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 8B 10 FF 52 04 89 43 04 E8 ?? ?? ?? ?? 8B 10 FF 52 08 89 43 08 E8 ?? ?? ?? ?? 8B 10 FF 52 20 89 43 0C 66 83 7B 1A 00 74 09 8B 53 10 8B 43 1C FF 53 18 8B 43 2C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_98354_0 {
	meta:
		name = "TSiteModuleHelper.NotifyDeactivate"
		size = 44
		refs = "0017 TWebNotifyContainer.NotifyWebDeactivate"
	strings:
		$1 = { 53 8B D8 66 83 7B 22 00 74 09 8B 53 10 8B 43 24 FF 53 20 8B 43 2C E8 ?? ?? ?? ?? 33 C0 89 43 04 33 C0 89 43 08 33 C0 89 43 0C 5B C3 }
	condition:
		$1
}

rule function_98355_0 {
	meta:
		name = "TSiteModuleHelper.Notification"
		size = 128
		refs = "000f TSiteModuleHelper.Notification 0026 @IntfClear 003b Supports 0049 TWebNotifyContainer.Add 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 C9 75 30 3B 73 10 74 2B 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 43 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 42 BE 18 CE 58 13 D4 11 AB F4 F1 8F FA D1 2B 3C }
	condition:
		$1
}

rule function_98356_0 {
	meta:
		name = "TSiteModuleHelper.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001a TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98357_0 {
	meta:
		name = "TSiteModuleHelper.EndIterator"
		size = 6
	strings:
		$1 = { 33 D2 89 50 30 C3 }
	condition:
		$1
}

rule function_98358_0 {
	meta:
		name = "TSiteModuleHelper.GetCurrentObject"
		size = 9
		refs = "0004 TSiteModuleHelper.GetVariable"
	strings:
		$1 = { 8B 50 30 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98359_0 {
	meta:
		name = "TSiteModuleHelper.NextIteration"
		size = 13
	strings:
		$1 = { FF 40 30 8B 50 30 3B 50 34 0F 9C C0 C3 }
	condition:
		$1
}

rule function_98360_0 {
	meta:
		name = "TSiteModuleHelper.StartIterator"
		size = 30
		refs = "000c TSiteModuleHelper.GetVariableCount"
	strings:
		$1 = { 53 56 8B D8 33 C0 89 43 30 8B C3 E8 ?? ?? ?? ?? 8B F0 89 73 34 3B 73 30 0F 9F C0 5E 5B C3 }
	condition:
		$1
}

rule function_98361_0 {
	meta:
		name = "TSitePageModuleHelper.GetTemplateStream"
		size = 428
		refs = "0022 TSitePageModuleHelper.GetTemplateStream 003b @UStrLAsg 0046 WebContext 0083 @IntfClear 0090 Supports 00d9 TSitePageModuleHelper.GetProducerComponent 00f1 DesignerFileManager 011b QualifyFileName 0125 _Dn_TFileStream 012a TFileStream.Create 014b @UStrClr 0179 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E8 89 55 EC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 83 7D EC 00 75 0D 8D 45 F4 8B 56 3C E8 ?? ?? ?? ?? EB 26 8D 45 E4 50 E8 ?? ?? ?? ?? 0F B6 0D ?? ?? ?? ?? 8B 55 EC 8B 38 FF 57 4C 84 C0 74 0A 8D 55 F4 8B 45 E4 8B 08 FF 11 83 7D F4 00 0F 84 C7 00 00 00 8D 55 E0 8B C6 8B 08 FF 51 18 8B 45 E0 50 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 F0 8B 10 FF 52 0C 85 C0 74 03 83 E8 CC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0B 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 83 7D F8 00 74 1A 8B 45 E8 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 4D F4 8B 45 F8 8B 18 FF 53 0C 8B D8 85 DB 75 1E A1 ?? ?? ?? ?? 83 38 00 74 14 8B 4D E8 A1 ?? ?? ?? ?? 8B 00 8B 55 F4 8B 18 FF 53 10 8B D8 85 DB 75 28 6A 40 8D 55 DC 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 E8 C6 00 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 00 74 84 F3 2B 21 E8 D4 11 A5 4A 00 C0 4F 6B B8 53 5B 16 FD C9 1C 8F D4 11 A4 E4 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98362_0 {
	meta:
		name = "TSitePageModuleHelper.DispatchPage"
		size = 14
	strings:
		$1 = { 53 56 8B F0 8B C6 8B 18 FF 53 08 5E 5B C3 }
	condition:
		$1
}

rule function_98363_0 {
	meta:
		name = "TSitePageModuleHelper.ImplDispatchPage"
		size = 356
		refs = "001f TSitePageModuleHelper.ImplDispatchPage 0055 WebContext 006b TSitePageModuleHelper.GetTemplateStream 0090 TSitePageModuleHelper.HTMLFromTemplate 00ab TObject.Free 00b1 @HandleFinally 00ca @IntfClear 00d7 Supports 00f0 @UStrClr 00fb TWebResponse.SetUnicodeContent"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 33 DB 89 5D DC 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 EB 00 8B 45 F4 66 83 78 42 00 74 13 8D 45 EB 50 8B 5D F4 8B 4D F0 8B 55 F4 8B 43 44 FF 53 40 80 7D EB 00 0F 85 C8 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 08 FF 51 30 8D 4D E3 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 74 3F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D E3 00 74 08 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8D 55 DC 8B 45 F4 8B 08 FF 51 18 8B 45 DC 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0D 8D 55 FC 8B 45 F8 8B 08 FF 51 0C EB 08 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 EC E8 ?? ?? ?? ?? C6 45 EB 01 8B 45 F4 66 83 78 4A 00 74 0F 8B 5D F4 8B 4D F0 8B 55 F4 8B 43 4C FF 53 48 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 0F B6 45 EB 5B 8B E5 5D C3 00 00 B7 17 FA AA 14 E8 D4 11 A5 4A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98364_0 {
	meta:
		name = "TSitePageModuleHelper.RedirectToPage"
		size = 30
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 45 08 50 8B D7 8B C6 8B 18 FF 53 10 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_98365_0 {
	meta:
		name = "TSitePageModuleHelper.ImplRedirectToPage"
		size = 396
		refs = "0021 TSitePageModuleHelper.ImplRedirectToPage 0032 _Dn_TStringList 0037 TStringList.Create 0054 TSitePageModuleHelper.GetRedirectParams 00a1 @UStrFromLStr 00b5 EncodeParamsAsHTTPQuery 00c5 @UStrCatN 00de SafeRedirect 00f0 @LStrFromUStr 0124 TObject.Free 012a @HandleFinally 0141 @LStrClr 0149 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F0 8B D7 8B C6 E8 ?? ?? ?? ?? 83 7D F8 00 74 0B 8B 55 F8 8B 45 F0 8B 08 FF 51 40 66 83 7E 5A 00 74 12 8B 45 F0 50 8D 45 F7 50 8B CF 8B D6 8B 46 5C FF 56 58 80 7D F7 00 0F 85 87 00 00 00 8D 55 E8 8B 45 08 8B 40 10 8B 08 FF 51 18 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 57 8D 55 E4 8B 45 F0 E8 ?? ?? ?? ?? FF 75 E4 8D 45 FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 5E 08 8B 43 0C 8B 40 08 83 78 08 00 7E 0C 8B C3 8B 55 FC E8 ?? ?? ?? ?? EB 1A 8D 45 E0 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B C3 8B 08 FF 51 38 C6 45 F7 01 66 83 7E 52 00 74 0A 8B CF 8B D6 8B 46 54 FF 56 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_98366_0 {
	meta:
		name = "TSitePageModuleHelper.SetWebContentOptions"
		size = 12
	strings:
		$1 = { 56 8B F0 8B C6 8B 08 FF 51 14 5E C3 }
	condition:
		$1
}

rule function_98368_0 {
	meta:
		name = "TSitePageModuleHelper.Create"
		size = 76
		refs = "000b @ClassCreate 001c TSiteModuleHelper.Create 0025 _DV_TAdapterActionName 002a TAdapterActionName.Create 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 38 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98369_0 {
	meta:
		name = "TSitePageModuleHelper.HTMLFromTemplate"
		size = 152
		refs = "0016 TSitePageModuleHelper.HTMLFromTemplate 0032 @IntfClear 003f Supports 0059 @UStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 18 8B 45 F4 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0F 8B CE 8B 55 F8 8B 45 FC 8B 18 FF 53 0C EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 75 C8 0C AA 1B E8 D4 11 A5 4A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98370_0 {
	meta:
		name = "TSitePageModuleHelper.GetProducerComponent"
		size = 140
		refs = "000e TSitePageModuleHelper.GetProducerComponent 002a @IntfClear 0037 Supports 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 18 8B 45 F8 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 00 00 00 58 18 8B E2 86 EC 59 45 8F CD 6B 4F 82 41 51 ED }
	condition:
		$1
}

rule function_98371_0 {
	meta:
		name = "TSitePageModuleHelper.ImplSetWebContentOptions"
		size = 136
		refs = "0011 TSitePageModuleHelper.ImplSetWebContentOptions 002d @IntfClear 003a Supports 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 18 8B 45 F8 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 FC 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 95 89 D4 7F 14 58 D4 11 A4 92 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98373_0 {
	meta:
		name = "FindAdapterDispatcher"
		size = 132
		refs = "000d FindAdapterDispatcher 0018 WebContext 0029 @IntfClear 003e Supports 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 33 D2 8B 08 FF 51 3C 8B D8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 FC 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 0D 2F CD 19 8F E6 6F 4A 92 AA 4C 76 59 E8 37 08 }
	condition:
		$1
}

rule function_98374_0 {
	meta:
		name = "TSitePageModuleHelper.GetRedirectParams"
		size = 224
		refs = "0011 TSitePageModuleHelper.GetRedirectParams 0029 FindAdapterDispatcher 0036 _Dn_TAdapterItemRequestParams 003b TAdapterItemRequestParams.Create 004c @IntfCopy 0066 TAdapterActionName.GetAction 00a4 @IntfClear 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 38 00 0F 84 8B 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 7D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8D 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 8B 43 38 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA CC 0F B6 0D ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 18 8B 45 F8 8B 10 FF 52 1C 8B D0 8B C6 8B 08 FF 51 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_98378_0 {
	meta:
		name = "TSitePageModuleHelper.ImplIncludePage"
		size = 268
		refs = "0015 TSitePageModuleHelper.ImplIncludePage 002b TSitePageModuleHelper.GetTemplateStream 0054 _Dn_TWebContentOptions 0059 TWebContentOptions.Create 0063 TSitePageModuleHelper.SetWebContentOptions 0076 TEncoding.GetUTF8 0087 TSitePageModuleHelper.HTMLFromTemplate 0091 _Dn_TStringStream 0096 TStringStream.Create 00b9 @HandleFinally 00d6 TObject.Free 00f3 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 DB 89 5D EC 8B D9 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8D 4D F3 8B 45 FC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 A6 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 50 6A 01 8D 4D EC 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 C6 03 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 D2 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F3 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5B 8B E5 5D C3 00 04 00 00 00 }
	condition:
		$1
}

rule function_98391_0 {
	meta:
		name = "TWebNotifyContainer.NotifyWebActivate"
		size = 164
		refs = "0015 TWebNotifyContainer.NotifyWebActivate 003b TList.Get 0045 @IntfClear 005a Supports 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 04 8B 58 08 4B 83 FB 00 7C 42 8B 45 F8 8B 70 04 8B FB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B F0 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 0C 4B 83 FB FF 75 BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 42 BE 18 CE 58 13 D4 11 AB F4 F1 8F FA D1 2B 3C }
	condition:
		$1
}

rule function_98392_0 {
	meta:
		name = "TWebNotifyContainer.NotifyWebDeactivate"
		size = 164
		refs = "0015 TWebNotifyContainer.NotifyWebDeactivate 003b TList.Get 0045 @IntfClear 005a Supports 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 04 8B 58 08 4B 83 FB 00 7C 42 8B 45 F8 8B 70 04 8B FB 8B D7 8B C6 E8 ?? ?? ?? ?? 8B F0 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 FC 8B 10 FF 52 10 4B 83 FB FF 75 BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 42 BE 18 CE 58 13 D4 11 AB F4 F1 8F FA D1 2B 3C }
	condition:
		$1
}

rule function_98393_0 {
	meta:
		name = "TAdapterActionName.AssignTo"
		size = 62
		refs = "000b _DV_TAdapterActionName 0010 @IsClass 0020 TAdapterActionName.SetAdapter 002b @UStrAsg 0036 TPersistent.AssignTo"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B 53 08 8B FE 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B 53 0C E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98395_0 {
	meta:
		name = "TAdapterActionName.GetAction"
		size = 124
		refs = "000d TAdapterActionName.GetAction 001d @IntfClear 0033 Supports 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 08 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0D 8B 53 0C 8B 45 FC 8B 08 FF 51 10 8B F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 93 BC 84 CB 65 4C D4 11 A4 8B 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98396_0 {
	meta:
		name = "TAdapterActionName.SetAdapter"
		size = 25
		refs = "0014 TComponent.FreeNotification"
	strings:
		$1 = { 3B 50 08 74 13 8B CA 89 48 08 85 C9 74 0A 8B 50 04 8B C1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98411_0 {
	meta:
		name = "RaiseObjectDoesNotSupportScripting"
		size = 240
		refs = "001c RaiseObjectDoesNotSupportScripting 002a _Dn_TComponent 002f @IsClass 003f TObject.ClassName 0061 sComponentDoesNotSupportScripting 0066 LoadResString 0070 _DV_EScriptEvalError 0075 Exception.CreateFmt 007a @RaiseExcept 009e sClassDoesNotSupportScripting 00d1 @UStrArrayClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 33 D2 89 55 DC 89 55 D8 89 55 EC 89 55 E8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 49 8D 55 EC 8B F3 8B 06 E8 ?? ?? ?? ?? 8B 45 EC 89 45 F0 C6 45 F4 11 8B 46 08 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3B 8D 55 DC 8B 03 E8 ?? ?? ?? ?? 8B 45 DC 89 45 E0 C6 45 E4 11 8D 45 E0 50 6A 00 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98414_0 {
	meta:
		name = "TScriptProducer.ParseStream"
		size = 33
		refs = "0019 TScriptFile.ParseStream"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B 47 10 8B 10 FF 52 08 8B CB 8B D6 8B 47 30 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98415_0 {
	meta:
		name = "TScriptProducer.ParseString"
		size = 27
		refs = "0014 TScriptFile.ParseString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 10 8B 10 FF 52 08 8B D6 8B 43 30 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98416_0 {
	meta:
		name = "TScriptProducer.Create"
		size = 352
		refs = "000f @ClassCreate 0021 @IntfAddRef 0029 TScriptProducer.Create 0049 TAbstractScriptProducer.Create 004e TEncoding.GetUTF8 005a _Dn_TStringStream 005f TStringStream.Create 006a _Dn_TComponent 006f @IsClass 008d @IntfCopy 0098 @UStrAsg 00b2 _DV_TScriptErrors 00b7 TScriptErrors.Create 00c3 _DV_THTMLItems 00c8 THTMLItems.Create 00d4 _DV_TScriptFile 00d9 TScriptFile.Create 00e5 _DV_TScriptIncludeFiles 00ea TScriptIncludeFiles.Create 0114 @IntfClear 011a @HandleFinally 0129 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B F8 8B 5D 18 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 FF 75 14 FF 75 10 8B 45 0C 50 8B 45 08 50 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 28 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 06 F6 46 1C 10 75 04 33 C0 EB 02 B0 01 88 47 0C 8D 47 2C 8B 55 08 E8 ?? ?? ?? ?? 8D 47 34 8B 55 0C E8 ?? ?? ?? ?? 83 7F 34 00 75 0D 8D 47 34 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 38 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 30 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 14 89 77 18 88 5F 1C 8B 45 10 89 47 20 8B 45 14 89 47 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 14 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4A 00 53 00 43 00 52 00 49 00 50 00 54 00 00 00 }
	condition:
		$1
}

rule function_98417_0 {
	meta:
		name = "TScriptProducer.Destroy"
		size = 76
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001a TObject.Free 0045 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 46 30 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98420_0 {
	meta:
		name = "TScriptProducer.GetHTMLBlock"
		size = 29
		refs = "000e TScriptProducer.GetHTMLItem 0015 THTMLItem.GetHTML"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98421_0 {
	meta:
		name = "TScriptProducer.Evaluate"
		size = 21
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 30 8B C3 8B 18 FF 53 04 5E 5B C3 }
	condition:
		$1
}

rule function_98422_0 {
	meta:
		name = "TScriptProducer.GetContent"
		size = 19
		refs = "000c TStringStream.GetDataString"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98423_0 {
	meta:
		name = "TScriptProducer.SetContent"
		size = 30
		refs = "000e TStream.SetSize64 0017 TScriptProducer.Write"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 6A 00 8B 43 28 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98424_0 {
	meta:
		name = "TScriptProducer.Write"
		size = 85
		refs = "0012 TScriptProducer.Write 0024 WideCharLenToString 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98425_0 {
	meta:
		name = "TScriptProducer.WritePChar"
		size = 15
	strings:
		$1 = { 53 56 8B F0 8B 46 28 8B 18 FF 53 10 5E 5B C3 }
	condition:
		$1
}

rule function_98426_0 {
	meta:
		name = "TScriptProducer.Write"
		size = 23
		refs = "0010 TStringStream.WriteString"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 0A 8B D6 8B 43 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98428_0 {
	meta:
		name = "TScriptProducer.HandleParserError"
		size = 33
		refs = "000b _DV_TScriptError 0010 TScriptError.Create"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 38 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_98429_0 {
	meta:
		name = "TScriptProducer.GetScript"
		size = 19
		refs = "000c TScriptFile.GetScript"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 30 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98432_0 {
	meta:
		name = "TScriptProducer.HandleScriptError"
		size = 6
	strings:
		$1 = { 8B 08 FF 51 08 C3 }
	condition:
		$1
}

rule function_98433_0 {
	meta:
		name = "TVariableLookup.LookupObject"
		size = 37
		refs = "0015 TVariableLookup.FindVariable"
	strings:
		$1 = { 53 8B D8 83 7B 1C 00 75 13 83 7B 18 00 74 0D 8B 53 18 8B C3 E8 ?? ?? ?? ?? 89 43 1C 83 7B 1C 00 0F 95 C0 5B C3 }
	condition:
		$1
}

rule function_98434_0 {
	meta:
		name = "TVariableLookup.FindVariable"
		size = 336
		refs = "001d TVariableLookup.FindVariable 003a @UStrLAsg 0049 Pos 006f @UStrCopy 007e @UStrDelete 008c TVariableLookup.FindGlobalVariableContainer 009c TVariableLookup.FindFieldVariable 00ba sVariableNotFound 00bf LoadResString 00c9 _Dn_EScriptError 00ce Exception.CreateFmt 00d3 @RaiseExcept 0104 TVariableLookup.FindGlobalVariable 011b @UStrClr 0128 @UStrArrayClr 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D FC 89 4D F8 89 55 F4 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 83 7D F4 00 0F 84 D7 00 00 00 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? 33 F6 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E A7 00 00 00 85 DB 0F 8E 8F 00 00 00 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 85 F6 75 0E 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B F0 EB 0E 8B 4D F8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 75 31 8B 45 F4 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8F 71 FF FF FF 8B 4D FC 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 EB 0C 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_98435_0 {
	meta:
		name = "TVariableLookup.FindGlobalVariableContainer"
		size = 228
		refs = "0019 TVariableLookup.FindGlobalVariableContainer 002f @IntfClear 003e Supports 005b WebContext 0086 sVariableNotFound 008b LoadResString 0095 _Dn_EScriptError 009a Exception.CreateFmt 009f @RaiseExcept 00b4 @UStrClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 83 7E 20 00 74 2B 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 84 C0 74 10 8B D7 8B 45 FC 8B 08 FF 51 10 8B D8 85 DB 75 4D 85 DB 75 1B E8 ?? ?? ?? ?? 85 C0 74 12 E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 54 8B D8 85 DB 75 2E 89 7D F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A }
	condition:
		$1
}

rule function_98436_0 {
	meta:
		name = "TVariableLookup.FindGlobalVariable"
		size = 132
		refs = "0010 TVariableLookup.FindGlobalVariable 002a @IntfClear 0039 Supports 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 85 F6 74 2D 83 7B 20 00 74 27 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 20 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C 8B F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C3 00 00 B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A }
	condition:
		$1
}

rule function_98437_0 {
	meta:
		name = "TVariableLookup.FindFieldVariable"
		size = 128
		refs = "0010 TVariableLookup.FindFieldVariable 0020 @IntfClear 0035 Supports 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0C 8B D7 8B 45 FC 8B 08 FF 51 0C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 00 00 B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A }
	condition:
		$1
}

rule function_98438_0 {
	meta:
		name = "TVariableLookup.Create"
		size = 78
		refs = "000e @ClassCreate 001d TObject.Create 0026 TVariableLookup.SetIdent 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 45 08 89 47 20 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_98439_0 {
	meta:
		name = "TVariableLookup.SetIdent"
		size = 98
		refs = "0013 TVariableLookup.SetIdent 0023 @UStrAsg 002b @VarClear 0036 @VarCopy 0050 @VarClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 18 8B D6 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 43 08 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 89 43 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98440_0 {
	meta:
		name = "TVariableLookup.GetObject"
		size = 23
		refs = "0006 TVariableLookup.LookupObject"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 8B 43 1C 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_98441_0 {
	meta:
		name = "TScriptProducer.ReplaceTags"
		size = 36
		refs = "001c ContentFromString"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 FF 73 24 FF 73 20 6A 00 6A 00 8B CF 0F B6 53 1C 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98444_0 {
	meta:
		name = "THTMLItem.AssignString"
		size = 213
		refs = "001b THTMLItem.AssignString 0048 TArray<System.Byte> 004d @DynArraySetLength 005d Move 006a TEncoding.GetString 0078 TStringStream.WriteString 00b2 @UStrClr 00c0 @DynArrayClear 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B D8 8B 7D 08 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 40 14 8B 10 FF 12 89 43 0C 8B 43 04 8B 40 14 3B 78 18 74 51 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B 45 F4 8B CE E8 ?? ?? ?? ?? 8D 4D F8 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B 43 04 8B 40 14 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 04 8B 40 14 8B 10 FF 12 2B 43 0C 89 43 10 EB 13 89 73 10 8B 55 F4 8B 43 04 8B 40 14 8B CE 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_98445_0 {
	meta:
		name = "THTMLItem.Create"
		size = 75
		refs = "000b @ClassCreate 001a TObject.Create 002c TList.Add 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 8B 46 08 89 47 08 8B C6 8B D7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98446_0 {
	meta:
		name = "THTMLItem.GetIdent"
		size = 21
		refs = "000e THTMLItems.MakeIdentifier"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B D3 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98447_0 {
	meta:
		name = "THTMLItem.GetHTML"
		size = 91
		refs = "000c THTMLItem.GetHTML 002c @LStrFromPCharLen 0036 UTF8ToUnicodeString 004b @LStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 6A 00 8B 50 04 8B 52 14 8B 52 04 03 50 0C 8D 4D FC 8B 40 10 91 E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_98448_0 {
	meta:
		name = "THTMLItem.GetPHTMLChar"
		size = 15
	strings:
		$1 = { 8B 50 04 8B 52 14 8B 52 04 03 50 0C 8B C2 C3 }
	condition:
		$1
}

rule function_98449_0 {
	meta:
		name = "THTMLItems.Create"
		size = 87
		refs = "000b @ClassCreate 001c TObjectList.Create 0024 TEncoding.GetUTF8 0030 _Dn_TStringStream 0035 TStringStream.Create 0043 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B1 01 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 E8 ?? ?? ?? ?? 50 6A 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 14 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98452_0 {
	meta:
		name = "THTMLItems.MakeIdentifier"
		size = 100
		refs = "000b GlobalScriptVariableNames 002e THTMLItems.MakeIdentifier 0033 Format"
	strings:
		$1 = { 53 56 83 C4 F0 8B F1 8B DA 56 A1 ?? ?? ?? ?? 89 44 24 04 C6 44 24 08 0A 8B 43 08 89 44 24 0C C6 44 24 10 00 8D 54 24 04 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 25 00 73 00 2E 00 49 00 74 00 65 00 6D 00 28 00 25 00 64 00 29 00 00 00 }
	condition:
		$1
}

rule function_98453_0 {
	meta:
		name = "TScriptGlobalObjects.AddNamedIntf"
		size = 90
		refs = "0011 @IntfAddRef 0019 TScriptGlobalObjects.AddNamedIntf 0049 @IntfClear 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 46 08 8B 08 FF 51 38 8B 55 FC 8B 46 04 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98454_0 {
	meta:
		name = "TScriptGlobalObjects.Create"
		size = 232
		refs = "0010 @ClassCreate 0020 @IntfAddRef 0028 TScriptGlobalObjects.Create 0037 TObject.Create 0042 @IntfCopy 0049 _Dn_TStringList 004e TStringList.Create 0058 _Dn_TInterfaceList 005d TInterfaceList.Create 00bd @IntfClear 00c3 @HandleFinally 00d2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 88 55 FB 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 0C 8B 55 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 43 04 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 12 8B 40 0C 8B 10 FF 12 8B F0 4E 85 F6 7C 26 46 C7 45 F4 00 00 00 00 8B C3 8B 10 FF 12 8B 40 0C 8B 55 F4 8B 08 FF 51 04 8B D3 8B 08 FF 51 08 FF 45 F4 4E 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98456_0 {
	meta:
		name = "TScriptGlobalObjects.FindNamedItemIntf"
		size = 54
		refs = "002d @IntfClear"
	strings:
		$1 = { 53 56 57 51 8B F9 89 14 24 8B D8 8B 14 24 8B 43 08 8B 08 FF 51 54 8B F0 85 F6 7C 0E 8B CF 8B D6 8B 43 04 8B 18 FF 53 0C EB 07 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98460_0 {
	meta:
		name = "TCurrentWebPageInfo.GetPageDescription"
		size = 120
		refs = "0011 TCurrentWebPageInfo.GetPageDescription 0021 TCurrentWebPageInfo.WebPageInfo 0046 TCurrentWebPageInfo.GetPageName 005c IWebPageInfo 0066 @FinalizeArray 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 51 18 EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_98461_0 {
	meta:
		name = "TCurrentWebPageInfo.GetPageHREF"
		size = 118
		refs = "0011 TCurrentWebPageInfo.GetPageHREF 0021 TCurrentWebPageInfo.WebPageInfo 0044 @UStrClr 005a IWebPageInfo 0064 @FinalizeArray 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 51 10 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_98463_0 {
	meta:
		name = "TCurrentWebPageInfo.GetLoginRequired"
		size = 111
		refs = "000e TCurrentWebPageInfo.GetLoginRequired 001e TCurrentWebPageInfo.WebPageInfo 0052 IWebPageInfo 005c @FinalizeArray 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 20 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_98464_0 {
	meta:
		name = "TCurrentWebPageInfo.GetPageTitle"
		size = 118
		refs = "0011 TCurrentWebPageInfo.GetPageTitle 0021 TCurrentWebPageInfo.WebPageInfo 0044 @UStrClr 005a IWebPageInfo 0064 @FinalizeArray 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 51 14 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_98465_0 {
	meta:
		name = "TCurrentWebPageInfo.GetPageName"
		size = 35
		refs = "0004 WebContext 001d @UStrClr"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 85 C0 74 0E E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 2C 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_98466_0 {
	meta:
		name = "TCurrentWebPageInfo.WebPageInfo"
		size = 193
		refs = "001a TCurrentWebPageInfo.WebPageInfo 002d @IntfCopy 0037 WebContext 007c TCurrentWebPageInfo.GetPageName 0085 @UStrEqual 0094 @IntfClear 00ae @UStrArrayClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 55 FC 8B 52 10 E8 ?? ?? ?? ?? 83 3B 00 75 62 E8 ?? ?? ?? ?? 85 C0 74 59 E8 ?? ?? ?? ?? 8B 10 FF 52 24 8B F0 4E 85 F6 7C 41 46 C7 45 F8 00 00 00 00 E8 ?? ?? ?? ?? 8B CB 8B 55 F8 8B 38 FF 57 28 8D 55 F4 8B 03 8B 08 FF 51 0C 8B 45 F4 50 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 58 E8 ?? ?? ?? ?? 74 0D FF 45 F8 4E 75 C7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98467_0 {
	meta:
		name = "TCurrentWebPageInfo.GetHasViewAccess"
		size = 111
		refs = "000e TCurrentWebPageInfo.GetHasViewAccess 001e TCurrentWebPageInfo.WebPageInfo 0052 IWebPageInfo 005c @FinalizeArray 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 16 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 24 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_98468_0 {
	meta:
		name = "TScriptError.Create"
		size = 68
		refs = "000b @ClassCreate 001a TObject.Create 0025 @UStrAsg 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B 56 04 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98480_0 {
	meta:
		name = "Add"
		size = 131
		refs = "000f Add 0040 GlobalScriptVariableNames 0045 @UStrFromPWChar 0054 TScriptGlobalObjects.AddNamedIntf 0069 @UStrClr 0071 @IntfClear 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B D3 8B 45 08 8B 40 FC 8B 48 0C 8B 45 08 8B 40 F8 8B 30 FF 56 10 8B 45 FC 50 8D 45 F8 0F B6 D3 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 8B 40 FC 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_98481_0 {
	meta:
		name = "TAbstractScriptObjectFactory.AddGlobalObjects"
		size = 536
		refs = "001c TAbstractScriptObjectFactory.AddGlobalObjects 0030 @IntfCopy 0051 GlobalScriptVariableNames 0056 @UStrFromPWChar 0062 TScriptGlobalObjects.AddNamedIntf 00da @IntfClear 00e7 Supports 0134 TAbstractScriptEngine.CreateComponentStub 014e Add 01a2 @UStrClr 01cb IInterface 01d5 @FinalizeArray 01eb @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 55 FC 8B 52 0C E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 FC 8B 48 0C B2 06 8B 45 F8 8B 18 FF 53 0C 8B 45 E8 50 8D 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC 59 E8 ?? ?? ?? ?? 8D 45 E0 50 8B 45 FC 8B 48 0C B2 09 8B 45 F8 8B 18 FF 53 0C 8B 45 E0 50 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC 59 E8 ?? ?? ?? ?? 8D 45 D8 50 8B 45 FC 8B 48 0C B2 08 8B 45 F8 8B 18 FF 53 0C 8B 45 D8 50 8D 45 D4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC 59 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 10 FF 52 0C 50 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 5B 8B 45 F0 8B 10 FF 52 14 8B F0 4E 85 F6 7C 4C 46 33 FF 8B D7 8B 45 F0 8B 08 FF 51 18 8B D8 8D 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1F 8B 45 FC 8B 10 FF 12 8D 4D D0 8B D3 E8 ?? ?? ?? ?? 8B 4D D0 8B 53 08 8B 45 FC E8 ?? ?? ?? ?? 47 4E 75 B7 55 B0 07 E8 ?? ?? ?? ?? 59 55 33 C0 E8 ?? ?? ?? ?? 59 55 B0 02 E8 ?? ?? ?? ?? 59 55 B0 01 E8 ?? ?? ?? ?? 59 55 B0 03 E8 ?? ?? ?? ?? 59 55 B0 05 E8 ?? ?? ?? ?? 59 55 B0 04 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A5 5F 5E 5B 8B E5 5D C3 B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A 03 BC 98 2D 95 35 4C 42 9F 7B 68 04 F9 6E F4 44 }
	condition:
		$1
}

rule function_98484_0 {
	meta:
		name = "TScriptItem.Create"
		size = 76
		refs = "000e @ClassCreate 001e TObject.Create 002a TList.Add 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 89 43 04 8B D3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98488_0 {
	meta:
		name = "TScriptFile.Create"
		size = 92
		refs = "000b @ClassCreate 001d _DV_TScriptItems 0022 TScriptItems.Create 002c _DV_TLineNumberMap 0031 TObject.Create 0048 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 89 77 0C 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 14 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98489_0 {
	meta:
		name = "TScriptFile.GetDestLineCount"
		size = 114
		refs = "0010 TLineNumberMap.GetCount 0028 TLineNumberMap.GetLineNumbers 005e TScriptFile.GetDestLineCount"
	strings:
		$1 = { 53 56 57 55 51 8B F8 33 C0 89 04 24 8B 47 14 E8 ?? ?? ?? ?? 85 C0 7E 1E 8B 5F 14 8B C3 E8 ?? ?? ?? ?? 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 8B 50 08 4A 03 50 0C 89 14 24 8B 47 14 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 24 46 33 ED 8B 47 14 8B D5 E8 ?? ?? ?? ?? 8B D8 83 7B 10 00 74 0B 8B 43 10 E8 ?? ?? ?? ?? 01 04 24 45 4E 75 DF 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98490_0 {
	meta:
		name = "TScriptFile.Destroy"
		size = 66
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 001a TObject.Free 003b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 80 7E 08 00 74 08 8B 46 04 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98491_0 {
	meta:
		name = "TScriptFile.GetApplicationName"
		size = 41
		refs = "0008 TScriptProducer.GetComponent 0018 @UStrAsg 0022 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B 40 0C E8 ?? ?? ?? ?? 8B D8 85 DB 74 0D 8B C6 8B 53 08 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98493_0 {
	meta:
		name = "TScriptFile.GetScript"
		size = 127
		refs = "0017 TScriptFile.GetScript 0024 @UStrClr 0042 TScriptItems.GetScriptItem 0053 @UStrCat 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 58 08 4B 85 DB 7C 25 43 33 FF 8B 45 FC 8B 40 10 8B D7 E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 11 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 47 4B 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_98495_0 {
	meta:
		name = "TScriptFile.GetSource"
		size = 80
		refs = "000a @UStrClr 0020 @UStrSetLength 003d @UniqueStringU 0048 TStream.ReadBuffer"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 8B 7B 04 85 FF 74 37 8B C7 8B 10 FF 12 8B D0 8B C6 E8 ?? ?? ?? ?? 6A 00 6A 00 33 D2 8B 43 04 8B 08 FF 51 18 8B 43 04 8B 10 FF 12 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 43 04 59 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98496_0 {
	meta:
		name = "NotBlank"
		size = 40
	strings:
		$1 = { 56 4A 85 D2 7C 1E 42 33 F6 0F B6 0C 30 80 E9 0A 74 0E 80 E9 03 74 09 80 E9 13 74 04 B0 01 5E C3 46 4A 75 E5 33 C0 5E C3 }
	condition:
		$1
}

rule function_98497_0 {
	meta:
		name = "WriteHTML"
		size = 392
		refs = "0016 WriteHTML 0036 NotBlank 0051 _DV_THTMLItem 0056 THTMLItem.Create 007c THTMLItem.AssignString 008f GlobalScriptVariableNames 00b2 Format 00c0 @UStrCat 00d2 TStream.SetSize64 00e0 TLineNumberMap.New 0140 @UStrClr 0146 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 10 FF 12 8B D0 8B 45 08 8B 40 FC 8B 40 04 E8 ?? ?? ?? ?? 84 C0 0F 84 C2 00 00 00 8B 45 08 8B 40 F8 8B 40 0C 8B 48 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 45 08 8B 40 FC 8B 10 FF 12 50 8B 45 08 8B 40 F4 50 8B 45 08 8B 40 FC 8B 48 04 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 45 08 0F B6 40 F3 88 43 14 8D 45 F8 50 A1 ?? ?? ?? ?? 89 45 E8 C6 45 EC 0A 8B 43 08 89 45 F0 C6 45 F4 00 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 08 83 C0 EC E8 ?? ?? ?? ?? 8B 45 08 6A 00 6A 00 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 F8 8B 40 14 E8 ?? ?? ?? ?? 89 30 8B 55 FC 89 50 04 8B 55 08 8B 52 E8 89 50 08 C7 40 0C 01 00 00 00 8B 45 08 FF 40 E8 EB 24 8B 45 08 8B 40 F8 8B 40 14 E8 ?? ?? ?? ?? 89 30 8B 55 FC 89 50 04 8B 55 08 8B 52 E8 89 50 08 33 D2 89 50 0C 8B 45 08 C6 40 F3 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 25 00 73 00 2E 00 57 00 72 00 69 00 74 00 65 00 49 00 74 00 65 00 6D 00 28 00 25 00 64 00 29 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_98498_0 {
	meta:
		name = "WriteScript"
		size = 180
		refs = "0012 WriteScript 0026 Trim 003c _DV_TScriptCodeItem 0041 TScriptItem.Create 0060 TScriptCodeItem.AssignString 006f @HandleAnyException 0077 TObject.Free 007c @RaiseAgain 0081 @DoneExcept 008c @UStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 08 8B 40 EC E8 ?? ?? ?? ?? 83 7D F8 00 74 60 8B 45 08 8B 40 F8 8B 48 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 50 EC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 83 C0 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_98499_0 {
	meta:
		name = "IncludeTypeOfString"
		size = 268
		refs = "0010 IncludeTypeOfString 0020 @UStrLAsg 0054 CompareText 00c8 @UStrArrayClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 33 DB EB 4D 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 3B 45 F0 75 04 B0 01 EB 20 83 7D F4 00 74 06 83 7D F0 00 75 04 33 C0 EB 10 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B3 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 66 00 69 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 70 00 61 00 67 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_98500_0 {
	meta:
		name = "WriteIncludeFile"
		size = 114
		refs = "000f IncludeTypeOfString 0021 _DV_TScriptIncludeFile 0026 TScriptIncludeFile.Create 0039 _DV_TScriptIncludeItem 003e TScriptIncludeItem.Create 0045 TScriptIncludeFile.LoadFile 0053 TLineNumberMap.New"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F1 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 50 57 8B 45 0C 8B 40 F8 8B 48 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 53 8B 45 0C 8B 40 F8 8B 48 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 0C 8B 40 F8 8B 40 14 E8 ?? ?? ?? ?? 89 30 8B 55 08 89 50 04 8B 55 0C 8B 52 E8 89 50 08 89 58 10 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_98501_0 {
	meta:
		name = "ExtractIncludeFile"
		size = 748
		refs = "0032 ExtractIncludeFile 0045 TCopyParser.NextToken 0086 TCopyParser.TokenSymbolIs 00cb TCopyParser.TokenString 00d6 @LStrAsg 0100 @LStrClr 011e @LStrCat 014e @LStrFromChar 0197 sIncDblQuoteError 019c LoadResString 01a6 _Dn_EScriptError 01ab Exception.CreateFmt 01b0 @RaiseExcept 01c8 TCopyParser.CopyToToken 01eb sIncEqualsError 023c sIncTypeError 026a @UStrClr 0297 @LStrArrayClr 029d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 C9 89 4D C4 89 4D C0 89 4D D8 89 4D DC 89 4D E0 89 4D EC 89 4D F0 89 4D F4 8B FA 89 45 FC 8B 75 08 83 C6 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB C6 45 FB 00 8B 06 E8 ?? ?? ?? ?? 3C 2D 0F 85 08 02 00 00 8B 06 E8 ?? ?? ?? ?? 3C 2D 0F 85 F9 01 00 00 8B 06 E8 ?? ?? ?? ?? 3C 23 0F 85 EA 01 00 00 8B 06 E8 ?? ?? ?? ?? 3C 01 0F 85 DB 01 00 00 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C7 01 00 00 8B 06 E8 ?? ?? ?? ?? 3C 01 0F 85 69 01 00 00 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 14 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 45 01 00 00 8D 55 F4 8B 06 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 3C 3D 0F 85 EC 00 00 00 8B 06 E8 ?? ?? ?? ?? 3C 22 75 09 B3 01 8B 06 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 5D 8B 06 80 78 39 01 75 16 8D 55 F0 8B 06 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 E8 ?? ?? ?? ?? EB 38 84 DB 75 17 8B 06 0F B6 40 39 2C 20 74 04 2C 0D 75 09 8B 06 E8 ?? ?? ?? ?? EB 36 8D 45 EC 8B 16 0F B6 52 39 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 8B 06 E8 ?? ?? ?? ?? 8B 06 0F B6 40 39 84 C0 74 08 2C 22 74 04 2C 1C 75 91 84 DB 74 3B 8B 06 80 78 39 22 74 33 8B 06 8B 40 34 89 45 E4 C6 45 E8 00 8D 45 E4 50 6A 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 80 78 39 3E 0F 84 99 00 00 00 8D 4D DC 8B 06 B2 3E E8 ?? ?? ?? ?? C6 45 FB 01 E9 84 00 00 00 8B 06 8B 40 34 89 45 E4 C6 45 E8 00 8D 45 E4 50 6A 00 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4F 8B 06 80 78 39 01 75 47 8B 06 8B 40 34 89 45 C8 C6 45 CC 00 8D 55 C4 8B 06 E8 ?? ?? ?? ?? 8B 45 C4 89 45 D0 C6 45 D4 0B 8D 45 C8 50 6A 01 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C3 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 00 00 E4 04 01 00 FF FF FF FF 07 00 00 00 69 6E 63 6C 75 64 65 00 E4 04 01 00 FF FF FF FF 04 00 00 00 66 69 6C 65 00 00 00 00 E4 04 01 00 FF FF FF FF 04 00 00 00 70 61 67 65 00 00 00 00 }
	condition:
		$1
}

rule function_98502_0 {
	meta:
		name = "TrimScriptBlock"
		size = 240
		refs = "0046 @UniqueStringA 0098 TStream.GetPosition 00ce TrimScriptBlock 00d3 @LStrCat"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F9 89 55 F8 88 45 FF 8B 07 89 45 F0 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 3F BB 01 00 00 00 8B 07 0F B6 44 18 FF 88 45 F7 0F B6 45 F7 2C 0A 74 10 2C 03 74 0C 8B C7 E8 ?? ?? ?? ?? C6 44 18 FF 20 80 7D FF 00 75 08 80 7D F7 3D 74 0C EB 06 80 7D F7 25 74 04 43 4E 75 C6 83 7D F8 00 7E 58 8B 17 8B C2 89 45 F0 8B 5D F0 85 DB 74 05 83 EB 04 8B 1B 8B C2 89 45 F0 8B 75 F0 85 F6 74 05 83 EE 04 8B 36 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 2B 45 F8 2B D8 2B F3 7C 20 46 8B 07 0F B6 44 18 FF 2C 0A 74 10 2C 03 74 0C 8B C7 E8 ?? ?? ?? ?? C6 44 18 FF 20 43 4E 75 E1 80 7D FF 00 74 0C 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 00 E4 04 01 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 }
	condition:
		$1
}

rule function_98503_0 {
	meta:
		name = "TScriptFile.ParseStream"
		size = 1200
		refs = "0032 TScriptFile.ParseStream 004c @UStrClr 0064 GetEncodingOfStream 0074 TStream.SetPosition 0083 _Dn_TStringStream 0088 TStringStream.Create 00a6 _Dn_TCopyParser 00ab TCopyParser.Create 00c4 TCopyParser.CopyTokenToOutput 00ce TCopyParser.NextToken 00f9 TStream.GetPosition 01a6 @LStrFromPCharLen 01c2 TrimScriptBlock 01e5 @LStrCatN 0209 TStream.SetSize64 0217 WriteHTML 0233 BytesOf 0241 TEncoding.GetString 024c @UStrCat 025b @HandleOnException 0263 _Dn_Exception 0278 TScriptProducer.HandleParserError 027d @DoneExcept 02be ExtractIncludeFile 030b WriteScript 0358 WriteIncludeFile 03e6 TObject.Free 03ec @HandleFinally 0421 TArray<System.Byte> 0426 @DynArrayClear 0467 @LStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 9C 53 56 57 33 DB 89 5D A8 89 5D A0 89 5D 9C 89 5D A4 89 5D B0 89 5D AC 89 5D EC 89 5D E0 89 5D DC 89 5D D8 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 88 48 08 8B 45 F8 89 58 04 8D 45 EC E8 ?? ?? ?? ?? C7 45 E8 01 00 00 00 C7 45 C0 01 00 00 00 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 89 45 F4 8B 45 BC 99 52 50 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 6A 01 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 E8 ?? ?? ?? ?? EB 08 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 0F B6 40 39 84 C0 74 04 2C 3C 75 E9 8B 45 E4 0F B6 58 39 84 DB 0F 84 CA 02 00 00 80 FB 3C 75 DD 8B 45 FC E8 ?? ?? ?? ?? 8B F0 8B 45 FC 8B 10 FF 12 89 45 C8 89 55 CC 8B 45 E4 8B 78 34 8B 45 E4 E8 ?? ?? ?? ?? 3C 25 0F 85 79 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 C4 FF FF FF FF 8B 45 E4 E8 ?? ?? ?? ?? 3C 3D 75 06 C6 45 D3 00 EB 04 C6 45 D3 01 8B 45 E4 E8 ?? ?? ?? ?? 3C 25 75 17 8B 45 FC E8 ?? ?? ?? ?? 89 45 C4 8B 45 E4 E8 ?? ?? ?? ?? 3C 3E 74 09 8B 45 E4 80 78 39 00 75 D4 6A 00 8B 45 FC E8 ?? ?? ?? ?? 52 50 8B C6 99 29 04 24 19 54 24 04 58 5A 83 C0 01 83 D2 00 8B C8 8B 45 FC 8B 50 04 03 D6 4A 8D 45 E0 E8 ?? ?? ?? ?? 8B 45 E4 8B 40 34 2B C7 40 89 45 D4 55 0F B6 45 D3 8D 4D E0 8B 55 C4 E8 ?? ?? ?? ?? 59 0F B6 45 D3 2C 01 73 1A 68 ?? ?? ?? ?? FF 75 E0 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C6 48 99 52 50 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C8 8B 55 CC 83 E8 01 83 DA 00 52 50 8B 45 FC E8 ?? ?? ?? ?? 55 8B D7 2B 55 C0 8B 45 C0 E8 ?? ?? ?? ?? 59 8B 45 E4 8B 40 34 40 89 45 C0 8B 45 D4 01 45 E8 8D 55 AC 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 AC 8D 4D B0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 B0 8D 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 27 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 45 B8 8B 45 F8 8B 40 0C 8B 55 B8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 80 78 39 00 0F 84 2C 01 00 00 8B 45 E4 E8 ?? ?? ?? ?? E9 37 FE FF FF 8B 45 E4 80 78 39 21 0F 85 FC 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 8D 55 DC 8D 45 D8 E8 ?? ?? ?? ?? 59 84 C0 0F 84 92 00 00 00 8B C6 48 99 52 50 8B 45 FC E8 ?? ?? ?? ?? 8B 45 C8 8B 55 CC 83 E8 01 83 DA 00 52 50 8B 45 FC E8 ?? ?? ?? ?? 55 8B D7 2B 55 C0 42 8B 45 C0 E8 ?? ?? ?? ?? 59 8B 45 E4 8B 40 34 40 89 45 C0 55 E8 ?? ?? ?? ?? 59 55 8B 45 E4 8B 40 34 2B C7 40 50 8D 55 A4 8B 45 DC E8 ?? ?? ?? ?? 8B 55 A4 8D 4D A8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 A8 50 8D 55 9C 8B 45 D8 E8 ?? ?? ?? ?? 8B 55 9C 8D 4D A0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 A0 8B CF 5A E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 EB 27 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 45 B4 8B 45 F8 8B 40 0C 8B 55 B4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 80 78 39 00 74 23 8B 45 E4 E8 ?? ?? ?? ?? E9 2E FD FF FF 8B 45 E4 80 78 39 23 0F 85 21 FD FF FF C6 45 F3 01 E9 18 FD FF FF 55 8B 45 E4 8B 50 34 2B 55 C0 42 8B 45 C0 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A1 5F 5E 5B 8B E5 5D C3 00 00 E4 04 01 00 FF FF FF FF 0F 00 00 00 52 65 73 70 6F 6E 73 65 2E 57 72 69 74 65 28 00 E4 04 01 00 FF FF FF FF 03 00 00 00 29 0D 0A 00 }
	condition:
		$1
}

rule function_98504_0 {
	meta:
		name = "TScriptFile.ParseString"
		size = 42
		refs = "0007 TEncoding.GetUTF8 0013 _Dn_TStringStream 0018 TStringStream.Create 0023 TScriptFile.ParseStream"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 50 6A 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98507_0 {
	meta:
		name = "TScriptIncludeFile.Create"
		size = 110
		refs = "000e @ClassCreate 0020 TScriptFile.Create 002b @UStrAsg 004a TList.Add 0057 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 18 8B 55 08 E8 ?? ?? ?? ?? 0F B6 45 0C 88 43 1C 8B 43 14 83 C0 04 8B 53 18 E8 ?? ?? ?? ?? 8B 46 14 8B D3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_98508_0 {
	meta:
		name = "TScriptIncludeFile.LoadFile"
		size = 25
		refs = "000e TScriptIncludeFile.LoadIncludeFile 0014 TScriptIncludeFile.LoadIncludePage"
	strings:
		$1 = { 0F B6 50 1C 80 EA 01 72 04 74 08 EB 0B E8 ?? ?? ?? ?? C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98509_0 {
	meta:
		name = "TScriptIncludeFile.LoadIncludeFile"
		size = 620
		refs = "001e TScriptIncludeFile.LoadIncludeFile 0055 sRecursiveIncludeFile 005a LoadResString 0064 _DV_ERecursiveIncludeFile 0069 Exception.CreateFmt 006e @RaiseExcept 00af TScriptProducer.GetComponent 00d6 @IntfClear 00eb Supports 0122 @UStrAsg 0131 IDEFileManager 016a DesignerFileManager 019b QualifyFileName 01b8 _Dn_TFileStream 01bd TFileStream.Create 01d3 @HandleAnyException 01e1 TObject.Free 01e6 @RaiseAgain 01eb @DoneExcept 01fa TScriptFile.ParseStream 021b @HandleFinally 0237 @UStrArrayClr 0247 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 D2 89 55 DC 89 55 E0 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 80 78 1D 00 0F 85 EC 01 00 00 8B 45 F4 80 78 1E 00 74 34 8B 45 F4 8B 40 18 89 45 E4 C6 45 E8 11 8D 45 E4 50 6A 00 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 C6 40 1E 01 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 F4 8B 70 0C 83 7E 2C 00 74 7E 8D 45 EF 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 48 18 8B 45 F4 8B 40 0C 8B 40 2C 8B 30 FF 56 0C 89 45 F0 83 7D F0 00 75 54 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F4 8B 40 0C 8B 40 2C E8 ?? ?? ?? ?? 84 C0 74 33 8D 45 FC 50 8B 45 F4 8B 40 0C E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 48 18 8B 45 F8 8B 30 FF 56 0C 84 C0 74 10 B3 01 8B 45 F4 83 C0 18 8B 55 FC E8 ?? ?? ?? ?? 83 7D F0 00 75 37 84 DB 75 33 A1 ?? ?? ?? ?? 83 38 00 74 29 8D 4D FC 8B 45 F4 8B 50 18 A1 ?? ?? ?? ?? 8B 00 8B 18 FF 53 0C 83 7D FC 00 74 0E 8B 45 F4 83 C0 18 8B 55 FC E8 ?? ?? ?? ?? 83 7D F0 00 75 22 A1 ?? ?? ?? ?? 83 38 00 74 18 8D 4D EF 8B 45 F4 8B 50 18 A1 ?? ?? ?? ?? 8B 00 8B 18 FF 53 10 89 45 F0 83 7D F0 00 75 37 8D 55 DC 8B 45 F4 8B 40 18 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F4 83 C0 18 E8 ?? ?? ?? ?? 6A 40 8B 45 F4 8B 48 18 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 C6 45 EF 01 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 80 7D EF 00 74 08 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 4D EF 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 C6 40 1D 01 8B 45 F4 C6 40 1E 00 C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 00 CC 5E 89 93 BA E8 8E 4F 80 D0 78 5D 28 35 99 32 }
	condition:
		$1
}

rule function_98510_0 {
	meta:
		name = "TScriptIncludeFile.LoadIncludePage"
		size = 252
		refs = "0013 TScriptIncludeFile.LoadIncludePage 002f WebContext 0050 RaiseIncludePageNotFound 0058 @IntfClear 0067 Supports 0076 RaisePageDoesNotSupportInclusion 00a3 TScriptFile.ParseStream 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 FC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 80 78 1D 00 0F 85 99 00 00 00 8D 45 F0 50 E8 ?? ?? ?? ?? 8B 55 F8 8B 52 18 0F B6 0D ?? ?? ?? ?? 8B 18 FF 53 48 84 C0 75 0B 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 0B 8B 45 F8 8B 40 18 E8 ?? ?? ?? ?? 8D 4D F7 8B 45 F8 8B 50 18 8B 45 FC 8B 18 FF 53 10 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 4D F7 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 C6 40 1D 01 C3 E9 ?? ?? ?? ?? EB F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 00 00 00 00 00 00 61 1F 8D 60 23 F2 74 45 89 F7 F2 9A 73 37 2F FC }
	condition:
		$1
}

rule function_98513_0 {
	meta:
		name = "TScriptProducer.WriteItem"
		size = 134
		refs = "000f TScriptProducer.WriteItem 001c TScriptProducer.GetHTMLItem 002e THTMLItem.GetHTML 003b TScriptProducer.ReplaceTags 0045 TScriptProducer.Write 004e THTMLItem.GetPHTMLChar 005a TScriptProducer.WritePChar 0074 @UStrArrayClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B F0 80 7E 14 00 74 23 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 13 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 4E 10 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_98515_0 {
	meta:
		name = "TLineNumberMap.GetLineNumbers"
		size = 10
	strings:
		$1 = { 8D 14 92 8B 40 08 8D 04 90 C3 }
	condition:
		$1
}

rule function_98516_0 {
	meta:
		name = "TLineNumberMap.New"
		size = 54
		refs = "0007 @DynArrayLength 0017 :TLineNumberMap.:1 001c @DynArraySetLength 0026 TLineNumberMap.GetCount 0030 TLineNumberMap.GetLineNumbers"
	strings:
		$1 = { 53 8B D8 8B 43 08 E8 ?? ?? ?? ?? 40 50 8D 43 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B C3 E8 ?? ?? ?? ?? 8B D0 4A 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_98517_0 {
	meta:
		name = "TLineNumberMap.DestLineToSourceLine"
		size = 305
		refs = "001a TLineNumberMap.DestLineToSourceLine 002e QualifyFileName 0039 @UStrAsg 0042 TLineNumberMap.GetCount 0060 TLineNumberMap.GetLineNumbers 0075 TScriptFile.GetDestLineCount 011c @UStrClr 0122 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 46 8B 45 FC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 0F 8C B8 00 00 00 47 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B D8 3B 73 08 7C 32 83 7B 10 00 74 2C 8B 43 10 E8 ?? ?? ?? ?? 03 43 08 48 3B F0 7F 1C 4E 8B 4D F8 8B D6 2B 53 08 42 8B 43 10 8B 40 14 E8 ?? ?? ?? ?? 03 03 48 8B D8 EB 6E 8B 43 08 3B F0 7C 12 8B D0 03 53 0C 4A 3B F2 7F 08 03 33 2B F0 8B DE EB 55 03 43 0C 3B F0 7C 32 8B 45 FC E8 ?? ?? ?? ?? 48 3B 45 F4 74 11 8B 55 F4 42 8B 45 FC E8 ?? ?? ?? ?? 3B 70 08 7D 13 8B 03 03 43 04 03 F0 8B 43 08 03 43 0C 2B F0 8B DE EB 1C 83 7B 10 00 74 0A 8B 43 10 E8 ?? ?? ?? ?? 2B F0 FF 45 F4 4F 0F 85 50 FF FF FF 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98519_0 {
	meta:
		name = "TScriptObjectFactories.CreateGlobalObject"
		size = 137
		refs = "0019 @IntfAddRef 0021 TScriptObjectFactories.CreateGlobalObject 002e @IntfClear 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 88 55 F7 89 45 F8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 12 8B D8 4B 83 FB 00 7C 22 56 8B D3 8B 45 F8 8B 08 FF 51 04 0F B6 55 F7 8B 4D FC 8B 38 FF 57 10 83 3E 00 75 06 4B 83 FB FF 75 DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_98526_0 {
	meta:
		name = "TScriptEnginesList.AddObjectFactory"
		size = 132
		refs = "0015 TScriptEnginesList.AddObjectFactory 0022 TScriptEnginesList.Find 002d TAbstractScriptEngine.AddObjectFactory 0044 sScriptEngineNotFound 0049 LoadResString 0053 _Dn_EScriptError 0058 Exception.CreateFmt 005d @RaiseExcept 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 8B D9 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 E8 ?? ?? ?? ?? 85 C0 74 09 8B D6 E8 ?? ?? ?? ?? EB 2E 89 5D F8 C6 45 FC 11 8D 45 F8 50 6A 00 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98529_0 {
	meta:
		name = "TScriptEnginesList.Find"
		size = 67
		refs = "000d TScriptEnginesList.GetCount 0020 TScriptEnginesList.GetItem 002d AnsiCompareText"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B E8 8B C5 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 21 43 33 FF 8B D7 8B C5 E8 ?? ?? ?? ?? 8B F0 8B 46 04 8B 14 24 E8 ?? ?? ?? ?? 85 C0 74 06 47 4B 75 E2 33 F6 8B C6 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98530_0 {
	meta:
		name = "TScriptEnginesList.FindScriptProducerClass"
		size = 70
		refs = "000b TScriptEnginesList.GetCount 001e TScriptEnginesList.GetItem"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 29 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 8B D5 8B 08 FF 51 04 84 C0 74 0E 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 40 08 EB 06 43 4E 75 DA 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98533_0 {
	meta:
		name = "TScriptEnginesList.ListLanguageNames"
		size = 49
		refs = "000b TScriptEnginesList.GetCount 001e TScriptEnginesList.GetItem"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 16 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D5 8B 08 FF 11 46 4B 75 ED 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98534_0 {
	meta:
		name = "TAbstractScriptEngine.AddObjectFactory"
		size = 20
		refs = "000e TList.Add"
	strings:
		$1 = { 53 8B DA 8B 40 0C 8B 10 FF 52 08 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_98535_0 {
	meta:
		name = "TAbstractScriptEngine.Create"
		size = 120
		refs = "000b @ClassCreate 001b @UStrAsg 0020 ScriptEnginesList 002c _DV_TScriptEnginesList 0031 TScriptEnginesList.Create 0043 @AsClass 004a TScriptEnginesList.AddEngine 0051 _DV_TScriptObjectFactories 0056 TScriptObjectFactories.Create 0064 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 04 8B D6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 75 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98536_0 {
	meta:
		name = "TAbstractScriptEngine.CreateComponentStub"
		size = 264
		refs = "001d TAbstractScriptEngine.CreateComponentStub 002b @IntfClear 003a Supports 0085 RaiseObjectDoesNotSupportScripting 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 8B F1 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 49 8B 45 F4 8B 40 0C 8B 10 FF 12 8B D8 4B 83 FB 00 7C 2D 56 8B 45 F4 8B 40 0C 8B D3 8B 08 FF 51 04 50 8B 45 F8 8B 10 FF 52 0C 8B C8 8B 55 F0 58 8B 38 FF 57 04 83 3E 00 75 3F 4B 83 FB FF 75 D3 8B 45 F0 E8 ?? ?? ?? ?? EB 2F 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 08 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 03 BC 98 2D 95 35 4C 42 9F 7B 68 04 F9 6E F4 44 52 64 C1 CA AD 9B D4 11 A4 F2 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98537_0 {
	meta:
		name = "TAbstractScriptEngine.Destroy"
		size = 79
		refs = "0003 @BeforeDestruction 000f TObject.Free 0014 ScriptEnginesList 0026 _DV_TScriptEnginesList 002b @AsClass 0032 TScriptEnginesList.RemoveEngine 003d TObject.Destroy 0048 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 00 74 19 A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98538_0 {
	meta:
		name = "Finalization"
		size = 31
		refs = "0002 _DV_42 0009 ScriptEnginesList 001a TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 16 A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? 33 C9 89 0A E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98539_0 {
	meta:
		name = "WebScript"
		size = 32
		refs = "0002 _DV_42 000a ScriptEnginesList 0016 _DV_TScriptEnginesList 001b TScriptEnginesList.Create"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 16 A1 ?? ?? ?? ?? 83 38 00 75 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98541_0 {
	meta:
		name = "RaiseCannotCreateScriptEngine"
		size = 29
		refs = "000c _DV_ECannotCreateScriptEngine 0011 ECannotCreateScriptEngine.Create 0016 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98542_0 {
	meta:
		name = "TActiveScriptSite.Create"
		size = 131
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TActiveScriptSite.Create 0034 TObject.Create 003e _DV_TActiveScriptGlobalObjects 0043 TScriptGlobalObjects.Create 005b @IntfClear 0061 @HandleFinally 006e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98545_0 {
	meta:
		name = "TActiveScriptSite.GetItemInfo"
		size = 181
		refs = "0029 TActiveScriptSite.GetItemInfo 0042 @UStrFromPWChar 0050 TScriptGlobalObjects.FindNamedItemIntf 005b @IntfCopy 0097 @UStrClr 009f @IntfClear 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B 75 10 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 8B 45 18 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F7 C6 01 00 00 00 74 37 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 55 F8 8D 4D FC 8B 43 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 14 E8 ?? ?? ?? ?? 8B 45 14 83 38 00 74 04 33 DB EB 1B BB 01 40 00 80 EB 14 F7 C6 02 00 00 00 74 07 BB 01 40 00 80 EB 05 BB 2B 80 02 80 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C2 14 00 }
	condition:
		$1
}

rule function_98549_0 {
	meta:
		name = "TActiveScriptSite.OnScriptError"
		size = 24
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 0C 8B 40 0C 8B 55 0C 8B 08 FF 51 2C 5D C2 08 00 }
	condition:
		$1
}

rule function_98551_0 {
	meta:
		name = "TActiveScriptSite.OnStateChange"
		size = 12
	strings:
		$1 = { 55 8B EC 8B 45 0C 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_98552_0 {
	meta:
		name = "TActiveScriptSite.RunExpression"
		size = 440
		refs = "0029 @IntfAddRef 0032 tagEXCEPINFO 0037 @InitializeRecord 003f TActiveScriptSite.RunExpression 0055 @IntfCast 005d @IntfClear 0070 OleCheck 00a2 TScriptGlobalObjects.GetNamedItemCount 00be TScriptGlobalObjects.GetNamedItemName 00c9 @WStrFromUStr 00d1 @WStrToPWChar 00ea TScriptFile.GetScript 0103 @FinalizeRecord 014d @UStrArrayClr 0155 @WStrClr 0189 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 33 DB 89 5D BC 89 5D C4 89 5D C0 89 5D F8 89 5D F4 89 5D F0 89 4D FC 89 55 C8 89 45 CC 8B 45 FC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 10 E8 ?? ?? ?? ?? 8B 45 CC 85 C0 74 03 83 E8 F0 50 8B 45 F4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 CC 8B 40 0C E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 36 43 33 F6 6A 02 8D 4D C0 8B 45 CC 8B 40 0C 8B D6 E8 ?? ?? ?? ?? 8B 55 C0 8D 45 C4 E8 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 20 46 4B 75 CD 8D 55 BC 8B 45 C8 E8 ?? ?? ?? ?? 8B 55 BC 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 14 85 C0 75 0B 6A 02 8B 45 F4 50 8B 00 FF 50 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 5E 5B 8B E5 5D C3 00 00 00 E1 2A 1A BB F9 A4 CF 11 8F 20 00 80 5F 2C D0 64 E2 2A 1A BB F9 A4 CF 11 8F 20 00 80 5F 2C D0 64 }
	condition:
		$1
}

rule function_98553_0 {
	meta:
		name = "TActiveScriptObjectFactory.CreateGlobalObject"
		size = 580
		refs = "0019 @IntfAddRef 0021 TActiveScriptObjectFactory.CreateGlobalObject 006c _Dn_TCurrentWebPageInfo 0071 TCurrentWebPageInfo.Create 0083 _Dn_TPageObj 0088 TPageObj.Create 0098 @IntfCopy 00a7 _Dn_TPagesObj 00ac TPagesObj.Create 00b3 CreateEnumeratedObject 00bf _Dn_TModulesObj 00c4 TModulesObj.Create 00da _Dn_TApplicationObj 00df TApplicationObj.Create 00fb _Dn_TSessionObj 0100 TScriptableObject.Create 011f _Dn_TEndUserObj 0124 TEndUserObj.Create 0149 @IntfCast 0153 _Dn_TResponseObj 0158 TProducerObj.Create 0177 _Dn_TRequestObj 017c TContextObj.Create 01a8 _Dn_THTMLItemsObj 01d9 _Dn_TProducerObj 01f7 @IntfClear 020d IScriptProducer 0217 @FinalizeArray 0225 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B DA 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 C3 83 F8 09 0F 87 BD 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 EC 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B C6 E8 ?? ?? ?? ?? E9 5A 01 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E9 3F 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? E9 27 01 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B C6 E8 ?? ?? ?? ?? E9 03 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B C6 E8 ?? ?? ?? ?? E9 E2 00 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B C6 E8 ?? ?? ?? ?? E9 BE 00 00 00 8D 45 F8 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B C6 E8 ?? ?? ?? ?? E9 8A 00 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B C6 E8 ?? ?? ?? ?? EB 69 8D 45 F4 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B C6 E8 ?? ?? ?? ?? EB 38 8D 45 F0 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C2 04 00 00 83 44 32 53 4A A1 7B 49 81 DF CA 51 66 8F 36 B9 }
	condition:
		$1
}

rule function_98554_0 {
	meta:
		name = "TActiveScriptObjectFactory.CreateProducerObject"
		size = 50
		refs = "0007 TActiveScriptObjectFactory.CreateProducerObject 0015 @IntfClear 0028 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C2 04 00 }
	condition:
		$1
}

rule function_98555_0 {
	meta:
		name = "TActiveScriptObjectFactory.Create"
		size = 124
		refs = "000a @ClassCreate 0017 TObject.Create 001c ScriptEnginesList 0024 _Dn_TScriptEnginesList 0029 @AsClass 002e TActiveScriptObjectFactory.Create 0035 TScriptEnginesList.AddObjectFactory 0040 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 41 00 63 00 74 00 69 00 76 00 65 00 53 00 63 00 72 00 69 00 70 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_98558_0 {
	meta:
		name = "TActiveScriptObjectFactory.AddGlobalObjects"
		size = 276
		refs = "0018 TActiveScriptObjectFactory.AddGlobalObjects 0026 GlobalScriptVariableNames 0048 @UStrFromPWChar 0054 TScriptGlobalObjects.AddNamedIntf 0071 @IntfClear 007e Supports 00aa _Dn_TObjectScripter 00af TScriptableObject.DispatchOfObject 00de @UStrClr 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 35 ?? ?? ?? ?? 8D 45 F0 50 8B D3 8B 45 F4 8B 48 0C 8B 45 F8 8B 38 FF 57 10 8B 45 F0 50 8D 45 EC 8B 16 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 59 E8 ?? ?? ?? ?? 43 83 C6 04 80 FB 0A 75 C9 8B 45 F4 8B 40 0C 8B 10 FF 52 0C 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 3F 8B 45 FC 8B 10 FF 52 14 8B F0 4E 85 F6 7C 30 46 33 FF 8B D7 8B 45 FC 8B 08 FF 51 18 8B D8 8D 4D E8 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 8B 53 08 8B 45 F4 E8 ?? ?? ?? ?? 47 4E 75 D3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 00 00 B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A }
	condition:
		$1
}

rule function_98559_0 {
	meta:
		name = "TActiveScriptError.Create"
		size = 246
		refs = "0016 @ClassCreate 0025 tagEXCEPINFO 002a @InitializeRecord 0032 TActiveScriptError.Create 0046 @FinalizeRecord 005c @UStrFromWStr 0080 TLineNumberMap.DestLineToSourceLine 0091 @WStrClr 00d0 @HandleFinally 00dd @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D FC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 56 8B 06 FF 50 0C 85 C0 75 0B 8D 47 0C 8B 55 E4 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 45 D4 50 8D 45 D8 50 56 8B 06 FF 50 10 85 C0 75 17 8D 4F 14 8B 55 D4 8B 45 08 E8 ?? ?? ?? ?? 89 47 04 8B 45 D0 89 47 08 8D 45 FC E8 ?? ?? ?? ?? 50 56 8B 06 FF 50 14 85 C0 75 0B 8D 47 10 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_98560_0 {
	meta:
		name = "TActiveScriptProducer.EvaluateExpression"
		size = 576
		refs = "0021 TActiveScriptProducer.EvaluateExpression 0032 @WStrFromUStr 003e @WStrToPWChar 0044 CLSIDFromProgID 0049 CoInitFlags 0053 IsMultiThread 0066 CoInitializeEx 0091 CoInitialize 00a7 @IntfClear 00ba CoCreateInstance 00cf @UStrFromWStr 00d9 RaiseCannotCreateScriptEngine 00f8 OleCheck 00fd ActiveScriptEngine 0114 TActiveScriptSite.Create 0128 _DV_TActiveScriptSite 0140 @IntfCopy 0173 TScriptProducer.GetContent 0181 _Dn_EScriptError 0186 EScriptError.Create 0194 @RaiseExcept 01c8 CoUninitialize 01ce @HandleFinally 01ea @UStrArrayClr 01f2 @WStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D EC 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B 53 34 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 38 FF 75 13 A1 ?? ?? ?? ?? 80 38 00 74 09 A1 ?? ?? ?? ?? 33 D2 89 10 A1 ?? ?? ?? ?? 83 38 00 74 1F A1 ?? ?? ?? ?? 83 38 FF 74 15 A1 ?? ?? ?? ?? 8B 00 50 6A 00 A1 ?? ?? ?? ?? 8B 00 FF D0 EB 07 6A 00 E8 ?? ?? ?? ?? 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 01 6A 00 8D 45 DC 50 E8 ?? ?? ?? ?? 8B F0 F7 C6 00 00 00 80 74 15 8D 45 D8 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 D8 8B D6 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 8B F0 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 40 10 85 C0 74 14 8B CB 85 C9 74 03 83 E9 C4 B2 01 E8 ?? ?? ?? ?? 8B F0 EB 17 8B CB 85 C9 74 03 83 E9 C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F4 8B D6 85 D2 74 03 83 EA F8 E8 ?? ?? ?? ?? 8B 4D FC 8B D7 8B C6 8B 30 FF 16 8B 45 FC 50 8B 00 FF 50 1C 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 43 38 8B 10 FF 52 04 85 C0 7E 2B 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 4B 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 33 C0 89 43 38 8B C2 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5F 5E 5B 8B E5 5D C3 00 00 00 E1 2A 1A BB F9 A4 CF 11 8F 20 00 80 5F 2C D0 64 E2 2A 1A BB F9 A4 CF 11 8F 20 00 80 5F 2C D0 64 }
	condition:
		$1
}

rule function_98561_0 {
	meta:
		name = "TActiveScriptProducer.ImplHandleScriptError"
		size = 128
		refs = "000f TActiveScriptProducer.ImplHandleScriptError 002b @IntfCast 0035 _DV_TActiveScriptError 003a TActiveScriptError.Create 005b @IntfClear 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 30 8B 40 14 50 8D 45 FC 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 38 8B 08 FF 51 08 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 61 BA E1 EA ED A4 CF 11 8F 20 00 80 5F 2C D0 64 }
	condition:
		$1
}

rule function_98562_0 {
	meta:
		name = "ECannotCreateScriptEngine.Create"
		size = 171
		refs = "0016 @ClassCreate 0024 ECannotCreateScriptEngine.Create 0034 @UStrAsg 0059 sCannotCreateScriptEngine 005e LoadResString 006a Exception.CreateFmt 007f @UStrClr 0085 @HandleFinally 0092 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 47 18 8B D6 E8 ?? ?? ?? ?? 8B 45 08 89 47 1C 89 75 F0 C6 45 F4 11 8B 47 1C 89 45 F8 C6 45 FC 00 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_98563_0 {
	meta:
		name = "TActiveScriptEngine.Create"
		size = 128
		refs = "000a @ClassCreate 0013 TActiveScriptEngine.Create 001c TAbstractScriptEngine.Create 0021 _DV_TActiveScriptSite 0029 _DV_TActiveScriptProducer 0033 _DV_TActiveScriptObjectFactory 0038 TActiveScriptObjectFactory.Create 0043 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 46 10 A1 ?? ?? ?? ?? 89 46 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 41 00 63 00 74 00 69 00 76 00 65 00 53 00 63 00 72 00 69 00 70 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_98564_0 {
	meta:
		name = "TActiveScriptEngine.SupportsLanguage"
		size = 106
		refs = "000b ActiveScriptLanguagesClass 0023 TActiveScriptEngine.SupportsLanguage 0051 TObject.Free 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 83 3D ?? ?? ?? ?? 00 74 4B B2 01 A1 ?? ?? ?? ?? FF 50 04 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 12 8B D3 8B 08 FF 51 54 40 0F 95 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 C6 45 FF 01 0F B6 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_98565_0 {
	meta:
		name = "TActiveScriptEngine.ListLanguageNames"
		size = 92
		refs = "0009 ActiveScriptLanguagesClass 0021 TActiveScriptEngine.ListLanguageNames 004c TObject.Free 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 8B F2 83 3D ?? ?? ?? ?? 00 74 48 B2 01 A1 ?? ?? ?? ?? FF 50 04 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 12 8B D0 8B C6 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_98571_0 {
	meta:
		name = "TCustomSessionsService.NotifyStatusChange"
		size = 82
		refs = "0009 _DV_TSessionStatusChange 000e TSessionStatusChange.Create 0019 TCustomSessionsService.NotifyStatusChange 0024 Sessions 002e TSessions.NotifyStatusChange 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_98573_0 {
	meta:
		name = "TCustomSessionsService.Connect"
		size = 124
		refs = "000e @UStrAddRef 0016 TCustomSessionsService.Connect 0021 Sessions 002b TSessions.ConnectSession 0039 _DV_TWebSessionImpl 003e TWebSessionImpl.Create 004e @IntfCopy 0057 @IntfClear 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 21 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_98574_0 {
	meta:
		name = "TCustomSessionsService.ConnectActive"
		size = 124
		refs = "000e @UStrAddRef 0016 TCustomSessionsService.ConnectActive 0021 Sessions 002b TSessions.ConnectActiveSession 0039 _DV_TWebSessionImpl 003e TWebSessionImpl.Create 004e @IntfCopy 0057 @IntfClear 006c @UStrClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B 00 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 21 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_98575_0 {
	meta:
		name = "TCustomSessionsService.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TComponent.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 48 14 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98577_0 {
	meta:
		name = "TCustomSessionsService.DoEndSession"
		size = 23
	strings:
		$1 = { 53 66 83 78 42 00 74 0D 51 8B D8 8B CA 8B D0 8B 43 44 FF 53 40 5B C3 }
	condition:
		$1
}

rule function_98581_0 {
	meta:
		name = "TCustomSessionsService.NewSession"
		size = 172
		refs = "0011 TCustomSessionsService.NewSession 001f Sessions 0026 TSessions.StartSession 0030 _DV_TWebSessionImpl 0035 TWebSessionImpl.Create 0045 @IntfCopy 004d @IntfClear 005b Supports 0087 @UStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8B C3 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 56 48 8B 45 F8 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 B7 BF D2 29 36 43 14 4F B1 FE 41 7A EC 40 A1 2F }
	condition:
		$1
}

rule function_98587_0 {
	meta:
		name = "TWebSessionImpl.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 000f Sessions 0016 TSessions.DisconnectSession 0021 TObject.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 56 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98588_0 {
	meta:
		name = "TWebSessionImpl.GetExpired"
		size = 18
		refs = "0002 Sessions 000d TSessions.GetExpired"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 8B 40 0C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98600_0 {
	meta:
		name = "TWebSessionImpl.GetIsActive"
		size = 18
		refs = "0002 Sessions 000d TSessions.GetIsActive"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 8B 40 0C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98591_0 {
	meta:
		name = "TWebSessionImpl.GetItemCount"
		size = 18
		refs = "0002 Sessions 000d TSessions.GetItemCount"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 8B 40 0C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98594_0 {
	meta:
		name = "TWebSessionImpl.GetTerminated"
		size = 18
		refs = "0002 Sessions 000d TSessions.GetTerminated"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 8B 40 0C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98595_0 {
	meta:
		name = "TWebSessionImpl.GetTimeoutMinutes"
		size = 18
		refs = "0002 Sessions 000d TSessions.GetTimeoutMinutes"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 8B 40 0C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98599_0 {
	meta:
		name = "TWebSessionImpl.Terminate"
		size = 18
		refs = "0002 Sessions 000d TSessions.TerminateSession"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 8B 12 8B 40 0C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98589_0 {
	meta:
		name = "TWebSessionImpl.GetExpirationTime"
		size = 30
		refs = "0005 Sessions 0010 TSessions.GetExpirationTime"
	strings:
		$1 = { 83 C4 F8 8B 15 ?? ?? ?? ?? 8B 12 8B 40 0C 92 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_98593_0 {
	meta:
		name = "TWebSessionImpl.GetStartTime"
		size = 30
		refs = "0005 Sessions 0010 TSessions.GetStartTime"
	strings:
		$1 = { 83 C4 F8 8B 15 ?? ?? ?? ?? 8B 12 8B 40 0C 92 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_98596_0 {
	meta:
		name = "TWebSessionImpl.GetTouchTime"
		size = 30
		refs = "0005 Sessions 0010 TSessions.GetTouchTime"
	strings:
		$1 = { 83 C4 F8 8B 15 ?? ?? ?? ?? 8B 12 8B 40 0C 92 E8 ?? ?? ?? ?? DD 1C 24 9B DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_98592_0 {
	meta:
		name = "TWebSessionImpl.GetItems"
		size = 20
		refs = "0004 Sessions 000f TSessions.GetItems"
	strings:
		$1 = { 8B CA 8B 15 ?? ?? ?? ?? 8B 12 8B 40 0C 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98597_0 {
	meta:
		name = "TWebSessionImpl.GetValue"
		size = 31
		refs = "000b Sessions 0017 TSessions.ItemValue"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 A1 ?? ?? ?? ?? 8B 00 8B CE 8B 53 0C E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98598_0 {
	meta:
		name = "TWebSessionImpl.SetValue"
		size = 21
		refs = "0003 Sessions 0010 TSessions.SetItemValue"
	strings:
		$1 = { 51 8B 0D ?? ?? ?? ?? 8B 09 8B 40 0C 91 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98601_0 {
	meta:
		name = "TWebSessionImpl.SetTimeoutMinutes"
		size = 20
		refs = "0002 Sessions 000f TSessions.SetTimeoutMinutes"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? 8B 09 8B 40 0C 91 87 D1 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98602_0 {
	meta:
		name = "TWebSessionIDsImpl.Create"
		size = 74
		refs = "000a @ClassCreate 0015 _Dn_TList 001a TObject.Create 0025 Sessions 002c TSessions.GetIDs 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8D 56 0C A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98604_0 {
	meta:
		name = "TWebSessionIDsImpl.GetID"
		size = 38
		refs = "0010 TList.Get 001d @UStrAsg"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 89 04 24 8B 14 24 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98607_0 {
	meta:
		name = "TSessionStatusChange.SessionStarted"
		size = 160
		refs = "0013 @UStrAddRef 001b TSessionStatusChange.SessionStarted 0036 _Dn_TWebSession 003b TWebSession.Create 006c TObject.Free 0072 @HandleFinally 008f @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 4B 04 85 C9 74 03 83 E9 A8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 8B 55 F4 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 C6 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98608_0 {
	meta:
		name = "TSessionStatusChange.SessionTerminated"
		size = 162
		refs = "0013 @UStrAddRef 001b TSessionStatusChange.SessionTerminated 0036 _Dn_TWebSession 003b TWebSession.Create 006e TObject.Free 0074 @HandleFinally 0091 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 4B 04 85 C9 74 03 83 E9 A8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 B1 01 8B 55 F4 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 C6 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98609_0 {
	meta:
		name = "TSessionStatusChange.SessionTimeout"
		size = 162
		refs = "0013 @UStrAddRef 001b TSessionStatusChange.SessionTimeout 0036 _Dn_TWebSession 003b TWebSession.Create 006e TObject.Free 0074 @HandleFinally 0091 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 4B 04 85 C9 74 03 83 E9 A8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 33 C9 8B 55 F4 8B 18 FF 53 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 C6 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98614_0 {
	meta:
		name = "CreateEnumeratedObject"
		size = 88
		refs = "0008 DispatcherClass 001b @IntfCopy 003a CreateEnumeratedObject 003f @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 3D ?? ?? ?? ?? 00 75 13 8B C6 8B D3 85 D2 74 03 83 EA E4 E8 ?? ?? ?? ?? 5E 5B C3 8B CB B2 01 A1 ?? ?? ?? ?? FF 50 10 8B D0 85 D2 74 03 83 EA F8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_98615_0 {
	meta:
		name = "TApplicationObj.Create"
		size = 316
		refs = "0014 @ClassCreate 0023 @IntfAddRef 002b TApplicationObj.Create 003c @IntfCopy 0044 @IntfClear 004c @UStrClr 005f WebContext 0096 Supports 00c9 TBaseAdapterObj.Create 0105 @HandleFinally 0112 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 47 50 8B 55 FC E8 ?? ?? ?? ?? 8D 47 54 E8 ?? ?? ?? ?? 8D 47 58 E8 ?? ?? ?? ?? 8D 47 54 E8 ?? ?? ?? ?? 83 7F 50 00 74 56 E8 ?? ?? ?? ?? 85 C0 74 4D 8B 47 50 8B 10 FF 52 0C 50 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 3C 8B F0 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 16 8D 55 F4 8B 45 F8 8B 08 FF 51 18 8B 55 F4 8D 47 54 E8 ?? ?? ?? ?? 83 7F 54 00 74 15 8B 47 54 8B 10 FF 52 10 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? EB 0B 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 28 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C3 00 00 00 0D 2F CD 19 8F E6 6F 4A 92 AA 4C 76 59 E8 37 08 }
	condition:
		$1
}

rule function_98616_0 {
	meta:
		name = "TApplicationObj.GetDesigning"
		size = 47
		refs = "000d _Dn_TComponent 0012 @IsClass"
	strings:
		$1 = { 53 8B D8 8B 43 50 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 8B 43 50 8B 10 FF 52 0C F6 40 1C 10 0F 95 C0 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_98617_0 {
	meta:
		name = "TApplicationObj.QualifyFileName"
		size = 98
		refs = "0011 TApplicationObj.QualifyFileName 0021 @UStrFromWStr 002c QualifyFileName 0036 @WStrFromUStr 0050 @UStrArrayClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_98618_0 {
	meta:
		name = "TApplicationObj.GetTitle"
		size = 95
		refs = "000f TApplicationObj.GetTitle 0030 @WStrFromUStr 0039 @WStrClr 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 54 00 74 17 8D 55 FC 8B 43 54 8B 08 FF 51 0C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98619_0 {
	meta:
		name = "TApplicationObj.GetModuleFileName"
		size = 111
		refs = "0010 TApplicationObj.GetModuleFileName 0021 GetModuleFileNameProc 003e @UStrAsg 0048 @WStrFromUStr 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 58 00 75 22 A1 ?? ?? ?? ?? 83 38 00 74 18 8B 3D ?? ?? ?? ?? 8B 3F 8D 45 FC FF D7 8B 55 FC 8D 43 58 E8 ?? ?? ?? ?? 8B C6 8B 53 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98620_0 {
	meta:
		name = "TApplicationObj.GetModulePath"
		size = 119
		refs = "0013 TApplicationObj.GetModulePath 0023 TApplicationObj.GetModuleFileName 002e @UStrFromWStr 0039 ExtractFilePath 0043 @WStrFromUStr 0058 @WStrClr 0065 @UStrArrayClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98621_0 {
	meta:
		name = "TEndUserObj.Create"
		size = 300
		refs = "0014 @ClassCreate 0023 @IntfAddRef 002b TEndUserObj.Create 003c @IntfCopy 0044 @IntfClear 004f WebContext 0086 Supports 00b9 TBaseAdapterObj.Create 00f5 @HandleFinally 0102 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 47 54 8B 55 FC E8 ?? ?? ?? ?? 8D 47 50 E8 ?? ?? ?? ?? 83 7F 54 00 74 56 E8 ?? ?? ?? ?? 85 C0 74 4D 8B 47 54 8B 10 FF 52 0C 50 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 3C 8B F0 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 16 8D 55 F4 8B 45 F8 8B 08 FF 51 1C 8B 55 F4 8D 47 50 E8 ?? ?? ?? ?? 83 7F 50 00 74 15 8B 47 50 8B 10 FF 52 28 8B C8 33 D2 8B C7 E8 ?? ?? ?? ?? EB 0B 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 28 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C3 00 00 00 0D 2F CD 19 8F E6 6F 4A 92 AA 4C 76 59 E8 37 08 }
	condition:
		$1
}

rule function_98622_0 {
	meta:
		name = "TEndUserObj.GetDisplayName"
		size = 95
		refs = "000f TEndUserObj.GetDisplayName 0030 @WStrFromUStr 0039 @WStrClr 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 50 00 74 17 8D 55 FC 8B 43 50 8B 08 FF 51 18 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98623_0 {
	meta:
		name = "TEndUserObj.GetLoggedIn"
		size = 18
	strings:
		$1 = { 83 78 50 00 74 09 8B 40 50 8B 10 FF 52 1C C3 33 C0 C3 }
	condition:
		$1
}

rule function_98624_0 {
	meta:
		name = "TEndUserObj.GetLoginForm"
		size = 176
		refs = "0014 TEndUserObj.GetLoginForm 0022 @VarClear 002c @VarCopy 0049 _DV_TAdapterActionObj 004e TComponentsEnumerator.Create 0064 @IntfCast 006e @VarFromDisp 0083 @IntfClear 008b @VarClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8B C6 8D 55 F0 E8 ?? ?? ?? ?? 83 7B 50 00 74 3C 8B 43 50 8B 10 FF 52 24 8B D8 85 DB 74 2E 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_98625_0 {
	meta:
		name = "TEndUserObj.GetLogout"
		size = 176
		refs = "0014 TEndUserObj.GetLogout 0022 @VarClear 002c @VarCopy 0049 _DV_TAdapterActionObj 004e TComponentsEnumerator.Create 0064 @IntfCast 006e @VarFromDisp 0083 @IntfClear 008b @VarClr 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8B C6 8D 55 F0 E8 ?? ?? ?? ?? 83 7B 50 00 74 3C 8B 43 50 8B 10 FF 52 20 8B D8 85 DB 74 2E 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_98626_0 {
	meta:
		name = "TContextObj.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TContextObj.Create 0034 TScriptableObject.Create 003f @IntfCopy 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 2C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98792_0 {
	meta:
		name = "TErrorObj.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TErrorObj.Create 0034 TScriptableObject.Create 003f @IntfCopy 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 2C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98708_0 {
	meta:
		name = "TProducerObj.Create"
		size = 124
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TProducerObj.Create 0034 TScriptableObject.Create 003f @IntfCopy 0054 @IntfClear 005a @HandleFinally 0067 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 2C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98627_0 {
	meta:
		name = "FindApplicationModuleOfObject"
		size = 70
		refs = "0005 WebContext 001a @CallDynaInst"
	strings:
		$1 = { 53 56 8B D8 E8 ?? ?? ?? ?? 85 C0 74 34 85 DB 74 21 EB 0D 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 8B D8 8B C3 66 BE F2 FF E8 ?? ?? ?? ?? 85 C0 75 E4 8B 5B 04 E8 ?? ?? ?? ?? 8B D3 8B 08 FF 51 3C 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_98628_0 {
	meta:
		name = "TTempAdapterDispatcher.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TObject.Create 0020 _Dn_TAdapterDispatcher 0025 TComponent.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 0C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98630_0 {
	meta:
		name = "FindAdapterDispatcher"
		size = 156
		refs = "000d FindAdapterDispatcher 0018 FindApplicationModuleOfObject 0022 @IntfClear 0037 Supports 0051 _DV_TTempAdapterDispatcher 0056 TTempAdapterDispatcher.Create 0066 @IntfCopy 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B F0 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 0A 8B D3 8B 45 FC 8B 08 FF 51 14 83 3B 00 75 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 0D 2F CD 19 8F E6 6F 4A 92 AA 4C 76 59 E8 37 08 }
	condition:
		$1
}

rule function_98631_0 {
	meta:
		name = "TAdapterActionObj.GetAsFieldValue"
		size = 208
		refs = "0013 TAdapterActionObj.GetAsFieldValue 0022 _Dn_TComponent 0027 @AsClass 002f FindAdapterDispatcher 0041 TAdapterActionObj.GetEncodedPages 006b @UStrCat3 0079 @UStrAsg 0093 @UStrArrayClr 009b @IntfClear 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 2C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 38 8D 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 53 2C 85 D2 74 03 83 EA CC 0F B6 0D ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 14 8B 55 F4 8B C6 8B 4D F8 E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 00 00 }
	condition:
		$1
}

rule function_98632_0 {
	meta:
		name = "TAdapterActionObj.GetAsHREF"
		size = 264
		refs = "0011 TAdapterActionObj.GetAsHREF 0020 _Dn_TComponent 0025 @AsClass 002d FindAdapterDispatcher 003f TAdapterActionObj.GetEncodedPages 0082 @UStrDelete 0098 @UStrCatN 00a6 @UStrAsg 00bb @UStrClr 00c3 @IntfClear 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 2C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 67 8D 4D F8 B2 01 8B C3 E8 ?? ?? ?? ?? 56 8B 53 2C 85 D2 74 03 83 EA CC 0F B6 0D ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 10 83 7D F8 00 74 47 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 83 F8 02 7E 12 8D 45 F8 B9 02 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? FF 36 68 ?? ?? ?? ?? FF 75 F8 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 26 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 00 00 }
	condition:
		$1
}

rule function_98633_0 {
	meta:
		name = "TAdapterActionObj.GetCanExecute"
		size = 116
		refs = "000c TAdapterActionObj.GetCanExecute 001a @IntfClear 0029 Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 44 5C 28 55 BE A3 21 48 99 94 00 51 64 76 99 A7 }
	condition:
		$1
}

rule function_98634_0 {
	meta:
		name = "TAdapterActionObj.GetDisplayLabel"
		size = 124
		refs = "000f TAdapterActionObj.GetDisplayLabel 001d @IntfClear 002c Supports 0043 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B7 86 3C A2 2A 67 D4 11 A4 A7 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98767_0 {
	meta:
		name = "TAdapterFieldObj.GetDisplayLabel"
		size = 124
		refs = "000f TAdapterFieldObj.GetDisplayLabel 001d @IntfClear 002c Supports 0043 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 B7 86 3C A2 2A 67 D4 11 A4 A7 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98635_0 {
	meta:
		name = "TAdapterActionObj.GetDisplayStyle"
		size = 124
		refs = "000f TAdapterActionObj.GetDisplayStyle 001d @IntfClear 002c Supports 0045 @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0E 8B CE 33 D2 8B 45 FC 8B 18 FF 53 0C EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 D1 57 15 1C 79 CA EE 4B 86 E2 25 3B EC 89 25 E2 }
	condition:
		$1
}

rule function_98768_0 {
	meta:
		name = "TAdapterFieldObj.GetDisplayStyle"
		size = 124
		refs = "000f TAdapterFieldObj.GetDisplayStyle 001d @IntfClear 002c Supports 0045 @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0E 8B CE 33 D2 8B 45 FC 8B 18 FF 53 0C EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 D1 57 15 1C 79 CA EE 4B 86 E2 25 3B EC 89 25 E2 }
	condition:
		$1
}

rule function_98636_0 {
	meta:
		name = "TAdapterActionObj.GetEnabled"
		size = 116
		refs = "000c TAdapterActionObj.GetEnabled 001a @IntfClear 0029 Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 D7 97 8F 64 99 B2 4A 44 89 CA E6 0B D1 FB 9E A3 }
	condition:
		$1
}

rule function_98637_0 {
	meta:
		name = "TAdapterActionObj.GetEncodedPages"
		size = 296
		refs = "0016 TAdapterActionObj.GetEncodedPages 0033 _Dn_TStringList 0038 TStringList.Create 005f @UStrCat3 0099 EncodeParamsAsHTTPQuery 00a5 EncodeParamNameValues 00ba TObject.Free 00c0 @HandleFinally 00c9 @UStrClr 00e3 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7F 50 00 75 0A 83 7F 54 00 0F 84 96 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7F 50 00 74 1B 8B 4F 50 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 8B 08 FF 51 38 83 7F 54 00 74 1B 8B 4F 54 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 51 38 84 DB 74 0C 8B D6 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 5F 00 5F 00 73 00 70 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 5F 00 5F 00 66 00 70 00 3D 00 00 00 }
	condition:
		$1
}

rule function_98638_0 {
	meta:
		name = "TAdapterActionObj.GetName"
		size = 148
		refs = "0011 TAdapterActionObj.GetName 001f @IntfClear 002e Supports 0047 @VarFromUStr 0067 @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 09 8B C6 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98639_0 {
	meta:
		name = "TAdapterActionObj.GetVisible"
		size = 116
		refs = "000c TAdapterActionObj.GetVisible 001a @IntfClear 0029 Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 C3 48 6F B8 EB BE A7 43 9B EF 1A BE 13 11 E4 19 }
	condition:
		$1
}

rule function_98640_0 {
	meta:
		name = "TAdapterActionObj.LinkToPage"
		size = 188
		refs = "0018 @UStrAddRef 0028 TAdapterActionObj.LinkToPage 0038 _DV_TAdapterActionObj 003d TComponentsEnumerator.Create 004a @UStrAsg 006b @IntfCast 0076 @VarFromDisp 008b @IntfClear 0098 @UStrArrayClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 DB 89 5D F4 89 4D F8 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4B 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 43 50 8B 55 FC E8 ?? ?? ?? ?? 8D 43 54 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F4 8B D3 85 D2 74 03 83 EA F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C2 04 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_98642_0 {
	meta:
		name = "TSessionObj.GetValue"
		size = 27
		refs = "0007 WebContext"
	strings:
		$1 = { 53 56 8B F1 8B DA E8 ?? ?? ?? ?? 8B 10 FF 52 20 8B CE 8B D3 8B 18 FF 13 5E 5B C3 }
	condition:
		$1
}

rule function_98643_0 {
	meta:
		name = "TSessionObj.SetValue"
		size = 28
		refs = "0007 WebContext"
	strings:
		$1 = { 53 56 8B F1 8B DA E8 ?? ?? ?? ?? 8B 10 FF 52 20 8B CE 8B D3 8B 18 FF 53 04 5E 5B C3 }
	condition:
		$1
}

rule function_98645_0 {
	meta:
		name = "TPageObj.Create"
		size = 145
		refs = "000e @ClassCreate 001d @IntfAddRef 002d TPageObj.Create 003f TContextObj.Create 004a @IntfCopy 005f @IntfClear 006d @HandleFinally 007a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 30 8B 55 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_98646_0 {
	meta:
		name = "TPageObj.GetCanView"
		size = 150
		refs = "0010 TPageObj.GetCanView 0020 TPageObj.PageDispatcher 0073 @IntfClear 007b @UStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 2A 8D 55 F8 8B 43 30 8B 08 FF 51 0C 8B 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 5A 8B 08 FF 51 24 F6 D8 1B C0 8B D8 EB 0E 8B 43 30 8B 10 FF 52 24 F6 D8 1B C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98647_0 {
	meta:
		name = "TPageObj.GetDefaultAction"
		size = 356
		refs = "001a TPageObj.GetDefaultAction 0028 @VarClear 0032 @VarCopy 004a WebContext 0067 @IntfClear 0076 Supports 0091 _DV_TAdapterActionObj 0096 TComponentsEnumerator.Create 00b2 @UStrAsg 00ef @IntfCast 00f9 @VarFromDisp 011b @UStrArrayClr 0123 @VarClr 0131 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? 8D 45 E4 50 8D 55 DC 8B 43 30 8B 08 FF 51 0C 8B 45 DC 50 E8 ?? ?? ?? ?? 0F B6 0D ?? ?? ?? ?? 5A 8B 38 FF 57 48 84 C0 0F 84 9A 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 7F 8B 45 FC 8B 10 FF 52 0C 8B F8 85 FF 74 71 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 8D 55 D8 8B 43 30 8B 08 FF 51 0C 8B 55 D8 8B 45 E0 83 C0 50 E8 ?? ?? ?? ?? 8D 55 D4 8B 43 30 8B 08 FF 51 0C 8B 55 D4 8B 45 E0 83 C0 54 E8 ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 D0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 00 00 00 00 00 00 DD 4B 09 F8 BB 3D 5C 44 80 5B 80 D6 86 24 BA D4 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_98648_0 {
	meta:
		name = "TPageObj.GetDescription"
		size = 80
		refs = "000f TPageObj.GetDescription 002a @WStrFromUStr 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 30 8B 08 FF 51 18 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98649_0 {
	meta:
		name = "TPageObj.GetHREF"
		size = 80
		refs = "000f TPageObj.GetHREF 002a @WStrFromUStr 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 30 8B 08 FF 51 10 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98650_0 {
	meta:
		name = "TPageObj.GetLoginRequired"
		size = 150
		refs = "0010 TPageObj.GetLoginRequired 0020 TPageObj.PageDispatcher 0073 @IntfClear 007b @UStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 2A 8D 55 F8 8B 43 30 8B 08 FF 51 0C 8B 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 5A 8B 08 FF 51 20 F6 D8 1B C0 8B D8 EB 0E 8B 43 30 8B 10 FF 52 20 F6 D8 1B C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98651_0 {
	meta:
		name = "TPageObj.GetName"
		size = 80
		refs = "000f TPageObj.GetName 002a @WStrFromUStr 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 30 8B 08 FF 51 0C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98652_0 {
	meta:
		name = "TPageObj.GetPublished"
		size = 17
	strings:
		$1 = { 53 8B D8 8B 43 30 8B 10 FF 52 1C F6 D8 1B C0 5B C3 }
	condition:
		$1
}

rule function_98653_0 {
	meta:
		name = "TPageObj.GetTitle"
		size = 120
		refs = "0011 TPageObj.GetTitle 002c @WStrFromUStr 0035 @WStrEqual 0066 @UStrArrayClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 30 8B 08 FF 51 14 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 06 33 D2 E8 ?? ?? ?? ?? 75 15 8D 55 F8 8B 43 30 8B 08 FF 51 0C 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_98654_0 {
	meta:
		name = "TPageObj.PageDispatcher"
		size = 192
		refs = "0012 TPageObj.PageDispatcher 0023 WebContext 0045 @IntfClear 005a Supports 0074 @IntfCopy 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 34 00 75 56 E8 ?? ?? ?? ?? 85 C0 74 4D 8B 43 2C 8B 10 FF 52 0C 50 E8 ?? ?? ?? ?? 5A 8B 08 FF 51 3C 8B F8 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 16 8D 55 F8 8B 45 FC 8B 08 FF 51 10 8B 55 F8 8D 43 34 E8 ?? ?? ?? ?? 8B C6 8B 53 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 00 0D 2F CD 19 8F E6 6F 4A 92 AA 4C 76 59 E8 37 08 }
	condition:
		$1
}

rule function_98656_0 {
	meta:
		name = "TRequestObj.GetMethod"
		size = 106
		refs = "000f TRequestObj.GetMethod 001c TRequestObj.Request 003b @WStrFromLStr 0044 @WStrClr 0059 @LStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 1D 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 33 D2 8B 18 FF 53 04 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98658_0 {
	meta:
		name = "TRequestObj.GetPathTranslated"
		size = 109
		refs = "000f TRequestObj.GetPathTranslated 001c TRequestObj.Request 003e @WStrFromLStr 0047 @WStrClr 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA 05 00 00 00 8B 18 FF 53 04 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98659_0 {
	meta:
		name = "TRequestObj.GetProcolVersion"
		size = 109
		refs = "000f TRequestObj.GetProcolVersion 001c TRequestObj.Request 003e @WStrFromLStr 0047 @WStrClr 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA 01 00 00 00 8B 18 FF 53 04 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98660_0 {
	meta:
		name = "TRequestObj.GetQuery"
		size = 109
		refs = "000f TRequestObj.GetQuery 001c TRequestObj.Request 003e @WStrFromLStr 0047 @WStrClr 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA 03 00 00 00 8B 18 FF 53 04 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98662_0 {
	meta:
		name = "TRequestObj.GetUrl"
		size = 109
		refs = "000f TRequestObj.GetUrl 001c TRequestObj.Request 003e @WStrFromLStr 0047 @WStrClr 005c @LStrClr 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 20 8B C3 E8 ?? ?? ?? ?? 8D 4D FC BA 02 00 00 00 8B 18 FF 53 04 8B 55 FC 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98663_0 {
	meta:
		name = "TRequestObj.QueryFields"
		size = 180
		refs = "0014 TRequestObj.QueryFields 0021 TRequestObj.Request 0031 TWebRequest.GetQueryFields 003a _DV_TStringsObj 003f TStringsObj.Create 0055 @IntfCast 005f @VarFromDisp 0069 @VarClear 0073 @VarCopy 0088 @IntfClear 0090 @VarClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 C0 74 3C 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? EB 12 8D 45 F0 E8 ?? ?? ?? ?? 8B C6 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_98665_0 {
	meta:
		name = "TEnumeratorObj.atEnd"
		size = 22
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 20 3B 43 38 0F 9E C0 F6 D8 1B C0 5B C3 }
	condition:
		$1
}

rule function_98666_0 {
	meta:
		name = "TEnumeratorObj.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TObjectScripter.Create 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 34 00 33 C0 89 46 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98667_0 {
	meta:
		name = "TEnumeratorObj.item"
		size = 21
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE 8B 53 38 8B C3 8B 18 FF 53 24 5E 5B C3 }
	condition:
		$1
}

rule function_98668_0 {
	meta:
		name = "TEnumeratorObj.Items"
		size = 24
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 8B 18 FF 53 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98669_0 {
	meta:
		name = "TEnumeratorObj.moveFirst"
		size = 10
	strings:
		$1 = { C6 40 34 01 8B 10 FF 52 2C C3 }
	condition:
		$1
}

rule function_98670_0 {
	meta:
		name = "TEnumeratorObj.moveNext"
		size = 42
	strings:
		$1 = { 53 8B D8 80 7B 34 00 74 0B C6 43 34 00 33 C0 89 43 38 EB 03 FF 43 38 8B C3 8B 10 FF 52 30 85 C0 75 04 B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_98671_0 {
	meta:
		name = "TPagesObj.Create"
		size = 192
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TPagesObj.Create 0036 TEnumeratorObj.Create 0041 @IntfCopy 004f _Dn_TComponent 0054 @IsClass 006d _Dn_TInterfaceList 0072 TInterfaceList.Create 0098 @IntfClear 009e @HandleFinally 00ab @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 3C 8B 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2B 8B 45 FC 8B 10 FF 52 0C F6 40 1C 10 74 1D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 46 40 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98672_0 {
	meta:
		name = "TPagesObj.FindSamplePage"
		size = 412
		refs = "0021 TPagesObj.FindSamplePage 0074 @IntfCast 0081 @VarFromDisp 0093 @DispInvoke 00a1 @VarToUStr 00ab @UStrLAsg 00d2 CompareText 00f0 _Dn_TSampleWebPageInfo 00f5 TSampleWebPageInfo.Create 010a _DV_TPageObj 010f TPageObj.Create 0120 @IntfCopy 013a @IntfClear 014f @VarClr 016c @UStrArrayClr 0172 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D E0 8B DA 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 83 78 40 00 0F 84 FE 00 00 00 8B 45 E4 8B 40 40 8B 10 FF 52 14 48 85 C0 0F 8C 9F 00 00 00 40 89 45 D8 C7 45 DC 00 00 00 00 8D 4D D4 8B 45 E4 8B 40 40 8B 55 DC 8B 30 FF 56 0C 8B 55 D4 8B 45 E0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 55 E0 8B 12 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E8 50 8D 45 C4 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 55 C4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 5F FF 45 DC FF 4D D8 0F 85 6C FF FF FF 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 F0 50 8B 45 E4 8B 48 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B 12 8B 45 E4 8B 40 40 8B 08 FF 51 38 EB 08 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5E 5B 8B E5 5D C3 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 01 00 00 50 61 67 65 4E 61 6D 65 00 }
	condition:
		$1
}

rule function_98673_0 {
	meta:
		name = "TPagesObj.DispatchOfName"
		size = 400
		refs = "0026 TPagesObj.DispatchOfName 0034 @IntfClear 0039 WebContext 0072 @UStrLAsg 0099 CompareText 00c2 _DV_TPageObj 00c7 TPageObj.Create 00dd @IntfCast 00ff TPagesObj.FindSamplePage 011f sComponentNotFound 0124 LoadResString 012e _DV_EScriptException 0133 Exception.CreateFmt 0138 @RaiseExcept 014d @UStrClr 0156 IWebPageInfo 0160 @FinalizeArray 016d @UStrArrayClr 0173 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 DB 89 5D D4 89 5D E0 89 5D E4 89 5D FC 89 5D F8 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 52 24 48 85 C0 0F 8C A2 00 00 00 40 89 45 E8 33 DB E8 ?? ?? ?? ?? 8D 4D E4 8B D3 8B 30 FF 56 28 8B 45 E4 8D 55 FC 8B 08 FF 51 0C 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 3D E8 ?? ?? ?? ?? 8D 4D E0 8B D3 8B 30 FF 56 28 8B 45 E0 50 8B 45 F4 8B 48 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 43 FF 4D E8 0F 85 64 FF FF FF 8B 45 EC 83 38 00 75 47 8B 4D EC 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 EC 83 38 00 75 31 8B 45 F0 89 45 D8 C6 45 DC 11 8D 45 D8 50 6A 00 8D 55 D4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5E 5B 8B E5 5D C3 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_98674_0 {
	meta:
		name = "TPagesObj.GetListCount"
		size = 23
		refs = "0001 WebContext"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 0B E8 ?? ?? ?? ?? 8B 10 FF 52 24 C3 33 C0 C3 }
	condition:
		$1
}

rule function_98675_0 {
	meta:
		name = "TPagesObj.GetListItem"
		size = 160
		refs = "0016 TPagesObj.GetListItem 0021 WebContext 0039 _DV_TPageObj 003e TPageObj.Create 0054 @IntfCast 005f @VarFromDisp 0074 @IntfClear 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8D 4D F4 8B D6 8B 30 FF 56 28 8B 45 F4 50 8B 4B 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_98679_0 {
	meta:
		name = "TModulesObj.FindObject"
		size = 192
		refs = "0012 TModulesObj.FindObject 0023 _Dn_TVariableLookup 0028 TVariableLookup.Create 0043 TVariableLookup.FindGlobalVariableContainer 0061 sComponentNotFound 0066 LoadResString 0070 _DV_EScriptException 0075 Exception.CreateFmt 007a @RaiseExcept 008f TObject.Free 0095 @HandleFinally 00ac @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 2E 89 5D F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98680_0 {
	meta:
		name = "TModulesObj.GetListCount"
		size = 28
		refs = "0001 WebContext"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 10 E8 ?? ?? ?? ?? 8B 10 FF 52 1C 8B 10 FF 52 04 C3 33 C0 C3 }
	condition:
		$1
}

rule function_98681_0 {
	meta:
		name = "TModulesObj.GetListItem"
		size = 101
		refs = "0012 TModulesObj.GetListItem 001d WebContext 0034 TScriptableObject.DispatchOfObject 003e @VarFromDisp 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 1C 8B D6 8B 08 FF 11 8B D0 8D 4D FC 8B 03 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98682_0 {
	meta:
		name = "TResponseObj.GetAllow"
		size = 89
		refs = "000d TResponseObj.GetAllow 0018 WebContext 0033 @UStrFromLStr 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 8D 4D FC BA 05 00 00 00 8B 30 FF 16 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98683_0 {
	meta:
		name = "TResponseObj.GetContentEncoding"
		size = 89
		refs = "000d TResponseObj.GetContentEncoding 0018 WebContext 0033 @UStrFromLStr 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 8D 4D FC BA 07 00 00 00 8B 30 FF 16 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98684_0 {
	meta:
		name = "TResponseObj.GetContentLength"
		size = 18
		refs = "0001 WebContext"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 10 FF 52 08 33 D2 8B 08 FF 51 10 C3 }
	condition:
		$1
}

rule function_98685_0 {
	meta:
		name = "TResponseObj.GetContentType"
		size = 89
		refs = "000d TResponseObj.GetContentType 0018 WebContext 0033 @UStrFromLStr 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 8D 4D FC BA 08 00 00 00 8B 30 FF 16 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98686_0 {
	meta:
		name = "TResponseObj.GetContentVersion"
		size = 89
		refs = "000d TResponseObj.GetContentVersion 0018 WebContext 0033 @UStrFromLStr 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 8D 4D FC BA 09 00 00 00 8B 30 FF 16 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98687_0 {
	meta:
		name = "TResponseObj.GetLocation"
		size = 89
		refs = "000d TResponseObj.GetLocation 0018 WebContext 0033 @UStrFromLStr 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 8D 4D FC BA 06 00 00 00 8B 30 FF 16 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98688_0 {
	meta:
		name = "TResponseObj.GetRealm"
		size = 89
		refs = "000d TResponseObj.GetRealm 0018 WebContext 0033 @UStrFromLStr 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 8D 4D FC BA 04 00 00 00 8B 30 FF 16 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98689_0 {
	meta:
		name = "TResponseObj.GetReasonString"
		size = 89
		refs = "000d TResponseObj.GetReasonString 0018 WebContext 0033 @UStrFromLStr 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 8D 4D FC BA 01 00 00 00 8B 30 FF 16 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98690_0 {
	meta:
		name = "TResponseObj.GetServer"
		size = 89
		refs = "000d TResponseObj.GetServer 0018 WebContext 0033 @UStrFromLStr 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 8D 4D FC BA 02 00 00 00 8B 30 FF 16 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98691_0 {
	meta:
		name = "TResponseObj.GetStatusCode"
		size = 16
		refs = "0001 WebContext"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 10 FF 52 08 8B 10 FF 52 24 C3 }
	condition:
		$1
}

rule function_98692_0 {
	meta:
		name = "TResponseObj.GetTitle"
		size = 89
		refs = "000d TResponseObj.GetTitle 0018 WebContext 0033 @UStrFromLStr 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 8D 4D FC BA 0B 00 00 00 8B 30 FF 16 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98693_0 {
	meta:
		name = "TResponseObj.GetVersion"
		size = 86
		refs = "000d TResponseObj.GetVersion 0018 WebContext 0030 @UStrFromLStr 0045 @LStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 8D 4D FC 33 D2 8B 30 FF 16 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98694_0 {
	meta:
		name = "TResponseObj.GetWWWAuthenticate"
		size = 89
		refs = "000d TResponseObj.GetWWWAuthenticate 0018 WebContext 0033 @UStrFromLStr 0048 @LStrClr 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 8D 4D FC BA 03 00 00 00 8B 30 FF 16 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98695_0 {
	meta:
		name = "TResponseObj.SetAllow"
		size = 95
		refs = "000c TResponseObj.SetAllow 0017 WebContext 002c @LStrFromUStr 004f @LStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 50 8D 45 FC 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA 05 00 00 00 58 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_98696_0 {
	meta:
		name = "TResponseObj.SetContentEncoding"
		size = 95
		refs = "000c TResponseObj.SetContentEncoding 0017 WebContext 002c @LStrFromUStr 004f @LStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 50 8D 45 FC 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA 07 00 00 00 58 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_98697_0 {
	meta:
		name = "TResponseObj.SetContentLength"
		size = 24
		refs = "0004 WebContext"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 8B 10 FF 52 08 8B CB 33 D2 8B 18 FF 53 14 5B C3 }
	condition:
		$1
}

rule function_98698_0 {
	meta:
		name = "TResponseObj.SetContentType"
		size = 95
		refs = "000c TResponseObj.SetContentType 0017 WebContext 002c @LStrFromUStr 004f @LStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 50 8D 45 FC 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA 08 00 00 00 58 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_98699_0 {
	meta:
		name = "TResponseObj.SetContentVersion"
		size = 95
		refs = "000c TResponseObj.SetContentVersion 0017 WebContext 002c @LStrFromUStr 004f @LStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 50 8D 45 FC 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA 09 00 00 00 58 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_98700_0 {
	meta:
		name = "TResponseObj.SetLocation"
		size = 95
		refs = "000c TResponseObj.SetLocation 0017 WebContext 002c @LStrFromUStr 004f @LStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 50 8D 45 FC 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA 06 00 00 00 58 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_98701_0 {
	meta:
		name = "TResponseObj.SetRealm"
		size = 95
		refs = "000c TResponseObj.SetRealm 0017 WebContext 002c @LStrFromUStr 004f @LStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 50 8D 45 FC 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA 04 00 00 00 58 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_98702_0 {
	meta:
		name = "TResponseObj.SetReasonString"
		size = 95
		refs = "000c TResponseObj.SetReasonString 0017 WebContext 002c @LStrFromUStr 004f @LStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 50 8D 45 FC 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA 01 00 00 00 58 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_98703_0 {
	meta:
		name = "TResponseObj.SetServer"
		size = 95
		refs = "000c TResponseObj.SetServer 0017 WebContext 002c @LStrFromUStr 004f @LStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 50 8D 45 FC 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA 02 00 00 00 58 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_98704_0 {
	meta:
		name = "TResponseObj.SetStatusCode"
		size = 22
		refs = "0004 WebContext"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 8B 10 FF 52 08 8B D3 8B 08 FF 51 28 5B C3 }
	condition:
		$1
}

rule function_98705_0 {
	meta:
		name = "TResponseObj.SetTitle"
		size = 95
		refs = "000c TResponseObj.SetTitle 0017 WebContext 002c @LStrFromUStr 004f @LStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 50 8D 45 FC 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA 0B 00 00 00 58 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_98706_0 {
	meta:
		name = "TResponseObj.SetVersion"
		size = 92
		refs = "000c TResponseObj.SetVersion 0017 WebContext 002c @LStrFromUStr 004c @LStrClr 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 50 8D 45 FC 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC 33 D2 58 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_98707_0 {
	meta:
		name = "TResponseObj.SetWWWAuthenticate"
		size = 95
		refs = "000c TResponseObj.SetWWWAuthenticate 0017 WebContext 002c @LStrFromUStr 004f @LStrClr 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 8B 10 FF 52 08 50 8D 45 FC 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC BA 03 00 00 00 58 8B 18 FF 53 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_98709_0 {
	meta:
		name = "TProducerObj.GetContent"
		size = 80
		refs = "000f TProducerObj.GetContent 002a @WStrFromUStr 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 2C 8B 08 FF 51 3C 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98710_0 {
	meta:
		name = "TProducerObj.SetContent"
		size = 80
		refs = "000f TProducerObj.SetContent 001f @UStrFromWStr 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 2C 8B 08 FF 51 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98711_0 {
	meta:
		name = "TProducerObj.Write"
		size = 147
		refs = "0020 @VarAddRef 0028 TProducerObj.Write 0036 VarIsEmpty 0045 @VarToUStr 0078 @UStrArrayClr 0080 @VarClr 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D EC 89 4D E8 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 24 8D 45 E8 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 E8 8D 4D EC 8B 43 2C 8B 30 FF 56 24 8B 55 EC 8B 43 2C 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98712_0 {
	meta:
		name = "THTMLItemsObj.GetCount"
		size = 9
	strings:
		$1 = { 8B 40 2C 8B 10 FF 52 18 C3 }
	condition:
		$1
}

rule function_98713_0 {
	meta:
		name = "THTMLItemsObj.GetItem"
		size = 25
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 2C 8B 18 FF 53 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98715_0 {
	meta:
		name = "THTMLItemsObj.WriteItem"
		size = 9
	strings:
		$1 = { 8B 40 2C 8B 08 FF 51 38 C3 }
	condition:
		$1
}

rule function_98718_0 {
	meta:
		name = "TStringsObj.GetCount"
		size = 9
	strings:
		$1 = { 8B 40 2C 8B 10 FF 52 14 C3 }
	condition:
		$1
}

rule function_98719_0 {
	meta:
		name = "TStringsObj.GetText"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 2C 8B 08 FF 51 1C 5E 5B C3 }
	condition:
		$1
}

rule function_98722_0 {
	meta:
		name = "TStringsObj.SetText"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 2C 8B 08 FF 51 2C 5E C3 }
	condition:
		$1
}

rule function_98725_0 {
	meta:
		name = "TComponentsEnumerator.atEnd"
		size = 8
	strings:
		$1 = { 80 78 3D 01 F5 1B C0 C3 }
	condition:
		$1
}

rule function_98727_0 {
	meta:
		name = "TComponentsEnumerator.Create"
		size = 224
		refs = "000e @ClassCreate 001c TEnumeratorObj.Create 002b @IntfClear 0032 TComponentsEnumerator.Create 0039 Supports 0048 @IntfCopy 009a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 73 2C 85 F6 74 66 8D 43 4C E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0D 8D 43 48 8B 53 4C E8 ?? ?? ?? ?? EB 3F 8D 43 44 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0D 8D 43 48 8B 53 44 E8 ?? ?? ?? ?? EB 17 8D 43 48 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? C6 43 3D 01 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 00 F2 FC 4E 06 22 B4 20 47 B3 64 63 3D 28 CD 32 16 52 9C 15 76 81 A1 16 4F B2 7E 35 F7 97 9B E8 7F 24 BA FA BD C3 F5 D3 11 AB D8 A0 0C B8 21 17 3C }
	condition:
		$1
}

rule function_98728_0 {
	meta:
		name = "TComponentsEnumerator.EndIterating"
		size = 22
	strings:
		$1 = { 83 78 48 00 74 0F C6 40 3C 00 8B 50 40 8B 40 48 8B 08 FF 51 14 C3 }
	condition:
		$1
}

rule function_98729_0 {
	meta:
		name = "TComponentsEnumerator.GetClassName"
		size = 21
		refs = "000e TObject.ClassName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 2C 8B 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98731_0 {
	meta:
		name = "TComponentsEnumerator.GetListItem"
		size = 141
		refs = "0018 TComponentsEnumerator.GetListItem 0026 @VarClear 0030 @VarCopy 0053 TScriptableObject.DispatchOfObject 005d @VarFromDisp 0072 @IntfClear 007a @VarClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8B C7 8D 55 F0 E8 ?? ?? ?? ?? 83 7B 44 00 74 27 8B 53 40 8B 43 44 8B 08 FF 51 18 8B F0 85 F6 74 16 8D 4D EC 8B D6 8B 03 E8 ?? ?? ?? ?? 8B 55 EC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98732_0 {
	meta:
		name = "TComponentsEnumerator.GetName"
		size = 128
		refs = "000f TComponentsEnumerator.GetName 001d @IntfClear 002c Supports 0049 @UStrAsg 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 0D 8B C6 8B 53 2C 8B 52 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98733_0 {
	meta:
		name = "TComponentsEnumerator.moveNext"
		size = 173
		refs = "0021 TComponentsEnumerator.moveNext 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC 83 78 48 00 0F 84 89 00 00 00 8B 45 FC 80 78 34 00 74 6D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 3C 00 74 11 8B 45 FC 8B 50 40 8B 45 FC 8B 40 48 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 3C 00 C3 E9 ?? ?? ?? ?? EB F1 8B 45 FC C6 40 34 00 8B 45 FC 33 D2 89 50 40 8B 45 FC C6 40 3C 01 8B 45 FC 8D 50 40 8B 45 FC 8B 40 48 8B 08 FF 51 0C EB 15 8B 45 FC 8D 50 40 8B 45 FC 8B 40 48 8B 08 FF 51 10 EB 02 33 C0 8B D0 80 F2 01 8B 4D FC 88 51 3D 59 5D C3 }
	condition:
		$1
}

rule function_98734_0 {
	meta:
		name = "TScriptableObject.Create"
		size = 87
		refs = "000a @ClassCreate 001b TObjectDispatch.Create 0022 _Dn_TStringList 0027 TStringList.Create 0031 _Dn_TInterfaceList 0036 TInterfaceList.Create 0044 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 6A 00 8B CE 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98735_0 {
	meta:
		name = "TScriptableObject.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TObjectDispatch.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 20 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98736_0 {
	meta:
		name = "TScriptableObject.DispatchOfName"
		size = 44
		refs = "001b TScriptableObject.DispatchOfObject 0024 @IntfClear"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 8B C3 8B 08 FF 51 18 8B F0 85 F6 74 0D 8B CF 8B D6 8B 03 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98737_0 {
	meta:
		name = "TScriptableObject.DispatchOfObject"
		size = 240
		refs = "0011 TScriptableObject.DispatchOfObject 001f @IntfClear 002d Supports 004a _DV_TEnumeratorObj 004f @IsClass 005d CreateEnumeratedObject 006c @IntfCast 007e @IntfCopy 008b _Dn_TObjectDispatch 0090 TObjectDispatch.Create 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 4F 8B 45 FC 8B 10 FF 52 0C 8B CB B2 01 FF 50 1C 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 8B C6 8B D3 85 D2 74 03 83 EA E4 E8 ?? ?? ?? ?? EB 20 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 03 BC 98 2D 95 35 4C 42 9F 7B 68 04 F9 6E F4 44 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_98739_0 {
	meta:
		name = "FindChildDispatch"
		size = 226
		refs = "000b FindChildDispatch 0065 @IntfCopy 009c TInterfaceList.Add 00cf @IntfClear 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 08 83 78 14 01 0F 85 9A 00 00 00 8B 45 08 8B 50 FC 8B 45 08 8B 40 08 8B 40 20 8B 08 FF 51 54 8B 55 08 89 42 F8 8B 45 08 83 78 F8 00 7D 59 8D 4D FC 8B 45 08 8B 50 FC 8B 45 08 8B 40 08 8B 30 FF 56 14 8B 55 FC 8B 45 08 83 C0 F4 E8 ?? ?? ?? ?? 8B 45 08 83 78 F4 00 74 2E 8B 45 08 8B 50 FC 8B 45 08 8B 40 08 8B 40 20 8B 08 FF 51 38 8B 55 08 89 42 F8 8B 45 08 8B 50 F4 8B 45 08 8B 40 08 8B 40 24 E8 ?? ?? ?? ?? 8B 45 08 83 78 F8 00 7C 15 8B 45 08 8B 40 F8 05 E8 03 00 00 8B 55 08 8B 52 1C 89 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98740_0 {
	meta:
		name = "IsNewKeyword"
		size = 169
		refs = "0016 IsNewKeyword 002a cExtraKeywords 0034 @UStrLAsg 0065 CompareText 0092 @UStrArrayClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 7D 08 83 C7 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 01 BE 02 00 00 00 BB ?? ?? ?? ?? 8D 45 FC 8B 13 E8 ?? ?? ?? ?? 8D 45 F8 8B 17 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 75 0A 83 C3 04 4E 75 B6 C6 45 F7 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98741_0 {
	meta:
		name = "TScriptableObject.GetIDsOfNames"
		size = 396
		refs = "0016 TScriptableObject.GetIDsOfNames 0029 WideCharToString 0033 cKeywords 003d @UStrEqual 0049 @GetMem 0056 @WStrFromUStr 0066 @WStrCat3 006e @WStrToPWChar 0099 TObjectDispatch.GetIDsOfNames 00b1 @FreeMem 00b7 @HandleFinally 00d2 IsNewKeyword 00dd FindChildDispatch 0153 @WStrClr 0163 @IntfClear 016b @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 10 8B 00 E8 ?? ?? ?? ?? BE 02 00 00 00 BB ?? ?? ?? ?? 8B 45 FC 8B 13 E8 ?? ?? ?? ?? 75 7A B8 04 00 00 00 E8 ?? ?? ?? ?? 89 45 E8 8D 45 E4 8B 13 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 E8 89 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 1C 50 8B 45 18 50 6A 01 8B 45 E8 50 57 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 83 C3 04 4E 0F 85 70 FF FF FF 8B 45 08 80 78 28 00 74 3C 55 E8 ?? ?? ?? ?? 59 84 C0 74 31 55 E8 ?? ?? ?? ?? 59 84 C0 74 07 33 C0 89 45 EC EB 55 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 57 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 EC EB 36 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 57 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 EC 81 7D EC 06 00 02 80 75 10 55 E8 ?? ?? ?? ?? 59 84 C0 74 05 33 C0 89 45 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B 45 EC 5F 5E 5B 8B E5 5D C2 18 00 00 02 00 00 00 5F 00 00 00 }
	condition:
		$1
}

rule function_98742_0 {
	meta:
		name = "TScriptableObject.Invoke"
		size = 224
		refs = "0013 TScriptableObject.Invoke 0034 TInterfaceList.GetCount 0045 TInterfaceList.Get 0055 @IntfCast 005f @VarClear 0069 @VarFromDisp 0098 TObjectDispatch.Invoke 00af @IntfClear 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B 45 0C 8B 5D 08 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 3D E8 03 00 00 7C 54 8B F0 81 EE E8 03 00 00 85 F6 7C 41 8B 43 24 E8 ?? ?? ?? ?? 3B F0 7D 35 8D 4D F8 8B D6 8B 43 24 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D 20 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 DB EB 2D BB 03 00 02 80 EB 26 8B 55 28 52 8B 55 24 52 8B 55 20 52 8B 55 1C 52 0F B7 55 18 52 8B 55 14 52 8B 55 10 52 50 53 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C2 24 00 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_98743_0 {
	meta:
		name = "TObjectScripter.Create"
		size = 100
		refs = "000b @ClassCreate 001a TScriptableObject.Create 0025 @IntfClear 002c TObjectScripter.Create 0033 Supports 003e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 2C 8D 47 30 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_98745_0 {
	meta:
		name = "TObjectScripter.FindObject"
		size = 120
		refs = "000f TObjectScripter.FindObject 001d @IntfClear 002c Supports 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0E 8B D6 8B 45 FC 8B 08 FF 51 0C 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 B1 42 21 13 20 03 D4 11 AB E8 E0 35 EE C2 EA 5A }
	condition:
		$1
}

rule function_98746_0 {
	meta:
		name = "TBaseAdapterObj.GetFields"
		size = 232
		refs = "0017 TBaseAdapterObj.GetFields 0025 @IntfClear 0034 Supports 0049 _DV_TComponentsEnumerator 004e TComponentsEnumerator.Create 0056 CreateEnumeratedObject 0066 @IntfCast 0070 @VarFromDisp 007a @VarClear 0084 @VarCopy 009a IDispatch 00a4 @FinalizeArray 00ac @VarClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 3A 8B 45 FC 8B 10 FF 52 0C 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? EB 12 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 00 00 2F 5B B4 30 B7 B5 AE 4B A6 FC EC 47 E5 B0 C9 41 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_98747_0 {
	meta:
		name = "TBaseAdapterObj.GetActions"
		size = 232
		refs = "0017 TBaseAdapterObj.GetActions 0025 @IntfClear 0034 Supports 0049 _DV_TComponentsEnumerator 004e TComponentsEnumerator.Create 0056 CreateEnumeratedObject 0066 @IntfCast 0070 @VarFromDisp 007a @VarClear 0084 @VarCopy 009a IDispatch 00a4 @FinalizeArray 00ac @VarClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 3A 8B 45 FC 8B 10 FF 52 0C 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? EB 12 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 00 00 CE 1E 2D 0C BA 7B FE 43 A4 66 2D 8B C7 0C C8 5D 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_98748_0 {
	meta:
		name = "TBaseAdapterObj.GetRecords"
		size = 204
		refs = "0015 TBaseAdapterObj.GetRecords 0028 Supports 0036 _DV_TComponentsEnumerator 003b TComponentsEnumerator.Create 0043 CreateEnumeratedObject 0053 @IntfCast 005d @VarFromDisp 0067 @VarClear 0071 @VarCopy 0087 IDispatch 0091 @FinalizeArray 0099 @VarClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 33 8B 4B 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? EB 12 8D 45 F0 E8 ?? ?? ?? ?? 8B C6 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 00 24 BA FA BD C3 F5 D3 11 AB D8 A0 0C B8 21 17 3C 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_98749_0 {
	meta:
		name = "TBaseAdapterObj.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TComponentsEnumerator.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 28 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98750_0 {
	meta:
		name = "TCustomEnumDispatcher.Create"
		size = 77
		refs = "000b @ClassCreate 001a TObject.Create 002b @IntfCopy 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 0C 8B D6 85 D2 74 03 83 EA E4 E8 ?? ?? ?? ?? 89 77 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_98752_0 {
	meta:
		name = "TCustomEnumDispatcher.GetIDsOfNames"
		size = 39
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 1C 52 8B 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 10 50 8B 00 FF 50 0C 5D C2 18 00 }
	condition:
		$1
}

rule function_98753_0 {
	meta:
		name = "TCustomEnumDispatcher.GetTypeInfo"
		size = 31
		refs = "0017 TObjectDispatch.GetTypeInfo"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 10 50 E8 ?? ?? ?? ?? 5D C2 10 00 }
	condition:
		$1
}

rule function_98754_0 {
	meta:
		name = "TCustomEnumDispatcher.GetTypeInfoCount"
		size = 23
		refs = "000f TObjectDispatch.GetTypeInfoCount"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 0C 52 8B 40 10 50 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_98755_0 {
	meta:
		name = "TCustomEnumDispatcher.Invoke"
		size = 52
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 55 28 52 8B 55 24 52 8B 55 20 52 8B 55 1C 52 0F B7 55 18 52 8B 55 14 52 8B 55 10 52 8B 55 0C 52 8B 40 10 50 8B 00 FF 50 10 5D C2 24 00 }
	condition:
		$1
}

rule function_98756_0 {
	meta:
		name = "TAdapterObj.GetCanModify"
		size = 116
		refs = "000c TAdapterObj.GetCanModify 001a @IntfClear 0029 Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 10 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 C0 32 92 17 77 CC D4 11 A5 2B 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98757_0 {
	meta:
		name = "TAdapterObj.GetCanView"
		size = 116
		refs = "000c TAdapterObj.GetCanView 001a @IntfClear 0029 Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 C0 32 92 17 77 CC D4 11 A5 2B 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98758_0 {
	meta:
		name = "TAdapterObj.GetErrors"
		size = 188
		refs = "0016 TAdapterObj.GetErrors 0024 @IntfClear 0033 Supports 0048 _DV_TErrorsObj 004d TErrorsObj.Create 0055 CreateEnumeratedObject 005f @VarFromDisp 0069 @VarClear 0073 @VarCopy 0090 @VarClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 2A 8B 45 FC 8B 10 FF 52 0C 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? EB 12 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 9F D8 A6 27 E1 58 D4 11 A4 93 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98759_0 {
	meta:
		name = "TAdapterObj.GetHiddenFields"
		size = 228
		refs = "001a TAdapterObj.GetHiddenFields 0028 @IntfClear 0037 Supports 0052 _DV_THiddenFieldsEnum 0057 TComponentsEnumerator.Create 005f CreateEnumeratedObject 0069 @VarFromDisp 0073 @VarClear 007d @VarCopy 00af Variant 00b9 @FinalizeArray 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 44 8B 45 FC 8B 10 FF 52 0C 8B D8 85 DB 74 22 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B C6 E8 ?? ?? ?? ?? EB 26 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? EB 12 8D 45 D8 E8 ?? ?? ?? ?? 8B C6 8D 55 D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 00 4D C3 E9 90 54 D0 D4 11 A5 30 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98760_0 {
	meta:
		name = "TAdapterObj.GetHiddenRecordFields"
		size = 228
		refs = "001a TAdapterObj.GetHiddenRecordFields 0028 @IntfClear 0037 Supports 0052 _DV_THiddenFieldsEnum 0057 TComponentsEnumerator.Create 005f CreateEnumeratedObject 0069 @VarFromDisp 0073 @VarClear 007d @VarCopy 00af Variant 00b9 @FinalizeArray 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 44 8B 45 FC 8B 10 FF 52 10 8B D8 85 DB 74 22 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B C6 E8 ?? ?? ?? ?? EB 26 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? EB 12 8D 45 D8 E8 ?? ?? ?? ?? 8B C6 8D 55 D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 00 4D C3 E9 90 54 D0 D4 11 A5 30 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98761_0 {
	meta:
		name = "TAdapterObj.GetMode"
		size = 124
		refs = "000f TAdapterObj.GetMode 001d @IntfClear 002c Supports 0043 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 7C 6A 6E 9E 4F 57 D4 11 A4 91 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98762_0 {
	meta:
		name = "TAdapterObj.SetMode"
		size = 112
		refs = "000f TAdapterObj.SetMode 001d @IntfClear 002c Supports 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0A 8B D6 8B 45 FC 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 7C 6A 6E 9E 4F 57 D4 11 A4 91 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98763_0 {
	meta:
		name = "THiddenFieldsEnum.WriteFields"
		size = 492
		refs = "002c @VarAddRef 0034 THiddenFieldsEnum.WriteFields 0042 @IntfClear 0051 Supports 0061 @UStrClr 00d6 Format 00e1 @UStrLAsg 00f9 @DispInvoke 0116 @UStrArrayClr 0126 @VarClr 0144 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B4 53 56 57 33 C9 89 4D DC 89 4D B8 89 4D B4 89 4D FC 89 4D F8 89 4D F4 8B F2 8D 7D E0 A5 A5 A5 A5 8B D8 8D 45 E0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 0F 84 A3 00 00 00 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 0C 8B D8 4B 85 DB 7C 75 43 33 F6 8D 4D F8 8B D6 8B 45 FC 8B 38 FF 57 10 8D 45 DC 50 8B 45 F4 89 45 BC C6 45 C0 11 8D 55 B8 8B 45 F8 8B 08 FF 51 0C 8B 45 B8 89 45 C4 C6 45 C8 11 8D 55 B4 8B 45 F8 8B 08 FF 51 10 8B 45 B4 89 45 CC C6 45 D0 11 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 0B 8D 55 BC B9 03 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F4 E8 ?? ?? ?? ?? 46 4B 75 8E 8D 45 F4 50 68 ?? ?? ?? ?? 8D 45 E0 50 6A 00 E8 ?? ?? ?? ?? 83 C4 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C3 5F 5E 5B 8B E5 5D C3 00 00 00 4C C3 E9 90 54 D0 D4 11 A5 30 00 C0 4F 6B B8 53 E4 04 01 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 25 00 73 00 3C 00 69 00 6E 00 70 00 75 00 74 00 20 00 74 00 79 00 70 00 65 00 3D 00 22 00 68 00 69 00 64 00 64 00 65 00 6E 00 22 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 25 00 73 00 22 00 20 00 76 00 61 00 6C 00 75 00 65 00 3D 00 22 00 25 00 73 00 22 00 3E 00 25 00 73 00 00 00 00 00 01 01 00 CA 57 72 69 74 65 00 00 00 }
	condition:
		$1
}

rule function_98765_0 {
	meta:
		name = "TAdapterFieldObj.GetCanModify"
		size = 116
		refs = "000c TAdapterFieldObj.GetCanModify 001a @IntfClear 0029 Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 10 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 64 D5 C3 98 E4 3C 2C 41 A7 FE DA 05 A1 A3 79 53 }
	condition:
		$1
}

rule function_98766_0 {
	meta:
		name = "TAdapterFieldObj.GetCanView"
		size = 116
		refs = "000c TAdapterFieldObj.GetCanView 001a @IntfClear 0029 Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 64 D5 C3 98 E4 3C 2C 41 A7 FE DA 05 A1 A3 79 53 }
	condition:
		$1
}

rule function_98769_0 {
	meta:
		name = "TAdapterFieldObj.GetDisplayText"
		size = 124
		refs = "000f TAdapterFieldObj.GetDisplayText 001d @IntfClear 002c Supports 0045 TAdapterFieldObj.GetEditText 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 62 88 13 18 C0 52 D4 11 A4 8D 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98770_0 {
	meta:
		name = "TAdapterFieldObj.GetDisplayWidth"
		size = 116
		refs = "000c TAdapterFieldObj.GetDisplayWidth 001a @IntfClear 0029 Supports 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 03 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 B6 86 3C A2 2A 67 D4 11 A4 A7 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98772_0 {
	meta:
		name = "TAdapterFieldObj.GetImage"
		size = 220
		refs = "0016 TAdapterFieldObj.GetImage 0024 @VarClear 002e @VarCopy 0036 @IntfClear 0045 Supports 0060 _DV_TImageObj 0065 TComponentsEnumerator.Create 007b @IntfCast 0085 @VarFromDisp 00a2 @VarClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 3C 8B 45 FC 8B 10 FF 52 0C 8B D8 85 DB 74 2E 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 30 D2 F5 E7 F9 7A C8 46 99 76 B9 54 BD 11 52 D8 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_98773_0 {
	meta:
		name = "TAdapterFieldObj.GetInputName"
		size = 188
		refs = "0011 TAdapterFieldObj.GetInputName 001f @IntfClear 002e Supports 006c @UStrClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 F8 8B 08 FF 51 0C EB 2E 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 C0 44 16 CD E8 41 06 4C 9A B8 CD 6B 05 36 7E 27 48 5B B1 ED 96 F3 D3 11 A4 2A 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98774_0 {
	meta:
		name = "TAdapterFieldObj.GetInputStyle"
		size = 124
		refs = "000f TAdapterFieldObj.GetInputStyle 001d @IntfClear 002c Supports 0045 @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0E 8B CE 33 D2 8B 45 FC 8B 18 FF 53 10 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 D1 57 15 1C 79 CA EE 4B 86 E2 25 3B EC 89 25 E2 }
	condition:
		$1
}

rule function_98775_0 {
	meta:
		name = "TAdapterFieldObj.GetMaxLength"
		size = 116
		refs = "000c TAdapterFieldObj.GetMaxLength 001a @IntfClear 0029 Supports 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 03 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 39 76 2D 77 09 82 44 47 91 46 2B 6D 3A 5F 22 0F }
	condition:
		$1
}

rule function_98776_0 {
	meta:
		name = "TAdapterFieldObj.GetRequired"
		size = 116
		refs = "000c TAdapterFieldObj.GetRequired 001a @IntfClear 0029 Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 10 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 BF 32 92 17 77 CC D4 11 A5 2B 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98777_0 {
	meta:
		name = "TAdapterFieldObj.GetValue"
		size = 148
		refs = "0015 TAdapterFieldObj.GetValue 0023 @IntfClear 0032 Supports 004a @VarClear 0054 @VarCopy 0069 @VarClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 12 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 7F 6A 6E 9E 4F 57 D4 11 A4 91 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98778_0 {
	meta:
		name = "TAdapterFieldObj.GetValues"
		size = 192
		refs = "0016 TAdapterFieldObj.GetValues 0024 @VarClear 002e @VarCopy 0036 @IntfClear 0045 Supports 0060 _DV_TAdapterFieldValuesObj 0065 TBaseAdapterObj.Create 006d CreateEnumeratedObject 0077 @VarFromDisp 0094 @VarClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 2E 8B 45 FC 8B 10 FF 52 0C 8B D8 85 DB 74 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 12 FE BD 87 10 CA D4 11 A5 28 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98779_0 {
	meta:
		name = "TAdapterFieldObj.GetValuesList"
		size = 308
		refs = "0019 TAdapterFieldObj.GetValuesList 0027 @VarClear 0031 @VarCopy 0039 @IntfClear 0048 Supports 0098 TScriptableObject.DispatchOfObject 00a2 @VarFromDisp 00ac sInterfaceCompRefExpected 00b1 LoadResString 00bb _DV_EScriptException 00c0 Exception.Create 00c5 @RaiseExcept 00da @UStrClr 00ea @VarClr 0108 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 E8 ?? ?? ?? ?? 8B C6 8D 55 E0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 79 8D 55 F8 8B 45 FC 8B 08 FF 51 0C 83 7D F8 00 74 68 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 2C 8B 45 F4 8B 10 FF 52 0C 85 C0 74 20 8B 45 F4 8B 10 FF 52 0C 8B D0 8D 4D DC 8B 03 E8 ?? ?? ?? ?? 8B 55 DC 8B C6 E8 ?? ?? ?? ?? EB 21 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5E 5B 8B E5 5D C3 4D E9 D7 59 A9 9B D4 11 A4 F2 00 C0 4F 6B B8 53 58 18 8B E2 86 EC 59 45 8F CD 6B 4F 82 41 51 ED }
	condition:
		$1
}

rule function_98780_0 {
	meta:
		name = "TAdapterFieldObj.GetViewMode"
		size = 124
		refs = "000f TAdapterFieldObj.GetViewMode 001d @IntfClear 002c Supports 0045 @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0E 8B CE 33 D2 8B 45 FC 8B 18 FF 53 14 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 D1 57 15 1C 79 CA EE 4B 86 E2 25 3B EC 89 25 E2 }
	condition:
		$1
}

rule function_98781_0 {
	meta:
		name = "TAdapterFieldObj.GetVisible"
		size = 116
		refs = "000c TAdapterFieldObj.GetVisible 001a @IntfClear 0029 Supports 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 FC 8B 10 FF 52 0C 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 BF 32 92 17 77 CC D4 11 A5 2B 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98782_0 {
	meta:
		name = "TAdapterFieldObj.IsEqual"
		size = 264
		refs = "0029 @VarAddRef 0031 TAdapterFieldObj.IsEqual 003f @IntfClear 004e Supports 006b TAdapterFieldObj.GetValue 0081 VarIsEmpty 009a @VarCmpEQ 00b1 @HandleAnyException 00b8 @DoneExcept 00ce Variant 00d8 @FinalizeArray 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 C9 89 4D FC 89 4D D8 89 4D DC 89 4D E0 89 4D E4 8B F2 8D 7D E8 A5 A5 A5 A5 8B D8 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0F 8D 55 E8 8B 45 FC 8B 08 FF 51 0C 8B D8 EB 57 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 8B D8 8D 45 D8 E8 ?? ?? ?? ?? 3A D8 75 0D 8D 45 E8 8D 55 D8 E8 ?? ?? ?? ?? 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 FB 42 50 49 CE 97 A1 4C 92 1F 9A 09 DD 3B 65 F2 }
	condition:
		$1
}

rule function_98783_0 {
	meta:
		name = "TImageObj.AsHREF"
		size = 368
		refs = "0015 TImageObj.AsHREF 0023 @IntfClear 0032 Supports 004f @WStrFromUStr 007f FindAdapterDispatcher 00d8 @WStrAsg 00ed @UStrClr 011b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 1E 8D 55 F4 8B 45 F8 8B 08 FF 51 0C 84 C0 74 0F 8B C6 8B 55 F4 E8 ?? ?? ?? ?? E9 84 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 F0 8B 10 FF 52 0C 8D 55 FC E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 3D 8D 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 2E 8D 45 E8 50 0F B6 0D ?? ?? ?? ?? 8B 55 EC 8B 45 FC 8B 18 FF 53 10 8B 55 E8 8B C6 E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5E 5B 8B E5 5D C3 00 A2 73 E8 10 DD A6 E9 4A 8A B5 45 97 14 2E 46 31 58 18 8B E2 86 EC 59 45 8F CD 6B 4F 82 41 51 ED 00 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 00 00 00 00 0E 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 00 00 }
	condition:
		$1
}

rule function_98784_0 {
	meta:
		name = "TImageProducerObj.GetDisplayStyle"
		size = 188
		refs = "0014 TImageProducerObj.GetDisplayStyle 0021 @UStrClr 0029 @IntfClear 0038 Supports 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 2E 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 74 14 8B 45 F8 8B 10 FF 52 0C 8B D0 8B CE 8B 45 FC 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 00 00 BB 0F 79 58 6F D5 98 42 9B 0C C6 22 A0 D6 DB AB 58 18 8B E2 86 EC 59 45 8F CD 6B 4F 82 41 51 ED }
	condition:
		$1
}

rule function_98785_0 {
	meta:
		name = "TImageProducerObj.GetEventImage"
		size = 292
		refs = "0024 TImageProducerObj.GetEventImage 0032 @VarClear 003c @VarCopy 0044 @IntfClear 0053 Supports 0062 @WStrFromUStr 0096 _DV_TImageObj 009b TComponentsEnumerator.Create 00b1 @IntfCast 00bb @VarFromDisp 00dd @WStrArrayClr 00e5 @VarClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E4 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 64 8D 45 E0 8B 55 0C E8 ?? ?? ?? ?? 8B 45 E0 50 8D 45 DC 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 45 D8 8B D7 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC 59 8B 18 FF 53 14 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 D4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C2 08 00 00 00 BB 0F 79 58 6F D5 98 42 9B 0C C6 22 A0 D6 DB AB 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_98786_0 {
	meta:
		name = "TImageProducerObj.GetImage"
		size = 220
		refs = "0016 TImageProducerObj.GetImage 0024 @IntfClear 0033 Supports 0041 @WStrFromUStr 0059 _DV_TImageObj 005e TComponentsEnumerator.Create 0074 @IntfCast 007f @VarFromDisp 009c @WStrClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 48 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 4D F8 8B D6 8B 45 FC 8B 18 FF 53 0C 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 50 2C FF 1E 84 B3 89 40 BD A2 C4 93 99 BA 1C E0 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_98787_0 {
	meta:
		name = "TAdapterFieldValuesObj.GetValue"
		size = 208
		refs = "0015 TAdapterFieldValuesObj.GetValue 0023 @IntfClear 0032 Supports 006c @VarClear 0076 @VarCopy 008b @VarClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 2E 8B 45 F8 8B 10 FF 52 0C 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 12 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 13 FE BD 87 10 CA D4 11 A5 28 00 C0 4F 6B B8 53 07 D6 C0 5D 9C 1C 67 4E B3 BA 35 CE 2A 58 72 A0 }
	condition:
		$1
}

rule function_98788_0 {
	meta:
		name = "TAdapterFieldValuesObj.HasValue"
		size = 216
		refs = "0020 @VarAddRef 0028 TAdapterFieldValuesObj.HasValue 0036 @IntfClear 0045 Supports 0091 @VarClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D FC 89 4D F8 8B F2 8D 7D E8 A5 A5 A5 A5 8B D8 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 31 8B 45 F8 8B 10 FF 52 0C 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0F 8D 55 E8 8B 45 FC 8B 08 FF 51 10 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5F 5E 5B 8B E5 5D C3 00 00 13 FE BD 87 10 CA D4 11 A5 28 00 C0 4F 6B B8 53 07 D6 C0 5D 9C 1C 67 4E B3 BA 35 CE 2A 58 72 A0 }
	condition:
		$1
}

rule function_98789_0 {
	meta:
		name = "TErrorsObj.Create"
		size = 142
		refs = "000f @ClassCreate 001b TErrorsObj.Create 002a TComponentsEnumerator.Create 0038 sErrorsObjectNeedsIntf 003d LoadResString 0047 _DV_EScriptException 004c Exception.Create 0051 @RaiseExcept 0066 @UStrClr 006c @HandleFinally 0079 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 83 7E 4C 00 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98790_0 {
	meta:
		name = "TErrorsObj.GetListCount"
		size = 168
		refs = "000e TErrorsObj.GetListCount 0022 @IntfClear 0031 Supports 0053 @IntfCast 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 4C 00 74 49 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 4C E8 ?? ?? ?? ?? 84 C0 74 2A 8D 4D F8 8B 53 40 8B 43 4C 8B 18 FF 53 18 8B 55 F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 10 8B D8 EB 06 33 DB EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 00 00 00 A0 D8 A6 27 E1 58 D4 11 A4 93 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98791_0 {
	meta:
		name = "TErrorsObj.GetListItem"
		size = 280
		refs = "001e TErrorsObj.GetListItem 0044 @IntfClear 0051 Supports 005f _DV_TErrorObj 0064 TErrorObj.Create 007a @IntfCast 0084 @VarFromDisp 008e @VarClear 0098 @VarCopy 00d2 Variant 00dc @FinalizeArray 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 4C 00 74 70 8D 4D D4 8B 53 40 8B 43 4C 8B 18 FF 53 18 8B 45 D4 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 31 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 D0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D0 8B C6 E8 ?? ?? ?? ?? EB 26 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? EB 12 8D 45 D8 E8 ?? ?? ?? ?? 8B C6 8D 55 D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5E 5B 8B E5 5D C3 00 00 A1 D8 A6 27 E1 58 D4 11 A4 93 00 C0 4F 6B B8 53 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_98793_0 {
	meta:
		name = "TErrorObj.GetField"
		size = 99
		refs = "000f TErrorObj.GetField 0026 _DV_TComponentsEnumerator 002b TComponentsEnumerator.Create 0033 CreateEnumeratedObject 003d @VarFromDisp 0052 @IntfClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 2C 8B 10 FF 52 14 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98794_0 {
	meta:
		name = "TErrorObj.GetID"
		size = 9
	strings:
		$1 = { 8B 40 2C 8B 10 FF 52 10 C3 }
	condition:
		$1
}

rule function_98799_0 {
	meta:
		name = "TAdapterValuesListObj.GetImage"
		size = 260
		refs = "001a TAdapterValuesListObj.GetImage 0028 @IntfClear 0037 Supports 0052 _DV_TImageObj 0057 TComponentsEnumerator.Create 006d @IntfCast 0077 @VarFromDisp 0081 @VarClear 008b @VarCopy 00bd Variant 00c7 @FinalizeArray 00d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 52 8B 45 FC 8B 10 FF 52 18 8B D8 85 DB 74 30 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 D4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 D4 8B C6 E8 ?? ?? ?? ?? EB 26 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? EB 12 8D 45 D8 E8 ?? ?? ?? ?? 8B C6 8D 55 D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 00 00 00 51 64 C1 CA AD 9B D4 11 A4 F2 00 C0 4F 6B B8 53 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_98800_0 {
	meta:
		name = "TAdapterValuesListObj.GetValue"
		size = 148
		refs = "0015 TAdapterValuesListObj.GetValue 0023 @IntfClear 0032 Supports 004a @VarClear 0054 @VarCopy 0069 @VarClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 0C EB 12 8D 45 E8 E8 ?? ?? ?? ?? 8B C6 8D 55 E8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 51 64 C1 CA AD 9B D4 11 A4 F2 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98801_0 {
	meta:
		name = "TAdapterValuesListObj.GetValueName"
		size = 124
		refs = "000f TAdapterValuesListObj.GetValueName 001d @IntfClear 002c Supports 0043 @UStrClr 005e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0C 8B D6 8B 45 FC 8B 08 FF 51 10 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 51 64 C1 CA AD 9B D4 11 A4 F2 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98802_0 {
	meta:
		name = "TAdapterValuesListObj.ImageOfValue"
		size = 284
		refs = "0027 @VarAddRef 002f TAdapterValuesListObj.ImageOfValue 003d @IntfClear 004c Supports 006a _DV_TImageObj 006f TComponentsEnumerator.Create 0085 @IntfCast 008f @VarFromDisp 0099 @VarClear 00a3 @VarCopy 00d5 Variant 00df @FinalizeArray 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F2 8D 7D E8 A5 A5 A5 A5 8B F1 8B D8 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 55 8D 55 E8 8B 45 FC 8B 08 FF 51 1C 8B D8 85 DB 74 30 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 C4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C4 8B C6 E8 ?? ?? ?? ?? EB 26 8D 45 D8 E8 ?? ?? ?? ?? 8B C6 8D 55 D8 E8 ?? ?? ?? ?? EB 12 8D 45 C8 E8 ?? ?? ?? ?? 8B C6 8D 55 C8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 00 00 51 64 C1 CA AD 9B D4 11 A4 F2 00 C0 4F 6B B8 53 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_98803_0 {
	meta:
		name = "TAdapterValuesListObj.NameOfValue"
		size = 160
		refs = "001f @VarAddRef 0027 TAdapterValuesListObj.NameOfValue 0035 @IntfClear 0044 Supports 005e @UStrClr 0073 @VarClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 8B F2 8D 7D E8 A5 A5 A5 A5 8B F1 8B D8 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 43 2C E8 ?? ?? ?? ?? 84 C0 74 0F 8B CE 8D 55 E8 8B 45 FC 8B 18 FF 53 14 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 51 64 C1 CA AD 9B D4 11 A4 F2 00 C0 4F 6B B8 53 }
	condition:
		$1
}

rule function_98804_0 {
	meta:
		name = "Finalization"
		size = 90
		refs = "0007 Finalization 0013 _DV_13 001a cKeywords 0025 string 002a @FinalizeArray 002f cExtraKeywords 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2A B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_98806_0 {
	meta:
		name = "TWebUserItem.Assign"
		size = 151
		refs = "000f _DV_TWebUserItem 0014 @IsClass 0031 TWebUserItem.Assign 0047 @UStrAsg 0060 TWebUserItem.SetAccessRights 0082 @HandleFinally 008e TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6C 8B 45 FC 8B 70 04 85 F6 74 07 8B C6 8B 10 FF 52 20 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 C0 0C 8B F3 8B 56 0C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 10 8B 56 10 E8 ?? ?? ?? ?? 8B 56 14 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 04 85 C0 74 05 8B 10 FF 52 24 C3 E9 ?? ?? ?? ?? EB E9 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_98808_0 {
	meta:
		name = "TWebUserItems.FindUserID"
		size = 116
		refs = "001d @VarAddRef 0025 TWebUserItems.FindUserID 0036 @VarToUStr 0040 TWebUserItems.FindUserName 0057 @UStrClr 005f @VarClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98809_0 {
	meta:
		name = "TWebUserItems.FindUserName"
		size = 123
		refs = "0013 @UStrAddRef 001b TWebUserItems.FindUserName 003c TWebUserItems.GetUserItem 0049 @UStrEqual 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 08 8B 58 08 4B 85 DB 7C 20 43 33 FF 8B D7 8B 45 F8 E8 ?? ?? ?? ?? 8B F0 8B 46 0C 8B 55 FC E8 ?? ?? ?? ?? 74 06 47 4B 75 E3 33 F6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_98810_0 {
	meta:
		name = "RightsAsStrings"
		size = 172
		refs = "000c _Dn_TStringList 0011 TStringList.Create 001c RightsAsStrings 002d @UStrToPWChar 003e ExtractStrings 004d @HandleAnyException 0055 TObject.Free 005a @RaiseAgain 005f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 01 10 00 08 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_98811_0 {
	meta:
		name = "TWebUserItem.CheckRights"
		size = 215
		refs = "0015 TWebUserItem.CheckRights 0026 RightsAsStrings 0048 @TryFinallyExit 0075 TWebUserItem.GetAccessRightsStrings 00a3 TObject.Free 00a9 @HandleFinally 00c0 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 8B C2 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 14 85 C0 75 07 E8 ?? ?? ?? ?? EB 61 8B 45 F4 8B 10 FF 52 14 8B D8 4B 85 DB 7C 31 43 33 F6 8D 4D F0 8B D6 8B 45 F4 8B 38 FF 57 0C 8B 45 F0 50 8B 45 FC E8 ?? ?? ?? ?? 5A 8B 08 FF 51 54 85 C0 7C 07 E8 ?? ?? ?? ?? EB 25 46 4B 75 D2 C6 45 FB 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98816_0 {
	meta:
		name = "TWebUserItems.GetItemAttr"
		size = 102
		refs = "001e TWebUserItems.GetUserItem 0028 @UStrAsg 005b @UStrClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B D8 8B 75 08 83 EA 01 72 07 74 1A 4A 74 2C EB 3F 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 50 0C 8B C6 E8 ?? ?? ?? ?? EB 31 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 50 10 8B C6 E8 ?? ?? ?? ?? EB 1C 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 50 14 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_98820_0 {
	meta:
		name = "TCustomWebUserList.CheckAccessRights"
		size = 306
		refs = "0020 @VarAddRef 0028 @UStrAddRef 0030 TCustomWebUserList.CheckAccessRights 0073 VarIsEmpty 0088 TWebUserItems.FindUserID 0098 TWebUserItem.CheckRights 00c6 sUserIDNotFound 00cb LoadResString 00d5 _DV_EUserIDNotFoundException 00da Exception.Create 00df @RaiseExcept 010b @UStrClr 0113 @VarClr 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 8B F2 8D 7D E8 A5 A5 A5 A5 89 4D FC 8B D8 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 E6 00 66 83 7B 4A 00 74 14 8D 45 E7 50 8D 45 E6 50 8B 4D FC 8D 55 E8 8B 43 4C FF 53 48 80 7D E6 00 0F 85 80 00 00 00 83 7D FC 00 75 06 C6 45 E7 01 EB 74 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 E7 00 EB 62 8D 55 E8 8B 43 38 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0F 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 88 45 E7 EB 42 66 83 7B 52 00 74 14 8D 45 E7 50 8D 45 E6 50 8B 4D FC 8D 55 E8 8B 43 54 FF 53 50 80 7D E6 00 75 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 7B 42 00 74 10 8D 45 E7 50 8B 4D FC 8D 55 E8 8B 43 44 FF 53 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 0F B6 45 E7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_98821_0 {
	meta:
		name = "TCustomWebUserList.Create"
		size = 91
		refs = "000a @ClassCreate 0017 TComponent.Create 001c _DV_TWebUserItem 0026 _DV_TWebUserItems 002b TWebUserItems.Create 0035 _Dn_TMultiReadExclusiveWriteSynchronizer 003a TMultiReadExclusiveWriteSynchronizer.Create 0048 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_98822_0 {
	meta:
		name = "TCustomWebUserList.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TComponent.Destroy 001a TObject.Free 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 3C E8 ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98823_0 {
	meta:
		name = "TCustomWebUserList.LoadFromFile"
		size = 135
		refs = "0010 @UStrAddRef 0018 TCustomWebUserList.LoadFromFile 0029 TMultiReadExclusiveWriteSynchronizer.BeginRead 0042 ReadComponentResFile 005a TMultiReadExclusiveWriteSynchronizer.EndRead 0060 @HandleFinally 0077 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 3C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 3C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_98824_0 {
	meta:
		name = "TCustomWebUserList.SaveToFile"
		size = 135
		refs = "0010 @UStrAddRef 0018 TCustomWebUserList.SaveToFile 0029 TMultiReadExclusiveWriteSynchronizer.BeginWrite 0042 WriteComponentResFile 005a TMultiReadExclusiveWriteSynchronizer.EndWrite 0060 @HandleFinally 0077 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 40 3C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 40 3C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_98827_0 {
	meta:
		name = "TCustomWebUserList.ValidateUser"
		size = 604
		refs = "0021 TCustomWebUserList.ValidateUser 006e TStrings.GetValue 0079 TWebUserItems.FindUserName 008d TWebUserItem.GetUserID 00c1 @UStrEqual 00f2 sInvalidPassword 00f7 LoadResString 0101 _DV_EValidateUserException 0106 Exception.Create 010b @RaiseExcept 013b sMissingPassword 0180 sUnknownUserName 01c2 sMissingUserName 0207 @UStrArrayClr 020d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 66 83 7B 62 00 74 0F 8D 45 FB 50 8B 4D FC 8B D6 8B 43 64 FF 53 60 80 7D FB 00 0F 85 90 01 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 58 85 C0 0F 8C 3C 01 00 00 8D 4D F4 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8B 43 38 E8 ?? ?? ?? ?? 8B F8 85 FF 0F 84 D6 00 00 00 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 83 7F 10 00 0F 84 44 01 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 58 85 C0 7C 69 8D 4D F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 8B 57 10 E8 ?? ?? ?? ?? 0F 84 14 01 00 00 66 83 7B 6A 00 74 12 8B 45 FC 50 8D 45 FB 50 8B CE 33 D2 8B 43 6C FF 53 68 80 7D FB 00 0F 85 F1 00 00 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CB 00 00 00 66 83 7B 6A 00 74 12 8B 45 FC 50 8D 45 FB 50 8B CE 33 D2 8B 43 6C FF 53 68 80 7D FB 00 0F 85 A8 00 00 00 8D 55 E8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 82 00 00 00 66 83 7B 6A 00 74 12 8B 45 FC 50 8D 45 FB 50 8B CE B2 02 8B 43 6C FF 53 68 80 7D FB 00 75 63 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 40 66 83 7B 6A 00 74 12 8B 45 FC 50 8D 45 FB 50 8B CE B2 01 8B 43 6C FF 53 68 80 7D FB 00 75 21 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 7B 5A 00 74 0B 8B 4D FC 8B D6 8B 43 5C FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 73 00 65 00 72 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 61 00 73 00 73 00 77 00 6F 00 72 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_98828_0 {
	meta:
		name = "TWebUserItem.GetAccessRightsStrings"
		size = 25
		refs = "000d RightsAsStrings"
	strings:
		$1 = { 53 8B D8 83 7B 18 00 75 0B 8B 43 14 E8 ?? ?? ?? ?? 89 43 18 8B 43 18 5B C3 }
	condition:
		$1
}

rule function_98830_0 {
	meta:
		name = "TWebUserItem.SetAccessRights"
		size = 35
		refs = "0012 TObject.Free 001c @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 8D 43 14 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_98956_0 {
	meta:
		name = "CoFileTimeToDosDateTime"
		size = 9
		refs = "0004 CoFileTimeToDosDateTime"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_101578_0 {
	meta:
		name = "D3DXVec2Transform"
		size = 9
		refs = "0004 D3DXVec2Transform"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_101056_0 {
	meta:
		name = "D3DXVec2TransformCoord"
		size = 9
		refs = "0004 D3DXVec2TransformCoord"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_101058_0 {
	meta:
		name = "D3DXVec2TransformNormal"
		size = 9
		refs = "0004 D3DXVec2TransformNormal"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106648_0 {
	meta:
		name = "DAD_DragEnterEx2"
		size = 9
		refs = "0004 DAD_DragEnterEx2"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_109999_0 {
	meta:
		name = "EnumTaskWindows"
		size = 9
		refs = "0004 EnumThreadWindows"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_107912_0 {
	meta:
		name = "FileTimeToDosDateTime"
		size = 9
		refs = "0004 FileTimeToDosDateTime"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_107535_0 {
	meta:
		name = "GetAce"
		size = 9
		refs = "0004 GetAce"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_107569_0 {
	meta:
		name = "InitializeSid"
		size = 9
		refs = "0004 InitializeSid"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_109750_0 {
	meta:
		name = "SetClassLong"
		size = 9
		refs = "0004 SetClassLongPtr"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_109751_0 {
	meta:
		name = "SetClassLongA"
		size = 9
		refs = "0004 SetClassLongPtr"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_109752_0 {
	meta:
		name = "SetClassLongW"
		size = 9
		refs = "0004 SetClassLongPtr"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_108444_0 {
	meta:
		name = "SetConsoleWindowInfo"
		size = 9
		refs = "0004 SetConsoleWindowInfo"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_109804_0 {
	meta:
		name = "SetWindowLong"
		size = 9
		refs = "0004 SetWindowLongPtr"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_109805_0 {
	meta:
		name = "SetWindowLongA"
		size = 9
		refs = "0004 SetWindowLongPtr"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_109806_0 {
	meta:
		name = "SetWindowLongW"
		size = 9
		refs = "0004 SetWindowLongPtr"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106971_0 {
	meta:
		name = "StrCatN"
		size = 9
		refs = "0004 StrNCat"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106972_0 {
	meta:
		name = "StrCatNA"
		size = 9
		refs = "0004 StrNCatA"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106973_0 {
	meta:
		name = "StrCatNW"
		size = 9
		refs = "0004 StrNCatW"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106956_0 {
	meta:
		name = "StrCpyNA"
		size = 9
		refs = "0004 lstrcpynA"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106962_0 {
	meta:
		name = "StrNCmp"
		size = 9
		refs = "0004 StrCmpN"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106963_0 {
	meta:
		name = "StrNCmpA"
		size = 9
		refs = "0004 StrCmpNA"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106965_0 {
	meta:
		name = "StrNCmpI"
		size = 9
		refs = "0004 StrCmpNI"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106966_0 {
	meta:
		name = "StrNCmpIA"
		size = 9
		refs = "0004 StrCmpNIA"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106967_0 {
	meta:
		name = "StrNCmpIW"
		size = 9
		refs = "0004 StrCmpNIW"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106964_0 {
	meta:
		name = "StrNCmpW"
		size = 9
		refs = "0004 StrCmpNW"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106968_0 {
	meta:
		name = "StrNCpy"
		size = 9
		refs = "0004 StrCpyN"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106970_0 {
	meta:
		name = "StrNCpyW"
		size = 9
		refs = "0004 StrCpyNW"
	strings:
		$1 = { 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_98975_0 {
	meta:
		name = "StgSetTimes"
		size = 21
		refs = "000c StgSetTimes"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_107537_0 {
	meta:
		name = "GetAclInformation"
		size = 21
		refs = "000c GetAclInformation"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_109975_0 {
	meta:
		name = "PostAppMessage"
		size = 21
		refs = "000c PostThreadMessage"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_109976_0 {
	meta:
		name = "PostAppMessageA"
		size = 21
		refs = "000c PostThreadMessageA"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_109977_0 {
	meta:
		name = "PostAppMessageW"
		size = 21
		refs = "000c PostThreadMessageW"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_104338_0 {
	meta:
		name = "SendGetIntMessage"
		size = 21
		refs = "000c SendMessage"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_104336_0 {
	meta:
		name = "SendStructMessage"
		size = 21
		refs = "000c SendMessage"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_99261_0 {
	meta:
		name = "IN_CLASSA"
		size = 9
		altNames = "Succeeded"
	strings:
		$1 = { A9 00 00 00 80 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99262_0 {
	meta:
		name = "Failed"
		size = 9
	strings:
		$1 = { A9 00 00 00 80 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99263_0 {
	meta:
		name = "HResultCode"
		size = 6
		altNames = "ResultCode"
	strings:
		$1 = { 25 FF FF 00 00 C3 }
	condition:
		$1
}

rule function_99264_0 {
	meta:
		name = "HResultFacility"
		size = 9
		altNames = "ResultFacility"
	strings:
		$1 = { C1 E8 10 25 FF 1F 00 00 C3 }
	condition:
		$1
}

rule function_99265_0 {
	meta:
		name = "ResultSeverity"
		size = 4
	strings:
		$1 = { C1 E8 1F C3 }
	condition:
		$1
}

rule function_99266_0 {
	meta:
		name = "MakeResult"
		size = 13
	strings:
		$1 = { C1 E0 1F C1 E2 10 0B C2 0B C8 8B C1 C3 }
	condition:
		$1
}

rule function_99267_0 {
	meta:
		name = "LHashValOfName"
		size = 10
		refs = "0005 LHashValOfNameSys"
	strings:
		$1 = { 52 50 6A 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99268_0 {
	meta:
		name = "LANGIDFROMLCID"
		size = 5
		altNames = "WHashValOfLHashVal"
	strings:
		$1 = { 66 25 FF FF C3 }
	condition:
		$1
}

rule function_99269_0 {
	meta:
		name = "IsHashValCompatible"
		size = 17
	strings:
		$1 = { 25 00 00 FF 00 81 E2 00 00 FF 00 3B C2 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99277_0 {
	meta:
		name = "CoRecord_.Create"
		size = 100
		refs = "000c CoRecord_.Create 001a CLASS_Record_ 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 62 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_99278_0 {
	meta:
		name = "CoRecord_.CreateRemote"
		size = 128
		refs = "0011 CoRecord_.CreateRemote 0021 @WStrFromUStr 002c CLASS_Record_ 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 62 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_99279_0 {
	meta:
		name = "CoStream.Create"
		size = 100
		refs = "000c CoStream.Create 001a CLASS_Stream 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 65 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_99280_0 {
	meta:
		name = "CoStream.CreateRemote"
		size = 128
		refs = "0011 CoStream.CreateRemote 0021 @WStrFromUStr 002c CLASS_Stream 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 65 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_99281_0 {
	meta:
		name = "CoCommand.Create"
		size = 100
		refs = "000c CoCommand.Create 001a CLASS_Command 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 BD 00 84 B0 D1 F9 02 4D B8 56 71 D5 DB A1 23 E9 }
	condition:
		$1
}

rule function_99282_0 {
	meta:
		name = "CoCommand.CreateRemote"
		size = 128
		refs = "0011 CoCommand.CreateRemote 0021 @WStrFromUStr 002c CLASS_Command 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 BD 00 84 B0 D1 F9 02 4D B8 56 71 D5 DB A1 23 E9 }
	condition:
		$1
}

rule function_99283_0 {
	meta:
		name = "CoRecordset.Create"
		size = 100
		refs = "000c CoRecordset.Create 001a CLASS_Recordset 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 56 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_99284_0 {
	meta:
		name = "CoRecordset.CreateRemote"
		size = 128
		refs = "0011 CoRecordset.CreateRemote 0021 @WStrFromUStr 002c CLASS_Recordset 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 56 05 00 00 00 00 10 00 80 00 00 AA 00 6D 2E A4 }
	condition:
		$1
}

rule function_99289_0 {
	meta:
		name = "TASPObject.GetApplication"
		size = 31
		refs = "0009 @IntfClear 0018 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 30 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99290_0 {
	meta:
		name = "TASPObject.GetRequest"
		size = 31
		refs = "0009 @IntfClear 0018 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 30 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99291_0 {
	meta:
		name = "TASPObject.GetResponse"
		size = 31
		refs = "0009 @IntfClear 0018 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 30 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99293_0 {
	meta:
		name = "TASPObject.GetServer"
		size = 31
		refs = "0009 @IntfClear 0018 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 30 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99294_0 {
	meta:
		name = "TASPObject.GetSession"
		size = 31
		refs = "0009 @IntfClear 0018 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 30 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99295_0 {
	meta:
		name = "TASPObject.OnEndPage"
		size = 59
		refs = "000e TASPObject.OnEndPage 001c @IntfClear 002e @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 30 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_99296_0 {
	meta:
		name = "TASPObject.OnStartPage"
		size = 84
		refs = "000e TASPObject.OnStartPage 0024 @IntfCast 0036 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 30 8B 55 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 00 A0 6D 7A D9 68 A8 CF 11 83 AE 00 B0 C9 0C 2B D8 }
	condition:
		$1
}

rule function_99297_0 {
	meta:
		name = "TASPMTSObject.GetApplication"
		size = 228
		refs = "0013 TASPMTSObject.GetApplication 0021 @VarClr 002f GetObjectContext 003f @IntfCast 004d @CheckAutoResult 0058 @VarToIntf 007c @IntfClear 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8D 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C3 00 00 00 16 00 00 00 41 00 70 00 70 00 6C 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 F4 2A 37 51 E7 CA CF 11 BE 81 00 AA 00 A2 FA 25 A0 6D 7A D9 66 A8 CF 11 83 AE 10 A0 C9 0C 2B D8 }
	condition:
		$1
}

rule function_99298_0 {
	meta:
		name = "TASPMTSObject.GetRequest"
		size = 220
		refs = "0013 TASPMTSObject.GetRequest 0021 @VarClr 002f GetObjectContext 003f @IntfCast 004d @CheckAutoResult 0058 @VarToIntf 007c @IntfClear 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8D 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C3 00 00 00 0E 00 00 00 52 00 65 00 71 00 75 00 65 00 73 00 74 00 00 00 F4 2A 37 51 E7 CA CF 11 BE 81 00 AA 00 A2 FA 25 A0 6D 7A D9 61 A8 CF 11 93 AE 00 A0 C9 0C 2B D8 }
	condition:
		$1
}

rule function_99299_0 {
	meta:
		name = "TASPMTSObject.GetResponse"
		size = 224
		refs = "0013 TASPMTSObject.GetResponse 0021 @VarClr 002f GetObjectContext 003f @IntfCast 004d @CheckAutoResult 0058 @VarToIntf 007c @IntfClear 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8D 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C3 00 00 00 10 00 00 00 52 00 65 00 73 00 70 00 6F 00 6E 00 73 00 65 00 00 00 00 00 F4 2A 37 51 E7 CA CF 11 BE 81 00 AA 00 A2 FA 25 A0 6D 7A D9 64 A8 CF 11 83 BE 00 A0 C9 0C 2B D8 }
	condition:
		$1
}

rule function_99300_0 {
	meta:
		name = "TASPMTSObject.GetServer"
		size = 220
		refs = "0013 TASPMTSObject.GetServer 0021 @VarClr 002f GetObjectContext 003f @IntfCast 004d @CheckAutoResult 0058 @VarToIntf 007c @IntfClear 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8D 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C3 00 00 00 0C 00 00 00 53 00 65 00 72 00 76 00 65 00 72 00 00 00 00 00 F4 2A 37 51 E7 CA CF 11 BE 81 00 AA 00 A2 FA 25 A0 6D 7A D9 67 A8 CF 11 83 AE 01 A0 C9 0C 2B D8 }
	condition:
		$1
}

rule function_99301_0 {
	meta:
		name = "TASPMTSObject.GetSession"
		size = 220
		refs = "0013 TASPMTSObject.GetSession 0021 @VarClr 002f GetObjectContext 003f @IntfCast 004d @CheckAutoResult 0058 @VarToIntf 007c @IntfClear 009a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8D 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5B 8B E5 5D C3 00 00 00 0E 00 00 00 53 00 65 00 73 00 73 00 69 00 6F 00 6E 00 00 00 F4 2A 37 51 E7 CA CF 11 BE 81 00 AA 00 A2 FA 25 A0 6D 7A D9 65 A8 CF 11 83 AF 00 A0 C9 0C 2B D8 }
	condition:
		$1
}

rule function_99307_0 {
	meta:
		name = "InitVersionInfo"
		size = 57
		refs = "000f GetVersionEx 001c Win32Platform 0025 Win32MajorVersion 002e Win32MinorVersion"
	strings:
		$1 = { 81 C4 EC FE FF FF C7 04 24 14 01 00 00 54 E8 ?? ?? ?? ?? 85 C0 74 1B 8B 44 24 10 A3 ?? ?? ?? ?? 8B 44 24 04 A3 ?? ?? ?? ?? 8B 44 24 08 A3 ?? ?? ?? ?? 81 C4 14 01 00 00 C3 }
	condition:
		$1
}

rule function_99309_0 {
	meta:
		name = "InitComCtl"
		size = 128
		refs = "0002 ComCtl32DLL 000a InitComCtl 000f GetModuleHandle 002d GetProcAddress 0032 _InitCommonControlsEx"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 2D 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 00 63 00 6F 00 6D 00 63 00 74 00 6C 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 49 00 6E 00 69 00 74 00 43 00 6F 00 6D 00 6D 00 6F 00 6E 00 43 00 6F 00 6E 00 74 00 72 00 6F 00 6C 00 73 00 45 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_99310_0 {
	meta:
		name = "InitCommonControlsEx"
		size = 49
		refs = "0005 ComCtl32DLL 000d InitComCtl 0013 _InitCommonControlsEx"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B 53 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 F6 D8 1B C0 5B C3 }
	condition:
		$1
}

rule function_99327_0 {
	meta:
		name = "ImageList_AddIcon"
		size = 10
		refs = "0005 ImageList_ReplaceIcon"
	strings:
		$1 = { 52 6A FF 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99328_0 {
	meta:
		name = "IndexToOverlayMask"
		size = 4
	strings:
		$1 = { C1 E0 08 C3 }
	condition:
		$1
}

rule function_99349_0 {
	meta:
		name = "ImageList_RemoveAll"
		size = 9
		refs = "0004 ImageList_Remove"
	strings:
		$1 = { 6A FF 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99350_0 {
	meta:
		name = "ImageList_ExtractIcon"
		size = 10
		refs = "0005 ImageList_GetIcon"
	strings:
		$1 = { 6A 00 51 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99351_0 {
	meta:
		name = "ImageList_LoadBitmap"
		size = 29
		refs = "0014 ImageList_LoadImage"
		altNames = "ImageList_LoadBitmapA ImageList_LoadBitmapW"
	strings:
		$1 = { 55 8B EC 53 6A 00 6A 00 8B 5D 08 53 8B 5D 0C 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_99356_0 {
	meta:
		name = "ImageList_ReadEx"
		size = 204
		refs = "0012 @IntfAddRef 001a ImageList_ReadEx 0026 _ImageList_ReadEx 0048 ComCtl32DLL 005b GetProcAddress 0090 @IntfClear 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 14 8B 45 08 50 57 8B 45 FC 50 56 FF 15 ?? ?? ?? ?? 8B D8 EB 3E BB 01 40 00 80 83 3D ?? ?? ?? ?? 00 76 30 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 12 8B 45 08 50 57 8B 45 FC 50 56 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 04 00 00 00 49 00 6D 00 61 00 67 00 65 00 4C 00 69 00 73 00 74 00 5F 00 52 00 65 00 61 00 64 00 45 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_99357_0 {
	meta:
		name = "ImageList_WriteEx"
		size = 192
		refs = "0012 @IntfAddRef 001a ImageList_WriteEx 0026 _ImageList_WriteEx 0044 ComCtl32DLL 0057 GetProcAddress 0088 @IntfClear 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3D ?? ?? ?? ?? 00 74 10 8B 45 FC 50 57 56 FF 15 ?? ?? ?? ?? 8B D8 EB 3A BB 01 40 00 80 83 3D ?? ?? ?? ?? 00 76 2C 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0E 8B 45 FC 50 57 56 FF 15 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 49 00 6D 00 61 00 67 00 65 00 4C 00 69 00 73 00 74 00 5F 00 57 00 72 00 69 00 74 00 65 00 45 00 78 00 00 00 }
	condition:
		$1
}

rule function_99363_0 {
	meta:
		name = "HIMAGELIST_QueryInterface"
		size = 148
		refs = "000c _HIMAGELIST_QueryInterface 0027 ComCtl32DLL 002f HIMAGELIST_QueryInterface 003a GetProcAddress"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 83 3D ?? ?? ?? ?? 00 74 0D 55 57 56 FF 15 ?? ?? ?? ?? 8B D8 EB 37 BB 01 40 00 80 83 3D ?? ?? ?? ?? 00 76 29 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B 55 57 56 FF 15 ?? ?? ?? ?? 8B D8 8B C3 5D 5F 5E 5B C3 00 00 48 00 49 00 4D 00 41 00 47 00 45 00 4C 00 49 00 53 00 54 00 5F 00 51 00 75 00 65 00 72 00 79 00 49 00 6E 00 74 00 65 00 72 00 66 00 61 00 63 00 65 00 00 00 }
	condition:
		$1
}

rule function_99364_0 {
	meta:
		name = "Header_GetItemCount"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 00 12 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99365_0 {
	meta:
		name = "Header_InsertItem"
		size = 14
		refs = "0009 SendMessage"
		altNames = "Header_InsertItemA Header_InsertItemW"
	strings:
		$1 = { 51 52 68 0A 12 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99368_0 {
	meta:
		name = "Header_DeleteItem"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 02 12 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99369_0 {
	meta:
		name = "Header_GetItem"
		size = 26
		refs = "0012 SendMessage"
		altNames = "Header_GetItemA Header_GetItemW"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 0B 12 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99372_0 {
	meta:
		name = "Header_SetItem"
		size = 26
		refs = "0012 SendMessage"
		altNames = "Header_SetItemA Header_SetItemW"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 0C 12 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99375_0 {
	meta:
		name = "Header_Layout"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 05 12 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99376_0 {
	meta:
		name = "Header_GetItemRect"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 07 12 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99377_0 {
	meta:
		name = "Header_SetImageList"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 08 12 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99378_0 {
	meta:
		name = "Header_GetImageList"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 09 12 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99379_0 {
	meta:
		name = "Header_OrderToIndex"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 0F 12 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99380_0 {
	meta:
		name = "Header_CreateDragImage"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 10 12 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99381_0 {
	meta:
		name = "Header_GetOrderArray"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 11 12 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99382_0 {
	meta:
		name = "Header_SetOrderArray"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 12 12 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99383_0 {
	meta:
		name = "Header_SetHotDivider"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 13 12 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99384_0 {
	meta:
		name = "Header_SetUnicodeFormat"
		size = 23
		refs = "0010 SendMessage"
		altNames = "ListView_SetUnicodeFormat MonthCal_SetUnicodeFormat TabCtrl_SetUnicodeFormat TreeView_SetUnicodeFormat"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 05 20 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99385_0 {
	meta:
		name = "Header_GetUnicodeFormat"
		size = 20
		refs = "000e SendMessage"
		altNames = "ListView_GetUnicodeFormat MonthCal_GetUnicodeFormat TabCtrl_GetUnicodeFormat TreeView_GetUnicodeFormat"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 06 20 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99386_0 {
	meta:
		name = "Header_SetBitmapMargin"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 14 12 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99387_0 {
	meta:
		name = "Header_GetBitmapMargin"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 15 12 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99388_0 {
	meta:
		name = "Header_SetFilterChangeTimeout"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 16 12 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99389_0 {
	meta:
		name = "Header_EditFilter"
		size = 32
		refs = "0018 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 0F B7 C7 83 C8 00 50 56 68 17 12 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99390_0 {
	meta:
		name = "Header_ClearFilter"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 18 12 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99391_0 {
	meta:
		name = "Header_ClearAllFilters"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A FF 68 18 12 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99392_0 {
	meta:
		name = "Header_GetItemDropDownRect"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 19 12 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99393_0 {
	meta:
		name = "Header_GetOverflowRect"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 1A 12 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99394_0 {
	meta:
		name = "Header_GetFocusedItem"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 1B 12 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99395_0 {
	meta:
		name = "Header_SetFocusedItem"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 1C 12 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99413_0 {
	meta:
		name = "ListView_GetBkColor"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 00 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99414_0 {
	meta:
		name = "DateTime_GetSystemTime"
		size = 23
		refs = "0010 SendMessage"
		altNames = "ListView_SetBkColor MonthCal_GetCurSel"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 01 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99415_0 {
	meta:
		name = "ListView_GetImageList"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 02 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99416_0 {
	meta:
		name = "ListView_SetImageList"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 03 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99417_0 {
	meta:
		name = "ListView_GetItemCount"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 04 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99418_0 {
	meta:
		name = "IndexToStateImageMask"
		size = 4
	strings:
		$1 = { C1 E0 0C C3 }
	condition:
		$1
}

rule function_99419_0 {
	meta:
		name = "ListView_GetItem"
		size = 23
		refs = "0010 SendMessage"
		altNames = "ListView_GetItemW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 4B 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99420_0 {
	meta:
		name = "DateTime_SetFormatA"
		size = 23
		refs = "0010 SendMessageA"
		altNames = "ListView_GetItemA MonthCal_GetSelRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 05 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99422_0 {
	meta:
		name = "ListView_SetItem"
		size = 23
		refs = "0010 SendMessage"
		altNames = "ListView_SetItemW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 4C 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99423_0 {
	meta:
		name = "ListView_SetItemA"
		size = 23
		refs = "0010 SendMessageA"
		altNames = "MonthCal_SetSelRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 06 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99425_0 {
	meta:
		name = "ListView_InsertItem"
		size = 23
		refs = "0010 SendMessage"
		altNames = "ListView_InsertItemW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 4D 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99426_0 {
	meta:
		name = "ListView_InsertItemA"
		size = 23
		refs = "0010 SendMessageA"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 07 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99428_0 {
	meta:
		name = "ListView_DeleteItem"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 08 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99429_0 {
	meta:
		name = "ListView_DeleteAllItems"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 09 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99430_0 {
	meta:
		name = "DateTime_GetMonthCalFont"
		size = 20
		refs = "000e SendMessage"
		altNames = "ListView_GetCallbackMask"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 0A 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99431_0 {
	meta:
		name = "ListView_SetCallbackMask"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 0B 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99432_0 {
	meta:
		name = "ListView_GetNextItem"
		size = 32
		refs = "0018 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 0F B7 C7 83 C8 00 50 56 68 0C 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99433_0 {
	meta:
		name = "ListView_FindItem"
		size = 26
		refs = "0012 SendMessage"
		altNames = "ListView_FindItemW"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 53 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99434_0 {
	meta:
		name = "ListView_FindItemA"
		size = 26
		refs = "0012 SendMessageA"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 0D 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99436_0 {
	meta:
		name = "ListView_GetItemRect"
		size = 57
		refs = "001e SendMessage"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B FA 8B F0 85 DB 74 14 8B 45 08 89 03 53 57 68 0E 10 00 00 56 E8 ?? ?? ?? ?? EB 0E 6A 00 57 68 0E 10 00 00 56 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_99437_0 {
	meta:
		name = "ListView_SetItemPosition"
		size = 44
		refs = "0021 SendMessage"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 0F B7 C7 0F B7 55 08 C1 E2 10 0B C2 50 56 68 0F 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_99438_0 {
	meta:
		name = "ListView_GetItemPosition"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 10 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99439_0 {
	meta:
		name = "ListView_GetStringWidth"
		size = 23
		refs = "0010 SendMessage"
		altNames = "ListView_GetStringWidthW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 57 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99440_0 {
	meta:
		name = "ListView_GetStringWidthA"
		size = 23
		refs = "0010 SendMessageA"
		altNames = "MonthCal_GetRange"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 11 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99442_0 {
	meta:
		name = "ListView_HitTest"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 12 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99443_0 {
	meta:
		name = "ListView_HitTestEx"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A FF 68 12 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99444_0 {
	meta:
		name = "ListView_EnsureVisible"
		size = 41
		refs = "0018 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 0F B7 C7 83 C8 00 50 56 68 13 10 00 00 53 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 F6 D8 1B C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99445_0 {
	meta:
		name = "ListView_Scroll"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 14 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99446_0 {
	meta:
		name = "ListView_RedrawItems"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 15 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99447_0 {
	meta:
		name = "ListView_Arrange"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 16 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99448_0 {
	meta:
		name = "ListView_EditLabel"
		size = 23
		refs = "0010 SendMessage"
		altNames = "ListView_EditLabelW"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 76 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99449_0 {
	meta:
		name = "ListView_EditLabelA"
		size = 23
		refs = "0010 SendMessageA"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 17 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99451_0 {
	meta:
		name = "ListView_GetEditControl"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 18 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99452_0 {
	meta:
		name = "ListView_GetColumn"
		size = 26
		refs = "0012 SendMessage"
		altNames = "ListView_GetColumnW"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 5F 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99453_0 {
	meta:
		name = "ListView_GetColumnA"
		size = 26
		refs = "0012 SendMessageA"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 19 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99455_0 {
	meta:
		name = "ListView_SetColumn"
		size = 26
		refs = "0012 SendMessage"
		altNames = "ListView_SetColumnW"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 60 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99456_0 {
	meta:
		name = "ListView_SetColumnA"
		size = 26
		refs = "0012 SendMessageA"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 1A 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99458_0 {
	meta:
		name = "ListView_InsertColumn"
		size = 26
		refs = "0012 SendMessage"
		altNames = "ListView_InsertColumnW"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 61 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99459_0 {
	meta:
		name = "ListView_InsertColumnA"
		size = 26
		refs = "0012 SendMessageA"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 1B 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99461_0 {
	meta:
		name = "ListView_DeleteColumn"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 1C 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99462_0 {
	meta:
		name = "ListView_GetColumnWidth"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 1D 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99463_0 {
	meta:
		name = "ListView_SetColumnWidth"
		size = 32
		refs = "0018 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 0F B7 C7 83 C8 00 50 56 68 1E 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99464_0 {
	meta:
		name = "ListView_GetHeader"
		size = 20
		refs = "000e SendMessage"
		altNames = "MonthCal_GetCalendarBorder"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 1F 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99465_0 {
	meta:
		name = "ListView_CreateDragImage"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 21 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99466_0 {
	meta:
		name = "ListView_GetViewRect"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 22 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99467_0 {
	meta:
		name = "ListView_GetTextColor"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 23 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99468_0 {
	meta:
		name = "ListView_SetTextColor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 24 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99469_0 {
	meta:
		name = "ListView_GetTextBkColor"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 25 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99470_0 {
	meta:
		name = "ListView_SetTextBkColor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 26 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99471_0 {
	meta:
		name = "ListView_GetTopIndex"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 27 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99472_0 {
	meta:
		name = "ListView_GetCountPerPage"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 28 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99473_0 {
	meta:
		name = "ListView_GetOrigin"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 29 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99474_0 {
	meta:
		name = "ListView_Update"
		size = 32
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 2A 10 00 00 53 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 F6 D8 1B C0 5E 5B C3 }
	condition:
		$1
}

rule function_99475_0 {
	meta:
		name = "ListView_SetItemIndexState"
		size = 45
		refs = "0021 SendMessage"
		altNames = "ListView_SetItemState"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 8B F2 8B D8 8B 45 08 89 45 D4 89 4D D0 8D 45 C4 50 56 68 2B 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_99476_0 {
	meta:
		name = "ListView_GetItemState"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 2C 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99477_0 {
	meta:
		name = "ListView_GetCheckState"
		size = 30
		refs = "0013 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 68 00 F0 00 00 56 68 2C 10 00 00 53 E8 ?? ?? ?? ?? C1 E8 0C 48 5E 5B C3 }
	condition:
		$1
}

rule function_99478_0 {
	meta:
		name = "ListView_SetCheckState"
		size = 41
		refs = "0021 SendMessage"
	strings:
		$1 = { 83 C4 C4 C7 44 24 10 00 F0 00 00 83 E1 01 41 C1 E1 0C 89 4C 24 0C 8B CC 51 52 68 2B 10 00 00 50 E8 ?? ?? ?? ?? 83 C4 3C C3 }
	condition:
		$1
}

rule function_99479_0 {
	meta:
		name = "ListView_GetItemText"
		size = 51
		refs = "0027 SendMessage"
		altNames = "ListView_GetItemTextW"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 8B F2 8B D8 89 4D CC 8B 45 08 89 45 DC 8B 45 0C 89 45 D8 8D 45 C4 50 56 68 73 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_99480_0 {
	meta:
		name = "ListView_GetItemTextA"
		size = 51
		refs = "0027 SendMessageA"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 8B F2 8B D8 89 4D CC 8B 45 08 89 45 DC 8B 45 0C 89 45 D8 8D 45 C4 50 56 68 2D 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_99482_0 {
	meta:
		name = "ListView_SetItemText"
		size = 45
		refs = "0021 SendMessage"
		altNames = "ListView_SetItemTextW"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 8B F2 8B D8 89 4D CC 8B 45 08 89 45 D8 8D 45 C4 50 56 68 74 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_99483_0 {
	meta:
		name = "ListView_SetItemTextA"
		size = 45
		refs = "0021 SendMessageA"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 8B F2 8B D8 89 4D CC 8B 45 08 89 45 D8 8D 45 C4 50 56 68 2E 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_99485_0 {
	meta:
		name = "ListView_SetItemCount"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 2F 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99486_0 {
	meta:
		name = "ListView_SetItemCountEx"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 2F 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99487_0 {
	meta:
		name = "ListView_SortItems"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 30 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99488_0 {
	meta:
		name = "ListView_SetItemPosition32"
		size = 37
		refs = "001b SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 4D F8 8B 4D 08 89 4D FC 8D 4D F8 51 52 68 31 10 00 00 50 E8 ?? ?? ?? ?? 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_99489_0 {
	meta:
		name = "ListView_GetSelectedCount"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 32 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99490_0 {
	meta:
		name = "ListView_GetItemSpacing"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 33 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99491_0 {
	meta:
		name = "ListView_GetISearchString"
		size = 23
		refs = "0010 SendMessage"
		altNames = "ListView_GetISearchStringW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 75 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99492_0 {
	meta:
		name = "ListView_GetISearchStringA"
		size = 23
		refs = "0010 SendMessageA"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 34 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99494_0 {
	meta:
		name = "ListView_SetIconSpacing"
		size = 38
		refs = "001e SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 0F B7 C6 0F B7 D7 C1 E2 10 0B C2 50 6A 00 68 35 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99495_0 {
	meta:
		name = "ListView_SetExtendedListViewStyle"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 36 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99496_0 {
	meta:
		name = "ListView_SetExtendedListViewStyleEx"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 36 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99497_0 {
	meta:
		name = "ListView_GetExtendedListViewStyle"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 37 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99498_0 {
	meta:
		name = "ListView_GetSubItemRect"
		size = 45
		refs = "0022 SendMessage"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 5D 08 85 DB 74 08 89 4B 04 8B 45 0C 89 03 53 57 68 38 10 00 00 56 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_99499_0 {
	meta:
		name = "ListView_SubItemHitTest"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 39 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99500_0 {
	meta:
		name = "ListView_SubItemHitTestEx"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A FF 68 39 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99501_0 {
	meta:
		name = "ListView_SetColumnOrderArray"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 3A 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99502_0 {
	meta:
		name = "ListView_GetColumnOrderArray"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 3B 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99503_0 {
	meta:
		name = "ListView_SetHotItem"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 3C 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99504_0 {
	meta:
		name = "ListView_GetHotItem"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 3D 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99505_0 {
	meta:
		name = "ListView_SetHotCursor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 3E 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99506_0 {
	meta:
		name = "ListView_GetHotCursor"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 3F 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99507_0 {
	meta:
		name = "ListView_ApproximateViewRect"
		size = 46
		refs = "0023 SendMessage"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 0F B7 C6 0F B7 D7 C1 E2 10 0B C2 50 8B 45 08 50 68 40 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_99508_0 {
	meta:
		name = "ListView_SetWorkAreas"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 41 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99509_0 {
	meta:
		name = "ListView_GetSelectionMark"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 42 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99510_0 {
	meta:
		name = "ListView_SetSelectionMark"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 43 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99511_0 {
	meta:
		name = "ListView_GetWorkAreas"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 46 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99512_0 {
	meta:
		name = "ListView_SetHoverTime"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 47 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99513_0 {
	meta:
		name = "ListView_GetHoverTime"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 48 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99514_0 {
	meta:
		name = "ListView_GetNumberOfWorkAreas"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 49 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99515_0 {
	meta:
		name = "ListView_SetToolTips"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 4A 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99516_0 {
	meta:
		name = "ListView_GetToolTips"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 4E 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99517_0 {
	meta:
		name = "ListView_SortItemsEx"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 51 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99518_0 {
	meta:
		name = "ListView_SetSelectedColumn"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 8C 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99519_0 {
	meta:
		name = "ListView_SetView"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 8E 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99520_0 {
	meta:
		name = "ListView_GetView"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 8F 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99521_0 {
	meta:
		name = "ListView_InsertGroup"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 91 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99522_0 {
	meta:
		name = "ListView_SetGroupInfo"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 93 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99523_0 {
	meta:
		name = "ListView_GetGroupInfo"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 95 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99524_0 {
	meta:
		name = "ListView_RemoveGroup"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 96 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99525_0 {
	meta:
		name = "ListView_MoveGroup"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 97 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99526_0 {
	meta:
		name = "ListView_GetGroupCount"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 98 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99527_0 {
	meta:
		name = "ListView_GetGroupInfoByIndex"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 99 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99528_0 {
	meta:
		name = "ListView_MoveItemToGroup"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 9A 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99529_0 {
	meta:
		name = "ListView_GetGroupRect"
		size = 28
		refs = "0013 SendMessage"
	strings:
		$1 = { 55 8B EC 56 8B 75 08 89 4E 04 56 52 68 62 10 00 00 50 E8 ?? ?? ?? ?? 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_99530_0 {
	meta:
		name = "ListView_SetGroupMetrics"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 9B 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99531_0 {
	meta:
		name = "ListView_GetGroupMetrics"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 9C 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99532_0 {
	meta:
		name = "ListView_EnableGroupView"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 9D 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99533_0 {
	meta:
		name = "ListView_SortGroups"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 9E 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99534_0 {
	meta:
		name = "ListView_InsertGroupSorted"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 9F 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99535_0 {
	meta:
		name = "ListView_RemoveAllGroups"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 A0 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99536_0 {
	meta:
		name = "ListView_HasGroup"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 A1 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99537_0 {
	meta:
		name = "ListView_SetGroupState"
		size = 51
		refs = "0029 SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 A0 C7 45 A0 60 00 00 00 C7 45 A4 04 00 00 00 89 4D BC 8B 4D 08 89 4D C0 8D 4D A0 51 52 68 93 10 00 00 50 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_99538_0 {
	meta:
		name = "ListView_GetGroupState"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 5C 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99539_0 {
	meta:
		name = "ListView_GetFocusedGroup"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 5D 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99540_0 {
	meta:
		name = "ListView_SetTileViewInfo"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 A2 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99541_0 {
	meta:
		name = "ListView_GetTileViewInfo"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 A3 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99542_0 {
	meta:
		name = "ListView_SetTileInfo"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 A4 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99543_0 {
	meta:
		name = "ListView_GetTileInfo"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 A5 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99544_0 {
	meta:
		name = "ListView_SetInsertMark"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 A6 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99545_0 {
	meta:
		name = "ListView_GetInsertMark"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 A7 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99546_0 {
	meta:
		name = "ListView_InsertMarkHitTest"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 A8 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99547_0 {
	meta:
		name = "ListView_GetInsertMarkRect"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 A9 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99548_0 {
	meta:
		name = "ListView_SetInsertMarkColor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 AA 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99549_0 {
	meta:
		name = "ListView_GetInsertMarkColor"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 AB 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99550_0 {
	meta:
		name = "ListView_SetInfoTip"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 AD 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99551_0 {
	meta:
		name = "ListView_GetSelectedColumn"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 AE 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99552_0 {
	meta:
		name = "ListView_IsGroupViewEnabled"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 AF 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99553_0 {
	meta:
		name = "ListView_GetOutlineColor"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 B0 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99554_0 {
	meta:
		name = "ListView_SetOutlineColor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 B1 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99555_0 {
	meta:
		name = "ListView_CancelEditLabel"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 B3 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99556_0 {
	meta:
		name = "ListView_MapIndexToID"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 B4 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99557_0 {
	meta:
		name = "ListView_MapIDToIndex"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 B5 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99558_0 {
	meta:
		name = "ListView_IsItemVisible"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 B6 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99559_0 {
	meta:
		name = "ListView_SetGroupHeaderImageList"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 03 68 03 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99560_0 {
	meta:
		name = "ListView_GetGroupHeaderImageList"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 03 68 02 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99561_0 {
	meta:
		name = "ListView_GetEmptyText"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 CC 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99562_0 {
	meta:
		name = "ListView_GetFooterRect"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 CD 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99563_0 {
	meta:
		name = "ListView_GetFooterInfo"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 CE 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99564_0 {
	meta:
		name = "ListView_GetFooterItemRect"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 CF 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99565_0 {
	meta:
		name = "ListView_GetFooterItem"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 D0 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99566_0 {
	meta:
		name = "ListView_GetItemIndexRect"
		size = 41
		refs = "001e SendMessage"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B 5D 08 89 4B 04 8B 45 0C 89 03 53 57 68 D1 10 00 00 56 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_99568_0 {
	meta:
		name = "ListView_GetNextItemIndex"
		size = 32
		refs = "0018 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 0F B7 C7 83 C8 00 50 56 68 D3 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99569_0 {
	meta:
		name = "ListView_SetBkImage"
		size = 23
		refs = "0010 SendMessage"
		altNames = "ListView_SetBkImageW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 8A 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99570_0 {
	meta:
		name = "ListView_SetBkImageA"
		size = 23
		refs = "0010 SendMessageA"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 44 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99572_0 {
	meta:
		name = "ListView_GetBkImage"
		size = 23
		refs = "0010 SendMessage"
		altNames = "ListView_GetBkImageW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 8B 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99573_0 {
	meta:
		name = "ListView_GetBkImageA"
		size = 23
		refs = "0010 SendMessageA"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 45 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99575_0 {
	meta:
		name = "TreeView_InsertItem"
		size = 23
		refs = "0010 SendMessage"
		altNames = "TreeView_InsertItemW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 32 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99576_0 {
	meta:
		name = "TreeView_InsertItemA"
		size = 23
		refs = "0010 SendMessageA"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 00 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99578_0 {
	meta:
		name = "TreeView_DeleteItem"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 01 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99579_0 {
	meta:
		name = "TreeView_DeleteAllItems"
		size = 23
		refs = "0011 SendMessage"
	strings:
		$1 = { 53 8B D8 68 00 00 FF FF 6A 00 68 01 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99580_0 {
	meta:
		name = "TreeView_Expand"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 02 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99581_0 {
	meta:
		name = "TreeView_GetItemRect"
		size = 33
		refs = "0017 SendMessage"
	strings:
		$1 = { 55 8B EC 53 56 8B D9 8B F0 89 13 53 8B 45 08 50 68 04 11 00 00 56 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_99582_0 {
	meta:
		name = "TreeView_GetCount"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 05 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99583_0 {
	meta:
		name = "TreeView_GetIndent"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 06 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99584_0 {
	meta:
		name = "TreeView_SetIndent"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 07 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99585_0 {
	meta:
		name = "TreeView_GetImageList"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 08 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99586_0 {
	meta:
		name = "TreeView_SetImageList"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 09 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99587_0 {
	meta:
		name = "TreeView_GetNextItem"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 0A 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99588_0 {
	meta:
		name = "TreeView_GetChild"
		size = 29
		refs = "0015 SendMessage"
	strings:
		$1 = { 53 56 57 8B D8 8B F2 BF 04 00 00 00 56 57 68 0A 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99589_0 {
	meta:
		name = "TreeView_GetNextSibling"
		size = 29
		refs = "0015 SendMessage"
	strings:
		$1 = { 53 56 57 8B D8 8B F2 BF 01 00 00 00 56 57 68 0A 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99590_0 {
	meta:
		name = "TreeView_GetPrevSibling"
		size = 29
		refs = "0015 SendMessage"
	strings:
		$1 = { 53 56 57 8B D8 8B F2 BF 02 00 00 00 56 57 68 0A 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99591_0 {
	meta:
		name = "TreeView_GetParent"
		size = 29
		refs = "0015 SendMessage"
	strings:
		$1 = { 53 56 57 8B D8 8B F2 BF 03 00 00 00 56 57 68 0A 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99592_0 {
	meta:
		name = "TreeView_GetFirstVisible"
		size = 29
		refs = "0015 SendMessage"
	strings:
		$1 = { 53 56 57 8B D8 33 F6 BF 05 00 00 00 56 57 68 0A 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99593_0 {
	meta:
		name = "TreeView_GetNextVisible"
		size = 29
		refs = "0015 SendMessage"
	strings:
		$1 = { 53 56 57 8B D8 8B F2 BF 06 00 00 00 56 57 68 0A 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99594_0 {
	meta:
		name = "TreeView_GetPrevVisible"
		size = 29
		refs = "0015 SendMessage"
	strings:
		$1 = { 53 56 57 8B D8 8B F2 BF 07 00 00 00 56 57 68 0A 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99595_0 {
	meta:
		name = "TreeView_GetSelection"
		size = 29
		refs = "0015 SendMessage"
	strings:
		$1 = { 53 56 57 8B D8 33 F6 BF 09 00 00 00 56 57 68 0A 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99596_0 {
	meta:
		name = "TreeView_GetDropHilite"
		size = 29
		refs = "0015 SendMessage"
	strings:
		$1 = { 53 56 57 8B D8 33 F6 BF 08 00 00 00 56 57 68 0A 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99597_0 {
	meta:
		name = "TreeView_GetRoot"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B D8 33 F6 33 FF 56 57 68 0A 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99598_0 {
	meta:
		name = "TreeView_GetLastVisible"
		size = 29
		refs = "0015 SendMessage"
	strings:
		$1 = { 53 56 57 8B D8 33 F6 BF 0A 00 00 00 56 57 68 0A 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99599_0 {
	meta:
		name = "TreeView_GetNextSelected"
		size = 29
		refs = "0015 SendMessage"
	strings:
		$1 = { 53 56 57 8B D8 8B F2 BF 0B 00 00 00 56 57 68 0A 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99600_0 {
	meta:
		name = "TreeView_Select"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 0B 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99601_0 {
	meta:
		name = "TreeView_SelectItem"
		size = 29
		refs = "0015 SendMessage"
	strings:
		$1 = { 53 56 57 8B D8 8B F2 BF 09 00 00 00 56 57 68 0B 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99602_0 {
	meta:
		name = "TreeView_SelectDropTarget"
		size = 29
		refs = "0015 SendMessage"
	strings:
		$1 = { 53 56 57 8B D8 8B F2 BF 08 00 00 00 56 57 68 0B 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99603_0 {
	meta:
		name = "TreeView_SelectSetFirstVisible"
		size = 29
		refs = "0015 SendMessage"
	strings:
		$1 = { 53 56 57 8B D8 8B F2 BF 05 00 00 00 56 57 68 0B 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99604_0 {
	meta:
		name = "TreeView_GetItem"
		size = 23
		refs = "0010 SendMessage"
		altNames = "TreeView_GetItemW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 3E 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99605_0 {
	meta:
		name = "TreeView_GetItemA"
		size = 23
		refs = "0010 SendMessageA"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 0C 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99607_0 {
	meta:
		name = "TreeView_SetItem"
		size = 23
		refs = "0010 SendMessage"
		altNames = "TreeView_SetItemW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 3F 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99609_0 {
	meta:
		name = "TreeView_SetItemA"
		size = 23
		refs = "0010 SendMessageA"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 0D 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99613_0 {
	meta:
		name = "TreeView_EditLabel"
		size = 23
		refs = "0010 SendMessage"
		altNames = "TreeView_EditLabelW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 41 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99614_0 {
	meta:
		name = "TreeView_EditLabelA"
		size = 23
		refs = "0010 SendMessageA"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 0E 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99616_0 {
	meta:
		name = "TreeView_GetEditControl"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 0F 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99617_0 {
	meta:
		name = "TreeView_GetVisibleCount"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 10 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99618_0 {
	meta:
		name = "TreeView_HitTest"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 11 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99619_0 {
	meta:
		name = "TreeView_CreateDragImage"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 12 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99620_0 {
	meta:
		name = "TreeView_SortChildren"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 13 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99621_0 {
	meta:
		name = "TreeView_EnsureVisible"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 14 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99622_0 {
	meta:
		name = "TreeView_SortChildrenCB"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 15 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99623_0 {
	meta:
		name = "TreeView_EndEditLabelNow"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 16 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99624_0 {
	meta:
		name = "TreeView_GetISearchString"
		size = 23
		refs = "0010 SendMessage"
		altNames = "TreeView_GetISearchStringW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 40 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99625_0 {
	meta:
		name = "TreeView_GetISearchStringA"
		size = 23
		refs = "0010 SendMessageA"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 17 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99627_0 {
	meta:
		name = "TreeView_SetToolTips"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 18 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99628_0 {
	meta:
		name = "TreeView_GetToolTips"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 19 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99629_0 {
	meta:
		name = "TreeView_SetInsertMark"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 1A 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99632_0 {
	meta:
		name = "TreeView_SetItemHeight"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 1B 11 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99633_0 {
	meta:
		name = "TreeView_GetItemHeight"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 1C 11 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99634_0 {
	meta:
		name = "TreeView_SetBkColor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 1D 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99635_0 {
	meta:
		name = "TreeView_SetTextColor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 1E 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99636_0 {
	meta:
		name = "TreeView_GetBkColor"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 1F 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99637_0 {
	meta:
		name = "TreeView_GetTextColor"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 20 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99638_0 {
	meta:
		name = "TreeView_SetScrollTime"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 21 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99639_0 {
	meta:
		name = "TreeView_GetScrollTime"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 22 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99640_0 {
	meta:
		name = "TreeView_SetInsertMarkColor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 25 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99641_0 {
	meta:
		name = "TreeView_GetInsertMarkColor"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 26 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99642_0 {
	meta:
		name = "TreeView_SetItemState"
		size = 52
		refs = "0029 SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 8B D8 C7 45 D8 08 00 00 00 89 55 DC 8B 45 08 89 45 E4 89 4D E0 8D 45 D8 50 6A 00 68 3F 11 00 00 53 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_99643_0 {
	meta:
		name = "TreeView_SetCheckState"
		size = 28
		refs = "0017 TreeView_SetItemState"
	strings:
		$1 = { C1 E1 0C 75 07 B9 01 00 00 00 EB 05 B9 02 00 00 00 68 00 F0 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99644_0 {
	meta:
		name = "TreeView_GetItemState"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 27 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99645_0 {
	meta:
		name = "TreeView_GetCheckState"
		size = 30
		refs = "0013 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 68 00 F0 00 00 56 68 27 11 00 00 53 E8 ?? ?? ?? ?? C1 E8 0C 48 5E 5B C3 }
	condition:
		$1
}

rule function_99646_0 {
	meta:
		name = "TreeView_SetLineColor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 28 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99647_0 {
	meta:
		name = "TreeView_GetLineColor"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 29 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99648_0 {
	meta:
		name = "TreeView_MapAccIDToHTREEITEM"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 2A 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99649_0 {
	meta:
		name = "TreeView_MapHTREEITEMToAccID"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 2B 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99650_0 {
	meta:
		name = "TreeView_SetExtendedStyle"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 2C 11 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99651_0 {
	meta:
		name = "TreeView_GetExtendedStyle"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 2D 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99652_0 {
	meta:
		name = "TreeView_SetAutoScrollInfo"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 3B 11 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99653_0 {
	meta:
		name = "TreeView_GetSelectedCount"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 46 11 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99654_0 {
	meta:
		name = "TreeView_ShowInfoTip"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 47 11 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99655_0 {
	meta:
		name = "TreeView_GetItemPartRect"
		size = 45
		refs = "0022 SendMessage"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D8 89 55 F4 89 4D F8 8B 45 08 89 45 FC 8D 45 F4 50 6A 00 68 48 11 00 00 53 E8 ?? ?? ?? ?? 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_99656_0 {
	meta:
		name = "TabCtrl_HitTest"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 0D 13 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99658_0 {
	meta:
		name = "TabCtrl_SetItemExtra"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 0E 13 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99659_0 {
	meta:
		name = "TabCtrl_AdjustRect"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 28 13 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99660_0 {
	meta:
		name = "TabCtrl_SetItemSize"
		size = 38
		refs = "001e SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 0F B7 C6 0F B7 D7 C1 E2 10 0B C2 50 6A 00 68 29 13 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99661_0 {
	meta:
		name = "TabCtrl_RemoveImage"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 2A 13 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99662_0 {
	meta:
		name = "TabCtrl_SetPadding"
		size = 26
		refs = "0015 SendMessage"
	strings:
		$1 = { 0F B7 D2 0F B7 C9 C1 E1 10 0B D1 52 6A 00 68 2B 13 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99663_0 {
	meta:
		name = "TabCtrl_GetRowCount"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 2C 13 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99664_0 {
	meta:
		name = "TabCtrl_GetToolTips"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 2D 13 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99665_0 {
	meta:
		name = "TabCtrl_SetToolTips"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 2E 13 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99666_0 {
	meta:
		name = "TabCtrl_GetCurFocus"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 2F 13 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99667_0 {
	meta:
		name = "TabCtrl_SetCurFocus"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 30 13 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99668_0 {
	meta:
		name = "TabCtrl_SetMinTabWidth"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 31 13 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99669_0 {
	meta:
		name = "TabCtrl_DeselectAll"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 32 13 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99670_0 {
	meta:
		name = "TabCtrl_HighlightItem"
		size = 32
		refs = "0018 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 0F B7 C7 83 C8 00 50 56 68 33 13 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99671_0 {
	meta:
		name = "TabCtrl_SetExtendedStyle"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 34 13 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99672_0 {
	meta:
		name = "TabCtrl_GetExtendedStyle"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 35 13 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99675_0 {
	meta:
		name = "TabCtrl_GetItemRect"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 0A 13 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99676_0 {
	meta:
		name = "Animate_Create"
		size = 64
		refs = "0014 Animate_Create 001b CreateWindow"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 50 52 8B 45 08 50 6A 00 B8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 5D C2 04 00 00 53 00 79 00 73 00 41 00 6E 00 69 00 6D 00 61 00 74 00 65 00 33 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_99677_0 {
	meta:
		name = "Animate_Open"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 64 04 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99678_0 {
	meta:
		name = "Animate_OpenEx"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 64 04 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99679_0 {
	meta:
		name = "Animate_Play"
		size = 46
		refs = "0023 SendMessage"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 0F B7 C6 0F B7 D7 C1 E2 10 0B C2 50 8B 45 08 50 68 65 04 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_99680_0 {
	meta:
		name = "Animate_Stop"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 66 04 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99681_0 {
	meta:
		name = "Animate_Close"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B D8 33 F6 56 6A 00 68 64 04 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99682_0 {
	meta:
		name = "Animate_Seek"
		size = 10
		refs = "0005 Animate_Play"
	strings:
		$1 = { 6A 01 8B CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99684_0 {
	meta:
		name = "MonthCal_SetCurSel"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 02 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99685_0 {
	meta:
		name = "MonthCal_GetMaxSelCount"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 03 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99686_0 {
	meta:
		name = "MonthCal_SetMaxSelCount"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 04 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99689_0 {
	meta:
		name = "MonthCal_GetMonthRange"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 07 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99690_0 {
	meta:
		name = "MonthCal_SetDayState"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 08 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99691_0 {
	meta:
		name = "MonthCal_GetMinReqRect"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 09 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99692_0 {
	meta:
		name = "MonthCal_SetToday"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 0C 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99693_0 {
	meta:
		name = "MonthCal_GetToday"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 0D 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99694_0 {
	meta:
		name = "MonthCal_HitTest"
		size = 67
		refs = "000d Win32MajorVersion 001e InitVersionInfo 002c MCHITTESTINFO.SizeOf 003c SendMessage"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 3B 3C 75 27 83 3D ?? ?? ?? ?? 06 7D 1E 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 06 7D 07 E8 ?? ?? ?? ?? 89 03 53 6A 00 68 0E 10 00 00 56 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99695_0 {
	meta:
		name = "MonthCal_SetColor"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 0A 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99696_0 {
	meta:
		name = "MonthCal_GetColor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 0A 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99697_0 {
	meta:
		name = "DateTime_GetIdealSize"
		size = 23
		refs = "0010 SendMessage"
		altNames = "MonthCal_SetFirstDayOfWeek"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 0F 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99698_0 {
	meta:
		name = "MonthCal_GetFirstDayOfWeek"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 10 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99700_0 {
	meta:
		name = "Monthcal_SetRange"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 12 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99701_0 {
	meta:
		name = "MonthCal_GetMonthDelta"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 13 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99702_0 {
	meta:
		name = "MonthCal_SetMonthDelta"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 14 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99703_0 {
	meta:
		name = "MonthCal_GetMaxTodayWidth"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 15 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99706_0 {
	meta:
		name = "MonthCal_GetCurrentView"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 16 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99707_0 {
	meta:
		name = "MonthCal_GetCalendarCount"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 17 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99708_0 {
	meta:
		name = "MonthCal_GetCalendarGridInfo"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 18 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99709_0 {
	meta:
		name = "MonthCal_GetCALID"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 1B 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99710_0 {
	meta:
		name = "MonthCal_SetCALID"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 1C 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99711_0 {
	meta:
		name = "MonthCal_SizeRectToMin"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 1D 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99712_0 {
	meta:
		name = "MonthCal_SetCalendarBorder"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 1E 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99714_0 {
	meta:
		name = "MonthCal_SetCurrentView"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 20 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99715_0 {
	meta:
		name = "MCHITTESTINFO.SizeOf"
		size = 35
		refs = "0002 Win32MajorVersion 000a InitVersionInfo"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 06 7C 06 B8 3C 00 00 00 C3 B8 20 00 00 00 C3 }
	condition:
		$1
}

rule function_99717_0 {
	meta:
		name = "DateTime_SetSystemTime"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 02 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99718_0 {
	meta:
		name = "DateTime_GetRange"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 03 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99719_0 {
	meta:
		name = "DateTime_SetRange"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 04 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99720_0 {
	meta:
		name = "DateTime_SetFormat"
		size = 23
		refs = "0010 SendMessage"
		altNames = "DateTime_SetFormatW"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 32 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99723_0 {
	meta:
		name = "DateTime_SetFormat"
		size = 30
		refs = "0009 @UStrToPWChar 0017 SendMessage"
		altNames = "DateTime_SetFormatW"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 6A 00 68 32 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99724_0 {
	meta:
		name = "DateTime_SetFormatA"
		size = 30
		refs = "0009 @LStrToPChar 0017 SendMessageA"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 6A 00 68 05 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99726_0 {
	meta:
		name = "DateTime_SetMonthCalColor"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 06 10 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99727_0 {
	meta:
		name = "DateTime_GetMonthCalColor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 07 10 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99728_0 {
	meta:
		name = "DateTime_GetMonthCal"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 08 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99729_0 {
	meta:
		name = "DateTime_SetMonthCalFont"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 09 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99731_0 {
	meta:
		name = "DateTime_SetMonthCalStyle"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 0B 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99732_0 {
	meta:
		name = "DateTime_GetMonthCalStyle"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 0C 10 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99733_0 {
	meta:
		name = "DateTime_CloseMonthCal"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 0D 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99734_0 {
	meta:
		name = "DateTime_GetDateTimePickerInfo"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 0E 10 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99736_0 {
	meta:
		name = "MAKEIPRANGE"
		size = 14
	strings:
		$1 = { 0F B6 D2 C1 E2 08 0F B6 C0 03 D0 8B C2 C3 }
	condition:
		$1
}

rule function_99737_0 {
	meta:
		name = "MAKEIPADDRESS"
		size = 23
	strings:
		$1 = { 55 8B EC C1 E0 18 C1 E2 10 03 C2 C1 E1 08 03 C1 03 45 08 5D C2 04 00 }
	condition:
		$1
}

rule function_99739_0 {
	meta:
		name = "RGBA_GETRED"
		size = 9
		altNames = "RGB_GETRED SECOND_IPADDRESS"
	strings:
		$1 = { C1 E8 10 25 FF 00 00 00 C3 }
	condition:
		$1
}

rule function_99740_0 {
	meta:
		name = "D3DSHADER_VERSION_MAJOR"
		size = 9
		altNames = "GET_WHQL_MONTH GetPixelFormatSize RGBA_GETGREEN RGB_GETGREEN THIRD_IPADDRESS"
	strings:
		$1 = { C1 E8 08 25 FF 00 00 00 C3 }
	condition:
		$1
}

rule function_99741_0 {
	meta:
		name = "CI_GETFRACTION"
		size = 6
		altNames = "FOURTH_IPADDRESS GET_WHQL_DAY RGBA_GETBLUE RGB_GETBLUE"
	strings:
		$1 = { 25 FF 00 00 00 C3 }
	condition:
		$1
}

rule function_99742_0 {
	meta:
		name = "Pager_SetChild"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 01 14 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99743_0 {
	meta:
		name = "Pager_RecalcSize"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 02 14 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99744_0 {
	meta:
		name = "Pager_ForwardMouse"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 6A 00 52 68 03 14 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99745_0 {
	meta:
		name = "Pager_SetBkColor"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 04 14 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99746_0 {
	meta:
		name = "Pager_GetBkColor"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 05 14 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99747_0 {
	meta:
		name = "Pager_SetBorder"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 06 14 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99748_0 {
	meta:
		name = "Pager_GetBorder"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 07 14 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99749_0 {
	meta:
		name = "Pager_SetPos"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 08 14 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99750_0 {
	meta:
		name = "Pager_GetPos"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 09 14 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99751_0 {
	meta:
		name = "Pager_SetButtonSize"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 0A 14 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99752_0 {
	meta:
		name = "Pager_GetButtonSize"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 0B 14 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99753_0 {
	meta:
		name = "Pager_GetButtonState"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 0C 14 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99754_0 {
	meta:
		name = "Pager_GetDropTarget"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 04 20 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99755_0 {
	meta:
		name = "Button_GetIdealSize"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 01 16 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99756_0 {
	meta:
		name = "Button_SetImageList"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 02 16 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99757_0 {
	meta:
		name = "Button_GetImageList"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 03 16 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99758_0 {
	meta:
		name = "Button_SetTextMargin"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 04 16 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99759_0 {
	meta:
		name = "Button_GetTextMargin"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 05 16 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99760_0 {
	meta:
		name = "Button_SetDropDownState"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 06 16 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99761_0 {
	meta:
		name = "Button_SetSplitInfo"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 07 16 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99762_0 {
	meta:
		name = "Button_GetSplitInfo"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 08 16 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99763_0 {
	meta:
		name = "Button_SetNote"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 09 16 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99764_0 {
	meta:
		name = "Button_SetNote"
		size = 30
		refs = "0009 @UStrToPWChar 0017 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 6A 00 68 09 16 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99765_0 {
	meta:
		name = "Button_GetNote"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 68 0A 16 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99766_0 {
	meta:
		name = "Button_GetNoteLength"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 0B 16 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99767_0 {
	meta:
		name = "Button_SetElevationRequiredState"
		size = 15
		refs = "000a SendMessage"
	strings:
		$1 = { 52 6A 00 68 0C 16 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99768_0 {
	meta:
		name = "Edit_SetCueBannerText"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 01 15 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99769_0 {
	meta:
		name = "Edit_GetCueBannerText"
		size = 26
		refs = "0012 SendMessage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 68 02 15 00 00 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99770_0 {
	meta:
		name = "Edit_ShowBalloonTip"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 03 15 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99771_0 {
	meta:
		name = "Edit_HideBalloonTip"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 04 15 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_99772_0 {
	meta:
		name = "Edit_SetHilite"
		size = 14
		refs = "0009 SendMessage"
	strings:
		$1 = { 51 52 68 05 15 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99773_0 {
	meta:
		name = "Edit_GetHilite"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 06 15 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99774_0 {
	meta:
		name = "ComboBox_SetMinVisible"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 01 17 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99775_0 {
	meta:
		name = "ComboBox_GetMinVisible"
		size = 16
		refs = "000b SendMessage"
	strings:
		$1 = { 6A 00 6A 00 68 02 17 00 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_99776_0 {
	meta:
		name = "ComboBox_SetCueBannerText"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 03 17 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_99777_0 {
	meta:
		name = "ComboBox_GetCueBannerText"
		size = 29
		refs = "0015 SendMessage"
	strings:
		$1 = { 53 56 51 89 0C 24 8B F2 8B D8 8B C4 50 56 68 04 17 00 00 53 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_99793_0 {
	meta:
		name = "SetWindowSubclass"
		size = 148
		refs = "0010 _SetWindowSubclass 002f ComCtl32DLL 0037 SetWindowSubclass 0042 GetProcAddress"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 83 3D ?? ?? ?? ?? 00 74 14 8B 45 08 50 8B 45 FC 50 57 56 FF 15 ?? ?? ?? ?? 8B D8 EB 3B 33 DB 83 3D ?? ?? ?? ?? 00 76 30 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 12 8B 45 08 50 8B 45 FC 50 57 56 FF 15 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 59 5D C2 04 00 53 00 65 00 74 00 57 00 69 00 6E 00 64 00 6F 00 77 00 53 00 75 00 62 00 63 00 6C 00 61 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_99794_0 {
	meta:
		name = "GetWindowSubclass"
		size = 148
		refs = "0010 _GetWindowSubclass 002f ComCtl32DLL 0037 GetWindowSubclass 0042 GetProcAddress"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 83 3D ?? ?? ?? ?? 00 74 14 8B 45 08 50 8B 45 FC 50 57 56 FF 15 ?? ?? ?? ?? 8B D8 EB 3B 33 DB 83 3D ?? ?? ?? ?? 00 76 30 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 12 8B 45 08 50 8B 45 FC 50 57 56 FF 15 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 59 5D C2 04 00 47 00 65 00 74 00 57 00 69 00 6E 00 64 00 6F 00 77 00 53 00 75 00 62 00 63 00 6C 00 61 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_99795_0 {
	meta:
		name = "RemoveWindowSubclass"
		size = 136
		refs = "000c _RemoveWindowSubclass 0024 ComCtl32DLL 002c RemoveWindowSubclass 0037 GetProcAddress"
	strings:
		$1 = { 53 56 57 55 8B E9 8B FA 8B F0 83 3D ?? ?? ?? ?? 00 74 0D 55 57 56 FF 15 ?? ?? ?? ?? 8B D8 EB 34 33 DB 83 3D ?? ?? ?? ?? 00 76 29 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B 55 57 56 FF 15 ?? ?? ?? ?? 8B D8 8B C3 5D 5F 5E 5B C3 00 52 00 65 00 6D 00 6F 00 76 00 65 00 57 00 69 00 6E 00 64 00 6F 00 77 00 53 00 75 00 62 00 63 00 6C 00 61 00 73 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_99796_0 {
	meta:
		name = "DefSubclassProc"
		size = 144
		refs = "0010 _DefSubclassProc 002f ComCtl32DLL 0037 DefSubclassProc 0042 GetProcAddress"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 83 3D ?? ?? ?? ?? 00 74 14 8B 45 08 50 8B 45 FC 50 57 56 FF 15 ?? ?? ?? ?? 8B D8 EB 3B 33 DB 83 3D ?? ?? ?? ?? 00 76 30 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 12 8B 45 08 50 8B 45 FC 50 57 56 FF 15 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 59 5D C2 04 00 44 00 65 00 66 00 53 00 75 00 62 00 63 00 6C 00 61 00 73 00 73 00 50 00 72 00 6F 00 63 00 00 00 }
	condition:
		$1
}

rule function_99797_0 {
	meta:
		name = "LoadIconMetric"
		size = 148
		refs = "0010 _LoadIconMetric 0032 ComCtl32DLL 003a LoadIconMetric 0045 GetProcAddress"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 83 3D ?? ?? ?? ?? 00 74 14 8B 45 08 50 8B 45 FC 50 57 56 FF 15 ?? ?? ?? ?? 8B D8 EB 3E BB 01 40 00 80 83 3D ?? ?? ?? ?? 00 76 30 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 12 8B 45 08 50 8B 45 FC 50 57 56 FF 15 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 59 5D C2 04 00 00 4C 00 6F 00 61 00 64 00 49 00 63 00 6F 00 6E 00 4D 00 65 00 74 00 72 00 69 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_99798_0 {
	meta:
		name = "LoadIconWithScaleDown"
		size = 168
		refs = "0010 _LoadIconWithScaleDown 0036 ComCtl32DLL 003e LoadIconWithScaleDown 0049 GetProcAddress"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 83 3D ?? ?? ?? ?? 00 74 18 8B 45 08 50 8B 45 0C 50 8B 45 FC 50 57 56 FF 15 ?? ?? ?? ?? 8B D8 EB 42 BB 01 40 00 80 83 3D ?? ?? ?? ?? 00 76 34 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 16 8B 45 08 50 8B 45 0C 50 8B 45 FC 50 57 56 FF 15 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 59 5D C2 08 00 00 4C 00 6F 00 61 00 64 00 49 00 63 00 6F 00 6E 00 57 00 69 00 74 00 68 00 53 00 63 00 61 00 6C 00 65 00 44 00 6F 00 77 00 6E 00 00 00 }
	condition:
		$1
}

rule function_99799_0 {
	meta:
		name = "DrawShadowText"
		size = 184
		refs = "0010 _DrawShadowText 0043 ComCtl32DLL 004b DrawShadowText 0056 GetProcAddress"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 83 3D ?? ?? ?? ?? 00 74 28 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 FC 50 57 56 FF 15 ?? ?? ?? ?? 8B D8 EB 4F 33 DB 83 3D ?? ?? ?? ?? 00 76 44 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 26 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 FC 50 57 56 FF 15 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 59 5D C2 18 00 44 00 72 00 61 00 77 00 53 00 68 00 61 00 64 00 6F 00 77 00 54 00 65 00 78 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_99800_0 {
	meta:
		name = "DrawScrollArrow"
		size = 128
		refs = "000e _DrawScrollArrow 0026 ComCtl32DLL 002e DrawScrollArrow 0039 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 83 3D ?? ?? ?? ?? 00 74 0F 8B 45 08 50 57 56 53 FF 15 ?? ?? ?? ?? EB 34 83 3D ?? ?? ?? ?? 00 76 2B 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0D 8B 45 08 50 57 56 53 FF 15 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 44 00 72 00 61 00 77 00 53 00 63 00 72 00 6F 00 6C 00 6C 00 41 00 72 00 72 00 6F 00 77 00 00 00 }
	condition:
		$1
}

rule function_99801_0 {
	meta:
		name = "TaskDialogIndirect"
		size = 160
		refs = "0010 _TaskDialogIndirect 002c InitComCtl 0037 ComCtl32DLL 003f TaskDialogIndirect 004a GetProcAddress"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 83 3D ?? ?? ?? ?? 00 74 14 8B 45 08 50 8B 45 FC 50 57 56 FF 15 ?? ?? ?? ?? 8B D8 EB 43 E8 ?? ?? ?? ?? BB 01 40 00 80 83 3D ?? ?? ?? ?? 00 74 30 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 12 8B 45 08 50 8B 45 FC 50 57 56 FF 15 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 59 5D C2 04 00 54 00 61 00 73 00 6B 00 44 00 69 00 61 00 6C 00 6F 00 67 00 49 00 6E 00 64 00 69 00 72 00 65 00 63 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_99802_0 {
	meta:
		name = "TaskDialog"
		size = 176
		refs = "0010 _TaskDialog 003c InitComCtl 0047 ComCtl32DLL 004f TaskDialog 005a GetProcAddress"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 83 3D ?? ?? ?? ?? 00 74 24 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 FC 50 57 56 FF 15 ?? ?? ?? ?? 8B D8 EB 53 E8 ?? ?? ?? ?? BB 01 40 00 80 83 3D ?? ?? ?? ?? 00 74 40 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 22 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 FC 50 57 56 FF 15 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 59 5D C2 14 00 54 00 61 00 73 00 6B 00 44 00 69 00 61 00 6C 00 6F 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_99837_0 {
	meta:
		name = "IsRidType"
		size = 7
	strings:
		$1 = { 83 F8 3F 0F 96 C0 C3 }
	condition:
		$1
}

rule function_99838_0 {
	meta:
		name = "IsCodedTokenType"
		size = 16
	strings:
		$1 = { 83 F8 40 72 05 83 F8 5F 76 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_99839_0 {
	meta:
		name = "IsRidOrToken"
		size = 7
	strings:
		$1 = { 83 F8 5F 0F 96 C0 C3 }
	condition:
		$1
}

rule function_99840_0 {
	meta:
		name = "IsHeapType"
		size = 7
	strings:
		$1 = { 83 F8 65 0F 93 C0 C3 }
	condition:
		$1
}

rule function_99841_0 {
	meta:
		name = "IsFixedType"
		size = 16
	strings:
		$1 = { 83 F8 65 73 05 83 F8 5F 77 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_99842_0 {
	meta:
		name = "CorIsPrimitiveType"
		size = 18
	strings:
		$1 = { 3C 0F 72 0B 3C 18 74 07 3C 19 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_99843_0 {
	meta:
		name = "CorIsModifierElementType"
		size = 17
	strings:
		$1 = { 3C 0F 74 04 3C 10 75 03 B0 01 C3 A8 40 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99844_0 {
	meta:
		name = "CorSigUncompressedDataSize"
		size = 35
	strings:
		$1 = { 0F B6 10 F6 C2 80 75 06 B8 01 00 00 00 C3 80 E2 C0 80 FA 80 75 07 B8 02 00 00 00 EB 05 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule function_99845_0 {
	meta:
		name = "CorSigUncompressBigData"
		size = 85
	strings:
		$1 = { 8B 10 0F B6 12 8B CA 80 E1 C0 80 F9 80 75 17 80 E2 3F 0F B6 D2 C1 E2 08 FF 00 8B 08 0F B6 09 0B D1 FF 00 8B C2 C3 80 E2 1F 0F B6 D2 C1 E2 18 FF 00 8B 08 0F B6 09 C1 E1 10 0B D1 FF 00 8B 08 0F B6 09 C1 E1 08 0B D1 FF 00 8B 08 0F B6 09 0B D1 FF 00 8B C2 C3 }
	condition:
		$1
}

rule function_99846_0 {
	meta:
		name = "CorSigUncompressData"
		size = 102
	strings:
		$1 = { 8B 10 0F B6 12 F6 C2 80 75 08 0F B6 D2 FF 00 8B C2 C3 8B 10 0F B6 12 8B CA 80 E1 C0 80 F9 80 75 16 80 E2 3F 0F B6 D2 C1 E2 08 FF 00 8B 08 0F B6 09 0B D1 FF 00 EB 2C 80 E2 1F 0F B6 D2 C1 E2 18 FF 00 8B 08 0F B6 09 C1 E1 10 0B D1 FF 00 8B 08 0F B6 09 C1 E1 08 0B D1 FF 00 8B 08 0F B6 09 0B D1 FF 00 8B C2 C3 }
	condition:
		$1
}

rule function_99847_0 {
	meta:
		name = "CorSigUncompressData"
		size = 194
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 33 F6 0F B6 08 F6 C1 80 75 25 83 FA 01 73 0A BE 92 11 13 80 E9 97 00 00 00 0F B6 C1 8B 55 FC 89 02 8B 45 08 C7 00 01 00 00 00 E9 81 00 00 00 8B D9 80 E3 C0 80 FB 80 75 2B 83 FA 02 73 07 BE 92 11 13 80 EB 6B 80 E1 3F 0F B6 D1 C1 E2 08 0F B6 40 01 0B D0 8B 45 FC 89 10 8B 45 08 C7 00 02 00 00 00 EB 4C 8B D9 80 E3 E0 80 FB C0 75 3D 83 FA 04 73 07 BE 92 11 13 80 EB 26 80 E1 1F 0F B6 D1 C1 E2 18 0F B6 48 01 C1 E1 10 0B D1 0F B6 48 02 C1 E1 08 0B D1 0F B6 40 03 0B D0 8B 45 FC 89 10 8B 45 08 C7 00 04 00 00 00 EB 05 BE 92 11 13 80 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_99848_0 {
	meta:
		name = "CorSigUncompressData"
		size = 149
	strings:
		$1 = { 53 56 51 33 C9 89 0C 24 33 F6 0F B6 08 F6 C1 80 75 0E 0F B6 C1 89 02 C7 04 24 01 00 00 00 EB 5F 8B D9 80 E3 C0 80 FB 80 75 1A 80 E1 3F 0F B6 C9 C1 E1 08 0F B6 40 01 0B C8 89 0A C7 04 24 02 00 00 00 EB 3B 8B D9 80 E3 E0 80 FB C0 75 2C 80 E1 1F 0F B6 C9 C1 E1 18 0F B6 58 01 C1 E3 10 0B CB 0F B6 58 02 C1 E3 08 0B CB 0F B6 40 03 0B C8 89 0A C7 04 24 04 00 00 00 EB 05 BE 92 11 13 80 F7 C6 00 00 00 80 74 07 C7 04 24 FF FF FF FF 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_99849_0 {
	meta:
		name = "CorSigUncompressToken"
		size = 122
		refs = "006e g_tkCorEncodeToken"
	strings:
		$1 = { 8B 10 0F B6 12 F6 C2 80 75 07 0F B6 D2 FF 00 EB 51 8B 10 0F B6 12 8B CA 80 E1 C0 80 F9 80 75 16 80 E2 3F 0F B6 D2 C1 E2 08 FF 00 8B 08 0F B6 09 0B D1 FF 00 EB 2C 80 E2 1F 0F B6 D2 C1 E2 18 FF 00 8B 08 0F B6 09 C1 E1 10 0B D1 FF 00 8B 08 0F B6 09 C1 E1 08 0B D1 FF 00 8B 08 0F B6 09 0B D1 FF 00 8B C2 BA 03 00 00 00 23 D0 8B 14 95 ?? ?? ?? ?? C1 E8 02 0B D0 8B C2 C3 }
	condition:
		$1
}

rule function_99850_0 {
	meta:
		name = "CorSigUncompressToken"
		size = 187
		refs = "009b g_tkCorEncodeToken"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 14 24 33 F6 33 FF 8B C8 0F B6 11 F6 C2 80 75 0E 0F B6 D2 89 54 24 04 BE 01 00 00 00 EB 5F 8B DA 80 E3 C0 80 FB 80 75 1A 80 E2 3F 0F B6 D2 C1 E2 08 0F B6 49 01 0B D1 89 54 24 04 BE 02 00 00 00 EB 3B 8B DA 80 E3 E0 80 FB C0 75 2C 80 E2 1F 0F B6 D2 C1 E2 18 0F B6 59 01 C1 E3 10 0B D3 0F B6 59 02 C1 E3 08 0B D3 0F B6 49 03 0B D1 89 54 24 04 BE 04 00 00 00 EB 05 BF 92 11 13 80 F7 C7 00 00 00 80 74 03 83 CE FF 8B C6 8B 54 24 04 83 E2 03 8B 14 95 ?? ?? ?? ?? 8B 4C 24 04 C1 E9 02 0B D1 89 54 24 04 8B 14 24 8B 4C 24 04 89 0A 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99851_0 {
	meta:
		name = "CorSigUncompressToken"
		size = 227
		refs = "00c4 g_tkCorEncodeToken"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D FC 33 F6 0F B6 08 F6 C1 80 75 20 83 FA 01 73 0A BE 92 11 13 80 E9 8E 00 00 00 0F B6 C1 89 45 F8 8B 45 08 C7 00 01 00 00 00 EB 7D 8B D9 80 E3 C0 80 FB 80 75 29 83 FA 02 73 07 BE 92 11 13 80 EB 67 80 E1 3F 0F B6 D1 C1 E2 08 0F B6 40 01 0B D0 89 55 F8 8B 45 08 C7 00 02 00 00 00 EB 4A 8B D9 80 E3 E0 80 FB C0 75 3B 83 FA 04 73 07 BE 92 11 13 80 EB 24 80 E1 1F 0F B6 D1 C1 E2 18 0F B6 48 01 C1 E1 10 0B D1 0F B6 48 02 C1 E1 08 0B D1 0F B6 40 03 0B D0 89 55 F8 8B 45 08 C7 00 04 00 00 00 EB 05 BE 92 11 13 80 8B C6 A9 00 00 00 80 75 20 8B 55 F8 83 E2 03 8B 14 95 ?? ?? ?? ?? 8B 4D F8 C1 E9 02 0B D1 89 55 F8 8B 55 FC 8B 4D F8 89 0A 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_99852_0 {
	meta:
		name = "CorSigUncompressCallingConv"
		size = 10
		altNames = "CorSigUncompressElementType"
	strings:
		$1 = { 8B 10 0F B6 12 FF 00 8B C2 C3 }
	condition:
		$1
}

rule function_99853_0 {
	meta:
		name = "CorSigUncompressCallingConv"
		size = 18
	strings:
		$1 = { 85 D2 76 08 0F B6 00 89 01 33 C0 C3 B8 92 11 13 80 C3 }
	condition:
		$1
}

rule function_99854_0 {
	meta:
		name = "CorSigUncompressSignedInt"
		size = 215
	strings:
		$1 = { 53 56 57 83 C4 F8 89 14 24 33 F6 33 FF 8B C8 0F B6 11 F6 C2 80 75 0E 0F B6 D2 89 54 24 04 BE 01 00 00 00 EB 5F 8B DA 80 E3 C0 80 FB 80 75 1A 80 E2 3F 0F B6 D2 C1 E2 08 0F B6 49 01 0B D1 89 54 24 04 BE 02 00 00 00 EB 3B 8B DA 80 E3 E0 80 FB C0 75 2C 80 E2 1F 0F B6 D2 C1 E2 18 0F B6 59 01 C1 E3 10 0B D3 0F B6 59 02 C1 E3 08 0B D3 0F B6 49 03 0B D1 89 54 24 04 BE 04 00 00 00 EB 05 BF 92 11 13 80 F7 C7 00 00 00 80 74 03 83 CE FF 8B C6 83 F8 FF 74 3B 8B 54 24 04 83 E2 01 D1 6C 24 04 85 D2 74 23 83 F8 01 75 07 83 4C 24 04 C0 EB 17 83 F8 02 75 0A 81 4C 24 04 00 E0 FF FF EB 08 81 4C 24 04 00 00 00 F0 8B 14 24 8B 4C 24 04 89 0A 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_99856_0 {
	meta:
		name = "CorSigUncompressElementType"
		size = 13
	strings:
		$1 = { 0F B6 00 24 7F 88 02 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_99857_0 {
	meta:
		name = "CorSigCompressData"
		size = 95
	strings:
		$1 = { 83 F8 7F 77 08 88 02 B8 01 00 00 00 C3 3D FF 3F 00 00 77 15 8B C8 C1 E9 08 80 C9 80 88 0A 24 FF 88 42 01 B8 02 00 00 00 C3 3D FF FF FF 1F 77 2B 8B C8 C1 E9 18 80 C9 C0 88 0A 8B C8 C1 E9 10 80 E1 FF 88 4A 01 8B C8 C1 E9 08 80 E1 FF 88 4A 02 24 FF 88 42 03 B8 04 00 00 00 C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_99858_0 {
	meta:
		name = "CorSigCompressToken"
		size = 168
		refs = "001d g_tkCorEncodeToken"
	strings:
		$1 = { B9 FF FF FF 00 23 C8 25 00 00 00 FF 81 F9 FF FF FF 03 76 04 83 C8 FF C3 C1 E1 02 3B 05 ?? ?? ?? ?? 75 05 83 C9 01 EB 18 3B 05 ?? ?? ?? ?? 75 05 83 C9 02 EB 0B 3B 05 ?? ?? ?? ?? 75 03 83 C9 03 8B C2 83 F9 7F 77 09 88 08 B8 01 00 00 00 EB 57 81 F9 FF 3F 00 00 77 17 8B D1 C1 EA 08 80 CA 80 88 10 80 E1 FF 88 48 01 B8 02 00 00 00 EB 38 81 F9 FF FF FF 1F 77 2D 8B D1 C1 EA 18 80 CA C0 88 10 8B D1 C1 EA 10 80 E2 FF 88 50 01 8B D1 C1 EA 08 80 E2 FF 88 50 02 80 E1 FF 88 48 03 B8 04 00 00 00 EB 03 83 C8 FF C3 }
	condition:
		$1
}

rule function_99859_0 {
	meta:
		name = "CorSigCompressSignedInt"
		size = 203
	strings:
		$1 = { 56 33 C9 85 C0 7D 05 B9 01 00 00 00 BE C0 FF FF FF 23 F0 85 F6 74 05 83 FE C0 75 05 83 E0 3F EB 39 BE 00 E0 FF FF 23 F0 85 F6 74 08 81 FE 00 E0 FF FF 75 07 25 FF 1F 00 00 EB 1F BE 00 00 00 F0 23 F0 85 F6 74 08 81 FE 00 00 00 F0 75 07 25 FF FF FF 0F EB 05 83 C8 FF 5E C3 03 C0 0B C1 8B F2 8B C8 83 F9 7F 77 09 88 0E B9 01 00 00 00 EB 57 81 F9 FF 3F 00 00 77 17 8B D1 C1 EA 08 80 CA 80 88 16 80 E1 FF 88 4E 01 B9 02 00 00 00 EB 38 81 F9 FF FF FF 1F 77 2D 8B D1 C1 EA 18 80 CA C0 88 16 8B D1 C1 EA 10 80 E2 FF 88 56 01 8B D1 C1 EA 08 80 E2 FF 88 56 02 80 E1 FF 88 4E 03 B9 04 00 00 00 EB 03 83 C9 FF 8B C1 5E C3 }
	condition:
		$1
}

rule function_99860_0 {
	meta:
		name = "CorSigCompressElementType"
		size = 8
	strings:
		$1 = { 88 02 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule function_99861_0 {
	meta:
		name = "CorSigCompressPointer"
		size = 8
		altNames = "CorSigUncompressPointer"
	strings:
		$1 = { 89 02 B8 04 00 00 00 C3 }
	condition:
		$1
}

rule function_99878_0 {
	meta:
		name = "RidToToken"
		size = 5
		altNames = "TokenFromRid"
	strings:
		$1 = { 0B D0 8B C2 C3 }
	condition:
		$1
}

rule function_99882_0 {
	meta:
		name = "IsNilToken"
		size = 11
	strings:
		$1 = { 25 FF FF FF 00 85 C0 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99883_0 {
	meta:
		name = "IsAfPublicKeyToken"
		size = 6
		altNames = "IsFfContainsMetaData IsOfRead"
	strings:
		$1 = { A8 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99884_0 {
	meta:
		name = "IsOfReadWrite"
		size = 10
	strings:
		$1 = { 83 E0 01 83 F8 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99885_0 {
	meta:
		name = "IsMsGetter"
		size = 6
		altNames = "IsOfCopyMemory IsPdOut"
	strings:
		$1 = { A8 02 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99886_0 {
	meta:
		name = "IsMdUnmanagedExport"
		size = 6
		altNames = "IsMiNoInlining IsMsAddOn IsOfManifestMetadata"
	strings:
		$1 = { A8 08 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99887_0 {
	meta:
		name = "IsFdStatic"
		size = 6
		altNames = "IsMdStatic IsMiForwardRef IsMsRemoveOn IsOfReadOnly IsPdOptional"
	strings:
		$1 = { A8 10 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99888_0 {
	meta:
		name = "IsFdInitOnly"
		size = 6
		altNames = "IsMdFinal IsMiSynchronized IsMsFire IsOfTakeOwnership"
	strings:
		$1 = { A8 20 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99889_0 {
	meta:
		name = "IsOfReserved"
		size = 9
	strings:
		$1 = { A9 40 FF FF FF 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99890_0 {
	meta:
		name = "IsFdPrivateScope"
		size = 6
		altNames = "IsMdPrivateScope IsTdNotPublic"
	strings:
		$1 = { A8 07 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99891_0 {
	meta:
		name = "IsTdPublic"
		size = 10
	strings:
		$1 = { 83 E0 07 83 F8 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99892_0 {
	meta:
		name = "IsTdNested"
		size = 10
		altNames = "IsTdNestedPublic"
	strings:
		$1 = { 83 E0 07 83 F8 02 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99893_0 {
	meta:
		name = "IsTdNestedPrivate"
		size = 10
	strings:
		$1 = { 83 E0 07 83 F8 03 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99894_0 {
	meta:
		name = "IsTdNestedFamily"
		size = 10
	strings:
		$1 = { 83 E0 07 83 F8 04 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99895_0 {
	meta:
		name = "IsTdNestedAssembly"
		size = 10
	strings:
		$1 = { 83 E0 07 83 F8 05 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99896_0 {
	meta:
		name = "IsTdNestedFamANDAssem"
		size = 10
	strings:
		$1 = { 83 E0 07 83 F8 06 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99897_0 {
	meta:
		name = "IsTdNestedFamORAssem"
		size = 10
	strings:
		$1 = { 83 E0 07 83 F8 07 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99899_0 {
	meta:
		name = "IsTdAutoLayout"
		size = 6
	strings:
		$1 = { A8 18 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99900_0 {
	meta:
		name = "IsTdSequentialLayout"
		size = 10
	strings:
		$1 = { 83 E0 18 83 F8 08 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99901_0 {
	meta:
		name = "IsTdExplicitLayout"
		size = 10
	strings:
		$1 = { 83 E0 18 83 F8 10 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99902_0 {
	meta:
		name = "IsTdClass"
		size = 6
	strings:
		$1 = { A8 60 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99903_0 {
	meta:
		name = "IsTdInterface"
		size = 10
	strings:
		$1 = { 83 E0 60 83 F8 20 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99904_0 {
	meta:
		name = "IsAfPA_Specified"
		size = 6
		altNames = "IsFdNotSerialized IsMdHideBySig IsMiPreserveSig IsTdAbstract"
	strings:
		$1 = { A8 80 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99905_0 {
	meta:
		name = "IsAfRetargetable"
		size = 7
		altNames = "IsFdHasFieldRVA IsTdSealed"
	strings:
		$1 = { F6 C4 01 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99906_0 {
	meta:
		name = "IsEvRTSpecialName"
		size = 7
		altNames = "IsFdRTSpecialName IsMdAbstract IsPrRTSpecialName IsTdSpecialName"
	strings:
		$1 = { F6 C4 04 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99907_0 {
	meta:
		name = "IsFdHasFieldMarshal"
		size = 7
		altNames = "IsMdRTSpecialName IsMiInternalCall IsPdHasDefault IsPrHasDefault IsTdImport"
	strings:
		$1 = { F6 C4 10 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99908_0 {
	meta:
		name = "IsFdPinvokeImpl"
		size = 7
		altNames = "IsMdPinvokeImpl IsPdHasFieldMarshal IsTdSerializable"
	strings:
		$1 = { F6 C4 20 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99909_0 {
	meta:
		name = "IsTdAnsiClass"
		size = 9
	strings:
		$1 = { A9 00 00 03 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99910_0 {
	meta:
		name = "IsTdUnicodeClass"
		size = 14
	strings:
		$1 = { 25 00 00 03 00 3D 00 00 01 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99911_0 {
	meta:
		name = "IsTdAutoClass"
		size = 14
	strings:
		$1 = { 25 00 00 03 00 3D 00 00 02 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99912_0 {
	meta:
		name = "IsTdCustomFormatClass"
		size = 14
	strings:
		$1 = { 25 00 00 03 00 3D 00 00 03 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99913_0 {
	meta:
		name = "IsTdBeforeFieldInit"
		size = 9
	strings:
		$1 = { A9 00 00 10 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99914_0 {
	meta:
		name = "IsTdForwarder"
		size = 9
	strings:
		$1 = { A9 00 00 20 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99915_0 {
	meta:
		name = "IsMdSpecialName"
		size = 7
		altNames = "IsTdRTSpecialName"
	strings:
		$1 = { F6 C4 08 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99916_0 {
	meta:
		name = "IsTdHasSecurity"
		size = 9
	strings:
		$1 = { A9 00 00 04 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99918_0 {
	meta:
		name = "IsFdPrivate"
		size = 12
		altNames = "IsMdPrivate IsMrPublic"
	strings:
		$1 = { 66 83 E0 07 66 83 F8 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99919_0 {
	meta:
		name = "IsFdFamANDAssem"
		size = 12
		altNames = "IsMdFamANDAssem IsMrPrivate"
	strings:
		$1 = { 66 83 E0 07 66 83 F8 02 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99920_0 {
	meta:
		name = "IsFdAssembly"
		size = 12
		altNames = "IsMdAssem"
	strings:
		$1 = { 66 83 E0 07 66 83 F8 03 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99921_0 {
	meta:
		name = "IsFdFamily"
		size = 12
		altNames = "IsMdFamily"
	strings:
		$1 = { 66 83 E0 07 66 83 F8 04 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99922_0 {
	meta:
		name = "IsFdFamORAssem"
		size = 12
		altNames = "IsMdFamORAssem"
	strings:
		$1 = { 66 83 E0 07 66 83 F8 05 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99923_0 {
	meta:
		name = "IsFdPublic"
		size = 12
		altNames = "IsMdPublic"
	strings:
		$1 = { 66 83 E0 07 66 83 F8 06 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99926_0 {
	meta:
		name = "IsFdLiteral"
		size = 6
		altNames = "IsMdVirtual IsPmSupportsLastError"
	strings:
		$1 = { A8 40 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99928_0 {
	meta:
		name = "IsMdReuseSlot"
		size = 7
	strings:
		$1 = { F6 C4 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99929_0 {
	meta:
		name = "IsMdNewSlot"
		size = 12
	strings:
		$1 = { 66 25 00 01 66 3D 00 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99930_0 {
	meta:
		name = "IsEvSpecialName"
		size = 7
		altNames = "IsFdSpecialName IsMdCheckAccessOnOverride IsPrSpecialName"
	strings:
		$1 = { F6 C4 02 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99936_0 {
	meta:
		name = "IsAfDisableJITcompileOptimizer"
		size = 7
		altNames = "IsMdHasSecurity"
	strings:
		$1 = { F6 C4 40 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99937_0 {
	meta:
		name = "IsAfEnableJITcompileTracking"
		size = 7
		altNames = "IsFdHasDefault IsMdRequireSecObject"
	strings:
		$1 = { F6 C4 80 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99955_0 {
	meta:
		name = "IsAfPublicKey"
		size = 6
		altNames = "IsFfContainsNoMetaData IsMsSetter IsPdIn IsPmNoMangle"
	strings:
		$1 = { A8 01 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99967_0 {
	meta:
		name = "IsMsOther"
		size = 6
	strings:
		$1 = { A8 04 0F 95 C0 C3 }
	condition:
		$1
}

rule function_99971_0 {
	meta:
		name = "IsMiIL"
		size = 6
	strings:
		$1 = { A8 03 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99972_0 {
	meta:
		name = "IsMiNative"
		size = 12
	strings:
		$1 = { 66 83 E0 03 66 83 F8 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99973_0 {
	meta:
		name = "IsMiOPTIL"
		size = 12
	strings:
		$1 = { 66 83 E0 03 66 83 F8 02 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99974_0 {
	meta:
		name = "IsMiRuntime"
		size = 12
	strings:
		$1 = { 66 83 E0 03 66 83 F8 03 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99975_0 {
	meta:
		name = "IsMiUnmanaged"
		size = 12
	strings:
		$1 = { 66 83 E0 04 66 83 F8 04 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99976_0 {
	meta:
		name = "IsMiManaged"
		size = 6
	strings:
		$1 = { A8 04 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99983_0 {
	meta:
		name = "IsPmCharSetNotSpec"
		size = 6
	strings:
		$1 = { A8 06 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99984_0 {
	meta:
		name = "IsPmCharSetAnsi"
		size = 12
	strings:
		$1 = { 66 83 E0 06 66 83 F8 02 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99985_0 {
	meta:
		name = "IsPmCharSetUnicode"
		size = 12
	strings:
		$1 = { 66 83 E0 06 66 83 F8 04 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99986_0 {
	meta:
		name = "IsPmCharSetAuto"
		size = 12
	strings:
		$1 = { 66 83 E0 06 66 83 F8 06 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99988_0 {
	meta:
		name = "IsPmCallConvWinapi"
		size = 12
	strings:
		$1 = { 66 25 00 07 66 3D 00 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99989_0 {
	meta:
		name = "IsPmCallConvCdecl"
		size = 12
	strings:
		$1 = { 66 25 00 07 66 3D 00 02 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99990_0 {
	meta:
		name = "IsPmCallConvStdcall"
		size = 12
	strings:
		$1 = { 66 25 00 07 66 3D 00 03 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99991_0 {
	meta:
		name = "IsPmCallConvThiscall"
		size = 12
	strings:
		$1 = { 66 25 00 07 66 3D 00 04 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99992_0 {
	meta:
		name = "IsPmCallConvFastcall"
		size = 12
	strings:
		$1 = { 66 25 00 07 66 3D 00 05 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99993_0 {
	meta:
		name = "IsPmBestFitEnabled"
		size = 12
	strings:
		$1 = { 66 83 E0 30 66 83 F8 10 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99994_0 {
	meta:
		name = "IsPmBestFitDisabled"
		size = 12
	strings:
		$1 = { 66 83 E0 30 66 83 F8 20 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99995_0 {
	meta:
		name = "IsPmBestFitUseAssem"
		size = 6
	strings:
		$1 = { A8 30 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99996_0 {
	meta:
		name = "IsPmThrowOnUnmappableCharEnabled"
		size = 12
	strings:
		$1 = { 66 25 00 30 66 3D 00 10 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99997_0 {
	meta:
		name = "IsPmThrowOnUnmappableCharDisabled"
		size = 12
	strings:
		$1 = { 66 25 00 30 66 3D 00 20 0F 94 C0 C3 }
	condition:
		$1
}

rule function_99998_0 {
	meta:
		name = "IsPmThrowOnUnmappableCharUseAssem"
		size = 7
	strings:
		$1 = { F6 C4 30 0F 94 C0 C3 }
	condition:
		$1
}

rule function_100000_0 {
	meta:
		name = "IsAfPA_MSIL"
		size = 12
	strings:
		$1 = { 66 83 E0 70 66 83 F8 10 0F 94 C0 C3 }
	condition:
		$1
}

rule function_100001_0 {
	meta:
		name = "IsAfPA_x86"
		size = 12
	strings:
		$1 = { 66 83 E0 70 66 83 F8 20 0F 94 C0 C3 }
	condition:
		$1
}

rule function_100002_0 {
	meta:
		name = "IsAfPA_IA64"
		size = 12
	strings:
		$1 = { 66 83 E0 70 66 83 F8 30 0F 94 C0 C3 }
	condition:
		$1
}

rule function_100003_0 {
	meta:
		name = "IsAfPA_AMD64"
		size = 12
	strings:
		$1 = { 66 83 E0 70 66 83 F8 40 0F 94 C0 C3 }
	condition:
		$1
}

rule function_100005_0 {
	meta:
		name = "PAIndex"
		size = 11
	strings:
		$1 = { 66 83 E0 70 0F B7 C0 C1 E8 04 C3 }
	condition:
		$1
}

rule function_100006_0 {
	meta:
		name = "PAFlag"
		size = 8
	strings:
		$1 = { C1 E0 04 66 83 E0 70 C3 }
	condition:
		$1
}

rule function_100013_0 {
	meta:
		name = "IsDclActionNil"
		size = 6
	strings:
		$1 = { A8 1F 0F 94 C0 C3 }
	condition:
		$1
}

rule function_100014_0 {
	meta:
		name = "IsDclActionAnyStackModifier"
		size = 31
	strings:
		$1 = { 66 BA 1F 00 66 23 D0 66 83 FA 03 74 0F 66 83 FA 04 74 09 66 83 FA 05 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_100021_0 {
	meta:
		name = "D2D_RECT_F.&op_Implicit"
		size = 50
	strings:
		$1 = { 56 57 83 C4 F0 8B F0 8D 3C 24 A5 A5 A5 A5 DB 44 24 04 D9 5A 04 9B DB 04 24 D9 1A 9B DB 44 24 0C D9 5A 0C 9B DB 44 24 08 D9 5A 08 9B 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_100022_0 {
	meta:
		name = "D2D_RECT_F.&op_Explicit"
		size = 70
		refs = "0016 @TRUNC"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8D 3C 24 A5 A5 A5 A5 8B DA D9 44 24 04 E8 ?? ?? ?? ?? 89 43 04 D9 04 24 E8 ?? ?? ?? ?? 89 03 D9 44 24 0C E8 ?? ?? ?? ?? 89 43 0C D9 44 24 08 E8 ?? ?? ?? ?? 89 43 08 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_100026_0 {
	meta:
		name = "TD2DMatrix3x2FHelper.Determinant"
		size = 23
	strings:
		$1 = { 51 D9 00 D8 48 08 D9 40 04 D8 48 08 DE E9 D9 1C 24 9B D9 04 24 5A C3 }
	condition:
		$1
}

rule function_100027_0 {
	meta:
		name = "TD2DMatrix3x2FHelper.Rotation"
		size = 21
		refs = "000d D2D1MakeRotateMatrix"
	strings:
		$1 = { 55 8B EC 52 FF 70 04 FF 30 FF 75 08 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_100028_0 {
	meta:
		name = "TD2DMatrix3x2FHelper.Rotation"
		size = 43
		refs = "0016 D2D1PointF 0020 TD2DMatrix3x2FHelper.Rotation"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 FF 75 10 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_100029_0 {
	meta:
		name = "TD2DMatrix3x2FHelper.Scale"
		size = 46
		refs = "0016 D2D1SizeF 0022 TD2DMatrix3x2FHelper.Scale"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 8B CE 8B D3 E8 ?? ?? ?? ?? 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_100030_0 {
	meta:
		name = "TD2DMatrix3x2FHelper.Scale"
		size = 46
	strings:
		$1 = { 53 8B 18 89 19 33 DB 89 59 04 33 DB 89 59 08 8B 58 04 89 59 0C D9 00 D8 0A D8 2A D9 59 10 9B D9 40 04 D8 4A 04 D8 6A 04 D9 59 14 9B 5B C3 }
	condition:
		$1
}

rule function_100031_0 {
	meta:
		name = "TD2DMatrix3x2FHelper.SetProduct"
		size = 154
	strings:
		$1 = { 56 57 83 C4 D0 8B F2 8D 7C 24 18 51 B9 06 00 00 00 F3 A5 59 8B F0 8D 3C 24 51 B9 06 00 00 00 F3 A5 59 8D 54 24 18 8B C4 D9 00 D8 0A D9 40 04 D8 4A 08 DE C1 D9 19 9B D9 00 D8 4A 04 D9 40 04 D8 4A 0C DE C1 D9 59 04 9B D9 40 08 D8 0A D9 40 0C D8 4A 08 DE C1 D9 59 08 9B D9 40 08 D8 4A 04 D9 40 0C D8 4A 0C DE C1 D9 59 0C 9B D9 40 10 D8 0A D9 40 14 D8 4A 08 DE C1 D8 42 10 D9 59 10 9B D9 40 10 D8 4A 04 D9 40 14 D8 4A 0C DE C1 D8 42 14 D9 59 14 9B 83 C4 30 5F 5E C3 }
	condition:
		$1
}

rule function_100032_0 {
	meta:
		name = "TD2DMatrix3x2FHelper.Skew"
		size = 24
		refs = "0010 D2D1MakeSkewMatrix"
	strings:
		$1 = { 55 8B EC 52 FF 70 04 FF 30 FF 75 08 FF 75 0C E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_100033_0 {
	meta:
		name = "TD2DMatrix3x2FHelper.Translation"
		size = 40
		refs = "0013 D2D1PointF 001d TD2DMatrix3x2FHelper.Translation"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 FF 75 0C FF 75 08 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_100034_0 {
	meta:
		name = "TD2DMatrix3x2FHelper.Translation"
		size = 35
	strings:
		$1 = { C7 02 00 00 80 3F 33 C9 89 4A 04 33 C9 89 4A 08 C7 42 0C 00 00 80 3F 8B 08 89 4A 10 8B 40 04 89 42 14 C3 }
	condition:
		$1
}

rule function_100036_0 {
	meta:
		name = "D2D_POINT_2F.&op_Implicit"
		size = 31
	strings:
		$1 = { 56 57 83 C4 F8 8B F0 8D 3C 24 A5 A5 DB 04 24 D9 1A 9B DB 44 24 04 D9 5A 04 9B 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_100037_0 {
	meta:
		name = "D2D_POINT_2F.&op_Explicit"
		size = 43
		refs = "0013 @TRUNC"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F0 8D 3C 24 A5 A5 8B DA D9 04 24 E8 ?? ?? ?? ?? 89 03 D9 44 24 04 E8 ?? ?? ?? ?? 89 43 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_100038_0 {
	meta:
		name = "D2D_POINT_2F.&op_Multiply"
		size = 82
	strings:
		$1 = { 56 57 83 C4 E0 8B F2 8D 7C 24 08 51 B9 06 00 00 00 F3 A5 59 8B F0 8D 3C 24 A5 A5 D9 04 24 D8 4C 24 08 D9 44 24 04 D8 4C 24 10 DE C1 D8 44 24 18 D9 19 9B D9 04 24 D8 4C 24 0C D9 44 24 04 D8 4C 24 14 DE C1 D8 44 24 1C D9 59 04 9B 83 C4 20 5F 5E C3 }
	condition:
		$1
}

rule function_100039_0 {
	meta:
		name = "InitD2D1"
		size = 48
		refs = "0002 hD2D1 000a InitD2D1 000f LoadLibrary"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 0F 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 00 00 00 64 00 32 00 64 00 31 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_100040_0 {
	meta:
		name = "FreeD2D1"
		size = 21
		refs = "0002 hD2D1 0010 FreeLibrary"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 76 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_100042_0 {
	meta:
		name = "FreeDWRITE"
		size = 21
		refs = "0002 hDWRITE 0010 FreeLibrary"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 76 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_100041_0 {
	meta:
		name = "InitDWRITE"
		size = 52
		refs = "0002 hDWRITE 000a InitDWRITE 000f LoadLibrary"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 0F 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 00 00 00 44 00 57 00 52 00 49 00 54 00 45 00 2E 00 44 00 4C 00 4C 00 00 00 00 00 }
	condition:
		$1
}

rule function_100043_0 {
	meta:
		name = "DWriteCreateFactory"
		size = 216
		refs = "0011 _DWriteCreateFactory 001c @IntfClear 0035 hDWRITE 003d DWriteCreateFactory 0042 LoadLibrary 0065 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 8B 45 10 85 C0 74 04 33 D2 89 10 83 3D ?? ?? ?? ?? 00 74 1B 8B 45 10 E8 ?? ?? ?? ?? 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 EB 5D 83 3D ?? ?? ?? ?? 00 75 0F 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? BB 01 40 00 80 83 3D ?? ?? ?? ?? 00 76 37 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 19 8B 45 10 E8 ?? ?? ?? ?? 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 8B C3 5B 5D C2 0C 00 00 44 00 57 00 52 00 49 00 54 00 45 00 2E 00 44 00 4C 00 4C 00 00 00 00 00 44 00 57 00 72 00 69 00 74 00 65 00 43 00 72 00 65 00 61 00 74 00 65 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 00 00 }
	condition:
		$1
}

rule function_100044_0 {
	meta:
		name = "D2D1CreateFactory"
		size = 216
		refs = "0011 _D2D1CreateFactory 001c @IntfClear 0039 hD2D1 0041 D2D1CreateFactory 0046 LoadLibrary 0069 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 8B 45 14 85 C0 74 04 33 D2 89 10 83 3D ?? ?? ?? ?? 00 74 1F 8B 45 14 E8 ?? ?? ?? ?? 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 EB 61 83 3D ?? ?? ?? ?? 00 75 0F 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? BB 01 40 00 80 83 3D ?? ?? ?? ?? 00 76 3B 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1D 8B 45 14 E8 ?? ?? ?? ?? 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 8B C3 5B 5D C2 10 00 00 64 00 32 00 64 00 31 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 44 00 32 00 44 00 31 00 43 00 72 00 65 00 61 00 74 00 65 00 46 00 61 00 63 00 74 00 6F 00 72 00 79 00 00 00 }
	condition:
		$1
}

rule function_100045_0 {
	meta:
		name = "D2D1MakeRotateMatrix"
		size = 184
		refs = "0005 _D2D1MakeRotateMatrix 0023 hD2D1 002b D2D1MakeRotateMatrix 0030 LoadLibrary 004e GetProcAddress"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 74 15 8B 45 14 50 FF 75 10 FF 75 0C FF 75 08 FF 15 ?? ?? ?? ?? EB 52 83 3D ?? ?? ?? ?? 00 75 0F 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 76 31 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 13 8B 45 14 50 FF 75 10 FF 75 0C FF 75 08 FF 15 ?? ?? ?? ?? 5D C2 10 00 00 64 00 32 00 64 00 31 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 44 00 32 00 44 00 31 00 4D 00 61 00 6B 00 65 00 52 00 6F 00 74 00 61 00 74 00 65 00 4D 00 61 00 74 00 72 00 69 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_100046_0 {
	meta:
		name = "D2D1MakeSkewMatrix"
		size = 188
		refs = "0005 _D2D1MakeSkewMatrix 0026 hD2D1 002e D2D1MakeSkewMatrix 0033 LoadLibrary 0051 GetProcAddress"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 74 18 8B 45 18 50 FF 75 14 FF 75 10 FF 75 0C FF 75 08 FF 15 ?? ?? ?? ?? EB 55 83 3D ?? ?? ?? ?? 00 75 0F 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 76 34 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 16 8B 45 18 50 FF 75 14 FF 75 10 FF 75 0C FF 75 08 FF 15 ?? ?? ?? ?? 5D C2 14 00 00 00 00 64 00 32 00 64 00 31 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 44 00 32 00 44 00 31 00 4D 00 61 00 6B 00 65 00 53 00 6B 00 65 00 77 00 4D 00 61 00 74 00 72 00 69 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_100047_0 {
	meta:
		name = "D2D1IsMatrixInvertible"
		size = 180
		refs = "0006 _D2D1IsMatrixInvertible 001d hD2D1 0025 D2D1IsMatrixInvertible 002a LoadLibrary 004a GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 83 3D ?? ?? ?? ?? 00 74 0E 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 EB 4D 83 3D ?? ?? ?? ?? 00 75 0F 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 DB 83 3D ?? ?? ?? ?? 00 76 2A 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0C 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 8B C3 5B 5D C2 04 00 00 64 00 32 00 64 00 31 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 44 00 32 00 44 00 31 00 49 00 73 00 4D 00 61 00 74 00 72 00 69 00 78 00 49 00 6E 00 76 00 65 00 72 00 74 00 69 00 62 00 6C 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_100048_0 {
	meta:
		name = "D2D1InvertMatrix"
		size = 168
		refs = "0006 _D2D1InvertMatrix 001d hD2D1 0025 D2D1InvertMatrix 002a LoadLibrary 004a GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 83 3D ?? ?? ?? ?? 00 74 0E 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 EB 4D 83 3D ?? ?? ?? ?? 00 75 0F 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 DB 83 3D ?? ?? ?? ?? 00 76 2A 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0C 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B D8 8B C3 5B 5D C2 04 00 00 64 00 32 00 64 00 31 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 44 00 32 00 44 00 31 00 49 00 6E 00 76 00 65 00 72 00 74 00 4D 00 61 00 74 00 72 00 69 00 78 00 00 00 00 00 }
	condition:
		$1
}

rule function_100053_0 {
	meta:
		name = "D2D1ArcSegment"
		size = 56
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B 5D 08 8B 08 89 0B 8B 48 04 89 4B 04 8B 02 89 43 08 8B 42 04 89 43 0C 8B 45 10 89 43 10 8B 45 FC 89 43 14 8B 45 0C 89 43 18 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_100055_0 {
	meta:
		name = "D2D1BezierSegment"
		size = 52
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B 5D 08 8B 08 89 0B 8B 48 04 89 4B 04 8B 02 89 43 08 8B 42 04 89 43 0C 8B 45 FC 8B 10 89 53 10 8B 50 04 89 53 14 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_100056_0 {
	meta:
		name = "D2D1GradientStop"
		size = 25
	strings:
		$1 = { 55 8B EC 56 57 8B 4D 08 89 0A 8B F0 8D 7A 04 A5 A5 A5 A5 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule function_100057_0 {
	meta:
		name = "D2D1LinearGradientBrushProperties"
		size = 26
		altNames = "D2D1QuadraticBezierSegment"
	strings:
		$1 = { 53 8B D9 8B 08 89 0B 8B 48 04 89 4B 04 8B 02 89 43 08 8B 42 04 89 43 0C 5B C3 }
	condition:
		$1
}

rule function_100058_0 {
	meta:
		name = "D2D1StrokeStyleProperties"
		size = 44
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 89 03 89 53 04 89 4B 08 8B 45 18 89 43 0C 8B 45 14 89 43 10 8B 45 10 89 43 14 8B 45 0C 89 43 18 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_100059_0 {
	meta:
		name = "D2D1BitmapProperties"
		size = 46
		altNames = "D2D1Ellipse"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 57 8B F0 8D 7D F8 A5 A5 8B 45 F8 89 02 8B 45 FC 89 42 04 8B 45 0C 89 42 08 8B 45 08 89 42 0C 5F 5E 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_100060_0 {
	meta:
		name = "D2D1RoundedRect"
		size = 31
	strings:
		$1 = { 55 8B EC 56 57 8B F0 8B FA A5 A5 A5 A5 8B 45 0C 89 42 10 8B 45 08 89 42 14 5F 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_100062_0 {
	meta:
		name = "D2D1RadialGradientBrushProperties"
		size = 44
	strings:
		$1 = { 55 8B EC 53 8B D9 8B 08 89 0B 8B 48 04 89 4B 04 8B 02 89 43 08 8B 42 04 89 43 0C 8B 45 0C 89 43 10 8B 45 08 89 43 14 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_100064_0 {
	meta:
		name = "D2D1RenderTargetProperties"
		size = 47
		refs = "0019 D2D1PixelFormat 0026 D2D1RenderTargetProperties"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 6A 00 6A 00 6A 00 56 8D 4C 24 10 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 54 24 10 33 C9 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_100065_0 {
	meta:
		name = "D2D1RenderTargetProperties"
		size = 54
	strings:
		$1 = { 55 8B EC 51 53 89 4D FC 8B 5D 08 89 03 8B 02 89 43 04 8B 42 04 89 43 08 8B 45 14 89 43 0C 8B 45 10 89 43 10 8B 45 FC 89 43 14 8B 45 0C 89 43 18 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_100066_0 {
	meta:
		name = "D2D1HwndRenderTargetProperties"
		size = 39
		refs = "001e D2D1HwndRenderTargetProperties"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 33 C0 89 04 24 33 C0 89 44 24 04 56 33 C9 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_100067_0 {
	meta:
		name = "D2D1HwndRenderTargetProperties"
		size = 47
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F2 8D 7D F8 A5 A5 8B D9 8B 55 08 89 02 8B 45 F8 89 42 04 8B 45 FC 89 42 08 89 5A 0C 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_100068_0 {
	meta:
		name = "D2D1BitmapProperties"
		size = 44
		refs = "0019 D2D1PixelFormat 0024 D2D1BitmapProperties"
	strings:
		$1 = { 53 83 C4 F8 8B D8 68 00 00 C0 42 68 00 00 C0 42 8D 4C 24 08 33 D2 33 C0 E8 ?? ?? ?? ?? 8D 44 24 08 8B D3 E8 ?? ?? ?? ?? 59 5A 5B C3 }
	condition:
		$1
}

rule function_100070_0 {
	meta:
		name = "DWRITE_LINE_BREAKPOINT.GetByte"
		size = 16
	strings:
		$1 = { 8B CA C1 E9 08 0F B6 00 D3 E8 80 E2 FF 22 C2 C3 }
	condition:
		$1
}

rule function_100071_0 {
	meta:
		name = "DWRITE_LINE_BREAKPOINT.SetByte"
		size = 49
	strings:
		$1 = { 56 57 55 51 88 0C 24 8B FA 8B F0 8B EF C1 ED 08 8B CD 8B C7 8B D0 80 E2 FF D2 E2 F6 D2 22 16 8B CD 22 04 24 24 FF D2 E0 0A D0 88 16 5A 5D 5F 5E C3 }
	condition:
		$1
}

rule function_100072_0 {
	meta:
		name = "DWRITE_SHAPING_GLYPH_PROPERTIES.GetWord"
		size = 19
		altNames = "DWRITE_SHAPING_TEXT_PROPERTIES.GetWord"
	strings:
		$1 = { 8B CA C1 E9 10 0F B7 00 D3 E8 66 81 E2 FF FF 66 23 C2 C3 }
	condition:
		$1
}

rule function_100073_0 {
	meta:
		name = "DWRITE_SHAPING_GLYPH_PROPERTIES.SetWord"
		size = 61
		altNames = "DWRITE_SHAPING_TEXT_PROPERTIES.SetWord"
	strings:
		$1 = { 53 56 57 51 66 89 0C 24 8B F2 C1 EE 10 8B CE 8B DA 8B FB 66 81 E7 FF FF 66 D3 E7 66 F7 D7 66 23 38 8B CE 0F B7 34 24 66 23 F3 66 81 E6 FF FF 66 D3 E6 66 0B FE 66 89 38 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_100076_0 {
	meta:
		name = "DWRITE_CLUSTER_METRICS.GetWord"
		size = 20
	strings:
		$1 = { 8B CA C1 E9 10 0F B7 40 06 D3 E8 66 81 E2 FF FF 66 23 C2 C3 }
	condition:
		$1
}

rule function_100077_0 {
	meta:
		name = "DWRITE_CLUSTER_METRICS.SetWord"
		size = 63
	strings:
		$1 = { 53 56 57 51 66 89 0C 24 8B F2 C1 EE 10 8B CE 8B DA 8B FB 66 81 E7 FF FF 66 D3 E7 66 F7 D7 66 23 78 06 8B CE 0F B7 34 24 66 23 F3 66 81 E6 FF FF 66 D3 E6 66 0B FE 66 89 78 06 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_100078_0 {
	meta:
		name = "Finalization"
		size = 49
		refs = "0002 _DV_1 000a hDWRITE 0018 FreeLibrary 001e hD2D1"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 28 83 3D ?? ?? ?? ?? 00 76 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 76 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_100259_0 {
	meta:
		name = "MAKE_D3D10_HRESULT"
		size = 6
	strings:
		$1 = { 0D 00 00 79 88 C3 }
	condition:
		$1
}

rule function_100260_0 {
	meta:
		name = "MAKE_D3D10_STATUS"
		size = 6
	strings:
		$1 = { 0D 00 00 79 08 C3 }
	condition:
		$1
}

rule function_100261_0 {
	meta:
		name = "D3D10CalcSubresource"
		size = 6
	strings:
		$1 = { 0F AF D1 03 C2 C3 }
	condition:
		$1
}

rule function_100263_0 {
	meta:
		name = "D3D10_TX_VERSION"
		size = 17
		altNames = "D3DXTX_VERSION"
	strings:
		$1 = { 0F B6 C0 C1 E0 08 0D 00 00 58 54 0F B6 D2 0B C2 C3 }
	condition:
		$1
}

rule function_100264_0 {
	meta:
		name = "D3D10_BYTES_FROM_BITS"
		size = 7
	strings:
		$1 = { 83 C0 07 83 E0 07 C3 }
	condition:
		$1
}

rule function_100265_0 {
	meta:
		name = "D3D10_BUFFER_DESC.Create"
		size = 30
	strings:
		$1 = { 55 8B EC 89 10 89 48 08 8B 55 10 89 50 04 8B 55 0C 89 50 0C 8B 55 08 89 50 10 5D C2 0C 00 }
	condition:
		$1
}

rule function_100266_0 {
	meta:
		name = "D3D10_TEXTURE1D_DESC.Create"
		size = 48
	strings:
		$1 = { 55 8B EC 89 50 0C 89 08 8B 55 1C 89 50 08 8B 55 18 89 50 04 8B 55 14 89 50 14 8B 55 10 89 50 10 8B 55 0C 89 50 18 8B 55 08 89 50 1C 5D C2 18 00 }
	condition:
		$1
}

rule function_100267_0 {
	meta:
		name = "D3D10_TEXTURE2D_DESC.Create"
		size = 66
	strings:
		$1 = { 55 8B EC 89 50 10 89 08 8B 55 28 89 50 04 8B 55 24 89 50 0C 8B 55 20 89 50 08 8B 55 1C 89 50 20 8B 55 18 89 50 1C 8B 55 14 89 50 24 8B 55 10 89 50 14 8B 55 0C 89 50 18 8B 55 08 89 50 28 5D C2 24 00 }
	condition:
		$1
}

rule function_100268_0 {
	meta:
		name = "D3D10_TEXTURE3D_DESC.Create"
		size = 54
	strings:
		$1 = { 55 8B EC 89 50 10 89 08 8B 55 20 89 50 04 8B 55 1C 89 50 08 8B 55 18 89 50 0C 8B 55 14 89 50 18 8B 55 10 89 50 14 8B 55 0C 89 50 1C 8B 55 08 89 50 20 5D C2 1C 00 }
	condition:
		$1
}

rule function_100656_0 {
	meta:
		name = "MAKE_D3DHRESULT"
		size = 6
		altNames = "MAKE_DDHRESULT"
	strings:
		$1 = { 0D 00 00 76 88 C3 }
	condition:
		$1
}

rule function_100658_0 {
	meta:
		name = "D3DXToDegree"
		size = 40
		refs = "0006 D3DXToDegree"
	strings:
		$1 = { 55 8B EC 51 DB 2D ?? ?? ?? ?? D8 4D 08 D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 C4 BD 0F 1E D3 E0 2E E5 04 40 00 00 }
	condition:
		$1
}

rule function_100660_0 {
	meta:
		name = "D3DXToDegree"
		size = 40
		refs = "0008 D3DXToDegree"
	strings:
		$1 = { 55 8B EC 83 C4 F8 DB 2D ?? ?? ?? ?? DC 4D 08 DD 5D F8 9B DD 45 F8 59 59 5D C2 08 00 C4 BD 0F 1E D3 E0 2E E5 04 40 00 00 }
	condition:
		$1
}

rule function_100661_0 {
	meta:
		name = "D3DXFloat16Equal"
		size = 104
	strings:
		$1 = { 51 66 89 54 24 02 66 89 04 24 0F B7 04 24 8B C8 66 81 E1 00 7C 66 81 F9 00 7C 75 06 66 A9 FF 03 75 18 0F B7 54 24 02 8B C2 66 25 00 7C 66 3D 00 7C 75 0B 66 F7 C2 FF 03 74 04 33 C0 5A C3 0F B7 04 24 0F B7 D0 F7 C2 FF 7F FF FF 75 11 0F B7 54 24 02 F7 C2 FF 7F FF FF 75 04 B0 01 EB 08 66 3B 44 24 02 0F 94 C0 5A C3 }
	condition:
		$1
}

rule function_100662_0 {
	meta:
		name = "D3DXFloat16NotEqual"
		size = 104
	strings:
		$1 = { 51 66 89 54 24 02 66 89 04 24 0F B7 04 24 8B C8 66 81 E1 00 7C 66 81 F9 00 7C 75 06 66 A9 FF 03 75 18 0F B7 54 24 02 8B C2 66 25 00 7C 66 3D 00 7C 75 0B 66 F7 C2 FF 03 74 04 B0 01 5A C3 0F B7 04 24 0F B7 D0 F7 C2 FF 7F FF FF 75 11 0F B7 54 24 02 F7 C2 FF 7F FF FF 75 04 33 C0 EB 08 66 3B 44 24 02 0F 95 C0 5A C3 }
	condition:
		$1
}

rule function_100663_0 {
	meta:
		name = "D3DXFLOAT16.&op_Implicit"
		size = 31
		refs = "0014 D3DXFloat16To32Array"
		altNames = "D3DXFloat16ToFloat"
	strings:
		$1 = { 83 C4 F8 66 89 04 24 6A 01 8D 44 24 04 50 8D 44 24 0C 50 E8 ?? ?? ?? ?? D9 44 24 04 59 5A C3 }
	condition:
		$1
}

rule function_100664_0 {
	meta:
		name = "D3DXFLOAT16.&op_Equality"
		size = 129
	strings:
		$1 = { 83 C4 F8 66 89 54 24 02 66 89 04 24 0F B7 04 24 66 89 44 24 04 0F B7 44 24 02 66 89 44 24 06 0F B7 44 24 04 8B C8 66 81 E1 00 7C 66 81 F9 00 7C 75 06 66 A9 FF 03 75 18 0F B7 54 24 06 8B C2 66 25 00 7C 66 3D 00 7C 75 0C 66 F7 C2 FF 03 74 05 33 C0 59 5A C3 0F B7 44 24 04 0F B7 D0 F7 C2 FF 7F FF FF 75 11 0F B7 54 24 06 F7 C2 FF 7F FF FF 75 04 B0 01 EB 08 66 3B 44 24 06 0F 94 C0 59 5A C3 }
	condition:
		$1
}

rule function_100665_0 {
	meta:
		name = "D3DXFLOAT16.&op_Inequality"
		size = 129
	strings:
		$1 = { 83 C4 F8 66 89 54 24 02 66 89 04 24 0F B7 04 24 66 89 44 24 04 0F B7 44 24 02 66 89 44 24 06 0F B7 44 24 04 8B C8 66 81 E1 00 7C 66 81 F9 00 7C 75 06 66 A9 FF 03 75 18 0F B7 54 24 06 8B C2 66 25 00 7C 66 3D 00 7C 75 0C 66 F7 C2 FF 03 74 05 B0 01 59 5A C3 0F B7 44 24 04 0F B7 D0 F7 C2 FF 7F FF FF 75 11 0F B7 54 24 06 F7 C2 FF 7F FF FF 75 04 33 C0 EB 08 66 3B 44 24 06 0F 95 C0 59 5A C3 }
	condition:
		$1
}

rule function_100666_0 {
	meta:
		name = "D3DXFLOAT16.&op_Implicit"
		size = 28
		refs = "000f D3DXFloat32To16Array"
	strings:
		$1 = { 55 8B EC 51 6A 01 8D 45 08 50 8D 45 FE 50 E8 ?? ?? ?? ?? 0F B7 45 FE 59 5D C2 04 00 }
	condition:
		$1
}

rule function_100668_0 {
	meta:
		name = "D3DXFLOAT16.Zero"
		size = 13
	strings:
		$1 = { 51 66 C7 04 24 00 00 0F B7 04 24 5A C3 }
	condition:
		$1
}

rule function_100672_0 {
	meta:
		name = "D3DXVECTOR2.&op_Inequality"
		size = 30
	strings:
		$1 = { 8B C8 D9 01 D8 1A 9B DF E0 9E 75 0F D9 41 04 D8 5A 04 9B DF E0 9E 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_100673_0 {
	meta:
		name = "D3DXVECTOR2.Zero"
		size = 10
		altNames = "timerclear"
	strings:
		$1 = { 33 D2 89 10 33 D2 89 50 04 C3 }
	condition:
		$1
}

rule function_100674_0 {
	meta:
		name = "D3DXVECTOR2_16F.&op_Equality"
		size = 249
		altNames = "D3DXVector2_16fEqual"
	strings:
		$1 = { 83 C4 F0 89 54 24 04 89 04 24 0F B7 04 24 66 89 44 24 08 0F B7 44 24 04 66 89 44 24 0A 0F B7 44 24 08 8B C8 66 81 E1 00 7C 66 81 F9 00 7C 75 06 66 A9 FF 03 75 18 0F B7 54 24 0A 8B C2 66 25 00 7C 66 3D 00 7C 75 0B 66 F7 C2 FF 03 74 04 33 C0 EB 29 0F B7 44 24 08 0F B7 D0 F7 C2 FF 7F FF FF 75 11 0F B7 54 24 0A F7 C2 FF 7F FF FF 75 04 B0 01 EB 08 66 3B 44 24 0A 0F 94 C0 84 C0 74 74 0F B7 44 24 02 66 89 44 24 0C 0F B7 44 24 06 66 89 44 24 0E 0F B7 44 24 0C 8B C8 66 81 E1 00 7C 66 81 F9 00 7C 75 06 66 A9 FF 03 75 18 0F B7 54 24 0E 8B C2 66 25 00 7C 66 3D 00 7C 75 0B 66 F7 C2 FF 03 74 04 33 C0 EB 2D 0F B7 44 24 0C 0F B7 D0 F7 C2 FF 7F FF FF 75 11 0F B7 54 24 0E F7 C2 FF 7F FF FF 75 04 B0 01 EB 0C 66 3B 44 24 0E 0F 94 C0 EB 02 33 C0 83 C4 10 C3 }
	condition:
		$1
}

rule function_100675_0 {
	meta:
		name = "D3DXVector2_16fNotEqual"
		size = 249
	strings:
		$1 = { 83 C4 F0 89 54 24 04 89 04 24 0F B7 04 24 66 89 44 24 08 0F B7 44 24 04 66 89 44 24 0A 0F B7 44 24 08 8B C8 66 81 E1 00 7C 66 81 F9 00 7C 75 06 66 A9 FF 03 75 18 0F B7 54 24 0A 8B C2 66 25 00 7C 66 3D 00 7C 75 0B 66 F7 C2 FF 03 74 04 B0 01 EB 29 0F B7 44 24 08 0F B7 D0 F7 C2 FF 7F FF FF 75 11 0F B7 54 24 0A F7 C2 FF 7F FF FF 75 04 33 C0 EB 08 66 3B 44 24 0A 0F 95 C0 84 C0 74 04 B0 01 EB 72 0F B7 44 24 02 66 89 44 24 0C 0F B7 44 24 06 66 89 44 24 0E 0F B7 44 24 0C 8B C8 66 81 E1 00 7C 66 81 F9 00 7C 75 06 66 A9 FF 03 75 18 0F B7 54 24 0E 8B C2 66 25 00 7C 66 3D 00 7C 75 0B 66 F7 C2 FF 03 74 04 B0 01 EB 29 0F B7 44 24 0C 0F B7 D0 F7 C2 FF 7F FF FF 75 11 0F B7 54 24 0E F7 C2 FF 7F FF FF 75 04 33 C0 EB 08 66 3B 44 24 0E 0F 95 C0 83 C4 10 C3 }
	condition:
		$1
}

rule function_100676_0 {
	meta:
		name = "D3DXVECTOR2_16F.&op_Implicit"
		size = 19
		refs = "000a D3DXFloat32To16Array"
		altNames = "D3DXVector2_16fFromVector2"
	strings:
		$1 = { 51 6A 02 50 8D 44 24 08 50 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_100677_0 {
	meta:
		name = "D3DXVECTOR2_16F.&op_Implicit"
		size = 19
		refs = "000d D3DXFloat16To32Array"
		altNames = "D3DXVector2FromVector2_16f"
	strings:
		$1 = { 51 89 04 24 6A 02 8D 44 24 04 50 52 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_100678_0 {
	meta:
		name = "D3DXVECTOR2_16F.Create"
		size = 38
	strings:
		$1 = { 83 C4 F8 66 89 54 24 02 66 89 04 24 0F B7 04 24 66 89 44 24 04 0F B7 44 24 02 66 89 44 24 06 8B 44 24 04 59 5A C3 }
	condition:
		$1
}

rule function_100679_0 {
	meta:
		name = "D3DXVECTOR2_16F.Create"
		size = 73
		refs = "0017 D3DXFloat32To16Array"
	strings:
		$1 = { 55 8B EC 83 C4 EC 8B 45 0C 89 45 F8 6A 01 8D 45 F8 50 8D 45 F6 50 E8 ?? ?? ?? ?? 0F B7 45 F6 66 89 45 FC 8B 45 08 89 45 F0 6A 01 8D 45 F0 50 8D 45 EE 50 E8 ?? ?? ?? ?? 0F B7 45 EE 66 89 45 FE 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_100681_0 {
	meta:
		name = "D3DXVECTOR2_16F.&op_Inequality"
		size = 249
	strings:
		$1 = { 83 C4 F0 89 54 24 04 89 04 24 0F B7 04 24 66 89 44 24 08 0F B7 44 24 04 66 89 44 24 0A 0F B7 44 24 08 8B C8 66 81 E1 00 7C 66 81 F9 00 7C 75 06 66 A9 FF 03 75 18 0F B7 54 24 0A 8B C2 66 25 00 7C 66 3D 00 7C 75 0B 66 F7 C2 FF 03 74 04 B0 01 EB 29 0F B7 44 24 08 0F B7 D0 F7 C2 FF 7F FF FF 75 11 0F B7 54 24 0A F7 C2 FF 7F FF FF 75 04 33 C0 EB 08 66 3B 44 24 0A 0F 95 C0 84 C0 74 74 0F B7 44 24 02 66 89 44 24 0C 0F B7 44 24 06 66 89 44 24 0E 0F B7 44 24 0C 8B C8 66 81 E1 00 7C 66 81 F9 00 7C 75 06 66 A9 FF 03 75 18 0F B7 54 24 0E 8B C2 66 25 00 7C 66 3D 00 7C 75 0B 66 F7 C2 FF 03 74 04 B0 01 EB 2D 0F B7 44 24 0C 0F B7 D0 F7 C2 FF 7F FF FF 75 11 0F B7 54 24 0E F7 C2 FF 7F FF FF 75 04 33 C0 EB 0C 66 3B 44 24 0E 0F 95 C0 EB 02 33 C0 83 C4 10 C3 }
	condition:
		$1
}

rule function_100684_0 {
	meta:
		name = "D3DXVECTOR2_16F.Zero"
		size = 14
		refs = "0002 D3DXVector2_16fZero"
	strings:
		$1 = { 51 A1 ?? ?? ?? ?? 89 04 24 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_100685_0 {
	meta:
		name = "D3DXVector3Equal"
		size = 42
		altNames = "_D3DVECTOR.&op_Equality"
	strings:
		$1 = { 8B C8 D9 01 D8 1A 9B DF E0 9E 75 18 D9 41 04 D8 5A 04 9B DF E0 9E 75 0C D9 41 08 D8 5A 08 9B DF E0 9E 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_100686_0 {
	meta:
		name = "D3DXVECTOR3_16F.&op_Equality"
		size = 364
		altNames = "D3DXVector3_16fEqual"
	strings:
		$1 = { 53 56 83 C4 F4 0F B7 08 66 89 0C 24 0F B7 0A 66 89 4C 24 02 0F B7 0C 24 8B D9 66 81 E3 00 7C 66 81 FB 00 7C 75 07 66 F7 C1 FF 03 75 1A 0F B7 74 24 02 8B CE 66 81 E1 00 7C 66 81 F9 00 7C 75 0B 66 F7 C6 FF 03 74 04 33 C9 EB 28 0F B7 0C 24 0F B7 D9 F7 C3 FF 7F FF FF 75 11 0F B7 5C 24 02 F7 C3 FF 7F FF FF 75 04 B1 01 EB 08 66 3B 4C 24 02 0F 94 C1 84 C9 74 75 0F B7 48 02 66 89 4C 24 04 0F B7 4A 02 66 89 4C 24 06 0F B7 4C 24 04 8B D9 66 81 E3 00 7C 66 81 FB 00 7C 75 07 66 F7 C1 FF 03 75 1A 0F B7 74 24 06 8B CE 66 81 E1 00 7C 66 81 F9 00 7C 75 0B 66 F7 C6 FF 03 74 04 33 C9 EB 2D 0F B7 4C 24 04 0F B7 D9 F7 C3 FF 7F FF FF 75 11 0F B7 5C 24 06 F7 C3 FF 7F FF FF 75 04 B1 01 EB 0C 66 3B 4C 24 06 0F 94 C1 EB 02 33 C9 84 C9 74 72 0F B7 40 04 66 89 44 24 08 0F B7 42 04 66 89 44 24 0A 0F B7 44 24 08 8B C8 66 81 E1 00 7C 66 81 F9 00 7C 75 06 66 A9 FF 03 75 18 0F B7 54 24 0A 8B C2 66 25 00 7C 66 3D 00 7C 75 0B 66 F7 C2 FF 03 74 04 33 C0 EB 2D 0F B7 44 24 08 0F B7 D0 F7 C2 FF 7F FF FF 75 11 0F B7 54 24 0A F7 C2 FF 7F FF FF 75 04 B0 01 EB 0C 66 3B 44 24 0A 0F 94 C0 EB 02 33 C0 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_100687_0 {
	meta:
		name = "D3DXVECTOR3_16F.&op_Inequality"
		size = 364
		altNames = "D3DXVector3_16fNotEqual"
	strings:
		$1 = { 53 56 83 C4 F4 0F B7 08 66 89 0C 24 0F B7 0A 66 89 4C 24 02 0F B7 0C 24 8B D9 66 81 E3 00 7C 66 81 FB 00 7C 75 07 66 F7 C1 FF 03 75 1A 0F B7 74 24 02 8B CE 66 81 E1 00 7C 66 81 F9 00 7C 75 0B 66 F7 C6 FF 03 74 04 B1 01 EB 28 0F B7 0C 24 0F B7 D9 F7 C3 FF 7F FF FF 75 11 0F B7 5C 24 02 F7 C3 FF 7F FF FF 75 04 33 C9 EB 08 66 3B 4C 24 02 0F 95 C1 84 C9 74 04 B1 01 EB 73 0F B7 48 02 66 89 4C 24 04 0F B7 4A 02 66 89 4C 24 06 0F B7 4C 24 04 8B D9 66 81 E3 00 7C 66 81 FB 00 7C 75 07 66 F7 C1 FF 03 75 1A 0F B7 74 24 06 8B CE 66 81 E1 00 7C 66 81 F9 00 7C 75 0B 66 F7 C6 FF 03 74 04 B1 01 EB 29 0F B7 4C 24 04 0F B7 D9 F7 C3 FF 7F FF FF 75 11 0F B7 5C 24 06 F7 C3 FF 7F FF FF 75 04 33 C9 EB 08 66 3B 4C 24 06 0F 95 C1 84 C9 74 04 B0 01 EB 70 0F B7 40 04 66 89 44 24 08 0F B7 42 04 66 89 44 24 0A 0F B7 44 24 08 8B C8 66 81 E1 00 7C 66 81 F9 00 7C 75 06 66 A9 FF 03 75 18 0F B7 54 24 0A 8B C2 66 25 00 7C 66 3D 00 7C 75 0B 66 F7 C2 FF 03 74 04 B0 01 EB 29 0F B7 44 24 08 0F B7 D0 F7 C2 FF 7F FF FF 75 11 0F B7 54 24 0A F7 C2 FF 7F FF FF 75 04 33 C0 EB 08 66 3B 44 24 0A 0F 95 C0 83 C4 0C 5E 5B C3 }
	condition:
		$1
}

rule function_100688_0 {
	meta:
		name = "D3DXVECTOR3_16F.&op_Implicit"
		size = 10
		refs = "0005 D3DXFloat32To16Array"
		altNames = "D3DXVector3_16fFromVector3"
	strings:
		$1 = { 6A 03 50 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_100695_0 {
	meta:
		name = "D3DXVECTOR3_16F.&op_Implicit"
		size = 10
		refs = "0005 D3DXFloat16To32Array"
	strings:
		$1 = { 6A 03 50 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_100689_0 {
	meta:
		name = "D3DXVector3FromVector3_16f"
		size = 10
		refs = "0005 D3DXFloat16To32Array"
	strings:
		$1 = { 6A 03 50 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_100690_0 {
	meta:
		name = "D3DXVECTOR3_16F.Create"
		size = 50
	strings:
		$1 = { 55 8B EC 83 C4 F8 66 89 4D FA 66 89 55 FC 66 89 45 FE 8B 45 08 0F B7 55 FE 66 89 10 0F B7 55 FC 66 89 50 02 0F B7 55 FA 66 89 50 04 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_100691_0 {
	meta:
		name = "D3DXVECTOR3_16F.Create"
		size = 102
		refs = "001a D3DXFloat32To16Array"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 8B D8 8B 45 10 89 45 FC 6A 01 8D 45 FC 50 8D 45 FA 50 E8 ?? ?? ?? ?? 0F B7 45 FA 66 89 03 8B 45 0C 89 45 F4 6A 01 8D 45 F4 50 8D 45 F2 50 E8 ?? ?? ?? ?? 0F B7 45 F2 66 89 43 02 8B 45 08 89 45 EC 6A 01 8D 45 EC 50 8D 45 EA 50 E8 ?? ?? ?? ?? 0F B7 45 EA 66 89 43 04 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_100696_0 {
	meta:
		name = "D3DXVECTOR3_16F.Zero"
		size = 20
		refs = "0002 D3DXVector3_16fZero"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 89 10 66 8B 15 ?? ?? ?? ?? 66 89 50 04 C3 }
	condition:
		$1
}

rule function_100697_0 {
	meta:
		name = "D3DXColorEqual"
		size = 54
		altNames = "D3DXPLANE.&op_Equality D3DXPlaneEqual D3DXQUATERNION.&op_Equality D3DXQuaternionEqual D3DXVECTOR4.&op_Equality D3DXVector4Equal _D3DCOLORVALUE.&op_Equality"
	strings:
		$1 = { 8B C8 D9 01 D8 1A 9B DF E0 9E 75 24 D9 41 04 D8 5A 04 9B DF E0 9E 75 18 D9 41 08 D8 5A 08 9B DF E0 9E 75 0C D9 41 0C D8 5A 0C 9B DF E0 9E 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_100698_0 {
	meta:
		name = "D3DXVECTOR4.Create"
		size = 29
	strings:
		$1 = { 55 8B EC 8B 08 89 0A 8B 48 04 89 4A 04 8B 40 08 89 42 08 8B 45 08 89 42 0C 5D C2 04 00 }
	condition:
		$1
}

rule function_100701_0 {
	meta:
		name = "D3DXVECTOR4.&op_Inequality"
		size = 54
	strings:
		$1 = { 8B C8 D9 01 D8 1A 9B DF E0 9E 75 27 D9 41 04 D8 5A 04 9B DF E0 9E 75 1B D9 41 08 D8 5A 08 9B DF E0 9E 75 0F D9 41 0C D8 5A 0C 9B DF E0 9E 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_100702_0 {
	meta:
		name = "D3DXVECTOR4.Zero"
		size = 16
		refs = "0005 D3DXVector4Zero"
	strings:
		$1 = { 56 57 8B F8 BE ?? ?? ?? ?? A5 A5 A5 A5 5F 5E C3 }
	condition:
		$1
}

rule function_100703_0 {
	meta:
		name = "D3DXVECTOR4_16F.&op_Equality"
		size = 487
		altNames = "D3DXVector4_16fEqual"
	strings:
		$1 = { 53 56 83 C4 F0 0F B7 08 66 89 0C 24 0F B7 0A 66 89 4C 24 02 0F B7 0C 24 8B D9 66 81 E3 00 7C 66 81 FB 00 7C 75 07 66 F7 C1 FF 03 75 1A 0F B7 74 24 02 8B CE 66 81 E1 00 7C 66 81 F9 00 7C 75 0B 66 F7 C6 FF 03 74 04 33 C9 EB 28 0F B7 0C 24 0F B7 D9 F7 C3 FF 7F FF FF 75 11 0F B7 5C 24 02 F7 C3 FF 7F FF FF 75 04 B1 01 EB 08 66 3B 4C 24 02 0F 94 C1 84 C9 74 75 0F B7 48 02 66 89 4C 24 04 0F B7 4A 02 66 89 4C 24 06 0F B7 4C 24 04 8B D9 66 81 E3 00 7C 66 81 FB 00 7C 75 07 66 F7 C1 FF 03 75 1A 0F B7 74 24 06 8B CE 66 81 E1 00 7C 66 81 F9 00 7C 75 0B 66 F7 C6 FF 03 74 04 33 C9 EB 2D 0F B7 4C 24 04 0F B7 D9 F7 C3 FF 7F FF FF 75 11 0F B7 5C 24 06 F7 C3 FF 7F FF FF 75 04 B1 01 EB 0C 66 3B 4C 24 06 0F 94 C1 EB 02 33 C9 84 C9 74 75 0F B7 48 04 66 89 4C 24 08 0F B7 4A 04 66 89 4C 24 0A 0F B7 4C 24 08 8B D9 66 81 E3 00 7C 66 81 FB 00 7C 75 07 66 F7 C1 FF 03 75 1A 0F B7 74 24 0A 8B CE 66 81 E1 00 7C 66 81 F9 00 7C 75 0B 66 F7 C6 FF 03 74 04 33 C9 EB 2D 0F B7 4C 24 08 0F B7 D9 F7 C3 FF 7F FF FF 75 11 0F B7 5C 24 0A F7 C3 FF 7F FF FF 75 04 B1 01 EB 0C 66 3B 4C 24 0A 0F 94 C1 EB 02 33 C9 84 C9 74 72 0F B7 40 06 66 89 44 24 0C 0F B7 42 06 66 89 44 24 0E 0F B7 44 24 0C 8B C8 66 81 E1 00 7C 66 81 F9 00 7C 75 06 66 A9 FF 03 75 18 0F B7 54 24 0E 8B C2 66 25 00 7C 66 3D 00 7C 75 0B 66 F7 C2 FF 03 74 04 33 C0 EB 2D 0F B7 44 24 0C 0F B7 D0 F7 C2 FF 7F FF FF 75 11 0F B7 54 24 0E F7 C2 FF 7F FF FF 75 04 B0 01 EB 0C 66 3B 44 24 0E 0F 94 C0 EB 02 33 C0 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_100704_0 {
	meta:
		name = "D3DXVECTOR4_16F.&op_Inequality"
		size = 487
		altNames = "D3DXVector4_16fNotEqual"
	strings:
		$1 = { 53 56 83 C4 F0 0F B7 08 66 89 0C 24 0F B7 0A 66 89 4C 24 02 0F B7 0C 24 8B D9 66 81 E3 00 7C 66 81 FB 00 7C 75 07 66 F7 C1 FF 03 75 1A 0F B7 74 24 02 8B CE 66 81 E1 00 7C 66 81 F9 00 7C 75 0B 66 F7 C6 FF 03 74 04 B1 01 EB 28 0F B7 0C 24 0F B7 D9 F7 C3 FF 7F FF FF 75 11 0F B7 5C 24 02 F7 C3 FF 7F FF FF 75 04 33 C9 EB 08 66 3B 4C 24 02 0F 95 C1 84 C9 74 04 B1 01 EB 73 0F B7 48 02 66 89 4C 24 04 0F B7 4A 02 66 89 4C 24 06 0F B7 4C 24 04 8B D9 66 81 E3 00 7C 66 81 FB 00 7C 75 07 66 F7 C1 FF 03 75 1A 0F B7 74 24 06 8B CE 66 81 E1 00 7C 66 81 F9 00 7C 75 0B 66 F7 C6 FF 03 74 04 B1 01 EB 29 0F B7 4C 24 04 0F B7 D9 F7 C3 FF 7F FF FF 75 11 0F B7 5C 24 06 F7 C3 FF 7F FF FF 75 04 33 C9 EB 08 66 3B 4C 24 06 0F 95 C1 84 C9 74 04 B1 01 EB 73 0F B7 48 04 66 89 4C 24 08 0F B7 4A 04 66 89 4C 24 0A 0F B7 4C 24 08 8B D9 66 81 E3 00 7C 66 81 FB 00 7C 75 07 66 F7 C1 FF 03 75 1A 0F B7 74 24 0A 8B CE 66 81 E1 00 7C 66 81 F9 00 7C 75 0B 66 F7 C6 FF 03 74 04 B1 01 EB 29 0F B7 4C 24 08 0F B7 D9 F7 C3 FF 7F FF FF 75 11 0F B7 5C 24 0A F7 C3 FF 7F FF FF 75 04 33 C9 EB 08 66 3B 4C 24 0A 0F 95 C1 84 C9 74 04 B0 01 EB 70 0F B7 40 06 66 89 44 24 0C 0F B7 42 06 66 89 44 24 0E 0F B7 44 24 0C 8B C8 66 81 E1 00 7C 66 81 F9 00 7C 75 06 66 A9 FF 03 75 18 0F B7 54 24 0E 8B C2 66 25 00 7C 66 3D 00 7C 75 0B 66 F7 C2 FF 03 74 04 B0 01 EB 29 0F B7 44 24 0C 0F B7 D0 F7 C2 FF 7F FF FF 75 11 0F B7 54 24 0E F7 C2 FF 7F FF FF 75 04 33 C0 EB 08 66 3B 44 24 0E 0F 95 C0 83 C4 10 5E 5B C3 }
	condition:
		$1
}

rule function_100705_0 {
	meta:
		name = "D3DXVECTOR4_16F.&op_Implicit"
		size = 10
		refs = "0005 D3DXFloat32To16Array"
		altNames = "D3DXVector4_16fFromVector4"
	strings:
		$1 = { 6A 04 50 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_100714_0 {
	meta:
		name = "D3DXVECTOR4_16F.&op_Implicit"
		size = 10
		refs = "0005 D3DXFloat16To32Array"
	strings:
		$1 = { 6A 04 50 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_100706_0 {
	meta:
		name = "D3DXVector4FromVector4_16f"
		size = 10
		refs = "0005 D3DXFloat16To32Array"
	strings:
		$1 = { 6A 04 50 52 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_100707_0 {
	meta:
		name = "D3DXVECTOR4_16F.Create"
		size = 134
		refs = "001c D3DXFloat32To16Array"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 8B DA 8B F0 8B 06 89 45 FC 6A 01 8D 45 FC 50 8D 45 FA 50 E8 ?? ?? ?? ?? 0F B7 45 FA 66 89 03 8B 46 04 89 45 F4 6A 01 8D 45 F4 50 8D 45 F2 50 E8 ?? ?? ?? ?? 0F B7 45 F2 66 89 43 02 8B 46 08 89 45 EC 6A 01 8D 45 EC 50 8D 45 EA 50 E8 ?? ?? ?? ?? 0F B7 45 EA 66 89 43 04 8B 45 08 89 45 E4 6A 01 8D 45 E4 50 8D 45 E2 50 E8 ?? ?? ?? ?? 0F B7 45 E2 66 89 43 06 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_100708_0 {
	meta:
		name = "D3DXVECTOR4_16F.Create"
		size = 58
	strings:
		$1 = { 55 8B EC 83 C4 F8 66 89 4D FA 66 89 55 FC 66 89 45 FE 8B 45 08 0F B7 55 FE 66 89 10 0F B7 55 FC 66 89 50 02 0F B7 55 FA 66 89 50 04 0F B7 55 0C 66 89 50 06 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_100709_0 {
	meta:
		name = "D3DXVECTOR4_16F.Create"
		size = 131
		refs = "001a D3DXFloat32To16Array"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 8B D8 8B 45 14 89 45 FC 6A 01 8D 45 FC 50 8D 45 FA 50 E8 ?? ?? ?? ?? 0F B7 45 FA 66 89 03 8B 45 10 89 45 F4 6A 01 8D 45 F4 50 8D 45 F2 50 E8 ?? ?? ?? ?? 0F B7 45 F2 66 89 43 02 8B 45 0C 89 45 EC 6A 01 8D 45 EC 50 8D 45 EA 50 E8 ?? ?? ?? ?? 0F B7 45 EA 66 89 43 04 8B 45 08 89 45 E4 6A 01 8D 45 E4 50 8D 45 E2 50 E8 ?? ?? ?? ?? 0F B7 45 E2 66 89 43 06 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_100710_0 {
	meta:
		name = "D3DXVECTOR4_16F.Create"
		size = 41
	strings:
		$1 = { 53 51 8B D9 66 89 14 24 0F B7 10 66 89 13 0F B7 50 02 66 89 53 02 0F B7 40 04 66 89 43 04 0F B7 04 24 66 89 43 06 5A 5B C3 }
	condition:
		$1
}

rule function_100715_0 {
	meta:
		name = "D3DXVECTOR4_16F.Zero"
		size = 18
		refs = "0002 D3DXVector4_16fZero"
	strings:
		$1 = { 8B 15 ?? ?? ?? ?? 89 10 8B 15 ?? ?? ?? ?? 89 50 04 C3 }
	condition:
		$1
}

rule function_100716_0 {
	meta:
		name = "D3DXMatrixAdd"
		size = 33
	strings:
		$1 = { 53 56 8B D8 8B F2 BA 10 00 00 00 D9 06 D8 01 D9 1B 9B 83 C3 04 83 C6 04 83 C1 04 4A 75 ED 5E 5B C3 }
	condition:
		$1
}

rule function_100717_0 {
	meta:
		name = "D3DXMatrixSubtract"
		size = 33
	strings:
		$1 = { 53 56 8B D8 8B F2 BA 10 00 00 00 D9 06 D8 21 D9 1B 9B 83 C3 04 83 C6 04 83 C1 04 4A 75 ED 5E 5B C3 }
	condition:
		$1
}

rule function_100718_0 {
	meta:
		name = "D3DXMatrixMul"
		size = 35
	strings:
		$1 = { 55 8B EC 53 8B C8 8B DA BA 10 00 00 00 D9 03 D8 4D 08 D9 19 9B 83 C1 04 83 C3 04 4A 75 EF 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_100719_0 {
	meta:
		name = "D3DXMatrixEqual"
		size = 11
		refs = "0006 CompareMem"
		altNames = "_D3DMATRIX.&op_Equality"
	strings:
		$1 = { B9 40 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_100720_0 {
	meta:
		name = "D3DXQUATERNION.&op_Addition"
		size = 38
		altNames = "D3DXQuaternionAdd"
	strings:
		$1 = { D9 00 D8 02 D9 19 9B D9 40 04 D8 42 04 D9 59 04 9B D9 40 08 D8 42 08 D9 59 08 9B D9 40 0C D8 42 0C D9 59 0C 9B C3 }
	condition:
		$1
}

rule function_100721_0 {
	meta:
		name = "D3DXQUATERNION.&op_Subtraction"
		size = 38
		altNames = "D3DXQuaternionSubtract"
	strings:
		$1 = { D9 00 D8 22 D9 19 9B D9 40 04 D8 62 04 D9 59 04 9B D9 40 08 D8 62 08 D9 59 08 9B D9 40 0C D8 62 0C D9 59 0C 9B C3 }
	condition:
		$1
}

rule function_100723_0 {
	meta:
		name = "D3DXColorScale"
		size = 45
		altNames = "D3DXPlaneScale D3DXQuaternionScale D3DXVec4Scale"
	strings:
		$1 = { 55 8B EC D9 02 D8 4D 08 D9 18 9B D9 42 04 D8 4D 08 D9 58 04 9B D9 42 08 D8 4D 08 D9 58 08 9B D9 42 0C D8 4D 08 D9 58 0C 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_100727_0 {
	meta:
		name = "D3DXQUATERNION.Scale"
		size = 45
	strings:
		$1 = { 55 8B EC D9 00 D8 4D 08 D9 1A 9B D9 40 04 D8 4D 08 D9 5A 04 9B D9 40 08 D8 4D 08 D9 5A 08 9B D9 40 0C D8 4D 08 D9 5A 0C 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_100733_0 {
	meta:
		name = "D3DXColorToDWord"
		size = 316
		refs = "0014 D3DXColorToDWord 0048 @TRUNC"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8D 3C 24 A5 A5 A5 A5 D9 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 07 BB FF 00 00 00 EB 29 D9 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 04 33 DB EB 16 D9 04 24 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 D9 44 24 04 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 07 BE FF 00 00 00 EB 2B D9 44 24 04 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 04 33 F6 EB 17 D9 44 24 04 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 D9 44 24 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 07 BF FF 00 00 00 EB 2B D9 44 24 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 04 33 FF EB 17 D9 44 24 08 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 D9 44 24 0C D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 07 B8 FF 00 00 00 EB 29 D9 44 24 0C D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 04 33 C0 EB 15 D9 44 24 0C D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? C1 E0 18 C1 E3 10 0B C3 C1 E6 08 0B C6 0B F8 8B C7 83 C4 10 5F 5E 5B C3 00 00 00 00 80 3F 00 00 00 00 00 00 7F 43 00 00 00 3F }
	condition:
		$1
}

rule function_100734_0 {
	meta:
		name = "D3DXColorToUINT"
		size = 316
		refs = "0014 D3DXColorToUINT 0048 @TRUNC"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8D 3C 24 A5 A5 A5 A5 D9 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 07 BB FF 00 00 00 EB 29 D9 04 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 04 33 DB EB 16 D9 04 24 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 D9 44 24 04 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 07 BE FF 00 00 00 EB 2B D9 44 24 04 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 04 33 F6 EB 17 D9 44 24 04 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 D9 44 24 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 07 BF FF 00 00 00 EB 2B D9 44 24 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 04 33 FF EB 17 D9 44 24 08 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 D9 44 24 0C D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 07 B8 FF 00 00 00 EB 29 D9 44 24 0C D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 04 33 C0 EB 15 D9 44 24 0C D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? C1 E0 18 C1 E3 10 0B C3 C1 E6 08 0B C6 0B F8 8B C7 83 C4 10 5F 5E 5B C3 00 00 00 00 80 3F 00 00 00 00 00 00 7F 43 00 00 00 3F }
	condition:
		$1
}

rule function_100735_0 {
	meta:
		name = "D3DXColorFromDWord"
		size = 97
		altNames = "D3DXColorFromUINT"
	strings:
		$1 = { 83 C4 F8 C7 04 24 81 80 80 3B 8B C8 C1 E9 10 0F B6 C9 89 4C 24 04 DB 44 24 04 D8 0C 24 D9 1A 9B 8B C8 C1 E9 08 0F B6 C9 89 4C 24 04 DB 44 24 04 D8 0C 24 D9 5A 04 9B 0F B6 C8 89 4C 24 04 DB 44 24 04 D8 0C 24 D9 5A 08 9B C1 E8 18 0F B6 C0 89 44 24 04 DB 44 24 04 D8 0C 24 D9 5A 0C 9B 59 5A C3 }
	condition:
		$1
}

rule function_100738_0 {
	meta:
		name = "D3DXVec2Length"
		size = 38
		refs = "0018 Sqrt"
	strings:
		$1 = { 53 51 8B D8 D9 03 D8 0B D9 43 04 D8 4B 04 DE C1 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 1C 24 9B D9 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_100739_0 {
	meta:
		name = "D3DXVec2LengthSq"
		size = 22
	strings:
		$1 = { 51 D9 00 D8 08 D9 40 04 D8 48 04 DE C1 D9 1C 24 9B D9 04 24 5A C3 }
	condition:
		$1
}

rule function_100740_0 {
	meta:
		name = "D3DXVec2Dot"
		size = 22
	strings:
		$1 = { 51 D9 00 D8 0A D9 40 04 D8 4A 04 DE C1 D9 1C 24 9B D9 04 24 5A C3 }
	condition:
		$1
}

rule function_100741_0 {
	meta:
		name = "D3DXVec2CCW"
		size = 22
	strings:
		$1 = { 51 D9 00 D8 4A 04 D9 40 04 D8 0A DE E9 D9 1C 24 9B D9 04 24 5A C3 }
	condition:
		$1
}

rule function_100744_0 {
	meta:
		name = "D3DXVec2Minimize"
		size = 53
	strings:
		$1 = { 53 8B D8 D9 02 D8 19 9B DF E0 9E 73 06 8B 02 89 03 EB 04 8B 01 89 03 D9 42 04 D8 59 04 9B DF E0 9E 73 08 8B 42 04 89 43 04 EB 06 8B 41 04 89 43 04 8B C3 5B C3 }
	condition:
		$1
}

rule function_100745_0 {
	meta:
		name = "D3DXVec2Maximize"
		size = 53
	strings:
		$1 = { 53 8B D8 D9 02 D8 19 9B DF E0 9E 76 06 8B 02 89 03 EB 04 8B 01 89 03 D9 42 04 D8 59 04 9B DF E0 9E 76 08 8B 42 04 89 43 04 EB 06 8B 41 04 89 43 04 8B C3 5B C3 }
	condition:
		$1
}

rule function_100746_0 {
	meta:
		name = "D3DXVec2Scale"
		size = 25
	strings:
		$1 = { 55 8B EC D9 02 D8 4D 08 D9 18 9B D9 42 04 D8 4D 08 D9 58 04 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_100747_0 {
	meta:
		name = "D3DXVec2Lerp"
		size = 35
	strings:
		$1 = { 55 8B EC D9 01 D8 22 D8 4D 08 D8 02 D9 18 9B D9 41 04 D8 62 04 D8 4D 08 D8 42 04 D9 58 04 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_100748_0 {
	meta:
		name = "D3DXVec3Length"
		size = 46
		refs = "0020 Sqrt"
	strings:
		$1 = { 53 51 8B D8 D9 03 D8 0B D9 43 04 D8 4B 04 DE C1 D9 43 08 D8 4B 08 DE C1 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 1C 24 9B D9 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_100749_0 {
	meta:
		name = "D3DXVec3LengthSq"
		size = 30
	strings:
		$1 = { 51 D9 00 D8 08 D9 40 04 D8 48 04 DE C1 D9 40 08 D8 48 08 DE C1 D9 1C 24 9B D9 04 24 5A C3 }
	condition:
		$1
}

rule function_100750_0 {
	meta:
		name = "D3DXPlaneDotNormal"
		size = 30
		altNames = "D3DXVec3Dot"
	strings:
		$1 = { 51 D9 00 D8 0A D9 40 04 D8 4A 04 DE C1 D9 40 08 D8 4A 08 DE C1 D9 1C 24 9B D9 04 24 5A C3 }
	condition:
		$1
}

rule function_100751_0 {
	meta:
		name = "D3DXVec3Cross"
		size = 50
	strings:
		$1 = { D9 42 04 D8 49 08 D9 42 08 D8 49 04 DE E9 D9 18 9B D9 42 08 D8 09 D9 02 D8 49 08 DE E9 D9 58 04 9B D9 02 D8 49 04 D9 42 04 D8 09 DE E9 D9 58 08 9B C3 }
	condition:
		$1
}

rule function_100752_0 {
	meta:
		name = "D3DXVec3Add"
		size = 28
	strings:
		$1 = { D9 02 D8 01 D9 18 9B D9 42 04 D8 41 04 D9 58 04 9B D9 42 08 D8 41 08 D9 58 08 9B C3 }
	condition:
		$1
}

rule function_100753_0 {
	meta:
		name = "D3DXVec3Subtract"
		size = 28
	strings:
		$1 = { D9 02 D8 21 D9 18 9B D9 42 04 D8 61 04 D9 58 04 9B D9 42 08 D8 61 08 D9 58 08 9B C3 }
	condition:
		$1
}

rule function_100754_0 {
	meta:
		name = "D3DXVec3Minimize"
		size = 79
	strings:
		$1 = { 53 8B D8 D9 02 D8 19 9B DF E0 9E 73 06 8B 02 89 03 EB 04 8B 01 89 03 D9 42 04 D8 59 04 9B DF E0 9E 73 08 8B 42 04 89 43 04 EB 06 8B 41 04 89 43 04 D9 42 08 D8 59 08 9B DF E0 9E 73 08 8B 42 08 89 43 08 EB 06 8B 41 08 89 43 08 8B C3 5B C3 }
	condition:
		$1
}

rule function_100755_0 {
	meta:
		name = "D3DXVec3Maximize"
		size = 79
	strings:
		$1 = { 53 8B D8 D9 02 D8 19 9B DF E0 9E 76 06 8B 02 89 03 EB 04 8B 01 89 03 D9 42 04 D8 59 04 9B DF E0 9E 76 08 8B 42 04 89 43 04 EB 06 8B 41 04 89 43 04 D9 42 08 D8 59 08 9B DF E0 9E 76 08 8B 42 08 89 43 08 EB 06 8B 41 08 89 43 08 8B C3 5B C3 }
	condition:
		$1
}

rule function_100756_0 {
	meta:
		name = "D3DXVec3Scale"
		size = 35
	strings:
		$1 = { 55 8B EC D9 02 D8 4D 08 D9 18 9B D9 42 04 D8 4D 08 D9 58 04 9B D9 42 08 D8 4D 08 D9 58 08 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_100757_0 {
	meta:
		name = "D3DXVec3Lerp"
		size = 51
	strings:
		$1 = { 55 8B EC D9 01 D8 22 D8 4D 08 D8 02 D9 18 9B D9 41 04 D8 62 04 D8 4D 08 D8 42 04 D9 58 04 9B D9 41 08 D8 62 08 D8 4D 08 D8 42 08 D9 58 08 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_100758_0 {
	meta:
		name = "D3DXQuaternionLength"
		size = 54
		refs = "0028 Sqrt"
		altNames = "D3DXVec4Length"
	strings:
		$1 = { 53 51 8B D8 D9 03 D8 0B D9 43 04 D8 4B 04 DE C1 D9 43 08 D8 4B 08 DE C1 D9 43 0C D8 4B 0C DE C1 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 1C 24 9B D9 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_100759_0 {
	meta:
		name = "D3DXQuaternionLengthSq"
		size = 38
		altNames = "D3DXVec4LengthSq"
	strings:
		$1 = { 51 D9 00 D8 08 D9 40 04 D8 48 04 DE C1 D9 40 08 D8 48 08 DE C1 D9 40 0C D8 48 0C DE C1 D9 1C 24 9B D9 04 24 5A C3 }
	condition:
		$1
}

rule function_100760_0 {
	meta:
		name = "D3DXPlaneDot"
		size = 38
		altNames = "D3DXQuaternionDot D3DXVec4Dot"
	strings:
		$1 = { 51 D9 00 D8 0A D9 40 04 D8 4A 04 DE C1 D9 40 08 D8 4A 08 DE C1 D9 40 0C D8 4A 0C DE C1 D9 1C 24 9B D9 04 24 5A C3 }
	condition:
		$1
}

rule function_100761_0 {
	meta:
		name = "D3DXColorAdd"
		size = 38
		altNames = "D3DXVec4Add"
	strings:
		$1 = { D9 02 D8 01 D9 18 9B D9 42 04 D8 41 04 D9 58 04 9B D9 42 08 D8 41 08 D9 58 08 9B D9 42 0C D8 41 0C D9 58 0C 9B C3 }
	condition:
		$1
}

rule function_100762_0 {
	meta:
		name = "D3DXColorSubtract"
		size = 38
		altNames = "D3DXVec4Subtract"
	strings:
		$1 = { D9 02 D8 21 D9 18 9B D9 42 04 D8 61 04 D9 58 04 9B D9 42 08 D8 61 08 D9 58 08 9B D9 42 0C D8 61 0C D9 58 0C 9B C3 }
	condition:
		$1
}

rule function_100763_0 {
	meta:
		name = "D3DXVec4Minimize"
		size = 105
	strings:
		$1 = { 53 8B D8 D9 02 D8 19 9B DF E0 9E 73 06 8B 02 89 03 EB 04 8B 01 89 03 D9 42 04 D8 59 04 9B DF E0 9E 73 08 8B 42 04 89 43 04 EB 06 8B 41 04 89 43 04 D9 42 08 D8 59 08 9B DF E0 9E 73 08 8B 42 08 89 43 08 EB 06 8B 41 08 89 43 08 D9 42 0C D8 59 0C 9B DF E0 9E 73 08 8B 42 0C 89 43 0C EB 06 8B 41 0C 89 43 0C 8B C3 5B C3 }
	condition:
		$1
}

rule function_100764_0 {
	meta:
		name = "D3DXVec4Maximize"
		size = 105
	strings:
		$1 = { 53 8B D8 D9 02 D8 19 9B DF E0 9E 76 06 8B 02 89 03 EB 04 8B 01 89 03 D9 42 04 D8 59 04 9B DF E0 9E 76 08 8B 42 04 89 43 04 EB 06 8B 41 04 89 43 04 D9 42 08 D8 59 08 9B DF E0 9E 76 08 8B 42 08 89 43 08 EB 06 8B 41 08 89 43 08 D9 42 0C D8 59 0C 9B DF E0 9E 76 08 8B 42 0C 89 43 0C EB 06 8B 41 0C 89 43 0C 8B C3 5B C3 }
	condition:
		$1
}

rule function_100766_0 {
	meta:
		name = "D3DXColorLerp"
		size = 67
		altNames = "D3DXVec4Lerp"
	strings:
		$1 = { 55 8B EC D9 01 D8 22 D8 4D 08 D8 02 D9 18 9B D9 41 04 D8 62 04 D8 4D 08 D8 42 04 D9 58 04 9B D9 41 08 D8 62 08 D8 4D 08 D8 42 08 D9 58 08 9B D9 41 0C D8 62 0C D8 4D 08 D8 42 0C D9 58 0C 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_100767_0 {
	meta:
		name = "D3DXMatrixIdentity"
		size = 48
		refs = "000d @FillChar"
	strings:
		$1 = { 53 8B D8 8B C3 33 C9 BA 40 00 00 00 E8 ?? ?? ?? ?? C7 03 00 00 80 3F C7 43 14 00 00 80 3F C7 43 28 00 00 80 3F C7 43 3C 00 00 80 3F 8B C3 5B C3 }
	condition:
		$1
}

rule function_100768_0 {
	meta:
		name = "D3DXMatrixIsIdentity"
		size = 288
		refs = "0006 D3DXMatrixIsIdentity"
	strings:
		$1 = { 8B D0 D9 02 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 85 F9 00 00 00 D9 42 04 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 85 E6 00 00 00 D9 42 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 85 D3 00 00 00 D9 42 0C D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 85 C0 00 00 00 D9 42 10 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 85 AD 00 00 00 D9 42 14 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 85 9A 00 00 00 D9 42 18 D8 1D ?? ?? ?? ?? 9B DF E0 9E 0F 85 87 00 00 00 D9 42 1C D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 78 D9 42 20 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 69 D9 42 24 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 5A D9 42 28 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 4B D9 42 2C D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 3C D9 42 30 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 2D D9 42 34 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 1E D9 42 38 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0F D9 42 3C D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 04 33 C0 EB 02 B0 01 F6 D8 1B C0 C3 00 00 80 3F 00 00 00 00 }
	condition:
		$1
}

rule function_100772_0 {
	meta:
		name = "D3DXQuaternionIdentity"
		size = 22
	strings:
		$1 = { 33 D2 89 10 33 D2 89 50 04 33 D2 89 50 08 C7 40 0C 00 00 80 3F C3 }
	condition:
		$1
}

rule function_100773_0 {
	meta:
		name = "D3DXQuaternionIsIdentity"
		size = 80
		refs = "0006 D3DXQuaternionIsIdentity"
	strings:
		$1 = { 8B D0 D9 02 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 2D D9 42 04 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 1E D9 42 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 0F D9 42 0C D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 04 33 C0 EB 02 B0 01 F6 D8 1B C0 C3 00 00 00 00 00 00 80 3F }
	condition:
		$1
}

rule function_100774_0 {
	meta:
		name = "D3DXQuaternionConjugate"
		size = 32
	strings:
		$1 = { D9 02 D9 E0 D9 18 9B D9 42 04 D9 E0 D9 58 04 9B D9 42 08 D9 E0 D9 58 08 9B 8B 52 0C 89 50 0C C3 }
	condition:
		$1
}

rule function_100776_0 {
	meta:
		name = "D3DXPlaneDotCoord"
		size = 33
	strings:
		$1 = { 51 D9 00 D8 0A D9 40 04 D8 4A 04 DE C1 D9 40 08 D8 4A 08 DE C1 D8 40 0C D9 1C 24 9B D9 04 24 5A C3 }
	condition:
		$1
}

rule function_100779_0 {
	meta:
		name = "D3DXColorNegative"
		size = 48
		refs = "0002 D3DXColorNegative"
	strings:
		$1 = { D9 05 ?? ?? ?? ?? D8 22 D9 18 9B D9 05 ?? ?? ?? ?? D8 62 04 D9 58 04 9B D9 05 ?? ?? ?? ?? D8 62 08 D9 58 08 9B 8B 52 0C 89 50 0C C3 00 00 80 3F }
	condition:
		$1
}

rule function_100783_0 {
	meta:
		name = "D3DXColorModulate"
		size = 38
	strings:
		$1 = { D9 02 D8 09 D9 18 9B D9 42 04 D8 49 04 D9 58 04 9B D9 42 08 D8 49 08 D9 58 08 9B D9 42 0C D8 49 0C D9 58 0C 9B C3 }
	condition:
		$1
}

rule function_100786_0 {
	meta:
		name = "MAKE_D3DSTATUS"
		size = 6
	strings:
		$1 = { 0D 00 00 76 08 C3 }
	condition:
		$1
}

rule function_101010_0 {
	meta:
		name = "D3DXToRadian"
		size = 36
		refs = "0006 D3DX_PI 000c D3DXToRadian"
	strings:
		$1 = { 55 8B EC 51 D9 05 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? D8 4D 08 D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 34 43 }
	condition:
		$1
}

rule function_101011_0 {
	meta:
		name = "D3DXToDegree"
		size = 36
		refs = "0006 D3DXToDegree 000c D3DX_PI"
	strings:
		$1 = { 55 8B EC 51 D9 05 ?? ?? ?? ?? D8 35 ?? ?? ?? ?? D8 4D 08 D9 5D FC 9B D9 45 FC 59 5D C2 04 00 00 00 00 34 43 }
	condition:
		$1
}

rule function_101014_0 {
	meta:
		name = "D3DXVector3"
		size = 24
		altNames = "_D3DVECTOR.Create"
	strings:
		$1 = { 55 8B EC 8B 55 10 89 10 8B 55 0C 89 50 04 8B 55 08 89 50 08 5D C2 0C 00 }
	condition:
		$1
}

rule function_101018_0 {
	meta:
		name = "D3DXMatrix"
		size = 102
		altNames = "_D3DMATRIX.Create"
	strings:
		$1 = { 55 8B EC 8B 55 44 89 10 8B 55 40 89 50 04 8B 55 3C 89 50 08 8B 55 38 89 50 0C 8B 55 34 89 50 10 8B 55 30 89 50 14 8B 55 2C 89 50 18 8B 55 28 89 50 1C 8B 55 24 89 50 20 8B 55 20 89 50 24 8B 55 1C 89 50 28 8B 55 18 89 50 2C 8B 55 14 89 50 30 8B 55 10 89 50 34 8B 55 0C 89 50 38 8B 55 08 89 50 3C 5D C2 40 00 }
	condition:
		$1
}

rule function_101031_0 {
	meta:
		name = "ColorLimit"
		size = 84
		refs = "0008 ColorLimit 003c @TRUNC"
	strings:
		$1 = { 55 8B EC D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 07 B8 FF 00 00 00 EB 27 D9 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 04 33 C0 EB 14 D9 45 08 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 04 00 00 00 80 3F 00 00 00 00 00 00 7F 43 00 00 00 3F }
	condition:
		$1
}

rule function_101032_0 {
	meta:
		name = "D3DXColorToDWord"
		size = 76
		refs = "0014 ColorLimit"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F0 8D 3C 24 A5 A5 A5 A5 FF 74 24 0C E8 ?? ?? ?? ?? 8B D8 C1 E3 18 FF 34 24 E8 ?? ?? ?? ?? C1 E0 10 0B D8 FF 74 24 04 E8 ?? ?? ?? ?? C1 E0 08 0B D8 FF 74 24 08 E8 ?? ?? ?? ?? 0B D8 8B C3 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_101033_0 {
	meta:
		name = "D3DXColorFromDWord"
		size = 96
		refs = "0011 f"
	strings:
		$1 = { 51 8B C8 C1 E9 10 0F B6 C9 89 0C 24 DB 04 24 D8 0D ?? ?? ?? ?? D9 1A 9B 8B C8 C1 E9 08 0F B6 C9 89 0C 24 DB 04 24 D8 0D ?? ?? ?? ?? D9 5A 04 9B 8B C8 C1 E9 00 0F B6 C9 89 0C 24 DB 04 24 D8 0D ?? ?? ?? ?? D9 5A 08 9B C1 E8 18 0F B6 C0 89 04 24 DB 04 24 D8 0D ?? ?? ?? ?? D9 5A 0C 9B 5A C3 }
	condition:
		$1
}

rule function_101048_0 {
	meta:
		name = "D3DXVec2Hermite"
		size = 30
		refs = "0015 D3DXVec2Hermite"
	strings:
		$1 = { 55 8B EC 56 8B F0 FF 75 08 8B 45 0C 50 8B 45 10 50 51 52 56 E8 ?? ?? ?? ?? 5E 5D C2 0C 00 }
	condition:
		$1
}

rule function_101050_0 {
	meta:
		name = "D3DXVec2CatmullRom"
		size = 30
		refs = "0015 D3DXVec2CatmullRom"
	strings:
		$1 = { 55 8B EC 56 8B F0 FF 75 08 8B 45 0C 50 8B 45 10 50 51 52 56 E8 ?? ?? ?? ?? 5E 5D C2 0C 00 }
	condition:
		$1
}

rule function_101052_0 {
	meta:
		name = "D3DXVec2BaryCentric"
		size = 29
		refs = "0014 D3DXVec2BaryCentric"
	strings:
		$1 = { 55 8B EC 56 8B F0 FF 75 08 FF 75 0C 8B 45 10 50 51 52 56 E8 ?? ?? ?? ?? 5E 5D C2 0C 00 }
	condition:
		$1
}

rule function_101095_0 {
	meta:
		name = "D3DXGetErrorStringA"
		size = 90
		refs = "0015 D3DXGetErrorStringA 001c @PCharLen 0024 @UStrSetLength 002b @UniqueStringU 004e Move"
	strings:
		$1 = { 53 81 C4 FC FD FF FF 8B DA 68 FF 00 00 00 8D 54 24 04 52 50 E8 ?? ?? ?? ?? 8B C4 E8 ?? ?? ?? ?? 8B D3 92 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 03 89 84 24 00 02 00 00 8B 84 24 00 02 00 00 85 C0 74 05 83 E8 04 8B 00 8B CC 91 E8 ?? ?? ?? ?? 81 C4 04 02 00 00 5B C3 }
	condition:
		$1
}

rule function_101097_0 {
	meta:
		name = "D3DXGetErrorString"
		size = 82
		refs = "0010 @WStrSetLength 002d @WStrToPWChar 0034 D3DXGetErrorStringW 0040 WStrLen"
		altNames = "D3DXGetErrorStringW"
	strings:
		$1 = { 53 56 57 51 8B DA 8B F8 8B C3 BA FF 00 00 00 E8 ?? ?? ?? ?? 8B 03 89 04 24 8B 34 24 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 56 8B 03 E8 ?? ?? ?? ?? 50 57 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_101495_0 {
	meta:
		name = "D3DXFLOAT16.&op_Equality"
		size = 24
		altNames = "D3DXFloat16Equal"
	strings:
		$1 = { 51 66 89 54 24 02 66 89 04 24 0F B7 04 24 66 3B 44 24 02 0F 94 C0 5A C3 }
	condition:
		$1
}

rule function_101505_0 {
	meta:
		name = "D3DXVECTOR2_16F.&op_Equality"
		size = 23
		altNames = "D3DXVector2_16fEqual"
	strings:
		$1 = { 83 C4 F8 89 54 24 04 89 04 24 8B 04 24 3B 44 24 04 0F 94 C0 59 5A C3 }
	condition:
		$1
}

rule function_101515_0 {
	meta:
		name = "D3DXVector3_16fEqual"
		size = 22
	strings:
		$1 = { 8B 08 3B 0A 75 0A 0F B7 40 04 66 3B 42 04 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_101520_0 {
	meta:
		name = "D3DXVECTOR3_16F.&op_Equality"
		size = 112
	strings:
		$1 = { 83 C4 F4 0F B7 08 66 89 0C 24 0F B7 0A 66 89 4C 24 02 0F B7 0C 24 66 3B 4C 24 02 0F 94 C1 84 C9 74 21 0F B7 48 02 66 89 4C 24 04 0F B7 4A 02 66 89 4C 24 06 0F B7 4C 24 04 66 3B 4C 24 06 0F 94 C1 EB 02 33 C9 84 C9 74 21 0F B7 40 04 66 89 44 24 08 0F B7 42 04 66 89 44 24 0A 0F B7 44 24 08 66 3B 44 24 0A 0F 94 C0 EB 02 33 C0 83 C4 0C C3 }
	condition:
		$1
}

rule function_101529_0 {
	meta:
		name = "D3DXVECTOR4_16F.&op_Equality"
		size = 24
		altNames = "D3DXVector4_16fEqual"
	strings:
		$1 = { 8B 08 3B 0A 75 0C 83 C0 04 8B 00 83 C2 04 3B 02 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_101620_0 {
	meta:
		name = "D3DX_SKIP_DDS_MIP_LEVELS"
		size = 21
	strings:
		$1 = { 83 FA FF 75 05 BA 05 00 00 00 83 E0 1F C1 E0 1A 0B D0 8B C2 C3 }
	condition:
		$1
}

rule function_101659_0 {
	meta:
		name = "D3DFVF_TEXCOORDSIZE3"
		size = 15
	strings:
		$1 = { 8B C8 03 C9 83 C1 10 B8 01 00 00 00 D3 E0 C3 }
	condition:
		$1
}

rule function_101661_0 {
	meta:
		name = "D3DFVF_TEXCOORDSIZE4"
		size = 15
	strings:
		$1 = { 8B C8 03 C9 83 C1 10 B8 02 00 00 00 D3 E0 C3 }
	condition:
		$1
}

rule function_101662_0 {
	meta:
		name = "D3DFVF_TEXCOORDSIZE1"
		size = 15
	strings:
		$1 = { 8B C8 03 C9 83 C1 10 B8 03 00 00 00 D3 E0 C3 }
	condition:
		$1
}

rule function_101663_0 {
	meta:
		name = "D3DVal"
		size = 89
		refs = "0015 @VarAddRef 001d D3DVal 002b @VarToReal 0044 @VarClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 56 57 8B F0 8D 7D F0 A5 A5 A5 A5 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? D9 5D EC 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 D9 45 EC 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule function_101664_0 {
	meta:
		name = "D3DDivide"
		size = 22
	strings:
		$1 = { 55 8B EC 51 DD 45 10 DC 75 08 D9 5D FC 9B D9 45 FC 59 5D C2 10 00 }
	condition:
		$1
}

rule function_101665_0 {
	meta:
		name = "D3DMultiply"
		size = 22
	strings:
		$1 = { 55 8B EC 51 DD 45 10 DC 4D 08 D9 5D FC 9B D9 45 FC 59 5D C2 10 00 }
	condition:
		$1
}

rule function_101666_0 {
	meta:
		name = "CI_GETALPHA"
		size = 4
		altNames = "GetAlpha GetCValue RGBA_GETALPHA"
	strings:
		$1 = { C1 E8 18 C3 }
	condition:
		$1
}

rule function_101667_0 {
	meta:
		name = "CI_GETINDEX"
		size = 9
	strings:
		$1 = { C1 E8 08 25 FF FF 00 00 C3 }
	condition:
		$1
}

rule function_101671_0 {
	meta:
		name = "CI_MAKE"
		size = 13
	strings:
		$1 = { C1 E0 18 C1 E2 08 0B C2 0B C8 8B C1 C3 }
	condition:
		$1
}

rule function_101676_0 {
	meta:
		name = "D3DCOLOR_RGBA"
		size = 29
		altNames = "RGBA_MAKE"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 C1 E3 18 C1 E0 10 0B D8 C1 E2 08 0B DA 0B CB 8B C1 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_101677_0 {
	meta:
		name = "D3DRGB"
		size = 84
		refs = "0009 D3DRGB 000e @ROUND"
	strings:
		$1 = { 55 8B EC 53 D9 45 10 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F A4 C2 10 C1 E0 10 8B D8 81 CB 00 00 00 FF D9 45 0C D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F A4 C2 08 C1 E0 08 0B D8 D9 45 08 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0B D8 8B C3 5B 5D C2 0C 00 00 00 00 7F 43 }
	condition:
		$1
}

rule function_101678_0 {
	meta:
		name = "D3DRGBA"
		size = 100
		refs = "0009 D3DRGBA 000e @ROUND"
	strings:
		$1 = { 55 8B EC 53 D9 45 08 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F A4 C2 18 C1 E0 18 8B D8 D9 45 14 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F A4 C2 10 C1 E0 10 0B D8 D9 45 10 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F A4 C2 08 C1 E0 08 0B D8 D9 45 0C D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0B D8 8B C3 5B 5D C2 10 00 00 00 7F 43 }
	condition:
		$1
}

rule function_101682_0 {
	meta:
		name = "RGBA_SETALPHA"
		size = 13
	strings:
		$1 = { C1 E2 18 25 FF FF FF 00 0B D0 8B C2 C3 }
	condition:
		$1
}

rule function_101683_0 {
	meta:
		name = "RGB_MAKE"
		size = 13
	strings:
		$1 = { C1 E0 10 C1 E2 08 0B C2 0B C8 8B C1 C3 }
	condition:
		$1
}

rule function_101686_0 {
	meta:
		name = "D3DSTATE_OVERRIDE"
		size = 6
	strings:
		$1 = { 05 00 01 00 00 C3 }
	condition:
		$1
}

rule function_101687_0 {
	meta:
		name = "D3DTRIFLAG_STARTFLAT"
		size = 11
	strings:
		$1 = { 8B D0 4A 83 EA 1D 72 02 33 C0 C3 }
	condition:
		$1
}

rule function_101688_0 {
	meta:
		name = "D3DRENDERSTATE_STIPPLEPATTERN"
		size = 4
	strings:
		$1 = { 83 C0 40 C3 }
	condition:
		$1
}

rule function_101689_0 {
	meta:
		name = "VectorAdd"
		size = 28
	strings:
		$1 = { D9 00 D8 02 D9 19 9B D9 40 04 D8 42 04 D9 59 04 9B D9 40 08 D8 42 08 D9 59 08 9B C3 }
	condition:
		$1
}

rule function_101690_0 {
	meta:
		name = "VectorSub"
		size = 28
	strings:
		$1 = { D9 00 D8 22 D9 19 9B D9 40 04 D8 62 04 D9 59 04 9B D9 40 08 D8 62 08 D9 59 08 9B C3 }
	condition:
		$1
}

rule function_101691_0 {
	meta:
		name = "VectorMulS"
		size = 35
	strings:
		$1 = { 55 8B EC D9 00 D8 4D 08 D9 1A 9B D9 40 04 D8 4D 08 D9 5A 04 9B D9 40 08 D8 4D 08 D9 5A 08 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_101692_0 {
	meta:
		name = "VectorDivS"
		size = 35
	strings:
		$1 = { 55 8B EC D9 00 D8 75 08 D9 1A 9B D9 40 04 D8 75 08 D9 5A 04 9B D9 40 08 D8 75 08 D9 5A 08 9B 5D C2 04 00 }
	condition:
		$1
}

rule function_101693_0 {
	meta:
		name = "VectorMul"
		size = 28
	strings:
		$1 = { D9 00 D8 0A D9 19 9B D9 40 04 D8 4A 04 D9 59 04 9B D9 40 08 D8 4A 08 D9 59 08 9B C3 }
	condition:
		$1
}

rule function_101694_0 {
	meta:
		name = "VectorDiv"
		size = 28
	strings:
		$1 = { D9 00 D8 32 D9 19 9B D9 40 04 D8 72 04 D9 59 04 9B D9 40 08 D8 72 08 D9 59 08 9B C3 }
	condition:
		$1
}

rule function_101695_0 {
	meta:
		name = "VectorSmaller"
		size = 75
	strings:
		$1 = { 56 57 83 C4 E8 8B F2 8D 7C 24 0C A5 A5 A5 8B F0 8D 3C 24 A5 A5 A5 D9 04 24 D8 5C 24 0C 9B DF E0 9E 73 1C D9 44 24 04 D8 5C 24 10 9B DF E0 9E 73 0E D9 44 24 08 D8 5C 24 14 9B DF E0 9E 72 04 33 C0 EB 02 B0 01 83 C4 18 5F 5E C3 }
	condition:
		$1
}

rule function_101696_0 {
	meta:
		name = "VectorSmallerEqual"
		size = 75
	strings:
		$1 = { 56 57 83 C4 E8 8B F2 8D 7C 24 0C A5 A5 A5 8B F0 8D 3C 24 A5 A5 A5 D9 04 24 D8 5C 24 0C 9B DF E0 9E 77 1C D9 44 24 04 D8 5C 24 10 9B DF E0 9E 77 0E D9 44 24 08 D8 5C 24 14 9B DF E0 9E 76 04 33 C0 EB 02 B0 01 83 C4 18 5F 5E C3 }
	condition:
		$1
}

rule function_101697_0 {
	meta:
		name = "VectorEqual"
		size = 75
	strings:
		$1 = { 56 57 83 C4 E8 8B F2 8D 7C 24 0C A5 A5 A5 8B F0 8D 3C 24 A5 A5 A5 D9 04 24 D8 5C 24 0C 9B DF E0 9E 75 1C D9 44 24 04 D8 5C 24 10 9B DF E0 9E 75 0E D9 44 24 08 D8 5C 24 14 9B DF E0 9E 74 04 33 C0 EB 02 B0 01 83 C4 18 5F 5E C3 }
	condition:
		$1
}

rule function_101698_0 {
	meta:
		name = "VectorSquareMagnitude"
		size = 55
	strings:
		$1 = { 56 57 83 C4 F0 8B F0 8D 7C 24 04 A5 A5 A5 D9 44 24 04 D8 4C 24 04 D9 44 24 08 D8 4C 24 08 DE C1 D9 44 24 0C D8 4C 24 0C DE C1 D9 1C 24 9B D9 04 24 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_101699_0 {
	meta:
		name = "VectorMagnitude"
		size = 67
		refs = "0032 Sqrt"
	strings:
		$1 = { 56 57 83 C4 F0 8B F0 8D 7C 24 04 A5 A5 A5 D9 44 24 04 D8 4C 24 04 D9 44 24 08 D8 4C 24 08 DE C1 D9 44 24 0C D8 4C 24 0C DE C1 83 C4 F4 DB 3C 24 9B E8 ?? ?? ?? ?? D9 1C 24 9B D9 04 24 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_101700_0 {
	meta:
		name = "VectorNormalize"
		size = 32
		refs = "0009 VectorMagnitude 0019 VectorDivS"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 83 C4 FC D9 1C 24 9B 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_101701_0 {
	meta:
		name = "VectorMin"
		size = 82
	strings:
		$1 = { 56 57 83 C4 EC 8B F0 8D 7C 24 08 A5 A5 A5 8B 44 24 08 89 44 24 04 D9 44 24 0C D8 5C 24 04 9B DF E0 9E 73 08 8B 44 24 0C 89 44 24 04 D9 44 24 10 D8 5C 24 04 9B DF E0 9E 73 08 8B 44 24 10 89 44 24 04 8B 44 24 04 89 04 24 D9 04 24 83 C4 14 5F 5E C3 }
	condition:
		$1
}

rule function_101702_0 {
	meta:
		name = "VectorMax"
		size = 82
	strings:
		$1 = { 56 57 83 C4 EC 8B F0 8D 7C 24 08 A5 A5 A5 8B 44 24 08 89 44 24 04 D9 44 24 04 D8 5C 24 0C 9B DF E0 9E 73 08 8B 44 24 0C 89 44 24 04 D9 44 24 04 D8 5C 24 10 9B DF E0 9E 73 08 8B 44 24 10 89 44 24 04 8B 44 24 04 89 04 24 D9 04 24 83 C4 14 5F 5E C3 }
	condition:
		$1
}

rule function_101703_0 {
	meta:
		name = "VectorMinimize"
		size = 77
	strings:
		$1 = { 53 8B D8 D9 03 D8 1A 9B DF E0 9E 73 06 8B 03 89 01 EB 04 8B 02 89 01 D9 43 04 D8 5A 04 9B DF E0 9E 73 08 8B 43 04 89 41 04 EB 06 8B 42 04 89 41 04 D9 43 08 D8 5A 08 9B DF E0 9E 73 08 8B 43 08 89 41 08 5B C3 8B 42 08 89 41 08 5B C3 }
	condition:
		$1
}

rule function_101704_0 {
	meta:
		name = "VectorMaximize"
		size = 77
	strings:
		$1 = { 53 8B D8 D9 03 D8 1A 9B DF E0 9E 76 06 8B 03 89 01 EB 04 8B 02 89 01 D9 43 04 D8 5A 04 9B DF E0 9E 76 08 8B 43 04 89 41 04 EB 06 8B 42 04 89 41 04 D9 43 08 D8 5A 08 9B DF E0 9E 76 08 8B 43 08 89 41 08 5B C3 8B 42 08 89 41 08 5B C3 }
	condition:
		$1
}

rule function_101705_0 {
	meta:
		name = "VectorDotProduct"
		size = 64
	strings:
		$1 = { 56 57 83 C4 E4 8B F2 8D 7C 24 10 A5 A5 A5 8B F0 8D 7C 24 04 A5 A5 A5 D9 44 24 04 D8 4C 24 10 D9 44 24 08 D8 4C 24 14 DE C1 D9 44 24 0C D8 4C 24 18 DE C1 D9 1C 24 9B D9 04 24 83 C4 1C 5F 5E C3 }
	condition:
		$1
}

rule function_101706_0 {
	meta:
		name = "VectorCrossProduct"
		size = 50
	strings:
		$1 = { D9 40 04 D8 4A 08 D9 40 08 D8 4A 04 DE E9 D9 19 9B D9 40 08 D8 0A D9 00 D8 4A 08 DE E9 D9 59 04 9B D9 00 D8 4A 04 D9 40 04 D8 0A DE E9 D9 59 08 9B C3 }
	condition:
		$1
}

rule function_101707_0 {
	meta:
		name = "DisableFPUExceptions"
		size = 19
	strings:
		$1 = { 55 8B EC 51 9B D9 7D FE 66 83 4D FE 05 D9 6D FE 59 5D C3 }
	condition:
		$1
}

rule function_101708_0 {
	meta:
		name = "EnableFPUExceptions"
		size = 20
	strings:
		$1 = { 55 8B EC 51 9B D9 7D FE 66 81 65 FE FA FF D9 6D FE 59 5D C3 }
	condition:
		$1
}

rule function_101709_0 {
	meta:
		name = "D3DErrorString"
		size = 6936
		refs = "0025 D3DErrorString 0271 @UStrAsg"
	strings:
		$1 = { 53 8B DA 3D EA 02 76 88 0F 8F D3 00 00 00 0F 84 85 04 00 00 05 44 FD 89 77 83 F8 2D 0F 87 99 06 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D 16 08 76 88 0F 8F E1 00 00 00 0F 84 BF 04 00 00 3D 03 03 76 88 7F 7B 0F 84 26 04 00 00 05 15 FD 89 77 83 F8 17 0F 87 AE 05 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D 00 08 76 88 7F 2B 0F 84 EA 03 00 00 2D 04 03 76 88 0F 84 A7 03 00 00 48 0F 84 AE 03 00 00 48 0F 84 B5 03 00 00 48 0F 84 BC 03 00 00 E9 15 05 00 00 2D 02 08 76 88 0F 84 C8 03 00 00 83 E8 0A 0F 84 CD 03 00 00 48 0F 84 D4 03 00 00 48 0F 84 DB 03 00 00 E9 EE 04 00 00 3D 21 08 76 88 7F 3F 0F 84 63 04 00 00 05 E9 F7 89 77 83 F8 08 0F 87 D3 04 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D 26 08 76 88 7F 2B 0F 84 63 04 00 00 2D 22 08 76 88 0F 84 20 04 00 00 48 0F 84 27 04 00 00 48 0F 84 2E 04 00 00 48 0F 84 35 04 00 00 E9 76 04 00 00 2D 34 08 76 88 0F 84 41 04 00 00 48 0F 84 48 04 00 00 48 0F 84 4F 04 00 00 2D CA F7 89 77 0F 85 52 04 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 6F 00 20 00 65 00 72 00 72 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 42 00 41 00 44 00 4D 00 41 00 4A 00 4F 00 52 00 56 00 45 00 52 00 53 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 42 00 41 00 44 00 4D 00 49 00 4E 00 4F 00 52 00 56 00 45 00 52 00 53 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 49 00 4E 00 49 00 54 00 46 00 41 00 49 00 4C 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 44 00 45 00 56 00 49 00 43 00 45 00 41 00 47 00 47 00 52 00 45 00 47 00 41 00 54 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 45 00 58 00 45 00 43 00 55 00 54 00 45 00 5F 00 43 00 52 00 45 00 41 00 54 00 45 00 5F 00 46 00 41 00 49 00 4C 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 45 00 58 00 45 00 43 00 55 00 54 00 45 00 5F 00 44 00 45 00 53 00 54 00 52 00 4F 00 59 00 5F 00 46 00 41 00 49 00 4C 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 45 00 58 00 45 00 43 00 55 00 54 00 45 00 5F 00 4C 00 4F 00 43 00 4B 00 5F 00 46 00 41 00 49 00 4C 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 45 00 58 00 45 00 43 00 55 00 54 00 45 00 5F 00 55 00 4E 00 4C 00 4F 00 43 00 4B 00 5F 00 46 00 41 00 49 00 4C 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 45 00 58 00 45 00 43 00 55 00 54 00 45 00 5F 00 4C 00 4F 00 43 00 4B 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 45 00 58 00 45 00 43 00 55 00 54 00 45 00 5F 00 4E 00 4F 00 54 00 5F 00 4C 00 4F 00 43 00 4B 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 45 00 58 00 45 00 43 00 55 00 54 00 45 00 5F 00 46 00 41 00 49 00 4C 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 45 00 58 00 45 00 43 00 55 00 54 00 45 00 5F 00 43 00 4C 00 49 00 50 00 50 00 45 00 44 00 5F 00 46 00 41 00 49 00 4C 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 54 00 45 00 58 00 54 00 55 00 52 00 45 00 5F 00 4E 00 4F 00 5F 00 53 00 55 00 50 00 50 00 4F 00 52 00 54 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 54 00 45 00 58 00 54 00 55 00 52 00 45 00 5F 00 43 00 52 00 45 00 41 00 54 00 45 00 5F 00 46 00 41 00 49 00 4C 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 54 00 45 00 58 00 54 00 55 00 52 00 45 00 5F 00 44 00 45 00 53 00 54 00 52 00 4F 00 59 00 5F 00 46 00 41 00 49 00 4C 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 54 00 45 00 58 00 54 00 55 00 52 00 45 00 5F 00 4C 00 4F 00 43 00 4B 00 5F 00 46 00 41 00 49 00 4C 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 54 00 45 00 58 00 54 00 55 00 52 00 45 00 5F 00 55 00 4E 00 4C 00 4F 00 43 00 4B 00 5F 00 46 00 41 00 49 00 4C 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 54 00 45 00 58 00 54 00 55 00 52 00 45 00 5F 00 4C 00 4F 00 41 00 44 00 5F 00 46 00 41 00 49 00 4C 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 54 00 45 00 58 00 54 00 55 00 52 00 45 00 5F 00 53 00 57 00 41 00 50 00 5F 00 46 00 41 00 49 00 4C 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 54 00 45 00 58 00 54 00 55 00 52 00 45 00 4C 00 4F 00 43 00 4B 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 54 00 45 00 58 00 54 00 55 00 52 00 45 00 5F 00 4E 00 4F 00 54 00 5F 00 4C 00 4F 00 43 00 4B 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 54 00 45 00 58 00 54 00 55 00 52 00 45 00 5F 00 47 00 45 00 54 00 53 00 55 00 52 00 46 00 5F 00 46 00 41 00 49 00 4C 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 4D 00 41 00 54 00 52 00 49 00 58 00 5F 00 43 00 52 00 45 00 41 00 54 00 45 00 5F 00 46 00 41 00 49 00 4C 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 4D 00 41 00 54 00 52 00 49 00 58 00 5F 00 44 00 45 00 53 00 54 00 52 00 4F 00 59 00 5F 00 46 00 41 00 49 00 4C 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 4D 00 41 00 54 00 52 00 49 00 58 00 5F 00 53 00 45 00 54 00 44 00 41 00 54 00 41 00 5F 00 46 00 41 00 49 00 4C 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 4D 00 41 00 54 00 52 00 49 00 58 00 5F 00 47 00 45 00 54 00 44 00 41 00 54 00 41 00 5F 00 46 00 41 00 49 00 4C 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 53 00 45 00 54 00 56 00 49 00 45 00 57 00 50 00 4F 00 52 00 54 00 44 00 41 00 54 00 41 00 5F 00 46 00 41 00 49 00 4C 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 49 00 4E 00 56 00 41 00 4C 00 49 00 44 00 43 00 55 00 52 00 52 00 45 00 4E 00 54 00 56 00 49 00 45 00 57 00 50 00 4F 00 52 00 54 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 49 00 4E 00 56 00 41 00 4C 00 49 00 44 00 50 00 52 00 49 00 4D 00 49 00 54 00 49 00 56 00 45 00 54 00 59 00 50 00 45 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 49 00 4E 00 56 00 41 00 4C 00 49 00 44 00 56 00 45 00 52 00 54 00 45 00 58 00 54 00 59 00 50 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 54 00 45 00 58 00 54 00 55 00 52 00 45 00 5F 00 42 00 41 00 44 00 53 00 49 00 5A 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 49 00 4E 00 56 00 41 00 4C 00 49 00 44 00 52 00 41 00 4D 00 50 00 54 00 45 00 58 00 54 00 55 00 52 00 45 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 4D 00 41 00 54 00 45 00 52 00 49 00 41 00 4C 00 5F 00 43 00 52 00 45 00 41 00 54 00 45 00 5F 00 46 00 41 00 49 00 4C 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 4D 00 41 00 54 00 45 00 52 00 49 00 41 00 4C 00 5F 00 44 00 45 00 53 00 54 00 52 00 4F 00 59 00 5F 00 46 00 41 00 49 00 4C 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 44 00 33 00 44 00 45 00 52 00 52 00 5F 00 4D 00 41 00 54 00 45 00 52 00 49 00 41 00 4C 00 5F 00 53 00 45 00 54 00 44 00 41 00 54 00 }
	condition:
		$1
}

rule function_101712_0 {
	meta:
		name = "D3DCOLOR_ARGB"
		size = 23
		altNames = "D3DCOLOR_AYUV"
	strings:
		$1 = { 55 8B EC C1 E0 18 C1 E2 10 0B C2 C1 E1 08 0B C1 0B 45 08 5D C2 04 00 }
	condition:
		$1
}

rule function_101714_0 {
	meta:
		name = "D3DCOLOR_XRGB"
		size = 18
		altNames = "D3DCOLOR_XYUV"
	strings:
		$1 = { C1 E0 10 0D 00 00 00 FF C1 E2 08 0B C2 0B C8 8B C1 C3 }
	condition:
		$1
}

rule function_101715_0 {
	meta:
		name = "D3DCOLOR_COLORVALUE"
		size = 88
		refs = "0009 D3DCOLOR_COLORVALUE 000e @ROUND"
	strings:
		$1 = { 55 8B EC 53 D9 45 08 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 C1 E3 18 D9 45 14 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C1 E0 10 0B D8 D9 45 10 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C1 E0 08 0B D8 D9 45 0C D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0B D8 8B C3 5B 5D C2 10 00 00 00 7F 43 }
	condition:
		$1
}

rule function_101947_0 {
	meta:
		name = "D3DRGBA"
		size = 88
		refs = "0009 D3DRGBA 000e @ROUND"
	strings:
		$1 = { 55 8B EC 53 D9 45 08 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 C1 E3 18 D9 45 14 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C1 E0 10 0B D8 D9 45 10 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C1 E0 08 0B D8 D9 45 0C D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0B D8 8B C3 5B 5D C2 10 00 00 00 7F 43 }
	condition:
		$1
}

rule function_101716_0 {
	meta:
		name = "D3DTS_WORLDMATRIX"
		size = 9
	strings:
		$1 = { 0F B6 C0 05 00 01 00 00 C3 }
	condition:
		$1
}

rule function_101717_0 {
	meta:
		name = "D3DVSD_MAKETOKENTYPE"
		size = 9
	strings:
		$1 = { C1 E0 1D 25 00 00 00 E0 C3 }
	condition:
		$1
}

rule function_101718_0 {
	meta:
		name = "D3DVSD_STREAM"
		size = 17
		refs = "0009 D3DVSD_MAKETOKENTYPE"
	strings:
		$1 = { 53 8B D8 B8 01 00 00 00 E8 ?? ?? ?? ?? 0B C3 5B C3 }
	condition:
		$1
}

rule function_101719_0 {
	meta:
		name = "D3DVSD_REG"
		size = 26
		refs = "000c D3DVSD_MAKETOKENTYPE"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 02 00 00 00 E8 ?? ?? ?? ?? C1 E6 10 0B DE 0B C3 5E 5B C3 }
	condition:
		$1
}

rule function_101720_0 {
	meta:
		name = "D3DVSD_SKIP"
		size = 25
		refs = "0009 D3DVSD_MAKETOKENTYPE"
	strings:
		$1 = { 53 8B D8 B8 02 00 00 00 E8 ?? ?? ?? ?? 0D 00 00 00 10 C1 E3 10 0B C3 5B C3 }
	condition:
		$1
}

rule function_101721_0 {
	meta:
		name = "D3DVSD_CONST"
		size = 26
		refs = "000c D3DVSD_MAKETOKENTYPE"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 04 00 00 00 E8 ?? ?? ?? ?? C1 E6 19 0B C6 0B C3 5E 5B C3 }
	condition:
		$1
}

rule function_101722_0 {
	meta:
		name = "D3DVSD_TESSNORMAL"
		size = 31
		refs = "000c D3DVSD_MAKETOKENTYPE"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 03 00 00 00 E8 ?? ?? ?? ?? C1 E3 14 0B C3 0D 00 00 02 00 0B C6 5E 5B C3 }
	condition:
		$1
}

rule function_101723_0 {
	meta:
		name = "D3DVSD_TESSUV"
		size = 27
		refs = "0009 D3DVSD_MAKETOKENTYPE"
	strings:
		$1 = { 53 8B D8 B8 03 00 00 00 E8 ?? ?? ?? ?? 0D 00 00 00 10 0D 00 00 01 00 0B C3 5B C3 }
	condition:
		$1
}

rule function_101724_0 {
	meta:
		name = "D3DPS_VERSION"
		size = 13
	strings:
		$1 = { C1 E0 08 0D 00 00 FF FF 0B D0 8B C2 C3 }
	condition:
		$1
}

rule function_101725_0 {
	meta:
		name = "D3DVS_VERSION"
		size = 13
	strings:
		$1 = { C1 E0 08 0D 00 00 FE FF 0B D0 8B C2 C3 }
	condition:
		$1
}

rule function_101727_0 {
	meta:
		name = "D3DSHADER_VERSION_MINOR"
		size = 9
	strings:
		$1 = { C1 E8 00 25 FF 00 00 00 C3 }
	condition:
		$1
}

rule function_101728_0 {
	meta:
		name = "D3DSHADER_COMMENT"
		size = 14
	strings:
		$1 = { C1 E0 10 25 00 00 FF 7F 0D FE FF 00 00 C3 }
	condition:
		$1
}

rule function_101733_0 {
	meta:
		name = "MAKEFOURCC"
		size = 35
		altNames = "mci_Make_TMSF"
	strings:
		$1 = { 55 8B EC 0F B6 C0 0F B6 D2 C1 E2 08 0B C2 0F B6 D1 C1 E2 10 0B C2 0F B6 55 08 C1 E2 18 0B C2 5D C2 04 00 }
	condition:
		$1
}

rule function_101739_0 {
	meta:
		name = "Direct3DCreate8"
		size = 43
		refs = "000c _Direct3DCreate8 0015 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 83 3B 00 74 08 8B 03 50 8B 00 FF 50 08 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_101775_0 {
	meta:
		name = "Direct3DCreate9"
		size = 43
		refs = "000c _Direct3DCreate9 0015 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 8B 45 0C 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 83 3B 00 74 08 8B 03 50 8B 00 FF 50 08 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_101792_0 {
	meta:
		name = "DDErrorString"
		size = 20100
		refs = "013d DDErrorString 059a @UStrAsg"
	strings:
		$1 = { 53 8B DA 3D CC 01 76 88 0F 8F C7 02 00 00 0F 84 DE 09 00 00 3D E6 00 76 88 0F 8F 76 01 00 00 0F 84 C7 07 00 00 3D 6E 00 76 88 0F 8F A7 00 00 00 0F 84 74 06 00 00 3D 0A 00 76 88 7F 52 0F 84 79 05 00 00 3D 0E 00 07 80 7F 2A 0F 84 EC 08 00 00 2D 01 40 00 80 0F 84 CF 09 00 00 83 E8 04 0F 84 E4 05 00 00 2D EB C1 03 00 0F 84 0B 0B 00 00 E9 14 0B 00 00 2D 57 00 07 80 0F 84 63 06 00 00 2D AE FF 6E 08 0F 84 16 05 00 00 E9 F9 0A 00 00 3D 5A 00 76 88 7F 28 0F 84 BA 05 00 00 2D 14 00 76 88 0F 84 23 05 00 00 83 E8 14 0F 84 60 05 00 00 83 E8 0F 0F 84 73 05 00 00 E9 CA 0A 00 00 2D 5F 00 76 88 0F 84 C5 05 00 00 83 E8 05 0F 84 CA 05 00 00 E9 B1 0A 00 00 3D B4 00 76 88 7F 4E 0F 84 52 06 00 00 3D 96 00 76 88 7F 28 0F 84 1B 06 00 00 2D 78 00 76 88 0F 84 CA 05 00 00 83 E8 0A 0F 84 CF 05 00 00 83 E8 0F 0F 84 E2 05 00 00 E9 75 0A 00 00 2D A0 00 76 88 0F 84 FC 05 00 00 83 E8 0A 0F 84 01 06 00 00 E9 5C 0A 00 00 05 33 FF 89 77 83 F8 14 0F 87 4E 0A 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D 54 01 76 88 0F 8F A1 00 00 00 0F 84 6C 07 00 00 3D 22 01 76 88 7F 4E 0F 84 B7 06 00 00 3D 04 01 76 88 7F 28 0F 84 72 06 00 00 2D F0 00 76 88 0F 84 2F 06 00 00 83 E8 0A 0F 84 42 06 00 00 83 E8 05 0F 84 FD 06 00 00 E9 A6 09 00 00 2D 0E 01 76 88 0F 84 9F 08 00 00 83 E8 0A 0F 84 66 06 00 00 E9 8D 09 00 00 3D 40 01 76 88 7F 26 0F 84 9A 06 00 00 2D 36 01 76 88 0F 84 65 06 00 00 83 E8 06 0F 84 6A 06 00 00 48 0F 84 71 06 00 00 E9 60 09 00 00 2D 4A 01 76 88 0F 84 8B 06 00 00 83 E8 05 0F 84 C8 06 00 00 E9 47 09 00 00 3D 90 01 76 88 7F 4E 0F 84 B4 03 00 00 3D 7E 01 76 88 7F 28 0F 84 FD 06 00 00 2D 5E 01 76 88 0F 84 BA 06 00 00 83 E8 0A 0F 84 BF 06 00 00 83 E8 14 0F 84 D2 06 00 00 E9 0B 09 00 00 2D 80 01 76 88 0F 84 DE 06 00 00 83 E8 03 0F 84 F1 06 00 00 E9 F2 08 00 00 3D AE 01 76 88 7F 1F 0F 84 25 07 00 00 2D 9A 01 76 88 0F 84 FE 06 00 00 83 E8 0A 0F 84 03 07 00 00 E9 CC 08 00 00 2D B8 01 76 88 0F 84 0F 07 00 00 83 E8 0A 0F 84 14 07 00 00 E9 B3 08 00 00 3D 43 02 76 88 0F 8F CF 01 00 00 0F 84 18 04 00 00 05 2A FE 89 77 83 F8 6C 0F 87 94 08 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D 58 02 76 88 7F 4F 0F 84 16 06 00 00 05 BC FD 89 77 83 F8 0C 0F 87 BE 06 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D A8 02 76 88 7F 4C 0F 84 22 06 00 00 3D 76 02 76 88 7F 26 0F 84 EB 05 00 00 2D 59 02 76 88 0F 84 B6 05 00 00 48 0F 84 BD 05 00 00 83 E8 12 0F 84 C2 05 00 00 E9 49 06 00 00 2D 80 02 76 88 0F 84 CE 05 00 00 83 E8 14 0F 84 D3 05 00 00 E9 30 06 00 00 3D B7 02 76 88 7F 1D 0F 84 F9 05 00 00 2D B2 02 76 88 0F 84 D2 05 00 00 48 0F 84 D9 05 00 00 E9 0C 06 00 00 2D BB 02 76 88 0F 84 E5 05 00 00 2D 45 FD 89 77 0F 85 F6 05 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 54 00 68 00 65 00 20 00 72 00 65 00 71 00 75 00 65 00 73 00 74 00 20 00 63 00 6F 00 6D 00 70 00 6C 00 65 00 74 00 65 00 64 00 20 00 73 00 75 00 63 00 63 00 65 00 73 00 73 00 66 00 75 00 6C 00 6C 00 79 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 54 00 68 00 69 00 73 00 20 00 6F 00 62 00 6A 00 65 00 63 00 74 00 20 00 69 00 73 00 20 00 61 00 6C 00 72 00 65 00 61 00 64 00 79 00 20 00 69 00 6E 00 69 00 74 00 69 00 61 00 6C 00 69 00 7A 00 65 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 52 00 00 00 20 00 69 00 66 00 20 00 61 00 20 00 63 00 6C 00 69 00 70 00 70 00 65 00 72 00 20 00 6F 00 62 00 6A 00 65 00 63 00 74 00 20 00 69 00 73 00 20 00 61 00 74 00 74 00 61 00 63 00 68 00 65 00 64 00 20 00 74 00 6F 00 20 00 74 00 68 00 65 00 20 00 73 00 6F 00 75 00 72 00 63 00 65 00 20 00 73 00 75 00 72 00 66 00 61 00 63 00 65 00 20 00 70 00 61 00 73 00 73 00 65 00 64 00 20 00 69 00 6E 00 74 00 6F 00 20 00 61 00 20 00 42 00 6C 00 74 00 46 00 61 00 73 00 74 00 20 00 63 00 61 00 6C 00 6C 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3A 00 00 00 54 00 68 00 69 00 73 00 20 00 73 00 75 00 72 00 66 00 61 00 63 00 65 00 20 00 63 00 61 00 6E 00 20 00 6E 00 6F 00 74 00 20 00 62 00 65 00 20 00 61 00 74 00 74 00 61 00 63 00 68 00 65 00 64 00 20 00 74 00 6F 00 20 00 74 00 68 00 65 00 20 00 72 00 65 00 71 00 75 00 65 00 73 00 74 00 65 00 64 00 20 00 73 00 75 00 72 00 66 00 61 00 63 00 65 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 3C 00 00 00 54 00 68 00 69 00 73 00 20 00 73 00 75 00 72 00 66 00 61 00 63 00 65 00 20 00 63 00 61 00 6E 00 20 00 6E 00 6F 00 74 00 20 00 62 00 65 00 20 00 64 00 65 00 74 00 61 00 63 00 68 00 65 00 64 00 20 00 66 00 72 00 6F 00 6D 00 20 00 74 00 68 00 65 00 20 00 72 00 65 00 71 00 75 00 65 00 73 00 74 00 65 00 64 00 20 00 73 00 75 00 72 00 66 00 61 00 63 00 65 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 20 00 63 00 61 00 6E 00 20 00 6E 00 6F 00 74 00 20 00 63 00 72 00 65 00 61 00 74 00 65 00 20 00 61 00 6E 00 79 00 20 00 6D 00 6F 00 72 00 65 00 20 00 44 00 43 00 73 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 50 00 00 00 43 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 64 00 75 00 70 00 6C 00 69 00 63 00 61 00 74 00 65 00 20 00 70 00 72 00 69 00 6D 00 61 00 72 00 79 00 20 00 26 00 20 00 33 00 44 00 20 00 73 00 75 00 72 00 66 00 61 00 63 00 65 00 73 00 2C 00 20 00 6F 00 72 00 20 00 73 00 75 00 72 00 66 00 61 00 63 00 65 00 73 00 20 00 74 00 68 00 61 00 74 00 20 00 61 00 72 00 65 00 20 00 69 00 6D 00 70 00 6C 00 69 00 63 00 69 00 74 00 6C 00 79 00 20 00 63 00 72 00 65 00 61 00 74 00 65 00 64 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 5E 00 00 00 41 00 6E 00 20 00 61 00 74 00 74 00 65 00 6D 00 70 00 74 00 20 00 77 00 61 00 73 00 20 00 6D 00 61 00 64 00 65 00 20 00 74 00 6F 00 20 00 73 00 65 00 74 00 20 00 61 00 20 00 63 00 6C 00 69 00 70 00 6C 00 69 00 73 00 74 00 20 00 66 00 6F 00 72 00 20 00 61 00 20 00 63 00 6C 00 69 00 70 00 70 00 65 00 72 00 20 00 6F 00 62 00 6A 00 65 00 63 00 74 00 20 00 74 00 68 00 61 00 74 00 20 00 69 00 73 00 20 00 61 00 6C 00 72 00 65 00 61 00 64 00 79 00 20 00 6D 00 6F 00 6E 00 69 00 74 00 6F 00 72 00 69 00 6E 00 67 00 20 00 61 00 6E 00 20 00 68 00 77 00 6E 00 64 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 2E 00 00 00 4E 00 6F 00 20 00 73 00 72 00 63 00 20 00 63 00 6F 00 6C 00 6F 00 72 00 20 00 6B 00 65 00 79 00 }
	condition:
		$1
}

rule function_101804_0 {
	meta:
		name = "DIDFT_ENUMCOLLECTION"
		size = 7
		altNames = "DIDFT_MAKEINSTANCE"
	strings:
		$1 = { 0F B7 C0 C1 E0 08 C3 }
	condition:
		$1
}

rule function_101809_0 {
	meta:
		name = "DIJOFS_SLIDER"
		size = 14
	strings:
		$1 = { 33 D2 83 C2 18 03 C0 03 C0 03 D0 8B C2 C3 }
	condition:
		$1
}

rule function_101810_0 {
	meta:
		name = "DIJOFS_POV"
		size = 14
	strings:
		$1 = { 33 D2 83 C2 20 03 C0 03 C0 03 D0 8B C2 C3 }
	condition:
		$1
}

rule function_101811_0 {
	meta:
		name = "DIJOFS_BUTTON"
		size = 14
	strings:
		$1 = { 33 D2 83 C2 30 03 C0 03 C0 03 D0 8B C2 C3 }
	condition:
		$1
}

rule function_101812_0 {
	meta:
		name = "DIBUTTON_ANY"
		size = 6
	strings:
		$1 = { 0D 00 44 00 FF C3 }
	condition:
		$1
}

rule function_101818_0 {
	meta:
		name = "MAKE_DMHRESULTSUCCESS"
		size = 11
	strings:
		$1 = { 05 00 10 00 00 0D 00 00 78 08 C3 }
	condition:
		$1
}

rule function_101819_0 {
	meta:
		name = "MAKE_DMHRESULTERROR"
		size = 11
	strings:
		$1 = { 05 00 10 00 00 0D 00 00 78 88 C3 }
	condition:
		$1
}

rule function_101820_0 {
	meta:
		name = "DSBUSID_IS_SPKR_LOC"
		size = 15
	strings:
		$1 = { 85 C0 7C 05 83 F8 11 7E 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_101822_0 {
	meta:
		name = "DMUS_EVENT_SIZE"
		size = 10
	strings:
		$1 = { 83 C0 14 83 C0 07 83 E0 F8 C3 }
	condition:
		$1
}

rule function_101825_0 {
	meta:
		name = "MAKE_DPNHRESULT"
		size = 11
	strings:
		$1 = { 05 00 80 00 00 0D 00 00 15 80 C3 }
	condition:
		$1
}

rule function_101877_0 {
	meta:
		name = "MAKE_DSHRESULT"
		size = 6
	strings:
		$1 = { 0D 00 00 78 88 C3 }
	condition:
		$1
}

rule function_101878_0 {
	meta:
		name = "DSSPEAKER_COMBINED"
		size = 12
	strings:
		$1 = { 0F B6 C0 0F B6 D2 C1 E2 10 0B C2 C3 }
	condition:
		$1
}

rule function_101880_0 {
	meta:
		name = "DSSPEAKER_GEOMETRY"
		size = 6
	strings:
		$1 = { C1 E8 10 24 FF C3 }
	condition:
		$1
}

rule function_101942_0 {
	meta:
		name = "DwmCompositionEnabled"
		size = 35
		refs = "0002 Win32MajorVersion 000d DwmIsCompositionEnabled"
	strings:
		$1 = { 51 A1 ?? ?? ?? ?? 83 38 06 7C 10 54 E8 ?? ?? ?? ?? 85 C0 75 06 83 3C 24 00 75 04 33 C0 5A C3 B0 01 5A C3 }
	condition:
		$1
}

rule function_101948_0 {
	meta:
		name = "D3DRGB"
		size = 76
		refs = "0009 D3DRGB 000e @ROUND"
	strings:
		$1 = { 55 8B EC 53 D9 45 10 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 C1 E3 10 81 CB 00 00 00 FF D9 45 0C D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? C1 E0 08 0B D8 D9 45 08 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 0B D8 8B C3 5B 5D C2 0C 00 00 00 00 7F 43 }
	condition:
		$1
}

rule function_101963_0 {
	meta:
		name = "MAKE_DXGI_HRESULT"
		size = 6
	strings:
		$1 = { 0D 00 00 7A 88 C3 }
	condition:
		$1
}

rule function_101964_0 {
	meta:
		name = "MAKE_DXGI_STATUS"
		size = 6
	strings:
		$1 = { 0D 00 00 7A 08 C3 }
	condition:
		$1
}

rule function_101969_0 {
	meta:
		name = "_D3DVECTOR.Zero"
		size = 15
	strings:
		$1 = { 33 D2 89 10 33 D2 89 50 04 33 D2 89 50 08 C3 }
	condition:
		$1
}

rule function_101970_0 {
	meta:
		name = "_D3DMATRIX.&op_Addition"
		size = 29
	strings:
		$1 = { 53 8B D8 B8 10 00 00 00 D9 03 D8 02 D9 19 9B 83 C1 04 83 C3 04 83 C2 04 48 75 ED 5B C3 }
	condition:
		$1
}

rule function_101973_0 {
	meta:
		name = "_D3DMATRIX.&op_Multiply"
		size = 31
	strings:
		$1 = { 55 8B EC 8B C8 B8 10 00 00 00 D9 01 D8 4D 08 D9 1A 9B 83 C2 04 83 C1 04 48 75 EF 5D C2 04 00 }
	condition:
		$1
}

rule function_101974_0 {
	meta:
		name = "_D3DMATRIX.&op_Subtraction"
		size = 29
	strings:
		$1 = { 53 8B D8 B8 10 00 00 00 D9 03 D8 22 D9 19 9B 83 C1 04 83 C3 04 83 C2 04 48 75 ED 5B C3 }
	condition:
		$1
}

rule function_101977_0 {
	meta:
		name = "_D3DCOLORVALUE.&op_Implicit"
		size = 112
		refs = "0011 _D3DCOLORVALUE.&op_Implicit"
	strings:
		$1 = { 51 8B C8 C1 E9 10 0F B6 C9 89 0C 24 DB 04 24 DB 2D ?? ?? ?? ?? DE C9 D9 1A 9B 8B C8 C1 E9 08 0F B6 C9 89 0C 24 DB 04 24 DB 2D ?? ?? ?? ?? DE C9 D9 5A 04 9B 0F B6 C8 89 0C 24 DB 04 24 DB 2D ?? ?? ?? ?? DE C9 D9 5A 08 9B C1 E8 18 0F B6 C0 89 04 24 DB 04 24 DB 2D ?? ?? ?? ?? DE C9 D9 5A 0C 9B 5A C3 00 81 80 80 80 80 80 80 80 F7 3F 00 00 }
	condition:
		$1
}

rule function_101978_0 {
	meta:
		name = "_D3DCOLORVALUE.&op_Implicit"
		size = 292
		refs = "000a _D3DCOLORVALUE.&op_Implicit 003c @TRUNC"
	strings:
		$1 = { 53 56 57 55 8B D8 D9 03 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 07 BE FF 00 00 00 EB 27 D9 03 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 04 33 F6 EB 15 D9 03 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 D9 43 04 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 07 BF FF 00 00 00 EB 29 D9 43 04 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 04 33 FF EB 16 D9 43 04 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 D9 43 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 07 BD FF 00 00 00 EB 29 D9 43 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 04 33 ED EB 16 D9 43 08 D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E8 D9 43 0C D8 1D ?? ?? ?? ?? 9B DF E0 9E 76 07 B8 FF 00 00 00 EB 27 D9 43 0C D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 04 33 C0 EB 14 D9 43 0C D8 0D ?? ?? ?? ?? D8 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? C1 E0 18 C1 E6 10 0B C6 C1 E7 08 0B C7 0B E8 8B C5 5D 5F 5E 5B C3 00 00 00 80 3F 00 00 00 00 00 00 7F 43 00 00 00 3F }
	condition:
		$1
}

rule function_101981_0 {
	meta:
		name = "FlatSB_GetScrollProp"
		size = 48
		refs = "0005 _FlatSB_GetScrollProp"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 74 16 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 F6 D8 1B C0 5D C2 0C 00 }
	condition:
		$1
}

rule function_101982_0 {
	meta:
		name = "FlatSB_SetScrollProp"
		size = 52
		refs = "0005 _FlatSB_SetScrollProp"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 74 1A 8B 45 14 50 8B 45 10 50 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 F6 D8 1B C0 5D C2 10 00 }
	condition:
		$1
}

rule function_101983_0 {
	meta:
		name = "InitializeFlatSB"
		size = 40
		refs = "0005 _InitializeFlatSB"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 74 0E 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 02 B0 01 F6 D8 1B C0 5D C2 04 00 }
	condition:
		$1
}

rule function_101984_0 {
	meta:
		name = "UninitializeFlatSB"
		size = 26
		refs = "0005 _UninitializeFlatSB"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 74 0A 8B 45 08 50 FF 15 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_101985_0 {
	meta:
		name = "InitFlatSB"
		size = 896
		refs = "0003 InitFlatSB 0008 GetModuleHandle 001d GetProcAddress 0022 _InitializeFlatSB 0032 _UninitializeFlatSB 0042 _FlatSB_GetScrollProp 0052 _FlatSB_SetScrollProp 0065 FlatSB_EnableScrollBar 006e EnableScrollBar 0086 FlatSB_ShowScrollBar 008f ShowScrollBar 00a7 FlatSB_GetScrollRange 00b0 GetScrollRange 00c8 FlatSB_GetScrollInfo 00d1 GetScrollInfo 00e9 FlatSB_GetScrollPos 00f2 GetScrollPos 010a FlatSB_SetScrollPos 0113 SetScrollPos 012b FlatSB_SetScrollInfo 0134 SetScrollInfo 014c FlatSB_SetScrollRange 0155 SetScrollRange"
	strings:
		$1 = { 53 56 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 84 48 01 00 00 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 0A B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 0A B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 0A B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 0A B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 0A B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 0A B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 0A B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 8B F0 89 35 ?? ?? ?? ?? 85 F6 75 0A B8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 5E 5B C3 00 00 00 63 00 6F 00 6D 00 63 00 74 00 6C 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 49 00 6E 00 69 00 74 00 69 00 61 00 6C 00 69 00 7A 00 65 00 46 00 6C 00 61 00 74 00 53 00 42 00 00 00 00 00 55 00 6E 00 69 00 6E 00 69 00 74 00 69 00 61 00 6C 00 69 00 7A 00 65 00 46 00 6C 00 61 00 74 00 53 00 42 00 00 00 00 00 46 00 6C 00 61 00 74 00 53 00 42 00 5F 00 47 00 65 00 74 00 53 00 63 00 72 00 6F 00 6C 00 6C 00 50 00 72 00 6F 00 70 00 00 00 00 00 46 00 6C 00 61 00 74 00 53 00 42 00 5F 00 53 00 65 00 74 00 53 00 63 00 72 00 6F 00 6C 00 6C 00 50 00 72 00 6F 00 70 00 00 00 00 00 46 00 6C 00 61 00 74 00 53 00 42 00 5F 00 45 00 6E 00 61 00 62 00 6C 00 65 00 53 00 63 00 72 00 6F 00 6C 00 6C 00 42 00 61 00 72 00 00 00 00 00 46 00 6C 00 61 00 74 00 53 00 42 00 5F 00 53 00 68 00 6F 00 77 00 53 00 63 00 72 00 6F 00 6C 00 6C 00 42 00 61 00 72 00 00 00 00 00 46 00 6C 00 61 00 74 00 53 00 42 00 5F 00 47 00 65 00 74 00 53 00 63 00 72 00 6F 00 6C 00 6C 00 52 00 61 00 6E 00 67 00 65 00 00 00 46 00 6C 00 61 00 74 00 53 00 42 00 5F 00 47 00 65 00 74 00 53 00 63 00 72 00 6F 00 6C 00 6C 00 49 00 6E 00 66 00 6F 00 00 00 00 00 46 00 6C 00 61 00 74 00 53 00 42 00 5F 00 47 00 65 00 74 00 53 00 63 00 72 00 6F 00 6C 00 6C 00 50 00 6F 00 73 00 00 00 46 00 6C 00 61 00 74 00 53 00 42 00 5F 00 53 00 65 00 74 00 53 00 63 00 72 00 6F 00 6C 00 6C 00 50 00 6F 00 73 00 00 00 46 00 6C 00 61 00 74 00 53 00 42 00 5F 00 53 00 65 00 74 00 53 00 63 00 72 00 6F 00 6C 00 6C 00 49 00 6E 00 66 00 6F 00 00 00 00 00 46 00 6C 00 61 00 74 00 53 00 42 00 5F 00 53 00 65 00 74 00 53 00 63 00 72 00 6F 00 6C 00 6C 00 52 00 61 00 6E 00 67 00 65 00 00 00 }
	condition:
		$1
}

rule function_103205_0 {
	meta:
		name = "TGdiplusBase.NewInstance"
		size = 27
		refs = "000c GdipAlloc 0015 TObject.InitInstance"
	strings:
		$1 = { 53 8B D8 8B C3 83 C0 CC 8B 00 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_103207_0 {
	meta:
		name = "ObjectTypeIsValid"
		size = 21
	strings:
		$1 = { 83 F8 01 72 05 83 F8 09 76 04 33 C0 EB 02 B0 01 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_103208_0 {
	meta:
		name = "GDIP_WMF_RECORD_TO_EMFPLUS"
		size = 6
	strings:
		$1 = { 0D 00 00 01 00 C3 }
	condition:
		$1
}

rule function_103209_0 {
	meta:
		name = "GDIP_EMFPLUS_RECORD_TO_WMF"
		size = 6
	strings:
		$1 = { 25 FF FF FE FF C3 }
	condition:
		$1
}

rule function_103210_0 {
	meta:
		name = "GDIP_IS_WMF_RECORDTYPE"
		size = 13
		altNames = "IsIndexedPixelFormat"
	strings:
		$1 = { A9 00 00 01 00 0F 95 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_103217_0 {
	meta:
		name = "MakeRect"
		size = 52
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 7C 24 08 A5 A5 8B F0 8D 3C 24 A5 A5 8B 04 24 89 01 8B 44 24 04 89 41 04 8B 44 24 08 89 41 08 8B 44 24 0C 89 41 0C 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_103220_0 {
	meta:
		name = "MakeRect"
		size = 28
	strings:
		$1 = { 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 2B 08 89 4A 08 8B 48 0C 2B 48 04 89 4A 0C C3 }
	condition:
		$1
}

rule function_103221_0 {
	meta:
		name = "TPathData.Create"
		size = 47
		refs = "0008 @ClassCreate 0020 @AfterConstruction"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 33 C9 89 48 04 33 C9 89 48 08 33 C9 89 48 0C 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_103222_0 {
	meta:
		name = "TPathData.Destroy"
		size = 49
		refs = "0003 @BeforeDestruction 0013 @FreeMem 002a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 85 C0 74 05 E8 ?? ?? ?? ?? 8B 46 0C 85 C0 74 05 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103225_0 {
	meta:
		name = "IsAlphaPixelFormat"
		size = 13
	strings:
		$1 = { A9 00 00 04 00 0F 95 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_103226_0 {
	meta:
		name = "IsExtendedPixelFormat"
		size = 13
	strings:
		$1 = { A9 00 00 10 00 0F 95 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_103227_0 {
	meta:
		name = "IsCanonicalPixelFormat"
		size = 13
	strings:
		$1 = { A9 00 00 20 00 0F 95 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_103228_0 {
	meta:
		name = "MakeColor"
		size = 12
		refs = "0007 MakeColor"
	strings:
		$1 = { 51 B1 FF 91 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_103229_0 {
	meta:
		name = "CMYK"
		size = 39
		altNames = "MakeColor"
	strings:
		$1 = { 55 8B EC 53 0F B6 5D 08 0F B6 C9 C1 E1 08 0B D9 0F B6 D2 C1 E2 10 0B DA 0F B6 C0 C1 E0 18 0B D8 8B C3 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103232_0 {
	meta:
		name = "GetGValue"
		size = 4
		altNames = "GetGreen GetYValue"
	strings:
		$1 = { C1 E8 08 C3 }
	condition:
		$1
}

rule function_103233_0 {
	meta:
		name = "GetBlue"
		size = 4
	strings:
		$1 = { C1 E8 00 C3 }
	condition:
		$1
}

rule function_103234_0 {
	meta:
		name = "ColorRefToARGB"
		size = 38
	strings:
		$1 = { 8B D0 C1 EA 10 0F B6 D2 8B C8 C1 E9 08 0F B6 C9 C1 E1 08 0B D1 0F B6 C0 C1 E0 10 0B D0 81 CA 00 00 00 FF 8B C2 C3 }
	condition:
		$1
}

rule function_103235_0 {
	meta:
		name = "ARGBToColorRef"
		size = 35
	strings:
		$1 = { 8B D0 C1 EA 10 0F B6 D2 8B C8 C1 E9 08 0F B6 C9 C1 E1 08 0B D1 C1 E8 00 0F B6 C0 C1 E0 10 0B D0 8B C2 C3 }
	condition:
		$1
}

rule function_103236_0 {
	meta:
		name = "TMetafileHeader.GetBounds"
		size = 24
	strings:
		$1 = { 8B 48 1C 89 0A 8B 48 20 89 4A 04 8B 48 24 89 4A 08 8B 40 28 89 42 0C C3 }
	condition:
		$1
}

rule function_103237_0 {
	meta:
		name = "TMetafileHeader.IsWmf"
		size = 24
	strings:
		$1 = { 8B 50 04 83 FA 01 74 09 83 FA 02 74 04 33 C0 EB 02 B0 01 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_103238_0 {
	meta:
		name = "TMetafileHeader.IsWmfPlaceable"
		size = 12
	strings:
		$1 = { 83 78 04 02 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_103239_0 {
	meta:
		name = "TMetafileHeader.IsEmf"
		size = 12
	strings:
		$1 = { 83 78 04 03 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_103240_0 {
	meta:
		name = "TMetafileHeader.IsEmfOrEmfPlus"
		size = 12
	strings:
		$1 = { 83 78 04 03 0F 93 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_103241_0 {
	meta:
		name = "TMetafileHeader.IsEmfPlus"
		size = 12
	strings:
		$1 = { 83 78 04 04 0F 93 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_103242_0 {
	meta:
		name = "TMetafileHeader.IsEmfPlusDual"
		size = 12
	strings:
		$1 = { 83 78 04 05 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_103243_0 {
	meta:
		name = "TMetafileHeader.IsEmfPlusOnly"
		size = 12
	strings:
		$1 = { 83 78 04 04 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_103244_0 {
	meta:
		name = "TMetafileHeader.IsDisplay"
		size = 32
		refs = "0006 TMetafileHeader.IsEmfPlus"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 06 F6 43 10 01 75 04 33 C0 EB 02 B0 01 F6 D8 1B C0 5B C3 }
	condition:
		$1
}

rule function_103245_0 {
	meta:
		name = "TMetafileHeader.GetWmfHeader"
		size = 23
		refs = "0006 TMetafileHeader.IsWmf"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 05 8D 43 2C 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_103246_0 {
	meta:
		name = "TMetafileHeader.GetEmfHeader"
		size = 23
		refs = "0006 TMetafileHeader.IsEmfOrEmfPlus"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 05 8D 43 2C 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_103249_0 {
	meta:
		name = "TGPImageAttributes.Create"
		size = 61
		refs = "000a @ClassCreate 001c GdipCreateImageAttributes 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 04 8D 46 04 50 E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_103880_0 {
	meta:
		name = "TGPInstalledFontCollection.Create"
		size = 61
		refs = "000a @ClassCreate 001c GdipNewInstalledFontCollection 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 04 8D 46 04 50 E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_103882_0 {
	meta:
		name = "TGPPrivateFontCollection.Create"
		size = 61
		refs = "000a @ClassCreate 001c GdipNewPrivateFontCollection 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 04 8D 46 04 50 E8 ?? ?? ?? ?? 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_103251_0 {
	meta:
		name = "TGPImageAttributes.Clone"
		size = 46
		refs = "000a GdipCloneImageAttributes 0013 TGPImageAttributes.SetStatus 0022 _DV_TGPImageAttributes 0027 TGPImageAttributes.Create"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 08 50 8B 4C 24 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_103252_0 {
	meta:
		name = "TGPImageAttributes.SetToIdentity"
		size = 28
		refs = "000c GdipSetImageAttributesToIdentity 0015 TGPImageAttributes.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103344_0 {
	meta:
		name = "TGPAdjustableArrowCap.SetFillState"
		size = 28
		refs = "000c GdipSetAdjustableArrowCapFillState 0015 TGPCustomLineCap.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103638_0 {
	meta:
		name = "TGPBitmap.GetHICON"
		size = 28
		refs = "000c GdipCreateHICONFromBitmap 0015 TGPImage.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103623_0 {
	meta:
		name = "TGPBitmap.UnlockBits"
		size = 28
		refs = "000c GdipBitmapUnlockBits 0015 TGPImage.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103440_0 {
	meta:
		name = "TGPCustomLineCap.SetBaseCap"
		size = 28
		refs = "000c GdipSetCustomLineCapBaseCap 0015 TGPCustomLineCap.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103438_0 {
	meta:
		name = "TGPCustomLineCap.SetStrokeJoin"
		size = 28
		refs = "000c GdipSetCustomLineCapStrokeJoin 0015 TGPCustomLineCap.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103727_0 {
	meta:
		name = "TGPGraphics.Clear"
		size = 28
		refs = "000c GdipGraphicsClear 0015 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103827_0 {
	meta:
		name = "TGPGraphics.EndContainer"
		size = 28
		refs = "000c GdipEndContainer 0015 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103809_0 {
	meta:
		name = "TGPGraphics.GetClipBounds"
		size = 28
		refs = "000c GdipGetClipBoundsI 0015 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103808_0 {
	meta:
		name = "TGPGraphics.GetClipBounds"
		size = 28
		refs = "000c GdipGetClipBounds 0015 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103683_0 {
	meta:
		name = "TGPGraphics.GetNearestColor"
		size = 28
		refs = "000c GdipGetNearestColor 0015 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103811_0 {
	meta:
		name = "TGPGraphics.GetVisibleClipBounds"
		size = 28
		refs = "000c GdipGetVisibleClipBounds 0015 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103812_0 {
	meta:
		name = "TGPGraphics.GetVisibleClipBounds"
		size = 28
		refs = "000c GdipGetVisibleClipBoundsI 0015 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103651_0 {
	meta:
		name = "TGPGraphics.ReleaseHDC"
		size = 28
		refs = "000c GdipReleaseDC 0015 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103823_0 {
	meta:
		name = "TGPGraphics.Restore"
		size = 28
		refs = "000c GdipRestoreGraphics 0015 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103654_0 {
	meta:
		name = "TGPGraphics.SetCompositingMode"
		size = 28
		refs = "000c GdipSetCompositingMode 0015 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103656_0 {
	meta:
		name = "TGPGraphics.SetCompositingQuality"
		size = 28
		refs = "000c GdipSetCompositingQuality 0015 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103663_0 {
	meta:
		name = "TGPGraphics.SetInterpolationMode"
		size = 28
		refs = "000c GdipSetInterpolationMode 0015 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103675_0 {
	meta:
		name = "TGPGraphics.SetPageUnit"
		size = 28
		refs = "000c GdipSetPageUnit 0015 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103667_0 {
	meta:
		name = "TGPGraphics.SetPixelOffsetMode"
		size = 28
		refs = "000c GdipSetPixelOffsetMode 0015 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103665_0 {
	meta:
		name = "TGPGraphics.SetSmoothingMode"
		size = 28
		refs = "000c GdipSetSmoothingMode 0015 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103660_0 {
	meta:
		name = "TGPGraphics.SetTextContrast"
		size = 28
		refs = "000c GdipSetTextContrast 0015 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103658_0 {
	meta:
		name = "TGPGraphics.SetTextRenderingHint"
		size = 28
		refs = "000c GdipSetTextRenderingHint 0015 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103901_0 {
	meta:
		name = "TGPGraphicsPath.GetLastPoint"
		size = 28
		refs = "000c GdipGetPathLastPoint 0015 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103893_0 {
	meta:
		name = "TGPGraphicsPath.SetFillMode"
		size = 28
		refs = "000c GdipSetPathFillMode 0015 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103566_0 {
	meta:
		name = "TGPHatchBrush.GetBackgroundColor"
		size = 28
		refs = "000c GdipGetHatchBackgroundColor 0015 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103565_0 {
	meta:
		name = "TGPHatchBrush.GetForegroundColor"
		size = 28
		refs = "000c GdipGetHatchForegroundColor 0015 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103586_0 {
	meta:
		name = "TGPImage.GetRawFormat"
		size = 28
		refs = "000c GdipGetImageRawFormat 0015 TGPImage.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103603_0 {
	meta:
		name = "TGPImage.RemovePropertyItem"
		size = 28
		refs = "000c GdipRemovePropertyItem 0015 TGPImage.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103596_0 {
	meta:
		name = "TGPImage.RotateFlip"
		size = 28
		refs = "000c GdipImageRotateFlip 0015 TGPImage.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103576_0 {
	meta:
		name = "TGPImage.SaveAdd"
		size = 28
		refs = "000c GdipSaveAdd 0015 TGPImage.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103590_0 {
	meta:
		name = "TGPImage.SetPalette"
		size = 28
		refs = "000c GdipSetImagePalette 0015 TGPImage.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103604_0 {
	meta:
		name = "TGPImage.SetPropertyItem"
		size = 28
		refs = "000c GdipSetPropertyItem 0015 TGPImage.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103253_0 {
	meta:
		name = "TGPImageAttributes.Reset"
		size = 28
		refs = "000c GdipResetImageAttributes 0015 TGPImageAttributes.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103542_0 {
	meta:
		name = "TGPLinearGradientBrush.GetRectangle"
		size = 28
		refs = "000c GdipGetLineRectI 0015 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103541_0 {
	meta:
		name = "TGPLinearGradientBrush.GetRectangle"
		size = 28
		refs = "000c GdipGetLineRect 0015 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103543_0 {
	meta:
		name = "TGPLinearGradientBrush.SetGammaCorrection"
		size = 28
		refs = "000c GdipSetLineGammaCorrection 0015 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103560_0 {
	meta:
		name = "TGPLinearGradientBrush.SetWrapMode"
		size = 28
		refs = "000c GdipSetLineWrapMode 0015 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103286_0 {
	meta:
		name = "TGPMatrix.GetElements"
		size = 28
		refs = "000c GdipGetMatrixElements 0015 TGPMatrix.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103367_0 {
	meta:
		name = "TGPMetafile.SetDownLevelRasterizationLimit"
		size = 28
		refs = "000c GdipSetMetafileDownLevelRasterizationLimit 0015 TGPImage.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103999_0 {
	meta:
		name = "TGPPathGradientBrush.GetCenterPoint"
		size = 28
		refs = "000c GdipGetPathGradientCenterPointI 0015 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103998_0 {
	meta:
		name = "TGPPathGradientBrush.GetCenterPoint"
		size = 28
		refs = "000c GdipGetPathGradientCenterPoint 0015 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_104003_0 {
	meta:
		name = "TGPPathGradientBrush.GetRectangle"
		size = 28
		refs = "000c GdipGetPathGradientRectI 0015 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_104002_0 {
	meta:
		name = "TGPPathGradientBrush.GetRectangle"
		size = 28
		refs = "000c GdipGetPathGradientRect 0015 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_104004_0 {
	meta:
		name = "TGPPathGradientBrush.SetGammaCorrection"
		size = 28
		refs = "000c GdipSetPathGradientGammaCorrection 0015 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_104024_0 {
	meta:
		name = "TGPPathGradientBrush.SetWrapMode"
		size = 28
		refs = "000c GdipSetPathGradientWrapMode 0015 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103475_0 {
	meta:
		name = "TGPPen.SetAlignment"
		size = 28
		refs = "000c GdipSetPenMode 0015 TGPPen.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103485_0 {
	meta:
		name = "TGPPen.SetColor"
		size = 28
		refs = "000c GdipSetPenColor 0015 TGPPen.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103463_0 {
	meta:
		name = "TGPPen.SetDashCap"
		size = 28
		refs = "000c GdipSetPenDashCap197819 0015 TGPPen.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103490_0 {
	meta:
		name = "TGPPen.SetDashStyle"
		size = 28
		refs = "000c GdipSetPenDashStyle 0015 TGPPen.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103462_0 {
	meta:
		name = "TGPPen.SetEndCap"
		size = 28
		refs = "000c GdipSetPenEndCap 0015 TGPPen.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103467_0 {
	meta:
		name = "TGPPen.SetLineJoin"
		size = 28
		refs = "000c GdipSetPenLineJoin 0015 TGPPen.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103461_0 {
	meta:
		name = "TGPPen.SetStartCap"
		size = 28
		refs = "000c GdipSetPenStartCap 0015 TGPPen.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103513_0 {
	meta:
		name = "TGPSolidBrush.SetColor"
		size = 28
		refs = "000c GdipSetSolidFillColor 0015 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103317_0 {
	meta:
		name = "TGPStringFormat.SetAlignment"
		size = 28
		refs = "000c GdipSetStringFormatAlign 0015 TGPStringFormat.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103315_0 {
	meta:
		name = "TGPStringFormat.SetFormatFlags"
		size = 28
		refs = "000c GdipSetStringFormatFlags 0015 TGPStringFormat.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103321_0 {
	meta:
		name = "TGPStringFormat.SetHotkeyPrefix"
		size = 28
		refs = "000c GdipSetStringFormatHotkeyPrefix 0015 TGPStringFormat.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103319_0 {
	meta:
		name = "TGPStringFormat.SetLineAlignment"
		size = 28
		refs = "000c GdipSetStringFormatLineAlign 0015 TGPStringFormat.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103329_0 {
	meta:
		name = "TGPStringFormat.SetTrimming"
		size = 28
		refs = "000c GdipSetStringFormatTrimming 0015 TGPStringFormat.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103529_0 {
	meta:
		name = "TGPTextureBrush.SetWrapMode"
		size = 28
		refs = "000c GdipSetTextureWrapMode 0015 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103254_0 {
	meta:
		name = "TGPImageAttributes.SetColorMatrix"
		size = 47
		refs = "001b GdipSetImageAttributesColorMatrix 0024 TGPImageAttributes.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 57 6A 00 56 6A FF 8B 45 08 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103255_0 {
	meta:
		name = "TGPImageAttributes.ClearColorMatrices"
		size = 36
		refs = "0014 GdipSetImageAttributesColorMatrix 001d TGPImageAttributes.SetStatus"
		altNames = "TGPImageAttributes.ClearColorMatrix"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 6A 00 6A 00 6A 00 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103256_0 {
	meta:
		name = "TGPImageAttributes.SetColorMatrices"
		size = 49
		refs = "001d GdipSetImageAttributesColorMatrix 0026 TGPImageAttributes.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 50 57 56 6A FF 8B 45 08 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103258_0 {
	meta:
		name = "TGPImageAttributes.SetThreshold"
		size = 39
		refs = "0014 GdipSetImageAttributesThreshold 001d TGPImageAttributes.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 08 6A FF 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103260_0 {
	meta:
		name = "TGPImageAttributes.SetGamma"
		size = 39
		refs = "0014 GdipSetImageAttributesGamma 001d TGPImageAttributes.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 08 6A FF 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103259_0 {
	meta:
		name = "TGPImageAttributes.ClearThreshold"
		size = 32
		refs = "0010 GdipSetImageAttributesThreshold 0019 TGPImageAttributes.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 6A 00 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103261_0 {
	meta:
		name = "TGPImageAttributes.ClearGamma"
		size = 32
		refs = "0010 GdipSetImageAttributesGamma 0019 TGPImageAttributes.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 6A 00 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103269_0 {
	meta:
		name = "TGPImageAttributes.ClearOutputChannelColorProfile"
		size = 32
		refs = "0010 GdipSetImageAttributesOutputChannelColorProfile 0019 TGPImageAttributes.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 6A 00 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103262_0 {
	meta:
		name = "TGPImageAttributes.SetNoOp"
		size = 30
		refs = "000e GdipSetImageAttributesNoOp 0017 TGPImageAttributes.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A FF 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103263_0 {
	meta:
		name = "TGPImageAttributes.ClearNoOp"
		size = 30
		refs = "000e GdipSetImageAttributesNoOp 0017 TGPImageAttributes.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103264_0 {
	meta:
		name = "TGPImageAttributes.SetColorKey"
		size = 45
		refs = "0019 GdipSetImageAttributesColorKeys 0022 TGPImageAttributes.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 57 56 6A FF 8B 45 08 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103270_0 {
	meta:
		name = "TGPImageAttributes.SetRemapTable"
		size = 45
		refs = "0019 GdipSetImageAttributesRemapTable 0022 TGPImageAttributes.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 57 56 6A FF 8B 45 08 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103265_0 {
	meta:
		name = "TGPImageAttributes.ClearColorKey"
		size = 34
		refs = "0012 GdipSetImageAttributesColorKeys 001b TGPImageAttributes.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 6A 00 6A 00 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103271_0 {
	meta:
		name = "TGPImageAttributes.ClearRemapTable"
		size = 34
		refs = "0012 GdipSetImageAttributesRemapTable 001b TGPImageAttributes.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 6A 00 6A 00 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103266_0 {
	meta:
		name = "TGPImageAttributes.SetOutputChannel"
		size = 35
		refs = "0012 GdipSetImageAttributesOutputChannel 001b TGPImageAttributes.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 6A FF 57 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103267_0 {
	meta:
		name = "TGPImageAttributes.ClearOutputChannel"
		size = 32
		refs = "0010 GdipSetImageAttributesOutputChannel 0019 TGPImageAttributes.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 04 6A 00 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103268_0 {
	meta:
		name = "TGPImageAttributes.SetOutputChannelColorProfile"
		size = 103
		refs = "0011 @WStrAddRef 0019 TGPImageAttributes.SetOutputChannelColorProfile 0027 @WStrToPWChar 0034 GdipSetImageAttributesOutputChannelColorProfile 003d TGPImageAttributes.SetStatus 0054 @WStrClr 005a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 6A FF 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_103272_0 {
	meta:
		name = "TGPImageAttributes.SetBrushRemapTable"
		size = 26
		refs = "0012 TGPImageAttributes.SetRemapTable"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A 02 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103273_0 {
	meta:
		name = "TGPImageAttributes.ClearBrushRemapTable"
		size = 17
		refs = "000b TGPImageAttributes.ClearRemapTable"
	strings:
		$1 = { 53 8B D8 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_115233_0 {
	meta:
		name = "TXMLSchemaDef.GetAttributeFormDefault"
		size = 76
		refs = "0004 TXMLSchemaDef.GetAttributeFormDefault 000b TXMLSchemaDef.GetFormChoice"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 61 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 46 00 6F 00 72 00 6D 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_115235_0 {
	meta:
		name = "TXMLSchemaDef.GetElementFormDefault"
		size = 72
		refs = "0004 TXMLSchemaDef.GetElementFormDefault 000b TXMLSchemaDef.GetFormChoice"
	strings:
		$1 = { 53 8B D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 65 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 46 00 6F 00 72 00 6D 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_103274_0 {
	meta:
		name = "TGPImageAttributes.SetWrapMode"
		size = 43
		refs = "0017 GdipSetImageAttributesWrapMode 0020 TGPImageAttributes.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103624_0 {
	meta:
		name = "TGPBitmap.GetPixel"
		size = 43
		refs = "0017 GdipBitmapGetPixel 0020 TGPImage.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103625_0 {
	meta:
		name = "TGPBitmap.SetPixel"
		size = 43
		refs = "0017 GdipBitmapSetPixel 0020 TGPImage.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103602_0 {
	meta:
		name = "TGPImage.GetAllPropertyItems"
		size = 43
		refs = "0017 GdipGetAllPropertyItems 0020 TGPImage.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103606_0 {
	meta:
		name = "TGPImage.GetEncoderParameterList"
		size = 43
		refs = "0017 GdipGetEncoderParameterList 0020 TGPImage.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103600_0 {
	meta:
		name = "TGPImage.GetPropertyItem"
		size = 43
		refs = "0017 GdipGetPropertyItem 0020 TGPImage.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103546_0 {
	meta:
		name = "TGPLinearGradientBrush.SetBlend"
		size = 43
		refs = "0017 GdipSetLineBlend 0020 TGPBrush.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_104007_0 {
	meta:
		name = "TGPPathGradientBrush.GetBlend"
		size = 43
		refs = "0017 GdipGetPathGradientBlend 0020 TGPBrush.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_104008_0 {
	meta:
		name = "TGPPathGradientBrush.SetBlend"
		size = 43
		refs = "0017 GdipSetPathGradientBlend 0020 TGPBrush.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103460_0 {
	meta:
		name = "TGPPen.SetLineCap"
		size = 43
		refs = "0017 GdipSetPenLineCap197819 0020 TGPPen.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103387_0 {
	meta:
		name = "TGPRegion.GetData"
		size = 43
		refs = "0017 GdipGetRegionData 0020 TGPRegion.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103325_0 {
	meta:
		name = "TGPStringFormat.GetTabStops"
		size = 43
		refs = "0017 GdipGetStringFormatTabStops 0020 TGPStringFormat.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103275_0 {
	meta:
		name = "TGPImageAttributes.GetAdjustedPalette"
		size = 33
		refs = "0010 GdipGetImageAttributesAdjustedPalette 0019 TGPImageAttributes.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103437_0 {
	meta:
		name = "TGPCustomLineCap.GetStrokeCaps"
		size = 33
		refs = "0010 GdipGetCustomLineCapStrokeCaps 0019 TGPCustomLineCap.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103436_0 {
	meta:
		name = "TGPCustomLineCap.SetStrokeCaps"
		size = 33
		refs = "0010 GdipSetCustomLineCapStrokeCaps 0019 TGPCustomLineCap.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103653_0 {
	meta:
		name = "TGPGraphics.GetRenderingOrigin"
		size = 33
		refs = "0010 GdipGetRenderingOrigin 0019 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103797_0 {
	meta:
		name = "TGPGraphics.SetClip"
		size = 33
		refs = "0010 GdipSetClipHrgn 0019 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103652_0 {
	meta:
		name = "TGPGraphics.SetRenderingOrigin"
		size = 33
		refs = "0010 GdipSetRenderingOrigin 0019 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103806_0 {
	meta:
		name = "TGPGraphics.TranslateClip"
		size = 33
		refs = "0010 GdipTranslateClipI 0019 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103917_0 {
	meta:
		name = "TGPGraphicsPath.AddBeziers"
		size = 33
		refs = "0010 GdipAddPathBeziersI 0019 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103914_0 {
	meta:
		name = "TGPGraphicsPath.AddBeziers"
		size = 33
		refs = "0010 GdipAddPathBeziers 0019 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103926_0 {
	meta:
		name = "TGPGraphicsPath.AddClosedCurve"
		size = 33
		refs = "0010 GdipAddPathClosedCurveI 0019 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103924_0 {
	meta:
		name = "TGPGraphicsPath.AddClosedCurve"
		size = 33
		refs = "0010 GdipAddPathClosedCurve 0019 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103918_0 {
	meta:
		name = "TGPGraphicsPath.AddCurve"
		size = 33
		refs = "0010 GdipAddPathCurve 0019 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103921_0 {
	meta:
		name = "TGPGraphicsPath.AddCurve"
		size = 33
		refs = "0010 GdipAddPathCurveI 0019 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103907_0 {
	meta:
		name = "TGPGraphicsPath.AddLines"
		size = 33
		refs = "0010 GdipAddPathLine2I 0019 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103904_0 {
	meta:
		name = "TGPGraphicsPath.AddLines"
		size = 33
		refs = "0010 GdipAddPathLine2 0019 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103940_0 {
	meta:
		name = "TGPGraphicsPath.AddPolygon"
		size = 33
		refs = "0010 GdipAddPathPolygon 0019 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103941_0 {
	meta:
		name = "TGPGraphicsPath.AddPolygon"
		size = 33
		refs = "0010 GdipAddPathPolygonI 0019 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103929_0 {
	meta:
		name = "TGPGraphicsPath.AddRectangles"
		size = 33
		refs = "0010 GdipAddPathRectangles 0019 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103931_0 {
	meta:
		name = "TGPGraphicsPath.AddRectangles"
		size = 33
		refs = "0010 GdipAddPathRectanglesI 0019 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103957_0 {
	meta:
		name = "TGPGraphicsPath.GetPathPoints"
		size = 33
		refs = "0010 GdipGetPathPointsI 0019 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103956_0 {
	meta:
		name = "TGPGraphicsPath.GetPathPoints"
		size = 33
		refs = "0010 GdipGetPathPoints 0019 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103955_0 {
	meta:
		name = "TGPGraphicsPath.GetPathTypes"
		size = 33
		refs = "0010 GdipGetPathTypes 0019 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103580_0 {
	meta:
		name = "TGPImage.GetBounds"
		size = 33
		refs = "0010 GdipGetImageBounds 0019 TGPImage.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103593_0 {
	meta:
		name = "TGPImage.GetFrameDimensionsList"
		size = 33
		refs = "0010 GdipImageGetFrameDimensionsList 0019 TGPImage.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103589_0 {
	meta:
		name = "TGPImage.GetPalette"
		size = 33
		refs = "0010 GdipGetImagePalette 0019 TGPImage.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103598_0 {
	meta:
		name = "TGPImage.GetPropertyIdList"
		size = 33
		refs = "0010 GdipGetPropertyIdList 0019 TGPImage.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103601_0 {
	meta:
		name = "TGPImage.GetPropertySize"
		size = 33
		refs = "0010 GdipGetPropertySize 0019 TGPImage.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103595_0 {
	meta:
		name = "TGPImage.SelectActiveFrame"
		size = 33
		refs = "0010 GdipImageSelectActiveFrame 0019 TGPImage.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103539_0 {
	meta:
		name = "TGPLinearGradientBrush.SetLinearColors"
		size = 33
		refs = "0010 GdipSetLineColors 0019 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103299_0 {
	meta:
		name = "TGPMatrix.TransformPoints"
		size = 33
		refs = "0010 GdipTransformMatrixPointsI 0019 TGPMatrix.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103298_0 {
	meta:
		name = "TGPMatrix.TransformPoints"
		size = 33
		refs = "0010 GdipTransformMatrixPoints 0019 TGPMatrix.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103301_0 {
	meta:
		name = "TGPMatrix.TransformVectors"
		size = 33
		refs = "0010 GdipVectorTransformMatrixPointsI 0019 TGPMatrix.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103300_0 {
	meta:
		name = "TGPMatrix.TransformVectors"
		size = 33
		refs = "0010 GdipVectorTransformMatrixPoints 0019 TGPMatrix.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_104021_0 {
	meta:
		name = "TGPPathGradientBrush.GetFocusScales"
		size = 33
		refs = "0010 GdipGetPathGradientFocusScales 0019 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103495_0 {
	meta:
		name = "TGPPen.GetDashPattern"
		size = 33
		refs = "0010 GdipGetPenDashArray 0019 TGPPen.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103496_0 {
	meta:
		name = "TGPPen.SetCompoundArray"
		size = 33
		refs = "0010 GdipSetPenCompoundArray 0019 TGPPen.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103493_0 {
	meta:
		name = "TGPPen.SetDashPattern"
		size = 33
		refs = "0010 GdipSetPenDashArray 0019 TGPPen.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103885_0 {
	meta:
		name = "TGPPrivateFontCollection.AddMemoryFont"
		size = 33
		refs = "0010 GdipPrivateAddMemoryFont 0019 TGPFontCollection.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103409_0 {
	meta:
		name = "TGPRegion.Translate"
		size = 33
		refs = "0010 GdipTranslateRegionI 0019 TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103326_0 {
	meta:
		name = "TGPStringFormat.SetDigitSubstitution"
		size = 33
		refs = "0010 GdipSetStringFormatDigitSubstitution 0019 TGPStringFormat.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103331_0 {
	meta:
		name = "TGPStringFormat.SetMeasurableCharacterRanges"
		size = 33
		refs = "0010 GdipSetStringFormatMeasurableCharacterRanges 0019 TGPStringFormat.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103276_0 {
	meta:
		name = "TGPBrush.GetLastStatus"
		size = 11
		altNames = "TGPCachedBitmap.GetLastStatus TGPCustomLineCap.GetLastStatus TGPFontFamily.GetLastStatus TGPGraphics.GetLastStatus TGPGraphicsPath.GetLastStatus TGPGraphicsPathIterator.GetLastStatus TGPImage.GetLastStatus TGPImageAttributes.GetLastStatus TGPMatrix.GetLastStatus TGPPen.GetLastStatus TGPRegion.GetLastStatus TGPStringFormat.GetLastStatus"
	strings:
		$1 = { 8B 50 08 33 C9 89 48 08 8B C2 C3 }
	condition:
		$1
}

rule function_103277_0 {
	meta:
		name = "TGPImageAttributes.Create"
		size = 65
		refs = "000d @ClassCreate 001a TGPImageAttributes.SetNativeImageAttr 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D1 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103608_0 {
	meta:
		name = "TGPImage.Create"
		size = 65
		refs = "000d @ClassCreate 001a TGPImage.SetNativeImage 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D1 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103279_0 {
	meta:
		name = "TGPBrush.SetStatus"
		size = 10
		altNames = "TGPCustomLineCap.SetStatus TGPFont.SetStatus TGPFontFamily.SetStatus TGPGraphics.SetStatus TGPGraphicsPath.SetStatus TGPGraphicsPathIterator.SetStatus TGPImage.SetStatus TGPImageAttributes.SetStatus TGPMatrix.SetStatus TGPPen.SetStatus TGPRegion.SetStatus TGPStringFormat.SetStatus"
	strings:
		$1 = { 85 D2 74 03 89 50 08 8B C2 C3 }
	condition:
		$1
}

rule function_103280_0 {
	meta:
		name = "TGPMatrix.Create"
		size = 77
		refs = "000e @ClassCreate 0020 GdipCreateMatrix 002d TGPMatrix.SetNativeMatrix 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 45 FC 8D 45 FC 50 E8 ?? ?? ?? ?? 89 46 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_103375_0 {
	meta:
		name = "TGPRegion.Create"
		size = 77
		refs = "000e @ClassCreate 0020 GdipCreateRegion 002d TGPRegion.SetNativeRegion 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 45 FC 8D 45 FC 50 E8 ?? ?? ?? ?? 89 46 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_103281_0 {
	meta:
		name = "TGPMatrix.Create"
		size = 97
		refs = "000e @ClassCreate 0032 GdipCreateMatrix2 003f TGPMatrix.SetNativeMatrix 004a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 45 FC 8D 45 FC 50 FF 75 08 FF 75 0C FF 75 10 FF 75 14 FF 75 18 FF 75 1C E8 ?? ?? ?? ?? 89 46 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_103282_0 {
	meta:
		name = "TGPMatrix.Create"
		size = 88
		refs = "000f @ClassCreate 0028 GdipCreateMatrix3 0035 TGPMatrix.SetNativeMatrix 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 8B 45 08 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103628_0 {
	meta:
		name = "TGPBitmap.Create"
		size = 88
		refs = "000f @ClassCreate 0028 GdipCreateBitmapFromGdiDib 0035 TGPImage.SetNativeImage 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 8B 45 08 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103629_0 {
	meta:
		name = "TGPBitmap.Create"
		size = 88
		refs = "000f @ClassCreate 0028 GdipCreateBitmapFromHBITMAP 0035 TGPImage.SetNativeImage 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 8B 45 08 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103645_0 {
	meta:
		name = "TGPGraphics.Create"
		size = 88
		refs = "000f @ClassCreate 0028 GdipCreateFromHDC2 0035 TGPGraphics.SetNativeGraphics 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 8B 45 08 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103283_0 {
	meta:
		name = "TGPMatrix.Create"
		size = 88
		refs = "000f @ClassCreate 0028 GdipCreateMatrix3I 0035 TGPMatrix.SetNativeMatrix 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 8B 45 08 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103347_0 {
	meta:
		name = "TGPMetafile.Create"
		size = 88
		refs = "000f @ClassCreate 0028 GdipCreateMetafileFromEmf 0035 TGPImage.SetNativeImage 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 8B 45 08 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103379_0 {
	meta:
		name = "TGPRegion.Create"
		size = 88
		refs = "000f @ClassCreate 0028 GdipCreateRegionRgnData 0035 TGPRegion.SetNativeRegion 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 8B 45 08 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103285_0 {
	meta:
		name = "TGPMatrix.Clone"
		size = 57
		refs = "000f GdipCloneMatrix 0018 TGPMatrix.SetStatus 002d _DV_TGPMatrix 0032 TGPMatrix.Create"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 83 7B 08 00 74 05 33 C0 5A 5B C3 8B 0C 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_103287_0 {
	meta:
		name = "TGPMatrix.SetElements"
		size = 47
		refs = "001d GdipSetMatrixElements 0026 TGPMatrix.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 FF 75 0C FF 75 10 FF 75 14 FF 75 18 FF 75 1C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_103909_0 {
	meta:
		name = "TGPGraphicsPath.AddArc"
		size = 47
		refs = "001d GdipAddPathArc 0026 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 FF 75 0C FF 75 10 FF 75 14 FF 75 18 FF 75 1C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_103937_0 {
	meta:
		name = "TGPGraphicsPath.AddPie"
		size = 47
		refs = "001d GdipAddPathPie 0026 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 FF 75 0C FF 75 10 FF 75 14 FF 75 18 FF 75 1C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_103288_0 {
	meta:
		name = "TGPMatrix.OffsetX"
		size = 43
		refs = "000d TGPMatrix.GetElements"
	strings:
		$1 = { 53 83 C4 E4 8B D8 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 85 C0 75 09 8B 44 24 14 89 04 24 EB 05 33 C0 89 04 24 D9 04 24 83 C4 1C 5B C3 }
	condition:
		$1
}

rule function_103289_0 {
	meta:
		name = "TGPMatrix.OffsetY"
		size = 43
		refs = "000d TGPMatrix.GetElements"
	strings:
		$1 = { 53 83 C4 E4 8B D8 8D 54 24 04 8B C3 E8 ?? ?? ?? ?? 85 C0 75 09 8B 44 24 18 89 04 24 EB 05 33 C0 89 04 24 D9 04 24 83 C4 1C 5B C3 }
	condition:
		$1
}

rule function_103290_0 {
	meta:
		name = "TGPMatrix.Reset"
		size = 41
		refs = "001a GdipSetMatrixElements 0023 TGPMatrix.SetStatus"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 00 00 80 3F 6A 00 6A 00 68 00 00 80 3F 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_103291_0 {
	meta:
		name = "TGPMatrix.Multiply"
		size = 36
		refs = "0013 GdipMultiplyMatrix 001c TGPMatrix.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103670_0 {
	meta:
		name = "TGPGraphics.MultiplyTransform"
		size = 36
		refs = "0013 GdipMultiplyWorldTransform 001c TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103792_0 {
	meta:
		name = "TGPGraphics.SetClip"
		size = 36
		refs = "0013 GdipSetClipGraphics 001c TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103795_0 {
	meta:
		name = "TGPGraphics.SetClip"
		size = 36
		refs = "0013 GdipSetClipPath 001c TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103796_0 {
	meta:
		name = "TGPGraphics.SetClip"
		size = 36
		refs = "0013 GdipSetClipRegion 001c TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103556_0 {
	meta:
		name = "TGPLinearGradientBrush.MultiplyTransform"
		size = 36
		refs = "0013 GdipMultiplyLineTransform 001c TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_104017_0 {
	meta:
		name = "TGPPathGradientBrush.MultiplyTransform"
		size = 36
		refs = "0013 GdipMultiplyPathGradientTransform 001c TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103480_0 {
	meta:
		name = "TGPPen.MultiplyTransform"
		size = 36
		refs = "0013 GdipMultiplyPenTransform 001c TGPPen.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103525_0 {
	meta:
		name = "TGPTextureBrush.MultiplyTransform"
		size = 36
		refs = "0013 GdipMultiplyTextureTransform 001c TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103292_0 {
	meta:
		name = "TGPMatrix.Translate"
		size = 40
		refs = "0015 GdipTranslateMatrix 001e TGPMatrix.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 56 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103672_0 {
	meta:
		name = "TGPGraphics.ScaleTransform"
		size = 40
		refs = "0015 GdipScaleWorldTransform 001e TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 56 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103671_0 {
	meta:
		name = "TGPGraphics.TranslateTransform"
		size = 40
		refs = "0015 GdipTranslateWorldTransform 001e TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 56 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103558_0 {
	meta:
		name = "TGPLinearGradientBrush.ScaleTransform"
		size = 40
		refs = "0015 GdipScaleLineTransform 001e TGPBrush.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 56 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103557_0 {
	meta:
		name = "TGPLinearGradientBrush.TranslateTransform"
		size = 40
		refs = "0015 GdipTranslateLineTransform 001e TGPBrush.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 56 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103293_0 {
	meta:
		name = "TGPMatrix.Scale"
		size = 40
		refs = "0015 GdipScaleMatrix 001e TGPMatrix.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 56 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103296_0 {
	meta:
		name = "TGPMatrix.Shear"
		size = 40
		refs = "0015 GdipShearMatrix 001e TGPMatrix.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 56 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_104019_0 {
	meta:
		name = "TGPPathGradientBrush.ScaleTransform"
		size = 40
		refs = "0015 GdipScalePathGradientTransform 001e TGPBrush.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 56 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_104018_0 {
	meta:
		name = "TGPPathGradientBrush.TranslateTransform"
		size = 40
		refs = "0015 GdipTranslatePathGradientTransform 001e TGPBrush.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 56 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103482_0 {
	meta:
		name = "TGPPen.ScaleTransform"
		size = 40
		refs = "0015 GdipScalePenTransform 001e TGPPen.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 56 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103481_0 {
	meta:
		name = "TGPPen.TranslateTransform"
		size = 40
		refs = "0015 GdipTranslatePenTransform 001e TGPPen.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 56 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103527_0 {
	meta:
		name = "TGPTextureBrush.ScaleTransform"
		size = 40
		refs = "0015 GdipScaleTextureTransform 001e TGPBrush.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 56 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103526_0 {
	meta:
		name = "TGPTextureBrush.TranslateTransform"
		size = 40
		refs = "0015 GdipTranslateTextureTransform 001e TGPBrush.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 56 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103294_0 {
	meta:
		name = "TGPMatrix.Rotate"
		size = 37
		refs = "0012 GdipRotateMatrix 001b TGPMatrix.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 56 FF 75 08 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103673_0 {
	meta:
		name = "TGPGraphics.RotateTransform"
		size = 37
		refs = "0012 GdipRotateWorldTransform 001b TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 56 FF 75 08 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103559_0 {
	meta:
		name = "TGPLinearGradientBrush.RotateTransform"
		size = 37
		refs = "0012 GdipRotateLineTransform 001b TGPBrush.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 56 FF 75 08 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_104020_0 {
	meta:
		name = "TGPPathGradientBrush.RotateTransform"
		size = 37
		refs = "0012 GdipRotatePathGradientTransform 001b TGPBrush.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 56 FF 75 08 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103483_0 {
	meta:
		name = "TGPPen.RotateTransform"
		size = 37
		refs = "0012 GdipRotatePenTransform 001b TGPPen.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 56 FF 75 08 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103528_0 {
	meta:
		name = "TGPTextureBrush.RotateTransform"
		size = 37
		refs = "0012 GdipRotateTextureTransform 001b TGPBrush.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 56 FF 75 08 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103295_0 {
	meta:
		name = "TGPMatrix.RotateAt"
		size = 201
		refs = "001b GdipTranslateMatrix 0024 TGPMatrix.SetStatus 0031 GdipRotateMatrix"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 85 FF 75 5A 57 FF 76 04 FF 36 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 57 FF 75 08 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 57 D9 46 04 D9 E0 83 C4 FC D9 1C 24 9B D9 06 D9 E0 83 C4 FC D9 1C 24 9B 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 58 57 D9 46 04 D9 E0 83 C4 FC D9 1C 24 9B D9 06 D9 E0 83 C4 FC D9 1C 24 9B 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 57 FF 75 08 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 57 FF 76 04 FF 36 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103297_0 {
	meta:
		name = "TGPMatrix.Invert"
		size = 23
		refs = "0008 GdipInvertMatrix 0011 TGPMatrix.SetStatus"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_103804_0 {
	meta:
		name = "TGPGraphics.ResetClip"
		size = 23
		refs = "0008 GdipResetClip 0011 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_103669_0 {
	meta:
		name = "TGPGraphics.ResetTransform"
		size = 23
		refs = "0008 GdipResetWorldTransform 0011 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_103899_0 {
	meta:
		name = "TGPGraphicsPath.ClearMarkers"
		size = 23
		refs = "0008 GdipClearPathMarkers 0011 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_103897_0 {
	meta:
		name = "TGPGraphicsPath.CloseAllFigures"
		size = 23
		refs = "0008 GdipClosePathFigures 0011 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_103896_0 {
	meta:
		name = "TGPGraphicsPath.CloseFigure"
		size = 23
		refs = "0008 GdipClosePathFigure 0011 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_103891_0 {
	meta:
		name = "TGPGraphicsPath.Reset"
		size = 23
		refs = "0008 GdipResetPath 0011 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_103900_0 {
	meta:
		name = "TGPGraphicsPath.Reverse"
		size = 23
		refs = "0008 GdipReversePath 0011 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_103898_0 {
	meta:
		name = "TGPGraphicsPath.SetMarker"
		size = 23
		refs = "0008 GdipSetPathMarker 0011 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_103895_0 {
	meta:
		name = "TGPGraphicsPath.StartFigure"
		size = 23
		refs = "0008 GdipStartPathFigure 0011 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_103981_0 {
	meta:
		name = "TGPGraphicsPathIterator.Rewind"
		size = 23
		refs = "0008 GdipPathIterRewind 0011 TGPGraphicsPathIterator.SetStatus"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_103555_0 {
	meta:
		name = "TGPLinearGradientBrush.ResetTransform"
		size = 23
		refs = "0008 GdipResetLineTransform 0011 TGPBrush.SetStatus"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_104016_0 {
	meta:
		name = "TGPPathGradientBrush.ResetTransform"
		size = 23
		refs = "0008 GdipResetPathGradientTransform 0011 TGPBrush.SetStatus"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_103479_0 {
	meta:
		name = "TGPPen.ResetTransform"
		size = 23
		refs = "0008 GdipResetPenTransform 0011 TGPPen.SetStatus"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_103385_0 {
	meta:
		name = "TGPRegion.MakeEmpty"
		size = 23
		refs = "0008 GdipSetEmpty 0011 TGPRegion.SetStatus"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_103384_0 {
	meta:
		name = "TGPRegion.MakeInfinite"
		size = 23
		refs = "0008 GdipSetInfinite 0011 TGPRegion.SetStatus"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_103524_0 {
	meta:
		name = "TGPTextureBrush.ResetTransform"
		size = 23
		refs = "0008 GdipResetTextureTransform 0011 TGPBrush.SetStatus"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_103302_0 {
	meta:
		name = "TGPMatrix.IsInvertible"
		size = 34
		refs = "000f GdipIsMatrixInvertible 0018 TGPMatrix.SetStatus"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103810_0 {
	meta:
		name = "TGPGraphics.IsClipEmpty"
		size = 34
		refs = "000f GdipIsClipEmpty 0018 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103813_0 {
	meta:
		name = "TGPGraphics.IsVisibleClipEmpty"
		size = 34
		refs = "000f GdipIsVisibleClipEmpty 0018 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103954_0 {
	meta:
		name = "TGPGraphicsPath.GetPointCount"
		size = 34
		refs = "000f GdipGetPointCount 0018 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103585_0 {
	meta:
		name = "TGPImage.GetFlags"
		size = 34
		refs = "000f GdipGetImageFlags 0018 TGPImage.SetStatus"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103592_0 {
	meta:
		name = "TGPImage.GetFrameDimensionsCount"
		size = 34
		refs = "000f GdipImageGetFrameDimensionsCount 0018 TGPImage.SetStatus"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103582_0 {
	meta:
		name = "TGPImage.GetHeight"
		size = 34
		refs = "000f GdipGetImageHeight 0018 TGPImage.SetStatus"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103588_0 {
	meta:
		name = "TGPImage.GetPaletteSize"
		size = 34
		refs = "000f GdipGetImagePaletteSize 0018 TGPImage.SetStatus"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103597_0 {
	meta:
		name = "TGPImage.GetPropertyCount"
		size = 34
		refs = "000f GdipGetPropertyCount 0018 TGPImage.SetStatus"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103581_0 {
	meta:
		name = "TGPImage.GetWidth"
		size = 34
		refs = "000f GdipGetImageWidth 0018 TGPImage.SetStatus"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103545_0 {
	meta:
		name = "TGPLinearGradientBrush.GetBlendCount"
		size = 34
		refs = "000f GdipGetLineBlendCount 0018 TGPBrush.SetStatus"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103548_0 {
	meta:
		name = "TGPLinearGradientBrush.GetInterpolationColorCount"
		size = 34
		refs = "000f GdipGetLinePresetBlendCount 0018 TGPBrush.SetStatus"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103303_0 {
	meta:
		name = "TGPMatrix.IsIdentity"
		size = 34
		refs = "000f GdipIsMatrixIdentity 0018 TGPMatrix.SetStatus"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103368_0 {
	meta:
		name = "TGPMetafile.GetDownLevelRasterizationLimit"
		size = 34
		refs = "000f GdipGetMetafileDownLevelRasterizationLimit 0018 TGPImage.SetStatus"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_104006_0 {
	meta:
		name = "TGPPathGradientBrush.GetBlendCount"
		size = 34
		refs = "000f GdipGetPathGradientBlendCount 0018 TGPBrush.SetStatus"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_104009_0 {
	meta:
		name = "TGPPathGradientBrush.GetInterpolationColorCount"
		size = 34
		refs = "000f GdipGetPathGradientPresetBlendCount 0018 TGPBrush.SetStatus"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103386_0 {
	meta:
		name = "TGPRegion.GetDataSize"
		size = 34
		refs = "000f GdipGetRegionDataSize 0018 TGPRegion.SetStatus"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103304_0 {
	meta:
		name = "TGPMatrix.Equals"
		size = 42
		refs = "0016 GdipIsMatrixEqual 001f TGPMatrix.SetStatus"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 33 C0 89 04 24 54 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103414_0 {
	meta:
		name = "TGPRegion.IsEmpty"
		size = 42
		refs = "0016 GdipIsEmptyRegion 001f TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 33 C0 89 04 24 54 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103415_0 {
	meta:
		name = "TGPRegion.IsInfinite"
		size = 42
		refs = "0016 GdipIsInfiniteRegion 001f TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 33 C0 89 04 24 54 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103306_0 {
	meta:
		name = "TGPMatrix.Create"
		size = 58
		refs = "000a @ClassCreate 001c TGPMatrix.SetNativeMatrix 0027 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 08 8B D1 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_103639_0 {
	meta:
		name = "TGPBitmap.Create"
		size = 58
		refs = "000a @ClassCreate 001c TGPImage.SetNativeImage 0027 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 08 8B D1 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_103831_0 {
	meta:
		name = "TGPGraphics.Create"
		size = 58
		refs = "000a @ClassCreate 001c TGPGraphics.SetNativeGraphics 0027 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 08 8B D1 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_103968_0 {
	meta:
		name = "TGPGraphicsPath.Create"
		size = 58
		refs = "000a @ClassCreate 001c TGPGraphicsPath.SetNativePath 0027 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 08 8B D1 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_103309_0 {
	meta:
		name = "TGPStringFormat.Create"
		size = 77
		refs = "000e @ClassCreate 0028 GdipCreateStringFormat 0036 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 47 04 8D 47 04 50 0F B7 45 08 50 56 E8 ?? ?? ?? ?? 89 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103310_0 {
	meta:
		name = "TGPStringFormat.GenericDefault"
		size = 59
		refs = "0002 GenericDefaultStringFormatBuffer 0010 _DV_TGPStringFormat 0015 TGPStringFormat.Create 0028 GdipStringFormatGetGenericDefault"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 2C 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 C0 04 50 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 42 08 A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_103311_0 {
	meta:
		name = "TGPStringFormat.GenericTypographic"
		size = 59
		refs = "0002 GenericTypographicStringFormatBuffer 0010 _DV_TGPStringFormat 0015 TGPStringFormat.Create 0028 GdipStringFormatGetGenericTypographic"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 2C 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 C0 04 50 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 42 08 A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_103312_0 {
	meta:
		name = "TGPStringFormat.Create"
		size = 75
		refs = "000b @ClassCreate 0029 GdipCloneStringFormat 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 89 47 04 85 C9 74 05 8B 71 04 EB 02 33 F6 8D 47 04 50 56 E8 ?? ?? ?? ?? 89 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103313_0 {
	meta:
		name = "TGPStringFormat.Clone"
		size = 54
		refs = "0010 GdipCloneStringFormat 0025 _DV_TGPStringFormat 002a TGPStringFormat.Create"
	strings:
		$1 = { 53 56 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B F0 89 73 08 85 F6 75 13 56 8B 4C 24 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 33 C0 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103316_0 {
	meta:
		name = "TGPStringFormat.GetFormatFlags"
		size = 29
		refs = "000a GdipGetStringFormatFlags 0013 TGPStringFormat.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103345_0 {
	meta:
		name = "TGPAdjustableArrowCap.IsFilled"
		size = 29
		refs = "000a GdipGetAdjustableArrowCapFillState 0013 TGPCustomLineCap.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103441_0 {
	meta:
		name = "TGPCustomLineCap.GetBaseCap"
		size = 29
		refs = "000a GdipGetCustomLineCapBaseCap 0013 TGPCustomLineCap.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103439_0 {
	meta:
		name = "TGPCustomLineCap.GetStrokeJoin"
		size = 29
		refs = "000a GdipGetCustomLineCapStrokeJoin 0013 TGPCustomLineCap.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103864_0 {
	meta:
		name = "TGPFont.GetStyle"
		size = 29
		refs = "000a GdipGetFontStyle 0013 TGPFont.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103866_0 {
	meta:
		name = "TGPFont.GetUnit"
		size = 29
		refs = "000a GdipGetFontUnit 0013 TGPFont.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103826_0 {
	meta:
		name = "TGPGraphics.BeginContainer"
		size = 29
		refs = "000a GdipBeginContainer2 0013 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103655_0 {
	meta:
		name = "TGPGraphics.GetCompositingMode"
		size = 29
		refs = "000a GdipGetCompositingMode 0013 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103657_0 {
	meta:
		name = "TGPGraphics.GetCompositingQuality"
		size = 29
		refs = "000a GdipGetCompositingQuality 0013 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103650_0 {
	meta:
		name = "TGPGraphics.GetHDC"
		size = 29
		refs = "000a GdipGetDC 0013 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103677_0 {
	meta:
		name = "TGPGraphics.GetPageUnit"
		size = 29
		refs = "000a GdipGetPageUnit 0013 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103661_0 {
	meta:
		name = "TGPGraphics.GetTextContrast"
		size = 29
		refs = "000a GdipGetTextContrast 0013 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103659_0 {
	meta:
		name = "TGPGraphics.GetTextRenderingHint"
		size = 29
		refs = "000a GdipGetTextRenderingHint 0013 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103822_0 {
	meta:
		name = "TGPGraphics.Save"
		size = 29
		refs = "000a GdipSaveGraphics 0013 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103978_0 {
	meta:
		name = "TGPGraphicsPathIterator.GetCount"
		size = 29
		refs = "000a GdipPathIterGetCount 0013 TGPGraphicsPathIterator.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103979_0 {
	meta:
		name = "TGPGraphicsPathIterator.GetSubpathCount"
		size = 29
		refs = "000a GdipPathIterGetSubpathCount 0013 TGPGraphicsPathIterator.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103980_0 {
	meta:
		name = "TGPGraphicsPathIterator.HasCurve"
		size = 29
		refs = "000a GdipPathIterHasCurve 0013 TGPGraphicsPathIterator.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103564_0 {
	meta:
		name = "TGPHatchBrush.GetHatchStyle"
		size = 29
		refs = "000a GdipGetHatchStyle 0013 TGPBrush.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103587_0 {
	meta:
		name = "TGPImage.GetPixelFormat"
		size = 29
		refs = "000a GdipGetImagePixelFormat 0013 TGPImage.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103578_0 {
	meta:
		name = "TGPImage.GetType"
		size = 29
		refs = "000a GdipGetImageType 0013 TGPImage.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103544_0 {
	meta:
		name = "TGPLinearGradientBrush.GetGammaCorrection"
		size = 29
		refs = "000a GdipGetLineGammaCorrection 0013 TGPBrush.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103561_0 {
	meta:
		name = "TGPLinearGradientBrush.GetWrapMode"
		size = 29
		refs = "000a GdipGetLineWrapMode 0013 TGPBrush.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103365_0 {
	meta:
		name = "TGPMetafile.GetHENHMETAFILE"
		size = 29
		refs = "000a GdipGetHemfFromMetafile 0013 TGPImage.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_104005_0 {
	meta:
		name = "TGPPathGradientBrush.GetGammaCorrection"
		size = 29
		refs = "000a GdipGetPathGradientGammaCorrection 0013 TGPBrush.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103992_0 {
	meta:
		name = "TGPPathGradientBrush.GetPointCount"
		size = 29
		refs = "000a GdipGetPathGradientPointCount 0013 TGPBrush.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103993_0 {
	meta:
		name = "TGPPathGradientBrush.GetSurroundColorCount"
		size = 29
		refs = "000a GdipGetPathGradientSurroundColorCount 0013 TGPBrush.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_104023_0 {
	meta:
		name = "TGPPathGradientBrush.GetWrapMode"
		size = 29
		refs = "000a GdipGetPathGradientWrapMode 0013 TGPBrush.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103476_0 {
	meta:
		name = "TGPPen.GetAlignment"
		size = 29
		refs = "000a GdipGetPenMode 0013 TGPPen.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103497_0 {
	meta:
		name = "TGPPen.GetCompoundArrayCount"
		size = 29
		refs = "000a GdipGetPenCompoundCount 0013 TGPPen.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103466_0 {
	meta:
		name = "TGPPen.GetDashCap"
		size = 29
		refs = "000a GdipGetPenDashCap197819 0013 TGPPen.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103494_0 {
	meta:
		name = "TGPPen.GetDashPatternCount"
		size = 29
		refs = "000a GdipGetPenDashCount 0013 TGPPen.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103489_0 {
	meta:
		name = "TGPPen.GetDashStyle"
		size = 29
		refs = "000a GdipGetPenDashStyle 0013 TGPPen.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103465_0 {
	meta:
		name = "TGPPen.GetEndCap"
		size = 29
		refs = "000a GdipGetPenEndCap 0013 TGPPen.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103468_0 {
	meta:
		name = "TGPPen.GetLineJoin"
		size = 29
		refs = "000a GdipGetPenLineJoin 0013 TGPPen.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103484_0 {
	meta:
		name = "TGPPen.GetPenType"
		size = 29
		refs = "000a GdipGetPenFillType 0013 TGPPen.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103464_0 {
	meta:
		name = "TGPPen.GetStartCap"
		size = 29
		refs = "000a GdipGetPenStartCap 0013 TGPPen.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103318_0 {
	meta:
		name = "TGPStringFormat.GetAlignment"
		size = 29
		refs = "000a GdipGetStringFormatAlign 0013 TGPStringFormat.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103322_0 {
	meta:
		name = "TGPStringFormat.GetHotkeyPrefix"
		size = 29
		refs = "000a GdipGetStringFormatHotkeyPrefix 0013 TGPStringFormat.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103320_0 {
	meta:
		name = "TGPStringFormat.GetLineAlignment"
		size = 29
		refs = "000a GdipGetStringFormatLineAlign 0013 TGPStringFormat.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103332_0 {
	meta:
		name = "TGPStringFormat.GetMeasurableCharacterRangeCount"
		size = 29
		refs = "000a GdipGetStringFormatMeasurableCharacterRangeCount 0013 TGPStringFormat.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103324_0 {
	meta:
		name = "TGPStringFormat.GetTabStopCount"
		size = 29
		refs = "000a GdipGetStringFormatTabStopCount 0013 TGPStringFormat.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103330_0 {
	meta:
		name = "TGPStringFormat.GetTrimming"
		size = 29
		refs = "000a GdipGetStringFormatTrimming 0013 TGPStringFormat.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103530_0 {
	meta:
		name = "TGPTextureBrush.GetWrapMode"
		size = 29
		refs = "000a GdipGetTextureWrapMode 0013 TGPBrush.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103323_0 {
	meta:
		name = "TGPStringFormat.SetTabStops"
		size = 42
		refs = "0016 GdipSetStringFormatTabStops 001f TGPStringFormat.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 57 56 FF 75 08 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103327_0 {
	meta:
		name = "TGPStringFormat.GetDigitSubstitutionLanguage"
		size = 36
		refs = "0010 GdipGetStringFormatDigitSubstitution 0019 TGPStringFormat.SetStatus"
	strings:
		$1 = { 53 51 8B D8 6A 00 8D 44 24 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B7 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103328_0 {
	meta:
		name = "TGPStringFormat.GetDigitSubstitutionMethod"
		size = 31
		refs = "000c GdipGetStringFormatDigitSubstitution 0015 TGPStringFormat.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 6A 00 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103335_0 {
	meta:
		name = "TGPStringFormat.Assign"
		size = 34
		refs = "000b GdipDeleteStringFormat 0018 GdipCloneStringFormat"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 8D 43 04 50 8B 46 04 50 E8 ?? ?? ?? ?? 89 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_103336_0 {
	meta:
		name = "TGPFontFamily.Create"
		size = 49
		refs = "000c @ClassCreate 001e @AfterConstruction"
		altNames = "TGPStringFormat.Create"
	strings:
		$1 = { 55 8B EC 53 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 5D 08 89 58 08 89 48 04 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103337_0 {
	meta:
		name = "TGPAdjustableArrowCap.Create"
		size = 90
		refs = "000f @ClassCreate 002a GdipCreateAdjustableArrowCap 0037 TGPCustomLineCap.SetNativeCap 0042 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 56 FF 75 08 FF 75 0C E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_103338_0 {
	meta:
		name = "TGPAdjustableArrowCap.SetHeight"
		size = 32
		refs = "000e GdipSetAdjustableArrowCapHeight 0017 TGPCustomLineCap.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103342_0 {
	meta:
		name = "TGPAdjustableArrowCap.SetMiddleInset"
		size = 32
		refs = "000e GdipSetAdjustableArrowCapMiddleInset 0017 TGPCustomLineCap.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103340_0 {
	meta:
		name = "TGPAdjustableArrowCap.SetWidth"
		size = 32
		refs = "000e GdipSetAdjustableArrowCapWidth 0017 TGPCustomLineCap.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103442_0 {
	meta:
		name = "TGPCustomLineCap.SetBaseInset"
		size = 32
		refs = "000e GdipSetCustomLineCapBaseInset 0017 TGPCustomLineCap.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103444_0 {
	meta:
		name = "TGPCustomLineCap.SetWidthScale"
		size = 32
		refs = "000e GdipSetCustomLineCapWidthScale 0017 TGPCustomLineCap.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103676_0 {
	meta:
		name = "TGPGraphics.SetPageScale"
		size = 32
		refs = "000e GdipSetPageScale 0017 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103492_0 {
	meta:
		name = "TGPPen.SetDashOffset"
		size = 32
		refs = "000e GdipSetPenDashOffset 0017 TGPPen.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103473_0 {
	meta:
		name = "TGPPen.SetMiterLimit"
		size = 32
		refs = "000e GdipSetPenMiterLimit 0017 TGPPen.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103458_0 {
	meta:
		name = "TGPPen.SetWidth"
		size = 32
		refs = "000e GdipSetPenWidth 0017 TGPPen.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103339_0 {
	meta:
		name = "TGPAdjustableArrowCap.GetHeight"
		size = 29
		refs = "000a GdipGetAdjustableArrowCapHeight 0013 TGPCustomLineCap.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? D9 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103343_0 {
	meta:
		name = "TGPAdjustableArrowCap.GetMiddleInset"
		size = 29
		refs = "000a GdipGetAdjustableArrowCapMiddleInset 0013 TGPCustomLineCap.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? D9 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103341_0 {
	meta:
		name = "TGPAdjustableArrowCap.GetWidth"
		size = 29
		refs = "000a GdipGetAdjustableArrowCapWidth 0013 TGPCustomLineCap.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? D9 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103443_0 {
	meta:
		name = "TGPCustomLineCap.GetBaseInset"
		size = 29
		refs = "000a GdipGetCustomLineCapBaseInset 0013 TGPCustomLineCap.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? D9 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103445_0 {
	meta:
		name = "TGPCustomLineCap.GetWidthScale"
		size = 29
		refs = "000a GdipGetCustomLineCapWidthScale 0013 TGPCustomLineCap.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? D9 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103865_0 {
	meta:
		name = "TGPFont.GetSize"
		size = 29
		refs = "000a GdipGetFontSize 0013 TGPFont.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? D9 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103679_0 {
	meta:
		name = "TGPGraphics.GetDpiX"
		size = 29
		refs = "000a GdipGetDpiX 0013 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? D9 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103680_0 {
	meta:
		name = "TGPGraphics.GetDpiY"
		size = 29
		refs = "000a GdipGetDpiY 0013 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? D9 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103678_0 {
	meta:
		name = "TGPGraphics.GetPageScale"
		size = 29
		refs = "000a GdipGetPageScale 0013 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? D9 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103491_0 {
	meta:
		name = "TGPPen.GetDashOffset"
		size = 29
		refs = "000a GdipGetPenDashOffset 0013 TGPPen.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? D9 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103474_0 {
	meta:
		name = "TGPPen.GetMiterLimit"
		size = 29
		refs = "000a GdipGetPenMiterLimit 0013 TGPPen.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? D9 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103459_0 {
	meta:
		name = "TGPPen.GetWidth"
		size = 29
		refs = "000a GdipGetPenWidth 0013 TGPPen.SetStatus"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? D9 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103346_0 {
	meta:
		name = "TGPMetafile.Create"
		size = 92
		refs = "000f @ClassCreate 002c GdipCreateMetafileFromWmf 0039 TGPImage.SetNativeImage 0044 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 8B 45 0C 50 8B 45 08 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_103348_0 {
	meta:
		name = "TGPMetafile.Create"
		size = 143
		refs = "0010 @ClassCreate 001f @WStrAddRef 0027 TGPMetafile.Create 003e @WStrToPWChar 0044 GdipCreateMetafileFromFile 0051 TGPImage.SetNativeImage 0066 @WStrClr 006c @HandleFinally 0079 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8D 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 08 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_103349_0 {
	meta:
		name = "TGPMetafile.Create"
		size = 149
		refs = "0010 @ClassCreate 001f @WStrAddRef 0027 TGPMetafile.Create 0042 @WStrToPWChar 0048 GdipCreateMetafileFromWmfFile 0055 TGPImage.SetNativeImage 006a @WStrClr 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8D 45 F8 50 8B 45 08 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 08 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103350_0 {
	meta:
		name = "TGPMetafile.Create"
		size = 138
		refs = "0010 @ClassCreate 001f @IntfAddRef 0027 TGPMetafile.Create 003f GdipCreateMetafileFromStream 004c TGPImage.SetNativeImage 0061 @IntfClear 0067 @HandleFinally 0074 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8D 45 F8 50 8B 45 FC 50 E8 ?? ?? ?? ?? 89 46 08 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_103627_0 {
	meta:
		name = "TGPBitmap.Create"
		size = 138
		refs = "0010 @ClassCreate 001f @IntfAddRef 0027 TGPBitmap.Create 003f GdipCreateBitmapFromDirectDrawSurface 004c TGPImage.SetNativeImage 0061 @IntfClear 0067 @HandleFinally 0074 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8D 45 F8 50 8B 45 FC 50 E8 ?? ?? ?? ?? 89 46 08 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_103351_0 {
	meta:
		name = "TGPMetafile.Create"
		size = 96
		refs = "000f @ClassCreate 0030 GdipRecordMetafile 003d TGPImage.SetNativeImage 0048 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 8B 45 08 50 6A 07 6A 00 8B 45 0C 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_103352_0 {
	meta:
		name = "TGPMetafile.Create"
		size = 113
		refs = "0011 @ClassCreate 0040 GdipRecordMetafile 004d TGPImage.SetNativeImage 0058 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 14 8D 7D EC A5 A5 A5 A5 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 8B 45 08 50 8B 45 10 50 8D 45 EC 50 8B 45 0C 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_103353_0 {
	meta:
		name = "TGPMetafile.Create"
		size = 113
		refs = "0011 @ClassCreate 0040 GdipRecordMetafileI 004d TGPImage.SetNativeImage 0058 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 14 8D 7D EC A5 A5 A5 A5 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 8B 45 08 50 8B 45 10 50 8D 45 EC 50 8B 45 0C 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_103354_0 {
	meta:
		name = "TGPMetafile.Create"
		size = 161
		refs = "0010 @ClassCreate 001f @WStrAddRef 0027 TGPMetafile.Create 004e @WStrToPWChar 0054 GdipRecordMetafileFileName 0061 TGPImage.SetNativeImage 0076 @WStrClr 007c @HandleFinally 0089 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8D 45 F8 50 8B 45 08 50 6A 07 6A 00 8B 45 0C 50 8B 45 10 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 08 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_103355_0 {
	meta:
		name = "TGPMetafile.Create"
		size = 177
		refs = "0011 @ClassCreate 002a @WStrAddRef 0032 TGPMetafile.Create 005d @WStrToPWChar 0063 GdipRecordMetafileFileName 0070 TGPImage.SetNativeImage 0085 @WStrClr 008b @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 14 8D 7D E8 A5 A5 A5 A5 89 4D FC 8B DA 8B F0 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8D 45 F8 50 8B 45 08 50 8B 45 10 50 8D 45 E8 50 8B 45 0C 50 8B 45 18 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 08 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_103356_0 {
	meta:
		name = "TGPMetafile.Create"
		size = 177
		refs = "0011 @ClassCreate 002a @WStrAddRef 0032 TGPMetafile.Create 005d @WStrToPWChar 0063 GdipRecordMetafileFileNameI 0070 TGPImage.SetNativeImage 0085 @WStrClr 008b @HandleFinally 0098 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 14 8D 7D E8 A5 A5 A5 A5 89 4D FC 8B DA 8B F0 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8D 45 F8 50 8B 45 08 50 8B 45 10 50 8D 45 E8 50 8B 45 0C 50 8B 45 18 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 08 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_103357_0 {
	meta:
		name = "TGPMetafile.Create"
		size = 156
		refs = "0010 @ClassCreate 001f @IntfAddRef 0027 TGPMetafile.Create 004f GdipRecordMetafileStream 005c TGPImage.SetNativeImage 0071 @IntfClear 0077 @HandleFinally 0084 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8D 45 F8 50 8B 45 08 50 6A 07 6A 00 8B 45 0C 50 8B 45 10 50 8B 45 FC 50 E8 ?? ?? ?? ?? 89 46 08 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_103358_0 {
	meta:
		name = "TGPMetafile.Create"
		size = 172
		refs = "0011 @ClassCreate 002a @IntfAddRef 0032 TGPMetafile.Create 005e GdipRecordMetafileStream 006b TGPImage.SetNativeImage 0080 @IntfClear 0086 @HandleFinally 0093 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 14 8D 7D E8 A5 A5 A5 A5 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8D 45 F8 50 8B 45 08 50 8B 45 10 50 8D 45 E8 50 8B 45 0C 50 8B 45 18 50 8B 45 FC 50 E8 ?? ?? ?? ?? 89 46 08 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_103359_0 {
	meta:
		name = "TGPMetafile.Create"
		size = 172
		refs = "0011 @ClassCreate 002a @IntfAddRef 0032 TGPMetafile.Create 005e GdipRecordMetafileStreamI 006b TGPImage.SetNativeImage 0080 @IntfClear 0086 @HandleFinally 0093 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 14 8D 7D E8 A5 A5 A5 A5 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8D 45 F8 50 8B 45 08 50 8B 45 10 50 8D 45 E8 50 8B 45 0C 50 8B 45 18 50 8B 45 FC 50 E8 ?? ?? ?? ?? 89 46 08 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_103360_0 {
	meta:
		name = "TGPMetafile.GetMetafileHeader"
		size = 29
		refs = "0013 GdipGetMetafileHeaderFromWmf"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 8B 45 08 83 C0 04 50 56 53 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103361_0 {
	meta:
		name = "TGPMetafile.GetMetafileHeader"
		size = 19
		refs = "000c GdipGetMetafileHeaderFromEmf"
	strings:
		$1 = { 53 56 8B F1 8B DA 8D 46 04 50 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103362_0 {
	meta:
		name = "TGPMetafile.GetMetafileHeader"
		size = 87
		refs = "000e @WStrAddRef 0016 TGPMetafile.GetMetafileHeader 0028 @WStrToPWChar 002e GdipGetMetafileHeaderFromFile 0045 @WStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 89 55 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 04 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_103363_0 {
	meta:
		name = "TGPMetafile.GetMetafileHeader"
		size = 82
		refs = "000e @IntfAddRef 0016 TGPMetafile.GetMetafileHeader 0029 GdipGetMetafileHeaderFromStream 0040 @IntfClear 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 04 50 8B 45 FC 50 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_103364_0 {
	meta:
		name = "TGPMetafile.GetMetafileHeader"
		size = 31
		refs = "000f GdipGetMetafileHeaderFromMetafile 0018 TGPImage.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103366_0 {
	meta:
		name = "TGPMetafile.PlayRecord"
		size = 47
		refs = "001b GdipPlayMetafileRecord 0024 TGPImage.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103681_0 {
	meta:
		name = "TGPGraphics.TransformPoints"
		size = 47
		refs = "001b GdipTransformPoints 0024 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103682_0 {
	meta:
		name = "TGPGraphics.TransformPoints"
		size = 47
		refs = "001b GdipTransformPointsI 0024 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103935_0 {
	meta:
		name = "TGPGraphicsPath.AddEllipse"
		size = 47
		refs = "001b GdipAddPathEllipseI 0024 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103906_0 {
	meta:
		name = "TGPGraphicsPath.AddLine"
		size = 47
		refs = "001b GdipAddPathLineI 0024 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103369_0 {
	meta:
		name = "TGPMetafile.EmfToWmfBits"
		size = 26
		refs = "0012 GdipEmfToWmfBits"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 8B 45 0C 50 8B 45 10 50 51 52 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_103370_0 {
	meta:
		name = "TGPMetafile.Create"
		size = 58
		refs = "000a @ClassCreate 0017 TGPImage.SetNativeImage 0027 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 08 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_103371_0 {
	meta:
		name = "GetImageDecodersSize"
		size = 16
		refs = "0009 GdipGetImageDecodersSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103373_0 {
	meta:
		name = "GetImageEncodersSize"
		size = 16
		refs = "0009 GdipGetImageEncodersSize"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_107973_0 {
	meta:
		name = "InterlockedExchangePointer"
		size = 16
		refs = "0009 InterlockedExchange"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103372_0 {
	meta:
		name = "GetImageDecoders"
		size = 21
		refs = "000d GdipGetImageDecoders"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103374_0 {
	meta:
		name = "GetImageEncoders"
		size = 21
		refs = "000d GdipGetImageEncoders"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_107968_0 {
	meta:
		name = "InterlockedCompareExchangePointer"
		size = 21
		refs = "000d InterlockedCompareExchange"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 57 56 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103376_0 {
	meta:
		name = "TGPRegion.Create"
		size = 95
		refs = "0011 @ClassCreate 0030 GdipCreateRegionRect 003d TGPRegion.SetNativeRegion 0048 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D EC A5 A5 A5 A5 8B DA 8B F0 33 C0 89 45 FC 8D 45 FC 50 8D 45 EC 50 E8 ?? ?? ?? ?? 89 46 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_103377_0 {
	meta:
		name = "TGPRegion.Create"
		size = 95
		refs = "0011 @ClassCreate 0030 GdipCreateRegionRectI 003d TGPRegion.SetNativeRegion 0048 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D EC A5 A5 A5 A5 8B DA 8B F0 33 C0 89 45 FC 8D 45 FC 50 8D 45 EC 50 E8 ?? ?? ?? ?? 89 46 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_103378_0 {
	meta:
		name = "TGPRegion.Create"
		size = 85
		refs = "000f @ClassCreate 0027 GdipCreateRegionPath 0034 TGPRegion.SetNativeRegion 003f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 8B 46 04 50 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_103989_0 {
	meta:
		name = "TGPPathGradientBrush.Create"
		size = 85
		refs = "000f @ClassCreate 0027 GdipCreatePathGradientFromPath 0034 TGPBrush.SetNativeBrush 003f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 8B 46 04 50 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_103380_0 {
	meta:
		name = "TGPRegion.Create"
		size = 82
		refs = "000f @ClassCreate 0024 GdipCreateRegionHrgn 0031 TGPRegion.SetNativeRegion 003c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_103630_0 {
	meta:
		name = "TGPBitmap.Create"
		size = 82
		refs = "000f @ClassCreate 0024 GdipCreateBitmapFromHICON 0031 TGPImage.SetNativeImage 003c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_103853_0 {
	meta:
		name = "TGPFont.Create"
		size = 82
		refs = "000f @ClassCreate 0024 GdipCreateFontFromDC 0031 TGPFont.SetNativeFont 003c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_103644_0 {
	meta:
		name = "TGPGraphics.Create"
		size = 82
		refs = "000f @ClassCreate 0024 GdipCreateFromHDC 0031 TGPGraphics.SetNativeGraphics 003c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_103511_0 {
	meta:
		name = "TGPSolidBrush.Create"
		size = 82
		refs = "000f @ClassCreate 0024 GdipCreateSolidFill 0031 TGPBrush.SetNativeBrush 003c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_103381_0 {
	meta:
		name = "TGPRegion.FromHRGN"
		size = 59
		refs = "000c GdipCreateRegionHrgn 001a _DV_TGPRegion 001f TGPRegion.Create 002e GdipDeleteRegion"
	strings:
		$1 = { 53 51 8B DA 33 C0 89 04 24 54 53 E8 ?? ?? ?? ?? 85 C0 75 20 8B 0C 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 0D 8B 04 24 50 E8 ?? ?? ?? ?? EB 02 33 DB 8B C3 5A 5B C3 }
	condition:
		$1
}

rule function_103383_0 {
	meta:
		name = "TGPRegion.Clone"
		size = 46
		refs = "000f GdipCloneRegion 0018 TGPRegion.SetStatus 0022 _DV_TGPRegion 0027 TGPRegion.Create"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 0C 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_103890_0 {
	meta:
		name = "TGPGraphicsPath.Clone"
		size = 46
		refs = "000f GdipClonePath 0018 TGPGraphicsPath.SetStatus 0022 _DV_TGPGraphicsPath 0027 TGPGraphicsPath.Create"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 0C 24 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_103388_0 {
	meta:
		name = "TGPRegion.Intersect"
		size = 30
		refs = "000e GdipCombineRegionRectI 0017 TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103389_0 {
	meta:
		name = "TGPRegion.Intersect"
		size = 30
		refs = "000e GdipCombineRegionRect 0017 TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103390_0 {
	meta:
		name = "TGPRegion.Intersect"
		size = 33
		refs = "0011 GdipCombineRegionPath 001a TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103800_0 {
	meta:
		name = "TGPGraphics.IntersectClip"
		size = 33
		refs = "0011 GdipSetClipRegion 001a TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103391_0 {
	meta:
		name = "TGPRegion.Intersect"
		size = 33
		refs = "0011 GdipCombineRegionRegion 001a TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 01 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103392_0 {
	meta:
		name = "TGPRegion.Union"
		size = 30
		refs = "000e GdipCombineRegionRectI 0017 TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 02 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103393_0 {
	meta:
		name = "TGPRegion.Union"
		size = 30
		refs = "000e GdipCombineRegionRect 0017 TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 02 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103394_0 {
	meta:
		name = "TGPRegion.Union"
		size = 33
		refs = "0011 GdipCombineRegionPath 001a TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 02 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103395_0 {
	meta:
		name = "TGPRegion.Union"
		size = 33
		refs = "0011 GdipCombineRegionRegion 001a TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 02 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103396_0 {
	meta:
		name = "TGPRegion.Xor_"
		size = 30
		refs = "000e GdipCombineRegionRectI 0017 TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 03 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103397_0 {
	meta:
		name = "TGPRegion.Xor_"
		size = 30
		refs = "000e GdipCombineRegionRect 0017 TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 03 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103398_0 {
	meta:
		name = "TGPRegion.Xor_"
		size = 33
		refs = "0011 GdipCombineRegionPath 001a TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 03 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103399_0 {
	meta:
		name = "TGPRegion.Xor_"
		size = 33
		refs = "0011 GdipCombineRegionRegion 001a TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 03 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103400_0 {
	meta:
		name = "TGPRegion.Exclude"
		size = 30
		refs = "000e GdipCombineRegionRectI 0017 TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 04 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103401_0 {
	meta:
		name = "TGPRegion.Exclude"
		size = 30
		refs = "000e GdipCombineRegionRect 0017 TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 04 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103402_0 {
	meta:
		name = "TGPRegion.Exclude"
		size = 33
		refs = "0011 GdipCombineRegionPath 001a TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 04 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103803_0 {
	meta:
		name = "TGPGraphics.ExcludeClip"
		size = 33
		refs = "0011 GdipSetClipRegion 001a TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 04 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103403_0 {
	meta:
		name = "TGPRegion.Exclude"
		size = 33
		refs = "0011 GdipCombineRegionRegion 001a TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 04 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103404_0 {
	meta:
		name = "TGPRegion.Complement"
		size = 30
		refs = "000e GdipCombineRegionRectI 0017 TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 05 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103405_0 {
	meta:
		name = "TGPRegion.Complement"
		size = 30
		refs = "000e GdipCombineRegionRect 0017 TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 05 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103406_0 {
	meta:
		name = "TGPRegion.Complement"
		size = 33
		refs = "0011 GdipCombineRegionPath 001a TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 05 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103407_0 {
	meta:
		name = "TGPRegion.Complement"
		size = 33
		refs = "0011 GdipCombineRegionRegion 001a TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 05 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103408_0 {
	meta:
		name = "TGPRegion.Translate"
		size = 35
		refs = "0011 GdipTranslateRegion 001a TGPRegion.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103626_0 {
	meta:
		name = "TGPBitmap.SetResolution"
		size = 35
		refs = "0011 GdipBitmapSetResolution 001a TGPImage.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103805_0 {
	meta:
		name = "TGPGraphics.TranslateClip"
		size = 35
		refs = "0011 GdipTranslateClip 001a TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103551_0 {
	meta:
		name = "TGPLinearGradientBrush.SetBlendBellShape"
		size = 35
		refs = "0011 GdipSetLineSigmaBlend 001a TGPBrush.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103552_0 {
	meta:
		name = "TGPLinearGradientBrush.SetBlendTriangularShape"
		size = 35
		refs = "0011 GdipSetLineLinearBlend 001a TGPBrush.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_104012_0 {
	meta:
		name = "TGPPathGradientBrush.SetBlendBellShape"
		size = 35
		refs = "0011 GdipSetPathGradientSigmaBlend 001a TGPBrush.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_104013_0 {
	meta:
		name = "TGPPathGradientBrush.SetBlendTriangularShape"
		size = 35
		refs = "0011 GdipSetPathGradientLinearBlend 001a TGPBrush.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_104022_0 {
	meta:
		name = "TGPPathGradientBrush.SetFocusScales"
		size = 35
		refs = "0011 GdipSetPathGradientFocusScales 001a TGPBrush.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103410_0 {
	meta:
		name = "TGPRegion.Transform"
		size = 31
		refs = "000f GdipTransformRegion 0018 TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103807_0 {
	meta:
		name = "TGPGraphics.GetClip"
		size = 31
		refs = "000f GdipGetClip 0018 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103674_0 {
	meta:
		name = "TGPGraphics.GetTransform"
		size = 31
		refs = "000f GdipGetWorldTransform 0018 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103668_0 {
	meta:
		name = "TGPGraphics.SetTransform"
		size = 31
		refs = "000f GdipSetWorldTransform 0018 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103554_0 {
	meta:
		name = "TGPLinearGradientBrush.GetTransform"
		size = 31
		refs = "000f GdipGetLineTransform 0018 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103553_0 {
	meta:
		name = "TGPLinearGradientBrush.SetTransform"
		size = 31
		refs = "000f GdipSetLineTransform 0018 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_104014_0 {
	meta:
		name = "TGPPathGradientBrush.GetTransform"
		size = 31
		refs = "000f GdipGetPathGradientTransform 0018 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_104015_0 {
	meta:
		name = "TGPPathGradientBrush.SetTransform"
		size = 31
		refs = "000f GdipSetPathGradientTransform 0018 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103478_0 {
	meta:
		name = "TGPPen.GetTransform"
		size = 31
		refs = "000f GdipGetPenTransform 0018 TGPPen.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103486_0 {
	meta:
		name = "TGPPen.SetBrush"
		size = 31
		refs = "000f GdipSetPenBrushFill 0018 TGPPen.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103477_0 {
	meta:
		name = "TGPPen.SetTransform"
		size = 31
		refs = "000f GdipSetPenTransform 0018 TGPPen.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103523_0 {
	meta:
		name = "TGPTextureBrush.GetTransform"
		size = 31
		refs = "000f GdipGetTextureTransform 0018 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103522_0 {
	meta:
		name = "TGPTextureBrush.SetTransform"
		size = 31
		refs = "000f GdipSetTextureTransform 0018 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103411_0 {
	meta:
		name = "TGPRegion.GetBounds"
		size = 36
		refs = "0013 GdipGetRegionBoundsI 001c TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 8B 47 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103412_0 {
	meta:
		name = "TGPRegion.GetBounds"
		size = 36
		refs = "0013 GdipGetRegionBounds 001c TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 8B 47 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103413_0 {
	meta:
		name = "TGPRegion.GetHRGN"
		size = 37
		refs = "0011 GdipGetRegionHRgn 001a TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103416_0 {
	meta:
		name = "TGPRegion.IsVisible"
		size = 75
		refs = "0032 GdipIsVisibleRegionPointI 003b TGPRegion.SetStatus"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B D8 8B 45 08 33 D2 89 55 F8 85 C0 74 05 8B 70 04 EB 02 33 F6 8D 45 F8 50 56 8B 45 FC 50 57 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103417_0 {
	meta:
		name = "TGPRegion.IsVisible"
		size = 59
		refs = "0026 GdipIsVisibleRegionPointI 002f TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 33 C0 89 04 24 85 C9 74 05 8B 71 04 EB 02 33 F6 54 56 8B 47 04 50 8B 07 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103418_0 {
	meta:
		name = "TGPRegion.IsVisible"
		size = 63
		refs = "0028 GdipIsVisibleRegionPoint 0031 TGPRegion.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 33 C0 89 45 FC 85 D2 74 05 8B 72 04 EB 02 33 F6 8D 45 FC 50 56 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_103419_0 {
	meta:
		name = "TGPRegion.IsVisible"
		size = 57
		refs = "0024 GdipIsVisibleRegionPoint 002d TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 33 C0 89 04 24 85 C9 74 05 8B 71 04 EB 02 33 F6 54 56 FF 77 04 FF 37 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103420_0 {
	meta:
		name = "TGPRegion.IsVisible"
		size = 83
		refs = "003a GdipIsVisibleRegionRectI 0043 TGPRegion.SetStatus"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B D8 8B 45 08 33 D2 89 55 F8 85 C0 74 05 8B 70 04 EB 02 33 F6 8D 45 F8 50 56 8B 45 0C 50 8B 45 10 50 8B 45 FC 50 57 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_103421_0 {
	meta:
		name = "TGPRegion.IsVisible"
		size = 67
		refs = "002e GdipIsVisibleRegionRectI 0037 TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 57 51 8B DA 8B F0 33 C0 89 04 24 85 C9 74 05 8B 79 04 EB 02 33 FF 54 57 8B 43 0C 50 8B 43 08 50 8B 43 04 50 8B 03 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103422_0 {
	meta:
		name = "TGPRegion.IsVisible"
		size = 69
		refs = "002e GdipIsVisibleRegionRect 0037 TGPRegion.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 33 C0 89 45 FC 85 D2 74 05 8B 72 04 EB 02 33 F6 8D 45 FC 50 56 FF 75 08 FF 75 0C FF 75 10 FF 75 14 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_103423_0 {
	meta:
		name = "TGPRegion.IsVisible"
		size = 63
		refs = "002a GdipIsVisibleRegionRect 0033 TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 57 51 8B DA 8B F0 33 C0 89 04 24 85 C9 74 05 8B 79 04 EB 02 33 FF 54 57 FF 73 0C FF 73 08 FF 73 04 FF 33 8B 46 04 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103424_0 {
	meta:
		name = "TGPRegion.Equals"
		size = 50
		refs = "001d GdipIsEqualRegion 0026 TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 33 C0 89 04 24 54 8B 47 04 50 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103425_0 {
	meta:
		name = "TGPRegion.GetRegionScansCount"
		size = 46
		refs = "001a GdipGetRegionScansCount 0023 TGPRegion.SetStatus"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 33 C0 89 04 24 8B 46 04 50 8D 44 24 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103426_0 {
	meta:
		name = "TGPRegion.GetRegionScans"
		size = 46
		refs = "001a GdipGetRegionScans 0023 TGPRegion.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 46 04 50 8B 45 08 50 57 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103427_0 {
	meta:
		name = "TGPRegion.GetRegionScans"
		size = 46
		refs = "001a GdipGetRegionScansI 0023 TGPRegion.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 46 04 50 8B 45 08 50 57 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103430_0 {
	meta:
		name = "TGPRegion.Create"
		size = 53
		refs = "000a @ClassCreate 0017 TGPRegion.SetNativeRegion 0022 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B D1 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_103432_0 {
	meta:
		name = "TGPCustomLineCap.Create"
		size = 104
		refs = "000f @ClassCreate 0040 GdipCreateCustomLineCap 0050 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 45 10 33 D2 89 53 04 33 F6 33 FF 85 C9 74 03 8B 71 04 85 C0 74 03 8B 78 04 8D 43 04 50 FF 75 08 8B 45 0C 50 57 56 E8 ?? ?? ?? ?? 89 43 08 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_103434_0 {
	meta:
		name = "TGPCustomLineCap.Clone"
		size = 87
		refs = "0010 GdipCloneCustomLineCap 0019 TGPCustomLineCap.SetStatus 002c _DV_TGPCustomLineCap 0031 TGPCustomLineCap.Create 0040 GdipDeleteCustomLineCap"
	strings:
		$1 = { 53 56 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 08 85 C0 75 2B 50 8B 4C 24 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 16 8B 04 24 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? EB 02 33 F6 8B C6 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103435_0 {
	meta:
		name = "TGPCustomLineCap.SetStrokeCap"
		size = 24
		refs = "0010 TGPCustomLineCap.SetStrokeCaps"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B FE 8B CF 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103447_0 {
	meta:
		name = "TGPCustomLineCap.Create"
		size = 42
		refs = "0008 @ClassCreate 001b @AfterConstruction"
		altNames = "TGPFontFamily.Create"
	strings:
		$1 = { 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 33 C9 89 48 04 33 C9 89 48 08 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C C3 }
	condition:
		$1
}

rule function_103448_0 {
	meta:
		name = "TGPCustomLineCap.Create"
		size = 65
		refs = "000d @ClassCreate 0020 TGPCustomLineCap.SetNativeCap 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 89 46 08 8B D1 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103508_0 {
	meta:
		name = "TGPBrush.Create"
		size = 65
		refs = "000d @ClassCreate 0020 TGPBrush.SetNativeBrush 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 89 46 08 8B D1 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103871_0 {
	meta:
		name = "TGPFont.Create"
		size = 65
		refs = "000d @ClassCreate 0020 TGPFont.SetNativeFont 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 89 46 08 8B D1 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103500_0 {
	meta:
		name = "TGPPen.Create"
		size = 65
		refs = "000d @ClassCreate 0020 TGPPen.SetNativePen 002b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 89 46 08 8B D1 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103451_0 {
	meta:
		name = "TGPCachedBitmap.Create"
		size = 82
		refs = "000e @ClassCreate 002d GdipCreateCachedBitmap 003b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 47 04 8D 47 04 50 8B 45 08 8B 40 04 50 8B 46 04 50 E8 ?? ?? ?? ?? 89 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103454_0 {
	meta:
		name = "TGPPen.Create"
		size = 83
		refs = "000f @ClassCreate 002b GdipCreatePen1 003b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 F6 33 C0 89 43 04 8D 43 04 50 56 FF 75 08 57 E8 ?? ?? ?? ?? 89 43 08 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103455_0 {
	meta:
		name = "TGPPen.Create"
		size = 86
		refs = "000f @ClassCreate 002e GdipCreatePen2 003e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 F6 33 C0 89 43 04 8D 43 04 50 56 FF 75 08 8B 47 04 50 E8 ?? ?? ?? ?? 89 43 08 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103457_0 {
	meta:
		name = "TGPPen.Clone"
		size = 46
		refs = "0010 GdipClonePen 0021 _DV_TGPPen 0026 TGPPen.Create"
	strings:
		$1 = { 53 56 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B F0 89 73 08 56 8B 4C 24 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103469_0 {
	meta:
		name = "TGPPen.SetCustomStartCap"
		size = 35
		refs = "0013 GdipSetPenCustomStartCap 001c TGPPen.SetStatus"
	strings:
		$1 = { 53 56 8B D8 33 F6 85 D2 74 03 8B 72 04 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103471_0 {
	meta:
		name = "TGPPen.SetCustomEndCap"
		size = 35
		refs = "0013 GdipSetPenCustomEndCap 001c TGPPen.SetStatus"
	strings:
		$1 = { 53 56 8B D8 33 F6 85 D2 74 03 8B 72 04 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103470_0 {
	meta:
		name = "TGPPen.GetCustomStartCap"
		size = 50
		refs = "0012 TGPPen.SetStatus 0022 GdipGetPenCustomStartCap"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 0F BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8D 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103472_0 {
	meta:
		name = "TGPPen.GetCustomEndCap"
		size = 50
		refs = "0012 TGPPen.SetStatus 0022 GdipGetPenCustomEndCap"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 0F BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8D 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103487_0 {
	meta:
		name = "TGPPen.GetColor"
		size = 60
		refs = "000a TGPPen.GetPenType 001f GdipGetPenColor 0028 TGPPen.SetStatus"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 85 C0 74 07 B8 08 00 00 00 EB 1F 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 08 85 C0 75 05 8B 14 24 89 16 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103488_0 {
	meta:
		name = "TGPPen.GetBrush"
		size = 163
		refs = "0008 TGPPen.GetPenType 0016 TGPPen.GetBrush 0031 _DV_TGPSolidBrush 0036 TGPSolidBrush.Create 0041 _DV_TGPHatchBrush 0046 TGPHatchBrush.Create 0051 _DV_TGPTextureBrush 0056 TGPTextureBrush.Create 0061 _DV_TGPBrush 0066 TGPBrush.Create 0071 _DV_TGPLinearGradientBrush 0076 TGPLinearGradientBrush.Create 0086 GdipGetPenBrushFill 008f TGPPen.SetStatus 0099 TGPBrush.SetNativeBrush"
	strings:
		$1 = { 53 56 51 8B F0 8B C6 E8 ?? ?? ?? ?? 33 DB 83 F8 04 77 69 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 3E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 2E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 1E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 0E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 1D 54 8B 46 04 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 14 24 8B C3 E8 ?? ?? ?? ?? 8B C3 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103498_0 {
	meta:
		name = "TGPPen.GetCompoundArray"
		size = 51
		refs = "0015 TGPPen.SetStatus 0022 GdipGetPenCompoundArray"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 85 F6 7F 0E BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 14 56 57 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103504_0 {
	meta:
		name = "TGPBrush.Clone"
		size = 68
		refs = "000f GdipCloneBrush 0018 TGPBrush.SetStatus 0027 _DV_TGPBrush 002c TGPBrush.Create 003b GdipDeleteBrush"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 08 50 8B 4C 24 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 09 8B 04 24 50 E8 ?? ?? ?? ?? 8B C3 5A 5B C3 }
	condition:
		$1
}

rule function_103505_0 {
	meta:
		name = "TGPBrush.GetType"
		size = 36
		refs = "0011 GdipGetBrushType 001a TGPBrush.SetStatus"
	strings:
		$1 = { 53 51 8B D8 C7 04 24 FF FF FF FF 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103662_0 {
	meta:
		name = "TGPGraphics.GetInterpolationMode"
		size = 36
		refs = "0011 GdipGetInterpolationMode 001a TGPGraphics.SetStatus"
	strings:
		$1 = { 53 51 8B D8 C7 04 24 FF FF FF FF 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103666_0 {
	meta:
		name = "TGPGraphics.GetPixelOffsetMode"
		size = 36
		refs = "0011 GdipGetPixelOffsetMode 001a TGPGraphics.SetStatus"
	strings:
		$1 = { 53 51 8B D8 C7 04 24 FF FF FF FF 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103664_0 {
	meta:
		name = "TGPGraphics.GetSmoothingMode"
		size = 36
		refs = "0011 GdipGetSmoothingMode 001a TGPGraphics.SetStatus"
	strings:
		$1 = { 53 51 8B D8 C7 04 24 FF FF FF FF 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103507_0 {
	meta:
		name = "TGPBrush.Create"
		size = 56
		refs = "000a @ClassCreate 001a TGPBrush.SetStatus 0025 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 BA 06 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_103512_0 {
	meta:
		name = "TGPSolidBrush.GetColor"
		size = 31
		refs = "000c GdipGetSolidFillColor 0015 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_103990_0 {
	meta:
		name = "TGPPathGradientBrush.GetCenterColor"
		size = 31
		refs = "000c GdipGetPathGradientCenterColor 0015 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_103991_0 {
	meta:
		name = "TGPPathGradientBrush.SetCenterColor"
		size = 31
		refs = "000c GdipSetPathGradientCenterColor 0015 TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 08 5E 5B C3 }
	condition:
		$1
}

rule function_103515_0 {
	meta:
		name = "TGPTextureBrush.Create"
		size = 86
		refs = "000f @ClassCreate 0026 GdipCreateTexture 0033 TGPBrush.SetNativeBrush 003e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 45 FC 50 8B 45 08 50 8B 46 04 50 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103516_0 {
	meta:
		name = "TGPTextureBrush.Create"
		size = 116
		refs = "0011 @ClassCreate 0043 GdipCreateTexture2 0050 TGPBrush.SetNativeBrush 005b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 08 8D 7D EC A5 A5 A5 A5 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8B 45 0C 50 8B 46 04 50 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_103517_0 {
	meta:
		name = "TGPTextureBrush.Create"
		size = 130
		refs = "0011 @ClassCreate 004f GdipCreateTextureIA 005c TGPBrush.SetNativeBrush 0069 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 0C 8D 7D E8 A5 A5 A5 A5 8B F9 88 55 FF 8B D8 8B 45 08 33 D2 89 55 F8 85 C0 74 05 8B 70 04 EB 02 33 F6 8D 45 F8 50 FF 75 F4 FF 75 F0 FF 75 EC FF 75 E8 56 8B 47 04 50 E8 ?? ?? ?? ?? 89 43 08 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_103518_0 {
	meta:
		name = "TGPTextureBrush.Create"
		size = 134
		refs = "0011 @ClassCreate 0053 GdipCreateTextureIAI 0060 TGPBrush.SetNativeBrush 006d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 0C 8D 7D E8 A5 A5 A5 A5 8B F9 88 55 FF 8B D8 8B 45 08 33 D2 89 55 F8 85 C0 74 05 8B 70 04 EB 02 33 F6 8D 45 F8 50 8B 45 F4 50 8B 45 F0 50 8B 45 EC 50 8B 45 E8 50 56 8B 47 04 50 E8 ?? ?? ?? ?? 89 43 08 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_103519_0 {
	meta:
		name = "TGPTextureBrush.Create"
		size = 120
		refs = "0011 @ClassCreate 0047 GdipCreateTexture2I 0054 TGPBrush.SetNativeBrush 005f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B 75 08 8D 7D EC A5 A5 A5 A5 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 8B 45 F8 50 8B 45 F4 50 8B 45 F0 50 8B 45 EC 50 8B 45 0C 50 8B 46 04 50 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_103520_0 {
	meta:
		name = "TGPTextureBrush.Create"
		size = 103
		refs = "000f @ClassCreate 0037 GdipCreateTexture2 0044 TGPBrush.SetNativeBrush 004f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 FF 75 08 FF 75 0C FF 75 10 FF 75 14 8B 45 18 50 8B 46 04 50 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_103521_0 {
	meta:
		name = "TGPTextureBrush.Create"
		size = 107
		refs = "000f @ClassCreate 003b GdipCreateTexture2I 0048 TGPBrush.SetNativeBrush 0053 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 46 04 50 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_103531_0 {
	meta:
		name = "TGPTextureBrush.GetImage"
		size = 63
		refs = "000a GdipGetTextureImage 0013 TGPBrush.SetStatus 0022 _DV_TGPImage 0027 TGPImage.Create 0036 GdipDisposeImage"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 08 50 8B 4C 24 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 09 8B 04 24 50 E8 ?? ?? ?? ?? 8B C3 5A 5B C3 }
	condition:
		$1
}

rule function_103533_0 {
	meta:
		name = "TGPLinearGradientBrush.Create"
		size = 98
		refs = "000f @ClassCreate 0032 GdipCreateLineBrush 003f TGPBrush.SetNativeBrush 004a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 6A 00 8B 45 08 50 8B 45 0C 50 8B 45 10 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_103534_0 {
	meta:
		name = "TGPLinearGradientBrush.Create"
		size = 98
		refs = "000f @ClassCreate 0032 GdipCreateLineBrushI 003f TGPBrush.SetNativeBrush 004a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 6A 00 8B 45 08 50 8B 45 0C 50 8B 45 10 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_103535_0 {
	meta:
		name = "TGPLinearGradientBrush.Create"
		size = 111
		refs = "0011 @ClassCreate 003e GdipCreateLineBrushFromRect 004b TGPBrush.SetNativeBrush 0056 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D EC A5 A5 A5 A5 8B DA 8B F0 33 C0 89 45 FC 8D 45 FC 50 6A 00 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8D 45 EC 50 E8 ?? ?? ?? ?? 89 46 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_103536_0 {
	meta:
		name = "TGPLinearGradientBrush.Create"
		size = 111
		refs = "0011 @ClassCreate 003e GdipCreateLineBrushFromRectI 004b TGPBrush.SetNativeBrush 0056 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D EC A5 A5 A5 A5 8B DA 8B F0 33 C0 89 45 FC 8D 45 FC 50 6A 00 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8D 45 EC 50 E8 ?? ?? ?? ?? 89 46 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_103537_0 {
	meta:
		name = "TGPLinearGradientBrush.Create"
		size = 114
		refs = "0011 @ClassCreate 0041 GdipCreateLineBrushFromRectWithAngle 004e TGPBrush.SetNativeBrush 0059 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D EC A5 A5 A5 A5 8B DA 8B F0 33 C0 89 45 FC 8D 45 FC 50 6A 00 8B 45 08 50 FF 75 0C 8B 45 10 50 8B 45 14 50 8D 45 EC 50 E8 ?? ?? ?? ?? 89 46 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_103538_0 {
	meta:
		name = "TGPLinearGradientBrush.Create"
		size = 114
		refs = "0011 @ClassCreate 0041 GdipCreateLineBrushFromRectWithAngleI 004e TGPBrush.SetNativeBrush 0059 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8D 7D EC A5 A5 A5 A5 8B DA 8B F0 33 C0 89 45 FC 8D 45 FC 50 6A 00 8B 45 08 50 FF 75 0C 8B 45 10 50 8B 45 14 50 8D 45 EC 50 E8 ?? ?? ?? ?? 89 46 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_103540_0 {
	meta:
		name = "TGPLinearGradientBrush.GetLinearColors"
		size = 55
		refs = "0012 GdipGetLineColors 001b TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F9 8B F2 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 08 85 C0 75 0B 8B 14 24 89 16 8B 54 24 04 89 17 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103547_0 {
	meta:
		name = "TGPLinearGradientBrush.GetBlend"
		size = 71
		refs = "0022 TGPBrush.SetStatus 0033 GdipGetLineBlend"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 83 7D 08 00 7E 08 85 F6 74 04 85 FF 75 0E BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 18 8B 45 08 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103549_0 {
	meta:
		name = "TGPLinearGradientBrush.SetInterpolationColors"
		size = 67
		refs = "001d TGPBrush.SetStatus 002e GdipSetLinePresetBlend"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 85 F6 7F 0E BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 18 56 8B 45 FC 50 57 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103550_0 {
	meta:
		name = "TGPLinearGradientBrush.GetInterpolationColors"
		size = 67
		refs = "001d TGPBrush.SetStatus 002e GdipGetLinePresetBlend"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 85 F6 7F 0E BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 18 56 8B 45 FC 50 57 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103563_0 {
	meta:
		name = "TGPHatchBrush.Create"
		size = 92
		refs = "000f @ClassCreate 002c GdipCreateHatchBrush 0039 TGPBrush.SetNativeBrush 0044 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 8B 45 08 50 8B 45 0C 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_103987_0 {
	meta:
		name = "TGPPathGradientBrush.Create"
		size = 92
		refs = "000f @ClassCreate 002c GdipCreatePathGradient 0039 TGPBrush.SetNativeBrush 0044 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 8B 45 08 50 8B 45 0C 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_103988_0 {
	meta:
		name = "TGPPathGradientBrush.Create"
		size = 92
		refs = "000f @ClassCreate 002c GdipCreatePathGradientI 0039 TGPBrush.SetNativeBrush 0044 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 8B 45 08 50 8B 45 0C 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_103568_0 {
	meta:
		name = "TGPImage.Create"
		size = 161
		refs = "000e @ClassCreate 001d @WStrAddRef 0025 TGPImage.Create 0042 @WStrToPWChar 0048 GdipLoadImageFromFileICM 005f GdipLoadImageFromFile 0077 @WStrClr 007d @HandleFinally 008a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 46 04 83 7D 08 00 74 17 8D 46 04 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 08 EB 15 8D 46 04 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103569_0 {
	meta:
		name = "TGPImage.Create"
		size = 151
		refs = "000e @ClassCreate 001d @IntfAddRef 0025 TGPImage.Create 0043 GdipLoadImageFromStreamICM 0055 GdipLoadImageFromStream 006d @IntfClear 0073 @HandleFinally 0080 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 46 04 83 7D 08 00 74 12 8D 46 04 50 8B 45 FC 50 E8 ?? ?? ?? ?? 89 46 08 EB 10 8D 46 04 50 8B 45 FC 50 E8 ?? ?? ?? ?? 89 46 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103570_0 {
	meta:
		name = "TGPImage.FromFile"
		size = 116
		refs = "0015 @WStrAddRef 001d TGPImage.FromFile 002c @WStrToPWChar 0036 @WStrFromPWChar 0040 _DV_TGPImage 0045 TGPImage.Create 0061 @WStrArrayClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 8B D9 89 55 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_103613_0 {
	meta:
		name = "TGPBitmap.FromFile"
		size = 116
		refs = "0015 @WStrAddRef 001d TGPBitmap.FromFile 002c @WStrToPWChar 0036 @WStrFromPWChar 0040 _DV_TGPBitmap 0045 TGPBitmap.Create 0061 @WStrArrayClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 8B D9 89 55 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_103571_0 {
	meta:
		name = "TGPImage.FromStream"
		size = 85
		refs = "000e @IntfAddRef 0016 TGPImage.FromStream 0027 _DV_TGPImage 002c TGPImage.Create 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_103614_0 {
	meta:
		name = "TGPBitmap.FromStream"
		size = 85
		refs = "000e @IntfAddRef 0016 TGPBitmap.FromStream 0027 _DV_TGPBitmap 002c TGPBitmap.Create 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_103573_0 {
	meta:
		name = "TGPImage.Clone"
		size = 51
		refs = "000f GdipCloneImage 0018 TGPImage.SetStatus 0027 _DV_TGPImage 002c TGPImage.Create"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 08 50 8B 4C 24 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_103861_0 {
	meta:
		name = "TGPFont.Clone"
		size = 51
		refs = "000f GdipCloneFont 0018 TGPFont.SetStatus 0027 _DV_TGPFont 002c TGPFont.Create"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 08 50 8B 4C 24 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_103843_0 {
	meta:
		name = "TGPFontFamily.Clone"
		size = 51
		refs = "000f GdipCloneFontFamily 0018 TGPFontFamily.SetStatus 0027 _DV_TGPFontFamily 002c TGPFontFamily.Create"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 08 50 8B 4C 24 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 5B C3 }
	condition:
		$1
}

rule function_103574_0 {
	meta:
		name = "TGPImage.Save"
		size = 107
		refs = "0011 @WStrAddRef 0019 TGPImage.Save 002c @WStrToPWChar 0036 GdipSaveImageToFile 003f TGPImage.SetStatus 0056 @WStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 56 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103575_0 {
	meta:
		name = "TGPImage.Save"
		size = 102
		refs = "0011 @IntfAddRef 0019 TGPImage.Save 0031 GdipSaveImageToStream 003a TGPImage.SetStatus 0051 @IntfClear 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 56 8B 45 FC 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103577_0 {
	meta:
		name = "TGPImage.SaveAdd"
		size = 54
		refs = "0015 TGPImage.SetStatus 0025 GdipSaveAddImage"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 F6 75 0E BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 17 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103579_0 {
	meta:
		name = "TGPImage.GetPhysicalDimension"
		size = 54
		refs = "0018 GdipGetImageDimension 0021 TGPImage.SetStatus"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8D 44 24 04 50 8D 44 24 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 14 24 89 16 8B 54 24 04 89 56 04 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103583_0 {
	meta:
		name = "TGPImage.GetHorizontalResolution"
		size = 49
		refs = "0016 GdipGetImageHorizontalResolution 001f TGPImage.SetStatus"
	strings:
		$1 = { 53 83 C4 F8 8B D8 33 C0 89 44 24 04 8D 44 24 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 89 04 24 D9 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_103584_0 {
	meta:
		name = "TGPImage.GetVerticalResolution"
		size = 49
		refs = "0016 GdipGetImageVerticalResolution 001f TGPImage.SetStatus"
	strings:
		$1 = { 53 83 C4 F8 8B D8 33 C0 89 44 24 04 8D 44 24 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 44 24 04 89 04 24 D9 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_103591_0 {
	meta:
		name = "TGPImage.GetThumbnailImage"
		size = 94
		refs = "0025 GdipGetImageThumbnail 002e TGPImage.SetStatus 003c _DV_TGPImage 0041 TGPImage.Create 0050 GdipDisposeImage"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 33 C0 89 45 FC 8B 45 08 50 8B 45 0C 50 8D 45 FC 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 08 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 09 8B 45 FC 50 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_103594_0 {
	meta:
		name = "TGPImage.GetFrameCount"
		size = 39
		refs = "0013 GdipImageGetFrameCount 001c TGPImage.SetStatus"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 33 C0 89 04 24 54 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103605_0 {
	meta:
		name = "TGPImage.GetEncoderParameterListSize"
		size = 39
		refs = "0013 GdipGetEncoderParameterListSize 001c TGPImage.SetStatus"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 33 C0 89 04 24 54 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103599_0 {
	meta:
		name = "TGPImage.GetPropertyItemSize"
		size = 39
		refs = "0013 GdipGetPropertyItemSize 001c TGPImage.SetStatus"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 33 C0 89 04 24 54 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103611_0 {
	meta:
		name = "TGPBitmap.Create"
		size = 174
		refs = "0010 @ClassCreate 001f @WStrAddRef 0027 TGPBitmap.Create 0044 @WStrToPWChar 004a GdipCreateBitmapFromFileICM 0061 GdipCreateBitmapFromFile 006e TGPImage.SetNativeImage 0083 @WStrClr 0089 @HandleFinally 0096 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 83 7D 08 00 74 17 8D 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 08 EB 15 8D 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 46 08 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103612_0 {
	meta:
		name = "TGPBitmap.Create"
		size = 164
		refs = "0010 @ClassCreate 001f @IntfAddRef 0027 TGPBitmap.Create 0045 GdipCreateBitmapFromStreamICM 0057 GdipCreateBitmapFromStream 0064 TGPImage.SetNativeImage 0079 @IntfClear 007f @HandleFinally 008c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 83 7D 08 00 74 12 8D 45 F8 50 8B 45 FC 50 E8 ?? ?? ?? ?? 89 46 08 EB 10 8D 45 F8 50 8B 45 FC 50 E8 ?? ?? ?? ?? 89 46 08 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103615_0 {
	meta:
		name = "TGPBitmap.Create"
		size = 100
		refs = "000f @ClassCreate 0034 GdipCreateBitmapFromScan0 0041 TGPImage.SetNativeImage 004c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_103616_0 {
	meta:
		name = "TGPBitmap.Create"
		size = 96
		refs = "000f @ClassCreate 0030 GdipCreateBitmapFromScan0 003d TGPImage.SetNativeImage 0048 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 6A 00 8B 45 08 50 6A 00 8B 45 0C 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_103617_0 {
	meta:
		name = "TGPBitmap.Create"
		size = 95
		refs = "000f @ClassCreate 002f GdipCreateBitmapFromGraphics 003c TGPImage.SetNativeImage 0047 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 8B 45 08 8B 40 04 50 8B 45 0C 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_103618_0 {
	meta:
		name = "TGPBitmap.Clone"
		size = 44
		refs = "0022 TGPBitmap.Clone"
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B 54 24 08 52 8B 54 24 10 52 51 8B 54 24 0C 8B 4C 24 10 E8 ?? ?? ?? ?? 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_103619_0 {
	meta:
		name = "TGPBitmap.Clone"
		size = 105
		refs = "002f GdipCloneBitmapAreaI 0042 _DV_TGPBitmap 0047 TGPBitmap.Create 0056 GdipDisposeImage"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B D8 33 C0 89 45 F8 8D 45 F8 50 8B 43 04 50 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 FC 50 57 E8 ?? ?? ?? ?? 8B F0 89 73 08 85 F6 75 22 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 09 8B 45 F8 50 E8 ?? ?? ?? ?? 8B C3 EB 02 33 C0 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_103620_0 {
	meta:
		name = "TGPBitmap.Clone"
		size = 42
		refs = "0020 TGPBitmap.Clone"
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 FF 34 24 FF 74 24 08 FF 74 24 10 FF 74 24 18 8B D1 E8 ?? ?? ?? ?? 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_103621_0 {
	meta:
		name = "TGPBitmap.Clone"
		size = 99
		refs = "0025 GdipCloneBitmapArea 002e TGPImage.SetStatus 003e _DV_TGPBitmap 0043 TGPBitmap.Create 0052 GdipDisposeImage"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 33 C0 89 45 FC 8D 45 FC 50 8B 43 04 50 56 FF 75 08 FF 75 0C FF 75 10 FF 75 14 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 83 7B 08 00 75 22 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 09 8B 45 FC 50 E8 ?? ?? ?? ?? 8B C3 EB 02 33 C0 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_103622_0 {
	meta:
		name = "TGPBitmap.LockBits"
		size = 62
		refs = "0028 GdipBitmapLockBits 0031 TGPImage.SetStatus"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 8B 45 08 50 8B 45 0C 50 56 8D 45 F0 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_103631_0 {
	meta:
		name = "TGPBitmap.Create"
		size = 144
		refs = "000f @ClassCreate 001d @WStrAddRef 0025 TGPBitmap.Create 003c @WStrToPWChar 0043 GdipCreateBitmapFromResource 0050 TGPImage.SetNativeImage 0065 @WStrClr 006b @HandleFinally 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 FC 8D 45 FC 50 8B 45 08 E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103633_0 {
	meta:
		name = "TGPBitmap.FromBITMAPINFO"
		size = 16
		refs = "0004 _DV_TGPBitmap 000b TGPBitmap.Create"
	strings:
		$1 = { 51 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_103634_0 {
	meta:
		name = "TGPBitmap.FromHBITMAP"
		size = 16
		refs = "0002 _DV_TGPBitmap 000b TGPBitmap.Create"
	strings:
		$1 = { 51 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_103641_0 {
	meta:
		name = "TGPGraphics.FromHDC"
		size = 16
		refs = "0002 _DV_TGPGraphics 000b TGPGraphics.Create"
	strings:
		$1 = { 51 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_103642_0 {
	meta:
		name = "TGPGraphics.FromHWND"
		size = 16
		refs = "0002 _DV_TGPGraphics 000b TGPGraphics.Create"
	strings:
		$1 = { 51 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_103636_0 {
	meta:
		name = "TGPBitmap.FromResource"
		size = 118
		refs = "0015 @WStrAddRef 001d TGPBitmap.FromResource 002b @WStrToPWChar 0035 @WStrFromPWChar 0042 _DV_TGPBitmap 0047 TGPBitmap.Create 0063 @WStrArrayClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 DB 89 5D F8 89 4D FC 8B DA 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_103637_0 {
	meta:
		name = "TGPBitmap.GetHBITMAP"
		size = 33
		refs = "0010 GdipCreateHBITMAPFromBitmap 0019 TGPImage.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103828_0 {
	meta:
		name = "TGPGraphics.AddMetafileComment"
		size = 33
		refs = "0010 GdipComment 0019 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 57 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103646_0 {
	meta:
		name = "TGPGraphics.Create"
		size = 105
		refs = "000f @ClassCreate 002a GdipCreateFromHWNDICM 0039 GdipCreateFromHWND 0046 TGPGraphics.SetNativeGraphics 0051 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 83 7D 08 00 74 0F 8D 45 FC 50 56 E8 ?? ?? ?? ?? 89 47 08 EB 0D 8D 45 FC 50 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103647_0 {
	meta:
		name = "TGPGraphics.Create"
		size = 89
		refs = "000f @ClassCreate 002b GdipGetImageGraphicsContext 0038 TGPGraphics.SetNativeGraphics 0043 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 85 F6 74 10 8D 45 FC 50 8B 46 04 50 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_103649_0 {
	meta:
		name = "TGPGraphics.Flush"
		size = 11
		refs = "0006 GdipFlush"
	strings:
		$1 = { 52 8B 40 04 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_103684_0 {
	meta:
		name = "TGPGraphics.DrawLine"
		size = 49
		refs = "001e GdipDrawLine 0027 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 08 FF 75 0C FF 75 10 FF 75 14 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_103707_0 {
	meta:
		name = "TGPGraphics.DrawEllipse"
		size = 49
		refs = "001e GdipDrawEllipse 0027 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 08 FF 75 0C FF 75 10 FF 75 14 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_103701_0 {
	meta:
		name = "TGPGraphics.DrawRectangle"
		size = 49
		refs = "001e GdipDrawRectangle 0027 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 08 FF 75 0C FF 75 10 FF 75 14 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_103739_0 {
	meta:
		name = "TGPGraphics.FillEllipse"
		size = 49
		refs = "001e GdipFillEllipse 0027 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 08 FF 75 0C FF 75 10 FF 75 14 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_103729_0 {
	meta:
		name = "TGPGraphics.FillRectangle"
		size = 49
		refs = "001e GdipFillRectangle 0027 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 08 FF 75 0C FF 75 10 FF 75 14 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_103685_0 {
	meta:
		name = "TGPGraphics.DrawLine"
		size = 45
		refs = "0021 TGPGraphics.DrawLine"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 08 FF 36 FF 76 04 FF 37 FF 77 04 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103686_0 {
	meta:
		name = "TGPGraphics.DrawLines"
		size = 46
		refs = "001a GdipDrawLines 0023 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103696_0 {
	meta:
		name = "TGPGraphics.DrawBeziers"
		size = 46
		refs = "001a GdipDrawBeziers 0023 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103699_0 {
	meta:
		name = "TGPGraphics.DrawBeziers"
		size = 46
		refs = "001a GdipDrawBeziersI 0023 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103763_0 {
	meta:
		name = "TGPGraphics.DrawCachedBitmap"
		size = 46
		refs = "001a GdipDrawCachedBitmap 0023 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103723_0 {
	meta:
		name = "TGPGraphics.DrawClosedCurve"
		size = 46
		refs = "001a GdipDrawClosedCurve 0023 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103725_0 {
	meta:
		name = "TGPGraphics.DrawClosedCurve"
		size = 46
		refs = "001a GdipDrawClosedCurveI 0023 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103717_0 {
	meta:
		name = "TGPGraphics.DrawCurve"
		size = 46
		refs = "001a GdipDrawCurve 0023 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103720_0 {
	meta:
		name = "TGPGraphics.DrawCurve"
		size = 46
		refs = "001a GdipDrawCurveI 0023 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103689_0 {
	meta:
		name = "TGPGraphics.DrawLines"
		size = 46
		refs = "001a GdipDrawLinesI 0023 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103714_0 {
	meta:
		name = "TGPGraphics.DrawPolygon"
		size = 46
		refs = "001a GdipDrawPolygon 0023 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103715_0 {
	meta:
		name = "TGPGraphics.DrawPolygon"
		size = 46
		refs = "001a GdipDrawPolygonI 0023 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103702_0 {
	meta:
		name = "TGPGraphics.DrawRectangles"
		size = 46
		refs = "001a GdipDrawRectangles 0023 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103705_0 {
	meta:
		name = "TGPGraphics.DrawRectangles"
		size = 46
		refs = "001a GdipDrawRectanglesI 0023 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103747_0 {
	meta:
		name = "TGPGraphics.FillClosedCurve"
		size = 46
		refs = "001a GdipFillClosedCurve 0023 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103749_0 {
	meta:
		name = "TGPGraphics.FillClosedCurve"
		size = 46
		refs = "001a GdipFillClosedCurveI 0023 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103730_0 {
	meta:
		name = "TGPGraphics.FillRectangles"
		size = 46
		refs = "001a GdipFillRectangles 0023 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103733_0 {
	meta:
		name = "TGPGraphics.FillRectangles"
		size = 46
		refs = "001a GdipFillRectanglesI 0023 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103687_0 {
	meta:
		name = "TGPGraphics.DrawLine"
		size = 54
		refs = "0022 GdipDrawLineI 002b TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_103709_0 {
	meta:
		name = "TGPGraphics.DrawEllipse"
		size = 54
		refs = "0022 GdipDrawEllipseI 002b TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_103704_0 {
	meta:
		name = "TGPGraphics.DrawRectangle"
		size = 54
		refs = "0022 GdipDrawRectangleI 002b TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_103741_0 {
	meta:
		name = "TGPGraphics.FillEllipse"
		size = 54
		refs = "0022 GdipFillEllipseI 002b TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_103732_0 {
	meta:
		name = "TGPGraphics.FillRectangle"
		size = 54
		refs = "0022 GdipFillRectangleI 002b TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_103688_0 {
	meta:
		name = "TGPGraphics.DrawLine"
		size = 48
		refs = "0024 TGPGraphics.DrawLine"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 08 8B 46 04 50 8B 07 50 8B 47 04 50 8B 0E 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103690_0 {
	meta:
		name = "TGPGraphics.DrawArc"
		size = 55
		refs = "0024 GdipDrawArc 002d TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 08 FF 75 0C FF 75 10 FF 75 14 FF 75 18 FF 75 1C 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_103711_0 {
	meta:
		name = "TGPGraphics.DrawPie"
		size = 55
		refs = "0024 GdipDrawPie 002d TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 08 FF 75 0C FF 75 10 FF 75 14 FF 75 18 FF 75 1C 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_103743_0 {
	meta:
		name = "TGPGraphics.FillPie"
		size = 55
		refs = "0024 GdipFillPie 002d TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 08 FF 75 0C FF 75 10 FF 75 14 FF 75 18 FF 75 1C 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_103691_0 {
	meta:
		name = "TGPGraphics.DrawArc"
		size = 45
		refs = "0022 TGPGraphics.DrawArc"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B FA 8B F0 FF 33 FF 73 04 FF 73 08 FF 73 0C FF 75 0C FF 75 08 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103710_0 {
	meta:
		name = "TGPGraphics.DrawPie"
		size = 45
		refs = "0022 TGPGraphics.DrawPie"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B FA 8B F0 FF 33 FF 73 04 FF 73 08 FF 73 0C FF 75 0C FF 75 08 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103742_0 {
	meta:
		name = "TGPGraphics.FillPie"
		size = 45
		refs = "0022 TGPGraphics.FillPie"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B FA 8B F0 FF 33 FF 73 04 FF 73 08 FF 73 0C FF 75 0C FF 75 08 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103692_0 {
	meta:
		name = "TGPGraphics.DrawArc"
		size = 60
		refs = "0028 GdipDrawArcI 0031 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 FF 75 08 FF 75 0C 8B 45 10 50 8B 45 14 50 8B 45 18 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_103713_0 {
	meta:
		name = "TGPGraphics.DrawPie"
		size = 60
		refs = "0028 GdipDrawPieI 0031 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 FF 75 08 FF 75 0C 8B 45 10 50 8B 45 14 50 8B 45 18 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_103745_0 {
	meta:
		name = "TGPGraphics.FillPie"
		size = 60
		refs = "0028 GdipFillPieI 0031 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 FF 75 08 FF 75 0C 8B 45 10 50 8B 45 14 50 8B 45 18 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_103693_0 {
	meta:
		name = "TGPGraphics.DrawArc"
		size = 48
		refs = "0025 TGPGraphics.DrawArc"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B FA 8B F0 8B 43 04 50 8B 43 08 50 8B 43 0C 50 FF 75 0C FF 75 08 8B 0B 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103712_0 {
	meta:
		name = "TGPGraphics.DrawPie"
		size = 48
		refs = "0025 TGPGraphics.DrawPie"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B FA 8B F0 8B 43 04 50 8B 43 08 50 8B 43 0C 50 FF 75 0C FF 75 08 8B 0B 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103744_0 {
	meta:
		name = "TGPGraphics.FillPie"
		size = 48
		refs = "0025 TGPGraphics.FillPie"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B FA 8B F0 8B 43 04 50 8B 43 08 50 8B 43 0C 50 FF 75 0C FF 75 08 8B 0B 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103694_0 {
	meta:
		name = "TGPGraphics.DrawBezier"
		size = 61
		refs = "002a GdipDrawBezier 0033 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B F2 8B D8 FF 75 08 FF 75 0C FF 75 10 FF 75 14 FF 75 18 FF 75 1C FF 75 20 FF 75 24 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 20 00 }
	condition:
		$1
}

rule function_103695_0 {
	meta:
		name = "TGPGraphics.DrawBezier"
		size = 67
		refs = "0037 TGPGraphics.DrawBezier"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 10 FF 36 FF 76 04 FF 37 FF 77 04 8B 45 0C FF 30 8B 45 0C FF 70 04 8B 45 08 FF 30 8B 45 08 FF 70 04 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_103697_0 {
	meta:
		name = "TGPGraphics.DrawBezier"
		size = 70
		refs = "0032 GdipDrawBezierI 003b TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 20 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 1C 00 }
	condition:
		$1
}

rule function_103698_0 {
	meta:
		name = "TGPGraphics.DrawBezier"
		size = 74
		refs = "003e TGPGraphics.DrawBezier"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 10 8B 46 04 50 8B 07 50 8B 47 04 50 8B 45 0C 8B 00 50 8B 45 0C 8B 40 04 50 8B 45 08 8B 00 50 8B 45 08 8B 40 04 50 8B 0E 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_103700_0 {
	meta:
		name = "TGPGraphics.DrawRectangle"
		size = 33
		refs = "0019 TGPGraphics.DrawRectangle"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 FF 33 FF 73 04 FF 73 08 FF 73 0C 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103706_0 {
	meta:
		name = "TGPGraphics.DrawEllipse"
		size = 33
		refs = "0019 TGPGraphics.DrawEllipse"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 FF 33 FF 73 04 FF 73 08 FF 73 0C 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103766_0 {
	meta:
		name = "TGPGraphics.DrawImage"
		size = 33
		refs = "0019 TGPGraphics.DrawImage"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 FF 33 FF 73 04 FF 73 08 FF 73 0C 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103738_0 {
	meta:
		name = "TGPGraphics.FillEllipse"
		size = 33
		refs = "0019 TGPGraphics.FillEllipse"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 FF 33 FF 73 04 FF 73 08 FF 73 0C 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103728_0 {
	meta:
		name = "TGPGraphics.FillRectangle"
		size = 33
		refs = "0019 TGPGraphics.FillRectangle"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 FF 33 FF 73 04 FF 73 08 FF 73 0C 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103703_0 {
	meta:
		name = "TGPGraphics.DrawRectangle"
		size = 36
		refs = "001c TGPGraphics.DrawRectangle"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B 43 04 50 8B 43 08 50 8B 43 0C 50 8B 0B 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103708_0 {
	meta:
		name = "TGPGraphics.DrawEllipse"
		size = 36
		refs = "001c TGPGraphics.DrawEllipse"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B 43 04 50 8B 43 08 50 8B 43 0C 50 8B 0B 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103770_0 {
	meta:
		name = "TGPGraphics.DrawImage"
		size = 36
		refs = "001c TGPGraphics.DrawImage"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B 43 04 50 8B 43 08 50 8B 43 0C 50 8B 0B 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103740_0 {
	meta:
		name = "TGPGraphics.FillEllipse"
		size = 36
		refs = "001c TGPGraphics.FillEllipse"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B 43 04 50 8B 43 08 50 8B 43 0C 50 8B 0B 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103731_0 {
	meta:
		name = "TGPGraphics.FillRectangle"
		size = 36
		refs = "001c TGPGraphics.FillRectangle"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B 43 04 50 8B 43 08 50 8B 43 0C 50 8B 0B 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103716_0 {
	meta:
		name = "TGPGraphics.DrawPath"
		size = 51
		refs = "0022 GdipDrawPath 002b TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 57 8B D8 85 D2 74 05 8B 72 04 EB 02 33 F6 85 C9 74 05 8B 79 04 EB 02 33 FF 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103718_0 {
	meta:
		name = "TGPGraphics.DrawCurve"
		size = 49
		refs = "001d GdipDrawCurve2 0026 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 FF 75 08 8B 45 0C 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103724_0 {
	meta:
		name = "TGPGraphics.DrawClosedCurve"
		size = 49
		refs = "001d GdipDrawClosedCurve2 0026 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 FF 75 08 8B 45 0C 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103726_0 {
	meta:
		name = "TGPGraphics.DrawClosedCurve"
		size = 49
		refs = "001d GdipDrawClosedCurve2I 0026 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 FF 75 08 8B 45 0C 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103721_0 {
	meta:
		name = "TGPGraphics.DrawCurve"
		size = 49
		refs = "001d GdipDrawCurve2I 0026 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 FF 75 08 8B 45 0C 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103719_0 {
	meta:
		name = "TGPGraphics.DrawCurve"
		size = 57
		refs = "0025 GdipDrawCurve3 002e TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 FF 75 08 8B 45 0C 50 8B 45 10 50 8B 45 14 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_103722_0 {
	meta:
		name = "TGPGraphics.DrawCurve"
		size = 57
		refs = "0025 GdipDrawCurve3I 002e TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 FF 75 08 8B 45 0C 50 8B 45 10 50 8B 45 14 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_103734_0 {
	meta:
		name = "TGPGraphics.FillPolygon"
		size = 36
		refs = "0019 TGPGraphics.FillPolygon"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 6A 00 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103735_0 {
	meta:
		name = "TGPGraphics.FillPolygon"
		size = 50
		refs = "001e GdipFillPolygon 0027 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103737_0 {
	meta:
		name = "TGPGraphics.FillPolygon"
		size = 50
		refs = "001e GdipFillPolygonI 0027 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103746_0 {
	meta:
		name = "TGPGraphics.FillPath"
		size = 39
		refs = "0016 GdipFillPath 001f TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 47 04 50 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103751_0 {
	meta:
		name = "TGPGraphics.FillRegion"
		size = 39
		refs = "0016 GdipFillRegion 001f TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 47 04 50 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103748_0 {
	meta:
		name = "TGPGraphics.FillClosedCurve"
		size = 53
		refs = "0021 GdipFillClosedCurve2 002a TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 50 FF 75 08 8B 45 10 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_103750_0 {
	meta:
		name = "TGPGraphics.FillClosedCurve"
		size = 53
		refs = "0021 GdipFillClosedCurve2I 002a TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 50 FF 75 08 8B 45 10 50 57 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_103752_0 {
	meta:
		name = "TGPGraphics.DrawString"
		size = 172
		refs = "001b @WStrAddRef 0023 TGPGraphics.DrawString 006b @WStrToPWChar 0075 GdipDrawString 007e TGPGraphics.SetStatus 0095 @WStrClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 0C 8B 75 14 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 05 8B 76 04 EB 02 33 F6 85 FF 74 05 8B 7F 04 EB 02 33 FF 83 7D 08 00 74 0B 8B 45 08 8B 40 04 89 45 F4 EB 05 33 C0 89 45 F4 8B 45 F4 50 57 8B 45 10 50 56 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_103753_0 {
	meta:
		name = "TGPGraphics.DrawString"
		size = 174
		refs = "001b @WStrAddRef 0023 TGPGraphics.DrawString 006d @WStrToPWChar 0077 GdipDrawString 0080 TGPGraphics.SetStatus 0097 @WStrClr 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 0C 8B 7D 10 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 89 45 E8 8B 46 04 89 45 EC 33 C0 89 45 F0 33 C0 89 45 F4 85 FF 74 05 8B 77 04 EB 02 33 F6 83 7D 08 00 74 08 8B 45 08 8B 78 04 EB 02 33 FF 57 6A 00 8D 45 E8 50 56 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_103754_0 {
	meta:
		name = "TGPGraphics.DrawString"
		size = 198
		refs = "001b @WStrAddRef 0023 TGPGraphics.DrawString 0085 @WStrToPWChar 008f GdipDrawString 0098 TGPGraphics.SetStatus 00af @WStrClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 10 8B 7D 14 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 89 45 E4 8B 46 04 89 45 E8 33 C0 89 45 EC 33 C0 89 45 F0 85 FF 74 05 8B 77 04 EB 02 33 F6 83 7D 0C 00 74 08 8B 45 0C 8B 78 04 EB 02 33 FF 83 7D 08 00 74 0B 8B 45 08 8B 40 04 89 45 F4 EB 05 33 C0 89 45 F4 8B 45 F4 50 57 8D 45 E4 50 56 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_103755_0 {
	meta:
		name = "TGPGraphics.MeasureString"
		size = 158
		refs = "001b @WStrAddRef 0023 TGPGraphics.MeasureString 005d @WStrToPWChar 0067 GdipMeasureString 0070 TGPGraphics.SetStatus 0087 @WStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 14 8B 75 1C 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 05 8B 76 04 EB 02 33 F6 85 FF 74 05 8B 7F 04 EB 02 33 FF 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 8B 45 18 50 56 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 18 00 }
	condition:
		$1
}

rule function_103756_0 {
	meta:
		name = "TGPGraphics.MeasureString"
		size = 205
		refs = "001b @WStrAddRef 0023 TGPGraphics.MeasureString 0077 @WStrToPWChar 0081 GdipMeasureString 008a TGPGraphics.SetStatus 00b6 @WStrClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 18 8B 7D 1C 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E8 33 C0 89 45 EC 8B 06 89 45 F0 8B 46 04 89 45 F4 85 FF 74 05 8B 77 04 EB 02 33 F6 83 7D 14 00 74 08 8B 45 14 8B 78 04 EB 02 33 FF 8B 45 08 50 8B 45 0C 50 8D 45 D8 50 57 8D 45 E8 50 56 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 85 C0 75 11 8B 55 10 8B 4D E0 89 0A 8B 55 10 8B 4D E4 89 4A 04 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_103757_0 {
	meta:
		name = "TGPGraphics.MeasureString"
		size = 180
		refs = "001b @WStrAddRef 0023 TGPGraphics.MeasureString 0073 @WStrToPWChar 007d GdipMeasureString 0086 TGPGraphics.SetStatus 009d @WStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 10 8B 7D 14 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 06 89 45 E8 8B 46 04 89 45 EC 33 C0 89 45 F0 33 C0 89 45 F4 85 FF 74 05 8B 77 04 EB 02 33 F6 83 7D 0C 00 74 08 8B 45 0C 8B 78 04 EB 02 33 FF 6A 00 6A 00 8B 45 08 50 57 8D 45 E8 50 56 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_103758_0 {
	meta:
		name = "TGPGraphics.MeasureString"
		size = 134
		refs = "0015 @WStrAddRef 001d TGPGraphics.MeasureString 0046 @WStrToPWChar 0050 GdipMeasureString 0059 TGPGraphics.SetStatus 0070 @WStrClr 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 89 55 FC 8B D8 8B 75 10 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 05 8B 76 04 EB 02 33 F6 6A 00 6A 00 8B 45 08 50 6A 00 8B 45 0C 50 56 57 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_103759_0 {
	meta:
		name = "TGPGraphics.MeasureString"
		size = 165
		refs = "001b @WStrAddRef 0023 TGPGraphics.MeasureString 0064 @WStrToPWChar 006e GdipMeasureString 0077 TGPGraphics.SetStatus 008e @WStrClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 0C 8B 75 10 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 05 8B 76 04 EB 02 33 F6 8B 07 89 45 E8 8B 47 04 89 45 EC 33 C0 89 45 F0 33 C0 89 45 F4 6A 00 6A 00 8B 45 08 50 6A 00 8D 45 E8 50 56 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_103760_0 {
	meta:
		name = "TGPGraphics.MeasureCharacterRanges"
		size = 261
		refs = "0024 @WStrAddRef 002c TGPGraphics.MeasureCharacterRanges 006e TArrayGpRegion 0073 @DynArraySetLength 00b2 @WStrToPWChar 00bf GdipMeasureCharacterRanges 00c9 TGPGraphics.SetStatus 00e6 @DynArrayClear 00ee @WStrClr 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D F8 89 4D F0 89 55 FC 89 45 F4 8B 75 10 8B 7D 14 8B 5D 1C 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 08 8B 43 04 89 45 EC EB 05 33 C0 89 45 EC 85 FF 74 08 8B 47 04 89 45 E8 EB 05 33 C0 89 45 E8 85 F6 7F 07 BB 02 00 00 00 EB 6C 56 8D 45 F8 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B D6 4A 85 D2 7C 18 42 33 C9 8B 45 0C 8B 5D F8 8B 38 8B 7F 04 89 3C 8B 41 83 C0 04 4A 75 EE 8B 45 F8 50 56 8B 45 E8 50 8B 45 18 50 8B 45 EC 50 8B 45 F0 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 45 F4 8B 40 04 50 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 8B C3 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule function_103761_0 {
	meta:
		name = "TGPGraphics.DrawDriverString"
		size = 116
		refs = "005e GdipDrawDriverString 0067 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 55 14 8B 45 18 85 C0 74 05 8B 70 04 EB 02 33 F6 85 D2 74 05 8B 7A 04 EB 02 33 FF 83 7D 08 00 74 0B 8B 45 08 8B 40 04 89 45 F4 EB 05 33 C0 89 45 F4 8B 45 F4 50 8B 45 0C 50 8B 45 10 50 57 56 8B 45 F8 50 8B 45 FC 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_103762_0 {
	meta:
		name = "TGPGraphics.MeasureDriverString"
		size = 94
		refs = "0048 GdipMeasureDriverString 0051 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 55 0C 8B 45 18 85 C0 74 05 8B 70 04 EB 02 33 F6 85 D2 74 05 8B 7A 04 EB 02 33 FF 8B 45 08 50 57 8B 45 10 50 8B 45 14 50 56 8B 45 F8 50 8B 45 FC 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 14 00 }
	condition:
		$1
}

rule function_103764_0 {
	meta:
		name = "TGPGraphics.DrawImage"
		size = 27
		refs = "0013 TGPGraphics.DrawImage"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 FF 36 FF 76 04 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103765_0 {
	meta:
		name = "TGPGraphics.DrawImage"
		size = 49
		refs = "001e GdipDrawImage 0027 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 85 D2 74 05 8B 72 04 EB 02 33 F6 FF 75 08 FF 75 0C 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_103767_0 {
	meta:
		name = "TGPGraphics.DrawImage"
		size = 55
		refs = "0024 GdipDrawImageRect 002d TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 85 D2 74 05 8B 72 04 EB 02 33 F6 FF 75 08 FF 75 0C FF 75 10 FF 75 14 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_103768_0 {
	meta:
		name = "TGPGraphics.DrawImage"
		size = 28
		refs = "0014 TGPGraphics.DrawImage"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B 46 04 50 8B 0E 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103769_0 {
	meta:
		name = "TGPGraphics.DrawImage"
		size = 52
		refs = "0020 GdipDrawImageI 0029 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B D8 85 D2 74 05 8B 72 04 EB 02 33 F6 8B 45 08 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103771_0 {
	meta:
		name = "TGPGraphics.DrawImage"
		size = 60
		refs = "0028 GdipDrawImageRectI 0031 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B D8 85 D2 74 05 8B 72 04 EB 02 33 F6 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_103772_0 {
	meta:
		name = "TGPGraphics.DrawImage"
		size = 88
		refs = "0027 TGPGraphics.SetStatus 0043 GdipDrawImagePoints"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 75 08 83 FE 03 74 05 83 FE 04 75 06 83 7D FC 00 75 0E BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 23 85 D2 74 05 8B 7A 04 EB 02 33 FF 56 8B 45 FC 50 57 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103774_0 {
	meta:
		name = "TGPGraphics.DrawImage"
		size = 66
		refs = "002e GdipDrawImagePointRect 0037 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B D8 85 D2 74 05 8B 72 04 EB 02 33 F6 57 FF 75 08 FF 75 0C FF 75 10 FF 75 14 FF 75 18 FF 75 1C 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_103775_0 {
	meta:
		name = "TGPGraphics.DrawImage"
		size = 108
		refs = "0057 GdipDrawImageRectRect 0060 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B F0 8B 45 10 85 D2 74 05 8B 7A 04 EB 02 33 FF 85 C0 74 08 8B 40 04 89 45 FC EB 05 33 C0 89 45 FC 8B 45 08 50 8B 45 0C 50 8B 45 FC 50 8B 45 14 50 FF 75 18 FF 75 1C FF 75 20 FF 75 24 FF 73 0C FF 73 08 FF 73 04 FF 33 57 8B 46 04 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 20 00 }
	condition:
		$1
}

rule function_103776_0 {
	meta:
		name = "TGPGraphics.DrawImage"
		size = 97
		refs = "004c GdipDrawImagePointsRect 0055 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 45 10 85 D2 74 05 8B 72 04 EB 02 33 F6 85 C0 74 05 8B 78 04 EB 02 33 FF 8B 45 08 50 8B 45 0C 50 57 8B 45 14 50 FF 75 18 FF 75 1C FF 75 20 FF 75 24 8B 45 28 50 8B 45 FC 50 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 24 00 }
	condition:
		$1
}

rule function_103777_0 {
	meta:
		name = "TGPGraphics.DrawImage"
		size = 72
		refs = "0034 GdipDrawImagePointRectI 003d TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B D8 85 D2 74 05 8B 72 04 EB 02 33 F6 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_103778_0 {
	meta:
		name = "TGPGraphics.DrawImage"
		size = 116
		refs = "005f GdipDrawImageRectRectI 0068 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 8B F0 8B 45 10 85 D2 74 05 8B 7A 04 EB 02 33 FF 85 C0 74 08 8B 40 04 89 45 FC EB 05 33 C0 89 45 FC 8B 45 08 50 8B 45 0C 50 8B 45 FC 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 20 50 8B 45 24 50 8B 43 0C 50 8B 43 08 50 8B 43 04 50 8B 03 50 57 8B 46 04 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 20 00 }
	condition:
		$1
}

rule function_103779_0 {
	meta:
		name = "TGPGraphics.DrawImage"
		size = 101
		refs = "0050 GdipDrawImagePointsRectI 0059 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 45 10 85 D2 74 05 8B 72 04 EB 02 33 F6 85 C0 74 05 8B 78 04 EB 02 33 FF 8B 45 08 50 8B 45 0C 50 57 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 20 50 8B 45 24 50 8B 45 28 50 8B 45 FC 50 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 24 00 }
	condition:
		$1
}

rule function_103780_0 {
	meta:
		name = "TGPGraphics.EnumerateMetafile"
		size = 77
		refs = "0038 GdipEnumerateMetafileDestPoint 0041 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 45 08 85 D2 74 05 8B 72 04 EB 02 33 F6 85 C0 74 05 8B 78 04 EB 02 33 FF 57 8B 45 0C 50 8B 45 10 50 8B 45 FC 50 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_103781_0 {
	meta:
		name = "TGPGraphics.EnumerateMetafile"
		size = 77
		refs = "0038 GdipEnumerateMetafileDestPointI 0041 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 45 08 85 D2 74 05 8B 72 04 EB 02 33 F6 85 C0 74 05 8B 78 04 EB 02 33 FF 57 8B 45 0C 50 8B 45 10 50 8B 45 FC 50 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_103782_0 {
	meta:
		name = "TGPGraphics.EnumerateMetafile"
		size = 77
		refs = "0038 GdipEnumerateMetafileDestRect 0041 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 45 08 85 D2 74 05 8B 72 04 EB 02 33 F6 85 C0 74 05 8B 78 04 EB 02 33 FF 57 8B 45 0C 50 8B 45 10 50 8B 45 FC 50 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_103783_0 {
	meta:
		name = "TGPGraphics.EnumerateMetafile"
		size = 77
		refs = "0038 GdipEnumerateMetafileDestRectI 0041 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 45 08 85 D2 74 05 8B 72 04 EB 02 33 F6 85 C0 74 05 8B 78 04 EB 02 33 FF 57 8B 45 0C 50 8B 45 10 50 8B 45 FC 50 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_103784_0 {
	meta:
		name = "TGPGraphics.EnumerateMetafile"
		size = 81
		refs = "003c GdipEnumerateMetafileDestPoints 0045 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 45 08 85 D2 74 05 8B 72 04 EB 02 33 F6 85 C0 74 05 8B 78 04 EB 02 33 FF 57 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 FC 50 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_103785_0 {
	meta:
		name = "TGPGraphics.EnumerateMetafile"
		size = 81
		refs = "003c GdipEnumerateMetafileDestPointsI 0045 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 45 08 85 D2 74 05 8B 72 04 EB 02 33 F6 85 C0 74 05 8B 78 04 EB 02 33 FF 57 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 FC 50 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_103786_0 {
	meta:
		name = "TGPGraphics.EnumerateMetafile"
		size = 85
		refs = "0040 GdipEnumerateMetafileSrcRectDestPoint 0049 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 45 08 85 D2 74 05 8B 72 04 EB 02 33 F6 85 C0 74 05 8B 78 04 EB 02 33 FF 57 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 FC 50 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_103787_0 {
	meta:
		name = "TGPGraphics.EnumerateMetafile"
		size = 85
		refs = "0040 GdipEnumerateMetafileSrcRectDestPointI 0049 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 45 08 85 D2 74 05 8B 72 04 EB 02 33 F6 85 C0 74 05 8B 78 04 EB 02 33 FF 57 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 FC 50 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_103788_0 {
	meta:
		name = "TGPGraphics.EnumerateMetafile"
		size = 85
		refs = "0040 GdipEnumerateMetafileSrcRectDestRect 0049 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 45 08 85 D2 74 05 8B 72 04 EB 02 33 F6 85 C0 74 05 8B 78 04 EB 02 33 FF 57 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 FC 50 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_103789_0 {
	meta:
		name = "TGPGraphics.EnumerateMetafile"
		size = 85
		refs = "0040 GdipEnumerateMetafileSrcRectDestRectI 0049 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 45 08 85 D2 74 05 8B 72 04 EB 02 33 F6 85 C0 74 05 8B 78 04 EB 02 33 FF 57 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 FC 50 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_103790_0 {
	meta:
		name = "TGPGraphics.EnumerateMetafile"
		size = 89
		refs = "0044 GdipEnumerateMetafileSrcRectDestPoints 004d TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 45 08 85 D2 74 05 8B 72 04 EB 02 33 F6 85 C0 74 05 8B 78 04 EB 02 33 FF 57 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 FC 50 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_103791_0 {
	meta:
		name = "TGPGraphics.EnumerateMetafile"
		size = 89
		refs = "0044 GdipEnumerateMetafileSrcRectDestPointsI 004d TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B D8 8B 45 08 85 D2 74 05 8B 72 04 EB 02 33 F6 85 C0 74 05 8B 78 04 EB 02 33 FF 57 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 FC 50 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_103793_0 {
	meta:
		name = "TGPGraphics.SetClip"
		size = 61
		refs = "0029 GdipSetClipRect 0032 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B F1 8B D8 56 FF 74 24 10 FF 74 24 10 FF 74 24 10 FF 74 24 10 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103794_0 {
	meta:
		name = "TGPGraphics.SetClip"
		size = 65
		refs = "002d GdipSetClipRectI 0036 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B F1 8B D8 56 8B 44 24 10 50 8B 44 24 10 50 8B 44 24 10 50 8B 44 24 10 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103798_0 {
	meta:
		name = "TGPGraphics.IntersectClip"
		size = 40
		refs = "0018 GdipSetClipRect 0021 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 01 FF 73 0C FF 73 08 FF 73 04 FF 33 8B 46 04 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103799_0 {
	meta:
		name = "TGPGraphics.IntersectClip"
		size = 44
		refs = "001c GdipSetClipRectI 0025 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 01 8B 43 0C 50 8B 43 08 50 8B 43 04 50 8B 03 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103801_0 {
	meta:
		name = "TGPGraphics.ExcludeClip"
		size = 40
		refs = "0018 GdipSetClipRect 0021 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 04 FF 73 0C FF 73 08 FF 73 04 FF 33 8B 46 04 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103802_0 {
	meta:
		name = "TGPGraphics.ExcludeClip"
		size = 44
		refs = "001c GdipSetClipRectI 0025 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 8B DA 8B F0 6A 04 8B 43 0C 50 8B 43 08 50 8B 43 04 50 8B 03 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103815_0 {
	meta:
		name = "TGPGraphics.IsVisible"
		size = 45
		refs = "0019 GdipIsVisiblePointI 0022 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 33 C0 89 04 24 54 8B 46 04 50 8B 06 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103816_0 {
	meta:
		name = "TGPGraphics.IsVisible"
		size = 63
		refs = "0027 GdipIsVisibleRectI 0030 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 C7 45 FC FF FF FF FF 8D 45 FC 50 8B 45 08 50 8B 45 0C 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_103817_0 {
	meta:
		name = "TGPGraphics.IsVisible"
		size = 55
		refs = "0023 GdipIsVisibleRectI 002c TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 C7 04 24 FF FF FF FF 54 8B 43 0C 50 8B 43 08 50 8B 43 04 50 8B 03 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103818_0 {
	meta:
		name = "TGPGraphics.IsVisible"
		size = 49
		refs = "001b GdipIsVisiblePoint 0024 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 33 C0 89 45 FC 8D 45 FC 50 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_103819_0 {
	meta:
		name = "TGPGraphics.IsVisible"
		size = 43
		refs = "0017 GdipIsVisiblePoint 0020 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 33 C0 89 04 24 54 FF 76 04 FF 36 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103820_0 {
	meta:
		name = "TGPGraphics.IsVisible"
		size = 57
		refs = "0023 GdipIsVisibleRect 002c TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 C7 45 FC FF FF FF FF 8D 45 FC 50 FF 75 08 FF 75 0C FF 75 10 FF 75 14 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_103821_0 {
	meta:
		name = "TGPGraphics.IsVisible"
		size = 51
		refs = "001f GdipIsVisibleRect 0028 TGPGraphics.SetStatus"
	strings:
		$1 = { 53 56 51 8B DA 8B F0 C7 04 24 FF FF FF FF 54 FF 73 0C FF 73 08 FF 73 04 FF 33 8B 46 04 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103824_0 {
	meta:
		name = "TGPGraphics.BeginContainer"
		size = 52
		refs = "001c GdipBeginContainer 0025 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8D 45 FC 50 8B 45 08 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103825_0 {
	meta:
		name = "TGPGraphics.BeginContainer"
		size = 52
		refs = "001c GdipBeginContainerI 0025 TGPGraphics.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8D 45 FC 50 8B 45 08 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103835_0 {
	meta:
		name = "TGPGraphics.GetNativePen"
		size = 4
	strings:
		$1 = { 8B 42 04 C3 }
	condition:
		$1
}

rule function_103837_0 {
	meta:
		name = "TGPFontFamily.Create"
		size = 149
		refs = "000f @ClassCreate 0021 @WStrAddRef 0029 TGPFontFamily.Create 004c @WStrToPWChar 0052 GdipCreateFontFamilyFromName 006a @WStrClr 0070 @HandleFinally 007d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F8 8B 75 08 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 47 04 85 F6 74 05 8B 76 04 EB 02 33 F6 8D 47 04 50 56 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 47 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103839_0 {
	meta:
		name = "TGPFontFamily.GenericSansSerif"
		size = 67
		refs = "0003 GenericSansSerifFontFamily 0014 _DV_TGPFontFamily 0019 TGPFontFamily.Create 0024 GdipGetGenericFontFamilySansSerif"
	strings:
		$1 = { 51 83 3D ?? ?? ?? ?? 00 74 07 A1 ?? ?? ?? ?? 5A C3 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 54 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 42 08 A1 ?? ?? ?? ?? 8B 14 24 89 50 04 A1 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_103841_0 {
	meta:
		name = "TGPFontFamily.GenericMonospace"
		size = 67
		refs = "0003 GenericMonospaceFontFamily 0014 _DV_TGPFontFamily 0019 TGPFontFamily.Create 0024 GdipGetGenericFontFamilyMonospace"
	strings:
		$1 = { 51 83 3D ?? ?? ?? ?? 00 74 07 A1 ?? ?? ?? ?? 5A C3 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 54 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 42 08 A1 ?? ?? ?? ?? 8B 14 24 89 50 04 A1 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_103840_0 {
	meta:
		name = "TGPFontFamily.GenericSerif"
		size = 67
		refs = "0003 GenericSerifFontFamily 0014 _DV_TGPFontFamily 0019 TGPFontFamily.Create 0024 GdipGetGenericFontFamilySerif"
	strings:
		$1 = { 51 83 3D ?? ?? ?? ?? 00 74 07 A1 ?? ?? ?? ?? 5A C3 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 54 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 42 08 A1 ?? ?? ?? ?? 8B 14 24 89 50 04 A1 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule function_103842_0 {
	meta:
		name = "TGPFontFamily.GetFamilyName"
		size = 72
		refs = "0021 GdipGetFamilyName 002a TGPFontFamily.SetStatus 003b @UStrFromWArray"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 8B F9 8B F2 8B D8 85 F6 74 04 33 C0 89 06 57 8D 45 C0 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C6 8D 55 C0 B9 20 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_103844_0 {
	meta:
		name = "TGPFont.IsAvailable"
		size = 12
		altNames = "TGPFontFamily.IsAvailable"
	strings:
		$1 = { 83 78 04 00 0F 95 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_103845_0 {
	meta:
		name = "TGPFontFamily.IsStyleAvailable"
		size = 43
		refs = "000e GdipIsStyleAvailable 0017 TGPFontFamily.SetStatus"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 85 C0 74 05 33 C0 89 04 24 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103846_0 {
	meta:
		name = "TGPFontFamily.GetEmHeight"
		size = 35
		refs = "000e GdipGetEmHeight 0017 TGPFontFamily.SetStatus"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B7 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103847_0 {
	meta:
		name = "TGPFontFamily.GetCellAscent"
		size = 35
		refs = "000e GdipGetCellAscent 0017 TGPFontFamily.SetStatus"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B7 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103848_0 {
	meta:
		name = "TGPFontFamily.GetCellDescent"
		size = 35
		refs = "000e GdipGetCellDescent 0017 TGPFontFamily.SetStatus"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B7 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103849_0 {
	meta:
		name = "TGPFontFamily.GetLineSpacing"
		size = 35
		refs = "000e GdipGetLineSpacing 0017 TGPFontFamily.SetStatus"
	strings:
		$1 = { 53 56 51 8B F2 8B D8 54 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B7 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103854_0 {
	meta:
		name = "TGPFont.Create"
		size = 113
		refs = "0011 @ClassCreate 002f GdipCreateFontFromLogfontA 003e GdipCreateFontFromDC 004b TGPFont.SetNativeFont 0058 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 33 C0 89 45 F8 85 F6 74 10 8D 45 F8 50 56 57 E8 ?? ?? ?? ?? 89 43 08 EB 0D 8D 45 F8 50 57 E8 ?? ?? ?? ?? 89 43 08 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103855_0 {
	meta:
		name = "TGPFont.Create"
		size = 113
		refs = "0011 @ClassCreate 002f GdipCreateFontFromLogfontW 003e GdipCreateFontFromDC 004b TGPFont.SetNativeFont 0058 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 33 C0 89 45 F8 85 F6 74 10 8D 45 F8 50 56 57 E8 ?? ?? ?? ?? 89 43 08 EB 0D 8D 45 F8 50 57 E8 ?? ?? ?? ?? 89 43 08 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103856_0 {
	meta:
		name = "TGPFont.Create"
		size = 147
		refs = "0011 @ClassCreate 0030 GetObjectA 0042 GdipCreateFontFromLogfontA 0051 GdipCreateFontFromDC 006d TGPFont.SetNativeFont 007a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 33 C0 89 45 F8 85 F6 74 32 8D 45 BC 50 6A 3C 56 E8 ?? ?? ?? ?? 85 C0 74 13 8D 45 F8 50 8D 45 BC 50 57 E8 ?? ?? ?? ?? 89 43 08 EB 1C 8D 45 F8 50 57 E8 ?? ?? ?? ?? 89 43 08 EB 0D 8D 45 F8 50 57 E8 ?? ?? ?? ?? 89 43 08 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_103857_0 {
	meta:
		name = "TGPFont.Create"
		size = 104
		refs = "000f @ClassCreate 0038 GdipCreateFont 0045 TGPFont.SetNativeFont 0050 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 C0 89 45 FC 85 C9 74 05 8B 71 04 EB 02 33 F6 8D 45 FC 50 8B 45 08 50 8B 45 0C 50 FF 75 10 56 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_103858_0 {
	meta:
		name = "TGPFont.Create"
		size = 308
		refs = "0011 @ClassCreate 0021 @WStrAddRef 0029 TGPFont.Create 0042 _DV_TGPFontFamily 0047 TGPFontFamily.Create 0053 TGPFontFamily.GetLastStatus 0066 TGPFontFamily.GenericSansSerif 0086 TObject.Free 009d GdipCreateFont 0106 @WStrClr 010c @HandleFinally 011b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 88 55 FB 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 43 04 8B 45 08 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 7E 04 8B C6 E8 ?? ?? ?? ?? 89 43 08 83 7B 08 00 74 2C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 78 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 08 89 43 08 83 7B 08 00 74 09 8B C6 E8 ?? ?? ?? ?? EB 69 8D 43 04 50 8B 45 0C 50 8B 45 10 50 FF 75 14 57 E8 ?? ?? ?? ?? 89 43 08 83 7B 08 00 74 44 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 78 04 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 08 89 43 08 83 7B 08 00 74 09 8B C6 E8 ?? ?? ?? ?? EB 1F 8D 43 04 50 8B 45 0C 50 8B 45 10 50 FF 75 14 57 E8 ?? ?? ?? ?? 89 43 08 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_103859_0 {
	meta:
		name = "TGPFont.GetLogFontA"
		size = 42
		refs = "0019 GdipGetLogFontA 0022 TGPFont.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 85 D2 74 05 8B 72 04 EB 02 33 F6 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103860_0 {
	meta:
		name = "TGPFont.GetLogFontW"
		size = 42
		refs = "0019 GdipGetLogFontW 0022 TGPFont.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 85 D2 74 05 8B 72 04 EB 02 33 F6 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103868_0 {
	meta:
		name = "TGPFont.GetHeight"
		size = 43
		refs = "0017 GdipGetFontHeight 0020 TGPFont.SetStatus"
	strings:
		$1 = { 53 56 51 8B D8 85 D2 74 05 8B 72 04 EB 02 33 F6 54 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? D9 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103869_0 {
	meta:
		name = "TGPFont.GetHeight"
		size = 41
		refs = "0013 GdipGetFontHeightGivenDPI 001c TGPFont.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8D 45 FC 50 FF 75 08 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? D9 45 FC 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103870_0 {
	meta:
		name = "TGPFont.GetFamily"
		size = 71
		refs = "0015 TGPFont.SetStatus 0021 GdipGetFamily 0034 TGPFontFamily.SetStatus"
	strings:
		$1 = { 53 56 57 55 51 8B F2 8B D8 85 F6 75 0E BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 26 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B F8 8B 04 24 89 46 04 8B EF 8B D5 8B C6 E8 ?? ?? ?? ?? 8B D5 8B C3 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103876_0 {
	meta:
		name = "TGPFontCollection.GetFamilyCount"
		size = 28
		refs = "000f GdipGetFontCollectionFamilyCount"
	strings:
		$1 = { 53 51 8B D8 33 C0 89 04 24 54 8B 43 04 50 E8 ?? ?? ?? ?? 89 43 08 8B 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_103877_0 {
	meta:
		name = "TGPFontCollection.GetFamilies"
		size = 213
		refs = "001c TGPFontCollection.GetFamilies 003a TGPFontCollection.SetStatus 0051 TArrGpFontFamily 0056 @DynArraySetLength 0068 GdipGetFontCollectionFamilyList 0099 GdipCloneFontFamily 00be @DynArrayClear 00c4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7E 08 8B 45 0C 40 85 C0 75 10 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 65 33 C0 89 07 56 8D 45 FC B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 57 8B 45 FC 50 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 26 8B 37 4E 85 F6 7C 1F 46 33 FF 8B 5D F8 8B 03 83 C0 04 50 8B 45 FC 8B 04 B8 50 E8 ?? ?? ?? ?? 47 83 C3 04 4E 75 E7 8B 5D F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_103879_0 {
	meta:
		name = "TGPFontCollection.SetStatus"
		size = 8
	strings:
		$1 = { 8B CA 89 48 08 8B C1 C3 }
	condition:
		$1
}

rule function_103884_0 {
	meta:
		name = "TGPPrivateFontCollection.AddFontFile"
		size = 96
		refs = "000e @WStrAddRef 0016 TGPPrivateFontCollection.AddFontFile 0024 @WStrToPWChar 002e GdipPrivateAddFontFile 0037 TGPFontCollection.SetStatus 004e @WStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_103886_0 {
	meta:
		name = "TGPGraphicsPath.Create"
		size = 66
		refs = "000b @ClassCreate 0020 GdipCreatePath 002e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 47 04 8D 47 04 50 56 E8 ?? ?? ?? ?? 89 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103887_0 {
	meta:
		name = "TGPGraphicsPath.Create"
		size = 84
		refs = "000e @ClassCreate 002f GdipCreatePath2 003d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 47 04 8D 47 04 50 8B 45 08 50 8B 45 0C 50 8B 45 10 50 56 E8 ?? ?? ?? ?? 89 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_103888_0 {
	meta:
		name = "TGPGraphicsPath.Create"
		size = 84
		refs = "000e @ClassCreate 002f GdipCreatePath2I 003d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 47 04 8D 47 04 50 8B 45 08 50 8B 45 0C 50 8B 45 10 50 56 E8 ?? ?? ?? ?? 89 47 08 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_103892_0 {
	meta:
		name = "TGPGraphicsPath.GetFillMode"
		size = 36
		refs = "000d GdipGetPathFillMode 0016 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 51 8B D8 33 F6 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 89 34 24 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103894_0 {
	meta:
		name = "TGPGraphicsPath.GetPathData"
		size = 195
		refs = "000b TGPGraphicsPath.GetPointCount 002d @FreeMem 005f @GetMem 0074 TGPGraphicsPath.SetStatus 00b1 GdipGetPathData"
	strings:
		$1 = { 53 56 57 55 8B DA 8B F8 8B C7 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 0B 8B 43 04 85 C0 7E 34 3B F0 7E 30 33 C0 89 43 04 8B 43 08 85 C0 74 0A E8 ?? ?? ?? ?? 33 C0 89 43 08 8B 43 0C 85 C0 74 0A E8 ?? ?? ?? ?? 33 C0 89 43 0C 85 F6 7F 05 8B 47 08 EB 6E 83 7B 04 00 75 52 8B C6 03 C0 03 C0 03 C0 E8 ?? ?? ?? ?? 8B E8 89 6B 08 85 ED 75 0E BA 03 00 00 00 8B C7 E8 ?? ?? ?? ?? EB 44 8B C6 E8 ?? ?? ?? ?? 8B E8 89 6B 0C 85 ED 75 1B 8B 43 08 E8 ?? ?? ?? ?? 33 C0 89 43 08 BA 03 00 00 00 8B C7 E8 ?? ?? ?? ?? EB 19 89 73 04 8D 43 04 50 8B 47 04 50 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103902_0 {
	meta:
		name = "TGPGraphicsPath.AddLine"
		size = 30
		refs = "0016 TGPGraphicsPath.AddLine"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 FF 36 FF 76 04 FF 37 FF 77 04 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103903_0 {
	meta:
		name = "TGPGraphicsPath.AddLine"
		size = 41
		refs = "0017 GdipAddPathLine 0020 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 FF 75 0C FF 75 10 FF 75 14 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_103933_0 {
	meta:
		name = "TGPGraphicsPath.AddEllipse"
		size = 41
		refs = "0017 GdipAddPathEllipse 0020 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 FF 75 0C FF 75 10 FF 75 14 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_103905_0 {
	meta:
		name = "TGPGraphicsPath.AddLine"
		size = 32
		refs = "0018 TGPGraphicsPath.AddLine"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B 07 50 8B 47 04 50 8B 4E 04 8B 16 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103908_0 {
	meta:
		name = "TGPGraphicsPath.AddArc"
		size = 54
		refs = "0029 TGPGraphicsPath.AddArc"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 FF 75 F0 FF 75 F4 FF 75 F8 FF 75 FC FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_103936_0 {
	meta:
		name = "TGPGraphicsPath.AddPie"
		size = 54
		refs = "0029 TGPGraphicsPath.AddPie"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 FF 75 F0 FF 75 F4 FF 75 F8 FF 75 FC FF 75 0C FF 75 08 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_103910_0 {
	meta:
		name = "TGPGraphicsPath.AddArc"
		size = 56
		refs = "002b TGPGraphicsPath.AddArc"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8B 45 F8 50 8B 45 FC 50 FF 75 0C FF 75 08 8B 4D F4 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_103938_0 {
	meta:
		name = "TGPGraphicsPath.AddPie"
		size = 56
		refs = "002b TGPGraphicsPath.AddPie"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B D8 8B 45 F8 50 8B 45 FC 50 FF 75 0C FF 75 08 8B 4D F4 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_103911_0 {
	meta:
		name = "TGPGraphicsPath.AddArc"
		size = 53
		refs = "0021 GdipAddPathArcI 002a TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 FF 75 08 FF 75 0C 8B 45 10 50 8B 45 14 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_103939_0 {
	meta:
		name = "TGPGraphicsPath.AddPie"
		size = 53
		refs = "0021 GdipAddPathPieI 002a TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 FF 75 08 FF 75 0C 8B 45 10 50 8B 45 14 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_103912_0 {
	meta:
		name = "TGPGraphicsPath.AddBezier"
		size = 81
		refs = "0044 TGPGraphicsPath.AddBezier"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 75 08 8D 7D E0 A5 A5 8B 75 0C 8D 7D E8 A5 A5 8B F1 8D 7D F0 A5 A5 8B F2 8D 7D F8 A5 A5 8B D8 FF 75 F8 FF 75 FC FF 75 F0 FF 75 F4 FF 75 E8 FF 75 EC FF 75 E0 FF 75 E4 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_103913_0 {
	meta:
		name = "TGPGraphicsPath.AddBezier"
		size = 53
		refs = "0023 GdipAddPathBezier 002c TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 08 FF 75 0C FF 75 10 FF 75 14 FF 75 18 FF 75 1C FF 75 20 FF 75 24 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5B 5D C2 20 00 }
	condition:
		$1
}

rule function_103915_0 {
	meta:
		name = "TGPGraphicsPath.AddBezier"
		size = 87
		refs = "004a TGPGraphicsPath.AddBezier"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 75 08 8D 7D E0 A5 A5 8B 75 0C 8D 7D E8 A5 A5 8B F1 8D 7D F0 A5 A5 8B F2 8D 7D F8 A5 A5 8B D8 8B 45 F0 50 8B 45 F4 50 8B 45 E8 50 8B 45 EC 50 8B 45 E0 50 8B 45 E4 50 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_103916_0 {
	meta:
		name = "TGPGraphicsPath.AddBezier"
		size = 63
		refs = "002b GdipAddPathBezierI 0034 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_103919_0 {
	meta:
		name = "TGPGraphicsPath.AddCurve"
		size = 42
		refs = "0016 GdipAddPathCurve2 001f TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 FF 75 08 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103925_0 {
	meta:
		name = "TGPGraphicsPath.AddClosedCurve"
		size = 42
		refs = "0016 GdipAddPathClosedCurve2 001f TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 FF 75 08 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103927_0 {
	meta:
		name = "TGPGraphicsPath.AddClosedCurve"
		size = 42
		refs = "0016 GdipAddPathClosedCurve2I 001f TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 FF 75 08 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103922_0 {
	meta:
		name = "TGPGraphicsPath.AddCurve"
		size = 42
		refs = "0016 GdipAddPathCurve2I 001f TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 FF 75 08 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103920_0 {
	meta:
		name = "TGPGraphicsPath.AddCurve"
		size = 50
		refs = "001e GdipAddPathCurve3 0027 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 FF 75 08 8B 45 0C 50 8B 45 10 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_103923_0 {
	meta:
		name = "TGPGraphicsPath.AddCurve"
		size = 50
		refs = "001e GdipAddPathCurve3I 0027 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 FF 75 08 8B 45 0C 50 8B 45 10 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_103928_0 {
	meta:
		name = "TGPGraphicsPath.AddRectangle"
		size = 58
		refs = "0026 GdipAddPathRectangle 002f TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B D8 FF 74 24 0C FF 74 24 0C FF 74 24 0C FF 74 24 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103930_0 {
	meta:
		name = "TGPGraphicsPath.AddRectangle"
		size = 62
		refs = "002a GdipAddPathRectangleI 0033 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B D8 8B 44 24 0C 50 8B 44 24 0C 50 8B 44 24 0C 50 8B 44 24 0C 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103932_0 {
	meta:
		name = "TGPGraphicsPath.AddEllipse"
		size = 46
		refs = "0023 TGPGraphicsPath.AddEllipse"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B D8 FF 34 24 FF 74 24 08 FF 74 24 10 FF 74 24 18 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103934_0 {
	meta:
		name = "TGPGraphicsPath.AddEllipse"
		size = 49
		refs = "0026 TGPGraphicsPath.AddEllipse"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8D 3C 24 A5 A5 A5 A5 8B D8 8B 44 24 08 50 8B 44 24 10 50 8B 4C 24 0C 8B 54 24 08 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103942_0 {
	meta:
		name = "TGPGraphicsPath.AddPath"
		size = 40
		refs = "0017 GdipAddPathPath 0020 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 57 8B F9 8B D8 33 F6 85 D2 74 03 8B 72 04 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103943_0 {
	meta:
		name = "TGPGraphicsPath.AddString"
		size = 183
		refs = "001d @WStrAddRef 0025 TGPGraphicsPath.AddString 0076 @WStrToPWChar 0080 GdipAddPathString 0089 TGPGraphicsPath.SetStatus 00a0 @WStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 75 0C 8D 7D F0 A5 A5 89 4D F8 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 89 45 E0 8B 45 F4 89 45 E4 33 C0 89 45 E8 33 C0 89 45 EC 33 F6 33 FF 83 7D 18 00 74 06 8B 45 18 8B 70 04 83 7D 08 00 74 06 8B 45 08 8B 78 04 57 8D 45 E0 50 FF 75 10 8B 45 14 50 56 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_103945_0 {
	meta:
		name = "TGPGraphicsPath.AddString"
		size = 183
		refs = "001d @WStrAddRef 0025 TGPGraphicsPath.AddString 0076 @WStrToPWChar 0080 GdipAddPathStringI 0089 TGPGraphicsPath.SetStatus 00a0 @WStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 8B 75 0C 8D 7D F0 A5 A5 89 4D F8 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 89 45 E0 8B 45 F4 89 45 E4 33 C0 89 45 E8 33 C0 89 45 EC 33 F6 33 FF 83 7D 18 00 74 06 8B 45 18 8B 70 04 83 7D 08 00 74 06 8B 45 08 8B 78 04 57 8D 45 E0 50 FF 75 10 8B 45 14 50 56 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_103944_0 {
	meta:
		name = "TGPGraphicsPath.AddString"
		size = 163
		refs = "001f @WStrAddRef 0027 TGPGraphicsPath.AddString 0062 @WStrToPWChar 006c GdipAddPathString 0075 TGPGraphicsPath.SetStatus 008c @WStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 0C 8D 7D E8 A5 A5 A5 A5 89 4D F8 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 33 FF 83 7D 18 00 74 06 8B 45 18 8B 70 04 83 7D 08 00 74 06 8B 45 08 8B 78 04 57 8D 45 E8 50 FF 75 10 8B 45 14 50 56 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_103946_0 {
	meta:
		name = "TGPGraphicsPath.AddString"
		size = 163
		refs = "001f @WStrAddRef 0027 TGPGraphicsPath.AddString 0062 @WStrToPWChar 006c GdipAddPathStringI 0075 TGPGraphicsPath.SetStatus 008c @WStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 8B 75 0C 8D 7D E8 A5 A5 A5 A5 89 4D F8 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 33 FF 83 7D 18 00 74 06 8B 45 18 8B 70 04 83 7D 08 00 74 06 8B 45 08 8B 78 04 57 8D 45 E8 50 FF 75 10 8B 45 14 50 56 8B 45 F8 50 8B 45 FC E8 ?? ?? ?? ?? 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_103947_0 {
	meta:
		name = "TGPGraphicsPath.Transform"
		size = 40
		refs = "0013 GdipTransformPath 001c TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 19 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_103948_0 {
	meta:
		name = "TGPGraphicsPath.GetBounds"
		size = 65
		refs = "002c GdipGetPathWorldBounds 0035 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B D8 8B 45 08 33 F6 33 FF 85 C9 74 03 8B 71 04 85 C0 74 03 8B 78 04 57 56 8B 45 FC 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103949_0 {
	meta:
		name = "TGPGraphicsPath.GetBounds"
		size = 65
		refs = "002c GdipGetPathWorldBoundsI 0035 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B D8 8B 45 08 33 F6 33 FF 85 C9 74 03 8B 71 04 85 C0 74 03 8B 78 04 57 56 8B 45 FC 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103950_0 {
	meta:
		name = "TGPGraphicsPath.Flatten"
		size = 44
		refs = "0019 GdipFlattenPath 0022 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 33 F6 85 D2 74 03 8B 72 04 FF 75 08 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103952_0 {
	meta:
		name = "TGPGraphicsPath.Outline"
		size = 44
		refs = "0019 GdipWindingModeOutline 0022 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 33 F6 85 D2 74 03 8B 72 04 FF 75 08 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103951_0 {
	meta:
		name = "TGPGraphicsPath.Widen"
		size = 52
		refs = "0020 GdipWidenPath 0029 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B D8 33 F6 85 C9 74 03 8B 71 04 FF 75 08 56 8B 47 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_103953_0 {
	meta:
		name = "TGPGraphicsPath.Warp"
		size = 90
		refs = "0044 GdipWarpPath 004d TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B 75 14 8D 7D EC A5 A5 A5 A5 89 4D FC 8B FA 8B D8 8B 45 10 33 F6 85 C0 74 03 8B 70 04 FF 75 08 8B 45 0C 50 FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8B 45 FC 50 57 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_103959_0 {
	meta:
		name = "TGPGraphicsPath.IsVisible"
		size = 31
		refs = "0016 TGPGraphicsPath.IsVisible"
	strings:
		$1 = { 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 FF 34 24 FF 74 24 08 8B D1 E8 ?? ?? ?? ?? 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_103960_0 {
	meta:
		name = "TGPGraphicsPath.IsVisible"
		size = 61
		refs = "0026 GdipIsVisiblePathPoint 002f TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 8B D8 33 C0 89 45 FC 33 F6 85 D2 74 03 8B 72 04 8D 45 FC 50 56 FF 75 08 FF 75 0C 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_103961_0 {
	meta:
		name = "TGPGraphicsPath.IsVisible"
		size = 31
		refs = "0016 TGPGraphicsPath.IsVisible"
	strings:
		$1 = { 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 51 8B 54 24 04 8B 4C 24 08 E8 ?? ?? ?? ?? 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_103962_0 {
	meta:
		name = "TGPGraphicsPath.IsVisible"
		size = 73
		refs = "0030 GdipIsVisiblePathPointI 0039 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B D8 8B 45 08 33 D2 89 55 F8 33 F6 85 C0 74 03 8B 70 04 8D 45 F8 50 56 8B 45 FC 50 57 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103963_0 {
	meta:
		name = "TGPGraphicsPath.IsOutlineVisible"
		size = 39
		refs = "001b TGPGraphicsPath.IsOutlineVisible"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 57 8B F2 8D 7D F8 A5 A5 FF 75 F8 FF 75 FC 8B D1 8B 4D 08 E8 ?? ?? ?? ?? 5F 5E 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103964_0 {
	meta:
		name = "TGPGraphicsPath.IsOutlineVisible"
		size = 84
		refs = "003b GdipIsOutlineVisiblePathPoint 0044 TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B F0 33 C0 89 45 F8 33 FF 33 DB 83 7D FC 00 74 06 8B 45 FC 8B 78 04 85 D2 74 03 8B 5A 04 8D 45 F8 50 57 53 FF 75 08 FF 75 0C 8B 46 04 50 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_103965_0 {
	meta:
		name = "TGPGraphicsPath.IsOutlineVisible"
		size = 39
		refs = "001b TGPGraphicsPath.IsOutlineVisible"
	strings:
		$1 = { 55 8B EC 83 C4 F8 56 57 8B F2 8D 7D F8 A5 A5 51 8B 55 08 52 8B 55 F8 8B 4D FC E8 ?? ?? ?? ?? 5F 5E 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103966_0 {
	meta:
		name = "TGPGraphicsPath.IsOutlineVisible"
		size = 90
		refs = "0041 GdipIsOutlineVisiblePathPointI 004a TGPGraphicsPath.SetStatus"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 55 08 8B 45 0C 33 C9 89 4D F4 33 F6 33 FF 85 D2 74 03 8B 72 04 85 C0 74 03 8B 78 04 8D 45 F4 50 56 57 8B 45 F8 50 8B 45 FC 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_103967_0 {
	meta:
		name = "TGPGraphicsPath.Create"
		size = 91
		refs = "000f @ClassCreate 0027 GdipClonePath 0030 TGPGraphicsPath.SetStatus 003a TGPGraphicsPath.SetNativePath 0045 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 45 FC 8D 45 FC 50 8B 46 04 50 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_103971_0 {
	meta:
		name = "TGPGraphicsPathIterator.Create"
		size = 89
		refs = "000f @ClassCreate 002b GdipCreatePathIter 0038 TGPGraphicsPathIterator.SetNativeIterator 0043 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 F6 85 C9 74 03 8B 71 04 33 C0 89 45 FC 56 8D 45 FC 50 E8 ?? ?? ?? ?? 89 47 08 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_103973_0 {
	meta:
		name = "TGPGraphicsPathIterator.NextSubpath"
		size = 52
		refs = "001c GdipPathIterNextSubpath 0025 TGPGraphicsPathIterator.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 56 8D 45 FC 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103982_0 {
	meta:
		name = "TGPGraphicsPathIterator.Enumerate"
		size = 52
		refs = "001c GdipPathIterEnumerate 0025 TGPGraphicsPathIterator.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 56 8D 45 FC 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103975_0 {
	meta:
		name = "TGPGraphicsPathIterator.NextPathType"
		size = 52
		refs = "001c GdipPathIterNextPathType 0025 TGPGraphicsPathIterator.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 56 8D 45 FC 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_103974_0 {
	meta:
		name = "TGPGraphicsPathIterator.NextSubpath"
		size = 50
		refs = "001d GdipPathIterNextSubpathPath 0026 TGPGraphicsPathIterator.SetStatus"
	strings:
		$1 = { 53 56 57 51 8B F9 8B D8 33 F6 85 D2 74 03 8B 72 04 57 56 8D 44 24 08 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103976_0 {
	meta:
		name = "TGPGraphicsPathIterator.NextMarker"
		size = 43
		refs = "0016 GdipPathIterNextMarker 001f TGPGraphicsPathIterator.SetStatus"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 57 56 8D 44 24 08 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103977_0 {
	meta:
		name = "TGPGraphicsPathIterator.NextMarker"
		size = 45
		refs = "0019 GdipPathIterNextMarkerPath 0022 TGPGraphicsPathIterator.SetStatus"
	strings:
		$1 = { 53 56 51 8B D8 33 F6 85 D2 74 03 8B 72 04 56 8D 44 24 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 04 24 5A 5E 5B C3 }
	condition:
		$1
}

rule function_103983_0 {
	meta:
		name = "TGPGraphicsPathIterator.CopyData"
		size = 56
		refs = "0020 GdipPathIterCopyData 0029 TGPGraphicsPathIterator.SetStatus"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 57 56 8D 45 FC 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_103994_0 {
	meta:
		name = "TGPPathGradientBrush.GetSurroundColors"
		size = 118
		refs = "0016 TGPBrush.SetStatus 0022 GdipGetPathGradientSurroundColorCount 0058 GdipGetPathGradientSurroundColorsWithCount"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 85 F6 75 0E BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 55 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 08 85 C0 75 3B 8B 07 3B 04 24 7C 06 83 3C 24 00 7F 0E BA 05 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 20 54 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 08 85 C0 75 05 8B 14 24 89 17 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103995_0 {
	meta:
		name = "TGPPathGradientBrush.SetSurroundColors"
		size = 107
		refs = "0016 TGPBrush.SetStatus 001f TGPPathGradientBrush.GetPointCount 004d GdipSetPathGradientSurroundColorsWithCount"
	strings:
		$1 = { 53 56 57 51 8B F1 8B FA 8B D8 85 FF 75 0E BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 4A 8B C3 E8 ?? ?? ?? ?? 89 04 24 8B 06 3B 04 24 7F 06 83 3C 24 00 7F 0E BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 25 8B 06 89 04 24 54 57 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 43 08 85 C0 75 05 8B 14 24 89 16 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_103996_0 {
	meta:
		name = "TGPPathGradientBrush.GetGraphicsPath"
		size = 50
		refs = "0012 TGPBrush.SetStatus 0022 GdipGetPathGradientPath"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 0F BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_103997_0 {
	meta:
		name = "TGPPathGradientBrush.SetGraphicsPath"
		size = 50
		refs = "0012 TGPBrush.SetStatus 0022 GdipSetPathGradientPath"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 0F BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B 46 04 50 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_104000_0 {
	meta:
		name = "TGPPathGradientBrush.SetCenterPoint"
		size = 40
		refs = "0015 GdipSetPathGradientCenterPoint 001e TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_104001_0 {
	meta:
		name = "TGPPathGradientBrush.SetCenterPoint"
		size = 40
		refs = "0015 GdipSetPathGradientCenterPointI 001e TGPBrush.SetStatus"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F2 8D 3C 24 A5 A5 8B D8 54 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_104010_0 {
	meta:
		name = "TGPPathGradientBrush.SetInterpolationColors"
		size = 71
		refs = "0021 TGPBrush.SetStatus 0032 GdipSetPathGradientPresetBlend"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 85 FF 7E 04 85 F6 75 0E BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 18 57 8B 45 FC 50 56 8B 43 04 50 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_104011_0 {
	meta:
		name = "TGPPathGradientBrush.GetInterpolationColors"
		size = 142
		refs = "0022 TGPBrush.SetStatus 0030 @GetMem 0056 GdipGetPathGradientPresetBlend 007e @FreeMem"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B F2 8B F8 83 7D 08 00 7E 04 85 F6 75 0E BA 02 00 00 00 8B C7 E8 ?? ?? ?? ?? EB 5D 8B 45 08 03 C0 03 C0 E8 ?? ?? ?? ?? 8B D8 85 DB 75 0E BA 03 00 00 00 8B C7 E8 ?? ?? ?? ?? EB 3D 8B 45 08 50 8B 45 FC 50 53 8B 47 04 50 E8 ?? ?? ?? ?? 8B D0 8B C7 E8 ?? ?? ?? ?? 89 45 F8 8B 55 08 4A 85 D2 7C 0D 42 33 C0 8B 0C 83 89 0C 86 40 4A 75 F6 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_104026_0 {
	meta:
		name = "Finalization"
		size = 125
		refs = "0002 _DV_62 0009 IsLibrary 0014 GenericSansSerifFontFamily 0021 TObject.Free 0027 GenericSerifFontFamily 003a GenericMonospaceFontFamily 004d GenericTypographicStringFormatBuffer 0060 GenericDefaultStringFormatBuffer 0072 gdiplusToken 0078 GdiplusShutdown"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 74 A1 ?? ?? ?? ?? 80 38 00 75 6A 83 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0A A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_104027_0 {
	meta:
		name = "Winapi.GDIPOBJ"
		size = 68
		refs = "0002 _DV_62 000a IsLibrary 0016 StartupInput 003a gdiplusToken 003f GdiplusStartup"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 3A A1 ?? ?? ?? ?? 80 38 00 75 30 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 6A 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_104028_0 {
	meta:
		name = "ValueTypeFromULONG"
		size = 752
		refs = "000f ValueTypeFromULONG 0047 @UStrAsg"
	strings:
		$1 = { 53 8B DA 83 F8 0A 0F 87 CD 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4E 00 6F 00 74 00 68 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 54 00 61 00 67 00 54 00 79 00 70 00 65 00 42 00 79 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 54 00 61 00 67 00 54 00 79 00 70 00 65 00 41 00 53 00 43 00 49 00 49 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 54 00 61 00 67 00 54 00 79 00 70 00 65 00 53 00 68 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 54 00 61 00 67 00 54 00 79 00 70 00 65 00 4C 00 6F 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 54 00 61 00 67 00 54 00 79 00 70 00 65 00 52 00 61 00 74 00 69 00 6F 00 6E 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 54 00 61 00 67 00 54 00 79 00 70 00 65 00 55 00 6E 00 64 00 65 00 66 00 69 00 6E 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 54 00 61 00 67 00 54 00 79 00 70 00 65 00 53 00 4C 00 4F 00 4E 00 47 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 54 00 61 00 67 00 54 00 79 00 70 00 65 00 53 00 52 00 61 00 74 00 69 00 6F 00 6E 00 61 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 55 00 6E 00 4B 00 6E 00 6F 00 77 00 6E 00 3E 00 00 00 }
	condition:
		$1
}

rule function_104029_0 {
	meta:
		name = "GetMetaDataIDString"
		size = 18996
		refs = "003c GetMetaDataIDString 07ff @UStrAsg"
	strings:
		$1 = { 53 8B DA 3D 04 50 00 00 0F 8F 1F 03 00 00 0F 84 7B 0C 00 00 3D 1E 01 00 00 0F 8F 1E 01 00 00 0F 84 5A 09 00 00 83 F8 1A 7F 7E 0F 84 6D 13 00 00 83 F8 19 0F 87 72 13 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 05 02 FF FF FF 83 F8 1F 0F 87 F5 12 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D 50 01 00 00 0F 8F DB 00 00 00 0F 84 AB 09 00 00 05 E1 FE FF FF 83 F8 2F 0F 87 4F 12 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D 08 02 00 00 7F 71 0F 84 8D 09 00 00 3D 00 02 00 00 7F 33 0F 84 1E 09 00 00 05 AF FE FF FF 83 F8 05 0F 87 60 11 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 05 FF FD FF FF 83 F8 06 0F 87 33 11 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D 02 03 00 00 7F 4E 0F 84 85 09 00 00 3D 13 02 00 00 7F 26 0F 84 40 09 00 00 2D 09 02 00 00 0F 84 0B 09 00 00 83 E8 08 0F 84 10 09 00 00 48 0F 84 17 09 00 00 E9 D6 10 00 00 2D 14 02 00 00 0F 84 23 09 00 00 2D ED 00 00 00 0F 84 34 09 00 00 E9 BB 10 00 00 3D 01 50 00 00 7F 1F 0F 84 68 09 00 00 2D 03 03 00 00 0F 84 33 09 00 00 83 E8 1D 0F 84 38 09 00 00 E9 95 10 00 00 2D 02 50 00 00 0F 84 52 09 00 00 48 0F 84 59 09 00 00 E9 7E 10 00 00 3D 00 51 00 00 0F 8F 51 02 00 00 0F 84 45 0C 00 00 05 FB AF FF FF 3D 8C 00 00 00 0F 87 5D 10 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D 07 92 00 00 0F 8F 32 01 00 00 0F 84 2B 0B 00 00 3D 27 88 00 00 0F 8F A3 00 00 00 0F 84 64 0A 00 00 3D 9A 82 00 00 7F 4E 0F 84 1F 0A 00 00 3D 12 51 00 00 7F 26 0F 84 F6 09 00 00 2D 01 51 00 00 0F 84 C1 09 00 00 83 E8 0F 0F 84 C6 09 00 00 48 0F 84 CD 09 00 00 E9 C6 0D 00 00 2D 13 51 00 00 0F 84 D9 09 00 00 2D 85 31 00 00 0F 84 5C 06 00 00 E9 AB 0D 00 00 3D 22 88 00 00 7F 2A 0F 84 E6 09 00 00 2D 9D 82 00 00 0F 84 CD 09 00 00 2D CC 04 00 00 0F 84 D4 01 00 00 83 E8 0A 0F 84 E5 05 00 00 E9 7A 0D 00 00 2D 24 88 00 00 0F 84 C5 09 00 00 48 0F 84 C2 01 00 00 E9 63 0D 00 00 3D 01 92 00 00 7F 4E 0F 84 1C 0A 00 00 3D 04 90 00 00 7F 2A 0F 84 E5 09 00 00 2D 28 88 00 00 0F 84 B0 09 00 00 2D D8 07 00 00 0F 84 B3 09 00 00 83 E8 03 0F 84 B8 09 00 00 E9 25 0D 00 00 2D 01 91 00 00 0F 84 C4 09 00 00 48 0F 84 CB 09 00 00 E9 0E 0D 00 00 05 FE 6D FF FF 83 F8 04 0F 87 00 0D 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D 04 A0 00 00 0F 8F 96 00 00 00 0F 84 A4 0A 00 00 3D 91 92 00 00 7F 4A 0F 84 43 0A 00 00 3D 7C 92 00 00 7F 24 0F 84 0C 0A 00 00 2D 08 92 00 00 0F 84 D7 09 00 00 48 0F 84 DE 09 00 00 48 0F 84 E5 09 00 00 E9 9C 0C 00 00 2D 86 92 00 00 0F 84 F1 09 00 00 83 E8 0A 0F 84 F6 09 00 00 E9 83 0C 00 00 3D 01 A0 00 00 7F 21 0F 84 1C 0A 00 00 2D 92 92 00 00 0F 84 F5 09 00 00 2D 6E 0D 00 00 0F 84 F8 09 00 00 E9 5B 0C 00 00 2D 02 A0 00 00 0F 84 04 0A 00 00 48 0F 84 0B 0A 00 00 E9 44 0C 00 00 3D 14 A2 00 00 7F 4C 0F 84 69 0A 00 00 3D 0E A2 00 00 7F 28 0F 84 32 0A 00 00 2D 05 A0 00 00 0F 84 FD 09 00 00 2D 06 02 00 00 0F 84 00 0A 00 00 48 0F 84 07 0A 00 00 E9 08 0C 00 00 2D 0F A2 00 00 0F 84 13 0A 00 00 48 0F 84 1A 0A 00 00 E9 F1 0B 00 00 3D 00 A3 00 00 7F 1F 0F 84 40 0A 00 00 2D 15 A2 00 00 0F 84 19 0A 00 00 83 E8 02 0F 84 1E 0A 00 00 E9 CB 0B 00 00 2D 01 A3 00 00 0F 84 2A 0A 00 00 48 0F 84 31 0A 00 00 E9 B4 0B 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B }
	condition:
		$1
}

rule function_104030_0 {
	meta:
		name = "GetEncoderClsid"
		size = 225
		refs = "0018 @UStrAddRef 0020 GetEncoderClsid 0042 GetImageEncodersSize 0050 @GetMem 0063 GetImageEncoders 007d @UStrFromPWChar 0088 @UStrEqual 00ae @FreeMem 00c3 @UStrClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 33 C0 89 45 EC C7 45 F4 FF FF FF FF 8D 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 83 7D EC 00 74 66 8B 45 EC E8 ?? ?? ?? ?? 8B F0 85 F6 74 58 8B CE 8B 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 7D F0 4F 85 FF 72 39 47 33 DB 8D 45 E8 6B D3 13 8B 54 96 30 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 FC E8 ?? ?? ?? ?? 75 16 6B C3 13 8B 55 F8 56 57 8D 34 86 8B FA A5 A5 A5 A5 5F 5E 89 5D F4 43 4F 75 CA 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_104031_0 {
	meta:
		name = "GetStatus"
		size = 1360
		refs = "000f GetStatus 006f @UStrAsg"
	strings:
		$1 = { 53 8B DA 83 F8 14 0F 87 81 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4F 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 47 00 65 00 6E 00 65 00 72 00 69 00 63 00 45 00 72 00 72 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 50 00 61 00 72 00 61 00 6D 00 65 00 74 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4F 00 75 00 74 00 4F 00 66 00 4D 00 65 00 6D 00 6F 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4F 00 62 00 6A 00 65 00 63 00 74 00 42 00 75 00 73 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 6E 00 73 00 75 00 66 00 66 00 69 00 63 00 69 00 65 00 6E 00 74 00 42 00 75 00 66 00 66 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4E 00 6F 00 74 00 49 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 69 00 6E 00 33 00 32 00 45 00 72 00 72 00 6F 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 57 00 72 00 6F 00 6E 00 67 00 53 00 74 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 62 00 6F 00 72 00 74 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 46 00 69 00 6C 00 65 00 4E 00 6F 00 74 00 46 00 6F 00 75 00 6E 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 56 00 61 00 6C 00 75 00 65 00 4F 00 76 00 65 00 72 00 66 00 6C 00 6F 00 77 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 41 00 63 00 63 00 65 00 73 00 73 00 44 00 65 00 6E 00 69 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 49 00 6D 00 61 00 67 00 65 00 46 00 6F 00 72 00 6D 00 61 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 46 00 6F 00 6E 00 74 00 46 00 61 00 6D 00 69 00 6C 00 79 00 4E 00 6F 00 74 00 46 00 6F 00 75 00 6E 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 46 00 6F 00 6E 00 74 00 53 00 74 00 79 00 6C 00 65 00 4E 00 6F 00 74 00 46 00 6F 00 75 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 4E 00 6F 00 74 00 54 00 72 00 75 00 65 00 54 00 79 00 70 00 65 00 46 00 6F 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 55 00 6E 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 47 00 64 00 69 00 70 00 6C 00 75 00 73 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 47 00 64 00 69 00 70 00 6C 00 75 00 73 00 4E 00 6F 00 74 00 49 00 6E 00 69 00 74 00 69 00 61 00 6C 00 69 00 7A 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 4E 00 6F 00 74 00 46 00 6F 00 75 00 6E 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 4E 00 6F 00 74 00 53 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 55 00 6E 00 4B 00 6E 00 6F 00 77 00 6E 00 3E 00 00 00 }
	condition:
		$1
}

rule function_104032_0 {
	meta:
		name = "PixelFormatString"
		size = 1844
		refs = "011b PixelFormatString 0120 @UStrAsg"
	strings:
		$1 = { 53 8B DA 3D 00 00 04 00 0F 8F 95 00 00 00 0F 84 20 01 00 00 3D 06 10 02 00 7F 45 0F 84 9F 01 00 00 3D 00 00 01 00 7F 1D 0F 84 EA 00 00 00 83 E8 01 0F 82 35 01 00 00 83 E8 0E 0F 84 FE 01 00 00 E9 07 02 00 00 2D 00 00 02 00 0F 84 D6 00 00 00 2D 05 10 00 00 0F 84 57 01 00 00 E9 EC 01 00 00 3D 01 01 03 00 7F 21 0F 84 0D 01 00 00 2D 08 18 02 00 0F 84 64 01 00 00 2D 01 08 00 00 0F 84 67 01 00 00 E9 C4 01 00 00 2D 02 04 03 00 0F 84 F5 00 00 00 2D 01 04 00 00 0F 84 F8 00 00 00 E9 A9 01 00 00 3D 0C 30 10 00 7F 41 0F 84 64 01 00 00 3D 0B 20 0E 00 7F 1D 0F 84 49 01 00 00 2D 07 10 06 00 0F 84 06 01 00 00 2D F9 EF 01 00 74 73 E9 78 01 00 00 2D 00 00 10 00 74 75 2D 04 10 00 00 0F 84 BE 00 00 00 E9 61 01 00 00 2D 0E 40 1C 00 0F 84 3A 01 00 00 2D F2 BF 03 00 74 61 2D 0A 20 06 00 0F 84 F0 00 00 00 2D 03 20 0E 00 0F 84 0F 01 00 00 E9 34 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 49 00 6E 00 64 00 65 00 78 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 47 00 44 00 49 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 41 00 6C 00 70 00 68 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 50 00 41 00 6C 00 70 00 68 00 61 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 45 00 78 00 74 00 65 00 6E 00 64 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 43 00 61 00 6E 00 6F 00 6E 00 69 00 63 00 61 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 55 00 6E 00 64 00 65 00 66 00 69 00 6E 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 31 00 62 00 70 00 70 00 49 00 6E 00 64 00 65 00 78 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 34 00 62 00 70 00 70 00 49 00 6E 00 64 00 65 00 78 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 38 00 62 00 70 00 70 00 49 00 6E 00 64 00 65 00 78 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 31 00 36 00 62 00 70 00 70 00 47 00 72 00 61 00 79 00 53 00 63 00 61 00 6C 00 65 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 31 00 36 00 62 00 70 00 70 00 52 00 47 00 42 00 35 00 35 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 31 00 36 00 62 00 70 00 70 00 52 00 47 00 42 00 35 00 36 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 31 00 36 00 62 00 70 00 70 00 41 00 52 00 47 00 42 00 31 00 35 00 35 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 32 00 34 00 62 00 70 00 70 00 52 00 47 00 42 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 33 00 32 00 62 00 70 00 70 00 52 00 47 00 42 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 33 00 32 00 62 00 70 00 70 00 41 00 52 00 47 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 33 00 32 00 62 00 70 00 70 00 50 00 41 00 52 00 47 00 42 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 34 00 38 00 62 00 70 00 70 00 52 00 47 00 42 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 36 00 34 00 62 00 70 00 70 00 41 00 52 00 47 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 36 00 34 00 62 00 70 00 70 00 50 00 41 00 52 00 47 00 42 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 50 00 69 00 78 00 65 00 6C 00 46 00 6F 00 72 00 6D 00 61 00 74 00 4D 00 61 00 78 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 55 00 6E 00 4B 00 6E 00 6F 00 77 00 6E 00 3E 00 00 00 }
	condition:
		$1
}

rule function_104033_0 {
	meta:
		name = "MAKELANGID"
		size = 7
		altNames = "MakeLangID"
	strings:
		$1 = { C1 E2 0A 66 0B C2 C3 }
	condition:
		$1
}

rule function_104320_0 {
	meta:
		name = "InitMapi"
		size = 348
		refs = "0008 MAPIChecked 001d MAPIModule 002f GetVersionEx 0059 InitMapi 0063 RegOpenKeyEx 008a RegQueryValueEx 0097 RegCloseKey 00c0 GetProfileInt 00c9 MAPIDLL 00ce @UStrToPWChar 00d4 LoadLibrary"
	strings:
		$1 = { 81 C4 CC FE FF FF 80 3D ?? ?? ?? ?? 00 0F 85 CA 00 00 00 C6 05 ?? ?? ?? ?? 01 33 C0 A3 ?? ?? ?? ?? C7 44 24 0C 14 01 00 00 8D 44 24 0C 50 E8 ?? ?? ?? ?? 83 7C 24 10 03 77 0E 83 7C 24 10 03 75 72 83 7C 24 14 33 76 6B C7 44 24 04 12 00 00 00 54 68 19 00 02 00 6A 00 68 ?? ?? ?? ?? 68 02 00 00 80 E8 ?? ?? ?? ?? 85 C0 75 72 8D 44 24 04 50 8D 84 24 24 01 00 00 50 8D 44 24 10 50 6A 00 68 ?? ?? ?? ?? 8B 44 24 14 50 E8 ?? ?? ?? ?? 85 C0 75 4B 8B 04 24 50 E8 ?? ?? ?? ?? 66 83 BC 24 20 01 00 00 31 75 37 66 83 BC 24 22 01 00 00 00 75 2C EB 15 6A 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 15 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 81 C4 34 01 00 00 C3 53 00 4F 00 46 00 54 00 57 00 41 00 52 00 45 00 5C 00 4D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 5C 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 20 00 4D 00 65 00 73 00 73 00 61 00 67 00 69 00 6E 00 67 00 20 00 53 00 75 00 62 00 73 00 79 00 73 00 74 00 65 00 6D 00 00 00 00 00 4D 00 41 00 50 00 49 00 00 00 00 00 4D 00 61 00 69 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_104321_0 {
	meta:
		name = "MapiLogOn"
		size = 112
		refs = "000d InitMapi 0013 LogOn 001b MapiLogOn 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 17 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 0C 00 00 4D 00 41 00 50 00 49 00 4C 00 6F 00 67 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_104322_0 {
	meta:
		name = "MapiLogOff"
		size = 108
		refs = "000d InitMapi 0013 LogOff 001b MapiLogOff 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0F 8B 45 08 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 04 00 00 4D 00 41 00 50 00 49 00 4C 00 6F 00 67 00 6F 00 66 00 66 00 00 00 00 00 }
	condition:
		$1
}

rule function_104323_0 {
	meta:
		name = "MapiSendMail"
		size = 116
		refs = "000d InitMapi 0013 SendMail 001b MapiSendMail 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 13 8B 45 08 50 8B 45 0C 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 08 00 00 4D 00 41 00 50 00 49 00 53 00 65 00 6E 00 64 00 4D 00 61 00 69 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_104324_0 {
	meta:
		name = "MapiSendDocuments"
		size = 124
		refs = "000d InitMapi 0013 SendDocuments 001b MapiSendDocuments 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 13 8B 45 08 50 8B 45 0C 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 08 00 00 4D 00 41 00 50 00 49 00 53 00 65 00 6E 00 64 00 44 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_104325_0 {
	meta:
		name = "MapiFindNext"
		size = 124
		refs = "000d InitMapi 0013 FindNext 001b MapiFindNext 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1B 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 10 00 00 4D 00 41 00 50 00 49 00 46 00 69 00 6E 00 64 00 4E 00 65 00 78 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_104326_0 {
	meta:
		name = "MapiReadMail"
		size = 120
		refs = "000d InitMapi 0013 ReadMail 001b MapiReadMail 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 17 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 0C 00 00 4D 00 41 00 50 00 49 00 52 00 65 00 61 00 64 00 4D 00 61 00 69 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_104327_0 {
	meta:
		name = "MapiSaveMail"
		size = 120
		refs = "000d InitMapi 0013 SaveMail 001b MapiSaveMail 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 17 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 0C 00 00 4D 00 41 00 50 00 49 00 53 00 61 00 76 00 65 00 4D 00 61 00 69 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_104328_0 {
	meta:
		name = "MapiDeleteMail"
		size = 120
		refs = "000d InitMapi 0013 DeleteMail 001b MapiDeleteMail 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 13 8B 45 08 50 8B 45 0C 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 08 00 00 4D 00 41 00 50 00 49 00 44 00 65 00 6C 00 65 00 74 00 65 00 4D 00 61 00 69 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_104329_0 {
	meta:
		name = "MapiFreeBuffer"
		size = 96
		refs = "0004 InitMapi 000a FreeBuffer 0012 MapiFreeBuffer 0017 MAPIModule 001d GetProcAddress"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 09 53 FF 15 ?? ?? ?? ?? 5B C3 B8 01 00 00 00 5B C3 00 4D 00 41 00 50 00 49 00 46 00 72 00 65 00 65 00 42 00 75 00 66 00 66 00 65 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_104330_0 {
	meta:
		name = "MapiAddress"
		size = 136
		refs = "000d InitMapi 0013 Address 001b MapiAddress 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 2B 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 20 50 8B 45 24 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 20 00 00 4D 00 41 00 50 00 49 00 41 00 64 00 64 00 72 00 65 00 73 00 73 00 00 00 }
	condition:
		$1
}

rule function_104331_0 {
	meta:
		name = "MapiDetails"
		size = 112
		refs = "000d InitMapi 0013 Details 001b MapiDetails 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 13 8B 45 08 50 8B 45 0C 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 08 00 00 4D 00 41 00 50 00 49 00 44 00 65 00 74 00 61 00 69 00 6C 00 73 00 00 00 }
	condition:
		$1
}

rule function_104332_0 {
	meta:
		name = "MapiResolveName"
		size = 124
		refs = "000d InitMapi 0013 ResolveName 001b MapiResolveName 0020 MAPIModule 0026 GetProcAddress"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 15 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 17 8B 45 08 50 8B 45 0C 50 8B 45 10 50 57 56 53 FF 15 ?? ?? ?? ?? EB 05 B8 01 00 00 00 5F 5E 5B 5D C2 0C 00 00 4D 00 41 00 50 00 49 00 52 00 65 00 73 00 6F 00 6C 00 76 00 65 00 4E 00 61 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_104333_0 {
	meta:
		name = "Finalization"
		size = 78
		refs = "0007 Finalization 0013 _DV_1 001b MAPIModule 0029 FreeLibrary 002e MAPIDLL 0033 @UStrClr 0046 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 1E 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_104335_0 {
	meta:
		name = "SendTextMessage"
		size = 91
		refs = "0010 @UStrAddRef 0018 SendTextMessage 0026 @UStrToPWChar 002f SendMessage 0046 @UStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 50 57 56 53 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_104337_0 {
	meta:
		name = "SendGetStructMessage"
		size = 21
		refs = "000c SendMessage"
	strings:
		$1 = { 55 8B EC 53 8B 5D 0C 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_104533_0 {
	meta:
		name = "RGB"
		size = 20
		altNames = "mci_Make_HMS mci_Make_MSF"
	strings:
		$1 = { 0F B6 C0 0F B6 D2 C1 E2 08 0B C2 0F B6 D1 C1 E2 10 0B C2 C3 }
	condition:
		$1
}

rule function_104537_0 {
	meta:
		name = "mci_TMSF_Frame"
		size = 10
	strings:
		$1 = { C1 E8 10 0F B7 C0 C1 E8 08 C3 }
	condition:
		$1
}

rule function_104543_0 {
	meta:
		name = "DIBIndex"
		size = 9
	strings:
		$1 = { 0F B7 C0 0D 00 00 FF 10 C3 }
	condition:
		$1
}

rule function_104550_0 {
	meta:
		name = "CoDOMDocument.Create"
		size = 100
		refs = "000c CoDOMDocument.Create 001a CLASS_DOMDocument 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 95 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104552_0 {
	meta:
		name = "CoDOMDocument26.Create"
		size = 100
		refs = "000c CoDOMDocument26.Create 001a CLASS_DOMDocument26 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 95 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104554_0 {
	meta:
		name = "CoDOMDocument30.Create"
		size = 100
		refs = "000c CoDOMDocument30.Create 001a CLASS_DOMDocument30 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 95 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104556_0 {
	meta:
		name = "CoDOMDocument40.Create"
		size = 100
		refs = "000c CoDOMDocument40.Create 001a CLASS_DOMDocument40 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 95 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104560_0 {
	meta:
		name = "CoFreeThreadedDOMDocument.Create"
		size = 100
		refs = "000c CoFreeThreadedDOMDocument.Create 001a CLASS_FreeThreadedDOMDocument 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 95 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104562_0 {
	meta:
		name = "CoFreeThreadedDOMDocument26.Create"
		size = 100
		refs = "000c CoFreeThreadedDOMDocument26.Create 001a CLASS_FreeThreadedDOMDocument26 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 95 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104564_0 {
	meta:
		name = "CoFreeThreadedDOMDocument30.Create"
		size = 100
		refs = "000c CoFreeThreadedDOMDocument30.Create 001a CLASS_FreeThreadedDOMDocument30 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 95 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104566_0 {
	meta:
		name = "CoFreeThreadedDOMDocument40.Create"
		size = 100
		refs = "000c CoFreeThreadedDOMDocument40.Create 001a CLASS_FreeThreadedDOMDocument40 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 95 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104551_0 {
	meta:
		name = "CoDOMDocument.CreateRemote"
		size = 128
		refs = "0011 CoDOMDocument.CreateRemote 0021 @WStrFromUStr 002c CLASS_DOMDocument 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 95 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104553_0 {
	meta:
		name = "CoDOMDocument26.CreateRemote"
		size = 128
		refs = "0011 CoDOMDocument26.CreateRemote 0021 @WStrFromUStr 002c CLASS_DOMDocument26 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 95 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104555_0 {
	meta:
		name = "CoDOMDocument30.CreateRemote"
		size = 128
		refs = "0011 CoDOMDocument30.CreateRemote 0021 @WStrFromUStr 002c CLASS_DOMDocument30 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 95 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104557_0 {
	meta:
		name = "CoDOMDocument40.CreateRemote"
		size = 128
		refs = "0011 CoDOMDocument40.CreateRemote 0021 @WStrFromUStr 002c CLASS_DOMDocument40 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 95 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104561_0 {
	meta:
		name = "CoFreeThreadedDOMDocument.CreateRemote"
		size = 128
		refs = "0011 CoFreeThreadedDOMDocument.CreateRemote 0021 @WStrFromUStr 002c CLASS_FreeThreadedDOMDocument 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 95 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104563_0 {
	meta:
		name = "CoFreeThreadedDOMDocument26.CreateRemote"
		size = 128
		refs = "0011 CoFreeThreadedDOMDocument26.CreateRemote 0021 @WStrFromUStr 002c CLASS_FreeThreadedDOMDocument26 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 95 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104565_0 {
	meta:
		name = "CoFreeThreadedDOMDocument30.CreateRemote"
		size = 128
		refs = "0011 CoFreeThreadedDOMDocument30.CreateRemote 0021 @WStrFromUStr 002c CLASS_FreeThreadedDOMDocument30 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 95 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104567_0 {
	meta:
		name = "CoFreeThreadedDOMDocument40.CreateRemote"
		size = 128
		refs = "0011 CoFreeThreadedDOMDocument40.CreateRemote 0021 @WStrFromUStr 002c CLASS_FreeThreadedDOMDocument40 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 95 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104558_0 {
	meta:
		name = "CoDOMDocument60.Create"
		size = 100
		refs = "000c CoDOMDocument60.Create 001a CLASS_DOMDocument60 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 96 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104568_0 {
	meta:
		name = "CoFreeThreadedDOMDocument60.Create"
		size = 100
		refs = "000c CoFreeThreadedDOMDocument60.Create 001a CLASS_FreeThreadedDOMDocument60 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 96 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104559_0 {
	meta:
		name = "CoDOMDocument60.CreateRemote"
		size = 128
		refs = "0011 CoDOMDocument60.CreateRemote 0021 @WStrFromUStr 002c CLASS_DOMDocument60 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 96 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104569_0 {
	meta:
		name = "CoFreeThreadedDOMDocument60.CreateRemote"
		size = 128
		refs = "0011 CoFreeThreadedDOMDocument60.CreateRemote 0021 @WStrFromUStr 002c CLASS_FreeThreadedDOMDocument60 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 96 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104570_0 {
	meta:
		name = "CoXMLSchemaCache.Create"
		size = 100
		refs = "000c CoXMLSchemaCache.Create 001a CLASS_XMLSchemaCache 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 C8 84 39 37 45 B8 9B 44 91 E7 45 AC 83 03 6A DE }
	condition:
		$1
}

rule function_104572_0 {
	meta:
		name = "CoXMLSchemaCache26.Create"
		size = 100
		refs = "000c CoXMLSchemaCache26.Create 001a CLASS_XMLSchemaCache26 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 C8 84 39 37 45 B8 9B 44 91 E7 45 AC 83 03 6A DE }
	condition:
		$1
}

rule function_104574_0 {
	meta:
		name = "CoXMLSchemaCache30.Create"
		size = 100
		refs = "000c CoXMLSchemaCache30.Create 001a CLASS_XMLSchemaCache30 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 C8 84 39 37 45 B8 9B 44 91 E7 45 AC 83 03 6A DE }
	condition:
		$1
}

rule function_104571_0 {
	meta:
		name = "CoXMLSchemaCache.CreateRemote"
		size = 128
		refs = "0011 CoXMLSchemaCache.CreateRemote 0021 @WStrFromUStr 002c CLASS_XMLSchemaCache 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 C8 84 39 37 45 B8 9B 44 91 E7 45 AC 83 03 6A DE }
	condition:
		$1
}

rule function_104573_0 {
	meta:
		name = "CoXMLSchemaCache26.CreateRemote"
		size = 128
		refs = "0011 CoXMLSchemaCache26.CreateRemote 0021 @WStrFromUStr 002c CLASS_XMLSchemaCache26 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 C8 84 39 37 45 B8 9B 44 91 E7 45 AC 83 03 6A DE }
	condition:
		$1
}

rule function_104575_0 {
	meta:
		name = "CoXMLSchemaCache30.CreateRemote"
		size = 128
		refs = "0011 CoXMLSchemaCache30.CreateRemote 0021 @WStrFromUStr 002c CLASS_XMLSchemaCache30 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 C8 84 39 37 45 B8 9B 44 91 E7 45 AC 83 03 6A DE }
	condition:
		$1
}

rule function_104576_0 {
	meta:
		name = "CoXMLSchemaCache40.Create"
		size = 100
		refs = "000c CoXMLSchemaCache40.Create 001a CLASS_XMLSchemaCache40 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 B0 08 EA 50 1B DD 64 46 9A 50 C2 F4 0F 4B D7 9A }
	condition:
		$1
}

rule function_104578_0 {
	meta:
		name = "CoXMLSchemaCache60.Create"
		size = 100
		refs = "000c CoXMLSchemaCache60.Create 001a CLASS_XMLSchemaCache60 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 B0 08 EA 50 1B DD 64 46 9A 50 C2 F4 0F 4B D7 9A }
	condition:
		$1
}

rule function_104577_0 {
	meta:
		name = "CoXMLSchemaCache40.CreateRemote"
		size = 128
		refs = "0011 CoXMLSchemaCache40.CreateRemote 0021 @WStrFromUStr 002c CLASS_XMLSchemaCache40 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 B0 08 EA 50 1B DD 64 46 9A 50 C2 F4 0F 4B D7 9A }
	condition:
		$1
}

rule function_104579_0 {
	meta:
		name = "CoXMLSchemaCache60.CreateRemote"
		size = 128
		refs = "0011 CoXMLSchemaCache60.CreateRemote 0021 @WStrFromUStr 002c CLASS_XMLSchemaCache60 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 B0 08 EA 50 1B DD 64 46 9A 50 C2 F4 0F 4B D7 9A }
	condition:
		$1
}

rule function_104580_0 {
	meta:
		name = "CoXSLTemplate.Create"
		size = 100
		refs = "000c CoXSLTemplate.Create 001a CLASS_XSLTemplate 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 93 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104582_0 {
	meta:
		name = "CoXSLTemplate26.Create"
		size = 100
		refs = "000c CoXSLTemplate26.Create 001a CLASS_XSLTemplate26 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 93 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104584_0 {
	meta:
		name = "CoXSLTemplate30.Create"
		size = 100
		refs = "000c CoXSLTemplate30.Create 001a CLASS_XSLTemplate30 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 93 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104586_0 {
	meta:
		name = "CoXSLTemplate40.Create"
		size = 100
		refs = "000c CoXSLTemplate40.Create 001a CLASS_XSLTemplate40 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 93 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104588_0 {
	meta:
		name = "CoXSLTemplate60.Create"
		size = 100
		refs = "000c CoXSLTemplate60.Create 001a CLASS_XSLTemplate60 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 93 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104581_0 {
	meta:
		name = "CoXSLTemplate.CreateRemote"
		size = 128
		refs = "0011 CoXSLTemplate.CreateRemote 0021 @WStrFromUStr 002c CLASS_XSLTemplate 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 93 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104583_0 {
	meta:
		name = "CoXSLTemplate26.CreateRemote"
		size = 128
		refs = "0011 CoXSLTemplate26.CreateRemote 0021 @WStrFromUStr 002c CLASS_XSLTemplate26 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 93 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104585_0 {
	meta:
		name = "CoXSLTemplate30.CreateRemote"
		size = 128
		refs = "0011 CoXSLTemplate30.CreateRemote 0021 @WStrFromUStr 002c CLASS_XSLTemplate30 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 93 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104587_0 {
	meta:
		name = "CoXSLTemplate40.CreateRemote"
		size = 128
		refs = "0011 CoXSLTemplate40.CreateRemote 0021 @WStrFromUStr 002c CLASS_XSLTemplate40 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 93 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104589_0 {
	meta:
		name = "CoXSLTemplate60.CreateRemote"
		size = 128
		refs = "0011 CoXSLTemplate60.CreateRemote 0021 @WStrFromUStr 002c CLASS_XSLTemplate60 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 93 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_104590_0 {
	meta:
		name = "CoDSOControl.Create"
		size = 100
		refs = "000c CoDSOControl.Create 001a CLASS_DSOControl 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 62 FA 0A 31 75 05 D2 11 9C A9 00 60 B0 EC 3D 39 }
	condition:
		$1
}

rule function_104592_0 {
	meta:
		name = "CoDSOControl26.Create"
		size = 100
		refs = "000c CoDSOControl26.Create 001a CLASS_DSOControl26 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 62 FA 0A 31 75 05 D2 11 9C A9 00 60 B0 EC 3D 39 }
	condition:
		$1
}

rule function_104594_0 {
	meta:
		name = "CoDSOControl30.Create"
		size = 100
		refs = "000c CoDSOControl30.Create 001a CLASS_DSOControl30 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 62 FA 0A 31 75 05 D2 11 9C A9 00 60 B0 EC 3D 39 }
	condition:
		$1
}

rule function_104596_0 {
	meta:
		name = "CoDSOControl40.Create"
		size = 100
		refs = "000c CoDSOControl40.Create 001a CLASS_DSOControl40 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 62 FA 0A 31 75 05 D2 11 9C A9 00 60 B0 EC 3D 39 }
	condition:
		$1
}

rule function_104591_0 {
	meta:
		name = "CoDSOControl.CreateRemote"
		size = 128
		refs = "0011 CoDSOControl.CreateRemote 0021 @WStrFromUStr 002c CLASS_DSOControl 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 62 FA 0A 31 75 05 D2 11 9C A9 00 60 B0 EC 3D 39 }
	condition:
		$1
}

rule function_104593_0 {
	meta:
		name = "CoDSOControl26.CreateRemote"
		size = 128
		refs = "0011 CoDSOControl26.CreateRemote 0021 @WStrFromUStr 002c CLASS_DSOControl26 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 62 FA 0A 31 75 05 D2 11 9C A9 00 60 B0 EC 3D 39 }
	condition:
		$1
}

rule function_104595_0 {
	meta:
		name = "CoDSOControl30.CreateRemote"
		size = 128
		refs = "0011 CoDSOControl30.CreateRemote 0021 @WStrFromUStr 002c CLASS_DSOControl30 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 62 FA 0A 31 75 05 D2 11 9C A9 00 60 B0 EC 3D 39 }
	condition:
		$1
}

rule function_104597_0 {
	meta:
		name = "CoDSOControl40.CreateRemote"
		size = 128
		refs = "0011 CoDSOControl40.CreateRemote 0021 @WStrFromUStr 002c CLASS_DSOControl40 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 62 FA 0A 31 75 05 D2 11 9C A9 00 60 B0 EC 3D 39 }
	condition:
		$1
}

rule function_104598_0 {
	meta:
		name = "CoXMLHTTP.Create"
		size = 100
		refs = "000c CoXMLHTTP.Create 001a CLASS_XMLHTTP 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 8D 10 8C ED 49 43 D2 11 91 A4 00 C0 4F 79 69 E8 }
	condition:
		$1
}

rule function_104600_0 {
	meta:
		name = "CoXMLHTTP26.Create"
		size = 100
		refs = "000c CoXMLHTTP26.Create 001a CLASS_XMLHTTP26 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 8D 10 8C ED 49 43 D2 11 91 A4 00 C0 4F 79 69 E8 }
	condition:
		$1
}

rule function_104602_0 {
	meta:
		name = "CoXMLHTTP30.Create"
		size = 100
		refs = "000c CoXMLHTTP30.Create 001a CLASS_XMLHTTP30 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 8D 10 8C ED 49 43 D2 11 91 A4 00 C0 4F 79 69 E8 }
	condition:
		$1
}

rule function_104604_0 {
	meta:
		name = "CoXMLHTTP40.Create"
		size = 100
		refs = "000c CoXMLHTTP40.Create 001a CLASS_XMLHTTP40 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 8D 10 8C ED 49 43 D2 11 91 A4 00 C0 4F 79 69 E8 }
	condition:
		$1
}

rule function_104606_0 {
	meta:
		name = "CoXMLHTTP60.Create"
		size = 100
		refs = "000c CoXMLHTTP60.Create 001a CLASS_XMLHTTP60 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 8D 10 8C ED 49 43 D2 11 91 A4 00 C0 4F 79 69 E8 }
	condition:
		$1
}

rule function_104599_0 {
	meta:
		name = "CoXMLHTTP.CreateRemote"
		size = 128
		refs = "0011 CoXMLHTTP.CreateRemote 0021 @WStrFromUStr 002c CLASS_XMLHTTP 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 8D 10 8C ED 49 43 D2 11 91 A4 00 C0 4F 79 69 E8 }
	condition:
		$1
}

rule function_104601_0 {
	meta:
		name = "CoXMLHTTP26.CreateRemote"
		size = 128
		refs = "0011 CoXMLHTTP26.CreateRemote 0021 @WStrFromUStr 002c CLASS_XMLHTTP26 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 8D 10 8C ED 49 43 D2 11 91 A4 00 C0 4F 79 69 E8 }
	condition:
		$1
}

rule function_104603_0 {
	meta:
		name = "CoXMLHTTP30.CreateRemote"
		size = 128
		refs = "0011 CoXMLHTTP30.CreateRemote 0021 @WStrFromUStr 002c CLASS_XMLHTTP30 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 8D 10 8C ED 49 43 D2 11 91 A4 00 C0 4F 79 69 E8 }
	condition:
		$1
}

rule function_104605_0 {
	meta:
		name = "CoXMLHTTP40.CreateRemote"
		size = 128
		refs = "0011 CoXMLHTTP40.CreateRemote 0021 @WStrFromUStr 002c CLASS_XMLHTTP40 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 8D 10 8C ED 49 43 D2 11 91 A4 00 C0 4F 79 69 E8 }
	condition:
		$1
}

rule function_104607_0 {
	meta:
		name = "CoXMLHTTP60.CreateRemote"
		size = 128
		refs = "0011 CoXMLHTTP60.CreateRemote 0021 @WStrFromUStr 002c CLASS_XMLHTTP60 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 8D 10 8C ED 49 43 D2 11 91 A4 00 C0 4F 79 69 E8 }
	condition:
		$1
}

rule function_104608_0 {
	meta:
		name = "CoServerXMLHTTP.Create"
		size = 100
		refs = "000c CoServerXMLHTTP.Create 001a CLASS_ServerXMLHTTP 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 BF 96 91 2E BA 13 D4 4D 91 CA 6C 57 1F 28 14 95 }
	condition:
		$1
}

rule function_104610_0 {
	meta:
		name = "CoServerXMLHTTP30.Create"
		size = 100
		refs = "000c CoServerXMLHTTP30.Create 001a CLASS_ServerXMLHTTP30 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 BF 96 91 2E BA 13 D4 4D 91 CA 6C 57 1F 28 14 95 }
	condition:
		$1
}

rule function_104609_0 {
	meta:
		name = "CoServerXMLHTTP.CreateRemote"
		size = 128
		refs = "0011 CoServerXMLHTTP.CreateRemote 0021 @WStrFromUStr 002c CLASS_ServerXMLHTTP 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 BF 96 91 2E BA 13 D4 4D 91 CA 6C 57 1F 28 14 95 }
	condition:
		$1
}

rule function_104611_0 {
	meta:
		name = "CoServerXMLHTTP30.CreateRemote"
		size = 128
		refs = "0011 CoServerXMLHTTP30.CreateRemote 0021 @WStrFromUStr 002c CLASS_ServerXMLHTTP30 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 BF 96 91 2E BA 13 D4 4D 91 CA 6C 57 1F 28 14 95 }
	condition:
		$1
}

rule function_104612_0 {
	meta:
		name = "CoServerXMLHTTP40.Create"
		size = 100
		refs = "000c CoServerXMLHTTP40.Create 001a CLASS_ServerXMLHTTP40 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 1B 31 01 2E 22 C3 0A 4B BD 77 B9 0C FD C8 DC E7 }
	condition:
		$1
}

rule function_104614_0 {
	meta:
		name = "CoServerXMLHTTP60.Create"
		size = 100
		refs = "000c CoServerXMLHTTP60.Create 001a CLASS_ServerXMLHTTP60 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 1B 31 01 2E 22 C3 0A 4B BD 77 B9 0C FD C8 DC E7 }
	condition:
		$1
}

rule function_104613_0 {
	meta:
		name = "CoServerXMLHTTP40.CreateRemote"
		size = 128
		refs = "0011 CoServerXMLHTTP40.CreateRemote 0021 @WStrFromUStr 002c CLASS_ServerXMLHTTP40 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 1B 31 01 2E 22 C3 0A 4B BD 77 B9 0C FD C8 DC E7 }
	condition:
		$1
}

rule function_104615_0 {
	meta:
		name = "CoServerXMLHTTP60.CreateRemote"
		size = 128
		refs = "0011 CoServerXMLHTTP60.CreateRemote 0021 @WStrFromUStr 002c CLASS_ServerXMLHTTP60 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 1B 31 01 2E 22 C3 0A 4B BD 77 B9 0C FD C8 DC E7 }
	condition:
		$1
}

rule function_104616_0 {
	meta:
		name = "CoSAXXMLReader.Create"
		size = 100
		refs = "000c CoSAXXMLReader.Create 001a CLASS_SAXXMLReader 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 AA 3C 03 8C D6 6C 73 4F B7 28 45 31 AF 74 94 5F }
	condition:
		$1
}

rule function_104618_0 {
	meta:
		name = "CoSAXXMLReader30.Create"
		size = 100
		refs = "000c CoSAXXMLReader30.Create 001a CLASS_SAXXMLReader30 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 AA 3C 03 8C D6 6C 73 4F B7 28 45 31 AF 74 94 5F }
	condition:
		$1
}

rule function_104620_0 {
	meta:
		name = "CoSAXXMLReader40.Create"
		size = 100
		refs = "000c CoSAXXMLReader40.Create 001a CLASS_SAXXMLReader40 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 AA 3C 03 8C D6 6C 73 4F B7 28 45 31 AF 74 94 5F }
	condition:
		$1
}

rule function_104622_0 {
	meta:
		name = "CoSAXXMLReader60.Create"
		size = 100
		refs = "000c CoSAXXMLReader60.Create 001a CLASS_SAXXMLReader60 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 AA 3C 03 8C D6 6C 73 4F B7 28 45 31 AF 74 94 5F }
	condition:
		$1
}

rule function_104617_0 {
	meta:
		name = "CoSAXXMLReader.CreateRemote"
		size = 128
		refs = "0011 CoSAXXMLReader.CreateRemote 0021 @WStrFromUStr 002c CLASS_SAXXMLReader 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 AA 3C 03 8C D6 6C 73 4F B7 28 45 31 AF 74 94 5F }
	condition:
		$1
}

rule function_104619_0 {
	meta:
		name = "CoSAXXMLReader30.CreateRemote"
		size = 128
		refs = "0011 CoSAXXMLReader30.CreateRemote 0021 @WStrFromUStr 002c CLASS_SAXXMLReader30 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 AA 3C 03 8C D6 6C 73 4F B7 28 45 31 AF 74 94 5F }
	condition:
		$1
}

rule function_104621_0 {
	meta:
		name = "CoSAXXMLReader40.CreateRemote"
		size = 128
		refs = "0011 CoSAXXMLReader40.CreateRemote 0021 @WStrFromUStr 002c CLASS_SAXXMLReader40 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 AA 3C 03 8C D6 6C 73 4F B7 28 45 31 AF 74 94 5F }
	condition:
		$1
}

rule function_104623_0 {
	meta:
		name = "CoSAXXMLReader60.CreateRemote"
		size = 128
		refs = "0011 CoSAXXMLReader60.CreateRemote 0021 @WStrFromUStr 002c CLASS_SAXXMLReader60 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 AA 3C 03 8C D6 6C 73 4F B7 28 45 31 AF 74 94 5F }
	condition:
		$1
}

rule function_104624_0 {
	meta:
		name = "CoMXXMLWriter.Create"
		size = 100
		refs = "000c CoMXXMLWriter.Create 001a CLASS_MXXMLWriter 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 BA F4 7F 4D 65 15 A8 4E 94 E1 6E 72 4A 46 F9 8D }
	condition:
		$1
}

rule function_104632_0 {
	meta:
		name = "CoMXHTMLWriter.Create"
		size = 100
		refs = "000c CoMXHTMLWriter.Create 001a CLASS_MXHTMLWriter 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 BA F4 7F 4D 65 15 A8 4E 94 E1 6E 72 4A 46 F9 8D }
	condition:
		$1
}

rule function_104634_0 {
	meta:
		name = "CoMXHTMLWriter30.Create"
		size = 100
		refs = "000c CoMXHTMLWriter30.Create 001a CLASS_MXHTMLWriter30 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 BA F4 7F 4D 65 15 A8 4E 94 E1 6E 72 4A 46 F9 8D }
	condition:
		$1
}

rule function_104636_0 {
	meta:
		name = "CoMXHTMLWriter40.Create"
		size = 100
		refs = "000c CoMXHTMLWriter40.Create 001a CLASS_MXHTMLWriter40 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 BA F4 7F 4D 65 15 A8 4E 94 E1 6E 72 4A 46 F9 8D }
	condition:
		$1
}

rule function_104638_0 {
	meta:
		name = "CoMXHTMLWriter60.Create"
		size = 100
		refs = "000c CoMXHTMLWriter60.Create 001a CLASS_MXHTMLWriter60 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 BA F4 7F 4D 65 15 A8 4E 94 E1 6E 72 4A 46 F9 8D }
	condition:
		$1
}

rule function_104626_0 {
	meta:
		name = "CoMXXMLWriter30.Create"
		size = 100
		refs = "000c CoMXXMLWriter30.Create 001a CLASS_MXXMLWriter30 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 BA F4 7F 4D 65 15 A8 4E 94 E1 6E 72 4A 46 F9 8D }
	condition:
		$1
}

rule function_104628_0 {
	meta:
		name = "CoMXXMLWriter40.Create"
		size = 100
		refs = "000c CoMXXMLWriter40.Create 001a CLASS_MXXMLWriter40 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 BA F4 7F 4D 65 15 A8 4E 94 E1 6E 72 4A 46 F9 8D }
	condition:
		$1
}

rule function_104630_0 {
	meta:
		name = "CoMXXMLWriter60.Create"
		size = 100
		refs = "000c CoMXXMLWriter60.Create 001a CLASS_MXXMLWriter60 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 BA F4 7F 4D 65 15 A8 4E 94 E1 6E 72 4A 46 F9 8D }
	condition:
		$1
}

rule function_104625_0 {
	meta:
		name = "CoMXXMLWriter.CreateRemote"
		size = 128
		refs = "0011 CoMXXMLWriter.CreateRemote 0021 @WStrFromUStr 002c CLASS_MXXMLWriter 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 BA F4 7F 4D 65 15 A8 4E 94 E1 6E 72 4A 46 F9 8D }
	condition:
		$1
}

rule function_104633_0 {
	meta:
		name = "CoMXHTMLWriter.CreateRemote"
		size = 128
		refs = "0011 CoMXHTMLWriter.CreateRemote 0021 @WStrFromUStr 002c CLASS_MXHTMLWriter 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 BA F4 7F 4D 65 15 A8 4E 94 E1 6E 72 4A 46 F9 8D }
	condition:
		$1
}

rule function_104635_0 {
	meta:
		name = "CoMXHTMLWriter30.CreateRemote"
		size = 128
		refs = "0011 CoMXHTMLWriter30.CreateRemote 0021 @WStrFromUStr 002c CLASS_MXHTMLWriter30 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 BA F4 7F 4D 65 15 A8 4E 94 E1 6E 72 4A 46 F9 8D }
	condition:
		$1
}

rule function_104637_0 {
	meta:
		name = "CoMXHTMLWriter40.CreateRemote"
		size = 128
		refs = "0011 CoMXHTMLWriter40.CreateRemote 0021 @WStrFromUStr 002c CLASS_MXHTMLWriter40 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 BA F4 7F 4D 65 15 A8 4E 94 E1 6E 72 4A 46 F9 8D }
	condition:
		$1
}

rule function_104639_0 {
	meta:
		name = "CoMXHTMLWriter60.CreateRemote"
		size = 128
		refs = "0011 CoMXHTMLWriter60.CreateRemote 0021 @WStrFromUStr 002c CLASS_MXHTMLWriter60 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 BA F4 7F 4D 65 15 A8 4E 94 E1 6E 72 4A 46 F9 8D }
	condition:
		$1
}

rule function_104627_0 {
	meta:
		name = "CoMXXMLWriter30.CreateRemote"
		size = 128
		refs = "0011 CoMXXMLWriter30.CreateRemote 0021 @WStrFromUStr 002c CLASS_MXXMLWriter30 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 BA F4 7F 4D 65 15 A8 4E 94 E1 6E 72 4A 46 F9 8D }
	condition:
		$1
}

rule function_104629_0 {
	meta:
		name = "CoMXXMLWriter40.CreateRemote"
		size = 128
		refs = "0011 CoMXXMLWriter40.CreateRemote 0021 @WStrFromUStr 002c CLASS_MXXMLWriter40 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 BA F4 7F 4D 65 15 A8 4E 94 E1 6E 72 4A 46 F9 8D }
	condition:
		$1
}

rule function_104631_0 {
	meta:
		name = "CoMXXMLWriter60.CreateRemote"
		size = 128
		refs = "0011 CoMXXMLWriter60.CreateRemote 0021 @WStrFromUStr 002c CLASS_MXXMLWriter60 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 BA F4 7F 4D 65 15 A8 4E 94 E1 6E 72 4A 46 F9 8D }
	condition:
		$1
}

rule function_104640_0 {
	meta:
		name = "CoSAXAttributes.Create"
		size = 100
		refs = "000c CoSAXAttributes.Create 001a CLASS_SAXAttributes 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 CC 27 0D F1 C0 3E 5C 41 8E D8 77 AB 1C 5E 72 62 }
	condition:
		$1
}

rule function_104642_0 {
	meta:
		name = "CoSAXAttributes30.Create"
		size = 100
		refs = "000c CoSAXAttributes30.Create 001a CLASS_SAXAttributes30 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 CC 27 0D F1 C0 3E 5C 41 8E D8 77 AB 1C 5E 72 62 }
	condition:
		$1
}

rule function_104644_0 {
	meta:
		name = "CoSAXAttributes40.Create"
		size = 100
		refs = "000c CoSAXAttributes40.Create 001a CLASS_SAXAttributes40 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 CC 27 0D F1 C0 3E 5C 41 8E D8 77 AB 1C 5E 72 62 }
	condition:
		$1
}

rule function_104646_0 {
	meta:
		name = "CoSAXAttributes60.Create"
		size = 100
		refs = "000c CoSAXAttributes60.Create 001a CLASS_SAXAttributes60 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 CC 27 0D F1 C0 3E 5C 41 8E D8 77 AB 1C 5E 72 62 }
	condition:
		$1
}

rule function_104641_0 {
	meta:
		name = "CoSAXAttributes.CreateRemote"
		size = 128
		refs = "0011 CoSAXAttributes.CreateRemote 0021 @WStrFromUStr 002c CLASS_SAXAttributes 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 CC 27 0D F1 C0 3E 5C 41 8E D8 77 AB 1C 5E 72 62 }
	condition:
		$1
}

rule function_104643_0 {
	meta:
		name = "CoSAXAttributes30.CreateRemote"
		size = 128
		refs = "0011 CoSAXAttributes30.CreateRemote 0021 @WStrFromUStr 002c CLASS_SAXAttributes30 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 CC 27 0D F1 C0 3E 5C 41 8E D8 77 AB 1C 5E 72 62 }
	condition:
		$1
}

rule function_104645_0 {
	meta:
		name = "CoSAXAttributes40.CreateRemote"
		size = 128
		refs = "0011 CoSAXAttributes40.CreateRemote 0021 @WStrFromUStr 002c CLASS_SAXAttributes40 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 CC 27 0D F1 C0 3E 5C 41 8E D8 77 AB 1C 5E 72 62 }
	condition:
		$1
}

rule function_104647_0 {
	meta:
		name = "CoSAXAttributes60.CreateRemote"
		size = 128
		refs = "0011 CoSAXAttributes60.CreateRemote 0021 @WStrFromUStr 002c CLASS_SAXAttributes60 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 CC 27 0D F1 C0 3E 5C 41 8E D8 77 AB 1C 5E 72 62 }
	condition:
		$1
}

rule function_104648_0 {
	meta:
		name = "CoMXNamespaceManager.Create"
		size = 100
		refs = "000c CoMXNamespaceManager.Create 001a CLASS_MXNamespaceManager 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 F5 52 03 C9 3C 64 BC 4F BB 23 E9 96 EB 2D 51 FD }
	condition:
		$1
}

rule function_104650_0 {
	meta:
		name = "CoMXNamespaceManager40.Create"
		size = 100
		refs = "000c CoMXNamespaceManager40.Create 001a CLASS_MXNamespaceManager40 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 F5 52 03 C9 3C 64 BC 4F BB 23 E9 96 EB 2D 51 FD }
	condition:
		$1
}

rule function_104652_0 {
	meta:
		name = "CoMXNamespaceManager60.Create"
		size = 100
		refs = "000c CoMXNamespaceManager60.Create 001a CLASS_MXNamespaceManager60 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 F5 52 03 C9 3C 64 BC 4F BB 23 E9 96 EB 2D 51 FD }
	condition:
		$1
}

rule function_104649_0 {
	meta:
		name = "CoMXNamespaceManager.CreateRemote"
		size = 128
		refs = "0011 CoMXNamespaceManager.CreateRemote 0021 @WStrFromUStr 002c CLASS_MXNamespaceManager 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 F5 52 03 C9 3C 64 BC 4F BB 23 E9 96 EB 2D 51 FD }
	condition:
		$1
}

rule function_104651_0 {
	meta:
		name = "CoMXNamespaceManager40.CreateRemote"
		size = 128
		refs = "0011 CoMXNamespaceManager40.CreateRemote 0021 @WStrFromUStr 002c CLASS_MXNamespaceManager40 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 F5 52 03 C9 3C 64 BC 4F BB 23 E9 96 EB 2D 51 FD }
	condition:
		$1
}

rule function_104653_0 {
	meta:
		name = "CoMXNamespaceManager60.CreateRemote"
		size = 128
		refs = "0011 CoMXNamespaceManager60.CreateRemote 0021 @WStrFromUStr 002c CLASS_MXNamespaceManager60 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 F5 52 03 C9 3C 64 BC 4F BB 23 E9 96 EB 2D 51 FD }
	condition:
		$1
}

rule function_104656_0 {
	meta:
		name = "IsComPlusPlatform"
		size = 46
		refs = "000f GetVersionEx"
	strings:
		$1 = { 81 C4 EC FE FF FF C7 04 24 14 01 00 00 54 E8 ?? ?? ?? ?? 83 7C 24 10 02 75 0B 83 7C 24 04 05 72 04 B0 01 EB 02 33 C0 81 C4 14 01 00 00 C3 }
	condition:
		$1
}

rule function_104657_0 {
	meta:
		name = "LoadMtsProcs"
		size = 244
		refs = "0003 MtsProcsLoaded 0012 IsComPlusPlatform 001b LoadMtsProcs 0020 GetModuleHandle 0031 GetProcAddress 0036 CoGetObjectContextProc 0058 GetObjectContextProc 0068 SafeRefProc"
	strings:
		$1 = { 53 80 3D ?? ?? ?? ?? 00 75 62 C6 05 ?? ?? ?? ?? 01 E8 ?? ?? ?? ?? 84 C0 74 22 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 42 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? EB 30 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 20 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 5B C3 00 00 6F 00 6C 00 65 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 43 00 6F 00 47 00 65 00 74 00 4F 00 62 00 6A 00 65 00 63 00 74 00 43 00 6F 00 6E 00 74 00 65 00 78 00 74 00 00 00 00 00 6D 00 74 00 78 00 65 00 78 00 2E 00 64 00 6C 00 6C 00 00 00 47 00 65 00 74 00 4F 00 62 00 6A 00 65 00 63 00 74 00 43 00 6F 00 6E 00 74 00 65 00 78 00 74 00 00 00 00 00 53 00 61 00 66 00 65 00 52 00 65 00 66 00 00 00 }
	condition:
		$1
}

rule function_104658_0 {
	meta:
		name = "GetObjectContext"
		size = 64
		refs = "0004 LoadMtsProcs 000a CoGetObjectContextProc 0013 IID_IObjectContext 0021 GetObjectContextProc 0031 OleCheck 003a @IntfClear"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0E 53 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 5B C3 83 3D ?? ?? ?? ?? 00 74 0F 53 FF 15 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_104659_0 {
	meta:
		name = "SafeRef"
		size = 111
		refs = "000e @IntfAddRef 0016 SafeRef 0021 LoadMtsProcs 0027 SafeRefProc 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 12 8B 45 FC 50 53 FF 15 ?? ?? ?? ?? 83 C4 08 8B D8 EB 0C 8B 45 FC 50 8B 00 FF 50 04 8B 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_104660_0 {
	meta:
		name = "CreateTransactionContext"
		size = 100
		refs = "000c CreateTransactionContext 001a CLASS_TransactionContext 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 21 FC 99 79 C6 D3 CF 11 AC AB 00 A0 24 A5 5A EF }
	condition:
		$1
}

rule function_104661_0 {
	meta:
		name = "CreateTransactionContextEx"
		size = 100
		refs = "000c CreateTransactionContextEx 001a CLASS_TransactionContextEx 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 22 FC 99 79 C6 D3 CF 11 AC AB 00 A0 24 A5 5A EF }
	condition:
		$1
}

rule function_104662_0 {
	meta:
		name = "CreateSharedPropertyGroupManager"
		size = 100
		refs = "000c CreateSharedPropertyGroupManager 001a CLASS_SharedPropertyGroupManager 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 0D 5C 00 2A DE A5 CF 11 9E 66 00 AA 00 A3 F4 64 }
	condition:
		$1
}

rule function_104663_0 {
	meta:
		name = "CreateSharedPropertyGroup"
		size = 121
		refs = "0015 CreateSharedPropertyGroup 002f CreateSharedPropertyGroupManager 0036 @IntfClear 0052 @CheckAutoResult 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 C7 45 F0 01 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8D 45 FA 50 8D 45 F0 50 8D 45 F4 50 53 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_105364_0 {
	meta:
		name = "CreateAccessibleProxy"
		size = 42
		refs = "000c @IntfClear 0012 IID_IAccessible 001b @UStrToPWChar 0022 CreateStdAccessibleProxy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A FC 8B C6 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_105365_0 {
	meta:
		name = "CoCAccPropServices.Create"
		size = 100
		refs = "000c CoCAccPropServices.Create 001a CLASS_CAccPropServices 001f CreateComObject 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 76 E7 26 6E F0 04 5D 49 80 E4 33 30 35 2E 31 69 }
	condition:
		$1
}

rule function_105366_0 {
	meta:
		name = "CoCAccPropServices.CreateRemote"
		size = 128
		refs = "0011 CoCAccPropServices.CreateRemote 0021 @WStrFromUStr 002c CLASS_CAccPropServices 0031 CreateRemoteComObject 0040 @IntfCast 0055 @WStrClr 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 76 E7 26 6E F0 04 5D 49 80 E4 33 30 35 2E 31 69 }
	condition:
		$1
}

rule function_106084_0 {
	meta:
		name = "Winapi.OpenGL"
		size = 19
		refs = "0002 _DV_1 000e Set8087CW"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 09 66 B8 3F 13 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106185_0 {
	meta:
		name = "FPenUpX"
		size = 11
	strings:
		$1 = { F6 C4 80 0F 95 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_106187_0 {
	meta:
		name = "MpAlcB"
		size = 19
	strings:
		$1 = { 66 81 E2 FF 00 0F B7 D2 C1 EA 03 8D 84 10 BC 00 00 00 C3 }
	condition:
		$1
}

rule function_106188_0 {
	meta:
		name = "MpIbf"
		size = 12
	strings:
		$1 = { 66 B9 07 00 66 23 C8 B0 01 D2 E0 C3 }
	condition:
		$1
}

rule function_106189_0 {
	meta:
		name = "SetAlcBitAnsi"
		size = 25
		refs = "0007 MpAlcB 0010 MpIbf"
	strings:
		$1 = { 53 56 8B DA 8B D3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 08 06 5E 5B C3 }
	condition:
		$1
}

rule function_106190_0 {
	meta:
		name = "ResetAlcBitAnsi"
		size = 27
		refs = "0007 MpAlcB 0010 MpIbf"
	strings:
		$1 = { 53 56 8B DA 8B D3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? F6 D0 20 06 5E 5B C3 }
	condition:
		$1
}

rule function_106191_0 {
	meta:
		name = "IsAlcBitAnsi"
		size = 35
		refs = "000b MpAlcB 0016 MpIbf"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 0F B6 00 50 8B C3 E8 ?? ?? ?? ?? 5A 22 D0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_106192_0 {
	meta:
		name = "DrawPenDataFmt"
		size = 29
		refs = "0018 DrawPenDataEx"
	strings:
		$1 = { 6A 00 6A 00 6A 00 68 FF FF 00 00 6A 00 68 FF FF 00 00 6A 00 51 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106193_0 {
	meta:
		name = "dwDiffAT"
		size = 49
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 7C 24 08 A5 A5 8B F0 8D 3C 24 A5 A5 8B 44 24 08 2B 04 24 69 C0 E8 03 00 00 8B 54 24 04 03 54 24 0C 2B C2 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_106194_0 {
	meta:
		name = "FLTAbsTime"
		size = 60
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 7C 24 08 A5 A5 8B F0 8D 3C 24 A5 A5 8B 04 24 3B 44 24 08 72 17 8B 04 24 3B 44 24 08 75 0A 8B 44 24 04 3B 44 24 0C 72 04 33 C0 EB 02 B0 01 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_106195_0 {
	meta:
		name = "FLTEAbsTime"
		size = 60
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 7C 24 08 A5 A5 8B F0 8D 3C 24 A5 A5 8B 04 24 3B 44 24 08 72 17 8B 04 24 3B 44 24 08 75 0A 8B 44 24 04 3B 44 24 0C 76 04 33 C0 EB 02 B0 01 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_106196_0 {
	meta:
		name = "FEQAbsTime"
		size = 51
	strings:
		$1 = { 56 57 83 C4 F0 8B F2 8D 7C 24 08 A5 A5 8B F0 8D 3C 24 A5 A5 8B 04 24 3B 44 24 08 75 0A 8B 44 24 04 3B 44 24 0C 74 04 33 C0 EB 02 B0 01 83 C4 10 5F 5E C3 }
	condition:
		$1
}

rule function_106197_0 {
	meta:
		name = "FAbsTimeInInterval"
		size = 54
		refs = "0014 FLTEAbsTime"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B F0 8D 3C 24 A5 A5 8B DA 8B D4 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0E 8D 53 08 8B C4 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_106198_0 {
	meta:
		name = "FIntervalInInterval"
		size = 44
		refs = "000b FLTEAbsTime"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 84 C0 74 0F 8D 56 08 8D 43 08 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_106199_0 {
	meta:
		name = "FIntervalXInterval"
		size = 44
		refs = "000c FLTAbsTime"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8D 43 08 E8 ?? ?? ?? ?? 84 C0 74 13 8B D3 8D 46 08 E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_106200_0 {
	meta:
		name = "dwDurInterval"
		size = 9
		refs = "0004 dwDiffAT"
	strings:
		$1 = { 8D 50 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106201_0 {
	meta:
		name = "MakeAbsTime"
		size = 38
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C1 BF E8 03 00 00 99 F7 FF 03 F0 89 33 8B C1 B9 E8 03 00 00 99 F7 F9 89 53 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_106202_0 {
	meta:
		name = "FIsSpecial"
		size = 10
	strings:
		$1 = { C1 E8 10 66 85 C0 0F 94 C0 C3 }
	condition:
		$1
}

rule function_106203_0 {
	meta:
		name = "FIsAnsi"
		size = 11
	strings:
		$1 = { C1 E8 10 66 83 F8 01 0F 94 C0 C3 }
	condition:
		$1
}

rule function_106204_0 {
	meta:
		name = "FIsGesture"
		size = 11
	strings:
		$1 = { C1 E8 10 66 83 F8 02 0F 94 C0 C3 }
	condition:
		$1
}

rule function_106205_0 {
	meta:
		name = "FIsKanji"
		size = 11
	strings:
		$1 = { C1 E8 10 66 83 F8 03 0F 94 C0 C3 }
	condition:
		$1
}

rule function_106206_0 {
	meta:
		name = "FIsShape"
		size = 11
	strings:
		$1 = { C1 E8 10 66 83 F8 04 0F 94 C0 C3 }
	condition:
		$1
}

rule function_106207_0 {
	meta:
		name = "FIsUniCode"
		size = 11
	strings:
		$1 = { C1 E8 10 66 83 F8 05 0F 94 C0 C3 }
	condition:
		$1
}

rule function_106208_0 {
	meta:
		name = "FIsVKey"
		size = 11
	strings:
		$1 = { C1 E8 10 66 83 F8 06 0F 94 C0 C3 }
	condition:
		$1
}

rule function_106211_0 {
	meta:
		name = "SyvCharacterToSymbol"
		size = 9
	strings:
		$1 = { 0F B6 C0 0D 00 00 01 00 C3 }
	condition:
		$1
}

rule function_106212_0 {
	meta:
		name = "SyvKanjiToSymbol"
		size = 9
	strings:
		$1 = { 0F B6 C0 0D 00 00 03 00 C3 }
	condition:
		$1
}

rule function_106213_0 {
	meta:
		name = "FIsSelectGesture"
		size = 20
	strings:
		$1 = { 3D C0 FF 02 00 72 07 3D CF FF 02 00 76 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_106214_0 {
	meta:
		name = "FIsStdGesture"
		size = 110
		refs = "0006 FIsSelectGesture"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 5C 81 FB D5 FF 02 00 74 54 81 FB D3 FF 02 00 74 4C 81 FB D8 FF 02 00 74 44 81 FB D9 FF 02 00 74 3C 81 FB DA FF 02 00 74 34 81 FB DB FF 02 00 74 2C 81 FB DC FF 02 00 74 24 81 FB DD FF 02 00 74 1C 81 FB D4 FF 02 00 74 14 81 FB DE FF 02 00 74 0C 81 FB DF FF 02 00 74 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_106215_0 {
	meta:
		name = "FIsAnsiGesture"
		size = 34
	strings:
		$1 = { 3D 08 00 02 00 74 18 3D 09 00 02 00 74 11 3D 0D 00 02 00 74 0A 3D 20 00 02 00 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_106218_0 {
	meta:
		name = "TerminationFromWpLp"
		size = 7
	strings:
		$1 = { C1 E8 10 0F B7 C0 C3 }
	condition:
		$1
}

rule function_106359_0 {
	meta:
		name = "CheckPSAPILoaded"
		size = 1248
		refs = "0002 hPSAPI 0010 CheckPSAPILoaded 0015 LoadLibrary 0031 GetProcAddress 0036 _EnumProcesses 0048 _EnumProcessModules 005a _GetModuleBaseName 006c _GetModuleFileNameEx 007e _GetModuleBaseNameA 0090 _GetModuleFileNameExA 00a2 _GetModuleBaseNameW 00b4 _GetModuleFileNameExW 00c6 _GetModuleInformation 00d8 _EmptyWorkingSet 00ea _QueryWorkingSet 00fc _InitializeProcessForWsWatch 010e _GetMappedFileName 0120 _GetDeviceDriverBaseName 0132 _GetDeviceDriverFileName 0144 _GetMappedFileNameA 0156 _GetDeviceDriverBaseNameA 0168 _GetDeviceDriverFileNameA 017a _GetMappedFileNameW 018c _GetDeviceDriverBaseNameW 019e _GetDeviceDriverFileNameW 01b0 _EnumDeviceDrivers 01c2 _GetProcessMemoryInfo"
	strings:
		$1 = { 53 BB ?? ?? ?? ?? 83 3B 00 0F 85 B7 01 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 83 3B 20 73 08 33 C0 89 03 33 C0 5B C3 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B0 01 5B C3 00 00 50 00 53 00 41 00 50 00 49 00 2E 00 64 00 6C 00 6C 00 00 00 45 00 6E 00 75 00 6D 00 50 00 72 00 6F 00 63 00 65 00 73 00 73 00 65 00 73 00 00 00 45 00 6E 00 75 00 6D 00 50 00 72 00 6F 00 63 00 65 00 73 00 73 00 4D 00 6F 00 64 00 75 00 6C 00 65 00 73 00 00 00 00 00 47 00 65 00 74 00 4D 00 6F 00 64 00 75 00 6C 00 65 00 42 00 61 00 73 00 65 00 4E 00 61 00 6D 00 65 00 57 00 00 00 00 00 47 00 65 00 74 00 4D 00 6F 00 64 00 75 00 6C 00 65 00 46 00 69 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 45 00 78 00 57 00 00 00 00 00 47 00 65 00 74 00 4D 00 6F 00 64 00 75 00 6C 00 65 00 42 00 61 00 73 00 65 00 4E 00 61 00 6D 00 65 00 41 00 00 00 00 00 47 00 65 00 74 00 4D 00 6F 00 64 00 75 00 6C 00 65 00 46 00 69 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 45 00 78 00 41 00 00 00 00 00 47 00 65 00 74 00 4D 00 6F 00 64 00 75 00 6C 00 65 00 49 00 6E 00 66 00 6F 00 72 00 6D 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 45 00 6D 00 70 00 74 00 79 00 57 00 6F 00 72 00 6B 00 69 00 6E 00 67 00 53 00 65 00 74 00 00 00 51 00 75 00 65 00 72 00 79 00 57 00 6F 00 72 00 6B 00 69 00 6E 00 67 00 53 00 65 00 74 00 00 00 49 00 6E 00 69 00 74 00 69 00 61 00 6C 00 69 00 7A 00 65 00 50 00 72 00 6F 00 63 00 65 00 73 00 73 00 46 00 6F 00 72 00 57 00 73 00 57 00 61 00 74 00 63 00 68 00 00 00 47 00 65 00 74 00 4D 00 61 00 70 00 70 00 65 00 64 00 46 00 69 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 57 00 00 00 00 00 47 00 65 00 74 00 44 00 65 00 76 00 69 00 63 00 65 00 44 00 72 00 69 00 76 00 65 00 72 00 42 00 61 00 73 00 65 00 4E 00 61 00 6D 00 65 00 57 00 00 00 00 00 47 00 65 00 74 00 44 00 65 00 76 00 69 00 63 00 65 00 44 00 72 00 69 00 76 00 65 00 72 00 46 00 69 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 57 00 00 00 00 00 47 00 65 00 74 00 4D 00 61 00 70 00 70 00 65 00 64 00 46 00 69 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 41 00 00 00 00 00 47 00 65 00 74 00 44 00 65 00 76 00 69 00 63 00 65 00 44 00 72 00 69 00 76 00 65 00 72 00 42 00 61 00 73 00 65 00 4E 00 61 00 6D 00 65 00 41 00 00 00 00 00 47 00 65 00 74 00 44 00 65 00 76 00 69 00 63 00 65 00 44 00 72 00 69 00 76 00 65 00 72 00 46 00 69 00 6C 00 65 00 4E 00 61 00 6D 00 65 00 41 00 00 00 00 00 45 00 6E 00 75 00 6D 00 44 00 65 00 76 00 69 00 63 00 65 00 44 00 72 00 69 00 76 00 65 00 72 00 73 00 00 00 47 00 65 00 74 00 50 00 72 00 6F 00 63 00 65 00 73 00 73 00 4D 00 65 00 6D 00 6F 00 72 00 79 00 49 00 6E 00 66 00 6F 00 00 00 00 00 }
	condition:
		$1
}

rule function_106360_0 {
	meta:
		name = "EnumProcesses"
		size = 35
		refs = "000a CheckPSAPILoaded 0017 _EnumProcesses"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_106381_0 {
	meta:
		name = "EnumDeviceDrivers"
		size = 35
		refs = "000a CheckPSAPILoaded 0017 _EnumDeviceDrivers"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_106375_0 {
	meta:
		name = "GetDeviceDriverBaseName"
		size = 35
		refs = "000a CheckPSAPILoaded 0017 _GetDeviceDriverBaseName"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_106376_0 {
	meta:
		name = "GetDeviceDriverBaseNameA"
		size = 35
		refs = "000a CheckPSAPILoaded 0017 _GetDeviceDriverBaseNameA"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_106377_0 {
	meta:
		name = "GetDeviceDriverBaseNameW"
		size = 35
		refs = "000a CheckPSAPILoaded 0017 _GetDeviceDriverBaseNameW"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_106378_0 {
	meta:
		name = "GetDeviceDriverFileName"
		size = 35
		refs = "000a CheckPSAPILoaded 0017 _GetDeviceDriverFileName"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_106379_0 {
	meta:
		name = "GetDeviceDriverFileNameA"
		size = 35
		refs = "000a CheckPSAPILoaded 0017 _GetDeviceDriverFileNameA"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_106380_0 {
	meta:
		name = "GetDeviceDriverFileNameW"
		size = 35
		refs = "000a CheckPSAPILoaded 0017 _GetDeviceDriverFileNameW"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_106382_0 {
	meta:
		name = "GetProcessMemoryInfo"
		size = 35
		refs = "000a CheckPSAPILoaded 0017 _GetProcessMemoryInfo"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_107301_0 {
	meta:
		name = "Heap32First"
		size = 35
		refs = "000a InitToolHelp 0017 _Heap32First"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_106370_0 {
	meta:
		name = "QueryWorkingSet"
		size = 35
		refs = "000a CheckPSAPILoaded 0017 _QueryWorkingSet"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_106361_0 {
	meta:
		name = "EnumProcessModules"
		size = 45
		refs = "000d CheckPSAPILoaded 001e _EnumProcessModules"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 50 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_106372_0 {
	meta:
		name = "GetMappedFileName"
		size = 45
		refs = "000d CheckPSAPILoaded 001e _GetMappedFileName"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 50 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_106373_0 {
	meta:
		name = "GetMappedFileNameA"
		size = 45
		refs = "000d CheckPSAPILoaded 001e _GetMappedFileNameA"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 50 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_106374_0 {
	meta:
		name = "GetMappedFileNameW"
		size = 45
		refs = "000d CheckPSAPILoaded 001e _GetMappedFileNameW"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 50 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_106362_0 {
	meta:
		name = "GetModuleBaseName"
		size = 45
		refs = "000d CheckPSAPILoaded 001e _GetModuleBaseName"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 50 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_106363_0 {
	meta:
		name = "GetModuleBaseNameA"
		size = 45
		refs = "000d CheckPSAPILoaded 001e _GetModuleBaseNameA"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 50 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_106364_0 {
	meta:
		name = "GetModuleBaseNameW"
		size = 45
		refs = "000d CheckPSAPILoaded 001e _GetModuleBaseNameW"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 50 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_106365_0 {
	meta:
		name = "GetModuleFileNameEx"
		size = 45
		refs = "000d CheckPSAPILoaded 001e _GetModuleFileNameEx"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 50 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_106366_0 {
	meta:
		name = "GetModuleFileNameExA"
		size = 45
		refs = "000d CheckPSAPILoaded 001e _GetModuleFileNameExA"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 50 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_106367_0 {
	meta:
		name = "GetModuleFileNameExW"
		size = 45
		refs = "000d CheckPSAPILoaded 001e _GetModuleFileNameExW"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 50 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_106368_0 {
	meta:
		name = "GetModuleInformation"
		size = 45
		refs = "000d CheckPSAPILoaded 001e _GetModuleInformation"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 08 50 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_106369_0 {
	meta:
		name = "EmptyWorkingSet"
		size = 25
		refs = "0004 CheckPSAPILoaded 000f _EmptyWorkingSet"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 84 C0 74 09 53 FF 15 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_107302_0 {
	meta:
		name = "Heap32Next"
		size = 25
		refs = "0004 InitToolHelp 000f _Heap32Next"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 84 C0 74 09 53 FF 15 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_106371_0 {
	meta:
		name = "InitializeProcessForWsWatch"
		size = 25
		refs = "0004 CheckPSAPILoaded 000f _InitializeProcessForWsWatch"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? 84 C0 74 09 53 FF 15 ?? ?? ?? ?? 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_106389_0 {
	meta:
		name = "SendEMGetTextExMessage"
		size = 57
		refs = "0014 @UStrToPWChar 0020 SendMessage 002b @UStrSetLength"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8B 03 E8 ?? ?? ?? ?? 50 8B 45 FC 50 57 56 E8 ?? ?? ?? ?? 8B F0 8B C3 8B D6 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_106396_0 {
	meta:
		name = "NetAddr_GetAddress"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 00 68 01 04 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_106397_0 {
	meta:
		name = "NetAddr_SetAllowType"
		size = 23
		refs = "0010 SendMessage"
	strings:
		$1 = { 53 56 8B F2 8B D8 6A 00 56 68 02 04 00 00 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_106398_0 {
	meta:
		name = "NetAddr_GetAllowType"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 03 04 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_106399_0 {
	meta:
		name = "NetAddr_DisplayErrorTip"
		size = 20
		refs = "000e SendMessage"
	strings:
		$1 = { 53 8B D8 6A 00 6A 00 68 04 04 00 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_106518_0 {
	meta:
		name = "_NOTIFYICONDATAA.SizeOf"
		size = 21
		refs = "0002 Win32MajorVersion"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 06 7C 06 B8 FC 01 00 00 C3 B8 E8 01 00 00 C3 }
	condition:
		$1
}

rule function_106520_0 {
	meta:
		name = "_NOTIFYICONDATAW.SizeOf"
		size = 21
		refs = "0002 Win32MajorVersion"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 06 7C 06 B8 BC 03 00 00 C3 B8 A8 03 00 00 C3 }
	condition:
		$1
}

rule function_106521_0 {
	meta:
		name = "SCOPE_ID.GetULong"
		size = 16
	strings:
		$1 = { 83 FA 0F 75 06 8B 00 C1 E8 1C C3 23 10 8B C2 C3 }
	condition:
		$1
}

rule function_106522_0 {
	meta:
		name = "SCOPE_ID.SetULong"
		size = 40
	strings:
		$1 = { 83 FA 0F 75 10 8B 10 81 E2 FF FF FF 0F C1 E1 1C 0B D1 89 10 C3 8B 10 81 E2 00 00 00 F0 81 E1 FF FF FF 0F 0B D1 89 10 C3 }
	condition:
		$1
}

rule function_106523_0 {
	meta:
		name = "sockaddr_in6.GetULong"
		size = 18
	strings:
		$1 = { 83 FA 0F 75 07 8B 40 18 C1 E8 1C C3 23 50 18 8B C2 C3 }
	condition:
		$1
}

rule function_106524_0 {
	meta:
		name = "sockaddr_in6.SetULong"
		size = 44
	strings:
		$1 = { 83 FA 0F 75 12 8B 50 18 81 E2 FF FF FF 0F C1 E1 1C 0B D1 89 50 18 C3 8B 50 18 81 E2 00 00 00 F0 81 E1 FF FF FF 0F 0B D1 89 50 18 C3 }
	condition:
		$1
}

rule function_106804_0 {
	meta:
		name = "FreeIDListArray"
		size = 40
		refs = "001c CoTaskMemFree"
	strings:
		$1 = { 53 56 57 8B F8 8B DA 85 DB 72 19 43 33 F6 8D 04 76 8B 17 8D 84 02 00 00 00 80 50 E8 ?? ?? ?? ?? 46 4B 75 EA 5F 5E 5B C3 }
	condition:
		$1
}

rule function_106805_0 {
	meta:
		name = "FreeIDListArrayChild"
		size = 48
		refs = "001c CoTaskMemFree"
		altNames = "FreeIDListArrayFull"
	strings:
		$1 = { 53 56 57 8B F8 8B DA 85 DB 72 19 43 33 F6 8D 04 76 8B 17 8D 84 02 00 00 00 80 50 E8 ?? ?? ?? ?? 46 4B 75 EA 8B 07 50 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_106807_0 {
	meta:
		name = "FreeKnownFolderDefinitionFields"
		size = 77
		refs = "0008 CoTaskMemFree"
	strings:
		$1 = { 53 8B D8 8B 43 04 50 E8 ?? ?? ?? ?? 8B 43 08 50 E8 ?? ?? ?? ?? 8B 43 1C 50 E8 ?? ?? ?? ?? 8B 43 20 50 E8 ?? ?? ?? ?? 8B 43 24 50 E8 ?? ?? ?? ?? 8B 43 28 50 E8 ?? ?? ?? ?? 8B 43 2C 50 E8 ?? ?? ?? ?? 8B 43 30 50 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_106808_0 {
	meta:
		name = "SHCreateLibrary"
		size = 17
		refs = "0007 CLSID_ShellLibrary 000c CoCreateInstance"
	strings:
		$1 = { 52 50 6A 01 6A 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106809_0 {
	meta:
		name = "SHLoadLibraryFromItem"
		size = 122
		refs = "001d IID_IShellLibrary 0026 CLSID_ShellLibrary 002b CoCreateInstance"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F8 8B 75 08 33 C0 89 06 8D 45 F4 50 68 ?? ?? ?? ?? 6A 01 6A 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 F7 C3 00 00 00 80 75 36 8B 45 FC 50 57 8B 45 F4 8B 00 50 8B 00 FF 50 0C 8B D8 F7 C3 00 00 00 80 75 11 56 8B 45 F8 50 8B 45 F4 8B 00 50 8B 00 FF 10 8B D8 8B 45 F4 8B 00 50 8B 00 FF 50 08 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_106810_0 {
	meta:
		name = "SHLoadLibraryFromKnownFolder"
		size = 122
		refs = "001d IID_IShellLibrary 0026 CLSID_ShellLibrary 002b CoCreateInstance"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B F8 8B 75 08 33 C0 89 06 8D 45 F4 50 68 ?? ?? ?? ?? 6A 01 6A 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 F7 C3 00 00 00 80 75 36 8B 45 FC 50 57 8B 45 F4 8B 00 50 8B 00 FF 50 10 8B D8 F7 C3 00 00 00 80 75 11 56 8B 45 F8 50 8B 45 F4 8B 00 50 8B 00 FF 10 8B D8 8B 45 F4 8B 00 50 8B 00 FF 50 08 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_106811_0 {
	meta:
		name = "SHLoadLibraryFromParsingName"
		size = 239
		refs = "001f SHLoadLibraryFromParsingName 0031 @IntfClear 0037 IID_IShellItem 003f SHCreateItemFromParsingName 0054 @IntfCopy 0061 IID_IShellLibrary 006a CLSID_ShellLibrary 006f CoCreateInstance 00ce IShellItem 00d8 @FinalizeArray 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F4 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 06 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 00 53 E8 ?? ?? ?? ?? 8B D8 F7 C3 00 00 00 80 75 6F 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C0 89 06 8D 45 F0 50 68 ?? ?? ?? ?? 6A 01 6A 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 F7 C3 00 00 00 80 75 36 57 8B 45 F8 50 8B 45 F0 8B 00 50 8B 00 FF 50 0C 8B D8 F7 C3 00 00 00 80 75 11 56 8B 45 F4 50 8B 45 F0 8B 00 50 8B 00 FF 10 8B D8 8B 45 F0 8B 00 50 8B 00 FF 50 08 8B 45 FC 50 8B 00 FF 50 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_106812_0 {
	meta:
		name = "SHAddFolderPathToLibrary"
		size = 114
		refs = "000f SHAddFolderPathToLibrary 001d @IntfClear 0023 IID_IShellItem 002b SHCreateItemFromParsingName 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 00 53 E8 ?? ?? ?? ?? 8B D8 F7 C3 00 00 00 80 75 15 8B 45 FC 50 56 8B 06 FF 50 14 8B D8 8B 45 FC 50 8B 00 FF 50 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_106813_0 {
	meta:
		name = "SHRemoveFolderPathFromLibrary"
		size = 143
		refs = "000e SHRemoveFolderPathFromLibrary 001b SHSimpleIDListFromPath 0038 @IntfClear 003e IID_IShellItem 0044 SHCreateItemFromIDList 0066 CoTaskMemFree 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C2 E8 ?? ?? ?? ?? 8B F0 BB 57 00 07 80 85 F6 74 02 33 DB F7 C3 00 00 00 80 75 36 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 8B D8 F7 C3 00 00 00 80 75 12 8B 45 FC 50 57 8B 07 FF 50 18 8B D8 57 8B 07 FF 50 08 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_106814_0 {
	meta:
		name = "SHResolveFolderPathInLibrary"
		size = 235
		refs = "001e SHResolveFolderPathInLibrary 002f SHSimpleIDListFromPath 004c @IntfClear 0052 IID_IShellItem 0058 SHCreateItemFromIDList 00b4 CoTaskMemFree 00ca IShellItem 00d4 @FinalizeArray 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F0 89 45 F4 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 07 8B C2 E8 ?? ?? ?? ?? 8B F0 BB 57 00 07 80 85 F6 74 02 33 DB F7 C3 00 00 00 80 75 70 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 8B D8 F7 C3 00 00 00 80 75 4C 8D 45 F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 50 8B 45 F4 50 8B 00 FF 50 20 8B D8 F7 C3 00 00 00 80 75 1A 57 68 00 80 02 80 8B 45 F8 50 8B 00 FF 50 14 8B D8 8B 45 F8 50 8B 00 FF 50 08 8B 45 FC 50 8B 00 FF 50 08 56 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_106815_0 {
	meta:
		name = "SHSaveLibraryInFolderPath"
		size = 192
		refs = "001a SHSaveLibraryInFolderPath 002c @IntfClear 0032 IID_IShellItem 003a SHCreateItemFromParsingName 009f IShellItem 00a9 @FinalizeArray 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B DA 8B F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 06 8D 45 FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 00 53 E8 ?? ?? ?? ?? 8B D8 F7 C3 00 00 00 80 75 45 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 0C 50 8B 45 F4 50 8B 45 FC 50 57 8B 07 FF 50 48 8B D8 F7 C3 00 00 00 80 75 20 83 7D F8 00 74 11 56 68 00 80 02 80 8B 45 F8 50 8B 00 FF 50 14 8B D8 8B 45 FC 50 8B 00 FF 50 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_106818_0 {
	meta:
		name = "VOID_OFFSET"
		size = 5
	strings:
		$1 = { 03 D0 8B C2 C3 }
	condition:
		$1
}

rule function_106820_0 {
	meta:
		name = "ILNext"
		size = 10
	strings:
		$1 = { 8B D0 0F B7 00 03 D0 8B C2 C3 }
	condition:
		$1
}

rule function_106821_0 {
	meta:
		name = "ILIsAligned"
		size = 10
	strings:
		$1 = { A8 03 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_106822_0 {
	meta:
		name = "ILIsEmpty"
		size = 21
	strings:
		$1 = { 85 C0 74 0A 66 83 38 00 74 04 33 C0 EB 02 B0 01 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_106823_0 {
	meta:
		name = "ILIsChild"
		size = 63
	strings:
		$1 = { 85 C0 74 0A 66 83 38 00 74 04 33 D2 EB 02 B2 01 84 D2 74 04 B0 01 EB 21 8B D0 0F B7 08 03 D1 85 D2 74 0A 66 83 3A 00 74 04 33 C0 EB 02 B0 01 F6 D8 1B C0 83 F8 01 1B C0 40 3C 01 F5 1B C0 C3 }
	condition:
		$1
}

rule function_106824_0 {
	meta:
		name = "tagSHELLSTATEW.GetByte"
		size = 17
	strings:
		$1 = { 8B CA 0F B7 00 D3 E8 A8 01 0F 95 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_106825_0 {
	meta:
		name = "tagSHELLSTATEW.SetByte"
		size = 39
	strings:
		$1 = { 53 33 DB 85 C9 74 09 8B CA 66 BB 01 00 66 D3 E3 8B CA 66 BA 01 00 66 D3 E2 66 F7 D2 66 23 10 66 0B DA 66 89 18 5B C3 }
	condition:
		$1
}

rule function_106826_0 {
	meta:
		name = "tagSHELLSTATEW.GetByte2"
		size = 18
	strings:
		$1 = { 8B CA 0F B6 40 02 D3 E8 A8 01 0F 95 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_106827_0 {
	meta:
		name = "tagSHELLSTATEW.SetByte2"
		size = 33
	strings:
		$1 = { 56 8B F0 33 C0 85 C9 74 06 8B CA B0 01 D2 E0 8B CA B2 01 D2 E2 F6 D2 22 56 02 0A C2 88 46 02 5E C3 }
	condition:
		$1
}

rule function_106828_0 {
	meta:
		name = "tagSHELLSTATEW.GetByte3"
		size = 18
	strings:
		$1 = { 8B CA 0F B7 40 1B D3 E8 A8 01 0F 95 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_106829_0 {
	meta:
		name = "tagSHELLSTATEW.SetByte3"
		size = 41
	strings:
		$1 = { 53 33 DB 85 C9 74 09 8B CA 66 BB 01 00 66 D3 E3 8B CA 66 BA 01 00 66 D3 E2 66 F7 D2 66 23 50 1B 66 0B DA 66 89 58 1B 5B C3 }
	condition:
		$1
}

rule function_106830_0 {
	meta:
		name = "tagSHELLSTATEW.GetByte4"
		size = 27
	strings:
		$1 = { 53 0F B7 58 1B 0F B6 40 1D C1 E8 10 03 D8 B9 0F 00 00 00 23 CA 8B C3 D3 E8 5B C3 }
	condition:
		$1
}

rule function_106831_0 {
	meta:
		name = "tagSHELLSTATEW.SetByte4"
		size = 24
	strings:
		$1 = { 53 8B D9 B9 0F 00 00 00 23 CA D3 E3 66 89 58 1B C1 EB 10 88 58 1D 5B C3 }
	condition:
		$1
}

rule function_106832_0 {
	meta:
		name = "ShellFolderView_ReArrange"
		size = 27
		refs = "000b SHShellFolderView_Message"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 6A 01 53 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 F6 D8 1B C0 5E 5B C3 }
	condition:
		$1
}

rule function_106833_0 {
	meta:
		name = "ShellFolderView_AddObject"
		size = 10
		refs = "0005 SHShellFolderView_Message"
	strings:
		$1 = { 52 6A 03 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106834_0 {
	meta:
		name = "ShellFolderView_RemoveObject"
		size = 10
		refs = "0005 SHShellFolderView_Message"
	strings:
		$1 = { 52 6A 06 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106835_0 {
	meta:
		name = "ShellFolderView_UpdateObject"
		size = 10
		refs = "0005 SHShellFolderView_Message"
	strings:
		$1 = { 52 6A 07 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106836_0 {
	meta:
		name = "ShellFolderView_GetSelectedObjects"
		size = 10
		refs = "0005 SHShellFolderView_Message"
	strings:
		$1 = { 52 6A 09 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106837_0 {
	meta:
		name = "ShellFolderView_SetItemPos"
		size = 60
		refs = "0018 TPoint.Create 0030 SHShellFolderView_Message"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 8B F1 8B D8 89 55 F4 8B 4D 08 8B D6 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 89 45 F8 8B 45 F0 89 45 FC 8D 45 F4 50 6A 0E 53 E8 ?? ?? ?? ?? 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_106838_0 {
	meta:
		name = "ShellFolderView_SetClipboard"
		size = 10
		refs = "0005 SHShellFolderView_Message"
	strings:
		$1 = { 52 6A 10 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106839_0 {
	meta:
		name = "ShellFolderView_SetPoints"
		size = 10
		refs = "0005 SHShellFolderView_Message"
	strings:
		$1 = { 52 6A 17 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106938_0 {
	meta:
		name = "IntlStrEqN"
		size = 11
		refs = "0006 IntlStrEqWorker"
		altNames = "IntlStrEqNA IntlStrEqNW"
	strings:
		$1 = { 51 52 50 6A FF E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_106941_0 {
	meta:
		name = "PathIsHTMLFile"
		size = 32
		refs = "0001 PathIsHTMLFile 0007 PathIsContentType"
	strings:
		$1 = { 68 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 00 00 }
	condition:
		$1
}

rule function_106943_0 {
	meta:
		name = "PathIsHTMLFileW"
		size = 32
		refs = "0001 PathIsHTMLFileW 0007 PathIsContentTypeW"
	strings:
		$1 = { 68 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 74 00 65 00 78 00 74 00 2F 00 68 00 74 00 6D 00 6C 00 00 00 }
	condition:
		$1
}

rule function_106942_0 {
	meta:
		name = "PathIsHTMLFileA"
		size = 24
		refs = "0001 PathIsHTMLFileA 0007 PathIsContentTypeA"
	strings:
		$1 = { 68 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 74 65 78 74 2F 68 74 6D 6C 00 00 00 }
	condition:
		$1
}

rule function_107151_0 {
	meta:
		name = "UrlIsFileUrl"
		size = 9
		refs = "0004 UrlIs"
		altNames = "UrlIsFileUrlA UrlIsFileUrlW"
	strings:
		$1 = { 6A 03 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_107182_0 {
	meta:
		name = "UrlEscapeSpaces"
		size = 29
		refs = "0015 UrlCanonicalize"
		altNames = "UrlEscapeSpacesA UrlEscapeSpacesW"
	strings:
		$1 = { 55 8B EC 68 00 00 00 06 8B 45 10 50 8B 45 0C 50 8B 45 08 50 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_107185_0 {
	meta:
		name = "UrlUnescapeInPlace"
		size = 18
		refs = "000d UrlUnescape"
		altNames = "UrlUnescapeInPlaceA UrlUnescapeInPlaceW"
	strings:
		$1 = { 81 CA 00 00 10 00 52 6A 00 6A 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_107290_0 {
	meta:
		name = "MAKEDLLVERULL"
		size = 102
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 0F B7 C3 33 D2 8B D0 C1 E2 10 33 C0 52 50 0F B7 C6 C1 E0 20 33 D2 0B 04 24 0B 54 24 04 83 C4 08 52 50 0F B7 C1 C1 E0 10 33 D2 0B 04 24 0B 54 24 04 83 C4 08 52 50 0F B7 45 08 33 D2 0B 04 24 0B 54 24 04 83 C4 08 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_107297_0 {
	meta:
		name = "InitToolHelp"
		size = 964
		refs = "0002 KernelHandle 0010 InitToolHelp 0015 GetModuleHandle 002d GetProcAddress 0032 _CreateToolhelp32Snapshot 0044 _Heap32ListFirst 0056 _Heap32ListNext 0068 _Heap32First 007a _Heap32Next 008c _Toolhelp32ReadProcessMemory 009e _Process32FirstA 00b0 _Process32NextA 00c2 _Process32FirstW 00d4 _Process32NextW 00e6 _Process32First 00f8 _Process32Next 010a _Thread32First 011c _Thread32Next 012e _Module32FirstA 0140 _Module32NextA 0152 _Module32FirstW 0164 _Module32NextW 0176 _Module32First 0188 _Module32Next"
	strings:
		$1 = { 53 BB ?? ?? ?? ?? 83 3B 00 0F 85 7D 01 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 83 3B 00 0F 84 68 01 00 00 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3B 00 74 09 83 3D ?? ?? ?? ?? 00 75 04 33 C0 5B C3 B0 01 5B C3 00 00 6B 00 65 00 72 00 6E 00 65 00 6C 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 43 00 72 00 65 00 61 00 74 00 65 00 54 00 6F 00 6F 00 6C 00 68 00 65 00 6C 00 70 00 33 00 32 00 53 00 6E 00 61 00 70 00 73 00 68 00 6F 00 74 00 00 00 00 00 48 00 65 00 61 00 70 00 33 00 32 00 4C 00 69 00 73 00 74 00 46 00 69 00 72 00 73 00 74 00 00 00 48 00 65 00 61 00 70 00 33 00 32 00 4C 00 69 00 73 00 74 00 4E 00 65 00 78 00 74 00 00 00 00 00 48 00 65 00 61 00 70 00 33 00 32 00 46 00 69 00 72 00 73 00 74 00 00 00 48 00 65 00 61 00 70 00 33 00 32 00 4E 00 65 00 78 00 74 00 00 00 00 00 54 00 6F 00 6F 00 6C 00 68 00 65 00 6C 00 70 00 33 00 32 00 52 00 65 00 61 00 64 00 50 00 72 00 6F 00 63 00 65 00 73 00 73 00 4D 00 65 00 6D 00 6F 00 72 00 79 00 00 00 50 00 72 00 6F 00 63 00 65 00 73 00 73 00 33 00 32 00 46 00 69 00 72 00 73 00 74 00 00 00 00 00 50 00 72 00 6F 00 63 00 65 00 73 00 73 00 33 00 32 00 4E 00 65 00 78 00 74 00 00 00 50 00 72 00 6F 00 63 00 65 00 73 00 73 00 33 00 32 00 46 00 69 00 72 00 73 00 74 00 57 00 00 00 50 00 72 00 6F 00 63 00 65 00 73 00 73 00 33 00 32 00 4E 00 65 00 78 00 74 00 57 00 00 00 00 00 54 00 68 00 72 00 65 00 61 00 64 00 33 00 32 00 46 00 69 00 72 00 73 00 74 00 00 00 54 00 68 00 72 00 65 00 61 00 64 00 33 00 32 00 4E 00 65 00 78 00 74 00 00 00 00 00 4D 00 6F 00 64 00 75 00 6C 00 65 00 33 00 32 00 46 00 69 00 72 00 73 00 74 00 00 00 4D 00 6F 00 64 00 75 00 6C 00 65 00 33 00 32 00 4E 00 65 00 78 00 74 00 00 00 00 00 4D 00 6F 00 64 00 75 00 6C 00 65 00 33 00 32 00 46 00 69 00 72 00 73 00 74 00 57 00 00 00 00 00 4D 00 6F 00 64 00 75 00 6C 00 65 00 33 00 32 00 4E 00 65 00 78 00 74 00 57 00 00 00 }
	condition:
		$1
}

rule function_107298_0 {
	meta:
		name = "CreateToolhelp32Snapshot"
		size = 31
		refs = "0007 InitToolHelp 0013 _CreateToolhelp32Snapshot"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_107299_0 {
	meta:
		name = "Heap32ListFirst"
		size = 31
		refs = "0007 InitToolHelp 0013 _Heap32ListFirst"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_107300_0 {
	meta:
		name = "Heap32ListNext"
		size = 31
		refs = "0007 InitToolHelp 0013 _Heap32ListNext"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_107312_0 {
	meta:
		name = "Module32First"
		size = 31
		refs = "0007 InitToolHelp 0013 _Module32First"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_107314_0 {
	meta:
		name = "Module32FirstA"
		size = 31
		refs = "0007 InitToolHelp 0013 _Module32FirstA"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_107316_0 {
	meta:
		name = "Module32FirstW"
		size = 31
		refs = "0007 InitToolHelp 0013 _Module32FirstW"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_107313_0 {
	meta:
		name = "Module32Next"
		size = 31
		refs = "0007 InitToolHelp 0013 _Module32Next"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_107315_0 {
	meta:
		name = "Module32NextA"
		size = 31
		refs = "0007 InitToolHelp 0013 _Module32NextA"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_107317_0 {
	meta:
		name = "Module32NextW"
		size = 31
		refs = "0007 InitToolHelp 0013 _Module32NextW"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_107304_0 {
	meta:
		name = "Process32First"
		size = 31
		refs = "0007 InitToolHelp 0013 _Process32First"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_107306_0 {
	meta:
		name = "Process32FirstA"
		size = 31
		refs = "0007 InitToolHelp 0013 _Process32FirstA"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_107308_0 {
	meta:
		name = "Process32FirstW"
		size = 31
		refs = "0007 InitToolHelp 0013 _Process32FirstW"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_107305_0 {
	meta:
		name = "Process32Next"
		size = 31
		refs = "0007 InitToolHelp 0013 _Process32Next"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_107307_0 {
	meta:
		name = "Process32NextA"
		size = 31
		refs = "0007 InitToolHelp 0013 _Process32NextA"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_107309_0 {
	meta:
		name = "Process32NextW"
		size = 31
		refs = "0007 InitToolHelp 0013 _Process32NextW"
	strings:
		$1 = { 53 56 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 0B 56 53 FF 15 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_107303_0 {
	meta:
		name = "Toolhelp32ReadProcessMemory"
		size = 49
		refs = "000d InitToolHelp 0022 _Toolhelp32ReadProcessMemory"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 E8 ?? ?? ?? ?? 84 C0 74 13 8B 45 08 50 8B 45 0C 50 57 56 53 FF 15 ?? ?? ?? ?? EB 02 33 C0 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_107310_0 {
	meta:
		name = "Thread32First"
		size = 34
		refs = "0004 InitToolHelp 0016 _Thread32First"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? EB 02 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_107311_0 {
	meta:
		name = "Thread32Next"
		size = 34
		refs = "0004 InitToolHelp 0016 _Thread32Next"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 84 C0 74 10 8B 45 0C 50 8B 45 08 50 FF 15 ?? ?? ?? ?? EB 02 33 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_107322_0 {
	meta:
		name = "GetUrlPolicyPermissions"
		size = 4
	strings:
		$1 = { 83 E0 0F C3 }
	condition:
		$1
}

rule function_107323_0 {
	meta:
		name = "SetUrlPolicyPermissions"
		size = 8
	strings:
		$1 = { 83 E0 F0 0B D0 8B C2 C3 }
	condition:
		$1
}

rule function_107408_0 {
	meta:
		name = "SetWindowThemeNonClientAttributes"
		size = 28
		refs = "0015 SetWindowThemeAttribute"
	strings:
		$1 = { 83 C4 F8 89 0C 24 89 54 24 04 6A 08 8D 54 24 04 52 6A 01 50 E8 ?? ?? ?? ?? 59 5A C3 }
	condition:
		$1
}

rule function_107411_0 {
	meta:
		name = "DrawThemeTextEx"
		size = 111
		refs = "0010 @UStrAddRef 0018 DrawThemeTextEx 0036 @UStrToPWChar 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 18 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 E8 ?? ?? ?? ?? 50 8B 45 1C 50 57 56 53 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 18 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_107438_0 {
	meta:
		name = "BufferedPaintMakeOpaque"
		size = 13
		refs = "0008 BufferedPaintSetAlpha"
	strings:
		$1 = { 68 FF 00 00 00 52 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_107452_0 {
	meta:
		name = "FreeThemeLibrary"
		size = 447
		refs = "0004 Lock 0010 FreeThemeLibrary 001c ReferenceCount 002b ThemeLibrary 004a FreeLibrary 0058 OpenThemeData 005f CloseThemeData 0066 DrawThemeBackground 006d DrawThemeText 0074 GetThemeBackgroundContentRect 007b GetThemeBackgroundExtent 0082 GetThemePartSize 0089 GetThemeTextExtent 0090 GetThemeTextMetrics 0097 GetThemeBackgroundRegion 009e HitTestThemeBackground 00a5 DrawThemeEdge 00ac DrawThemeIcon 00b3 IsThemePartDefined 00ba IsThemeBackgroundPartiallyTransparent 00c1 GetThemeColor 00c8 GetThemeMetric 00cf GetThemeString 00d6 GetThemeBool 00dd GetThemeInt 00e4 GetThemeEnumValue 00eb GetThemePosition 00f2 GetThemeFont 00f9 GetThemeRect 0100 GetThemeMargins 0107 GetThemeIntList 010e GetThemePropertyOrigin 0115 SetWindowTheme 011c GetThemeFilename 0123 GetThemeSysColor 012a GetThemeSysColorBrush 0131 GetThemeSysBool 0138 GetThemeSysSize 013f GetThemeSysFont 0146 GetThemeSysString 014d GetThemeSysInt 0154 IsThemeActive 015b IsAppThemed 0162 GetWindowTheme 0169 EnableThemeDialogTexture 0170 IsThemeDialogTextureEnabled 0177 GetThemeAppProperties 017e SetThemeAppProperties 0185 GetCurrentThemeName 018c GetThemeDocumentationProperty 0193 DrawThemeParentBackground 019a EnableTheming 01b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 3D ?? ?? ?? ?? 00 7E 06 FF 0D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 84 68 01 00 00 83 3D ?? ?? ?? ?? 00 0F 85 5B 01 00 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 5D C3 }
	condition:
		$1
}

rule function_107453_0 {
	meta:
		name = "InitThemeLibrary"
		size = 2788
		refs = "0006 ThemeLibrary 000c Lock 0029 InitThemeLibrary 0035 ReferenceCount 0048 LoadLibrary 0060 GetProcAddress 0065 OpenThemeData 0077 CloseThemeData 0089 DrawThemeBackground 009b DrawThemeText 00ad GetThemeBackgroundContentRect 00bf GetThemeBackgroundExtent 00d1 GetThemePartSize 00e3 GetThemeTextExtent 00f5 GetThemeTextMetrics 0107 GetThemeBackgroundRegion 0119 HitTestThemeBackground 012b DrawThemeEdge 013d DrawThemeIcon 014f IsThemePartDefined 0161 IsThemeBackgroundPartiallyTransparent 0173 GetThemeColor 0185 GetThemeMetric 0197 GetThemeString 01a9 GetThemeBool 01bb GetThemeInt 01cd GetThemeEnumValue 01df GetThemePosition 01f1 GetThemeFont 0203 GetThemeRect 0215 GetThemeMargins 0227 GetThemeIntList 0239 GetThemePropertyOrigin 024b SetWindowTheme 025d GetThemeFilename 026f GetThemeSysColor 0281 GetThemeSysColorBrush 0293 GetThemeSysBool 02a5 GetThemeSysSize 02b7 GetThemeSysFont 02c9 GetThemeSysString 02db GetThemeSysInt 02ed IsThemeActive 02ff IsAppThemed 0311 GetWindowTheme 0323 EnableThemeDialogTexture 0335 IsThemeDialogTextureEnabled 0347 GetThemeAppProperties 0359 SetThemeAppProperties 036b GetCurrentThemeName 037d GetThemeDocumentationProperty 038f DrawThemeParentBackground 03a1 EnableTheming 03c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 BB ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 09 C6 45 FF 00 E9 AF 03 00 00 A1 ?? ?? ?? ?? 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 FF 05 ?? ?? ?? ?? 83 3B 00 0F 85 63 03 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 03 83 3B 00 0F 86 4E 03 00 00 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 03 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3B 00 0F 97 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 0F B6 45 FF 5B 59 5D C3 00 75 00 78 00 74 00 68 00 65 00 6D 00 65 00 2E 00 64 00 6C 00 6C 00 00 00 4F 00 70 00 65 00 6E 00 54 00 68 00 65 00 6D 00 65 00 44 00 61 00 74 00 61 00 00 00 43 00 6C 00 6F 00 73 00 65 00 54 00 68 00 65 00 6D 00 65 00 44 00 61 00 74 00 61 00 00 00 00 00 44 00 72 00 61 00 77 00 54 00 68 00 65 00 6D 00 65 00 42 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 00 00 44 00 72 00 61 00 77 00 54 00 68 00 65 00 6D 00 65 00 54 00 65 00 78 00 74 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 42 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 52 00 65 00 63 00 74 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 42 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 45 00 78 00 74 00 65 00 6E 00 74 00 00 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 50 00 61 00 72 00 74 00 53 00 69 00 7A 00 65 00 00 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 54 00 65 00 78 00 74 00 45 00 78 00 74 00 65 00 6E 00 74 00 00 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 54 00 65 00 78 00 74 00 4D 00 65 00 74 00 72 00 69 00 63 00 73 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 42 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 52 00 65 00 67 00 69 00 6F 00 6E 00 00 00 00 00 48 00 69 00 74 00 54 00 65 00 73 00 74 00 54 00 68 00 65 00 6D 00 65 00 42 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 00 00 00 00 44 00 72 00 61 00 77 00 54 00 68 00 65 00 6D 00 65 00 45 00 64 00 67 00 65 00 00 00 44 00 72 00 61 00 77 00 54 00 68 00 65 00 6D 00 65 00 49 00 63 00 6F 00 6E 00 00 00 49 00 73 00 54 00 68 00 65 00 6D 00 65 00 50 00 61 00 72 00 74 00 44 00 65 00 66 00 69 00 6E 00 65 00 64 00 00 00 00 00 49 00 73 00 54 00 68 00 65 00 6D 00 65 00 42 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 50 00 61 00 72 00 74 00 69 00 61 00 6C 00 6C 00 79 00 54 00 72 00 61 00 6E 00 73 00 70 00 61 00 72 00 65 00 6E 00 74 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 4D 00 65 00 74 00 72 00 69 00 63 00 00 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 42 00 6F 00 6F 00 6C 00 00 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 49 00 6E 00 74 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 45 00 6E 00 75 00 6D 00 56 00 61 00 6C 00 75 00 65 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 50 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 46 00 6F 00 6E 00 74 00 00 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 52 00 65 00 63 00 74 00 00 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 4D 00 61 00 72 00 67 00 69 00 6E 00 73 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 49 00 6E 00 74 00 4C 00 69 00 73 00 74 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 4F 00 72 00 69 00 67 00 69 00 6E 00 00 00 00 00 53 00 65 00 74 00 57 00 69 00 6E 00 64 00 6F 00 77 00 54 00 68 00 65 00 6D 00 65 00 00 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 46 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 00 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 53 00 79 00 73 00 43 00 6F 00 6C 00 6F 00 72 00 00 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 53 00 79 00 73 00 43 00 6F 00 6C 00 6F 00 72 00 42 00 72 00 75 00 73 00 68 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 53 00 79 00 73 00 42 00 6F 00 6F 00 6C 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 53 00 79 00 73 00 53 00 69 00 7A 00 65 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 53 00 79 00 73 00 46 00 6F 00 6E 00 74 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 53 00 79 00 73 00 53 00 74 00 72 00 69 00 6E 00 67 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 53 00 79 00 73 00 49 00 6E 00 74 00 00 00 00 00 49 00 73 00 54 00 68 00 65 00 6D 00 65 00 41 00 63 00 74 00 69 00 76 00 65 00 00 00 49 00 73 00 41 00 70 00 70 00 54 00 68 00 65 00 6D 00 65 00 64 00 00 00 47 00 65 00 74 00 57 00 69 00 6E 00 64 00 6F 00 77 00 54 00 68 00 65 00 6D 00 65 00 00 00 00 00 45 00 6E 00 61 00 62 00 6C 00 65 00 54 00 68 00 65 00 6D 00 65 00 44 00 69 00 61 00 6C 00 6F 00 67 00 54 00 65 00 78 00 74 00 75 00 72 00 65 00 00 00 00 00 49 00 73 00 54 00 68 00 65 00 6D 00 65 00 44 00 69 00 61 00 6C 00 6F 00 67 00 54 00 65 00 78 00 74 00 75 00 72 00 65 00 45 00 6E 00 61 00 62 00 6C 00 65 00 64 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 41 00 70 00 70 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 53 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 41 00 70 00 70 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 69 00 65 00 73 00 00 00 47 00 65 00 74 00 43 00 75 00 72 00 72 00 65 00 6E 00 74 00 54 00 68 00 65 00 6D 00 65 00 4E 00 61 00 6D 00 65 00 00 00 47 00 65 00 74 00 54 00 68 00 65 00 6D 00 65 00 44 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 50 00 72 00 6F 00 70 00 65 00 72 00 74 00 79 00 00 00 44 00 72 00 61 00 77 00 54 00 68 00 65 00 6D 00 65 00 50 00 61 00 72 00 65 00 6E 00 74 00 42 00 61 00 63 00 6B 00 67 00 72 00 6F 00 75 00 6E 00 64 00 00 00 45 00 6E 00 61 00 62 00 6C 00 65 00 54 00 68 00 65 00 6D 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_107454_0 {
	meta:
		name = "UseThemes"
		size = 48
		refs = "0002 ThemeLibrary 000b Lock 0014 IsAppThemed 001e IsThemeActive"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 76 24 83 3D ?? ?? ?? ?? 00 74 1B FF 15 ?? ?? ?? ?? 85 C0 74 0A FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 05 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_107455_0 {
	meta:
		name = "Finalization"
		size = 49
		refs = "0002 _DV_1 000a ReferenceCount 0012 FreeThemeLibrary 0020 Lock 0025 TObject.Free"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 28 83 3D ?? ?? ?? ?? 00 7E 0E E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 7F F2 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_107501_0 {
	meta:
		name = "AllocateAndInitializeSid"
		size = 49
		refs = "0028 AllocateAndInitializeSid"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 8B 5D 1C 53 8B 5D 20 53 8B 5D 24 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 20 00 }
	condition:
		$1
}

rule function_107825_0 {
	meta:
		name = "CreateMutex"
		size = 31
		refs = "0017 _CreateMutex"
		altNames = "CreateMutexA CreateMutexW"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 83 7D 0C 01 1B C0 40 83 E0 7F 50 8B 45 08 50 E8 ?? ?? ?? ?? 5D C2 0C 00 }
	condition:
		$1
}

rule function_108121_0 {
	meta:
		name = "GetProcAddress"
		size = 115
		refs = "0011 GetProcAddress 0038 @LStrFromPWChar 0040 @LStrToPChar 005e @LStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B 5D 0C 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 C1 E8 10 75 0B 53 56 E8 ?? ?? ?? ?? 8B D8 EB 20 8D 45 FC 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 50 56 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_108287_0 {
	meta:
		name = "Is_IntResource"
		size = 11
	strings:
		$1 = { C1 E8 10 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_108377_0 {
	meta:
		name = "WT_SET_MAX_THREADPOOL_THREADS"
		size = 6
	strings:
		$1 = { C1 E2 10 0B C2 C3 }
	condition:
		$1
}

rule function_108414_0 {
	meta:
		name = "ScrollConsoleScreenBuffer"
		size = 26
		refs = "0011 ScrollConsoleScreenBuffer"
		altNames = "ScrollConsoleScreenBufferA ScrollConsoleScreenBufferW"
	strings:
		$1 = { 55 8B EC 56 8B F0 8B 45 08 50 FF 75 0C 51 52 56 E8 ?? ?? ?? ?? 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_108838_0 {
	meta:
		name = "ExtTextOut"
		size = 52
		refs = "0018 @UStrToPWChar 0029 ExtTextOut"
		altNames = "ExtTextOutW"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 8B 45 10 E8 ?? ?? ?? ?? 50 8B 45 14 50 8B 45 18 50 57 56 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_108839_0 {
	meta:
		name = "ExtTextOutA"
		size = 52
		refs = "0018 @LStrToPChar 0029 ExtTextOutA"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 8B 45 10 E8 ?? ?? ?? ?? 50 8B 45 14 50 8B 45 18 50 57 56 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_108963_0 {
	meta:
		name = "GetTextExtentPoint32"
		size = 38
		refs = "0014 @UStrToPWChar 001b GetTextExtentPoint32"
		altNames = "GetTextExtentPoint32W"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B C6 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_108964_0 {
	meta:
		name = "GetTextExtentPoint32A"
		size = 38
		refs = "0014 @LStrToPChar 001b GetTextExtentPoint32A"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B C6 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_109892_0 {
	meta:
		name = "WinHelp"
		size = 38
		refs = "0014 @UStrToPWChar 001b WinHelp"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B C6 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_109893_0 {
	meta:
		name = "WinHelpA"
		size = 38
		refs = "0014 @LStrToPChar 001b WinHelpA"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B C6 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_109894_0 {
	meta:
		name = "WinHelpW"
		size = 38
		refs = "0014 @UStrToPWChar 001b WinHelpW"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 57 8B C6 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_109005_0 {
	meta:
		name = "PlayMetaFileRecord"
		size = 27
		refs = "0012 PlayMetaFileRecord"
	strings:
		$1 = { 55 8B EC 51 89 55 FC 8B 55 08 52 51 8D 55 FC 52 50 E8 ?? ?? ?? ?? 59 5D C2 04 00 }
	condition:
		$1
}

rule function_109158_0 {
	meta:
		name = "CalculatePopupWindowPosition"
		size = 25
		refs = "0010 CalculatePopupWindowPosition"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_109316_0 {
	meta:
		name = "DrawText"
		size = 42
		refs = "0018 @UStrToPWChar 001f DrawText"
		altNames = "DrawTextW"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 57 8B C6 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_109317_0 {
	meta:
		name = "DrawTextA"
		size = 42
		refs = "0018 @LStrToPChar 001f DrawTextA"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B 45 0C 50 57 8B C6 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_109591_0 {
	meta:
		name = "LoadCursor"
		size = 23
		refs = "0009 @UStrToPWChar 0010 LoadCursor"
		altNames = "LoadCursorW"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_109592_0 {
	meta:
		name = "LoadCursorA"
		size = 23
		refs = "0009 @LStrToPChar 0010 LoadCursorA"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_109813_0 {
	meta:
		name = "SetWindowText"
		size = 23
		refs = "0009 @UStrToPWChar 0010 SetWindowText"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_109814_0 {
	meta:
		name = "SetWindowTextA"
		size = 23
		refs = "0009 @LStrToPChar 0010 SetWindowTextA"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_109815_0 {
	meta:
		name = "SetWindowTextW"
		size = 23
		refs = "0009 @UStrToPWChar 0010 SetWindowTextW"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_109703_0 {
	meta:
		name = "TOUCH_COORD_TO_PIXEL"
		size = 13
	strings:
		$1 = { 8B C8 8B C1 B9 64 00 00 00 99 F7 F9 C3 }
	condition:
		$1
}

rule function_109768_0 {
	meta:
		name = "SetLayeredWindowAttributes"
		size = 228
		refs = "0016 SetLayeredWindowAttributesTested 001e SetLayeredWindowAttributes 0023 GetModuleHandle 0034 GetProcAddress 003c _SetLayeredWindowAttributes"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 88 4D F7 89 55 F8 89 45 FC 33 DB 80 3D ?? ?? ?? ?? 00 75 49 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 74 5B 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 8B F8 89 3D ?? ?? ?? ?? 85 FF 74 19 8B 45 08 50 0F B6 45 F7 50 8B 45 F8 50 8B 45 FC 50 FF 15 ?? ?? ?? ?? 8B D8 C6 05 ?? ?? ?? ?? 01 EB 22 83 3D ?? ?? ?? ?? 00 74 19 8B 45 08 50 0F B6 45 F7 50 8B 45 F8 50 8B 45 FC 50 FF 15 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 75 00 73 00 65 00 72 00 33 00 32 00 2E 00 64 00 6C 00 6C 00 00 00 00 00 53 00 65 00 74 00 4C 00 61 00 79 00 65 00 72 00 65 00 64 00 57 00 69 00 6E 00 64 00 6F 00 77 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_109915_0 {
	meta:
		name = "MakeWord"
		size = 13
	strings:
		$1 = { 0F B6 C0 0F B6 D2 C1 E2 08 66 0B C2 C3 }
	condition:
		$1
}

rule function_109921_0 {
	meta:
		name = "SetSwapAreaSize"
		size = 4
	strings:
		$1 = { 0F B7 C0 C3 }
	condition:
		$1
}

rule function_109930_0 {
	meta:
		name = "FreeModule"
		size = 9
		refs = "0004 FreeLibrary"
	strings:
		$1 = { 8B 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_109935_0 {
	meta:
		name = "GlobalDiscard"
		size = 11
		refs = "0006 GlobalReAlloc"
	strings:
		$1 = { 6A 02 6A 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_109936_0 {
	meta:
		name = "LocalDiscard"
		size = 11
		refs = "0006 LocalReAlloc"
	strings:
		$1 = { 6A 02 6A 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_109937_0 {
	meta:
		name = "GetFreeSpace"
		size = 6
	strings:
		$1 = { B8 00 00 10 00 C3 }
	condition:
		$1
}

rule function_109939_0 {
	meta:
		name = "GlobalAllocPtr"
		size = 14
		refs = "0003 GlobalAlloc 0009 GlobalLock"
	strings:
		$1 = { 52 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_109940_0 {
	meta:
		name = "GlobalReAllocPtr"
		size = 41
		refs = "0009 GlobalHandle 0011 GlobalUnlock 0019 GlobalReAlloc 0021 GlobalLock"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 50 E8 ?? ?? ?? ?? 8B D8 53 E8 ?? ?? ?? ?? 57 56 53 E8 ?? ?? ?? ?? 8B D8 53 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_109941_0 {
	meta:
		name = "GlobalFreePtr"
		size = 23
		refs = "0003 GlobalHandle 000b GlobalUnlock 0011 GlobalFree"
	strings:
		$1 = { 53 50 E8 ?? ?? ?? ?? 8B D8 53 E8 ?? ?? ?? ?? 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_109942_0 {
	meta:
		name = "IS_GOPHER_PLUS"
		size = 13
		altNames = "Succeeded"
	strings:
		$1 = { A9 00 00 00 80 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_109943_0 {
	meta:
		name = "Failed"
		size = 13
	strings:
		$1 = { A9 00 00 00 80 0F 95 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_109944_0 {
	meta:
		name = "IsError"
		size = 12
	strings:
		$1 = { C1 E8 1F 48 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_109947_0 {
	meta:
		name = "HResultSeverity"
		size = 7
	strings:
		$1 = { C1 E8 1F 83 E0 01 C3 }
	condition:
		$1
}

rule function_109949_0 {
	meta:
		name = "HResultFromWin32"
		size = 20
	strings:
		$1 = { 85 C0 74 0F 25 FF FF 00 00 0D 00 00 07 00 0D 00 00 00 80 C3 }
	condition:
		$1
}

rule function_109951_0 {
	meta:
		name = "MakeROP4"
		size = 12
	strings:
		$1 = { C1 E2 08 81 E2 00 00 00 FF 0B C2 C3 }
	condition:
		$1
}

rule function_109958_0 {
	meta:
		name = "PaletteRGB"
		size = 25
	strings:
		$1 = { 0F B6 C0 0F B6 D2 C1 E2 08 0B C2 0F B6 D1 C1 E2 10 0B C2 0D 00 00 00 02 C3 }
	condition:
		$1
}

rule function_109959_0 {
	meta:
		name = "PaletteIndex"
		size = 9
	strings:
		$1 = { 0F B7 C0 0D 00 00 00 01 C3 }
	condition:
		$1
}

rule function_109963_0 {
	meta:
		name = "GET_APPCOMMAND_LPARAM"
		size = 16
	strings:
		$1 = { 55 8B EC 51 89 45 FC 0F B6 45 FE 24 FF 59 5D C3 }
	condition:
		$1
}

rule function_109964_0 {
	meta:
		name = "GET_DEVICE_LPARAM"
		size = 18
	strings:
		$1 = { 55 8B EC 51 89 45 FC 0F B7 45 FE 66 25 00 F0 59 5D C3 }
	condition:
		$1
}

rule function_109965_0 {
	meta:
		name = "GET_MOUSEORKEY_LPARAM"
		size = 15
	strings:
		$1 = { 51 89 04 24 0F B7 44 24 02 66 25 00 F0 5A C3 }
	condition:
		$1
}

rule function_109966_0 {
	meta:
		name = "GET_FLAGS_LPARAM"
		size = 14
	strings:
		$1 = { 55 8B EC 51 89 45 FC 0F B7 45 FC 59 5D C3 }
	condition:
		$1
}

rule function_109967_0 {
	meta:
		name = "GET_KEYSTATE_LPARAM"
		size = 10
	strings:
		$1 = { 51 89 04 24 0F B7 04 24 5A C3 }
	condition:
		$1
}

rule function_109969_0 {
	meta:
		name = "PointToSmallPoint"
		size = 22
	strings:
		$1 = { 51 0F B7 10 66 89 14 24 0F B7 40 04 66 89 44 24 02 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_109973_0 {
	meta:
		name = "PointToLParam"
		size = 34
	strings:
		$1 = { 56 57 83 C4 F8 8B F0 8D 3C 24 A5 A5 8B 04 24 25 FF FF 00 00 8B 54 24 04 C1 E2 10 0B C2 59 5A 5F 5E C3 }
	condition:
		$1
}

rule function_109981_0 {
	meta:
		name = "CreateWindowEx"
		size = 87
		refs = "000f Get8087CW 0040 _CreateWindowEx 0049 Set8087CW"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 E8 ?? ?? ?? ?? 8B D8 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 20 50 8B 45 24 50 8B 45 28 50 8B 45 FC 50 57 56 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 59 5D C2 24 00 }
	condition:
		$1
}

rule function_109982_0 {
	meta:
		name = "CreateWindowExA"
		size = 87
		refs = "000f Get8087CW 0040 _CreateWindowExA 0049 Set8087CW"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 E8 ?? ?? ?? ?? 8B D8 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 20 50 8B 45 24 50 8B 45 28 50 8B 45 FC 50 57 56 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 59 5D C2 24 00 }
	condition:
		$1
}

rule function_109983_0 {
	meta:
		name = "CreateWindowExW"
		size = 87
		refs = "000f Get8087CW 0040 _CreateWindowExW 0049 Set8087CW"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 E8 ?? ?? ?? ?? 8B D8 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 20 50 8B 45 24 50 8B 45 28 50 8B 45 FC 50 57 56 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 59 5D C2 24 00 }
	condition:
		$1
}

rule function_109984_0 {
	meta:
		name = "CreateWindow"
		size = 85
		refs = "000f Get8087CW 003e _CreateWindowEx 0047 Set8087CW"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 E8 ?? ?? ?? ?? 8B D8 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 20 50 8B 45 24 50 8B 45 FC 50 57 56 6A 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 59 5D C2 20 00 }
	condition:
		$1
}

rule function_109985_0 {
	meta:
		name = "CreateWindowA"
		size = 85
		refs = "000f Get8087CW 003e _CreateWindowExA 0047 Set8087CW"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 E8 ?? ?? ?? ?? 8B D8 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 20 50 8B 45 24 50 8B 45 FC 50 57 56 6A 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 59 5D C2 20 00 }
	condition:
		$1
}

rule function_109986_0 {
	meta:
		name = "CreateWindowW"
		size = 85
		refs = "000f Get8087CW 003e _CreateWindowExW 0047 Set8087CW"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 E8 ?? ?? ?? ?? 8B D8 8B 45 08 50 8B 45 0C 50 8B 45 10 50 8B 45 14 50 8B 45 18 50 8B 45 1C 50 8B 45 20 50 8B 45 24 50 8B 45 FC 50 57 56 6A 00 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 59 5D C2 20 00 }
	condition:
		$1
}

rule function_109987_0 {
	meta:
		name = "CreateDialog"
		size = 23
		refs = "000e CreateDialogParam"
		altNames = "CreateDialogA CreateDialogW"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_109990_0 {
	meta:
		name = "CreateDialogIndirect"
		size = 23
		refs = "000e CreateDialogIndirectParam"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_109991_0 {
	meta:
		name = "CreateDialogIndirectA"
		size = 23
		refs = "000e CreateDialogIndirectParamA"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_109992_0 {
	meta:
		name = "CreateDialogIndirectW"
		size = 23
		refs = "000e CreateDialogIndirectParamW"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_109993_0 {
	meta:
		name = "DialogBox"
		size = 23
		refs = "000e DialogBoxParam"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_109994_0 {
	meta:
		name = "DialogBoxA"
		size = 23
		refs = "000e DialogBoxParamA"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_109996_0 {
	meta:
		name = "DialogBoxIndirect"
		size = 23
		refs = "000e DialogBoxIndirectParam"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_109997_0 {
	meta:
		name = "DialogBoxIndirectA"
		size = 23
		refs = "000e DialogBoxIndirectParamA"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_109998_0 {
	meta:
		name = "DialogBoxIndirectW"
		size = 23
		refs = "000e DialogBoxIndirectParamW"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_109995_0 {
	meta:
		name = "DialogBoxW"
		size = 23
		refs = "000e DialogBoxParamW"
	strings:
		$1 = { 55 8B EC 53 6A 00 8B 5D 08 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_110000_0 {
	meta:
		name = "GetWindowTask"
		size = 13
		refs = "0007 GetWindowThreadProcessId"
	strings:
		$1 = { 53 8B D8 6A 00 53 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_110001_0 {
	meta:
		name = "DefHookProc"
		size = 19
		refs = "000b CallNextHookEx"
	strings:
		$1 = { 55 8B EC 51 52 50 8B 45 08 50 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_110002_0 {
	meta:
		name = "HwndMSWheel"
		size = 328
		refs = "000f HwndMSWheel 0019 FindWindow 0025 RegisterWindowMessage 0058 SendMessage"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 02 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 06 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 07 83 3E 00 74 18 85 DB 74 14 6A 00 6A 00 8B 06 50 53 E8 ?? ?? ?? ?? 8B 55 0C 89 02 EB 07 8B 45 0C 33 D2 89 10 83 3F 00 74 18 85 DB 74 14 6A 00 6A 00 8B 07 50 53 E8 ?? ?? ?? ?? 8B 55 08 89 02 EB 09 8B 45 08 C7 00 03 00 00 00 8B C3 5F 5E 5B 59 5D C2 08 00 00 00 4D 00 61 00 67 00 65 00 6C 00 6C 00 61 00 6E 00 20 00 4D 00 53 00 57 00 48 00 45 00 45 00 4C 00 00 00 00 00 4D 00 6F 00 75 00 73 00 65 00 5A 00 00 00 00 00 4D 00 53 00 57 00 48 00 45 00 45 00 4C 00 5F 00 52 00 4F 00 4C 00 4C 00 4D 00 53 00 47 00 00 00 4D 00 53 00 48 00 5F 00 57 00 48 00 45 00 45 00 4C 00 53 00 55 00 50 00 50 00 4F 00 52 00 54 00 5F 00 4D 00 53 00 47 00 00 00 00 00 4D 00 53 00 48 00 5F 00 53 00 43 00 52 00 4F 00 4C 00 4C 00 5F 00 4C 00 49 00 4E 00 45 00 53 00 5F 00 4D 00 53 00 47 00 00 00 00 00 }
	condition:
		$1
}

rule function_110003_0 {
	meta:
		name = "_HtmlHelpSetup"
		size = 164
		refs = "0002 HtmlHelpModule 000a _HtmlHelpSetup 000f LoadLibrary 002d GetProcAddress 0032 HtmlHelpAProc 0047 HtmlHelpWProc"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 75 42 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 2A 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 09 83 3D ?? ?? ?? ?? 00 75 03 33 C0 C3 B0 01 C3 00 68 00 68 00 63 00 74 00 72 00 6C 00 2E 00 6F 00 63 00 78 00 00 00 00 00 48 00 74 00 6D 00 6C 00 48 00 65 00 6C 00 70 00 41 00 00 00 48 00 74 00 6D 00 6C 00 48 00 65 00 6C 00 70 00 57 00 00 00 }
	condition:
		$1
}

rule function_110004_0 {
	meta:
		name = "HtmlHelp"
		size = 53
		refs = "0011 _HtmlHelpSetup 0025 HtmlHelpWProc"
		altNames = "HtmlHelpW"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 33 DB E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 08 50 8B 45 FC 50 57 56 FF 15 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_110005_0 {
	meta:
		name = "HtmlHelpA"
		size = 53
		refs = "0011 _HtmlHelpSetup 0025 HtmlHelpAProc"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 33 DB E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 08 50 8B 45 FC 50 57 56 FF 15 ?? ?? ?? ?? 8B D8 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_110007_0 {
	meta:
		name = "HtmlHelp"
		size = 41
		refs = "0013 @UStrToPWChar 001e HtmlHelp"
		altNames = "HtmlHelpW"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_110008_0 {
	meta:
		name = "HtmlHelpA"
		size = 41
		refs = "0013 @LStrToPChar 001e HtmlHelpA"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_110010_0 {
	meta:
		name = "HtmlHelp"
		size = 46
		refs = "0010 @UStrToPWChar 0023 HtmlHelp"
		altNames = "HtmlHelpW"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_110011_0 {
	meta:
		name = "HtmlHelpA"
		size = 46
		refs = "0010 @LStrToPChar 0023 HtmlHelpA"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CF 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_110016_0 {
	meta:
		name = "TranslateCharsetInfo"
		size = 25
		refs = "0009 _TranslateCharsetInfoFontSig 0014 _TranslateCharsetInfo"
	strings:
		$1 = { 83 F9 03 75 09 51 52 50 E8 ?? ?? ?? ?? C3 51 52 8B 00 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_110030_0 {
	meta:
		name = "PRIMARYLANGID"
		size = 5
	strings:
		$1 = { 66 25 FF 03 C3 }
	condition:
		$1
}

rule function_110031_0 {
	meta:
		name = "SUBLANGID"
		size = 7
	strings:
		$1 = { 0F B7 C0 C1 E8 0A C3 }
	condition:
		$1
}

rule function_110032_0 {
	meta:
		name = "MAKELCID"
		size = 14
	strings:
		$1 = { 0F B7 D2 C1 E2 10 0F B7 C0 0B D0 8B C2 C3 }
	condition:
		$1
}

rule function_110033_0 {
	meta:
		name = "MAKESORTLCID"
		size = 22
	strings:
		$1 = { 0F B7 D2 C1 E2 10 0F B7 C0 0B D0 0F B7 C1 C1 E0 14 0B D0 8B C2 C3 }
	condition:
		$1
}

rule function_110035_0 {
	meta:
		name = "SORTIDFROMLCID"
		size = 8
	strings:
		$1 = { C1 E8 10 66 83 E0 0F C3 }
	condition:
		$1
}

rule function_110036_0 {
	meta:
		name = "SORTVERSIONFROMLCID"
		size = 8
	strings:
		$1 = { C1 E8 14 66 83 E0 0F C3 }
	condition:
		$1
}

rule function_110047_0 {
	meta:
		name = "GID_ROTATE_ANGLE_TO_ARGUMENT"
		size = 64
		refs = "0005 GID_ROTATE_ANGLE_TO_ARGUMENT 001b @ROUND"
	strings:
		$1 = { 55 8B EC DB 2D ?? ?? ?? ?? DC 45 08 DB 2D ?? ?? ?? ?? DE F9 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 08 00 00 3E 84 A7 46 9E DA 0F C9 01 40 00 00 3E 84 A7 46 9E DA 0F C9 02 40 00 00 00 FF 7F 47 }
	condition:
		$1
}

rule function_110048_0 {
	meta:
		name = "GID_ROTATE_ANGLE_FROM_ARGUMENT"
		size = 88
		refs = "0010 GID_ROTATE_ANGLE_FROM_ARGUMENT"
	strings:
		$1 = { 83 C4 F4 0F B7 C0 89 44 24 08 DB 44 24 08 D8 35 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 DB 2D ?? ?? ?? ?? DE E9 DD 1C 24 9B DD 04 24 83 C4 0C C3 00 00 00 00 FF 7F 47 00 00 80 40 3E 84 A7 46 9E DA 0F C9 00 40 00 00 3E 84 A7 46 9E DA 0F C9 01 40 00 00 }
	condition:
		$1
}

rule function_110049_0 {
	meta:
		name = "RotateAngleFromArgument"
		size = 104
		refs = "0010 RotateAngleFromArgument"
	strings:
		$1 = { 83 C4 EC 0F B7 C0 89 44 24 10 DB 44 24 10 D8 35 ?? ?? ?? ?? D8 0D ?? ?? ?? ?? DB 2D ?? ?? ?? ?? DE C9 DB 2D ?? ?? ?? ?? DE E9 DD 5C 24 08 9B 8B 44 24 08 89 04 24 8B 44 24 0C 89 44 24 04 DD 04 24 83 C4 14 C3 00 00 00 00 FF 7F 47 00 00 80 40 3E 84 A7 46 9E DA 0F C9 00 40 00 00 3E 84 A7 46 9E DA 0F C9 01 40 00 00 }
	condition:
		$1
}

rule function_110050_0 {
	meta:
		name = "InertiaVectorFromArgument"
		size = 33
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 33 D2 66 89 45 FC 8B 45 0C 33 D2 C1 E8 10 66 89 45 FE 8B 45 FC 59 5D C2 08 00 }
	condition:
		$1
}

rule function_110052_0 {
	meta:
		name = "tagNONCLIENTMETRICSA.SizeOf"
		size = 21
		refs = "0002 Win32MajorVersion"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 06 7C 06 B8 58 01 00 00 C3 B8 54 01 00 00 C3 }
	condition:
		$1
}

rule function_110053_0 {
	meta:
		name = "tagNONCLIENTMETRICSW.SizeOf"
		size = 21
		refs = "0002 Win32MajorVersion"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 06 7C 06 B8 F8 01 00 00 C3 B8 F4 01 00 00 C3 }
	condition:
		$1
}

rule function_110054_0 {
	meta:
		name = "IMAGE_FIRST_SECTION"
		size = 22
	strings:
		$1 = { 53 8B D0 8B CA 33 DB 83 C3 18 03 CB 0F B7 42 14 03 C8 8B C1 5B C3 }
	condition:
		$1
}

rule function_110055_0 {
	meta:
		name = "_OUTLINETEXTMETRICA.GetFaceName"
		size = 11
		altNames = "_OUTLINETEXTMETRICW.GetFamilyName"
	strings:
		$1 = { 8B D0 03 90 C8 00 00 00 8B C2 C3 }
	condition:
		$1
}

rule function_110056_0 {
	meta:
		name = "_OUTLINETEXTMETRICA.GetStyleName"
		size = 11
		altNames = "_OUTLINETEXTMETRICW.GetFaceName"
	strings:
		$1 = { 8B D0 03 90 CC 00 00 00 8B C2 C3 }
	condition:
		$1
}

rule function_110057_0 {
	meta:
		name = "_OUTLINETEXTMETRICA.GetFamilyName"
		size = 11
	strings:
		$1 = { 8B D0 03 90 C4 00 00 00 8B C2 C3 }
	condition:
		$1
}

rule function_110059_0 {
	meta:
		name = "_OUTLINETEXTMETRICA.GetFullName"
		size = 11
		altNames = "_OUTLINETEXTMETRICW.GetStyleName"
	strings:
		$1 = { 8B D0 03 90 D0 00 00 00 8B C2 C3 }
	condition:
		$1
}

rule function_110060_0 {
	meta:
		name = "_OUTLINETEXTMETRICW.GetFullName"
		size = 11
	strings:
		$1 = { 8B D0 03 90 D4 00 00 00 8B C2 C3 }
	condition:
		$1
}

rule function_110137_0 {
	meta:
		name = "Finalization"
		size = 29
		refs = "0002 _DV_2 000a HtmlHelpModule 0018 FreeLibrary"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 14 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_110138_0 {
	meta:
		name = "Winapi.Windows"
		size = 22
		refs = "0002 _DV_2 000a InitVersionInfo 0011 HtmlHelpModule"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 0C E8 ?? ?? ?? ?? 33 C0 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_110332_0 {
	meta:
		name = "IS_GOPHER_FILE"
		size = 13
	strings:
		$1 = { A9 71 F2 1F 00 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_110333_0 {
	meta:
		name = "IS_GOPHER_DIRECTORY"
		size = 10
	strings:
		$1 = { A8 02 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_110334_0 {
	meta:
		name = "IS_GOPHER_PHONE_SERVER"
		size = 10
	strings:
		$1 = { A8 04 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_110335_0 {
	meta:
		name = "IS_GOPHER_ERROR"
		size = 10
	strings:
		$1 = { A8 08 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_110336_0 {
	meta:
		name = "IS_GOPHER_INDEX_SERVER"
		size = 10
	strings:
		$1 = { A8 80 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_110337_0 {
	meta:
		name = "IS_GOPHER_TELNET_SESSION"
		size = 11
	strings:
		$1 = { F6 C4 01 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_110338_0 {
	meta:
		name = "IS_GOPHER_BACKUP_SERVER"
		size = 11
	strings:
		$1 = { F6 C4 04 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_110339_0 {
	meta:
		name = "IS_GOPHER_TN3270_SESSION"
		size = 11
	strings:
		$1 = { F6 C4 08 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_110340_0 {
	meta:
		name = "IS_GOPHER_ASK"
		size = 13
	strings:
		$1 = { A9 00 00 00 40 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_110342_0 {
	meta:
		name = "IS_GOPHER_TYPE_KNOWN"
		size = 13
	strings:
		$1 = { A9 00 00 00 20 0F 94 C0 F6 D8 1B C0 C3 }
	condition:
		$1
}

rule function_110363_0 {
	meta:
		name = "FD_CLR"
		size = 37
	strings:
		$1 = { 33 C9 EB 1C 3B 44 8A 04 75 15 EB 09 8B 44 8A 08 89 44 8A 04 41 8B 02 48 3B C8 7C F0 FF 0A C3 41 3B 0A 7C E0 C3 }
	condition:
		$1
}

rule function_110364_0 {
	meta:
		name = "FD_ISSET"
		size = 22
		refs = "0009 __WSAFDIsSet"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 53 E8 ?? ?? ?? ?? 83 F8 01 1B C0 40 5E 5B C3 }
	condition:
		$1
}

rule function_110365_0 {
	meta:
		name = "FD_SET"
		size = 14
	strings:
		$1 = { 8B 0A 83 F9 40 7D 06 89 44 8A 04 FF 02 C3 }
	condition:
		$1
}

rule function_110421_0 {
	meta:
		name = "_FD_SET"
		size = 35
	strings:
		$1 = { 53 33 C9 EB 07 3B 44 8A 04 74 05 41 3B 0A 72 F5 8B 1A 3B CB 75 0B 83 FB 40 73 06 89 44 8A 04 FF 02 5B C3 }
	condition:
		$1
}

rule function_110423_0 {
	meta:
		name = "FD_ISSET"
		size = 21
		refs = "0009 __WSAFDIsSet"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 53 E8 ?? ?? ?? ?? 85 C0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_110424_0 {
	meta:
		name = "timerisset"
		size = 17
	strings:
		$1 = { 83 38 00 75 09 83 78 04 00 75 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_110426_0 {
	meta:
		name = "_IO"
		size = 13
	strings:
		$1 = { C1 E0 08 0D 00 00 00 20 0B D0 8B C2 C3 }
	condition:
		$1
}

rule function_110427_0 {
	meta:
		name = "_IOR"
		size = 22
	strings:
		$1 = { 83 E1 7F C1 E1 10 81 C9 00 00 00 40 C1 E0 08 0B C8 0B D1 8B C2 C3 }
	condition:
		$1
}

rule function_110428_0 {
	meta:
		name = "_IOW"
		size = 22
	strings:
		$1 = { 83 E1 7F C1 E1 10 81 C9 00 00 00 80 C1 E0 08 0B C8 0B D1 8B C2 C3 }
	condition:
		$1
}

rule function_110430_0 {
	meta:
		name = "IN_CLASSB"
		size = 14
	strings:
		$1 = { 25 00 00 00 C0 3D 00 00 00 80 0F 94 C0 C3 }
	condition:
		$1
}

rule function_110431_0 {
	meta:
		name = "IN_CLASSC"
		size = 14
	strings:
		$1 = { 25 00 00 00 E0 3D 00 00 00 C0 0F 94 C0 C3 }
	condition:
		$1
}

rule function_110432_0 {
	meta:
		name = "IN_CLASSD"
		size = 14
	strings:
		$1 = { 25 00 00 00 F0 3D 00 00 00 E0 0F 94 C0 C3 }
	condition:
		$1
}

rule function_110435_0 {
	meta:
		name = "_WSAIO"
		size = 10
	strings:
		$1 = { 0D 00 00 00 20 0B D0 8B C2 C3 }
	condition:
		$1
}

rule function_110436_0 {
	meta:
		name = "_WSAIOR"
		size = 10
	strings:
		$1 = { 0D 00 00 00 40 0B D0 8B C2 C3 }
	condition:
		$1
}

rule function_110437_0 {
	meta:
		name = "_WSAIOW"
		size = 10
	strings:
		$1 = { 0D 00 00 00 80 0B D0 8B C2 C3 }
	condition:
		$1
}

rule function_110438_0 {
	meta:
		name = "_WSAIORW"
		size = 10
	strings:
		$1 = { 0D 00 00 00 C0 0B D0 8B C2 C3 }
	condition:
		$1
}

rule function_110496_0 {
	meta:
		name = "WSAConnectByName"
		size = 41
		refs = "0020 WSAConnectByNameW"
		altNames = "WSAConnectByNameW"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 8B 5D 1C 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_110498_0 {
	meta:
		name = "WSAConnectByNameA"
		size = 41
		refs = "0020 WSAConnectByNameA"
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 8B 5D 0C 53 8B 5D 10 53 8B 5D 14 53 8B 5D 18 53 8B 5D 1C 53 51 52 50 E8 ?? ?? ?? ?? 5B 5D C2 18 00 }
	condition:
		$1
}

rule function_110921_0 {
	meta:
		name = "AddContextNode"
		size = 75
		refs = "0007 criContextNodes 0013 AddContextNode 0020 lstContextNodes 0025 TList.Add 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 A1 ?? ?? ?? ?? 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 5B 5D C3 }
	condition:
		$1
}

rule function_110922_0 {
	meta:
		name = "FindContextNode"
		size = 127
		refs = "000a criContextNodes 0016 FindContextNode 0021 lstContextNodes 0038 TList.Get 0048 @TryFinallyExit 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 A1 ?? ?? ?? ?? 8B 10 FF 12 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 A1 ?? ?? ?? ?? 8B 58 08 4B 85 DB 7C 25 43 33 F6 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 3B 78 0C 75 07 E8 ?? ?? ?? ?? EB 28 46 4B 75 DE 33 C0 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_110923_0 {
	meta:
		name = "FreeContextNodes"
		size = 37
		refs = "0001 lstContextNodes 000e TObject.Free 0013 criContextNodes"
	strings:
		$1 = { A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_110924_0 {
	meta:
		name = "InitContextNodes"
		size = 35
		refs = "0003 _Dn_TList 0008 TObject.Create 000d lstContextNodes 0014 _Dn_TCriticalSection 0019 TCriticalSection.Create 001e criContextNodes"
	strings:
		$1 = { B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_110925_0 {
	meta:
		name = "RemoveContextNode"
		size = 77
		refs = "0007 criContextNodes 0013 RemoveContextNode 001e lstContextNodes 0027 TList.RemoveItem 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 A1 ?? ?? ?? ?? 8B 10 FF 12 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 A1 ?? ?? ?? ?? 8B D3 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 10 FF 52 04 C3 E9 ?? ?? ?? ?? EB EE 5B 5D C3 }
	condition:
		$1
}

rule function_110926_0 {
	meta:
		name = "GetNativeNodeOfIntfNode"
		size = 148
		refs = "000e GetNativeNodeOfIntfNode 0020 SNodeExpected 0025 LoadResString 002f _Dn_DOMException 0034 Exception.Create 0039 @RaiseExcept 0048 @IntfCast 0067 @IntfClear 006f @UStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 21 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B D3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 0C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 00 00 D5 8F 89 4D 65 1F E9 44 9E 27 A2 80 26 31 1F 94 }
	condition:
		$1
}

rule function_110927_0 {
	meta:
		name = "MakeNode"
		size = 443
		refs = "001b @IntfClear 003f MakeNode 007c _DV_Tox4DOMNode 0081 Tox4DOMNode.Create 0095 _DV_Tox4DOMElement 00ae _DV_Tox4DOMAttr 00c7 _DV_Tox4DOMText 00e0 _DV_Tox4DOMCDATASection 00f9 _DV_Tox4DOMEntityReference 0112 _DV_Tox4DOMProcessingInstruction 0128 _DV_Tox4DOMComment 0139 _Dn_TDomDocumentXPath 013e @AsClass 0147 GlobalOx4DOM 014e _DV_Tox4DOMDocument 0153 Tox4DOMDocument.Create 0164 _DV_Tox4DOMDocumentFragment 017a _DV_Tox4DOMDocumentType 017f Tox4DOMDocumentType.Create 0190 _DV_Tox4DOMXPathNamespace 0195 Tox4DOMXPathNamespace.Create 01ae @IntfCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 88 4D FB 89 55 FC 8B F0 8B 7D 08 85 F6 75 0C 8B C7 E8 ?? ?? ?? ?? E9 8E 01 00 00 33 DB 8B C6 8B 10 FF 92 B4 00 00 00 83 E0 7F 83 F8 0B 0F 87 5F 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 0F 01 00 00 8B 45 FC 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 F6 00 00 00 8B 45 FC 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 DD 00 00 00 8B 45 FC 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 C4 00 00 00 8B 45 FC 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 AB 00 00 00 8B 45 FC 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 E9 92 00 00 00 8B 45 FC 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 7C 8B 45 FC 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 66 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 01 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 40 8B 45 FC 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 2A 8B 45 FC 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 EB 14 8B 45 FC 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 0F B6 45 FB 88 43 20 8B C7 8B D3 85 D2 74 03 83 EA D4 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_110928_0 {
	meta:
		name = "MakeNodeList"
		size = 44
		refs = "000f _DV_Tox4DOMNodeList 0014 Tox4DOMNodeList.Create 0024 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 56 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_110931_0 {
	meta:
		name = "Log"
		size = 75
		refs = "000b @UStrAddRef 0013 Log 0021 @UStrToPWChar 0027 OutputDebugString 003c @UStrClr 0042 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_110934_0 {
	meta:
		name = "Tox4DOMInterface.SafeCallException"
		size = 164
		refs = "0011 Tox4DOMInterface.SafeCallException 001f _Dn_EOleException 0024 @IsClass 0035 @AsClass 0040 @UStrLAsg 004d @WStrFromUStr 005f HandleSafeCallException 0076 @WStrClr 007e @UStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 20 8D 45 FC E8 ?? ?? ?? ?? 6A 00 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 50 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 00 00 E1 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114420_0 {
	meta:
		name = "TMSDOMInterface.SafeCallException"
		size = 164
		refs = "0011 TMSDOMInterface.SafeCallException 001f _Dn_EOleException 0024 @IsClass 0035 @AsClass 0040 @UStrLAsg 004d @WStrFromUStr 005f HandleSafeCallException 0076 @WStrClr 007e @UStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 20 8D 45 FC E8 ?? ?? ?? ?? 6A 00 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 50 B9 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 00 00 E1 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_110936_0 {
	meta:
		name = "TDOMIStreamAdapter.Read"
		size = 18
	strings:
		$1 = { 51 54 51 52 8B 40 04 50 8B 00 FF 50 0C 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_110937_0 {
	meta:
		name = "TDOMIStreamAdapter.Write"
		size = 18
	strings:
		$1 = { 51 54 51 52 8B 40 04 50 8B 00 FF 50 10 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_110938_0 {
	meta:
		name = "TDOMIStreamAdapter.Seek"
		size = 36
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 54 0F B7 C1 50 8B C6 99 52 50 8B 43 04 50 8B 00 FF 50 14 8B 04 24 59 5A 5E 5B C3 }
	condition:
		$1
}

rule function_110939_0 {
	meta:
		name = "Tox4DOMImplementation.Create"
		size = 114
		refs = "000b @ClassCreate 0018 TObject.Create 003f _Dn_TDomImplementation 0044 TDomImplementation.Create 0053 Tox4DOMImplementation.ParseErrorHandler 005e @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 33 C0 89 47 10 33 C0 89 47 14 33 C0 89 47 18 33 C0 89 47 1C 33 C0 89 47 20 33 C0 89 47 24 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 0C 89 7E 54 C7 46 50 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_110940_0 {
	meta:
		name = "Tox4DOMImplementation.createDocument"
		size = 312
		refs = "0013 @IntfAddRef 0027 Tox4DOMImplementation.createDocument 0035 @IntfClear 0044 Supports 0056 _Dn_TDomDocumentTypeDecl 005b @AsClass 0068 Tox4DOMImplementation.GetNativeDOMImpl 0071 _Dn_TDomDocumentXPath 0076 TDomDocumentNS.Create 0099 @WStrFromUStr 00b5 _Dn_TDomElement 00ba TDomElement.CreateNS 00d2 _DV_Tox4DOMDocument 00d7 Tox4DOMDocument.Create 00e8 @IntfCopy 00fa @HandleAutoException 0107 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 75 08 8B 45 14 E8 ?? ?? ?? ?? 8B 45 18 85 C0 74 04 33 D2 89 10 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 84 C0 74 17 8B 45 FC 8B 10 FF 52 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 EB 02 33 FF 8B C6 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 FF 74 0C 8B D7 8B C3 8B 08 FF 91 D8 00 00 00 83 7D 10 00 74 38 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F4 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 D8 00 00 00 53 6A 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA 88 8B 45 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 14 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 14 00 00 00 D5 8F 89 4D 65 1F E9 44 9E 27 A2 80 26 31 1F 94 }
	condition:
		$1
}

rule function_110941_0 {
	meta:
		name = "Tox4DOMImplementation.createDocumentType"
		size = 178
		refs = "001e Tox4DOMImplementation.createDocumentType 002f @WStrFromUStr 005c _Dn_TDomDocumentTypeDecl 0061 TDomDocumentTypeDecl.Create 006e _DV_Tox4DOMDocumentType 0073 Tox4DOMDocumentType.Create 0084 @IntfCopy 0096 @HandleAutoException 00a3 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 45 18 85 C0 74 04 33 D2 89 10 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 8B 55 14 E8 ?? ?? ?? ?? 8B 45 F4 50 6A 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA B0 8B 45 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_110942_0 {
	meta:
		name = "Tox4DOMImplementation.Destroy"
		size = 84
		refs = "0003 @BeforeDestruction 000f TObject.Free 0042 TObject.Destroy 004d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_110946_0 {
	meta:
		name = "Tox4DOMImplementation.InitParserAgent"
		size = 213
		refs = "0012 _Dn_TXmlToDomParser 0017 TXmlToDomParser.Create 0023 _Dn_TXmlStandardDomReader 0028 TXmlStandardDomReader.Create 0034 _Dn_TXmlNamespaceSignalGenerator 0039 TXmlNamespaceSignalGenerator.Create 0045 _Dn_TXmlDomBuilder 004a TXmlDomBuilder.Create 0056 _Dn_TXPathExpression 005b TXPathExpression.Create 0065 Tox4DOMImplementation.GetNativeDOMImpl 0079 TXmlToDomParser.SetKeepCDATASections 0083 TXmlToDomParser.SetKeepComments 008d TXmlToDomParser.SetKeepEntityRefs 00cf Tox4DOMImplementation.xpathLookupNamespaceURI"
	strings:
		$1 = { 53 8B D8 83 7B 10 00 0F 85 C6 00 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 1C 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 14 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 10 8B 08 FF 51 40 B2 01 8B 43 10 E8 ?? ?? ?? ?? B2 01 8B 43 10 E8 ?? ?? ?? ?? B2 01 8B 43 10 E8 ?? ?? ?? ?? 8B 43 18 8B 53 1C 89 50 3C C6 40 48 00 8B 43 1C 8B 53 14 89 50 40 C6 40 44 01 C6 40 4D 00 8B 43 14 C6 40 38 01 C6 40 39 01 C6 40 3B 01 C6 40 3C 01 C6 40 3D 00 8B 43 20 89 58 3C C7 40 38 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_110947_0 {
	meta:
		name = "Tox4DOMImplementation.loadFromStream"
		size = 485
		refs = "001a Tox4DOMImplementation.loadFromStream 0038 Tox4DOMImplementation.InitParserAgent 0040 Tox4DOMDocument.GetNativeDocument 009e _Dn_TXmlInputSource 00a3 TXmlInputSource.Create 00da TObject.Free 00e0 @HandleFinally 011b @IntfClear 0125 Tox4DOMDocument.get_documentElement 012a @CheckAutoResult 013b Tox4DOMDocument.RemoveWhiteSpaceNodes 014a @HandleOnException 0152 _Dn_Exception 017f @WStrFromUStr 019a @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 55 FC 89 42 24 8B 45 08 33 D2 89 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 52 10 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 52 14 89 42 40 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 10 8B 55 EC 8B 08 FF 51 58 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 83 38 00 75 11 8B 45 FC 8B 40 18 8B 55 F0 8B 08 FF 91 98 00 00 00 8B 45 08 83 38 00 0F 94 C0 F6 D8 1B C0 66 89 45 F6 66 83 7D F6 00 74 28 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 80 78 5D 00 75 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 55 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 52 10 8B 45 08 83 78 04 00 74 13 8B 45 08 83 C0 0C 8B 55 08 8B 52 04 E8 ?? ?? ?? ?? EB 0E 8B 45 08 83 C0 0C 8B 53 04 E8 ?? ?? ?? ?? 66 C7 45 F6 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 F6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_110948_0 {
	meta:
		name = "Tox4DOMImplementation.loadxml"
		size = 483
		refs = "001a Tox4DOMImplementation.loadxml 0038 Tox4DOMImplementation.InitParserAgent 0040 Tox4DOMDocument.GetNativeDocument 009c _Dn_TXmlInputSource 00a1 TXmlInputSource.Create 00d8 TObject.Free 00de @HandleFinally 0119 @IntfClear 0123 Tox4DOMDocument.get_documentElement 0128 @CheckAutoResult 0139 Tox4DOMDocument.RemoveWhiteSpaceNodes 0148 @HandleOnException 0150 _Dn_Exception 017d @WStrFromUStr 0198 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 55 FC 89 42 24 8B 45 08 33 D2 89 10 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 52 10 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC 8B 52 14 89 42 40 33 C0 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 10 8B 55 EC 8B 08 FF 51 58 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 83 38 00 75 11 8B 45 FC 8B 40 18 8B 55 F0 8B 08 FF 91 98 00 00 00 8B 45 08 83 38 00 0F 94 C0 F6 D8 1B C0 66 89 45 F6 66 83 7D F6 00 74 28 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 F8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 80 78 5D 00 75 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 55 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 52 10 8B 45 08 83 78 04 00 74 13 8B 45 08 83 C0 0C 8B 55 08 8B 52 04 E8 ?? ?? ?? ?? EB 0E 8B 45 08 83 C0 0C 8B 53 04 E8 ?? ?? ?? ?? 66 C7 45 F6 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B7 45 F6 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_110949_0 {
	meta:
		name = "Tox4DOMImplementation.ParseErrorHandler"
		size = 197
		refs = "0011 Tox4DOMImplementation.ParseErrorHandler 0040 TXmlErrorType 0045 GetEnumName 0050 @UStrAsg 005b @WStrAsg 00a9 @WStrClr 00b1 @UStrClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 12 3C 02 74 08 8B 46 24 83 38 00 75 6B 8B 46 24 8B F0 0F B6 43 3C 89 06 8D 4D FC 0F B6 53 3C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 46 04 E8 ?? ?? ?? ?? 8D 46 10 8B 53 0C E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 2C 89 46 14 8B C3 8B 10 FF 52 28 89 46 18 8B C3 8B 10 FF 52 20 89 46 1C 8D 55 F8 8B C3 8B 08 FF 51 34 8B 55 F8 8D 46 08 E8 ?? ?? ?? ?? 8B 45 08 C6 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_110950_0 {
	meta:
		name = "Tox4DOMImplementation.xpathLookupNamespaceURI"
		size = 131
		refs = "000d Tox4DOMImplementation.xpathLookupNamespaceURI 001b FindContextNode 0032 @IntfCopy 003c @IntfClear 0043 OnOx4XPathLookupNamespaceURI 0076 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F1 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 42 40 E8 ?? ?? ?? ?? 8B D8 85 DB 74 13 8D 45 FC 8B D3 85 D2 74 03 83 EA D4 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 66 83 3D ?? ?? ?? ?? 00 74 15 8B 45 08 50 8B CE 8B 55 FC 8B 05 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_110951_0 {
	meta:
		name = "Tox4DOMNode.AllocParser"
		size = 74
		refs = "0018 Tox4DOMImplementation.GetNativeDOMImpl 0025 _Dn_TDomToXmlParser 002a TDomToXmlParser.Create"
	strings:
		$1 = { 53 56 57 8B D8 33 F6 8B 7B 10 85 FF 74 36 83 7F 34 00 74 30 8B 47 34 E8 ?? ?? ?? ?? 85 C0 74 24 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 43 10 8B 40 34 E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 40 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_110952_0 {
	meta:
		name = "Tox4DOMNode.Create"
		size = 80
		refs = "000d @ClassCreate 0023 TObject.Create 002f @IntfClear 003a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 89 4E 0C 8B 45 08 89 46 10 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 20 00 8D 46 24 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_110953_0 {
	meta:
		name = "Tox4DOMNode.Destroy"
		size = 68
		refs = "0003 @BeforeDestruction 0015 TObject.Free 001d @IntfClear 0032 TObject.Destroy 003d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 20 00 74 08 8B 46 0C E8 ?? ?? ?? ?? 8D 46 24 E8 ?? ?? ?? ?? 33 C0 89 46 0C 33 C0 89 46 10 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_110954_0 {
	meta:
		name = "Tox4DOMNode.appendChild"
		size = 129
		refs = "0019 Tox4DOMNode.appendChild 0027 GetNativeNodeOfIntfNode 0047 @IntfCopy 0059 MakeNode 0062 Tox4DOMNode.CheckNamespaceDeclaration 0074 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C E8 ?? ?? ?? ?? 8B F8 8B D7 8B 43 0C 8B 08 FF 91 D8 00 00 00 8B F0 3B FE 75 0D 8B 45 10 8B 55 0C E8 ?? ?? ?? ?? EB 10 8B 45 10 50 33 C9 8B 53 10 8B C6 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_110955_0 {
	meta:
		name = "Tox4DOMNode.cloneNode"
		size = 95
		refs = "0019 Tox4DOMNode.cloneNode 0040 MakeNode 0052 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 66 83 7D 0C 01 1B D2 42 8B 43 0C 8B 08 FF 91 DC 00 00 00 33 C9 8B 53 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_110956_0 {
	meta:
		name = "LookupCurrentNS"
		size = 162
		refs = "0011 LookupCurrentNS 002e @WStrEqual 0047 @UStrFromWStr 0076 @UStrClr 0090 @WStrArrayClr 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 C0 00 00 00 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 75 19 8D 55 F8 8B C3 8B 08 FF 91 A8 00 00 00 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 2D 8B C3 8B 10 FF 92 B8 00 00 00 85 C0 74 18 8B 45 08 50 8B C3 8B 10 FF 92 B8 00 00 00 8B D6 E8 ?? ?? ?? ?? 59 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_110957_0 {
	meta:
		name = "Tox4DOMNode.CheckNamespaceDeclaration"
		size = 780
		refs = "0019 Tox4DOMNode.CheckNamespaceDeclaration 0056 @UStrFromWStr 007a LookupCurrentNS 0086 @UStrLAsg 0091 @UStrEqual 00bd @WStrFromUStr 00d8 @WStrEqual 00ea @UStrCat3 011a _Dn_TDomElement 011f @AsClass 0190 _Dn_ENamespace_Err 0195 Exception.Create 019a @RaiseExcept 0231 @WStrArrayClr 0239 @UStrClr 0253 @UStrArrayClr 0259 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 80 78 5C 00 0F 84 EB 01 00 00 8B C6 8B 10 FF 92 B4 00 00 00 3C 01 0F 85 F4 00 00 00 8D 55 E8 8B C6 8B 08 FF 91 A8 00 00 00 8B 55 E8 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 E4 8B C6 8B 08 FF 91 C0 00 00 00 8B 55 E4 8D 45 F4 E8 ?? ?? ?? ?? 55 8D 55 E0 8B 43 0C E8 ?? ?? ?? ?? 59 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 75 0A 83 7D F4 00 0F 84 7A 01 00 00 83 7D F4 00 75 0F 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 38 8D 45 D8 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 D8 8D 4D DC 8B 43 0C 8B 18 FF 93 44 01 00 00 8B 45 DC 33 D2 E8 ?? ?? ?? ?? 75 10 8D 45 F0 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D F0 00 0F 84 23 01 00 00 8D 45 D4 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 45 D0 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 D0 50 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 59 8B 18 FF 93 A0 01 00 00 E9 E5 00 00 00 8B C6 8B 10 FF 92 B4 00 00 00 3C 02 0F 85 D3 00 00 00 8D 55 CC 8B C6 8B 08 FF 91 A8 00 00 00 8B 55 CC 8D 45 F8 E8 ?? ?? ?? ?? 8D 55 C8 8B C6 8B 08 FF 91 C0 00 00 00 8B 55 C8 8D 45 F4 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 99 00 00 00 83 7D F4 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C0 8B 55 F4 E8 ?? ?? ?? ?? 8B 55 C0 8D 4D C4 8B C6 8B 30 FF 96 44 01 00 00 8B 55 C4 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 74 4A 8D 45 F0 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 BC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 BC 50 8D 45 B8 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 59 8B 18 FF 93 A0 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C9 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 00 00 00 00 3A 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 30 00 2F 00 78 00 6D 00 6C 00 6E 00 73 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_110958_0 {
	meta:
		name = "Tox4DOMNode.get_attributes"
		size = 137
		refs = "001b Tox4DOMNode.get_attributes 004b MakeNamedNodeMap 0056 @IntfCopy 0073 @HandleAutoException 007b @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 18 00 75 2F 8B 43 0C 8B 10 FF 92 80 00 00 00 85 C0 74 20 8B 43 0C 8B 10 FF 92 80 00 00 00 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 18 E8 ?? ?? ?? ?? 8B 45 0C 8B 53 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_110959_0 {
	meta:
		name = "Tox4DOMNode.get_childNodes"
		size = 122
		refs = "001b Tox4DOMNode.get_childNodes 003c MakeNodeList 0047 @IntfCopy 0064 @HandleAutoException 006c @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 14 00 75 20 8B 43 0C 8B 10 FF 92 88 00 00 00 8D 4D FC 8B D3 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 14 E8 ?? ?? ?? ?? 8B 45 0C 8B 53 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_110960_0 {
	meta:
		name = "Tox4DOMNode.get_firstChild"
		size = 87
		refs = "0019 Tox4DOMNode.get_firstChild 0038 MakeNode 004a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 43 0C 8B 10 FF 92 94 00 00 00 33 C9 8B 53 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_110961_0 {
	meta:
		name = "Tox4DOMNode.get_lastChild"
		size = 87
		refs = "0019 Tox4DOMNode.get_lastChild 0038 MakeNode 004a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 43 0C 8B 10 FF 92 9C 00 00 00 33 C9 8B 53 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_110962_0 {
	meta:
		name = "Tox4DOMNode.get_localName"
		size = 98
		refs = "001b Tox4DOMNode.get_localName 003a @UStrFromWStr 004c @HandleAutoException 0054 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 0C 8B 08 FF 91 A4 00 00 00 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_110963_0 {
	meta:
		name = "Tox4DOMNode.get_namespaceURI"
		size = 98
		refs = "001b Tox4DOMNode.get_namespaceURI 003a @UStrFromWStr 004c @HandleAutoException 0054 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 0C 8B 08 FF 91 A8 00 00 00 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_110964_0 {
	meta:
		name = "Tox4DOMNode.get_nextSibling"
		size = 87
		refs = "0019 Tox4DOMNode.get_nextSibling 0038 MakeNode 004a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 43 0C 8B 10 FF 92 AC 00 00 00 33 C9 8B 53 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_110965_0 {
	meta:
		name = "Tox4DOMNode.get_nodeName"
		size = 95
		refs = "001b Tox4DOMNode.get_nodeName 0037 @UStrFromWStr 0049 @HandleAutoException 0051 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 0C 8B 08 FF 51 74 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_110966_0 {
	meta:
		name = "Tox4DOMNode.get_nodeType"
		size = 247
		refs = "000e Tox4DOMNode.get_nodeType 00ea @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 0C 8B 10 FF 92 B4 00 00 00 83 E0 7F 83 F8 0B 0F 87 AD 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 0C 66 C7 00 00 00 EB 6C 8B 45 0C 66 C7 00 01 00 EB 62 8B 45 0C 66 C7 00 02 00 EB 58 8B 45 0C 66 C7 00 03 00 EB 4E 8B 45 0C 66 C7 00 04 00 EB 44 8B 45 0C 66 C7 00 05 00 EB 3A 8B 45 0C 66 C7 00 07 00 EB 30 8B 45 0C 66 C7 00 08 00 EB 26 8B 45 0C 66 C7 00 09 00 EB 1C 8B 45 0C 66 C7 00 0B 00 EB 12 8B 45 0C 66 C7 00 0A 00 EB 08 8B 45 0C 66 C7 00 02 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_110967_0 {
	meta:
		name = "Tox4DOMNode.get_nodeValue"
		size = 98
		refs = "001b Tox4DOMNode.get_nodeValue 003a @UStrFromWStr 004c @HandleAutoException 0054 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 0C 8B 08 FF 91 B0 00 00 00 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_110968_0 {
	meta:
		name = "Tox4DOMNode.get_ownerDocument"
		size = 139
		refs = "0019 Tox4DOMNode.get_ownerDocument 0036 _Dn_TDomDocumentXPath 003b @AsClass 0044 GlobalOx4DOM 004b _DV_Tox4DOMDocument 0050 Tox4DOMDocument.Create 0061 @IntfCopy 007e @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 1C 00 75 3C 8B 43 0C 8B 10 FF 92 8C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA 88 8D 43 1C E8 ?? ?? ?? ?? 8B 45 0C 8B 53 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_110969_0 {
	meta:
		name = "Tox4DOMNode.get_parentNode"
		size = 87
		refs = "0019 Tox4DOMNode.get_parentNode 0038 MakeNode 004a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 43 0C 8B 10 FF 92 B8 00 00 00 33 C9 8B 53 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_110970_0 {
	meta:
		name = "Tox4DOMNode.get_prefix"
		size = 98
		refs = "001b Tox4DOMNode.get_prefix 003a @UStrFromWStr 004c @HandleAutoException 0054 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 0C 8B 08 FF 91 C0 00 00 00 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_110971_0 {
	meta:
		name = "Tox4DOMNode.get_previousSibling"
		size = 87
		refs = "0019 Tox4DOMNode.get_previousSibling 0038 MakeNode 004a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 43 0C 8B 10 FF 92 BC 00 00 00 33 C9 8B 53 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_110973_0 {
	meta:
		name = "Tox4DOMNode.hasChildNodes"
		size = 72
		refs = "000e Tox4DOMNode.hasChildNodes 003b @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 10 FF 92 3C 01 00 00 F6 D8 1B C0 8B 55 0C 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_110974_0 {
	meta:
		name = "Tox4DOMNode.insertBefore"
		size = 118
		refs = "0019 Tox4DOMNode.insertBefore 0027 GetNativeNodeOfIntfNode 004e MakeNode 0057 Tox4DOMNode.CheckNamespaceDeclaration 0069 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C E8 ?? ?? ?? ?? 8B F0 8B 45 14 50 8B 45 10 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 0C 8B 38 FF 97 40 01 00 00 33 C9 8B 53 10 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_110975_0 {
	meta:
		name = "Tox4DOMNode.normalize"
		size = 62
		refs = "000e Tox4DOMNode.normalize 0031 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 40 0C 8B 10 FF 92 48 01 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_110976_0 {
	meta:
		name = "Tox4DOMNode.removeChild"
		size = 97
		refs = "0019 Tox4DOMNode.removeChild 002b GetNativeNodeOfIntfNode 0042 MakeNode 0054 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B 45 0C E8 ?? ?? ?? ?? 8B D0 8B 43 0C 8B 08 FF 91 4C 01 00 00 33 C9 8B 53 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_110977_0 {
	meta:
		name = "Tox4DOMNode.replaceChild"
		size = 118
		refs = "0019 Tox4DOMNode.replaceChild 0027 GetNativeNodeOfIntfNode 004e MakeNode 0057 Tox4DOMNode.CheckNamespaceDeclaration 0069 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C E8 ?? ?? ?? ?? 8B F0 8B 45 14 50 8B 45 10 E8 ?? ?? ?? ?? 8B C8 8B D6 8B 43 0C 8B 38 FF 97 50 01 00 00 33 C9 8B 53 10 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_110978_0 {
	meta:
		name = "Tox4DOMNode.set_nodeValue"
		size = 103
		refs = "000f @UStrAddRef 0018 Tox4DOMNode.set_nodeValue 0029 @WStrFromUStr 0049 @HandleAutoException 0051 @WStrClr 0059 @UStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C E8 ?? ?? ?? ?? 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C 8B 08 FF 91 D0 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_110979_0 {
	meta:
		name = "Tox4DOMNode.supports"
		size = 248
		refs = "0011 Tox4DOMNode.supports 0021 @UStrLAsg 0055 CompareText 006e @UStrEqual 00a7 @UStrArrayClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F1 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 28 85 F6 74 20 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 12 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 C0 EB 06 B0 01 EB 02 33 C0 3C 01 F5 1B DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 78 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 31 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 32 00 2E 00 30 00 00 00 }
	condition:
		$1
}

rule function_110980_0 {
	meta:
		name = "Tox4DOMNode.selectNode"
		size = 363
		refs = "001c Tox4DOMNode.selectNode 002a @IntfClear 0067 AddContextNode 009f MakeNodeList 00ad @IntfCopy 00c9 @CheckAutoResult 00d4 _Dn_TDomXPathNodeSetResult 00d9 @IsClass 00f0 _Dn_TDomText 00f5 TDomText.Create 011d MakeNode 0132 RemoveContextNode 0138 @HandleFinally 014c @HandleAutoException 0154 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 45 10 85 C0 74 04 33 D2 89 10 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 10 85 C0 0F 84 02 01 00 00 83 78 34 00 0F 84 F8 00 00 00 8B 40 34 8B 58 20 8B 45 08 8B 50 0C 8B C3 8B 08 FF 51 40 8B 55 0C 8B C3 8B 08 FF 51 44 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 48 84 C0 0F 84 99 00 00 00 8B C3 8B 10 FF 52 4C 84 C0 74 3C 8D 4D FC 8B 45 08 8B 50 10 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 83 C0 24 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 50 6A 00 8B 45 08 8B 40 24 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? EB 52 8B 43 50 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 10 E8 ?? ?? ?? ?? EB 36 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 55 F8 8B C3 8B 08 FF 51 60 8B 55 F8 8B C6 8B 08 FF 91 5C 01 00 00 8B 45 10 50 B1 01 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_110981_0 {
	meta:
		name = "Tox4DOMNode.selectNodes"
		size = 192
		refs = "0018 Tox4DOMNode.selectNodes 0026 @IntfClear 005b AddContextNode 0084 MakeNodeList 0099 RemoveContextNode 009f @HandleFinally 00b3 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 10 85 C0 74 04 33 D2 89 10 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 E8 ?? ?? ?? ?? 8B 45 08 8B 40 10 85 C0 74 71 83 78 34 00 74 6B 8B 40 34 8B 58 20 8B 45 08 8B 50 0C 8B C3 8B 08 FF 51 40 8B 55 0C 8B C3 8B 08 FF 51 44 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 48 84 C0 74 10 8B 4D 10 8B 45 08 8B 50 10 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_110982_0 {
	meta:
		name = "Tox4DOMNode.get_text"
		size = 98
		refs = "001b Tox4DOMNode.get_text 003a @UStrFromWStr 004c @HandleAutoException 0054 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 43 0C 8B 08 FF 91 C8 00 00 00 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_110983_0 {
	meta:
		name = "Tox4DOMNode.set_text"
		size = 202
		refs = "0016 Tox4DOMNode.set_text 0075 _Dn_TDomText 007a TDomText.Create 0087 @WStrFromUStr 00b3 @HandleAutoException 00bb @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 10 FF 92 88 00 00 00 8B 10 FF 12 8B F0 4E 85 F6 7C 2F 46 C7 45 FC 00 00 00 00 8B 7B 0C 8B C7 8B 10 FF 92 88 00 00 00 8B 55 FC 8B 08 FF 51 08 8B D0 8B C7 8B 08 FF 91 4C 01 00 00 FF 45 FC 4E 75 D9 8B 43 0C 8B 10 FF 92 8C 00 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 08 FF 91 5C 01 00 00 8B D6 8B 43 0C 8B 08 FF 91 D8 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_110984_0 {
	meta:
		name = "Tox4DOMNode.get_xml"
		size = 193
		refs = "0021 Tox4DOMNode.get_xml 002f @UStrClr 0036 Tox4DOMNode.AllocParser 0055 @WStrClr 0071 @UStrFromWStr 0090 TObject.Free 0096 @HandleFinally 00aa @HandleAutoException"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 FC 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 59 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8B 53 0C 8B 45 F8 8B 18 FF 53 6C 84 C0 74 0D 8B 45 0C 8B 55 FC E8 ?? ?? ?? ?? EB 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_110985_0 {
	meta:
		name = "Tox4DOMNode.transformNode"
		size = 144
		refs = "000d Tox4DOMNode.transformNode 0022 DOMVendorNotSupported 0034 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 41 00 44 00 4F 00 4D 00 20 00 58 00 4D 00 4C 00 20 00 76 00 34 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 74 00 72 00 61 00 6E 00 73 00 66 00 6F 00 72 00 6D 00 4E 00 6F 00 64 00 65 00 00 00 }
	condition:
		$1
}

rule function_110987_0 {
	meta:
		name = "Tox4DOMNodeList.Create"
		size = 77
		refs = "000e @ClassCreate 001d TObject.Create 0036 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 33 C0 89 47 10 8B 45 08 89 47 14 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_110988_0 {
	meta:
		name = "Tox4DOMNodeList.Create"
		size = 193
		refs = "0016 @ClassCreate 0025 Tox4DOMNodeList.Create 0046 _Dn_TDomXPathNodeSetResult 004b TDomXPathNodeSetResult.Create 0070 _Dn_TDomXPathStringResult 0075 TDomXPathStringResult.Create 0093 @WStrClr 0099 @HandleFinally 00a8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 43 0C 8B 46 50 8B 10 FF 92 90 00 00 00 3C 01 75 1D B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 10 8B 56 50 8B C7 8B 08 FF 51 08 EB 1C 8D 55 F8 8B C6 8B 08 FF 51 60 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 8B 45 08 89 43 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_110990_0 {
	meta:
		name = "Tox4DOMNodeList.get_item"
		size = 286
		refs = "001b Tox4DOMNodeList.get_item 0043 MakeNode 0082 Tox4DOMDocument.GetNativeDocument 009b @IntfCopy 00bb _Dn_TDomText 00c0 TDomText.Create 00f6 @IntfClear 0108 @HandleAutoException 0110 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 0C 85 F6 74 20 8B 45 10 50 8B 55 0C 8B C6 8B 08 FF 51 08 8B 53 14 8B 52 10 33 C9 E8 ?? ?? ?? ?? E9 AE 00 00 00 8B 73 10 85 F6 0F 84 9B 00 00 00 8B C6 8B 10 FF 92 90 00 00 00 3C 01 75 51 8B 55 0C 8B 43 10 8B 08 FF 91 88 00 00 00 8B F0 8B 43 14 8B 78 10 85 FF 74 22 8B C7 E8 ?? ?? ?? ?? 3B F0 75 17 8B 45 10 8B 53 14 8B 52 10 85 D2 74 03 83 EA D4 E8 ?? ?? ?? ?? EB 59 8B 45 10 50 8B 43 14 8B 50 10 33 C9 8B C6 E8 ?? ?? ?? ?? EB 44 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B 43 10 8B 08 FF 91 84 00 00 00 8B 55 FC 8B C6 8B 08 FF 91 5C 01 00 00 8B 45 10 50 B1 01 33 D2 8B C6 E8 ?? ?? ?? ?? EB 08 8B 45 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_110991_0 {
	meta:
		name = "Tox4DOMNodeList.get_length"
		size = 119
		refs = "0011 Tox4DOMNodeList.get_length 006a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 0C 85 FF 74 0A 8B C7 8B 10 FF 12 89 06 EB 30 8B 7B 10 85 FF 74 25 8B C7 8B 10 FF 92 90 00 00 00 3C 01 75 0F 8B 43 10 8B 10 FF 92 8C 00 00 00 89 06 EB 0C C7 06 01 00 00 00 EB 04 33 C0 89 06 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_110993_0 {
	meta:
		name = "Tox4DOMNamedNodeMap.CheckNamespaceAware"
		size = 128
		refs = "0007 TDomNamedNodeMap.GetNamespaceAware 0010 Tox4DOMNamedNodeMap.CheckNamespaceAware 0017 _Dn_Exception 001c Exception.Create 0021 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B 43 0C E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 25 00 00 00 4E 00 61 00 6D 00 65 00 64 00 4E 00 6F 00 64 00 65 00 4D 00 61 00 70 00 20 00 6D 00 75 00 73 00 74 00 20 00 62 00 65 00 20 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 2D 00 61 00 77 00 61 00 72 00 65 00 2E 00 00 00 }
	condition:
		$1
}

rule function_110994_0 {
	meta:
		name = "Tox4DOMNamedNodeMap.get_item"
		size = 90
		refs = "0019 Tox4DOMNamedNodeMap.get_item 003b MakeNode 004d @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B 55 0C 8B 43 0C 8B 08 FF 51 08 8B 53 10 8B 52 10 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_110995_0 {
	meta:
		name = "Tox4DOMNamedNodeMap.get_length"
		size = 63
		refs = "000e Tox4DOMNamedNodeMap.get_length 0032 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 10 FF 12 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_110996_0 {
	meta:
		name = "Tox4DOMNamedNodeMap.getNamedItem"
		size = 121
		refs = "001b Tox4DOMNamedNodeMap.getNamedItem 0028 Tox4DOMNamedNodeMap.CheckNamespaceAware 0037 @WStrFromUStr 0051 MakeNode 0063 @HandleAutoException 006b @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 10 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B 43 0C 8B 30 FF 56 20 8B 53 10 8B 52 10 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_110997_0 {
	meta:
		name = "Tox4DOMNamedNodeMap.getNamedItemNS"
		size = 143
		refs = "001d Tox4DOMNamedNodeMap.getNamedItemNS 002a Tox4DOMNamedNodeMap.CheckNamespaceAware 0039 @WStrFromUStr 0061 MakeNode 0073 @HandleAutoException 0080 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 14 50 8D 45 FC 8B 55 10 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 55 F8 8B 43 0C 59 8B 30 FF 56 20 8B 53 10 8B 52 10 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_110998_0 {
	meta:
		name = "Tox4DOMNamedNodeMap.removeNamedItem"
		size = 121
		refs = "001b Tox4DOMNamedNodeMap.removeNamedItem 0028 Tox4DOMNamedNodeMap.CheckNamespaceAware 0037 @WStrFromUStr 0051 MakeNode 0063 @HandleAutoException 006b @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 10 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 4D FC 33 D2 8B 43 0C 8B 30 FF 56 28 8B 53 10 8B 52 10 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_110999_0 {
	meta:
		name = "Tox4DOMNamedNodeMap.removeNamedItemNS"
		size = 143
		refs = "001d Tox4DOMNamedNodeMap.removeNamedItemNS 002a Tox4DOMNamedNodeMap.CheckNamespaceAware 0039 @WStrFromUStr 0061 MakeNode 0073 @HandleAutoException 0080 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 14 50 8D 45 FC 8B 55 10 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 55 F8 8B 43 0C 59 8B 30 FF 56 28 8B 53 10 8B 52 10 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_111000_0 {
	meta:
		name = "Tox4DOMNamedNodeMap.setNamedItem"
		size = 104
		refs = "0019 Tox4DOMNamedNodeMap.setNamedItem 0026 Tox4DOMNamedNodeMap.CheckNamespaceAware 0032 GetNativeNodeOfIntfNode 0049 MakeNode 005b @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C E8 ?? ?? ?? ?? 8B D0 8B 43 0C 8B 08 FF 51 30 8B 53 10 8B 52 10 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_111001_0 {
	meta:
		name = "Tox4DOMNamedNodeMap.setNamedItemNS"
		size = 104
		refs = "0019 Tox4DOMNamedNodeMap.setNamedItemNS 0026 Tox4DOMNamedNodeMap.CheckNamespaceAware 0032 GetNativeNodeOfIntfNode 0049 MakeNode 005b @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 45 10 50 8B 45 0C E8 ?? ?? ?? ?? 8B D0 8B 43 0C 8B 08 FF 51 30 8B 53 10 8B 52 10 33 C9 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_111002_0 {
	meta:
		name = "Tox4DOMCharacterData.GetNativeCharacterData"
		size = 19
		refs = "0008 _Dn_TDomCharacterData 000d @AsClass"
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_111011_0 {
	meta:
		name = "Tox4DOMAttr.GetNativeAttribute"
		size = 19
		refs = "0008 _Dn_TDomAttr 000d @AsClass"
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_111068_0 {
	meta:
		name = "Tox4DOMDocument.GetNativeDocument"
		size = 19
		refs = "0008 _Dn_TDomDocumentXPath 000d @AsClass"
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_111041_0 {
	meta:
		name = "Tox4DOMDocumentType.GetNativeDocumentType"
		size = 19
		refs = "0008 _Dn_TDomDocumentTypeDecl 000d @AsClass"
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_111018_0 {
	meta:
		name = "Tox4DOMElement.GetNativeElement"
		size = 19
		refs = "0008 _Dn_TDomElement 000d @AsClass"
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_111053_0 {
	meta:
		name = "Tox4DOMProcessingInstruction.GetNativeProcessingInstruction"
		size = 19
		refs = "0008 _Dn_TDomProcessingInstruction 000d @AsClass"
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_111059_0 {
	meta:
		name = "Tox4DOMXPathNamespace.GetNativeXPathNamespace"
		size = 19
		refs = "0008 _Dn_TDomXPathNamespace 000d @AsClass"
	strings:
		$1 = { 53 8B D8 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_111003_0 {
	meta:
		name = "Tox4DOMCharacterData.appendData"
		size = 93
		refs = "0010 Tox4DOMCharacterData.appendData 001d Tox4DOMCharacterData.GetNativeCharacterData 0029 @WStrFromUStr 0047 @HandleAutoException 004f @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 58 8B 08 FF 91 6C 01 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111004_0 {
	meta:
		name = "Tox4DOMCharacterData.deleteData"
		size = 72
		refs = "000e Tox4DOMCharacterData.deleteData 001b Tox4DOMCharacterData.GetNativeCharacterData 003b @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 4D 10 8B 55 0C 8B 18 FF 93 74 01 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_111005_0 {
	meta:
		name = "Tox4DOMCharacterData.get_data"
		size = 102
		refs = "001b Tox4DOMCharacterData.get_data 0028 Tox4DOMCharacterData.GetNativeCharacterData 003e @UStrFromWStr 0050 @HandleAutoException 0058 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 91 58 01 00 00 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111044_0 {
	meta:
		name = "Tox4DOMDocumentType.get_internalSubset"
		size = 102
		refs = "001b Tox4DOMDocumentType.get_internalSubset 0028 Tox4DOMDocumentType.GetNativeDocumentType 003e @UStrFromWStr 0050 @HandleAutoException 0058 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 91 58 01 00 00 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111006_0 {
	meta:
		name = "Tox4DOMCharacterData.get_length"
		size = 71
		refs = "000e Tox4DOMCharacterData.get_length 001b Tox4DOMCharacterData.GetNativeCharacterData 003a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 60 01 00 00 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111007_0 {
	meta:
		name = "Tox4DOMCharacterData.insertData"
		size = 96
		refs = "0010 Tox4DOMCharacterData.insertData 001d Tox4DOMCharacterData.GetNativeCharacterData 0029 @WStrFromUStr 004a @HandleAutoException 0052 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC 8B 55 10 E8 ?? ?? ?? ?? 8B 4D FC 8B 55 0C 58 8B 18 FF 93 70 01 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_111008_0 {
	meta:
		name = "Tox4DOMCharacterData.replaceData"
		size = 98
		refs = "0010 Tox4DOMCharacterData.replaceData 0021 @WStrFromUStr 002c Tox4DOMCharacterData.GetNativeCharacterData 004c @HandleAutoException 0054 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 14 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B 4D 10 8B 55 0C 8B 18 FF 93 78 01 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_111009_0 {
	meta:
		name = "Tox4DOMCharacterData.set_data"
		size = 93
		refs = "0010 Tox4DOMCharacterData.set_data 001d Tox4DOMCharacterData.GetNativeCharacterData 0029 @WStrFromUStr 0047 @HandleAutoException 004f @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 58 8B 08 FF 91 5C 01 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111010_0 {
	meta:
		name = "Tox4DOMCharacterData.substringData"
		size = 109
		refs = "001b Tox4DOMCharacterData.substringData 002c Tox4DOMCharacterData.GetNativeCharacterData 0045 @UStrFromWStr 0057 @HandleAutoException 005f @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B 4D 10 8B 55 0C 8B 18 FF 93 68 01 00 00 8B 55 FC 8B 45 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_111012_0 {
	meta:
		name = "Tox4DOMAttr.get_name"
		size = 102
		refs = "001b Tox4DOMAttr.get_name 0028 Tox4DOMAttr.GetNativeAttribute 003e @UStrFromWStr 0050 @HandleAutoException 0058 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 91 60 01 00 00 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111047_0 {
	meta:
		name = "Tox4DOMDocumentType.get_publicId"
		size = 102
		refs = "001b Tox4DOMDocumentType.get_publicId 0028 Tox4DOMDocumentType.GetNativeDocumentType 003e @UStrFromWStr 0050 @HandleAutoException 0058 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 91 60 01 00 00 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111013_0 {
	meta:
		name = "Tox4DOMAttr.get_ownerElement"
		size = 136
		refs = "001b Tox4DOMAttr.get_ownerElement 002c Tox4DOMAttr.GetNativeAttribute 003e MakeNode 004e @IntfCast 0060 @HandleAutoException 0068 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 64 01 00 00 33 C9 8B 53 10 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 00 00 E6 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_111014_0 {
	meta:
		name = "Tox4DOMAttr.get_specified"
		size = 76
		refs = "000e Tox4DOMAttr.get_specified 001b Tox4DOMAttr.GetNativeAttribute 003f @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 68 01 00 00 F6 D8 1B C0 8B 55 0C 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111015_0 {
	meta:
		name = "Tox4DOMAttr.get_value"
		size = 102
		refs = "001b Tox4DOMAttr.get_value 0028 Tox4DOMAttr.GetNativeAttribute 003e @UStrFromWStr 0050 @HandleAutoException 0058 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 91 6C 01 00 00 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111016_0 {
	meta:
		name = "Tox4DOMAttr.set_value"
		size = 93
		refs = "0010 Tox4DOMAttr.set_value 001d Tox4DOMAttr.GetNativeAttribute 0029 @WStrFromUStr 0047 @HandleAutoException 004f @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 58 8B 08 FF 91 D0 00 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111017_0 {
	meta:
		name = "Tox4DOMElement.CheckNamespaceAware"
		size = 132
		refs = "0006 Tox4DOMElement.GetNativeElement 0013 TDomNamedNodeMap.GetNamespaceAware 001c Tox4DOMElement.CheckNamespaceAware 0023 _Dn_Exception 0028 Exception.Create 002d @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 80 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 20 00 00 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 20 00 6D 00 75 00 73 00 74 00 20 00 62 00 65 00 20 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 2D 00 61 00 77 00 61 00 72 00 65 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111019_0 {
	meta:
		name = "Tox4DOMElement.get_tagName"
		size = 102
		refs = "001b Tox4DOMElement.get_tagName 0028 Tox4DOMElement.GetNativeElement 003e @UStrFromWStr 0050 @HandleAutoException 0058 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 91 7C 01 00 00 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111020_0 {
	meta:
		name = "Tox4DOMElement.getAttribute"
		size = 129
		refs = "001d Tox4DOMElement.getAttribute 002e Tox4DOMElement.GetNativeElement 003a @WStrFromUStr 0053 @UStrFromWStr 0065 @HandleAutoException 0072 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 4D F8 33 D2 58 8B 18 FF 93 6C 01 00 00 8B 55 FC 8B 45 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_111021_0 {
	meta:
		name = "Tox4DOMElement.getAttributeNode"
		size = 164
		refs = "001d Tox4DOMElement.getAttributeNode 002e Tox4DOMElement.GetNativeElement 003a @WStrFromUStr 0052 MakeNode 0062 @IntfCast 0074 @HandleAutoException 007c @WStrClr 0084 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 4D F8 33 D2 58 8B 30 FF 96 64 01 00 00 33 C9 8B 53 10 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 10 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 0C 00 00 E5 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_111022_0 {
	meta:
		name = "Tox4DOMElement.getAttributeNodeNS"
		size = 184
		refs = "001f Tox4DOMElement.getAttributeNodeNS 0030 Tox4DOMElement.GetNativeElement 003c @WStrFromUStr 0062 MakeNode 0072 @IntfCast 0084 @HandleAutoException 0091 @WStrArrayClr 0099 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 8D 45 F8 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 8B 55 0C E8 ?? ?? ?? ?? 8B 55 F4 59 58 8B 30 FF 96 64 01 00 00 33 C9 8B 53 10 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 14 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 10 00 E5 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_111023_0 {
	meta:
		name = "Tox4DOMElement.getAttributeNS"
		size = 145
		refs = "001f Tox4DOMElement.getAttributeNS 0030 Tox4DOMElement.GetNativeElement 003c @WStrFromUStr 0063 @UStrFromWStr 0075 @HandleAutoException 0082 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 8D 45 F8 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 8B 55 0C E8 ?? ?? ?? ?? 8B 55 F4 59 58 8B 18 FF 93 6C 01 00 00 8B 55 FC 8B 45 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_111024_0 {
	meta:
		name = "Tox4DOMElement.getElementsByTagName"
		size = 115
		refs = "001b Tox4DOMElement.getElementsByTagName 0028 Tox4DOMElement.GetNativeElement 0034 @WStrFromUStr 004b MakeNodeList 005d @HandleAutoException 0065 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 58 8B 08 FF 91 74 01 00 00 8B 4D 10 8B 53 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_111025_0 {
	meta:
		name = "Tox4DOMElement.getElementsByTagNameNS"
		size = 138
		refs = "001d Tox4DOMElement.getElementsByTagNameNS 002a Tox4DOMElement.GetNativeElement 0036 @WStrFromUStr 005c MakeNodeList 006e @HandleAutoException 007b @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC 8B 55 10 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 55 F8 59 58 8B 30 FF 96 78 01 00 00 8B 4D 14 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_111026_0 {
	meta:
		name = "Tox4DOMElement.hasAttribute"
		size = 105
		refs = "0010 Tox4DOMElement.hasAttribute 001d Tox4DOMElement.GetNativeElement 0029 @WStrFromUStr 0053 @HandleAutoException 005b @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 4D FC 33 D2 58 8B 18 FF 93 84 01 00 00 F6 D8 1B C0 8B 55 10 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_111027_0 {
	meta:
		name = "Tox4DOMElement.hasAttributeNS"
		size = 127
		refs = "0012 Tox4DOMElement.hasAttributeNS 001f Tox4DOMElement.GetNativeElement 002b @WStrFromUStr 0063 @HandleAutoException 0070 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC 8B 55 10 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 55 F8 59 58 8B 18 FF 93 84 01 00 00 F6 D8 1B C0 8B 55 14 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_111028_0 {
	meta:
		name = "Tox4DOMElement.removeAttribute"
		size = 95
		refs = "0010 Tox4DOMElement.removeAttribute 001d Tox4DOMElement.GetNativeElement 0029 @WStrFromUStr 0049 @HandleAutoException 0051 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 4D FC 33 D2 58 8B 18 FF 93 90 01 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111029_0 {
	meta:
		name = "Tox4DOMElement.removeAttributeNode"
		size = 156
		refs = "001b Tox4DOMElement.removeAttributeNode 002d GetNativeNodeOfIntfNode 0033 _Dn_TDomAttr 0038 @AsClass 0040 Tox4DOMElement.GetNativeElement 0053 MakeNode 0063 @IntfCast 0075 @HandleAutoException 007d @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 45 0C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 91 8C 01 00 00 33 C9 8B 53 10 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 10 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 00 E5 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_111030_0 {
	meta:
		name = "Tox4DOMElement.removeAttributeNS"
		size = 117
		refs = "0012 Tox4DOMElement.removeAttributeNS 001f Tox4DOMElement.GetNativeElement 002b @WStrFromUStr 0059 @HandleAutoException 0066 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC 8B 55 10 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 55 F8 59 58 8B 18 FF 93 90 01 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_111031_0 {
	meta:
		name = "Tox4DOMElement.setAttribute"
		size = 125
		refs = "0012 Tox4DOMElement.setAttribute 001f Tox4DOMElement.CheckNamespaceAware 002a @WStrFromUStr 0035 Tox4DOMElement.GetNativeElement 0061 @HandleAutoException 006e @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 8B 55 10 E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 50 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 4D F8 33 D2 58 8B 18 FF 93 A0 01 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_111032_0 {
	meta:
		name = "Tox4DOMElement.setAttributeNode"
		size = 164
		refs = "001b Tox4DOMElement.setAttributeNode 0028 Tox4DOMElement.CheckNamespaceAware 0034 GetNativeNodeOfIntfNode 003a _Dn_TDomAttr 003f @AsClass 0047 Tox4DOMElement.GetNativeElement 005a MakeNode 006a @IntfCast 007c @HandleAutoException 0084 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 45 0C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 91 9C 01 00 00 33 C9 8B 53 10 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 10 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 00 00 E5 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_111033_0 {
	meta:
		name = "Tox4DOMElement.setAttributeNodeNS"
		size = 164
		refs = "001b Tox4DOMElement.setAttributeNodeNS 0028 Tox4DOMElement.CheckNamespaceAware 0034 GetNativeNodeOfIntfNode 003a _Dn_TDomAttr 003f @AsClass 0047 Tox4DOMElement.GetNativeElement 005a MakeNode 006a @IntfCast 007c @HandleAutoException 0084 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC 50 8B 45 0C E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 91 9C 01 00 00 33 C9 8B 53 10 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 10 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 00 00 E5 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_111034_0 {
	meta:
		name = "Tox4DOMElement.setAttributeNS"
		size = 448
		refs = "001b Tox4DOMElement.setAttributeNS 0028 Tox4DOMElement.CheckNamespaceAware 0035 @UStrEqual 0043 @WStrClr 0058 @WStrFromUStr 0062 XmlExtractPrefixAndLocalName 0071 Tox4DOMElement.GetNativeElement 00aa @WStrEqual 00de @UStrFromWStr 0134 Tox4DOMNode.CheckNamespaceDeclaration 0146 @HandleAutoException 0153 @WStrArrayClr 015b @UStrClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B 75 08 56 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 45 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 B0 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F4 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F4 5A 59 E8 ?? ?? ?? ?? 84 C0 0F 84 81 00 00 00 8B C6 E8 ?? ?? ?? ?? 50 8D 45 F0 8B 55 0C E8 ?? ?? ?? ?? 8B 55 F0 8B 4D F8 58 8B 18 FF 93 64 01 00 00 8B D8 85 DB 74 59 8D 55 EC 8B C3 8B 08 FF 91 C0 00 00 00 8B 45 EC 8B 55 FC E8 ?? ?? ?? ?? 75 3F 8D 55 E8 8B C3 8B 08 FF 91 A4 00 00 00 8B 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 75 25 8D 55 E0 8B C3 8B 08 FF 91 6C 01 00 00 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 8B 55 14 E8 ?? ?? ?? ?? 74 49 8D 45 DC 8B 55 14 E8 ?? ?? ?? ?? 8B 45 DC 50 8B C6 E8 ?? ?? ?? ?? 50 8D 45 D8 8B 55 10 E8 ?? ?? ?? ?? 8B 45 D8 50 8D 45 D4 8B 55 0C E8 ?? ?? ?? ?? 8B 55 D4 59 58 8B 18 FF 93 A0 01 00 00 8B D8 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 10 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 30 00 2F 00 78 00 6D 00 6C 00 6E 00 73 00 2F 00 00 00 }
	condition:
		$1
}

rule function_111037_0 {
	meta:
		name = "Tox4DOMElement.normalize"
		size = 66
		refs = "000e Tox4DOMElement.normalize 001b Tox4DOMElement.GetNativeElement 0035 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 48 01 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111038_0 {
	meta:
		name = "Tox4DOMText.splitText"
		size = 144
		refs = "001b Tox4DOMText.splitText 002e _Dn_TDomText 0033 @AsClass 0048 MakeNode 0058 @IntfCast 006a @HandleAutoException 0072 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 0C 8B 08 FF 91 80 01 00 00 33 C9 8B 53 10 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 10 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 E7 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_111039_0 {
	meta:
		name = "Tox4DOMDocumentType.Create"
		size = 93
		refs = "000e @ClassCreate 0020 Tox4DOMNode.Create 0029 _DV_Tox4DOMDocumentTypeChildren 002e Tox4DOMDocumentTypeChildren.Create 0039 TInterfacedObject._AddRef 0046 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 45 08 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 34 56 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_111040_0 {
	meta:
		name = "Tox4DOMDocumentType.Destroy"
		size = 45
		refs = "0003 @BeforeDestruction 0010 TInterfacedObject._Release 001b Tox4DOMNode.Destroy 0026 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 34 50 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111042_0 {
	meta:
		name = "Tox4DOMDocumentType.get_childNodes"
		size = 80
		refs = "0019 Tox4DOMDocumentType.get_childNodes 0031 @IntfCopy 0043 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 8B 53 34 85 D2 74 03 83 EA F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111043_0 {
	meta:
		name = "Tox4DOMDocumentType.get_entities"
		size = 168
		refs = "001b Tox4DOMDocumentType.get_entities 002e _Dn_TList 0033 TObject.Create 004d _Dn_TDomNamedNodeMap 0052 TDomNamedNodeMap.Create 0063 MakeNamedNodeMap 006e @IntfCopy 008b @HandleAutoException 0093 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 38 00 75 47 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 40 56 0F B7 05 ?? ?? ?? ?? 50 6A 00 8B 4B 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 44 8D 4D FC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 38 E8 ?? ?? ?? ?? 8B 45 0C 8B 53 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_111045_0 {
	meta:
		name = "Tox4DOMDocumentType.get_name"
		size = 102
		refs = "001b Tox4DOMDocumentType.get_name 0028 Tox4DOMDocumentType.GetNativeDocumentType 003e @UStrFromWStr 0050 @HandleAutoException 0058 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 91 5C 01 00 00 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111054_0 {
	meta:
		name = "Tox4DOMProcessingInstruction.get_data"
		size = 102
		refs = "001b Tox4DOMProcessingInstruction.get_data 0028 Tox4DOMProcessingInstruction.GetNativeProcessingInstruction 003e @UStrFromWStr 0050 @HandleAutoException 0058 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 91 5C 01 00 00 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111046_0 {
	meta:
		name = "Tox4DOMDocumentType.get_notations"
		size = 168
		refs = "001b Tox4DOMDocumentType.get_notations 002e _Dn_TList 0033 TObject.Create 004d _Dn_TDomNamedNodeMap 0052 TDomNamedNodeMap.Create 0063 MakeNamedNodeMap 006e @IntfCopy 008b @HandleAutoException 0093 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 3C 00 75 47 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 48 56 0F B7 05 ?? ?? ?? ?? 50 6A 00 8B 4B 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 4C 8D 4D FC 8B D3 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 3C E8 ?? ?? ?? ?? 8B 45 0C 8B 53 3C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_111048_0 {
	meta:
		name = "Tox4DOMDocumentType.get_systemId"
		size = 102
		refs = "001b Tox4DOMDocumentType.get_systemId 0028 Tox4DOMDocumentType.GetNativeDocumentType 003e @UStrFromWStr 0050 @HandleAutoException 0058 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 91 64 01 00 00 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111049_0 {
	meta:
		name = "Tox4DOMDocumentType.hasChildNodes"
		size = 124
		refs = "0016 Tox4DOMDocumentType.hasChildNodes 0028 @IntfClear 0034 @CheckAutoResult 0065 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 45 F8 E8 ?? ?? ?? ?? 50 53 8B 03 FF 50 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 83 7D FC 00 0F 9F C0 F6 D8 1B C0 8B 55 0C 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111051_0 {
	meta:
		name = "Tox4DOMDocumentTypeChildren.get_item"
		size = 299
		refs = "0023 Tox4DOMDocumentTypeChildren.get_item 0035 @IntfClear 003f Tox4DOMDocumentType.get_entities 0044 @CheckAutoResult 00a0 Tox4DOMDocumentType.get_notations 0109 @HandleAutoException 0112 IDOMNamedNodeMap 011c @FinalizeArray"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B 7D 0C 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 43 0C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 75 FC 3B F7 7E 31 8B 45 10 E8 ?? ?? ?? ?? 50 57 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 43 0C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? EB 6D 8D 45 FC 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 43 0C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 45 FC 03 C6 3B F8 7D 33 8B 45 10 E8 ?? ?? ?? ?? 50 2B FE 57 8D 45 EC E8 ?? ?? ?? ?? 50 8B 43 0C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? EB 08 8B 45 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_111052_0 {
	meta:
		name = "Tox4DOMDocumentTypeChildren.get_length"
		size = 173
		refs = "0019 Tox4DOMDocumentTypeChildren.get_length 002b @IntfClear 0035 Tox4DOMDocumentType.get_entities 003a @CheckAutoResult 0061 Tox4DOMDocumentType.get_notations 008e @HandleAutoException"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C0 89 45 F0 89 45 F8 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 43 0C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 75 FC 8D 45 F4 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 43 0C 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 03 75 F4 8B 45 0C 89 30 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_111055_0 {
	meta:
		name = "Tox4DOMProcessingInstruction.get_target"
		size = 80
		refs = "0019 Tox4DOMProcessingInstruction.get_target 0026 Tox4DOMProcessingInstruction.GetNativeProcessingInstruction 0031 @UStrFromWStr 0043 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 50 3C 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111056_0 {
	meta:
		name = "Tox4DOMProcessingInstruction.set_data"
		size = 93
		refs = "0010 Tox4DOMProcessingInstruction.set_data 001d Tox4DOMProcessingInstruction.GetNativeProcessingInstruction 0029 @WStrFromUStr 0047 @HandleAutoException 004f @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 58 8B 08 FF 91 60 01 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111057_0 {
	meta:
		name = "Tox4DOMXPathNamespace.Create"
		size = 207
		refs = "0014 @ClassCreate 0023 Tox4DOMXPathNamespace.Create 0031 _Dn_TDomXPathNamespace 0036 @AsClass 0073 TDomXPathNamespace.Create 0087 Tox4DOMNode.Create 00a1 @WStrArrayClr 00a7 @HandleFinally 00b6 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 92 58 01 00 00 50 8D 55 F8 8B C6 8B 08 FF 91 A8 00 00 00 8B 45 F8 50 8D 55 F4 8B C6 8B 08 FF 91 C0 00 00 00 8B 45 F4 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 34 8B 45 08 50 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_111058_0 {
	meta:
		name = "Tox4DOMXPathNamespace.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 Tox4DOMNode.Destroy 001a TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 34 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111060_0 {
	meta:
		name = "Tox4DOMXPathNamespace.get_localName"
		size = 102
		refs = "001b Tox4DOMXPathNamespace.get_localName 0028 Tox4DOMXPathNamespace.GetNativeXPathNamespace 003e @UStrFromWStr 0050 @HandleAutoException 0058 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 91 C0 00 00 00 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111064_0 {
	meta:
		name = "Tox4DOMXPathNamespace.get_prefix"
		size = 102
		refs = "001b Tox4DOMXPathNamespace.get_prefix 0028 Tox4DOMXPathNamespace.GetNativeXPathNamespace 003e @UStrFromWStr 0050 @HandleAutoException 0058 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 91 C0 00 00 00 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111061_0 {
	meta:
		name = "Tox4DOMXPathNamespace.get_namespaceURI"
		size = 102
		refs = "001b Tox4DOMXPathNamespace.get_namespaceURI 0028 Tox4DOMXPathNamespace.GetNativeXPathNamespace 003e @UStrFromWStr 0050 @HandleAutoException 0058 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 91 A8 00 00 00 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111063_0 {
	meta:
		name = "Tox4DOMXPathNamespace.get_nodeValue"
		size = 102
		refs = "001b Tox4DOMXPathNamespace.get_nodeValue 0028 Tox4DOMXPathNamespace.GetNativeXPathNamespace 003e @UStrFromWStr 0050 @HandleAutoException 0058 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B 08 FF 91 A8 00 00 00 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111062_0 {
	meta:
		name = "Tox4DOMXPathNamespace.get_nodeName"
		size = 148
		refs = "001d Tox4DOMXPathNamespace.get_nodeName 002a Tox4DOMXPathNamespace.GetNativeXPathNamespace 0045 @WStrCat3 0050 @UStrFromWStr 0062 @HandleAutoException 006f @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B 08 FF 91 A8 00 00 00 8B 4D F8 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 00 00 0C 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 00 00 00 00 }
	condition:
		$1
}

rule function_111065_0 {
	meta:
		name = "Tox4DOMXPathNamespace.set_nodeValue"
		size = 66
		refs = "000a @UStrAddRef 0015 Tox4DOMXPathNamespace.set_nodeValue 002d @HandleAutoException 0035 @UStrClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 0C E8 ?? ?? ?? ?? FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111066_0 {
	meta:
		name = "Tox4DOMDocument.Create"
		size = 81
		refs = "000d @ClassCreate 0030 Tox4DOMNode.Create 003b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 0F B6 45 08 88 46 38 89 4E 34 C6 46 5D 01 C6 46 5C 01 56 8B 4D 0C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111067_0 {
	meta:
		name = "Tox4DOMDocument.Destroy"
		size = 65
		refs = "0003 @BeforeDestruction 0024 Tox4DOMImplementation.FreeDocument 002f Tox4DOMNode.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 80 7E 38 00 74 17 83 7E 34 00 74 11 83 7E 0C 00 74 0B 8D 56 0C 8B 46 34 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111069_0 {
	meta:
		name = "Tox4DOMDocument.createAttribute"
		size = 145
		refs = "001b Tox4DOMDocument.createAttribute 002f @WStrFromUStr 003c Tox4DOMDocument.GetNativeDocument 0045 _Dn_TDomAttr 004a TDomAttr.CreateNS 0053 _DV_Tox4DOMAttr 0058 Tox4DOMNode.Create 0069 @IntfCopy 007b @HandleAutoException 0083 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 6A 00 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 45 FC 50 6A 01 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA CC 8B 45 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_111070_0 {
	meta:
		name = "Tox4DOMDocument.createAttributeNS"
		size = 166
		refs = "001d Tox4DOMDocument.createAttributeNS 002f @WStrFromUStr 004b Tox4DOMDocument.GetNativeDocument 0054 _Dn_TDomAttr 0059 TDomAttr.CreateNS 0062 _DV_Tox4DOMAttr 0067 Tox4DOMNode.Create 0078 @IntfCopy 008a @HandleAutoException 0097 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F8 50 6A 01 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA CC 8B 45 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_111071_0 {
	meta:
		name = "Tox4DOMDocument.createCDATASection"
		size = 115
		refs = "0019 Tox4DOMDocument.createCDATASection 0027 Tox4DOMDocument.GetNativeDocument 0030 _Dn_TDomCDATASection 0035 TDomCDATASection.Create 003e _DV_Tox4DOMCDATASection 0043 Tox4DOMNode.Create 0054 @IntfCopy 0066 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA C4 8B 45 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_111072_0 {
	meta:
		name = "Tox4DOMDocument.createComment"
		size = 152
		refs = "001b Tox4DOMDocument.createComment 0028 Tox4DOMDocument.GetNativeDocument 0031 _Dn_TDomComment 0036 TDomComment.Create 0043 @WStrFromUStr 005a _DV_Tox4DOMComment 005f Tox4DOMNode.Create 0070 @IntfCopy 0082 @HandleAutoException 008a @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 91 5C 01 00 00 53 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA C8 8B 45 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_111078_0 {
	meta:
		name = "Tox4DOMDocument.createTextNode"
		size = 152
		refs = "001b Tox4DOMDocument.createTextNode 0028 Tox4DOMDocument.GetNativeDocument 0031 _Dn_TDomText 0036 TDomText.Create 0043 @WStrFromUStr 005a _DV_Tox4DOMText 005f Tox4DOMNode.Create 0070 @IntfCopy 0082 @HandleAutoException 008a @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C6 8B 08 FF 91 5C 01 00 00 53 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA C8 8B 45 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_111073_0 {
	meta:
		name = "Tox4DOMDocument.createDocumentFragment"
		size = 115
		refs = "0019 Tox4DOMDocument.createDocumentFragment 0027 Tox4DOMDocument.GetNativeDocument 0030 _Dn_TDomDocumentFragment 0035 TDomDocumentFragment.Create 003e _DV_Tox4DOMDocumentFragment 0043 Tox4DOMNode.Create 0054 @IntfCopy 0066 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA CC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111074_0 {
	meta:
		name = "Tox4DOMDocument.createElement"
		size = 143
		refs = "001b Tox4DOMDocument.createElement 002f @WStrFromUStr 003a Tox4DOMDocument.GetNativeDocument 0043 _Dn_TDomElement 0048 TDomElement.CreateNS 0051 _DV_Tox4DOMElement 0056 Tox4DOMNode.Create 0067 @IntfCopy 0079 @HandleAutoException 0081 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 6A 00 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA CC 8B 45 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_111075_0 {
	meta:
		name = "Tox4DOMDocument.createElementNS"
		size = 164
		refs = "001d Tox4DOMDocument.createElementNS 002f @WStrFromUStr 0049 Tox4DOMDocument.GetNativeDocument 0052 _Dn_TDomElement 0057 TDomElement.CreateNS 0060 _DV_Tox4DOMElement 0065 Tox4DOMNode.Create 0076 @IntfCopy 0088 @HandleAutoException 0095 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA CC 8B 45 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_111076_0 {
	meta:
		name = "Tox4DOMDocument.createEntityReference"
		size = 141
		refs = "001b Tox4DOMDocument.createEntityReference 002d @WStrFromUStr 0038 Tox4DOMDocument.GetNativeDocument 0041 _Dn_TDomEntityReference 0046 TDomEntityReference.Create 004f _DV_Tox4DOMEntityReference 0054 Tox4DOMNode.Create 0065 @IntfCopy 0077 @HandleAutoException 007f @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA CC 8B 45 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_111077_0 {
	meta:
		name = "Tox4DOMDocument.createProcessingInstruction"
		size = 175
		refs = "001d Tox4DOMDocument.createProcessingInstruction 002e @WStrFromUStr 0039 Tox4DOMDocument.GetNativeDocument 0042 _Dn_TDomProcessingInstruction 0047 TDomProcessingInstruction.Create 006b _DV_Tox4DOMProcessingInstruction 0070 Tox4DOMNode.Create 0081 @IntfCopy 0093 @HandleAutoException 00a0 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F8 8B 55 10 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 8B 08 FF 91 60 01 00 00 53 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA CC 8B 45 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_111079_0 {
	meta:
		name = "Tox4DOMDocument.get_doctype"
		size = 109
		refs = "0019 Tox4DOMDocument.get_doctype 0027 Tox4DOMDocument.GetNativeDocument 0038 _DV_Tox4DOMDocumentType 003d Tox4DOMDocumentType.Create 004e @IntfCopy 0060 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 74 01 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA B0 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111080_0 {
	meta:
		name = "Tox4DOMDocument.get_documentElement"
		size = 180
		refs = "001b Tox4DOMDocument.get_documentElement 002e Tox4DOMDocument.GetNativeDocument 005e MakeNode 006e @IntfCast 0079 @IntfCopy 008b @HandleAutoException 0093 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 60 00 74 14 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 78 01 00 00 3B 43 64 74 33 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 78 01 00 00 8B F0 89 73 64 8D 45 FC 50 33 C9 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 60 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 8B 53 60 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 00 00 00 E6 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_111081_0 {
	meta:
		name = "Tox4DOMDocument.get_domImplementation"
		size = 80
		refs = "0019 Tox4DOMDocument.get_domImplementation 0031 @IntfCopy 0043 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 8B 53 34 85 D2 74 03 83 EA D8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111082_0 {
	meta:
		name = "Tox4DOMDocument.getElementById"
		size = 136
		refs = "001b Tox4DOMDocument.getElementById 0029 Tox4DOMDocument.GetNativeDocument 0035 @WStrFromUStr 004a _DV_Tox4DOMElement 004f Tox4DOMNode.Create 0060 @IntfCopy 0072 @HandleAutoException 007a @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 55 FC 58 8B 08 FF 91 90 01 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA CC 8B 45 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_111083_0 {
	meta:
		name = "Tox4DOMDocument.getElementsByTagName"
		size = 116
		refs = "001b Tox4DOMDocument.getElementsByTagName 0028 Tox4DOMDocument.GetNativeDocument 0034 @WStrFromUStr 004c MakeNodeList 005e @HandleAutoException 0066 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 4D FC 33 D2 58 8B 30 FF 96 98 01 00 00 8B 4D 10 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_111084_0 {
	meta:
		name = "Tox4DOMDocument.getElementsByTagNameNS"
		size = 138
		refs = "001d Tox4DOMDocument.getElementsByTagNameNS 002a Tox4DOMDocument.GetNativeDocument 0036 @WStrFromUStr 005c MakeNodeList 006e @HandleAutoException 007b @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC 8B 55 10 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 55 F8 59 58 8B 30 FF 96 98 01 00 00 8B 4D 14 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_111085_0 {
	meta:
		name = "Tox4DOMDocument.importNode"
		size = 124
		refs = "000d @IntfAddRef 0021 Tox4DOMDocument.importNode 0033 GetNativeNodeOfIntfNode 003b Tox4DOMDocument.GetNativeDocument 0055 MakeNode 0067 @HandleAutoException 006f @IntfClear"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C E8 ?? ?? ?? ?? 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 14 50 8B 45 0C E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 66 83 7D 10 01 1B C9 41 5A 8B 30 FF 96 94 01 00 00 33 C9 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_111086_0 {
	meta:
		name = "Tox4DOMDocument.set_documentElement"
		size = 205
		refs = "0011 Tox4DOMDocument.set_documentElement 0022 Tox4DOMDocument.GetNativeDocument 0045 GetNativeNodeOfIntfNode 00ae @IntfClear 00c0 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 58 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 78 01 00 00 85 C0 74 2B 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 78 01 00 00 50 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 59 8B 30 FF 96 50 01 00 00 EB 4D 8B C6 E8 ?? ?? ?? ?? 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 91 D8 00 00 00 EB 33 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 78 01 00 00 85 C0 74 20 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 92 78 01 00 00 50 8B C3 E8 ?? ?? ?? ?? 5A 8B 08 FF 91 4C 01 00 00 8D 43 60 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111087_0 {
	meta:
		name = "Tox4DOMDocument.get_async"
		size = 56
		refs = "000d Tox4DOMDocument.get_async 002b @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C C6 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111089_0 {
	meta:
		name = "Tox4DOMDocument.get_resolveExternals"
		size = 56
		refs = "000d Tox4DOMDocument.get_resolveExternals 002b @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C C6 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111090_0 {
	meta:
		name = "Tox4DOMDocument.get_validate"
		size = 56
		refs = "000d Tox4DOMDocument.get_validate 002b @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C C6 00 00 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111088_0 {
	meta:
		name = "Tox4DOMDocument.get_preserveWhiteSpace"
		size = 56
		refs = "000d Tox4DOMDocument.get_preserveWhiteSpace 002b @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C C6 00 01 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111091_0 {
	meta:
		name = "Tox4DOMDocument.set_async"
		size = 152
		refs = "000d Tox4DOMDocument.set_async 0028 DOMVendorNotSupported 003a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 0C 00 74 0F BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 41 00 44 00 4F 00 4D 00 20 00 58 00 4D 00 4C 00 20 00 76 00 34 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 73 00 65 00 74 00 5F 00 61 00 73 00 79 00 6E 00 63 00 28 00 54 00 72 00 75 00 65 00 29 00 00 00 }
	condition:
		$1
}

rule function_111092_0 {
	meta:
		name = "Tox4DOMDocument.set_preserveWhiteSpace"
		size = 58
		refs = "000e Tox4DOMDocument.set_preserveWhiteSpace 002d @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 55 0C 88 50 5D 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111093_0 {
	meta:
		name = "Tox4DOMDocument.set_resolveExternals"
		size = 176
		refs = "000d Tox4DOMDocument.set_resolveExternals 0028 DOMVendorNotSupported 003a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 0C 00 74 0F BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 41 00 44 00 4F 00 4D 00 20 00 58 00 4D 00 4C 00 20 00 76 00 34 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 73 00 65 00 74 00 5F 00 72 00 65 00 73 00 6F 00 6C 00 76 00 65 00 45 00 78 00 74 00 65 00 72 00 6E 00 61 00 6C 00 73 00 28 00 54 00 72 00 75 00 65 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_111094_0 {
	meta:
		name = "Tox4DOMDocument.set_validate"
		size = 160
		refs = "000d Tox4DOMDocument.set_validate 0028 DOMVendorNotSupported 003a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 0C 00 74 0F BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 41 00 44 00 4F 00 4D 00 20 00 58 00 4D 00 4C 00 20 00 76 00 34 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 73 00 65 00 74 00 5F 00 76 00 61 00 6C 00 69 00 64 00 61 00 74 00 65 00 28 00 54 00 72 00 75 00 65 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_111095_0 {
	meta:
		name = "Tox4DOMDocument.get_xml"
		size = 220
		refs = "0021 Tox4DOMDocument.get_xml 002f @UStrClr 0036 Tox4DOMNode.AllocParser 0066 TDomToXmlParser.SetUseByteOrderMark 006d Tox4DOMDocument.GetNativeDocument 0076 @WStrClr 0090 @UStrFromWStr 00a5 TObject.Free 00ab @HandleFinally 00bf @HandleAutoException"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 FC 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 6E 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 F8 8B 08 FF 51 58 0F B6 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8B 45 F8 5A 8B 18 FF 53 6C 84 C0 74 0B 8B 45 0C 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_111096_0 {
	meta:
		name = "InitURLMon"
		size = 212
		refs = "0008 URLDownloadToCacheFile 0010 InitURLMon 0015 LoadLibrary 001a UrlMonHandle 003a SUrlMonDllMissing 0041 _Dn_Exception 0046 Exception.CreateResFmt 004b @RaiseExcept 005b GetProcAddress"
	strings:
		$1 = { 55 8B EC 83 C4 F8 83 3D ?? ?? ?? ?? 00 75 55 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 28 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 59 59 5D C3 55 00 52 00 4C 00 4D 00 4F 00 4E 00 2E 00 44 00 4C 00 4C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 55 00 52 00 4C 00 4D 00 4F 00 4E 00 2E 00 44 00 4C 00 4C 00 00 00 00 00 55 00 52 00 4C 00 44 00 6F 00 77 00 6E 00 6C 00 6F 00 61 00 64 00 54 00 6F 00 43 00 61 00 63 00 68 00 65 00 46 00 69 00 6C 00 65 00 57 00 00 00 }
	condition:
		$1
}

rule function_111097_0 {
	meta:
		name = "LoadFromURL"
		size = 214
		refs = "001b @UStrAddRef 0023 LoadFromURL 002e InitURLMon 0046 @UStrToPWChar 004f URLDownloadToCacheFile 0071 SErrorDownloadingURL 0078 _Dn_Exception 007d Exception.CreateResFmt 0082 @RaiseExcept 0098 @UStrFromWArray 00a5 TMemoryStream.LoadFromFile 00bd @UStrClr 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 81 C4 E4 FD FF FF 53 33 C9 89 8D E4 FD FF FF 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? 6A 00 6A 00 68 05 01 00 00 8D 85 F2 FD FF FF 50 8B 45 FC E8 ?? ?? ?? ?? 50 6A 00 FF 15 ?? ?? ?? ?? 85 C0 74 2F 8B 45 FC 89 85 E8 FD FF FF C6 85 EC FD FF FF 11 8D 85 E8 FD FF FF 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 85 E4 FD FF FF 8D 95 F2 FD FF FF B9 05 01 00 00 E8 ?? ?? ?? ?? 8B 95 E4 FD FF FF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 E4 FD FF FF E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111098_0 {
	meta:
		name = "Tox4DOMDocument.load"
		size = 416
		refs = "0016 @VarAddRef 001f Tox4DOMDocument.load 0037 _Dn_TMemoryStream 003c TObject.Create 005c @VarToUStr 006e @UStrCopy 0079 LowerCase 0086 @UStrEqual 009e LoadFromURL 00b6 TMemoryStream.LoadFromFile 00c4 Tox4DOMDocument.loadFromStream 00c9 @CheckAutoResult 00e8 TObject.Free 00ee @HandleFinally 00ff DOMVendorNotSupported 0111 @HandleAutoException 011e @UStrArrayClr 0126 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7D 0C 08 0F 85 C0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 8D 45 F0 8D 55 0C E8 ?? ?? ?? ?? 8B 45 F0 B9 07 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 18 8D 45 EC 8D 55 0C E8 ?? ?? ?? ?? 8B 45 EC 8B 55 FC E8 ?? ?? ?? ?? EB 16 8D 45 E8 8D 55 0C E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8D 45 E4 50 8B 45 FC 50 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 E4 8B 55 1C 66 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 E8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 18 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 41 00 44 00 4F 00 4D 00 20 00 58 00 4D 00 4C 00 20 00 76 00 34 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6C 00 6F 00 61 00 64 00 28 00 6F 00 62 00 6A 00 65 00 63 00 74 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_111099_0 {
	meta:
		name = "Tox4DOMDocument.loadxml"
		size = 74
		refs = "000e Tox4DOMDocument.loadxml 0025 Tox4DOMImplementation.loadxml 003d @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 3C 50 8B CB 8B 55 0C 8B 43 34 E8 ?? ?? ?? ?? 8B 55 10 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_111100_0 {
	meta:
		name = "Tox4DOMDocument.loadFromStream"
		size = 74
		refs = "000e Tox4DOMDocument.loadFromStream 0025 Tox4DOMImplementation.loadFromStream 003d @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 3C 50 8B CB 8B 55 0C 8B 43 34 E8 ?? ?? ?? ?? 8B 55 10 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_111101_0 {
	meta:
		name = "Tox4DOMDocument.save"
		size = 276
		refs = "0015 @VarAddRef 001e Tox4DOMDocument.save 003b @VarToUStr 0045 _Dn_TFileStream 004a TFileStream.Create 0065 Tox4DOMDocument.saveToStream 006a @CheckAutoResult 007f TObject.Free 0085 @HandleFinally 0096 DOMVendorNotSupported 00a8 @HandleAutoException 00b0 @UStrClr 00b8 @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7D 0C 08 75 5C 68 00 FF 00 00 8D 45 F8 8D 55 0C E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 14 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 41 00 44 00 4F 00 4D 00 20 00 58 00 4D 00 4C 00 20 00 76 00 34 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 73 00 61 00 76 00 65 00 28 00 6F 00 62 00 6A 00 65 00 63 00 74 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_111102_0 {
	meta:
		name = "Tox4DOMDocument.saveToStream"
		size = 244
		refs = "0019 Tox4DOMDocument.saveToStream 0026 Tox4DOMNode.AllocParser 0048 Tox4DOMDocument.GetNativeDocument 0052 @WStrEqual 0080 @UStrFromWStr 00ab TObject.Free 00b1 @HandleFinally 00c5 @HandleAutoException 00cd @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 8B 75 0C 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 84 80 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 40 5C 33 D2 E8 ?? ?? ?? ?? 75 19 56 8B C3 E8 ?? ?? ?? ?? 8B D0 B9 ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 64 EB 29 56 8B C3 E8 ?? ?? ?? ?? 8B 50 5C 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 59 8B 18 FF 53 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 }
	condition:
		$1
}

rule function_111103_0 {
	meta:
		name = "Tox4DOMDocument.loadFromStream"
		size = 146
		refs = "0011 Tox4DOMDocument.loadFromStream 0021 _DV_TDOMIStreamAdapter 0026 TDOMIStreamAdapter.Create 004a @CheckAutoResult 0069 TObject.Free 006f @HandleFinally 0083 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8B 45 FC 50 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 45 F8 8B 55 10 66 89 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_111104_0 {
	meta:
		name = "Tox4DOMDocument.saveToStream"
		size = 129
		refs = "000f Tox4DOMDocument.saveToStream 001f _DV_TDOMIStreamAdapter 0024 TDOMIStreamAdapter.Create 0044 @CheckAutoResult 0059 TObject.Free 005f @HandleFinally 0073 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111105_0 {
	meta:
		name = "Tox4DOMDocument.get_errorCode"
		size = 59
		refs = "000e Tox4DOMDocument.get_errorCode 002e @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 0C 8B 40 3C 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111106_0 {
	meta:
		name = "Tox4DOMDocument.get_filepos"
		size = 59
		refs = "000e Tox4DOMDocument.get_filepos 002e @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 0C 8B 40 58 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111107_0 {
	meta:
		name = "Tox4DOMDocument.get_line"
		size = 59
		refs = "000e Tox4DOMDocument.get_line 002e @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 0C 8B 40 50 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111108_0 {
	meta:
		name = "Tox4DOMDocument.get_linepos"
		size = 59
		refs = "000e Tox4DOMDocument.get_linepos 002e @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 08 50 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 0C 8B 40 54 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111109_0 {
	meta:
		name = "Tox4DOMDocument.get_reason"
		size = 73
		refs = "0019 Tox4DOMDocument.get_reason 002a @UStrFromWStr 003c @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 8B 53 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111110_0 {
	meta:
		name = "Tox4DOMDocument.get_srcText"
		size = 73
		refs = "0019 Tox4DOMDocument.get_srcText 002a @UStrFromWStr 003c @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 8B 53 4C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111111_0 {
	meta:
		name = "Tox4DOMDocument.get_url"
		size = 73
		refs = "0019 Tox4DOMDocument.get_url 002a @UStrFromWStr 003c @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 8B 53 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111112_0 {
	meta:
		name = "Tox4DOMDocument.asyncLoadState"
		size = 57
		refs = "000d Tox4DOMDocument.asyncLoadState 002c @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 33 D2 89 10 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111113_0 {
	meta:
		name = "Tox4DOMDocument.set_OnAsyncLoad"
		size = 148
		refs = "000d Tox4DOMDocument.set_OnAsyncLoad 0022 DOMVendorNotSupported 0034 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 41 00 44 00 4F 00 4D 00 20 00 58 00 4D 00 4C 00 20 00 76 00 34 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 73 00 65 00 74 00 5F 00 4F 00 6E 00 41 00 73 00 79 00 6E 00 63 00 4C 00 6F 00 61 00 64 00 00 00 }
	condition:
		$1
}

rule function_111114_0 {
	meta:
		name = "Tox4DOMDocument.get_Encoding"
		size = 80
		refs = "0019 Tox4DOMDocument.get_Encoding 0026 Tox4DOMDocument.GetNativeDocument 0031 @UStrFromWStr 0043 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 50 5C 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111115_0 {
	meta:
		name = "Tox4DOMDocument.set_Encoding"
		size = 69
		refs = "000e Tox4DOMDocument.set_Encoding 001b Tox4DOMDocument.GetNativeDocument 0026 @WStrFromUStr 0038 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 C0 5C 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111116_0 {
	meta:
		name = "Tox4DOMDocument.get_Standalone"
		size = 164
		refs = "0019 Tox4DOMDocument.get_Standalone 0026 Tox4DOMDocument.GetNativeDocument 0043 @UStrAsg 005c @UStrClr 006e @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 0F B6 40 60 2C 01 72 08 74 15 FE C8 74 20 EB 26 8B 45 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 8B 45 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 79 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6E 00 6F 00 00 00 00 00 }
	condition:
		$1
}

rule function_111117_0 {
	meta:
		name = "Tox4DOMDocument.set_Standalone"
		size = 160
		refs = "0011 Tox4DOMDocument.set_Standalone 0023 @UStrEqual 002c Tox4DOMDocument.GetNativeDocument 006a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 75 0C 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8B C3 E8 ?? ?? ?? ?? C6 40 60 00 EB 26 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8B C3 E8 ?? ?? ?? ?? C6 40 60 01 EB 0B 8B C3 E8 ?? ?? ?? ?? C6 40 60 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 79 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6E 00 6F 00 00 00 00 00 }
	condition:
		$1
}

rule function_111118_0 {
	meta:
		name = "Tox4DOMDocument.get_Version"
		size = 80
		refs = "0019 Tox4DOMDocument.get_Version 0026 Tox4DOMDocument.GetNativeDocument 0031 @UStrFromWStr 0043 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 50 64 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111119_0 {
	meta:
		name = "Tox4DOMDocument.set_Version"
		size = 69
		refs = "000e Tox4DOMDocument.set_Version 001b Tox4DOMDocument.GetNativeDocument 0026 @WStrFromUStr 0038 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 C0 64 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111120_0 {
	meta:
		name = "PossiblyDeleteWhiteSpaceNode"
		size = 110
		refs = "000e PossiblyDeleteWhiteSpaceNode 0030 NormalizeWhiteSpace 003a @WStrEqual 0043 TObject.Free 005d @WStrArrayClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 2B 8D 55 F8 8B C3 8B 08 FF 91 B0 00 00 00 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111121_0 {
	meta:
		name = "Tox4DOMDocument.RemoveWhiteSpaceNodes"
		size = 196
		refs = "0013 Tox4DOMDocument.RemoveWhiteSpaceNodes 0021 @IntfClear 0028 Tox4DOMDocument.get_documentElement 002d @CheckAutoResult 0043 _Dn_TDomNodeIterator 0048 TDomNodeIterator.Create 0070 PossiblyDeleteWhiteSpaceNode 0090 TObject.Free 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 50 6A 00 6A 01 8B 4B 64 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 F6 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 14 8B D8 85 DB 74 0B 8B C6 E8 ?? ?? ?? ?? 8B F3 EB E7 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 08 00 00 00 }
	condition:
		$1
}

rule function_111122_0 {
	meta:
		name = "Tox4DOMImplementationFactory.DOMImplementation"
		size = 66
		refs = "0008 GlobalOx4DOM 0012 _DV_Tox4DOMImplementation 0017 Tox4DOMImplementation.Create 0031 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 3D ?? ?? ?? ?? 00 75 26 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8D 43 04 8B 15 ?? ?? ?? ?? 85 D2 74 03 83 EA D8 E8 ?? ?? ?? ?? 8B C6 8B 53 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111123_0 {
	meta:
		name = "Tox4DOMImplementationFactory.Description"
		size = 56
		refs = "0006 Tox4DOMImplementationFactory.Description 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 41 00 44 00 4F 00 4D 00 20 00 58 00 4D 00 4C 00 20 00 76 00 34 00 00 00 }
	condition:
		$1
}

rule function_111124_0 {
	meta:
		name = "Finalization"
		size = 61
		refs = "0002 _DV_02 000b URLDownloadToCacheFile 0011 UrlMonHandle 001f FreeLibrary 0024 OpenXML4Factory 0029 UnRegisterDOMVendor 0033 TObject.Free 0038 FreeContextNodes"
	strings:
		$1 = { FF 05 ?? ?? ?? ?? 75 34 33 C0 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_111125_0 {
	meta:
		name = "Xml.adomxmldom"
		size = 42
		refs = "0002 _DV_02 000a InitContextNodes 0011 _DV_Tox4DOMImplementationFactory 0016 TObject.Create 001b OpenXML4Factory 0025 RegisterDOMVendor"
	strings:
		$1 = { 83 2D ?? ?? ?? ?? 01 73 20 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_111126_0 {
	meta:
		name = "LoadFile"
		size = 93
		refs = "000d _Dn_TStringList 0012 TStringList.Create 001d LoadFile 004c TObject.Free 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC 8B 08 FF 51 68 8B D6 8B 45 FC 8B 08 FF 51 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_111127_0 {
	meta:
		name = "Join"
		size = 186
		refs = "001a @UStrAddRef 0022 Join 003e @UStrAsg 0084 @UStrCatN 009f @UStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 8B F1 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 14 85 C0 75 0C 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 0C 8B CE 33 D2 8B 45 F8 8B 18 FF 53 0C 8B 45 F8 8B 10 FF 52 14 8B D8 4B 85 DB 7E 2F C7 45 F4 01 00 00 00 FF 36 FF 75 FC 8D 4D F0 8B 55 F4 8B 45 F8 8B 38 FF 57 0C FF 75 F0 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? FF 45 F4 4B 75 D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111128_0 {
	meta:
		name = "Split"
		size = 358
		refs = "001d @UStrAddRef 002d Split 0045 @UStrLAsg 0055 Pos 006d @UStrClr 009b @UStrDelete 0131 @UStrLen 0153 @UStrArrayClr 0159 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D F4 89 5D F0 8B F1 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 44 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? E9 DF 00 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 75 17 8B 55 F4 8B C6 8B 08 FF 51 38 8D 45 F4 E8 ?? ?? ?? ?? E9 B7 00 00 00 83 FB 01 75 29 33 D2 8B C6 8B 08 FF 51 38 8B 7D F8 85 FF 74 05 83 EF 04 8B 3F 8D 45 F4 8B CF BA 01 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F0 89 45 EC 83 7D EC 00 74 0B 8B 45 EC 83 E8 04 8B 00 89 45 EC 8D 45 F0 8B 4D EC 8B D3 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 8B 08 FF 51 38 8B 45 F8 89 45 E8 83 7D E8 00 74 0B 8B 45 E8 83 E8 04 8B 00 89 45 E8 8B CB 03 4D E8 49 8D 45 F4 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 89 45 E4 83 7D E4 00 74 0B 8B 45 E4 83 E8 04 8B 00 89 45 E4 83 7D E4 00 75 09 33 D2 8B C6 8B 08 FF 51 38 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 8F 11 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111129_0 {
	meta:
		name = "Head"
		size = 202
		refs = "0018 @UStrAddRef 0028 Head 0039 Pos 0049 @UStrAsg 0050 @UStrClr 0078 @UStrDelete 00b5 @UStrArrayClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F9 89 55 F8 89 45 FC 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 75 13 8B C6 8B 55 FC E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 49 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8D 0C 18 49 8B C7 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 55 FC 8B C8 8B C3 92 E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_111130_0 {
	meta:
		name = "Tail"
		size = 147
		refs = "0013 @UStrAddRef 0023 Tail 0034 Pos 003f @UStrClr 005e @UStrDelete 0068 @UStrAsg 0082 @UStrArrayClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D9 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 75 09 8B C3 E8 ?? ?? ?? ?? EB 27 8B 55 F8 85 D2 74 05 83 EA 04 8B 12 8D 0C 02 49 8D 45 FC BA 01 00 00 00 E8 ?? ?? ?? ?? 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111131_0 {
	meta:
		name = "Trim"
		size = 504
		refs = "0016 @UStrAddRef 001e Trim 003f _Dn_TStringList 0044 TStringList.Create 0065 Split 0075 Join 00ca TObject.Free 00d0 @HandleFinally 00e2 Tail 00ed @UStrLAsg 00f5 @UStrLen 011b @UStrSetLength 017d @UStrAsg 0187 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 C9 89 4D F0 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 85 C0 0F 8E 47 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 22 8B 45 FC 66 83 38 20 74 D0 EB 17 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8B D3 4A 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 2C 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 66 83 7C 42 FE 20 74 CA EB 17 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8B D3 4A 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7E 13 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC 66 83 7C 42 FE 00 74 CA 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? EB 08 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_111132_0 {
	meta:
		name = "ReadName"
		size = 348
		refs = "0022 @UStrAddRef 002a ReadName 003b Trim 0046 @UStrLAsg 00a6 @UStrFromWChar 00b4 Head 00e2 @UStrCat3 00fa @UStrAsg 011f @UStrArrayClr 0127 @UStrClr 012d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 66 C7 45 F2 20 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D0 85 D2 7E 38 B8 01 00 00 00 BE ?? ?? ?? ?? 8B 4D FC 0F B7 4C 41 FE 66 81 F9 FF 00 77 06 0F B7 C9 0F A3 0E 0F 92 C1 84 C9 74 0E 8B 55 FC 0F B7 54 42 FE 66 89 55 F2 EB 04 40 4A 75 CD 8D 45 E8 50 8D 45 E4 0F B7 55 F2 E8 ?? ?? ?? ?? 8B 55 E4 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 66 83 7D F2 20 74 1C 8D 45 E0 0F B7 55 F2 E8 ?? ?? ?? ?? 8B 55 E0 8B 4D F8 8B 09 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 DC 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 8B E5 5D C3 00 00 00 00 00 00 00 09 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_111133_0 {
	meta:
		name = "Replace"
		size = 175
		refs = "001c @UStrAddRef 0034 Replace 0041 @UStrClr 0057 Head 0069 @UStrCatN 0074 Pos 0082 @UStrCat 009c @UStrArrayClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 4D F4 89 55 F8 89 45 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? EB 26 FF 33 8D 45 F0 50 8D 4D FC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? FF 75 F0 FF 75 F4 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 7F CB 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_111134_0 {
	meta:
		name = "UnQuote"
		size = 120
		refs = "0018 @UStrAddRef 0020 UnQuote 0033 Tail 003e @UStrLAsg 004c Head 0066 @UStrArrayClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 56 8D 4D FC 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111135_0 {
	meta:
		name = "TDTDBaseTranslator.AfterConstruction"
		size = 27
		refs = "0006 TInterfacedObject.AfterConstruction 000d _Dn_TStringList 0012 TStringList.Create"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 5B C3 }
	condition:
		$1
}

rule function_111136_0 {
	meta:
		name = "TDTDBaseTranslator.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TObject.Destroy 0022 TObject.Free 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8D 46 18 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111137_0 {
	meta:
		name = "TDTDImportTranslator.Translate"
		size = 308
		refs = "0019 TDTDImportTranslator.Translate 0029 TXMLSchemaTranslator.Translate 005d _Dn_TStringList 0062 TStringList.Create 0082 Split 00a7 Join 00bc TObject.Free 00c2 @HandleFinally 00da TDTDImportTranslator.Expand 00e5 @UStrLAsg 00f0 TDTDImportTranslator.Parse 0105 @UStrClr 0112 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B DA 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 F0 E8 ?? ?? ?? ?? 85 DB 0F 84 BF 00 00 00 8B 45 F0 8B 40 18 8B D3 8B 08 FF 51 68 8D 55 FC 8B 45 F0 8B 40 18 8B 08 FF 51 1C 83 7D FC 00 0F 84 9A 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 8B D0 4A 33 C9 8B 45 EC 8B 18 FF 53 20 8D 4D F8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 50 8D 45 E8 50 8D 4D F4 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_111138_0 {
	meta:
		name = "TDTDImportTranslator.ExtractDtdParts"
		size = 224
		refs = "001d @UStrAddRef 0035 TDTDImportTranslator.ExtractDtdParts 0056 Head 0083 Trim 00a5 @UStrLen 00c3 @UStrArrayClr 00cb @UStrClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 89 55 FC 8B 7D 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 10 FF 52 44 EB 59 8D 45 F0 50 8D 4D FC 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 85 DB 7E 37 8D 45 F4 50 8D 4D FC 8B 55 0C 8B 45 FC E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 75 F4 85 F6 74 05 83 EE 04 8B 36 85 F6 7E 0A 8B 55 F4 8B C7 8B 08 FF 51 38 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7F 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_111139_0 {
	meta:
		name = "SubstituteEntities"
		size = 640
		refs = "0024 @UStrAddRef 0034 SubstituteEntities 006d Tail 0078 @UStrLAsg 0086 ReadName 0093 Pos 00e7 Head 0100 @UStrCat3 010b LoadFile 012c Replace 0197 @UStrCatN 01df @UStrAsg 01f9 @UStrArrayClr 020e @UStrClr 0214 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E0 89 55 E4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E4 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 87 01 00 00 46 33 DB 8D 4D F8 8B D3 8B 45 E4 8B 38 FF 57 0C 8D 4D DC BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 E8 ?? ?? ?? ?? 8D 4D F4 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E A4 00 00 00 8D 4D D8 8B D3 8B 45 E4 8B 38 FF 57 0C 8B 45 D8 8D 4D F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D D4 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 D4 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 D0 50 8D 4D E8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 CC 8B 4D F0 8B 55 0C E8 ?? ?? ?? ?? 8B 45 CC 8D 55 EC E8 ?? ?? ?? ?? 8D 45 C8 50 8D 4D C4 8B D3 8B 45 E4 8B 38 FF 57 0C 8B 55 C4 B9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 E0 C6 00 01 EB 3A 8D 4D C0 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 55 C0 8D 45 EC E8 ?? ?? ?? ?? 8D 45 BC 50 8D 4D E8 BA ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 55 BC 8D 45 EC E8 ?? ?? ?? ?? 8D 45 B8 50 68 ?? ?? ?? ?? FF 75 EC 68 ?? ?? ?? ?? 8D 45 B4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 B4 50 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 B0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 B0 8B 45 FC 59 E8 ?? ?? ?? ?? 8B 55 B8 8D 45 FC E8 ?? ?? ?? ?? 43 4E 0F 85 7C FE FF FF 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 0C 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 59 00 53 00 54 00 45 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_111140_0 {
	meta:
		name = "TDTDImportTranslator.Expand"
		size = 852
		refs = "0023 @UStrAddRef 0033 TDTDImportTranslator.Expand 0052 @UStrLAsg 0059 _Dn_TStringList 005e TStringList.Create 0088 TDTDImportTranslator.ExtractDtdParts 0109 ReadName 0113 @UStrAsg 0128 TObject.Free 012e @HandleFinally 015d Head 0168 Trim 01f6 SubstituteEntities 020c @UStrEqual 026c @HandleAnyException 0274 @UStrClr 0279 @DoneExcept 0293 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 89 55 FC 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 E4 50 B9 ?? ?? ?? ?? 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E4 8B 10 FF 52 14 85 C0 0F 85 98 00 00 00 83 3B 00 0F 85 8F 00 00 00 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 E8 50 B9 ?? ?? ?? ?? 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 14 85 C0 7E 25 8D 4D D8 33 D2 8B 45 E8 8B 30 FF 56 0C 8B 45 D8 8D 4D DC 8D 55 F4 E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 E4 8B 10 FF 52 14 85 C0 74 4A 8D 4D F8 33 D2 8B 45 E4 8B 30 FF 56 0C 8D 45 D0 50 8D 4D F8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 D0 8D 55 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? 8D 55 CC 8B 03 E8 ?? ?? ?? ?? 8B 55 CC 8B C3 E8 ?? ?? ?? ?? C6 45 E3 01 E9 9C 00 00 00 C6 45 E3 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8B 45 EC 50 B9 ?? ?? ?? ?? 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 85 C0 7E 39 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 0C 50 8D 45 C8 50 8D 4D E3 8B 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 C8 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 75 C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D E3 00 0F 85 5A FF FF FF 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 5D 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 21 00 44 00 4F 00 43 00 54 00 59 00 50 00 45 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 21 00 45 00 4C 00 45 00 4D 00 45 00 4E 00 54 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 3C 00 21 00 45 00 4E 00 54 00 49 00 54 00 59 00 00 00 00 00 }
	condition:
		$1
}

rule function_111141_0 {
	meta:
		name = "TDTDImportTranslator.Parse"
		size = 352
		refs = "0010 @UStrAddRef 0018 TDTDImportTranslator.Parse 0042 _Dn_TStringList 0047 TStringList.Create 0080 TDTDImportTranslator.ExtractDtdParts 00a5 TDTDImportTranslator.PreparseAttributeDefinitions 00b2 TDTDImportTranslator.ParseElementDefinitions 00bc TDTDImportTranslator.ParseAttributeDefinitions 00d1 TObject.Free 00e7 @HandleFinally 00fe @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 33 C0 89 45 F0 33 C0 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 68 ?? ?? ?? ?? 8B 45 F8 50 B9 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 50 B9 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 4D F0 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 21 00 45 00 4C 00 45 00 4D 00 45 00 4E 00 54 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 21 00 41 00 54 00 54 00 4C 00 49 00 53 00 54 00 00 00 }
	condition:
		$1
}

rule function_111142_0 {
	meta:
		name = "TDTDImportTranslator.PreParseChildElements"
		size = 656
		refs = "0023 @UStrAddRef 002b TDTDImportTranslator.PreParseChildElements 0039 @UStrClr 0051 Tail 005c @UStrLAsg 00ad @UStrFromWChar 0174 @UStrAsg 021b @UStrArrayClr 022e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D EC 89 55 FC 89 45 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8D 4D D0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D0 8D 45 FC E8 ?? ?? ?? ?? C6 45 E7 01 E9 87 01 00 00 8B 45 FC 89 45 E0 83 7D E0 00 74 0B 8B 45 E0 83 E8 04 8B 00 89 45 E0 8B 75 E0 85 F6 0F 8E 44 01 00 00 C7 45 E8 01 00 00 00 8B 45 FC 8B 55 E8 0F B7 5C 50 FE 66 83 FB 29 0F 85 95 00 00 00 8D 45 C8 8B D3 E8 ?? ?? ?? ?? 8B 55 C8 8D 4D CC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC 8D 45 FC E8 ?? ?? ?? ?? 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 85 FF 7E 59 8B 45 FC 0F B7 18 B8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 8B D3 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 88 45 DB 80 7D DB 00 74 2D 8B 45 EC 8B D3 E8 ?? ?? ?? ?? 8D 45 C0 8B D3 E8 ?? ?? ?? ?? 8B 55 C0 8D 4D C4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C4 8D 45 FC E8 ?? ?? ?? ?? C6 45 E7 00 E9 93 00 00 00 66 83 FB 28 75 23 8D 45 F4 50 8D 45 BC 50 8D 4D F8 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 BC 8D 45 FC E8 ?? ?? ?? ?? EB 6A 66 83 FB 7C 75 2A 8B 45 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D B8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 B8 8D 45 FC E8 ?? ?? ?? ?? EB 3A 66 83 FB 2C 75 2A 8B 45 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D B4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 B4 8D 45 FC E8 ?? ?? ?? ?? EB 0A FF 45 E8 4E 0F 85 C3 FE FF FF 8B 45 FC 89 45 D4 83 7D D4 00 74 0B 8B 45 D4 83 E8 04 8B 00 89 45 D4 83 7D D4 00 75 04 C6 45 E7 00 80 7D E7 00 0F 85 6F FE FF FF 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 00 00 00 00 00 0C 00 80 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2C 00 00 00 }
	condition:
		$1
}

rule function_111143_0 {
	meta:
		name = "TDTDImportTranslator.ParseElementDefinitions"
		size = 860
		refs = "0023 TDTDImportTranslator.ParseElementDefinitions 005a ReadName 0089 Pos 012b @UStrCat3 0147 @UStrLAsg 0204 TDTDImportTranslator.ParseChildElements 0245 @IntfClear 0255 @UStrClr 02ba @UStrArrayClr 02c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E4 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 10 FF 52 14 8B D8 4B 85 DB 0F 8C F4 01 00 00 43 33 F6 8D 4D FC 8B D6 8B 45 E8 8B 38 FF 57 0C 8D 4D F8 8D 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 E4 8B 08 FF 51 54 40 74 06 C6 45 E3 01 EB 04 C6 45 E3 00 83 7D F8 00 0F 84 AC 01 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 06 C6 45 E2 01 EB 04 C6 45 E2 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 06 C6 45 E1 01 EB 04 C6 45 E1 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7F 10 80 7D E2 00 75 0A 80 7D E1 00 0F 84 33 01 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 04 B0 01 EB 02 33 C0 84 C0 75 0A 80 7D E2 00 0F 84 8C 00 00 00 80 7D E3 00 0F 85 82 00 00 00 8D 45 DC 50 8D 55 D8 8B 45 EC 8B 40 10 8B 08 FF 91 C8 00 00 00 8B 45 D8 50 8D 45 D4 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 4D D4 8B 55 F8 58 8B 38 FF 97 D4 00 00 00 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D0 50 8D 55 CC 8B 45 EC 8B 40 10 8B 08 FF 91 F0 00 00 00 8B 45 CC 50 8D 45 C8 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 C8 8B 4D F4 58 8B 38 FF 97 D0 00 00 00 E9 A4 00 00 00 8D 45 C4 50 8D 55 C0 8B 45 EC 8B 40 10 8B 08 FF 91 C8 00 00 00 8B 45 C0 50 8D 45 BC B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 4D BC 8B 55 F8 58 8B 38 FF 97 D4 00 00 00 8D 45 F0 50 8D 55 B8 8B 45 EC 8B 40 10 8B 08 FF 91 C0 00 00 00 8B 45 B8 50 8D 45 B4 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 B4 B1 02 58 8B 38 FF 97 D0 00 00 00 8D 45 FC 50 33 C9 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? EB 22 8D 55 AC 8B 45 EC 8B 40 10 8B 08 FF 91 C8 00 00 00 8B 45 AC 8D 4D B0 8B 55 F8 8B 38 FF 97 D0 00 00 00 46 4B 0F 85 0F FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 78 FF FF FF 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 45 00 4D 00 50 00 54 00 59 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 41 00 4E 00 59 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 23 00 50 00 43 00 44 00 41 00 54 00 41 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_111144_0 {
	meta:
		name = "TDTDImportTranslator.ParseTokens"
		size = 376
		refs = "0019 @UStrAddRef 0021 TDTDImportTranslator.ParseTokens 003d Split 004c Join 00c0 Trim 011c @UStrArrayClr 0124 @UStrClr 012a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 44 8B CE BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B CE BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B CE BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D FC BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B CE BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 14 48 85 C0 7C 2F 40 89 45 F8 33 DB 8D 4D F0 8B D3 8B C6 8B 38 FF 57 0C 8B 45 F0 8D 55 F4 E8 ?? ?? ?? ?? 8B 4D F4 8B D3 8B C6 8B 38 FF 57 20 43 FF 4D F8 75 D7 8B C6 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 21 8D 4D EC 8B D3 8B C6 8B 38 FF 57 0C 83 7D EC 00 75 09 8B D3 8B C6 8B 08 FF 51 48 4B 83 FB FF 75 DF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 0D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 09 00 00 00 }
	condition:
		$1
}

rule function_111145_0 {
	meta:
		name = "TDTDImportTranslator.ParseAttributeDefinition"
		size = 2016
		refs = "001a @UStrAddRef 0022 TDTDImportTranslator.ParseAttributeDefinition 002f _Dn_TStringList 0034 TStringList.Create 0059 Head 0064 @UStrLAsg 007a Replace 0092 TDTDImportTranslator.ParseTokens 00c1 @UStrCat3 00e0 @IntfCast 00eb @TryFinallyExit 010c @UStrClr 0183 Pos 019b Tail 01b6 Trim 01c1 @UStrCat 022e Split 02c1 Join 02d6 TObject.Free 02dc @HandleFinally 02eb @UStrEqual 038f UnQuote 03e4 @UStrFromWChar 051e @VarFromUStr 05cc Variant 05d6 @FinalizeArray 05e1 @IntfClear 0625 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 19 00 00 00 6A 00 6A 00 49 75 F9 53 56 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 BC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 A0 50 8D 4D D4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 A0 8D 45 FC E8 ?? ?? ?? ?? 8D 45 9C 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 9C 8D 45 FC E8 ?? ?? ?? ?? 8B 4D BC 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 33 D2 8B 45 BC 8B 30 FF 56 0C 8D 55 94 8B 43 10 8B 08 FF 91 C0 00 00 00 8B 45 94 50 8D 45 90 B9 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 90 8D 4D 98 58 8B 18 FF 93 C4 00 00 00 8B 55 98 8D 45 D0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D D0 00 75 0A E8 ?? ?? ?? ?? E9 C3 04 00 00 C7 45 C0 01 00 00 00 C6 45 B6 01 E9 8C 04 00 00 C6 45 B7 00 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 8B 10 FF 52 14 3B 45 C0 7E 0E 8D 4D F4 8B 55 C0 8B 45 BC 8B 18 FF 53 0C 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 89 45 B0 FF 45 C0 8B 45 BC 8B 10 FF 52 14 3B 45 C0 0F 8E C0 01 00 00 8D 4D E8 8B 55 C0 8B 45 BC 8B 18 FF 53 0C FF 45 C0 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 53 01 00 00 8D 4D DC BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? EB 27 8D 4D 8C 8B 55 C0 8B 45 BC 8B 18 FF 53 0C 8B 45 8C 8D 55 E8 E8 ?? ?? ?? ?? 8D 45 DC 8B 55 E8 E8 ?? ?? ?? ?? FF 45 C0 8B 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0D 8B 45 BC 8B 10 FF 52 14 3B 45 C0 7F BB 8D 45 88 50 8D 4D D4 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 55 88 8D 45 DC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D B8 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 45 B8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 74 43 C7 45 C4 00 00 00 00 8D 4D 84 8B 55 C4 8B 45 B8 8B 30 FF 56 0C 8B 45 84 8D 55 E8 E8 ?? ?? ?? ?? 83 7D F0 00 75 0B 8D 45 F0 8B 55 E8 E8 ?? ?? ?? ?? 8B 75 E8 85 F6 74 05 83 EE 04 8B 36 3B 75 B0 7E 1D 8B 45 E8 89 45 AC 83 7D AC 00 74 0B 8B 45 AC 83 E8 04 8B 00 89 45 AC 8B 45 AC 89 45 B0 8B 4D E8 8B 55 C4 8B 45 B8 8B 30 FF 56 20 FF 45 C4 4B 75 94 8D 4D DC BA ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 36 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8D 45 EC 8B 55 E8 E8 ?? ?? ?? ?? EB 1A 8D 45 EC 8B 55 E8 E8 ?? ?? ?? ?? EB 0D 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 8B 10 FF 52 14 3B 45 C0 0F 8E AF 00 00 00 8D 4D D8 8B 55 C0 8B 45 BC 8B 18 FF 53 0C 8B 45 D8 66 83 38 23 75 50 FF 45 C0 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 C6 45 B7 01 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 10 8D 4D E0 BA ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 8B 45 BC 8B 10 FF 52 14 3B 45 C0 7E 0E 8D 4D D8 8B 55 C0 8B 45 BC 8B 18 FF 53 0C B8 ?? ?? ?? ?? 89 45 A8 8B 45 D8 0F B7 00 8B 55 A8 66 3D FF 00 77 06 0F B7 C0 0F A3 02 0F 92 C0 88 45 A7 80 7D A7 00 74 1F FF 45 C0 8D 45 80 8B 55 D8 0F B7 12 E8 ?? ?? ?? ?? 8B 55 80 8D 4D E4 8B 45 D8 E8 ?? ?? ?? ?? 83 7D DC 00 0F 84 E5 00 00 00 8B 45 EC 50 8D 45 CC 50 8D 95 7C FF FF FF 8B 45 D0 8B 08 FF 91 68 01 00 00 8B 85 7C FF FF FF B1 01 8B 55 F4 8B 18 FF 93 D8 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D B8 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 45 B8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 60 43 C7 45 C8 00 00 00 00 8D 8D 74 FF FF FF 8B 55 C8 8B 45 B8 8B 30 FF 56 0C 8B 85 74 FF FF FF 50 8D 95 6C FF FF FF 8B 45 CC 8B 08 FF 91 DC 00 00 00 8B 85 6C FF FF FF 8D 95 70 FF FF FF 8B 08 FF 91 E0 00 00 00 8B 85 70 FF FF FF 8D 8D 78 FF FF FF 5A 8B 30 FF 96 C0 00 00 00 FF 45 C8 4B 75 A8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 B8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 45 CC 50 8D 95 68 FF FF FF 8B 45 D0 8B 08 FF 91 68 01 00 00 8B 85 68 FF FF FF 8B 4D EC 8B 55 F4 8B 18 FF 93 D4 00 00 00 83 7D E4 00 74 1F 8D 85 58 FF FF FF 8B 55 E4 E8 ?? ?? ?? ?? 8D 95 58 FF FF FF 8B 45 CC 8B 08 FF 91 04 01 00 00 80 7D B7 00 74 21 8D 85 48 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 48 FF FF FF 8B 45 CC 8B 08 FF 91 00 01 00 00 83 7D E0 00 74 1F 8D 85 38 FF FF FF 8B 55 E0 E8 ?? ?? ?? ?? 8D 95 38 FF FF FF 8B 45 CC 8B 08 FF 91 08 01 00 00 8B 45 BC 8B 10 FF 52 14 3B 45 C0 7F 04 C6 45 B6 00 80 7D B6 00 0F 85 6A FB FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 BC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 56 FF FF FF 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 28 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 79 00 70 00 65 00 00 00 00 00 23 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 29 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 44 00 41 00 54 00 41 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 4F 00 54 00 41 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 23 00 52 00 45 00 51 00 55 00 49 00 52 00 45 00 44 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 23 00 46 00 49 00 58 00 45 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 00 00 00 00 84 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 72 00 65 00 71 00 75 00 69 00 72 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_111147_0 {
	meta:
		name = "TDTDImportTranslator.PreparseAttributeDefinitions"
		size = 308
		refs = "0022 TDTDImportTranslator.PreparseAttributeDefinitions 0053 _Dn_TStringList 0058 TStringList.Create 008b Head 0099 TDTDImportTranslator.ParseTokens 00b9 @TryFinallyExit 00db TObject.Free 00e1 @HandleFinally 0104 @UStrClr 0111 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 DB 89 5D D8 89 5D FC 89 5D F8 89 5D F4 89 4D E8 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 10 FF 52 44 8B 45 EC 8B 10 FF 52 14 48 85 C0 0F 8C AE 00 00 00 40 89 45 DC C7 45 E4 00 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 4D D8 8B 55 E4 8B 45 EC 8B 18 FF 53 0C 8B 45 D8 8D 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 8D 4D F8 33 D2 8B 45 E0 8B 18 FF 53 0C 8B 55 F8 8B 45 E8 8B 08 FF 51 54 40 74 07 E8 ?? ?? ?? ?? EB 28 8B 55 F8 8B 45 E8 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 E4 FF 4D DC 0F 85 5D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_111148_0 {
	meta:
		name = "RemoveSuffix"
		size = 460
		refs = "001a RemoveSuffix 0080 Head 008b Trim 0095 @UStrAsg 00a8 @UStrFromWChar 00d8 Pos 0160 @UStrArrayClr 0168 @UStrClr 016e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 88 55 FB 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 3B 00 75 09 66 BB 20 00 E9 18 01 00 00 8B 03 89 45 F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 8B 13 0F B7 74 42 FE B8 ?? ?? ?? ?? 8B D6 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 84 C0 74 6B 66 83 FE 29 75 33 80 7D FB 00 74 2D 8D 45 EC 50 8D 4D FC 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? E9 AA 00 00 00 8D 45 E4 50 8D 45 E0 8B D6 E8 ?? ?? ?? ?? 8B 55 E0 8D 4D FC 8B 03 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B C3 E8 ?? ?? ?? ?? EB 78 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 2A 8D 45 D8 50 8D 4D FC 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC 8B C3 E8 ?? ?? ?? ?? EB 3E 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 2A 8D 45 D0 50 8D 4D FC 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 8D 55 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B C3 E8 ?? ?? ?? ?? EB 04 66 BE 20 00 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5E 5B 8B E5 5D C3 00 00 00 00 02 0E 00 80 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 }
	condition:
		$1
}

rule function_111149_0 {
	meta:
		name = "IncStrProp"
		size = 96
		refs = "0007 IncStrProp 0025 StrToInt 002d IntToStr 0039 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 B8 ?? ?? ?? ?? 0F B7 13 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 84 C0 74 12 8B C3 E8 ?? ?? ?? ?? 40 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 00 00 00 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_111150_0 {
	meta:
		name = "TDTDImportTranslator.ParseChildElements"
		size = 2008
		refs = "0026 @IntfAddRef 0036 TDTDImportTranslator.ParseChildElements 0056 TDTDImportTranslator.PreParseChildElements 0063 @UStrEqual 0101 @VarFromUStr 017a @IntfClear 018c Tail 0199 @UStrAsg 0207 @UStrFromWChar 0216 Head 0224 Trim 022e RemoveSuffix 03e6 @VarToUStr 03f7 IncStrProp 0600 @VarClr 0610 @UStrArrayClr 061c Variant 0626 @FinalizeArray 06ce @UStrClr 0709 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 2D 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 89 55 FC 89 45 DC 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 D0 8D 45 EC 50 8D 45 A0 50 8D 4D F0 8B 16 8B 45 DC E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 01 EB 02 B3 02 83 7D EC 00 0F 84 E9 00 00 00 83 7D F0 00 75 19 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0A 83 7D FC 00 0F 85 CA 00 00 00 83 7D FC 00 75 12 8B D3 8D 4D E0 8B 45 F8 8B 18 FF 93 D0 00 00 00 EB 1E 8D 55 9C 8B 45 FC 8B 08 FF 91 78 01 00 00 8B 45 9C 8B D3 8D 4D E0 8B 18 FF 93 D0 00 00 00 83 7D F0 00 74 7E 83 7D E0 00 74 78 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1B 8D 45 8C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 8C 8B 45 E0 8B 08 FF 91 DC 00 00 00 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 21 8D 85 7C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8B 45 E0 8B 08 FF 91 D8 00 00 00 8D 55 E8 8B 45 E0 8B 08 FF 91 C8 00 00 00 EB 1C 83 7D FC 00 74 16 8D 55 E8 8B 45 FC 8B 08 FF 91 88 01 00 00 8D 45 E0 E8 ?? ?? ?? ?? 8D 8D 78 FF FF FF 8B 06 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8B C6 E8 ?? ?? ?? ?? C6 45 D7 01 E9 31 04 00 00 8B 06 89 45 C8 8B 45 C8 89 45 C4 83 7D C4 00 74 0B 8B 45 C4 83 E8 04 8B 00 89 45 C4 8B 45 C4 85 C0 0F 8E E4 03 00 00 89 45 CC C7 45 D8 01 00 00 00 8B 06 8B 55 D8 0F B7 5C 50 FE 66 83 FB 29 74 10 66 83 FB 7C 74 0A 66 83 FB 2C 0F 85 6E 03 00 00 8D 85 74 FF FF FF 50 8D 85 70 FF FF FF 8B D3 E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 8B CE 8B 06 E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 8D 55 F4 E8 ?? ?? ?? ?? 8D 45 F4 B2 01 E8 ?? ?? ?? ?? 66 89 45 D4 83 7D F4 00 0F 84 19 03 00 00 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 06 03 00 00 83 7D E8 00 0F 84 FC 02 00 00 8D 4D E4 8B 55 F4 8B 45 E8 8B 38 FF 97 DC 00 00 00 83 7D E4 00 0F 85 45 01 00 00 8D 4D E4 8B 55 F4 8B 45 E8 8B 38 FF 97 D0 00 00 00 FF 45 D0 66 83 FB 29 0F 85 94 00 00 00 83 7D D0 01 0F 85 8A 00 00 00 B8 ?? ?? ?? ?? 89 45 C0 8B 45 C0 0F B7 55 D4 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 88 45 BF 80 7D BF 00 75 62 8B 06 89 45 B8 8B 45 B8 89 45 B4 83 7D B4 00 74 0B 8B 45 B4 83 E8 04 8B 00 89 45 B4 83 7D B4 00 7E 3A 8B 06 0F B7 00 66 89 45 D4 8D 85 68 FF FF FF 0F B7 55 D4 E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8D 8D 6C FF FF FF 8B 06 E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B C6 E8 ?? ?? ?? ?? EB 06 66 C7 45 D4 20 00 B8 ?? ?? ?? ?? 89 45 B0 8B 45 B0 0F B7 55 D4 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 88 45 AF 80 7D AF 00 0F 84 03 02 00 00 66 83 7D D4 3F 74 07 66 83 7D D4 2A 75 21 8D 85 58 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 58 FF FF FF 8B 45 E4 8B 08 FF 91 04 01 00 00 66 83 7D D4 2A 74 0B 66 83 7D D4 2B 0F 85 C2 01 00 00 8D 85 48 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 48 FF FF FF 8B 45 E4 8B 08 FF 91 00 01 00 00 E9 9C 01 00 00 66 83 7D D4 00 0F 85 AF 00 00 00 8D 95 20 FF FF FF 8B 45 E4 8B 08 FF 91 F8 00 00 00 8D 95 20 FF FF FF 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 8B 85 30 FF FF FF 8D 95 34 FF FF FF E8 ?? ?? ?? ?? 8B 95 34 FF FF FF 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8D 95 38 FF FF FF 8B 45 E4 8B 08 FF 91 04 01 00 00 8D 95 F8 FE FF FF 8B 45 E4 8B 08 FF 91 F4 00 00 00 8D 95 F8 FE FF FF 8D 85 08 FF FF FF E8 ?? ?? ?? ?? 8B 85 08 FF FF FF 8D 95 0C FF FF FF E8 ?? ?? ?? ?? 8B 95 0C FF FF FF 8D 85 10 FF FF FF E8 ?? ?? ?? ?? 8D 95 10 FF FF FF 8B 45 E4 8B 08 FF 91 00 01 00 00 E9 E2 00 00 00 66 83 7D D4 2A 74 07 66 83 7D D4 2B 75 78 8D 95 D0 FE FF FF 8B 45 E4 8B 08 FF 91 F8 00 00 00 8D 95 D0 FE FF FF 8D 85 E0 FE FF FF E8 ?? ?? ?? ?? 8B 85 E0 FE FF FF 8D 95 E4 FE FF FF E8 ?? ?? ?? ?? 8B 95 E4 FE FF FF 8D 85 E8 FE FF FF E8 ?? ?? ?? ?? 8D 95 E8 FE FF FF 8B 45 E4 8B 08 FF 91 04 01 00 00 8D 85 C0 FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 C0 FE FF FF 8B 45 E4 8B 08 FF 91 00 01 00 00 EB 5C 66 83 7D D4 3F 75 55 8D 95 98 FE FF FF 8B 45 E4 8B 08 FF 91 F4 00 00 00 8D 95 98 FE FF FF 8D 85 A8 FE FF FF E8 ?? ?? ?? ?? 8B 85 A8 FE FF FF 8D 95 AC FE FF FF E8 ?? ?? ?? ?? 8B 95 AC FE FF FF 8D 85 B0 FE FF FF E8 ?? ?? ?? ?? 8D 95 B0 FE FF FF 8B 45 E4 8B 08 FF 91 00 01 00 00 66 83 FB 29 75 52 C6 45 D7 00 EB 4C 66 83 FB 28 75 3A 83 7D E0 00 74 24 56 8D 95 94 FE FF FF 8B 45 E0 8B 08 FF 91 C0 00 00 00 8B 8D 94 FE FF FF 33 D2 8B 45 DC E8 ?? ?? ?? ?? EB 1C 56 33 C9 8B 55 FC 8B 45 DC E8 ?? ?? ?? ?? EB 0C FF 45 D8 FF 4D CC 0F 85 26 FC FF FF 8B 06 89 45 A8 8B 45 A8 89 45 A4 83 7D A4 00 74 0B 8B 45 A4 83 E8 04 8B 00 89 45 A4 83 7D A4 00 75 04 C6 45 D7 00 80 7D D7 00 0F 85 C5 FB FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 94 FE FF FF E8 ?? ?? ?? ?? 8D 85 98 FE FF FF E8 ?? ?? ?? ?? 8D 85 A8 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 B0 FE FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 E0 FE FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 E8 FE FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 08 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 10 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 30 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 38 FF FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 68 FF FF FF BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 85 7C FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 DC FE FF FF 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 7C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 75 00 6E 00 62 00 6F 00 75 00 6E 00 64 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 28 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 23 00 50 00 43 00 44 00 41 00 54 00 41 00 00 00 00 00 00 00 00 0C 00 80 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_111152_0 {
	meta:
		name = "Xml.DTDSchema"
		size = 156
		refs = "0009 Xml.DTDSchema 0015 _DV_3 0027 SDTDTransDesc 002c LoadResString 0036 _DV_TDTDImportTranslator 003d _Dn_TXMLSchemaTranslatorFactory 0042 TXMLSchemaTranslatorFactory.Create 0050 TranslatorFactory 0055 @IntfCopy 005f RegisterSchemaTranslator 0074 @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 47 6A 00 68 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 64 00 74 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_111153_0 {
	meta:
		name = "IsAbnfALPHAWideChar"
		size = 24
		altNames = "IsUriAlphaWideChar"
	strings:
		$1 = { 83 C0 BF 66 83 E8 1A 72 09 83 C0 FA 66 83 E8 1A 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111154_0 {
	meta:
		name = "IsAbnfBITChar"
		size = 18
		altNames = "IsAbnfBITWideChar"
	strings:
		$1 = { 66 83 F8 30 74 06 66 83 F8 31 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111155_0 {
	meta:
		name = "IsAbnfCHARWideChar"
		size = 13
	strings:
		$1 = { 48 66 83 E8 7F 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111156_0 {
	meta:
		name = "IsAbnfCRChar"
		size = 12
		altNames = "IsAbnfCRWideChar"
	strings:
		$1 = { 66 83 F8 0D 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111157_0 {
	meta:
		name = "IsAbnfCRLFWideStr"
		size = 100
		refs = "000c @WStrAddRef 0014 IsAbnfCRLFWideStr 0027 @WStrEqual 0044 @WStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 04 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_111158_0 {
	meta:
		name = "IsAbnfCTLWideChar"
		size = 18
	strings:
		$1 = { 66 83 E8 20 72 06 66 83 E8 5F 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111159_0 {
	meta:
		name = "IsAbnfDIGITWideChar"
		size = 15
		altNames = "IsUriDigitWideChar"
	strings:
		$1 = { 83 C0 D0 66 83 E8 0A 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111160_0 {
	meta:
		name = "IsAbnfDQUOTEChar"
		size = 12
		altNames = "IsAbnfDQUOTEWideChar"
	strings:
		$1 = { 66 83 F8 22 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111161_0 {
	meta:
		name = "IsAbnfHEXDIGWideChar"
		size = 24
	strings:
		$1 = { 83 C0 D0 66 83 E8 0A 72 09 83 C0 F9 66 83 E8 06 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111162_0 {
	meta:
		name = "IsAbnfHTABChar"
		size = 12
		altNames = "IsAbnfHTABWideChar"
	strings:
		$1 = { 66 83 F8 09 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111163_0 {
	meta:
		name = "IsAbnfLFChar"
		size = 12
		altNames = "IsAbnfLFWideChar"
	strings:
		$1 = { 66 83 F8 0A 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111164_0 {
	meta:
		name = "IsAbnfLWSPWideStr"
		size = 158
		refs = "000c @WStrAddRef 0014 IsAbnfLWSPWideStr 008c @WStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D0 85 D2 75 04 33 DB EB 45 B3 01 33 C0 3B D0 7E 3D 40 8B 4D FC 0F B7 4C 41 FE 66 83 E9 09 74 2A 66 83 E9 04 74 08 66 83 E9 13 75 1A EB 1C 3B D0 75 04 33 DB EB 18 40 8B 4D FC 66 83 7C 41 FE 0A 74 08 33 DB EB 08 33 DB EB 04 3B D0 7F C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_111165_0 {
	meta:
		name = "IsAbnfOCTETWideChar"
		size = 12
	strings:
		$1 = { 66 2D 00 01 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111166_0 {
	meta:
		name = "IsAbnfSPChar"
		size = 12
		altNames = "IsAbnfSPWideChar"
	strings:
		$1 = { 66 83 F8 20 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111167_0 {
	meta:
		name = "IsAbnfVCHARWideChar"
		size = 15
	strings:
		$1 = { 83 C0 DF 66 83 E8 5E 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111168_0 {
	meta:
		name = "IsAbnfWSPWideChar"
		size = 18
	strings:
		$1 = { 66 83 E8 09 74 06 66 83 E8 17 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111169_0 {
	meta:
		name = "IsAbnfALPHAChar"
		size = 18
		altNames = "IsUriAlphaChar"
	strings:
		$1 = { 04 BF 2C 1A 72 06 04 FA 2C 1A 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111171_0 {
	meta:
		name = "IsAbnfCHARChar"
		size = 11
	strings:
		$1 = { 48 2C 7F 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111173_0 {
	meta:
		name = "IsAbnfCRLFStr"
		size = 108
		refs = "000c @UStrAddRef 0014 IsAbnfCRLFStr 0027 @UStrEqual 0044 @UStrClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_111174_0 {
	meta:
		name = "IsAbnfCTLChar"
		size = 14
	strings:
		$1 = { 2C 20 72 04 2C 5F 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111175_0 {
	meta:
		name = "IsAbnfDIGITChar"
		size = 12
		altNames = "IsUriDigitChar"
	strings:
		$1 = { 04 D0 2C 0A 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111177_0 {
	meta:
		name = "IsAbnfHEXDIGChar"
		size = 18
	strings:
		$1 = { 04 D0 2C 0A 72 06 04 F9 2C 06 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111180_0 {
	meta:
		name = "IsAbnfLWSPStr"
		size = 153
		refs = "000c @UStrAddRef 0014 IsAbnfLWSPStr 0087 @UStrClr 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D0 85 D2 75 04 33 DB EB 42 B3 01 33 C0 3B D0 7E 3A 40 8B 4D FC 0F B6 4C 41 FE 80 E9 09 74 28 80 E9 04 74 07 80 E9 13 75 1A EB 1C 3B D0 75 04 33 DB EB 18 40 8B 4D FC 66 83 7C 41 FE 0A 74 08 33 DB EB 08 33 DB EB 04 3B D0 7F C6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_111181_0 {
	meta:
		name = "IsAbnfOCTETChar"
		size = 6
	strings:
		$1 = { B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111183_0 {
	meta:
		name = "IsAbnfVCHARChar"
		size = 12
	strings:
		$1 = { 04 DF 2C 5E 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111184_0 {
	meta:
		name = "IsAbnfWSPChar"
		size = 14
	strings:
		$1 = { 2C 09 74 04 2C 17 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111221_0 {
	meta:
		name = "IsNegZero"
		size = 25
	strings:
		$1 = { 55 8B EC 8D 45 08 81 78 04 00 00 00 80 75 03 83 38 00 0F 94 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_111222_0 {
	meta:
		name = "IsPosZero"
		size = 22
	strings:
		$1 = { 55 8B EC 8D 45 08 83 78 04 00 75 03 83 38 00 0F 94 C0 5D C2 08 00 }
	condition:
		$1
}

rule function_111226_0 {
	meta:
		name = "XmlReplaceQuotes"
		size = 220
		refs = "0012 @WStrClr 0019 _Dn_TUtilsCustomWideStr 001e TUtilsCustomWideStr.Create 0029 XmlReplaceQuotes 00a6 TObject.Free 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C7 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 85 DB 7E 44 BE 01 00 00 00 0F B7 44 77 FE 8B D0 66 83 EA 22 74 15 66 83 EA 05 75 1E BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 10 EB 19 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 10 EB 0A 8B D0 8B 45 F8 8B 08 FF 51 0C 46 4B 75 C1 8B 55 FC 8B 45 F8 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 0A 00 00 00 26 00 23 00 33 00 39 00 3B 00 00 00 0A 00 00 00 26 00 23 00 33 00 34 00 3B 00 00 00 }
	condition:
		$1
}

rule function_111227_0 {
	meta:
		name = "XmlTruncRoundBrackets"
		size = 252
		refs = "001b @WStrAddRef 0023 XmlTruncRoundBrackets 0031 @WStrClr 003c TrimWhitespace 00aa @WStrCopy 00c0 @WStrAsg 00dd @WStrArrayClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 F4 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 83 F8 02 7D 05 C6 06 01 EB 6D 8B 45 F8 66 83 38 28 74 04 B0 01 EB 19 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B 4D F8 66 83 7C 41 FE 29 0F 95 C0 84 C0 74 05 C6 06 01 EB 3E 8B DA 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8D 45 EC 50 8B CB 83 E9 02 BA 02 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? C6 06 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111228_0 {
	meta:
		name = "NormalizeSpace"
		size = 131
		refs = "0018 @WStrSetLength 0021 @WStrToPWChar 0030 SPACE 0070 NULL"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D7 92 E8 ?? ?? ?? ?? 33 DB 8B C6 E8 ?? ?? ?? ?? EB 03 83 C0 02 0F B7 10 66 3B 15 ?? ?? ?? ?? 74 F1 33 D2 EB 30 66 3B 35 ?? ?? ?? ?? 75 04 B2 01 EB 20 84 D2 74 11 43 8B 17 0F B7 0D ?? ?? ?? ?? 66 89 4C 5A FE 33 D2 43 8B 0F 0F B7 30 66 89 74 59 FE 83 C0 02 0F B7 30 66 3B 35 ?? ?? ?? ?? 75 C4 8B C7 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111229_0 {
	meta:
		name = "NormalizeWhiteSpace"
		size = 151
		refs = "001c @WStrSetLength 0025 @WStrToPWChar 0035 IsXmlWhiteSpace 005d SPACE 0081 NULL"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B D8 8B C3 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B 14 24 92 E8 ?? ?? ?? ?? 33 F6 8B C3 E8 ?? ?? ?? ?? 8B E8 EB 03 83 C5 02 0F B7 45 00 E8 ?? ?? ?? ?? 84 C0 75 F0 33 DB EB 39 8B C7 E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 27 84 DB 74 14 46 8B 04 24 8B 00 0F B7 15 ?? ?? ?? ?? 66 89 54 70 FE 33 DB 46 8B 04 24 8B 00 0F B7 55 00 66 89 54 70 FE 83 C5 02 0F B7 7D 00 66 3B 3D ?? ?? ?? ?? 75 BA 8B 04 24 8B D6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111230_0 {
	meta:
		name = "TrimWhitespace"
		size = 97
		refs = "0029 IsXmlWhiteSpace 0038 @WStrClr 0058 @WStrCopy"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 BB 01 00 00 00 EB 01 43 3B F3 7C 0E 0F B7 44 5F FE E8 ?? ?? ?? ?? 84 C0 75 ED 3B F3 7D 0A 8B C5 E8 ?? ?? ?? ?? EB 1E 4E 0F B7 44 77 FE E8 ?? ?? ?? ?? 84 C0 75 F1 55 8B CE 2B CB 41 8B D3 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111231_0 {
	meta:
		name = "TrimWhitespaceLeft"
		size = 69
		refs = "0029 IsXmlWhiteSpace 003c @WStrCopy"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F0 8B C6 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F8 BB 01 00 00 00 EB 01 43 3B FB 7C 0E 0F B7 44 5E FE E8 ?? ?? ?? ?? 84 C0 75 ED 55 B9 FF FF FF 7F 8B D3 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111232_0 {
	meta:
		name = "TrimWhitespaceRight"
		size = 62
		refs = "0023 IsXmlWhiteSpace 0036 @WStrCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 EB 01 4B 85 DB 7E 0E 0F B7 44 5E FE E8 ?? ?? ?? ?? 84 C0 75 ED 57 8B CB BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111233_0 {
	meta:
		name = "XmlExtractPrefix"
		size = 308
		refs = "0015 XmlExtractPrefix 0027 Pos 0037 @WStrLAsg 004c @WStrCopy 0075 IsXmlPrefix 0085 _DV_EInvalid_Character_Err 008a Exception.Create 008f @RaiseExcept 0097 IsXmlLocalPart 00bc @WStrAsg 00d6 @WStrArrayClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 0C 8D 45 FC 8B D6 E8 ?? ?? ?? ?? EB 56 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B FE 85 FF 74 09 83 EF 04 8B 07 D1 E8 8B F8 8D 45 FC 50 8B CF 2B CB 8D 53 01 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 02 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 68 00 61 00 72 00 61 00 63 00 74 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111234_0 {
	meta:
		name = "XmlExtractLocalName"
		size = 308
		refs = "0015 XmlExtractLocalName 0027 Pos 0037 @WStrLAsg 004c @WStrCopy 0075 IsXmlPrefix 0085 _DV_EInvalid_Character_Err 008a Exception.Create 008f @RaiseExcept 0097 IsXmlLocalPart 00bc @WStrAsg 00d6 @WStrArrayClr 00dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 0C 8D 45 F8 8B D6 E8 ?? ?? ?? ?? EB 56 8D 45 FC 50 8B CB 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B FE 85 FF 74 09 83 EF 04 8B 07 D1 E8 8B F8 8D 45 F8 50 8B CF 2B CB 8D 53 01 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 02 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 68 00 61 00 72 00 61 00 63 00 74 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111235_0 {
	meta:
		name = "XmlExtractPrefixAndLocalName"
		size = 280
		refs = "0015 @WStrAddRef 0033 XmlExtractPrefixAndLocalName 0046 Pos 0054 @WStrClr 005c IsXmlLocalPart 006b @WStrAsg 008f @WStrCopy 00bc IsXmlPrefix 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 89 4D F4 89 55 F8 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 04 33 D2 89 10 8B 45 F4 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 2F 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0F 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? B3 01 EB 75 8B 45 F4 E8 ?? ?? ?? ?? 33 DB EB 69 8B 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 75 FC 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8B 45 F4 50 8B CE 2B CB 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 00 E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 F4 8B 00 E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 12 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 00 00 00 02 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_111236_0 {
	meta:
		name = "EscapeDelimiters"
		size = 336
		refs = "0011 _Dn_TUtilsCustomWideStr 0016 TUtilsCustomWideStr.Create 0021 EscapeDelimiters 00e3 TObject.Free 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C7 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 85 DB 0F 8E 85 00 00 00 BE 01 00 00 00 0F B7 44 77 FE 0F B7 D0 83 FA 27 7F 0E 74 36 83 EA 22 74 13 83 EA 04 74 1D EB 57 83 EA 3C 74 34 83 EA 02 74 3E EB 4B BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 10 EB 46 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 10 EB 37 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 10 EB 28 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 10 EB 19 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 10 EB 0A 8B D0 8B 45 F8 8B 08 FF 51 0C 46 4B 75 80 8B 55 FC 8B 45 F8 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 0C 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 0A 00 00 00 26 00 61 00 6D 00 70 00 3B 00 00 00 0C 00 00 00 26 00 61 00 70 00 6F 00 73 00 3B 00 00 00 00 00 08 00 00 00 26 00 6C 00 74 00 3B 00 00 00 00 00 08 00 00 00 26 00 67 00 74 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_111237_0 {
	meta:
		name = "ResolveCharRefs"
		size = 1404
		refs = "001a ResolveCharRefs 0028 @WStrClr 002f _Dn_TUtilsCustomWideStr 0034 TUtilsCustomWideStr.Create 0069 BOM 0094 IsUTF16LowSurrogate 00a4 _Dn_EConvertError 00a9 Exception.Create 00ae @RaiseExcept 00b5 IsUTF16HighSurrogate 0122 IsXmlChar 01cc @WStrCopy 01d4 IsXmlEntityRef 01ed IsXmlCharRef 01fc XmlCharRefToStr 022a Exception.CreateFmt 0246 @WStrLen 026e TObject.Free 0274 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D D4 89 4D FC 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BE 01 00 00 00 8B C7 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 0F 8E E0 01 00 00 0F B7 07 66 3B 05 ?? ?? ?? ?? 0F 85 D0 01 00 00 0F B7 15 ?? ?? ?? ?? 8B 45 E8 8B 08 FF 51 0C BE 02 00 00 00 E9 B7 01 00 00 0F B7 5C 77 FE 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 62 89 7D E0 83 7D E0 00 74 0D 8B 45 E0 83 E8 04 8B 00 D1 E8 89 45 E0 3B 75 E0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 8B D3 8B 45 E8 8B 08 FF 51 0C 0F B7 5C 77 FE 8B C3 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 FB 26 0F 85 EE 00 00 00 C7 45 EC FF FF FF FF 8D 46 01 89 45 DC 89 7D D8 83 7D D8 00 74 0D 8B 45 D8 83 E8 04 8B 00 D1 E8 89 45 D8 8B 45 DC 8B 55 D8 2B D0 7C 2A 42 89 55 E4 89 45 F0 8B 45 F0 0F B7 44 47 FE 66 89 45 F6 66 83 7D F6 3B 75 08 8B 45 F0 89 45 EC EB 08 FF 45 F0 FF 4D E4 75 DD 83 7D EC FF 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 8B 4D EC 2B CE 41 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0D 8B 55 FC 8B 45 E8 8B 08 FF 51 10 EB 4A 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 18 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8B 45 E8 8B 08 FF 51 10 EB 26 8B 45 FC 89 45 CC C6 45 D0 0F 8D 45 CC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 75 EC EB 0A 8B D3 8B 45 E8 8B 08 FF 51 0C 46 8B C7 E8 ?? ?? ?? ?? 3B F0 0F 8E 3A FE FF FF 8B 55 F8 8B 45 E8 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 36 00 00 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 20 00 6D 00 75 00 73 00 74 00 20 00 6E 00 6F 00 74 00 20 00 73 00 74 00 61 00 72 00 74 00 20 00 77 00 69 00 74 00 68 00 20 00 61 00 20 00 55 00 54 00 46 00 2D 00 31 00 36 00 20 00 6C 00 6F 00 77 00 20 00 73 00 75 00 72 00 72 00 6F 00 67 00 61 00 74 00 65 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 35 00 00 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 20 00 6D 00 75 00 73 00 74 00 20 00 6E 00 6F 00 74 00 20 00 65 00 6E 00 64 00 20 00 77 00 69 00 74 00 68 00 20 00 61 00 20 00 55 00 54 00 46 00 2D 00 31 00 36 00 20 00 68 00 69 00 67 00 68 00 20 00 73 00 75 00 72 00 72 00 6F 00 67 00 61 00 74 00 65 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 55 00 00 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 20 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 73 00 20 00 61 00 6E 00 20 00 55 00 54 00 46 00 2D 00 31 00 36 00 20 00 68 00 69 00 67 00 68 00 20 00 73 00 75 00 72 00 72 00 6F 00 67 00 61 00 74 00 65 00 20 00 77 00 69 00 74 00 68 00 6F 00 75 00 74 00 20 00 69 00 74 00 73 00 20 00 63 00 6F 00 72 00 72 00 65 00 73 00 70 00 6F 00 6E 00 64 00 69 00 6E 00 67 00 20 00 6C 00 6F 00 77 00 20 00 73 00 75 00 72 00 72 00 6F 00 67 00 61 00 74 00 65 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 20 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 73 00 20 00 61 00 6E 00 20 00 69 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 68 00 61 00 72 00 61 00 63 00 74 00 65 00 72 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 29 00 00 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 20 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 73 00 20 00 61 00 6E 00 20 00 27 00 26 00 27 00 20 00 77 00 69 00 74 00 68 00 6F 00 75 00 74 00 20 00 61 00 20 00 27 00 3B 00 27 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 2C 00 00 00 57 00 69 00 64 00 65 00 53 00 74 00 72 00 69 00 6E 00 67 00 20 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 73 00 20 00 61 00 6E 00 20 00 69 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 72 00 65 00 66 00 65 00 72 00 65 00 6E 00 63 00 65 00 20 00 25 00 53 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111238_0 {
	meta:
		name = "XmlCharRefToInt"
		size = 524
		refs = "0015 XmlCharRefToInt 0022 IsXmlCharRef 003f _Dn_EConvertError 0044 Exception.CreateFmt 0049 @RaiseExcept 0074 @WStrCopy 0084 @WStrCat3 008f @UStrFromWStr 0097 StrToInt 0110 IsXmlChar 017d @WStrClr 0185 @UStrClr 0192 @WStrArrayClr 01a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 23 89 5D F8 C6 45 FC 0F 8D 45 F8 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 7B 04 78 75 4B 8B F3 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 EC 50 8B CE 83 E9 04 BA 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4D EC 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B F0 EB 39 8B F3 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 E4 50 8B CE 83 E9 03 BA 03 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B F0 81 FE FF FF 10 00 7E 23 89 5D F8 C6 45 FC 0F 8D 45 F8 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 81 FE 00 00 01 00 7D 61 8B FE 8B C7 E8 ?? ?? ?? ?? 84 C0 75 23 89 5D F8 C6 45 FC 0F 8D 45 F8 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 05 00 28 FF FF 2D 00 08 00 00 73 23 89 5D F8 C6 45 FC 0F 8D 45 F8 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 8B C6 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 23 00 00 00 25 00 53 00 20 00 69 00 73 00 20 00 6E 00 6F 00 74 00 20 00 61 00 20 00 76 00 61 00 6C 00 69 00 64 00 20 00 58 00 6D 00 6C 00 43 00 68 00 61 00 72 00 52 00 65 00 66 00 20 00 76 00 61 00 6C 00 75 00 65 00 2E 00 00 00 02 00 00 00 24 00 00 00 }
	condition:
		$1
}

rule function_111239_0 {
	meta:
		name = "XmlCharRefToStr"
		size = 140
		refs = "000f XmlCharRefToStr 001a XmlCharRefToInt 002d @WStrFromWChar 0036 ExtractUTF16LowSurrogate 004b ExtractUTF16HighSurrogate 0060 @WStrCat3 007a @WStrArrayClr 0080 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? 8B D8 81 FB 00 00 01 00 7D 0B 8B C6 8B D3 E8 ?? ?? ?? ?? EB 31 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 FC 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111240_0 {
	meta:
		name = "XmlIntToCharRef"
		size = 152
		refs = "0011 XmlIntToCharRef 0026 IntToStr 003b @UStrCatN 0045 @WStrFromUStr 005f @UStrArrayClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 26 00 23 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_111241_0 {
	meta:
		name = "XmlIntToCharRefHex"
		size = 156
		refs = "0011 XmlIntToCharRefHex 002b IntToHex 0040 @UStrCatN 004a @WStrFromUStr 0064 @UStrArrayClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 4D F8 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 26 00 23 00 78 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_111242_0 {
	meta:
		name = "IsSupportedXmlVersion"
		size = 116
		refs = "000c IsSupportedXmlVersion 0027 @UStrCopy 0034 @UStrEqual 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 B9 02 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 31 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111243_0 {
	meta:
		name = "XPathRound"
		size = 176
		refs = "000b XPathRound 001a IsNan 0029 IsInfinite 0038 IsNegZero 0047 IsPosZero 0064 Floor"
	strings:
		$1 = { 55 8B EC 83 C4 EC DD 45 08 D8 05 ?? ?? ?? ?? DD 5D F0 9B FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 84 C0 75 2D FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 84 C0 75 1E FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 84 C0 75 0F FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 08 89 45 F8 8B 45 0C 89 45 FC EB 15 FF 75 F4 FF 75 F0 E8 ?? ?? ?? ?? 89 45 EC DB 45 EC DD 5D F8 9B DD 45 F8 D8 1D ?? ?? ?? ?? 9B DF E0 9E 75 1B DD 45 08 D8 1D ?? ?? ?? ?? 9B DF E0 9E 73 0C 33 C0 89 45 F8 C7 45 FC 00 00 00 80 DD 45 F8 8B E5 5D C2 08 00 00 00 00 00 00 00 3F 00 00 00 00 }
	condition:
		$1
}

rule function_111244_0 {
	meta:
		name = "XPathWideStringToNumber"
		size = 329
		refs = "0039 IsXmlWhiteSpace 009a Power"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 8B F0 33 C0 89 04 24 C7 44 24 04 00 00 F8 FF C6 44 24 08 00 33 ED 8B C6 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 EB 01 4B 85 DB 7E 0E 0F B7 44 5E FE E8 ?? ?? ?? ?? 84 C0 75 ED 85 DB 7E 23 66 83 7C 5E FE 2E 75 12 33 C0 89 04 24 C7 44 24 04 00 00 F8 FF E9 DF 00 00 00 33 C0 89 04 24 89 44 24 04 85 DB 0F 8E AB 00 00 00 0F B7 7C 5E FE 66 83 FF 39 0F 87 9C 00 00 00 66 83 FF 30 72 33 68 00 00 20 41 89 6C 24 10 DB 44 24 10 83 C4 FC D9 1C 24 9B E8 ?? ?? ?? ?? 0F B7 C7 83 E8 30 89 44 24 0C DB 44 24 0C DE C9 DC 04 24 DD 1C 24 9B 45 EB 57 66 83 FF 2E 75 3F 80 7C 24 08 00 74 0F 33 C0 89 04 24 C7 44 24 04 00 00 F8 FF EB 6A 68 00 00 20 41 89 6C 24 10 DB 44 24 10 83 C4 FC D9 1C 24 9B E8 ?? ?? ?? ?? DC 3C 24 DD 1C 24 9B 33 ED C6 44 24 08 01 EB 12 66 83 FF 2D 75 18 DD 04 24 D9 E0 DD 1C 24 9B 4B EB 0C 4B 85 DB 0F 8F 58 FF FF FF EB 01 4B 85 DB 7E 0E 0F B7 44 5E FE E8 ?? ?? ?? ?? 84 C0 75 ED 85 DB 7E 0D 33 C0 89 04 24 C7 44 24 04 00 00 F8 FF DD 04 24 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111245_0 {
	meta:
		name = "XPathBooleanFunc"
		size = 152
		refs = "0009 XPathBooleanFunc 0010 _DV_ENot_Supported_Err 0015 Exception.Create 001a @RaiseExcept 0030 _DV_TDomXPathBooleanResult 0035 @AsClass 004e TDomXPathBooleanResult.Create 0057 TObject.Free"
	strings:
		$1 = { 53 56 8B D8 85 DB 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 90 00 00 00 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 1E 8B C3 8B 10 FF 52 7C 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111246_0 {
	meta:
		name = "XPathNumberFunc"
		size = 160
		refs = "0009 XPathNumberFunc 0010 _DV_ENot_Supported_Err 0015 Exception.Create 001a @RaiseExcept 0030 _DV_TDomXPathNumberResult 0035 @AsClass 0056 TDomXPathNumberResult.Create 005f TObject.Free"
	strings:
		$1 = { 53 56 8B D8 85 DB 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 90 00 00 00 3C 02 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 26 8B C3 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111247_0 {
	meta:
		name = "XPathStringFunc"
		size = 212
		refs = "000d XPathStringFunc 0023 _DV_ENot_Supported_Err 0028 Exception.Create 002d @RaiseExcept 0043 _DV_TDomXPathStringResult 0048 @AsClass 0068 TDomXPathStringResult.Create 0071 TObject.Free 0086 @WStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 90 00 00 00 3C 03 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 25 8D 55 FC 8B C3 8B 08 FF 91 84 00 00 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111251_0 {
	meta:
		name = "TDomBaseComponent.GetADOMVersion"
		size = 36
		refs = "0006 TDomBaseComponent.GetADOMVersion 000b @WStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 0A 00 00 00 35 00 2E 00 31 00 2E 00 32 00 00 00 }
	condition:
		$1
}

rule function_111252_0 {
	meta:
		name = "TDomImplementation.Create"
		size = 113
		refs = "000e @ClassCreate 001c TComponent.Create 0023 _Dn_TList 0028 TObject.Create 0039 _DV_TDomNodeList 003e TDomNodeList.Create 005c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 84 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 80 00 00 00 33 C0 89 43 3C 66 C7 43 38 00 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_111253_0 {
	meta:
		name = "TDomImplementation.Destroy"
		size = 65
		refs = "0003 @BeforeDestruction 0019 TObject.Free 002f TComponent.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 68 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 8B 86 80 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111254_0 {
	meta:
		name = "TDomImplementation.Attach"
		size = 12
		refs = "0007 TList.Add"
	strings:
		$1 = { 8B 80 84 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_111256_0 {
	meta:
		name = "TDomImplementation.DestroyOwnedDocuments"
		size = 86
		refs = "001d TList.Get 0031 TList.Delete 0039 TObject.Free"
	strings:
		$1 = { 53 56 57 55 8B F0 8B 86 84 00 00 00 8B 58 08 4B 85 DB 7C 3D 8B D3 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 8B F8 33 C0 89 47 4C 8B D3 8B 86 84 00 00 00 E8 ?? ?? ?? ?? 4B 8B C7 E8 ?? ?? ?? ?? 8B 86 84 00 00 00 8B 68 08 3B DD 7C 03 8B DD 4B 85 DB 7D C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111257_0 {
	meta:
		name = "TDomImplementation.Detach"
		size = 14
		refs = "0009 TList.RemoveItem"
	strings:
		$1 = { 8B 80 84 00 00 00 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_111258_0 {
	meta:
		name = "TDomImplementation.DisableErrorEvents"
		size = 5
	strings:
		$1 = { 66 FF 40 38 C3 }
	condition:
		$1
}

rule function_111259_0 {
	meta:
		name = "TDomImplementation.EnableErrorEvents"
		size = 5
	strings:
		$1 = { 66 FF 48 38 C3 }
	condition:
		$1
}

rule function_111260_0 {
	meta:
		name = "TDomImplementation.GetDocuments"
		size = 7
	strings:
		$1 = { 8B 80 80 00 00 00 C3 }
	condition:
		$1
}

rule function_111261_0 {
	meta:
		name = "TDomImplementation.GetErrorEventsDisabled"
		size = 9
	strings:
		$1 = { 66 83 78 38 00 0F 97 C0 C3 }
	condition:
		$1
}

rule function_111262_0 {
	meta:
		name = "TDomImplementation.DoAttrModified"
		size = 33
	strings:
		$1 = { 55 8B EC 53 66 83 78 42 00 74 11 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 43 44 FF 53 40 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111263_0 {
	meta:
		name = "TDomImplementation.DoCharacterDataModified"
		size = 22
	strings:
		$1 = { 53 66 83 78 4A 00 74 0C 8B D8 8B CA 8B D0 8B 43 4C FF 53 48 5B C3 }
	condition:
		$1
}

rule function_111264_0 {
	meta:
		name = "TDomImplementation.DoError"
		size = 73
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 08 8B C6 8B 10 FF 12 2C 02 72 04 74 07 EB 08 C6 07 01 EB 03 C6 07 00 66 83 7B 52 00 74 13 66 83 7B 38 00 75 0C 57 8B CE 8B 55 FC 8B 43 54 FF 53 50 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_111268_0 {
	meta:
		name = "TDomImplementation.DoRequestXPathFunctionResult"
		size = 44
	strings:
		$1 = { 55 8B EC 53 66 83 78 72 00 74 1C 8B 5D 18 53 8B 5D 14 53 8B 5D 10 53 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 43 74 FF 53 70 5B 5D C2 14 00 }
	condition:
		$1
}

rule function_111269_0 {
	meta:
		name = "TDomImplementation.DoRequestXPathVariable"
		size = 32
	strings:
		$1 = { 55 8B EC 53 66 83 78 7A 00 74 10 8B 5D 0C 53 8B 5D 08 53 8B D8 8B 43 7C FF 53 78 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111270_0 {
	meta:
		name = "TDomImplementation.HandleError"
		size = 104
		refs = "000a TDomImplementation.HandleError 0011 _DV_ENot_Supported_Err 0016 Exception.Create 001b @RaiseExcept"
	strings:
		$1 = { 53 56 51 8B F0 85 C9 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 54 8B C6 8B 18 FF 53 48 0F B6 04 24 5A 5E 5B C3 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111272_0 {
	meta:
		name = "TDomImplementation.ResolveResourceAsStream"
		size = 172
		refs = "000b TDomImplementation.ResolveResourceAsStream 0012 _DV_ENot_Found_Err 0017 Exception.Create 001c @RaiseExcept"
	strings:
		$1 = { 55 8B EC 53 83 78 3C 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5D 08 53 8B 40 3C 8B 18 FF 53 40 5B 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 34 00 00 00 4E 00 6F 00 20 00 72 00 65 00 73 00 6F 00 75 00 72 00 63 00 65 00 20 00 72 00 65 00 73 00 6F 00 6C 00 76 00 65 00 72 00 20 00 61 00 73 00 73 00 69 00 67 00 6E 00 65 00 64 00 20 00 74 00 6F 00 20 00 44 00 4F 00 4D 00 20 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111273_0 {
	meta:
		name = "TDomImplementation.ResolveResourceAsWideString"
		size = 605
		refs = "0027 TDomImplementation.ResolveResourceAsWideString 004b @WStrClr 009f _DV_TXmlInputSource 00a4 TXmlInputSource.Create 00b6 @HandleOnException 00be _DV_ENot_Supported_Err 00c6 _Dn_EConvertError 00dd @DoneExcept 00e2 @TryFinallyExit 0153 IsSupportedXmlVersion 0177 _Dn_TUtilsCustomWideStr 017c TUtilsCustomWideStr.Create 01b5 TUtilsUCS4Reader.GetEof 01cf @WStrAsg 01de @HandleAnyException 01f9 TObject.Free 0214 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B D9 89 55 FC 8B F8 8B 75 10 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B CB 8B 55 FC 8B C7 8B 38 FF 57 78 89 45 F0 83 7D F0 00 75 13 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 C6 00 9A E9 DD 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 50 8B 06 50 68 00 10 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 EB 58 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 C6 00 99 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4C 01 00 00 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 C6 00 33 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2F 01 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 80 B8 09 01 00 00 00 75 0F 8B 45 F4 0F B6 80 08 01 00 00 48 2C 03 72 13 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 C6 00 4B E9 B4 00 00 00 8B 45 F4 8B 80 14 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 13 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 C6 00 9D E9 8F 00 00 00 8B 45 08 C6 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 14 EB 16 8B 45 F4 8B 50 20 8B 45 F8 8B 08 FF 51 08 8B 45 F4 8B 10 FF 52 14 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 DE 8D 55 EC 8B 45 F8 8B 08 FF 51 24 8B 55 EC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 C6 00 9C E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_111274_0 {
	meta:
		name = "TDomImplementation.SetResourceResolver"
		size = 19
		refs = "000e TComponent.FreeNotification"
	strings:
		$1 = { 3B 50 3C 74 0D 89 50 3C 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_111275_0 {
	meta:
		name = "TDomTreeWalker.Create"
		size = 172
		refs = "000e @ClassCreate 001d TDomTreeWalker.Create 0024 _DV_ENot_Supported_Err 0029 Exception.Create 002e @RaiseExcept 0037 TObject.Create 005d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 0F B7 45 10 66 89 47 14 8B 45 0C 89 47 0C 0F B6 45 08 88 47 08 89 77 10 89 77 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111276_0 {
	meta:
		name = "TDomTreeWalker.SetCurrentNode"
		size = 88
		refs = "0005 TDomTreeWalker.SetCurrentNode 000c _DV_ENot_Supported_Err 0011 Exception.Create 0016 @RaiseExcept"
	strings:
		$1 = { 85 D2 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 50 04 C3 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111279_0 {
	meta:
		name = "TDomTreeWalker.SetRoot"
		size = 88
		refs = "0005 TDomTreeWalker.SetRoot 000c _DV_ENot_Supported_Err 0011 Exception.Create 0016 @RaiseExcept"
	strings:
		$1 = { 85 D2 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 50 10 C3 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111280_0 {
	meta:
		name = "TDomTreeWalker.SetWhatToShow"
		size = 15
	strings:
		$1 = { 51 66 89 14 24 0F B7 14 24 66 89 50 14 5A C3 }
	condition:
		$1
}

rule function_111281_0 {
	meta:
		name = "TDomTreeWalker.FindNextSibling"
		size = 271
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 33 ED 3B 73 10 0F 84 F5 00 00 00 8B C6 8B 10 FF 92 AC 00 00 00 8B F8 85 FF 74 71 8B C7 8B 10 FF 92 B4 00 00 00 3C 0F 77 08 83 E0 7F 66 0F A3 43 14 73 15 8B 73 0C 85 F6 74 0A 8B D7 8B C6 8B 08 FF 11 EB 06 33 C0 EB 02 B0 02 2C 01 72 3A 74 09 FE C8 74 15 E9 A7 00 00 00 8B D7 8B C3 8B 08 FF 51 0C 8B E8 E9 97 00 00 00 8B D7 8B C3 8B 08 FF 11 8B E8 85 ED 0F 85 85 00 00 00 8B D7 8B C3 8B 08 FF 51 0C 8B E8 EB 78 8B EF EB 74 8B C6 8B 10 FF 92 B8 00 00 00 85 C0 75 04 33 ED EB 62 8B C6 8B 10 FF 92 B8 00 00 00 8B 10 FF 92 B4 00 00 00 3C 0F 77 08 83 E0 7F 66 0F A3 43 14 73 1F 8B 7B 0C 85 FF 74 14 8B C6 8B 10 FF 92 B8 00 00 00 8B D0 8B C7 8B 08 FF 11 EB 06 33 C0 EB 02 B0 02 2C 01 72 1B 2C 02 73 19 8B C6 8B 10 FF 92 B8 00 00 00 8B D0 8B C3 8B 08 FF 51 0C 8B E8 EB 02 33 ED 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111282_0 {
	meta:
		name = "TDomTreeWalker.FindPreviousSibling"
		size = 272
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 33 ED 3B 73 10 0F 84 F6 00 00 00 8B C6 8B 10 FF 92 BC 00 00 00 8B F8 85 FF 74 72 8B C7 8B 10 FF 92 B4 00 00 00 3C 0F 77 08 83 E0 7F 66 0F A3 43 14 73 15 8B 73 0C 85 F6 74 0A 8B D7 8B C6 8B 08 FF 11 EB 06 33 C0 EB 02 B0 02 2C 01 72 3B 74 09 FE C8 74 15 E9 A8 00 00 00 8B D7 8B C3 8B 08 FF 51 18 8B E8 E9 98 00 00 00 8B D7 8B C3 8B 08 FF 51 04 8B E8 85 ED 0F 85 85 00 00 00 8B D7 8B C3 8B 08 FF 51 18 8B E8 EB 78 8B EF EB 74 8B C6 8B 10 FF 92 B8 00 00 00 85 C0 75 04 33 ED EB 62 8B C6 8B 10 FF 92 B8 00 00 00 8B 10 FF 92 B4 00 00 00 3C 0F 77 08 83 E0 7F 66 0F A3 43 14 73 1F 8B 7B 0C 85 FF 74 14 8B C6 8B 10 FF 92 B8 00 00 00 8B D0 8B C7 8B 08 FF 11 EB 06 33 C0 EB 02 B0 02 2C 01 72 1B 2C 02 73 19 8B C6 8B 10 FF 92 B8 00 00 00 8B D0 8B C3 8B 08 FF 51 18 8B E8 EB 02 33 ED 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111283_0 {
	meta:
		name = "TDomTreeWalker.FindParentNode"
		size = 101
	strings:
		$1 = { 53 56 57 8B F0 33 DB 3B 56 10 74 53 8B C2 8B 10 FF 92 B8 00 00 00 8B D8 85 DB 75 04 33 DB EB 3F 8B C3 8B 10 FF 92 B4 00 00 00 3C 0F 77 08 83 E0 7F 66 0F A3 46 14 73 15 8B 7E 0C 85 FF 74 0A 8B D3 8B C7 8B 08 FF 11 EB 06 33 C0 EB 02 B0 02 48 2C 02 73 0B 8B D3 8B C6 8B 08 FF 51 10 8B D8 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111284_0 {
	meta:
		name = "TDomTreeWalker.FindFirstChild"
		size = 183
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 14 24 8B F0 33 C0 89 44 24 04 8B 04 24 8B 10 FF 92 B4 00 00 00 3C 05 75 0A 80 7E 08 00 0F 84 81 00 00 00 8B 04 24 8B 10 FF 92 88 00 00 00 8B 10 FF 12 8B F8 4F 85 FF 7C 6B 47 33 ED 8B 04 24 8B 10 FF 92 88 00 00 00 8B D5 8B 08 FF 51 08 8B D8 8B C3 8B 10 FF 92 B4 00 00 00 3C 0F 77 08 83 E0 7F 66 0F A3 46 14 73 15 83 7E 0C 00 74 0B 8B D3 8B 46 0C 8B 08 FF 11 EB 06 33 C0 EB 02 B0 02 2C 01 72 12 FE C8 75 12 8B D3 8B C6 8B 08 FF 11 89 44 24 04 EB 04 89 5C 24 04 83 7C 24 04 00 75 04 45 4F 75 98 8B 44 24 04 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111285_0 {
	meta:
		name = "TDomTreeWalker.FindLastChild"
		size = 164
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B F8 33 ED 8B 04 24 8B 10 FF 92 B4 00 00 00 3C 05 75 06 80 7F 08 00 74 7B 8B 04 24 8B 10 FF 92 88 00 00 00 8B 10 FF 12 8B D8 4B 83 FB 00 7C 64 8B 04 24 8B 10 FF 92 88 00 00 00 8B D3 8B 08 FF 51 08 8B F0 8B C6 8B 10 FF 92 B4 00 00 00 3C 0F 77 08 83 E0 7F 66 0F A3 47 14 73 15 83 7F 0C 00 74 0B 8B 47 0C 8B D6 8B 08 FF 11 EB 06 33 C0 EB 02 B0 02 2C 01 72 11 FE C8 75 0F 8B D6 8B C7 8B 08 FF 51 04 8B E8 EB 02 8B EE 85 ED 75 06 4B 83 FB FF 75 9C 8B C5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111286_0 {
	meta:
		name = "TDomTreeWalker.FindNextNode"
		size = 79
	strings:
		$1 = { 53 56 57 55 8B FA 8B F0 8B D7 8B C6 8B 08 FF 11 8B E8 3B 7E 10 74 31 85 ED 75 29 8B D7 8B C6 8B 08 FF 51 0C 8B E8 EB 1C 8B D7 8B C6 8B 08 FF 51 10 8B D8 85 DB 74 11 8B D3 8B C6 8B 08 FF 51 0C 8B E8 8B FB 85 ED 74 E0 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111287_0 {
	meta:
		name = "TDomTreeWalker.FindPreviousNode"
		size = 63
	strings:
		$1 = { 53 56 57 8B FA 8B F0 33 DB 3B 7E 10 74 2B 8B D7 8B C6 8B 08 FF 51 18 8B D8 85 DB 74 11 8B D3 8B C6 8B 08 FF 51 04 85 C0 74 0F 8B D8 EB 0B 8B D7 8B C6 8B 08 FF 51 10 8B D8 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111288_0 {
	meta:
		name = "TDomTreeWalker.ParentNode"
		size = 22
	strings:
		$1 = { 53 8B D8 8B 53 04 8B C3 8B 08 FF 51 10 85 C0 74 03 89 43 04 5B C3 }
	condition:
		$1
}

rule function_111289_0 {
	meta:
		name = "TDomTreeWalker.FirstChild"
		size = 21
	strings:
		$1 = { 53 8B D8 8B 53 04 8B C3 8B 08 FF 11 85 C0 74 03 89 43 04 5B C3 }
	condition:
		$1
}

rule function_111290_0 {
	meta:
		name = "TDomTreeWalker.LastChild"
		size = 22
	strings:
		$1 = { 53 8B D8 8B 53 04 8B C3 8B 08 FF 51 04 85 C0 74 03 89 43 04 5B C3 }
	condition:
		$1
}

rule function_111291_0 {
	meta:
		name = "TDomTreeWalker.PreviousSibling"
		size = 22
	strings:
		$1 = { 53 8B D8 8B 53 04 8B C3 8B 08 FF 51 18 85 C0 74 03 89 43 04 5B C3 }
	condition:
		$1
}

rule function_111292_0 {
	meta:
		name = "TDomTreeWalker.NextSibling"
		size = 22
	strings:
		$1 = { 53 8B D8 8B 53 04 8B C3 8B 08 FF 51 0C 85 C0 74 03 89 43 04 5B C3 }
	condition:
		$1
}

rule function_111293_0 {
	meta:
		name = "TDomTreeWalker.PreviousNode"
		size = 22
	strings:
		$1 = { 53 8B D8 8B 53 04 8B C3 8B 08 FF 51 14 85 C0 74 03 89 43 04 5B C3 }
	condition:
		$1
}

rule function_111294_0 {
	meta:
		name = "TDomTreeWalker.NextNode"
		size = 22
	strings:
		$1 = { 53 8B D8 8B 53 04 8B C3 8B 08 FF 51 08 85 C0 74 03 89 43 04 5B C3 }
	condition:
		$1
}

rule function_111295_0 {
	meta:
		name = "TDomNodeIterator.Create"
		size = 180
		refs = "000e @ClassCreate 001d TDomNodeIterator.Create 0024 _DV_ENot_Supported_Err 0029 Exception.Create 002e @RaiseExcept 0037 TObject.Create 0065 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 0F B7 45 10 66 89 47 0D 8B 45 0C 89 47 10 0F B6 45 08 88 47 0F 89 77 08 C6 47 14 00 C6 47 0C 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111296_0 {
	meta:
		name = "TDomNodeIterator.HandleNodeEvent"
		size = 248
	strings:
		$1 = { 53 56 57 8B FA 8B F0 80 7E 14 00 0F 85 E3 00 00 00 80 E9 01 72 07 74 50 E9 D7 00 00 00 8B D7 8B 46 08 8B 08 FF 91 E0 00 00 00 8B D8 F6 C3 10 0F 84 BF 00 00 00 8B D7 8B 46 04 8B 08 FF 91 E0 00 00 00 8B D8 F6 C3 10 74 13 33 C0 89 46 08 33 C0 89 46 04 C6 46 14 01 E9 98 00 00 00 89 7E 08 C6 46 0C 01 E9 8C 00 00 00 8B D7 8B 46 04 8B 08 FF 91 E0 00 00 00 8B D8 F6 C3 20 74 78 8B D7 8B 46 08 8B 08 FF 91 E0 00 00 00 8B D8 F6 C3 10 75 05 F6 C3 40 74 5F 33 C0 0F B6 56 0C 8B DA 80 EA 01 72 04 74 1D EB 34 8B C7 8B 10 FF 92 AC 00 00 00 85 C0 75 26 8B D7 8B C6 8B 08 FF 51 08 B3 01 EB 19 8B C7 8B 10 FF 92 AC 00 00 00 85 C0 75 0B 8B D7 8B C6 8B 08 FF 51 08 33 DB 85 C0 74 08 89 46 08 88 5E 0C EB 0E 33 C0 89 46 08 33 C0 89 46 04 C6 46 14 01 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111297_0 {
	meta:
		name = "TDomNodeIterator.Detach"
		size = 10
	strings:
		$1 = { 33 D2 89 50 08 C6 40 14 01 C3 }
	condition:
		$1
}

rule function_111298_0 {
	meta:
		name = "TDomNodeIterator.FindNextNode"
		size = 109
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 10 FF 92 3C 01 00 00 84 C0 74 22 80 7B 0F 00 75 0E 8B C6 8B 10 FF 92 B4 00 00 00 3C 05 74 0E 8B C6 8B 10 FF 92 94 00 00 00 8B F8 EB 2C 8B C6 8B 10 FF 92 AC 00 00 00 8B F8 EB 1E 8B C6 8B 10 FF 92 B8 00 00 00 8B D8 85 DB 74 12 8B C3 8B 10 FF 92 AC 00 00 00 8B F8 8B F3 85 FF 74 DE 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111299_0 {
	meta:
		name = "TDomNodeIterator.FindPreviousNode"
		size = 65
	strings:
		$1 = { 53 56 57 8B FA 8B C7 8B 10 FF 92 BC 00 00 00 8B F0 85 F6 74 1A 8B DE 85 DB 74 20 8B F3 8B C3 8B 10 FF 92 9C 00 00 00 8B D8 85 DB 75 EE EB 0C 8B C7 8B 10 FF 92 B8 00 00 00 8B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111300_0 {
	meta:
		name = "TDomNodeIterator.NextNode"
		size = 264
		refs = "000f TDomNodeIterator.NextNode 0016 _DV_EInvalid_State_Err 001b Exception.Create 0020 @RaiseExcept"
	strings:
		$1 = { 53 56 57 55 8B F8 33 F6 80 7F 14 00 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 47 0C 2C 01 72 04 74 0B EB 15 C6 47 0C 01 8B 77 08 EB 0C 8B 57 08 8B C7 8B 08 FF 51 04 8B F0 33 DB 85 F6 74 3C 8B C6 8B 10 FF 92 B4 00 00 00 3C 0F 77 08 83 E0 7F 66 0F A3 47 0D 73 13 8B 6F 10 85 ED 74 0E 8B C5 8B D6 8B 08 FF 11 8B D8 EB 02 B3 02 84 DB 74 0B 8B D6 8B C7 8B 08 FF 51 04 8B F0 84 DB 75 BA 85 F6 74 32 8B 57 04 8B C6 8B 08 FF 91 34 01 00 00 84 C0 75 21 3B 77 04 74 1C 8B 57 04 8B 47 08 8B 08 FF 91 34 01 00 00 84 C0 75 08 8B 47 08 3B 47 04 75 02 33 F6 85 F6 74 03 89 77 08 8B C6 5D 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 73 00 74 00 61 00 74 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111301_0 {
	meta:
		name = "TDomNodeIterator.PreviousNode"
		size = 264
		refs = "000f TDomNodeIterator.PreviousNode 0016 _DV_EInvalid_State_Err 001b Exception.Create 0020 @RaiseExcept"
	strings:
		$1 = { 53 56 57 55 8B F8 33 F6 80 7F 14 00 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 47 0C 2C 01 72 04 74 10 EB 15 8B 57 08 8B C7 8B 08 FF 51 08 8B F0 EB 07 C6 47 0C 00 8B 77 08 33 DB 85 F6 74 3C 8B C6 8B 10 FF 92 B4 00 00 00 3C 0F 77 08 83 E0 7F 66 0F A3 47 0D 73 13 8B 6F 10 85 ED 74 0E 8B C5 8B D6 8B 08 FF 11 8B D8 EB 02 B3 02 84 DB 74 0B 8B D6 8B C7 8B 08 FF 51 08 8B F0 84 DB 75 BA 85 F6 74 32 8B 57 04 8B C6 8B 08 FF 91 34 01 00 00 84 C0 75 21 3B 77 04 74 1C 8B 57 04 8B 47 08 8B 08 FF 91 34 01 00 00 84 C0 75 08 8B 47 08 3B 47 04 75 02 33 F6 85 F6 74 03 89 77 08 8B C6 5D 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 73 00 74 00 61 00 74 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111305_0 {
	meta:
		name = "TDomNodeList.Item"
		size = 25
	strings:
		$1 = { 85 D2 7C 08 8B 48 04 3B 51 08 7C 03 33 C0 C3 8B 40 04 8B 40 04 8B 04 90 C3 }
	condition:
		$1
}

rule function_111306_0 {
	meta:
		name = "TDomElementsNodeList.Create"
		size = 81
		refs = "000e @ClassCreate 001f TDomNodeList.Create 0029 @WStrAsg 003a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 08 8B D6 E8 ?? ?? ?? ?? 8B 45 08 89 47 0C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111307_0 {
	meta:
		name = "TDomElementsNodeList.GetLength"
		size = 324
		refs = "0018 TDomElementsNodeList.GetLength 005b @WStrEqual 0126 @WStrArrayClr 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 8B 40 0C 85 C0 0F 84 DB 00 00 00 33 F6 8B D8 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 2F 8D 55 F4 8B C3 8B 08 FF 51 74 8B 45 F4 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? 74 12 8B 45 FC 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 03 FF 45 F8 8B C3 8B 10 FF 92 3C 01 00 00 84 C0 74 0F 8B C3 8B 10 FF 92 94 00 00 00 8B F8 46 EB 2C 8B C3 8B 10 FF 92 AC 00 00 00 8B F8 EB 1E 4E 83 FE 01 7C 1C 8B C3 8B 10 FF 92 B8 00 00 00 8B D8 8B C3 8B 10 FF 92 AC 00 00 00 8B F8 85 FF 74 DE 83 FE 01 7C 48 8B DF 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 2F 8D 55 F0 8B C3 8B 08 FF 51 74 8B 45 F0 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? 74 12 8B 45 FC 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 03 FF 45 F8 83 FE 01 0F 8D 66 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C3 02 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_111308_0 {
	meta:
		name = "TDomElementsNodeList.IndexOf"
		size = 312
		refs = "0018 TDomElementsNodeList.IndexOf 00d8 @WStrEqual 011a @WStrClr 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 FF FF FF FF 8B 45 FC 83 78 0C 00 0F 84 D3 00 00 00 83 7D F8 00 0F 84 C9 00 00 00 8B 45 F8 8B 10 FF 92 B4 00 00 00 3C 01 0F 85 B6 00 00 00 C7 45 F0 FF FF FF FF 33 F6 8B 45 FC 8B 58 0C 8B C3 8B 10 FF 92 3C 01 00 00 84 C0 74 0F 8B C3 8B 10 FF 92 94 00 00 00 8B F8 46 EB 2C 8B C3 8B 10 FF 92 AC 00 00 00 8B F8 EB 1E 4E 83 FE 01 7C 1C 8B C3 8B 10 FF 92 B8 00 00 00 8B D8 8B C3 8B 10 FF 92 AC 00 00 00 8B F8 85 FF 74 DE 83 FE 01 7C 55 8B DF 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 3C 8D 55 EC 8B C3 8B 08 FF 51 74 8B 45 EC 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? 74 12 8B 45 FC 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 10 FF 45 F0 3B 5D F8 75 08 8B 45 F0 89 45 F4 EB 09 83 FE 01 0F 8D 59 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 02 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_111309_0 {
	meta:
		name = "TDomElementsNodeList.Item"
		size = 288
		refs = "0018 TDomElementsNodeList.Item 00c0 @WStrEqual 0102 @WStrClr 0108 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 FC 8B 40 0C 85 C0 0F 84 BC 00 00 00 83 7D F8 00 0F 8C B2 00 00 00 C7 45 F0 FF FF FF FF 33 F6 8B D8 8B C3 8B 10 FF 92 3C 01 00 00 84 C0 74 0F 8B C3 8B 10 FF 92 94 00 00 00 8B F8 46 EB 2C 8B C3 8B 10 FF 92 AC 00 00 00 8B F8 EB 1E 4E 83 FE 01 7C 1C 8B C3 8B 10 FF 92 B8 00 00 00 8B D8 8B C3 8B 10 FF 92 AC 00 00 00 8B F8 85 FF 74 DE 83 FE 01 7C 55 8B DF 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 3C 8D 55 EC 8B C3 8B 08 FF 51 74 8B 45 EC 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? 74 12 8B 45 FC 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 10 FF 45 F0 8B 45 F0 3B 45 F8 75 05 89 5D F4 EB 09 83 FE 01 0F 8D 59 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 02 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_111310_0 {
	meta:
		name = "TDomElementsNodeListNS.Create"
		size = 92
		refs = "000e @ClassCreate 001f TDomNodeList.Create 0029 @WStrAsg 0045 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 08 8B D6 E8 ?? ?? ?? ?? 8D 47 0C 8B 55 0C E8 ?? ?? ?? ?? 8B 45 08 89 47 10 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111311_0 {
	meta:
		name = "TDomElementsNodeListNS.GetLength"
		size = 316
		refs = "0018 TDomElementsNodeListNS.GetLength 00b2 @WStrEqual 011b @WStrArrayClr 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 F0 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 8B 40 10 85 C0 0F 84 D0 00 00 00 33 F6 8B D8 8B C3 8B 10 FF 92 3C 01 00 00 84 C0 74 0F 8B C3 8B 10 FF 92 94 00 00 00 8B F8 46 EB 2C 8B C3 8B 10 FF 92 AC 00 00 00 8B F8 EB 1E 4E 83 FE 01 7C 1C 8B C3 8B 10 FF 92 B8 00 00 00 8B D8 8B C3 8B 10 FF 92 AC 00 00 00 8B F8 85 FF 74 DE 83 FE 01 7C 7A 8B DF 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 61 8D 55 F4 8B C3 8B 08 FF 91 A8 00 00 00 8B 45 F4 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? 74 12 8B 45 FC 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 32 8D 55 F0 8B C3 8B 08 FF 91 A4 00 00 00 8B 45 F0 8B 55 FC 8B 52 0C E8 ?? ?? ?? ?? 74 12 8B 45 FC 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 03 FF 45 F8 83 FE 01 0F 8D 34 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 00 02 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_111312_0 {
	meta:
		name = "TDomElementsNodeListNS.IndexOf"
		size = 376
		refs = "001b TDomElementsNodeListNS.IndexOf 00e2 @WStrEqual 0158 @WStrArrayClr 015e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 FF FF FF FF 8B 45 FC 83 78 10 00 0F 84 09 01 00 00 83 7D F8 00 0F 84 FF 00 00 00 8B 45 F8 8B 10 FF 92 B4 00 00 00 3C 01 0F 85 EC 00 00 00 C7 45 F0 FF FF FF FF 33 F6 8B 45 FC 8B 58 10 8B C3 8B 10 FF 92 3C 01 00 00 84 C0 74 0F 8B C3 8B 10 FF 92 94 00 00 00 8B F8 46 EB 2C 8B C3 8B 10 FF 92 AC 00 00 00 8B F8 EB 1E 4E 83 FE 01 7C 1C 8B C3 8B 10 FF 92 B8 00 00 00 8B D8 8B C3 8B 10 FF 92 AC 00 00 00 8B F8 85 FF 74 DE 83 FE 01 0F 8C 87 00 00 00 8B DF 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 6E 8D 55 EC 8B C3 8B 08 FF 91 A8 00 00 00 8B 45 EC 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? 74 12 8B 45 FC 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3F 8D 55 E8 8B C3 8B 08 FF 91 A4 00 00 00 8B 45 E8 8B 55 FC 8B 52 0C E8 ?? ?? ?? ?? 74 12 8B 45 FC 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 10 FF 45 F0 3B 5D F8 75 08 8B 45 F0 89 45 F4 EB 09 83 FE 01 0F 8D 23 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 02 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_111313_0 {
	meta:
		name = "TDomElementsNodeListNS.Item"
		size = 352
		refs = "001b TDomElementsNodeListNS.Item 00ca @WStrEqual 0140 @WStrArrayClr 0146 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 45 FC 8B 40 10 85 C0 0F 84 F2 00 00 00 83 7D F8 00 0F 8C E8 00 00 00 C7 45 F0 FF FF FF FF 33 F6 8B D8 8B C3 8B 10 FF 92 3C 01 00 00 84 C0 74 0F 8B C3 8B 10 FF 92 94 00 00 00 8B F8 46 EB 2C 8B C3 8B 10 FF 92 AC 00 00 00 8B F8 EB 1E 4E 83 FE 01 7C 1C 8B C3 8B 10 FF 92 B8 00 00 00 8B D8 8B C3 8B 10 FF 92 AC 00 00 00 8B F8 85 FF 74 DE 83 FE 01 0F 8C 87 00 00 00 8B DF 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 6E 8D 55 EC 8B C3 8B 08 FF 91 A8 00 00 00 8B 45 EC 8B 55 FC 8B 52 08 E8 ?? ?? ?? ?? 74 12 8B 45 FC 8B 40 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3F 8D 55 E8 8B C3 8B 08 FF 91 A4 00 00 00 8B 45 E8 8B 55 FC 8B 52 0C E8 ?? ?? ?? ?? 74 12 8B 45 FC 8B 40 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 10 FF 45 F0 8B 45 F0 3B 45 F8 75 05 89 5D F4 EB 09 83 FE 01 0F 8D 23 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 02 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_111314_0 {
	meta:
		name = "TDomNamedNodeMap.Create"
		size = 84
		refs = "000e @ClassCreate 0020 TDomNodeList.Create 003d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 4D 10 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 0C 0F B7 45 0C 66 89 47 08 0F B6 45 08 88 47 0A 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_111315_0 {
	meta:
		name = "TDomNamedNodeMap.CheckAllowedNodeType"
		size = 120
		refs = "001f TDomNamedNodeMap.CheckAllowedNodeType 0026 _DV_EHierarchy_Request_Err 002b Exception.Create 0030 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 10 FF 92 B4 00 00 00 3C 0F 77 08 83 E0 7F 66 0F A3 43 08 72 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 18 00 00 00 48 00 69 00 65 00 72 00 61 00 72 00 63 00 68 00 79 00 20 00 72 00 65 00 71 00 75 00 65 00 73 00 74 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111316_0 {
	meta:
		name = "TDomNamedNodeMap.CheckHasNode"
		size = 100
		refs = "000c TList.IndexOf 0014 TDomNamedNodeMap.CheckHasNode 001b _DV_ENot_Found_Err 0020 Exception.Create 0025 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 40 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 15 00 00 00 4E 00 6F 00 64 00 65 00 20 00 6E 00 6F 00 74 00 20 00 66 00 6F 00 75 00 6E 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111317_0 {
	meta:
		name = "TDomNamedNodeMap.CheckNamespaceAware"
		size = 88
		refs = "0006 TDomNamedNodeMap.GetNamespaceAware 000f TDomNamedNodeMap.CheckNamespaceAware 0016 _DV_ENamespace_Err 001b Exception.Create 0020 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111318_0 {
	meta:
		name = "TDomNamedNodeMap.CheckNotInUse"
		size = 228
		refs = "0016 TDomNamedNodeMap.CheckNotInUse 001d _DV_EInuse_Err 0022 Exception.Create 0027 @RaiseExcept 003d _DV_TDomAttr 0042 @AsClass"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 8B C3 8B 10 FF 92 B8 00 00 00 85 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 B4 00 00 00 3C 02 75 3B 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 78 4C 85 FF 74 27 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B F7 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 6E 00 75 00 73 00 65 00 20 00 6E 00 6F 00 64 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 49 00 6E 00 75 00 73 00 65 00 20 00 61 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111319_0 {
	meta:
		name = "TDomNamedNodeMap.CheckNotNamespaceAware"
		size = 88
		refs = "0006 TDomNamedNodeMap.GetNamespaceAware 000f TDomNamedNodeMap.CheckNotNamespaceAware 0016 _DV_ENamespace_Err 001b Exception.Create 0020 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111320_0 {
	meta:
		name = "TDomNamedNodeMap.CheckNotReadOnly"
		size = 116
		refs = "0006 TDomNamedNodeMap.GetReadOnly 000f TDomNamedNodeMap.CheckNotReadOnly 0016 _DV_ENo_Modification_Allowed_Err 001b Exception.Create 0020 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 4E 00 6F 00 20 00 6D 00 6F 00 64 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 61 00 6C 00 6C 00 6F 00 77 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111321_0 {
	meta:
		name = "TDomNamedNodeMap.CheckSameRootDocument"
		size = 116
		refs = "0022 TDomNamedNodeMap.CheckSameRootDocument 0029 _DV_EWrong_Document_Err 002e Exception.Create 0033 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 0C 8B 10 FF 92 C4 00 00 00 8B D8 8B C6 8B 10 FF 92 C4 00 00 00 3B D8 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 57 00 72 00 6F 00 6E 00 67 00 20 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111322_0 {
	meta:
		name = "TDomNamedNodeMap.GetNamedItem"
		size = 148
		refs = "0017 TDomNamedNodeMap.GetNamedItem 0024 TDomNamedNodeMap.CheckNotNamespaceAware 0041 TList.Get 0054 @WStrEqual 007e @WStrClr 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 33 C0 89 45 F8 8B 47 04 8B 70 08 4E 85 F6 7C 35 46 33 DB 8B 47 04 8B D3 E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 51 74 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 75 0F 8B 47 04 8B D3 E8 ?? ?? ?? ?? 89 45 F8 EB 04 43 4E 75 CE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111323_0 {
	meta:
		name = "TDomNamedNodeMap.GetNamedItemNS"
		size = 196
		refs = "001d TDomNamedNodeMap.GetNamedItemNS 002a TDomNamedNodeMap.CheckNamespaceAware 0047 TList.Get 005d @WStrEqual 00ae @WStrArrayClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 33 C0 89 45 F4 8B 46 04 8B 78 08 4F 85 FF 7C 5A 47 33 DB 8B D3 8B 46 04 E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 91 A8 00 00 00 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? 75 31 8B D3 8B 46 04 E8 ?? ?? ?? ?? 8D 55 EC 8B 08 FF 91 A4 00 00 00 8B 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 75 0F 8B D3 8B 46 04 E8 ?? ?? ?? ?? 89 45 F4 EB 04 43 4F 75 A9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111324_0 {
	meta:
		name = "TDomNamedNodeMap.GetNamespaceAware"
		size = 17
	strings:
		$1 = { 8B 50 0C 85 D2 74 05 0F B6 42 20 C3 0F B6 40 0A C3 }
	condition:
		$1
}

rule function_111325_0 {
	meta:
		name = "TDomNamedNodeMap.GetReadOnly"
		size = 18
	strings:
		$1 = { 8B 50 0C 85 D2 74 08 8B C2 8B 10 FF 52 50 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111326_0 {
	meta:
		name = "TDomNamedNodeMap.InternalAdd"
		size = 49
		refs = "000c TList.Add 0022 _DV_TDomAttr 0027 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 B4 00 00 00 3C 02 75 10 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 58 4C 5E 5B C3 }
	condition:
		$1
}

rule function_111327_0 {
	meta:
		name = "TDomNamedNodeMap.InternalRemove"
		size = 49
		refs = "000b TList.RemoveItem 0021 _DV_TDomAttr 0026 @AsClass"
	strings:
		$1 = { 53 8B DA 8B 40 04 8B D3 33 C9 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 B4 00 00 00 3C 02 75 12 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 89 50 4C 5B C3 }
	condition:
		$1
}

rule function_111328_0 {
	meta:
		name = "TDomNamedNodeMap.RemoveItem"
		size = 40
		refs = "000a TDomNamedNodeMap.CheckNotReadOnly 0013 TDomNamedNodeMap.CheckHasNode"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B FE 8B D6 8B C3 8B 08 FF 51 10 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111329_0 {
	meta:
		name = "TDomNamedNodeMap.RemoveNamedItem"
		size = 128
		refs = "0009 TDomNamedNodeMap.CheckNotNamespaceAware 0010 TDomNamedNodeMap.CheckNotReadOnly 0024 TDomNamedNodeMap.RemoveNamedItem 002b _DV_ENot_Found_Err 0030 Exception.Create 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 1C 8B F0 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 10 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4E 00 6F 00 64 00 65 00 20 00 6E 00 6F 00 74 00 20 00 66 00 6F 00 75 00 6E 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111330_0 {
	meta:
		name = "TDomNamedNodeMap.RemoveNamedItemNS"
		size = 136
		refs = "000c TDomNamedNodeMap.CheckNamespaceAware 0013 TDomNamedNodeMap.CheckNotReadOnly 0029 TDomNamedNodeMap.RemoveNamedItemNS 0030 _DV_ENot_Found_Err 0035 Exception.Create 003a @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 8B 30 FF 56 20 8B F0 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 10 8B C6 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4E 00 6F 00 64 00 65 00 20 00 6E 00 6F 00 74 00 20 00 66 00 6F 00 75 00 6E 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111331_0 {
	meta:
		name = "TDomNamedNodeMap.SetNamedItem"
		size = 156
		refs = "0010 TDomNamedNodeMap.SetNamedItem 001d TDomNamedNodeMap.CheckNotNamespaceAware 0024 TDomNamedNodeMap.CheckNotReadOnly 002d TDomNamedNodeMap.CheckSameRootDocument 0036 TDomNamedNodeMap.CheckAllowedNodeType 003f TDomNamedNodeMap.CheckNotInUse 0088 @WStrClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 8B 08 FF 51 74 8B 55 FC 8B C3 8B 08 FF 51 1C 8B F8 3B F7 75 04 33 FF EB 16 85 FF 74 09 8B D7 8B C3 8B 08 FF 51 10 8B D6 8B C3 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_111332_0 {
	meta:
		name = "TDomNamedNodeMap.SetNamedItemNS"
		size = 185
		refs = "0012 TDomNamedNodeMap.SetNamedItemNS 001f TDomNamedNodeMap.CheckNamespaceAware 0026 TDomNamedNodeMap.CheckNotReadOnly 002f TDomNamedNodeMap.CheckSameRootDocument 0038 TDomNamedNodeMap.CheckAllowedNodeType 0041 TDomNamedNodeMap.CheckNotInUse 00a4 @WStrArrayClr 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 8B 08 FF 91 A4 00 00 00 8B 45 FC 50 8D 55 F8 8B C6 8B 08 FF 91 A8 00 00 00 8B 55 F8 8B C3 59 8B 38 FF 57 20 8B F8 3B F7 75 04 33 FF EB 16 85 FF 74 09 8B D7 8B C3 8B 08 FF 51 10 8B D6 8B C3 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111333_0 {
	meta:
		name = "TDomCustomNode.RaiseException"
		size = 516
		refs = "000c TDomCustomNode.RaiseException 0018 _Dn_EHierarchyRequestError 0026 _DV_EHierarchy_Request_Err 002b Exception.Create 0030 @RaiseExcept 003b _Dn_ENoModificationAllowedError 0049 _DV_ENo_Modification_Allowed_Err 005b _Dn_ENotAssignedError 0069 _DV_ENot_Supported_Err 007b _Dn_ENotFoundError 0089 _DV_ENot_Found_Err 009b _Dn_EWrongOwnerError 00a9 _DV_EWrong_Document_Err 00bf TObject.ClassName 00e5 @UStrClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 1D ?? ?? ?? ?? 75 1B B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9B 00 00 00 3B 1D ?? ?? ?? ?? 75 18 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7B 3B 1D ?? ?? ?? ?? 75 18 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5B 3B 1D ?? ?? ?? ?? 75 18 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3B 3B 1D ?? ?? ?? ?? 75 18 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 45 00 48 00 69 00 65 00 72 00 61 00 72 00 63 00 68 00 79 00 20 00 72 00 65 00 71 00 75 00 65 00 73 00 74 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 4E 00 6F 00 20 00 6D 00 6F 00 64 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 61 00 6C 00 6C 00 6F 00 77 00 65 00 64 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 4E 00 6F 00 64 00 65 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 4E 00 6F 00 64 00 65 00 20 00 6E 00 6F 00 74 00 20 00 66 00 6F 00 75 00 6E 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 57 00 72 00 6F 00 6E 00 67 00 20 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111334_0 {
	meta:
		name = "TDomNode.Create"
		size = 136
		refs = "000b @ClassCreate 001c TCustomOwnedNode.Create 0026 _DV_TDomNodeList 002b TDomNodeList.Create 0035 TDomNode.Create 0045 _DV_TDomCustomDocument 004a @IsClass 005b @AsClass 0070 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 4F 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 24 0F B7 05 ?? ?? ?? ?? 66 89 47 38 C6 47 20 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 2C EB 05 33 C0 89 47 2C 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 FA 06 00 00 }
	condition:
		$1
}

rule function_111335_0 {
	meta:
		name = "TDomNode.Destroy"
		size = 219
		refs = "000f @BeforeDestruction 001c TDomNode.Destroy 0049 TList.Get 0088 TObject.Free 00a6 TCustomOwnedNode.Destroy 00bb @WStrClr 00c1 @HandleFinally 00d0 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 30 85 C0 74 57 89 45 EC 8B 45 EC 8B 10 FF 52 1C 48 85 C0 7C 47 40 89 45 E8 33 F6 8B 43 34 8B D6 E8 ?? ?? ?? ?? 89 45 F0 66 83 7D F2 00 74 27 8B D6 8B 45 EC 8B 08 FF 51 20 50 6A 00 6A 00 8D 4D E4 8B D6 8B 45 EC 8B 38 FF 57 14 8B 4D E4 B2 02 8B 45 F4 FF 55 F0 46 FF 4D E8 75 BF 8B 43 24 E8 ?? ?? ?? ?? 8B 43 30 E8 ?? ?? ?? ?? 8B 43 34 E8 ?? ?? ?? ?? 0F B6 55 FF 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FF 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111336_0 {
	meta:
		name = "TDomNode.AppendChild"
		size = 120
		refs = "0013 _DV_TDomDocumentFragment 0018 @IsClass 0025 TCustomOwnedNode.CheckAssigned 002e TCustomOwnedNode.CheckSameOwner 006c _DV_TDomNode 0071 @AsClass"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 8B 08 FF 51 78 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 41 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? EB 1A 8B C3 8B 10 FF 92 88 00 00 00 33 D2 8B 08 FF 51 08 8B D0 8B C6 8B 08 FF 51 1C 8B C3 8B 10 FF 92 3C 01 00 00 84 C0 75 D8 8B C3 5E 5B C3 8B D3 8B C6 8B 08 FF 51 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111337_0 {
	meta:
		name = "TDomNode.CheckTypeAllowed"
		size = 400
		refs = "0018 TDomNode.CheckTypeAllowed 0048 TObject.ClassName 0078 _DV_EHierarchy_Request_Err 007d Exception.CreateFmt 0082 @RaiseExcept 008a _DV_TDomDocumentFragment 008f @IsClass 00ee @UStrArrayClr 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E4 89 4D E0 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 0F 84 AE 00 00 00 8B C3 8B 10 FF 92 B4 00 00 00 3C 0F 77 08 83 E0 7F 66 0F A3 46 38 72 44 8D 55 E4 8B 03 E8 ?? ?? ?? ?? 8B 45 E4 89 45 E8 C6 45 EC 11 8D 55 E0 8B 06 E8 ?? ?? ?? ?? 8B 45 E0 89 45 F0 C6 45 F4 11 8D 45 E8 50 6A 01 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 41 8B C3 8B 10 FF 92 88 00 00 00 8B 10 FF 12 48 85 C0 7C 2E 40 89 45 F8 C7 45 FC 00 00 00 00 8B C3 8B 10 FF 92 88 00 00 00 8B 55 FC 8B 08 FF 51 08 8B D0 8B C6 8B 08 FF 51 78 FF 45 FC FF 4D F8 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 40 00 00 00 4E 00 6F 00 64 00 65 00 73 00 20 00 6F 00 66 00 20 00 74 00 79 00 70 00 65 00 20 00 25 00 73 00 20 00 61 00 72 00 65 00 20 00 6E 00 6F 00 74 00 20 00 61 00 6C 00 6C 00 6F 00 77 00 65 00 64 00 20 00 61 00 73 00 20 00 63 00 68 00 69 00 6C 00 64 00 72 00 65 00 6E 00 20 00 6F 00 66 00 20 00 6E 00 6F 00 64 00 65 00 73 00 20 00 6F 00 66 00 20 00 74 00 79 00 70 00 65 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_111339_0 {
	meta:
		name = "TDomNode.CloneNode"
		size = 202
		refs = "0017 TDomNode.CloneNode 0067 TList.Get 00b4 @WStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 C4 00 00 00 0F B6 4D FF 8B D3 8B 30 FF 96 7C 01 00 00 89 45 F8 83 7D F8 00 74 61 83 7B 30 00 74 5B 8B 43 30 89 45 EC 8B 45 EC 8B 10 FF 52 1C 48 85 C0 7C 48 40 89 45 E8 33 F6 8B D6 8B 43 34 E8 ?? ?? ?? ?? 89 45 F0 66 83 7D F2 00 74 28 8B D6 8B 45 EC 8B 08 FF 51 20 50 53 8B 45 F8 50 8D 4D E4 8B D6 8B 45 EC 8B 38 FF 57 14 8B 4D E4 B2 01 8B 45 F4 FF 55 F0 46 FF 4D E8 75 BE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111340_0 {
	meta:
		name = "BuildAncestorList"
		size = 135
		refs = "0015 TList.Insert"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C6 8B 10 FF 52 08 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 B8 00 00 00 85 C0 74 0E 8B C3 8B 10 FF 92 B8 00 00 00 8B D8 EB D9 8B C3 8B 10 FF 92 B4 00 00 00 2C 02 74 06 2C 09 74 20 EB 3A 8B FB 8B C7 8B 10 FF 92 64 01 00 00 85 C0 74 2A 8B C7 8B 10 FF 92 64 01 00 00 8B D8 EB A7 8B C3 8B 10 FF 92 58 01 00 00 85 C0 74 0E 8B C3 8B 10 FF 92 58 01 00 00 8B D8 EB 8B 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111341_0 {
	meta:
		name = "TDomNode.CompareDocumentPosition"
		size = 816
		refs = "0012 TDomNode.CompareDocumentPosition 0019 _DV_ENot_Supported_Err 001e Exception.Create 0023 @RaiseExcept 003d _Dn_TList 0042 TObject.Create 006c BuildAncestorList 0080 TList.Get 009f @TryFinallyExit 00ae TList.Add 00c4 TList.Delete 02bd TObject.Free 02cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 8B D8 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B DE 75 0F 0F B6 05 ?? ?? ?? ?? 88 45 FF E9 97 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 D2 8B 45 F4 E8 ?? ?? ?? ?? 3B D8 74 14 0F B6 05 ?? ?? ?? ?? 88 45 FF E8 ?? ?? ?? ?? E9 29 02 00 00 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? EB 14 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 3B D8 74 CC 8B 45 F4 83 78 08 02 75 14 0F B6 05 ?? ?? ?? ?? 88 45 FF E8 ?? ?? ?? ?? E9 C2 01 00 00 8B 45 F8 83 78 08 02 75 14 0F B6 05 ?? ?? ?? ?? 88 45 FF E8 ?? ?? ?? ?? E9 A5 01 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 92 B4 00 00 00 3C 0B 75 39 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 10 FF 92 B4 00 00 00 3C 0B 75 0C 0F B6 05 ?? ?? ?? ?? 88 45 FF EB 0A 0F B6 05 ?? ?? ?? ?? 88 45 FF E8 ?? ?? ?? ?? E9 53 01 00 00 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 10 FF 92 B4 00 00 00 3C 0B 75 14 0F B6 05 ?? ?? ?? ?? 88 45 FF E8 ?? ?? ?? ?? E9 26 01 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 92 B4 00 00 00 3C 02 75 39 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 10 FF 92 B4 00 00 00 3C 02 75 0C 0F B6 05 ?? ?? ?? ?? 88 45 FF EB 0A 0F B6 05 ?? ?? ?? ?? 88 45 FF E8 ?? ?? ?? ?? E9 D4 00 00 00 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8B 10 FF 92 B4 00 00 00 3C 02 75 14 0F B6 05 ?? ?? ?? ?? 88 45 FF E8 ?? ?? ?? ?? E9 A7 00 00 00 33 D2 8B 45 F8 E8 ?? ?? ?? ?? 8B 10 FF 92 88 00 00 00 8B F0 8B C6 8B 10 FF 12 8B F8 4F 85 FF 7C 61 47 33 DB 8B D3 8B C6 8B 08 FF 51 08 50 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 5A 3B D0 75 11 0F B6 05 ?? ?? ?? ?? 88 45 FF E8 ?? ?? ?? ?? EB 56 8B D3 8B C6 8B 08 FF 51 08 50 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 5A 3B D0 75 11 0F B6 05 ?? ?? ?? ?? 88 45 FF E8 ?? ?? ?? ?? EB 29 43 4F 75 A2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 48 00 00 00 04 00 00 00 22 00 00 00 11 00 00 00 08 00 00 00 10 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_111342_0 {
	meta:
		name = "TDomNode.DoAfterAddition"
		size = 58
		refs = "0023 _DV_TDomNode 0028 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 C4 00 00 00 85 C0 74 23 8B C3 8B 10 FF 92 C4 00 00 00 50 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 68 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_111343_0 {
	meta:
		name = "TDomNode.DoBeforeClear"
		size = 39
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 C4 00 00 00 85 C0 74 14 8B C3 8B 10 FF 92 C4 00 00 00 8B D3 8B 08 FF 91 64 01 00 00 5B C3 }
	condition:
		$1
}

rule function_111344_0 {
	meta:
		name = "TDomNode.DoBeforeRemoval"
		size = 58
		refs = "0023 _DV_TDomNode 0028 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 C4 00 00 00 85 C0 74 23 8B C3 8B 10 FF 92 C4 00 00 00 50 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 6C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_111345_0 {
	meta:
		name = "TDomNode.EvaluateToBoolean"
		size = 121
		refs = "0011 _DV_TXPathExpression 0016 TXPathExpression.Create 0021 TDomNode.EvaluateToBoolean 0063 TObject.Free 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F8 8B 08 FF 51 44 8B D3 8B 45 F8 8B 08 FF 51 40 8B 45 F8 8B 10 FF 52 48 8B 45 F8 8B 10 FF 52 58 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111346_0 {
	meta:
		name = "TDomNode.EvaluateToNode"
		size = 122
		refs = "0011 _DV_TXPathExpression 0016 TXPathExpression.Create 0021 TDomNode.EvaluateToNode 0065 TObject.Free 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F8 8B 08 FF 51 44 8B D3 8B 45 F8 8B 08 FF 51 40 8B 45 F8 8B 10 FF 52 48 33 D2 8B 45 F8 8B 08 FF 51 64 89 45 FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111347_0 {
	meta:
		name = "TDomNode.EvaluateToNumber"
		size = 121
		refs = "0011 _DV_TXPathExpression 0016 TXPathExpression.Create 0021 TDomNode.EvaluateToNumber 0064 TObject.Free 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F4 8B 08 FF 51 44 8B D3 8B 45 F4 8B 08 FF 51 40 8B 45 F4 8B 10 FF 52 48 8B 45 F4 8B 10 FF 52 5C DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111348_0 {
	meta:
		name = "TDomNode.EvaluateToWideString"
		size = 117
		refs = "0012 _DV_TXPathExpression 0017 TXPathExpression.Create 0022 TDomNode.EvaluateToWideString 0063 TObject.Free 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 51 44 8B D3 8B 45 FC 8B 08 FF 51 40 8B 45 FC 8B 10 FF 52 48 8B D7 8B 45 FC 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_111349_0 {
	meta:
		name = "TDomNode.FindFirstChildElement"
		size = 70
		refs = "0024 _DV_TDomElement 0029 @AsClass"
	strings:
		$1 = { 53 56 33 F6 8B 10 FF 92 94 00 00 00 8B D8 85 DB 74 2F 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 10 8B C3 8B 10 FF 92 AC 00 00 00 8B D8 85 DB 75 D1 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_111350_0 {
	meta:
		name = "TDomNode.FindLastChildElement"
		size = 70
		refs = "0024 _DV_TDomElement 0029 @AsClass"
	strings:
		$1 = { 53 56 33 F6 8B 10 FF 92 9C 00 00 00 8B D8 85 DB 74 2F 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 10 8B C3 8B 10 FF 92 BC 00 00 00 8B D8 85 DB 75 D1 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_111351_0 {
	meta:
		name = "TDomNode.FindNextSiblingElement"
		size = 70
		refs = "0024 _DV_TDomElement 0029 @AsClass"
	strings:
		$1 = { 53 56 33 F6 8B 10 FF 92 AC 00 00 00 8B D8 85 DB 74 2F 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 10 8B C3 8B 10 FF 92 AC 00 00 00 8B D8 85 DB 75 D1 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_111352_0 {
	meta:
		name = "TDomNode.FindParentElement"
		size = 70
		refs = "0024 _DV_TDomElement 0029 @AsClass"
	strings:
		$1 = { 53 56 33 F6 8B 10 FF 92 B8 00 00 00 8B D8 85 DB 74 2F 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 10 8B C3 8B 10 FF 92 B8 00 00 00 8B D8 85 DB 75 D1 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_111353_0 {
	meta:
		name = "TDomNode.FindPreviousSiblingElement"
		size = 70
		refs = "0024 _DV_TDomElement 0029 @AsClass"
	strings:
		$1 = { 53 56 33 F6 8B 10 FF 92 BC 00 00 00 8B D8 85 DB 74 2F 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 10 8B C3 8B 10 FF 92 BC 00 00 00 8B D8 85 DB 75 D1 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_111354_0 {
	meta:
		name = "TDomNode.GetAbsoluteIndex"
		size = 25
		refs = "0001 TDomNode.PreviousNode"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 0C 8B 10 FF 52 7C 83 F8 FF 7E 05 40 C3 83 C8 FF C3 }
	condition:
		$1
}

rule function_111356_0 {
	meta:
		name = "TDomNode.GetBaseUri"
		size = 752
		refs = "0017 TDomNode.GetBaseUri 0094 _Dn_TUriWideStrAnalyzer 0099 TUriWideStrAnalyzer.Create 00e6 ResolveRelativeUriWideStr 00fb TObject.Free 0101 @HandleFinally 0131 @WStrClr 019c @WStrEqual 0257 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 B4 00 00 00 FE C8 74 1E FE C8 0F 84 36 01 00 00 48 2C 05 0F 82 FA 00 00 00 2C 02 0F 84 F2 00 00 00 E9 ED 01 00 00 80 7B 20 00 74 18 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 64 01 00 00 8B F8 EB 11 BA ?? ?? ?? ?? 8B C3 8B 08 FF 91 60 01 00 00 8B F8 85 FF 0F 84 83 00 00 00 8D 55 FC 8B C7 8B 08 FF 91 6C 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F4 8B 08 FF 51 14 8B 45 F4 80 78 1B 00 74 0E 8B D6 8B C7 8B 08 FF 91 6C 01 00 00 EB 1A 8D 55 F8 8B C7 8B 08 FF 91 84 00 00 00 8B CE 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 8B 10 FF 92 B8 00 00 00 85 C0 74 19 8B C3 8B 10 FF 92 B8 00 00 00 8B D6 8B 08 FF 91 84 00 00 00 E9 13 01 00 00 8B C6 E8 ?? ?? ?? ?? E9 07 01 00 00 8B C3 8B 10 FF 92 B8 00 00 00 85 C0 74 19 8B C3 8B 10 FF 92 B8 00 00 00 8B D6 8B 08 FF 91 84 00 00 00 E9 E0 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 D4 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 64 01 00 00 85 C0 0F 84 BB 00 00 00 8D 55 F0 8B C3 8B 08 FF 91 A8 00 00 00 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1C 8D 55 EC 8B C3 8B 08 FF 91 A4 00 00 00 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 32 8D 55 E8 8B C3 8B 08 FF 91 A8 00 00 00 8B 45 E8 33 D2 E8 ?? ?? ?? ?? 75 4D 8D 55 E4 8B C3 8B 08 FF 51 74 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 34 8B C3 8B 10 FF 92 64 01 00 00 8B 10 FF 92 B8 00 00 00 85 C0 74 3B 8B C3 8B 10 FF 92 64 01 00 00 8B 10 FF 92 B8 00 00 00 8B D6 8B 08 FF 91 84 00 00 00 EB 1D 8B C3 8B 10 FF 92 64 01 00 00 8B D6 8B 08 FF 91 84 00 00 00 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 08 00 00 00 62 00 61 00 73 00 65 00 00 00 00 00 48 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 58 00 4D 00 4C 00 2F 00 31 00 39 00 39 00 38 00 2F 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 00 00 10 00 00 00 78 00 6D 00 6C 00 3A 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_111361_0 {
	meta:
		name = "TDomNode.GetFirstChildElement"
		size = 159
		refs = "0017 TDomNode.GetFirstChildElement 0052 @WStrEqual 005c _DV_TDomElement 0061 @AsClass 008a @WStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8B 45 FC 8B 10 FF 92 94 00 00 00 8B D8 85 DB 74 45 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 27 8D 55 F8 8B C3 8B 08 FF 51 74 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 EB 10 8B C3 8B 10 FF 92 AC 00 00 00 8B D8 85 DB 75 BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111362_0 {
	meta:
		name = "TDomNode.GetFirstChildElementNS"
		size = 202
		refs = "001c TDomNode.GetFirstChildElementNS 005d @WStrEqual 0080 _DV_TDomElement 0085 @AsClass 00b4 @WStrArrayClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 8B 10 FF 92 94 00 00 00 8B D8 85 DB 74 62 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 44 8D 55 F4 8B C3 8B 08 FF 91 A8 00 00 00 8B 45 F4 8B D6 E8 ?? ?? ?? ?? 75 2B 8D 55 F0 8B C3 8B 08 FF 91 A4 00 00 00 8B 45 F0 8B D7 E8 ?? ?? ?? ?? 75 12 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 10 8B C3 8B 10 FF 92 AC 00 00 00 8B D8 85 DB 75 9E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111363_0 {
	meta:
		name = "TDomNode.GetLanguage"
		size = 440
		refs = "003a TDomNode.GetLanguage 00a1 @WStrClr"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 8B 10 FF 92 B4 00 00 00 FE C8 74 1E FE C8 0F 84 BA 00 00 00 48 2C 05 0F 82 84 00 00 00 2C 03 0F 84 D8 00 00 00 E9 02 01 00 00 80 7B 20 00 74 18 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 8B 38 FF 97 64 01 00 00 8B F8 EB 11 BA ?? ?? ?? ?? 8B C3 8B 08 FF 91 60 01 00 00 8B F8 85 FF 74 11 8B D6 8B C7 8B 08 FF 91 6C 01 00 00 E9 C5 00 00 00 8B C3 8B 10 FF 92 B8 00 00 00 85 C0 74 19 8B C3 8B 10 FF 92 B8 00 00 00 8B D6 8B 08 FF 91 98 00 00 00 E9 9E 00 00 00 8B C6 E8 ?? ?? ?? ?? E9 92 00 00 00 8B C3 8B 10 FF 92 B8 00 00 00 85 C0 74 16 8B C3 8B 10 FF 92 B8 00 00 00 8B D6 8B 08 FF 91 98 00 00 00 EB 6E 8B C6 E8 ?? ?? ?? ?? EB 65 8B FB 8B C7 8B 10 FF 92 64 01 00 00 85 C0 74 16 8B C7 8B 10 FF 92 64 01 00 00 8B D6 8B 08 FF 91 98 00 00 00 EB 3F 8B C6 E8 ?? ?? ?? ?? EB 36 8B FB 8B C7 8B 10 FF 92 58 01 00 00 85 C0 74 16 8B C7 8B 10 FF 92 58 01 00 00 8B D6 8B 08 FF 91 98 00 00 00 EB 10 8B C6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 08 00 00 00 6C 00 61 00 6E 00 67 00 00 00 00 00 48 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 58 00 4D 00 4C 00 2F 00 31 00 39 00 39 00 38 00 2F 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 00 00 10 00 00 00 78 00 6D 00 6C 00 3A 00 6C 00 61 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_111365_0 {
	meta:
		name = "TDomNode.GetLastChildElement"
		size = 159
		refs = "0017 TDomNode.GetLastChildElement 0052 @WStrEqual 005c _DV_TDomElement 0061 @AsClass 008a @WStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B D8 85 DB 74 45 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 27 8D 55 F8 8B C3 8B 08 FF 51 74 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 EB 10 8B C3 8B 10 FF 92 BC 00 00 00 8B D8 85 DB 75 BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111366_0 {
	meta:
		name = "TDomNode.GetLastChildElementNS"
		size = 202
		refs = "001c TDomNode.GetLastChildElementNS 005d @WStrEqual 0080 _DV_TDomElement 0085 @AsClass 00b4 @WStrArrayClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B D8 85 DB 74 62 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 44 8D 55 F4 8B C3 8B 08 FF 91 A8 00 00 00 8B 45 F4 8B D6 E8 ?? ?? ?? ?? 75 2B 8D 55 F0 8B C3 8B 08 FF 91 A4 00 00 00 8B 45 F0 8B D7 E8 ?? ?? ?? ?? 75 12 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 10 8B C3 8B 10 FF 92 BC 00 00 00 8B D8 85 DB 75 9E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111367_0 {
	meta:
		name = "TDomNode.GetLevel"
		size = 48
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 B8 00 00 00 85 C0 74 1A 8B C3 8B 10 FF 92 B8 00 00 00 8B 10 FF 92 A0 00 00 00 83 F8 FF 7E 06 40 5B C3 83 C8 FF 5B C3 }
	condition:
		$1
}

rule function_111371_0 {
	meta:
		name = "TDomNode.GetNextSiblingElement"
		size = 159
		refs = "0017 TDomNode.GetNextSiblingElement 0052 @WStrEqual 005c _DV_TDomElement 0061 @AsClass 008a @WStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8B 45 FC 8B 10 FF 92 AC 00 00 00 8B D8 85 DB 74 45 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 27 8D 55 F8 8B C3 8B 08 FF 51 74 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 EB 10 8B C3 8B 10 FF 92 AC 00 00 00 8B D8 85 DB 75 BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111372_0 {
	meta:
		name = "TDomNode.GetNextSiblingElementNS"
		size = 202
		refs = "001c TDomNode.GetNextSiblingElementNS 005d @WStrEqual 0080 _DV_TDomElement 0085 @AsClass 00b4 @WStrArrayClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 8B 10 FF 92 AC 00 00 00 8B D8 85 DB 74 62 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 44 8D 55 F4 8B C3 8B 08 FF 91 A8 00 00 00 8B 45 F4 8B D6 E8 ?? ?? ?? ?? 75 2B 8D 55 F0 8B C3 8B 08 FF 91 A4 00 00 00 8B 45 F0 8B D7 E8 ?? ?? ?? ?? 75 12 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 10 8B C3 8B 10 FF 92 AC 00 00 00 8B D8 85 DB 75 9E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111376_0 {
	meta:
		name = "TDomNode.GetParentElement"
		size = 159
		refs = "0017 TDomNode.GetParentElement 0052 @WStrEqual 005c _DV_TDomElement 0061 @AsClass 008a @WStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8B 45 FC 8B 10 FF 92 B8 00 00 00 8B D8 85 DB 74 45 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 27 8D 55 F8 8B C3 8B 08 FF 51 74 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 EB 10 8B C3 8B 10 FF 92 B8 00 00 00 8B D8 85 DB 75 BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111377_0 {
	meta:
		name = "TDomNode.GetParentElementNS"
		size = 202
		refs = "001c TDomNode.GetParentElementNS 005d @WStrEqual 0080 _DV_TDomElement 0085 @AsClass 00b4 @WStrArrayClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 8B 10 FF 92 B8 00 00 00 8B D8 85 DB 74 62 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 44 8D 55 F4 8B C3 8B 08 FF 91 A8 00 00 00 8B 45 F4 8B D6 E8 ?? ?? ?? ?? 75 2B 8D 55 F0 8B C3 8B 08 FF 91 A4 00 00 00 8B 45 F0 8B D7 E8 ?? ?? ?? ?? 75 12 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 10 8B C3 8B 10 FF 92 B8 00 00 00 8B D8 85 DB 75 9E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111381_0 {
	meta:
		name = "TDomNode.GetPreviousSiblingElement"
		size = 159
		refs = "0017 TDomNode.GetPreviousSiblingElement 0052 @WStrEqual 005c _DV_TDomElement 0061 @AsClass 008a @WStrClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 FF 8B 45 FC 8B 10 FF 92 BC 00 00 00 8B D8 85 DB 74 45 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 27 8D 55 F8 8B C3 8B 08 FF 51 74 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 EB 10 8B C3 8B 10 FF 92 BC 00 00 00 8B D8 85 DB 75 BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111382_0 {
	meta:
		name = "TDomNode.GetPreviousSiblingElementNS"
		size = 202
		refs = "001c TDomNode.GetPreviousSiblingElementNS 005d @WStrEqual 0080 _DV_TDomElement 0085 @AsClass 00b4 @WStrArrayClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 8B 10 FF 92 BC 00 00 00 8B D8 85 DB 74 62 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 44 8D 55 F4 8B C3 8B 08 FF 91 A8 00 00 00 8B 45 F4 8B D6 E8 ?? ?? ?? ?? 75 2B 8D 55 F0 8B C3 8B 08 FF 91 A4 00 00 00 8B 45 F0 8B D7 E8 ?? ?? ?? ?? 75 12 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 10 8B C3 8B 10 FF 92 BC 00 00 00 8B D8 85 DB 75 9E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111383_0 {
	meta:
		name = "TDomNode.GetUserData"
		size = 40
	strings:
		$1 = { 56 8B F0 8B 46 30 85 C0 74 1A 8B 08 FF 51 5C 83 F8 FF 75 04 33 C0 EB 0E 8B D0 8B 46 30 8B 08 FF 51 20 5E C3 33 C0 5E C3 }
	condition:
		$1
}

rule function_111384_0 {
	meta:
		name = "TDomNode.GetRootDocument"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 8C 00 00 00 C3 }
	condition:
		$1
}

rule function_111385_0 {
	meta:
		name = "TDomNode.GetTextContent"
		size = 317
		refs = "0016 TDomNode.GetTextContent 005d _Dn_TUtilsCustomWideStr 0062 TUtilsCustomWideStr.Create 00f7 TObject.Free 00fd @HandleFinally 0116 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 B4 00 00 00 83 E0 7F 83 F8 09 0F 87 DC 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 02 02 02 01 02 02 00 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 8B 10 FF 92 88 00 00 00 8B 10 FF 12 48 85 C0 7C 51 40 89 45 F0 C7 45 F8 00 00 00 00 8B C3 8B 10 FF 92 88 00 00 00 8B 55 F8 8B 08 FF 51 08 8B F0 8B C6 8B 10 FF 92 B4 00 00 00 3C 07 74 1C 3C 06 74 18 8D 55 EC 8B C6 8B 08 FF 91 C8 00 00 00 8B 55 EC 8B 45 F4 8B 08 FF 51 10 FF 45 F8 FF 4D F0 75 BA 8B 55 FC 8B 45 F4 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 55 FC 8B C3 8B 08 FF 91 B0 00 00 00 EB 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111386_0 {
	meta:
		name = "TDomNode.GetXPathStringValue"
		size = 175
		refs = "0020 TDomNode.GetXPathStringValue 0090 @WStrClr"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 8B 10 FF 92 B4 00 00 00 83 E0 7F 83 F8 0B 0F 87 87 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 02 02 00 00 02 02 03 00 00 04 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 91 C8 00 00 00 EB 52 8B D6 8B C3 8B 08 FF 91 B0 00 00 00 EB 44 8B FB 8B C7 8B 10 FF 92 78 01 00 00 85 C0 74 16 8B C7 8B 10 FF 92 78 01 00 00 8B D6 8B 08 FF 91 C8 00 00 00 EB 1E 8B C6 E8 ?? ?? ?? ?? EB 15 8B D6 8B C3 8B 08 FF 91 A8 00 00 00 EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111388_0 {
	meta:
		name = "TDomNode.HasAttributes"
		size = 42
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 80 00 00 00 85 C0 74 15 8B C3 8B 10 FF 92 80 00 00 00 8B 10 FF 12 85 C0 0F 9F C0 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_111390_0 {
	meta:
		name = "TDomNode.HasEntRef"
		size = 190
		refs = "0018 TDomNode.HasEntRef 0072 @WStrEqual 00a7 @WStrClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 FC 8B 10 FF 92 88 00 00 00 8B 10 FF 12 8B F0 4E 85 F6 7C 5A 46 33 FF 8B 45 FC 8B 10 FF 92 88 00 00 00 8B D7 8B 08 FF 51 08 8B D8 8B C3 8B 10 FF 92 B4 00 00 00 3C 05 75 1D 8D 55 F0 8B C3 8B 08 FF 51 74 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 75 06 C6 45 F7 01 EB 14 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 F7 01 EB 04 47 4E 75 A9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111391_0 {
	meta:
		name = "TDomNode.InsertBefore"
		size = 143
		refs = "0017 _DV_TDomDocumentFragment 001c @IsClass 0029 TCustomOwnedNode.CheckAssigned 0032 TCustomOwnedNode.CheckSameOwner 003d TCustomOwnedNode.CheckDissimilarity 007b TCustomOwnedNode.InsertBefore 0081 _DV_TDomNode 0086 @AsClass"
	strings:
		$1 = { 53 56 57 55 8B F9 8B DA 8B F0 8B D3 8B C6 8B 08 FF 51 78 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 50 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? EB 1F 8B C3 8B 10 FF 92 88 00 00 00 33 D2 8B 08 FF 51 08 8B D0 8B CF 8B C6 8B 28 FF 95 40 01 00 00 8B C3 8B 10 FF 92 3C 01 00 00 84 C0 75 D3 8B C3 EB 16 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111392_0 {
	meta:
		name = "TDomNode.LookupNamespaceURI"
		size = 248
		refs = "0009 TDomNode.LookupNamespaceURI 000e @WStrEqual 001c @WStrAsg 0042 @WStrClr"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 06 00 00 00 78 00 6D 00 6C 00 00 00 48 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 58 00 4D 00 4C 00 2F 00 31 00 39 00 39 00 38 00 2F 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 00 00 0A 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 00 00 3A 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 30 00 2F 00 78 00 6D 00 6C 00 6E 00 73 00 2F 00 00 00 }
	condition:
		$1
}

rule function_111393_0 {
	meta:
		name = "TDomNode.MakeChildrenReadOnly"
		size = 66
		refs = "0035 TDomNode.MakeChildrenReadOnly"
	strings:
		$1 = { 53 56 57 55 8B 10 FF 92 88 00 00 00 8B E8 8B C5 8B 10 FF 12 8B F0 4E 85 F6 7C 22 46 33 FF 8B D7 8B C5 8B 08 FF 51 08 8B D8 B2 01 8B C3 8B 08 FF 51 70 8B C3 E8 ?? ?? ?? ?? 47 4E 75 E1 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111394_0 {
	meta:
		name = "TDomNode.Normalize"
		size = 54
	strings:
		$1 = { 53 56 57 8B 10 FF 92 88 00 00 00 8B F8 8B C7 8B 10 FF 12 8B D8 4B 85 DB 7C 18 43 33 F6 8B D6 8B C7 8B 08 FF 51 08 8B 10 FF 92 48 01 00 00 46 4B 75 EB 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111395_0 {
	meta:
		name = "TDomNode.PreviousNode"
		size = 65
	strings:
		$1 = { 53 56 57 8B F8 8B C7 8B 10 FF 92 BC 00 00 00 8B F0 85 F6 74 1A 8B DE 85 DB 74 20 8B F3 8B C3 8B 10 FF 92 9C 00 00 00 8B D8 85 DB 75 EE EB 0C 8B C7 8B 10 FF 92 B8 00 00 00 8B F0 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111397_0 {
	meta:
		name = "TDomNode.ReplaceChild"
		size = 197
		refs = "0018 _DV_TDomDocumentFragment 001d @IsClass 002a TCustomOwnedNode.CheckAssigned 0033 TCustomOwnedNode.CheckSameOwner 003c TCustomOwnedNode.CheckHasChild 00aa TCustomOwnedNode.Replace 00b0 _DV_TDomNode 00b5 @AsClass"
	strings:
		$1 = { 53 56 57 55 51 8B E9 8B DA 8B F0 8B D3 8B C6 8B 08 FF 51 78 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7E 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D5 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 9C 00 00 00 8B F8 85 FF 74 42 8B CD 8B D7 8B C6 8B 28 FF 95 50 01 00 00 89 04 24 EB 1F 8B C3 8B 10 FF 92 88 00 00 00 33 D2 8B 08 FF 51 08 8B D0 8B CF 8B C6 8B 28 FF 95 40 01 00 00 8B C3 8B 10 FF 92 3C 01 00 00 84 C0 75 D3 EB 2A 8B D5 8B C6 8B 08 FF 91 4C 01 00 00 89 04 24 EB 19 8B CD 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111398_0 {
	meta:
		name = "TDomNode.SetNodeValue"
		size = 128
		refs = "0012 TDomNode.SetNodeValue 0019 _DV_ENo_Modification_Allowed_Err 001e Exception.Create 0023 @RaiseExcept 002d @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 50 84 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 28 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 1E 00 00 00 4E 00 6F 00 20 00 6D 00 6F 00 64 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 61 00 6C 00 6C 00 6F 00 77 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111399_0 {
	meta:
		name = "TDomNode.SetPrefix"
		size = 116
		refs = "000f TDomNode.SetPrefix 0016 _DV_ENo_Modification_Allowed_Err 001b Exception.Create 0020 @RaiseExcept"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 50 84 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 4E 00 6F 00 20 00 6D 00 6F 00 64 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 61 00 6C 00 6C 00 6F 00 77 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111400_0 {
	meta:
		name = "TDomNode.SetUserData"
		size = 316
		refs = "0048 TList.Add 0080 TList.Put 008c _Dn_TUtilsWideStringList 0091 TObject.Create 009b _Dn_TList 00f8 TList.Delete 010c TObject.Free"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B F0 83 7D FC 00 0F 84 AC 00 00 00 8B 46 30 85 C0 74 68 8B D7 8B 08 FF 51 5C 8B D8 83 FB FF 75 22 33 C0 89 45 F8 8B 4D FC 8B D7 8B 46 30 8B 18 FF 53 38 8B 55 08 8B 46 34 E8 ?? ?? ?? ?? E9 DF 00 00 00 8B D3 8B 46 30 8B 08 FF 51 20 89 45 F8 8B CF 8B D3 8B 46 30 8B 38 FF 57 24 8B 4D FC 8B D3 8B 46 30 8B 38 FF 57 28 8B 4D 08 8B D3 8B 46 34 E8 ?? ?? ?? ?? E9 A7 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 34 33 C0 89 45 F8 8B 4D FC 8B D7 8B 46 30 8B 18 FF 53 38 8B 55 08 8B 46 34 E8 ?? ?? ?? ?? EB 6A 8B 46 30 85 C0 74 5E 8B D7 8B 08 FF 51 5C 8B D8 83 FB FF 7E 49 8B D3 8B 46 30 8B 08 FF 51 20 89 45 F8 8B D3 8B 46 30 8B 08 FF 51 4C 8B D3 8B 46 34 E8 ?? ?? ?? ?? 8B 46 30 8B 10 FF 52 1C 85 C0 75 28 8B 46 30 E8 ?? ?? ?? ?? 33 C0 89 46 30 8B 46 34 E8 ?? ?? ?? ?? 33 C0 89 46 34 EB 0C 33 C0 89 45 F8 EB 05 33 C0 89 45 F8 8B 45 F8 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111401_0 {
	meta:
		name = "TDomCharacterData.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TDomNode.Create 001e TDomCharacterData.Create 002d @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 46 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_111402_0 {
	meta:
		name = "TDomCharacterData.AppendData"
		size = 204
		refs = "000f TDomCharacterData.AppendData 002c _DV_ENo_Modification_Allowed_Err 0031 Exception.Create 0036 @RaiseExcept 004d @WStrCat 006f @WStrClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 84 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 91 58 01 00 00 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 91 5C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 1E 00 00 00 4E 00 6F 00 20 00 6D 00 6F 00 64 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 61 00 6C 00 6C 00 6F 00 77 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111403_0 {
	meta:
		name = "TDomCharacterData.DeleteData"
		size = 19
	strings:
		$1 = { 53 56 8B F0 6A 00 8B C6 8B 18 FF 93 78 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_111404_0 {
	meta:
		name = "TDomCharacterData.DoCharacterDataModified"
		size = 39
		altNames = "TDomProcessingInstruction.DoCharacterDataModified"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 C4 00 00 00 85 C0 74 14 8B C3 8B 10 FF 92 C4 00 00 00 8B D3 8B 08 FF 91 60 01 00 00 5B C3 }
	condition:
		$1
}

rule function_111406_0 {
	meta:
		name = "TDomCharacterData.GetLength"
		size = 99
		refs = "0012 TDomCharacterData.GetLength 0050 @WStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 58 01 00 00 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111407_0 {
	meta:
		name = "TDomCharacterData.InsertData"
		size = 20
	strings:
		$1 = { 53 56 8B F0 51 8B C6 33 C9 8B 18 FF 93 78 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_111408_0 {
	meta:
		name = "TDomCharacterData.ReplaceData"
		size = 400
		refs = "0018 TDomCharacterData.ReplaceData 0035 _DV_ENo_Modification_Allowed_Err 003a Exception.Create 003f @RaiseExcept 0061 _DV_EIndex_Size_Err 00ce @WStrCatN 00f0 @WStrClr 00fd @WStrArrayClr 0103 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 84 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7C 12 8B C3 8B 10 FF 92 60 01 00 00 3B F0 7F 04 85 FF 7D 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 60 01 00 00 2B C6 89 45 F4 3B 7D F4 7D 03 89 7D F4 8D 45 FC 50 8B CE 33 D2 8B C3 8B 38 FF 97 68 01 00 00 8D 45 F8 50 8B C3 8B 10 FF 92 60 01 00 00 8B C8 2B CE 2B 4D F4 8B D6 03 55 F4 8B C3 8B 30 FF 96 68 01 00 00 FF 75 FC FF 75 08 FF 75 F8 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 8B 08 FF 91 5C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 4E 00 6F 00 20 00 6D 00 6F 00 64 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 61 00 6C 00 6C 00 6F 00 77 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 6E 00 64 00 65 00 78 00 20 00 73 00 69 00 7A 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111409_0 {
	meta:
		name = "TDomCharacterData.SetData"
		size = 94
		refs = "000f TDomCharacterData.SetData 004d @WStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 B0 00 00 00 8B D6 8B C3 8B 08 FF 91 D0 00 00 00 8B C3 8B 10 FF 92 64 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_111410_0 {
	meta:
		name = "TDomCharacterData.SubstringData"
		size = 228
		refs = "0019 TDomCharacterData.SubstringData 0043 _DV_EIndex_Size_Err 0048 Exception.Create 004d @RaiseExcept 0078 @WStrToPWChar 008a @WStrFromPWCharLen 009f @WStrClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 14 8B C3 8B 10 FF 92 60 01 00 00 3B F0 7F 06 83 7D FC 00 7D 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 60 01 00 00 8B F8 2B FE 3B 7D FC 7E 03 8B 7D FC 8D 55 F8 8B C3 8B 08 FF 91 58 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C6 03 C0 03 D0 8B 45 08 8B CF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 6E 00 64 00 65 00 78 00 20 00 73 00 69 00 7A 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111411_0 {
	meta:
		name = "TDomAttr.Create"
		size = 256
		refs = "000f @ClassCreate 0020 IsXmlName 0029 TDomAttr.Create 0030 _DV_EInvalid_Character_Err 0035 Exception.Create 003a @RaiseExcept 0045 TDomNode.Create 004c IsXmlDefaultAttName 005d IsXmlPrefixedAttName 0075 @WStrAsg 007d @WStrClr 00a4 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 0C 8B C6 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 3C 00 EB 15 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 C6 43 3C 01 EB 04 C6 43 3C 02 8D 43 48 8B D6 E8 ?? ?? ?? ?? 8D 43 28 E8 ?? ?? ?? ?? 8D 43 50 E8 ?? ?? ?? ?? 0F B6 45 08 88 43 54 0F B7 05 ?? ?? ?? ?? 66 89 43 38 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 08 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 68 00 61 00 72 00 61 00 63 00 74 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_111412_0 {
	meta:
		name = "TDomAttr.CreateNS"
		size = 872
		refs = "0019 @ClassCreate 002f TDomAttr.CreateNS 003d @WStrClr 0050 XmlExtractPrefixAndLocalName 005b IsXmlName 006b _DV_EInvalid_Character_Err 0070 Exception.Create 0075 @RaiseExcept 0083 _DV_ENamespace_Err 009a @WStrEqual 01b8 TDomNode.Create 01c2 @WStrAsg 021a @WStrArrayClr 0220 @HandleFinally 022f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F0 88 55 F7 8B D8 8B 7D 0C 8B 75 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? 84 C0 75 39 8B C7 E8 ?? ?? ?? ?? 84 C0 75 18 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2A 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 3C 01 EB 60 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2A 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 3C 00 EB 28 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 3C 02 8B C6 33 D2 E8 ?? ?? ?? ?? 75 22 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 26 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 3C B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 48 8B D7 E8 ?? ?? ?? ?? 8D 43 44 8B D6 E8 ?? ?? ?? ?? 8D 43 50 8B 55 F8 E8 ?? ?? ?? ?? 8D 43 40 8B 55 FC E8 ?? ?? ?? ?? C6 43 20 01 8D 43 28 E8 ?? ?? ?? ?? 0F B6 45 08 88 43 54 0F B7 05 ?? ?? ?? ?? 66 89 43 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 80 7D F7 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 68 00 61 00 72 00 61 00 63 00 74 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 0A 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 00 00 3A 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 30 00 2F 00 78 00 6D 00 6C 00 6E 00 73 00 2F 00 00 00 06 00 00 00 78 00 6D 00 6C 00 00 00 48 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 58 00 4D 00 4C 00 2F 00 31 00 39 00 39 00 38 00 2F 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_111413_0 {
	meta:
		name = "TDomAttr.Destroy"
		size = 161
		refs = "0007 @BeforeDestruction 0047 TDomAttr.Destroy 007a @HandleFinally 008b TDomNode.Destroy 0099 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F4 E8 ?? ?? ?? ?? 88 55 FB 89 45 FC 8B 45 FC 8B 10 FF 92 64 01 00 00 85 C0 74 60 8B 45 FC 8B 10 FF 92 64 01 00 00 89 45 F4 8B 45 F4 8B 10 FF 52 50 88 45 FA 33 D2 8B 45 F4 8B 08 FF 51 70 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F4 8B 08 FF 91 8C 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 FA 8B 45 F4 8B 08 FF 51 70 C3 E9 ?? ?? ?? ?? EB EC 0F B6 55 FB 80 E2 FC 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 7E 08 8B 45 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule function_111414_0 {
	meta:
		name = "TDomAttr.DoAttrModified"
		size = 56
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 92 64 01 00 00 85 C0 74 21 56 8B C6 8B 10 FF 92 64 01 00 00 50 8B C6 8B 10 FF 92 64 01 00 00 8B CB 5A 8B 18 FF 93 58 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_111415_0 {
	meta:
		name = "TDomAttr.GetDataType"
		size = 155
		refs = "000e TDomAttr.GetDataType 0088 @WStrArrayClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 C4 00 00 00 85 C0 74 4A 8B C3 8B 10 FF 92 64 01 00 00 85 C0 74 3C 8D 55 FC 8B C3 8B 08 FF 51 74 8B 45 FC 50 8B C3 8B 10 FF 92 64 01 00 00 8D 55 F8 8B 08 FF 51 74 8B 45 F8 50 8B C3 8B 10 FF 92 C4 00 00 00 5A 59 8B 18 FF 93 70 01 00 00 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111416_0 {
	meta:
		name = "TDomAttr.GetExpandedName"
		size = 18
		altNames = "TDomAttr.GetName TDomDocumentTypeDecl.GetName TDomElement.GetExpandedName TDomElement.GetTagName"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 74 5E 5B C3 }
	condition:
		$1
}

rule function_111424_0 {
	meta:
		name = "TDomAttr.GetOwnerElement"
		size = 48
		refs = "001d _DV_TDomElement 0022 @AsClass"
	strings:
		$1 = { 53 8B 50 4C 85 D2 74 24 8B 5A 0C 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 0F 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 06 33 C0 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_111427_0 {
	meta:
		name = "TDomAttr.GetSpecified"
		size = 5
	strings:
		$1 = { 0F B6 40 54 C3 }
	condition:
		$1
}

rule function_111428_0 {
	meta:
		name = "TDomAttr.GetValue"
		size = 256
		refs = "0015 TDomAttr.GetValue 0022 @WStrClr 004a TDomAttr.GetDataType 0068 ET_WARNINGS 0076 _Dn_EConvertError 007b Exception.Create 0080 @RaiseExcept 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 45 FF 50 8D 55 F8 8B C3 8B 08 FF 91 B0 00 00 00 8B 45 F8 50 8B C3 8B 10 FF 92 C4 00 00 00 50 8B C3 E8 ?? ?? ?? ?? 8B C8 58 5A 8B 18 FF 93 58 01 00 00 0F B6 45 FF 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 72 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 25 00 00 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 20 00 76 00 61 00 6C 00 75 00 65 00 20 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 69 00 7A 00 61 00 74 00 69 00 6F 00 6E 00 20 00 66 00 61 00 69 00 6C 00 65 00 64 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111429_0 {
	meta:
		name = "TDomAttr.LookupNamespaceURI"
		size = 82
		refs = "000e @WStrEqual 0017 @WStrClr 004a TDomNode.LookupNamespaceURI"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C6 33 D2 E8 ?? ?? ?? ?? 75 09 8B C7 E8 ?? ?? ?? ?? EB 31 8B C3 8B 10 FF 92 64 01 00 00 85 C0 74 18 8B C3 8B 10 FF 92 64 01 00 00 8B CF 8B D6 8B 18 FF 93 44 01 00 00 EB 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111430_0 {
	meta:
		name = "TDomAttr.SetNodeValue"
		size = 24
		refs = "0006 TDomNode.SetNodeValue"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 91 58 01 00 00 5B C3 }
	condition:
		$1
}

rule function_111431_0 {
	meta:
		name = "TDomAttr.SetPrefix"
		size = 988
		refs = "0016 TDomAttr.SetPrefix 0033 _DV_ENo_Modification_Allowed_Err 0038 Exception.Create 003d @RaiseExcept 0054 @WStrEqual 0062 _DV_ENamespace_Err 01b7 @WStrClr 01cf @WStrAsg 01d8 IsXmlName 01e8 _DV_EInvalid_Character_Err 01f9 IsXmlPrefix 0240 @WStrCatN 025a @WStrArrayClr 0260 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 84 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 51 74 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 8B C3 8B 08 FF 91 A8 00 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2D 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 D8 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BD 00 00 00 8D 55 F4 8B C3 8B 08 FF 91 A8 00 00 00 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2A 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 8F 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 77 8D 55 F0 8B C3 8B 08 FF 91 A8 00 00 00 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 33 D2 E8 ?? ?? ?? ?? 75 54 8D 55 EC 8B C3 8B 08 FF 91 A8 00 00 00 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 50 E8 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 08 FF 91 A4 00 00 00 8B 55 E8 8D 43 48 E8 ?? ?? ?? ?? EB 6F 8B C6 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 50 8B D6 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 55 E4 8B C3 8B 08 FF 91 A4 00 00 00 FF 75 E4 8D 43 48 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 1E 00 00 00 4E 00 6F 00 20 00 6D 00 6F 00 64 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 61 00 6C 00 6C 00 6F 00 77 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 0A 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 3A 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 30 00 2F 00 78 00 6D 00 6C 00 6E 00 73 00 2F 00 00 00 48 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 58 00 4D 00 4C 00 2F 00 31 00 39 00 39 00 38 00 2F 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 00 00 06 00 00 00 78 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 68 00 61 00 72 00 61 00 63 00 74 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 02 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_111432_0 {
	meta:
		name = "TDomElement.Create"
		size = 292
		refs = "000f @ClassCreate 0020 IsXmlName 0029 TDomElement.Create 0030 _DV_EInvalid_Character_Err 0035 Exception.Create 003a @RaiseExcept 0045 TDomNode.Create 004f @WStrAsg 0057 @WStrClr 0066 _Dn_TList 006b TObject.Create 00a3 _DV_TDomNamedNodeMap 00a8 TDomNamedNodeMap.Create 00c3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 54 8B D6 E8 ?? ?? ?? ?? 8D 43 28 E8 ?? ?? ?? ?? 8D 43 58 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 44 8B 43 40 50 0F B7 05 ?? ?? ?? ?? 50 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C 0F B7 05 ?? ?? ?? ?? 66 89 43 38 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 68 00 61 00 72 00 61 00 63 00 74 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 04 00 00 00 FA 02 00 00 }
	condition:
		$1
}

rule function_111433_0 {
	meta:
		name = "TDomElement.CreateNS"
		size = 844
		refs = "0019 @ClassCreate 002f TDomElement.CreateNS 003d @WStrClr 0050 XmlExtractPrefixAndLocalName 005b IsXmlName 006b _DV_EInvalid_Character_Err 0070 Exception.Create 0075 @RaiseExcept 0083 _DV_ENamespace_Err 009a @WStrEqual 0152 TDomNode.Create 015c @WStrAsg 018f _Dn_TList 0194 TObject.Create 01cc _DV_TDomNamedNodeMap 01d1 TDomNamedNodeMap.Create 01f9 @WStrArrayClr 01ff @HandleFinally 020e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F0 88 55 F7 8B D8 8B 7D 08 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C7 59 E8 ?? ?? ?? ?? 84 C0 75 39 8B C7 E8 ?? ?? ?? ?? 84 C0 75 18 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 33 D2 E8 ?? ?? ?? ?? 75 22 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 26 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 3C B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 54 8B D7 E8 ?? ?? ?? ?? 8D 43 50 8B D6 E8 ?? ?? ?? ?? 8D 43 58 8B 55 F8 E8 ?? ?? ?? ?? 8D 43 4C 8B 55 FC E8 ?? ?? ?? ?? C6 43 20 01 8D 43 28 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 48 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 44 8B 43 40 50 0F B7 05 ?? ?? ?? ?? 50 6A 01 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C 0F B7 05 ?? ?? ?? ?? 66 89 43 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 80 7D F7 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 68 00 61 00 72 00 61 00 63 00 74 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 0A 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 00 00 3A 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 30 00 2F 00 78 00 6D 00 6C 00 6E 00 73 00 2F 00 00 00 06 00 00 00 78 00 6D 00 6C 00 00 00 48 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 58 00 4D 00 4C 00 2F 00 31 00 39 00 39 00 38 00 2F 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 00 00 04 00 00 00 FA 02 00 00 }
	condition:
		$1
}

rule function_111434_0 {
	meta:
		name = "TDomElement.Destroy"
		size = 167
		refs = "0005 @BeforeDestruction 0021 TObject.Free 004a TList.Get 0093 TDomNode.Destroy 009e @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B E8 33 D2 8B C5 8B 08 FF 51 70 8B C5 8B 10 FF 52 30 8B 45 3C E8 ?? ?? ?? ?? 33 C0 89 45 3C 8B 45 40 E8 ?? ?? ?? ?? 8B 45 48 85 C0 74 1E 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B 45 48 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 45 44 85 C0 74 1E 8B 70 08 4E 85 F6 7C 16 46 33 FF 8B 45 44 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4E 75 ED 8B 45 48 E8 ?? ?? ?? ?? 8B 45 44 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C5 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111435_0 {
	meta:
		name = "TDomElement.DoAttrModified"
		size = 59
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 8B C7 8B 10 FF 92 C4 00 00 00 85 C0 74 1A 8B 45 08 50 8B C7 8B 10 FF 92 C4 00 00 00 8B CB 8B D6 8B 18 FF 93 5C 01 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111436_0 {
	meta:
		name = "TDomElement.DoBeforeClear"
		size = 72
		refs = "0019 _DV_TDomAttr 001e @AsClass 0033 TObject.Free"
	strings:
		$1 = { 53 56 8B D8 EB 31 8B C3 8B 10 FF 92 80 00 00 00 33 D2 8B 08 FF 51 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C3 8B 08 FF 91 8C 01 00 00 8B F0 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 38 01 00 00 84 C0 75 C1 5E 5B C3 }
	condition:
		$1
}

rule function_111439_0 {
	meta:
		name = "TDomElement.GetAttributeLiteralValue"
		size = 43
		refs = "0024 @WStrClr"
	strings:
		$1 = { 53 56 8B F1 8B 08 FF 91 60 01 00 00 8B D8 85 DB 74 0F 8B D6 8B C3 8B 08 FF 91 B0 00 00 00 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111440_0 {
	meta:
		name = "TDomElement.GetAttributeNode"
		size = 26
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 80 00 00 00 8B D6 8B 08 FF 51 1C 5E 5B C3 }
	condition:
		$1
}

rule function_111441_0 {
	meta:
		name = "TDomElement.GetAttributeNodeNS"
		size = 32
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 92 80 00 00 00 8B CF 8B D6 8B 18 FF 53 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111442_0 {
	meta:
		name = "TDomElement.GetAttributeNormalizedValue"
		size = 212
		refs = "0021 TDomElement.GetAttributeNormalizedValue 0042 @HandleAnyException 004e _Dn_EConvertError 0053 Exception.Create 0058 @RaiseExcept 005d @DoneExcept 0066 @WStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B 55 FC 8B 08 FF 91 60 01 00 00 8B D8 85 DB 74 46 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 8B 08 FF 91 6C 01 00 00 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 B0 04 02 00 FF FF FF FF 2B 00 00 00 4C 00 69 00 74 00 65 00 72 00 61 00 6C 00 20 00 61 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 20 00 76 00 61 00 6C 00 75 00 65 00 20 00 63 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 62 00 65 00 20 00 72 00 65 00 73 00 6F 00 6C 00 76 00 65 00 64 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111443_0 {
	meta:
		name = "TDomElement.GetAttributeNSLiteralValue"
		size = 58
		refs = "002f @WStrClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B D7 8B C6 8B 18 FF 93 64 01 00 00 8B D8 85 DB 74 0F 8B 55 08 8B C3 8B 08 FF 91 B0 00 00 00 EB 08 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111444_0 {
	meta:
		name = "TDomElement.GetAttributeNSNormalizedValue"
		size = 216
		refs = "0020 TDomElement.GetAttributeNSNormalizedValue 0042 @HandleAnyException 004e _Dn_EConvertError 0053 Exception.Create 0058 @RaiseExcept 005d @DoneExcept 0067 @WStrClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B FA 8B F0 8B D7 8B C6 8B 18 FF 93 64 01 00 00 8B D8 85 DB 74 47 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 08 8B C3 8B 08 FF 91 6C 01 00 00 33 C0 5A 59 59 64 89 10 EB 2A E9 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 2B 00 00 00 4C 00 69 00 74 00 65 00 72 00 61 00 6C 00 20 00 61 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 20 00 76 00 61 00 6C 00 75 00 65 00 20 00 63 00 61 00 6E 00 6E 00 6F 00 74 00 20 00 62 00 65 00 20 00 72 00 65 00 73 00 6F 00 6C 00 76 00 65 00 64 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111445_0 {
	meta:
		name = "TDomElement.GetElementsByTagName"
		size = 96
		refs = "001c TList.Get 0026 @WStrEqual 0044 _DV_TDomElementsNodeList 0049 TDomElementsNodeList.Create 0055 TList.Add"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 43 48 8B 78 08 4F 85 FF 7C 2B 47 33 F6 8B D6 8B 43 48 E8 ?? ?? ?? ?? 8B 40 08 8B D5 E8 ?? ?? ?? ?? 75 0E 8B D6 8B 43 48 E8 ?? ?? ?? ?? 8B F0 EB 1F 46 4F 75 D8 53 8B CD B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 48 E8 ?? ?? ?? ?? 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111446_0 {
	meta:
		name = "TDomElement.GetElementsByTagNameNS"
		size = 116
		refs = "0024 TList.Get 0031 @WStrEqual 0056 _DV_TDomElementsNodeListNS 005b TDomElementsNodeListNS.Create 0067 TList.Add"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B F8 8B 47 44 8B 70 08 4E 85 F6 7C 2E 46 33 ED 8B 47 44 8B D5 E8 ?? ?? ?? ?? 8B D8 8B 43 08 8B 14 24 E8 ?? ?? ?? ?? 75 0E 8B 43 0C 8B 54 24 04 E8 ?? ?? ?? ?? 74 26 45 4E 75 D5 8B 44 24 04 50 57 8B 4C 24 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 47 44 8B D3 E8 ?? ?? ?? ?? 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111453_0 {
	meta:
		name = "TDomElement.HasAttribute"
		size = 31
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 80 00 00 00 8B D6 8B 08 FF 51 1C 85 C0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_111454_0 {
	meta:
		name = "TDomElement.HasAttributeNS"
		size = 37
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 92 80 00 00 00 8B CF 8B D6 8B 18 FF 53 20 85 C0 0F 95 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111455_0 {
	meta:
		name = "TDomElement.LookupNamespaceURI"
		size = 328
		refs = "001b TDomElement.LookupNamespaceURI 002b @WStrEqual 0120 TDomNode.LookupNamespaceURI 0135 @WStrClr 013b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 75 55 8B 45 FC 8B 10 FF 92 80 00 00 00 89 45 F0 8B 45 F0 8B 10 FF 12 8B D8 4B 85 DB 0F 8C 9B 00 00 00 43 33 F6 8B D6 8B 45 F0 8B 08 FF 51 08 8B F8 8B C7 8B 10 FF 92 5C 01 00 00 84 C0 75 12 8B 55 F4 8B C7 8B 08 FF 91 B0 00 00 00 E9 A4 00 00 00 46 4B 75 D0 EB 66 8B 45 FC 8B 10 FF 92 80 00 00 00 89 45 EC 8B 45 EC 8B 10 FF 12 8B D8 4B 85 DB 7C 4A 43 33 F6 8B D6 8B 45 EC 8B 08 FF 51 08 8B F8 8B C7 8B 10 FF 92 5C 01 00 00 3C 01 75 29 8D 55 E8 8B C7 8B 08 FF 91 A4 00 00 00 8B 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 75 0F 8B 55 F4 8B C7 8B 08 FF 91 B0 00 00 00 EB 3C 46 4B 75 B9 8B 45 FC 8B 10 FF 92 B8 00 00 00 85 C0 74 1B 8B 45 FC 8B 10 FF 92 B8 00 00 00 8B 4D F4 8B 55 F8 8B 18 FF 93 44 01 00 00 EB 0E 8B 4D F4 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111456_0 {
	meta:
		name = "TDomElement.Normalize"
		size = 325
		refs = "0014 TDomElement.Normalize 0079 _DV_TDomText 007e @AsClass 00d0 TObject.Free 0133 @WStrClr 0139 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 D2 89 55 F4 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 45 FC 8B 10 FF 92 88 00 00 00 8B 10 FF 12 8B D8 85 DB 0F 8E AF 00 00 00 4B 8B 45 FC 8B 10 FF 92 88 00 00 00 8B D3 8B 08 FF 51 08 8B F0 8B C6 8B 10 FF 92 B4 00 00 00 3C 03 75 77 83 7D F8 00 74 7B 8B 45 F8 8B 10 FF 92 B4 00 00 00 3C 03 75 6C 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 91 58 01 00 00 8B 45 F4 50 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 8B 08 FF 91 6C 01 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 78 3C 00 74 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 40 3C 01 8B 45 F8 E8 ?? ?? ?? ?? EB 0A 8B C6 8B 10 FF 92 48 01 00 00 89 75 F8 85 DB 0F 8F 51 FF FF FF 8B 45 FC 8B 10 FF 92 80 00 00 00 8B 10 FF 12 8B F0 4E 85 F6 7C 21 46 33 DB 8B 45 FC 8B 10 FF 92 80 00 00 00 8B D3 8B 08 FF 51 08 8B 10 FF 92 48 01 00 00 43 4E 75 E2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111457_0 {
	meta:
		name = "TDomElement.RemoveAttribute"
		size = 33
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 91 60 01 00 00 8B D0 8B C3 8B 08 FF 91 8C 01 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_111458_0 {
	meta:
		name = "TDomElement.RemoveAttributeNode"
		size = 58
		refs = "001a _DV_TDomAttr 001f @AsClass"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B C3 8B 10 FF 92 80 00 00 00 8B D6 8B 08 FF 51 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 56 B1 02 8B D3 8B C3 8B 18 FF 93 58 01 00 00 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111459_0 {
	meta:
		name = "TDomElement.RemoveAttributeNS"
		size = 39
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 8B 30 FF 96 64 01 00 00 8B D0 8B C3 8B 08 FF 91 8C 01 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111460_0 {
	meta:
		name = "TDomElement.SetAttribute"
		size = 240
		refs = "0015 TDomElement.SetAttribute 001c _DV_ENo_Modification_Allowed_Err 0021 Exception.Create 0026 @RaiseExcept 0057 _DV_TDomDocument 005c @AsClass 0065 _DV_TDomAttr 006a TDomAttr.Create"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 8B C6 8B 10 FF 52 50 84 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 8B 08 FF 91 60 01 00 00 85 C0 74 0E 8B D7 8B 08 FF 91 D0 00 00 00 33 DB EB 54 53 6A 01 8B C6 8B 10 FF 92 C4 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D7 8B C3 8B 08 FF 91 D0 00 00 00 8B C6 8B 10 FF 92 80 00 00 00 8B D3 8B 08 FF 51 0C 53 33 C9 8B D6 8B C6 8B 30 FF 96 58 01 00 00 8B C3 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 4E 00 6F 00 20 00 6D 00 6F 00 64 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 61 00 6C 00 6C 00 6F 00 77 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111461_0 {
	meta:
		name = "TDomElement.SetAttributeNS"
		size = 940
		refs = "0017 TDomElement.SetAttributeNS 0034 _DV_ENo_Modification_Allowed_Err 0039 Exception.Create 003e @RaiseExcept 0046 @WStrClr 005a XmlExtractPrefixAndLocalName 0066 IsXmlName 0076 _DV_EInvalid_Character_Err 008e _DV_ENamespace_Err 00a5 @WStrEqual 01d0 _DV_TDomDocumentNS 01d5 @AsClass 01de _DV_TDomAttr 01e3 TDomAttr.CreateNS 022c @WStrArrayClr 0232 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 50 84 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F4 59 E8 ?? ?? ?? ?? 84 C0 75 3A 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 18 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 26 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 3C B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 33 D2 E8 ?? ?? ?? ?? 75 22 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 26 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 3C B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 8B D3 8B C6 8B 38 FF 97 64 01 00 00 8B F8 85 FF 74 1E 8B 55 FC 8B C7 8B 08 FF 91 D4 00 00 00 8B 55 08 8B C7 8B 08 FF 91 D0 00 00 00 33 DB EB 59 53 8B 45 F4 50 6A 01 8B C6 8B 10 FF 92 C4 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 55 08 8B C3 8B 08 FF 91 D0 00 00 00 8B C6 8B 10 FF 92 80 00 00 00 8B D3 8B 08 FF 51 0C 53 33 C9 8B D6 8B C6 8B 30 FF 96 58 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 4E 00 6F 00 20 00 6D 00 6F 00 64 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 61 00 6C 00 6C 00 6F 00 77 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 68 00 61 00 72 00 61 00 63 00 74 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 0A 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 00 00 3A 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 30 00 2F 00 78 00 6D 00 6C 00 6E 00 73 00 2F 00 00 00 06 00 00 00 78 00 6D 00 6C 00 00 00 48 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 58 00 4D 00 4C 00 2F 00 31 00 39 00 39 00 38 00 2F 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_111462_0 {
	meta:
		name = "TDomElement.SetAttributeNode"
		size = 81
		refs = "002a _DV_TDomAttr 002f @AsClass"
	strings:
		$1 = { 53 56 57 51 8B F2 8B F8 8B C6 8B 10 FF 92 64 01 00 00 85 C0 0F 94 C3 8B C7 8B 10 FF 92 80 00 00 00 8B D6 8B 08 FF 51 2C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 84 DB 74 0F 56 33 C9 8B D7 8B C7 8B 18 FF 93 58 01 00 00 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111463_0 {
	meta:
		name = "TDomElement.SetAttributeNodeNS"
		size = 81
		refs = "002a _DV_TDomAttr 002f @AsClass"
	strings:
		$1 = { 53 56 57 51 8B F2 8B F8 8B C6 8B 10 FF 92 64 01 00 00 85 C0 0F 94 C3 8B C7 8B 10 FF 92 80 00 00 00 8B D6 8B 08 FF 51 30 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 04 24 84 DB 74 0F 56 33 C9 8B D7 8B C7 8B 18 FF 93 58 01 00 00 8B 04 24 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111465_0 {
	meta:
		name = "TDomElement.SetPrefix"
		size = 752
		refs = "0013 TDomElement.SetPrefix 0030 _DV_ENo_Modification_Allowed_Err 0035 Exception.Create 003a @RaiseExcept 0054 @WStrEqual 0074 _DV_ENamespace_Err 010a @WStrClr 0122 @WStrAsg 012b IsXmlName 013b _DV_EInvalid_Character_Err 014c IsXmlPrefix 0193 @WStrCatN 01ad @WStrArrayClr 01b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 84 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 91 A8 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2A 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 8F 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 77 8D 55 F8 8B C3 8B 08 FF 91 A8 00 00 00 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 33 D2 E8 ?? ?? ?? ?? 75 22 8D 43 58 E8 ?? ?? ?? ?? 8D 55 F4 8B C3 8B 08 FF 91 A4 00 00 00 8B 55 F4 8D 43 54 E8 ?? ?? ?? ?? EB 6F 8B C6 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 58 8B D6 E8 ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 91 A4 00 00 00 FF 75 F0 8D 43 54 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 4E 00 6F 00 20 00 6D 00 6F 00 64 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 61 00 6C 00 6C 00 6F 00 77 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 48 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 58 00 4D 00 4C 00 2F 00 31 00 39 00 39 00 38 00 2F 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 00 00 06 00 00 00 78 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 0A 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 68 00 61 00 72 00 61 00 63 00 74 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 02 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_111466_0 {
	meta:
		name = "TDomText.Create"
		size = 80
		refs = "000a @ClassCreate 0017 TDomCharacterData.Create 001f @WStrClr 002a TDomText.Create 0039 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 28 E8 ?? ?? ?? ?? C6 46 3C 00 0F B7 05 ?? ?? ?? ?? 66 89 46 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_111467_0 {
	meta:
		name = "TDomText.GetIsElementContentWhitespace"
		size = 65
		refs = "000f _DV_TDomDocument 0014 @IsClass 002d @AsClass"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 C4 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B C3 8B 10 FF 92 C4 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 08 FF 91 98 01 00 00 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_111468_0 {
	meta:
		name = "TDomText.GetNodeName"
		size = 36
		refs = "0006 TDomText.GetNodeName 000b @WStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 0A 00 00 00 23 00 74 00 65 00 78 00 74 00 00 00 }
	condition:
		$1
}

rule function_111470_0 {
	meta:
		name = "TDomText.SplitText"
		size = 424
		refs = "0016 TDomText.SplitText 0033 _DV_ENo_Modification_Allowed_Err 0038 Exception.Create 003d @RaiseExcept 005b _DV_EIndex_Size_Err 0078 _DV_TDomText 007d TDomText.Create 0114 @WStrClr 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 50 84 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7C 0E 8B C3 8B 10 FF 92 60 01 00 00 3B F0 7E 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 C4 00 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8D 45 F8 50 8B C3 8B 10 FF 92 60 01 00 00 8B C8 2B CE 8B D6 8B C3 8B 38 FF 97 68 01 00 00 8B 55 F8 8B 45 FC 8B 08 FF 91 5C 01 00 00 8B 45 FC 0F B6 53 3C 88 50 3C 8B C3 8B 10 FF 92 60 01 00 00 8B C8 2B CE 8B D6 8B C3 8B 30 FF 96 74 01 00 00 8B C3 8B 10 FF 92 B8 00 00 00 85 C0 74 21 8B C3 8B 10 FF 92 AC 00 00 00 50 8B C3 8B 10 FF 92 B8 00 00 00 8B 55 FC 59 8B 18 FF 93 40 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 5F 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 4E 00 6F 00 20 00 6D 00 6F 00 64 00 69 00 66 00 69 00 63 00 61 00 74 00 69 00 6F 00 6E 00 20 00 61 00 6C 00 6C 00 6F 00 77 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 49 00 6E 00 64 00 65 00 78 00 20 00 73 00 69 00 7A 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111471_0 {
	meta:
		name = "TDomComment.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TDomCharacterData.Create 001f @WStrClr 0026 TDomComment.Create 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 28 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 46 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 00 }
	condition:
		$1
}

rule function_111472_0 {
	meta:
		name = "TDomComment.GetNodeName"
		size = 44
		refs = "0006 TDomComment.GetNodeName 000b @WStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 10 00 00 00 23 00 63 00 6F 00 6D 00 6D 00 65 00 6E 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_111474_0 {
	meta:
		name = "TDomProcessingInstruction.Create"
		size = 204
		refs = "000f @ClassCreate 0020 IsXmlPITarget 0029 TDomProcessingInstruction.Create 0030 _DV_EInvalid_Character_Err 0035 Exception.Create 003a @RaiseExcept 0045 TDomNode.Create 004f @WStrAsg 0057 @WStrClr 006f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 3C 8B D6 E8 ?? ?? ?? ?? 8D 43 28 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 43 38 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 68 00 61 00 72 00 61 00 63 00 74 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_111480_0 {
	meta:
		name = "TDomProcessingInstruction.SetData"
		size = 94
		refs = "000f TDomProcessingInstruction.SetData 004d @WStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 B0 00 00 00 8B D6 8B C3 8B 08 FF 91 D0 00 00 00 8B C3 8B 10 FF 92 58 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_111481_0 {
	meta:
		name = "TDomCDATASection.Create"
		size = 61
		refs = "000a @ClassCreate 0017 TDomText.Create 001f @WStrClr 002a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 28 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_111482_0 {
	meta:
		name = "TDomCDATASection.GetNodeName"
		size = 56
		refs = "0006 TDomCDATASection.GetNodeName 000b @WStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 1C 00 00 00 23 00 63 00 64 00 61 00 74 00 61 00 2D 00 73 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111484_0 {
	meta:
		name = "TDomDocumentTypeDecl.Create"
		size = 184
		refs = "000d @ClassCreate 001a TDomNode.Create 0025 @WStrAsg 002d @WStrClr 008d TDomDocumentTypeDecl.Create 009c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 60 8B 55 14 E8 ?? ?? ?? ?? 8D 46 28 E8 ?? ?? ?? ?? 8D 46 64 8B 55 10 E8 ?? ?? ?? ?? 8D 46 68 8B 55 0C E8 ?? ?? ?? ?? 8D 46 3C 8B 55 08 E8 ?? ?? ?? ?? C7 46 50 00 00 00 00 C7 46 54 00 00 00 00 C7 46 48 00 00 00 00 C7 46 4C 00 00 00 00 C7 46 40 00 00 00 00 C7 46 44 00 00 00 00 C7 46 58 01 00 00 00 C7 46 5C 00 00 00 00 0F B7 05 ?? ?? ?? ?? 66 89 46 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 10 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_111492_0 {
	meta:
		name = "TDomEntityReference.Create"
		size = 212
		refs = "000f @ClassCreate 0020 IsXmlName 0029 TDomEntityReference.Create 0030 _DV_EInvalid_Character_Err 0035 Exception.Create 003a @RaiseExcept 0045 TDomNode.Create 0058 @WStrAsg 0060 @WStrClr 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 70 8D 43 3C 8B D6 E8 ?? ?? ?? ?? 8D 43 28 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 43 38 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 68 00 61 00 72 00 61 00 63 00 74 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 FA 02 00 00 }
	condition:
		$1
}

rule function_111496_0 {
	meta:
		name = "TDomDocumentFragment.Create"
		size = 76
		refs = "000a @ClassCreate 0017 TDomNode.Create 001f @WStrClr 0026 TDomDocumentFragment.Create 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 46 28 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 46 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 FA 02 00 00 }
	condition:
		$1
}

rule function_111499_0 {
	meta:
		name = "TDomDocumentFragment.GetNodeName"
		size = 64
		refs = "0006 TDomDocumentFragment.GetNodeName 000b @WStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 24 00 00 00 23 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 2D 00 66 00 72 00 61 00 67 00 6D 00 65 00 6E 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_111502_0 {
	meta:
		name = "TDomXPathNamespace.Create"
		size = 604
		refs = "0011 @ClassCreate 0026 IsXmlPrefix 0033 @WStrEqual 003a TDomXPathNamespace.Create 0041 _DV_EInvalid_Character_Err 0046 Exception.Create 004b @RaiseExcept 0073 _DV_ENamespace_Err 00e7 TDomNode.Create 0105 @WStrAsg 0122 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 8B 75 08 8B 7D 0C 8B C6 E8 ?? ?? ?? ?? 84 C0 75 21 8B C6 33 D2 E8 ?? ?? ?? ?? 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 24 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 33 D2 E8 ?? ?? ?? ?? 75 21 8B C6 33 D2 E8 ?? ?? ?? ?? 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 24 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 66 89 43 38 B2 01 8B C3 8B 08 FF 51 70 8D 43 3C 8B D7 E8 ?? ?? ?? ?? 8B 45 10 89 43 40 8D 43 44 8B D6 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 0C 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 68 00 61 00 72 00 61 00 63 00 74 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 0A 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 00 00 3A 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 30 00 2F 00 78 00 6D 00 6C 00 6E 00 73 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 06 00 00 00 78 00 6D 00 6C 00 00 00 48 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 58 00 4D 00 4C 00 2F 00 31 00 39 00 39 00 38 00 2F 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_111503_0 {
	meta:
		name = "TDomXPathNamespace.GetDocument"
		size = 21
	strings:
		$1 = { 8B 50 40 85 D2 74 0B 8B C2 8B 10 FF 92 8C 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111507_0 {
	meta:
		name = "TDomXPathNamespace.GetNodeName"
		size = 48
		refs = "0006 TDomXPathNamespace.GetNodeName 000b @WStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 14 00 00 00 23 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_111513_0 {
	meta:
		name = "TDomXPathNamespace.LookupNamespaceURI"
		size = 62
		refs = "0036 TDomNode.LookupNamespaceURI"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 92 58 01 00 00 85 C0 74 18 8B C3 8B 10 FF 92 58 01 00 00 8B CF 8B D6 8B 18 FF 93 44 01 00 00 EB 0B 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111514_0 {
	meta:
		name = "TDomCustomDocument.Create"
		size = 172
		refs = "000e @ClassCreate 0020 TDomNode.Create 0030 TDomImplementation.Attach 0038 @WStrClr 0064 _Dn_TList 0069 TObject.Create 0082 TDomCustomDocument.Create 0093 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 89 43 4C 85 C0 74 07 8B D3 E8 ?? ?? ?? ?? 8D 43 28 E8 ?? ?? ?? ?? 8D 43 58 E8 ?? ?? ?? ?? 8D 43 5C E8 ?? ?? ?? ?? C6 43 60 02 8D 43 64 E8 ?? ?? ?? ?? C6 43 54 00 33 C0 89 43 44 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 40 0F B7 05 ?? ?? ?? ?? 66 89 43 38 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 C2 06 00 00 }
	condition:
		$1
}

rule function_111515_0 {
	meta:
		name = "TDomCustomDocument.Destroy"
		size = 136
		refs = "0005 @BeforeDestruction 0021 TList.Get 0026 TObject.Free 0069 TDomImplementation.Detach 0074 TDomNode.Destroy 007f @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 3C 8B 68 08 4D 85 ED 7C 16 45 33 FF 8B 46 3C 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4D 75 ED 8B 46 3C E8 ?? ?? ?? ?? 8B 46 40 8B 68 08 4D 85 ED 7C 16 45 33 FF 8B 46 40 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4D 75 ED 8B 46 40 E8 ?? ?? ?? ?? 8B 46 4C 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111516_0 {
	meta:
		name = "TDomCustomDocument.AppendChild"
		size = 272
		refs = "000b TDomCustomDocument.AppendChild 0012 _DV_ENot_Supported_Err 0017 Exception.Create 001c @RaiseExcept 004a _DV_EHierarchy_Request_Err 0091 TDomNode.AppendChild"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 B4 00 00 00 FE C8 74 06 2C 09 74 28 EB 58 8B C3 8B 10 FF 92 78 01 00 00 85 C0 74 4A B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 8B C3 8B 10 FF 92 78 01 00 00 85 C0 75 0E 8B C3 8B 10 FF 92 74 01 00 00 85 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 48 00 69 00 65 00 72 00 61 00 72 00 63 00 68 00 79 00 20 00 72 00 65 00 71 00 75 00 65 00 73 00 74 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111517_0 {
	meta:
		name = "TDomCustomDocument.ClearInvalidNodeIterators"
		size = 89
		refs = "0019 TList.Get 002e TObject.Free 003a TList.Put 0046 TList.Pack 0051 TList.SetCapacity"
	strings:
		$1 = { 53 56 57 8B D8 8B 43 3C 8B 78 08 4F 85 FF 7C 32 47 33 F6 8B D6 8B 43 3C E8 ?? ?? ?? ?? 80 78 14 00 74 1B 8B D6 8B 43 3C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 8B D6 8B 43 3C E8 ?? ?? ?? ?? 46 4F 75 D1 8B 43 3C E8 ?? ?? ?? ?? 8B 43 3C 8B 50 08 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111518_0 {
	meta:
		name = "TDomCustomDocument.DoAttrModified"
		size = 125
		refs = "001b TDomCustomDocument.DoAttrModified 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 88 4D F7 89 55 F8 89 45 FC 8B 45 FC C6 40 54 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 66 83 78 6A 00 74 18 0F B6 45 F7 50 8B 45 08 50 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 6C FF 53 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 85 C0 74 10 8B 55 08 52 0F B6 4D F7 8B 55 F8 8B 18 FF 53 40 C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_111519_0 {
	meta:
		name = "TDomCustomDocument.DoBeforeClear"
		size = 91
		refs = "0019 TList.Get 001e TObject.Free"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 3C 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 3C 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 3C 8B 10 FF 52 08 8B 47 40 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 40 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 40 8B 10 FF 52 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111520_0 {
	meta:
		name = "TDomCustomDocument.DoCharacterDataModified"
		size = 103
		refs = "0018 TDomCustomDocument.DoCharacterDataModified 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC C6 40 54 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 66 83 78 72 00 74 0F 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 74 FF 53 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 85 C0 74 08 8B 55 F8 8B 08 FF 51 44 C3 E9 ?? ?? ?? ?? EB E6 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111521_0 {
	meta:
		name = "TDomCustomDocument.DoNodeClearing"
		size = 116
		refs = "0018 TDomCustomDocument.DoNodeClearing 0063 TDomCustomDocument.NotifyIterators 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC C6 40 54 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 66 83 78 7A 00 74 0F 8B 5D FC 8B 4D F8 8B 55 FC 8B 43 7C FF 53 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 85 C0 74 08 8B 55 F8 8B 08 FF 51 4C 33 C9 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111522_0 {
	meta:
		name = "TDomCustomDocument.DoNodeInserted"
		size = 112
		refs = "0018 TDomCustomDocument.DoNodeInserted 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC C6 40 54 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 66 83 B8 82 00 00 00 00 74 15 8B 5D FC 8B 4D F8 8B 55 FC 8B 83 84 00 00 00 FF 93 80 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 85 C0 74 08 8B 55 F8 8B 08 FF 51 50 C3 E9 ?? ?? ?? ?? EB E6 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111523_0 {
	meta:
		name = "TDomCustomDocument.DoNodeRemoving"
		size = 125
		refs = "0018 TDomCustomDocument.DoNodeRemoving 006c TDomCustomDocument.NotifyIterators 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 F8 89 45 FC 8B 45 FC C6 40 54 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 66 83 B8 8A 00 00 00 00 74 15 8B 5D FC 8B 4D F8 8B 55 FC 8B 83 8C 00 00 00 FF 93 88 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 4C 85 C0 74 08 8B 55 F8 8B 08 FF 51 54 B1 01 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D9 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111527_0 {
	meta:
		name = "TDomCustomDocument.GetNodeName"
		size = 44
		refs = "0006 TDomCustomDocument.GetNodeName 000b @WStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 12 00 00 00 23 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_111530_0 {
	meta:
		name = "TDomCustomDocument.ImportNode"
		size = 196
		refs = "0015 TDomCustomDocument.ImportNode 0060 TList.Get 00ae @WStrClr 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 55 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 FC 8B 18 FF 93 7C 01 00 00 89 45 F8 83 7D F8 00 74 6A 8B 45 FC 83 78 30 00 74 61 8B 45 FC 8B 40 30 89 45 EC 8B 45 EC 8B 10 FF 52 1C 8B F0 4E 85 F6 7C 49 46 33 DB 8B D3 8B 45 FC 8B 40 34 E8 ?? ?? ?? ?? 89 45 F0 66 83 7D F2 00 74 2B 8B D3 8B 45 EC 8B 08 FF 51 20 50 8B 45 FC 50 8B 45 F8 50 8D 4D E8 8B D3 8B 45 EC 8B 38 FF 57 14 8B 4D E8 B2 03 8B 45 F4 FF 55 F0 43 4E 75 BA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111531_0 {
	meta:
		name = "TDomCustomDocument.ImportNode2"
		size = 1352
		refs = "0021 TDomCustomDocument.ImportNode2 0037 _DV_ENot_Supported_Err 003c Exception.Create 0041 @RaiseExcept 00b5 _DV_TDomDocumentNS 00ba @AsClass 00c3 _DV_TDomAttr 00c8 TDomAttr.CreateNS 00e5 _DV_TDomDocument 00f8 TDomAttr.Create 0109 @WStrAsg 0117 _DV_TDomCDATASection 011c TDomCDATASection.Create 0160 _DV_TDomComment 0165 TDomComment.Create 01a9 _DV_TDomDocumentFragment 01ae TDomDocumentFragment.Create 0258 _DV_TDomElement 025d TDomElement.CreateNS 030f TDomElement.Create 040e _DV_TDomEntityReference 0413 TDomEntityReference.Create 0423 _DV_TDomProcessingInstruction 043c TDomProcessingInstruction.Create 0472 _DV_TDomText 0477 TDomText.Create 04f8 @WStrArrayClr 04fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 88 4D FF 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 B4 00 00 00 83 E0 7F 83 F8 09 0F 87 71 04 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 80 7B 20 00 74 41 8D 55 EC 8B C3 8B 08 FF 91 A8 00 00 00 8B 45 EC 50 8D 55 E8 8B C3 8B 08 FF 51 74 8B 45 E8 50 6A 01 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 2E 8D 55 E4 8B C3 8B 08 FF 51 74 8B 45 E4 50 6A 01 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 83 C0 28 8B 53 28 E8 ?? ?? ?? ?? E9 D0 03 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 8B 08 FF 91 58 01 00 00 8B 45 E0 50 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 8B 08 FF 91 5C 01 00 00 E9 87 03 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 DC 8B 08 FF 91 58 01 00 00 8B 45 DC 50 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 8B 08 FF 91 5C 01 00 00 E9 3E 03 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 80 7D FF 00 0F 84 23 03 00 00 8B C3 8B 10 FF 92 88 00 00 00 8B 10 FF 12 48 85 C0 0F 8C 0C 03 00 00 40 89 45 F0 C7 45 F4 00 00 00 00 8B C3 8B 10 FF 92 88 00 00 00 8B 55 F4 8B 08 FF 51 08 8B D0 B1 01 8B C6 8B 38 FF 97 94 01 00 00 8B F8 8B D7 8B 45 F8 8B 08 FF 91 D8 00 00 00 FF 45 F4 FF 4D F0 75 C9 E9 C5 02 00 00 80 7B 20 00 0F 84 C3 00 00 00 8D 55 D8 8B C3 8B 08 FF 91 A8 00 00 00 8B 45 D8 50 8D 55 D4 8B C3 8B 08 FF 51 74 8B 45 D4 50 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B C3 8B 10 FF 92 80 00 00 00 8B 10 FF 12 48 85 C0 0F 8C 18 01 00 00 40 89 45 F0 C7 45 F4 00 00 00 00 8B C3 8B 10 FF 92 80 00 00 00 8B 55 F4 8B 08 FF 51 08 8B F8 8B C7 8B 10 FF 92 68 01 00 00 84 C0 74 35 B1 01 8B D7 8B C6 8B 38 FF 97 94 01 00 00 8B F8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 8B 08 FF 91 9C 01 00 00 FF 45 F4 FF 4D F0 75 A1 E9 A9 00 00 00 8D 55 D0 8B C3 8B 08 FF 51 74 8B 45 D0 50 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B C3 8B 10 FF 92 80 00 00 00 8B 10 FF 12 48 85 C0 7C 6A 40 89 45 F0 C7 45 F4 00 00 00 00 8B C3 8B 10 FF 92 80 00 00 00 8B 55 F4 8B 08 FF 51 08 8B F8 8B C7 8B 10 FF 92 68 01 00 00 84 C0 74 35 B1 01 8B D7 8B C6 8B 38 FF 97 94 01 00 00 8B F8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 8B 08 FF 91 98 01 00 00 FF 45 F4 FF 4D F0 75 A1 80 7D FF 00 0F 84 45 01 00 00 8B C3 8B 10 FF 92 88 00 00 00 8B 10 FF 12 48 85 C0 0F 8C 2E 01 00 00 40 89 45 F0 C7 45 F4 00 00 00 00 8B C3 8B 10 FF 92 88 00 00 00 8B 55 F4 8B 08 FF 51 08 8B D0 B1 01 8B C6 8B 38 FF 97 94 01 00 00 8B F8 8B D7 8B 45 F8 8B 08 FF 91 D8 00 00 00 FF 45 F4 FF 4D F0 75 C9 E9 E7 00 00 00 8D 55 CC 8B C3 8B 08 FF 51 74 8B 45 CC 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 E9 C3 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 47 3C 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B C7 8D 55 C8 8B 08 FF 91 5C 01 00 00 8B 45 C8 50 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 8B 08 FF 91 60 01 00 00 EB 75 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 8D 55 C4 8B 08 FF 91 58 01 00 00 8B 45 C4 50 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 8B 08 FF 91 5C 01 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 56 3C 88 50 3C EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 0B 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111532_0 {
	meta:
		name = "TDomCustomDocument.GetBaseUri"
		size = 41
		refs = "000a IsUriAbsoluteURIWideStr 0018 @WStrAsg 0022 @WStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 48 E8 ?? ?? ?? ?? 84 C0 74 0D 8B C6 8B 53 48 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111533_0 {
	meta:
		name = "TDomCustomDocument.GetDoctypeDecl"
		size = 70
		refs = "0024 _DV_TDomDocumentTypeDecl 0029 @AsClass"
	strings:
		$1 = { 53 56 33 F6 8B 10 FF 92 94 00 00 00 8B D8 85 DB 74 2F 8B C3 8B 10 FF 92 B4 00 00 00 3C 0A 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 10 8B C3 8B 10 FF 92 AC 00 00 00 8B D8 85 DB 75 D1 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_111534_0 {
	meta:
		name = "TDomCustomDocument.GetDocumentElement"
		size = 9
	strings:
		$1 = { 8B 10 FF 92 F4 00 00 00 C3 }
	condition:
		$1
}

rule function_111535_0 {
	meta:
		name = "TDomCustomDocument.InsertBefore"
		size = 456
		refs = "000f TDomCustomDocument.InsertBefore 0016 _DV_ENot_Supported_Err 001b Exception.Create 0020 @RaiseExcept 0055 _DV_EHierarchy_Request_Err 0144 TDomNode.InsertBefore"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 B4 00 00 00 FE C8 74 0D 2C 09 0F 84 89 00 00 00 E9 FE 00 00 00 8B C3 8B 10 FF 92 78 01 00 00 85 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 74 01 00 00 85 C0 0F 84 C8 00 00 00 8B C3 8B 10 FF 92 74 01 00 00 50 8B C3 8B 10 FF 92 88 00 00 00 5A 8B 08 FF 51 04 8B E8 8B C3 8B 10 FF 92 88 00 00 00 8B D7 8B 08 FF 51 04 3B E8 0F 8C 92 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7A 8B C3 8B 10 FF 92 78 01 00 00 85 C0 74 48 8B C3 8B 10 FF 92 78 01 00 00 50 8B C3 8B 10 FF 92 88 00 00 00 5A 8B 08 FF 51 04 8B E8 8B C3 8B 10 FF 92 88 00 00 00 8B D7 8B 08 FF 51 04 3B E8 7D 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 74 01 00 00 85 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 48 00 69 00 65 00 72 00 61 00 72 00 63 00 68 00 79 00 20 00 72 00 65 00 71 00 75 00 65 00 73 00 74 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111536_0 {
	meta:
		name = "TDomCustomDocument.NotifyIterators"
		size = 64
		refs = "0024 TList.Get"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 88 4C 24 04 89 14 24 8B F8 8B 47 3C 8B 58 08 4B 85 DB 7C 1E 43 33 F6 8B 47 3C 8B D6 E8 ?? ?? ?? ?? 0F B6 4C 24 04 8B 14 24 8B 28 FF 55 00 46 4B 75 E5 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111537_0 {
	meta:
		name = "TDomCustomDocument.CalculateNormalizedAttrValue"
		size = 988
		refs = "0027 TDomCustomDocument.CalculateNormalizedAttrValue 003a _Dn_TUtilsCustomWideStr 003f TUtilsCustomWideStr.Create 0059 _DV_TXmlAttrValueTokenizer 005e TXmlAttrValueTokenizer.Create 0097 ET_FATAL_ERRORS 00a6 @WStrClr 00ab @TryFinallyExit 00c9 ET_ERRORS 0122 @WStrCatN 012d XmlCharRefToStr 013a @WStrEqual 0176 @HandleOnException 017e _Dn_EConvertError 018d @DoneExcept 029e IsXmlS 02a9 SPACE 02ea TObject.Free 02f0 @HandleFinally 0308 @WStrAsg 033f @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B DA 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 C6 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 54 02 00 00 8B 45 F4 8B 10 FF 52 04 8B 45 F4 0F B6 58 04 84 DB 74 49 8B C3 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 1C 8B 45 08 88 18 8B 45 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 70 02 00 00 8B 45 08 0F B6 00 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 72 05 8B 45 08 88 18 8B 45 F4 0F B6 40 10 2C 01 72 15 FE C8 0F 84 C3 00 00 00 2C 02 0F 84 A1 01 00 00 E9 D8 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 EC 8B 45 F4 8B 08 FF 11 FF 75 EC 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1D 8B 45 08 C6 00 4F 33 C0 5A 59 59 64 89 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CC 01 00 00 8B 55 FC 8B 45 F8 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 E9 57 01 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 C6 00 42 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 89 01 00 00 E8 ?? ?? ?? ?? E9 22 01 00 00 8D 55 E8 8B 45 F4 8B 08 FF 11 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 10 E9 F7 00 00 00 8D 55 E4 8B 45 F4 8B 08 FF 11 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 10 E9 CC 00 00 00 8D 55 E0 8B 45 F4 8B 08 FF 11 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 10 E9 A1 00 00 00 8D 55 DC 8B 45 F4 8B 08 FF 11 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 10 EB 79 8D 55 D8 8B 45 F4 8B 08 FF 11 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F BA ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 10 EB 51 8B 45 08 C6 00 29 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 99 00 00 00 8D 55 D4 8B 45 F4 8B 08 FF 11 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 74 11 0F B7 15 ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 0C EB 15 8D 55 D0 8B 45 F4 8B 08 FF 11 8B 55 D0 8B 45 F8 8B 08 FF 51 10 8B 45 F4 80 78 10 01 0F 85 9F FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 CC 8B 45 F8 8B 08 FF 51 24 8B 55 CC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 08 00 04 00 00 00 26 00 23 00 00 00 00 00 02 00 00 00 3B 00 00 00 02 00 00 00 3C 00 00 00 04 00 00 00 6C 00 74 00 00 00 00 00 04 00 00 00 67 00 74 00 00 00 00 00 02 00 00 00 3E 00 00 00 06 00 00 00 61 00 6D 00 70 00 00 00 02 00 00 00 26 00 00 00 08 00 00 00 61 00 70 00 6F 00 73 00 00 00 00 00 02 00 00 00 27 00 00 00 08 00 00 00 71 00 75 00 6F 00 74 00 00 00 00 00 02 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_111539_0 {
	meta:
		name = "TDomCustomDocument.FreeTreeWalker"
		size = 128
		refs = "0011 TList.IndexOf 001b TDomCustomDocument.FreeTreeWalker 0022 _DV_EWrong_Document_Err 0027 Exception.Create 002c @RaiseExcept 0036 TList.Delete 003d TObject.Free"
	strings:
		$1 = { 53 56 8B DA 8B F0 83 3B 00 74 3A 8B 13 8B 46 40 E8 ?? ?? ?? ?? 83 F8 FF 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 46 40 E8 ?? ?? ?? ?? 8B 03 E8 ?? ?? ?? ?? 33 C0 89 03 5E 5B C3 B0 04 02 00 FF FF FF FF 15 00 00 00 57 00 72 00 6F 00 6E 00 67 00 20 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111540_0 {
	meta:
		name = "TDomCustomDocument.ReplaceChild"
		size = 488
		refs = "0013 TDomCustomDocument.ReplaceChild 001a _DV_ENot_Supported_Err 001f Exception.Create 0024 @RaiseExcept 0067 _DV_EHierarchy_Request_Err 0167 TDomNode.ReplaceChild"
	strings:
		$1 = { 53 56 57 55 8B F1 8B FA 8B D8 85 FF 74 04 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 B4 00 00 00 FE C8 74 0D 2C 09 0F 84 9A 00 00 00 E9 1D 01 00 00 8B C3 8B 10 FF 92 78 01 00 00 85 C0 74 24 8B C3 8B 10 FF 92 78 01 00 00 3B F0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 74 01 00 00 85 C0 0F 84 D9 00 00 00 8B C3 8B 10 FF 92 74 01 00 00 50 8B C3 8B 10 FF 92 88 00 00 00 5A 8B 08 FF 51 04 8B E8 8B C3 8B 10 FF 92 88 00 00 00 8B D6 8B 08 FF 51 04 3B E8 0F 8E A3 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 88 00 00 00 8B C3 8B 10 FF 92 74 01 00 00 85 C0 74 24 8B C3 8B 10 FF 92 74 01 00 00 3B F0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 78 01 00 00 85 C0 74 48 8B C3 8B 10 FF 92 78 01 00 00 50 8B C3 8B 10 FF 92 88 00 00 00 5A 8B 08 FF 51 04 8B E8 8B C3 8B 10 FF 92 88 00 00 00 8B D6 8B 08 FF 51 04 3B E8 7D 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 48 00 69 00 65 00 72 00 61 00 72 00 63 00 68 00 79 00 20 00 72 00 65 00 71 00 75 00 65 00 73 00 74 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111541_0 {
	meta:
		name = "TDomCustomDocument.CreateNodeIterator"
		size = 61
		refs = "001d _DV_TDomNodeIterator 0024 TDomNodeIterator.Create 0030 TList.Add"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B D8 0F B7 45 FE 50 8B 45 0C 50 0F B6 45 08 50 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 3C E8 ?? ?? ?? ?? 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111542_0 {
	meta:
		name = "TDomCustomDocument.CreateTreeWalker"
		size = 61
		refs = "001d _DV_TDomTreeWalker 0024 TDomTreeWalker.Create 0030 TList.Add"
	strings:
		$1 = { 55 8B EC 51 53 56 66 89 4D FE 8B D8 0F B7 45 FE 50 8B 45 0C 50 0F B6 45 08 50 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 40 E8 ?? ?? ?? ?? 8B C6 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111543_0 {
	meta:
		name = "TDomDocument.Create"
		size = 91
		refs = "000a @ClassCreate 0017 TDomCustomDocument.Create 001e _Dn_TList 0023 TObject.Create 0032 _DV_TDtdValidationAgent 0037 TDtdValidationAgent.Create 0048 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 90 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 94 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_111544_0 {
	meta:
		name = "TDomDocument.Destroy"
		size = 101
		refs = "0005 @BeforeDestruction 0027 TList.Get 002c TObject.Free 0051 TDomCustomDocument.Destroy 005c @ClassDestroy"
		altNames = "TDomDocumentNS.Destroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 86 90 00 00 00 8B 68 08 4D 85 ED 7C 19 45 33 FF 8B 86 90 00 00 00 8B D7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4D 75 EA 8B 86 90 00 00 00 E8 ?? ?? ?? ?? 8B 86 94 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111545_0 {
	meta:
		name = "TDomDocument.CalculateNormalizedAttrValue"
		size = 58
		refs = "001b @WStrClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 0C E8 ?? ?? ?? ?? 50 8B 45 08 50 8B CB 8B D6 8B 87 94 00 00 00 8B 18 FF 53 2C 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111546_0 {
	meta:
		name = "TDomDocument.DoBeforeClear"
		size = 66
		refs = "0008 TDomCustomDocument.DoBeforeClear 0026 TList.Get 002b TObject.Free"
		altNames = "TDomDocumentNS.DoBeforeClear"
	strings:
		$1 = { 53 56 57 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 86 90 00 00 00 8B 58 08 4B 85 DB 7C 19 43 33 FF 8B D7 8B 86 90 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 75 EA 8B 86 90 00 00 00 8B 10 FF 52 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111547_0 {
	meta:
		name = "TDomDocument.GetAttrDataType"
		size = 28
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 83 94 00 00 00 8B 18 FF 53 24 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111548_0 {
	meta:
		name = "TDomDocument.GetElementById"
		size = 54
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B CC 8B 83 94 00 00 00 8B 40 08 8B D6 8B 30 FF 56 58 84 C0 74 13 8B 83 94 00 00 00 8B 40 08 8B 14 24 8B 08 FF 51 20 EB 02 33 C0 5A 5E 5B C3 }
	condition:
		$1
}

rule function_111549_0 {
	meta:
		name = "TDomDocument.GetElementsByTagName"
		size = 108
		refs = "0022 TList.Get 002c @WStrEqual 004d _DV_TDomElementsNodeList 0052 TDomElementsNodeList.Create 0061 TList.Add"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 83 90 00 00 00 8B 78 08 4F 85 FF 7C 31 47 33 F6 8B D6 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B 40 08 8B D5 E8 ?? ?? ?? ?? 75 11 8B D6 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B F0 EB 22 46 4F 75 D2 53 8B CD B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D6 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 8B C6 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111550_0 {
	meta:
		name = "TDomDocument.GetIsElementContentWhitespace"
		size = 232
		refs = "0013 TDomDocument.GetIsElementContentWhitespace 003c IsXmlS 0057 @WStrEqual 0085 _DV_TDomElement 008a @AsClass 00d2 @WStrArrayClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 00 80 7B 3C 00 0F 85 91 00 00 00 8D 55 F8 8B C3 8B 08 FF 91 B0 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 19 8D 55 F4 8B C3 8B 08 FF 91 B0 00 00 00 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 75 5F 8B C3 8B 10 FF 92 B8 00 00 00 8B D8 85 DB 74 4F 8B C3 8B 10 FF 92 B4 00 00 00 FE C8 74 06 2C 04 74 2D EB 3B 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B 08 FF 51 74 8B 55 F0 8B 86 94 00 00 00 8B 08 FF 51 28 3C 02 0F 94 45 FF EB 10 8B C3 8B 10 FF 92 B8 00 00 00 8B D8 85 DB 75 B1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111551_0 {
	meta:
		name = "TDomDocument.ImportNode2"
		size = 58
		refs = "0007 TDomCustomDocument.ImportNode2 001f _DV_TDomEntityReference 0024 @AsClass"
	strings:
		$1 = { 53 56 8B F0 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 92 B4 00 00 00 3C 05 75 1A 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 86 94 00 00 00 8B 08 FF 51 0C 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_111552_0 {
	meta:
		name = "TDomDocument.PrepareAttributes"
		size = 45
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 78 01 00 00 85 C0 74 18 8B C3 8B 10 FF 92 78 01 00 00 8B D0 8B C3 8B 08 FF 91 9C 01 00 00 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_111553_0 {
	meta:
		name = "TDomDocument.PrepareAttributes2"
		size = 226
		refs = "0052 _DV_TDomAttr 0057 @AsClass 006e TObject.Free 007c _DV_TDomElement"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B FA 89 04 24 C6 44 24 04 01 8B C7 8B 10 FF 92 B4 00 00 00 3C 01 75 76 80 7F 20 00 74 05 C6 44 24 04 00 8B C7 8B 10 FF 92 80 00 00 00 8B 10 FF 12 8B D8 4B 83 FB 00 7C 39 8B C7 8B 10 FF 92 80 00 00 00 8B D3 8B 08 FF 51 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 92 68 01 00 00 84 C0 75 07 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 C7 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 04 24 8B 80 94 00 00 00 8B 08 FF 11 8B C7 8B 10 FF 92 88 00 00 00 8B 10 FF 12 8B F0 4E 85 F6 7C 2E 46 33 DB 8B C7 8B 10 FF 92 88 00 00 00 8B D3 8B 08 FF 51 08 8B D0 8B 04 24 8B 08 FF 91 9C 01 00 00 84 C0 75 05 C6 44 24 04 00 43 4E 75 D5 0F B6 44 24 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111554_0 {
	meta:
		name = "TDomDocumentNS.Create"
		size = 119
		refs = "000e @ClassCreate 001c TDomCustomDocument.Create 0023 _Dn_TList 0028 TObject.Create 0035 _Dn_TUtilsWideStringList 004b TUtilsWideStringList.SetSorted 0062 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 90 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 94 00 00 00 8B C6 B2 01 E8 ?? ?? ?? ?? 8B 83 94 00 00 00 C6 40 0C 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_111557_0 {
	meta:
		name = "TDomDocumentNS.GetElementById"
		size = 48
	strings:
		$1 = { 53 56 51 8B F2 8B D8 8B CC 8B D6 8B 83 94 00 00 00 8B 30 FF 56 58 84 C0 74 10 8B 14 24 8B 83 94 00 00 00 8B 08 FF 51 20 EB 02 33 C0 5A 5E 5B C3 }
	condition:
		$1
}

rule function_111558_0 {
	meta:
		name = "TDomDocumentNS.GetElementsByTagNameNS"
		size = 125
		refs = "002a TList.Get 0037 @WStrEqual 005c _DV_TDomElementsNodeListNS 0061 TDomElementsNodeListNS.Create 0070 TList.Add"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B F8 8B 87 90 00 00 00 8B 70 08 4E 85 F6 7C 31 46 33 ED 8B 87 90 00 00 00 8B D5 E8 ?? ?? ?? ?? 8B D8 8B 43 08 8B 14 24 E8 ?? ?? ?? ?? 75 0E 8B 43 0C 8B 54 24 04 E8 ?? ?? ?? ?? 74 29 45 4E 75 D2 8B 44 24 04 50 57 8B 4C 24 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 87 90 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B C3 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111559_0 {
	meta:
		name = "TDomDocumentNS.SetIDs"
		size = 16
	strings:
		$1 = { 56 8B F0 8B 86 94 00 00 00 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_111560_0 {
	meta:
		name = "TDomDocumentXPath.DoBeforeAttach"
		size = 200
		refs = "000a _DV_TDomDocumentFragment 000f @IsClass 001b _DV_TDomProcessingInstruction 002c _DV_TDomElement 003d _DV_TDomAttr 004e _DV_TDomComment 005f _DV_TDomText 006d TDomDocumentXPath.DoBeforeAttach 0074 _DV_ENot_Supported_Err 0079 Exception.Create 007e @RaiseExcept 0087 TCustomOwnedObject.DoBeforeAttach"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 6B 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 5A 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 49 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 38 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 27 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111564_0 {
	meta:
		name = "TDtdObjectList.AppendNode"
		size = 17
		refs = "0009 TList.Add"
	strings:
		$1 = { 53 8B DA 8B D3 8B 40 04 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_111568_0 {
	meta:
		name = "TDtdObjectList.InsertBefore"
		size = 55
		refs = "0016 TList.IndexOf 0021 TList.Insert 002c TList.Add"
	strings:
		$1 = { 53 56 57 55 8B E9 8B F2 8B FE 8B 58 04 85 ED 74 16 8B D5 8B C3 E8 ?? ?? ?? ?? 8B D0 8B CE 8B C3 E8 ?? ?? ?? ?? EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111569_0 {
	meta:
		name = "TDtdObjectList.RemoveNode"
		size = 17
		refs = "0009 TList.RemoveItem"
	strings:
		$1 = { 53 8B DA 8B 40 04 33 C9 E8 ?? ?? ?? ?? 8B C3 5B C3 }
	condition:
		$1
}

rule function_111570_0 {
	meta:
		name = "TDtdNamedObjectMap.Item"
		size = 36
		refs = "001d TList.Get"
		altNames = "TDtdObjectList.Item"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 7C 08 8B 43 04 3B 70 08 7C 05 33 C0 5E 5B C3 8B D6 8B 43 04 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111571_0 {
	meta:
		name = "TDtdNamedObjectMap.Create"
		size = 75
		refs = "000b @ClassCreate 001a TObject.Create 0024 _Dn_TList 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111575_0 {
	meta:
		name = "TDtdNamedObjectMap.GetNamedItem"
		size = 140
		refs = "0017 TDtdNamedObjectMap.GetNamedItem 003a TList.Get 004c @WStrEqual 0076 @WStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B 47 04 8B 70 08 4E 85 F6 7C 34 46 33 DB 8B 47 04 8B D3 E8 ?? ?? ?? ?? 8D 55 F4 8B 08 FF 11 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 75 0F 8B 47 04 8B D3 E8 ?? ?? ?? ?? 89 45 F8 EB 04 43 4E 75 CF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111577_0 {
	meta:
		name = "TDtdNamedObjectMap.RemoveNamedItem"
		size = 104
		refs = "0012 TDtdNamedObjectMap.RemoveNamedItem 0019 _DV_ENot_Found_Err 001e Exception.Create 0023 @RaiseExcept 002f TList.RemoveItem"
	strings:
		$1 = { 53 56 8B D8 8B C3 8B 08 FF 51 10 8B F0 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 8B D6 33 C9 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 B0 04 02 00 FF FF FF FF 10 00 00 00 4E 00 6F 00 74 00 20 00 66 00 6F 00 75 00 6E 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111578_0 {
	meta:
		name = "TDtdNamedObjectMap.SetNamedItem"
		size = 129
		refs = "0012 TDtdNamedObjectMap.SetNamedItem 0052 TList.Add 006c @WStrArrayClr 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 8B 08 FF 11 8B 55 FC 8B C3 8B 08 FF 51 10 85 C0 74 17 8D 55 F8 8B C6 8B 08 FF 11 8B 55 F8 8B C3 8B 08 FF 51 04 8B F8 EB 02 33 FF 8B D6 8B 43 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C7 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111579_0 {
	meta:
		name = "TDtdValidationAgent.Create"
		size = 228
		refs = "000b @ClassCreate 001a TDtdValidationAgent.Create 0021 _DV_ENot_Supported_Err 0026 Exception.Create 002b @RaiseExcept 0034 TObject.Create 0042 _Dn_TUtilsWideStringList 0055 TUtilsWideStringList.SetSorted 0084 _DV_TDtdModel 0089 TDtdModel.Create 0097 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 10 C6 47 14 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 08 8B C6 B2 01 E8 ?? ?? ?? ?? 8B 47 08 C6 40 0C 02 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 0C 8B C6 33 D2 E8 ?? ?? ?? ?? 8B 47 0C C6 40 0C 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 04 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111580_0 {
	meta:
		name = "TDtdValidationAgent.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000f TObject.Free 002a TObject.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B 46 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111581_0 {
	meta:
		name = "TDtdValidationAgent.AddDefaultAttr"
		size = 156
		refs = "001d _DV_TDomDocument 0022 @AsClass 002b _DV_TDomAttr 0030 TDomAttr.Create 005c TDtdValidationAgent.AddDefaultAttr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B D9 89 55 FC 53 6A 00 8B 45 FC 8B 10 FF 92 8C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 55 08 8B C6 8B 08 FF 91 D0 00 00 00 8B 45 FC 8B 10 FF 52 50 88 45 FB 33 D2 8B 45 FC 8B 08 FF 51 70 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 91 98 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 0F B6 55 FB 8B 45 FC 8B 08 FF 51 70 C3 E9 ?? ?? ?? ?? EB EC 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_111582_0 {
	meta:
		name = "TDtdValidationAgent.AddDefaultAttributes"
		size = 311
		refs = "0021 TDtdValidationAgent.AddDefaultAttributes 007d _DV_TDtdAttributeDecl 0082 @AsClass 00b3 @WStrClr 00d1 ET_WARNINGS 00ee TDtdValidationAgent.AddDefaultAttr 0118 @WStrArrayClr 0126 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D DC 89 4D E0 89 4D E4 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 01 8D 55 E4 8B 45 F4 8B 08 FF 51 74 8B 55 E4 8B 45 F8 8B 40 04 8B 08 FF 51 0C 85 C0 0F 84 B2 00 00 00 8B 40 18 89 45 E8 8B 45 E8 8B 10 FF 12 8B F0 4E 85 F6 0F 8C 9A 00 00 00 46 C7 45 EC 00 00 00 00 8B 55 EC 8B 45 E8 8B 08 FF 51 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 0F B6 43 20 2C 02 73 68 8D 55 E0 8B C3 8B 08 FF 11 8B 55 E0 8B 45 F4 8B 08 FF 91 60 01 00 00 85 C0 75 4D 8D 45 F2 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 F8 8B 38 FF 57 30 0F B6 45 F2 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 1D 8B 45 FC 50 8D 55 DC 8B C3 8B 08 FF 11 8B 4D DC 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? EB 04 C6 45 F3 00 FF 45 EC 4E 0F 85 6E FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111583_0 {
	meta:
		name = "TDtdValidationAgent.AddAndValidateDefaultAttributes"
		size = 713
		refs = "0023 TDtdValidationAgent.AddAndValidateDefaultAttributes 0087 _DV_TDtdAttributeDecl 008c @AsClass 00d6 @WStrClr 00f4 ET_WARNINGS 0111 TDtdValidationAgent.AddDefaultAttr 01d6 @WStrEqual 02a7 @WStrArrayClr 02ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D EC 89 55 F0 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 C6 00 01 8B 45 EC C6 00 01 8D 55 DC 8B 45 F0 8B 08 FF 51 74 8B 55 DC 8B 45 F4 8B 40 04 8B 08 FF 51 0C 85 C0 0F 84 37 02 00 00 8B 40 18 89 45 E0 8B 45 E0 8B 10 FF 12 8B F0 4E 85 F6 0F 8C 1F 02 00 00 46 C7 45 E4 00 00 00 00 8B 55 E4 8B 45 E0 8B 08 FF 51 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 0F B6 43 20 2C 01 72 13 0F 84 A5 00 00 00 2C 02 0F 84 A2 01 00 00 E9 DA 01 00 00 8D 55 D8 8B C3 8B 08 FF 11 8B 55 D8 8B 45 F0 8B 08 FF 91 60 01 00 00 8B F8 85 FF 0F 85 B9 01 00 00 8D 45 EB 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 F4 8B 38 FF 57 30 0F B6 45 EB 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 20 8B 45 F8 50 8D 55 D4 8B C3 8B 08 FF 11 8B 4D D4 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? E9 6D 01 00 00 8B 45 EC C6 00 00 8B 45 F0 50 0F B6 55 EB 8B CB 8B 45 F4 8B 18 FF 53 38 84 C0 0F 85 4D 01 00 00 8B 45 08 C6 00 00 E9 4C 01 00 00 8D 45 EB 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8B D3 8B 45 F4 8B 38 FF 57 30 0F B6 45 EB 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 0F 83 B1 00 00 00 8D 55 D0 8B C3 8B 08 FF 11 8B 55 D0 8B 45 F0 8B 08 FF 91 60 01 00 00 8B F8 85 FF 74 77 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 EB 50 8D 55 CC 8B C7 8B 08 FF 91 B0 00 00 00 8B 55 CC 0F B6 4B 18 8B 45 F4 8B 38 FF 57 2C 0F B6 45 EB 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 11 8B 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 0F 84 A7 00 00 00 8B 45 EC C6 00 00 8B 45 F0 50 8B CB B2 1D 8B 45 F4 8B 18 FF 53 38 84 C0 0F 85 89 00 00 00 8B 45 08 C6 00 00 E9 88 00 00 00 8B 45 F8 50 8D 55 C8 8B C3 8B 08 FF 11 8B 4D C8 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? EB 61 8B 45 EC C6 00 00 8B 45 F0 50 0F B6 55 EB 8B CB 8B 45 F4 8B 18 FF 53 38 84 C0 75 45 8B 45 08 C6 00 00 EB 47 8D 55 C4 8B C3 8B 08 FF 11 8B 55 C4 8B 45 F0 8B 08 FF 91 80 01 00 00 84 C0 75 22 8B 45 EC C6 00 00 8B 45 F0 50 8B CB B2 25 8B 45 F4 8B 18 FF 53 38 84 C0 75 08 8B 45 08 C6 00 00 EB 0A FF 45 E4 4E 0F 85 E9 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_111584_0 {
	meta:
		name = "TDtdValidationAgent.Clear"
		size = 29
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 08 8B 43 08 8B 10 FF 52 48 8B 43 0C 8B 10 FF 52 48 5B C3 }
	condition:
		$1
}

rule function_111585_0 {
	meta:
		name = "TDtdValidationAgent.DocumentIsStandalone"
		size = 175
		refs = "000f TDtdValidationAgent.DocumentIsStandalone 0045 @WStrEqual 009b @WStrArrayClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5E 10 8B C3 8B 10 FF 92 74 01 00 00 85 C0 74 59 8B C3 8B 10 FF 92 74 01 00 00 8D 55 FC 8B 08 FF 91 60 01 00 00 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 75 2D 8B C3 8B 10 FF 92 74 01 00 00 8D 55 F8 8B 08 FF 91 64 01 00 00 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 75 0C 8B 46 04 0F B6 58 18 80 F3 01 EB 0D 80 7B 60 00 0F 94 C0 8B D8 EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111586_0 {
	meta:
		name = "TDtdValidationAgent.ExpandEntityReference"
		size = 327
		refs = "001a TDtdValidationAgent.ExpandEntityReference 005f @WStrClr 007e ET_WARNINGS 0098 TDtdValidationAgent.ParseWideString 00cc TObject.Free 00d2 @HandleFinally 00e3 @HandleAnyException 00ec @DoneExcept 00f4 TDomNode.MakeChildrenReadOnly"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D DC 89 4D FC 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B 45 F8 8B 08 FF 51 70 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 10 8D 45 EF 50 8D 45 E0 50 8D 55 DC 8B 45 F8 8B 08 FF 51 74 8B 45 DC 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8B C3 5A 8B 30 FF 56 1C 88 45 F7 0F B6 45 F7 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 6C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F0 8B 45 F8 8B 08 FF 91 D8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 0E E9 ?? ?? ?? ?? C6 45 F7 58 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? B2 01 8B 45 F8 8B 08 FF 51 70 C3 E9 ?? ?? ?? ?? EB EE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111588_0 {
	meta:
		name = "TDtdValidationAgent.FindElementDecl"
		size = 9
	strings:
		$1 = { 8B 40 04 8B 08 FF 51 14 C3 }
	condition:
		$1
}

rule function_111590_0 {
	meta:
		name = "TDtdValidationAgent.FindEntityReplacementText"
		size = 224
		refs = "0041 TDtdEntityDecl.GetEntityType 0074 ET_WARNINGS 007e @WStrClr 00a4 @WStrAsg 00b1 TDtdValidationAgent.DocumentIsStandalone"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 0C 8B 45 FC 85 C0 74 04 33 D2 89 10 C6 03 00 8B 45 08 C7 00 00 00 00 00 C7 40 04 00 00 00 00 8B D7 8B C6 8B 08 FF 51 18 8B F8 85 FF 74 7F 8B C7 E8 ?? ?? ?? ?? 3C 01 0F 94 03 8B 45 08 8B 57 10 89 10 8B 57 14 89 50 04 56 8B 06 8B 40 34 50 8B C7 8B 10 FF 52 10 8B D8 8B C3 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 72 0A 8B 45 FC E8 ?? ?? ?? ?? EB 52 8B C7 8B 10 FF 52 0C 84 C0 75 0C 8B 45 FC E8 ?? ?? ?? ?? B3 5C EB 3B 33 DB 8B 45 FC 8B 57 2C E8 ?? ?? ?? ?? 80 7F 24 01 75 28 8B C6 E8 ?? ?? ?? ?? 84 C0 74 1D B3 3C EB 19 8B 45 FC E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 04 B3 68 EB 02 B3 29 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111592_0 {
	meta:
		name = "TDtdValidationAgent.GetAttrDataType"
		size = 28
	strings:
		$1 = { 53 56 8B F0 8B 46 04 8B 18 FF 53 10 85 C0 74 07 0F B6 40 18 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_111593_0 {
	meta:
		name = "TDtdValidationAgent.GetDomImplementation"
		size = 7
	strings:
		$1 = { 8B 40 10 8B 40 4C C3 }
	condition:
		$1
}

rule function_111594_0 {
	meta:
		name = "TDtdValidationAgent.GetElementContentType"
		size = 17
	strings:
		$1 = { 8B 08 FF 51 14 85 C0 74 05 0F B6 40 20 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111595_0 {
	meta:
		name = "TDtdValidationAgent.IsUnparsedEntity"
		size = 27
	strings:
		$1 = { 53 8B 08 FF 51 18 8B D8 85 DB 74 0B 8B C3 8B 10 FF 52 08 34 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_111596_0 {
	meta:
		name = "TDtdValidationAgent.NormalizeAttrValueStep1"
		size = 936
		refs = "002d TDtdValidationAgent.NormalizeAttrValueStep1 0040 _Dn_TUtilsCustomWideStr 0045 TUtilsCustomWideStr.Create 005f _DV_TXmlAttrValueTokenizer 0064 TXmlAttrValueTokenizer.Create 009d ET_FATAL_ERRORS 00ac @WStrClr 00b1 @TryFinallyExit 00cf ET_ERRORS 0128 @WStrCatN 0133 XmlCharRefToStr 0150 @HandleOnException 0158 _Dn_EConvertError 0167 @DoneExcept 01dc ET_WARNINGS 01f7 LT 01fc @WStrFromWChar 0207 Pos 024b TDtdValidationAgent.DocumentIsStandalone 02ce IsXmlS 02d9 SPACE 031a TObject.Free 0320 @HandleFinally 0338 @WStrAsg 036f @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F0 8B DA 8B F0 8B 45 F0 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 C6 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 7E 02 00 00 8B 45 DC 8B 10 FF 52 04 8B 45 DC 0F B6 58 04 84 DB 74 49 8B C3 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 1C 8B 45 08 88 18 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9A 02 00 00 8B 45 08 0F B6 00 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 72 05 8B 45 08 88 18 8B 45 DC 0F B6 40 10 2C 01 72 15 FE C8 0F 84 97 00 00 00 2C 02 0F 84 CB 01 00 00 E9 02 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 D4 8B 45 DC 8B 08 FF 11 FF 75 D4 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 E0 8B 08 FF 51 10 33 C0 5A 59 59 64 89 10 E9 AD 01 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 C6 00 42 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DF 01 00 00 E8 ?? ?? ?? ?? E9 78 01 00 00 8D 45 E7 50 8D 45 E8 50 8D 55 D0 8B 45 DC 8B 08 FF 11 8B 45 D0 50 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 8B C6 5A 8B 18 FF 53 1C 8B 55 08 88 02 80 7D E7 00 74 15 8B 45 08 C6 00 32 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8D 01 00 00 8B 45 08 0F B6 00 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 72 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 68 01 00 00 8D 45 CC 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 8B 55 F4 E8 ?? ?? ?? ?? 85 C0 74 15 8B 45 08 C6 00 4F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 35 01 00 00 83 7D 10 00 75 08 83 7D 0C 00 76 40 EB 02 7E 3C 8B 45 E8 8B 55 EC 3B 55 10 75 07 3B 45 0C 76 2C EB 02 7E 28 8B C6 E8 ?? ?? ?? ?? 84 C0 74 08 8B 45 08 C6 00 3B EB 06 8B 45 08 C6 00 1C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E9 00 00 00 FF 75 10 FF 75 0C 8B 45 08 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 08 0F B6 00 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 72 0F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A6 00 00 00 8B 55 F8 8B 45 E0 8B 08 FF 51 10 EB 3C 8D 55 C8 8B 45 DC 8B 08 FF 11 8B 45 C8 E8 ?? ?? ?? ?? 84 C0 74 11 0F B7 15 ?? ?? ?? ?? 8B 45 E0 8B 08 FF 51 0C EB 15 8D 55 C4 8B 45 DC 8B 08 FF 11 8B 55 C4 8B 45 E0 8B 08 FF 51 10 8B 45 DC 80 78 10 01 0F 85 75 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 C0 8B 45 E0 8B 08 FF 51 24 8B 55 C0 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 0C 00 00 00 00 04 00 00 00 26 00 23 00 00 00 00 00 02 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_111597_0 {
	meta:
		name = "TDtdValidationAgent.NormalizeValue"
		size = 175
		refs = "0025 TDtdValidationAgent.NormalizeValue 0040 @WStrClr 004b TDtdValidationAgent.NormalizeAttrValueStep1 0072 NormalizeSpace 007d @WStrAsg 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 88 4D FB 8B F2 8B D8 8B 7D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D FB 00 75 1C FF 75 14 FF 75 10 57 8B 45 0C E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? EB 30 FF 75 14 FF 75 10 57 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_111598_0 {
	meta:
		name = "TDtdValidationAgent.NormalizeAttributeValue"
		size = 58
		refs = "001f @WStrClr 002f TDtdValidationAgent.NormalizeValue"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 8B 45 0C 85 C0 74 04 33 D2 89 10 6A 00 6A 00 8B 45 0C E8 ?? ?? ?? ?? 50 8B 45 08 50 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111599_0 {
	meta:
		name = "TDtdValidationAgent.NormalizeAttrDeclValue"
		size = 59
		refs = "001d @WStrClr 0030 TDtdValidationAgent.NormalizeValue"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 85 FF 74 04 33 C0 89 07 FF 73 14 FF 73 10 8B C7 E8 ?? ?? ?? ?? 50 8B 45 08 50 0F B6 4B 18 8B 53 1C 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111600_0 {
	meta:
		name = "TDtdValidationAgent.BuildDtdModel"
		size = 174
		refs = "0025 _DV_TDtdToDtdModelParser 002a TDtdToDtdModelParser.Create 0035 TDtdValidationAgent.BuildDtdModel 0042 TDtdValidationAgent.GetDomImplementation 0052 BUFFER_SIZE 0093 TObject.Free 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B DA 8B F0 8B C6 8B 10 FF 52 08 8B 46 10 8B 10 FF 92 74 01 00 00 85 C0 74 7F 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 8B 08 FF 51 40 8B 15 ?? ?? ?? ?? 8B 45 FC 8B 08 FF 51 54 8B 56 04 8B 45 FC 8B 08 FF 51 58 6A 01 8B 46 10 8B 10 FF 92 74 01 00 00 8B D0 8B CB 8B 45 FC 8B 18 FF 53 5C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 46 04 B2 07 8B 08 FF 51 04 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_111601_0 {
	meta:
		name = "TDtdValidationAgent.ParseWideString"
		size = 269
		refs = "0013 _DV_TDomDocumentFragment 0018 TDomDocumentFragment.Create 0023 TDtdValidationAgent.ParseWideString 0032 _DV_TXmlToDomParser 0037 TXmlToDomParser.Create 004f TDtdValidationAgent.GetDomImplementation 0062 BUFFER_SIZE 0080 _DV_TXmlSimpleInputSource 0085 TXmlSimpleInputSource.Create 00b9 TObject.Free 00bf @HandleFinally 00ed @HandleAnyException 00fa @RaiseAgain 00ff @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 8B F2 8B D8 8B 4B 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F4 8B 08 FF 51 40 6A 00 6A 00 A1 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B 55 F8 8B 45 F4 8B 18 FF 53 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111602_0 {
	meta:
		name = "TDtdValidationAgent.ResolveEntity"
		size = 215
		refs = "0025 TDtdValidationAgent.ResolveEntity 0032 TDtdValidationAgent.GetDomImplementation 003e @WStrClr 004e @WStrLAsg 005c ResolveRelativeUriWideStr 00c2 @WStrArrayClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B DA 8B F8 8B 75 08 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 85 C0 75 0D 8B 45 0C E8 ?? ?? ?? ?? C6 06 9A EB 65 8D 45 FC 8B 55 14 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 10 8B 45 F4 E8 ?? ?? ?? ?? 84 DB 75 25 8D 45 F8 50 8B 45 0C E8 ?? ?? ?? ?? 50 56 8B C7 E8 ?? ?? ?? ?? 8D 4D FC 8B 57 04 8B 52 08 8B 18 FF 53 7C EB 23 8D 45 F8 50 8B 45 0C E8 ?? ?? ?? ?? 50 56 8B C7 E8 ?? ?? ?? ?? 8D 4D FC 8B 57 04 8B 52 04 8B 18 FF 53 7C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_111603_0 {
	meta:
		name = "TDtdValidationAgent.SendErrorNotification"
		size = 220
		refs = "004a _DV_TDomError 0051 TDomError.Create 005c TDtdValidationAgent.SendErrorNotification 0069 TDtdValidationAgent.GetDomImplementation 00ad TObject.Free 00b3 @HandleFinally 00c4 ET_FATAL_ERRORS"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 8B F0 80 7E 14 00 0F 84 A5 00 00 00 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A 00 51 8B 45 08 50 6A 00 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 85 C0 74 16 8B C6 E8 ?? ?? ?? ?? 8B 4D F8 8B D6 8B 18 FF 53 74 88 45 FF EB 15 8B 45 F8 8B 10 FF 12 3C 02 75 06 C6 45 FF 00 EB 04 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 FA 9F 77 0A 0F B6 D2 0F A3 15 ?? ?? ?? ?? 0F 92 C0 34 01 88 45 FF 0F B6 45 FF 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_111605_0 {
	meta:
		name = "HasAttrEnum"
		size = 157
		refs = "0018 HasAttrEnum 0065 @WStrEqual 0086 @WStrClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F0 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8B 45 FC 8B 40 24 8B 10 FF 52 1C 85 C0 75 04 C6 45 F7 01 8B 45 FC 8B 40 24 8B 10 FF 52 1C 8B D8 4B 85 DB 7C 2A 43 33 F6 8D 4D F0 8B 45 FC 8B 40 24 8B D6 8B 38 FF 57 14 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 75 06 C6 45 F7 01 EB 04 46 4B 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111606_0 {
	meta:
		name = "TDtdValidationAgent.ValidateAttr"
		size = 2040
		refs = "0023 TDtdValidationAgent.ValidateAttr 003d @WStrClr 005c TDomAttr.GetDataType 007f ET_WARNINGS 011d TDtdValidationAgent.DocumentIsStandalone 0187 TDtdValidationAgent.NormalizeAttrValueStep1 01a6 @WStrEqual 01dd _Dn_TUtilsCustomWideStr 01e2 TUtilsCustomWideStr.Create 02d7 TObject.Free 02dd @HandleFinally 0322 IsXmlChars 035f HasAttrEnum 0399 IsXmlName 03fe @HandleOnException 0406 _Dn_EStringListError 0430 @DoneExcept 048f IsXmlNames 04ea SPACE 04fd @WStrCopy 055b TDtdValidationAgent.IsUnparsedEntity 06cf IsXmlNmtoken 0730 IsXmlNmtokens 076f @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 C6 00 01 8B 45 0C C6 00 01 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 EB 50 8D 55 D8 8B 45 EC 8B 08 FF 91 B0 00 00 00 8B 45 D8 50 8B 45 EC E8 ?? ?? ?? ?? 8B C8 8B 45 F0 5A 8B 30 FF 56 2C 80 7D EB 00 74 3B 0F B6 45 EB 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 72 06 8B 45 0C C6 00 00 8B 45 EC 50 0F B6 55 EB 33 C9 8B 45 F0 8B 30 FF 56 38 84 C0 75 0B 8B 45 08 C6 00 00 E9 AD 06 00 00 8D 55 D4 8B 45 EC 8B 08 FF 51 74 8B 45 D4 50 8B 45 EC 8B 10 FF 92 64 01 00 00 8D 55 D0 8B 08 FF 51 74 8B 55 D0 8B 45 F0 59 8B 30 FF 56 10 89 45 E0 83 7D E0 00 75 29 8B 45 0C C6 00 00 8B 45 EC 50 33 C9 B2 27 8B 45 F0 8B 18 FF 53 38 84 C0 0F 85 58 06 00 00 8B 45 08 C6 00 00 E9 4D 06 00 00 8B 45 E0 80 78 28 01 0F 85 B9 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 84 A9 00 00 00 8B 45 EC 8B 10 FF 92 68 01 00 00 84 C0 75 26 8B 45 0C C6 00 00 8B 45 EC 50 8B 4D E0 B2 2F 8B 45 F0 8B 30 FF 56 38 84 C0 75 0B 8B 45 08 C6 00 00 E9 FB 05 00 00 6A 00 6A 00 8D 45 EB 50 8D 55 CC 8B 45 EC 8B 08 FF 91 B0 00 00 00 8B 45 CC 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8B 45 F0 5A E8 ?? ?? ?? ?? 0F B6 45 EB 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 33 8B 45 F8 8B 55 FC E8 ?? ?? ?? ?? 74 26 8B 45 0C C6 00 00 8B 45 EC 50 8B 4D E0 B2 2D 8B 45 F0 8B 30 FF 56 38 84 C0 75 0B 8B 45 08 C6 00 00 E9 87 05 00 00 84 DB 0F 85 09 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 85 DB 0F 8E 9E 00 00 00 BE 01 00 00 00 8B 45 FC 0F B7 44 70 FE 0F B7 D0 83 FA 22 7F 11 74 48 83 EA 09 74 16 4A 74 22 83 EA 03 74 2C EB 66 83 EA 26 74 43 83 EA 16 74 4D EB 5A BA ?? ?? ?? ?? 8B 45 DC 8B 08 FF 51 10 EB 55 BA ?? ?? ?? ?? 8B 45 DC 8B 08 FF 51 10 EB 46 BA ?? ?? ?? ?? 8B 45 DC 8B 08 FF 51 10 EB 37 BA ?? ?? ?? ?? 8B 45 DC 8B 08 FF 51 10 EB 28 BA ?? ?? ?? ?? 8B 45 DC 8B 08 FF 51 10 EB 19 BA ?? ?? ?? ?? 8B 45 DC 8B 08 FF 51 10 EB 0A 8B D0 8B 45 DC 8B 08 FF 51 0C 46 4B 0F 85 67 FF FF FF 8D 55 C8 8B 45 DC 8B 08 FF 51 24 8B 55 C8 8B 45 EC 8B 08 FF 91 D0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 E0 0F B6 40 18 83 F8 08 0F 87 66 04 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 2B 04 00 00 8B 45 0C C6 00 00 8B 45 EC 50 8B 4D E0 B2 0D 8B 45 F0 8B 18 FF 53 38 84 C0 0F 85 0C 04 00 00 8B 45 08 C6 00 00 E9 01 04 00 00 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 85 EE 03 00 00 8B 45 0C C6 00 00 8B 45 EC 50 8B 4D E0 B2 0D 8B 45 F0 8B 18 FF 53 38 84 C0 0F 85 CF 03 00 00 8B 45 08 C6 00 00 E9 C4 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 26 8B 45 0C C6 00 00 8B 45 EC 50 8B 4D E0 B2 0D 8B 45 F0 8B 18 FF 53 38 84 C0 75 0B 8B 45 08 C6 00 00 E9 92 03 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 10 FF 92 64 01 00 00 8B C8 8B 45 F0 8B 40 08 8B 55 FC 8B 18 FF 53 38 33 C0 5A 59 59 64 89 10 E9 5C 03 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 0C C6 00 00 8B 45 EC 50 8B 4D E0 B2 11 8B 45 F0 8B 18 FF 53 38 84 C0 75 10 8B 45 08 C6 00 00 E8 ?? ?? ?? ?? E9 20 03 00 00 E8 ?? ?? ?? ?? E9 16 03 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 26 8B 45 0C C6 00 00 8B 45 EC 50 8B 4D E0 B2 0D 8B 45 F0 8B 18 FF 53 38 84 C0 75 0B 8B 45 08 C6 00 00 E9 E4 02 00 00 8B 45 F0 8B 40 0C 8B 4D EC 8B 55 FC 8B 18 FF 53 38 E9 CE 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 26 8B 45 0C C6 00 00 8B 45 EC 50 8B 4D E0 B2 0D 8B 45 F0 8B 18 FF 53 38 84 C0 75 0B 8B 45 08 C6 00 00 E9 9C 02 00 00 C7 45 E4 01 00 00 00 33 FF 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 85 DB 7E 47 BE 01 00 00 00 8B 45 FC 0F B7 44 70 FE 66 3B 05 ?? ?? ?? ?? 75 2C 8D 45 F4 50 8B CF 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C 8B 4D EC 8B 55 F4 8B 38 FF 57 38 8D 46 01 89 45 E4 33 FF EB 01 47 46 4B 75 BE 8D 45 F4 50 8B CF 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8B 40 0C 8B 4D EC 8B 55 F4 8B 18 FF 53 38 E9 11 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 3D 8B 55 FC 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 85 F2 01 00 00 8B 45 0C C6 00 00 8B 45 EC 50 8B 4D E0 B2 2C 8B 45 F0 8B 18 FF 53 38 84 C0 0F 85 D3 01 00 00 8B 45 08 C6 00 00 E9 C8 01 00 00 8B 45 0C C6 00 00 8B 45 EC 50 8B 4D E0 B2 0D 8B 45 F0 8B 18 FF 53 38 84 C0 0F 85 A9 01 00 00 8B 45 08 C6 00 00 E9 9E 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 84 D6 00 00 00 C7 45 E4 01 00 00 00 33 FF 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 85 DB 7E 6B BE 01 00 00 00 8B 45 FC 0F B7 44 70 FE 66 3B 05 ?? ?? ?? ?? 75 50 8D 45 C4 50 8B CF 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C4 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 26 8B 45 0C C6 00 00 8B 45 EC 50 8B 4D E0 B2 2C 8B 45 F0 8B 38 FF 57 38 84 C0 75 0B 8B 45 08 C6 00 00 E9 15 01 00 00 8D 46 01 89 45 E4 33 FF EB 01 47 46 4B 75 9A 8D 45 C0 50 8B CF 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 C0 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 85 E2 00 00 00 8B 45 0C C6 00 00 8B 45 EC 50 8B 4D E0 B2 2C 8B 45 F0 8B 18 FF 53 38 84 C0 0F 85 C3 00 00 00 8B 45 08 C6 00 00 E9 B8 00 00 00 8B 45 0C C6 00 00 8B 45 EC 50 8B 4D E0 B2 0D 8B 45 F0 8B 18 FF 53 38 84 C0 0F 85 99 00 00 00 8B 45 08 C6 00 00 E9 8E 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 32 8B 55 FC 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 75 73 8B 45 0C C6 00 00 8B 45 EC 50 8B 4D E0 B2 0D 8B 45 F0 8B 18 FF 53 38 84 C0 75 58 8B 45 08 C6 00 00 EB 50 8B 45 0C C6 00 00 8B 45 EC 50 8B 4D E0 B2 0D 8B 45 F0 8B 18 FF 53 38 84 C0 75 35 8B 45 08 C6 00 00 EB 2D 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 21 8B 45 0C C6 00 00 8B 45 EC 50 8B 4D E0 B2 0D 8B 45 F0 8B 18 FF 53 38 84 C0 75 06 8B 45 08 C6 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 0A 00 00 00 26 00 23 00 78 00 39 00 3B 00 00 00 0A 00 00 00 26 00 23 00 78 00 41 00 3B 00 00 00 0A 00 00 00 26 00 23 00 78 00 44 00 3B 00 00 00 0C 00 00 00 26 00 71 00 75 00 6F 00 74 00 3B 00 00 00 00 00 0A 00 00 00 26 00 61 00 6D 00 70 00 3B 00 00 00 08 00 00 00 26 00 6C 00 74 00 3B 00 00 00 00 00 }
	condition:
		$1
}

rule function_111607_0 {
	meta:
		name = "ValidateElementDeclarations"
		size = 594
		refs = "001b ValidateElementDeclarations 00b2 _Dn_TUtilsWideStringList 00b7 TObject.Create 00c4 TUtilsWideStringList.SetSorted 0130 @TryFinallyExit 01ee TObject.Free 01f4 @HandleFinally 023f @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 C9 89 4D D0 89 4D D4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 C6 00 01 8B 45 FC C6 00 01 8B 45 08 8B 40 FC 8B 40 04 8B 40 20 89 45 E8 8B 45 E8 8B 10 FF 12 48 85 C0 0F 8C D9 01 00 00 40 89 45 E4 C7 45 EC 00 00 00 00 8B 55 EC 8B 45 E8 8B 08 FF 51 14 8B D8 80 7B 20 03 0F 85 AB 01 00 00 8B 43 1C 85 C0 75 2A 8B 45 FC C6 00 00 6A 00 8B 45 08 8B 40 FC 8B CB B2 74 8B 18 FF 53 38 84 C0 0F 85 85 01 00 00 8B 45 F8 C6 00 00 E9 86 01 00 00 8B F0 80 7E 19 00 0F 85 4B 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 B2 01 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 C6 40 0C 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 20 89 45 E0 8B 45 E0 8B 10 FF 52 10 48 85 C0 0F 8C E9 00 00 00 40 89 45 DC 33 F6 8B D6 8B 45 E0 8B 08 FF 51 18 80 78 08 03 74 2F 8B 45 FC C6 00 00 6A 00 8B 45 08 8B 40 FC 8B CB B2 74 8B 38 FF 57 38 84 C0 0F 85 AA 00 00 00 8B 45 F8 C6 00 00 E8 ?? ?? ?? ?? E9 F0 00 00 00 8B D6 8B 45 E0 8B 08 FF 51 18 89 45 D8 8B 45 D8 80 78 19 01 74 2B 8B 45 FC C6 00 00 6A 00 8B 45 08 8B 40 FC 8B CB B2 74 8B 38 FF 57 38 84 C0 75 69 8B 45 F8 C6 00 00 E8 ?? ?? ?? ?? E9 AF 00 00 00 8D 55 D4 8B 45 D8 8B 08 FF 11 8B 55 D4 8D 4D F4 8B 45 F0 8B 38 FF 57 58 84 C0 74 28 8B 45 FC C6 00 00 6A 00 8B 45 08 8B 40 FC 8B CB B2 12 8B 38 FF 57 38 84 C0 75 22 8B 45 F8 C6 00 00 E8 ?? ?? ?? ?? EB 6B 8D 55 D0 8B 45 D8 8B 08 FF 11 8B 55 D0 8B 45 F0 8B 08 FF 51 34 46 FF 4D DC 0F 85 1D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC C6 00 00 6A 00 8B 45 08 8B 40 FC 8B CB B2 74 8B 18 FF 53 38 84 C0 75 08 8B 45 F8 C6 00 00 EB 0C FF 45 EC FF 4D E4 0F 85 32 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111608_0 {
	meta:
		name = "ValidateEntityDeclarations"
		size = 468
		refs = "0018 ValidateEntityDeclarations 0069 IsUriURI_referenceWideStr 00ab Pos 0113 TDtdValidationAgent.IsUnparsedEntity 01b7 @WStrClr 01bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 C6 00 01 8B 45 FC C6 00 01 8B 45 08 8B 40 FC 8B 40 04 8B 40 24 89 45 EC 8B 45 EC 8B 10 FF 12 48 85 C0 0F 8C 59 01 00 00 40 89 45 E8 C7 45 F4 00 00 00 00 8B 55 F4 8B 45 EC 8B 08 FF 51 14 8B F0 8B 46 30 E8 ?? ?? ?? ?? 84 C0 75 31 6A 00 8B 55 F4 8B 45 EC 8B 08 FF 51 14 8B C8 8B 45 08 8B 40 FC B2 07 8B 18 FF 53 38 84 C0 75 53 8B 45 FC C6 00 00 8B 45 F8 C6 00 00 E9 04 01 00 00 8B 56 30 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 31 6A 00 8B 55 F4 8B 45 EC 8B 08 FF 51 14 8B C8 8B 45 08 8B 40 FC B2 06 8B 18 FF 53 38 84 C0 75 11 8B 45 FC C6 00 00 8B 45 F8 C6 00 00 E9 C2 00 00 00 8B 46 1C 8B 10 FF 52 1C 8B D8 4B 85 DB 7C 5C 43 C7 45 F0 00 00 00 00 8D 4D E4 8B 55 F0 8B 46 1C 8B 38 FF 57 14 8B 55 E4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 84 C0 74 2E 6A 00 8B 55 F4 8B 45 EC 8B 08 FF 51 14 8B C8 8B 45 08 8B 40 FC B2 08 8B 18 FF 53 38 84 C0 75 14 8B 45 FC C6 00 00 8B 45 F8 C6 00 00 EB 5D FF 45 F0 4B 75 AC 8B C6 8B 10 FF 52 08 84 C0 75 40 8B 45 08 8B 40 FC 8B 56 20 8B 08 FF 51 20 85 C0 75 2E 8B 45 FC C6 00 00 6A 00 8B 55 F4 8B 45 EC 8B 08 FF 51 14 8B C8 8B 45 08 8B 40 FC B2 2A 8B 18 FF 53 38 84 C0 75 08 8B 45 F8 C6 00 00 EB 0C FF 45 F4 FF 4D E8 0F 85 B2 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 02 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_111609_0 {
	meta:
		name = "ValidateAttributeDeclarations"
		size = 2304
		refs = "0023 ValidateAttributeDeclarations 00b6 @WStrClr 00d8 ET_WARNINGS 01e7 _Dn_TUtilsWideStringList 01ec TObject.Create 01f9 TUtilsWideStringList.SetSorted 0273 @TryFinallyExit 0341 TObject.Free 0347 @HandleFinally 0405 IsXmlName 044f IsXmlNames 05dd IsXmlNmtoken 0687 IsXmlNmtokens 06c9 @WStrEqual 089f @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 11 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 C6 00 01 8B 45 F0 C6 00 01 8B 45 0C 8B 40 FC 8B 40 04 8B 40 1C 89 45 CC 8B 45 CC 8B 10 FF 12 48 85 C0 0F 8C 2E 08 00 00 40 89 45 C8 C7 45 DC 00 00 00 00 8B 55 DC 8B 45 CC 8B 08 FF 51 14 89 45 E4 8B 45 E4 8B 40 18 89 45 C4 8B 45 C4 8B 10 FF 12 48 85 C0 0F 8C F0 07 00 00 40 89 45 C0 C7 45 D8 00 00 00 00 8B 55 D8 8B 45 C4 8B 08 FF 51 14 89 45 EC 8B 45 EC 0F B6 40 20 2C 02 73 5F 8D 45 D7 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8B 45 0C 8B 40 FC 8B 55 EC 8B 18 FF 53 30 0F B6 45 D7 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 72 06 8B 45 F0 C6 00 00 80 7D D7 00 74 2B 6A 00 0F B6 55 D7 8B 45 0C 8B 40 FC 8B 4D EC 8B 18 FF 53 38 84 C0 75 13 8B 45 08 C6 00 00 E9 79 07 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 45 EC 0F B6 40 18 83 F8 08 0F 87 91 05 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 B4 8B 45 E4 8B 08 FF 11 8B 55 B4 8D 4D E8 8B 45 F8 8B 18 FF 53 58 84 C0 74 27 8B 45 F0 C6 00 00 6A 00 8B 45 0C 8B 40 FC 8B 4D EC B2 10 8B 18 FF 53 38 84 C0 75 20 8B 45 08 C6 00 00 E9 F3 06 00 00 8D 55 B0 8B 45 E4 8B 08 FF 11 8B 55 B0 8B 45 F8 8B 08 FF 51 34 8B 45 EC 0F B6 40 20 04 FE 2C 02 0F 82 FD 04 00 00 8B 45 F0 C6 00 00 6A 00 8B 45 0C 8B 40 FC 8B 4D EC B2 1E 8B 18 FF 53 38 84 C0 0F 85 DD 04 00 00 8B 45 08 C6 00 00 E9 A2 06 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 B2 01 8B 45 D0 E8 ?? ?? ?? ?? 8B 45 D0 C6 40 0C 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 40 24 89 45 BC 8B 45 BC 8B 10 FF 52 1C 8B F0 4E 85 F6 0F 8C B9 00 00 00 46 33 DB 8D 4D AC 8B D3 8B 45 BC 8B 38 FF 57 14 8B 55 AC 8B 45 0C 8B 40 FC 8B 08 FF 51 20 85 C0 75 2C 8B 45 F0 C6 00 00 6A 00 8B 45 0C 8B 40 FC 8B 4D EC B2 2A 8B 38 FF 57 38 84 C0 75 10 8B 45 08 C6 00 00 E8 ?? ?? ?? ?? E9 0A 06 00 00 8D 4D A8 8B D3 8B 45 BC 8B 38 FF 57 14 8B 55 A8 8D 4D E8 8B 45 D0 8B 38 FF 57 58 84 C0 74 2C 8B 45 F0 C6 00 00 6A 00 8B 45 0C 8B 40 FC 8B 4D EC B2 15 8B 38 FF 57 38 84 C0 75 28 8B 45 08 C6 00 00 E8 ?? ?? ?? ?? E9 BF 05 00 00 8D 4D A4 8B D3 8B 45 BC 8B 38 FF 57 14 8B 55 A4 8B 45 D0 8B 08 FF 51 34 43 4E 0F 85 4A FF FF FF 8B 45 EC 0F B6 40 20 2C 02 73 3E 8D 4D E8 8B 55 FC 8B 45 D0 8B 18 FF 53 58 84 C0 75 2C 8B 45 F0 C6 00 00 6A 00 8B 45 0C 8B 40 FC 8B 4D EC B2 0C 8B 18 FF 53 38 84 C0 75 10 8B 45 08 C6 00 00 E8 ?? ?? ?? ?? E9 56 05 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 A0 8B 45 E4 8B 08 FF 11 8B 55 A0 8D 4D E8 8B 45 F4 8B 18 FF 53 58 84 C0 74 27 8B 45 F0 C6 00 00 6A 00 8B 45 0C 8B 40 FC 8B 4D EC B2 14 8B 18 FF 53 38 84 C0 75 20 8B 45 08 C6 00 00 E9 F6 04 00 00 8D 55 9C 8B 45 E4 8B 08 FF 11 8B 55 9C 8B 45 F4 8B 08 FF 51 34 8D 55 98 8B 45 E4 8B 08 FF 11 8B 55 98 8B 45 0C 8B 40 FC 8B 08 FF 51 14 80 78 20 01 0F 85 EF 02 00 00 8B 45 F0 C6 00 00 6A 00 8B 45 0C 8B 40 FC 8B 4D EC B2 20 8B 18 FF 53 38 84 C0 0F 85 CF 02 00 00 8B 45 08 C6 00 00 E9 94 04 00 00 8B 45 EC 0F B6 40 20 2C 02 0F 83 B5 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 A5 02 00 00 8B 45 F0 C6 00 00 6A 00 8B 45 0C 8B 40 FC 8B 4D EC B2 0C 8B 18 FF 53 38 84 C0 0F 85 85 02 00 00 8B 45 08 C6 00 00 E9 4A 04 00 00 8B 45 EC 0F B6 40 20 2C 02 0F 83 6B 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 5B 02 00 00 8B 45 F0 C6 00 00 6A 00 8B 45 0C 8B 40 FC 8B 4D EC B2 0C 8B 18 FF 53 38 84 C0 0F 85 3B 02 00 00 8B 45 08 C6 00 00 E9 00 04 00 00 8B 45 EC 0F B6 40 20 2C 02 0F 83 21 02 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 11 02 00 00 8B 45 F0 C6 00 00 6A 00 8B 45 0C 8B 40 FC 8B 4D EC B2 0C 8B 18 FF 53 38 84 C0 0F 85 F1 01 00 00 8B 45 08 C6 00 00 E9 B6 03 00 00 8B 45 EC 0F B6 40 20 2C 02 0F 83 D7 01 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 0F 85 C7 01 00 00 8B 45 F0 C6 00 00 6A 00 8B 45 0C 8B 40 FC 8B 4D EC B2 0C 8B 18 FF 53 38 84 C0 0F 85 A7 01 00 00 8B 45 08 C6 00 00 E9 6C 03 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 C6 40 0C 02 8B 45 EC 8B 40 24 89 45 B8 8B 45 B8 8B 10 FF 52 1C 8B F0 4E 85 F6 7C 6A 46 33 DB 8D 4D 94 8B D3 8B 45 B8 8B 38 FF 57 14 8B 55 94 8D 4D E8 8B 45 E0 8B 38 FF 57 58 84 C0 74 2C 8B 45 F0 C6 00 00 6A 00 8B 45 0C 8B 40 FC 8B 4D EC B2 0F 8B 38 FF 57 38 84 C0 75 28 8B 45 08 C6 00 00 E8 ?? ?? ?? ?? E9 D8 02 00 00 8D 4D 90 8B D3 8B 45 B8 8B 38 FF 57 14 8B 55 90 8B 45 E0 8B 08 FF 51 34 43 4E 75 99 8B 45 EC 0F B6 40 20 2C 02 0F 83 82 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 2C 8B 45 F0 C6 00 00 6A 00 8B 45 0C 8B 40 FC 8B 4D EC B2 0C 8B 18 FF 53 38 84 C0 75 5A 8B 45 08 C6 00 00 E8 ?? ?? ?? ?? E9 75 02 00 00 8B 45 E0 8B 10 FF 52 1C 85 C0 7E 3E 8D 4D E8 8B 55 FC 8B 45 E0 8B 18 FF 53 58 84 C0 75 2C 8B 45 F0 C6 00 00 6A 00 8B 45 0C 8B 40 FC 8B 4D EC B2 0C 8B 18 FF 53 38 84 C0 75 10 8B 45 08 C6 00 00 E8 ?? ?? ?? ?? E9 2B 02 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 EC 0F B6 40 20 2C 02 73 33 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 27 8B 45 F0 C6 00 00 6A 00 8B 45 0C 8B 40 FC 8B 4D EC B2 0C 8B 18 FF 53 38 84 C0 75 0B 8B 45 08 C6 00 00 E9 D0 01 00 00 8D 55 8C 8B 45 EC 8B 08 FF 11 8B 45 8C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 9B 01 00 00 8B 45 EC 80 78 18 07 74 2B 6A 00 8B 45 0C 8B 40 FC 8B 4D EC B2 0B 8B 18 FF 53 38 84 C0 0F 85 78 01 00 00 8B 45 F0 C6 00 00 8B 45 08 C6 00 00 E9 7F 01 00 00 8B 45 EC 8B 40 24 8B 10 FF 52 1C 48 74 08 48 74 76 E9 2D 01 00 00 8D 4D 88 8B 45 EC 8B 40 24 33 D2 8B 18 FF 53 14 8B 45 88 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 2E 01 00 00 8D 4D 84 8B 45 EC 8B 40 24 33 D2 8B 18 FF 53 14 8B 45 84 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 0B 01 00 00 6A 00 8B 45 0C 8B 40 FC 8B 4D EC B2 09 8B 18 FF 53 38 84 C0 0F 85 F1 00 00 00 8B 45 F0 C6 00 00 8B 45 08 C6 00 00 E9 F8 00 00 00 8D 4D 80 8B 45 EC 8B 40 24 33 D2 8B 18 FF 53 14 8B 45 80 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2C 8D 8D 7C FF FF FF 8B 45 EC 8B 40 24 BA 01 00 00 00 8B 18 FF 53 14 8B 85 7C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 95 00 00 00 8D 8D 78 FF FF FF 8B 45 EC 8B 40 24 33 D2 8B 18 FF 53 14 8B 85 78 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 28 8D 8D 74 FF FF FF 8B 45 EC 8B 40 24 BA 01 00 00 00 8B 18 FF 53 14 8B 85 74 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 48 6A 00 8B 45 0C 8B 40 FC 8B 4D EC B2 09 8B 18 FF 53 38 84 C0 75 32 8B 45 F0 C6 00 00 8B 45 08 C6 00 00 EB 3C 6A 00 8B 45 0C 8B 40 FC 8B 4D EC B2 09 8B 18 FF 53 38 84 C0 75 0E 8B 45 F0 C6 00 00 8B 45 08 C6 00 00 EB 18 FF 45 D8 FF 4D C0 0F 85 1B F8 FF FF FF 45 DC FF 4D C8 0F 85 DD F7 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 74 FF FF FF BA 11 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 12 00 00 00 78 00 6D 00 6C 00 3A 00 73 00 70 00 61 00 63 00 65 00 00 00 0E 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 10 00 00 00 70 00 72 00 65 00 73 00 65 00 72 00 76 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_111610_0 {
	meta:
		name = "TDtdValidationAgent.ValidateDTD"
		size = 222
		refs = "0015 ValidateElementDeclarations 002a ValidateEntityDeclarations 0043 _Dn_TUtilsWideStringList 0048 TObject.Create 0055 TUtilsWideStringList.SetSorted 0084 TDtdValidationAgent.ValidateDTD 009a ValidateAttributeDeclarations 00ad @TryFinallyExit 00c4 TObject.Free 00d2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 8B D9 8B F2 89 45 FC 55 8B D3 8B C6 E8 ?? ?? ?? ?? 59 80 3B 00 0F 84 B5 00 00 00 55 8B D3 8D 45 F3 E8 ?? ?? ?? ?? 59 0F B6 06 22 45 F3 88 06 80 3B 00 0F 84 98 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 B2 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 C6 40 0C 02 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 B2 01 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 C6 40 0C 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 55 53 8D 4D F3 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 59 0F B6 06 22 45 F3 88 06 80 3B 00 75 07 E8 ?? ?? ?? ?? EB 25 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111611_0 {
	meta:
		name = "TDtdValidationAgent.ValidateDocument"
		size = 655
		refs = "001d TDtdValidationAgent.ValidateDocument 0097 @TryFinallyExit 0128 @WStrEqual 01e8 _DV_TDomAttr 01ed @AsClass 025c @HandleFinally 0278 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D E4 89 4D EC 89 4D E8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 8B 45 FC 8B 40 08 8B 10 FF 52 48 8B 45 FC 8B 40 0C 8B 10 FF 52 48 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 04 80 78 19 06 74 18 B2 01 8B 45 FC 8B 08 FF 51 54 8B 45 FC 8B 40 04 80 78 19 04 0F 95 45 FB 8B 45 FC 8B 40 04 80 78 19 07 75 21 8B 45 FC 8B 40 10 50 33 C9 B2 01 8B 45 FC 8B 30 FF 56 38 84 C0 75 32 E8 ?? ?? ?? ?? E9 C2 01 00 00 8D 4D F2 8D 55 F3 8B 45 FC 8B 30 FF 56 44 0F B6 45 FB 22 45 F3 88 45 FB 80 7D F2 00 75 0A E8 ?? ?? ?? ?? E9 9A 01 00 00 8B 45 FC 8B 40 10 8B 10 FF 92 78 01 00 00 85 C0 0F 84 31 01 00 00 8B 45 FC 8B 40 10 8B 10 FF 92 74 01 00 00 85 C0 74 6B 8B 45 FC 8B 40 10 8B 10 FF 92 74 01 00 00 8D 55 EC 8B 08 FF 91 5C 01 00 00 8B 45 EC 50 8B 45 FC 8B 40 10 8B 10 FF 92 78 01 00 00 8D 55 E8 8B 08 FF 51 74 8B 55 E8 58 E8 ?? ?? ?? ?? 74 2D C6 45 FB 00 8B 45 FC 8B 40 10 8B 10 FF 92 78 01 00 00 50 33 C9 B2 31 8B 45 FC 8B 30 FF 56 38 84 C0 75 0A E8 ?? ?? ?? ?? E9 07 01 00 00 8D 45 F3 50 8D 45 F2 50 8B 45 FC 8B 40 10 8B 10 FF 92 78 01 00 00 8B D0 8B CB 8B 45 FC 8B 18 FF 53 50 0F B6 45 FB 22 45 F3 88 45 FB 80 7D F2 00 75 0A E8 ?? ?? ?? ?? E9 CB 00 00 00 8B 45 FC 8B 40 0C 8B 10 FF 52 1C 8B F0 4E 85 F6 0F 8C 84 00 00 00 46 33 DB 8D 4D E4 8B 45 FC 8B 40 0C 8B D3 8B 38 FF 57 14 8B 55 E4 8D 4D F4 8B 45 FC 8B 40 08 8B 38 FF 57 58 84 C0 75 34 C6 45 FB 00 8B 45 FC 8B 40 0C 8B D3 8B 08 FF 51 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 33 C9 B2 26 8B 45 FC 8B 38 FF 57 38 84 C0 75 07 E8 ?? ?? ?? ?? EB 59 43 4E 75 A3 EB 22 C6 45 FB 00 8B 45 FC 8B 40 10 50 33 C9 B2 5F 8B 45 FC 8B 18 FF 53 38 84 C0 75 07 E8 ?? ?? ?? ?? EB 31 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D FB 00 75 16 8B 45 FC 8B 40 08 8B 10 FF 52 48 8B 45 FC 8B 40 0C 8B 10 FF 52 48 C3 E9 ?? ?? ?? ?? EB DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111612_0 {
	meta:
		name = "ResolveEntityReferences"
		size = 670
		refs = "001b ResolveEntityReferences 0097 @WStrClr 00bb ET_WARNINGS 0101 TDtdValidationAgent.ParseWideString 012b TObject.Free 0149 @HandleFinally 015a @HandleAnyException 0184 @DoneExcept 0213 _DV_TDomEntityReference 0218 @AsClass"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D4 89 5D FC 89 4D F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 C6 00 01 8B 45 F4 C6 00 01 80 EA 01 72 0B 0F 84 8B 01 00 00 E9 2F 02 00 00 C6 45 E3 00 33 C0 89 45 E4 E9 46 01 00 00 8B 45 F8 8B 10 FF 92 88 00 00 00 8B 55 E4 8B 08 FF 51 08 89 45 DC 8B 45 DC 8B 10 FF 92 B4 00 00 00 3C 05 0F 85 1A 01 00 00 C6 45 E3 01 8D 45 F3 50 8D 45 E8 50 8D 55 D4 8B 45 DC 8B 08 FF 51 74 8B 45 D4 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8B 45 0C 8B 40 FC 5A 8B 18 FF 53 1C 8B D8 84 DB 74 3A 8B C3 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 72 06 8B 45 F4 C6 00 00 8B 45 DC 50 8B D3 8B 45 0C 8B 40 FC 33 C9 8B 18 FF 53 38 84 C0 75 0B 8B 45 08 C6 00 00 E9 87 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 8B 40 FC 8B 55 FC E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D DC 8B 55 D8 8B 45 F8 8B 18 FF 93 50 01 00 00 8B 45 DC E8 ?? ?? ?? ?? FF 4D E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 39 E9 ?? ?? ?? ?? B3 58 8B 45 F4 C6 00 00 8B 45 DC 50 8B D3 8B 45 0C 8B 40 FC 33 C9 8B 18 FF 53 38 84 C0 75 10 8B 45 08 C6 00 00 E8 ?? ?? ?? ?? E9 E3 00 00 00 E8 ?? ?? ?? ?? FF 45 E4 8B 45 F8 8B 10 FF 92 88 00 00 00 8B 10 FF 12 3B 45 E4 0F 8F A2 FE FF FF 80 7D E3 00 0F 84 B9 00 00 00 8B 45 F8 8B 10 FF 92 48 01 00 00 E9 A9 00 00 00 8B 45 F8 8B 10 FF 92 88 00 00 00 8B 10 FF 12 8B F0 4E 85 F6 0F 8C 8F 00 00 00 46 C7 45 E4 00 00 00 00 8B 45 F8 8B 10 FF 92 88 00 00 00 8B 55 E4 8B 08 FF 51 08 89 45 DC 8B 45 DC 8B 10 FF 92 B4 00 00 00 3C 05 75 58 8B 45 DC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 0C 8B 40 FC 8B 08 FF 51 0C 8B D8 84 DB 74 37 8B C3 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 72 06 8B 45 F4 C6 00 00 8B 45 DC 50 8B D3 8B 45 0C 8B 40 FC 33 C9 8B 18 FF 53 38 84 C0 75 08 8B 45 08 C6 00 00 EB 0A FF 45 E4 4E 0F 85 79 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_111613_0 {
	meta:
		name = "TDtdValidationAgent.ValidateElement"
		size = 1692
		refs = "0023 TDtdValidationAgent.ValidateElement 008d ResolveEntityReferences 0130 @WStrEqual 01ae _Dn_TUtilsWideStringList 01b3 TObject.Create 0249 _DV_TDomText 024e @AsClass 027b @TryFinallyExit 0296 TDtdValidationAgent.DocumentIsStandalone 032b @HandleFinally 0342 _DV_EParserException 0347 Exception.Create 034c @RaiseExcept 03ce TObject.Free 05c1 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 33 DB 89 5D CC 89 5D D0 89 5D D4 89 5D D8 88 4D F7 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 C6 00 01 8B 45 0C C6 00 01 8D 55 D8 8B 45 F8 8B 08 FF 51 74 8B 55 D8 8B 45 FC 8B 08 FF 51 14 89 45 EC 83 7D EC 00 75 3F 8B 45 0C C6 00 00 8B 45 F8 50 33 C9 B2 28 8B 45 FC 8B 18 FF 53 38 84 C0 75 0B 8B 45 08 C6 00 00 E9 2E 05 00 00 55 8D 45 E2 50 0F B6 55 F7 8D 4D E2 8B 45 F8 E8 ?? ?? ?? ?? 59 E9 14 05 00 00 8B 45 EC 0F B6 40 20 83 F8 04 0F 87 04 05 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 8B 45 08 50 0F B6 55 F7 8B 4D 0C 8B 45 F8 E8 ?? ?? ?? ?? 59 E9 CF 04 00 00 8B 45 F8 8B 10 FF 92 88 00 00 00 8B 10 FF 12 8B F0 4E 85 F6 7C 70 46 C7 45 E8 00 00 00 00 8B 45 F8 8B 10 FF 92 88 00 00 00 8B 55 E8 8B 08 FF 51 08 8B D8 8B C3 8B 10 FF 92 B4 00 00 00 3C 03 75 19 8D 55 D4 8B C3 8B 08 FF 91 B0 00 00 00 8B 45 D4 33 D2 E8 ?? ?? ?? ?? 74 26 8B 45 0C C6 00 00 8B 45 F8 50 8B 4D EC B2 1B 8B 45 FC 8B 18 FF 53 38 84 C0 75 0B 8B 45 08 C6 00 00 E9 4F 04 00 00 FF 45 E8 4E 75 98 55 8B 45 08 50 0F B6 55 F7 8D 4D E1 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 0C 0F B6 00 22 45 E1 8B 55 0C 88 02 E9 21 04 00 00 55 8B 45 08 50 0F B6 55 F7 8B 4D 0C 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 08 80 38 00 0F 84 00 04 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 01 8B 45 F8 8B 10 FF 92 8C 00 00 00 0F B7 0D ?? ?? ?? ?? 8B 55 F8 8B 18 FF 93 88 01 00 00 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 8B 10 FF 52 38 8B D8 85 DB 0F 84 FA 00 00 00 8B C3 8B 10 FF 92 B4 00 00 00 FE C8 74 11 2C 02 74 27 FE C8 0F 84 A3 00 00 00 E9 C9 00 00 00 8D 55 D0 8B C3 8B 08 FF 51 74 8B 55 D0 8B 45 F0 8B 08 FF 51 34 E9 AF 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 7C 01 00 00 84 C0 75 2B 8B 45 0C C6 00 00 8B 45 F8 50 8B 4D EC B2 1A 8B 45 FC 8B 18 FF 53 38 8B 55 08 88 02 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 22 03 00 00 8B 45 EC 80 78 18 01 75 62 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 56 8B 45 0C C6 00 00 8B 45 F8 50 8B 4D EC B2 30 8B 45 FC 8B 18 FF 53 38 8B 55 08 88 02 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E2 02 00 00 8B 45 0C C6 00 00 8B 45 F8 50 8B 4D EC B2 17 8B 45 FC 8B 18 FF 53 38 8B 55 08 88 02 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B7 02 00 00 8B 45 DC 8B 10 FF 52 44 8B D8 85 DB 0F 85 06 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 8C 00 00 00 8D 55 DC 8B 08 FF 91 8C 01 00 00 C3 E9 ?? ?? ?? ?? EB E2 8B 45 EC 83 78 1C 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 E4 8D 45 E3 50 8D 4D E4 8B 45 EC 8B 40 1C 8B 55 F0 8B 18 FF 53 10 8B D8 80 7D E3 00 74 1E 8B 45 0C C6 00 00 8B 45 F8 50 8B 4D EC B2 1F 8B 45 FC 8B 18 FF 53 38 8B 55 08 88 02 EB 2D 84 DB 74 0D 8B 45 F0 8B 10 FF 52 1C 3B 45 E4 74 1C 8B 45 0C C6 00 00 8B 45 F8 50 8B 4D EC B2 18 8B 45 FC 8B 18 FF 53 38 8B 55 08 88 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 55 8B 45 08 50 0F B6 55 F7 8B 4D 0C 8B 45 F8 E8 ?? ?? ?? ?? 59 8B 45 08 80 38 00 0F 84 B0 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 01 8B 45 F8 8B 10 FF 92 8C 00 00 00 0F B7 0D ?? ?? ?? ?? 8B 55 F8 8B 18 FF 93 88 01 00 00 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 8B 10 FF 52 38 8B D8 85 DB 74 23 8D 55 CC 8B C3 8B 08 FF 51 74 8B 55 CC 8B 45 F0 8B 08 FF 51 34 8B 45 DC 8B 10 FF 52 44 8B D8 85 DB 75 DD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 8C 00 00 00 8D 55 DC 8B 08 FF 91 8C 01 00 00 C3 E9 ?? ?? ?? ?? EB E2 8B 45 EC 83 78 1C 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 58 1C 80 7B 19 00 75 3A 8B 43 20 8B 10 FF 52 10 85 C0 75 2E 8B 45 F0 8B 10 FF 52 1C 85 C0 0F 8E 8B 00 00 00 8B 45 0C C6 00 00 8B 45 F8 50 8B 4D EC B2 19 8B 45 FC 8B 18 FF 53 38 8B 55 08 88 02 EB 6D 33 C0 89 45 E4 8D 45 E3 50 8D 4D E4 8B 45 EC 8B 40 1C 8B 55 F0 8B 18 FF 53 10 8B D8 80 7D E3 00 74 1E 8B 45 0C C6 00 00 8B 45 F8 50 8B 4D EC B2 1F 8B 45 FC 8B 18 FF 53 38 8B 55 08 88 02 EB 2D 84 DB 74 0D 8B 45 F0 8B 10 FF 52 1C 3B 45 E4 74 1C 8B 45 0C C6 00 00 8B 45 F8 50 8B 4D EC B2 18 8B 45 FC 8B 18 FF 53 38 8B 55 08 88 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 00 00 00 1A 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 20 00 50 00 61 00 72 00 73 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 02 00 00 00 B0 04 02 00 FF FF FF FF 38 00 00 00 44 00 54 00 44 00 5F 00 53 00 54 00 52 00 49 00 43 00 54 00 5F 00 4D 00 49 00 58 00 45 00 44 00 5F 00 43 00 4F 00 4E 00 54 00 45 00 4E 00 54 00 54 00 59 00 50 00 45 00 20 00 69 00 73 00 20 00 63 00 75 00 72 00 72 00 65 00 6E 00 74 00 6C 00 79 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111614_0 {
	meta:
		name = "TDtdValidationAgent.ValidateEntityRef"
		size = 361
		refs = "001a TDtdValidationAgent.ValidateEntityRef 0074 ET_WARNINGS 00d5 TDtdValidationAgent.DocumentIsStandalone 0154 @WStrClr 015a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 C6 00 01 8D 55 F0 8B 45 FC 8B 08 FF 51 74 8B 55 F0 8B C3 8B 08 FF 51 18 8B F0 85 F6 0F 84 B5 00 00 00 8B 45 F8 C6 00 01 53 8B 03 8B 40 34 50 8B C6 8B 10 FF 52 10 88 45 F7 80 7D F7 00 74 3A 0F B6 45 F7 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 72 06 8B 45 F8 C6 00 00 8B 45 FC 50 0F B6 55 F7 8B CE 8B C3 8B 38 FF 57 38 84 C0 75 0B 8B 45 08 C6 00 00 E9 A3 00 00 00 8B C6 8B 10 FF 52 0C 84 C0 75 21 8B 45 F8 C6 00 00 8B 45 FC 50 8B CE B2 5C 8B C3 8B 38 FF 57 38 84 C0 75 08 8B 45 08 C6 00 00 EB 77 80 7E 24 01 75 71 8B C3 E8 ?? ?? ?? ?? 84 C0 74 66 8B 45 F8 C6 00 00 8B 45 FC 50 8B CE B2 3C 8B C3 8B 18 FF 53 38 84 C0 75 4D 8B 45 08 C6 00 00 EB 45 8B 45 F8 C6 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 FC 50 33 C9 B2 68 8B C3 8B 18 FF 53 38 84 C0 75 21 8B 45 08 C6 00 00 EB 19 8B 45 FC 50 33 C9 B2 29 8B C3 8B 18 FF 53 38 84 C0 75 06 8B 45 08 C6 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_111615_0 {
	meta:
		name = "TDtdValidationAgent.ValidateNode"
		size = 491
		refs = "0023 _DV_TDomElement 0028 @IsClass 013a _DV_TDomAttr 0168 _DV_TDomEntityReference"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 88 4D F7 89 55 F8 89 45 FC 8B 5D 08 8B 75 0C C6 03 01 C6 06 01 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 01 01 00 00 53 8B CE 8B 55 F8 8B 45 FC 8B 38 FF 57 04 80 3B 00 0F 84 97 01 00 00 8D 45 EF 50 53 0F B6 4D F7 8B 55 F8 8B 45 FC 8B 38 FF 57 48 0F B6 06 22 45 EF 88 06 80 3B 00 0F 84 72 01 00 00 8B 45 F8 8B 10 FF 92 80 00 00 00 8B 10 FF 12 48 85 C0 7C 4A 40 89 45 E8 C7 45 F0 00 00 00 00 8D 45 EF 50 53 8B 45 F8 8B 10 FF 92 80 00 00 00 8B 55 F0 8B 08 FF 51 08 8B D0 0F B6 4D F7 8B 45 FC 8B 38 FF 57 50 0F B6 06 22 45 EF 88 06 80 3B 00 0F 84 1C 01 00 00 FF 45 F0 FF 4D E8 75 C1 8B 45 F8 8B 10 FF 92 88 00 00 00 8B 10 FF 12 48 85 C0 0F 8C FC 00 00 00 40 89 45 E8 C7 45 F0 00 00 00 00 8D 45 EF 50 53 8B 45 F8 8B 10 FF 92 88 00 00 00 8B 55 F0 8B 08 FF 51 08 8B D0 0F B6 4D F7 8B 45 FC 8B 38 FF 57 50 0F B6 06 22 45 EF 88 06 80 3B 00 0F 84 BA 00 00 00 FF 45 F0 FF 4D E8 75 C1 E9 AD 00 00 00 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 56 53 0F B6 4D F7 8B 55 F8 8B 45 FC 8B 30 FF 56 40 80 3B 00 0F 84 81 00 00 00 EB 7F 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6D 53 8B CE 8B 55 F8 8B 45 FC 8B 38 FF 57 4C 80 3B 00 74 5A 8B 45 F8 8B 10 FF 92 88 00 00 00 8B 10 FF 12 48 85 C0 7C 46 40 89 45 E8 C7 45 F0 00 00 00 00 8D 45 EF 50 53 8B 45 F8 8B 10 FF 92 88 00 00 00 8B 55 F0 8B 08 FF 51 08 8B D0 0F B6 4D F7 8B 45 FC 8B 38 FF 57 50 0F B6 06 22 45 EF 88 06 80 3B 00 74 08 FF 45 F0 FF 4D E8 75 C5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_111616_0 {
	meta:
		name = "TDtdObject.Create"
		size = 208
		refs = "000e @ClassCreate 001d TDtdObject.Create 0024 _Dn_EAccessViolation 0029 Exception.Create 002e @RaiseExcept 0037 TObject.Create 0049 @WStrAsg 0050 TDtdModel.GetNewKey 0061 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 08 00 89 77 0C 8D 47 04 8B 55 08 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 89 47 10 89 57 14 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 B0 04 02 00 FF FF FF FF 25 00 00 00 4F 00 77 00 6E 00 65 00 72 00 20 00 44 00 54 00 44 00 20 00 73 00 75 00 62 00 73 00 65 00 74 00 20 00 6D 00 6F 00 64 00 65 00 6C 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111618_0 {
	meta:
		name = "TDtdContentModel.Create"
		size = 176
		refs = "000f @ClassCreate 002e TDtdObject.Create 0053 TDtdContentModel.Create 007b _DV_TDtdObjectList 0080 TDtdObjectList.Create 0090 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B F0 8B 5D 08 80 FB 01 75 12 8B 45 0C 50 8B 4F 0C 33 D2 8B C6 E8 ?? ?? ?? ?? EB 0E 6A 00 8B 4F 0C 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C3 2C 01 72 14 74 06 FE C8 74 0E EB 16 0F B6 05 ?? ?? ?? ?? 88 46 18 EB 0A 0F B6 05 ?? ?? ?? ?? 88 46 18 88 5E 19 C6 46 1A 00 C6 46 1B 00 C6 46 08 03 89 7E 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 5D C2 08 00 00 00 00 00 07 00 00 00 }
	condition:
		$1
}

rule function_111619_0 {
	meta:
		name = "TDtdContentModel.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 000f TObject.Free 001a TObject.Destroy 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 20 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111620_0 {
	meta:
		name = "TDtdContentModel.AppendSubModel"
		size = 132
		refs = "000d TDtdContentModel.AppendSubModel 0014 _DV_EInuse_Err 0019 Exception.Create 001e @RaiseExcept 002d _DV_TDtdContentModel 0032 @AsClass"
	strings:
		$1 = { 53 56 8B DA 8B F0 80 7B 1B 00 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 46 20 8B 08 FF 11 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 1B 01 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 20 00 6D 00 6F 00 64 00 65 00 6C 00 20 00 69 00 6E 00 20 00 75 00 73 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111621_0 {
	meta:
		name = "TDtdContentModel.InsertBeforeSubModel"
		size = 136
		refs = "0010 TDtdContentModel.InsertBeforeSubModel 0017 _DV_EInuse_Err 001c Exception.Create 0021 @RaiseExcept 0033 _DV_TDtdContentModel 0038 @AsClass"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 80 7B 1B 00 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B CF 8B D3 8B 46 20 8B 30 FF 56 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 43 1B 01 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 1B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 20 00 6D 00 6F 00 64 00 65 00 6C 00 20 00 69 00 6E 00 20 00 75 00 73 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111622_0 {
	meta:
		name = "TDtdContentModel.RemoveSubModel"
		size = 128
		refs = "0014 TDtdContentModel.RemoveSubModel 001b _DV_ENot_Found_Err 0020 Exception.Create 0025 @RaiseExcept 0035 _DV_TDtdContentModel 003a @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 20 8B 08 FF 51 08 40 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 20 8B 08 FF 51 14 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 46 1B 00 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 4E 00 6F 00 64 00 65 00 20 00 6E 00 6F 00 74 00 20 00 66 00 6F 00 75 00 6E 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111623_0 {
	meta:
		name = "TDtdContentModel.ValidateChoiceNames"
		size = 245
		refs = "0060 _DV_TDtdContentModel 0065 @AsClass"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 75 08 C6 06 00 C6 45 F3 00 8B 45 F4 8B 00 89 45 E0 C6 45 EB 00 33 C0 89 45 E4 8B 45 FC 8B 40 20 8B 10 FF 52 10 8B D8 4B 85 DB 7C 68 43 C7 45 EC 00 00 00 00 8B 45 F4 8B 00 89 45 DC 56 8B 45 FC 8B 40 20 8B 55 EC 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D DC 8B 55 F8 8B 38 FF 57 10 84 C0 74 24 C6 45 EB 01 8B 45 F4 8B 00 3B 45 DC 74 1B FF 45 E4 83 7D E4 01 7E 05 C6 06 01 EB 13 8B 45 DC 89 45 E0 EB 05 80 3E 00 75 06 FF 45 EC 4B 75 A0 0F B6 45 0C 2C 01 72 04 74 1C EB 2C 80 7D EB 00 74 0E 8B 45 F4 8B 55 E0 89 10 C6 45 F3 01 EB 18 C6 45 F3 00 EB 12 80 7D EB 00 74 08 8B 45 F4 8B 55 E0 89 10 C6 45 F3 01 80 3E 00 74 04 C6 45 F3 00 0F B6 45 F3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_111624_0 {
	meta:
		name = "TDtdContentModel.ValidateElementNames"
		size = 219
		refs = "001e TDtdContentModel.ValidateElementNames 0068 @WStrEqual 00c4 @WStrArrayClr 00ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 C6 00 00 33 DB 0F B6 45 0C 2C 01 72 04 74 3E EB 72 8B 45 F8 8B 10 FF 52 1C 3B 06 74 66 8D 4D F4 8B 16 8B 45 F8 8B 18 FF 53 14 8B 45 F4 50 8D 55 F0 8B 45 FC 8B 08 FF 11 8B 55 F0 58 E8 ?? ?? ?? ?? 75 06 FF 06 B3 01 EB 3A 33 DB EB 36 B3 01 8B 45 F8 8B 10 FF 52 1C 3B 06 74 28 8D 4D EC 8B 16 8B 45 F8 8B 38 FF 57 14 8B 45 EC 50 8D 55 E8 8B 45 FC 8B 08 FF 11 8B 55 E8 58 E8 ?? ?? ?? ?? 75 02 FF 06 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_111625_0 {
	meta:
		name = "TDtdContentModel.ValidateNames2"
		size = 85
	strings:
		$1 = { 55 8B EC 53 56 8B F0 0F B6 46 19 2C 01 72 08 74 18 FE C8 74 26 EB 36 0F B6 45 0C 50 8B 45 08 50 8B C6 8B 18 FF 53 04 EB 26 0F B6 45 0C 50 8B 45 08 50 8B C6 8B 18 FF 53 08 EB 14 0F B6 45 0C 50 8B 45 08 50 8B C6 8B 18 FF 53 14 EB 02 B0 01 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_111626_0 {
	meta:
		name = "TDtdContentModel.ValidateNames"
		size = 302
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 4D F8 89 55 FC 8B D8 8B 75 08 C6 45 F7 00 C6 06 00 0F B6 43 1A 2C 01 72 13 74 29 FE C8 74 3D FE C8 0F 84 91 00 00 00 E9 E2 00 00 00 6A 00 56 8B 4D F8 8B 55 FC 8B C3 8B 18 FF 53 0C 88 45 F7 E9 CA 00 00 00 6A 01 56 8B 4D F8 8B 55 FC 8B C3 8B 18 FF 53 0C 88 45 F7 E9 B2 00 00 00 6A 00 56 8B 4D F8 8B 55 FC 8B C3 8B 38 FF 57 0C 88 45 F7 80 7D F7 00 0F 84 95 00 00 00 8B 45 F8 8B 00 89 45 F0 EB 26 6A 00 56 8D 4D F0 8B 55 FC 8B C3 8B 38 FF 57 0C 84 C0 74 77 8B 45 F8 8B 00 3B 45 F0 74 6D 8B 45 F8 8B 55 F0 89 10 8B 45 FC 8B 10 FF 52 1C 3B 45 F0 7F CD EB 56 6A 01 56 8B 4D F8 8B 55 FC 8B C3 8B 38 FF 57 0C 88 45 F7 80 7D F7 00 74 3D 8B 45 F8 8B 00 89 45 F0 EB 26 6A 00 56 8D 4D F0 8B 55 FC 8B C3 8B 38 FF 57 0C 84 C0 74 1F 8B 45 F8 8B 00 3B 45 F0 74 15 8B 45 F8 8B 55 F0 89 10 8B 45 FC 8B 10 FF 52 1C 3B 45 F0 7F CD 80 3E 00 74 04 C6 45 F7 00 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_111627_0 {
	meta:
		name = "TDtdContentModel.ValidateSequenceNames"
		size = 191
		refs = "0053 _DV_TDtdContentModel 0058 @AsClass"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 4D F4 89 55 F8 89 45 FC 8B 45 08 C6 00 00 C6 45 F3 00 8B 45 F4 8B 00 89 45 E8 33 DB 8B 45 FC 8B 40 20 8B 10 FF 52 10 8B F0 4E 85 F6 7C 3C 46 C7 45 EC 00 00 00 00 8B 45 08 50 8B 45 FC 8B 40 20 8B 55 EC 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E8 8B 55 F8 8B 18 FF 53 10 8B D8 84 DB 74 06 FF 45 EC 4E 75 CC 0F B6 45 0C 2C 01 72 04 74 1A EB 28 84 DB 74 0E 8B 45 F4 8B 55 E8 89 10 C6 45 F3 01 EB 16 C6 45 F3 00 EB 10 84 DB 74 08 8B 45 F4 8B 55 E8 89 10 C6 45 F3 01 8B 45 08 80 38 00 74 04 C6 45 F3 00 0F B6 45 F3 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_111628_0 {
	meta:
		name = "TDtdAttDeclCollection.Create"
		size = 192
		refs = "000f @ClassCreate 0020 IsXmlName 0029 TDtdAttDeclCollection.Create 0030 _DV_EInvalid_Character_Err 0035 Exception.Create 003a @RaiseExcept 0046 TDtdObject.Create 0053 _DV_TDtdNamedObjectMap 0058 TDtdNamedObjectMap.Create 0068 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 08 8B C7 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 57 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 08 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 68 00 61 00 72 00 61 00 63 00 74 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111629_0 {
	meta:
		name = "TDtdAttDeclCollection.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 0016 TObject.Free 0021 TObject.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 04 8B 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111630_0 {
	meta:
		name = "TDtdAttDeclCollection.Clear"
		size = 53
		refs = "0021 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 18 8B 10 FF 12 8B D8 4B 85 DB 7C 16 43 33 F6 8B 47 18 8B D6 8B 08 FF 51 14 E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 18 8B 10 FF 52 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111631_0 {
	meta:
		name = "TDtdAttDeclCollection.FindAttributeDecl"
		size = 30
		refs = "0012 _DV_TDtdAttributeDecl 0017 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 18 8B 08 FF 51 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111632_0 {
	meta:
		name = "TDtdAttDeclCollection.RemoveAttributeDecl"
		size = 50
		refs = "0024 TObject.Free"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B 43 18 8B 08 FF 51 10 8B F0 85 F6 74 15 8B D7 8B 43 18 8B 08 FF 51 04 8B C6 E8 ?? ?? ?? ?? B0 01 EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111633_0 {
	meta:
		name = "TDtdAttDeclCollection.SetAttributeDecl"
		size = 97
		refs = "0042 _DV_TDtdAttributeDecl 0047 TDtdAttributeDecl.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B D7 8B C3 8B 08 FF 51 08 89 06 83 3E 00 74 04 33 C0 EB 34 57 8B 45 FC 50 8B 45 18 50 0F B6 45 14 50 0F B6 45 10 50 0F B6 45 0C 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 06 8B 16 8B 43 18 8B 08 FF 51 08 B0 01 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_111634_0 {
	meta:
		name = "TDtdAttributeDecl.Create"
		size = 240
		refs = "000f @ClassCreate 0020 IsXmlName 0029 TDtdAttributeDecl.Create 0030 _DV_EInvalid_Character_Err 0035 Exception.Create 003a @RaiseExcept 0047 TDtdObject.Create 005d @WStrAsg 006e _Dn_TUtilsWideStringList 0073 TObject.Create 0096 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 1C 8B C7 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 57 8B 4E 0C 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 08 02 0F B6 45 10 88 43 18 8D 43 1C 8B 55 18 E8 ?? ?? ?? ?? 0F B6 45 0C 88 43 20 89 73 2C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 24 8B C6 8B 55 14 8B 08 FF 51 08 0F B6 45 08 88 43 28 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 18 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 68 00 61 00 72 00 61 00 63 00 74 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111636_0 {
	meta:
		name = "TDtdEntityDecl.Create"
		size = 312
		refs = "000f @ClassCreate 0020 IsXmlName 0029 TDtdEntityDecl.Create 0030 _DV_EInvalid_Character_Err 0035 Exception.Create 003a @RaiseExcept 0046 TDtdObject.Create 0055 @WStrAsg 007d _Dn_TUtilsWideStringList 0082 TObject.Create 0092 TDtdEntityDecl.GetEntityType 00a0 TDtdEntityDecl.SetReplacementText 00b5 @WStrClr 00de @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F8 8B 75 20 8B C6 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B CB 33 D2 8B C7 E8 ?? ?? ?? ?? C6 47 08 05 8D 47 28 8B 55 18 E8 ?? ?? ?? ?? 8D 47 30 8B 55 14 E8 ?? ?? ?? ?? 8D 47 20 8B 55 10 E8 ?? ?? ?? ?? 8D 47 18 8B 55 0C E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 1C C6 46 0C 00 8B C7 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 55 1C 8B C7 E8 ?? ?? ?? ?? EB 28 8B C7 E8 ?? ?? ?? ?? 3C 01 75 0E 8D 47 2C E8 ?? ?? ?? ?? C6 47 34 00 EB 0F 8D 47 2C 8B 55 1C E8 ?? ?? ?? ?? C6 47 34 01 0F B6 45 08 88 47 24 8B C7 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 1C 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 68 00 61 00 72 00 61 00 63 00 74 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111639_0 {
	meta:
		name = "TDtdEntityDecl.CheckNoRecursion_2"
		size = 328
		refs = "001c TDtdEntityDecl.CheckNoRecursion_2 0040 _Dn_TUtilsWideStringList 0045 TObject.Create 00b9 @TryFinallyExit 0110 TObject.Free 0116 @HandleFinally 0132 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 C9 89 4D E0 89 4D E4 89 4D E8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 8B 45 FC 8B 40 1C 8B 10 FF 52 1C 85 C0 0F 8E DF 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 0A 8B D3 8B 45 F4 8B 08 FF 51 08 8D 55 E8 8B 45 FC 8B 08 FF 11 8B 55 E8 8B 45 F4 8B 08 FF 51 34 8B 45 FC 8B 40 1C 89 45 F0 8B 45 F0 8B 10 FF 52 1C 48 85 C0 7C 6C 40 89 45 EC 33 DB 8D 4D E4 8B D3 8B 45 F0 8B 30 FF 56 14 8B 55 E4 8B 45 F4 8B 08 FF 51 5C 40 74 0B C6 45 FB 00 E8 ?? ?? ?? ?? EB 5D 8D 4D E0 8B D3 8B 45 F0 8B 30 FF 56 14 8B 55 E0 8B 45 FC 8B 40 0C 8B 08 FF 51 18 8B F0 85 F6 74 19 8B 55 F4 8B C6 8B 08 FF 51 04 84 C0 75 0B C6 45 FB 00 E8 ?? ?? ?? ?? EB 23 43 FF 4D EC 75 9A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111640_0 {
	meta:
		name = "TDtdEntityDecl.GetEntityType"
		size = 124
		refs = "000c TDtdEntityDecl.GetEntityType 001c @WStrEqual 0047 IsXmlPredefinedEntityName 006a @WStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 28 33 D2 E8 ?? ?? ?? ?? 75 35 8B 43 30 33 D2 E8 ?? ?? ?? ?? 75 29 8B 43 20 33 D2 E8 ?? ?? ?? ?? 75 1D 8D 55 FC 8B C3 8B 08 FF 11 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 04 B3 02 EB 06 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_111641_0 {
	meta:
		name = "TDtdEntityDecl.GetIsParsedEntity"
		size = 18
		refs = "0009 @WStrEqual"
	strings:
		$1 = { 53 8B D8 8B 43 20 33 D2 E8 ?? ?? ?? ?? 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_111642_0 {
	meta:
		name = "TDtdEntityDecl.ResolveReplacementText"
		size = 170
		refs = "0012 TDtdEntityDecl.ResolveReplacementText 0023 TDtdEntityDecl.GetEntityType 0048 @WStrClr 006c ET_WARNINGS 0078 TDtdEntityDecl.SetReplacementText 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B C3 E8 ?? ?? ?? ?? 3C 01 75 57 80 7B 34 00 75 51 8B C3 8B 10 FF 52 08 84 C0 74 42 8B 43 28 50 8B 43 30 50 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 FB 50 0F B6 53 24 8B 4B 18 8B 45 0C FF 55 08 0F B6 45 FB 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 10 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 04 C6 45 FB 5D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111643_0 {
	meta:
		name = "TDtdEntityDecl.SetReplacementText"
		size = 197
		refs = "0015 TDtdEntityDecl.SetReplacementText 0025 @WStrAsg 003a _DV_TXmlAttrValueTokenizer 003f TXmlAttrValueTokenizer.Create 0096 TObject.Free 009c @HandleFinally 00b3 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 2C 8B D6 E8 ?? ?? ?? ?? C6 43 34 01 8B 43 1C 8B 10 FF 52 48 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 26 8B 45 FC 8B 10 FF 52 04 8B 45 FC 80 78 10 02 75 15 8D 55 F8 8B 45 FC 8B 08 FF 11 8B 55 F8 8B 43 1C 8B 08 FF 51 34 8B 45 FC 80 78 10 01 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111644_0 {
	meta:
		name = "TDtdNotationDecl.Create"
		size = 280
		refs = "0011 @ClassCreate 0026 IsXmlName 002f TDtdNotationDecl.Create 0036 _DV_EInvalid_Character_Err 003b Exception.Create 0040 @RaiseExcept 0047 IsXmlPubidChars 0069 IsXmlSystemChars 0090 TDtdObject.Create 009e @WStrAsg 00bd @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 8B 7D 10 8B 75 14 8B C6 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 08 06 8D 43 1C 8B D7 E8 ?? ?? ?? ?? 8D 43 20 8B 55 0C E8 ?? ?? ?? ?? 0F B6 45 08 88 43 18 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 10 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 68 00 61 00 72 00 61 00 63 00 74 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111645_0 {
	meta:
		name = "TDtdElementDecl.Create"
		size = 244
		refs = "000f @ClassCreate 0020 IsXmlName 0029 TDtdElementDecl.Create 0030 _DV_EInvalid_Character_Err 0035 Exception.Create 003a @RaiseExcept 0046 TDtdObject.Create 0074 _DV_TDtdObjectList 0079 TDtdObjectList.Create 0094 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 10 8B C6 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B CF 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B6 45 0C 88 43 20 2C 02 72 06 2C 03 72 0E EB 16 0F B6 05 ?? ?? ?? ?? 88 43 19 EB 0A 0F B6 05 ?? ?? ?? ?? 88 43 19 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 24 C6 43 08 04 0F B6 45 08 88 43 18 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 0C 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 68 00 61 00 72 00 61 00 63 00 74 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 00 00 00 00 05 00 00 00 }
	condition:
		$1
}

rule function_111646_0 {
	meta:
		name = "TDtdElementDecl.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 0016 TObject.Free 0021 TObject.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 04 8B 46 24 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111647_0 {
	meta:
		name = "TDtdElementDecl.Clear"
		size = 59
		refs = "0022 TObject.Free 002e TDtdObjectList.Clear"
	strings:
		$1 = { 53 56 57 8B F0 8B 46 24 8B 10 FF 52 10 8B D8 4B 85 DB 7C 16 43 33 FF 8B D7 8B 46 24 8B 08 FF 51 18 E8 ?? ?? ?? ?? 47 4B 75 ED 8B 46 24 E8 ?? ?? ?? ?? 33 C0 89 46 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111648_0 {
	meta:
		name = "TDtdElementDecl.CreateContentModel"
		size = 36
		refs = "0007 _DV_TDtdContentModel 0010 TDtdContentModel.Create"
	strings:
		$1 = { 53 56 8B D8 52 51 A1 ?? ?? ?? ?? B2 01 8B CB E8 ?? ?? ?? ?? 8B F0 8B D6 8B 43 24 8B 08 FF 11 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_111649_0 {
	meta:
		name = "TDtdElementDecl.FreeAndNilContentModel"
		size = 200
		refs = "0011 TDtdElementDecl.FreeAndNilContentModel 0018 _DV_EInuse_Err 001d Exception.Create 0022 @RaiseExcept 0040 _DV_TDtdContentModel 0045 @AsClass 0076 TObject.Free"
	strings:
		$1 = { 53 56 57 51 8B F2 8B F8 8B 06 80 78 1B 00 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 8B 58 20 EB 31 8B C3 8B 10 FF 52 10 8B D0 4A 8B C3 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 06 8B 08 FF 51 20 89 04 24 8B D4 8B C7 8B 08 FF 51 0C 8B C3 8B 10 FF 52 10 85 C0 7F C4 8B 16 8B 47 24 8B 08 FF 51 14 8B 06 E8 ?? ?? ?? ?? 33 C0 89 06 5A 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 20 00 6D 00 6F 00 64 00 65 00 6C 00 20 00 69 00 6E 00 20 00 75 00 73 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111650_0 {
	meta:
		name = "TDtdElementDecl.ReplaceContentModel"
		size = 384
		refs = "0017 TDtdElementDecl.ReplaceContentModel 001e _DV_ENot_Supported_Err 0023 Exception.Create 0028 @RaiseExcept 0065 _DV_EInuse_Err"
	strings:
		$1 = { 53 3B 50 1C 75 04 8B CA EB 7E 85 D2 74 69 8B 4A 0C 3B 48 0C 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 4A 19 80 F9 07 77 0A 83 E1 7F 0F B6 58 19 0F A3 CB 72 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7A 1B 00 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 42 1B 01 8B 48 1C 85 C9 74 04 C6 41 1B 00 8B 48 1C 89 50 1C 8B C1 5B C3 B0 04 02 00 FF FF FF FF 35 00 00 00 4E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 3A 00 20 00 57 00 72 00 6F 00 6E 00 67 00 20 00 6F 00 77 00 6E 00 65 00 72 00 20 00 65 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 20 00 64 00 65 00 63 00 6C 00 61 00 72 00 61 00 74 00 69 00 6F 00 6E 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 20 00 6D 00 6F 00 64 00 65 00 6C 00 20 00 69 00 6E 00 20 00 75 00 73 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111651_0 {
	meta:
		name = "TDtdModel.Create"
		size = 142
		refs = "000a @ClassCreate 0017 TObject.Create 002e _DV_TDtdNamedObjectMap 0033 TDtdNamedObjectMap.Create 0070 TDtdModel.SetDefaults 007b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C7 46 10 00 00 00 00 C7 46 14 00 00 00 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 1C 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 20 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 28 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_111652_0 {
	meta:
		name = "TDtdModel.Destroy"
		size = 74
		refs = "0003 @BeforeDestruction 0015 TObject.Free 0038 TObject.Destroy 0043 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 12 8B 46 1C E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 8B 46 24 E8 ?? ?? ?? ?? 8B 46 28 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111653_0 {
	meta:
		name = "TDtdModel.Clear"
		size = 18
		refs = "000c TDtdModel.SetDefaults"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 12 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_111654_0 {
	meta:
		name = "TDtdModel.ClearMaps"
		size = 185
		refs = "0021 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 1C 8B 10 FF 12 8B D8 4B 85 DB 7C 16 43 33 F6 8B 47 1C 8B D6 8B 08 FF 51 14 E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 1C 8B 10 FF 52 0C 8B 47 20 8B 10 FF 12 8B D8 4B 85 DB 7C 16 43 33 F6 8B 47 20 8B D6 8B 08 FF 51 14 E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 20 8B 10 FF 52 0C 8B 47 24 8B 10 FF 12 8B D8 4B 85 DB 7C 16 43 33 F6 8B 47 24 8B D6 8B 08 FF 51 14 E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 24 8B 10 FF 52 0C 8B 47 28 8B 10 FF 12 8B D8 4B 85 DB 7C 16 43 33 F6 8B 47 28 8B D6 8B 08 FF 51 14 E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 28 8B 10 FF 52 0C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111655_0 {
	meta:
		name = "TDtdModel.FindAttDeclCollection"
		size = 30
		refs = "0012 _DV_TDtdAttDeclCollection 0017 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 1C 8B 08 FF 51 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111656_0 {
	meta:
		name = "TDtdModel.FindAttributeDecl"
		size = 25
	strings:
		$1 = { 56 8B F1 8B 08 FF 51 0C 85 C0 74 09 8B D6 8B 08 FF 51 08 5E C3 33 C0 5E C3 }
	condition:
		$1
}

rule function_111657_0 {
	meta:
		name = "TDtdModel.FindElementDecl"
		size = 30
		refs = "0012 _DV_TDtdElementDecl 0017 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 20 8B 08 FF 51 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111658_0 {
	meta:
		name = "TDtdModel.FindEntityDecl"
		size = 30
		refs = "0012 _DV_TDtdEntityDecl 0017 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 24 8B 08 FF 51 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111659_0 {
	meta:
		name = "TDtdModel.FindNotationDecl"
		size = 30
		refs = "0012 _DV_TDtdNotationDecl 0017 @AsClass"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 28 8B 08 FF 51 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111660_0 {
	meta:
		name = "TDtdModel.GetNewKey"
		size = 36
	strings:
		$1 = { 83 C4 F8 8B C8 83 41 10 01 83 51 14 00 8B 41 10 89 04 24 8B 41 14 89 44 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_111661_0 {
	meta:
		name = "TDtdModel.RemoveAttributeDecl"
		size = 83
		refs = "0040 TObject.Free"
	strings:
		$1 = { 53 56 57 55 8B D9 8B FA 8B F0 8B D7 8B C6 8B 08 FF 51 0C 8B E8 85 ED 74 31 8B D3 8B C5 8B 08 FF 51 0C 84 C0 74 20 B3 01 8B 45 18 8B 10 FF 12 85 C0 75 0A 8B D7 8B 46 1C 8B 08 FF 51 04 8B C5 E8 ?? ?? ?? ?? EB 06 33 DB EB 02 33 DB 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111662_0 {
	meta:
		name = "TDtdModel.RemoveElementDecl"
		size = 50
		refs = "0024 TObject.Free"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B 43 20 8B 08 FF 51 10 8B F0 85 F6 74 15 8B D7 8B 43 20 8B 08 FF 51 04 8B C6 E8 ?? ?? ?? ?? B0 01 EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111663_0 {
	meta:
		name = "TDtdModel.RemoveEntityDecl"
		size = 71
		refs = "0013 _DV_TDtdEntityDecl 0018 @AsClass 0035 TObject.Free"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B 46 24 8B 08 FF 51 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 74 1F 80 7B 24 02 74 15 8B D7 8B 46 24 8B 08 FF 51 04 8B C3 E8 ?? ?? ?? ?? B0 01 EB 06 33 C0 EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111664_0 {
	meta:
		name = "TDtdModel.RemoveNotationDecl"
		size = 50
		refs = "0024 TObject.Free"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B D7 8B 43 28 8B 08 FF 51 10 8B F0 85 F6 74 15 8B D7 8B 43 28 8B 08 FF 51 04 8B C6 E8 ?? ?? ?? ?? B0 01 EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111665_0 {
	meta:
		name = "TDtdModel.SetAttributeDecl"
		size = 100
		refs = "0023 _DV_TDtdAttDeclCollection 0028 TDtdAttDeclCollection.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B D7 8B C6 8B 08 FF 51 0C 8B D8 85 DB 75 1B 57 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D3 8B 46 1C 8B 08 FF 51 08 8B 45 18 50 0F B6 45 14 50 0F B6 45 10 50 0F B6 45 0C 50 8B 45 08 50 8B 4D 1C 8B 55 FC 8B C3 8B 18 FF 53 10 5F 5E 5B 59 5D C2 18 00 }
	condition:
		$1
}

rule function_111666_0 {
	meta:
		name = "TDtdModel.SetElementDecl"
		size = 84
		refs = "0035 _DV_TDtdElementDecl 003a TDtdElementDecl.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 57 88 4D FF 8B FA 8B D8 8B 75 08 8B D7 8B C3 8B 08 FF 51 14 89 06 83 3E 00 74 04 33 C0 EB 27 57 0F B6 45 FF 50 0F B6 45 0C 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 06 8B 16 8B 43 20 8B 08 FF 51 08 B0 01 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111667_0 {
	meta:
		name = "TDtdModel.SetEntityDecl"
		size = 264
		refs = "001e TDtdModel.SetEntityDecl 0025 _DV_ENot_Supported_Err 002a Exception.Create 002f @RaiseExcept 0066 _DV_TDtdEntityDecl 006b TDtdEntityDecl.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 80 7D 0C 02 75 1C 80 7B 1A 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B C3 8B 08 FF 51 18 89 06 83 3E 00 74 04 33 C0 EB 36 57 8B 45 FC 50 8B 45 1C 50 8B 45 18 50 8B 45 14 50 8B 45 10 50 0F B6 45 0C 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 06 8B 16 8B 43 24 8B 08 FF 51 08 B0 01 5F 5E 5B 59 5D C2 18 00 00 00 00 B0 04 02 00 FF FF FF FF 38 00 00 00 53 00 65 00 74 00 74 00 69 00 6E 00 67 00 20 00 6F 00 66 00 20 00 70 00 72 00 65 00 64 00 65 00 66 00 69 00 6E 00 65 00 64 00 20 00 65 00 6E 00 74 00 69 00 74 00 79 00 20 00 64 00 65 00 63 00 6C 00 61 00 72 00 61 00 74 00 69 00 6F 00 6E 00 73 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111668_0 {
	meta:
		name = "TDtdModel.SetNotationDecl"
		size = 87
		refs = "0038 _DV_TDtdNotationDecl 003d TDtdNotationDecl.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B D7 8B C3 8B 08 FF 51 1C 89 06 83 3E 00 74 04 33 C0 EB 2A 57 8B 45 FC 50 8B 45 10 50 0F B6 45 0C 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 06 8B 16 8B 43 28 8B 08 FF 51 08 B0 01 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_111669_0 {
	meta:
		name = "TDtdModel.SetDefaults"
		size = 364
		refs = "0015 TDtdModel.SetDefaults 00e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 45 FC 8B 45 FC C6 40 1A 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 18 00 8B 45 FC C6 40 19 00 6A 00 6A 00 6A 00 6A 00 6A 02 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 38 6A 00 6A 00 6A 00 6A 00 6A 02 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 38 6A 00 6A 00 6A 00 6A 00 6A 02 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 38 6A 00 6A 00 6A 00 6A 00 6A 02 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 38 6A 00 6A 00 6A 00 6A 00 6A 02 8D 45 F8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 1A 00 C3 E9 ?? ?? ?? ?? EB F1 5B 59 59 5D C3 00 00 0A 00 00 00 26 00 23 00 36 00 30 00 3B 00 00 00 04 00 00 00 6C 00 74 00 00 00 00 00 02 00 00 00 3E 00 00 00 04 00 00 00 67 00 74 00 00 00 00 00 0A 00 00 00 26 00 23 00 33 00 38 00 3B 00 00 00 06 00 00 00 61 00 6D 00 70 00 00 00 02 00 00 00 27 00 00 00 08 00 00 00 61 00 70 00 6F 00 73 00 00 00 00 00 02 00 00 00 22 00 00 00 08 00 00 00 71 00 75 00 6F 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_111671_0 {
	meta:
		name = "TXmlSourceCode.CalculatePieceOffset"
		size = 152
		refs = "0025 TList.Get 0030 TXmlSourceCode.Pack"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 3B 73 08 0F 8D 82 00 00 00 85 F6 7C 7E 85 F6 75 04 33 ED EB 37 8B FE 4F 8B D7 8B C3 E8 ?? ?? ?? ?? 85 C0 75 09 8B C3 E8 ?? ?? ?? ?? EB 5D 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 42 08 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B 6A 0C 03 E8 8B 7B 08 4F 2B FE 7C 37 47 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 75 09 8B C3 E8 ?? ?? ?? ?? EB 20 8B D6 8B C3 E8 ?? ?? ?? ?? 89 68 0C 8B 40 08 85 C0 74 07 83 E8 04 8B 00 D1 E8 03 E8 46 4F 75 CA 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111672_0 {
	meta:
		name = "TXmlSourceCode.GetNameOfFirstTag"
		size = 251
		refs = "0018 TXmlSourceCode.GetNameOfFirstTag 0026 @WStrClr 0042 TList.Get 00a3 IsXmlWhiteSpace 00b7 @WStrFromWChar 00c2 @WStrCat 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 78 08 4F 85 FF 0F 8C 9E 00 00 00 47 33 DB 8B D3 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 84 81 00 00 00 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B F0 0F B6 46 04 3C 05 74 04 3C 07 75 69 3C 05 75 13 8B 46 08 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F8 4F EB 13 8B 46 08 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F8 83 EF 02 BB 01 00 00 00 3B FB 7E 3E 43 8B 46 08 0F B7 44 58 FE E8 ?? ?? ?? ?? 84 C0 75 2C 8D 45 F4 8B 56 08 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 3B FB 7F CC EB 08 43 4F 0F 85 65 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111673_0 {
	meta:
		name = "TXmlSourceCode.GetText"
		size = 137
		refs = "0011 _Dn_TUtilsCustomWideStr 0016 TUtilsCustomWideStr.Create 0021 TXmlSourceCode.GetText 0047 TList.Get 0076 TObject.Free 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 BA EF FF 8B 45 F8 8B 08 FF 51 0C 8B 5F 08 4B 85 DB 7C 1B 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 50 08 8B 45 F8 8B 08 FF 51 10 46 4B 75 E8 8B 55 FC 8B 45 F8 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111674_0 {
	meta:
		name = "TXmlSourceCode.Add"
		size = 216
		refs = "0019 TXmlSourceCode.Add 0036 TList.Add 0041 TXmlSourceCode.CalculatePieceOffset"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 74 1A 83 7E 10 00 75 05 89 5E 10 EB 1C 83 C9 FF BA ?? ?? ?? ?? 8B 03 FF 50 0C EB 0D 83 C9 FF BA ?? ?? ?? ?? 8B 03 FF 50 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 49 00 6E 00 75 00 73 00 65 00 20 00 73 00 6F 00 75 00 72 00 63 00 65 00 20 00 63 00 6F 00 64 00 65 00 20 00 70 00 69 00 65 00 63 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 74 00 65 00 6D 00 20 00 6E 00 6F 00 74 00 20 00 41 00 73 00 73 00 69 00 67 00 6E 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111675_0 {
	meta:
		name = "TXmlSourceCode.Clear"
		size = 63
		refs = "0015 TList.Get 0037 TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 77 08 4E 85 F6 7C 27 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 85 C0 74 13 8B D3 8B C7 E8 ?? ?? ?? ?? 33 D2 89 50 0C 33 D2 89 50 10 43 4E 75 DC 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111676_0 {
	meta:
		name = "TXmlSourceCode.ClearAndFree"
		size = 58
		refs = "0015 TList.Get 0027 TObject.Free 0032 TList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 77 08 4E 85 F6 7C 22 46 33 DB 8B D3 8B C7 E8 ?? ?? ?? ?? 85 C0 74 0E 8B D3 8B C7 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 E1 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111677_0 {
	meta:
		name = "TXmlSourceCode.Delete"
		size = 59
		refs = "000b TList.Get 002b TList.Delete 0034 TXmlSourceCode.CalculatePieceOffset"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 13 8B D6 8B C3 E8 ?? ?? ?? ?? 33 D2 89 50 0C 33 D2 89 50 10 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111678_0 {
	meta:
		name = "TXmlSourceCode.Exchange"
		size = 61
		refs = "001c MinIntValue 0029 TList.Exchange 0032 TXmlSourceCode.CalculatePieceOffset"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F9 8B F2 8B D8 89 34 24 89 7C 24 04 8B C4 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B E8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D5 8B C3 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111681_0 {
	meta:
		name = "TXmlSourceCode.Move"
		size = 61
		refs = "001c MinIntValue 0029 TList.Move 0032 TXmlSourceCode.CalculatePieceOffset"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B F9 8B F2 8B D8 89 34 24 89 7C 24 04 8B C4 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B E8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D5 8B C3 E8 ?? ?? ?? ?? 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111679_0 {
	meta:
		name = "TXmlSourceCode.GetPieceAtPos"
		size = 123
		refs = "0023 TList.Get 002e TXmlSourceCode.Pack 0037 TXmlSourceCode.GetPieceAtPos"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B D8 33 C0 89 04 24 83 FD 01 7C 5F 8B 7B 08 4F 85 FF 7C 57 47 33 F6 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 75 15 8B C3 E8 ?? ?? ?? ?? 8B D5 8B C3 E8 ?? ?? ?? ?? 89 04 24 EB 2E 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 42 08 85 C0 74 07 83 E8 04 8B 00 D1 E8 03 42 0C 3B E8 7F 0E 8B D6 8B C3 E8 ?? ?? ?? ?? 89 04 24 EB 04 46 4F 75 AC 8B 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111680_0 {
	meta:
		name = "TXmlSourceCode.Insert"
		size = 216
		refs = "001c TXmlSourceCode.Insert 003b TList.Insert 0044 TXmlSourceCode.CalculatePieceOffset"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 85 F6 74 1A 83 7E 10 00 75 05 89 5E 10 EB 1C 83 C9 FF BA ?? ?? ?? ?? 8B 03 FF 50 0C EB 0D 83 C9 FF BA ?? ?? ?? ?? 8B 03 FF 50 0C 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 1E 00 00 00 49 00 6E 00 75 00 73 00 65 00 20 00 73 00 6F 00 75 00 72 00 63 00 65 00 20 00 63 00 6F 00 64 00 65 00 20 00 70 00 69 00 65 00 63 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 74 00 65 00 6D 00 20 00 6E 00 6F 00 74 00 20 00 41 00 73 00 73 00 69 00 67 00 6E 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111683_0 {
	meta:
		name = "TXmlSourceCode.Remove"
		size = 71
		refs = "000d TList.IndexOf 001a TList.RemoveItem 0025 TList.Get 003c TXmlSourceCode.CalculatePieceOffset"
	strings:
		$1 = { 53 56 57 55 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 8B D6 33 C9 E8 ?? ?? ?? ?? 8B E8 8B D7 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0A 33 C0 89 46 0C 33 C0 89 46 10 8B D7 8B C3 E8 ?? ?? ?? ?? 8B C5 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111685_0 {
	meta:
		name = "TXmlSourceCodePiece.Create"
		size = 85
		refs = "000e @ClassCreate 001e TObject.Create 0029 @WStrClr 0040 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 04 8D 46 08 E8 ?? ?? ?? ?? 33 C0 89 46 0C 33 C0 89 46 10 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_111686_0 {
	meta:
		name = "TStandardResourceResolver.AcquireStreamFromUri"
		size = 584
		refs = "0014 TStandardResourceResolver.AcquireStreamFromUri 0021 _Dn_TUriWideStrAnalyzer 0026 TUriWideStrAnalyzer.Create 0063 _Dn_EFOpenError 0068 Exception.CreateFmt 006d @RaiseExcept 007d @WStrEqual 00bd UriWideStrToFilename 00d2 TObject.Free 00d8 @HandleFinally 00e4 FileExists 00f3 ExpandFileName 0125 _Dn_TFileStream 012a TFileStream.Create 0141 @UStrClr 014e @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 EC 8B 08 FF 51 14 8B 45 EC 80 78 1B 00 75 23 89 5D E4 C6 45 E8 0F 8D 45 E4 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 40 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 29 8B 45 EC 8B 40 14 89 45 E4 C6 45 E8 0F 8D 45 E4 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8D 45 F0 50 8D 4D F8 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 B2 01 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 31 8D 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E0 89 45 E4 C6 45 E8 11 8D 45 E4 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 55 00 52 00 49 00 20 00 22 00 25 00 73 00 22 00 20 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 73 00 20 00 6E 00 6F 00 20 00 73 00 63 00 68 00 65 00 6D 00 65 00 2E 00 00 00 00 00 08 00 00 00 66 00 69 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 55 00 52 00 49 00 20 00 73 00 63 00 68 00 65 00 6D 00 65 00 20 00 22 00 25 00 73 00 22 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 46 00 69 00 6C 00 65 00 20 00 22 00 25 00 73 00 22 00 20 00 6E 00 6F 00 74 00 20 00 66 00 6F 00 75 00 6E 00 64 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111687_0 {
	meta:
		name = "TStandardResourceResolver.ResolveResource"
		size = 320
		refs = "0022 TStandardResourceResolver.ResolveResource 0035 @WStrLAsg 003d @WStrClr 0052 ResolveRelativeUriWideStr 005c @WStrAsg 008e @WStrEqual 00b9 @HandleAnyException 00c1 TObject.Free 00cb @DoneExcept 00e5 @WStrArrayClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 4D F0 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C6 45 EB 00 33 C0 89 45 EC 8D 4D F4 8B 13 8B C7 E8 ?? ?? ?? ?? 8B C3 8B 55 F4 E8 ?? ?? ?? ?? 66 83 7E 3A 00 74 1C 8B 45 F8 50 8B 45 F0 50 53 8D 45 EC 50 8D 45 EB 50 8B 4D FC 8B D6 8B 46 3C FF 56 38 83 7D EC 00 75 46 8B 03 33 D2 E8 ?? ?? ?? ?? 74 3B 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 13 8B C6 8B 08 FF 51 44 89 45 EC 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 89 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 EC 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 38 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 54 00 52 00 2F 00 52 00 45 00 43 00 2D 00 78 00 6D 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_111688_0 {
	meta:
		name = "TXmlSimpleInputSource.Create"
		size = 147
		refs = "000e @ClassCreate 0032 @WStrAsg 0071 TUtilsUCS4Reader.Create 007c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 89 87 FC 00 00 00 33 C0 89 87 04 01 00 00 8D 87 F8 00 00 00 8B 55 3C E8 ?? ?? ?? ?? 8D 87 00 01 00 00 8B 55 38 E8 ?? ?? ?? ?? 8B 45 34 50 8B 45 30 50 FF 75 2C FF 75 28 FF 75 24 FF 75 20 FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 38 00 }
	condition:
		$1
}

rule function_111689_0 {
	meta:
		name = "TXmlSimpleInputSource.Create"
		size = 174
		refs = "000f @ClassCreate 0034 @WStrAsg 004b _Dn_TStringStream 0050 TStringStream.Create 0089 TUtilsUCS4Reader.Create 0096 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 C0 89 83 FC 00 00 00 33 C0 89 83 04 01 00 00 8D 83 F8 00 00 00 8B 55 3C E8 ?? ?? ?? ?? 8D 83 00 01 00 00 8B 55 38 E8 ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 FC 00 00 00 8B 45 34 50 8B 45 30 50 FF 75 2C FF 75 28 FF 75 24 FF 75 20 FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 38 00 }
	condition:
		$1
}

rule function_111690_0 {
	meta:
		name = "TXmlSimpleInputSource.Create"
		size = 208
		refs = "000f @ClassCreate 0034 @WStrAsg 004b _Dn_TUtilsWideStringStream 0050 TUtilsWideStringStream.Create 0061 TXmlSimpleInputSource.Create 008a TUtilsUCS4Reader.Create 0097 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 C0 89 83 FC 00 00 00 33 C0 89 83 04 01 00 00 8D 83 F8 00 00 00 8B 55 38 E8 ?? ?? ?? ?? 8D 83 00 01 00 00 8B 55 34 E8 ?? ?? ?? ?? 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 04 01 00 00 8B 45 30 50 68 ?? ?? ?? ?? FF 75 2C FF 75 28 FF 75 24 FF 75 20 FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B CE 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 34 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 54 00 46 00 2D 00 31 00 36 00 4C 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_111691_0 {
	meta:
		name = "TXmlSimpleInputSource.Destroy"
		size = 58
		refs = "0003 @BeforeDestruction 0012 TUtilsUCS4Reader.Destroy 001d TObject.Free 0033 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 86 FC 00 00 00 E8 ?? ?? ?? ?? 8B 86 04 01 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111692_0 {
	meta:
		name = "TXmlSimpleInputSource.GetInputEncoding"
		size = 42
		refs = "0023 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 12 85 C0 74 10 8B C3 8B 10 FF 12 8B 00 8B D6 FF 50 3C 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111693_0 {
	meta:
		name = "TXmlInputSource.Create"
		size = 208
		refs = "000f @ClassCreate 004b TXmlSimpleInputSource.Create 0056 @UStrClr 0078 TXmlInputSource.EvaluateXmlOrTextDecl 0091 TXmlInputSource.CheckEncoding 00b8 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 34 8B 45 40 50 8B 45 3C 50 8B 45 38 50 56 FF 75 2C FF 75 28 FF 75 24 FF 75 20 FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 83 0C 01 00 00 E8 ?? ?? ?? ?? 50 8D 83 10 01 00 00 50 8D 83 14 01 00 00 E8 ?? ?? ?? ?? 8B C8 8D 93 08 01 00 00 8B C3 E8 ?? ?? ?? ?? 34 01 88 83 09 01 00 00 85 F6 75 0D 8B 93 0C 01 00 00 8B C3 E8 ?? ?? ?? ?? 80 7D 30 00 75 0D 8D 73 08 8D 7B 48 B9 0E 00 00 00 F3 A5 8B C3 8B 10 FF 52 18 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 3C 00 }
	condition:
		$1
}

rule function_111695_0 {
	meta:
		name = "TXmlInputSource.Create"
		size = 184
		refs = "000e @ClassCreate 0045 TXmlSimpleInputSource.Create 0050 @UStrClr 0072 TXmlInputSource.EvaluateXmlOrTextDecl 00a1 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 3C 50 8B 45 38 50 8B 45 34 50 FF 75 2C FF 75 28 FF 75 24 FF 75 20 FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 0C 01 00 00 E8 ?? ?? ?? ?? 50 8D 86 10 01 00 00 50 8D 86 14 01 00 00 E8 ?? ?? ?? ?? 8B C8 8D 96 08 01 00 00 8B C6 E8 ?? ?? ?? ?? 34 01 88 86 09 01 00 00 80 7D 30 00 75 0F 56 8D 7E 48 83 C6 08 B9 0E 00 00 00 F3 A5 5E 8B C6 8B 10 FF 52 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 5D C2 38 00 }
	condition:
		$1
}

rule function_111696_0 {
	meta:
		name = "TXmlInputSource.CheckEncoding"
		size = 572
		refs = "0015 TUtilsUCS4Reader.GetHasByteOrderMark 0029 _Dn_TUTF16BECodec 002e @IsClass 003e TUnicodeCodec.AliasIndexOf 0048 _Dn_TUCS4BECodec 005c _Dn_TUTF16LECodec 007b _Dn_TUCS4LECodec 008f _Dn_TUTF8Codec 00ac TXmlInputSource.CheckEncoding 00b3 _Dn_EConvertError 00b8 Exception.Create 00bd @RaiseExcept 00c3 UTF16_STR 00ca CompareText 00df UTF16BE_STR 00e6 TUtilsUCS4Reader.SetEncoding 0153 @HandleOnException 015b _Dn_EParserUtilsException 016b _DV_ENot_Supported_Err 017a @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B DA 8B F0 85 DB 0F 84 6C 01 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 A0 00 00 00 8B C6 8B 10 FF 12 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 75 0F 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 74 57 8B C6 8B 10 FF 12 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 75 0F 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 74 24 8B C6 8B 10 FF 12 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 25 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 40 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 85 C0 75 5F 8B C6 E8 ?? ?? ?? ?? 84 C0 75 12 8B 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? E9 8F 00 00 00 8B C6 8B 10 FF 12 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 7A 8B C6 8B 10 FF 12 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 65 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4D 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 00 B0 04 02 00 FF FF FF FF 31 00 00 00 44 00 65 00 63 00 6C 00 61 00 72 00 65 00 64 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 6D 00 61 00 74 00 63 00 68 00 20 00 62 00 79 00 74 00 65 00 20 00 6F 00 72 00 64 00 65 00 72 00 20 00 6D 00 61 00 72 00 6B 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111697_0 {
	meta:
		name = "IsXmlVersionNumCharCodePoint"
		size = 19
	strings:
		$1 = { 83 E8 2E 74 08 83 C0 FE 83 E8 0A 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_111698_0 {
	meta:
		name = "TXmlInputSource.EvaluateXmlOrTextDecl"
		size = 1432
		refs = "0038 TXmlInputSource.EvaluateXmlOrTextDecl 004b @UStrClr 0058 @UStrAsg 008b GetXmlWhitespaceWideString 0132 IsXmlVersionNumCharCodePoint 0142 @UStrFromWChar 0173 @UStrCat 0263 IsXmlEncNameLeadingCharCodePoint 02b6 IsXmlEncNameFollowingCharCodePoint 048f TUtilsUCS4Reader.GetPosition 04c7 @HandleAnyException 04ce @DoneExcept 04e8 @WStrArrayClr 0518 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D FC 8B FA 8B F0 8B 45 FC 85 C0 74 04 33 D2 89 10 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 C6 07 03 8B 45 0C E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 C6 00 02 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 10 84 C0 0F 84 31 04 00 00 C6 07 02 8D 45 F4 E8 ?? ?? ?? ?? 8B 55 F4 8B C6 8B 08 FF 51 1C 85 C0 0F 9F C0 83 7E 20 76 0F 85 24 01 00 00 84 C0 75 0F 33 DB 33 C0 5A 59 59 64 89 10 E9 17 04 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 10 84 C0 0F 84 EE 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 8B 08 FF 51 1C 83 7E 20 3D 74 0F 33 DB 33 C0 5A 59 59 64 89 10 E9 DC 03 00 00 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B C6 8B 08 FF 51 1C 8B 46 20 83 F8 22 74 14 83 F8 27 74 0F 33 DB 33 C0 5A 59 59 64 89 10 E9 AE 03 00 00 89 45 F8 8B C6 8B 10 FF 52 14 8B 46 20 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 FC 0F B7 56 20 E8 ?? ?? ?? ?? EB 0F 33 DB 33 C0 5A 59 59 64 89 10 E9 7B 03 00 00 8B C6 8B 10 FF 52 14 EB 21 8D 45 E8 0F B7 56 20 E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B C6 8B 10 FF 52 14 8B 46 20 E8 ?? ?? ?? ?? 84 C0 75 D3 8B 46 20 3B 45 F8 74 0F 33 DB 33 C0 5A 59 59 64 89 10 E9 2E 03 00 00 8D 45 E4 E8 ?? ?? ?? ?? 8B 55 E4 8B C6 8B 08 FF 51 1C 85 C0 0F 9F C0 EB 12 33 DB 33 C0 5A 59 59 64 89 10 E9 06 03 00 00 C6 07 01 83 7E 20 65 0F 85 24 01 00 00 84 C0 75 0F 33 DB 33 C0 5A 59 59 64 89 10 E9 E6 02 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 10 84 C0 0F 84 EE 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 8B 08 FF 51 1C 83 7E 20 3D 74 0F 33 DB 33 C0 5A 59 59 64 89 10 E9 AB 02 00 00 8D 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8B C6 8B 08 FF 51 1C 8B 46 20 83 F8 22 74 14 83 F8 27 74 0F 33 DB 33 C0 5A 59 59 64 89 10 E9 7D 02 00 00 89 45 F8 8B C6 8B 10 FF 52 14 8B 46 20 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 0C 0F B7 56 20 E8 ?? ?? ?? ?? EB 0F 33 DB 33 C0 5A 59 59 64 89 10 E9 4A 02 00 00 8B C6 8B 10 FF 52 14 EB 21 8D 45 D8 0F B7 56 20 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 0C 8B C6 8B 10 FF 52 14 8B 46 20 E8 ?? ?? ?? ?? 84 C0 75 D3 8B 46 20 3B 45 F8 74 0F 33 DB 33 C0 5A 59 59 64 89 10 E9 FD 01 00 00 8D 45 D4 E8 ?? ?? ?? ?? 8B 55 D4 8B C6 8B 08 FF 51 1C 85 C0 0F 9F C0 EB 26 33 DB 33 C0 5A 59 59 64 89 10 E9 D5 01 00 00 80 3F 01 75 0F 33 DB 33 C0 5A 59 59 64 89 10 E9 C1 01 00 00 C6 07 00 83 7E 20 73 0F 85 58 01 00 00 84 C0 75 0F 33 DB 33 C0 5A 59 59 64 89 10 E9 A1 01 00 00 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 10 84 C0 0F 84 11 01 00 00 8D 45 D0 E8 ?? ?? ?? ?? 8B 55 D0 8B C6 8B 08 FF 51 1C 83 7E 20 3D 74 0F 33 DB 33 C0 5A 59 59 64 89 10 E9 66 01 00 00 8D 45 CC E8 ?? ?? ?? ?? 8B 55 CC 8B C6 8B 08 FF 51 1C 8B 46 20 83 F8 22 74 14 83 F8 27 74 0F 33 DB 33 C0 5A 59 59 64 89 10 E9 38 01 00 00 89 45 F8 8B C6 8B 10 FF 52 14 8B 46 20 83 E8 6E 74 45 83 E8 0B 75 64 8B C6 8B 10 FF 52 14 83 7E 20 65 75 24 8B C6 8B 10 FF 52 14 83 7E 20 73 75 08 8B 45 08 C6 00 00 EB 51 33 DB 33 C0 5A 59 59 64 89 10 E9 F0 00 00 00 33 DB 33 C0 5A 59 59 64 89 10 E9 E1 00 00 00 8B C6 8B 10 FF 52 14 83 7E 20 6F 75 08 8B 45 08 C6 00 01 EB 1E 33 DB 33 C0 5A 59 59 64 89 10 E9 BD 00 00 00 33 DB 33 C0 5A 59 59 64 89 10 E9 AE 00 00 00 8B C6 8B 10 FF 52 14 8B 46 20 3B 45 F8 74 0F 33 DB 33 C0 5A 59 59 64 89 10 E9 90 00 00 00 8D 45 C8 E8 ?? ?? ?? ?? 8B 55 C8 8B C6 8B 08 FF 51 1C EB 0C 33 DB 33 C0 5A 59 59 64 89 10 EB 70 80 3F 01 75 0C 33 DB 33 C0 5A 59 59 64 89 10 EB 5F C6 07 00 83 7E 20 3F 75 35 BA ?? ?? ?? ?? 8B C6 8B 08 FF 51 10 84 C0 74 25 8B C6 E8 ?? ?? ?? ?? 52 50 8B 86 A8 00 00 00 33 D2 29 04 24 19 54 24 04 58 5A 52 50 8B C6 8B 10 FF 52 0C EB 0B 33 DB EB 07 8B C6 8B 10 FF 52 18 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C1 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 31 00 2E 00 30 00 00 00 0A 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 00 00 0C 00 00 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 0E 00 00 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 12 00 00 00 74 00 61 00 6E 00 64 00 61 00 6C 00 6F 00 6E 00 65 00 00 00 02 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_111699_0 {
	meta:
		name = "TXmlCustomTokenizer.Create"
		size = 117
		refs = "000b @ClassCreate 001a TObject.Create 0021 _Dn_TUtilsCustomWideStr 0026 TUtilsCustomWideStr.Create 0061 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 88 00 00 00 89 77 10 56 57 83 C7 50 83 C6 08 B9 0E 00 00 00 F3 A5 5F 5E 57 83 C7 18 81 C6 B8 00 00 00 B9 0E 00 00 00 F3 A5 5F C6 47 0C 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111705_0 {
	meta:
		name = "TDomError.GetStartByteNumber"
		size = 26
		altNames = "TXmlCustomTokenizer.GetEndTabsInLine TXmlDoctypeDeclTokenizer.GetEndTabsInLine TXmlSignal.GetStartCharNumber"
	strings:
		$1 = { 83 C4 F8 8B 50 48 89 14 24 8B 50 4C 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_111708_0 {
	meta:
		name = "TXmlCustomTokenizer.GetStartByteNumber"
		size = 44
		altNames = "TXmlDoctypeDeclTokenizer.GetStartByteNumber"
	strings:
		$1 = { 83 C4 F8 8D 48 50 8B 01 8B 51 04 52 50 8B 41 28 33 D2 29 04 24 19 54 24 04 58 5A 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_111709_0 {
	meta:
		name = "TDomError.GetStartColumnNumber"
		size = 26
		altNames = "TXmlCustomTokenizer.GetStartCharNumber TXmlDoctypeDeclTokenizer.GetStartCharNumber TXmlSignal.GetStartLineNumber"
	strings:
		$1 = { 83 C4 F8 8B 50 58 89 14 24 8B 50 5C 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_111710_0 {
	meta:
		name = "TDomError.GetStartLineNumber"
		size = 26
		altNames = "TXmlCustomTokenizer.GetStartColumnNumber TXmlDoctypeDeclTokenizer.GetStartColumnNumber TXmlSignal.GetStartTabsInLine"
	strings:
		$1 = { 83 C4 F8 8B 50 60 89 14 24 8B 50 64 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_111711_0 {
	meta:
		name = "TXmlCustomTokenizer.GetStartLineNumber"
		size = 26
		altNames = "TXmlDoctypeDeclTokenizer.GetStartLineNumber"
	strings:
		$1 = { 83 C4 F8 8B 50 70 89 14 24 8B 50 74 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_111712_0 {
	meta:
		name = "TXmlCustomTokenizer.GetStartTabsInLine"
		size = 32
		altNames = "TXmlDoctypeDeclTokenizer.GetStartTabsInLine"
	strings:
		$1 = { 83 C4 F8 8B 90 80 00 00 00 89 14 24 8B 90 84 00 00 00 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_111713_0 {
	meta:
		name = "TXmlCustomTokenizer.GetTokenValue"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 88 00 00 00 8B 08 FF 51 24 5E 5B C3 }
	condition:
		$1
}

rule function_111714_0 {
	meta:
		name = "TXmlCustomTokenizer.GetUri"
		size = 25
		refs = "0012 @WStrAsg"
		altNames = "TXmlDoctypeDeclTokenizer.GetUri"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 10 8B 92 00 01 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111715_0 {
	meta:
		name = "TXmlDocTokenizer.Create"
		size = 79
		refs = "000b @ClassCreate 001c TXmlCustomTokenizer.Create 003b @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 74 09 C6 87 90 00 00 00 0B EB 07 C6 87 90 00 00 00 06 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111716_0 {
	meta:
		name = "TXmlDocTokenizer.Next"
		size = 4104
		refs = "0018 TXmlDocTokenizer.Next 004e @WStrClr 0143 IsXmlWhiteSpaceCodePoint 01d0 @WStrAsg 04ef CDATA_START 064e DOCTYPE_START 06f6 @WStrEqual 079d @WStrLAsg 07fb PIEND 0cab IsXmlHexDigitCodePoint 0d09 IsXmlDecDigitCodePoint 0d8c IsXmlNameStartCharCodePoint 0deb IsXmlNameCharCodePoint 0ef9 @HandleOnException 0f01 _Dn_EConvertError 0f27 @DoneExcept 0f41 @WStrArrayClr 0f47 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 FC 89 55 F8 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 80 B8 90 00 00 00 06 0F 84 F9 0E 00 00 8B 45 F4 8B 80 88 00 00 00 8B 10 FF 52 1C 8B 45 F4 C6 40 0C 00 8B 45 F4 83 C0 08 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 10 8B 55 F4 8D B0 80 00 00 00 8D 7A 50 B9 0E 00 00 00 F3 A5 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 40 10 8B 10 FF 52 14 8B 45 F4 8B 70 10 8B 46 20 83 E8 26 0F 84 93 0B 00 00 83 E8 16 74 0E 83 E8 60 0F 84 BC 0D 00 00 E9 D3 0D 00 00 8B 86 98 00 00 00 83 F8 3E 7F 19 0F 84 FB 08 00 00 83 E8 21 0F 84 EB 01 00 00 83 E8 0E 74 1C E9 3F 09 00 00 83 E8 3F 0F 84 03 01 00 00 83 E8 5D 0F 84 07 09 00 00 E9 28 09 00 00 8B 45 F4 C6 80 90 00 00 00 07 8B 45 F4 8B 40 10 8B 10 FF 52 14 8B 45 F4 8B 40 10 8B 55 F4 8D B0 80 00 00 00 8D 7A 50 B9 0E 00 00 00 F3 A5 EB 22 8B 45 F4 8B 40 10 8B 10 FF 52 14 8B 45 F4 8B 40 10 8B 50 20 8B 45 F4 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 F4 8B 40 10 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 21 8B 45 F4 8B 40 10 83 B8 98 00 00 00 3E 74 12 8B 45 F4 8B 40 10 81 B8 98 00 00 00 9C 00 00 00 75 A8 8B 45 F4 8B 40 10 8B 55 F4 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 EB 0B 8B 45 F4 8B 40 10 8B 10 FF 52 14 8B 45 F4 8B 40 10 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E0 8B 45 F4 8B 40 10 83 B8 98 00 00 00 3E 75 0A 8B 10 FF 52 14 E9 31 0D 00 00 8B 45 F4 C6 40 0C 65 8B 45 F4 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 15 0D 00 00 8B 45 F4 C6 80 90 00 00 00 0A 8B 45 F4 8B 40 10 8B 10 FF 52 14 8B 45 F4 8B 40 10 8B 55 F4 8D B0 80 00 00 00 8D 7A 50 B9 0E 00 00 00 F3 A5 EB 5E 8B C6 8B 10 FF 52 14 8B 45 F4 8B 58 10 83 7B 20 3F 75 34 83 BB 98 00 00 00 3E 75 2B 8B 45 F4 8D B3 B8 00 00 00 8D 78 18 B9 0E 00 00 00 F3 A5 8B 45 F4 8B 40 10 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 E9 DB 0C 00 00 8B 45 F4 8B 40 10 8B 50 20 8B 45 F4 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 F4 8B 70 10 81 BE 98 00 00 00 9C 00 00 00 75 90 8B 45 F4 8B 40 10 8B 55 F4 8D B0 B8 00 00 00 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 F4 C6 40 0C 67 8B 45 F4 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 40 0C 00 00 8B C6 8B 10 FF 52 14 8B 45 F4 8B 40 10 8B 90 98 00 00 00 83 FA 5B 7F 29 0F 84 08 02 00 00 83 EA 2D 74 45 83 EA 16 0F 84 6F 06 00 00 4A 0F 84 52 03 00 00 83 EA 0B 0F 84 29 06 00 00 E9 90 06 00 00 83 EA 5D 0F 84 51 06 00 00 83 EA 06 0F 84 48 06 00 00 4A 0F 84 0B 06 00 00 83 EA 0B 0F 84 02 06 00 00 E9 69 06 00 00 8B 45 F4 C6 80 90 00 00 00 03 8B 45 F4 8B 40 10 8B 10 FF 52 14 8B 45 F4 8B 40 10 83 B8 98 00 00 00 2D 0F 85 64 01 00 00 8B 10 FF 52 14 8B 45 F4 8B 40 10 8B 55 F4 8D B0 80 00 00 00 8D 7A 50 B9 0E 00 00 00 F3 A5 E9 F1 00 00 00 8B C3 8B 10 FF 52 14 8B 45 F4 8B 70 10 83 7E 20 2D 0F 85 C3 00 00 00 8B 45 F4 81 C6 B8 00 00 00 8D 78 18 B9 0E 00 00 00 F3 A5 8B 45 F4 8B 40 10 8B 10 FF 52 14 8B 45 F4 8B 78 10 8B 47 20 83 E8 2D 74 07 83 E8 6F 74 48 EB 7D 83 BF 98 00 00 00 3E 75 09 8B C7 8B 10 FF 52 14 EB 27 8B 45 F4 8D 77 08 8D 78 18 B9 0E 00 00 00 F3 A5 8B 45 F4 C6 40 0C 39 8B 45 F4 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 3A 0B 00 00 8B 45 F4 8D B7 B8 00 00 00 8D 78 18 B9 0E 00 00 00 F3 A5 8B 45 F4 C6 40 0C 63 8B 45 F4 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 03 0B 00 00 8B 45 F4 8B 80 88 00 00 00 BA 2D 00 00 00 8B 08 FF 51 08 8B 45 F4 8B 40 10 8B 50 20 8B 45 F4 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 F4 8B 58 10 81 BB 98 00 00 00 9C 00 00 00 0F 85 F9 FE FF FF 8B 45 F4 8B 40 10 8B 55 F4 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 F4 C6 40 0C 63 8B 45 F4 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 89 0A 00 00 8B 45 F4 8B 40 10 8B 55 F4 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 F4 C6 40 0C 35 8B 45 F4 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1A 0A 00 00 8B 45 F4 C6 80 90 00 00 00 00 8B 45 F4 8B 40 10 8B 10 FF 52 14 BE 06 00 00 00 BF ?? ?? ?? ?? 8B 45 F4 8B 40 10 8B 90 98 00 00 00 3B 17 75 07 8B 10 FF 52 14 EB 34 8B 55 F4 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 F4 C6 40 0C 34 8B 45 F4 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 ED 09 00 00 83 C7 04 4E 75 AF 8B 45 F4 8B 40 10 8B 55 F4 8D B0 80 00 00 00 8D 7A 50 B9 0E 00 00 00 F3 A5 E9 89 00 00 00 8B C7 8B 10 FF 52 14 EB 54 8B 45 F4 8D B3 B8 00 00 00 8D 78 18 B9 0E 00 00 00 F3 A5 8B 45 F4 8B 40 10 8B 10 FF 52 14 8B 45 F4 8B 70 10 83 BE 98 00 00 00 3E 75 14 8B C6 8B 10 FF 52 14 33 C0 5A 59 59 64 89 10 E9 7F 09 00 00 8B 45 F4 8B 80 88 00 00 00 BA 5D 00 00 00 8B 08 FF 51 08 8B 45 F4 8B 58 10 83 7B 20 5D 75 09 83 BB 98 00 00 00 5D 74 97 8B 45 F4 8B 40 10 8B 50 20 8B 45 F4 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 F4 8B 78 10 81 BF 98 00 00 00 9C 00 00 00 0F 85 61 FF FF FF 8B 45 F4 8B 40 10 8B 55 F4 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 F4 C6 40 0C 61 8B 45 F4 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BB 08 00 00 8B 45 F4 C6 80 90 00 00 00 04 8B 45 F4 8B 40 10 8B 10 FF 52 14 BE 06 00 00 00 BB ?? ?? ?? ?? 8B 45 F4 8B 78 10 8B 87 98 00 00 00 3B 03 75 09 8B C7 8B 10 FF 52 14 EB 24 8B 45 F4 C6 40 0C 36 8B 45 F4 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 9C 08 00 00 83 C3 04 4E 75 BD C6 45 F3 00 33 DB C6 45 F2 00 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 40 10 8B 55 F4 8D B0 80 00 00 00 8D 7A 50 B9 0E 00 00 00 F3 A5 E9 FE 01 00 00 8B C6 8B 10 FF 52 14 8B 45 F4 8B 78 10 83 7F 20 3E 75 3C 80 7D F3 00 75 36 84 DB 75 32 80 7D F2 00 75 2C 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 75 20 8B 45 F4 8D B7 B8 00 00 00 8D 78 18 B9 0E 00 00 00 F3 A5 33 C0 5A 59 59 64 89 10 E9 0F 08 00 00 8B 45 F4 8B 40 10 8B 50 20 8B 45 F4 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 0F 85 6B 01 00 00 8B 45 F4 8B 40 10 83 78 20 27 75 0B 80 7D F3 00 75 05 80 F3 01 EB 19 8B 45 F4 8B 40 10 83 78 20 22 75 0D 84 DB 75 09 0F B6 45 F3 34 01 88 45 F3 80 7D F2 00 0F 84 15 01 00 00 8B C3 0A 45 F3 0F 85 43 01 00 00 8B 45 F4 8B 40 10 83 78 20 3C 75 12 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D0 00 00 00 8B 45 F4 8B 40 10 83 78 20 21 75 21 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A3 00 00 00 8B 45 F4 8B 40 10 83 78 20 3F 75 27 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 18 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 70 8B 45 F4 8B 40 10 83 78 20 2D 75 1E 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 46 8B 45 F4 8B 40 10 83 78 20 2D 75 26 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 17 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 14 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 74 08 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 F4 8B 40 10 83 78 20 5D 75 49 84 DB 75 45 80 7D F3 00 75 3F C6 45 F2 00 EB 39 8B 45 F4 8B 40 10 83 78 20 5B 75 2D 84 DB 75 29 80 7D F3 00 75 23 C6 45 F2 01 EB 1D 8B 45 F4 8B 80 88 00 00 00 8B 55 FC 8B 08 FF 51 14 84 C0 74 08 8D 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8B 70 10 81 BE 98 00 00 00 9C 00 00 00 0F 85 EC FD FF FF 8B 45 F4 8B 40 10 8B 55 F4 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 F4 C6 40 0C 64 8B 45 F4 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DB 05 00 00 8B 55 F4 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 F4 C6 80 90 00 00 00 04 8B 45 F4 C6 40 0C 36 8B 45 F4 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A5 05 00 00 8B 55 F4 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 F4 C6 80 90 00 00 00 00 8B 45 F4 C6 40 0C 34 8B 45 F4 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6F 05 00 00 8B 55 F4 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 F4 C6 80 90 00 00 00 03 8B 45 F4 C6 40 0C 35 8B 45 F4 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 39 05 00 00 8B 45 F4 83 C6 08 8D 78 18 B9 0E 00 00 00 F3 A5 8B 45 F4 8B 40 10 8B 10 FF 52 14 8B 45 F4 C6 80 90 00 00 00 0C 8B 45 F4 C6 40 0C 50 E9 08 05 00 00 8B 45 F4 83 C6 08 8D 78 18 B9 0E 00 00 00 F3 A5 8B 45 F4 C6 80 90 00 00 00 0C 8B 45 F4 C6 40 0C 50 E9 E2 04 00 00 33 DB C6 45 F3 00 8B C6 8B 10 FF 52 14 8B 45 F4 8B 40 10 8B 55 F4 8D 70 08 8D 7A 50 B9 0E 00 00 00 F3 A5 8B 45 F4 8B 40 10 8B 50 20 8B 45 F4 8B 80 88 00 00 00 8B 08 FF 51 08 E9 CB 00 00 00 8B C6 8B 10 FF 52 14 8B 45 F4 8B 40 10 8B 50 20 8B 45 F4 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 F4 8B 40 10 8B 78 20 83 FF 27 75 02 B3 01 83 FF 22 75 36 C6 45 F3 01 EB 30 8B 45 F4 8B 40 10 8B 10 FF 52 14 8B 45 F4 8B 40 10 8B 50 20 8B 45 F4 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 F4 8B 40 10 83 78 20 27 75 02 33 DB 84 DB 74 46 8B 45 F4 8B 40 10 81 B8 98 00 00 00 9C 00 00 00 75 BA EB 32 8B 45 F4 8B 40 10 8B 10 FF 52 14 8B 45 F4 8B 40 10 8B 50 20 8B 45 F4 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 F4 8B 40 10 83 78 20 22 75 04 C6 45 F3 00 80 7D F3 00 74 12 8B 45 F4 8B 40 10 81 B8 98 00 00 00 9C 00 00 00 75 B6 8B 45 F4 8B 70 10 8B 86 98 00 00 00 83 E8 2F 74 0E 83 E8 0F 74 09 83 E8 5E 0F 85 16 FF FF FF 8B 45 F4 8B 40 10 8B 55 F4 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 F4 8B 40 10 8B 80 98 00 00 00 83 E8 2F 74 0F 83 E8 0F 74 54 83 E8 5E 74 69 E9 83 03 00 00 8B 45 F4 C6 80 90 00 00 00 05 8B 45 F4 8B 40 10 8B 10 FF 52 14 8B 45 F4 8B 40 10 83 B8 98 00 00 00 3E 75 0A 8B 10 FF 52 14 E9 55 03 00 00 8B 45 F4 C6 40 0C 65 8B 45 F4 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 39 03 00 00 8B 45 F4 C6 80 90 00 00 00 0C 8B 45 F4 8B 40 10 8B 10 FF 52 14 E9 1F 03 00 00 8B 45 F4 C6 80 90 00 00 00 0C 8B 45 F4 C6 40 0C 65 84 DB 74 15 8B 45 F4 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F5 02 00 00 80 7D F3 00 74 15 8B 45 F4 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DA 02 00 00 8B 45 F4 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C5 02 00 00 83 BE 98 00 00 00 23 0F 85 26 01 00 00 8B C6 8B 10 FF 52 14 8B 45 F4 8B 40 10 83 B8 98 00 00 00 78 75 69 8B 45 F4 C6 80 90 00 00 00 02 8B 45 F4 8B 40 10 8B 10 FF 52 14 8B 45 F4 8B 40 10 8B 55 F4 8D B0 80 00 00 00 8D 7A 50 B9 0E 00 00 00 F3 A5 EB 22 8B 45 F4 8B 40 10 8B 10 FF 52 14 8B 45 F4 8B 40 10 8B 50 20 8B 45 F4 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 F4 8B 40 10 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 C9 EB 5C 8B 45 F4 C6 80 90 00 00 00 01 8B 45 F4 8B 40 10 8B 55 F4 8D B0 80 00 00 00 8D 7A 50 B9 0E 00 00 00 F3 A5 EB 22 8B 45 F4 8B 40 10 8B 10 FF 52 14 8B 45 F4 8B 40 10 8B 50 20 8B 45 F4 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 F4 8B 40 10 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 C9 8B 45 F4 8B 40 10 8B 55 F4 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 F4 8B 40 10 83 B8 98 00 00 00 3B 75 0A 8B 10 FF 52 14 E9 AE 01 00 00 8B 45 F4 C6 40 0C 62 8B 45 F4 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 92 01 00 00 8B 45 F4 C6 80 90 00 00 00 08 8B 45 F4 8B 40 10 8B 55 F4 8D B0 80 00 00 00 8D 7A 50 B9 0E 00 00 00 F3 A5 8B 45 F4 8B 40 10 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 A6 00 00 00 8B 45 F4 8B 40 10 8B 10 FF 52 14 8B 45 F4 8B 40 10 8B 50 20 8B 45 F4 8B 80 88 00 00 00 8B 08 FF 51 08 EB 22 8B 45 F4 8B 40 10 8B 10 FF 52 14 8B 45 F4 8B 40 10 8B 50 20 8B 45 F4 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 F4 8B 40 10 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 C9 8B 45 F4 8B 40 10 8B 55 F4 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 F4 8B 40 10 83 B8 98 00 00 00 3B 75 0A 8B 10 FF 52 14 E9 CC 00 00 00 8B 45 F4 C6 40 0C 66 8B 45 F4 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B0 00 00 00 8B 45 F4 8B 40 10 8B 55 F4 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 F4 C6 40 0C 52 E9 8E 00 00 00 8B 45 F4 83 C6 08 8D 78 18 B9 0E 00 00 00 F3 A5 8B 45 F4 C6 80 90 00 00 00 06 EB 72 8B 45 F4 C6 80 90 00 00 00 09 8B 45 F4 8B 40 10 8B 50 20 8B 45 F4 8B 80 88 00 00 00 8B 08 FF 51 08 EB 1E 8B C3 8B 10 FF 52 14 8B 45 F4 8B 40 10 8B 50 20 8B 45 F4 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 F4 8B 58 10 8B 83 98 00 00 00 83 E8 26 74 0A 83 E8 16 74 05 83 E8 60 75 C7 8B 45 F4 8B 40 10 8B 55 F4 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 33 C0 5A 59 59 64 89 10 EB 33 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F4 8B 40 10 8B 55 F4 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 F4 C6 40 0C 41 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 02 00 00 00 3E 00 00 00 02 00 00 00 3F 00 00 00 06 00 00 00 2D 00 2D 00 3E 00 00 00 08 00 00 00 3C 00 21 00 2D 00 2D 00 00 00 00 00 12 00 00 00 3C 00 21 00 5B 00 43 00 44 00 41 00 54 00 41 00 5B 00 00 00 06 00 00 00 5D 00 5D 00 3E 00 00 00 12 00 00 00 3C 00 21 00 44 00 4F 00 43 00 54 00 59 00 50 00 45 00 00 00 02 00 00 00 3C 00 00 00 04 00 00 00 3C 00 21 00 00 00 00 00 06 00 00 00 3C 00 21 00 2D 00 00 00 04 00 00 00 5D 00 3E 00 00 00 00 00 04 00 00 00 27 00 3E 00 00 00 00 00 04 00 00 00 22 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111717_0 {
	meta:
		name = "TXmlDoctypeDeclTokenizer.Create"
		size = 280
		refs = "000f @ClassCreate 001f TObject.Create 0048 _Dn_TUtilsCustomWideStr 004d TUtilsCustomWideStr.Create 005c _Dn_TUtilsWideStringStream 0061 TUtilsWideStringStream.Create 0076 TXmlDoctypeDeclTokenizer.Create 009d _DV_TXmlSimpleInputSource 00a2 TXmlSimpleInputSource.Create 00df @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 83 7D 1C 00 75 08 83 7D 18 00 73 0C EB 02 7D 08 83 6D 08 01 83 5D 0C 00 33 C0 89 43 10 33 C0 89 43 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 83 8C 00 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 14 6A 00 8B 45 30 50 68 00 10 00 00 68 ?? ?? ?? ?? FF 75 2C FF 75 28 FF 75 24 FF 75 20 FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 10 8D 77 08 8D 7B 50 B9 0E 00 00 00 F3 A5 8B 43 10 8D B0 B8 00 00 00 8D 7B 18 B9 0E 00 00 00 F3 A5 C6 83 88 00 00 00 04 C6 43 0C 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 2C 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 54 00 46 00 2D 00 31 00 36 00 4C 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_111718_0 {
	meta:
		name = "TXmlDoctypeDeclTokenizer.Destroy"
		size = 63
		refs = "0003 @BeforeDestruction 000f TObject.Free 002d TObject.Destroy 0038 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 10 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B 86 8C 00 00 00 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111731_0 {
	meta:
		name = "TXmlDoctypeDeclTokenizer.GetTokenValue"
		size = 22
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 8C 00 00 00 8B 08 FF 51 24 5E 5B C3 }
	condition:
		$1
}

rule function_111733_0 {
	meta:
		name = "TXmlDoctypeDeclTokenizer.Next"
		size = 2920
		refs = "0038 @WStrClr 0059 TXmlDoctypeDeclTokenizer.Next 00af IsXmlWhiteSpaceCodePoint 01a9 PUBLIC_ID_START 01e7 @WStrAsg 03ba @WStrFromWChar 03fc SYSTEM_ID_START 0aba @HandleOnException 0ac2 _Dn_EConvertError 0ae8 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 89 45 FC 8B 45 FC 80 B8 88 00 00 00 00 0F 84 D0 0A 00 00 8B 45 FC 8B 80 8C 00 00 00 8B 10 FF 52 1C 8B 45 FC C6 40 0C 00 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 55 FC 8D B0 80 00 00 00 8D 7A 50 B9 0E 00 00 00 F3 A5 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 0F B6 80 88 00 00 00 83 F8 05 0F 87 39 0A 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? EB 0B 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E0 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 40 10 81 78 20 9C 00 00 00 75 22 8B 55 FC 8D B0 B8 00 00 00 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 80 88 00 00 00 00 E9 BC 09 00 00 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 64 E9 A0 09 00 00 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E0 8B 45 FC 8B 40 10 8B 90 98 00 00 00 83 EA 50 74 48 83 EA 03 0F 84 92 02 00 00 83 EA 08 0F 84 16 03 00 00 83 EA 41 0F 85 24 03 00 00 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 55 FC 8D B0 B8 00 00 00 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 80 88 00 00 00 00 E9 27 09 00 00 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 50 B9 0E 00 00 00 F3 A5 BE 05 00 00 00 BF ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 90 98 00 00 00 3B 17 75 07 8B 10 FF 52 14 EB 34 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 5A 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 F4 08 00 00 83 C7 04 4E 75 AF 8B 45 FC C6 80 88 00 00 00 03 8B 45 FC 8B 40 10 8B 55 FC 8D B0 80 00 00 00 8D 7A 50 B9 0E 00 00 00 F3 A5 8B 45 FC 8B 40 10 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 3A 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 56 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 7C 08 00 00 8B 45 FC 8B 40 10 8B 10 FF 52 14 EB 0B 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E0 8B 45 FC 8B 40 10 8B 55 FC 8D B0 80 00 00 00 8D 7A 50 B9 0E 00 00 00 F3 A5 8B 45 FC 8B 40 10 8B 90 98 00 00 00 83 EA 22 74 39 83 EA 05 74 34 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 5B 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 EC 07 00 00 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 55 FC 8D B0 80 00 00 00 8D 7A 50 B9 0E 00 00 00 F3 A5 8B 45 FC 8B 40 10 8B 70 20 EB 1E 8B C3 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 50 20 8B 45 FC 8B 80 8C 00 00 00 8B 08 FF 51 08 56 BE ?? ?? ?? ?? 8D 7D D4 B9 08 00 00 00 F3 A5 5E 8B C6 3D FF 00 00 00 77 04 0F AB 45 D4 8B 45 FC 8B 58 10 8B 83 98 00 00 00 3D FF 00 00 00 77 04 0F A3 45 D4 73 AB 8B 45 FC 8B 40 10 8B 55 FC 56 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 5E 8B 45 FC 8B 40 10 3B B0 98 00 00 00 74 21 8B 45 FC C6 40 0C 5B 8B 45 FC 83 C0 08 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 21 07 00 00 8B 45 FC 8B 40 10 8B 10 FF 52 14 E9 D4 06 00 00 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 50 B9 0E 00 00 00 F3 A5 BE 05 00 00 00 BF ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 90 98 00 00 00 3B 17 75 07 8B 10 FF 52 14 EB 34 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 60 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 A1 06 00 00 83 C7 04 4E 75 AF 8B 45 FC C6 80 88 00 00 00 03 8B 45 FC 8B 10 FF 52 38 E9 47 06 00 00 8B 45 FC C6 80 88 00 00 00 05 8B 45 FC 8B 10 FF 52 38 E9 30 06 00 00 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 60 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F9 05 00 00 8B 45 FC C6 80 88 00 00 00 05 8B 45 FC 8B 40 10 8B 55 FC 8D B0 80 00 00 00 8D 7A 50 B9 0E 00 00 00 F3 A5 8B 45 FC 8B 40 10 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 3A 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 56 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 C4 05 00 00 8B 45 FC 8B 40 10 8B 10 FF 52 14 EB 0B 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E0 8B 45 FC 8B 40 10 8B 55 FC 8D B0 80 00 00 00 8D 7A 50 B9 0E 00 00 00 F3 A5 8B 45 FC 8B 40 10 8B 90 98 00 00 00 83 EA 22 74 39 83 EA 05 74 34 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 5B 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 34 05 00 00 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 70 20 EB 1E 8B C3 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 50 20 8B 45 FC 8B 80 8C 00 00 00 8B 08 FF 51 08 56 BE ?? ?? ?? ?? 8D 7D D4 B9 08 00 00 00 F3 A5 5E 8B C6 3D FF 00 00 00 77 04 0F AB 45 D4 8B 45 FC 8B 58 10 8B 83 98 00 00 00 3D FF 00 00 00 77 04 0F A3 45 D4 73 AB 8B 45 FC 8B 40 10 8B 55 FC 56 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 5E 8B 45 FC 8B 40 10 3B B0 98 00 00 00 74 21 8B 45 FC C6 40 0C 5B 8B 45 FC 83 C0 08 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 82 04 00 00 8B 45 FC 8B 40 10 8B 10 FF 52 14 E9 35 04 00 00 8B 45 FC C6 80 88 00 00 00 02 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 50 B9 0E 00 00 00 F3 A5 8B 45 FC 8B 40 10 8B 40 20 E8 ?? ?? ?? ?? 84 C0 75 45 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 56 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 FB 03 00 00 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E0 B3 01 8B 45 FC 8B 40 10 8B 55 FC 8D B0 80 00 00 00 8D 7A 50 B9 0E 00 00 00 F3 A5 EB 28 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 50 20 8B 45 FC 8B 80 8C 00 00 00 8B 08 FF 51 08 84 DB 74 02 33 DB 8B 45 FC 8B 40 10 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 30 8B 45 FC 8B 40 10 83 B8 98 00 00 00 5B 74 21 8B 45 FC 8B 40 10 83 B8 98 00 00 00 3E 74 12 8B 45 FC 8B 40 10 81 B8 98 00 00 00 9C 00 00 00 75 93 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 E9 F9 02 00 00 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 E0 8B 45 FC 8B 40 10 8B 90 98 00 00 00 83 EA 5B 74 36 83 EA 41 0F 85 8D 02 00 00 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 55 FC 8D B0 B8 00 00 00 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 80 88 00 00 00 00 E9 92 02 00 00 8B 45 FC C6 80 88 00 00 00 01 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 55 FC 8D B0 80 00 00 00 8D 7A 50 B9 0E 00 00 00 F3 A5 C6 45 F6 00 C6 45 F8 00 C6 45 FB 00 C6 45 FA 00 33 DB C6 45 F7 00 C6 45 F9 00 C6 45 F5 00 E9 AC 01 00 00 8B C6 8B 10 FF 52 14 80 7D FA 00 74 4F C6 45 FA 00 33 DB 8B 45 FC 8B 40 10 83 B8 98 00 00 00 3E 74 3A 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 63 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 22 02 00 00 84 DB 74 19 8B 45 FC 8B 78 10 83 7F 20 2D 75 0D 83 BF 98 00 00 00 2D 75 04 C6 45 FA 01 80 7D F7 00 74 1F 8B 45 FC 8B 40 10 83 78 20 3F 75 13 8B 45 FC 8B 40 10 83 B8 98 00 00 00 3E 75 04 C6 45 F7 00 80 7D FB 00 74 12 C6 45 FB 00 8B 45 FC 8B 40 10 83 78 20 2D 75 02 B3 01 80 7D F8 00 74 14 C6 45 F8 00 8B 45 FC 8B 40 10 83 78 20 2D 75 04 C6 45 FB 01 80 7D F6 00 74 21 C6 45 F6 00 8B 45 FC 8B 40 10 8B 40 20 83 E8 21 74 0B 83 E8 1E 75 0A C6 45 F7 01 EB 04 C6 45 F8 01 80 7D F9 00 74 13 8B 45 FC 8B 40 10 83 78 20 22 0F 95 45 F9 E9 85 00 00 00 80 7D F5 00 74 10 8B 45 FC 8B 40 10 83 78 20 27 0F 95 45 F5 EB 6F 0F B6 45 F7 0A C3 34 01 84 C0 74 63 8B 45 FC 8B 40 10 8B 40 20 83 E8 22 74 23 83 E8 05 74 24 83 E8 15 74 07 83 E8 21 74 20 EB 44 0F B6 45 F7 0A C3 34 01 84 C0 74 38 C6 45 F6 01 EB 32 C6 45 F9 01 EB 2C C6 45 F5 01 EB 26 8B 45 FC 8B 40 10 8B 55 FC 8D B0 B8 00 00 00 8D 7A 18 B9 0E 00 00 00 F3 A5 33 C0 5A 59 59 64 89 10 E9 E9 00 00 00 8B 45 FC 8B 40 10 8B 50 20 8B 45 FC 8B 80 8C 00 00 00 8B 08 FF 51 08 8B 45 FC 8B 70 10 81 BE 98 00 00 00 9C 00 00 00 0F 85 3E FE FF FF 8B 45 FC 8B 40 10 83 B8 98 00 00 00 5D 74 31 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 5E 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 7C 8B 45 FC 8B 40 10 8B 10 FF 52 14 EB 32 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 4E 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 33 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 41 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 0C 00 00 00 50 00 55 00 42 00 4C 00 49 00 43 00 00 00 00 00 02 00 00 00 20 00 00 00 02 00 00 00 22 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 10 00 00 00 00 00 00 00 00 00 00 00 00 0C 00 00 00 53 00 59 00 53 00 54 00 45 00 4D 00 00 00 00 00 06 00 00 00 2D 00 2D 00 3E 00 00 00 02 00 00 00 5D 00 00 00 02 00 00 00 5B 00 00 00 }
	condition:
		$1
}

rule function_111734_0 {
	meta:
		name = "TXmlDtdDetailTokenizer.Create"
		size = 113
		refs = "000e @ClassCreate 001f TXmlCustomTokenizer.Create 005a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? C6 87 91 00 00 00 00 0F B6 45 08 88 87 90 00 00 00 C6 87 92 00 00 00 11 C6 47 0C 00 85 F6 74 09 C6 87 93 00 00 00 11 EB 07 C6 87 93 00 00 00 07 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111735_0 {
	meta:
		name = "TXmlDtdDetailTokenizer.Next"
		size = 3208
		refs = "0040 @WStrClr 0061 TXmlDtdDetailTokenizer.Next 00d0 IsXmlWhiteSpaceCodePoint 01fd @WStrAsg 05b8 ELEMENT_DECL_START 062d ENTITY_DECL_START 06c6 ATTLIST_DECL_START 073b NOTATION_DECL_START 0918 @WStrFromWChar 0b88 @HandleOnException 0b90 _Dn_EConvertError 0bb6 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 80 B8 93 00 00 00 07 0F 84 A0 0B 00 00 8B 45 FC 8B 80 88 00 00 00 8B 10 FF 52 1C 8B 45 FC C6 80 93 00 00 00 09 8B 45 FC C6 40 0C 00 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 55 FC 8D B0 80 00 00 00 8D 7A 50 B9 0E 00 00 00 F3 A5 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 80 B8 91 00 00 00 00 0F 84 8A 01 00 00 8B 45 FC 8B 40 10 8B 58 20 81 FB 9C 00 00 00 75 36 8B 45 FC C6 80 93 00 00 00 07 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 67 8B 45 FC C6 80 91 00 00 00 00 E9 B0 0A 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 75 8B 45 FC C6 80 93 00 00 00 13 8B 45 FC 8B 40 10 8B 50 20 8B 45 FC 8B 80 88 00 00 00 8B 08 FF 51 08 EB 22 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 50 20 8B 45 FC 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 FC 8B 40 10 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 C9 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 E9 30 0A 00 00 8B 45 FC C6 80 93 00 00 00 0E EB 6C 8B 45 FC 8B 58 10 83 7B 20 3F 75 3E 83 BB 98 00 00 00 3E 75 35 8B 45 FC 8D B3 B8 00 00 00 8D 78 18 B9 0E 00 00 00 F3 A5 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC C6 80 91 00 00 00 00 33 C0 5A 59 59 64 89 10 E9 17 0A 00 00 8B 45 FC 8B 40 10 8B 50 20 8B 45 FC 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 40 10 81 78 20 9C 00 00 00 75 85 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 67 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 80 91 00 00 00 00 E9 6D 09 00 00 8B 45 FC 8B 40 10 8B 58 20 8B D3 83 FA 3C 7F 41 74 78 83 C2 DE 83 FA 0A 0F 87 3C 08 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 FA 5D 7F 1D 0F 84 C3 05 00 00 83 EA 3E 0F 84 95 05 00 00 83 EA 1D 0F 84 67 05 00 00 E9 E7 07 00 00 83 EA 7C 0F 84 0C 07 00 00 83 EA 20 0F 84 B0 07 00 00 E9 D0 07 00 00 8B 90 98 00 00 00 83 EA 21 0F 84 A4 00 00 00 83 EA 1E 0F 85 07 05 00 00 8B 10 FF 52 14 8B 45 FC C6 80 93 00 00 00 0F 8B 45 FC 8B 40 10 8B 55 FC 8D B0 80 00 00 00 8D 7A 50 B9 0E 00 00 00 F3 A5 EB 22 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 50 20 8B 45 FC 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 FC 8B 40 10 8B 98 98 00 00 00 8B C3 83 C0 E0 83 F8 7F 77 07 0F A3 05 ?? ?? ?? ?? 72 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 B4 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 80 91 00 00 00 01 E9 30 08 00 00 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 90 98 00 00 00 8B CA 83 E9 2D 74 0E 83 E9 2E 0F 84 C3 01 00 00 E9 EE 01 00 00 8B 45 FC C6 80 93 00 00 00 01 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 40 10 83 B8 98 00 00 00 2D 0F 85 64 01 00 00 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 55 FC 8D B0 80 00 00 00 8D 7A 50 B9 0E 00 00 00 F3 A5 E9 F1 00 00 00 8B C3 8B 10 FF 52 14 8B 45 FC 8B 70 10 83 7E 20 2D 0F 85 C3 00 00 00 8B 45 FC 81 C6 B8 00 00 00 8D 78 18 B9 0E 00 00 00 F3 A5 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 78 10 8B 47 20 83 E8 2D 74 07 83 E8 6F 74 48 EB 7D 83 BF 98 00 00 00 3E 75 09 8B C7 8B 10 FF 52 14 EB 27 8B 45 FC 8D 77 08 8D 78 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 39 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 6C 07 00 00 8B 45 FC 8D B7 B8 00 00 00 8D 78 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 63 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 35 07 00 00 8B 45 FC 8B 80 88 00 00 00 BA 2D 00 00 00 8B 08 FF 51 08 8B 45 FC 8B 40 10 8B 50 20 8B 45 FC 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 FC 8B 58 10 81 BB 98 00 00 00 9C 00 00 00 0F 85 F9 FE FF FF 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 63 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 BB 06 00 00 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 35 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4C 06 00 00 8B 45 FC C6 80 93 00 00 00 04 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 E9 1C 06 00 00 83 EA 41 0F 84 41 01 00 00 83 EA 04 74 0E 83 EA 09 0F 84 A8 01 00 00 E9 18 02 00 00 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 90 98 00 00 00 83 EA 4C 74 0A 83 EA 02 74 7A E9 EA 00 00 00 8B 45 FC C6 80 93 00 00 00 06 8B 45 FC 8B 40 10 8B 10 FF 52 14 BE 05 00 00 00 BF ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 90 98 00 00 00 3B 17 75 07 8B 10 FF 52 14 EB 34 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 6D 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 B3 05 00 00 83 C7 04 4E 75 AF E9 6B 05 00 00 8B 45 FC C6 80 93 00 00 00 08 8B 45 FC 8B 40 10 8B 10 FF 52 14 BE 04 00 00 00 BF ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 90 98 00 00 00 3B 17 75 07 8B 10 FF 52 14 EB 34 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 6E 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 3E 05 00 00 83 C7 04 4E 75 AF E9 F6 04 00 00 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 7D 33 C0 5A 59 59 64 89 10 E9 0F 05 00 00 8B 45 FC C6 80 93 00 00 00 00 8B 45 FC 8B 40 10 8B 10 FF 52 14 BE 06 00 00 00 BF ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 90 98 00 00 00 3B 17 75 07 8B 10 FF 52 14 EB 34 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 6A 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 A5 04 00 00 83 C7 04 4E 75 AF E9 5D 04 00 00 8B 45 FC C6 80 93 00 00 00 0B 8B 45 FC 8B 40 10 8B 10 FF 52 14 BE 07 00 00 00 BF ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 90 98 00 00 00 3B 17 75 07 8B 10 FF 52 14 EB 34 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 8A 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 30 04 00 00 83 C7 04 4E 75 AF E9 E8 03 00 00 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 7D 33 C0 5A 59 59 64 89 10 E9 01 04 00 00 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 7D 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 98 03 00 00 8B 45 FC C6 80 93 00 00 00 03 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 E9 73 03 00 00 8B 45 FC C6 80 93 00 00 00 05 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 E9 4E 03 00 00 8B 45 FC C6 80 93 00 00 00 02 8B 45 FC 8B 40 10 83 B8 98 00 00 00 5D 75 4D 8B 10 FF 52 14 8B 45 FC 8B 40 10 83 B8 98 00 00 00 3E 75 20 8B 55 FC 8D B0 80 00 00 00 8D 7A 50 B9 0E 00 00 00 F3 A5 8B 45 FC 8B 40 10 8B 10 FF 52 14 EB 30 8B 45 FC C6 40 0C 41 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 8B 45 FC C6 40 0C 41 8B 45 FC 83 C0 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 E9 B6 02 00 00 8B 45 FC C6 80 93 00 00 00 10 8B 45 FC 8B 40 10 8B 40 20 8B F0 8B D0 8B 45 FC 8B 80 88 00 00 00 8B 08 FF 51 08 EB 5D 81 FB 9C 00 00 00 75 33 8B 45 FC 56 8D 77 08 8D 78 18 B9 0E 00 00 00 F3 A5 5E 8B 45 FC C6 40 0C 5B 8B 45 FC 83 C0 08 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 91 02 00 00 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 50 20 8B 45 FC 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 FC 8B 78 10 8B 9F 98 00 00 00 3B F3 75 93 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 50 20 8B 45 FC 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 E9 E5 01 00 00 8B 45 FC C6 80 93 00 00 00 0C 8B 45 FC 8B 40 10 8B 50 20 8B 45 FC 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 E9 A9 01 00 00 8B 45 FC C6 80 93 00 00 00 0C 8B 45 FC 8B 40 10 8B 50 20 8B 45 FC 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 FC 8B 40 10 8B 90 98 00 00 00 83 C2 D6 83 EA 02 72 05 83 EA 13 75 1C 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 50 20 8B 45 FC 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 E9 38 01 00 00 8B 45 FC C6 80 93 00 00 00 07 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 E9 13 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5F 8B 45 FC C6 80 93 00 00 00 13 8B 45 FC 8B 40 10 8B 50 20 8B 45 FC 8B 80 88 00 00 00 8B 08 FF 51 08 EB 22 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 50 20 8B 45 FC 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 FC 8B 40 10 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 C9 E9 93 00 00 00 8B 45 FC 8B 40 10 83 78 20 25 75 0C 8B 45 FC C6 80 93 00 00 00 0A EB 0A 8B 45 FC C6 80 93 00 00 00 12 8B 45 FC 8B 40 10 8B 50 20 8B 45 FC 8B 80 88 00 00 00 8B 08 FF 51 08 EB 2E 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 40 10 8B 50 20 8B 45 FC 8B 80 88 00 00 00 8B 08 FF 51 08 8B 45 FC 8B 40 10 83 78 20 3B 74 2A 8B 45 FC 8B 40 10 8B 98 98 00 00 00 8B C3 83 C0 E0 83 F8 7F 77 07 0F A3 05 ?? ?? ?? ?? 72 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 A8 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 33 C0 5A 59 59 64 89 10 EB 33 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC 8B 40 10 8B 55 FC 8D 70 08 8D 7A 18 B9 0E 00 00 00 F3 A5 8B 45 FC C6 40 0C 41 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 02 00 00 00 3F 00 00 00 A4 13 00 D0 00 00 00 28 00 00 00 10 00 00 00 10 02 00 00 00 3E 00 00 00 06 00 00 00 2D 00 2D 00 3E 00 00 00 08 00 00 00 3C 00 21 00 2D 00 2D 00 00 00 00 00 12 00 00 00 3C 00 21 00 45 00 4C 00 45 00 4D 00 45 00 4E 00 54 00 00 00 10 00 00 00 3C 00 21 00 45 00 4E 00 54 00 49 00 54 00 59 00 00 00 00 00 12 00 00 00 3C 00 21 00 41 00 54 00 54 00 4C 00 49 00 53 00 54 00 00 00 14 00 00 00 3C 00 21 00 4E 00 4F 00 54 00 41 00 54 00 49 00 4F 00 4E 00 00 00 00 00 04 00 00 00 3C 00 21 00 00 00 00 00 06 00 00 00 5D 00 5D 00 3E 00 00 00 A4 13 00 50 00 00 00 28 00 00 00 10 00 00 00 10 }
	condition:
		$1
}

rule function_111736_0 {
	meta:
		name = "TXmlDtdDetailTokenizer.NextEndOfIgnoredCondSect"
		size = 338
		refs = "0040 @WStrClr 004a TXmlDtdDetailTokenizer.NextEndOfIgnoredCondSect 0130 @HandleOnException 0138 _Dn_EConvertError 0148 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 80 B8 93 00 00 00 07 0F 84 32 01 00 00 8B 45 FC 8B 80 88 00 00 00 8B 10 FF 52 1C 8B 45 FC C6 80 93 00 00 00 09 8B 45 FC C6 40 0C 00 8B 45 FC 83 C0 08 E8 ?? ?? ?? ?? 33 FF 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 BC 00 00 00 8B 45 FC 8B 40 10 8B 10 FF 52 14 8B 45 FC 8B 70 10 8B 46 20 83 E8 3C 74 13 83 E8 21 74 3F 83 E8 3F 0F 84 8B 00 00 00 E9 90 00 00 00 83 BE 98 00 00 00 21 0F 85 83 00 00 00 8B C6 8B 10 FF 52 14 8B 45 FC 8B 40 10 83 B8 98 00 00 00 5B 75 6D 8B 45 FC 8B 40 10 8B 10 FF 52 14 47 EB 5F 83 BE 98 00 00 00 5D 75 56 8B C6 8B 10 FF 52 14 EB 07 8B C3 8B 10 FF 52 14 8B 45 FC 8B 58 10 83 BB 98 00 00 00 5D 74 EA 8B 45 FC 8B 40 10 83 B8 98 00 00 00 3E 75 28 8B 45 FC 8B 40 10 8B 10 FF 52 14 85 FF 75 0C 8B 45 FC C6 80 93 00 00 00 02 EB 0D 4F EB 0A 8B 45 FC C6 80 93 00 00 00 07 8B 45 FC 80 B8 93 00 00 00 09 0F 84 34 FF FF FF 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC C6 40 0C 41 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_111737_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.Create"
		size = 304
		refs = "0011 @ClassCreate 0021 TXmlDtdDetailPETokenizer.Create 0028 _DV_ENot_Supported_Err 002d Exception.Create 0032 @RaiseExcept 003b TObject.Create 004a TUtilsUCS4Reader.GetBufSize 0054 _Dn_TObjectStack 0059 TOrderedList.Create 0081 _Dn_TUtilsWideStringList 0098 TUtilsWideStringList.SetSorted 00ae TOrderedList.Push 00d0 TXmlDtdDetailPETokenizer.CreateInternalTokenizer 00dd @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 18 00 C6 43 30 00 8B C6 E8 ?? ?? ?? ?? 89 43 08 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 14 C6 47 0C 01 8B C7 33 D2 E8 ?? ?? ?? ?? C6 43 0C 00 8B 7B 1C 33 C0 89 45 F8 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 7B 10 33 C0 89 45 F4 8B 55 F4 8B C7 E8 ?? ?? ?? ?? 0F B6 45 08 50 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111738_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.CreateInternalInputSource"
		size = 184
		refs = "0018 TXmlDtdDetailPETokenizer.CreateInternalInputSource 0033 _DV_TXmlSimpleInputSource 003a TXmlSimpleInputSource.Create 005c TXmlDtdDetailPETokenizer.CreateInternalTokenizer 006b TOrderedList.Push 007a @HandleAnyException 0082 TObject.Free 0087 @RaiseAgain 008c @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B D8 8B 45 10 50 8B 45 0C 50 8B 43 08 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 45 08 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 5B 10 8B 75 FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 54 00 46 00 2D 00 31 00 36 00 4C 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_111739_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.CreateInternalStream"
		size = 123
		refs = "000e _Dn_TUtilsWideStringStream 0015 TUtilsWideStringStream.Create 0020 TXmlDtdDetailPETokenizer.CreateInternalStream 003f TXmlDtdDetailPETokenizer.CreateInternalInputSource 004e TOrderedList.Push 005d @HandleAnyException 0065 TObject.Free 006a @RaiseAgain 006f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B D8 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 10 50 8B 45 0C 50 0F B6 45 08 50 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 5B 1C 8B 75 FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_111740_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.CreateInternalTokenizer"
		size = 64
		refs = "0017 _DV_TXmlDtdDetailTokenizer 001e TXmlDtdDetailTokenizer.Create 0029 TOrderedList.Push"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F0 8B 5E 20 0F B6 45 08 50 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B F8 8B D7 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 46 14 8B 08 FF 51 40 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_111741_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.Destroy"
		size = 89
		refs = "0003 @BeforeDestruction 0010 TXmlDtdDetailPETokenizer.DestroyInternalTokenizer 0018 TOrderedList.Count 0024 TObject.Free 0047 TObject.Destroy 0052 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 EB 07 8B C6 E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? 85 C0 7F ED 8B 46 14 E8 ?? ?? ?? ?? 8B 46 1C E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 46 20 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111742_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.DestroyInternalTokenizer"
		size = 66
		refs = "000d TObject.Free"
	strings:
		$1 = { 53 56 8B D8 8B 43 20 8B 10 FF 52 04 E8 ?? ?? ?? ?? 8B 43 10 8B 10 FF 52 04 E8 ?? ?? ?? ?? 8B 43 1C 8B 10 FF 52 04 E8 ?? ?? ?? ?? 8B 73 14 8B C6 8B 10 FF 52 1C 8B D0 4A 8B C6 8B 08 FF 51 4C 5E 5B C3 }
	condition:
		$1
}

rule function_111743_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.DoResolveParameterEntity"
		size = 109
		refs = "0032 @WStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 89 55 FC 8B D8 8B 7D 08 85 F6 74 04 33 C0 89 06 8B 45 10 85 C0 74 04 33 D2 89 10 8B 45 0C 85 C0 74 04 33 D2 89 10 8B C6 E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? C6 07 2B 66 83 7B 2A 00 74 15 56 8B 45 10 50 8B 45 0C 50 57 8B 4D FC 8B D3 8B 43 2C FF 53 28 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_111744_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.GetClue"
		size = 26
		refs = "0009 TXmlDtdDetailPETokenizer.GetInternalTokenizer 0013 @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 50 08 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111745_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.GetCurrentPEName"
		size = 33
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 14 8B C6 8B 10 FF 52 1C 8B D0 4A 8B CF 8B C6 8B 18 FF 53 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111746_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.GetEndByteNumber"
		size = 36
		refs = "0009 TXmlDtdDetailPETokenizer.GetInternalTokenizer"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 04 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_111747_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.GetEndCharNumber"
		size = 36
		refs = "0009 TXmlDtdDetailPETokenizer.GetInternalTokenizer"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 08 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_111748_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.GetEndColumnNumber"
		size = 36
		refs = "0009 TXmlDtdDetailPETokenizer.GetInternalTokenizer"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 0C 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_111749_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.GetEndLineNumber"
		size = 36
		refs = "0009 TXmlDtdDetailPETokenizer.GetInternalTokenizer"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 10 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_111750_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.GetEndTabsInLine"
		size = 36
		refs = "0009 TXmlDtdDetailPETokenizer.GetInternalTokenizer"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 14 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_111751_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.GetErrorType"
		size = 39
		refs = "0014 ET_WARNINGS 001d TXmlDtdDetailPETokenizer.GetInternalTokenizer"
	strings:
		$1 = { 53 8B D8 0F B6 43 0C 8B D0 80 FA 9F 77 0A 0F B6 D2 0F A3 15 ?? ?? ?? ?? 73 0B 8B C3 E8 ?? ?? ?? ?? 0F B6 40 0C 5B C3 }
	condition:
		$1
}

rule function_111752_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.GetInternalTokenizer"
		size = 9
	strings:
		$1 = { 8B 40 20 8B 10 FF 52 08 C3 }
	condition:
		$1
}

rule function_111753_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.GetIsPERefInDeclSep"
		size = 19
		refs = "0006 TXmlDtdDetailPETokenizer.GetInternalTokenizer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 0F B6 80 90 00 00 00 5B C3 }
	condition:
		$1
}

rule function_111754_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.GetIsProcessingPE"
		size = 17
		refs = "0007 TOrderedList.Count"
	strings:
		$1 = { 53 8B D8 8B 43 20 E8 ?? ?? ?? ?? 48 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_111755_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.GetRelatedDtdObject"
		size = 17
		refs = "0006 TXmlDtdDetailPETokenizer.GetInternalTokenizer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 18 5B C3 }
	condition:
		$1
}

rule function_111756_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.GetRelatedNode"
		size = 17
		refs = "0006 TXmlDtdDetailPETokenizer.GetInternalTokenizer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 1C 5B C3 }
	condition:
		$1
}

rule function_111757_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.GetStartByteNumber"
		size = 36
		refs = "0009 TXmlDtdDetailPETokenizer.GetInternalTokenizer"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 20 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_111758_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.GetStartCharNumber"
		size = 36
		refs = "0009 TXmlDtdDetailPETokenizer.GetInternalTokenizer"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 24 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_111759_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.GetStartColumnNumber"
		size = 36
		refs = "0009 TXmlDtdDetailPETokenizer.GetInternalTokenizer"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 28 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_111760_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.GetStartLineNumber"
		size = 36
		refs = "0009 TXmlDtdDetailPETokenizer.GetInternalTokenizer"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 2C 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_111761_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.GetStartTabsInLine"
		size = 36
		refs = "0009 TXmlDtdDetailPETokenizer.GetInternalTokenizer"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 30 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_111762_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.GetTokenType"
		size = 102
		refs = "000d TXmlDtdDetailPETokenizer.GetTokenType 001a TXmlDtdDetailPETokenizer.GetInternalTokenizer 0030 TXmlDtdDetailPETokenizer.GetTokenValue 0038 IsXmlPEReference 0053 @WStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 0F B6 98 93 00 00 00 80 FB 0A 75 18 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 02 B3 0D 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_111764_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.GetUri"
		size = 23
		refs = "0009 TXmlDtdDetailPETokenizer.GetInternalTokenizer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 08 FF 51 34 5E 5B C3 }
	condition:
		$1
}

rule function_111765_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.Next"
		size = 692
		refs = "0019 TXmlDtdDetailPETokenizer.Next 0027 TXmlDtdDetailPETokenizer.GetTokenType 0031 TXmlDtdDetailPETokenizer.GetInternalTokenizer 00e9 @WStrCopy 00f1 @WStrClr 0114 TXmlDtdDetailPETokenizer.DoResolveParameterEntity 0147 ET_WARNINGS 0166 ResolveRelativeUriWideStr 0180 @WStrCat3 019c @WStrCatN 01ca TXmlDtdDetailPETokenizer.CreateInternalStream 01d9 @HandleAnyException 01e5 @DoneExcept 01ed TXmlDtdDetailPETokenizer.GetErrorType 0230 TOrderedList.Count 025c TXmlDtdDetailPETokenizer.DestroyInternalTokenizer 0298 @WStrArrayClr 029e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E0 E8 ?? ?? ?? ?? 8B D8 8B 45 E0 E8 ?? ?? ?? ?? 8B 10 FF 52 38 8B 45 E0 C6 40 0C 00 8B 45 E0 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 0D 0F 87 1D 02 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 02 00 00 00 00 03 02 04 02 00 00 02 00 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 E0 80 78 30 00 74 15 8B 45 E0 80 78 18 00 74 0C 8B 45 E0 C6 40 0C 8B E9 CF 01 00 00 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 E4 8B 08 FF 11 8B 45 E0 E8 ?? ?? ?? ?? 8D 55 D8 8B 08 FF 11 8B 45 D8 89 45 D4 8B 75 D4 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 F8 50 8B CE 83 E9 02 BA 02 00 00 00 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 45 EC E8 ?? ?? ?? ?? 50 8D 45 DF 50 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B 45 E0 E8 ?? ?? ?? ?? 0F B6 45 DF 2C 2B 74 04 2C 6F 75 15 8B 45 E0 80 78 18 02 75 0C 8B 45 E0 C6 40 0C 00 E9 39 01 00 00 0F B6 45 DF 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 0F 83 BA 00 00 00 8D 55 D0 8B 45 E0 8B 08 FF 51 34 8B 45 D0 8D 4D FC 8B 55 EC E8 ?? ?? ?? ?? 80 EB 0D 74 05 80 EB 06 75 12 8D 45 E8 B9 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? EB 1A 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 50 8B 45 FC 50 8B 45 E0 0F B6 40 30 34 01 50 8B 4D F8 8B 55 E8 8B 45 E0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 11 E9 ?? ?? ?? ?? 8B 45 E0 C6 40 0C 9B E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 71 8B 45 E0 8B 10 FF 52 38 EB 67 0F B6 45 DF 8B 55 E0 88 42 0C EB 5B 8B 45 E0 C6 40 30 01 EB 52 8B 45 E0 C6 40 30 00 EB 49 8B 45 E0 8B 40 20 E8 ?? ?? ?? ?? 48 7E 3B 8B 45 E0 E8 ?? ?? ?? ?? 80 B8 90 00 00 00 00 74 1A 8B 45 E0 80 78 30 00 74 11 8B 45 E0 C6 40 0C 59 8B 45 E0 E8 ?? ?? ?? ?? EB 10 8B 45 E0 E8 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 52 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C3 00 02 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_111766_0 {
	meta:
		name = "TXmlDtdDetailPETokenizer.NextEndOfIgnoredCondSect"
		size = 17
		refs = "0006 TXmlDtdDetailPETokenizer.GetInternalTokenizer"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 10 FF 52 3C 5B C3 }
	condition:
		$1
}

rule function_111768_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.Create"
		size = 348
		refs = "000f @ClassCreate 001f TXmlCustomSubsetTokenizer.Create 0026 _DV_ENot_Supported_Err 002b Exception.Create 0030 @RaiseExcept 0055 TObject.Create 0060 _Dn_TUtilsWideStringList 0077 TUtilsWideStringList.SetSorted 00c9 _DV_TXmlDtdDetailPETokenizer 00ce TXmlDtdDetailPETokenizer.Create 00e5 TXmlDtdDetailPETokenizer.GetTokenType 00fb TXmlDtdDetailPETokenizer.GetErrorType 010b @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 85 FF 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D 08 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 08 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 14 C6 46 0C 01 8B C6 33 D2 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 18 C6 46 0C 01 8B C6 33 D2 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 40 C6 46 0C 01 8B C6 33 D2 E8 ?? ?? ?? ?? 33 C0 89 43 1C 8B 45 08 89 43 28 6A 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 48 89 5E 2C 8B 03 8B 40 1C 89 46 28 8B C6 E8 ?? ?? ?? ?? 3C 11 75 06 C6 43 2C 0C EB 04 C6 43 2C 04 8B 43 48 E8 ?? ?? ?? ?? 88 43 24 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111769_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.Destroy"
		size = 76
		refs = "0003 @BeforeDestruction 000f TObject.Free 003a TObject.Destroy 0045 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 1C E8 ?? ?? ?? ?? 8B 46 48 E8 ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111770_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.CreateCommentSignal"
		size = 103
		refs = "0016 _DV_TXmlCommentSignal 001b TXmlSignal.CreateFromLocator 0026 TXmlCustomSubsetTokenizer.CreateCommentSignal 0039 @WStrAsg 0048 @HandleAnyException 0050 TObject.Free 0055 @RaiseAgain 005a @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B DA 85 C0 74 03 83 E8 B4 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 70 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_111771_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.CreateElementDeclSignal"
		size = 130
		refs = "0018 _DV_TXmlElementTypeDeclarationSignal 001d TXmlSignal.CreateFromLocator 0028 TXmlCustomSubsetTokenizer.CreateElementDeclSignal 003b @WStrAsg 0061 @HandleAnyException 0069 TObject.Free 006e @RaiseAgain 0073 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 85 C0 74 03 83 E8 B4 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 74 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 70 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 55 08 88 50 78 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_111772_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.CreateEntityDeclSignal"
		size = 193
		refs = "0018 _DV_TXmlEntityDeclarationSignal 001d TXmlSignal.CreateFromLocator 0028 TXmlCustomSubsetTokenizer.CreateEntityDeclSignal 003c @WStrAsg 00a0 @HandleAnyException 00a8 TObject.Free 00ad @RaiseAgain 00b2 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 85 C0 74 03 83 E8 B4 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 70 8B 55 0C E8 ?? ?? ?? ?? 8B 45 FC 05 80 00 00 00 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 74 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 78 8B 55 18 E8 ?? ?? ?? ?? 8B 45 FC 05 84 00 00 00 8B 55 14 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 7C 8B 55 10 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 55 08 88 90 88 00 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_111773_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.CreateExtPERefSignal"
		size = 129
		refs = "0016 _DV_TXmlExternalPEReferenceSignal 001b TXmlSignal.CreateFromLocator 0026 TXmlCustomSubsetTokenizer.CreateExtPERefSignal 0053 @WStrCopy 0062 @HandleAnyException 006a TObject.Free 006f @RaiseAgain 0074 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 85 C0 74 03 83 E8 B4 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DE 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8B 45 FC 83 C0 70 50 8B CB 83 E9 02 BA 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_111774_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.CreateParameterEntityDeclSignal"
		size = 164
		refs = "0018 _DV_TXmlParameterEntityDeclarationSignal 001d TXmlSignal.CreateFromLocator 0028 TXmlCustomSubsetTokenizer.CreateParameterEntityDeclSignal 003c @WStrAsg 0083 @HandleAnyException 008b TObject.Free 0090 @RaiseAgain 0095 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 85 C0 74 03 83 E8 B4 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 70 8B 55 08 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 74 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 78 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 7C 8B 55 10 E8 ?? ?? ?? ?? 8B 45 FC 05 80 00 00 00 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_111775_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.CreatePISignal"
		size = 118
		refs = "0018 _DV_TXmlProcessingInstructionSignal 001d TXmlSignal.CreateFromLocator 0028 TXmlCustomSubsetTokenizer.CreatePISignal 003b @WStrAsg 0057 @HandleAnyException 005f TObject.Free 0064 @RaiseAgain 0069 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 85 C0 74 03 83 E8 B4 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 74 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 70 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_111776_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.CreateNotationDeclSignal"
		size = 144
		refs = "0018 _DV_TXmlNotationDeclarationSignal 001d TXmlSignal.CreateFromLocator 0028 TXmlCustomSubsetTokenizer.CreateNotationDeclSignal 003b @WStrAsg 006f @HandleAnyException 0077 TObject.Free 007c @RaiseAgain 0081 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F1 8B DA 85 C0 74 03 83 E8 B4 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 70 8B D3 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 74 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 78 8B 55 0C E8 ?? ?? ?? ?? 8B 45 FC 0F B6 55 08 88 50 7C 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111777_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.DoPEReference"
		size = 29
	strings:
		$1 = { 53 66 83 78 32 00 74 13 8B C8 85 C9 74 03 83 E9 B4 8B D8 8B D0 8B 43 34 FF 53 30 5B C3 }
	condition:
		$1
}

rule function_111778_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.DoProcessingAttListDecl"
		size = 32
	strings:
		$1 = { 53 66 83 78 3A 00 74 16 8B C8 85 C9 74 03 83 E9 B4 51 8B D8 8B CA 8B D0 8B 43 3C FF 53 38 5B C3 }
	condition:
		$1
}

rule function_111779_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.GetAllowPEsInMarkup"
		size = 11
	strings:
		$1 = { 8B 40 48 80 78 18 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_111781_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.GetEntityDeclBaseUri"
		size = 41
		refs = "0018 @WStrAsg 0022 @WStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 0F B6 43 2C 2C 05 74 04 2C 05 75 0D 8B C6 8B 53 20 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111783_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.GetIsProcessingPE"
		size = 8
	strings:
		$1 = { 8B 40 48 8B 10 FF 12 C3 }
	condition:
		$1
}

rule function_111784_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.GetSystemId"
		size = 19
		altNames = "TXmlCustomSubsetTokenizer.GetUri"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 48 8B 08 FF 51 34 5E 5B C3 }
	condition:
		$1
}

rule function_111786_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.Next"
		size = 10116
		refs = "0019 TXmlCustomSubsetTokenizer.Next 002a TObject.Free 003a TXmlCustomSubsetTokenizer.ProcessPendingAttrDef 0058 TXmlDtdDetailPETokenizer.GetErrorType 0082 TXmlDtdDetailPETokenizer.GetClue 0090 @WStrAsg 00a7 @WStrClr 00b2 TXmlDtdDetailPETokenizer.GetTokenType 0131 TXmlDtdDetailPETokenizer.GetCurrentPEName 0155 ET_FATAL_ERRORS 0215 TXmlDtdDetailPETokenizer.GetTokenValue 022a _Dn_TUtilsCustomWideStr 022f TUtilsCustomWideStr.Create 0298 @TryFinallyExit 0315 @HandleFinally 0336 @WStrEqual 034a IsXmlName 037e TXmlCustomSubsetTokenizer.DoProcessingAttListDecl 03c1 TXmlCustomSubsetTokenizer.CreateCommentSignal 07a7 TXmlCustomSubsetTokenizer.CreateElementDeclSignal 0b65 @WStrCopy 0b77 TXmlCustomSubsetTokenizer.IncludePERefsInLiteral 0b82 XmlReplaceQuotes 0b94 ET_WARNINGS 0c58 TDomPERepository.Add 0c75 @HandleAnyException 0c81 @DoneExcept 0e0e IsXmlSystemChars 0f8b IsXmlPubidChars 118e IsUriURI_referenceWideStr 11b6 Pos 1562 TXmlCustomSubsetTokenizer.CreateParameterEntityDeclSignal 15c8 TXmlCustomSubsetTokenizer.CreateEntityDeclSignal 1e06 TXmlCustomSubsetTokenizer.CreateNotationDeclSignal 1fa8 TXmlCustomSubsetTokenizer.CreatePISignal 2641 TXmlCustomSubsetTokenizer.CreateExtPERefSignal 26a7 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 3A 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 B4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 B4 8B 40 1C E8 ?? ?? ?? ?? 8B 45 B4 33 D2 89 50 1C 8B 45 B4 E8 ?? ?? ?? ?? 84 C0 0F 85 48 26 00 00 8B 45 B4 8B 40 48 8B 10 FF 52 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 84 C0 74 39 8B 45 B4 C6 40 2C 08 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 B4 88 42 24 8D 55 98 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 98 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? E9 F5 25 00 00 8B 45 B4 C6 40 24 00 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 83 E0 7F 83 F8 13 0F 87 CC 25 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 B4 C6 40 2C 00 8B 45 B4 C6 40 24 70 8D 55 E4 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 45 B4 8B 40 48 8B 10 FF 52 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 32 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 B4 88 42 24 8D 55 94 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 94 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? E9 01 25 00 00 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 13 0F 85 EE 24 00 00 8B 45 B4 8B 40 48 8B 10 FF 52 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 32 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 B4 88 42 24 8D 55 90 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 90 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? E9 96 24 00 00 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 12 0F 85 83 24 00 00 8D 55 8C 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 8C 8B 45 B4 83 C0 0C E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 AC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 B4 8B 40 48 8B 10 FF 52 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 37 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 B4 88 42 24 8D 55 88 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 88 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ED 23 00 00 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 05 75 09 8B 45 B4 C6 40 24 00 EB 2C 8D 55 84 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 84 8B 45 AC 8B 08 FF 51 10 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 07 0F 85 5F FF FF FF 8D 55 80 8B 45 AC 8B 08 FF 51 24 8B 55 80 8B 45 B4 83 C0 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 AC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 95 7C FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 8B 55 E4 E8 ?? ?? ?? ?? 74 07 8B 45 B4 C6 40 24 22 8B 45 B4 8B 40 0C E8 ?? ?? ?? ?? 84 C0 75 07 8B 45 B4 C6 40 24 6F 8B 45 B4 0F B6 40 24 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 0F 82 1A 23 00 00 8B 45 B4 8B 50 0C 8B 45 B4 E8 ?? ?? ?? ?? 8B 45 B4 E8 ?? ?? ?? ?? 84 C0 0F 85 FC 22 00 00 8B 45 B4 8B 10 FF 52 54 E9 EF 22 00 00 8B 45 B4 C6 40 2C 01 8D 95 78 FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 95 78 FF FF FF 8B 45 B4 E8 ?? ?? ?? ?? 8B 55 B4 89 42 1C 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 B4 88 42 24 8D 95 74 FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? E9 8B 22 00 00 8B 45 B4 C6 40 2C 03 8B 45 B4 C6 40 24 74 8D 55 E4 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 45 B4 8B 40 48 8B 10 FF 52 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 B4 88 42 24 8D 95 70 FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? E9 11 22 00 00 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 13 0F 85 FE 21 00 00 8B 45 B4 8B 40 48 8B 10 FF 52 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 B4 88 42 24 8D 95 6C FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? E9 A0 21 00 00 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 12 0F 85 8D 21 00 00 8D 55 FC 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 45 B4 8B 40 48 8B 10 FF 52 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 B4 88 42 24 8D 95 68 FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 95 68 FF FF FF 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? E9 21 21 00 00 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 13 0F 85 0E 21 00 00 8B 45 B4 8B 40 40 8B 10 FF 52 48 33 DB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 A8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 B4 8B 40 48 8B 10 FF 52 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 3D 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 B4 88 42 24 8D 95 64 FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 95 64 FF FF FF 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 81 20 00 00 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 2C 05 74 09 2C 07 74 11 E9 E2 00 00 00 8B 45 B4 C6 40 24 00 E9 08 01 00 00 8D 95 60 FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 85 60 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 27 8D 95 5C FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 95 5C FF FF FF 8B 45 B4 8B 40 40 8B 08 FF 51 40 E9 8C 00 00 00 8D 95 58 FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 66 83 38 29 75 6F 8B 45 B4 8B 40 40 8B 10 FF 52 1C 85 C0 7E 60 8B 45 B4 8B 40 40 8B 10 FF 52 1C 8B D0 4A 8D 8D 54 FF FF FF 8B 45 B4 8B 40 40 8B 30 FF 56 14 8B 85 54 FF FF FF 50 8D 95 50 FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 95 50 FF FF FF 58 E8 ?? ?? ?? ?? 74 02 B3 01 8B 45 B4 8B 40 40 8B 10 FF 52 1C 8B D0 4A 8B 45 B4 8B 40 40 8B 08 FF 51 4C 8D 95 4C FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 95 4C FF FF FF 8B 45 A8 8B 08 FF 51 10 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 07 0F 85 71 FE FF FF 84 DB 74 07 8B 45 B4 C6 40 24 23 8D 95 48 FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 8B 55 E4 E8 ?? ?? ?? ?? 74 07 8B 45 B4 C6 40 24 22 8B 45 B4 0F B6 40 24 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 72 2E 8B 45 B4 8B 10 FF 52 10 50 8D 95 44 FF FF FF 8B 45 A8 8B 08 FF 51 24 8B 8D 44 FF FF FF 8B 55 FC 8B 45 B4 E8 ?? ?? ?? ?? 8B 55 B4 89 42 1C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 A8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 B4 C6 40 2C 05 8B 45 B4 C6 40 24 77 8D 55 E4 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8D 95 40 FF FF FF 8B 45 B4 8B 40 48 8B 08 FF 51 34 8B 95 40 FF FF FF 8B 45 B4 83 C0 20 E8 ?? ?? ?? ?? 8B 45 B4 8B 40 48 8B 10 FF 52 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 B4 88 42 24 8D 95 3C FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 95 3C FF FF FF 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? E9 24 1E 00 00 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 13 0F 85 11 1E 00 00 8B 45 B4 8B 40 48 8B 10 FF 52 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 B4 88 42 24 8D 95 38 FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 95 38 FF FF FF 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? E9 B3 1D 00 00 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 2C 0A 74 1B 2C 08 0F 85 9C 1D 00 00 8D 55 F8 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? E9 25 01 00 00 8B 45 B4 C6 40 2C 0A 8B 45 B4 C6 40 24 82 8D 95 34 FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 85 34 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 54 1D 00 00 8B 45 B4 8B 40 48 8B 10 FF 52 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 B4 88 42 24 8D 95 30 FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 95 30 FF FF FF 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? E9 F6 1C 00 00 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 13 0F 85 E3 1C 00 00 8B 45 B4 8B 40 48 8B 10 FF 52 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 B4 88 42 24 8D 95 2C FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 95 2C FF FF FF 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? E9 85 1C 00 00 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 12 0F 85 72 1C 00 00 8D 55 F8 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 45 B4 8B 40 48 8B 10 FF 52 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 B4 88 42 24 8D 95 28 FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 95 28 FF FF FF 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? E9 06 1C 00 00 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 13 0F 85 F3 1B 00 00 8B 45 B4 8B 40 48 8B 10 FF 52 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 B4 88 42 24 8D 95 24 FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 95 24 FF FF FF 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? E9 95 1B 00 00 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 2C 10 74 0D 2C 02 0F 84 84 01 00 00 E9 79 1B 00 00 8D 55 D0 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8D 95 20 FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 85 20 FF FF FF 89 85 1C FF FF FF 8B 9D 1C FF FF FF 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8D 45 D8 50 8B CB 83 E9 02 BA 02 00 00 00 8B 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 50 8D 4D B3 8B 55 D8 8B 45 B4 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 D4 E8 ?? ?? ?? ?? 0F B6 45 B3 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 72 0F 0F B6 45 B3 8B 55 B4 88 42 24 E9 E5 1A 00 00 8B 45 B4 8B 40 48 8B 10 FF 52 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 B4 88 42 24 8D 95 18 FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 95 18 FF FF FF 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? E9 87 1A 00 00 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 13 74 93 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 05 0F 85 65 1A 00 00 8B 45 B4 C6 40 24 00 8B 45 B4 80 78 2C 0A 0F 85 B0 08 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 B4 8B 40 28 8B 4D D4 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 75 07 8B 45 B4 C6 40 24 05 33 C0 5A 59 59 64 89 10 E9 79 08 00 00 E9 ?? ?? ?? ?? 8B 45 B4 C6 40 24 82 E8 ?? ?? ?? ?? E9 04 1A 00 00 E8 ?? ?? ?? ?? E9 59 08 00 00 8D 95 14 FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 85 14 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 64 01 00 00 8B 45 B4 8B 40 48 8B 10 FF 52 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 B4 88 42 24 8D 95 10 FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 95 10 FF FF FF 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? E9 75 19 00 00 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 13 74 15 8B 45 B4 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 51 19 00 00 8B 45 B4 8B 40 48 8B 10 FF 52 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 B4 88 42 24 8D 95 0C FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 95 0C FF FF FF 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? E9 F3 18 00 00 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 10 0F 85 E0 18 00 00 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8D 95 08 FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 85 08 FF FF FF 89 85 1C FF FF FF 8B 9D 1C FF FF FF 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8D 45 DC 50 8B CB 83 E9 02 BA 02 00 00 00 8B 45 CC E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 84 C0 0F 84 74 18 00 00 E9 C9 02 00 00 8D 95 04 FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 85 04 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 48 18 00 00 8B 45 B4 8B 40 48 8B 10 FF 52 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 B4 88 42 24 8D 95 00 FF FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 95 00 FF FF FF 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? E9 EA 17 00 00 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 13 74 15 8B 45 B4 83 C0 10 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C6 17 00 00 8B 45 B4 8B 40 48 8B 10 FF 52 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 B4 88 42 24 8D 95 FC FE FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 95 FC FE FF FF 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? E9 68 17 00 00 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 10 0F 85 55 17 00 00 8D 55 C8 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8D 95 F8 FE FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 85 F8 FE FF FF 89 45 A4 8B 5D A4 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8D 45 E0 50 8B CB 83 E9 02 BA 02 00 00 00 8B 45 C8 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 0F 84 F7 16 00 00 8B 45 B4 8B 40 48 8B 10 FF 52 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 38 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 55 B4 88 42 24 8D 95 F4 FE FF FF 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? 8B 95 F4 FE FF FF 8B 45 B4 83 C0 10 E8 ?? ?? ?? ?? E9 99 16 00 00 8B 45 B4 8B 40 48 E8 ?? ?? ?? ?? }
	condition:
		$1
}

rule function_111787_0 {
	meta:
		name = "StrToDataType"
		size = 404
		refs = "000b @WStrEqual 001c StrToDataType"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 33 D2 E8 ?? ?? ?? ?? 75 08 C6 06 07 B0 01 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A C6 06 00 B0 01 E9 B0 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A C6 06 02 B0 01 E9 98 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A C6 06 03 B0 01 E9 80 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 C6 06 04 B0 01 EB 6B 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 C6 06 05 B0 01 EB 56 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 C6 06 06 B0 01 EB 41 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 C6 06 07 B0 01 EB 2C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 C6 06 08 B0 01 EB 17 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 C6 06 01 B0 01 EB 02 33 C0 5E 5B C3 0A 00 00 00 43 00 44 00 41 00 54 00 41 00 00 00 04 00 00 00 49 00 44 00 00 00 00 00 0A 00 00 00 49 00 44 00 52 00 45 00 46 00 00 00 0C 00 00 00 49 00 44 00 52 00 45 00 46 00 53 00 00 00 00 00 0C 00 00 00 45 00 4E 00 54 00 49 00 54 00 59 00 00 00 00 00 10 00 00 00 45 00 4E 00 54 00 49 00 54 00 49 00 45 00 53 00 00 00 00 00 0E 00 00 00 4E 00 4D 00 54 00 4F 00 4B 00 45 00 4E 00 00 00 10 00 00 00 4E 00 4D 00 54 00 4F 00 4B 00 45 00 4E 00 53 00 00 00 00 00 10 00 00 00 4E 00 4F 00 54 00 41 00 54 00 49 00 4F 00 4E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111788_0 {
	meta:
		name = "StrToConstaintType"
		size = 144
		refs = "0009 StrToConstaintType 000e @WStrEqual"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 08 C6 06 03 B0 01 5E 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 C6 06 02 B0 01 EB 17 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 C6 06 01 B0 01 EB 02 33 C0 5E 5B C3 00 12 00 00 00 23 00 52 00 45 00 51 00 55 00 49 00 52 00 45 00 44 00 00 00 10 00 00 00 23 00 49 00 4D 00 50 00 4C 00 49 00 45 00 44 00 00 00 00 00 0C 00 00 00 23 00 46 00 49 00 58 00 45 00 44 00 00 00 00 00 }
	condition:
		$1
}

rule function_111789_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.FindNextAttDef"
		size = 1100
		refs = "001e @WStrAddRef 0052 TXmlCustomSubsetTokenizer.FindNextAttDef 0062 @WStrClr 00dd IsXmlWhiteSpace 0127 @WStrCopy 01c8 StrToDataType 031c StrToConstaintType 0428 @WStrArrayClr 043b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D E8 89 5D F8 89 4D F4 89 55 FC 8D 45 FC E8 ?? ?? ?? ?? 8B 45 14 85 C0 74 04 33 D2 89 10 8B 45 10 85 C0 74 04 33 D2 89 10 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8D 45 F8 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 10 E8 ?? ?? ?? ?? C6 45 ED 00 C6 45 EF 00 C6 45 EE 00 8B 45 18 C6 00 00 8B 45 14 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 75 07 33 DB E9 61 03 00 00 BF 01 00 00 00 EB 1C 47 8B 75 FC 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 3B F7 7D 07 33 DB E9 3E 03 00 00 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 D3 89 7D F0 EB 1C 47 8B 75 FC 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 3B F7 7D 07 33 DB E9 0C 03 00 00 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 74 D3 8B 45 14 50 8B CF 2B 4D F0 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? EB 1C 47 8B 75 FC 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 3B F7 7D 07 33 DB E9 C9 02 00 00 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 D3 89 7D F0 8B 45 FC 8B 55 F0 66 83 7C 50 FE 28 75 04 C6 45 EF 01 80 7D EF 00 74 27 8B 45 F4 C6 00 07 E9 95 00 00 00 47 8B 75 FC 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 3B F7 7D 07 33 DB E9 76 02 00 00 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 74 D3 8D 45 E8 50 8B CF 2B 4D F0 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 8B 55 F4 E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 3B 02 00 00 8B 45 F4 80 38 01 75 22 C6 45 EF 01 EB 1C 47 8B 75 FC 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 3B F7 7D 07 33 DB E9 11 02 00 00 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 D3 89 7D F0 80 7D EF 00 0F 84 98 00 00 00 8B 45 FC 8B 55 F0 66 83 7C 50 FE 28 74 21 33 DB E9 DE 01 00 00 47 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 3B C7 7F 07 33 DB E9 C4 01 00 00 8B 45 FC 66 83 7C 78 FE 29 75 DB 8B 45 10 50 8B CF 2B 4D F0 41 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 23 33 DB E9 8B 01 00 00 47 8B 75 FC 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 3B F7 7D 07 33 DB E9 6F 01 00 00 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 D3 89 7D F0 8B 45 FC 8B 55 F0 66 83 7C 50 FE 23 75 06 C6 45 EE 01 EB 04 C6 45 ED 01 80 7D EE 00 0F 84 A7 00 00 00 EB 15 47 8B 75 FC 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 3B F7 7C 11 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 74 DA 8D 45 E4 50 8B CF 2B 4D F0 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 8B 55 18 E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 E7 00 00 00 8B 45 18 80 38 01 75 4D C6 45 ED 01 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 3B C7 7D 23 33 DB E9 C2 00 00 00 47 8B 75 FC 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 3B F7 7D 07 33 DB E9 A6 00 00 00 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 D3 89 7D F0 80 7D ED 00 74 69 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 3B C7 75 04 33 DB EB 76 8B 45 FC 0F B7 54 78 FE 66 83 FA 22 74 0A 66 83 FA 27 74 04 33 DB EB 5E 47 EB 17 47 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 3B C7 7D 04 33 DB EB 44 8B 45 FC 66 3B 54 78 FE 75 DF 8B 45 0C 50 8B CF 2B 4D F0 49 8B 55 F0 42 8B 45 FC E8 ?? ?? ?? ?? 47 8B 75 FC 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8B 45 08 50 8B CE 2B CF 41 8B D7 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_111790_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.GetEndByteNumber"
		size = 28
	strings:
		$1 = { 83 C4 F8 8B 40 48 8B 10 FF 52 04 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_111791_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.GetEndCharNumber"
		size = 28
	strings:
		$1 = { 83 C4 F8 8B 40 48 8B 10 FF 52 08 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_111792_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.GetEndColumnNumber"
		size = 28
	strings:
		$1 = { 83 C4 F8 8B 40 48 8B 10 FF 52 0C 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_111793_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.GetEndLineNumber"
		size = 28
	strings:
		$1 = { 83 C4 F8 8B 40 48 8B 10 FF 52 10 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_111794_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.GetEndTabsInLine"
		size = 28
	strings:
		$1 = { 83 C4 F8 8B 40 48 8B 10 FF 52 14 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_111795_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.GetRelatedDtdObject"
		size = 9
	strings:
		$1 = { 8B 40 48 8B 10 FF 52 18 C3 }
	condition:
		$1
}

rule function_111796_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.GetRelatedNode"
		size = 9
	strings:
		$1 = { 8B 40 48 8B 10 FF 52 1C C3 }
	condition:
		$1
}

rule function_111797_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.GetStartByteNumber"
		size = 28
	strings:
		$1 = { 83 C4 F8 8B 40 48 8B 10 FF 52 20 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_111798_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.GetStartCharNumber"
		size = 28
	strings:
		$1 = { 83 C4 F8 8B 40 48 8B 10 FF 52 24 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_111799_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.GetStartColumnNumber"
		size = 28
	strings:
		$1 = { 83 C4 F8 8B 40 48 8B 10 FF 52 28 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_111800_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.GetStartLineNumber"
		size = 28
	strings:
		$1 = { 83 C4 F8 8B 40 48 8B 10 FF 52 2C 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_111801_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.GetStartTabsInLine"
		size = 28
	strings:
		$1 = { 83 C4 F8 8B 40 48 8B 10 FF 52 30 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_111803_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.IncludePERefsInLiteral"
		size = 632
		refs = "0025 TXmlCustomSubsetTokenizer.IncludePERefsInLiteral 0038 _Dn_TUtilsCustomWideStr 003d TUtilsCustomWideStr.Create 0085 PERCENT 00ad IsXmlNameStartChar 0113 IsXmlNameChar 011e SEMICOLON 0143 @WStrClr 019c @WStrAsg 01a1 @TryFinallyExit 01e6 TObject.Free 01ec @HandleFinally 0258 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 DB 89 5D D0 89 5D D4 89 5D FC 89 5D F8 89 5D F4 89 4D E8 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 C6 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 EC 85 C0 74 07 83 E8 04 8B 00 D1 E8 89 45 E0 33 C0 89 45 E4 8B 45 E4 3B 45 E0 0F 8D A6 01 00 00 FF 45 E4 8B 45 EC 8B 55 E4 0F B7 5C 50 FE 66 3B 1D ?? ?? ?? ?? 0F 85 75 01 00 00 8B 45 E0 48 3B 45 E4 0F 8E 68 01 00 00 FF 45 E4 8B 45 EC 8B 55 E4 0F B7 5C 50 FE 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 39 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 D8 8B 08 FF 51 0C FF 45 E4 8B 45 EC 8B 55 E4 0F B7 5C 50 FE EB 20 8B D3 8B 45 D8 8B 08 FF 51 0C FF 45 E4 8B 45 E4 3B 45 E0 7F 16 8B 45 EC 8B 55 E4 0F B7 5C 50 FE 8B C3 E8 ?? ?? ?? ?? 84 C0 75 D5 66 3B 1D ?? ?? ?? ?? 0F 85 87 00 00 00 8B 45 F0 8B 10 FF 12 84 C0 75 0C 8B 45 F0 8B 10 FF 52 10 84 C0 74 48 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8D 55 D4 8B 45 D8 8B 08 FF 51 24 8B 55 D4 8B 45 F0 8B 40 28 B1 01 8B 18 FF 53 0C 8B 55 E8 88 02 8B 55 FC 8B 45 DC 8B 08 FF 51 10 EB 06 8B 45 E8 C6 00 8B 8B 45 E8 80 38 00 74 40 8B 45 08 8B 55 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 93 00 00 00 BA 25 00 00 00 8B 45 DC 8B 08 FF 51 08 8D 55 D0 8B 45 D8 8B 08 FF 51 24 8B 55 D0 8B 45 DC 8B 08 FF 51 10 FF 4D E4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 BA 25 00 00 00 8B 45 DC 8B 08 FF 51 08 FF 4D E4 EB 0A 8B D3 8B 45 DC 8B 08 FF 51 0C 8B 45 E4 3B 45 E0 0F 8C 5A FE FF FF 8B 55 08 8B 45 DC 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_111804_0 {
	meta:
		name = "TXmlCustomSubsetTokenizer.ProcessPendingAttrDef"
		size = 776
		refs = "001a TXmlCustomSubsetTokenizer.ProcessPendingAttrDef 002e TrimWhitespace 003c @WStrAsg 0049 @WStrEqual 005d @WStrClr 008a TXmlCustomSubsetTokenizer.FindNextAttDef 00c1 _DV_TXmlAttributeDefinitionSignal 00c6 TXmlSignal.CreateFromLocator 00e9 @AsClass 01a0 XmlTruncRoundBrackets 01d7 Pos 01e8 @WStrLAsg 0206 @WStrCopy 02a2 @HandleAnyException 02ad TObject.Free 02ba @RaiseAgain 02bf @DoneExcept 02dd @WStrArrayClr 02f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 E0 8B 40 44 E8 ?? ?? ?? ?? 8B 45 E0 83 C0 44 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E0 8B 40 44 33 D2 E8 ?? ?? ?? ?? 0F 84 72 02 00 00 B3 01 8D 45 DC 50 8D 45 F4 E8 ?? ?? ?? ?? 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 45 E4 E8 ?? ?? ?? ?? 50 8D 4D DD 8B 45 E0 8B 50 44 8B 45 E0 E8 ?? ?? ?? ?? 88 45 DE 8B 45 E0 83 C0 44 8B 55 E4 E8 ?? ?? ?? ?? 80 7D DE 00 75 0C 8B 45 E0 C6 40 24 70 E9 16 02 00 00 8B 45 E0 85 C0 74 03 83 E8 B4 50 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B 45 E0 89 70 1C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 70 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 55 DD 88 50 74 8B 45 E0 8B 40 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 55 DC 88 50 75 8B 45 E0 8B 40 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 78 8B 55 E8 E8 ?? ?? ?? ?? 8B 45 E0 8B 40 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 05 80 00 00 00 8B 55 E0 8B 52 0C E8 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 52 10 50 8B 45 E0 8B 40 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A 88 90 84 00 00 00 8B 45 F0 33 D2 E8 ?? ?? ?? ?? 0F 84 01 01 00 00 8D 4D DF 8D 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 80 7D DF 00 75 10 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 0F 85 CD 00 00 00 8B 45 E0 C6 40 24 70 33 C0 5A 59 59 64 89 10 E9 F9 00 00 00 8B 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 75 15 8D 45 F8 8B 55 EC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? EB 75 8D 45 D8 50 8B CF 49 BA 01 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D8 8D 55 F8 E8 ?? ?? ?? ?? 8B 75 EC 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 D4 50 8B CE 2B CF 8D 57 01 8B 45 EC E8 ?? ?? ?? ?? 8B 45 D4 8D 55 FC E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 75 11 8B 45 E0 C6 40 24 70 33 C0 5A 59 59 64 89 10 EB 5C 8B 45 E0 8B 40 1C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 7C 8B 55 F8 8B 08 FF 51 34 8B 45 EC 33 D2 E8 ?? ?? ?? ?? 0F 85 37 FF FF FF 33 C0 5A 59 59 64 89 10 EB 26 E9 ?? ?? ?? ?? 8B 45 E0 8B 40 1C E8 ?? ?? ?? ?? 8B 45 E0 33 D2 89 50 1C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 BA 07 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 8B C3 5F 5E 5B 8B E5 5D C3 00 02 00 00 00 7C 00 00 00 }
	condition:
		$1
}

rule function_111805_0 {
	meta:
		name = "TXmlExtSubsetTokenizer.Create"
		size = 143
		refs = "000e @ClassCreate 0023 TXmlCustomSubsetTokenizer.Create 002d TXmlDtdDetailPETokenizer.SetPERefTreatment 0057 IsSupportedXmlVersion 0078 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8B 45 08 50 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B 47 48 33 D2 E8 ?? ?? ?? ?? 80 BE 09 01 00 00 00 75 0C 0F B6 86 08 01 00 00 48 2C 03 72 0A C6 47 2C 04 C6 47 24 4B EB 21 8B 86 14 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 0A C6 47 2C 04 C6 47 24 9D EB 08 C6 47 2C 0C C6 47 24 00 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111806_0 {
	meta:
		name = "TXmlExtSubsetTokenizer.ResolveParameterEntityEventHandler"
		size = 66
		refs = "000c TXmlCustomSubsetTokenizer.DoPEReference 0014 @WStrClr"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 50 8B 45 10 E8 ?? ?? ?? ?? 50 8B 45 0C E8 ?? ?? ?? ?? 50 B1 01 8B D6 8B 43 28 8B 18 FF 53 0C 8B 55 08 88 02 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_111807_0 {
	meta:
		name = "TXmlIntSubsetTokenizer.Create"
		size = 77
		refs = "000d @ClassCreate 001e TXmlCustomSubsetTokenizer.Create 002c TXmlDtdDetailPETokenizer.SetPERefTreatment 0037 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 08 00 8B 46 48 B2 01 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111808_0 {
	meta:
		name = "TXmlIntSubsetTokenizer.GetResolveExtPEs"
		size = 11
	strings:
		$1 = { 8B 40 48 80 78 18 02 0F 95 C0 C3 }
	condition:
		$1
}

rule function_111809_0 {
	meta:
		name = "TXmlIntSubsetTokenizer.ResolveParameterEntityEventHandler"
		size = 73
		refs = "000c TXmlCustomSubsetTokenizer.DoPEReference 0014 @WStrClr"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B C3 E8 ?? ?? ?? ?? 8B 45 14 E8 ?? ?? ?? ?? 50 8B 45 10 E8 ?? ?? ?? ?? 50 8B 45 0C E8 ?? ?? ?? ?? 50 8B C3 8B 10 FF 52 58 8B C8 8B D6 8B 43 28 8B 18 FF 53 0C 8B 55 08 88 02 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_111810_0 {
	meta:
		name = "TXmlIntSubsetTokenizer.SetResolveExtPEs"
		size = 26
		refs = "000a TXmlDtdDetailPETokenizer.SetPERefTreatment"
	strings:
		$1 = { 84 D2 74 0B B2 01 8B 40 48 E8 ?? ?? ?? ?? C3 B2 02 8B 40 48 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_111811_0 {
	meta:
		name = "TXmlElementCMTokenizer.Create"
		size = 204
		refs = "000f @ClassCreate 001f TObject.Create 0034 _Dn_TUtilsCustomWideStr 0039 TUtilsCustomWideStr.Create 0045 _Dn_TUtilsWideStringStream 004a TUtilsWideStringStream.Create 0059 TXmlElementCMTokenizer.Create 0076 _Dn_TUtilsUCS4Reader 007b TUtilsUCS4Reader.Create 0093 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 08 00 33 C0 89 43 0C 33 C0 89 43 10 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 18 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 10 68 00 10 00 00 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C C6 43 14 0A C6 43 09 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 54 00 46 00 2D 00 31 00 36 00 4C 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_111812_0 {
	meta:
		name = "TXmlElementCMTokenizer.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000f TObject.Free 002a TObject.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 0C E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? 8B 46 18 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111813_0 {
	meta:
		name = "TXmlElementCMTokenizer.GetTokenValue"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 18 8B 08 FF 51 24 5E 5B C3 }
	condition:
		$1
}

rule function_111814_0 {
	meta:
		name = "TXmlElementCMTokenizer.Next"
		size = 764
		refs = "0030 @WStrClr 0038 TXmlElementCMTokenizer.Next 0057 IsXmlWhiteSpaceCodePoint 00da PCDATA_KEYWORD 011e @WStrAsg 0229 IsXmlNameStartCharCodePoint 025f IsXmlNameCharCodePoint 0278 ANY_KEYWORD 0296 EMPTY_KEYWORD 02c5 @HandleOnException 02cd _Dn_EConvertError 02dd @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 80 78 14 03 0F 84 CA 02 00 00 8B 45 FC 8B 40 18 8B 10 FF 52 1C 8B 45 FC C6 40 09 00 8B 45 FC 83 C0 04 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C 8B 10 FF 52 14 8B 45 FC 8B 40 0C 8B 40 20 E8 ?? ?? ?? ?? 84 C0 75 E3 8B 45 FC 8B 40 0C 8B 40 20 83 F8 2B 7F 27 0F 84 15 01 00 00 83 E8 23 74 45 83 E8 05 0F 84 AC 00 00 00 48 0F 84 C8 00 00 00 48 0F 84 DD 00 00 00 E9 70 01 00 00 83 E8 2C 0F 84 07 01 00 00 83 E8 13 0F 84 1A 01 00 00 83 E8 3D 0F 84 2D 01 00 00 83 E8 20 0F 84 40 01 00 00 E9 47 01 00 00 8B 45 FC C6 40 14 08 8B 45 FC 8B 40 18 BA 23 00 00 00 8B 08 FF 51 08 BE 06 00 00 00 BB ?? ?? ?? ?? 8B 45 FC 8B 78 0C 8B 87 98 00 00 00 3B 03 75 1D 8B C7 8B 10 FF 52 14 8B 45 FC 8B 40 0C 8B 50 20 8B 45 FC 8B 40 18 8B 08 FF 51 08 EB 17 8B 45 FC C6 40 09 73 8B 45 FC 83 C0 04 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C3 04 4E 75 B6 E9 8D 01 00 00 8B 45 FC C6 40 08 01 8B 45 FC C6 40 14 07 8B 45 FC 8B 40 18 BA 28 00 00 00 8B 08 FF 51 08 E9 6A 01 00 00 8B 45 FC C6 40 14 01 8B 45 FC 8B 40 18 BA 29 00 00 00 8B 08 FF 51 08 E9 4E 01 00 00 8B 45 FC C6 40 14 04 8B 45 FC 8B 40 18 BA 2A 00 00 00 8B 08 FF 51 08 E9 32 01 00 00 8B 45 FC C6 40 14 04 8B 45 FC 8B 40 18 BA 2B 00 00 00 8B 08 FF 51 08 E9 16 01 00 00 8B 45 FC C6 40 14 09 8B 45 FC 8B 40 18 BA 2C 00 00 00 8B 08 FF 51 08 E9 FA 00 00 00 8B 45 FC C6 40 14 04 8B 45 FC 8B 40 18 BA 3F 00 00 00 8B 08 FF 51 08 E9 DE 00 00 00 8B 45 FC C6 40 14 09 8B 45 FC 8B 40 18 BA 7C 00 00 00 8B 08 FF 51 08 E9 C2 00 00 00 8B 45 FC C6 40 14 03 E9 B6 00 00 00 8B 45 FC C6 40 14 06 8B 45 FC 8B 40 0C 8B 50 20 8B 45 FC 8B 40 18 8B 08 FF 51 08 8B 45 FC 8B 40 0C 8B 40 20 E8 ?? ?? ?? ?? 84 C0 74 7B EB 1F 8B 45 FC 8B 40 0C 8B 10 FF 52 14 8B 45 FC 8B 40 0C 8B 50 20 8B 45 FC 8B 40 18 8B 08 FF 51 08 8B 45 FC 8B 40 0C 8B 80 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 CC 8B 45 FC 80 78 08 00 75 4A 8B 45 FC 8B 40 18 8B 15 ?? ?? ?? ?? 8B 08 FF 51 18 84 C0 74 09 8B 45 FC C6 40 14 00 EB 2C 8B 45 FC 8B 40 18 8B 15 ?? ?? ?? ?? 8B 08 FF 51 18 84 C0 74 17 8B 45 FC C6 40 14 02 EB 0E 8B 45 FC C6 40 14 05 8B 45 FC C6 40 09 73 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 FC C6 40 09 41 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 00 0E 00 00 00 23 00 50 00 43 00 44 00 41 00 54 00 41 00 00 00 }
	condition:
		$1
}

rule function_111815_0 {
	meta:
		name = "TXmlAttrValueTokenizer.Create"
		size = 312
		refs = "0016 @ClassCreate 0025 TXmlAttrValueTokenizer.Create 0034 TObject.Create 0045 _Dn_TUtilsCustomWideStr 004a TUtilsCustomWideStr.Create 0057 BOM 005c @UStrFromWChar 006a @UStrFromWStr 0073 @UStrCat 007e @WStrFromUStr 0088 _Dn_TUtilsWideStringStream 008d TUtilsWideStringStream.Create 00b9 _Dn_TUtilsUCS4Reader 00be TUtilsUCS4Reader.Create 00e3 @UStrArrayClr 00eb @WStrClr 00f1 @HandleFinally 0100 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 08 33 C0 89 43 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 14 8D 45 F4 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 50 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 8B 55 F0 58 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 0C 68 00 10 00 00 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 08 C6 43 10 03 C6 43 04 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 54 00 46 00 2D 00 31 00 36 00 4C 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_111816_0 {
	meta:
		name = "TXmlAttrValueTokenizer.Destroy"
		size = 60
		refs = "0003 @BeforeDestruction 000f TObject.Free 002a TObject.Destroy 0035 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 08 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? 8B 46 14 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111817_0 {
	meta:
		name = "TXmlAttrValueTokenizer.GetTokenValue"
		size = 19
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 14 8B 08 FF 51 24 5E 5B C3 }
	condition:
		$1
}

rule function_111818_0 {
	meta:
		name = "TXmlAttrValueTokenizer.Next"
		size = 173
	strings:
		$1 = { 53 56 8B D8 80 7B 10 01 0F 84 9C 00 00 00 8B 43 14 8B 10 FF 52 1C C6 43 04 00 8B 43 08 8B 10 FF 52 14 8B 73 08 8B 46 20 83 E8 26 74 07 83 E8 76 74 60 EB 64 83 BE 98 00 00 00 23 75 11 8B C6 8B 10 FF 52 14 C6 43 10 00 C6 43 04 62 EB 08 C6 43 10 02 C6 43 04 66 C6 43 04 00 EB 25 8B C6 8B 10 FF 52 14 8B 43 08 83 78 20 3B 75 07 C6 43 04 00 5E 5B C3 8B 43 08 8B 50 20 8B 43 14 8B 08 FF 51 08 8B 73 08 81 BE 98 00 00 00 9C 00 00 00 75 CC EB 18 C6 43 10 01 EB 12 C6 43 10 04 8B 43 08 8B 50 20 8B 43 14 8B 08 FF 51 08 5E 5B C3 }
	condition:
		$1
}

rule function_111819_0 {
	meta:
		name = "TXmlOutputSource.Create"
		size = 144
		refs = "000e @ClassCreate 0020 TUtilsCustomOutputStream.Create 0028 TXmlOutputSource.Create 002d @UStrAsg 0034 _Dn_TUTF8Codec 0039 TUnicodeCodec.Create 005f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 45 08 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 2C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 28 89 5E 1C 8B 03 8B 40 10 89 46 18 8B C6 B2 02 8B 08 FF 51 08 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 }
	condition:
		$1
}

rule function_111821_0 {
	meta:
		name = "TXmlOutputSource.GetWriteLFOption"
		size = 8
	strings:
		$1 = { 8B 40 28 0F B6 40 09 C3 }
	condition:
		$1
}

rule function_111822_0 {
	meta:
		name = "TXmlOutputSource.SetEncoding"
		size = 264
		refs = "000c TXmlOutputSource.SetEncoding 0013 _DV_ENot_Supported_Err 0018 Exception.Create 001d @RaiseExcept 0024 _Dn_TEncodingRepository 0029 TEncodingRepository.CreateCodecByAlias 0068 @UStrAsg 0070 TObject.Free"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 85 FF 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 1C 8B 03 8B 40 10 89 46 18 8B 43 28 0F B6 50 09 8B C6 8B 08 FF 51 08 8D 43 2C 8B D7 E8 ?? ?? ?? ?? 8B 43 28 E8 ?? ?? ?? ?? 89 73 28 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 20 00 6D 00 75 00 73 00 74 00 20 00 62 00 65 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111824_0 {
	meta:
		name = "TXmlOutputSource.WriteByteOrderMark"
		size = 504
		refs = "001d TXmlOutputSource.WriteByteOrderMark 0024 _Dn_EWriteError 0029 Exception.Create 002e @RaiseExcept 0049 _Dn_TUTF16BECodec 004e @IsClass 005c UTF_16BE_BOM 0075 _Dn_TUTF16LECodec 0088 UTF_16LE_BOM 009e _Dn_TUCS2BECodec 00c7 _Dn_TUCS2LECodec 00f0 _Dn_TUTF8Codec 0103 UTF_8_BOM 011e @HandleAnyException 0139 @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B C3 8B 10 FF 12 83 FA 00 75 07 83 F8 00 76 1A EB 02 7E 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 F6 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 28 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1B BE 02 00 00 00 BA ?? ?? ?? ?? B9 02 00 00 00 8B C3 8B 18 FF 53 08 E9 A2 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 BE 02 00 00 00 BA ?? ?? ?? ?? B9 02 00 00 00 8B C3 8B 18 FF 53 08 EB 79 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 BE 02 00 00 00 BA ?? ?? ?? ?? B9 02 00 00 00 8B C3 8B 18 FF 53 08 EB 50 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 BE 02 00 00 00 BA ?? ?? ?? ?? B9 02 00 00 00 8B C3 8B 18 FF 53 08 EB 27 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 BE 03 00 00 00 BA ?? ?? ?? ?? B9 03 00 00 00 8B C3 8B 18 FF 53 08 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 5F 5E 5B 5D C3 B0 04 02 00 FF FF FF FF 2D 00 00 00 42 00 79 00 74 00 65 00 20 00 6F 00 72 00 64 00 65 00 72 00 20 00 6D 00 61 00 72 00 6B 00 20 00 6F 00 6E 00 6C 00 79 00 20 00 61 00 6C 00 6C 00 6F 00 77 00 65 00 64 00 20 00 61 00 74 00 20 00 6F 00 75 00 74 00 70 00 75 00 74 00 20 00 73 00 74 00 61 00 72 00 74 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 57 00 72 00 69 00 74 00 69 00 6E 00 67 00 20 00 62 00 79 00 74 00 65 00 20 00 6F 00 72 00 64 00 65 00 72 00 20 00 6D 00 61 00 72 00 6B 00 20 00 66 00 61 00 69 00 6C 00 65 00 64 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111825_0 {
	meta:
		name = "TXmlOutputSource.WriteEventHandler"
		size = 19
	strings:
		$1 = { 55 8B EC 53 8B D1 8B 4D 08 8B 18 FF 53 08 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111826_0 {
	meta:
		name = "TXmlOutputSource.WriteUCS4Char"
		size = 21
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B 46 28 8B 18 FF 53 20 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111827_0 {
	meta:
		name = "TDomError.Create"
		size = 234
		refs = "000e @ClassCreate 001e TObject.Create 00a4 @WStrAsg 00d3 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 3C 8B 45 64 89 46 48 8B 45 68 89 46 4C 8B 45 5C 89 46 50 8B 45 60 89 46 54 8B 45 54 89 46 58 8B 45 58 89 46 5C 8B 45 4C 89 46 60 8B 45 50 89 46 64 8B 45 44 89 46 68 8B 45 48 89 46 6C 8B 45 3C 89 46 10 8B 45 40 89 46 14 8B 45 34 89 46 18 8B 45 38 89 46 1C 8B 45 2C 89 46 20 8B 45 30 89 46 24 8B 45 24 89 46 28 8B 45 28 89 46 2C 8B 45 1C 89 46 30 8B 45 20 89 46 34 8D 46 70 8B 55 18 E8 ?? ?? ?? ?? 8B 45 14 89 46 38 8B 45 10 89 46 40 8D 46 0C 8B 55 0C E8 ?? ?? ?? ?? 8D 46 08 8B 55 08 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C2 64 00 }
	condition:
		$1
}

rule function_111828_0 {
	meta:
		name = "TDomError.CreateFromLocator"
		size = 327
		refs = "0016 @ClassCreate 0028 TDomError.CreateFromLocator 00c1 TDomError.Create 0119 @WStrClr 011f @HandleFinally 012e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 8B 7D 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 0F 84 8D 00 00 00 8B C7 8B 10 FF 52 28 52 50 8B C7 8B 10 FF 52 2C 52 50 8B C7 8B 10 FF 52 30 52 50 8B C7 8B 10 FF 52 34 52 50 8B C7 8B 10 FF 52 38 52 50 8B C7 8B 10 FF 52 0C 52 50 8B C7 8B 10 FF 52 10 52 50 8B C7 8B 10 FF 52 14 52 50 8B C7 8B 10 FF 52 18 52 50 8B C7 8B 10 FF 52 1C 52 50 8D 55 F8 8B C7 8B 08 FF 51 3C 8B 45 F8 50 8B C7 8B 10 FF 52 20 50 8B C7 8B 10 FF 52 24 50 8B 45 0C 50 8B 45 08 50 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? EB 41 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A 00 6A 00 6A 00 8B 45 0C 50 8B 45 08 50 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_111829_0 {
	meta:
		name = "TDomError.CloneError"
		size = 203
		refs = "000c TDomError.CloneError 009d _DV_TDomError 00a2 TDomError.Create 00b9 @WStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 20 52 50 8B C3 8B 10 FF 52 24 52 50 8B C3 8B 10 FF 52 28 52 50 8B C3 8B 10 FF 52 2C 52 50 8B C3 8B 10 FF 52 30 52 50 8B C3 8B 10 FF 52 04 52 50 8B C3 8B 10 FF 52 08 52 50 8B C3 8B 10 FF 52 0C 52 50 8B C3 8B 10 FF 52 10 52 50 8B C3 8B 10 FF 52 14 52 50 8D 55 FC 8B C3 8B 08 FF 51 34 8B 45 FC 50 8B C3 8B 10 FF 52 18 50 8B C3 8B 10 FF 52 1C 50 8B 43 0C 50 8B 43 08 50 0F B6 4B 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_111830_0 {
	meta:
		name = "TDomError.GetEndByteNumber"
		size = 26
		altNames = "TXmlSignal.GetEndCharNumber"
	strings:
		$1 = { 83 C4 F8 8B 50 10 89 14 24 8B 50 14 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_111834_0 {
	meta:
		name = "TDomError.GetEndTabsInLine"
		size = 26
	strings:
		$1 = { 83 C4 F8 8B 50 30 89 14 24 8B 50 34 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_111837_0 {
	meta:
		name = "TDomError.GetSeverity"
		size = 50
		refs = "0011 ET_FATAL_ERRORS 0025 ET_ERRORS"
	strings:
		$1 = { 0F B6 50 3C 8B CA 80 F9 9F 77 0A 0F B6 C9 0F A3 0D ?? ?? ?? ?? 73 03 B0 02 C3 80 FA 9F 77 0A 0F B6 D2 0F A3 15 ?? ?? ?? ?? 73 04 B0 01 EB 02 33 C0 C3 }
	condition:
		$1
}

rule function_111839_0 {
	meta:
		name = "TDomError.GetStartCharNumber"
		size = 26
		altNames = "TXmlSignal.GetStartColumnNumber"
	strings:
		$1 = { 83 C4 F8 8B 50 50 89 14 24 8B 50 54 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_111842_0 {
	meta:
		name = "TDomError.GetStartTabsInLine"
		size = 26
	strings:
		$1 = { 83 C4 F8 8B 50 68 89 14 24 8B 50 6C 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_111844_0 {
	meta:
		name = "TDomPERepository.Create"
		size = 172
		refs = "000b @ClassCreate 001a TDomPERepository.Create 0021 _Dn_EAccessViolation 0026 Exception.Create 002b @RaiseExcept 0034 TObject.Create 003e _Dn_TUtilsWideStringList 0055 TUtilsWideStringList.SetSorted 0060 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 77 08 C6 46 0C 02 8B C6 B2 01 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 15 00 00 00 41 00 4F 00 77 00 6E 00 65 00 72 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111845_0 {
	meta:
		name = "TDomPERepository.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 0016 TObject.Free 0021 TObject.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 04 8B 46 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111846_0 {
	meta:
		name = "TDomPERepository.Add"
		size = 182
		refs = "0018 TDomPERepository.Add 0036 _DV_TDomPEInfoObject 003b TDomPEInfoObject.Create 0076 @HandleAnyException 007e TObject.Free 0083 @RaiseAgain 0088 @DoneExcept 00a1 @WStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 08 8B D6 8B 08 FF 51 5C 40 75 5F 56 53 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8D 55 F8 8B 45 FC 8B 08 FF 51 74 8B 55 F8 8B 47 08 8B 4D FC 8B 30 FF 56 38 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_111847_0 {
	meta:
		name = "TDomPERepository.Add"
		size = 192
		refs = "0018 TDomPERepository.Add 003e _DV_TDomPEInfoObject 0043 TDomPEInfoObject.CreateExtParsed 007e @HandleAnyException 0086 TObject.Free 008b @RaiseAgain 0090 @DoneExcept 00a9 @WStrClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 47 08 8B D6 8B 08 FF 51 5C 40 75 67 56 53 8B 45 0C 50 8B 45 08 50 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8D 55 F8 8B 45 FC 8B 08 FF 51 74 8B 55 F8 8B 47 08 8B 4D FC 8B 30 FF 56 38 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111848_0 {
	meta:
		name = "TDomPERepository.Clear"
		size = 54
		refs = "0022 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 08 8B 10 FF 52 1C 8B D8 4B 85 DB 7C 16 43 33 F6 8B 47 08 8B D6 8B 08 FF 51 20 E8 ?? ?? ?? ?? 46 4B 75 ED 8B 47 08 8B 10 FF 52 48 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111849_0 {
	meta:
		name = "TDomPERepository.Delete"
		size = 54
		refs = "001e TObject.Free"
	strings:
		$1 = { 53 56 8B D8 8B 43 08 8B 08 FF 51 5C 8B F0 83 FE FF 7E 1E 8B D6 8B 43 08 8B 08 FF 51 20 E8 ?? ?? ?? ?? 8B D6 8B 43 08 8B 08 FF 51 4C B0 01 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_111850_0 {
	meta:
		name = "TDomPERepository.ResolvePE"
		size = 337
		refs = "0033 TDomPERepository.ResolvePE 0040 IsXmlName 006d _DV_TDomPEInfoObject 0072 @AsClass 008b TDomPEInfoObject.Update 00a7 ET_WARNINGS 00b4 @WStrAsg 00c9 TDomPEInfoObject.EntityURI 00de @WStrClr 0141 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 8B 45 10 85 C0 74 04 33 D2 89 10 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 84 C4 00 00 00 8B D6 8B 47 08 8B 08 FF 51 5C 8B F0 83 FE FF 0F 8E 93 00 00 00 8B D6 8B 47 08 8B 08 FF 51 20 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 80 7E 24 00 75 1B 84 DB 74 13 80 7E 25 00 75 07 8B C6 E8 ?? ?? ?? ?? 0F B6 5E 26 EB 06 B3 9A EB 02 33 DB 8B C3 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 2D 8B 45 10 8B 56 28 E8 ?? ?? ?? ?? 8B 45 0C 8B 56 34 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 08 E8 ?? ?? ?? ?? EB 50 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 36 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? B3 2B EB 1A 8B 45 10 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? B3 47 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_111851_0 {
	meta:
		name = "TDomPERepository.ResolveResourceAsWideString"
		size = 59
		refs = "001f @WStrClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 0C 85 C0 74 04 33 D2 89 10 8B 45 10 50 8B 45 0C E8 ?? ?? ?? ?? 50 8B 45 08 50 8B CF 8B D6 8B 43 04 8B 18 FF 53 40 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_111852_0 {
	meta:
		name = "TDomPEInfoObject.Create"
		size = 424
		refs = "0016 @ClassCreate 0028 TDomPEInfoObject.Create 003e _Dn_EAccessViolation 0043 Exception.Create 0048 @RaiseExcept 004f IsXmlName 005f _DV_EInvalid_Character_Err 0074 TCustomOwnedNode.Create 009c ResolveCharRefs 00a7 @WStrAsg 00b6 @HandleAnyException 00d1 @DoneExcept 00e3 @WStrClr 0106 @HandleFinally 0115 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 89 73 30 C6 43 25 01 C6 43 26 00 C6 43 24 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 08 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 2C 8B D7 E8 ?? ?? ?? ?? 8D 43 34 E8 ?? ?? ?? ?? 8D 43 38 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 41 00 4F 00 77 00 6E 00 65 00 72 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 68 00 61 00 72 00 61 00 63 00 74 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111853_0 {
	meta:
		name = "TDomPEInfoObject.CreateExtParsed"
		size = 388
		refs = "000f @ClassCreate 0022 TDomPEInfoObject.CreateExtParsed 0029 _Dn_EAccessViolation 002e Exception.Create 0033 @RaiseExcept 003a IsXmlName 004a _DV_EInvalid_Character_Err 005c IsXmlSystemChars 007e IsXmlPubidChars 00a3 TCustomOwnedNode.Create 00ae @WStrAsg 00bd @WStrClr 00f2 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 14 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 20 8B 55 10 E8 ?? ?? ?? ?? 89 73 30 C6 43 24 00 8D 43 28 E8 ?? ?? ?? ?? 8D 43 2C 8B D7 E8 ?? ?? ?? ?? 8D 43 34 8B 55 0C E8 ?? ?? ?? ?? 8D 43 38 8B 55 08 E8 ?? ?? ?? ?? C6 43 26 00 C6 43 25 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 10 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 41 00 4F 00 77 00 6E 00 65 00 72 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 68 00 61 00 72 00 61 00 63 00 74 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111854_0 {
	meta:
		name = "TDomPEInfoObject.EntityURI"
		size = 15
		refs = "000a ResolveRelativeUriWideStr"
	strings:
		$1 = { 8B CA 8B 50 20 8B 40 38 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_111856_0 {
	meta:
		name = "TDomPEInfoObject.Update"
		size = 45
		refs = "0015 @WStrClr"
	strings:
		$1 = { 53 8B D8 80 7B 24 00 75 22 C6 43 25 01 8B 43 38 50 8D 43 28 E8 ?? ?? ?? ?? 50 8D 43 26 50 8B 4B 34 8B 53 20 8B 43 30 8B 18 FF 13 5B C3 }
	condition:
		$1
}

rule function_111857_0 {
	meta:
		name = "TXmlSignal.CheckWellformedness"
		size = 52
		refs = "0022 @WStrClr"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B DA 85 F6 74 04 33 C0 89 06 8B 45 08 85 C0 74 04 33 D2 89 10 C6 03 00 8B C6 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111858_0 {
	meta:
		name = "TXmlSignal.CloneSignal"
		size = 198
		refs = "0010 TXmlSignal.CloneSignal 00b2 @WStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 03 89 C6 8B C3 8B 10 FF 52 20 52 50 8B C3 8B 10 FF 52 24 52 50 8B C3 8B 10 FF 52 28 52 50 8B C3 8B 10 FF 52 2C 52 50 8B C3 8B 10 FF 52 30 52 50 8B C3 8B 10 FF 52 04 52 50 8B C3 8B 10 FF 52 08 52 50 8B C3 8B 10 FF 52 0C 52 50 8B C3 8B 10 FF 52 10 52 50 8B C3 8B 10 FF 52 14 52 50 8D 55 FC 8B C3 8B 08 FF 51 34 8B 45 FC 50 8B C3 8B 10 FF 52 18 50 8B C3 8B 10 FF 52 1C 50 8B CF B2 01 8B C6 FF 50 38 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_111859_0 {
	meta:
		name = "TXmlSignal.Create"
		size = 145
		refs = "000e @ClassCreate 001e TObject.Create 007a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? FF 75 60 FF 75 5C FF 75 58 FF 75 54 FF 75 50 FF 75 4C FF 75 48 FF 75 44 FF 75 40 FF 75 3C FF 75 38 FF 75 34 FF 75 30 FF 75 2C FF 75 28 FF 75 24 FF 75 20 FF 75 1C FF 75 18 FF 75 14 8B 45 0C 50 8B 45 08 50 8B 4D 10 8B D6 8B C3 8B 30 FF 16 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C2 5C 00 }
	condition:
		$1
}

rule function_111860_0 {
	meta:
		name = "TXmlSignal.CreateFromLocator"
		size = 313
		refs = "0016 @ClassCreate 0028 TXmlSignal.CreateFromLocator 0037 TObject.Create 010b @WStrClr 0111 @HandleFinally 0120 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 85 DB 0F 84 81 00 00 00 8B C3 8B 10 FF 52 28 52 50 8B C3 8B 10 FF 52 2C 52 50 8B C3 8B 10 FF 52 30 52 50 8B C3 8B 10 FF 52 34 52 50 8B C3 8B 10 FF 52 38 52 50 8B C3 8B 10 FF 52 0C 52 50 8B C3 8B 10 FF 52 10 52 50 8B C3 8B 10 FF 52 14 52 50 8B C3 8B 10 FF 52 18 52 50 8B C3 8B 10 FF 52 1C 52 50 8B C3 8B 10 FF 52 20 50 8B C3 8B 10 FF 52 24 50 8D 55 F8 8B C3 8B 08 FF 51 3C 8B 4D F8 8B D7 8B C6 8B 18 FF 13 EB 36 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A FF 6A 00 6A 00 33 C9 8B D7 8B C6 8B 18 FF 13 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_111874_0 {
	meta:
		name = "TXmlSignal.InitSignal"
		size = 160
		refs = "008a @WStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 89 53 30 8B 45 58 89 43 40 8B 45 5C 89 43 44 8B 45 50 89 43 48 8B 45 54 89 43 4C 8B 45 48 89 43 50 8B 45 4C 89 43 54 8B 45 40 89 43 58 8B 45 44 89 43 5C 8B 45 38 89 43 60 8B 45 3C 89 43 64 8B 45 30 89 43 08 8B 45 34 89 43 0C 8B 45 28 89 43 10 8B 45 2C 89 43 14 8B 45 20 89 43 18 8B 45 24 89 43 1C 8B 45 18 89 43 20 8B 45 1C 89 43 24 8B 45 10 89 43 28 8B 45 14 89 43 2C 8D 43 68 8B D6 E8 ?? ?? ?? ?? 8B 45 0C 89 43 34 8B 45 08 89 43 38 5E 5B 5D C2 58 00 }
	condition:
		$1
}

rule function_111877_0 {
	meta:
		name = "TXmlAttributeSignal.CheckWellformedness"
		size = 820
		refs = "0036 TXmlAttributeSignal.CheckWellformedness 0044 IsXmlName 0059 @WStrAsg 0061 @WStrClr 00d9 @WStrCatN 00e4 XmlCharRefToStr 00f3 @HandleOnException 00fb _Dn_EConvertError 011d @DoneExcept 0174 @WStrFromWChar 017f @WStrCat 01cd IsXmlChar 0255 @WStrEqual 02c8 @WStrArrayClr 02ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D EC 89 55 F0 8B D8 8B 45 EC 85 C0 74 04 33 D2 89 10 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 74 E8 ?? ?? ?? ?? 84 C0 75 1E 8B 45 F0 C6 00 3E 8B 45 EC 8B 53 74 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 40 02 00 00 C6 45 EB 00 8D 45 F8 E8 ?? ?? ?? ?? 8B 43 78 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F8 85 FF 0F 8E 72 01 00 00 BE 01 00 00 00 80 7D EB 00 0F 84 E8 00 00 00 8B 43 78 66 83 7C 70 FE 3B 0F 85 BC 00 00 00 8B 45 F8 66 83 38 23 75 78 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 65 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F0 C6 00 42 8B 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 84 01 00 00 E8 ?? ?? ?? ?? EB 2A 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 1E 8B 45 F0 C6 00 46 8B 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 53 01 00 00 8D 45 F8 E8 ?? ?? ?? ?? C6 45 EB 00 E9 90 00 00 00 8D 45 E4 8B 53 78 0F B7 54 72 FE E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F8 E8 ?? ?? ?? ?? EB 73 8B 43 78 66 83 7C 70 FE 26 75 06 C6 45 EB 01 EB 62 8B 43 78 66 83 7C 70 FE 3C 75 23 8B 45 F0 C6 00 4F 8B 45 EC 8B 53 78 0F B7 54 72 FE E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 E6 00 00 00 8B 43 78 0F B7 44 70 FE E8 ?? ?? ?? ?? 84 C0 75 23 8B 45 F0 C6 00 3F 8B 45 EC 8B 53 78 0F B7 54 72 FE E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 B2 00 00 00 46 4F 0F 85 93 FE FF FF 80 7D EB 00 74 46 8B 45 F8 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 7E 19 8B 45 F8 66 83 38 23 75 08 8B 45 F0 C6 00 62 EB 0E 8B 45 F0 C6 00 66 EB 06 8B 45 F0 C6 00 66 8B 45 EC 8B 53 78 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 5E 8B 43 74 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 39 8B 43 78 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 2A 8B 43 78 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1B 8B 45 F0 C6 00 0A 8B 45 EC 8B 53 78 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 16 8B 45 F0 C6 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 02 00 00 00 26 00 00 00 02 00 00 00 3B 00 00 00 12 00 00 00 78 00 6D 00 6C 00 3A 00 73 00 70 00 61 00 63 00 65 00 00 00 0E 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 10 00 00 00 70 00 72 00 65 00 73 00 65 00 72 00 76 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_111878_0 {
	meta:
		name = "TXmlAttributeSignal.CloneSignal"
		size = 51
		refs = "0008 TXmlSignal.CloneSignal 001e @WStrAsg"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 0F B6 43 70 8B FE 88 47 70 8D 47 74 8B 53 74 E8 ?? ?? ?? ?? 8D 47 78 8B 53 78 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111880_0 {
	meta:
		name = "TXmlCDATASignal.CheckWellformedness"
		size = 73
		refs = "0023 IsXmlCData 0036 @WStrClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B 45 08 85 C0 74 04 33 D2 89 10 8B 43 70 E8 ?? ?? ?? ?? 84 C0 74 05 C6 06 00 EB 03 C6 06 40 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111881_0 {
	meta:
		name = "TXmlCDATASignal.CloneSignal"
		size = 29
		refs = "0007 TXmlSignal.CloneSignal 0014 @WStrAsg"
		altNames = "TXmlCommentSignal.CloneSignal TXmlEndElementSignal.CloneSignal TXmlEndPrefixMappingSignal.CloneSignal TXmlEntityRefSignal.CloneSignal TXmlExternalPEReferenceSignal.CloneSignal TXmlSkippedEntitySignal.CloneSignal TXmlStartDocumentFragmentSignal.CloneSignal TXmlStartElementSignal.CloneSignal"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8D 46 70 8B 53 70 E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_111883_0 {
	meta:
		name = "TXmlDoctypeSignal.CheckWellformedness"
		size = 173
		refs = "0023 IsXmlName 0034 @WStrAsg 003c @WStrClr 0049 IsXmlPubidChars 0072 IsXmlSystemChars"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B 45 08 85 C0 74 04 33 D2 89 10 8B 43 74 E8 ?? ?? ?? ?? 84 C0 75 17 C6 06 83 8B C7 8B 53 74 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 64 8B 83 98 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 1A C6 06 49 8B C7 8B 93 98 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 3B 8B 83 9C 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 1A C6 06 4A 8B C7 8B 93 9C 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 12 C6 06 00 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111884_0 {
	meta:
		name = "TXmlDoctypeSignal.CloneSignal"
		size = 162
		refs = "0008 TXmlSignal.CloneSignal 0017 @WStrAsg"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B FE 8D 47 70 8B 53 70 E8 ?? ?? ?? ?? 8D 47 74 8B 53 74 E8 ?? ?? ?? ?? 8B 43 78 89 47 78 8B 43 7C 89 47 7C 8B 83 80 00 00 00 89 87 80 00 00 00 8B 83 84 00 00 00 89 87 84 00 00 00 8B 83 88 00 00 00 89 87 88 00 00 00 8B 83 8C 00 00 00 89 87 8C 00 00 00 8B 83 90 00 00 00 89 87 90 00 00 00 8B 83 94 00 00 00 89 87 94 00 00 00 8D 87 98 00 00 00 8B 93 98 00 00 00 E8 ?? ?? ?? ?? 8D 87 9C 00 00 00 8B 93 9C 00 00 00 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111886_0 {
	meta:
		name = "TXmlEndElementSignal.CheckWellformedness"
		size = 91
		refs = "0023 IsXmlName 0031 @WStrClr 0048 @WStrAsg"
		altNames = "TXmlStartElementSignal.CheckWellformedness"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B 45 08 85 C0 74 04 33 D2 89 10 8B 43 70 E8 ?? ?? ?? ?? 84 C0 74 14 C6 06 00 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 15 C6 06 44 8B C7 8B 53 70 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111889_0 {
	meta:
		name = "TXmlEndPrefixMappingSignal.CheckWellformedness"
		size = 103
		refs = "0023 IsXmlPrefix 0031 @WStrEqual 003d @WStrClr 0054 @WStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B 45 08 85 C0 74 04 33 D2 89 10 8B 43 70 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 43 70 33 D2 E8 ?? ?? ?? ?? 75 14 C6 06 00 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 15 C6 06 95 8B C7 8B 53 70 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111892_0 {
	meta:
		name = "TXmlEntityRefSignal.CheckWellformedness"
		size = 91
		refs = "0023 IsXmlName 0031 @WStrClr 0048 @WStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B 45 08 85 C0 74 04 33 D2 89 10 8B 43 70 E8 ?? ?? ?? ?? 84 C0 74 14 C6 06 00 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 15 C6 06 46 8B C7 8B 53 70 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111898_0 {
	meta:
		name = "TXmlPCDATASignal.InitSignal"
		size = 90
		refs = "004d TXmlSignal.InitSignal"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 5C FF 75 58 FF 75 54 FF 75 50 FF 75 4C FF 75 48 FF 75 44 FF 75 40 FF 75 3C FF 75 38 FF 75 34 FF 75 30 FF 75 2C FF 75 28 FF 75 24 FF 75 20 FF 75 1C FF 75 18 FF 75 14 FF 75 10 8B 45 0C 50 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? C6 43 70 00 5B 5D C2 58 00 }
	condition:
		$1
}

rule function_111899_0 {
	meta:
		name = "TXmlPCDATASignal.CheckWellformedness"
		size = 91
		refs = "0023 IsXmlCData 0031 @WStrClr 0048 @WStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B 45 08 85 C0 74 04 33 D2 89 10 8B 43 74 E8 ?? ?? ?? ?? 84 C0 74 14 C6 06 00 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 15 C6 06 41 8B C7 8B 53 74 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111900_0 {
	meta:
		name = "TXmlPCDATASignal.CloneSignal"
		size = 40
		refs = "0008 TXmlSignal.CloneSignal 0017 @WStrAsg"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B FE 8D 47 74 8B 53 74 E8 ?? ?? ?? ?? 0F B6 43 70 88 47 70 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111904_0 {
	meta:
		name = "TXmlStartDocumentSignal.CheckWellformedness"
		size = 144
		refs = "0023 IsXmlEncName 0031 @WStrEqual 003d @WStrClr 004f IsXmlVersionNum"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B 45 08 85 C0 74 04 33 D2 89 10 8B 43 70 E8 ?? ?? ?? ?? 84 C0 75 20 8B 43 70 33 D2 E8 ?? ?? ?? ?? 74 14 C6 06 45 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 3E 8B 43 7C E8 ?? ?? ?? ?? 84 C0 75 20 8B 43 7C 33 D2 E8 ?? ?? ?? ?? 74 14 C6 06 4C 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 12 C6 06 00 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111905_0 {
	meta:
		name = "TXmlStartDocumentSignal.CloneSignal"
		size = 62
		refs = "0008 TXmlSignal.CloneSignal 0017 @WStrAsg"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B FE 8D 47 70 8B 53 70 E8 ?? ?? ?? ?? 8D 47 74 8B 53 74 E8 ?? ?? ?? ?? 0F B6 43 78 88 47 78 8D 47 7C 8B 53 7C E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111907_0 {
	meta:
		name = "TXmlStartDocumentFragmentSignal.CheckWellformedness"
		size = 100
		refs = "0023 IsXmlEncName 0031 @WStrEqual 003d @WStrClr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B 45 08 85 C0 74 04 33 D2 89 10 8B 43 70 E8 ?? ?? ?? ?? 84 C0 75 20 8B 43 70 33 D2 E8 ?? ?? ?? ?? 74 14 C6 06 45 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 12 C6 06 00 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111910_0 {
	meta:
		name = "TXmlStartPrefixMappingSignal.CheckWellformedness"
		size = 248
		refs = "0023 TXmlStartPrefixMappingSignal.CheckWellformedness 0028 @WStrEqual 004d IsXmlPrefix 005e @WStrAsg 0066 @WStrClr 0070 IsUriURI_referenceWideStr"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B 45 08 85 C0 74 04 33 D2 89 10 8B 43 70 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8B 43 74 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 18 8B 43 70 33 D2 E8 ?? ?? ?? ?? 74 23 8B 43 70 E8 ?? ?? ?? ?? 84 C0 75 17 C6 06 95 8B C7 8B 53 70 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 35 8B 43 74 E8 ?? ?? ?? ?? 84 C0 75 17 C6 06 94 8B C7 8B 53 74 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 12 C6 06 00 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 0A 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 00 00 3A 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 30 00 2F 00 78 00 6D 00 6C 00 6E 00 73 00 2F 00 00 00 }
	condition:
		$1
}

rule function_111911_0 {
	meta:
		name = "TXmlProcessingInstructionSignal.CloneSignal"
		size = 44
		refs = "0008 TXmlSignal.CloneSignal 0017 @WStrAsg"
		altNames = "TXmlStartPrefixMappingSignal.CloneSignal"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B FE 8D 47 70 8B 53 70 E8 ?? ?? ?? ?? 8D 47 74 8B 53 74 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111913_0 {
	meta:
		name = "TXmlCommentSignal.CheckWellformedness"
		size = 232
		refs = "0025 @WStrEqual 0033 TXmlCommentSignal.CheckWellformedness 0038 Pos 004b @WStrAsg 0077 HYPHEN 0090 @WStrClr 009a IsXmlChars"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B 45 08 85 C0 74 04 33 D2 89 10 8B 43 70 33 D2 E8 ?? ?? ?? ?? 0F 84 8A 00 00 00 8B 53 70 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 1E C6 06 39 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6D 8B 43 70 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B 53 70 0F B7 44 42 FE 66 3B 05 ?? ?? ?? ?? 75 19 C6 06 3D 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 35 8B 43 70 E8 ?? ?? ?? ?? 84 C0 75 17 C6 06 41 8B C7 8B 53 70 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 12 C6 06 00 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 00 04 00 00 00 2D 00 2D 00 00 00 00 00 02 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_111916_0 {
	meta:
		name = "TXmlProcessingInstructionSignal.CheckWellformedness"
		size = 180
		refs = "0023 IsXmlPITarget 0034 @WStrAsg 003c @WStrClr 0046 TXmlProcessingInstructionSignal.CheckWellformedness 004b Pos 0070 IsXmlChars"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B 45 08 85 C0 74 04 33 D2 89 10 8B 43 74 E8 ?? ?? ?? ?? 84 C0 75 17 C6 06 48 8B C7 8B 53 74 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 5F 8B 53 70 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 19 C6 06 48 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 35 8B 43 70 E8 ?? ?? ?? ?? 84 C0 75 17 C6 06 41 8B C7 8B 53 70 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 12 C6 06 00 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 04 00 00 00 3F 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_111919_0 {
	meta:
		name = "TXmlAttributeDefinitionSignal.CheckWellformedness"
		size = 912
		refs = "0039 TXmlAttributeDefinitionSignal.CheckWellformedness 0047 IsXmlName 005c @WStrAsg 0064 @WStrClr 012a IsXmlNmtoken 01d6 @WStrCatN 01e1 XmlCharRefToStr 01f0 @HandleOnException 01f8 _Dn_EConvertError 021a @DoneExcept 0268 @WStrFromWChar 0273 @WStrCat 02b3 IsXmlChar 035d @WStrArrayClr 0370 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D EC 89 55 F0 8B F0 8B 45 EC 85 C0 74 04 33 D2 89 10 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 70 E8 ?? ?? ?? ?? 84 C0 75 1E 8B 45 F0 C6 00 71 8B 45 EC 8B 56 70 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 DA 02 00 00 8B 86 80 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 21 8B 45 F0 C6 00 75 8B 45 EC 8B 96 80 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 AA 02 00 00 80 7E 74 01 75 63 8B 46 7C 8B 10 FF 52 1C 48 85 C0 0F 8C AF 00 00 00 40 89 45 E4 33 DB 8D 4D E0 8B 46 7C 8B D3 8B 38 FF 57 14 8B 45 E0 E8 ?? ?? ?? ?? 84 C0 75 2B 8B 45 F0 C6 00 81 8D 4D DC 8B 46 7C 8B D3 8B 18 FF 53 14 8B 55 DC 8B 45 EC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 49 02 00 00 43 FF 4D E4 75 B6 EB 5D 8B 46 7C 8B 10 FF 52 1C 48 85 C0 7C 50 40 89 45 E4 33 DB 8D 4D D8 8B 46 7C 8B D3 8B 38 FF 57 14 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 75 2B 8B 45 F0 C6 00 7C 8D 4D D4 8B 46 7C 8B D3 8B 18 FF 53 14 8B 55 D4 8B 45 EC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 EA 01 00 00 43 FF 4D E4 75 B6 C6 45 EB 00 8D 45 F8 E8 ?? ?? ?? ?? 8B 46 78 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 0F 8E 60 01 00 00 89 45 E4 BB 01 00 00 00 80 7D EB 00 0F 84 E2 00 00 00 8B 46 78 0F B7 7C 58 FE 66 83 FF 3B 0F 85 B9 00 00 00 8B 45 F8 66 83 38 23 75 78 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 65 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F0 C6 00 42 8B 45 EC 8B 55 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 24 01 00 00 E8 ?? ?? ?? ?? EB 2A 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 1E 8B 45 F0 C6 00 46 8B 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 F3 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? C6 45 EB 00 EB 79 8D 45 D0 8B D7 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 F8 E8 ?? ?? ?? ?? EB 62 8B 46 78 0F B7 7C 58 FE 66 83 FF 26 75 06 C6 45 EB 01 EB 4E 66 83 FF 3C 75 1D 8B 45 F0 C6 00 4F 8B 45 EC 8B D7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 97 00 00 00 8B C7 E8 ?? ?? ?? ?? 84 C0 75 20 8B 45 F0 C6 00 3F 8B 45 EC 8B 56 78 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 6C 43 FF 4D E4 0F 85 A8 FE FF FF 80 7D EB 00 74 46 8B 45 F8 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 7E 19 8B 45 F8 66 83 38 23 75 08 8B 45 F0 C6 00 62 EB 0E 8B 45 F0 C6 00 66 EB 06 8B 45 F0 C6 00 66 8B 45 EC 8B 56 78 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 16 8B 45 F0 C6 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 04 00 00 02 00 00 00 26 00 00 00 02 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_111920_0 {
	meta:
		name = "TXmlAttributeDefinitionSignal.CloneSignal"
		size = 98
		refs = "0008 TXmlSignal.CloneSignal 0017 @WStrAsg 004b TXmlAttributeDefinitionSignal.SetEnumeration"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B FE 8D 47 70 8B 53 70 E8 ?? ?? ?? ?? 0F B6 43 74 88 47 74 0F B6 43 75 88 47 75 8D 47 78 8B 53 78 E8 ?? ?? ?? ?? 8D 87 80 00 00 00 8B 93 80 00 00 00 E8 ?? ?? ?? ?? 8B 53 7C 8B C7 E8 ?? ?? ?? ?? 0F B6 83 84 00 00 00 88 87 84 00 00 00 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111922_0 {
	meta:
		name = "TXmlAttributeDefinitionSignal.InitSignal"
		size = 107
		refs = "004d TXmlSignal.InitSignal 005a _Dn_TUtilsWideStringList 005f TObject.Create"
	strings:
		$1 = { 55 8B EC 53 8B D8 FF 75 5C FF 75 58 FF 75 54 FF 75 50 FF 75 4C FF 75 48 FF 75 44 FF 75 40 FF 75 3C FF 75 38 FF 75 34 FF 75 30 FF 75 2C FF 75 28 FF 75 24 FF 75 20 FF 75 1C FF 75 18 FF 75 14 FF 75 10 8B 45 0C 50 8B 45 08 50 8B C3 E8 ?? ?? ?? ?? 83 7B 7C 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 7C 5B 5D C2 58 00 }
	condition:
		$1
}

rule function_111923_0 {
	meta:
		name = "TXmlAttributeDefinitionSignal.Scope"
		size = 12
		refs = "0003 TXmlAttributeDefinitionSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 02 00 00 00 }
	condition:
		$1
}

rule function_111928_0 {
	meta:
		name = "TXmlElementTypeDeclarationSignal.Scope"
		size = 12
		refs = "0003 TXmlElementTypeDeclarationSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 02 00 00 00 }
	condition:
		$1
}

rule function_111931_0 {
	meta:
		name = "TXmlEntityDeclarationSignal.Scope"
		size = 12
		refs = "0003 TXmlEntityDeclarationSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 02 00 00 00 }
	condition:
		$1
}

rule function_111934_0 {
	meta:
		name = "TXmlExternalPEReferenceSignal.Scope"
		size = 12
		refs = "0003 TXmlExternalPEReferenceSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 02 00 00 00 }
	condition:
		$1
}

rule function_111937_0 {
	meta:
		name = "TXmlNotationDeclarationSignal.Scope"
		size = 12
		refs = "0003 TXmlNotationDeclarationSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 02 00 00 00 }
	condition:
		$1
}

rule function_111941_0 {
	meta:
		name = "TXmlPEReferenceFoundSignal.Scope"
		size = 12
		refs = "0003 TXmlPEReferenceFoundSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 02 00 00 00 }
	condition:
		$1
}

rule function_111940_0 {
	meta:
		name = "TXmlParameterEntityDeclarationSignal.Scope"
		size = 12
		refs = "0003 TXmlParameterEntityDeclarationSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 02 00 00 00 }
	condition:
		$1
}

rule function_111944_0 {
	meta:
		name = "TXmlStartExtDtdSignal.Scope"
		size = 12
		refs = "0003 TXmlStartExtDtdSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 02 00 00 00 }
	condition:
		$1
}

rule function_111946_0 {
	meta:
		name = "TXmlStartIntDtdSignal.Scope"
		size = 12
		refs = "0003 TXmlStartIntDtdSignal.Scope"
	strings:
		$1 = { 0F B6 05 ?? ?? ?? ?? C3 02 00 00 00 }
	condition:
		$1
}

rule function_111924_0 {
	meta:
		name = "TXmlAttributeDefinitionSignal.SetEnumeration"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 7C 8B 08 FF 51 08 5E C3 }
	condition:
		$1
}

rule function_111925_0 {
	meta:
		name = "ReplacePrecedingBracket"
		size = 112
		refs = "001b TOrderedList.Peek 0047 TOrderedList.Push"
	strings:
		$1 = { 53 56 8B F0 33 DB 8B C6 8B 10 FF 52 08 3C 02 75 5A 8B C6 8B 10 FF 52 04 8B C6 E8 ?? ?? ?? ?? 3C 06 75 EE 8B C6 8B 10 FF 52 04 8B C6 8B 10 FF 52 08 2C 01 72 18 2C 05 74 06 2C 07 74 1E EB 2A BA 05 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 1E BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 10 BA 0E 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 02 B3 87 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_111926_0 {
	meta:
		name = "TXmlElementTypeDeclarationSignal.CheckWellformedness"
		size = 2292
		refs = "0038 TXmlElementTypeDeclarationSignal.CheckWellformedness 0046 IsXmlName 0058 @WStrAsg 0060 @WStrClr 007f _Dn_TStack 0084 TOrderedList.Create 009f _DV_TXmlElementCMTokenizer 00a4 TXmlElementCMTokenizer.Create 0105 TOrderedList.Push 015f @TryFinallyExit 0321 ReplacePrecedingBracket 04d8 @WStrEqual 0755 TOrderedList.Peek 082d ET_FATAL_ERRORS 088b TObject.Free 0891 @HandleFinally 08cd @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 1D 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D FC 8B DA 8B F0 8B 45 FC 85 C0 74 04 33 D2 89 10 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 74 E8 ?? ?? ?? ?? 84 C0 75 1B C6 03 76 8B 45 FC 8B 56 74 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 4B 08 00 00 C6 03 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4E 70 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 0F B6 40 14 83 F8 0A 0F 87 4B 07 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BA 0C 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 06 07 00 00 8B 45 F4 89 45 F0 8B 45 F0 8B 10 FF 52 08 89 45 EC 8B 45 EC 3C 0C 75 12 BA 03 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 DC 06 00 00 C6 03 84 8D 95 50 FF FF FF 8B 45 F8 8B 08 FF 11 8B 95 50 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 47 07 00 00 8B 45 F4 89 45 E8 8B 45 E8 8B 10 FF 52 08 89 45 E4 8B 45 E4 3C 0C 75 12 BA 03 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 7D 06 00 00 C6 03 85 8D 95 4C FF FF FF 8B 45 F8 8B 08 FF 11 8B 95 4C FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E8 06 00 00 8B 45 F4 89 45 E0 8B 45 E0 8B 10 FF 52 08 89 45 DC 8B 45 DC 3C 06 75 12 BA 07 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 1E 06 00 00 C6 03 86 8D 95 48 FF FF FF 8B 45 F8 8B 08 FF 11 8B 95 48 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 89 06 00 00 8B 45 F4 89 45 D8 8B 45 D8 8B 10 FF 52 08 89 45 D4 8B 45 D4 84 C0 74 0A 2C 06 74 06 04 FA 2C 02 73 12 BA 06 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 B5 05 00 00 C6 03 87 8D 95 44 FF FF FF 8B 45 F8 8B 08 FF 11 8B 95 44 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 20 06 00 00 8B 45 F4 89 45 D0 8B 45 D0 8B 10 FF 52 08 89 45 CC 8B 45 CC 3C 04 75 11 8B 45 F4 89 45 C8 8B 45 C8 8B 10 FF 52 04 89 45 C4 8B 45 F4 89 45 C0 8B 45 C0 8B 10 FF 52 08 89 45 BC 8B 45 BC 84 C0 74 13 2C 03 74 0F 2C 03 74 0B 04 FE 2C 02 72 05 48 2C 03 73 35 C6 03 87 8D 95 40 FF FF FF 8B 45 F8 8B 08 FF 11 8B 95 40 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 97 05 00 00 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 35 C6 03 87 8D 95 3C FF FF FF 8B 45 F8 8B 08 FF 11 8B 95 3C FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 56 05 00 00 8B 45 F4 89 45 B8 8B 45 B8 8B 10 FF 52 08 89 45 B4 8B 45 B4 2C 07 74 06 2C 03 74 14 EB 24 BA 0B 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 86 04 00 00 BA 09 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 74 04 00 00 BA 02 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 62 04 00 00 8B 45 F4 89 45 B0 8B 45 B0 8B 10 FF 52 08 89 45 AC 8B 45 AC 2C 01 72 0E 2C 05 74 1C 2C 02 74 2A 2C 05 74 38 EB 48 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 2A 04 00 00 BA 05 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 18 04 00 00 BA 0A 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 06 04 00 00 BA 0E 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 F4 03 00 00 C6 03 87 8D 95 38 FF FF FF 8B 45 F8 8B 08 FF 11 8B 95 38 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5F 04 00 00 8B 45 F4 89 45 A8 8B 45 A8 8B 10 FF 52 08 89 45 A4 8B 45 A4 3C 04 75 11 8B 45 F4 89 45 A0 8B 45 A0 8B 10 FF 52 04 89 45 9C 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 35 C6 03 87 8D 95 34 FF FF FF 8B 45 F8 8B 08 FF 11 8B 95 34 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F5 03 00 00 8D 95 30 FF FF FF 8B 45 F8 8B 08 FF 11 8B 85 30 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 63 8B 45 F4 89 45 98 8B 45 98 8B 10 FF 52 08 89 45 94 8B 45 94 2C 05 74 04 2C 09 75 12 BA 0D 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 08 03 00 00 C6 03 87 8D 95 2C FF FF FF 8B 45 F8 8B 08 FF 11 8B 95 2C FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 73 03 00 00 8B 45 F4 89 45 90 8B 45 90 8B 10 FF 52 08 89 45 8C 8B 45 8C FE C8 74 10 2C 04 74 0C 04 FE 2C 02 72 15 FE C8 74 11 EB 21 33 D2 8B 45 F4 E8 ?? ?? ?? ?? E9 9C 02 00 00 BA 08 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 8A 02 00 00 C6 03 87 8D 95 28 FF FF FF 8B 45 F8 8B 08 FF 11 8B 95 28 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F5 02 00 00 8B 45 F4 89 45 88 8B 45 88 8B 10 FF 52 08 89 45 84 8B 45 84 83 E0 7F 83 F8 0E 0F 87 A1 00 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 00 01 01 00 00 01 00 00 00 02 00 02 00 00 01 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BA 04 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 FA 01 00 00 8D 95 24 FF FF FF 8B 45 F8 8B 08 FF 11 8B 85 24 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 12 BA 03 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? E9 C9 01 00 00 C6 03 87 8D 95 20 FF FF FF 8B 45 F8 8B 08 FF 11 8B 95 20 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 34 02 00 00 C6 03 87 8D 95 1C FF FF FF 8B 45 F8 8B 08 FF 11 8B 95 1C FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FF 01 00 00 8B 45 F4 89 45 80 8B 45 80 8B 10 FF 52 08 89 85 7C FF FF FF 8B 85 7C FF FF FF 2C 03 0F 84 2E 01 00 00 2C 08 0F 84 26 01 00 00 8B 45 F4 89 85 78 FF FF FF 8B 85 78 FF FF FF 8B 10 FF 52 08 89 85 74 FF FF FF 8B 85 74 FF FF FF 3C 04 75 1A 8B 45 F4 89 85 70 FF FF FF 8B 85 70 FF FF FF 8B 10 FF 52 04 89 85 6C FF FF FF 8B 45 F4 89 85 68 FF FF FF 8B 85 68 FF FF FF 8B 10 FF 52 08 89 85 64 FF FF FF 8B 85 64 FF FF FF 3C 02 0F 85 8B 00 00 00 8B 75 F4 8B C6 8B 10 FF 52 04 8B F8 8B 45 F4 E8 ?? ?? ?? ?? 3C 06 75 E8 8B 45 F4 89 85 60 FF FF FF 8B 85 60 FF FF FF 8B 10 FF 52 04 89 85 5C FF FF FF 8B 45 F4 89 85 58 FF FF FF 8B 85 58 FF FF FF 8B 10 FF 52 08 89 85 54 FF FF FF 8B 85 54 FF FF FF 3C 0C 74 6A C6 03 87 8D 95 18 FF FF FF 8B 45 F8 8B 08 FF 11 8B 95 18 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E4 00 00 00 C6 03 87 8D 95 14 FF FF FF 8B 45 F8 8B 08 FF 11 8B 95 14 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AF 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A0 00 00 00 8B 45 F8 8B 10 FF 52 04 8B 45 F8 0F B6 40 09 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 0F 83 82 F8 FF FF 8B 45 F8 0F B6 40 09 88 03 8D 95 10 FF FF FF 8B 45 F8 8B 08 FF 11 8B 95 10 FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 55 F8 8B 52 04 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3F E9 3F F8 FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 10 FF FF FF BA 11 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 00 02 00 00 00 2C 00 00 00 02 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_111927_0 {
	meta:
		name = "TXmlElementTypeDeclarationSignal.CloneSignal"
		size = 51
		refs = "0008 TXmlSignal.CloneSignal 0017 @WStrAsg"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B FE 8D 47 70 8B 53 70 E8 ?? ?? ?? ?? 8D 47 74 8B 53 74 E8 ?? ?? ?? ?? 0F B6 43 78 88 47 78 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111929_0 {
	meta:
		name = "TXmlEntityDeclarationSignal.CheckWellformedness"
		size = 335
		refs = "0026 IsXmlName 003a @WStrAsg 0042 @WStrClr 0051 @WStrEqual 005b IsXmlEntityValueChars 00c2 IsXmlSystemChars 00e8 IsXmlPubidChars"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B 45 08 85 C0 74 04 33 D2 89 10 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 1D C6 06 78 8B C7 8B 93 80 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 FD 00 00 00 8B 43 74 33 D2 E8 ?? ?? ?? ?? 74 64 8B 43 74 E8 ?? ?? ?? ?? 84 C0 75 1A C6 06 7A 8B C7 8B 53 74 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 CB 00 00 00 8B 43 78 33 D2 E8 ?? ?? ?? ?? 75 1B 8B 83 84 00 00 00 33 D2 E8 ?? ?? ?? ?? 75 0C 8B 43 7C 33 D2 E8 ?? ?? ?? ?? 74 17 C6 06 88 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 8D 00 00 00 8B 83 84 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 1A C6 06 4A 8B C7 8B 93 84 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 64 8B 43 78 E8 ?? ?? ?? ?? 84 C0 75 17 C6 06 49 8B C7 8B 53 78 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 41 8B 43 7C 33 D2 E8 ?? ?? ?? ?? 74 23 8B 43 7C E8 ?? ?? ?? ?? 84 C0 75 17 C6 06 7F 8B C7 8B 53 7C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 12 C6 06 00 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111930_0 {
	meta:
		name = "TXmlEntityDeclarationSignal.CloneSignal"
		size = 113
		refs = "0008 TXmlSignal.CloneSignal 0017 @WStrAsg"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B FE 8D 47 70 8B 53 70 E8 ?? ?? ?? ?? 8D 87 80 00 00 00 8B 93 80 00 00 00 E8 ?? ?? ?? ?? 8D 47 74 8B 53 74 E8 ?? ?? ?? ?? 0F B6 83 88 00 00 00 88 87 88 00 00 00 8D 47 7C 8B 53 7C E8 ?? ?? ?? ?? 8D 47 78 8B 53 78 E8 ?? ?? ?? ?? 8D 87 84 00 00 00 8B 93 84 00 00 00 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111932_0 {
	meta:
		name = "TXmlExternalPEReferenceSignal.CheckWellformedness"
		size = 91
		refs = "0023 IsXmlName 0031 @WStrClr 0048 @WStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B 45 08 85 C0 74 04 33 D2 89 10 8B 43 70 E8 ?? ?? ?? ?? 84 C0 74 14 C6 06 00 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 15 C6 06 47 8B C7 8B 53 70 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111935_0 {
	meta:
		name = "TXmlNotationDeclarationSignal.CheckWellformedness"
		size = 161
		refs = "0023 IsXmlName 0034 @WStrAsg 003c @WStrClr 0046 IsXmlSystemChars 0069 IsXmlPubidChars"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B 45 08 85 C0 74 04 33 D2 89 10 8B 43 70 E8 ?? ?? ?? ?? 84 C0 75 17 C6 06 80 8B C7 8B 53 70 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 58 8B 43 78 E8 ?? ?? ?? ?? 84 C0 75 17 C6 06 4A 8B C7 8B 53 78 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 35 8B 43 74 E8 ?? ?? ?? ?? 84 C0 75 17 C6 06 49 8B C7 8B 53 74 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 12 C6 06 00 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111936_0 {
	meta:
		name = "TXmlNotationDeclarationSignal.CloneSignal"
		size = 62
		refs = "0008 TXmlSignal.CloneSignal 001e @WStrAsg"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B FE 0F B6 43 7C 88 47 7C 8D 47 70 8B 53 70 E8 ?? ?? ?? ?? 8D 47 74 8B 53 74 E8 ?? ?? ?? ?? 8D 47 78 8B 53 78 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111938_0 {
	meta:
		name = "TXmlParameterEntityDeclarationSignal.CheckWellformedness"
		size = 267
		refs = "0023 IsXmlName 0034 @WStrAsg 003c @WStrClr 004b @WStrEqual 0055 IsXmlEntityValueChars 00ad IsXmlSystemChars 00d3 IsXmlPubidChars"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B 45 08 85 C0 74 04 33 D2 89 10 8B 43 74 E8 ?? ?? ?? ?? 84 C0 75 1A C6 06 79 8B C7 8B 53 74 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 BF 00 00 00 8B 43 78 33 D2 E8 ?? ?? ?? ?? 74 55 8B 43 78 E8 ?? ?? ?? ?? 84 C0 75 1A C6 06 7B 8B C7 8B 53 78 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? E9 8D 00 00 00 8B 43 7C 33 D2 E8 ?? ?? ?? ?? 75 0F 8B 83 80 00 00 00 33 D2 E8 ?? ?? ?? ?? 74 14 C6 06 89 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 5E 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 1A C6 06 4A 8B C7 8B 93 80 00 00 00 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 35 8B 43 7C E8 ?? ?? ?? ?? 84 C0 75 17 C6 06 49 8B C7 8B 53 7C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 12 C6 06 00 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111939_0 {
	meta:
		name = "TXmlParameterEntityDeclarationSignal.CloneSignal"
		size = 83
		refs = "0008 TXmlSignal.CloneSignal 0017 @WStrAsg"
		altNames = "TXmlStartExtDtdSignal.CloneSignal"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B FE 8D 47 70 8B 53 70 E8 ?? ?? ?? ?? 8D 47 74 8B 53 74 E8 ?? ?? ?? ?? 8D 47 78 8B 53 78 E8 ?? ?? ?? ?? 8D 47 7C 8B 53 7C E8 ?? ?? ?? ?? 8D 87 80 00 00 00 8B 93 80 00 00 00 E8 ?? ?? ?? ?? 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111942_0 {
	meta:
		name = "TXmlStartExtDtdSignal.CheckWellformedness"
		size = 150
		refs = "0023 IsXmlEncName 0031 @WStrEqual 003d @WStrClr 0052 IsXmlVersionNum"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 85 FF 74 04 33 C0 89 07 8B 45 08 85 C0 74 04 33 D2 89 10 8B 43 70 E8 ?? ?? ?? ?? 84 C0 75 20 8B 43 70 33 D2 E8 ?? ?? ?? ?? 74 14 C6 06 45 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 44 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 23 8B 83 80 00 00 00 33 D2 E8 ?? ?? ?? ?? 74 14 C6 06 4C 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? EB 12 C6 06 00 8B C7 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_111945_0 {
	meta:
		name = "TXmlStartIntDtdSignal.CloneSignal"
		size = 40
		refs = "0008 TXmlSignal.CloneSignal 0017 @WStrAsg"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B FE 8D 47 70 8B 53 70 E8 ?? ?? ?? ?? 0F B6 43 74 88 47 74 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111947_0 {
	meta:
		name = "TXmlCustomHandler.SendErrorNotification"
		size = 144
		refs = "0028 ET_FATAL_ERRORS 002f TXmlCustomHandler.SendErrorNotification 0036 _DV_EParserException 003b Exception.Create 0040 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 53 85 D2 74 15 8B 45 0C 50 8B 45 08 50 8B C1 8B 4D 10 92 8B 18 FF 53 44 EB 27 80 F9 9F 77 0A 0F B6 C9 0F A3 0D ?? ?? ?? ?? 73 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B 5D C2 0C 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 53 00 69 00 67 00 6E 00 61 00 6C 00 20 00 50 00 72 00 6F 00 63 00 65 00 73 00 73 00 69 00 6E 00 67 00 20 00 45 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_111949_0 {
	meta:
		name = "TXmlStandardHandler.ProcessSignal"
		size = 72
	strings:
		$1 = { 53 56 51 8B F2 8B D8 C6 04 24 01 66 83 7B 42 00 74 0B 54 8B CE 8B D3 8B 43 44 FF 53 40 80 3C 24 00 74 10 83 7B 38 00 74 0A 8B D6 8B 43 38 8B 08 FF 51 44 66 83 7B 4A 00 74 0A 8B CE 8B D3 8B 43 4C FF 53 48 5A 5E 5B C3 }
	condition:
		$1
}

rule function_111952_0 {
	meta:
		name = "TXmlHandlerItem.Assign"
		size = 54
		refs = "000a _DV_TXmlHandlerItem 000f @IsClass 001a TXmlHandlerItem.GetXmlHandler 0023 TXmlHandlerItem.SetXmlHandler 002f TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B C6 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111958_0 {
	meta:
		name = "TXmlHandlers.Assign"
		size = 133
		refs = "0010 _Dn_TStrings 0015 @IsClass 0020 TCollection.Clear 004d _DV_TXmlCustomHandler 0067 TXmlHandlers.Add 006d TXmlHandlerItem.SetXmlHandler 007c TCollection.Assign"
	strings:
		$1 = { 53 56 57 55 8B DA 8B E8 3B EB 74 74 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5A 8B C5 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 14 8B F8 4F 85 FF 7C 4E 47 33 F6 8B D6 8B C3 8B 08 FF 51 18 85 C0 74 2F 8B D6 8B C3 8B 08 FF 51 18 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 8B D6 8B C3 8B 08 FF 51 18 50 8B C5 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 46 4F 75 C0 EB 09 8B D3 8B C5 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111959_0 {
	meta:
		name = "TXmlHandlers.FindHandlerItem"
		size = 47
		refs = "001b TCollection.GetItem"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B 47 08 8B 58 08 4B 85 DB 7C 15 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 3B 68 0C 74 06 46 4B 75 EE 33 C0 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111960_0 {
	meta:
		name = "TXmlDistributor.Create"
		size = 75
		refs = "000a @ClassCreate 0017 TComponent.Create 0025 _DV_TXmlHandlers 002a TXmlHandlers.Create 0038 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 38 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_111962_0 {
	meta:
		name = "TXmlDistributor.DefineProperties"
		size = 84
		refs = "000b TComponent.DefineProperties 0011 TXmlDistributor.ReadData 0017 TXmlDistributor.WriteData 001e TXmlDistributor.DefineProperties"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 53 68 ?? ?? ?? ?? B1 01 BA ?? ?? ?? ?? 8B C6 8B 18 FF 53 04 5E 5B C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 4E 00 65 00 78 00 74 00 48 00 61 00 6E 00 64 00 6C 00 65 00 72 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_111963_0 {
	meta:
		name = "TXmlDistributor.Notification"
		size = 73
		refs = "0010 TComponent.Notification 0023 _DV_TXmlCustomHandler 0028 @IsClass 0036 TXmlHandlers.FindHandlerItem 0041 TXmlHandlerItem.SetXmlHandler"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? F6 46 1C 08 75 2B 80 FB 01 75 26 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B D7 8B 46 3C E8 ?? ?? ?? ?? 85 C0 74 07 33 D2 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_111964_0 {
	meta:
		name = "TXmlDistributor.ProcessSignal"
		size = 260
		refs = "0039 TXmlHandlerItem.GetXmlHandler 0056 TXmlDistributor.ProcessSignal 0083 @HandleAnyException 008a @DoneExcept 0092 TObject.Free 00aa _DV_EParserException 00af Exception.Create 00b4 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 55 FC B3 01 8B 40 3C 89 45 F0 8B 45 F0 8B 40 08 8B 40 08 48 85 C0 7C 7C 40 89 45 EC C7 45 F8 00 00 00 00 8B 55 F8 8B 45 F0 8B 08 FF 51 28 E8 ?? ?? ?? ?? 85 C0 74 55 8B 45 FC 8B 50 30 8B 45 FC 8B 08 FF 51 44 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 F0 8B 08 FF 51 28 E8 ?? ?? ?? ?? 8B 55 F4 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? FF 45 F8 FF 4D EC 75 8F 84 DB 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 53 00 69 00 67 00 6E 00 61 00 6C 00 20 00 50 00 72 00 6F 00 63 00 65 00 73 00 73 00 69 00 6E 00 67 00 20 00 45 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_111968_0 {
	meta:
		name = "TXmlWFTestHandler.Create"
		size = 95
		refs = "000a @ClassCreate 0017 TComponent.Create 0026 _Dn_TUtilsWideStringList 002b TObject.Create 004c @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 38 00 C6 46 39 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 C6 46 44 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_111969_0 {
	meta:
		name = "TXmlWFTestHandler.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TComponent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 40 E8 ?? ?? ?? ?? 8B 46 48 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111970_0 {
	meta:
		name = "CheckDoctypeSignal"
		size = 75
		refs = "001e @WStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B 45 08 8B 40 FC 80 78 39 00 74 0F C6 02 6C 8B C6 8B 53 74 E8 ?? ?? ?? ?? EB 23 8B 45 08 8B 40 FC C6 40 39 01 8B 45 08 8B 40 FC 80 78 44 00 74 0D C6 02 69 8B C6 8B 53 74 E8 ?? ?? ?? ?? 5E 5B 5D C3 }
	condition:
		$1
}

rule function_111971_0 {
	meta:
		name = "CheckEndElementSignal"
		size = 194
		refs = "001a CheckEndElementSignal 0047 @WStrAsg 0067 @WStrEqual 00af @WStrClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 48 8B 10 FF 52 1C 8B D8 4B 83 FB FF 75 13 8B 45 FC C6 00 55 8B 45 F8 8B 56 70 E8 ?? ?? ?? ?? EB 51 8D 4D F4 8B 45 08 8B 40 FC 8B 40 48 8B D3 8B 38 FF 57 14 8B 45 F4 8B 56 70 E8 ?? ?? ?? ?? 75 20 8B 45 08 8B 40 FC 8B 40 48 8B D3 8B 08 FF 51 4C 85 DB 75 1D 8B 45 08 8B 40 FC C6 40 44 02 EB 11 8B 45 FC C6 00 55 8B 45 F8 8B 56 70 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111972_0 {
	meta:
		name = "CheckEndPrefixMappingSignal"
		size = 180
		refs = "001a CheckEndPrefixMappingSignal 0047 @WStrAsg 0067 @WStrEqual 00a1 @WStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC 8B 40 40 8B 10 FF 52 1C 8B D8 4B 83 FB FF 75 13 8B 45 FC C6 00 98 8B 45 F8 8B 56 70 E8 ?? ?? ?? ?? EB 43 8D 4D F4 8B 45 08 8B 40 FC 8B 40 40 8B D3 8B 38 FF 57 14 8B 45 F4 8B 56 70 E8 ?? ?? ?? ?? 74 13 8B 45 FC C6 00 98 8B 45 F8 8B 56 70 E8 ?? ?? ?? ?? EB 10 8B 45 08 8B 40 FC 8B 40 40 8B D3 8B 08 FF 51 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111973_0 {
	meta:
		name = "LastOpenTag"
		size = 60
		refs = "0020 @WStrClr"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 45 08 8B 40 FC 8B 40 48 8B 10 FF 52 1C 8B D8 4B 83 FB FF 75 09 8B C6 E8 ?? ?? ?? ?? EB 12 8B CE 8B 45 08 8B 40 FC 8B 40 48 8B D3 8B 18 FF 53 14 5E 5B 5D C3 }
	condition:
		$1
}

rule function_111974_0 {
	meta:
		name = "TXmlWFTestHandler.ProcessSignal"
		size = 1624
		refs = "0016 TXmlWFTestHandler.ProcessSignal 0028 @WStrClr 005f _DV_TXmlCDATASignal 0064 @IsClass 0084 @WStrLAsg 0091 _DV_TXmlDoctypeSignal 00a8 CheckDoctypeSignal 00b6 _DV_TXmlEndElementSignal 00cd CheckEndElementSignal 00db _DV_TXmlEntityRefSignal 010f @WStrCatN 011c _DV_TXmlPCDATASignal 0158 IsXmlS 017c _DV_TXmlSkippedEntitySignal 0191 _DV_TXmlStartElementSignal 01d9 _DV_TXmlStartPrefixMappingSignal 01fd _DV_TXmlEndPrefixMappingSignal 0214 CheckEndPrefixMappingSignal 0222 _DV_TXmlCompletedSignal 025d LastOpenTag 028d _DV_TXmlAbortedSignal 02be _DV_EParserException 02c3 Exception.Create 02c8 @RaiseExcept 0489 _DV_TXmlStartDocumentSignal 04ca _DV_TXmlStartDocumentFragmentSignal 0508 _DV_TXmlStartExtDtdSignal 0522 _DV_TXmlStartIntDtdSignal 05dc @WStrArrayClr 05ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 0F B6 40 38 2C 01 0F 82 42 04 00 00 74 16 FE C8 0F 84 84 02 00 00 48 2C 02 0F 82 ED 03 00 00 E9 0E 05 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8B 45 FC 80 78 44 01 0F 84 F0 04 00 00 C6 45 F3 57 8D 45 F8 8B 53 70 E8 ?? ?? ?? ?? E9 DC 04 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 55 8D 4D F8 8D 55 F3 8B C3 E8 ?? ?? ?? ?? 59 E9 B7 04 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 55 8D 4D F8 8D 55 F3 8B C3 E8 ?? ?? ?? ?? 59 E9 92 04 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8B 45 FC 80 78 44 01 0F 84 74 04 00 00 C6 45 F3 57 68 ?? ?? ?? ?? FF 73 70 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? E9 51 04 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4F 8B 45 FC 80 78 44 01 0F 84 33 04 00 00 8B F3 80 7E 70 00 74 16 C6 45 F3 57 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 15 04 00 00 8B 46 74 E8 ?? ?? ?? ?? 84 C0 0F 85 05 04 00 00 C6 45 F3 57 8D 45 F8 8B 56 74 E8 ?? ?? ?? ?? E9 F1 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 DC 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 8B 45 FC 80 78 44 02 75 14 C6 45 F3 3A 8D 45 F8 8B 53 70 E8 ?? ?? ?? ?? E9 AE 03 00 00 8B 45 FC C6 40 44 01 8B 53 70 8B 45 FC 8B 40 48 8B 08 FF 51 34 E9 94 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B 53 70 8B 45 FC 8B 40 40 8B 08 FF 51 34 E9 70 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 55 8D 4D F8 8D 55 F3 8B C3 E8 ?? ?? ?? ?? 59 E9 4B 03 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5A 8B 45 FC 0F B6 40 44 2C 01 72 04 74 10 EB 31 C6 45 F3 5F 8D 45 F8 E8 ?? ?? ?? ?? EB 31 C6 45 F3 51 8D 45 F8 E8 ?? ?? ?? ?? 55 8D 45 EC E8 ?? ?? ?? ?? 59 8B 55 EC 8D 45 F4 E8 ?? ?? ?? ?? EB 0E 8B 45 FC C6 40 39 00 8B 45 FC C6 40 44 00 8B 45 FC C6 40 38 00 E9 E0 02 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 FC 8B 10 FF 52 48 E9 C2 02 00 00 8B C3 8B 10 FF 52 48 A8 01 0F 85 B3 02 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 98 02 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 55 8D 4D F8 8D 55 F3 8B C3 E8 ?? ?? ?? ?? 59 E9 73 02 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 55 8D 4D F8 8D 55 F3 8B C3 E8 ?? ?? ?? ?? 59 E9 4E 02 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 39 02 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 FC C6 40 44 01 8B 53 70 8B 45 FC 8B 40 48 8B 08 FF 51 34 E9 0E 02 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B 53 70 8B 45 FC 8B 40 40 8B 08 FF 51 34 E9 EA 01 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 14 55 8D 4D F8 8D 55 F3 8B C3 E8 ?? ?? ?? ?? 59 E9 C5 01 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 46 8B 45 FC 80 78 44 01 75 23 C6 45 F3 51 8D 45 F8 E8 ?? ?? ?? ?? 55 8D 45 E8 E8 ?? ?? ?? ?? 59 8B 55 E8 8D 45 F4 E8 ?? ?? ?? ?? EB 0E 8B 45 FC C6 40 39 00 8B 45 FC C6 40 44 00 8B 45 FC C6 40 38 00 E9 6E 01 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 45 FC 8B 10 FF 52 48 E9 50 01 00 00 8B C3 8B 10 FF 52 48 A8 01 0F 85 41 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 26 01 00 00 8B C3 8B 10 FF 52 48 A8 02 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 F0 00 00 00 8B 45 FC C6 40 38 00 E9 E4 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8B 45 FC C6 40 38 01 8B 45 FC 8B 40 40 8B 10 FF 52 48 8B 45 FC 8B 40 48 8B 10 FF 52 48 8B 45 FC C6 40 39 00 8B 45 FC C6 40 44 00 E9 A3 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2D 8B 45 FC C6 40 38 02 8B 45 FC 8B 40 40 8B 10 FF 52 48 8B 45 FC 8B 40 48 8B 10 FF 52 48 8B 45 FC C6 40 39 00 8B 45 FC C6 40 44 00 EB 65 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B 45 FC C6 40 38 03 EB 4B 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B 45 FC C6 40 38 04 EB 31 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 FC 8B 10 FF 52 48 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 7D F3 00 75 1D 8D 45 F4 E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 8D 55 F3 8B C3 8B 30 FF 56 40 80 7D F3 00 75 13 8B 45 FC 8B 40 3C 85 C0 74 2A 8B D3 8B 08 FF 51 44 EB 21 8B C3 85 C0 74 03 83 E8 94 50 8B 45 F8 50 8B 45 F4 50 0F B6 4D F3 8B 53 30 8B 45 FC 8B 18 FF 53 40 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 02 00 00 00 26 00 00 00 02 00 00 00 3B 00 00 00 04 00 00 00 26 00 23 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 20 00 50 00 61 00 72 00 73 00 65 00 72 00 20 00 45 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_111976_0 {
	meta:
		name = "TXmlWFTestHandler.Reset"
		size = 33
	strings:
		$1 = { 53 8B D8 C6 43 38 00 C6 43 39 00 C6 43 44 00 8B 43 40 8B 10 FF 52 48 8B 43 48 8B 10 FF 52 48 5B C3 }
	condition:
		$1
}

rule function_111977_0 {
	meta:
		name = "TXmlNamespaceSignalGenerator.Create"
		size = 110
		refs = "000e @ClassCreate 001c TComponent.Create 002f _Dn_TObjectList 0034 TObjectList.Create 0044 _Dn_TList 0049 TObject.Create 0059 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? C6 43 44 01 C6 43 4D 00 C6 43 4C 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 38 C6 46 10 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 48 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_111978_0 {
	meta:
		name = "TXmlNamespaceSignalGenerator.Destroy"
		size = 59
		refs = "0003 @BeforeDestruction 0016 TObject.Free 0029 TComponent.Destroy 0034 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 48 8B 46 48 E8 ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_111979_0 {
	meta:
		name = "TXmlNamespaceSignalGenerator.ClearPrefixMappingStack"
		size = 37
		refs = "0009 TList.Last 000e TObject.Free 0019 TList.Delete"
	strings:
		$1 = { 53 8B 58 48 EB 17 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 83 7B 08 00 7F E3 5B C3 }
	condition:
		$1
}

rule function_111980_0 {
	meta:
		name = "TXmlNamespaceSignalGenerator.CloseStartElement"
		size = 274
		refs = "0028 _DV_TXmlStartElementSignal 0031 TXmlSignal.CreateFromLocator 003c TXmlNamespaceSignalGenerator.CloseStartElement 0053 @WStrAsg 0076 TObject.Free 007c @HandleFinally 0095 TList.Get 00af TList.ExtractItem"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 45 FC 8B 45 FC 80 78 4C 00 0F 84 F2 00 00 00 8B 45 FC 83 78 40 00 0F 84 DE 00 00 00 51 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 83 C0 70 8B 55 FC 8B 52 3C E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 55 F4 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 40 38 89 45 F0 EB 6E 8B 75 F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B F8 8B DF 8B 45 F0 89 45 E8 89 5D E4 33 C9 8B 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 89 45 EC 8B 45 EC 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 40 8B 55 F8 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F0 83 78 08 00 7F 89 8B 45 FC C6 40 4C 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111981_0 {
	meta:
		name = "TXmlNamespaceSignalGenerator.ProcessAttributeSignal"
		size = 416
		refs = "0016 TXmlNamespaceSignalGenerator.ProcessAttributeSignal 002e _DV_EParserException 0033 Exception.Create 0038 @RaiseExcept 0045 StartsWideStr 005f TList.Last 00a6 @WStrCopy 010d TList.Add 013a @WStrClr 0140 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 4C 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 56 74 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C2 00 00 00 80 7B 44 00 0F 84 9A 00 00 00 8B 43 48 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 74 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F8 83 FF 06 7E 3B 8D 45 FC 50 8B CF BA 07 00 00 00 8B 46 74 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 51 34 8B 45 FC 50 8B 46 78 50 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C3 8B 38 FF 57 58 EB 23 33 D2 8B 45 F8 8B 08 FF 51 34 6A 00 8B 46 78 50 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C3 8B 38 FF 57 58 80 7B 4D 00 75 2E 8B 5B 38 8B 56 30 8B C6 8B 08 FF 51 44 8B D0 8B C3 E8 ?? ?? ?? ?? EB 16 8B 5B 38 8B 56 30 8B C6 8B 08 FF 51 44 8B D0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 20 00 50 00 61 00 72 00 73 00 65 00 72 00 20 00 45 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 00 00 0A 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_111982_0 {
	meta:
		name = "TXmlNamespaceSignalGenerator.ProcessSignal"
		size = 282
		refs = "000a _DV_TXmlAttributeSignal 000f @IsClass 0020 @AsClass 0034 _DV_TXmlAbortedSignal 006e TXmlNamespaceSignalGenerator.CloseStartElement 0076 _DV_TXmlStartElementSignal 009f _DV_TXmlEndElementSignal 00d3 _DV_TXmlCompletedSignal 00e4 _DV_TXmlStartDocumentSignal 00f5 _DV_TXmlStartDocumentFragmentSignal"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 4C 5E 5B C3 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B C6 8B 10 FF 52 5C 8B 46 40 85 C0 0F 84 C4 00 00 00 8B D3 8B 08 FF 51 44 E9 B8 00 00 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 51 50 EB 7C 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 23 8B 46 40 85 C0 74 07 8B D3 8B 08 FF 51 44 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 18 FF 53 54 EB 48 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 22 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 07 8B C6 8B 10 FF 52 5C 8B 46 40 85 C0 74 07 8B D3 8B 08 FF 51 44 5E 5B C3 }
	condition:
		$1
}

rule function_111983_0 {
	meta:
		name = "TXmlNamespaceSignalGenerator.ProcessStartElementSignal"
		size = 152
		refs = "000d TXmlNamespaceSignalGenerator.ProcessStartElementSignal 0014 _DV_EParserException 0019 Exception.Create 001e @RaiseExcept 0029 @WStrAsg 0042 _Dn_TUtilsWideStringList 0047 TObject.Create 0051 TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 80 7B 4C 00 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 3C 8B 56 70 E8 ?? ?? ?? ?? 8B 43 38 8B 10 FF 52 08 C6 43 4C 01 80 7B 44 00 74 16 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 43 48 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 19 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 20 00 50 00 61 00 72 00 73 00 65 00 72 00 20 00 45 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_111984_0 {
	meta:
		name = "TXmlNamespaceSignalGenerator.Reset"
		size = 24
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 48 8B 43 38 8B 10 FF 52 08 C6 43 4C 00 5B C3 }
	condition:
		$1
}

rule function_111985_0 {
	meta:
		name = "TXmlNamespaceSignalGenerator.WriteEndPrefixMapping"
		size = 308
		refs = "0019 TXmlNamespaceSignalGenerator.WriteEndPrefixMapping 0043 TList.Last 0051 TList.Delete 008b _DV_TXmlEndPrefixMappingSignal 0090 TXmlSignal.CreateFromLocator 00bd @WStrAsg 00e0 TObject.Free 00e6 @HandleFinally 0123 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 33 DB 89 5D E4 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 44 00 0F 84 E2 00 00 00 8B 45 FC 8B 58 48 83 7B 08 00 0F 8E D2 00 00 00 8B C3 E8 ?? ?? ?? ?? 89 45 EC 8B 53 08 4A 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 40 00 0F 84 85 00 00 00 8B 45 EC 8B 10 FF 52 1C 48 83 F8 00 7C 77 89 45 E8 8B 45 F4 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E4 8B 55 E8 8B 45 EC 8B 18 FF 53 14 8B 55 E4 8B 45 F0 83 C0 70 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 55 F0 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 4D E8 83 7D E8 FF 75 8C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_111986_0 {
	meta:
		name = "TXmlNamespaceSignalGenerator.WriteStartPrefixMapping"
		size = 119
		refs = "000f _DV_TXmlStartPrefixMappingSignal 0018 TXmlSignal.CreateFromLocator 0023 TXmlNamespaceSignalGenerator.WriteStartPrefixMapping 0037 @WStrAsg 0065 TObject.Free 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 83 7B 40 00 74 64 51 A1 ?? ?? ?? ?? B1 01 87 CA E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 70 8B 55 0C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 74 8B 55 08 E8 ?? ?? ?? ?? 8B 43 40 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111987_0 {
	meta:
		name = "TXmlDomBuilder.Create"
		size = 97
		refs = "000a @ClassCreate 0017 TComponent.Create 003b _Dn_TUtilsNameValueList 0040 TUtilsNameValueList.Create 004e @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 40 C6 46 38 01 C6 46 39 01 C6 46 3A 01 C6 46 3B 01 C6 46 3C 01 C6 46 3D 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 44 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_111989_0 {
	meta:
		name = "TXmlDomBuilder.ProcessSignal"
		size = 3172
		refs = "0022 TXmlDomBuilder.ProcessSignal 0030 _DV_TXmlAttributeSignal 0035 @IsClass 0058 _DV_TDomDocumentNS 0072 @WStrEqual 0081 _DV_TDomElement 0086 @AsClass 00a5 @WStrClr 00b9 XmlExtractPrefixAndLocalName 00eb @WStrLAsg 01b8 _DV_TXmlCDATASignal 01e9 _DV_TDomCDATASection 01ee TDomCDATASection.Create 022d @HandleAnyException 0235 TObject.Free 023a @RaiseAgain 023f @DoneExcept 026a _DV_TXmlCommentSignal 029f _DV_TDomComment 02a4 TDomComment.Create 0302 _DV_TXmlDoctypeSignal 034f _DV_TDomDocumentTypeDecl 0354 TDomDocumentTypeDecl.Create 03cc _DV_TDomDocument 0453 _DV_EParserException 0458 Exception.Create 045d @RaiseExcept 0482 @HandleFinally 0561 _DV_TXmlEndElementSignal 058f _DV_TXmlEndPrefixMappingSignal 05b9 _DV_TXmlEntityRefSignal 05de IsXmlPredefinedEntityName 05fa _DV_TDomEntityReference 05ff TDomEntityReference.Create 0739 _DV_TXmlPCDATASignal 078a _DV_TXmlProcessingInstructionSignal 07b5 _DV_TDomProcessingInstruction 07ba TDomProcessingInstruction.Create 0818 _DV_TXmlSkippedEntitySignal 082d _DV_TXmlStartDocumentSignal 0864 _DV_TDomCustomDocument 0876 @WStrAsg 08e4 _DV_TXmlStartDocumentFragmentSignal 0902 _DV_TXmlStartElementSignal 09a7 TDomElement.CreateNS 09e6 TDomElement.Create 0a02 _DV_TXmlStartPrefixMappingSignal 0a23 _DV_TXmlAbortedSignal 0a78 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 C9 89 4D C4 89 4D FC 89 4D F8 89 4D F4 89 4D F0 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 73 01 00 00 8B 5E 40 85 DB 0F 84 0E 0A 00 00 8B C3 8B 10 FF 92 C4 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 28 01 00 00 8B 47 74 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 29 8B 47 78 50 8B 46 40 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 18 FF 93 A0 01 00 00 E9 B0 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 47 74 59 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 75 0A 8D 45 F4 E8 ?? ?? ?? ?? EB 5E 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 40 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0F 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 8B 46 44 8B 55 FC 8B 08 FF 51 48 89 45 EC 83 7D EC FF 7E 0E 8D 4D F4 8B 46 44 8B 55 EC 8B 18 FF 53 1C 8B 47 78 50 8B 46 40 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4F 74 8B 55 F4 8B 18 FF 93 A0 01 00 00 80 7E 38 00 0F 84 FF 08 00 00 80 7F 70 02 0F 85 F5 08 00 00 8B 46 40 8B 10 FF 92 C4 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 94 00 00 00 8B 4E 40 8B 57 78 8B 18 FF 53 38 E9 C9 08 00 00 8B 46 40 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B DF 8B 4B 78 8B 53 74 8B 18 FF 93 94 01 00 00 E9 A6 08 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9D 00 00 00 8B 5E 40 85 DB 0F 84 86 08 00 00 80 7E 3B 00 74 6E 8B C3 8B 10 FF 92 C4 00 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 57 70 8B 45 E4 8B 08 FF 91 5C 01 00 00 8B 46 40 8B 55 E4 8B 08 FF 91 D8 00 00 00 33 C0 5A 59 59 64 89 10 E9 2E 08 00 00 E9 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 12 08 00 00 8B 47 70 50 6A 00 8B CF 85 C9 74 03 83 E9 94 8B 57 30 8B C6 8B 18 FF 53 48 E9 F4 07 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 83 00 00 00 80 7E 3C 00 0F 84 D5 07 00 00 8B 5E 40 85 DB 0F 84 CA 07 00 00 8B C3 8B 10 FF 92 C4 00 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 57 70 8B 45 E0 8B 08 FF 91 5C 01 00 00 8B 46 40 8B 55 E0 8B 08 FF 91 D8 00 00 00 33 C0 5A 59 59 64 89 10 E9 78 07 00 00 E9 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5C 07 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 4A 02 00 00 83 7E 40 00 0F 84 3D 07 00 00 80 7E 39 00 0F 84 33 07 00 00 8B DF 8B 43 74 50 8B 83 98 00 00 00 50 8B 83 9C 00 00 00 50 8B 43 70 50 8B 46 40 8B 10 FF 92 C4 00 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 DC 8B 53 78 89 50 50 8B 53 7C 89 50 54 8B 45 DC 8B 93 80 00 00 00 89 50 48 8B 93 84 00 00 00 89 50 4C 8B 45 DC 8B 93 88 00 00 00 89 50 40 8B 93 8C 00 00 00 89 50 44 8B 45 DC 8B 93 90 00 00 00 89 50 58 8B 93 94 00 00 00 89 50 5C 8B 46 40 8B 55 DC 8B 08 FF 91 D8 00 00 00 8B 5E 40 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 57 01 00 00 0F B6 46 39 FE C8 74 0D FE C8 0F 84 9B 00 00 00 E9 42 01 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 8B 45 D0 8B 80 94 00 00 00 0F B6 50 14 88 55 EB 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 56 3A 8B 08 FF 51 3C 8B 45 D0 8B 80 94 00 00 00 33 D2 8B 08 FF 51 54 8B 45 D0 8B 80 94 00 00 00 8B 40 04 80 78 19 04 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 8B 80 94 00 00 00 0F B6 55 EB 8B 08 FF 51 3C C3 E9 ?? ?? ?? ?? EB E6 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 CC 8B 45 CC 8B 80 94 00 00 00 0F B6 50 14 88 55 EB 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 0F B6 56 3A 8B 08 FF 51 3C 8B 46 40 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 94 00 00 00 B2 01 8B 08 FF 51 54 8B 46 40 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 94 00 00 00 8B 40 04 80 78 19 04 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 CC 8B 80 94 00 00 00 0F B6 55 EB 8B 08 FF 51 3C C3 E9 ?? ?? ?? ?? EB E6 33 C0 5A 59 59 64 89 10 E9 19 05 00 00 E9 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FD 04 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D 8B 5E 40 85 DB 0F 84 E1 04 00 00 8B C3 8B 10 FF 92 B8 00 00 00 89 46 40 E9 CF 04 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8B 5E 44 8B C3 8B 10 FF 52 0C 8B D0 4A 8B C3 8B 08 FF 51 38 E9 A5 04 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 6B 01 00 00 83 7E 40 00 0F 84 86 04 00 00 80 7E 3D 00 75 0C 8B 47 70 E8 ?? ?? ?? ?? 84 C0 75 65 8B 47 70 50 8B 46 40 8B 10 FF 92 C4 00 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 40 8B 55 D8 8B 08 FF 91 D8 00 00 00 33 C0 5A 59 59 64 89 10 E9 2B 04 00 00 E9 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0F 04 00 00 8B 47 70 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1F 68 ?? ?? ?? ?? 6A 00 8B CF 85 C9 74 03 83 E9 94 8B 57 30 8B C6 8B 18 FF 53 48 E9 E1 03 00 00 8B 47 70 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1F 68 ?? ?? ?? ?? 6A 00 8B CF 85 C9 74 03 83 E9 94 8B 57 30 8B C6 8B 18 FF 53 48 E9 B3 03 00 00 8B 47 70 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1F 68 ?? ?? ?? ?? 6A 00 8B CF 85 C9 74 03 83 E9 94 8B 57 30 8B C6 8B 18 FF 53 48 E9 85 03 00 00 8B 47 70 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1F 68 ?? ?? ?? ?? 6A 00 8B CF 85 C9 74 03 83 E9 94 8B 57 30 8B C6 8B 18 FF 53 48 E9 57 03 00 00 8B 47 70 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 44 03 00 00 68 ?? ?? ?? ?? 6A 00 8B CF 85 C9 74 03 83 E9 94 8B 57 30 8B C6 8B 18 FF 53 48 E9 25 03 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 40 8B 5E 40 85 DB 0F 84 09 03 00 00 8B C3 8B 10 FF 92 B4 00 00 00 3C 08 0F 84 F7 02 00 00 8B C7 8B 50 74 52 0F B6 40 70 50 8B CF 85 C9 74 03 83 E9 94 8B 57 30 8B C6 8B 18 FF 53 48 E9 D4 02 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7D 8B 5E 40 85 DB 0F 84 B8 02 00 00 8B 47 74 50 8B C3 8B 10 FF 92 C4 00 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 57 70 8B 45 D4 8B 08 FF 91 60 01 00 00 8B 46 40 8B 55 D4 8B 08 FF 91 D8 00 00 00 33 C0 5A 59 59 64 89 10 E9 62 02 00 00 E9 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 46 02 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 31 02 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A2 00 00 00 8B 46 44 8B 10 FF 52 34 83 7E 40 00 0F 84 0A 02 00 00 8B 46 40 8B 10 FF 92 B4 00 00 00 3C 08 75 4D 8B 46 40 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 43 50 8B 57 74 E8 ?? ?? ?? ?? 8D 43 5C 8B 57 70 E8 ?? ?? ?? ?? 0F B6 47 78 88 43 60 8D 43 64 8B 57 7C E8 ?? ?? ?? ?? 8D 55 C4 8B C7 8B 08 FF 51 34 8B 55 C4 8D 43 48 E8 ?? ?? ?? ?? 8B 46 40 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 98 01 00 00 8B 46 40 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 80 94 00 00 00 8B 10 FF 52 48 E9 7A 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0D 8B 46 44 8B 10 FF 52 34 E9 5C 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 EB 00 00 00 83 7E 40 00 0F 84 3D 01 00 00 8B 46 40 8B 10 FF 92 C4 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 87 00 00 00 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B 47 70 59 E8 ?? ?? ?? ?? 8B 46 44 89 45 C8 8B 55 FC 8B 45 C8 8B 08 FF 51 48 89 45 EC 83 7D EC FF 7E 0E 8D 4D F0 8B 55 EC 8B 45 C8 8B 18 FF 53 1C 8B 45 F0 50 8B 47 70 50 8B 46 40 8B 10 FF 92 C4 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 46 40 8B D3 8B 08 FF 91 D8 00 00 00 89 5E 40 E9 98 00 00 00 8B 47 70 50 8B 46 40 8B 10 FF 92 C4 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B 46 40 8B D3 8B 08 FF 91 D8 00 00 00 89 5E 40 EB 5C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B 4F 74 8B 57 70 8B 46 44 8B 18 FF 53 28 EB 3B 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C6 8B 10 FF 52 4C EB 21 8B C7 8B 10 FF 52 48 A8 01 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 0A 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 00 00 3A 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 30 00 2F 00 78 00 6D 00 6C 00 6E 00 73 00 2F 00 00 00 06 00 00 00 78 00 6D 00 6C 00 00 00 48 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 58 00 4D 00 4C 00 2F 00 31 00 39 00 39 00 38 00 2F 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 4E 00 6F 00 6E 00 2D 00 77 00 65 00 6C 00 6C 00 66 00 6F 00 72 00 6D 00 65 00 64 00 20 00 44 00 54 00 44 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 4E 00 6F 00 6E 00 2D 00 77 00 65 00 6C 00 6C 00 66 00 6F 00 72 00 6D 00 65 00 64 00 20 00 6F 00 72 00 20 00 69 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 44 00 54 00 44 00 2E 00 00 00 00 00 04 00 00 00 6C 00 74 00 00 00 00 00 02 00 00 00 3C 00 00 00 04 00 00 00 67 00 74 00 00 00 00 00 02 00 00 00 3E 00 00 00 06 00 00 00 61 00 6D 00 70 00 00 00 02 00 00 00 26 00 00 00 08 00 00 00 61 00 70 00 6F 00 73 00 00 00 00 00 02 00 00 00 27 00 00 00 08 00 00 00 71 00 75 00 6F 00 74 00 00 00 00 00 02 00 00 00 22 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 20 00 50 00 61 00 72 00 73 00 65 00 72 00 20 00 45 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_111990_0 {
	meta:
		name = "TXmlDomBuilder.Reset"
		size = 9
	strings:
		$1 = { 8B 40 44 8B 10 FF 52 34 C3 }
	condition:
		$1
}

rule function_111992_0 {
	meta:
		name = "TXmlDomBuilder.ProcessPCDATA"
		size = 237
		refs = "0042 _DV_TDomText 0047 @AsClass 008e TDomText.Create 0099 TXmlDomBuilder.ProcessPCDATA 00cf @HandleAnyException 00d7 TObject.Free 00dc @RaiseAgain 00e1 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F8 8B 5D 08 8B 75 0C 8B 47 40 8B 10 FF 92 9C 00 00 00 85 C0 74 5B 8B 47 40 8B 10 FF 92 9C 00 00 00 8B 10 FF 92 B4 00 00 00 3C 03 75 44 8B 47 40 8B 10 FF 92 9C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 08 FF 91 6C 01 00 00 84 DB 0F 84 88 00 00 00 8B 47 40 8B 10 FF 92 9C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 40 3C 01 EB 6C 8B 47 40 8B 10 FF 92 C4 00 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 FC 8B 08 FF 91 5C 01 00 00 8B 45 FC 88 58 3C 8B 47 40 8B 55 FC 8B 08 FF 91 D8 00 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_111993_0 {
	meta:
		name = "TXmlDtdModelBuilder.Create"
		size = 70
		refs = "000a @ClassCreate 0017 TComponent.Create 0033 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 3C 00 C6 46 3D 02 C6 46 3E 00 33 C0 89 46 38 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_111994_0 {
	meta:
		name = "TXmlDtdModelBuilder.InsertMixedContent"
		size = 860
		refs = "001e TXmlDtdModelBuilder.InsertMixedContent 002e TrimWhitespace 0070 @WStrCopy 007b @WStrLAsg 009b _DV_EParserException 00a0 Exception.Create 00a5 @RaiseExcept 00e1 XmlTruncRoundBrackets 00f1 @WStrEqual 0197 Pos 0217 @WStrClr 029b IsXmlName 02f8 @WStrArrayClr 030b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B D9 89 55 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 33 DB 8B 55 F8 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B 4D F8 66 83 7C 41 FE 2A 75 30 B3 03 8B F2 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 FC 50 8B CE 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B 55 F8 66 83 7C 42 FE 29 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D EF 8D 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 80 7D EF 00 75 0C 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 33 C9 33 D2 8B 45 F0 8B 30 FF 56 08 89 45 E8 8B 45 E8 88 58 1A 8B 55 E8 8B 45 F0 8B 08 FF 51 10 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2C 84 DB 0F 84 93 01 00 00 80 FB 03 0F 84 8A 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6F 01 00 00 80 FB 03 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 75 F8 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 E4 50 8B CE 2B CB 8D 53 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 FC E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? E9 DD 00 00 00 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 15 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? EB 7A 8D 45 E0 50 8B CB 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 F4 E8 ?? ?? ?? ?? 8B 75 F8 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 DC 50 8B CE 2B CB 8D 53 01 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 DC 8D 55 FC E8 ?? ?? ?? ?? 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 8B 55 F4 8B 45 F0 8B 18 FF 53 08 8B D0 8B 45 E8 8B 40 20 8B 08 FF 11 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 0F 85 13 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 73 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 0E 00 00 00 23 00 50 00 43 00 44 00 41 00 54 00 41 00 00 00 02 00 00 00 7C 00 00 00 }
	condition:
		$1
}

rule function_111995_0 {
	meta:
		name = "TXmlDtdModelBuilder.InsertChildrenContent"
		size = 1728
		refs = "0027 TXmlDtdModelBuilder.InsertChildrenContent 0038 TrimWhitespace 007a @WStrCopy 0085 @WStrLAsg 014e _DV_EParserException 0153 Exception.Create 0158 @RaiseExcept 0194 XmlTruncRoundBrackets 01a4 @WStrEqual 026d _DV_TDtdContentModel 0272 @AsClass 02b1 _DV_TDtdElementDecl 0607 IsXmlName 0653 @WStrLen 0675 @WStrArrayClr 0688 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A4 53 56 57 33 DB 89 5D A4 89 5D A8 89 5D FC 89 5D F8 89 5D F4 89 4D E8 89 55 EC 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 F4 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B 4D F4 66 83 7C 41 FE 3F 75 37 C6 45 E5 01 8B DA 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? E9 A4 00 00 00 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B 4D F4 66 83 7C 41 FE 2A 75 34 C6 45 E5 03 8B DA 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? EB 58 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B 4D F4 66 83 7C 41 FE 2B 75 3C C6 45 E5 02 89 55 D0 83 7D D0 00 74 0D 8B 45 D0 83 E8 04 8B 00 D1 E8 89 45 D0 8D 45 F8 50 8B 4D D0 49 BA 01 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? EB 04 C6 45 E5 00 8B 55 F4 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B 55 F4 66 83 7C 42 FE 29 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D D7 8D 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 80 7D D7 00 75 0C 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 33 F6 66 C7 45 E6 2C 00 8B 45 F4 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D0 85 D2 7E 62 BB 01 00 00 00 8B 45 F4 66 83 7C 58 FE 2C 75 0C 85 F6 75 08 66 C7 45 E6 2C 00 EB 46 8B 45 F4 0F B7 44 58 FE 66 83 F8 7C 75 0C 85 F6 75 08 66 C7 45 E6 7C 00 EB 2C 66 83 F8 28 75 01 46 66 83 F8 29 75 1B 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4E 43 4A 75 A3 66 83 7D E6 2C 0F 85 B2 00 00 00 8B 45 EC 0F B6 40 08 2C 03 74 09 FE C8 74 49 E9 83 00 00 00 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 1C B1 02 33 D2 8B 18 FF 53 08 89 45 DC 0F B6 45 E5 8B 55 DC 88 42 1A 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 20 8B 55 DC 8B 08 FF 11 E9 FE 00 00 00 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 02 33 D2 8B 18 FF 53 08 89 45 DC 0F B6 45 E5 8B 55 DC 88 42 1A 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 08 FF 51 10 E9 BF 00 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A4 00 00 00 8B 45 EC 0F B6 40 08 2C 03 74 06 FE C8 74 43 EB 7D 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 1C 33 C9 33 D2 8B 18 FF 53 08 89 45 DC 0F B6 45 E5 8B 55 DC 88 42 1A 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 20 8B 55 DC 8B 08 FF 11 EB 52 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 33 D2 8B 18 FF 53 08 89 45 DC 0F B6 45 E5 8B 55 DC 88 42 1A 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 DC 8B 08 FF 51 10 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 F6 33 DB C7 45 E0 01 00 00 00 E9 95 02 00 00 43 8B 45 F4 66 83 7C 58 FE 28 75 01 46 8B 45 F4 66 83 7C 58 FE 29 75 1B 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 4E 8B 45 F4 0F B7 44 58 FE 66 3B 45 E6 75 0A 85 F6 75 06 C6 45 CB 01 EB 20 8B 45 F4 89 45 CC 83 7D CC 00 74 0D 8B 45 CC 83 E8 04 8B 00 D1 E8 89 45 CC 3B 5D CC 0F 94 45 CB 80 7D CB 00 0F 84 20 02 00 00 85 F6 7E 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 89 45 C4 83 7D C4 00 74 0D 8B 45 C4 83 E8 04 8B 00 D1 E8 89 45 C4 3B 5D C4 75 22 8D 45 A8 50 8D 4B 01 2B 4D E0 8B 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 A8 8D 55 FC E8 ?? ?? ?? ?? EB 1F 8D 45 A4 50 8B CB 2B 4D E0 8B 55 E0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 A4 8D 55 FC E8 ?? ?? ?? ?? 8D 43 01 89 45 E0 8B 45 FC 66 83 38 28 75 13 8B 4D FC 8B 55 DC 8B 45 F0 8B 38 FF 57 4C E9 85 01 00 00 8B 45 FC 89 45 C0 83 7D C0 00 74 0D 8B 45 C0 83 E8 04 8B 00 D1 E8 89 45 C0 8B 45 FC 8B 55 C0 66 83 7C 50 FE 3F 75 42 C6 45 E5 01 8B 45 FC 89 45 BC 83 7D BC 00 74 0D 8B 45 BC 83 E8 04 8B 00 D1 E8 89 45 BC 8D 45 F8 50 8B 4D BC 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? E9 D0 00 00 00 8B 45 FC 89 45 B8 83 7D B8 00 74 0D 8B 45 B8 83 E8 04 8B 00 D1 E8 89 45 B8 8B 45 FC 8B 55 B8 66 83 7C 50 FE 2A 75 3F C6 45 E5 03 8B 45 FC 89 45 B4 83 7D B4 00 74 0D 8B 45 B4 83 E8 04 8B 00 D1 E8 89 45 B4 8D 45 F8 50 8B 4D B4 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? EB 6A 8B 45 FC 89 45 B0 83 7D B0 00 74 0D 8B 45 B0 83 E8 04 8B 00 D1 E8 89 45 B0 8B 45 FC 8B 55 B0 66 83 7C 50 FE 2B 75 3F C6 45 E5 02 8B 45 FC 89 45 AC 83 7D AC 00 74 0D 8B 45 AC 83 E8 04 8B 00 D1 E8 89 45 AC 8D 45 F8 50 8B 4D AC 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? EB 04 C6 45 E5 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 40 1C B1 01 8B 55 FC 8B 38 FF 57 08 89 45 D8 0F B6 45 E5 8B 55 D8 88 42 1A 8B 45 DC 8B 40 20 8B 55 D8 8B 08 FF 11 8B 45 F4 E8 ?? ?? ?? ?? 3B D8 0F 8C 5B FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 73 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_111996_0 {
	meta:
		name = "TXmlDtdModelBuilder.ProcessSignal"
		size = 1508
		refs = "001b TXmlDtdModelBuilder.ProcessSignal 0038 _DV_TXmlAttributeDefinitionSignal 003d @IsClass 00d2 _DV_TXmlElementTypeDeclarationSignal 00f6 TrimWhitespace 0103 @WStrEqual 0111 @WStrClr 013d Pos 01ee @HandleAnyException 0217 @DoneExcept 0225 _DV_TXmlEntityDeclarationSignal 0280 ResolveCharRefs 0303 _DV_TXmlNotationDeclarationSignal 0385 _DV_TXmlPEReferenceFoundSignal 03ad _DV_TXmlExternalPEReferenceSignal 03fe _DV_EParserException 0403 Exception.Create 0408 @RaiseExcept 0416 _DV_TXmlStartExtDtdSignal 044a @WStrAsg 045f _DV_TXmlStartIntDtdSignal 04a4 _DV_TXmlCompletedSignal 050d _DV_TXmlAbortedSignal 0565 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 C9 89 4D DC 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 58 38 85 DB 0F 84 13 05 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 84 00 00 00 8B 45 F8 80 78 3E 00 0F 85 F0 04 00 00 8B 45 F8 80 78 3C 03 74 0C 8B 45 F4 80 B8 84 00 00 00 00 74 04 B3 01 EB 02 33 DB 8B 75 F4 8B 46 78 50 8B 46 7C 50 0F B6 46 74 50 0F B6 46 75 50 53 8D 45 F0 50 8B 4E 70 8B 96 80 00 00 00 8B 45 F8 8B 40 38 8B 18 FF 53 30 84 C0 0F 85 9F 04 00 00 8B 45 F4 85 C0 74 03 83 E8 94 50 8B 46 70 50 6A 00 8B 45 F4 8B 50 30 B1 03 8B 45 F8 8B 18 FF 53 40 E9 79 04 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 3D 01 00 00 8B 45 F8 80 78 3E 00 75 0E 8D 55 FC 8B 45 F4 8B 40 70 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E C6 45 E3 01 8D 45 FC E8 ?? ?? ?? ?? EB 38 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E C6 45 E3 00 8D 45 FC E8 ?? ?? ?? ?? EB 1B 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 06 C6 45 E3 03 EB 04 C6 45 E3 02 8B 45 F8 80 78 3C 03 74 09 8B 45 F4 80 78 78 00 74 04 B3 01 EB 02 33 DB 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8D 45 EC 50 0F B6 4D E3 8B 75 F4 8B 56 74 8B 45 F8 8B 40 38 8B 18 FF 53 34 84 C0 74 2C 0F B6 45 E3 2C 02 74 14 FE C8 75 41 8B 4E 70 8B 55 EC 8B 45 F8 8B 18 FF 53 48 EB 31 8B 4E 70 8B 55 EC 8B 45 F8 8B 18 FF 53 4C EB 21 8B 45 F4 85 C0 74 03 83 E8 94 50 8B 46 74 50 6A 00 8B 45 F4 8B 50 30 B1 0E 8B 45 F8 8B 18 FF 53 40 33 C0 5A 59 59 64 89 10 E9 59 03 00 00 E9 ?? ?? ?? ?? 8B 45 F4 85 C0 74 03 83 E8 94 50 8B 45 F4 8B 40 74 50 6A 00 8B 45 F4 8B 50 30 B1 74 8B 45 F8 8B 18 FF 53 40 E8 ?? ?? ?? ?? E9 26 03 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C8 00 00 00 8B 45 F8 80 78 3E 00 0F 85 03 03 00 00 8B 45 F8 80 78 3C 03 74 0C 8B 45 F4 80 B8 88 00 00 00 00 74 04 B3 01 EB 02 33 DB 8B 75 F4 8B 46 78 50 8B 86 84 00 00 00 50 8B 46 7C 50 8B 46 70 50 53 8D 45 E8 50 8D 55 DC 8B 46 74 E8 ?? ?? ?? ?? 8B 4D DC 8B 96 80 00 00 00 8B 45 F8 8B 40 38 8B 18 FF 53 38 84 C0 74 39 8B 45 E8 8B 10 FF 52 0C 84 C0 0F 85 9A 02 00 00 8B 45 F4 85 C0 74 03 83 E8 94 50 8B 86 80 00 00 00 50 6A 00 8B 45 F4 8B 50 30 B1 5C 8B 45 F8 8B 18 FF 53 40 E9 71 02 00 00 8B 45 F4 85 C0 74 03 83 E8 94 50 8B 86 80 00 00 00 50 6A 00 8B 45 F4 8B 50 30 B1 04 8B 45 F8 8B 18 FF 53 40 E9 48 02 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 70 8B 45 F8 80 78 3E 00 0F 85 29 02 00 00 8B 45 F8 80 78 3C 03 74 09 8B 45 F4 80 78 7C 00 74 04 B3 01 EB 02 33 DB 8B 75 F4 8B 46 78 50 53 8D 45 E4 50 8B 4E 74 8B 56 70 8B 45 F8 8B 40 38 8B 18 FF 53 3C 84 C0 0F 85 EC 01 00 00 8B 45 F4 85 C0 74 03 83 E8 94 50 8B 46 70 50 6A 00 8B 45 F4 8B 50 30 B1 13 8B 45 F8 8B 18 FF 53 40 E9 C6 01 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 F8 80 78 3C 04 0F 85 A7 01 00 00 C6 43 18 01 E9 9E 01 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 57 8B 45 F8 80 78 3C 04 75 33 8B 45 F8 0F B6 40 3D 48 2C 02 73 19 8B 45 F8 C6 40 3E 01 8B 45 F8 8B 40 38 B2 03 8B 08 FF 51 04 E9 5E 01 00 00 8B C3 B2 02 8B 08 FF 51 04 E9 50 01 00 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 35 01 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 0F B6 43 19 84 C0 74 06 04 FB 2C 03 73 09 8B C3 B2 01 8B 08 FF 51 04 8B 45 F8 8B 40 38 83 C0 04 8B 55 F4 8B 52 7C E8 ?? ?? ?? ?? 8B 45 F8 C6 40 3C 03 E9 EC 00 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 33 8B C3 B2 01 8B 08 FF 51 04 8B 45 F8 8B 40 38 83 C0 08 8B 5D F4 8B 53 70 E8 ?? ?? ?? ?? 0F B6 43 74 8B 55 F8 88 42 3D 8B 45 F8 C6 40 3C 04 E9 A7 00 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 57 8B 45 F8 0F B6 40 3C 3C 04 75 11 80 7B 19 01 75 36 8B C3 B2 05 8B 08 FF 51 04 EB 2B 3C 03 75 11 80 7B 19 01 75 21 8B C3 B2 06 8B 08 FF 51 04 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 C6 40 3C 00 8B 45 F8 C6 40 3D 02 EB 3E 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0A 8B 45 F8 8B 10 FF 52 54 EB 22 8B 45 F4 8B 10 FF 52 48 A8 02 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 00 0A 00 00 00 45 00 4D 00 50 00 54 00 59 00 00 00 06 00 00 00 41 00 4E 00 59 00 00 00 0E 00 00 00 23 00 50 00 43 00 44 00 41 00 54 00 41 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 20 00 50 00 61 00 72 00 73 00 65 00 72 00 20 00 45 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_111997_0 {
	meta:
		name = "TXmlDtdModelBuilder.Reset"
		size = 13
	strings:
		$1 = { C6 40 3C 00 C6 40 3D 02 C6 40 3E 00 C3 }
	condition:
		$1
}

rule function_111999_0 {
	meta:
		name = "TXmlStreamBuilder.Create"
		size = 132
		refs = "000a @ClassCreate 0017 TComponent.Create 0023 @UStrClr 002a TXmlStreamBuilder.ResetCurrentEncoding 0031 TXmlStreamBuilder.Create 006a @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 50 01 8D 46 4C E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 46 5C 33 C0 89 46 60 33 C0 89 46 78 C6 46 38 00 C6 46 39 00 33 C0 89 46 3C 33 C0 89 46 40 33 C0 89 46 44 33 C0 89 46 54 33 C0 89 46 58 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 06 00 00 00 }
	condition:
		$1
}

rule function_112000_0 {
	meta:
		name = "TXmlStreamBuilder.DoAfterWrite"
		size = 23
	strings:
		$1 = { 53 66 83 78 6A 00 74 0D 51 8B CA 8B D8 8B D0 8B 43 6C FF 53 68 5B C3 }
	condition:
		$1
}

rule function_112001_0 {
	meta:
		name = "TXmlStreamBuilder.DoBeforeWrite"
		size = 23
	strings:
		$1 = { 53 66 83 78 72 00 74 0D 51 8B CA 8B D8 8B D0 8B 43 74 FF 53 70 5B C3 }
	condition:
		$1
}

rule function_112002_0 {
	meta:
		name = "TXmlStreamBuilder.CheckAttListDeclarationClosed"
		size = 68
		refs = "0011 TXmlStreamBuilder.CheckAttListDeclarationClosed 0033 TXmlStreamBuilder.DoAfterWrite"
	strings:
		$1 = { 53 56 57 51 8B F1 8B FA 8B D8 80 7B 38 00 74 27 B8 ?? ?? ?? ?? 89 04 24 54 6A 00 6A 00 8B CE 8B D7 8B C3 8B 38 FF 57 58 C6 43 38 00 8B CE B2 0E 8B C3 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 02 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_112003_0 {
	meta:
		name = "TXmlStreamBuilder.CheckAttListDeclarationOpen"
		size = 268
		refs = "001d @WStrEqual 0028 TXmlStreamBuilder.CheckAttListDeclarationOpen 004a TXmlStreamBuilder.DoAfterWrite 0055 TXmlStreamBuilder.DoBeforeWrite 008a @WStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 8B F1 89 55 FC 8B D8 80 7B 38 00 74 7A 8B 43 48 8B 55 08 E8 ?? ?? ?? ?? 0F 84 AD 00 00 00 B8 ?? ?? ?? ?? 89 45 F8 8D 45 F8 50 6A 00 6A 00 8B CE 8B 55 FC 8B C3 8B 38 FF 57 58 8B CE B2 0E 8B C3 E8 ?? ?? ?? ?? 8B CE B2 0E 8B C3 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 EC 8B 45 08 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 8D 45 EC 50 6A 02 6A 00 8B CE 8B 55 FC 8B C3 8B 30 FF 56 58 8D 43 48 8B 55 08 E8 ?? ?? ?? ?? EB 44 8B CE B2 0E 8B C3 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 EC 8B 45 08 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 8D 45 EC 50 6A 02 6A 00 8B CE 8B 55 FC 8B C3 8B 30 FF 56 58 8D 43 48 8B 55 08 E8 ?? ?? ?? ?? C6 43 38 01 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 02 00 00 00 3E 00 00 00 16 00 00 00 0A 00 3C 00 21 00 41 00 54 00 54 00 4C 00 49 00 53 00 54 00 20 00 00 00 02 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_112004_0 {
	meta:
		name = "TXmlStreamBuilder.CheckStartElementClosed"
		size = 164
		refs = "0018 TXmlStreamBuilder.CheckStartElementClosed 0037 @WStrLAsg 0067 TXmlStreamBuilder.DoAfterWrite 007c @WStrClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 39 00 74 43 80 7D 08 00 74 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 89 45 F4 B8 ?? ?? ?? ?? 89 45 F8 8D 45 F4 50 6A 01 6A 00 8B CE 8B D7 8B C3 8B 38 FF 57 58 C6 43 39 00 8B CE B2 05 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 02 00 00 00 2F 00 00 00 02 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_112005_0 {
	meta:
		name = "TXmlStreamBuilder.GetCurrentEncoding"
		size = 68
		refs = "0014 @UStrAsg 001d TXmlStreamBuilder.GetCurrentEncoding"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 60 85 FF 74 0C 8B C6 8B 57 2C E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 }
	condition:
		$1
}

rule function_112006_0 {
	meta:
		name = "TXmlStreamBuilder.ResetCurrentEncoding"
		size = 68
		refs = "0012 TXmlStreamBuilder.ResetCurrentEncoding 0019 TXmlOutputSource.SetEncoding"
	strings:
		$1 = { 53 56 8B D8 8B 73 60 85 F6 74 1E 83 7B 4C 00 75 0E BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? EB 0A 8B 53 4C 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 }
	condition:
		$1
}

rule function_112007_0 {
	meta:
		name = "TXmlStreamBuilder.SetDefaultEncoding"
		size = 156
		refs = "000e @UStrClr 0017 _Dn_TEncodingRepository 001c TEncodingRepository.CreateCodecByAlias 0025 TXmlStreamBuilder.SetDefaultEncoding 002c _DV_ENot_Supported_Err 0031 Exception.Create 0036 @RaiseExcept 003b TObject.Free 0045 @UStrAsg 004c TXmlStreamBuilder.ResetCurrentEncoding"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 F6 75 0A 8D 43 4C E8 ?? ?? ?? ?? EB 35 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 4C 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112010_0 {
	meta:
		name = "TXmlStreamBuilder.SetUseByteOrderMark"
		size = 13
	strings:
		$1 = { 51 88 14 24 0F B6 14 24 88 50 5C 5A C3 }
	condition:
		$1
}

rule function_112011_0 {
	meta:
		name = "TXmlStreamBuilder.TrySetCurrentEncoding"
		size = 200
		refs = "0017 TXmlStreamBuilder.TrySetCurrentEncoding 003e @WStrEqual 004c TXmlOutputSource.SetEncoding 0059 @UStrFromWStr 0072 @HandleOnException 007a _DV_ENot_Supported_Err 0085 @DoneExcept 009a @UStrClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 7E 60 85 FF 74 5F 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 75 0E 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 15 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 18 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 }
	condition:
		$1
}

rule function_112012_0 {
	meta:
		name = "TXmlStreamBuilder.WriteByteOrderMark"
		size = 352
		refs = "001e TXmlStreamBuilder.WriteByteOrderMark 002d _Dn_TUTF16BECodec 0032 @IsClass 005a _Dn_TUTF16LECodec 0080 _Dn_TUCS2BECodec 00a6 _Dn_TUCS2LECodec 00cc _Dn_TUTF8Codec 00f3 @HandleAnyException 00ff _DV_EParserException 0104 Exception.Create 0109 @RaiseExcept 010e @DoneExcept"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D8 8B 7D 08 33 C0 89 07 8B 73 60 85 F6 0F 84 F8 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 28 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 F6 43 5C 02 0F 84 A4 00 00 00 8B C6 8B 10 FF 52 14 89 07 E9 96 00 00 00 8B 43 60 8B 40 28 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 F6 43 5C 02 74 7B 8B C6 8B 10 FF 52 14 89 07 EB 70 8B 43 60 8B 40 28 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 F6 43 5C 04 74 55 8B C6 8B 10 FF 52 14 89 07 EB 4A 8B 43 60 8B 40 28 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 11 F6 43 5C 04 74 2F 8B C6 8B 10 FF 52 14 89 07 EB 24 8B 43 60 8B 40 28 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F F6 43 5C 01 74 09 8B C6 8B 10 FF 52 14 89 07 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 53 00 69 00 67 00 6E 00 61 00 6C 00 20 00 50 00 72 00 6F 00 63 00 65 00 73 00 73 00 69 00 6E 00 67 00 20 00 45 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_112013_0 {
	meta:
		name = "TXmlStreamBuilder.WriteWideString"
		size = 629
		refs = "001b TXmlStreamBuilder.WriteWideString 009c ERROR_STR 00a3 _Dn_EWriteError 00a8 Exception.Create 00ad @RaiseExcept 00d7 IsUTF16LowSurrogate 00ff UTF16SurrogateToInt 0149 @HandleOnException 0151 _Dn_EConvertError 0166 XmlIntToCharRefHex 01b7 @RaiseAgain 01bc @DoneExcept 020d @WStrLen 0262 @WStrClr 0268 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D FC 88 4D F3 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 83 78 60 00 0F 84 1F 02 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 E8 01 00 00 00 E9 BD 01 00 00 8B 45 F4 8B 55 E8 0F B7 44 50 FE 89 45 DC 8B 45 DC 05 00 28 FF FF 2D 00 04 00 00 72 10 2D 00 04 00 00 0F 82 94 00 00 00 E9 A6 00 00 00 8B 45 F4 89 45 D8 83 7D D8 00 74 0D 8B 45 D8 83 E8 04 8B 00 D1 E8 89 45 D8 8B 45 E8 3B 45 D8 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 55 E8 0F B7 44 50 FE 66 89 45 F0 FF 45 E8 8B 45 F4 8B 55 E8 0F B7 44 50 FE 66 89 45 EE 0F B7 45 EE E8 ?? ?? ?? ?? 84 C0 75 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 55 EE 0F B7 45 F0 E8 ?? ?? ?? ?? 89 45 DC EB 17 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E4 8B 45 F8 8B 40 60 8B 55 DC 8B 18 FF 53 18 33 C0 5A 59 59 64 89 10 EB 78 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 80 7D F3 00 74 57 8D 55 FC 8B 45 DC E8 ?? ?? ?? ?? 33 C0 89 45 E4 8B 45 FC 89 45 D4 83 7D D4 00 74 0D 8B 45 D4 83 E8 04 8B 00 D1 E8 89 45 D4 8B 5D D4 85 DB 7E 2C BE 01 00 00 00 8B 45 FC 0F B7 54 70 FE 8D 4D E0 8B 45 F8 8B 40 60 8B 38 FF 57 18 8B 45 E0 01 45 E4 46 4B 75 E0 EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 83 E8 09 74 1B 48 75 26 8B 45 F8 FF 40 54 8B 45 F8 33 D2 89 50 44 8B 45 F8 33 D2 89 50 58 EB 14 8B 45 F8 FF 40 58 8B 45 F8 FF 40 44 EB 06 8B 45 F8 FF 40 44 8B 45 F8 8B 55 E4 01 50 3C 8B 45 F8 FF 40 40 FF 45 E8 8B 45 F4 E8 ?? ?? ?? ?? 3B 45 E8 0F 8D 32 FE FF FF 33 C0 5A 59 59 64 89 10 EB 2D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_112014_0 {
	meta:
		name = "TXmlStreamBuilder.WriteWideStrings"
		size = 138
		refs = "0030 TXmlStreamBuilder.WriteWideStrings 0047 TXmlStreamBuilder.WriteWideString 0056 @HandleAnyException 0074 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 83 78 60 00 74 66 8B 45 0C 85 C0 7C 5F 40 89 45 F0 8B 45 10 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 10 0F B6 4D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 8B 45 F4 50 8B 45 EC 8B 00 50 6A 00 B1 41 8B 55 F8 8B 45 FC 8B 18 FF 53 40 E8 ?? ?? ?? ?? 83 45 EC 04 FF 4D F0 75 AB 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_112015_0 {
	meta:
		name = "TXmlStreamBuilder.ProcessSignal"
		size = 852
		refs = "000b _DV_TXmlAttributeDefinitionSignal 0010 @IsClass 0027 TXmlStreamBuilder.CheckAttListDeclarationClosed 002f _DV_TXmlAttributeSignal 0042 _DV_TXmlEndElementSignal 0060 TXmlStreamBuilder.CheckStartElementClosed 007a TXmlStreamBuilder.WriteAttributeDefinitionSignal 008c TXmlStreamBuilder.WriteAttributeSignal 0099 _DV_TXmlCDATASignal 00ab TXmlStreamBuilder.WriteCDATASignal 00b8 _DV_TXmlCommentSignal 00ca TXmlStreamBuilder.WriteCommentSignal 00d7 _DV_TXmlDoctypeSignal 00e9 TXmlStreamBuilder.WriteDoctypeSignal 00f6 _DV_TXmlElementTypeDeclarationSignal 0108 TXmlStreamBuilder.WriteElementTypeDeclarationSignal 0127 TXmlStreamBuilder.WriteEndElementSignal 0134 _DV_TXmlEndPrefixMappingSignal 0149 _DV_TXmlEntityDeclarationSignal 015b TXmlStreamBuilder.WriteEntityDeclarationSignal 0168 _DV_TXmlEntityRefSignal 017a TXmlStreamBuilder.WriteEntityRefSignal 0187 _DV_TXmlNotationDeclarationSignal 0199 TXmlStreamBuilder.WriteNotationDeclarationSignal 01a6 _DV_TXmlParameterEntityDeclarationSignal 01b8 TXmlStreamBuilder.WriteParameterEntityDeclarationSignal 01c5 _DV_TXmlPCDATASignal 01d7 TXmlStreamBuilder.WritePCDATASignal 01e4 _DV_TXmlProcessingInstructionSignal 01f6 TXmlStreamBuilder.WriteProcessingInstructionSignal 0203 _DV_TXmlSkippedEntitySignal 0215 TXmlStreamBuilder.WriteSkippedEntitySignal 0222 _DV_TXmlStartDocumentSignal 0234 TXmlStreamBuilder.WriteStartDocumentSignal 0241 _DV_TXmlStartDocumentFragmentSignal 0253 TXmlStreamBuilder.WriteStartDocumentFragmentSignal 0260 _DV_TXmlStartElementSignal 0272 TXmlStreamBuilder.WriteStartElementSignal 027f _DV_TXmlStartExtDtdSignal 0291 TXmlStreamBuilder.WriteStartExtDtdSignal 029b _DV_TXmlStartIntDtdSignal 02ad TXmlStreamBuilder.WriteStartIntDtdSignal 02b7 _DV_TXmlStartPrefixMappingSignal 02c8 _DV_TXmlCompletedSignal 02da TXmlStreamBuilder.WriteCompletedSignal 02e4 _DV_TXmlAbortedSignal 02fb TXmlStreamBuilder.ProcessSignal 0302 _DV_EParserException 0307 Exception.Create 030c @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 13 8B CF 85 C9 74 03 83 E9 94 8B 57 30 8B C6 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 84 DB 75 26 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 15 6A 00 8B CF 85 C9 74 03 83 E9 94 8B 57 30 8B C6 E8 ?? ?? ?? ?? 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E9 8D 02 00 00 84 DB 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E9 7B 02 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E9 5C 02 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E9 3D 02 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E9 1E 02 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E9 FF 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E9 E0 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 85 CB 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E9 AC 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E9 8D 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E9 6E 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E9 4F 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E9 30 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E9 11 01 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E9 F2 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E9 D3 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E9 B4 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0E 8B D7 8B C6 E8 ?? ?? ?? ?? E9 95 00 00 00 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 79 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 5D 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 4C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 30 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C6 8B 10 FF 52 48 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 19 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 20 00 50 00 61 00 72 00 73 00 65 00 72 00 20 00 45 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_112016_0 {
	meta:
		name = "TXmlStreamBuilder.WriteAttributeSignal"
		size = 220
		refs = "000b TXmlStreamBuilder.WriteAttributeSignal 0038 TXmlStreamBuilder.DoBeforeWrite 00b4 TXmlStreamBuilder.DoAfterWrite"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B DA 8B F0 B8 ?? ?? ?? ?? 89 04 24 54 6A 00 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 8B CB 85 C9 74 03 83 E9 94 B2 0A 8B C6 E8 ?? ?? ?? ?? 8B 43 74 89 44 24 04 B8 ?? ?? ?? ?? 89 44 24 08 8D 44 24 04 50 6A 01 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 8B 43 78 89 04 24 54 6A 00 6A 01 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 B8 ?? ?? ?? ?? 89 04 24 54 6A 00 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 8B CB 85 C9 74 03 83 E9 94 B2 0A 8B C6 E8 ?? ?? ?? ?? 83 C4 0C 5F 5E 5B C3 00 02 00 00 00 20 00 00 00 04 00 00 00 3D 00 22 00 00 00 00 00 02 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_112017_0 {
	meta:
		name = "TXmlStreamBuilder.WriteCDATASignal"
		size = 140
		refs = "0018 TXmlStreamBuilder.DoBeforeWrite 001d TXmlStreamBuilder.WriteCDATASignal 005a TXmlStreamBuilder.DoAfterWrite"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B DA 8B F0 8B CB 85 C9 74 03 83 E9 94 B2 02 8B C6 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 04 24 8B 43 70 89 44 24 04 B8 ?? ?? ?? ?? 89 44 24 08 54 6A 02 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 8B CB 85 C9 74 03 83 E9 94 B2 02 8B C6 E8 ?? ?? ?? ?? 83 C4 0C 5F 5E 5B C3 00 00 00 12 00 00 00 3C 00 21 00 5B 00 43 00 44 00 41 00 54 00 41 00 5B 00 00 00 06 00 00 00 5D 00 5D 00 3E 00 00 00 }
	condition:
		$1
}

rule function_112018_0 {
	meta:
		name = "TXmlStreamBuilder.WriteCommentSignal"
		size = 204
		refs = "0018 TXmlStreamBuilder.DoBeforeWrite 0023 TXmlStreamBuilder.WriteCommentSignal 0092 TXmlStreamBuilder.DoAfterWrite"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B DA 8B F0 8B CB 85 C9 74 03 83 E9 94 B2 01 8B C6 E8 ?? ?? ?? ?? 83 7E 78 00 7E 32 B8 ?? ?? ?? ?? 89 04 24 8B 43 70 89 44 24 04 B8 ?? ?? ?? ?? 89 44 24 08 54 6A 02 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 EB 30 B8 ?? ?? ?? ?? 89 04 24 8B 43 70 89 44 24 04 B8 ?? ?? ?? ?? 89 44 24 08 54 6A 02 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 8B CB 85 C9 74 03 83 E9 94 B2 01 8B C6 E8 ?? ?? ?? ?? 83 C4 0C 5F 5E 5B C3 00 00 00 08 00 00 00 3C 00 21 00 2D 00 2D 00 00 00 00 00 06 00 00 00 2D 00 2D 00 3E 00 00 00 08 00 00 00 2D 00 2D 00 3E 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_112019_0 {
	meta:
		name = "TXmlStreamBuilder.WriteDoctypeSignal"
		size = 672
		refs = "0016 TXmlStreamBuilder.WriteDoctypeSignal 002e TXmlStreamBuilder.DoBeforeWrite 0064 @WStrEqual 00bd DQ 00c2 Pos 00d4 @WStrLAsg 00df SQ 01f0 TXmlStreamBuilder.DoAfterWrite 0205 @WStrClr 020b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 BC 53 56 57 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 85 C9 74 03 83 E9 94 B2 04 8B C6 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 F4 8B 43 74 89 45 F8 8D 45 F4 50 6A 01 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 8B 83 9C 00 00 00 33 D2 E8 ?? ?? ?? ?? 75 4C 8B 83 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 0F 84 FD 00 00 00 B8 ?? ?? ?? ?? 89 45 E8 8B 83 98 00 00 00 89 45 EC B8 ?? ?? ?? ?? 89 45 F0 8D 45 E8 50 6A 02 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 E9 C4 00 00 00 8B 93 9C 00 00 00 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 10 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 83 98 00 00 00 33 D2 E8 ?? ?? ?? ?? 75 3A B8 ?? ?? ?? ?? 89 45 D8 8B 45 FC 89 45 DC 8B 83 9C 00 00 00 89 45 E0 8B 45 FC 89 45 E4 8D 45 D8 50 6A 03 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 EB 49 B8 ?? ?? ?? ?? 89 45 C0 8B 83 98 00 00 00 89 45 C4 B8 ?? ?? ?? ?? 89 45 C8 8B 45 FC 89 45 CC 8B 83 9C 00 00 00 89 45 D0 8B 45 FC 89 45 D4 8D 45 C0 50 6A 05 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 8B 43 70 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 75 25 B8 ?? ?? ?? ?? 89 45 BC 8D 45 BC 50 6A 00 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 EB 31 B8 ?? ?? ?? ?? 89 45 E8 8B 43 70 89 45 EC B8 ?? ?? ?? ?? 89 45 F0 8D 45 E8 50 6A 02 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 8B CB 85 C9 74 03 83 E9 94 B2 04 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 14 00 00 00 3C 00 21 00 44 00 4F 00 43 00 54 00 59 00 50 00 45 00 20 00 00 00 00 00 12 00 00 00 20 00 50 00 55 00 42 00 4C 00 49 00 43 00 20 00 22 00 00 00 02 00 00 00 22 00 00 00 10 00 00 00 20 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 00 00 00 00 04 00 00 00 22 00 20 00 00 00 00 00 06 00 00 00 20 00 3E 00 0A 00 00 00 04 00 00 00 20 00 5B 00 00 00 00 00 08 00 00 00 5D 00 20 00 3E 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_112020_0 {
	meta:
		name = "TXmlStreamBuilder.WriteEndElementSignal"
		size = 204
		refs = "0018 TXmlStreamBuilder.DoBeforeWrite 0033 TXmlStreamBuilder.CheckStartElementClosed 003a TXmlStreamBuilder.WriteEndElementSignal 00a5 TXmlStreamBuilder.DoAfterWrite"
	strings:
		$1 = { 53 56 57 83 C4 F0 8B F2 8B D8 8B CE 85 C9 74 03 83 E9 94 B2 06 8B C3 E8 ?? ?? ?? ?? 80 7B 39 00 74 17 6A 01 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C3 E8 ?? ?? ?? ?? EB 30 B8 ?? ?? ?? ?? 89 04 24 8B 46 70 89 44 24 04 B8 ?? ?? ?? ?? 89 44 24 08 54 6A 02 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C3 8B 38 FF 57 58 FF 4B 78 83 7B 78 00 75 25 B8 ?? ?? ?? ?? 89 44 24 0C 8D 44 24 0C 50 6A 00 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C3 8B 38 FF 57 58 8B CE 85 C9 74 03 83 E9 94 B2 06 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5F 5E 5B C3 04 00 00 00 3C 00 2F 00 00 00 00 00 02 00 00 00 3E 00 00 00 02 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_112021_0 {
	meta:
		name = "TXmlStreamBuilder.WriteEntityRefSignal"
		size = 120
		refs = "0018 TXmlStreamBuilder.DoBeforeWrite 001d TXmlStreamBuilder.WriteEntityRefSignal 005a TXmlStreamBuilder.DoAfterWrite"
	strings:
		$1 = { 53 56 57 83 C4 F4 8B DA 8B F0 8B CB 85 C9 74 03 83 E9 94 B2 09 8B C6 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 04 24 8B 43 70 89 44 24 04 B8 ?? ?? ?? ?? 89 44 24 08 54 6A 02 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 8B CB 85 C9 74 03 83 E9 94 B2 09 8B C6 E8 ?? ?? ?? ?? 83 C4 0C 5F 5E 5B C3 00 00 00 02 00 00 00 26 00 00 00 02 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_112022_0 {
	meta:
		name = "TXmlStreamBuilder.Reset"
		size = 25
		refs = "0006 TXmlStreamBuilder.ResetCurrentEncoding"
		altNames = "TXmlStreamBuilder.WriteCompletedSignal"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 38 00 C6 43 39 00 33 C0 89 43 78 5B C3 }
	condition:
		$1
}

rule function_112023_0 {
	meta:
		name = "TXmlStreamBuilder.WritePCDATASignal"
		size = 420
		refs = "0017 TXmlStreamBuilder.WritePCDATASignal 0031 TXmlStreamBuilder.DoBeforeWrite 0038 _Dn_TUtilsCustomWideStr 003d TUtilsCustomWideStr.Create 00fb TObject.Free 0101 @HandleFinally 013d TXmlStreamBuilder.DoAfterWrite 0152 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F4 85 C9 74 03 83 E9 94 B2 03 8B 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 40 74 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 85 DB 7E 76 BE 01 00 00 00 8B 45 F4 8B 40 74 0F B7 44 70 FE 8B D0 66 83 EA 0D 74 41 66 83 EA 19 74 0E 66 83 EA 16 74 17 66 83 EA 02 74 20 EB 3C BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 10 EB 37 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 10 EB 28 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 10 EB 19 BA ?? ?? ?? ?? 8B 45 F0 8B 08 FF 51 10 EB 0A 8B D0 8B 45 F0 8B 08 FF 51 0C 46 4B 75 8F 8D 55 FC 8B 45 F0 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 89 45 EC 8D 45 EC 50 6A 00 6A 01 8B 4D F4 85 C9 74 03 83 E9 94 8B 45 F4 8B 50 30 8B 45 F8 8B 18 FF 53 58 8B 4D F4 85 C9 74 03 83 E9 94 B2 03 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 0A 00 00 00 26 00 61 00 6D 00 70 00 3B 00 00 00 08 00 00 00 26 00 6C 00 74 00 3B 00 00 00 00 00 08 00 00 00 26 00 67 00 74 00 3B 00 00 00 00 00 0A 00 00 00 26 00 23 00 78 00 44 00 3B 00 00 00 }
	condition:
		$1
}

rule function_112024_0 {
	meta:
		name = "TXmlStreamBuilder.WriteProcessingInstructionSignal"
		size = 368
		refs = "0018 TXmlStreamBuilder.DoBeforeWrite 0022 @WStrEqual 002f TXmlStreamBuilder.WriteProcessingInstructionSignal 0138 TXmlStreamBuilder.DoAfterWrite"
	strings:
		$1 = { 53 56 57 83 C4 E0 8B DA 8B F0 8B CB 85 C9 74 03 83 E9 94 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 43 70 33 D2 E8 ?? ?? ?? ?? 75 70 83 7E 78 00 7E 35 B8 ?? ?? ?? ?? 89 04 24 8B 43 74 89 44 24 04 B8 ?? ?? ?? ?? 89 44 24 08 54 6A 02 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 E9 C7 00 00 00 B8 ?? ?? ?? ?? 89 04 24 8B 43 74 89 44 24 04 B8 ?? ?? ?? ?? 89 44 24 08 54 6A 02 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 E9 92 00 00 00 83 7E 78 00 7E 47 B8 ?? ?? ?? ?? 89 44 24 0C 8B 43 74 89 44 24 10 B8 ?? ?? ?? ?? 89 44 24 14 8B 43 70 89 44 24 18 B8 ?? ?? ?? ?? 89 44 24 1C 8D 44 24 0C 50 6A 04 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 EB 45 B8 ?? ?? ?? ?? 89 44 24 0C 8B 43 74 89 44 24 10 B8 ?? ?? ?? ?? 89 44 24 14 8B 43 70 89 44 24 18 B8 ?? ?? ?? ?? 89 44 24 1C 8D 44 24 0C 50 6A 04 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 8B CB 85 C9 74 03 83 E9 94 33 D2 8B C6 E8 ?? ?? ?? ?? 83 C4 20 5F 5E 5B C3 00 04 00 00 00 3C 00 3F 00 00 00 00 00 04 00 00 00 3F 00 3E 00 00 00 00 00 06 00 00 00 3F 00 3E 00 0A 00 00 00 02 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_112026_0 {
	meta:
		name = "TXmlStreamBuilder.WriteStartDocumentSignal"
		size = 772
		refs = "0016 TXmlStreamBuilder.WriteStartDocumentSignal 0052 @WStrEqual 0061 @WStrLAsg 007b @WStrFromUStr 0085 TXmlStreamBuilder.TrySetCurrentEncoding 00bc TXmlStreamBuilder.DoBeforeWrite 01f9 TXmlStreamBuilder.DoAfterWrite 020e @WStrClr 0214 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 00 C6 43 39 00 33 C0 89 43 78 33 C0 89 43 3C 33 C0 89 43 40 33 C0 89 43 44 33 C0 89 43 54 33 C0 89 43 58 83 7B 4C 00 75 28 8B 46 70 33 D2 E8 ?? ?? ?? ?? 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 8D 45 FC 8B 56 70 E8 ?? ?? ?? ?? EB 0B 8D 45 FC 8B 53 4C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8B C6 85 C0 74 03 83 E8 94 50 8B 45 FC 50 6A 00 B1 99 8B 56 30 8B C3 8B 18 FF 53 40 E9 4F 01 00 00 8B CE 85 C9 74 03 83 E9 94 B2 12 8B C3 E8 ?? ?? ?? ?? 8D 43 3C 50 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C3 8B 38 FF 57 54 80 7B 50 00 0F 84 0A 01 00 00 8B 46 7C 33 D2 E8 ?? ?? ?? ?? 75 25 B8 ?? ?? ?? ?? 89 45 F8 8D 45 F8 50 6A 00 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C3 8B 38 FF 57 58 EB 31 B8 ?? ?? ?? ?? 89 45 EC 8B 46 7C 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 8D 45 EC 50 6A 02 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C3 8B 38 FF 57 58 B8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 8D 45 EC 50 6A 02 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C3 8B 38 FF 57 58 0F B6 46 78 2C 01 72 04 74 27 EB 48 B8 ?? ?? ?? ?? 89 45 F8 8D 45 F8 50 6A 00 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C3 8B 38 FF 57 58 EB 23 B8 ?? ?? ?? ?? 89 45 F8 8D 45 F8 50 6A 00 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C3 8B 38 FF 57 58 B8 ?? ?? ?? ?? 89 45 F8 8D 45 F8 50 6A 00 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C3 8B 38 FF 57 58 8B CE 85 C9 74 03 83 E9 94 B2 12 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 0A 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 26 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 00 00 1E 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 00 00 02 00 00 00 22 00 00 00 16 00 00 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 00 00 22 00 00 00 20 00 73 00 74 00 61 00 6E 00 64 00 61 00 6C 00 6F 00 6E 00 65 00 3D 00 22 00 79 00 65 00 73 00 22 00 00 00 20 00 00 00 20 00 73 00 74 00 61 00 6E 00 64 00 61 00 6C 00 6F 00 6E 00 65 00 3D 00 22 00 6E 00 6F 00 22 00 00 00 00 00 04 00 00 00 3F 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112027_0 {
	meta:
		name = "TXmlStreamBuilder.WriteStartDocumentFragmentSignal"
		size = 276
		refs = "0010 TXmlStreamBuilder.WriteStartDocumentFragmentSignal 004c @WStrEqual 005b @WStrLAsg 0075 @WStrFromUStr 007f TXmlStreamBuilder.TrySetCurrentEncoding 00b3 TXmlStreamBuilder.DoBeforeWrite 00dc TXmlStreamBuilder.DoAfterWrite 00f1 @WStrClr 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 00 C6 43 39 00 33 C0 89 43 78 33 C0 89 43 3C 33 C0 89 43 40 33 C0 89 43 44 33 C0 89 43 54 33 C0 89 43 58 83 7B 4C 00 75 28 8B 46 70 33 D2 E8 ?? ?? ?? ?? 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 8D 45 FC 8B 56 70 E8 ?? ?? ?? ?? EB 0B 8D 45 FC 8B 53 4C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1E 8B C6 85 C0 74 03 83 E8 94 50 8B 45 FC 50 6A 00 B1 99 8B 56 30 8B C3 8B 18 FF 53 40 EB 3B 8B CE 85 C9 74 03 83 E9 94 B2 12 8B C3 E8 ?? ?? ?? ?? 8D 43 3C 50 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C3 8B 38 FF 57 54 8B CE 85 C9 74 03 83 E9 94 B2 12 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 0A 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 }
	condition:
		$1
}

rule function_112028_0 {
	meta:
		name = "TXmlStreamBuilder.WriteStartElementSignal"
		size = 88
		refs = "0017 TXmlStreamBuilder.DoBeforeWrite 0023 TXmlStreamBuilder.WriteStartElementSignal"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 8B CE 85 C9 74 03 83 E9 94 B2 05 8B C3 E8 ?? ?? ?? ?? FF 43 78 C6 43 39 01 B8 ?? ?? ?? ?? 89 04 24 8B 46 70 89 44 24 04 54 6A 01 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C3 8B 18 FF 53 58 59 5A 5E 5B C3 00 00 02 00 00 00 3C 00 00 00 }
	condition:
		$1
}

rule function_112029_0 {
	meta:
		name = "XmlDataTypeToAttTypeStr"
		size = 464
		refs = "0012 XmlDataTypeToAttTypeStr 0042 @WStrAsg 00c0 _Dn_EConvertError 00c5 Exception.Create 00ca @RaiseExcept"
	strings:
		$1 = { 53 8B DA 83 E0 7F 83 F8 08 0F 87 A9 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 0A 00 00 00 43 00 44 00 41 00 54 00 41 00 00 00 04 00 00 00 49 00 44 00 00 00 00 00 0A 00 00 00 49 00 44 00 52 00 45 00 46 00 00 00 0C 00 00 00 49 00 44 00 52 00 45 00 46 00 53 00 00 00 00 00 0C 00 00 00 45 00 4E 00 54 00 49 00 54 00 59 00 00 00 00 00 10 00 00 00 45 00 4E 00 54 00 49 00 54 00 49 00 45 00 53 00 00 00 00 00 0E 00 00 00 4E 00 4D 00 54 00 4F 00 4B 00 45 00 4E 00 00 00 10 00 00 00 4E 00 4D 00 54 00 4F 00 4B 00 45 00 4E 00 53 00 00 00 00 00 10 00 00 00 4E 00 4F 00 54 00 41 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 44 00 61 00 74 00 61 00 74 00 79 00 70 00 65 00 20 00 63 00 6F 00 6E 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_112030_0 {
	meta:
		name = "TXmlStreamBuilder.WriteAttributeDefinitionSignal"
		size = 976
		refs = "0028 TXmlStreamBuilder.WriteAttributeDefinitionSignal 0048 TXmlStreamBuilder.CheckAttListDeclarationOpen 0171 XmlDataTypeToAttTypeStr 022f DQ 0234 @WStrFromWChar 023f Pos 0255 SQ 0315 @WStrArrayClr 032a @WStrClr 0330 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 57 33 C9 89 4D B4 89 4D B0 89 4D BC 89 4D B8 89 4D D4 89 4D D8 89 4D E4 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 86 80 00 00 00 50 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C7 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 EC 8B 46 70 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 8D 45 EC 50 6A 02 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C7 8B 18 FF 53 58 8B 46 7C 8B 10 FF 52 1C 85 C0 0F 8E DC 00 00 00 B8 ?? ?? ?? ?? 89 45 E8 8D 45 E8 50 6A 00 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C7 8B 18 FF 53 58 8B 46 7C 8B 10 FF 52 1C 48 85 C0 0F 8C 83 00 00 00 40 89 45 F8 C7 45 FC 00 00 00 00 B8 ?? ?? ?? ?? 89 45 EC 8D 4D E4 8B 55 FC 8B 46 7C 8B 18 FF 53 14 8B 45 E4 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 8D 45 EC 50 6A 02 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C7 8B 18 FF 53 58 8B 46 7C 8B 10 FF 52 1C 48 3B 45 FC 7E 23 B8 ?? ?? ?? ?? 89 45 E8 8D 45 E8 50 6A 00 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C7 8B 18 FF 53 58 FF 45 FC FF 4D F8 75 88 B8 ?? ?? ?? ?? 89 45 E8 8D 45 E8 50 6A 00 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C7 8B 18 FF 53 58 EB 35 0F B6 46 74 8D 55 D8 E8 ?? ?? ?? ?? 8B 45 D8 89 45 DC B8 ?? ?? ?? ?? 89 45 E0 8D 45 DC 50 6A 01 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C7 8B 18 FF 53 58 0F B6 46 75 FE C8 74 0A FE C8 74 2B FE C8 74 4C EB 6D B8 ?? ?? ?? ?? 89 45 E8 8D 45 E8 50 6A 00 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C7 8B 18 FF 53 58 EB 48 B8 ?? ?? ?? ?? 89 45 E8 8D 45 E8 50 6A 00 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C7 8B 18 FF 53 58 EB 23 B8 ?? ?? ?? ?? 89 45 E8 8D 45 E8 50 6A 00 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C7 8B 18 FF 53 58 0F B6 46 75 2C 02 0F 83 D6 00 00 00 8D 45 D4 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 8B 56 78 E8 ?? ?? ?? ?? 85 C0 7E 5D B8 ?? ?? ?? ?? 89 45 C0 8D 45 BC 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 89 45 C4 8B 46 78 89 45 C8 8D 45 B8 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 89 45 CC B8 ?? ?? ?? ?? 89 45 D0 8D 45 C0 50 6A 04 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C7 8B 18 FF 53 58 EB 5B B8 ?? ?? ?? ?? 89 45 C0 8D 45 B4 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B4 89 45 C4 8B 46 78 89 45 C8 8D 45 B0 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 89 45 CC B8 ?? ?? ?? ?? 89 45 D0 8D 45 C0 50 6A 04 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C7 8B 18 FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 00 00 14 00 00 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 20 00 00 00 00 00 02 00 00 00 20 00 00 00 02 00 00 00 28 00 00 00 02 00 00 00 7C 00 00 00 04 00 00 00 29 00 20 00 00 00 00 00 0E 00 00 00 20 00 23 00 46 00 49 00 58 00 45 00 44 00 00 00 12 00 00 00 20 00 23 00 49 00 4D 00 50 00 4C 00 49 00 45 00 44 00 00 00 14 00 00 00 20 00 23 00 52 00 45 00 51 00 55 00 49 00 52 00 45 00 44 00 00 00 00 00 02 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_112031_0 {
	meta:
		name = "TXmlStreamBuilder.WriteElementTypeDeclarationSignal"
		size = 168
		refs = "0018 TXmlStreamBuilder.DoBeforeWrite 001d TXmlStreamBuilder.WriteElementTypeDeclarationSignal 006a TXmlStreamBuilder.DoAfterWrite"
	strings:
		$1 = { 53 56 57 83 C4 EC 8B DA 8B F0 8B CB 85 C9 74 03 83 E9 94 B2 0D 8B C6 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 04 24 8B 43 74 89 44 24 04 B8 ?? ?? ?? ?? 89 44 24 08 8B 43 70 89 44 24 0C B8 ?? ?? ?? ?? 89 44 24 10 54 6A 04 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 8B CB 85 C9 74 03 83 E9 94 B2 0D 8B C6 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 5B C3 00 00 00 16 00 00 00 0A 00 3C 00 21 00 45 00 4C 00 45 00 4D 00 45 00 4E 00 54 00 20 00 00 00 02 00 00 00 20 00 00 00 04 00 00 00 20 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112032_0 {
	meta:
		name = "TXmlStreamBuilder.WriteEntityDeclarationSignal"
		size = 1184
		refs = "001a TXmlStreamBuilder.WriteEntityDeclarationSignal 0032 TXmlStreamBuilder.DoBeforeWrite 0070 @WStrEqual 0093 DQ 0098 @WStrFromWChar 00a3 Pos 00b1 SQ 03b2 TXmlStreamBuilder.DoAfterWrite 03cc @WStrArrayClr 03ec @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 11 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 85 C9 74 03 83 E9 94 B2 0C 8B C6 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 F4 8B 83 80 00 00 00 89 45 F8 B8 ?? ?? ?? ?? 89 45 FC 8D 45 F4 50 6A 02 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 8B 43 78 33 D2 E8 ?? ?? ?? ?? 0F 85 D1 00 00 00 8B 83 84 00 00 00 33 D2 E8 ?? ?? ?? ?? 0F 85 BE 00 00 00 8D 45 F0 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 53 74 E8 ?? ?? ?? ?? 85 C0 7E 50 8D 45 EC 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 89 45 F4 8B 43 74 89 45 F8 8D 45 E8 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 89 45 FC 8D 45 F4 50 6A 02 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 E9 80 02 00 00 8D 45 E4 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 89 45 F4 8B 43 74 89 45 F8 8D 45 E0 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 89 45 FC 8D 45 F4 50 6A 02 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 E9 30 02 00 00 8B 43 78 33 D2 E8 ?? ?? ?? ?? 0F 85 D7 00 00 00 8D 45 DC 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 93 84 00 00 00 E8 ?? ?? ?? ?? 85 C0 7E 5B B8 ?? ?? ?? ?? 89 45 CC 8D 45 C8 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 89 45 D0 8B 83 84 00 00 00 89 45 D4 8D 45 C4 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 89 45 D8 8D 45 CC 50 6A 03 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 E9 69 01 00 00 B8 ?? ?? ?? ?? 89 45 CC 8D 45 C0 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 89 45 D0 8B 83 84 00 00 00 89 45 D4 8D 45 BC 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 89 45 D8 8D 45 CC 50 6A 03 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 E9 0E 01 00 00 8B 83 84 00 00 00 33 D2 E8 ?? ?? ?? ?? 75 36 B8 ?? ?? ?? ?? 89 45 F4 8B 43 78 89 45 F8 B8 ?? ?? ?? ?? 89 45 FC 8D 45 F4 50 6A 02 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 E9 C9 00 00 00 8D 45 B8 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 8B 93 84 00 00 00 E8 ?? ?? ?? ?? 85 C0 7E 66 B8 ?? ?? ?? ?? 89 45 A0 8B 43 78 89 45 A4 B8 ?? ?? ?? ?? 89 45 A8 8D 45 9C 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 89 45 AC 8B 83 84 00 00 00 89 45 B0 8D 45 98 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 89 45 B4 8D 45 A0 50 6A 05 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 EB 42 B8 ?? ?? ?? ?? 89 45 84 8B 43 78 89 45 88 B8 ?? ?? ?? ?? 89 45 8C 8B 83 84 00 00 00 89 45 90 B8 ?? ?? ?? ?? 89 45 94 8D 45 84 50 6A 04 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 8B 43 7C 33 D2 E8 ?? ?? ?? ?? 74 2F B8 ?? ?? ?? ?? 89 85 7C FF FF FF 8B 43 7C 89 45 80 8D 85 7C FF FF FF 50 6A 01 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 B8 ?? ?? ?? ?? 89 85 78 FF FF FF 8D 85 78 FF FF FF 50 6A 00 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 8B CB 85 C9 74 03 83 E9 94 B2 0C 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C3 00 00 00 14 00 00 00 0A 00 3C 00 21 00 45 00 4E 00 54 00 49 00 54 00 59 00 20 00 00 00 00 00 02 00 00 00 20 00 00 00 0E 00 00 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 00 00 12 00 00 00 20 00 50 00 55 00 42 00 4C 00 49 00 43 00 20 00 22 00 00 00 02 00 00 00 22 00 00 00 10 00 00 00 50 00 55 00 42 00 4C 00 49 00 43 00 20 00 22 00 00 00 00 00 04 00 00 00 22 00 20 00 00 00 00 00 06 00 00 00 22 00 20 00 22 00 00 00 0E 00 00 00 20 00 4E 00 44 00 41 00 54 00 41 00 20 00 00 00 02 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_112033_0 {
	meta:
		name = "TXmlStreamBuilder.WriteNotationDeclarationSignal"
		size = 864
		refs = "002b TXmlStreamBuilder.WriteNotationDeclarationSignal 0043 TXmlStreamBuilder.DoBeforeWrite 007e @WStrEqual 008e DQ 0093 @WStrFromWChar 009e Pos 00b4 SQ 0289 TXmlStreamBuilder.DoAfterWrite 02a3 @WStrArrayClr 02b8 @WStrClr 02be @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 94 53 56 57 33 C9 89 4D B0 89 4D AC 89 4D CC 89 4D D4 89 4D D0 89 4D DC 89 4D D8 89 4D F0 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 85 C9 74 03 83 E9 94 B2 0F 8B C6 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 F4 8B 43 70 89 45 F8 B8 ?? ?? ?? ?? 89 45 FC 8D 45 F4 50 6A 02 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 8B 43 74 33 D2 E8 ?? ?? ?? ?? 0F 85 CE 00 00 00 8D 45 F0 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 53 78 E8 ?? ?? ?? ?? 85 C0 7E 58 B8 ?? ?? ?? ?? 89 45 E0 8D 45 DC 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 89 45 E4 8B 43 78 89 45 E8 8D 45 D8 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 89 45 EC 8D 45 E0 50 6A 03 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 E9 5A 01 00 00 B8 ?? ?? ?? ?? 89 45 E0 8D 45 D4 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 89 45 E4 8B 43 78 89 45 E8 8D 45 D0 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 89 45 EC 8D 45 E0 50 6A 03 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 E9 02 01 00 00 8B 43 78 33 D2 E8 ?? ?? ?? ?? 75 36 B8 ?? ?? ?? ?? 89 45 F4 8B 43 74 89 45 F8 B8 ?? ?? ?? ?? 89 45 FC 8D 45 F4 50 6A 02 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 E9 C0 00 00 00 8D 45 CC 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 8B 53 78 E8 ?? ?? ?? ?? 85 C0 7E 63 B8 ?? ?? ?? ?? 89 45 B4 8B 43 74 89 45 B8 B8 ?? ?? ?? ?? 89 45 BC 8D 45 B0 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 89 45 C0 8B 43 78 89 45 C4 8D 45 AC 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 AC 89 45 C8 8D 45 B4 50 6A 05 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 EB 3F B8 ?? ?? ?? ?? 89 45 98 8B 43 74 89 45 9C B8 ?? ?? ?? ?? 89 45 A0 8B 43 78 89 45 A4 B8 ?? ?? ?? ?? 89 45 A8 8D 45 98 50 6A 04 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 B8 ?? ?? ?? ?? 89 45 94 8D 45 94 50 6A 00 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 8B CB 85 C9 74 03 83 E9 94 B2 0F 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5F 5E 5B 8B E5 5D C3 00 18 00 00 00 0A 00 3C 00 21 00 4E 00 4F 00 54 00 41 00 54 00 49 00 4F 00 4E 00 20 00 00 00 00 00 02 00 00 00 20 00 00 00 0E 00 00 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 00 00 12 00 00 00 20 00 50 00 55 00 42 00 4C 00 49 00 43 00 20 00 22 00 00 00 02 00 00 00 22 00 00 00 10 00 00 00 50 00 55 00 42 00 4C 00 49 00 43 00 20 00 22 00 00 00 00 00 04 00 00 00 22 00 20 00 00 00 00 00 06 00 00 00 22 00 20 00 22 00 00 00 02 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_112034_0 {
	meta:
		name = "TXmlStreamBuilder.WriteParameterEntityDeclarationSignal"
		size = 1100
		refs = "001a TXmlStreamBuilder.WriteParameterEntityDeclarationSignal 0032 TXmlStreamBuilder.DoBeforeWrite 006d @WStrEqual 0090 DQ 0095 @WStrFromWChar 00a0 Pos 00ae SQ 036e TXmlStreamBuilder.DoAfterWrite 0388 @WStrArrayClr 03a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 10 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB 85 C9 74 03 83 E9 94 B2 11 8B C6 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 89 45 F4 8B 43 74 89 45 F8 B8 ?? ?? ?? ?? 89 45 FC 8D 45 F4 50 6A 02 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 8B 43 7C 33 D2 E8 ?? ?? ?? ?? 0F 85 D1 00 00 00 8B 83 80 00 00 00 33 D2 E8 ?? ?? ?? ?? 0F 85 BE 00 00 00 8D 45 F0 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 53 78 E8 ?? ?? ?? ?? 85 C0 7E 50 8D 45 EC 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 89 45 F4 8B 43 78 89 45 F8 8D 45 E8 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 89 45 FC 8D 45 F4 50 6A 02 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 E9 45 02 00 00 8D 45 E4 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 89 45 F4 8B 43 78 89 45 F8 8D 45 E0 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 89 45 FC 8D 45 F4 50 6A 02 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 E9 F5 01 00 00 8B 43 7C 33 D2 E8 ?? ?? ?? ?? 0F 85 D7 00 00 00 8D 45 DC 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8B 93 80 00 00 00 E8 ?? ?? ?? ?? 85 C0 7E 5B B8 ?? ?? ?? ?? 89 45 CC 8D 45 C8 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 89 45 D0 8B 83 80 00 00 00 89 45 D4 8D 45 C4 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C4 89 45 D8 8D 45 CC 50 6A 03 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 E9 69 01 00 00 B8 ?? ?? ?? ?? 89 45 CC 8D 45 C0 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 89 45 D0 8B 83 80 00 00 00 89 45 D4 8D 45 BC 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 89 45 D8 8D 45 CC 50 6A 03 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 E9 0E 01 00 00 8B 83 80 00 00 00 33 D2 E8 ?? ?? ?? ?? 75 36 B8 ?? ?? ?? ?? 89 45 F4 8B 43 7C 89 45 F8 B8 ?? ?? ?? ?? 89 45 FC 8D 45 F4 50 6A 02 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 E9 C9 00 00 00 8D 45 B8 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 8B 93 80 00 00 00 E8 ?? ?? ?? ?? 85 C0 7E 66 B8 ?? ?? ?? ?? 89 45 A0 8B 43 7C 89 45 A4 B8 ?? ?? ?? ?? 89 45 A8 8D 45 9C 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 89 45 AC 8B 83 80 00 00 00 89 45 B0 8D 45 98 0F B7 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 89 45 B4 8D 45 A0 50 6A 05 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 EB 42 B8 ?? ?? ?? ?? 89 45 84 8B 43 7C 89 45 88 B8 ?? ?? ?? ?? 89 45 8C 8B 83 80 00 00 00 89 45 90 B8 ?? ?? ?? ?? 89 45 94 8D 45 84 50 6A 04 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 B8 ?? ?? ?? ?? 89 45 80 8D 45 80 50 6A 00 6A 00 8B CB 85 C9 74 03 83 E9 94 8B 53 30 8B C6 8B 38 FF 57 58 8B CB 85 C9 74 03 83 E9 94 B2 11 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 98 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D1 5F 5E 5B 8B E5 5D C3 00 00 00 18 00 00 00 0A 00 3C 00 21 00 45 00 4E 00 54 00 49 00 54 00 59 00 20 00 25 00 20 00 00 00 00 00 02 00 00 00 20 00 00 00 0E 00 00 00 53 00 59 00 53 00 54 00 45 00 4D 00 20 00 00 00 12 00 00 00 20 00 50 00 55 00 42 00 4C 00 49 00 43 00 20 00 22 00 00 00 02 00 00 00 22 00 00 00 10 00 00 00 50 00 55 00 42 00 4C 00 49 00 43 00 20 00 22 00 00 00 00 00 04 00 00 00 22 00 20 00 00 00 00 00 06 00 00 00 22 00 20 00 22 00 00 00 02 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_112035_0 {
	meta:
		name = "TXmlStreamBuilder.WriteStartExtDtdSignal"
		size = 616
		refs = "0016 TXmlStreamBuilder.WriteStartExtDtdSignal 0049 @WStrEqual 0058 @WStrLAsg 0072 @WStrFromUStr 007c TXmlStreamBuilder.TrySetCurrentEncoding 00b3 TXmlStreamBuilder.DoBeforeWrite 01ae TXmlStreamBuilder.DoAfterWrite 01c3 @WStrClr 01c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 43 38 00 33 C0 89 43 3C 33 C0 89 43 40 33 C0 89 43 44 33 C0 89 43 54 33 C0 89 43 58 83 7B 4C 00 75 28 8B 46 70 33 D2 E8 ?? ?? ?? ?? 75 0F 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 18 8D 45 FC 8B 56 70 E8 ?? ?? ?? ?? EB 0B 8D 45 FC 8B 53 4C E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8B C6 85 C0 74 03 83 E8 94 50 8B 45 FC 50 6A 00 B1 99 8B 56 30 8B C3 8B 18 FF 53 40 E9 0D 01 00 00 8B CE 85 C9 74 03 83 E9 94 B2 13 8B C3 E8 ?? ?? ?? ?? 8D 43 3C 50 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C3 8B 38 FF 57 54 80 7B 50 00 0F 84 C8 00 00 00 8B 86 80 00 00 00 33 D2 E8 ?? ?? ?? ?? 75 25 B8 ?? ?? ?? ?? 89 45 F8 8D 45 F8 50 6A 00 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C3 8B 38 FF 57 58 EB 34 B8 ?? ?? ?? ?? 89 45 EC 8B 86 80 00 00 00 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 8D 45 EC 50 6A 02 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C3 8B 38 FF 57 58 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 74 31 B8 ?? ?? ?? ?? 89 45 EC 8B 45 FC 89 45 F0 B8 ?? ?? ?? ?? 89 45 F4 8D 45 EC 50 6A 02 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C3 8B 38 FF 57 58 B8 ?? ?? ?? ?? 89 45 F8 8D 45 F8 50 6A 00 6A 00 8B CE 85 C9 74 03 83 E9 94 8B 56 30 8B C3 8B 38 FF 57 58 8B CE 85 C9 74 03 83 E9 94 B2 13 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 0A 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 26 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 00 00 1E 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 00 00 02 00 00 00 22 00 00 00 16 00 00 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 00 00 06 00 00 00 3F 00 3E 00 0A 00 00 00 }
	condition:
		$1
}

rule function_112036_0 {
	meta:
		name = "TXmlStreamBuilder.WriteStartIntDtdSignal"
		size = 16
		refs = "0006 TXmlStreamBuilder.ResetCurrentEncoding"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? C6 43 38 00 5B C3 }
	condition:
		$1
}

rule function_112038_0 {
	meta:
		name = "TXmlCustomReader.Create"
		size = 67
		refs = "000a @ClassCreate 0017 TComponent.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 38 C6 46 40 01 33 C0 89 46 3C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_112039_0 {
	meta:
		name = "TXmlCustomReader.Notification"
		size = 49
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 14 3B 77 3C 75 05 33 C0 89 47 3C 3B 77 38 75 05 33 C0 89 47 38 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112040_0 {
	meta:
		name = "TXmlCustomReader.ResolveResourceAsWideString"
		size = 158
		refs = "0025 TXmlCustomReader.ResolveResourceAsWideString 0035 @WStrLAsg 0053 @WStrClr 0089 @WStrArrayClr 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 F4 8B D8 8B 75 08 8B 45 0C 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D7 E8 ?? ?? ?? ?? 8D 45 F8 8B 55 10 E8 ?? ?? ?? ?? 8B 7B 38 85 FF 74 1D 8D 45 F8 50 8B 45 0C E8 ?? ?? ?? ?? 50 56 8D 4D FC 8B 55 F4 8B C7 8B 18 FF 53 7C EB 0B 8B 45 0C E8 ?? ?? ?? ?? C6 06 9A 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_112041_0 {
	meta:
		name = "TXmlCustomReader.SendErrorNotification"
		size = 264
		refs = "001e _DV_TDomError 0025 TDomError.CreateFromLocator 0030 TXmlCustomReader.SendErrorNotification 006a _DV_EParserException 006f Exception.Create 0074 @RaiseExcept 0089 TObject.Free 008f @HandleFinally 00a0 ET_FATAL_ERRORS"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F0 80 7E 40 00 0F 84 83 00 00 00 51 8B 45 0C 50 8B 45 08 50 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 46 38 85 C0 74 0C 8B 4D FC 8B D6 8B 18 FF 53 74 EB 11 8B 45 FC 8B 10 FF 12 3C 02 75 04 33 C0 EB 02 B0 01 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 FA 9F 77 0A 0F B6 D2 0F A3 15 ?? ?? ?? ?? 73 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 53 00 69 00 67 00 6E 00 61 00 6C 00 20 00 50 00 72 00 6F 00 63 00 65 00 73 00 73 00 69 00 6E 00 67 00 20 00 45 00 78 00 63 00 65 00 70 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_112042_0 {
	meta:
		name = "TXmlCustomParser.SetDomImpl"
		size = 19
		refs = "000e TComponent.FreeNotification"
		altNames = "TXmlCustomReader.SetDomImpl"
	strings:
		$1 = { 3B 50 38 74 0D 89 50 38 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112043_0 {
	meta:
		name = "TXmlCustomReader.SetErrorReportingEnabled"
		size = 4
	strings:
		$1 = { 88 50 40 C3 }
	condition:
		$1
}

rule function_112044_0 {
	meta:
		name = "TXmlStandardDocReader.SendAbortedSignal"
		size = 89
		refs = "0011 _DV_TXmlAbortedSignal 0018 TXmlSignal.CreateFromLocator 0023 TXmlStandardDocReader.SendAbortedSignal 0049 TObject.Free 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 83 7B 3C 00 74 48 52 8B CB A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_112063_0 {
	meta:
		name = "TXmlStandardDocReader.WriteCompleted"
		size = 89
		refs = "0011 _DV_TXmlCompletedSignal 0018 TXmlSignal.CreateFromLocator 0023 TXmlStandardDocReader.WriteCompleted 0049 TObject.Free 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 83 7B 3C 00 74 48 52 8B CB A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_112073_0 {
	meta:
		name = "TXmlStandardDtdReader.SendAbortedSignal"
		size = 89
		refs = "0011 _DV_TXmlAbortedSignal 0018 TXmlSignal.CreateFromLocator 0023 TXmlStandardDtdReader.SendAbortedSignal 0049 TObject.Free 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 83 7B 3C 00 74 48 52 8B CB A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_112075_0 {
	meta:
		name = "TXmlStandardDtdReader.WriteCompleted"
		size = 89
		refs = "0011 _DV_TXmlCompletedSignal 0018 TXmlSignal.CreateFromLocator 0023 TXmlStandardDtdReader.WriteCompleted 0049 TObject.Free 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 83 7B 3C 00 74 48 52 8B CB A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_112045_0 {
	meta:
		name = "TXmlStandardDocReader.WriteAttribute"
		size = 129
		refs = "0014 _DV_TXmlAttributeSignal 001b TXmlSignal.CreateFromLocator 0026 TXmlStandardDocReader.WriteAttribute 0040 @WStrAsg 006e TObject.Free 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B D8 83 7B 3C 00 74 6A 52 8B CB A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 70 00 8B 45 FC 83 C0 74 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 78 8B 55 08 E8 ?? ?? ?? ?? 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_112046_0 {
	meta:
		name = "TXmlStandardDocReader.WriteCDATA"
		size = 106
		refs = "0014 _DV_TXmlCDATASignal 001b TXmlSignal.CreateFromLocator 0026 TXmlStandardDocReader.WriteCDATA 0039 @WStrAsg 0059 TObject.Free 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B D8 83 7B 3C 00 74 55 52 8B CB A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 70 8B D6 E8 ?? ?? ?? ?? 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_112051_0 {
	meta:
		name = "TXmlStandardDocReader.WriteComment"
		size = 106
		refs = "0014 _DV_TXmlCommentSignal 001b TXmlSignal.CreateFromLocator 0026 TXmlStandardDocReader.WriteComment 0039 @WStrAsg 0059 TObject.Free 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B D8 83 7B 3C 00 74 55 52 8B CB A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 70 8B D6 E8 ?? ?? ?? ?? 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_112059_0 {
	meta:
		name = "TXmlStandardDocReader.WriteEndTag"
		size = 106
		refs = "0014 _DV_TXmlEndElementSignal 001b TXmlSignal.CreateFromLocator 0026 TXmlStandardDocReader.WriteEndTag 0039 @WStrAsg 0059 TObject.Free 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B D8 83 7B 3C 00 74 55 52 8B CB A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 70 8B D6 E8 ?? ?? ?? ?? 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_112061_0 {
	meta:
		name = "TXmlStandardDocReader.WriteEntityRef"
		size = 106
		refs = "0014 _DV_TXmlEntityRefSignal 001b TXmlSignal.CreateFromLocator 0026 TXmlStandardDocReader.WriteEntityRef 0039 @WStrAsg 0059 TObject.Free 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B D8 83 7B 3C 00 74 55 52 8B CB A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 70 8B D6 E8 ?? ?? ?? ?? 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_112056_0 {
	meta:
		name = "TXmlStandardDocReader.WriteStartDocumentFragment"
		size = 106
		refs = "0014 _DV_TXmlStartDocumentFragmentSignal 001b TXmlSignal.CreateFromLocator 0026 TXmlStandardDocReader.WriteStartDocumentFragment 0039 @WStrAsg 0059 TObject.Free 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B D8 83 7B 3C 00 74 55 52 8B CB A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 70 8B D6 E8 ?? ?? ?? ?? 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_112057_0 {
	meta:
		name = "TXmlStandardDocReader.WriteStartElement"
		size = 106
		refs = "0014 _DV_TXmlStartElementSignal 001b TXmlSignal.CreateFromLocator 0026 TXmlStandardDocReader.WriteStartElement 0039 @WStrAsg 0059 TObject.Free 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B D8 83 7B 3C 00 74 55 52 8B CB A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 70 8B D6 E8 ?? ?? ?? ?? 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_112047_0 {
	meta:
		name = "TXmlStandardDocReader.WriteCharRefDec"
		size = 396
		refs = "0021 TXmlStandardDocReader.WriteCharRefDec 002e _Dn_TUtilsCustomWideStr 0033 TUtilsCustomWideStr.Create 005d @UStrFromWStr 0065 StrToInt64 0086 _DV_TXmlPCDATASignal 008b TXmlSignal.CreateFromLocator 00bc @WStrAsg 00df TObject.Free 00e5 @HandleFinally 00f6 @HandleAnyException 0110 @WStrCatN 0128 @DoneExcept 015f @WStrArrayClr 0167 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 08 FF 51 08 8B 45 FC 83 78 3C 00 74 6F 8B 45 F8 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 C6 40 70 01 8D 55 E4 8B 45 EC 8B 08 FF 51 24 8B 55 E4 8B 45 F0 83 C0 74 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 8B 55 F0 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 50 6A 00 8B 4D F8 B2 42 8B 45 FC 8B 18 FF 53 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 02 00 00 00 26 00 00 00 02 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_112048_0 {
	meta:
		name = "Multiplier"
		size = 65
		refs = "0029 @_llmul"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 C7 45 F8 01 00 00 00 C7 45 FC 00 00 00 00 8B D8 85 DB 7E 1B FF 75 FC FF 75 F8 B8 10 00 00 00 33 D2 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 4B 75 E5 8B 45 F8 8B 55 FC 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_112049_0 {
	meta:
		name = "HexToInt64"
		size = 656
		refs = "006f HexToInt64 007c Multiplier 0089 @_llmul 00a7 @HandleAnyException 00c3 _Dn_EConvertError 00c8 Exception.CreateFmt 00cd @RaiseExcept 00d2 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 45 FC C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 33 FF 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 83 FB 01 0F 8C B0 01 00 00 8B 45 FC 0F B7 74 58 FE 8B C6 83 E8 30 0F 84 93 01 00 00 48 83 E8 09 72 1D 83 C0 F9 83 E8 06 0F 82 81 00 00 00 83 C0 E6 83 E8 06 0F 82 E5 00 00 00 E9 4A 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 52 50 8B C6 83 E8 30 99 E8 ?? ?? ?? ?? 03 45 F0 13 55 F4 89 45 F0 89 55 F4 33 C0 5A 59 59 64 89 10 E9 35 01 00 00 E9 ?? ?? ?? ?? 8B 45 FC 89 45 E8 C6 45 EC 0F 8D 45 E8 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 00 01 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 52 50 8B C6 83 E8 37 99 E8 ?? ?? ?? ?? 03 45 F0 13 55 F4 89 45 F0 89 55 F4 33 C0 5A 59 59 64 89 10 E9 C5 00 00 00 E9 ?? ?? ?? ?? 8B 45 FC 89 45 E8 C6 45 EC 0F 8D 45 E8 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 90 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 52 50 8B C6 83 E8 57 99 E8 ?? ?? ?? ?? 03 45 F0 13 55 F4 89 45 F0 89 55 F4 33 C0 5A 59 59 64 89 10 EB 58 E9 ?? ?? ?? ?? 8B 45 FC 89 45 E8 C6 45 EC 0F 8D 45 E8 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 8B 45 FC 89 45 E8 C6 45 EC 0F 8D 45 E8 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4B 85 DB 0F 85 50 FE FF FF 8B 45 F0 8B 55 F4 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 25 00 53 00 20 00 69 00 73 00 20 00 6E 00 6F 00 74 00 20 00 61 00 20 00 76 00 61 00 6C 00 69 00 64 00 20 00 69 00 6E 00 74 00 65 00 67 00 65 00 72 00 20 00 76 00 61 00 6C 00 75 00 65 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 25 00 53 00 20 00 69 00 73 00 20 00 6E 00 6F 00 74 00 20 00 61 00 20 00 68 00 65 00 78 00 61 00 64 00 65 00 63 00 69 00 6D 00 61 00 6C 00 20 00 6E 00 75 00 6D 00 62 00 65 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112050_0 {
	meta:
		name = "TXmlStandardDocReader.WriteCharRefHex"
		size = 376
		refs = "001e TXmlStandardDocReader.WriteCharRefHex 002b _Dn_TUtilsCustomWideStr 0030 TUtilsCustomWideStr.Create 0057 HexToInt64 0078 _DV_TXmlPCDATASignal 007d TXmlSignal.CreateFromLocator 00ae @WStrAsg 00d1 TObject.Free 00d7 @HandleFinally 00e8 @HandleAnyException 0102 @WStrCatN 011a @DoneExcept 0151 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D E8 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 8B D0 8B 45 EC 8B 08 FF 51 08 8B 45 FC 83 78 3C 00 74 6F 8B 45 F8 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 C6 40 70 01 8D 55 E8 8B 45 EC 8B 08 FF 51 24 8B 55 E8 8B 45 F0 83 C0 74 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 8B 55 F0 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 EB 37 E9 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 50 6A 00 8B 4D F8 B2 42 8B 45 FC 8B 18 FF 53 44 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 04 00 00 00 26 00 78 00 00 00 00 00 02 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_112052_0 {
	meta:
		name = "TXmlStandardDocReader.WritePCDATA"
		size = 113
		refs = "0014 _DV_TXmlPCDATASignal 001b TXmlSignal.CreateFromLocator 0026 TXmlStandardDocReader.WritePCDATA 0040 @WStrAsg 0060 TObject.Free 0066 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B D8 83 7B 3C 00 74 5C 52 8B CB A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC C6 40 70 00 8B 45 FC 83 C0 74 8B D6 E8 ?? ?? ?? ?? 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_112053_0 {
	meta:
		name = "AnalysePI"
		size = 168
		refs = "002a @WStrToPWChar 0039 IsXmlWhiteSpaceOrNull 005d @WStrFromPWCharLen 006a IsXmlWhiteSpace 009d @WStrCopy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F0 8B 45 FC 85 C0 74 04 33 D2 89 10 8B 45 F8 85 C0 74 04 33 D2 89 10 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 03 83 C3 02 0F B7 03 E8 ?? ?? ?? ?? 84 C0 74 F1 8B C6 E8 ?? ?? ?? ?? 8B F8 8B C3 2B C7 D1 F8 79 03 83 D0 00 50 8B D7 8B 45 FC 59 E8 ?? ?? ?? ?? EB 03 83 C3 02 0F B7 03 E8 ?? ?? ?? ?? 84 C0 75 F1 8B FE 85 FF 74 09 83 EF 04 8B 07 D1 E8 8B F8 8B 45 F8 50 8B C6 E8 ?? ?? ?? ?? 8B D3 2B D0 D1 FA 79 03 83 D2 00 42 8B CF 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_112054_0 {
	meta:
		name = "TXmlStandardDocReader.WriteProcessingInstruction"
		size = 202
		refs = "0013 TXmlStandardDocReader.WriteProcessingInstruction 0027 _DV_TXmlProcessingInstructionSignal 002e TXmlSignal.CreateFromLocator 0047 @WStrClr 005a AnalysePI 0068 @WStrAsg 0096 TObject.Free 009c @HandleFinally 00b8 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 3C 00 74 7F 52 8B CB A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B C6 59 E8 ?? ?? ?? ?? 8B 45 F4 83 C0 74 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 83 C0 70 8B 55 F8 E8 ?? ?? ?? ?? 8B 43 3C 8B 55 F4 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_112055_0 {
	meta:
		name = "TXmlStandardDocReader.WriteStartDocument"
		size = 146
		refs = "0014 _DV_TXmlStartDocumentSignal 001b TXmlSignal.CreateFromLocator 0026 TXmlStandardDocReader.WriteStartDocument 0039 @WStrAsg 007f TObject.Free 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B D8 83 7B 3C 00 74 7B 52 8B CB A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 74 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 7C 8B 55 10 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 70 8B 55 0C E8 ?? ?? ?? ?? 0F B6 45 08 8B 55 FC 88 42 78 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_112058_0 {
	meta:
		name = "TXmlStandardDocReader.WriteStartTag"
		size = 860
		refs = "0021 @WStrAddRef 0034 TXmlStandardDocReader.WriteStartTag 0041 _Dn_TUtilsWideStringList 0046 TObject.Create 0061 TUtilsWideStringList.SetSorted 0070 @WStrToPWChar 0081 IsXmlWhiteSpaceOrNull 009a @WStrFromPWCharLen 00b9 IsXmlWhiteSpace 00dc NULL 00e6 @SetElem 00ed EQ 0153 @TryFinallyExit 0173 SQ 0184 DQ 0214 @WStrFromWChar 026c @HandleAnyException 0284 @DoneExcept 0302 TObject.Free 0308 @HandleFinally 031f @WStrClr 032c @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 89 5D F8 89 5D F4 89 4D FC 89 55 EC 89 45 F0 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E8 C6 40 0C 02 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B F3 EB 03 83 C6 02 0F B7 06 E8 ?? ?? ?? ?? 84 C0 74 F1 8B CE 2B CB D1 F9 79 03 83 D1 00 8B 45 08 8B D3 E8 ?? ?? ?? ?? 8B 4D 08 8B 09 8B 55 EC 8B 45 F0 8B 18 FF 53 7C 8B DE EB 03 83 C3 02 0F B7 03 E8 ?? ?? ?? ?? 84 C0 75 F1 E9 1B 02 00 00 8B F3 EB 03 83 C6 02 0F B7 06 E8 ?? ?? ?? ?? 84 C0 75 31 0F B7 15 ?? ?? ?? ?? 8D 45 C4 B1 20 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 0F B6 C0 0F AB 45 C4 0F B7 06 66 3D FF 00 77 07 0F B7 C0 0F A3 45 C4 73 C0 8B CE 2B CB D1 F9 79 03 83 D1 00 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B DE EB 03 83 C3 02 0F B7 03 E8 ?? ?? ?? ?? 84 C0 75 F1 0F B7 03 66 3B 05 ?? ?? ?? ?? 74 1E 6A 00 68 ?? ?? ?? ?? 8B 4D EC B2 53 8B 45 F0 8B 18 FF 53 44 E8 ?? ?? ?? ?? E9 B2 01 00 00 83 C3 02 EB 03 83 C3 02 0F B7 03 E8 ?? ?? ?? ?? 84 C0 75 F1 0F B7 15 ?? ?? ?? ?? 8D 45 C4 B1 20 E8 ?? ?? ?? ?? 0F B7 05 ?? ?? ?? ?? 0F B6 C0 0F AB 45 C4 0F B7 03 66 3D FF 00 77 07 0F B7 C0 0F A3 45 C4 72 1E 6A 00 68 ?? ?? ?? ?? 8B 4D EC B2 54 8B 45 F0 8B 18 FF 53 44 E8 ?? ?? ?? ?? E9 4F 01 00 00 0F B7 03 66 89 45 E6 83 C3 02 8B F3 EB 03 83 C6 02 0F B7 15 ?? ?? ?? ?? 8D 45 C4 B1 20 E8 ?? ?? ?? ?? 0F B7 45 E6 0F B6 C0 0F AB 45 C4 0F B7 06 66 3D FF 00 77 07 0F B7 C0 0F A3 45 C4 73 CF 0F B7 06 66 3B 05 ?? ?? ?? ?? 75 29 6A 00 8D 45 C0 0F B7 55 E6 E8 ?? ?? ?? ?? 8B 45 C0 50 8B 4D EC B2 54 8B 45 F0 8B 18 FF 53 44 E8 ?? ?? ?? ?? E9 DB 00 00 00 8B CE 2B CB D1 F9 79 03 83 D1 00 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 8B 45 E8 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 EB 29 E9 ?? ?? ?? ?? 8B 45 F8 50 6A 00 8B 4D EC B2 37 8B 45 F0 8B 18 FF 53 44 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 7F E8 ?? ?? ?? ?? 8B 45 F4 50 8B 4D F8 8B 55 EC 8B 45 F0 8B 18 FF 53 58 8B DE 83 C3 02 0F B7 03 E8 ?? ?? ?? ?? 84 C0 75 1E 6A 00 68 ?? ?? ?? ?? 8B 4D EC B2 56 8B 45 F0 8B 18 FF 53 44 E8 ?? ?? ?? ?? EB 3C 83 C3 02 0F B7 03 E8 ?? ?? ?? ?? 84 C0 75 F1 0F B7 03 66 3B 05 ?? ?? ?? ?? 0F 85 D5 FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 02 00 00 00 3D 00 00 00 02 00 00 00 22 00 00 00 02 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_112060_0 {
	meta:
		name = "TXmlStandardDocReader.WriteEmptyElementTag"
		size = 101
		refs = "0012 TXmlStandardDocReader.WriteEmptyElementTag 0020 @WStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B CF 8B D6 8B C3 8B 38 FF 97 80 00 00 00 8B 4D FC 8B D6 8B C3 8B 18 FF 93 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_112062_0 {
	meta:
		name = "TXmlStandardDocReader.WriteDoctype"
		size = 705
		refs = "0027 TXmlStandardDocReader.WriteDoctype 0099 _DV_TXmlDoctypeDeclTokenizer 009e TXmlDoctypeDeclTokenizer.Create 00f8 @TryFinallyExit 01a3 TObject.Free 01a9 @HandleFinally 01c6 _DV_TXmlDoctypeSignal 01cb TXmlSignal.CreateFromLocator 01ea @WStrAsg 02a3 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 33 DB 89 5D C8 89 5D CC 89 5D FC 89 5D F8 89 5D F4 89 5D F0 8B D9 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 E0 33 C0 89 45 DC C7 45 D8 01 00 00 00 33 C0 89 45 D4 8D 55 CC 8B 45 E8 8B 08 FF 51 3C 8B 45 CC 50 8B 45 E8 8B 10 FF 52 28 52 50 8B 45 E8 8B 10 FF 52 2C 83 E8 01 83 DA 00 52 50 8B 45 E8 8B 10 FF 52 30 83 E8 01 83 DA 00 52 50 8B 45 E8 8B 10 FF 52 38 52 50 8B 45 E8 8B 10 FF 52 34 52 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 CA 00 00 00 8B 45 E4 8B 10 FF 52 38 8B 45 E4 0F B6 58 0C 84 DB 74 36 8D 55 C8 8B 45 E4 8B 08 FF 11 8B 45 C8 50 8B 45 E4 8B 40 08 50 8B D3 8B 4D E4 85 C9 74 06 81 E9 70 FF FF FF 8B 45 EC 8B 18 FF 53 44 E8 ?? ?? ?? ?? E9 8C 01 00 00 8B 45 E4 0F B6 80 88 00 00 00 FE C8 74 32 FE C8 74 0A FE C8 74 12 2C 02 74 1A EB 65 8D 55 FC 8B 45 E4 8B 08 FF 11 EB 59 8D 55 F4 8B 45 E4 8B 08 FF 11 EB 4D 8D 55 F0 8B 45 E4 8B 08 FF 11 EB 41 8B 45 E4 8B 10 FF 52 20 89 45 E0 8B 45 E4 8B 10 FF 52 24 48 89 45 DC 8B 45 E4 8B 10 FF 52 28 48 89 45 D4 8B 45 E4 8B 10 FF 52 2C 89 45 D8 83 7D D4 FF 75 03 FF 4D D8 8D 55 F8 8B 45 E4 8B 08 FF 11 8B 45 E4 80 B8 88 00 00 00 00 0F 85 26 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 EC 83 78 3C 00 0F 84 D1 00 00 00 8B 45 E8 50 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 D0 83 C0 74 8B 55 FC E8 ?? ?? ?? ?? 8B 45 D0 05 98 00 00 00 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 D0 05 9C 00 00 00 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 D0 83 C0 70 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 E0 99 8B 4D D0 89 41 78 89 51 7C 8B 45 DC 99 8B 4D D0 89 81 80 00 00 00 89 91 84 00 00 00 8B 45 D4 99 8B 4D D0 89 81 88 00 00 00 89 91 8C 00 00 00 8B 45 D8 99 8B 4D D0 89 81 90 00 00 00 89 91 94 00 00 00 8B 45 EC 8B 40 3C 8B 55 D0 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_112064_0 {
	meta:
		name = "TXmlStandardDocReader.Parse"
		size = 334
		refs = "0018 TXmlStandardDocReader.Parse 0027 _DV_TXmlDocTokenizer 002c TXmlDocTokenizer.Create 005d @WStrFromUStr 00da @HandleAnyException 00f8 @DoneExcept 010d TObject.Free 0113 @HandleFinally 012a @UStrClr 0137 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B 93 14 01 00 00 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC 8B 93 0C 01 00 00 E8 ?? ?? ?? ?? 8B 45 EC 50 0F B6 83 10 01 00 00 50 8D 55 E4 8B C3 8B 08 FF 51 20 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 4D E8 8B 55 F4 85 D2 74 06 81 EA 74 FF FF FF 8B 45 FC 8B 18 FF 53 74 8B 55 F4 8B 45 FC 8B 08 FF 51 50 8B 55 F4 85 D2 74 06 81 EA 74 FF FF FF 8B 45 FC 8B 08 FF 91 94 00 00 00 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? C6 45 FB 00 8B 55 F4 85 D2 74 06 81 EA 74 FF FF FF 8B 45 FC 8B 08 FF 51 54 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_112065_0 {
	meta:
		name = "TXmlStandardDocReader.ParseFragment"
		size = 309
		refs = "001a TXmlStandardDocReader.ParseFragment 0029 _DV_TXmlDocTokenizer 002e TXmlDocTokenizer.Create 0062 @TryFinallyExit 007c @WStrFromUStr 00c6 @HandleAnyException 00e4 @DoneExcept 00f9 TObject.Free 00ff @HandleFinally 0116 @UStrClr 011e @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D F0 89 4D EC 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 12 33 C0 5A 59 59 64 89 10 E8 ?? ?? ?? ?? E9 9A 00 00 00 8D 55 EC 8B C3 8B 08 FF 51 20 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 4D F0 8B 55 F4 85 D2 74 06 81 EA 74 FF FF FF 8B 45 FC 8B 18 FF 53 78 8B 55 F4 8B 45 FC 8B 08 FF 51 50 8B 55 F4 85 D2 74 06 81 EA 74 FF FF FF 8B 45 FC 8B 08 FF 91 94 00 00 00 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 8B 55 F4 85 D2 74 06 81 EA 74 FF FF FF 8B 45 FC 8B 08 FF 51 54 C6 45 FB 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_112066_0 {
	meta:
		name = "TXmlStandardDocReader.Parse2"
		size = 630
		refs = "001b TXmlStandardDocReader.Parse2 00d2 @WStrClr 0263 @WStrArrayClr 0269 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 16 02 00 00 8B C3 8B 10 FF 52 38 80 7B 0C 00 74 28 8D 55 F8 8B C3 8B 08 FF 11 8B 45 F8 50 8B 43 08 50 0F B6 53 0C 8B CB 85 C9 74 06 81 E9 74 FF FF FF 8B C6 8B 38 FF 57 44 0F B6 83 90 00 00 00 83 F8 0C 0F 87 D1 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 F4 8B C3 8B 08 FF 11 8B 4D F4 8B D3 85 D2 74 06 81 EA 74 FF FF FF 8B C6 8B 38 FF 57 6C E9 72 01 00 00 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F0 8B C3 8B 08 FF 11 8B 4D F0 8B D3 85 D2 74 06 81 EA 74 FF FF FF 8B C6 8B 38 FF 97 80 00 00 00 E9 42 01 00 00 8D 55 EC 8B C3 8B 08 FF 11 8B 4D EC 8B D3 85 D2 74 06 81 EA 74 FF FF FF 8B C6 8B 38 FF 97 84 00 00 00 E9 1B 01 00 00 8D 55 E8 8B C3 8B 08 FF 11 8B 4D E8 8B D3 85 D2 74 06 81 EA 74 FF FF FF 8B C6 8B 38 FF 97 8C 00 00 00 E9 F4 00 00 00 8D 55 E4 8B C3 8B 08 FF 11 8B 4D E4 8B D3 85 D2 74 06 81 EA 74 FF FF FF 8B C6 8B 38 FF 97 88 00 00 00 E9 CD 00 00 00 8D 55 E0 8B C3 8B 08 FF 11 8B 4D E0 8B D3 85 D2 74 06 81 EA 74 FF FF FF 8B C6 8B 38 FF 57 64 E9 A9 00 00 00 8D 55 DC 8B C3 8B 08 FF 11 8B 4D DC 8B D3 85 D2 74 06 81 EA 74 FF FF FF 8B C6 8B 38 FF 57 60 E9 85 00 00 00 8D 55 D8 8B C3 8B 08 FF 11 8B 4D D8 8B D3 85 D2 74 06 81 EA 74 FF FF FF 8B C6 8B 38 FF 57 68 EB 64 8D 55 D4 8B C3 8B 08 FF 11 8B 4D D4 8B D3 85 D2 74 06 81 EA 74 FF FF FF 8B C6 8B 38 FF 57 70 EB 43 8D 55 D0 8B C3 8B 08 FF 11 8B 4D D0 8B D3 85 D2 74 06 81 EA 74 FF FF FF 8B C6 8B 38 FF 57 5C EB 22 8D 55 CC 8B C3 8B 08 FF 11 8B 4D CC 8B D3 85 D2 74 06 81 EA 74 FF FF FF 8B C6 8B 38 FF 97 90 00 00 00 80 BB 90 00 00 00 06 0F 85 DD FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 0D 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_112067_0 {
	meta:
		name = "TXmlStandardDtdReader.Create"
		size = 85
		refs = "000a @ClassCreate 0017 TXmlCustomReader.Create 001e _Dn_TUtilsWideStringList 0023 TObject.Create 002f _DV_TDomPERepository 0034 TDomPERepository.Create 0042 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 44 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_112068_0 {
	meta:
		name = "TXmlStandardDtdReader.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TComponent.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 48 E8 ?? ?? ?? ?? 8B 46 44 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_112069_0 {
	meta:
		name = "TXmlStandardDtdReader.GetXmlErrorDetected"
		size = 5
	strings:
		$1 = { 0F B6 40 4C C3 }
	condition:
		$1
}

rule function_112070_0 {
	meta:
		name = "TXmlStandardDtdReader.GetXmlFatalErrorDetected"
		size = 5
	strings:
		$1 = { 0F B6 40 4D C3 }
	condition:
		$1
}

rule function_112071_0 {
	meta:
		name = "TXmlStandardDtdReader.PEReferenceEventHandler"
		size = 89
		refs = "0011 _DV_TXmlPEReferenceFoundSignal 0018 TXmlSignal.CreateFromLocator 0023 TXmlStandardDtdReader.PEReferenceEventHandler 0049 TObject.Free 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 83 7B 3C 00 74 48 51 B2 01 A1 ?? ?? ?? ?? 8B CB E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_112072_0 {
	meta:
		name = "TXmlStandardDtdReader.PEProcessingAttListDeclEventHandler"
		size = 55
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B D6 8B 43 44 8B 08 FF 51 5C 40 75 0C 8B D6 8B 43 44 8B 08 FF 51 34 EB 0F 56 6A 00 8B 4D 08 B2 02 8B C3 8B 18 FF 53 44 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_112074_0 {
	meta:
		name = "TXmlStandardDtdReader.SendErrorNotification"
		size = 72
		refs = "0012 ET_FATAL_ERRORS 002a ET_ERRORS 003f TXmlCustomReader.SendErrorNotification"
	strings:
		$1 = { 55 8B EC 56 8B F0 8B C2 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 06 C6 46 4D 01 EB 16 8B C2 3C 9F 77 0A 0F B6 C0 0F A3 05 ?? ?? ?? ?? 73 04 C6 46 4C 01 8B 45 0C 50 8B 45 08 50 8B C6 E8 ?? ?? ?? ?? 5E 5D C2 08 00 }
	condition:
		$1
}

rule function_112076_0 {
	meta:
		name = "TXmlStandardDtdReader.WriteStartExtDtd"
		size = 170
		refs = "0018 _DV_TXmlStartExtDtdSignal 001f TXmlSignal.CreateFromLocator 002a TXmlStandardDtdReader.WriteStartExtDtd 003d @WStrAsg 0097 TObject.Free 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B D8 83 7B 3C 00 0F 84 8F 00 00 00 52 8B CB A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 74 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 78 8B 55 14 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 7C 8B 55 10 E8 ?? ?? ?? ?? 8B 45 FC 05 80 00 00 00 8B 55 0C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 70 8B 55 08 E8 ?? ?? ?? ?? 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_112077_0 {
	meta:
		name = "TXmlStandardDtdReader.WriteStartIntDtd"
		size = 118
		refs = "0014 _DV_TXmlStartIntDtdSignal 001b TXmlSignal.CreateFromLocator 0026 TXmlStandardDtdReader.WriteStartIntDtd 0039 @WStrAsg 0063 TObject.Free 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 8B D8 83 7B 3C 00 74 5F 52 8B CB A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 70 8B D6 E8 ?? ?? ?? ?? 0F B6 45 08 8B 55 FC 88 42 74 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_112078_0 {
	meta:
		name = "TXmlStandardDtdReader.WriteSignal"
		size = 87
		refs = "0021 TXmlStandardDtdReader.WriteSignal 0047 TObject.Free 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 85 D2 74 48 83 7B 3C 00 74 42 8B C2 8B D3 8B 08 FF 51 44 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_112079_0 {
	meta:
		name = "TXmlStandardDtdReader.Parseloop"
		size = 170
		refs = "0010 TXmlStandardDtdReader.Parseloop 0098 @WStrClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 60 8B C3 8B 10 FF 52 54 8B C3 8B 10 FF 52 0C 84 C0 74 29 6A 00 8D 55 FC 8B C3 8B 08 FF 51 04 8B 45 FC 50 8B C3 8B 10 FF 52 0C 8B D0 8B CB 85 C9 74 03 83 E9 B4 8B C6 8B 38 FF 57 44 8B C3 8B 10 FF 52 18 2C 02 72 10 2C 01 74 0C 04 FE 2C 02 72 06 04 FE 2C 03 73 0A 8B 53 1C 8B C6 8B 08 FF 51 70 8B C3 8B 10 FF 52 18 3C 04 75 95 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_112080_0 {
	meta:
		name = "TXmlStandardDtdReader.ParseExtSubset"
		size = 456
		refs = "0018 TXmlStandardDtdReader.ParseExtSubset 002e _DV_TXmlExtSubsetTokenizer 0033 TXmlExtSubsetTokenizer.Create 0090 @WStrFromUStr 00e7 TXmlStandardDtdReader.Parseloop 0137 @HandleAnyException 014e @DoneExcept 0163 TObject.Free 0169 @HandleFinally 019e @WStrClr 01a6 @UStrClr 01b3 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 48 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 FC 89 50 34 8B 12 8B 52 58 89 50 30 8B 45 F8 8B 55 FC 89 50 3C 8B 12 8B 52 5C 89 50 38 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 F8 00 00 00 50 8B 83 00 01 00 00 50 8D 45 F4 8B 93 14 01 00 00 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F0 8B 93 0C 01 00 00 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 E8 8B C3 8B 08 FF 51 20 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8B 4D EC 8B 55 F8 85 D2 74 03 83 EA B4 8B 45 FC 8B 18 FF 53 68 8B 45 F8 8B 10 FF 52 0C 84 C0 75 0D 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 2D 6A 00 8D 55 E4 8B 45 F8 8B 08 FF 51 04 8B 45 E4 50 8B 45 F8 8B 10 FF 52 0C 8B D0 8B 4D F8 85 C9 74 03 83 E9 B4 8B 45 FC 8B 18 FF 53 44 8B 55 F8 85 D2 74 03 83 EA B4 8B 45 FC 8B 08 FF 51 64 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 55 F8 85 D2 74 03 83 EA B4 8B 45 FC 8B 08 FF 51 60 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 10 FF 52 54 84 C0 75 0C 8B 45 FC 8B 10 FF 52 50 84 C0 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_112081_0 {
	meta:
		name = "TXmlStandardDtdReader.ParseIntSubset"
		size = 383
		refs = "0019 TXmlStandardDtdReader.ParseIntSubset 002f _DV_TXmlIntSubsetTokenizer 0034 TXmlIntSubsetTokenizer.Create 00b1 TXmlStandardDtdReader.Parseloop 0101 @HandleAnyException 0118 @DoneExcept 012d TObject.Free 0133 @HandleFinally 0168 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B D9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 48 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 55 FC 89 50 34 8B 12 8B 52 58 89 50 30 8B 45 F8 8B 55 FC 89 50 3C 8B 12 8B 52 5C 89 50 38 0F B6 55 08 8B 45 F8 8B 08 FF 51 5C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 53 8B 8E 00 01 00 00 8B 55 F8 85 D2 74 03 83 EA B4 8B 45 FC 8B 18 FF 53 6C 8B 45 F8 8B 10 FF 52 0C 84 C0 75 0D 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 2D 6A 00 8D 55 F4 8B 45 F8 8B 08 FF 51 04 8B 45 F4 50 8B 45 F8 8B 10 FF 52 0C 8B D0 8B 4D F8 85 C9 74 03 83 E9 B4 8B 45 FC 8B 18 FF 53 44 8B 55 F8 85 D2 74 03 83 EA B4 8B 45 FC 8B 08 FF 51 64 33 C0 5A 59 59 64 89 10 EB 1C E9 ?? ?? ?? ?? 8B 55 F8 85 D2 74 03 83 EA B4 8B 45 FC 8B 08 FF 51 60 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 10 FF 52 54 84 C0 75 0C 8B 45 FC 8B 10 FF 52 50 84 C0 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_112082_0 {
	meta:
		name = "TXmlStandardDtdReader.Prepare"
		size = 29
	strings:
		$1 = { 53 8B D8 8B 43 44 8B 10 FF 52 48 8B 43 48 8B 10 FF 52 04 C6 43 4D 00 C6 43 4C 00 5B C3 }
	condition:
		$1
}

rule function_112083_0 {
	meta:
		name = "TXmlStandardDomReader.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TXmlCustomReader.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 48 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_112085_0 {
	meta:
		name = "TXmlStandardDomReader.GetSystemId"
		size = 83
		refs = "0039 @WStrAsg 0042 @WStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 50 85 C0 74 38 8B C3 8B 10 FF 52 50 8B 10 FF 92 C4 00 00 00 85 C0 74 1B 8B C3 8B 10 FF 52 50 8B 10 FF 92 C4 00 00 00 8B 50 48 8B C6 E8 ?? ?? ?? ?? EB 11 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_112086_0 {
	meta:
		name = "ParseAttribute"
		size = 197
		refs = "0010 ParseAttribute 0065 TDomAttr.GetDataType 0098 @HandleFinally 00b4 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 08 8B 40 FC 8B 40 44 89 45 FC 8B 45 08 8B 40 08 8B 40 FC 89 58 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 91 B0 00 00 00 8B 45 F8 50 8D 55 F4 8B C3 8B 08 FF 51 74 8B 45 F4 50 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 08 8B 40 08 8B 40 FC 59 8B 18 FF 53 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 08 8B 40 08 8B 40 FC 8B 55 FC 89 50 44 C3 E9 ?? ?? ?? ?? EB E9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_112087_0 {
	meta:
		name = "ParseElement"
		size = 343
		refs = "0017 ParseElement 0074 _DV_TDomAttr 0079 @AsClass 00a0 ParseAttribute 0145 @WStrArrayClr 014b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 EC 89 55 F0 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC 8B 08 FF 51 74 8B 55 F0 8B 45 08 8B 40 FC 8B 08 FF 91 90 00 00 00 8B 45 FC 8B 10 FF 92 80 00 00 00 89 45 F8 8B 45 08 8B 40 FC 80 78 48 00 74 54 8B 45 F8 8B 10 FF 12 8B D8 4B 85 DB 7C 77 43 33 F6 8B D6 8B 45 F8 8B 08 FF 51 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 68 01 00 00 84 C0 74 1C 55 8B D6 8B 45 F8 8B 08 FF 51 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 75 BF EB 31 8B 45 F8 8B 10 FF 12 8B D8 4B 85 DB 7C 23 43 33 F6 55 8B D6 8B 45 F8 8B 08 FF 51 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 46 4B 75 E0 8B 45 FC 8B 10 FF 92 88 00 00 00 89 45 F4 8B 45 F4 8B 10 FF 12 8B D8 4B 85 DB 7C 1E 43 33 F6 8B D6 8B 45 F4 8B 08 FF 51 08 8B D0 8B 45 08 8B 40 FC 8B 08 FF 51 58 46 4B 75 E5 8D 55 EC 8B 45 FC 8B 08 FF 51 74 8B 55 EC 8B 45 08 8B 40 FC 8B 08 FF 51 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_112088_0 {
	meta:
		name = "TXmlStandardDomReader.Parseloop"
		size = 660
		refs = "001b TXmlStandardDomReader.Parseloop 0090 _DV_TDomElement 0095 @AsClass 009a ParseElement 00b9 _DV_TDomText 01a3 _DV_TDomDocumentTypeDecl 0201 _DV_EParserException 0206 Exception.Create 020b @RaiseExcept 0227 @HandleFinally 0243 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 44 89 45 F4 8B 45 FC 89 58 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 B4 00 00 00 83 E0 7F 83 F8 0A 0F 87 A1 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 E9 6B 01 00 00 8D 55 F0 8B C3 8B 08 FF 91 B0 00 00 00 8B 45 F0 50 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 48 3C 8B 45 FC 5A 8B 18 FF 93 80 00 00 00 E9 38 01 00 00 8D 55 EC 8B C3 8B 08 FF 91 B0 00 00 00 8B 55 EC 8B 45 FC 8B 08 FF 51 64 E9 1B 01 00 00 8D 55 E8 8B C3 8B 08 FF 51 74 8B 55 E8 8B 45 FC 8B 08 FF 51 78 E9 01 01 00 00 8D 55 E4 8B C3 8B 08 FF 91 B0 00 00 00 8B 45 E4 50 8D 55 E0 8B C3 8B 08 FF 51 74 8B 55 E0 8B 45 FC 59 8B 18 FF 93 84 00 00 00 E9 D2 00 00 00 8D 55 DC 8B C3 8B 08 FF 91 B0 00 00 00 8B 55 DC 8B 45 FC 8B 08 FF 51 68 E9 B5 00 00 00 8B C3 8B 10 FF 92 88 00 00 00 8B 10 FF 12 8B F0 4E 85 F6 0F 8C 9C 00 00 00 46 C7 45 F8 00 00 00 00 8B C3 8B 10 FF 92 88 00 00 00 8B 55 F8 8B 08 FF 51 08 8B D0 8B 45 FC 8B 08 FF 51 58 FF 45 F8 4E 75 DE EB 70 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C6 8D 55 D8 8B 08 FF 91 64 01 00 00 8B 45 D8 50 8B C6 8D 55 D4 8B 08 FF 91 58 01 00 00 8B 45 D4 50 8B C6 8D 55 D0 8B 08 FF 91 60 01 00 00 8B 45 D0 50 8D 55 CC 8B C3 8B 08 FF 51 74 8B 55 CC 8B 45 FC 59 8B 18 FF 53 6C EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 55 F4 89 50 44 C3 E9 ?? ?? ?? ?? EB EF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 20 00 50 00 61 00 72 00 73 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112089_0 {
	meta:
		name = "TXmlStandardDomReader.SendAbortedSignal"
		size = 134
		refs = "0040 _DV_TXmlAbortedSignal 0045 TXmlSignal.Create 0050 TXmlStandardDomReader.SendAbortedSignal 0076 TObject.Free 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 83 7B 3C 00 74 75 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 6A 00 6A 00 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_112090_0 {
	meta:
		name = "TXmlStandardDomReader.WriteAttribute"
		size = 250
		refs = "0018 TXmlStandardDomReader.WriteAttribute 0071 _DV_TXmlAttributeSignal 0076 TXmlSignal.Create 009a @WStrAsg 00c8 TObject.Free 00ce @HandleFinally 00e5 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 3C 00 0F 84 A8 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 8D 55 F8 8B C6 8B 08 FF 51 54 8B 45 F8 50 6A 00 8B C6 8B 10 FF 52 50 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 88 58 70 8B 45 FC 83 C0 74 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 78 8B 55 08 E8 ?? ?? ?? ?? 8B 46 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_112091_0 {
	meta:
		name = "TXmlStandardDomReader.WriteCDATA"
		size = 224
		refs = "0015 TXmlStandardDomReader.WriteCDATA 006e _DV_TXmlCDATASignal 0073 TXmlSignal.Create 0091 @WStrAsg 00b1 TObject.Free 00b7 @HandleFinally 00ce @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 3C 00 0F 84 94 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 8D 55 F8 8B C3 8B 08 FF 51 54 8B 45 F8 50 6A 00 8B C3 8B 10 FF 52 50 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 70 8B D6 E8 ?? ?? ?? ?? 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_112092_0 {
	meta:
		name = "TXmlStandardDomReader.WriteComment"
		size = 224
		refs = "0015 TXmlStandardDomReader.WriteComment 006e _DV_TXmlCommentSignal 0073 TXmlSignal.Create 0091 @WStrAsg 00b1 TObject.Free 00b7 @HandleFinally 00ce @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 3C 00 0F 84 94 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 8D 55 F8 8B C3 8B 08 FF 51 54 8B 45 F8 50 6A 00 8B C3 8B 10 FF 52 50 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 70 8B D6 E8 ?? ?? ?? ?? 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_112094_0 {
	meta:
		name = "TXmlStandardDomReader.WriteEndElement"
		size = 224
		refs = "0015 TXmlStandardDomReader.WriteEndElement 006e _DV_TXmlEndElementSignal 0073 TXmlSignal.Create 0091 @WStrAsg 00b1 TObject.Free 00b7 @HandleFinally 00ce @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 3C 00 0F 84 94 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 8D 55 F8 8B C3 8B 08 FF 51 54 8B 45 F8 50 6A 00 8B C3 8B 10 FF 52 50 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 70 8B D6 E8 ?? ?? ?? ?? 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_112095_0 {
	meta:
		name = "TXmlStandardDomReader.WriteEndPrefixMapping"
		size = 224
		refs = "0015 TXmlStandardDomReader.WriteEndPrefixMapping 006e _DV_TXmlEndPrefixMappingSignal 0073 TXmlSignal.Create 0091 @WStrAsg 00b1 TObject.Free 00b7 @HandleFinally 00ce @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 3C 00 0F 84 94 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 8D 55 F8 8B C3 8B 08 FF 51 54 8B 45 F8 50 6A 00 8B C3 8B 10 FF 52 50 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 70 8B D6 E8 ?? ?? ?? ?? 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_112096_0 {
	meta:
		name = "TXmlStandardDomReader.WriteEntityRef"
		size = 224
		refs = "0015 TXmlStandardDomReader.WriteEntityRef 006e _DV_TXmlEntityRefSignal 0073 TXmlSignal.Create 0091 @WStrAsg 00b1 TObject.Free 00b7 @HandleFinally 00ce @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 3C 00 0F 84 94 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 8D 55 F8 8B C3 8B 08 FF 51 54 8B 45 F8 50 6A 00 8B C3 8B 10 FF 52 50 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 70 8B D6 E8 ?? ?? ?? ?? 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_112101_0 {
	meta:
		name = "TXmlStandardDomReader.WriteStartDocumentFragment"
		size = 224
		refs = "0015 TXmlStandardDomReader.WriteStartDocumentFragment 006e _DV_TXmlStartDocumentFragmentSignal 0073 TXmlSignal.Create 0091 @WStrAsg 00b1 TObject.Free 00b7 @HandleFinally 00ce @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 3C 00 0F 84 94 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 8D 55 F8 8B C3 8B 08 FF 51 54 8B 45 F8 50 6A 00 8B C3 8B 10 FF 52 50 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 70 8B D6 E8 ?? ?? ?? ?? 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_112102_0 {
	meta:
		name = "TXmlStandardDomReader.WriteStartElement"
		size = 224
		refs = "0015 TXmlStandardDomReader.WriteStartElement 006e _DV_TXmlStartElementSignal 0073 TXmlSignal.Create 0091 @WStrAsg 00b1 TObject.Free 00b7 @HandleFinally 00ce @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 C9 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 3C 00 0F 84 94 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 8D 55 F8 8B C3 8B 08 FF 51 54 8B 45 F8 50 6A 00 8B C3 8B 10 FF 52 50 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 70 8B D6 E8 ?? ?? ?? ?? 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_112093_0 {
	meta:
		name = "TXmlStandardDomReader.WriteDoctype"
		size = 275
		refs = "0018 TXmlStandardDomReader.WriteDoctype 0071 _DV_TXmlDoctypeSignal 0076 TXmlSignal.Create 0094 @WStrAsg 00e1 TObject.Free 00e7 @HandleFinally 00fe @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 3C 00 0F 84 C1 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 8D 55 F8 8B C3 8B 08 FF 51 54 8B 45 F8 50 6A 00 8B C3 8B 10 FF 52 50 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 74 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 05 98 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 05 9C 00 00 00 8B 55 0C E8 ?? ?? ?? ?? 8B 45 FC 83 C0 70 8B 55 08 E8 ?? ?? ?? ?? 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_112097_0 {
	meta:
		name = "TXmlStandardDomReader.WriteCompleted"
		size = 207
		refs = "0012 TXmlStandardDomReader.WriteCompleted 006b _DV_TXmlCompletedSignal 0070 TXmlSignal.Create 00a1 TObject.Free 00a7 @HandleFinally 00be @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 3C 00 0F 84 87 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 8D 55 F8 8B C3 8B 08 FF 51 54 8B 45 F8 50 6A 00 8B C3 8B 10 FF 52 50 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_112098_0 {
	meta:
		name = "TXmlStandardDomReader.WritePCDATA"
		size = 249
		refs = "0018 TXmlStandardDomReader.WritePCDATA 0027 @WStrEqual 0080 _DV_TXmlPCDATASignal 0085 TXmlSignal.Create 00a9 @WStrAsg 00c9 TObject.Free 00cf @HandleFinally 00e6 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 33 D2 E8 ?? ?? ?? ?? 0F 84 A4 00 00 00 83 7F 3C 00 0F 84 9A 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 8D 55 F8 8B C7 8B 08 FF 51 54 8B 45 F8 50 6A 00 8B C7 8B 10 FF 52 50 50 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 88 58 70 8B 45 FC 83 C0 74 8B D6 E8 ?? ?? ?? ?? 8B 47 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_112099_0 {
	meta:
		name = "TXmlStandardDomReader.WriteProcessingInstruction"
		size = 241
		refs = "0018 TXmlStandardDomReader.WriteProcessingInstruction 0071 _DV_TXmlProcessingInstructionSignal 0076 TXmlSignal.Create 0094 @WStrAsg 00c1 TObject.Free 00c7 @HandleFinally 00de @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 3C 00 0F 84 A1 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 8D 55 F8 8B C3 8B 08 FF 51 54 8B 45 F8 50 6A 00 8B C3 8B 10 FF 52 50 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 74 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 70 8B D7 E8 ?? ?? ?? ?? 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_112100_0 {
	meta:
		name = "TXmlStandardDomReader.WriteStartDocument"
		size = 267
		refs = "0018 TXmlStandardDomReader.WriteStartDocument 0071 _DV_TXmlStartDocumentSignal 0076 TXmlSignal.Create 0094 @WStrAsg 00d9 TObject.Free 00df @HandleFinally 00f6 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 3C 00 0F 84 B9 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 8D 55 F8 8B C3 8B 08 FF 51 54 8B 45 F8 50 6A 00 8B C3 8B 10 FF 52 50 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 74 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 7C 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 70 8B 55 0C E8 ?? ?? ?? ?? 0F B6 45 08 8B 55 FC 88 42 78 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_112103_0 {
	meta:
		name = "TXmlStandardDomReader.WriteStartPrefixMapping"
		size = 241
		refs = "0018 TXmlStandardDomReader.WriteStartPrefixMapping 0071 _DV_TXmlStartPrefixMappingSignal 0076 TXmlSignal.Create 0094 @WStrAsg 00c1 TObject.Free 00c7 @HandleFinally 00de @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 3C 00 0F 84 A1 00 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 8D 55 F8 8B C3 8B 08 FF 51 54 8B 45 F8 50 6A 00 8B C3 8B 10 FF 52 50 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 C0 70 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 83 C0 74 8B D7 E8 ?? ?? ?? ?? 8B 43 3C 8B 55 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_112104_0 {
	meta:
		name = "TXmlStandardDomReader.Parse"
		size = 336
		refs = "0013 TXmlStandardDomReader.Parse 001a _Dn_EAccessViolation 001f Exception.Create 0024 @RaiseExcept 0052 _DV_TDomCustomDocument 0057 @AsClass 00a3 @WStrEqual 00e4 @HandleAnyException 00f5 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B DA 89 45 FC 85 DB 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 FB 01 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B C3 8B 10 FF 92 B4 00 00 00 3C 08 75 41 8B 45 FC 89 58 44 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 50 5C 52 0F B6 50 60 52 8B 48 64 8B 50 50 8B 45 FC 8B 30 FF 96 88 00 00 00 33 C9 BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 96 80 00 00 00 EB 3E 8B 45 FC 33 D2 89 50 44 8B C3 8B 10 FF 92 C4 00 00 00 8B F0 8B 46 5C 33 D2 E8 ?? ?? ?? ?? 75 10 8B 56 50 8B 45 FC 8B 08 FF 91 8C 00 00 00 EB 0E 8B 56 5C 8B 45 FC 8B 08 FF 91 8C 00 00 00 8B D3 8B 45 FC 8B 08 FF 51 58 8B 45 FC 8B 10 FF 52 7C 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 5C C6 45 FB 00 E8 ?? ?? ?? ?? 0F B6 45 FB 5F 5E 5B 59 59 5D C3 B0 04 02 00 FF FF FF FF 1A 00 00 00 53 00 6F 00 75 00 72 00 63 00 65 00 20 00 6E 00 6F 00 64 00 65 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 00 00 02 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_112105_0 {
	meta:
		name = "TXmlCustomParser.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TComponent.Create 002b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 38 C6 46 3C 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_112109_0 {
	meta:
		name = "TXmlToDomParser.Create"
		size = 94
		refs = "000a @ClassCreate 0017 TXmlCustomParser.Create 002e TXmlToDomParser.SetKeepCDATASections 0037 TXmlToDomParser.SetKeepComments 0040 TXmlToDomParser.SetKeepEntityRefs 004b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 48 C7 46 40 00 10 00 00 B2 01 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? B2 01 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_112110_0 {
	meta:
		name = "TXmlToDomParser.CreateSubcomponents"
		size = 93
		refs = "0009 _DV_TXmlStandardDocReader 000e TXmlCustomReader.Create 001a _DV_TXmlWFTestHandler 001f TXmlWFTestHandler.Create 002b _DV_TXmlDomBuilder 0030 TXmlDomBuilder.Create"
	strings:
		$1 = { 53 56 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 48 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 4C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 44 C6 46 39 01 8B 53 38 8B 43 48 8B 08 FF 51 48 8B 43 48 8B 53 4C 89 50 3C 8B 43 4C 8B 53 44 89 50 3C 5E 5B C3 }
	condition:
		$1
}

rule function_112111_0 {
	meta:
		name = "TXmlToDomParser.GetKeepCDATASections"
		size = 8
	strings:
		$1 = { 8B 40 44 0F B6 40 3B C3 }
	condition:
		$1
}

rule function_112112_0 {
	meta:
		name = "TXmlToDomParser.GetKeepComments"
		size = 8
	strings:
		$1 = { 8B 40 44 0F B6 40 3C C3 }
	condition:
		$1
}

rule function_112113_0 {
	meta:
		name = "TXmlToDomParser.GetKeepEntityRefs"
		size = 8
	strings:
		$1 = { 8B 40 44 0F B6 40 3D C3 }
	condition:
		$1
}

rule function_112114_0 {
	meta:
		name = "TXmlToDomParser.SetBufferSize"
		size = 128
		refs = "0009 TXmlToDomParser.SetBufferSize 0010 _DV_ENot_Supported_Err 0015 Exception.Create 001a @RaiseExcept"
	strings:
		$1 = { 81 FA 00 04 00 00 7D 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 50 40 C3 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 42 00 75 00 66 00 66 00 65 00 72 00 53 00 69 00 7A 00 65 00 20 00 6D 00 75 00 73 00 74 00 20 00 6E 00 6F 00 74 00 20 00 62 00 65 00 20 00 6C 00 65 00 73 00 73 00 20 00 74 00 68 00 61 00 6E 00 20 00 31 00 30 00 32 00 34 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112136_0 {
	meta:
		name = "TDtdToDtdModelParser.SetBufferSize"
		size = 128
		refs = "0009 TDtdToDtdModelParser.SetBufferSize 0010 _DV_ENot_Supported_Err 0015 Exception.Create 001a @RaiseExcept"
	strings:
		$1 = { 81 FA 00 04 00 00 7D 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 50 40 C3 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 42 00 75 00 66 00 66 00 65 00 72 00 53 00 69 00 7A 00 65 00 20 00 6D 00 75 00 73 00 74 00 20 00 6E 00 6F 00 74 00 20 00 62 00 65 00 20 00 6C 00 65 00 73 00 73 00 20 00 74 00 68 00 61 00 6E 00 20 00 31 00 30 00 32 00 34 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112115_0 {
	meta:
		name = "TXmlToDomParser.SetKeepCDATASections"
		size = 7
	strings:
		$1 = { 8B 40 44 88 50 3B C3 }
	condition:
		$1
}

rule function_112116_0 {
	meta:
		name = "TXmlToDomParser.SetKeepComments"
		size = 7
	strings:
		$1 = { 8B 40 44 88 50 3C C3 }
	condition:
		$1
}

rule function_112117_0 {
	meta:
		name = "TXmlToDomParser.SetKeepEntityRefs"
		size = 7
	strings:
		$1 = { 8B 40 44 88 50 3D C3 }
	condition:
		$1
}

rule function_112118_0 {
	meta:
		name = "TDtdToDtdModelParser.SetDomImpl"
		size = 28
		refs = "000b TXmlCustomParser.SetDomImpl"
		altNames = "TXmlToDomParser.SetDomImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 48 8B 08 FF 51 48 5E 5B C3 }
	condition:
		$1
}

rule function_112119_0 {
	meta:
		name = "TDtdToDtdModelParser.SetErrorReportingEnabled"
		size = 28
		refs = "000b TXmlCustomParser.SetErrorReportingEnabled"
		altNames = "TXmlToDomParser.SetErrorReportingEnabled"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 46 48 8B 08 FF 51 4C 5E 5B C3 }
	condition:
		$1
}

rule function_112120_0 {
	meta:
		name = "TXmlToDomParser.SendErrorNotification"
		size = 152
		refs = "0018 _DV_TDomError 001f TDomError.CreateFromLocator 002a TXmlToDomParser.SendErrorNotification 006c TObject.Free 0072 @HandleFinally 0083 ET_FATAL_ERRORS"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 80 7B 3C 00 74 69 6A 00 6A 00 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 38 85 C0 74 0F 8B 4D F8 8B D3 8B 18 FF 53 74 88 45 FF EB 11 8B 45 F8 8B 10 FF 12 3C 02 0F 94 C0 34 01 88 45 FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 FA 9F 77 0A 0F B6 D2 0F A3 15 ?? ?? ?? ?? 0F 92 C0 34 01 88 45 FF 0F B6 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_112121_0 {
	meta:
		name = "TXmlToDomParser.ParseFragment"
		size = 328
		refs = "000b TXmlToDomParser.ParseFragment 0012 _Dn_EAccessViolation 0017 Exception.Create 001c @RaiseExcept 005b _DV_EParserException"
	strings:
		$1 = { 53 56 8B F2 8B D8 85 C9 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 38 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 44 89 48 40 8B D6 8B 43 48 8B 08 FF 91 9C 00 00 00 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 2A 00 00 00 52 00 65 00 66 00 65 00 72 00 65 00 6E 00 63 00 65 00 20 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 20 00 66 00 72 00 61 00 67 00 6D 00 65 00 6E 00 74 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 44 00 4F 00 4D 00 20 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 73 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112122_0 {
	meta:
		name = "TXmlToDomParser.Parse"
		size = 500
		refs = "0010 TXmlToDomParser.Parse 0017 _Dn_EAccessViolation 001c Exception.Create 0021 @RaiseExcept 006c _DV_EParserException 0081 IsSupportedXmlVersion 00ae _DV_TDomDocument 00b3 TDomDocument.Create 00d5 @WStrAsg 0119 @HandleAnyException 0121 TObject.Free 0126 @RaiseAgain 012b @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 38 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BE 09 01 00 00 00 75 11 0F B6 86 08 01 00 00 84 C0 74 25 04 FE 2C 02 72 1F B2 4D 8B C3 8B 08 FF 51 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 86 14 01 00 00 E8 ?? ?? ?? ?? 84 C0 75 1F B2 9D 8B C3 8B 08 FF 51 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4B 38 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 83 C0 48 8B 96 00 01 00 00 E8 ?? ?? ?? ?? 8B 43 44 8B 55 FC 89 50 40 8B 43 48 8B D6 8B 08 FF 91 98 00 00 00 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 64 8F 05 00 00 00 00 83 C4 08 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 49 00 6E 00 70 00 75 00 74 00 20 00 73 00 6F 00 75 00 72 00 63 00 65 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 44 00 4F 00 4D 00 20 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 73 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112123_0 {
	meta:
		name = "TXmlToDomParser.ParseFile"
		size = 516
		refs = "0019 TXmlToDomParser.ParseFile 002f _Dn_EAccessViolation 0034 Exception.Create 0039 @RaiseExcept 0044 _Dn_TFileStream 0049 TFileStream.Create 0079 FilenameToUriWideStr 00a7 _DV_TXmlInputSource 00ac TXmlInputSource.Create 00be @HandleOnException 00c6 _DV_ENot_Supported_Err 00ce _Dn_EConvertError 00e8 _DV_EParserException 0119 @DoneExcept 014a TObject.Free 0150 @HandleFinally 0184 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B D9 8B F2 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 0F B6 15 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 6A 00 8B 45 FC 50 8B 45 F8 8B 40 40 50 6A 00 53 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 5A 59 59 64 89 10 EB 60 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 99 8B 45 F8 8B 08 FF 51 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 20 B2 33 8B 45 F8 8B 08 FF 51 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F0 8B 45 F8 8B 08 FF 51 58 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 46 00 69 00 6C 00 65 00 6E 00 61 00 6D 00 65 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 73 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112124_0 {
	meta:
		name = "TXmlToDomParser.ParseResource"
		size = 564
		refs = "001d @WStrAddRef 002d TXmlToDomParser.ParseResource 005c _DV_EParserException 0061 Exception.Create 0066 @RaiseExcept 0081 ResolveRelativeUriWideStr 00a7 @UStrFromWStr 00ce _DV_TXmlInputSource 00d3 TXmlInputSource.Create 00e5 @HandleOnException 00ed _DV_ENot_Supported_Err 00f5 _Dn_EConvertError 0140 @DoneExcept 0171 TObject.Free 0177 @HandleFinally 01ab @UStrClr 01b8 @WStrArrayClr 01c0 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E4 89 5D F8 89 4D FC 8B DA 89 45 F4 8D 45 FC E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 10 50 8D 4D FC 8B 45 F4 8B 40 38 8B D3 8B 30 FF 56 78 89 45 E8 83 7D E8 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 10 8B C3 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8B 45 F8 50 68 00 10 00 00 8D 45 E4 8B 55 0C E8 ?? ?? ?? ?? 8B 45 E4 50 0F B6 45 08 50 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 01 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 5A 59 59 64 89 10 EB 60 E9 ?? ?? ?? ?? 02 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 99 8B 45 F4 8B 08 FF 51 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 20 B2 33 8B 45 F4 8B 08 FF 51 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 EC 8B 45 F4 8B 08 FF 51 58 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 10 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B 45 F0 5F 5E 5B 8B E5 5D C2 0C 00 B0 04 02 00 FF FF FF FF 13 00 00 00 4E 00 6F 00 20 00 69 00 6E 00 70 00 75 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 73 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112125_0 {
	meta:
		name = "TXmlToDomParser.ParseWithContext"
		size = 1348
		refs = "001c TXmlToDomParser.ParseWithContext 0032 _Dn_EAccessViolation 0037 Exception.Create 003c @RaiseExcept 0086 _DV_TDomDocument 008b @IsClass 00a9 _DV_EParserException 00c7 _DV_TDomDocumentFragment 00cc TDomDocumentFragment.Create 0146 _DV_TDomElement 016c _DV_EHierarchy_Request_Err 028c TObject.Free 0292 @HandleFinally 0345 @AsClass 0355 @WStrAsg 036a @WStrFromUStr 03c2 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D FC 8B F2 8B F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7F 38 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 BE 08 01 00 00 03 74 36 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 80 FB 03 74 1F B2 4D 8B C7 8B 08 FF 51 50 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 8C 00 00 00 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 4D F4 8B D6 8B C7 8B 38 FF 57 4C 8B 45 F4 8B 10 FF 92 94 00 00 00 89 45 F8 0F B6 C3 83 F8 04 0F 87 8D 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 F4 8B 45 FC 8B 08 FF 91 D8 00 00 00 E9 5F 02 00 00 8B 45 FC 8B 10 FF 92 B8 00 00 00 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 27 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 AC 00 00 00 85 C0 74 14 8B C8 8B 55 F4 8B C6 8B 18 FF 93 40 01 00 00 E9 F7 01 00 00 8B 55 F4 8B C6 8B 08 FF 91 D8 00 00 00 E9 E5 01 00 00 8B 45 FC 8B 10 FF 92 B8 00 00 00 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 27 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F4 8B C6 8B 18 FF 93 40 01 00 00 E9 8B 01 00 00 8B 45 FC 8B 10 FF 92 B8 00 00 00 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 27 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B 55 F4 8B C6 8B 18 FF 93 50 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 B8 00 00 00 85 C0 75 08 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E1 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 3A 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 9C 00 00 00 8B D8 85 DB 74 26 8B C3 8B 10 FF 92 BC 00 00 00 8B F8 8B D3 8B 45 FC 8B 08 FF 91 4C 01 00 00 8B C3 E8 ?? ?? ?? ?? 8B DF 85 DB 75 DA 8B 55 F4 8B 45 FC 8B 08 FF 91 D8 00 00 00 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 59 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 43 48 8B 96 00 01 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 8B 08 FF 51 20 8B 55 F0 8D 43 50 E8 ?? ?? ?? ?? 8D 43 64 8B 96 14 01 00 00 E8 ?? ?? ?? ?? 8D 43 5C 8B 96 0C 01 00 00 E8 ?? ?? ?? ?? 0F B6 86 10 01 00 00 88 43 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 49 00 6E 00 70 00 75 00 74 00 20 00 73 00 6F 00 75 00 72 00 63 00 65 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 44 00 4F 00 4D 00 20 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 43 00 6F 00 6E 00 74 00 65 00 78 00 74 00 20 00 6E 00 6F 00 64 00 65 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 58 00 4D 00 4C 00 20 00 64 00 65 00 63 00 6C 00 61 00 72 00 61 00 74 00 69 00 6F 00 6E 00 20 00 6E 00 6F 00 74 00 20 00 61 00 6C 00 6C 00 6F 00 77 00 65 00 64 00 20 00 68 00 65 00 72 00 65 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 48 00 69 00 65 00 72 00 61 00 72 00 63 00 68 00 79 00 20 00 72 00 65 00 71 00 75 00 65 00 73 00 74 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112126_0 {
	meta:
		name = "TDtdToDtdModelParser.Create"
		size = 67
		refs = "000a @ClassCreate 0017 TXmlCustomParser.Create 0030 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 48 C7 46 40 00 10 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_112127_0 {
	meta:
		name = "TDtdToDtdModelParser.CreateSubcomponents"
		size = 88
		refs = "0009 _DV_TXmlStandardDtdReader 000e TXmlStandardDtdReader.Create 0026 _DV_TXmlWFTestHandler 002b TXmlWFTestHandler.Create 0037 _DV_TXmlDtdModelBuilder 003c TXmlDtdModelBuilder.Create"
	strings:
		$1 = { 53 56 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 48 8B 53 38 8B C6 8B 08 FF 51 48 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 4C 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 44 8B 43 48 8B 53 4C 89 50 3C 8B 43 4C 8B 53 44 89 50 3C 5E 5B C3 }
	condition:
		$1
}

rule function_112128_0 {
	meta:
		name = "TDtdToDtdModelParser.GetTargetDtdModel"
		size = 7
	strings:
		$1 = { 8B 40 44 8B 40 38 C3 }
	condition:
		$1
}

rule function_112129_0 {
	meta:
		name = "TDtdToDtdModelParser.GetXmlErrorDetected"
		size = 9
	strings:
		$1 = { 8B 40 48 8B 10 FF 52 50 C3 }
	condition:
		$1
}

rule function_112130_0 {
	meta:
		name = "TDtdToDtdModelParser.GetXmlFatalErrorDetected"
		size = 9
	strings:
		$1 = { 8B 40 48 8B 10 FF 52 54 C3 }
	condition:
		$1
}

rule function_112131_0 {
	meta:
		name = "TDtdToDtdModelParser.ParseDocTypeDecl"
		size = 1380
		refs = "002a TDtdToDtdModelParser.ParseDocTypeDecl 0042 _Dn_EAccessViolation 0047 Exception.Create 004c @RaiseExcept 00be _DV_EWrong_DOM_Implementation_Err 00de @WStrLAsg 0146 @WStrEqual 01a9 _DV_TXmlSimpleInputSource 01ae TXmlSimpleInputSource.Create 01e6 TObject.Free 01ec @HandleFinally 0250 IsUriURI_referenceWideStr 026d Pos 02b9 ResolveRelativeUriWideStr 0301 _DV_TXmlInputSource 0306 TXmlInputSource.Create 03c2 @HandleAnyException 03d6 @DoneExcept 03f0 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D D4 89 5D FC 89 5D F8 89 5D F4 89 5D F0 88 4D E7 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D E8 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 83 78 38 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 4C 85 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 92 C4 00 00 00 85 C0 74 44 8B 45 E8 8B 10 FF 92 C4 00 00 00 8B 40 4C 8B 55 EC 3B 42 38 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 92 C4 00 00 00 8B 50 48 8D 45 FC E8 ?? ?? ?? ?? EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 68 8B 45 E8 8B 10 FF 92 8C 00 00 00 85 C0 74 11 8B 45 E8 8B 10 FF 92 8C 00 00 00 0F B6 58 60 EB 02 B3 02 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 D4 8B 45 E8 8B 08 FF 91 58 01 00 00 8B 45 D4 33 D2 E8 ?? ?? ?? ?? 75 14 8B 45 EC 8B 10 FF 52 4C B2 07 8B 08 FF 51 04 E9 92 00 00 00 6A 00 8B 45 FC 50 8B 45 EC 8B 40 40 50 8B 45 E8 FF 70 54 FF 70 50 8B 45 E8 FF 70 4C FF 70 48 8B 45 E8 FF 70 44 FF 70 40 6A 00 6A 00 8B 45 E8 FF 70 5C FF 70 58 8D 55 D0 8B 45 E8 8B 08 FF 91 58 01 00 00 8B 4D D0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 E7 50 8B CB 8B 55 D8 8B 45 EC 8B 18 FF 53 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 EC 8B 10 FF 52 4C 0F B6 40 19 2C 05 74 08 2C 02 0F 85 AD 01 00 00 8D 55 F8 8B 45 E8 8B 08 FF 91 60 01 00 00 8D 55 F4 8B 45 E8 8B 08 FF 91 64 01 00 00 8B 45 F8 33 D2 E8 ?? ?? ?? ?? 75 10 8B 45 F4 33 D2 E8 ?? ?? ?? ?? 0F 84 58 01 00 00 80 7D E7 00 0F 84 2F 01 00 00 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 0C B2 07 8B 45 EC 8B 08 FF 51 50 EB 1B 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 0A B2 06 8B 45 EC 8B 08 FF 51 50 8D 45 F4 50 8D 4D F8 8B 45 EC 8B 40 38 8B 55 FC 8B 18 FF 53 78 89 45 E0 83 7D E0 00 0F 84 BF 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 50 8B 45 F0 50 8B 45 EC 8B 40 40 50 6A 00 0F B6 45 08 50 8B 45 E8 FF 70 54 FF 70 50 8B 45 E8 FF 70 4C FF 70 48 8B 45 E8 FF 70 44 FF 70 40 6A 00 6A 00 8B 45 E8 FF 70 5C FF 70 58 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 DC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 DC 8B 45 EC 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 B2 2E 8B 45 EC 8B 08 FF 51 50 8B 45 EC 8B 10 FF 52 4C B2 04 8B 08 FF 51 04 EB 3C 8B 45 EC 8B 10 FF 52 4C 80 78 19 05 75 2E 8B 45 EC 8B 10 FF 52 4C B2 02 8B 08 FF 51 04 EB 1D 8B 45 EC 8B 10 FF 52 4C 80 78 19 05 75 0F 8B 45 EC 8B 10 FF 52 4C B2 06 8B 08 FF 51 04 33 C0 5A 59 59 64 89 10 EB 19 E9 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 4C B2 04 8B 08 FF 51 04 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 28 00 00 00 44 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 20 00 74 00 79 00 70 00 65 00 20 00 64 00 65 00 63 00 6C 00 61 00 72 00 61 00 74 00 69 00 6F 00 6E 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 44 00 4F 00 4D 00 20 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 54 00 61 00 72 00 67 00 65 00 74 00 20 00 44 00 54 00 44 00 20 00 6D 00 6F 00 64 00 65 00 6C 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 1F 00 00 00 57 00 72 00 6F 00 6E 00 67 00 20 00 44 00 4F 00 4D 00 20 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 02 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_112132_0 {
	meta:
		name = "TDtdToDtdModelParser.ParseExtSubset"
		size = 300
		refs = "0008 TDtdToDtdModelParser.ParseExtSubset 000f _Dn_EAccessViolation 0014 Exception.Create 0019 @RaiseExcept 0044 TDtdToDtdModelParser.GetXmlErrorDetected 004f TDtdToDtdModelParser.GetXmlFatalErrorDetected 005f _DV_EParserException"
	strings:
		$1 = { 53 8B D8 85 D2 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 38 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 48 8B 08 FF 51 74 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 49 00 6E 00 70 00 75 00 74 00 20 00 73 00 6F 00 75 00 72 00 63 00 65 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 44 00 4F 00 4D 00 20 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 73 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112133_0 {
	meta:
		name = "TDtdToDtdModelParser.ParseIntSubset"
		size = 324
		refs = "0010 TDtdToDtdModelParser.ParseIntSubset 0017 _Dn_EAccessViolation 001c Exception.Create 0021 @RaiseExcept 0055 TDtdToDtdModelParser.GetXmlErrorDetected 0060 TDtdToDtdModelParser.GetXmlFatalErrorDetected 0070 _DV_EParserException"
	strings:
		$1 = { 55 8B EC 51 53 56 88 4D FF 8B D8 85 D2 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 38 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 08 50 0F B6 4D FF 8B 43 48 8B 30 FF 56 78 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 59 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 49 00 6E 00 70 00 75 00 74 00 20 00 73 00 6F 00 75 00 72 00 63 00 65 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 44 00 4F 00 4D 00 20 00 69 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 50 00 61 00 72 00 73 00 65 00 72 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112134_0 {
	meta:
		name = "TDtdToDtdModelParser.Prepare"
		size = 36
	strings:
		$1 = { 53 8B D8 8B 43 48 8B 10 FF 52 7C 8B C3 8B 10 FF 52 4C 85 C0 74 0C 8B C3 8B 10 FF 52 4C 8B 10 FF 52 08 5B C3 }
	condition:
		$1
}

rule function_112135_0 {
	meta:
		name = "TDtdToDtdModelParser.SendErrorNotification"
		size = 156
		refs = "0018 _DV_TDomError 001f TDomError.CreateFromLocator 002a TDtdToDtdModelParser.SendErrorNotification 0070 TObject.Free 0076 @HandleFinally 0087 ET_FATAL_ERRORS"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B D8 80 7B 3C 00 74 6D 6A 00 6A 00 6A 00 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 43 38 85 C0 74 0F 8B 4D F8 8B D3 8B 18 FF 53 74 88 45 FF EB 15 8B 45 F8 8B 10 FF 12 3C 02 75 06 C6 45 FF 00 EB 04 C6 45 FF 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 FA 9F 77 0A 0F B6 D2 0F A3 15 ?? ?? ?? ?? 0F 92 C0 34 01 88 45 FF 0F B6 45 FF 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_112139_0 {
	meta:
		name = "TDtdToDtdModelParser.SetTargetDtdModel"
		size = 16
	strings:
		$1 = { 8B 48 44 3B 51 38 74 07 8B C1 8B 08 FF 51 50 C3 }
	condition:
		$1
}

rule function_112140_0 {
	meta:
		name = "TDomToXmlParser.Create"
		size = 171
		refs = "000e @ClassCreate 001c TXmlCustomParser.Create 0025 _DV_TXmlStandardDomReader 002a TXmlStandardDomReader.Create 0036 _DV_TXmlStreamBuilder 003b TXmlStreamBuilder.Create 0052 _DV_TXmlWFTestHandler 0057 TXmlWFTestHandler.Create 0096 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 40 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 5E 48 8B C3 B2 01 8B 08 FF 51 4C 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 5E 50 8B 46 48 89 43 3C 8B 56 38 8B 46 40 8B 08 FF 51 48 8B 46 40 C6 40 48 01 8B 56 48 89 50 3C C7 46 44 00 10 00 00 C6 46 4C 00 C6 46 54 02 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_112141_0 {
	meta:
		name = "TDomToXmlParser.GetIgnoreUnspecified"
		size = 8
	strings:
		$1 = { 8B 40 40 0F B6 40 48 C3 }
	condition:
		$1
}

rule function_112142_0 {
	meta:
		name = "TDomToXmlParser.GetIncludeXmlDecl"
		size = 8
	strings:
		$1 = { 8B 40 48 0F B6 40 50 C3 }
	condition:
		$1
}

rule function_112143_0 {
	meta:
		name = "TDomToXmlParser.GetOnAfterWrite"
		size = 15
	strings:
		$1 = { 8B 40 48 8B 48 68 89 0A 8B 48 6C 89 4A 04 C3 }
	condition:
		$1
}

rule function_112144_0 {
	meta:
		name = "TDomToXmlParser.GetOnBeforeWrite"
		size = 15
	strings:
		$1 = { 8B 40 48 8B 48 70 89 0A 8B 48 74 89 4A 04 C3 }
	condition:
		$1
}

rule function_112145_0 {
	meta:
		name = "TDomToXmlParser.GetStrictErrorChecking"
		size = 13
	strings:
		$1 = { 8B 50 40 8B 52 3C 3B 50 50 0F 94 C0 C3 }
	condition:
		$1
}

rule function_112146_0 {
	meta:
		name = "TDomToXmlParser.GetUseByteOrderMark"
		size = 10
	strings:
		$1 = { 8B 40 48 0F B6 50 5C 8B C2 C3 }
	condition:
		$1
}

rule function_112147_0 {
	meta:
		name = "TDomToXmlParser.SetBufferSize"
		size = 128
		refs = "0009 TDomToXmlParser.SetBufferSize 0010 _DV_ENot_Supported_Err 0015 Exception.Create 001a @RaiseExcept"
	strings:
		$1 = { 81 FA 00 04 00 00 7D 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 50 44 C3 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 42 00 75 00 66 00 66 00 65 00 72 00 53 00 69 00 7A 00 65 00 20 00 6D 00 75 00 73 00 74 00 20 00 6E 00 6F 00 74 00 20 00 62 00 65 00 20 00 6C 00 65 00 73 00 73 00 20 00 74 00 68 00 61 00 6E 00 20 00 31 00 30 00 32 00 34 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112148_0 {
	meta:
		name = "TDomToXmlParser.SetDomImpl"
		size = 28
		refs = "000b TXmlCustomParser.SetDomImpl"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 40 8B 08 FF 51 48 5E 5B C3 }
	condition:
		$1
}

rule function_112149_0 {
	meta:
		name = "TDomToXmlParser.SetErrorReportingEnabled"
		size = 28
		refs = "000b TXmlCustomParser.SetErrorReportingEnabled"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 46 40 8B 08 FF 51 4C 5E 5B C3 }
	condition:
		$1
}

rule function_112150_0 {
	meta:
		name = "TDomToXmlParser.SetIgnoreUnspecified"
		size = 7
	strings:
		$1 = { 8B 40 40 88 50 48 C3 }
	condition:
		$1
}

rule function_112151_0 {
	meta:
		name = "TDomToXmlParser.SetIncludeXmlDecl"
		size = 13
	strings:
		$1 = { 56 8B F0 8B 46 48 8B 08 FF 51 4C 5E C3 }
	condition:
		$1
}

rule function_112152_0 {
	meta:
		name = "TDomToXmlParser.SetOnAfterWrite"
		size = 22
	strings:
		$1 = { 55 8B EC 8B 40 48 8B 55 08 89 50 68 8B 55 0C 89 50 6C 5D C2 08 00 }
	condition:
		$1
}

rule function_112153_0 {
	meta:
		name = "TDomToXmlParser.SetOnBeforeWrite"
		size = 22
	strings:
		$1 = { 55 8B EC 8B 40 48 8B 55 08 89 50 70 8B 55 0C 89 50 74 5D C2 08 00 }
	condition:
		$1
}

rule function_112154_0 {
	meta:
		name = "TDomToXmlParser.SetStrictErrorChecking"
		size = 24
	strings:
		$1 = { 84 D2 74 0A 8B 50 40 8B 40 50 89 42 3C C3 8B 50 40 8B 40 48 89 42 3C C3 }
	condition:
		$1
}

rule function_112155_0 {
	meta:
		name = "TDomToXmlParser.SetUseActiveCodePage"
		size = 4
	strings:
		$1 = { 88 50 4C C3 }
	condition:
		$1
}

rule function_112156_0 {
	meta:
		name = "TDomToXmlParser.SetUseByteOrderMark"
		size = 18
	strings:
		$1 = { 51 88 14 24 0F B6 14 24 8B 40 48 8B 08 FF 51 50 5A C3 }
	condition:
		$1
}

rule function_112157_0 {
	meta:
		name = "TDomToXmlParser.SetWriteLFOption"
		size = 4
	strings:
		$1 = { 88 50 54 C3 }
	condition:
		$1
}

rule function_112158_0 {
	meta:
		name = "TDomToXmlParser.WriteToStream"
		size = 588
		refs = "001c TDomToXmlParser.WriteToStream 0037 _Dn_EAccessViolation 003c Exception.Create 0041 @RaiseExcept 0097 _Dn_TEncodingRepository 009c TEncodingRepository.SystemEncodingName 00aa TXmlStreamBuilder.SetDefaultEncoding 00c9 _DV_TXmlOutputSource 00ce TXmlOutputSource.Create 00ee TXmlOutputSource.SetWriteLFOption 00fc TXmlStreamBuilder.SetOutputSource 0131 TObject.Free 0137 @HandleFinally 014e @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 8B F9 8B DA 89 45 FC 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 38 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 50 38 8B 45 FC 8B 40 40 8B 08 FF 51 48 8B 45 FC 80 78 4C 00 74 1D 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 40 48 E8 ?? ?? ?? ?? EB 0D 8B 45 FC 8B 40 48 8B D7 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 44 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 0F B6 50 54 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 48 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B D3 8B 08 FF 91 98 00 00 00 88 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 48 33 D2 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 44 00 4F 00 4D 00 49 00 6D 00 70 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 44 00 65 00 73 00 74 00 69 00 6E 00 61 00 74 00 69 00 6F 00 6E 00 20 00 73 00 74 00 72 00 65 00 61 00 6D 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 53 00 6F 00 75 00 72 00 63 00 65 00 20 00 6E 00 6F 00 64 00 65 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112159_0 {
	meta:
		name = "TDomToXmlParser.WriteToString"
		size = 203
		refs = "0018 @UStrAddRef 002b TDomToXmlParser.WriteToString 003a _Dn_TStringStream 003f TStringStream.Create 006e TStringStream.GetDataString 0079 @UStrAsg 008e TObject.Free 0094 @HandleFinally 00ab @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 50 8B 4D FC 8B D6 8B C3 8B 18 FF 53 64 88 45 FB 8D 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 FB 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_112160_0 {
	meta:
		name = "TDomToXmlParser.WriteToWideString"
		size = 220
		refs = "0023 TDomToXmlParser.WriteToWideString 0032 _Dn_TUtilsWideStringStream 0037 TUtilsWideStringStream.Create 0068 TUtilsWideStringStream.GetDataString 0073 @WStrAsg 0088 TObject.Free 008e @HandleFinally 00a5 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 89 4D FC 8B F2 8B D8 8B 45 FC 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 50 B9 ?? ?? ?? ?? 8B D6 8B C3 8B 18 FF 53 64 88 45 FB 8D 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 54 00 46 00 2D 00 31 00 36 00 4C 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_112161_0 {
	meta:
		name = "XPathFunctionLast"
		size = 276
		refs = "0010 XPathFunctionLast 0029 _DV_EXPath_Invalid_Function_Call_Err 002e Exception.CreateFmt 0033 @RaiseExcept 0049 Exception.Create 0062 _DV_TDomXPathNumberResult 0067 TDomXPathNumberResult.Create"
	strings:
		$1 = { 55 8B EC 83 C4 F4 8B 45 08 83 78 08 00 7E 28 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 F9 01 7D 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 4D F4 DB 45 F4 83 C4 F8 DD 1C 24 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 61 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 6F 00 6E 00 74 00 65 00 78 00 74 00 20 00 73 00 69 00 7A 00 65 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112162_0 {
	meta:
		name = "XPathFunctionPosition"
		size = 292
		refs = "0010 XPathFunctionPosition 0029 _DV_EXPath_Invalid_Function_Call_Err 002e Exception.CreateFmt 0033 @RaiseExcept 0049 Exception.Create 0060 _DV_TDomXPathNumberResult 0067 TDomXPathNumberResult.Create"
	strings:
		$1 = { 55 8B EC 83 C4 F4 8B 45 08 83 78 08 00 7E 28 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 FA 01 7D 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 55 F4 DB 45 F4 83 C4 F8 DD 1C 24 9B A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 49 00 6E 00 76 00 61 00 6C 00 69 00 64 00 20 00 63 00 6F 00 6E 00 74 00 65 00 78 00 74 00 20 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112163_0 {
	meta:
		name = "XPathFunctionCount"
		size = 516
		refs = "001f XPathFunctionCount 0038 _DV_EXPath_Invalid_Function_Call_Err 003d Exception.CreateFmt 0042 @RaiseExcept 004f TList.Get 0072 _DV_TDomXPathNodeSetResult 0077 @IsClass 00c2 _DV_TDomXPathNumberResult 00c7 TDomXPathNumberResult.Create 00df TObject.Free 00e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 33 C0 89 45 F8 83 7B 08 01 74 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 18 FF 53 20 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 92 8C 00 00 00 89 45 E8 DB 45 E8 83 C4 F8 DD 1C 24 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 6F 00 75 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 4A 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 3A 00 20 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 65 00 20 00 74 00 6F 00 20 00 6E 00 6F 00 64 00 65 00 2D 00 73 00 65 00 74 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112164_0 {
	meta:
		name = "AddId"
		size = 256
		refs = "0017 AddId 004a IsXmlWhiteSpace 009b @WStrCopy 00ed @WStrClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D FC 8B FA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 85 C0 74 07 83 E8 04 8B 00 D1 E8 89 45 F4 8B 45 F4 40 89 45 F0 8B 75 F4 85 F6 7E 1C BB 01 00 00 00 0F B7 44 5F FE E8 ?? ?? ?? ?? 84 C0 75 05 89 5D F0 EB 04 43 4E 75 E9 8B 45 F0 3B 45 F4 7F 79 8B 45 F4 89 45 EC 8B 5D F0 8B 75 F4 2B F3 7C 18 46 0F B7 44 5F FE E8 ?? ?? ?? ?? 84 C0 74 05 89 5D EC EB 04 43 4E 75 E9 8D 45 FC 50 8B 4D EC 2B 4D F0 8B 55 F0 8B C7 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 8B 08 FF 51 34 8B 45 F4 40 89 45 F0 8B 5D EC 43 8B 75 F4 2B F3 7C 18 46 0F B7 44 5F FE E8 ?? ?? ?? ?? 84 C0 75 05 89 5D F0 EB 04 43 4E 75 E9 8B 45 F0 3B 45 F4 7E 87 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_112165_0 {
	meta:
		name = "XPathFunctionId"
		size = 932
		refs = "0022 XPathFunctionId 004c _DV_EXPath_Invalid_Function_Call_Err 0051 Exception.CreateFmt 0056 @RaiseExcept 00ca TList.Get 00ec _Dn_TUtilsWideStringList 00f1 TObject.Create 0105 TUtilsWideStringList.SetSorted 010e _DV_TDomXPathNodeSetResult 0113 @IsClass 014f AddId 017a TDomXPathNodeSetResult.Create 019c _DV_TDomDocumentNS 01a1 @AsClass 0200 @HandleAnyException 0208 TObject.Free 020d @RaiseAgain 0212 @DoneExcept 0235 @HandleFinally 0251 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D D8 89 5D DC 89 5D E0 8B F9 8B F2 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 08 01 74 28 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 45 E4 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 75 28 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 45 E4 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 8C 00 00 00 85 C0 75 28 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 45 E4 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 EC 57 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CE 8B 55 FC 8B 18 FF 53 20 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC C6 40 0C 00 B2 01 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3E 8B 45 F0 8B 10 FF 92 8C 00 00 00 8B D8 4B 85 DB 7C 45 43 33 F6 8B D6 8B 45 F0 8B 08 FF 91 88 00 00 00 8D 55 E0 8B 08 FF 91 CC 00 00 00 8B 55 E0 8B 45 EC E8 ?? ?? ?? ?? 46 4B 75 D9 EB 19 8D 55 DC 8B 45 F0 8B 08 FF 91 84 00 00 00 8B 55 DC 8B 45 EC E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 10 FF 92 8C 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 EC 8B 10 FF 52 1C 8B D8 4B 85 DB 7C 33 43 33 F6 8D 4D D8 8B D6 8B 45 EC 8B 38 FF 57 14 8B 55 D8 8B 45 F4 8B 08 FF 91 90 01 00 00 85 C0 74 0D 8B D0 8B 45 F8 8B 08 FF 91 A0 00 00 00 46 4B 75 D0 8B 45 F8 8B 10 FF 92 B4 00 00 00 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 43 00 6F 00 6E 00 74 00 65 00 78 00 74 00 20 00 6E 00 6F 00 64 00 65 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 20 00 66 00 6F 00 72 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 37 00 00 00 43 00 6F 00 6E 00 74 00 65 00 78 00 74 00 20 00 6E 00 6F 00 64 00 65 00 20 00 77 00 69 00 74 00 68 00 20 00 6E 00 6F 00 20 00 6F 00 77 00 6E 00 65 00 72 00 20 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 20 00 66 00 6F 00 72 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112166_0 {
	meta:
		name = "XPathFunctionLocalName"
		size = 720
		refs = "001c XPathFunctionLocalName 004b _DV_EXPath_Invalid_Function_Call_Err 0050 Exception.CreateFmt 0055 @RaiseExcept 0062 _DV_TDomXPathNodeSetResult 0067 TDomXPathNodeSetResult.Create 0086 TList.Get 00ae @IsClass 00fc _DV_TDomXPathStringResult 0101 TDomXPathStringResult.Create 0119 _DV_TDomProcessingInstruction 0182 TObject.Free 0188 @HandleFinally 019f @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D FC 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 83 7B 08 01 7E 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 08 00 75 1E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B D6 8B 45 F4 8B 08 FF 91 A0 00 00 00 EB 19 8B 45 FC 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 18 FF 53 20 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 08 FF 51 78 8B 45 F4 8B 10 FF 92 8C 00 00 00 85 C0 75 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 67 33 D2 8B 45 F4 8B 08 FF 91 88 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 33 D2 8B 45 F4 8B 08 FF 91 88 00 00 00 8B 48 3C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 2A 33 D2 8B 45 F4 8B 08 FF 91 88 00 00 00 8D 55 E8 8B 08 FF 91 A4 00 00 00 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6C 00 6F 00 63 00 61 00 6C 00 2D 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 4A 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 3A 00 20 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 65 00 20 00 74 00 6F 00 20 00 6E 00 6F 00 64 00 65 00 2D 00 73 00 65 00 74 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112167_0 {
	meta:
		name = "XPathFunctionNamespaceUri"
		size = 664
		refs = "001c XPathFunctionNamespaceUri 004b _DV_EXPath_Invalid_Function_Call_Err 0050 Exception.CreateFmt 0055 @RaiseExcept 0062 _DV_TDomXPathNodeSetResult 0067 TDomXPathNodeSetResult.Create 0086 TList.Get 00ae @IsClass 00fc _DV_TDomXPathStringResult 0101 TDomXPathStringResult.Create 0145 TObject.Free 014b @HandleFinally 0162 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D FC 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 83 7B 08 01 7E 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 08 00 75 1E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B D6 8B 45 F4 8B 08 FF 91 A0 00 00 00 EB 19 8B 45 FC 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 18 FF 53 20 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 08 FF 51 78 8B 45 F4 8B 10 FF 92 8C 00 00 00 85 C0 75 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 2A 33 D2 8B 45 F4 8B 08 FF 91 88 00 00 00 8D 55 E8 8B 08 FF 91 A8 00 00 00 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 2D 00 75 00 72 00 69 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 4A 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 3A 00 20 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 65 00 20 00 74 00 6F 00 20 00 6E 00 6F 00 64 00 65 00 2D 00 73 00 65 00 74 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112168_0 {
	meta:
		name = "XPathFunctionName"
		size = 648
		refs = "001c XPathFunctionName 004b _DV_EXPath_Invalid_Function_Call_Err 0050 Exception.CreateFmt 0055 @RaiseExcept 0062 _DV_TDomXPathNodeSetResult 0067 TDomXPathNodeSetResult.Create 0086 TList.Get 00ae @IsClass 00fc _DV_TDomXPathStringResult 0101 TDomXPathStringResult.Create 0145 TObject.Free 014b @HandleFinally 0162 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 4D FC 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 83 7B 08 01 7E 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 08 00 75 1E B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B D6 8B 45 F4 8B 08 FF 91 A0 00 00 00 EB 19 8B 45 FC 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 18 FF 53 20 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B 45 F4 8B 08 FF 51 78 8B 45 F4 8B 10 FF 92 8C 00 00 00 85 C0 75 13 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 2A 33 D2 8B 45 F4 8B 08 FF 91 88 00 00 00 8D 55 E8 8B 08 FF 91 90 00 00 00 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 4A 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 3A 00 20 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 65 00 20 00 74 00 6F 00 20 00 6E 00 6F 00 64 00 65 00 2D 00 73 00 65 00 74 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112169_0 {
	meta:
		name = "XPathFunctionString"
		size = 248
		refs = "001a XPathFunctionString 0033 _DV_EXPath_Invalid_Function_Call_Err 0038 Exception.CreateFmt 003d @RaiseExcept 004a _DV_TDomXPathNodeSetResult 004f TDomXPathNodeSetResult.Create 006c TList.Get 007e XPathStringFunc"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 83 7B 08 01 7E 28 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 08 00 75 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 91 A0 00 00 00 EB 18 8B 45 FC 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 18 FF 53 20 8B D8 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112170_0 {
	meta:
		name = "XPathFunctionConcat"
		size = 620
		refs = "001c XPathFunctionConcat 0049 _DV_EXPath_Invalid_Function_Call_Err 004e Exception.CreateFmt 0053 @RaiseExcept 005b @WStrClr 0084 TList.Get 00a9 _DV_TDomXPathStringResult 00ae @IsClass 00f3 @WStrCat 0108 TObject.Free 010e @HandleFinally 012b TDomXPathStringResult.Create"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 33 DB 89 5D D8 89 5D FC 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 83 78 08 02 7D 28 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8D 45 DC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 08 48 85 C0 0F 8C B2 00 00 00 40 89 45 E4 C7 45 E8 00 00 00 00 8B 45 F0 50 8B 55 E8 8B 45 08 E8 ?? ?? ?? ?? 8B 4D F4 8B 55 F8 8B 18 FF 53 20 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8D 45 DC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D8 8B 45 EC 8B 08 FF 91 84 00 00 00 8B 55 D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 E8 FF 4D E4 0F 85 59 FF FF FF 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 6F 00 6E 00 63 00 61 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 48 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 3A 00 20 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 65 00 20 00 74 00 6F 00 20 00 73 00 74 00 72 00 69 00 6E 00 67 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112171_0 {
	meta:
		name = "XPathFunctionStartsWith"
		size = 740
		refs = "0026 XPathFunctionStartsWith 0055 _DV_EXPath_Invalid_Function_Call_Err 005a Exception.CreateFmt 005f @RaiseExcept 0071 TList.Get 00b2 _DV_TDomXPathStringResult 00b9 @IsClass 014a @WStrCopy 0153 CompareWideStr 015f _DV_TDomXPathBooleanResult 0164 TDomXPathBooleanResult.Create 017c TObject.Free 018a @HandleFinally 01a6 @WStrArrayClr 01ae @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D4 89 5D D0 89 5D DC 89 5D FC 89 4D F4 89 55 F8 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 83 7B 08 02 74 28 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 45 E0 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 E8 8B 45 F4 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B D6 8B 38 FF 57 20 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 50 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B D6 8B 18 FF 53 20 89 45 E8 8B 45 EC 8B 1D ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 E8 8B D3 E8 ?? ?? ?? ?? 84 C0 75 28 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 45 E0 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 FC 8B 45 EC 8B 08 FF 91 84 00 00 00 8D 55 DC 8B 45 E8 8B 08 FF 91 84 00 00 00 8B 45 DC 89 45 D8 8B 5D D8 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8D 55 D4 8B 45 E8 8B 08 FF 91 84 00 00 00 8B 45 D4 50 8D 45 D0 50 8B CB BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D0 5A E8 ?? ?? ?? ?? 85 C0 0F 94 C1 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B 45 F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 73 00 74 00 61 00 72 00 74 00 73 00 2D 00 77 00 69 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 48 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 3A 00 20 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 65 00 20 00 74 00 6F 00 20 00 73 00 74 00 72 00 69 00 6E 00 67 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112172_0 {
	meta:
		name = "XPathFunctionContains"
		size = 728
		refs = "0023 XPathFunctionContains 0052 _DV_EXPath_Invalid_Function_Call_Err 0057 Exception.CreateFmt 005c @RaiseExcept 006e TList.Get 00af _DV_TDomXPathStringResult 00b6 @IsClass 011f _DV_TDomXPathBooleanResult 0124 TDomXPathBooleanResult.Create 0152 Pos 017b TObject.Free 0189 @HandleFinally 01a5 @WStrArrayClr 01ad @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D D8 89 5D D4 89 5D E0 89 4D F8 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 83 7B 08 02 74 28 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 45 E4 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 EC 8B 45 F8 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B 38 FF 57 20 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F8 50 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B 18 FF 53 20 89 45 EC 8B 45 F0 8B 1D ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 EC 8B D3 E8 ?? ?? ?? ?? 84 C0 75 28 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 45 E4 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 8B 45 EC 8B 08 FF 91 84 00 00 00 8B 45 E0 89 45 DC 8B 45 DC 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 75 13 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 EB 3D 8D 55 D8 8B 45 F0 8B 08 FF 91 84 00 00 00 8B 45 D8 50 8D 55 D4 8B 45 EC 8B 08 FF 91 84 00 00 00 8B 45 D4 5A E8 ?? ?? ?? ?? 85 C0 0F 9F C1 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 48 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 3A 00 20 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 65 00 20 00 74 00 6F 00 20 00 73 00 74 00 72 00 69 00 6E 00 67 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112173_0 {
	meta:
		name = "XPathFunctionSubstringBefore"
		size = 712
		refs = "0026 XPathFunctionSubstringBefore 0055 _DV_EXPath_Invalid_Function_Call_Err 005a Exception.CreateFmt 005f @RaiseExcept 0071 TList.Get 00b2 _DV_TDomXPathStringResult 00b9 @IsClass 0120 Pos 013e @WStrCopy 014d TDomXPathStringResult.Create 0165 TObject.Free 0173 @HandleFinally 018f @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D E0 89 5D D4 89 5D DC 89 5D D8 89 4D F8 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 83 7B 08 02 74 28 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 45 E4 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 EC 8B 45 F8 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B 38 FF 57 20 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B 18 FF 53 20 89 45 EC 8B 45 F0 8B 1D ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 EC 8B D3 E8 ?? ?? ?? ?? 84 C0 75 28 B8 ?? ?? ?? ?? 89 45 E4 C6 45 E8 11 8D 45 E4 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 50 8D 55 DC 8B 45 F0 8B 08 FF 91 84 00 00 00 8B 45 DC 50 8D 55 D8 8B 45 EC 8B 08 FF 91 84 00 00 00 8B 45 D8 5A E8 ?? ?? ?? ?? 48 50 8D 55 D4 8B 45 F0 8B 08 FF 91 84 00 00 00 8B 45 D4 BA 01 00 00 00 59 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 73 00 75 00 62 00 73 00 74 00 72 00 69 00 6E 00 67 00 2D 00 62 00 65 00 66 00 6F 00 72 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 48 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 3A 00 20 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 65 00 20 00 74 00 6F 00 20 00 73 00 74 00 72 00 69 00 6E 00 67 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112174_0 {
	meta:
		name = "XPathFunctionSubstringAfter"
		size = 884
		refs = "0032 XPathFunctionSubstringAfter 0061 _DV_EXPath_Invalid_Function_Call_Err 0066 Exception.CreateFmt 006b @RaiseExcept 007d TList.Get 00be _DV_TDomXPathStringResult 00c5 @IsClass 0142 TDomXPathStringResult.Create 0181 Pos 01dc @WStrCopy 0203 TObject.Free 0211 @HandleFinally 022d @WStrArrayClr 0235 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C0 89 5D C4 89 5D C8 89 5D D0 89 5D CC 89 5D D4 89 5D DC 89 5D FC 89 4D F4 89 55 F8 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F0 83 7B 08 02 74 28 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 45 E0 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 E8 8B 45 F4 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B D6 8B 38 FF 57 20 89 45 EC 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 50 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B D6 8B 18 FF 53 20 89 45 E8 8B 45 EC 8B 1D ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 E8 8B D3 E8 ?? ?? ?? ?? 84 C0 75 28 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 45 E0 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 DC 8B 45 E8 8B 08 FF 91 84 00 00 00 8B 45 DC 89 45 D8 8B 45 D8 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 75 25 8D 55 D4 8B 45 EC 8B 08 FF 91 84 00 00 00 8B 4D D4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 E9 A4 00 00 00 8D 55 FC 8B 45 EC 8B 08 FF 91 84 00 00 00 8D 55 D0 8B 45 EC 8B 08 FF 91 84 00 00 00 8B 45 D0 50 8D 55 CC 8B 45 E8 8B 08 FF 91 84 00 00 00 8B 45 CC 5A E8 ?? ?? ?? ?? 8B F8 8D 55 C8 8B 45 E8 8B 08 FF 91 84 00 00 00 8B 45 C8 89 45 D8 8B 5D D8 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8D 55 C4 8B 45 EC 8B 08 FF 91 84 00 00 00 8B 45 C4 89 45 D8 8B 75 D8 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 C0 50 8D 14 3B 8B CE 8B 45 FC E8 ?? ?? ?? ?? 8B 4D C0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B 45 F0 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 73 00 75 00 62 00 73 00 74 00 72 00 69 00 6E 00 67 00 2D 00 61 00 66 00 74 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 48 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 3A 00 20 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 65 00 20 00 74 00 6F 00 20 00 73 00 74 00 72 00 69 00 6E 00 67 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112175_0 {
	meta:
		name = "XPathFunctionSubstring"
		size = 1728
		refs = "0035 XPathFunctionSubstring 006b _DV_EXPath_Invalid_Function_Call_Err 0070 Exception.CreateFmt 0075 @RaiseExcept 008c TList.Get 00cd _DV_TDomXPathStringResult 00d2 @IsClass 0107 _DV_TDomXPathNumberResult 01b0 IsNan 01cb IsInfinite 01f8 TDomXPathStringResult.Create 0236 Sign 0287 XPathRound 028c @TRUNC 0298 @WStrCopy 04af TObject.Free 04c5 @HandleFinally 04e1 @WStrArrayClr 04e9 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 33 DB 89 5D A8 89 5D AC 89 5D B0 89 5D B8 89 5D B4 89 5D BC 89 5D C4 89 5D FC 89 5D F8 89 4D F0 89 55 F4 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 EC 8B 43 08 83 F8 02 74 2D 83 F8 03 74 28 B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 8D 45 C8 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 E4 33 C0 89 45 E0 8B 45 F0 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8B D6 8B 38 FF 57 20 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 50 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8B D6 8B 38 FF 57 20 89 45 E4 8B 45 E8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 8D 45 C8 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 8D 45 C8 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 08 03 0F 85 49 02 00 00 8B 45 F0 50 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4D F4 8B D6 8B 18 FF 53 20 89 45 E0 8B 45 E0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 B8 ?? ?? ?? ?? 89 45 C8 C6 45 CC 11 8D 45 C8 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 75 36 8B 45 E4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 75 1B 8B 45 E0 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 16 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC E9 9A 02 00 00 8B 45 E0 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 0F 84 A6 00 00 00 8B 45 E0 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 3C 01 75 75 8D 55 FC 8B 45 E8 8B 08 FF 91 84 00 00 00 8D 55 C4 8B 45 E8 8B 08 FF 91 84 00 00 00 8B 45 C4 89 45 C0 8B 5D C0 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8D 45 BC 50 8B 45 E4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B CB 8B 45 FC E8 ?? ?? ?? ?? 8B 4D BC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC E9 EB 01 00 00 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC E9 D5 01 00 00 8B 45 E4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 89 55 DC 83 7D DC 00 75 08 83 7D D8 01 76 12 EB 02 7E 0E 8B 45 D8 89 45 D0 8B 45 DC 89 45 D4 EB 0E C7 45 D0 01 00 00 00 C7 45 D4 00 00 00 00 8B 45 D0 8B D8 8B 45 E4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DD 5D C8 9B 8B 45 E0 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? DC 45 C8 E8 ?? ?? ?? ?? 8B F0 2B F3 8D 45 B8 50 8D 55 B4 8B 45 E8 8B 08 FF 91 84 00 00 00 8B 45 B4 8B CE 8B D3 E8 ?? ?? ?? ?? 8B 4D B8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC E9 0F 01 00 00 8B 45 E4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 16 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC E9 DE 00 00 00 8B 45 E4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 53 8B 45 E4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 3C 01 75 16 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC E9 92 00 00 00 8D 55 B0 8B 45 E8 8B 08 FF 91 84 00 00 00 8B 4D B0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC EB 70 8D 55 F8 8B 45 E8 8B 08 FF 91 84 00 00 00 8D 55 AC 8B 45 E8 8B 08 FF 91 84 00 00 00 8B 45 AC 89 45 C0 8B 5D C0 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8D 45 A8 50 8B 45 E4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B CB 8B 45 F8 E8 ?? ?? ?? ?? 8B 4D A8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B 45 EC 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 73 00 75 00 62 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 48 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 3A 00 20 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 65 00 20 00 74 00 6F 00 20 00 73 00 74 00 72 00 69 00 6E 00 67 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 48 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 3A 00 20 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 65 00 20 00 74 00 6F 00 20 00 6E 00 75 00 6D 00 62 00 65 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112176_0 {
	meta:
		name = "XPathFunctionStringLength"
		size = 816
		refs = "001f XPathFunctionStringLength 004e _DV_EXPath_Invalid_Function_Call_Err 0053 Exception.CreateFmt 0058 @RaiseExcept 00bf _DV_TDomXPathNumberResult 00c4 TDomXPathNumberResult.Create 00d9 TList.Get 00fc _DV_TDomXPathStringResult 0101 @IsClass 0180 TObject.Free 0186 @HandleFinally 019d @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E8 89 4D FC 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 83 7B 08 01 7E 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 08 00 75 6E 85 F6 75 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B C6 8B 08 FF 91 CC 00 00 00 8B 45 E8 89 45 E4 8B 45 E4 85 C0 74 07 83 E8 04 8B 00 D1 E8 89 45 E4 DB 45 E4 83 C4 F8 DD 1C 24 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 E9 BC 00 00 00 8B 45 FC 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 18 FF 53 20 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F4 8B 08 FF 91 84 00 00 00 8B 45 E0 89 45 E4 8B 45 E4 85 C0 74 07 83 E8 04 8B 00 D1 E8 89 45 E4 DB 45 E4 83 C4 F8 DD 1C 24 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 2D 00 6C 00 65 00 6E 00 67 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 43 00 6F 00 6E 00 74 00 65 00 78 00 74 00 20 00 6E 00 6F 00 64 00 65 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 20 00 66 00 6F 00 72 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 48 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 3A 00 20 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 65 00 20 00 74 00 6F 00 20 00 73 00 74 00 72 00 69 00 6E 00 67 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112177_0 {
	meta:
		name = "XPathFunctionNormalizeSpace"
		size = 784
		refs = "0025 XPathFunctionNormalizeSpace 0054 _DV_EXPath_Invalid_Function_Call_Err 0059 Exception.CreateFmt 005e @RaiseExcept 00a8 NormalizeWhiteSpace 00b2 _DV_TDomXPathStringResult 00b7 TDomXPathStringResult.Create 00cc TList.Get 00f4 @IsClass 0160 TObject.Free 0166 @HandleFinally 0182 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 DB 89 5D E0 89 5D DC 89 5D E8 89 5D E4 89 4D FC 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 83 7B 08 01 7E 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 08 00 75 5B 85 F6 75 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 8B C6 8B 08 FF 91 CC 00 00 00 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 E9 A9 00 00 00 8B 45 FC 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 18 FF 53 20 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 DC 8B 45 F4 8B 08 FF 91 84 00 00 00 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 69 00 7A 00 65 00 2D 00 73 00 70 00 61 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 43 00 6F 00 6E 00 74 00 65 00 78 00 74 00 20 00 6E 00 6F 00 64 00 65 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 20 00 66 00 6F 00 72 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 48 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 3A 00 20 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 65 00 20 00 74 00 6F 00 20 00 73 00 74 00 72 00 69 00 6E 00 67 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112178_0 {
	meta:
		name = "XPathFunctionTranslate"
		size = 740
		refs = "0026 XPathFunctionTranslate 0055 _DV_EXPath_Invalid_Function_Call_Err 005a Exception.CreateFmt 005f @RaiseExcept 0076 TList.Get 00d4 _DV_TDomXPathStringResult 00db @IsClass 0163 TranslateWideString 0172 TDomXPathStringResult.Create 018a TObject.Free 01a0 @HandleFinally 01bc @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D DC 89 5D D8 89 5D D4 89 5D D0 89 4D F8 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 83 7B 08 03 74 28 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 45 E0 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 EC 33 C0 89 45 E8 8B 45 F8 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B 38 FF 57 20 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 50 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B 38 FF 57 20 89 45 EC 8B 45 F8 50 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B 18 FF 53 20 89 45 E8 8B 45 F0 8B 1D ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 84 C0 74 1C 8B 45 EC 8B D3 E8 ?? ?? ?? ?? 84 C0 74 0E 8B 45 E8 8B D3 E8 ?? ?? ?? ?? 84 C0 75 28 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 45 E0 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC 50 8D 55 D8 8B 45 E8 8B 08 FF 91 84 00 00 00 8B 45 D8 50 8D 55 D4 8B 45 EC 8B 08 FF 91 84 00 00 00 8B 45 D4 50 8D 55 D0 8B 45 F0 8B 08 FF 91 84 00 00 00 8B 45 D0 5A 59 E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 09 00 00 00 74 00 72 00 61 00 6E 00 73 00 6C 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 48 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 3A 00 20 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 65 00 20 00 74 00 6F 00 20 00 73 00 74 00 72 00 69 00 6E 00 67 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112179_0 {
	meta:
		name = "XPathFunctionBoolean"
		size = 212
		refs = "001a XPathFunctionBoolean 0033 _DV_EXPath_Invalid_Function_Call_Err 0038 Exception.CreateFmt 003d @RaiseExcept 004a TList.Get 0058 XPathBooleanFunc"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 83 7B 08 01 74 28 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 18 FF 53 20 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112180_0 {
	meta:
		name = "XPathFunctionNot"
		size = 496
		refs = "001f XPathFunctionNot 0038 _DV_EXPath_Invalid_Function_Call_Err 003d Exception.CreateFmt 0042 @RaiseExcept 004f TList.Get 0072 _DV_TDomXPathBooleanResult 0077 @IsClass 00bc TDomXPathBooleanResult.Create 00d4 TObject.Free 00da @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 33 C0 89 45 F8 83 7B 08 01 74 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 18 FF 53 20 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 7C 8B C8 80 F1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6E 00 6F 00 74 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 49 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 3A 00 20 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 65 00 20 00 74 00 6F 00 20 00 62 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112181_0 {
	meta:
		name = "XPathFunctionTrue"
		size = 180
		refs = "0010 XPathFunctionTrue 0029 _DV_EXPath_Invalid_Function_Call_Err 002e Exception.CreateFmt 0033 @RaiseExcept 003c _DV_TDomXPathBooleanResult 0041 TDomXPathBooleanResult.Create"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 08 83 78 08 00 7E 28 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112182_0 {
	meta:
		name = "XPathFunctionFalse"
		size = 180
		refs = "0010 XPathFunctionFalse 0029 _DV_EXPath_Invalid_Function_Call_Err 002e Exception.CreateFmt 0033 @RaiseExcept 003c _DV_TDomXPathBooleanResult 0041 TDomXPathBooleanResult.Create"
	strings:
		$1 = { 55 8B EC 83 C4 F8 8B 45 08 83 78 08 00 7E 28 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F8 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112183_0 {
	meta:
		name = "XPathFunctionLang"
		size = 720
		refs = "001f XPathFunctionLang 004e _DV_EXPath_Invalid_Function_Call_Err 0053 Exception.CreateFmt 0058 @RaiseExcept 0091 TList.Get 00b4 _DV_TDomXPathStringResult 00b9 @IsClass 010d IsSubLanguage 0116 _DV_TDomXPathBooleanResult 011b TDomXPathBooleanResult.Create 0133 TObject.Free 0139 @HandleFinally 0155 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E8 89 5D E4 89 4D FC 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 83 7E 08 01 74 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 75 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CF 8B D3 8B 30 FF 56 20 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B C3 8B 08 FF 91 98 00 00 00 8B 45 E8 50 8D 55 E4 8B 45 F4 8B 08 FF 91 84 00 00 00 8B 45 E4 5A E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 61 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 24 00 00 00 43 00 6F 00 6E 00 74 00 65 00 78 00 74 00 20 00 6E 00 6F 00 64 00 65 00 20 00 6E 00 6F 00 74 00 20 00 73 00 70 00 65 00 63 00 69 00 66 00 69 00 65 00 64 00 20 00 66 00 6F 00 72 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 48 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 3A 00 20 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 65 00 20 00 74 00 6F 00 20 00 73 00 74 00 72 00 69 00 6E 00 67 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112184_0 {
	meta:
		name = "XPathFunctionNumber"
		size = 248
		refs = "001a XPathFunctionNumber 0033 _DV_EXPath_Invalid_Function_Call_Err 0038 Exception.CreateFmt 003d @RaiseExcept 004a _DV_TDomXPathNodeSetResult 004f TDomXPathNodeSetResult.Create 006c TList.Get 007e XPathNumberFunc"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 83 7B 08 01 7E 28 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 08 00 75 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8B D6 8B C3 8B 08 FF 91 A0 00 00 00 EB 18 8B 45 FC 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 18 FF 53 20 8B D8 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6E 00 75 00 6D 00 62 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112185_0 {
	meta:
		name = "XPathFunctionSum"
		size = 724
		refs = "001c XPathFunctionSum 004b _DV_EXPath_Invalid_Function_Call_Err 0050 Exception.CreateFmt 0055 @RaiseExcept 0062 TList.Get 0085 _DV_TDomXPathNodeSetResult 008a @IsClass 0116 XPathWideStringToNumber 0129 @HandleAnyException 013a @DoneExcept 0179 _DV_TDomXPathNumberResult 017e TDomXPathNumberResult.Create 0196 TObject.Free 019c @HandleFinally 01b3 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 4D FC 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 83 7B 08 01 74 28 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 18 FF 53 20 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 B8 ?? ?? ?? ?? 89 45 D4 C6 45 D8 11 8D 45 D4 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 89 45 E0 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 92 8C 00 00 00 48 85 C0 7C 70 40 89 45 DC C7 45 F0 00 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F0 8B 45 F4 8B 08 FF 91 88 00 00 00 8D 55 D0 8B 08 FF 91 CC 00 00 00 8B 45 D0 E8 ?? ?? ?? ?? DD 5D E8 9B 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 33 C0 89 45 E8 C7 45 EC 00 00 F8 FF E8 ?? ?? ?? ?? DD 45 E0 DC 45 E8 DD 5D E0 9B FF 45 F0 FF 4D DC 75 9B 33 C0 5A 59 59 64 89 10 EB 16 E9 ?? ?? ?? ?? 33 C0 89 45 E0 C7 45 E4 00 00 F8 FF E8 ?? ?? ?? ?? FF 75 E4 FF 75 E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 73 00 75 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 4A 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 3A 00 20 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 65 00 20 00 74 00 6F 00 20 00 6E 00 6F 00 64 00 65 00 2D 00 73 00 65 00 74 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112186_0 {
	meta:
		name = "XPathFunctionFloor"
		size = 616
		refs = "001f XPathFunctionFloor 0038 _DV_EXPath_Invalid_Function_Call_Err 003d Exception.CreateFmt 0042 @RaiseExcept 004f TList.Get 0072 _DV_TDomXPathNumberResult 0077 @IsClass 00ba IsNan 00d5 IsInfinite 00f7 TDomXPathNumberResult.Create 0113 Floor 0144 TObject.Free 014a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 33 C0 89 45 F8 83 7B 08 01 74 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 18 FF 53 20 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 75 1B 8B 45 F4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 23 8B 45 F4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 33 8B 45 F4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 89 45 E8 DB 45 E8 83 C4 F8 DD 1C 24 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 6C 00 6F 00 6F 00 72 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 4A 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 3A 00 20 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 65 00 20 00 74 00 6F 00 20 00 61 00 20 00 6E 00 75 00 6D 00 62 00 65 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112187_0 {
	meta:
		name = "XPathFunctionCeiling"
		size = 620
		refs = "001f XPathFunctionCeiling 0038 _DV_EXPath_Invalid_Function_Call_Err 003d Exception.CreateFmt 0042 @RaiseExcept 004f TList.Get 0072 _DV_TDomXPathNumberResult 0077 @IsClass 00ba IsNan 00d5 IsInfinite 00f7 TDomXPathNumberResult.Create 0113 Ceil 0144 TObject.Free 014a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 33 C0 89 45 F8 83 7B 08 01 74 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 18 FF 53 20 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 75 1B 8B 45 F4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 23 8B 45 F4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 33 8B 45 F4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 89 45 E8 DB 45 E8 83 C4 F8 DD 1C 24 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 65 00 69 00 6C 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 4A 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 3A 00 20 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 65 00 20 00 74 00 6F 00 20 00 61 00 20 00 6E 00 75 00 6D 00 62 00 65 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112188_0 {
	meta:
		name = "XPathFunctionRound"
		size = 524
		refs = "001f XPathFunctionRound 0038 _DV_EXPath_Invalid_Function_Call_Err 003d Exception.CreateFmt 0042 @RaiseExcept 004f TList.Get 0072 _DV_TDomXPathNumberResult 0077 @IsClass 00ba XPathRound 00cd TDomXPathNumberResult.Create 00e5 TObject.Free 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 33 C0 89 45 F8 83 7B 08 01 74 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 33 D2 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 18 FF 53 20 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 B8 ?? ?? ?? ?? 89 45 EC C6 45 F0 11 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 72 00 6F 00 75 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 73 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 4A 00 00 00 41 00 72 00 67 00 75 00 6D 00 65 00 6E 00 74 00 20 00 6D 00 69 00 73 00 6D 00 61 00 74 00 63 00 68 00 20 00 65 00 72 00 72 00 6F 00 72 00 20 00 69 00 6E 00 20 00 25 00 73 00 28 00 29 00 3A 00 20 00 45 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 64 00 6F 00 65 00 73 00 20 00 6E 00 6F 00 74 00 20 00 65 00 76 00 61 00 6C 00 75 00 61 00 74 00 65 00 20 00 74 00 6F 00 20 00 61 00 20 00 6E 00 75 00 6D 00 62 00 65 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112189_0 {
	meta:
		name = "TDomXPathTokenizer.Create"
		size = 260
		refs = "0011 @ClassCreate 0024 TObject.Create 002b TDomXPathTokenizer.Create 0030 @WStrEqual 004b _DV_ENot_Supported_Err 0050 Exception.CreateFmt 0055 @RaiseExcept 005f @WStrAsg 007d @WStrClr 008e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 23 89 75 F4 C6 45 F8 0F 8D 45 F4 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 08 8B D7 E8 ?? ?? ?? ?? C6 43 0C 2F 33 C0 89 43 10 C6 43 05 00 33 C0 89 43 14 C6 43 18 2F 8D 43 1C E8 ?? ?? ?? ?? C6 43 04 00 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 06 00 00 00 31 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 22 00 25 00 53 00 22 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 72 00 6F 00 74 00 65 00 64 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112190_0 {
	meta:
		name = "TDomXPathTokenizer.DoubleColonFollows"
		size = 94
		refs = "0048 IsXmlWhiteSpace"
	strings:
		$1 = { 53 56 57 55 51 8B F0 C6 04 24 00 8B 56 10 42 8B 46 08 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B EA 8B F8 4F 2B FD 7C 2E 47 8B 46 08 0F B7 5C 68 FE 66 83 FB 3A 75 10 8B 46 08 66 83 3C 68 3A 75 15 C6 04 24 01 EB 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 45 4F 75 D3 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112191_0 {
	meta:
		name = "TDomXPathTokenizer.GetNextWideChar"
		size = 47
	strings:
		$1 = { 8B 48 08 85 C9 74 07 83 E9 04 8B 09 D1 E9 3B 48 10 75 08 66 C7 02 00 00 33 C0 C3 FF 40 10 8B 48 08 8B 40 10 0F B7 44 41 FE 66 89 02 B0 01 C3 }
	condition:
		$1
}

rule function_112192_0 {
	meta:
		name = "TDomXPathTokenizer.IsFollowing"
		size = 56
		refs = "0015 @WStrClr"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 80 7E 04 00 75 1C 8D 46 14 50 8D 46 1C E8 ?? ?? ?? ?? 8B C8 8D 56 18 8B C6 8B 38 FF 57 18 C6 46 04 01 3A 5E 18 75 04 B0 01 EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112193_0 {
	meta:
		name = "TDomXPathTokenizer.LeftParanthesisFollows"
		size = 83
		refs = "003d IsXmlWhiteSpace"
	strings:
		$1 = { 53 56 57 55 51 8B F0 C6 04 24 00 8B 56 10 42 8B 46 08 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B EA 8B F8 2B FD 7C 24 47 8B 46 08 0F B7 5C 68 FE 66 83 FB 28 75 06 C6 04 24 01 EB 0F 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 45 4F 75 DD 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112194_0 {
	meta:
		name = "TDomXPathTokenizer.LookAheadNextWideChar"
		size = 45
	strings:
		$1 = { 53 8B 48 08 85 C9 74 07 83 E9 04 8B 09 D1 E9 8B 58 10 3B CB 75 09 66 C7 02 00 00 33 C0 5B C3 8B 48 08 0F B7 04 59 66 89 02 B0 01 5B C3 }
	condition:
		$1
}

rule function_112195_0 {
	meta:
		name = "TDomXPathTokenizer.Read"
		size = 3876
		refs = "002f TDomXPathTokenizer.Read 004c @WStrAsg 00a3 @WStrClr 00b7 IsXmlWhiteSpace 0411 @WStrFromWChar 041c @WStrCat 0603 IsXmlNCNameStartChar 0662 IsXmlNCNameChar 083c @WStrEqual 0cea @WStrArrayClr 0cf0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B 45 FC 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 04 00 74 1F 0F B6 43 18 88 06 8B 45 FC 8B 53 1C E8 ?? ?? ?? ?? 8B 43 14 89 07 C6 43 04 00 E9 76 0C 00 00 0F B6 43 05 83 F8 06 0F 87 69 0C 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 55 FA 8B C3 8B 08 FF 51 04 84 C0 75 16 C6 06 2E 8B 45 FC E8 ?? ?? ?? ?? C7 07 FF FF FF FF E9 22 0C 00 00 0F B7 45 FA E8 ?? ?? ?? ?? 84 C0 75 CF 0F B7 45 FA 83 C0 DF 83 F8 5B 0F 87 C3 06 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 0C 12 00 14 00 00 13 01 02 15 09 06 0A 10 0D 11 11 11 11 11 11 11 11 11 11 07 00 0E 0B 0F 00 05 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 03 00 04 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 08 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? C6 06 00 C6 43 0C 00 8B 45 FC E8 ?? ?? ?? ?? 8B 43 10 89 07 E9 2A 0B 00 00 C6 06 01 C6 43 0C 01 8B 45 FC E8 ?? ?? ?? ?? 8B 43 10 89 07 E9 11 0B 00 00 C6 06 02 C6 43 0C 02 8B 45 FC E8 ?? ?? ?? ?? 8B 43 10 89 07 E9 F8 0A 00 00 C6 06 03 C6 43 0C 03 8B 45 FC E8 ?? ?? ?? ?? 8B 43 10 89 07 E9 DF 0A 00 00 C6 06 06 C6 43 0C 06 8B 45 FC E8 ?? ?? ?? ?? 8B 43 10 89 07 E9 C6 0A 00 00 C6 06 07 C6 43 0C 07 8B 45 FC E8 ?? ?? ?? ?? 8B 43 10 89 07 E9 AD 0A 00 00 8D 55 F8 8B C3 8B 08 FF 51 0C 66 83 7D F8 3A 75 1C FF 43 10 C6 06 08 C6 43 0C 08 8B 45 FC E8 ?? ?? ?? ?? 8B 43 10 89 07 E9 80 0A 00 00 C6 06 2F C6 43 0C 2F 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 10 89 07 E9 62 0A 00 00 C6 06 14 C6 43 0C 14 8B 45 FC E8 ?? ?? ?? ?? 8B 43 10 89 07 E9 49 0A 00 00 C6 06 15 C6 43 0C 15 8B 45 FC E8 ?? ?? ?? ?? 8B 43 10 89 07 E9 30 0A 00 00 C6 06 16 C6 43 0C 16 8B 45 FC E8 ?? ?? ?? ?? 8B 43 10 89 07 E9 17 0A 00 00 C6 06 17 C6 43 0C 17 8B 45 FC E8 ?? ?? ?? ?? 8B 43 10 89 07 E9 FE 09 00 00 8D 55 F8 8B C3 8B 08 FF 51 0C 66 83 7D F8 3D 75 1C FF 43 10 C6 06 18 C6 43 0C 18 8B 45 FC E8 ?? ?? ?? ?? 8B 43 10 89 07 E9 D1 09 00 00 C6 06 2F C6 43 0C 2F 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 10 89 07 E9 B3 09 00 00 8D 55 F8 8B C3 8B 08 FF 51 0C 66 83 7D F8 2F 75 07 FF 43 10 C6 43 05 01 C6 06 13 C6 43 0C 13 8B 45 FC E8 ?? ?? ?? ?? 8B 43 10 89 07 E9 82 09 00 00 8D 55 F8 8B C3 8B 08 FF 51 0C 66 83 7D F8 3D 75 0C FF 43 10 C6 06 1A C6 43 0C 1A EB 07 C6 06 19 C6 43 0C 19 8B 45 FC E8 ?? ?? ?? ?? 8B 43 10 89 07 E9 4C 09 00 00 8D 55 F8 8B C3 8B 08 FF 51 0C 66 83 7D F8 3D 75 0C FF 43 10 C6 06 1C C6 43 0C 1C EB 07 C6 06 1B C6 43 0C 1B 8B 45 FC E8 ?? ?? ?? ?? 8B 43 10 89 07 E9 16 09 00 00 8D 55 F8 8B C3 8B 08 FF 51 0C 0F B7 45 F8 66 83 E8 2E 74 0B 83 C0 FE 66 83 E8 0A 72 1E EB 6E FF 43 10 C6 06 05 C6 43 0C 05 8B 45 FC E8 ?? ?? ?? ?? 8B 43 10 89 07 E9 DB 08 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 43 10 8D 45 F0 0F B7 55 F8 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8D 55 F8 8B C3 8B 08 FF 51 0C 0F B7 45 F8 83 C0 D0 66 83 E8 0A 72 CC C6 06 2C C6 43 0C 2C 8B 43 10 89 07 E9 89 08 00 00 C6 06 04 C6 43 0C 04 8B 45 FC E8 ?? ?? ?? ?? 8B 43 10 89 07 E9 70 08 00 00 8B 45 FC 0F B7 55 FA E8 ?? ?? ?? ?? C6 45 F7 00 8D 55 FA 8B C3 8B 08 FF 51 0C 84 C0 74 4E EB 32 FF 43 10 8D 45 EC 0F B7 55 FA E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 66 83 7D FA 2E 75 04 C6 45 F7 01 8D 55 FA 8B C3 8B 08 FF 51 0C 0F B7 45 FA 83 C0 D0 66 83 E8 0A 72 C1 66 83 7D FA 2E 75 06 80 7D F7 00 74 B4 C6 06 2C C6 43 0C 2C 8B 43 10 89 07 E9 F3 07 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 FA 8B C3 8B 08 FF 51 04 84 C0 75 11 C6 06 2F C6 43 0C 2F 8B 43 10 89 07 E9 CC 07 00 00 66 83 7D FA 22 74 40 8D 45 E8 0F B7 55 FA E8 ?? ?? ?? ?? 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8D 55 FA 8B C3 8B 08 FF 51 04 84 C0 75 11 C6 06 2F C6 43 0C 2F 8B 43 10 89 07 E9 8C 07 00 00 66 83 7D FA 22 75 C0 C6 06 2B C6 43 0C 2B 8B 43 10 89 07 E9 74 07 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 55 FA 8B C3 8B 08 FF 51 04 84 C0 75 11 C6 06 2F C6 43 0C 2F 8B 43 10 89 07 E9 4D 07 00 00 66 83 7D FA 27 74 40 8D 45 E4 0F B7 55 FA E8 ?? ?? ?? ?? 8B 55 E4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8D 55 FA 8B C3 8B 08 FF 51 04 84 C0 75 11 C6 06 2F C6 43 0C 2F 8B 43 10 89 07 E9 0D 07 00 00 66 83 7D FA 27 75 C0 C6 06 2B C6 43 0C 2B 8B 43 10 89 07 E9 F5 06 00 00 8D 55 FA 8B C3 8B 08 FF 51 0C 84 C0 75 11 C6 06 2F C6 43 0C 2F 8B 43 10 89 07 E9 D6 06 00 00 0F B7 45 FA E8 ?? ?? ?? ?? 84 C0 75 1D C6 06 2F C6 43 0C 2F 8B 43 10 89 07 8B 45 FC 0F B7 55 FA E8 ?? ?? ?? ?? E9 AC 06 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 2B FF 43 10 8D 45 E0 0F B7 55 FA E8 ?? ?? ?? ?? 8B 55 E0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8D 55 FA 8B C3 8B 08 FF 51 0C 84 C0 74 0D 0F B7 45 FA E8 ?? ?? ?? ?? 84 C0 75 C8 66 83 7D FA 3A 0F 85 C1 00 00 00 FF 43 10 8D 55 FA 8B C3 8B 08 FF 51 0C 84 C0 75 21 C6 06 2F C6 43 0C 2F 8B 43 10 89 07 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E9 2D 06 00 00 66 83 7D FA 3A 75 08 FF 4B 10 E9 80 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B7 45 FA E8 ?? ?? ?? ?? 84 C0 75 56 C6 06 2F C6 43 0C 2F 8B 43 10 89 07 8D 45 DC 0F B7 55 FA E8 ?? ?? ?? ?? 8B 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E9 D6 05 00 00 FF 43 10 8D 45 D8 0F B7 55 FA E8 ?? ?? ?? ?? 8B 55 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8D 55 FA 8B C3 8B 08 FF 51 0C 84 C0 74 0D 0F B7 45 FA E8 ?? ?? ?? ?? 84 C0 75 C8 C6 06 2D C6 43 0C 2D 8B 43 10 89 07 E9 8D 05 00 00 0F B6 43 0C 84 C0 74 14 2C 02 74 10 04 FC 2C 03 72 0A 04 FB 2C 0F 72 04 2C 12 75 16 C6 06 09 C6 43 0C 09 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0F C6 06 12 C6 43 0C 12 8B 45 FC E8 ?? ?? ?? ?? 8B 43 10 89 07 E9 42 05 00 00 0F B7 45 FA E8 ?? ?? ?? ?? 84 C0 75 1D C6 06 2F C6 43 0C 2F 8B 43 10 89 07 8B 45 FC 0F B7 55 FA E8 ?? ?? ?? ?? E9 18 05 00 00 8B 45 FC E8 ?? ?? ?? ?? FF 4B 10 EB 2B FF 43 10 8D 45 D4 0F B7 55 FA E8 ?? ?? ?? ?? 8B 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8D 55 FA 8B C3 8B 08 FF 51 0C 84 C0 74 0D 0F B7 45 FA E8 ?? ?? ?? ?? 84 C0 75 C8 0F B6 43 0C 84 C0 0F 84 BD 00 00 00 2C 02 0F 84 B5 00 00 00 04 FC 2C 03 0F 82 AB 00 00 00 04 FB 2C 0F 0F 82 A1 00 00 00 2C 12 0F 84 99 00 00 00 8B 45 FC 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 C6 06 0E C6 43 0C 0E 8B 45 FC E8 ?? ?? ?? ?? EB 6D 8B 45 FC 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 C6 06 0F C6 43 0C 0F 8B 45 FC E8 ?? ?? ?? ?? EB 4B 8B 45 FC 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 C6 06 10 C6 43 0C 10 8B 45 FC E8 ?? ?? ?? ?? EB 29 8B 45 FC 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 C6 06 11 C6 43 0C 11 8B 45 FC E8 ?? ?? ?? ?? EB 07 C6 06 2F C6 43 0C 2F 8B 43 10 89 07 E9 0A 04 00 00 8B C3 8B 10 FF 12 84 C0 0F 84 E6 01 00 00 8B 45 FC 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 14 C6 06 1E C6 43 0C 1E 8B 45 FC E8 ?? ?? ?? ?? E9 B7 01 00 00 8B 45 FC 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 14 C6 06 1F C6 43 0C 1F 8B 45 FC E8 ?? ?? ?? ?? E9 92 01 00 00 8B 45 FC 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 14 C6 06 20 C6 43 0C 20 8B 45 FC E8 ?? ?? ?? ?? E9 6D 01 00 00 8B 45 FC 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 14 C6 06 21 C6 43 0C 21 8B 45 FC E8 ?? ?? ?? ?? E9 48 01 00 00 8B 45 FC 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 14 C6 06 22 C6 43 0C 22 8B 45 FC E8 ?? ?? ?? ?? E9 23 01 00 00 8B 45 FC 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 14 C6 06 23 C6 43 0C 23 8B 45 FC E8 ?? ?? ?? ?? E9 FE 00 00 00 8B 45 FC 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 14 C6 06 24 C6 43 0C 24 8B 45 FC E8 ?? ?? ?? ?? E9 D9 00 00 00 8B 45 FC 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 14 C6 06 25 C6 43 0C 25 8B 45 FC E8 ?? ?? ?? ?? E9 B4 00 00 00 8B 45 FC 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 14 C6 06 26 C6 43 0C 26 8B 45 FC E8 ?? ?? ?? ?? E9 8F 00 00 00 8B 45 FC 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 C6 06 27 C6 43 0C 27 8B 45 FC E8 ?? ?? ?? ?? EB 6D 8B 45 FC 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 C6 06 28 C6 43 0C 28 EB 53 8B 45 FC 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 C6 06 29 C6 43 0C 29 8B 45 FC E8 ?? ?? ?? ?? EB 31 8B 45 FC 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 C6 06 2A C6 43 0C 2A 8B 45 FC E8 ?? ?? ?? ?? EB 0F C6 06 2F C6 43 0C 2F 8B 45 FC E8 ?? ?? ?? ?? 8B 43 10 89 07 E9 16 02 00 00 66 83 7D FA 3A 0F 85 D4 00 00 00 FF 43 10 8D 55 FA 8B C3 8B 08 FF 51 0C 84 C0 75 21 C6 06 2F C6 43 0C 2F 8B 43 10 89 07 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E9 D9 01 00 00 66 83 7D FA 3A 75 08 FF 4B 10 E9 93 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 0F B7 45 FA E8 ?? ?? ?? ?? 84 C0 75 69 66 83 7D FA 2A 75 09 C6 06 09 C6 43 0C 09 EB 07 C6 06 2F C6 43 0C 2F FF 43 10 8B 43 10 89 07 8D 45 D0 0F B7 55 FA E8 ?? ?? ?? ?? 8B 55 D0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E9 6F 01 00 00 FF 43 10 8D 45 CC 0F B7 55 FA E8 ?? ?? ?? ?? 8B 55 CC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8D 55 FA 8B C3 8B 08 FF 51 0C 84 C0 74 0D 0F B7 45 FA E8 ?? ?? ?? ?? 84 C0 75 C8 8B C3 8B 10 FF 52 08 84 C0 0F 84 91 00 00 00 8B 45 FC 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 C6 06 0A C6 43 0C 0A 8B 45 FC E8 ?? ?? ?? ?? EB 76 8B 45 FC 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 C6 06 0B C6 43 0C 0B 8B 45 FC E8 ?? ?? ?? ?? EB 54 8B 45 FC 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 C6 06 0C C6 43 0C 0C 8B 45 FC E8 ?? ?? ?? ?? EB 32 8B 45 FC 8B 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 C6 06 0D C6 43 0C 0D 8B 45 FC E8 ?? ?? ?? ?? EB 10 C6 06 1D C6 43 0C 1D EB 07 C6 06 09 C6 43 0C 09 8B 43 10 89 07 E9 86 00 00 00 C6 06 23 8B 43 10 89 07 8B 45 FC E8 ?? ?? ?? ?? C6 43 05 02 EB 70 C6 06 08 8B 43 10 89 07 8B 45 FC E8 ?? ?? ?? ?? C6 43 05 03 EB 5A C6 06 0D 8B 43 10 89 07 8B 45 FC E8 ?? ?? ?? ?? C6 43 05 04 EB 44 C6 06 00 8B 43 10 89 07 8B 45 FC E8 ?? ?? ?? ?? C6 43 05 05 EB 2E C6 06 01 8B 43 10 89 07 8B 45 FC E8 ?? ?? ?? ?? C6 43 05 06 EB 18 C6 06 13 C6 43 0C 13 8B 43 10 89 07 8B 45 FC E8 ?? ?? ?? ?? C6 43 05 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 0A 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 02 00 00 00 3A 00 00 00 02 00 00 00 21 00 00 00 02 00 00 00 2E 00 00 00 02 00 00 00 2A 00 00 00 06 00 00 00 61 00 6E 00 64 00 00 00 04 00 00 00 6F 00 72 00 00 00 00 00 06 00 00 00 6D 00 6F 00 64 00 00 00 06 00 00 00 64 00 69 00 76 00 00 00 10 00 00 00 61 00 6E 00 63 00 65 00 73 00 74 00 6F 00 72 00 00 00 00 00 20 00 00 00 61 00 6E 00 63 00 65 00 73 00 74 00 6F 00 72 00 2D 00 6F 00 72 00 2D 00 73 00 65 00 6C 00 66 00 00 00 00 00 12 00 00 00 61 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 00 00 0A 00 00 00 63 00 68 00 69 00 6C 00 64 00 00 00 14 00 00 00 64 00 65 00 73 00 63 00 65 00 6E 00 64 00 61 00 6E 00 74 00 00 00 00 00 24 00 00 00 64 00 65 00 73 00 63 00 65 00 6E 00 64 00 61 00 6E 00 74 00 2D 00 6F 00 72 00 2D 00 73 00 65 00 6C 00 66 00 00 00 00 00 12 00 00 00 66 00 6F 00 6C 00 6C 00 6F 00 77 00 69 00 6E 00 67 00 00 00 22 00 00 00 66 00 6F 00 6C 00 6C 00 6F 00 77 00 69 00 6E 00 67 00 2D 00 73 00 69 00 62 00 6C 00 69 00 6E 00 67 00 00 00 12 00 00 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 0C 00 00 00 70 00 61 00 72 00 65 00 6E 00 74 00 00 00 00 00 12 00 00 00 70 00 72 00 65 00 63 00 65 00 64 00 69 00 6E 00 67 00 00 00 22 00 00 00 70 00 72 00 65 00 63 00 65 00 64 00 69 00 6E 00 67 00 2D 00 73 00 69 00 62 00 6C 00 69 00 6E 00 67 00 00 00 08 00 00 00 73 00 65 00 6C 00 66 00 00 00 00 00 0E 00 00 00 63 00 6F 00 6D 00 6D 00 65 00 6E 00 74 00 00 00 08 00 00 00 74 00 65 00 78 00 74 00 00 00 00 00 2C 00 00 00 70 00 72 00 6F 00 63 00 65 00 73 00 73 00 69 00 6E 00 67 00 2D 00 69 00 6E 00 73 00 74 00 72 00 75 00 63 00 74 00 69 00 6F 00 6E 00 00 00 00 00 08 00 00 00 6E 00 6F 00 64 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_112196_0 {
	meta:
		name = "TDomXPathTokenizer.Reset"
		size = 18
	strings:
		$1 = { C6 40 04 00 C6 40 0C 2F 33 D2 89 50 10 C6 40 05 00 C3 }
	condition:
		$1
}

rule function_112202_0 {
	meta:
		name = "TDomXPathNodeSetResult.Create"
		size = 72
		refs = "000a @ClassCreate 0017 TDomXPathCustomResult.Create 0022 _Dn_TList 0027 TObject.Create 0035 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 20 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 24 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_112204_0 {
	meta:
		name = "TDomXPathNodeSetResult.Add"
		size = 165
		refs = "0011 TDomXPathNodeSetResult.Add 002d _DV_TDomXPathNamespace 0032 @AsClass 0079 TList.Add 0093 @WStrArrayClr 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 B4 00 00 00 3C 0B 75 4A 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 8D 55 FC 8B C3 8B 08 FF 91 C0 00 00 00 8B 45 FC 50 8D 55 F8 8B C3 8B 08 FF 91 A8 00 00 00 8B 45 F8 50 8B C3 8B 10 FF 92 58 01 00 00 8B D0 8B C6 59 8B 18 FF 93 94 00 00 00 EB 0A 8B D3 8B 46 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_112205_0 {
	meta:
		name = "TDomXPathNodeSetResult.AddSubtree"
		size = 352
		refs = "0035 TDomXPathNodeSetResult.AddSubtree 0059 TList.Add 0096 _Dn_TList 009b TObject.Create 0123 TList.Get 0148 TObject.Free 014e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 55 FC 8B F0 8B C6 8B 10 FF 52 74 84 C0 75 70 83 7D FC 00 0F 84 31 01 00 00 6A 00 6A 00 8B 45 FC 8B 10 FF 92 C4 00 00 00 0F B7 0D ?? ?? ?? ?? 8B 55 FC 8B 18 FF 93 84 01 00 00 8B F8 8B C7 8B 10 FF 52 14 8B D8 85 DB 74 17 8B 46 24 8B D3 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 14 8B D8 85 DB 75 E9 8B C7 8B 10 FF 52 10 8B 45 FC 8B 10 FF 92 C4 00 00 00 8B 10 FF 92 80 01 00 00 E9 CB 00 00 00 83 7D FC 00 0F 84 C1 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A 00 8B 45 FC 8B 10 FF 92 C4 00 00 00 0F B7 0D ?? ?? ?? ?? 8B 55 FC 8B 18 FF 93 84 01 00 00 8B F8 8B C7 8B 10 FF 52 14 8B D8 85 DB 74 17 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 14 8B D8 85 DB 75 E9 8B C7 8B 10 FF 52 10 8B 45 FC 8B 10 FF 92 C4 00 00 00 8B 10 FF 92 80 01 00 00 8B 45 F8 8B 58 08 4B 83 FB 00 7C 1A 8B D3 8B 45 F8 E8 ?? ?? ?? ?? 8B D0 8B 46 24 E8 ?? ?? ?? ?? 4B 83 FB FF 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 FA 01 00 00 }
	condition:
		$1
}

rule function_112206_0 {
	meta:
		name = "TDomXPathNodeSetResult.AddXPathNamespace"
		size = 44
		refs = "0017 TDomXPathNodeSetResult.CreateXPathNamespace 0021 TList.Add"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 43 24 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_112207_0 {
	meta:
		name = "TDomXPathNodeSetResult.AsBoolean"
		size = 20
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 8C 00 00 00 85 C0 0F 9F C0 5B C3 }
	condition:
		$1
}

rule function_112208_0 {
	meta:
		name = "TDomXPathNodeSetResult.AsNumber"
		size = 90
		refs = "0012 TDomXPathNodeSetResult.AsNumber 002d XPathWideStringToNumber 0046 @WStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 91 84 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_112236_0 {
	meta:
		name = "TDomXPathStringResult.AsNumber"
		size = 90
		refs = "0012 TDomXPathStringResult.AsNumber 002d XPathWideStringToNumber 0046 @WStrClr 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 D2 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 91 84 00 00 00 8B 45 F4 E8 ?? ?? ?? ?? DD 5D F8 9B 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 DD 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_112209_0 {
	meta:
		name = "TDomXPathNodeSetResult.AsWideString"
		size = 100
		refs = "0017 @WStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 92 8C 00 00 00 85 C0 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 8B 10 FF 52 74 84 C0 75 18 33 D2 8B C3 8B 08 FF 91 88 00 00 00 8B D6 8B 08 FF 91 CC 00 00 00 EB 20 8B C3 8B 10 FF 92 8C 00 00 00 8B D0 8B C3 8B 08 FF 91 88 00 00 00 8B D6 8B 08 FF 91 CC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_112210_0 {
	meta:
		name = "TDomXPathNodeSetResult.CreateXPathNamespace"
		size = 29
		refs = "000b _DV_TDomXPathNamespace 0015 TDomXPathNamespace.Create"
	strings:
		$1 = { 55 8B EC 52 51 8B 55 08 52 8B 15 ?? ?? ?? ?? B1 01 92 87 CA E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_112211_0 {
	meta:
		name = "TDomXPathNodeSetResult.Clear"
		size = 72
		refs = "0019 TList.Get 0034 TObject.Free"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 24 8B 70 08 4E 85 F6 7C 2C 46 33 DB 8B 47 24 8B D3 E8 ?? ?? ?? ?? 8B 10 FF 92 B4 00 00 00 3C 0B 75 0F 8B 47 24 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 D7 8B 47 24 8B 10 FF 52 08 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112212_0 {
	meta:
		name = "TDomXPathNodeSetResult.Delete"
		size = 56
		refs = "000c TList.Get 0027 TObject.Free 0031 TList.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 24 E8 ?? ?? ?? ?? 8B 10 FF 92 B4 00 00 00 3C 0B 75 0F 8B D6 8B 43 24 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 24 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_112214_0 {
	meta:
		name = "TDomXPathNodeSetResult.Insert"
		size = 180
		refs = "0014 TDomXPathNodeSetResult.Insert 0030 _DV_TDomXPathNamespace 0035 @AsClass 006d TDomXPathNodeSetResult.CreateXPathNamespace 0079 TList.Insert 00a1 @WStrArrayClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 92 B4 00 00 00 3C 0B 75 53 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 55 FC 8B C6 8B 08 FF 91 C0 00 00 00 8B 45 FC 50 8D 55 F8 8B C6 8B 08 FF 91 A8 00 00 00 8B 45 F8 50 8B C6 8B 10 FF 92 58 01 00 00 8B D0 8B C3 59 E8 ?? ?? ?? ?? 8B C8 8B D7 8B 43 24 E8 ?? ?? ?? ?? EB 0C 8B CE 8B D7 8B 43 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_112215_0 {
	meta:
		name = "TDomXPathNodeSetResult.Item"
		size = 25
	strings:
		$1 = { 85 D2 7C 08 8B 48 24 3B 51 08 7C 03 33 C0 C3 8B 40 24 8B 40 04 8B 04 90 C3 }
	condition:
		$1
}

rule function_112216_0 {
	meta:
		name = "TDomXPathNodeSetResult.Length"
		size = 7
	strings:
		$1 = { 8B 40 24 8B 40 08 C3 }
	condition:
		$1
}

rule function_112217_0 {
	meta:
		name = "TDomXPathNodeSetResult.Merge"
		size = 1222
		refs = "0035 _Dn_TList 003a TObject.Create 0045 TDomXPathNodeSetResult.Merge 00b3 TList.Add 00ec TList.Get 0105 TList.Delete 04b3 TObject.Free 04b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 FC 8B F0 3B 75 FC 0F 84 A8 04 00 00 8B C6 8B 10 FF 52 74 8B D0 8B 45 FC 8B 08 FF 51 78 33 C0 89 45 F8 33 C0 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 74 84 C0 0F 85 E3 02 00 00 E9 59 01 00 00 8B 55 F4 8B 45 FC 8B 08 FF 91 88 00 00 00 50 8B 55 F8 8B C6 8B 08 FF 91 88 00 00 00 5A 8B 08 FF 91 E0 00 00 00 88 45 F3 F6 45 F3 40 74 08 FF 45 F4 E9 23 01 00 00 F6 45 F3 08 74 20 8B 55 F4 8B 45 FC 8B 08 FF 91 88 00 00 00 8B D0 8B 45 EC E8 ?? ?? ?? ?? FF 45 F4 E9 FD 00 00 00 F6 45 F3 10 74 4F FF 45 F8 8B 45 EC 8B 58 08 4B 83 FB 00 0F 8C E4 00 00 00 8B 55 F8 8B C6 8B 08 FF 91 88 00 00 00 50 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 E0 00 00 00 A8 40 74 0A 8B D3 8B 45 EC E8 ?? ?? ?? ?? 4B 83 FB FF 75 C9 E9 A8 00 00 00 F6 45 F3 04 74 42 8B 45 EC 8B 40 08 48 85 C0 7C 32 40 89 45 E8 33 DB 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B C6 8B 38 FF 97 98 00 00 00 8B D3 8B 45 EC E8 ?? ?? ?? ?? FF 45 F8 43 FF 4D E8 75 D4 FF 45 F8 EB 60 8B 45 EC 8B 40 08 48 85 C0 7C 32 40 89 45 E8 33 DB 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B C6 8B 38 FF 97 98 00 00 00 8B D3 8B 45 EC E8 ?? ?? ?? ?? FF 45 F8 43 FF 4D E8 75 D4 8B 55 F4 8B 45 FC 8B 08 FF 91 88 00 00 00 8B C8 8B 55 F8 8B C6 8B 18 FF 93 98 00 00 00 FF 45 F8 FF 45 F4 8B C6 8B 10 FF 92 8C 00 00 00 3B 45 F8 0F 8E 95 01 00 00 8B 45 FC 8B 10 FF 92 8C 00 00 00 3B 45 F4 0F 8F 80 FE FF FF E9 7C 01 00 00 8B 55 F4 8B 45 FC 8B 08 FF 91 88 00 00 00 50 8B 55 F8 8B C6 8B 08 FF 91 88 00 00 00 5A 8B 08 FF 91 E0 00 00 00 88 45 F3 F6 45 F3 40 74 08 FF 45 F4 E9 23 01 00 00 F6 45 F3 08 74 20 8B 55 F4 8B 45 FC 8B 08 FF 91 88 00 00 00 8B D0 8B 45 EC E8 ?? ?? ?? ?? FF 45 F4 E9 FD 00 00 00 F6 45 F3 20 74 4F FF 45 F8 8B 45 EC 8B 58 08 4B 83 FB 00 0F 8C E4 00 00 00 8B 55 F8 8B C6 8B 08 FF 91 88 00 00 00 50 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 E0 00 00 00 A8 40 74 0A 8B D3 8B 45 EC E8 ?? ?? ?? ?? 4B 83 FB FF 75 C9 E9 A8 00 00 00 F6 45 F3 04 74 42 8B 45 EC 8B 40 08 48 85 C0 7C 32 40 89 45 E8 33 DB 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B C6 8B 38 FF 97 98 00 00 00 8B D3 8B 45 EC E8 ?? ?? ?? ?? FF 45 F8 43 FF 4D E8 75 D4 FF 45 F8 EB 60 8B 45 EC 8B 40 08 48 85 C0 7C 32 40 89 45 E8 33 DB 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B C6 8B 38 FF 97 98 00 00 00 8B D3 8B 45 EC E8 ?? ?? ?? ?? FF 45 F8 43 FF 4D E8 75 D4 8B 55 F4 8B 45 FC 8B 08 FF 91 88 00 00 00 8B C8 8B 55 F8 8B C6 8B 18 FF 93 98 00 00 00 FF 45 F8 FF 45 F4 8B C6 8B 10 FF 92 8C 00 00 00 3B 45 F8 7E 14 8B 45 FC 8B 10 FF 92 8C 00 00 00 3B 45 F4 0F 8F 84 FE FF FF FF 45 F8 E9 A7 00 00 00 8B 55 F8 8B C6 8B 08 FF 91 88 00 00 00 50 33 D2 8B 45 EC E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 E0 00 00 00 A8 08 75 3A 8B 45 EC 8B 40 08 48 85 C0 7C 2F 40 89 45 E8 33 DB 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B C8 8B 55 F8 8B C6 8B 38 FF 97 98 00 00 00 8B D3 8B 45 EC E8 ?? ?? ?? ?? 43 FF 4D E8 75 D7 8B 45 EC 8B 58 08 4B 83 FB 00 7C 37 8B 55 F8 8B C6 8B 08 FF 91 88 00 00 00 50 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B D0 58 8B 08 FF 91 E0 00 00 00 A8 40 74 0A 8B D3 8B 45 EC E8 ?? ?? ?? ?? 4B 83 FB FF 75 C9 FF 45 F8 8B 45 EC 83 78 08 00 7E 13 8B C6 8B 10 FF 92 8C 00 00 00 3B 45 F8 0F 8F 3D FF FF FF 8B 45 EC 8B 40 08 48 85 C0 7C 22 40 89 45 E8 33 DB 8B D3 8B 45 EC E8 ?? ?? ?? ?? 8B D0 8B C6 8B 08 FF 91 A0 00 00 00 43 FF 4D E8 75 E4 8B 45 FC 8B 10 FF 92 8C 00 00 00 3B 45 F4 7E 36 8B 5D F4 8B 45 FC 8B 10 FF 92 8C 00 00 00 48 2B C3 7C 23 40 89 45 E8 8B D3 8B 45 FC 8B 08 FF 91 88 00 00 00 8B D0 8B C6 8B 08 FF 91 A0 00 00 00 43 FF 4D E8 75 E1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_112219_0 {
	meta:
		name = "TDomXPathNodeSetResult.SetAxisType"
		size = 92
	strings:
		$1 = { 53 56 57 55 51 3A 50 20 74 4C 88 50 20 8B 50 24 8B 72 08 4E 85 F6 7C 3E 8B DE D1 EB 85 DB 7C 36 43 33 D2 8B CE 2B CA 8B 78 24 8B 7F 04 8B 3C 97 89 3C 24 8B 78 24 8B 7F 04 8B 3C 8F 8B 68 24 8B 6D 04 89 7C 95 00 8B 78 24 8B 7F 04 8B 2C 24 89 2C 8F 42 4B 75 CD 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112220_0 {
	meta:
		name = "TDomXPathNodeSetResult.Assign"
		size = 239
		refs = "000c _DV_TDomXPathNodeSetResult 0011 @IsClass 007f _DV_TXPathExpression 00e6 TPersistent.Assign"
	strings:
		$1 = { 53 56 57 51 8B F2 8B F8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 62 3B FE 0F 84 C9 00 00 00 8B C7 8B 10 FF 92 A8 00 00 00 8B DE 8B C3 8B 10 FF 52 74 8B D0 8B C7 8B 08 FF 51 78 8B C3 8B 10 FF 92 8C 00 00 00 48 85 C0 0F 8C 9A 00 00 00 40 89 C3 C7 04 24 00 00 00 00 8B 14 24 8B C6 8B 08 FF 91 88 00 00 00 8B D0 8B C7 8B 08 FF 91 A0 00 00 00 FF 04 24 4B 75 E1 EB 6F 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 55 8B DE 3B 7B 50 74 57 8B C7 8B 10 FF 92 A8 00 00 00 8B C3 8B 10 FF 52 54 8B D0 8B C7 8B 08 FF 51 78 8B C3 8B 10 FF 52 68 48 85 C0 7C 31 40 89 C3 C7 04 24 00 00 00 00 8B 14 24 8B C6 8B 08 FF 51 64 8B D0 8B C7 8B 08 FF 91 A0 00 00 00 FF 04 24 4B 75 E4 EB 09 8B D6 8B C7 E8 ?? ?? ?? ?? 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112221_0 {
	meta:
		name = "CompareNodePosForwardAxis"
		size = 49
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 8B 08 FF 91 E0 00 00 00 8B D8 F6 C3 10 74 05 83 C8 FF EB 0E F6 C3 20 74 07 B8 01 00 00 00 EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112222_0 {
	meta:
		name = "CompareNodePosReverseAxis"
		size = 49
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D7 8B C6 8B 08 FF 91 E0 00 00 00 8B D8 F6 C3 10 74 07 B8 01 00 00 00 EB 0C F6 C3 20 74 05 83 C8 FF EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112223_0 {
	meta:
		name = "TDomXPathNodeSetResult.Sort"
		size = 44
		refs = "000f CompareNodePosForwardAxis 0017 TList.Sort 001e CompareNodePosReverseAxis"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 74 84 C0 75 0F BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 5B C3 BA ?? ?? ?? ?? 8B 43 24 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_112224_0 {
	meta:
		name = "TDomXPathBooleanResult.Create"
		size = 67
		refs = "000e @ClassCreate 001e TDomXPathCustomResult.Create 002e @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 88 5E 20 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_112226_0 {
	meta:
		name = "TDomXPathBooleanResult.AsNumber"
		size = 48
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 8B 10 FF 52 7C 84 C0 74 0F 33 C0 89 04 24 C7 44 24 04 00 00 F0 3F EB 09 33 C0 89 04 24 89 44 24 04 DD 04 24 59 5A 5B C3 }
	condition:
		$1
}

rule function_112227_0 {
	meta:
		name = "TDomXPathBooleanResult.AsWideString"
		size = 80
		refs = "0014 TDomXPathBooleanResult.AsWideString 0019 @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 7C 84 C0 74 0F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 08 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 0A 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_112229_0 {
	meta:
		name = "TDomXPathNumberResult.Create"
		size = 71
		refs = "000d @ClassCreate 001a TDomXPathCustomResult.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 45 08 89 46 20 8B 45 0C 89 46 24 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_112230_0 {
	meta:
		name = "TDomXPathNumberResult.AsBoolean"
		size = 64
		refs = "000f TDomXPathNumberResult.AsBoolean 002b IsNan"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 92 80 00 00 00 D8 1D ?? ?? ?? ?? 9B DF E0 9E 74 1A 8B C3 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 04 33 C0 5B C3 B0 01 5B C3 00 00 00 00 00 }
	condition:
		$1
}

rule function_112232_0 {
	meta:
		name = "TDomXPathNumberResult.AsWideString"
		size = 300
		refs = "0015 TDomXPathNumberResult.AsWideString 0031 IsNan 0041 @WStrAsg 005c IsInfinite 0076 Sign 00b7 CurrencyString 00bc FloatToStr 00c6 @WStrFromUStr 00db @UStrClr 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 C9 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 80 00 00 00 8B C3 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 36 8B C3 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 3C 01 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 30 8B C3 8B 10 FF 92 80 00 00 00 DB 7D F0 9B 0F B7 45 F8 50 FF 75 F4 FF 75 F0 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 06 00 00 00 4E 00 61 00 4E 00 00 00 10 00 00 00 49 00 6E 00 66 00 69 00 6E 00 69 00 74 00 79 00 00 00 00 00 12 00 00 00 2D 00 49 00 6E 00 66 00 69 00 6E 00 69 00 74 00 79 00 00 00 }
	condition:
		$1
}

rule function_112234_0 {
	meta:
		name = "TDomXPathStringResult.Create"
		size = 67
		refs = "000b @ClassCreate 001a TDomXPathCustomResult.Create 0024 @WStrAsg 002f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 20 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112235_0 {
	meta:
		name = "TDomXPathStringResult.AsBoolean"
		size = 102
		refs = "0012 TDomXPathStringResult.AsBoolean 0053 @WStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 91 84 00 00 00 8B 45 FC 89 45 F8 8B 45 F8 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 0F 9F C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_112240_0 {
	meta:
		name = "TDomXPathSyntaxTree.Clear"
		size = 17
		refs = "0006 TCustomOwnedObject.Clear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 10 5B C3 }
	condition:
		$1
}

rule function_112241_0 {
	meta:
		name = "TDomXPathSyntaxTree.CreateSyntaxNode"
		size = 942
		refs = "000f TDomXPathSyntaxTree.CreateSyntaxNode 00d0 _DV_TDomXPathLeftParenthesis 00d6 TDomXPathSyntaxNode.Create 00e0 _DV_TDomXPathRightParenthesis 00f0 _DV_TDomXPathLeftSquareBracket 0100 _DV_TDomXPathRightSquareBracket 0110 _DV_TDomXPathSingleDot 0120 _DV_TDomXPathDoubleDot 0130 _DV_TDomXPathCommercialAt 0140 _DV_TDomXPathComma 0150 _DV_TDomXPathDoubleColon 0160 _DV_TDomXPathNameTest 0166 TDomXPathNameTest.Create 0170 _DV_TDomXPathNodeTypeComment 0180 _DV_TDomXPathNodeTypeText 0190 _DV_TDomXPathNodeTypePI 01a0 _DV_TDomXPathNodeTypeNode 01b0 _DV_TDomXPathAndOperator 01c0 _DV_TDomXPathOrOperator 01d0 _DV_TDomXPathModOperator 01e0 _DV_TDomXPathDivOperator 01f0 _DV_TDomXPathMultiplyOperator 0200 _DV_TDomXPathSlashOperator 0210 _DV_TDomXPathShefferStrokeOperator 0220 _DV_TDomXPathPlusOperator 0230 _DV_TDomXPathMinusOperator 0240 _DV_TDomXPathIsEqualOperator 0250 _DV_TDomXPathIsNotEqualOperator 0260 _DV_TDomXPathLessThanOperator 0270 _DV_TDomXPathLessThanOrEqualOperator 0280 _DV_TDomXPathGreaterThanOperator 0290 _DV_TDomXPathGreaterThanOrEqualOperator 02a0 _DV_TDomXPathFunctionName 02b0 _DV_TDomXPathAxisNameAncestor 02b6 TDomXPathAxisNameAncestor.Create 02c0 _DV_TDomXPathAxisNameAncestorOrSelf 02c6 TDomXPathAxisNameAncestorOrSelf.Create 02d0 _DV_TDomXPathAxisNameAttribute 02d6 TDomXPathAxisNameAttribute.Create 02e0 _DV_TDomXPathAxisNameChild 02e6 TDomXPathCustomAxisName.Create 02f0 _DV_TDomXPathAxisNameDescendant 0300 _DV_TDomXPathAxisNameDescendantOrSelf 0310 _DV_TDomXPathAxisNameFollowing 0320 _DV_TDomXPathAxisNameFollowingSibling 0330 _DV_TDomXPathAxisNameNamespace 0336 TDomXPathAxisNameNamespace.Create 0340 _DV_TDomXPathAxisNameParent 0350 _DV_TDomXPathAxisNamePreceding 0356 TDomXPathAxisNamePreceding.Create 0360 _DV_TDomXPathAxisNamePrecedingSibling 0366 TDomXPathAxisNamePrecedingSibling.Create 0370 _DV_TDomXPathAxisNameSelf 0380 _DV_TDomXPathLiteral 0390 _DV_TDomXPathNumber 03a0 _DV_TDomXPathVariableReference 03a6 TDomXPathVariableReference.Create"
	strings:
		$1 = { 83 E2 7F 83 FA 2D 0F 87 9F 03 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 51 B2 01 8B 0D ?? ?? ?? ?? 91 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_112242_0 {
	meta:
		name = "TDomXPathSyntaxTree.Evaluate"
		size = 260
		refs = "002d TDomXPathSyntaxTree.Evaluate 0034 _DV_ENot_Supported_Err 0039 Exception.Create 003e @RaiseExcept 0050 _DV_EXPath_Invalid_Expression_Err"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 1C 85 C0 74 34 8B C3 8B 10 FF 52 1C 8B 10 FF 92 B4 00 00 00 48 2C 03 72 20 04 FE 2C 03 72 1A 2C 02 74 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 10 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 8B C3 8B 10 FF 52 1C 8B D0 B9 01 00 00 00 8B 43 10 8B 18 FF 53 20 5B C3 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 4E 00 6F 00 20 00 76 00 61 00 6C 00 69 00 64 00 20 00 58 00 50 00 61 00 74 00 68 00 20 00 65 00 78 00 70 00 72 00 65 00 73 00 73 00 69 00 6F 00 6E 00 20 00 70 00 72 00 65 00 70 00 61 00 72 00 65 00 64 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112244_0 {
	meta:
		name = "TDomXPathSyntaxTree.Prepare"
		size = 7932
		refs = "0016 TDomXPathSyntaxTree.Prepare 0031 _DV_TDomXPathTokenizer 0036 TDomXPathTokenizer.Create 004e _DV_TDomXPathSyntaxNodeStack 0053 TDomXPathSyntaxNodeStack.Create 0070 @WStrClr 00a3 _DV_TDomXPathAndExpr 00a8 @IsClass 0191 _DV_TDomXPathOrOperator 01ad _DV_TDomXPathOrExpr 01c3 TObject.Free 01d3 TDomXPathSyntaxNode.Create 020e _DV_TDomXPathAndOperator 021f _DV_TDomXPathComma 0230 _DV_TDomXPathCommercialAt 0241 _DV_TDomXPathCustomAxisName 0261 _DV_TDomXPathDivExpr 0272 _DV_TDomXPathModExpr 0283 _DV_TDomXPathMultiplyExpr 02e7 _DV_TDomXPathPlusOperator 0303 _DV_TDomXPathPlusExpr 031f _DV_TDomXPathMinusExpr 036c _DV_TDomXPathMinusOperator 0405 _DV_TDomXPathDivOperator 0416 _DV_TDomXPathDoubleColon 0436 _DV_TDomXPathDoubleDot 0451 _DV_TDomXPathStep 0463 _DV_TDomXPathAxisNameParent 0468 TDomXPathCustomAxisName.Create 0476 _DV_TDomXPathNodeTest 048c _DV_TDomXPathNodeTypeNode 04a7 _DV_TDomXPathExpr 04c7 _DV_TDomXPathFilterExpr 0506 _DV_TDomXPathPathExpr 051f _DV_TDomXPathFunctionName 053f _DV_TDomXPathGreaterThanExpr 0550 _DV_TDomXPathGreaterThanOrEqualExpr 0561 _DV_TDomXPathLessThanExpr 0572 _DV_TDomXPathLessThanOrEqualExpr 062a _DV_TDomXPathIsEqualOperator 0646 _DV_TDomXPathIsEqualExpr 0662 _DV_TDomXPathIsNotEqualExpr 06af _DV_TDomXPathIsNotEqualOperator 0748 _DV_TDomXPathGreaterThanOperator 0759 _DV_TDomXPathGreaterThanOrEqualOperator 0905 _DV_TDomXPathLeftParenthesis 0916 _DV_TDomXPathLeftSquareBracket 0927 _DV_TDomXPathLessThanOperator 0938 _DV_TDomXPathLessThanOrEqualOperator 0958 _DV_TDomXPathLiteral 098d _DV_TDomXPathNodeTypePI 09be _DV_TDomXPathPrimaryExpr 0d91 _DV_TDomXPathModOperator 0da2 _DV_TDomXPathMultiplyOperator 0dc2 _DV_TDomXPathNameTest 0ec2 _DV_TDomXPathAxisNameAttribute 0ec7 TDomXPathAxisNameAttribute.Create 0ef1 _DV_TDomXPathAxisNameChild 0f1d _DV_TDomXPathNodeTypeComment 0f50 _DV_TDomXPathNodeTypeText 0f70 _DV_TDomXPathNumber 110b _DV_TDomXPathShefferStrokeOperator 1127 _DV_TDomXPathUnionExpr 11a8 _DV_TDomXPathPredicate 13d5 _DV_TDomXPathRightParenthesis 15cd _DV_TDomXPathFunctionCall 15d2 TDomXPathFunctionCall.Create 15ee TList.Insert 16f4 _DV_TDomXPathRightSquareBracket 17ee _DV_TDomXPathSingleDot 181b _DV_TDomXPathAxisNameSelf 185f _DV_TDomXPathSlashOperator 18d3 _DV_TDomXPathAbsoluteLocationPath 1a85 _DV_TDomXPathUnaryExpr 1e20 _DV_TDomXPathVariableReference 1ea2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 C9 89 4D FC 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 10 FF 52 10 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F4 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 8D 55 EF 8B 45 E8 8B 18 FF 53 18 0F B6 45 EF 04 D2 2C 02 0F 82 BE 1D 00 00 0F B6 55 EF 8B 4D FC 8B C6 8B 18 FF 53 18 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 56 01 00 00 B2 14 8B 45 E8 8B 08 FF 51 14 84 C0 0F 85 B0 00 00 00 B2 12 8B 45 E8 8B 08 FF 51 14 84 C0 0F 85 9E 00 00 00 B2 11 8B 45 E8 8B 08 FF 51 14 84 C0 0F 85 8C 00 00 00 B2 10 8B 45 E8 8B 08 FF 51 14 84 C0 75 7E B2 15 8B 45 E8 8B 08 FF 51 14 84 C0 75 70 B2 16 8B 45 E8 8B 08 FF 51 14 84 C0 75 62 B2 19 8B 45 E8 8B 08 FF 51 14 84 C0 75 54 B2 1A 8B 45 E8 8B 08 FF 51 14 84 C0 75 46 B2 1B 8B 45 E8 8B 08 FF 51 14 84 C0 75 38 B2 1C 8B 45 E8 8B 08 FF 51 14 84 C0 75 2A B2 17 8B 45 E8 8B 08 FF 51 14 84 C0 75 1C B2 18 8B 45 E8 8B 08 FF 51 14 84 C0 75 0E B2 0E 8B 45 E8 8B 08 FF 51 14 84 C0 74 0F 8B D3 8B 45 F0 8B 08 FF 51 14 E9 E3 FE FF FF 33 D2 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 50 BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 F0 8B 10 FF 52 10 E8 ?? ?? ?? ?? 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 F0 8B 10 FF 52 10 89 47 0C 89 5F 10 8B DF E9 B1 FE FF FF 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 5F 0C 8B DF E9 95 FE FF FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 33 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 22 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B D3 8B 45 F0 8B 08 FF 51 14 E9 0B FE FF FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 26 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 15 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 6D 01 00 00 B2 14 8B 45 E8 8B 08 FF 51 14 84 C0 75 2A B2 12 8B 45 E8 8B 08 FF 51 14 84 C0 75 1C B2 11 8B 45 E8 8B 08 FF 51 14 84 C0 75 0E B2 10 8B 45 E8 8B 08 FF 51 14 84 C0 74 0F 8B D3 8B 45 F0 8B 08 FF 51 14 E9 8D FD FF FF 33 D2 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6C BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1C BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 F0 8B 10 FF 52 10 E8 ?? ?? ?? ?? 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 F0 8B 10 FF 52 10 89 47 0C 89 5F 10 8B DF E9 3F FD FF FF 33 D2 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6C BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1C BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 F0 8B 10 FF 52 10 E8 ?? ?? ?? ?? 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 F0 8B 10 FF 52 10 89 47 0C 89 5F 10 8B DF E9 BA FC FF FF 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 5F 0C 8B DF E9 9E FC FF FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B D3 8B 45 F0 8B 08 FF 51 14 E9 36 FC FF FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 60 8B C3 E8 ?? ?? ?? ?? 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 0C 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 0C 89 42 0C 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 53 0C 8B 52 0C 89 42 0C E9 FC FB FF FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B D3 8B 45 F0 8B 08 FF 51 14 E9 A5 FB FF FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 47 B2 13 8B 45 E8 8B 08 FF 51 14 84 C0 75 0E B2 02 8B 45 E8 8B 08 FF 51 14 84 C0 74 0F 8B D3 8B 45 F0 8B 08 FF 51 14 E9 69 FB FF FF 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 5F 0C 8B DF E9 84 FB FF FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B D3 8B 45 F0 8B 08 FF 51 14 E9 2D FB FF FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 37 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 26 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 15 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C1 01 00 00 B2 14 8B 45 E8 8B 08 FF 51 14 84 C0 75 7E B2 12 8B 45 E8 8B 08 FF 51 14 84 C0 75 70 B2 11 8B 45 E8 8B 08 FF 51 14 84 C0 75 62 B2 10 8B 45 E8 8B 08 FF 51 14 84 C0 75 54 B2 15 8B 45 E8 8B 08 FF 51 14 84 C0 75 46 B2 16 8B 45 E8 8B 08 FF 51 14 84 C0 75 38 B2 19 8B 45 E8 8B 08 FF 51 14 84 C0 75 2A B2 1A 8B 45 E8 8B 08 FF 51 14 84 C0 75 1C B2 1B 8B 45 E8 8B 08 FF 51 14 84 C0 75 0E B2 1C 8B 45 E8 8B 08 FF 51 14 84 C0 74 0F 8B D3 8B 45 F0 8B 08 FF 51 14 E9 4A FA FF FF 33 D2 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6C BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1C BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 F0 8B 10 FF 52 10 E8 ?? ?? ?? ?? 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 F0 8B 10 FF 52 10 89 47 0C 89 5F 10 8B DF E9 FC F9 FF FF 33 D2 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6C BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1C BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 F0 8B 10 FF 52 10 E8 ?? ?? ?? ?? 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 F0 8B 10 FF 52 10 89 47 0C 89 5F 10 8B DF E9 77 F9 FF FF 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 5F 0C 8B DF E9 5B F9 FF FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B D3 8B 45 F0 8B 08 FF 51 14 E9 F3 F8 FF FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 15 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 44 01 00 00 B2 14 8B 45 E8 8B 08 FF 51 14 84 C0 0F 85 9E 00 00 00 B2 12 8B 45 E8 8B 08 FF 51 14 84 C0 0F 85 8C 00 00 00 B2 11 8B 45 E8 8B 08 FF 51 14 84 C0 75 7E B2 10 8B 45 E8 8B 08 FF 51 14 84 C0 75 70 B2 15 8B 45 E8 8B 08 FF 51 14 84 C0 75 62 B2 16 8B 45 E8 8B 08 FF 51 14 84 C0 75 54 B2 19 8B 45 E8 8B 08 FF 51 14 84 C0 75 46 B2 1A 8B 45 E8 8B 08 FF 51 14 84 C0 75 38 B2 1B 8B 45 E8 8B 08 FF 51 14 84 C0 75 2A B2 1C 8B 45 E8 8B 08 FF 51 14 84 C0 75 1C B2 17 8B 45 E8 8B 08 FF 51 14 84 C0 75 0E B2 18 8B 45 E8 8B 08 FF 51 14 84 C0 74 0F 8B D3 8B 45 F0 8B 08 FF 51 14 E9 0E F8 FF FF 33 D2 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 50 BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 F0 8B 10 FF 52 10 E8 ?? ?? ?? ?? 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 F0 8B 10 FF 52 10 89 47 0C 89 5F 10 8B DF E9 DC F7 FF FF 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 5F 0C 8B DF E9 C0 F7 FF FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 55 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 44 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 33 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 22 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B D3 8B 45 F0 8B 08 FF 51 14 E9 14 F7 FF FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6E 33 D2 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 39 BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1D B2 01 8B 45 E8 8B 08 FF 51 14 84 C0 74 0F 8B D3 8B 45 F0 8B 08 FF 51 14 E9 B1 F6 FF FF 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 5F 0C 8B DF E9 CC F6 FF FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 15 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 83 03 00 00 B2 14 8B 45 E8 8B 08 FF 51 14 84 C0 75 46 B2 12 8B 45 E8 8B 08 FF 51 14 84 C0 75 38 B2 11 8B 45 E8 8B 08 FF 51 14 84 C0 75 2A B2 10 8B 45 E8 8B 08 FF 51 14 84 C0 75 1C B2 15 8B 45 E8 8B 08 FF 51 14 84 C0 75 0E B2 16 8B 45 E8 8B 08 FF 51 14 84 C0 74 0F 8B D3 8B 45 F0 8B 08 FF 51 14 E9 0C F6 FF FF 33 D2 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A4 00 00 00 BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 54 BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 38 BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1C BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 F0 8B 10 FF 52 10 E8 ?? ?? ?? ?? 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 F0 8B 10 FF 52 10 89 47 0C 89 5F 10 8B DF E9 82 F5 FF FF 33 D2 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A4 00 00 00 BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 54 BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 38 BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1C BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 F0 8B 10 FF 52 10 E8 ?? ?? ?? ?? 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 F0 8B 10 FF 52 10 89 47 0C 89 5F 10 8B DF E9 C1 F4 FF FF 33 D2 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A4 00 00 00 BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 54 BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 38 BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1C BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 F0 8B 10 FF 52 10 E8 ?? ?? ?? ?? 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 F0 8B 10 FF 52 10 89 47 0C 89 5F 10 8B DF E9 00 F4 FF FF 33 D2 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 A4 00 00 00 BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 54 BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 38 BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1C BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 F0 8B 10 FF 52 10 E8 ?? ?? ?? ?? 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 8B 45 F0 8B 10 FF 52 10 89 47 0C 89 5F 10 8B DF E9 3F F3 FF FF 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 5F 0C 8B DF E9 23 F3 FF FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 22 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B D3 8B 45 F0 8B 08 FF 51 14 E9 AA F2 FF FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 5F 0C 8B DF E9 B4 F2 FF FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 19 01 00 00 B2 02 8B 45 E8 8B 08 FF 51 14 84 C0 74 0F 8B D3 8B 45 F0 8B 08 FF 51 14 E9 4B F2 FF FF 33 D2 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 5F BA 01 00 00 00 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 F0 8B 10 FF 52 10 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 10 8B F8 89 5F 0C 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 7B 0C E9 19 F2 FF FF 8B D3 8B 45 F0 8B 08 FF 51 14 E9 D3 F1 FF FF 33 D2 8B 45 F0 8B 08 FF 51 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3C 8B 45 F0 8B 10 FF 52 10 E8 ?? ?? ?? ?? 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 5F 0C 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 7B 0C E9 B5 F1 FF FF 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 5F 0C 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 89 7B 0C E9 86 F1 FF FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 33 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 22 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B D3 8B 45 F0 8B 08 FF 51 14 E9 FC F0 FF FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1C 6A 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 5F 0C 8B DF E9 06 F1 FF FF 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 FF 00 00 00 B2 14 8B 45 E8 8B 08 FF 51 14 84 C0 0F 85 C2 00 00 00 B2 12 8B 45 E8 8B 08 FF 51 14 84 C0 0F 85 B0 00 00 00 B2 11 8B 45 E8 8B 08 FF 51 14 84 C0 0F 85 9E 00 00 00 B2 10 8B 45 E8 8B 08 FF 51 14 84 C0 0F 85 8C 00 00 00 B2 15 8B 45 E8 8B 08 FF 51 14 }
	condition:
		$1
}

rule function_112245_0 {
	meta:
		name = "TDomXPathSyntaxTree.GetContextNode"
		size = 14
	strings:
		$1 = { 8B 50 0C 85 D2 74 04 8B 42 40 C3 33 C0 C3 }
	condition:
		$1
}

rule function_112246_0 {
	meta:
		name = "TDomXPathSyntaxTree.LookupNamespaceURI"
		size = 42
		refs = "0018 TXPathExpression.LookupNamespaceURI 0021 @WStrClr"
	strings:
		$1 = { 53 56 57 55 8B F1 8B EA 8B D8 8B 7B 0C 85 FF 74 0D 8B CE 8B D5 8B C7 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112247_0 {
	meta:
		name = "TXPathExpression.Create"
		size = 74
		refs = "000a @ClassCreate 0017 TComponent.Create 0024 _DV_TDomXPathSyntaxTree 0029 TDomXPathSyntaxTree.Create 0037 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 44 00 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 4C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_112249_0 {
	meta:
		name = "TXPathExpression.Evaluate"
		size = 123
		refs = "0011 TObject.Free 0021 TXPathExpression.Evaluate 0055 @HandleAnyException 006f @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 50 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 50 8B D8 84 DB 74 11 8B 45 FC 8B 40 4C 8B 10 FF 52 24 8B 55 FC 89 42 50 33 C0 5A 59 59 64 89 10 EB 1F E9 ?? ?? ?? ?? 33 DB 8B 45 FC 8B 40 50 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 50 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_112250_0 {
	meta:
		name = "TXPathExpression.HasNodeSetResult"
		size = 34
	strings:
		$1 = { 53 56 8B D8 8B 73 50 85 F6 74 12 8B C6 8B 10 FF 92 8C 00 00 00 85 C0 0F 9F C0 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_112251_0 {
	meta:
		name = "TXPathExpression.LookupNamespaceURI"
		size = 63
		refs = "0024 @WStrClr"
	strings:
		$1 = { 53 56 57 55 8B F1 8B FA 8B D8 83 7B 40 00 74 11 8B CE 8B D7 8B 43 40 8B 28 FF 95 44 01 00 00 EB 07 8B C6 E8 ?? ?? ?? ?? 66 83 7B 3A 00 74 0B 56 8B CF 8B D3 8B 43 3C FF 53 38 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112252_0 {
	meta:
		name = "TXPathExpression.Prepare"
		size = 45
	strings:
		$1 = { 53 8B D8 0F B6 43 44 84 C0 75 1B 8B 53 48 8B 43 4C 8B 08 FF 51 28 84 C0 74 06 C6 43 44 01 EB 0B C6 43 44 02 5B C3 3C 01 0F 94 C0 5B C3 }
	condition:
		$1
}

rule function_112253_0 {
	meta:
		name = "TXPathExpression.ResultAsBoolean"
		size = 18
	strings:
		$1 = { 8B 50 50 85 D2 74 08 8B C2 8B 10 FF 52 7C C3 33 C0 C3 }
	condition:
		$1
}

rule function_112254_0 {
	meta:
		name = "TXPathExpression.ResultAsNumber"
		size = 45
	strings:
		$1 = { 83 C4 F8 8B 50 50 85 D2 74 10 8B C2 8B 10 FF 92 80 00 00 00 DD 1C 24 9B EB 0D 33 C0 89 04 24 C7 44 24 04 00 00 F8 FF DD 04 24 59 5A C3 }
	condition:
		$1
}

rule function_112255_0 {
	meta:
		name = "TXPathExpression.ResultAsWideString"
		size = 39
		refs = "001f @WStrClr"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 50 85 FF 74 0E 8B D6 8B C7 8B 08 FF 91 84 00 00 00 EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112256_0 {
	meta:
		name = "TXPathExpression.ResultAxisType"
		size = 26
	strings:
		$1 = { 53 56 8B D8 8B 73 50 85 F6 74 0A 8B C6 8B 10 FF 52 74 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_112257_0 {
	meta:
		name = "TXPathExpression.ResultLength"
		size = 21
	strings:
		$1 = { 8B 50 50 85 D2 74 0B 8B C2 8B 10 FF 92 8C 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_112258_0 {
	meta:
		name = "TXPathExpression.ResultNode"
		size = 21
	strings:
		$1 = { 8B 48 50 85 C9 74 0B 8B C1 8B 08 FF 91 88 00 00 00 C3 33 C0 C3 }
	condition:
		$1
}

rule function_112259_0 {
	meta:
		name = "TXPathExpression.SetContextNode"
		size = 120
		refs = "0016 _DV_TDomDocumentXPath 001b @IsClass 0024 TXPathExpression.SetContextNode 002b _DV_ENot_Supported_Err 0030 Exception.Create 0035 @RaiseExcept"
	strings:
		$1 = { 53 56 8B DA 8B F0 85 DB 74 2F 8B C3 8B 10 FF 92 C4 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 5E 40 5E 5B C3 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112260_0 {
	meta:
		name = "TXPathExpression.SetExpression"
		size = 43
		refs = "000c @WStrEqual 0018 @WStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 48 E8 ?? ?? ?? ?? 74 16 8D 43 48 8B D6 E8 ?? ?? ?? ?? 8B 43 4C 8B 10 FF 52 10 C6 43 44 00 5E 5B C3 }
	condition:
		$1
}

rule function_112262_0 {
	meta:
		name = "TDomXPathSyntaxNodeStack.Destroy"
		size = 51
		refs = "0003 @BeforeDestruction 0016 TObject.Free 0021 TObject.Destroy 002c @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 8B 10 FF 52 08 8B 46 04 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_112263_0 {
	meta:
		name = "TDomXPathSyntaxNodeStack.Clear"
		size = 42
		refs = "0019 TList.Get 001e TObject.Free"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 04 8B 58 08 4B 85 DB 7C 16 43 33 F6 8B 47 04 8B D6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 75 ED 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112265_0 {
	meta:
		name = "TDomXPathSyntaxNodeStack.Peek"
		size = 36
	strings:
		$1 = { 8B 48 04 8B 49 08 49 2B CA 8B D1 85 D2 7C 08 8B 48 04 3B 51 08 7C 03 33 C0 C3 8B 40 04 8B 40 04 8B 04 90 C3 }
	condition:
		$1
}

rule function_112266_0 {
	meta:
		name = "TDomXPathSyntaxNodeStack.Pop"
		size = 37
		refs = "000e TList.Get 001c TList.Delete"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 8B 56 08 4A 8B C6 E8 ?? ?? ?? ?? 8B F0 8B 43 04 8B 50 08 4A E8 ?? ?? ?? ?? 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_112268_0 {
	meta:
		name = "TDomXPathSyntaxNode.Create"
		size = 80
		refs = "000d @ClassCreate 001a TCustomOwnedObject.Create 002f @WStrAsg 003a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 0C 33 C0 89 46 10 8D 46 14 8B 55 08 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_112270_0 {
	meta:
		name = "TDomXPathSyntaxNode.LookupNamespaceURI"
		size = 49
		refs = "0020 TDomXPathSyntaxTree.LookupNamespaceURI 0029 @WStrClr"
	strings:
		$1 = { 53 56 57 8B F1 8B FA 8B D8 8B C3 8B 10 FF 52 18 85 C0 74 12 8B C3 8B 10 FF 52 18 8B CE 8B D7 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112271_0 {
	meta:
		name = "TDomXPathPathExpr.AddStep"
		size = 55
		refs = "0019 _DV_TDomXPathStep 001e @IsClass"
		altNames = "TDomXPathStep.AddStep"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 10 85 F6 75 07 89 7B 10 B0 01 EB 1E 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D7 8B C6 8B 08 FF 51 20 EB 02 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112272_0 {
	meta:
		name = "TDomXPathStep.Evaluate"
		size = 192
		refs = "000c TDomXPathStep.Evaluate 0013 _DV_EXPath_Type_Err 0018 Exception.Create 001d @RaiseExcept 0026 _DV_TDomXPathCustomAxisName 002b @IsClass 0054 _DV_TDomXPathStep"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 41 8B C6 8B 10 FF 92 8C 00 00 00 85 C0 7E 2F 8B D6 8B 43 0C 8B 08 FF 51 24 8B F0 8B 7B 10 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C7 8B 08 FF 51 24 EB 1E 8B C6 EB 1A 8B C6 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112273_0 {
	meta:
		name = "TDomXPathCustomAxisName.Create"
		size = 71
		refs = "000d @ClassCreate 001e TDomXPathSyntaxNode.Create 0031 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 18 00 C6 46 19 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_112274_0 {
	meta:
		name = "EvaluatePredicate"
		size = 160
		refs = "0018 _DV_TDomXPathPredicate 001d @IsClass 004c TObject.Free 0051 EvaluatePredicate 0058 _DV_EXPath_Type_Err 005d Exception.Create 0062 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 53 56 8B D8 8B 45 08 8B 40 FC 8B 70 10 85 F6 74 54 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 24 8B C3 8B 10 FF 92 8C 00 00 00 85 C0 7E 12 8B 45 08 8B 40 FC 8B 40 10 8B D3 8B 08 FF 51 20 EB 25 8B C3 EB 21 8B C3 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 8B C3 5E 5B 5D C3 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112275_0 {
	meta:
		name = "EvaluateNodeTest"
		size = 188
		refs = "0018 _DV_TDomXPathNodeTest 001d @IsClass 0056 TObject.Free 005b EvaluateNodeTest 0062 _DV_EXPath_Type_Err 0067 Exception.Create 006c @RaiseExcept"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 8B 45 08 8B 40 FC 8B 58 0C 85 DB 74 5E 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2E 8B C6 8B 10 FF 92 8C 00 00 00 85 C0 7E 1C 8B 45 08 8B 40 FC 0F B6 48 19 8B 45 08 8B 40 FC 8B 40 0C 8B D6 8B 18 FF 53 20 EB 39 8B C6 EB 35 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 5D C3 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112276_0 {
	meta:
		name = "TDomXPathCustomAxisName.Evaluate"
		size = 360
		refs = "0016 TDomXPathCustomAxisName.Evaluate 001d _DV_EXPath_Type_Err 0022 Exception.Create 0027 @RaiseExcept 003c _DV_TDomXPathNodeSetResult 0041 TDomXPathNodeSetResult.Create 009e EvaluateNodeTest 00a5 EvaluatePredicate 00da TObject.Free 00e0 @HandleFinally 00f9 @HandleAnyException 0106 @RaiseAgain 010b @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 F8 89 45 FC 83 7D F8 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 0F B6 50 18 8B 45 F4 8B 08 FF 51 78 8B 45 F8 8B 10 FF 92 8C 00 00 00 48 85 C0 7C 79 40 89 45 E8 C7 45 F0 00 00 00 00 8B 55 F0 8B 45 F8 8B 08 FF 91 88 00 00 00 85 C0 74 54 8B D0 8B 45 FC 8B 08 FF 51 20 55 E8 ?? ?? ?? ?? 59 55 E8 ?? ?? ?? ?? 59 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 EC 8B 45 F4 8B 08 FF 91 B0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 FF 45 F0 FF 4D E8 75 92 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112277_0 {
	meta:
		name = "TDomXPathAxisNameAncestor.Create"
		size = 67
		refs = "000d @ClassCreate 001e TDomXPathCustomAxisName.Create 002d @AfterConstruction"
		altNames = "TDomXPathAxisNameAncestorOrSelf.Create TDomXPathAxisNamePreceding.Create TDomXPathAxisNamePrecedingSibling.Create"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 18 01 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_112278_0 {
	meta:
		name = "TDomXPathAxisNameAncestor.GetAxisNodeSnapshot"
		size = 147
		refs = "000a _DV_TDomXPathNodeSetResult 000f TDomXPathNodeSetResult.Create"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 0F B6 53 18 8B C6 8B 08 FF 51 78 85 FF 74 69 8B C7 8B 10 FF 92 B4 00 00 00 FE C8 74 0F FE C8 74 19 48 2C 05 72 06 2C 03 74 1E EB 2A 8B C7 8B 10 FF 92 B8 00 00 00 8B D8 EB 1E 8B C7 8B 10 FF 92 64 01 00 00 8B D8 EB 10 8B C7 8B 10 FF 92 58 01 00 00 8B D8 EB 02 33 DB 85 DB 74 1C 8B D3 8B C6 8B 08 FF 91 A0 00 00 00 8B C3 8B 10 FF 92 B8 00 00 00 8B D8 85 DB 75 E4 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112280_0 {
	meta:
		name = "TDomXPathAxisNameAncestorOrSelf.GetAxisNodeSnapshot"
		size = 159
		refs = "000a _DV_TDomXPathNodeSetResult 000f TDomXPathNodeSetResult.Create"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 0F B6 57 18 8B C6 8B 08 FF 51 78 85 DB 74 75 8B D3 8B C6 8B 08 FF 91 A0 00 00 00 8B C3 8B 10 FF 92 B4 00 00 00 FE C8 74 0F FE C8 74 19 48 2C 05 72 06 2C 03 74 1E EB 2A 8B C3 8B 10 FF 92 B8 00 00 00 8B D8 EB 1E 8B C3 8B 10 FF 92 64 01 00 00 8B D8 EB 10 8B C3 8B 10 FF 92 58 01 00 00 8B D8 EB 02 33 DB 85 DB 74 1C 8B D3 8B C6 8B 08 FF 91 A0 00 00 00 8B C3 8B 10 FF 92 B8 00 00 00 8B D8 85 DB 75 E4 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112281_0 {
	meta:
		name = "TDomXPathAxisNameAttribute.Create"
		size = 67
		refs = "000d @ClassCreate 001e TDomXPathCustomAxisName.Create 002d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 19 02 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_112282_0 {
	meta:
		name = "TDomXPathAxisNameAttribute.GetAxisNodeSnapshot"
		size = 147
		refs = "000b _DV_TDomXPathNodeSetResult 0010 TDomXPathNodeSetResult.Create 005d _DV_TDomAttr 0062 @AsClass"
	strings:
		$1 = { 53 56 57 51 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 0F B6 56 18 8B C7 8B 08 FF 51 78 85 DB 74 67 8B C3 8B 10 FF 92 B4 00 00 00 3C 01 75 59 8B C3 8B 10 FF 92 80 00 00 00 89 04 24 8B 04 24 8B 10 FF 12 8B F0 4E 85 F6 7C 3E 46 33 DB 8B D3 8B 04 24 8B 08 FF 51 08 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 FF 92 5C 01 00 00 3C 02 75 16 8B D3 8B 04 24 8B 08 FF 51 08 8B D0 8B C7 8B 08 FF 91 A0 00 00 00 43 4E 75 C5 8B C7 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112283_0 {
	meta:
		name = "TDomXPathAxisNameChild.GetAxisNodeSnapshot"
		size = 100
		refs = "000b _DV_TDomXPathNodeSetResult 0010 TDomXPathNodeSetResult.Create"
	strings:
		$1 = { 53 56 57 51 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 0F B6 56 18 8B C7 8B 08 FF 51 78 85 DB 74 38 8B C3 8B 10 FF 92 88 00 00 00 89 04 24 8B 04 24 8B 10 FF 12 8B D8 4B 85 DB 7C 1D 43 33 F6 8B D6 8B 04 24 8B 08 FF 51 08 8B D0 8B C7 8B 08 FF 91 A0 00 00 00 46 4B 75 E6 8B C7 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112284_0 {
	meta:
		name = "TDomXPathAxisNameDescendant.GetAxisNodeSnapshot"
		size = 168
		refs = "000c _DV_TDomXPathNodeSetResult 0011 TDomXPathNodeSetResult.Create 003b TDomXPathAxisNameDescendant.GetAxisNodeSnapshot"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 0F B6 53 18 8B C6 8B 08 FF 51 78 83 3C 24 00 74 73 6A 00 6A 00 8B 44 24 08 8B 10 FF 92 C4 00 00 00 0F B7 0D ?? ?? ?? ?? 8B 54 24 08 8B 18 FF 93 84 01 00 00 8B F8 8B C7 8B 10 FF 52 14 8B D8 3B 1C 24 75 09 8B C7 8B 10 FF 52 14 8B D8 85 DB 74 19 8B D3 8B C6 8B 08 FF 91 A0 00 00 00 8B C7 8B 10 FF 52 14 8B D8 85 DB 75 E7 8B C7 8B 10 FF 52 10 8B 04 24 8B 10 FF 92 C4 00 00 00 8B 10 FF 92 80 01 00 00 8B C6 5A 5F 5E 5B C3 00 00 FA 00 00 00 }
	condition:
		$1
}

rule function_112285_0 {
	meta:
		name = "TDomXPathAxisNameDescendantOrSelf.GetAxisNodeSnapshot"
		size = 152
		refs = "000c _DV_TDomXPathNodeSetResult 0011 TDomXPathNodeSetResult.Create 003b TDomXPathAxisNameDescendantOrSelf.GetAxisNodeSnapshot"
	strings:
		$1 = { 53 56 57 51 89 14 24 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 0F B6 53 18 8B C6 8B 08 FF 51 78 83 3C 24 00 74 65 6A 00 6A 00 8B 44 24 08 8B 10 FF 92 C4 00 00 00 0F B7 0D ?? ?? ?? ?? 8B 54 24 08 8B 18 FF 93 84 01 00 00 8B F8 8B C7 8B 10 FF 52 14 8B D8 85 DB 74 19 8B D3 8B C6 8B 08 FF 91 A0 00 00 00 8B C7 8B 10 FF 52 14 8B D8 85 DB 75 E7 8B C7 8B 10 FF 52 10 8B 04 24 8B 10 FF 92 C4 00 00 00 8B 10 FF 92 80 01 00 00 8B C6 5A 5F 5E 5B C3 FA 01 00 00 }
	condition:
		$1
}

rule function_112286_0 {
	meta:
		name = "TDomXPathAxisNameFollowing.GetAxisNodeSnapshot"
		size = 200
		refs = "000a _DV_TDomXPathNodeSetResult 000f TDomXPathNodeSetResult.Create"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 0F B6 56 18 8B C7 8B 08 FF 51 78 85 DB 0F 84 9A 00 00 00 8B C3 8B 10 FF 92 B4 00 00 00 FE C8 74 0A 04 FE 2C 05 0F 83 82 00 00 00 8B F3 8B C3 8B 10 FF 92 AC 00 00 00 8B D8 85 DB 74 70 8B C6 8B 10 FF 92 B4 00 00 00 3C 03 74 1C 8B C6 8B 10 FF 92 B4 00 00 00 3C 04 74 0E 8B C6 8B 10 FF 92 B4 00 00 00 3C 05 75 2A 8B C3 8B 10 FF 92 B4 00 00 00 3C 03 74 28 8B C3 8B 10 FF 92 B4 00 00 00 3C 04 74 1A 8B C3 8B 10 FF 92 B4 00 00 00 3C 05 74 0C 8B D3 8B C7 8B 08 FF 91 A4 00 00 00 8B F3 8B C3 8B 10 FF 92 AC 00 00 00 85 DB 75 90 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112287_0 {
	meta:
		name = "TDomXPathAxisNameFollowingSibling.GetAxisNodeSnapshot"
		size = 202
		refs = "000a _DV_TDomXPathNodeSetResult 000f TDomXPathNodeSetResult.Create"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 0F B6 56 18 8B C7 8B 08 FF 51 78 85 DB 0F 84 9C 00 00 00 8B C3 8B 10 FF 92 B4 00 00 00 FE C8 74 0A 04 FE 2C 05 0F 83 84 00 00 00 8B F3 8B C3 8B 10 FF 92 AC 00 00 00 8B D8 85 DB 74 72 8B C6 8B 10 FF 92 B4 00 00 00 3C 03 74 1C 8B C6 8B 10 FF 92 B4 00 00 00 3C 04 74 0E 8B C6 8B 10 FF 92 B4 00 00 00 3C 05 75 2A 8B C3 8B 10 FF 92 B4 00 00 00 3C 03 74 28 8B C3 8B 10 FF 92 B4 00 00 00 3C 04 74 1A 8B C3 8B 10 FF 92 B4 00 00 00 3C 05 74 0C 8B D3 8B C7 8B 08 FF 91 A0 00 00 00 8B F3 8B C6 8B 10 FF 92 AC 00 00 00 8B D8 85 DB 75 8E 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112288_0 {
	meta:
		name = "TDomXPathAxisNameNamespace.Create"
		size = 67
		refs = "000d @ClassCreate 001e TDomXPathCustomAxisName.Create 002d @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 19 0B 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_112289_0 {
	meta:
		name = "TDomXPathAxisNameNamespace.GetAxisNodeSnapshot"
		size = 616
		refs = "0022 TDomXPathAxisNameNamespace.GetAxisNodeSnapshot 002f _DV_TDomXPathNodeSetResult 0034 TDomXPathNodeSetResult.Create 005d _Dn_TUtilsNameValueList 0062 TUtilsNameValueList.Create 007d TUtilsNameValueList.SetSorted 0087 TUtilsNameValueList.SetDuplicates 01a7 _DV_TDomElement 01ac @AsClass 01d5 TObject.Free 01db @HandleFinally 01f7 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 33 C9 89 4D D8 89 4D D4 89 4D E0 89 4D DC 89 4D E4 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 0F B6 53 18 8B 45 F8 8B 08 FF 51 78 8B 45 FC 8B 10 FF 92 B4 00 00 00 3C 01 0F 85 87 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 8B 45 F4 E8 ?? ?? ?? ?? 33 D2 8B 45 F4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 F4 8B 18 FF 53 28 8B 45 FC 89 45 F0 83 7D F0 00 0F 84 BA 00 00 00 8B 45 F0 8B 10 FF 92 B4 00 00 00 3C 01 0F 85 A7 00 00 00 8B 45 F0 8B 10 FF 92 80 00 00 00 89 45 E8 8B 45 E8 8B 10 FF 12 8B D8 4B 85 DB 7C 73 43 C7 45 EC 00 00 00 00 8B 55 EC 8B 45 E8 8B 08 FF 51 08 8B F0 8B C6 8B 10 FF 92 5C 01 00 00 2C 01 72 04 74 1E EB 46 8D 55 E4 8B C6 8B 08 FF 91 B0 00 00 00 8B 4D E4 33 D2 8B 45 F4 8B 30 FF 56 28 EB 2A 8D 55 E0 8B C6 8B 08 FF 91 B0 00 00 00 8B 45 E0 50 8D 55 DC 8B C6 8B 08 FF 91 A4 00 00 00 8B 55 DC 8B 45 F4 59 8B 30 FF 56 28 FF 45 EC 4B 75 95 8B 45 F0 8B 10 FF 92 B8 00 00 00 89 45 F0 83 7D F0 00 0F 85 46 FF FF FF 8B 45 F4 8B 10 FF 52 0C 8B D8 4B 85 DB 7C 4E 43 C7 45 EC 00 00 00 00 8D 4D D8 8B 55 EC 8B 45 F4 8B 30 FF 56 14 8B 45 D8 50 8D 4D D4 8B 55 EC 8B 45 F4 8B 30 FF 56 1C 8B 45 D4 50 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F8 59 8B 30 FF 96 94 00 00 00 FF 45 EC 4B 75 BA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5E 5B 8B E5 5D C3 48 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 58 00 4D 00 4C 00 2F 00 31 00 39 00 39 00 38 00 2F 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 00 00 06 00 00 00 78 00 6D 00 6C 00 00 00 }
	condition:
		$1
}

rule function_112290_0 {
	meta:
		name = "TDomXPathAxisNameParent.GetAxisNodeSnapshot"
		size = 125
		refs = "000a _DV_TDomXPathNodeSetResult 000f TDomXPathNodeSetResult.Create"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 0F B6 56 18 8B C3 8B 08 FF 51 78 85 FF 74 53 8B C7 8B 10 FF 92 B4 00 00 00 FE C8 74 0F FE C8 74 17 48 2C 05 72 06 2C 03 74 1A EB 24 8B C7 8B 10 FF 92 B8 00 00 00 EB 1A 8B C7 8B 10 FF 92 64 01 00 00 EB 0E 8B C7 8B 10 FF 92 58 01 00 00 EB 02 33 C0 85 C0 74 0C 8B D0 8B C3 8B 08 FF 91 A0 00 00 00 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112292_0 {
	meta:
		name = "AddPreceding"
		size = 193
	strings:
		$1 = { 53 56 57 8B DA 8B F8 8B C3 8B 10 FF 92 B4 00 00 00 FE C8 74 0A 04 FE 2C 05 0F 83 9E 00 00 00 8B C3 8B 10 FF 92 BC 00 00 00 8B D8 85 DB 0F 84 8A 00 00 00 8B C3 8B 10 FF 92 BC 00 00 00 8B F0 85 F6 74 64 8B C3 8B 10 FF 92 B4 00 00 00 3C 03 74 1C 8B C3 8B 10 FF 92 B4 00 00 00 3C 04 74 0E 8B C3 8B 10 FF 92 B4 00 00 00 3C 05 75 2A 8B C6 8B 10 FF 92 B4 00 00 00 3C 03 74 28 8B C6 8B 10 FF 92 B4 00 00 00 3C 04 74 1A 8B C6 8B 10 FF 92 B4 00 00 00 3C 05 74 0C 8B D3 8B C7 8B 08 FF 91 A4 00 00 00 8B DE EB 0E 8B D3 8B C7 8B 08 FF 91 A4 00 00 00 EB 08 85 DB 0F 85 76 FF FF FF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112293_0 {
	meta:
		name = "TDomXPathAxisNamePreceding.GetAxisNodeSnapshot"
		size = 153
		refs = "000a _DV_TDomXPathNodeSetResult 000f TDomXPathNodeSetResult.Create 0029 AddPreceding"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 0F B6 57 18 8B C6 8B 08 FF 51 78 85 DB 74 6F 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 B4 00 00 00 FE C8 74 0F FE C8 74 19 48 2C 05 72 06 2C 03 74 1E EB 2A 8B C3 8B 10 FF 92 B8 00 00 00 8B D8 EB 1E 8B C3 8B 10 FF 92 64 01 00 00 8B D8 EB 10 8B C3 8B 10 FF 92 58 01 00 00 8B D8 EB 02 33 DB 85 DB 74 19 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 92 B8 00 00 00 8B D8 85 DB 75 E7 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112295_0 {
	meta:
		name = "TDomXPathAxisNamePrecedingSibling.GetAxisNodeSnapshot"
		size = 228
		refs = "000a _DV_TDomXPathNodeSetResult 000f TDomXPathNodeSetResult.Create"
	strings:
		$1 = { 53 56 57 8B DA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 0F B6 56 18 8B C7 8B 08 FF 51 78 85 DB 0F 84 B6 00 00 00 8B C3 8B 10 FF 92 B4 00 00 00 FE C8 74 0A 04 FE 2C 05 0F 83 9E 00 00 00 8B C3 8B 10 FF 92 BC 00 00 00 8B D8 85 DB 0F 84 8A 00 00 00 8B C3 8B 10 FF 92 BC 00 00 00 8B F0 85 F6 74 64 8B C3 8B 10 FF 92 B4 00 00 00 3C 03 74 1C 8B C3 8B 10 FF 92 B4 00 00 00 3C 04 74 0E 8B C3 8B 10 FF 92 B4 00 00 00 3C 05 75 2A 8B C6 8B 10 FF 92 B4 00 00 00 3C 03 74 28 8B C6 8B 10 FF 92 B4 00 00 00 3C 04 74 1A 8B C6 8B 10 FF 92 B4 00 00 00 3C 05 74 0C 8B D3 8B C7 8B 08 FF 91 A0 00 00 00 8B DE EB 0E 8B D3 8B C7 8B 08 FF 91 A0 00 00 00 EB 08 85 DB 0F 85 76 FF FF FF 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112296_0 {
	meta:
		name = "TDomXPathAxisNameSelf.GetAxisNodeSnapshot"
		size = 54
		refs = "000a _DV_TDomXPathNodeSetResult 000f TDomXPathNodeSetResult.Create"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 0F B6 56 18 8B C3 8B 08 FF 51 78 85 FF 74 0C 8B D7 8B C3 8B 08 FF 91 A0 00 00 00 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112297_0 {
	meta:
		name = "TDomXPathNodeTest.Evaluate"
		size = 260
		refs = "000f TDomXPathNodeTest.Evaluate 0016 _DV_EXPath_Type_Err 001b Exception.Create 0020 @RaiseExcept 002b _DV_TDomXPathNameTest 0030 @IsClass 004c _DV_TDomXPathNodeTypeComment 0068 _DV_TDomXPathNodeTypeText 0084 _DV_TDomXPathNodeTypePI 00a0 _DV_TDomXPathNodeTypeNode 00b4 TObject.Free"
	strings:
		$1 = { 53 56 57 55 8B D9 8B FA 8B E8 85 FF 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 75 0C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 10 8B CB 8B D7 8B C6 8B 18 FF 53 20 E9 86 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D7 8B C6 8B 08 FF 51 20 EB 6A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D7 8B C6 8B 08 FF 51 20 EB 4E 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D7 8B C6 8B 08 FF 51 20 EB 32 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 04 8B C7 EB 1D 8B C7 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112298_0 {
	meta:
		name = "TDomXPathPredicate.Evaluate"
		size = 536
		refs = "0016 TDomXPathPredicate.Evaluate 001d _DV_EXPath_Type_Err 0022 Exception.Create 0027 @RaiseExcept 0033 _DV_TDomXPathExpr 0038 @IsClass 0044 TObject.Free 006f _DV_TDomXPathNodeSetResult 0074 TDomXPathNodeSetResult.Create 00e9 _DV_TDomXPathNumberResult 0128 XPathBooleanFunc 0159 @HandleAnyException 0166 @RaiseAgain 016b @DoneExcept 0187 _DV_TDomXPathPredicate 01d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 89 55 F8 89 45 FC 83 7D F8 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1E 8B 45 F8 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8B 45 F8 8B 10 FF 52 74 8B D0 8B 45 F4 8B 08 FF 51 78 8B 45 F8 8B 10 FF 92 8C 00 00 00 85 C0 0F 8E D9 00 00 00 89 45 EC BE 01 00 00 00 8B D6 4A 8B 45 F8 8B 08 FF 91 88 00 00 00 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 92 8C 00 00 00 50 8B 45 FC 8B 40 0C 8B CE 8B 55 F0 8B 18 FF 53 20 8B D8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 2F 8B C3 8B 10 FF 92 80 00 00 00 89 75 E8 DB 45 E8 DE D9 9B DF E0 9E 75 0E 8B 55 F0 8B 45 F4 8B 08 FF 91 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 29 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C3 8B 10 FF 52 7C 84 C0 74 0E 8B 55 F0 8B 45 F4 8B 08 FF 91 A0 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 FF 4D EC 0F 85 2F FF FF FF 8B 45 FC 8B 58 10 85 DB 74 3E 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B C3 8B 55 F4 8B 08 FF 51 20 89 45 F4 EB 1E 8B 45 F4 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112299_0 {
	meta:
		name = "TDomXPathExpr.Evaluate"
		size = 132
		refs = "0015 _DV_TDomXPathOrExpr 001a @IsClass 0035 TDomXPathExpr.Evaluate 003c _DV_EXPath_Type_Err 0041 Exception.Create 0046 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 73 0C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 08 50 8B 4D FC 8B D7 8B C6 8B 18 FF 53 20 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112300_0 {
	meta:
		name = "TDomXPathPrimaryExpr.Evaluate"
		size = 248
		refs = "0015 _DV_TDomXPathVariableReference 001a @IsClass 0032 _DV_TDomXPathExpr 0055 _DV_TDomXPathLiteral 006f _DV_TDomXPathNumber 0089 _DV_TDomXPathFunctionCall 00a9 TDomXPathPrimaryExpr.Evaluate 00b0 _DV_EXPath_Type_Err 00b5 Exception.Create 00ba @RaiseExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 73 0C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0C 8B C6 8B 10 FF 52 20 E9 90 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 08 50 8B 4D FC 8B D7 8B C6 8B 18 FF 53 20 EB 6D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C6 8B 10 FF 52 20 EB 53 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 8B C6 8B 10 FF 52 20 EB 39 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 12 8B 45 08 50 8B 4D FC 8B D7 8B C6 8B 18 FF 53 28 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112301_0 {
	meta:
		name = "TDomXPathFunctionCall.Create"
		size = 78
		refs = "000d @ClassCreate 001e TDomXPathSyntaxNode.Create 0025 _Dn_TList 002a TObject.Create 0038 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 45 08 50 33 D2 8B C6 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 18 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_112303_0 {
	meta:
		name = "TDomXPathFunctionCall.Evaluate"
		size = 476
		refs = "0019 TDomXPathFunctionCall.Evaluate 004e TDomXPathSyntaxNode.LookupNamespaceURI 0058 @WStrEqual 0082 _DV_ENamespace_Err 0087 Exception.CreateFmt 008c @RaiseExcept 010c _DV_EXPath_Exception 0111 Exception.Create 012b @WStrClr 0131 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 24 00 74 17 8B 43 18 50 8B 4D 08 8B 55 F8 8B C6 FF 53 24 89 45 F4 E9 DA 00 00 00 33 C0 89 45 F4 8D 4D FC 8B 53 1C 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 75 32 8B 43 1C 33 D2 E8 ?? ?? ?? ?? 74 26 8B 43 1C 89 45 EC C6 45 F0 0F 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 18 85 C0 74 63 8B C3 8B 10 FF 52 18 8B F0 8B C6 8B 10 FF 52 1C 85 C0 74 4F 8B C6 8B 10 FF 52 1C 8B F8 8B C7 8B 10 FF 92 8C 00 00 00 85 C0 74 38 8B C7 8B 10 FF 92 8C 00 00 00 8B F8 83 7F 4C 00 74 26 8B C6 8B 10 FF 52 1C 50 8B 45 F8 50 8B 45 08 50 8B 43 18 50 8D 45 F4 50 8B 47 4C 8B 4B 20 8B 55 FC 8B 18 FF 53 58 83 7D F4 00 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 20 00 55 00 52 00 49 00 20 00 6F 00 66 00 20 00 70 00 72 00 65 00 66 00 69 00 78 00 20 00 27 00 25 00 53 00 27 00 20 00 6E 00 6F 00 74 00 20 00 66 00 6F 00 75 00 6E 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 55 00 6E 00 6B 00 6E 00 6F 00 77 00 6E 00 20 00 66 00 75 00 6E 00 63 00 74 00 69 00 6F 00 6E 00 20 00 6E 00 61 00 6D 00 65 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112305_0 {
	meta:
		name = "TDomXPathFunctionCall.SetFunctionName"
		size = 1472
		refs = "0011 TDomXPathFunctionCall.SetFunctionName 0021 @WStrEqual 0031 @WStrAsg 003c XmlExtractPrefix 0052 XmlExtractLocalName 0083 XPathFunctionLast 009e XPathFunctionPosition 00b9 XPathFunctionCount 00d4 XPathFunctionId 00ef XPathFunctionLocalName 010a XPathFunctionNamespaceUri 0125 XPathFunctionName 0140 XPathFunctionString 015b XPathFunctionConcat 0176 XPathFunctionStartsWith 0191 XPathFunctionContains 01ac XPathFunctionSubstringBefore 01c7 XPathFunctionSubstringAfter 01e2 XPathFunctionSubstring 01fd XPathFunctionStringLength 0218 XPathFunctionNormalizeSpace 0233 XPathFunctionTranslate 024e XPathFunctionBoolean 0269 XPathFunctionNot 0284 XPathFunctionTrue 029f XPathFunctionFalse 02ba XPathFunctionLang 02d5 XPathFunctionNumber 02ed XPathFunctionSum 0305 XPathFunctionFloor 031d XPathFunctionCeiling 0335 XPathFunctionRound 035d @WStrArrayClr 0363 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 53 14 E8 ?? ?? ?? ?? 0F 84 1C 03 00 00 8D 43 14 8B D6 E8 ?? ?? ?? ?? 8D 55 FC 8B 43 14 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 1C E8 ?? ?? ?? ?? 8D 55 F8 8B 43 14 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 20 E8 ?? ?? ?? ?? 8B 43 1C 33 D2 E8 ?? ?? ?? ?? 0F 85 D1 02 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 BB 02 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 A0 02 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 85 02 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 6A 02 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 4F 02 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 34 02 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 19 02 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 FE 01 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 E3 01 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 C8 01 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 AD 01 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 92 01 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 77 01 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 5C 01 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 41 01 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 26 01 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 0B 01 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 F0 00 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 D5 00 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 BA 00 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 9F 00 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C C7 43 24 ?? ?? ?? ?? E9 84 00 00 00 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 C7 43 24 ?? ?? ?? ?? EB 6C 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 C7 43 24 ?? ?? ?? ?? EB 54 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 C7 43 24 ?? ?? ?? ?? EB 3C 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 C7 43 24 ?? ?? ?? ?? EB 24 8B 43 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 09 C7 43 24 ?? ?? ?? ?? EB 0C 33 C0 89 43 24 EB 05 33 C0 89 43 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 00 08 00 00 00 6C 00 61 00 73 00 74 00 00 00 00 00 10 00 00 00 70 00 6F 00 73 00 69 00 74 00 69 00 6F 00 6E 00 00 00 00 00 0A 00 00 00 63 00 6F 00 75 00 6E 00 74 00 00 00 04 00 00 00 69 00 64 00 00 00 00 00 14 00 00 00 6C 00 6F 00 63 00 61 00 6C 00 2D 00 6E 00 61 00 6D 00 65 00 00 00 00 00 1A 00 00 00 6E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 2D 00 75 00 72 00 69 00 00 00 08 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 0C 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 0C 00 00 00 63 00 6F 00 6E 00 63 00 61 00 74 00 00 00 00 00 16 00 00 00 73 00 74 00 61 00 72 00 74 00 73 00 2D 00 77 00 69 00 74 00 68 00 00 00 10 00 00 00 63 00 6F 00 6E 00 74 00 61 00 69 00 6E 00 73 00 00 00 00 00 20 00 00 00 73 00 75 00 62 00 73 00 74 00 72 00 69 00 6E 00 67 00 2D 00 62 00 65 00 66 00 6F 00 72 00 65 00 00 00 00 00 1E 00 00 00 73 00 75 00 62 00 73 00 74 00 72 00 69 00 6E 00 67 00 2D 00 61 00 66 00 74 00 65 00 72 00 00 00 12 00 00 00 73 00 75 00 62 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 1A 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 2D 00 6C 00 65 00 6E 00 67 00 74 00 68 00 00 00 1E 00 00 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 69 00 7A 00 65 00 2D 00 73 00 70 00 61 00 63 00 65 00 00 00 12 00 00 00 74 00 72 00 61 00 6E 00 73 00 6C 00 61 00 74 00 65 00 00 00 0E 00 00 00 62 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 06 00 00 00 6E 00 6F 00 74 00 00 00 08 00 00 00 74 00 72 00 75 00 65 00 00 00 00 00 0A 00 00 00 66 00 61 00 6C 00 73 00 65 00 00 00 08 00 00 00 6C 00 61 00 6E 00 67 00 00 00 00 00 0C 00 00 00 6E 00 75 00 6D 00 62 00 65 00 72 00 00 00 00 00 06 00 00 00 73 00 75 00 6D 00 00 00 0A 00 00 00 66 00 6C 00 6F 00 6F 00 72 00 00 00 0E 00 00 00 63 00 65 00 69 00 6C 00 69 00 6E 00 67 00 00 00 0A 00 00 00 72 00 6F 00 75 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_112306_0 {
	meta:
		name = "TDomXPathUnionExpr.Evaluate"
		size = 316
		refs = "0015 _DV_TDomXPathUnionExpr 001a @IsClass 0027 _DV_TDomXPathPathExpr 0056 TDomXPathUnionExpr.Evaluate 0093 TObject.Free 0099 @HandleFinally 00d1 _DV_TDomXPathNodeSetResult 00f2 _DV_EXPath_Type_Err 00f7 Exception.Create 00fc @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B F2 8B D8 8B 43 0C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7D 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 6B 8B 45 08 50 8B 43 0C 8B 4D FC 8B D6 8B 38 FF 57 20 89 45 F4 33 D2 8B 45 F4 8B 08 FF 51 78 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 43 10 8B 4D FC 8B D6 8B 18 FF 53 24 89 45 F8 8B 55 F4 8B 45 F8 8B 08 FF 91 B0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 7B 0C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 37 83 7B 10 00 75 31 8B 45 08 50 8B C7 8B 4D FC 8B D6 8B 18 FF 53 24 89 45 F8 8B 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 33 D2 8B 45 F8 8B 08 FF 51 78 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112308_0 {
	meta:
		name = "TDomXPathPathExpr.Evaluate"
		size = 452
		refs = "0015 _DV_TDomXPathFilterExpr 001a @IsClass 0039 _DV_TDomXPathStep 004a _DV_TDomXPathNodeSetResult 005a TObject.Free 005f TDomXPathPathExpr.Evaluate 0066 _DV_EXPath_Type_Err 006b Exception.Create 0070 @RaiseExcept 008e _DV_TDomXPathAbsoluteLocationPath 00e5 TDomXPathNodeSetResult.Create"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 73 0C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 68 8B 45 08 50 8B 4D FC 8B D7 8B C6 8B 30 FF 56 20 8B F0 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 3D 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1D 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B 43 10 8B 08 FF 51 24 E9 07 01 00 00 8B C6 E9 00 01 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 85 00 00 00 85 FF 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 10 FF 92 C4 00 00 00 85 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B C7 8B 10 FF 92 C4 00 00 00 8B D0 8B C6 8B 08 FF 91 A0 00 00 00 8B 7B 10 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0B 8B D6 8B C7 8B 08 FF 51 24 EB 6A 8B C6 EB 66 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D7 8B C6 8B 08 FF 91 A0 00 00 00 8B D6 8B 43 10 8B 08 FF 51 24 5F 5E 5B 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112309_0 {
	meta:
		name = "TDomXPathFilterExpr.Evaluate"
		size = 276
		refs = "0015 _DV_TDomXPathFilterExpr 001a @IsClass 0027 _DV_TDomXPathPredicate 004a _DV_TDomXPathNodeSetResult 005a TObject.Free 005f TDomXPathFilterExpr.Evaluate 0066 _DV_EXPath_Type_Err 006b Exception.Create 0070 @RaiseExcept 00a1 _DV_TDomXPathPrimaryExpr"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 73 0C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 78 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 66 8B 45 08 50 8B 4D FC 8B D7 8B C6 8B 30 FF 56 20 8B F0 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1D 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 09 33 D2 8B C6 8B 08 FF 51 78 8B D6 8B 43 10 8B 08 FF 51 20 EB 42 8B 73 0C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 18 83 7B 10 00 75 12 8B 45 08 50 8B 4D FC 8B D7 8B C6 8B 18 FF 53 20 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112310_0 {
	meta:
		name = "TDomXPathOrExpr.Evaluate"
		size = 240
		refs = "0017 _DV_TDomXPathOrExpr 001c @IsClass 0029 _DV_TDomXPathAndExpr 0048 XPathBooleanFunc 0060 TObject.Free 00a2 TDomXPathOrExpr.Evaluate 00a9 _DV_EXPath_Type_Err 00ae Exception.Create 00b3 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 73 0C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 59 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 47 8B 45 08 50 8B 4D F8 8B 55 FC 8B C6 8B 30 FF 56 20 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 52 7C 84 C0 74 04 8B C6 EB 5A 8B C6 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D F8 8B 55 FC 8B 43 10 8B 18 FF 53 20 E8 ?? ?? ?? ?? EB 3A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B 45 08 50 8B 4D F8 8B 55 FC 8B C6 8B 18 FF 53 20 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 59 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112311_0 {
	meta:
		name = "TDomXPathAndExpr.Evaluate"
		size = 240
		refs = "0017 _DV_TDomXPathAndExpr 001c @IsClass 0029 _DV_TDomXPathEqualityExpr 0048 XPathBooleanFunc 0060 TObject.Free 00a2 TDomXPathAndExpr.Evaluate 00a9 _DV_EXPath_Type_Err 00ae Exception.Create 00b3 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 73 0C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 59 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 47 8B 45 08 50 8B 4D F8 8B 55 FC 8B C6 8B 30 FF 56 20 E8 ?? ?? ?? ?? 8B F0 8B C6 8B 10 FF 52 7C 84 C0 75 04 8B C6 EB 5A 8B C6 E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D F8 8B 55 FC 8B 43 10 8B 18 FF 53 20 E8 ?? ?? ?? ?? EB 3A 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 13 8B 45 08 50 8B 4D F8 8B 55 FC 8B C6 8B 18 FF 53 20 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B 59 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112312_0 {
	meta:
		name = "TDomXPathIsEqualExpr.Evaluate"
		size = 1384
		refs = "0028 TDomXPathIsEqualExpr.Evaluate 003e _DV_TDomXPathEqualityExpr 0043 @IsClass 0054 _DV_TDomXPathRelationalExpr 00a4 _DV_TDomXPathNodeSetResult 014f @WStrEqual 015a _DV_TDomXPathBooleanResult 015f TDomXPathBooleanResult.Create 0167 @TryFinallyExit 019c _DV_TDomXPathNumberResult 01c0 _DV_TDomXPathStringResult 01d5 XPathStringFunc 0295 XPathBooleanFunc 0312 XPathNumberFunc 0387 @HandleAnyException 039e IsNan 03d4 Sign 041a @DoneExcept 04a4 TObject.Free 04b2 @HandleFinally 04e6 _DV_EXPath_Type_Err 04eb Exception.Create 04f0 @RaiseExcept 050a @WStrArrayClr 051f @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C4 89 5D C0 89 5D D4 89 5D D0 89 5D D8 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 7B 0C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 69 04 00 00 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 53 04 00 00 33 C0 89 45 EC 8B 45 08 50 8B C7 8B 4D F8 8B D6 8B 38 FF 57 20 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 50 8B 43 10 8B 4D F8 8B D6 8B 18 FF 53 20 89 45 EC 8B 45 EC 8B 1D ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 F0 8B 55 EC 89 55 F0 89 45 EC 8B 45 F0 8B D3 E8 ?? ?? ?? ?? 84 C0 0F 84 9E 01 00 00 8B 45 EC 8B D3 E8 ?? ?? ?? ?? 84 C0 0F 84 B4 00 00 00 8B 45 F0 8B 10 FF 92 8C 00 00 00 48 85 C0 0F 8C 85 00 00 00 40 89 45 DC C7 45 E0 00 00 00 00 8B 55 E0 8B 45 F0 8B 08 FF 91 88 00 00 00 8D 55 FC 8B 08 FF 91 CC 00 00 00 8B 45 EC 8B 10 FF 92 8C 00 00 00 8B D8 4B 85 DB 7C 47 43 33 F6 8B D6 8B 45 EC 8B 08 FF 91 88 00 00 00 8D 55 D8 8B 08 FF 91 CC 00 00 00 8B 45 D8 8B 55 FC E8 ?? ?? ?? ?? 75 1B B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? E9 84 03 00 00 46 4B 75 BC FF 45 E0 FF 4D DC 75 86 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? E9 5D 03 00 00 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 C2 02 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8B 45 F0 8B 10 FF 92 8C 00 00 00 48 85 C0 7C 66 40 89 45 DC C7 45 E0 00 00 00 00 8B 55 E0 8B 45 F0 8B 08 FF 91 88 00 00 00 8D 55 D4 8B 08 FF 91 CC 00 00 00 8B 45 D4 50 8D 55 D0 8B C3 8B 08 FF 91 84 00 00 00 8B 55 D0 58 E8 ?? ?? ?? ?? 75 1E B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D EC E8 ?? ?? ?? ?? E9 AB 02 00 00 FF 45 E0 FF 4D DC 75 A5 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D EC E8 ?? ?? ?? ?? E9 85 02 00 00 8B 45 F0 8B 1D ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 84 C0 75 0E 8B 45 EC 8B D3 E8 ?? ?? ?? ?? 84 C0 74 57 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8B 45 EC E8 ?? ?? ?? ?? 8B F0 8B C3 8B 10 FF 52 7C 50 8B C6 8B 10 FF 52 7C 5A 3A D0 75 13 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 EB 11 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D F0 89 75 EC E9 AB 01 00 00 8B 45 F0 8B 1D ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 84 C0 75 12 8B 45 EC 8B D3 E8 ?? ?? ?? ?? 84 C0 0F 84 1E 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E8 8B 45 EC E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 10 FF 92 80 00 00 00 DD 5D C8 9B 8B 45 E4 8B 10 FF 92 80 00 00 00 DC 5D C8 9B DF E0 9E 75 13 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 EB 11 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 E9 98 00 00 00 E9 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 E4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 75 34 8B 45 E8 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 8B D8 8B 45 E4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 3A D8 75 13 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 EB 11 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F0 8B 45 E4 89 45 EC EB 67 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8B 45 EC E8 ?? ?? ?? ?? 8B F0 8D 55 C4 8B C3 8B 08 FF 91 84 00 00 00 8B 45 C4 50 8D 55 C0 8B C6 8B 08 FF 91 84 00 00 00 8B 55 C0 58 E8 ?? ?? ?? ?? 75 13 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 EB 11 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D F0 89 75 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 08 50 8B C7 8B 4D F8 8B D6 8B 18 FF 53 20 89 45 F4 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112313_0 {
	meta:
		name = "TDomXPathIsNotEqualExpr.Evaluate"
		size = 1440
		refs = "0028 TDomXPathIsNotEqualExpr.Evaluate 003e _DV_TDomXPathEqualityExpr 0043 @IsClass 0054 _DV_TDomXPathRelationalExpr 00a4 _DV_TDomXPathNodeSetResult 014f @WStrEqual 015a _DV_TDomXPathBooleanResult 015f TDomXPathBooleanResult.Create 0167 @TryFinallyExit 019c _DV_TDomXPathNumberResult 01c0 _DV_TDomXPathStringResult 01d5 XPathStringFunc 0295 XPathBooleanFunc 0312 XPathNumberFunc 0387 @HandleAnyException 039e IsNan 040a Sign 0450 @DoneExcept 04da TObject.Free 04e8 @HandleFinally 051c _DV_EXPath_Type_Err 0521 Exception.Create 0526 @RaiseExcept 0540 @WStrArrayClr 0555 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D C4 89 5D C0 89 5D D4 89 5D D0 89 5D D8 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F4 8B 7B 0C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9F 04 00 00 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 89 04 00 00 33 C0 89 45 EC 8B 45 08 50 8B C7 8B 4D F8 8B D6 8B 38 FF 57 20 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 08 50 8B 43 10 8B 4D F8 8B D6 8B 18 FF 53 20 89 45 EC 8B 45 EC 8B 1D ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 F0 8B 55 EC 89 55 F0 89 45 EC 8B 45 F0 8B D3 E8 ?? ?? ?? ?? 84 C0 0F 84 9E 01 00 00 8B 45 EC 8B D3 E8 ?? ?? ?? ?? 84 C0 0F 84 B4 00 00 00 8B 45 F0 8B 10 FF 92 8C 00 00 00 48 85 C0 0F 8C 85 00 00 00 40 89 45 DC C7 45 E0 00 00 00 00 8B 55 E0 8B 45 F0 8B 08 FF 91 88 00 00 00 8D 55 FC 8B 08 FF 91 CC 00 00 00 8B 45 EC 8B 10 FF 92 8C 00 00 00 8B D8 4B 85 DB 7C 47 43 33 F6 8B D6 8B 45 EC 8B 08 FF 91 88 00 00 00 8D 55 D8 8B 08 FF 91 CC 00 00 00 8B 45 D8 8B 55 FC E8 ?? ?? ?? ?? 74 1B B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? E9 BA 03 00 00 46 4B 75 BC FF 45 E0 FF 4D DC 75 86 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? E9 93 03 00 00 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 F8 02 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8B 45 F0 8B 10 FF 92 8C 00 00 00 48 85 C0 7C 66 40 89 45 DC C7 45 E0 00 00 00 00 8B 55 E0 8B 45 F0 8B 08 FF 91 88 00 00 00 8D 55 D4 8B 08 FF 91 CC 00 00 00 8B 45 D4 50 8D 55 D0 8B C3 8B 08 FF 91 84 00 00 00 8B 55 D0 58 E8 ?? ?? ?? ?? 74 1E B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D EC E8 ?? ?? ?? ?? E9 E1 02 00 00 FF 45 E0 FF 4D DC 75 A5 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D EC E8 ?? ?? ?? ?? E9 BB 02 00 00 8B 45 F0 8B 1D ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 84 C0 75 0E 8B 45 EC 8B D3 E8 ?? ?? ?? ?? 84 C0 74 57 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8B 45 EC E8 ?? ?? ?? ?? 8B F0 8B C3 8B 10 FF 52 7C 50 8B C6 8B 10 FF 52 7C 5A 3A D0 74 13 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 EB 11 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D F0 89 75 EC E9 E1 01 00 00 8B 45 F0 8B 1D ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 84 C0 75 12 8B 45 EC 8B D3 E8 ?? ?? ?? ?? 84 C0 0F 84 54 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E8 8B 45 EC E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 10 FF 92 80 00 00 00 DD 5D C8 9B 8B 45 E4 8B 10 FF 92 80 00 00 00 DC 5D C8 9B DF E0 9E 74 13 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 EB 11 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 E9 CE 00 00 00 E9 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 E4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 6A 8B 45 E4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 E8 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 E8 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 8B D8 8B 45 E4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 3A D8 74 13 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 EB 11 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F0 8B 45 E4 89 45 EC EB 67 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8B 45 EC E8 ?? ?? ?? ?? 8B F0 8D 55 C4 8B C3 8B 08 FF 91 84 00 00 00 8B 45 C4 50 8D 55 C0 8B C6 8B 08 FF 91 84 00 00 00 8B 55 C0 58 E8 ?? ?? ?? ?? 74 13 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 EB 11 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D F0 89 75 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 08 50 8B C7 8B 4D F8 8B D6 8B 18 FF 53 20 89 45 F4 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112314_0 {
	meta:
		name = "TDomXPathLessThanExpr.Evaluate"
		size = 1208
		refs = "0028 TDomXPathLessThanExpr.Evaluate 0039 _DV_TDomXPathRelationalExpr 003e @IsClass 004f _DV_TDomXPathAdditiveExpr 009f _DV_TDomXPathNodeSetResult 0130 @WStrCmp 013b _DV_TDomXPathBooleanResult 0140 TDomXPathBooleanResult.Create 0148 @TryFinallyExit 0193 _DV_TDomXPathNumberResult 01b7 _DV_TDomXPathStringResult 01cc XPathStringFunc 0358 XPathNumberFunc 03ca @HandleAnyException 03e0 @DoneExcept 0401 TObject.Free 040f @HandleFinally 0443 _DV_EXPath_Type_Err 0448 Exception.Create 044d @RaiseExcept 0467 @WStrArrayClr 046f @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D CC 89 5D C8 89 5D D4 89 5D D0 89 5D D8 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 0C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 CB 03 00 00 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B5 03 00 00 33 C0 89 45 EC 8B 45 08 50 8B C7 8B 4D F8 8B D6 8B 38 FF 57 20 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 43 10 8B 4D F8 8B D6 8B 18 FF 53 20 89 45 EC 8B 45 F0 8B 1D ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 84 C0 0F 84 C6 00 00 00 8B 45 EC 8B D3 E8 ?? ?? ?? ?? 84 C0 0F 84 B4 00 00 00 8B 45 F0 8B 10 FF 92 8C 00 00 00 48 85 C0 0F 8C 85 00 00 00 40 89 45 DC C7 45 E0 00 00 00 00 8B 55 E0 8B 45 F0 8B 08 FF 91 88 00 00 00 8D 55 FC 8B 08 FF 91 CC 00 00 00 8B 45 EC 8B 10 FF 92 8C 00 00 00 8B D8 4B 85 DB 7C 47 43 33 F6 8B D6 8B 45 EC 8B 08 FF 91 88 00 00 00 8D 55 D8 8B 08 FF 91 CC 00 00 00 8B 45 D8 8B 55 FC E8 ?? ?? ?? ?? 73 1B B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? E9 00 03 00 00 46 4B 75 BC FF 45 E0 FF 4D DC 75 86 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? E9 D9 02 00 00 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D8 00 00 00 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9E 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8B 45 F0 8B 10 FF 92 8C 00 00 00 48 85 C0 7C 66 40 89 45 DC C7 45 E0 00 00 00 00 8B 55 E0 8B 45 F0 8B 08 FF 91 88 00 00 00 8D 55 D4 8B 08 FF 91 CC 00 00 00 8B 45 D4 50 8D 55 D0 8B C3 8B 08 FF 91 84 00 00 00 8B 55 D0 58 E8 ?? ?? ?? ?? 73 1E B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D EC E8 ?? ?? ?? ?? E9 11 02 00 00 FF 45 E0 FF 4D DC 75 A5 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D EC E8 ?? ?? ?? ?? E9 EB 01 00 00 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B4 00 00 00 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9E 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8B 45 EC 8B 10 FF 92 8C 00 00 00 48 85 C0 7C 66 40 89 45 DC C7 45 E0 00 00 00 00 8D 55 CC 8B C3 8B 08 FF 91 84 00 00 00 8B 45 CC 50 8B 55 E0 8B 45 EC 8B 08 FF 91 88 00 00 00 8D 55 C8 8B 08 FF 91 CC 00 00 00 8B 55 C8 58 E8 ?? ?? ?? ?? 73 1E B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D F0 E8 ?? ?? ?? ?? E9 23 01 00 00 FF 45 E0 FF 4D DC 75 A5 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D F0 E8 ?? ?? ?? ?? E9 FD 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E8 8B 45 EC E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 10 FF 92 80 00 00 00 DD 5D C0 9B 8B 45 E4 8B 10 FF 92 80 00 00 00 DC 5D C0 9B DF E0 9E 76 13 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 EB 11 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F0 8B 45 E4 89 45 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 08 50 8B C7 8B 4D F8 8B D6 8B 18 FF 53 20 89 45 F4 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112315_0 {
	meta:
		name = "TDomXPathLessThanOrEqualExpr.Evaluate"
		size = 1392
		refs = "0028 TDomXPathLessThanOrEqualExpr.Evaluate 0039 _DV_TDomXPathRelationalExpr 003e @IsClass 004f _DV_TDomXPathAdditiveExpr 009f _DV_TDomXPathNodeSetResult 0130 @WStrCmp 013b _DV_TDomXPathBooleanResult 0140 TDomXPathBooleanResult.Create 0148 @TryFinallyExit 0193 _DV_TDomXPathNumberResult 01b7 _DV_TDomXPathStringResult 01cc XPathStringFunc 0358 XPathNumberFunc 03cd @HandleAnyException 03e4 IsNan 0450 Sign 0496 @DoneExcept 04b7 TObject.Free 04c5 @HandleFinally 04f9 _DV_EXPath_Type_Err 04fe Exception.Create 0503 @RaiseExcept 051d @WStrArrayClr 0525 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D CC 89 5D C8 89 5D D4 89 5D D0 89 5D D8 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 0C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 81 04 00 00 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 6B 04 00 00 33 C0 89 45 EC 8B 45 08 50 8B C7 8B 4D F8 8B D6 8B 38 FF 57 20 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 43 10 8B 4D F8 8B D6 8B 18 FF 53 20 89 45 EC 8B 45 F0 8B 1D ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 84 C0 0F 84 C6 00 00 00 8B 45 EC 8B D3 E8 ?? ?? ?? ?? 84 C0 0F 84 B4 00 00 00 8B 45 F0 8B 10 FF 92 8C 00 00 00 48 85 C0 0F 8C 85 00 00 00 40 89 45 DC C7 45 E0 00 00 00 00 8B 55 E0 8B 45 F0 8B 08 FF 91 88 00 00 00 8D 55 FC 8B 08 FF 91 CC 00 00 00 8B 45 EC 8B 10 FF 92 8C 00 00 00 8B D8 4B 85 DB 7C 47 43 33 F6 8B D6 8B 45 EC 8B 08 FF 91 88 00 00 00 8D 55 D8 8B 08 FF 91 CC 00 00 00 8B 45 D8 8B 55 FC E8 ?? ?? ?? ?? 77 1B B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? E9 B6 03 00 00 46 4B 75 BC FF 45 E0 FF 4D DC 75 86 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? E9 8F 03 00 00 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D8 00 00 00 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9E 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8B 45 F0 8B 10 FF 92 8C 00 00 00 48 85 C0 7C 66 40 89 45 DC C7 45 E0 00 00 00 00 8B 55 E0 8B 45 F0 8B 08 FF 91 88 00 00 00 8D 55 D4 8B 08 FF 91 CC 00 00 00 8B 45 D4 50 8D 55 D0 8B C3 8B 08 FF 91 84 00 00 00 8B 55 D0 58 E8 ?? ?? ?? ?? 77 1E B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D EC E8 ?? ?? ?? ?? E9 C7 02 00 00 FF 45 E0 FF 4D DC 75 A5 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D EC E8 ?? ?? ?? ?? E9 A1 02 00 00 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B4 00 00 00 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9E 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8B 45 EC 8B 10 FF 92 8C 00 00 00 48 85 C0 7C 66 40 89 45 DC C7 45 E0 00 00 00 00 8D 55 CC 8B C3 8B 08 FF 91 84 00 00 00 8B 45 CC 50 8B 55 E0 8B 45 EC 8B 08 FF 91 88 00 00 00 8D 55 C8 8B 08 FF 91 CC 00 00 00 8B 55 C8 58 E8 ?? ?? ?? ?? 77 1E B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D F0 E8 ?? ?? ?? ?? E9 D9 01 00 00 FF 45 E0 FF 4D DC 75 A5 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D F0 E8 ?? ?? ?? ?? E9 B3 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E8 8B 45 EC E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 10 FF 92 80 00 00 00 DD 5D C0 9B 8B 45 E4 8B 10 FF 92 80 00 00 00 DC 5D C0 9B DF E0 9E 72 13 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 EB 11 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 E9 CE 00 00 00 E9 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 E4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 6A 8B 45 E4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 E8 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 E8 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 8B D8 8B 45 E4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 3A D8 74 13 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 EB 11 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F0 8B 45 E4 89 45 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 08 50 8B C7 8B 4D F8 8B D6 8B 18 FF 53 20 89 45 F4 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112316_0 {
	meta:
		name = "TDomXPathGreaterThanExpr.Evaluate"
		size = 1208
		refs = "0028 TDomXPathGreaterThanExpr.Evaluate 0039 _DV_TDomXPathRelationalExpr 003e @IsClass 004f _DV_TDomXPathAdditiveExpr 009f _DV_TDomXPathNodeSetResult 0130 @WStrCmp 013b _DV_TDomXPathBooleanResult 0140 TDomXPathBooleanResult.Create 0148 @TryFinallyExit 0193 _DV_TDomXPathNumberResult 01b7 _DV_TDomXPathStringResult 01cc XPathStringFunc 0358 XPathNumberFunc 03ca @HandleAnyException 03e0 @DoneExcept 0401 TObject.Free 040f @HandleFinally 0443 _DV_EXPath_Type_Err 0448 Exception.Create 044d @RaiseExcept 0467 @WStrArrayClr 046f @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D CC 89 5D C8 89 5D D4 89 5D D0 89 5D D8 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 0C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 CB 03 00 00 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B5 03 00 00 33 C0 89 45 EC 8B 45 08 50 8B C7 8B 4D F8 8B D6 8B 38 FF 57 20 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 43 10 8B 4D F8 8B D6 8B 18 FF 53 20 89 45 EC 8B 45 F0 8B 1D ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 84 C0 0F 84 C6 00 00 00 8B 45 EC 8B D3 E8 ?? ?? ?? ?? 84 C0 0F 84 B4 00 00 00 8B 45 F0 8B 10 FF 92 8C 00 00 00 48 85 C0 0F 8C 85 00 00 00 40 89 45 DC C7 45 E0 00 00 00 00 8B 55 E0 8B 45 F0 8B 08 FF 91 88 00 00 00 8D 55 FC 8B 08 FF 91 CC 00 00 00 8B 45 EC 8B 10 FF 92 8C 00 00 00 8B D8 4B 85 DB 7C 47 43 33 F6 8B D6 8B 45 EC 8B 08 FF 91 88 00 00 00 8D 55 D8 8B 08 FF 91 CC 00 00 00 8B 45 D8 8B 55 FC E8 ?? ?? ?? ?? 76 1B B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? E9 00 03 00 00 46 4B 75 BC FF 45 E0 FF 4D DC 75 86 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? E9 D9 02 00 00 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D8 00 00 00 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9E 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8B 45 F0 8B 10 FF 92 8C 00 00 00 48 85 C0 7C 66 40 89 45 DC C7 45 E0 00 00 00 00 8B 55 E0 8B 45 F0 8B 08 FF 91 88 00 00 00 8D 55 D4 8B 08 FF 91 CC 00 00 00 8B 45 D4 50 8D 55 D0 8B C3 8B 08 FF 91 84 00 00 00 8B 55 D0 58 E8 ?? ?? ?? ?? 76 1E B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D EC E8 ?? ?? ?? ?? E9 11 02 00 00 FF 45 E0 FF 4D DC 75 A5 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D EC E8 ?? ?? ?? ?? E9 EB 01 00 00 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B4 00 00 00 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9E 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8B 45 EC 8B 10 FF 92 8C 00 00 00 48 85 C0 7C 66 40 89 45 DC C7 45 E0 00 00 00 00 8D 55 CC 8B C3 8B 08 FF 91 84 00 00 00 8B 45 CC 50 8B 55 E0 8B 45 EC 8B 08 FF 91 88 00 00 00 8D 55 C8 8B 08 FF 91 CC 00 00 00 8B 55 C8 58 E8 ?? ?? ?? ?? 76 1E B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D F0 E8 ?? ?? ?? ?? E9 23 01 00 00 FF 45 E0 FF 4D DC 75 A5 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D F0 E8 ?? ?? ?? ?? E9 FD 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E8 8B 45 EC E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 10 FF 92 80 00 00 00 DD 5D C0 9B 8B 45 E4 8B 10 FF 92 80 00 00 00 DC 5D C0 9B DF E0 9E 73 13 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 EB 11 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 EB 1B E9 ?? ?? ?? ?? 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F0 8B 45 E4 89 45 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 08 50 8B C7 8B 4D F8 8B D6 8B 18 FF 53 20 89 45 F4 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112317_0 {
	meta:
		name = "TDomXPathGreaterThanOrEqualExpr.Evaluate"
		size = 1392
		refs = "0028 TDomXPathGreaterThanOrEqualExpr.Evaluate 0039 _DV_TDomXPathRelationalExpr 003e @IsClass 004f _DV_TDomXPathAdditiveExpr 009f _DV_TDomXPathNodeSetResult 0130 @WStrCmp 013b _DV_TDomXPathBooleanResult 0140 TDomXPathBooleanResult.Create 0148 @TryFinallyExit 0193 _DV_TDomXPathNumberResult 01b7 _DV_TDomXPathStringResult 01cc XPathStringFunc 0358 XPathNumberFunc 03cd @HandleAnyException 03e4 IsNan 0450 Sign 0496 @DoneExcept 04b7 TObject.Free 04c5 @HandleFinally 04f9 _DV_EXPath_Type_Err 04fe Exception.Create 0503 @RaiseExcept 051d @WStrArrayClr 0525 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 C0 53 56 57 33 DB 89 5D CC 89 5D C8 89 5D D4 89 5D D0 89 5D D8 89 5D FC 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 0C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 81 04 00 00 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 6B 04 00 00 33 C0 89 45 EC 8B 45 08 50 8B C7 8B 4D F8 8B D6 8B 38 FF 57 20 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 43 10 8B 4D F8 8B D6 8B 18 FF 53 20 89 45 EC 8B 45 F0 8B 1D ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 84 C0 0F 84 C6 00 00 00 8B 45 EC 8B D3 E8 ?? ?? ?? ?? 84 C0 0F 84 B4 00 00 00 8B 45 F0 8B 10 FF 92 8C 00 00 00 48 85 C0 0F 8C 85 00 00 00 40 89 45 DC C7 45 E0 00 00 00 00 8B 55 E0 8B 45 F0 8B 08 FF 91 88 00 00 00 8D 55 FC 8B 08 FF 91 CC 00 00 00 8B 45 EC 8B 10 FF 92 8C 00 00 00 8B D8 4B 85 DB 7C 47 43 33 F6 8B D6 8B 45 EC 8B 08 FF 91 88 00 00 00 8D 55 D8 8B 08 FF 91 CC 00 00 00 8B 45 D8 8B 55 FC E8 ?? ?? ?? ?? 72 1B B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? E9 B6 03 00 00 46 4B 75 BC FF 45 E0 FF 4D DC 75 86 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? E9 8F 03 00 00 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D8 00 00 00 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9E 00 00 00 8B 45 EC E8 ?? ?? ?? ?? 8B D8 8B 45 F0 8B 10 FF 92 8C 00 00 00 48 85 C0 7C 66 40 89 45 DC C7 45 E0 00 00 00 00 8B 55 E0 8B 45 F0 8B 08 FF 91 88 00 00 00 8D 55 D4 8B 08 FF 91 CC 00 00 00 8B 45 D4 50 8D 55 D0 8B C3 8B 08 FF 91 84 00 00 00 8B 55 D0 58 E8 ?? ?? ?? ?? 72 1E B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D EC E8 ?? ?? ?? ?? E9 C7 02 00 00 FF 45 E0 FF 4D DC 75 A5 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D EC E8 ?? ?? ?? ?? E9 A1 02 00 00 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 28 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 16 8B 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B4 00 00 00 8B 45 EC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9E 00 00 00 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 8B 45 EC 8B 10 FF 92 8C 00 00 00 48 85 C0 7C 66 40 89 45 DC C7 45 E0 00 00 00 00 8D 55 CC 8B C3 8B 08 FF 91 84 00 00 00 8B 45 CC 50 8B 55 E0 8B 45 EC 8B 08 FF 91 88 00 00 00 8D 55 C8 8B 08 FF 91 CC 00 00 00 8B 55 C8 58 E8 ?? ?? ?? ?? 72 1E B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D F0 E8 ?? ?? ?? ?? E9 D9 01 00 00 FF 45 E0 FF 4D DC 75 A5 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 89 5D F0 E8 ?? ?? ?? ?? E9 B3 01 00 00 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E8 8B 45 EC E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 8B 10 FF 92 80 00 00 00 DD 5D C0 9B 8B 45 E4 8B 10 FF 92 80 00 00 00 DC 5D C0 9B DF E0 9E 77 13 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 EB 11 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 E9 CE 00 00 00 E9 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 E4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 6A 8B 45 E4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 1B 8B 45 E8 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 84 C0 74 34 8B 45 E8 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 8B D8 8B 45 E4 8B 10 FF 92 80 00 00 00 83 C4 F8 DD 1C 24 9B E8 ?? ?? ?? ?? 3A D8 74 13 B1 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 EB 11 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 89 45 F0 8B 45 E4 89 45 EC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 08 50 8B C7 8B 4D F8 8B D6 8B 18 FF 53 20 89 45 F4 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112318_0 {
	meta:
		name = "TDomXPathPlusExpr.Evaluate"
		size = 400
		refs = "0018 _DV_TDomXPathAdditiveExpr 001d @IsClass 002e _DV_TDomXPathMultiplicativeExpr 0056 XPathNumberFunc 0061 TDomXPathPlusExpr.Evaluate 00ba _DV_TDomXPathNumberResult 00bf TDomXPathNumberResult.Create 00d1 @HandleAnyException 00ec @DoneExcept 0101 TObject.Free 010f @HandleFinally 0144 _DV_EXPath_Type_Err 0149 Exception.Create 014e @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 73 0C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 EC 00 00 00 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D6 00 00 00 33 C0 89 45 EC 8B 45 08 50 8B C6 8B 4D F8 8B 55 FC 8B 30 FF 56 20 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 43 10 8B 4D F8 8B 55 FC 8B 18 FF 53 20 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 10 FF 92 80 00 00 00 DD 5D E4 9B 8B 45 EC 8B 10 FF 92 80 00 00 00 DC 45 E4 83 C4 F8 DD 1C 24 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 68 00 00 F8 FF 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 08 50 8B C6 8B 4D F8 8B 55 FC 8B 18 FF 53 20 89 45 F4 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112319_0 {
	meta:
		name = "TDomXPathMinusExpr.Evaluate"
		size = 400
		refs = "0018 _DV_TDomXPathAdditiveExpr 001d @IsClass 002e _DV_TDomXPathMultiplicativeExpr 0056 XPathNumberFunc 0061 TDomXPathMinusExpr.Evaluate 00ba _DV_TDomXPathNumberResult 00bf TDomXPathNumberResult.Create 00d1 @HandleAnyException 00ec @DoneExcept 0101 TObject.Free 010f @HandleFinally 0144 _DV_EXPath_Type_Err 0149 Exception.Create 014e @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 73 0C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 EC 00 00 00 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D6 00 00 00 33 C0 89 45 EC 8B 45 08 50 8B C6 8B 4D F8 8B 55 FC 8B 30 FF 56 20 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 43 10 8B 4D F8 8B 55 FC 8B 18 FF 53 20 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 10 FF 92 80 00 00 00 DD 5D E4 9B 8B 45 EC 8B 10 FF 92 80 00 00 00 DC 6D E4 83 C4 F8 DD 1C 24 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 68 00 00 F8 FF 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 08 50 8B C6 8B 4D F8 8B 55 FC 8B 18 FF 53 20 89 45 F4 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112320_0 {
	meta:
		name = "TDomXPathMultiplyExpr.Evaluate"
		size = 400
		refs = "0018 _DV_TDomXPathMultiplicativeExpr 001d @IsClass 002e _DV_TDomXPathUnaryExpr 0056 XPathNumberFunc 0061 TDomXPathMultiplyExpr.Evaluate 00ba _DV_TDomXPathNumberResult 00bf TDomXPathNumberResult.Create 00d1 @HandleAnyException 00ec @DoneExcept 0101 TObject.Free 010f @HandleFinally 0144 _DV_EXPath_Type_Err 0149 Exception.Create 014e @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 73 0C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 EC 00 00 00 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D6 00 00 00 33 C0 89 45 EC 8B 45 08 50 8B C6 8B 4D F8 8B 55 FC 8B 30 FF 56 20 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 43 10 8B 4D F8 8B 55 FC 8B 18 FF 53 20 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 10 FF 92 80 00 00 00 DD 5D E4 9B 8B 45 EC 8B 10 FF 92 80 00 00 00 DC 4D E4 83 C4 F8 DD 1C 24 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 68 00 00 F8 FF 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 08 50 8B C6 8B 4D F8 8B 55 FC 8B 18 FF 53 20 89 45 F4 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112321_0 {
	meta:
		name = "TDomXPathDivExpr.Evaluate"
		size = 400
		refs = "0018 _DV_TDomXPathMultiplicativeExpr 001d @IsClass 002e _DV_TDomXPathUnaryExpr 0056 XPathNumberFunc 0061 TDomXPathDivExpr.Evaluate 00ba _DV_TDomXPathNumberResult 00bf TDomXPathNumberResult.Create 00d1 @HandleAnyException 00ec @DoneExcept 0101 TObject.Free 010f @HandleFinally 0144 _DV_EXPath_Type_Err 0149 Exception.Create 014e @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 73 0C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 EC 00 00 00 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 D6 00 00 00 33 C0 89 45 EC 8B 45 08 50 8B C6 8B 4D F8 8B 55 FC 8B 30 FF 56 20 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 43 10 8B 4D F8 8B 55 FC 8B 18 FF 53 20 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 10 FF 92 80 00 00 00 DD 5D E4 9B 8B 45 EC 8B 10 FF 92 80 00 00 00 DC 7D E4 83 C4 F8 DD 1C 24 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 68 00 00 F8 FF 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 08 50 8B C6 8B 4D F8 8B 55 FC 8B 18 FF 53 20 89 45 F4 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112322_0 {
	meta:
		name = "TDomXPathModExpr.Evaluate"
		size = 452
		refs = "0018 _DV_TDomXPathMultiplicativeExpr 001d @IsClass 002e _DV_TDomXPathUnaryExpr 0056 XPathNumberFunc 0061 TDomXPathModExpr.Evaluate 00b1 @TRUNC 00f0 _DV_TDomXPathNumberResult 00f5 TDomXPathNumberResult.Create 0107 @HandleAnyException 0122 @DoneExcept 0137 TObject.Free 0145 @HandleFinally 017a _DV_EXPath_Type_Err 017f Exception.Create 0184 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 73 0C 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 22 01 00 00 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 0C 01 00 00 33 C0 89 45 EC 8B 45 08 50 8B C6 8B 4D F8 8B 55 FC 8B 30 FF 56 20 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 50 8B 43 10 8B 4D F8 8B 55 FC 8B 18 FF 53 20 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 10 FF 92 80 00 00 00 DD 5D E4 9B 8B 45 EC 8B 10 FF 92 80 00 00 00 DC 7D E4 E8 ?? ?? ?? ?? 89 45 DC 89 55 E0 DF 6D DC DB 7D D0 9B 8B 45 EC 8B 10 FF 92 80 00 00 00 DB 6D D0 DE C9 DB 7D C4 9B 8B 45 F0 8B 10 FF 92 80 00 00 00 DB 6D C4 DE E9 83 C4 F8 DD 1C 24 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 68 00 00 F8 FF 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 16 8B 45 08 50 8B C6 8B 4D F8 8B 55 FC 8B 18 FF 53 20 89 45 F4 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112323_0 {
	meta:
		name = "TDomXPathUnaryExpr.Evaluate"
		size = 344
		refs = "0017 _DV_TDomXPathMinusOperator 001c @IsClass 002d _DV_TDomXPathUnaryExpr 0050 XPathNumberFunc 005b TDomXPathUnaryExpr.Evaluate 008a _DV_TDomXPathNumberResult 008f TDomXPathNumberResult.Create 00a1 @HandleAnyException 00bc @DoneExcept 00d1 TObject.Free 00d7 @HandleFinally 00e1 _DV_TDomXPathUnionExpr 010b _DV_EXPath_Type_Err 0110 Exception.Create 0115 @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D FC 8B F2 8B D8 8B 7B 0C 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 B5 00 00 00 8B 43 10 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9F 00 00 00 8B 45 08 50 8B 43 10 8B 4D FC 8B D6 8B 18 FF 53 20 E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 92 80 00 00 00 D9 E0 83 C4 F8 DD 1C 24 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 68 00 00 F8 FF 6A 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 15 8B 45 08 50 8B C7 8B 4D FC 8B D6 8B 18 FF 53 20 89 45 F8 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112324_0 {
	meta:
		name = "TDomXPathLiteral.Evaluate"
		size = 16
		refs = "0006 _DV_TDomXPathStringResult 000b TDomXPathStringResult.Create"
	strings:
		$1 = { 8B 48 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112325_0 {
	meta:
		name = "TDomXPathNumber.Evaluate"
		size = 32
		refs = "0007 XPathWideStringToNumber 0015 _DV_TDomXPathNumberResult 001a TDomXPathNumberResult.Create"
	strings:
		$1 = { 53 8B D8 8B 43 14 E8 ?? ?? ?? ?? 83 C4 F8 DD 1C 24 9B B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_112326_0 {
	meta:
		name = "TDomXPathVariableReference.Create"
		size = 164
		refs = "0013 @ClassCreate 0023 TDomXPathVariableReference.Create 0033 TDomXPathSyntaxNode.Create 003d XmlExtractPrefix 0048 @WStrAsg 0052 XmlExtractLocalName 0077 @WStrArrayClr 007d @HandleFinally 008c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 18 E8 ?? ?? ?? ?? 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_112327_0 {
	meta:
		name = "TDomXPathVariableReference.Evaluate"
		size = 468
		refs = "0014 TDomXPathVariableReference.Evaluate 002c TDomXPathSyntaxNode.LookupNamespaceURI 0036 @WStrEqual 0060 _DV_ENamespace_Err 0065 Exception.CreateFmt 006a @RaiseExcept 00ea _DV_EXPath_Exception 0109 @WStrClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 D2 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8D 4D FC 8B 53 18 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 75 32 8B 43 18 33 D2 E8 ?? ?? ?? ?? 74 26 8B 43 18 89 45 F0 C6 45 F4 0F 8D 45 F0 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 18 85 C0 74 53 8B C3 8B 10 FF 52 18 8B F0 8B C6 8B 10 FF 52 1C 85 C0 74 3F 8B C6 8B 10 FF 52 1C 8B F8 8B C7 8B 10 FF 92 8C 00 00 00 85 C0 74 28 8B C7 8B 10 FF 92 8C 00 00 00 8B F8 83 7F 4C 00 74 16 8B 43 1C 50 8D 45 F8 50 8B 47 4C 8B 4D FC 8B 56 0C 8B 30 FF 56 5C 83 7D F8 00 75 26 8B 43 14 89 45 F0 C6 45 F4 0F 8D 45 F0 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 27 00 00 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 20 00 55 00 52 00 49 00 20 00 6F 00 66 00 20 00 70 00 72 00 65 00 66 00 69 00 78 00 20 00 27 00 25 00 53 00 27 00 20 00 6E 00 6F 00 74 00 20 00 66 00 6F 00 75 00 6E 00 64 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 25 00 00 00 4E 00 6F 00 20 00 62 00 69 00 6E 00 64 00 69 00 6E 00 67 00 20 00 66 00 6F 00 72 00 20 00 76 00 61 00 72 00 69 00 61 00 62 00 6C 00 65 00 20 00 24 00 25 00 73 00 20 00 70 00 72 00 6F 00 76 00 69 00 64 00 65 00 64 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112328_0 {
	meta:
		name = "TDomXPathNameTest.Create"
		size = 288
		refs = "0014 @ClassCreate 0024 TDomXPathNameTest.Create 0034 TDomXPathSyntaxNode.Create 0040 @WStrEqual 004a @WStrClr 0057 @WStrAsg 0094 @WStrCopy 00ad XmlExtractPrefix 00c2 XmlExtractLocalName 00e7 @WStrArrayClr 00ed @HandleFinally 00fc @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 88 55 FF 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 17 8D 43 18 E8 ?? ?? ?? ?? 8D 43 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 74 8B D6 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 66 83 7C 46 FE 2A 75 33 8B FA 85 FF 74 09 83 EF 04 8B 07 D1 E8 8B F8 8D 43 18 50 8B CF 83 E9 02 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8D 43 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2A 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 18 E8 ?? ?? ?? ?? 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 02 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_112329_0 {
	meta:
		name = "TDomXPathNameTest.Evaluate"
		size = 676
		refs = "0022 TDomXPathNameTest.Evaluate 0038 _DV_EXPath_Type_Err 003d Exception.Create 0042 @RaiseExcept 004f @WStrEqual 00a9 @WStrClr 00b8 TDomXPathSyntaxNode.LookupNamespaceURI 00cb TObject.Free 00e7 _DV_ENamespace_Err 00ec Exception.CreateFmt 01f2 @WStrArrayClr 0200 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 DB 89 5D E0 89 5D E4 89 5D E8 89 5D FC 88 4D FB 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 44 8B C6 8B 10 FF 92 8C 00 00 00 8B D8 4B 85 DB 0F 8C 70 01 00 00 8B D3 8B C6 8B 08 FF 91 88 00 00 00 8B 10 FF 92 B4 00 00 00 3A 45 FB 74 0C 8B D3 8B C6 8B 08 FF 91 AC 00 00 00 4B 85 DB 7D D6 E9 41 01 00 00 8B 47 18 33 D2 E8 ?? ?? ?? ?? 75 0A 8D 45 FC E8 ?? ?? ?? ?? EB 46 8D 4D FC 8B 57 18 8B C7 E8 ?? ?? ?? ?? 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 75 2D 8B C6 E8 ?? ?? ?? ?? 8B 47 18 89 45 EC C6 45 F0 0F 8D 45 EC 50 6A 00 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 47 1C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5F 8B C6 8B 10 FF 92 8C 00 00 00 8B D8 4B 85 DB 0F 8C C1 00 00 00 8B D3 8B C6 8B 08 FF 91 88 00 00 00 8B F8 8B C7 8B 10 FF 92 B4 00 00 00 3A 45 FB 75 1A 8D 55 E8 8B C7 8B 08 FF 91 A8 00 00 00 8B 45 E8 8B 55 FC E8 ?? ?? ?? ?? 74 0C 8B D3 8B C6 8B 08 FF 91 AC 00 00 00 4B 85 DB 7D B8 EB 77 8B C6 8B 10 FF 92 8C 00 00 00 8B D8 4B 85 DB 7C 66 8B D3 8B C6 8B 08 FF 91 88 00 00 00 89 45 F4 8B 45 F4 8B 10 FF 92 B4 00 00 00 3A 45 FB 75 36 8D 55 E4 8B 45 F4 8B 08 FF 91 A8 00 00 00 8B 45 E4 8B 55 FC E8 ?? ?? ?? ?? 75 1B 8D 55 E0 8B 45 F4 8B 08 FF 91 A4 00 00 00 8B 45 E0 8B 57 1C E8 ?? ?? ?? ?? 74 0C 8B D3 8B C6 8B 08 FF 91 AC 00 00 00 4B 85 DB 7D 9A 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 02 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 27 00 00 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 20 00 55 00 52 00 49 00 20 00 6F 00 66 00 20 00 70 00 72 00 65 00 66 00 69 00 78 00 20 00 27 00 25 00 53 00 27 00 20 00 6E 00 6F 00 74 00 20 00 66 00 6F 00 75 00 6E 00 64 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112330_0 {
	meta:
		name = "TDomXPathNodeTypeComment.Evaluate"
		size = 144
		refs = "0009 TDomXPathNodeTypeComment.Evaluate 0010 _DV_EXPath_Type_Err 0015 Exception.Create 001a @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 8C 00 00 00 8B D8 4B 85 DB 7C 29 8B D3 8B C6 8B 08 FF 91 88 00 00 00 8B 10 FF 92 B4 00 00 00 3C 07 74 0C 8B D3 8B C6 8B 08 FF 91 AC 00 00 00 4B 85 DB 7D D7 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112331_0 {
	meta:
		name = "TDomXPathNodeTypePI.Evaluate"
		size = 364
		refs = "0016 TDomXPathNodeTypePI.Evaluate 002c _DV_EXPath_Type_Err 0031 Exception.Create 0036 @RaiseExcept 0049 _DV_TDomXPathLiteral 004e @IsClass 00a1 @WStrEqual 00bd TObject.Free 0126 @WStrClr 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 5F 0C 85 DB 0F 84 94 00 00 00 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 64 8B C6 8B 10 FF 92 8C 00 00 00 8B D8 4B 85 DB 0F 8C A8 00 00 00 8B D3 8B C6 8B 08 FF 91 88 00 00 00 89 45 FC 8B 45 FC 8B 10 FF 92 B4 00 00 00 3C 06 75 1E 8D 55 F8 8B 45 FC 8B 08 FF 91 B0 00 00 00 8B 45 F8 8B 57 0C 8B 52 14 E8 ?? ?? ?? ?? 74 0C 8B D3 8B C6 8B 08 FF 91 AC 00 00 00 4B 85 DB 7D B3 EB 59 8B C6 E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3A 8B C6 8B 10 FF 92 8C 00 00 00 8B D8 4B 85 DB 7C 29 8B D3 8B C6 8B 08 FF 91 88 00 00 00 8B 10 FF 92 B4 00 00 00 3C 06 74 0C 8B D3 8B C6 8B 08 FF 91 AC 00 00 00 4B 85 DB 7D D7 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112332_0 {
	meta:
		name = "TDomXPathNodeTypeText.Evaluate"
		size = 144
		refs = "0009 TDomXPathNodeTypeText.Evaluate 0010 _DV_EXPath_Type_Err 0015 Exception.Create 001a @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 85 F6 75 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 10 FF 92 8C 00 00 00 8B D8 4B 85 DB 7C 2B 8B D3 8B C6 8B 08 FF 91 88 00 00 00 8B 10 FF 92 B4 00 00 00 04 FD 2C 03 72 0C 8B D3 8B C6 8B 08 FF 91 AC 00 00 00 4B 85 DB 7D D5 8B C6 5E 5B C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 58 00 50 00 61 00 74 00 68 00 20 00 74 00 79 00 70 00 65 00 20 00 65 00 72 00 72 00 6F 00 72 00 2E 00 00 00 }
	condition:
		$1
}

rule function_112333_0 {
	meta:
		name = "Finalization"
		size = 148
		refs = "0007 Finalization 0013 _DV_712 001a UTF16_STR 001f @UStrClr 0024 UTF16BE_STR 002e PIEND 0033 @WStrClr 0038 ANY_KEYWORD 0042 EMPTY_KEYWORD 004c SQ 0056 DQ 0060 ERROR_STR 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 64 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_112341_0 {
	meta:
		name = "SwapUTF16Endian"
		size = 22
	strings:
		$1 = { 66 BA FF 00 66 23 D0 C1 E2 08 0F B7 C0 C1 E8 08 66 0B D0 8B C2 C3 }
	condition:
		$1
}

rule function_112342_0 {
	meta:
		name = "CharFromMap"
		size = 223
		refs = "0019 CharFromMap 0048 SCannotConvert 004d LoadResString 0057 _Dn_EConvertError 005c Exception.CreateFmt 0061 @RaiseExcept 00cb @UStrArrayClr 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 5D E8 89 4D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 FE FF FF 75 3B 0F B7 C6 89 45 EC C6 45 F0 00 8B 45 FC 89 45 F4 C6 45 F8 11 8D 45 EC 50 6A 01 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 66 3B 32 74 05 83 C2 02 EB 04 8B D8 EB 40 40 84 C0 75 ED 0F B7 C6 89 45 EC C6 45 F0 00 8B 45 FC 89 45 F4 C6 45 F8 11 8D 45 EC 50 6A 01 8D 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_112343_0 {
	meta:
		name = "CharFromHighMap"
		size = 237
		refs = "0019 CharFromHighMap 0056 SCannotConvert 005b LoadResString 0065 _Dn_EConvertError 006a Exception.CreateFmt 006f @RaiseExcept 00d9 @UStrArrayClr 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 5D E8 89 4D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 FE 80 00 73 07 8B DE E9 92 00 00 00 66 81 FE FF FF 75 3B 0F B7 C6 89 45 EC C6 45 F0 00 8B 45 FC 89 45 F4 C6 45 F8 11 8D 45 EC 50 6A 01 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 80 66 3B 32 74 05 83 C2 02 EB 04 8B D8 EB 40 40 84 C0 75 ED 0F B7 C6 89 45 EC C6 45 F0 00 8B 45 FC 89 45 F4 C6 45 F8 11 8D 45 EC 50 6A 01 8D 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_112344_0 {
	meta:
		name = "CharFromISOMap"
		size = 237
		refs = "0019 CharFromISOMap 0056 SCannotConvert 005b LoadResString 0065 _Dn_EConvertError 006a Exception.CreateFmt 006f @RaiseExcept 00d9 @UStrArrayClr 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D E4 89 5D E8 89 4D FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 FE A0 00 73 07 8B DE E9 92 00 00 00 66 81 FE FF FF 75 3B 0F B7 C6 89 45 EC C6 45 F0 00 8B 45 FC 89 45 F4 C6 45 F8 11 8D 45 EC 50 6A 01 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 A0 66 3B 32 74 05 83 C2 02 EB 04 8B D8 EB 40 40 84 C0 75 ED 0F B7 C6 89 45 EC C6 45 F0 00 8B 45 FC 89 45 F4 C6 45 F8 11 8D 45 EC 50 6A 01 8D 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_112345_0 {
	meta:
		name = "TEncodingRepository.Count"
		size = 6
	strings:
		$1 = { B8 6B 00 00 00 C3 }
	condition:
		$1
}

rule function_112346_0 {
	meta:
		name = "TEncodingRepository.CreateCodecByAlias"
		size = 47
		refs = "000b UnicodeCodecs"
	strings:
		$1 = { 53 56 57 8B FA BE 6B 00 00 00 BB ?? ?? ?? ?? 8B D7 8B 03 FF 50 34 84 C0 74 09 B2 01 8B 03 FF 50 14 EB 08 83 C3 04 4E 75 E6 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112347_0 {
	meta:
		name = "TEncodingRepository.CreateCodecForStream"
		size = 494
		refs = "0013 TStream.GetPosition 0021 TEncodingRepository.CreateCodecForStream 0097 _DV_TUCS4BECodec 009c TUnicodeCodec.Create 00bf _DV_TUCS4_2143Codec 00fe _DV_TUCS4_3412Codec 0112 _DV_TUTF16BECodec 0165 _DV_TUCS4LECodec 0176 _DV_TUTF16LECodec 01b7 _DV_TUTF8Codec 01da TStream.SetPosition 01e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 89 55 FC 33 C0 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F6 B9 02 00 00 00 8B 45 FC 8B 18 FF 53 0C 83 F8 02 0F 85 7F 01 00 00 0F B6 45 F6 2C 01 72 19 2C EE 0F 84 41 01 00 00 2C 0F 74 78 FE C8 0F 84 D7 00 00 00 E9 5E 01 00 00 80 7D F7 00 0F 85 54 01 00 00 8D 55 F6 B9 02 00 00 00 8B 45 FC 8B 18 FF 53 0C 83 F8 02 0F 85 3B 01 00 00 80 7D F6 FE 75 1A 80 7D F7 FF 75 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 E9 1B 01 00 00 80 7D F6 FF 0F 85 11 01 00 00 80 7D F7 FE 0F 85 07 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 E9 F3 00 00 00 80 7D F7 FF 0F 85 E9 00 00 00 8D 55 F3 B9 02 00 00 00 8B 45 FC 8B 18 FF 53 0C 83 F8 02 75 34 80 7D F3 00 75 1A 80 7D F4 00 75 14 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 E9 B4 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 E9 A0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 E9 8C 00 00 00 80 7D F7 FE 0F 85 82 00 00 00 8D 55 F3 B9 02 00 00 00 8B 45 FC 8B 18 FF 53 0C 83 F8 02 75 2E 80 7D F3 00 75 17 80 7D F4 00 75 11 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 50 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 3F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 EB 2E 80 7D F7 BB 75 28 8D 55 F5 B9 01 00 00 00 8B 45 FC 8B 18 FF 53 0C 48 75 15 80 7D F5 BF 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? FF 75 EC FF 75 E8 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B 45 F8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_112348_0 {
	meta:
		name = "TEncodingRepository.CreateCodecForSystemEncoding"
		size = 253
		refs = "0001 GetACP 005a TEncodingRepository.CreateCodecForSystemEncoding 0079 _DV_TWindows874Codec 007e TCustomSingleByteCodec.Create 0095 _DV_TWindows1250Codec 00a2 _DV_TWindows1251Codec 00af _DV_TWindows1252Codec 00bc _DV_TWindows1253Codec 00c9 _DV_TWindows1254Codec 00d6 _DV_TWindows1255Codec 00e3 _DV_TWindows1256Codec 00f0 _DV_TWindows1257Codec"
	strings:
		$1 = { E8 ?? ?? ?? ?? 3D E3 04 00 00 7F 3D 0F 84 8D 00 00 00 3D B5 03 00 00 7F 18 74 6E 2D 6A 03 00 00 74 54 83 E8 3A 74 5C 83 E8 04 74 5A E9 C9 00 00 00 2D B6 03 00 00 74 54 2D FA 00 00 00 74 50 83 E8 32 74 4E E9 B1 00 00 00 05 1C FB FF FF 83 F8 05 0F 87 A3 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 33 C0 C3 33 C0 C3 33 C0 C3 33 C0 C3 33 C0 C3 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_112349_0 {
	meta:
		name = "TEncodingRepository.SystemEncodingName"
		size = 824
		refs = "0004 GetACP 0069 TEncodingRepository.SystemEncodingName 008d @UStrAsg 014c @UStrClr"
	strings:
		$1 = { 53 8B DA E8 ?? ?? ?? ?? 3D E3 04 00 00 7F 49 0F 84 D2 00 00 00 3D B5 03 00 00 7F 1C 0F 84 8D 00 00 00 2D 6A 03 00 00 74 5C 83 E8 3A 74 65 83 E8 04 74 6E E9 11 01 00 00 2D B6 03 00 00 74 7E 2D FA 00 00 00 0F 84 81 00 00 00 83 E8 32 0F 84 86 00 00 00 E9 F1 00 00 00 05 1C FB FF FF 83 F8 05 0F 87 E3 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 38 00 37 00 34 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 39 00 33 00 32 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 39 00 33 00 36 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 39 00 34 00 39 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 39 00 35 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 2D 00 31 00 30 00 36 00 34 00 36 00 2D 00 55 00 43 00 53 00 2D 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_112350_0 {
	meta:
		name = "TEncodingRepository.EncodingName"
		size = 121
		refs = "0012 TEncodingRepository.EncodingName 002d SIndexOutOfRange 0032 LoadResString 003c _Dn_EAccessViolation 0041 Exception.Create 0046 @RaiseExcept 004f UnicodeCodecs 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 09 8B C6 FF 50 10 3B D8 7C 21 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B 04 9D ?? ?? ?? ?? FF 50 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_112351_0 {
	meta:
		name = "RaiseUnicodeCodecException"
		size = 31
		refs = "0008 _DV_EUnicodeCodecException 000d Exception.Create 0019 @RaiseExcept"
	strings:
		$1 = { 53 8B DA 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 89 5A 18 8B C2 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_112352_0 {
	meta:
		name = "RaiseUnicodeCodecException"
		size = 31
		refs = "0007 _DV_EUnicodeCodecException 0011 Exception.CreateFmt"
	strings:
		$1 = { 55 8B EC 52 51 8B 15 ?? ?? ?? ?? B1 01 92 87 CA E8 ?? ?? ?? ?? 8B 55 08 89 50 18 5D C2 04 00 }
	condition:
		$1
}

rule function_112353_0 {
	meta:
		name = "TUnicodeCodec.Create"
		size = 78
		refs = "000a @ClassCreate 0017 TObject.Create 0030 TUnicodeCodec.ResetReadAhead 003b @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 66 C7 46 06 FD FF C6 46 04 00 C6 46 08 00 C6 46 09 00 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_112354_0 {
	meta:
		name = "TUnicodeCodec.ResetReadAhead"
		size = 10
	strings:
		$1 = { C6 40 20 00 33 D2 89 50 24 C3 }
	condition:
		$1
}

rule function_112355_0 {
	meta:
		name = "TUnicodeCodec.Alias"
		size = 152
		refs = "0014 TUnicodeCodec.Alias 0045 SIndexOutOfRange 004a LoadResString 0054 _Dn_EAccessViolation 0059 Exception.Create 005e @RaiseExcept 0085 @UStrArrayClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 FF 10 85 C0 75 3E 85 F6 75 17 8D 55 FC 8B C3 FF 50 3C 83 7D FC 00 74 09 8B D7 8B C3 FF 50 3C EB 2E 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0B 8B C3 FF 10 8B CF 8B D6 FF 50 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_112356_0 {
	meta:
		name = "TUnicodeCodec.AliasCount"
		size = 99
		refs = "000c TUnicodeCodec.AliasCount 0051 @UStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 FF 10 85 C0 75 19 8D 55 FC 8B C3 FF 50 3C 83 7D FC 00 75 04 33 DB EB 10 BB 01 00 00 00 EB 09 8B C3 FF 10 FF 50 08 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_112357_0 {
	meta:
		name = "TUnicodeCodec.AliasIndexOf"
		size = 118
		refs = "0017 TUnicodeCodec.AliasIndexOf 0041 CompareText 0061 @UStrClr 0067 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 FF 50 28 8B F0 4E 85 F6 7C 20 46 33 DB 8D 4D F8 8B D3 8B C7 FF 50 24 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 74 07 43 4E 75 E3 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_112360_0 {
	meta:
		name = "TUnicodeCodec.HasAlias"
		size = 20
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 FF 50 2C 40 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_112361_0 {
	meta:
		name = "TUnicodeCodec.MIBenum"
		size = 27
	strings:
		$1 = { 53 8B D8 8B C3 FF 10 85 C0 75 07 B8 01 00 00 00 5B C3 8B C3 FF 10 FF 50 10 5B C3 }
	condition:
		$1
}

rule function_112362_0 {
	meta:
		name = "TUnicodeCodec.Name"
		size = 36
		refs = "0011 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 FF 10 85 C0 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 FF 10 8B D6 FF 50 0C 5E 5B C3 }
	condition:
		$1
}

rule function_112363_0 {
	meta:
		name = "TUnicodeCodec.PreferredMIMEName"
		size = 36
		refs = "0011 @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 FF 10 85 C0 75 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 8B C3 FF 10 8B D6 FF 50 14 5E 5B C3 }
	condition:
		$1
}

rule function_112368_0 {
	meta:
		name = "TUnicodeCodec.SetOnRead"
		size = 38
		refs = "0011 TUnicodeCodec.ResetReadAhead"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 3B 43 10 74 13 8B C3 E8 ?? ?? ?? ?? 8B 45 08 89 43 10 8B 45 0C 89 43 14 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_112369_0 {
	meta:
		name = "TUnicodeCodec.DecodeStr"
		size = 183
		refs = "002a @WStrClr 0036 @WStrSetLength"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 8B F1 89 55 F8 89 45 FC 8B 45 F8 89 45 F4 89 75 F0 83 7D F4 00 74 06 83 7D F0 00 7F 0A 8B 45 08 E8 ?? ?? ?? ?? EB 7E 8B 45 08 8B D6 E8 ?? ?? ?? ?? 33 DB 8B 45 08 8B 00 8B D3 03 D2 03 C2 50 8B C6 03 C0 50 8D 45 EC 50 8D 45 E8 50 8B 4D F0 8B 55 F4 8B 45 FC 8B 38 FF 57 18 8B 45 EC 29 45 F0 8B 45 EC 01 45 F4 03 5D E8 3B 75 E8 7F 13 83 7D F0 00 7E 0D 8D 14 1E 8B 45 08 E8 ?? ?? ?? ?? EB B2 8B 45 08 8B 00 89 45 E4 8B 45 E4 85 C0 74 07 83 E8 04 8B 00 D1 E8 3B D8 74 0A 8B 45 08 8B D3 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_112370_0 {
	meta:
		name = "TUnicodeCodec.EncodeStr"
		size = 55
	strings:
		$1 = { 53 56 57 83 C4 F8 89 0C 24 8B FA 8B F0 8B DF 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8D 44 24 04 50 8B 44 24 04 50 8B CB 8B D7 8B C6 8B 18 FF 53 1C 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112371_0 {
	meta:
		name = "TUnicodeCodec.ReadBuffer"
		size = 38
	strings:
		$1 = { 53 51 C6 04 24 00 66 83 78 12 00 74 12 51 8D 4C 24 04 51 8B CA 8B D8 8B D0 8B 43 14 FF 53 10 0F B6 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_112372_0 {
	meta:
		name = "TUnicodeCodec.WriteBuffer"
		size = 23
	strings:
		$1 = { 53 66 83 78 1A 00 74 0D 51 8B CA 8B D8 8B D0 8B 43 1C FF 53 18 5B C3 }
	condition:
		$1
}

rule function_112373_0 {
	meta:
		name = "TUnicodeCodec.ReadUCS4Char"
		size = 95
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 80 7B 20 00 74 10 8B 43 24 89 06 8B 43 28 89 07 C6 43 20 00 EB 0B 8B CF 8B D6 8B C3 8B 28 FF 55 0C 83 3E 0D 75 2A 80 7B 08 01 75 24 8D 4B 28 8D 53 24 8B C3 8B 28 FF 55 0C 83 7B 24 0A 75 07 8B 43 28 01 07 EB 04 C6 43 20 01 C7 06 0A 00 00 00 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112374_0 {
	meta:
		name = "TUnicodeCodec.WriteUCS4Char"
		size = 110
	strings:
		$1 = { 53 56 57 51 8B F1 8B D8 83 FA 0A 75 53 0F B6 43 09 2C 01 72 08 74 16 FE C8 74 22 EB 4C 8B CE BA 0A 00 00 00 8B C3 8B 18 FF 53 10 EB 3C 8B CE BA 0D 00 00 00 8B C3 8B 18 FF 53 10 EB 2C 8B CE BA 0D 00 00 00 8B C3 8B 38 FF 57 10 8B CC BA 0A 00 00 00 8B C3 8B 18 FF 53 10 8B 04 24 01 06 EB 09 8B CE 8B C3 8B 18 FF 53 10 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112375_0 {
	meta:
		name = "TCustomSingleByteCodec.Create"
		size = 57
		refs = "000a @ClassCreate 0017 TUnicodeCodec.Create 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 30 20 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_112376_0 {
	meta:
		name = "TCustomSingleByteCodec.Decode"
		size = 348
		refs = "0065 TCustomSingleByteCodec.Decode 00b0 @HandleOnException 00b8 _Dn_Exception 00f1 RaiseUnicodeCodecException 00f8 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 55 F8 89 45 FC 8B 45 F8 89 45 F4 8B 45 14 89 45 F0 8B 45 10 D1 F8 79 03 83 D0 00 89 45 E4 83 7D F4 00 74 10 85 C9 7E 0C 83 7D F0 00 74 06 83 7D E4 00 7F 13 8B 45 0C 33 D2 89 10 8B 45 08 33 D2 89 10 E9 02 01 00 00 33 C0 89 45 E8 85 C9 0F 8E E2 00 00 00 89 4D E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 E8 3B 45 E4 7C 0D 33 C0 5A 59 59 64 89 10 E9 BC 00 00 00 8B 45 F4 0F B6 10 8B 45 FC 8B 08 FF 51 44 8B 55 F0 66 89 02 FF 45 F4 83 45 F0 02 FF 45 E8 33 C0 5A 59 59 64 89 10 E9 88 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 FC 0F B6 52 04 83 FA 04 77 66 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 F4 2B 55 F8 8B 40 04 E8 ?? ?? ?? ?? EB 3B E8 ?? ?? ?? ?? EB 42 FF 45 F4 EB 2F 8B 45 F4 0F B6 00 8B 55 F0 66 89 02 FF 45 F4 83 45 F0 02 FF 45 E8 EB 17 8B 45 FC 0F B7 40 06 8B 55 F0 66 89 02 FF 45 F4 83 45 F0 02 FF 45 E8 E8 ?? ?? ?? ?? FF 4D E0 0F 85 21 FF FF FF 8B 45 08 8B 55 E8 89 10 8B 45 F4 2B 45 F8 8B 55 0C 89 02 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_112377_0 {
	meta:
		name = "TCustomSingleByteCodec.DecodeUCS4Char"
		size = 21
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 8B 08 FF 51 44 0F B7 C0 5E 5B C3 }
	condition:
		$1
}

rule function_112378_0 {
	meta:
		name = "TCustomSingleByteCodec.Encode"
		size = 342
		refs = "0029 @LStrClr 003b @LStrSetLength 0063 TCustomSingleByteCodec.Encode 009b @HandleOnException 00a3 _Dn_Exception 00d9 RaiseUnicodeCodecException 00e0 @DoneExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 89 4D F8 89 45 FC 89 55 F0 83 7D F0 00 74 06 83 7D F8 00 7F 14 8B 45 0C 33 D2 89 10 8B 45 08 E8 ?? ?? ?? ?? E9 1B 01 00 00 8B 45 08 33 C9 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 89 45 E8 33 C0 89 45 E4 8B 45 08 8B 00 89 45 F4 8B 45 F8 85 C0 0F 8E D4 00 00 00 89 45 E0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 F0 0F B7 10 8B 45 FC 8B 08 FF 51 48 8B 55 F4 88 02 FF 45 F4 83 45 F0 02 FF 45 E8 FF 45 E4 33 C0 5A 59 59 64 89 10 E9 8D 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 FC 0F B6 52 04 83 FA 04 77 6B FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 40 04 8B 55 E8 E8 ?? ?? ?? ?? EB 43 E8 ?? ?? ?? ?? EB 4A 83 45 F0 02 FF 45 E8 EB 33 8B 45 F0 0F B6 00 8B 55 F4 88 02 FF 45 F4 83 45 F0 02 FF 45 E8 FF 45 E4 EB 19 8B 45 FC 0F B6 40 30 8B 55 F4 88 02 FF 45 F4 83 45 F0 02 FF 45 E8 FF 45 E4 E8 ?? ?? ?? ?? FF 4D E0 0F 85 2F FF FF FF 8B 45 F8 3B 45 E4 74 0D 8B 45 08 33 C9 8B 55 E4 E8 ?? ?? ?? ?? 8B 45 0C 8B 55 E8 89 10 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_112379_0 {
	meta:
		name = "TCustomSingleByteCodec.EncodeUCS4Char"
		size = 138
		refs = "0012 TCustomSingleByteCodec.EncodeUCS4Char 0049 SInvalidCodePoint 004e LoadResString 0058 _Dn_EConvertError 005d Exception.CreateFmt 0062 @RaiseExcept 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 81 FB 00 00 01 00 73 0B 8B D3 8B 08 FF 51 48 8B D8 EB 37 89 5D F0 C6 45 F4 00 33 C0 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_112380_0 {
	meta:
		name = "TCustomSingleByteCodec.InternalReadUCS4Char"
		size = 67
		refs = "0014 TUnicodeCodec.ReadBuffer"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 8B D4 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 18 0F B6 14 24 8B C3 8B 08 FF 51 44 0F B7 C0 89 06 C7 07 01 00 00 00 EB 0A C7 06 9C 00 00 00 33 C0 89 07 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112381_0 {
	meta:
		name = "TCustomSingleByteCodec.InternalWriteUCS4Char"
		size = 47
		refs = "0020 TUnicodeCodec.WriteBuffer"
	strings:
		$1 = { 53 56 57 51 8B F9 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 50 88 04 24 8B D4 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? C7 07 01 00 00 00 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112382_0 {
	meta:
		name = "UTF8ToUCS4Char"
		size = 336
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 89 4D F4 89 55 F8 89 45 FC 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D0 2B 55 F8 42 85 D2 7F 15 8B 45 F4 33 D2 89 10 8B 45 08 33 D2 89 10 B0 03 E9 0C 01 00 00 8B 45 FC 8B 4D F8 0F B6 4C 08 FF 80 F9 80 73 18 8B 45 F4 C7 00 01 00 00 00 0F B6 C1 8B 55 08 89 02 33 C0 E9 E4 00 00 00 B0 C0 22 C1 3C 80 75 18 8B 45 F4 C7 00 01 00 00 00 0F B6 C1 8B 55 08 89 02 B0 01 E9 C4 00 00 00 F6 C1 20 75 12 8B 45 F4 C7 00 02 00 00 00 B0 1F 22 C1 0F B6 C0 EB 43 F6 C1 10 75 12 8B 45 F4 C7 00 03 00 00 00 B0 0F 22 C1 0F B6 C0 EB 2C F6 C1 08 75 12 8B 45 F4 C7 00 04 00 00 00 B0 07 22 C1 0F B6 C0 EB 15 8B 45 F4 C7 00 01 00 00 00 0F B6 C1 8B 55 08 89 02 B0 01 EB 6A 8B 5D F4 3B 13 7D 0C 0F B6 C1 8B 55 08 89 02 B0 02 EB 57 8B 75 F4 8B 36 4E 85 F6 7E 46 C7 45 F0 01 00 00 00 8B 55 F8 03 55 F0 8B 5D FC 0F B6 54 13 FF B3 C0 22 DA 80 FB 80 74 15 8B 45 F4 C7 00 01 00 00 00 0F B6 C1 8B 55 08 89 02 B0 01 EB 1A 80 E2 3F 0F B6 D2 C1 E0 06 0B D0 8B C2 FF 45 F0 4E 75 C1 8B 55 08 89 02 33 C0 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_112383_0 {
	meta:
		name = "UTF8ToWideChar"
		size = 69
		refs = "001f UTF8ToUCS4Char"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B FA 8B F0 8B 5D 08 8D 45 F8 50 8B 4D FC 8B D7 8B C6 E8 ?? ?? ?? ?? 81 7D F8 FF FF 00 00 76 09 B0 04 66 C7 03 00 00 EB 07 0F B7 55 F8 66 89 13 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_112384_0 {
	meta:
		name = "TUTF8Codec.Decode"
		size = 704
		refs = "0021 TUTF8Codec.Decode 00a1 @LStrFromPChar 00af UTF8ToWideChar 0102 SInvalidEncoding 0107 LoadResString 0111 _Dn_EConvertError 0116 Exception.CreateFmt 011b @RaiseExcept 015a SEncodingOutOfRange 018d SUTF8Error 01b8 @HandleOnException 01c0 _Dn_Exception 01f9 RaiseUnicodeCodecException 0200 @DoneExcept 028b @UStrArrayClr 0293 @LStrClr 0299 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C4 53 56 57 33 DB 89 5D C4 89 5D C8 89 5D CC 89 5D D8 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 55 F4 8B 45 F8 89 45 EC 8B 45 14 89 45 F0 8B 45 10 D1 F8 79 03 83 D0 00 89 45 E0 83 7D F4 00 74 12 83 7D EC 00 7E 0C 83 7D F0 00 74 06 83 7D E0 00 7F 13 8B 45 0C 33 D2 89 10 8B 45 08 33 D2 89 10 E9 03 02 00 00 33 C0 89 45 E4 8B 45 E4 3B 45 E0 0F 8D DF 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 DE 50 8D 45 D8 8B 55 F4 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 D8 8D 4D E8 8B 55 EC E8 ?? ?? ?? ?? 8B D8 8B C3 2C 01 72 0F 74 2F FE C8 74 63 2C 02 74 7F E9 AF 00 00 00 8B 45 F0 0F B7 55 DE 66 89 10 83 45 F0 02 FF 45 E4 8B 45 E8 01 45 F4 8B 45 E8 29 45 EC E9 BE 00 00 00 B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8D 55 CC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D CC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 86 00 00 00 8B 45 F8 2B 45 EC 8B 55 0C 89 02 8B 45 08 8B 55 E4 89 10 33 C0 5A 59 59 64 89 10 E9 31 01 00 00 B8 ?? ?? ?? ?? 89 45 D0 C6 45 D4 11 8D 45 D0 50 6A 00 8D 55 C8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 31 0F B6 C3 89 45 D0 C6 45 D4 00 8D 45 D0 50 6A 00 8D 55 C4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 E9 A1 00 00 00 E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 FC 0F B6 52 04 83 FA 04 77 7F FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 55 F8 2B 55 EC 8B 40 04 E8 ?? ?? ?? ?? EB 54 E8 ?? ?? ?? ?? EB 5C 8B 45 E8 01 45 F4 8B 45 E8 29 45 EC EB 3F 8B 45 F0 0F B7 55 DE 66 89 10 83 45 F0 02 FF 45 E4 8B 45 E8 01 45 F4 8B 45 E8 29 45 EC EB 20 8B 45 FC 0F B7 40 06 8B 55 F0 66 89 02 83 45 F0 02 FF 45 E4 8B 45 E8 01 45 F4 8B 45 E8 29 45 EC E8 ?? ?? ?? ?? 83 7D EC 00 0F 8F 15 FE FF FF 8B 45 F8 2B 45 EC 8B 55 0C 89 02 8B 45 08 8B 55 E4 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 10 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 }
	condition:
		$1
}

rule function_112385_0 {
	meta:
		name = "TUTF8Codec.Encode"
		size = 152
		refs = "0026 @LStrClr 003a @LStrSetLength 0061 TUTF8Codec.UCS4CharToUTF8"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 89 4D F8 89 45 FC 8B DA 85 DB 74 06 83 7D F8 00 7F 11 8B 45 0C 33 D2 89 10 8B 45 08 E8 ?? ?? ?? ?? EB 63 8B 75 F8 8D 34 76 8B 45 08 33 C9 8B D6 E8 ?? ?? ?? ?? 8B 45 08 8B 00 89 45 F4 33 C0 89 45 F0 8B 7D F8 85 FF 7E 28 56 8D 45 EC 50 0F B7 13 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 83 C3 02 8B 45 EC 01 45 F4 2B 75 EC 8B 45 EC 01 45 F0 4F 75 D8 8B 45 08 33 C9 8B 55 F0 E8 ?? ?? ?? ?? 8B 45 0C 8B 55 F8 89 10 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_112387_0 {
	meta:
		name = "UTF8CharSize"
		size = 195
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 7D FC 8B CF 85 C9 74 05 83 E9 04 8B 09 85 C9 7F 07 33 C9 E9 98 00 00 00 0F B6 4C 10 FF 80 F9 80 73 0A B9 01 00 00 00 E9 84 00 00 00 B3 C0 22 D9 80 FB 80 75 07 B9 01 00 00 00 EB 74 F6 C1 20 75 07 B9 02 00 00 00 EB 1F F6 C1 10 75 07 B9 03 00 00 00 EB 13 F6 C1 08 75 07 B9 04 00 00 00 EB 07 B9 01 00 00 00 EB 49 8B F7 85 F6 74 05 83 EE 04 8B 36 8D 1C 11 4B 3B F3 7D 12 8B C7 85 C0 74 05 83 E8 04 8B 00 8B C8 2B CA 41 EB 24 8D 72 01 8D 14 11 4A 2B D6 7C 19 42 0F B6 5C 30 FF 80 E3 C0 80 FB 80 74 07 B9 01 00 00 00 EB 04 46 4A 75 E8 8B C1 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_112388_0 {
	meta:
		name = "TUTF8Codec.GetCharCount"
		size = 74
		refs = "002f UTF8CharSize"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 8B EA BF 01 00 00 00 89 6C 24 04 8B 44 24 04 85 C0 74 05 83 E8 04 8B 00 8B F0 33 C0 89 04 24 85 F6 7E 16 8B D7 8B C5 E8 ?? ?? ?? ?? 8B D8 2B F3 03 FB FF 04 24 85 F6 7F EA 8B 04 24 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_112389_0 {
	meta:
		name = "TUTF8Codec.GetPreamble"
		size = 45
		refs = "000e TBytes 0013 @DynArraySetLength"
	strings:
		$1 = { 53 8B DA 6A 03 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 C6 00 EF 8B 03 C6 40 01 BB 8B 03 C6 40 02 BF 5B C3 }
	condition:
		$1
}

rule function_112390_0 {
	meta:
		name = "TUTF8Codec.InternalReadUCS4Char"
		size = 552
		refs = "0021 TUTF8Codec.InternalReadUCS4Char 0037 TUnicodeCodec.ReadBuffer 0093 SInvalidEncoding 0098 LoadResString 00a2 _Dn_EConvertError 00a7 Exception.CreateFmt 00ac @RaiseExcept 019a MaxCode 01fb @UStrArrayClr 0201 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FB B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0F C7 06 9C 00 00 00 33 C0 89 07 E9 97 01 00 00 0F B6 45 FB 89 06 C7 07 01 00 00 00 81 3E 80 00 00 00 0F 82 7F 01 00 00 0F B6 45 FB 88 45 FA B3 40 0F B6 45 FB 24 C0 3C C0 0F 84 D7 00 00 00 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9F 00 00 00 8D 55 FB B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 33 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FB 24 C0 3C 80 74 33 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FB 24 3F 0F B6 C0 8B 16 C1 E2 06 0B C2 89 06 FF 07 0F B6 C3 D1 E8 8B D8 84 5D FA 0F 85 58 FF FF FF 83 3F 06 7E 33 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 E0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 07 8B 04 85 ?? ?? ?? ?? 21 06 83 3F 01 7E 40 8B 06 8B 17 3B 04 95 ?? ?? ?? ?? 77 33 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 45 F0 50 6A 00 8D 55 DC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D DC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 }
	condition:
		$1
}

rule function_112391_0 {
	meta:
		name = "TUTF8Codec.InternalWriteUCS4Char"
		size = 36
		refs = "0011 TUTF8Codec.UCS4CharToUTF8 001c TUnicodeCodec.WriteBuffer"
	strings:
		$1 = { 53 56 51 8B F1 8B D8 6A 04 56 8D 4C 24 08 8B C3 E8 ?? ?? ?? ?? 8B 0E 8B D4 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_112399_0 {
	meta:
		name = "TUTF16BECodec.InternalWriteUCS4Char"
		size = 36
		refs = "0011 TUTF16BECodec.UCS4CharToUTF16BE 001c TUnicodeCodec.WriteBuffer"
	strings:
		$1 = { 53 56 51 8B F1 8B D8 6A 04 56 8D 4C 24 08 8B C3 E8 ?? ?? ?? ?? 8B 0E 8B D4 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_112407_0 {
	meta:
		name = "TUTF16LECodec.InternalWriteUCS4Char"
		size = 36
		refs = "0011 TUTF16LECodec.UCS4CharToUTF16LE 001c TUnicodeCodec.WriteBuffer"
	strings:
		$1 = { 53 56 51 8B F1 8B D8 6A 04 56 8D 4C 24 08 8B C3 E8 ?? ?? ?? ?? 8B 0E 8B D4 8B C3 E8 ?? ?? ?? ?? 5A 5E 5B C3 }
	condition:
		$1
}

rule function_112392_0 {
	meta:
		name = "TUTF8Codec.WriteUCS4Char"
		size = 103
		refs = "001a UTF8_LF 0024 TUnicodeCodec.WriteBuffer 0031 UTF8_CR 0048 UTF8_CRLF"
	strings:
		$1 = { 53 8B D9 83 FA 0A 75 56 0F B6 50 09 80 EA 01 72 08 74 1D FE CA 74 30 EB 4C BA ?? ?? ?? ?? B9 01 00 00 00 E8 ?? ?? ?? ?? C7 03 01 00 00 00 EB 35 BA ?? ?? ?? ?? B9 01 00 00 00 E8 ?? ?? ?? ?? C7 03 01 00 00 00 EB 1E BA ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C7 03 02 00 00 00 5B C3 8B CB 8B 18 FF 53 10 5B C3 }
	condition:
		$1
}

rule function_112393_0 {
	meta:
		name = "TUTF8Codec.UCS4CharToUTF8"
		size = 440
		refs = "0016 TUTF8Codec.UCS4CharToUTF8 0159 SInvalidCodePoint 015e LoadResString 0168 _Dn_EConvertError 016d Exception.CreateFmt 0172 @RaiseExcept 0187 @UStrClr 018d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D EC 8B DA 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 81 FB 80 00 00 00 73 20 8B 55 08 C7 02 01 00 00 00 85 C0 0F 84 3B 01 00 00 85 F6 0F 8E 33 01 00 00 88 18 E9 2C 01 00 00 81 FB 00 08 00 00 73 38 8B 55 08 C7 02 02 00 00 00 85 C0 0F 84 13 01 00 00 85 F6 0F 8E 0B 01 00 00 8B D3 C1 EA 06 80 CA C0 88 10 4E 0F 84 FA 00 00 00 40 80 E3 3F 80 CB 80 88 18 E9 EC 00 00 00 81 FB 00 00 01 00 73 51 8B 55 08 C7 02 03 00 00 00 85 C0 0F 84 D3 00 00 00 85 F6 0F 8E CB 00 00 00 8B D3 C1 EA 0C 80 CA E0 88 10 83 FE 01 0F 84 B8 00 00 00 40 8B D3 C1 EA 06 80 E2 3F 80 CA 80 88 10 83 FE 02 0F 84 A1 00 00 00 40 80 E3 3F 80 CB 80 88 18 E9 93 00 00 00 81 FB 00 00 20 00 73 51 8B 55 08 C7 02 04 00 00 00 85 C0 74 7E 85 F6 7E 7A 8B D3 C1 EA 12 80 CA F0 88 10 83 FE 01 74 6B 40 8B D3 C1 EA 0C 80 E2 3F 80 CA 80 88 10 83 FE 02 74 58 40 8B D3 C1 EA 06 80 E2 3F 80 CA 80 88 10 83 FE 03 74 45 40 80 E3 3F 80 CB 80 88 18 EB 3A 89 5D F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 00 00 }
	condition:
		$1
}

rule function_112394_0 {
	meta:
		name = "TUTF16BECodec.Decode"
		size = 133
		refs = "005c SwapUTF16Endian"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B 45 10 89 4D FC 3B 45 FC 7D 03 89 45 FC 83 7D FC 01 7F 10 8B 45 0C 33 D2 89 10 8B 45 08 33 D2 89 10 EB 4F 8B 45 FC 25 01 00 00 80 79 05 48 83 C8 FE 40 29 45 FC 8B 45 FC D1 F8 79 03 83 D0 00 89 45 F8 8B F2 8B 7D 14 8B 5D F8 85 DB 7E 14 0F B7 06 E8 ?? ?? ?? ?? 66 89 07 83 C6 02 83 C7 02 4B 75 EC 8B 45 08 8B 55 F8 89 10 8B 45 0C 8B 55 FC 89 10 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_112395_0 {
	meta:
		name = "TUTF16BECodec.Encode"
		size = 97
		refs = "001f @LStrClr 0030 @LStrSetLength 0041 SwapUTF16Endian"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B 5D 08 83 7D FC 00 7F 10 8B 45 0C 33 D2 89 10 8B C3 E8 ?? ?? ?? ?? EB 34 8B 45 FC 03 C0 8B D3 33 C9 92 E8 ?? ?? ?? ?? 8B 3B 8B 5D FC 85 DB 7E 14 0F B7 06 E8 ?? ?? ?? ?? 66 89 07 83 C6 02 83 C7 02 4B 75 EC 8B 45 0C 8B 55 FC 89 10 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_112397_0 {
	meta:
		name = "TUTF16BECodec.GetPreamble"
		size = 39
		refs = "000e TBytes 0013 @DynArraySetLength"
	strings:
		$1 = { 53 8B DA 6A 02 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 C6 00 FE 8B 03 C6 40 01 FF 5B C3 }
	condition:
		$1
}

rule function_112398_0 {
	meta:
		name = "TUTF16BECodec.InternalReadUCS4Char"
		size = 420
		refs = "001e TUTF16BECodec.InternalReadUCS4Char 0036 TUnicodeCodec.ReadBuffer 009a SInvalidEncoding 009f LoadResString 00a9 _Dn_EConvertError 00ae Exception.CreateFmt 00b3 @RaiseExcept 0170 @UStrArrayClr 0176 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 5D F0 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 03 8B D3 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0F C7 03 9C 00 00 00 33 C0 89 07 E9 0D 01 00 00 8B 03 86 E0 89 03 8B 03 05 00 28 FF FF 2D 00 04 00 00 72 10 2D 00 04 00 00 0F 82 B3 00 00 00 E9 E3 00 00 00 8D 55 FE B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 33 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FE 8B D0 80 C2 24 80 EA 04 73 25 34 DC 0F B6 C0 C1 E0 08 8B 13 81 EA C0 D7 00 00 C1 E2 0A 03 C2 0F B6 55 FF 03 C2 89 03 C7 07 04 00 00 00 EB 70 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3B B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 06 C7 07 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 54 00 46 00 2D 00 31 00 36 00 42 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_112400_0 {
	meta:
		name = "TUTF16BECodec.UCS4CharToUTF16BE"
		size = 436
		refs = "0019 TUTF16BECodec.UCS4CharToUTF16BE 009c SInvalidCodePoint 00a1 LoadResString 00ab _Dn_EConvertError 00b0 Exception.CreateFmt 00b5 @RaiseExcept 0134 SCannotConvertUCS4 0167 @UStrArrayClr 016d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D EC 8B DA 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 8B D3 81 EA 00 D8 00 00 72 1D 81 EA 00 08 00 00 72 48 81 EA 00 20 00 00 72 0D 81 EA 00 00 10 00 72 77 E9 CB 00 00 00 8B 55 08 C7 02 02 00 00 00 85 C0 0F 84 F4 00 00 00 85 F6 0F 8E EC 00 00 00 8B D3 66 C1 EA 08 88 10 4E 0F 8E DD 00 00 00 40 80 E3 FF 88 18 E9 D2 00 00 00 89 5D F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 93 00 00 00 8B 55 08 C7 02 04 00 00 00 85 C0 0F 84 82 00 00 00 85 F6 7E 7E 8B D3 C1 EA 0A 66 81 C2 C0 D7 8B CA 66 C1 E9 08 88 08 83 FE 01 7E 67 40 80 E2 FF 88 10 83 FE 02 7E 5C 8B D3 66 81 E2 FF 03 66 81 F2 00 DC 40 8B CA 66 C1 E9 08 88 08 83 FE 03 7E 42 40 80 E2 FF 88 10 EB 3A 89 5D F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 43 00 53 00 2D 00 34 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 54 00 46 00 2D 00 31 00 36 00 42 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_112401_0 {
	meta:
		name = "TUTF16BECodec.WriteUCS4Char"
		size = 103
		refs = "001a UTF16BE_LF 0024 TUnicodeCodec.WriteBuffer 0031 UTF16BE_CR 0048 UTF16BE_CRLF"
	strings:
		$1 = { 53 8B D9 83 FA 0A 75 56 0F B6 50 09 80 EA 01 72 08 74 1D FE CA 74 30 EB 4C BA ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C7 03 02 00 00 00 EB 35 BA ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C7 03 02 00 00 00 EB 1E BA ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C7 03 04 00 00 00 5B C3 8B CB 8B 18 FF 53 10 5B C3 }
	condition:
		$1
}

rule function_112443_0 {
	meta:
		name = "TUCS2BECodec.WriteUCS4Char"
		size = 103
		refs = "001a UCS2BE_LF 0024 TUnicodeCodec.WriteBuffer 0031 UCS2BE_CR 0048 UCS2BE_CRLF"
	strings:
		$1 = { 53 8B D9 83 FA 0A 75 56 0F B6 50 09 80 EA 01 72 08 74 1D FE CA 74 30 EB 4C BA ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C7 03 02 00 00 00 EB 35 BA ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C7 03 02 00 00 00 EB 1E BA ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C7 03 04 00 00 00 5B C3 8B CB 8B 18 FF 53 10 5B C3 }
	condition:
		$1
}

rule function_112449_0 {
	meta:
		name = "TUCS2LECodec.WriteUCS4Char"
		size = 103
		refs = "001a UCS2LE_LF 0024 TUnicodeCodec.WriteBuffer 0031 UCS2LE_CR 0048 UCS2LE_CRLF"
	strings:
		$1 = { 53 8B D9 83 FA 0A 75 56 0F B6 50 09 80 EA 01 72 08 74 1D FE CA 74 30 EB 4C BA ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C7 03 02 00 00 00 EB 35 BA ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C7 03 02 00 00 00 EB 1E BA ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C7 03 04 00 00 00 5B C3 8B CB 8B 18 FF 53 10 5B C3 }
	condition:
		$1
}

rule function_112409_0 {
	meta:
		name = "TUTF16LECodec.WriteUCS4Char"
		size = 103
		refs = "001a UTF16LE_LF 0024 TUnicodeCodec.WriteBuffer 0031 UTF16LE_CR 0048 UTF16LE_CRLF"
	strings:
		$1 = { 53 8B D9 83 FA 0A 75 56 0F B6 50 09 80 EA 01 72 08 74 1D FE CA 74 30 EB 4C BA ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C7 03 02 00 00 00 EB 35 BA ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C7 03 02 00 00 00 EB 1E BA ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C7 03 04 00 00 00 5B C3 8B CB 8B 18 FF 53 10 5B C3 }
	condition:
		$1
}

rule function_112402_0 {
	meta:
		name = "TUTF16LECodec.Decode"
		size = 90
		refs = "0046 Move"
	strings:
		$1 = { 55 8B EC 53 56 8B 45 10 8B D9 3B C3 7D 02 8B D8 83 FB 01 7F 10 8B 45 0C 33 D2 89 10 8B 45 08 33 D2 89 10 EB 2F 8B C3 25 01 00 00 80 79 05 48 83 C8 FE 40 2B D8 8B F3 D1 FE 79 03 83 D6 00 8B C2 8B 55 14 8B CB E8 ?? ?? ?? ?? 8B 45 08 89 30 8B 45 0C 89 18 5E 5B 5D C2 10 00 }
	condition:
		$1
}

rule function_112403_0 {
	meta:
		name = "TUTF16LECodec.Encode"
		size = 75
		refs = "001d @LStrClr 002e @LStrSetLength 003a Move"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B D9 89 55 FC 8B 7D 08 85 DB 7F 10 8B 45 0C 33 D2 89 10 8B C7 E8 ?? ?? ?? ?? EB 20 8B F3 03 F6 8B C7 33 C9 8B D6 E8 ?? ?? ?? ?? 8B 17 8B 45 FC 8B CE E8 ?? ?? ?? ?? 8B 45 0C 89 18 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_112405_0 {
	meta:
		name = "TUTF16LECodec.GetPreamble"
		size = 39
		refs = "000e TBytes 0013 @DynArraySetLength"
	strings:
		$1 = { 53 8B DA 6A 02 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 C6 00 FF 8B 03 C6 40 01 FE 5B C3 }
	condition:
		$1
}

rule function_112406_0 {
	meta:
		name = "TUTF16LECodec.InternalReadUCS4Char"
		size = 416
		refs = "001e TUTF16LECodec.InternalReadUCS4Char 0036 TUnicodeCodec.ReadBuffer 0094 SInvalidEncoding 0099 LoadResString 00a3 _Dn_EConvertError 00a8 Exception.CreateFmt 00ad @RaiseExcept 016a @UStrArrayClr 0170 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 5D F0 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 03 8B D3 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0F C7 03 9C 00 00 00 33 C0 89 07 E9 07 01 00 00 8B 03 05 00 28 FF FF 2D 00 04 00 00 72 10 2D 00 04 00 00 0F 82 B3 00 00 00 E9 E3 00 00 00 8D 55 FE B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 33 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 FF 8B D0 80 C2 24 80 EA 04 73 25 34 DC 0F B6 C0 C1 E0 08 8B 13 81 EA C0 D7 00 00 C1 E2 0A 03 C2 0F B6 55 FE 03 C2 89 03 C7 07 04 00 00 00 EB 70 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3B B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 06 C7 07 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 54 00 46 00 2D 00 31 00 36 00 4C 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_112408_0 {
	meta:
		name = "TUTF16LECodec.UCS4CharToUTF16LE"
		size = 436
		refs = "0019 TUTF16LECodec.UCS4CharToUTF16LE 009c SInvalidCodePoint 00a1 LoadResString 00ab _Dn_EConvertError 00b0 Exception.CreateFmt 00b5 @RaiseExcept 0134 SCannotConvertUCS4 0167 @UStrArrayClr 016d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 DB 89 5D E8 89 5D EC 8B DA 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C1 8B D3 81 EA 00 D8 00 00 72 1D 81 EA 00 08 00 00 72 48 81 EA 00 20 00 00 72 0D 81 EA 00 00 10 00 72 77 E9 CB 00 00 00 8B 55 08 C7 02 02 00 00 00 85 C0 0F 84 F4 00 00 00 85 F6 0F 8E EC 00 00 00 8B D3 80 E2 FF 88 10 4E 0F 8E DE 00 00 00 40 66 C1 EB 08 88 18 E9 D2 00 00 00 89 5D F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 93 00 00 00 8B 55 08 C7 02 04 00 00 00 85 C0 0F 84 82 00 00 00 85 F6 7E 7E 8B D3 C1 EA 0A 66 81 C2 C0 D7 8B CA 80 E1 FF 88 08 83 FE 01 7E 68 40 66 C1 EA 08 88 10 83 FE 02 7E 5C 8B D3 66 81 E2 FF 03 66 81 F2 00 DC 40 8B CA 80 E1 FF 88 08 83 FE 03 7E 43 40 66 C1 EA 08 88 10 EB 3A 89 5D F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 43 00 53 00 2D 00 34 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 54 00 46 00 2D 00 31 00 36 00 4C 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_112410_0 {
	meta:
		name = "TUCS4BECodec.Decode"
		size = 744
		refs = "001e TUCS4BECodec.Decode 00fa SCannotConvertUCS4 00ff LoadResString 0124 RaiseUnicodeCodecException 0137 SSurrogateNotAllowed 0294 @UStrClr 02a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D E4 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B 7D 14 8B 45 10 D1 F8 79 03 83 D0 00 89 45 E8 85 DB 74 10 83 7D F4 00 7E 0A 85 FF 74 06 83 7D E8 00 7F 13 8B 45 0C 33 D2 89 10 8B 45 08 33 D2 89 10 E9 21 02 00 00 33 C0 89 45 EC 8B C3 03 45 F4 83 E8 04 89 45 F0 3B 5D F0 0F 87 F8 01 00 00 0F B6 03 8B F0 C1 E6 18 8D 43 01 0F B6 00 C1 E0 10 03 F0 8D 43 02 0F B6 00 C1 E0 08 03 F0 8D 43 03 0F B6 00 03 F0 81 FE 00 D8 00 00 72 08 81 FE 00 E0 00 00 72 0C 81 FE FF FF 10 00 0F 86 2C 01 00 00 8B 45 FC 0F B6 40 04 83 F8 04 0F 87 9D 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 81 FE FF FF 10 00 76 3D 8B C3 2B 45 F8 50 8D 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 89 75 D4 C6 45 D8 00 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? E9 3D 01 00 00 8B C3 2B 45 F8 50 8D 55 D0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 89 75 D4 C6 45 D8 00 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? E9 00 01 00 00 83 C3 04 E9 F8 00 00 00 8B 45 EC 40 3B 45 E8 0F 8D F4 00 00 00 8D 43 01 0F B6 00 88 07 8D 47 01 0F B6 13 88 10 8D 43 03 0F B6 00 8D 57 02 88 02 8D 43 02 0F B6 00 8D 57 03 88 02 83 C7 04 83 C3 04 83 45 EC 02 E9 B6 00 00 00 8B 45 EC 3B 45 E8 0F 8D B3 00 00 00 8B 45 FC 0F B7 40 06 24 FF 88 07 8B 45 FC 0F B7 40 06 66 C1 E8 08 8D 57 01 88 02 83 C7 02 83 C3 04 FF 45 EC E9 81 00 00 00 81 FE FF FF 00 00 76 55 8B 45 EC 40 3B 45 E8 7D 79 8D 43 01 0F B6 00 C1 E0 06 8D 53 02 0F B6 12 C1 EA 02 02 C2 88 07 8D 43 01 0F B6 00 C1 E8 02 04 D8 8D 57 01 88 02 8D 43 03 0F B6 00 8D 57 02 88 02 8D 43 02 0F B6 00 24 03 04 DC 8D 57 03 88 02 83 C7 04 83 C3 04 83 45 EC 02 EB 24 8B 45 EC 3B 45 E8 7D 25 8D 43 03 0F B6 00 88 07 8D 43 02 0F B6 00 8D 57 01 88 02 83 C7 02 83 C3 04 FF 45 EC 3B 5D F0 0F 86 08 FE FF FF 8B 45 08 8B 55 EC 89 10 2B 5D F8 8B 45 0C 89 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 54 00 46 00 2D 00 31 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 43 00 53 00 2D 00 34 00 00 00 }
	condition:
		$1
}

rule function_112411_0 {
	meta:
		name = "TUCS4BECodec.Encode"
		size = 476
		refs = "001b TUCS4BECodec.Encode 003c @LStrClr 0052 @LStrSetLength 0099 SLowSurrogateNotFound 009e LoadResString 00a8 _Dn_EConvertError 00ad Exception.Create 00b2 @RaiseExcept 014c SHighSurrogateNotFound 01c7 @UStrArrayClr 01cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 5D F0 89 4D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DA 85 DB 74 06 83 7D FC 00 7F 14 8B 45 0C 33 D2 89 10 8B 45 08 E8 ?? ?? ?? ?? E9 6C 01 00 00 8B 55 FC 03 D2 03 D2 8B 45 08 33 C9 E8 ?? ?? ?? ?? 8B 75 08 8B 36 33 C0 89 45 F8 8B 7D FC 03 FF 03 FB 3B FB 0F 86 2D 01 00 00 0F B7 03 05 00 28 FF FF 66 2D 00 04 72 0F 66 2D 00 04 0F 82 C1 00 00 00 E9 DF 00 00 00 8B C7 83 E8 02 3B D8 75 21 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 03 66 89 45 F6 83 C3 02 83 45 F8 02 0F B7 03 66 89 45 F4 0F B7 45 F4 05 00 24 FF FF 66 2D 01 03 73 4B C6 06 00 0F B7 45 F6 2D C0 D7 00 00 C1 E8 06 8D 56 01 88 02 0F B7 45 F6 66 83 E0 3F 03 C0 03 C0 0F B7 55 F4 81 EA 00 DC 00 00 C1 EA 08 02 C2 8D 56 02 88 02 0F B6 45 F4 24 FF 8D 56 03 88 02 83 C3 02 83 C6 04 83 45 F8 04 EB 6F 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4C 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 29 C6 06 00 8D 46 01 C6 00 00 0F B7 03 66 C1 E8 08 8D 56 02 88 02 0F B7 03 24 FF 8D 56 03 88 02 83 C3 02 83 C6 04 83 45 F8 04 3B FB 0F 87 D3 FE FF FF 8B 45 08 33 C9 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 0C 8B 55 FC 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_112413_0 {
	meta:
		name = "TUCS4BECodec.GetPreamble"
		size = 51
		refs = "000e TBytes 0013 @DynArraySetLength"
	strings:
		$1 = { 53 8B DA 6A 04 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 C6 00 00 8B 03 C6 40 01 00 8B 03 C6 40 02 FE 8B 03 C6 40 03 FF 5B C3 }
	condition:
		$1
}

rule function_112414_0 {
	meta:
		name = "TUCS4BECodec.InternalReadUCS4Char"
		size = 244
		refs = "0018 TUCS4BECodec.InternalReadUCS4Char 002d TUnicodeCodec.ReadBuffer 0083 SSurrogateNotAllowed 0088 LoadResString 0092 _Dn_EConvertError 0097 Exception.CreateFmt 009c @RaiseExcept 00c3 @UStrClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 73 0F B6 45 FC C1 E0 18 0F B6 55 FD C1 E2 10 03 C2 0F B6 55 FE C1 E2 08 03 C2 0F B6 55 FF 03 C2 89 06 8B 06 05 00 28 FF FF 2D 00 08 00 00 73 3C 8B 06 89 45 EC C6 45 F0 00 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 EC 50 6A 01 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 07 04 00 00 00 EB 0A C7 06 9C 00 00 00 33 C0 89 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 43 00 53 00 2D 00 34 00 42 00 45 00 00 00 }
	condition:
		$1
}

rule function_112415_0 {
	meta:
		name = "TUCS4BECodec.InternalWriteUCS4Char"
		size = 68
		refs = "0037 TUnicodeCodec.WriteBuffer"
	strings:
		$1 = { 53 51 8B D9 8B CA C1 E9 18 88 0C 24 B9 00 00 FF 00 23 CA C1 E9 10 88 4C 24 01 B9 00 FF 00 00 23 CA C1 E9 08 88 4C 24 02 80 E2 FF 88 54 24 03 8B D4 B9 04 00 00 00 E8 ?? ?? ?? ?? C7 03 04 00 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_112416_0 {
	meta:
		name = "TUCS4BECodec.WriteUCS4Char"
		size = 103
		refs = "001a UCS4BE_LF 0024 TUnicodeCodec.WriteBuffer 0031 UCS4BE_CR 0048 UCS4BE_CRLF"
	strings:
		$1 = { 53 8B D9 83 FA 0A 75 56 0F B6 50 09 80 EA 01 72 08 74 1D FE CA 74 30 EB 4C BA ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C7 03 04 00 00 00 EB 35 BA ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C7 03 04 00 00 00 EB 1E BA ?? ?? ?? ?? B9 08 00 00 00 E8 ?? ?? ?? ?? C7 03 08 00 00 00 5B C3 8B CB 8B 18 FF 53 10 5B C3 }
	condition:
		$1
}

rule function_112423_0 {
	meta:
		name = "TUCS4LECodec.WriteUCS4Char"
		size = 103
		refs = "001a UCS4LE_LF 0024 TUnicodeCodec.WriteBuffer 0031 UCS4LE_CR 0048 UCS4LE_CRLF"
	strings:
		$1 = { 53 8B D9 83 FA 0A 75 56 0F B6 50 09 80 EA 01 72 08 74 1D FE CA 74 30 EB 4C BA ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C7 03 04 00 00 00 EB 35 BA ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C7 03 04 00 00 00 EB 1E BA ?? ?? ?? ?? B9 08 00 00 00 E8 ?? ?? ?? ?? C7 03 08 00 00 00 5B C3 8B CB 8B 18 FF 53 10 5B C3 }
	condition:
		$1
}

rule function_112430_0 {
	meta:
		name = "TUCS4_2143Codec.WriteUCS4Char"
		size = 103
		refs = "001a UCS4_2143_LF 0024 TUnicodeCodec.WriteBuffer 0031 UCS4_2143_CR 0048 UCS4_2143_CRLF"
	strings:
		$1 = { 53 8B D9 83 FA 0A 75 56 0F B6 50 09 80 EA 01 72 08 74 1D FE CA 74 30 EB 4C BA ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C7 03 04 00 00 00 EB 35 BA ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C7 03 04 00 00 00 EB 1E BA ?? ?? ?? ?? B9 08 00 00 00 E8 ?? ?? ?? ?? C7 03 08 00 00 00 5B C3 8B CB 8B 18 FF 53 10 5B C3 }
	condition:
		$1
}

rule function_112437_0 {
	meta:
		name = "TUCS4_3412Codec.WriteUCS4Char"
		size = 103
		refs = "001a UCS4_3412_LF 0024 TUnicodeCodec.WriteBuffer 0031 UCS4_3412_CR 0048 UCS4_3412_CRLF"
	strings:
		$1 = { 53 8B D9 83 FA 0A 75 56 0F B6 50 09 80 EA 01 72 08 74 1D FE CA 74 30 EB 4C BA ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C7 03 04 00 00 00 EB 35 BA ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C7 03 04 00 00 00 EB 1E BA ?? ?? ?? ?? B9 08 00 00 00 E8 ?? ?? ?? ?? C7 03 08 00 00 00 5B C3 8B CB 8B 18 FF 53 10 5B C3 }
	condition:
		$1
}

rule function_112417_0 {
	meta:
		name = "TUCS4LECodec.Decode"
		size = 732
		refs = "001e TUCS4LECodec.Decode 00fa SCannotConvertUCS4 00ff LoadResString 0124 RaiseUnicodeCodecException 0137 SSurrogateNotAllowed 028b @UStrClr 0299 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D E4 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B 7D 14 8B 45 10 D1 F8 79 03 83 D0 00 89 45 E8 85 DB 74 10 83 7D F4 00 7E 0A 85 FF 74 06 83 7D E8 00 7F 13 8B 45 0C 33 D2 89 10 8B 45 08 33 D2 89 10 E9 18 02 00 00 33 C0 89 45 EC 8B C3 03 45 F4 83 E8 04 89 45 F0 3B 5D F0 0F 87 EF 01 00 00 8D 43 03 0F B6 00 8B F0 C1 E6 18 8D 43 02 0F B6 00 C1 E0 10 03 F0 8D 43 01 0F B6 00 C1 E0 08 03 F0 0F B6 03 03 F0 81 FE 00 D8 00 00 72 08 81 FE 00 E0 00 00 72 0C 81 FE FF FF 10 00 0F 86 29 01 00 00 8B 45 FC 0F B6 40 04 83 F8 04 0F 87 94 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 81 FE FF FF 10 00 76 3D 8B C3 2B 45 F8 50 8D 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 89 75 D4 C6 45 D8 00 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? E9 34 01 00 00 8B C3 2B 45 F8 50 8D 55 D0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 89 75 D4 C6 45 D8 00 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? E9 F7 00 00 00 83 C3 04 E9 EF 00 00 00 8B 45 EC 40 3B 45 E8 0F 8D EB 00 00 00 0F B6 03 88 07 8D 43 01 0F B6 00 8D 57 01 88 02 8D 43 02 0F B6 00 8D 57 02 88 02 8D 43 03 0F B6 00 8D 57 03 88 02 83 C7 04 83 C3 04 83 45 EC 02 E9 AD 00 00 00 8B 45 EC 3B 45 E8 0F 8D AA 00 00 00 8B 45 FC 0F B7 40 06 24 FF 88 07 8B 45 FC 0F B7 40 06 66 C1 E8 08 8D 57 01 88 02 83 C7 02 83 C3 04 FF 45 EC EB 7B 81 FE FF FF 00 00 76 52 8B 45 EC 40 3B 45 E8 7D 73 8D 43 02 0F B6 00 C1 E0 06 8D 53 01 0F B6 12 C1 EA 02 02 C2 88 07 8D 43 02 0F B6 00 C1 E8 02 04 D8 8D 57 01 88 02 8D 47 02 0F B6 13 88 10 8D 43 01 0F B6 00 24 03 04 DC 8D 57 03 88 02 83 C7 04 83 C3 04 83 45 EC 02 EB 21 8B 45 EC 3B 45 E8 7D 22 0F B6 03 88 07 8D 43 01 0F B6 00 8D 57 01 88 02 83 C7 02 83 C3 04 FF 45 EC 3B 5D F0 0F 86 11 FE FF FF 8B 45 08 8B 55 EC 89 10 2B 5D F8 8B 45 0C 89 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 10 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 54 00 46 00 2D 00 31 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 43 00 53 00 2D 00 34 00 00 00 }
	condition:
		$1
}

rule function_112418_0 {
	meta:
		name = "TUCS4LECodec.Encode"
		size = 476
		refs = "001b TUCS4LECodec.Encode 003c @LStrClr 0052 @LStrSetLength 0099 SLowSurrogateNotFound 009e LoadResString 00a8 _Dn_EConvertError 00ad Exception.Create 00b2 @RaiseExcept 014c SHighSurrogateNotFound 01c7 @UStrArrayClr 01cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 5D F0 89 4D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DA 85 DB 74 06 83 7D FC 00 7F 14 8B 45 0C 33 D2 89 10 8B 45 08 E8 ?? ?? ?? ?? E9 6C 01 00 00 8B 55 FC 03 D2 03 D2 8B 45 08 33 C9 E8 ?? ?? ?? ?? 8B 75 08 8B 36 33 C0 89 45 F8 8B 7D FC 03 FF 03 FB 3B FB 0F 86 2D 01 00 00 0F B7 03 05 00 28 FF FF 66 2D 00 04 72 0F 66 2D 00 04 0F 82 C1 00 00 00 E9 DF 00 00 00 8B C7 83 E8 02 3B D8 75 21 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 03 66 89 45 F6 83 C3 02 83 45 F8 02 0F B7 03 66 89 45 F4 0F B7 45 F4 05 00 24 FF FF 66 2D 01 03 73 4B 0F B6 45 F4 24 FF 88 06 0F B7 45 F6 66 83 E0 3F 03 C0 03 C0 0F B7 55 F4 81 EA 00 DC 00 00 C1 EA 08 02 C2 8D 56 01 88 02 0F B7 45 F6 2D C0 D7 00 00 C1 E8 06 8D 56 02 88 02 8D 46 03 C6 00 00 83 C3 02 83 C6 04 83 45 F8 04 EB 6F 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4C 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 29 C6 06 00 8D 46 01 C6 00 00 0F B7 03 66 C1 E8 08 8D 56 02 88 02 0F B7 03 24 FF 8D 56 03 88 02 83 C3 02 83 C6 04 83 45 F8 04 3B FB 0F 87 D3 FE FF FF 8B 45 08 33 C9 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 0C 8B 55 FC 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_112420_0 {
	meta:
		name = "TUCS4LECodec.GetPreamble"
		size = 51
		refs = "000e TBytes 0013 @DynArraySetLength"
	strings:
		$1 = { 53 8B DA 6A 04 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 C6 00 FF 8B 03 C6 40 01 FE 8B 03 C6 40 02 00 8B 03 C6 40 03 00 5B C3 }
	condition:
		$1
}

rule function_112421_0 {
	meta:
		name = "TUCS4LECodec.InternalReadUCS4Char"
		size = 244
		refs = "0018 TUCS4LECodec.InternalReadUCS4Char 002d TUnicodeCodec.ReadBuffer 0083 SSurrogateNotAllowed 0088 LoadResString 0092 _Dn_EConvertError 0097 Exception.CreateFmt 009c @RaiseExcept 00c3 @UStrClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 73 0F B6 45 FF C1 E0 18 0F B6 55 FE C1 E2 10 03 C2 0F B6 55 FD C1 E2 08 03 C2 0F B6 55 FC 03 C2 89 06 8B 06 05 00 28 FF FF 2D 00 08 00 00 73 3C 8B 06 89 45 EC C6 45 F0 00 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 EC 50 6A 01 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 07 04 00 00 00 EB 0A C7 06 9C 00 00 00 33 C0 89 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 55 00 43 00 53 00 2D 00 34 00 4C 00 45 00 00 00 }
	condition:
		$1
}

rule function_112422_0 {
	meta:
		name = "TUCS4LECodec.InternalWriteUCS4Char"
		size = 68
		refs = "0037 TUnicodeCodec.WriteBuffer"
	strings:
		$1 = { 53 51 8B D9 8B CA 80 E1 FF 88 0C 24 B9 00 FF 00 00 23 CA C1 E9 08 88 4C 24 01 B9 00 00 FF 00 23 CA C1 E9 10 88 4C 24 02 C1 EA 18 88 54 24 03 8B D4 B9 04 00 00 00 E8 ?? ?? ?? ?? C7 03 04 00 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_112424_0 {
	meta:
		name = "TUCS4_2143Codec.Decode"
		size = 732
		refs = "001e TUCS4_2143Codec.Decode 00fa SCannotConvertUCS4 00ff LoadResString 0124 RaiseUnicodeCodecException 0137 SSurrogateNotAllowed 028b @UStrClr 0299 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D E4 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B 7D 14 8B 45 10 D1 F8 79 03 83 D0 00 89 45 E8 85 DB 74 10 83 7D F4 00 7E 0A 85 FF 74 06 83 7D E8 00 7F 13 8B 45 0C 33 D2 89 10 8B 45 08 33 D2 89 10 E9 18 02 00 00 33 C0 89 45 EC 8B C3 03 45 F4 83 E8 04 89 45 F0 3B 5D F0 0F 87 EF 01 00 00 8D 43 01 0F B6 00 8B F0 C1 E6 18 0F B6 03 C1 E0 10 03 F0 8D 43 03 0F B6 00 C1 E0 08 03 F0 8D 43 02 0F B6 00 03 F0 81 FE 00 D8 00 00 72 08 81 FE 00 E0 00 00 72 0C 81 FE FF FF 10 00 0F 86 29 01 00 00 8B 45 FC 0F B6 40 04 83 F8 04 0F 87 94 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 81 FE FF FF 10 00 76 3D 8B C3 2B 45 F8 50 8D 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 89 75 D4 C6 45 D8 00 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? E9 34 01 00 00 8B C3 2B 45 F8 50 8D 55 D0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 89 75 D4 C6 45 D8 00 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? E9 F7 00 00 00 83 C3 04 E9 EF 00 00 00 8B 45 EC 40 3B 45 E8 0F 8D EB 00 00 00 0F B6 03 88 07 8D 43 01 0F B6 00 8D 57 01 88 02 8D 43 02 0F B6 00 8D 57 02 88 02 8D 43 03 0F B6 00 8D 57 03 88 02 83 C7 04 83 C3 04 83 45 EC 02 E9 AD 00 00 00 8B 45 EC 3B 45 E8 0F 8D AA 00 00 00 8B 45 FC 0F B7 40 06 24 FF 88 07 8B 45 FC 0F B7 40 06 66 C1 E8 08 8D 57 01 88 02 83 C7 02 83 C3 04 FF 45 EC EB 7B 81 FE FF FF 00 00 76 4F 8B 45 EC 40 3B 45 E8 7D 73 0F B6 03 C1 E0 06 8D 53 03 0F B6 12 C1 EA 02 02 C2 88 07 0F B6 03 C1 E8 02 04 D8 8D 57 01 88 02 8D 43 02 0F B6 00 8D 57 02 88 02 8D 43 03 0F B6 00 24 03 04 DC 8D 57 03 88 02 83 C7 04 83 C3 04 83 45 EC 02 EB 24 8B 45 EC 3B 45 E8 7D 25 8D 43 02 0F B6 00 88 07 8D 43 03 0F B6 00 8D 57 01 88 02 83 C7 02 83 C3 04 FF 45 EC 3B 5D F0 0F 86 11 FE FF FF 8B 45 08 8B 55 EC 89 10 2B 5D F8 8B 45 0C 89 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 10 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 54 00 46 00 2D 00 31 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 43 00 53 00 2D 00 34 00 00 00 }
	condition:
		$1
}

rule function_112425_0 {
	meta:
		name = "TUCS4_2143Codec.Encode"
		size = 476
		refs = "001b TUCS4_2143Codec.Encode 003c @LStrClr 0052 @LStrSetLength 0099 SLowSurrogateNotFound 009e LoadResString 00a8 _Dn_EConvertError 00ad Exception.Create 00b2 @RaiseExcept 014c SHighSurrogateNotFound 01c7 @UStrArrayClr 01cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 5D F0 89 4D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DA 85 DB 74 06 83 7D FC 00 7F 14 8B 45 0C 33 D2 89 10 8B 45 08 E8 ?? ?? ?? ?? E9 6C 01 00 00 8B 55 FC 03 D2 03 D2 8B 45 08 33 C9 E8 ?? ?? ?? ?? 8B 75 08 8B 36 33 C0 89 45 F8 8B 7D FC 03 FF 03 FB 3B FB 0F 86 2D 01 00 00 0F B7 03 05 00 28 FF FF 66 2D 00 04 72 0F 66 2D 00 04 0F 82 C1 00 00 00 E9 DF 00 00 00 8B C7 83 E8 02 3B D8 75 21 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 03 66 89 45 F6 83 C3 02 83 45 F8 02 0F B7 03 66 89 45 F4 0F B7 45 F4 05 00 24 FF FF 66 2D 01 03 73 4B 0F B7 45 F6 2D C0 D7 00 00 C1 E8 06 88 06 8D 46 01 C6 00 00 0F B6 45 F4 24 FF 8D 56 02 88 02 0F B7 45 F6 66 83 E0 3F 03 C0 03 C0 0F B7 55 F4 81 EA 00 DC 00 00 C1 EA 08 02 C2 8D 56 03 88 02 83 C3 02 83 C6 04 83 45 F8 04 EB 6F 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4C 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 29 C6 06 00 8D 46 01 C6 00 00 0F B7 03 24 FF 8D 56 02 88 02 0F B7 03 66 C1 E8 08 8D 56 03 88 02 83 C3 02 83 C6 04 83 45 F8 04 3B FB 0F 87 D3 FE FF FF 8B 45 08 33 C9 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 0C 8B 55 FC 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_112427_0 {
	meta:
		name = "TUCS4_2143Codec.GetPreamble"
		size = 51
		refs = "000e TBytes 0013 @DynArraySetLength"
	strings:
		$1 = { 53 8B DA 6A 04 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 C6 00 00 8B 03 C6 40 01 00 8B 03 C6 40 02 FF 8B 03 C6 40 03 FE 5B C3 }
	condition:
		$1
}

rule function_112428_0 {
	meta:
		name = "TUCS4_2143Codec.InternalReadUCS4Char"
		size = 236
		refs = "0018 TUCS4_2143Codec.InternalReadUCS4Char 002d TUnicodeCodec.ReadBuffer 0083 SSurrogateNotAllowed 0088 LoadResString 0092 _Dn_EConvertError 0097 Exception.CreateFmt 009c @RaiseExcept 00bf @UStrClr 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 6D 0F B6 45 FD C1 E0 18 0F B6 55 FC C1 E2 10 03 C2 0F B6 55 FF C1 E2 08 03 C2 0F B6 55 FE 03 C2 89 06 8B 06 05 00 28 FF FF 2D 00 08 00 00 73 44 8B 06 89 45 EC C6 45 F0 00 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 EC 50 6A 01 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 06 C7 06 9C 00 00 00 C7 07 04 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 43 00 53 00 2D 00 34 00 00 00 }
	condition:
		$1
}

rule function_112429_0 {
	meta:
		name = "TUCS4_2143Codec.InternalWriteUCS4Char"
		size = 69
		refs = "0038 TUnicodeCodec.WriteBuffer"
	strings:
		$1 = { 53 51 8B D9 B9 00 00 FF 00 23 CA C1 E9 10 88 0C 24 8B CA C1 E9 18 88 4C 24 01 8B CA 80 E1 FF 88 4C 24 02 81 E2 00 FF 00 00 C1 EA 08 88 54 24 03 8B D4 B9 04 00 00 00 E8 ?? ?? ?? ?? C7 03 04 00 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_112431_0 {
	meta:
		name = "TUCS4_3412Codec.Decode"
		size = 732
		refs = "001e TUCS4_3412Codec.Decode 00fa SCannotConvertUCS4 00ff LoadResString 0124 RaiseUnicodeCodecException 0137 SSurrogateNotAllowed 0288 @UStrClr 0296 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D D0 89 5D E4 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B 7D 14 8B 45 10 D1 F8 79 03 83 D0 00 89 45 E8 85 DB 74 10 83 7D F4 00 7E 0A 85 FF 74 06 83 7D E8 00 7F 13 8B 45 0C 33 D2 89 10 8B 45 08 33 D2 89 10 E9 15 02 00 00 33 C0 89 45 EC 8B C3 03 45 F4 83 E8 04 89 45 F0 3B 5D F0 0F 87 EC 01 00 00 8D 43 02 0F B6 00 8B F0 C1 E6 18 8D 43 03 0F B6 00 C1 E0 10 03 F0 0F B6 03 C1 E0 08 03 F0 8D 43 01 0F B6 00 03 F0 81 FE 00 D8 00 00 72 08 81 FE 00 E0 00 00 72 0C 81 FE FF FF 10 00 0F 86 29 01 00 00 8B 45 FC 0F B6 40 04 83 F8 04 0F 87 91 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 81 FE FF FF 10 00 76 3D 8B C3 2B 45 F8 50 8D 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 89 75 D4 C6 45 D8 00 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? E9 31 01 00 00 8B C3 2B 45 F8 50 8D 55 D0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 50 89 75 D4 C6 45 D8 00 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? E9 F4 00 00 00 83 C3 04 E9 EC 00 00 00 8B 45 EC 40 3B 45 E8 0F 8D E8 00 00 00 8D 43 01 0F B6 00 88 07 8D 47 01 0F B6 13 88 10 8D 43 03 0F B6 00 8D 57 02 88 02 8D 43 02 0F B6 00 8D 57 03 88 02 83 C7 04 83 C3 04 83 45 EC 02 E9 AA 00 00 00 8B 45 EC 3B 45 E8 0F 8D A7 00 00 00 8B 45 FC 0F B7 40 06 24 FF 88 07 8B 45 FC 0F B7 40 06 66 C1 E8 08 8D 57 01 88 02 83 C7 02 83 C3 04 FF 45 EC EB 78 81 FE FF FF 00 00 76 4F 8B 45 EC 40 3B 45 E8 7D 70 8D 43 03 0F B6 00 C1 E0 06 0F B6 13 C1 EA 02 02 C2 88 07 8D 43 03 0F B6 00 C1 E8 02 04 D8 8D 57 01 88 02 8D 43 01 0F B6 00 8D 57 02 88 02 0F B6 03 24 03 04 DC 8D 57 03 88 02 83 C7 04 83 C3 04 83 45 EC 02 EB 21 8B 45 EC 3B 45 E8 7D 22 8D 43 01 0F B6 00 88 07 8D 47 01 0F B6 13 88 10 83 C7 02 83 C3 04 FF 45 EC 3B 5D F0 0F 86 14 FE FF FF 8B 45 08 8B 55 EC 89 10 2B 5D F8 8B 45 0C 89 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 54 00 46 00 2D 00 31 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 43 00 53 00 2D 00 34 00 00 00 }
	condition:
		$1
}

rule function_112432_0 {
	meta:
		name = "TUCS4_3412Codec.Encode"
		size = 476
		refs = "001b TUCS4_3412Codec.Encode 003c @LStrClr 0052 @LStrSetLength 0099 SLowSurrogateNotFound 009e LoadResString 00a8 _Dn_EConvertError 00ad Exception.Create 00b2 @RaiseExcept 014c SHighSurrogateNotFound 01c7 @UStrArrayClr 01cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 5D F0 89 4D FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DA 85 DB 74 06 83 7D FC 00 7F 14 8B 45 0C 33 D2 89 10 8B 45 08 E8 ?? ?? ?? ?? E9 6C 01 00 00 8B 55 FC 03 D2 03 D2 8B 45 08 33 C9 E8 ?? ?? ?? ?? 8B 75 08 8B 36 33 C0 89 45 F8 8B 7D FC 03 FF 03 FB 3B FB 0F 86 2D 01 00 00 0F B7 03 05 00 28 FF FF 66 2D 00 04 72 0F 66 2D 00 04 0F 82 C1 00 00 00 E9 DF 00 00 00 8B C7 83 E8 02 3B D8 75 21 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 03 66 89 45 F6 83 C3 02 83 45 F8 02 0F B7 03 66 89 45 F4 0F B7 45 F4 05 00 24 FF FF 66 2D 01 03 73 4B 0F B7 45 F6 66 83 E0 3F 03 C0 03 C0 0F B7 55 F4 81 EA 00 DC 00 00 C1 EA 08 02 C2 88 06 0F B6 45 F4 24 FF 8D 56 01 88 02 8D 46 02 C6 00 00 0F B7 45 F6 2D C0 D7 00 00 C1 E8 06 8D 56 03 88 02 83 C3 02 83 C6 04 83 45 F8 04 EB 6F 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4C 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 29 0F B7 03 66 C1 E8 08 88 06 0F B7 03 24 FF 8D 56 01 88 02 8D 46 02 C6 00 00 8D 46 03 C6 00 00 83 C3 02 83 C6 04 83 45 F8 04 3B FB 0F 87 D3 FE FF FF 8B 45 08 33 C9 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 0C 8B 55 FC 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_112434_0 {
	meta:
		name = "TUCS4_3412Codec.GetPreamble"
		size = 51
		refs = "000e TBytes 0013 @DynArraySetLength"
	strings:
		$1 = { 53 8B DA 6A 04 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 03 C6 00 FE 8B 03 C6 40 01 FF 8B 03 C6 40 02 00 8B 03 C6 40 03 00 5B C3 }
	condition:
		$1
}

rule function_112435_0 {
	meta:
		name = "TUCS4_3412Codec.InternalReadUCS4Char"
		size = 240
		refs = "0018 TUCS4_3412Codec.InternalReadUCS4Char 002d TUnicodeCodec.ReadBuffer 0083 SSurrogateNotAllowed 0088 LoadResString 0092 _Dn_EConvertError 0097 Exception.CreateFmt 009c @RaiseExcept 00c3 @UStrClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 73 0F B6 45 FE C1 E0 18 0F B6 55 FF C1 E2 10 03 C2 0F B6 55 FC C1 E2 08 03 C2 0F B6 55 FD 03 C2 89 06 8B 06 05 00 28 FF FF 2D 00 08 00 00 73 3C 8B 06 89 45 EC C6 45 F0 00 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 EC 50 6A 01 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 07 04 00 00 00 EB 0A C7 06 9C 00 00 00 33 C0 89 07 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 43 00 53 00 2D 00 34 00 00 00 }
	condition:
		$1
}

rule function_112436_0 {
	meta:
		name = "TUCS4_3412Codec.InternalWriteUCS4Char"
		size = 69
		refs = "0038 TUnicodeCodec.WriteBuffer"
	strings:
		$1 = { 53 51 8B D9 B9 00 FF 00 00 23 CA C1 E9 08 88 0C 24 8B CA 80 E1 FF 88 4C 24 01 8B CA C1 E9 18 88 4C 24 02 81 E2 00 00 FF 00 C1 EA 10 88 54 24 03 8B D4 B9 04 00 00 00 E8 ?? ?? ?? ?? C7 03 04 00 00 00 5A 5B C3 }
	condition:
		$1
}

rule function_112438_0 {
	meta:
		name = "TUCS2BECodec.Decode"
		size = 420
		refs = "0018 TUCS2BECodec.Decode 0072 SwapUTF16Endian 00ca SSurrogateNotAllowed 00cf LoadResString 00f7 RaiseUnicodeCodecException 0174 @UStrClr 017a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D E4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 75 F8 8B 45 14 89 45 F4 8B 45 10 D1 F8 79 03 83 D0 00 89 45 E8 85 F6 74 10 85 C9 7E 0C 83 7D F4 00 74 06 83 7D E8 00 7F 13 8B 45 0C 33 D2 89 10 8B 45 08 33 D2 89 10 E9 04 01 00 00 33 C0 89 45 EC 8B F9 85 FF 0F 8E DE 00 00 00 0F B7 06 E8 ?? ?? ?? ?? 8B D8 8B C3 66 3D 00 D8 0F 82 A9 00 00 00 66 3D 00 E0 0F 83 9F 00 00 00 8B 45 FC 0F B6 40 04 83 F8 04 0F 87 A7 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C6 2B 45 F8 D1 F8 79 03 83 D0 00 50 8D 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 0F B7 C3 89 45 D4 C6 45 D8 00 B8 ?? ?? ?? ?? 89 45 DC C6 45 E0 11 8D 55 D4 B9 01 00 00 00 58 E8 ?? ?? ?? ?? EB 48 83 C6 02 EB 43 8B 45 F4 66 89 18 83 C6 02 83 45 F4 02 FF 45 EC EB 31 8B 45 FC 0F B7 40 06 8B 55 F4 66 89 02 83 C6 02 83 45 F4 02 FF 45 EC EB 18 8B 45 EC 3B 45 E8 7D 17 8B 45 F4 66 89 18 83 C6 02 83 45 F4 02 FF 45 EC 4F 0F 85 22 FF FF FF 8B 45 08 8B 55 EC 89 10 2B 75 F8 D1 FE 79 03 83 D6 00 8B 45 0C 89 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 43 00 53 00 2D 00 32 00 00 00 }
	condition:
		$1
}

rule function_112439_0 {
	meta:
		name = "TUCS2BECodec.Encode"
		size = 436
		refs = "0018 TUCS2BECodec.Encode 0039 @LStrClr 004d @LStrSetLength 00bc SSurrogateNotAllowed 00c1 LoadResString 00e9 RaiseUnicodeCodecException 00fa SwapUTF16Endian 0185 @UStrClr 018b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D E8 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DA 85 DB 74 06 83 7D F8 00 7F 14 8B 45 0C 33 D2 89 10 8B 45 08 E8 ?? ?? ?? ?? E9 32 01 00 00 8B 55 F8 03 D2 8B 45 08 33 C9 E8 ?? ?? ?? ?? 33 C0 89 45 F0 33 C0 89 45 EC 8B 45 08 8B 00 89 45 F4 8B 75 F8 85 F6 0F 8E E7 00 00 00 0F B7 3B 8B C7 66 3D 00 D8 0F 82 B7 00 00 00 66 3D 00 E0 0F 83 AD 00 00 00 8B 45 FC 0F B6 40 04 83 F8 04 0F 87 B7 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F0 03 C0 50 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 0F B7 03 89 45 D8 C6 45 DC 00 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? EB 5F 83 C3 02 FF 45 F0 EB 57 8B C7 E8 ?? ?? ?? ?? 8B 55 F4 66 89 02 83 45 F4 02 83 C3 02 FF 45 F0 FF 45 EC EB 3B 8B 45 FC 0F B7 40 06 E8 ?? ?? ?? ?? 8B 55 F4 66 89 02 83 45 F4 02 83 C3 02 FF 45 F0 FF 45 EC EB 1A 8B C7 E8 ?? ?? ?? ?? 8B 55 F4 66 89 02 83 45 F4 02 83 C3 02 FF 45 F0 FF 45 EC 4E 0F 85 19 FF FF FF 8B 45 F8 3B 45 EC 74 0F 8B 55 EC 03 D2 8B 45 08 33 C9 E8 ?? ?? ?? ?? 8B 45 0C 8B 55 F0 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 43 00 53 00 2D 00 32 00 00 00 }
	condition:
		$1
}

rule function_112441_0 {
	meta:
		name = "TUCS2BECodec.InternalReadUCS4Char"
		size = 216
		refs = "0018 TUCS2BECodec.InternalReadUCS4Char 0030 TUnicodeCodec.ReadBuffer 007d SSurrogateNotAllowed 0082 LoadResString 008c _Dn_EConvertError 0091 Exception.CreateFmt 0096 @RaiseExcept 00ab @UStrClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 03 8B D3 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0C C7 03 9C 00 00 00 33 C0 89 07 EB 56 8B 03 86 E0 89 03 C7 07 02 00 00 00 8B 03 05 00 28 FF FF 2D 00 08 00 00 73 3C 8B 03 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 43 00 53 00 2D 00 32 00 00 00 }
	condition:
		$1
}

rule function_112442_0 {
	meta:
		name = "TUCS2BECodec.InternalWriteUCS4Char"
		size = 200
		refs = "0015 TUCS2BECodec.InternalWriteUCS4Char 003d SEncodingOutOfRange 0042 LoadResString 004c _Dn_EConvertError 0051 Exception.CreateFmt 0056 @RaiseExcept 0074 TUnicodeCodec.WriteBuffer 009e @UStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 FA FF FF 00 00 76 33 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C2 66 C1 E8 08 88 45 FF 80 E2 FF 88 55 FE 8D 55 FF B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 FE B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? C7 06 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 43 00 53 00 2D 00 32 00 00 00 }
	condition:
		$1
}

rule function_112444_0 {
	meta:
		name = "TUCS2LECodec.Decode"
		size = 412
		refs = "0018 TUCS2LECodec.Decode 00c3 SSurrogateNotAllowed 00c8 LoadResString 00f0 RaiseUnicodeCodecException 016d @UStrClr 0173 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D E8 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B 45 14 89 45 F4 8B 45 10 D1 F8 79 03 83 D0 00 89 45 EC 85 DB 74 10 85 C9 7E 0C 83 7D F4 00 74 06 83 7D EC 00 7F 13 8B 45 0C 33 D2 89 10 8B 45 08 33 D2 89 10 E9 FD 00 00 00 33 C0 89 45 F0 8B F1 85 F6 0F 8E D7 00 00 00 0F B7 13 8B C2 66 3D 00 D8 0F 82 A9 00 00 00 66 3D 00 E0 0F 83 9F 00 00 00 8B 45 FC 0F B6 40 04 83 F8 04 0F 87 A7 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 2B 45 F8 D1 F8 79 03 83 D0 00 50 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 0F B7 03 89 45 D8 C6 45 DC 00 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? EB 48 83 C3 02 EB 43 8B 45 F4 66 89 10 83 C3 02 83 45 F4 02 FF 45 F0 EB 31 8B 45 FC 0F B7 40 06 8B 55 F4 66 89 02 83 C3 02 83 45 F4 02 FF 45 F0 EB 18 8B 45 F0 3B 45 EC 7D 17 8B 45 F4 66 89 10 83 C3 02 83 45 F4 02 FF 45 F0 4E 0F 85 29 FF FF FF 8B 45 08 8B 55 F0 89 10 2B 5D F8 D1 FB 79 03 83 D3 00 8B 45 0C 89 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 10 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 43 00 53 00 2D 00 32 00 00 00 }
	condition:
		$1
}

rule function_112445_0 {
	meta:
		name = "TUCS2LECodec.Encode"
		size = 416
		refs = "0018 TUCS2LECodec.Encode 0039 @LStrClr 004d @LStrSetLength 00bc SSurrogateNotAllowed 00c1 LoadResString 00e9 RaiseUnicodeCodecException 0172 @UStrClr 0178 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D E8 89 4D F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DA 85 DB 74 06 83 7D F8 00 7F 14 8B 45 0C 33 D2 89 10 8B 45 08 E8 ?? ?? ?? ?? E9 1F 01 00 00 8B 55 F8 03 D2 8B 45 08 33 C9 E8 ?? ?? ?? ?? 33 C0 89 45 F0 33 C0 89 45 EC 8B 45 08 8B 00 89 45 F4 8B 75 F8 85 F6 0F 8E D4 00 00 00 0F B7 13 8B C2 66 3D 00 D8 0F 82 AB 00 00 00 66 3D 00 E0 0F 83 A1 00 00 00 8B 45 FC 0F B6 40 04 83 F8 04 0F 87 A4 00 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 F0 03 C0 50 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E8 50 0F B7 03 89 45 D8 C6 45 DC 00 B8 ?? ?? ?? ?? 89 45 E0 C6 45 E4 11 8D 55 D8 B9 01 00 00 00 58 E8 ?? ?? ?? ?? EB 4C 83 C3 02 FF 45 F0 EB 44 8B 45 F4 66 89 10 83 45 F4 02 83 C3 02 FF 45 F0 FF 45 EC EB 2F 8B 45 FC 0F B7 40 06 8B 55 F4 66 89 02 83 45 F4 02 83 C3 02 FF 45 F0 FF 45 EC EB 13 8B 45 F4 66 89 10 83 45 F4 02 83 C3 02 FF 45 F0 FF 45 EC 4E 0F 85 2C FF FF FF 8B 45 F8 3B 45 EC 74 0F 8B 55 EC 03 D2 8B 45 08 33 C9 E8 ?? ?? ?? ?? 8B 45 0C 8B 55 F0 89 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 43 00 53 00 2D 00 32 00 00 00 }
	condition:
		$1
}

rule function_112447_0 {
	meta:
		name = "TUCS2LECodec.InternalReadUCS4Char"
		size = 208
		refs = "0018 TUCS2LECodec.InternalReadUCS4Char 0030 TUnicodeCodec.ReadBuffer 0077 SSurrogateNotAllowed 007c LoadResString 0086 _Dn_EConvertError 008b Exception.CreateFmt 0090 @RaiseExcept 00a5 @UStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 03 8B D3 B9 02 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0C C7 03 9C 00 00 00 33 C0 89 07 EB 50 C7 07 02 00 00 00 8B 03 05 00 28 FF FF 2D 00 08 00 00 73 3C 8B 03 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 43 00 53 00 2D 00 32 00 00 00 }
	condition:
		$1
}

rule function_112448_0 {
	meta:
		name = "TUCS2LECodec.InternalWriteUCS4Char"
		size = 200
		refs = "0015 TUCS2LECodec.InternalWriteUCS4Char 003d SEncodingOutOfRange 0042 LoadResString 004c _Dn_EConvertError 0051 Exception.CreateFmt 0056 @RaiseExcept 0074 TUnicodeCodec.WriteBuffer 009e @UStrClr 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 8B F1 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 FA FF FF 00 00 76 33 B8 ?? ?? ?? ?? 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C2 66 C1 E8 08 88 45 FF 80 E2 FF 88 55 FE 8D 55 FE B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 FF B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? C7 06 02 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 43 00 53 00 2D 00 32 00 00 00 }
	condition:
		$1
}

rule function_112451_0 {
	meta:
		name = "TISO8859_1Codec.DecodeChar"
		size = 4
	strings:
		$1 = { 0F B6 C2 C3 }
	condition:
		$1
}

rule function_112452_0 {
	meta:
		name = "TISO8859_1Codec.EncodeChar"
		size = 168
		refs = "0012 TISO8859_1Codec.EncodeChar 0043 SCannotConvert 0048 LoadResString 0052 _Dn_EConvertError 0057 Exception.CreateFmt 005c @RaiseExcept 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 FB 00 01 72 3D 0F B7 C3 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_112454_0 {
	meta:
		name = "TISO8859_2Codec.DecodeChar"
		size = 21
		refs = "0010 ISO8859_2Map"
	strings:
		$1 = { 80 FA A0 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112478_0 {
	meta:
		name = "TISO8859_10Codec.DecodeChar"
		size = 21
		refs = "0010 ISO8859_10Map"
	strings:
		$1 = { 80 FA A0 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112481_0 {
	meta:
		name = "TISO8859_13Codec.DecodeChar"
		size = 21
		refs = "0010 ISO8859_13Map"
	strings:
		$1 = { 80 FA A0 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112484_0 {
	meta:
		name = "TISO8859_14Codec.DecodeChar"
		size = 21
		refs = "0010 ISO8859_14Map"
	strings:
		$1 = { 80 FA A0 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112457_0 {
	meta:
		name = "TISO8859_3Codec.DecodeChar"
		size = 21
		refs = "0010 ISO8859_3Map"
	strings:
		$1 = { 80 FA A0 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112460_0 {
	meta:
		name = "TISO8859_4Codec.DecodeChar"
		size = 21
		refs = "0010 ISO8859_4Map"
	strings:
		$1 = { 80 FA A0 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112455_0 {
	meta:
		name = "TISO8859_2Codec.EncodeChar"
		size = 56
		refs = "0001 ISO8859_2Map 0006 TISO8859_2Codec.EncodeChar 000c CharFromISOMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_112458_0 {
	meta:
		name = "TISO8859_3Codec.EncodeChar"
		size = 56
		refs = "0001 ISO8859_3Map 0006 TISO8859_3Codec.EncodeChar 000c CharFromISOMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_112461_0 {
	meta:
		name = "TISO8859_4Codec.EncodeChar"
		size = 56
		refs = "0001 ISO8859_4Map 0006 TISO8859_4Codec.EncodeChar 000c CharFromISOMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_112463_0 {
	meta:
		name = "TISO8859_5Codec.DecodeChar"
		size = 42
	strings:
		$1 = { 8B C2 2C A1 72 0E 2C 0C 74 0A 2C 43 74 0A 2C 0D 74 0B EB 0E 0F B6 C2 C3 66 B8 16 21 C3 66 B8 A7 00 C3 0F B6 C2 66 05 60 03 C3 }
	condition:
		$1
}

rule function_112464_0 {
	meta:
		name = "TISO8859_5Codec.EncodeChar"
		size = 320
		refs = "0015 TISO8859_5Codec.EncodeChar 0092 SCannotConvert 0097 LoadResString 00a1 _Dn_EConvertError 00a6 Exception.CreateFmt 00ab @RaiseExcept 0109 @UStrArrayClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 33 C9 89 4D E8 89 4D EC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 FB A0 00 0F 86 C9 00 00 00 8B C3 66 2D A7 00 74 1E 66 83 E8 06 74 1F 05 AC FC FF FF 66 83 E8 5F 72 1B 66 2D B6 1C 75 6D B3 F0 E9 A3 00 00 00 B3 FD E9 9C 00 00 00 B3 AD E9 95 00 00 00 8B C3 66 2D 0D 04 74 0C 66 83 E8 43 74 06 66 83 E8 0D 75 3F 0F B7 C3 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 42 80 EB 60 EB 3D 0F B7 C3 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_112466_0 {
	meta:
		name = "TISO8859_6Codec.DecodeChar"
		size = 76
	strings:
		$1 = { 0F B6 C2 3D BB 00 00 00 7F 18 74 33 2D A1 00 00 00 72 28 83 E8 03 74 23 83 E8 08 74 22 48 74 1B EB 25 2D BF 00 00 00 74 16 83 C0 FE 83 E8 1A 72 0E 83 C0 FB 83 E8 13 72 06 EB 0C 0F B6 C2 C3 0F B6 C2 66 05 80 05 C3 66 B8 FF FF C3 }
	condition:
		$1
}

rule function_112467_0 {
	meta:
		name = "TISO8859_6Codec.EncodeChar"
		size = 244
		refs = "0012 TISO8859_6Codec.EncodeChar 008e SCannotConvert 0093 LoadResString 009d _Dn_EConvertError 00a2 Exception.CreateFmt 00a7 @RaiseExcept 00bc @UStrClr 00c2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 FB A0 00 0F 86 84 00 00 00 0F B7 C3 3D 3B 06 00 00 7F 17 74 36 2D A4 00 00 00 74 27 83 E8 09 74 26 2D 7F 05 00 00 74 23 EB 26 2D 3F 06 00 00 74 1A 83 C0 FE 83 E8 1A 72 12 83 C0 FB 83 E8 13 72 0A EB 0D B3 A4 EB 46 B3 AD EB 42 80 EB 80 EB 3D 0F B7 C3 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_112469_0 {
	meta:
		name = "TISO8859_7Codec.DecodeChar"
		size = 129
	strings:
		$1 = { 0F B6 C2 3D B0 00 00 00 7D 2A 3D A6 00 00 00 7D 0E 2D A1 00 00 00 72 49 74 4B 48 74 4D EB 5A 05 5A FF FF FF 83 E8 04 72 38 48 83 E8 03 72 32 48 74 3D EB 45 3D BD 00 00 00 7F 18 74 24 05 50 FF FF FF 83 E8 04 72 1A 83 E8 03 74 15 83 E8 04 74 10 EB 26 2D D2 00 00 00 74 1A 83 E8 2D 74 15 EB 18 0F B6 C2 C3 66 B8 18 20 C3 66 B8 19 20 C3 66 B8 15 20 C3 66 B8 FF FF C3 0F B6 C2 66 05 D0 02 C3 }
	condition:
		$1
}

rule function_112470_0 {
	meta:
		name = "TISO8859_7Codec.EncodeChar"
		size = 288
		refs = "0012 TISO8859_7Codec.EncodeChar 00ba SCannotConvert 00bf LoadResString 00c9 _Dn_EConvertError 00ce Exception.CreateFmt 00d3 @RaiseExcept 00e8 @UStrClr 00ee @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 FB A0 00 0F 86 B0 00 00 00 0F B7 C3 3D BD 00 00 00 7F 3D 0F 84 A0 00 00 00 3D B0 00 00 00 7D 1A 05 5A FF FF FF 83 E8 04 0F 82 8B 00 00 00 48 83 E8 03 0F 82 81 00 00 00 EB 42 05 50 FF FF FF 83 E8 04 72 75 83 E8 03 74 70 83 E8 04 74 6B EB 2C 05 8D FC FF FF 83 E8 5C 72 11 2D 46 1C 00 00 74 17 83 E8 03 74 0A 48 74 0B EB 11 80 EB D0 EB 49 B3 A1 EB 45 B3 A2 EB 41 B3 AF EB 3D 0F B7 C3 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_112472_0 {
	meta:
		name = "TISO8859_8Codec.DecodeChar"
		size = 129
	strings:
		$1 = { 0F B6 C2 3D B0 00 00 00 7D 26 3D AA 00 00 00 7F 11 74 4D 2D A1 00 00 00 72 42 48 83 E8 08 72 3C EB 5A 05 55 FF FF FF 83 E8 04 72 30 74 37 EB 4C 3D BB 00 00 00 7D 0E 05 50 FF FF FF 83 E8 0A 72 1B 74 27 EB 37 05 45 FF FF FF 83 E8 04 72 0D 83 E8 20 74 1B 48 83 E8 1B 72 1A EB 20 0F B6 C2 C3 66 B8 D7 00 C3 66 B8 3E 20 C3 66 B8 F7 00 C3 66 B8 17 20 C3 0F B6 C2 66 05 E0 04 C3 66 B8 FF FF C3 }
	condition:
		$1
}

rule function_112473_0 {
	meta:
		name = "TISO8859_8Codec.EncodeChar"
		size = 272
		refs = "0012 TISO8859_8Codec.EncodeChar 00a9 SCannotConvert 00ae LoadResString 00b8 _Dn_EConvertError 00bd Exception.CreateFmt 00c2 @RaiseExcept 00d7 @UStrClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 FB A0 00 0F 86 9F 00 00 00 0F B7 C3 3D D7 00 00 00 7F 24 74 41 05 5E FF FF FF 83 E8 08 0F 82 85 00 00 00 48 83 E8 04 72 7F 48 83 E8 0A 72 79 48 83 E8 04 72 73 EB 34 2D F7 00 00 00 74 20 05 37 FB FF FF 83 E8 1B 72 1E 2D 3C 1A 00 00 74 13 83 E8 27 74 06 EB 15 B3 AA EB 4E B3 AF EB 4A B3 BA EB 46 B3 DF EB 42 80 EB E0 EB 3D 0F B7 C3 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_112475_0 {
	meta:
		name = "TISO8859_9Codec.DecodeChar"
		size = 75
	strings:
		$1 = { 0F B6 C2 3D F0 00 00 00 7F 13 74 2C 2D D0 00 00 00 74 16 83 E8 0D 74 16 48 74 18 EB 2A 2D FD 00 00 00 74 19 48 74 1B EB 1E 66 B8 1E 01 C3 66 B8 30 01 C3 66 B8 5E 01 C3 66 B8 1F 01 C3 66 B8 31 01 C3 66 B8 5F 01 C3 0F B6 C2 C3 }
	condition:
		$1
}

rule function_112476_0 {
	meta:
		name = "TISO8859_9Codec.EncodeChar"
		size = 236
		refs = "0012 TISO8859_9Codec.EncodeChar 0084 SCannotConvert 0089 LoadResString 0093 _Dn_EConvertError 0098 Exception.CreateFmt 009d @RaiseExcept 00b2 @UStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 C3 3D 31 01 00 00 7F 13 74 2D 2D 1E 01 00 00 74 16 48 74 1F 83 E8 11 74 12 EB 24 2D 5E 01 00 00 74 0D 48 74 16 EB 18 B3 D0 EB 58 B3 DD EB 54 B3 DE EB 50 B3 F0 EB 4C B3 FD EB 48 B3 FE EB 44 66 81 FB FF 00 76 3D 0F B7 C3 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 39 00 00 00 00 00 }
	condition:
		$1
}

rule function_112479_0 {
	meta:
		name = "TISO8859_10Codec.EncodeChar"
		size = 56
		refs = "0001 ISO8859_10Map 0006 TISO8859_10Codec.EncodeChar 000c CharFromISOMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 30 00 00 00 }
	condition:
		$1
}

rule function_112482_0 {
	meta:
		name = "TISO8859_13Codec.EncodeChar"
		size = 56
		refs = "0001 ISO8859_13Map 0006 TISO8859_13Codec.EncodeChar 000c CharFromISOMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 33 00 00 00 }
	condition:
		$1
}

rule function_112485_0 {
	meta:
		name = "TISO8859_14Codec.EncodeChar"
		size = 56
		refs = "0001 ISO8859_14Map 0006 TISO8859_14Codec.EncodeChar 000c CharFromISOMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 34 00 00 00 }
	condition:
		$1
}

rule function_112487_0 {
	meta:
		name = "TISO8859_15Codec.DecodeChar"
		size = 134
		refs = "0010 TISO8859_15Codec.DecodeChar"
	strings:
		$1 = { 0F B6 C2 05 5C FF FF FF 83 F8 1A 77 75 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 00 02 00 03 00 00 00 00 00 00 00 00 00 00 00 04 00 00 00 05 00 00 00 06 07 08 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 B8 AC 20 C3 66 B8 A6 00 C3 66 B8 61 01 C3 66 B8 7D 01 C3 66 B8 7E 01 C3 66 B8 52 01 C3 66 B8 53 01 C3 66 B8 78 01 C3 0F B6 C2 C3 }
	condition:
		$1
}

rule function_112488_0 {
	meta:
		name = "TISO8859_15Codec.EncodeChar"
		size = 256
		refs = "0012 TISO8859_15Codec.EncodeChar 0098 SCannotConvert 009d LoadResString 00a7 _Dn_EConvertError 00ac Exception.CreateFmt 00b1 @RaiseExcept 00c6 @UStrClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 C3 3D 78 01 00 00 7F 1A 74 45 2D A6 00 00 00 74 26 2D AC 00 00 00 74 2F 48 74 30 83 E8 0E 74 1B EB 31 2D 7D 01 00 00 74 16 48 74 17 2D 2E 1F 00 00 75 20 B3 A4 EB 60 B3 A6 EB 5C B3 A8 EB 58 B3 B4 EB 54 B3 B8 EB 50 B3 BC EB 4C B3 BD EB 48 B3 BE EB 44 66 81 FB FF 00 76 3D 0F B7 C3 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 35 00 00 00 }
	condition:
		$1
}

rule function_112490_0 {
	meta:
		name = "TIBM037Codec.DecodeChar"
		size = 12
		refs = "0007 CP37Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112493_0 {
	meta:
		name = "TIBM038Codec.DecodeChar"
		size = 12
		refs = "0007 IBM038Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112495_0 {
	meta:
		name = "TIBM256Codec.DecodeChar"
		size = 12
		refs = "0007 IBM256Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112498_0 {
	meta:
		name = "TIBM273Codec.DecodeChar"
		size = 12
		refs = "0007 IBM273Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112501_0 {
	meta:
		name = "TIBM274Codec.DecodeChar"
		size = 12
		refs = "0007 IBM274Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112504_0 {
	meta:
		name = "TIBM275Codec.DecodeChar"
		size = 12
		refs = "0007 IBM275Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112507_0 {
	meta:
		name = "TIBM277Codec.DecodeChar"
		size = 12
		refs = "0007 IBM277Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112510_0 {
	meta:
		name = "TIBM278Codec.DecodeChar"
		size = 12
		refs = "0007 IBM278Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112513_0 {
	meta:
		name = "TIBM280Codec.DecodeChar"
		size = 12
		refs = "0007 IBM280Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112519_0 {
	meta:
		name = "TIBM284Codec.DecodeChar"
		size = 12
		refs = "0007 IBM284Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112522_0 {
	meta:
		name = "TIBM285Codec.DecodeChar"
		size = 12
		refs = "0007 IBM285Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112525_0 {
	meta:
		name = "TIBM290Codec.DecodeChar"
		size = 12
		refs = "0007 IBM290Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112528_0 {
	meta:
		name = "TIBM297Codec.DecodeChar"
		size = 12
		refs = "0007 IBM297Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112531_0 {
	meta:
		name = "TIBM420Codec.DecodeChar"
		size = 12
		refs = "0007 IBM420Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112534_0 {
	meta:
		name = "TIBM423Codec.DecodeChar"
		size = 12
		refs = "0007 IBM423Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112537_0 {
	meta:
		name = "TIBM424Codec.DecodeChar"
		size = 12
		refs = "0007 IBM424Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112543_0 {
	meta:
		name = "TIBM500Codec.DecodeChar"
		size = 12
		refs = "0007 CP500Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112609_0 {
	meta:
		name = "TIBM870Codec.DecodeChar"
		size = 12
		refs = "0007 IBM870Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112612_0 {
	meta:
		name = "TIBM871Codec.DecodeChar"
		size = 12
		refs = "0007 IBM871Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112623_0 {
	meta:
		name = "TIBM875Codec.DecodeChar"
		size = 12
		refs = "0007 IBM875Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112627_0 {
	meta:
		name = "TIBM880Codec.DecodeChar"
		size = 12
		refs = "0007 IBM880Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112633_0 {
	meta:
		name = "TIBM905Codec.DecodeChar"
		size = 12
		refs = "0007 IBM905Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112636_0 {
	meta:
		name = "TIBM918Codec.DecodeChar"
		size = 12
		refs = "0007 IBM918Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112656_0 {
	meta:
		name = "TWindows1141Codec.DecodeChar"
		size = 12
		refs = "0007 Windows1141Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112659_0 {
	meta:
		name = "TWindows1142Codec.DecodeChar"
		size = 12
		refs = "0007 Windows1142Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112662_0 {
	meta:
		name = "TWindows1143Codec.DecodeChar"
		size = 12
		refs = "0007 Windows1143Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112665_0 {
	meta:
		name = "TWindows1144Codec.DecodeChar"
		size = 12
		refs = "0007 Windows1144Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112668_0 {
	meta:
		name = "TWindows1145Codec.DecodeChar"
		size = 12
		refs = "0007 Windows1145Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112671_0 {
	meta:
		name = "TWindows1146Codec.DecodeChar"
		size = 12
		refs = "0007 Windows1146Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112674_0 {
	meta:
		name = "TWindows1147Codec.DecodeChar"
		size = 12
		refs = "0007 Windows1147Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112677_0 {
	meta:
		name = "TWindows1148Codec.DecodeChar"
		size = 12
		refs = "0007 Windows1148Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112680_0 {
	meta:
		name = "TWindows1149Codec.DecodeChar"
		size = 12
		refs = "0007 Windows1149Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112605_0 {
	meta:
		name = "TWindows870Codec.DecodeChar"
		size = 12
		refs = "0007 Windows870Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112620_0 {
	meta:
		name = "TWindows875Codec.DecodeChar"
		size = 12
		refs = "0007 Windows875Map"
	strings:
		$1 = { 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112491_0 {
	meta:
		name = "TIBM037Codec.EncodeChar"
		size = 48
		refs = "0001 CP37Map 0006 TIBM037Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 30 00 33 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_112494_0 {
	meta:
		name = "TIBM038Codec.EncodeChar"
		size = 48
		refs = "0001 IBM038Map 0006 TIBM038Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 30 00 33 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_112496_0 {
	meta:
		name = "TIBM256Codec.EncodeChar"
		size = 48
		refs = "0001 IBM256Map 0006 TIBM256Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 35 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_112499_0 {
	meta:
		name = "TIBM273Codec.EncodeChar"
		size = 48
		refs = "0001 IBM273Map 0006 TIBM273Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 37 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_112502_0 {
	meta:
		name = "TIBM274Codec.EncodeChar"
		size = 48
		refs = "0001 IBM274Map 0006 TIBM274Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 37 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_112505_0 {
	meta:
		name = "TIBM275Codec.EncodeChar"
		size = 48
		refs = "0001 IBM275Map 0006 TIBM275Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 37 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_112508_0 {
	meta:
		name = "TIBM277Codec.EncodeChar"
		size = 48
		refs = "0001 IBM277Map 0006 TIBM277Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 37 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_112511_0 {
	meta:
		name = "TIBM278Codec.EncodeChar"
		size = 48
		refs = "0001 IBM278Map 0006 TIBM278Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 37 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_112514_0 {
	meta:
		name = "TIBM280Codec.EncodeChar"
		size = 48
		refs = "0001 IBM280Map 0006 TIBM280Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 38 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_112516_0 {
	meta:
		name = "TIBM281Codec.DecodeChar"
		size = 91
		refs = "0056 IBM038Map"
	strings:
		$1 = { 0F B6 C2 83 F8 5B 7F 13 74 31 83 E8 4A 74 1D 83 E8 05 74 1D 83 E8 0B 74 1D EB 34 83 E8 5F 74 20 83 E8 42 74 20 83 E8 3F 74 20 EB 23 66 B8 A3 00 C3 66 B8 7C 00 C3 66 B8 21 00 C3 66 B8 A5 00 C3 66 B8 AC 00 C3 66 B8 3E 20 C3 66 B8 24 00 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112517_0 {
	meta:
		name = "TIBM281Codec.EncodeChar"
		size = 116
		refs = "0048 IBM038Map 004d TIBM281Codec.EncodeChar 0053 CharFromMap"
	strings:
		$1 = { 0F B7 C2 3D A3 00 00 00 7F 13 74 26 83 E8 21 74 27 83 E8 03 74 2E 83 E8 58 74 1A EB 2A 2D A5 00 00 00 74 17 83 E8 07 74 15 2D 92 1F 00 00 74 11 EB 15 B0 4A C3 B0 4F C3 B0 5A C3 B0 5B C3 B0 5F C3 B0 A1 C3 B0 E0 C3 B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 38 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_112520_0 {
	meta:
		name = "TIBM284Codec.EncodeChar"
		size = 48
		refs = "0001 IBM284Map 0006 TIBM284Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 38 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_112523_0 {
	meta:
		name = "TIBM285Codec.EncodeChar"
		size = 48
		refs = "0001 IBM285Map 0006 TIBM285Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 38 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_112526_0 {
	meta:
		name = "TIBM290Codec.EncodeChar"
		size = 48
		refs = "0001 IBM290Map 0006 TIBM290Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 39 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_112529_0 {
	meta:
		name = "TIBM297Codec.EncodeChar"
		size = 48
		refs = "0001 IBM297Map 0006 TIBM297Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 39 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_112532_0 {
	meta:
		name = "TIBM420Codec.EncodeChar"
		size = 48
		refs = "0001 IBM420Map 0006 TIBM420Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 34 00 32 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_112535_0 {
	meta:
		name = "TIBM423Codec.EncodeChar"
		size = 48
		refs = "0001 IBM423Map 0006 TIBM423Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 34 00 32 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_112538_0 {
	meta:
		name = "TIBM424Codec.EncodeChar"
		size = 48
		refs = "0001 IBM424Map 0006 TIBM424Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 34 00 32 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_112540_0 {
	meta:
		name = "TIBM437Codec.DecodeChar"
		size = 21
		refs = "0010 CP437Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112555_0 {
	meta:
		name = "TIBM850Codec.DecodeChar"
		size = 21
		refs = "0010 CP850Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112558_0 {
	meta:
		name = "TIBM851Codec.DecodeChar"
		size = 21
		refs = "0010 IBM851Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112561_0 {
	meta:
		name = "TIBM852Codec.DecodeChar"
		size = 21
		refs = "0010 CP852Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112564_0 {
	meta:
		name = "TIBM855Codec.DecodeChar"
		size = 21
		refs = "0010 CP855Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112573_0 {
	meta:
		name = "TIBM860Codec.DecodeChar"
		size = 21
		refs = "0010 IBM860Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112576_0 {
	meta:
		name = "TIBM861Codec.DecodeChar"
		size = 21
		refs = "0010 CP861Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112579_0 {
	meta:
		name = "TIBM862Codec.DecodeChar"
		size = 21
		refs = "0010 CP862Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112582_0 {
	meta:
		name = "TIBM863Codec.DecodeChar"
		size = 21
		refs = "0010 CP863Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112591_0 {
	meta:
		name = "TIBM865Codec.DecodeChar"
		size = 21
		refs = "0010 CP865Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112594_0 {
	meta:
		name = "TIBM866Codec.DecodeChar"
		size = 21
		refs = "0010 CP866Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112597_0 {
	meta:
		name = "TIBM868Codec.DecodeChar"
		size = 21
		refs = "0010 IBM868Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112603_0 {
	meta:
		name = "TIBM869Codec.DecodeChar"
		size = 21
		refs = "0010 CP869Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112617_0 {
	meta:
		name = "TIBM874Codec.DecodeChar"
		size = 21
		refs = "0010 IBM874Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112737_0 {
	meta:
		name = "TKOI8_RCodec.DecodeChar"
		size = 21
		refs = "0010 KOI8_RMap"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112716_0 {
	meta:
		name = "TMacCyrillicCodec.DecodeChar"
		size = 21
		refs = "0010 MacCyrillicMap"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112719_0 {
	meta:
		name = "TMacGreekCodec.DecodeChar"
		size = 21
		refs = "0010 MacGreekMap"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112722_0 {
	meta:
		name = "TMacIcelandicCodec.DecodeChar"
		size = 21
		refs = "0010 MacIcelandicMap"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112710_0 {
	meta:
		name = "TMacLatin2Codec.DecodeChar"
		size = 21
		refs = "0010 MacLatin2Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112713_0 {
	meta:
		name = "TMacRomanCodec.DecodeChar"
		size = 21
		refs = "0010 MacRomanMap"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112725_0 {
	meta:
		name = "TMacTurkishCodec.DecodeChar"
		size = 21
		refs = "0010 MacTurkishMap"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112742_0 {
	meta:
		name = "TNextStepCodec.DecodeChar"
		size = 21
		refs = "0010 NextStepMap"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112684_0 {
	meta:
		name = "TWindows1250Codec.DecodeChar"
		size = 21
		refs = "0010 Windows1250Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112687_0 {
	meta:
		name = "TWindows1251Codec.DecodeChar"
		size = 21
		refs = "0010 Windows1251Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112693_0 {
	meta:
		name = "TWindows1253Codec.DecodeChar"
		size = 21
		refs = "0010 Windows1253Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112696_0 {
	meta:
		name = "TWindows1254Codec.DecodeChar"
		size = 21
		refs = "0010 Windows1254Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112699_0 {
	meta:
		name = "TWindows1255Codec.DecodeChar"
		size = 21
		refs = "0010 Windows1255Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112702_0 {
	meta:
		name = "TWindows1256Codec.DecodeChar"
		size = 21
		refs = "0010 Windows1256Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112705_0 {
	meta:
		name = "TWindows1257Codec.DecodeChar"
		size = 21
		refs = "0010 Windows1257Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112708_0 {
	meta:
		name = "TWindows1258Codec.DecodeChar"
		size = 21
		refs = "0010 Windows1258Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112545_0 {
	meta:
		name = "TWindows708Codec.DecodeChar"
		size = 21
		refs = "0010 Windows708Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112548_0 {
	meta:
		name = "TWindows737Codec.DecodeChar"
		size = 21
		refs = "0010 Windows737Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112551_0 {
	meta:
		name = "TWindows775Codec.DecodeChar"
		size = 21
		refs = "0010 Windows775Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112584_0 {
	meta:
		name = "TWindows864Codec.DecodeChar"
		size = 21
		refs = "0010 Windows864Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112614_0 {
	meta:
		name = "TWindows874Codec.DecodeChar"
		size = 21
		refs = "0010 Windows874Map"
	strings:
		$1 = { 80 FA 80 73 04 0F B6 C2 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112541_0 {
	meta:
		name = "TIBM437Codec.EncodeChar"
		size = 48
		refs = "0001 CP437Map 0006 TIBM437Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 34 00 33 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_112544_0 {
	meta:
		name = "TIBM500Codec.EncodeChar"
		size = 48
		refs = "0001 CP500Map 0006 TIBM500Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 35 00 30 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_112546_0 {
	meta:
		name = "TWindows708Codec.EncodeChar"
		size = 56
		refs = "0001 Windows708Map 0006 TWindows708Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 37 00 30 00 38 00 00 00 }
	condition:
		$1
}

rule function_112547_0 {
	meta:
		name = "TWindows708Codec.Name"
		size = 56
		refs = "0006 TWindows708Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 37 00 30 00 38 00 00 00 }
	condition:
		$1
}

rule function_112549_0 {
	meta:
		name = "TWindows737Codec.EncodeChar"
		size = 56
		refs = "0001 Windows737Map 0006 TWindows737Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 37 00 33 00 37 00 00 00 }
	condition:
		$1
}

rule function_112550_0 {
	meta:
		name = "TWindows737Codec.Name"
		size = 56
		refs = "0006 TWindows737Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 37 00 33 00 37 00 00 00 }
	condition:
		$1
}

rule function_112552_0 {
	meta:
		name = "TWindows775Codec.EncodeChar"
		size = 56
		refs = "0001 Windows775Map 0006 TWindows775Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 37 00 37 00 35 00 00 00 }
	condition:
		$1
}

rule function_112553_0 {
	meta:
		name = "TWindows775Codec.Name"
		size = 56
		refs = "0006 TWindows775Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 37 00 37 00 35 00 00 00 }
	condition:
		$1
}

rule function_112556_0 {
	meta:
		name = "TIBM850Codec.EncodeChar"
		size = 48
		refs = "0001 CP850Map 0006 TIBM850Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 35 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_112559_0 {
	meta:
		name = "TIBM851Codec.EncodeChar"
		size = 48
		refs = "0001 IBM851Map 0006 TIBM851Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 35 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_112562_0 {
	meta:
		name = "TIBM852Codec.EncodeChar"
		size = 48
		refs = "0001 CP852Map 0006 TIBM852Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 35 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_112565_0 {
	meta:
		name = "TIBM855Codec.EncodeChar"
		size = 48
		refs = "0001 CP855Map 0006 TIBM855Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 35 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_112567_0 {
	meta:
		name = "TIBM857Codec.DecodeChar"
		size = 41
		refs = "0024 CP857Map"
	strings:
		$1 = { 8B C2 2C 80 72 0E 2C 55 74 0E 2C 12 74 0A 2C 0B 74 06 EB 09 0F B6 C2 C3 66 B8 FF FF C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112568_0 {
	meta:
		name = "TIBM857Codec.EncodeChar"
		size = 188
		refs = "0013 TIBM857Codec.EncodeChar 001e CP857Map 002a CharFromHighMap 005e SCannotConvert 0063 LoadResString 006d _Dn_EConvertError 0072 Exception.CreateFmt 0077 @RaiseExcept 008c @UStrClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 8B C3 2C D5 74 08 2C 12 74 04 2C 0B 75 3D 0F B7 C6 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 35 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_112569_0 {
	meta:
		name = "TWindows858Codec.DecodeChar"
		size = 33
		refs = "001c CP850Map"
	strings:
		$1 = { 8B C2 2C 80 72 06 2C 55 74 06 EB 09 0F B6 C2 C3 66 B8 AC 20 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112570_0 {
	meta:
		name = "TWindows858Codec.EncodeChar"
		size = 64
		refs = "000c CP850Map 0011 TWindows858Codec.EncodeChar 0017 CharFromHighMap"
	strings:
		$1 = { 8B C2 66 2D AC 20 75 03 B0 D5 C3 B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 38 00 35 00 38 00 00 00 }
	condition:
		$1
}

rule function_112571_0 {
	meta:
		name = "TWindows858Codec.Name"
		size = 56
		refs = "0006 TWindows858Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 38 00 35 00 38 00 00 00 }
	condition:
		$1
}

rule function_112574_0 {
	meta:
		name = "TIBM860Codec.EncodeChar"
		size = 48
		refs = "0001 IBM860Map 0006 TIBM860Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_112577_0 {
	meta:
		name = "TIBM861Codec.EncodeChar"
		size = 48
		refs = "0001 CP861Map 0006 TIBM861Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_112580_0 {
	meta:
		name = "TIBM862Codec.EncodeChar"
		size = 48
		refs = "0001 CP862Map 0006 TIBM862Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_112583_0 {
	meta:
		name = "TIBM863Codec.EncodeChar"
		size = 48
		refs = "0001 CP863Map 0006 TIBM863Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_112585_0 {
	meta:
		name = "TWindows864Codec.EncodeChar"
		size = 56
		refs = "0001 Windows864Map 0006 TWindows864Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 38 00 36 00 34 00 00 00 }
	condition:
		$1
}

rule function_112586_0 {
	meta:
		name = "TWindows864Codec.Name"
		size = 56
		refs = "0006 TWindows864Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 38 00 36 00 34 00 00 00 }
	condition:
		$1
}

rule function_112588_0 {
	meta:
		name = "TIBM864Codec.DecodeChar"
		size = 21
		refs = "000c IBM864Map"
	strings:
		$1 = { 80 FA 25 72 0C 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 0F B6 C2 C3 }
	condition:
		$1
}

rule function_112589_0 {
	meta:
		name = "TIBM864Codec.EncodeChar"
		size = 268
		refs = "0016 TIBM864Codec.EncodeChar 0047 SCannotConvert 004c LoadResString 0056 _Dn_EConvertError 005b Exception.CreateFmt 0060 @RaiseExcept 0071 IBM864Map 00d9 @UStrArrayClr 00df @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D EC 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 FE FF FF 75 3D 0F B7 C6 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 FE 25 73 04 8B DE EB 55 B2 25 B8 ?? ?? ?? ?? 66 3B 30 75 04 8B DA EB 45 42 83 C0 02 84 D2 75 EF 0F B7 C6 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_112592_0 {
	meta:
		name = "TIBM865Codec.EncodeChar"
		size = 48
		refs = "0001 CP865Map 0006 TIBM865Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_112595_0 {
	meta:
		name = "TIBM866Codec.EncodeChar"
		size = 48
		refs = "0001 CP866Map 0006 TIBM866Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_112598_0 {
	meta:
		name = "TIBM868Codec.EncodeChar"
		size = 48
		refs = "0001 CP866Map 0006 TIBM868Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_112599_0 {
	meta:
		name = "TWindows869Codec.DecodeChar"
		size = 51
		refs = "002e CP869Map"
	strings:
		$1 = { 8B C2 2C 80 72 0E 2C 07 74 0E 2C 0C 74 0F FE C8 74 10 EB 13 0F B6 C2 C3 66 B8 87 00 C3 66 B8 93 00 C3 66 B8 94 00 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112600_0 {
	meta:
		name = "TWindows869Codec.EncodeChar"
		size = 84
		refs = "001f CP869Map 0024 TWindows869Codec.EncodeChar 002a CharFromHighMap"
	strings:
		$1 = { 8B C2 66 2D 87 00 74 0D 66 83 E8 0C 74 0A 66 FF C8 74 08 EB 09 B0 87 C3 B0 93 C3 B0 94 C3 B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 38 00 36 00 39 00 00 00 }
	condition:
		$1
}

rule function_112601_0 {
	meta:
		name = "TWindows869Codec.Name"
		size = 56
		refs = "0006 TWindows869Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 38 00 36 00 39 00 00 00 }
	condition:
		$1
}

rule function_112604_0 {
	meta:
		name = "TIBM869Codec.EncodeChar"
		size = 48
		refs = "0001 CP869Map 0006 TIBM869Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 39 00 00 00 00 00 }
	condition:
		$1
}

rule function_112606_0 {
	meta:
		name = "TWindows870Codec.EncodeChar"
		size = 56
		refs = "0001 Windows870Map 0006 TWindows870Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 38 00 37 00 30 00 00 00 }
	condition:
		$1
}

rule function_112607_0 {
	meta:
		name = "TWindows870Codec.Name"
		size = 56
		refs = "0006 TWindows870Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 38 00 37 00 30 00 00 00 }
	condition:
		$1
}

rule function_112610_0 {
	meta:
		name = "TIBM870Codec.EncodeChar"
		size = 48
		refs = "0001 IBM870Map 0006 TIBM870Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 37 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_112613_0 {
	meta:
		name = "TIBM871Codec.EncodeChar"
		size = 48
		refs = "0001 IBM871Map 0006 TIBM871Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 37 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_112615_0 {
	meta:
		name = "TWindows874Codec.EncodeChar"
		size = 56
		refs = "0001 Windows874Map 0006 TWindows874Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 38 00 37 00 34 00 00 00 }
	condition:
		$1
}

rule function_112616_0 {
	meta:
		name = "TWindows874Codec.Name"
		size = 56
		refs = "0006 TWindows874Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 38 00 37 00 34 00 00 00 }
	condition:
		$1
}

rule function_112618_0 {
	meta:
		name = "TIBM874Codec.EncodeChar"
		size = 48
		refs = "0001 IBM874Map 0006 TIBM874Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 37 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_112619_0 {
	meta:
		name = "TIBM874Codec.Name"
		size = 48
		refs = "0006 TIBM874Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 37 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_112621_0 {
	meta:
		name = "TWindows875Codec.EncodeChar"
		size = 56
		refs = "0001 Windows875Map 0006 TWindows875Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 38 00 37 00 35 00 00 00 }
	condition:
		$1
}

rule function_112622_0 {
	meta:
		name = "TWindows875Codec.Name"
		size = 56
		refs = "0006 TWindows875Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 38 00 37 00 35 00 00 00 }
	condition:
		$1
}

rule function_112624_0 {
	meta:
		name = "TIBM875Codec.EncodeChar"
		size = 48
		refs = "0001 IBM875Map 0006 TIBM875Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 37 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_112625_0 {
	meta:
		name = "TIBM875Codec.Name"
		size = 48
		refs = "0006 TIBM875Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 37 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_112628_0 {
	meta:
		name = "TIBM880Codec.EncodeChar"
		size = 48
		refs = "0001 IBM880Map 0006 TIBM880Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 38 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_112630_0 {
	meta:
		name = "TIBM904Codec.DecodeChar"
		size = 42
	strings:
		$1 = { 8B C2 2C 80 72 0C 74 0E 2C 7D 74 0F FE C8 74 10 EB 13 0F B6 C2 C3 66 B8 A2 00 C3 66 B8 AC 00 C3 66 B8 A6 00 C3 66 B8 FF FF C3 }
	condition:
		$1
}

rule function_112631_0 {
	meta:
		name = "TIBM904Codec.EncodeChar"
		size = 196
		refs = "0012 TIBM904Codec.EncodeChar 0064 SCannotConvert 0069 LoadResString 0073 _Dn_EConvertError 0078 Exception.CreateFmt 007d @RaiseExcept 0092 @UStrClr 0098 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 66 2D 80 00 72 5D 66 83 E8 22 74 0E 66 83 E8 04 74 10 66 83 E8 06 74 06 EB 0C B3 80 EB 45 B3 FD EB 41 B3 FE EB 3D 0F B7 C3 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 39 00 30 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_112634_0 {
	meta:
		name = "TIBM905Codec.EncodeChar"
		size = 48
		refs = "0001 IBM905Map 0006 TIBM905Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 39 00 30 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_112637_0 {
	meta:
		name = "TIBM918Codec.EncodeChar"
		size = 48
		refs = "0001 IBM918Map 0006 TIBM918Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 39 00 31 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_112638_0 {
	meta:
		name = "TIBM1004Codec.DecodeChar"
		size = 21
		refs = "000c IBM1004Map"
	strings:
		$1 = { 80 FA 80 72 0C 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 0F B6 C2 C3 }
	condition:
		$1
}

rule function_112639_0 {
	meta:
		name = "TIBM1004Codec.EncodeChar"
		size = 268
		refs = "0016 TIBM1004Codec.EncodeChar 0047 SCannotConvert 004c LoadResString 0056 _Dn_EConvertError 005b Exception.CreateFmt 0060 @RaiseExcept 0072 IBM1004Map 00da @UStrArrayClr 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 33 C9 89 4D E8 89 4D EC 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 FE FF FF 75 3D 0F B7 C6 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 81 FE 80 00 73 04 8B DE EB 55 B2 80 B8 ?? ?? ?? ?? 66 3B 30 75 04 8B DA EB 45 42 83 C0 02 84 D2 75 EF 0F B7 C6 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 42 00 4D 00 31 00 30 00 30 00 34 00 00 00 }
	condition:
		$1
}

rule function_112640_0 {
	meta:
		name = "TIBM1004Codec.Name"
		size = 48
		refs = "0006 TIBM1004Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 42 00 4D 00 31 00 30 00 30 00 34 00 00 00 }
	condition:
		$1
}

rule function_112641_0 {
	meta:
		name = "TWindows1026Codec.DecodeChar"
		size = 34
		refs = "001d CP1026Map"
	strings:
		$1 = { 8B C2 2C 9D 74 06 2C 1F 74 07 EB 0A 66 B8 B8 00 C3 66 B8 AF 00 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112642_0 {
	meta:
		name = "TWindows1026Codec.EncodeChar"
		size = 80
		refs = "0015 CP1026Map 001a TWindows1026Codec.EncodeChar 0020 CharFromMap"
	strings:
		$1 = { 8B C2 66 2D AF 00 74 09 66 83 E8 09 75 06 B0 9D C3 B0 BC C3 B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 30 00 32 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_112643_0 {
	meta:
		name = "TWindows1026Codec.Name"
		size = 60
		refs = "0006 TWindows1026Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 30 00 32 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_112645_0 {
	meta:
		name = "TIBM1026Codec.DecodeChar"
		size = 34
		refs = "001d CP1026Map"
	strings:
		$1 = { 8B C2 2C 9D 74 06 2C 1F 74 07 EB 0A 66 B8 DB 02 C3 66 B8 14 20 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112646_0 {
	meta:
		name = "TIBM1026Codec.EncodeChar"
		size = 68
		refs = "0017 CP1026Map 001c TIBM1026Codec.EncodeChar 0022 CharFromMap"
	strings:
		$1 = { 8B C2 66 2D DB 02 74 08 66 2D 39 1D 74 05 EB 06 B0 9D C3 B0 BC C3 B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 42 00 4D 00 31 00 30 00 32 00 36 00 00 00 }
	condition:
		$1
}

rule function_112647_0 {
	meta:
		name = "TWindows1047Codec.DecodeChar"
		size = 34
		refs = "001d CP1047Map"
	strings:
		$1 = { 8B C2 2C 15 74 06 2C 10 74 07 EB 0A 66 B8 0A 00 C3 66 B8 85 00 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112648_0 {
	meta:
		name = "TWindows1047Codec.EncodeChar"
		size = 80
		refs = "0017 CP1047Map 001c TWindows1047Codec.EncodeChar 0022 CharFromMap"
	strings:
		$1 = { 8B C2 66 83 E8 0A 74 08 66 83 E8 7B 74 05 EB 06 B0 15 C3 B0 25 C3 B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 30 00 34 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_112649_0 {
	meta:
		name = "TWindows1047Codec.Name"
		size = 60
		refs = "0006 TWindows1047Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 30 00 34 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_112651_0 {
	meta:
		name = "TIBM1047Codec.DecodeChar"
		size = 34
		refs = "001d CP1047Map"
	strings:
		$1 = { 8B C2 2C 15 74 06 2C 10 74 07 EB 0A 66 B8 85 00 C3 66 B8 0A 00 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112652_0 {
	meta:
		name = "TIBM1047Codec.EncodeChar"
		size = 68
		refs = "0017 CP1047Map 001c TIBM1047Codec.EncodeChar 0022 CharFromMap"
	strings:
		$1 = { 8B C2 66 83 E8 0A 74 08 66 83 E8 7B 74 05 EB 06 B0 25 C3 B0 15 C3 B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 42 00 4D 00 31 00 30 00 34 00 37 00 00 00 }
	condition:
		$1
}

rule function_112653_0 {
	meta:
		name = "TWindows1140Codec.DecodeChar"
		size = 23
		refs = "0012 CP37Map"
	strings:
		$1 = { 8B C2 2C 9F 75 05 66 B8 AC 20 C3 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_112654_0 {
	meta:
		name = "TWindows1140Codec.EncodeChar"
		size = 204
		refs = "0013 TWindows1140Codec.EncodeChar 002a CP37Map 0036 CharFromMap 0061 SCannotConvert 0066 LoadResString 0070 _Dn_EConvertError 0075 Exception.CreateFmt 007a @RaiseExcept 008f @UStrClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 66 2D AC 20 75 04 B3 9F EB 55 BA ?? ?? ?? ?? B9 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B D8 80 FB 9F 75 3D 0F B7 C6 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 31 00 34 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_112655_0 {
	meta:
		name = "TWindows1140Codec.Name"
		size = 60
		refs = "0006 TWindows1140Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 31 00 34 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_112657_0 {
	meta:
		name = "TWindows1141Codec.EncodeChar"
		size = 60
		refs = "0001 Windows1141Map 0006 TWindows1141Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 31 00 34 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_112658_0 {
	meta:
		name = "TWindows1141Codec.Name"
		size = 60
		refs = "0006 TWindows1141Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 31 00 34 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_112660_0 {
	meta:
		name = "TWindows1142Codec.EncodeChar"
		size = 60
		refs = "0001 Windows1142Map 0006 TWindows1142Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 31 00 34 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_112661_0 {
	meta:
		name = "TWindows1142Codec.Name"
		size = 60
		refs = "0006 TWindows1142Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 31 00 34 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_112663_0 {
	meta:
		name = "TWindows1143Codec.EncodeChar"
		size = 60
		refs = "0001 Windows1143Map 0006 TWindows1143Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 31 00 34 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_112664_0 {
	meta:
		name = "TWindows1143Codec.Name"
		size = 60
		refs = "0006 TWindows1143Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 31 00 34 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_112666_0 {
	meta:
		name = "TWindows1144Codec.EncodeChar"
		size = 60
		refs = "0001 Windows1144Map 0006 TWindows1144Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 31 00 34 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_112667_0 {
	meta:
		name = "TWindows1144Codec.Name"
		size = 60
		refs = "0006 TWindows1144Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 31 00 34 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_112669_0 {
	meta:
		name = "TWindows1145Codec.EncodeChar"
		size = 60
		refs = "0001 Windows1145Map 0006 TWindows1145Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 31 00 34 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_112670_0 {
	meta:
		name = "TWindows1145Codec.Name"
		size = 60
		refs = "0006 TWindows1145Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 31 00 34 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_112672_0 {
	meta:
		name = "TWindows1146Codec.EncodeChar"
		size = 60
		refs = "0001 Windows1146Map 0006 TWindows1146Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 31 00 34 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_112673_0 {
	meta:
		name = "TWindows1146Codec.Name"
		size = 60
		refs = "0006 TWindows1146Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 31 00 34 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_112675_0 {
	meta:
		name = "TWindows1147Codec.EncodeChar"
		size = 60
		refs = "0001 Windows1147Map 0006 TWindows1147Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 31 00 34 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_112676_0 {
	meta:
		name = "TWindows1147Codec.Name"
		size = 60
		refs = "0006 TWindows1147Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 31 00 34 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_112678_0 {
	meta:
		name = "TWindows1148Codec.EncodeChar"
		size = 60
		refs = "0001 Windows1148Map 0006 TWindows1148Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 31 00 34 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_112679_0 {
	meta:
		name = "TWindows1148Codec.Name"
		size = 60
		refs = "0006 TWindows1148Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 31 00 34 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_112681_0 {
	meta:
		name = "TWindows1149Codec.EncodeChar"
		size = 60
		refs = "0001 Windows1149Map 0006 TWindows1149Codec.EncodeChar 000c CharFromMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 31 00 34 00 39 00 00 00 00 00 }
	condition:
		$1
}

rule function_112682_0 {
	meta:
		name = "TWindows1149Codec.Name"
		size = 60
		refs = "0006 TWindows1149Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 31 00 34 00 39 00 00 00 00 00 }
	condition:
		$1
}

rule function_112685_0 {
	meta:
		name = "TWindows1250Codec.EncodeChar"
		size = 60
		refs = "0001 Windows1250Map 0006 TWindows1250Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_112688_0 {
	meta:
		name = "TWindows1251Codec.EncodeChar"
		size = 60
		refs = "0001 Windows1251Map 0006 TWindows1251Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_112690_0 {
	meta:
		name = "TWindows1252Codec.DecodeChar"
		size = 24
		refs = "000f Windows1252Map"
	strings:
		$1 = { 8B C2 04 80 2C 20 73 0C 0F B6 C2 0F B7 04 45 ?? ?? ?? ?? C3 0F B6 C2 C3 }
	condition:
		$1
}

rule function_112691_0 {
	meta:
		name = "TWindows1252Codec.EncodeChar"
		size = 220
		refs = "0013 TWindows1252Codec.EncodeChar 0039 Windows1252Map 006f SCannotConvert 0074 LoadResString 007e _Dn_EConvertError 0083 Exception.CreateFmt 0088 @RaiseExcept 009d @UStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 FE 80 00 72 0E 8B C6 66 3D 00 01 73 0A 66 3D 9F 00 76 04 8B DE EB 56 B2 80 B8 ?? ?? ?? ?? 66 3B 30 75 04 8B DA EB 46 42 83 C0 02 80 FA A0 75 EE 0F B7 C6 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_112694_0 {
	meta:
		name = "TWindows1253Codec.EncodeChar"
		size = 60
		refs = "0001 Windows1253Map 0006 TWindows1253Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_112697_0 {
	meta:
		name = "TWindows1254Codec.EncodeChar"
		size = 60
		refs = "0001 Windows1254Map 0006 TWindows1254Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_112700_0 {
	meta:
		name = "TWindows1255Codec.EncodeChar"
		size = 60
		refs = "0001 Windows1255Map 0006 TWindows1255Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_112703_0 {
	meta:
		name = "TWindows1256Codec.EncodeChar"
		size = 60
		refs = "0001 Windows1256Map 0006 TWindows1256Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_112706_0 {
	meta:
		name = "TWindows1257Codec.EncodeChar"
		size = 60
		refs = "0001 Windows1257Map 0006 TWindows1257Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_112709_0 {
	meta:
		name = "TWindows1258Codec.EncodeChar"
		size = 60
		refs = "0001 Windows1258Map 0006 TWindows1258Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_112711_0 {
	meta:
		name = "TMacLatin2Codec.EncodeChar"
		size = 52
		refs = "0001 MacLatin2Map 0006 TMacLatin2Codec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 61 00 63 00 4C 00 61 00 74 00 69 00 6E 00 32 00 00 00 }
	condition:
		$1
}

rule function_112712_0 {
	meta:
		name = "TMacLatin2Codec.Name"
		size = 52
		refs = "0006 TMacLatin2Codec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4D 00 61 00 63 00 4C 00 61 00 74 00 69 00 6E 00 32 00 00 00 }
	condition:
		$1
}

rule function_112714_0 {
	meta:
		name = "TMacRomanCodec.EncodeChar"
		size = 52
		refs = "0001 MacRomanMap 0006 TMacRomanCodec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 61 00 63 00 52 00 6F 00 6D 00 61 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112715_0 {
	meta:
		name = "TMacRomanCodec.Name"
		size = 52
		refs = "0006 TMacRomanCodec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 61 00 63 00 52 00 6F 00 6D 00 61 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112717_0 {
	meta:
		name = "TMacCyrillicCodec.EncodeChar"
		size = 56
		refs = "0001 MacCyrillicMap 0006 TMacCyrillicCodec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 63 00 43 00 79 00 72 00 69 00 6C 00 6C 00 69 00 63 00 00 00 }
	condition:
		$1
}

rule function_112718_0 {
	meta:
		name = "TMacCyrillicCodec.Name"
		size = 56
		refs = "0006 TMacCyrillicCodec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4D 00 61 00 63 00 43 00 79 00 72 00 69 00 6C 00 6C 00 69 00 63 00 00 00 }
	condition:
		$1
}

rule function_112720_0 {
	meta:
		name = "TMacGreekCodec.EncodeChar"
		size = 52
		refs = "0001 MacGreekMap 0006 TMacGreekCodec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 61 00 63 00 47 00 72 00 65 00 65 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_112721_0 {
	meta:
		name = "TMacGreekCodec.Name"
		size = 52
		refs = "0006 TMacGreekCodec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 61 00 63 00 47 00 72 00 65 00 65 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_112723_0 {
	meta:
		name = "TMacIcelandicCodec.EncodeChar"
		size = 60
		refs = "0001 MacIcelandicMap 0006 TMacIcelandicCodec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4D 00 61 00 63 00 49 00 63 00 65 00 6C 00 61 00 6E 00 64 00 69 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_112724_0 {
	meta:
		name = "TMacIcelandicCodec.Name"
		size = 60
		refs = "0006 TMacIcelandicCodec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4D 00 61 00 63 00 49 00 63 00 65 00 6C 00 61 00 6E 00 64 00 69 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_112726_0 {
	meta:
		name = "TMacTurkishCodec.EncodeChar"
		size = 56
		refs = "0001 MacTurkishMap 0006 TMacTurkishCodec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 61 00 63 00 54 00 75 00 72 00 6B 00 69 00 73 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_112727_0 {
	meta:
		name = "TMacTurkishCodec.Name"
		size = 56
		refs = "0006 TMacTurkishCodec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 61 00 63 00 54 00 75 00 72 00 6B 00 69 00 73 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_112729_0 {
	meta:
		name = "TUSASCIICodec.CheckA"
		size = 42
	strings:
		$1 = { 51 8B CA 89 14 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 10 0F B6 11 80 FA 80 72 04 33 C0 5A C3 41 48 75 F0 B0 01 5A C3 }
	condition:
		$1
}

rule function_112730_0 {
	meta:
		name = "TUSASCIICodec.CheckW"
		size = 41
	strings:
		$1 = { 8B CA 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 7E 13 0F B7 11 66 81 FA 80 00 72 03 33 C0 C3 83 C1 02 48 75 ED B0 01 C3 }
	condition:
		$1
}

rule function_112731_0 {
	meta:
		name = "TUSASCIICodec.DecodeChar"
		size = 172
		refs = "0012 TUSASCIICodec.DecodeChar 0048 SInvalidCodePoint 004d LoadResString 0057 _Dn_EConvertError 005c Exception.CreateFmt 0061 @RaiseExcept 0076 @UStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 FB 80 73 07 0F B6 C3 8B D8 EB 3D 0F B6 C3 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 53 00 2D 00 41 00 53 00 43 00 49 00 49 00 00 00 00 00 }
	condition:
		$1
}

rule function_112732_0 {
	meta:
		name = "TUSASCIICodec.EncodeChar"
		size = 164
		refs = "0012 TUSASCIICodec.EncodeChar 0043 SCannotConvert 0048 LoadResString 0052 _Dn_EConvertError 0057 Exception.CreateFmt 005c @RaiseExcept 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 FB 80 00 72 3D 0F B7 C3 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 53 00 2D 00 41 00 53 00 43 00 49 00 49 00 00 00 00 00 }
	condition:
		$1
}

rule function_112734_0 {
	meta:
		name = "TEBCDIC_USCodec.DecodeChar"
		size = 635
		refs = "0014 TEBCDIC_USCodec.DecodeChar"
	strings:
		$1 = { 0F B6 C2 83 C0 C0 3D B9 00 00 00 0F 87 65 02 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 00 00 00 00 00 00 00 00 00 02 03 04 05 06 07 08 00 00 00 00 00 00 00 00 00 09 0A 0B 0C 0D 0E 0F 10 00 00 00 00 00 00 00 00 11 12 13 14 15 16 00 00 00 00 00 00 00 00 00 17 18 19 1A 1B 1C 1D 00 1E 1E 1E 1E 1E 1E 1E 1E 1E 00 00 00 00 00 00 00 1F 1F 1F 1F 1F 1F 1F 1F 1F 00 00 00 00 00 00 00 20 21 21 21 21 21 21 21 21 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 22 23 23 23 23 23 23 23 23 23 00 00 00 00 00 00 24 25 25 25 25 25 25 25 25 25 00 00 00 00 00 00 26 00 27 27 27 27 27 27 27 27 00 00 00 00 00 00 28 28 28 28 28 28 28 28 28 28 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 66 B8 20 00 C3 66 B8 A2 00 C3 66 B8 2E 00 C3 66 B8 3C 00 C3 66 B8 28 00 C3 66 B8 2B 00 C3 66 B8 7C 00 C3 66 B8 26 00 C3 66 B8 21 00 C3 66 B8 24 00 C3 66 B8 2A 00 C3 66 B8 29 00 C3 66 B8 3B 00 C3 66 B8 AC 00 C3 66 B8 2D 00 C3 66 B8 2F 00 C3 66 B8 A6 00 C3 66 B8 2C 00 C3 66 B8 25 00 C3 66 B8 5F 00 C3 66 B8 3E 00 C3 66 B8 3F 00 C3 66 B8 60 00 C3 66 B8 3A 00 C3 66 B8 23 00 C3 66 B8 40 00 C3 66 B8 27 00 C3 66 B8 3D 00 C3 66 B8 22 00 C3 0F B6 C2 66 2D 81 00 66 83 C0 61 C3 0F B6 C2 66 2D 91 00 66 83 C0 6A C3 66 B8 7E 00 C3 0F B6 C2 66 2D A2 00 66 83 C0 73 C3 66 B8 7B 00 C3 0F B6 C2 66 2D C1 00 66 83 C0 41 C3 66 B8 7D 00 C3 0F B6 C2 66 2D D1 00 66 83 C0 4A C3 66 B8 5C 00 C3 0F B6 C2 66 2D E2 00 66 83 C0 53 C3 0F B6 C2 66 2D F0 00 66 83 C0 30 C3 66 B8 FF FF C3 }
	condition:
		$1
}

rule function_112735_0 {
	meta:
		name = "TEBCDIC_USCodec.EncodeChar"
		size = 760
		refs = "0012 TEBCDIC_USCodec.EncodeChar 0296 SCannotConvert 029b LoadResString 02a5 _Dn_EConvertError 02aa Exception.CreateFmt 02af @RaiseExcept 02c4 @UStrClr 02ca @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 C3 83 C0 E0 3D 8C 00 00 00 0F 87 49 02 00 00 0F B6 80 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 01 02 03 04 05 06 07 08 09 0A 0B 0C 0D 0E 0F 10 11 11 11 11 11 11 11 11 11 11 12 13 14 15 16 17 18 19 19 19 19 19 19 19 19 19 1A 1A 1A 1A 1A 1A 1A 1A 1A 1B 1B 1B 1B 1B 1B 1B 1B 00 1C 00 00 1D 1E 1F 1F 1F 1F 1F 1F 1F 1F 1F 20 20 20 20 20 20 20 20 20 21 21 21 21 21 21 21 21 22 23 24 25 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 26 00 00 00 27 00 00 00 00 00 28 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B3 40 E9 40 01 00 00 B3 5A E9 39 01 00 00 B3 7F E9 32 01 00 00 B3 7B E9 2B 01 00 00 B3 5B E9 24 01 00 00 B3 6C E9 1D 01 00 00 B3 50 E9 16 01 00 00 B3 7D E9 0F 01 00 00 B3 4D E9 08 01 00 00 B3 5D E9 01 01 00 00 B3 5C E9 FA 00 00 00 B3 4E E9 F3 00 00 00 B3 6B E9 EC 00 00 00 B3 60 E9 E5 00 00 00 B3 4B E9 DE 00 00 00 B3 61 E9 D7 00 00 00 80 EB 30 80 C3 F0 E9 CC 00 00 00 B3 7A E9 C5 00 00 00 B3 5E E9 BE 00 00 00 B3 4C E9 B7 00 00 00 B3 7E E9 B0 00 00 00 B3 6E E9 A9 00 00 00 B3 6F E9 A2 00 00 00 B3 7C E9 9B 00 00 00 80 EB 41 80 C3 C1 E9 90 00 00 00 80 EB 4A 80 C3 D1 E9 85 00 00 00 80 EB 53 80 C3 E2 EB 7D B3 E0 EB 79 B3 6D EB 75 B3 79 EB 71 80 EB 61 80 C3 81 EB 69 80 EB 6A 80 C3 91 EB 61 80 EB 73 80 C3 A2 EB 59 B3 C0 EB 55 B3 4F EB 51 B3 D0 EB 4D B3 A1 EB 49 B3 4A EB 45 B3 6A EB 41 B3 5F EB 3D 0F B7 C3 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 55 00 53 00 00 00 }
	condition:
		$1
}

rule function_112738_0 {
	meta:
		name = "TKOI8_RCodec.EncodeChar"
		size = 48
		refs = "0001 KOI8_RMap 0006 TKOI8_RCodec.EncodeChar 000c CharFromHighMap"
	strings:
		$1 = { B8 ?? ?? ?? ?? B9 ?? ?? ?? ?? 92 E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4B 00 4F 00 49 00 38 00 2D 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_112740_0 {
	meta:
		name = "TJIS_X0201Codec.DecodeChar"
		size = 67
	strings:
		$1 = { 0F B6 C2 83 F8 5D 7D 0C 83 C0 E0 83 E8 3C 72 18 74 1A EB 2A 83 C0 A3 83 E8 21 72 0C 74 13 83 C0 DD 83 E8 3F 72 10 EB 16 0F B6 C2 C3 66 B8 A5 00 C3 66 B8 3E 20 C3 0F B6 C2 66 05 C0 FE C3 66 B8 FF FF C3 }
	condition:
		$1
}

rule function_112741_0 {
	meta:
		name = "TJIS_X0201Codec.EncodeChar"
		size = 220
		refs = "0012 TJIS_X0201Codec.EncodeChar 0078 SCannotConvert 007d LoadResString 0087 _Dn_EConvertError 008c Exception.CreateFmt 0091 @RaiseExcept 00a6 @UStrClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 C3 3D A5 00 00 00 7F 12 74 23 83 C0 E0 83 E8 3C 72 65 48 83 E8 21 72 5F EB 20 2D 3E 20 00 00 74 10 05 DD 20 FF FF 83 E8 3F 72 0A EB 0D B3 5C EB 46 B3 7E EB 42 80 EB C0 EB 3D 0F B7 C3 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4A 00 49 00 53 00 5F 00 58 00 30 00 32 00 30 00 31 00 00 00 }
	condition:
		$1
}

rule function_112743_0 {
	meta:
		name = "TNextStepCodec.EncodeChar"
		size = 2644
		refs = "0012 TNextStepCodec.EncodeChar 09f1 SCannotConvert 09f6 LoadResString 0a00 _Dn_EConvertError 0a05 Exception.CreateFmt 0a0a @RaiseExcept 0a1f @UStrClr 0a25 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 33 C9 89 4D EC 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B7 C3 3D E2 00 00 00 0F 8F A0 03 00 00 0F 84 14 08 00 00 3D E1 00 00 00 0F 87 96 09 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D 42 01 00 00 0F 8F 97 01 00 00 0F 84 49 05 00 00 05 1D FF FF FF 83 F8 5E 0F 87 E8 05 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D 1A 20 00 00 0F 8F AD 00 00 00 0F 84 14 04 00 00 3D D9 02 00 00 7F 55 0F 84 D2 03 00 00 3D C6 02 00 00 7F 26 0F 84 A9 03 00 00 2D 52 01 00 00 0F 84 89 03 00 00 48 0F 84 89 03 00 00 83 E8 3F 0F 84 87 03 00 00 E9 1A 04 00 00 2D C7 02 00 00 0F 84 85 03 00 00 83 E8 04 0F 84 83 03 00 00 83 E8 0D 0F 84 81 03 00 00 E9 F8 03 00 00 3D DD 02 00 00 7F 24 0F 84 92 03 00 00 2D DA 02 00 00 0F 84 72 03 00 00 48 0F 84 72 03 00 00 48 0F 84 72 03 00 00 E9 CD 03 00 00 2D 13 20 00 00 0F 84 70 03 00 00 48 0F 84 70 03 00 00 83 E8 05 0F 84 6E 03 00 00 E9 AD 03 00 00 3D 30 20 00 00 7F 47 0F 84 80 03 00 00 05 E4 DF FF FF 83 F8 0A 0F 87 92 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D 01 FB 00 00 7F 26 0F 84 42 03 00 00 2D 39 20 00 00 0F 84 2B 03 00 00 48 0F 84 28 03 00 00 83 E8 0A 0F 84 23 03 00 00 E9 32 03 00 00 2D 02 FB 00 00 0F 84 1B 03 00 00 2D FB 04 00 00 0F 84 14 03 00 00 83 E8 02 0F 84 0F 03 00 00 E9 0E 03 00 00 B3 80 E9 44 03 00 00 B3 A8 E9 3D 03 00 00 B3 B5 E9 36 03 00 00 B3 C8 E9 2F 03 00 00 B3 A0 E9 28 03 00 00 B3 E3 E9 21 03 00 00 B3 BE E9 1A 03 00 00 B3 B0 E9 13 03 00 00 B3 C5 E9 0C 03 00 00 B3 D1 E9 05 03 00 00 B3 C9 E9 FE 02 00 00 B3 CC E9 F7 02 00 00 B3 C2 E9 F0 02 00 00 B3 9D E9 E9 02 00 00 B3 B4 E9 E2 02 00 00 B3 CB E9 DB 02 00 00 B3 C0 E9 D4 02 00 00 B3 EB E9 CD 02 00 00 B3 D2 E9 C6 02 00 00 B3 D3 E9 BF 02 00 00 B3 D4 E9 B8 02 00 00 B3 81 E9 B1 02 00 00 B3 82 E9 AA 02 00 00 B3 83 E9 A3 02 00 00 B3 84 E9 9C 02 00 00 B3 85 E9 95 02 00 00 B3 86 E9 8E 02 00 00 B3 E1 E9 87 02 00 00 B3 87 E9 80 02 00 00 B3 88 E9 79 02 00 00 B3 89 E9 72 02 00 00 B3 8A E9 6B 02 00 00 B3 8B E9 64 02 00 00 B3 8C E9 5D 02 00 00 B3 8D E9 56 02 00 00 B3 8E E9 4F 02 00 00 B3 8F E9 48 02 00 00 B3 90 E9 41 02 00 00 B3 91 E9 3A 02 00 00 B3 92 E9 33 02 00 00 B3 93 E9 2C 02 00 00 B3 94 E9 25 02 00 00 B3 95 E9 1E 02 00 00 B3 96 E9 17 02 00 00 B3 9E E9 10 02 00 00 B3 E9 E9 09 02 00 00 B3 97 E9 02 02 00 00 B3 98 E9 FB 01 00 00 B3 99 E9 F4 01 00 00 B3 9A E9 ED 01 00 00 B3 9B E9 E6 01 00 00 B3 9C E9 DF 01 00 00 B3 FB E9 D8 01 00 00 B3 D5 E9 D1 01 00 00 B3 D6 E9 CA 01 00 00 B3 D7 E9 C3 01 00 00 B3 D8 E9 BC 01 00 00 B3 D9 E9 B5 01 00 00 B3 DA E9 AE 01 00 00 B3 F1 E9 A7 01 00 00 B3 DB E9 A0 01 00 00 B3 DC E9 99 01 00 00 B3 DD E9 92 01 00 00 B3 DE E9 8B 01 00 00 B3 DF E9 84 01 00 00 B3 E0 E9 7D 01 00 00 B3 E2 E9 76 01 00 00 B3 E4 E9 6F 01 00 00 B3 E5 E9 68 01 00 00 B3 E6 E9 61 01 00 00 B3 E7 E9 5A 01 00 00 B3 EC E9 53 01 00 00 B3 ED E9 4C 01 00 00 B3 EE E9 45 01 00 00 B3 EF E9 3E 01 00 00 B3 F0 E9 37 01 00 00 B3 9F E9 30 01 00 00 B3 F9 E9 29 01 00 00 B3 F2 E9 22 01 00 00 B3 F3 E9 1B 01 00 00 B3 F4 E9 14 01 00 00 B3 F6 E9 0D 01 00 00 B3 F7 E9 06 01 00 00 B3 FC E9 FF 00 00 00 B3 FD E9 F8 00 00 00 B3 F5 E9 F1 00 00 00 B3 E8 E9 EA 00 00 00 B3 F8 E9 E3 00 00 00 B3 EA E9 DC 00 00 00 B3 FA E9 D5 00 00 00 B3 A6 E9 CE 00 00 00 B3 C3 E9 C7 00 00 00 B3 CF E9 C0 00 00 00 B3 C1 E9 B9 00 00 00 B3 C6 E9 B2 00 00 00 B3 C7 E9 AB 00 00 00 B3 CA E9 A4 00 00 00 B3 CE E9 9D 00 00 00 B3 C4 E9 96 00 00 00 B3 CD E9 8F 00 00 00 B3 B1 E9 88 00 00 00 B3 D0 E9 81 00 00 00 B3 A9 EB 7D B3 B8 EB 79 B3 AA EB 75 B3 BA EB 71 B3 B9 EB 6D B3 B2 EB 69 B3 B3 EB 65 B3 B7 EB 61 B3 BC EB 5D B3 BD EB 59 B3 AC EB 55 B3 AD EB 51 B3 A4 EB 4D B3 AE EB 49 B3 AF EB 45 B3 FE EB 41 B3 FE EB 3D 0F B7 C3 89 45 F0 C6 45 F4 00 B8 ?? ?? ?? ?? 89 45 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 65 00 78 00 74 00 53 00 74 00 65 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_112744_0 {
	meta:
		name = "TNextStepCodec.Name"
		size = 52
		refs = "0006 TNextStepCodec.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 65 00 78 00 74 00 53 00 74 00 65 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_112752_0 {
	meta:
		name = "TEncodingInfo.Error"
		size = 84
		refs = "0009 TEncodingInfo.Error 0017 SIndexOutOfRange 001c LoadResString 0026 _Dn_EAccessViolation 002b Exception.Create 0030 @RaiseExcept 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_112753_0 {
	meta:
		name = "TEncodingInfoAscii.Alias"
		size = 864
		refs = "000f TEncodingInfoAscii.Alias 005f @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 10 0F 87 39 01 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 41 00 4E 00 53 00 49 00 5F 00 58 00 33 00 2E 00 34 00 2D 00 31 00 39 00 36 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 41 00 4E 00 53 00 49 00 5F 00 58 00 33 00 2E 00 34 00 2D 00 31 00 39 00 38 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 53 00 4F 00 5F 00 36 00 34 00 36 00 2E 00 69 00 72 00 76 00 3A 00 31 00 39 00 39 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 41 00 53 00 43 00 49 00 49 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 55 00 53 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 53 00 2D 00 41 00 53 00 43 00 49 00 49 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 75 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 33 00 36 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 33 00 36 00 37 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 73 00 41 00 53 00 43 00 49 00 49 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 5F 00 36 00 34 00 36 00 2E 00 69 00 72 00 76 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 53 00 4F 00 5F 00 36 00 34 00 36 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 53 00 4F 00 2D 00 36 00 34 00 36 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 39 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 39 00 30 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_112754_0 {
	meta:
		name = "TEncodingInfoAscii.AliasCount"
		size = 6
		altNames = "TEncodingInfoShiftJIS.MIBenum"
	strings:
		$1 = { B8 11 00 00 00 C3 }
	condition:
		$1
}

rule function_112756_0 {
	meta:
		name = "TEncodingInfoAscii.Name"
		size = 64
		refs = "0006 TEncodingInfoAscii.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 41 00 4E 00 53 00 49 00 5F 00 58 00 33 00 2E 00 34 00 2D 00 31 00 39 00 36 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_112757_0 {
	meta:
		name = "TEncodingInfoAscii.PreferredMIMEName"
		size = 52
		refs = "0006 TEncodingInfoAscii.PreferredMIMEName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 53 00 2D 00 41 00 53 00 43 00 49 00 49 00 00 00 00 00 }
	condition:
		$1
}

rule function_112758_0 {
	meta:
		name = "TEncodingInfoIsoLatin1.Alias"
		size = 476
		refs = "000f TEncodingInfoIsoLatin1.Alias 003f @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 08 0F 87 A9 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 31 00 3A 00 31 00 39 00 38 00 37 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6C 00 61 00 74 00 69 00 6E 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6C 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 31 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 50 00 38 00 31 00 39 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 49 00 53 00 4F 00 4C 00 61 00 74 00 69 00 6E 00 31 00 00 00 }
	condition:
		$1
}

rule function_112761_0 {
	meta:
		name = "TEncodingInfoIsoLatin1.Name"
		size = 64
		refs = "0006 TEncodingInfoIsoLatin1.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 31 00 3A 00 31 00 39 00 38 00 37 00 00 00 }
	condition:
		$1
}

rule function_112762_0 {
	meta:
		name = "TEncodingInfoIsoLatin1.PreferredMIMEName"
		size = 56
		refs = "0006 TEncodingInfoIsoLatin1.PreferredMIMEName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_112763_0 {
	meta:
		name = "TEncodingInfoIsoLatin2.Alias"
		size = 388
		refs = "000f TEncodingInfoIsoLatin2.Alias 0037 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 06 0F 87 85 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 32 00 3A 00 31 00 39 00 38 00 37 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 30 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6C 00 61 00 74 00 69 00 6E 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6C 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 49 00 53 00 4F 00 4C 00 61 00 74 00 69 00 6E 00 32 00 00 00 }
	condition:
		$1
}

rule function_112764_0 {
	meta:
		name = "TEncodingInfoIBM037.AliasCount"
		size = 6
		altNames = "TEncodingInfoISO10Swedish.AliasCount TEncodingInfoIsoLatin2.AliasCount TEncodingInfoIsoLatin3.AliasCount TEncodingInfoIsoLatin4.AliasCount TEncodingInfoIsoLatin4.MIBenum TEncodingInfoIsoLatin5.AliasCount TEncodingInfoIsoLatin8.AliasCount TEncodingInfoIsoLatin9.AliasCount"
	strings:
		$1 = { B8 07 00 00 00 C3 }
	condition:
		$1
}

rule function_112766_0 {
	meta:
		name = "TEncodingInfoIsoLatin2.Name"
		size = 64
		refs = "0006 TEncodingInfoIsoLatin2.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 32 00 3A 00 31 00 39 00 38 00 37 00 00 00 }
	condition:
		$1
}

rule function_112767_0 {
	meta:
		name = "TEncodingInfoIsoLatin2.PreferredMIMEName"
		size = 56
		refs = "0006 TEncodingInfoIsoLatin2.PreferredMIMEName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_112768_0 {
	meta:
		name = "TEncodingInfoIsoLatin3.Alias"
		size = 388
		refs = "000f TEncodingInfoIsoLatin3.Alias 0037 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 06 0F 87 85 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 33 00 3A 00 31 00 39 00 38 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 30 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6C 00 61 00 74 00 69 00 6E 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6C 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 49 00 53 00 4F 00 4C 00 61 00 74 00 69 00 6E 00 33 00 00 00 }
	condition:
		$1
}

rule function_112770_0 {
	meta:
		name = "TEncodingInfoISO121Canadian1.AliasCount"
		size = 6
		altNames = "TEncodingInfoISO13JISC6220jp.AliasCount TEncodingInfoISO141JUSIB1002.AliasCount TEncodingInfoISO4UnitedKingdom.AliasCount TEncodingInfoISO60DanishNorwegian.AliasCount TEncodingInfoIsoLatin10.AliasCount TEncodingInfoIsoLatin3.MIBenum TEncodingInfoIsoLatin6.AliasCount TEncodingInfoIsoLatinCyrillic.AliasCount TEncodingInfoIsoLatinHebrew.AliasCount TEncodingInfoKSC56011987.AliasCount"
	strings:
		$1 = { B8 06 00 00 00 C3 }
	condition:
		$1
}

rule function_112771_0 {
	meta:
		name = "TEncodingInfoIsoLatin3.Name"
		size = 64
		refs = "0006 TEncodingInfoIsoLatin3.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 33 00 3A 00 31 00 39 00 38 00 38 00 00 00 }
	condition:
		$1
}

rule function_112772_0 {
	meta:
		name = "TEncodingInfoIsoLatin3.PreferredMIMEName"
		size = 56
		refs = "0006 TEncodingInfoIsoLatin3.PreferredMIMEName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_112773_0 {
	meta:
		name = "TEncodingInfoIsoLatin4.Alias"
		size = 388
		refs = "000f TEncodingInfoIsoLatin4.Alias 0037 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 06 0F 87 85 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 34 00 3A 00 31 00 39 00 38 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 31 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6C 00 61 00 74 00 69 00 6E 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6C 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 49 00 53 00 4F 00 4C 00 61 00 74 00 69 00 6E 00 34 00 00 00 }
	condition:
		$1
}

rule function_112776_0 {
	meta:
		name = "TEncodingInfoIsoLatin4.Name"
		size = 64
		refs = "0006 TEncodingInfoIsoLatin4.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 34 00 3A 00 31 00 39 00 38 00 38 00 00 00 }
	condition:
		$1
}

rule function_112777_0 {
	meta:
		name = "TEncodingInfoIsoLatin4.PreferredMIMEName"
		size = 56
		refs = "0006 TEncodingInfoIsoLatin4.PreferredMIMEName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_112778_0 {
	meta:
		name = "TEncodingInfoIsoLatinCyrillic.Alias"
		size = 364
		refs = "000b TEncodingInfoIsoLatinCyrillic.Alias 002f @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 05 77 73 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 35 00 3A 00 31 00 39 00 38 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 34 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 79 00 72 00 69 00 6C 00 6C 00 69 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 63 00 73 00 49 00 53 00 4F 00 4C 00 61 00 74 00 69 00 6E 00 43 00 79 00 72 00 69 00 6C 00 6C 00 69 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_112781_0 {
	meta:
		name = "TEncodingInfoIsoLatinCyrillic.Name"
		size = 64
		refs = "0006 TEncodingInfoIsoLatinCyrillic.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 35 00 3A 00 31 00 39 00 38 00 38 00 00 00 }
	condition:
		$1
}

rule function_112782_0 {
	meta:
		name = "TEncodingInfoIsoLatinCyrillic.PreferredMIMEName"
		size = 56
		refs = "0006 TEncodingInfoIsoLatinCyrillic.PreferredMIMEName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_112783_0 {
	meta:
		name = "TEncodingInfoIsoLatinArabic.Alias"
		size = 460
		refs = "000f TEncodingInfoIsoLatinArabic.Alias 003b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 07 0F 87 97 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 36 00 3A 00 31 00 39 00 38 00 37 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 32 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 43 00 4D 00 41 00 2D 00 31 00 31 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 53 00 4D 00 4F 00 2D 00 37 00 30 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 61 00 72 00 61 00 62 00 69 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 63 00 73 00 49 00 53 00 4F 00 4C 00 61 00 74 00 69 00 6E 00 41 00 72 00 61 00 62 00 69 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_112786_0 {
	meta:
		name = "TEncodingInfoIsoLatinArabic.Name"
		size = 64
		refs = "0006 TEncodingInfoIsoLatinArabic.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 36 00 3A 00 31 00 39 00 38 00 37 00 00 00 }
	condition:
		$1
}

rule function_112787_0 {
	meta:
		name = "TEncodingInfoIsoLatinArabic.PreferredMIMEName"
		size = 56
		refs = "0006 TEncodingInfoIsoLatinArabic.PreferredMIMEName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_112788_0 {
	meta:
		name = "TEncodingInfoIsoLatinGreek.Alias"
		size = 500
		refs = "000f TEncodingInfoIsoLatinGreek.Alias 003f @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 08 0F 87 A9 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 37 00 3A 00 31 00 39 00 38 00 37 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 32 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 4C 00 4F 00 54 00 5F 00 39 00 32 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 43 00 4D 00 41 00 2D 00 31 00 31 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 67 00 72 00 65 00 65 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 67 00 72 00 65 00 65 00 6B 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 63 00 73 00 49 00 53 00 4F 00 4C 00 61 00 74 00 69 00 6E 00 47 00 72 00 65 00 65 00 6B 00 00 00 }
	condition:
		$1
}

rule function_112791_0 {
	meta:
		name = "TEncodingInfoIsoLatinGreek.Name"
		size = 64
		refs = "0006 TEncodingInfoIsoLatinGreek.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 37 00 3A 00 31 00 39 00 38 00 37 00 00 00 }
	condition:
		$1
}

rule function_112792_0 {
	meta:
		name = "TEncodingInfoIsoLatinGreek.PreferredMIMEName"
		size = 56
		refs = "0006 TEncodingInfoIsoLatinGreek.PreferredMIMEName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_112793_0 {
	meta:
		name = "TEncodingInfoIsoLatinHebrew.Alias"
		size = 356
		refs = "000b TEncodingInfoIsoLatinHebrew.Alias 002f @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 05 77 73 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 38 00 3A 00 31 00 39 00 38 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 33 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 68 00 65 00 62 00 72 00 65 00 77 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 63 00 73 00 49 00 53 00 4F 00 4C 00 61 00 74 00 69 00 6E 00 48 00 65 00 62 00 72 00 65 00 77 00 00 00 00 00 }
	condition:
		$1
}

rule function_112795_0 {
	meta:
		name = "TEncodingInfoIsoLatinHebrew.MIBenum"
		size = 6
	strings:
		$1 = { B8 0B 00 00 00 C3 }
	condition:
		$1
}

rule function_112796_0 {
	meta:
		name = "TEncodingInfoIsoLatinHebrew.Name"
		size = 64
		refs = "0006 TEncodingInfoIsoLatinHebrew.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 38 00 3A 00 31 00 39 00 38 00 38 00 00 00 }
	condition:
		$1
}

rule function_112797_0 {
	meta:
		name = "TEncodingInfoIsoLatinHebrew.PreferredMIMEName"
		size = 56
		refs = "0006 TEncodingInfoIsoLatinHebrew.PreferredMIMEName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_112798_0 {
	meta:
		name = "TEncodingInfoIsoLatin5.Alias"
		size = 388
		refs = "000f TEncodingInfoIsoLatin5.Alias 0037 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 06 0F 87 85 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 39 00 3A 00 31 00 39 00 38 00 39 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 34 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6C 00 61 00 74 00 69 00 6E 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6C 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 49 00 53 00 4F 00 4C 00 61 00 74 00 69 00 6E 00 35 00 00 00 }
	condition:
		$1
}

rule function_112800_0 {
	meta:
		name = "TEncodingInfoIsoLatin5.MIBenum"
		size = 6
	strings:
		$1 = { B8 0C 00 00 00 C3 }
	condition:
		$1
}

rule function_112801_0 {
	meta:
		name = "TEncodingInfoIsoLatin5.Name"
		size = 64
		refs = "0006 TEncodingInfoIsoLatin5.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 39 00 3A 00 31 00 39 00 38 00 39 00 00 00 }
	condition:
		$1
}

rule function_112802_0 {
	meta:
		name = "TEncodingInfoIsoLatin5.PreferredMIMEName"
		size = 56
		refs = "0006 TEncodingInfoIsoLatin5.PreferredMIMEName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 39 00 00 00 00 00 }
	condition:
		$1
}

rule function_112803_0 {
	meta:
		name = "TEncodingInfoIsoLatin6.Alias"
		size = 332
		refs = "000b TEncodingInfoIsoLatin6.Alias 002f @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 05 77 73 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 31 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 35 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6C 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 30 00 3A 00 31 00 39 00 39 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 49 00 53 00 4F 00 4C 00 61 00 74 00 69 00 6E 00 36 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6C 00 61 00 74 00 69 00 6E 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_112805_0 {
	meta:
		name = "TEncodingInfoIsoLatin6.MIBenum"
		size = 6
	strings:
		$1 = { B8 0D 00 00 00 C3 }
	condition:
		$1
}

rule function_112806_0 {
	meta:
		name = "TEncodingInfoIsoLatin6.Name"
		size = 56
		refs = "0006 TEncodingInfoIsoLatin6.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 31 00 30 00 00 00 }
	condition:
		$1
}

rule function_112807_0 {
	meta:
		name = "TEncodingInfoIsoLatin6.PreferredMIMEName"
		size = 56
		refs = "0006 TEncodingInfoIsoLatin6.PreferredMIMEName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 31 00 30 00 00 00 }
	condition:
		$1
}

rule function_112808_0 {
	meta:
		name = "TEncodingInfoIsoTextComm.Alias"
		size = 184
		refs = "0012 TEncodingInfoIsoTextComm.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 53 00 4F 00 5F 00 36 00 39 00 33 00 37 00 2D 00 32 00 2D 00 61 00 64 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 34 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 73 00 49 00 53 00 4F 00 54 00 65 00 78 00 74 00 43 00 6F 00 6D 00 6D 00 00 00 }
	condition:
		$1
}

rule function_112810_0 {
	meta:
		name = "TEncodingInfoIsoTextComm.MIBenum"
		size = 6
	strings:
		$1 = { B8 0E 00 00 00 C3 }
	condition:
		$1
}

rule function_112811_0 {
	meta:
		name = "TEncodingInfoIsoTextComm.Name"
		size = 64
		refs = "0006 TEncodingInfoIsoTextComm.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 53 00 4F 00 5F 00 36 00 39 00 33 00 37 00 2D 00 32 00 2D 00 61 00 64 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_112813_0 {
	meta:
		name = "TEncodingInfoHalfWidthKatakana.Alias"
		size = 172
		refs = "0012 TEncodingInfoHalfWidthKatakana.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4A 00 49 00 53 00 5F 00 58 00 30 00 32 00 30 00 31 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 58 00 30 00 32 00 30 00 31 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 63 00 73 00 48 00 61 00 6C 00 66 00 57 00 69 00 64 00 74 00 68 00 4B 00 61 00 74 00 61 00 6B 00 61 00 6E 00 61 00 00 00 }
	condition:
		$1
}

rule function_112816_0 {
	meta:
		name = "TEncodingInfoHalfWidthKatakana.Name"
		size = 52
		refs = "0006 TEncodingInfoHalfWidthKatakana.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4A 00 49 00 53 00 5F 00 58 00 30 00 32 00 30 00 31 00 00 00 }
	condition:
		$1
}

rule function_112818_0 {
	meta:
		name = "TEncodingInfoJISEncoding.Alias"
		size = 124
		refs = "000f TEncodingInfoJISEncoding.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 4A 00 49 00 53 00 5F 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 73 00 4A 00 49 00 53 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_112821_0 {
	meta:
		name = "TEncodingInfoJISEncoding.Name"
		size = 60
		refs = "0006 TEncodingInfoJISEncoding.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4A 00 49 00 53 00 5F 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_112823_0 {
	meta:
		name = "TEncodingInfoShiftJIS.Alias"
		size = 164
		refs = "0012 TEncodingInfoShiftJIS.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 68 00 69 00 66 00 74 00 5F 00 4A 00 49 00 53 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 53 00 5F 00 4B 00 61 00 6E 00 6A 00 69 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 63 00 73 00 53 00 68 00 69 00 66 00 74 00 4A 00 49 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_112826_0 {
	meta:
		name = "TEncodingInfoShiftJIS.Name"
		size = 52
		refs = "0006 TEncodingInfoShiftJIS.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 68 00 69 00 66 00 74 00 5F 00 4A 00 49 00 53 00 00 00 }
	condition:
		$1
}

rule function_112827_0 {
	meta:
		name = "TEncodingInfoShiftJIS.PreferredMIMEName"
		size = 52
		refs = "0006 TEncodingInfoShiftJIS.PreferredMIMEName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 68 00 69 00 66 00 74 00 5F 00 4A 00 49 00 53 00 00 00 }
	condition:
		$1
}

rule function_112828_0 {
	meta:
		name = "TEncodingInfoEUCPPkdFmtJapanese.Alias"
		size = 252
		refs = "0012 TEncodingInfoEUCPPkdFmtJapanese.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 45 00 78 00 74 00 65 00 6E 00 64 00 65 00 64 00 5F 00 55 00 4E 00 49 00 58 00 5F 00 43 00 6F 00 64 00 65 00 5F 00 50 00 61 00 63 00 6B 00 65 00 64 00 5F 00 46 00 6F 00 72 00 6D 00 61 00 74 00 5F 00 66 00 6F 00 72 00 5F 00 4A 00 61 00 70 00 61 00 6E 00 65 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 63 00 73 00 45 00 55 00 43 00 50 00 50 00 6B 00 64 00 46 00 6D 00 74 00 4A 00 61 00 70 00 61 00 6E 00 65 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 45 00 55 00 43 00 2D 00 4A 00 50 00 00 00 00 00 }
	condition:
		$1
}

rule function_112830_0 {
	meta:
		name = "TEncodingInfoEUCPPkdFmtJapanese.MIBenum"
		size = 6
	strings:
		$1 = { B8 12 00 00 00 C3 }
	condition:
		$1
}

rule function_112831_0 {
	meta:
		name = "TEncodingInfoEUCPPkdFmtJapanese.Name"
		size = 124
		refs = "0006 TEncodingInfoEUCPPkdFmtJapanese.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 2D 00 00 00 45 00 78 00 74 00 65 00 6E 00 64 00 65 00 64 00 5F 00 55 00 4E 00 49 00 58 00 5F 00 43 00 6F 00 64 00 65 00 5F 00 50 00 61 00 63 00 6B 00 65 00 64 00 5F 00 46 00 6F 00 72 00 6D 00 61 00 74 00 5F 00 66 00 6F 00 72 00 5F 00 4A 00 61 00 70 00 61 00 6E 00 65 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_112832_0 {
	meta:
		name = "TEncodingInfoEUCPPkdFmtJapanese.PreferredMIMEName"
		size = 48
		refs = "0006 TEncodingInfoEUCPPkdFmtJapanese.PreferredMIMEName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 45 00 55 00 43 00 2D 00 4A 00 50 00 00 00 00 00 }
	condition:
		$1
}

rule function_112833_0 {
	meta:
		name = "TEncodingInfoEUCFixWidJapanese.Alias"
		size = 196
		refs = "000f TEncodingInfoEUCFixWidJapanese.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 2B 00 00 00 45 00 78 00 74 00 65 00 6E 00 64 00 65 00 64 00 5F 00 55 00 4E 00 49 00 58 00 5F 00 43 00 6F 00 64 00 65 00 5F 00 46 00 69 00 78 00 65 00 64 00 5F 00 57 00 69 00 64 00 74 00 68 00 5F 00 66 00 6F 00 72 00 5F 00 4A 00 61 00 70 00 61 00 6E 00 65 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 63 00 73 00 45 00 55 00 43 00 46 00 69 00 78 00 57 00 69 00 64 00 4A 00 61 00 70 00 61 00 6E 00 65 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_112835_0 {
	meta:
		name = "TEncodingInfoEUCFixWidJapanese.MIBenum"
		size = 6
	strings:
		$1 = { B8 13 00 00 00 C3 }
	condition:
		$1
}

rule function_112836_0 {
	meta:
		name = "TEncodingInfoEUCFixWidJapanese.Name"
		size = 120
		refs = "0006 TEncodingInfoEUCFixWidJapanese.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 2B 00 00 00 45 00 78 00 74 00 65 00 6E 00 64 00 65 00 64 00 5F 00 55 00 4E 00 49 00 58 00 5F 00 43 00 6F 00 64 00 65 00 5F 00 46 00 69 00 78 00 65 00 64 00 5F 00 57 00 69 00 64 00 74 00 68 00 5F 00 66 00 6F 00 72 00 5F 00 4A 00 61 00 70 00 61 00 6E 00 65 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_112838_0 {
	meta:
		name = "TEncodingInfoISO4UnitedKingdom.Alias"
		size = 312
		refs = "000b TEncodingInfoISO4UnitedKingdom.Alias 002f @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 05 77 73 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 53 00 5F 00 34 00 37 00 33 00 30 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 47 00 42 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 67 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 75 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 63 00 73 00 49 00 53 00 4F 00 34 00 55 00 6E 00 69 00 74 00 65 00 64 00 4B 00 69 00 6E 00 67 00 64 00 6F 00 6D 00 00 00 }
	condition:
		$1
}

rule function_112841_0 {
	meta:
		name = "TEncodingInfoISO4UnitedKingdom.Name"
		size = 48
		refs = "0006 TEncodingInfoISO4UnitedKingdom.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 42 00 53 00 5F 00 34 00 37 00 33 00 30 00 00 00 }
	condition:
		$1
}

rule function_112843_0 {
	meta:
		name = "TEncodingInfoISO11SwedishForNames.Alias"
		size = 300
		refs = "000b TEncodingInfoISO11SwedishForNames.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 45 00 4E 00 5F 00 38 00 35 00 30 00 32 00 30 00 30 00 5F 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 31 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 53 00 45 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 73 00 65 00 32 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 31 00 53 00 77 00 65 00 64 00 69 00 73 00 68 00 46 00 6F 00 72 00 4E 00 61 00 6D 00 65 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_112845_0 {
	meta:
		name = "TEncodingInfoISO11SwedishForNames.MIBenum"
		size = 6
	strings:
		$1 = { B8 15 00 00 00 C3 }
	condition:
		$1
}

rule function_112846_0 {
	meta:
		name = "TEncodingInfoISO11SwedishForNames.Name"
		size = 60
		refs = "0006 TEncodingInfoISO11SwedishForNames.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 45 00 4E 00 5F 00 38 00 35 00 30 00 32 00 30 00 30 00 5F 00 43 00 00 00 00 00 }
	condition:
		$1
}

rule function_112848_0 {
	meta:
		name = "TEncodingInfoISO15Italian.Alias"
		size = 208
		refs = "0015 TEncodingInfoISO15Italian.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 35 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 49 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 35 00 49 00 74 00 61 00 6C 00 69 00 61 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112850_0 {
	meta:
		name = "TEncodingInfoISO15Italian.MIBenum"
		size = 6
	strings:
		$1 = { B8 16 00 00 00 C3 }
	condition:
		$1
}

rule function_112851_0 {
	meta:
		name = "TEncodingInfoISO15Italian.Name"
		size = 40
		refs = "0006 TEncodingInfoISO15Italian.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_112853_0 {
	meta:
		name = "TEncodingInfoISO17Spanish.Alias"
		size = 208
		refs = "0015 TEncodingInfoISO17Spanish.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 45 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 37 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 45 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 37 00 53 00 70 00 61 00 6E 00 69 00 73 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_112855_0 {
	meta:
		name = "TEncodingInfoISO17Spanish.MIBenum"
		size = 6
	strings:
		$1 = { B8 17 00 00 00 C3 }
	condition:
		$1
}

rule function_112856_0 {
	meta:
		name = "TEncodingInfoISO17Spanish.Name"
		size = 40
		refs = "0006 TEncodingInfoISO17Spanish.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 45 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_112858_0 {
	meta:
		name = "TEncodingInfoISO21German.Alias"
		size = 268
		refs = "000b TEncodingInfoISO21German.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 49 00 4E 00 5F 00 36 00 36 00 30 00 30 00 33 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 32 00 31 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 64 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 44 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 73 00 49 00 53 00 4F 00 32 00 31 00 47 00 65 00 72 00 6D 00 61 00 6E 00 00 00 }
	condition:
		$1
}

rule function_112861_0 {
	meta:
		name = "TEncodingInfoISO21German.Name"
		size = 52
		refs = "0006 TEncodingInfoISO21German.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 49 00 4E 00 5F 00 36 00 36 00 30 00 30 00 33 00 00 00 }
	condition:
		$1
}

rule function_112863_0 {
	meta:
		name = "TEncodingInfoISO60DanishNorwegian.Alias"
		size = 352
		refs = "000b TEncodingInfoISO60DanishNorwegian.Alias 002f @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 05 77 73 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4E 00 53 00 5F 00 34 00 35 00 35 00 31 00 2D 00 31 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 36 00 30 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 4E 00 4F 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6E 00 6F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 63 00 73 00 49 00 53 00 4F 00 36 00 30 00 44 00 61 00 6E 00 69 00 73 00 68 00 2D 00 4E 00 6F 00 72 00 77 00 65 00 67 00 69 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 73 00 49 00 53 00 4F 00 36 00 30 00 4E 00 6F 00 72 00 77 00 65 00 67 00 69 00 61 00 6E 00 31 00 00 00 }
	condition:
		$1
}

rule function_112866_0 {
	meta:
		name = "TEncodingInfoISO60DanishNorwegian.Name"
		size = 52
		refs = "0006 TEncodingInfoISO60DanishNorwegian.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4E 00 53 00 5F 00 34 00 35 00 35 00 31 00 2D 00 31 00 00 00 }
	condition:
		$1
}

rule function_112868_0 {
	meta:
		name = "TEncodingInfoISO69French.Alias"
		size = 272
		refs = "000b TEncodingInfoISO69French.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4E 00 46 00 5F 00 5A 00 5F 00 36 00 32 00 2D 00 30 00 31 00 30 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 36 00 39 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 46 00 52 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 66 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 73 00 49 00 53 00 4F 00 36 00 39 00 46 00 72 00 65 00 6E 00 63 00 68 00 00 00 }
	condition:
		$1
}

rule function_112870_0 {
	meta:
		name = "TEncodingInfoISO69French.MIBenum"
		size = 6
	strings:
		$1 = { B8 1A 00 00 00 C3 }
	condition:
		$1
}

rule function_112871_0 {
	meta:
		name = "TEncodingInfoISO69French.Name"
		size = 56
		refs = "0006 TEncodingInfoISO69French.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 4E 00 46 00 5F 00 5A 00 5F 00 36 00 32 00 2D 00 30 00 31 00 30 00 00 00 }
	condition:
		$1
}

rule function_112873_0 {
	meta:
		name = "TEncodingInfoISO10646UTF1.Alias"
		size = 132
		refs = "000f TEncodingInfoISO10646UTF1.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 2D 00 31 00 30 00 36 00 34 00 36 00 2D 00 55 00 54 00 46 00 2D 00 31 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 30 00 36 00 34 00 36 00 55 00 54 00 46 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_112875_0 {
	meta:
		name = "TEncodingInfoISO10646UTF1.MIBenum"
		size = 6
	strings:
		$1 = { B8 1B 00 00 00 C3 }
	condition:
		$1
}

rule function_112876_0 {
	meta:
		name = "TEncodingInfoISO10646UTF1.Name"
		size = 64
		refs = "0006 TEncodingInfoISO10646UTF1.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 2D 00 31 00 30 00 36 00 34 00 36 00 2D 00 55 00 54 00 46 00 2D 00 31 00 00 00 }
	condition:
		$1
}

rule function_112878_0 {
	meta:
		name = "TEncodingInfoISO646basic1983.Alias"
		size = 184
		refs = "0012 TEncodingInfoISO646basic1983.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 53 00 4F 00 5F 00 36 00 34 00 36 00 2E 00 62 00 61 00 73 00 69 00 63 00 3A 00 31 00 39 00 38 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 72 00 65 00 66 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 73 00 49 00 53 00 4F 00 36 00 34 00 36 00 62 00 61 00 73 00 69 00 63 00 31 00 39 00 38 00 33 00 00 00 }
	condition:
		$1
}

rule function_112880_0 {
	meta:
		name = "TEncodingInfoISO646basic1983.MIBenum"
		size = 6
	strings:
		$1 = { B8 1C 00 00 00 C3 }
	condition:
		$1
}

rule function_112881_0 {
	meta:
		name = "TEncodingInfoISO646basic1983.Name"
		size = 72
		refs = "0006 TEncodingInfoISO646basic1983.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 49 00 53 00 4F 00 5F 00 36 00 34 00 36 00 2E 00 62 00 61 00 73 00 69 00 63 00 3A 00 31 00 39 00 38 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_112883_0 {
	meta:
		name = "TEncodingInfoInvariant.Alias"
		size = 112
		refs = "000f TEncodingInfoInvariant.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 4E 00 56 00 41 00 52 00 49 00 41 00 4E 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 49 00 4E 00 56 00 41 00 52 00 49 00 41 00 4E 00 54 00 00 00 }
	condition:
		$1
}

rule function_112885_0 {
	meta:
		name = "TEncodingInfoInvariant.MIBenum"
		size = 6
	strings:
		$1 = { B8 1D 00 00 00 C3 }
	condition:
		$1
}

rule function_112886_0 {
	meta:
		name = "TEncodingInfoInvariant.Name"
		size = 52
		refs = "0006 TEncodingInfoInvariant.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 4E 00 56 00 41 00 52 00 49 00 41 00 4E 00 54 00 00 00 }
	condition:
		$1
}

rule function_112888_0 {
	meta:
		name = "TEncodingInfoISO2Int1RefVersion.Alias"
		size = 236
		refs = "0015 TEncodingInfoISO2Int1RefVersion.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 53 00 4F 00 5F 00 36 00 34 00 36 00 2E 00 69 00 72 00 76 00 3A 00 31 00 39 00 38 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 69 00 72 00 76 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 63 00 73 00 49 00 53 00 4F 00 32 00 49 00 6E 00 74 00 31 00 52 00 65 00 66 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_112890_0 {
	meta:
		name = "TEncodingInfoISO2Int1RefVersion.MIBenum"
		size = 6
	strings:
		$1 = { B8 1E 00 00 00 C3 }
	condition:
		$1
}

rule function_112891_0 {
	meta:
		name = "TEncodingInfoISO2Int1RefVersion.Name"
		size = 68
		refs = "0006 TEncodingInfoISO2Int1RefVersion.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 53 00 4F 00 5F 00 36 00 34 00 36 00 2E 00 69 00 72 00 76 00 3A 00 31 00 39 00 38 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_112893_0 {
	meta:
		name = "TEncodingInfoNATSSEFI.Alias"
		size = 168
		refs = "0012 TEncodingInfoNATSSEFI.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4E 00 41 00 54 00 53 00 2D 00 53 00 45 00 46 00 49 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 38 00 2D 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 63 00 73 00 4E 00 41 00 54 00 53 00 53 00 45 00 46 00 49 00 00 00 00 00 }
	condition:
		$1
}

rule function_112895_0 {
	meta:
		name = "TEncodingInfoNATSSEFI.MIBenum"
		size = 6
	strings:
		$1 = { B8 1F 00 00 00 C3 }
	condition:
		$1
}

rule function_112896_0 {
	meta:
		name = "TEncodingInfoNATSSEFI.Name"
		size = 52
		refs = "0006 TEncodingInfoNATSSEFI.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4E 00 41 00 54 00 53 00 2D 00 53 00 45 00 46 00 49 00 00 00 }
	condition:
		$1
}

rule function_112898_0 {
	meta:
		name = "TEncodingInfoNATSSEFIADD.Alias"
		size = 180
		refs = "0012 TEncodingInfoNATSSEFIADD.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4E 00 41 00 54 00 53 00 2D 00 53 00 45 00 46 00 49 00 2D 00 41 00 44 00 44 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 38 00 2D 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 73 00 4E 00 41 00 54 00 53 00 53 00 45 00 46 00 49 00 41 00 44 00 44 00 00 00 }
	condition:
		$1
}

rule function_112901_0 {
	meta:
		name = "TEncodingInfoNATSSEFIADD.Name"
		size = 60
		refs = "0006 TEncodingInfoNATSSEFIADD.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4E 00 41 00 54 00 53 00 2D 00 53 00 45 00 46 00 49 00 2D 00 41 00 44 00 44 00 00 00 }
	condition:
		$1
}

rule function_112903_0 {
	meta:
		name = "TEncodingInfoNATSDANO.Alias"
		size = 168
		refs = "0012 TEncodingInfoNATSDANO.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4E 00 41 00 54 00 53 00 2D 00 44 00 41 00 4E 00 4F 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 39 00 2D 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 63 00 73 00 4E 00 41 00 54 00 53 00 44 00 41 00 4E 00 4F 00 00 00 00 00 }
	condition:
		$1
}

rule function_112905_0 {
	meta:
		name = "TEncodingInfoNATSDANO.MIBenum"
		size = 6
	strings:
		$1 = { B8 21 00 00 00 C3 }
	condition:
		$1
}

rule function_112908_0 {
	meta:
		name = "TEncodingInfoNATSDANOADD.Alias"
		size = 180
		refs = "0012 TEncodingInfoNATSDANOADD.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4E 00 41 00 54 00 53 00 2D 00 44 00 41 00 4E 00 4F 00 2D 00 41 00 44 00 44 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 39 00 2D 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 73 00 4E 00 41 00 54 00 53 00 44 00 41 00 4E 00 4F 00 41 00 44 00 44 00 00 00 }
	condition:
		$1
}

rule function_112911_0 {
	meta:
		name = "TEncodingInfoNATSDANOADD.Name"
		size = 60
		refs = "0006 TEncodingInfoNATSDANOADD.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4E 00 41 00 54 00 53 00 2D 00 44 00 41 00 4E 00 4F 00 2D 00 41 00 44 00 44 00 00 00 }
	condition:
		$1
}

rule function_112913_0 {
	meta:
		name = "TEncodingInfoISO10Swedish.Alias"
		size = 372
		refs = "000f TEncodingInfoISO10Swedish.Alias 0037 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 06 0F 87 85 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 45 00 4E 00 5F 00 38 00 35 00 30 00 32 00 30 00 30 00 5F 00 42 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 30 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 46 00 49 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 46 00 49 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 53 00 45 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 30 00 53 00 77 00 65 00 64 00 69 00 73 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_112915_0 {
	meta:
		name = "TEncodingInfoISO10Swedish.MIBenum"
		size = 6
	strings:
		$1 = { B8 23 00 00 00 C3 }
	condition:
		$1
}

rule function_112916_0 {
	meta:
		name = "TEncodingInfoISO10Swedish.Name"
		size = 60
		refs = "0006 TEncodingInfoISO10Swedish.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 45 00 4E 00 5F 00 38 00 35 00 30 00 32 00 30 00 30 00 5F 00 42 00 00 00 00 00 }
	condition:
		$1
}

rule function_112918_0 {
	meta:
		name = "TEncodingInfoKSC56011987.Alias"
		size = 352
		refs = "000b TEncodingInfoKSC56011987.Alias 002f @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 05 77 73 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4B 00 53 00 5F 00 43 00 5F 00 35 00 36 00 30 00 31 00 2D 00 31 00 39 00 38 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 34 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4B 00 53 00 5F 00 43 00 5F 00 35 00 36 00 30 00 31 00 2D 00 31 00 39 00 38 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4B 00 53 00 43 00 5F 00 35 00 36 00 30 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6B 00 6F 00 72 00 65 00 61 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 73 00 4B 00 53 00 43 00 35 00 36 00 30 00 31 00 31 00 39 00 38 00 37 00 00 00 }
	condition:
		$1
}

rule function_112920_0 {
	meta:
		name = "TEncodingInfoKSC56011987.MIBenum"
		size = 6
	strings:
		$1 = { B8 24 00 00 00 C3 }
	condition:
		$1
}

rule function_112921_0 {
	meta:
		name = "TEncodingInfoKSC56011987.Name"
		size = 64
		refs = "0006 TEncodingInfoKSC56011987.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4B 00 53 00 5F 00 43 00 5F 00 35 00 36 00 30 00 31 00 2D 00 31 00 39 00 38 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_112923_0 {
	meta:
		name = "TEncodingInfoISO2022KR.Alias"
		size = 116
		refs = "000f TEncodingInfoISO2022KR.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 32 00 30 00 32 00 32 00 2D 00 4B 00 52 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 49 00 53 00 4F 00 32 00 30 00 32 00 32 00 4B 00 52 00 00 00 }
	condition:
		$1
}

rule function_112925_0 {
	meta:
		name = "TEncodingInfoISO2022KR.MIBenum"
		size = 6
	strings:
		$1 = { B8 25 00 00 00 C3 }
	condition:
		$1
}

rule function_112926_0 {
	meta:
		name = "TEncodingInfoISO2022KR.Name"
		size = 56
		refs = "0006 TEncodingInfoISO2022KR.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 32 00 30 00 32 00 32 00 2D 00 4B 00 52 00 00 00 }
	condition:
		$1
}

rule function_112927_0 {
	meta:
		name = "TEncodingInfoISO2022KR.PreferredMIMEName"
		size = 56
		refs = "0006 TEncodingInfoISO2022KR.PreferredMIMEName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 32 00 30 00 32 00 32 00 2D 00 4B 00 52 00 00 00 }
	condition:
		$1
}

rule function_112928_0 {
	meta:
		name = "TEncodingInfoEUCKR.Alias"
		size = 100
		refs = "000f TEncodingInfoEUCKR.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 06 00 00 00 45 00 55 00 43 00 2D 00 4B 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 73 00 45 00 55 00 43 00 4B 00 52 00 00 00 }
	condition:
		$1
}

rule function_112931_0 {
	meta:
		name = "TEncodingInfoEUCKR.Name"
		size = 48
		refs = "0006 TEncodingInfoEUCKR.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 45 00 55 00 43 00 2D 00 4B 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_112932_0 {
	meta:
		name = "TEncodingInfoEUCKR.PreferredMIMEName"
		size = 48
		refs = "0006 TEncodingInfoEUCKR.PreferredMIMEName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 45 00 55 00 43 00 2D 00 4B 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_112933_0 {
	meta:
		name = "TEncodingInfoISO2022JP.Alias"
		size = 116
		refs = "000f TEncodingInfoISO2022JP.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 32 00 30 00 32 00 32 00 2D 00 4A 00 50 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 49 00 53 00 4F 00 32 00 30 00 32 00 32 00 4A 00 50 00 00 00 }
	condition:
		$1
}

rule function_112935_0 {
	meta:
		name = "TEncodingInfoISO2022JP.MIBenum"
		size = 6
	strings:
		$1 = { B8 27 00 00 00 C3 }
	condition:
		$1
}

rule function_112936_0 {
	meta:
		name = "TEncodingInfoISO2022JP.Name"
		size = 56
		refs = "0006 TEncodingInfoISO2022JP.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 32 00 30 00 32 00 32 00 2D 00 4A 00 50 00 00 00 }
	condition:
		$1
}

rule function_112937_0 {
	meta:
		name = "TEncodingInfoISO2022JP.PreferredMIMEName"
		size = 56
		refs = "0006 TEncodingInfoISO2022JP.PreferredMIMEName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 32 00 30 00 32 00 32 00 2D 00 4A 00 50 00 00 00 }
	condition:
		$1
}

rule function_112938_0 {
	meta:
		name = "TEncodingInfoISO2022JP2.Alias"
		size = 124
		refs = "000f TEncodingInfoISO2022JP2.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 53 00 4F 00 2D 00 32 00 30 00 32 00 32 00 2D 00 4A 00 50 00 2D 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 73 00 49 00 53 00 4F 00 32 00 30 00 32 00 32 00 4A 00 50 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_112940_0 {
	meta:
		name = "TEncodingInfoISO2022JP2.MIBenum"
		size = 6
	strings:
		$1 = { B8 28 00 00 00 C3 }
	condition:
		$1
}

rule function_112941_0 {
	meta:
		name = "TEncodingInfoISO2022JP2.Name"
		size = 60
		refs = "0006 TEncodingInfoISO2022JP2.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 53 00 4F 00 2D 00 32 00 30 00 32 00 32 00 2D 00 4A 00 50 00 2D 00 32 00 00 00 }
	condition:
		$1
}

rule function_112942_0 {
	meta:
		name = "TEncodingInfoISO2022JP2.PreferredMIMEName"
		size = 60
		refs = "0006 TEncodingInfoISO2022JP2.PreferredMIMEName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 53 00 4F 00 2D 00 32 00 30 00 32 00 32 00 2D 00 4A 00 50 00 2D 00 32 00 00 00 }
	condition:
		$1
}

rule function_112943_0 {
	meta:
		name = "TEncodingInfoISO13JISC6220jp.Alias"
		size = 360
		refs = "000b TEncodingInfoISO13JISC6220jp.Alias 002f @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 05 77 73 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 4A 00 49 00 53 00 5F 00 43 00 36 00 32 00 32 00 30 00 2D 00 31 00 39 00 36 00 39 00 2D 00 6A 00 70 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4A 00 49 00 53 00 5F 00 43 00 36 00 32 00 32 00 30 00 2D 00 31 00 39 00 36 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 33 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6B 00 61 00 74 00 61 00 6B 00 61 00 6E 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 78 00 30 00 32 00 30 00 31 00 2D 00 37 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 33 00 4A 00 49 00 53 00 43 00 36 00 32 00 32 00 30 00 6A 00 70 00 00 00 }
	condition:
		$1
}

rule function_112945_0 {
	meta:
		name = "TEncodingInfoISO13JISC6220jp.MIBenum"
		size = 6
	strings:
		$1 = { B8 29 00 00 00 C3 }
	condition:
		$1
}

rule function_112946_0 {
	meta:
		name = "TEncodingInfoISO13JISC6220jp.Name"
		size = 68
		refs = "0006 TEncodingInfoISO13JISC6220jp.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 4A 00 49 00 53 00 5F 00 43 00 36 00 32 00 32 00 30 00 2D 00 31 00 39 00 36 00 39 00 2D 00 6A 00 70 00 00 00 }
	condition:
		$1
}

rule function_112948_0 {
	meta:
		name = "TEncodingInfoISO14JISC6220ro.Alias"
		size = 292
		refs = "000b TEncodingInfoISO14JISC6220ro.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 4A 00 49 00 53 00 5F 00 43 00 36 00 32 00 32 00 30 00 2D 00 31 00 39 00 36 00 39 00 2D 00 72 00 6F 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 34 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6A 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 4A 00 50 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 34 00 4A 00 49 00 53 00 43 00 36 00 32 00 32 00 30 00 72 00 6F 00 00 00 }
	condition:
		$1
}

rule function_112950_0 {
	meta:
		name = "TEncodingInfoISO14JISC6220ro.MIBenum"
		size = 6
	strings:
		$1 = { B8 2A 00 00 00 C3 }
	condition:
		$1
}

rule function_112951_0 {
	meta:
		name = "TEncodingInfoISO14JISC6220ro.Name"
		size = 68
		refs = "0006 TEncodingInfoISO14JISC6220ro.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 4A 00 49 00 53 00 5F 00 43 00 36 00 32 00 32 00 30 00 2D 00 31 00 39 00 36 00 39 00 2D 00 72 00 6F 00 00 00 }
	condition:
		$1
}

rule function_112953_0 {
	meta:
		name = "TEncodingInfoISO16Portuguese.Alias"
		size = 212
		refs = "0015 TEncodingInfoISO16Portuguese.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 50 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 36 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 50 00 54 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 36 00 50 00 6F 00 72 00 74 00 75 00 67 00 75 00 65 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_112955_0 {
	meta:
		name = "TEncodingInfoISO16Portuguese.MIBenum"
		size = 6
	strings:
		$1 = { B8 2B 00 00 00 C3 }
	condition:
		$1
}

rule function_112956_0 {
	meta:
		name = "TEncodingInfoISO16Portuguese.Name"
		size = 40
		refs = "0006 TEncodingInfoISO16Portuguese.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 50 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_112958_0 {
	meta:
		name = "TEncodingInfoISO18Greek7Old.Alias"
		size = 180
		refs = "0012 TEncodingInfoISO18Greek7Old.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 67 00 72 00 65 00 65 00 6B 00 37 00 2D 00 6F 00 6C 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 38 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 38 00 47 00 72 00 65 00 65 00 6B 00 37 00 4F 00 6C 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_112960_0 {
	meta:
		name = "TEncodingInfoISO18Greek7Old.MIBenum"
		size = 6
	strings:
		$1 = { B8 2C 00 00 00 C3 }
	condition:
		$1
}

rule function_112961_0 {
	meta:
		name = "TEncodingInfoISO18Greek7Old.Name"
		size = 56
		refs = "0006 TEncodingInfoISO18Greek7Old.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 67 00 72 00 65 00 65 00 6B 00 37 00 2D 00 6F 00 6C 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_112963_0 {
	meta:
		name = "TEncodingInfoISO19LatinGreek.Alias"
		size = 180
		refs = "0012 TEncodingInfoISO19LatinGreek.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 6C 00 61 00 74 00 69 00 6E 00 2D 00 67 00 72 00 65 00 65 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 39 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 39 00 4C 00 61 00 74 00 69 00 6E 00 47 00 72 00 65 00 65 00 6B 00 00 00 }
	condition:
		$1
}

rule function_112965_0 {
	meta:
		name = "TEncodingInfoISO19LatinGreek.MIBenum"
		size = 6
	strings:
		$1 = { B8 2D 00 00 00 C3 }
	condition:
		$1
}

rule function_112966_0 {
	meta:
		name = "TEncodingInfoISO19LatinGreek.Name"
		size = 56
		refs = "0006 TEncodingInfoISO19LatinGreek.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 6C 00 61 00 74 00 69 00 6E 00 2D 00 67 00 72 00 65 00 65 00 6B 00 00 00 }
	condition:
		$1
}

rule function_112968_0 {
	meta:
		name = "TEncodingInfoISO25French.Alias"
		size = 240
		refs = "0015 TEncodingInfoISO25French.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 4E 00 46 00 5F 00 5A 00 5F 00 36 00 32 00 2D 00 30 00 31 00 30 00 5F 00 28 00 31 00 39 00 37 00 33 00 29 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 32 00 35 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 46 00 52 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 73 00 49 00 53 00 4F 00 32 00 35 00 46 00 72 00 65 00 6E 00 63 00 68 00 00 00 }
	condition:
		$1
}

rule function_112970_0 {
	meta:
		name = "TEncodingInfoISO25French.MIBenum"
		size = 6
	strings:
		$1 = { B8 2E 00 00 00 C3 }
	condition:
		$1
}

rule function_112971_0 {
	meta:
		name = "TEncodingInfoISO25French.Name"
		size = 72
		refs = "0006 TEncodingInfoISO25French.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 4E 00 46 00 5F 00 5A 00 5F 00 36 00 32 00 2D 00 30 00 31 00 30 00 5F 00 28 00 31 00 39 00 37 00 33 00 29 00 00 00 00 00 }
	condition:
		$1
}

rule function_112973_0 {
	meta:
		name = "TEncodingInfoISO27LatinGreek1.Alias"
		size = 188
		refs = "0012 TEncodingInfoISO27LatinGreek1.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4C 00 61 00 74 00 69 00 6E 00 2D 00 67 00 72 00 65 00 65 00 6B 00 2D 00 31 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 32 00 37 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 63 00 73 00 49 00 53 00 4F 00 32 00 37 00 4C 00 61 00 74 00 69 00 6E 00 47 00 72 00 65 00 65 00 6B 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_112975_0 {
	meta:
		name = "TEncodingInfoISO27LatinGreek1.MIBenum"
		size = 6
	strings:
		$1 = { B8 2F 00 00 00 C3 }
	condition:
		$1
}

rule function_112976_0 {
	meta:
		name = "TEncodingInfoISO27LatinGreek1.Name"
		size = 60
		refs = "0006 TEncodingInfoISO27LatinGreek1.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4C 00 61 00 74 00 69 00 6E 00 2D 00 67 00 72 00 65 00 65 00 6B 00 2D 00 31 00 00 00 }
	condition:
		$1
}

rule function_112978_0 {
	meta:
		name = "TEncodingInfoISO5427Cyrillic.Alias"
		size = 176
		refs = "0012 TEncodingInfoISO5427Cyrillic.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 53 00 4F 00 5F 00 35 00 34 00 32 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 33 00 37 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 73 00 49 00 53 00 4F 00 35 00 34 00 32 00 37 00 43 00 79 00 72 00 69 00 6C 00 6C 00 69 00 63 00 00 00 }
	condition:
		$1
}

rule function_112980_0 {
	meta:
		name = "TEncodingInfoISO5427Cyrillic.MIBenum"
		size = 6
	strings:
		$1 = { B8 30 00 00 00 C3 }
	condition:
		$1
}

rule function_112981_0 {
	meta:
		name = "TEncodingInfoISO5427Cyrillic.Name"
		size = 52
		refs = "0006 TEncodingInfoISO5427Cyrillic.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 53 00 4F 00 5F 00 35 00 34 00 32 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_112983_0 {
	meta:
		name = "TEncodingInfoISO42JISC62261978.Alias"
		size = 192
		refs = "0012 TEncodingInfoISO42JISC62261978.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4A 00 49 00 53 00 5F 00 43 00 36 00 32 00 32 00 36 00 2D 00 31 00 39 00 37 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 34 00 32 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 63 00 73 00 49 00 53 00 4F 00 34 00 32 00 4A 00 49 00 53 00 43 00 36 00 32 00 32 00 36 00 31 00 39 00 37 00 38 00 00 00 }
	condition:
		$1
}

rule function_112985_0 {
	meta:
		name = "TEncodingInfoISO42JISC62261978.MIBenum"
		size = 6
	strings:
		$1 = { B8 31 00 00 00 C3 }
	condition:
		$1
}

rule function_112986_0 {
	meta:
		name = "TEncodingInfoISO42JISC62261978.Name"
		size = 64
		refs = "0006 TEncodingInfoISO42JISC62261978.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4A 00 49 00 53 00 5F 00 43 00 36 00 32 00 32 00 36 00 2D 00 31 00 39 00 37 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_112988_0 {
	meta:
		name = "TEncodingInfoISO47BSViewdata.Alias"
		size = 180
		refs = "0012 TEncodingInfoISO47BSViewdata.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 42 00 53 00 5F 00 76 00 69 00 65 00 77 00 64 00 61 00 74 00 61 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 34 00 37 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 73 00 49 00 53 00 4F 00 34 00 37 00 42 00 53 00 56 00 69 00 65 00 77 00 64 00 61 00 74 00 61 00 00 00 }
	condition:
		$1
}

rule function_112990_0 {
	meta:
		name = "TEncodingInfoISO47BSViewdata.MIBenum"
		size = 6
	strings:
		$1 = { B8 32 00 00 00 C3 }
	condition:
		$1
}

rule function_112991_0 {
	meta:
		name = "TEncodingInfoISO47BSViewdata.Name"
		size = 56
		refs = "0006 TEncodingInfoISO47BSViewdata.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 42 00 53 00 5F 00 76 00 69 00 65 00 77 00 64 00 61 00 74 00 61 00 00 00 }
	condition:
		$1
}

rule function_112993_0 {
	meta:
		name = "TEncodingInfoISO49INIS.Alias"
		size = 156
		refs = "0012 TEncodingInfoISO49INIS.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 4E 00 49 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 34 00 39 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 49 00 53 00 4F 00 34 00 39 00 49 00 4E 00 49 00 53 00 00 00 }
	condition:
		$1
}

rule function_112995_0 {
	meta:
		name = "TEncodingInfoISO49INIS.MIBenum"
		size = 6
	strings:
		$1 = { B8 33 00 00 00 C3 }
	condition:
		$1
}

rule function_112996_0 {
	meta:
		name = "TEncodingInfoISO49INIS.Name"
		size = 44
		refs = "0006 TEncodingInfoISO49INIS.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 49 00 4E 00 49 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_112998_0 {
	meta:
		name = "TEncodingInfoISO50INIS8.Alias"
		size = 164
		refs = "0012 TEncodingInfoISO50INIS8.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 4E 00 49 00 53 00 2D 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 35 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 73 00 49 00 53 00 4F 00 35 00 30 00 49 00 4E 00 49 00 53 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_113000_0 {
	meta:
		name = "TEncodingInfoISO50INIS8.MIBenum"
		size = 6
	strings:
		$1 = { B8 34 00 00 00 C3 }
	condition:
		$1
}

rule function_113001_0 {
	meta:
		name = "TEncodingInfoISO50INIS8.Name"
		size = 48
		refs = "0006 TEncodingInfoISO50INIS8.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 4E 00 49 00 53 00 2D 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_113003_0 {
	meta:
		name = "TEncodingInfoISO51INISCyrillic.Alias"
		size = 188
		refs = "0012 TEncodingInfoISO51INISCyrillic.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 4E 00 49 00 53 00 2D 00 63 00 79 00 72 00 69 00 6C 00 6C 00 69 00 63 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 35 00 31 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 63 00 73 00 49 00 53 00 4F 00 35 00 31 00 49 00 4E 00 49 00 53 00 43 00 79 00 72 00 69 00 6C 00 6C 00 69 00 63 00 00 00 }
	condition:
		$1
}

rule function_113005_0 {
	meta:
		name = "TEncodingInfoISO51INISCyrillic.MIBenum"
		size = 6
	strings:
		$1 = { B8 35 00 00 00 C3 }
	condition:
		$1
}

rule function_113006_0 {
	meta:
		name = "TEncodingInfoISO51INISCyrillic.Name"
		size = 60
		refs = "0006 TEncodingInfoISO51INISCyrillic.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 4E 00 49 00 53 00 2D 00 63 00 79 00 72 00 69 00 6C 00 6C 00 69 00 63 00 00 00 }
	condition:
		$1
}

rule function_113008_0 {
	meta:
		name = "TEncodingInfoISO5427Cyrillic1981.Alias"
		size = 188
		refs = "0012 TEncodingInfoISO5427Cyrillic1981.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 53 00 4F 00 5F 00 35 00 34 00 32 00 37 00 3A 00 31 00 39 00 38 00 31 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 35 00 34 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 53 00 4F 00 35 00 34 00 32 00 37 00 43 00 79 00 72 00 69 00 6C 00 6C 00 69 00 63 00 31 00 39 00 38 00 31 00 00 00 }
	condition:
		$1
}

rule function_113010_0 {
	meta:
		name = "TEncodingInfoISO5427Cyrillic1981.MIBenum"
		size = 6
	strings:
		$1 = { B8 36 00 00 00 C3 }
	condition:
		$1
}

rule function_113011_0 {
	meta:
		name = "TEncodingInfoISO5427Cyrillic1981.Name"
		size = 60
		refs = "0006 TEncodingInfoISO5427Cyrillic1981.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 53 00 4F 00 5F 00 35 00 34 00 32 00 37 00 3A 00 31 00 39 00 38 00 31 00 00 00 }
	condition:
		$1
}

rule function_113013_0 {
	meta:
		name = "TEncodingInfoISO5428Greek.Alias"
		size = 180
		refs = "0012 TEncodingInfoISO5428Greek.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 53 00 4F 00 5F 00 35 00 34 00 32 00 38 00 3A 00 31 00 39 00 38 00 30 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 35 00 35 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 63 00 73 00 49 00 53 00 4F 00 35 00 34 00 32 00 38 00 47 00 72 00 65 00 65 00 6B 00 00 00 00 00 }
	condition:
		$1
}

rule function_113015_0 {
	meta:
		name = "TEncodingInfoISO5428Greek.MIBenum"
		size = 6
	strings:
		$1 = { B8 37 00 00 00 C3 }
	condition:
		$1
}

rule function_113016_0 {
	meta:
		name = "TEncodingInfoISO5428Greek.Name"
		size = 60
		refs = "0006 TEncodingInfoISO5428Greek.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 53 00 4F 00 5F 00 35 00 34 00 32 00 38 00 3A 00 31 00 39 00 38 00 30 00 00 00 }
	condition:
		$1
}

rule function_113018_0 {
	meta:
		name = "TEncodingInfoISO57GB1988.Alias"
		size = 272
		refs = "000b TEncodingInfoISO57GB1988.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 42 00 5F 00 31 00 39 00 38 00 38 00 2D 00 38 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 35 00 37 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 63 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 43 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 73 00 49 00 53 00 4F 00 35 00 37 00 47 00 42 00 31 00 39 00 38 00 38 00 00 00 }
	condition:
		$1
}

rule function_113020_0 {
	meta:
		name = "TEncodingInfoISO57GB1988.MIBenum"
		size = 6
	strings:
		$1 = { B8 38 00 00 00 C3 }
	condition:
		$1
}

rule function_113021_0 {
	meta:
		name = "TEncodingInfoISO57GB1988.Name"
		size = 56
		refs = "0006 TEncodingInfoISO57GB1988.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 42 00 5F 00 31 00 39 00 38 00 38 00 2D 00 38 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113023_0 {
	meta:
		name = "TEncodingInfoISO58GB231280.Alias"
		size = 220
		refs = "0015 TEncodingInfoISO58GB231280.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 42 00 5F 00 32 00 33 00 31 00 32 00 2D 00 38 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 35 00 38 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 68 00 69 00 6E 00 65 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 63 00 73 00 49 00 53 00 4F 00 35 00 38 00 47 00 42 00 32 00 33 00 31 00 32 00 38 00 30 00 00 00 }
	condition:
		$1
}

rule function_113025_0 {
	meta:
		name = "TEncodingInfoISO58GB231280.MIBenum"
		size = 6
	strings:
		$1 = { B8 39 00 00 00 C3 }
	condition:
		$1
}

rule function_113026_0 {
	meta:
		name = "TEncodingInfoISO58GB231280.Name"
		size = 56
		refs = "0006 TEncodingInfoISO58GB231280.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 47 00 42 00 5F 00 32 00 33 00 31 00 32 00 2D 00 38 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113028_0 {
	meta:
		name = "TEncodingInfoISO61Norwegian2.Alias"
		size = 280
		refs = "000b TEncodingInfoISO61Norwegian2.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4E 00 53 00 5F 00 34 00 35 00 35 00 31 00 2D 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 4E 00 4F 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 36 00 31 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6E 00 6F 00 32 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 73 00 49 00 53 00 4F 00 36 00 31 00 4E 00 6F 00 72 00 77 00 65 00 67 00 69 00 61 00 6E 00 32 00 00 00 }
	condition:
		$1
}

rule function_113030_0 {
	meta:
		name = "TEncodingInfoISO61Norwegian2.MIBenum"
		size = 6
	strings:
		$1 = { B8 3A 00 00 00 C3 }
	condition:
		$1
}

rule function_113031_0 {
	meta:
		name = "TEncodingInfoISO61Norwegian2.Name"
		size = 52
		refs = "0006 TEncodingInfoISO61Norwegian2.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 4E 00 53 00 5F 00 34 00 35 00 35 00 31 00 2D 00 32 00 00 00 }
	condition:
		$1
}

rule function_113033_0 {
	meta:
		name = "TEncodingInfoISO70VideotexSupp1.Alias"
		size = 196
		refs = "0012 TEncodingInfoISO70VideotexSupp1.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 76 00 69 00 64 00 65 00 6F 00 74 00 65 00 78 00 2D 00 73 00 75 00 70 00 70 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 37 00 30 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 63 00 73 00 49 00 53 00 4F 00 37 00 30 00 56 00 69 00 64 00 65 00 6F 00 74 00 65 00 78 00 53 00 75 00 70 00 70 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113035_0 {
	meta:
		name = "TEncodingInfoISO70VideotexSupp1.MIBenum"
		size = 6
	strings:
		$1 = { B8 3B 00 00 00 C3 }
	condition:
		$1
}

rule function_113036_0 {
	meta:
		name = "TEncodingInfoISO70VideotexSupp1.Name"
		size = 64
		refs = "0006 TEncodingInfoISO70VideotexSupp1.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 76 00 69 00 64 00 65 00 6F 00 74 00 65 00 78 00 2D 00 73 00 75 00 70 00 70 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_113038_0 {
	meta:
		name = "TEncodingInfoISO84Portuguese2.Alias"
		size = 220
		refs = "0015 TEncodingInfoISO84Portuguese2.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 54 00 32 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 38 00 34 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 50 00 54 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 63 00 73 00 49 00 53 00 4F 00 38 00 34 00 50 00 6F 00 72 00 74 00 75 00 67 00 75 00 65 00 73 00 65 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_113040_0 {
	meta:
		name = "TEncodingInfoISO84Portuguese2.MIBenum"
		size = 6
	strings:
		$1 = { B8 3C 00 00 00 C3 }
	condition:
		$1
}

rule function_113041_0 {
	meta:
		name = "TEncodingInfoISO84Portuguese2.Name"
		size = 40
		refs = "0006 TEncodingInfoISO84Portuguese2.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 50 00 54 00 32 00 00 00 }
	condition:
		$1
}

rule function_113043_0 {
	meta:
		name = "TEncodingInfoISO85Spanish2.Alias"
		size = 212
		refs = "0015 TEncodingInfoISO85Spanish2.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 45 00 53 00 32 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 38 00 35 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 45 00 53 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 63 00 73 00 49 00 53 00 4F 00 38 00 35 00 53 00 70 00 61 00 6E 00 69 00 73 00 68 00 32 00 00 00 }
	condition:
		$1
}

rule function_113045_0 {
	meta:
		name = "TEncodingInfoISO85Spanish2.MIBenum"
		size = 6
	strings:
		$1 = { B8 3D 00 00 00 C3 }
	condition:
		$1
}

rule function_113046_0 {
	meta:
		name = "TEncodingInfoISO85Spanish2.Name"
		size = 40
		refs = "0006 TEncodingInfoISO85Spanish2.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 45 00 53 00 32 00 00 00 }
	condition:
		$1
}

rule function_113048_0 {
	meta:
		name = "TEncodingInfoISO86Hungarian.Alias"
		size = 280
		refs = "000b TEncodingInfoISO86Hungarian.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 53 00 5A 00 5F 00 37 00 37 00 39 00 35 00 2E 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 38 00 36 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 48 00 55 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 68 00 75 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 63 00 73 00 49 00 53 00 4F 00 38 00 36 00 48 00 75 00 6E 00 67 00 61 00 72 00 69 00 61 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_113050_0 {
	meta:
		name = "TEncodingInfoISO86Hungarian.MIBenum"
		size = 6
	strings:
		$1 = { B8 3E 00 00 00 C3 }
	condition:
		$1
}

rule function_113051_0 {
	meta:
		name = "TEncodingInfoISO86Hungarian.Name"
		size = 56
		refs = "0006 TEncodingInfoISO86Hungarian.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 53 00 5A 00 5F 00 37 00 37 00 39 00 35 00 2E 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_113053_0 {
	meta:
		name = "TEncodingInfoISO87JISX0208.Alias"
		size = 300
		refs = "000b TEncodingInfoISO87JISX0208.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4A 00 49 00 53 00 5F 00 43 00 36 00 32 00 32 00 36 00 2D 00 31 00 39 00 38 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 38 00 37 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 78 00 30 00 32 00 30 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4A 00 49 00 53 00 5F 00 58 00 30 00 32 00 30 00 38 00 2D 00 31 00 39 00 38 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 63 00 73 00 49 00 53 00 4F 00 38 00 37 00 4A 00 49 00 53 00 58 00 30 00 32 00 30 00 38 00 00 00 }
	condition:
		$1
}

rule function_113055_0 {
	meta:
		name = "TEncodingInfoISO87JISX0208.MIBenum"
		size = 6
	strings:
		$1 = { B8 3F 00 00 00 C3 }
	condition:
		$1
}

rule function_113056_0 {
	meta:
		name = "TEncodingInfoISO87JISX0208.Name"
		size = 64
		refs = "0006 TEncodingInfoISO87JISX0208.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4A 00 49 00 53 00 5F 00 43 00 36 00 32 00 32 00 36 00 2D 00 31 00 39 00 38 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_113058_0 {
	meta:
		name = "TEncodingInfoISO88Greek7.Alias"
		size = 164
		refs = "0012 TEncodingInfoISO88Greek7.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 67 00 72 00 65 00 65 00 6B 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 38 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 73 00 49 00 53 00 4F 00 38 00 38 00 47 00 72 00 65 00 65 00 6B 00 37 00 00 00 }
	condition:
		$1
}

rule function_113060_0 {
	meta:
		name = "TEncodingInfoISO88Greek7.MIBenum"
		size = 6
	strings:
		$1 = { B8 40 00 00 00 C3 }
	condition:
		$1
}

rule function_113061_0 {
	meta:
		name = "TEncodingInfoISO88Greek7.Name"
		size = 48
		refs = "0006 TEncodingInfoISO88Greek7.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 67 00 72 00 65 00 65 00 6B 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_113063_0 {
	meta:
		name = "TEncodingInfoISO89ASMO449.Alias"
		size = 280
		refs = "000b TEncodingInfoISO89ASMO449.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 53 00 4D 00 4F 00 5F 00 34 00 34 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 53 00 4F 00 5F 00 39 00 30 00 33 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 61 00 72 00 61 00 62 00 69 00 63 00 37 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 38 00 39 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 63 00 73 00 49 00 53 00 4F 00 38 00 39 00 41 00 53 00 4D 00 4F 00 34 00 34 00 39 00 00 00 00 00 }
	condition:
		$1
}

rule function_113065_0 {
	meta:
		name = "TEncodingInfoISO89ASMO449.MIBenum"
		size = 6
	strings:
		$1 = { B8 41 00 00 00 C3 }
	condition:
		$1
}

rule function_113066_0 {
	meta:
		name = "TEncodingInfoISO89ASMO449.Name"
		size = 52
		refs = "0006 TEncodingInfoISO89ASMO449.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 53 00 4D 00 4F 00 5F 00 34 00 34 00 39 00 00 00 00 00 }
	condition:
		$1
}

rule function_113068_0 {
	meta:
		name = "TEncodingInfoISO90.Alias"
		size = 104
		refs = "000f TEncodingInfoISO90.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 39 00 30 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 73 00 49 00 53 00 4F 00 39 00 30 00 00 00 }
	condition:
		$1
}

rule function_113070_0 {
	meta:
		name = "TEncodingInfoISO90.MIBenum"
		size = 6
	strings:
		$1 = { B8 42 00 00 00 C3 }
	condition:
		$1
}

rule function_113071_0 {
	meta:
		name = "TEncodingInfoISO90.Name"
		size = 52
		refs = "0006 TEncodingInfoISO90.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 39 00 30 00 00 00 }
	condition:
		$1
}

rule function_113073_0 {
	meta:
		name = "TEncodingInfoISO91JISC62291984a.Alias"
		size = 248
		refs = "0015 TEncodingInfoISO91JISC62291984a.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4A 00 49 00 53 00 5F 00 43 00 36 00 32 00 32 00 39 00 2D 00 31 00 39 00 38 00 34 00 2D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 39 00 31 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6A 00 70 00 2D 00 6F 00 63 00 72 00 2D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 63 00 73 00 49 00 53 00 4F 00 39 00 31 00 4A 00 49 00 53 00 43 00 36 00 32 00 32 00 39 00 31 00 39 00 38 00 34 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_113075_0 {
	meta:
		name = "TEncodingInfoISO91JISC62291984a.MIBenum"
		size = 6
	strings:
		$1 = { B8 43 00 00 00 C3 }
	condition:
		$1
}

rule function_113076_0 {
	meta:
		name = "TEncodingInfoISO91JISC62291984a.Name"
		size = 68
		refs = "0006 TEncodingInfoISO91JISC62291984a.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4A 00 49 00 53 00 5F 00 43 00 36 00 32 00 32 00 39 00 2D 00 31 00 39 00 38 00 34 00 2D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_113078_0 {
	meta:
		name = "TEncodingInfoISO92JISC62991984b.Alias"
		size = 324
		refs = "000b TEncodingInfoISO92JISC62991984b.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4A 00 49 00 53 00 5F 00 43 00 36 00 32 00 32 00 39 00 2D 00 31 00 39 00 38 00 34 00 2D 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 39 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 4A 00 50 00 2D 00 4F 00 43 00 52 00 2D 00 42 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6A 00 70 00 2D 00 6F 00 63 00 72 00 2D 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 63 00 73 00 49 00 53 00 4F 00 39 00 32 00 4A 00 49 00 53 00 43 00 36 00 32 00 32 00 39 00 31 00 39 00 38 00 34 00 62 00 00 00 00 00 }
	condition:
		$1
}

rule function_113080_0 {
	meta:
		name = "TEncodingInfoISO92JISC62991984b.MIBenum"
		size = 6
	strings:
		$1 = { B8 44 00 00 00 C3 }
	condition:
		$1
}

rule function_113081_0 {
	meta:
		name = "TEncodingInfoISO92JISC62991984b.Name"
		size = 68
		refs = "0006 TEncodingInfoISO92JISC62991984b.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4A 00 49 00 53 00 5F 00 43 00 36 00 32 00 32 00 39 00 2D 00 31 00 39 00 38 00 34 00 2D 00 62 00 00 00 00 00 }
	condition:
		$1
}

rule function_113083_0 {
	meta:
		name = "TEncodingInfoISO93JIS62291984badd.Alias"
		size = 268
		refs = "0015 TEncodingInfoISO93JIS62291984badd.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4A 00 49 00 53 00 5F 00 43 00 36 00 32 00 32 00 39 00 2D 00 31 00 39 00 38 00 34 00 2D 00 62 00 2D 00 61 00 64 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 39 00 33 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6A 00 70 00 2D 00 6F 00 63 00 72 00 2D 00 62 00 2D 00 61 00 64 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 63 00 73 00 49 00 53 00 4F 00 39 00 33 00 4A 00 49 00 53 00 43 00 36 00 32 00 32 00 39 00 31 00 39 00 38 00 34 00 62 00 61 00 64 00 64 00 00 00 }
	condition:
		$1
}

rule function_113085_0 {
	meta:
		name = "TEncodingInfoISO93JIS62291984badd.MIBenum"
		size = 6
	strings:
		$1 = { B8 45 00 00 00 C3 }
	condition:
		$1
}

rule function_113086_0 {
	meta:
		name = "TEncodingInfoISO93JIS62291984badd.Name"
		size = 76
		refs = "0006 TEncodingInfoISO93JIS62291984badd.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4A 00 49 00 53 00 5F 00 43 00 36 00 32 00 32 00 39 00 2D 00 31 00 39 00 38 00 34 00 2D 00 62 00 2D 00 61 00 64 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_113088_0 {
	meta:
		name = "TEncodingInfoISO94JIS62291984hand.Alias"
		size = 260
		refs = "0015 TEncodingInfoISO94JIS62291984hand.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 4A 00 49 00 53 00 5F 00 43 00 36 00 32 00 32 00 39 00 2D 00 31 00 39 00 38 00 34 00 2D 00 68 00 61 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 39 00 34 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 6A 00 70 00 2D 00 6F 00 63 00 72 00 2D 00 68 00 61 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 63 00 73 00 49 00 53 00 4F 00 39 00 34 00 4A 00 49 00 53 00 43 00 36 00 32 00 32 00 39 00 31 00 39 00 38 00 34 00 68 00 61 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_113090_0 {
	meta:
		name = "TEncodingInfoISO94JIS62291984hand.MIBenum"
		size = 6
	strings:
		$1 = { B8 46 00 00 00 C3 }
	condition:
		$1
}

rule function_113091_0 {
	meta:
		name = "TEncodingInfoISO94JIS62291984hand.Name"
		size = 72
		refs = "0006 TEncodingInfoISO94JIS62291984hand.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 4A 00 49 00 53 00 5F 00 43 00 36 00 32 00 32 00 39 00 2D 00 31 00 39 00 38 00 34 00 2D 00 68 00 61 00 6E 00 64 00 00 00 }
	condition:
		$1
}

rule function_113093_0 {
	meta:
		name = "TEncodingInfoISO95JIS62291984handadd.Alias"
		size = 284
		refs = "0015 TEncodingInfoISO95JIS62291984handadd.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 4A 00 49 00 53 00 5F 00 43 00 36 00 32 00 32 00 39 00 2D 00 31 00 39 00 38 00 34 00 2D 00 68 00 61 00 6E 00 64 00 2D 00 61 00 64 00 64 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 39 00 35 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 6A 00 70 00 2D 00 6F 00 63 00 72 00 2D 00 68 00 61 00 6E 00 64 00 2D 00 61 00 64 00 64 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 63 00 73 00 49 00 53 00 4F 00 39 00 35 00 4A 00 49 00 53 00 43 00 36 00 32 00 32 00 39 00 31 00 39 00 38 00 34 00 68 00 61 00 6E 00 64 00 61 00 64 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_113095_0 {
	meta:
		name = "TEncodingInfoISO95JIS62291984handadd.MIBenum"
		size = 6
	strings:
		$1 = { B8 47 00 00 00 C3 }
	condition:
		$1
}

rule function_113096_0 {
	meta:
		name = "TEncodingInfoISO95JIS62291984handadd.Name"
		size = 80
		refs = "0006 TEncodingInfoISO95JIS62291984handadd.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 4A 00 49 00 53 00 5F 00 43 00 36 00 32 00 32 00 39 00 2D 00 31 00 39 00 38 00 34 00 2D 00 68 00 61 00 6E 00 64 00 2D 00 61 00 64 00 64 00 00 00 }
	condition:
		$1
}

rule function_113098_0 {
	meta:
		name = "TEncodingInfoISO96JISC62291984kana.Alias"
		size = 260
		refs = "0015 TEncodingInfoISO96JISC62291984kana.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 4A 00 49 00 53 00 5F 00 43 00 36 00 32 00 32 00 39 00 2D 00 31 00 39 00 38 00 34 00 2D 00 6B 00 61 00 6E 00 61 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 39 00 36 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 6A 00 70 00 2D 00 6F 00 63 00 72 00 2D 00 68 00 61 00 6E 00 64 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 63 00 73 00 49 00 53 00 4F 00 39 00 36 00 4A 00 49 00 53 00 43 00 36 00 32 00 32 00 39 00 31 00 39 00 38 00 34 00 6B 00 61 00 6E 00 61 00 00 00 }
	condition:
		$1
}

rule function_113100_0 {
	meta:
		name = "TEncodingInfoISO96JISC62291984kana.MIBenum"
		size = 6
	strings:
		$1 = { B8 48 00 00 00 C3 }
	condition:
		$1
}

rule function_113101_0 {
	meta:
		name = "TEncodingInfoISO96JISC62291984kana.Name"
		size = 72
		refs = "0006 TEncodingInfoISO96JISC62291984kana.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 4A 00 49 00 53 00 5F 00 43 00 36 00 32 00 32 00 39 00 2D 00 31 00 39 00 38 00 34 00 2D 00 6B 00 61 00 6E 00 61 00 00 00 }
	condition:
		$1
}

rule function_113103_0 {
	meta:
		name = "TEncodingInfoISO2033.Alias"
		size = 208
		refs = "0015 TEncodingInfoISO2033.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 53 00 4F 00 5F 00 32 00 30 00 33 00 33 00 2D 00 31 00 39 00 38 00 33 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 39 00 38 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 65 00 31 00 33 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 73 00 49 00 53 00 4F 00 32 00 30 00 33 00 33 00 00 00 }
	condition:
		$1
}

rule function_113105_0 {
	meta:
		name = "TEncodingInfoISO2033.MIBenum"
		size = 6
	strings:
		$1 = { B8 49 00 00 00 C3 }
	condition:
		$1
}

rule function_113106_0 {
	meta:
		name = "TEncodingInfoISO2033.Name"
		size = 60
		refs = "0006 TEncodingInfoISO2033.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 53 00 4F 00 5F 00 32 00 30 00 33 00 33 00 2D 00 31 00 39 00 38 00 33 00 00 00 }
	condition:
		$1
}

rule function_113108_0 {
	meta:
		name = "TEncodingInfoISO99NAPLPS.Alias"
		size = 300
		refs = "000b TEncodingInfoISO99NAPLPS.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 41 00 4E 00 53 00 49 00 5F 00 58 00 33 00 2E 00 31 00 31 00 30 00 2D 00 31 00 39 00 38 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 39 00 39 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 43 00 53 00 41 00 5F 00 54 00 35 00 30 00 30 00 2D 00 31 00 39 00 38 00 33 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4E 00 41 00 50 00 4C 00 50 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 73 00 49 00 53 00 4F 00 39 00 39 00 4E 00 41 00 50 00 4C 00 50 00 53 00 00 00 }
	condition:
		$1
}

rule function_113110_0 {
	meta:
		name = "TEncodingInfoISO99NAPLPS.MIBenum"
		size = 6
	strings:
		$1 = { B8 4A 00 00 00 C3 }
	condition:
		$1
}

rule function_113111_0 {
	meta:
		name = "TEncodingInfoISO99NAPLPS.Name"
		size = 68
		refs = "0006 TEncodingInfoISO99NAPLPS.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 41 00 4E 00 53 00 49 00 5F 00 58 00 33 00 2E 00 31 00 31 00 30 00 2D 00 31 00 39 00 38 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_113113_0 {
	meta:
		name = "TEncodingInfoISO102T617bit.Alias"
		size = 176
		refs = "0012 TEncodingInfoISO102T617bit.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 2E 00 36 00 31 00 2D 00 37 00 62 00 69 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 30 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 30 00 32 00 54 00 36 00 31 00 37 00 62 00 69 00 74 00 00 00 }
	condition:
		$1
}

rule function_113115_0 {
	meta:
		name = "TEncodingInfoISO102T617bit.MIBenum"
		size = 6
	strings:
		$1 = { B8 4B 00 00 00 C3 }
	condition:
		$1
}

rule function_113116_0 {
	meta:
		name = "TEncodingInfoISO102T617bit.Name"
		size = 52
		refs = "0006 TEncodingInfoISO102T617bit.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 2E 00 36 00 31 00 2D 00 37 00 62 00 69 00 74 00 00 00 }
	condition:
		$1
}

rule function_113118_0 {
	meta:
		name = "TEncodingInfoISO103T618bit.Alias"
		size = 216
		refs = "0015 TEncodingInfoISO103T618bit.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 2E 00 36 00 31 00 2D 00 38 00 62 00 69 00 74 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 2E 00 36 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 30 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 30 00 33 00 54 00 36 00 31 00 38 00 62 00 69 00 74 00 00 00 }
	condition:
		$1
}

rule function_113120_0 {
	meta:
		name = "TEncodingInfoISO103T618bit.MIBenum"
		size = 6
	strings:
		$1 = { B8 4C 00 00 00 C3 }
	condition:
		$1
}

rule function_113121_0 {
	meta:
		name = "TEncodingInfoISO103T618bit.Name"
		size = 52
		refs = "0006 TEncodingInfoISO103T618bit.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 54 00 2E 00 36 00 31 00 2D 00 38 00 62 00 69 00 74 00 00 00 }
	condition:
		$1
}

rule function_113123_0 {
	meta:
		name = "TEncodingInfoISO111ECMACyrillic.Alias"
		size = 196
		refs = "0012 TEncodingInfoISO111ECMACyrillic.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 45 00 43 00 4D 00 41 00 2D 00 63 00 79 00 72 00 69 00 6C 00 6C 00 69 00 63 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 31 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 31 00 31 00 45 00 43 00 4D 00 41 00 43 00 79 00 72 00 69 00 6C 00 6C 00 69 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_113125_0 {
	meta:
		name = "TEncodingInfoISO111ECMACyrillic.MIBenum"
		size = 6
	strings:
		$1 = { B8 4D 00 00 00 C3 }
	condition:
		$1
}

rule function_113126_0 {
	meta:
		name = "TEncodingInfoISO111ECMACyrillic.Name"
		size = 60
		refs = "0006 TEncodingInfoISO111ECMACyrillic.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 45 00 43 00 4D 00 41 00 2D 00 63 00 79 00 72 00 69 00 6C 00 6C 00 69 00 63 00 00 00 }
	condition:
		$1
}

rule function_113128_0 {
	meta:
		name = "TEncodingInfoISO121Canadian1.Alias"
		size = 340
		refs = "000b TEncodingInfoISO121Canadian1.Alias 002f @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 05 77 73 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 53 00 41 00 5F 00 5A 00 32 00 34 00 33 00 2E 00 34 00 2D 00 31 00 39 00 38 00 35 00 2D 00 31 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 32 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 43 00 41 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 73 00 61 00 37 00 2D 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 63 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 32 00 31 00 43 00 61 00 6E 00 61 00 64 00 69 00 61 00 6E 00 31 00 00 00 }
	condition:
		$1
}

rule function_113130_0 {
	meta:
		name = "TEncodingInfoISO121Canadian1.MIBenum"
		size = 6
	strings:
		$1 = { B8 4E 00 00 00 C3 }
	condition:
		$1
}

rule function_113131_0 {
	meta:
		name = "TEncodingInfoISO121Canadian1.Name"
		size = 68
		refs = "0006 TEncodingInfoISO121Canadian1.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 53 00 41 00 5F 00 5A 00 32 00 34 00 33 00 2E 00 34 00 2D 00 31 00 39 00 38 00 35 00 2D 00 31 00 00 00 }
	condition:
		$1
}

rule function_113133_0 {
	meta:
		name = "TEncodingInfoISO122Canadian2.Alias"
		size = 308
		refs = "000b TEncodingInfoISO122Canadian2.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 53 00 41 00 5F 00 5A 00 32 00 34 00 33 00 2E 00 34 00 2D 00 31 00 39 00 38 00 35 00 2D 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 32 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 43 00 41 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 73 00 61 00 37 00 2D 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 32 00 32 00 43 00 61 00 6E 00 61 00 64 00 69 00 61 00 6E 00 32 00 00 00 }
	condition:
		$1
}

rule function_113135_0 {
	meta:
		name = "TEncodingInfoISO122Canadian2.MIBenum"
		size = 6
	strings:
		$1 = { B8 4F 00 00 00 C3 }
	condition:
		$1
}

rule function_113136_0 {
	meta:
		name = "TEncodingInfoISO122Canadian2.Name"
		size = 68
		refs = "0006 TEncodingInfoISO122Canadian2.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 43 00 53 00 41 00 5F 00 5A 00 32 00 34 00 33 00 2E 00 34 00 2D 00 31 00 39 00 38 00 35 00 2D 00 32 00 00 00 }
	condition:
		$1
}

rule function_113138_0 {
	meta:
		name = "TEncodingInfoISO123CSAZ24341985gr.Alias"
		size = 212
		refs = "0012 TEncodingInfoISO123CSAZ24341985gr.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 43 00 53 00 41 00 5F 00 5A 00 32 00 34 00 33 00 2E 00 34 00 2D 00 31 00 39 00 38 00 35 00 2D 00 67 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 32 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 32 00 33 00 43 00 53 00 41 00 5A 00 32 00 34 00 33 00 34 00 31 00 39 00 38 00 35 00 67 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_113140_0 {
	meta:
		name = "TEncodingInfoISO123CSAZ24341985gr.MIBenum"
		size = 6
	strings:
		$1 = { B8 50 00 00 00 C3 }
	condition:
		$1
}

rule function_113141_0 {
	meta:
		name = "TEncodingInfoISO123CSAZ24341985gr.Name"
		size = 72
		refs = "0006 TEncodingInfoISO123CSAZ24341985gr.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 43 00 53 00 41 00 5F 00 5A 00 32 00 34 00 33 00 2E 00 34 00 2D 00 31 00 39 00 38 00 35 00 2D 00 67 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_113143_0 {
	meta:
		name = "TEncodingInfoISO88596E.Alias"
		size = 180
		refs = "0012 TEncodingInfoISO88596E.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 36 00 2D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 49 00 53 00 4F 00 38 00 38 00 35 00 39 00 36 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 36 00 2D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_113145_0 {
	meta:
		name = "TEncodingInfoISO88596E.MIBenum"
		size = 6
	strings:
		$1 = { B8 51 00 00 00 C3 }
	condition:
		$1
}

rule function_113146_0 {
	meta:
		name = "TEncodingInfoISO88596E.Name"
		size = 60
		refs = "0006 TEncodingInfoISO88596E.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 36 00 2D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_113147_0 {
	meta:
		name = "TEncodingInfoISO88596E.PreferredMIMEName"
		size = 60
		refs = "0006 TEncodingInfoISO88596E.PreferredMIMEName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 36 00 2D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_113148_0 {
	meta:
		name = "TEncodingInfoISO88596I.Alias"
		size = 180
		refs = "0012 TEncodingInfoISO88596I.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 36 00 2D 00 49 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 49 00 53 00 4F 00 38 00 38 00 35 00 39 00 36 00 49 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 36 00 2D 00 49 00 00 00 00 00 }
	condition:
		$1
}

rule function_113150_0 {
	meta:
		name = "TEncodingInfoISO88596I.MIBenum"
		size = 6
	strings:
		$1 = { B8 52 00 00 00 C3 }
	condition:
		$1
}

rule function_113151_0 {
	meta:
		name = "TEncodingInfoISO88596I.Name"
		size = 60
		refs = "0006 TEncodingInfoISO88596I.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 36 00 2D 00 49 00 00 00 00 00 }
	condition:
		$1
}

rule function_113152_0 {
	meta:
		name = "TEncodingInfoISO88596I.PreferredMIMEName"
		size = 60
		refs = "0006 TEncodingInfoISO88596I.PreferredMIMEName 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 36 00 2D 00 49 00 00 00 00 00 }
	condition:
		$1
}

rule function_113153_0 {
	meta:
		name = "TEncodingInfoISO128T101G2.Alias"
		size = 176
		refs = "0012 TEncodingInfoISO128T101G2.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 2E 00 31 00 30 00 31 00 2D 00 47 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 32 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 32 00 38 00 54 00 31 00 30 00 31 00 47 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_113155_0 {
	meta:
		name = "TEncodingInfoISO128T101G2.MIBenum"
		size = 6
	strings:
		$1 = { B8 53 00 00 00 C3 }
	condition:
		$1
}

rule function_113156_0 {
	meta:
		name = "TEncodingInfoISO128T101G2.Name"
		size = 52
		refs = "0006 TEncodingInfoISO128T101G2.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 54 00 2E 00 31 00 30 00 31 00 2D 00 47 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_113158_0 {
	meta:
		name = "TEncodingInfoISO88598E.Alias"
		size = 180
		refs = "0012 TEncodingInfoISO88598E.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 38 00 2D 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 49 00 53 00 4F 00 38 00 38 00 35 00 39 00 38 00 45 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 38 00 2D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_113160_0 {
	meta:
		name = "TEncodingInfoISO88598E.MIBenum"
		size = 6
	strings:
		$1 = { B8 54 00 00 00 C3 }
	condition:
		$1
}

rule function_113161_0 {
	meta:
		name = "TEncodingInfoISO88598E.Name"
		size = 60
		refs = "0006 TEncodingInfoISO88598E.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 38 00 2D 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_113163_0 {
	meta:
		name = "TEncodingInfoISO88598I.Alias"
		size = 180
		refs = "0012 TEncodingInfoISO88598I.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 38 00 2D 00 49 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 49 00 53 00 4F 00 38 00 38 00 35 00 39 00 38 00 49 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 38 00 2D 00 49 00 00 00 00 00 }
	condition:
		$1
}

rule function_113165_0 {
	meta:
		name = "TEncodingInfoISO88598I.MIBenum"
		size = 6
	strings:
		$1 = { B8 55 00 00 00 C3 }
	condition:
		$1
}

rule function_113166_0 {
	meta:
		name = "TEncodingInfoISO88598I.Name"
		size = 60
		refs = "0006 TEncodingInfoISO88598I.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 38 00 2D 00 49 00 00 00 00 00 }
	condition:
		$1
}

rule function_113168_0 {
	meta:
		name = "TEncodingInfoISO139CSN369103.Alias"
		size = 184
		refs = "0012 TEncodingInfoISO139CSN369103.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 53 00 4E 00 5F 00 33 00 36 00 39 00 31 00 30 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 33 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 33 00 39 00 43 00 53 00 4E 00 33 00 36 00 39 00 31 00 30 00 33 00 00 00 }
	condition:
		$1
}

rule function_113170_0 {
	meta:
		name = "TEncodingInfoISO139CSN369103.MIBenum"
		size = 6
	strings:
		$1 = { B8 56 00 00 00 C3 }
	condition:
		$1
}

rule function_113171_0 {
	meta:
		name = "TEncodingInfoISO139CSN369103.Name"
		size = 56
		refs = "0006 TEncodingInfoISO139CSN369103.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 53 00 4E 00 5F 00 33 00 36 00 39 00 31 00 30 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_113173_0 {
	meta:
		name = "TEncodingInfoISO141JUSIB1002.Alias"
		size = 324
		refs = "000b TEncodingInfoISO141JUSIB1002.Alias 002f @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 05 77 73 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4A 00 55 00 53 00 5F 00 49 00 2E 00 42 00 31 00 2E 00 30 00 30 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 34 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 59 00 55 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6A 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 79 00 75 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 34 00 31 00 4A 00 55 00 53 00 49 00 42 00 31 00 30 00 30 00 32 00 00 00 }
	condition:
		$1
}

rule function_113175_0 {
	meta:
		name = "TEncodingInfoISO141JUSIB1002.MIBenum"
		size = 6
	strings:
		$1 = { B8 57 00 00 00 C3 }
	condition:
		$1
}

rule function_113176_0 {
	meta:
		name = "TEncodingInfoISO141JUSIB1002.Name"
		size = 60
		refs = "0006 TEncodingInfoISO141JUSIB1002.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 4A 00 55 00 53 00 5F 00 49 00 2E 00 42 00 31 00 2E 00 30 00 30 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_113178_0 {
	meta:
		name = "TEncodingInfoISO143IECP271.Alias"
		size = 176
		refs = "0012 TEncodingInfoISO143IECP271.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 45 00 43 00 5F 00 50 00 32 00 37 00 2D 00 31 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 34 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 34 00 33 00 49 00 45 00 43 00 50 00 32 00 37 00 31 00 00 00 }
	condition:
		$1
}

rule function_113180_0 {
	meta:
		name = "TEncodingInfoISO143IECP271.MIBenum"
		size = 6
	strings:
		$1 = { B8 58 00 00 00 C3 }
	condition:
		$1
}

rule function_113181_0 {
	meta:
		name = "TEncodingInfoISO143IECP271.Name"
		size = 52
		refs = "0006 TEncodingInfoISO143IECP271.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 45 00 43 00 5F 00 50 00 32 00 37 00 2D 00 31 00 00 00 }
	condition:
		$1
}

rule function_113183_0 {
	meta:
		name = "TEncodingInfoISO146Serbian.Alias"
		size = 236
		refs = "0015 TEncodingInfoISO146Serbian.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 4A 00 55 00 53 00 5F 00 49 00 2E 00 42 00 31 00 2E 00 30 00 30 00 33 00 2D 00 73 00 65 00 72 00 62 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 34 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 73 00 65 00 72 00 62 00 69 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 34 00 36 00 53 00 65 00 72 00 62 00 69 00 61 00 6E 00 00 00 }
	condition:
		$1
}

rule function_113185_0 {
	meta:
		name = "TEncodingInfoISO146Serbian.MIBenum"
		size = 6
	strings:
		$1 = { B8 59 00 00 00 C3 }
	condition:
		$1
}

rule function_113186_0 {
	meta:
		name = "TEncodingInfoISO146Serbian.Name"
		size = 68
		refs = "0006 TEncodingInfoISO146Serbian.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 4A 00 55 00 53 00 5F 00 49 00 2E 00 42 00 31 00 2E 00 30 00 30 00 33 00 2D 00 73 00 65 00 72 00 62 00 00 00 }
	condition:
		$1
}

rule function_113188_0 {
	meta:
		name = "TEncodingInfoISO147Macedonian.Alias"
		size = 252
		refs = "0015 TEncodingInfoISO147Macedonian.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4A 00 55 00 53 00 5F 00 49 00 2E 00 42 00 31 00 2E 00 30 00 30 00 33 00 2D 00 6D 00 61 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6D 00 61 00 63 00 65 00 64 00 6F 00 6E 00 69 00 61 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 34 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 34 00 37 00 4D 00 61 00 63 00 65 00 64 00 6F 00 6E 00 69 00 61 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_113190_0 {
	meta:
		name = "TEncodingInfoISO147Macedonian.MIBenum"
		size = 6
	strings:
		$1 = { B8 5A 00 00 00 C3 }
	condition:
		$1
}

rule function_113191_0 {
	meta:
		name = "TEncodingInfoISO147Macedonian.Name"
		size = 68
		refs = "0006 TEncodingInfoISO147Macedonian.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 4A 00 55 00 53 00 5F 00 49 00 2E 00 42 00 31 00 2E 00 30 00 30 00 33 00 2D 00 6D 00 61 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_113193_0 {
	meta:
		name = "TEncodingInfoISO150GreekCCITT.Alias"
		size = 236
		refs = "0015 TEncodingInfoISO150GreekCCITT.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 67 00 72 00 65 00 65 00 6B 00 2D 00 63 00 63 00 69 00 74 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 35 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 35 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 35 00 30 00 47 00 72 00 65 00 65 00 6B 00 43 00 43 00 49 00 54 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_113195_0 {
	meta:
		name = "TEncodingInfoISO150GreekCCITT.MIBenum"
		size = 6
	strings:
		$1 = { B8 5B 00 00 00 C3 }
	condition:
		$1
}

rule function_113196_0 {
	meta:
		name = "TEncodingInfoISO150GreekCCITT.Name"
		size = 56
		refs = "0006 TEncodingInfoISO150GreekCCITT.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 67 00 72 00 65 00 65 00 6B 00 2D 00 63 00 63 00 69 00 74 00 74 00 00 00 }
	condition:
		$1
}

rule function_113198_0 {
	meta:
		name = "TEncodingInfoISO151Cuba.Alias"
		size = 284
		refs = "000b TEncodingInfoISO151Cuba.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4E 00 43 00 5F 00 4E 00 43 00 30 00 30 00 2D 00 31 00 30 00 3A 00 38 00 31 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 75 00 62 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 35 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 43 00 55 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 35 00 31 00 43 00 75 00 62 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_113200_0 {
	meta:
		name = "TEncodingInfoISO151Cuba.MIBenum"
		size = 6
	strings:
		$1 = { B8 5C 00 00 00 C3 }
	condition:
		$1
}

rule function_113201_0 {
	meta:
		name = "TEncodingInfoISO151Cuba.Name"
		size = 60
		refs = "0006 TEncodingInfoISO151Cuba.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4E 00 43 00 5F 00 4E 00 43 00 30 00 30 00 2D 00 31 00 30 00 3A 00 38 00 31 00 00 00 }
	condition:
		$1
}

rule function_113203_0 {
	meta:
		name = "TEncodingInfoISO6937Add.Alias"
		size = 180
		refs = "0012 TEncodingInfoISO6937Add.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 53 00 4F 00 5F 00 36 00 39 00 33 00 37 00 2D 00 32 00 2D 00 32 00 35 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 35 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 73 00 49 00 53 00 4F 00 36 00 39 00 33 00 37 00 41 00 64 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_113205_0 {
	meta:
		name = "TEncodingInfoISO6937Add.MIBenum"
		size = 6
	strings:
		$1 = { B8 5D 00 00 00 C3 }
	condition:
		$1
}

rule function_113206_0 {
	meta:
		name = "TEncodingInfoISO6937Add.Name"
		size = 60
		refs = "0006 TEncodingInfoISO6937Add.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 53 00 4F 00 5F 00 36 00 39 00 33 00 37 00 2D 00 32 00 2D 00 32 00 35 00 00 00 }
	condition:
		$1
}

rule function_113208_0 {
	meta:
		name = "TEncodingInfoISO153GOST1976874.Alias"
		size = 248
		refs = "0015 TEncodingInfoISO153GOST1976874.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 4F 00 53 00 54 00 5F 00 31 00 39 00 37 00 36 00 38 00 2D 00 37 00 34 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 54 00 5F 00 53 00 45 00 56 00 5F 00 33 00 35 00 38 00 2D 00 38 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 35 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 35 00 33 00 47 00 4F 00 53 00 54 00 31 00 39 00 37 00 36 00 38 00 37 00 34 00 00 00 }
	condition:
		$1
}

rule function_113210_0 {
	meta:
		name = "TEncodingInfoISO153GOST1976874.MIBenum"
		size = 6
	strings:
		$1 = { B8 5E 00 00 00 C3 }
	condition:
		$1
}

rule function_113211_0 {
	meta:
		name = "TEncodingInfoISO153GOST1976874.Name"
		size = 60
		refs = "0006 TEncodingInfoISO153GOST1976874.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 47 00 4F 00 53 00 54 00 5F 00 31 00 39 00 37 00 36 00 38 00 2D 00 37 00 34 00 00 00 }
	condition:
		$1
}

rule function_113213_0 {
	meta:
		name = "TEncodingInfoISO8859Supp.Alias"
		size = 232
		refs = "0015 TEncodingInfoISO8859Supp.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 73 00 75 00 70 00 70 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 35 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 6C 00 61 00 74 00 69 00 6E 00 31 00 2D 00 32 00 2D 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 73 00 49 00 53 00 4F 00 38 00 38 00 35 00 39 00 53 00 75 00 70 00 70 00 00 00 }
	condition:
		$1
}

rule function_113215_0 {
	meta:
		name = "TEncodingInfoISO8859Supp.MIBenum"
		size = 6
	strings:
		$1 = { B8 5F 00 00 00 C3 }
	condition:
		$1
}

rule function_113216_0 {
	meta:
		name = "TEncodingInfoISO8859Supp.Name"
		size = 60
		refs = "0006 TEncodingInfoISO8859Supp.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 73 00 75 00 70 00 70 00 00 00 }
	condition:
		$1
}

rule function_113218_0 {
	meta:
		name = "TEncodingInfoISO10367Box.Alias"
		size = 180
		refs = "0012 TEncodingInfoISO10367Box.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 53 00 4F 00 5F 00 31 00 30 00 33 00 36 00 37 00 2D 00 62 00 6F 00 78 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 35 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 30 00 33 00 36 00 37 00 42 00 6F 00 78 00 00 00 }
	condition:
		$1
}

rule function_113220_0 {
	meta:
		name = "TEncodingInfoISO10367Box.MIBenum"
		size = 6
	strings:
		$1 = { B8 60 00 00 00 C3 }
	condition:
		$1
}

rule function_113221_0 {
	meta:
		name = "TEncodingInfoISO10367Box.Name"
		size = 60
		refs = "0006 TEncodingInfoISO10367Box.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 53 00 4F 00 5F 00 31 00 30 00 33 00 36 00 37 00 2D 00 62 00 6F 00 78 00 00 00 }
	condition:
		$1
}

rule function_113223_0 {
	meta:
		name = "TEncodingInfoISO158Lap.Alias"
		size = 204
		refs = "0015 TEncodingInfoISO158Lap.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6C 00 61 00 74 00 69 00 6E 00 2D 00 6C 00 61 00 70 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6C 00 61 00 70 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 35 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 35 00 38 00 4C 00 61 00 70 00 00 00 }
	condition:
		$1
}

rule function_113225_0 {
	meta:
		name = "TEncodingInfoISO158Lap.MIBenum"
		size = 6
	strings:
		$1 = { B8 61 00 00 00 C3 }
	condition:
		$1
}

rule function_113226_0 {
	meta:
		name = "TEncodingInfoISO158Lap.Name"
		size = 52
		refs = "0006 TEncodingInfoISO158Lap.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6C 00 61 00 74 00 69 00 6E 00 2D 00 6C 00 61 00 70 00 00 00 }
	condition:
		$1
}

rule function_113228_0 {
	meta:
		name = "TEncodingInfoISO159JISX02121990.Alias"
		size = 240
		refs = "0015 TEncodingInfoISO159JISX02121990.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4A 00 49 00 53 00 5F 00 58 00 30 00 32 00 31 00 32 00 2D 00 31 00 39 00 39 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 78 00 30 00 32 00 31 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 35 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 35 00 39 00 4A 00 49 00 53 00 58 00 30 00 32 00 31 00 32 00 31 00 39 00 39 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113230_0 {
	meta:
		name = "TEncodingInfoISO159JISX02121990.MIBenum"
		size = 6
	strings:
		$1 = { B8 62 00 00 00 C3 }
	condition:
		$1
}

rule function_113231_0 {
	meta:
		name = "TEncodingInfoISO159JISX02121990.Name"
		size = 64
		refs = "0006 TEncodingInfoISO159JISX02121990.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 4A 00 49 00 53 00 5F 00 58 00 30 00 32 00 31 00 32 00 2D 00 31 00 39 00 39 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113233_0 {
	meta:
		name = "TEncodingInfoISO646Danish.Alias"
		size = 264
		refs = "000b TEncodingInfoISO646Danish.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 53 00 5F 00 32 00 30 00 38 00 39 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 44 00 53 00 32 00 30 00 38 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 44 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 64 00 6B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 63 00 73 00 49 00 53 00 4F 00 36 00 34 00 36 00 44 00 61 00 6E 00 69 00 73 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_113235_0 {
	meta:
		name = "TEncodingInfoISO646Danish.MIBenum"
		size = 6
	strings:
		$1 = { B8 63 00 00 00 C3 }
	condition:
		$1
}

rule function_113236_0 {
	meta:
		name = "TEncodingInfoISO646Danish.Name"
		size = 48
		refs = "0006 TEncodingInfoISO646Danish.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 53 00 5F 00 32 00 30 00 38 00 39 00 00 00 }
	condition:
		$1
}

rule function_113238_0 {
	meta:
		name = "TEncodingInfoUSDK.Alias"
		size = 96
		refs = "000f TEncodingInfoUSDK.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 75 00 73 00 2D 00 64 00 6B 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 73 00 55 00 53 00 44 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_113240_0 {
	meta:
		name = "TEncodingInfoUSDK.MIBenum"
		size = 6
	strings:
		$1 = { B8 64 00 00 00 C3 }
	condition:
		$1
}

rule function_113241_0 {
	meta:
		name = "TEncodingInfoUSDK.Name"
		size = 44
		refs = "0006 TEncodingInfoUSDK.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 75 00 73 00 2D 00 64 00 6B 00 00 00 }
	condition:
		$1
}

rule function_113243_0 {
	meta:
		name = "TEncodingInfoDKUS.Alias"
		size = 96
		refs = "000f TEncodingInfoDKUS.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 64 00 6B 00 2D 00 75 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 73 00 44 00 4B 00 55 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_113245_0 {
	meta:
		name = "TEncodingInfoDKUS.MIBenum"
		size = 6
	strings:
		$1 = { B8 65 00 00 00 C3 }
	condition:
		$1
}

rule function_113246_0 {
	meta:
		name = "TEncodingInfoDKUS.Name"
		size = 44
		refs = "0006 TEncodingInfoDKUS.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 64 00 6B 00 2D 00 75 00 73 00 00 00 }
	condition:
		$1
}

rule function_113248_0 {
	meta:
		name = "TEncodingInfoKSC5636.Alias"
		size = 156
		refs = "0012 TEncodingInfoKSC5636.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4B 00 53 00 43 00 35 00 36 00 33 00 36 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 53 00 4F 00 36 00 34 00 36 00 2D 00 4B 00 52 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 73 00 4B 00 53 00 43 00 35 00 36 00 33 00 36 00 00 00 }
	condition:
		$1
}

rule function_113250_0 {
	meta:
		name = "TEncodingInfoKSC5636.MIBenum"
		size = 6
	strings:
		$1 = { B8 66 00 00 00 C3 }
	condition:
		$1
}

rule function_113251_0 {
	meta:
		name = "TEncodingInfoKSC5636.Name"
		size = 48
		refs = "0006 TEncodingInfoKSC5636.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4B 00 53 00 43 00 35 00 36 00 33 00 36 00 00 00 }
	condition:
		$1
}

rule function_113253_0 {
	meta:
		name = "TEncodingInfoUnicode11UTF7.Alias"
		size = 136
		refs = "000f TEncodingInfoUnicode11UTF7.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 11 00 00 00 55 00 4E 00 49 00 43 00 4F 00 44 00 45 00 2D 00 31 00 2D 00 31 00 2D 00 55 00 54 00 46 00 2D 00 37 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 63 00 73 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 31 00 31 00 55 00 54 00 46 00 37 00 00 00 }
	condition:
		$1
}

rule function_113255_0 {
	meta:
		name = "TEncodingInfoUnicode11UTF7.MIBenum"
		size = 6
	strings:
		$1 = { B8 67 00 00 00 C3 }
	condition:
		$1
}

rule function_113256_0 {
	meta:
		name = "TEncodingInfoUnicode11UTF7.Name"
		size = 68
		refs = "0006 TEncodingInfoUnicode11UTF7.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 55 00 4E 00 49 00 43 00 4F 00 44 00 45 00 2D 00 31 00 2D 00 31 00 2D 00 55 00 54 00 46 00 2D 00 37 00 00 00 }
	condition:
		$1
}

rule function_113258_0 {
	meta:
		name = "TEncodingInfoISO2022CN.Alias"
		size = 64
		refs = "000b TEncodingInfoISO2022CN.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 32 00 30 00 32 00 32 00 2D 00 43 00 4E 00 00 00 }
	condition:
		$1
}

rule function_113260_0 {
	meta:
		name = "TEncodingInfoISO2022CN.MIBenum"
		size = 6
	strings:
		$1 = { B8 68 00 00 00 C3 }
	condition:
		$1
}

rule function_113261_0 {
	meta:
		name = "TEncodingInfoISO2022CN.Name"
		size = 56
		refs = "0006 TEncodingInfoISO2022CN.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 32 00 30 00 32 00 32 00 2D 00 43 00 4E 00 00 00 }
	condition:
		$1
}

rule function_113263_0 {
	meta:
		name = "TEncodingInfoISO2022CNEXT.Alias"
		size = 72
		refs = "000b TEncodingInfoISO2022CNEXT.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 2D 00 32 00 30 00 32 00 32 00 2D 00 43 00 4E 00 2D 00 45 00 58 00 54 00 00 00 }
	condition:
		$1
}

rule function_113265_0 {
	meta:
		name = "TEncodingInfoISO2022CNEXT.MIBenum"
		size = 6
	strings:
		$1 = { B8 69 00 00 00 C3 }
	condition:
		$1
}

rule function_113266_0 {
	meta:
		name = "TEncodingInfoISO2022CNEXT.Name"
		size = 64
		refs = "0006 TEncodingInfoISO2022CNEXT.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 2D 00 32 00 30 00 32 00 32 00 2D 00 43 00 4E 00 2D 00 45 00 58 00 54 00 00 00 }
	condition:
		$1
}

rule function_113268_0 {
	meta:
		name = "TEncodingInfoUTF8.Alias"
		size = 52
		refs = "000b TEncodingInfoUTF8.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 }
	condition:
		$1
}

rule function_113270_0 {
	meta:
		name = "TEncodingInfoUTF8.MIBenum"
		size = 6
	strings:
		$1 = { B8 6A 00 00 00 C3 }
	condition:
		$1
}

rule function_113271_0 {
	meta:
		name = "TEncodingInfoUTF8.Name"
		size = 44
		refs = "0006 TEncodingInfoUTF8.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 }
	condition:
		$1
}

rule function_114064_0 {
	meta:
		name = "TUtilsUCS4Reader.GetDefaultEncoding"
		size = 44
		refs = "0006 TUtilsUCS4Reader.GetDefaultEncoding 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 }
	condition:
		$1
}

rule function_113273_0 {
	meta:
		name = "TEncodingInfoISO885913.Alias"
		size = 200
		refs = "0015 TEncodingInfoISO885913.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 33 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 31 00 33 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6C 00 61 00 74 00 69 00 6E 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6C 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_113276_0 {
	meta:
		name = "TEncodingInfoISO885913.Name"
		size = 56
		refs = "0006 TEncodingInfoISO885913.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 33 00 00 00 }
	condition:
		$1
}

rule function_113278_0 {
	meta:
		name = "TEncodingInfoIsoLatin8.Alias"
		size = 392
		refs = "000f TEncodingInfoIsoLatin8.Alias 0037 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 06 0F 87 85 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 34 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 31 00 39 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 31 00 34 00 3A 00 31 00 39 00 39 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 31 00 34 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6C 00 61 00 74 00 69 00 6E 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 63 00 65 00 6C 00 74 00 69 00 63 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6C 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_113280_0 {
	meta:
		name = "TEncodingInfoIsoLatin8.MIBenum"
		size = 6
	strings:
		$1 = { B8 6E 00 00 00 C3 }
	condition:
		$1
}

rule function_113281_0 {
	meta:
		name = "TEncodingInfoIsoLatin8.Name"
		size = 56
		refs = "0006 TEncodingInfoIsoLatin8.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 34 00 00 00 }
	condition:
		$1
}

rule function_113283_0 {
	meta:
		name = "TEncodingInfoIsoLatin9.Alias"
		size = 348
		refs = "000f TEncodingInfoIsoLatin9.Alias 0037 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 06 0F 87 85 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 35 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 36 00 39 00 2D 00 31 00 35 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4C 00 61 00 74 00 69 00 6E 00 2D 00 39 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6C 00 61 00 74 00 69 00 6E 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6C 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6C 00 61 00 74 00 69 00 6E 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 6C 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113285_0 {
	meta:
		name = "TEncodingInfoIsoLatin9.MIBenum"
		size = 6
	strings:
		$1 = { B8 6F 00 00 00 C3 }
	condition:
		$1
}

rule function_113286_0 {
	meta:
		name = "TEncodingInfoIsoLatin9.Name"
		size = 56
		refs = "0006 TEncodingInfoIsoLatin9.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 35 00 00 00 }
	condition:
		$1
}

rule function_113288_0 {
	meta:
		name = "TEncodingInfoIsoLatin10.Alias"
		size = 332
		refs = "000b TEncodingInfoIsoLatin10.Alias 002f @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 05 77 73 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 36 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 73 00 6F 00 2D 00 69 00 72 00 2D 00 32 00 32 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 31 00 36 00 3A 00 32 00 30 00 30 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 5F 00 38 00 38 00 35 00 39 00 2D 00 31 00 36 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6C 00 61 00 74 00 69 00 6E 00 31 00 30 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6C 00 31 00 30 00 00 00 }
	condition:
		$1
}

rule function_113290_0 {
	meta:
		name = "TEncodingInfoIsoLatin10.MIBenum"
		size = 6
	strings:
		$1 = { B8 70 00 00 00 C3 }
	condition:
		$1
}

rule function_113291_0 {
	meta:
		name = "TEncodingInfoIsoLatin10.Name"
		size = 56
		refs = "0006 TEncodingInfoIsoLatin10.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 36 00 00 00 }
	condition:
		$1
}

rule function_113293_0 {
	meta:
		name = "TEncodingInfoGBK.Alias"
		size = 184
		refs = "0015 TEncodingInfoGBK.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 42 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 50 00 39 00 33 00 36 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 53 00 39 00 33 00 36 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 39 00 33 00 36 00 00 00 }
	condition:
		$1
}

rule function_113295_0 {
	meta:
		name = "TEncodingInfoGBK.MIBenum"
		size = 6
	strings:
		$1 = { B8 71 00 00 00 C3 }
	condition:
		$1
}

rule function_113296_0 {
	meta:
		name = "TEncodingInfoGBK.Name"
		size = 40
		refs = "0006 TEncodingInfoGBK.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 47 00 42 00 4B 00 00 00 }
	condition:
		$1
}

rule function_113298_0 {
	meta:
		name = "TEncodingInfoGB18030.Alias"
		size = 56
		refs = "000b TEncodingInfoGB18030.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 47 00 42 00 31 00 38 00 30 00 33 00 30 00 00 00 }
	condition:
		$1
}

rule function_113300_0 {
	meta:
		name = "TEncodingInfoGB18030.MIBenum"
		size = 6
	strings:
		$1 = { B8 72 00 00 00 C3 }
	condition:
		$1
}

rule function_113301_0 {
	meta:
		name = "TEncodingInfoGB18030.Name"
		size = 48
		refs = "0006 TEncodingInfoGB18030.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 47 00 42 00 31 00 38 00 30 00 33 00 30 00 00 00 }
	condition:
		$1
}

rule function_113303_0 {
	meta:
		name = "TEncodingInfoOSD_EBCDIC_DF04_15.Alias"
		size = 80
		refs = "000b TEncodingInfoOSD_EBCDIC_DF04_15.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 4F 00 53 00 44 00 5F 00 45 00 42 00 43 00 44 00 49 00 43 00 5F 00 44 00 46 00 30 00 34 00 5F 00 31 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_113305_0 {
	meta:
		name = "TEncodingInfoOSD_EBCDIC_DF04_15.MIBenum"
		size = 6
	strings:
		$1 = { B8 73 00 00 00 C3 }
	condition:
		$1
}

rule function_113306_0 {
	meta:
		name = "TEncodingInfoOSD_EBCDIC_DF04_15.Name"
		size = 72
		refs = "0006 TEncodingInfoOSD_EBCDIC_DF04_15.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 4F 00 53 00 44 00 5F 00 45 00 42 00 43 00 44 00 49 00 43 00 5F 00 44 00 46 00 30 00 34 00 5F 00 31 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_113308_0 {
	meta:
		name = "TEncodingInfoOSD_EBCDIC_DF03_IRV.Alias"
		size = 80
		refs = "000b TEncodingInfoOSD_EBCDIC_DF03_IRV.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 4F 00 53 00 44 00 5F 00 45 00 42 00 43 00 44 00 49 00 43 00 5F 00 44 00 46 00 30 00 33 00 5F 00 49 00 52 00 56 00 00 00 }
	condition:
		$1
}

rule function_113310_0 {
	meta:
		name = "TEncodingInfoOSD_EBCDIC_DF03_IRV.MIBenum"
		size = 6
	strings:
		$1 = { B8 74 00 00 00 C3 }
	condition:
		$1
}

rule function_113311_0 {
	meta:
		name = "TEncodingInfoOSD_EBCDIC_DF03_IRV.Name"
		size = 72
		refs = "0006 TEncodingInfoOSD_EBCDIC_DF03_IRV.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 4F 00 53 00 44 00 5F 00 45 00 42 00 43 00 44 00 49 00 43 00 5F 00 44 00 46 00 30 00 33 00 5F 00 49 00 52 00 56 00 00 00 }
	condition:
		$1
}

rule function_113313_0 {
	meta:
		name = "TEncodingInfoOSD_EBCDIC_DF04_1.Alias"
		size = 76
		refs = "000b TEncodingInfoOSD_EBCDIC_DF04_1.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 4F 00 53 00 44 00 5F 00 45 00 42 00 43 00 44 00 49 00 43 00 5F 00 44 00 46 00 30 00 34 00 5F 00 31 00 00 00 }
	condition:
		$1
}

rule function_113315_0 {
	meta:
		name = "TEncodingInfoOSD_EBCDIC_DF04_1.MIBenum"
		size = 6
	strings:
		$1 = { B8 75 00 00 00 C3 }
	condition:
		$1
}

rule function_113316_0 {
	meta:
		name = "TEncodingInfoOSD_EBCDIC_DF04_1.Name"
		size = 68
		refs = "0006 TEncodingInfoOSD_EBCDIC_DF04_1.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 4F 00 53 00 44 00 5F 00 45 00 42 00 43 00 44 00 49 00 43 00 5F 00 44 00 46 00 30 00 34 00 5F 00 31 00 00 00 }
	condition:
		$1
}

rule function_113318_0 {
	meta:
		name = "TEncodingInfoISO115481.Alias"
		size = 232
		refs = "0015 TEncodingInfoISO115481.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 31 00 31 00 35 00 34 00 38 00 2D 00 31 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 5F 00 31 00 31 00 35 00 34 00 38 00 2D 00 31 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 49 00 53 00 4F 00 5F 00 54 00 52 00 5F 00 31 00 31 00 35 00 34 00 38 00 2D 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 49 00 53 00 4F 00 31 00 31 00 35 00 34 00 38 00 31 00 00 00 }
	condition:
		$1
}

rule function_113320_0 {
	meta:
		name = "TEncodingInfoISO115481.MIBenum"
		size = 6
	strings:
		$1 = { B8 76 00 00 00 C3 }
	condition:
		$1
}

rule function_113321_0 {
	meta:
		name = "TEncodingInfoISO115481.Name"
		size = 56
		refs = "0006 TEncodingInfoISO115481.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 53 00 4F 00 2D 00 31 00 31 00 35 00 34 00 38 00 2D 00 31 00 00 00 }
	condition:
		$1
}

rule function_113323_0 {
	meta:
		name = "TEncodingInfoKZ1048.Alias"
		size = 208
		refs = "0015 TEncodingInfoKZ1048.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4B 00 5A 00 2D 00 31 00 30 00 34 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 53 00 54 00 52 00 4B 00 31 00 30 00 34 00 38 00 2D 00 32 00 30 00 30 00 32 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 52 00 4B 00 31 00 30 00 34 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 4B 00 5A 00 31 00 30 00 34 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_113325_0 {
	meta:
		name = "TEncodingInfoKZ1048.MIBenum"
		size = 6
	strings:
		$1 = { B8 77 00 00 00 C3 }
	condition:
		$1
}

rule function_113326_0 {
	meta:
		name = "TEncodingInfoKZ1048.Name"
		size = 48
		refs = "0006 TEncodingInfoKZ1048.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4B 00 5A 00 2D 00 31 00 30 00 34 00 38 00 00 00 }
	condition:
		$1
}

rule function_113328_0 {
	meta:
		name = "TEncodingInfoUCS2.Alias"
		size = 120
		refs = "000f TEncodingInfoUCS2.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 2D 00 31 00 30 00 36 00 34 00 36 00 2D 00 55 00 43 00 53 00 2D 00 32 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 73 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 00 00 }
	condition:
		$1
}

rule function_113330_0 {
	meta:
		name = "TEncodingInfoUCS2.MIBenum"
		size = 6
	strings:
		$1 = { B8 E8 03 00 00 C3 }
	condition:
		$1
}

rule function_113331_0 {
	meta:
		name = "TEncodingInfoUCS2.Name"
		size = 64
		refs = "0006 TEncodingInfoUCS2.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 2D 00 31 00 30 00 36 00 34 00 36 00 2D 00 55 00 43 00 53 00 2D 00 32 00 00 00 }
	condition:
		$1
}

rule function_113333_0 {
	meta:
		name = "TEncodingInfoUCS4.Alias"
		size = 116
		refs = "000f TEncodingInfoUCS4.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 2D 00 31 00 30 00 36 00 34 00 36 00 2D 00 55 00 43 00 53 00 2D 00 34 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 73 00 55 00 43 00 53 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_113335_0 {
	meta:
		name = "TEncodingInfoUCS4.MIBenum"
		size = 6
	strings:
		$1 = { B8 E9 03 00 00 C3 }
	condition:
		$1
}

rule function_113336_0 {
	meta:
		name = "TEncodingInfoUCS4.Name"
		size = 64
		refs = "0006 TEncodingInfoUCS4.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 49 00 53 00 4F 00 2D 00 31 00 30 00 36 00 34 00 36 00 2D 00 55 00 43 00 53 00 2D 00 34 00 00 00 }
	condition:
		$1
}

rule function_113338_0 {
	meta:
		name = "TEncodingInfoUnicodeASCII.Alias"
		size = 140
		refs = "000f TEncodingInfoUnicodeASCII.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 53 00 4F 00 2D 00 31 00 30 00 36 00 34 00 36 00 2D 00 55 00 43 00 53 00 2D 00 42 00 61 00 73 00 69 00 63 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 63 00 73 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 41 00 53 00 43 00 49 00 49 00 00 00 00 00 }
	condition:
		$1
}

rule function_113340_0 {
	meta:
		name = "TEncodingInfoUnicodeASCII.MIBenum"
		size = 6
	strings:
		$1 = { B8 EA 03 00 00 C3 }
	condition:
		$1
}

rule function_113341_0 {
	meta:
		name = "TEncodingInfoUnicodeASCII.Name"
		size = 72
		refs = "0006 TEncodingInfoUnicodeASCII.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 49 00 53 00 4F 00 2D 00 31 00 30 00 36 00 34 00 36 00 2D 00 55 00 43 00 53 00 2D 00 42 00 61 00 73 00 69 00 63 00 00 00 }
	condition:
		$1
}

rule function_113343_0 {
	meta:
		name = "TEncodingInfoUnicodeLatin1.Alias"
		size = 204
		refs = "0012 TEncodingInfoUnicodeLatin1.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 53 00 4F 00 2D 00 31 00 30 00 36 00 34 00 36 00 2D 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 2D 00 4C 00 61 00 74 00 69 00 6E 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 63 00 73 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 4C 00 61 00 74 00 69 00 6E 00 31 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 49 00 53 00 4F 00 2D 00 31 00 30 00 36 00 34 00 36 00 00 00 }
	condition:
		$1
}

rule function_113345_0 {
	meta:
		name = "TEncodingInfoUnicodeLatin1.MIBenum"
		size = 6
	strings:
		$1 = { B8 EB 03 00 00 C3 }
	condition:
		$1
}

rule function_113346_0 {
	meta:
		name = "TEncodingInfoUnicodeLatin1.Name"
		size = 84
		refs = "0006 TEncodingInfoUnicodeLatin1.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 49 00 53 00 4F 00 2D 00 31 00 30 00 36 00 34 00 36 00 2D 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 2D 00 4C 00 61 00 74 00 69 00 6E 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113348_0 {
	meta:
		name = "TEncodingInfoISO10646J1.Alias"
		size = 68
		refs = "000b TEncodingInfoISO10646J1.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 53 00 4F 00 2D 00 31 00 30 00 36 00 34 00 36 00 2D 00 4A 00 2D 00 31 00 00 00 }
	condition:
		$1
}

rule function_113350_0 {
	meta:
		name = "TEncodingInfoISO10646J1.MIBenum"
		size = 6
	strings:
		$1 = { B8 EC 03 00 00 C3 }
	condition:
		$1
}

rule function_113351_0 {
	meta:
		name = "TEncodingInfoISO10646J1.Name"
		size = 60
		refs = "0006 TEncodingInfoISO10646J1.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 49 00 53 00 4F 00 2D 00 31 00 30 00 36 00 34 00 36 00 2D 00 4A 00 2D 00 31 00 00 00 }
	condition:
		$1
}

rule function_113353_0 {
	meta:
		name = "TEncodingInfoUnicodeIBM1261.Alias"
		size = 148
		refs = "000f TEncodingInfoUnicodeIBM1261.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 53 00 4F 00 2D 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 2D 00 49 00 42 00 4D 00 2D 00 31 00 32 00 36 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 63 00 73 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 49 00 42 00 4D 00 31 00 32 00 36 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113355_0 {
	meta:
		name = "TEncodingInfoUnicodeIBM1261.MIBenum"
		size = 6
	strings:
		$1 = { B8 ED 03 00 00 C3 }
	condition:
		$1
}

rule function_113356_0 {
	meta:
		name = "TEncodingInfoUnicodeIBM1261.Name"
		size = 76
		refs = "0006 TEncodingInfoUnicodeIBM1261.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 53 00 4F 00 2D 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 2D 00 49 00 42 00 4D 00 2D 00 31 00 32 00 36 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113358_0 {
	meta:
		name = "TEncodingInfoUnicodeIBM1268.Alias"
		size = 148
		refs = "000f TEncodingInfoUnicodeIBM1268.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 53 00 4F 00 2D 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 2D 00 49 00 42 00 4D 00 2D 00 31 00 32 00 36 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 63 00 73 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 49 00 42 00 4D 00 31 00 32 00 36 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_113360_0 {
	meta:
		name = "TEncodingInfoUnicodeIBM1268.MIBenum"
		size = 6
	strings:
		$1 = { B8 EE 03 00 00 C3 }
	condition:
		$1
}

rule function_113361_0 {
	meta:
		name = "TEncodingInfoUnicodeIBM1268.Name"
		size = 76
		refs = "0006 TEncodingInfoUnicodeIBM1268.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 53 00 4F 00 2D 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 2D 00 49 00 42 00 4D 00 2D 00 31 00 32 00 36 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_113363_0 {
	meta:
		name = "TEncodingInfoUnicodeIBM1276.Alias"
		size = 148
		refs = "000f TEncodingInfoUnicodeIBM1276.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 53 00 4F 00 2D 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 2D 00 49 00 42 00 4D 00 2D 00 31 00 32 00 37 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 63 00 73 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 49 00 42 00 4D 00 31 00 32 00 37 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_113365_0 {
	meta:
		name = "TEncodingInfoUnicodeIBM1276.MIBenum"
		size = 6
	strings:
		$1 = { B8 EF 03 00 00 C3 }
	condition:
		$1
}

rule function_113366_0 {
	meta:
		name = "TEncodingInfoUnicodeIBM1276.Name"
		size = 76
		refs = "0006 TEncodingInfoUnicodeIBM1276.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 53 00 4F 00 2D 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 2D 00 49 00 42 00 4D 00 2D 00 31 00 32 00 37 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_113368_0 {
	meta:
		name = "TEncodingInfoUnicodeIBM1264.Alias"
		size = 148
		refs = "000f TEncodingInfoUnicodeIBM1264.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 53 00 4F 00 2D 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 2D 00 49 00 42 00 4D 00 2D 00 31 00 32 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 63 00 73 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 49 00 42 00 4D 00 31 00 32 00 36 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_113370_0 {
	meta:
		name = "TEncodingInfoUnicodeIBM1264.MIBenum"
		size = 6
	strings:
		$1 = { B8 F0 03 00 00 C3 }
	condition:
		$1
}

rule function_113371_0 {
	meta:
		name = "TEncodingInfoUnicodeIBM1264.Name"
		size = 76
		refs = "0006 TEncodingInfoUnicodeIBM1264.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 53 00 4F 00 2D 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 2D 00 49 00 42 00 4D 00 2D 00 31 00 32 00 36 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_113373_0 {
	meta:
		name = "TEncodingInfoUnicodeIBM1265.Alias"
		size = 148
		refs = "000f TEncodingInfoUnicodeIBM1265.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 53 00 4F 00 2D 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 2D 00 49 00 42 00 4D 00 2D 00 31 00 32 00 36 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 63 00 73 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 49 00 42 00 4D 00 31 00 32 00 36 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_113375_0 {
	meta:
		name = "TEncodingInfoUnicodeIBM1265.MIBenum"
		size = 6
	strings:
		$1 = { B8 F1 03 00 00 C3 }
	condition:
		$1
}

rule function_113376_0 {
	meta:
		name = "TEncodingInfoUnicodeIBM1265.Name"
		size = 76
		refs = "0006 TEncodingInfoUnicodeIBM1265.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 49 00 53 00 4F 00 2D 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 2D 00 49 00 42 00 4D 00 2D 00 31 00 32 00 36 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_113378_0 {
	meta:
		name = "TEncodingInfoUnicode11.Alias"
		size = 116
		refs = "000f TEncodingInfoUnicode11.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 4E 00 49 00 43 00 4F 00 44 00 45 00 2D 00 31 00 2D 00 31 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 55 00 6E 00 69 00 63 00 6F 00 64 00 65 00 31 00 31 00 00 00 }
	condition:
		$1
}

rule function_113380_0 {
	meta:
		name = "TEncodingInfoUnicode11.MIBenum"
		size = 6
	strings:
		$1 = { B8 F2 03 00 00 C3 }
	condition:
		$1
}

rule function_113381_0 {
	meta:
		name = "TEncodingInfoUnicode11.Name"
		size = 56
		refs = "0006 TEncodingInfoUnicode11.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 55 00 4E 00 49 00 43 00 4F 00 44 00 45 00 2D 00 31 00 2D 00 31 00 00 00 }
	condition:
		$1
}

rule function_113383_0 {
	meta:
		name = "TEncodingInfoSCSU.Alias"
		size = 52
		refs = "000b TEncodingInfoSCSU.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 43 00 53 00 55 00 00 00 00 00 }
	condition:
		$1
}

rule function_113385_0 {
	meta:
		name = "TEncodingInfoSCSU.MIBenum"
		size = 6
	strings:
		$1 = { B8 F3 03 00 00 C3 }
	condition:
		$1
}

rule function_113386_0 {
	meta:
		name = "TEncodingInfoSCSU.Name"
		size = 44
		refs = "0006 TEncodingInfoSCSU.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 53 00 43 00 53 00 55 00 00 00 00 00 }
	condition:
		$1
}

rule function_113388_0 {
	meta:
		name = "TEncodingInfoUTF7.Alias"
		size = 52
		refs = "000b TEncodingInfoUTF7.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 37 00 00 00 }
	condition:
		$1
}

rule function_113390_0 {
	meta:
		name = "TEncodingInfoUTF7.MIBenum"
		size = 6
	strings:
		$1 = { B8 F4 03 00 00 C3 }
	condition:
		$1
}

rule function_113391_0 {
	meta:
		name = "TEncodingInfoUTF7.Name"
		size = 44
		refs = "0006 TEncodingInfoUTF7.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 37 00 00 00 }
	condition:
		$1
}

rule function_113393_0 {
	meta:
		name = "TEncodingInfoUTF16BE.Alias"
		size = 60
		refs = "000b TEncodingInfoUTF16BE.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 54 00 46 00 2D 00 31 00 36 00 42 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_113395_0 {
	meta:
		name = "TEncodingInfoUTF16BE.MIBenum"
		size = 6
	strings:
		$1 = { B8 F5 03 00 00 C3 }
	condition:
		$1
}

rule function_113396_0 {
	meta:
		name = "TEncodingInfoUTF16BE.Name"
		size = 52
		refs = "0006 TEncodingInfoUTF16BE.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 54 00 46 00 2D 00 31 00 36 00 42 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_113398_0 {
	meta:
		name = "TEncodingInfoUTF16LE.Alias"
		size = 60
		refs = "000b TEncodingInfoUTF16LE.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 54 00 46 00 2D 00 31 00 36 00 4C 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_113400_0 {
	meta:
		name = "TEncodingInfoUTF16LE.MIBenum"
		size = 6
	strings:
		$1 = { B8 F6 03 00 00 C3 }
	condition:
		$1
}

rule function_113401_0 {
	meta:
		name = "TEncodingInfoUTF16LE.Name"
		size = 52
		refs = "0006 TEncodingInfoUTF16LE.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 54 00 46 00 2D 00 31 00 36 00 4C 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_113403_0 {
	meta:
		name = "TEncodingInfoUTF16.Alias"
		size = 56
		refs = "000b TEncodingInfoUTF16.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 54 00 46 00 2D 00 31 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_113405_0 {
	meta:
		name = "TEncodingInfoUTF16.MIBenum"
		size = 6
	strings:
		$1 = { B8 F7 03 00 00 C3 }
	condition:
		$1
}

rule function_113406_0 {
	meta:
		name = "TEncodingInfoUTF16.Name"
		size = 48
		refs = "0006 TEncodingInfoUTF16.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 54 00 46 00 2D 00 31 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_113408_0 {
	meta:
		name = "TEncodingInfoCESU8.Alias"
		size = 104
		refs = "000f TEncodingInfoCESU8.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 45 00 53 00 55 00 2D 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 43 00 45 00 53 00 55 00 2D 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_113410_0 {
	meta:
		name = "TEncodingInfoCESU8.MIBenum"
		size = 6
	strings:
		$1 = { B8 F8 03 00 00 C3 }
	condition:
		$1
}

rule function_113411_0 {
	meta:
		name = "TEncodingInfoCESU8.Name"
		size = 48
		refs = "0006 TEncodingInfoCESU8.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 45 00 53 00 55 00 2D 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_113413_0 {
	meta:
		name = "TEncodingInfoUTF32.Alias"
		size = 56
		refs = "000b TEncodingInfoUTF32.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 54 00 46 00 2D 00 33 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_113415_0 {
	meta:
		name = "TEncodingInfoUTF32.MIBenum"
		size = 6
	strings:
		$1 = { B8 F9 03 00 00 C3 }
	condition:
		$1
}

rule function_113416_0 {
	meta:
		name = "TEncodingInfoUTF32.Name"
		size = 48
		refs = "0006 TEncodingInfoUTF32.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 55 00 54 00 46 00 2D 00 33 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_113418_0 {
	meta:
		name = "TEncodingInfoUTF32BE.Alias"
		size = 60
		refs = "000b TEncodingInfoUTF32BE.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 54 00 46 00 2D 00 33 00 32 00 42 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_113420_0 {
	meta:
		name = "TEncodingInfoUTF32BE.MIBenum"
		size = 6
	strings:
		$1 = { B8 FA 03 00 00 C3 }
	condition:
		$1
}

rule function_113421_0 {
	meta:
		name = "TEncodingInfoUTF32BE.Name"
		size = 52
		refs = "0006 TEncodingInfoUTF32BE.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 54 00 46 00 2D 00 33 00 32 00 42 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_113423_0 {
	meta:
		name = "TEncodingInfoUTF32LE.Alias"
		size = 60
		refs = "000b TEncodingInfoUTF32LE.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 54 00 46 00 2D 00 33 00 32 00 4C 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_113425_0 {
	meta:
		name = "TEncodingInfoUTF32LE.MIBenum"
		size = 6
	strings:
		$1 = { B8 FB 03 00 00 C3 }
	condition:
		$1
}

rule function_113426_0 {
	meta:
		name = "TEncodingInfoUTF32LE.Name"
		size = 52
		refs = "0006 TEncodingInfoUTF32LE.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 55 00 54 00 46 00 2D 00 33 00 32 00 4C 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_113428_0 {
	meta:
		name = "TEncodingInfoBOCU1.Alias"
		size = 104
		refs = "000f TEncodingInfoBOCU1.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 4F 00 43 00 55 00 2D 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 42 00 4F 00 43 00 55 00 2D 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113430_0 {
	meta:
		name = "TEncodingInfoBOCU1.MIBenum"
		size = 6
	strings:
		$1 = { B8 FC 03 00 00 C3 }
	condition:
		$1
}

rule function_113431_0 {
	meta:
		name = "TEncodingInfoBOCU1.Name"
		size = 48
		refs = "0006 TEncodingInfoBOCU1.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 42 00 4F 00 43 00 55 00 2D 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113433_0 {
	meta:
		name = "TEncodingInfoWindows30Latin1.Alias"
		size = 168
		refs = "000f TEncodingInfoWindows30Latin1.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 1E 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 2D 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 33 00 2E 00 30 00 2D 00 4C 00 61 00 74 00 69 00 6E 00 2D 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 73 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 33 00 30 00 4C 00 61 00 74 00 69 00 6E 00 31 00 00 00 }
	condition:
		$1
}

rule function_113435_0 {
	meta:
		name = "TEncodingInfoWindows30Latin1.MIBenum"
		size = 6
	strings:
		$1 = { B8 D0 07 00 00 C3 }
	condition:
		$1
}

rule function_113436_0 {
	meta:
		name = "TEncodingInfoWindows30Latin1.Name"
		size = 96
		refs = "0006 TEncodingInfoWindows30Latin1.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 2D 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 33 00 2E 00 30 00 2D 00 4C 00 61 00 74 00 69 00 6E 00 2D 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113438_0 {
	meta:
		name = "TEncodingInfoWindows31Latin1.Alias"
		size = 168
		refs = "000f TEncodingInfoWindows31Latin1.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 1E 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 2D 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 33 00 2E 00 31 00 2D 00 4C 00 61 00 74 00 69 00 6E 00 2D 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 73 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 33 00 31 00 4C 00 61 00 74 00 69 00 6E 00 31 00 00 00 }
	condition:
		$1
}

rule function_113440_0 {
	meta:
		name = "TEncodingInfoWindows31Latin1.MIBenum"
		size = 6
	strings:
		$1 = { B8 D1 07 00 00 C3 }
	condition:
		$1
}

rule function_113441_0 {
	meta:
		name = "TEncodingInfoWindows31Latin1.Name"
		size = 96
		refs = "0006 TEncodingInfoWindows31Latin1.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 2D 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 33 00 2E 00 31 00 2D 00 4C 00 61 00 74 00 69 00 6E 00 2D 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113443_0 {
	meta:
		name = "TEncodingInfoWindows31Latin2.Alias"
		size = 160
		refs = "000f TEncodingInfoWindows31Latin2.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 1A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 32 00 2D 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 4C 00 61 00 74 00 69 00 6E 00 2D 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 73 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 33 00 31 00 4C 00 61 00 74 00 69 00 6E 00 32 00 00 00 }
	condition:
		$1
}

rule function_113445_0 {
	meta:
		name = "TEncodingInfoWindows31Latin2.MIBenum"
		size = 6
	strings:
		$1 = { B8 D2 07 00 00 C3 }
	condition:
		$1
}

rule function_113446_0 {
	meta:
		name = "TEncodingInfoWindows31Latin2.Name"
		size = 88
		refs = "0006 TEncodingInfoWindows31Latin2.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 32 00 2D 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 4C 00 61 00 74 00 69 00 6E 00 2D 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_113448_0 {
	meta:
		name = "TEncodingInfoWindows31Latin5.Alias"
		size = 160
		refs = "000f TEncodingInfoWindows31Latin5.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 1A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 39 00 2D 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 4C 00 61 00 74 00 69 00 6E 00 2D 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 63 00 73 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 33 00 31 00 4C 00 61 00 74 00 69 00 6E 00 35 00 00 00 }
	condition:
		$1
}

rule function_113450_0 {
	meta:
		name = "TEncodingInfoWindows31Latin5.MIBenum"
		size = 6
	strings:
		$1 = { B8 D3 07 00 00 C3 }
	condition:
		$1
}

rule function_113451_0 {
	meta:
		name = "TEncodingInfoWindows31Latin5.Name"
		size = 88
		refs = "0006 TEncodingInfoWindows31Latin5.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 39 00 2D 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 4C 00 61 00 74 00 69 00 6E 00 2D 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_113453_0 {
	meta:
		name = "TEncodingInfoHPRoman8.Alias"
		size = 196
		refs = "0015 TEncodingInfoHPRoman8.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 68 00 70 00 2D 00 72 00 6F 00 6D 00 61 00 6E 00 38 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 72 00 6F 00 6D 00 61 00 6E 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 72 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 63 00 73 00 48 00 50 00 52 00 6F 00 6D 00 61 00 6E 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_113455_0 {
	meta:
		name = "TEncodingInfoHPRoman8.MIBenum"
		size = 6
	strings:
		$1 = { B8 D4 07 00 00 C3 }
	condition:
		$1
}

rule function_113456_0 {
	meta:
		name = "TEncodingInfoHPRoman8.Name"
		size = 52
		refs = "0006 TEncodingInfoHPRoman8.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 68 00 70 00 2D 00 72 00 6F 00 6D 00 61 00 6E 00 38 00 00 00 }
	condition:
		$1
}

rule function_113458_0 {
	meta:
		name = "TEncodingInfoAdobeStandardEncoding.Alias"
		size = 164
		refs = "000f TEncodingInfoAdobeStandardEncoding.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 17 00 00 00 41 00 64 00 6F 00 62 00 65 00 2D 00 53 00 74 00 61 00 6E 00 64 00 61 00 72 00 64 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 63 00 73 00 41 00 64 00 6F 00 62 00 65 00 53 00 74 00 61 00 6E 00 64 00 61 00 72 00 64 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_113460_0 {
	meta:
		name = "TEncodingInfoAdobeStandardEncoding.MIBenum"
		size = 6
	strings:
		$1 = { B8 D5 07 00 00 C3 }
	condition:
		$1
}

rule function_113461_0 {
	meta:
		name = "TEncodingInfoAdobeStandardEncoding.Name"
		size = 80
		refs = "0006 TEncodingInfoAdobeStandardEncoding.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 17 00 00 00 41 00 64 00 6F 00 62 00 65 00 2D 00 53 00 74 00 61 00 6E 00 64 00 61 00 72 00 64 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_113463_0 {
	meta:
		name = "TEncodingInfoVenturaUS.Alias"
		size = 116
		refs = "000f TEncodingInfoVenturaUS.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 56 00 65 00 6E 00 74 00 75 00 72 00 61 00 2D 00 55 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 56 00 65 00 6E 00 74 00 75 00 72 00 61 00 55 00 53 00 00 00 }
	condition:
		$1
}

rule function_113465_0 {
	meta:
		name = "TEncodingInfoVenturaUS.MIBenum"
		size = 6
	strings:
		$1 = { B8 D6 07 00 00 C3 }
	condition:
		$1
}

rule function_113466_0 {
	meta:
		name = "TEncodingInfoVenturaUS.Name"
		size = 56
		refs = "0006 TEncodingInfoVenturaUS.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 56 00 65 00 6E 00 74 00 75 00 72 00 61 00 2D 00 55 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_113468_0 {
	meta:
		name = "TEncodingInfoVenturaInternational.Alias"
		size = 160
		refs = "000f TEncodingInfoVenturaInternational.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 15 00 00 00 56 00 65 00 6E 00 74 00 75 00 72 00 61 00 2D 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 74 00 69 00 6F 00 6E 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 63 00 73 00 56 00 65 00 6E 00 74 00 75 00 72 00 61 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 74 00 69 00 6F 00 6E 00 61 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_113470_0 {
	meta:
		name = "TEncodingInfoVenturaInternational.MIBenum"
		size = 6
	strings:
		$1 = { B8 D7 07 00 00 C3 }
	condition:
		$1
}

rule function_113471_0 {
	meta:
		name = "TEncodingInfoVenturaInternational.Name"
		size = 76
		refs = "0006 TEncodingInfoVenturaInternational.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 56 00 65 00 6E 00 74 00 75 00 72 00 61 00 2D 00 49 00 6E 00 74 00 65 00 72 00 6E 00 61 00 74 00 69 00 6F 00 6E 00 61 00 6C 00 00 00 }
	condition:
		$1
}

rule function_113473_0 {
	meta:
		name = "TEncodingInfoDECMCS.Alias"
		size = 144
		refs = "0012 TEncodingInfoDECMCS.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 45 00 43 00 2D 00 4D 00 43 00 53 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 65 00 63 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 44 00 45 00 43 00 4D 00 43 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_113475_0 {
	meta:
		name = "TEncodingInfoDECMCS.MIBenum"
		size = 6
	strings:
		$1 = { B8 D8 07 00 00 C3 }
	condition:
		$1
}

rule function_113476_0 {
	meta:
		name = "TEncodingInfoDECMCS.Name"
		size = 48
		refs = "0006 TEncodingInfoDECMCS.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 45 00 43 00 2D 00 4D 00 43 00 53 00 00 00 }
	condition:
		$1
}

rule function_113478_0 {
	meta:
		name = "TEncodingInfoPC850Multilingual.Alias"
		size = 204
		refs = "0015 TEncodingInfoPC850Multilingual.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 35 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 38 00 35 00 30 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 38 00 35 00 30 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 63 00 73 00 50 00 43 00 38 00 35 00 30 00 4D 00 75 00 6C 00 74 00 69 00 6C 00 69 00 6E 00 67 00 75 00 61 00 6C 00 00 00 }
	condition:
		$1
}

rule function_113480_0 {
	meta:
		name = "TEncodingInfoPC850Multilingual.MIBenum"
		size = 6
	strings:
		$1 = { B8 D9 07 00 00 C3 }
	condition:
		$1
}

rule function_113481_0 {
	meta:
		name = "TEncodingInfoPC850Multilingual.Name"
		size = 48
		refs = "0006 TEncodingInfoPC850Multilingual.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 35 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113483_0 {
	meta:
		name = "TEncodingInfoPCp852.Alias"
		size = 184
		refs = "0015 TEncodingInfoPCp852.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 35 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 38 00 35 00 32 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 38 00 35 00 32 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 50 00 43 00 70 00 38 00 35 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_113485_0 {
	meta:
		name = "TEncodingInfoPCp852.MIBenum"
		size = 6
	strings:
		$1 = { B8 DA 07 00 00 C3 }
	condition:
		$1
}

rule function_113486_0 {
	meta:
		name = "TEncodingInfoPCp852.Name"
		size = 48
		refs = "0006 TEncodingInfoPCp852.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 35 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_113488_0 {
	meta:
		name = "TEncodingInfoPC8CodePage437.Alias"
		size = 268
		refs = "000b TEncodingInfoPC8CodePage437.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 34 00 33 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 34 00 33 00 37 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 34 00 33 00 37 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 63 00 73 00 50 00 43 00 38 00 43 00 6F 00 64 00 65 00 50 00 61 00 67 00 65 00 34 00 33 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 44 00 4F 00 53 00 4C 00 61 00 74 00 69 00 6E 00 55 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_113490_0 {
	meta:
		name = "TEncodingInfoPC8CodePage437.MIBenum"
		size = 6
	strings:
		$1 = { B8 DB 07 00 00 C3 }
	condition:
		$1
}

rule function_113491_0 {
	meta:
		name = "TEncodingInfoPC8CodePage437.Name"
		size = 48
		refs = "0006 TEncodingInfoPC8CodePage437.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 34 00 33 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_113493_0 {
	meta:
		name = "TEncodingInfoPC8DanishNorwegian.Alias"
		size = 156
		refs = "000f TEncodingInfoPC8DanishNorwegian.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 14 00 00 00 50 00 43 00 38 00 2D 00 44 00 61 00 6E 00 69 00 73 00 68 00 2D 00 4E 00 6F 00 72 00 77 00 65 00 67 00 69 00 61 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 63 00 73 00 50 00 43 00 38 00 44 00 61 00 6E 00 69 00 73 00 68 00 4E 00 6F 00 72 00 77 00 65 00 67 00 69 00 61 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_113495_0 {
	meta:
		name = "TEncodingInfoPC8DanishNorwegian.MIBenum"
		size = 6
	strings:
		$1 = { B8 DC 07 00 00 C3 }
	condition:
		$1
}

rule function_113496_0 {
	meta:
		name = "TEncodingInfoPC8DanishNorwegian.Name"
		size = 76
		refs = "0006 TEncodingInfoPC8DanishNorwegian.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 50 00 43 00 38 00 2D 00 44 00 61 00 6E 00 69 00 73 00 68 00 2D 00 4E 00 6F 00 72 00 77 00 65 00 67 00 69 00 61 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_113498_0 {
	meta:
		name = "TEncodingInfoPC862LatinHebrew.Alias"
		size = 204
		refs = "0015 TEncodingInfoPC862LatinHebrew.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 38 00 36 00 32 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 38 00 36 00 32 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 63 00 73 00 50 00 43 00 38 00 36 00 32 00 4C 00 61 00 74 00 69 00 6E 00 48 00 65 00 62 00 72 00 65 00 77 00 00 00 00 00 }
	condition:
		$1
}

rule function_113500_0 {
	meta:
		name = "TEncodingInfoPC862LatinHebrew.MIBenum"
		size = 6
	strings:
		$1 = { B8 DD 07 00 00 C3 }
	condition:
		$1
}

rule function_113501_0 {
	meta:
		name = "TEncodingInfoPC862LatinHebrew.Name"
		size = 48
		refs = "0006 TEncodingInfoPC862LatinHebrew.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_113503_0 {
	meta:
		name = "TEncodingInfoPC8Turkish.Alias"
		size = 120
		refs = "000f TEncodingInfoPC8Turkish.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 43 00 38 00 2D 00 54 00 75 00 72 00 6B 00 69 00 73 00 68 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 73 00 50 00 43 00 38 00 54 00 75 00 72 00 6B 00 69 00 73 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_113505_0 {
	meta:
		name = "TEncodingInfoPC8Turkish.MIBenum"
		size = 6
	strings:
		$1 = { B8 DE 07 00 00 C3 }
	condition:
		$1
}

rule function_113506_0 {
	meta:
		name = "TEncodingInfoPC8Turkish.Name"
		size = 56
		refs = "0006 TEncodingInfoPC8Turkish.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 50 00 43 00 38 00 2D 00 54 00 75 00 72 00 6B 00 69 00 73 00 68 00 00 00 }
	condition:
		$1
}

rule function_113508_0 {
	meta:
		name = "TEncodingInfoIBMSymbols.Alias"
		size = 120
		refs = "000f TEncodingInfoIBMSymbols.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 42 00 4D 00 2D 00 53 00 79 00 6D 00 62 00 6F 00 6C 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 73 00 49 00 42 00 4D 00 53 00 79 00 6D 00 62 00 6F 00 6C 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_113510_0 {
	meta:
		name = "TEncodingInfoIBMSymbols.MIBenum"
		size = 6
	strings:
		$1 = { B8 DF 07 00 00 C3 }
	condition:
		$1
}

rule function_113511_0 {
	meta:
		name = "TEncodingInfoIBMSymbols.Name"
		size = 56
		refs = "0006 TEncodingInfoIBMSymbols.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 49 00 42 00 4D 00 2D 00 53 00 79 00 6D 00 62 00 6F 00 6C 00 73 00 00 00 }
	condition:
		$1
}

rule function_113513_0 {
	meta:
		name = "TEncodingInfoIBMThai.Alias"
		size = 108
		refs = "000f TEncodingInfoIBMThai.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 2D 00 54 00 68 00 61 00 69 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 73 00 49 00 42 00 4D 00 54 00 68 00 61 00 69 00 00 00 }
	condition:
		$1
}

rule function_113515_0 {
	meta:
		name = "TEncodingInfoIBMThai.MIBenum"
		size = 6
	strings:
		$1 = { B8 E0 07 00 00 C3 }
	condition:
		$1
}

rule function_113516_0 {
	meta:
		name = "TEncodingInfoIBMThai.Name"
		size = 52
		refs = "0006 TEncodingInfoIBMThai.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 2D 00 54 00 68 00 61 00 69 00 00 00 00 00 }
	condition:
		$1
}

rule function_113518_0 {
	meta:
		name = "TEncodingInfoHPLegal.Alias"
		size = 108
		refs = "000f TEncodingInfoHPLegal.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 50 00 2D 00 4C 00 65 00 67 00 61 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 73 00 48 00 50 00 4C 00 65 00 67 00 61 00 6C 00 00 00 }
	condition:
		$1
}

rule function_113520_0 {
	meta:
		name = "TEncodingInfoHPLegal.MIBenum"
		size = 6
	strings:
		$1 = { B8 E1 07 00 00 C3 }
	condition:
		$1
}

rule function_113521_0 {
	meta:
		name = "TEncodingInfoHPLegal.Name"
		size = 52
		refs = "0006 TEncodingInfoHPLegal.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 50 00 2D 00 4C 00 65 00 67 00 61 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_113523_0 {
	meta:
		name = "TEncodingInfoHPPiFont.Alias"
		size = 116
		refs = "000f TEncodingInfoHPPiFont.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 48 00 50 00 2D 00 50 00 69 00 2D 00 66 00 6F 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 63 00 73 00 48 00 50 00 50 00 69 00 46 00 6F 00 6E 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_113525_0 {
	meta:
		name = "TEncodingInfoHPPiFont.MIBenum"
		size = 6
	strings:
		$1 = { B8 E2 07 00 00 C3 }
	condition:
		$1
}

rule function_113526_0 {
	meta:
		name = "TEncodingInfoHPPiFont.Name"
		size = 56
		refs = "0006 TEncodingInfoHPPiFont.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 48 00 50 00 2D 00 50 00 69 00 2D 00 66 00 6F 00 6E 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_113528_0 {
	meta:
		name = "TEncodingInfoHPMath8.Alias"
		size = 108
		refs = "000f TEncodingInfoHPMath8.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 50 00 2D 00 4D 00 61 00 74 00 68 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 73 00 48 00 50 00 4D 00 61 00 74 00 68 00 38 00 00 00 }
	condition:
		$1
}

rule function_113530_0 {
	meta:
		name = "TEncodingInfoHPMath8.MIBenum"
		size = 6
	strings:
		$1 = { B8 E3 07 00 00 C3 }
	condition:
		$1
}

rule function_113531_0 {
	meta:
		name = "TEncodingInfoHPMath8.Name"
		size = 52
		refs = "0006 TEncodingInfoHPMath8.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 48 00 50 00 2D 00 4D 00 61 00 74 00 68 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_113533_0 {
	meta:
		name = "TEncodingInfoHPPSMath.Alias"
		size = 136
		refs = "000f TEncodingInfoHPPSMath.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 15 00 00 00 41 00 64 00 6F 00 62 00 65 00 2D 00 53 00 79 00 6D 00 62 00 6F 00 6C 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 63 00 73 00 48 00 50 00 50 00 53 00 4D 00 61 00 74 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_113535_0 {
	meta:
		name = "TEncodingInfoHPPSMath.MIBenum"
		size = 6
	strings:
		$1 = { B8 E4 07 00 00 C3 }
	condition:
		$1
}

rule function_113536_0 {
	meta:
		name = "TEncodingInfoHPPSMath.Name"
		size = 76
		refs = "0006 TEncodingInfoHPPSMath.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 41 00 64 00 6F 00 62 00 65 00 2D 00 53 00 79 00 6D 00 62 00 6F 00 6C 00 2D 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_113538_0 {
	meta:
		name = "TEncodingInfoHPDesktop.Alias"
		size = 116
		refs = "000f TEncodingInfoHPDesktop.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 48 00 50 00 2D 00 44 00 65 00 73 00 6B 00 54 00 6F 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 48 00 50 00 44 00 65 00 73 00 6B 00 74 00 6F 00 70 00 00 00 }
	condition:
		$1
}

rule function_113540_0 {
	meta:
		name = "TEncodingInfoHPDesktop.MIBenum"
		size = 6
	strings:
		$1 = { B8 E5 07 00 00 C3 }
	condition:
		$1
}

rule function_113541_0 {
	meta:
		name = "TEncodingInfoHPDesktop.Name"
		size = 56
		refs = "0006 TEncodingInfoHPDesktop.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 48 00 50 00 2D 00 44 00 65 00 73 00 6B 00 54 00 6F 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_113543_0 {
	meta:
		name = "TEncodingInfoVenturaMath.Alias"
		size = 124
		refs = "000f TEncodingInfoVenturaMath.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 56 00 65 00 6E 00 74 00 75 00 72 00 61 00 2D 00 4D 00 61 00 74 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 73 00 56 00 65 00 6E 00 74 00 75 00 72 00 61 00 4D 00 61 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_113545_0 {
	meta:
		name = "TEncodingInfoVenturaMath.MIBenum"
		size = 6
	strings:
		$1 = { B8 E6 07 00 00 C3 }
	condition:
		$1
}

rule function_113546_0 {
	meta:
		name = "TEncodingInfoVenturaMath.Name"
		size = 60
		refs = "0006 TEncodingInfoVenturaMath.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 56 00 65 00 6E 00 74 00 75 00 72 00 61 00 2D 00 4D 00 61 00 74 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_113548_0 {
	meta:
		name = "TEncodingInfoMicrosoftPublishing.Alias"
		size = 156
		refs = "000f TEncodingInfoMicrosoftPublishing.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 14 00 00 00 4D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 2D 00 50 00 75 00 62 00 6C 00 69 00 73 00 68 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 63 00 73 00 4D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 50 00 75 00 62 00 6C 00 69 00 73 00 68 00 69 00 6E 00 67 00 00 00 }
	condition:
		$1
}

rule function_113550_0 {
	meta:
		name = "TEncodingInfoMicrosoftPublishing.MIBenum"
		size = 6
	strings:
		$1 = { B8 E7 07 00 00 C3 }
	condition:
		$1
}

rule function_113551_0 {
	meta:
		name = "TEncodingInfoMicrosoftPublishing.Name"
		size = 76
		refs = "0006 TEncodingInfoMicrosoftPublishing.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 4D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 2D 00 50 00 75 00 62 00 6C 00 69 00 73 00 68 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_113553_0 {
	meta:
		name = "TEncodingInfoWindows31J.Alias"
		size = 120
		refs = "000f TEncodingInfoWindows31J.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 33 00 31 00 4A 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 73 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 33 00 31 00 4A 00 00 00 00 00 }
	condition:
		$1
}

rule function_113555_0 {
	meta:
		name = "TEncodingInfoWindows31J.MIBenum"
		size = 6
	strings:
		$1 = { B8 E8 07 00 00 C3 }
	condition:
		$1
}

rule function_113556_0 {
	meta:
		name = "TEncodingInfoWindows31J.Name"
		size = 56
		refs = "0006 TEncodingInfoWindows31J.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 33 00 31 00 4A 00 00 00 }
	condition:
		$1
}

rule function_113558_0 {
	meta:
		name = "TEncodingInfoGB2312.Alias"
		size = 104
		refs = "000f TEncodingInfoGB2312.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 06 00 00 00 47 00 42 00 32 00 33 00 31 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 47 00 42 00 32 00 33 00 31 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_113560_0 {
	meta:
		name = "TEncodingInfoGB2312.MIBenum"
		size = 6
	strings:
		$1 = { B8 E9 07 00 00 C3 }
	condition:
		$1
}

rule function_113561_0 {
	meta:
		name = "TEncodingInfoGB2312.Name"
		size = 48
		refs = "0006 TEncodingInfoGB2312.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 47 00 42 00 32 00 33 00 31 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_113563_0 {
	meta:
		name = "TEncodingInfoBig5.Alias"
		size = 96
		refs = "000f TEncodingInfoBig5.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 69 00 67 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 73 00 42 00 69 00 67 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_113565_0 {
	meta:
		name = "TEncodingInfoBig5.MIBenum"
		size = 6
	strings:
		$1 = { B8 EA 07 00 00 C3 }
	condition:
		$1
}

rule function_113566_0 {
	meta:
		name = "TEncodingInfoBig5.Name"
		size = 44
		refs = "0006 TEncodingInfoBig5.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 42 00 69 00 67 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_113568_0 {
	meta:
		name = "TEncodingInfoMacintosh.Alias"
		size = 152
		refs = "0012 TEncodingInfoMacintosh.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 61 00 63 00 69 00 6E 00 74 00 6F 00 73 00 68 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6D 00 61 00 63 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 4D 00 61 00 63 00 69 00 6E 00 74 00 6F 00 73 00 68 00 00 00 }
	condition:
		$1
}

rule function_113570_0 {
	meta:
		name = "TEncodingInfoMacintosh.MIBenum"
		size = 6
	strings:
		$1 = { B8 EB 07 00 00 C3 }
	condition:
		$1
}

rule function_113571_0 {
	meta:
		name = "TEncodingInfoMacintosh.Name"
		size = 52
		refs = "0006 TEncodingInfoMacintosh.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 61 00 63 00 69 00 6E 00 74 00 6F 00 73 00 68 00 00 00 }
	condition:
		$1
}

rule function_113573_0 {
	meta:
		name = "TEncodingInfoIBM037.Alias"
		size = 396
		refs = "000f TEncodingInfoIBM037.Alias 0037 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 06 0F 87 85 00 00 00 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 30 00 33 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 30 00 33 00 37 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 63 00 70 00 2D 00 75 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 63 00 70 00 2D 00 63 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 63 00 70 00 2D 00 77 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 63 00 70 00 2D 00 6E 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 30 00 33 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_113575_0 {
	meta:
		name = "TEncodingInfoIBM037.MIBenum"
		size = 6
	strings:
		$1 = { B8 EC 07 00 00 C3 }
	condition:
		$1
}

rule function_113576_0 {
	meta:
		name = "TEncodingInfoIBM037.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM037.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 30 00 33 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_113578_0 {
	meta:
		name = "TEncodingInfoIBM038.Alias"
		size = 200
		refs = "0015 TEncodingInfoIBM038.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 30 00 33 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 49 00 4E 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 30 00 33 00 38 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 30 00 33 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_113580_0 {
	meta:
		name = "TEncodingInfoIBM038.MIBenum"
		size = 6
	strings:
		$1 = { B8 ED 07 00 00 C3 }
	condition:
		$1
}

rule function_113581_0 {
	meta:
		name = "TEncodingInfoIBM038.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM038.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 30 00 33 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_113583_0 {
	meta:
		name = "TEncodingInfoIBM273.Alias"
		size = 148
		refs = "0012 TEncodingInfoIBM273.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 37 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 50 00 32 00 37 00 33 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 32 00 37 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_113585_0 {
	meta:
		name = "TEncodingInfoIBM273.MIBenum"
		size = 6
	strings:
		$1 = { B8 EE 07 00 00 C3 }
	condition:
		$1
}

rule function_113586_0 {
	meta:
		name = "TEncodingInfoIBM273.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM273.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 37 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_113588_0 {
	meta:
		name = "TEncodingInfoIBM274.Alias"
		size = 196
		refs = "0015 TEncodingInfoIBM274.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 37 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 42 00 45 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 50 00 32 00 37 00 34 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 32 00 37 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_113590_0 {
	meta:
		name = "TEncodingInfoIBM274.MIBenum"
		size = 6
	strings:
		$1 = { B8 EF 07 00 00 C3 }
	condition:
		$1
}

rule function_113591_0 {
	meta:
		name = "TEncodingInfoIBM274.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM274.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 37 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_113593_0 {
	meta:
		name = "TEncodingInfoIBM275.Alias"
		size = 196
		refs = "0015 TEncodingInfoIBM275.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 37 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 42 00 52 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 32 00 37 00 35 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 32 00 37 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_113595_0 {
	meta:
		name = "TEncodingInfoIBM275.MIBenum"
		size = 6
	strings:
		$1 = { B8 F0 07 00 00 C3 }
	condition:
		$1
}

rule function_113596_0 {
	meta:
		name = "TEncodingInfoIBM275.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM275.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 37 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_113598_0 {
	meta:
		name = "TEncodingInfoIBM277.Alias"
		size = 220
		refs = "0015 TEncodingInfoIBM277.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 37 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 43 00 50 00 2D 00 44 00 4B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 43 00 50 00 2D 00 4E 00 4F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 32 00 37 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_113600_0 {
	meta:
		name = "TEncodingInfoIBM277.MIBenum"
		size = 6
	strings:
		$1 = { B8 F1 07 00 00 C3 }
	condition:
		$1
}

rule function_113601_0 {
	meta:
		name = "TEncodingInfoIBM277.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM277.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 37 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_113603_0 {
	meta:
		name = "TEncodingInfoIBM278.Alias"
		size = 276
		refs = "000b TEncodingInfoIBM278.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 37 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 50 00 32 00 37 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 63 00 70 00 2D 00 66 00 69 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 63 00 70 00 2D 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 32 00 37 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_113605_0 {
	meta:
		name = "TEncodingInfoIBM278.MIBenum"
		size = 6
	strings:
		$1 = { B8 F2 07 00 00 C3 }
	condition:
		$1
}

rule function_113606_0 {
	meta:
		name = "TEncodingInfoIBM278.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM278.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 37 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_113608_0 {
	meta:
		name = "TEncodingInfoIBM280.Alias"
		size = 204
		refs = "0015 TEncodingInfoIBM280.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 38 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 50 00 32 00 38 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 63 00 70 00 2D 00 69 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 32 00 38 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113610_0 {
	meta:
		name = "TEncodingInfoIBM280.MIBenum"
		size = 6
	strings:
		$1 = { B8 F3 07 00 00 C3 }
	condition:
		$1
}

rule function_113611_0 {
	meta:
		name = "TEncodingInfoIBM280.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM280.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 38 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113613_0 {
	meta:
		name = "TEncodingInfoIBM281.Alias"
		size = 200
		refs = "0015 TEncodingInfoIBM281.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 38 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 4A 00 50 00 2D 00 45 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 32 00 38 00 31 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 32 00 38 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113615_0 {
	meta:
		name = "TEncodingInfoIBM281.MIBenum"
		size = 6
	strings:
		$1 = { B8 F4 07 00 00 C3 }
	condition:
		$1
}

rule function_113616_0 {
	meta:
		name = "TEncodingInfoIBM281.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM281.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 38 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113618_0 {
	meta:
		name = "TEncodingInfoIBM284.Alias"
		size = 204
		refs = "0015 TEncodingInfoIBM284.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 38 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 50 00 32 00 38 00 34 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 63 00 70 00 2D 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 32 00 38 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_113620_0 {
	meta:
		name = "TEncodingInfoIBM284.MIBenum"
		size = 6
	strings:
		$1 = { B8 F5 07 00 00 C3 }
	condition:
		$1
}

rule function_113621_0 {
	meta:
		name = "TEncodingInfoIBM284.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM284.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 38 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_113623_0 {
	meta:
		name = "TEncodingInfoIBM285.Alias"
		size = 204
		refs = "0015 TEncodingInfoIBM285.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 38 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 50 00 32 00 38 00 35 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 63 00 70 00 2D 00 67 00 62 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 32 00 38 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_113625_0 {
	meta:
		name = "TEncodingInfoIBM285.MIBenum"
		size = 6
	strings:
		$1 = { B8 F6 07 00 00 C3 }
	condition:
		$1
}

rule function_113626_0 {
	meta:
		name = "TEncodingInfoIBM285.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM285.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 38 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_113628_0 {
	meta:
		name = "TEncodingInfoIBM290.Alias"
		size = 208
		refs = "0015 TEncodingInfoIBM290.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 39 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 32 00 39 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 4A 00 50 00 2D 00 6B 00 61 00 6E 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 32 00 39 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113630_0 {
	meta:
		name = "TEncodingInfoIBM290.MIBenum"
		size = 6
	strings:
		$1 = { B8 F7 07 00 00 C3 }
	condition:
		$1
}

rule function_113631_0 {
	meta:
		name = "TEncodingInfoIBM290.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM290.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 39 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113633_0 {
	meta:
		name = "TEncodingInfoIBM297.Alias"
		size = 204
		refs = "0015 TEncodingInfoIBM297.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 39 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 32 00 39 00 37 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 63 00 70 00 2D 00 66 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 32 00 39 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_113635_0 {
	meta:
		name = "TEncodingInfoIBM297.MIBenum"
		size = 6
	strings:
		$1 = { B8 F8 07 00 00 C3 }
	condition:
		$1
}

rule function_113636_0 {
	meta:
		name = "TEncodingInfoIBM297.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM297.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 32 00 39 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_113638_0 {
	meta:
		name = "TEncodingInfoIBM420.Alias"
		size = 204
		refs = "0015 TEncodingInfoIBM420.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 34 00 32 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 34 00 32 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 63 00 70 00 2D 00 61 00 72 00 31 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 34 00 32 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113640_0 {
	meta:
		name = "TEncodingInfoIBM420.MIBenum"
		size = 6
	strings:
		$1 = { B8 F9 07 00 00 C3 }
	condition:
		$1
}

rule function_113641_0 {
	meta:
		name = "TEncodingInfoIBM420.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM420.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 34 00 32 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113643_0 {
	meta:
		name = "TEncodingInfoIBM423.Alias"
		size = 204
		refs = "0015 TEncodingInfoIBM423.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 34 00 32 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 34 00 32 00 33 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 63 00 70 00 2D 00 67 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 34 00 32 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_113645_0 {
	meta:
		name = "TEncodingInfoIBM423.MIBenum"
		size = 6
	strings:
		$1 = { B8 FA 07 00 00 C3 }
	condition:
		$1
}

rule function_113646_0 {
	meta:
		name = "TEncodingInfoIBM423.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM423.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 34 00 32 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_113648_0 {
	meta:
		name = "TEncodingInfoIBM424.Alias"
		size = 204
		refs = "0015 TEncodingInfoIBM424.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 34 00 32 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 34 00 32 00 34 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 63 00 70 00 2D 00 68 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 34 00 32 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_113650_0 {
	meta:
		name = "TEncodingInfoIBM424.MIBenum"
		size = 6
	strings:
		$1 = { B8 FB 07 00 00 C3 }
	condition:
		$1
}

rule function_113651_0 {
	meta:
		name = "TEncodingInfoIBM424.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM424.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 34 00 32 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_113653_0 {
	meta:
		name = "TEncodingInfoIBM500.Alias"
		size = 276
		refs = "000b TEncodingInfoIBM500.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 35 00 30 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 50 00 35 00 30 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 63 00 70 00 2D 00 62 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 63 00 70 00 2D 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 35 00 30 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113655_0 {
	meta:
		name = "TEncodingInfoIBM500.MIBenum"
		size = 6
	strings:
		$1 = { B8 FC 07 00 00 C3 }
	condition:
		$1
}

rule function_113656_0 {
	meta:
		name = "TEncodingInfoIBM500.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM500.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 35 00 30 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113658_0 {
	meta:
		name = "TEncodingInfoIBM851.Alias"
		size = 184
		refs = "0015 TEncodingInfoIBM851.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 35 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 38 00 35 00 31 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 38 00 35 00 31 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 38 00 35 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113660_0 {
	meta:
		name = "TEncodingInfoIBM851.MIBenum"
		size = 6
	strings:
		$1 = { B8 FD 07 00 00 C3 }
	condition:
		$1
}

rule function_113661_0 {
	meta:
		name = "TEncodingInfoIBM851.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM851.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 35 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113663_0 {
	meta:
		name = "TEncodingInfoIBM855.Alias"
		size = 184
		refs = "0015 TEncodingInfoIBM855.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 35 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 38 00 35 00 35 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 38 00 35 00 35 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 38 00 35 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_113665_0 {
	meta:
		name = "TEncodingInfoIBM855.MIBenum"
		size = 6
	strings:
		$1 = { B8 FE 07 00 00 C3 }
	condition:
		$1
}

rule function_113666_0 {
	meta:
		name = "TEncodingInfoIBM855.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM855.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 35 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_113668_0 {
	meta:
		name = "TEncodingInfoIBM857.Alias"
		size = 184
		refs = "0015 TEncodingInfoIBM857.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 35 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 38 00 35 00 37 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 38 00 35 00 37 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 38 00 35 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_113670_0 {
	meta:
		name = "TEncodingInfoIBM857.MIBenum"
		size = 6
	strings:
		$1 = { B8 FF 07 00 00 C3 }
	condition:
		$1
}

rule function_113671_0 {
	meta:
		name = "TEncodingInfoIBM857.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM857.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 35 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_113673_0 {
	meta:
		name = "TEncodingInfoIBM860.Alias"
		size = 184
		refs = "0015 TEncodingInfoIBM860.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 38 00 36 00 30 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 38 00 36 00 30 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 38 00 36 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113675_0 {
	meta:
		name = "TEncodingInfoIBM860.MIBenum"
		size = 6
	strings:
		$1 = { B8 00 08 00 00 C3 }
	condition:
		$1
}

rule function_113676_0 {
	meta:
		name = "TEncodingInfoIBM860.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM860.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113678_0 {
	meta:
		name = "TEncodingInfoIBM861.Alias"
		size = 240
		refs = "000b TEncodingInfoIBM861.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 38 00 36 00 31 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 38 00 36 00 31 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 2D 00 69 00 73 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 38 00 36 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113680_0 {
	meta:
		name = "TEncodingInfoIBM861.MIBenum"
		size = 6
	strings:
		$1 = { B8 01 08 00 00 C3 }
	condition:
		$1
}

rule function_113681_0 {
	meta:
		name = "TEncodingInfoIBM861.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM861.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113683_0 {
	meta:
		name = "TEncodingInfoIBM863.Alias"
		size = 184
		refs = "0015 TEncodingInfoIBM863.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 38 00 36 00 33 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 38 00 36 00 33 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 38 00 36 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_113685_0 {
	meta:
		name = "TEncodingInfoIBM863.MIBenum"
		size = 6
	strings:
		$1 = { B8 02 08 00 00 C3 }
	condition:
		$1
}

rule function_113686_0 {
	meta:
		name = "TEncodingInfoIBM863.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM863.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_113688_0 {
	meta:
		name = "TEncodingInfoIBM864.Alias"
		size = 148
		refs = "0012 TEncodingInfoIBM864.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 38 00 36 00 34 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 38 00 36 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_113690_0 {
	meta:
		name = "TEncodingInfoIBM864.MIBenum"
		size = 6
	strings:
		$1 = { B8 03 08 00 00 C3 }
	condition:
		$1
}

rule function_113691_0 {
	meta:
		name = "TEncodingInfoIBM864.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM864.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_113693_0 {
	meta:
		name = "TEncodingInfoIBM865.Alias"
		size = 184
		refs = "0015 TEncodingInfoIBM865.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 38 00 36 00 35 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 38 00 36 00 35 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 38 00 36 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_113695_0 {
	meta:
		name = "TEncodingInfoIBM865.MIBenum"
		size = 6
	strings:
		$1 = { B8 04 08 00 00 C3 }
	condition:
		$1
}

rule function_113696_0 {
	meta:
		name = "TEncodingInfoIBM865.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM865.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_113698_0 {
	meta:
		name = "TEncodingInfoIBM868.Alias"
		size = 188
		refs = "0015 TEncodingInfoIBM868.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 50 00 38 00 36 00 38 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 2D 00 61 00 72 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 38 00 36 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_113700_0 {
	meta:
		name = "TEncodingInfoIBM868.MIBenum"
		size = 6
	strings:
		$1 = { B8 05 08 00 00 C3 }
	condition:
		$1
}

rule function_113701_0 {
	meta:
		name = "TEncodingInfoIBM868.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM868.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_113703_0 {
	meta:
		name = "TEncodingInfoIBM869.Alias"
		size = 240
		refs = "000b TEncodingInfoIBM869.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 38 00 36 00 39 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 38 00 36 00 39 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 2D 00 67 00 72 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 38 00 36 00 39 00 00 00 00 00 }
	condition:
		$1
}

rule function_113705_0 {
	meta:
		name = "TEncodingInfoIBM869.MIBenum"
		size = 6
	strings:
		$1 = { B8 06 08 00 00 C3 }
	condition:
		$1
}

rule function_113706_0 {
	meta:
		name = "TEncodingInfoIBM869.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM869.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 39 00 00 00 00 00 }
	condition:
		$1
}

rule function_113708_0 {
	meta:
		name = "TEncodingInfoIBM870.Alias"
		size = 280
		refs = "000b TEncodingInfoIBM870.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 37 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 50 00 38 00 37 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 63 00 70 00 2D 00 72 00 6F 00 65 00 63 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 63 00 70 00 2D 00 79 00 75 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 38 00 37 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113710_0 {
	meta:
		name = "TEncodingInfoIBM870.MIBenum"
		size = 6
	strings:
		$1 = { B8 07 08 00 00 C3 }
	condition:
		$1
}

rule function_113711_0 {
	meta:
		name = "TEncodingInfoIBM870.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM870.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 37 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113713_0 {
	meta:
		name = "TEncodingInfoIBM871.Alias"
		size = 204
		refs = "0015 TEncodingInfoIBM871.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 37 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 50 00 38 00 37 00 31 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 63 00 70 00 2D 00 69 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 38 00 37 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113715_0 {
	meta:
		name = "TEncodingInfoIBM871.MIBenum"
		size = 6
	strings:
		$1 = { B8 08 08 00 00 C3 }
	condition:
		$1
}

rule function_113716_0 {
	meta:
		name = "TEncodingInfoIBM871.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM871.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 37 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113718_0 {
	meta:
		name = "TEncodingInfoIBM880.Alias"
		size = 208
		refs = "0015 TEncodingInfoIBM880.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 38 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 38 00 38 00 30 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 43 00 79 00 72 00 69 00 6C 00 6C 00 69 00 63 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 38 00 38 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113720_0 {
	meta:
		name = "TEncodingInfoIBM880.MIBenum"
		size = 6
	strings:
		$1 = { B8 09 08 00 00 C3 }
	condition:
		$1
}

rule function_113721_0 {
	meta:
		name = "TEncodingInfoIBM880.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM880.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 38 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113723_0 {
	meta:
		name = "TEncodingInfoIBM891.Alias"
		size = 148
		refs = "0012 TEncodingInfoIBM891.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 39 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 38 00 39 00 31 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 38 00 39 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113725_0 {
	meta:
		name = "TEncodingInfoIBM891.MIBenum"
		size = 6
	strings:
		$1 = { B8 0A 08 00 00 C3 }
	condition:
		$1
}

rule function_113726_0 {
	meta:
		name = "TEncodingInfoIBM891.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM891.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 39 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113728_0 {
	meta:
		name = "TEncodingInfoIBM903.Alias"
		size = 148
		refs = "0012 TEncodingInfoIBM903.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 39 00 30 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 39 00 30 00 33 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 39 00 30 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_113730_0 {
	meta:
		name = "TEncodingInfoIBM903.MIBenum"
		size = 6
	strings:
		$1 = { B8 0B 08 00 00 C3 }
	condition:
		$1
}

rule function_113731_0 {
	meta:
		name = "TEncodingInfoIBM903.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM903.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 39 00 30 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_113733_0 {
	meta:
		name = "TEncodingInfoIBM904.Alias"
		size = 184
		refs = "0015 TEncodingInfoIBM904.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 39 00 30 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 39 00 30 00 34 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 39 00 30 00 34 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 39 00 30 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_113735_0 {
	meta:
		name = "TEncodingInfoIBM904.MIBenum"
		size = 6
	strings:
		$1 = { B8 0C 08 00 00 C3 }
	condition:
		$1
}

rule function_113736_0 {
	meta:
		name = "TEncodingInfoIBM904.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM904.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 39 00 30 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_113738_0 {
	meta:
		name = "TEncodingInfoIBM905.Alias"
		size = 204
		refs = "0015 TEncodingInfoIBM905.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 39 00 30 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 50 00 39 00 30 00 35 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 63 00 70 00 2D 00 74 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 39 00 30 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_113740_0 {
	meta:
		name = "TEncodingInfoIBM905.MIBenum"
		size = 6
	strings:
		$1 = { B8 0D 08 00 00 C3 }
	condition:
		$1
}

rule function_113741_0 {
	meta:
		name = "TEncodingInfoIBM905.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM905.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 39 00 30 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_113743_0 {
	meta:
		name = "TEncodingInfoIBM918.Alias"
		size = 204
		refs = "0015 TEncodingInfoIBM918.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 39 00 31 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 50 00 39 00 31 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 63 00 70 00 2D 00 61 00 72 00 32 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 39 00 31 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_113745_0 {
	meta:
		name = "TEncodingInfoIBM918.MIBenum"
		size = 6
	strings:
		$1 = { B8 0E 08 00 00 C3 }
	condition:
		$1
}

rule function_113746_0 {
	meta:
		name = "TEncodingInfoIBM918.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM918.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 39 00 31 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_113748_0 {
	meta:
		name = "TEncodingInfoIBM1026.Alias"
		size = 152
		refs = "0012 TEncodingInfoIBM1026.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 42 00 4D 00 31 00 30 00 32 00 36 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 43 00 50 00 31 00 30 00 32 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 73 00 49 00 42 00 4D 00 31 00 30 00 32 00 36 00 00 00 }
	condition:
		$1
}

rule function_113750_0 {
	meta:
		name = "TEncodingInfoIBM1026.MIBenum"
		size = 6
	strings:
		$1 = { B8 0F 08 00 00 C3 }
	condition:
		$1
}

rule function_113751_0 {
	meta:
		name = "TEncodingInfoIBM1026.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM1026.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 42 00 4D 00 31 00 30 00 32 00 36 00 00 00 }
	condition:
		$1
}

rule function_113753_0 {
	meta:
		name = "TEncodingInfoIBMEBCDICATDE.Alias"
		size = 128
		refs = "000f TEncodingInfoIBMEBCDICATDE.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 41 00 54 00 2D 00 44 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 63 00 73 00 49 00 42 00 4D 00 45 00 42 00 43 00 44 00 49 00 43 00 41 00 54 00 44 00 45 00 00 00 }
	condition:
		$1
}

rule function_113755_0 {
	meta:
		name = "TEncodingInfoIBMEBCDICATDE.MIBenum"
		size = 6
	strings:
		$1 = { B8 10 08 00 00 C3 }
	condition:
		$1
}

rule function_113756_0 {
	meta:
		name = "TEncodingInfoIBMEBCDICATDE.Name"
		size = 60
		refs = "0006 TEncodingInfoIBMEBCDICATDE.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 41 00 54 00 2D 00 44 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_113758_0 {
	meta:
		name = "TEncodingInfoEBCDICATDEA.Alias"
		size = 128
		refs = "000f TEncodingInfoEBCDICATDEA.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 41 00 54 00 2D 00 44 00 45 00 2D 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 73 00 45 00 42 00 43 00 44 00 49 00 43 00 41 00 54 00 44 00 45 00 41 00 00 00 }
	condition:
		$1
}

rule function_113760_0 {
	meta:
		name = "TEncodingInfoEBCDICATDEA.MIBenum"
		size = 6
	strings:
		$1 = { B8 11 08 00 00 C3 }
	condition:
		$1
}

rule function_113761_0 {
	meta:
		name = "TEncodingInfoEBCDICATDEA.Name"
		size = 64
		refs = "0006 TEncodingInfoEBCDICATDEA.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 41 00 54 00 2D 00 44 00 45 00 2D 00 41 00 00 00 00 00 }
	condition:
		$1
}

rule function_113763_0 {
	meta:
		name = "TEncodingInfoEBCDICCAFR.Alias"
		size = 124
		refs = "000f TEncodingInfoEBCDICCAFR.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 43 00 41 00 2D 00 46 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 73 00 45 00 42 00 43 00 44 00 49 00 43 00 43 00 41 00 46 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_113765_0 {
	meta:
		name = "TEncodingInfoEBCDICCAFR.MIBenum"
		size = 6
	strings:
		$1 = { B8 12 08 00 00 C3 }
	condition:
		$1
}

rule function_113766_0 {
	meta:
		name = "TEncodingInfoEBCDICCAFR.Name"
		size = 60
		refs = "0006 TEncodingInfoEBCDICCAFR.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 43 00 41 00 2D 00 46 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_113768_0 {
	meta:
		name = "TEncodingInfoEBCDICDKNO.Alias"
		size = 124
		refs = "000f TEncodingInfoEBCDICDKNO.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 44 00 4B 00 2D 00 4E 00 4F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 73 00 45 00 42 00 43 00 44 00 49 00 43 00 44 00 4B 00 4E 00 4F 00 00 00 00 00 }
	condition:
		$1
}

rule function_113770_0 {
	meta:
		name = "TEncodingInfoEBCDICDKNO.MIBenum"
		size = 6
	strings:
		$1 = { B8 13 08 00 00 C3 }
	condition:
		$1
}

rule function_113771_0 {
	meta:
		name = "TEncodingInfoEBCDICDKNO.Name"
		size = 60
		refs = "0006 TEncodingInfoEBCDICDKNO.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 44 00 4B 00 2D 00 4E 00 4F 00 00 00 00 00 }
	condition:
		$1
}

rule function_113773_0 {
	meta:
		name = "TEncodingInfoEBCDICDKNOA.Alias"
		size = 128
		refs = "000f TEncodingInfoEBCDICDKNOA.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 44 00 4B 00 2D 00 4E 00 4F 00 2D 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 73 00 45 00 42 00 43 00 44 00 49 00 43 00 44 00 4B 00 4E 00 4F 00 41 00 00 00 }
	condition:
		$1
}

rule function_113775_0 {
	meta:
		name = "TEncodingInfoEBCDICDKNOA.MIBenum"
		size = 6
	strings:
		$1 = { B8 14 08 00 00 C3 }
	condition:
		$1
}

rule function_113776_0 {
	meta:
		name = "TEncodingInfoEBCDICDKNOA.Name"
		size = 64
		refs = "0006 TEncodingInfoEBCDICDKNOA.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 44 00 4B 00 2D 00 4E 00 4F 00 2D 00 41 00 00 00 00 00 }
	condition:
		$1
}

rule function_113778_0 {
	meta:
		name = "TEncodingInfoEBCDICFISE.Alias"
		size = 124
		refs = "000f TEncodingInfoEBCDICFISE.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 46 00 49 00 2D 00 53 00 45 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 73 00 45 00 42 00 43 00 44 00 49 00 43 00 46 00 49 00 53 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_113780_0 {
	meta:
		name = "TEncodingInfoEBCDICFISE.MIBenum"
		size = 6
	strings:
		$1 = { B8 15 08 00 00 C3 }
	condition:
		$1
}

rule function_113781_0 {
	meta:
		name = "TEncodingInfoEBCDICFISE.Name"
		size = 60
		refs = "0006 TEncodingInfoEBCDICFISE.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 46 00 49 00 2D 00 53 00 45 00 00 00 00 00 }
	condition:
		$1
}

rule function_113783_0 {
	meta:
		name = "TEncodingInfoEBCDICFISEA.Alias"
		size = 128
		refs = "000f TEncodingInfoEBCDICFISEA.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 46 00 49 00 2D 00 53 00 45 00 2D 00 41 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 73 00 45 00 42 00 43 00 44 00 49 00 43 00 46 00 49 00 53 00 45 00 41 00 00 00 }
	condition:
		$1
}

rule function_113785_0 {
	meta:
		name = "TEncodingInfoEBCDICFISEA.MIBenum"
		size = 6
	strings:
		$1 = { B8 16 08 00 00 C3 }
	condition:
		$1
}

rule function_113786_0 {
	meta:
		name = "TEncodingInfoEBCDICFISEA.Name"
		size = 64
		refs = "0006 TEncodingInfoEBCDICFISEA.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 46 00 49 00 2D 00 53 00 45 00 2D 00 41 00 00 00 00 00 }
	condition:
		$1
}

rule function_113788_0 {
	meta:
		name = "TEncodingInfoEBCDICFR.Alias"
		size = 112
		refs = "000f TEncodingInfoEBCDICFR.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 46 00 52 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 63 00 73 00 45 00 42 00 43 00 44 00 49 00 43 00 46 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_113790_0 {
	meta:
		name = "TEncodingInfoEBCDICFR.MIBenum"
		size = 6
	strings:
		$1 = { B8 17 08 00 00 C3 }
	condition:
		$1
}

rule function_113791_0 {
	meta:
		name = "TEncodingInfoEBCDICFR.Name"
		size = 52
		refs = "0006 TEncodingInfoEBCDICFR.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 46 00 52 00 00 00 }
	condition:
		$1
}

rule function_113793_0 {
	meta:
		name = "TEncodingInfoEBCDICIT.Alias"
		size = 112
		refs = "000f TEncodingInfoEBCDICIT.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 49 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 63 00 73 00 45 00 42 00 43 00 44 00 49 00 43 00 49 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_113795_0 {
	meta:
		name = "TEncodingInfoEBCDICIT.MIBenum"
		size = 6
	strings:
		$1 = { B8 18 08 00 00 C3 }
	condition:
		$1
}

rule function_113796_0 {
	meta:
		name = "TEncodingInfoEBCDICIT.Name"
		size = 52
		refs = "0006 TEncodingInfoEBCDICIT.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 49 00 54 00 00 00 }
	condition:
		$1
}

rule function_113798_0 {
	meta:
		name = "TEncodingInfoEBCDICPT.Alias"
		size = 112
		refs = "000f TEncodingInfoEBCDICPT.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 50 00 54 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 63 00 73 00 45 00 42 00 43 00 44 00 49 00 43 00 50 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_113800_0 {
	meta:
		name = "TEncodingInfoEBCDICPT.MIBenum"
		size = 6
	strings:
		$1 = { B8 19 08 00 00 C3 }
	condition:
		$1
}

rule function_113801_0 {
	meta:
		name = "TEncodingInfoEBCDICPT.Name"
		size = 52
		refs = "0006 TEncodingInfoEBCDICPT.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 50 00 54 00 00 00 }
	condition:
		$1
}

rule function_113803_0 {
	meta:
		name = "TEncodingInfoEBCDICES.Alias"
		size = 112
		refs = "000f TEncodingInfoEBCDICES.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 45 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 63 00 73 00 45 00 42 00 43 00 44 00 49 00 43 00 45 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_113805_0 {
	meta:
		name = "TEncodingInfoEBCDICES.MIBenum"
		size = 6
	strings:
		$1 = { B8 1A 08 00 00 C3 }
	condition:
		$1
}

rule function_113806_0 {
	meta:
		name = "TEncodingInfoEBCDICES.Name"
		size = 52
		refs = "0006 TEncodingInfoEBCDICES.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 45 00 53 00 00 00 }
	condition:
		$1
}

rule function_113808_0 {
	meta:
		name = "TEncodingInfoEBCDICESA.Alias"
		size = 116
		refs = "000f TEncodingInfoEBCDICESA.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 45 00 53 00 2D 00 41 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 45 00 42 00 43 00 44 00 49 00 43 00 45 00 53 00 41 00 00 00 }
	condition:
		$1
}

rule function_113810_0 {
	meta:
		name = "TEncodingInfoEBCDICESA.MIBenum"
		size = 6
	strings:
		$1 = { B8 1B 08 00 00 C3 }
	condition:
		$1
}

rule function_113811_0 {
	meta:
		name = "TEncodingInfoEBCDICESA.Name"
		size = 56
		refs = "0006 TEncodingInfoEBCDICESA.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 45 00 53 00 2D 00 41 00 00 00 }
	condition:
		$1
}

rule function_113813_0 {
	meta:
		name = "TEncodingInfoEBCDICESS.Alias"
		size = 116
		refs = "000f TEncodingInfoEBCDICESS.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 45 00 53 00 2D 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 73 00 45 00 42 00 43 00 44 00 49 00 43 00 45 00 53 00 53 00 00 00 }
	condition:
		$1
}

rule function_113815_0 {
	meta:
		name = "TEncodingInfoEBCDICESS.MIBenum"
		size = 6
	strings:
		$1 = { B8 1C 08 00 00 C3 }
	condition:
		$1
}

rule function_113816_0 {
	meta:
		name = "TEncodingInfoEBCDICESS.Name"
		size = 56
		refs = "0006 TEncodingInfoEBCDICESS.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 45 00 53 00 2D 00 53 00 00 00 }
	condition:
		$1
}

rule function_113818_0 {
	meta:
		name = "TEncodingInfoEBCDICUK.Alias"
		size = 112
		refs = "000f TEncodingInfoEBCDICUK.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 55 00 4B 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 63 00 73 00 45 00 42 00 43 00 44 00 49 00 43 00 55 00 4B 00 00 00 00 00 }
	condition:
		$1
}

rule function_113820_0 {
	meta:
		name = "TEncodingInfoEBCDICUK.MIBenum"
		size = 6
	strings:
		$1 = { B8 1D 08 00 00 C3 }
	condition:
		$1
}

rule function_113821_0 {
	meta:
		name = "TEncodingInfoEBCDICUK.Name"
		size = 52
		refs = "0006 TEncodingInfoEBCDICUK.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 55 00 4B 00 00 00 }
	condition:
		$1
}

rule function_113823_0 {
	meta:
		name = "TEncodingInfoEBCDICUS.Alias"
		size = 112
		refs = "000f TEncodingInfoEBCDICUS.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 55 00 53 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 63 00 73 00 45 00 42 00 43 00 44 00 49 00 43 00 55 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_113825_0 {
	meta:
		name = "TEncodingInfoEBCDICUS.MIBenum"
		size = 6
	strings:
		$1 = { B8 1E 08 00 00 C3 }
	condition:
		$1
}

rule function_113826_0 {
	meta:
		name = "TEncodingInfoEBCDICUS.Name"
		size = 52
		refs = "0006 TEncodingInfoEBCDICUS.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 45 00 42 00 43 00 44 00 49 00 43 00 2D 00 55 00 53 00 00 00 }
	condition:
		$1
}

rule function_113828_0 {
	meta:
		name = "TEncodingInfoUnknown8Bit.Alias"
		size = 124
		refs = "000f TEncodingInfoUnknown8Bit.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 55 00 4E 00 4B 00 4E 00 4F 00 57 00 4E 00 2D 00 38 00 42 00 49 00 54 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 63 00 73 00 55 00 6E 00 6B 00 6F 00 77 00 6E 00 38 00 42 00 69 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_113830_0 {
	meta:
		name = "TEncodingInfoUnknown8Bit.MIBenum"
		size = 6
	strings:
		$1 = { B8 1F 08 00 00 C3 }
	condition:
		$1
}

rule function_113831_0 {
	meta:
		name = "TEncodingInfoUnknown8Bit.Name"
		size = 36
		refs = "0006 TEncodingInfoUnknown8Bit.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 32 00 00 00 }
	condition:
		$1
}

rule function_113833_0 {
	meta:
		name = "TEncodingInfoMnemonic.Alias"
		size = 112
		refs = "000f TEncodingInfoMnemonic.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 4E 00 45 00 4D 00 4F 00 4E 00 49 00 43 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 63 00 73 00 4D 00 6E 00 65 00 6D 00 6F 00 6E 00 69 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_113835_0 {
	meta:
		name = "TEncodingInfoMnemonic.MIBenum"
		size = 6
	strings:
		$1 = { B8 20 08 00 00 C3 }
	condition:
		$1
}

rule function_113836_0 {
	meta:
		name = "TEncodingInfoMnemonic.Name"
		size = 52
		refs = "0006 TEncodingInfoMnemonic.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4D 00 4E 00 45 00 4D 00 4F 00 4E 00 49 00 43 00 00 00 00 00 }
	condition:
		$1
}

rule function_113838_0 {
	meta:
		name = "TEncodingInfoMnem.Alias"
		size = 96
		refs = "000f TEncodingInfoMnem.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4E 00 45 00 4D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 73 00 4D 00 6E 00 65 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_113840_0 {
	meta:
		name = "TEncodingInfoMnem.MIBenum"
		size = 6
	strings:
		$1 = { B8 21 08 00 00 C3 }
	condition:
		$1
}

rule function_113841_0 {
	meta:
		name = "TEncodingInfoMnem.Name"
		size = 44
		refs = "0006 TEncodingInfoMnem.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4D 00 4E 00 45 00 4D 00 00 00 00 00 }
	condition:
		$1
}

rule function_113843_0 {
	meta:
		name = "TEncodingInfoVISCII.Alias"
		size = 104
		refs = "000f TEncodingInfoVISCII.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 06 00 00 00 56 00 49 00 53 00 43 00 49 00 49 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 56 00 49 00 53 00 43 00 49 00 49 00 00 00 00 00 }
	condition:
		$1
}

rule function_113845_0 {
	meta:
		name = "TEncodingInfoVISCII.MIBenum"
		size = 6
	strings:
		$1 = { B8 22 08 00 00 C3 }
	condition:
		$1
}

rule function_113846_0 {
	meta:
		name = "TEncodingInfoVISCII.Name"
		size = 48
		refs = "0006 TEncodingInfoVISCII.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 56 00 49 00 53 00 43 00 49 00 49 00 00 00 00 00 }
	condition:
		$1
}

rule function_113848_0 {
	meta:
		name = "TEncodingInfoVIQR.Alias"
		size = 96
		refs = "000f TEncodingInfoVIQR.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 04 00 00 00 56 00 49 00 51 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 73 00 56 00 49 00 51 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_113850_0 {
	meta:
		name = "TEncodingInfoVIQR.MIBenum"
		size = 6
	strings:
		$1 = { B8 23 08 00 00 C3 }
	condition:
		$1
}

rule function_113851_0 {
	meta:
		name = "TEncodingInfoVIQR.Name"
		size = 44
		refs = "0006 TEncodingInfoVIQR.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 56 00 49 00 51 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_113853_0 {
	meta:
		name = "TEncodingInfoKOI8R.Alias"
		size = 100
		refs = "000f TEncodingInfoKOI8R.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 06 00 00 00 4B 00 4F 00 49 00 38 00 2D 00 52 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 73 00 4B 00 4F 00 49 00 38 00 52 00 00 00 }
	condition:
		$1
}

rule function_113855_0 {
	meta:
		name = "TEncodingInfoKOI8R.MIBenum"
		size = 6
	strings:
		$1 = { B8 24 08 00 00 C3 }
	condition:
		$1
}

rule function_113856_0 {
	meta:
		name = "TEncodingInfoKOI8R.Name"
		size = 48
		refs = "0006 TEncodingInfoKOI8R.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4B 00 4F 00 49 00 38 00 2D 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_113858_0 {
	meta:
		name = "TEncodingInfoHZGB2312.Alias"
		size = 64
		refs = "000b TEncodingInfoHZGB2312.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 48 00 5A 00 2D 00 47 00 42 00 2D 00 32 00 33 00 31 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_113860_0 {
	meta:
		name = "TEncodingInfoHZGB2312.MIBenum"
		size = 6
	strings:
		$1 = { B8 25 08 00 00 C3 }
	condition:
		$1
}

rule function_113861_0 {
	meta:
		name = "TEncodingInfoHZGB2312.Name"
		size = 56
		refs = "0006 TEncodingInfoHZGB2312.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 48 00 5A 00 2D 00 47 00 42 00 2D 00 32 00 33 00 31 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_113863_0 {
	meta:
		name = "TEncodingInfoIBM866.Alias"
		size = 184
		refs = "0015 TEncodingInfoIBM866.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 38 00 36 00 36 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 38 00 36 00 36 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 63 00 73 00 49 00 42 00 4D 00 38 00 36 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_113865_0 {
	meta:
		name = "TEncodingInfoIBM866.MIBenum"
		size = 6
	strings:
		$1 = { B8 26 08 00 00 C3 }
	condition:
		$1
}

rule function_113866_0 {
	meta:
		name = "TEncodingInfoIBM866.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM866.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 38 00 36 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_113868_0 {
	meta:
		name = "TEncodingInfoPC775Baltic.Alias"
		size = 156
		refs = "0012 TEncodingInfoPC775Baltic.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 37 00 37 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 70 00 37 00 37 00 35 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 63 00 73 00 50 00 43 00 37 00 37 00 35 00 42 00 61 00 6C 00 74 00 69 00 63 00 00 00 }
	condition:
		$1
}

rule function_113870_0 {
	meta:
		name = "TEncodingInfoPC775Baltic.MIBenum"
		size = 6
	strings:
		$1 = { B8 27 08 00 00 C3 }
	condition:
		$1
}

rule function_113871_0 {
	meta:
		name = "TEncodingInfoPC775Baltic.Name"
		size = 48
		refs = "0006 TEncodingInfoPC775Baltic.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 42 00 4D 00 37 00 37 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_113873_0 {
	meta:
		name = "TEncodingInfoKOI8U.Alias"
		size = 56
		refs = "000b TEncodingInfoKOI8U.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4B 00 4F 00 49 00 38 00 2D 00 55 00 00 00 00 00 }
	condition:
		$1
}

rule function_113875_0 {
	meta:
		name = "TEncodingInfoKOI8U.MIBenum"
		size = 6
	strings:
		$1 = { B8 28 08 00 00 C3 }
	condition:
		$1
}

rule function_113876_0 {
	meta:
		name = "TEncodingInfoKOI8U.Name"
		size = 48
		refs = "0006 TEncodingInfoKOI8U.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 4B 00 4F 00 49 00 38 00 2D 00 55 00 00 00 00 00 }
	condition:
		$1
}

rule function_113878_0 {
	meta:
		name = "TEncodingInfoIBM00858.Alias"
		size = 240
		refs = "0015 TEncodingInfoIBM00858.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 30 00 38 00 35 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 43 00 53 00 49 00 44 00 30 00 30 00 38 00 35 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 50 00 30 00 30 00 38 00 35 00 38 00 00 00 B0 04 02 00 FF FF FF FF 18 00 00 00 50 00 43 00 2D 00 4D 00 75 00 6C 00 74 00 69 00 6C 00 69 00 6E 00 67 00 75 00 61 00 6C 00 2D 00 38 00 35 00 30 00 2B 00 65 00 75 00 72 00 6F 00 00 00 00 00 }
	condition:
		$1
}

rule function_113880_0 {
	meta:
		name = "TEncodingInfoIBM00858.MIBenum"
		size = 6
	strings:
		$1 = { B8 29 08 00 00 C3 }
	condition:
		$1
}

rule function_113881_0 {
	meta:
		name = "TEncodingInfoIBM00858.Name"
		size = 52
		refs = "0006 TEncodingInfoIBM00858.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 30 00 38 00 35 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_113883_0 {
	meta:
		name = "TEncodingInfoIBM00924.Alias"
		size = 228
		refs = "0015 TEncodingInfoIBM00924.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 30 00 39 00 32 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 43 00 53 00 49 00 44 00 30 00 30 00 39 00 32 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 50 00 30 00 30 00 39 00 32 00 34 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 4C 00 61 00 74 00 69 00 6E 00 39 00 2D 00 2D 00 65 00 75 00 72 00 6F 00 00 00 }
	condition:
		$1
}

rule function_113885_0 {
	meta:
		name = "TEncodingInfoIBM00924.MIBenum"
		size = 6
	strings:
		$1 = { B8 2A 08 00 00 C3 }
	condition:
		$1
}

rule function_113886_0 {
	meta:
		name = "TEncodingInfoIBM00924.Name"
		size = 52
		refs = "0006 TEncodingInfoIBM00924.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 30 00 39 00 32 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_113888_0 {
	meta:
		name = "TEncodingInfoIBM01140.Alias"
		size = 224
		refs = "0015 TEncodingInfoIBM01140.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 31 00 31 00 34 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 43 00 53 00 49 00 44 00 30 00 31 00 31 00 34 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 50 00 30 00 31 00 31 00 34 00 30 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 75 00 73 00 2D 00 33 00 37 00 2B 00 65 00 75 00 72 00 6F 00 00 00 }
	condition:
		$1
}

rule function_113890_0 {
	meta:
		name = "TEncodingInfoIBM01140.MIBenum"
		size = 6
	strings:
		$1 = { B8 2B 08 00 00 C3 }
	condition:
		$1
}

rule function_113891_0 {
	meta:
		name = "TEncodingInfoIBM01140.Name"
		size = 52
		refs = "0006 TEncodingInfoIBM01140.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 31 00 31 00 34 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113893_0 {
	meta:
		name = "TEncodingInfoIBM01141.Alias"
		size = 228
		refs = "0015 TEncodingInfoIBM01141.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 31 00 31 00 34 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 43 00 53 00 49 00 44 00 30 00 31 00 31 00 34 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 50 00 30 00 31 00 31 00 34 00 31 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 64 00 65 00 2D 00 32 00 37 00 33 00 2B 00 65 00 75 00 72 00 6F 00 00 00 00 00 }
	condition:
		$1
}

rule function_113895_0 {
	meta:
		name = "TEncodingInfoIBM01141.MIBenum"
		size = 6
	strings:
		$1 = { B8 2C 08 00 00 C3 }
	condition:
		$1
}

rule function_113896_0 {
	meta:
		name = "TEncodingInfoIBM01141.Name"
		size = 52
		refs = "0006 TEncodingInfoIBM01141.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 31 00 31 00 34 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113898_0 {
	meta:
		name = "TEncodingInfoIBM01142.Alias"
		size = 312
		refs = "000b TEncodingInfoIBM01142.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 31 00 31 00 34 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 43 00 53 00 49 00 44 00 30 00 31 00 31 00 34 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 50 00 30 00 31 00 31 00 34 00 32 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 64 00 6B 00 2D 00 32 00 37 00 37 00 2B 00 65 00 75 00 72 00 6F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 6E 00 6F 00 2D 00 32 00 37 00 37 00 2B 00 65 00 75 00 72 00 6F 00 00 00 00 00 }
	condition:
		$1
}

rule function_113900_0 {
	meta:
		name = "TEncodingInfoIBM01142.MIBenum"
		size = 6
	strings:
		$1 = { B8 2D 08 00 00 C3 }
	condition:
		$1
}

rule function_113901_0 {
	meta:
		name = "TEncodingInfoIBM01142.Name"
		size = 52
		refs = "0006 TEncodingInfoIBM01142.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 31 00 31 00 34 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_113903_0 {
	meta:
		name = "TEncodingInfoIBM01143.Alias"
		size = 312
		refs = "000b TEncodingInfoIBM01143.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 31 00 31 00 34 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 43 00 53 00 49 00 44 00 30 00 31 00 31 00 34 00 33 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 50 00 30 00 31 00 31 00 34 00 33 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 66 00 69 00 2D 00 32 00 37 00 38 00 2B 00 65 00 75 00 72 00 6F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 73 00 65 00 2D 00 32 00 37 00 38 00 2B 00 65 00 75 00 72 00 6F 00 00 00 00 00 }
	condition:
		$1
}

rule function_113905_0 {
	meta:
		name = "TEncodingInfoIBM01143.MIBenum"
		size = 6
	strings:
		$1 = { B8 2E 08 00 00 C3 }
	condition:
		$1
}

rule function_113906_0 {
	meta:
		name = "TEncodingInfoIBM01143.Name"
		size = 52
		refs = "0006 TEncodingInfoIBM01143.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 31 00 31 00 34 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_113908_0 {
	meta:
		name = "TEncodingInfoIBM01144.Alias"
		size = 228
		refs = "0015 TEncodingInfoIBM01144.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 31 00 31 00 34 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 43 00 53 00 49 00 44 00 30 00 31 00 31 00 34 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 50 00 30 00 31 00 31 00 34 00 34 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 69 00 74 00 2D 00 32 00 38 00 30 00 2B 00 65 00 75 00 72 00 6F 00 00 00 00 00 }
	condition:
		$1
}

rule function_113910_0 {
	meta:
		name = "TEncodingInfoIBM01144.MIBenum"
		size = 6
	strings:
		$1 = { B8 2F 08 00 00 C3 }
	condition:
		$1
}

rule function_113911_0 {
	meta:
		name = "TEncodingInfoIBM01144.Name"
		size = 52
		refs = "0006 TEncodingInfoIBM01144.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 31 00 31 00 34 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_113913_0 {
	meta:
		name = "TEncodingInfoIBM01145.Alias"
		size = 228
		refs = "0015 TEncodingInfoIBM01145.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 31 00 31 00 34 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 43 00 53 00 49 00 44 00 30 00 31 00 31 00 34 00 35 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 50 00 30 00 31 00 31 00 34 00 35 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 65 00 73 00 2D 00 32 00 38 00 34 00 2B 00 65 00 75 00 72 00 6F 00 00 00 00 00 }
	condition:
		$1
}

rule function_113915_0 {
	meta:
		name = "TEncodingInfoIBM01145.MIBenum"
		size = 6
	strings:
		$1 = { B8 30 08 00 00 C3 }
	condition:
		$1
}

rule function_113916_0 {
	meta:
		name = "TEncodingInfoIBM01145.Name"
		size = 52
		refs = "0006 TEncodingInfoIBM01145.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 31 00 31 00 34 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_113918_0 {
	meta:
		name = "TEncodingInfoIBM01146.Alias"
		size = 228
		refs = "0015 TEncodingInfoIBM01146.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 31 00 31 00 34 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 43 00 53 00 49 00 44 00 30 00 31 00 31 00 34 00 36 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 50 00 30 00 31 00 31 00 34 00 36 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 67 00 62 00 2D 00 32 00 38 00 35 00 2B 00 65 00 75 00 72 00 6F 00 00 00 00 00 }
	condition:
		$1
}

rule function_113920_0 {
	meta:
		name = "TEncodingInfoIBM01146.MIBenum"
		size = 6
	strings:
		$1 = { B8 31 08 00 00 C3 }
	condition:
		$1
}

rule function_113921_0 {
	meta:
		name = "TEncodingInfoIBM01146.Name"
		size = 52
		refs = "0006 TEncodingInfoIBM01146.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 31 00 31 00 34 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_113923_0 {
	meta:
		name = "TEncodingInfoIBM01147.Alias"
		size = 228
		refs = "0015 TEncodingInfoIBM01147.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 31 00 31 00 34 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 43 00 53 00 49 00 44 00 30 00 31 00 31 00 34 00 37 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 50 00 30 00 31 00 31 00 34 00 37 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 66 00 72 00 2D 00 32 00 39 00 37 00 2B 00 65 00 75 00 72 00 6F 00 00 00 00 00 }
	condition:
		$1
}

rule function_113925_0 {
	meta:
		name = "TEncodingInfoIBM01147.MIBenum"
		size = 6
	strings:
		$1 = { B8 32 08 00 00 C3 }
	condition:
		$1
}

rule function_113926_0 {
	meta:
		name = "TEncodingInfoIBM01147.Name"
		size = 52
		refs = "0006 TEncodingInfoIBM01147.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 31 00 31 00 34 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_113928_0 {
	meta:
		name = "TEncodingInfoIBM01148.Alias"
		size = 248
		refs = "0015 TEncodingInfoIBM01148.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 31 00 31 00 34 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 43 00 53 00 49 00 44 00 30 00 31 00 31 00 34 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 50 00 30 00 31 00 31 00 34 00 38 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 69 00 6E 00 74 00 65 00 72 00 6E 00 61 00 74 00 69 00 6F 00 6E 00 61 00 6C 00 2D 00 35 00 30 00 30 00 2B 00 65 00 75 00 72 00 6F 00 00 00 }
	condition:
		$1
}

rule function_113930_0 {
	meta:
		name = "TEncodingInfoIBM01148.MIBenum"
		size = 6
	strings:
		$1 = { B8 33 08 00 00 C3 }
	condition:
		$1
}

rule function_113931_0 {
	meta:
		name = "TEncodingInfoIBM01148.Name"
		size = 52
		refs = "0006 TEncodingInfoIBM01148.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 31 00 31 00 34 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_113933_0 {
	meta:
		name = "TEncodingInfoIBM01149.Alias"
		size = 228
		refs = "0015 TEncodingInfoIBM01149.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 31 00 31 00 34 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 43 00 43 00 53 00 49 00 44 00 30 00 31 00 31 00 34 00 39 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 43 00 50 00 30 00 31 00 31 00 34 00 39 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 65 00 62 00 63 00 64 00 69 00 63 00 2D 00 69 00 73 00 2D 00 38 00 37 00 31 00 2B 00 65 00 75 00 72 00 6F 00 00 00 00 00 }
	condition:
		$1
}

rule function_113935_0 {
	meta:
		name = "TEncodingInfoIBM01149.MIBenum"
		size = 6
	strings:
		$1 = { B8 34 08 00 00 C3 }
	condition:
		$1
}

rule function_113936_0 {
	meta:
		name = "TEncodingInfoIBM01149.Name"
		size = 52
		refs = "0006 TEncodingInfoIBM01149.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 30 00 31 00 31 00 34 00 39 00 00 00 00 00 }
	condition:
		$1
}

rule function_113938_0 {
	meta:
		name = "TEncodingInfoBig5HKSCS.Alias"
		size = 64
		refs = "000b TEncodingInfoBig5HKSCS.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 42 00 69 00 67 00 35 00 2D 00 48 00 4B 00 53 00 43 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_113940_0 {
	meta:
		name = "TEncodingInfoBig5HKSCS.MIBenum"
		size = 6
	strings:
		$1 = { B8 35 08 00 00 C3 }
	condition:
		$1
}

rule function_113941_0 {
	meta:
		name = "TEncodingInfoBig5HKSCS.Name"
		size = 56
		refs = "0006 TEncodingInfoBig5HKSCS.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 42 00 69 00 67 00 35 00 2D 00 48 00 4B 00 53 00 43 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_113943_0 {
	meta:
		name = "TEncodingInfoIBM1047.Alias"
		size = 104
		refs = "000f TEncodingInfoIBM1047.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 42 00 4D 00 31 00 30 00 34 00 37 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 49 00 42 00 4D 00 2D 00 31 00 30 00 34 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_113945_0 {
	meta:
		name = "TEncodingInfoIBM1047.MIBenum"
		size = 6
	strings:
		$1 = { B8 36 08 00 00 C3 }
	condition:
		$1
}

rule function_113946_0 {
	meta:
		name = "TEncodingInfoIBM1047.Name"
		size = 48
		refs = "0006 TEncodingInfoIBM1047.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 49 00 42 00 4D 00 31 00 30 00 34 00 37 00 00 00 }
	condition:
		$1
}

rule function_113948_0 {
	meta:
		name = "TEncodingInfoPTCP154.Alias"
		size = 264
		refs = "000b TEncodingInfoPTCP154.Alias 002b @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 FA 04 77 61 FF 24 95 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 54 00 43 00 50 00 31 00 35 00 34 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 63 00 73 00 50 00 54 00 43 00 50 00 31 00 35 00 34 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 50 00 54 00 31 00 35 00 34 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 43 00 50 00 31 00 35 00 34 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 43 00 79 00 72 00 69 00 6C 00 6C 00 69 00 63 00 2D 00 41 00 73 00 69 00 61 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_113950_0 {
	meta:
		name = "TEncodingInfoPTCP154.MIBenum"
		size = 6
	strings:
		$1 = { B8 37 08 00 00 C3 }
	condition:
		$1
}

rule function_113951_0 {
	meta:
		name = "TEncodingInfoPTCP154.Name"
		size = 48
		refs = "0006 TEncodingInfoPTCP154.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 50 00 54 00 43 00 50 00 31 00 35 00 34 00 00 00 }
	condition:
		$1
}

rule function_113953_0 {
	meta:
		name = "TEncodingInfoAmiga1251.Alias"
		size = 208
		refs = "0015 TEncodingInfoAmiga1251.Alias 001a @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 0A 74 16 4A 74 21 4A 74 2C EB 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 41 00 6D 00 69 00 67 00 61 00 2D 00 31 00 32 00 35 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 41 00 6D 00 69 00 31 00 32 00 35 00 31 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 41 00 6D 00 69 00 67 00 61 00 31 00 32 00 35 00 31 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 41 00 6D 00 69 00 2D 00 31 00 32 00 35 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113955_0 {
	meta:
		name = "TEncodingInfoAmiga1251.MIBenum"
		size = 6
	strings:
		$1 = { B8 38 08 00 00 C3 }
	condition:
		$1
}

rule function_113956_0 {
	meta:
		name = "TEncodingInfoAmiga1251.Name"
		size = 56
		refs = "0006 TEncodingInfoAmiga1251.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 41 00 6D 00 69 00 67 00 61 00 2D 00 31 00 32 00 35 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113958_0 {
	meta:
		name = "TEncodingInfoKOI7switched.Alias"
		size = 68
		refs = "000b TEncodingInfoKOI7switched.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4B 00 4F 00 49 00 37 00 2D 00 73 00 77 00 69 00 74 00 63 00 68 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_113960_0 {
	meta:
		name = "TEncodingInfoKOI7switched.MIBenum"
		size = 6
	strings:
		$1 = { B8 39 08 00 00 C3 }
	condition:
		$1
}

rule function_113961_0 {
	meta:
		name = "TEncodingInfoKOI7switched.Name"
		size = 60
		refs = "0006 TEncodingInfoKOI7switched.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 4B 00 4F 00 49 00 37 00 2D 00 73 00 77 00 69 00 74 00 63 00 68 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_113963_0 {
	meta:
		name = "TEncodingInfoBRF.Alias"
		size = 88
		refs = "000f TEncodingInfoBRF.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 03 00 00 00 42 00 52 00 46 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 63 00 73 00 42 00 52 00 46 00 00 00 }
	condition:
		$1
}

rule function_113965_0 {
	meta:
		name = "TEncodingInfoBRF.MIBenum"
		size = 6
	strings:
		$1 = { B8 3A 08 00 00 C3 }
	condition:
		$1
}

rule function_113966_0 {
	meta:
		name = "TEncodingInfoBRF.Name"
		size = 40
		refs = "0006 TEncodingInfoBRF.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 42 00 52 00 46 00 00 00 }
	condition:
		$1
}

rule function_113968_0 {
	meta:
		name = "TEncodingInfoTSCII.Alias"
		size = 96
		refs = "000f TEncodingInfoTSCII.Alias 0014 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 04 74 10 EB 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 53 00 43 00 49 00 49 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 73 00 54 00 53 00 43 00 49 00 49 00 00 00 }
	condition:
		$1
}

rule function_113970_0 {
	meta:
		name = "TEncodingInfoTSCII.MIBenum"
		size = 6
	strings:
		$1 = { B8 3B 08 00 00 C3 }
	condition:
		$1
}

rule function_113971_0 {
	meta:
		name = "TEncodingInfoTSCII.Name"
		size = 44
		refs = "0006 TEncodingInfoTSCII.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 53 00 43 00 49 00 49 00 00 00 }
	condition:
		$1
}

rule function_113973_0 {
	meta:
		name = "TEncodingInfoWindows1250.Alias"
		size = 164
		refs = "0012 TEncodingInfoWindows1250.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 70 00 31 00 32 00 35 00 30 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 57 00 69 00 6E 00 4C 00 61 00 74 00 69 00 6E 00 32 00 00 00 }
	condition:
		$1
}

rule function_113975_0 {
	meta:
		name = "TEncodingInfoWindows1250.MIBenum"
		size = 6
	strings:
		$1 = { B8 CA 08 00 00 C3 }
	condition:
		$1
}

rule function_113976_0 {
	meta:
		name = "TEncodingInfoWindows1250.Name"
		size = 60
		refs = "0006 TEncodingInfoWindows1250.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_113978_0 {
	meta:
		name = "TEncodingInfoWindows1251.Alias"
		size = 168
		refs = "0012 TEncodingInfoWindows1251.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 70 00 31 00 32 00 35 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 57 00 69 00 6E 00 43 00 79 00 72 00 69 00 6C 00 6C 00 69 00 63 00 00 00 }
	condition:
		$1
}

rule function_113980_0 {
	meta:
		name = "TEncodingInfoWindows1251.MIBenum"
		size = 6
	strings:
		$1 = { B8 CB 08 00 00 C3 }
	condition:
		$1
}

rule function_113981_0 {
	meta:
		name = "TEncodingInfoWindows1251.Name"
		size = 60
		refs = "0006 TEncodingInfoWindows1251.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 31 00 00 00 00 00 }
	condition:
		$1
}

rule function_113983_0 {
	meta:
		name = "TEncodingInfoWindows1252.Alias"
		size = 164
		refs = "0012 TEncodingInfoWindows1252.Alias 0017 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 72 07 74 13 4A 74 1E EB 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 70 00 31 00 32 00 35 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 57 00 69 00 6E 00 4C 00 61 00 74 00 69 00 6E 00 31 00 00 00 }
	condition:
		$1
}

rule function_113985_0 {
	meta:
		name = "TEncodingInfoWindows1252.MIBenum"
		size = 6
	strings:
		$1 = { B8 CC 08 00 00 C3 }
	condition:
		$1
}

rule function_113986_0 {
	meta:
		name = "TEncodingInfoWindows1252.Name"
		size = 60
		refs = "0006 TEncodingInfoWindows1252.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 32 00 00 00 00 00 }
	condition:
		$1
}

rule function_113988_0 {
	meta:
		name = "TEncodingInfoWindows1253.Alias"
		size = 68
		refs = "000b TEncodingInfoWindows1253.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_113990_0 {
	meta:
		name = "TEncodingInfoWindows1253.MIBenum"
		size = 6
	strings:
		$1 = { B8 CD 08 00 00 C3 }
	condition:
		$1
}

rule function_113991_0 {
	meta:
		name = "TEncodingInfoWindows1253.Name"
		size = 60
		refs = "0006 TEncodingInfoWindows1253.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 33 00 00 00 00 00 }
	condition:
		$1
}

rule function_113993_0 {
	meta:
		name = "TEncodingInfoWindows1254.Alias"
		size = 68
		refs = "000b TEncodingInfoWindows1254.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_113995_0 {
	meta:
		name = "TEncodingInfoWindows1254.MIBenum"
		size = 6
	strings:
		$1 = { B8 CE 08 00 00 C3 }
	condition:
		$1
}

rule function_113996_0 {
	meta:
		name = "TEncodingInfoWindows1254.Name"
		size = 60
		refs = "0006 TEncodingInfoWindows1254.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 34 00 00 00 00 00 }
	condition:
		$1
}

rule function_113998_0 {
	meta:
		name = "TEncodingInfoWindows1255.Alias"
		size = 68
		refs = "000b TEncodingInfoWindows1255.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_114000_0 {
	meta:
		name = "TEncodingInfoWindows1255.MIBenum"
		size = 6
	strings:
		$1 = { B8 CF 08 00 00 C3 }
	condition:
		$1
}

rule function_114001_0 {
	meta:
		name = "TEncodingInfoWindows1255.Name"
		size = 60
		refs = "0006 TEncodingInfoWindows1255.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 35 00 00 00 00 00 }
	condition:
		$1
}

rule function_114003_0 {
	meta:
		name = "TEncodingInfoWindows1256.Alias"
		size = 68
		refs = "000b TEncodingInfoWindows1256.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_114005_0 {
	meta:
		name = "TEncodingInfoWindows1256.MIBenum"
		size = 6
	strings:
		$1 = { B8 D0 08 00 00 C3 }
	condition:
		$1
}

rule function_114006_0 {
	meta:
		name = "TEncodingInfoWindows1256.Name"
		size = 60
		refs = "0006 TEncodingInfoWindows1256.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 36 00 00 00 00 00 }
	condition:
		$1
}

rule function_114008_0 {
	meta:
		name = "TEncodingInfoWindows1257.Alias"
		size = 68
		refs = "000b TEncodingInfoWindows1257.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_114010_0 {
	meta:
		name = "TEncodingInfoWindows1257.MIBenum"
		size = 6
	strings:
		$1 = { B8 D1 08 00 00 C3 }
	condition:
		$1
}

rule function_114011_0 {
	meta:
		name = "TEncodingInfoWindows1257.Name"
		size = 60
		refs = "0006 TEncodingInfoWindows1257.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 37 00 00 00 00 00 }
	condition:
		$1
}

rule function_114013_0 {
	meta:
		name = "TEncodingInfoWindows1258.Alias"
		size = 68
		refs = "000b TEncodingInfoWindows1258.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_114015_0 {
	meta:
		name = "TEncodingInfoWindows1258.MIBenum"
		size = 6
	strings:
		$1 = { B8 D2 08 00 00 C3 }
	condition:
		$1
}

rule function_114016_0 {
	meta:
		name = "TEncodingInfoWindows1258.Name"
		size = 60
		refs = "0006 TEncodingInfoWindows1258.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 77 00 69 00 6E 00 64 00 6F 00 77 00 73 00 2D 00 31 00 32 00 35 00 38 00 00 00 00 00 }
	condition:
		$1
}

rule function_114018_0 {
	meta:
		name = "TEncodingInfoTIS620.Alias"
		size = 56
		refs = "000b TEncodingInfoTIS620.Alias 0010 @UStrAsg"
	strings:
		$1 = { 53 8B D9 83 EA 01 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 FF 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 49 00 53 00 2D 00 36 00 32 00 30 00 00 00 }
	condition:
		$1
}

rule function_114020_0 {
	meta:
		name = "TEncodingInfoTIS620.MIBenum"
		size = 6
	strings:
		$1 = { B8 D3 08 00 00 C3 }
	condition:
		$1
}

rule function_114021_0 {
	meta:
		name = "TEncodingInfoTIS620.Name"
		size = 48
		refs = "0006 TEncodingInfoTIS620.Name 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 54 00 49 00 53 00 2D 00 36 00 32 00 30 00 00 00 }
	condition:
		$1
}

rule function_114025_0 {
	meta:
		name = "IsRFC3066LanguageTag"
		size = 161
		refs = "002e IsAbnfALPHAChar 004b IsAbnfDIGITChar"
	strings:
		$1 = { 53 56 57 55 51 8B F8 33 ED C6 04 24 01 C6 44 24 01 01 8B C7 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 7E 6B BB 01 00 00 00 0F B7 44 5F FE E8 ?? ?? ?? ?? 84 C0 74 0F C6 44 24 01 00 45 83 FD 08 7E 49 33 C0 EB 56 0F B7 44 5F FE E8 ?? ?? ?? ?? 84 C0 74 19 80 3C 24 00 74 04 33 C0 EB 3E C6 44 24 01 00 45 83 FD 08 7E 22 33 C0 EB 2F 66 83 7C 5F FE 2D 75 16 80 7C 24 01 00 74 04 33 C0 EB 1C C6 04 24 00 C6 44 24 01 01 33 ED 43 4E 75 9A 80 7C 24 01 00 74 04 33 C0 EB 02 B0 01 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114026_0 {
	meta:
		name = "IsSubLanguage"
		size = 312
		refs = "0017 IsSubLanguage 004a @UStrFromWStr 0062 CompareText 00aa @WStrCopy 00c8 @WStrCat3 00fc @WStrClr 0104 @UStrClr 0119 @UStrArrayClr 011f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B C1 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F3 8B D6 85 D2 74 07 83 EA 04 8B 12 D1 EA 3B D0 75 2B 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F4 5A E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 EB 7C 8B C1 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D6 85 D2 74 07 83 EA 04 8B 12 D1 EA 3B D0 7D 5C 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 EC 50 8D 4E 01 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 E4 B9 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 58 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 8B C3 5E 5B 8B E5 5D C3 00 00 00 02 00 00 00 2D 00 00 00 }
	condition:
		$1
}

rule function_114027_0 {
	meta:
		name = "TIso639Info.Create"
		size = 100
		refs = "000b @ClassCreate 0018 TObject.Create 0021 TIso639Info.Create 003a @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 56 8D 7E 06 BE ?? ?? ?? ?? A5 A5 A5 A5 A4 5E C6 46 05 18 C6 46 04 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5F 5E 5B C3 00 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_114028_0 {
	meta:
		name = "TIso639Info.AssignTo"
		size = 431
		refs = "0015 TIso639Info.AssignTo 0024 _Dn_TStrings 0029 @IsClass 003b TStrings.BeginUpdate 0077 @UStrFromWStr 009c @HandleAnyException 00a9 @RaiseAgain 00ae @DoneExcept 00c3 TStrings.EndUpdate 00c9 @HandleFinally 00d4 _Dn_TUtilsWideStringList 017a TPersistent.AssignTo 0194 @WStrArrayClr 019c @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9A 00 00 00 8B 7D FC 8B C7 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 10 FF 52 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B D3 8D 4D F4 8B C6 8B 38 FF 57 10 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8B 55 F8 8B CB 8B 45 FC 8B 38 FF 57 3C 43 81 FB 88 00 00 00 75 D3 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 44 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 8F 00 00 00 8B 5D FC 8B C3 8B 10 FF 52 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 48 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B D3 8D 4D F0 8B C6 8B 38 FF 57 10 8B 55 F0 8B CB 8B 45 FC 8B 38 FF 57 38 43 81 FB 88 00 00 00 75 DE 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 48 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 50 C3 E9 ?? ?? ?? ?? EB F0 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114029_0 {
	meta:
		name = "TIso639Info.CodeToName"
		size = 120
		refs = "0018 TIso639Info.CodeToName_en 001f TIso639Info.CodeToName 0026 _Dn_EConvertError 002b Exception.Create 0030 @RaiseExcept"
	strings:
		$1 = { 53 56 57 8B F9 8B DA 8B F0 0F B6 46 05 2C 18 75 0D 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 18 00 00 00 43 00 6F 00 6E 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_114030_0 {
	meta:
		name = "TIso639Info.CodeToName_en"
		size = 6056
		refs = "0018 TIso639Info.CodeToName_en 002e @WStrAsg 0be7 @WStrCatN 0bfc @WStrClr 0c02 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 DB 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 83 0B 00 00 80 FB 01 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6D 0B 00 00 80 FB 02 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 57 0B 00 00 80 FB 03 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 41 0B 00 00 80 FB 04 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2B 0B 00 00 80 FB 05 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 15 0B 00 00 80 FB 06 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FF 0A 00 00 80 FB 07 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E9 0A 00 00 80 FB 08 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D3 0A 00 00 80 FB 09 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BD 0A 00 00 80 FB 0A 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A7 0A 00 00 80 FB 0B 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 91 0A 00 00 80 FB 0C 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7B 0A 00 00 80 FB 0D 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 65 0A 00 00 80 FB 0E 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4F 0A 00 00 80 FB 0F 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 39 0A 00 00 80 FB 10 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 23 0A 00 00 80 FB 11 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0D 0A 00 00 80 FB 12 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F7 09 00 00 80 FB 13 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E1 09 00 00 80 FB 14 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CB 09 00 00 80 FB 15 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B5 09 00 00 80 FB 16 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9F 09 00 00 80 FB 17 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 89 09 00 00 80 FB 18 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 73 09 00 00 80 FB 19 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5D 09 00 00 80 FB 1A 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 47 09 00 00 80 FB 1B 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 31 09 00 00 80 FB 1C 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1B 09 00 00 80 FB 1D 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 05 09 00 00 80 FB 1E 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EF 08 00 00 80 FB 1F 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D9 08 00 00 80 FB 20 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C3 08 00 00 80 FB 21 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AD 08 00 00 80 FB 22 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 97 08 00 00 80 FB 23 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 81 08 00 00 80 FB 24 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6B 08 00 00 80 FB 25 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 55 08 00 00 80 FB 26 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3F 08 00 00 80 FB 27 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 29 08 00 00 80 FB 28 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 13 08 00 00 80 FB 29 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FD 07 00 00 80 FB 2A 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E7 07 00 00 80 FB 2B 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D1 07 00 00 80 FB 2C 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BB 07 00 00 80 FB 2D 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A5 07 00 00 80 FB 2E 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8F 07 00 00 80 FB 2F 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 79 07 00 00 80 FB 30 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 63 07 00 00 80 FB 31 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4D 07 00 00 80 FB 32 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 37 07 00 00 80 FB 33 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 21 07 00 00 80 FB 34 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0B 07 00 00 80 FB 35 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F5 06 00 00 80 FB 36 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DF 06 00 00 80 FB 37 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C9 06 00 00 80 FB 38 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B3 06 00 00 80 FB 39 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9D 06 00 00 80 FB 3A 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 87 06 00 00 80 FB 3B 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 71 06 00 00 80 FB 3C 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5B 06 00 00 80 FB 3D 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 45 06 00 00 80 FB 3E 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2F 06 00 00 80 FB 3F 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 19 06 00 00 80 FB 40 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 03 06 00 00 80 FB 41 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ED 05 00 00 80 FB 42 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D7 05 00 00 80 FB 43 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C1 05 00 00 80 FB 44 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AB 05 00 00 80 FB 45 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 95 05 00 00 80 FB 46 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7F 05 00 00 80 FB 47 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 69 05 00 00 80 FB 48 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 53 05 00 00 80 FB 49 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3D 05 00 00 80 FB 4A 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 27 05 00 00 80 FB 4B 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 11 05 00 00 80 FB 4C 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FB 04 00 00 80 FB 4D 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E5 04 00 00 80 FB 4E 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CF 04 00 00 80 FB 4F 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B9 04 00 00 80 FB 50 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A3 04 00 00 80 FB 51 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8D 04 00 00 80 FB 52 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 77 04 00 00 80 FB 53 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 61 04 00 00 80 FB 54 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4B 04 00 00 80 FB 55 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 35 04 00 00 80 FB 56 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1F 04 00 00 80 FB 57 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 09 04 00 00 80 FB 58 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F3 03 00 00 80 FB 59 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DD 03 00 00 80 FB 5A 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C7 03 00 00 80 FB 5B 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B1 03 00 00 80 FB 5C 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9B 03 00 00 80 FB 5D 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 85 03 00 00 80 FB 5E 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6F 03 00 00 80 FB 5F 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 59 03 00 00 80 FB 60 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 43 03 00 00 80 FB 61 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2D 03 00 00 80 FB 62 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 17 03 00 00 80 FB 63 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 01 03 00 00 80 FB 64 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EB 02 00 00 80 FB 65 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D5 02 00 00 80 FB 66 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BF 02 00 00 80 FB 67 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A9 02 00 00 80 FB 68 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 93 02 00 00 80 FB 69 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7D 02 00 00 80 FB 6A 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 67 02 00 00 80 FB 6B 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 51 02 00 00 80 FB 6C 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3B 02 00 00 80 FB 6D 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 25 02 00 00 80 FB 6E 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0F 02 00 00 80 FB 6F 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F9 01 00 00 80 FB 70 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E3 01 00 00 80 FB 71 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CD 01 00 00 80 FB 72 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B7 01 00 00 80 FB 73 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A1 01 00 00 80 FB 74 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8B 01 00 00 80 FB 75 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 75 01 00 00 80 FB 76 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5F 01 00 00 80 FB 77 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 49 01 00 00 80 FB 78 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 33 01 00 00 80 FB 79 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1D 01 00 00 80 FB 7A 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 07 01 00 00 80 FB 7B 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F1 00 00 00 80 FB 7C 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DB 00 00 00 80 FB 7D 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C5 00 00 00 80 FB 7E 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AF 00 00 00 80 FB 7F 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 99 00 00 00 80 FB 80 75 11 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 83 00 00 00 80 FB 81 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 70 80 FB 82 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5D 80 FB 83 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4A 80 FB 84 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 37 80 FB 85 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 80 FB 86 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 80 FB 87 75 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 80 78 04 00 74 28 FF 36 68 ?? ?? ?? ?? 8B D3 8D 4D F8 8B 45 FC 8B 18 FF 53 14 FF 75 F8 68 ?? ?? ?? ?? 8B C6 BA 04 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 08 00 00 00 41 00 66 00 61 00 72 00 00 00 00 00 12 00 00 00 41 00 62 00 6B 00 68 00 61 00 7A 00 69 00 61 00 6E 00 00 00 12 00 00 00 41 00 66 00 72 00 69 00 6B 00 61 00 61 00 6E 00 73 00 00 00 0E 00 00 00 41 00 6D 00 68 00 61 00 72 00 69 00 63 00 00 00 0C 00 00 00 41 00 72 00 61 00 62 00 69 00 63 00 00 00 00 00 10 00 00 00 41 00 73 00 73 00 61 00 6D 00 65 00 73 00 65 00 00 00 00 00 0C 00 00 00 41 00 79 00 6D 00 61 00 72 00 61 00 00 00 00 00 16 00 00 00 41 00 7A 00 65 00 72 00 62 00 61 00 69 00 6A 00 61 00 6E 00 69 00 00 00 0E 00 00 00 42 00 61 00 73 00 68 00 6B 00 69 00 72 00 00 00 18 00 00 00 42 00 79 00 65 00 6C 00 6F 00 72 00 75 00 73 00 73 00 69 00 61 00 6E 00 00 00 00 00 12 00 00 00 42 00 75 00 6C 00 67 00 61 00 72 00 69 00 61 00 6E 00 00 00 0C 00 00 00 42 00 69 00 68 00 61 00 72 00 69 00 00 00 00 00 0E 00 00 00 42 00 69 00 73 00 6C 00 61 00 6D 00 61 00 00 00 1E 00 00 00 42 00 65 00 6E 00 67 00 61 00 6C 00 69 00 3B 00 20 00 42 00 61 00 6E 00 67 00 6C 00 61 00 00 00 0E 00 00 00 54 00 69 00 62 00 65 00 74 00 61 00 6E 00 00 00 0C 00 00 00 42 00 72 00 65 00 74 00 6F 00 6E 00 00 00 00 00 0E 00 00 00 43 00 61 00 74 00 61 00 6C 00 61 00 6E 00 00 00 10 00 00 00 43 00 6F 00 72 00 73 00 69 00 63 00 61 00 6E 00 00 00 00 00 0A 00 00 00 43 00 7A 00 65 00 63 00 68 00 00 00 0A 00 00 00 57 00 65 00 6C 00 73 00 68 00 00 00 0C 00 00 00 44 00 61 00 6E 00 69 00 73 00 68 00 00 00 00 00 0C 00 00 00 47 00 65 00 72 00 6D 00 61 00 6E 00 00 00 00 00 0E 00 00 00 42 00 68 00 75 00 74 00 61 00 6E 00 69 00 00 00 0A 00 00 00 47 00 72 00 65 00 65 00 6B 00 00 00 0E 00 00 00 45 00 6E 00 67 00 6C 00 69 00 73 00 68 00 00 00 12 00 00 00 45 00 73 00 70 00 65 00 72 00 61 00 6E 00 74 00 6F 00 00 00 0E 00 00 00 53 00 70 00 61 00 6E 00 69 00 73 00 68 00 00 00 10 00 00 00 45 00 73 00 74 00 6F 00 6E 00 69 00 61 00 6E 00 00 00 00 00 0C 00 00 00 42 00 61 00 73 00 71 00 75 00 65 00 00 00 00 00 0E 00 00 00 50 00 65 00 72 00 73 00 69 00 61 00 6E 00 00 00 0E 00 00 00 46 00 69 00 6E 00 6E 00 69 00 73 00 68 00 00 00 08 00 00 00 46 00 69 00 6A 00 69 00 00 00 00 00 10 00 00 00 46 00 61 00 65 00 72 00 6F 00 65 00 73 00 65 00 00 00 00 00 0C 00 00 00 46 00 72 00 65 00 6E 00 63 00 68 00 00 00 00 00 0E 00 00 00 46 00 72 00 69 00 73 00 69 00 61 00 6E 00 00 00 0A 00 00 00 49 00 72 00 69 00 73 00 68 00 00 00 18 00 00 00 53 00 63 00 6F 00 74 00 73 00 20 00 47 00 61 00 65 00 6C 00 69 00 63 00 00 00 00 00 10 00 00 00 47 00 61 00 6C 00 69 00 63 00 69 00 61 00 6E 00 00 00 00 00 0E 00 00 00 47 00 75 00 61 00 72 00 61 00 6E 00 69 00 00 00 10 00 00 00 47 00 75 00 6A 00 61 00 72 00 61 00 74 00 69 00 00 00 00 00 0A 00 00 00 48 00 61 00 75 00 73 00 61 00 00 00 0A 00 00 00 48 00 69 00 6E 00 64 00 69 00 00 00 10 00 00 00 43 00 72 00 6F 00 61 00 74 00 69 00 61 00 6E 00 00 00 00 00 12 00 00 00 48 00 75 00 6E 00 67 00 61 00 72 00 69 00 61 00 6E 00 00 00 10 00 00 00 41 00 72 00 6D 00 65 00 6E 00 69 00 61 00 6E 00 00 00 00 00 16 00 00 00 49 00 6E 00 74 00 65 00 72 00 6C 00 69 00 6E 00 67 00 75 00 61 00 00 00 16 00 00 00 49 00 6E 00 74 00 65 00 }
	condition:
		$1
}

rule function_114031_0 {
	meta:
		name = "TIso639Info.CodeToSymbol"
		size = 4604
		refs = "000a TIso639Info.CodeToSymbol 000f @WStrAsg"
	strings:
		$1 = { 53 8B D9 84 D2 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 80 FA 01 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6D 0B 00 00 80 FA 02 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 57 0B 00 00 80 FA 03 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 41 0B 00 00 80 FA 04 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2B 0B 00 00 80 FA 05 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 15 0B 00 00 80 FA 06 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FF 0A 00 00 80 FA 07 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E9 0A 00 00 80 FA 08 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D3 0A 00 00 80 FA 09 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BD 0A 00 00 80 FA 0A 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A7 0A 00 00 80 FA 0B 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 91 0A 00 00 80 FA 0C 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7B 0A 00 00 80 FA 0D 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 65 0A 00 00 80 FA 0E 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4F 0A 00 00 80 FA 0F 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 39 0A 00 00 80 FA 10 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 23 0A 00 00 80 FA 11 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0D 0A 00 00 80 FA 12 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F7 09 00 00 80 FA 13 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E1 09 00 00 80 FA 14 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CB 09 00 00 80 FA 15 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B5 09 00 00 80 FA 16 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9F 09 00 00 80 FA 17 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 89 09 00 00 80 FA 18 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 73 09 00 00 80 FA 19 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5D 09 00 00 80 FA 1A 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 47 09 00 00 80 FA 1B 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 31 09 00 00 80 FA 1C 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1B 09 00 00 80 FA 1D 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 05 09 00 00 80 FA 1E 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EF 08 00 00 80 FA 1F 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D9 08 00 00 80 FA 20 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C3 08 00 00 80 FA 21 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AD 08 00 00 80 FA 22 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 97 08 00 00 80 FA 23 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 81 08 00 00 80 FA 24 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6B 08 00 00 80 FA 25 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 55 08 00 00 80 FA 26 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3F 08 00 00 80 FA 27 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 29 08 00 00 80 FA 28 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 13 08 00 00 80 FA 29 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FD 07 00 00 80 FA 2A 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E7 07 00 00 80 FA 2B 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D1 07 00 00 80 FA 2C 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BB 07 00 00 80 FA 2D 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A5 07 00 00 80 FA 2E 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8F 07 00 00 80 FA 2F 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 79 07 00 00 80 FA 30 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 63 07 00 00 80 FA 31 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4D 07 00 00 80 FA 32 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 37 07 00 00 80 FA 33 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 21 07 00 00 80 FA 34 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0B 07 00 00 80 FA 35 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F5 06 00 00 80 FA 36 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DF 06 00 00 80 FA 37 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C9 06 00 00 80 FA 38 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B3 06 00 00 80 FA 39 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9D 06 00 00 80 FA 3A 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 87 06 00 00 80 FA 3B 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 71 06 00 00 80 FA 3C 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5B 06 00 00 80 FA 3D 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 45 06 00 00 80 FA 3E 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2F 06 00 00 80 FA 3F 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 19 06 00 00 80 FA 40 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 03 06 00 00 80 FA 41 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 ED 05 00 00 80 FA 42 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D7 05 00 00 80 FA 43 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C1 05 00 00 80 FA 44 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AB 05 00 00 80 FA 45 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 95 05 00 00 80 FA 46 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7F 05 00 00 80 FA 47 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 69 05 00 00 80 FA 48 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 53 05 00 00 80 FA 49 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3D 05 00 00 80 FA 4A 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 27 05 00 00 80 FA 4B 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 11 05 00 00 80 FA 4C 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 FB 04 00 00 80 FA 4D 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E5 04 00 00 80 FA 4E 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CF 04 00 00 80 FA 4F 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B9 04 00 00 80 FA 50 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A3 04 00 00 80 FA 51 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8D 04 00 00 80 FA 52 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 77 04 00 00 80 FA 53 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 61 04 00 00 80 FA 54 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 4B 04 00 00 80 FA 55 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 35 04 00 00 80 FA 56 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1F 04 00 00 80 FA 57 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 09 04 00 00 80 FA 58 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F3 03 00 00 80 FA 59 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DD 03 00 00 80 FA 5A 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C7 03 00 00 80 FA 5B 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B1 03 00 00 80 FA 5C 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9B 03 00 00 80 FA 5D 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 85 03 00 00 80 FA 5E 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 6F 03 00 00 80 FA 5F 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 59 03 00 00 80 FA 60 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 43 03 00 00 80 FA 61 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 2D 03 00 00 80 FA 62 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 17 03 00 00 80 FA 63 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 01 03 00 00 80 FA 64 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 EB 02 00 00 80 FA 65 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D5 02 00 00 80 FA 66 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BF 02 00 00 80 FA 67 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A9 02 00 00 80 FA 68 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 93 02 00 00 80 FA 69 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 7D 02 00 00 80 FA 6A 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 67 02 00 00 80 FA 6B 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 51 02 00 00 80 FA 6C 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 3B 02 00 00 80 FA 6D 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 25 02 00 00 80 FA 6E 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 0F 02 00 00 80 FA 6F 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F9 01 00 00 80 FA 70 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E3 01 00 00 80 FA 71 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 CD 01 00 00 80 FA 72 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B7 01 00 00 80 FA 73 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A1 01 00 00 80 FA 74 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8B 01 00 00 80 FA 75 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 75 01 00 00 80 FA 76 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 5F 01 00 00 80 FA 77 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 49 01 00 00 80 FA 78 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 33 01 00 00 80 FA 79 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1D 01 00 00 80 FA 7A 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 07 01 00 00 80 FA 7B 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 F1 00 00 00 80 FA 7C 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 DB 00 00 00 80 FA 7D 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C5 00 00 00 80 FA 7E 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AF 00 00 00 80 FA 7F 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 99 00 00 00 80 FA 80 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 83 00 00 00 80 FA 81 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 70 80 FA 82 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5D 80 FA 83 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 4A 80 FA 84 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 37 80 FA 85 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 24 80 FA 86 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 11 80 FA 87 75 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 04 00 00 00 61 00 61 00 00 00 00 00 04 00 00 00 61 00 62 00 00 00 00 00 04 00 00 00 61 00 66 00 00 00 00 00 04 00 00 00 61 00 6D 00 00 00 00 00 04 00 00 00 61 00 72 00 00 00 00 00 04 00 00 00 61 00 73 00 00 00 00 00 04 00 00 00 61 00 79 00 00 00 00 00 04 00 00 00 61 00 7A 00 00 00 00 00 04 00 00 00 62 00 61 00 00 00 00 00 04 00 00 00 62 00 65 00 00 00 00 00 04 00 00 00 62 00 67 00 00 00 00 00 04 00 00 00 62 00 68 00 00 00 00 00 04 00 00 00 62 00 69 00 00 00 00 00 04 00 00 00 62 00 6E 00 00 00 00 00 04 00 00 00 62 00 6F 00 00 00 00 00 04 00 00 00 62 00 72 00 00 00 00 00 04 00 00 00 63 00 61 00 00 00 00 00 04 00 00 00 63 00 6F 00 00 00 00 00 04 00 00 00 63 00 73 00 00 00 00 00 04 00 00 00 63 00 79 00 00 00 00 00 04 00 00 00 64 00 61 00 00 00 00 00 04 00 00 00 64 00 65 00 00 00 00 00 04 00 00 00 64 00 7A 00 00 00 00 00 04 00 00 00 65 00 6C 00 00 00 00 00 04 00 00 00 65 00 6E 00 00 00 00 00 04 00 00 00 65 00 6F 00 00 00 00 00 04 00 00 00 65 00 73 00 00 00 00 00 04 00 00 00 65 00 74 00 00 00 00 00 04 00 00 00 65 00 75 00 00 00 00 00 04 00 00 00 66 00 61 00 00 00 00 00 04 00 00 00 66 00 69 00 00 00 00 00 04 00 00 00 66 00 6A 00 00 00 00 00 04 00 00 00 66 00 6F 00 00 00 00 00 04 00 00 00 66 00 72 00 00 00 00 00 04 00 00 00 66 00 79 00 00 00 00 00 04 00 00 00 67 00 61 00 00 00 00 00 04 00 00 00 67 00 64 00 00 00 00 00 04 00 00 00 67 00 6C 00 00 00 00 00 04 00 00 00 67 00 6E 00 00 00 00 00 04 00 00 00 67 00 75 00 00 00 00 00 04 00 00 00 68 00 61 00 00 00 00 00 04 00 00 00 68 00 69 00 00 00 00 00 04 00 00 00 68 00 72 00 00 00 00 00 04 00 00 00 68 00 75 00 00 00 00 00 04 00 00 00 68 00 79 00 00 00 00 00 04 00 00 00 69 00 61 00 00 00 00 00 04 00 00 00 69 00 65 00 00 00 00 00 04 00 00 00 69 00 6B 00 00 00 00 00 04 00 00 00 69 00 6E 00 00 00 00 00 04 00 00 00 69 00 73 00 00 00 00 00 04 00 00 00 69 00 74 00 00 00 00 00 04 00 00 00 69 00 77 00 00 00 00 00 04 00 00 00 6A 00 61 00 00 00 00 00 04 00 00 00 6A 00 69 00 00 00 00 00 04 00 00 00 6A 00 77 00 00 00 00 00 04 00 00 00 6B 00 61 00 00 00 00 00 04 00 00 00 6B 00 6B 00 00 00 00 00 04 00 00 00 6B 00 6C 00 00 00 00 00 04 00 00 00 6B 00 6D 00 00 00 00 00 04 00 00 00 6B 00 6E 00 00 00 00 00 04 00 00 00 6B 00 6F 00 00 00 00 00 04 00 00 00 6B 00 73 00 00 00 00 00 04 00 00 00 6B 00 75 00 00 00 00 00 04 00 00 00 6B 00 79 00 00 00 00 00 04 00 00 00 6C 00 61 00 00 00 00 00 04 00 00 00 6C 00 6E 00 00 00 00 00 04 00 00 00 6C 00 6F 00 00 00 00 00 04 00 00 00 6C 00 74 00 00 00 00 00 04 00 00 00 6C 00 76 00 00 00 00 00 04 00 00 00 6D 00 67 00 00 00 00 00 04 00 00 00 6D 00 69 00 00 00 00 00 04 00 00 00 6D 00 6B 00 00 00 00 00 04 00 00 00 6D 00 6C 00 00 00 00 00 04 00 00 00 6D 00 6E 00 00 00 00 00 04 00 00 00 6D 00 6F 00 00 00 00 00 04 00 00 00 6D 00 72 00 00 00 00 00 04 00 00 00 6D 00 73 00 00 00 00 00 04 00 00 00 6D 00 74 00 00 00 00 00 04 00 00 00 6D 00 79 00 00 00 00 00 04 00 00 00 6E 00 61 00 00 00 00 00 04 00 00 00 6E 00 65 00 00 00 00 00 04 00 00 00 6E 00 6C 00 00 00 00 00 04 00 00 00 6E 00 6F 00 00 00 00 00 04 00 00 00 6F 00 63 00 00 00 00 00 04 00 00 00 6F 00 6D 00 00 00 00 00 04 00 00 00 6F 00 72 00 00 00 00 00 04 00 00 00 70 00 61 00 00 00 00 00 04 00 00 00 70 00 6C 00 00 00 00 00 04 00 00 00 70 00 73 00 00 00 00 00 04 00 00 00 70 00 74 00 00 00 00 00 04 00 00 00 71 00 75 00 00 00 00 00 04 00 00 00 72 00 6D 00 00 00 00 00 04 00 00 00 72 00 6E 00 00 00 00 00 04 00 00 00 72 00 6F 00 }
	condition:
		$1
}

rule function_114032_0 {
	meta:
		name = "TIso639Info.NameToCode"
		size = 116
		refs = "0013 TIso639Info.NameToCode_en 001b TIso639Info.NameToCode 0022 _Dn_EConvertError 0027 Exception.Create 002c @RaiseExcept"
	strings:
		$1 = { 53 56 8B F2 8B D8 0F B6 43 05 2C 18 75 0C 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 18 00 00 00 43 00 6F 00 6E 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_114033_0 {
	meta:
		name = "TIso639Info.NameToCode_en"
		size = 6328
		refs = "0013 @WStrAddRef 001b TIso639Info.NameToCode_en 002e Pos 0048 @WStrCopy 0053 @WStrLAsg 00a2 @WStrEqual 0c97 _Dn_EConvertError 0c9c Exception.Create 0ca1 @RaiseExcept 0cbb @WStrArrayClr 0cc1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 89 55 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 21 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? EB 40 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 83 FB 01 7E 2C 8B 45 FC 66 83 7C 58 FE 20 75 21 8D 45 F8 50 8B CB 83 E9 02 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 33 DB E9 F6 0B 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 01 E9 E0 0B 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 02 E9 CA 0B 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 03 E9 B4 0B 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 04 E9 9E 0B 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 05 E9 88 0B 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 06 E9 72 0B 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 07 E9 5C 0B 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 08 E9 46 0B 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 09 E9 30 0B 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 0A E9 1A 0B 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 0B E9 04 0B 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 0C E9 EE 0A 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 0D E9 D8 0A 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 0D E9 C2 0A 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 0E E9 AC 0A 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 0F E9 96 0A 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 10 E9 80 0A 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 11 E9 6A 0A 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 12 E9 54 0A 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 13 E9 3E 0A 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 14 E9 28 0A 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 15 E9 12 0A 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 16 E9 FC 09 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 17 E9 E6 09 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 18 E9 D0 09 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 19 E9 BA 09 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 1A E9 A4 09 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 1B E9 8E 09 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 1C E9 78 09 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 1D E9 62 09 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 1E E9 4C 09 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 1F E9 36 09 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 20 E9 20 09 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 21 E9 0A 09 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 22 E9 F4 08 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 23 E9 DE 08 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 24 E9 C8 08 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 25 E9 B2 08 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 26 E9 9C 08 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 27 E9 86 08 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 28 E9 70 08 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 29 E9 5A 08 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 2A E9 44 08 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 2B E9 2E 08 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 2C E9 18 08 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 2D E9 02 08 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 2E E9 EC 07 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 2F E9 D6 07 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 30 E9 C0 07 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 31 E9 AA 07 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 32 E9 94 07 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 33 E9 7E 07 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 34 E9 68 07 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 35 E9 52 07 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 36 E9 3C 07 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 37 E9 26 07 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 38 E9 10 07 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 39 E9 FA 06 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 3A E9 E4 06 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 3B E9 CE 06 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 3C E9 B8 06 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 3D E9 A2 06 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 3E E9 8C 06 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 3F E9 76 06 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 40 E9 60 06 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 41 E9 4A 06 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 42 E9 34 06 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 43 E9 1E 06 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 44 E9 08 06 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 44 E9 F2 05 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 45 E9 DC 05 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 46 E9 C6 05 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 47 E9 B0 05 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 48 E9 9A 05 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 49 E9 84 05 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 4A E9 6E 05 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 4B E9 58 05 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 4C E9 42 05 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 4D E9 2C 05 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 4E E9 16 05 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 4F E9 00 05 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 50 E9 EA 04 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 51 E9 D4 04 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 52 E9 BE 04 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 53 E9 A8 04 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 54 E9 92 04 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 54 E9 7C 04 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 55 E9 66 04 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 56 E9 50 04 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 57 E9 3A 04 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 58 E9 24 04 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 58 E9 0E 04 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 59 E9 F8 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 5A E9 E2 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 5B E9 CC 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 5C E9 B6 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 5D E9 A0 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 5E E9 8A 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 5F E9 74 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 60 E9 5E 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 61 E9 48 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 62 E9 32 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 63 E9 1C 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 64 E9 06 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 65 E9 F0 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 66 E9 DA 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 67 E9 C4 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 68 E9 AE 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 69 E9 98 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 6A E9 82 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 6B E9 6C 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 6C E9 56 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 6D E9 40 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 6E E9 2A 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 6F E9 14 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 70 E9 FE 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 71 E9 E8 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 72 E9 D2 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 73 E9 BC 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 74 E9 A6 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 75 E9 90 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 76 E9 7A 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 77 E9 64 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 78 E9 4E 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 79 E9 38 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 7A E9 22 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 7B E9 0C 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 7C E9 F6 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 7D E9 E0 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 7E E9 CA 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 7F E9 B4 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 80 E9 9E 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B3 81 E9 88 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 82 EB 75 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 83 EB 62 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 84 EB 4F 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 85 EB 3C 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 86 EB 29 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 87 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 00 00 02 00 00 00 3B 00 00 00 02 00 00 00 5B 00 00 00 08 00 00 00 41 00 66 00 61 00 72 00 00 00 00 00 12 00 00 00 41 00 62 00 6B 00 68 00 61 00 7A 00 69 00 61 00 6E 00 00 00 12 00 00 00 41 00 66 00 72 00 69 00 6B 00 61 00 61 00 6E 00 73 00 00 00 0E 00 00 00 41 00 6D 00 68 00 61 00 72 00 69 00 63 00 00 00 0C 00 00 00 41 00 72 00 61 00 62 00 69 00 63 00 00 00 00 00 10 00 00 00 41 00 73 00 73 00 61 00 6D 00 65 00 73 00 65 00 00 00 00 00 0C 00 00 00 41 00 79 00 6D 00 61 00 72 00 61 00 00 00 00 00 16 00 00 00 41 00 7A 00 65 00 72 00 62 00 61 00 69 00 6A 00 61 00 6E 00 69 00 00 00 0E 00 00 00 42 00 61 00 73 00 68 00 6B 00 69 00 72 00 00 00 18 00 00 00 42 00 79 00 65 00 6C 00 6F 00 72 00 75 00 73 00 73 00 69 00 61 00 6E 00 00 00 00 00 12 00 00 00 42 00 75 00 6C 00 67 00 61 00 72 00 69 00 61 00 6E 00 00 00 0C 00 00 00 42 00 69 00 68 00 61 00 72 00 69 00 00 00 00 00 0E 00 00 00 42 00 69 00 73 00 6C 00 61 00 6D 00 61 00 00 00 0E 00 00 00 42 00 65 00 6E 00 67 00 61 00 6C 00 69 00 00 00 0C 00 00 00 42 00 61 00 6E 00 67 00 6C 00 61 00 00 00 00 00 0E 00 00 00 54 00 69 00 62 00 65 00 74 00 61 00 6E 00 00 00 0C 00 00 00 42 00 72 00 65 00 74 00 6F 00 6E 00 00 00 00 00 0E 00 00 00 43 00 61 00 74 00 61 00 6C 00 61 00 6E 00 00 00 10 00 00 00 43 00 6F 00 72 00 73 00 69 00 63 00 61 00 6E 00 00 00 00 00 0A 00 00 00 43 00 7A 00 65 00 63 00 68 00 00 00 0A 00 00 00 57 00 65 00 6C 00 73 00 68 00 00 00 0C 00 00 00 44 00 61 00 6E 00 69 00 73 00 68 00 00 00 00 00 0C 00 00 00 47 00 65 00 72 00 6D 00 61 00 6E 00 00 00 00 00 0E 00 00 00 42 00 68 00 75 00 74 00 61 00 6E 00 69 00 00 00 0A 00 00 00 47 00 72 00 65 00 65 00 6B 00 00 00 0E 00 00 00 45 00 6E 00 67 00 6C 00 69 00 73 00 68 00 00 00 12 00 00 00 45 00 73 00 70 00 65 00 72 00 61 00 6E 00 74 00 6F 00 00 00 0E 00 00 00 53 00 70 00 61 00 6E 00 69 00 73 00 68 00 00 00 10 00 00 00 45 00 73 00 74 00 6F 00 6E 00 69 00 61 00 6E 00 00 00 00 00 0C 00 00 00 42 00 61 00 73 00 71 00 75 00 65 00 00 00 00 00 0E 00 00 00 50 00 65 00 72 00 73 00 69 00 61 00 6E 00 00 00 0E 00 00 00 46 00 69 00 6E 00 6E 00 69 00 73 00 68 00 00 00 08 00 00 00 46 00 69 00 6A 00 69 00 00 00 00 00 10 00 00 00 46 00 61 00 65 00 72 00 6F 00 65 00 73 00 65 00 00 00 00 00 0C 00 00 00 46 00 72 00 65 00 6E 00 63 00 68 00 00 00 00 00 0E 00 00 00 46 00 72 00 69 00 73 00 69 00 61 00 6E 00 00 00 0A 00 00 00 49 00 72 00 69 00 73 00 68 00 00 00 18 00 00 00 53 00 63 00 6F 00 74 00 73 00 20 00 47 00 61 00 65 00 6C 00 69 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_114034_0 {
	meta:
		name = "TIso639Info.SetNameLanguage"
		size = 116
		refs = "0020 TIso639Info.SetNameLanguage 0027 _Dn_EConvertError 002c Exception.Create 0031 @RaiseExcept"
	strings:
		$1 = { 80 FA 87 77 18 0F B6 D2 83 C0 06 8B C8 83 E1 03 2B C1 03 C9 03 C9 03 C9 03 D1 0F A3 10 72 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 4C 00 61 00 6E 00 67 00 75 00 61 00 67 00 65 00 20 00 6E 00 6F 00 74 00 20 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_114035_0 {
	meta:
		name = "TIso639Info.SymbolToCode"
		size = 4572
		refs = "0006 TIso639Info.SymbolToCode 000b @WStrEqual 0b1e _Dn_EConvertError 0b23 Exception.Create 0b28 @RaiseExcept"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 33 C0 5B C3 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 01 E9 02 0B 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 02 E9 ED 0A 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 03 E9 D8 0A 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 04 E9 C3 0A 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 05 E9 AE 0A 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 06 E9 99 0A 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 07 E9 84 0A 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 08 E9 6F 0A 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 09 E9 5A 0A 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 0A E9 45 0A 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 0B E9 30 0A 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 0C E9 1B 0A 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 0D E9 06 0A 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 0E E9 F1 09 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 0F E9 DC 09 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 10 E9 C7 09 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 11 E9 B2 09 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 12 E9 9D 09 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 13 E9 88 09 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 14 E9 73 09 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 15 E9 5E 09 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 16 E9 49 09 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 17 E9 34 09 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 18 E9 1F 09 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 19 E9 0A 09 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 1A E9 F5 08 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 1B E9 E0 08 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 1C E9 CB 08 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 1D E9 B6 08 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 1E E9 A1 08 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 1F E9 8C 08 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 20 E9 77 08 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 21 E9 62 08 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 22 E9 4D 08 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 23 E9 38 08 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 24 E9 23 08 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 25 E9 0E 08 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 26 E9 F9 07 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 27 E9 E4 07 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 28 E9 CF 07 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 29 E9 BA 07 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 2A E9 A5 07 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 2B E9 90 07 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 2C E9 7B 07 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 2D E9 66 07 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 2E E9 51 07 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 2F E9 3C 07 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 30 E9 27 07 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 31 E9 12 07 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 32 E9 FD 06 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 33 E9 E8 06 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 34 E9 D3 06 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 35 E9 BE 06 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 36 E9 A9 06 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 37 E9 94 06 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 38 E9 7F 06 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 39 E9 6A 06 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 3A E9 55 06 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 3B E9 40 06 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 3C E9 2B 06 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 3D E9 16 06 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 3E E9 01 06 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 3F E9 EC 05 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 40 E9 D7 05 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 41 E9 C2 05 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 42 E9 AD 05 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 43 E9 98 05 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 44 E9 83 05 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 45 E9 6E 05 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 46 E9 59 05 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 47 E9 44 05 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 48 E9 2F 05 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 49 E9 1A 05 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 4A E9 05 05 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 4B E9 F0 04 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 4C E9 DB 04 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 4D E9 C6 04 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 4E E9 B1 04 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 4F E9 9C 04 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 50 E9 87 04 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 51 E9 72 04 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 52 E9 5D 04 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 53 E9 48 04 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 54 E9 33 04 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 55 E9 1E 04 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 56 E9 09 04 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 57 E9 F4 03 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 58 E9 DF 03 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 59 E9 CA 03 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 5A E9 B5 03 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 5B E9 A0 03 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 5C E9 8B 03 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 5D E9 76 03 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 5E E9 61 03 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 5F E9 4C 03 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 60 E9 37 03 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 61 E9 22 03 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 62 E9 0D 03 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 63 E9 F8 02 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 64 E9 E3 02 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 65 E9 CE 02 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 66 E9 B9 02 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 67 E9 A4 02 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 68 E9 8F 02 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 69 E9 7A 02 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 6A E9 65 02 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 6B E9 50 02 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 6C E9 3B 02 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 6D E9 26 02 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 6E E9 11 02 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 6F E9 FC 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 70 E9 E7 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 71 E9 D2 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 72 E9 BD 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 73 E9 A8 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 74 E9 93 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 75 E9 7E 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 76 E9 69 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 77 E9 54 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 78 E9 3F 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 79 E9 2A 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 7A E9 15 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 7B E9 00 01 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 7C E9 EB 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 7D E9 D6 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 7E E9 C1 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 7F E9 AC 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 80 E9 97 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 07 B0 81 E9 82 00 00 00 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B0 82 EB 70 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B0 83 EB 5E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B0 84 EB 4C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B0 85 EB 3A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B0 86 EB 28 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B0 87 EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 04 00 00 00 61 00 61 00 00 00 00 00 04 00 00 00 61 00 62 00 00 00 00 00 04 00 00 00 61 00 66 00 00 00 00 00 04 00 00 00 61 00 6D 00 00 00 00 00 04 00 00 00 61 00 72 00 00 00 00 00 04 00 00 00 61 00 73 00 00 00 00 00 04 00 00 00 61 00 79 00 00 00 00 00 04 00 00 00 61 00 7A 00 00 00 00 00 04 00 00 00 62 00 61 00 00 00 00 00 04 00 00 00 62 00 65 00 00 00 00 00 04 00 00 00 62 00 67 00 00 00 00 00 04 00 00 00 62 00 68 00 00 00 00 00 04 00 00 00 62 00 69 00 00 00 00 00 04 00 00 00 62 00 6E 00 00 00 00 00 04 00 00 00 62 00 6F 00 00 00 00 00 04 00 00 00 62 00 72 00 00 00 00 00 04 00 00 00 63 00 61 00 00 00 00 00 04 00 00 00 63 00 6F 00 00 00 00 00 04 00 00 00 63 00 73 00 00 00 00 00 04 00 00 00 63 00 79 00 00 00 00 00 04 00 00 00 64 00 61 00 00 00 00 00 04 00 00 00 64 00 65 00 00 00 00 00 04 00 00 00 64 00 7A 00 00 00 00 00 04 00 00 00 65 00 6C 00 00 00 00 00 04 00 00 00 65 00 6E 00 00 00 00 00 04 00 00 00 65 00 6F 00 00 00 00 00 04 00 00 00 65 00 73 00 00 00 00 00 04 00 00 00 65 00 74 00 00 00 00 00 04 00 00 00 65 00 75 00 00 00 00 00 04 00 00 00 66 00 61 00 00 00 00 00 04 00 00 00 66 00 69 00 00 00 00 00 04 00 00 00 66 00 6A 00 00 00 00 00 04 00 00 00 66 00 6F 00 00 00 00 00 04 00 00 00 66 00 72 00 00 00 00 00 04 00 00 00 66 00 79 00 00 00 00 00 04 00 00 00 67 00 61 00 00 00 00 00 04 00 00 00 67 00 64 00 00 00 00 00 04 00 00 00 67 00 6C 00 00 00 00 00 04 00 00 00 67 00 6E 00 00 00 00 00 04 00 00 00 67 00 75 00 00 00 00 00 04 00 00 00 68 00 61 00 00 00 00 00 04 00 00 00 68 00 69 00 00 00 00 00 04 00 00 00 68 00 72 00 00 00 00 00 04 00 00 00 68 00 75 00 00 00 00 00 04 00 00 00 68 00 79 00 00 00 00 00 04 00 00 00 69 00 61 00 00 00 00 00 04 00 00 00 69 00 65 00 00 00 00 00 04 00 00 00 69 00 6B 00 00 00 00 00 04 00 00 00 69 00 6E 00 00 00 00 00 04 00 00 00 69 00 73 00 00 00 00 00 04 00 00 00 69 00 74 00 00 00 00 00 04 00 00 00 69 00 77 00 00 00 00 00 04 00 00 00 6A 00 61 00 00 00 00 00 04 00 00 00 6A 00 69 00 00 00 00 00 04 00 00 00 6A 00 77 00 00 00 00 00 04 00 00 00 6B 00 61 00 00 00 00 00 04 00 00 00 6B 00 6B 00 00 00 00 00 04 00 00 00 6B 00 6C 00 00 00 00 00 04 00 00 00 6B 00 6D 00 00 00 00 00 04 00 00 00 6B 00 6E 00 00 00 00 00 04 00 00 00 6B 00 6F 00 00 00 00 00 04 00 00 00 6B 00 73 00 00 00 00 00 04 00 00 00 6B 00 75 00 00 00 00 00 04 00 00 00 6B 00 79 00 00 00 00 00 04 00 00 00 6C 00 61 00 00 00 00 00 04 00 00 00 6C 00 6E 00 00 00 00 00 04 00 00 00 6C 00 6F 00 00 00 00 00 04 00 00 00 6C 00 74 00 00 00 00 00 04 00 00 00 6C 00 76 00 00 00 00 00 04 00 00 00 6D 00 67 00 00 00 00 00 04 00 00 00 6D 00 69 00 00 00 00 00 04 00 00 00 6D 00 6B 00 00 00 00 00 04 00 00 00 6D 00 6C 00 00 00 00 00 04 00 00 00 6D 00 6E 00 00 00 00 00 04 00 00 00 6D 00 6F 00 00 00 00 00 04 00 00 00 6D 00 72 00 00 00 00 00 04 00 00 00 6D 00 73 00 00 00 00 00 04 00 00 00 6D 00 74 00 00 00 00 00 04 00 00 00 6D 00 79 00 00 00 00 00 04 00 00 00 6E 00 61 00 00 00 00 00 04 00 00 00 6E 00 65 00 00 00 00 00 04 00 00 00 6E 00 6C 00 00 00 00 00 04 00 00 00 6E 00 6F 00 00 00 00 00 04 00 00 00 6F 00 63 00 00 00 00 00 04 00 00 00 6F 00 6D 00 00 00 00 00 04 00 00 00 6F 00 72 00 00 00 00 00 04 00 00 00 70 00 61 00 00 00 00 00 04 00 00 00 70 00 6C 00 00 00 00 00 04 00 00 00 70 00 73 00 00 00 00 00 04 00 00 00 70 00 74 00 00 00 00 00 04 00 00 00 71 00 75 00 00 00 00 00 04 00 00 00 72 00 6D 00 00 00 00 00 04 00 00 00 72 00 6E 00 00 00 00 00 04 00 00 00 72 00 6F 00 00 00 00 00 04 00 00 00 72 00 75 00 00 00 00 00 04 00 00 00 72 00 77 00 00 00 00 00 04 00 00 00 73 00 61 00 00 00 00 00 04 00 00 00 73 00 64 00 00 00 00 00 04 00 00 00 73 00 67 00 00 00 00 00 04 00 00 00 73 00 68 00 00 00 00 00 04 00 00 00 73 00 69 00 00 00 00 00 04 00 00 00 73 00 6B 00 00 00 00 00 04 00 00 00 73 00 6C 00 }
	condition:
		$1
}

rule function_114038_0 {
	meta:
		name = "ConvertToUTF16"
		size = 268
		refs = "0016 ConvertToUTF16 0023 _Dn_TEncodingRepository 0028 TEncodingRepository.CreateCodecByAlias 0039 SEncodingNotSupported 003e LoadResString 0048 _Dn_EConvertError 004d Exception.Create 0052 @RaiseExcept 0085 @LStrToPChar 0091 TUnicodeCodec.DecodeStr 00a0 @HandleOnException 00a8 _Dn_EUnicodeCodecException 00c7 @DoneExcept 00dc TObject.Free 00e2 @HandleFinally 00f9 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F8 8B F9 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 21 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 75 F4 8B 5D F4 85 DB 74 05 83 EB 04 8B 1B 57 8B C6 E8 ?? ?? ?? ?? 8B D0 8B CB 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114039_0 {
	meta:
		name = "ConvertFromUTF16"
		size = 273
		refs = "001a ConvertFromUTF16 0028 _Dn_TEncodingRepository 002d TEncodingRepository.CreateCodecByAlias 003e SEncodingNotSupported 0043 LoadResString 004d _Dn_EConvertError 0052 Exception.Create 0057 @RaiseExcept 00a5 @HandleOnException 00ad _Dn_EUnicodeCodecException 00cc @DoneExcept 00e1 TObject.Free 00e7 @HandleFinally 00fe @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D F8 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 21 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DE 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8D 45 F0 50 8B 45 F8 50 8B CB 8B D6 8B 45 F4 8B 18 FF 53 1C 33 C0 5A 59 59 64 89 10 EB 2C E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 89 C3 8B 4B 04 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114040_0 {
	meta:
		name = "TUtilsCustomInputStream.Create"
		size = 246
		refs = "0016 @ClassCreate 0028 TUtilsCustomInputStream.Create 0044 SStreamNotSpecified 0049 LoadResString 0053 _DV_EParserUtilsException 0058 Exception.Create 005d @RaiseExcept 0066 TObject.Create 0071 TStream.GetPosition 00b0 @GetMem 00c8 @UStrClr 00ce @HandleFinally 00dd @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 43 08 33 C0 89 43 04 85 F6 75 21 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 85 F6 74 0F 8B C6 E8 ?? ?? ?? ?? 89 43 10 89 53 14 EB 0E C7 43 10 00 00 00 00 C7 43 14 00 00 00 00 89 73 04 89 7B 28 C7 43 18 00 00 00 00 C7 43 1C 00 00 00 00 C7 43 20 00 00 00 00 C7 43 24 00 00 00 00 8B C7 E8 ?? ?? ?? ?? 89 43 08 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_114041_0 {
	meta:
		name = "TUtilsCustomInputStream.Destroy"
		size = 57
		refs = "0003 @BeforeDestruction 001c @FreeMem 0027 TObject.Destroy 0032 @ClassDestroy"
		altNames = "TUtilsCustomOutputStream.Destroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 83 7E 04 00 74 07 8B C6 8B 10 FF 52 0C 8B 46 08 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114042_0 {
	meta:
		name = "TUtilsCustomInputStream.FlushBuffer"
		size = 60
		refs = "000a TStream.GetPosition 0019 TStream.SetPosition"
	strings:
		$1 = { 53 56 8B D8 8B 73 04 8B C6 E8 ?? ?? ?? ?? 2B 43 20 1B 53 24 52 50 8B C6 E8 ?? ?? ?? ?? C7 43 20 00 00 00 00 C7 43 24 00 00 00 00 C7 43 18 00 00 00 00 C7 43 1C 00 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_114043_0 {
	meta:
		name = "TUtilsCustomInputStream.GetPosition"
		size = 44
		refs = "000a TStream.GetPosition"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B 43 04 E8 ?? ?? ?? ?? 2B 43 20 1B 53 24 2B 43 10 1B 53 14 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_114044_0 {
	meta:
		name = "TUtilsCustomInputStream.Read"
		size = 257
	strings:
		$1 = { 53 56 57 83 C4 F8 89 0C 24 8B F2 8B D8 C6 44 24 04 01 8B 04 24 99 3B 53 24 75 07 3B 43 20 77 3B EB 02 7F 37 8B 43 18 8B D0 03 53 08 8B 04 24 48 83 F8 00 7C 0D 0F B6 0C 02 88 0C 06 48 83 F8 FF 75 F3 8B 04 24 99 01 43 18 11 53 1C 8B 04 24 99 29 43 20 19 53 24 E9 9B 00 00 00 8B C3 8B 10 FF 52 0C 8B 04 24 3B 43 28 7E 18 8B D6 8B 0C 24 8B 43 04 8B 18 FF 53 0C 85 C0 75 7B C6 44 24 04 00 EB 74 83 7B 24 00 75 3C 83 7B 20 00 75 36 8B 53 08 8B 4B 28 8B 43 04 8B 38 FF 57 0C 99 89 43 20 89 53 24 83 7B 24 00 75 0D 83 7B 20 00 75 07 C6 44 24 04 00 EB 40 C7 43 18 00 00 00 00 C7 43 1C 00 00 00 00 8B 43 18 8B D0 03 53 08 8B 04 24 48 83 F8 00 7C 0D 0F B6 0C 02 88 0C 06 48 83 F8 FF 75 F3 8B 04 24 99 01 43 18 11 53 1C 8B 04 24 99 29 43 20 19 53 24 0F B6 44 24 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114045_0 {
	meta:
		name = "TUtilsCustomInputStream.SetPosition"
		size = 61
		refs = "0018 TStream.SetPosition"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B 45 08 8B 55 0C 03 43 10 13 53 14 52 50 8B 43 04 E8 ?? ?? ?? ?? C7 43 20 00 00 00 00 C7 43 24 00 00 00 00 C7 43 18 00 00 00 00 C7 43 1C 00 00 00 00 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_114046_0 {
	meta:
		name = "TUtilsCustomOutputStream.Create"
		size = 232
		refs = "0016 @ClassCreate 0028 TUtilsCustomOutputStream.Create 0044 SStreamNotSpecified 0049 LoadResString 0053 _DV_EParserUtilsException 0058 Exception.Create 005d @RaiseExcept 0066 TObject.Create 0071 TStream.GetPosition 0091 @GetMem 00ba @UStrClr 00c0 @HandleFinally 00cf @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 43 08 33 C0 89 43 04 85 F6 75 21 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 85 F6 74 0F 8B C6 E8 ?? ?? ?? ?? 89 43 10 89 53 14 EB 0E C7 43 10 00 00 00 00 C7 43 14 00 00 00 00 89 73 04 8B C7 E8 ?? ?? ?? ?? 89 43 08 C7 43 18 00 00 00 00 C7 43 1C 00 00 00 00 89 7B 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_114048_0 {
	meta:
		name = "TUtilsCustomOutputStream.FlushBuffer"
		size = 35
	strings:
		$1 = { 53 56 8B D8 8B 53 08 8B 4B 18 8B 43 04 8B 30 FF 56 10 C7 43 18 00 00 00 00 C7 43 1C 00 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_114049_0 {
	meta:
		name = "TUtilsCustomOutputStream.GetPosition"
		size = 44
		refs = "000a TStream.GetPosition"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B 43 04 E8 ?? ?? ?? ?? 03 43 18 13 53 1C 2B 43 10 1B 53 14 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_114050_0 {
	meta:
		name = "TUtilsCustomOutputStream.SetPosition"
		size = 40
		refs = "001f TStream.SetPosition"
	strings:
		$1 = { 55 8B EC 53 8B D8 8B C3 8B 10 FF 52 0C 8B 45 08 8B 55 0C 03 43 10 13 53 14 52 50 8B 43 04 E8 ?? ?? ?? ?? 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_114051_0 {
	meta:
		name = "TUtilsCustomOutputStream.Write"
		size = 155
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B C7 99 03 43 18 13 53 1C 52 50 8B 43 20 99 3B 54 24 04 75 09 3B 04 24 5A 58 72 30 EB 04 5A 58 7C 2A 8B CE 8B 43 18 8B F0 03 73 08 8B C7 48 83 F8 00 7C 0D 0F B6 14 01 88 14 06 48 83 F8 FF 75 F3 8B C7 99 01 43 18 11 53 1C EB 42 8B C3 8B 10 FF 52 0C 3B 7B 20 7E 0E 8B D6 8B CF 8B 43 04 8B 18 FF 53 10 EB 28 8B CE 8B 43 18 8B F0 03 73 08 8B C7 48 83 F8 00 7C 0D 0F B6 14 01 88 14 06 48 83 F8 FF 75 F3 8B C7 99 01 43 18 11 53 1C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114052_0 {
	meta:
		name = "TUtilsCustomAutodetectInputStream.Create"
		size = 1180
		refs = "001e @ClassCreate 0031 TUtilsCustomAutodetectInputStream.Create 004f TUtilsCustomInputStream.Create 005e _Dn_TEncodingRepository 0063 TEncodingRepository.CreateCodecForStream 009f @DynArrayLength 00ba _Dn_TUTF16BECodec 00bf TUnicodeCodec.HasAlias 00cc _Dn_TUTF16LECodec 00d1 @IsClass 00dd SByteOrderMarkMismatch 00e2 LoadResString 00ec _Dn_EConvertError 00f1 Exception.Create 00f6 @RaiseExcept 0102 TUnicodeCodec.Create 016e _Dn_TUCS2LECodec 01ef _Dn_TUCS2BECodec 021d _Dn_TUCS4LECodec 0275 _Dn_TUCS4BECodec 02b7 _Dn_TUCS4_2143Codec 02f9 _Dn_TUCS4_3412Codec 0355 TEncodingRepository.CreateCodecByAlias 03be SDefaultEncodingNotSpecified 03fa TUtilsCustomAutodetectInputStream.Reset 041a TObject.Free 0420 @HandleFinally 043f @UStrClr 0448 TBytes 0452 @FinalizeArray 045f @UStrArrayClr 046d @DynArrayClear 0483 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FB 89 45 FC 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 33 D2 89 50 34 8B 45 10 50 8B CB 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 33 D2 89 50 30 8B D3 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 7D F4 00 0F 84 07 03 00 00 8B 45 F4 8B 00 8B D6 FF 50 34 84 C0 74 27 8D 55 F0 8B 45 F4 8B 00 FF 50 30 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 8B 45 FC 8B 55 F4 89 50 34 E9 24 03 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4A 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 E9 CA 02 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4A 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 21 8D 55 E8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 E9 70 02 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 9B 00 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8D 55 E4 8B 45 F4 8B 00 FF 50 30 8B 45 E4 E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 E9 1A 02 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8D 55 E0 8B 45 F4 8B 00 FF 50 30 8B 45 E0 E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 E9 D8 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 E9 C1 01 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 1F 01 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8D 55 DC 8B 45 F4 8B 00 FF 50 30 8B 45 DC E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 E9 6B 01 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8D 55 D8 8B 45 F4 8B 00 FF 50 30 8B 45 D8 E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 E9 29 01 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8D 55 D4 8B 45 F4 8B 00 FF 50 30 8B 45 D4 E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 E9 E7 00 00 00 8B 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8D 55 D0 8B 45 F4 8B 00 FF 50 30 8B 45 D0 E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 E9 A5 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 E9 8E 00 00 00 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 08 8B 55 FC 89 42 34 EB 76 8D 55 CC 8B 45 F4 8B 00 FF 50 30 8B 45 CC E8 ?? ?? ?? ?? 8B 55 FC 89 42 30 8B 45 FC 8B 55 F4 89 50 34 EB 52 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 08 8B 55 FC 89 42 34 EB 3A 8B 55 08 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 08 8B 55 FC 89 42 34 EB 21 8D 55 C8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 34 3B 45 F4 74 08 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 C3 E9 ?? ?? ?? ?? EB BA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 8B 45 FC 80 7D FB 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B 45 FC 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_114054_0 {
	meta:
		name = "TUtilsCustomAutodetectInputStream.GetPosition"
		size = 47
		refs = "0009 TUtilsCustomInputStream.GetPosition"
	strings:
		$1 = { 53 83 C4 F8 8B D8 8B C3 E8 ?? ?? ?? ?? 52 50 8B 43 30 33 D2 29 04 24 19 54 24 04 58 5A 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A 5B C3 }
	condition:
		$1
}

rule function_114055_0 {
	meta:
		name = "TUtilsCustomAutodetectInputStream.Reset"
		size = 10
	strings:
		$1 = { 6A 00 6A 00 8B 10 FF 52 08 C3 }
	condition:
		$1
}

rule function_114056_0 {
	meta:
		name = "TUtilsCustomAutodetectInputStream.SetPosition"
		size = 29
		refs = "0015 TUtilsCustomInputStream.SetPosition"
	strings:
		$1 = { 55 8B EC 8B C8 8B 41 30 33 D2 03 45 08 13 55 0C 52 50 8B C1 E8 ?? ?? ?? ?? 5D C2 08 00 }
	condition:
		$1
}

rule function_114057_0 {
	meta:
		name = "TUtilsAutodetectInputStream.ChangeEncoding"
		size = 204
		refs = "000d TUtilsAutodetectInputStream.ChangeEncoding 0018 _Dn_TEncodingRepository 001d TEncodingRepository.CreateCodecByAlias 002b SEncodingNotSupported 0030 LoadResString 003a _DV_EParserUtilsException 003f Exception.Create 0044 @RaiseExcept 0052 TUnicodeCodec.SetErrorAction 0060 TUnicodeCodec.SetDecodeReplaceChar 008c TUnicodeCodec.SetOnRead 00a3 TObject.Free 00bb @UStrClr 00c1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 21 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 34 0F B6 50 04 8B C6 E8 ?? ?? ?? ?? 8B 43 34 0F B7 50 06 8B C6 E8 ?? ?? ?? ?? 8B 43 34 0F B6 50 08 8B C6 8B 08 FF 51 04 8B 43 34 0F B6 50 09 8B C6 8B 08 FF 51 08 8B 43 34 FF 70 14 FF 70 10 8B C6 E8 ?? ?? ?? ?? 8B 43 34 8B 50 18 89 56 18 8B 50 1C 89 56 1C 8B 43 34 E8 ?? ?? ?? ?? 89 73 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114058_0 {
	meta:
		name = "TUtilsAutodetectInputStream.GetHasByteOrderMark"
		size = 8
	strings:
		$1 = { 83 78 30 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_114059_0 {
	meta:
		name = "TUtilsUCS4Reader.Create"
		size = 299
		refs = "0015 @ClassCreate 0025 TUtilsUCS4Reader.Create 0034 TObject.Create 00bc _DV_TUtilsAutodetectInputStream 00c1 TUtilsCustomAutodetectInputStream.Create 00e2 TUnicodeCodec.SetOnRead 00fe @UStrClr 0104 @HandleFinally 0113 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D F8 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 89 43 04 33 C0 89 43 40 8D 43 48 8B 55 28 89 10 8B 55 2C 89 50 04 8B 55 20 89 50 08 8B 55 24 89 50 0C 8B 55 18 89 50 10 8B 55 1C 89 50 14 C7 40 18 98 00 00 00 8B 55 08 89 50 20 8B 55 0C 89 50 24 33 D2 89 50 28 8B 55 10 89 50 30 8B 55 14 89 50 34 C7 83 F0 00 00 00 00 00 00 00 C7 83 F4 00 00 00 00 00 00 00 8B 45 34 50 8B 45 30 50 8D 55 F4 8B C3 8B 08 FF 51 04 8B 45 F4 50 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 40 8B 46 34 B2 01 8B 08 FF 51 04 53 8B 03 8B 40 08 50 8B 43 40 8B 40 34 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule function_114060_0 {
	meta:
		name = "TUtilsUCS4Reader.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114061_0 {
	meta:
		name = "TUtilsUCS4Reader.GetBof"
		size = 11
	strings:
		$1 = { 81 78 20 98 00 00 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_114062_0 {
	meta:
		name = "TUtilsUCS4Reader.GetBufSize"
		size = 7
	strings:
		$1 = { 8B 40 40 8B 40 28 C3 }
	condition:
		$1
}

rule function_114063_0 {
	meta:
		name = "TUtilsUCS4Reader.GetCodec"
		size = 7
	strings:
		$1 = { 8B 40 40 8B 40 34 C3 }
	condition:
		$1
}

rule function_114065_0 {
	meta:
		name = "TUtilsUCS4Reader.GetEof"
		size = 11
	strings:
		$1 = { 81 78 20 9C 00 00 00 0F 94 C0 C3 }
	condition:
		$1
}

rule function_114066_0 {
	meta:
		name = "TUtilsUCS4Reader.GetHasByteOrderMark"
		size = 9
	strings:
		$1 = { 8B 40 40 8B 10 FF 52 10 C3 }
	condition:
		$1
}

rule function_114067_0 {
	meta:
		name = "TUtilsUCS4Reader.GetPosition"
		size = 27
	strings:
		$1 = { 83 C4 F8 8B 40 40 8B 10 FF 12 89 04 24 89 54 24 04 8B 04 24 8B 54 24 04 59 5A C3 }
	condition:
		$1
}

rule function_114068_0 {
	meta:
		name = "TUtilsUCS4Reader.GetReadLFOption"
		size = 15
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 12 0F B6 40 08 5B C3 }
	condition:
		$1
}

rule function_114069_0 {
	meta:
		name = "TUtilsUCS4Reader.Match"
		size = 126
		refs = "0010 @WStrAddRef 0018 TUtilsUCS4Reader.Match 006a @WStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 55 FC 8B F0 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 85 DB 7E 21 BF 01 00 00 00 8B C6 8B 10 FF 52 14 8B 45 FC 0F B7 44 78 FE 3B 46 20 74 04 33 DB EB 06 47 4B 75 E4 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114070_0 {
	meta:
		name = "TUtilsUCS4Reader.Next"
		size = 172
		refs = "0050 TUnicodeCodec.ReadUCS4Char 00a2 TUtilsUCS4Reader.UpdateLocator"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D8 81 7B 20 9C 00 00 00 0F 84 91 00 00 00 81 BB 98 00 00 00 9C 00 00 00 75 22 8D 73 08 8D BB B8 00 00 00 B9 0E 00 00 00 F3 A5 8D B3 80 00 00 00 8D 7B 08 B9 0E 00 00 00 F3 A5 EB 63 8B C3 8B 10 FF 12 8D 4C 24 04 8B D4 E8 ?? ?? ?? ?? 8D 73 08 8D BB B8 00 00 00 B9 0E 00 00 00 F3 A5 8D B3 80 00 00 00 8D 7B 08 B9 0E 00 00 00 F3 A5 8D 8B 80 00 00 00 83 41 08 01 83 51 0C 00 8B 04 24 89 41 18 8B 44 24 04 99 01 01 11 51 04 8B 44 24 04 89 41 28 8D 93 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114071_0 {
	meta:
		name = "TUtilsUCS4Reader.ReadEventHandler"
		size = 33
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B D6 8B 4D 0C 8B 43 40 8B 18 FF 53 04 8B 55 08 88 02 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_114072_0 {
	meta:
		name = "TUtilsUCS4Reader.Reset"
		size = 146
		refs = "0056 TUnicodeCodec.ReadUCS4Char 0088 TUtilsUCS4Reader.UpdateLocator"
	strings:
		$1 = { 53 56 57 83 C4 F8 8B D8 FF B3 F4 00 00 00 FF B3 F0 00 00 00 8B 43 40 8B 10 FF 52 08 8D 73 48 8D BB B8 00 00 00 B9 0E 00 00 00 F3 A5 8D 73 48 8D 7B 08 B9 0E 00 00 00 F3 A5 8D 73 48 8D BB 80 00 00 00 B9 0E 00 00 00 F3 A5 8B C3 8B 10 FF 12 8D 4C 24 04 8B D4 E8 ?? ?? ?? ?? 8D 8B 80 00 00 00 83 41 08 01 83 51 0C 00 8B 04 24 89 41 18 8B 44 24 04 99 01 01 11 51 04 8B 44 24 04 89 41 28 8D 93 80 00 00 00 8B C3 E8 ?? ?? ?? ?? 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114074_0 {
	meta:
		name = "TUtilsUCS4Reader.SetReadLFOption"
		size = 22
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C6 8B 10 FF 12 8B D3 8B 08 FF 51 04 5E 5B C3 }
	condition:
		$1
}

rule function_114075_0 {
	meta:
		name = "TUtilsUCS4Reader.SetResetPosition"
		size = 25
	strings:
		$1 = { 55 8B EC 8B 55 08 89 90 F0 00 00 00 8B 55 0C 89 90 F4 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule function_114076_0 {
	meta:
		name = "TUtilsUCS4Reader.SkipNext"
		size = 142
		refs = "000f @WStrAddRef 0017 TUtilsUCS4Reader.SkipNext 007b @WStrClr 0081 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 F6 8B C3 8B 10 FF 52 14 81 7B 20 9C 00 00 00 74 37 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 7E 25 BA 01 00 00 00 8B 4D FC 0F B7 4C 51 FE 3B 4B 20 75 0F 8B 55 FC 8B C3 8B 08 FF 51 1C 8B F0 46 EB 04 42 48 75 E0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114077_0 {
	meta:
		name = "TUtilsUCS4Reader.UpdateLocator"
		size = 76
	strings:
		$1 = { 8B CA 8B 41 18 83 E8 09 74 28 48 75 36 83 41 20 01 83 51 24 00 C7 41 10 00 00 00 00 C7 41 14 00 00 00 00 C7 41 30 00 00 00 00 C7 41 34 00 00 00 00 C3 83 41 10 01 83 51 14 00 83 41 30 01 83 51 34 00 C3 83 41 10 01 83 51 14 00 C3 }
	condition:
		$1
}

rule function_114080_0 {
	meta:
		name = "TUtilsCustomTranscoder.Create"
		size = 68
		refs = "000a @ClassCreate 0017 TObject.Create 0026 TUtilsCustomTranscoder.UpdateLineBreakOpt 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 20 00 C6 46 0C 03 8B C6 E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_114081_0 {
	meta:
		name = "TUtilsCustomTranscoder.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TObject.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 04 E8 ?? ?? ?? ?? 8B 46 10 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114083_0 {
	meta:
		name = "TUtilsCustomTranscoder.SetInputEncoding"
		size = 182
		refs = "0010 TUtilsCustomTranscoder.SetInputEncoding 0022 @UStrClr 002a TObject.Free 0038 _Dn_TEncodingRepository 003d TEncodingRepository.CreateCodecByAlias 005b TUnicodeCodec.SetOnRead 0065 @UStrAsg 006c TUtilsCustomTranscoder.UpdateLineBreakOpt 0076 SEncodingNotSupported 007b LoadResString 0085 _DV_EParserUtilsException 008a Exception.Create 008f @RaiseExcept 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 17 8D 43 08 E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 33 C0 89 43 04 EB 5E 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 74 2B 8B 43 04 E8 ?? ?? ?? ?? 8B C7 89 43 04 53 8B 13 8B 12 52 E8 ?? ?? ?? ?? 8D 43 08 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 21 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114084_0 {
	meta:
		name = "TUtilsCustomTranscoder.SetLineBreakOpt"
		size = 20
		refs = "000f TUtilsCustomTranscoder.UpdateLineBreakOpt"
	strings:
		$1 = { 3A 50 0C 74 0E 80 78 20 00 75 08 88 50 0C E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_114085_0 {
	meta:
		name = "TUtilsCustomTranscoder.SetOutputEncoding"
		size = 183
		refs = "0010 TUtilsCustomTranscoder.SetOutputEncoding 0022 @UStrClr 002a TObject.Free 0038 _Dn_TEncodingRepository 003d TEncodingRepository.CreateCodecByAlias 0066 @UStrAsg 006d TUtilsCustomTranscoder.UpdateLineBreakOpt 0077 SEncodingNotSupported 007c LoadResString 0086 _DV_EParserUtilsException 008b Exception.Create 0090 @RaiseExcept 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 17 8D 43 14 E8 ?? ?? ?? ?? 8B 43 10 E8 ?? ?? ?? ?? 33 C0 89 43 10 EB 5F 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 85 FF 74 2C 8B 43 10 E8 ?? ?? ?? ?? 89 7B 10 8B 43 10 89 58 1C 8B 13 8B 52 04 89 50 18 8D 43 14 8B D6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 21 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114086_0 {
	meta:
		name = "TUtilsCustomTranscoder.Transcode"
		size = 266
		refs = "001a TUtilsCustomTranscoder.Transcode 0031 SInputEncodingNotSpecified 0036 LoadResString 0040 _DV_EParserUtilsException 0045 Exception.Create 004a @RaiseExcept 005b SOutputEncodingNotSpecified 0099 TUnicodeCodec.ReadUCS4Char 00a6 @TryFinallyExit 00dc @HandleFinally 00f8 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 D2 89 55 EC 89 55 F0 89 45 FC 8D 5D F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 04 00 75 21 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 78 10 00 75 21 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC C6 40 20 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B D3 8B 45 FC 8B 40 04 E8 ?? ?? ?? ?? 81 3B 9C 00 00 00 75 07 E8 ?? ?? ?? ?? EB 36 8D 4D F4 8B 45 FC 8B 40 10 8B 13 8B 30 FF 56 20 8B 45 FC 8B 10 FF 52 08 EB C7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC C6 40 20 00 C3 E9 ?? ?? ?? ?? EB F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114087_0 {
	meta:
		name = "TUtilsCustomTranscoder.UpdateLineBreakOpt"
		size = 143
	strings:
		$1 = { 53 8B D8 0F B6 43 0C 2C 01 72 0C 74 28 FE C8 74 42 FE C8 74 5C EB 76 8B 43 04 85 C0 74 07 B2 01 8B 08 FF 51 04 8B 43 10 85 C0 74 61 B2 02 8B 08 FF 51 08 5B C3 8B 43 04 85 C0 74 07 B2 01 8B 08 FF 51 04 8B 43 10 85 C0 74 43 B2 01 8B 08 FF 51 08 5B C3 8B 43 04 85 C0 74 07 B2 01 8B 08 FF 51 04 8B 43 10 85 C0 74 25 33 D2 8B 08 FF 51 08 5B C3 8B 43 04 85 C0 74 07 33 D2 8B 08 FF 51 04 8B 43 10 85 C0 74 07 33 D2 8B 08 FF 51 08 5B C3 }
	condition:
		$1
}

rule function_114088_0 {
	meta:
		name = "TUtilsStandardTranscoder.CodecReadEventHandler"
		size = 47
		refs = "0024 TUtilsCustomTranscoder.CodecReadEventHandler"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 7D 08 8B 75 0C 66 83 78 2A 00 74 0E 56 57 8B D8 8B D0 8B 43 2C FF 53 28 EB 07 56 57 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_114089_0 {
	meta:
		name = "TUtilsStandardTranscoder.CodecWriteEventHandler"
		size = 30
	strings:
		$1 = { 55 8B EC 53 66 83 78 32 00 74 0E 8B 55 08 52 8B D8 8B D0 8B 43 34 FF 53 30 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_114090_0 {
	meta:
		name = "TUtilsStreamTranscoder.CodecReadEventHandler"
		size = 33
	strings:
		$1 = { 55 8B EC 53 56 8B F1 8B D8 8B D6 8B 4D 0C 8B 43 28 8B 18 FF 53 04 8B 55 08 88 02 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_114091_0 {
	meta:
		name = "TUtilsStreamTranscoder.CodecWriteEventHandler"
		size = 22
	strings:
		$1 = { 55 8B EC 53 8B D1 8B 40 2C 8B 4D 08 8B 18 FF 53 08 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_114092_0 {
	meta:
		name = "TUtilsStreamTranscoder.Create"
		size = 108
		refs = "000f @ClassCreate 0022 TUtilsCustomTranscoder.Create 002c _DV_TUtilsCustomInputStream 0031 TUtilsCustomInputStream.Create 003f _DV_TUtilsCustomOutputStream 0044 TUtilsCustomOutputStream.Create 0054 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F9 88 55 FF 8B D8 8B 75 08 33 D2 8B C3 E8 ?? ?? ?? ?? 56 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 28 56 8B 4D 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 2C 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114093_0 {
	meta:
		name = "TUtilsStreamTranscoder.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 000f TObject.Free 0022 TUtilsCustomTranscoder.Destroy 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 28 E8 ?? ?? ?? ?? 8B 46 2C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114096_0 {
	meta:
		name = "TCustomOwnedObject.Create"
		size = 70
		refs = "000b @ClassCreate 001a TObject.Create 0027 TCustomOwnedObject.Attach 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 74 09 8B D7 8B C6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114097_0 {
	meta:
		name = "TCustomOwnedObject.Destroy"
		size = 57
		refs = "0003 @BeforeDestruction 000e TCustomOwnedObject.InternalClear 001c TCustomOwnedObject.Detach 0027 TPersistent.Destroy 0032 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B C6 E8 ?? ?? ?? ?? 8B 46 08 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114098_0 {
	meta:
		name = "TCustomOwnedObject.Adopt"
		size = 72
		refs = "0016 @CallDynaInst 002b _DV_TCustomOwnedObject 0030 @AsClass 0037 TCustomOwnedObject.Detach 0040 TCustomOwnedObject.Attach"
	strings:
		$1 = { 53 56 57 8B DA 8B F8 85 DB 74 39 3B FB 74 35 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 3B F8 74 26 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 8B D3 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114099_0 {
	meta:
		name = "TCustomOwnedObject.Attach"
		size = 52
		refs = "0018 _Dn_TList 001d TObject.Create 002a TList.Add"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 14 83 7B 04 00 75 0F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 04 8B D6 8B 43 04 E8 ?? ?? ?? ?? 89 5E 08 5E 5B C3 }
	condition:
		$1
}

rule function_114101_0 {
	meta:
		name = "TCustomOwnedObject.Detach"
		size = 39
		refs = "000e TList.RemoveItem 001c TObject.Free"
	strings:
		$1 = { 53 8B D8 33 C0 89 42 08 8B 43 04 33 C9 E8 ?? ?? ?? ?? 8B 43 04 83 78 08 00 75 0A E8 ?? ?? ?? ?? 33 C0 89 43 04 5B C3 }
	condition:
		$1
}

rule function_114103_0 {
	meta:
		name = "TCustomOwnedObject.GetOwnedObject"
		size = 136
		refs = "0016 TCustomOwnedObject.GetOwnedObject 002c TList.Get 0045 SListIndexError 004a LoadResString 0054 _Dn_EListError 0059 Exception.CreateFmt 005e @RaiseExcept 0073 @UStrClr 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7B 04 85 FF 74 0D 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 EB 2E 89 75 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114104_0 {
	meta:
		name = "TCustomOwnedObject.GetOwnedObjectsCount"
		size = 14
	strings:
		$1 = { 8B 50 04 85 D2 74 04 8B 42 08 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114106_0 {
	meta:
		name = "TCustomOwnedObject.InternalClear"
		size = 96
		refs = "001a TCustomOwnedObject.GetOwnedObject 002b TList.Delete 0033 TObject.Free"
	strings:
		$1 = { 53 56 57 55 8B D8 8B 43 04 85 C0 74 4E 8B 70 08 4E 85 F6 7C 39 8B D6 8B C3 E8 ?? ?? ?? ?? 8B F8 33 C0 89 47 08 8B D6 8B 43 04 E8 ?? ?? ?? ?? 4E 8B C7 E8 ?? ?? ?? ?? 8B 6B 04 85 ED 74 1D 3B 75 08 7C 07 8B 43 04 8B 70 08 4E 85 F6 7D C7 8B 43 04 E8 ?? ?? ?? ?? 33 C0 89 43 04 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114108_0 {
	meta:
		name = "TCustomOwnedNode.Destroy"
		size = 65
		refs = "0003 @BeforeDestruction 0015 TCustomOwnedNode.InternalRemove 001c TCustomOwnedNode.InternalClear 0024 TObject.Free 002f TCustomOwnedObject.Destroy 003a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 46 14 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 46 0C E8 ?? ?? ?? ?? B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114109_0 {
	meta:
		name = "TCustomOwnedNode.Adopt"
		size = 54
		refs = "000b TCustomOwnedNode.CheckAssigned 002f TCustomOwnedNode.InternalAdopt"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B D3 8B C6 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 48 85 C0 74 0E 8B C3 8B 10 FF 52 48 8B D3 8B 08 FF 51 68 8B CB 8B D6 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114110_0 {
	meta:
		name = "TCustomOwnedNode.Append"
		size = 83
		refs = "000b TCustomOwnedNode.CheckAssigned 0014 TCustomOwnedNode.CheckSameOwner 001d TCustomOwnedNode.CheckNotAncestorOrSelf 0024 TCustomOwnedNode.CheckNotReadOnly 002d TCustomOwnedNode.CheckParentNotReadOnly 0041 TCustomOwnedNode.InternalInsertBefore"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 2C 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 20 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_114111_0 {
	meta:
		name = "TCustomOwnedNode.CheckAssigned"
		size = 16
		refs = "0006 _DV_ENotAssignedError"
	strings:
		$1 = { 85 D2 75 0B 8B 15 ?? ?? ?? ?? 8B 08 FF 51 64 C3 }
	condition:
		$1
}

rule function_114112_0 {
	meta:
		name = "TCustomOwnedNode.CheckDissimilarity"
		size = 22
		refs = "0009 _DV_EHierarchyRequestError"
	strings:
		$1 = { 56 8B F0 3B CA 75 0D 8B 15 ?? ?? ?? ?? 8B C6 8B 08 FF 51 64 5E C3 }
	condition:
		$1
}

rule function_114113_0 {
	meta:
		name = "TCustomOwnedNode.CheckHasChild"
		size = 35
		refs = "000c TList.IndexOf 0015 _DV_ENotFoundError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 0C E8 ?? ?? ?? ?? 40 75 0D 8B 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 64 5E 5B C3 }
	condition:
		$1
}

rule function_114114_0 {
	meta:
		name = "TCustomOwnedNode.CheckNotAncestorOrSelf"
		size = 39
		refs = "0019 _DV_EHierarchyRequestError"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 8B 08 FF 51 54 84 C0 75 04 3B DE 75 0D 8B 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 64 5E 5B C3 }
	condition:
		$1
}

rule function_114115_0 {
	meta:
		name = "TCustomOwnedNode.CheckNotReadOnly"
		size = 29
		refs = "0010 _DV_ENoModificationAllowedError"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 50 84 C0 74 0D 8B 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 64 5B C3 }
	condition:
		$1
}

rule function_114116_0 {
	meta:
		name = "TCustomOwnedNode.CheckParentNotReadOnly"
		size = 49
		refs = "0023 _DV_ENoModificationAllowedError"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B C3 8B 10 FF 52 48 85 C0 74 1D 8B C3 8B 10 FF 52 48 8B 10 FF 52 50 84 C0 74 0D 8B 15 ?? ?? ?? ?? 8B C6 8B 08 FF 51 64 5E 5B C3 }
	condition:
		$1
}

rule function_114117_0 {
	meta:
		name = "TCustomOwnedNode.CheckSameOwner"
		size = 69
		refs = "000f @CallDynaInst 0035 _DV_EWrongOwnerError"
	strings:
		$1 = { 53 56 57 55 8B FA 8B D8 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 8B E8 8B C7 66 BE FF FF E8 ?? ?? ?? ?? 3B E8 74 1C 8B C7 66 BE FF FF E8 ?? ?? ?? ?? 3B D8 74 0D 8B 15 ?? ?? ?? ?? 8B C3 8B 08 FF 51 64 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114118_0 {
	meta:
		name = "TCustomOwnedNode.Clear"
		size = 33
		refs = "0006 TCustomOwnedNode.CheckNotReadOnly 0014 TCustomOwnedNode.InternalClear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 30 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 24 5B C3 }
	condition:
		$1
}

rule function_114126_0 {
	meta:
		name = "TCustomOwnedNode.GetFirstChild"
		size = 22
		refs = "000e TList.Get"
	strings:
		$1 = { 8B 50 0C 83 7A 08 00 7E 0A 8B C2 33 D2 E8 ?? ?? ?? ?? C3 33 C0 C3 }
	condition:
		$1
}

rule function_114128_0 {
	meta:
		name = "TCustomOwnedNode.GetLastChild"
		size = 28
		refs = "0010 TList.Last"
	strings:
		$1 = { 53 56 8B D8 8B 73 0C 83 7E 08 00 7E 0A 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_114133_0 {
	meta:
		name = "TCustomOwnedNode.HasAsAncestor"
		size = 54
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 8B 10 FF 52 48 85 C0 74 20 8B C3 8B 10 FF 52 48 3B F0 75 04 B0 01 EB 13 8B C3 8B 10 FF 52 48 8B D6 8B 08 FF 51 54 5E 5B C3 33 C0 5E 5B C3 }
	condition:
		$1
}

rule function_114134_0 {
	meta:
		name = "TCustomOwnedNode.HasChildren"
		size = 11
	strings:
		$1 = { 8B 40 0C 83 78 08 00 0F 9F C0 C3 }
	condition:
		$1
}

rule function_114136_0 {
	meta:
		name = "TCustomOwnedNode.InsertBefore"
		size = 111
		refs = "000e TCustomOwnedNode.CheckAssigned 0017 TCustomOwnedNode.CheckSameOwner 0020 TCustomOwnedNode.CheckNotAncestorOrSelf 0027 TCustomOwnedNode.CheckNotReadOnly 0030 TCustomOwnedNode.CheckParentNotReadOnly 003b TCustomOwnedNode.CheckDissimilarity 0048 TCustomOwnedNode.CheckHasChild 005c TCustomOwnedNode.InternalInsertBefore"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 85 FF 74 09 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 2C 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 20 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114137_0 {
	meta:
		name = "TCustomOwnedNode.InternalAdopt"
		size = 99
		refs = "0013 @CallDynaInst 0019 _DV_TCustomOwnedObject 001e @AsClass 0025 TCustomOwnedObject.Detach 002f TCustomOwnedObject.Attach 0049 TCustomOwnedNode.GetItem 0055 TCustomOwnedNode.InternalAdopt"
	strings:
		$1 = { 53 56 57 55 51 8B F9 89 14 24 8B E8 8B C7 66 BE FF FF E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 E8 ?? ?? ?? ?? 8B D7 8B 04 24 E8 ?? ?? ?? ?? 8B C7 8B 10 FF 52 38 8B D8 4B 85 DB 7C 1C 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 8B C8 8B 14 24 8B C5 E8 ?? ?? ?? ?? 46 4B 75 E7 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114138_0 {
	meta:
		name = "TCustomOwnedNode.InternalClear"
		size = 82
		refs = "0009 TCustomOwnedObject.Clear 0023 TList.Get 0034 TList.Delete 003b TObject.Free"
	strings:
		$1 = { 53 56 57 55 8B E8 8B C5 E8 ?? ?? ?? ?? 8B 45 0C 85 C0 74 39 8B F0 8B 5E 08 4B 85 DB 7C 2F 8B D3 8B C6 E8 ?? ?? ?? ?? 8B F8 33 C0 89 47 14 8B 45 0C 8B D3 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 4B 3B 5E 08 7C 04 8B 5E 08 4B 85 DB 7D D1 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114139_0 {
	meta:
		name = "TCustomOwnedNode.InternalInsertBefore"
		size = 130
		refs = "001f TCustomOwnedNode.InternalRemove 002d TList.IndexOf 003b TList.Insert 005d TList.Add 006e TList.Get"
	strings:
		$1 = { 53 56 57 55 8B F9 8B DA 8B F0 8B C3 8B 10 FF 52 48 85 C0 74 0E 8B C3 8B 10 FF 52 48 8B D3 E8 ?? ?? ?? ?? 85 FF 74 30 8B D7 8B 46 0C E8 ?? ?? ?? ?? 8B E8 8B CB 8B D5 8B 46 0C E8 ?? ?? ?? ?? 89 7B 10 8B 47 18 89 43 18 89 5F 18 8B 43 18 85 C0 74 28 89 58 10 EB 23 8B D3 8B 46 0C E8 ?? ?? ?? ?? 8B E8 85 ED 7E 13 8B D5 4A 8B 46 0C E8 ?? ?? ?? ?? 8B F8 89 7B 18 89 5F 10 89 73 14 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114140_0 {
	meta:
		name = "TCustomOwnedNode.InternalRemove"
		size = 58
		refs = "000b TList.RemoveItem"
	strings:
		$1 = { 53 8B DA 8B 40 0C 8B D3 33 C9 E8 ?? ?? ?? ?? 33 C0 89 43 14 8B 43 18 85 C0 74 06 8B 53 10 89 50 10 8B 43 10 85 C0 74 06 8B 53 18 89 50 18 33 C0 89 43 10 33 C0 89 43 18 5B C3 }
	condition:
		$1
}

rule function_114141_0 {
	meta:
		name = "TCustomOwnedNode.RaiseException"
		size = 300
		refs = "0012 TCustomOwnedNode.RaiseException 001e _DV_EHierarchyRequestError 0028 SHierarchyRequestError 002d LoadResString 0039 Exception.Create 003e @RaiseExcept 0049 _DV_ENoModificationAllowedError 0053 SNoModificationAllowedError 0074 _DV_ENotAssignedError 007e SNotAssignedError 009c _DV_ENotFoundError 00a6 SNotFoundError 00c4 _DV_EWrongOwnerError 00ce SWrongOwnerError 00f0 TObject.ClassName 011b @UStrArrayClr 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 1D ?? ?? ?? ?? 75 23 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 BE 00 00 00 3B 1D ?? ?? ?? ?? 75 23 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 93 00 00 00 3B 1D ?? ?? ?? ?? 75 20 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 6B 3B 1D ?? ?? ?? ?? 75 20 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 43 3B 1D ?? ?? ?? ?? 75 20 8D 55 EC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1B 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 8B C3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114142_0 {
	meta:
		name = "TCustomOwnedNode.Remove"
		size = 63
		refs = "000b TCustomOwnedNode.CheckAssigned 0012 TCustomOwnedNode.CheckNotReadOnly 001b TCustomOwnedNode.CheckHasChild 002d TCustomOwnedNode.InternalRemove"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 34 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 28 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_114143_0 {
	meta:
		name = "TCustomOwnedNode.Replace"
		size = 190
		refs = "000f TCustomOwnedNode.CheckAssigned 0021 TCustomOwnedNode.CheckSameOwner 002a TCustomOwnedNode.CheckNotAncestorOrSelf 0031 TCustomOwnedNode.CheckNotReadOnly 003a TCustomOwnedNode.CheckParentNotReadOnly 0043 TCustomOwnedNode.CheckHasChild 0069 TCustomOwnedNode.InternalRemove 00aa TCustomOwnedNode.InternalInsertBefore"
	strings:
		$1 = { 53 56 57 55 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 3B FE 74 6C 8B C6 8B 10 FF 52 48 85 C0 74 20 8B D6 8B C3 8B 08 FF 51 34 8B C6 8B 10 FF 52 48 8B D6 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 28 8B C7 8B 10 FF 52 44 8B E8 8B D7 8B C3 8B 08 FF 51 34 8B D7 8B C3 E8 ?? ?? ?? ?? 8B D7 8B C3 8B 08 FF 51 28 8B D6 8B C3 8B 08 FF 51 2C 8B CD 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 20 8B C7 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114147_0 {
	meta:
		name = "IsUriURI_referenceWideStr"
		size = 304
		refs = "0014 @WStrAddRef 001c IsUriURI_referenceWideStr 002f Pos 004d @WStrCopy 0058 @UStrFromWStr 0063 @WStrFromUStr 006b IsUriAbsoluteURIWideStr 0082 IsUriRelativeURIWideStr 00b7 IsUriFragmentWideStr 00e1 @WStrEqual 0103 @WStrArrayClr 010b @UStrClr 0113 @WStrClr 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E 86 00 00 00 8D 45 F4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 1D 8D 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 06 83 7D F8 00 75 2D 8B 75 FC 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 E8 50 8B CE 2B CB 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? EB 02 33 C0 8B D8 EB 2A 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 1C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5E 5B 8B E5 5D C3 00 02 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_114148_0 {
	meta:
		name = "IsUriAbsoluteURIWideStr"
		size = 264
		refs = "0014 @WStrAddRef 001c IsUriAbsoluteURIWideStr 002f Pos 005c @WStrCopy 0067 @UStrFromWStr 0083 IsUriSchemeWideStr 0092 @WStrFromUStr 009a IsUriHier_partWideStr 00b1 IsUriOpaque_partWideStr 00db @WStrArrayClr 00e3 @UStrClr 00eb @WStrClr 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E 86 00 00 00 8B 75 FC 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 F4 50 8B CE 2B CB 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F0 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 2E 8D 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 1B 8D 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5E 5B 8B E5 5D C3 00 02 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_114149_0 {
	meta:
		name = "IsUriRelativeURIWideStr"
		size = 324
		refs = "0015 @WStrAddRef 001d IsUriRelativeURIWideStr 0030 Pos 004e @WStrCopy 0059 @UStrFromWStr 0064 @WStrFromUStr 006c IsUriNet_pathWideStr 0083 IsUriAbs_pathWideStr 009a IsUriRel_pathWideStr 00c9 IsUriQueryWideStr 0115 @WStrArrayClr 011d @UStrClr 0125 @WStrClr 012b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E 97 00 00 00 8D 45 F4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 2E 8D 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 75 17 8D 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 84 C0 74 2D 8B 75 FC 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 E4 50 8B CE 2B CB 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? EB 02 33 C0 8B D8 EB 2A 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 1C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5E 5B 8B E5 5D C3 00 00 00 02 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_114150_0 {
	meta:
		name = "IsUriHier_partWideStr"
		size = 288
		refs = "0014 @WStrAddRef 001c IsUriHier_partWideStr 002f Pos 004d @WStrCopy 0058 @UStrFromWStr 0063 @WStrFromUStr 006b IsUriNet_pathWideStr 0082 IsUriAbs_pathWideStr 00b1 IsUriQueryWideStr 00f1 @WStrArrayClr 00f9 @UStrClr 0101 @WStrClr 0107 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 0F 8E 80 00 00 00 8D 45 F4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 75 17 8D 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 2D 8B 75 FC 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 E8 50 8B CE 2B CB 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? EB 02 33 C0 8B D8 EB 1E 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5E 5B 8B E5 5D C3 00 00 00 02 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_114151_0 {
	meta:
		name = "IsUriOpaque_partWideStr"
		size = 104
		refs = "000c @WStrAddRef 0014 IsUriOpaque_partWideStr 0024 @WStrEqual 003f IsUriUricWideStr 0056 @WStrClr 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 75 04 33 DB EB 17 8B 45 FC 66 83 38 2F 75 04 33 DB EB 0A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_114152_0 {
	meta:
		name = "IsUriNet_pathWideStr"
		size = 292
		refs = "0012 @WStrAddRef 001a IsUriNet_pathWideStr 0036 @WStrCopy 0043 @WStrEqual 007f Pos 00a1 IsUriAuthorityWideStr 00d0 IsUriAbs_pathWideStr 00fc @WStrArrayClr 0102 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 07 33 DB E9 96 00 00 00 8B 5D FC 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8D 45 FC 50 8B CB 83 E9 02 BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 53 8D 45 F4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 2D 8B 75 FC 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 F0 50 8B CE 2B CB 41 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 02 33 C0 8B D8 EB 0A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 04 00 00 00 2F 00 2F 00 00 00 00 00 02 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_114153_0 {
	meta:
		name = "IsUriAbs_pathWideStr"
		size = 153
		refs = "0013 @WStrAddRef 001b IsUriAbs_pathWideStr 002b @WStrEqual 0062 @WStrCopy 006a IsUriPath_segmentsWideStr 0086 @WStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 75 04 33 DB EB 3B 8B 45 FC 66 83 38 2F 74 04 33 DB EB 2E 8B 5D FC 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8D 45 F8 50 8B CB 49 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114154_0 {
	meta:
		name = "IsUriRel_pathWideStr"
		size = 200
		refs = "0012 @WStrAddRef 001a IsUriRel_pathWideStr 002d Pos 0047 @WStrCopy 004f IsUriRel_segmentWideStr 007e IsUriAbs_pathWideStr 00aa @WStrArrayClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 53 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 2D 8B 75 FC 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 F4 50 8B CE 2B CB 41 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 02 33 C0 8B D8 EB 0A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 02 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_114155_0 {
	meta:
		name = "IsUriRel_segmentWideStr"
		size = 295
		refs = "000e @WStrAddRef 0016 IsUriRel_segmentWideStr 0068 IsUriHexWideChar 00a1 IsUriUnreservedWideChar 0113 @WStrClr 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 85 F6 75 07 33 DB E9 C7 00 00 00 B3 01 33 FF 3B F7 0F 8E BB 00 00 00 47 8B 45 FC 66 83 7C 78 FE 25 75 45 3B F7 75 07 33 DB E9 A4 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 8B 00 00 00 3B F7 75 07 33 DB E9 80 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 66 33 DB EB 6A 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 51 8B 45 FC 66 83 7C 78 FE 3B 74 46 8B 45 FC 66 83 7C 78 FE 40 74 3B 8B 45 FC 66 83 7C 78 FE 26 74 30 8B 45 FC 66 83 7C 78 FE 3D 74 25 8B 45 FC 66 83 7C 78 FE 2B 74 1A 8B 45 FC 66 83 7C 78 FE 24 74 0F 8B 45 FC 66 83 7C 78 FE 2C 74 04 33 DB EB 08 3B F7 0F 8F 45 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114156_0 {
	meta:
		name = "IsUriSchemeWideStr"
		size = 200
		refs = "000e @WStrAddRef 0016 IsUriSchemeWideStr 003f IsAbnfALPHAWideChar 0072 IsAbnfDIGITWideChar 00b4 @WStrClr 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 85 F6 75 04 33 DB EB 6B 8B 45 FC 0F B7 00 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 58 B3 01 83 EE 02 7C 51 46 BF 02 00 00 00 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 36 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 25 8B 45 FC 66 83 7C 78 FE 2B 74 1A 8B 45 FC 66 83 7C 78 FE 2D 74 0F 8B 45 FC 66 83 7C 78 FE 2E 74 04 33 DB EB 04 47 4E 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114157_0 {
	meta:
		name = "IsUriAuthorityWideStr"
		size = 95
		refs = "000c @WStrAddRef 0014 IsUriAuthorityWideStr 0022 IsUriServerWideStr 002e IsUriReg_nameWideStr 004d @WStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_114162_0 {
	meta:
		name = "IsUriHostWideStr"
		size = 95
		refs = "000c @WStrAddRef 0014 IsUriHostWideStr 0022 IsUriHostnameWideStr 002e IsUriIPv4addressWideStr 004d @WStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_114158_0 {
	meta:
		name = "IsUriReg_nameWideStr"
		size = 306
		refs = "000e @WStrAddRef 0016 IsUriReg_nameWideStr 0068 IsUriHexWideChar 00a1 IsUriUnreservedWideChar 011e @WStrClr 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 85 F6 75 07 33 DB E9 D2 00 00 00 B3 01 33 FF 3B F7 0F 8E C6 00 00 00 47 8B 45 FC 66 83 7C 78 FE 25 75 45 3B F7 75 07 33 DB E9 AF 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 96 00 00 00 3B F7 75 07 33 DB E9 8B 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 71 33 DB EB 75 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 5C 8B 45 FC 66 83 7C 78 FE 24 74 51 8B 45 FC 66 83 7C 78 FE 2C 74 46 8B 45 FC 66 83 7C 78 FE 3B 74 3B 8B 45 FC 66 83 7C 78 FE 3A 74 30 8B 45 FC 66 83 7C 78 FE 40 74 25 8B 45 FC 66 83 7C 78 FE 26 74 1A 8B 45 FC 66 83 7C 78 FE 3D 74 0F 8B 45 FC 66 83 7C 78 FE 2B 74 04 33 DB EB 08 3B F7 0F 8F 3A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114159_0 {
	meta:
		name = "IsUriServerWideStr"
		size = 212
		refs = "0012 @WStrAddRef 001a IsUriServerWideStr 0045 Pos 005f @WStrCopy 0067 IsUriUserinfoWideStr 0086 IsUriHostPortWideStr 00b8 @WStrArrayClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 85 F6 75 04 B3 01 EB 66 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 49 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 1F 8D 45 F4 50 8B CE 2B CB 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 EB 0A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 02 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_114160_0 {
	meta:
		name = "IsUriUserinfoWideStr"
		size = 292
		refs = "000e @WStrAddRef 0016 IsUriUserinfoWideStr 0065 IsUriHexWideChar 009e IsUriUnreservedWideChar 0110 @WStrClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 B3 01 85 F6 0F 84 C5 00 00 00 33 FF 3B F7 0F 8E BB 00 00 00 47 8B 45 FC 66 83 7C 78 FE 25 75 45 3B F7 75 07 33 DB E9 A4 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 8B 00 00 00 3B F7 75 07 33 DB E9 80 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 66 33 DB EB 6A 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 51 8B 45 FC 66 83 7C 78 FE 3B 74 46 8B 45 FC 66 83 7C 78 FE 3A 74 3B 8B 45 FC 66 83 7C 78 FE 26 74 30 8B 45 FC 66 83 7C 78 FE 3D 74 25 8B 45 FC 66 83 7C 78 FE 2B 74 1A 8B 45 FC 66 83 7C 78 FE 24 74 0F 8B 45 FC 66 83 7C 78 FE 2C 74 04 33 DB EB 08 3B F7 0F 8F 45 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114161_0 {
	meta:
		name = "IsUriHostPortWideStr"
		size = 200
		refs = "0012 @WStrAddRef 001a IsUriHostPortWideStr 002d Pos 0047 @WStrCopy 004f IsUriHostWideStr 007e IsUriPortWideStr 00aa @WStrArrayClr 00b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 53 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 2D 8B 75 FC 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 F4 50 8B CE 2B CB 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 02 33 C0 8B D8 EB 0A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 02 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_114163_0 {
	meta:
		name = "IsUriHostnameWideStr"
		size = 257
		refs = "0013 @WStrAddRef 001b IsUriHostnameWideStr 0073 @WStrCopy 007b IsUriToplabelWideStr 00c6 IsUriDomainlabelWideStr 00ec @WStrArrayClr 00f2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 85 F6 75 07 33 DB E9 96 00 00 00 B3 01 8B 45 FC 66 83 7C 70 FE 2E 75 01 4E 8B FE 85 FF 7E 10 8B 45 FC 66 83 7C 78 FE 2E 74 05 4F 85 FF 7F F0 8D 45 F8 50 8B CE 2B CF 8D 57 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 4F 85 FF 7E 4B 8B F7 8B 45 FC 66 83 7C 70 FE 2E 75 01 4E 8B FE 85 FF 7E 10 8B 45 FC 66 83 7C 78 FE 2E 74 05 4F 85 FF 7F F0 8D 45 F4 50 8B CE 2B CF 8D 57 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 04 85 FF 7F B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114164_0 {
	meta:
		name = "IsUriDomainlabelWideStr"
		size = 177
		refs = "000e @WStrAddRef 0016 IsUriDomainlabelWideStr 003f IsUriAlphanumWideChar 009d @WStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 85 F6 75 04 33 DB EB 54 8B 45 FC 0F B7 00 E8 ?? ?? ?? ?? 84 C0 74 11 8B 45 FC 0F B7 44 70 FE E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 30 B3 01 BF 01 00 00 00 3B F7 7E 25 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 0F 8B 45 FC 66 83 7C 78 FE 2D 74 04 33 DB EB 04 3B F7 7F DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114165_0 {
	meta:
		name = "IsUriToplabelWideStr"
		size = 177
		refs = "000e @WStrAddRef 0016 IsUriToplabelWideStr 003f IsUriAlphaWideChar 0050 IsUriAlphanumWideChar 009d @WStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 85 F6 75 04 33 DB EB 54 8B 45 FC 0F B7 00 E8 ?? ?? ?? ?? 84 C0 74 11 8B 45 FC 0F B7 44 70 FE E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 30 B3 01 BF 01 00 00 00 3B F7 7E 25 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 0F 8B 45 FC 66 83 7C 78 FE 2D 74 04 33 DB EB 04 3B F7 7F DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114166_0 {
	meta:
		name = "IsUriIPv4addressWideStr"
		size = 180
		refs = "0010 @WStrAddRef 0018 IsUriIPv4addressWideStr 0051 IsUriDigitWideChar 009d @WStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F8 33 F6 33 C0 89 45 F4 33 C0 89 45 F0 33 DB 3B FE 7E 34 8B 45 FC 0F B7 44 70 FE E8 ?? ?? ?? ?? 84 C0 74 0B 84 DB 75 1B B3 01 FF 45 F4 EB 14 8B 45 FC 66 83 7C 70 FE 2E 75 1D 84 DB 74 19 33 DB FF 45 F0 3B FE 7F CC 83 7D F0 03 75 0A 83 7D F4 04 75 04 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114167_0 {
	meta:
		name = "IsUriPortWideStr"
		size = 121
		refs = "000e @WStrAddRef 0016 IsUriPortWideStr 0044 IsUriDigitWideChar 0065 @WStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F8 85 FF 7E 1E BE 01 00 00 00 8B 45 FC 0F B7 44 70 FE E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 04 46 4F 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114168_0 {
	meta:
		name = "IsUriPathWideStr"
		size = 107
		refs = "000c @WStrAddRef 0014 IsUriPathWideStr 0022 IsUriAbs_pathWideStr 002e IsUriOpaque_partWideStr 003c @WStrEqual 0059 @WStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 18 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0C 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 75 04 B3 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_114169_0 {
	meta:
		name = "IsUriPath_segmentsWideStr"
		size = 317
		refs = "000e @WStrAddRef 0016 IsUriPath_segmentsWideStr 0065 IsUriHexWideChar 00a1 IsUriUnreservedWideChar 0129 @WStrClr 012f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 B3 01 85 F6 0F 84 DE 00 00 00 33 FF 3B F7 0F 8E D4 00 00 00 47 8B 45 FC 66 83 7C 78 FE 25 75 48 3B F7 75 07 33 DB E9 BD 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 A4 00 00 00 3B F7 75 07 33 DB E9 99 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 7F 33 DB E9 80 00 00 00 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 67 8B 45 FC 66 83 7C 78 FE 3A 74 5C 8B 45 FC 66 83 7C 78 FE 40 74 51 8B 45 FC 66 83 7C 78 FE 26 74 46 8B 45 FC 66 83 7C 78 FE 3D 74 3B 8B 45 FC 66 83 7C 78 FE 2B 74 30 8B 45 FC 66 83 7C 78 FE 24 74 25 8B 45 FC 66 83 7C 78 FE 2C 74 1A 8B 45 FC 66 83 7C 78 FE 3B 74 0F 8B 45 FC 66 83 7C 78 FE 2F 74 04 33 DB EB 08 3B F7 0F 8F 2C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114170_0 {
	meta:
		name = "IsUriSegmentWideStr"
		size = 303
		refs = "000e @WStrAddRef 0016 IsUriSegmentWideStr 0065 IsUriHexWideChar 009e IsUriUnreservedWideChar 011b @WStrClr 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 B3 01 85 F6 0F 84 D0 00 00 00 33 FF 3B F7 0F 8E C6 00 00 00 47 8B 45 FC 66 83 7C 78 FE 25 75 45 3B F7 75 07 33 DB E9 AF 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 96 00 00 00 3B F7 75 07 33 DB E9 8B 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 71 33 DB EB 75 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 5C 8B 45 FC 66 83 7C 78 FE 3A 74 51 8B 45 FC 66 83 7C 78 FE 40 74 46 8B 45 FC 66 83 7C 78 FE 26 74 3B 8B 45 FC 66 83 7C 78 FE 3D 74 30 8B 45 FC 66 83 7C 78 FE 2B 74 25 8B 45 FC 66 83 7C 78 FE 24 74 1A 8B 45 FC 66 83 7C 78 FE 2C 74 0F 8B 45 FC 66 83 7C 78 FE 3B 74 04 33 DB EB 08 3B F7 0F 8F 3A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114171_0 {
	meta:
		name = "IsUriParamWideStr"
		size = 292
		refs = "000e @WStrAddRef 0016 IsUriParamWideStr 0065 IsUriHexWideChar 009e IsUriUnreservedWideChar 0110 @WStrClr 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 B3 01 85 F6 0F 84 C5 00 00 00 33 FF 3B F7 0F 8E BB 00 00 00 47 8B 45 FC 66 83 7C 78 FE 25 75 45 3B F7 75 07 33 DB E9 A4 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 8B 00 00 00 3B F7 75 07 33 DB E9 80 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 66 33 DB EB 6A 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 51 8B 45 FC 66 83 7C 78 FE 3A 74 46 8B 45 FC 66 83 7C 78 FE 40 74 3B 8B 45 FC 66 83 7C 78 FE 26 74 30 8B 45 FC 66 83 7C 78 FE 3D 74 25 8B 45 FC 66 83 7C 78 FE 2B 74 1A 8B 45 FC 66 83 7C 78 FE 24 74 0F 8B 45 FC 66 83 7C 78 FE 2C 74 04 33 DB EB 08 3B F7 0F 8F 45 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114172_0 {
	meta:
		name = "IsUriQueryWideStr"
		size = 91
		refs = "000c @WStrAddRef 0014 IsUriQueryWideStr 0024 @WStrEqual 0032 IsUriUricWideStr 0049 @WStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 75 04 B3 01 EB 0A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_114173_0 {
	meta:
		name = "IsUriFragmentWideStr"
		size = 91
		refs = "000c @WStrAddRef 0014 IsUriFragmentWideStr 0024 @WStrEqual 0032 IsUriUricWideStr 0049 @WStrClr 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 75 04 B3 01 EB 0A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_114174_0 {
	meta:
		name = "IsUriUricWideStr"
		size = 215
		refs = "000e @WStrAddRef 0016 IsUriUricWideStr 005e IsUriHexWideChar 0091 IsUriReservedWideChar 00a2 IsUriUnreservedWideChar 00c3 @WStrClr 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 85 F6 75 04 33 DB EB 7A B3 01 33 FF 3B F7 7E 72 47 8B 45 FC 66 83 7C 78 FE 25 75 3C 3B F7 75 04 33 DB EB 5E 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 48 3B F7 75 04 33 DB EB 40 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 2A 33 DB EB 2A 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 15 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 04 3B F7 7F 8E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114175_0 {
	meta:
		name = "IsUriReservedChar"
		size = 66
		altNames = "IsUriReservedWideChar"
	strings:
		$1 = { 66 83 F8 3B 74 36 66 83 F8 2F 74 30 66 83 F8 3F 74 2A 66 83 F8 3A 74 24 66 83 F8 40 74 1E 66 83 F8 26 74 18 66 83 F8 3D 74 12 66 83 F8 2B 74 0C 66 83 F8 24 74 06 66 83 F8 2C 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114176_0 {
	meta:
		name = "IsUriUnreservedWideChar"
		size = 33
		refs = "0006 IsUriAlphanumWideChar 0011 IsUriMarkWideChar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_114211_0 {
	meta:
		name = "IsUriUnreservedChar"
		size = 33
		refs = "0006 IsUriAlphanumChar 0011 IsUriMarkChar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_114387_0 {
	meta:
		name = "IsXmlReference"
		size = 33
		refs = "0006 IsXmlEntityRef 0011 IsXmlCharRef"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_114177_0 {
	meta:
		name = "IsUriMarkChar"
		size = 60
		altNames = "IsUriMarkWideChar"
	strings:
		$1 = { 66 83 F8 2D 74 30 66 83 F8 5F 74 2A 66 83 F8 2E 74 24 66 83 F8 21 74 1E 66 83 F8 7E 74 18 66 83 F8 2A 74 12 66 83 F8 27 74 0C 66 83 F8 28 74 06 66 83 F8 29 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114178_0 {
	meta:
		name = "IsUriHexWideChar"
		size = 33
	strings:
		$1 = { 83 C0 D0 66 83 E8 0A 72 12 83 C0 F9 66 83 E8 06 72 09 83 C0 E6 66 83 E8 06 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114179_0 {
	meta:
		name = "IsUriAlphanumWideChar"
		size = 33
	strings:
		$1 = { 83 C0 D0 66 83 E8 0A 72 12 83 C0 F9 66 83 E8 1A 72 09 83 C0 FA 66 83 E8 1A 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114182_0 {
	meta:
		name = "IsUriURI_referenceStr"
		size = 248
		refs = "0012 @UStrAddRef 001a IsUriURI_referenceStr 002d Pos 0047 @UStrCopy 004f IsUriAbsoluteURIStr 005b IsUriRelativeURIStr 008c IsUriFragmentStr 00d2 @UStrArrayClr 00d8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 61 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 12 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 06 83 7D F8 00 75 29 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 F4 50 8B CE 2B CB 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 02 33 C0 8B D8 EB 24 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 16 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 0A 83 7D FC 00 74 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_114183_0 {
	meta:
		name = "IsUriAbsoluteURIStr"
		size = 212
		refs = "0012 @UStrAddRef 001a IsUriAbsoluteURIStr 002d Pos 0052 @UStrCopy 006e IsUriSchemeStr 007a IsUriHier_partStr 0086 IsUriOpaque_partStr 00b0 @UStrArrayClr 00b6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 61 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 F8 50 8B CE 2B CB 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 18 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_114184_0 {
	meta:
		name = "IsUriRelativeURIStr"
		size = 260
		refs = "0012 @UStrAddRef 001a IsUriRelativeURIStr 002d Pos 0047 @UStrCopy 004f IsUriNet_pathStr 005b IsUriAbs_pathStr 0067 IsUriRel_pathStr 0092 IsUriQueryStr 00de @UStrArrayClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 67 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 18 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 29 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 F4 50 8B CE 2B CB 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 02 33 C0 8B D8 EB 2A 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 1C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_114185_0 {
	meta:
		name = "IsUriHier_partStr"
		size = 236
		refs = "0012 @UStrAddRef 001a IsUriHier_partStr 002d Pos 0047 @UStrCopy 004f IsUriNet_pathStr 005b IsUriAbs_pathStr 0086 IsUriQueryStr 00c6 @UStrArrayClr 00cc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 5B 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 0C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 29 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 F4 50 8B CE 2B CB 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 02 33 C0 8B D8 EB 1E 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 }
	condition:
		$1
}

rule function_114186_0 {
	meta:
		name = "IsUriOpaque_partStr"
		size = 98
		refs = "000c @UStrAddRef 0014 IsUriOpaque_partStr 0039 IsUriUricStr 0050 @UStrClr 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 04 33 DB EB 17 8B 45 FC 66 83 38 2F 75 04 33 DB EB 0A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_114187_0 {
	meta:
		name = "IsUriNet_pathStr"
		size = 300
		refs = "0012 @UStrAddRef 001a IsUriNet_pathStr 0036 @UStrCopy 0043 @UStrEqual 007b Pos 009d IsUriAuthorityStr 00c8 IsUriAbs_pathStr 00f4 @UStrArrayClr 00fa @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 07 33 DB E9 8E 00 00 00 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 FC 50 8B CB 83 E9 02 BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 4F 8D 45 F4 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 74 29 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 F0 50 8B CE 2B CB 41 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 02 33 C0 8B D8 EB 0A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_114188_0 {
	meta:
		name = "IsUriAbs_pathStr"
		size = 143
		refs = "0013 @UStrAddRef 001b IsUriAbs_pathStr 0058 @UStrCopy 0060 IsUriPath_segmentsStr 007c @UStrArrayClr 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 04 33 DB EB 37 8B 45 FC 66 83 38 2F 74 04 33 DB EB 2A 8B 5D FC 85 DB 74 05 83 EB 04 8B 1B 8D 45 F8 50 8B CB 49 BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114189_0 {
	meta:
		name = "IsUriRel_pathStr"
		size = 204
		refs = "0012 @UStrAddRef 001a IsUriRel_pathStr 002d Pos 0047 @UStrCopy 004f IsUriRel_segmentStr 007a IsUriAbs_pathStr 00a6 @UStrArrayClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 4F 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 29 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 F4 50 8B CE 2B CB 41 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 02 33 C0 8B D8 EB 0A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_114190_0 {
	meta:
		name = "IsUriRel_segmentStr"
		size = 293
		refs = "000e @UStrAddRef 0016 IsUriRel_segmentStr 0066 IsUriHexChar 009f IsUriUnreservedChar 0111 @UStrClr 0117 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 75 07 33 DB E9 C7 00 00 00 B3 01 33 FF 3B F7 0F 8E BB 00 00 00 47 8B 45 FC 66 83 7C 78 FE 25 75 45 3B F7 75 07 33 DB E9 A4 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 8B 00 00 00 3B F7 75 07 33 DB E9 80 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 66 33 DB EB 6A 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 51 8B 45 FC 66 83 7C 78 FE 3B 74 46 8B 45 FC 66 83 7C 78 FE 40 74 3B 8B 45 FC 66 83 7C 78 FE 26 74 30 8B 45 FC 66 83 7C 78 FE 3D 74 25 8B 45 FC 66 83 7C 78 FE 2B 74 1A 8B 45 FC 66 83 7C 78 FE 24 74 0F 8B 45 FC 66 83 7C 78 FE 2C 74 04 33 DB EB 08 3B F7 0F 8F 45 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114191_0 {
	meta:
		name = "IsUriSchemeStr"
		size = 198
		refs = "000e @UStrAddRef 0016 IsUriSchemeStr 003d IsAbnfALPHAChar 0070 IsAbnfDIGITChar 00b2 @UStrClr 00b8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 75 04 33 DB EB 6B 8B 45 FC 0F B7 00 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 58 B3 01 83 EE 02 7C 51 46 BF 02 00 00 00 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 36 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 25 8B 45 FC 66 83 7C 78 FE 2B 74 1A 8B 45 FC 66 83 7C 78 FE 2D 74 0F 8B 45 FC 66 83 7C 78 FE 2E 74 04 33 DB EB 04 47 4E 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114192_0 {
	meta:
		name = "IsUriAuthorityStr"
		size = 95
		refs = "000c @UStrAddRef 0014 IsUriAuthorityStr 0022 IsUriServerStr 002e IsUriReg_nameStr 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_114197_0 {
	meta:
		name = "IsUriHostStr"
		size = 95
		refs = "000c @UStrAddRef 0014 IsUriHostStr 0022 IsUriHostnameStr 002e IsUriIPv4addressStr 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 10 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_114193_0 {
	meta:
		name = "IsUriReg_nameStr"
		size = 304
		refs = "000e @UStrAddRef 0016 IsUriReg_nameStr 0066 IsUriHexChar 009f IsUriUnreservedChar 011c @UStrClr 0122 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 75 07 33 DB E9 D2 00 00 00 B3 01 33 FF 3B F7 0F 8E C6 00 00 00 47 8B 45 FC 66 83 7C 78 FE 25 75 45 3B F7 75 07 33 DB E9 AF 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 96 00 00 00 3B F7 75 07 33 DB E9 8B 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 71 33 DB EB 75 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 5C 8B 45 FC 66 83 7C 78 FE 24 74 51 8B 45 FC 66 83 7C 78 FE 2C 74 46 8B 45 FC 66 83 7C 78 FE 3B 74 3B 8B 45 FC 66 83 7C 78 FE 3A 74 30 8B 45 FC 66 83 7C 78 FE 40 74 25 8B 45 FC 66 83 7C 78 FE 26 74 1A 8B 45 FC 66 83 7C 78 FE 3D 74 0F 8B 45 FC 66 83 7C 78 FE 2B 74 04 33 DB EB 08 3B F7 0F 8F 3A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114194_0 {
	meta:
		name = "IsUriServerStr"
		size = 220
		refs = "0012 @UStrAddRef 001a IsUriServerStr 0043 Pos 005d @UStrCopy 0065 IsUriUserinfoStr 0084 IsUriHostPortStr 00b6 @UStrArrayClr 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 75 04 B3 01 EB 66 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 49 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 1F 8D 45 F4 50 8B CE 2B CB 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 EB 0A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 }
	condition:
		$1
}

rule function_114195_0 {
	meta:
		name = "IsUriUserinfoStr"
		size = 290
		refs = "000e @UStrAddRef 0016 IsUriUserinfoStr 0063 IsUriHexChar 009c IsUriUnreservedChar 010e @UStrClr 0114 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 B3 01 85 F6 0F 84 C5 00 00 00 33 FF 3B F7 0F 8E BB 00 00 00 47 8B 45 FC 66 83 7C 78 FE 25 75 45 3B F7 75 07 33 DB E9 A4 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 8B 00 00 00 3B F7 75 07 33 DB E9 80 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 66 33 DB EB 6A 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 51 8B 45 FC 66 83 7C 78 FE 3B 74 46 8B 45 FC 66 83 7C 78 FE 3A 74 3B 8B 45 FC 66 83 7C 78 FE 26 74 30 8B 45 FC 66 83 7C 78 FE 3D 74 25 8B 45 FC 66 83 7C 78 FE 2B 74 1A 8B 45 FC 66 83 7C 78 FE 24 74 0F 8B 45 FC 66 83 7C 78 FE 2C 74 04 33 DB EB 08 3B F7 0F 8F 45 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114196_0 {
	meta:
		name = "IsUriHostPortStr"
		size = 204
		refs = "0012 @UStrAddRef 001a IsUriHostPortStr 002d Pos 0047 @UStrCopy 004f IsUriHostStr 007a IsUriPortStr 00a6 @UStrArrayClr 00ac @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 4F 8D 45 F8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 29 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 F4 50 8B CE 2B CB 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 02 33 C0 8B D8 EB 0A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_114198_0 {
	meta:
		name = "IsUriHostnameStr"
		size = 255
		refs = "0013 @UStrAddRef 001b IsUriHostnameStr 0071 @UStrCopy 0079 IsUriToplabelStr 00c4 IsUriDomainlabelStr 00ea @UStrArrayClr 00f0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 75 07 33 DB E9 96 00 00 00 B3 01 8B 45 FC 66 83 7C 70 FE 2E 75 01 4E 8B FE 85 FF 7E 10 8B 45 FC 66 83 7C 78 FE 2E 74 05 4F 85 FF 7F F0 8D 45 F8 50 8B CE 2B CF 8D 57 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 4F 85 FF 7E 4B 8B F7 8B 45 FC 66 83 7C 70 FE 2E 75 01 4E 8B FE 85 FF 7E 10 8B 45 FC 66 83 7C 78 FE 2E 74 05 4F 85 FF 7F F0 8D 45 F4 50 8B CE 2B CF 8D 57 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 04 85 FF 7F B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114199_0 {
	meta:
		name = "IsUriDomainlabelStr"
		size = 175
		refs = "000e @UStrAddRef 0016 IsUriDomainlabelStr 003d IsUriAlphanumChar 009b @UStrClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 75 04 33 DB EB 54 8B 45 FC 0F B7 00 E8 ?? ?? ?? ?? 84 C0 74 11 8B 45 FC 0F B7 44 70 FE E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 30 B3 01 BF 01 00 00 00 3B F7 7E 25 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 0F 8B 45 FC 66 83 7C 78 FE 2D 74 04 33 DB EB 04 3B F7 7F DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114200_0 {
	meta:
		name = "IsUriToplabelStr"
		size = 175
		refs = "000e @UStrAddRef 0016 IsUriToplabelStr 003d IsUriAlphaChar 004e IsUriAlphanumChar 009b @UStrClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 75 04 33 DB EB 54 8B 45 FC 0F B7 00 E8 ?? ?? ?? ?? 84 C0 74 11 8B 45 FC 0F B7 44 70 FE E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 30 B3 01 BF 01 00 00 00 3B F7 7E 25 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 0F 8B 45 FC 66 83 7C 78 FE 2D 74 04 33 DB EB 04 3B F7 7F DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114201_0 {
	meta:
		name = "IsUriIPv4addressStr"
		size = 178
		refs = "0010 @UStrAddRef 0018 IsUriIPv4addressStr 004f IsUriDigitChar 009b @UStrClr 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FB 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F8 33 F6 33 C0 89 45 F4 33 C0 89 45 F0 33 DB 3B FE 7E 34 8B 45 FC 0F B7 44 70 FE E8 ?? ?? ?? ?? 84 C0 74 0B 84 DB 75 1B B3 01 FF 45 F4 EB 14 8B 45 FC 66 83 7C 70 FE 2E 75 1D 84 DB 74 19 33 DB FF 45 F0 3B FE 7F CC 83 7D F0 03 75 0A 83 7D F4 04 75 04 C6 45 FB 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114202_0 {
	meta:
		name = "IsUriPortStr"
		size = 119
		refs = "000e @UStrAddRef 0016 IsUriPortStr 0042 IsUriDigitChar 0063 @UStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F8 85 FF 7E 1E BE 01 00 00 00 8B 45 FC 0F B7 44 70 FE E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 04 46 4F 75 E7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114203_0 {
	meta:
		name = "IsUriPathStr"
		size = 101
		refs = "000c @UStrAddRef 0014 IsUriPathStr 0022 IsUriAbs_pathStr 002e IsUriOpaque_partStr 0053 @UStrClr 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 12 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 06 83 7D FC 00 75 04 B3 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_114204_0 {
	meta:
		name = "IsUriPath_segmentsStr"
		size = 315
		refs = "000e @UStrAddRef 0016 IsUriPath_segmentsStr 0063 IsUriHexChar 009f IsUriUnreservedChar 0127 @UStrClr 012d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 B3 01 85 F6 0F 84 DE 00 00 00 33 FF 3B F7 0F 8E D4 00 00 00 47 8B 45 FC 66 83 7C 78 FE 25 75 48 3B F7 75 07 33 DB E9 BD 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 A4 00 00 00 3B F7 75 07 33 DB E9 99 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 7F 33 DB E9 80 00 00 00 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 67 8B 45 FC 66 83 7C 78 FE 3A 74 5C 8B 45 FC 66 83 7C 78 FE 40 74 51 8B 45 FC 66 83 7C 78 FE 26 74 46 8B 45 FC 66 83 7C 78 FE 3D 74 3B 8B 45 FC 66 83 7C 78 FE 2B 74 30 8B 45 FC 66 83 7C 78 FE 24 74 25 8B 45 FC 66 83 7C 78 FE 2C 74 1A 8B 45 FC 66 83 7C 78 FE 3B 74 0F 8B 45 FC 66 83 7C 78 FE 2F 74 04 33 DB EB 08 3B F7 0F 8F 2C FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114205_0 {
	meta:
		name = "IsUriSegmentStr"
		size = 301
		refs = "000e @UStrAddRef 0016 IsUriSegmentStr 0063 IsUriHexChar 009c IsUriUnreservedChar 0119 @UStrClr 011f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 B3 01 85 F6 0F 84 D0 00 00 00 33 FF 3B F7 0F 8E C6 00 00 00 47 8B 45 FC 66 83 7C 78 FE 25 75 45 3B F7 75 07 33 DB E9 AF 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 96 00 00 00 3B F7 75 07 33 DB E9 8B 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 71 33 DB EB 75 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 5C 8B 45 FC 66 83 7C 78 FE 3A 74 51 8B 45 FC 66 83 7C 78 FE 40 74 46 8B 45 FC 66 83 7C 78 FE 26 74 3B 8B 45 FC 66 83 7C 78 FE 3D 74 30 8B 45 FC 66 83 7C 78 FE 2B 74 25 8B 45 FC 66 83 7C 78 FE 24 74 1A 8B 45 FC 66 83 7C 78 FE 2C 74 0F 8B 45 FC 66 83 7C 78 FE 3B 74 04 33 DB EB 08 3B F7 0F 8F 3A FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114206_0 {
	meta:
		name = "IsUriParamStr"
		size = 290
		refs = "000e @UStrAddRef 0016 IsUriParamStr 0063 IsUriHexChar 009c IsUriUnreservedChar 010e @UStrClr 0114 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 B3 01 85 F6 0F 84 C5 00 00 00 33 FF 3B F7 0F 8E BB 00 00 00 47 8B 45 FC 66 83 7C 78 FE 25 75 45 3B F7 75 07 33 DB E9 A4 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 07 33 DB E9 8B 00 00 00 3B F7 75 07 33 DB E9 80 00 00 00 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 66 33 DB EB 6A 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 51 8B 45 FC 66 83 7C 78 FE 3A 74 46 8B 45 FC 66 83 7C 78 FE 40 74 3B 8B 45 FC 66 83 7C 78 FE 26 74 30 8B 45 FC 66 83 7C 78 FE 3D 74 25 8B 45 FC 66 83 7C 78 FE 2B 74 1A 8B 45 FC 66 83 7C 78 FE 24 74 0F 8B 45 FC 66 83 7C 78 FE 2C 74 04 33 DB EB 08 3B F7 0F 8F 45 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114207_0 {
	meta:
		name = "IsUriQueryStr"
		size = 85
		refs = "000c @UStrAddRef 0014 IsUriQueryStr 002c IsUriUricStr 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 04 B3 01 EB 0A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_114208_0 {
	meta:
		name = "IsUriFragmentStr"
		size = 85
		refs = "000c @UStrAddRef 0014 IsUriFragmentStr 002c IsUriUricStr 0043 @UStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 04 B3 01 EB 0A 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_114209_0 {
	meta:
		name = "IsUriUricStr"
		size = 213
		refs = "000e @UStrAddRef 0016 IsUriUricStr 005c IsUriHexChar 008f IsUriReservedChar 00a0 IsUriUnreservedChar 00c1 @UStrClr 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F0 85 F6 75 04 33 DB EB 7A B3 01 33 FF 3B F7 7E 72 47 8B 45 FC 66 83 7C 78 FE 25 75 3C 3B F7 75 04 33 DB EB 5E 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 48 3B F7 75 04 33 DB EB 40 47 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 2A 33 DB EB 2A 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 15 8B 45 FC 0F B7 44 78 FE E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 04 3B F7 7F 8E 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114213_0 {
	meta:
		name = "IsUriHexChar"
		size = 24
	strings:
		$1 = { 04 D0 2C 0A 72 0C 04 F9 2C 06 72 06 04 E6 2C 06 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114214_0 {
	meta:
		name = "IsUriAlphanumChar"
		size = 24
	strings:
		$1 = { 04 D0 2C 0A 72 0C 04 F9 2C 1A 72 06 04 FA 2C 1A 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114217_0 {
	meta:
		name = "ResolveRelativeUriStr"
		size = 1080
		refs = "0022 ResolveRelativeUriStr 0030 @UStrClr 0037 _DV_TUriStrAnalyzer 003c TUriStrAnalyzer.Create 00a5 @TryFinallyExit 00f8 @UStrAsg 016f @UStrCopy 017c @UStrEqual 0189 _Dn_TStringList 018e TStringList.Create 01af LastDelimiter 01e4 @UStrCat 01f1 Pos 0362 @UStrCatN 0386 TObject.Free 038c @HandleFinally 03e2 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F0 8B 08 FF 51 14 88 45 F7 8B D3 8B 45 EC 8B 08 FF 51 14 22 45 F7 88 45 F7 8B 45 F0 80 78 1B 00 75 09 8B 45 EC 80 78 1B 00 74 06 80 7D F7 00 75 04 33 C0 EB 02 B0 01 88 45 F7 80 7D F7 00 75 0A E8 ?? ?? ?? ?? E9 1E 03 00 00 8B 45 EC 83 78 10 00 75 4F 8B 45 EC 80 78 1B 00 75 46 8B 45 EC 80 78 18 00 75 3D 8B 45 EC 80 78 1A 00 75 34 8B 45 EC 0F B6 48 19 8B 45 EC 8B 50 08 8B 45 F0 8B 18 FF 53 08 8D 55 E4 8B 45 F0 8B 08 FF 11 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C6 02 00 00 8B 45 EC 80 78 1B 00 74 14 8B 45 F8 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A9 02 00 00 8B 45 F0 0F B6 48 1B 8B 45 F0 8B 50 14 8B 45 EC 8B 18 FF 53 18 8B 45 EC 80 78 18 00 0F 85 4D 02 00 00 8B 45 F0 0F B6 48 18 8B 45 F0 8B 50 04 8B 45 EC 8B 18 FF 53 04 8D 45 E0 50 8B 45 EC 8B 40 10 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 0C 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 50 10 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 19 8D 45 FC 50 8B CB 49 8B 45 F0 8B 40 10 BA 02 00 00 00 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B 55 EC 8B 52 10 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 51 8D 45 DC 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 DC 8B 45 E8 8B 08 FF 51 38 8B 75 FC 85 F6 74 05 83 EE 04 8B 36 8D 45 FC 50 8B CE 2B CB 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7F AF 8B 55 FC 8B 45 E8 8B 08 FF 51 38 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A 33 D2 8B 45 E8 8B 08 FF 51 38 BA ?? ?? ?? ?? 8B 45 E8 8B 08 FF 51 54 8B D8 83 FB FF 7E 1E 8B D3 8B 45 E8 8B 08 FF 51 48 BA ?? ?? ?? ?? 8B 45 E8 8B 08 FF 51 54 8B D8 83 FB FF 7F E2 BA ?? ?? ?? ?? 8B 45 E8 8B 08 FF 51 54 8B D8 85 DB 7E 28 8B D3 8B 45 E8 8B 08 FF 51 48 8B D3 4A 8B 45 E8 8B 08 FF 51 48 BA ?? ?? ?? ?? 8B 45 E8 8B 08 FF 51 54 8B D8 85 DB 7F D8 8B 45 E8 8B 10 FF 52 14 85 C0 7E 2F 8D 4D D8 33 D2 8B 45 E8 8B 18 FF 53 0C 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 13 C6 45 F7 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A5 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 14 8B D8 4B 85 DB 7C 2C 43 33 F6 FF 75 FC 68 ?? ?? ?? ?? 8D 4D D4 8B D6 8B 45 E8 8B 38 FF 57 0C FF 75 D4 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 D7 8B 55 FC 8B 45 EC 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 D0 8B 45 EC 8B 08 FF 11 8B 55 D0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_114218_0 {
	meta:
		name = "ResolveRelativeUriWideStr"
		size = 1112
		refs = "0021 ResolveRelativeUriWideStr 002f @WStrClr 0036 _DV_TUriWideStrAnalyzer 003b TUriWideStrAnalyzer.Create 00a4 @TryFinallyExit 00b6 @WStrEqual 00fd @WStrAsg 0174 @WStrCopy 018e _Dn_TUtilsWideStringList 0193 TObject.Create 01b2 @UStrFromWStr 01bf LastDelimiter 01f4 @WStrCat 0201 Pos 0376 @WStrCatN 039a TObject.Free 03a0 @HandleFinally 03f6 @WStrArrayClr 03fe @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B 45 F0 8B 08 FF 51 14 88 45 F7 8B D3 8B 45 EC 8B 08 FF 51 14 22 45 F7 88 45 F7 8B 45 F0 80 78 1B 00 75 09 8B 45 EC 80 78 1B 00 74 06 80 7D F7 00 75 04 33 C0 EB 02 B0 01 88 45 F7 80 7D F7 00 75 0A E8 ?? ?? ?? ?? E9 33 03 00 00 8B 45 EC 8B 40 10 33 D2 E8 ?? ?? ?? ?? 75 4F 8B 45 EC 80 78 1B 00 75 46 8B 45 EC 80 78 18 00 75 3D 8B 45 EC 80 78 1A 00 75 34 8B 45 EC 0F B6 48 19 8B 45 EC 8B 50 08 8B 45 F0 8B 18 FF 53 08 8D 55 E4 8B 45 F0 8B 08 FF 11 8B 55 E4 8B 45 F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 D5 02 00 00 8B 45 EC 80 78 1B 00 74 14 8B 45 F8 8B D3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 B8 02 00 00 8B 45 F0 0F B6 48 1B 8B 45 F0 8B 50 14 8B 45 EC 8B 18 FF 53 18 8B 45 EC 80 78 18 00 0F 85 5C 02 00 00 8B 45 F0 0F B6 48 18 8B 45 F0 8B 50 04 8B 45 EC 8B 18 FF 53 04 8D 45 E0 50 8B 45 EC 8B 40 10 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 84 1B 02 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 DC 8B 55 F0 8B 52 10 E8 ?? ?? ?? ?? 8B 55 DC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 19 8D 45 FC 50 8B CB 49 8B 45 F0 8B 40 10 BA 02 00 00 00 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 8D 45 FC 8B 55 EC 8B 52 10 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 55 8D 45 D8 50 8B CB 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 8B 45 E8 8B 08 FF 51 34 8B 75 FC 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 FC 50 8B CE 2B CB 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7F AB 8B 55 FC 8B 45 E8 8B 08 FF 51 34 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0A 33 D2 8B 45 E8 8B 08 FF 51 34 BA ?? ?? ?? ?? 8B 45 E8 8B 08 FF 51 5C 8B D8 83 FB FF 7E 1E 8B D3 8B 45 E8 8B 08 FF 51 4C BA ?? ?? ?? ?? 8B 45 E8 8B 08 FF 51 5C 8B D8 83 FB FF 7F E2 BA ?? ?? ?? ?? 8B 45 E8 8B 08 FF 51 5C 8B D8 85 DB 7E 28 8B D3 8B 45 E8 8B 08 FF 51 4C 8B D3 4A 8B 45 E8 8B 08 FF 51 4C BA ?? ?? ?? ?? 8B 45 E8 8B 08 FF 51 5C 8B D8 85 DB 7F D8 8B 45 E8 8B 10 FF 52 1C 85 C0 7E 2F 8D 4D D4 33 D2 8B 45 E8 8B 18 FF 53 14 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 13 C6 45 F7 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A5 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 1C 8B D8 4B 85 DB 7C 2C 43 33 F6 FF 75 FC 68 ?? ?? ?? ?? 8D 4D D0 8B D6 8B 45 E8 8B 38 FF 57 14 FF 75 D0 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 46 4B 75 D7 8B 55 FC 8B 45 EC 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8D 55 CC 8B 45 EC 8B 08 FF 11 8B 55 CC 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CE 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 00 00 02 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 04 00 00 00 2E 00 2E 00 00 00 00 00 02 00 00 00 2E 00 00 00 }
	condition:
		$1
}

rule function_114219_0 {
	meta:
		name = "FilenameToUriStr"
		size = 516
		refs = "001c FilenameToUriStr 0034 @UStrAsg 006a @UStrCat 00d6 @UStrFromWChar 012b IntToHex 013a @UStrCatN 015e @UStrArrayClr 0164 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 8B F1 88 55 FF 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 FF 01 74 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 7D F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 89 45 F8 83 7D F8 00 0F 8E E6 00 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 01 00 00 00 3B 5D F8 0F 8F CC 00 00 00 0F B6 44 5F FE 83 F8 41 7D 26 83 F8 2D 7D 0F 83 E8 21 74 3D 83 C0 FA 83 E8 04 72 35 EB 7C 83 C0 D3 83 E8 02 72 2B 48 83 E8 0A 72 25 74 3C EB 6A 83 F8 5F 7F 0F 74 1A 83 C0 BF 83 E8 1A 72 12 48 74 4A EB 56 83 C0 9F 83 E8 1A 72 05 83 E8 03 75 49 8D 45 F0 0F B7 54 5F FE E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? EB 58 F6 45 FF 02 74 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 44 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 36 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 28 FF 36 68 ?? ?? ?? ?? 8D 4D EC 0F B6 44 5F FE BA 02 00 00 00 E8 ?? ?? ?? ?? FF 75 EC 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 43 3B 5D F8 0F 8E 34 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 66 00 69 00 6C 00 65 00 3A 00 2F 00 2F 00 6C 00 6F 00 63 00 61 00 6C 00 68 00 6F 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 66 00 69 00 6C 00 65 00 3A 00 2F 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 25 00 33 00 61 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 25 00 00 00 }
	condition:
		$1
}

rule function_114220_0 {
	meta:
		name = "FilenameToUriWideStr"
		size = 516
		refs = "001f FilenameToUriWideStr 0037 @WStrAsg 006d @WStrCat 00d9 @WStrFromWChar 0124 @WStrCat3 012f @UStrFromWStr 0145 IntToHex 014e @UStrCat 0158 @WStrFromUStr 0177 @UStrClr 017f @WStrClr 0195 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 88 55 FF 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 45 FF 01 74 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 7D F4 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 89 45 F8 83 7D F8 00 0F 8E 01 01 00 00 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? BB 01 00 00 00 3B 5D F8 0F 8F E7 00 00 00 0F B6 44 5F FE 83 F8 41 7D 26 83 F8 2D 7D 0F 83 E8 21 74 3D 83 C0 FA 83 E8 04 72 35 EB 7C 83 C0 D3 83 E8 02 72 2B 48 83 E8 0A 72 25 74 3C EB 6A 83 F8 5F 7F 0F 74 1A 83 C0 BF 83 E8 1A 72 12 48 74 4A EB 56 83 C0 9F 83 E8 1A 72 05 83 E8 03 75 49 8D 45 F0 0F B6 54 5F FE E8 ?? ?? ?? ?? 8B 55 F0 8B C6 E8 ?? ?? ?? ?? EB 73 F6 45 FF 02 74 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 5F 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 51 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 43 8B 16 8D 45 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8D 45 EC 50 8D 4D E4 0F B6 44 5F FE BA 02 00 00 00 E8 ?? ?? ?? ?? 8B 55 E4 58 E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 43 3B 5D F8 0F 8E 19 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 00 20 00 00 00 66 00 69 00 6C 00 65 00 3A 00 2F 00 2F 00 6C 00 6F 00 63 00 61 00 6C 00 68 00 6F 00 73 00 74 00 00 00 00 00 0E 00 00 00 66 00 69 00 6C 00 65 00 3A 00 2F 00 2F 00 00 00 02 00 00 00 2F 00 00 00 02 00 00 00 3A 00 00 00 06 00 00 00 25 00 33 00 61 00 00 00 02 00 00 00 25 00 00 00 }
	condition:
		$1
}

rule function_114221_0 {
	meta:
		name = "UriStrToFilename"
		size = 616
		refs = "0021 UriStrToFilename 002e @UStrClr 0049 _DV_TUriStrAnalyzer 004e TUriStrAnalyzer.Create 0081 CompareText 009b @UStrLAsg 00c5 @UStrCopy 00f1 @UStrFromWChar 0114 @UStrCatN 011c StrToInt 0130 @UStrCat 017f @UStrAsg 019b @UStrCat3 01cc TObject.Free 01d2 @HandleFinally 01ee @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? C6 45 F7 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B 45 F0 8B 08 FF 51 14 84 C0 0F 84 46 01 00 00 8B 45 F0 8B 40 14 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 2E 01 00 00 C6 45 F7 01 8D 45 FC 8B 55 F0 8B 52 10 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B F8 85 FF 0F 8E C0 00 00 00 4F 8D 45 FC 50 8B CF BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BB 01 00 00 00 3B FB 0F 8C 9F 00 00 00 8B 45 FC 66 83 7C 58 FE 25 75 58 68 ?? ?? ?? ?? 8D 45 E4 8B 55 FC 0F B7 14 5A E8 ?? ?? ?? ?? FF 75 E4 8D 45 E0 8B 55 FC 0F B7 54 5A 02 E8 ?? ?? ?? ?? FF 75 E0 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B D0 8D 45 EC E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 83 C3 02 EB 33 8B 45 FC 66 83 7C 58 FE 2F 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8D 45 DC 8B 55 FC 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 55 DC 8B C6 E8 ?? ?? ?? ?? 43 3B FB 0F 8D 61 FF FF FF 8B 45 F8 8B 55 F0 8B 52 04 E8 ?? ?? ?? ?? 8B 45 F0 80 78 1A 00 74 13 8B 45 F0 8B 48 0C 8B 45 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 80 78 19 00 74 13 8B 45 F0 8B 48 08 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 66 00 69 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 78 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_114222_0 {
	meta:
		name = "UriWideStrToFilename"
		size = 616
		refs = "0022 UriWideStrToFilename 002f @UStrClr 0037 @WStrClr 004a _DV_TUriWideStrAnalyzer 004f TUriWideStrAnalyzer.Create 0080 @UStrFromWStr 008d CompareText 00a7 @WStrLAsg 00d3 @WStrCopy 00ff @UStrFromWChar 0122 @UStrCatN 012a StrToInt 013e @UStrCat 018d @WStrAsg 01a9 @WStrCat3 01da TObject.Free 01e0 @HandleFinally 01fc @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? C6 45 F7 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D3 8B 45 F0 8B 08 FF 51 14 84 C0 0F 84 53 01 00 00 8D 45 EC 8B 55 F0 8B 52 14 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 85 30 01 00 00 C6 45 F7 01 8D 45 FC 8B 55 F0 8B 52 10 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F8 85 FF 0F 8E C0 00 00 00 4F 8D 45 FC 50 8B CF BA 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? BB 01 00 00 00 3B FB 0F 8C 9F 00 00 00 8B 45 FC 66 83 7C 58 FE 25 75 58 68 ?? ?? ?? ?? 8D 45 E0 8B 55 FC 0F B7 14 5A E8 ?? ?? ?? ?? FF 75 E0 8D 45 DC 8B 55 FC 0F B7 54 5A 02 E8 ?? ?? ?? ?? FF 75 DC 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 8B D0 8D 45 E8 E8 ?? ?? ?? ?? 8B 55 E8 8B C6 E8 ?? ?? ?? ?? 83 C3 02 EB 33 8B 45 FC 66 83 7C 58 FE 2F 75 0E 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8D 45 D8 8B 55 FC 0F B7 54 5A FE E8 ?? ?? ?? ?? 8B 55 D8 8B C6 E8 ?? ?? ?? ?? 43 3B FB 0F 8D 61 FF FF FF 8B 45 F8 8B 55 F0 8B 52 04 E8 ?? ?? ?? ?? 8B 45 F0 80 78 1A 00 74 13 8B 45 F0 8B 48 0C 8B 45 0C BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 80 78 19 00 74 13 8B 45 F0 8B 48 08 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 66 00 69 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 78 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 02 00 00 00 3F 00 00 00 02 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_114223_0 {
	meta:
		name = "TUriStrAnalyzer.Create"
		size = 62
		refs = "000a @ClassCreate 0017 TObject.Create 002b @AfterConstruction"
		altNames = "TUriWideStrAnalyzer.Create"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 14 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_114224_0 {
	meta:
		name = "TUriStrAnalyzer.GetUriReference"
		size = 208
		refs = "0009 @UStrClr 0019 TUriStrAnalyzer.GetUriReference 0025 @UStrCatN 004b @UStrCat"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 80 7B 1B 00 74 16 FF 36 FF 73 14 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 80 7B 18 00 74 16 FF 36 68 ?? ?? ?? ?? FF 73 04 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 53 10 E8 ?? ?? ?? ?? 80 7B 1A 00 74 16 FF 36 68 ?? ?? ?? ?? FF 73 0C 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 80 7B 19 00 74 16 FF 36 68 ?? ?? ?? ?? FF 73 08 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_114225_0 {
	meta:
		name = "TUriStrAnalyzer.SetUriAuthority"
		size = 65
		refs = "0013 IsUriAuthorityStr 0021 @UStrAsg 002b @UStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B3 01 88 4E 18 84 C9 74 23 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0C 8D 46 04 8B D7 E8 ?? ?? ?? ?? EB 14 8D 46 04 E8 ?? ?? ?? ?? 33 DB EB 08 8D 46 04 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114233_0 {
	meta:
		name = "TUriWideStrAnalyzer.SetUriAuthority"
		size = 65
		refs = "0013 IsUriAuthorityWideStr 0021 @WStrAsg 002b @WStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B3 01 88 4E 18 84 C9 74 23 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0C 8D 46 04 8B D7 E8 ?? ?? ?? ?? EB 14 8D 46 04 E8 ?? ?? ?? ?? 33 DB EB 08 8D 46 04 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114226_0 {
	meta:
		name = "TUriStrAnalyzer.SetUriFragment"
		size = 65
		refs = "0013 IsUriFragmentStr 0021 @UStrAsg 002b @UStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B3 01 88 4E 19 84 C9 74 23 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0C 8D 46 08 8B D7 E8 ?? ?? ?? ?? EB 14 8D 46 08 E8 ?? ?? ?? ?? 33 DB EB 08 8D 46 08 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114234_0 {
	meta:
		name = "TUriWideStrAnalyzer.SetUriFragment"
		size = 65
		refs = "0013 IsUriFragmentWideStr 0021 @WStrAsg 002b @WStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B3 01 88 4E 19 84 C9 74 23 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0C 8D 46 08 8B D7 E8 ?? ?? ?? ?? EB 14 8D 46 08 E8 ?? ?? ?? ?? 33 DB EB 08 8D 46 08 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114227_0 {
	meta:
		name = "TUriStrAnalyzer.SetUriPath"
		size = 46
		refs = "000a IsUriPathStr 001a @UStrAsg 0024 @UStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C7 E8 ?? ?? ?? ?? 8B D8 84 DB 74 0C 8D 46 10 8B D7 E8 ?? ?? ?? ?? EB 08 8D 46 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114235_0 {
	meta:
		name = "TUriWideStrAnalyzer.SetUriPath"
		size = 46
		refs = "000a IsUriPathWideStr 001a @WStrAsg 0024 @WStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C7 E8 ?? ?? ?? ?? 8B D8 84 DB 74 0C 8D 46 10 8B D7 E8 ?? ?? ?? ?? EB 08 8D 46 10 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114228_0 {
	meta:
		name = "TUriStrAnalyzer.SetUriQuery"
		size = 65
		refs = "0013 IsUriQueryStr 0021 @UStrAsg 002b @UStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B3 01 88 4E 1A 84 C9 74 23 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0C 8D 46 0C 8B D7 E8 ?? ?? ?? ?? EB 14 8D 46 0C E8 ?? ?? ?? ?? 33 DB EB 08 8D 46 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114236_0 {
	meta:
		name = "TUriWideStrAnalyzer.SetUriQuery"
		size = 65
		refs = "0013 IsUriQueryWideStr 0021 @WStrAsg 002b @WStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B3 01 88 4E 1A 84 C9 74 23 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0C 8D 46 0C 8B D7 E8 ?? ?? ?? ?? EB 14 8D 46 0C E8 ?? ?? ?? ?? 33 DB EB 08 8D 46 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114229_0 {
	meta:
		name = "TUriStrAnalyzer.SetUriReference"
		size = 752
		refs = "0026 TUriStrAnalyzer.SetUriReference 0039 Pos 0051 @UStrCopy 01a2 @UStrEqual 023c @UStrClr 027c @UStrArrayClr 028a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D CC 89 4D D0 89 4D D4 89 4D D8 89 4D DC 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 45 DC 50 8B 4D F4 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 DC 83 7D F4 00 0F 9F C1 8B C6 8B 18 FF 53 18 8B D8 8B 7D F8 85 FF 74 05 83 EF 04 8B 3F 8D 45 FC 50 8B CF 2B 4D F4 8B 55 F4 42 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 7E 5C 8B 45 FC 89 45 E4 83 7D E4 00 74 0B 8B 45 E4 83 E8 04 8B 00 89 45 E4 8D 45 D8 50 8B 4D E4 2B 4D F0 8B 55 F0 42 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 B1 01 8B C6 8B 38 FF 57 08 84 C0 74 04 8B C3 EB 02 33 C0 8B D8 8D 45 FC 50 8B 4D F0 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 0B 33 C9 33 D2 8B C6 8B 38 FF 57 08 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 7E 5C 8B 45 FC 89 45 E0 83 7D E0 00 74 0B 8B 45 E0 83 E8 04 8B 00 89 45 E0 8D 45 D4 50 8B 4D E0 2B 4D EC 8B 55 EC 42 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 B1 01 8B C6 8B 38 FF 57 10 84 C0 74 04 8B C3 EB 02 33 C0 8B D8 8D 45 FC 50 8B 4D EC 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 0B 33 C9 33 D2 8B C6 8B 38 FF 57 10 8D 45 D0 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 96 00 00 00 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 8D 45 FC 50 8B CF 83 E9 02 BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 7E 46 8D 45 CC 50 8B 4D E8 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC B1 01 8B C6 8B 38 FF 57 04 22 D8 8B 7D FC 85 FF 74 05 83 EF 04 8B 3F 8D 45 FC 50 8B CF 2B 4D E8 41 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? EB 23 B1 01 8B 55 FC 8B C6 8B 38 FF 57 04 22 D8 8D 45 FC E8 ?? ?? ?? ?? EB 0B 33 C9 33 D2 8B C6 8B 38 FF 57 04 8B 55 FC 8B C6 8B 08 FF 51 0C 22 D8 84 DB 75 09 33 D2 8B C6 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 23 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3F 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2F 00 2F 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_114230_0 {
	meta:
		name = "TUriStrAnalyzer.SetUriScheme"
		size = 65
		refs = "0013 IsUriSchemeStr 0021 @UStrAsg 002b @UStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B3 01 88 4E 1B 84 C9 74 23 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0C 8D 46 14 8B D7 E8 ?? ?? ?? ?? EB 14 8D 46 14 E8 ?? ?? ?? ?? 33 DB EB 08 8D 46 14 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114238_0 {
	meta:
		name = "TUriWideStrAnalyzer.SetUriScheme"
		size = 65
		refs = "0013 IsUriSchemeWideStr 0021 @WStrAsg 002b @WStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 B3 01 88 4E 1B 84 C9 74 23 8B C7 E8 ?? ?? ?? ?? 84 C0 74 0C 8D 46 14 8B D7 E8 ?? ?? ?? ?? EB 14 8D 46 14 E8 ?? ?? ?? ?? 33 DB EB 08 8D 46 14 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114232_0 {
	meta:
		name = "TUriWideStrAnalyzer.GetUriReference"
		size = 176
		refs = "0009 @WStrClr 0019 TUriWideStrAnalyzer.GetUriReference 0025 @WStrCatN 004b @WStrCat"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 80 7B 1B 00 74 16 FF 36 FF 73 14 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 80 7B 18 00 74 16 FF 36 68 ?? ?? ?? ?? FF 73 04 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B C6 8B 53 10 E8 ?? ?? ?? ?? 80 7B 1A 00 74 16 FF 36 68 ?? ?? ?? ?? FF 73 0C 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 80 7B 19 00 74 16 FF 36 68 ?? ?? ?? ?? FF 73 08 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 00 00 02 00 00 00 3A 00 00 00 04 00 00 00 2F 00 2F 00 00 00 00 00 02 00 00 00 3F 00 00 00 02 00 00 00 23 00 00 00 }
	condition:
		$1
}

rule function_114237_0 {
	meta:
		name = "TUriWideStrAnalyzer.SetUriReference"
		size = 728
		refs = "0026 TUriWideStrAnalyzer.SetUriReference 0039 Pos 0051 @WStrCopy 01aa @WStrEqual 024c @WStrClr 028c @WStrArrayClr 029a @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 CC 53 56 57 33 C9 89 4D CC 89 4D D0 89 4D D4 89 4D D8 89 4D DC 89 4D FC 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 45 DC 50 8B 4D F4 49 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 DC 83 7D F4 00 0F 9F C1 8B C6 8B 18 FF 53 18 8B D8 8B 7D F8 85 FF 74 09 83 EF 04 8B 07 D1 E8 8B F8 8D 45 FC 50 8B CF 2B 4D F4 8B 55 F4 42 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 7E 5E 8B 45 FC 89 45 E4 83 7D E4 00 74 0D 8B 45 E4 83 E8 04 8B 00 D1 E8 89 45 E4 8D 45 D8 50 8B 4D E4 2B 4D F0 8B 55 F0 42 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D8 B1 01 8B C6 8B 38 FF 57 08 84 C0 74 04 8B C3 EB 02 33 C0 8B D8 8D 45 FC 50 8B 4D F0 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 0B 33 C9 33 D2 8B C6 8B 38 FF 57 08 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 7E 5E 8B 45 FC 89 45 E0 83 7D E0 00 74 0D 8B 45 E0 83 E8 04 8B 00 D1 E8 89 45 E0 8D 45 D4 50 8B 4D E0 2B 4D EC 8B 55 EC 42 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 B1 01 8B C6 8B 38 FF 57 10 84 C0 74 04 8B C3 EB 02 33 C0 8B D8 8D 45 FC 50 8B 4D EC 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? EB 0B 33 C9 33 D2 8B C6 8B 38 FF 57 10 8D 45 D0 50 B9 02 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 9E 00 00 00 8B 7D FC 85 FF 74 09 83 EF 04 8B 07 D1 E8 8B F8 8D 45 FC 50 8B CF 83 E9 02 BA 03 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 7E 4A 8D 45 CC 50 8B 4D E8 49 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC B1 01 8B C6 8B 38 FF 57 04 22 D8 8B 7D FC 85 FF 74 09 83 EF 04 8B 07 D1 E8 8B F8 8D 45 FC 50 8B CF 2B 4D E8 41 8B 55 E8 8B 45 FC E8 ?? ?? ?? ?? EB 23 B1 01 8B 55 FC 8B C6 8B 38 FF 57 04 22 D8 8D 45 FC E8 ?? ?? ?? ?? EB 0B 33 C9 33 D2 8B C6 8B 38 FF 57 04 8B 55 FC 8B C6 8B 08 FF 51 0C 22 D8 84 DB 75 09 33 D2 8B C6 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 02 00 00 00 3A 00 00 00 02 00 00 00 23 00 00 00 02 00 00 00 3F 00 00 00 04 00 00 00 2F 00 2F 00 00 00 00 00 02 00 00 00 2F 00 00 00 }
	condition:
		$1
}

rule function_114241_0 {
	meta:
		name = "CompareWideStr"
		size = 106
		refs = "0036 @WStrToPWChar"
	strings:
		$1 = { 53 56 57 51 8B FA 8B D8 8B C3 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 8B C7 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D6 2B D0 89 14 24 83 3C 24 00 7E 02 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D8 8B C7 E8 ?? ?? ?? ?? 8B C8 8B C6 85 C0 7E 15 0F B7 13 0F B7 31 2B D6 85 D2 75 0C 83 C3 02 83 C1 02 48 75 EB 8B 14 24 8B C2 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114242_0 {
	meta:
		name = "EndsWideStr"
		size = 116
		refs = "0032 @WStrToPWChar"
	strings:
		$1 = { 53 56 57 55 51 8B EA 8B D8 C6 04 24 00 8B C3 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 8B C5 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F8 3B FE 7C 3B 8B C3 E8 ?? ?? ?? ?? 8B D6 03 D2 03 C2 8B D8 8B C5 E8 ?? ?? ?? ?? 8B D0 8B C7 03 C0 03 D0 8B C6 85 C0 7E 13 83 EB 02 83 EA 02 0F B7 0B 0F B7 32 2B CE 75 07 48 75 ED C6 04 24 01 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114243_0 {
	meta:
		name = "StartsWideStr"
		size = 94
		refs = "002d @WStrToPWChar"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 33 DB 8B C7 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 8B C5 85 C0 74 07 83 E8 04 8B 00 D1 E8 3B C6 7C 2D 8B C7 E8 ?? ?? ?? ?? 8B F8 8B C5 E8 ?? ?? ?? ?? 8B D0 8B C6 85 C0 7E 13 0F B7 0F 0F B7 32 2B CE 75 0B 83 C7 02 83 C2 02 48 75 ED B3 01 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114244_0 {
	meta:
		name = "TranslateWideString"
		size = 367
		refs = "001d TranslateWideString 003b @WStrSetLength 008d @WStrFromWChar 0098 Pos 015a @WStrArrayClr 0160 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B DF 8B C3 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B 55 08 92 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 07 83 E8 04 8B 00 D1 E8 89 45 F0 8B 45 FC 85 C0 74 07 83 E8 04 8B 00 D1 E8 3B 45 F0 0F 8E 82 00 00 00 33 C0 89 45 F4 8B C3 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 85 F6 7E 5D BB 01 00 00 00 8D 45 EC 0F B7 54 5F FE E8 ?? ?? ?? ?? 8B 45 EC 8B 55 FC E8 ?? ?? ?? ?? 85 C0 7E 23 3B 45 F0 7F 33 FF 45 F4 8B 55 08 8B 12 8B 4D F4 8D 54 4A FE 52 8B 55 F8 0F B7 44 42 FE 5A 66 89 02 EB 15 FF 45 F4 8B 45 08 8B 00 8B 55 F4 0F B7 4C 5F FE 66 89 4C 50 FE 43 4E 75 A8 8B 45 08 8B 55 F4 E8 ?? ?? ?? ?? EB 5B 8B C3 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 85 F6 7E 48 BB 01 00 00 00 8D 45 E8 0F B7 54 5F FE E8 ?? ?? ?? ?? 8B 45 E8 8B 55 FC E8 ?? ?? ?? ?? 85 C0 7E 14 8B 55 F8 0F B7 44 42 FE 8B 55 08 8B 12 66 89 44 5A FE EB 0F 0F B7 44 5F FE 8B 55 08 8B 12 66 89 44 5A FE 43 4E 75 BD 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_114245_0 {
	meta:
		name = "TrimSpace"
		size = 97
		refs = "002b SPACE 0038 @WStrClr 0058 @WStrCopy"
	strings:
		$1 = { 53 56 57 55 8B EA 8B F8 8B C7 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 BB 01 00 00 00 EB 01 43 3B F3 7C 0E 0F B7 44 5F FE 66 3B 05 ?? ?? ?? ?? 74 ED 3B F3 7D 0A 8B C5 E8 ?? ?? ?? ?? EB 1E 4E 0F B7 44 77 FE 66 3B 05 ?? ?? ?? ?? 74 F1 55 8B CE 2B CB 41 8B D3 8B C7 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114246_0 {
	meta:
		name = "ExtractUTF16HighSurrogate"
		size = 8
	strings:
		$1 = { C1 E8 0A 66 05 C0 D7 C3 }
	condition:
		$1
}

rule function_114247_0 {
	meta:
		name = "ExtractUTF16LowSurrogate"
		size = 9
	strings:
		$1 = { 66 25 FF 03 66 35 00 DC C3 }
	condition:
		$1
}

rule function_114248_0 {
	meta:
		name = "UTF16SurrogateToInt"
		size = 22
	strings:
		$1 = { 0F B7 C0 2D C0 D7 00 00 C1 E0 0A 66 81 F2 00 DC 0F B7 D2 03 C2 C3 }
	condition:
		$1
}

rule function_114249_0 {
	meta:
		name = "IsUTF16HighSurrogate"
		size = 17
	strings:
		$1 = { 05 00 28 FF FF 66 2D 00 04 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114250_0 {
	meta:
		name = "IsUTF16LowSurrogate"
		size = 17
	strings:
		$1 = { 05 00 24 FF FF 66 2D 00 04 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114255_0 {
	meta:
		name = "TUtilsNameValueList.GetDuplicates"
		size = 8
	strings:
		$1 = { 8B 40 04 0F B6 40 0C C3 }
	condition:
		$1
}

rule function_114256_0 {
	meta:
		name = "TUtilsNameValueList.GetName"
		size = 25
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B 43 04 8B 18 FF 53 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114257_0 {
	meta:
		name = "TUtilsNameValueList.GetSorted"
		size = 8
	strings:
		$1 = { 8B 40 04 0F B6 40 14 C3 }
	condition:
		$1
}

rule function_114258_0 {
	meta:
		name = "TUtilsNameValueList.GetObject"
		size = 29
		altNames = "TUtilsNameValueTree.GetChild"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 51 20 8B D0 8B 43 08 8B 08 FF 51 20 5E 5B C3 }
	condition:
		$1
}

rule function_114259_0 {
	meta:
		name = "TUtilsNameValueList.GetValue"
		size = 35
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 51 20 8B D0 8B CF 8B 43 08 8B 18 FF 53 14 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114260_0 {
	meta:
		name = "TUtilsNameValueList.PutObject"
		size = 35
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 51 20 8B D0 8B CF 8B 43 08 8B 18 FF 53 28 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114261_0 {
	meta:
		name = "TUtilsNameValueList.SetCapacity"
		size = 29
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 51 2C 8B D6 8B 43 08 8B 08 FF 51 2C 5E 5B C3 }
	condition:
		$1
}

rule function_114262_0 {
	meta:
		name = "TUtilsNameValueList.SetDuplicates"
		size = 7
	strings:
		$1 = { 8B 40 04 88 50 0C C3 }
	condition:
		$1
}

rule function_114264_0 {
	meta:
		name = "TUtilsNameValueList.Add"
		size = 33
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D1 8B 46 08 8B 08 FF 51 34 8B C8 8B D7 8B 46 04 8B 18 FF 53 38 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114265_0 {
	meta:
		name = "TUtilsNameValueList.AddNameValueList"
		size = 180
		refs = "001a TUtilsNameValueList.AddNameValueList 00a1 @WStrArrayClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 C9 89 4D F4 89 4D F0 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 10 8B D8 8B C6 8B 10 FF 52 0C 03 D8 8B D3 8B 45 FC 8B 08 FF 51 24 8B C6 8B 10 FF 52 0C 48 85 C0 7C 3E 40 89 45 F8 33 DB 8B D3 8B C6 8B 08 FF 51 18 50 8D 4D F4 8B D3 8B C6 8B 38 FF 57 1C 8B 45 F4 50 8D 4D F0 8B D3 8B C6 8B 38 FF 57 14 8B 55 F0 8B 45 FC 59 8B 38 FF 57 2C 43 FF 4D F8 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114266_0 {
	meta:
		name = "TUtilsNameValueList.AddObject"
		size = 44
	strings:
		$1 = { 55 8B EC 51 53 56 89 55 FC 8B F0 8B D1 8B 46 08 8B 4D 08 8B 18 FF 53 38 8B C8 8B 55 FC 8B 46 04 8B 18 FF 53 38 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_114267_0 {
	meta:
		name = "TUtilsNameValueList.Assign"
		size = 58
		refs = "000a _DV_TUtilsNameValueList 000f @IsClass 0033 TPersistent.Assign"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 17 3B DE 74 1C 8B C3 8B 10 FF 52 34 8B D6 8B C3 8B 08 FF 51 30 5E 5B C3 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114268_0 {
	meta:
		name = "TUtilsNameValueList.Clear"
		size = 21
	strings:
		$1 = { 53 8B D8 8B 43 04 8B 10 FF 52 48 8B 43 08 8B 10 FF 52 48 5B C3 }
	condition:
		$1
}

rule function_114269_0 {
	meta:
		name = "TUtilsNameValueList.Delete"
		size = 9
	strings:
		$1 = { 8B 40 04 8B 08 FF 51 4C C3 }
	condition:
		$1
}

rule function_114270_0 {
	meta:
		name = "TUtilsNameValueList.Exchange"
		size = 15
	strings:
		$1 = { 53 56 8B F0 8B 46 04 8B 18 FF 53 54 5E 5B C3 }
	condition:
		$1
}

rule function_114271_0 {
	meta:
		name = "TUtilsNameValueList.IndexOf"
		size = 182
		refs = "001d TUtilsNameValueList.IndexOf 0055 @WStrEqual 00a0 @WStrArrayClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 FF FF FF FF 8B 46 04 8B 10 FF 52 1C 48 85 C0 7C 4F 40 89 45 F0 33 DB 8D 4D EC 8B D3 8B 46 04 8B 38 FF 57 14 8B 45 EC 8B 55 FC E8 ?? ?? ?? ?? 75 29 8B D3 8B 46 04 8B 08 FF 51 20 8B D0 8D 4D E8 8B 46 08 8B 38 FF 57 14 8B 45 E8 8B 55 F8 E8 ?? ?? ?? ?? 75 05 89 5D F4 EB 06 43 FF 4D F0 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114272_0 {
	meta:
		name = "TUtilsNameValueList.IndexOfLast"
		size = 179
		refs = "001d TUtilsNameValueList.IndexOfLast 0052 @WStrEqual 009d @WStrArrayClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 5D F0 89 4D F8 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 F4 FF FF FF FF 8B 46 04 8B 10 FF 52 1C 8B D8 4B 83 FB 00 7C 49 8D 4D F0 8B D3 8B 46 04 8B 38 FF 57 14 8B 45 F0 8B 55 FC E8 ?? ?? ?? ?? 75 29 8B D3 8B 46 04 8B 08 FF 51 20 8B D0 8D 4D EC 8B 46 08 8B 38 FF 57 14 8B 45 EC 8B 55 F8 E8 ?? ?? ?? ?? 75 05 89 5D F4 EB 06 4B 83 FB FF 75 B7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114273_0 {
	meta:
		name = "TUtilsNameValueList.IndexOfLastName"
		size = 9
	strings:
		$1 = { 8B 40 04 8B 08 FF 51 60 C3 }
	condition:
		$1
}

rule function_114274_0 {
	meta:
		name = "TUtilsNameValueList.IndexOfName"
		size = 9
	strings:
		$1 = { 8B 40 04 8B 08 FF 51 5C C3 }
	condition:
		$1
}

rule function_114275_0 {
	meta:
		name = "TUtilsNameValueList.Insert"
		size = 47
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B F0 8B 55 08 8B 46 08 8B 08 FF 51 34 50 8B 4D FC 8B D7 8B 46 04 8B 18 FF 53 68 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_114276_0 {
	meta:
		name = "TUtilsNameValueList.Find"
		size = 179
		refs = "001d TUtilsNameValueList.Find 0079 @WStrEqual 009a @WStrClr 00a0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 4D F8 89 55 FC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 04 80 78 0C 01 75 18 8B 4D F8 8B 55 FC 8B C3 8B 18 FF 53 40 89 06 83 3E FF 0F 9F 45 F7 EB 41 8B CE 8B 55 FC 8B 38 FF 57 58 88 45 F7 80 7D F7 00 74 2E 8B 16 8B 43 04 8B 08 FF 51 20 8B D0 8D 4D F0 8B 43 08 8B 18 FF 53 14 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 74 0A C7 06 FF FF FF FF C6 45 F7 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 F7 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_114277_0 {
	meta:
		name = "TUtilsNameValueList.FindOfName"
		size = 15
	strings:
		$1 = { 53 56 8B F0 8B 46 04 8B 18 FF 53 58 5E 5B C3 }
	condition:
		$1
}

rule function_114278_0 {
	meta:
		name = "TUtilsNameValueList.Sort"
		size = 9
	strings:
		$1 = { 8B 40 04 8B 10 FF 52 6C C3 }
	condition:
		$1
}

rule function_114279_0 {
	meta:
		name = "TUtilsNameValueTree.Destroy"
		size = 103
		refs = "0005 @BeforeDestruction 003f TUtilsNameValueTree.GetChild 0044 TObject.Free 0053 TUtilsNameValueList.Destroy 005e @ClassDestroy"
	strings:
		$1 = { 53 56 57 55 E8 ?? ?? ?? ?? 8B DA 8B F0 8B 7E 0C 85 FF 74 14 8B C7 8B D6 8B 08 FF 51 6C 8B D0 8B C7 33 C9 8B 38 FF 57 78 8B 46 04 8B 10 FF 52 1C 8B E8 4D 85 ED 7C 15 45 33 FF 8B D7 8B C6 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 47 4D 75 EE B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114280_0 {
	meta:
		name = "TUtilsNameValueTree.AddChild"
		size = 20
	strings:
		$1 = { 55 8B EC 53 8B 5D 08 53 6A 00 8B 18 FF 53 64 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_114281_0 {
	meta:
		name = "TUtilsNameValueTree.AddChildObject"
		size = 246
		refs = "001f TUtilsNameValueTree.AddChildObject 003b SInuse 0040 LoadResString 004a _Dn_EStringListError 004f Exception.Create 0054 @RaiseExcept 0069 SCircularReference 00de @UStrArrayClr 00e4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 89 4D FC 8B FA 8B D8 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 84 00 00 00 83 7E 0C 00 74 21 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 74 84 C0 74 21 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D FC 8B D7 8B C3 8B 38 FF 57 2C 89 45 F8 8B 55 F8 8B 43 04 8B 08 FF 51 20 8B D0 8B CE 8B 43 08 8B 38 FF 57 28 89 5E 0C EB 13 8B 45 08 50 8B 4D FC 8B D7 8B C3 8B 18 FF 53 2C 89 45 F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 F8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114282_0 {
	meta:
		name = "TUtilsNameValueTree.Assign"
		size = 310
		refs = "0018 TUtilsNameValueTree.Assign 0026 _DV_TUtilsNameValueTree 002b @IsClass 0073 TUtilsNameValueList.Create 00b5 TUtilsNameValueTree.GetChild 0109 TUtilsNameValueList.Assign 0123 @WStrArrayClr 0129 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 CC 00 00 00 3B 5D FC 0F 84 CD 00 00 00 8B 45 FC 8B 10 FF 52 34 8B C3 8B 10 FF 52 0C 48 85 C0 0F 8C B5 00 00 00 40 89 45 F4 33 F6 8B D6 8B C3 8B 08 FF 51 68 84 C0 74 5A B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 50 8B D6 8B C3 8B 08 FF 51 18 50 8D 4D F0 8B D6 8B C3 8B 38 FF 57 1C 8B 45 F0 50 8D 4D EC 8B D6 8B C3 8B 38 FF 57 14 8B 55 EC 8B 45 FC 59 8B 38 FF 57 64 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D0 8B 45 F8 8B 08 FF 51 08 EB 32 8B D6 8B C3 8B 08 FF 51 18 50 8D 4D E8 8B D6 8B C3 8B 38 FF 57 1C 8B 45 E8 50 8D 4D E4 8B D6 8B C3 8B 38 FF 57 14 8B 55 E4 8B 45 FC 59 8B 38 FF 57 2C 46 FF 4D F4 0F 85 5D FF FF FF EB 0A 8B D3 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114283_0 {
	meta:
		name = "TUtilsNameValueTree.Clear"
		size = 61
		refs = "001c TUtilsNameValueTree.GetChild 002a TObject.Free 0035 TUtilsNameValueList.Clear"
	strings:
		$1 = { 53 56 57 8B F8 8B 47 04 8B 10 FF 52 1C 8B D8 4B 85 DB 7C 1E 43 33 F6 8B D6 8B C7 E8 ?? ?? ?? ?? 85 C0 74 0A 33 D2 89 50 0C E8 ?? ?? ?? ?? 46 4B 75 E5 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114284_0 {
	meta:
		name = "TUtilsNameValueTree.Delete"
		size = 41
		refs = "000b TUtilsNameValueTree.GetChild 0019 TObject.Free 0022 TUtilsNameValueList.Delete"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0A 33 D2 89 50 0C E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114286_0 {
	meta:
		name = "TUtilsNameValueTree.HasChild"
		size = 34
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 43 04 8B 08 FF 51 20 8B D0 8B 43 08 8B 08 FF 51 20 85 C0 0F 95 C0 5E 5B C3 }
	condition:
		$1
}

rule function_114287_0 {
	meta:
		name = "TUtilsNameValueTree.IndexOfChild"
		size = 82
	strings:
		$1 = { 53 56 57 83 C4 F8 89 14 24 8B F0 C7 44 24 04 FF FF FF FF 8B 46 04 8B 10 FF 52 1C 8B F8 4F 85 FF 7C 26 47 33 DB 8B D3 8B 46 04 8B 08 FF 51 20 8B D0 8B 46 08 8B 08 FF 51 20 3B 04 24 75 06 89 5C 24 04 EB 04 43 4F 75 DD 8B 44 24 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114288_0 {
	meta:
		name = "TUtilsNameValueTree.InsertChild"
		size = 232
		refs = "001a TUtilsNameValueTree.InsertChild 0036 SInuse 003b LoadResString 0045 _Dn_EStringListError 004a Exception.Create 004f @RaiseExcept 0064 SCircularReference 00d3 @UStrArrayClr 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 89 55 FC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 81 00 00 00 83 7E 0C 00 74 21 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 74 84 C0 74 21 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C 50 8B CF 8B 55 FC 8B C3 8B 38 FF 57 50 8B 55 FC 8B 43 04 8B 08 FF 51 20 8B D0 8B CE 8B 43 08 8B 38 FF 57 28 89 5E 0C EB 10 8B 45 0C 50 8B CF 8B 55 FC 8B C3 8B 18 FF 53 50 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114289_0 {
	meta:
		name = "TUtilsNameValueTree.IsDescendantOf"
		size = 25
	strings:
		$1 = { 33 C9 85 C0 74 10 8B 40 0C 3B D0 75 05 B1 01 8B C1 C3 85 C0 75 F0 8B C1 C3 }
	condition:
		$1
}

rule function_114290_0 {
	meta:
		name = "TUtilsNameValueTree.ReplaceChild"
		size = 270
		refs = "0016 TUtilsNameValueTree.ReplaceChild 0032 SInuse 0037 LoadResString 0041 _Dn_EStringListError 0046 Exception.Create 004b @RaiseExcept 0060 SCircularReference 0082 TUtilsNameValueTree.GetChild 00f8 @UStrArrayClr 00fe @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 0F 84 8A 00 00 00 83 7E 0C 00 74 21 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 74 84 C0 74 21 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 08 8B 45 FC 33 D2 89 50 0C 8B D7 8B 43 04 8B 08 FF 51 20 8B D0 8B CE 8B 43 08 8B 38 FF 57 28 89 5E 0C EB 30 8B D7 8B C3 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 08 8B 45 FC 33 D2 89 50 0C 8B D7 8B 43 04 8B 08 FF 51 20 8B D0 33 C9 8B 43 08 8B 18 FF 53 28 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B 45 FC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114291_0 {
	meta:
		name = "TUtilsCustomWideStr.Create"
		size = 60
		refs = "000a @ClassCreate 0017 TObject.Create 0029 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B C6 8B 10 FF 52 1C 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_114292_0 {
	meta:
		name = "TUtilsCustomWideStr.GetWideChars"
		size = 9
	strings:
		$1 = { 8B 40 0C 0F B7 44 50 FE C3 }
	condition:
		$1
}

rule function_114293_0 {
	meta:
		name = "TUtilsCustomWideStr.SetWideChars"
		size = 9
	strings:
		$1 = { 8B 40 0C 66 89 4C 50 FE C3 }
	condition:
		$1
}

rule function_114294_0 {
	meta:
		name = "TUtilsCustomWideStr.AddUCS4Char"
		size = 198
		refs = "0016 TUtilsCustomWideStr.AddUCS4Char 004c SInvalidCodePoint 0051 LoadResString 005b _Dn_EConvertError 0060 Exception.CreateFmt 0065 @RaiseExcept 0081 ExtractUTF16HighSurrogate 008a ExtractUTF16LowSurrogate 00b3 @UStrClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 81 FB FF D7 00 00 7F 0B 8B D3 8B C6 8B 08 FF 51 0C EB 6F 81 FB FF DF 00 00 7F 30 89 5D F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 37 81 FB FF FF 00 00 7F 0B 8B D3 8B C6 8B 08 FF 51 0C EB 24 8B C3 E8 ?? ?? ?? ?? 8B F8 8B C3 E8 ?? ?? ?? ?? 8B D8 8B D7 8B C6 8B 08 FF 51 0C 8B D3 8B C6 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114295_0 {
	meta:
		name = "TUtilsCustomWideStr.AddWideChar"
		size = 55
		refs = "0022 @WStrSetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 08 3B 43 04 75 18 85 C0 79 03 83 C0 03 C1 F8 02 01 43 08 8D 43 0C 8B 53 08 E8 ?? ?? ?? ?? FF 43 04 8B 43 0C 8B 53 04 66 89 74 50 FE 5E 5B C3 }
	condition:
		$1
}

rule function_114296_0 {
	meta:
		name = "TUtilsCustomWideStr.AddWideString"
		size = 111
		refs = "0030 @WStrSetLength"
	strings:
		$1 = { 53 56 57 55 51 89 14 24 8B D8 8B 04 24 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 EB 18 85 FF 79 03 83 C7 03 C1 FF 02 01 7B 08 8D 43 0C 8B 53 08 E8 ?? ?? ?? ?? 8B 43 04 03 C6 8B 7B 08 3B C7 7F DC 01 73 04 8B D6 85 D2 7E 20 B8 01 00 00 00 8B 4B 04 2B CE 03 C8 8B 7B 0C 8B 2C 24 0F B7 6C 45 FE 66 89 6C 4F FE 40 4A 75 E5 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114297_0 {
	meta:
		name = "TUtilsCustomWideStr.EndsWith"
		size = 83
	strings:
		$1 = { 53 56 57 51 89 14 24 8B 14 24 85 D2 74 07 83 EA 04 8B 12 D1 EA 8B F2 8B 78 04 2B FE 85 FF 7C 04 85 F6 75 04 33 D2 EB 24 B9 01 00 00 00 8D 14 0F 8B 58 0C 0F B7 54 53 FE 8B 1C 24 66 3B 54 4B FE 0F 94 C2 41 84 D2 74 04 3B F1 7D E1 8B C2 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114298_0 {
	meta:
		name = "TUtilsCustomWideStr.IsEqual"
		size = 71
	strings:
		$1 = { 56 57 8B FA 8B D7 85 D2 74 07 83 EA 04 8B 12 D1 EA 8B F2 3B 70 04 74 04 33 D2 EB 26 85 F6 75 04 B2 01 EB 1E B9 01 00 00 00 8B 50 0C 0F B7 54 4A FE 66 3B 54 4F FE 0F 94 C2 41 84 D2 74 04 3B F1 7D E7 8B C2 5F 5E C3 }
	condition:
		$1
}

rule function_114299_0 {
	meta:
		name = "TUtilsCustomWideStr.Clear"
		size = 27
		refs = "0010 @WStrSetLength"
	strings:
		$1 = { 53 8B D8 B8 40 00 00 00 89 43 08 8D 53 0C 92 E8 ?? ?? ?? ?? 33 C0 89 43 04 5B C3 }
	condition:
		$1
}

rule function_114300_0 {
	meta:
		name = "TUtilsCustomWideStr.StartsWith"
		size = 67
	strings:
		$1 = { 56 57 8B FA 8B D7 85 D2 74 07 83 EA 04 8B 12 D1 EA 8B F2 3B 70 04 7F 04 85 F6 75 04 33 D2 EB 1E B9 01 00 00 00 8B 50 0C 0F B7 54 4A FE 66 3B 54 4F FE 0F 94 C2 41 84 D2 74 04 3B F1 7D E7 8B C2 5F 5E C3 }
	condition:
		$1
}

rule function_114301_0 {
	meta:
		name = "TUtilsCustomWideStr.Value"
		size = 34
		refs = "000c @WStrSetLength 001b Move"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 04 E8 ?? ?? ?? ?? 8B 4B 04 03 C9 8B 16 8B 43 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114302_0 {
	meta:
		name = "TUtilsWideStringList.Destroy"
		size = 66
		refs = "0003 @BeforeDestruction 0022 TPersistent.Destroy 003b @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 33 C0 89 46 20 89 46 24 33 C0 89 46 28 89 46 2C B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 33 C0 89 46 08 33 D2 8B C6 8B 08 FF 51 2C 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114303_0 {
	meta:
		name = "TUtilsWideStringList.Add"
		size = 81
		refs = "000e @WStrAddRef 0016 TUtilsWideStringList.Add 003f @WStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B 55 FC 8B C3 8B 18 FF 53 38 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_114304_0 {
	meta:
		name = "TUtilsWideStringList.AddObject"
		size = 182
		refs = "0019 @WStrAddRef 0021 TUtilsWideStringList.AddObject 005c SNoDuplicatesAllowed 0061 LoadResString 006b _Dn_EStringListError 0070 Exception.Create 0075 @RaiseExcept 0083 TUtilsWideStringList.InsertItem 0098 @UStrClr 00a0 @WStrClr 00a6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F1 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 14 00 75 08 8B 43 08 89 45 F8 EB 40 8D 4D F8 8B 55 FC 8B C3 8B 38 FF 57 58 84 C0 74 2F 0F B6 43 0C 2C 01 72 35 FE C8 74 02 EB 21 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 56 8B 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114305_0 {
	meta:
		name = "TUtilsWideStringList.AddWideStrings"
		size = 181
		refs = "0018 TUtilsWideStringList.AddWideStrings 008b @HandleFinally 00a2 @WStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 1C 8B F0 4E 85 F6 7C 2D 46 33 DB 8D 4D F4 8B D3 8B 45 F8 8B 38 FF 57 14 8B 45 F4 50 8B D3 8B 45 F8 8B 08 FF 51 20 8B C8 8B 45 FC 5A 8B 38 FF 57 38 43 4E 75 D6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 50 C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114306_0 {
	meta:
		name = "TUtilsWideStringList.Append"
		size = 75
		refs = "000e @WStrAddRef 0016 TUtilsWideStringList.Append 003b @WStrClr 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8D 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 8B 08 FF 51 34 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_114307_0 {
	meta:
		name = "TUtilsWideStringList.Assign"
		size = 115
		refs = "000e _DV_TUtilsWideStringList 0013 @IsClass 002c TUtilsWideStringList.Assign 005f @HandleFinally 006b TPersistent.Assign"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 4A 3B 5D FC 74 4F 8B 45 FC 8B 10 FF 52 44 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 48 8B D3 8B 45 FC 8B 08 FF 51 3C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 50 C3 E9 ?? ?? ?? ?? EB F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 5B 59 5D C3 }
	condition:
		$1
}

rule function_114308_0 {
	meta:
		name = "TUtilsWideStringList.BeginUpdate"
		size = 23
	strings:
		$1 = { 53 8B D8 83 7B 18 00 75 09 B2 01 8B C3 8B 08 FF 51 30 FF 43 18 5B C3 }
	condition:
		$1
}

rule function_114309_0 {
	meta:
		name = "TUtilsWideStringList.Changed"
		size = 26
	strings:
		$1 = { 53 83 78 18 00 75 11 66 83 78 22 00 74 0A 8B D8 8B D0 8B 43 24 FF 53 20 5B C3 }
	condition:
		$1
}

rule function_114310_0 {
	meta:
		name = "TUtilsWideStringList.Changing"
		size = 26
	strings:
		$1 = { 53 83 78 18 00 75 11 66 83 78 2A 00 74 0A 8B D8 8B D0 8B 43 2C FF 53 28 5B C3 }
	condition:
		$1
}

rule function_114311_0 {
	meta:
		name = "TUtilsWideStringList.Clear"
		size = 39
	strings:
		$1 = { 53 8B D8 83 7B 08 00 74 1C 8B C3 8B 10 FF 52 10 33 C0 89 43 08 33 D2 8B C3 8B 08 FF 51 2C 8B C3 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_114312_0 {
	meta:
		name = "TUtilsWideStringList.Delete"
		size = 203
		refs = "0015 TUtilsWideStringList.Delete 0039 SIndexOutOfBounds 003e LoadResString 0048 _Dn_EStringListError 004d Exception.CreateFmt 0052 @RaiseExcept 0065 TUtilsWideStringItem 006a @Finalize 0090 Move 00b9 @UStrClr 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 C9 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 2E 89 75 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 10 8B 43 10 8D 04 F0 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 4B 08 8B 43 08 3B F0 7D 29 2B C6 8B C8 03 C9 03 C9 03 C9 8B 43 10 8D 14 F0 8B 43 10 8D 44 F0 08 E8 ?? ?? ?? ?? 8B 43 10 8B 53 08 8D 04 D0 33 D2 89 10 8B C3 8B 10 FF 52 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114313_0 {
	meta:
		name = "TUtilsWideStringList.EndUpdate"
		size = 17
	strings:
		$1 = { FF 48 18 83 78 18 00 75 07 33 D2 8B 08 FF 51 30 C3 }
	condition:
		$1
}

rule function_114314_0 {
	meta:
		name = "TUtilsWideStringList.Exchange"
		size = 213
		refs = "001b TUtilsWideStringList.Exchange 003f SIndexOutOfBounds 0044 LoadResString 004e _Dn_EStringListError 0053 Exception.CreateFmt 0058 @RaiseExcept 00a1 TUtilsWideStringList.ExchangeItems 00c2 @UStrArrayClr 00c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 2E 89 75 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 7C 05 3B 7B 08 7C 2E 89 7D F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 10 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114315_0 {
	meta:
		name = "TUtilsWideStringList.ExchangeItems"
		size = 35
	strings:
		$1 = { 53 8B 58 10 8D 14 D3 8B 40 10 8D 04 C8 8B 0A 8B 18 89 1A 89 08 8B 4A 04 8B 58 04 89 5A 04 89 48 04 5B C3 }
	condition:
		$1
}

rule function_114316_0 {
	meta:
		name = "TUtilsWideStringList.Find"
		size = 116
		refs = "0037 CompareWideStr"
	strings:
		$1 = { 53 56 57 55 83 C4 F0 89 4C 24 08 89 54 24 04 89 04 24 C6 44 24 0C 00 33 F6 8B 04 24 8B 78 08 4F 3B FE 7C 3D 8D 1C 37 D1 EB 8B 04 24 8B 40 10 8B 04 D8 8B 54 24 04 E8 ?? ?? ?? ?? 8B E8 85 ED 7D 05 8D 73 01 EB 17 8B FB 4F 85 ED 75 10 C6 44 24 0C 01 8B 04 24 80 78 0C 01 74 02 8B F3 3B FE 7D C3 8B 44 24 08 89 30 0F B6 44 24 0C 83 C4 10 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114317_0 {
	meta:
		name = "TUtilsWideStringList.Get"
		size = 138
		refs = "0018 TUtilsWideStringList.Get 003c SIndexOutOfBounds 0041 LoadResString 004b _Dn_EStringListError 0050 Exception.CreateFmt 0055 @RaiseExcept 0062 @WStrAsg 0077 @UStrClr 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 7C 05 3B 5E 08 7C 2E 89 5D F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 56 10 8B 14 DA E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114320_0 {
	meta:
		name = "TUtilsWideStringList.GetObject"
		size = 126
		refs = "0012 TUtilsWideStringList.GetObject 0036 SIndexOutOfBounds 003b LoadResString 0045 _Dn_EStringListError 004a Exception.CreateFmt 004f @RaiseExcept 006b @UStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 33 C9 89 4D F4 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 85 DB 7C 05 3B 58 08 7C 2E 89 5D F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 40 10 8B 5C D8 04 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114321_0 {
	meta:
		name = "TUtilsWideStringList.Grow"
		size = 51
	strings:
		$1 = { 56 8B 50 04 83 FA 40 7E 0E 8B F2 85 F6 79 03 83 C6 03 C1 FE 02 EB 11 83 FA 08 7E 07 BE 10 00 00 00 EB 05 BE 04 00 00 00 03 F2 8B D6 8B 08 FF 51 2C 5E C3 }
	condition:
		$1
}

rule function_114322_0 {
	meta:
		name = "TUtilsWideStringList.IndexOf"
		size = 108
		refs = "002c CompareWideStr"
	strings:
		$1 = { 53 56 57 83 C4 F8 89 14 24 8B F8 80 7F 14 00 75 37 8B C7 8B 10 FF 52 1C 8B F0 4E 85 F6 7C 1F 46 33 DB 8B 47 10 8B 04 D8 8B 14 24 E8 ?? ?? ?? ?? 85 C0 75 06 89 5C 24 04 EB 28 43 4E 75 E4 C7 44 24 04 FF FF FF FF EB 1A 8D 4C 24 04 8B 14 24 8B C7 8B 18 FF 53 58 84 C0 75 08 C7 44 24 04 FF FF FF FF 8B 44 24 04 59 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114323_0 {
	meta:
		name = "TUtilsWideStringList.IndexOfLast"
		size = 56
		refs = "001f CompareWideStr"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C6 8B 10 FF 52 1C 8B D8 4B 83 FB 00 7C 1B 8B 46 10 8B 04 D8 8B D7 E8 ?? ?? ?? ?? 85 C0 75 04 8B C3 EB 09 4B 83 FB FF 75 E5 83 C8 FF 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114325_0 {
	meta:
		name = "TUtilsWideStringList.InsertObject"
		size = 180
		refs = "0015 TUtilsWideStringList.InsertObject 0029 SOnlyWhenSorted 002e LoadResString 0038 _Dn_EStringListError 003d Exception.Create 0042 @RaiseExcept 0060 SIndexOutOfBounds 0074 Exception.CreateFmt 0084 TUtilsWideStringList.InsertItem 0099 @UStrClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 5D FC 8B DA 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 78 14 00 74 21 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 DB 7C 05 3B 58 08 7E 2E 89 5D F4 C6 45 F8 00 8D 45 F4 50 6A 00 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 52 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_114326_0 {
	meta:
		name = "TUtilsWideStringList.InsertItem"
		size = 117
		refs = "001e TUtilsWideStringList.Grow 0045 Move 0060 @WStrAsg"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B C3 8B 10 FF 52 10 8B 43 08 3B 43 04 75 07 8B C3 E8 ?? ?? ?? ?? 8B 43 08 3B F0 7D 20 8B 53 10 8D 54 F2 08 52 8B 53 10 8D 14 F2 2B C6 8B C8 03 C9 03 C9 03 C9 8B C2 5A E8 ?? ?? ?? ?? 8B 43 10 8D 04 F0 8B F0 33 C0 89 06 8B 45 08 89 46 04 8B C6 8B D7 E8 ?? ?? ?? ?? FF 43 08 8B C3 8B 10 FF 52 0C 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_114327_0 {
	meta:
		name = "TUtilsWideStringList.Put"
		size = 202
		refs = "001b TUtilsWideStringList.Put 002f SOnlyWhenSorted 0034 LoadResString 003e _Dn_EStringListError 0043 Exception.Create 0048 @RaiseExcept 0066 SIndexOutOfBounds 007a Exception.CreateFmt 0093 @WStrAsg 00af @UStrClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D FC 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7B 14 00 74 21 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 F6 7C 05 3B 73 08 7C 2E 89 75 F4 C6 45 F8 00 8D 45 F4 50 6A 00 8D 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 10 8B 43 10 8D 04 F0 8B D7 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114328_0 {
	meta:
		name = "TUtilsWideStringList.PutObject"
		size = 146
		refs = "0018 TUtilsWideStringList.PutObject 003c SIndexOutOfBounds 0041 LoadResString 004b _Dn_EStringListError 0050 Exception.CreateFmt 0055 @RaiseExcept 007f @UStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D F4 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 7C 05 3B 73 08 7C 2E 89 75 F8 C6 45 FC 00 8D 45 F8 50 6A 00 8D 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 10 8B 43 10 89 7C F0 04 8B C3 8B 10 FF 52 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114329_0 {
	meta:
		name = "TUtilsWideStringList.QuickSort"
		size = 188
		refs = "001a TUtilsWideStringList.QuickSort 003c @WStrLAsg 004d CompareWideStr 0075 TUtilsWideStringList.ExchangeItems 00a9 @WStrClr 00af @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 DB 89 5D FC 89 4D F4 89 55 F8 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 5D F8 8B 75 F4 8D 45 FC 8B 55 F8 03 55 F4 D1 EA 8B 4F 10 8B 14 D1 E8 ?? ?? ?? ?? EB 01 43 8B 47 10 8B 04 D8 8B 55 FC E8 ?? ?? ?? ?? 85 C0 7C ED EB 01 4E 8B 47 10 8B 04 F0 8B 55 FC E8 ?? ?? ?? ?? 85 C0 7F ED 3B F3 7C 0D 8B CE 8B D3 8B C7 E8 ?? ?? ?? ?? 43 4E 3B F3 7D C4 3B 75 F8 7E 0C 8B CE 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 89 5D F8 3B 5D F4 7C 8C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114330_0 {
	meta:
		name = "TUtilsWideStringList.SetCapacity"
		size = 35
		refs = "0011 TUtilsWideStringItemList 0016 @DynArraySetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 8D 43 10 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 89 73 04 5E 5B C3 }
	condition:
		$1
}

rule function_114331_0 {
	meta:
		name = "TUtilsWideStringList.SetSorted"
		size = 28
	strings:
		$1 = { 53 56 8B DA 8B F0 3A 5E 14 74 0E 84 DB 74 07 8B C6 8B 10 FF 52 6C 88 5E 14 5E 5B C3 }
	condition:
		$1
}

rule function_114332_0 {
	meta:
		name = "TUtilsWideStringList.SetUpdateState"
		size = 16
	strings:
		$1 = { 84 D2 74 06 8B 10 FF 52 10 C3 8B 10 FF 52 0C C3 }
	condition:
		$1
}

rule function_114333_0 {
	meta:
		name = "TUtilsWideStringList.Sort"
		size = 44
		refs = "001f TUtilsWideStringList.QuickSort"
	strings:
		$1 = { 53 8B D8 80 7B 14 00 75 21 83 7B 08 01 7E 1B 8B C3 8B 10 FF 52 10 8B 4B 08 49 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 0C 5B C3 }
	condition:
		$1
}

rule function_114334_0 {
	meta:
		name = "TUtilsWideStringStream.Create"
		size = 101
		refs = "000e @ClassCreate 001e TObject.Create 0043 Move 0050 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 D2 8B C3 E8 ?? ?? ?? ?? 8B C6 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D0 03 D2 8B C3 8B 08 FF 51 04 8B 4B 08 8B 53 04 8B C6 E8 ?? ?? ?? ?? 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114336_0 {
	meta:
		name = "TUtilsWideStringStream.GetDataString"
		size = 38
		refs = "0009 TUtilsWideStringStream.GetStringLength 0012 @WStrSetLength 001f Move"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C6 E8 ?? ?? ?? ?? 8B 16 8B 43 04 8B 4B 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114337_0 {
	meta:
		name = "TUtilsWideStringStream.Read"
		size = 40
		refs = "001b Move"
	strings:
		$1 = { 53 56 57 8B D8 8B 73 08 8B 7B 10 2B F7 3B CE 7D 02 8B F1 8B 43 04 03 C7 8B CE E8 ?? ?? ?? ?? 01 73 10 8B C6 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114338_0 {
	meta:
		name = "TUtilsWideStringStream.Write"
		size = 65
		refs = "0032 Move"
	strings:
		$1 = { 53 56 57 55 51 89 0C 24 8B EA 8B D8 8B 3C 24 8B 73 10 03 F7 3B 73 08 7E 0E 8D 56 01 D1 EA 03 D2 8B C3 8B 08 FF 51 04 8B 53 04 03 53 10 8B C5 8B CF E8 ?? ?? ?? ?? 89 73 10 8B C7 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114339_0 {
	meta:
		name = "TUtilsWideStringStream.Seek"
		size = 61
	strings:
		$1 = { 66 83 E9 01 72 09 74 0C 66 FF C9 74 0C EB 12 89 50 10 EB 0D 01 50 10 EB 08 8B 48 08 2B CA 89 48 10 8B 50 08 8B 48 10 3B D1 7D 05 89 50 10 EB 09 85 C9 7D 05 33 D2 89 50 10 8B 40 10 C3 }
	condition:
		$1
}

rule function_114340_0 {
	meta:
		name = "TUtilsWideStringStream.ReadString"
		size = 136
		refs = "0010 TUtilsWideStringStream.ReadString 0024 SCannotReadOddPos 0029 LoadResString 0033 _Dn_EReadError 0038 Exception.Create 003d @RaiseExcept 0054 @WStrSetLength 0076 @UStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 43 10 01 74 21 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 73 08 2B 73 10 D1 EE 3B D6 7D 02 8B F2 8B C7 8B D6 E8 ?? ?? ?? ?? 8B CE 03 C9 8B 17 8B C3 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114341_0 {
	meta:
		name = "TUtilsWideStringStream.WriteString"
		size = 118
		refs = "000b TUtilsWideStringStream.WriteString 001f SCannotWriteOddPos 0024 LoadResString 002e _Dn_EWriteError 0033 Exception.Create 0038 @RaiseExcept 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 33 C9 55 68 ?? ?? ?? ?? 64 FF 31 64 89 21 F6 40 10 01 74 21 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F2 85 F6 74 09 83 EE 04 8B 0E D1 E9 8B F1 8B CE 03 C9 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114342_0 {
	meta:
		name = "TUtilsWideStringStream.SetCapacity"
		size = 110
		refs = "000f TUtilsWideStringStream.SetCapacity 0022 SCapacityLessSize 0027 LoadResString 0031 _Dn_EStreamError 0036 Exception.Create 003b @RaiseExcept 0045 @ReallocMem 005d @UStrClr 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 3B 73 08 7D 21 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 04 8B D6 E8 ?? ?? ?? ?? 89 73 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114343_0 {
	meta:
		name = "TUtilsWideStringStream.SetSize"
		size = 197
		refs = "0011 TUtilsWideStringStream.SetSize 0027 SOddSizeInvalid 002c LoadResString 0036 _Dn_EStreamError 003b Exception.Create 0040 @RaiseExcept 0073 SNegativeSizeInvalid 00b3 @UStrArrayClr 00b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F7 C6 01 00 00 00 74 21 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 3B 73 0C 7E 22 8B C6 C1 E8 02 83 F8 08 7D 05 B8 08 00 00 00 8D 14 30 C1 EA 02 03 D2 03 D2 8B C3 8B 08 FF 51 1C EB 25 85 F6 7D 21 8D 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 89 43 08 3B 43 10 7D 03 89 43 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114344_0 {
	meta:
		name = "TUtilsWideStringStream.SetStringPosition"
		size = 22
		refs = "0010 TStream.SetPosition"
	strings:
		$1 = { 53 8B DA 8B C8 8B C3 48 03 C0 99 52 50 8B C1 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_114345_0 {
	meta:
		name = "TUtilsWideStringStream.GetStringPosition"
		size = 117
		refs = "000c TUtilsWideStringStream.GetStringPosition 0019 TStream.GetPosition 0025 SOddPosInvalid 002a LoadResString 0034 _Dn_EStreamError 0039 Exception.Create 003e @RaiseExcept 0063 @UStrClr 0069 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? A8 01 74 21 8D 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 0F AC D0 01 D1 EA 40 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_114346_0 {
	meta:
		name = "TUtilsWideStringStream.SetStringLength"
		size = 8
	strings:
		$1 = { 03 D2 8B 08 FF 51 04 C3 }
	condition:
		$1
}

rule function_114347_0 {
	meta:
		name = "TUtilsWideStringStream.GetStringLength"
		size = 6
	strings:
		$1 = { 8B 40 08 D1 E8 C3 }
	condition:
		$1
}

rule function_114350_0 {
	meta:
		name = "GetXmlWhitespaceWideString"
		size = 36
		refs = "0006 GetXmlWhitespaceWideString 000b @WStrAsg"
	strings:
		$1 = { 53 8B D8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 08 00 00 00 20 00 0D 00 0A 00 09 00 00 00 00 00 }
	condition:
		$1
}

rule function_114351_0 {
	meta:
		name = "IsXmlCharCodePoint"
		size = 58
	strings:
		$1 = { 83 F8 20 7D 0F 83 C0 F7 83 E8 02 72 27 83 E8 02 74 22 EB 23 83 C0 E0 2D E0 D7 00 00 72 16 05 00 F8 FF FF 2D FE 1F 00 00 72 0A 83 C0 FE 2D 00 00 10 00 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114352_0 {
	meta:
		name = "IsXmlWhiteSpaceCodePoint"
		size = 24
	strings:
		$1 = { 83 C0 F7 83 E8 02 72 0A 83 E8 02 74 05 83 E8 13 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114353_0 {
	meta:
		name = "IsXmlWhiteSpaceOrNullCodePoint"
		size = 29
	strings:
		$1 = { 83 E8 01 72 12 83 C0 F8 83 E8 02 72 0A 83 E8 02 74 05 83 E8 13 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114355_0 {
	meta:
		name = "IsXmlBaseCharCodePoint"
		size = 3088
		refs = "07d9 IsXmlBaseCharCodePoint"
	strings:
		$1 = { 3D 12 0C 00 00 0F 8D 1B 06 00 00 3D 58 09 00 00 0F 8D 0C 03 00 00 3D 01 04 00 00 0F 8D 7A 01 00 00 3D 50 02 00 00 0F 8D B9 00 00 00 3D 41 01 00 00 7D 59 3D D8 00 00 00 7D 29 83 C0 BF 83 E8 1A 0F 82 C4 0B 00 00 83 C0 FA 83 E8 1A 0F 82 B8 0B 00 00 83 C0 BB 83 E8 17 0F 82 AC 0B 00 00 E9 AA 0B 00 00 05 28 FF FF FF 83 E8 1F 0F 82 99 0B 00 00 48 83 E8 3A 0F 82 8F 0B 00 00 83 C0 FE 83 E8 0B 0F 82 83 0B 00 00 E9 81 0B 00 00 3D CD 01 00 00 7D 27 05 BF FE FF FF 83 E8 08 0F 82 69 0B 00 00 48 83 E8 35 0F 82 5F 0B 00 00 48 83 E8 44 0F 82 55 0B 00 00 E9 53 0B 00 00 05 33 FE FF FF 83 E8 24 0F 82 42 0B 00 00 83 C0 FD 83 E8 02 0F 82 36 0B 00 00 83 C0 FC 83 E8 1E 0F 82 2A 0B 00 00 E9 28 0B 00 00 3D A3 03 00 00 7D 57 3D 88 03 00 00 7D 2A 05 B0 FD FF FF 83 E8 59 0F 82 09 0B 00 00 83 C0 EE 83 E8 07 0F 82 FD 0A 00 00 2D C4 00 00 00 0F 84 F2 0A 00 00 E9 F0 0A 00 00 05 78 FC FF FF 83 E8 03 0F 82 DF 0A 00 00 48 0F 84 D8 0A 00 00 83 C0 FE 83 E8 14 0F 82 CC 0A 00 00 E9 CA 0A 00 00 3D DC 03 00 00 7F 2C 0F 84 BA 0A 00 00 05 5D FC FF FF 83 E8 2C 0F 82 AC 0A 00 00 48 83 E8 07 0F 82 A2 0A 00 00 83 E8 03 0F 84 99 0A 00 00 E9 97 0A 00 00 2D DE 03 00 00 0F 84 89 0A 00 00 83 E8 02 0F 84 80 0A 00 00 83 C0 FE 83 E8 12 0F 82 74 0A 00 00 E9 72 0A 00 00 3D 61 05 00 00 0F 8D BA 00 00 00 3D CB 04 00 00 7D 59 3D 5E 04 00 00 7D 27 05 FF FB FF FF 83 E8 0C 0F 82 48 0A 00 00 48 83 E8 42 0F 82 3E 0A 00 00 48 83 E8 0C 0F 82 34 0A 00 00 E9 32 0A 00 00 05 A2 FB FF FF 83 E8 24 0F 82 21 0A 00 00 83 C0 F2 83 E8 35 0F 82 15 0A 00 00 83 C0 FE 83 E8 02 0F 82 09 0A 00 00 E9 07 0A 00 00 3D F8 04 00 00 7D 2B 05 35 FB FF FF 83 E8 02 0F 82 EF 09 00 00 83 C0 FD 83 E8 1C 0F 82 E3 09 00 00 83 C0 FE 83 E8 08 0F 82 D7 09 00 00 E9 D5 09 00 00 05 08 FB FF FF 83 E8 02 0F 82 C4 09 00 00 83 C0 C9 83 E8 26 0F 82 B8 09 00 00 83 E8 02 0F 84 AF 09 00 00 E9 AD 09 00 00 3D BA 06 00 00 7D 5D 3D 21 06 00 00 7D 2B 05 9F FA FF FF 83 E8 26 0F 82 8E 09 00 00 83 C0 B7 83 E8 1B 0F 82 82 09 00 00 83 C0 FB 83 E8 03 0F 82 76 09 00 00 E9 74 09 00 00 05 DF F9 FF FF 83 E8 1A 0F 82 63 09 00 00 83 C0 FA 83 E8 0A 0F 82 57 09 00 00 83 C0 DA 83 E8 47 0F 82 4B 09 00 00 E9 49 09 00 00 3D D5 06 00 00 7F 2D 0F 84 39 09 00 00 05 46 F9 FF FF 83 E8 05 0F 82 2B 09 00 00 48 83 E8 0F 0F 82 21 09 00 00 48 83 E8 04 0F 82 17 09 00 00 E9 15 09 00 00 05 1B F9 FF FF 83 E8 02 0F 82 04 09 00 00 05 E2 FD FF FF 83 E8 35 0F 82 F6 08 00 00 83 E8 03 0F 84 ED 08 00 00 E9 EB 08 00 00 3D B2 0A 00 00 0F 8D 7B 01 00 00 3D 13 0A 00 00 0F 8D B8 00 00 00 3D B6 09 00 00 7D 56 3D 93 09 00 00 7D 2B 05 A8 F6 FF FF 83 E8 0A 0F 82 B6 08 00 00 83 C0 DD 83 E8 08 0F 82 AA 08 00 00 83 C0 FE 83 E8 02 0F 82 9E 08 00 00 E9 9C 08 00 00 05 6D F6 FF FF 83 E8 16 0F 82 8B 08 00 00 48 83 E8 07 0F 82 81 08 00 00 48 0F 84 7A 08 00 00 E9 78 08 00 00 3D F0 09 00 00 7D 29 05 4A F6 FF FF 83 E8 04 0F 82 60 08 00 00 83 C0 DE 83 E8 02 0F 82 54 08 00 00 48 83 E8 03 0F 82 4A 08 00 00 E9 48 08 00 00 05 10 F6 FF FF 83 E8 02 0F 82 37 08 00 00 83 C0 ED 83 E8 06 0F 82 2B 08 00 00 83 C0 FC 83 E8 02 0F 82 1F 08 00 00 E9 1D 08 00 00 3D 5E 0A 00 00 7F 5D 0F 84 0D 08 00 00 3D 35 0A 00 00 7D 27 05 ED F5 FF FF 83 E8 16 0F 82 F8 07 00 00 48 83 E8 07 0F 82 EE 07 00 00 48 83 E8 02 0F 82 E4 07 00 00 E9 E2 07 00 00 05 CB F5 FF FF 83 E8 02 0F 82 D1 07 00 00 48 83 E8 02 0F 82 C7 07 00 00 83 C0 E1 83 E8 04 0F 82 BB 07 00 00 E9 B9 07 00 00 3D 8F 0A 00 00 7D 26 05 8E F5 FF FF 83 E8 03 0F 82 A1 07 00 00 83 C0 F0 83 E8 07 0F 82 95 07 00 00 48 0F 84 8E 07 00 00 E9 8C 07 00 00 05 71 F5 FF FF 83 E8 03 0F 82 7B 07 00 00 48 83 E8 16 0F 82 71 07 00 00 48 83 E8 07 0F 82 67 07 00 00 E9 65 07 00 00 3D 5F 0B 00 00 0F 8D AF 00 00 00 3D 13 0B 00 00 7D 52 3D E0 0A 00 00 7F 2C 0F 84 43 07 00 00 05 4E F5 FF FF 83 E8 02 0F 82 35 07 00 00 48 83 E8 05 0F 82 2B 07 00 00 83 E8 03 0F 84 22 07 00 00 E9 20 07 00 00 05 FB F4 FF FF 83 E8 08 0F 82 0F 07 00 00 83 C0 FE 83 E8 02 0F 82 03 07 00 00 E9 01 07 00 00 3D 36 0B 00 00 7D 27 05 ED F4 FF FF 83 E8 16 0F 82 E9 06 00 00 48 83 E8 07 0F 82 DF 06 00 00 48 83 E8 02 0F 82 D5 06 00 00 E9 D3 06 00 00 05 CA F4 FF FF 83 E8 04 0F 82 C2 06 00 00 83 E8 03 0F 84 B9 06 00 00 83 C0 E1 83 E8 02 0F 82 AD 06 00 00 E9 AB 06 00 00 3D 9E 0B 00 00 7D 58 3D 92 0B 00 00 7D 2B 05 A1 F4 FF FF 83 E8 03 0F 82 8C 06 00 00 83 C0 DD 83 E8 06 0F 82 80 06 00 00 83 C0 FD 83 E8 03 0F 82 74 06 00 00 E9 72 06 00 00 05 6E F4 FF FF 83 E8 04 0F 82 61 06 00 00 83 C0 FD 83 E8 02 0F 82 55 06 00 00 48 0F 84 4E 06 00 00 E9 4C 06 00 00 3D AE 0B 00 00 7D 2B 05 62 F4 FF FF 83 E8 02 0F 82 34 06 00 00 83 C0 FD 83 E8 02 0F 82 28 06 00 00 83 C0 FD 83 E8 03 0F 82 1C 06 00 00 E9 1A 06 00 00 05 52 F4 FF FF 83 E8 08 0F 82 09 06 00 00 48 83 E8 03 0F 82 FF 05 00 00 83 C0 B5 83 E8 08 0F 82 F3 05 00 00 48 83 E8 03 0F 82 E9 05 00 00 E9 E7 05 00 00 3D 4E 11 00 00 0F 8F 0E 03 00 00 0F 84 D3 05 00 00 3D 94 0E 00 00 0F 8D 74 01 00 00 3D 0E 0D 00 00 0F 8D B1 00 00 00 3D 92 0C 00 00 7D 57 3D 60 0C 00 00 7D 27 05 EE F3 FF FF 83 E8 17 0F 82 A1 05 00 00 48 83 E8 0A 0F 82 97 05 00 00 48 83 E8 05 0F 82 8D 05 00 00 E9 8B 05 00 00 05 A0 F3 FF FF 83 E8 02 0F 82 7A 05 00 00 83 C0 DD 83 E8 08 0F 82 6E 05 00 00 48 83 E8 03 0F 82 64 05 00 00 E9 62 05 00 00 3D DE 0C 00 00 7F 2D 0F 84 52 05 00 00 05 6E F3 FF FF 83 E8 17 0F 82 44 05 00 00 48 83 E8 0A 0F 82 3A 05 00 00 48 83 E8 05 0F 82 30 05 00 00 E9 2E 05 00 00 05 20 F3 FF FF 83 E8 02 0F 82 1D 05 00 00 83 C0 DD 83 E8 08 0F 82 11 05 00 00 E9 0F 05 00 00 3D 32 0E 00 00 7D 56 3D 60 0D 00 00 7D 27 05 F2 F2 FF FF 83 E8 03 0F 82 F0 04 00 00 48 83 E8 17 0F 82 E6 04 00 00 48 83 E8 10 0F 82 DC 04 00 00 E9 DA 04 00 00 05 A0 F2 FF FF 83 E8 02 0F 82 C9 04 00 00 05 61 FF FF FF 83 E8 2E 0F 82 BB 04 00 00 48 0F 84 B4 04 00 00 E9 B2 04 00 00 3D 84 0E 00 00 7F 31 0F 84 A2 04 00 00 05 CE F1 FF FF 83 E8 02 0F 82 94 04 00 00 83 C0 F4 83 E8 06 0F 82 88 04 00 00 83 C0 C5 83 E8 02 0F 82 7C 04 00 00 E9 7A 04 00 00 05 79 F1 FF FF 83 E8 02 0F 82 69 04 00 00 48 0F 84 62 04 00 00 83 E8 03 0F 84 59 04 00 00 E9 57 04 00 00 3D 49 0F 00 00 0F 8D CE 00 00 00 3D AD 0E 00 00 7D 75 05 6C F1 FF FF 83 F8 17 0F 87 37 04 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D BD 0E 00 00 7F 2C 0F 84 C0 03 00 00 05 53 F1 FF FF 83 E8 02 0F 82 B2 03 00 00 48 0F 84 AB 03 00 00 83 C0 FE 83 E8 02 0F 82 9F 03 00 00 E9 9D 03 00 00 05 40 F1 FF FF 83 E8 05 0F 82 8C 03 00 00 83 C0 85 83 E8 08 0F 82 80 03 00 00 E9 7E 03 00 00 3D 09 11 00 00 7F 5D 0F 84 6E 03 00 00 3D 00 11 00 00 7F 33 0F 84 61 03 00 00 05 B7 F0 FF FF 83 E8 21 0F 82 53 03 00 00 05 CA FE FF FF 83 E8 26 0F 82 45 03 00 00 83 C0 F6 83 E8 27 0F 82 39 03 00 00 E9 37 03 00 00 05 FE EE FF FF 83 E8 02 0F 82 26 03 00 00 48 83 E8 03 0F 82 1C 03 00 00 E9 1A 03 00 00 3D 3E 11 00 00 7F 2C 0F 84 0A 03 00 00 05 F5 EE FF FF 83 E8 02 0F 82 FC 02 00 00 48 83 E8 05 0F 82 F2 02 00 00 83 E8 29 0F 84 E9 02 00 00 E9 E7 02 00 00 2D 40 11 00 00 0F 84 D9 02 00 00 83 E8 0C 0F 84 D0 02 00 00 E9 CE 02 00 00 3D 20 1F 00 00 0F 8D 81 01 00 00 3D A8 11 00 00 0F 8F C6 00 00 00 0F 84 AF 02 00 00 3D 67 11 00 00 7F 73 0F 84 A2 02 00 00 05 B0 EE FF FF 83 F8 15 0F 87 97 02 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 3D 72 11 00 00 7D 1C 2D 69 11 00 00 0F 84 23 02 00 00 83 C0 FC 83 E8 02 0F 82 17 02 00 00 E9 15 02 00 00 05 8E EE FF FF 83 E8 02 0F 82 04 02 00 00 48 0F 84 FD 01 00 00 83 E8 29 0F 84 F4 01 00 00 E9 F2 01 00 00 3D F0 11 00 00 7F 57 0F 84 E2 01 00 00 3D BA 11 00 00 7F 2E 0F 84 D5 01 00 00 2D AB 11 00 00 0F 84 CA 01 00 00 83 C0 FD 83 E8 02 0F 82 BE 01 00 00 83 C0 F9 83 E8 02 0F 82 B2 01 00 00 E9 B0 01 00 00 05 44 EE FF FF 83 E8 07 0F 82 9F 01 00 00 83 E8 28 0F 84 96 01 00 00 E9 94 01 00 00 3D A0 1E 00 00 7D 20 2D F9 11 00 00 0F 84 7F 01 00 00 05 F9 F3 FF FF 2D 9C 00 00 00 0F 82 6F 01 00 00 E9 6D 01 00 00 05 60 E1 FF FF 83 E8 5A 0F 82 5C 01 00 00 83 C0 FA 83 E8 16 0F 82 50 01 00 00 83 C0 FE 83 E8 06 0F 82 44 01 00 00 E9 42 01 00 00 3D D0 1F 00 00 0F 8D AB 00 00 00 3D 5F 1F 00 00 7D 51 3D 59 1F 00 00 7F 31 0F 84 20 01 00 00 05 E0 E0 FF FF 83 E8 26 0F 82 12 01 00 00 83 C0 FE 83 E8 06 0F 82 06 01 00 00 83 C0 FE 83 E8 08 0F 82 FA 00 00 00 E9 F8 00 00 00 2D 5B 1F 00 00 0F 84 EA 00 00 00 83 E8 02 0F 84 E1 00 00 00 E9 DF 00 00 00 3D BE 1F 00 00 7F 2F 0F 84 CF 00 00 00 05 A1 E0 FF FF 83 E8 1F 0F 82 C1 00 00 00 83 C0 FE 83 E8 35 0F 82 B5 00 00 00 48 83 E8 07 0F 82 AB 00 00 00 E9 A9 00 00 00 05 3E E0 FF FF 83 E8 03 0F 82 98 00 00 00 48 83 E8 07 0F 82 8E 00 00 00 E9 8C 00 00 00 3D 2A 21 00 00 7D 3C 3D F2 1F 00 00 7D 1C 05 30 E0 FF FF 83 E8 04 72 71 83 C0 FE 83 E8 06 72 69 83 C0 FC 83 E8 0D 72 61 EB 62 05 0E E0 FF FF 83 E8 03 72 55 48 83 E8 07 72 4F 2D 29 01 00 00 74 48 EB 49 3D 41 30 00 00 7D 19 05 D6 DE FF FF 83 E8 02 72 35 83 E8 02 74 30 83 C0 AE 83 E8 03 72 28 EB 29 05 BF CF FF FF 83 E8 54 72 1C 83 C0 F4 83 E8 5A 72 14 83 C0 F6 83 E8 28 72 0C 05 2D 85 FF FF 2D A4 2B 00 00 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114356_0 {
	meta:
		name = "IsXmlHexDigitCodePoint"
		size = 30
	strings:
		$1 = { 83 C0 D0 83 E8 0A 72 10 83 C0 F9 83 E8 06 72 08 83 C0 E6 83 E8 06 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114357_0 {
	meta:
		name = "IsXmlIdeographicCodePoint"
		size = 33
	strings:
		$1 = { 2D 07 30 00 00 74 14 83 C0 E6 83 E8 09 72 0C 05 2A E2 FF FF 2D A6 51 00 00 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114358_0 {
	meta:
		name = "IsXmlCombiningCharCodePoint"
		size = 1342
	strings:
		$1 = { 3D 82 0B 00 00 0F 8D C1 02 00 00 3D BE 09 00 00 0F 8D 57 01 00 00 3D 70 06 00 00 0F 8F A7 00 00 00 0F 84 11 05 00 00 3D BB 05 00 00 7D 51 3D 83 04 00 00 7D 1F 05 00 FD FF FF 83 E8 46 0F 82 F5 04 00 00 83 C0 E6 83 E8 02 0F 82 E9 04 00 00 E9 E7 04 00 00 05 7D FB FF FF 83 E8 04 0F 82 D6 04 00 00 05 F6 FE FF FF 83 E8 11 0F 82 C8 04 00 00 48 83 E8 17 0F 82 BE 04 00 00 E9 BC 04 00 00 3D C1 05 00 00 7D 1A 05 45 FA FF FF 83 E8 03 0F 82 A4 04 00 00 48 0F 84 9D 04 00 00 E9 9B 04 00 00 05 3F FA FF FF 83 E8 02 0F 82 8A 04 00 00 48 0F 84 83 04 00 00 05 79 FF FF FF 83 E8 08 0F 82 75 04 00 00 E9 73 04 00 00 3D 3E 09 00 00 7D 50 3D EA 06 00 00 7D 1F 05 2A F9 FF FF 83 E8 0F 0F 82 54 04 00 00 83 C0 FE 83 E8 02 0F 82 48 04 00 00 E9 46 04 00 00 05 16 F9 FF FF 83 E8 04 0F 82 35 04 00 00 05 ED FD FF FF 83 E8 03 0F 82 27 04 00 00 83 E8 38 0F 84 1E 04 00 00 E9 1C 04 00 00 3D 62 09 00 00 7D 1F 05 C2 F6 FF FF 83 E8 10 0F 82 04 04 00 00 83 C0 FD 83 E8 04 0F 82 F8 03 00 00 E9 F6 03 00 00 05 9E F6 FF FF 83 E8 02 0F 82 E5 03 00 00 83 C0 E3 83 E8 03 0F 82 D9 03 00 00 83 E8 38 0F 84 D0 03 00 00 E9 CE 03 00 00 3D 81 0A 00 00 0F 8D A9 00 00 00 3D 02 0A 00 00 7F 54 0F 84 B3 03 00 00 3D CB 09 00 00 7D 1F 05 42 F6 FF FF 83 E8 07 0F 82 9E 03 00 00 83 C0 FE 83 E8 02 0F 82 92 03 00 00 E9 90 03 00 00 05 35 F6 FF FF 83 E8 03 0F 82 7F 03 00 00 83 E8 09 0F 84 76 03 00 00 83 C0 F5 83 E8 02 0F 82 6A 03 00 00 E9 68 03 00 00 3D 47 0A 00 00 7D 1C 2D 3C 0A 00 00 0F 84 53 03 00 00 83 C0 FE 83 E8 05 0F 82 47 03 00 00 E9 45 03 00 00 05 B9 F5 FF FF 83 E8 02 0F 82 34 03 00 00 83 C0 FE 83 E8 03 0F 82 28 03 00 00 83 C0 DE 83 E8 02 0F 82 1C 03 00 00 E9 1A 03 00 00 3D 01 0B 00 00 7D 4A 3D BE 0A 00 00 7D 1C 05 7F F5 FF FF 83 E8 03 0F 82 FB 02 00 00 83 E8 38 0F 84 F2 02 00 00 E9 F0 02 00 00 05 42 F5 FF FF 83 E8 08 0F 82 DF 02 00 00 48 83 E8 03 0F 82 D5 02 00 00 48 83 E8 03 0F 82 CB 02 00 00 E9 C9 02 00 00 3D 47 0B 00 00 7D 28 05 FF F4 FF FF 83 E8 03 0F 82 B1 02 00 00 83 E8 38 0F 84 A8 02 00 00 83 C0 FE 83 E8 06 0F 82 9C 02 00 00 E9 9A 02 00 00 05 B9 F4 FF FF 83 E8 02 0F 82 89 02 00 00 83 C0 FE 83 E8 03 0F 82 7D 02 00 00 83 C0 F8 83 E8 02 0F 82 71 02 00 00 E9 6F 02 00 00 3D 34 0E 00 00 0F 8D 5C 01 00 00 3D 82 0C 00 00 0F 8D A2 00 00 00 3D 01 0C 00 00 7D 4C 3D C6 0B 00 00 7D 1F 05 7E F4 FF FF 83 E8 02 0F 82 3A 02 00 00 83 C0 C6 83 E8 05 0F 82 2E 02 00 00 E9 2C 02 00 00 05 3A F4 FF FF 83 E8 03 0F 82 1B 02 00 00 48 83 E8 04 0F 82 11 02 00 00 83 E8 09 0F 84 08 02 00 00 E9 06 02 00 00 3D 46 0C 00 00 7D 1F 05 FF F3 FF FF 83 E8 03 0F 82 EE 01 00 00 83 C0 C6 83 E8 07 0F 82 E2 01 00 00 E9 E0 01 00 00 05 BA F3 FF FF 83 E8 03 0F 82 CF 01 00 00 48 83 E8 04 0F 82 C5 01 00 00 83 C0 F9 83 E8 02 0F 82 B9 01 00 00 E9 B7 01 00 00 3D 02 0D 00 00 7D 4F 3D C6 0C 00 00 7D 1F 05 7E F3 FF FF 83 E8 02 0F 82 98 01 00 00 83 C0 C6 83 E8 07 0F 82 8C 01 00 00 E9 8A 01 00 00 05 3A F3 FF FF 83 E8 03 0F 82 79 01 00 00 48 83 E8 04 0F 82 6F 01 00 00 83 C0 F9 83 E8 02 0F 82 63 01 00 00 E9 61 01 00 00 3D 4A 0D 00 00 7D 2B 05 FE F2 FF FF 83 E8 02 0F 82 49 01 00 00 83 C0 C6 83 E8 06 0F 82 3D 01 00 00 83 C0 FE 83 E8 03 0F 82 31 01 00 00 E9 2F 01 00 00 05 B6 F2 FF FF 83 E8 04 0F 82 1E 01 00 00 83 E8 09 0F 84 15 01 00 00 2D DA 00 00 00 0F 84 0A 01 00 00 E9 08 01 00 00 3D 71 0F 00 00 0F 8D 8F 00 00 00 3D C8 0E 00 00 7D 49 3D B1 0E 00 00 7F 25 0F 84 E6 00 00 00 05 CC F1 FF FF 83 E8 07 0F 82 D8 00 00 00 83 C0 F4 83 E8 08 0F 82 CC 00 00 00 E9 CA 00 00 00 05 4C F1 FF FF 83 E8 06 0F 82 B9 00 00 00 48 83 E8 02 0F 82 AF 00 00 00 E9 AD 00 00 00 3D 37 0F 00 00 7F 27 0F 84 9D 00 00 00 05 38 F1 FF FF 83 E8 06 0F 82 8F 00 00 00 83 C0 B6 83 E8 02 0F 82 83 00 00 00 83 E8 1B 74 7E EB 7F 2D 39 0F 00 00 74 75 83 C0 FB 83 E8 02 72 6D EB 6E 3D B1 0F 00 00 7D 30 3D 90 0F 00 00 7D 12 05 8F F0 FF FF 83 E8 14 72 53 48 83 E8 06 72 4D EB 4E 05 70 F0 FF FF 83 E8 06 72 41 48 74 3E 83 C0 FE 83 E8 15 72 36 EB 37 3D E1 20 00 00 7F 1B 74 2B 05 4F F0 FF FF 83 E8 07 72 21 48 74 1E 05 E9 EE FF FF 83 E8 0D 72 14 EB 15 05 D6 CF FF FF 83 E8 06 72 08 83 C0 97 83 E8 02 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114359_0 {
	meta:
		name = "IsXmlDecDigitCodePoint"
		size = 16
	strings:
		$1 = { 83 F8 30 7C 08 83 F8 39 7F 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114360_0 {
	meta:
		name = "IsXmlDigitCodePoint"
		size = 169
	strings:
		$1 = { 3D 66 0B 00 00 7D 4D 3D 66 09 00 00 7D 22 83 C0 D0 83 E8 0A 0F 82 89 00 00 00 05 DA F9 FF FF 83 E8 0A 72 7F 05 7A FF FF FF 83 E8 0A 72 75 EB 76 05 9A F6 FF FF 83 E8 0A 72 69 83 C0 8A 83 E8 0A 72 61 83 C0 8A 83 E8 0A 72 59 83 C0 8A 83 E8 0A 72 51 EB 52 3D 66 0D 00 00 7D 24 05 9A F4 FF FF 83 E8 0A 72 3E 83 C0 89 83 E8 09 72 36 83 C0 8A 83 E8 0A 72 2E 83 C0 8A 83 E8 0A 72 26 EB 27 05 9A F2 FF FF 83 E8 0A 72 1A 05 20 FF FF FF 83 E8 0A 72 10 83 C0 8A 83 E8 0A 72 08 83 C0 BA 83 E8 0A 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114361_0 {
	meta:
		name = "IsXmlExtenderCodePoint"
		size = 90
	strings:
		$1 = { 3D C6 0E 00 00 7F 2E 74 4B 3D 87 03 00 00 7F 15 74 42 2D B7 00 00 00 74 3B 05 E7 FD FF FF 83 E8 02 72 31 EB 32 2D 40 06 00 00 74 28 2D 06 08 00 00 74 21 EB 22 2D 05 30 00 00 74 18 83 C0 D4 83 E8 05 72 10 83 C0 99 83 E8 02 72 08 83 C0 A3 83 E8 03 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114362_0 {
	meta:
		name = "IsXmlNameCharCodePoint"
		size = 59
		refs = "0036 IsXmlNameStartCharCodePoint"
	strings:
		$1 = { 8B D0 81 FA B7 00 00 00 7F 12 74 26 83 C2 D3 83 EA 02 72 1E 4A 83 EA 0A 72 18 EB 19 81 C2 00 FD FF FF 83 EA 70 72 0B 81 C2 31 E3 FF FF 83 EA 02 73 03 B0 01 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_114363_0 {
	meta:
		name = "IsXmlNameStartCharCodePoint"
		size = 196
	strings:
		$1 = { 3D 7F 03 00 00 7D 58 3D C0 00 00 00 7D 2F 83 E8 3A 0F 84 A7 00 00 00 83 C0 F9 83 E8 1A 0F 82 9B 00 00 00 83 E8 04 0F 84 92 00 00 00 83 C0 FE 83 E8 1A 0F 82 86 00 00 00 E9 84 00 00 00 05 40 FF FF FF 83 E8 17 72 77 48 83 E8 1F 72 71 48 2D 08 02 00 00 72 69 83 C0 90 83 E8 0E 72 61 EB 62 3D 01 30 00 00 7D 2C 05 81 FC FF FF 2D 81 1C 00 00 72 4C 83 C0 F4 83 E8 02 72 44 83 C0 9E 2D 20 01 00 00 72 3A 05 90 F5 FF FF 2D F0 03 00 00 72 2E EB 2F 05 FF CF FF FF 2D FF A7 00 00 72 20 05 00 DF FF FF 2D D0 04 00 00 72 14 83 C0 E0 2D 0E 02 00 00 72 0A 83 C0 FE 2D 00 00 0E 00 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114364_0 {
	meta:
		name = "IsXmlEncNameLeadingCharCodePoint"
		size = 22
	strings:
		$1 = { 83 C0 BF 83 E8 1A 72 08 83 C0 FA 83 E8 1A 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114365_0 {
	meta:
		name = "IsXmlEncNameFollowingCharCodePoint"
		size = 48
	strings:
		$1 = { 83 F8 41 7D 10 83 C0 D3 83 E8 02 72 1D 48 83 E8 0A 72 17 EB 18 83 C0 BF 83 E8 1A 72 0D 83 E8 04 74 08 83 C0 FE 83 E8 1A 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114366_0 {
	meta:
		name = "IsXmlChar"
		size = 30
	strings:
		$1 = { 83 C0 F7 66 83 E8 02 72 0F 66 83 E8 02 74 09 83 C0 ED 66 2D DE FF 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114367_0 {
	meta:
		name = "IsXmlWhiteSpace"
		size = 9
		refs = "0004 IsXmlWhiteSpaceCodePoint"
	strings:
		$1 = { 0F B7 C0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_114370_0 {
	meta:
		name = "IsXmlBaseChar"
		size = 9
		refs = "0004 IsXmlBaseCharCodePoint"
	strings:
		$1 = { 0F B7 C0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_114372_0 {
	meta:
		name = "IsXmlCombiningChar"
		size = 9
		refs = "0004 IsXmlCombiningCharCodePoint"
	strings:
		$1 = { 0F B7 C0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_114373_0 {
	meta:
		name = "IsXmlDigit"
		size = 9
		refs = "0004 IsXmlDigitCodePoint"
	strings:
		$1 = { 0F B7 C0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_114374_0 {
	meta:
		name = "IsXmlExtender"
		size = 9
		refs = "0004 IsXmlExtenderCodePoint"
	strings:
		$1 = { 0F B7 C0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_114371_0 {
	meta:
		name = "IsXmlIdeographic"
		size = 9
		refs = "0004 IsXmlIdeographicCodePoint"
	strings:
		$1 = { 0F B7 C0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_114368_0 {
	meta:
		name = "IsXmlWhiteSpaceOrNull"
		size = 9
		refs = "0004 IsXmlWhiteSpaceOrNullCodePoint"
	strings:
		$1 = { 0F B7 C0 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_114375_0 {
	meta:
		name = "IsXmlNameChar"
		size = 60
		refs = "0037 IsXmlNameStartChar"
	strings:
		$1 = { 0F B7 D0 81 FA B7 00 00 00 7F 12 74 26 83 C2 D3 83 EA 02 72 1E 4A 83 EA 0A 72 18 EB 19 81 C2 00 FD FF FF 83 EA 70 72 0B 81 C2 31 E3 FF FF 83 EA 02 73 03 B0 01 C3 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_114376_0 {
	meta:
		name = "IsXmlNameStartChar"
		size = 170
	strings:
		$1 = { 0F B7 C0 3D 70 03 00 00 7D 41 83 F8 61 7D 1C 83 E8 3A 0F 84 8C 00 00 00 83 C0 F9 83 E8 1A 0F 82 80 00 00 00 83 E8 04 74 7B EB 7C 83 C0 9F 83 E8 1A 72 71 83 C0 BB 83 E8 17 72 69 48 83 E8 1F 72 63 48 2D 08 02 00 00 72 5B EB 5C 3D 00 2C 00 00 7D 26 05 90 FC FF FF 83 E8 0E 72 48 48 2D 81 1C 00 00 72 40 83 C0 F4 83 E8 02 72 38 83 C0 9E 2D 20 01 00 00 72 2E EB 2F 05 00 D4 FF FF 2D F0 03 00 00 72 20 83 C0 EF 2D FF AF 00 00 72 16 05 00 E7 FF FF 2D D0 04 00 00 72 0A 83 C0 E0 2D 0E 02 00 00 73 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114377_0 {
	meta:
		name = "IsXmlPubidChar"
		size = 190
	strings:
		$1 = { 66 83 F8 20 0F 84 AE 00 00 00 66 83 F8 0D 0F 84 A4 00 00 00 66 83 F8 0A 0F 84 9A 00 00 00 66 83 F8 61 72 0A 66 83 F8 7A 0F 86 8A 00 00 00 66 83 F8 41 72 06 66 83 F8 5A 76 7E 66 83 F8 30 72 06 66 83 F8 39 76 72 66 83 F8 2D 74 6C 66 83 F8 27 74 66 66 83 F8 28 74 60 66 83 F8 29 74 5A 66 83 F8 2B 74 54 66 83 F8 2C 74 4E 66 83 F8 2E 74 48 66 83 F8 2F 74 42 66 83 F8 3A 74 3C 66 83 F8 3D 74 36 66 83 F8 3F 74 30 66 83 F8 3B 74 2A 66 83 F8 21 74 24 66 83 F8 2A 74 1E 66 83 F8 23 74 18 66 83 F8 40 74 12 66 83 F8 24 74 0C 66 83 F8 5F 74 06 66 83 F8 25 75 03 B0 01 C3 33 C0 C3 }
	condition:
		$1
}

rule function_114378_0 {
	meta:
		name = "IsXmlChars"
		size = 145
		refs = "006f IsUTF16LowSurrogate"
	strings:
		$1 = { 53 56 57 55 51 8B F8 C6 04 24 01 33 DB 8B C7 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B E8 3B EB 7E 67 43 0F B7 74 5F FE 0F B7 C6 83 F8 20 7D 0F 83 C0 F7 83 E8 02 72 4D 83 E8 02 74 48 EB 40 83 C0 E0 2D E0 D7 00 00 72 3C 2D 00 04 00 00 72 0E 05 00 FC FF FF 2D FE 1F 00 00 73 23 EB 27 3B EB 75 06 C6 04 24 00 EB 21 43 0F B7 74 5F FE 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0C C6 04 24 00 EB 0A C6 04 24 00 EB 04 3B EB 7F 99 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114379_0 {
	meta:
		name = "IsXmlS"
		size = 84
		refs = "003d IsXmlWhiteSpace"
	strings:
		$1 = { 53 56 57 55 8B F8 8B D7 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 75 04 33 DB EB 30 B3 01 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B E8 85 ED 7E 1B BE 01 00 00 00 0F B7 44 77 FE E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 04 46 4D 75 EA 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114380_0 {
	meta:
		name = "IsXmlName"
		size = 215
		refs = "003a IsUTF16LowSurrogate 004e IsUTF16HighSurrogate 0098 IsXmlNameStartChar 00b0 IsXmlNameChar 00c1 @WStrLen"
	strings:
		$1 = { 53 56 57 55 51 8B F8 8B C7 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 75 09 C6 04 24 00 E9 AC 00 00 00 C6 04 24 01 C6 44 24 01 01 33 DB E9 8D 00 00 00 43 0F B7 74 5F FE 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 C6 04 24 00 E9 82 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 38 8B EF 85 ED 74 0A 83 ED 04 8B 45 00 D1 E8 8B E8 3B EB 75 06 C6 04 24 00 EB 5D 43 0F B7 74 5F FE 8B C6 E8 ?? ?? ?? ?? 84 C0 75 06 C6 04 24 00 EB 46 C6 44 24 01 00 EB 30 80 7C 24 01 00 74 18 8B C6 E8 ?? ?? ?? ?? 84 C0 75 06 C6 04 24 00 EB 27 C6 44 24 01 00 EB 11 8B C6 E8 ?? ?? ?? ?? 84 C0 75 06 C6 04 24 00 EB 0F 8B C7 E8 ?? ?? ?? ?? 3B D8 0F 8C 64 FF FF FF 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114381_0 {
	meta:
		name = "IsXmlNames"
		size = 247
		refs = "003a IsUTF16LowSurrogate 004e IsUTF16HighSurrogate 0098 IsXmlNameStartChar 00b5 SPACE 00c5 IsXmlNameChar 00d6 @WStrLen"
	strings:
		$1 = { 53 56 57 55 51 8B F8 8B C7 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 75 09 C6 04 24 00 E9 CC 00 00 00 C6 04 24 01 C6 44 24 01 01 33 DB E9 A2 00 00 00 43 0F B7 74 5F FE 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 C6 04 24 00 E9 A2 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 38 8B EF 85 ED 74 0A 83 ED 04 8B 45 00 D1 E8 8B E8 3B EB 75 06 C6 04 24 00 EB 7D 43 0F B7 74 5F FE 8B C6 E8 ?? ?? ?? ?? 84 C0 75 06 C6 04 24 00 EB 66 C6 44 24 01 00 EB 45 80 7C 24 01 00 74 18 8B C6 E8 ?? ?? ?? ?? 84 C0 75 06 C6 04 24 00 EB 47 C6 44 24 01 00 EB 26 0F B7 44 5F FE 66 3B 05 ?? ?? ?? ?? 75 07 C6 44 24 01 01 EB 11 8B C6 E8 ?? ?? ?? ?? 84 C0 75 06 C6 04 24 00 EB 1A 8B C7 E8 ?? ?? ?? ?? 3B D8 0F 8C 4F FF FF FF 80 7C 24 01 00 74 04 C6 04 24 00 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114382_0 {
	meta:
		name = "IsXmlNmtoken"
		size = 159
		refs = "002f IsUTF16LowSurrogate 0040 IsUTF16HighSurrogate 007c IsXmlNameChar 008d @WStrLen"
	strings:
		$1 = { 53 56 57 55 51 8B F8 8B C7 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 75 06 C6 04 24 00 EB 77 C6 04 24 01 33 DB EB 64 43 0F B7 74 5F FE 8B C6 E8 ?? ?? ?? ?? 84 C0 74 06 C6 04 24 00 EB 58 8B C6 E8 ?? ?? ?? ?? 84 C0 74 31 8B EF 85 ED 74 0A 83 ED 04 8B 45 00 D1 E8 8B E8 3B EB 75 06 C6 04 24 00 EB 33 43 0F B7 74 5F FE 8B C6 E8 ?? ?? ?? ?? 84 C0 75 17 C6 04 24 00 EB 1C 8B C6 E8 ?? ?? ?? ?? 84 C0 75 06 C6 04 24 00 EB 0B 8B C7 E8 ?? ?? ?? ?? 3B D8 7C 91 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114383_0 {
	meta:
		name = "IsXmlNmtokens"
		size = 236
		refs = "003a IsUTF16LowSurrogate 004e IsUTF16HighSurrogate 0096 SPACE 00b3 IsXmlNameChar 00cb @WStrLen"
	strings:
		$1 = { 53 56 57 55 51 8B F8 8B C7 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 75 09 C6 04 24 00 E9 C1 00 00 00 C6 04 24 01 C6 44 24 01 01 33 DB E9 97 00 00 00 43 0F B7 74 5F FE 8B C6 E8 ?? ?? ?? ?? 84 C0 74 09 C6 04 24 00 E9 97 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 38 8B EF 85 ED 74 0A 83 ED 04 8B 45 00 D1 E8 8B E8 3B EB 75 06 C6 04 24 00 EB 72 43 0F B7 74 5F FE 8B C6 E8 ?? ?? ?? ?? 84 C0 75 06 C6 04 24 00 EB 5B C6 44 24 01 00 EB 3A 0F B7 44 5F FE 66 3B 05 ?? ?? ?? ?? 75 14 80 7C 24 01 00 74 06 C6 04 24 00 EB 39 C6 44 24 01 01 EB 18 8B C6 E8 ?? ?? ?? ?? 84 C0 74 07 C6 44 24 01 00 EB 06 C6 04 24 00 EB 1A 8B C7 E8 ?? ?? ?? ?? 3B D8 0F 8C 5A FF FF FF 80 7C 24 01 00 74 04 C6 04 24 00 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114384_0 {
	meta:
		name = "IsXmlCharRef"
		size = 436
		refs = "0012 IsXmlCharRef 003f @WStrCopy 004c @WStrEqual 017c @WStrArrayClr 0182 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 8B FB 8B F7 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 F8 50 B9 01 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 09 C6 45 FF 00 E9 0B 01 00 00 8D 45 F4 50 B9 03 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 6F 8B C7 85 C0 74 07 83 E8 04 8B 00 D1 E8 83 F8 05 7D 09 C6 45 FF 00 E9 CC 00 00 00 8B C7 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D0 4A 83 EA 04 0F 8C B3 00 00 00 42 BE 04 00 00 00 0F B7 44 73 FE 66 83 F8 30 72 06 66 83 F8 39 76 1E 66 83 F8 61 72 06 66 83 F8 66 76 12 66 83 F8 41 72 06 66 83 F8 46 76 06 C6 45 FF 00 EB 7E 46 4A 75 CD EB 78 8B C7 85 C0 74 07 83 E8 04 8B 00 D1 E8 83 F8 04 7D 06 C6 45 FF 00 EB 60 8D 45 F0 50 B9 02 00 00 00 BA 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 06 C6 45 FF 00 EB 36 8B C7 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D0 4A 83 EA 03 7C 21 42 BE 03 00 00 00 0F B7 44 73 FE 66 83 F8 30 72 06 66 83 F8 39 76 06 C6 45 FF 00 EB 04 46 4A 75 E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 00 02 00 00 00 3B 00 00 00 06 00 00 00 26 00 23 00 78 00 00 00 04 00 00 00 26 00 23 00 00 00 00 00 }
	condition:
		$1
}

rule function_114385_0 {
	meta:
		name = "IsXmlEntityRef"
		size = 204
		refs = "0010 IsXmlEntityRef 0022 Pos 004c @WStrCopy 0059 @WStrEqual 008b IsXmlName 00a7 @WStrArrayClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 74 04 33 DB EB 64 8B FB 8B F7 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 FC 50 B9 01 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 DB EB 2E 8B F7 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 F8 50 8B CE 83 E9 02 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 02 00 00 00 26 00 00 00 02 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_114386_0 {
	meta:
		name = "IsXmlPEReference"
		size = 204
		refs = "0010 IsXmlPEReference 0022 Pos 004c @WStrCopy 0059 @WStrEqual 008b IsXmlName 00a7 @WStrArrayClr 00ad @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 74 04 33 DB EB 64 8B FB 8B F7 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 FC 50 B9 01 00 00 00 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 04 33 DB EB 2E 8B F7 85 F6 74 09 83 EE 04 8B 06 D1 E8 8B F0 8D 45 F8 50 8B CE 83 E9 02 BA 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 02 00 00 00 25 00 00 00 02 00 00 00 3B 00 00 00 }
	condition:
		$1
}

rule function_114388_0 {
	meta:
		name = "IsXmlEntityValue"
		size = 726
		refs = "0017 IsXmlEntityValue 0057 SQ 0094 DQ 00e2 IsUTF16LowSurrogate 00f8 IsUTF16HighSurrogate 0152 IsXmlChar 01ea @WStrCopy 01f2 IsXmlPEReference 0282 IsXmlReference 029c @WStrLen 02bf @WStrArrayClr 02c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 D2 89 55 D4 89 55 D8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 8B D3 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 83 F8 02 7D 09 C6 45 FF 00 E9 67 02 00 00 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 0F B7 44 43 FE 66 3B 05 ?? ?? ?? ?? 75 0F 0F B7 03 66 3B 05 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 84 C0 74 0D 0F B7 05 ?? ?? ?? ?? 66 89 45 F8 EB 46 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 0F B7 44 43 FE 66 3B 05 ?? ?? ?? ?? 75 0F 0F B7 03 66 3B 05 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 84 C0 74 0D 0F B7 05 ?? ?? ?? ?? 66 89 45 F8 EB 09 C6 45 FF 00 E9 E4 01 00 00 C7 45 F4 02 00 00 00 E9 C8 01 00 00 8B 45 F4 0F B7 44 43 FE 66 89 45 FC 0F B7 45 FC E8 ?? ?? ?? ?? 84 C0 74 09 C6 45 FF 00 E9 B6 01 00 00 0F B7 45 FC E8 ?? ?? ?? ?? 84 C0 74 4D 89 5D EC 83 7D EC 00 74 0D 8B 45 EC 83 E8 04 8B 00 D1 E8 89 45 EC 8B 45 F4 40 3B 45 EC 75 09 C6 45 FF 00 E9 81 01 00 00 FF 45 F4 8B 45 F4 0F B7 44 43 FE 66 89 45 FC 0F B7 45 FC E8 ?? ?? ?? ?? 84 C0 75 09 C6 45 FF 00 E9 5C 01 00 00 0F B7 45 FC E8 ?? ?? ?? ?? 84 C0 75 09 C6 45 FF 00 E9 46 01 00 00 0F B7 45 FC 66 3B 45 F8 75 09 C6 45 FF 00 E9 33 01 00 00 66 83 7D FC 25 0F 85 88 00 00 00 C7 45 F0 FF FF FF FF 8B 45 F4 40 89 45 E8 89 5D E4 83 7D E4 00 74 0D 8B 45 E4 83 E8 04 8B 00 D1 E8 89 45 E4 8B 75 E8 8B 7D E4 4F 2B FE 7C 1A 47 0F B7 44 73 FE 66 89 45 FA 66 83 7D FA 3B 75 05 89 75 F0 EB 04 46 4F 75 E7 83 7D F0 FF 75 09 C6 45 FF 00 E9 D0 00 00 00 8D 45 D8 50 8B 4D F0 2B 4D F4 41 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 E8 ?? ?? ?? ?? 84 C0 75 09 C6 45 FF 00 E9 A6 00 00 00 8B 45 F0 89 45 F4 66 83 7D FC 26 0F 85 82 00 00 00 C7 45 F0 FF FF FF FF 8B 45 F4 40 89 45 E0 89 5D DC 83 7D DC 00 74 0D 8B 45 DC 83 E8 04 8B 00 D1 E8 89 45 DC 8B 75 E0 8B 7D DC 4F 2B FE 7C 1A 47 0F B7 44 73 FE 66 89 45 FA 66 83 7D FA 3B 75 05 89 75 F0 EB 04 46 4F 75 E7 83 7D F0 FF 75 06 C6 45 FF 00 EB 40 8D 45 D4 50 8B 4D F0 2B 4D F4 41 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 75 06 C6 45 FF 00 EB 19 8B 45 F0 89 45 F4 FF 45 F4 8B C3 E8 ?? ?? ?? ?? 3B 45 F4 0F 8F 28 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114389_0 {
	meta:
		name = "IsXmlEntityValueChars"
		size = 405
		refs = "0014 IsXmlEntityValueChars 00f7 SEMICOLON 010d @WStrCopy 0115 IsXmlReference 0150 IsUTF16LowSurrogate 017e @WStrClr 0184 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 D2 89 55 EC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 C6 45 F3 00 C6 45 F2 00 33 DB 8B C7 85 C0 74 07 83 E8 04 8B 00 D1 E8 89 45 F4 3B 5D F4 0F 8D 28 01 00 00 43 0F B7 74 5F FE 0F B7 C6 83 F8 26 7F 42 0F 84 89 00 00 00 83 F8 20 7D 1A 83 C0 F7 83 E8 02 0F 82 FA 00 00 00 83 E8 02 0F 84 F1 00 00 00 E9 E6 00 00 00 83 C0 E0 83 E8 02 0F 82 E0 00 00 00 74 44 48 83 E8 02 0F 82 D4 00 00 00 E9 C9 00 00 00 83 E8 27 0F 84 8C 00 00 00 48 2D D8 D7 00 00 0F 82 BA 00 00 00 2D 00 04 00 00 0F 82 87 00 00 00 05 00 FC FF FF 2D FE 1F 00 00 0F 82 9F 00 00 00 E9 94 00 00 00 80 7D F2 00 74 09 C6 45 FF 00 E9 94 00 00 00 C6 45 F3 01 E9 82 00 00 00 C6 45 FF 00 89 5D F8 3B 5D F4 7D 76 43 0F B7 74 5F FE 66 3B 35 ?? ?? ?? ?? 75 26 8D 45 EC 50 8B CB 2B 4D F8 41 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 50 C6 45 FF 01 EB 41 3B 5D F4 7C C6 EB 3A 80 7D F3 00 74 06 C6 45 FF 00 EB 37 C6 45 F2 01 EB 28 3B 5D F4 75 06 C6 45 FF 00 EB 26 43 0F B7 74 5F FE 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0C C6 45 FF 00 EB 0F C6 45 FF 00 EB 09 3B 5D F4 0F 8C D8 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114390_0 {
	meta:
		name = "IsXmlAttValue"
		size = 561
		refs = "0014 IsXmlAttValue 0054 SQ 0091 DQ 00d4 IsUTF16LowSurrogate 00e8 IsUTF16HighSurrogate 0134 IsXmlChar 01e0 @WStrCopy 01e8 IsXmlReference 01fd @WStrLen 021a @WStrClr 0220 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 DC 53 56 57 33 D2 89 55 DC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 FF 01 8B D6 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 83 F8 02 7D 09 C6 45 FF 00 E9 CA 01 00 00 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 0F B7 44 46 FE 66 3B 05 ?? ?? ?? ?? 75 0F 0F B7 06 66 3B 05 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 84 C0 74 0D 0F B7 05 ?? ?? ?? ?? 66 89 45 FA EB 46 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 0F B7 44 46 FE 66 3B 05 ?? ?? ?? ?? 75 0F 0F B7 06 66 3B 05 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 84 C0 74 0D 0F B7 05 ?? ?? ?? ?? 66 89 45 FA EB 09 C6 45 FF 00 E9 47 01 00 00 BF 02 00 00 00 E9 2E 01 00 00 0F B7 5C 7E FE 8B C3 E8 ?? ?? ?? ?? 84 C0 74 09 C6 45 FF 00 E9 24 01 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 74 41 89 75 E8 83 7D E8 00 74 0D 8B 45 E8 83 E8 04 8B 00 D1 E8 89 45 E8 8D 47 01 3B 45 E8 75 09 C6 45 FF 00 E9 F2 00 00 00 47 0F B7 5C 7E FE 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 C6 45 FF 00 E9 D8 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 75 09 C6 45 FF 00 E9 C4 00 00 00 66 3B 5D FA 75 09 C6 45 FF 00 E9 B5 00 00 00 66 83 FB 3C 75 09 C6 45 FF 00 E9 A6 00 00 00 66 83 FB 26 0F 85 8C 00 00 00 C7 45 F0 FF FF FF FF 8D 47 01 89 45 E4 89 75 E0 83 7D E0 00 74 0D 8B 45 E0 83 E8 04 8B 00 D1 E8 89 45 E0 8B 45 E4 8B 55 E0 4A 2B D0 7C 2A 42 89 55 EC 89 45 F4 8B 45 F4 0F B7 44 46 FE 66 89 45 FC 66 83 7D FC 3B 75 08 8B 45 F4 89 45 F0 EB 08 FF 45 F4 FF 4D EC 75 DD 83 7D F0 FF 75 06 C6 45 FF 00 EB 38 8D 45 DC 50 8B 4D F0 2B CF 41 8B D7 8B C6 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 84 C0 75 06 C6 45 FF 00 EB 13 8B 7D F0 47 8B C6 E8 ?? ?? ?? ?? 3B F8 0F 8C C3 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114391_0 {
	meta:
		name = "IsXmlSystemLiteral"
		size = 329
		refs = "003b SQ 0078 DQ 00cd IsUTF16LowSurrogate 00dc IsUTF16HighSurrogate 0123 IsXmlChar"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 8B F8 B3 01 8B D7 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 83 F8 02 7D 07 33 DB E9 19 01 00 00 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 0F B7 44 47 FE 66 3B 05 ?? ?? ?? ?? 75 0F 0F B7 07 66 3B 05 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 84 C0 74 0D 0F B7 05 ?? ?? ?? ?? 66 89 04 24 EB 44 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 0F B7 44 47 FE 66 3B 05 ?? ?? ?? ?? 75 0F 0F B7 07 66 3B 05 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 84 C0 74 0D 0F B7 05 ?? ?? ?? ?? 66 89 04 24 EB 07 33 DB E9 98 00 00 00 BE 01 00 00 00 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 48 89 44 24 04 3B 74 24 04 7D 7B 46 0F B7 6C 77 FE 8B C5 E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 66 8B C5 E8 ?? ?? ?? ?? 84 C0 74 3C 89 7C 24 08 83 7C 24 08 00 74 0F 8B 44 24 08 83 E8 04 8B 00 D1 E8 89 44 24 08 8D 46 01 3B 44 24 08 75 04 33 DB EB 34 46 0F B7 6C 77 FE 8B C5 E8 ?? ?? ?? ?? 84 C0 75 13 33 DB EB 1F 8B C5 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 10 66 3B 2C 24 75 04 33 DB EB 06 3B 74 24 04 7C 85 8B C3 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114392_0 {
	meta:
		name = "IsXmlSystemChars"
		size = 242
		refs = "00cc IsUTF16LowSurrogate"
	strings:
		$1 = { 53 56 57 55 51 8B F8 C6 04 24 01 C6 44 24 01 00 C6 44 24 02 00 33 DB 8B C7 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B E8 3B EB 0F 8E BA 00 00 00 43 0F B7 74 5F FE 0F B7 C6 83 F8 23 7D 25 83 C0 F7 83 E8 02 0F 82 98 00 00 00 83 E8 02 0F 84 8F 00 00 00 83 C0 ED 83 E8 02 0F 82 83 00 00 00 74 32 EB 79 83 F8 28 7D 0C 83 C0 DD 83 E8 04 72 72 74 35 EB 68 83 C0 D8 2D D8 D7 00 00 72 64 2D 00 04 00 00 72 36 05 00 FC FF FF 2D FE 1F 00 00 72 51 EB 49 80 7C 24 02 00 74 06 C6 04 24 00 EB 4A C6 44 24 01 01 EB 3B 80 7C 24 01 00 74 06 C6 04 24 00 EB 36 C6 44 24 02 01 EB 27 3B EB 75 06 C6 04 24 00 EB 25 43 0F B7 74 5F FE 8B C6 E8 ?? ?? ?? ?? 84 C0 75 0C C6 04 24 00 EB 0E C6 04 24 00 EB 08 3B EB 0F 8F 46 FF FF FF 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114393_0 {
	meta:
		name = "IsXmlPubidLiteral"
		size = 275
		refs = "003d SQ 0089 IsXmlPubidChar 00b2 DQ"
	strings:
		$1 = { 53 56 57 55 51 8B E8 C6 04 24 01 8B D5 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 83 F8 02 7D 09 C6 04 24 00 E9 E1 00 00 00 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 0F B7 44 45 FE 66 3B 05 ?? ?? ?? ?? 75 10 0F B7 45 00 66 3B 05 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 84 C0 74 44 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F8 4F 83 EF 02 0F 8C 97 00 00 00 47 BB 02 00 00 00 0F B7 74 5D FE 66 3B 35 ?? ?? ?? ?? 74 0B 8B C6 E8 ?? ?? ?? ?? 84 C0 75 06 C6 04 24 00 EB 72 43 4F 75 DD EB 6C 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 0F B7 44 45 FE 66 3B 05 ?? ?? ?? ?? 75 10 0F B7 45 00 66 3B 05 ?? ?? ?? ?? 0F 94 C0 EB 02 33 C0 84 C0 74 37 8B C2 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F8 4F 83 EF 02 7C 26 47 BB 02 00 00 00 0F B7 74 5D FE 8B C6 E8 ?? ?? ?? ?? 84 C0 75 06 C6 04 24 00 EB 0A 43 4F 75 E6 EB 04 C6 04 24 00 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114394_0 {
	meta:
		name = "IsXmlPredefinedEntityName"
		size = 152
		refs = "0006 IsXmlPredefinedEntityName 000b @WStrEqual"
	strings:
		$1 = { 53 8B D8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B0 01 5B C3 33 C0 5B C3 00 00 00 04 00 00 00 6C 00 74 00 00 00 00 00 04 00 00 00 67 00 74 00 00 00 00 00 06 00 00 00 61 00 6D 00 70 00 00 00 08 00 00 00 61 00 70 00 6F 00 73 00 00 00 00 00 08 00 00 00 71 00 75 00 6F 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_114395_0 {
	meta:
		name = "IsXmlPubidChars"
		size = 71
		refs = "002b IsXmlPubidChar"
	strings:
		$1 = { 53 56 57 55 51 8B E8 C6 04 24 01 8B C5 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B D8 85 DB 7E 1F BE 01 00 00 00 0F B7 7C 75 FE 8B C7 E8 ?? ?? ?? ?? 84 C0 75 06 C6 04 24 00 EB 04 46 4B 75 E6 0F B6 04 24 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114396_0 {
	meta:
		name = "IsXmlComment"
		size = 440
		refs = "0014 IsXmlComment 004e @WStrCopy 005b @WStrEqual 00d1 Pos 00ed IsUTF16LowSurrogate 00fc IsUTF16HighSurrogate 0141 IsXmlChar 0151 @WStrLen 0170 @WStrArrayClr 0178 @WStrClr 017e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B3 01 8B 45 F8 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B F0 83 FE 07 7D 07 33 DB E9 1E 01 00 00 8D 45 F0 50 B9 04 00 00 00 BA 01 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 07 33 DB E9 F2 00 00 00 8D 45 EC 50 8B D6 83 EA 02 B9 03 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 07 33 DB E9 C6 00 00 00 83 FE 07 0F 84 BD 00 00 00 8B 45 F8 0F B7 7C 70 F8 66 83 FF 2D 75 07 33 DB E9 A8 00 00 00 8D 45 FC 50 8B CE 83 E9 07 BA 05 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 04 33 DB EB 7D 33 F6 EB 6C 46 8B 45 FC 0F B7 7C 70 FE 8B C7 E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 61 8B C7 E8 ?? ?? ?? ?? 84 C0 74 3A 8B 45 FC 89 45 F4 83 7D F4 00 74 0D 8B 45 F4 83 E8 04 8B 00 D1 E8 89 45 F4 3B 75 F4 75 04 33 DB EB 34 46 8B 45 FC 0F B7 7C 70 FE 8B C7 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 1C 8B C7 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 0D 8B 45 FC E8 ?? ?? ?? ?? 48 3B F0 7C 87 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 08 00 00 00 3C 00 21 00 2D 00 2D 00 00 00 00 00 06 00 00 00 2D 00 2D 00 3E 00 00 00 04 00 00 00 2D 00 2D 00 00 00 00 00 }
	condition:
		$1
}

rule function_114397_0 {
	meta:
		name = "IsXmlCData"
		size = 172
		refs = "000e IsXmlCData 0013 Pos 002e IsUTF16LowSurrogate 003f IsUTF16HighSurrogate 007a IsXmlChar 008b @WStrLen"
	strings:
		$1 = { 53 56 57 55 51 8B F8 C6 04 24 01 8B D7 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 06 C6 04 24 00 EB 72 33 F6 EB 63 46 0F B7 6C 77 FE 8B C5 E8 ?? ?? ?? ?? 84 C0 74 06 C6 04 24 00 EB 57 8B C5 E8 ?? ?? ?? ?? 84 C0 74 30 8B DF 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 3B DE 75 06 C6 04 24 00 EB 33 46 0F B7 6C 77 FE 8B C5 E8 ?? ?? ?? ?? 84 C0 75 06 C6 04 24 00 EB 1C 8B C5 E8 ?? ?? ?? ?? 84 C0 75 06 C6 04 24 00 EB 0B 8B C7 E8 ?? ?? ?? ?? 3B F0 7C 92 0F B6 04 24 5A 5D 5F 5E 5B C3 00 00 00 06 00 00 00 5D 00 5D 00 3E 00 00 00 }
	condition:
		$1
}

rule function_114398_0 {
	meta:
		name = "IsXmlCharData"
		size = 155
		refs = "0016 IsUTF16LowSurrogate 0025 IsUTF16HighSurrogate 0064 IsXmlChar 0087 @WStrLen"
	strings:
		$1 = { 53 56 57 55 51 8B F8 B3 01 33 F6 EB 77 46 0F B7 6C 77 FE 8B C5 E8 ?? ?? ?? ?? 84 C0 74 04 33 DB EB 71 8B C5 E8 ?? ?? ?? ?? 84 C0 74 34 89 3C 24 83 3C 24 00 74 0D 8B 04 24 83 E8 04 8B 00 D1 E8 89 04 24 3B 34 24 75 04 33 DB EB 47 46 0F B7 6C 77 FE 8B C5 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 32 8B C5 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 23 66 83 FD 3C 75 04 33 DB EB 19 66 83 FD 26 75 04 33 DB EB 0F 8B C7 E8 ?? ?? ?? ?? 3B F0 0F 8C 7A FF FF FF 8B C3 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114399_0 {
	meta:
		name = "IsXmlPITarget"
		size = 87
		refs = "0008 IsXmlName"
	strings:
		$1 = { 53 56 57 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 8B C3 85 C0 74 07 83 E8 04 8B 00 D1 E8 83 F8 03 75 31 0F B7 03 66 83 F8 58 74 06 66 83 F8 78 75 22 0F B7 73 02 66 83 FE 4D 74 06 66 83 FE 6D 75 12 0F B7 7B 04 66 83 FF 4C 74 06 66 83 FF 6C 75 02 33 D2 8B C2 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114400_0 {
	meta:
		name = "IsXmlVersionNum"
		size = 97
	strings:
		$1 = { 56 57 8B F8 B0 01 8B D7 85 D2 74 07 83 EA 04 8B 12 D1 EA 83 FA 03 7D 05 33 C0 5F 5E C3 66 83 3F 31 75 07 66 83 7F 02 2C 75 05 33 C0 5F 5E C3 8B D7 85 D2 74 07 83 EA 04 8B 12 D1 EA 83 EA 03 7C 1D 42 BE 03 00 00 00 0F B7 4C 77 FE 83 C1 D0 66 83 E9 0A 72 05 33 C0 5F 5E C3 46 4A 75 E9 5F 5E C3 }
	condition:
		$1
}

rule function_114401_0 {
	meta:
		name = "IsXmlEncName"
		size = 102
		refs = "0023 IsXmlEncNameLeadingCharCodePoint 004f IsXmlEncNameFollowingCharCodePoint"
	strings:
		$1 = { 53 56 57 55 8B F8 B3 01 8B F7 8B C6 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 75 04 33 DB EB 40 0F B7 07 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 30 8B C6 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B E8 83 ED 02 7C 1C 45 BE 02 00 00 00 0F B7 44 77 FE E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 04 46 4D 75 EA 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114402_0 {
	meta:
		name = "IsXmlStringType"
		size = 44
		refs = "0006 IsXmlStringType 000b @WStrEqual"
	strings:
		$1 = { 53 8B D8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B0 01 5B C3 33 C0 5B C3 00 00 00 0A 00 00 00 43 00 44 00 41 00 54 00 41 00 00 00 }
	condition:
		$1
}

rule function_114403_0 {
	meta:
		name = "IsXmlTokenizedType"
		size = 248
		refs = "0006 IsXmlTokenizedType 000b @WStrEqual"
	strings:
		$1 = { 53 8B D8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 54 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 46 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 38 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 2A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B0 01 5B C3 33 C0 5B C3 00 00 00 04 00 00 00 49 00 44 00 00 00 00 00 0A 00 00 00 49 00 44 00 52 00 45 00 46 00 00 00 0C 00 00 00 49 00 44 00 52 00 45 00 46 00 53 00 00 00 00 00 0C 00 00 00 45 00 4E 00 54 00 49 00 54 00 59 00 00 00 00 00 10 00 00 00 45 00 4E 00 54 00 49 00 54 00 49 00 45 00 53 00 00 00 00 00 0E 00 00 00 4E 00 4D 00 54 00 4F 00 4B 00 45 00 4E 00 00 00 10 00 00 00 4E 00 4D 00 54 00 4F 00 4B 00 45 00 4E 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_114404_0 {
	meta:
		name = "IsXmlNCNameChar"
		size = 28
		refs = "0006 IsXmlNameChar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 66 83 FB 3A 74 04 B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_114405_0 {
	meta:
		name = "IsXmlNCNameStartChar"
		size = 28
		refs = "0006 IsXmlNameStartChar"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0A 66 83 FB 3A 74 04 B0 01 5B C3 33 C0 5B C3 }
	condition:
		$1
}

rule function_114406_0 {
	meta:
		name = "IsXmlNCName"
		size = 104
		refs = "0025 IsXmlNCNameStartChar 0051 IsXmlNCNameChar"
	strings:
		$1 = { 53 56 57 55 8B F8 B3 01 8B EF 8B C5 85 C0 74 07 83 E8 04 8B 00 D1 E8 85 C0 75 04 33 DB EB 42 0F B7 37 8B C6 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 30 8B C5 85 C0 74 07 83 E8 04 8B 00 D1 E8 8B E8 83 ED 02 7C 1C 45 BE 02 00 00 00 0F B7 44 77 FE E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 04 46 4D 75 EA 8B C3 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114407_0 {
	meta:
		name = "IsXmlDefaultAttName"
		size = 44
		refs = "0006 IsXmlDefaultAttName 000b @WStrEqual"
	strings:
		$1 = { 53 8B D8 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B0 01 5B C3 33 C0 5B C3 00 00 00 0A 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_114408_0 {
	meta:
		name = "IsXmlPrefixedAttName"
		size = 176
		refs = "000f IsXmlPrefixedAttName 002a @WStrCopy 0037 @WStrEqual 0065 IsXmlNCName 0085 @WStrArrayClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 B9 06 00 00 00 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 30 8B DE 85 DB 74 09 83 EB 04 8B 03 D1 E8 8B D8 8D 45 FC 50 8B CB 83 E9 06 BA 07 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 00 00 00 0C 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 3A 00 00 00 00 00 }
	condition:
		$1
}

rule function_114412_0 {
	meta:
		name = "IsXmlQName"
		size = 188
		refs = "0010 IsXmlQName 0022 Pos 002f IsXmlLocalPart 0046 @WStrCopy 006f IsXmlPrefix 009f @WStrArrayClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 75 0B 8B C6 E8 ?? ?? ?? ?? 8B D8 EB 52 8D 45 FC 50 8B CB 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? 8B FE 85 FF 74 09 83 EF 04 8B 07 D1 E8 8B F8 8D 45 F8 50 8B CF 2B CB 8D 53 01 8B C6 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 02 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_114415_0 {
	meta:
		name = "MakeNode"
		size = 137
		refs = "0010 @IntfAddRef 0018 MakeNode 0036 @CheckAutoResult 0040 NodeClasses 004a TMSDOMNode.Create 005a @IntfCopy 0063 @IntfClear 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 38 8D 45 F8 50 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 F8 8B 04 85 ?? ?? ?? ?? 8B 4D FC B2 01 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E0 8B C3 E8 ?? ?? ?? ?? EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114418_0 {
	meta:
		name = "GetMSNode"
		size = 148
		refs = "0011 GetMSNode 0023 SNodeExpected 0028 LoadResString 0032 _Dn_DOMException 0037 Exception.Create 003c @RaiseExcept 004b @IntfCast 006a @IntfClear 0072 @UStrClr 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 8B D3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 51 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 A1 DA F5 5E 29 27 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114419_0 {
	meta:
		name = "LoadFromXMLString"
		size = 196
		refs = "0015 LoadFromXMLString 002a _Dn_TStringStream 002f TStringStream.Create 0038 _Dn_TStreamAdapter 003d TStreamAdapter.Create 0053 @IntfCast 005e @VarFromIntf 0078 @CheckAutoResult 0097 @IntfClear 009f @VarClr 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 6A 01 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 E8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 53 8B 03 FF 90 E8 00 00 00 E8 ?? ?? ?? ?? 66 83 7D FC 01 1B C0 40 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 8B E5 5D C3 00 0C 00 00 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_114421_0 {
	meta:
		name = "TryObjectCreate"
		size = 88
		refs = "0019 @IntfClear 001f TryObjectCreate 0029 CoCreateInstance 003c OleCheck"
	strings:
		$1 = { 53 56 57 55 51 8B E9 89 14 24 33 F6 8B 3C 24 85 FF 7C 26 47 8B D8 8B C5 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 05 6A 00 53 E8 ?? ?? ?? ?? 8B F0 85 F6 74 0D 83 C3 10 4F 75 DD 8B C6 E8 ?? ?? ?? ?? 5A 5D 5F 5E 5B C3 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_114422_0 {
	meta:
		name = "CreateDOMDocument"
		size = 232
		refs = "0017 CreateDOMDocument 0022 CLASS_DOMDocument60 0030 CLASS_DOMDocument40 003e CLASS_DOMDocument30 004c CLASS_DOMDocument26 005a CLASS_DOMDocument 0073 TryObjectCreate 0082 @IntfCast 008f SMSDOMNotInstalled 0094 LoadResString 009e _Dn_DOMException 00a3 Exception.Create 00a8 @RaiseExcept 00bd @UStrClr 00c5 @IntfClear 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 A8 53 56 57 33 D2 89 55 A8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 8B F0 8D 7D AC A5 A5 A5 A5 A1 ?? ?? ?? ?? 8B F0 8D 7D BC A5 A5 A5 A5 A1 ?? ?? ?? ?? 8B F0 8D 7D CC A5 A5 A5 A5 A1 ?? ?? ?? ?? 8B F0 8D 7D DC A5 A5 A5 A5 A1 ?? ?? ?? ?? 8B F0 8D 7D EC A5 A5 A5 A5 8D 45 AC 8D 4D FC BA 04 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3B 00 75 21 8D 55 A8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D A8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 81 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_114424_0 {
	meta:
		name = "TMSDOMImplementation.createDocument"
		size = 129
		refs = "000c @IntfAddRef 0022 TMSDOMImplementation.createDocument 0031 MSXMLDOMDocumentCreate 003b _DV_TMSDOMDocument 0040 TMSDOMNode.Create 0051 @IntfCopy 0063 @HandleAutoException 006b @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 45 14 E8 ?? ?? ?? ?? 8B 45 18 85 C0 74 04 33 D2 89 10 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC FF 15 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA CC 8B 45 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 14 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_114425_0 {
	meta:
		name = "TMSDOMImplementation.createDocumentType"
		size = 152
		refs = "0018 TMSDOMImplementation.createDocumentType 002d DOMVendorNotSupported 003f @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 18 85 C0 74 04 33 D2 89 10 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 14 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 53 00 58 00 4D 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 63 00 72 00 65 00 61 00 74 00 65 00 44 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114426_0 {
	meta:
		name = "TMSDOMImplementation.hasFeature"
		size = 242
		refs = "001e TMSDOMImplementation.hasFeature 0038 @WStrFromUStr 0058 @CheckAutoResult 0086 @IntfClear 0090 MSXMLDOMDocumentCreate 00dd @WStrArrayClr 00e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 0C 00 74 34 8D 45 FC 50 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 0C 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 0F B7 5D FC EB 55 8D 45 FC 50 8D 45 F0 8B D7 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC 8B D6 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 45 E4 FF 15 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 0F B7 5D FC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114428_0 {
	meta:
		name = "TMSDOMNode.appendChild"
		size = 158
		refs = "0020 TMSDOMNode.appendChild 0030 GetMSNode 0038 @IntfClear 004b @CheckAutoResult 005d @IntfCopy 006a MakeNode 007c @HandleAutoException 0085 IXMLDOMNode 008f @FinalizeArray"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 75 0C 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 43 0C 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B 45 F8 3B 45 FC 75 0C 8B 45 10 8B D6 E8 ?? ?? ?? ?? EB 0B 8B 55 10 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_114429_0 {
	meta:
		name = "TMSDOMNode.cloneNode"
		size = 112
		refs = "001b TMSDOMNode.cloneNode 0029 @IntfClear 003d @CheckAutoResult 0048 MakeNode 005a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 0F B7 45 0C 50 8B 43 0C 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_114430_0 {
	meta:
		name = "TMSDOMNode.get_attributes"
		size = 185
		refs = "001f TMSDOMNode.get_attributes 0033 @IntfClear 0042 @CheckAutoResult 006a MakeNamedNodeMap 0075 @IntfCopy 0092 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 14 00 75 4A 8D 45 FC E8 ?? ?? ?? ?? 50 8B 43 0C 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 83 7D FC 00 74 2D 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 43 0C 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 14 E8 ?? ?? ?? ?? 8B 45 0C 8B 53 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114431_0 {
	meta:
		name = "TMSDOMNode.get_childNodes"
		size = 146
		refs = "001d TMSDOMNode.get_childNodes 0031 @IntfClear 0040 @CheckAutoResult 004b MakeNodeList 0056 @IntfCopy 0073 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 10 00 75 2D 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 43 0C 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 10 E8 ?? ?? ?? ?? 8B 45 0C 8B 53 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114432_0 {
	meta:
		name = "TMSDOMNode.get_firstChild"
		size = 107
		refs = "001b TMSDOMNode.get_firstChild 0029 @IntfClear 0038 @CheckAutoResult 0043 MakeNode 0055 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 43 0C 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114433_0 {
	meta:
		name = "TMSDOMNode.get_lastChild"
		size = 107
		refs = "001b TMSDOMNode.get_lastChild 0029 @IntfClear 0038 @CheckAutoResult 0043 MakeNode 0055 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 43 0C 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114434_0 {
	meta:
		name = "TMSDOMNode.get_localName"
		size = 110
		refs = "001b TMSDOMNode.get_localName 0029 @WStrClr 003b @CheckAutoResult 0046 @UStrFromWStr 0058 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 43 0C 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114435_0 {
	meta:
		name = "TMSDOMNode.get_namespaceURI"
		size = 110
		refs = "001b TMSDOMNode.get_namespaceURI 0029 @WStrClr 003b @CheckAutoResult 0046 @UStrFromWStr 0058 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 43 0C 50 8B 00 FF 90 9C 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114436_0 {
	meta:
		name = "TMSDOMNode.get_nextSibling"
		size = 107
		refs = "001b TMSDOMNode.get_nextSibling 0029 @IntfClear 0038 @CheckAutoResult 0043 MakeNode 0055 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 43 0C 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114437_0 {
	meta:
		name = "TMSDOMNode.get_nodeName"
		size = 107
		refs = "001b TMSDOMNode.get_nodeName 0029 @WStrClr 0038 @CheckAutoResult 0043 @UStrFromWStr 0055 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 43 0C 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114438_0 {
	meta:
		name = "TMSDOMNode.get_nodeType"
		size = 80
		refs = "000f TMSDOMNode.get_nodeType 0027 @CheckAutoResult 0042 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 43 0C 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 0C 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114439_0 {
	meta:
		name = "TMSDOMNode.get_nodeValue"
		size = 134
		refs = "001f TMSDOMNode.get_nodeValue 002d @VarClr 003c @CheckAutoResult 0044 VarIsNull 0053 @VarToUStr 005d @UStrClr 006f @HandleAutoException"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 43 0C 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 75 0D 8B 45 0C 8D 55 F0 E8 ?? ?? ?? ?? EB 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114440_0 {
	meta:
		name = "TMSDOMNode.get_ownerDocument"
		size = 145
		refs = "001b TMSDOMNode.get_ownerDocument 002f @IntfClear 003e @CheckAutoResult 0048 _DV_TMSDOMDocument 004d TMSDOMNode.Create 005e @IntfCopy 007b @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 18 00 75 37 8D 45 FC E8 ?? ?? ?? ?? 50 8B 43 0C 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA CC 8D 43 18 E8 ?? ?? ?? ?? 8B 45 0C 8B 53 18 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114441_0 {
	meta:
		name = "TMSDOMNode.get_parentNode"
		size = 107
		refs = "001b TMSDOMNode.get_parentNode 0029 @IntfClear 0038 @CheckAutoResult 0043 MakeNode 0055 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 43 0C 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 45 FC 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114442_0 {
	meta:
		name = "TMSDOMNode.get_prefix"
		size = 110
		refs = "001b TMSDOMNode.get_prefix 0029 @WStrClr 003b @CheckAutoResult 0046 @UStrFromWStr 0058 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 43 0C 50 8B 00 FF 90 A0 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114443_0 {
	meta:
		name = "TMSDOMNode.get_previousSibling"
		size = 107
		refs = "001b TMSDOMNode.get_previousSibling 0029 @IntfClear 0038 @CheckAutoResult 0043 MakeNode 0055 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 43 0C 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 FC 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114444_0 {
	meta:
		name = "TMSDOMNode.hasChildNodes"
		size = 81
		refs = "000f TMSDOMNode.hasChildNodes 0027 @CheckAutoResult 0043 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 43 0C 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 0F B7 45 FC 8B 55 0C 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114445_0 {
	meta:
		name = "TMSDOMNode.insertBefore"
		size = 191
		refs = "0022 TMSDOMNode.insertBefore 0030 @IntfClear 003c GetMSNode 0047 @VarFromDisp 0070 @CheckAutoResult 007b MakeNode 008d @HandleAutoException 0096 IXMLDOMNode 00a0 @FinalizeArray 00a8 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 E8 8B 45 10 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8D 55 E4 8B 45 0C E8 ?? ?? ?? ?? 8B 45 E4 50 8B 43 0C 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_114446_0 {
	meta:
		name = "TMSDOMNode.normalize"
		size = 124
		refs = "000d TMSDOMNode.normalize 0022 DOMVendorNotSupported 0034 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 53 00 58 00 4D 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6E 00 6F 00 72 00 6D 00 61 00 6C 00 69 00 7A 00 65 00 00 00 }
	condition:
		$1
}

rule function_114447_0 {
	meta:
		name = "TMSDOMNode.removeChild"
		size = 136
		refs = "001d TMSDOMNode.removeChild 002b @IntfClear 0037 GetMSNode 0049 @CheckAutoResult 0054 MakeNode 0066 @HandleAutoException 006f IXMLDOMNode 0079 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 0C 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_114448_0 {
	meta:
		name = "TMSDOMNode.replaceChild"
		size = 153
		refs = "001f TMSDOMNode.replaceChild 002d @IntfClear 0039 GetMSNode 005a @CheckAutoResult 0065 MakeNode 0077 @HandleAutoException 0080 IXMLDOMNode 008a @FinalizeArray"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B 45 10 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B 45 0C E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 0C 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? 8B 45 FC 8B 55 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_114449_0 {
	meta:
		name = "TMSDOMNode.set_nodeValue"
		size = 120
		refs = "0013 @UStrAddRef 001c TMSDOMNode.set_nodeValue 002d @OleVarFromUStr 0047 @CheckAutoResult 0059 @HandleAutoException 0061 @VarClr 0069 @UStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B 5D 08 8B 45 0C E8 ?? ?? ?? ?? 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B 55 0C E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8B 43 0C 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114450_0 {
	meta:
		name = "TMSDOMNode.supports"
		size = 76
		refs = "0001 TMSDOMNode.supports 000b DOMVendorNotSupported"
	strings:
		$1 = { BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 53 00 58 00 4D 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 75 00 70 00 70 00 6F 00 72 00 74 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_114452_0 {
	meta:
		name = "TMSDOMNode.selectNode"
		size = 130
		refs = "001b TMSDOMNode.selectNode 0029 @IntfClear 003f @CheckAutoResult 0050 MakeNode 006c @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 0C 50 8B 43 0C 50 8B 00 FF 90 94 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 0D 8B 55 10 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_114453_0 {
	meta:
		name = "TMSDOMNode.selectNodes"
		size = 130
		refs = "001b TMSDOMNode.selectNodes 0029 @IntfClear 003f @CheckAutoResult 0050 MakeNodeList 006c @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 0C 50 8B 43 0C 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 74 0D 8B 55 10 8B 45 FC E8 ?? ?? ?? ?? EB 08 8B 45 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_114454_0 {
	meta:
		name = "TMSDOMNode.get_text"
		size = 107
		refs = "001b TMSDOMNode.get_text 0029 @WStrClr 0038 @CheckAutoResult 0043 @UStrFromWStr 0055 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 43 0C 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114455_0 {
	meta:
		name = "TMSDOMNode.set_text"
		size = 91
		refs = "0010 TMSDOMNode.set_text 0021 @WStrFromUStr 0033 @CheckAutoResult 0045 @HandleAutoException 004d @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 45 FC 50 8B 43 0C 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114456_0 {
	meta:
		name = "TMSDOMNode.get_xml"
		size = 110
		refs = "001b TMSDOMNode.get_xml 0029 @WStrClr 003b @CheckAutoResult 0046 @UStrFromWStr 0058 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 43 0C 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114457_0 {
	meta:
		name = "TMSDOMNode.transformNode"
		size = 125
		refs = "0012 TMSDOMNode.transformNode 0020 @WStrClr 002c GetMSNode 0041 @CheckAutoResult 004c @WStrAsg 005e @HandleAutoException 0066 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 0C 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_114458_0 {
	meta:
		name = "TMSDOMNode.transformNode"
		size = 154
		refs = "0016 TMSDOMNode.transformNode 0027 GetMSNode 0032 @VarFromDisp 005e @CheckAutoResult 0070 @HandleAutoException 0079 IXMLDOMNode 0083 @FinalizeArray 008b @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 10 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 55 E8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 E8 50 8B 43 0C 50 8B 00 FF 90 A8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_114460_0 {
	meta:
		name = "TMSDOMNodeList.get_item"
		size = 111
		refs = "001b TMSDOMNodeList.get_item 0029 @IntfClear 003c @CheckAutoResult 0047 MakeNode 0059 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 0C 50 8B 43 0C 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 FC 8B 55 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_114461_0 {
	meta:
		name = "TMSDOMNodeList.get_length"
		size = 79
		refs = "000f TMSDOMNodeList.get_length 0027 @CheckAutoResult 0041 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 43 0C 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114463_0 {
	meta:
		name = "TMSDOMNamedNodeMap.get_item"
		size = 111
		refs = "001b TMSDOMNamedNodeMap.get_item 0029 @IntfClear 003c @CheckAutoResult 0047 MakeNode 0059 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 0C 50 8B 43 0C 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_114464_0 {
	meta:
		name = "TMSDOMNamedNodeMap.get_length"
		size = 79
		refs = "000f TMSDOMNamedNodeMap.get_length 0027 @CheckAutoResult 0041 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 43 0C 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 45 FC 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114465_0 {
	meta:
		name = "TMSDOMNamedNodeMap.getNamedItem"
		size = 133
		refs = "001d TMSDOMNamedNodeMap.getNamedItem 002b @IntfClear 0037 @WStrFromUStr 0049 @CheckAutoResult 0054 MakeNode 0066 @HandleAutoException 006e @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 0C 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 FC 8B 55 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_114466_0 {
	meta:
		name = "TMSDOMNamedNodeMap.getNamedItemNS"
		size = 155
		refs = "001f TMSDOMNamedNodeMap.getNamedItemNS 002d @IntfClear 0039 @WStrFromUStr 005a @CheckAutoResult 0065 MakeNode 0077 @HandleAutoException 0084 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 0C 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_114467_0 {
	meta:
		name = "TMSDOMNamedNodeMap.removeNamedItem"
		size = 133
		refs = "001d TMSDOMNamedNodeMap.removeNamedItem 002b @IntfClear 0037 @WStrFromUStr 0049 @CheckAutoResult 0054 MakeNode 0066 @HandleAutoException 006e @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 0C 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_114468_0 {
	meta:
		name = "TMSDOMNamedNodeMap.removeNamedItemNS"
		size = 155
		refs = "001f TMSDOMNamedNodeMap.removeNamedItemNS 002d @IntfClear 0039 @WStrFromUStr 005a @CheckAutoResult 0065 MakeNode 0077 @HandleAutoException 0084 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 0C 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_114469_0 {
	meta:
		name = "TMSDOMNamedNodeMap.setNamedItem"
		size = 136
		refs = "001d TMSDOMNamedNodeMap.setNamedItem 002b @IntfClear 0037 GetMSNode 0049 @CheckAutoResult 0054 MakeNode 0066 @HandleAutoException 006f IXMLDOMNode 0079 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 0C 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_114470_0 {
	meta:
		name = "TMSDOMNamedNodeMap.setNamedItemNS"
		size = 136
		refs = "001d TMSDOMNamedNodeMap.setNamedItemNS 002b @IntfClear 0037 GetMSNode 0049 @CheckAutoResult 0054 MakeNode 0066 @HandleAutoException 006f IXMLDOMNode 0079 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B 45 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8B 43 0C 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_114472_0 {
	meta:
		name = "TMSDOMCharacterData.appendData"
		size = 115
		refs = "0012 TMSDOMCharacterData.appendData 0023 @WStrFromUStr 0031 TMSDOMCharacterData.GetMSCharacterData 0042 @CheckAutoResult 0054 @HandleAutoException 005c @IntfClear 0064 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 BC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114473_0 {
	meta:
		name = "TMSDOMCharacterData.deleteData"
		size = 97
		refs = "0010 TMSDOMCharacterData.deleteData 0028 TMSDOMCharacterData.GetMSCharacterData 0039 @CheckAutoResult 004b @HandleAutoException 0053 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 50 8B 45 0C 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 C4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_114474_0 {
	meta:
		name = "TMSDOMCharacterData.get_data"
		size = 131
		refs = "001d TMSDOMCharacterData.get_data 002b @WStrClr 0036 TMSDOMCharacterData.GetMSCharacterData 0047 @CheckAutoResult 0052 @UStrFromWStr 0064 @HandleAutoException 006c @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 AC 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114481_0 {
	meta:
		name = "TMSDOMAttr.get_name"
		size = 131
		refs = "001d TMSDOMAttr.get_name 002b @WStrClr 0036 TMSDOMAttr.GetMSAttribute 0047 @CheckAutoResult 0052 @UStrFromWStr 0064 @HandleAutoException 006c @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 AC 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114508_0 {
	meta:
		name = "TMSDOMDocumentType.get_name"
		size = 131
		refs = "001d TMSDOMDocumentType.get_name 002b @WStrClr 0036 TMSDOMDocumentType.GetMSDocumentType 0047 @CheckAutoResult 0052 @UStrFromWStr 0064 @HandleAutoException 006c @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 AC 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114487_0 {
	meta:
		name = "TMSDOMElement.get_tagName"
		size = 131
		refs = "001d TMSDOMElement.get_tagName 002b @WStrClr 0036 TMSDOMElement.GetMSElement 0047 @CheckAutoResult 0052 @UStrFromWStr 0064 @HandleAutoException 006c @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 AC 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114521_0 {
	meta:
		name = "TMSDOMProcessingInstruction.get_target"
		size = 131
		refs = "001d TMSDOMProcessingInstruction.get_target 002b @WStrClr 0036 TMSDOMProcessingInstruction.GetMSProcessingInstruction 0047 @CheckAutoResult 0052 @UStrFromWStr 0064 @HandleAutoException 006c @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 AC 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114475_0 {
	meta:
		name = "TMSDOMCharacterData.get_length"
		size = 108
		refs = "0016 TMSDOMCharacterData.get_length 002a TMSDOMCharacterData.GetMSCharacterData 003b @CheckAutoResult 0055 @HandleAutoException 005d @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 B4 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114476_0 {
	meta:
		name = "TMSDOMCharacterData.insertData"
		size = 119
		refs = "0012 TMSDOMCharacterData.insertData 0023 @WStrFromUStr 0035 TMSDOMCharacterData.GetMSCharacterData 0046 @CheckAutoResult 0058 @HandleAutoException 0060 @IntfClear 0068 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 10 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 0C 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 C0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_114477_0 {
	meta:
		name = "TMSDOMCharacterData.replaceData"
		size = 123
		refs = "0012 TMSDOMCharacterData.replaceData 0023 @WStrFromUStr 0039 TMSDOMCharacterData.GetMSCharacterData 004a @CheckAutoResult 005c @HandleAutoException 0064 @IntfClear 006c @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 14 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 45 10 50 8B 45 0C 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 C8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_114478_0 {
	meta:
		name = "TMSDOMCharacterData.set_data"
		size = 115
		refs = "0012 TMSDOMCharacterData.set_data 0023 @WStrFromUStr 0031 TMSDOMCharacterData.GetMSCharacterData 0042 @CheckAutoResult 0054 @HandleAutoException 005c @IntfClear 0064 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114479_0 {
	meta:
		name = "TMSDOMCharacterData.substringData"
		size = 139
		refs = "001d TMSDOMCharacterData.substringData 002b @WStrClr 003e TMSDOMCharacterData.GetMSCharacterData 004f @CheckAutoResult 005a @UStrFromWStr 006c @HandleAutoException 0074 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 10 50 8B 45 0C 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 B8 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 10 00 }
	condition:
		$1
}

rule function_114482_0 {
	meta:
		name = "TMSDOMAttr.get_ownerElement"
		size = 156
		refs = "0018 TMSDOMAttr.get_ownerElement 002d DOMVendorNotSupported 0035 @IntfClear 0047 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 0C 85 C0 74 04 33 D2 89 10 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 53 00 58 00 4D 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 67 00 65 00 74 00 5F 00 6F 00 77 00 6E 00 65 00 72 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_114483_0 {
	meta:
		name = "TMSDOMAttr.get_specified"
		size = 107
		refs = "0016 TMSDOMAttr.get_specified 002a TMSDOMAttr.GetMSAttribute 0038 @CheckAutoResult 0054 @HandleAutoException 005c @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? 0F B7 45 FC 8B 55 0C 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114484_0 {
	meta:
		name = "TMSDOMAttr.get_value"
		size = 134
		refs = "0020 TMSDOMAttr.get_value 002e @VarClr 0039 TMSDOMAttr.GetMSAttribute 004a @CheckAutoResult 0055 @VarToUStr 0067 @HandleAutoException 006f @IntfClear"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114518_0 {
	meta:
		name = "TMSDOMEntity.get_systemId"
		size = 134
		refs = "0020 TMSDOMEntity.get_systemId 002e @VarClr 0039 TMSDOMEntity.GetMSEntity 004a @CheckAutoResult 0055 @VarToUStr 0067 @HandleAutoException 006f @IntfClear"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114514_0 {
	meta:
		name = "TMSDOMNotation.get_systemId"
		size = 134
		refs = "0020 TMSDOMNotation.get_systemId 002e @VarClr 0039 TMSDOMNotation.GetMSNotation 004a @CheckAutoResult 0055 @VarToUStr 0067 @HandleAutoException 006f @IntfClear"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114485_0 {
	meta:
		name = "TMSDOMAttr.set_value"
		size = 126
		refs = "0015 TMSDOMAttr.set_value 0026 @OleVarFromUStr 003c TMSDOMAttr.GetMSAttribute 004d @CheckAutoResult 005f @HandleAutoException 0067 @IntfClear 006f @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B 55 0C E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 B4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114488_0 {
	meta:
		name = "TMSDOMElement.getAttribute"
		size = 158
		refs = "0021 TMSDOMElement.getAttribute 002f @VarClr 003b @WStrFromUStr 0049 TMSDOMElement.GetMSElement 005a @CheckAutoResult 0065 VarToStr 0077 @HandleAutoException 007f @IntfClear 0087 @WStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 45 EC 8B 55 0C E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 55 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_114489_0 {
	meta:
		name = "TMSDOMElement.getAttributeNS"
		size = 185
		refs = "0021 TMSDOMElement.getAttributeNS 002f @IntfClear 003e TMSDOMElement.getAttributeNodeNS 0043 @CheckAutoResult 0051 @UStrClr 006b @VarFromUStr 0076 VarToStr 0092 @HandleAutoException 00a2 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 10 50 8B 45 0C 50 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 2F 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 55 E8 8D 45 EC E8 ?? ?? ?? ?? 8D 45 EC 8B 55 14 E8 ?? ?? ?? ?? EB 08 8B 45 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_114490_0 {
	meta:
		name = "TMSDOMElement.getAttributeNode"
		size = 196
		refs = "001f TMSDOMElement.getAttributeNode 002d @IntfClear 0039 @WStrFromUStr 0047 TMSDOMElement.GetMSElement 0058 @CheckAutoResult 0063 MakeNode 0073 @IntfCast 0085 @HandleAutoException 0095 @WStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F4 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 90 BC 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 10 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 E5 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114491_0 {
	meta:
		name = "TMSDOMElement.getAttributeNodeNS"
		size = 248
		refs = "0021 TMSDOMElement.getAttributeNodeNS 002f @IntfClear 003b @WStrFromUStr 0061 TMSDOMElement.GetMSElement 006f @CheckAutoResult 0088 MakeNode 0098 @IntfCast 00aa @HandleAutoException 00c7 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F4 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F0 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 EC E8 ?? ?? ?? ?? 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 14 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 10 00 00 00 E5 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114492_0 {
	meta:
		name = "TMSDOMElement.getElementsByTagName"
		size = 156
		refs = "001f TMSDOMElement.getElementsByTagName 002d @IntfClear 0039 @WStrFromUStr 0047 TMSDOMElement.GetMSElement 0058 @CheckAutoResult 0063 MakeNodeList 0075 @HandleAutoException 0085 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 C8 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_114493_0 {
	meta:
		name = "TMSDOMElement.getElementsByTagNameNS"
		size = 160
		refs = "0018 TMSDOMElement.getElementsByTagNameNS 002d DOMVendorNotSupported 003f @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 14 85 C0 74 04 33 D2 89 10 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 53 00 58 00 4D 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 67 00 65 00 74 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 73 00 42 00 79 00 54 00 61 00 67 00 4E 00 61 00 6D 00 65 00 4E 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_114544_0 {
	meta:
		name = "TMSDOMDocument.getElementsByTagNameNS"
		size = 160
		refs = "0018 TMSDOMDocument.getElementsByTagNameNS 002d DOMVendorNotSupported 003f @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 14 85 C0 74 04 33 D2 89 10 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 53 00 58 00 4D 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 16 00 00 00 67 00 65 00 74 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 73 00 42 00 79 00 54 00 61 00 67 00 4E 00 61 00 6D 00 65 00 4E 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_114494_0 {
	meta:
		name = "TMSDOMElement.hasAttribute"
		size = 193
		refs = "0014 TMSDOMElement.hasAttribute 0030 @IntfClear 003c @WStrFromUStr 004a TMSDOMElement.GetMSElement 005b @CheckAutoResult 007b @HandleAnyException 0088 @DoneExcept 009a @HandleAutoException 00aa @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 BC 00 00 00 E8 ?? ?? ?? ?? 83 7D FC 00 0F 95 C0 F6 D8 1B C0 8B 55 10 66 89 02 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 10 66 C7 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_114495_0 {
	meta:
		name = "TMSDOMElement.hasAttributeNS"
		size = 149
		refs = "0010 TMSDOMElement.hasAttributeNS 002c @IntfClear 003b TMSDOMElement.getAttributeNodeNS 0040 @CheckAutoResult 0060 @HandleAnyException 006d @DoneExcept 007f @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 10 50 8B 45 0C 50 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 0F 95 C0 F6 D8 1B C0 8B 55 14 66 89 02 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 14 66 C7 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_114496_0 {
	meta:
		name = "TMSDOMElement.removeAttribute"
		size = 115
		refs = "0012 TMSDOMElement.removeAttribute 0023 @WStrFromUStr 0031 TMSDOMElement.GetMSElement 0042 @CheckAutoResult 0054 @HandleAutoException 005c @IntfClear 0064 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 B8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114497_0 {
	meta:
		name = "TMSDOMElement.removeAttributeNode"
		size = 240
		refs = "0020 TMSDOMElement.removeAttributeNode 002e @IntfClear 003a GetMSNode 004a @IntfCast 0058 TMSDOMElement.GetMSElement 0069 @CheckAutoResult 0074 MakeNode 0096 @HandleAutoException 00af IXMLDOMAttribute 00b9 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 55 F0 8B 45 0C E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 C4 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 10 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 85 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 E5 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114498_0 {
	meta:
		name = "TMSDOMElement.removeAttributeNS"
		size = 183
		refs = "0015 TMSDOMElement.removeAttributeNS 0023 @IntfClear 002f @WStrFromUStr 0055 TMSDOMElement.GetMSElement 0063 @CheckAutoResult 0083 @HandleAutoException 00a0 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_114499_0 {
	meta:
		name = "TMSDOMElement.setAttribute"
		size = 150
		refs = "0016 TMSDOMElement.setAttribute 0027 @OleVarFromUStr 003e @WStrFromUStr 004c TMSDOMElement.GetMSElement 005d @CheckAutoResult 006f @HandleAutoException 0077 @IntfClear 007f @WStrClr 0087 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B 55 10 E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 45 EC 8B 55 0C E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 90 B4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_114500_0 {
	meta:
		name = "TMSDOMElement.setAttributeNode"
		size = 240
		refs = "0020 TMSDOMElement.setAttributeNode 002e @IntfClear 003a GetMSNode 004a @IntfCast 0058 TMSDOMElement.GetMSElement 0069 @CheckAutoResult 0074 MakeNode 0096 @HandleAutoException 00af IXMLDOMAttribute 00b9 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 55 F0 8B 45 0C E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 C0 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 10 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 85 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 E5 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114501_0 {
	meta:
		name = "TMSDOMElement.setAttributeNodeNS"
		size = 86
		refs = "0019 TMSDOMElement.setAttributeNodeNS 0027 @IntfClear 0032 TMSDOMElement.setAttributeNode 0037 @CheckAutoResult 0049 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 10 E8 ?? ?? ?? ?? 50 8B 45 0C 50 53 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_114502_0 {
	meta:
		name = "TMSDOMElement.setAttributeNS"
		size = 352
		refs = "001b TMSDOMElement.setAttributeNS 0029 @IntfClear 0035 @WStrFromUStr 0057 @OleVarFromInt 007a @CheckAutoResult 009b @IntfCast 00a6 @OleVarFromUStr 00d7 TMSDOMElement.GetMSElement 00fa @HandleAutoException 0112 @VarClr 012f @WStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F4 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F0 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 E0 BA 02 00 00 00 B1 01 E8 ?? ?? ?? ?? FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 8D 45 DC E8 ?? ?? ?? ?? 50 8B 43 0C 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 90 E0 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 CC 8B 55 14 E8 ?? ?? ?? ?? FF 75 D8 FF 75 D4 FF 75 D0 FF 75 CC 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8B 45 C4 50 8B 00 FF 90 C0 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 10 00 00 00 85 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_114503_0 {
	meta:
		name = "TMSDOMElement.normalize"
		size = 89
		refs = "0010 TMSDOMElement.normalize 0020 TMSDOMElement.GetMSElement 0031 @CheckAutoResult 0043 @HandleAutoException 004b @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 CC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_114504_0 {
	meta:
		name = "TMSDOMText.splitText"
		size = 204
		refs = "001f TMSDOMText.splitText 002d @IntfClear 0042 @IntfCast 0053 @CheckAutoResult 005e MakeNode 0080 @HandleAutoException 0089 IXMLDOMText 0093 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 0C 50 8D 45 F4 8B 53 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 CC 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 10 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 00 00 87 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 E7 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114506_0 {
	meta:
		name = "TMSDOMDocumentType.get_entities"
		size = 169
		refs = "001f TMSDOMDocumentType.get_entities 0033 @IntfClear 003e TMSDOMDocumentType.GetMSDocumentType 004f @CheckAutoResult 005a MakeNamedNodeMap 0065 @IntfCopy 0082 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 28 00 75 3A 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 28 E8 ?? ?? ?? ?? 8B 45 0C 8B 53 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114507_0 {
	meta:
		name = "TMSDOMDocumentType.get_internalSubset"
		size = 152
		refs = "0018 TMSDOMDocumentType.get_internalSubset 002d DOMVendorNotSupported 003f @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 0C 85 C0 74 04 33 D2 89 10 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 53 00 58 00 4D 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 67 00 65 00 74 00 5F 00 69 00 6E 00 74 00 65 00 72 00 6E 00 61 00 6C 00 53 00 75 00 62 00 73 00 65 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_114509_0 {
	meta:
		name = "TMSDOMDocumentType.get_notations"
		size = 169
		refs = "001f TMSDOMDocumentType.get_notations 0033 @IntfClear 003e TMSDOMDocumentType.GetMSDocumentType 004f @CheckAutoResult 005a MakeNamedNodeMap 0065 @IntfCopy 0082 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 2C 00 75 3A 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 B4 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8D 43 2C E8 ?? ?? ?? ?? 8B 45 0C 8B 53 2C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114510_0 {
	meta:
		name = "TMSDOMDocumentType.get_publicId"
		size = 140
		refs = "0018 TMSDOMDocumentType.get_publicId 002d DOMVendorNotSupported 003f @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 0C 85 C0 74 04 33 D2 89 10 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 53 00 58 00 4D 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 67 00 65 00 74 00 5F 00 70 00 75 00 62 00 6C 00 69 00 63 00 49 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_114511_0 {
	meta:
		name = "TMSDOMDocumentType.get_systemId"
		size = 140
		refs = "0018 TMSDOMDocumentType.get_systemId 002d DOMVendorNotSupported 003f @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 0C 85 C0 74 04 33 D2 89 10 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 08 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 53 00 58 00 4D 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 67 00 65 00 74 00 5F 00 73 00 79 00 73 00 74 00 65 00 6D 00 49 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_114513_0 {
	meta:
		name = "TMSDOMNotation.get_publicId"
		size = 134
		refs = "0020 TMSDOMNotation.get_publicId 002e @VarClr 0039 TMSDOMNotation.GetMSNotation 004a @CheckAutoResult 0055 @VarToUStr 0067 @HandleAutoException 006f @IntfClear"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 AC 00 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114517_0 {
	meta:
		name = "TMSDOMEntity.get_publicId"
		size = 134
		refs = "0020 TMSDOMEntity.get_publicId 002e @VarClr 0039 TMSDOMEntity.GetMSEntity 004a @CheckAutoResult 0055 @VarToUStr 0067 @HandleAutoException 006f @IntfClear"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 AC 00 00 00 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114516_0 {
	meta:
		name = "TMSDOMEntity.get_notationName"
		size = 131
		refs = "001d TMSDOMEntity.get_notationName 002b @WStrClr 0036 TMSDOMEntity.GetMSEntity 0047 @CheckAutoResult 0052 @UStrFromWStr 0064 @HandleAutoException 006c @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 B4 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114520_0 {
	meta:
		name = "TMSDOMProcessingInstruction.get_data"
		size = 131
		refs = "001d TMSDOMProcessingInstruction.get_data 002b @WStrClr 0036 TMSDOMProcessingInstruction.GetMSProcessingInstruction 0047 @CheckAutoResult 0052 @UStrFromWStr 0064 @HandleAutoException 006c @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114522_0 {
	meta:
		name = "TMSDOMProcessingInstruction.set_data"
		size = 115
		refs = "0012 TMSDOMProcessingInstruction.set_data 0023 @WStrFromUStr 0031 TMSDOMProcessingInstruction.GetMSProcessingInstruction 0042 @CheckAutoResult 0054 @HandleAutoException 005c @IntfClear 0064 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B 55 0C E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 B4 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114523_0 {
	meta:
		name = "TMSDOMEventHandler.Create"
		size = 59
		refs = "000b @ClassCreate 0029 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 48 10 8B 4D 0C 89 48 18 8B 4D 10 89 48 1C 8B 4D 08 89 48 0C 84 D2 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 5D C2 0C 00 }
	condition:
		$1
}

rule function_114527_0 {
	meta:
		name = "TMSDOMEventHandler.Invoke"
		size = 84
		refs = "000e TMSDOMEventHandler.Invoke 0021 TMSDOMDocument.asyncLoadState 0026 @CheckAutoResult 0041 @HandleAnyException 0046 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 43 10 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B 53 0C 8B 43 1C FF 53 18 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5F 5E 5B 59 5D C2 24 00 }
	condition:
		$1
}

rule function_114528_0 {
	meta:
		name = "TMSDOMDocument.GetMSDocument"
		size = 272
		refs = "0015 TMSDOMDocument.GetMSDocument 002a @IntfCast 0030 MSXML6_ProhibitDTD 004b @VarFromBool 007c @CheckAutoResult 008b @HandleOnException 0093 _Dn_EOleError 00a3 @DoneExcept 00b8 @IntfClear 00c0 @VarClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 53 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 75 70 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F0 33 D2 E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 68 ?? ?? ?? ?? 8D 45 EC 8B 16 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 40 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 01 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 81 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 16 00 00 00 50 00 72 00 6F 00 68 00 69 00 62 00 69 00 74 00 44 00 54 00 44 00 00 00 95 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_114529_0 {
	meta:
		name = "TMSDOMDocument.createAttribute"
		size = 196
		refs = "001f TMSDOMDocument.createAttribute 002d @IntfClear 0039 @WStrFromUStr 0047 TMSDOMDocument.GetMSDocument 0058 @CheckAutoResult 0063 MakeNode 0073 @IntfCast 0085 @HandleAutoException 0095 @WStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F4 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 90 D4 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 10 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 E5 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114530_0 {
	meta:
		name = "TMSDOMDocument.createAttributeNS"
		size = 260
		refs = "0026 TMSDOMDocument.createAttributeNS 0034 @IntfClear 0040 @WStrFromUStr 0062 @OleVarFromInt 0078 TMSDOMDocument.GetMSDocument 0089 @CheckAutoResult 0094 MakeNode 00a4 @IntfCast 00b6 @HandleAutoException 00c6 @VarClr 00d3 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F4 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F0 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 E0 BA 02 00 00 00 B1 01 E8 ?? ?? ?? ?? FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 90 E0 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 14 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 10 00 00 00 E5 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114531_0 {
	meta:
		name = "TMSDOMDocument.createCDATASection"
		size = 200
		refs = "001f TMSDOMDocument.createCDATASection 002d @IntfClear 0039 @WStrFromUStr 0047 TMSDOMDocument.GetMSDocument 0058 @CheckAutoResult 0062 _DV_TMSDOMCDATASection 0067 TMSDOMNode.Create 007d @IntfCast 008f @HandleAutoException 009f @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 CC 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B 45 10 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 00 00 E9 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114532_0 {
	meta:
		name = "TMSDOMDocument.createComment"
		size = 200
		refs = "001f TMSDOMDocument.createComment 002d @IntfClear 0039 @WStrFromUStr 0047 TMSDOMDocument.GetMSDocument 0058 @CheckAutoResult 0062 _DV_TMSDOMComment 0067 TMSDOMNode.Create 007d @IntfCast 008f @HandleAutoException 009f @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 C8 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B 45 10 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 00 00 E8 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114533_0 {
	meta:
		name = "TMSDOMDocument.createDocumentFragment"
		size = 176
		refs = "001d TMSDOMDocument.createDocumentFragment 002b @IntfClear 0036 TMSDOMDocument.GetMSDocument 0047 @CheckAutoResult 0051 _DV_TMSDOMDocumentFragment 0056 TMSDOMNode.Create 006c @IntfCast 007e @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 C0 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8B 45 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 00 00 00 EF C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114534_0 {
	meta:
		name = "TMSDOMDocument.createElement"
		size = 196
		refs = "001f TMSDOMDocument.createElement 002d @IntfClear 0039 @WStrFromUStr 0047 TMSDOMDocument.GetMSDocument 0058 @CheckAutoResult 0063 MakeNode 0073 @IntfCast 0085 @HandleAutoException 0095 @WStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F4 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 90 BC 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 10 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 E6 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114535_0 {
	meta:
		name = "TMSDOMDocument.createElementNS"
		size = 260
		refs = "0026 TMSDOMDocument.createElementNS 0034 @IntfClear 0040 @WStrFromUStr 0062 @OleVarFromInt 0078 TMSDOMDocument.GetMSDocument 0089 @CheckAutoResult 0094 MakeNode 00a4 @IntfCast 00b6 @HandleAutoException 00c6 @VarClr 00d3 @WStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F4 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F0 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 45 E0 BA 01 00 00 00 B1 01 E8 ?? ?? ?? ?? FF 75 EC FF 75 E8 FF 75 E4 FF 75 E0 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 90 E0 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 14 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 10 00 00 00 E6 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114536_0 {
	meta:
		name = "TMSDOMDocument.createEntityReference"
		size = 177
		refs = "001f TMSDOMDocument.createEntityReference 002d @IntfClear 0039 @WStrFromUStr 0047 TMSDOMDocument.GetMSDocument 0058 @CheckAutoResult 0062 _DV_TMSDOMEntityReference 0067 TMSDOMNode.Create 0078 @IntfCopy 008a @HandleAutoException 009a @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 D8 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B 45 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_114537_0 {
	meta:
		name = "TMSDOMDocument.createProcessingInstruction"
		size = 197
		refs = "001f TMSDOMDocument.createProcessingInstruction 002d @IntfClear 0039 @WStrFromUStr 0056 TMSDOMDocument.GetMSDocument 0067 @CheckAutoResult 0071 _DV_TMSDOMProcessingInstruction 0076 TMSDOMNode.Create 0087 @IntfCopy 0099 @HandleAutoException 00ae @WStrArrayClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B 5D 08 8B 45 14 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 8B 55 10 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 F4 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 90 D0 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D8 8B 45 14 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule function_114538_0 {
	meta:
		name = "TMSDOMDocument.createTextNode"
		size = 196
		refs = "001f TMSDOMDocument.createTextNode 002d @IntfClear 0039 @WStrFromUStr 0047 TMSDOMDocument.GetMSDocument 0058 @CheckAutoResult 0063 MakeNode 0073 @IntfCast 0085 @HandleAutoException 0095 @WStrClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F4 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 90 C4 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 10 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 E7 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114539_0 {
	meta:
		name = "TMSDOMDocument.get_doctype"
		size = 152
		refs = "001d TMSDOMDocument.get_doctype 002b @IntfClear 0036 TMSDOMDocument.GetMSDocument 0047 @CheckAutoResult 0051 _DV_TMSDOMDocumentType 0056 TMSDOMNode.Create 0067 @IntfCopy 0079 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 AC 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA D0 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114540_0 {
	meta:
		name = "TMSDOMDocument.get_documentElement"
		size = 176
		refs = "001f TMSDOMDocument.get_documentElement 002d @IntfClear 0038 TMSDOMDocument.GetMSDocument 0049 @CheckAutoResult 0054 MakeNode 0064 @IntfCast 0076 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 B4 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 E6 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114541_0 {
	meta:
		name = "TMSDOMDocument.get_domImplementation"
		size = 152
		refs = "001d TMSDOMDocument.get_domImplementation 002b @IntfClear 0036 TMSDOMDocument.GetMSDocument 0047 @CheckAutoResult 0051 _DV_TMSDOMImplementation 0056 TMSDOMImplementation.Create 0067 @IntfCopy 0079 @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 B0 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114542_0 {
	meta:
		name = "TMSDOMDocument.getElementById"
		size = 144
		refs = "0018 TMSDOMDocument.getElementById 002d DOMVendorNotSupported 003f @HandleAutoException"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 10 85 C0 74 04 33 D2 89 10 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 0C 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 53 00 58 00 4D 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 67 00 65 00 74 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 42 00 79 00 49 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_114543_0 {
	meta:
		name = "TMSDOMDocument.getElementsByTagName"
		size = 156
		refs = "001f TMSDOMDocument.getElementsByTagName 002d @IntfClear 0039 @WStrFromUStr 0047 TMSDOMDocument.GetMSDocument 0058 @CheckAutoResult 0063 MakeNodeList 0075 @HandleAutoException 0085 @WStrClr"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 10 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 8B 55 0C E8 ?? ?? ?? ?? 8B 45 F8 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 DC 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_114545_0 {
	meta:
		name = "TMSDOMDocument.importNode"
		size = 152
		refs = "000a @IntfAddRef 0020 TMSDOMDocument.importNode 0035 DOMVendorNotSupported 0047 @HandleAutoException 004f @IntfClear"
	strings:
		$1 = { 55 8B EC 53 56 57 8B 45 0C E8 ?? ?? ?? ?? 8B 45 14 85 C0 74 04 33 D2 89 10 FF 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 5D C2 10 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 53 00 58 00 4D 00 4C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 69 00 6D 00 70 00 6F 00 72 00 74 00 4E 00 6F 00 64 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114546_0 {
	meta:
		name = "TMSDOMDocument.set_documentElement"
		size = 340
		refs = "001e TMSDOMDocument.set_documentElement 0032 GetMSNode 0042 @IntfCast 0050 TMSDOMDocument.GetMSDocument 0061 @CheckAutoResult 006b @IntfClear 00e8 @HandleAutoException 00f1 IXMLDOMDocument 00fb @FinalizeArray"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B 75 0C 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 3B 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 B8 00 00 00 E8 ?? ?? ?? ?? EB 73 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 B4 00 00 00 E8 ?? ?? ?? ?? 83 7D F0 00 74 49 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 45 E4 E8 ?? ?? ?? ?? 50 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 90 B4 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 00 00 86 BF 33 29 36 7B D2 11 B2 0E 00 C0 4F 98 3E 60 }
	condition:
		$1
}

rule function_114547_0 {
	meta:
		name = "TMSDOMDocument.get_async"
		size = 113
		refs = "0016 TMSDOMDocument.get_async 002a TMSDOMDocument.GetMSDocument 003b @CheckAutoResult 005a @HandleAutoException 0062 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 F8 00 00 00 E8 ?? ?? ?? ?? 66 83 7D FC 01 1B C0 40 8B 55 0C 88 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114548_0 {
	meta:
		name = "TMSDOMDocument.set_async"
		size = 97
		refs = "0010 TMSDOMDocument.set_async 0028 TMSDOMDocument.GetMSDocument 0039 @CheckAutoResult 004b @HandleAutoException 0053 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 0C 01 F5 1B C0 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 FC 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114549_0 {
	meta:
		name = "TMSDOMDocument.get_preserveWhiteSpace"
		size = 113
		refs = "0016 TMSDOMDocument.get_preserveWhiteSpace 002a TMSDOMDocument.GetMSDocument 003b @CheckAutoResult 005a @HandleAutoException 0062 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 1C 01 00 00 E8 ?? ?? ?? ?? 66 83 7D FC 01 1B C0 40 8B 55 0C 88 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114550_0 {
	meta:
		name = "TMSDOMDocument.get_resolveExternals"
		size = 113
		refs = "0016 TMSDOMDocument.get_resolveExternals 002a TMSDOMDocument.GetMSDocument 003b @CheckAutoResult 005a @HandleAutoException 0062 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 14 01 00 00 E8 ?? ?? ?? ?? 66 83 7D FC 01 1B C0 40 8B 55 0C 88 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114551_0 {
	meta:
		name = "TMSDOMDocument.get_validate"
		size = 113
		refs = "0016 TMSDOMDocument.get_validate 002a TMSDOMDocument.GetMSDocument 003b @CheckAutoResult 005a @HandleAutoException 0062 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 0C 01 00 00 E8 ?? ?? ?? ?? 66 83 7D FC 01 1B C0 40 8B 55 0C 88 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114552_0 {
	meta:
		name = "TMSDOMDocument.set_preserveWhiteSpace"
		size = 97
		refs = "0010 TMSDOMDocument.set_preserveWhiteSpace 0028 TMSDOMDocument.GetMSDocument 0039 @CheckAutoResult 004b @HandleAutoException 0053 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 0C 01 F5 1B C0 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 20 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114553_0 {
	meta:
		name = "TMSDOMDocument.set_resolveExternals"
		size = 97
		refs = "0010 TMSDOMDocument.set_resolveExternals 0028 TMSDOMDocument.GetMSDocument 0039 @CheckAutoResult 004b @HandleAutoException 0053 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 0C 01 F5 1B C0 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 18 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114554_0 {
	meta:
		name = "TMSDOMDocument.set_validate"
		size = 97
		refs = "0010 TMSDOMDocument.set_validate 0028 TMSDOMDocument.GetMSDocument 0039 @CheckAutoResult 004b @HandleAutoException 0053 @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 0C 01 F5 1B C0 50 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 10 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114555_0 {
	meta:
		name = "TMSDOMDocument.asyncLoadState"
		size = 108
		refs = "0016 TMSDOMDocument.asyncLoadState 002a TMSDOMDocument.GetMSDocument 003b @CheckAutoResult 0055 @HandleAutoException 005d @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 EC 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114556_0 {
	meta:
		name = "TMSDOMDocument.get_xml"
		size = 131
		refs = "001d TMSDOMDocument.get_xml 002b @WStrClr 0036 TMSDOMDocument.GetMSDocument 0047 @CheckAutoResult 0052 @UStrFromWStr 0064 @HandleAutoException 006c @IntfClear"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114557_0 {
	meta:
		name = "TMSDOMDocument.load"
		size = 138
		refs = "0015 @VarAddRef 001e TMSDOMDocument.load 003e TMSDOMDocument.GetMSDocument 004f @CheckAutoResult 006b @HandleAutoException 0073 @IntfClear 007b @VarClr"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 FF 75 18 FF 75 14 FF 75 10 FF 75 0C 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 E8 00 00 00 E8 ?? ?? ?? ?? 0F B7 45 FC 8B 55 1C 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 18 00 }
	condition:
		$1
}

rule function_114558_0 {
	meta:
		name = "TMSDOMDocument.loadFromStream"
		size = 184
		refs = "0017 TMSDOMDocument.loadFromStream 0029 _Dn_TStreamAdapter 002e TStreamAdapter.Create 003f @IntfCopy 004e @VarFromIntf 0064 TMSDOMDocument.GetMSDocument 0075 @CheckAutoResult 0091 @HandleAutoException 0099 @IntfClear 00a1 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 4D 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 45 FC E8 ?? ?? ?? ?? 8D 45 F8 50 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? FF 75 F4 FF 75 F0 FF 75 EC FF 75 E8 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 90 E8 00 00 00 E8 ?? ?? ?? ?? 0F B7 45 F8 8B 55 10 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_114559_0 {
	meta:
		name = "TMSDOMDocument.save"
		size = 117
		refs = "000f @VarAddRef 0018 TMSDOMDocument.save 0034 TMSDOMDocument.GetMSDocument 0045 @CheckAutoResult 0057 @HandleAutoException 005f @IntfClear 0067 @VarClr"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B 5D 08 8D 45 0C E8 ?? ?? ?? ?? 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 75 18 FF 75 14 FF 75 10 FF 75 0C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 08 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 5D C2 14 00 }
	condition:
		$1
}

rule function_114560_0 {
	meta:
		name = "TMSDOMDocument.saveToStream"
		size = 169
		refs = "0016 TMSDOMDocument.saveToStream 0028 _Dn_TStreamAdapter 002d TStreamAdapter.Create 003e @IntfCopy 0049 @VarFromIntf 005f TMSDOMDocument.GetMSDocument 0070 @CheckAutoResult 0082 @HandleAutoException 008a @IntfClear 0092 @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8B 4D 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 45 FC E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 90 08 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114561_0 {
	meta:
		name = "TMSDOMDocument.loadxml"
		size = 114
		refs = "0016 TMSDOMDocument.loadxml 002e TMSDOMDocument.GetMSDocument 003f @CheckAutoResult 005b @HandleAutoException 0063 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C0 89 45 F8 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 45 0C 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 04 01 00 00 E8 ?? ?? ?? ?? 0F B7 45 FC 8B 55 10 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 59 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_114562_0 {
	meta:
		name = "TMSDOMDocument.set_OnAsyncLoad"
		size = 284
		refs = "001b TMSDOMDocument.set_OnAsyncLoad 003b _DV_TMSDOMEventHandler 0040 TMSDOMEventHandler.Create 0056 @IntfCast 0061 @VarFromDisp 0077 TMSDOMDocument.GetMSDocument 0088 @CheckAutoResult 0099 @OleVarFromInt 00d2 @HandleAutoException 00da @IntfClear 00e2 @VarClr"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 83 7D 12 00 74 62 FF 75 14 FF 75 10 8B 45 0C 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 90 24 01 00 00 E8 ?? ?? ?? ?? EB 36 8D 45 D8 BA 01 00 00 00 B1 01 E8 ?? ?? ?? ?? FF 75 E4 FF 75 E0 FF 75 DC FF 75 D8 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 00 FF 90 24 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 10 00 00 00 00 00 04 02 00 00 00 00 00 C0 00 00 00 00 00 00 46 }
	condition:
		$1
}

rule function_114563_0 {
	meta:
		name = "TMSDOMDocument.loadFromStream"
		size = 141
		refs = "0016 TMSDOMDocument.loadFromStream 002b @VarFromIntf 0041 TMSDOMDocument.GetMSDocument 0052 @CheckAutoResult 006e @HandleAutoException 0076 @IntfClear 007e @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 45 EC 8B 55 0C E8 ?? ?? ?? ?? FF 75 F8 FF 75 F4 FF 75 F0 FF 75 EC 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 90 E8 00 00 00 E8 ?? ?? ?? ?? 0F B7 45 FC 8B 55 10 66 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_114564_0 {
	meta:
		name = "TMSDOMDocument.saveToStream"
		size = 126
		refs = "0015 TMSDOMDocument.saveToStream 0026 @VarFromIntf 003c TMSDOMDocument.GetMSDocument 004d @CheckAutoResult 005f @HandleAutoException 0067 @IntfClear 006f @VarClr"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B 55 0C E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 08 01 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114565_0 {
	meta:
		name = "TMSDOMDocument.get_errorCode"
		size = 137
		refs = "0014 TMSDOMDocument.get_errorCode 0026 @IntfClear 0031 TMSDOMDocument.GetMSDocument 0042 @CheckAutoResult 006a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 F0 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 FC 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114566_0 {
	meta:
		name = "TMSDOMDocument.get_filepos"
		size = 137
		refs = "0014 TMSDOMDocument.get_filepos 0026 @IntfClear 0031 TMSDOMDocument.GetMSDocument 0042 @CheckAutoResult 006a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 F0 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114567_0 {
	meta:
		name = "TMSDOMDocument.get_line"
		size = 137
		refs = "0014 TMSDOMDocument.get_line 0026 @IntfClear 0031 TMSDOMDocument.GetMSDocument 0042 @CheckAutoResult 006a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 F0 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8B 45 FC 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114568_0 {
	meta:
		name = "TMSDOMDocument.get_linepos"
		size = 137
		refs = "0014 TMSDOMDocument.get_linepos 0026 @IntfClear 0031 TMSDOMDocument.GetMSDocument 0042 @CheckAutoResult 006a @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 F0 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 0C 89 02 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114569_0 {
	meta:
		name = "TMSDOMDocument.get_reason"
		size = 164
		refs = "001f TMSDOMDocument.get_reason 002d @WStrClr 0036 @IntfClear 0041 TMSDOMDocument.GetMSDocument 0052 @CheckAutoResult 006b @UStrFromWStr 007d @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 F0 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114570_0 {
	meta:
		name = "TMSDOMDocument.get_srcText"
		size = 164
		refs = "001f TMSDOMDocument.get_srcText 002d @WStrClr 0036 @IntfClear 0041 TMSDOMDocument.GetMSDocument 0052 @CheckAutoResult 006b @UStrFromWStr 007d @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 F0 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114571_0 {
	meta:
		name = "TMSDOMDocument.get_url"
		size = 164
		refs = "001f TMSDOMDocument.get_url 002d @WStrClr 0036 @IntfClear 0041 TMSDOMDocument.GetMSDocument 0052 @CheckAutoResult 006b @UStrFromWStr 007d @HandleAutoException"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B 5D 08 8B 45 0C 85 C0 74 04 33 D2 89 10 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 F0 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 58 33 DB EB 05 E9 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B C3 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114572_0 {
	meta:
		name = "TMSDOMImplementationFactory.DOMImplementation"
		size = 35
		refs = "0008 _DV_TMSDOMImplementation 000d TMSDOMImplementation.Create 001d @IntfCopy"
	strings:
		$1 = { 53 8B DA 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_114573_0 {
	meta:
		name = "TMSDOMImplementationFactory.Description"
		size = 44
		refs = "0006 TMSDOMImplementationFactory.Description 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 4D 00 53 00 58 00 4D 00 4C 00 00 00 }
	condition:
		$1
}

rule function_114576_0 {
	meta:
		name = "TXDRImportTranslator.Translate"
		size = 121
		refs = "0011 TXDRImportTranslator.Translate 0020 TXMLSchemaTranslator.Translate 002a LoadXMLDocument 0035 @IntfCopy 004a TXDRImportTranslator.Parse 005f @IntfClear 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 18 E8 ?? ?? ?? ?? 8D 55 F8 8B 43 18 8B 08 FF 51 20 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114577_0 {
	meta:
		name = "Split"
		size = 367
		refs = "001b @UStrAddRef 002b Split 0038 _Dn_TStringList 003d TStringList.Create 004a @UStrLAsg 005a Pos 0072 @UStrClr 00a0 @UStrDelete 0136 @UStrLen 015a @UStrArrayClr 0160 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D F4 89 4D F0 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 45 F4 8B 55 FC E8 ?? ?? ?? ?? E9 DF 00 00 00 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 75 17 8B 55 F4 8B C6 8B 08 FF 51 38 8D 45 F4 E8 ?? ?? ?? ?? E9 B7 00 00 00 83 FB 01 75 29 33 D2 8B C6 8B 08 FF 51 38 8B 7D F8 85 FF 74 05 83 EF 04 8B 3F 8D 45 F4 8B CF BA 01 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 8D 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 F0 89 45 EC 83 7D EC 00 74 0B 8B 45 EC 83 E8 04 8B 00 89 45 EC 8D 45 F0 8B 4D EC 8B D3 E8 ?? ?? ?? ?? 8B 55 F0 8B C6 8B 08 FF 51 38 8B 45 F8 89 45 E8 83 7D E8 00 74 0B 8B 45 E8 83 E8 04 8B 00 89 45 E8 8B CB 03 4D E8 49 8D 45 F4 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 89 45 E4 83 7D E4 00 74 0B 8B 45 E4 83 E8 04 8B 00 89 45 E4 83 7D E4 00 75 09 33 D2 8B C6 8B 08 FF 51 38 8B 45 F4 E8 ?? ?? ?? ?? 85 C0 0F 8F 11 FF FF FF 8B DE 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114580_0 {
	meta:
		name = "GetAttribute"
		size = 244
		refs = "001a @IntfAddRef 0022 @UStrAddRef 002a GetAttribute 0037 @UStrClr 0045 @IntfClear 0054 @CheckAutoResult 00be IDOMNamedNodeMap 00c8 @FinalizeArray 00d9 IDOMNode 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B D9 89 55 F4 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 6B 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 83 7D F0 00 74 4E 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8D 45 EC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 83 7D F8 00 74 16 8B C3 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CA 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114581_0 {
	meta:
		name = "XdrTypeToXsdType"
		size = 2444
		refs = "000e @UStrAddRef 0016 XdrTypeToXsdType 0029 @UStrEqual 0037 @UStrAsg 0411 @UStrClr 0417 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C0 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A0 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 80 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 60 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 40 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 20 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 00 03 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E0 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C0 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A0 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 80 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 60 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 40 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 20 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 00 02 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E0 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C0 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A0 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 80 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 60 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 40 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 20 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 00 01 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 E0 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 C0 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 A0 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 11 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 80 00 00 00 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 63 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 46 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 29 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 49 00 44 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 69 00 64 00 72 00 65 00 66 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 49 00 44 00 52 00 45 00 46 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 69 00 64 00 72 00 65 00 66 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 49 00 44 00 52 00 45 00 46 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 65 00 6E 00 74 00 69 00 74 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 45 00 4E 00 54 00 49 00 54 00 59 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 65 00 6E 00 74 00 69 00 74 00 69 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 45 00 4E 00 54 00 49 00 54 00 49 00 45 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6E 00 6D 00 74 00 6F 00 6B 00 65 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 4E 00 4D 00 54 00 4F 00 4B 00 45 00 4E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6E 00 6D 00 74 00 6F 00 6B 00 65 00 6E 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 4D 00 54 00 4F 00 4B 00 45 00 4E 00 53 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6E 00 6F 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4E 00 4F 00 54 00 41 00 54 00 49 00 4F 00 4E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 75 00 75 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 61 00 6E 00 79 00 55 00 52 00 49 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 69 00 6E 00 2E 00 68 00 65 00 78 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 68 00 65 00 78 00 42 00 69 00 6E 00 61 00 72 00 79 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 62 00 69 00 6E 00 2E 00 62 00 61 00 73 00 65 00 36 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 62 00 61 00 73 00 65 00 36 00 34 00 42 00 69 00 6E 00 61 00 72 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 63 00 68 00 61 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 79 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 31 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 32 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 73 00 68 00 6F 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 34 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 69 00 6E 00 74 00 65 00 67 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 69 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 6F 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 75 00 69 00 31 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 75 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 42 00 79 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 75 00 69 00 32 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 75 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 53 00 68 00 6F 00 72 00 74 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 75 00 69 00 34 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 75 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 49 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 75 00 69 00 38 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 75 00 6E 00 73 00 69 00 67 00 6E 00 65 00 64 00 4C 00 6F 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 72 00 38 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 64 00 6F 00 75 00 62 00 6C 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 6C 00 6F 00 61 00 74 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6E 00 75 00 6D 00 62 00 65 00 72 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 69 00 78 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 63 00 69 00 6D 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 6F 00 6F 00 6C 00 65 00 61 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 64 00 61 00 74 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 64 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 69 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114582_0 {
	meta:
		name = "DetermineOccurence"
		size = 596
		refs = "0018 @UStrAddRef 0028 DetermineOccurence 0045 Pos 005c Head 0066 @UStrAsg 0075 @UStrEqual 014a @UStrArrayClr 0152 @UStrClr 0158 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B D9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 0F 84 A9 00 00 00 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 1F 8D 45 F8 50 8B CB BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? EB 79 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1A 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 50 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1A 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 27 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 18 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 18 8B C6 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0E 8B 03 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5E 5B 59 59 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6F 00 6E 00 65 00 4F 00 72 00 4D 00 6F 00 72 00 65 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 75 00 6E 00 62 00 6F 00 75 00 6E 00 64 00 65 00 64 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 7A 00 65 00 72 00 6F 00 4F 00 72 00 4D 00 6F 00 72 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6F 00 70 00 74 00 69 00 6F 00 6E 00 61 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6D 00 61 00 6E 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2B 00 00 00 }
	condition:
		$1
}

rule function_114583_0 {
	meta:
		name = "TXDRImportTranslator.Parse"
		size = 1520
		refs = "001c @IntfAddRef 0024 TXDRImportTranslator.Parse 0040 @UStrClr 004d @UStrAsg 005a @UStrLAsg 0077 @IntfClear 0086 @CheckAutoResult 0091 @TryFinallyExit 00ba Pos 00cd @IntfCopy 00f2 Head 0102 @UStrCat3 011c GetAttribute 01d0 Tail 020e @UStrEqual 02e8 TXDRImportTranslator.ParseElementDefinition 0317 TXDRImportTranslator.ParseAttributeDefinition 035f @HandleFinally 0387 IDOMNodeList 0391 @FinalizeArray 03a2 IDOMNamedNodeMap 03bd IDOMNode 03d4 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 47 1C E8 ?? ?? ?? ?? 8D 47 20 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? 83 7D D4 00 75 0A E8 ?? ?? ?? ?? E9 CB 02 00 00 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 45 D4 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 8A 02 00 00 8D 45 D0 8B 55 D4 E8 ?? ?? ?? ?? 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 26 8D 45 C4 50 8D 4D E4 BA ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 8B 55 C4 8D 47 1C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 47 1C E8 ?? ?? ?? ?? 8D 4D DC BA ?? ?? ?? ?? 8B 45 D4 E8 ?? ?? ?? ?? 8D 45 C0 50 8D 45 BC E8 ?? ?? ?? ?? 50 8B 45 D4 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 5D C0 4B 85 DB 0F 8C EC 00 00 00 43 33 F6 8D 45 CC E8 ?? ?? ?? ?? 50 56 8D 45 B8 E8 ?? ?? ?? ?? 50 8B 45 D4 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 CC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 8E 86 00 00 00 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 22 8D 4D B4 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 55 B4 8D 45 E0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 50 8B 45 CC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B 8D 47 1C 8B 55 E0 E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0B 8D 47 20 8B 55 E0 E8 ?? ?? ?? ?? 46 4B 0F 85 17 FF FF FF 8D 45 C0 50 8D 45 B0 E8 ?? ?? ?? ?? 50 8B 45 D0 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 B0 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 5D C0 4B 85 DB 0F 8C DA 00 00 00 43 33 F6 8D 45 C8 E8 ?? ?? ?? ?? 50 56 8D 45 AC E8 ?? ?? ?? ?? 50 8B 45 D0 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 AC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 C8 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 20 8D 55 A8 8B 47 10 8B 08 FF 91 C8 00 00 00 8B 45 A8 50 8B 4D C8 33 D2 8B C7 E8 ?? ?? ?? ?? EB 5A 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 20 8D 55 A4 8B 47 10 8B 08 FF 91 B0 00 00 00 8B 45 A4 50 8B 4D C8 33 D2 8B C7 E8 ?? ?? ?? ?? EB 2B 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1C 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0D 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4B 0F 85 29 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 BA 09 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8A 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 64 00 74 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 74 00 3A 00 74 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 64 00 74 00 3A 00 76 00 61 00 6C 00 75 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 75 00 72 00 6E 00 3A 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2D 00 6D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 2D 00 63 00 6F 00 6D 00 3A 00 78 00 6D 00 6C 00 2D 00 64 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 75 00 72 00 6E 00 3A 00 73 00 63 00 68 00 65 00 6D 00 61 00 73 00 2D 00 6D 00 69 00 63 00 72 00 6F 00 73 00 6F 00 66 00 74 00 2D 00 63 00 6F 00 6D 00 3A 00 64 00 61 00 74 00 61 00 74 00 79 00 70 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6E 00 6F 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 65 00 6E 00 74 00 69 00 74 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 44 00 65 00 73 00 63 00 72 00 69 00 70 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_114584_0 {
	meta:
		name = "TXDRImportTranslator.ParseElementDefinition"
		size = 2588
		refs = "001f @IntfAddRef 002f TXDRImportTranslator.ParseElementDefinition 0045 GetAttribute 008c @UStrEqual 009a @IntfClear 00aa @UStrCat3 00c9 @IntfCopy 00e9 @CheckAutoResult 0170 @UStrClr 025c XdrTypeToXsdType 026b @UStrLAsg 02d9 @VarFromUStr 050f TXDRImportTranslator.ParseAttributeDefinition 054e TXDRImportTranslator.AddChildElement 05ad TXDRImportTranslator.AddAttribute 05e8 TXDRImportTranslator.ParseGroup 064a TXDRImportTranslator.AddExtends 0692 IXMLElementDefs 069c @FinalizeArray 06a8 IXMLElementCompositors 0700 IDOMNodeList 074d Variant 0784 @UStrArrayClr 07cd IDOMNode 07e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 1E 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 7D F0 00 0F 84 2A 06 00 00 8D 4D EC BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 AB 02 00 00 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 B8 B9 ?? ?? ?? ?? 8B 56 20 E8 ?? ?? ?? ?? 8B 55 B8 8D 4D E0 8B 45 FC E8 ?? ?? ?? ?? 83 7D E0 00 74 10 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? E9 01 01 00 00 8D 45 B4 50 8D 45 B0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 B0 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 83 7D B4 00 0F 8E CE 00 00 00 8D 45 B4 50 8D 45 AC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 AC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 5D B4 4B 85 DB 0F 8C 99 00 00 00 43 33 FF 8D 45 F4 E8 ?? ?? ?? ?? 50 57 8D 45 A8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 A8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 8B 45 A4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 39 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? 8D 45 A0 B9 ?? ?? ?? ?? 8B 56 20 E8 ?? ?? ?? ?? 8B 55 A0 8D 4D E0 8B 45 F8 E8 ?? ?? ?? ?? 83 7D E0 00 75 12 8D 45 F8 E8 ?? ?? ?? ?? EB 08 47 4B 0F 85 6A FF FF FF 83 7D F8 00 0F 84 85 00 00 00 8D 45 9C B9 ?? ?? ?? ?? 8B 56 20 E8 ?? ?? ?? ?? 8B 55 9C 8D 4D DC 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 98 B9 ?? ?? ?? ?? 8B 56 20 E8 ?? ?? ?? ?? 8B 55 98 8D 4D D8 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 94 B9 ?? ?? ?? ?? 8B 56 20 E8 ?? ?? ?? ?? 8B 55 94 8D 4D D4 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 90 B9 ?? ?? ?? ?? 8B 56 20 E8 ?? ?? ?? ?? 8B 55 90 8D 4D D0 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 E0 E8 ?? ?? ?? ?? EB 0D 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 8C 50 8D 45 88 B9 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 4D 88 8B 55 F0 8B 45 08 8B 18 FF 93 D4 00 00 00 8D 45 C0 50 8D 55 84 8B 46 10 8B 08 FF 91 F0 00 00 00 8B 45 84 50 8D 45 80 B9 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 55 80 8B 4D C8 58 8B 18 FF 93 D0 00 00 00 83 7D D8 00 74 1F 8D 85 70 FF FF FF 8B 55 D8 E8 ?? ?? ?? ?? 8D 95 70 FF FF FF 8B 45 C0 8B 08 FF 91 34 01 00 00 83 7D D4 00 74 1F 8D 85 60 FF FF FF 8B 55 D4 E8 ?? ?? ?? ?? 8D 95 60 FF FF FF 8B 45 C0 8B 08 FF 91 3C 01 00 00 83 7D D0 00 74 1F 8D 85 50 FF FF FF 8B 55 D0 E8 ?? ?? ?? ?? 8D 95 50 FF FF FF 8B 45 C0 8B 08 FF 91 30 01 00 00 83 7D DC 00 E9 3C 03 00 00 8D 85 4C FF FF FF 50 8D 85 48 FF FF FF B9 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 8D 48 FF FF FF 8B 55 F0 8B 45 08 8B 18 FF 93 D4 00 00 00 8D 45 C4 50 8D 95 44 FF FF FF 8B 46 10 8B 08 FF 91 C0 00 00 00 8B 85 44 FF FF FF 50 8D 85 40 FF FF FF B9 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 8B 95 40 FF FF FF B1 02 58 8B 18 FF 93 D0 00 00 00 8B 45 E8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 26 8D 95 3C FF FF FF 8B 45 C4 8B 08 FF 91 78 01 00 00 8B 85 3C FF FF FF 8D 4D BC B2 01 8B 18 FF 93 D0 00 00 00 EB 08 8D 45 BC E8 ?? ?? ?? ?? 8D 45 B4 50 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 85 38 FF FF FF 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 5D B4 4B 85 DB 0F 8C 56 02 00 00 43 33 FF 8D 45 F4 E8 ?? ?? ?? ?? 50 57 8D 85 34 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 85 34 FF FF FF 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 8B 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5A 83 7D BC 00 74 2A 8D 95 30 FF FF FF 8B 45 BC 8B 08 FF 91 C8 00 00 00 8B 85 30 FF FF FF 50 8B 4D F4 8B 55 F0 8B C6 E8 ?? ?? ?? ?? E9 C0 01 00 00 8D 95 2C FF FF FF 8B 45 C4 8B 08 FF 91 88 01 00 00 8B 85 2C FF FF FF 50 8B 4D F4 8B 55 F0 8B C6 E8 ?? ?? ?? ?? E9 96 01 00 00 8B 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2A 8D 95 28 FF FF FF 8B 45 C4 8B 08 FF 91 68 01 00 00 8B 85 28 FF FF FF 50 8B 4D F4 8B 55 F0 8B C6 E8 ?? ?? ?? ?? E9 5D 01 00 00 8B 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 5A 83 7D BC 00 74 2A 8B 45 E8 50 8D 95 24 FF FF FF 8B 45 BC 8B 08 FF 91 C8 00 00 00 8B 8D 24 FF FF FF 8B 55 F4 8B C6 E8 ?? ?? ?? ?? E9 1E 01 00 00 8B 45 E8 50 8D 95 20 FF FF FF 8B 45 C4 8B 08 FF 91 88 01 00 00 8B 8D 20 FF FF FF 8B 55 F4 8B C6 E8 ?? ?? ?? ?? E9 F4 00 00 00 8B 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 26 8D 95 1C FF FF FF 8B 45 C4 8B 08 FF 91 68 01 00 00 8B 8D 1C FF FF FF 8B 55 F4 8B C6 E8 ?? ?? ?? ?? E9 BF 00 00 00 8B 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 4F 83 7D BC 00 74 26 8D 95 18 FF FF FF 8B 45 BC 8B 08 FF 91 C0 00 00 00 8B 8D 18 FF FF FF 8B 55 F4 8B C6 E8 ?? ?? ?? ?? E9 84 00 00 00 8D 95 14 FF FF FF 8B 45 C4 8B 08 FF 91 78 01 00 00 8B 8D 14 FF FF FF 8B 55 F4 8B C6 E8 ?? ?? ?? ?? EB 61 8B 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 52 83 7D BC 00 74 27 8B 45 E8 50 8D 95 10 FF FF FF 8B 45 BC 8B 08 FF 91 C8 00 00 00 8B 8D 10 FF FF FF 8B 55 F4 8B C6 E8 ?? ?? ?? ?? EB 25 8B 45 E8 50 8D 95 0C FF FF FF 8B 45 C4 8B 08 FF 91 88 01 00 00 8B 8D 0C FF FF FF 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 47 4B 0F 85 AD FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 0C FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 14 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 1C FF FF FF E8 ?? ?? ?? ?? 8D 85 20 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 28 FF FF FF E8 ?? ?? ?? ?? 8D 85 2C FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 34 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 8D 85 48 FF FF FF E8 ?? ?? ?? ?? 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 9C FE FF FF 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 63 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6F 00 72 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6D 00 6F 00 64 00 65 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 74 00 65 00 78 00 74 00 4F 00 6E 00 6C 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 64 00 61 00 74 00 61 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 76 00 61 00 6C 00 75 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 61 00 78 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6D 00 69 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6D 00 61 00 78 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6F 00 6E 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 45 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 41 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 65 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 61 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 67 00 72 00 6F 00 75 00 70 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 65 00 78 00 74 00 65 00 6E 00 64 00 73 00 00 00 }
	condition:
		$1
}

rule function_114585_0 {
	meta:
		name = "TXDRImportTranslator.ParseAttributeDefinition"
		size = 1384
		refs = "0020 @IntfAddRef 0030 TXDRImportTranslator.ParseAttributeDefinition 0046 GetAttribute 0056 @UStrCat3 006c @IntfClear 007d @IntfCopy 009d @CheckAutoResult 00ed @UStrClr 0109 @UStrEqual 01c7 XdrTypeToXsdType 01d6 @UStrLAsg 0258 @VarFromUStr 02c0 Split 034d TObject.Free 0353 @HandleFinally 039a Variant 03a4 @FinalizeArray 03b1 @UStrArrayClr 03ba IDOMNodeList 03ea IDOMNode"
	strings:
		$1 = { 55 8B EC 51 B9 12 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D FC 8B F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 57 20 8D 45 C0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 C0 8D 4D E4 8B 45 FC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 83 7D E4 00 74 10 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? E9 9A 00 00 00 8D 45 BC 50 8D 45 B8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 5D BC 4B 85 DB 7C 69 43 33 F6 8D 45 F4 E8 ?? ?? ?? ?? 50 56 8D 45 B4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 B4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 0D 8D 45 F8 8B 55 F4 E8 ?? ?? ?? ?? EB 04 46 4B 75 9A 83 7D F8 00 0F 84 A3 00 00 00 8B 57 20 8D 45 B0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8D 4D E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 57 20 8D 45 AC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 AC 8D 4D E0 8B 45 F8 E8 ?? ?? ?? ?? 8B 57 20 8D 45 A8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 8D 4D DC 8B 45 F8 E8 ?? ?? ?? ?? 8B 57 20 8D 45 A4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A4 8D 4D D8 8B 45 F8 E8 ?? ?? ?? ?? 8B 57 20 8D 45 A0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A0 8D 4D D4 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 E4 E8 ?? ?? ?? ?? EB 0D 8D 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 57 1C 8D 45 9C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 9C 8D 4D EC 8B 45 FC E8 ?? ?? ?? ?? 8B 57 1C 8D 45 98 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 98 8D 4D E8 8B 45 FC E8 ?? ?? ?? ?? 83 7D E0 00 74 1A 8B 45 CC 50 8D 45 C8 50 B1 01 8B 55 F0 8B 45 08 8B 18 FF 93 D8 00 00 00 EB 15 8D 45 C8 50 8B 4D CC 8B 55 F0 8B 45 08 8B 18 FF 93 D4 00 00 00 83 7D E8 00 74 19 8D 45 88 8B 55 E8 E8 ?? ?? ?? ?? 8D 55 88 8B 45 C8 8B 08 FF 91 04 01 00 00 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 21 8D 85 78 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 78 FF FF FF 8B 45 C8 8B 08 FF 91 00 01 00 00 8B 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 AC 00 00 00 83 7D E0 00 0F 84 A2 00 00 00 BA ?? ?? ?? ?? 8B 45 E0 E8 ?? ?? ?? ?? 89 45 C4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 C4 8B 10 FF 52 14 8B D8 4B 85 DB 7C 58 43 33 F6 8D 8D 70 FF FF FF 8B D6 8B 45 C4 8B 38 FF 57 0C 8B 85 70 FF FF FF 50 8D 95 68 FF FF FF 8B 45 C8 8B 08 FF 91 DC 00 00 00 8B 85 68 FF FF FF 8D 95 6C FF FF FF 8B 08 FF 91 E0 00 00 00 8B 85 6C FF FF FF 8D 8D 74 FF FF FF 5A 8B 38 FF 97 C0 00 00 00 46 4B 75 AB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 C4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 98 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 5B FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 64 00 61 00 74 00 61 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 76 00 61 00 6C 00 75 00 65 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 61 00 78 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6D 00 69 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6D 00 61 00 78 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 72 00 65 00 71 00 75 00 69 00 72 00 65 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 79 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 65 00 6E 00 75 00 6D 00 65 00 72 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 }
	condition:
		$1
}

rule function_114586_0 {
	meta:
		name = "TXDRImportTranslator.ParseGroup"
		size = 1036
		refs = "0023 @IntfAddRef 0033 TXDRImportTranslator.ParseGroup 0049 GetAttribute 0086 @UStrEqual 00e9 DetermineOccurence 00fc @UStrLAsg 011a @VarFromUStr 014d @IntfClear 015c @CheckAutoResult 01b0 @UStrClr 01ee TXDRImportTranslator.AddChildElement 024c TXDRImportTranslator.AddExtends 0282 IDOMNodeList 028c @FinalizeArray 0295 Variant 02b4 @UStrArrayClr 02c5 IDOMNode 02d5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D F4 89 55 FC 89 45 D8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D EC BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 02 EB 3B 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 01 EB 28 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 33 DB EB 15 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 B3 02 EB 02 B3 02 8B D3 8D 4D DC 8B 45 F4 8B 18 FF 93 D0 00 00 00 8B 45 EC 50 8D 4D E0 8D 55 E4 8B 45 E8 E8 ?? ?? ?? ?? 83 7D E4 00 75 0D 8D 45 E4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D E0 00 75 0D 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 55 E4 E8 ?? ?? ?? ?? 8D 55 C8 8B 45 DC 8B 08 FF 91 DC 00 00 00 8D 45 B8 8B 55 E0 E8 ?? ?? ?? ?? 8D 55 B8 8B 45 DC 8B 08 FF 91 D8 00 00 00 8D 45 B4 50 8D 45 B0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 B0 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 5D B4 4B 85 DB 0F 8C DE 00 00 00 43 33 F6 8D 45 F8 E8 ?? ?? ?? ?? 50 56 8D 45 AC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 AC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 22 8B 45 EC 50 8D 55 A8 8B 45 DC 8B 08 FF 91 C8 00 00 00 8B 4D A8 8B 55 F8 8B 45 D8 E8 ?? ?? ?? ?? EB 5C 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1E 8D 55 A4 8B 45 DC 8B 08 FF 91 C0 00 00 00 8B 4D A4 8B 55 F8 8B 45 D8 E8 ?? ?? ?? ?? EB 2F 8B 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 20 8B 45 EC 50 8D 55 A0 8B 45 DC 8B 08 FF 91 C8 00 00 00 8B 4D A0 8B 55 F8 8B 45 D8 E8 ?? ?? ?? ?? 46 4B 0F 85 25 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 8A 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6F 00 72 00 64 00 65 00 72 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6F 00 63 00 63 00 75 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 69 00 6E 00 4F 00 63 00 63 00 75 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 61 00 78 00 4F 00 63 00 63 00 75 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 73 00 65 00 71 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 6F 00 6E 00 65 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 61 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6D 00 61 00 6E 00 79 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 65 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 67 00 72 00 6F 00 75 00 70 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 65 00 78 00 74 00 65 00 6E 00 64 00 73 00 00 00 }
	condition:
		$1
}

rule function_114587_0 {
	meta:
		name = "TXDRImportTranslator.AddChildElement"
		size = 476
		refs = "001e @IntfAddRef 002e @UStrAddRef 0036 TXDRImportTranslator.AddChildElement 004c GetAttribute 008e DetermineOccurence 00a1 @UStrLAsg 00d0 @VarFromUStr 010d Variant 0117 @FinalizeArray 011f @IntfClear 012c @UStrArrayClr 0144 @UStrClr 014a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 45 08 50 8D 4D EC 8D 55 F0 8B 45 E8 E8 ?? ?? ?? ?? 83 7D F0 00 75 0D 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D EC 00 75 0D 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D E4 8B 55 F4 8B 45 F8 8B 18 FF 93 D0 00 00 00 8D 45 D4 8B 55 F0 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 E4 8B 08 FF 91 04 01 00 00 8D 45 C4 8B 55 EC E8 ?? ?? ?? ?? 8D 55 C4 8B 45 E4 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 69 00 6E 00 4F 00 63 00 63 00 75 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 61 00 78 00 4F 00 63 00 63 00 75 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6F 00 63 00 63 00 75 00 72 00 73 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 }
	condition:
		$1
}

rule function_114588_0 {
	meta:
		name = "TXDRImportTranslator.AddAttribute"
		size = 352
		refs = "001f @IntfAddRef 002f TXDRImportTranslator.AddAttribute 0045 GetAttribute 0087 @VarFromUStr 00cc Variant 00d6 @FinalizeArray 00de @IntfClear 00eb @UStrArrayClr 0101 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D E8 8B 55 F4 8B 45 F8 8B 18 FF 93 D0 00 00 00 83 7D F0 00 74 19 8D 45 D8 8B 55 F0 E8 ?? ?? ?? ?? 8D 55 D8 8B 45 E8 8B 08 FF 91 04 01 00 00 83 7D EC 00 74 1B 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 C8 8B 45 E8 8B 08 FF 91 00 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 72 00 65 00 71 00 75 00 69 00 72 00 65 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_114589_0 {
	meta:
		name = "TXDRImportTranslator.AddExtends"
		size = 184
		refs = "0019 @IntfAddRef 0029 @UStrAddRef 0031 TXDRImportTranslator.AddExtends 0047 GetAttribute 006d @IntfClear 0075 @UStrClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 DB 89 5D F0 89 5D F4 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D F0 8B 55 F4 8B 45 F8 8B 18 FF 93 D0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114591_0 {
	meta:
		name = "Xml.XDRSchema"
		size = 156
		refs = "0009 Xml.XDRSchema 0015 _DV_2 0027 SXDRTransDesc 002c LoadResString 0036 _DV_TXDRImportTranslator 003d _Dn_TXMLSchemaTranslatorFactory 0042 TXMLSchemaTranslatorFactory.Create 0050 TranslatorFactory 0055 @IntfCopy 005f RegisterSchemaTranslator 0074 @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 47 6A 00 68 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 78 00 64 00 72 00 00 00 00 00 }
	condition:
		$1
}

rule function_114594_0 {
	meta:
		name = "TXMLDataImporter.GetDataType"
		size = 448
		refs = "0023 TXMLDataImporter.GetDataType 0054 VarToStr 0067 @UStrAsg 0082 @UStrClr 00a3 CurrencyString 0130 @VarClr 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D E8 89 5D EC 89 5D F0 89 5D F4 89 5D FC 89 4D F8 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 38 3C 02 74 0B 8B C3 8B 10 FF 52 28 84 C0 74 15 8D 55 E8 8B C3 8B 08 FF 51 3C 8D 45 E8 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 12 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AF 00 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8B D8 8B 45 F8 E8 ?? ?? ?? ?? 8B F3 85 F6 7E 7E BB 01 00 00 00 56 BE ?? ?? ?? ?? 8D 7D C8 B9 08 00 00 00 F3 A5 5E A1 ?? ?? ?? ?? 0F B7 80 BE 00 00 00 0F B6 C0 0F AB 45 C8 8D 45 C8 8B 55 FC 0F B7 54 5A FE 66 81 FA FF 00 77 06 0F B7 D2 0F A3 10 0F 92 C0 84 C0 75 0F 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 3C A1 ?? ?? ?? ?? 0F B7 80 BE 00 00 00 8B 55 FC 66 3B 44 5A FE 75 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 43 4E 75 87 8B 45 F8 83 38 00 75 0D 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 00 00 00 00 00 00 FF 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 63 00 69 00 6D 00 61 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 69 00 6E 00 74 00 65 00 67 00 65 00 72 00 00 00 }
	condition:
		$1
}

rule function_114595_0 {
	meta:
		name = "TXMLDataImporter.IsComplexType"
		size = 231
		refs = "0019 TXMLDataImporter.IsComplexType 0076 @OleVarFromInt 00ad @VarClr 00b5 @IntfClear 00c6 IXMLNodeList 00d0 @FinalizeArray 00d6 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 FC 8B 08 FF 51 10 8B 45 F4 8B 10 FF 52 0C 85 C0 0F 9F 45 FB 80 7D FB 00 75 5A 8D 55 F0 8B 45 FC 8B 08 FF 51 14 8B 45 F0 8B 10 FF 52 0C 8B D8 4B 85 DB 7C 40 43 33 F6 8D 55 E8 8B 45 FC 8B 08 FF 51 14 8B 45 E8 50 8D 45 D8 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 D8 8D 4D EC 58 8B 38 FF 57 10 8B 45 EC 8B 10 FF 52 38 3C 01 75 06 C6 45 FB 01 EB 04 46 4B 75 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114596_0 {
	meta:
		name = "MakeTypeName"
		size = 104
		refs = "0009 MakeTypeName 000e Pos 003c @UStrCat3 0048 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 04 B0 01 EB 14 8B D3 85 D2 74 05 83 EA 04 8B 12 42 83 EA 04 3B C2 0F 95 C0 84 C0 74 11 8B C6 B9 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 8B D3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114597_0 {
	meta:
		name = "ProcessChildNodes"
		size = 636
		refs = "001a @IntfAddRef 0022 ProcessChildNodes 006a @OleVarFromInt 00a9 ExtractLocalName 00dc TXMLDataImporter.IsComplexType 00f4 TXMLDataImporter.AddComplexType 0107 TXMLDataImporter.GetDataType 0139 @VarFromUStr 0186 @IntfCast 0197 TXMLDataImporter.ValidateExistingType 01b4 @IntfClear 01c4 @UStrClr 01d4 @VarClr 0205 IXMLNodeList 020f @FinalizeArray 022c @UStrArrayClr 023a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B 45 08 8B 40 FC 8B 08 FF 51 14 8B 45 E8 8B 10 FF 52 0C 8B D8 4B 85 DB 0F 8C 56 01 00 00 43 33 F6 8D 55 E4 8B 45 08 8B 40 FC 8B 08 FF 51 14 8B 45 E4 50 8D 45 D4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 D4 8D 4D F0 58 8B 38 FF 57 10 8B 45 F0 8B 10 FF 52 38 3C 01 0F 85 11 01 00 00 B2 02 8B 45 FC 8B 08 FF 91 98 01 00 00 8D 55 D0 8B 45 F0 8B 08 FF 51 34 8B 45 D0 8D 55 F8 E8 ?? ?? ?? ?? 8D 55 CC 8B 45 FC 8B 08 FF 91 88 01 00 00 8B 45 CC 8D 4D EC 8B 55 F8 8B 38 FF 97 DC 00 00 00 83 7D EC 00 75 5E 8B 45 08 8B 40 F8 8B 55 F0 E8 ?? ?? ?? ?? 84 C0 74 16 8D 45 F4 50 8B 45 08 8B 40 F8 33 C9 8B 55 F0 E8 ?? ?? ?? ?? EB 11 8D 4D F4 8B 45 08 8B 40 F8 8B 55 F0 E8 ?? ?? ?? ?? 8D 45 C8 50 8D 55 C4 8B 45 FC 8B 08 FF 91 88 01 00 00 8B 45 C4 8B 4D F4 8B 55 F8 8B 38 FF 97 D4 00 00 00 EB 6B 8D 45 B4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 B4 8B 45 EC 8B 08 FF 91 00 01 00 00 8D 55 B0 8B 45 EC 8B 08 FF 91 DC 00 00 00 8B 45 B0 8B 10 FF 92 5C 01 00 00 84 C0 74 33 8D 45 AC 50 8D 55 A4 8B 45 EC 8B 08 FF 91 DC 00 00 00 8B 55 A4 8D 45 A8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 A8 8B 45 08 8B 40 F8 8B 4D F0 E8 ?? ?? ?? ?? 46 4B 0F 85 AD FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 6D FF FF FF 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 75 00 6E 00 62 00 6F 00 75 00 6E 00 64 00 65 00 64 00 00 00 23 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114598_0 {
	meta:
		name = "ProcessAttributes"
		size = 408
		refs = "001a @IntfAddRef 0022 ProcessAttributes 006a @OleVarFromInt 008c ExtractLocalName 00a4 Pos 00db TXMLDataImporter.GetDataType 0119 @IntfClear 0121 @UStrClr 013e @UStrArrayClr 0146 @VarClr 014f IXMLNodeList 0159 @FinalizeArray 0177 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 08 8B 40 FC 8B 08 FF 51 10 8B 45 F0 8B 10 FF 52 0C 8B D8 4B 85 DB 0F 8C BB 00 00 00 43 33 F6 8D 55 EC 8B 45 08 8B 40 FC 8B 08 FF 51 10 8B 45 EC 50 8D 45 DC 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 DC 8D 4D F4 58 8B 38 FF 57 10 8D 55 D8 8B 45 F4 8B 08 FF 51 34 8B 45 D8 8D 55 F8 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 F4 8B 08 FF 51 48 8B 55 D4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 74 55 8D 55 D0 8B 45 FC 8B 08 FF 91 68 01 00 00 8B 45 D0 8B 55 F8 8B 08 FF 91 C8 00 00 00 40 75 36 8D 45 CC 50 8D 4D C8 8B 45 08 8B 40 F8 8B 55 F4 E8 ?? ?? ?? ?? 8B 45 C8 50 8D 55 C4 8B 45 FC 8B 08 FF 91 68 01 00 00 8B 45 C4 8B 55 F8 59 8B 38 FF 97 D4 00 00 00 46 4B 0F 85 48 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 98 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 03 00 00 00 78 00 6D 00 6C 00 00 00 }
	condition:
		$1
}

rule function_114599_0 {
	meta:
		name = "TXMLDataImporter.AddComplexType"
		size = 372
		refs = "0024 TXMLDataImporter.AddComplexType 0044 ExtractLocalName 004e MakeTypeName 0059 @UStrAsg 00b9 ProcessChildNodes 00f0 ProcessAttributes 0102 TXMLDataImporter.ValidateExistingType 0118 IXMLComplexTypeDefs 0122 @FinalizeArray 012f @UStrArrayClr 0138 IXMLComplexTypeDef 0148 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 8B F1 89 55 FC 89 45 F8 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 22 8D 55 E8 8B 45 FC 8B 08 FF 51 34 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC 8B D3 E8 ?? ?? ?? ?? EB 09 8B C3 8B D6 E8 ?? ?? ?? ?? 8D 55 E4 8B 45 F8 8B 40 10 8B 08 FF 91 C0 00 00 00 8B 45 E4 8D 4D F0 8B 13 8B 30 FF 96 D8 00 00 00 83 7D F0 00 75 73 8B 45 FC 8B 10 FF 52 28 84 C0 75 30 8D 45 F4 50 8D 55 E0 8B 45 F8 8B 40 10 8B 08 FF 91 C0 00 00 00 8B 45 E0 8B 13 B1 04 8B 18 FF 93 D0 00 00 00 55 8B 45 F4 E8 ?? ?? ?? ?? 59 EB 2B 6A 03 6A 04 8D 45 F4 50 8D 55 DC 8B 45 F8 8B 40 10 8B 08 FF 91 C0 00 00 00 8B 45 DC 8B 13 B9 ?? ?? ?? ?? 8B 18 FF 93 D4 00 00 00 55 8B 45 F4 E8 ?? ?? ?? ?? 59 EB 0F 53 8B 4D FC 8B 55 F0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_114600_0 {
	meta:
		name = "TXMLDataImporter.ValidateExistingType"
		size = 1924
		refs = "0026 TXMLDataImporter.ValidateExistingType 00de @UStrCat 00ec TXMLDataImporter.AddComplexType 014a @OleVarFromInt 017c ExtractLocalName 01ac TXMLDataImporter.IsComplexType 01d1 TXMLDataImporter.GetDataType 0218 @VarFromUStr 0221 @VarCmpNE 02be @UStrEqual 0340 @IntfCast 04bc @VarFromWChar 054c @VarClr 0557 @IntfClear 0562 @UStrClr 0579 Variant 0583 @FinalizeArray 058f IXMLElementDefs 05e7 IXMLNodeList 06e9 IXMLNode 0700 @UStrArrayClr 0706 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 26 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D DC 89 55 E0 89 45 E4 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 DC 8B 10 FF 52 28 84 C0 75 1B 8D 55 D0 8B 45 DC 8B 08 FF 51 14 8B 45 D0 8B 10 FF 52 0C 85 C0 74 04 33 DB EB 02 B3 01 8B 45 E0 8B 10 FF 92 7C 01 00 00 3C 04 0F 94 C0 3A D8 0F 84 84 00 00 00 8B 45 DC 8B 10 FF 52 28 84 C0 74 49 8D 55 CC 8B 45 E0 8B 08 FF 91 88 01 00 00 8B 45 CC 8B 10 FF 92 AC 00 00 00 85 C0 75 2C B2 04 8B 45 E0 8B 08 FF 91 98 01 00 00 B2 03 8B 45 E0 8B 08 FF 91 9C 01 00 00 BA ?? ?? ?? ?? 8B 45 E0 8B 08 FF 91 18 01 00 00 EB 2F 56 8D 55 C8 8B 45 E0 8B 08 FF 91 C0 00 00 00 8D 45 C8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D C8 8B 55 DC 8B 45 E4 E8 ?? ?? ?? ?? E9 43 04 00 00 8B D6 8B 45 E0 8B 08 FF 91 C0 00 00 00 8B 45 DC 8B 10 FF 52 28 84 C0 0F 85 4B 02 00 00 8D 55 C4 8B 45 DC 8B 08 FF 51 14 8B 45 C4 8B 10 FF 52 0C 8B D8 4B 85 DB 0F 8C 2D 02 00 00 43 33 F6 8D 55 C0 8B 45 DC 8B 08 FF 51 14 8B 45 C0 50 8D 45 B0 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 B0 8D 4D F0 58 8B 38 FF 57 10 8B 45 F0 8B 10 FF 52 38 3C 01 0F 85 EB 01 00 00 8D 55 AC 8B 45 F0 8B 08 FF 51 34 8B 45 AC 8D 55 FC E8 ?? ?? ?? ?? 8D 55 A8 8B 45 E0 8B 08 FF 91 88 01 00 00 8B 45 A8 8D 4D E8 8B 55 FC 8B 38 FF 97 DC 00 00 00 83 7D E8 00 75 58 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 84 C0 74 13 8D 45 F8 50 33 C9 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? EB 0E 8D 4D F8 8B 55 F0 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 A4 50 8D 55 A0 8B 45 E0 8B 08 FF 91 88 01 00 00 8B 45 A0 8B 4D F8 8B 55 FC 8B 38 FF 97 D4 00 00 00 E9 58 01 00 00 8D 55 90 8B 45 E8 8B 08 FF 91 F4 00 00 00 8D 45 90 50 8D 45 80 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 80 58 E8 ?? ?? ?? ?? 0F 84 C8 00 00 00 8D 46 01 50 8D 95 7C FF FF FF 8B 45 DC 8B 08 FF 51 14 8B 85 7C FF FF FF 8B 10 FF 52 0C 48 5A 2B C2 0F 8C A1 00 00 00 40 89 45 D4 89 55 D8 8D 95 70 FF FF FF 8B 45 DC 8B 08 FF 51 14 8B 85 70 FF FF FF 50 8D 85 60 FF FF FF 8B 55 D8 B1 FC E8 ?? ?? ?? ?? 8D 95 60 FF FF FF 8D 8D 74 FF FF FF 58 8B 38 FF 57 10 8B 85 74 FF FF FF 8D 95 78 FF FF FF 8B 08 FF 51 34 8B 85 78 FF FF FF 50 8D 95 5C FF FF FF 8B 45 F0 8B 08 FF 51 34 8B 95 5C FF FF FF 58 E8 ?? ?? ?? ?? 75 23 8D 85 4C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 4C FF FF FF 8B 45 E8 8B 08 FF 91 00 01 00 00 EB 0C FF 45 D8 FF 4D D4 0F 85 66 FF FF FF 8D 95 48 FF FF FF 8B 45 E8 8B 08 FF 91 DC 00 00 00 8B 85 48 FF FF FF 8B 10 FF 92 5C 01 00 00 84 C0 74 3F 8D 85 44 FF FF FF 50 8D 95 3C FF FF FF 8B 45 E8 8B 08 FF 91 DC 00 00 00 8B 95 3C FF FF FF 8D 85 40 FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 40 FF FF FF 8B 4D F0 8B 45 E4 E8 ?? ?? ?? ?? 46 4B 0F 85 D6 FD FF FF 8D 95 38 FF FF FF 8B 45 DC 8B 08 FF 51 10 8B 85 38 FF FF FF 8B 10 FF 52 0C 8B D8 4B 85 DB 0F 8C C7 00 00 00 43 33 F6 8D 95 34 FF FF FF 8B 45 DC 8B 08 FF 51 10 8B 85 34 FF FF FF 50 8D 85 24 FF FF FF 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 95 24 FF FF FF 8D 4D F4 58 8B 38 FF 57 10 8D 95 20 FF FF FF 8B 45 F4 8B 08 FF 51 34 8B 85 20 FF FF FF 8D 55 FC E8 ?? ?? ?? ?? 8D 95 1C FF FF FF 8B 45 E0 8B 08 FF 91 68 01 00 00 8B 85 1C FF FF FF 8D 4D EC 8B 55 FC 8B 38 FF 97 DC 00 00 00 83 7D EC 00 75 42 8D 85 18 FF FF FF 50 8D 8D 14 FF FF FF 8B 55 F4 8B 45 E4 E8 ?? ?? ?? ?? 8B 85 14 FF FF FF 50 8D 95 10 FF FF FF 8B 45 E0 8B 08 FF 91 68 01 00 00 8B 85 10 FF FF FF 8B 55 FC 59 8B 38 FF 97 D4 00 00 00 46 4B 0F 85 3C FF FF FF 8D 95 0C FF FF FF 8B 45 E0 8B 08 FF 91 88 01 00 00 8B 85 0C FF FF FF 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 0F 8C C6 00 00 00 43 33 F6 8D 95 08 FF FF FF 8B 45 E0 8B 08 FF 91 88 01 00 00 8B 85 08 FF FF FF 8D 4D E8 8B D6 8B 38 FF 97 CC 00 00 00 8D 95 F8 FE FF FF 8B 45 E8 8B 08 FF 91 F8 00 00 00 8D 85 F8 FE FF FF 50 8D 85 E8 FE FF FF 66 BA 30 00 E8 ?? ?? ?? ?? 8D 95 E8 FE FF FF 58 E8 ?? ?? ?? ?? 74 62 8D 95 E0 FE FF FF 8B 45 E8 8B 08 FF 91 C0 00 00 00 8B 85 E0 FE FF FF 50 8D 95 DC FE FF FF 8B 45 DC 8B 08 FF 51 14 8B 85 DC FE FF FF 8D 8D E4 FE FF FF 5A 8B 38 FF 57 38 83 BD E4 FE FF FF 00 75 21 8D 85 CC FE FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 95 CC FE FF FF 8B 45 E8 8B 08 FF 91 04 01 00 00 46 4B 0F 85 3D FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 CC FE FF FF E8 ?? ?? ?? ?? 8D 85 DC FE FF FF E8 ?? ?? ?? ?? 8D 85 E0 FE FF FF E8 ?? ?? ?? ?? 8D 85 E4 FE FF FF E8 ?? ?? ?? ?? 8D 85 E8 FE FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 08 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 10 FF FF FF E8 ?? ?? ?? ?? 8D 85 14 FF FF FF E8 ?? ?? ?? ?? 8D 85 18 FF FF FF E8 ?? ?? ?? ?? 8D 85 1C FF FF FF E8 ?? ?? ?? ?? 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 8D 85 24 FF FF FF E8 ?? ?? ?? ?? 8D 85 34 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 8D 85 48 FF FF FF E8 ?? ?? ?? ?? 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 36 FE FF FF 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 32 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 75 00 6E 00 62 00 6F 00 75 00 6E 00 64 00 65 00 64 00 00 00 23 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_114601_0 {
	meta:
		name = "TXMLDataImporter.Translate"
		size = 524
		refs = "0021 TXMLDataImporter.Translate 0033 TXMLSchemaTranslator.Translate 003d LoadXMLDocument 0048 @IntfCopy 00c2 TXMLDataImporter.IsComplexType 00f1 @UStrCat 0116 ExtractLocalName 0150 TXMLDataImporter.AddComplexType 0165 @IntfClear 016d @UStrClr 018a @UStrArrayClr 01e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 18 E8 ?? ?? ?? ?? 8D 55 F0 8B 43 18 8B 08 FF 51 18 83 7D F0 00 0F 84 F3 00 00 00 8D 55 E8 8B 43 18 8B 08 FF 51 18 8B 45 E8 8D 55 EC 8B 08 FF 51 30 83 7D EC 00 74 34 8D 55 FC 8B 43 18 8B 08 FF 51 18 8D 55 E4 8B 45 FC 8B 08 FF 51 48 8B 45 E4 50 8D 55 E0 8B 45 FC 8B 08 FF 51 30 8B 55 E0 8B 45 F8 59 8B 30 FF 96 30 01 00 00 8D 55 DC 8B 43 18 8B 08 FF 51 18 8B 55 DC 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 86 00 00 00 8D 45 D8 50 8D 55 D0 8B 43 18 8B 08 FF 51 18 8B 45 D0 8D 55 D4 8B 08 FF 51 34 8D 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 50 8D 55 C4 8B 43 18 8B 08 FF 51 18 8B 45 C4 8D 55 C8 8B 08 FF 51 34 8B 45 C8 8D 55 CC E8 ?? ?? ?? ?? 8B 45 CC 50 8D 55 C0 8B 45 F8 8B 08 FF 91 C8 00 00 00 8B 45 C0 5A 59 8B 30 FF 96 D4 00 00 00 8D 45 BC 50 8D 55 B8 8B 43 18 8B 08 FF 51 18 8B 55 B8 33 C9 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 73 FF FF FF 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114603_0 {
	meta:
		name = "Xml.XMLDataToSchema"
		size = 156
		refs = "0009 Xml.XMLDataToSchema 0015 _DV_2 0027 SXMLDataTransDesc 002c LoadResString 0036 _DV_TXMLDataImporter 003d _Dn_TXMLSchemaTranslatorFactory 0042 TXMLSchemaTranslatorFactory.Create 0050 TranslatorFactory 0055 @IntfCopy 005f RegisterSchemaTranslator 0074 @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 47 6A 00 68 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 78 00 6D 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_114606_0 {
	meta:
		name = "CreateDOMNode"
		size = 500
		refs = "0018 @IntfAddRef 0020 CreateDOMNode 0077 @IntfClear 0087 @CheckAutoResult 01b6 SInvalidNodeType 01bb LoadResString 01c3 XMLDocError 01d8 @UStrClr 01e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B D9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 C3 83 F8 0B 0F 87 91 01 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 7D 0C 00 75 1D 8B 45 08 E8 ?? ?? ?? ?? 50 56 8B 45 FC 50 8B 00 FF 50 78 E8 ?? ?? ?? ?? E9 37 01 00 00 8B 45 08 E8 ?? ?? ?? ?? 50 56 8B 45 0C 50 8B 45 FC 50 8B 00 FF 90 A0 00 00 00 E8 ?? ?? ?? ?? E9 13 01 00 00 83 7D 0C 00 75 20 8B 45 08 E8 ?? ?? ?? ?? 50 56 8B 45 FC 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? E9 ED 00 00 00 8B 45 08 E8 ?? ?? ?? ?? 50 56 8B 45 0C 50 8B 45 FC 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? E9 C9 00 00 00 8B 45 08 E8 ?? ?? ?? ?? 50 56 8B 45 FC 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? E9 A9 00 00 00 8B 45 08 E8 ?? ?? ?? ?? 50 56 8B 45 FC 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? E9 89 00 00 00 8B 45 08 E8 ?? ?? ?? ?? 50 56 8B 45 FC 50 8B 00 FF 90 94 00 00 00 E8 ?? ?? ?? ?? EB 6C 8B 45 08 E8 ?? ?? ?? ?? 50 8B 45 0C 50 56 8B 45 FC 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? EB 4B 8B 45 08 E8 ?? ?? ?? ?? 50 56 8B 45 FC 50 8B 00 FF 90 84 00 00 00 E8 ?? ?? ?? ?? EB 2E 8B 45 08 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? EB 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114607_0 {
	meta:
		name = "CloneNodeToDoc"
		size = 1218
		refs = "0022 CloneNodeToDoc 00dd @OleVarFromInt 020d @VarToUStr 037c SInvalidNodeType 0381 LoadResString 038c XMLDocError 03a4 @UStrClr 03af @IntfClear 03ba @VarClr 03d1 IXMLNode 03db @FinalizeArray 040c @UStrArrayClr 0468 IXMLNodeList 04b0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 19 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 88 4D FB 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 10 FF 52 38 83 E0 7F 83 F8 0B 0F 87 36 03 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 50 8D 55 F0 8B C3 8B 08 FF 51 30 8B 45 F0 50 8D 55 EC 8B C3 8B 08 FF 51 34 8B 55 EC 8B 45 FC 59 8B 30 FF 96 80 00 00 00 8D 55 E8 8B C3 8B 08 FF 51 10 8B 45 E8 8B 10 FF 52 0C 8B F0 4E 85 F6 7C 60 46 C7 45 F4 00 00 00 00 8D 45 E4 50 8D 55 DC 8B C3 8B 08 FF 51 10 8B 45 DC 50 8D 45 CC 8B 55 F4 B1 FC E8 ?? ?? ?? ?? 8D 55 CC 8D 4D E0 58 8B 38 FF 57 10 8B 45 E0 33 C9 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E4 50 8D 55 C8 8B 45 08 8B 00 8B 08 FF 51 10 8B 45 C8 5A 8B 08 FF 51 18 FF 45 F4 4E 75 A8 80 7D FB 00 0F 84 6C 02 00 00 8D 55 C4 8B C3 8B 08 FF 51 14 8B 45 C4 8B 10 FF 52 0C 8B F0 4E 85 F6 0F 8C 4F 02 00 00 46 C7 45 F4 00 00 00 00 8D 45 C0 50 8D 55 B8 8B C3 8B 08 FF 51 14 8B 45 B8 50 8D 45 A8 8B 55 F4 B1 FC E8 ?? ?? ?? ?? 8D 55 A8 8D 4D BC 58 8B 38 FF 57 10 8B 45 BC 0F B6 4D FB 8B 55 FC E8 ?? ?? ?? ?? 8B 45 C0 50 8D 55 A4 8B 45 08 8B 00 8B 08 FF 51 14 8B 45 A4 5A 8B 08 FF 51 18 FF 45 F4 4E 75 A6 E9 E8 01 00 00 8D 55 A0 8B C3 8B 08 FF 51 30 8B 45 A0 50 8B 45 08 50 8D 55 9C 8B C3 8B 08 FF 51 34 8B 55 9C B1 02 8B 45 FC 8B 30 FF 96 84 00 00 00 8D 55 8C 8B C3 8B 08 FF 51 3C 8D 55 8C 8B 45 08 8B 00 8B 08 FF 51 60 E9 A0 01 00 00 6A 00 8B 45 08 50 8D 95 78 FF FF FF 8B C3 8B 08 FF 51 3C 8D 95 78 FF FF FF 8D 45 88 E8 ?? ?? ?? ?? 8B 45 88 50 8B C3 8B 10 FF 52 38 8B C8 8B 45 FC 5A 8B 18 FF 93 84 00 00 00 E9 61 01 00 00 6A 00 8B 45 08 50 8D 95 74 FF FF FF 8B C3 8B 08 FF 51 34 8B 85 74 FF FF FF 50 8B C3 8B 10 FF 52 38 8B C8 8B 45 FC 5A 8B 18 FF 93 84 00 00 00 E9 2D 01 00 00 8D 95 60 FF FF FF 8B C3 8B 08 FF 51 3C 8D 95 60 FF FF FF 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 8B 45 08 50 8D 95 5C FF FF FF 8B C3 8B 08 FF 51 34 8B 95 5C FF FF FF B1 07 8B 45 FC 8B 18 FF 93 84 00 00 00 E9 DF 00 00 00 6A 00 8B 45 08 50 B1 0B 33 D2 8B 45 FC 8B 30 FF 96 84 00 00 00 80 7D FB 00 0F 84 C0 00 00 00 8D 95 58 FF FF FF 8B C3 8B 08 FF 51 14 8B 85 58 FF FF FF 8B 10 FF 52 0C 8B F0 4E 85 F6 0F 8C 9D 00 00 00 46 C7 45 F4 00 00 00 00 8D 85 54 FF FF FF 50 8D 95 4C FF FF FF 8B C3 8B 08 FF 51 14 8B 85 4C FF FF FF 50 8D 85 3C FF FF FF 8B 55 F4 B1 FC E8 ?? ?? ?? ?? 8D 95 3C FF FF FF 8D 8D 50 FF FF FF 58 8B 38 FF 57 10 8B 85 50 FF FF FF 0F B6 4D FB 8B 55 FC E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 50 8D 95 38 FF FF FF 8B 45 08 8B 00 8B 08 FF 51 14 8B 85 38 FF FF FF 5A 8B 08 FF 51 18 FF 45 F4 4E 75 88 EB 1B 8D 95 34 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 34 FF FF FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 34 FF FF FF E8 ?? ?? ?? ?? 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 9C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 E4 FE FF FF 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_114608_0 {
	meta:
		name = "RemoveDeclNode"
		size = 292
		refs = "0014 RemoveDeclNode 0043 @OleVarFromInt 0067 @UStrEqual 00b0 @IntfClear 00bd @UStrArrayClr 00c5 @VarClr 00e3 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 08 8B 40 FC 8B 08 FF 51 1C 8B 45 F4 8D 55 F8 8B 08 FF 51 14 8B 45 F8 50 8D 45 E4 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 55 E4 8D 4D FC 58 8B 18 FF 53 10 8D 55 E0 8B 45 FC 8B 08 FF 51 34 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1A 8D 55 DC 8B 45 FC 8B 08 FF 51 34 8B 45 DC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 18 8D 55 D8 8B 45 08 8B 40 FC 8B 08 FF 51 14 8B 45 D8 33 D2 8B 08 FF 51 24 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 78 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 23 00 78 00 6D 00 6C 00 64 00 65 00 63 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_114609_0 {
	meta:
		name = "CopyChildNodes"
		size = 279
		refs = "001d @IntfAddRef 002d CopyChildNodes 006b @OleVarFromInt 008b CloneNodeToDoc 00d6 @IntfClear 00de @VarClr 00e7 IXMLNodeList 00f1 @FinalizeArray 00fa IXMLNode 010a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 FC 8B 08 FF 51 14 8B 45 EC 8B 10 FF 52 0C 8B D8 4B 85 DB 7C 74 43 33 F6 8D 55 E8 8B 45 FC 8B 08 FF 51 14 8B 45 E8 50 8D 45 D8 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 D8 8D 4D F4 58 8B 38 FF 57 10 8D 45 F0 50 8B 45 08 8B 50 F8 33 C9 8B 45 F4 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 F8 8B 08 FF 51 14 8B 45 D4 8B 55 F0 8B 08 FF 51 18 8B 45 F4 8B 10 FF 52 24 84 C0 74 10 8B 45 08 50 8B 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 59 46 4B 75 8F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114610_0 {
	meta:
		name = "FormatXMLData"
		size = 368
		refs = "001a FormatXMLData 002a LoadXMLData 0034 NewXMLDocument 00c5 RemoveDeclNode 0102 CopyChildNodes 0126 IXMLNode 0130 @FinalizeArray 0138 @IntfClear 0145 @UStrArrayClr 014e IXMLDocument 015e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 33 C0 E8 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 08 FF 51 44 83 7D F4 00 74 16 8D 55 F0 8B 45 FC 8B 08 FF 51 44 8B 55 F0 8B 45 F8 8B 08 FF 51 70 8D 55 EC 8B 45 FC 8B 08 FF 51 40 83 7D EC 00 74 16 8D 55 E8 8B 45 FC 8B 08 FF 51 40 8B 55 E8 8B 45 F8 8B 08 FF 51 6C 8D 55 E4 8B 45 FC 8B 08 FF 51 24 83 7D E4 00 74 16 8D 55 E0 8B 45 FC 8B 08 FF 51 24 8B 55 E0 8B 45 F8 8B 08 FF 51 58 8D 55 DC 8B 45 FC 8B 08 FF 51 14 8B 45 DC 8B 10 FF 52 0C 48 7E 07 55 E8 ?? ?? ?? ?? 59 8B 45 F8 8B 10 FF 52 34 8B D0 0A 15 ?? ?? ?? ?? 8B 45 F8 8B 08 FF 51 64 55 8D 55 D8 8B 45 F8 8B 08 FF 51 1C 8B 45 D8 50 8D 55 D4 8B 45 FC 8B 08 FF 51 1C 8B 45 D4 5A E8 ?? ?? ?? ?? 59 8B D6 8B 45 F8 8B 08 FF 91 B8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5E 5B 8B E5 5D C3 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_114611_0 {
	meta:
		name = "LoadXMLDocument"
		size = 42
		refs = "000b _DV_TXMLDocument 0010 TXMLDocument.Create 0023 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114612_0 {
	meta:
		name = "LoadXMLData"
		size = 54
		refs = "000b _DV_TXMLDocument 0010 TXMLDocument.Create 0023 @IntfCopy"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 03 8B D6 8B 08 FF 91 A0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_114613_0 {
	meta:
		name = "LoadXMLData"
		size = 54
		refs = "000b _DV_TXMLDocument 0010 TXMLDocument.Create 0023 @IntfCopy"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 03 8B D6 8B 08 FF 91 9C 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_114614_0 {
	meta:
		name = "NewXMLDocument"
		size = 123
		refs = "000e @UStrAddRef 0016 NewXMLDocument 0025 _DV_TXMLDocument 002a TXMLDocument.Create 003d @IntfCopy 006b @UStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 03 B2 01 8B 08 FF 51 4C 83 7D FC 00 74 0A 8B 03 8B 55 FC 8B 08 FF 51 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_114615_0 {
	meta:
		name = "IsQuoteChar"
		size = 14
	strings:
		$1 = { 2C 22 74 07 2C 05 74 03 33 C0 C3 B0 01 C3 }
	condition:
		$1
}

rule function_114616_0 {
	meta:
		name = "ExtractAttrValue"
		size = 160
		refs = "0017 Pos 0049 IsQuoteChar 0086 @UStrCopy 0093 @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 8B F2 89 45 FC 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 8B C6 85 C0 74 05 83 E8 04 8B 00 8B F8 85 DB 7E 5E 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 03 D8 EB 01 43 3B FB 7E 0E 0F B7 44 5E FE E8 ?? ?? ?? ?? 84 C0 74 ED 3B FB 7E 42 8D 43 01 89 45 F4 EB 03 FF 45 F4 3B 7D F4 7E 11 8B 45 F4 0F B7 44 46 FE E8 ?? ?? ?? ?? 84 C0 74 E7 8B 45 08 50 8B 4D F4 2B CB 49 8D 53 01 8B C6 E8 ?? ?? ?? ?? EB 0B 8B 45 08 8B 55 F8 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_114617_0 {
	meta:
		name = "ReadAtPos"
		size = 43
	strings:
		$1 = { 55 8B EC 53 8B 55 08 8B 52 F8 33 C9 92 8B 18 FF 53 14 8B 45 08 8D 50 FC 8B 45 08 8B 40 F8 B9 04 00 00 00 8B 18 FF 53 0C 5B 5D C3 }
	condition:
		$1
}

rule function_114618_0 {
	meta:
		name = "CompareToRead"
		size = 168
	strings:
		$1 = { 55 8B EC 42 4A 74 0E 4A 74 19 4A 74 35 4A 74 5D E9 8F 00 00 00 8B 55 08 0F B6 52 FC 3A 10 0F 94 C0 5D C3 8B 55 08 0F B6 52 FC 3A 10 75 0C 8B 55 08 0F B6 52 FD 3A 50 01 74 04 33 C0 EB 68 B0 01 5D C3 8B 55 08 0F B6 52 FC 3A 10 75 18 8B 55 08 0F B6 52 FD 3A 50 01 75 0C 8B 55 08 0F B6 52 FE 3A 50 02 74 04 33 C0 EB 3D B0 01 5D C3 8B 55 08 0F B6 52 FC 3A 10 75 24 8B 55 08 0F B6 52 FD 3A 50 01 75 18 8B 55 08 0F B6 52 FE 3A 50 02 75 0C 8B 55 08 0F B6 52 FF 3A 50 03 74 04 33 C0 EB 06 B0 01 5D C3 33 C0 5D C3 }
	condition:
		$1
}

rule function_114619_0 {
	meta:
		name = "CheckIntegerValue"
		size = 796
		refs = "0024 CompareToRead 01a7 ReadAtPos"
	strings:
		$1 = { 55 8B EC 51 53 33 DB 8B 45 08 50 C6 45 FC 00 C6 45 FD 00 C6 45 FE FE C6 45 FF FF 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 74 07 B3 01 E9 E2 02 00 00 8B 45 08 50 C6 45 FC FF C6 45 FD FE C6 45 FE 00 C6 45 FF 00 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 74 07 B3 02 E9 B5 02 00 00 8B 45 08 50 C6 45 FC 00 C6 45 FD 00 C6 45 FE FF C6 45 FF FE 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 74 07 B3 03 E9 88 02 00 00 8B 45 08 50 C6 45 FC FE C6 45 FD FF C6 45 FE 00 C6 45 FF 00 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 74 07 B3 04 E9 5B 02 00 00 8B 45 08 50 C6 45 FC 00 C6 45 FD 3C C6 45 FE 00 C6 45 FF 3F 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 74 07 B3 09 E9 2E 02 00 00 8B 45 08 50 C6 45 FC 3C C6 45 FD 00 C6 45 FE 3F C6 45 FF 00 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 74 07 B3 0A E9 01 02 00 00 8B 45 08 50 C6 45 FC 3C C6 45 FD 3F C6 45 FE 78 C6 45 FF 6D 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 74 07 B3 0B E9 D4 01 00 00 8B 45 08 50 C6 45 FC 4C C6 45 FD 6F C6 45 FE A7 C6 45 FF 94 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 74 07 B3 0C E9 A7 01 00 00 8B 45 08 50 C6 45 FC 00 C6 45 FD 00 C6 45 FE 00 C6 45 FF 3C 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 0F 84 17 01 00 00 8B 45 08 50 8B 45 08 8B 40 F4 83 C0 04 E8 ?? ?? ?? ?? 59 83 F8 04 75 2D 8B 45 08 50 C6 45 FC 00 C6 45 FD 00 C6 45 FE 00 C6 45 FF 3F 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 74 07 B3 01 E9 38 01 00 00 8B 45 08 50 8B 45 08 8B 40 F4 83 C0 04 E8 ?? ?? ?? ?? 59 83 F8 04 0F 85 1C 01 00 00 8B 45 08 50 C6 45 FC 3C C6 45 FD 00 C6 45 FE 00 C6 45 FF 00 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 0F 84 F2 00 00 00 8B 45 08 50 8B 45 08 8B 40 F4 83 C0 08 E8 ?? ?? ?? ?? 59 83 F8 04 0F 85 D6 00 00 00 8B 45 08 50 C6 45 FC 00 C6 45 FD 00 C6 45 FE 3C C6 45 FF 00 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 0F 84 AC 00 00 00 8B 45 08 50 8B 45 08 8B 40 F4 83 C0 0C E8 ?? ?? ?? ?? 59 83 F8 04 0F 85 90 00 00 00 8B 45 08 50 C6 45 FC 00 C6 45 FD 3C C6 45 FE 00 C6 45 FF 00 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 74 6A B3 08 EB 66 8B 45 08 50 C6 45 FC 3C C6 45 FD 00 C6 45 FE 00 C6 45 FF 00 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 74 40 8B 45 08 50 8B 45 08 8B 40 F4 83 C0 04 E8 ?? ?? ?? ?? 59 83 F8 04 75 28 8B 45 08 50 C6 45 FC 3F C6 45 FD 00 C6 45 FE 00 C6 45 FF 00 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 74 02 B3 02 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_114620_0 {
	meta:
		name = "CheckWordValue"
		size = 94
		refs = "0021 CompareToRead"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 50 C6 45 FC FE C6 45 FD FF C6 45 FE 00 C6 45 FF 00 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 74 05 B0 05 59 5D C3 8B 45 08 50 C6 45 FC FF C6 45 FD FE C6 45 FE 00 C6 45 FF 00 8D 45 FC BA 03 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 74 04 B0 06 EB 02 33 C0 59 5D C3 }
	condition:
		$1
}

rule function_114621_0 {
	meta:
		name = "DetectCharEncoding"
		size = 219
		refs = "0016 TStream.GetPosition 0021 DetectCharEncoding 0046 CheckIntegerValue 0067 CheckWordValue 008b CompareToRead 00a4 ReadAtPos 00c5 TStream.SetPosition 00cb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 89 45 F8 8D 75 F4 C6 45 F3 00 8B 45 F8 E8 ?? ?? ?? ?? 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 06 EB 69 8B 1E 81 E3 03 00 00 80 79 05 4B 83 CB FC 43 85 DB 75 0C 55 E8 ?? ?? ?? ?? 59 88 45 F3 EB 1F 83 FB 02 75 1A 55 E8 ?? ?? ?? ?? 59 88 45 F3 80 7D F3 00 75 0A 55 E8 ?? ?? ?? ?? 59 88 45 F3 80 7D F3 00 75 23 55 C6 45 E8 EF C6 45 E9 BB C6 45 EA BF 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 59 84 C0 74 04 C6 45 F3 07 FF 06 80 7D F3 00 75 0E 55 8B 06 E8 ?? ?? ?? ?? 59 83 F8 04 74 83 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 EC 99 52 50 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 0F B6 45 F3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114622_0 {
	meta:
		name = "EncodingMatches"
		size = 173
		refs = "001d EncodingMatches 0038 @UStrLAsg 0069 CompareText 0098 @UStrArrayClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F0 89 55 F4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 7D F0 85 FF 7C 52 47 8B 5D F4 8D 45 FC 8B 13 E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 04 B3 01 EB 08 83 C3 04 4F 75 B2 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114623_0 {
	meta:
		name = "CheckEncoding"
		size = 204
		refs = "0014 CheckEncoding 0033 @UStrCopy 0042 ExtractAttrValue 0054 EncodingMatches 0064 Pos 007e @UStrDelete 0098 @UStrArrayClr 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 45 F8 50 8B 03 B9 32 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 36 8B D6 8B CF 8B 45 FC E8 ?? ?? ?? ?? 84 C0 75 26 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 83 C0 0C 8B CB 4A 91 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 08 00 00 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 }
	condition:
		$1
}

rule function_114624_0 {
	meta:
		name = "XMLStringToUnicodeString"
		size = 408
		refs = "0019 XMLStringToUnicodeString 0031 @UStrFromLStr 0043 @UStrCopy 0052 ExtractAttrValue 0067 @UStrLAsg 009b CompareText 00ae @LStrLAsg 00b9 UTF8ToUnicodeString 00c3 @UStrAsg 00ca AnsiEncodings 00d7 EncodingMatches 00ee SUnsupportedEncoding 00f3 LoadResString 010c XMLDocError 0111 UnicodeEncodings 011d CheckEncoding 0137 @UStrArrayClr 013f @LStrClr 0152 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 45 E8 50 8D 45 E4 8B D3 E8 ?? ?? ?? ?? 8B 45 E4 B9 32 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 E8 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 75 04 B0 01 EB 44 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 84 C0 74 21 8D 45 EC 8B D3 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 EC E8 ?? ?? ?? ?? 8B C6 8B 55 F0 E8 ?? ?? ?? ?? EB 47 BA ?? ?? ?? ?? B9 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0B 8B C6 8B D3 E8 ?? ?? ?? ?? EB 26 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 FC 89 45 D8 C6 45 DC 11 8D 55 D8 33 C9 58 E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C6 B9 02 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 }
	condition:
		$1
}

rule function_114626_0 {
	meta:
		name = "AddNodeClassInfo"
		size = 258
		refs = "0014 @DynArrayLength 0036 @UStrEqual 0084 TNodeClassInfo 0089 @CopyRecord 009f TNodeClassArray 00a4 @DynArraySetLength 00de @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 89 4D F8 89 55 FC 8B D8 8B 03 E8 ?? ?? ?? ?? 89 45 F4 8B 7D F4 4F 85 FF 0F 8C 8E 00 00 00 47 33 F6 8D 04 76 8B 13 8B 04 82 8B 55 F8 E8 ?? ?? ?? ?? 75 71 8D 04 76 8B 13 8B 44 82 04 8B 55 08 E8 ?? ?? ?? ?? 75 5E 83 7D FC 00 74 11 8D 04 76 8B 13 8B 4D FC 89 4C 82 08 E9 93 00 00 00 8B 7D F4 83 EF 02 2B FE 7C 21 47 8D 04 76 8B 13 8D 04 82 8D 14 76 8B 0B 8D 54 91 0C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 46 4F 75 E0 8B 45 F4 48 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 4C 46 4F 0F 85 75 FF FF FF 8B 45 F4 40 50 8B C3 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 75 F4 8D 34 76 8B 03 8D 04 B0 8B 55 F8 E8 ?? ?? ?? ?? 8B 03 8B 55 FC 89 54 B0 08 8B 03 8D 44 B0 04 8B 55 08 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_114627_0 {
	meta:
		name = "AppendItem"
		size = 184
		refs = "0018 AppendItem 0033 @UStrCat 0057 Format 0076 @UStrClr 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D FC 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 74 3F 83 3B 00 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC 50 89 7D EC C6 45 F0 11 89 75 F4 C6 45 F8 11 8D 55 EC B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 25 00 73 00 3D 00 22 00 25 00 73 00 22 00 00 00 }
	condition:
		$1
}

rule function_114628_0 {
	meta:
		name = "SplitString"
		size = 292
		refs = "0019 @DynArrayLength 007e TDOMStringDynArray 0083 @DynArraySetLength 00a1 @UStrFromPWCharLen"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 88 4D F9 66 89 55 FA 89 45 FC 8B 45 08 8B 00 E8 ?? ?? ?? ?? 89 45 F0 33 C0 89 45 EC BF 01 00 00 00 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 89 45 F4 8B 75 F4 85 F6 7E 6F BB 01 00 00 00 8B 45 FC 0F B7 44 58 FE 66 3B 45 FA 75 58 3B DF 7F 06 F6 45 F9 02 75 4B 8B 45 EC 3B 45 F0 75 25 8B 45 F0 03 C0 83 C0 08 89 45 F0 8B 45 F0 50 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8D 54 78 FE 8B 45 08 8B 00 8B 4D EC 8D 04 88 8B CB 2B CF E8 ?? ?? ?? ?? FF 45 EC 8D 7B 01 43 4E 75 96 3B 7D F4 7E 06 F6 45 F9 02 75 3F 8B 5D EC 43 3B 5D F0 74 17 53 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8D 54 78 FE 8B 45 08 8B 00 8B 4D EC 8D 04 88 8B 4D F4 2B CF 41 E8 ?? ?? ?? ?? EB 22 8B 45 EC 3B 45 F0 74 1A 8B 45 EC 50 8B 45 08 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_114629_0 {
	meta:
		name = "TXMLNodeList.Create"
		size = 118
		refs = "000e @ClassCreate 001b _Dn_TInterfaceList 0020 TInterfaceList.Create 0031 @IntfCopy 004b @UStrAsg 0054 TObject.Create 005f @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 8D 47 0C E8 ?? ?? ?? ?? 89 77 18 8B 45 08 89 47 10 8B 45 0C 89 47 14 8D 47 20 8B 55 10 E8 ?? ?? ?? ?? 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_114631_0 {
	meta:
		name = "TXMLNodeList.BeginUpdate"
		size = 4
	strings:
		$1 = { FF 40 1C C3 }
	condition:
		$1
}

rule function_114632_0 {
	meta:
		name = "TXMLNodeList.EndUpdate"
		size = 4
	strings:
		$1 = { FF 48 1C C3 }
	condition:
		$1
}

rule function_114633_0 {
	meta:
		name = "TXMLNodeList.DoNotify"
		size = 62
		refs = "0016 @IntfCopy"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 88 55 FF 8B D8 8B 75 08 8B C6 8B D7 E8 ?? ?? ?? ?? 66 83 7B 12 00 74 15 8B 45 10 50 0F B6 45 0C 50 0F B6 55 FF 8B CE 8B 43 14 FF 53 10 5F 5E 5B 59 5D C2 0C 00 }
	condition:
		$1
}

rule function_114635_0 {
	meta:
		name = "TXMLNodeList.IndexOf"
		size = 108
		refs = "000f TXMLNodeList.IndexOf 0024 @IntfCast 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 43 0C 8B 08 FF 51 34 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 00 C0 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114636_0 {
	meta:
		name = "TXMLNodeList.IndexOf"
		size = 9
		refs = "0004 TXMLNodeList.IndexOf"
	strings:
		$1 = { 8B 48 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_114651_0 {
	meta:
		name = "TXMLNodeList.Delete"
		size = 9
		refs = "0004 TXMLNodeList.Delete"
	strings:
		$1 = { 8B 48 20 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_114637_0 {
	meta:
		name = "TXMLNodeList.IndexOf"
		size = 151
		refs = "001d TXMLNodeList.IndexOf 002b TXMLNodeList.GetCount 0042 TXMLNodeList.Get 005b NodeMatches 007b @IntfClear 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D F0 89 5D EC 89 4D F4 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 31 43 33 F6 8D 4D EC 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 8B 08 FF 51 20 8B 45 F0 8B 4D F4 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 75 07 46 4B 75 D2 83 CE FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114638_0 {
	meta:
		name = "TXMLNodeList.FindNode"
		size = 83
		refs = "0011 @UStrAddRef 0019 TXMLNodeList.FindNode 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 56 8B 4B 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114639_0 {
	meta:
		name = "TXMLNodeList.FindNode"
		size = 132
		refs = "0018 @UStrAddRef 0028 TXMLNodeList.FindNode 003b TXMLNodeList.IndexOf 004c TXMLNodeList.Get 0055 @IntfClear 006f @UStrArrayClr 0075 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B D8 8B 7D 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 0D 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_114640_0 {
	meta:
		name = "TXMLNodeList.FindNode"
		size = 146
		refs = "0020 TXMLNodeList.FindNode 002d TXMLNodeList.GetCount 0043 TXMLNodeList.Get 004f @IntfClear 005a Supports 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 8B F2 8D 7D EC A5 A5 A5 A5 89 4D FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2E 43 33 F6 8D 4D E8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 FC E8 ?? ?? ?? ?? 8B C8 8D 55 EC 58 E8 ?? ?? ?? ?? 84 C0 75 0C 46 4B 75 D5 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114641_0 {
	meta:
		name = "TXMLNodeList.First"
		size = 124
		refs = "000f TXMLNodeList.First 003b @IntfCast 0044 @IntfClear 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 10 FF 52 14 85 C0 7E 1C 8D 55 FC 8B 43 0C 8B 08 FF 51 30 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 C0 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114642_0 {
	meta:
		name = "TXMLNodeList.Last"
		size = 124
		refs = "000f TXMLNodeList.Last 003b @IntfCast 0044 @IntfClear 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 0C 8B 10 FF 52 14 85 C0 7E 1C 8D 55 FC 8B 43 0C 8B 08 FF 51 40 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 C0 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114643_0 {
	meta:
		name = "TXMLNodeList.FindSibling"
		size = 80
		refs = "001a TXMLNodeList.IndexOf 003a TXMLNodeList.Get 0043 @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D F8 89 55 FC 8B F0 8B 7D 08 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 03 5D F8 85 DB 7C 19 8B 46 0C 8B 10 FF 52 14 3B D8 7D 0D 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_114644_0 {
	meta:
		name = "TXMLNodeList.Get"
		size = 116
		refs = "0018 TXMLNodeList.Get 003b @IntfCast 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B 43 0C 8B 18 FF 53 0C 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 C0 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114645_0 {
	meta:
		name = "TXMLNodeList.GetNode"
		size = 308
		refs = "001e TXMLNodeList.GetNode 002b VarIsOrdinal 0036 @VarToInteger 0053 @IntfCast 0062 @VarToUStr 006f TXMLNodeList.FindNode 0082 TXMLDocument.GetOptions 008e TXMLNode.GetNodeType 00a0 TXMLDocument.GetDocumentElement 00b8 TXMLNodeList.DoNotify 00c8 SNodeNotFound 00cd LoadResString 00e3 XMLDocError 00f8 @UStrClr 0100 @IntfClear 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 29 8B C6 E8 ?? ?? ?? ?? 8B D0 8D 4D F8 8B 43 0C 8B 18 FF 53 0C 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8B 00 00 00 8D 45 F4 8B D6 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 38 00 75 41 8B 43 18 8B 40 1C E8 ?? ?? ?? ?? A8 01 74 32 8B 43 18 E8 ?? ?? ?? ?? 3C 09 75 14 8D 55 F0 8B 43 18 8B 40 1C E8 ?? ?? ?? ?? 83 7D F0 00 75 12 56 6A 01 8B 45 FC 50 33 C9 B2 02 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 83 38 00 75 23 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 89 75 E4 C6 45 E8 0D 8D 55 E4 33 C9 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 00 C0 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114646_0 {
	meta:
		name = "TXMLNodeList.Add"
		size = 25
		refs = "000b TXMLNodeList.Insert 0012 TXMLNodeList.GetCount"
	strings:
		$1 = { 53 8B D8 8B CA 8B C3 83 CA FF E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 48 5B C3 }
	condition:
		$1
}

rule function_114647_0 {
	meta:
		name = "TXMLNodeList.InternalInsert"
		size = 268
		refs = "0021 TXMLNodeList.InternalInsert 0033 @OleVarFromInt 0049 TXMLNodeList.DoNotify 005e @IntfCast 00c3 @VarClr 00cc IXMLNode 00d6 @FinalizeArray 00e6 @IntfClear 00ec @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E8 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 45 E8 50 6A 01 8D 45 F8 50 8B 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 83 FE FF 74 21 8D 45 E4 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D E4 8B D6 8B 43 0C 8B 38 FF 57 3C 8B FE EB 1D 8D 45 E0 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E0 8B 43 0C 8B 08 FF 51 38 8B F8 8D 45 CC 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 45 CC 50 6A 00 8D 45 DC 50 8B 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 8B C7 5F 5E 5B 8B E5 5D C3 00 C0 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114648_0 {
	meta:
		name = "InsertFormattingNode"
		size = 268
		refs = "0018 InsertFormattingNode 0038 TXMLDocument.GetNodeIndentStr 0043 @UStrCat 005a @UStrCat3 007a TXMLDocument.GetDOMDocument 0087 CreateDOMNode 0091 _DV_TXMLNode 0096 TXMLNode.Create 00a7 @IntfCopy 00b7 TXMLNodeList.InternalInsert 00cc @IntfClear 00e1 @UStrArrayClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B F8 85 FF 7E 22 8D 55 F4 8B 45 08 8B 40 FC 8B 40 18 8B 40 1C E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 E8 ?? ?? ?? ?? 4F 75 DE 84 DB 74 10 8D 45 F8 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 58 18 6A 00 8B 43 1C 50 6A 00 8D 45 F0 50 8D 55 EC 8B 43 1C E8 ?? ?? ?? ?? 8B 45 EC B1 03 8B 55 F8 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA B8 8D 45 FC E8 ?? ?? ?? ?? 8B 45 08 8B 40 FC 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 0A 00 00 00 }
	condition:
		$1
}

rule function_114649_0 {
	meta:
		name = "TXMLNodeList.Insert"
		size = 305
		refs = "0019 TXMLNodeList.Insert 0041 TXMLDocument.GetOptions 0062 TXMLNodeList.GetCount 0075 TXMLNode.NestingLevel 007f InsertFormattingNode 00a2 TXMLNodeList.InternalInsert 00e1 TXMLNodeList.Get 011e @IntfClear 0124 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 58 18 83 7B 28 00 0F 84 CE 00 00 00 83 7B 24 00 0F 85 C4 00 00 00 8B 43 1C E8 ?? ?? ?? ?? A8 02 0F 84 B4 00 00 00 8B C7 8B 10 FF 52 38 04 FE 2C 02 0F 82 A3 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 85 C0 75 1A 55 8B 45 FC 8B 40 18 8B 40 28 E8 ?? ?? ?? ?? B1 01 83 CA FF E8 ?? ?? ?? ?? 59 83 FE FF 75 11 55 33 C9 83 CA FF B8 01 00 00 00 E8 ?? ?? ?? ?? 59 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 8B D8 46 75 12 8B 45 FC 8B 40 18 8B 40 28 E8 ?? ?? ?? ?? 8B F0 EB 0D 8B 45 FC 8B 40 18 E8 ?? ?? ?? ?? 8B F0 8B 45 FC E8 ?? ?? ?? ?? 48 3B D8 7D 1A 8D 4D F8 8D 53 01 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 38 3C 03 74 1C 55 8D 53 01 B1 01 8B C6 E8 ?? ?? ?? ?? 59 EB 0C 8B CF 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114650_0 {
	meta:
		name = "TXMLNodeList.Delete"
		size = 85
		refs = "000f TXMLNodeList.Delete 0021 TXMLNodeList.Get 002b TXMLNodeList.Remove 0042 @IntfClear 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114652_0 {
	meta:
		name = "TXMLNodeList.Delete"
		size = 103
		refs = "0012 TXMLNodeList.Delete 0027 TXMLNodeList.FindNode 0037 TXMLNodeList.Remove 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 0E 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D8 EB 03 83 CB FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114653_0 {
	meta:
		name = "TXMLNodeList.Remove"
		size = 228
		refs = "001b TXMLNodeList.Remove 0030 @OleVarFromInt 0045 TXMLNodeList.DoNotify 0054 @IntfCast 009a @VarClr 00a3 IXMLNode 00ad @FinalizeArray 00bd @IntfClear 00c3 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC BA FF FF FF FF B1 FF E8 ?? ?? ?? ?? 8D 45 EC 50 6A 01 8D 45 FC 50 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E8 8B 43 0C 8B 08 FF 51 44 8B F8 8D 45 D4 BA FF FF FF FF B1 FF E8 ?? ?? ?? ?? 8D 45 D4 50 6A 00 8D 45 E4 50 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 8B C7 5F 5E 5B 8B E5 5D C3 00 00 C0 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114654_0 {
	meta:
		name = "TXMLNodeList.ReplaceNode"
		size = 49
		refs = "0011 TXMLNodeList.Remove 001c TXMLNodeList.Insert 0026 @IntfCopy"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D0 8B C3 E8 ?? ?? ?? ?? 8B 45 08 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_114655_0 {
	meta:
		name = "TXMLNodeList.Clear"
		size = 156
		refs = "0012 TXMLNodeList.Clear 0040 TXMLNodeList.Get 004b TXMLNodeList.Remove 0053 TXMLNodeList.GetCount 0075 @HandleFinally 008c @IntfClear"
	strings:
		$1 = { 55 8B EC 83 C4 F8 33 D2 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 40 0C 8B 10 FF 52 48 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 18 8D 4D F8 33 D2 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 85 C0 7F DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 0C 8B 10 FF 52 4C C3 E9 ?? ?? ?? ?? EB ED 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 59 5D C3 }
	condition:
		$1
}

rule function_114657_0 {
	meta:
		name = "TXMLNode.Create"
		size = 194
		refs = "0010 @ClassCreate 001e TXMLNode.Create 002d TObject.Create 0039 SMissingNode 003e LoadResString 0046 XMLDocError 0050 @IntfCopy 006a TXMLNode.GetNodeType 0097 @UStrClr 009d @HandleFinally 00aa @AfterConstruction"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C7 E8 ?? ?? ?? ?? 85 F6 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 47 20 8B D6 E8 ?? ?? ?? ?? 8B 45 0C 89 47 28 8B 45 08 89 47 1C 8B 77 28 85 F6 74 16 8B C6 E8 ?? ?? ?? ?? 3C 09 75 0B 8B C7 E8 ?? ?? ?? ?? 3C 01 74 04 33 C0 EB 02 B0 01 88 47 30 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114658_0 {
	meta:
		name = "TXMLNode.CreateHosted"
		size = 102
		refs = "000e @ClassCreate 0034 TXMLNode.Create 0044 TXMLNode.AddHostedNode 0051 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B D9 88 55 FF 8B F0 EB 02 8B D8 8B 43 24 85 C0 75 F7 8B 43 28 50 8B 43 1C 50 8B 4B 20 33 D2 8B C6 E8 ?? ?? ?? ?? C6 46 30 00 8B C3 89 46 24 8B D6 E8 ?? ?? ?? ?? 8B C6 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114659_0 {
	meta:
		name = "TXMLNode.Destroy"
		size = 103
		refs = "0004 @BeforeDestruction 0013 TObject.Destroy 0021 @DynArrayLength 0041 TXMLNodeArray 0046 @DynArrayClear 0054 TXMLNode.RemoveHostedNode 005f @ClassDestroy"
	strings:
		$1 = { 53 56 57 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 83 7E 2C 00 74 2D 8B 46 2C E8 ?? ?? ?? ?? 48 85 C0 7C 12 40 33 D2 8B 4E 2C 8B 0C 91 33 FF 89 79 24 42 48 75 F1 8D 46 2C 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 46 24 85 C0 74 07 8B D6 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114660_0 {
	meta:
		name = "TXMLNode._AddRef"
		size = 50
		refs = "000a TInterfacedObject._AddRef 0026 TXMLDocument._AddRef"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 53 E8 ?? ?? ?? ?? 8B F0 80 7B 30 00 74 14 83 FE 01 7E 0F 83 7B 1C 00 74 09 8B 43 1C 50 E8 ?? ?? ?? ?? 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_114661_0 {
	meta:
		name = "TXMLNode._Release"
		size = 49
		refs = "000a TInterfacedObject._Release 0025 TXMLDocument._Release"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 53 E8 ?? ?? ?? ?? 8B F0 85 F6 7E 15 80 7B 30 00 74 0F 83 7B 1C 00 74 09 8B 43 1C 50 E8 ?? ?? ?? ?? 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_114662_0 {
	meta:
		name = "TXMLNode.ClearDocumentRef"
		size = 312
		refs = "0019 TXMLNode.ClearDocumentRef 004e @OleVarFromInt 006c @IntfCast 00eb @VarClr 00f3 @IntfClear 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 46 1C 83 7E 10 00 74 53 8B 46 10 8B 10 FF 52 0C 8B D8 4B 85 DB 7C 44 43 C7 45 FC 00 00 00 00 8D 45 E4 8B 55 FC B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F4 8B 46 10 8B 38 FF 57 10 8B 55 F4 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 B4 00 00 00 FF 45 FC 4B 75 C4 83 7E 0C 00 74 53 8B 46 0C 8B 10 FF 52 0C 8B D8 4B 85 DB 7C 44 43 C7 45 FC 00 00 00 00 8D 45 CC 8B 55 FC B1 FC E8 ?? ?? ?? ?? 8D 55 CC 8D 4D DC 8B 46 0C 8B 38 FF 57 10 8B 55 DC 8D 45 E0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8B 10 FF 92 B4 00 00 00 FF 45 FC 4B 75 C4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C8 5F 5E 5B 8B E5 5D C3 00 00 37 90 81 6C 66 AB A8 4A B2 A5 95 8E DA 86 27 B7 }
	condition:
		$1
}

rule function_114663_0 {
	meta:
		name = "TXMLNode.CreateAttributeList"
		size = 321
		refs = "001c TXMLNode.CreateAttributeList 002a TXMLNode.AttributeListNotify 0033 _DV_TXMLNodeList 0038 TXMLNodeList.Create 0043 @IntfClear 0052 @CheckAutoResult 00f9 @IntfCopy 0134 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 53 68 ?? ?? ?? ?? 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 43 20 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 83 7D F0 00 0F 84 8B 00 00 00 8D 45 EC 50 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 43 20 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 75 EC 4E 85 F6 7C 5A 46 C7 45 F8 00 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8D 45 DC E8 ?? ?? ?? ?? 50 8B 43 20 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 55 E0 8D 4D E4 8B C3 8B 38 FF 17 8B 55 E4 8B 45 F4 8B 40 0C 8B 08 FF 51 38 FF 45 F8 4E 75 AE 8B 45 FC 8B 55 F4 85 D2 74 03 83 EA DC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114664_0 {
	meta:
		name = "TXMLNode.GetAttributeNodes"
		size = 119
		refs = "0010 TXMLNode.GetAttributeNodes 003c @CallDynaInst 0050 @IntfCopy 0065 @IntfClear 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 24 85 F6 74 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 28 83 7B 0C 00 75 18 8D 55 FC 8B C3 66 BE FF FF E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 14 8B C7 8B 53 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114665_0 {
	meta:
		name = "TXMLNode.SetAttributeNodes"
		size = 70
		refs = "0014 @IntfCopy 0022 @DynArrayLength"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 83 7B 24 00 75 33 8D 43 0C 8B D5 E8 ?? ?? ?? ?? 83 7B 2C 00 74 23 8B 43 2C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 FF 8B 43 2C 8B 04 B8 8B D5 8B 08 FF 51 14 47 4E 75 EF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114666_0 {
	meta:
		name = "TXMLNode.HasAttribute"
		size = 155
		refs = "0013 TXMLNode.HasAttribute 0020 TXMLNode.GetNodeType 0033 TXMLNode.DOMElement 0044 @CheckAutoResult 005a TXMLNode.GetAttributeNodes 007f @IntfClear 008d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3C 01 75 2C 8D 45 FC 50 56 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 A0 00 00 00 E8 ?? ?? ?? ?? 66 83 7D FC 01 1B C0 40 8B D8 EB 1A 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B D6 8B 08 FF 51 50 40 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114667_0 {
	meta:
		name = "TXMLNode.HasAttribute"
		size = 170
		refs = "001b TXMLNode.HasAttribute 0028 TXMLNode.GetNodeType 003f TXMLNode.DOMElement 0050 @CheckAutoResult 0066 TXMLNode.GetAttributeNodes 008e @IntfClear 009c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 33 DB 89 5D F0 89 5D F4 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3C 01 75 30 8D 45 F8 50 56 8B 45 FC 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? 66 83 7D F8 01 1B C0 40 8B D8 EB 1D 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 4D FC 8B D6 8B 18 FF 53 54 40 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114668_0 {
	meta:
		name = "TXMLNode.CreateAttributeNode"
		size = 49
		refs = "0014 _DV_TXMLNode 0019 TXMLNode.Create 0029 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 6A 00 8B 43 1C 50 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA B8 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114669_0 {
	meta:
		name = "TXMLNode.GetAttribute"
		size = 265
		refs = "0020 TXMLNode.GetAttribute 002f TXMLNode.HasAttribute 003a TXMLNode.GetNodeType 0046 @UStrClr 0052 TXMLNode.DOMElement 0060 @CheckAutoResult 006b @OleVarFromUStr 0077 TXMLNode.GetAttributeNodes 009f TXMLDocument.GetOptions 00ab Null 00b6 @OleVarFromVar 00d7 @VarClr 00df @IntfClear 00fd @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5E 8B C3 E8 ?? ?? ?? ?? 3C 01 75 2F 8D 45 F8 E8 ?? ?? ?? ?? 50 56 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? EB 55 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 4D F0 8B D6 8B 18 FF 53 38 8B 45 F0 8B 55 FC 8B 08 FF 51 3C EB 31 8B 73 1C 85 F6 74 0B 8B C6 E8 ?? ?? ?? ?? A8 04 74 15 8D 45 DC E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? EB 0A 8B 45 FC 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114670_0 {
	meta:
		name = "TXMLNode.GetAttributeNS"
		size = 244
		refs = "0020 TXMLNode.GetAttributeNS 0036 TXMLNode.DOMElement 0047 @CheckAutoResult 0056 @UStrClr 007f @OleVarFromUStr 008f TXMLDocument.GetOptions 009b Null 00a6 @OleVarFromVar 00c7 @VarClr 00cf @IntfClear 00e5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 56 57 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? 66 83 7D FC 00 74 33 8D 45 F4 E8 ?? ?? ?? ?? 50 56 57 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 08 E8 ?? ?? ?? ?? EB 31 8B 73 1C 85 F6 74 0B 8B C6 E8 ?? ?? ?? ?? A8 04 74 15 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 08 E8 ?? ?? ?? ?? EB 0A 8B 45 08 33 D2 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_114671_0 {
	meta:
		name = "TXMLNode.SetAttribute"
		size = 592
		refs = "0021 TXMLNode.SetAttribute 002e VarIsNull 0038 AttrChangeTypeMap 003e UseXSDBooleanStrings 005c @VarToBool 0066 XSDBoolStrs 006e @OleVarFromUStr 007a @VarCopy 008c TXMLNode.GetNodeType 009c @IntfClear 00ab @CheckAutoResult 00d2 TXMLDocument.GetDOMDocument 00ee @VarToUStr 018d TXMLNode.DOMElement 01e3 IDOMElement 01ed @FinalizeArray 01f5 @UStrClr 0235 @VarClr 0243 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 89 55 E4 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 83 E0 7F 0F B6 98 ?? ?? ?? ?? 80 3D ?? ?? ?? ?? 00 74 0E 80 FB 03 75 09 66 83 3F 0B 0F 94 C0 EB 02 33 C0 84 C0 74 1B 8B C7 E8 ?? ?? ?? ?? 83 E0 7F 8B 14 85 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? EB 0A 8D 45 E8 8B D7 E8 ?? ?? ?? ?? 8B D3 B1 01 8B C6 8B 38 FF 57 10 8B C6 E8 ?? ?? ?? ?? 3C 01 0F 84 D7 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 46 20 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 83 7D E0 00 0F 84 B6 00 00 00 80 FB 03 75 7D 8D 45 FC E8 ?? ?? ?? ?? 50 8B 45 E4 50 8D 55 DC 8B 46 1C E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8D 45 D0 E8 ?? ?? ?? ?? 50 8B 46 20 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 D0 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? E9 82 00 00 00 8D 45 CC E8 ?? ?? ?? ?? 50 8B 45 E4 50 8D 45 C8 E8 ?? ?? ?? ?? 50 8B 46 20 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? EB 4E 80 FB 03 75 2D 8D 45 C4 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 C4 50 8B 45 E4 50 8D 55 C0 8B C6 E8 ?? ?? ?? ?? 8B 45 C0 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? EB 1C 8B 45 E4 50 8D 55 BC 8B C6 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 00 FF 50 74 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 14 8B D3 33 C9 8B C6 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 95 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114672_0 {
	meta:
		name = "TXMLNode.SetAttributeNS"
		size = 356
		refs = "001d TXMLNode.SetAttributeNS 0033 TXMLNode.GetPrefixedName 003b VarIsNull 0045 AttrChangeTypeMap 005f UseXSDBooleanStrings 007c @VarToBool 0086 XSDBoolStrs 0099 TXMLNode.DOMElement 00aa @CheckAutoResult 00b7 @VarToUStr 012d IDOMElement 0137 @FinalizeArray 013f @UStrClr 0147 @IntfClear 0155 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 4D F8 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 83 E0 7F 0F B6 98 ?? ?? ?? ?? 8B D3 B1 01 8B C6 8B 38 FF 57 10 80 FB 03 0F 85 87 00 00 00 80 3D ?? ?? ?? ?? 00 74 0C 8B 45 08 66 83 38 0B 0F 94 C0 EB 02 33 C0 84 C0 74 38 8B 45 08 E8 ?? ?? ?? ?? 83 E0 7F 8B 04 85 ?? ?? ?? ?? 50 8B 45 FC 50 8B 45 F8 50 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? EB 57 8D 45 F0 8B 55 08 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 45 FC 50 8B 45 F8 50 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? EB 23 8B 45 FC 50 8B 45 F8 50 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 33 D2 8B C6 8B 08 FF 51 14 8B D3 33 C9 8B C6 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_114673_0 {
	meta:
		name = "TXMLNode.AttributeListNotify"
		size = 556
		refs = "0022 TXMLNode.AttributeListNotify 0033 NodeChangeMap 0052 TXMLNode.GetAttributeNodes 0081 @IntfClear 009f @IntfCast 00ad TXMLNode.DOMElement 00be @CheckAutoResult 0118 @VarToUStr 0125 TXMLDocument.CreateNode 0130 @IntfCopy 0155 @DynArrayLength 01b2 @UStrClr 01d3 IDOMAttr 01dd @FinalizeArray 020e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D F8 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 FF 0F B6 90 ?? ?? ?? ?? 0F B6 4D 08 8B C3 8B 30 FF 56 10 80 7D 08 00 0F 84 FF 00 00 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 85 C0 0F 85 E5 00 00 00 0F B6 45 FF 2C 01 72 59 74 0D FE C8 0F 84 93 00 00 00 E9 CE 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 55 E0 8B 45 F8 8B 00 8B 08 FF 51 20 8B 55 E0 8D 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? E9 84 00 00 00 8D 45 D8 E8 ?? ?? ?? ?? 50 8D 55 D0 8B 45 F8 8B 00 8B 08 FF 51 20 8B 55 D0 8D 45 D4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 50 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? EB 40 6A 00 8D 45 C8 50 8D 45 C4 8B 55 0C E8 ?? ?? ?? ?? 8B 55 C4 B1 02 8B 43 1C E8 ?? ?? ?? ?? 8B 55 C8 8B 45 F8 E8 ?? ?? ?? ?? 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 8B 45 C0 8B 55 F8 8B 12 8B 08 FF 51 18 83 7B 2C 00 74 48 8B 43 2C E8 ?? ?? ?? ?? 48 85 C0 7C 3B 40 89 45 F0 C7 45 F4 00 00 00 00 8B 43 2C 8B 55 F4 8B 04 90 66 83 78 42 00 74 18 8B 55 0C 52 0F B6 55 08 52 0F B6 55 FF 8B 4D F8 8B F0 8B 46 44 FF 56 40 FF 45 F4 FF 4D F0 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 92 5E 5B 8B E5 5D C2 08 00 E5 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114674_0 {
	meta:
		name = "TXMLNode.CreateChildList"
		size = 302
		refs = "001c TXMLNode.CreateChildList 002c TXMLNode.GetNamespaceURI 0040 _DV_TXMLNodeList 0045 TXMLNodeList.Create 0054 @IntfClear 0063 @CheckAutoResult 00e6 @IntfCopy 011b @UStrClr 0121 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 53 8B 03 8B 40 0C 50 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 8D 45 EC 50 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 43 20 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 75 EC 4E 85 F6 7C 5B 46 C7 45 F8 00 00 00 00 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8D 45 DC E8 ?? ?? ?? ?? 50 8B 43 20 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 55 E0 8D 4D E4 8B C3 8B 38 FF 57 04 8B 55 E4 8B 45 F4 8B 40 0C 8B 08 FF 51 38 FF 45 F8 4E 75 AD 8B 45 FC 8B 55 F4 85 D2 74 03 83 EA DC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114675_0 {
	meta:
		name = "TXMLNode.GetHasChildNodes"
		size = 30
		refs = "000f @CheckAutoResult"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 20 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 66 83 3C 24 01 1B C0 40 5A 5B C3 }
	condition:
		$1
}

rule function_114676_0 {
	meta:
		name = "TXMLNode.GetChildNodes"
		size = 119
		refs = "0010 TXMLNode.GetChildNodes 003c @CallDynaInst 0050 @IntfCopy 0065 @IntfClear 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 24 85 F6 74 0B 8B D7 8B C6 E8 ?? ?? ?? ?? EB 28 83 7B 10 00 75 18 8D 55 FC 8B C3 66 BE FE FF E8 ?? ?? ?? ?? 8B 55 FC 8B C3 8B 08 FF 51 18 8B C7 8B 53 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114677_0 {
	meta:
		name = "TXMLNode.SetChildNodes"
		size = 70
		refs = "0014 @IntfCopy 0022 @DynArrayLength"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 83 7B 24 00 75 33 8D 43 10 8B D5 E8 ?? ?? ?? ?? 83 7B 2C 00 74 23 8B 43 2C E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 14 46 33 FF 8B 43 2C 8B 04 B8 8B D5 8B 08 FF 51 18 47 4E 75 EF 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114678_0 {
	meta:
		name = "TXMLNode.HasChildNode"
		size = 85
		refs = "000f TXMLNode.HasChildNode 001f TXMLNode.GetNamespaceURI 0042 @UStrClr 0048 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114679_0 {
	meta:
		name = "TXMLNode.HasChildNode"
		size = 229
		refs = "0020 TXMLNode.HasChildNode 0036 @IntfClear 0045 @CheckAutoResult 009b NodeMatches 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 DB 89 5D E8 89 5D E4 89 5D EC 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8D 45 F0 50 8D 45 EC E8 ?? ?? ?? ?? 50 8B 47 20 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 5D F0 4B 85 DB 7C 4E 43 33 F6 8D 45 E8 E8 ?? ?? ?? ?? 50 56 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 47 20 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 E8 8B 4D F8 8B 55 FC E8 ?? ?? ?? ?? 84 C0 74 06 C6 45 F7 01 EB 04 46 4B 75 B5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114680_0 {
	meta:
		name = "TXMLNode.AddChild"
		size = 164
		refs = "0016 TXMLNode.AddChild 0023 IsPrefixed 0031 @UStrLAsg 003d TXMLNode.FindNamespaceURI 0049 TXMLNode.GetPrefix 0056 MakeNodeName 0060 TXMLNode.GetNamespaceURI 0075 TXMLNode.InternalAddChild 008f @UStrArrayClr 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 18 8D 45 FC 8B D6 E8 ?? ?? ?? ?? 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? EB 21 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8D 4D FC 8B D6 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 57 8B 45 08 50 8B 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_114681_0 {
	meta:
		name = "TXMLNode.AddChild"
		size = 274
		refs = "0018 TXMLNode.AddChild 0028 @UStrLAsg 0034 TXMLNode.FindNamespaceDecl 004f TXMLNode.GetPrefixedName 0058 IsPrefixed 0076 TXMLDocument.GeneratePrefix 0084 MakeNodeName 009b ExtractPrefix 00b0 TXMLNode.InternalAddChild 00c2 TXMLDocument.GetOptions 00f5 @UStrArrayClr 00fd @IntfClear 0103 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D7 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 95 C0 22 45 10 74 11 8D 45 F8 50 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? EB 4A 8B C7 E8 ?? ?? ?? ?? 84 C0 75 35 80 7D 10 00 74 39 8D 4D F4 8B D3 85 D2 74 03 83 EA B8 8B 43 1C E8 ?? ?? ?? ?? 8D 4D F0 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 8D 45 F8 E8 ?? ?? ?? ?? EB 0A 8D 55 F4 8B C7 E8 ?? ?? ?? ?? 56 8B 45 0C 50 8B 45 08 50 8B 4D F8 33 D2 8B C3 E8 ?? ?? ?? ?? 85 F6 74 27 83 7B 1C 00 74 21 8B 43 1C E8 ?? ?? ?? ?? A8 10 74 15 83 7D FC 00 75 0F 8B 45 08 8B 00 8B CE 8B 55 F4 8B 18 FF 53 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule function_114682_0 {
	meta:
		name = "TXMLNode.AddChild"
		size = 40
		refs = "001d TXMLNode.InternalAddChild"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 57 8B 45 0C 50 8B 45 08 50 8B CE 8B 55 10 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_114683_0 {
	meta:
		name = "TXMLNode.CreateCollection"
		size = 150
		refs = "0010 @UStrAddRef 0018 TXMLNode.CreateCollection 0029 TXMLNode.CreateHosted 003b TXMLNode.GetNamespaceURI 0051 @UStrAsg 0081 @UStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE B2 01 8B C3 E8 ?? ?? ?? ?? 8B D8 83 7D 08 00 75 0A 8D 55 08 8B C6 E8 ?? ?? ?? ?? 56 8B F7 8D 7B 50 A5 A5 A5 A5 5E 8D 43 64 8B 55 0C E8 ?? ?? ?? ?? 8D 43 60 8B 55 08 E8 ?? ?? ?? ?? 83 7E 10 00 74 0A 8B 56 10 8B C3 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_114684_0 {
	meta:
		name = "TXMLNode.ChildListNotify"
		size = 696
		refs = "0021 TXMLNode.ChildListNotify 0032 NodeChangeMap 0051 TXMLNode.GetChildNodes 0080 @IntfClear 00a0 @CheckAutoResult 00b2 @IntfCast 00f8 @VarToInteger 01b9 @VarToUStr 01c6 TXMLNode.AddChild 01d1 @IntfCopy 01df @DynArrayLength 0234 @UStrClr 025d IDOMNode 0267 @FinalizeArray 0298 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F8 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 45 FF 0F B6 90 ?? ?? ?? ?? 0F B6 4D 08 8B C3 8B 30 FF 56 10 80 7D 08 00 0F 84 8A 01 00 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 14 85 C0 0F 85 70 01 00 00 0F B6 45 FF 2C 01 72 5B 74 0D FE C8 0F 84 37 01 00 00 E9 59 01 00 00 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 55 E4 8B 45 F8 8B 00 8B 08 FF 51 20 8B 45 E4 50 8B 43 20 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 8D 45 E0 8B 55 F8 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 33 D2 8B 08 FF 91 F4 00 00 00 E9 0D 01 00 00 8D 45 DC 50 8D 45 D8 E8 ?? ?? ?? ?? 50 8B 43 20 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 75 DC 8B 45 0C E8 ?? ?? ?? ?? 3B F0 77 2A 8D 45 D4 E8 ?? ?? ?? ?? 50 8D 55 D0 8B 45 F8 8B 00 8B 08 FF 51 20 8B 45 D0 50 8B 43 20 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? EB 63 8D 45 CC E8 ?? ?? ?? ?? 50 8D 45 C8 E8 ?? ?? ?? ?? 50 8B 45 0C E8 ?? ?? ?? ?? 50 8D 45 C4 E8 ?? ?? ?? ?? 50 8B 43 20 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 C4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 C8 50 8D 55 C0 8B 45 F8 8B 00 8B 08 FF 51 20 8B 45 C0 50 8B 43 20 50 8B 00 FF 50 48 E8 ?? ?? ?? ?? 8D 45 BC 8B 55 F8 8B 12 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 BC 8B D3 8B 08 FF 91 F4 00 00 00 EB 27 8D 45 B8 50 8D 45 B4 8B 55 0C E8 ?? ?? ?? ?? 8B 55 B4 83 C9 FF 8B C3 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 F8 E8 ?? ?? ?? ?? 83 7B 2C 00 74 48 8B 43 2C E8 ?? ?? ?? ?? 48 85 C0 7C 3B 40 89 45 F0 C7 45 F4 00 00 00 00 8B 43 2C 8B 55 F4 8B 04 90 66 83 78 3A 00 74 18 8B 55 0C 52 0F B6 55 08 52 0F B6 55 FF 8B 4D F8 8B F0 8B 46 3C FF 56 38 FF 45 F4 FF 4D F0 75 D0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 92 5E 5B 8B E5 5D C2 08 00 00 00 37 90 81 6C 66 AB A8 4A B2 A5 95 8E DA 86 27 B7 }
	condition:
		$1
}

rule function_114685_0 {
	meta:
		name = "TXMLNode.CreateChildNode"
		size = 260
		refs = "001d TXMLNode.CreateChildNode 0055 _DV_TXMLNode 0062 TXMLNode.GetChildNodeClasses 006a @DynArrayLength 009c NodeMatches 00c0 TXMLNode.Create 00d1 @IntfCopy 00e7 TNodeClassArray 00f1 @FinalizeArray 00f7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D E8 89 5D EC 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 24 85 F6 74 12 8B 4D F8 8B 55 FC 8B C6 8B 18 FF 53 04 E9 95 00 00 00 8B 55 FC 8B 43 1C 8B 08 FF 51 48 89 45 F0 83 7D F0 00 75 5E A1 ?? ?? ?? ?? 89 45 F0 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 3D 47 C7 45 F4 00 00 00 00 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 F4 8D 14 52 8D 34 90 8B 4E 04 8B 16 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 8B 46 08 89 45 F0 EB 06 FF 45 F4 4F 75 CB 53 8B 43 1C 50 8B 4D FC B2 01 8B 45 F0 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA B8 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114686_0 {
	meta:
		name = "TXMLNode.RegisterChildNode"
		size = 132
		refs = "0010 @UStrAddRef 0018 TXMLNode.RegisterChildNode 0044 TXMLNode.GetNamespaceURI 0054 AddNodeClassInfo 005c @IntfClear 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 24 85 C0 74 0F 8B 55 08 52 8B CF 8B D6 E8 ?? ?? ?? ?? EB 28 83 7D 08 00 75 0A 8D 55 08 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8D 43 14 8B CE 8B D7 E8 ?? ?? ?? ?? 8D 43 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_114687_0 {
	meta:
		name = "TXMLNode.InternalAddChild"
		size = 256
		refs = "001c TXMLNode.InternalAddChild 0029 TXMLNode.GetNodeType 003d @IntfCast 0047 @IntfClear 0056 @CheckAutoResult 006b CreateDOMNode 008e TXMLNode.Create 009e @IntfCopy 00a8 TXMLNode.GetChildNodes 00e0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B FA 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3C 09 75 12 8D 45 FC 8B 53 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 8D 45 FC E8 ?? ?? ?? ?? 50 8B 43 20 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 45 10 50 8D 45 F8 50 B1 01 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 85 FF 75 0E 8B CE 8B 55 F8 8B C3 8B 38 FF 57 04 EB 21 53 8B 43 1C 50 8B 4D F8 B2 01 8B C7 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA B8 8B C6 E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 0E 8B 55 0C 8B 18 FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 0C 00 00 F0 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114688_0 {
	meta:
		name = "TXMLNode.FindNamespaceURI"
		size = 528
		refs = "0021 TXMLNode.FindNamespaceURI 002f @UStrClr 0036 IsPrefixed 0044 ExtractPrefix 0050 @UStrLAsg 0061 TXMLNode.GetAttributeNodes 0092 @OleVarFromInt 00b6 @UStrEqual 00f8 ExtractLocalName 0141 @VarToUStr 0175 @VarClr 017d @IntfClear 018e OleVariant 0198 @FinalizeArray 01b5 @UStrArrayClr 01eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0E 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? EB 0A 8D 45 FC 8B D3 E8 ?? ?? ?? ?? 8B DE E9 F9 00 00 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 0C 48 85 C0 0F 8C DB 00 00 00 40 89 45 F4 33 F6 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 45 D4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 D4 8D 4D E8 58 8B 38 FF 57 10 8B 45 E8 8D 55 EC 8B 08 FF 51 48 8B 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 87 00 00 00 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8B 45 C4 50 8D 45 B4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 B4 8D 4D C8 58 8B 38 FF 57 10 8B 45 C8 8D 55 CC 8B 08 FF 51 34 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 55 D0 8B 45 FC E8 ?? ?? ?? ?? 75 3E 8D 55 9C 8B C3 E8 ?? ?? ?? ?? 8B 45 9C 50 8D 45 8C 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 8C 8D 4D A0 58 8B 38 FF 57 10 8B 45 A0 8D 55 A4 8B 08 FF 51 3C 8D 55 A4 8B 45 F8 E8 ?? ?? ?? ?? EB 0A 46 FF 4D F4 0F 85 2B FF FF FF 8B 5B 28 8B 45 F8 83 38 00 75 08 85 DB 0F 85 F7 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 80 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_114689_0 {
	meta:
		name = "TXMLNode.FindNamespaceDecl"
		size = 432
		refs = "0024 TXMLNode.FindNamespaceDecl 0032 @IntfClear 003d TXMLNode.GetAttributeNodes 006e @OleVarFromInt 0090 VarToStr 009b SameNamespace 00b7 @UStrEqual 013b @VarClr 0150 @UStrArrayClr 0160 @UStrClr 0171 IXMLNodeList 017b @FinalizeArray 0189 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 52 0C 8B F0 4E 85 F6 0F 8C B4 00 00 00 46 33 DB 8D 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 45 D8 8B D3 B1 FC E8 ?? ?? ?? ?? 8D 55 D8 8D 4D FC 58 8B 38 FF 57 10 8D 55 C4 8B 45 FC 8B 08 FF 51 3C 8D 45 C4 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 8B 55 F4 E8 ?? ?? ?? ?? 84 C0 74 5D 8D 55 C0 8B 45 FC 8B 08 FF 51 48 8B 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 1A 8D 55 BC 8B 45 FC 8B 08 FF 51 34 8B 45 BC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 29 8D 55 B8 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 B8 50 8D 45 A8 8B D3 B1 FC E8 ?? ?? ?? ?? 8D 55 A8 8B 4D F0 58 8B 30 FF 56 10 EB 08 43 4E 0F 85 4F FF FF FF 8B 45 F0 83 38 00 75 1A 8B 45 F8 83 78 28 00 74 11 8B 4D F0 8B 45 F8 8B 40 28 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A8 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_114690_0 {
	meta:
		name = "TXMLNode.DeclareNamespace"
		size = 288
		refs = "001c TXMLNode.DeclareNamespace 002e TXMLNode.FindNamespaceDecl 0041 @UStrLAsg 005b @UStrCatN 0065 @OleVarFromUStr 0078 TXMLNode.SetAttributeNS 008d @VarClr 0095 @UStrClr 009d @IntfClear 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 44 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 FF 74 16 FF 75 F8 68 ?? ?? ?? ?? 57 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B D6 E8 ?? ?? ?? ?? 8D 45 E8 50 B9 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 05 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 30 00 2F 00 78 00 6D 00 6C 00 6E 00 73 00 2F 00 00 00 }
	condition:
		$1
}

rule function_114691_0 {
	meta:
		name = "TXMLNode.GetPrefixedName"
		size = 228
		refs = "001c TXMLNode.GetPrefixedName 002a TXMLDocument.GetOptions 0035 IsPrefixed 0046 TXMLNode.FindNamespaceDecl 0064 @UStrEqual 007d MakeNodeName 0088 @UStrAsg 00ad @UStrArrayClr 00b5 @IntfClear 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 1C E8 ?? ?? ?? ?? A8 08 74 5C 8B C6 E8 ?? ?? ?? ?? 84 C0 75 51 8D 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 33 8D 55 F4 8B 45 FC 8B 08 FF 51 34 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 19 8D 55 F0 8B 45 FC 8B 08 FF 51 2C 8B 45 F0 8B CF 8B D6 E8 ?? ?? ?? ?? EB 14 8B C7 8B D6 E8 ?? ?? ?? ?? EB 09 8B C7 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_114692_0 {
	meta:
		name = "TXMLNode.CloneNode"
		size = 140
		refs = "0019 TXMLNode.CloneNode 0031 @IntfClear 0047 @CheckAutoResult 0053 TXMLNode.Create 0064 @IntfCopy 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 89 4D FC 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 07 89 C6 6A 00 8B 47 1C 50 8D 45 F8 E8 ?? ?? ?? ?? 50 80 FB 01 F5 1B C0 50 8B 47 20 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 8B 4D F8 B2 01 8B C6 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA B8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114693_0 {
	meta:
		name = "TXMLNode.Resync"
		size = 23
	strings:
		$1 = { 53 8B D8 33 D2 8B C3 8B 08 FF 51 14 33 D2 8B C3 8B 08 FF 51 18 5B C3 }
	condition:
		$1
}

rule function_114694_0 {
	meta:
		name = "TXMLNode.FindHostedNode"
		size = 100
		refs = "0015 @IntfClear 0023 @DynArrayLength 003d @IsClass 0053 @IntfCopy"
	strings:
		$1 = { 53 56 57 55 83 C4 F8 89 4C 24 04 89 14 24 8B D8 8B 44 24 04 E8 ?? ?? ?? ?? 83 7B 2C 00 74 3E 8B 43 2C E8 ?? ?? ?? ?? 8B F8 4F 85 FF 7C 2F 47 33 F6 8B 43 2C 8B 2C B0 8B C5 8B 14 24 E8 ?? ?? ?? ?? 84 C0 74 14 8B 44 24 04 8B D5 85 D2 74 03 83 EA B8 E8 ?? ?? ?? ?? EB 04 46 4F 75 D4 59 5A 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114695_0 {
	meta:
		name = "TXMLNode.AddHostedNode"
		size = 55
		refs = "000a @DynArrayLength 001a TXMLNodeArray 001f @DynArraySetLength 002a @DynArrayHigh"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 43 2C E8 ?? ?? ?? ?? 40 50 8D 43 2C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 2C E8 ?? ?? ?? ?? 8B 53 2C 89 34 82 5E 5B C3 }
	condition:
		$1
}

rule function_114696_0 {
	meta:
		name = "TXMLNode.RemoveHostedNode"
		size = 101
		refs = "000c @DynArrayLength 004e TXMLNodeArray 0053 @DynArraySetLength"
	strings:
		$1 = { 53 56 57 55 8B EA 8B D8 8B 43 2C E8 ?? ?? ?? ?? 8B F8 8B C7 48 85 C0 7C 47 40 33 F6 8B 53 2C 3B 2C B2 75 38 8B C6 8B D7 83 EA 02 2B D0 7C 13 42 8B 4B 2C 8B 4C 81 04 8B 6B 2C 89 4C 85 00 40 4A 75 EE 4F 57 8D 43 2C B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 EB 04 46 48 75 BC 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114697_0 {
	meta:
		name = "TXMLNode.NextSibling"
		size = 156
		refs = "0011 TXMLNode.NextSibling 0029 TXMLNode.GetChildNodes 0043 @IntfCast 005a @IntfClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 28 00 74 36 56 8D 55 FC 8B 43 28 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 B9 01 00 00 00 58 8B 18 FF 53 44 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 00 C0 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114698_0 {
	meta:
		name = "TXMLNode.PreviousSibling"
		size = 152
		refs = "0011 TXMLNode.PreviousSibling 0029 TXMLNode.GetChildNodes 0043 @IntfCast 0058 @IntfClear 007b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 28 00 74 34 56 8D 55 FC 8B 43 28 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 8B D3 85 D2 74 03 83 EA F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 83 C9 FF 58 8B 18 FF 53 44 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 C0 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114699_0 {
	meta:
		name = "TXMLNode.TransformNode"
		size = 114
		refs = "0014 TXMLNode.TransformNode 0034 GetDOMNodeEx 0042 @CheckAutoResult 0057 @IntfClear 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 57 8D 55 FC 8B C6 8B 08 FF 51 20 8B 45 FC 50 8D 55 F8 8B 43 20 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 74 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114700_0 {
	meta:
		name = "TXMLNode.TransformNode"
		size = 137
		refs = "0016 TXMLNode.TransformNode 0043 GetDOMNodeEx 0051 @CheckAutoResult 0066 @IntfClear 007c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 51 20 8B 45 FC 50 8D 55 F8 8B C6 8B 08 FF 51 20 8B 45 F8 50 8D 55 F4 8B 43 20 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 78 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114701_0 {
	meta:
		name = "TXMLNode.CheckNotHosted"
		size = 78
		refs = "0009 TXMLNode.CheckNotHosted 001d SNotOnHostedNode 0022 LoadResString 002a XMLDocError 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 78 24 00 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_114702_0 {
	meta:
		name = "TXMLNode.NestingLevel"
		size = 128
		refs = "000f TXMLNode.NestingLevel 0029 @IntfCopy 0062 IXMLNode 006c @FinalizeArray 0072 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 FC 8B 56 28 85 D2 74 03 83 EA B8 E8 ?? ?? ?? ?? 83 7D FC 00 74 1D 43 8D 55 F8 8B 45 FC 8B 08 FF 51 44 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 75 E3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114703_0 {
	meta:
		name = "TXMLNode.Normalize"
		size = 28
		refs = "000d @CheckAutoResult"
	strings:
		$1 = { 53 8B D8 8B 43 20 50 8B 00 FF 50 60 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 18 5B C3 }
	condition:
		$1
}

rule function_114704_0 {
	meta:
		name = "TXMLNode.CheckReadOnly"
		size = 78
		refs = "0009 TXMLNode.CheckReadOnly 001d SNodeReadOnly 0022 LoadResString 002a XMLDocError 003f @UStrClr 0045 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 80 78 31 00 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_114705_0 {
	meta:
		name = "TXMLNode.CheckTextNode"
		size = 423
		refs = "0016 TXMLNode.CheckTextNode 002e @CheckAutoResult 003d @IntfClear 0117 @UStrClr 013c SNotSingleTextNode 0141 LoadResString 014c XMLDocError 0166 @UStrArrayClr 019c @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8B 43 20 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 66 83 7D FC 00 75 5C 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F4 E8 ?? ?? ?? ?? 50 6A 00 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 43 20 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 43 20 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 33 D2 8B C3 8B 08 FF 51 18 E9 BB 00 00 00 8D 45 EC 50 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 43 20 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 83 7D EC 01 7F 4F 8D 45 FC 50 8D 45 E4 E8 ?? ?? ?? ?? 50 6A 00 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 43 20 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 0F B7 45 FC 83 C0 FD 66 83 E8 02 72 3D 8D 45 D4 E8 ?? ?? ?? ?? 50 8B 43 20 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 D4 89 45 D8 C6 45 DC 11 8D 45 D8 50 8D 55 D0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114706_0 {
	meta:
		name = "TXMLNode.GetText"
		size = 182
		refs = "0011 TXMLNode.GetText 001e TXMLNode.GetNodeType 0029 TXMLNode.CheckTextNode 0030 @UStrClr 0039 @IntfClear 0053 @CheckAutoResult 00aa @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3C 01 75 4F 8B C3 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 43 20 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? EB 16 8B C6 E8 ?? ?? ?? ?? 50 8B 43 20 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114707_0 {
	meta:
		name = "TXMLNode.SetText"
		size = 192
		refs = "0012 TXMLNode.SetText 002a TXMLNode.GetNodeType 0035 TXMLNode.CheckTextNode 003e @IntfClear 0058 @CheckAutoResult 00b3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 33 D2 8B C3 8B 38 FF 57 10 8B C3 E8 ?? ?? ?? ?? 3C 01 75 48 8B C3 E8 ?? ?? ?? ?? 56 8D 45 FC E8 ?? ?? ?? ?? 50 6A 00 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 43 20 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? EB 0F 56 8B 43 20 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 33 C9 33 D2 8B C3 8B 18 FF 53 10 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114708_0 {
	meta:
		name = "TXMLNode.GetNodeValue"
		size = 147
		refs = "001a TXMLNode.GetNodeValue 002a TXMLNode.GetText 0034 @OleVarFromUStr 0048 @VarCmpEQ 0052 Null 005c @OleVarFromVar 0071 @VarClr 0081 @UStrClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 45 EC 33 D2 E8 ?? ?? ?? ?? 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 75 12 8D 45 DC E8 ?? ?? ?? ?? 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114709_0 {
	meta:
		name = "TXMLNode.SetNodeValue"
		size = 151
		refs = "0011 TXMLNode.SetNodeValue 001d UseXSDBooleanStrings 0036 @VarToBool 0040 XSDBoolStrs 0047 TXMLNode.SetText 0053 VarToWideStr 005e @UStrFromWStr 007d @WStrClr 0085 @UStrClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 3D ?? ?? ?? ?? 00 74 09 66 83 3E 0B 0F 94 C0 EB 02 33 C0 84 C0 74 1A 8B C6 E8 ?? ?? ?? ?? 83 E0 7F 8B 14 85 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 1F 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114710_0 {
	meta:
		name = "TXMLNode.GetChildValue"
		size = 174
		refs = "0020 TXMLNode.GetChildValue 0030 TXMLNode.GetChildNodes 003f @VarToUStr 0065 Null 006f @OleVarFromVar 0084 @VarClr 008c @UStrClr 0094 @IntfClear 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 F0 8D 4D FC 58 8B 18 FF 53 38 83 7D FC 00 74 0C 8B D6 8B 45 FC 8B 08 FF 51 3C EB 12 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114711_0 {
	meta:
		name = "TXMLNode.SetChildValue"
		size = 109
		refs = "0016 TXMLNode.SetChildValue 0026 TXMLNode.GetChildNodes 0053 @IntfClear 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8D 4D F8 8B D6 8B 18 FF 53 10 8B 45 F8 8B 55 FC 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114712_0 {
	meta:
		name = "TXMLNode.GetXML"
		size = 92
		refs = "000f TXMLNode.GetXML 001c @UStrClr 0028 GetDOMNodeEx 0036 @CheckAutoResult 004b @IntfClear 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 8D 55 FC 8B 43 20 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114714_0 {
	meta:
		name = "TXMLNode.DOMElement"
		size = 124
		refs = "000f TXMLNode.DOMElement 001c TXMLNode.GetNodeType 0028 SNoAttributes 002d LoadResString 0035 XMLDocError 0044 @IntfCast 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3C 01 74 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B C6 8B 53 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 E6 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114715_0 {
	meta:
		name = "TXMLNode.GetNodeType"
		size = 26
		refs = "000f @CheckAutoResult"
	strings:
		$1 = { 53 51 8B D8 54 8B 43 20 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 0F B7 04 24 5A 5B C3 }
	condition:
		$1
}

rule function_114716_0 {
	meta:
		name = "TXMLNode.GetLocalName"
		size = 31
		refs = "0009 @UStrClr 0018 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 20 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114717_0 {
	meta:
		name = "TXMLNode.GetNamespaceURI"
		size = 31
		refs = "0009 @UStrClr 0018 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 20 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114718_0 {
	meta:
		name = "TXMLNode.GetNodeName"
		size = 31
		refs = "0009 @UStrClr 0018 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 20 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114719_0 {
	meta:
		name = "TXMLNode.GetPrefix"
		size = 31
		refs = "0009 @UStrClr 0018 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 20 50 8B 00 FF 50 40 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114720_0 {
	meta:
		name = "TXMLNode.GetIsTextElement"
		size = 218
		refs = "0011 TXMLNode.GetIsTextElement 001e TXMLNode.GetNodeType 002e @IntfClear 003d @CheckAutoResult 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 3C 01 75 78 8D 45 FC 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 43 20 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 83 7D FC 01 75 49 8D 45 F4 50 8D 45 F0 E8 ?? ?? ?? ?? 50 6A 00 8D 45 EC E8 ?? ?? ?? ?? 50 8B 43 20 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 66 83 7D F4 03 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114721_0 {
	meta:
		name = "TXMLNode.GetOwnerDocument"
		size = 56
		refs = "0011 @IntfClear 0018 TXMLNode.GetOwnerDocument 001f TObject.GetInterface"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B 73 1C 85 F6 74 15 8B C7 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 C3 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114722_0 {
	meta:
		name = "TXMLNode.GetCollection"
		size = 26
		refs = "0013 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 18 85 D2 74 03 83 EA 94 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114723_0 {
	meta:
		name = "TXMLNode.GetParentNode"
		size = 26
		refs = "0013 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 28 85 D2 74 03 83 EA B8 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114724_0 {
	meta:
		name = "TXMLNode.GetChildNodeClasses"
		size = 45
		refs = "0013 TXMLNode.GetChildNodeClasses 0020 TNodeClassArray 0025 @DynArrayAsg"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B 7B 24 85 FF 74 0B 8B D6 8B C7 E8 ?? ?? ?? ?? EB 10 8B C6 8B 53 14 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114725_0 {
	meta:
		name = "TXMLNode.GetHostedNodes"
		size = 25
		refs = "000d TXMLNodeArray 0012 @DynArrayAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 2C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114729_0 {
	meta:
		name = "TXMLNode.SetParentNode"
		size = 62
		refs = "001d TXMLNode._Release 0031 TXMLNode._AddRef"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 89 73 28 85 F6 74 2C 8B 43 1C 3B 46 1C 74 24 8B 7B 04 EB 06 53 E8 ?? ?? ?? ?? 83 7B 04 01 7F F4 8B 46 1C 89 43 1C EB 06 53 E8 ?? ?? ?? ?? 3B 7B 04 7F F5 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114730_0 {
	meta:
		name = "TXMLNode.GetReadOnly"
		size = 5
	strings:
		$1 = { 0F B6 40 31 C3 }
	condition:
		$1
}

rule function_114731_0 {
	meta:
		name = "TXMLNode.SetReadOnly"
		size = 4
	strings:
		$1 = { 88 50 31 C3 }
	condition:
		$1
}

rule function_114732_0 {
	meta:
		name = "TXMLNode.DoNodeChange"
		size = 44
		refs = "001a TXMLDocument.DoNodeChange 0025 TXMLNode.CheckReadOnly"
	strings:
		$1 = { 53 56 8B D9 8B F0 8B 46 1C 85 C0 74 11 53 8B CA 8B D6 85 D2 74 03 83 EA B8 E8 ?? ?? ?? ?? 84 DB 74 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114733_0 {
	meta:
		name = "TXMLNode.RegisterChildNodes"
		size = 161
		refs = "001d TXMLNode.RegisterChildNodes 0034 SMismatchedRegItems 0039 LoadResString 0041 XMLDocError 0059 TXMLNode.GetNamespaceURI 0069 TXMLNode.RegisterChildNode 008c @UStrArrayClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D F4 8B D9 89 55 F8 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B F3 8B 45 08 3B F0 74 15 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B FE 85 FF 7C 2B 47 8B 5D F8 8B 75 0C 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 50 8B 0E 8B 13 8B 45 FC E8 ?? ?? ?? ?? 83 C6 04 83 C3 04 4F 75 DC 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114734_0 {
	meta:
		name = "TXMLNodeCollection.AfterConstruction"
		size = 93
		refs = "000c TXMLNodeCollection.AfterConstruction 001c TXMLNodeCollection.UpdateCollectionList 0026 TXMLNode.GetNamespaceURI 0031 @UStrAsg 0038 TInterfacedObject.AfterConstruction 004d @UStrClr 0053 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5B 3C C7 43 38 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 60 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_114735_0 {
	meta:
		name = "TXMLNodeCollection.GetList"
		size = 85
		refs = "000f TXMLNodeCollection.GetList 0025 TXMLNode.GetChildNodes 002f @IntfCopy 0044 @IntfClear 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 68 00 75 0A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 68 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114736_0 {
	meta:
		name = "TXMLNodeCollection.SetChildNodes"
		size = 37
		refs = "000b TXMLNode.SetChildNodes 0015 @IntfCopy 001e TXMLNodeCollection.CreateItemList"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 43 68 8B D6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114737_0 {
	meta:
		name = "TXMLNodeCollection.CreateItemList"
		size = 704
		refs = "0019 TXMLNodeCollection.CreateItemList 0035 TXMLNode.GetChildNodes 0066 @OleVarFromInt 007c TXMLNodeCollection.IsCollectionItem 00bc @IntfCast 00ee _DV_TXMLNodeList 00f3 TXMLNodeList.Create 0108 @IntfCopy 01e4 TXMLNodeList.InternalInsert 0206 @VarClr 0211 @IntfClear 029f @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 12 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 84 D2 0F 84 B6 00 00 00 C6 45 FF 00 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 52 0C 48 85 C0 0F 8C 8D 00 00 00 40 89 45 F4 33 F6 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 45 D8 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 D8 8D 4D EC 58 8B 38 FF 57 10 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 84 C0 75 06 C6 45 FF 01 EB 4D 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 50 8D 45 BC 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 BC 8D 4D D0 58 8B 38 FF 57 10 8B 55 D0 8D 45 D4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D4 8B D3 8B 08 FF 91 F0 00 00 00 46 FF 4D F4 0F 85 79 FF FF FF 80 7D FF 00 0F 84 11 01 00 00 8B 43 60 50 6A 00 6A 00 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 8D 43 68 8B 55 F8 85 D2 74 03 83 EA DC E8 ?? ?? ?? ?? 8D 55 B8 8B C3 E8 ?? ?? ?? ?? 8B 45 B8 8B 10 FF 52 0C 48 85 C0 0F 8C CB 00 00 00 40 89 45 F4 33 F6 8D 55 B0 8B C3 E8 ?? ?? ?? ?? 8B 45 B0 50 8D 45 A0 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 A0 8D 4D B4 58 8B 38 FF 57 10 8B 55 B4 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 83 00 00 00 8D 55 94 8B C3 E8 ?? ?? ?? ?? 8B 45 94 50 8D 45 84 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 84 8D 4D 98 58 8B 38 FF 57 10 8B 55 98 8D 45 9C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 9C 8B D3 8B 08 FF 91 F0 00 00 00 8D 95 7C FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 50 8D 85 6C FF FF FF 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 95 6C FF FF FF 8D 4D 80 58 8B 38 FF 57 10 8B 4D 80 83 CA FF 8B 45 F8 E8 ?? ?? ?? ?? 46 FF 4D F4 0F 85 3B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 57 FF FF FF 5F 5E 5B 8B E5 5D C3 00 37 90 81 6C 66 AB A8 4A B2 A5 95 8E DA 86 27 B7 }
	condition:
		$1
}

rule function_114738_0 {
	meta:
		name = "TXMLNodeCollection.IsCollectionItem"
		size = 256
		refs = "0013 TXMLNodeCollection.IsCollectionItem 0027 Supports 0040 ExtractLocalName 004b @UStrEqual 0062 Pos 007d SplitString 0085 @DynArrayHigh 00bd @UStrClr 00c6 TDOMStringDynArray 00cb @DynArrayClear 00d9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8D 53 50 8B C6 E8 ?? ?? ?? ?? 84 C0 74 7D 8D 55 F0 8B C6 8B 08 FF 51 34 8B 45 F0 8D 55 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 53 64 E8 ?? ?? ?? ?? 0F 94 45 F7 80 7D F7 00 75 53 8B 53 64 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 42 8D 45 F8 50 0F B6 0D ?? ?? ?? ?? 66 BA 3B 00 8B 43 64 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 1D 43 33 F6 8B 45 FC 8B 55 F8 8B 14 B2 E8 ?? ?? ?? ?? 75 06 C6 45 F7 01 EB 04 46 4B 75 E6 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DA 0F B6 45 F7 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3B 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_114739_0 {
	meta:
		name = "TXMLNodeCollection.InsertInCollection"
		size = 560
		refs = "0021 @IntfAddRef 0029 TXMLNodeCollection.InsertInCollection 0039 TXMLNodeCollection.IsCollectionItem 0051 @IntfCast 0075 TXMLNode.GetChildNodes 00f8 @OleVarFromInt 019a TXMLNodeCollection.CreateItemList 01b0 IXMLNodeList 01ba @FinalizeArray 01c2 @VarClr 01ca @IntfClear 0213 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 34 01 00 00 8D 45 F0 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B D3 8B 08 FF 91 F0 00 00 00 8D 55 EC 8B C3 8B 08 FF 51 1C 8B 7D EC 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 3B 7D E8 0F 84 1C 01 00 00 8D 55 E4 8B C3 8B 08 FF 51 1C 8B 45 E4 8B 10 FF 52 0C 3B C6 77 1A 8D 55 E0 8B C3 8B 08 FF 51 1C 8B 45 E0 8B 55 FC 8B 08 FF 51 18 E9 EC 00 00 00 85 F6 0F 8E A6 00 00 00 8D 46 01 50 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 8B 10 FF 52 0C 48 5A 2B C2 0F 8C 86 00 00 00 40 89 45 F4 89 55 F8 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 45 C4 8B 55 F8 B1 FC E8 ?? ?? ?? ?? 8D 55 C4 8D 4D D8 58 8B 38 FF 57 10 8B 55 D8 8B C3 E8 ?? ?? ?? ?? 84 C0 74 42 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 8B 45 BC 50 8D 45 AC 8B 55 F8 B1 FC E8 ?? ?? ?? ?? 8D 55 AC 8D 4D C0 58 8B 30 FF 56 10 8B 45 C0 50 8D 55 A8 8B C3 8B 08 FF 51 1C 8B 45 A8 5A 8B 08 FF 51 4C 8B F0 EB 08 FF 45 F8 FF 4D F4 75 81 8D 55 A4 8B C3 8B 08 FF 51 1C 8B 45 A4 8B 4D FC 8B D6 8B 18 FF 53 58 EB 25 8D 55 A0 8B C3 8B 08 FF 51 1C 8B 75 A0 8D 55 9C 8B C3 E8 ?? ?? ?? ?? 3B 75 9C 75 09 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 92 5F 5E 5B 8B E5 5D C3 37 90 81 6C 66 AB A8 4A B2 A5 95 8E DA 86 27 B7 }
	condition:
		$1
}

rule function_114740_0 {
	meta:
		name = "TXMLNodeCollection.ChildListNotify"
		size = 59
		refs = "001c TXMLNode.ChildListNotify 0030 TXMLNodeCollection.UpdateCollectionList"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B DA 8B F0 8B 45 0C 50 0F B6 45 08 50 8B CF 8B D3 8B C6 E8 ?? ?? ?? ?? 8B 45 0C 50 0F B6 45 08 50 8B D3 8B CF 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_114741_0 {
	meta:
		name = "TXMLNodeCollection.UpdateCollectionList"
		size = 170
		refs = "0014 TXMLNodeCollection.UpdateCollectionList 0027 TXMLNode.CheckReadOnly 0047 TXMLNode.GetChildNodes 006a @VarToInteger 0075 TXMLNodeCollection.InsertInCollection 008b IXMLNodeList 0095 @FinalizeArray 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 7D 08 00 74 09 8B C6 E8 ?? ?? ?? ?? EB 4C 80 EA 01 72 34 75 45 8D 55 FC 8B C6 8B 08 FF 51 1C 8B 5D FC 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 3B 5D F8 74 29 8D 55 F4 8B C6 8B 08 FF 51 1C 8B 45 F4 8B 17 8B 08 FF 51 60 EB 13 8B 45 0C E8 ?? ?? ?? ?? 8B C8 8B 17 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114742_0 {
	meta:
		name = "TXMLNodeCollection.AddItem"
		size = 107
		refs = "0012 TXMLNodeCollection.AddItem 0026 SMissingItemTag 002b LoadResString 0033 XMLDocError 0044 TXMLNode.AddChild 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 64 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 6A 00 56 57 8B 4B 60 8B 53 64 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114743_0 {
	meta:
		name = "TXMLNodeCollection.Delete"
		size = 176
		refs = "0016 TXMLNodeCollection.Delete 0036 @OleVarFromInt 0052 @IntfCast 005c TXMLNodeCollection.Remove 0071 @VarClr 0079 @IntfClear 0082 IXMLNode 008c @FinalizeArray 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 30 FF 56 10 8B 55 F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 00 00 C0 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114744_0 {
	meta:
		name = "TXMLNodeCollection.Remove"
		size = 119
		refs = "0012 TXMLNodeCollection.Remove 0038 TXMLNode.GetChildNodes 0058 IXMLNodeList 0062 @FinalizeArray 0068 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 1C 8B 45 FC 8B D6 8B 08 FF 51 4C 8B F8 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 51 60 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C7 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114745_0 {
	meta:
		name = "TXMLNodeCollection.Clear"
		size = 112
		refs = "000e TXMLNodeCollection.Clear 0022 TXMLNodeCollection.GetNode 002c TXMLNodeCollection.Remove 0057 @IntfClear 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 EB 16 8D 4D FC 33 D2 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 8B 08 FF 51 1C 8B 45 F8 8B 10 FF 52 0C 85 C0 7F D4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114746_0 {
	meta:
		name = "TXMLNodeCollection.GetCount"
		size = 77
		refs = "000c TXMLNodeCollection.GetCount 003b @IntfClear 0041 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 1C 8B 45 FC 8B 10 FF 52 0C 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_114747_0 {
	meta:
		name = "TXMLNodeCollection.GetNode"
		size = 164
		refs = "001e TXMLNodeCollection.GetNode 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 C0 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114749_0 {
	meta:
		name = "TXMLDocument.Create"
		size = 69
		refs = "000b @ClassCreate 001c TComponent.Create 0026 @UStrAsg 0031 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 8D 47 68 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114750_0 {
	meta:
		name = "TXMLDocument.Destroy"
		size = 204
		refs = "000d @BeforeDestruction 001a TXMLDocument.Destroy 0027 TComponent.Destroying 0057 @IntfCast 007b TObject.Free 0089 TComponent.Destroy 009e @IntfClear 00a4 @HandleFinally 00b3 @ClassDestroy"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 C9 89 4D F8 E8 ?? ?? ?? ?? 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 BB B0 00 00 00 00 74 32 8B C3 8B 10 FF 52 40 84 C0 74 27 83 7B 64 00 74 21 83 7B 48 01 7E 1B 8D 45 F8 8B 53 64 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 B4 00 00 00 33 D2 8B C3 8B 08 FF 51 44 8D 43 40 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 0F B6 55 FF 80 E2 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 80 7D FF 00 7E 07 8B C3 E8 ?? ?? ?? ?? 5B 59 59 5D C3 37 90 81 6C 66 AB A8 4A B2 A5 95 8E DA 86 27 B7 }
	condition:
		$1
}

rule function_114751_0 {
	meta:
		name = "TXMLDocument.NewInstance"
		size = 13
		refs = "0001 TObject.NewInstance"
	strings:
		$1 = { E8 ?? ?? ?? ?? C7 40 48 01 00 00 00 C3 }
	condition:
		$1
}

rule function_114752_0 {
	meta:
		name = "TXMLDocument.AfterConstruction"
		size = 184
		refs = "0007 TObject.AfterConstruction 0018 DefaultDOMVendor 001f GetDOMVendor 0028 TXMLDocument.SetDOMVendor 002f TXMLDocument.AfterConstruction 003f @UStrAsg 0045 DefaultNodeIndent 004c TXMLDocument.SetNodeIndentStr 006a _Dn_TStringList 006f TStringList.Create 007e TXMLDocument.XMLStringsChanging 0098 TInterlocked.Add"
	strings:
		$1 = { 53 56 8B D8 8B C3 E8 ?? ?? ?? ?? F6 43 1C 10 74 1B F6 43 1C 01 75 15 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 43 6C 8D 43 74 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 43 04 85 C0 74 04 85 C0 75 04 33 C0 EB 02 B0 01 88 83 B0 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 73 40 89 5E 4C C7 46 48 ?? ?? ?? ?? 83 7B 68 00 74 09 B2 01 8B C3 8B 08 FF 51 44 8D 43 48 83 CA FF E8 ?? ?? ?? ?? 5E 5B C3 00 1D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 4E 00 53 00 00 00 00 00 }
	condition:
		$1
}

rule function_114753_0 {
	meta:
		name = "TXMLDocument._AddRef"
		size = 23
		refs = "000f TInterlocked.Add"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 C0 48 BA 01 00 00 00 E8 ?? ?? ?? ?? 5D C2 04 00 }
	condition:
		$1
}

rule function_114754_0 {
	meta:
		name = "TXMLDocument._Release"
		size = 51
		refs = "000f TInterlocked.Add"
	strings:
		$1 = { 55 8B EC 53 56 8B 5D 08 8D 43 48 83 CA FF E8 ?? ?? ?? ?? 8B F0 85 F6 75 12 80 BB B0 00 00 00 00 75 09 B2 01 8B C3 8B 08 FF 51 FC 8B C6 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_114755_0 {
	meta:
		name = "TXMLDocument.Loaded"
		size = 142
		refs = "000e TComponent.Loaded 0016 TXMLDocument.Loaded 003e @HandleAnyException 004c ApplicationHandleException 0058 ExceptObject 006c ExceptAddr 0078 ShowException 007f @RaiseAgain 0084 @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 80 78 7C 00 74 0A B2 01 8B 45 FC 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 EB 4B E9 ?? ?? ?? ?? 8B 45 FC F6 40 1C 10 74 33 A1 ?? ?? ?? ?? 66 83 78 02 00 74 14 E8 ?? ?? ?? ?? 8B D0 8B 1D ?? ?? ?? ?? 8B 43 04 FF 13 EB 18 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114756_0 {
	meta:
		name = "TXMLDocument.ReadDOMVendor"
		size = 202
		refs = "0017 TXMLDocument.ReadDOMVendor 0027 TReader.ReadString 0043 GetDOMVendor 004d TXMLDocument.SetDOMVendor 005c @HandleAnyException 006a ApplicationHandleException 0076 ExceptObject 008a ExceptAddr 0096 ShowException 009d @RaiseAgain 00a2 @DoneExcept 00b7 @UStrClr 00bd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D FC 8B DA 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 75 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B D0 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 4B E9 ?? ?? ?? ?? 8B 45 F8 F6 40 1C 10 74 33 A1 ?? ?? ?? ?? 66 83 78 02 00 74 14 E8 ?? ?? ?? ?? 8B D0 8B 1D ?? ?? ?? ?? 8B 43 04 FF 13 EB 18 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114757_0 {
	meta:
		name = "TXMLDocument.WriteDOMVendor"
		size = 87
		refs = "0010 TXMLDocument.WriteDOMVendor 0030 TWriter.WriteString 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 44 85 F6 74 13 8D 55 FC 8B C6 8B 08 FF 11 8B 55 FC 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114758_0 {
	meta:
		name = "DOMVendorStored"
		size = 48
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 40 FC 8B 40 20 85 C0 74 11 8B 55 08 8B 52 F8 8B 52 44 3B 50 44 0F 95 C0 5D C3 8B 45 08 8B 40 F8 83 78 44 00 0F 95 C0 5D C3 }
	condition:
		$1
}

rule function_114759_0 {
	meta:
		name = "TXMLDocument.DefineProperties"
		size = 112
		refs = "0014 TComponent.DefineProperties 001d TXMLDocument.ReadDOMVendor 0026 TXMLDocument.WriteDOMVendor 002c DOMVendorStored 0034 TXMLDocument.DefineProperties"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 55 FC 89 45 F8 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 8B 45 F8 50 68 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B C8 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 04 5B 59 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 44 00 4F 00 4D 00 56 00 65 00 6E 00 64 00 6F 00 72 00 44 00 65 00 73 00 63 00 00 00 }
	condition:
		$1
}

rule function_114760_0 {
	meta:
		name = "TXMLDocument.IsXMLStored"
		size = 54
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 40 84 C0 74 09 80 BB 88 00 00 00 01 74 1B 8B C3 8B 10 FF 52 40 84 C0 75 0C 8B 43 40 8B 10 FF 52 14 85 C0 7F 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_114762_0 {
	meta:
		name = "TXMLDocument.GetActive"
		size = 8
	strings:
		$1 = { 83 78 54 00 0F 95 C0 C3 }
	condition:
		$1
}

rule function_114763_0 {
	meta:
		name = "TXMLDocument.SetActive"
		size = 300
		refs = "0017 TXMLDocument.SetActive 0055 @CallDynaInst 0069 @IntfClear 0081 @CheckAutoResult 008f @IntfCopy 00b8 @HandleAnyException 00cb @RaiseAgain 00d0 @DoneExcept 011f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 C9 89 4D F8 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC F6 40 1C 02 74 0B 8B 45 FC 88 58 7C E9 D3 00 00 00 8B 45 FC 8B 10 FF 52 40 3A D8 0F 84 C3 00 00 00 84 DB 0F 84 95 00 00 00 8B 45 FC 66 BE EB FF E8 ?? ?? ?? ?? 8B 45 FC 66 BE EF FF E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 8B 45 FC 8B 40 58 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 FC 83 C0 54 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BE EA FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 33 D2 8B 45 FC 66 BE E9 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 66 BE ED FF E8 ?? ?? ?? ?? EB 26 8B 45 FC 66 BE EC FF E8 ?? ?? ?? ?? B2 01 8B 45 FC 66 BE E9 FF E8 ?? ?? ?? ?? 8B 45 FC 66 BE EE FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114764_0 {
	meta:
		name = "TXMLDocument.LoadData"
		size = 916
		refs = "0017 TXMLDocument.LoadData 0035 TXMLDocument.AssignParseOptions 005b @WStrFromUStr 0069 TXMLDocument.GetDOMPersist 0077 @CheckAutoResult 00a2 UnicodeEncodings 00af CheckEncoding 00cb @UStrDelete 0106 @UStrClr 017a @OleVarFromUStr 01ca TXMLDocument.GetDOMDocument 01da @IntfCast 0213 SLine 0218 LoadResString 0277 @UStrCopy 0293 Format 02a1 _Dn_EDOMParseError 02a6 EDOMParseError.Create 02ab @RaiseExcept 02b4 TXMLDocument.SetModified 02ce @UStrArrayClr 02e3 @IntfClear 02f3 @VarClr 02fc IDOMPersist 0306 @FinalizeArray 030e @WStrClr 033c @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 10 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 86 88 00 00 00 00 C7 86 84 00 00 00 FF FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 46 40 8B 10 FF 52 14 85 C0 7E 52 8D 45 F4 50 8D 55 EC 8B 46 40 8B 08 FF 51 1C 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 66 83 7D F4 01 1B DB 43 C6 86 88 00 00 00 01 33 C0 89 86 84 00 00 00 E9 1E 01 00 00 83 7E 38 00 0F 84 82 00 00 00 BA ?? ?? ?? ?? 8D 46 38 B9 02 00 00 00 E8 ?? ?? ?? ?? 8B 46 38 66 81 38 FF FE 75 12 8D 46 38 B9 01 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 45 E4 8B 56 38 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 66 83 7D F4 01 1B DB 43 8D 46 38 E8 ?? ?? ?? ?? 80 BE 88 00 00 00 00 0F 85 9E 00 00 00 C6 86 88 00 00 00 02 E9 92 00 00 00 8B 46 3C 85 C0 74 3F 33 C9 33 D2 8B 18 FF 53 14 8D 45 F4 50 8B 46 3C 50 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 66 83 7D F4 01 1B DB 43 C6 86 88 00 00 00 04 33 C0 89 46 3C EB 4C 83 7E 68 00 74 44 8D 45 F4 50 8D 45 CC 8B 56 68 E8 ?? ?? ?? ?? FF 75 D8 FF 75 D4 FF 75 D0 FF 75 CC 8D 55 C8 8B C6 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 66 83 7D F4 01 1B DB 43 C6 86 88 00 00 00 03 EB 02 B3 01 84 DB 0F 85 F2 00 00 00 C6 86 88 00 00 00 00 8D 55 C4 8B C6 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F8 50 8D 45 90 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8B 45 90 89 45 94 C6 45 98 11 B8 ?? ?? ?? ?? 89 45 9C C6 45 A0 0B 8D 55 8C A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 8C 89 45 A4 C6 45 A8 11 8D 45 88 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 88 89 45 AC C6 45 B0 00 B8 ?? ?? ?? ?? 89 45 B4 C6 45 B8 0B 8D 45 84 50 8D 45 80 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 8B 45 80 B9 28 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 84 89 45 BC C6 45 C0 11 8D 55 94 B9 05 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 80 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 8C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 83 5E 5B 8B E5 5D C3 F2 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD E4 04 01 00 FF FF FF FF 02 00 00 00 0D 0A 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 25 00 73 00 25 00 73 00 25 00 73 00 3A 00 20 00 25 00 64 00 25 00 73 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_114765_0 {
	meta:
		name = "TXMLDocument.ReleaseDoc"
		size = 88
		refs = "000f @CallDynaInst 0017 @IntfClear 003d TXMLDocument.SetModified 0051 TXMLDocument.SetXMLStrings"
	strings:
		$1 = { 53 56 8B D8 84 D2 74 0B 8B C3 66 BE F0 FF E8 ?? ?? ?? ?? 8D 43 64 E8 ?? ?? ?? ?? 8D 43 50 E8 ?? ?? ?? ?? 8D 43 54 E8 ?? ?? ?? ?? 8D 43 5C E8 ?? ?? ?? ?? 33 C0 89 43 70 33 D2 8B C3 E8 ?? ?? ?? ?? 0F B6 83 88 00 00 00 2C 02 72 09 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114766_0 {
	meta:
		name = "TXMLDocument.Refresh"
		size = 245
		refs = "0013 TXMLDocument.Refresh 0021 TXMLDocument.CheckActive 002f @CallDynaInst 0049 SNoRefresh 004e LoadResString 0056 XMLDocError 005e @IntfClear 0076 @CheckAutoResult 0084 @IntfCopy 00ad @HandleAnyException 00c0 @RaiseAgain 00c5 @DoneExcept 00e2 @UStrClr 00e8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 33 D2 8B 45 FC 66 BE E9 FF E8 ?? ?? ?? ?? 8B 45 FC 0F B6 80 88 00 00 00 2C 01 74 19 2C 02 74 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 8B 45 FC 8B 40 58 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 FC 83 C0 54 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 66 BE EA FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 1D E9 ?? ?? ?? ?? 33 D2 8B 45 FC 66 BE E9 FF E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114767_0 {
	meta:
		name = "TXMLDocument.Resync"
		size = 20
		refs = "0006 TXMLDocument.CheckActive 000e @IntfClear"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 8D 43 64 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_114768_0 {
	meta:
		name = "TXMLDocument.LoadFromFile"
		size = 152
		refs = "0011 TXMLDocument.LoadFromFile 002d TXMLDocument.SetFileName 0037 TXMLDocument.GetFileName 0045 SMissingFileName 004a LoadResString 0052 XMLDocError 005a @UStrClr 0063 TXMLDocument.SetXMLStrings 0086 @UStrArrayClr 008c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C3 8B 08 FF 51 44 85 F6 74 09 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 15 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8D 43 38 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 44 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114769_0 {
	meta:
		name = "TXMLDocument.SaveToFile"
		size = 209
		refs = "0019 TXMLDocument.SaveToFile 0026 TXMLDocument.CheckActive 0035 @OleVarFromUStr 004b TXMLDocument.GetDOMPersist 0059 @CheckAutoResult 0092 TXMLDocument.SetModified 00a7 @IntfClear 00af @VarClr 00c5 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 F6 75 31 8D 45 F0 8B 53 68 E8 ?? ?? ?? ?? FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? EB 2E 8D 45 DC 8B D6 E8 ?? ?? ?? ?? FF 75 E8 FF 75 E4 FF 75 E0 FF 75 DC 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114770_0 {
	meta:
		name = "TXMLDocument.XMLStringsChanging"
		size = 39
		refs = "0021 @UStrClr"
	strings:
		$1 = { 53 8B D8 F6 43 1C 01 75 14 8B C3 8B 10 FF 52 40 84 C0 74 09 33 D2 8B C3 8B 08 FF 51 44 8D 43 68 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_114771_0 {
	meta:
		name = "TXMLDocument.SetXMLStrings"
		size = 87
		refs = "001a TXMLDocument.SetXMLStrings 0047 TXMLDocument.XMLStringsChanging 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 56 89 45 FC 8B 45 FC 8B 70 40 33 C0 89 46 48 89 46 4C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC 8B 40 40 8B 55 FC 89 50 4C C7 40 48 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 59 5D C3 }
	condition:
		$1
}

rule function_114772_0 {
	meta:
		name = "TXMLDocument.SaveToXMLStrings"
		size = 101
		refs = "000c TXMLDocument.SaveToXMLStrings 002a TXMLDocument.SaveToXML 0034 TXMLDocument.SetXMLStrings 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 83 84 00 00 00 3B 83 80 00 00 00 74 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 83 80 00 00 00 89 83 84 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_114773_0 {
	meta:
		name = "TXMLDocument.GetXML"
		size = 26
		refs = "0011 TXMLDocument.SaveToXMLStrings"
	strings:
		$1 = { 53 8B D8 8B C3 8B 10 FF 52 40 84 C0 74 07 8B C3 E8 ?? ?? ?? ?? 8B 43 40 5B C3 }
	condition:
		$1
}

rule function_114775_0 {
	meta:
		name = "TXMLDocument.LoadFromStream"
		size = 47
		refs = "0014 TXMLDocument.SetXMLStrings 001c @UStrClr"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 8B 08 FF 51 44 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 38 E8 ?? ?? ?? ?? 89 73 3C B2 01 8B C3 8B 08 FF 51 44 5E 5B C3 }
	condition:
		$1
}

rule function_114776_0 {
	meta:
		name = "TXMLDocument.SaveToStream"
		size = 100
		refs = "000f TXMLDocument.SaveToStream 001c TXMLDocument.CheckActive 0027 TXMLDocument.GetDOMPersist 0035 @CheckAutoResult 003e TXMLDocument.SetModified 0053 @IntfClear 0059 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 56 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114777_0 {
	meta:
		name = "TXMLDocument.LoadFromXML"
		size = 46
		refs = "0014 TXMLDocument.SetXMLStrings 001e @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 33 D2 8B C3 8B 08 FF 51 44 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 38 8B D6 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 44 5E 5B C3 }
	condition:
		$1
}

rule function_114778_0 {
	meta:
		name = "TXMLDocument.LoadFromXML"
		size = 83
		refs = "000a _Dn_TStringStream 0011 TStringStream.Create 001c TXMLDocument.LoadFromXML 002e TXMLDocument.LoadFromStream 0043 TObject.Free 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_114779_0 {
	meta:
		name = "TXMLDocument.SaveToXML"
		size = 120
		refs = "0011 TXMLDocument.SaveToXML 001e TXMLDocument.CheckActive 0026 @UStrClr 0031 TXMLDocument.GetDOMPersist 003f @CheckAutoResult 0049 @UStrAsg 005e @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114780_0 {
	meta:
		name = "TXMLDocument.SaveToXML"
		size = 120
		refs = "0011 TXMLDocument.SaveToXML 001e TXMLDocument.CheckActive 0026 @UStrClr 0031 TXMLDocument.GetDOMPersist 003f @CheckAutoResult 0049 @WStrFromUStr 005e @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114781_0 {
	meta:
		name = "TXMLDocument.SaveToXML"
		size = 195
		refs = "000d TXMLDocument.IsEmptyDoc 001c _Dn_TMemoryStream 0021 TObject.Create 002c TXMLDocument.SaveToXML 003c TXMLDocument.SaveToStream 0044 DetectCharEncoding 0065 @LStrSetLength 0071 TStream.SetPosition 0080 @UniqueStringA 0096 TXMLDocument.SaveToUTF8String 00ab TObject.Free 00b1 @HandleFinally 00ba @LStrClr"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 85 9E 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 08 2C 07 74 04 2C 04 75 3D 8B 45 FC 8B 10 FF 12 8B D0 8B C6 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 12 50 8B C6 E8 ?? ?? ?? ?? 8B D0 8B 45 FC 59 8B 18 FF 53 0C EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 E8 ?? ?? ?? ?? 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114782_0 {
	meta:
		name = "TXMLDocument.SaveToUTF8String"
		size = 708
		refs = "0019 TXMLDocument.SaveToUTF8String 0029 TXMLDocument.SaveToXML 0033 UTF8Encode 003b @IntfClear 004b TXMLDocument.GetDOMDocument 005f @UStrClr 006e @CheckAutoResult 007e AppendItem 00c3 TXMLDocument.GetPrologNode 00d6 @VarFromUStr 00e3 TXMLDocument.InternalSetPrologValue 00fd @UStrCatN 0112 @LStrCopy 011f @LStrEqual 012d Pos 013b @LStrDelete 014a @UStrCat 015a @LStrFromUStr 0166 @LStrCat3 0180 @LStrArrayClr 0188 @VarClr 0195 @UStrArrayClr 01c8 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 10 85 C0 75 62 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8B 4D E4 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 4D E0 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F4 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 2A 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 6A 01 8D 45 F4 50 8D 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D D0 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 CC 50 8B 03 B9 05 00 00 00 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1C 8B 13 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C8 8B C3 BA 01 00 00 00 E8 ?? ?? ?? ?? EB 0D 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 C8 8B 55 F0 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8B 0B 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A9 5E 5B 8B E5 5D C3 33 26 19 7C 67 C2 3C 48 B0 D5 89 28 9A 14 D5 22 B0 04 02 00 FF FF FF FF 07 00 00 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 74 00 61 00 6E 00 64 00 61 00 6C 00 6F 00 6E 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 55 00 54 00 46 00 2D 00 38 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3F 00 3E 00 00 00 00 00 E9 FD 01 00 FF FF FF FF 05 00 00 00 3C 3F 78 6D 6C 00 00 00 E4 04 01 00 FF FF FF FF 01 00 00 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 }
	condition:
		$1
}

rule function_114783_0 {
	meta:
		name = "TXMLDocument.CheckDOM"
		size = 133
		refs = "000f TXMLDocument.CheckDOM 0037 @IntfCopy 0041 DefaultDOMVendor 0048 GetDOM 0069 IDOMImplementation 0073 @FinalizeArray 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 58 00 75 38 8B 73 44 85 F6 74 17 8D 55 FC 8B C6 8B 08 FF 51 04 8B 55 FC 8D 43 58 E8 ?? ?? ?? ?? EB 1A 8D 55 F8 A1 ?? ?? ?? ?? 8B 00 E8 ?? ?? ?? ?? 8B 55 F8 8D 43 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114784_0 {
	meta:
		name = "TXMLDocument.GetDOMParseOptions"
		size = 72
		refs = "0016 @IntfClear 001c TXMLDocument.GetDOMParseOptions 002e @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 54 00 74 1C 83 7B 5C 00 75 16 8D 43 5C E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 43 54 50 8B 00 FF 10 8B C6 8B 53 5C E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 F3 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114785_0 {
	meta:
		name = "TXMLDocument.GetDOMPersist"
		size = 60
		refs = "0013 TXMLDocument.GetDOMPersist 0018 @IntfCast 0022 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 50 00 75 10 8D 43 50 8B 53 54 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 50 E8 ?? ?? ?? ?? 5E 5B C3 00 00 00 F1 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114786_0 {
	meta:
		name = "TXMLDocument.CheckActive"
		size = 95
		refs = "000d TXMLDocument.CheckActive 001e @CallDynaInst 002c SNotActive 0031 LoadResString 0039 XMLDocError 004e @UStrClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 66 BE EF FF E8 ?? ?? ?? ?? 83 7B 54 00 75 15 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114787_0 {
	meta:
		name = "TXMLDocument.CheckAutoSave"
		size = 122
		refs = "000c TXMLDocument.CheckAutoSave 001f TXMLDocument.GetModified 003b TXMLDocument.SaveToXMLStrings 0047 TXMLDocument.GetFileName 0055 @CallDynaInst 006a @UStrClr 0070 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 F6 46 6C 20 74 3D 8B C6 E8 ?? ?? ?? ?? 84 C0 74 32 0F B6 86 88 00 00 00 FE C8 74 06 2C 02 74 0B EB 21 8B C6 E8 ?? ?? ?? ?? EB 18 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 66 BE E8 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 59 5D C3 }
	condition:
		$1
}

rule function_114788_0 {
	meta:
		name = "TXMLDocument.AssignParseOptions"
		size = 324
		refs = "0013 TXMLDocument.AssignParseOptions 0023 TXMLDocument.GetDOMParseOptions 004d @CheckAutoResult 00ce TXMLDocument.GetDOMPersist 00f2 SNoDOMParseOptions 00f7 LoadResString 00ff XMLDocError 0114 @UStrClr 011c @IntfClear 0125 IDOMParseOptions 012f @FinalizeArray 0135 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 B1 00 00 00 F6 43 60 04 0F 95 C0 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? F6 43 60 01 0F 95 C0 50 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? F6 43 60 02 0F 95 C0 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? F6 43 60 08 0F 95 C0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 66 83 BB CA 00 00 00 00 74 48 FF B3 CC 00 00 00 FF B3 C8 00 00 00 53 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? EB 21 0F B6 05 ?? ?? ?? ?? 3A 43 60 74 15 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5B 8B E5 5D C3 00 00 00 00 }
	condition:
		$1
}

rule function_114789_0 {
	meta:
		name = "TXMLDocument.GeneratePrefix"
		size = 120
		refs = "0017 TXMLDocument.GeneratePrefix 002b IntToStr 0038 @UStrCat3 0065 @UStrArrayClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 43 70 8D 55 F8 8B 43 70 E8 ?? ?? ?? ?? 8B 4D F8 8B C6 8B 53 74 E8 ?? ?? ?? ?? 8D 4D F4 8B 16 8B 45 FC 8B 38 FF 57 7C 83 7D F4 00 75 D2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114791_0 {
	meta:
		name = "TXMLDocument.AddChild"
		size = 96
		refs = "0018 TXMLDocument.AddChild 002c TXMLDocument.GetDocumentNode 004e @IntfClear 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 83 C9 FF 8B D6 8B 18 FF 53 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114792_0 {
	meta:
		name = "TXMLDocument.AddChild"
		size = 102
		refs = "0018 TXMLDocument.AddChild 0030 TXMLDocument.GetDocumentNode 0052 @IntfClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 6A FF 8B 45 08 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 4D FC 8B D6 8B 18 FF 53 70 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_114793_0 {
	meta:
		name = "TXMLDocument.CreateElement"
		size = 35
		refs = "0018 TXMLDocument.CreateNode"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 57 8B 45 08 50 B1 01 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_114794_0 {
	meta:
		name = "TXMLDocument.CreateNode"
		size = 120
		refs = "0012 TXMLDocument.CreateNode 002f CreateDOMNode 0039 _DV_TXMLNode 003e TXMLNode.Create 004f @IntfCopy 0064 @IntfClear 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 57 8B 45 0C 50 8D 45 FC 50 8B CB 8B D6 8B 47 54 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA B8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114795_0 {
	meta:
		name = "TXMLDocument.GetChildNodes"
		size = 79
		refs = "000f TXMLDocument.GetChildNodes 001f TXMLDocument.GetDocumentNode 003e @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 51 14 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114796_0 {
	meta:
		name = "TXMLDocument.IsEmptyDoc"
		size = 42
		refs = "0015 @CheckAutoResult"
	strings:
		$1 = { 53 51 8B D8 83 7B 54 00 74 1B 54 8B 43 54 50 8B 00 FF 50 58 E8 ?? ?? ?? ?? 66 83 3C 24 00 74 05 33 C0 5A 5B C3 B0 01 5A 5B C3 }
	condition:
		$1
}

rule function_114797_0 {
	meta:
		name = "TXMLDocument.GetDocBinding"
		size = 279
		refs = "001c @UStrAddRef 0024 TXMLDocument.GetDocBinding 0039 TXMLDocument.RegisterDocBinding 0057 @IntfClear 006a TXMLDocument.GetDOMDocument 0078 @CheckAutoResult 0096 TXMLDocument.GetDocumentNode 00ca TXMLDocument.GetDocumentElement 00e0 IXMLNode 00ea @FinalizeArray 0102 @UStrClr 0108 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 10 FF 52 40 84 C0 75 0B B2 01 8B C3 8B 08 FF 51 44 EB 08 8D 43 64 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? 83 7D FC 00 75 42 83 7D 0C 00 74 21 6A 00 6A FF 8D 45 F4 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 4D 0C 8B D6 8B 30 FF 56 70 EB 1B 8D 45 EC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 83 C9 FF 8B D6 8B 30 FF 56 6C 8B 55 08 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114798_0 {
	meta:
		name = "TXMLDocument.RegisterDocBinding"
		size = 94
		refs = "0010 @UStrAddRef 0018 TXMLDocument.RegisterDocBinding 0026 @IntfClear 0036 AddNodeClassInfo 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 64 E8 ?? ?? ?? ?? 8B 45 08 50 8D 43 4C 8B CE 8B D7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 08 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_114799_0 {
	meta:
		name = "TXMLDocument.GetAsyncLoadState"
		size = 105
		refs = "0012 TXMLDocument.GetAsyncLoadState 002c TXMLDocument.GetDOMPersist 003a @CheckAutoResult 0056 @IntfClear 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 33 D2 89 55 F8 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 54 00 74 21 8D 45 FC 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 5D FC EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114801_0 {
	meta:
		name = "TXMLDocument.SetDOMDocument"
		size = 52
		refs = "0017 @CallDynaInst 0021 @IntfCopy"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 33 D2 8B C3 8B 08 FF 51 44 8B C3 66 BE EB FF E8 ?? ?? ?? ?? 8D 43 54 8B D7 E8 ?? ?? ?? ?? 8B C3 66 BE ED FF E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114802_0 {
	meta:
		name = "TXMLDocument.GetDocumentNode"
		size = 148
		refs = "0010 TXMLDocument.GetDocumentNode 001d TXMLDocument.CheckActive 0030 TXMLDocument.GetDOMDocument 003a _DV_TXMLNode 003f TXMLNode.Create 0052 @IntfCopy 005e TNodeClassArray 0063 @DynArrayAsg 0082 @IntfClear 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7B 64 00 75 40 6A 00 53 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8D 43 64 8B D6 85 D2 74 03 83 EA B8 E8 ?? ?? ?? ?? 8D 46 14 8B 53 4C 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C7 8B 53 64 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114803_0 {
	meta:
		name = "TXMLDocument.GetDocumentElement"
		size = 199
		refs = "0013 TXMLDocument.GetDocumentElement 0020 TXMLDocument.CheckActive 0027 @IntfClear 0031 TXMLDocument.GetDocumentNode 0075 @IntfCopy 009b IXMLNode 00a5 @FinalizeArray 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 52 24 84 C0 74 48 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 8B 08 FF 51 14 8B 45 F8 8B D3 8B 08 FF 51 5C EB 17 8D 55 F0 8B 03 8B 08 FF 91 98 00 00 00 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 83 3B 00 74 0B 8B 03 8B 10 FF 52 38 3C 01 75 D9 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114804_0 {
	meta:
		name = "TXMLDocument.SetDocumentElement"
		size = 203
		refs = "0015 TXMLDocument.SetDocumentElement 0022 TXMLDocument.CheckActive 002c TXMLDocument.GetDocumentElement 0040 TXMLDocument.GetDocumentNode 008e @IntfClear 00af IXMLNode 00b9 @FinalizeArray 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 28 8D 45 F8 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 8B 08 FF 51 14 8B 45 F4 8B CE 8B 55 FC 8B 18 FF 53 64 EB 1F 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC 8B 08 FF 51 14 8B 45 EC 8B D6 8B 08 FF 51 18 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114805_0 {
	meta:
		name = "TXMLDocument.SetDOMImplementation"
		size = 33
		refs = "001a @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 58 74 13 33 D2 8B C3 8B 08 FF 51 44 8D 43 58 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114806_0 {
	meta:
		name = "TXMLDocument.SetDOMVendor"
		size = 16
		refs = "000b TXMLDocument.SetDOMImplementation"
	strings:
		$1 = { 3B 50 44 74 0A 89 50 44 33 D2 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_114808_0 {
	meta:
		name = "TXMLDocument.SetFileName"
		size = 71
		refs = "000c @UStrEqual 0036 TXMLDocument.SetXMLStrings 0040 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 68 E8 ?? ?? ?? ?? 74 32 8B C3 8B 10 FF 52 40 84 C0 74 14 80 BB 88 00 00 00 03 75 0B 33 D2 8B C3 8B 08 FF 51 44 EB 09 33 D2 8B C3 E8 ?? ?? ?? ?? 8D 43 68 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114810_0 {
	meta:
		name = "TXMLDocument.SetModified"
		size = 30
	strings:
		$1 = { 84 D2 74 07 FF 80 80 00 00 00 C3 33 D2 89 90 80 00 00 00 C7 80 84 00 00 00 FF FF FF FF C3 }
	condition:
		$1
}

rule function_114813_0 {
	meta:
		name = "TXMLDocument.GetOptions"
		size = 7
	strings:
		$1 = { 0F B6 50 6C 8B C2 C3 }
	condition:
		$1
}

rule function_114814_0 {
	meta:
		name = "TXMLDocument.SetOptions"
		size = 13
	strings:
		$1 = { 51 88 14 24 0F B6 14 24 88 50 6C 5A C3 }
	condition:
		$1
}

rule function_114815_0 {
	meta:
		name = "TXMLDocument.GetParseOptions"
		size = 7
	strings:
		$1 = { 0F B6 50 60 8B C2 C3 }
	condition:
		$1
}

rule function_114816_0 {
	meta:
		name = "TXMLDocument.SetParseOptions"
		size = 13
	strings:
		$1 = { 51 88 14 24 0F B6 14 24 88 50 60 5A C3 }
	condition:
		$1
}

rule function_114817_0 {
	meta:
		name = "TXMLDocument.SetOnAsyncLoad"
		size = 123
		refs = "000c TXMLDocument.SetOnAsyncLoad 0046 TXMLDocument.GetDOMPersist 0054 @CheckAutoResult 0069 @IntfClear 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 89 83 C8 00 00 00 8B 45 0C 89 83 CC 00 00 00 8B C3 8B 10 FF 52 40 84 C0 74 25 FF B3 CC 00 00 00 FF B3 C8 00 00 00 53 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114818_0 {
	meta:
		name = "CheckForDTD"
		size = 580
		refs = "001d CheckForDTD 002e @UStrClr 0038 TXMLDocument.GetChildNodes 006e @OleVarFromInt 0111 @UStrEqual 0156 VarToWideStr 0164 @UStrFromWStr 0192 @VarClr 019a @IntfClear 01b2 @WStrClr 0218 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 10 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B 75 08 83 C6 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8D 55 F4 8B 06 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 0C 8B D8 4B 85 DB 0F 8C 2F 01 00 00 43 C7 45 F8 00 00 00 00 8D 55 EC 8B 06 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 45 DC 8B 55 F8 B1 FC E8 ?? ?? ?? ?? 8D 55 DC 8D 4D F0 58 8B 38 FF 57 10 8B 45 F0 8B 10 FF 52 38 3C 0A 0F 85 E6 00 00 00 8D 55 D8 8B 06 E8 ?? ?? ?? ?? 8B 45 D8 50 8D 45 C8 8B 55 F8 B1 FC E8 ?? ?? ?? ?? 8D 55 C8 8D 4D FC 58 8B 18 FF 53 10 8D 55 C4 8B 45 FC 8B 08 FF 51 10 8B 45 C4 8B 10 FF 52 0C 8B F0 4E 85 F6 0F 8C AB 00 00 00 46 33 DB 8D 55 B8 8B 45 FC 8B 08 FF 51 10 8B 45 B8 50 8D 45 A8 8B D3 B1 FC E8 ?? ?? ?? ?? 8D 55 A8 8D 4D BC 58 8B 38 FF 57 10 8B 45 BC 8D 55 C0 8B 08 FF 51 34 8B 45 C0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 53 8D 55 8C 8B 45 FC 8B 08 FF 51 10 8B 45 8C 50 8D 85 7C FF FF FF 8B D3 B1 FC E8 ?? ?? ?? ?? 8D 95 7C FF FF FF 8D 4D 90 58 8B 30 FF 56 10 8B 45 90 8D 55 94 8B 08 FF 51 3C 8D 45 94 8D 55 A4 E8 ?? ?? ?? ?? 8B 55 A4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? EB 14 43 4E 0F 85 64 FF FF FF EB 0A FF 45 F8 4B 0F 85 D9 FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 6A FF FF FF 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 59 00 53 00 54 00 45 00 4D 00 00 00 00 00 }
	condition:
		$1
}

rule function_114819_0 {
	meta:
		name = "FindLocationHint"
		size = 352
		refs = "001b FindLocationHint 0033 TXMLDocument.GetDocumentElement 0050 VarToStr 005a @UStrAsg 0097 @UStrCopy 00a2 TrimLeft 00d3 @UStrArrayClr 00db @IntfClear 00e3 @VarClr 00eb @UStrClr 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 50 8D 55 E8 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 8B 45 E8 B9 ?? ?? ?? ?? 8B D3 8B 18 FF 93 84 00 00 00 8D 45 EC 8D 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 83 3E 00 74 54 8B 06 89 45 E4 8B 45 E4 85 C0 74 05 83 E8 04 8B 00 8B F8 BB 01 00 00 00 3B FB 7E 38 8B 06 66 83 7C 58 FE 20 77 29 8D 45 DC 50 8B 06 B9 FF FF FF 7F 8B D3 E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? EB 05 43 3B FB 7F C8 83 3E 00 0F 95 C3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 8B C3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 29 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 31 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 2D 00 69 00 6E 00 73 00 74 00 61 00 6E 00 63 00 65 00 00 00 }
	condition:
		$1
}

rule function_114820_0 {
	meta:
		name = "CheckForXMLSchema"
		size = 228
		refs = "0009 CheckForXMLSchema 001d TXMLDocument.GetDocumentElement 0037 FindLocationHint 0066 @IntfClear 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 08 8B 40 F8 E8 ?? ?? ?? ?? 83 7D FC 00 74 2E 8B 45 08 50 8B 45 08 8B 50 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 75 15 8B 45 08 50 8B 45 08 8B 50 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 73 00 63 00 68 00 65 00 6D 00 61 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 19 00 00 00 6E 00 6F 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 53 00 63 00 68 00 65 00 6D 00 61 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_114821_0 {
	meta:
		name = "TXMLDocument.GetSchemaRef"
		size = 46
		refs = "0010 @UStrClr 0016 CheckForDTD 0025 CheckForXMLSchema"
	strings:
		$1 = { 55 8B EC 83 C4 F8 89 55 FC 89 45 F8 8B 45 FC E8 ?? ?? ?? ?? 55 E8 ?? ?? ?? ?? 59 8B 45 FC 83 38 00 75 07 55 E8 ?? ?? ?? ?? 59 59 59 5D C3 }
	condition:
		$1
}

rule function_114823_0 {
	meta:
		name = "TXMLDocument.GetPrologNode"
		size = 440
		refs = "001b TXMLDocument.GetPrologNode 0028 TXMLDocument.CheckActive 0032 TXMLDocument.GetDocumentNode 0072 @OleVarFromInt 00d3 @UStrEqual 010e @IntfClear 0123 @VarClr 015b @UStrClr 017c IXMLNode 0186 @FinalizeArray 0194 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC 8B 08 FF 51 14 8B 45 FC 8B 10 FF 52 0C 85 C0 0F 8E BA 00 00 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 8B 08 FF 51 14 8B 45 F0 50 8D 45 DC 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 55 DC 8D 4D F4 58 8B 38 FF 57 10 8B 45 F4 8B 10 FF 52 38 3C 07 75 7D 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 8B 08 FF 51 14 8B 45 D0 50 8D 45 BC 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 55 BC 8D 4D D4 58 8B 38 FF 57 10 8B 45 D4 8D 55 D8 8B 08 FF 51 34 8B 45 D8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 32 8D 55 B4 8B C3 E8 ?? ?? ?? ?? 8B 45 B4 8D 55 B8 8B 08 FF 51 14 8B 45 B8 50 8D 45 A4 33 D2 B1 01 E8 ?? ?? ?? ?? 8D 55 A4 8B CE 58 8B 18 FF 53 10 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 85 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 78 00 6D 00 6C 00 00 00 }
	condition:
		$1
}

rule function_114824_0 {
	meta:
		name = "TXMLDocument.GetPrologValue"
		size = 488
		refs = "0024 TXMLDocument.GetPrologValue 0032 @IntfClear 0042 TXMLDocument.GetDOMDocument 0062 @UStrClr 0071 @CheckAutoResult 00b4 @UStrAsg 00c0 TXMLDocument.GetPrologNode 00dc @VarToUStr 00fa ExtractAttrValue 0141 @VarClr 0167 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F0 8B DA 8B F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 55 EC 8B C7 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 10 85 C0 75 68 80 EB 01 72 08 74 1E FE CB 74 32 EB 46 8B C6 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? EB 2E 8B C6 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? EB 16 8B C6 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 83 3E 00 0F 85 82 00 00 00 8B C6 8B 55 F0 E8 ?? ?? ?? ?? EB 76 8D 55 FC 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 74 5C 8D 55 DC 8B 45 FC 8B 08 FF 51 3C 8D 55 DC 8D 45 F8 E8 ?? ?? ?? ?? 80 EB 01 72 08 74 19 FE CB 74 28 EB 43 56 8B 4D F0 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 30 56 8B 4D F0 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1D 56 8B 4D F0 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 8B C6 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C2 04 00 00 00 33 26 19 7C 67 C2 3C 48 B0 D5 89 28 9A 14 D5 22 B0 04 02 00 FF FF FF FF 07 00 00 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 74 00 61 00 6E 00 64 00 61 00 6C 00 6F 00 6E 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114825_0 {
	meta:
		name = "TXMLDocument.InternalSetPrologValue"
		size = 368
		refs = "0019 TXMLDocument.InternalSetPrologValue 0035 TXMLDocument.GetPrologValue 0062 @UStrLAsg 007d @VarToUStr 009e @UStrClr 00ad AppendItem 00e5 @UStrArrayClr 00eb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F0 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 D2 74 32 8D 45 FC 50 B9 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 45 F8 50 33 C9 B2 01 8B C6 E8 ?? ?? ?? ?? 8D 45 F4 50 33 C9 B2 02 8B C6 E8 ?? ?? ?? ?? EB 0D 8D 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 45 0C 2C 01 72 08 74 13 FE C8 74 1C EB 25 8D 45 FC 8B 55 F0 E8 ?? ?? ?? ?? EB 18 8D 45 F8 8B 55 F0 E8 ?? ?? ?? ?? EB 0B 8D 45 F4 8B 55 F0 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 8B 4D FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 4D F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 31 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 74 00 61 00 6E 00 64 00 61 00 6C 00 6F 00 6E 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114826_0 {
	meta:
		name = "TXMLDocument.SetPrologValue"
		size = 464
		refs = "0021 TXMLDocument.SetPrologValue 002f @IntfClear 003f TXMLDocument.GetDOMDocument 0065 @VarToUStr 0077 @CheckAutoResult 00c5 TXMLDocument.GetPrologNode 00d6 TXMLDocument.InternalSetPrologValue 00ec TXMLDocument.CreateNode 0100 TXMLDocument.GetDocumentNode 0125 TXMLDocument.GetChildNodes 016c @UStrArrayClr 0185 IXMLNode 018f @FinalizeArray 0197 @UStrClr 019d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B D9 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 10 85 C0 75 70 80 EB 01 72 0B 74 2A FE CB 74 47 E9 D7 00 00 00 8D 45 E8 8B D7 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 45 F0 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? E9 B6 00 00 00 8D 45 E4 8B D7 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 45 F0 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? E9 95 00 00 00 8D 45 E0 8B D7 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 45 F0 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? EB 77 8D 55 F4 8B C6 E8 ?? ?? ?? ?? 53 8D 45 FC 50 8B CF 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 50 8D 45 F8 50 B1 07 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 83 7D F4 00 74 29 8D 45 DC 50 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 8B 08 FF 51 14 8B 45 D8 8B 4D F8 8B 55 F4 8B 18 FF 53 64 EB 17 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F8 33 D2 8B 18 FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A0 5F 5E 5B 8B E5 5D C3 00 00 33 26 19 7C 67 C2 3C 48 B0 D5 89 28 9A 14 D5 22 B0 04 02 00 FF FF FF FF 03 00 00 00 78 00 6D 00 6C 00 00 00 }
	condition:
		$1
}

rule function_114827_0 {
	meta:
		name = "TXMLDocument.GetEncoding"
		size = 21
		refs = "000e TXMLDocument.GetPrologValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 33 C9 B2 01 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114828_0 {
	meta:
		name = "TXMLDocument.SetEncoding"
		size = 86
		refs = "0013 TXMLDocument.SetEncoding 0023 @VarFromUStr 002f TXMLDocument.SetPrologValue 0044 @VarClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 B1 01 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114829_0 {
	meta:
		name = "TXMLDocument.GetVersion"
		size = 21
		refs = "000e TXMLDocument.GetPrologValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 33 C9 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114830_0 {
	meta:
		name = "TXMLDocument.SetVersion"
		size = 86
		refs = "0013 TXMLDocument.SetVersion 0023 @VarFromUStr 002f TXMLDocument.SetPrologValue 0044 @VarClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 33 C9 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114831_0 {
	meta:
		name = "TXMLDocument.GetStandAlone"
		size = 21
		refs = "000e TXMLDocument.GetPrologValue"
	strings:
		$1 = { 53 56 8B F2 8B D8 56 33 C9 B2 02 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114832_0 {
	meta:
		name = "TXMLDocument.SetStandAlone"
		size = 86
		refs = "0013 TXMLDocument.SetStandAlone 0023 @VarFromUStr 002f TXMLDocument.SetPrologValue 0044 @VarClr 004a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 55 F0 B1 02 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114837_0 {
	meta:
		name = "TXMLDocument.DoNodeChange"
		size = 88
		refs = "0011 TXMLDocument.SetModified"
	strings:
		$1 = { 55 8B EC 53 56 57 8B D9 8B F2 8B F8 B2 01 8B C7 E8 ?? ?? ?? ?? 80 7D 08 00 74 1C 66 83 BF BA 00 00 00 00 74 2C 8B CB 8B D6 8B 87 BC 00 00 00 FF 97 B8 00 00 00 EB 1A 66 83 BF C2 00 00 00 00 74 10 8B CB 8B D6 8B 87 C4 00 00 00 FF 97 C0 00 00 00 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_114838_0 {
	meta:
		name = "Finalization"
		size = 142
		refs = "0007 Finalization 0013 _DV_5 001a DefaultNodeIndent 001f @UStrClr 0024 XSDBoolStrs 002f string 0034 @FinalizeArray 0039 AnsiEncodings 004e UnicodeEncodings 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 5E B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_114842_0 {
	meta:
		name = "IsPrefixed"
		size = 40
		refs = "0006 IsPrefixed 000b Pos"
	strings:
		$1 = { 53 8B D8 8B D3 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 9F C0 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_114843_0 {
	meta:
		name = "ExtractLocalName"
		size = 72
		refs = "000a ExtractLocalName 000f Pos 0025 @UStrCopy 0030 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 12 57 8D 53 01 B9 FF FF FF 7F 8B C6 E8 ?? ?? ?? ?? EB 09 8B C7 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_114844_0 {
	meta:
		name = "ExtractPrefix"
		size = 72
		refs = "000a ExtractPrefix 000f Pos 0025 @UStrCopy 002e @UStrClr"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B D6 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 12 57 8B CB 49 BA 01 00 00 00 8B C6 E8 ?? ?? ?? ?? EB 07 8B C7 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_114845_0 {
	meta:
		name = "MakeNodeName"
		size = 64
		refs = "000f MakeNodeName 001c @UStrCatN 0027 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 85 DB 74 15 53 68 ?? ?? ?? ?? 56 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? EB 09 8B C7 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 }
	condition:
		$1
}

rule function_114846_0 {
	meta:
		name = "SameNamespace"
		size = 145
		refs = "0011 SameNamespace 001f @UStrClr 002b @CheckAutoResult 0035 @UStrLAsg 005c CompareText 007d @UStrArrayClr 0083 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC E8 ?? ?? ?? ?? 50 53 8B 03 FF 50 3C E8 ?? ?? ?? ?? 8D 45 F8 8B D6 E8 ?? ?? ?? ?? 8B 45 FC 3B 45 F8 75 04 B0 01 EB 20 83 7D FC 00 74 06 83 7D F8 00 75 04 33 C0 EB 10 8B 55 F8 8B 45 FC E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114848_0 {
	meta:
		name = "NodeMatches"
		size = 162
		refs = "0014 NodeMatches 0027 SameNamespace 0033 @UStrClr 003f @CheckAutoResult 0049 @UStrEqual 008d @UStrArrayClr 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 FF 74 0D 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 74 40 8D 45 FC E8 ?? ?? ?? ?? 50 53 8B 03 FF 50 0C E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 74 24 8D 45 F8 E8 ?? ?? ?? ?? 50 53 8B 03 FF 50 44 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 E8 ?? ?? ?? ?? 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114849_0 {
	meta:
		name = "GetDOMNodeEx"
		size = 136
		refs = "000f GetDOMNodeEx 001c @IntfClear 002a Supports 0036 SNoDOMNodeEx 003b LoadResString 0045 _DV_DOMException 004a Exception.Create 004f @RaiseExcept 0064 @UStrClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 21 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 00 DD FF 6B B0 7B 33 DA 48 98 0B 6F 7A A8 AD E8 5C }
	condition:
		$1
}

rule function_114852_0 {
	meta:
		name = "UnRegisterDOMVendor"
		size = 26
		refs = "0005 DOMVendors 000d DOMVendorList 0014 TDOMVendorList.Remove"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 74 0C E8 ?? ?? ?? ?? 8B D3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_114853_0 {
	meta:
		name = "GetDOMVendor"
		size = 205
		refs = "0013 @UStrAddRef 001b GetDOMVendor 0030 DefaultDOMVendor 0035 @UStrLAsg 0040 DOMVendorList 0045 TDOMVendorList.Count 0055 TDOMVendorList.GetVendors 0066 TDOMVendorList.Find 0084 SNoMatchingDOMVendor 0089 LoadResString 0093 _Dn_Exception 0098 Exception.CreateFmt 009d @RaiseExcept 00b2 @UStrClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 33 D2 89 55 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 0E 8D 45 FC 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 75 1E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 10 E8 ?? ?? ?? ?? 33 D2 E8 ?? ?? ?? ?? 8B D8 EB 0F E8 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? 8B D8 85 DB 75 31 8B 45 FC 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114855_0 {
	meta:
		name = "DOMVendorNotSupported"
		size = 119
		refs = "0015 DOMVendorNotSupported 0037 SDOMNotSupported 003c LoadResString 0046 _DV_DOMException 004b Exception.CreateFmt 0050 @RaiseExcept 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 C9 89 4D EC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 89 5D F0 C6 45 F4 11 89 75 F8 C6 45 FC 11 8D 45 F0 50 6A 01 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114857_0 {
	meta:
		name = "TDOMVendorList.Find"
		size = 135
		refs = "0017 TDOMVendorList.Find 0029 TDOMVendorList.Count 004b @UStrEqual 0071 @UStrClr 0077 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D F4 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 89 45 F8 8B C7 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 2C 46 33 DB 8D 55 F4 8B 47 04 8B 04 98 8B 08 FF 11 8B 55 F4 8B 45 FC E8 ?? ?? ?? ?? 75 0B 8B 47 04 8B 04 98 89 45 F8 EB 04 43 4E 75 D7 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114858_0 {
	meta:
		name = "TDOMVendorList.Add"
		size = 203
		refs = "0015 TDOMVendorList.Add 002e TDOMVendorList.Find 0053 SDuplicateRegistration 0058 LoadResString 0062 _Dn_Exception 0067 Exception.CreateFmt 006c @RaiseExcept 0074 @DynArrayLength 0088 TDOMVendorArray 008d @DynArraySetLength 00b0 @UStrArrayClr 00b8 @UStrClr 00be @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C7 8B 08 FF 11 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 85 C0 74 3A 8D 55 F0 8B C7 8B 08 FF 11 8B 45 F0 89 45 F4 C6 45 F8 11 8D 45 F4 50 6A 00 8D 55 EC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D EC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 04 E8 ?? ?? ?? ?? 8B F0 8D 46 01 50 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 43 04 89 3C B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114859_0 {
	meta:
		name = "TDOMVendorList.Remove"
		size = 133
		refs = "000a TDOMVendorList.Count 0075 TDOMVendorArray 007a @DynArraySetLength"
	strings:
		$1 = { 53 56 57 8B FA 8B D8 8B C3 E8 ?? ?? ?? ?? 8B F0 8B C3 E8 ?? ?? ?? ?? 8B D0 4A 85 D2 7C 13 42 33 C0 8B 4B 04 3B 3C 81 75 04 8B F0 EB 04 40 4A 75 F0 8B C3 E8 ?? ?? ?? ?? 3B F0 7D 45 8B C6 50 8B C3 E8 ?? ?? ?? ?? 8B D0 83 EA 02 58 2B D0 7C 12 42 8B 4B 04 8B 4C 81 04 8B 73 04 89 0C 86 40 4A 75 EF 8B C3 E8 ?? ?? ?? ?? 48 50 8D 43 04 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114861_0 {
	meta:
		name = "EDOMParseError.Create"
		size = 76
		refs = "000e @ClassCreate 001e @IntfCopy 002a Exception.Create 0035 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 18 8B D6 E8 ?? ?? ?? ?? 8B 4D 08 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_114862_0 {
	meta:
		name = "EDOMParseError.GetErrorCode"
		size = 21
		refs = "000c @CheckAutoResult"
	strings:
		$1 = { 51 54 8B 40 18 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_114863_0 {
	meta:
		name = "EDOMParseError.GetFilePos"
		size = 21
		refs = "000c @CheckAutoResult"
	strings:
		$1 = { 51 54 8B 40 18 50 8B 00 FF 50 24 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_114864_0 {
	meta:
		name = "EDOMParseError.GetLine"
		size = 21
		refs = "000c @CheckAutoResult"
	strings:
		$1 = { 51 54 8B 40 18 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_114865_0 {
	meta:
		name = "EDOMParseError.GetLinePos"
		size = 21
		refs = "000c @CheckAutoResult"
	strings:
		$1 = { 51 54 8B 40 18 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 04 24 5A C3 }
	condition:
		$1
}

rule function_114866_0 {
	meta:
		name = "EDOMParseError.GetReason"
		size = 31
		refs = "0009 @UStrClr 0018 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 18 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114867_0 {
	meta:
		name = "EDOMParseError.GetSrcText"
		size = 31
		refs = "0009 @UStrClr 0018 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 18 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114868_0 {
	meta:
		name = "EDOMParseError.GetURL"
		size = 31
		refs = "0009 @UStrClr 0018 @CheckAutoResult"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 E8 ?? ?? ?? ?? 50 8B 43 18 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114871_0 {
	meta:
		name = "NormalizeIdent"
		size = 87
		refs = "000d @UStrAsg 0043 @UniqueStringU"
	strings:
		$1 = { 53 56 57 51 8B F2 8B D8 8B C6 8B D3 E8 ?? ?? ?? ?? 8B 06 89 04 24 8B 04 24 85 C0 74 05 83 E8 04 8B 00 8B F8 85 FF 7E 2A BB 01 00 00 00 8B 06 0F B7 44 58 FE 66 83 F8 20 74 06 66 83 F8 5C 75 0E 8B C6 E8 ?? ?? ?? ?? 66 C7 44 58 FE 5F 00 43 4F 75 DB 5A 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114872_0 {
	meta:
		name = "IsBlankString"
		size = 41
	strings:
		$1 = { 53 33 DB 8B D0 85 D2 74 05 83 EA 04 8B 12 85 D2 7E 11 B9 01 00 00 00 66 83 7C 48 FE 20 77 06 41 4A 75 F4 B3 01 8B C3 5B C3 }
	condition:
		$1
}

rule function_114873_0 {
	meta:
		name = "TXmlIniFile.Create"
		size = 58
		refs = "000b @ClassCreate 001b @IntfCopy 0026 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 8D 47 08 8B D6 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114876_0 {
	meta:
		name = "TXmlIniFile.ReadInteger"
		size = 152
		refs = "0014 TXmlIniFile.ReadInteger 0033 IntToStr 0046 TXmlIniFile.ReadXmlString 004e StrToInt 005f @HandleAnyException 0067 @DoneExcept 0081 @UStrArrayClr 0087 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 08 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 0D E9 ?? ?? ?? ?? 8B 5D 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_114877_0 {
	meta:
		name = "TXmlIniFile.WriteInteger"
		size = 91
		refs = "0012 TXmlIniFile.WriteInteger 0023 IntToStr 0032 TXmlIniFile.WriteXmlString 0047 @UStrClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 45 08 E8 ?? ?? ?? ?? 8B 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_114878_0 {
	meta:
		name = "TXmlIniFile.ReadBool"
		size = 200
		refs = "0016 TXmlIniFile.ReadBool 002d TXmlIniFile.ReadXmlString 0044 @UStrLAsg 0078 CompareText 0099 @UStrArrayClr 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 06 0F B6 5D 08 EB 46 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 04 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 72 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114879_0 {
	meta:
		name = "TXmlIniFile.WriteBool"
		size = 84
		refs = "000a TXmlIniFile.WriteBool 000f TXmlIniFile.WriteXmlString"
	strings:
		$1 = { 55 8B EC 80 7D 08 00 74 0C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0A 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 72 00 75 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 46 00 61 00 6C 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_114880_0 {
	meta:
		name = "TXmlIniFile.DeleteChildNode"
		size = 631
		refs = "001f @IntfAddRef 0027 TXmlIniFile.DeleteChildNode 00a2 IsBlankString 01c1 IXMLNodeList 01cb @FinalizeArray 01d3 @IntfClear 01db @UStrClr 0267 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 FB FF 0F 84 75 01 00 00 8D 55 F8 8B 45 FC 8B 08 FF 51 14 8B 45 F8 8B D3 8B 08 FF 51 24 8B C3 48 78 6B 8D 55 F0 8B 45 FC 8B 08 FF 51 14 8B 45 F0 8D 4D F4 8B F3 4E 8B D6 8B 38 FF 57 48 8B 45 F4 8B 10 FF 52 38 3C 03 75 44 8D 55 E4 8B 45 FC 8B 08 FF 51 14 8B 45 E4 8D 4D E8 8B D6 8B 38 FF 57 48 8B 45 E8 8D 55 EC 8B 08 FF 51 50 8B 45 EC E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 E0 8B 45 FC 8B 08 FF 51 14 8B 45 E0 8B D6 8B 08 FF 51 24 8B C3 83 E8 02 78 6D 8D 55 D8 8B 45 FC 8B 08 FF 51 14 8B 45 D8 8D 4D DC 8B F3 83 EE 02 8B D6 8B 38 FF 57 48 8B 45 DC 8B 10 FF 52 38 3C 03 75 44 8D 55 CC 8B 45 FC 8B 08 FF 51 14 8B 45 CC 8D 4D D0 8B D6 8B 38 FF 57 48 8B 45 D0 8D 55 D4 8B 08 FF 51 50 8B 45 D4 E8 ?? ?? ?? ?? 84 C0 74 15 8D 55 C8 8B 45 FC 8B 08 FF 51 14 8B 45 C8 8B D6 8B 08 FF 51 24 8D 55 C4 8B 45 FC 8B 08 FF 51 14 8B 45 C4 8B 10 FF 52 0C 48 75 66 8D 55 BC 8B 45 FC 8B 08 FF 51 14 8B 45 BC 8D 4D C0 33 D2 8B 18 FF 53 48 8B 45 C0 8B 10 FF 52 38 3C 03 75 42 8D 55 B0 8B 45 FC 8B 08 FF 51 14 8B 45 B0 8D 4D B4 33 D2 8B 18 FF 53 48 8B 45 B4 8D 55 B8 8B 08 FF 51 50 8B 45 B8 E8 ?? ?? ?? ?? 84 C0 74 13 8D 55 AC 8B 45 FC 8B 08 FF 51 14 8B 45 AC 8B 10 FF 52 20 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 4C FF FF FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114881_0 {
	meta:
		name = "TXmlIniFile.DeleteKey"
		size = 316
		refs = "0022 TXmlIniFile.DeleteKey 003c TXmlIniFile.FindXmlNode 00a2 @OleVarFromUStr 00ab @VarCmpEQ 00ca TXmlIniFile.DeleteChildNode 00e0 OleVariant 00ea @FinalizeArray 00f3 IXMLNodeList 0106 IXMLNode 0116 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F0 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C7 45 EC FF FF FF FF 8D 4D FC 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 83 7D FC 00 74 74 8D 55 E8 8B 45 FC 8B 08 FF 51 14 8B 45 E8 8B 10 FF 52 0C 8B F0 4E 85 F6 7C 5A 46 33 DB 8D 55 E4 8B 45 FC 8B 08 FF 51 14 8B 45 E4 8D 4D F8 8B D3 8B 38 FF 57 48 8B 45 F8 8B 10 FF 52 38 3C 01 75 2F 8D 4D D4 BA ?? ?? ?? ?? 8B 45 F8 8B 38 FF 57 0C 8D 45 D4 50 8D 45 C4 8B 55 F0 E8 ?? ?? ?? ?? 8D 55 C4 58 E8 ?? ?? ?? ?? 75 05 89 5D EC EB 04 43 4E 75 A9 83 7D EC FF 74 0E 8B 4D EC 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BF 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114882_0 {
	meta:
		name = "TXmlIniFile.ReadSection"
		size = 324
		refs = "0022 TXmlIniFile.ReadSection 003c TXmlIniFile.FindXmlNode 009f VarIsNull 00be @VarToUStr 00e2 @VarClr 00ea @UStrClr 00fb IXMLNodeList 0105 @FinalizeArray 010e IXMLNode 011e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 44 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 87 00 00 00 8D 55 F0 8B 45 FC 8B 08 FF 51 14 8B 45 F0 8B 10 FF 52 0C 8B D8 4B 85 DB 7C 6D 43 33 F6 8D 55 EC 8B 45 FC 8B 08 FF 51 14 8B 45 EC 8D 4D F8 8B D6 8B 38 FF 57 48 8B 45 F8 8B 10 FF 52 38 3C 01 75 42 8D 4D DC BA ?? ?? ?? ?? 8B 45 F8 8B 38 FF 57 0C 8D 45 DC E8 ?? ?? ?? ?? 84 C0 75 26 8D 4D C8 BA ?? ?? ?? ?? 8B 45 F8 8B 38 FF 57 0C 8D 55 C8 8D 45 D8 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 F4 8B 08 FF 51 38 46 4B 75 96 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BA 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114883_0 {
	meta:
		name = "TXmlIniFile.ReadSections"
		size = 201
		refs = "0017 TXmlIniFile.ReadSections 009b @UStrClr 00a4 IXMLNodeList 00ae @FinalizeArray 00b6 @IntfClear 00bc @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 08 00 74 63 8D 55 F0 8B 46 08 8B 08 FF 51 14 8B 45 F0 8B 10 FF 52 0C 8B D8 4B 85 DB 7C 49 43 C7 45 F4 00 00 00 00 8D 55 EC 8B 46 08 8B 08 FF 51 14 8B 45 EC 8D 4D FC 8B 55 F4 8B 38 FF 57 48 8B 45 FC 8B 10 FF 52 38 3C 01 75 16 8D 55 E8 8B 45 FC 8B 08 FF 51 34 8B 55 E8 8B 45 F8 8B 08 FF 51 38 FF 45 F4 4B 75 BF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114884_0 {
	meta:
		name = "TXmlIniFile.ReadSectionValues"
		size = 89
		refs = "0011 TStrings.BeginUpdate 0019 TXmlIniFile.ReadSectionValues 0033 TXmlIniFile.GetSectionValues 0048 TStrings.EndUpdate 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F2 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 44 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114885_0 {
	meta:
		name = "TXmlIniFile.EraseSection"
		size = 165
		refs = "0013 TXmlIniFile.EraseSection 0025 TXmlIniFile.FindXmlNode 0063 TXmlIniFile.DeleteChildNode 0079 IXMLNode 0083 @FinalizeArray 008b @IntfClear 0099 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 38 8D 55 F4 8B 45 FC 8B 08 FF 51 44 8B 45 F4 8D 55 F8 8B 08 FF 51 14 8B 45 F8 8B 55 FC 8B 08 FF 51 4C 50 8D 55 F0 8B 45 FC 8B 08 FF 51 44 8B 55 F0 8B C3 59 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114887_0 {
	meta:
		name = "TXmlIniFile.WriteXmlString"
		size = 376
		refs = "0022 TXmlIniFile.WriteXmlString 0035 TXmlIniFile.FindXmlNodeOrAdd 003d @IntfClear 0092 @OleVarFromUStr 009b @VarCmpEQ 00a8 @IntfCopy 00c3 NormalizeIdent 0112 @VarClr 011a @UStrClr 0123 OleVariant 012d @FinalizeArray 013e IXMLNode 014e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E8 89 55 EC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F0 8B 45 F8 8B 08 FF 51 14 8B 45 F0 8B 10 FF 52 0C 8B D8 4B 85 DB 7C 57 43 33 F6 8D 4D F4 8B D6 8B 45 F0 8B 38 FF 57 48 8B 45 F4 8B 10 FF 52 38 3C 01 75 37 8D 4D D8 BA ?? ?? ?? ?? 8B 45 F4 8B 38 FF 57 0C 8D 45 D8 50 8D 45 C8 8B 55 E8 E8 ?? ?? ?? ?? 8D 55 C8 58 E8 ?? ?? ?? ?? 75 0D 8D 45 FC 8B 55 F4 E8 ?? ?? ?? ?? EB 04 46 4B 75 AC 83 7D FC 00 75 38 8D 45 FC 50 8D 55 C4 8B 45 EC E8 ?? ?? ?? ?? 8B 55 C4 83 C9 FF 8B 45 F8 8B 18 FF 53 6C 8D 45 B4 8B 55 E8 E8 ?? ?? ?? ?? 8D 4D B4 BA ?? ?? ?? ?? 8B 45 FC 8B 18 FF 53 58 83 7D FC 00 74 0B 8B 55 08 8B 45 FC 8B 08 FF 51 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BA 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114888_0 {
	meta:
		name = "LocalAttributeIs"
		size = 172
		refs = "0014 LocalAttributeIs 0035 FindVarData 0050 @VarToUStr 005b @UStrEqual 0077 @VarClr 007f @UStrClr 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D E8 8B 45 08 8B 40 FC BA ?? ?? ?? ?? 8B 18 FF 53 0C 8D 45 E8 E8 ?? ?? ?? ?? 0F B7 10 66 81 FA 00 01 74 06 66 83 FA 08 75 1B 8D 45 FC 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 FC 8B 55 E4 E8 ?? ?? ?? ?? 0F 94 C3 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114889_0 {
	meta:
		name = "TXmlIniFile.ReadXmlString"
		size = 230
		refs = "001b TXmlIniFile.ReadXmlString 002d TXmlIniFile.FindXmlNode 007d LocalAttributeIs 009e @UStrAsg 00b4 IXMLNodeList 00be @FinalizeArray 00c7 IXMLNode 00d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 60 8D 55 F0 8B 45 F8 8B 08 FF 51 14 8B 45 F0 8B 10 FF 52 0C 8B D8 4B 85 DB 7C 46 43 33 F6 8D 55 EC 8B 45 F8 8B 08 FF 51 14 8B 45 EC 8D 4D FC 8B D6 8B 38 FF 57 48 8B 45 FC 8B 10 FF 52 38 3C 01 75 1B 55 8B 45 F4 E8 ?? ?? ?? ?? 59 84 C0 74 0D 8B 55 08 8B 45 FC 8B 08 FF 51 50 EB 0F 46 4B 75 BD 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_114890_0 {
	meta:
		name = "TXmlIniFile.FindXmlNode"
		size = 250
		refs = "001f TXmlIniFile.FindXmlNode 002d @IntfClear 003d NormalizeIdent 009a @UStrEqual 00a7 @IntfCopy 00c4 @UStrClr 00cd IXMLNodeList 00d7 @FinalizeArray 00ed @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F4 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 83 7E 08 00 74 7C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8D 55 EC 8B 46 08 8B 08 FF 51 14 8B 45 EC 8B 10 FF 52 0C 8B D8 4B 85 DB 7C 58 43 C7 45 F0 00 00 00 00 8D 55 E8 8B 46 08 8B 08 FF 51 14 8B 45 E8 8D 4D F8 8B 55 F0 8B 38 FF 57 48 8B 45 F8 8B 10 FF 52 38 3C 01 75 25 8D 55 E4 8B 45 F8 8B 08 FF 51 34 8B 45 E4 8B 55 FC E8 ?? ?? ?? ?? 75 0D 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? EB 06 FF 45 F0 4B 75 B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114891_0 {
	meta:
		name = "TXmlIniFile.FindXmlNodeOrAdd"
		size = 112
		refs = "0018 TXmlIniFile.FindXmlNodeOrAdd 002a TXmlIniFile.FindXmlNode 003b NormalizeIdent 005e @UStrClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CE 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 83 3E 00 75 1A 56 8D 55 F8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 F8 83 C9 FF 8B 43 08 8B 18 FF 53 6C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_114892_0 {
	meta:
		name = "TXmlIniFile.GetSectionValues"
		size = 352
		refs = "0022 TXmlIniFile.GetSectionValues 0034 TXmlIniFile.FindXmlNode 009b VarIsNull 00aa @VarToUStr 00cd @UStrCatN 00f6 @UStrArrayClr 00ff IXMLNodeList 0109 @FinalizeArray 0111 @VarClr 011a IXMLNode 012a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 9E 00 00 00 8D 55 E0 8B 45 FC 8B 08 FF 51 14 8B 45 E0 8B 10 FF 52 0C 8B D8 4B 85 DB 0F 8C 80 00 00 00 43 33 F6 8D 55 DC 8B 45 FC 8B 08 FF 51 14 8B 45 DC 8D 4D F8 8B D6 8B 38 FF 57 48 8B 45 F8 8B 10 FF 52 38 3C 01 75 55 8D 4D E8 BA ?? ?? ?? ?? 8B 45 F8 8B 38 FF 57 0C 8D 45 E8 E8 ?? ?? ?? ?? 84 C0 75 39 8D 45 D4 8D 55 E8 E8 ?? ?? ?? ?? FF 75 D4 68 ?? ?? ?? ?? 8D 55 D0 8B 45 F8 8B 08 FF 51 50 FF 75 D0 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 D8 8B 45 E4 8B 08 FF 51 38 46 4B 75 83 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 }
	condition:
		$1
}

rule function_114893_0 {
	meta:
		name = "TXmlIniFile.GetStrings"
		size = 348
		refs = "001e TXmlIniFile.GetStrings 002c TStrings.BeginUpdate 0041 _Dn_TStringList 0046 TStringList.Create 00a3 @UStrCatN 00c9 TXmlIniFile.GetSectionValues 00e2 TObject.Free 00e8 @HandleFinally 00ff TStrings.EndUpdate 0121 @UStrArrayClr 0129 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 C9 89 4D E8 89 4D EC 89 4D FC 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 44 8B 55 F0 8B 45 F8 8B 08 FF 51 48 8B 45 F0 8B 10 FF 52 14 8B F0 4E 85 F6 7C 54 46 33 DB 8D 4D FC 8B D3 8B 45 F0 8B 38 FF 57 0C 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 8D 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 F4 8B 08 FF 51 38 8D 4D E8 8B D3 8B 45 F0 8B 38 FF 57 0C 8B 55 E8 8B 4D F4 8B 45 F8 E8 ?? ?? ?? ?? 43 4E 75 AF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 }
	condition:
		$1
}

rule function_114894_0 {
	meta:
		name = "TXmlIniFile.ValueExists"
		size = 296
		refs = "0022 TXmlIniFile.ValueExists 0038 TXmlIniFile.FindXmlNode 009e @OleVarFromUStr 00a7 @VarCmpEQ 00c9 OleVariant 00d3 @FinalizeArray 00dc IXMLNodeList 00ef IXMLNode 00ff @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 75 8D 55 EC 8B 45 FC 8B 08 FF 51 14 8B 45 EC 8B 10 FF 52 0C 8B D8 4B 85 DB 7C 5B 43 33 F6 8D 55 E8 8B 45 FC 8B 08 FF 51 14 8B 45 E8 8D 4D F8 8B D6 8B 38 FF 57 48 8B 45 F8 8B 10 FF 52 28 84 C0 74 30 8D 4D D8 BA ?? ?? ?? ?? 8B 45 F8 8B 38 FF 57 0C 8D 45 D8 50 8D 45 C8 8B 55 F4 E8 ?? ?? ?? ?? 8D 55 C8 58 E8 ?? ?? ?? ?? 75 06 C6 45 F3 01 EB 04 46 4B 75 A8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BF 0F B6 45 F3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 4E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114895_0 {
	meta:
		name = "TXmlMemIniFile.Create"
		size = 83
		refs = "000b @ClassCreate 001c TMemIniFile.Create 0025 _DV_TXmlIniFile 002a TXmlIniFile.Create 0034 TXmlMemIniFile.LoadValues 003f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 C9 33 D2 8B C7 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 10 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114896_0 {
	meta:
		name = "TXmlMemIniFile.DeleteKey"
		size = 36
		refs = "0010 TMemIniFile.DeleteKey"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CF 8B D6 8B 43 10 8B 18 FF 53 5C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114897_0 {
	meta:
		name = "TXmlMemIniFile.Destroy"
		size = 52
		refs = "0003 @BeforeDestruction 0012 TMemIniFile.Destroy 0022 TObject.Free 002d @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8D 46 10 8B 10 33 C9 89 08 8B C2 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114898_0 {
	meta:
		name = "TXmlMemIniFile.EraseSection"
		size = 28
		refs = "000b TMemIniFile.EraseSection"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 43 10 8B 08 FF 51 58 5E 5B C3 }
	condition:
		$1
}

rule function_114899_0 {
	meta:
		name = "TXmlMemIniFile.LoadValues"
		size = 90
		refs = "000a _Dn_TStringList 000f TStringList.Create 001a TXmlMemIniFile.LoadValues 002b TXmlIniFile.GetStrings 0035 TMemIniFile.SetStrings 004a TObject.Free 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 10 8B 55 FC E8 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_114900_0 {
	meta:
		name = "TXmlMemIniFile.ReadBool"
		size = 204
		refs = "0018 TXmlMemIniFile.ReadBool 0047 @UStrLAsg 007b CompareText 009c @UStrArrayClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F0 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 6A 00 8D 45 FC 50 8B 4D F0 8B D6 8B C3 8B 18 FF 53 04 83 7D FC 00 75 06 0F B6 5D 08 EB 46 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 3B 45 F4 75 04 B0 01 EB 20 83 7D F8 00 74 06 83 7D F4 00 75 04 33 C0 EB 10 8B 55 F4 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 54 00 72 00 75 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114901_0 {
	meta:
		name = "TXmlMemIniFile.ReadInteger"
		size = 156
		refs = "0017 TXmlMemIniFile.ReadInteger 0036 IntToStr 0052 StrToInt 0063 @HandleAnyException 006b @DoneExcept 0085 @UStrArrayClr 008b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 08 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 45 F8 50 8B 4D FC 8B D6 8B C3 8B 18 FF 53 04 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 EB 0D E9 ?? ?? ?? ?? 8B 5D 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_114902_0 {
	meta:
		name = "TXmlMemIniFile.ReadString"
		size = 95
		refs = "0012 TXmlMemIniFile.ReadString 002a NormalizeIdent 0036 TMemIniFile.ReadString 004b @UStrClr 0051 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 8B 45 08 50 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B CF 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_114904_0 {
	meta:
		name = "TXmlMemIniFile.WriteBool"
		size = 52
		refs = "0018 TCustomIniFile.WriteBool"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 0F B6 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 0F B6 45 08 50 8B CF 8B D6 8B 43 10 8B 18 FF 53 18 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_114905_0 {
	meta:
		name = "TXmlMemIniFile.WriteString"
		size = 50
		refs = "0017 TMemIniFile.WriteString"
	strings:
		$1 = { 55 8B EC 53 56 57 8B F9 8B F2 8B D8 8B 45 08 50 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 08 50 8B CF 8B D6 8B 43 10 8B 18 FF 53 08 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule function_114908_0 {
	meta:
		name = "Finalization"
		size = 69
		refs = "0007 Finalization 0013 _DV_3 001a NodeTypeNames 0025 string 002a @FinalizeArray 003d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 15 B8 ?? ?? ?? ?? B9 0D 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_114913_0 {
	meta:
		name = "ArrayContains"
		size = 41
		refs = "0013 @UStrEqual"
	strings:
		$1 = { 53 56 57 8B F8 8B F1 85 F6 7C 18 46 8B DA 8B C7 8B 13 E8 ?? ?? ?? ?? 75 04 B0 01 EB 08 83 C3 04 4E 75 EB 33 C0 5F 5E 5B C3 }
	condition:
		$1
}

rule function_114914_0 {
	meta:
		name = "IsHosted"
		size = 108
		refs = "000c IsHosted 0021 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 D0 00 00 00 85 C0 0F 95 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 00 37 90 81 6C 66 AB A8 4A B2 A5 95 8E DA 86 27 B7 }
	condition:
		$1
}

rule function_114915_0 {
	meta:
		name = "GetDocumentationText"
		size = 243
		refs = "001c GetDocumentationText 0073 @OleVarFromInt 00a1 @UStrCat 00bd @UStrClr 00c5 @VarClr 00ce IXMLNodeList 00d8 @FinalizeArray 00e0 @IntfClear 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 8B 10 FF 52 28 84 C0 74 0D 8B 55 F4 8B 45 F8 8B 08 FF 51 50 EB 6D 8D 55 F0 8B 45 F8 8B 08 FF 51 14 8B 45 F0 8B 10 FF 52 0C 8B D8 4B 85 DB 7C 53 43 33 F6 8D 55 EC 8B 45 F8 8B 08 FF 51 14 8B 45 EC 50 8D 45 DC 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 DC 8D 4D FC 58 8B 38 FF 57 10 8B 45 FC 8B 10 FF 52 38 3C 03 75 19 8D 55 D8 8B 45 FC 8B 08 FF 51 50 8B 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 46 4B 75 B0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114916_0 {
	meta:
		name = "GetDocumentation"
		size = 244
		refs = "0020 @IntfAddRef 0028 GetDocumentation 0035 @UStrClr 0096 GetDocumentationText 00a0 @UStrCat 00c1 @IntfClear 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F1 88 55 FB 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 B8 00 00 00 84 C0 74 68 8D 55 F0 8B 45 FC 8B 08 FF 91 B4 00 00 00 8B 45 F0 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 7C 48 43 C7 45 F4 00 00 00 00 8D 55 E4 8B 45 FC 8B 08 FF 91 B4 00 00 00 8B 45 E4 8D 4D E8 8B 55 F4 8B 38 FF 97 C4 00 00 00 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B C6 E8 ?? ?? ?? ?? 80 7D FB 00 74 06 FF 45 F4 4B 75 C0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_114917_0 {
	meta:
		name = "GetXMLSchema"
		size = 108
		refs = "000e @IntfAddRef 0016 GetXMLSchema 0025 _DV_TXMLSchemaDoc 002a TXMLDocument.Create 003d @IntfCopy 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 24 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 03 8B 55 FC 8B 08 FF 51 54 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_114918_0 {
	meta:
		name = "LoadXMLSchema"
		size = 54
		refs = "000b _DV_TXMLSchemaDoc 0010 TXMLDocument.Create 0023 @IntfCopy"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 24 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 03 8B D6 8B 08 FF 91 94 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_114919_0 {
	meta:
		name = "LoadXMLSchemaStr"
		size = 54
		refs = "000b _DV_TXMLSchemaDoc 0010 TXMLDocument.Create 0023 @IntfCopy"
	strings:
		$1 = { 53 56 8B DA 8B F0 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 24 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 03 8B D6 8B 08 FF 91 A0 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_114920_0 {
	meta:
		name = "NewXMLSchema"
		size = 232
		refs = "001c NewXMLSchema 002b _DV_TXMLSchemaDoc 0030 TXMLDocument.Create 0043 @IntfCopy 005f MakeNodeName 006a XMLSchemaURI 00a5 @IntfClear 00ad @UStrClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 89 55 FC 8B F8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 24 FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B 06 B2 01 8B 08 FF 51 4C 8D 45 F8 50 8D 4D F4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 06 8B 0D ?? ?? ?? ?? 8B 18 FF 53 7C 85 FF 74 1D 8D 55 F0 8B 06 8B 08 FF 91 C8 00 00 00 8B 45 F0 8B 4D FC 8B D7 8B 18 FF 93 30 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_114923_0 {
	meta:
		name = "RegisterSchemaTranslator"
		size = 73
		refs = "0005 TranslatorList 000f _Dn_TInterfaceList 0014 TInterfaceList.Create 0027 @IntfCopy"
	strings:
		$1 = { 53 8B D8 83 3D ?? ?? ?? ?? 00 75 1F B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 34 85 C0 7D 0C 8B D3 A1 ?? ?? ?? ?? 8B 08 FF 51 38 5B C3 }
	condition:
		$1
}

rule function_114924_0 {
	meta:
		name = "UnRegisterSchemaTranslator"
		size = 22
		refs = "0002 TranslatorList"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 0C 8B D0 A1 ?? ?? ?? ?? 8B 08 FF 51 44 C3 }
	condition:
		$1
}

rule function_114925_0 {
	meta:
		name = "FindSchemaExporter"
		size = 240
		refs = "0016 FindSchemaExporter 0024 @IntfClear 002a TranslatorList 005e @IntfCast 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 71 A1 ?? ?? ?? ?? 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 5F 8D 4D F4 8B D3 A1 ?? ?? ?? ?? 8B 38 FF 57 0C 8B 55 F4 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 51 0C 84 C0 74 2C 8D 4D EC 8B D3 A1 ?? ?? ?? ?? 8B 30 FF 56 0C 8B 55 EC 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC 8B 08 FF 51 14 EB 06 4B 83 FB FF 75 A1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 00 EE 26 B2 AA C1 51 02 49 B8 83 FE 53 8E B1 F2 7E }
	condition:
		$1
}

rule function_114926_0 {
	meta:
		name = "FindSchemaImporter"
		size = 240
		refs = "0016 FindSchemaImporter 0024 @IntfClear 002a TranslatorList 005e @IntfCast 00d1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 55 FC 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 71 A1 ?? ?? ?? ?? 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 5F 8D 4D F4 8B D3 A1 ?? ?? ?? ?? 8B 38 FF 57 0C 8B 55 F4 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 51 10 84 C0 74 2C 8D 4D EC 8B D3 A1 ?? ?? ?? ?? 8B 30 FF 56 0C 8B 55 EC 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B 55 FC 8B 08 FF 51 18 EB 06 4B 83 FB FF 75 A1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 00 EE 26 B2 AA C1 51 02 49 B8 83 FE 53 8E B1 F2 7E }
	condition:
		$1
}

rule function_114927_0 {
	meta:
		name = "TXMLAttributeDefList.GetAttributeDef"
		size = 108
		refs = "0012 TXMLAttributeDefList.GetAttributeDef 0024 TInterfaceList.Get 0033 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 25 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115167_0 {
	meta:
		name = "TXMLAttributeDefs.Find"
		size = 108
		refs = "0012 TXMLAttributeDefs.Find 0024 TXMLSchemaItems.FindItem 0033 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 25 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115168_0 {
	meta:
		name = "TXMLAttributeDefs.GetItem"
		size = 108
		refs = "0012 TXMLAttributeDefs.GetItem 0024 TXMLSchemaItems.GetSchemaItem 0033 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 25 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114928_0 {
	meta:
		name = "TXMLElementDefList.GetElementDef"
		size = 108
		refs = "0012 TXMLElementDefList.GetElementDef 0024 TInterfaceList.Get 0033 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 24 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115177_0 {
	meta:
		name = "TXMLElementDefs.Find"
		size = 108
		refs = "0012 TXMLElementDefs.Find 0024 TXMLSchemaItems.FindItem 0033 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 24 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115171_0 {
	meta:
		name = "TXMLElementDefs.GetItem"
		size = 108
		refs = "0012 TXMLElementDefs.GetItem 0024 TXMLSchemaItems.GetSchemaItem 0033 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 24 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114929_0 {
	meta:
		name = "TXMLSchemaNode.GetSchemaDef"
		size = 35
		refs = "0009 TXMLSchemaNode.SchemaObject 001c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 6C FF FF FF 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_114930_0 {
	meta:
		name = "TXMLSchemaNode.SchemaObject"
		size = 44
		refs = "0010 _DV_TXMLSchemaDef 0015 @IsClass 0026 @AsClass"
	strings:
		$1 = { 53 8B D8 EB 03 8B 5B 28 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 E8 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_114931_0 {
	meta:
		name = "TXMLSchemaItem.AfterConstruction"
		size = 68
		refs = "0007 _DV_TXMLAnnotation 000c TXMLSchemaItem.AfterConstruction 0013 TXMLNode.RegisterChildNode 001a TInterfacedObject.AfterConstruction"
	strings:
		$1 = { 53 8B D8 6A 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 61 00 6E 00 6E 00 6F 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_114932_0 {
	meta:
		name = "TXMLSchemaItem.GetName"
		size = 280
		refs = "0019 TXMLSchemaItem.GetName 0029 TXMLSchemaItem.GetRefItem 0054 TXMLNode.HasAttribute 0067 TXMLNode.GetAttribute 0071 VarToStr 00a5 @UStrClr 00bb OleVariant 00c5 @FinalizeArray 00ce IXMLSchemaRefItem 00de @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 19 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 91 C0 00 00 00 EB 5D BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8D 4D E8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 E8 8B D6 E8 ?? ?? ?? ?? EB 32 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8D 4D D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 D8 8B D6 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 72 00 65 00 66 00 00 00 }
	condition:
		$1
}

rule function_114933_0 {
	meta:
		name = "TXMLSchemaItem.SetName"
		size = 176
		refs = "0015 TXMLSchemaItem.SetName 0025 TXMLSchemaItem.GetRefItem 0033 SNoNameOnRef 0038 LoadResString 0046 SchemaValidationError 0050 @OleVarFromUStr 005f TXMLNode.SetAttribute 0074 @VarClr 007c @UStrClr 0084 @IntfClear 008a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 1B 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8D 55 F8 83 C9 FF E8 ?? ?? ?? ?? 8D 45 E8 8B D6 E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114934_0 {
	meta:
		name = "TXMLSchemaItem.ItemLocalName"
		size = 79
		refs = "000f TXMLSchemaItem.ItemLocalName 0029 ExtractLocalName 003e @UStrClr 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 24 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114935_0 {
	meta:
		name = "TXMLSchemaItem.GetRefName"
		size = 112
		refs = "0013 TXMLSchemaItem.GetRefName 0028 TXMLNode.GetAttribute 0032 VarToStr 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 72 00 65 00 66 00 00 00 }
	condition:
		$1
}

rule function_114936_0 {
	meta:
		name = "TXMLSchemaItem.SetRefName"
		size = 336
		refs = "001a TXMLSchemaItem.SetRefName 002c Null 0037 @OleVarFromVar 0046 TXMLNode.SetAttribute 0055 TXMLSchemaNode.GetSchemaDef 0070 IsPrefixed 0099 MakeNodeName 00a4 @OleVarFromUStr 00d6 @IntfClear 00eb @VarClr 0100 @UStrArrayClr 0118 @UStrClr 012e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 F6 75 27 8D 45 E0 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? E9 83 00 00 00 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC 8B 08 FF 91 FC 00 00 00 83 7D DC 00 74 4C 8B C6 E8 ?? ?? ?? ?? 84 C0 75 41 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 8B 45 BC 8D 55 C0 8B 08 FF 91 FC 00 00 00 8B 45 C0 8D 4D C4 8B D6 E8 ?? ?? ?? ?? 8B 55 C4 8D 45 C8 E8 ?? ?? ?? ?? 8D 4D C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 19 8D 45 AC 8B D6 E8 ?? ?? ?? ?? 8D 4D AC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 43 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 72 00 65 00 66 00 00 00 }
	condition:
		$1
}

rule function_114938_0 {
	meta:
		name = "TXMLSchemaItem.GetRefItem"
		size = 260
		refs = "0018 TXMLSchemaItem.GetRefItem 0030 TXMLNode.HasAttribute 0053 TXMLNode.GetAttribute 005e @VarToUStr 008b @IntfCast 0095 @IntfCopy 00aa @IntfClear 00b2 @VarClr 00ba @UStrClr 00d0 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 58 00 75 67 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 57 8D 55 FC 8B C3 8B 08 FF 51 1C 83 7D FC 00 74 47 8D 4D E4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 E4 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 E0 8B C3 8B 08 FF 51 1C 8B 45 E0 8D 4D F8 5A 8B 38 FF 97 C4 00 00 00 8B 55 F8 8D 43 58 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 58 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 72 00 65 00 66 00 00 00 01 52 46 41 9A D3 39 4C AC BE C3 AF 64 F0 72 0D }
	condition:
		$1
}

rule function_114939_0 {
	meta:
		name = "TXMLSchemaItem.SetRefItem"
		size = 228
		refs = "0019 TXMLSchemaItem.SetRefItem 0026 TXMLSchemaItem.IsGlobal 0032 SNoGlobalRef 0037 LoadResString 0045 SchemaValidationError 0052 TXMLSchemaItem.SetRefName 005c Null 0067 @OleVarFromVar 0076 TXMLNode.SetAttribute 00a2 @UStrClr 00aa @VarClr 00c0 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 1B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8D 55 FC 83 C9 FF E8 ?? ?? ?? ?? 85 F6 75 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 39 8D 45 DC E8 ?? ?? ?? ?? 8D 55 DC 8D 45 EC E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 D8 8B C6 8B 08 FF 91 C0 00 00 00 8B 55 D8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114940_0 {
	meta:
		name = "TXMLSchemaItem.GetAnnotation"
		size = 232
		refs = "0014 TXMLSchemaItem.GetAnnotation 002a TXMLNode.GetChildNodes 004a @IntfCast 0062 TXMLNode.AddChild 007c @IntfCopy 0091 @IntfClear 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 5C 00 75 52 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? 8B 38 FF 57 38 8B 55 FC 8D 43 5C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 5C 00 75 22 8D 45 F4 50 33 C9 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 43 5C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 61 00 6E 00 6E 00 6F 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 6D 31 A9 F3 F3 4A D7 4C 8C 5B DB FE F2 36 A8 DA }
	condition:
		$1
}

rule function_114942_0 {
	meta:
		name = "TXMLSchemaItem.RemoveAnnotation"
		size = 110
		refs = "000f TXMLSchemaItem.RemoveAnnotation 0035 TXMLNode.GetChildNodes 0048 @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 5C 00 74 04 84 DB 74 0C 8B 46 5C 8B 10 FF 52 24 84 C0 75 1D 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 56 5C 8B 08 FF 51 60 8D 46 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114943_0 {
	meta:
		name = "TXMLSchemaItem.GetAppInfoCollection"
		size = 82
		refs = "000f TXMLSchemaItem.GetAppInfoCollection 001f TXMLSchemaItem.GetAnnotation 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 91 B0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115034_0 {
	meta:
		name = "TXMLComplexTypeDef.GetAttributeDefs"
		size = 82
		refs = "000f TXMLComplexTypeDef.GetAttributeDefs 001f TXMLComplexTypeDef.GetContentNode 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 91 B0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114944_0 {
	meta:
		name = "TXMLSchemaItem.GetDocumentationCollection"
		size = 82
		refs = "000f TXMLSchemaItem.GetDocumentationCollection 001f TXMLSchemaItem.GetAnnotation 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 91 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115035_0 {
	meta:
		name = "TXMLComplexTypeDef.GetAttributeGroups"
		size = 82
		refs = "000f TXMLComplexTypeDef.GetAttributeGroups 001f TXMLComplexTypeDef.GetContentNode 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 91 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114945_0 {
	meta:
		name = "TXMLSchemaItem.IsGlobal"
		size = 164
		refs = "000e TXMLSchemaItem.IsGlobal 002b @IntfCast 0043 @UStrEqual 005d @IntfClear 0065 @UStrClr 006b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B 53 28 85 D2 74 03 83 EA F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC 8B 08 FF 51 2C 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 C0 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_114946_0 {
	meta:
		name = "TXMLSchemaDocRef.GetSchemaLocation"
		size = 136
		refs = "0013 TXMLSchemaDocRef.GetSchemaLocation 0028 TXMLNode.GetAttribute 0032 VarToStr 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 73 00 63 00 68 00 65 00 6D 00 61 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_114947_0 {
	meta:
		name = "TXMLSchemaDocRef.GetSchemaRef"
		size = 110
		refs = "000f TXMLSchemaDocRef.GetSchemaRef 0022 TXMLSchemaNode.SchemaObject 0033 TXMLSchemaDef.LoadSchemaRef 003e @IntfCopy 005d @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 68 00 75 23 8B C3 E8 ?? ?? ?? ?? 8D 4D FC 8B D3 85 D2 74 03 83 EA 90 E8 ?? ?? ?? ?? 8B 55 FC 8D 43 68 E8 ?? ?? ?? ?? 8B C6 8B 53 68 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114949_0 {
	meta:
		name = "TXMLSchemaDocRef.SetSchemaLocation"
		size = 136
		refs = "0013 TXMLSchemaDocRef.SetSchemaLocation 0023 @OleVarFromUStr 0032 TXMLNode.SetAttribute 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 73 00 63 00 68 00 65 00 6D 00 61 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_114952_0 {
	meta:
		name = "TXMLSchemaInclude.AfterConstruction"
		size = 21
		refs = "0006 TXMLSchemaItem.AfterConstruction 000f TXMLSchemaDocRef.SetSchemaRefType"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? B2 02 8B C3 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_114953_0 {
	meta:
		name = "TXMLTypeDef.AfterConstruction"
		size = 148
		refs = "0007 _DV_TXMLAttributeDef 000f _DV_TXMLAttributeGroup 001b TXMLTypeDef.AfterConstruction 0038 TXMLNode.RegisterChildNodes 003f TXMLSchemaItem.AfterConstruction"
	strings:
		$1 = { 53 83 C4 F0 8B D8 A1 ?? ?? ?? ?? 89 04 24 A1 ?? ?? ?? ?? 89 44 24 04 54 6A 01 B8 ?? ?? ?? ?? 89 44 24 10 B8 ?? ?? ?? ?? 89 44 24 14 8D 54 24 10 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 61 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 61 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 47 00 72 00 6F 00 75 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_115096_0 {
	meta:
		name = "TXMLAttributeGroup.AfterConstruction"
		size = 148
		refs = "0007 _DV_TXMLAttributeDef 000f _DV_TXMLAttributeGroup 001b TXMLAttributeGroup.AfterConstruction 0038 TXMLNode.RegisterChildNodes 003f TXMLSchemaItem.AfterConstruction"
	strings:
		$1 = { 53 83 C4 F0 8B D8 A1 ?? ?? ?? ?? 89 04 24 A1 ?? ?? ?? ?? 89 44 24 04 54 6A 01 B8 ?? ?? ?? ?? 89 44 24 10 B8 ?? ?? ?? ?? 89 44 24 14 8D 54 24 10 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 61 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 61 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 47 00 72 00 6F 00 75 00 70 00 00 00 00 00 }
	condition:
		$1
}

rule function_114954_0 {
	meta:
		name = "TXMLTypeDef.GetName"
		size = 488
		refs = "0018 TXMLTypeDef.GetName 0031 _DV_TXMLTypedSchemaItem 0036 @IsClass 004b @AsClass 005c TXMLSchemaNode.GetSchemaDef 007d @IntfCopy 00a3 @IntfClear 00b2 Supports 00e0 @UStrCatN 0117 @UStrEqual 0125 @UStrCat 0133 TXMLNode.HasAttribute 013f SMissingName 0144 LoadResString 0152 SchemaParseError 015b TXMLSchemaItem.GetName 0175 @UStrArrayClr 01a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 28 85 F6 0F 84 FE 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 0F 84 E9 00 00 00 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D7 8B 08 FF 51 24 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8B 10 FF 92 E0 00 00 00 84 C0 74 7F 8D 45 F8 8B 53 28 85 D2 74 03 83 EA B8 E8 ?? ?? ?? ?? EB 16 8D 55 EC 8B 45 F8 8B 08 FF 51 44 8B 55 EC 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 1B 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 C9 83 7D F4 00 74 24 8D 55 E8 8B 45 F4 8B 08 FF 91 C0 00 00 00 FF 75 E8 68 ?? ?? ?? ?? FF 37 8B C7 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 51 34 83 7D FC 00 74 6B 8B 45 FC 8B 10 FF 92 5C 01 00 00 84 C0 74 5C 8D 55 E4 8B 45 FC 8B 08 FF 91 C0 00 00 00 8B 55 E4 8B 07 E8 ?? ?? ?? ?? 75 42 8B C7 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 34 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1B 8D 55 E0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E0 83 C9 FF E8 ?? ?? ?? ?? 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C3 5F 5E 5B 8B E5 5D C3 23 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD B0 04 02 00 FF FF FF FF 01 00 00 00 5F 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114955_0 {
	meta:
		name = "TXMLTypeDef.SetName"
		size = 204
		refs = "0018 TXMLTypeDef.SetName 002d _DV_TXMLElementDef 0032 @IsClass 0056 SNoLocalTypeName 005b LoadResString 0066 SchemaValidationError 0070 @OleVarFromUStr 007f TXMLNode.SetAttribute 0094 @VarClr 00a1 @UStrArrayClr 00a7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 73 28 85 F6 74 41 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 30 8D 55 F4 8B C3 8B 08 FF 51 24 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 5A E8 ?? ?? ?? ?? 8D 45 E0 8B D7 E8 ?? ?? ?? ?? 8D 4D E0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 6E 00 61 00 6D 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114956_0 {
	meta:
		name = "TXMLTypeDef.GetBaseTypeName"
		size = 97
		refs = "000f TXMLTypeDef.GetBaseTypeName 003b @UStrClr 0050 @IntfClear 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 8B 08 FF 51 34 83 7D FC 00 74 0F 8B D6 8B 45 FC 8B 08 FF 91 C0 00 00 00 EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_114958_0 {
	meta:
		name = "TXMLTypeDef.IsAnonymous"
		size = 38
		refs = "000f _DV_TXMLSchemaDef 0014 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 28 85 F6 74 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_114959_0 {
	meta:
		name = "TXMLTypeDef.GetBounded"
		size = 52
		refs = "0009 TXMLTypeDef.GetBounded"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 2C 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 6F 00 75 00 6E 00 64 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_114960_0 {
	meta:
		name = "TXMLTypeDef.GetCardinality"
		size = 60
		refs = "0009 TXMLTypeDef.GetCardinality"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 2C 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 61 00 72 00 64 00 69 00 6E 00 61 00 6C 00 69 00 74 00 79 00 00 00 }
	condition:
		$1
}

rule function_114961_0 {
	meta:
		name = "TXMLTypeDef.GetEnumerations"
		size = 296
		refs = "0015 TXMLTypeDef.GetEnumerations 004c @IntfCopy 0063 @IntfCast 0071 _DV_TXMLEnumerationCollection 00b9 @IntfClear 00c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 89 55 F8 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 68 00 75 78 8D 4D FC 33 D2 8B C6 8B 18 FF 53 30 83 7D FC 00 0F 95 C3 80 F3 01 84 DB 74 11 8D 45 FC 8B D6 85 D2 74 03 83 EA B8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 8D 45 F4 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 38 FF 97 C0 00 00 00 8B D0 85 D2 74 03 83 EA F8 8D 46 68 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 8B 46 68 8B 08 FF 51 64 8B 45 F8 8B 56 68 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 65 00 6E 00 75 00 6D 00 65 00 72 00 61 00 74 00 69 00 6F 00 6E 00 00 00 37 90 81 6C 66 AB A8 4A B2 A5 95 8E DA 86 27 B7 14 F4 F0 FB 54 AA DD 4A BD 64 EA 15 D5 AD 38 0E 97 EB B8 3E 43 13 E1 40 9E 85 5E 29 C4 ED D8 C4 }
	condition:
		$1
}

rule function_114962_0 {
	meta:
		name = "TXMLTypeDef.GetFractionalDigits"
		size = 72
		refs = "0009 TXMLTypeDef.GetFractionalDigits"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 2C 5E 5B C3 00 B0 04 02 00 FF FF FF FF 10 00 00 00 66 00 72 00 61 00 63 00 74 00 69 00 6F 00 6E 00 61 00 6C 00 44 00 69 00 67 00 69 00 74 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_114963_0 {
	meta:
		name = "TXMLTypeDef.GetLength"
		size = 52
		refs = "0009 TXMLTypeDef.GetLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 2C 5E 5B C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_114964_0 {
	meta:
		name = "TXMLTypeDef.GetMaxExclusive"
		size = 64
		refs = "0009 TXMLTypeDef.GetMaxExclusive"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 2C 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6D 00 61 00 78 00 45 00 78 00 63 00 6C 00 75 00 73 00 69 00 76 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114965_0 {
	meta:
		name = "TXMLTypeDef.GetMaxInclusive"
		size = 64
		refs = "0009 TXMLTypeDef.GetMaxInclusive"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 2C 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6D 00 61 00 78 00 49 00 6E 00 63 00 6C 00 75 00 73 00 69 00 76 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114966_0 {
	meta:
		name = "TXMLTypeDef.GetMaxLength"
		size = 56
		refs = "0009 TXMLTypeDef.GetMaxLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 2C 5E 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 61 00 78 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_114967_0 {
	meta:
		name = "TXMLTypeDef.GetMinExclusive"
		size = 64
		refs = "0009 TXMLTypeDef.GetMinExclusive"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 2C 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6D 00 69 00 6E 00 45 00 78 00 63 00 6C 00 75 00 73 00 69 00 76 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114968_0 {
	meta:
		name = "TXMLTypeDef.GetMinInclusive"
		size = 64
		refs = "0009 TXMLTypeDef.GetMinInclusive"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 2C 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6D 00 69 00 6E 00 49 00 6E 00 63 00 6C 00 75 00 73 00 69 00 76 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114969_0 {
	meta:
		name = "TXMLTypeDef.GetMinLength"
		size = 56
		refs = "0009 TXMLTypeDef.GetMinLength"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 2C 5E 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 69 00 6E 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_114970_0 {
	meta:
		name = "TXMLTypeDef.GetNumeric"
		size = 52
		refs = "0009 TXMLTypeDef.GetNumeric"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 2C 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6E 00 75 00 6D 00 65 00 72 00 69 00 63 00 00 00 }
	condition:
		$1
}

rule function_114971_0 {
	meta:
		name = "TXMLTypeDef.GetOrdered"
		size = 52
		refs = "0009 TXMLTypeDef.GetOrdered"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 2C 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6F 00 72 00 64 00 65 00 72 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_114972_0 {
	meta:
		name = "TXMLTypeDef.GetPattern"
		size = 52
		refs = "0009 TXMLTypeDef.GetPattern"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 2C 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 70 00 61 00 74 00 74 00 65 00 72 00 6E 00 00 00 }
	condition:
		$1
}

rule function_114973_0 {
	meta:
		name = "TXMLTypeDef.GetTotalDigits"
		size = 60
		refs = "0009 TXMLTypeDef.GetTotalDigits"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 2C 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 74 00 6F 00 74 00 61 00 6C 00 44 00 69 00 67 00 69 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_114974_0 {
	meta:
		name = "TXMLTypeDef.GetWhitespace"
		size = 60
		refs = "0009 TXMLTypeDef.GetWhitespace"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 2C 5E 5B C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 77 00 68 00 69 00 74 00 65 00 53 00 70 00 61 00 63 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114975_0 {
	meta:
		name = "TXMLTypeDef.ReadFacet"
		size = 184
		refs = "0018 TXMLTypeDef.ReadFacet 0025 Null 007a @IntfClear 0083 IXMLNode 008d @FinalizeArray 0093 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 4D FC 33 D2 8B C3 8B 18 FF 53 30 83 7D FC 00 74 2E 8D 55 F0 8B 45 FC 8B 08 FF 51 14 8B 45 F0 8D 4D F8 8B 55 F4 8B 18 FF 53 38 83 7D F8 00 74 0F 8B CE BA ?? ?? ?? ?? 8B 45 F8 8B 18 FF 53 0C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 61 00 6C 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_114976_0 {
	meta:
		name = "TXMLTypeDef.WriteFacet"
		size = 296
		refs = "0021 TXMLTypeDef.WriteFacet 003c TXMLNode.HasChildNode 0059 @OleVarFromUStr 0074 @OleVarFromVar 00c7 @VarClr 00cf @IntfClear 00d8 OleVariant 00e2 @FinalizeArray 0100 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC B2 01 8B C3 8B 38 FF 57 30 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 44 8D 55 F0 8B 45 FC 8B 08 FF 51 14 8B 45 F0 50 8D 45 E0 8B D6 E8 ?? ?? ?? ?? 8D 55 E0 8D 4D F4 58 8B 18 FF 53 10 8B 45 F4 50 8D 45 D0 8B 55 F8 E8 ?? ?? ?? ?? 8D 4D D0 BA ?? ?? ?? ?? 58 8B 18 FF 53 58 EB 2E 8D 45 CC 50 83 C9 FF 8B D6 8B 45 FC 8B 18 FF 53 6C 8B 45 CC 50 8D 45 BC 8B 55 F8 E8 ?? ?? ?? ?? 8D 4D BC BA ?? ?? ?? ?? 58 8B 18 FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 61 00 6C 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_114977_0 {
	meta:
		name = "TXMLTypeDef.SetBounded"
		size = 44
		refs = "0003 TXMLTypeDef.SetBounded 0008 TXMLTypeDef.WriteFacet"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 62 00 6F 00 75 00 6E 00 64 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_114978_0 {
	meta:
		name = "TXMLTypeDef.SetCardinality"
		size = 52
		refs = "0003 TXMLTypeDef.SetCardinality 0008 TXMLTypeDef.WriteFacet"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 61 00 72 00 64 00 69 00 6E 00 61 00 6C 00 69 00 74 00 79 00 00 00 }
	condition:
		$1
}

rule function_114979_0 {
	meta:
		name = "TXMLTypeDef.SetFractionalDigits"
		size = 64
		refs = "0003 TXMLTypeDef.SetFractionalDigits 0008 TXMLTypeDef.WriteFacet"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 66 00 72 00 61 00 63 00 74 00 69 00 6F 00 6E 00 61 00 6C 00 44 00 69 00 67 00 69 00 74 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_114980_0 {
	meta:
		name = "TXMLTypeDef.SetLength"
		size = 44
		refs = "0003 TXMLTypeDef.SetLength 0008 TXMLTypeDef.WriteFacet"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 6C 00 65 00 6E 00 67 00 74 00 68 00 00 00 00 00 }
	condition:
		$1
}

rule function_114981_0 {
	meta:
		name = "TXMLTypeDef.SetMaxExclusive"
		size = 56
		refs = "0003 TXMLTypeDef.SetMaxExclusive 0008 TXMLTypeDef.WriteFacet"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6D 00 61 00 78 00 45 00 78 00 63 00 6C 00 75 00 73 00 69 00 76 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114982_0 {
	meta:
		name = "TXMLTypeDef.SetMaxInclusive"
		size = 56
		refs = "0003 TXMLTypeDef.SetMaxInclusive 0008 TXMLTypeDef.WriteFacet"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6D 00 61 00 78 00 49 00 6E 00 63 00 6C 00 75 00 73 00 69 00 76 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114983_0 {
	meta:
		name = "TXMLTypeDef.SetMaxLength"
		size = 48
		refs = "0003 TXMLTypeDef.SetMaxLength 0008 TXMLTypeDef.WriteFacet"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 61 00 78 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_114984_0 {
	meta:
		name = "TXMLTypeDef.SetMinExclusive"
		size = 56
		refs = "0003 TXMLTypeDef.SetMinExclusive 0008 TXMLTypeDef.WriteFacet"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6D 00 69 00 6E 00 45 00 78 00 63 00 6C 00 75 00 73 00 69 00 76 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114985_0 {
	meta:
		name = "TXMLTypeDef.SetMinInclusive"
		size = 56
		refs = "0003 TXMLTypeDef.SetMinInclusive 0008 TXMLTypeDef.WriteFacet"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 6D 00 69 00 6E 00 49 00 6E 00 63 00 6C 00 75 00 73 00 69 00 76 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114986_0 {
	meta:
		name = "TXMLTypeDef.SetMinLength"
		size = 48
		refs = "0003 TXMLTypeDef.SetMinLength 0008 TXMLTypeDef.WriteFacet"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 69 00 6E 00 4C 00 65 00 6E 00 67 00 74 00 68 00 00 00 }
	condition:
		$1
}

rule function_114987_0 {
	meta:
		name = "TXMLTypeDef.SetNumeric"
		size = 44
		refs = "0003 TXMLTypeDef.SetNumeric 0008 TXMLTypeDef.WriteFacet"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6E 00 75 00 6D 00 65 00 72 00 69 00 63 00 00 00 }
	condition:
		$1
}

rule function_114988_0 {
	meta:
		name = "TXMLTypeDef.SetOrdered"
		size = 44
		refs = "0003 TXMLTypeDef.SetOrdered 0008 TXMLTypeDef.WriteFacet"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 6F 00 72 00 64 00 65 00 72 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_114989_0 {
	meta:
		name = "TXMLTypeDef.SetPattern"
		size = 44
		refs = "0003 TXMLTypeDef.SetPattern 0008 TXMLTypeDef.WriteFacet"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 70 00 61 00 74 00 74 00 65 00 72 00 6E 00 00 00 }
	condition:
		$1
}

rule function_114990_0 {
	meta:
		name = "TXMLTypeDef.SetTotalDigits"
		size = 52
		refs = "0003 TXMLTypeDef.SetTotalDigits 0008 TXMLTypeDef.WriteFacet"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 74 00 6F 00 74 00 61 00 6C 00 44 00 69 00 67 00 69 00 74 00 73 00 00 00 }
	condition:
		$1
}

rule function_114991_0 {
	meta:
		name = "TXMLTypeDef.SetWhitespace"
		size = 52
		refs = "0003 TXMLTypeDef.SetWhitespace 0008 TXMLTypeDef.WriteFacet"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 77 00 68 00 69 00 74 00 65 00 53 00 70 00 61 00 63 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114992_0 {
	meta:
		name = "TXMLSimpleTypeRestriction.AfterConstruction"
		size = 68
		refs = "0007 _DV_TXMLEnumeration 000c TXMLSimpleTypeRestriction.AfterConstruction 0013 TXMLNode.RegisterChildNode 001a TInterfacedObject.AfterConstruction"
	strings:
		$1 = { 53 8B D8 6A 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 65 00 6E 00 75 00 6D 00 65 00 72 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_114993_0 {
	meta:
		name = "TXMLSimpleTypeRestriction.GetBaseName"
		size = 116
		refs = "0013 TXMLSimpleTypeRestriction.GetBaseName 0028 TXMLNode.GetAttribute 0032 VarToStr 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114994_0 {
	meta:
		name = "TXMLSimpleTypeRestriction.SetBaseName"
		size = 160
		refs = "0015 TXMLSimpleTypeRestriction.SetBaseName 0025 TXMLSchemaNode.GetSchemaDef 0040 @OleVarFromUStr 004f TXMLNode.SetAttribute 0064 @IntfClear 006c @UStrClr 0074 @VarClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8D 4D EC 8B D6 8B 30 FF 96 28 01 00 00 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114995_0 {
	meta:
		name = "TXMLSimpleTypeList.AfterConstruction"
		size = 68
		refs = "0007 _DV_TXMLSimpleTypeDef 000c TXMLSimpleTypeList.AfterConstruction 0013 TXMLNode.RegisterChildNode 001a TInterfacedObject.AfterConstruction"
	strings:
		$1 = { 53 8B D8 6A 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 69 00 6D 00 70 00 6C 00 65 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_115064_0 {
	meta:
		name = "TXMLAttributeDef.AfterConstruction"
		size = 68
		refs = "0007 _DV_TXMLSimpleTypeDef 000c TXMLAttributeDef.AfterConstruction 0013 TXMLNode.RegisterChildNode 001a TXMLSchemaItem.AfterConstruction"
	strings:
		$1 = { 53 8B D8 6A 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 69 00 6D 00 70 00 6C 00 65 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_115152_0 {
	meta:
		name = "TXMLBuiltInTypes.AfterConstruction"
		size = 68
		refs = "0007 _DV_TXMLSimpleTypeDef 000c TXMLBuiltInTypes.AfterConstruction 0013 TXMLNode.RegisterChildNode 001a TXMLSchemaItems.AfterConstruction"
	strings:
		$1 = { 53 8B D8 6A 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 69 00 6D 00 70 00 6C 00 65 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114996_0 {
	meta:
		name = "TXMLSimpleTypeList.GetSimpleTypeNode"
		size = 128
		refs = "0011 TXMLSimpleTypeList.GetSimpleTypeNode 0021 TXMLNode.GetChildNodes 0040 @IntfCast 0055 @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? 8B 18 FF 53 40 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 22 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_114997_0 {
	meta:
		name = "TXMLSimpleTypeList.GetItemType"
		size = 124
		refs = "0013 TXMLSimpleTypeList.GetItemType 0028 TXMLNode.GetAttribute 0032 VarToStr 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 69 00 74 00 65 00 6D 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114998_0 {
	meta:
		name = "TXMLSimpleTypeList.SetItemType"
		size = 168
		refs = "0015 TXMLSimpleTypeList.SetItemType 0025 TXMLSchemaNode.GetSchemaDef 0040 @OleVarFromUStr 004f TXMLNode.SetAttribute 0064 @IntfClear 006c @UStrClr 0074 @VarClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8D 4D EC 8B D6 8B 30 FF 96 28 01 00 00 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 69 00 74 00 65 00 6D 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_114999_0 {
	meta:
		name = "TXMLSimpleTypeUnion.AfterConstruction"
		size = 128
		refs = "0004 TXMLSimpleTypeUnion.AfterConstruction 0011 _DV_TXMLSimpleTypeDefs 0018 TXMLNode.CreateCollection 002e @IntfCast 0035 TInterfacedObject.AfterConstruction"
	strings:
		$1 = { 53 8B D8 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 60 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 69 00 6D 00 70 00 6C 00 65 00 54 00 79 00 70 00 65 00 00 00 00 00 22 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD 27 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115000_0 {
	meta:
		name = "TXMLSimpleTypeUnion.GetMemberTypes"
		size = 128
		refs = "0013 TXMLSimpleTypeUnion.GetMemberTypes 0028 TXMLNode.GetAttribute 0032 VarToStr 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 6D 00 65 00 6D 00 62 00 65 00 72 00 54 00 79 00 70 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_115001_0 {
	meta:
		name = "TXMLSimpleTypeUnion.SetMemberTypes"
		size = 172
		refs = "0015 TXMLSimpleTypeUnion.SetMemberTypes 0025 TXMLSchemaNode.GetSchemaDef 0040 @OleVarFromUStr 004f TXMLNode.SetAttribute 0064 @IntfClear 006c @UStrClr 0074 @VarClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8D 4D EC 8B D6 8B 30 FF 96 28 01 00 00 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 6D 00 65 00 6D 00 62 00 65 00 72 00 54 00 79 00 70 00 65 00 73 00 00 00 }
	condition:
		$1
}

rule function_115003_0 {
	meta:
		name = "TXMLSimpleTypeDef.AfterConstruction"
		size = 212
		refs = "0007 _DV_TXMLSimpleTypeRestriction 000c TXMLSimpleTypeDef.AfterConstruction 0013 TXMLNode.RegisterChildNode 001b _DV_TXMLSimpleTypeList 002f _DV_TXMLSimpleTypeUnion 0043 _DV_TXMLEnumeration 0056 TXMLTypeDef.AfterConstruction"
	strings:
		$1 = { 53 8B D8 6A 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 72 00 65 00 73 00 74 00 72 00 69 00 63 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 6C 00 69 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 75 00 6E 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 65 00 6E 00 75 00 6D 00 65 00 72 00 61 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_115004_0 {
	meta:
		name = "TXMLSimpleTypeDef.IsAnonymous"
		size = 33
		refs = "0006 TXMLSimpleTypeDef.IsBuiltInType 0011 TXMLTypeDef.IsAnonymous"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0B 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 5B C3 B0 01 5B C3 }
	condition:
		$1
}

rule function_115005_0 {
	meta:
		name = "TXMLSimpleTypeDef.IsBuiltInType"
		size = 38
		refs = "000f _DV_TXMLBuiltInTypes 0014 @IsClass"
	strings:
		$1 = { 53 56 8B D8 8B 73 28 85 F6 74 11 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_115006_0 {
	meta:
		name = "TXMLSimpleTypeDef.GetBaseType"
		size = 396
		refs = "001a TXMLSimpleTypeDef.GetBaseType 0027 @IntfClear 0031 TXMLSchemaNode.GetSchemaDef 0042 TXMLSchemaNode.SchemaObject 0055 TXMLSimpleTypeDef.GetRestrictionNode 00bd TXMLNode.HasAttribute 00d0 TXMLNode.GetAttribute 00db @VarToUStr 012a @VarClr 0132 @UStrClr 014f @UStrArrayClr 0165 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 CA 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 B8 91 00 00 00 00 75 66 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 A6 00 00 00 8D 55 F4 8B 45 FC 8B 08 FF 91 B0 00 00 00 83 7D F4 00 0F 84 8E 00 00 00 8D 55 F0 8B 45 FC 8B 08 FF 91 B0 00 00 00 8B 45 F0 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC 8B 08 FF 91 F0 00 00 00 8B 45 EC 8B CE 5A 8B 18 FF 93 D4 00 00 00 EB 54 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 44 8D 4D D4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 D4 8D 45 E4 E8 ?? ?? ?? ?? 8B 45 E4 50 8D 55 CC 8B C3 E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 8B 08 FF 91 F0 00 00 00 8B 45 D0 8B CE 5A 8B 18 FF 93 D4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AB 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_115007_0 {
	meta:
		name = "TXMLSimpleTypeDef.SetBaseTypeName"
		size = 356
		refs = "0019 TXMLSimpleTypeDef.SetBaseTypeName 0026 TXMLSchemaNode.SchemaObject 0039 TXMLSimpleTypeDef.GetRestrictionNode 0052 TXMLNode.AddChild 0062 @IntfCast 006c TXMLSchemaNode.GetSchemaDef 00b1 @OleVarFromUStr 00c0 TXMLNode.SetAttribute 00d5 @IntfClear 00dd @UStrClr 00e5 @VarClr 010b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 80 B8 91 00 00 00 00 75 5D 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 75 23 8D 45 F8 50 83 C9 FF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 4D F4 8B D6 8B 18 FF 93 28 01 00 00 8B 55 F4 8B 45 FC 8B 08 FF 91 B4 00 00 00 EB 34 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 8D 4D DC 8B D6 8B 30 FF 96 28 01 00 00 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8D 4D E0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 72 00 65 00 73 00 74 00 72 00 69 00 63 00 74 00 69 00 6F 00 6E 00 00 00 E6 65 E6 7B 59 9D 27 4E AF 37 58 7A 8C CA 63 06 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_115008_0 {
	meta:
		name = "TXMLSimpleTypeDef.GetFacetParentNode"
		size = 360
		refs = "0022 TXMLSimpleTypeDef.GetFacetParentNode 0032 TXMLSchemaNode.GetSchemaDef 003f TXMLSchemaNode.SchemaObject 0058 @IntfCopy 0061 TXMLSimpleTypeDef.GetDerivationMethod 006f TXMLSimpleTypeDef.GetContentNode 007f @IntfCast 00a8 TXMLNode.GetChildNodes 00e2 SNoFacetsAllowed 00e7 LoadResString 00f2 SchemaValidationError 010c @UStrArrayClr 0114 @IntfClear 013a @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 22 8B C3 E8 ?? ?? ?? ?? 80 B8 91 00 00 00 00 74 12 8B C6 8B D3 85 D2 74 03 83 EA B8 E8 ?? ?? ?? ?? EB 5D 8B C3 E8 ?? ?? ?? ?? 3C 02 75 39 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 8B 08 FF 91 B4 00 00 00 8B 45 F4 8B CE B2 01 8B 38 FF 97 60 01 00 00 EB 19 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8B CE BA ?? ?? ?? ?? 8B 38 FF 57 40 80 7D FF 00 74 35 83 3E 00 75 30 8D 55 DC 8B C3 8B 08 FF 51 24 8B 45 DC 89 45 E0 C6 45 E4 11 8D 45 E0 50 8D 55 D8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C3 5F 5E 5B 8B E5 5D C3 00 0B C2 61 0E 73 97 16 47 AF 81 18 33 00 0F 15 BC E6 65 E6 7B 59 9D 27 4E AF 37 58 7A 8C CA 63 06 }
	condition:
		$1
}

rule function_115009_0 {
	meta:
		name = "TXMLSimpleTypeDef.GetRestrictionNode"
		size = 128
		refs = "0011 TXMLSimpleTypeDef.GetRestrictionNode 0021 TXMLNode.GetChildNodes 0040 @IntfCast 0055 @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? 8B 18 FF 53 40 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 E6 65 E6 7B 59 9D 27 4E AF 37 58 7A 8C CA 63 06 }
	condition:
		$1
}

rule function_115010_0 {
	meta:
		name = "TXMLSimpleTypeDef.GetContentNode"
		size = 128
		refs = "0011 TXMLSimpleTypeDef.GetContentNode 0021 TXMLNode.GetChildNodes 0040 @IntfCast 0055 @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? 8B 18 FF 53 40 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 AA 55 D3 C9 A9 45 49 B9 7D 21 9A 6E 7E 02 6F }
	condition:
		$1
}

rule function_115011_0 {
	meta:
		name = "TXMLSimpleTypeDef.GetDerivationMethod"
		size = 188
		refs = "000d TXMLSimpleTypeDef.GetDerivationMethod 001f TXMLSimpleTypeDef.GetContentNode 0032 Supports 0077 @IntfClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 83 7D FC 00 74 3D BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 04 B3 01 EB 28 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 04 B3 02 EB 13 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 02 B3 03 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 00 00 E6 65 E6 7B 59 9D 27 4E AF 37 58 7A 8C CA 63 06 0B C2 61 0E 73 97 16 47 AF 81 18 33 00 0F 15 BC 57 39 43 EA EE 14 CA 4A 8B 95 65 06 09 23 EB 56 }
	condition:
		$1
}

rule function_115012_0 {
	meta:
		name = "TXMLSimpleTypeDef.GetFinal"
		size = 116
		refs = "0013 TXMLSimpleTypeDef.GetFinal 0028 TXMLNode.GetAttribute 0032 VarToStr 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 69 00 6E 00 61 00 6C 00 00 00 }
	condition:
		$1
}

rule function_115013_0 {
	meta:
		name = "TXMLSimpleTypeDef.SetFinal"
		size = 160
		refs = "0015 TXMLSimpleTypeDef.SetFinal 0025 TXMLSchemaNode.GetSchemaDef 0040 @OleVarFromUStr 004f TXMLNode.SetAttribute 0064 @IntfClear 006c @UStrClr 0074 @VarClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8D 4D EC 8B D6 8B 30 FF 96 28 01 00 00 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 69 00 6E 00 61 00 6C 00 00 00 }
	condition:
		$1
}

rule function_115014_0 {
	meta:
		name = "TXMLComplexContent.AfterConstruction"
		size = 484
		refs = "0007 _DV_TXMLElementGroup 000f _DV_TXMLElementCompositor 002a _DV_TXMLAttributeDef 0033 _DV_TXMLAttributeGroup 003f TXMLComplexContent.AfterConstruction 0080 TXMLNode.RegisterChildNodes 0092 _DV_TXMLAttributeDefs 0099 TXMLNode.CreateCollection 00af @IntfCast 00c1 _DV_TXMLAttributeGroups 00e5 TInterfacedObject.AfterConstruction"
	strings:
		$1 = { 53 83 C4 D0 8B D8 A1 ?? ?? ?? ?? 89 04 24 A1 ?? ?? ?? ?? 89 44 24 04 A1 ?? ?? ?? ?? 89 44 24 08 A1 ?? ?? ?? ?? 89 44 24 0C A1 ?? ?? ?? ?? 89 44 24 10 A1 ?? ?? ?? ?? 89 44 24 14 54 6A 05 B8 ?? ?? ?? ?? 89 44 24 20 B8 ?? ?? ?? ?? 89 44 24 24 B8 ?? ?? ?? ?? 89 44 24 28 B8 ?? ?? ?? ?? 89 44 24 2C B8 ?? ?? ?? ?? 89 44 24 30 B8 ?? ?? ?? ?? 89 44 24 34 8D 54 24 20 B9 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 58 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 5C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 30 5B C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 67 00 72 00 6F 00 75 00 70 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 61 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 68 00 6F 00 69 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 65 00 71 00 75 00 65 00 6E 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 61 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 61 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 47 00 72 00 6F 00 75 00 70 00 00 00 00 00 25 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD 31 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD 00 B5 5D 8E C5 63 D4 11 83 DA 00 C0 4F 60 B2 DD 01 B5 5D 8E C5 63 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115015_0 {
	meta:
		name = "TXMLComplexContent.GetCompositorNode"
		size = 396
		refs = "0015 TXMLComplexContent.GetCompositorNode 002c TXMLSchemaNode.SchemaObject 0042 _DV_TXMLElementCompositor 0047 TXMLNode.CreateHosted 0058 @IntfCopy 0067 TXMLNode.GetChildNodes 0087 @IntfCast 00a2 CompositorMap 0138 @IntfClear 015e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 60 00 0F 85 F4 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 B8 91 00 00 00 00 74 28 C6 43 64 02 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA 88 8D 43 60 E8 ?? ?? ?? ?? E9 BC 00 00 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? 8B 38 FF 57 40 8B 55 FC 8D 43 60 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 60 00 74 1A 8B 43 60 8B 10 FF 92 C4 00 00 00 83 E0 7F 0F B6 80 ?? ?? ?? ?? 88 43 64 EB 72 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 4D F4 BA ?? ?? ?? ?? 8B 38 FF 57 40 8B 55 F4 8D 43 68 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 68 00 74 1F 8D 55 EC 8B 43 68 8B 08 FF 91 DC 00 00 00 8B 55 EC 8D 43 60 E8 ?? ?? ?? ?? C6 43 64 03 EB 23 C6 43 64 04 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA 88 8D 43 60 E8 ?? ?? ?? ?? 8B C6 8B 53 60 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5F 5E 5B 8B E5 5D C3 00 80 7C 00 0B 8B 64 D4 11 83 DA 00 C0 4F 60 B2 DD 80 70 F2 53 AF 4D D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115018_0 {
	meta:
		name = "TXMLComplexContent.GetCompositors"
		size = 82
		refs = "000f TXMLComplexContent.GetCompositors 001f TXMLComplexContent.GetCompositorNode 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 91 C0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115104_0 {
	meta:
		name = "TXMLElementGroup.GetElementCompositors"
		size = 82
		refs = "000f TXMLElementGroup.GetElementCompositors 001f TXMLElementGroup.GetCompositorNode 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 91 C0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115061_0 {
	meta:
		name = "TXMLTypedSchemaItem.GetDataTypeName"
		size = 82
		refs = "000f TXMLTypedSchemaItem.GetDataTypeName 001f TXMLTypedSchemaItem.GetDataType 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 91 C0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115019_0 {
	meta:
		name = "TXMLComplexContent.GetElementDefs"
		size = 82
		refs = "000f TXMLComplexContent.GetElementDefs 001f TXMLComplexContent.GetCompositorNode 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 91 C8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115044_0 {
	meta:
		name = "TXMLComplexTypeDef.GetElementGroups"
		size = 82
		refs = "000f TXMLComplexTypeDef.GetElementGroups 001f TXMLComplexTypeDef.GetContentNode 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 91 C8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115105_0 {
	meta:
		name = "TXMLElementGroup.GetElementDefs"
		size = 82
		refs = "000f TXMLElementGroup.GetElementDefs 001f TXMLElementGroup.GetCompositorNode 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 91 C8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115020_0 {
	meta:
		name = "TXMLComplexContent.GetElementGroups"
		size = 82
		refs = "000f TXMLComplexContent.GetElementGroups 001f TXMLComplexContent.GetCompositorNode 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 91 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115053_0 {
	meta:
		name = "TXMLComplexTypeDef.GetGroupRef"
		size = 82
		refs = "000f TXMLComplexTypeDef.GetGroupRef 001f TXMLComplexTypeDef.GetContentNode 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 91 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115106_0 {
	meta:
		name = "TXMLElementGroup.GetElementGroups"
		size = 82
		refs = "000f TXMLElementGroup.GetElementGroups 001f TXMLElementGroup.GetCompositorNode 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 91 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115021_0 {
	meta:
		name = "TXMLComplexContent.GetContentModel"
		size = 79
		refs = "000c TXMLComplexContent.GetContentModel 0022 TXMLComplexContent.GetCompositorNode 003d @IntfClear 0043 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 60 00 75 0A 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 0F B6 43 64 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_115022_0 {
	meta:
		name = "TXMLComplexContent.SetContentModel"
		size = 328
		refs = "0017 TXMLComplexContent.SetContentModel 0024 TXMLComplexContent.GetContentModel 003a IsHosted 0048 TXMLComplexContent.GetCompositorNode 0098 @IntfClear 00af TXMLNode.GetNamespaceURI 00bc CompositorNames 00c3 TXMLNode.AddChild 00d3 @IntfCast 00eb @UStrClr 00fc IXMLElementCompositor 0106 @FinalizeArray 012c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 3A D8 0F 84 AA 00 00 00 83 7E 60 00 74 66 8B 46 60 E8 ?? ?? ?? ?? 84 C0 75 52 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC 8B 08 FF 51 44 83 7D FC 00 74 37 8D 55 EC 8B C6 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 8B 08 FF 51 44 8B 45 F0 8D 55 F4 8B 08 FF 51 14 8B 45 F4 50 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 55 E8 58 8B 08 FF 51 60 8D 46 60 E8 ?? ?? ?? ?? 80 FB 04 74 36 6A 00 6A FF 8D 45 E4 50 8D 55 E0 8B C6 E8 ?? ?? ?? ?? 8B 4D E0 0F B6 C3 8B 14 85 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B 55 E4 8D 46 60 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 5E 64 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B5 5E 5B 8B E5 5D C3 80 7C 00 0B 8B 64 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115024_0 {
	meta:
		name = "TXMLBaseTypeIndicator.AfterConstruction"
		size = 140
		refs = "0007 _DV_TXMLComplexContent 001b TXMLBaseTypeIndicator.AfterConstruction 0038 TXMLNode.RegisterChildNodes 003f TInterfacedObject.AfterConstruction"
	strings:
		$1 = { 53 83 C4 F0 8B D8 A1 ?? ?? ?? ?? 89 04 24 A1 ?? ?? ?? ?? 89 44 24 04 54 6A 01 B8 ?? ?? ?? ?? 89 44 24 10 B8 ?? ?? ?? ?? 89 44 24 14 8D 54 24 10 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 72 00 65 00 73 00 74 00 72 00 69 00 63 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 65 00 78 00 74 00 65 00 6E 00 73 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_115025_0 {
	meta:
		name = "TXMLBaseTypeIndicator.GetMixed"
		size = 176
		refs = "000f TXMLBaseTypeIndicator.GetMixed 001f TXMLNode.GetLocalName 002c @UStrEqual 003c TXMLNode.GetAttribute 0045 Null 005a @UStrClr 0060 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 10 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 63 00 6F 00 6D 00 70 00 6C 00 65 00 78 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6D 00 69 00 78 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_115026_0 {
	meta:
		name = "TXMLBaseTypeIndicator.SetMixed"
		size = 192
		refs = "0014 TXMLBaseTypeIndicator.SetMixed 0024 TXMLNode.GetLocalName 0031 @UStrEqual 003d @OleVarFromVar 004c TXMLNode.SetAttribute 0061 @VarClr 0069 @UStrClr 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 19 8D 45 EC 8B D6 E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 63 00 6F 00 6D 00 70 00 6C 00 65 00 78 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 6D 00 69 00 78 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_115027_0 {
	meta:
		name = "TXMLComplexTypeDef.AfterConstruction"
		size = 536
		refs = "0007 _DV_TXMLElementGroup 000f _DV_TXMLElementCompositor 002a _DV_TXMLAttributeDef 0033 _DV_TXMLAttributeGroup 003f TXMLComplexTypeDef.AfterConstruction 0080 TXMLNode.RegisterChildNodes 0087 TXMLSchemaNode.SchemaObject 0095 _DV_TXMLBaseTypeIndicator 00d5 _DV_TXMLElementDef 00e1 TXMLNode.RegisterChildNode 00e8 TXMLTypeDef.AfterConstruction"
	strings:
		$1 = { 53 83 C4 C0 8B D8 A1 ?? ?? ?? ?? 89 04 24 A1 ?? ?? ?? ?? 89 44 24 04 A1 ?? ?? ?? ?? 89 44 24 08 A1 ?? ?? ?? ?? 89 44 24 0C A1 ?? ?? ?? ?? 89 44 24 10 A1 ?? ?? ?? ?? 89 44 24 14 54 6A 05 B8 ?? ?? ?? ?? 89 44 24 20 B8 ?? ?? ?? ?? 89 44 24 24 B8 ?? ?? ?? ?? 89 44 24 28 B8 ?? ?? ?? ?? 89 44 24 2C B8 ?? ?? ?? ?? 89 44 24 30 B8 ?? ?? ?? ?? 89 44 24 34 8D 54 24 20 B9 05 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 B8 91 00 00 00 00 75 3D A1 ?? ?? ?? ?? 89 44 24 30 A1 ?? ?? ?? ?? 89 44 24 34 8D 44 24 30 50 6A 01 B8 ?? ?? ?? ?? 89 44 24 40 B8 ?? ?? ?? ?? 89 44 24 44 8D 54 24 40 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? EB 14 6A 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 40 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 67 00 72 00 6F 00 75 00 70 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 61 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 68 00 6F 00 69 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 65 00 71 00 75 00 65 00 6E 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 61 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 61 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 47 00 72 00 6F 00 75 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 63 00 6F 00 6D 00 70 00 6C 00 65 00 78 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 73 00 69 00 6D 00 70 00 6C 00 65 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 65 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_115028_0 {
	meta:
		name = "SetDerivationMeth"
		size = 68
		refs = "0025 SetDerivationMeth 002a @IntfCast"
	strings:
		$1 = { 55 8B EC 53 56 8B F0 85 F6 0F 95 C3 84 DB 74 1E 8B 45 08 8B 40 FC 88 50 74 8B 45 08 8B 40 FC 83 C0 70 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 5E 5B 5D C3 03 43 A5 33 F7 05 F3 4B B2 BB 61 F9 CD 3C 1C BB }
	condition:
		$1
}

rule function_115029_0 {
	meta:
		name = "FindDerivation"
		size = 488
		refs = "0022 FindDerivation 0036 TXMLNode.GetNamespaceURI 0046 TXMLNode.HasChildNode 0074 TXMLNode.GetChildNodes 00bc SetDerivationMeth 011c SInvalidDerivation 0121 LoadResString 012c SchemaParseError 0146 @UStrArrayClr 014e @UStrClr 0156 @IntfClear 0194 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 88 4D FA 88 55 FB 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 4D F4 8B 45 08 8B 40 FC 8B D6 E8 ?? ?? ?? ?? 8B D8 84 DB 0F 84 DC 00 00 00 8D 45 F0 50 8D 55 EC 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 E8 8B D6 59 8B 30 FF 56 3C 8B 45 F0 8D 55 FC 8B 08 FF 51 14 8B 45 08 50 8D 45 E4 50 8D 55 E0 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 4D E0 BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 3C 8B 45 E4 0F B6 55 FB E8 ?? ?? ?? ?? 59 84 C0 75 6B 8B 45 08 50 8D 45 DC 50 8D 55 D8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 4D D8 BA ?? ?? ?? ?? 8B 45 FC 8B 30 FF 56 3C 8B 45 DC 0F B6 55 FA E8 ?? ?? ?? ?? 59 84 C0 75 34 8D 55 CC 8B 45 08 8B 40 FC 8B 08 FF 51 24 8B 45 CC 89 45 D0 C6 45 D4 11 8D 45 D0 50 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A3 8B C3 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 65 00 78 00 74 00 65 00 6E 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 72 00 65 00 73 00 74 00 72 00 69 00 63 00 74 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_115030_0 {
	meta:
		name = "FindLegacyDerivation"
		size = 260
		refs = "0012 FindLegacyDerivation 002a TXMLNode.HasAttribute 0055 TXMLNode.GetAttribute 0066 @OleVarFromUStr 006f @VarCmpEQ 008d OleVariant 0097 @FinalizeArray 009d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 49 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 33 8D 4D F0 8B 45 08 8B 40 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 58 E8 ?? ?? ?? ?? 75 04 B3 01 EB 02 B3 02 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 61 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 64 00 65 00 72 00 69 00 76 00 65 00 64 00 42 00 79 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 65 00 78 00 74 00 65 00 6E 00 73 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_115031_0 {
	meta:
		name = "TXMLComplexTypeDef.CheckContent"
		size = 224
		refs = "000b TXMLSchemaNode.SchemaObject 001e TXMLComplexTypeDef.CheckContent 0023 FindDerivation 0047 _DV_TXMLComplexContent 004c TXMLNode.CreateHosted 005a SetDerivationMeth 007b FindLegacyDerivation"
	strings:
		$1 = { 55 8B EC 51 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 80 B8 91 00 00 00 00 75 49 55 B1 02 B2 01 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 75 5D 55 B1 04 B2 03 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 84 C0 75 49 55 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 B8 33 D2 E8 ?? ?? ?? ?? 59 EB 28 55 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 03 83 E8 B8 50 55 E8 ?? ?? ?? ?? 59 8B D0 58 E8 ?? ?? ?? ?? 59 59 5D C3 B0 04 02 00 FF FF FF FF 0E 00 00 00 63 00 6F 00 6D 00 70 00 6C 00 65 00 78 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 73 00 69 00 6D 00 70 00 6C 00 65 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_115032_0 {
	meta:
		name = "TXMLComplexTypeDef.AttributesChanged"
		size = 13
		refs = "0007 @IntfClear"
	strings:
		$1 = { 53 8B D8 8D 43 78 E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_115033_0 {
	meta:
		name = "TXMLComplexTypeDef.ChildElementsChanged"
		size = 13
		refs = "0007 @IntfClear"
	strings:
		$1 = { 53 8B D8 8D 43 7C E8 ?? ?? ?? ?? 5B C3 }
	condition:
		$1
}

rule function_115036_0 {
	meta:
		name = "FindAttributeDefs"
		size = 328
		refs = "0019 @IntfAddRef 0021 FindAttributeDefs 0049 @OleVarFromInt 005f @IntfClear 006e Supports 00f3 @VarClr 0119 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 8B D8 4B 85 DB 0F 8C 94 00 00 00 43 33 F6 8D 45 E0 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E0 8D 4D F0 8B 45 FC 8B 38 FF 57 10 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 13 8B 45 08 8B 40 FC 8B 40 78 8B 55 F8 8B 08 FF 51 38 EB 41 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 84 C0 74 26 8B 45 08 50 8D 55 D8 8B 45 F4 8B 08 FF 91 E4 00 00 00 8B 45 D8 8D 55 DC 8B 08 FF 51 14 8B 45 DC E8 ?? ?? ?? ?? 59 46 4B 0F 85 6F FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5F 5E 5B 8B E5 5D C3 00 00 25 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD 00 B5 5D 8E C5 63 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115037_0 {
	meta:
		name = "TXMLComplexTypeDef.GetAttributeDefList"
		size = 157
		refs = "0013 TXMLComplexTypeDef.GetAttributeDefList 0029 _DV_TXMLAttributeDefList 002e TInterfaceList.Create 0042 @IntfCopy 004e TXMLComplexTypeDef.GetContentNode 0061 FindAttributeDefs 0084 @IntfClear 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 78 00 75 40 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B 45 FC 83 C0 78 E8 ?? ?? ?? ?? 55 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 8B 08 FF 51 14 8B 45 F8 E8 ?? ?? ?? ?? 59 8B C3 8B 55 FC 8B 52 78 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115038_0 {
	meta:
		name = "AlreadyInList"
		size = 200
		refs = "0014 @IntfAddRef 001c AlreadyInList 0078 @UStrEqual 0099 @IntfClear 00a1 @UStrClr 00b7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 8D 55 F8 8B 45 FC 8B 08 FF 91 C0 00 00 00 8B 45 08 8B 40 FC 8B 40 7C 8B 10 FF 52 14 8B D8 4B 85 DB 7C 3B 43 33 F6 8D 4D EC 8B 45 08 8B 40 FC 8B 40 7C 8B D6 8B 38 FF 57 50 8B 45 EC 8D 55 F0 8B 08 FF 91 C0 00 00 00 8B 45 F0 8B 55 F8 E8 ?? ?? ?? ?? 75 06 C6 45 F7 01 EB 04 46 4B 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 0F B6 45 F7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115039_0 {
	meta:
		name = "FindElementDefs"
		size = 568
		refs = "0019 @IntfAddRef 0021 FindElementDefs 0049 @OleVarFromInt 005f @IntfClear 006e Supports 007e AlreadyInList 0117 SInvalidGroupDecl 011c LoadResString 0127 SchemaParseError 0194 IXMLNodeList 019e @FinalizeArray 01ab @UStrArrayClr 01cb @VarClr 01f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B 10 FF 52 0C 8B D8 4B 85 DB 0F 8C 44 01 00 00 43 33 F6 8D 45 DC 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 DC 8D 4D F8 8B 45 FC 8B 38 FF 57 10 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 27 8B 45 08 50 8B 45 F4 E8 ?? ?? ?? ?? 59 84 C0 75 16 8B 45 08 8B 40 FC 8B 40 7C 8B 55 F4 8B 08 FF 51 38 E9 DD 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 75 8D 55 D8 8B 45 F0 8B 08 FF 91 EC 00 00 00 83 7D D8 00 74 2B 8B 45 08 50 8D 55 D0 8B 45 F0 8B 08 FF 91 EC 00 00 00 8B 45 D0 8D 55 D4 8B 08 FF 51 14 8B 45 D4 E8 ?? ?? ?? ?? 59 E9 83 00 00 00 8D 55 C4 8B 45 08 8B 40 FC 8B 08 FF 51 24 8B 45 C4 89 45 C8 C6 45 CC 11 8D 45 C8 50 8D 55 C0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 33 C9 5A E8 ?? ?? ?? ?? EB 4D 8D 45 EC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 08 50 8D 55 BC 8B 45 EC 8B 08 FF 51 14 8B 45 BC E8 ?? ?? ?? ?? 59 EB 18 8B 45 08 50 8D 55 B8 8B 45 F8 8B 08 FF 51 14 8B 45 B8 E8 ?? ?? ?? ?? 59 46 4B 0F 85 BF FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 90 5F 5E 5B 8B E5 5D C3 00 00 24 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD 80 70 F2 53 AF 4D D4 11 83 DA 00 C0 4F 60 B2 DD 80 7C 00 0B 8B 64 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115040_0 {
	meta:
		name = "TXMLComplexTypeDef.GetElementDefList"
		size = 169
		refs = "0013 TXMLComplexTypeDef.GetElementDefList 0029 _DV_TXMLElementDefList 002e TInterfaceList.Create 0042 @IntfCopy 004a TXMLComplexTypeDef.GetContentModel 005a TXMLComplexTypeDef.GetContentNode 006d FindElementDefs 0090 @IntfClear 009e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 83 78 7C 00 75 4C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B 45 FC 83 C0 7C E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 3C 04 74 20 55 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 8D 55 F8 8B 08 FF 51 14 8B 45 F8 E8 ?? ?? ?? ?? 59 8B C3 8B 55 FC 8B 52 7C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115041_0 {
	meta:
		name = "TXMLComplexTypeDef.SetBaseTypeName"
		size = 180
		refs = "0016 TXMLComplexTypeDef.SetBaseTypeName 0026 TXMLSchemaNode.GetSchemaDef 0041 @OleVarFromUStr 004f TXMLComplexTypeDef.GetContentNode 0072 @IntfClear 0082 @UStrClr 008a @VarClr 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8D 4D EC 8B D6 8B 30 FF 96 28 01 00 00 8B 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 BA ?? ?? ?? ?? 59 8B 18 FF 53 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_115042_0 {
	meta:
		name = "TXMLComplexTypeDef.GetCompositors"
		size = 82
		refs = "000f TXMLComplexTypeDef.GetCompositors 001f TXMLComplexTypeDef.GetContentNode 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 91 BC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115043_0 {
	meta:
		name = "TXMLComplexTypeDef.GetElementDefs"
		size = 82
		refs = "000f TXMLComplexTypeDef.GetElementDefs 001f TXMLComplexTypeDef.GetContentNode 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 91 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115046_0 {
	meta:
		name = "TXMLComplexTypeDef.GetBaseType"
		size = 444
		refs = "001b TXMLComplexTypeDef.GetBaseType 0028 @IntfClear 002f TXMLSchemaNode.SchemaObject 0043 TXMLComplexTypeDef.GetDerivationMethod 0055 TXMLComplexTypeDef.GetContentNode 0070 VarToStr 008d TXMLSchemaNode.GetSchemaDef 00e3 TXMLNode.HasAttribute 00f6 TXMLNode.GetAttribute 0101 @VarToUStr 0150 @VarClr 0158 @UStrClr 0196 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 B8 91 00 00 00 00 0F 85 9B 00 00 00 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 E0 00 00 00 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8D 4D EC BA ?? ?? ?? ?? 8B 38 FF 57 0C 8D 45 EC 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 B1 00 00 00 0F B6 43 74 48 2C 02 73 2A 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 8B 08 FF 91 C0 00 00 00 8B 45 E4 8B CE 8B 55 FC 8B 18 FF 93 D8 00 00 00 EB 7E 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC 8B 08 FF 91 F0 00 00 00 8B 45 DC 8B CE 8B 55 FC 8B 18 FF 93 D4 00 00 00 EB 54 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 44 8D 4D C4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 C4 8D 45 D4 E8 ?? ?? ?? ?? 8B 45 D4 50 8D 55 BC 8B C3 E8 ?? ?? ?? ?? 8B 45 BC 8D 55 C0 8B 08 FF 91 C0 00 00 00 8B 45 C0 8B CE 5A 8B 18 FF 93 D8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_115047_0 {
	meta:
		name = "TXMLComplexTypeDef.GetContentModel"
		size = 80
		refs = "000c TXMLComplexTypeDef.GetContentModel 001c TXMLComplexTypeDef.GetContentNode 003e @IntfClear 0044 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 C0 00 00 00 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 }
	condition:
		$1
}

rule function_115048_0 {
	meta:
		name = "TXMLComplexTypeDef.SetContentModel"
		size = 125
		refs = "0011 TXMLComplexTypeDef.SetContentModel 0024 SSetGroupRefProp 0029 LoadResString 0037 SchemaValidationError 0041 TXMLComplexTypeDef.GetContentNode 0063 @IntfClear 006b @UStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 FB 03 75 1B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8D 55 FC 83 C9 FF E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 45 F8 8B D3 8B 08 FF 91 D0 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_115049_0 {
	meta:
		name = "TXMLComplexTypeDef.GetCompositorNode"
		size = 82
		refs = "000f TXMLComplexTypeDef.GetCompositorNode 001f TXMLComplexTypeDef.GetContentNode 0041 @IntfClear 0047 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 8B 08 FF 91 B8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115050_0 {
	meta:
		name = "TXMLComplexTypeDef.GetContentNode"
		size = 32
		refs = "000f TXMLComplexTypeDef.CheckContent 0019 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 70 00 75 07 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 70 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115051_0 {
	meta:
		name = "TXMLComplexTypeDef.GetDerivationMethod"
		size = 22
		refs = "000c TXMLComplexTypeDef.CheckContent"
	strings:
		$1 = { 53 8B D8 83 7B 70 00 75 07 8B C3 E8 ?? ?? ?? ?? 0F B6 43 74 5B C3 }
	condition:
		$1
}

rule function_115052_0 {
	meta:
		name = "TXMLComplexTypeDef.SetDerivationMethod"
		size = 748
		refs = "001b TXMLComplexTypeDef.SetDerivationMethod 0029 @IntfClear 0034 TXMLComplexTypeDef.GetDerivationMethod 0047 TXMLComplexTypeDef.GetAttributeDefs 00a2 IsHosted 00b4 TXMLNode.GetChildNodes 00f4 TXMLSchemaNode.SchemaObject 010c BaseTypeIndMap 0116 TXMLNode.AddChild 0121 ExtRestTypeMap 013c @IntfCast 0151 @OleVarFromUStr 0160 TXMLNode.SetAttribute 016d TXMLComplexTypeDef.CheckContent 0233 @UStrClr 0253 @VarClr 0264 IXMLNodeList 026e @FinalizeArray 029c @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 0A 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 88 55 F7 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? C6 45 F6 00 8B C3 E8 ?? ?? ?? ?? 3A 45 F7 0F 84 D1 01 00 00 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 92 AC 00 00 00 85 C0 7E 44 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 92 AC 00 00 00 48 85 C0 7C 2A 40 89 45 F0 33 F6 8D 4D E4 8B D6 8B 45 F8 8B 38 FF 97 CC 00 00 00 8B 45 E4 8D 55 E8 8B 08 FF 91 E0 00 00 00 46 FF 4D F0 75 DC 8B 43 70 E8 ?? ?? ?? ?? 84 C0 75 41 C6 45 F6 01 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 8D 4D FC BA ?? ?? ?? ?? 8B 30 FF 56 40 83 7D FC 00 74 15 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 8B 55 FC 8B 08 FF 51 60 8D 43 70 E8 ?? ?? ?? ?? 80 7D F7 00 74 73 8B C3 E8 ?? ?? ?? ?? 80 B8 91 00 00 00 00 75 41 8D 45 FC 50 0F B6 75 F7 8B 14 B5 ?? ?? ?? ?? 83 C9 FF 8B C3 E8 ?? ?? ?? ?? 8D 45 D8 50 8B 14 B5 ?? ?? ?? ?? 83 C9 FF 8B 45 FC 8B 30 FF 56 6C 8B 55 D8 8D 43 70 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 22 8D 45 C8 0F B6 55 F7 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 7B 70 00 75 07 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 90 00 00 00 8B 45 F8 8B 10 FF 92 AC 00 00 00 48 85 C0 7C 6F 40 89 45 F0 33 F6 8D 45 C4 50 8D 4D BC 8B D6 8B 45 F8 8B 38 FF 97 CC 00 00 00 8B 45 BC 8D 55 C0 8B 08 FF 91 E0 00 00 00 8B 45 C0 50 8D 4D B4 8B D6 8B 45 F8 8B 38 FF 97 CC 00 00 00 8B 45 B4 8D 55 B8 8B 08 FF 91 C0 00 00 00 8B 45 B8 50 8D 55 B0 8B 43 70 8B 08 FF 91 B0 00 00 00 8B 45 B0 5A 59 8B 38 FF 97 D4 00 00 00 46 FF 4D F0 75 97 80 7D F6 00 75 0B 8B 45 F8 8B 10 FF 92 B4 00 00 00 0F B6 45 F7 88 43 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 7A FF FF FF 5F 5E 5B 8B E5 5D C3 4A 7E D5 3D AC 43 12 4C B8 78 B1 0C 7B FE 19 D4 03 43 A5 33 F7 05 F3 4B B2 BB 61 F9 CD 3C 1C BB B0 04 02 00 FF FF FF FF 09 00 00 00 64 00 65 00 72 00 69 00 76 00 65 00 64 00 42 00 79 00 00 00 }
	condition:
		$1
}

rule function_115054_0 {
	meta:
		name = "TXMLComplexTypeDef.GetAbstract"
		size = 168
		refs = "0014 TXMLComplexTypeDef.GetAbstract 0029 TXMLNode.GetAttribute 0031 VarIsNull 003e @VarFromBool 0049 @VarAnd 0051 @VarToBool 0069 OleVariant 0073 @FinalizeArray 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B D0 80 F2 01 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E0 8D 55 F0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 61 00 62 00 73 00 74 00 72 00 61 00 63 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_115055_0 {
	meta:
		name = "TXMLComplexTypeDef.SetAbstract"
		size = 144
		refs = "0017 TXMLComplexTypeDef.SetAbstract 0027 @VarFromBool 0032 @OleVarFromVar 0041 TXMLNode.SetAttribute 0056 @VarClr 0064 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 8B D3 E8 ?? ?? ?? ?? 8D 55 E0 8D 45 F0 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 08 00 00 00 61 00 62 00 73 00 74 00 72 00 61 00 63 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_115056_0 {
	meta:
		name = "TXMLComplexTypeDef.GetFacetParentNode"
		size = 159
		refs = "001b TXMLComplexTypeDef.GetFacetParentNode 0028 TXMLComplexTypeDef.GetDerivationMethod 0039 TXMLComplexTypeDef.GetContentNode 0062 SNoFacetsAllowed 0067 LoadResString 0072 SchemaValidationError 008c @UStrArrayClr 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F4 89 5D F0 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 2C 02 74 04 2C 02 75 09 8B D6 8B C7 E8 ?? ?? ?? ?? 84 DB 74 35 83 3E 00 75 30 8D 55 F4 8B C7 8B 08 FF 51 24 8B 45 F4 89 45 F8 C6 45 FC 11 8D 45 F8 50 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 33 C9 5A E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115057_0 {
	meta:
		name = "TXMLComplexTypeDef.GetBaseTypeIndicator"
		size = 128
		refs = "0011 TXMLComplexTypeDef.GetBaseTypeIndicator 0021 TXMLNode.GetChildNodes 0040 @IntfCast 0055 @IntfClear 0063 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8D 4D FC BA ?? ?? ?? ?? 8B 18 FF 53 40 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 4A 7E D5 3D AC 43 12 4C B8 78 B1 0C 7B FE 19 D4 }
	condition:
		$1
}

rule function_115058_0 {
	meta:
		name = "TXMLTypedSchemaItem.RemoveTypeInfo"
		size = 260
		refs = "0017 TXMLTypedSchemaItem.RemoveTypeInfo 0027 TXMLNode.GetChildNodes 003d TXMLTypedSchemaItem.GetDataType 0075 TXMLNode.HasAttribute 0081 Null 008c @OleVarFromVar 009b TXMLNode.SetAttribute 00a3 @IntfClear 00b8 @VarClr 00c9 IXMLNodeList 00d3 @FinalizeArray 00e1 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 0C 85 C0 7E 36 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 58 8B 45 FC 8B 10 FF 92 58 01 00 00 84 C0 74 49 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8B 55 FC 8B 08 FF 51 60 EB 32 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 22 8D 45 D4 E8 ?? ?? ?? ?? 8D 55 D4 8D 45 E4 E8 ?? ?? ?? ?? 8D 4D E4 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 43 68 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_115060_0 {
	meta:
		name = "TXMLTypedSchemaItem.GetDataType"
		size = 1228
		refs = "001a TXMLTypedSchemaItem.GetDataType 002a TXMLSchemaItem.GetRefItem 004a @IntfCast 0075 TXMLNode.GetAttribute 0080 VarToStr 0094 TXMLNode.GetChildNodes 00c8 TXMLSchemaNode.GetSchemaDef 0111 @IntfCopy 011e IsPrefixed 012f TXMLNode.FindNamespaceURI 0161 SameNamespace 01e0 _DV_TXMLSchemaItems 01e5 @AsClass 01f0 FindItemNS 02c8 SUnknownDataType 02cd LoadResString 02f2 SchemaParseError 0314 @UStrClr 031f @IntfClear 039d @VarClr 0402 @UStrArrayClr 0408 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 13 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 83 7D F4 00 74 2C 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8D 45 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 8B D6 8B 08 FF 91 DC 00 00 00 E9 A0 02 00 00 83 7B 68 00 0F 85 8C 02 00 00 8D 4D DC BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 DC 8D 55 F8 E8 ?? ?? ?? ?? 83 7D F8 00 0F 85 8C 00 00 00 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 8D 4D D8 BA ?? ?? ?? ?? 8B 38 FF 57 40 8B 55 D8 8D 43 68 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 68 00 0F 85 34 02 00 00 8D 55 C8 8B C3 E8 ?? ?? ?? ?? 8B 45 C8 8D 4D CC BA ?? ?? ?? ?? 8B 38 FF 97 28 01 00 00 8B 45 CC 50 8D 55 C0 8B C3 E8 ?? ?? ?? ?? 8B 45 C0 8D 55 C4 8B 08 FF 91 F0 00 00 00 8B 45 C4 8D 4D D0 5A 8B 38 FF 97 D4 00 00 00 8B 55 D0 8D 43 68 E8 ?? ?? ?? ?? E9 DC 01 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 0F 8D 4D FC 8B 55 F8 8B C3 E8 ?? ?? ?? ?? EB 23 8D 55 AC 8B C3 E8 ?? ?? ?? ?? 8B 45 AC 8D 55 B0 8B 08 FF 91 F8 00 00 00 8D 45 B0 8D 55 FC E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 34 8D 55 A0 8B C3 E8 ?? ?? ?? ?? 8B 45 A0 8D 55 A4 8B 08 FF 91 BC 00 00 00 8B 45 A4 8D 4D A8 8B 55 F8 8B 38 FF 97 D4 00 00 00 8B 55 A8 8D 43 68 E8 ?? ?? ?? ?? 83 7B 68 00 0F 85 4F 01 00 00 8D 45 9C 50 8D 55 90 8B C3 E8 ?? ?? ?? ?? 8B 45 90 8D 55 94 8B 08 FF 91 C0 00 00 00 8B 55 94 8D 45 98 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 8B 10 FF 92 D4 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 9C 8D 43 68 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 68 00 0F 85 E8 00 00 00 8D 45 8C 50 8D 55 80 8B C3 E8 ?? ?? ?? ?? 8B 45 80 8D 55 84 8B 08 FF 91 F0 00 00 00 8B 55 84 8D 45 88 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 88 8B 10 FF 92 D4 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 55 8C 8D 43 68 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7B 68 00 0F 85 81 00 00 00 8D 95 74 FF FF FF 8B C3 E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 8D 95 78 FF FF FF 8B 08 FF 91 F0 00 00 00 8B 85 78 FF FF FF 8D 8D 7C FF FF FF 8B 55 F8 8B 38 FF 97 D4 00 00 00 8B 95 7C FF FF FF 8D 43 68 E8 ?? ?? ?? ?? 83 7B 68 00 75 35 8D 95 70 FF FF FF A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 8B 45 F8 89 85 68 FF FF FF C6 85 6C FF FF FF 11 8D 95 68 FF FF FF 33 C9 58 E8 ?? ?? ?? ?? 8B C6 8B 53 68 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 FC FE FF FF 5F 5E 5B 8B E5 5D C3 7E 1C D9 75 FF 6D CA 44 91 E0 34 E4 31 4A E9 D4 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 21 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 74 00 72 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 31 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 37 90 81 6C 66 AB A8 4A B2 A5 95 8E DA 86 27 B7 }
	condition:
		$1
}

rule function_115062_0 {
	meta:
		name = "TXMLTypedSchemaItem.SetDataType"
		size = 113
		refs = "0011 TXMLTypedSchemaItem.SetDataType 0045 TXMLTypedSchemaItem.SetDataTypeName 005f @UStrArrayClr 0065 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 2A 8D 55 FC 8B C3 8B 08 FF 91 C0 00 00 00 83 7D FC 00 74 17 8D 55 F8 8B C3 8B 08 FF 91 C0 00 00 00 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_115063_0 {
	meta:
		name = "TXMLTypedSchemaItem.SetDataTypeName"
		size = 276
		refs = "0019 TXMLTypedSchemaItem.SetDataTypeName 0029 TXMLSchemaItem.GetRefItem 0037 SNoRefPropSet 003c LoadResString 0057 SchemaValidationError 005e TXMLTypedSchemaItem.RemoveTypeInfo 0068 TXMLSchemaNode.GetSchemaDef 0083 @OleVarFromUStr 0092 TXMLNode.SetAttribute 00a7 @IntfClear 00af @UStrClr 00b7 @VarClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 28 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 B8 ?? ?? ?? ?? 89 45 F0 C6 45 F4 11 8D 55 F0 33 C9 58 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 8D 4D DC 8B D6 8B 30 FF 96 28 01 00 00 8B 55 DC 8D 45 E0 E8 ?? ?? ?? ?? 8D 4D E0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 44 00 61 00 74 00 61 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_115065_0 {
	meta:
		name = "TXMLAttributeDef.GlobalCollection"
		size = 55
		refs = "0009 TXMLSchemaItem.IsGlobal 0014 TXMLSchemaNode.SchemaObject 0026 TXMLSchemaDef.GetAttributeDefs 0030 @IntfClear"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115075_0 {
	meta:
		name = "TXMLElementDef.GlobalCollection"
		size = 55
		refs = "0009 TXMLSchemaItem.IsGlobal 0014 TXMLSchemaNode.SchemaObject 0026 TXMLSchemaDef.GetElementDefs 0030 @IntfClear"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115107_0 {
	meta:
		name = "TXMLElementGroup.GlobalCollection"
		size = 55
		refs = "0009 TXMLSchemaItem.IsGlobal 0014 TXMLSchemaNode.SchemaObject 0026 TXMLSchemaDef.GetElementGroups 0030 @IntfClear"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 1C 8B C3 E8 ?? ?? ?? ?? 85 C0 74 11 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115066_0 {
	meta:
		name = "TXMLAttributeDef.GetRef"
		size = 100
		refs = "000f TXMLAttributeDef.GetRef 001f TXMLSchemaItem.GetRefItem 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 25 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115067_0 {
	meta:
		name = "TXMLAttributeDef.SetRef"
		size = 6
		altNames = "TXMLAttributeGroup.SetRef TXMLElementDef.SetRef TXMLElementGroup.SetRef"
	strings:
		$1 = { 8B 08 FF 51 20 C3 }
	condition:
		$1
}

rule function_115068_0 {
	meta:
		name = "TXMLAttributeDef.GetUse"
		size = 44
		refs = "0009 TXMLAttributeDef.GetUse 0010 TXMLNode.GetAttribute"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 75 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_115069_0 {
	meta:
		name = "TXMLAttributeDef.SetUse"
		size = 112
		refs = "0013 TXMLAttributeDef.SetUse 0023 @OleVarFromVar 0032 TXMLNode.SetAttribute 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 75 00 73 00 65 00 00 00 }
	condition:
		$1
}

rule function_115070_0 {
	meta:
		name = "TXMLAttributeDef.GetDefault"
		size = 52
		refs = "0009 TXMLAttributeDef.GetDefault 0010 TXMLNode.GetAttribute"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_115071_0 {
	meta:
		name = "TXMLAttributeDef.SetDefault"
		size = 224
		refs = "0019 TXMLAttributeDef.SetDefault 0029 @VarFromUStr 0033 @VarCmpNE 003d Null 0048 @OleVarFromVar 0057 TXMLNode.SetAttribute 0085 @VarClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 33 D2 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 74 22 8D 45 D0 E8 ?? ?? ?? ?? 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? 8D 4D E0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 C0 8B D6 E8 ?? ?? ?? ?? 8D 4D C0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 75 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 64 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 }
	condition:
		$1
}

rule function_115072_0 {
	meta:
		name = "TXMLAttributeDef.GetFixed"
		size = 48
		refs = "0009 TXMLAttributeDef.GetFixed 0010 TXMLNode.GetAttribute"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 69 00 78 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_115073_0 {
	meta:
		name = "TXMLAttributeDef.SetFixed"
		size = 220
		refs = "0019 TXMLAttributeDef.SetFixed 0029 @VarFromUStr 0033 @VarCmpNE 003d Null 0048 @OleVarFromVar 0057 TXMLNode.SetAttribute 0085 @VarClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 08 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 33 D2 E8 ?? ?? ?? ?? 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 74 22 8D 45 D0 E8 ?? ?? ?? ?? 8D 55 D0 8D 45 E0 E8 ?? ?? ?? ?? 8D 4D E0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 C0 8B D6 E8 ?? ?? ?? ?? 8D 4D C0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 03 00 00 00 75 00 73 00 65 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 66 00 69 00 78 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_115074_0 {
	meta:
		name = "TXMLElementDef.AfterConstruction"
		size = 144
		refs = "0007 _DV_TXMLSimpleTypeDef 000f _DV_TXMLComplexTypeDef 001b TXMLElementDef.AfterConstruction 0038 TXMLNode.RegisterChildNodes 003f TXMLSchemaItem.AfterConstruction"
	strings:
		$1 = { 53 83 C4 F0 8B D8 A1 ?? ?? ?? ?? 89 04 24 A1 ?? ?? ?? ?? 89 44 24 04 54 6A 01 B8 ?? ?? ?? ?? 89 44 24 10 B8 ?? ?? ?? ?? 89 44 24 14 8D 54 24 10 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 69 00 6D 00 70 00 6C 00 65 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 6F 00 6D 00 70 00 6C 00 65 00 78 00 54 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_115076_0 {
	meta:
		name = "TXMLElementDef.GetAttributeDefList"
		size = 192
		refs = "0013 TXMLElementDef.GetAttributeDefList 0023 TXMLTypedSchemaItem.GetDataType 004c @IntfCast 0062 _DV_TXMLAttributeDefList 0067 TInterfaceList.Create 0077 @IntfCopy 008c @IntfClear 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 5C 01 00 00 84 C0 74 29 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 91 64 01 00 00 EB 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 23 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115077_0 {
	meta:
		name = "TXMLElementDef.GetChildElementList"
		size = 192
		refs = "0013 TXMLElementDef.GetChildElementList 0023 TXMLTypedSchemaItem.GetDataType 004c @IntfCast 0062 _DV_TXMLElementDefList 0067 TInterfaceList.Create 0077 @IntfCopy 008c @IntfClear 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 5C 01 00 00 84 C0 74 29 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 91 84 01 00 00 EB 1C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 23 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115078_0 {
	meta:
		name = "IsRepeatingValue"
		size = 136
		refs = "000c IsRepeatingValue 001c VarToStr 0029 @UStrEqual 0055 @UStrClr 005b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0F 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5B 59 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 }
	condition:
		$1
}

rule function_115079_0 {
	meta:
		name = "ParentRepeats"
		size = 184
		refs = "0012 ParentRepeats 0024 @IntfClear 0032 Supports 004c IsRepeatingValue 008d @VarClr 009b @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 85 DB 74 52 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 38 8D 55 EC 8B 45 FC 8B 08 FF 91 D0 00 00 00 8D 45 EC E8 ?? ?? ?? ?? 8B D8 84 DB 75 1E 8B 45 08 50 8D 55 E8 8B 45 FC 8B 08 FF 51 44 8B 45 E8 E8 ?? ?? ?? ?? 59 8B D8 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B C3 5B 8B E5 5D C3 80 7C 00 0B 8B 64 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115080_0 {
	meta:
		name = "TXMLElementDef.IsRepeating"
		size = 107
		refs = "0011 TXMLElementDef.IsRepeating 0021 TXMLElementDef.GetMaxOccurs 0029 IsRepeatingValue 003f ParentRepeats 0057 @VarClr 005d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8B D8 84 DB 75 13 55 8B 46 28 85 C0 74 03 83 E8 B8 E8 ?? ?? ?? ?? 59 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115081_0 {
	meta:
		name = "TXMLElementDef.GetMaxOccurs"
		size = 96
		refs = "0009 TXMLElementDef.GetMaxOccurs 0010 TXMLNode.GetAttribute 0017 VarIsNull 0027 @VarFromUStr"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B CB BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 61 00 78 00 4F 00 63 00 63 00 75 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 }
	condition:
		$1
}

rule function_115092_0 {
	meta:
		name = "TXMLElementCompositor.GetMaxOccurs"
		size = 96
		refs = "0009 TXMLElementCompositor.GetMaxOccurs 0010 TXMLNode.GetAttribute 0017 VarIsNull 0027 @VarFromUStr"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B CB BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 61 00 78 00 4F 00 63 00 63 00 75 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 }
	condition:
		$1
}

rule function_115082_0 {
	meta:
		name = "TXMLElementDef.SetMaxOccurs"
		size = 124
		refs = "0013 TXMLElementDef.SetMaxOccurs 0023 @OleVarFromVar 0032 TXMLNode.SetAttribute 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 61 00 78 00 4F 00 63 00 63 00 75 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_115093_0 {
	meta:
		name = "TXMLElementCompositor.SetMaxOccurs"
		size = 124
		refs = "0013 TXMLElementCompositor.SetMaxOccurs 0023 @OleVarFromVar 0032 TXMLNode.SetAttribute 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 61 00 78 00 4F 00 63 00 63 00 75 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_115083_0 {
	meta:
		name = "TXMLElementDef.GetMinOccurs"
		size = 96
		refs = "0009 TXMLElementDef.GetMinOccurs 0010 TXMLNode.GetAttribute 0017 VarIsNull 0027 @VarFromUStr"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B CB BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 69 00 6E 00 4F 00 63 00 63 00 75 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 }
	condition:
		$1
}

rule function_115094_0 {
	meta:
		name = "TXMLElementCompositor.GetMinOccurs"
		size = 96
		refs = "0009 TXMLElementCompositor.GetMinOccurs 0010 TXMLNode.GetAttribute 0017 VarIsNull 0027 @VarFromUStr"
	strings:
		$1 = { 53 56 8B DA 8B F0 8B CB BA ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 69 00 6E 00 4F 00 63 00 63 00 75 00 72 00 73 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 31 00 00 00 }
	condition:
		$1
}

rule function_115084_0 {
	meta:
		name = "TXMLElementDef.SetMinOccurs"
		size = 124
		refs = "0013 TXMLElementDef.SetMinOccurs 0023 @OleVarFromVar 0032 TXMLNode.SetAttribute 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 69 00 6E 00 4F 00 63 00 63 00 75 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_115095_0 {
	meta:
		name = "TXMLElementCompositor.SetMinOccurs"
		size = 124
		refs = "0013 TXMLElementCompositor.SetMinOccurs 0023 @OleVarFromVar 0032 TXMLNode.SetAttribute 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 6D 00 69 00 6E 00 4F 00 63 00 63 00 75 00 72 00 73 00 00 00 }
	condition:
		$1
}

rule function_115085_0 {
	meta:
		name = "TXMLElementDef.GetRef"
		size = 100
		refs = "000f TXMLElementDef.GetRef 001f TXMLSchemaItem.GetRefItem 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 24 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115087_0 {
	meta:
		name = "TXMLElementCompositor.AfterConstruction"
		size = 668
		refs = "0015 TXMLElementCompositor.AfterConstruction 0020 _DV_TXMLElementDef 0028 _DV_TXMLElementGroup 0030 _DV_TXMLElementCompositor 0080 TXMLNode.RegisterChildNodes 008a TXMLNode.GetLocalName 0097 @UStrEqual 00d4 _DV_TXMLElementCompositors 00db TXMLNode.CreateCollection 00f1 @IntfCast 0103 _DV_TXMLElementDefs 0132 _DV_TXMLElementGroups 0156 TXMLSchemaItem.AfterConstruction 0170 @UStrArrayClr 0176 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 33 D2 89 55 D0 89 55 D4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 89 45 EC A1 ?? ?? ?? ?? 89 45 F0 A1 ?? ?? ?? ?? 89 45 F4 A1 ?? ?? ?? ?? 89 45 F8 A1 ?? ?? ?? ?? 89 45 FC 8D 45 EC 50 6A 04 B8 ?? ?? ?? ?? 89 45 D8 B8 ?? ?? ?? ?? 89 45 DC B8 ?? ?? ?? ?? 89 45 E0 B8 ?? ?? ?? ?? 89 45 E4 B8 ?? ?? ?? ?? 89 45 E8 8D 55 D8 B9 04 00 00 00 8B C3 E8 ?? ?? ?? ?? 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 06 C6 43 68 00 EB 23 8D 55 D0 8B C3 E8 ?? ?? ?? ?? 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 06 C6 43 68 01 EB 04 C6 43 68 02 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 6C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 70 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 74 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 65 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 67 00 72 00 6F 00 75 00 70 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 61 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 68 00 6F 00 69 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 65 00 71 00 75 00 65 00 6E 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 13 00 00 00 73 00 65 00 71 00 75 00 65 00 6E 00 63 00 65 00 3B 00 63 00 68 00 6F 00 69 00 63 00 65 00 3B 00 61 00 6C 00 6C 00 00 00 80 7C 00 0B 8B 64 D4 11 83 DA 00 C0 4F 60 B2 DD 81 7C 00 0B 8B 64 D4 11 83 DA 00 C0 4F 60 B2 DD 24 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD 30 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD 80 70 F2 53 AF 4D D4 11 83 DA 00 C0 4F 60 B2 DD 29 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115088_0 {
	meta:
		name = "TXMLElementCompositor.GetCompositors"
		size = 19
		refs = "000c @IntfCopy"
		altNames = "TXMLSchemaDef.GetElementGroups"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 6C E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115089_0 {
	meta:
		name = "TXMLElementCompositor.GetCompositorType"
		size = 5
	strings:
		$1 = { 0F B6 40 68 C3 }
	condition:
		$1
}

rule function_115097_0 {
	meta:
		name = "TXMLAttributeGroup.GetAttributeDefs"
		size = 240
		refs = "0011 TXMLAttributeGroup.GetAttributeDefs 0021 TXMLSchemaItem.GetRefItem 0031 TXMLAttributeGroup.GetRef 0058 _DV_TXMLAttributeDefs 005f TXMLNode.CreateCollection 0075 @IntfCast 007f @IntfCopy 0094 @IntfClear 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 19 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 91 DC 00 00 00 EB 3F 83 7B 68 00 75 2F 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 68 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 68 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 61 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 00 00 25 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD 31 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115098_0 {
	meta:
		name = "TXMLAttributeGroup.GetAttributeGroups"
		size = 252
		refs = "0011 TXMLAttributeGroup.GetAttributeGroups 0021 TXMLSchemaItem.GetRefItem 0031 TXMLAttributeGroup.GetRef 0058 _DV_TXMLAttributeGroups 005f TXMLNode.CreateCollection 0075 @IntfCast 007f @IntfCopy 0094 @IntfClear 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 19 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 8B D6 8B 08 FF 91 E0 00 00 00 EB 3F 83 7B 6C 00 75 2F 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 6C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 6C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 61 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 47 00 72 00 6F 00 75 00 70 00 00 00 00 00 00 B5 5D 8E C5 63 D4 11 83 DA 00 C0 4F 60 B2 DD 01 B5 5D 8E C5 63 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115099_0 {
	meta:
		name = "TXMLAttributeGroup.GlobalCollection"
		size = 45
		refs = "0009 TXMLSchemaItem.IsGlobal 0014 TXMLSchemaNode.SchemaObject 0026 TXMLSchemaDef.GetAttributeGroups"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 19 8B C3 E8 ?? ?? ?? ?? 85 C0 74 0E 8B C3 E8 ?? ?? ?? ?? 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115100_0 {
	meta:
		name = "TXMLAttributeGroup.GetRef"
		size = 100
		refs = "000f TXMLAttributeGroup.GetRef 001f TXMLSchemaItem.GetRefItem 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 B5 5D 8E C5 63 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115102_0 {
	meta:
		name = "TXMLElementGroup.AfterConstruction"
		size = 300
		refs = "0007 _DV_TXMLElementCompositor 0024 TXMLElementGroup.AfterConstruction 004a TXMLNode.RegisterChildNodes 0051 TXMLSchemaNode.SchemaObject 005f _DV_TXMLElementDef 0068 _DV_TXMLElementGroup 009c TXMLSchemaItem.AfterConstruction"
	strings:
		$1 = { 53 83 C4 D8 8B D8 A1 ?? ?? ?? ?? 89 04 24 A1 ?? ?? ?? ?? 89 44 24 04 A1 ?? ?? ?? ?? 89 44 24 08 54 6A 02 B8 ?? ?? ?? ?? 89 44 24 14 B8 ?? ?? ?? ?? 89 44 24 18 B8 ?? ?? ?? ?? 89 44 24 1C 8D 54 24 14 B9 02 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 B8 91 00 00 00 00 74 3B A1 ?? ?? ?? ?? 89 44 24 18 A1 ?? ?? ?? ?? 89 44 24 1C 8D 44 24 18 50 6A 01 B8 ?? ?? ?? ?? 89 44 24 28 B8 ?? ?? ?? ?? 89 44 24 2C 8D 54 24 28 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 28 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 61 00 6C 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 63 00 68 00 6F 00 69 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 73 00 65 00 71 00 75 00 65 00 6E 00 63 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 65 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 67 00 72 00 6F 00 75 00 70 00 00 00 }
	condition:
		$1
}

rule function_115103_0 {
	meta:
		name = "TXMLElementGroup.GetCompositorNode"
		size = 264
		refs = "0014 TXMLElementGroup.GetCompositorNode 002b TXMLSchemaNode.SchemaObject 003e TXMLSchemaItem.GetRefItem 0061 @IntfCopy 008c @IntfCast 0097 _DV_TXMLElementCompositor 009c TXMLNode.CreateHosted 00cc @IntfClear 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 68 00 0F 85 89 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 B8 91 00 00 00 00 75 5A 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 0C 8D 55 FC 8B C3 E8 ?? ?? ?? ?? EB 11 8D 45 FC 8B D3 85 D2 74 03 83 EA B8 E8 ?? ?? ?? ?? 8D 55 F0 8B 45 FC 8B 08 FF 51 14 8B 45 F0 8D 4D F4 BA ?? ?? ?? ?? 8B 38 FF 57 40 8B 55 F4 8D 43 68 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1F 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA 88 8D 43 68 E8 ?? ?? ?? ?? 8B C6 8B 53 68 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 00 80 7C 00 0B 8B 64 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115108_0 {
	meta:
		name = "TXMLElementGroup.GetRef"
		size = 100
		refs = "000f TXMLElementGroup.GetRef 001f TXMLSchemaItem.GetRefItem 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 80 70 F2 53 AF 4D D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115110_0 {
	meta:
		name = "TXMLNotationDef.GetPublicID"
		size = 52
		refs = "0009 TXMLNotationDef.GetPublicID 0010 TXMLNode.GetAttribute"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_115111_0 {
	meta:
		name = "TXMLNotationDef.GetSystemID"
		size = 52
		refs = "0009 TXMLNotationDef.GetSystemID 0010 TXMLNode.GetAttribute"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 79 00 73 00 74 00 65 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_115112_0 {
	meta:
		name = "TXMLNotationDef.SetPublicID"
		size = 120
		refs = "0013 TXMLNotationDef.SetPublicID 0023 @OleVarFromVar 0032 TXMLNode.SetAttribute 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 70 00 75 00 62 00 6C 00 69 00 63 00 00 00 00 00 }
	condition:
		$1
}

rule function_115113_0 {
	meta:
		name = "TXMLNotationDef.SetSystemID"
		size = 120
		refs = "0013 TXMLNotationDef.SetSystemID 0023 @OleVarFromVar 0032 TXMLNode.SetAttribute 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 79 00 73 00 74 00 65 00 6D 00 00 00 00 00 }
	condition:
		$1
}

rule function_115114_0 {
	meta:
		name = "TXMLAnnotation.AfterConstruction"
		size = 140
		refs = "0007 _DV_TXMLAnnotationItem 001b TXMLAnnotation.AfterConstruction 0038 TXMLNode.RegisterChildNodes 003f TInterfacedObject.AfterConstruction"
	strings:
		$1 = { 53 83 C4 F0 8B D8 A1 ?? ?? ?? ?? 89 04 24 A1 ?? ?? ?? ?? 89 44 24 04 54 6A 01 B8 ?? ?? ?? ?? 89 44 24 10 B8 ?? ?? ?? ?? 89 44 24 14 8D 54 24 10 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 61 00 70 00 70 00 69 00 6E 00 66 00 6F 00 00 00 }
	condition:
		$1
}

rule function_115115_0 {
	meta:
		name = "TXMLAnnotation.CreateChildNode"
		size = 492
		refs = "0021 TXMLAnnotation.CreateChildNode 0036 @CheckAutoResult 0050 @IntfCast 0057 TXMLSchemaNode.SchemaObject 0062 @DynArrayLength 0076 @IntfClear 00a5 @UStrClr 0146 TXMLSchemaDef.FindAppInfoClass 015c TXMLNode.Create 016d @IntfCopy 017b TXMLNode.CreateChildNode 01ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 56 8B 06 FF 50 18 E8 ?? ?? ?? ?? 66 83 7D F4 01 0F 85 2E 01 00 00 8D 45 FC 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 85 C0 0F 8E 05 01 00 00 8D 45 F0 50 8D 45 EC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 83 7D F0 00 0F 8E D2 00 00 00 8D 45 E8 E8 ?? ?? ?? ?? 50 8D 45 E4 E8 ?? ?? ?? ?? 50 6A 00 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 83 7D E8 00 0F 84 81 00 00 00 8D 45 DC E8 ?? ?? ?? ?? 50 8D 45 D8 E8 ?? ?? ?? ?? 50 6A 00 8D 45 D4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 DC 50 8B C3 E8 ?? ?? ?? ?? 5A E8 ?? ?? ?? ?? 8B F8 85 FF 74 23 53 8B 43 1C 50 8B CE B2 01 8B C7 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA B8 8B 45 F8 E8 ?? ?? ?? ?? EB 0C 8B 4D F8 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 5F 5E 5B 8B E5 5D C3 00 E6 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115118_0 {
	meta:
		name = "TXMLAnnotation.GetAppInfoCollection"
		size = 132
		refs = "000d TXMLAnnotation.GetAppInfoCollection 001a _DV_TXMLAppInfoCollection 0021 TXMLNode.CreateCollection 0037 @IntfCast 0041 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 58 00 75 2F 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 58 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 58 E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 07 00 00 00 61 00 70 00 70 00 69 00 6E 00 66 00 6F 00 00 00 C8 35 74 FE 6F 80 1F 44 91 95 A2 3F 77 7D 19 54 08 98 5C 6C 59 FE 7E 4A A3 8A A1 7F 71 0C 0B E7 }
	condition:
		$1
}

rule function_115119_0 {
	meta:
		name = "TXMLAnnotation.GetDocumentationCollection"
		size = 144
		refs = "000d TXMLAnnotation.GetDocumentationCollection 001a _DV_TXMLDocumentationCollection 0021 TXMLNode.CreateCollection 0037 @IntfCast 0041 @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 83 7B 5C 00 75 2F 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 5C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 53 5C E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 0D 00 00 00 64 00 6F 00 63 00 75 00 6D 00 65 00 6E 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 92 24 56 A1 31 BC 27 47 A6 90 17 63 18 48 C2 AF A4 0D 82 F7 00 7C D0 40 9F 2C AF 72 6D 8D 43 53 }
	condition:
		$1
}

rule function_115120_0 {
	meta:
		name = "TXMLAnnotationItem.GetSource"
		size = 52
		refs = "0009 TXMLAnnotationItem.GetSource 0010 TXMLNode.GetAttribute"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 6F 00 75 00 72 00 63 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_115121_0 {
	meta:
		name = "TXMLAnnotationItem.SetSource"
		size = 120
		refs = "0013 TXMLAnnotationItem.SetSource 0023 @OleVarFromVar 0032 TXMLNode.SetAttribute 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 6F 00 75 00 72 00 63 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_115122_0 {
	meta:
		name = "TXMLEnumeration.GetValue"
		size = 48
		refs = "0009 TXMLEnumeration.GetValue 0010 TXMLNode.GetAttribute"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B CE BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 61 00 6C 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_115123_0 {
	meta:
		name = "TXMLEnumeration.SetValue"
		size = 116
		refs = "0013 TXMLEnumeration.SetValue 0023 @OleVarFromVar 0032 TXMLNode.SetAttribute 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 61 00 6C 00 75 00 65 00 00 00 }
	condition:
		$1
}

rule function_115124_0 {
	meta:
		name = "TXMLSchemaDocRefs.GetSchemaDocRef"
		size = 164
		refs = "001e TXMLSchemaDocRefs.GetSchemaDocRef 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 A9 11 14 50 B8 74 AF 46 A1 45 12 E3 A4 6A 7D A4 }
	condition:
		$1
}

rule function_115125_0 {
	meta:
		name = "TXMLSchemaImports.Add"
		size = 128
		refs = "0018 TXMLSchemaImports.Add 003a @IntfCast 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 83 CA FF 8B C3 8B 18 FF 53 20 8B 55 F8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 8B 55 FC 8B 08 FF 91 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 BA 7A 5D C1 B6 CA 30 42 A7 32 BF C3 C9 5F 7B 1A }
	condition:
		$1
}

rule function_115126_0 {
	meta:
		name = "TXMLSchemaImports.GetItem"
		size = 164
		refs = "001e TXMLSchemaImports.GetItem 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 BA 7A 5D C1 B6 CA 30 42 A7 32 BF C3 C9 5F 7B 1A }
	condition:
		$1
}

rule function_115127_0 {
	meta:
		name = "TXMLSchemaImports.Insert"
		size = 116
		refs = "0018 TXMLSchemaImports.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 BA 7A 5D C1 B6 CA 30 42 A7 32 BF C3 C9 5F 7B 1A }
	condition:
		$1
}

rule function_115128_0 {
	meta:
		name = "TXMLSchemaIncludes.Add"
		size = 128
		refs = "0018 TXMLSchemaIncludes.Add 003a @IntfCast 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 83 CA FF 8B C3 8B 18 FF 53 20 8B 55 F8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 8B 55 FC 8B 08 FF 91 CC 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 64 2E 3A 9C A5 8C 3D 40 B5 57 1E 28 A9 57 07 20 }
	condition:
		$1
}

rule function_115129_0 {
	meta:
		name = "TXMLSchemaIncludes.GetItem"
		size = 164
		refs = "001e TXMLSchemaIncludes.GetItem 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 64 2E 3A 9C A5 8C 3D 40 B5 57 1E 28 A9 57 07 20 }
	condition:
		$1
}

rule function_115130_0 {
	meta:
		name = "TXMLSchemaIncludes.Insert"
		size = 116
		refs = "0018 TXMLSchemaIncludes.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 64 2E 3A 9C A5 8C 3D 40 B5 57 1E 28 A9 57 07 20 }
	condition:
		$1
}

rule function_115131_0 {
	meta:
		name = "TXMLSchemaItems.AfterConstruction"
		size = 128
		refs = "000c TXMLSchemaItems.AfterConstruction 001c TXMLNode.GetLocalName 0029 @UStrEqual 003d TXMLNodeCollection.AfterConstruction 0052 @UStrClr 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 88 43 70 8B 13 89 D0 89 43 78 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_115132_0 {
	meta:
		name = "TXMLSchemaItems.GetSchemaDef"
		size = 216
		refs = "0013 TXMLSchemaItems.GetSchemaDef 0031 @IntfCopy 0057 @IntfClear 0066 Supports 007a TXMLSchemaItems.SetSchemaDef 0090 @IntfCast 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 74 00 75 5B 8D 45 FC 8B 53 24 85 D2 74 03 83 EA B8 E8 ?? ?? ?? ?? EB 16 8D 55 F4 8B 45 FC 8B 08 FF 51 44 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 1B 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 C9 83 7D F8 00 74 0A 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 8B C6 8B 53 74 85 D2 74 03 83 EA F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 32 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115133_0 {
	meta:
		name = "TXMLSchemaItems.SetSchemaDef"
		size = 104
		refs = "000f TXMLSchemaItems.SetSchemaDef 0024 @IntfCast 0047 @IntfClear 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 D4 00 00 00 89 43 74 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 37 90 81 6C 66 AB A8 4A B2 A5 95 8E DA 86 27 B7 }
	condition:
		$1
}

rule function_115134_0 {
	meta:
		name = "TSchemaIterator.Create"
		size = 179
		refs = "0016 @ClassCreate 0025 TSchemaIterator.Create 0038 _Dn_TStringList 003d TStringList.Create 004b TStringList.SetCaseSensitive 0055 TStringList.SetSorted 005f TXMLSchemaItems.GetSchemaDef 0069 TSchemaIterator.SchemaVisited 0072 TObject.Create 0087 @IntfClear 008d @HandleFinally 009c @AfterConstruction"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 88 55 FF 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 46 78 89 43 0C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 89 7B 08 8B C7 33 D2 E8 ?? ?? ?? ?? 8B 43 08 B2 01 E8 ?? ?? ?? ?? 8D 55 F8 8B C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 80 7D FF 00 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C3 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_115136_0 {
	meta:
		name = "TSchemaIterator.SchemaVisited"
		size = 123
		refs = "0011 TSchemaIterator.SchemaVisited 005f @IntfClear 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 8B 08 FF 51 40 8B 45 F8 8D 55 FC 8B 08 FF 51 28 8B 55 FC 8B 46 08 8B 08 FF 51 54 40 0F 95 C3 84 DB 75 0B 8B 55 FC 8B 46 08 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_115137_0 {
	meta:
		name = "TSchemaIterator.SearchCollection"
		size = 208
		refs = "001a TSchemaIterator.SearchCollection 002f @IntfCast 005b ExtractLocalName 0081 @UStrClr 0089 @IntfClear 009f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 8B 53 0C 8B 45 FC 8B 18 FF 93 C8 00 00 00 8B 55 F0 8D 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 EC 8B 4D 08 8B 45 F8 8B 18 FF 93 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C2 04 00 00 00 00 37 90 81 6C 66 AB A8 4A B2 A5 95 8E DA 86 27 B7 26 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115138_0 {
	meta:
		name = "TSchemaIterator.SearchSchemaDocRefs"
		size = 258
		refs = "0024 TSchemaIterator.SearchSchemaDocRefs 0032 @IntfClear 0084 VarToStr 008f SameNamespace 009e TSchemaIterator.SchemaVisited 00b4 TSchemaIterator.SearchCollection 00d5 @VarClr 00dd @UStrClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 92 AC 00 00 00 8B D8 4B 85 DB 7C 7C 43 33 F6 8D 4D EC 8B D6 8B 45 F4 8B 38 FF 97 C0 00 00 00 8B 45 EC 8D 55 FC 8B 08 FF 91 C4 00 00 00 83 7D FC 00 74 51 8D 55 D8 8B 45 FC 8B 08 FF 91 F8 00 00 00 8D 45 D8 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 0C E8 ?? ?? ?? ?? 84 C0 74 29 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 1A 8B 45 08 50 8B 4D F0 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 83 38 00 75 04 46 4B 75 87 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_115139_0 {
	meta:
		name = "TSchemaIterator.SearchParentSchema"
		size = 58
		refs = "0014 @IntfClear 001d TSchemaIterator.SchemaVisited 002e TSchemaIterator.SearchCollection"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B F2 8B D8 8B 7D 08 8B C7 E8 ?? ?? ?? ?? 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 0D 57 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_115140_0 {
	meta:
		name = "TSchemaIterator.SearchSiblingSchemas"
		size = 396
		refs = "0024 TSchemaIterator.SearchSiblingSchemas 0032 @IntfClear 0090 @OleVarFromInt 00b5 Supports 00d2 VarToStr 00dd SameNamespace 00f3 TSchemaIterator.SearchCollection 011d @HandleFinally 0134 @VarClr 013c @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F0 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B 45 F8 80 78 04 00 0F 85 E0 00 00 00 8B 45 F8 C6 40 04 01 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B 45 F4 8B 08 FF 51 14 8B 45 EC 8B 10 FF 52 0C 8B D8 4B 85 DB 0F 8C 91 00 00 00 43 33 F6 8D 55 E4 8B 45 F4 8B 08 FF 51 14 8B 45 E4 50 8D 45 D4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 D4 8D 4D E8 58 8B 38 FF 57 10 8B 45 E8 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 42 8D 55 C0 8B 45 FC 8B 08 FF 91 F8 00 00 00 8D 45 C0 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 8B 55 0C E8 ?? ?? ?? ?? 84 C0 74 1A 8B 45 08 50 8B 4D F0 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 08 83 38 00 75 08 46 4B 0F 85 72 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 C6 40 04 00 C3 E9 ?? ?? ?? ?? EB F1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 32 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115141_0 {
	meta:
		name = "TSchemaIterator.SearchItems"
		size = 435
		refs = "0024 TSchemaIterator.SearchItems 004d TXMLSchemaItems.GetSchemaDef 0069 TSchemaIterator.SearchSchemaDocRefs 00de TSchemaIterator.SearchParentSchema 012c TSchemaIterator.SearchSiblingSchemas 0145 @HandleFinally 015c @IntfClear 017d IXMLSchemaDef 0187 @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F8 8B F2 89 45 FC 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC FF 40 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 0C 50 53 8D 55 F0 8B C6 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 8B 08 FF 91 EC 00 00 00 8B 55 F4 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 83 3B 00 75 2B 8B 45 0C 50 53 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC 8B 08 FF 91 E8 00 00 00 8B 55 EC 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 83 3B 00 75 40 8D 55 E4 8B C6 E8 ?? ?? ?? ?? 8B 45 E4 8B 10 FF 92 DC 00 00 00 3C 02 75 27 53 8D 55 DC 8B C6 E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 8B 08 FF 91 D8 00 00 00 8B 55 E0 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 83 3B 00 75 49 8D 55 D4 8B C6 E8 ?? ?? ?? ?? 8B 45 D4 8D 55 D8 8B 08 FF 51 44 8B 45 D8 8B 10 FF 52 38 3C 01 75 28 8B 45 0C 50 53 8D 55 CC 8B C6 E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 8B 08 FF 51 44 8B 55 D0 8B 4D F8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC FF 48 10 C3 E9 ?? ?? ?? ?? EB F2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB AD 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_115142_0 {
	meta:
		name = "FindItemNS"
		size = 276
		refs = "001f FindItemNS 002d @IntfClear 0036 TXMLSchemaItems.IndexOfItem 0056 @OleVarFromInt 0072 @IntfCast 0080 GSchemaIterator 008c _DV_TSchemaIterator 0091 TSchemaIterator.Create 00ac TSchemaIterator.SearchItems 00c9 TObject.Free 00de @VarClr 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D FC 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8B D7 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 7C 38 8D 55 F4 8B C6 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D3 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 55 80 7E 70 00 74 4F 83 3D ?? ?? ?? ?? 00 75 13 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 FC 50 8B 45 08 50 8B CF 8B D6 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 78 10 00 75 12 A1 ?? ?? ?? ?? 33 D2 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 04 00 00 20 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115143_0 {
	meta:
		name = "TXMLSchemaItems.FindItem"
		size = 190
		refs = "0021 TXMLSchemaItems.FindItem 002e IsPrefixed 003c TXMLSchemaItems.GetSchemaDef 006e VarToStr 007e FindItemNS 0093 @IntfClear 009b @VarClr 00ab @UStrClr 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 84 C0 74 19 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8D 4D FC 8B D6 8B 38 FF 57 7C EB 23 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 8B 08 FF 91 F8 00 00 00 8D 45 E4 8D 55 FC E8 ?? ?? ?? ?? 8B 45 F8 50 8B 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115144_0 {
	meta:
		name = "TXMLSchemaItems.GetSchemaItem"
		size = 164
		refs = "001e TXMLSchemaItems.GetSchemaItem 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 20 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115145_0 {
	meta:
		name = "TXMLSchemaItems.IndexOfItem"
		size = 388
		refs = "001b TXMLSchemaItems.IndexOfItem 0028 IsPrefixed 0037 TXMLSchemaItems.GetSchemaDef 0068 VarToStr 0073 SameNamespace 0081 ExtractLocalName 0092 @UStrLAsg 009a TXMLNodeCollection.GetCount 00bf @OleVarFromInt 00db @IntfCast 00f4 @UStrEqual 0112 @VarClr 011a @IntfClear 0132 @UStrClr 015f @UStrArrayClr 0165 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 5C 8D 55 F0 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 8D 4D FC 8B D3 8B 30 FF 56 7C 8D 55 D8 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC 8B 08 FF 91 F8 00 00 00 8D 45 DC 8D 55 EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 0C 8D 55 F8 8B C3 E8 ?? ?? ?? ?? EB 0F 83 CE FF EB 75 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 59 43 33 F6 8D 55 C8 8B 45 F4 8B 08 FF 51 1C 8B 45 C8 50 8D 45 B8 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 B8 8D 4D CC 58 8B 38 FF 57 10 8B 55 CC 8D 45 D0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D0 8D 55 D4 8B 08 FF 91 C0 00 00 00 8B 45 D4 8B 55 F8 E8 ?? ?? ?? ?? 74 07 46 4B 75 AA 83 CE FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A3 8B C6 5F 5E 5B 8B E5 5D C3 20 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115147_0 {
	meta:
		name = "TXMLSchemaItems.CheckParent"
		size = 84
		refs = "0009 TXMLSchemaItems.CheckParent 001d SNoContentModel 0022 LoadResString 0030 SchemaValidationError 0045 @UStrClr 004b @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 83 78 28 00 75 1B 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8D 55 FC 83 C9 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 }
	condition:
		$1
}

rule function_115148_0 {
	meta:
		name = "TXMLSimpleTypeDefs.Add"
		size = 168
		refs = "001c @UStrAddRef 0024 TXMLSimpleTypeDefs.Add 0046 @IntfCast 007b @IntfClear 0083 @UStrClr 0089 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D FC 89 55 F8 8B F0 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 83 CA FF 8B C6 8B 30 FF 56 20 8B 55 F4 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 55 F8 8B 08 FF 91 C4 00 00 00 83 7D FC 00 74 0D 8B 03 8B 55 FC 8B 08 FF 91 18 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C2 04 00 00 22 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115149_0 {
	meta:
		name = "TXMLSimpleTypeDefs.Find"
		size = 176
		refs = "0018 TXMLSimpleTypeDefs.Find 002b TXMLSchemaItems.FindItem 003a @IntfCast 0049 TXMLSchemaItems.GetSchemaDef 007c @IntfClear 0092 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3E 00 75 28 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 55 F4 8B 08 FF 91 BC 00 00 00 8B 45 F4 8B CE 8B 55 FC 8B 18 FF 93 D4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 22 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115150_0 {
	meta:
		name = "TXMLSimpleTypeDefs.GetItem"
		size = 164
		refs = "001e TXMLSimpleTypeDefs.GetItem 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 22 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115151_0 {
	meta:
		name = "TXMLSimpleTypeDefs.Insert"
		size = 116
		refs = "0018 TXMLSimpleTypeDefs.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 22 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115153_0 {
	meta:
		name = "TXMLBuiltInTypes.Add"
		size = 232
		refs = "001c TXMLBuiltInTypes.Add 002b TXMLBuiltInTypes.IsBuiltInTypeName 0037 SNotBuiltInType 003c LoadResString 0052 SchemaValidationError 0065 TXMLNode.AddChild 0074 @IntfCast 0095 @IntfClear 009d @UStrClr 00a3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F0 53 56 57 33 DB 89 5D F0 89 5D FC 8B F2 8B D8 8B 7D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 75 23 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 89 75 F4 C6 45 F8 11 8D 55 F4 33 C9 58 E8 ?? ?? ?? ?? 8D 45 F0 50 83 C9 FF BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 F0 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 07 8B D6 8B 08 FF 91 C4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 69 00 6D 00 70 00 6C 00 65 00 54 00 79 00 70 00 65 00 00 00 00 00 22 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115154_0 {
	meta:
		name = "TXMLBuiltInTypes.IndexOfItem"
		size = 368
		refs = "001b TXMLBuiltInTypes.IndexOfItem 0028 IsPrefixed 0037 TXMLSchemaItems.GetSchemaDef 0066 ExtractLocalName 006e TXMLNodeCollection.GetCount 0093 @OleVarFromInt 00af @IntfCast 00c8 @UStrEqual 00e0 SameNamespace 0100 @IntfClear 0108 @UStrClr 0110 @VarClr 0129 IXMLSchemaDef 0133 @FinalizeArray 0140 @UStrArrayClr 014e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 07 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B DA 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 75 18 8D 55 EC 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F8 8B 08 FF 51 30 EB 22 8D 55 E8 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 E8 8D 4D F8 8B D3 8B 30 FF 56 7C 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 73 43 33 F6 8D 55 E0 8B 45 F0 8B 08 FF 51 1C 8B 45 E0 50 8D 45 D0 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 D0 8D 4D E4 58 8B 38 FF 57 10 8B 55 E4 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 CC 8B 45 FC 8B 08 FF 91 C0 00 00 00 8B 45 CC 8B 55 F4 E8 ?? ?? ?? ?? 75 1A 8D 55 C8 8B 45 FC 8B 08 FF 51 20 8B 45 C8 8B 55 F8 E8 ?? ?? ?? ?? 84 C0 75 07 46 4B 75 90 83 CE FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A8 8B C6 5F 5E 5B 8B E5 5D C3 00 00 00 22 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115155_0 {
	meta:
		name = "IsSchemaNamespace"
		size = 408
		refs = "000e IsSchemaNamespace 0022 TXMLSchemaItems.GetSchemaDef 0037 SameNamespace 0088 @IntfClear 0096 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 08 8B 40 FC E8 ?? ?? ?? ?? 8B 45 F8 8D 55 FC 8B 08 FF 51 20 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 84 C0 75 34 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 24 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 14 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 59 59 5D C3 00 B0 04 02 00 FF FF FF FF 20 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 31 00 39 00 39 00 39 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 30 00 2F 00 31 00 30 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 31 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_115156_0 {
	meta:
		name = "TXMLBuiltInTypes.IsBuiltInTypeName"
		size = 276
		refs = "0015 TXMLBuiltInTypes.IsBuiltInTypeName 0022 IsPrefixed 0032 TXMLSchemaItems.GetSchemaDef 0047 IsSchemaNamespace 0056 ExtractLocalName 005c BuiltInTypeNames 0069 ArrayContains 007a @UStrEqual 009c LegacyTypeNames 00cd IXMLSchemaDef 00d7 @FinalizeArray 00e4 @UStrArrayClr 00ea @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B DA 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 26 55 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 8D 4D F4 8B D3 8B 30 FF 56 7C 8B 45 F4 E8 ?? ?? ?? ?? 59 84 C0 74 69 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? B9 2D 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 44 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 35 8D 55 EC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 EC 8B 10 FF 92 F4 00 00 00 84 C0 75 17 8B 15 ?? ?? ?? ?? B9 0A 00 00 00 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 04 33 DB EB 06 B3 01 EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 07 00 00 00 75 00 72 00 2D 00 74 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_115157_0 {
	meta:
		name = "TXMLBuiltInTypes.Find"
		size = 392
		refs = "0022 TXMLBuiltInTypes.Find 0032 TXMLBuiltInTypes.IndexOfItem 0052 @OleVarFromInt 006e @IntfCast 007d TXMLBuiltInTypes.IsBuiltInTypeName 0089 IsPrefixed 0092 _DV_TXMLSimpleTypeDef 00a3 TXMLSchemaItems.GetSchemaDef 00c0 TXMLNode.AddChild 00db ExtractLocalName 00fd TXMLBuiltInTypes.Add 0112 @UStrClr 011a @IntfClear 0132 @VarClr 0148 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 89 4D F8 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B F0 85 F6 7C 3B 8D 55 F0 8B C3 8B 08 FF 51 1C 8B 45 F0 50 8D 45 E0 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E0 8D 4D F4 58 8B 18 FF 53 10 8B 55 F4 8B 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 8A 00 00 00 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 84 C0 74 7C 8B 45 FC E8 ?? ?? ?? ?? 84 C0 74 60 A1 ?? ?? ?? ?? 50 6A FF 8D 45 DC 50 8D 55 D4 8B C3 E8 ?? ?? ?? ?? 8B 45 D4 8D 4D D8 8B 55 FC 8B 30 FF 56 7C 8B 4D D8 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8B 45 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 D0 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D0 8B 45 F8 8B 00 8B 08 FF 91 C4 00 00 00 EB 10 8B 45 F8 50 33 C9 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5E 5B 8B E5 5D C3 22 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 69 00 6D 00 70 00 6C 00 65 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_115158_0 {
	meta:
		name = "TXMLComplexTypeDefs.Add"
		size = 148
		refs = "001c TXMLComplexTypeDefs.Add 003e @IntfCast 006e @IntfClear 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 88 4D FB 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 83 CA FF 8B C6 8B 30 FF 56 20 8B 55 F4 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 55 FC 8B 08 FF 91 C4 00 00 00 0F B6 55 FB 8B 03 8B 08 FF 91 98 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 00 00 23 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115159_0 {
	meta:
		name = "TXMLComplexTypeDefs.Add"
		size = 180
		refs = "001c TXMLComplexTypeDefs.Add 003e @IntfCast 008f @IntfClear 0095 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 83 CA FF 8B C6 8B 30 FF 56 20 8B 55 F4 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 55 FC 8B 08 FF 91 C4 00 00 00 0F B6 55 10 8B 03 8B 08 FF 91 9C 01 00 00 8B 03 8B 55 F8 8B 08 FF 91 18 01 00 00 80 7D 0C 04 74 0E 0F B6 55 0C 8B 03 8B 08 FF 91 98 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 0C 00 00 23 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115160_0 {
	meta:
		name = "TXMLComplexTypeDefs.Find"
		size = 108
		refs = "0012 TXMLComplexTypeDefs.Find 0024 TXMLSchemaItems.FindItem 0033 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 23 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115161_0 {
	meta:
		name = "TXMLComplexTypeDefs.GetItem"
		size = 108
		refs = "0012 TXMLComplexTypeDefs.GetItem 0024 TXMLSchemaItems.GetSchemaItem 0033 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 23 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115162_0 {
	meta:
		name = "TXMLComplexTypeDefs.Insert"
		size = 116
		refs = "0018 TXMLComplexTypeDefs.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 23 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115163_0 {
	meta:
		name = "TXMLAttributeDefs.ChildListNotify"
		size = 83
		refs = "0019 TXMLNodeCollection.ChildListNotify 0034 _DV_TXMLComplexTypeDef 0039 @IsClass 0048 TXMLComplexTypeDef.AttributesChanged"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F0 8B 5D 08 8B 45 0C 50 53 8B 4D FC 8B C6 E8 ?? ?? ?? ?? 84 DB 74 2B 8B 5E 24 EB 06 8B 46 24 8B 58 24 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 E5 85 DB 74 07 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_115170_0 {
	meta:
		name = "TXMLElementDefs.ChildListNotify"
		size = 83
		refs = "0019 TXMLNodeCollection.ChildListNotify 0034 _DV_TXMLComplexTypeDef 0039 @IsClass 0048 TXMLComplexTypeDef.ChildElementsChanged"
	strings:
		$1 = { 55 8B EC 51 53 56 89 4D FC 8B F0 8B 5D 08 8B 45 0C 50 53 8B 4D FC 8B C6 E8 ?? ?? ?? ?? 84 DB 74 2B 8B 5E 24 EB 06 8B 46 24 8B 58 24 85 DB 74 11 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 E5 85 DB 74 07 8B C3 E8 ?? ?? ?? ?? 5E 5B 59 5D C2 08 00 }
	condition:
		$1
}

rule function_115164_0 {
	meta:
		name = "TXMLAttributeDefs.Add"
		size = 128
		refs = "0018 TXMLAttributeDefs.Add 003a @IntfCast 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 83 CA FF 8B C3 8B 18 FF 53 20 8B 55 F8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 8B 55 FC 8B 08 FF 91 D4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 25 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115165_0 {
	meta:
		name = "TXMLAttributeDefs.Add"
		size = 148
		refs = "001c TXMLAttributeDefs.Add 003e @IntfCast 006d @IntfClear 0073 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 83 CA FF 8B C6 8B 30 FF 56 20 8B 55 F4 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 55 FC 8B 08 FF 91 C4 00 00 00 8B 03 8B 55 F8 8B 08 FF 91 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 00 00 00 25 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115166_0 {
	meta:
		name = "TXMLAttributeDefs.Add"
		size = 272
		refs = "001e @UStrAddRef 0026 TXMLAttributeDefs.Add 0048 @IntfCast 00ad @IntfClear 00b6 IXMLNode 00c0 @FinalizeArray 00c8 @UStrClr 00ce @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 88 4D FB 89 55 FC 8B F0 8B 5D 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 83 CA FF 8B C6 8B 30 FF 56 20 8B 55 F4 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 55 FC 8B 08 FF 91 C4 00 00 00 80 7D FB 00 74 30 8D 45 F0 50 8B 03 83 C9 FF BA ?? ?? ?? ?? 8B 30 FF 56 6C 8D 55 EC 8B 03 8B 08 FF 91 DC 00 00 00 8B 45 EC 8B 55 0C 8B 08 FF 91 18 01 00 00 EB 0D 8B 03 8B 55 0C 8B 08 FF 91 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C2 08 00 25 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 69 00 6D 00 70 00 6C 00 65 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_115169_0 {
	meta:
		name = "TXMLAttributeDefs.Insert"
		size = 116
		refs = "0018 TXMLAttributeDefs.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 25 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115172_0 {
	meta:
		name = "TXMLElementDefs.Add"
		size = 152
		refs = "001c TXMLElementDefs.Add 003e @IntfCast 0073 @IntfClear 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 33 DB 89 5D F4 89 4D F8 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 83 CA FF 8B C6 8B 30 FF 56 20 8B 55 F4 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 55 FC 8B 08 FF 91 C4 00 00 00 83 7D F8 00 74 0D 8B 03 8B 55 F8 8B 08 FF 91 E8 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C2 04 00 00 24 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115173_0 {
	meta:
		name = "TXMLElementDefs.Add"
		size = 128
		refs = "0018 TXMLElementDefs.Add 003a @IntfCast 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 83 CA FF 8B C3 8B 18 FF 53 20 8B 55 F8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 06 8B 55 FC 8B 08 FF 91 D4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 24 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115174_0 {
	meta:
		name = "TXMLElementDefs.Add"
		size = 408
		refs = "0024 @UStrAddRef 002c TXMLElementDefs.Add 004e @IntfCast 00e9 @IntfClear 010a IXMLNode 0114 @FinalizeArray 011c @UStrClr 0122 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 88 4D FB 89 55 FC 8B F0 8B 5D 08 8B 45 0C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 83 CA FF 8B C6 8B 30 FF 56 20 8B 55 F4 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 55 FC 8B 08 FF 91 C4 00 00 00 80 7D FB 00 74 3F 8D 45 F0 50 8B 03 83 C9 FF BA ?? ?? ?? ?? 8B 30 FF 56 6C 8D 55 E8 8B 03 8B 08 FF 91 DC 00 00 00 8B 55 E8 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC B2 02 8B 08 FF 91 98 01 00 00 EB 13 8D 45 E4 50 8B 03 83 C9 FF BA ?? ?? ?? ?? 8B 30 FF 56 6C 83 7D 0C 00 74 1B 8D 55 E0 8B 03 8B 08 FF 91 DC 00 00 00 8B 45 E0 8B 55 0C 8B 08 FF 91 18 01 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 0C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5E 5B 8B E5 5D C2 08 00 24 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 6F 00 6D 00 70 00 6C 00 65 00 78 00 54 00 79 00 70 00 65 00 00 00 23 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 69 00 6D 00 70 00 6C 00 65 00 54 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_115175_0 {
	meta:
		name = "TXMLElementDefs.Insert"
		size = 116
		refs = "0018 TXMLElementDefs.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 24 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115178_0 {
	meta:
		name = "TXMLElementCompositors.Add"
		size = 128
		refs = "0012 TXMLElementCompositors.Add 001f TXMLSchemaItems.CheckParent 002d CompositorNames 0037 TXMLNode.AddChild 0046 @IntfCast 005b @IntfClear 0061 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8D 45 FC 50 0F B6 C3 8B 14 85 ?? ?? ?? ?? 83 C9 FF 8B C6 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 80 7C 00 0B 8B 64 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115179_0 {
	meta:
		name = "TXMLElementCompositors.Insert"
		size = 116
		refs = "0018 TXMLElementCompositors.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 80 7C 00 0B 8B 64 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115180_0 {
	meta:
		name = "TXMLElementCompositors.GetItem"
		size = 164
		refs = "001e TXMLElementCompositors.GetItem 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 80 7C 00 0B 8B 64 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115181_0 {
	meta:
		name = "TXMLAttributeGroups.Add"
		size = 104
		refs = "000f TXMLAttributeGroups.Add 0031 @IntfCast 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 83 CA FF 8B C3 8B 18 FF 53 20 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 00 B5 5D 8E C5 63 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115182_0 {
	meta:
		name = "TXMLAttributeGroups.Insert"
		size = 116
		refs = "0018 TXMLAttributeGroups.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 00 B5 5D 8E C5 63 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115183_0 {
	meta:
		name = "TXMLAttributeGroups.Find"
		size = 108
		refs = "0012 TXMLAttributeGroups.Find 0024 TXMLSchemaItems.FindItem 0033 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B5 5D 8E C5 63 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115184_0 {
	meta:
		name = "TXMLAttributeGroups.GetItem"
		size = 108
		refs = "0012 TXMLAttributeGroups.GetItem 0024 TXMLSchemaItems.GetSchemaItem 0033 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 00 B5 5D 8E C5 63 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115185_0 {
	meta:
		name = "TXMLElementGroups.Add"
		size = 164
		refs = "0019 TXMLElementGroups.Add 003b @IntfCast 0044 _DV_TXMLSchemaDef 0049 @IsClass 007e @IntfClear 0084 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 83 CA FF 8B C3 8B 38 FF 57 20 8B 55 F8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 43 28 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 0F 8B 06 8B 55 FC 8B 08 FF 91 C4 00 00 00 EB 0D 8B 06 8B 55 FC 8B 08 FF 91 D4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 00 80 70 F2 53 AF 4D D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115186_0 {
	meta:
		name = "TXMLElementGroups.Insert"
		size = 116
		refs = "0018 TXMLElementGroups.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 80 70 F2 53 AF 4D D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115187_0 {
	meta:
		name = "TXMLElementGroups.Find"
		size = 108
		refs = "0012 TXMLElementGroups.Find 0024 TXMLSchemaItems.FindItem 0033 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 80 70 F2 53 AF 4D D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115188_0 {
	meta:
		name = "TXMLElementGroups.GetItem"
		size = 108
		refs = "0012 TXMLElementGroups.GetItem 0024 TXMLSchemaItems.GetSchemaItem 0033 @IntfCast 0048 @IntfClear 004e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C7 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 00 00 80 70 F2 53 AF 4D D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115189_0 {
	meta:
		name = "TXMLNotationDefs.Add"
		size = 224
		refs = "0024 TXMLNotationDefs.Add 0046 @IntfCast 0064 @VarFromUStr 00a7 Variant 00b1 @FinalizeArray 00b9 @IntfClear 00bf @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F8 89 55 FC 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 83 CA FF 8B C6 8B 30 FF 56 20 8B 55 F4 8B C3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 03 8B 55 FC 8B 08 FF 91 C4 00 00 00 83 7D F8 00 74 1A 8D 45 E4 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 E4 8B 03 8B 08 FF 91 D0 00 00 00 EB 1E 83 7D 0C 00 74 18 8D 45 D4 8B 55 0C E8 ?? ?? ?? ?? 8D 55 D4 8B 03 8B 08 FF 91 D4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5E 5B 8B E5 5D C2 08 00 00 00 00 68 D1 C9 6B A1 3A 00 4F A0 25 DA D2 CD 02 E5 B3 }
	condition:
		$1
}

rule function_115190_0 {
	meta:
		name = "TXMLNotationDefs.GetItem"
		size = 164
		refs = "001e TXMLNotationDefs.GetItem 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 68 D1 C9 6B A1 3A 00 4F A0 25 DA D2 CD 02 E5 B3 }
	condition:
		$1
}

rule function_115191_0 {
	meta:
		name = "TXMLNotationDefs.Insert"
		size = 116
		refs = "0018 TXMLNotationDefs.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 68 D1 C9 6B A1 3A 00 4F A0 25 DA D2 CD 02 E5 B3 }
	condition:
		$1
}

rule function_115192_0 {
	meta:
		name = "TXMLAnnotationCollection.Add"
		size = 104
		refs = "000f TXMLAnnotationCollection.Add 0031 @IntfCast 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 83 CA FF 8B C3 8B 18 FF 53 20 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 6D 31 A9 F3 F3 4A D7 4C 8C 5B DB FE F2 36 A8 DA }
	condition:
		$1
}

rule function_115193_0 {
	meta:
		name = "TXMLAnnotationCollection.GetItem"
		size = 164
		refs = "001e TXMLAnnotationCollection.GetItem 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 6D 31 A9 F3 F3 4A D7 4C 8C 5B DB FE F2 36 A8 DA }
	condition:
		$1
}

rule function_115194_0 {
	meta:
		name = "TXMLAnnotationCollection.Insert"
		size = 116
		refs = "0018 TXMLAnnotationCollection.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 6D 31 A9 F3 F3 4A D7 4C 8C 5B DB FE F2 36 A8 DA }
	condition:
		$1
}

rule function_115195_0 {
	meta:
		name = "TXMLAppInfoCollection.Add"
		size = 104
		refs = "000f TXMLAppInfoCollection.Add 0031 @IntfCast 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 83 CA FF 8B C3 8B 18 FF 53 20 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 C8 35 74 FE 6F 80 1F 44 91 95 A2 3F 77 7D 19 54 }
	condition:
		$1
}

rule function_115196_0 {
	meta:
		name = "TXMLAppInfoCollection.GetAppInfo"
		size = 300
		refs = "0020 TXMLAppInfoCollection.GetAppInfo 002d TXMLNodeCollection.GetCount 0043 TXMLAppInfoCollection.GetItem 004f @IntfClear 005a Supports 007c TXMLNode.GetPrefix 008c MakeNodeName 009a TXMLNode.GetNamespaceURI 00a5 TXMLNode.AddChild 00b5 @IntfCast 00d9 @UStrArrayClr 00ef @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 89 4D F8 89 55 FC 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 2E 43 33 F6 8D 4D F4 8B D6 8B C7 E8 ?? ?? ?? ?? 8B 45 F4 50 8B 45 08 E8 ?? ?? ?? ?? 8B C8 8B 55 FC 58 E8 ?? ?? ?? ?? 84 C0 75 61 46 4B 75 D5 83 7D F8 00 74 4F 8B 45 F8 50 6A FF 8D 45 F0 50 8D 55 E8 8B C7 E8 ?? ?? ?? ?? 8B 45 E8 8D 4D EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E4 8B C7 E8 ?? ?? ?? ?? 8B 4D E4 8B C7 5A E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5F 5E 5B 8B E5 5D C2 04 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 61 00 70 00 70 00 69 00 6E 00 66 00 6F 00 00 00 C8 35 74 FE 6F 80 1F 44 91 95 A2 3F 77 7D 19 54 }
	condition:
		$1
}

rule function_115197_0 {
	meta:
		name = "TXMLAppInfoCollection.GetItem"
		size = 164
		refs = "001e TXMLAppInfoCollection.GetItem 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 C8 35 74 FE 6F 80 1F 44 91 95 A2 3F 77 7D 19 54 }
	condition:
		$1
}

rule function_115198_0 {
	meta:
		name = "TXMLAppInfoCollection.Insert"
		size = 116
		refs = "0018 TXMLAppInfoCollection.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 C8 35 74 FE 6F 80 1F 44 91 95 A2 3F 77 7D 19 54 }
	condition:
		$1
}

rule function_115199_0 {
	meta:
		name = "TXMLDocumentationCollection.Add"
		size = 104
		refs = "000f TXMLDocumentationCollection.Add 0031 @IntfCast 0046 @IntfClear 004c @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D FC 83 CA FF 8B C3 8B 18 FF 53 20 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 92 24 56 A1 31 BC 27 47 A6 90 17 63 18 48 C2 AF }
	condition:
		$1
}

rule function_115200_0 {
	meta:
		name = "TXMLDocumentationCollection.GetItem"
		size = 164
		refs = "001e TXMLDocumentationCollection.GetItem 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 92 24 56 A1 31 BC 27 47 A6 90 17 63 18 48 C2 AF }
	condition:
		$1
}

rule function_115201_0 {
	meta:
		name = "TXMLDocumentationCollection.Insert"
		size = 116
		refs = "0018 TXMLDocumentationCollection.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 92 24 56 A1 31 BC 27 47 A6 90 17 63 18 48 C2 AF }
	condition:
		$1
}

rule function_115202_0 {
	meta:
		name = "TXMLEnumerationCollection.Add"
		size = 152
		refs = "001c TXMLEnumerationCollection.Add 003e @IntfCast 0049 @VarFromUStr 006b @VarClr 0073 @IntfClear 0079 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 83 CA FF 8B C3 8B 18 FF 53 20 8B 55 F8 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 8B 55 FC E8 ?? ?? ?? ?? 8D 55 E8 8B 06 8B 08 FF 91 B4 00 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 8B E5 5D C3 00 00 00 14 F4 F0 FB 54 AA DD 4A BD 64 EA 15 D5 AD 38 0E }
	condition:
		$1
}

rule function_115203_0 {
	meta:
		name = "TXMLEnumerationCollection.Insert"
		size = 116
		refs = "0018 TXMLEnumerationCollection.Insert 003a @IntfCast 004f @IntfClear 0055 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 33 DB 89 5D F8 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F8 8B D6 8B C3 8B 18 FF 53 20 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 59 5D C3 00 00 00 14 F4 F0 FB 54 AA DD 4A BD 64 EA 15 D5 AD 38 0E }
	condition:
		$1
}

rule function_115204_0 {
	meta:
		name = "TXMLEnumerationCollection.GetItem"
		size = 164
		refs = "001e TXMLEnumerationCollection.GetItem 003e @OleVarFromInt 005a @IntfCast 006f @VarClr 0077 @IntfClear 0085 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F4 8B C3 8B 08 FF 51 1C 8B 45 F4 50 8D 45 E4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 E4 8D 4D F8 58 8B 18 FF 53 10 8B 55 F8 8B 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 00 00 00 14 F4 F0 FB 54 AA DD 4A BD 64 EA 15 D5 AD 38 0E }
	condition:
		$1
}

rule function_115205_0 {
	meta:
		name = "TXMLSchemaDef.AfterConstruction"
		size = 1400
		refs = "0012 TXMLSchemaDef.AfterConstruction 001d _DV_TXMLSchemaImport 0025 _DV_TXMLSchemaInclude 002d _DV_TXMLAnnotation 0035 _DV_TXMLSimpleTypeDef 003d _DV_TXMLComplexTypeDef 0045 _DV_TXMLElementDef 004d _DV_TXMLElementGroup 0055 _DV_TXMLAttributeDef 005d _DV_TXMLAttributeGroup 0065 _DV_TXMLNotationDef 00cd TXMLNode.RegisterChildNodes 00df _DV_TXMLSchemaIncludes 00e6 TXMLNode.CreateCollection 00ff @IntfCast 0111 _DV_TXMLSchemaImports 0143 _DV_TXMLComplexTypeDefs 0172 _DV_TXMLSimpleTypeDefs 01a1 _DV_TXMLAttributeDefs 01d0 _DV_TXMLAttributeGroups 01ff _DV_TXMLElementDefs 022e _DV_TXMLElementGroups 025d _DV_TXMLAnnotationCollection 0284 TXMLNode.GetNamespaceURI 0291 SameNamespace 029e TInterfacedObject.AfterConstruction 02b3 @UStrClr 02b9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 AC 53 33 D2 89 55 AC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 A1 ?? ?? ?? ?? 89 45 D8 A1 ?? ?? ?? ?? 89 45 DC A1 ?? ?? ?? ?? 89 45 E0 A1 ?? ?? ?? ?? 89 45 E4 A1 ?? ?? ?? ?? 89 45 E8 A1 ?? ?? ?? ?? 89 45 EC A1 ?? ?? ?? ?? 89 45 F0 A1 ?? ?? ?? ?? 89 45 F4 A1 ?? ?? ?? ?? 89 45 F8 A1 ?? ?? ?? ?? 89 45 FC 8D 45 D8 50 6A 09 B8 ?? ?? ?? ?? 89 45 B0 B8 ?? ?? ?? ?? 89 45 B4 B8 ?? ?? ?? ?? 89 45 B8 B8 ?? ?? ?? ?? 89 45 BC B8 ?? ?? ?? ?? 89 45 C0 B8 ?? ?? ?? ?? 89 45 C4 B8 ?? ?? ?? ?? 89 45 C8 B8 ?? ?? ?? ?? 89 45 CC B8 ?? ?? ?? ?? 89 45 D0 B8 ?? ?? ?? ?? 89 45 D4 8D 55 B0 B9 09 00 00 00 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 83 88 00 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 83 84 00 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 60 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 70 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 54 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 58 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 68 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 6C B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 B9 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA F8 8D 43 50 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 AC 8B C3 E8 ?? ?? ?? ?? 8B 45 AC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 88 83 91 00 00 00 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 06 00 00 00 69 00 6D 00 70 00 6F 00 72 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 69 00 6E 00 63 00 6C 00 75 00 64 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 61 00 6E 00 6E 00 6F 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 69 00 6D 00 70 00 6C 00 65 00 54 00 79 00 70 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 6F 00 6D 00 70 00 6C 00 65 00 78 00 54 00 79 00 70 00 65 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 65 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 67 00 72 00 6F 00 75 00 70 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 61 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 61 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 47 00 72 00 6F 00 75 00 70 00 00 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 6E 00 6F 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 64 2E 3A 9C A5 8C 3D 40 B5 57 1E 28 A9 57 07 20 D4 30 9A 7D 7E 00 C1 47 9B C1 AF 8A 19 19 77 7B BA 7A 5D C1 B6 CA 30 42 A7 32 BF C3 C9 5F 7B 1A 26 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD 23 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD 28 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD 22 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD 27 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD 25 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD 31 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD 00 B5 5D 8E C5 63 D4 11 83 DA 00 C0 4F 60 B2 DD 01 B5 5D 8E C5 63 D4 11 83 DA 00 C0 4F 60 B2 DD 24 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD 30 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD 80 70 F2 53 AF 4D D4 11 83 DA 00 C0 4F 60 B2 DD 29 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD 6D 31 A9 F3 F3 4A D7 4C 8C 5B DB FE F2 36 A8 DA E7 4F 41 C6 AD A7 5B 49 93 02 2E 65 53 7F E0 A1 B0 04 02 00 FF FF FF FF 20 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 31 00 39 00 39 00 39 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_115206_0 {
	meta:
		name = "TXMLSchemaDef.LocateAppInfo"
		size = 115
		refs = "001c @DynArrayLength 003b SameNamespace 0057 TAppInfoClassInfo 005c @CopyRecord"
	strings:
		$1 = { 53 56 57 55 83 C4 F4 89 4C 24 04 89 14 24 8B F8 C6 44 24 08 00 8B 87 80 00 00 00 E8 ?? ?? ?? ?? 8B F0 4E 85 F6 7C 3F 46 33 DB 8D 2C 5B 8B 87 80 00 00 00 8B 54 A8 04 8B 04 24 E8 ?? ?? ?? ?? 84 C0 74 1F C6 44 24 08 01 8B 44 24 04 8B 97 80 00 00 00 8D 14 AA 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 04 43 4E 75 C4 0F B6 44 24 08 83 C4 0C 5D 5F 5E 5B C3 }
	condition:
		$1
}

rule function_115207_0 {
	meta:
		name = "TXMLSchemaDef.RegisterAppInfo"
		size = 256
		refs = "001a TAppInfoClassInfo 001f @InitializeRecord 0027 TXMLSchemaDef.RegisterAppInfo 0039 TXMLSchemaDef.LocateAppInfo 0053 @DynArrayLength 006a TAppInfoClassArray 006f @DynArraySetLength 0086 @UStrAsg 00b6 TXMLNode.FindNamespaceDecl 00c8 TXMLNode.DeclareNamespace 00dd @IntfClear 00eb @FinalizeRecord 00f1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 DB 89 5D EC 89 4D F0 8B FA 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B D7 8B C3 E8 ?? ?? ?? ?? 84 C0 74 0B 8B 45 08 89 45 FC E9 80 00 00 00 8B 83 80 00 00 00 E8 ?? ?? ?? ?? 8B F0 8D 46 01 50 8D 83 80 00 00 00 B9 01 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8D 04 76 8B 93 80 00 00 00 8D 44 82 04 8B D7 E8 ?? ?? ?? ?? 8D 04 76 8B 93 80 00 00 00 8D 04 82 8B 55 F0 E8 ?? ?? ?? ?? 8D 04 76 8B 93 80 00 00 00 8B 4D 08 89 4C 82 08 8D 4D EC 8B D7 8B C3 E8 ?? ?? ?? ?? 83 7D EC 00 75 0C 8B CF 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E2 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_115208_0 {
	meta:
		name = "TXMLSchemaDef.FindAppInfoClass"
		size = 106
		refs = "0011 TAppInfoClassInfo 0016 @InitializeRecord 001e TXMLSchemaDef.FindAppInfoClass 0030 TXMLSchemaDef.LocateAppInfo 0056 @FinalizeRecord 005c @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B F2 8B D8 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F4 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 05 8B 5D FC EB 02 33 DB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115209_0 {
	meta:
		name = "TXMLSchemaDef.FindNamespacePrefix"
		size = 220
		refs = "0016 TXMLSchemaDef.FindNamespacePrefix 0023 @UStrClr 002f TXMLNode.FindNamespaceDecl 004d @UStrEqual 00a6 @UStrArrayClr 00ae @IntfClear 00b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 1A 8D 55 F8 8B 45 FC 8B 08 FF 51 34 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 3D 83 7B 78 00 74 37 8D 4D FC 8B D6 8B 43 78 E8 ?? ?? ?? ?? 83 7D FC 00 74 24 8D 55 F4 8B 45 FC 8B 08 FF 51 34 8B 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 0A 8B D7 8B 45 FC 8B 08 FF 51 2C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 78 00 6D 00 6C 00 6E 00 73 00 00 00 }
	condition:
		$1
}

rule function_115213_0 {
	meta:
		name = "TXMLSchemaDef.GetBuiltInTypes"
		size = 408
		refs = "0016 TXMLSchemaDef.GetBuiltInTypes 0036 TXMLNode.GetNamespaceURI 0048 TXMLNode.GetPrefix 0058 MakeNodeName 0067 TXMLDocument.GetDOMDocument 0072 CreateDOMNode 007c _DV_TXMLBuiltInTypes 0081 TXMLNode.Create 00a0 @UStrAsg 00cb @IntfCast 00de TXMLSchemaItems.SetSchemaDef 00e8 @IntfCopy 00fd @UStrClr 0105 @IntfClear 0112 @UStrArrayClr 0120 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 53 56 57 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 5C 00 0F 85 B8 00 00 00 6A 00 8B 43 1C 50 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 45 F8 50 8D 45 FC 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 8D 4D F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8D 55 EC 8B 43 1C E8 ?? ?? ?? ?? 8B 45 EC B1 01 5A E8 ?? ?? ?? ?? 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 56 57 8D 7E 50 BE ?? ?? ?? ?? A5 A5 A5 A5 5F 5E 8D 46 64 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 55 E8 8D 46 60 E8 ?? ?? ?? ?? 8D 43 5C 8B D6 85 D2 74 03 83 EA F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D3 85 D2 74 06 81 EA 6C FF FF FF 8B C6 E8 ?? ?? ?? ?? 8B C7 8B 53 5C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 73 00 63 00 68 00 65 00 6D 00 61 00 54 00 79 00 70 00 65 00 73 00 00 00 22 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 69 00 6D 00 70 00 6C 00 65 00 54 00 79 00 70 00 65 00 00 00 00 00 27 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115219_0 {
	meta:
		name = "TXMLSchemaDef.GetParentSchemaDef"
		size = 48
		refs = "0013 TXMLSchemaDef.GetParentSchemaDef 0018 @IntfCast"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 78 85 D2 74 03 83 EA F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 00 32 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115221_0 {
	meta:
		name = "TXMLSchemaDef.GetParentRefType"
		size = 5
	strings:
		$1 = { 0F B6 40 7C C3 }
	condition:
		$1
}

rule function_115226_0 {
	meta:
		name = "TXMLSchemaDef.GetTargetNamespace"
		size = 408
		refs = "0019 TXMLSchemaDef.GetTargetNamespace 002e TXMLNode.GetAttribute 0054 VarIsNull 0067 VarToStr 007e SameNamespace 0099 SUndefinedTargetNS 009e LoadResString 00a8 @OleVarFromUStr 00b2 TXMLSchemaDef.GetSchemaDoc 00d1 @VarToUStr 00fc SInvalidTargetNS 010f SchemaValidationError 011b @VarCopy 0135 @UStrArrayClr 013d @IntfClear 0145 @UStrClr 015a @VarClr 0160 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 09 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 80 7B 7C 02 0F 85 D9 00 00 00 83 7B 78 00 0F 84 CF 00 00 00 8B D6 8B 43 78 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 84 C0 0F 85 BF 00 00 00 8D 55 EC 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E8 8B C6 E8 ?? ?? ?? ?? 8B 45 E8 5A E8 ?? ?? ?? ?? 84 C0 0F 85 95 00 00 00 8B C6 E8 ?? ?? ?? ?? 84 C0 74 17 8D 55 E4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 E4 8B C6 E8 ?? ?? ?? ?? 8D 55 C4 8B C3 E8 ?? ?? ?? ?? 8B 45 C4 8D 55 C8 8B 08 FF 51 28 8B 45 C8 89 45 CC C6 45 D0 11 8D 45 C0 8B D6 E8 ?? ?? ?? ?? 8B 45 C0 89 45 D4 C6 45 D8 11 8D 45 BC 8D 55 F0 E8 ?? ?? ?? ?? 8B 45 BC 89 45 DC C6 45 E0 11 8D 45 CC 50 8D 55 B8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B8 B9 02 00 00 00 5A E8 ?? ?? ?? ?? EB 0A 8B C6 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 74 00 61 00 72 00 67 00 65 00 74 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 }
	condition:
		$1
}

rule function_115227_0 {
	meta:
		name = "TXMLSchemaDef.SetTargetNamespace"
		size = 164
		refs = "0018 TXMLSchemaDef.SetTargetNamespace 0028 @OleVarFromUStr 0037 TXMLNode.SetAttribute 0044 @UStrAsg 004f TXMLNode.DeclareNamespace 0064 @VarClr 006a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 83 8C 00 00 00 8B D7 E8 ?? ?? ?? ?? 8B CE 8B D7 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 74 00 61 00 72 00 67 00 65 00 74 00 4E 00 61 00 6D 00 65 00 73 00 70 00 61 00 63 00 65 00 00 00 }
	condition:
		$1
}

rule function_115228_0 {
	meta:
		name = "TXMLSchemaDef.GetFormChoice"
		size = 172
		refs = "0017 TXMLSchemaDef.GetFormChoice 0026 TXMLNode.HasAttribute 0036 TXMLNode.GetAttribute 0047 @OleVarFromUStr 0050 @VarCmpEQ 006e OleVariant 0078 @FinalizeArray 007e @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D6 8B C3 E8 ?? ?? ?? ?? 84 C0 74 2C 8D 4D F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E0 58 E8 ?? ?? ?? ?? 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 8B C3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 09 00 00 00 71 00 75 00 61 00 6C 00 69 00 66 00 69 00 65 00 64 00 00 00 }
	condition:
		$1
}

rule function_115229_0 {
	meta:
		name = "TXMLSchemaDef.SetFormChoice"
		size = 100
		refs = "0018 TXMLSchemaDef.SetFormChoice 002b ChoiceTypeMap 0030 @OleVarFromUStr 003c TXMLNode.SetAttribute 0051 @VarClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 8B D9 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 0F B6 D3 8B 14 95 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F0 8B D6 8B C7 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115230_0 {
	meta:
		name = "TXMLSchemaDef.SetParentSchemaDef"
		size = 116
		refs = "000f TXMLSchemaDef.SetParentSchemaDef 0024 @IntfCast 0035 _DV_TXMLSchemaDef 003a @AsClass 0052 @IntfClear 0058 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 D4 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 43 78 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 00 37 90 81 6C 66 AB A8 4A B2 A5 95 8E DA 86 27 B7 }
	condition:
		$1
}

rule function_115231_0 {
	meta:
		name = "TXMLSchemaDef.SetQualifyAnonymousTypeNames"
		size = 7
	strings:
		$1 = { 88 90 92 00 00 00 C3 }
	condition:
		$1
}

rule function_115232_0 {
	meta:
		name = "TXMLSchemaDef.SetParentRefType"
		size = 4
	strings:
		$1 = { 88 50 7C C3 }
	condition:
		$1
}

rule function_115234_0 {
	meta:
		name = "TXMLSchemaDef.SetAttributeformDefault"
		size = 72
		refs = "0003 TXMLSchemaDef.SetAttributeformDefault 0008 TXMLSchemaDef.SetFormChoice"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 14 00 00 00 61 00 74 00 74 00 72 00 69 00 62 00 75 00 74 00 65 00 46 00 6F 00 72 00 6D 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_115236_0 {
	meta:
		name = "TXMLSchemaDef.SetElementformDefault"
		size = 68
		refs = "0003 TXMLSchemaDef.SetElementformDefault 0008 TXMLSchemaDef.SetFormChoice"
	strings:
		$1 = { 8B CA BA ?? ?? ?? ?? E8 ?? ?? ?? ?? C3 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 65 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 46 00 6F 00 72 00 6D 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 00 00 }
	condition:
		$1
}

rule function_115237_0 {
	meta:
		name = "TXMLSchemaDef.GetVersion"
		size = 120
		refs = "0013 TXMLSchemaDef.GetVersion 0028 TXMLNode.GetAttribute 0032 VarToStr 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_115238_0 {
	meta:
		name = "TXMLSchemaDef.SetVersion"
		size = 120
		refs = "0013 TXMLSchemaDef.SetVersion 0023 @OleVarFromUStr 0032 TXMLNode.SetAttribute 0047 @VarClr 004d @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8D 4D F0 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 }
	condition:
		$1
}

rule function_115240_0 {
	meta:
		name = "ExtractFilePathEx"
		size = 90
		refs = "000a @UStrClr 0011 isHTTP 0032 URLSeparator 0040 @UStrCopy 0052 ExtractFilePath"
	strings:
		$1 = { 53 56 57 8B FA 8B F0 8B C7 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 74 34 8B C6 85 C0 74 05 83 E8 04 8B 00 8B D8 85 DB 7E 2C 0F B7 44 5E FE 66 3B 05 ?? ?? ?? ?? 75 0E 57 8B CB 33 D2 8B C6 E8 ?? ?? ?? ?? EB 10 4B 85 DB 7F DF EB 09 8B D7 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_115241_0 {
	meta:
		name = "TXMLSchemaDef.LoadSchemaRef"
		size = 410
		refs = "0021 TXMLSchemaDef.LoadSchemaRef 002f @IntfClear 0051 ExtractFilePathEx 005f TXMLDocument.GetFileName 006a ExpandFileName 0089 isHTTP 009b @UStrCat3 00b1 @UStrLAsg 00cc LoadXMLSchema 011b @DynArrayLength 017b @UStrArrayClr 018e @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D EC 8B DA 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 EC E8 ?? ?? ?? ?? 8D 55 FC 8B C3 8B 08 FF 91 C0 00 00 00 83 7D FC 00 0F 84 13 01 00 00 8D 55 F4 8B 45 FC E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F0 8B 40 1C E8 ?? ?? ?? ?? 8B 45 E0 8D 55 E4 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 46 83 7D F4 00 75 40 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 75 26 8D 45 D8 8B 4D FC 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 D8 8D 55 DC E8 ?? ?? ?? ?? 8B 55 DC 8D 45 FC E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 4D FC 8B 55 F8 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 FC E8 ?? ?? ?? ?? 8B 45 D4 8B 55 EC 8B 08 FF 91 C8 00 00 00 8B 55 F0 85 D2 74 06 81 EA 6C FF FF FF 8B 45 EC 8B 00 8B 08 FF 91 10 01 00 00 8B C3 8B 10 FF 92 C8 00 00 00 8B D0 8B 45 EC 8B 00 8B 08 FF 91 14 01 00 00 8B 45 F0 8B 80 80 00 00 00 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 37 43 C7 45 E8 00 00 00 00 8B 45 E8 8D 04 40 8B 55 F0 8B 92 80 00 00 00 8D 04 82 8B 50 08 52 8B 55 EC 8B 12 8B 08 8B 40 04 92 8B 30 FF 96 2C 01 00 00 FF 45 E8 4B 75 D1 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115242_0 {
	meta:
		name = "TXMLSchemaDef.GetTargetNSPrefix"
		size = 22
		refs = "000f @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 8C 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115243_0 {
	meta:
		name = "TXMLSchemaDef.GetSchemaDoc"
		size = 100
		refs = "000f TXMLSchemaDef.GetSchemaDoc 001f TXMLNode.GetOwnerDocument 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 3C 68 6B 4E F4 15 62 4F 9B 4B DF 31 30 42 0F 62 }
	condition:
		$1
}

rule function_115245_0 {
	meta:
		name = "TXMLSchemaDef.SetDocElementDef"
		size = 19
		refs = "000c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 8D 43 64 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115246_0 {
	meta:
		name = "TXMLSchemaDef.PrefixedTypeName"
		size = 284
		refs = "0021 TXMLSchemaDef.PrefixedTypeName 0031 @UStrAsg 0038 IsPrefixed 004a TXMLNode.GetPrefix 0067 MakeNodeName 0075 TXMLSchemaDef.GetSimpleTypes 00ad TXMLSchemaDef.GetTargetNSPrefix 00e4 @UStrArrayClr 00ec @IntfClear 0109 @UStrClr 010f @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D FC 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 C0 0F 85 8A 00 00 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 53 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 4D F0 8B D6 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 8D 4D F4 5A 8B 38 FF 97 D4 00 00 00 83 7D F4 00 74 19 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 45 E4 8B 4D FC 8B D6 E8 ?? ?? ?? ?? EB 27 8D 55 E0 8B C3 E8 ?? ?? ?? ?? 83 7D E0 00 74 17 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 45 DC 8B 4D FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115247_0 {
	meta:
		name = "TXMLSchemaDoc.AfterConstruction"
		size = 388
		refs = "000b TXMLSchemaDoc.AfterConstruction 0011 _DV_TXMLSchemaDef 001d TXMLDocument.RegisterDocBinding 0052 TXMLDocument.AfterConstruction 0059 TXMLDocument.GetOptions 0068 TXMLDocument.SetOptions"
	strings:
		$1 = { 53 8B D8 C6 83 D9 00 00 00 01 68 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D0 0A 15 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 31 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 23 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 32 00 30 00 30 00 30 00 2F 00 31 00 30 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 31 00 39 00 39 00 39 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 02 00 00 00 }
	condition:
		$1
}

rule function_115248_0 {
	meta:
		name = "TXMLSchemaDoc.CheckSchemaVersion"
		size = 136
		refs = "000e TXMLSchemaDoc.CheckSchemaVersion 001e TXMLDocument.GetDocumentElement 002b Supports 0037 SInvalidSchema 003c LoadResString 004a SchemaParseError 005f @UStrClr 0067 @IntfClear 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 75 1B 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 8D 55 F8 83 C9 FF E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 32 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115249_0 {
	meta:
		name = "TXMLSchemaDoc.DoAfterOpen"
		size = 23
		refs = "0006 TXMLDocument.IsEmptyDoc"
	strings:
		$1 = { 53 8B D8 8B C3 E8 ?? ?? ?? ?? 84 C0 75 07 8B C3 8B 10 FF 52 4C 5B C3 }
	condition:
		$1
}

rule function_115250_0 {
	meta:
		name = "TXMLSchemaDoc.PrepareNewSchema"
		size = 192
		refs = "000e TXMLSchemaDoc.PrepareNewSchema 0020 TXMLDocument.SetVersion 0025 XMLSchemaURI 003c MakeNodeName 0045 _DV_TXMLSchemaDef 004c TXMLDocument.GetDocBinding 0061 @UStrClr 0069 @IntfClear 006f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8D 45 FC 50 8D 4D F8 BA ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B 0D ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 59 59 5D C3 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 31 00 2E 00 30 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 78 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_115251_0 {
	meta:
		name = "TXMLSchemaDoc.LoadData"
		size = 217
		refs = "0012 TXMLSchemaDoc.LoadData 0029 TXMLDocument.GetFileName 004d FindSchemaImporter 0064 TXMLSchemaDoc.GetSchemaDef 0095 TXMLDocument.LoadData 00aa @UStrClr 00b2 @IntfClear 00bf @UStrArrayClr 00cd @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 83 D8 00 00 00 00 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 56 80 BB D9 00 00 00 00 74 4D 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 45 F4 8D 55 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 32 8B C3 8B 10 FF 52 50 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 8B 45 F0 50 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B 45 FC 59 8B 30 FF 56 0C C6 83 D8 00 00 00 01 80 BB D8 00 00 00 00 75 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115252_0 {
	meta:
		name = "TXMLSchemaDoc.SaveToFile"
		size = 139
		refs = "0011 TXMLSchemaDoc.SaveToFile 002a FindSchemaExporter 0034 @IntfClear 0044 TXMLSchemaDoc.GetSchemaDef 005c TXMLDocument.SaveToFile 007f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 80 BB D9 00 00 00 00 74 0C 8D 55 FC 8B C6 E8 ?? ?? ?? ?? EB 08 8D 45 FC E8 ?? ?? ?? ?? 83 7D FC 00 74 19 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 8B 4D F8 8B D6 8B 45 FC 8B 18 FF 53 0C EB 09 8B D6 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_115253_0 {
	meta:
		name = "TXMLSchemaDoc.GetSchemaDef"
		size = 100
		refs = "000f TXMLSchemaDoc.GetSchemaDef 001f TXMLDocument.GetDocumentElement 002e @IntfCast 0043 @IntfClear 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 32 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115254_0 {
	meta:
		name = "TXMLSchemaDoc.GetWasImported"
		size = 8
	strings:
		$1 = { 0F B6 80 D8 00 00 00 C3 }
	condition:
		$1
}

rule function_115255_0 {
	meta:
		name = "TXMLSchemaTranslator.Translate"
		size = 33
		refs = "000f @IntfCopy 0019 @UStrAsg"
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8D 43 10 8B D7 E8 ?? ?? ?? ?? 8D 43 0C 8B D6 E8 ?? ?? ?? ?? 5F 5E 5B C3 }
	condition:
		$1
}

rule function_115256_0 {
	meta:
		name = "TXMLSchemaTranslatorFactory.CanExportFile"
		size = 100
		refs = "000f TXMLSchemaTranslatorFactory.CanExportFile 0025 ExtractFileExt 0030 AnsiCompareText 0051 @UStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 14 00 74 19 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 10 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115257_0 {
	meta:
		name = "TXMLSchemaTranslatorFactory.CanImportFile"
		size = 100
		refs = "000f TXMLSchemaTranslatorFactory.CanImportFile 0025 ExtractFileExt 0030 AnsiCompareText 0051 @UStrClr 0057 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 18 00 74 19 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 53 10 E8 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 02 B0 01 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C3 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115258_0 {
	meta:
		name = "TXMLSchemaTranslatorFactory.Create"
		size = 94
		refs = "000e @ClassCreate 001d TObject.Create 0031 @UStrAsg 0047 @AfterConstruction"
	strings:
		$1 = { 55 8B EC 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 33 D2 8B C7 E8 ?? ?? ?? ?? 89 77 18 8B 45 10 89 47 14 8D 47 10 8B 55 0C E8 ?? ?? ?? ?? 8D 47 0C 8B 55 08 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule function_115259_0 {
	meta:
		name = "TXMLSchemaTranslatorFactory.GetExportTranslator"
		size = 35
		refs = "000c TObject.Create 001c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 8B 43 14 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115260_0 {
	meta:
		name = "TXMLSchemaTranslatorFactory.GetImportTranslator"
		size = 35
		refs = "000c TObject.Create 001c @IntfCopy"
	strings:
		$1 = { 53 56 8B F2 8B D8 B2 01 8B 43 18 E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115262_0 {
	meta:
		name = "Finalization"
		size = 173
		refs = "0007 Finalization 0013 _DV_15 001a TranslatorList 001f @IntfClear 0024 XMLSchemaURI 0029 @UStrClr 002e CompositorNames 0039 string 003e @FinalizeArray 0043 BaseTypeIndMap 0058 ExtRestTypeMap 0082 ChoiceTypeMap 00a5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 7D B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 05 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 03 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 02 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_115264_0 {
	meta:
		name = "TXMLSchema1999TranslatorFactory.CanImportFile"
		size = 284
		refs = "0012 TXMLSchema1999TranslatorFactory.CanImportFile 001f TXMLSchemaTranslatorFactory.CanImportFile 003d LoadXMLDocument 0085 @HandleAnyException 008c @DoneExcept 00a2 IXMLNode 00ac @FinalizeArray 00b4 @IntfClear 00ba @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F2 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B D6 E8 ?? ?? ?? ?? 8B D8 84 DB 74 67 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 8B 45 FC 8B 10 FF 92 90 00 00 00 84 C0 75 24 8D 55 F4 8B 45 FC 8B 08 FF 51 18 8B 45 F4 8D 4D F8 BA ?? ?? ?? ?? 8B 18 FF 93 80 00 00 00 83 7D F8 00 75 04 33 DB EB 02 B3 01 33 C0 5A 59 59 64 89 10 EB 0C E9 ?? ?? ?? ?? 33 DB E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 8B C3 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 31 00 39 00 39 00 39 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_115265_0 {
	meta:
		name = "TXMLSchema1999Translator.CopyAttrNodes"
		size = 596
		refs = "0020 TXMLSchema1999Translator.CopyAttrNodes 0061 @OleVarFromInt 0085 @UStrEqual 010d @VarToUStr 0118 ExtractPrefix 014b ExtractLocalName 0157 MakeNodeName 0162 @OleVarFromUStr 0196 @UStrArrayClr 019e @VarClr 01bb @IntfClear 01d4 IXMLNode 01de @FinalizeArray 0211 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0F 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F4 8B DA 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 EC 8B C3 8B 08 FF 51 10 8B 45 EC 8B 10 FF 52 0C 48 85 C0 0F 8C 3B 01 00 00 40 89 45 F0 33 F6 8D 55 E4 8B C3 8B 08 FF 51 10 8B 45 E4 50 8D 45 D4 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 D4 8D 4D E8 58 8B 38 FF 57 10 8B 45 E8 8D 55 F8 8B 08 FF 51 34 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 5D 8B 55 F8 8B 45 F4 8B 08 FF 91 88 00 00 00 84 C0 75 4B 8D 55 C8 8B C3 8B 08 FF 51 10 8B 45 C8 50 8D 45 B8 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 B8 8D 4D CC 58 8B 38 FF 57 10 8B 45 CC 8D 4D D0 B2 01 8B 38 FF 57 74 8B 45 D0 50 8D 55 B4 8B 45 F4 8B 08 FF 51 10 8B 45 B4 5A 8B 08 FF 51 18 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 7F 8D 4D A4 BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 0C 8D 55 A4 8D 45 FC E8 ?? ?? ?? ?? 8D 55 A0 8B 45 FC E8 ?? ?? ?? ?? 8B 45 A0 50 8D 55 9C 8B C3 8B 08 FF 51 48 8B 55 9C 58 E8 ?? ?? ?? ?? 75 41 8D 55 84 8B 45 F4 8B 08 FF 51 48 8B 45 84 50 8D 55 80 8B 45 FC E8 ?? ?? ?? ?? 8B 55 80 8D 4D 88 58 E8 ?? ?? ?? ?? 8B 55 88 8D 45 8C E8 ?? ?? ?? ?? 8D 4D 8C BA ?? ?? ?? ?? 8B 45 F4 8B 38 FF 57 58 46 FF 4D F0 0F 85 CB FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 80 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 9C BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 73 FF FF FF 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 61 00 73 00 65 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 74 00 79 00 70 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_115266_0 {
	meta:
		name = "TXMLSchema1999Translator.CopyChildNodes"
		size = 484
		refs = "0024 TXMLSchema1999Translator.CopyChildNodes 0066 @OleVarFromInt 007a @IntfClear 0089 Supports 009b TXMLSchema1999Translator.CopyComplexType 00c9 TXMLSchema1999Translator.CopySimpleType 0102 TXMLSchema1999Translator.CopyAttrNodes 0170 @UStrClr 0178 @VarClr 0181 IXMLNodeList 018b @FinalizeArray 01a4 IXMLNode 01b4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 07 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E4 89 55 E8 89 45 EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 E0 8B 45 E8 8B 08 FF 51 14 8B 45 E0 8B 10 FF 52 0C 8B D8 4B 85 DB 0F 8C 03 01 00 00 43 33 F6 8D 55 DC 8B 45 E8 8B 08 FF 51 14 8B 45 DC 50 8D 45 CC 8B D6 B1 FC E8 ?? ?? ?? ?? 8D 55 CC 8D 4D F8 58 8B 38 FF 57 10 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 13 8B 4D E4 8B 55 F4 8B 45 EC E8 ?? ?? ?? ?? E9 A3 00 00 00 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 10 8B 4D E4 8B 55 F0 8B 45 EC E8 ?? ?? ?? ?? EB 78 8B 45 F8 8B 10 FF 52 38 3C 01 75 2D 8D 45 FC 50 8D 55 C8 8B 45 F8 8B 08 FF 51 2C 8B 55 C8 83 C9 FF 8B 45 E4 8B 38 FF 57 6C 8B 4D FC 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? EB 25 8D 4D C4 33 D2 8B 45 F8 8B 38 FF 57 74 8B 45 C4 50 8D 55 C0 8B 45 E4 8B 08 FF 51 14 8B 45 C0 5A 8B 08 FF 51 18 8B 45 F8 8B 10 FF 52 24 84 C0 74 0E 8B 4D FC 8B 55 F8 8B 45 EC E8 ?? ?? ?? ?? 46 4B 0F 85 00 FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A2 5F 5E 5B 8B E5 5D C3 00 00 00 23 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD 22 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115267_0 {
	meta:
		name = "TXMLSchema1999Translator.CopyComplexType"
		size = 1280
		refs = "0021 TXMLSchema1999Translator.CopyComplexType 004a @IntfCast 016a @OleVarFromInt 017e @IntfClear 018d Supports 024e ExtractLocalName 033d TXMLSchema1999Translator.CopyAttrNodes 0357 TXMLSchema1999Translator.CopyChildNodes 0379 @UStrClr 03a4 @UStrArrayClr 03d9 @VarClr 03e2 IXMLNodeList 03ec @FinalizeArray 040d IXMLElementCompositors 0458 IXMLNode 0468 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 11 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B D9 8B F2 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 DC 50 83 C9 FF BA ?? ?? ?? ?? 8B C3 8B 18 FF 53 6C 8B 55 DC 8D 45 EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? B3 02 8D 55 D8 8B C6 8B 08 FF 91 78 01 00 00 8B 45 D8 8B 10 FF 92 AC 00 00 00 48 75 38 8D 55 D0 8B C6 8B 08 FF 91 78 01 00 00 8B 45 D0 8D 4D D4 33 D2 8B 38 FF 97 CC 00 00 00 8B 45 D4 8B 10 FF 92 C4 00 00 00 2C 01 72 04 74 06 EB 5D 33 DB EB 59 B3 01 EB 55 8D 55 CC 8B C6 8B 08 FF 91 78 01 00 00 8B 45 CC 8B 10 FF 92 AC 00 00 00 85 C0 75 39 8D 55 C8 8B C6 8B 08 FF 91 88 01 00 00 8B 45 C8 8B 10 FF 92 AC 00 00 00 85 C0 75 1D 8D 55 C4 8B C6 8B 08 FF 91 8C 01 00 00 8B 45 C4 8B 10 FF 92 AC 00 00 00 48 75 02 B3 03 8B D3 8B 45 EC 8B 08 FF 91 98 01 00 00 8B C6 8B 10 FF 92 58 01 00 00 84 C0 75 1B 8D 55 C0 8B C6 8B 08 FF 91 C0 00 00 00 8B 55 C0 8B 45 EC 8B 08 FF 91 C4 00 00 00 8D 55 BC 8B C6 8B 08 FF 51 14 8B 45 BC 8B 10 FF 52 0C 8B D8 4B 85 DB 0F 8C 1A 02 00 00 43 C7 45 E0 00 00 00 00 8D 55 B8 8B C6 8B 08 FF 51 14 8B 45 B8 50 8D 45 A8 8B 55 E0 B1 FC E8 ?? ?? ?? ?? 8D 55 A8 8D 4D F8 58 8B 38 FF 57 10 8D 45 F0 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 0F 84 EF 00 00 00 8D 55 A4 8B 45 F0 8B 08 FF 91 D0 00 00 00 83 7D A4 00 74 34 8D 55 A0 8B 45 F0 8B 08 FF 91 D0 00 00 00 8B 45 A0 50 8D 55 9C 8B 45 EC 8B 08 FF 91 88 01 00 00 8B 45 9C 8D 4D FC 5A 8B 38 FF 97 D0 00 00 00 E9 52 01 00 00 8D 55 98 8B 45 F0 8B 08 FF 91 DC 00 00 00 8B 45 98 8B 10 FF 92 58 01 00 00 84 C0 74 37 8D 45 FC 50 8D 55 94 8B 45 F0 8B 08 FF 91 C0 00 00 00 8B 45 94 50 8D 55 90 8B 45 EC 8B 08 FF 91 88 01 00 00 8B 45 90 33 C9 5A 8B 38 FF 97 D4 00 00 00 E9 FE 00 00 00 8D 45 FC 50 8D 55 88 8B 45 F0 8B 08 FF 91 E0 00 00 00 8B 45 88 8D 55 8C E8 ?? ?? ?? ?? 8B 45 8C 50 8D 55 84 8B 45 F0 8B 08 FF 91 C0 00 00 00 8B 45 84 50 8D 55 80 8B 45 EC 8B 08 FF 91 88 01 00 00 8B 45 80 5A 59 8B 38 FF 97 D4 00 00 00 E9 AB 00 00 00 8D 45 F4 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 3D 8D 95 7C FF FF FF 8B 45 F4 8B 08 FF 91 D0 00 00 00 8B 85 7C FF FF FF 50 8D 95 78 FF FF FF 8B 45 EC 8B 08 FF 91 8C 01 00 00 8B 85 78 FF FF FF 8D 4D FC 5A 8B 38 FF 97 D0 00 00 00 EB 53 8D 45 E8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 84 C0 74 15 8D 45 FC 50 33 C9 BA ?? ?? ?? ?? 8B 45 EC 8B 38 FF 57 6C EB 23 8D 45 FC 50 8D 95 74 FF FF FF 8B 45 F8 8B 08 FF 51 2C 8B 95 74 FF FF FF 83 C9 FF 8B 45 EC 8B 38 FF 57 6C 8B 4D FC 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? 8B 45 F8 8B 10 FF 52 24 84 C0 74 0E 8B 4D FC 8B 55 F8 8B 45 E4 E8 ?? ?? ?? ?? FF 45 E0 4B 0F 85 EE FD FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 8D 45 80 E8 ?? ?? ?? ?? 8D 45 84 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 01 FF FF FF 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 6F 00 6D 00 70 00 6C 00 65 00 78 00 54 00 79 00 70 00 65 00 00 00 23 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD 24 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD 80 70 F2 53 AF 4D D4 11 83 DA 00 C0 4F 60 B2 DD 6D 31 A9 F3 F3 4A D7 4C 8C 5B DB FE F2 36 A8 DA B0 04 02 00 FF FF FF FF 0A 00 00 00 61 00 6E 00 6E 00 6F 00 74 00 61 00 74 00 69 00 6F 00 6E 00 00 00 00 00 }
	condition:
		$1
}

rule function_115268_0 {
	meta:
		name = "TXMLSchema1999Translator.CopySimpleType"
		size = 356
		refs = "0021 TXMLSchema1999Translator.CopySimpleType 004b @IntfCast 0065 @VarToUStr 0070 ExtractLocalName 00c1 TXMLSchema1999Translator.CopyChildNodes 00d6 @IntfClear 00de @UStrClr 00e6 @VarClr 00f3 @UStrArrayClr 0109 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 50 83 C9 FF BA ?? ?? ?? ?? 8B 45 F8 8B 38 FF 57 6C 8B 55 F4 8D 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D DC BA ?? ?? ?? ?? 8B C3 8B 38 FF 57 0C 8D 55 DC 8D 45 EC E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 FC 8B 08 FF 91 18 01 00 00 8B C3 8B 10 FF 92 58 01 00 00 84 C0 75 1B 8D 55 D8 8B C3 8B 08 FF 91 C0 00 00 00 8B 55 D8 8B 45 FC 8B 08 FF 91 C4 00 00 00 8D 55 D4 8B 45 FC 8B 08 FF 91 70 01 00 00 8B 4D D4 8B D3 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 EC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 73 00 69 00 6D 00 70 00 6C 00 65 00 54 00 79 00 70 00 65 00 00 00 00 00 22 C1 DF 7E 43 4C D4 11 83 DA 00 C0 4F 60 B2 DD B0 04 02 00 FF FF FF FF 04 00 00 00 62 00 61 00 73 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_115269_0 {
	meta:
		name = "TXMLSchema1999Translator.Translate"
		size = 156
		refs = "0014 TXMLSchema1999Translator.Translate 0025 TXMLSchemaTranslator.Translate 002e _DV_TXMLSchemaDoc99 0033 TXMLDocument.Create 0047 @IntfCopy 006c TXMLSchema1999Translator.CopyChildNodes 0081 @IntfClear 008f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B CF 8B D6 8B C3 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 24 FF FF FF 8D 45 FC E8 ?? ?? ?? ?? 8D 55 F8 8B 45 FC 8B 08 FF 91 C8 00 00 00 8B 55 F8 8D 43 18 E8 ?? ?? ?? ?? 8B CF 8B 53 18 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5F 5E 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_115270_0 {
	meta:
		name = "TXMLComplexTypeDef99.AfterConstruction"
		size = 200
		refs = "0009 TXMLComplexTypeDef.AfterConstruction 001c TXMLComplexTypeDef99.AfterConstruction 0039 TXMLNode.RegisterChildNodes 0041 _Dn_TXMLElementDef 004d TXMLNode.RegisterChildNode"
	strings:
		$1 = { 53 83 C4 F0 8B D8 8B C3 E8 ?? ?? ?? ?? 33 C0 89 04 24 33 C0 89 44 24 04 54 6A 01 B8 ?? ?? ?? ?? 89 44 24 10 B8 ?? ?? ?? ?? 89 44 24 14 8D 54 24 10 B9 01 00 00 00 8B C3 E8 ?? ?? ?? ?? 6A 00 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 83 C4 10 5B C3 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 63 00 6F 00 6D 00 70 00 6C 00 65 00 78 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 73 00 69 00 6D 00 70 00 6C 00 65 00 43 00 6F 00 6E 00 74 00 65 00 6E 00 74 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 65 00 6C 00 65 00 6D 00 65 00 6E 00 74 00 00 00 }
	condition:
		$1
}

rule function_115273_0 {
	meta:
		name = "TXMLSchemaDoc99.GetChildNodeClass"
		size = 152
		refs = "0004 TXMLSchemaDoc99.GetChildNodeClass 0010 NodeMatches 0019 _DV_TXMLComplexTypeDef99"
	strings:
		$1 = { 53 8B DA B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 74 07 A1 ?? ?? ?? ?? 5B C3 33 C0 5B C3 00 B0 04 02 00 FF FF FF FF 20 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 31 00 39 00 39 00 39 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 63 00 6F 00 6D 00 70 00 6C 00 65 00 78 00 54 00 79 00 70 00 65 00 00 00 }
	condition:
		$1
}

rule function_115274_0 {
	meta:
		name = "TXMLSchemaDoc99.LoadData"
		size = 152
		refs = "000d TXMLSchemaDoc.LoadData 0012 TXMLSchemaDoc99.LoadData 0018 _Dn_TXMLSchemaDef 0024 TXMLDocument.RegisterDocBinding"
	strings:
		$1 = { 53 8B D8 C6 83 D9 00 00 00 00 8B C3 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 00 00 B0 04 02 00 FF FF FF FF 20 00 00 00 68 00 74 00 74 00 70 00 3A 00 2F 00 2F 00 77 00 77 00 77 00 2E 00 77 00 33 00 2E 00 6F 00 72 00 67 00 2F 00 31 00 39 00 39 00 39 00 2F 00 58 00 4D 00 4C 00 53 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 73 00 63 00 68 00 65 00 6D 00 61 00 00 00 00 00 }
	condition:
		$1
}

rule function_115276_0 {
	meta:
		name = "Xml.XMLSchema99"
		size = 156
		refs = "0009 Xml.XMLSchema99 0015 _DV_5 0027 S99TransDesc 002c LoadResString 0036 _DV_TXMLSchema1999Translator 003d _DV_TXMLSchema1999TranslatorFactory 0042 TXMLSchemaTranslatorFactory.Create 0050 TranslatorFactory 0055 @IntfCopy 005f RegisterSchemaTranslator 0074 @UStrClr 007a @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 2D ?? ?? ?? ?? 01 73 47 6A 00 68 ?? ?? ?? ?? 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 50 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 59 5D C3 00 B0 04 02 00 FF FF FF FF 04 00 00 00 2E 00 78 00 73 00 64 00 00 00 00 00 }
	condition:
		$1
}

rule function_115277_0 {
	meta:
		name = "Finalization"
		size = 90
		refs = "0007 Finalization 0013 _DV_3 001a BuiltInTypeNames 0025 string 002a @FinalizeArray 002f LegacyTypeNames 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 FF 05 ?? ?? ?? ?? 75 2A B8 ?? ?? ?? ?? B9 2E 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? B9 0B 00 00 00 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5D C3 }
	condition:
		$1
}

rule function_115280_0 {
	meta:
		name = "StringToVariantArray"
		size = 95
		refs = "0011 StringToVariantArray 0026 @LStrFromUStr 0046 @LStrClr 004e @VarClr 0054 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 8B D3 B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115295_0 {
	meta:
		name = "TXMLBroker.SetRemoteServer"
		size = 69
		refs = "0010 TXMLBroker.SetAppServer 001b TXMLBroker.CheckInactive 0024 TComponent.FreeNotification 0030 TXMLBroker.SendConnectEvent"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B 73 44 74 37 33 D2 8B C3 E8 ?? ?? ?? ?? 85 F6 74 1E 8B C3 E8 ?? ?? ?? ?? 8B D3 8B C6 E8 ?? ?? ?? ?? 89 73 44 B2 01 8B C3 E8 ?? ?? ?? ?? EB 0C 89 73 44 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115296_0 {
	meta:
		name = "TXMLBroker.Create"
		size = 119
		refs = "000a @ClassCreate 0017 TComponent.Create 0020 _Dn_TWebDispatch 0025 TWebDispatch.Create 0031 _DV_TXMLParams 0036 TParams.Create 004e _Dn_TList 0053 TObject.Create 0064 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 38 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 48 C7 46 4C FF FF FF FF C7 46 70 FF FF FF FF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 86 90 00 00 00 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 }
	condition:
		$1
}

rule function_115297_0 {
	meta:
		name = "TXMLBroker.Destroy"
		size = 81
		refs = "0003 @BeforeDestruction 0012 TComponent.Destroy 001a TObject.Free 0023 TXMLBroker.SetRemoteServer 002c TXMLBroker.SetAppServer 004a @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 38 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 48 E8 ?? ?? ?? ?? 8B 86 90 00 00 00 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115298_0 {
	meta:
		name = "TXMLBroker.CheckInactive"
		size = 132
		refs = "000c TXMLBroker.CheckInactive 0019 TXMLBroker.GetConnected 003d TXMLBroker.SetConnected 0047 SDataSetOpen 004c LoadResString 0056 DatabaseError 006b @UStrClr 0071 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 84 C0 74 39 0F B7 43 1C 66 23 05 ?? ?? ?? ?? 0F B7 15 ?? ?? ?? ?? 66 3B D0 74 0B 33 D2 8B C3 E8 ?? ?? ?? ?? EB 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 00 50 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_115299_0 {
	meta:
		name = "TXMLBroker.GetAppServer"
		size = 238
		refs = "0010 TXMLBroker.GetAppServer 001d @IntfClear 0024 TXMLBroker.GetHasAppServer 004d TComponent.FindComponent 005b _Dn_TCustomProvider 0060 @IsClass 006d _DV_TLocalAppServer 0072 TLocalAppServer.Create 0083 @IntfCopy 0096 SNoDataProvider 009b LoadResString 00a5 DatabaseError 00dc @UStrClr 00e2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 7D 83 7B 40 00 74 55 8B 43 44 85 C0 74 09 B2 01 8B 08 FF 51 58 EB 45 8B 43 04 85 C0 74 3E 8B 53 40 E8 ?? ?? ?? ?? 8B F8 85 FF 74 30 8B C7 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1F 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8D 43 3C E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 75 17 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B D3 E8 ?? ?? ?? ?? 83 7B 3C 00 74 0C 8B C6 8B 53 3C E8 ?? ?? ?? ?? EB 10 8B 7B 44 85 FF 74 09 8B D6 8B C7 8B 08 FF 51 68 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115300_0 {
	meta:
		name = "TXMLBroker.GetHasAppServer"
		size = 38
	strings:
		$1 = { 53 56 8B D8 83 7B 3C 00 75 17 8B 73 44 85 F6 74 0B 8B C6 8B 10 FF 52 48 84 C0 75 05 33 C0 5E 5B C3 B0 01 5E 5B C3 }
	condition:
		$1
}

rule function_115301_0 {
	meta:
		name = "TXMLBroker.SetAppServer"
		size = 90
		refs = "000e @IntfAddRef 0016 TXMLBroker.SetAppServer 0027 @IntfCopy 0035 TXMLBroker.SendConnectEvent 004a @IntfClear 0050 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 3C 8B 55 FC E8 ?? ?? ?? ?? 83 7B 3C 00 0F 95 C2 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_115302_0 {
	meta:
		name = "TXMLBroker.SetProvider"
		size = 56
		refs = "000a _Dn_TCustomProvider 000f @IsClass 001c _DV_TLocalAppServer 0021 TLocalAppServer.Create 0031 TXMLBroker.SetAppServer"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 1E 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA EC 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115303_0 {
	meta:
		name = "TXMLBroker.SetProviderName"
		size = 72
		refs = "000c @UStrEqual 0019 TXMLBroker.CheckInactive 0023 @UStrAsg 002c TXMLBroker.SendConnectEvent"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 40 E8 ?? ?? ?? ?? 74 33 85 F6 74 1C 8B C3 E8 ?? ?? ?? ?? 8D 43 40 8B D6 E8 ?? ?? ?? ?? B2 01 8B C3 E8 ?? ?? ?? ?? EB 13 8D 43 40 8B D6 E8 ?? ?? ?? ?? 33 D2 8B C3 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115304_0 {
	meta:
		name = "TXMLBroker.AS_GetRecords"
		size = 186
		refs = "0025 @VarAddRef 002d TXMLBroker.AS_GetRecords 003b @VarClr 0059 @WStrFromUStr 0067 TXMLBroker.GetAppServer 0075 @CheckAutoResult 0080 UnpackParams 0095 @IntfClear 009d @WStrClr 00ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 DB 89 5D EC 89 5D E8 8B 75 10 8D 7D F0 A5 A5 A5 A5 8B F9 8B F2 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 50 8B 45 0C 50 8D 45 F0 50 8B 45 14 50 8B 45 18 50 57 56 8D 45 EC 8B 53 40 E8 ?? ?? ?? ?? 8B 45 EC 50 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 45 F0 8B 53 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule function_115305_0 {
	meta:
		name = "FormatXML"
		size = 220
		refs = "0019 FormatXML 0028 @UStrAsg 002f @UStrToPWChar 004a StrPos 0071 @UStrDelete 0086 TrimRight 009a @UStrCatN 00af @UStrClr 00b5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F1 88 55 FF 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B D7 E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B D8 66 83 3B 3C 75 3A 66 83 7B 02 3F 75 33 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 8B D8 85 DB 74 21 8B C7 E8 ?? ?? ?? ?? 8B CB 2B C8 D1 F9 79 03 83 D1 00 83 C1 02 8B C6 BA 01 00 00 00 E8 ?? ?? ?? ?? F6 45 FF 01 74 23 68 ?? ?? ?? ?? 8D 55 F8 8B 06 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C6 BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 59 5D C3 00 00 3F 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 27 00 00 00 }
	condition:
		$1
}

rule function_115306_0 {
	meta:
		name = "TXMLBroker.GetXMLRecords"
		size = 192
		refs = "0022 TXMLBroker.GetXMLRecords 004b PackageParams 0063 TXMLBroker.AS_GetRecords 006e VariantArrayToString 007d FormatXML 0092 @UStrClr 009a @VarClr 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D EC 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 1D ?? ?? ?? ?? 33 C0 89 06 0F B6 C3 50 6A 00 8D 4D DC 0F B6 15 ?? ?? ?? ?? 8B 47 48 E8 ?? ?? ?? ?? 8D 45 DC 50 8B 45 EC 50 8D 45 F0 50 8B CE 8B 57 4C 8B C7 E8 ?? ?? ?? ?? 8D 55 D8 8D 45 F0 E8 ?? ?? ?? ?? 8B 45 D8 8B 4D 08 0F B6 55 0C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C2 08 00 00 07 00 00 00 1F 00 00 00 }
	condition:
		$1
}

rule function_115307_0 {
	meta:
		name = "TXMLBroker.RequestRecords"
		size = 83
		refs = "0014 @UStrClr 0047 TXMLBroker.GetXMLRecords"
	strings:
		$1 = { 55 8B EC 51 53 56 57 89 4D FC 8B FA 8B D8 8B 75 08 8B C6 E8 ?? ?? ?? ?? 66 83 7B 52 00 74 14 8B 45 14 50 8B 45 10 50 56 8B 4D FC 8B D7 8B 43 54 FF 53 50 83 3E 00 75 13 0F B6 45 0C 50 56 8B 4D 10 8B 55 14 8B C3 E8 ?? ?? ?? ?? 5F 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_115309_0 {
	meta:
		name = "TXMLBroker.ApplyXMLUpdates"
		size = 272
		refs = "0020 TXMLBroker.ApplyXMLUpdates 0035 @UStrCat3 0040 StringToVariantArray 005c TXMLBroker.AS_ApplyUpdates 006c VariantArrayToString 0076 @UStrClr 0094 OleVariant 009e @FinalizeArray 00a4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 DC 8B CF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 8D 55 F0 E8 ?? ?? ?? ?? 85 FF 75 06 33 C0 89 06 EB 12 56 8D 45 E0 50 8B 4B 70 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 83 3E 00 7E 0D 8B 55 08 8D 45 E0 E8 ?? ?? ?? ?? EB 08 8B 45 08 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 26 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 73 00 74 00 61 00 6E 00 64 00 61 00 6C 00 6F 00 6E 00 65 00 3D 00 22 00 79 00 65 00 73 00 22 00 3F 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_115310_0 {
	meta:
		name = "TXMLBroker.AS_ApplyUpdates"
		size = 192
		refs = "0028 @VarAddRef 0030 TXMLBroker.AS_ApplyUpdates 003e @VarClr 005f @WStrFromUStr 006d TXMLBroker.GetAppServer 007b @CheckAutoResult 0090 @IntfClear 0098 @WStrClr 00a1 OleVariant 00ab @FinalizeArray 00b1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F2 8D 7D F0 A5 A5 A5 A5 8B F1 8B D8 8D 45 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 50 8D 45 E0 50 8B 45 0C 50 56 FF 75 FC FF 75 F8 FF 75 F4 FF 75 F0 8D 45 DC 8B 53 40 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_115312_0 {
	meta:
		name = "TXMLBroker.SetConnected"
		size = 109
		refs = "000f TXMLBroker.SetConnected 001c TXMLBroker.GetHasAppServer 002e TXMLBroker.GetAppServer 0039 TXMLBroker.SetAppServer 005c @IntfClear 0062 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 3A D8 74 27 84 DB 74 0C 8D 55 FC 8B C6 E8 ?? ?? ?? ?? EB 17 33 D2 8B C6 E8 ?? ?? ?? ?? 8B 46 44 85 C0 74 07 33 D2 8B 08 FF 51 58 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115313_0 {
	meta:
		name = "TXMLBroker.DispatchEnabled"
		size = 8
	strings:
		$1 = { 8B 40 38 0F B6 40 09 C3 }
	condition:
		$1
}

rule function_115315_0 {
	meta:
		name = "TXMLBroker.DispatchMethodType"
		size = 8
	strings:
		$1 = { 8B 40 38 0F B6 40 08 C3 }
	condition:
		$1
}

rule function_115316_0 {
	meta:
		name = "TXMLBroker.DispatchRequest"
		size = 108
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 8B F1 89 55 FC 8B D8 C6 45 FB 00 66 83 7B 5A 00 74 12 8B 45 08 50 8D 45 FB 50 8B CE 8B D3 8B 43 5C FF 53 58 80 7D FB 00 75 13 8B 45 08 50 8B CE 8B 55 FC 8B C3 8B 38 FF 57 44 88 45 FB 66 83 7B 62 00 74 12 8B 45 08 50 8D 45 FB 50 8B CE 8B D3 8B 43 64 FF 53 60 0F B6 45 FB 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_115317_0 {
	meta:
		name = "TXMLBroker.RequestUpdate"
		size = 205
		refs = "001b TXMLBroker.RequestUpdate 0051 TXMLBroker.GetDelta 0068 TXMLBroker.ApplyXMLUpdates 0087 TXMLBroker.GetErrorResponse 0098 TXMLBroker.GetResponse 00b5 @UStrArrayClr 00bb @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 33 DB 89 5D FC 89 5D F8 8B F1 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 66 83 7B 6A 00 74 13 8B 45 08 50 8D 45 F3 50 8B CE 8B 55 F4 8B 43 6C FF 53 68 80 7D F3 00 75 56 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 13 8D 45 F8 50 8D 4D EC 8B 55 FC 8B C3 E8 ?? ?? ?? ?? EB 05 33 C0 89 45 EC 83 7D EC 00 7E 17 56 8B 45 08 50 8B 4D F8 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 88 45 F3 EB 0F 8B 4D 08 8B D6 8B C3 E8 ?? ?? ?? ?? 88 45 F3 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 0F B6 45 F3 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_115320_0 {
	meta:
		name = "TXMLBroker.GetErrorResponse"
		size = 322
		refs = "001d @UStrAddRef 0025 TXMLBroker.GetErrorResponse 003f @UStrAsg 00af TWebResponse.SetUnicodeContent 00cd @UStrClr 00de @HandleFinally 00fc sApplyUpdatesError 0103 _Dn_Exception 0108 Exception.CreateResFmt 010d @RaiseExcept"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D EC 89 4D FC 89 55 F4 89 45 F8 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F3 00 8B 45 F8 05 88 00 00 00 8B 55 FC E8 ?? ?? ?? ?? 8B 45 F8 8B 55 F4 89 90 8C 00 00 00 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F8 66 83 B8 82 00 00 00 00 74 22 8B 45 FC 50 8B 45 0C 50 53 8D 45 F3 50 8B 75 F8 8B 4D F4 8B 55 F8 8B 86 84 00 00 00 FF 96 80 00 00 00 80 7D F3 00 75 25 8B 45 F8 83 78 74 00 74 1C 8D 55 EC 8B 45 F8 8B 40 74 8B 08 FF 51 40 8B 55 EC 8B C3 E8 ?? ?? ?? ?? C6 45 F3 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 05 88 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 33 D2 89 90 8C 00 00 00 C3 E9 ?? ?? ?? ?? EB E0 80 7D F3 00 75 27 8B 45 F4 89 45 E4 C6 45 E8 00 8D 45 E4 50 6A 00 8B 0D ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 0F B6 45 F3 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule function_115321_0 {
	meta:
		name = "TXMLBroker.GetResponse"
		size = 259
		refs = "001c TXMLBroker.GetResponse 0051 TXMLBroker.GetRedirect 0067 @LStrFromUStr 0088 TXMLBroker.GetProducerName 0093 TComponent.FindComponent 00a1 _Dn_TCustomContentProducer 00a6 @IsClass 00bf TWebResponse.SetUnicodeContent 00dd @UStrArrayClr 00e5 @LStrClr 00ed @UStrClr 00f3 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F8 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 C6 45 F7 00 66 83 7B 7A 00 74 12 8B 45 F8 50 8D 45 F7 50 8B CE 8B D3 8B 43 7C FF 53 78 80 7D F7 00 75 31 8D 4D FC 8B D6 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 1F 8D 45 F0 8B 55 FC B9 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 F8 8B 08 FF 51 38 C6 45 F7 01 80 7D F7 00 75 47 8D 4D EC 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 55 EC 8B 43 04 E8 ?? ?? ?? ?? 8B D8 85 DB 74 2A 8B C3 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 19 8D 55 E8 8B C3 8B 08 FF 51 40 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? C6 45 F7 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 0F B6 45 F7 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115322_0 {
	meta:
		name = "TXMLBroker.GetProducerName"
		size = 60
		refs = "0009 TWebRequest.GetContentFields 0010 TXMLBroker.GetProducerName 0015 TStrings.GetValue"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C3 E8 ?? ?? ?? ?? 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 08 00 00 00 50 00 52 00 4F 00 44 00 55 00 43 00 45 00 52 00 00 00 00 00 }
	condition:
		$1
}

rule function_115323_0 {
	meta:
		name = "TXMLBroker.GetRedirect"
		size = 60
		refs = "0009 TWebRequest.GetContentFields 0010 TXMLBroker.GetRedirect 0015 TStrings.GetValue"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C3 E8 ?? ?? ?? ?? 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 08 00 00 00 52 00 45 00 44 00 49 00 52 00 45 00 43 00 54 00 00 00 00 00 }
	condition:
		$1
}

rule function_115324_0 {
	meta:
		name = "TXMLBroker.GetDelta"
		size = 60
		refs = "0009 TWebRequest.GetContentFields 0010 TXMLBroker.GetDelta 0015 TStrings.GetValue"
	strings:
		$1 = { 53 56 8B F1 8B DA 8B C3 E8 ?? ?? ?? ?? 8B CE BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5E 5B C3 B0 04 02 00 FF FF FF FF 09 00 00 00 70 00 6F 00 73 00 74 00 64 00 65 00 6C 00 74 00 61 00 00 00 }
	condition:
		$1
}

rule function_115326_0 {
	meta:
		name = "TXMLBroker.HTMLSubmitFormName"
		size = 76
		refs = "001d TXMLBroker.HTMLSubmitFormName 0022 Format"
	strings:
		$1 = { 53 56 83 C4 F8 8B F2 8B D8 56 8B 43 08 89 44 24 04 C6 44 24 08 11 8D 54 24 04 33 C9 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 5A 5E 5B C3 00 B0 04 02 00 FF FF FF FF 09 00 00 00 53 00 75 00 62 00 6D 00 69 00 74 00 5F 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_115328_0 {
	meta:
		name = "TXMLBroker.AS_FetchParams"
		size = 156
		refs = "0016 TXMLBroker.AS_FetchParams 0024 @VarClr 0034 @WStrFromUStr 0042 TXMLBroker.GetAppServer 0050 @CheckAutoResult 005b UnpackParams 0070 @IntfClear 0078 @WStrClr 0081 OleVariant 008b @FinalizeArray 0091 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 E8 ?? ?? ?? ?? 50 8D 45 F0 50 8D 45 DC 8B 53 40 E8 ?? ?? ?? ?? 8B 45 DC 50 8D 55 D8 8B C3 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 2C E8 ?? ?? ?? ?? 8D 45 E0 8B 53 48 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115330_0 {
	meta:
		name = "TXMLBroker.RowSetVarName"
		size = 272
		refs = "0022 TXMLBroker.RowSetVarName 0032 @UStrAsg 007e Format 009a ScriptRowSetVarName 009f LoadResString 00db @UStrArrayClr 00e3 @UStrClr 00e9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D E0 89 5D DC 89 5D F8 89 5D E4 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 53 08 E8 ?? ?? ?? ?? 83 7D FC 00 74 56 8B 45 FC 8B 10 FF 52 14 8B D8 4B 83 FB 00 7C 46 8D 45 F8 50 8B 06 89 45 E8 C6 45 EC 11 8D 4D E4 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 45 E4 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 BA 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B 06 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 58 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 5F 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_115331_0 {
	meta:
		name = "TXMLBroker.MasterRowSetVarName"
		size = 284
		refs = "0022 TXMLBroker.MasterRowSetVarName 0032 @UStrAsg 008b Format 00a7 ScriptRowSetVarName 00ac LoadResString 00e8 @UStrArrayClr 00f0 @UStrClr 00f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D4 53 56 57 33 DB 89 5D E0 89 5D DC 89 5D F8 89 5D E4 8B F1 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 8B 53 08 E8 ?? ?? ?? ?? 83 7D FC 00 74 63 8B 45 FC 8B 10 FF 52 14 48 7E 58 8B 45 FC 8B 10 FF 52 14 8B D8 83 EB 02 83 FB 00 7C 46 8D 45 F8 50 8B 06 89 45 E8 C6 45 EC 11 8D 4D E4 8B D3 8B 45 FC 8B 38 FF 57 0C 8B 45 E4 89 45 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C6 E8 ?? ?? ?? ?? 4B 83 FB FF 75 BA 8D 45 E0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B 06 89 45 D4 C6 45 D8 11 8D 55 D4 33 C9 58 E8 ?? ?? ?? ?? 8B 55 E0 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 73 00 5F 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_115333_0 {
	meta:
		name = "TXMLBroker.RemoveNotify"
		size = 14
		refs = "0009 TList.RemoveItem"
	strings:
		$1 = { 8B 80 90 00 00 00 33 C9 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_115334_0 {
	meta:
		name = "TXMLBroker.GetNotify"
		size = 22
		refs = "000f TList.Get"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B D6 8B 83 90 00 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115335_0 {
	meta:
		name = "TXMLBroker.GetNotifyCount"
		size = 10
	strings:
		$1 = { 8B 80 90 00 00 00 8B 40 08 C3 }
	condition:
		$1
}

rule function_115336_0 {
	meta:
		name = "TXMLBroker.SendConnectEvent"
		size = 164
		refs = "0017 TXMLBroker.SendConnectEvent 0024 TXMLBroker.GetNotifyCount 003d TXMLBroker.GetNotify 0046 @IntfClear 0053 TObject.GetInterface 0086 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 57 33 C9 89 4D FC 88 55 FB 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 8B D8 4B 85 DB 7C 40 43 C7 45 F4 00 00 00 00 8B 55 F4 8B C6 E8 ?? ?? ?? ?? 50 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 58 E8 ?? ?? ?? ?? 84 C0 74 0E 0F B6 4D FB 8B D6 8B 45 FC 8B 38 FF 57 0C FF 45 F4 4B 75 C8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 8B E5 5D C3 00 90 9A C2 0B EC 0E D3 11 AF ED 00 C0 4F B1 6E C3 }
	condition:
		$1
}

rule function_115337_0 {
	meta:
		name = "TXMLBroker.SetReconcileProducer"
		size = 19
		refs = "000e TComponent.FreeNotification"
	strings:
		$1 = { 3B 50 74 74 0D 89 50 74 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_115338_0 {
	meta:
		name = "TXMLBroker.Notification"
		size = 51
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B FA 8B F0 8B CB 8B D7 8B C6 E8 ?? ?? ?? ?? 80 FB 01 75 16 3B 7E 74 75 07 33 C0 89 46 74 EB 0A 3B 7E 44 75 05 33 C0 89 46 44 5F 5E 5B C3 }
	condition:
		$1
}

rule function_115339_0 {
	meta:
		name = "TXMLBroker.GetXMLStream"
		size = 128
		refs = "0016 TXMLBroker.GetXMLStream 0035 TXMLBroker.GetXMLRecords 0042 _Dn_TStringStream 0047 TStringStream.Create 005e @VarClr 0066 @UStrClr 006c @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 0F B6 05 ?? ?? ?? ?? 50 8D 45 FC 50 8D 4D E8 8D 55 E4 8B C3 E8 ?? ?? ?? ?? C6 06 01 8B 4D FC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5E 5B 8B E5 5D C3 00 00 00 00 00 00 }
	condition:
		$1
}

rule function_115340_0 {
	meta:
		name = "TXMLParams.AssignStrings"
		size = 175
		refs = "001a TXMLParams.AssignStrings 003f TStrings.GetName 004a TParams.FindParam 005e TStrings.GetValue 0069 @VarFromUStr 0073 TParam.SetAsVariant 008c @UStrClr 0094 @VarClr 00a2 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 51 53 56 57 89 55 F4 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 7C 48 46 33 FF 8D 4D FC 8B D7 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? 8B D8 85 DB 74 23 8D 4D E0 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 E4 E8 ?? ?? ?? ?? 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 47 4E 75 BB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115344_0 {
	meta:
		name = "TXMLTestListener.Create"
		size = 120
		refs = "000a @ClassCreate 0017 TObject.Create 0022 TXMLTestListener.Create 0027 @UStrAsg 0032 @AfterConstruction"
	strings:
		$1 = { 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B DA 8B F0 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 E8 02 00 00 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 64 00 75 00 6E 00 69 00 74 00 2D 00 72 00 65 00 70 00 6F 00 72 00 74 00 2E 00 78 00 6D 00 6C 00 00 00 00 00 }
	condition:
		$1
}

rule function_115345_0 {
	meta:
		name = "TXMLTestListener.Create"
		size = 127
		refs = "000e @ClassCreate 001d @UStrAddRef 0025 TXMLTestListener.Create 0034 TObject.Create 0042 @UStrAsg 0057 @UStrClr 005d @HandleFinally 006a @AfterConstruction"
	strings:
		$1 = { 55 8B EC 51 53 56 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 89 4D FC 8B DA 8B F0 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 D2 8B C6 E8 ?? ?? ?? ?? 8D 86 E8 02 00 00 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B C6 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C6 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115346_0 {
	meta:
		name = "TXMLTestListener.writeReport"
		size = 119
		refs = "000e @UStrAddRef 0016 TXMLTestListener.writeReport 002f @Write0UString 0034 @WriteLn 0039 @_IOTest 0040 Output 0067 @UStrClr 006d @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 66 81 7B 10 B2 D7 75 17 8B 55 FC 8D 43 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 17 A1 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 5D C3 }
	condition:
		$1
}

rule function_115347_0 {
	meta:
		name = "TXMLTestListener.AddSuccess"
		size = 308
		refs = "0013 @IntfAddRef 001b TXMLTestListener.AddSuccess 0067 @UStrCatN 0071 TXMLTestListener.writeReport 008b @UStrArrayClr 0093 @IntfClear 00a1 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B 45 FC 8B 08 FF 51 18 8B 45 F8 8B 10 FF 52 14 85 C0 7F 39 68 ?? ?? ?? ?? 8D 55 F0 8B 45 FC 8B 08 FF 51 0C FF 75 F0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 3C 00 54 00 65 00 73 00 74 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 22 00 20 00 72 00 65 00 73 00 75 00 6C 00 74 00 3D 00 22 00 50 00 41 00 53 00 53 00 22 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 2F 00 54 00 65 00 73 00 74 00 3E 00 00 00 }
	condition:
		$1
}

rule function_115348_0 {
	meta:
		name = "TXMLTestListener.AddError"
		size = 616
		refs = "0016 TXMLTestListener.AddError 0096 TXMLTestListener.text2sgml 00b5 @UStrCatN 00bf TXMLTestListener.writeReport 00d9 @UStrArrayClr 00e1 @IntfClear 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 F4 8B C3 8B 08 FF 11 8B 45 F4 8D 55 F8 8B 08 FF 51 0C FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 51 08 FF 75 F0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 EC 8B C3 8B 08 FF 51 14 FF 75 EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 8B C3 8B 08 FF 51 0C 8B 55 E4 8D 4D E8 8B 06 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 11 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 3C 00 54 00 65 00 73 00 74 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 22 00 20 00 72 00 65 00 73 00 75 00 6C 00 74 00 3D 00 22 00 45 00 52 00 52 00 4F 00 52 00 22 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 3C 00 46 00 61 00 69 00 6C 00 75 00 72 00 65 00 54 00 79 00 70 00 65 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 3C 00 2F 00 46 00 61 00 69 00 6C 00 75 00 72 00 65 00 54 00 79 00 70 00 65 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 3C 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 3C 00 2F 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 3C 00 2F 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 2F 00 54 00 65 00 73 00 74 00 3E 00 00 00 }
	condition:
		$1
}

rule function_115349_0 {
	meta:
		name = "TXMLTestListener.AddFailure"
		size = 616
		refs = "0016 TXMLTestListener.AddFailure 0096 TXMLTestListener.text2sgml 00b5 @UStrCatN 00bf TXMLTestListener.writeReport 00d9 @UStrArrayClr 00e1 @IntfClear 00f4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 F4 8B C3 8B 08 FF 11 8B 45 F4 8D 55 F8 8B 08 FF 51 0C FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 8B C3 8B 08 FF 51 08 FF 75 F0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 EC 8B C3 8B 08 FF 51 14 FF 75 EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 8B C3 8B 08 FF 51 0C 8B 55 E4 8D 4D E8 8B 06 E8 ?? ?? ?? ?? FF 75 E8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC BA 11 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D6 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 3C 00 54 00 65 00 73 00 74 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 11 00 00 00 22 00 20 00 72 00 65 00 73 00 75 00 6C 00 74 00 3D 00 22 00 46 00 41 00 49 00 4C 00 53 00 22 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 3C 00 46 00 61 00 69 00 6C 00 75 00 72 00 65 00 54 00 79 00 70 00 65 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 3C 00 2F 00 46 00 61 00 69 00 6C 00 75 00 72 00 65 00 54 00 79 00 70 00 65 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 3C 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 3C 00 2F 00 4C 00 6F 00 63 00 61 00 74 00 69 00 6F 00 6E 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 3C 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 3C 00 2F 00 4D 00 65 00 73 00 73 00 61 00 67 00 65 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 3C 00 2F 00 54 00 65 00 73 00 74 00 3E 00 00 00 }
	condition:
		$1
}

rule function_115352_0 {
	meta:
		name = "TXMLTestListener.TestingStarts"
		size = 232
		refs = "0004 Now 0024 @AssignText 0029 @_IOTest 0031 @RewritText 003b TXMLTestListener.TestingStarts 0042 TXMLTestListener.writeReport"
	strings:
		$1 = { 53 8B D8 E8 ?? ?? ?? ?? DD 9B F0 02 00 00 9B 83 BB E8 02 00 00 00 74 22 33 C9 8B 93 E8 02 00 00 8D 43 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 43 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 5B C3 B0 04 02 00 FF FF FF FF 48 00 00 00 3C 00 3F 00 78 00 6D 00 6C 00 20 00 76 00 65 00 72 00 73 00 69 00 6F 00 6E 00 3D 00 22 00 31 00 2E 00 30 00 22 00 20 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 49 00 53 00 4F 00 2D 00 38 00 38 00 35 00 39 00 2D 00 31 00 22 00 20 00 73 00 74 00 61 00 6E 00 64 00 61 00 6C 00 6F 00 6E 00 65 00 3D 00 22 00 79 00 65 00 73 00 22 00 20 00 3F 00 3E 00 0D 00 0A 00 3C 00 54 00 65 00 73 00 74 00 52 00 75 00 6E 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_115353_0 {
	meta:
		name = "TXMLTestListener.TestingEnds"
		size = 1096
		refs = "0028 TXMLTestListener.TestingEnds 0033 Now 007f @TRUNC 0098 CurrencyString 009d DateTimeToStr 00bc TimeToStr 00d0 IntToStr 017b @UStrCatN 0185 TXMLTestListener.writeReport 0195 @Close 019a @_IOTest 01b4 @UStrArrayClr 01c7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B8 53 56 57 33 C9 89 4D C8 89 4D C4 89 4D C0 89 4D BC 89 4D B8 89 4D FC 89 4D F8 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E8 ?? ?? ?? ?? DC A6 F0 02 00 00 DD 5D F0 9B 8B C3 8B 10 FF 52 44 8B F8 8B C3 8B 10 FF 52 4C 2B F8 8B C3 8B 10 FF 52 48 2B F8 89 7D DC DB 45 DC DB 7D D0 9B 8B C3 8B 10 FF 52 44 89 45 CC DB 45 CC DB 6D D0 DE F1 D8 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? DD 5D E8 9B FF 75 EC FF 75 E8 8D 55 FC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 89 45 E0 8B 45 F4 89 45 E4 FF 75 E4 FF 75 E0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 44 8D 55 C4 E8 ?? ?? ?? ?? FF 75 C4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 4C 8D 55 C0 E8 ?? ?? ?? ?? FF 75 C0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B C3 8B 10 FF 52 48 8D 55 BC E8 ?? ?? ?? ?? FF 75 BC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 B8 8B C7 E8 ?? ?? ?? ?? FF 75 B8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 FC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 C8 BA 1B 00 00 00 E8 ?? ?? ?? ?? 8B 55 C8 8B C6 E8 ?? ?? ?? ?? 66 81 7E 10 B2 D7 75 0D 8D 46 0C E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 BA 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DE 5F 5E 5B 8B E5 5D C3 00 00 C8 42 B0 04 02 00 FF FF FF FF 29 00 00 00 3C 00 53 00 74 00 61 00 74 00 69 00 73 00 74 00 69 00 63 00 73 00 3E 00 0D 00 0A 00 3C 00 53 00 74 00 61 00 74 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 54 00 65 00 73 00 74 00 73 00 22 00 20 00 72 00 65 00 73 00 75 00 6C 00 74 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 22 00 20 00 2F 00 3E 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 0D 00 0A 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1E 00 00 00 3C 00 53 00 74 00 61 00 74 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 46 00 61 00 69 00 6C 00 75 00 72 00 65 00 73 00 22 00 20 00 72 00 65 00 73 00 75 00 6C 00 74 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 1C 00 00 00 3C 00 53 00 74 00 61 00 74 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 45 00 72 00 72 00 6F 00 72 00 73 00 22 00 20 00 72 00 65 00 73 00 75 00 6C 00 74 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 22 00 00 00 3C 00 53 00 74 00 61 00 74 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 53 00 75 00 63 00 63 00 65 00 73 00 73 00 20 00 52 00 61 00 74 00 65 00 22 00 20 00 72 00 65 00 73 00 75 00 6C 00 74 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 25 00 22 00 20 00 2F 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 21 00 00 00 3C 00 53 00 74 00 61 00 74 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 46 00 69 00 6E 00 69 00 73 00 68 00 65 00 64 00 20 00 41 00 74 00 22 00 20 00 72 00 65 00 73 00 75 00 6C 00 74 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 1D 00 00 00 3C 00 53 00 74 00 61 00 74 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 52 00 75 00 6E 00 74 00 69 00 6D 00 65 00 22 00 20 00 72 00 65 00 73 00 75 00 6C 00 74 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 0D 00 00 00 3C 00 2F 00 53 00 74 00 61 00 74 00 69 00 73 00 74 00 69 00 63 00 73 00 3E 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 3C 00 2F 00 54 00 65 00 73 00 74 00 52 00 75 00 6E 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_115354_0 {
	meta:
		name = "TXMLTestListener.RunTest"
		size = 129
		refs = "0011 @IntfAddRef 0019 @UStrAddRef 0021 TXMLTestListener.RunTest 0031 _DV_TXMLTestListener 0036 TXMLTestListener.Create 004f RunTest 0066 @UStrClr 006e @IntfClear 0074 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 89 4D F8 89 55 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D F8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 05 2D 08 FD FF FF 89 45 F4 8D 55 F4 33 C9 8B 45 FC E8 ?? ?? ?? ?? 8B D8 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115358_0 {
	meta:
		name = "TXMLTestListener.Status"
		size = 196
		refs = "001b @IntfAddRef 0023 TXMLTestListener.Status 005b Format 0065 TXMLTestListener.writeReport 007a @UStrClr 008a @IntfClear 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D F8 89 5D E4 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 55 E4 8B 45 FC 8B 08 FF 51 0C 8B 45 E4 89 45 E8 C6 45 EC 11 89 75 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 49 00 4E 00 46 00 4F 00 3A 00 20 00 25 00 73 00 3A 00 20 00 25 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_115359_0 {
	meta:
		name = "TXMLTestListener.Warning"
		size = 200
		refs = "001b @IntfAddRef 0023 TXMLTestListener.Warning 005b Format 0065 TXMLTestListener.writeReport 007a @UStrClr 008a @IntfClear 0090 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 33 DB 89 5D F8 89 5D E4 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 50 8D 55 E4 8B 45 FC 8B 08 FF 51 0C 8B 45 E4 89 45 E8 C6 45 EC 11 89 75 F0 C6 45 F4 11 8D 55 E8 B9 01 00 00 00 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 0F 00 00 00 57 00 41 00 52 00 4E 00 49 00 4E 00 47 00 3A 00 20 00 25 00 73 00 3A 00 20 00 25 00 73 00 00 00 }
	condition:
		$1
}

rule function_115361_0 {
	meta:
		name = "TXMLTestListener.EndSuite"
		size = 96
		refs = "000a TXMLTestListener.EndSuite 001c TXMLTestListener.writeReport 002f @HandleFinally"
	strings:
		$1 = { 55 8B EC 53 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F8 5B 5D C3 B0 04 02 00 FF FF FF FF 0C 00 00 00 3C 00 2F 00 54 00 65 00 73 00 74 00 53 00 75 00 69 00 74 00 65 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_115362_0 {
	meta:
		name = "TXMLTestListener.StartSuite"
		size = 200
		refs = "0013 @IntfAddRef 001b TXMLTestListener.StartSuite 0046 @UStrCatN 0050 TXMLTestListener.writeReport 006a @UStrArrayClr 0072 @IntfClear 0078 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 55 F4 8B 45 FC 8B 08 FF 51 0C FF 75 F4 68 ?? ?? ?? ?? 8D 45 F8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 3C 00 54 00 65 00 73 00 74 00 53 00 75 00 69 00 74 00 65 00 20 00 6E 00 61 00 6D 00 65 00 3D 00 22 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 22 00 3E 00 00 00 00 00 }
	condition:
		$1
}

rule function_115364_0 {
	meta:
		name = "TXMLTestListener.text2sgml"
		size = 240
		refs = "0016 @UStrAddRef 001e TXMLTestListener.text2sgml 003c TXMLTestListener.StringReplaceAll 0047 @UStrLAsg 0074 @UStrAsg 008e @UStrArrayClr 0094 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 8B F1 89 55 FC 8B D8 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 68 ?? ?? ?? ?? 8D 45 F8 50 B9 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F8 8D 45 FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 50 B9 ?? ?? ?? ?? 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8D 45 FC E8 ?? ?? ?? ?? 8B C6 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 6C 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3C 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 26 00 67 00 74 00 3B 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3E 00 00 00 }
	condition:
		$1
}

rule function_115367_0 {
	meta:
		name = "DocParseError"
		size = 504
		refs = "002f @IntfAddRef 0037 DocParseError 0045 @UStrClr 0055 @IntfCast 0067 @CheckAutoResult 00bd @WStrFromUStr 00eb sReason 00f0 LoadResString 0109 Format 0119 sLinePosError 0153 @UStrCat 015b sParseError 016e @UStrCat3 0178 _DV_DomException 017d Exception.Create 0182 @RaiseExcept 01a4 @UStrArrayClr 01b9 @IntfClear 01ce @WStrArrayClr 01dc @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 B0 53 56 33 D2 89 55 B0 89 55 D0 89 55 CC 89 55 DC 89 55 E0 89 55 E4 89 55 F8 89 55 F4 89 55 F0 89 55 EC 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 EC 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E8 50 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 83 7D E8 00 0F 84 11 01 00 00 8D 45 E8 50 8B 45 EC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 5D E8 8D 45 E8 50 8B 45 EC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 75 E8 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8B 55 E4 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 55 E0 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 F0 50 8D 55 DC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B 45 F4 89 45 D4 C6 45 D8 0F 8D 55 D4 33 C9 58 E8 ?? ?? ?? ?? 85 DB 7E 46 8D 45 D0 50 8D 55 CC A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 89 5D B4 C6 45 B8 00 89 75 BC C6 45 C0 00 8B 45 F8 89 45 C4 C6 45 C8 0F 8D 55 B4 B9 02 00 00 00 58 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 F0 E8 ?? ?? ?? ?? 8D 55 B0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 B0 8D 45 F0 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B1 5E 5B 8B E5 5D C3 F2 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115368_0 {
	meta:
		name = "LoadDocFromFile"
		size = 328
		refs = "0019 LoadDocFromFile 0026 @IntfClear 0037 GetDOM 0045 @CheckAutoResult 0056 @IntfCast 0072 @OleVarFromUStr 00c9 DocParseError 00f5 @VarClr 010b @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 8B DA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 6A 00 8D 45 F8 8B 13 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8D 45 F4 50 8D 45 E4 8B D6 E8 ?? ?? ?? ?? FF 75 F0 FF 75 EC FF 75 E8 FF 75 E4 8D 45 E0 8B 13 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8D 45 DC 50 8D 45 D8 8B 13 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 83 7D DC 00 74 0E 8B 03 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D0 5E 5B 8B E5 5D C3 00 F3 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD F1 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD F2 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115369_0 {
	meta:
		name = "LoadDocFromString"
		size = 412
		refs = "001a LoadDocFromString 0027 @IntfClear 0038 GetDOM 0046 @CheckAutoResult 0059 @IntfCast 0098 @WStrFromUStr 00e7 DocParseError 013d @WStrClr 0146 IDOMParseOptions 0150 @FinalizeArray 015e @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 05 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B F2 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C6 E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 8D 55 FC 33 C0 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8D 45 F8 50 8D 45 F4 8B 16 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 0F B6 5D F8 6A 00 8D 45 F0 8B 16 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 8D 45 EC 50 8D 45 E8 8B D7 E8 ?? ?? ?? ?? 8B 45 E8 50 8D 45 E4 8B 16 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8D 45 E0 50 8D 45 DC 8B 16 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 83 7D E0 00 74 0E 8B 06 E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 84 DB 74 1E 53 8D 45 D8 8B 16 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 28 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BD 5F 5E 5B 8B E5 5D C3 00 F3 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD F1 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD F2 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115370_0 {
	meta:
		name = "getIndex_Attrs"
		size = 376
		refs = "0019 @UStrAddRef 0021 getIndex_Attrs 002e @UStrClr 003b AnsiPos 004b @UStrAsg 0059 @UStrDelete 0090 @UStrLAsg 00d0 @UStrEqual 00e2 StrToInt 0122 @UStrArrayClr 0128 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 31 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B C7 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 55 FC 8B C8 8B C3 92 E8 ?? ?? ?? ?? 8B 55 FC B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 85 DB 7E 78 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? 8D 45 F8 8B CB BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 F8 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 8B 45 F8 85 C0 74 05 83 E8 04 8B 00 8D 4D F8 91 E8 ?? ?? ?? ?? 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 08 C7 06 FD FF FF FF EB 0A 8B 45 F8 E8 ?? ?? ?? ?? 89 06 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 55 FC 8B C8 8B C3 92 E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 04 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 40 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5B 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5D 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2A 00 00 00 }
	condition:
		$1
}

rule function_115371_0 {
	meta:
		name = "FindNode"
		size = 1024
		refs = "0026 @IntfAddRef 002e FindNode 003e @IntfCopy 0056 @IntfClear 0082 getIndex_Attrs 008d @UStrLAsg 00b8 @CheckAutoResult 00eb @UStrClr 011d ExtractLocalName 0128 @UStrEqual 0355 IDOMNode 035f @FinalizeArray 037c @UStrArrayClr 03d7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0C 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D E8 89 55 EC 89 45 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 8B 55 FC E8 ?? ?? ?? ?? 8B 45 E8 8B 10 FF 52 14 3B 45 EC 0F 8E E8 02 00 00 8B C3 E8 ?? ?? ?? ?? 8D 4D F8 8B 55 EC 8B 45 E8 8B 30 FF 56 0C C7 45 E4 FE FF FF FF 33 C0 89 45 E0 8D 45 DC 50 8D 4D F4 8D 55 E4 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 DC 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 30 02 00 00 83 7D FC 00 0F 84 26 02 00 00 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 83 7D E4 FE 0F 84 EF 00 00 00 8D 45 D8 50 8B 45 F0 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 7D D8 4F 85 FF 0F 8C 07 02 00 00 47 33 F6 8D 45 D0 E8 ?? ?? ?? ?? 50 8D 45 CC E8 ?? ?? ?? ?? 50 56 8B 45 F0 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 CC 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 8B 45 D0 8D 55 D4 E8 ?? ?? ?? ?? 8B 45 D4 8B 55 F8 E8 ?? ?? ?? ?? 74 3C 8D 45 C8 E8 ?? ?? ?? ?? 50 8D 45 C4 E8 ?? ?? ?? ?? 50 56 8B 45 F0 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 C4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 C8 8B 55 F8 E8 ?? ?? ?? ?? 75 3E 83 7D E4 FD 74 08 8B 45 E4 3B 45 E0 75 2D 53 8D 45 C0 E8 ?? ?? ?? ?? 50 56 8B 45 F0 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 C0 8B 55 EC 42 8B 4D E8 E8 ?? ?? ?? ?? E9 46 01 00 00 FF 45 E0 46 4F 0F 85 37 FF FF FF E9 36 01 00 00 8B 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 2C 53 8D 45 BC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 45 BC 8B 55 EC 42 8B 4D E8 E8 ?? ?? ?? ?? E9 FB 00 00 00 8D 45 D8 50 8B 45 F0 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 7D D8 4F 85 FF 0F 8C DD 00 00 00 47 33 F6 8D 45 B4 E8 ?? ?? ?? ?? 50 8D 45 B0 E8 ?? ?? ?? ?? 50 56 8B 45 F0 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 B0 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 8B 45 B4 8D 55 B8 E8 ?? ?? ?? ?? 8B 45 B8 8B 55 F8 E8 ?? ?? ?? ?? 74 3C 8D 45 AC E8 ?? ?? ?? ?? 50 8D 45 A8 E8 ?? ?? ?? ?? 50 56 8B 45 F0 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 A8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 AC 8B 55 F8 E8 ?? ?? ?? ?? 75 2D 53 8D 45 A4 E8 ?? ?? ?? ?? 50 56 8B 45 F0 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 A4 8B 55 EC 42 8B 4D E8 E8 ?? ?? ?? ?? 83 3B 00 75 2A 46 4F 0F 85 48 FF FF FF EB 20 83 7D F8 00 75 1A 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 7E 0A 8B C3 8B 55 FC E8 ?? ?? ?? ?? 83 3B 00 74 4B 8B 45 F4 85 C0 74 05 83 E8 04 8B 00 85 C0 74 3B 8D 45 A0 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8D 45 9C E8 ?? ?? ?? ?? 50 8B 03 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 9C 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8B 55 A0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 68 FF FF FF 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 2E 00 2E 00 00 00 00 00 }
	condition:
		$1
}

rule function_115372_0 {
	meta:
		name = "NextCreateElement"
		size = 655
		refs = "0027 @IntfAddRef 002f @UStrAddRef 0037 NextCreateElement 0047 @IntfCopy 0063 getIndex_Attrs 006e @UStrLAsg 0076 @UStrClr 0092 @IntfClear 00a1 @CheckAutoResult 0100 ExtractLocalName 010b @UStrEqual 0208 @UStrAsg 024a @UStrArrayClr 0270 IDOMNode 027a @FinalizeArray 0280 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D E8 89 55 F4 89 45 FC 8B 7D 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C7 8B 55 FC E8 ?? ?? ?? ?? 33 C0 89 45 E4 33 C0 89 45 E0 8D 45 D8 50 8D 4D F0 8D 55 E4 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D8 8D 45 F4 E8 ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 83 7D F4 00 0F 84 68 01 00 00 83 7D FC 00 0F 84 5E 01 00 00 8D 45 EC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? C6 45 DF 00 8D 45 D4 50 8B 45 EC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 75 D4 4E 85 F6 0F 8C BC 00 00 00 46 33 DB 8D 45 CC E8 ?? ?? ?? ?? 50 8D 45 C8 E8 ?? ?? ?? ?? 50 53 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 C8 50 8B 00 FF 50 44 E8 ?? ?? ?? ?? 8B 45 CC 8D 55 D0 E8 ?? ?? ?? ?? 8B 45 D0 8B 55 F4 E8 ?? ?? ?? ?? 74 3C 8D 45 C4 E8 ?? ?? ?? ?? 50 8D 45 C0 E8 ?? ?? ?? ?? 50 53 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 C0 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 C4 8B 55 F4 E8 ?? ?? ?? ?? 75 2E 83 7D E4 FD 74 08 8B 45 E4 3B 45 E0 75 1D 8B C7 E8 ?? ?? ?? ?? 50 53 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? C6 45 DF 01 EB 0B FF 45 E0 43 4E 0F 85 47 FF FF FF 80 7D DF 00 75 63 83 7D F4 00 74 5D 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8D 45 BC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 45 BC 50 8B 00 FF 50 78 E8 ?? ?? ?? ?? 83 7D F8 00 74 25 8D 45 B8 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B C7 8B 55 F8 E8 ?? ?? ?? ?? 83 3F 00 74 1B 8B 45 F0 85 C0 74 05 83 E8 04 8B 00 85 C0 74 0B 8B 45 E8 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 93 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_115373_0 {
	meta:
		name = "SelectCreateNode"
		size = 388
		refs = "0023 @IntfAddRef 002b @UStrAddRef 0033 SelectCreateNode 0046 Split0 006b @IntfClear 0070 @TryFinallyExit 007f @UStrClr 008e @CheckAutoResult 0099 ExtractLocalName 00b3 @UStrEqual 00eb NextCreateElement 00f6 @IntfCopy 010f TObject.Free 0115 @HandleFinally 014c @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 51 B9 04 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 F0 8B 10 FF 52 14 85 C0 75 12 8B 45 08 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 AD 00 00 00 33 DB 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC 50 8D 4D E4 33 D2 8B 45 F0 8B 30 FF 56 0C 8B 55 E4 58 E8 ?? ?? ?? ?? 75 05 BB 01 00 00 00 8B F3 8B 45 F0 8B 10 FF 52 14 8B D8 4B 2B DE 7C 2F 43 8D 45 E0 50 8D 4D DC 8B D6 8B 45 F0 8B 38 FF 57 0C 8B 55 DC 8B 4D F4 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 46 4B 75 D2 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_115374_0 {
	meta:
		name = "SelectNode"
		size = 336
		refs = "0023 @IntfAddRef 002b @UStrAddRef 0033 SelectNode 0050 @IntfCopy 0062 Split0 007d @UStrClr 008c @CheckAutoResult 0097 ExtractLocalName 00b1 @UStrEqual 00c9 FindNode 00e9 TObject.Free 00ef @HandleFinally 0111 @IntfClear 011e @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 33 DB 89 5D E0 89 5D EC 89 5D E4 89 5D E8 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F8 00 74 06 83 7D FC 00 75 10 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? E9 A7 00 00 00 BA ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 E8 8D 55 EC E8 ?? ?? ?? ?? 8B 45 EC 50 8D 4D E4 33 D2 8B 45 F0 8B 30 FF 56 0C 8B 55 E4 58 E8 ?? ?? ?? ?? 75 05 BB 01 00 00 00 8D 45 E0 50 8B 4D F0 8B D3 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E0 8D 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 8B 45 F4 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D3 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_115375_0 {
	meta:
		name = "SelectCreateSibling"
		size = 330
		refs = "0020 @IntfAddRef 0030 SelectCreateSibling 003e @IntfClear 004d @CheckAutoResult 0089 @UStrClr 0101 @IntfCopy 012f IDOMNode 0139 @FinalizeArray 013f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 8B D9 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8D 45 EC 50 8B 45 F4 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 66 83 7D EC 09 75 0C 8B C3 E8 ?? ?? ?? ?? E9 8F 00 00 00 83 7D F8 00 75 4B 8D 45 F0 E8 ?? ?? ?? ?? 50 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 E8 50 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 45 E4 50 8B 00 FF 50 78 E8 ?? ?? ?? ?? EB 19 8D 45 F0 E8 ?? ?? ?? ?? 50 6A FF 8B 45 F8 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 45 F4 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 8B C3 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115376_0 {
	meta:
		name = "PutValue"
		size = 628
		refs = "0023 @IntfAddRef 002b @UStrAddRef 003b PutValue 004e Split0 0069 @UStrClr 0078 @CheckAutoResult 0083 ExtractLocalName 009d @UStrEqual 00d5 NextCreateElement 00e0 @IntfCopy 00fc @IntfClear 01d4 TObject.Free 01da @HandleFinally 022e @UStrArrayClr 0244 IDOMNode 024e @FinalizeArray"
	strings:
		$1 = { 55 8B EC 51 B9 08 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D EC 89 55 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 BA ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 89 45 E4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 DB 8D 45 DC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 DC 8D 55 E0 E8 ?? ?? ?? ?? 8B 45 E0 50 8D 4D D8 33 D2 8B 45 E4 8B 30 FF 56 0C 8B 55 D8 58 E8 ?? ?? ?? ?? 75 05 BB 01 00 00 00 8B F3 8B 45 E4 8B 10 FF 52 14 8B D8 4B 2B DE 7C 2F 43 8D 45 D4 50 8D 4D D0 8B D6 8B 45 E4 8B 38 FF 57 0C 8B 55 D0 8D 4D E8 8B 45 FC E8 ?? ?? ?? ?? 8B 55 D4 8D 45 FC E8 ?? ?? ?? ?? 46 4B 75 D2 83 7D FC 00 0F 84 D1 00 00 00 83 7D E8 00 74 7B 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 E8 50 8D 45 CC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 45 CC 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 8B 45 EC 50 8B 45 F4 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8D 45 C4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 C4 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? EB 50 8D 45 F8 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8D 45 C0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 38 E8 ?? ?? ?? ?? 8B 45 C0 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 45 FC 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 E4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB 93 5F 5E 5B 8B E5 5D C3 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 5C 00 00 00 }
	condition:
		$1
}

rule function_115377_0 {
	meta:
		name = "CloneDoc"
		size = 152
		refs = "0013 @IntfAddRef 001b CloneDoc 0029 @UStrClr 003a @IntfCast 0048 @CheckAutoResult 0052 LoadDocFromString 0067 @IntfClear 007d @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 50 8D 45 F4 8B 55 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 F8 8B D3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5B 8B E5 5D C3 F1 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115378_0 {
	meta:
		name = "Split0"
		size = 336
		refs = "001a @UStrAddRef 0022 Split0 002f _Dn_TStringList 0034 TStringList.Create 0042 @UStrLAsg 0051 AnsiPos 007d @UStrDelete 0116 @UStrLen 013b @UStrArrayClr 0141 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E4 53 56 57 33 C9 89 4D F8 89 4D F4 8B FA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8D 45 F8 8B 55 FC E8 ?? ?? ?? ?? E9 C7 00 00 00 8B 55 F8 8B C7 E8 ?? ?? ?? ?? 8B D8 85 DB 75 2B 8B 55 F8 8B 45 F0 8B 08 FF 51 38 8B 75 F8 85 F6 74 05 83 EE 04 8B 36 8D 45 F8 8B CE BA 01 00 00 00 E8 ?? ?? ?? ?? E9 8C 00 00 00 83 FB 01 75 26 89 7D EC 83 7D EC 00 74 0B 8B 45 EC 83 E8 04 8B 00 89 45 EC 8D 45 F8 8B 4D EC BA 01 00 00 00 E8 ?? ?? ?? ?? EB 61 8D 45 F4 8B 55 F8 E8 ?? ?? ?? ?? 8B 45 F4 89 45 E8 83 7D E8 00 74 0B 8B 45 E8 83 E8 04 8B 00 89 45 E8 8D 45 F4 8B 4D E8 8B D3 E8 ?? ?? ?? ?? 8B 55 F4 8B 45 F0 8B 08 FF 51 38 89 7D E4 83 7D E4 00 74 0B 8B 45 E4 83 E8 04 8B 00 89 45 E4 8B CB 03 4D E4 49 8D 45 F8 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 85 C0 0F 8F 29 FF FF FF 8B 5D F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115379_0 {
	meta:
		name = "Head"
		size = 182
		refs = "0012 @UStrAddRef 001a Head 002a AnsiPos 003b @UStrAsg 0042 @UStrClr 0069 @UStrDelete 00a8 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 8B D8 85 DB 75 14 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? EB 49 8B C7 8B 55 FC E8 ?? ?? ?? ?? 8B C6 85 C0 74 05 83 E8 04 8B 00 8D 0C 18 49 8B C7 BA 01 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 85 C0 74 05 83 E8 04 8B 00 8D 55 FC 8B C8 8B C3 92 E8 ?? ?? ?? ?? 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5F 5E 5B 59 5D C2 04 00 }
	condition:
		$1
}

rule function_115380_0 {
	meta:
		name = "replace"
		size = 157
		refs = "001c @UStrAddRef 0024 replace 0031 @UStrClr 0046 Head 0056 @UStrCatN 0060 AnsiPos 006e @UStrCat 0088 @UStrArrayClr 008e @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 33 DB 89 5D F8 8B F9 8B F2 89 45 FC 8B 5D 08 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? EB 23 FF 33 8D 45 F8 50 8D 4D FC 8B D6 8B 45 FC E8 ?? ?? ?? ?? FF 75 F8 57 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B C6 E8 ?? ?? ?? ?? 85 C0 7F CF 8B C3 8B 55 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_115381_0 {
	meta:
		name = "GetAttribute"
		size = 224
		refs = "0018 @IntfAddRef 0020 GetAttribute 002d @UStrClr 003b @IntfClear 004a @CheckAutoResult 00b1 IDOMNamedNodeMap 00bb @FinalizeArray 00c4 IDOMNode 00d4 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 8B D9 8B F2 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 83 7D FC 00 74 68 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 83 7D F4 00 74 4B 8D 45 F8 E8 ?? ?? ?? ?? 50 56 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 F0 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 83 7D F8 00 74 16 8B C3 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D2 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115382_0 {
	meta:
		name = "EncodeXmlDate"
		size = 264
		refs = "001d EncodeXmlDate 002a @UStrClr 003d @UStrCat 006c IntToStr 00e0 @UStrArrayClr 00e6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 53 56 57 66 89 4D FE 8B FA 8B F0 8B 5D 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 66 81 FE E8 03 73 30 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 FE 64 73 1E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 FE 0A 73 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F8 0F B7 C6 E8 ?? ?? ?? ?? 8B 55 F8 8B C3 E8 ?? ?? ?? ?? 66 83 FF 0A 73 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F4 0F B7 C7 E8 ?? ?? ?? ?? 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 66 83 7D FE 0A 73 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 F0 0F B7 45 FE E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 04 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_115383_0 {
	meta:
		name = "EncodeXmlTime"
		size = 408
		refs = "0024 EncodeXmlTime 0031 @UStrClr 0043 @UStrCat 0050 IntToStr 0064 @UStrCatN 0138 @UStrArrayClr 013e @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 57 66 89 4D FC 66 89 55 FE 8B F8 8B 5D 08 8B 75 0C 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 66 83 FF 0A 73 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 33 8D 55 F8 0F B7 C7 E8 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 66 83 7D FE 0A 73 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 33 8D 55 F4 0F B7 45 FE E8 ?? ?? ?? ?? FF 75 F4 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 66 83 7D FC 0A 73 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 33 8D 55 F0 0F B7 45 FC E8 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8B C3 BA 03 00 00 00 E8 ?? ?? ?? ?? 66 81 FE E8 03 73 34 66 83 FE 64 73 22 66 83 FE 0A 73 0E 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0C 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 EC 0F B7 C6 E8 ?? ?? ?? ?? 8B 55 EC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 3A 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 30 00 30 00 30 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 30 00 30 00 00 00 00 00 }
	condition:
		$1
}

rule function_115384_0 {
	meta:
		name = "StrToXmlDate"
		size = 292
		refs = "001d StrToXmlDate 0040 ShortDateFormat 0047 @UStrLAsg 0054 @UStrAsg 0072 CurrencyString 007a StrToDate 009e DecodeDate 00b3 EncodeXmlDate 00c2 @HandleAnyException 00ca @UStrClr 00cf @DoneExcept 00f5 @HandleFinally 0111 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 74 1D 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DD 5D D8 9B 8B 45 D8 89 45 E8 8B 45 DC 89 45 EC FF 75 EC FF 75 E8 8D 4D E2 8D 55 E4 8D 45 E6 E8 ?? ?? ?? ?? 8B 45 F0 50 0F B7 4D E2 0F B7 55 E4 0F B7 45 E6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0D A1 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115385_0 {
	meta:
		name = "StrToXmlDateTime"
		size = 388
		refs = "0020 StrToXmlDateTime 0043 ShortDateFormat 004a @UStrLAsg 0057 @UStrAsg 0075 CurrencyString 007d StrToDateTime 00a1 DecodeDate 00b6 EncodeXmlDate 00ce DecodeTime 00e8 EncodeXmlTime 0102 @UStrCatN 0111 @HandleAnyException 0119 @UStrClr 011e @DoneExcept 0144 @HandleFinally 0160 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 C8 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 4D EC 89 55 F0 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F0 00 74 1D 8D 45 F8 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? DD 5D C8 9B 8B 45 C8 89 45 E0 8B 45 CC 89 45 E4 FF 75 E4 FF 75 E0 8D 4D DA 8D 55 DC 8D 45 DE E8 ?? ?? ?? ?? 8B 45 EC 50 0F B7 4D DA 0F B7 55 DC 0F B7 45 DE E8 ?? ?? ?? ?? FF 75 E4 FF 75 E0 8D 45 D2 50 8D 4D D4 8D 55 D6 8D 45 D8 E8 ?? ?? ?? ?? 0F B7 45 D2 50 8D 45 FC 50 0F B7 4D D4 0F B7 55 D6 0F B7 45 D8 E8 ?? ?? ?? ?? 8B 45 EC FF 30 68 ?? ?? ?? ?? FF 75 FC 8B 45 EC BA 03 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F0 00 74 0D A1 ?? ?? ?? ?? 8B 55 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 BA 03 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_115386_0 {
	meta:
		name = "StrToXmlTime"
		size = 301
		refs = "001d StrToXmlTime 0040 LongTimeFormat 0047 @UStrLAsg 0054 @UStrAsg 0072 CurrencyString 007a StrToTime 00a2 DecodeTime 00bc EncodeXmlTime 00cb @HandleAnyException 00d3 @UStrClr 00d8 @DoneExcept 00fe @HandleFinally 011a @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 D8 53 56 57 33 DB 89 5D FC 89 5D F8 89 4D F0 89 55 F4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D F4 00 74 1D 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 8B D3 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? DD 5D D8 9B 8B 45 D8 89 45 E8 8B 45 DC 89 45 EC FF 75 EC FF 75 E8 8D 45 E0 50 8D 4D E2 8D 55 E4 8D 45 E6 E8 ?? ?? ?? ?? 0F B7 45 E0 50 8B 45 F0 50 0F B7 4D E2 0F B7 55 E4 0F B7 45 E6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0D A1 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115387_0 {
	meta:
		name = "DecodeXmlDate"
		size = 301
		refs = "001b @UStrAddRef 0023 DecodeXmlDate 0060 @UStrCopy 00c4 StrToInt 00dd EncodeDate 00f0 @HandleAnyException 00fd @DoneExcept 0117 @UStrArrayClr 011d @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E8 53 56 57 33 D2 89 55 F8 89 55 F4 89 55 F0 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 0D 33 C0 89 45 E8 89 45 EC E9 C1 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8D 45 F8 50 B9 04 00 00 00 BA 01 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 66 BB 05 00 8B 45 FC 0F B7 40 08 66 83 F8 39 77 06 66 83 F8 30 73 01 43 8D 45 F4 50 0F B7 D3 B9 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 66 83 C3 02 0F B7 C3 8B 55 FC 0F B7 44 42 FE 66 83 F8 39 77 06 66 83 F8 30 73 01 43 8D 45 F0 50 0F B7 D3 B9 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? DD 5D E8 9B 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 33 C0 89 45 E8 89 45 EC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB DD 45 E8 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115388_0 {
	meta:
		name = "DecodeXmlTime"
		size = 460
		refs = "001e @UStrAddRef 0026 DecodeXmlTime 0065 @UStrCopy 0078 @UStrLAsg 0149 StrToInt 016b EncodeTime 017e @HandleAnyException 018b @DoneExcept 01a5 @UStrArrayClr 01ab @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 56 57 33 D2 89 55 F8 89 55 F4 89 55 F0 89 55 EC 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 75 0D 33 C0 89 45 E0 89 45 E4 E9 4C 01 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 66 BB 01 00 8D 45 F8 50 0F B7 D3 B9 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 7D F8 00 75 0D 8D 45 F8 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 C3 02 0F B7 C3 8B 55 FC 0F B7 44 42 FE 66 83 F8 39 77 06 66 83 F8 30 73 01 43 8D 45 F4 50 0F B7 D3 B9 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 7D F4 00 75 0D 8D 45 F4 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 C3 02 0F B7 C3 8B 55 FC 0F B7 44 42 FE 66 83 F8 39 77 06 66 83 F8 30 73 01 43 8D 45 F0 50 0F B7 D3 B9 02 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 7D F0 00 75 0D 8D 45 F0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 66 83 C3 02 0F B7 C3 8B 55 FC 0F B7 44 42 FE 66 83 F8 39 77 06 66 83 F8 30 73 01 43 8D 45 EC 50 0F B7 D3 B9 04 00 00 00 8B 45 FC E8 ?? ?? ?? ?? 83 7D EC 00 75 0D 8D 45 EC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 EC E8 ?? ?? ?? ?? 50 8B 45 F0 E8 ?? ?? ?? ?? 50 8B 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F8 E8 ?? ?? ?? ?? 5A 59 E8 ?? ?? ?? ?? DD 5D E0 9B 33 C0 5A 59 59 64 89 10 EB 12 E9 ?? ?? ?? ?? 33 C0 89 45 E0 89 45 E4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 05 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB DD 45 E0 5F 5E 5B 8B E5 5D C3 00 B0 04 02 00 FF FF FF FF 01 00 00 00 30 00 00 00 }
	condition:
		$1
}

rule function_115389_0 {
	meta:
		name = "XmlDateTimeToStr"
		size = 252
		refs = "0021 XmlDateTimeToStr 003a Head 0042 DecodeXmlDate 0054 DecodeXmlTime 0070 @UStrLAsg 0088 CurrencyString 0092 DateTimeToString 00b3 DateTimeToStr 00bd @UStrAsg 00d7 @UStrArrayClr 00dd @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 D0 53 56 57 33 DB 89 5D FC 89 5D F8 89 5D F4 89 5D F0 8B F1 8B DA 8B F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 50 8D 4D F8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? DD 5D E8 9B 83 7D F8 00 74 16 8B 45 F8 E8 ?? ?? ?? ?? DD 5D E0 9B DD 45 E8 DC 45 E0 DD 5D E8 9B 85 DB 74 2E 8D 45 F4 8B D3 E8 ?? ?? ?? ?? 8B 45 E8 89 45 D8 8B 45 EC 89 45 DC FF 75 DC FF 75 D8 8B 0D ?? ?? ?? ?? 8B C6 8B 55 F4 E8 ?? ?? ?? ?? EB 29 8B 45 E8 89 45 D0 8B 45 EC 89 45 D4 FF 75 D4 FF 75 D0 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 8B 55 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5F 5E 5B 8B E5 5D C3 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 54 00 00 00 }
	condition:
		$1
}

rule function_115390_0 {
	meta:
		name = "XmlTimeToStr"
		size = 212
		refs = "0018 XmlTimeToStr 0023 DecodeXmlTime 0036 LongTimeFormat 003d @UStrLAsg 004a @UStrAsg 0072 CurrencyString 0077 TimeToStr 00a7 @HandleFinally 00c3 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 E0 53 33 DB 89 5D FC 89 5D F8 8B D9 89 55 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 E8 ?? ?? ?? ?? DD 5D E8 9B 83 7D F4 00 74 1D 8D 45 FC 8B 15 ?? ?? ?? ?? 8B 12 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 55 F4 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 E8 89 45 E0 8B 45 EC 89 45 E4 FF 75 E4 FF 75 E0 8D 55 F8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C3 8B 55 F8 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 83 7D F4 00 74 0D A1 ?? ?? ?? ?? 8B 55 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E5 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115391_0 {
	meta:
		name = "MapValue"
		size = 166
		refs = "0013 @UStrAddRef 0023 MapValue 0030 _Dn_TStringList 0035 TStringList.Create 0051 TStrings.SetCommaText 005e TStrings.GetValue 0073 TObject.Free 0079 @HandleFinally 0095 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 8B D9 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B CB 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115392_0 {
	meta:
		name = "MapDateTime"
		size = 432
		refs = "0017 @UStrAddRef 0027 MapDateTime 003a @UStrEqual 0044 @UStrClr 0065 StrToXmlDateTime 0074 XmlDateTimeToStr 0097 StrToXmlDate 00c9 StrToXmlTime 00d8 XmlTimeToStr 00fb @UStrArrayClr 0101 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 89 4D F8 89 55 FC 8B D8 8B 75 08 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 08 8D 45 FC E8 ?? ?? ?? ?? 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 24 80 7D 0C 00 74 0F 8B CE 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 7A 8B CE 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 6B 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 24 80 7D 0C 00 74 0F 8B CE 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 48 8B CE 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 39 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 24 80 7D 0C 00 74 0F 8B CE 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 16 8B CE 8B 55 FC 8B 45 F8 E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 59 59 5D C2 08 00 00 B0 04 02 00 FF FF FF FF 0E 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 20 00 46 00 6F 00 72 00 6D 00 61 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 46 00 6F 00 72 00 6D 00 61 00 74 00 5F 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 46 00 6F 00 72 00 6D 00 61 00 74 00 5F 00 44 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 46 00 6F 00 72 00 6D 00 61 00 74 00 5F 00 54 00 69 00 6D 00 65 00 00 00 }
	condition:
		$1
}

rule function_115393_0 {
	meta:
		name = "MakeValueMap"
		size = 576
		refs = "0023 @UStrAddRef 002b MakeValueMap 0047 replace 0052 @UStrLAsg 0082 _Dn_TStringList 0087 TStringList.Create 00b2 TStrings.SetCommaText 00e2 AnsiPos 00f3 TStrings.GetName 0101 TStrings.GetValue 0126 @UStrCatN 015e TStrings.GetCommaText 0173 TObject.Free 0181 @HandleFinally 01ed @UStrArrayClr 01f5 @UStrClr"
	strings:
		$1 = { 55 8B EC 51 B9 05 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 89 4D F8 8B DA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 EC 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 EC 8D 45 FC E8 ?? ?? ?? ?? 8D 45 E8 50 B9 ?? ?? ?? ?? BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 E8 8D 45 FC E8 ?? ?? ?? ?? 84 DB 0F 85 08 01 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 8B 10 FF 52 14 8B F0 4E 85 F6 0F 8C 8E 00 00 00 46 33 DB 8D 4D E4 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 55 E4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7E 4D 8D 4D D8 8B D3 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 D8 8D 4D DC 8B 45 F4 E8 ?? ?? ?? ?? FF 75 DC 68 ?? ?? ?? ?? 8D 4D D4 8B D3 8B 45 F4 E8 ?? ?? ?? ?? FF 75 D4 8D 45 E0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 8B 45 F0 8B 08 FF 51 38 EB 18 8D 4D D0 8B D3 8B 45 F4 8B 38 FF 57 0C 8B 55 D0 8B 45 F0 8B 08 FF 51 38 43 4E 0F 85 75 FF FF FF 8B 55 F8 8B 45 F0 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 BA 08 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E3 5F 5E 5B 8B E5 5D C3 B0 04 02 00 FF FF FF FF 01 00 00 00 3D 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 3D 00 20 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 20 00 3D 00 00 00 00 00 }
	condition:
		$1
}

rule function_115394_0 {
	meta:
		name = "MapValues"
		size = 211
		refs = "0014 @UStrAddRef 0024 MapValues 0031 _Dn_TStringList 0036 TStringList.Create 0052 TStrings.SetCommaText 005f TStrings.GetValue 008a @UStrClr 009f TObject.Free 00a5 @HandleFinally 00c1 @UStrArrayClr"
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 56 8B D9 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B 45 F4 E8 ?? ?? ?? ?? 8B CB 8B 55 F8 8B 45 F4 E8 ?? ?? ?? ?? 83 3B 00 75 26 8B 55 F8 8B 45 F4 8B 08 FF 51 54 8B F0 85 F6 7C 0E 8B CB 8B D6 8B 45 F4 8B 18 FF 53 0C EB 07 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115395_0 {
	meta:
		name = "GetEncoding"
		size = 656
		refs = "001b @IntfAddRef 0023 GetEncoding 0037 @IntfClear 0050 @UStrClr 005f @CheckAutoResult 0150 @UStrEqual 0176 AnsiPos 019f @UStrCopy 01cb @UStrAsg 01f3 IDOMNodeList 01fd @FinalizeArray 0212 @UStrArrayClr 0228 @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 06 00 00 00 6A 00 6A 00 49 75 F9 53 56 57 8B FA 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 35 8D 45 EC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 85 C0 75 1B 8B C7 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? E9 71 01 00 00 8B C7 E8 ?? ?? ?? ?? 83 7D FC 00 0F 84 60 01 00 00 8D 45 E4 50 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 E0 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 83 7D E4 00 0F 8E 2D 01 00 00 8D 45 E4 50 8D 45 DC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 5D E4 4B 85 DB 0F 8C F8 00 00 00 43 33 F6 8D 45 F8 E8 ?? ?? ?? ?? 50 56 8D 45 D8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 45 D4 50 8B 45 F8 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 66 83 7D D4 07 0F 85 A1 00 00 00 8D 45 D0 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 D0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 7B 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 55 F4 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 7E 4E 8B 5D F4 85 DB 74 05 83 EB 04 8B 1B 8D 45 F0 50 8B 55 E8 83 C2 0A 8B CB 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 F0 B8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 8D 45 F0 50 8B 4D E8 49 33 D2 8B 45 F0 E8 ?? ?? ?? ?? 8B C7 8B 55 F0 E8 ?? ?? ?? ?? EB 08 46 4B 0F 85 0B FF FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 5F 5E 5B 8B E5 5D C3 00 00 00 33 26 19 7C 67 C2 3C 48 B0 D5 89 28 9A 14 D5 22 B0 04 02 00 FF FF FF FF 03 00 00 00 78 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_115396_0 {
	meta:
		name = "SetEncoding"
		size = 960
		refs = "0022 @IntfAddRef 002a @UStrAddRef 0032 SetEncoding 0043 GetEncoding 006f @IntfClear 0093 @CheckAutoResult 0161 @UStrClr 017d @UStrEqual 01c2 @UStrCatN 01d2 AnsiPos 020e replace 0219 @UStrLAsg 0300 @UStrArrayClr 0309 IDOMNodeList 0313 @FinalizeArray 0324 IDOMNode 0349 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 8B D9 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F0 8B 45 FC E8 ?? ?? ?? ?? 83 7D F0 00 74 08 84 DB 0F 84 8D 02 00 00 83 7D F0 00 75 0A 83 7D F8 00 0F 84 7D 02 00 00 83 7D FC 00 74 31 8D 45 E4 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 85 C0 75 17 8B 45 F8 50 8B 45 E4 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? E9 46 02 00 00 83 7D FC 00 0F 84 3C 02 00 00 8D 45 E0 50 8D 45 DC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 DC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 83 7D E0 00 0F 8E 09 02 00 00 8D 45 E0 50 8D 45 D8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 D8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 5D E0 4B 85 DB 0F 8C D4 01 00 00 43 33 F6 8D 45 EC E8 ?? ?? ?? ?? 50 56 8D 45 D4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 D4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 45 D0 50 8B 45 EC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 66 83 7D D0 07 0F 85 7D 01 00 00 8D 45 CC E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 CC BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 53 01 00 00 8D 45 F4 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 83 7D F0 00 75 27 FF 75 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 F4 BA 05 00 00 00 E8 ?? ?? ?? ?? E9 A7 00 00 00 8B 55 F4 8B 45 F0 E8 ?? ?? ?? ?? 85 C0 0F 84 FC 00 00 00 83 7D F8 00 75 3B 8D 45 C8 50 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 C4 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 C4 B9 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 8B 55 C8 8D 45 F4 E8 ?? ?? ?? ?? EB 53 8D 45 C0 50 68 ?? ?? ?? ?? FF 75 F8 68 ?? ?? ?? ?? 8D 45 BC BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 45 BC 50 68 ?? ?? ?? ?? FF 75 F0 68 ?? ?? ?? ?? 8D 45 B8 BA 03 00 00 00 E8 ?? ?? ?? ?? 8B 55 B8 8B 45 F4 59 E8 ?? ?? ?? ?? 8B 55 C0 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 55 B4 8B 45 F4 E8 ?? ?? ?? ?? 74 4C 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 F4 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 45 E8 50 8B 45 FC 50 8B 00 FF 50 4C E8 ?? ?? ?? ?? EB 08 46 4B 0F 85 2F FE FF FF 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 BA 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 BA 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A0 5E 5B 8B E5 5D C3 00 00 00 33 26 19 7C 67 C2 3C 48 B0 D5 89 28 9A 14 D5 22 B0 04 02 00 FF FF FF FF 03 00 00 00 78 00 6D 00 6C 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 20 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 65 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 3D 00 22 00 00 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 22 00 00 00 }
	condition:
		$1
}

rule function_115397_0 {
	meta:
		name = "SetStandalone"
		size = 164
		refs = "0015 @IntfAddRef 001d @UStrAddRef 0025 SetStandalone 0039 @IntfClear 005d @CheckAutoResult 007a @UStrClr 0088 @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F4 33 C9 89 4D F4 89 55 F8 89 45 FC 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7D FC 00 74 2C 8D 45 F4 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 FC 50 8B 00 FF 10 85 C0 75 12 8B 45 F8 50 8B 45 F4 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 8B E5 5D C3 00 00 33 26 19 7C 67 C2 3C 48 B0 D5 89 28 9A 14 D5 22 }
	condition:
		$1
}

rule function_115398_0 {
	meta:
		name = "CloneNodeToDoc"
		size = 1904
		refs = "0024 CloneNodeToDoc 0039 @CheckAutoResult 008c @IntfCast 0094 @UStrClr 00b0 @IntfClear 05fb _Dn_Exception 0600 Exception.Create 0605 @RaiseExcept 0634 IDOMNode 063e @FinalizeArray 0659 @UStrArrayClr 06b0 IDOMAttr 06f5 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 15 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 88 4D EB 89 55 EC 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 E0 50 53 8B 03 FF 50 18 E8 ?? ?? ?? ?? 0F B7 45 E0 83 F8 0B 0F 87 A9 05 00 00 FF 24 85 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8D 45 FC 8B D3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 83 7D DC 00 74 51 8B C6 E8 ?? ?? ?? ?? 50 8D 45 D8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? 8B 45 D8 50 8D 45 D4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 D4 50 8B 45 EC 50 8B 00 FF 90 A0 00 00 00 E8 ?? ?? ?? ?? EB 31 8B C6 E8 ?? ?? ?? ?? 50 8D 45 D0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? 8B 45 D0 50 8B 45 EC 50 8B 00 FF 50 78 E8 ?? ?? ?? ?? 8D 45 CC 50 8D 45 C8 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 C8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 5D CC 4B 85 DB 0F 8C 8F 00 00 00 43 C7 45 E4 00 00 00 00 8D 45 C4 E8 ?? ?? ?? ?? 50 8D 45 BC 50 8D 45 B8 E8 ?? ?? ?? ?? 50 8B 45 E4 50 8D 45 B4 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 B4 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 B8 33 C9 8B 55 EC E8 ?? ?? ?? ?? 8B 55 BC 8D 45 C0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C0 50 8D 45 B0 8B 16 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 B0 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? FF 45 E4 4B 0F 85 79 FF FF FF 80 7D EB 00 0F 84 0C 04 00 00 8D 45 CC 50 8D 45 AC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 AC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 5D CC 4B 85 DB 0F 8C D7 03 00 00 43 C7 45 E4 00 00 00 00 8D 45 A8 E8 ?? ?? ?? ?? 50 8D 45 A4 50 8D 45 A0 E8 ?? ?? ?? ?? 50 8B 45 E4 50 8D 45 9C E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 9C 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 A0 0F B6 4D EB 8B 55 EC E8 ?? ?? ?? ?? 8B 45 A4 50 8D 45 98 8B 16 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 98 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? FF 45 E4 4B 75 8B E9 55 03 00 00 8D 45 F8 8B D3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 83 7D 94 00 74 51 8B C6 E8 ?? ?? ?? ?? 50 8D 45 90 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 90 50 8D 45 8C E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 3C E8 ?? ?? ?? ?? 8B 45 8C 50 8B 45 EC 50 8B 00 FF 90 A4 00 00 00 E8 ?? ?? ?? ?? EB 34 8B C6 E8 ?? ?? ?? ?? 50 8D 45 88 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 88 50 8B 45 EC 50 8B 00 FF 90 90 00 00 00 E8 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 45 84 50 8B 06 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? E9 77 02 00 00 8B C6 E8 ?? ?? ?? ?? 50 8D 45 80 E8 ?? ?? ?? ?? 50 53 8B 03 FF 50 10 E8 ?? ?? ?? ?? 8B 45 80 50 8B 45 EC 50 8B 00 FF 90 80 00 00 00 E8 ?? ?? ?? ?? E9 41 02 00 00 8B C6 E8 ?? ?? ?? ?? 50 8D 85 7C FF FF FF E8 ?? ?? ?? ?? 50 53 8B 03 FF 50 10 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF 50 8B 45 EC 50 8B 00 FF 90 88 00 00 00 E8 ?? ?? ?? ?? E9 05 02 00 00 8B C6 E8 ?? ?? ?? ?? 50 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 50 53 8B 03 FF 50 0C E8 ?? ?? ?? ?? 8B 85 78 FF FF FF 50 8B 45 EC 50 8B 00 FF 90 94 00 00 00 E8 ?? ?? ?? ?? E9 C9 01 00 00 8D 45 F4 8B D3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? 8B 85 74 FF FF FF 50 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 8B 45 EC 50 8B 00 FF 90 8C 00 00 00 E8 ?? ?? ?? ?? E9 5A 01 00 00 8B C6 E8 ?? ?? ?? ?? 50 8D 85 6C FF FF FF E8 ?? ?? ?? ?? 50 53 8B 03 FF 50 10 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 50 8B 45 EC 50 8B 00 FF 90 84 00 00 00 E8 ?? ?? ?? ?? E9 1E 01 00 00 8D 45 F0 8B D3 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B C6 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 7C E8 ?? ?? ?? ?? 80 7D EB 00 0F 84 EF 00 00 00 8D 45 CC 50 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 5D CC 4B 85 DB 0F 8C B4 00 00 00 43 C7 45 E4 00 00 00 00 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 50 8D 85 60 FF FF FF 50 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 50 8B 45 E4 50 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 85 5C FF FF FF 0F B6 4D EB 8B 55 EC E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 50 8D 85 54 FF FF FF 8B 16 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 54 FF FF FF 50 8B 00 FF 50 54 E8 ?? ?? ?? ?? FF 45 E4 4B 0F 85 6C FF FF FF EB 16 B9 ?? ?? ?? ?? B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 8D 85 5C FF FF FF 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8D 85 6C FF FF FF BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 C8 E8 ?? ?? ?? ?? 8D 45 D0 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 18 FF FF FF 5E 5B 8B E5 5D C2 04 00 00 00 E6 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD E5 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD EE C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD EF C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD B0 04 02 00 FF FF FF FF 0C 00 00 00 53 00 43 00 61 00 6E 00 6E 00 6F 00 74 00 43 00 6C 00 6F 00 6E 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_115402_0 {
	meta:
		name = "StringToVariantArray"
		size = 84
		refs = "000f StringToVariantArray 0024 @LStrFromUStr 0043 @LStrClr 0049 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 FC 8B D3 B9 E9 FD 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115404_0 {
	meta:
		name = "StringToFile"
		size = 93
		refs = "000d _Dn_TStringList 0012 TStringList.Create 001d StringToFile 004c TObject.Free 0052 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B D3 8B 45 FC 8B 08 FF 51 2C 8B D6 8B 45 FC 8B 08 FF 51 7C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115405_0 {
	meta:
		name = "GetXMLData"
		size = 97
		refs = "000f _Dn_TStringStream 0014 TStringStream.Create 001f GetXMLData 0031 TCustomClientDataSet.SaveToStream 003b TStringStream.GetDataString 0050 TObject.Free 0056 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 53 56 8B F2 8B D8 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 B1 01 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 8B D6 8B 45 FC E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115406_0 {
	meta:
		name = "CreateNestedTransform"
		size = 43
		refs = "0009 _DV_TXMLTransform 000e TComponent.Create 0019 TComponent.SetSubComponent"
	strings:
		$1 = { 53 56 8B F2 8B C8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D8 B2 01 8B C3 E8 ?? ?? ?? ?? 8B D6 8B C3 8B 08 FF 51 24 8B C3 5E 5B C3 }
	condition:
		$1
}

rule function_115407_0 {
	meta:
		name = "TXMLTransform.Translate"
		size = 37
	strings:
		$1 = { 55 8B EC 53 66 83 78 6A 00 74 15 51 8B 4D 0C 51 8B 4D 08 51 8B D8 8B CA 8B D0 8B 43 6C FF 53 68 5B 5D C2 08 00 }
	condition:
		$1
}

rule function_115408_0 {
	meta:
		name = "TXMLTransform.GetData"
		size = 243
		refs = "0013 TXMLTransform.GetData 0030 LoadDocFromString 0040 SMissingSourceFile 0045 LoadResString 004d TransformError 005a @IntfCopy 0067 LoadDocFromFile 007b SMissingTransform 00b4 TXMLTransform.DoTransform 00ce @UStrArrayClr 00d7 IDOMDocument 00e1 @FinalizeArray 00e7 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 48 00 75 3D 83 7B 50 00 74 0D 8D 55 FC 8B 43 50 E8 ?? ?? ?? ?? EB 35 83 7B 4C 00 75 17 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? EB 18 8D 45 FC 8B 53 4C E8 ?? ?? ?? ?? EB 0B 8D 55 FC 8B 43 48 E8 ?? ?? ?? ?? 83 7B 54 00 75 2A 83 7B 58 00 75 17 8D 55 F0 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F0 E8 ?? ?? ?? ?? EB 18 8D 45 F8 8B 53 58 E8 ?? ?? ?? ?? EB 0B 8D 55 F8 8B 43 54 E8 ?? ?? ?? ?? 8B 43 5C 50 56 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D8 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115409_0 {
	meta:
		name = "TXMLTransform.GetResultString"
		size = 160
		refs = "0011 TXMLTransform.GetResultString 002b @UStrClr 003c @IntfCast 004a @CheckAutoResult 0055 @UStrAsg 0074 @IntfClear 0082 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7B 64 00 75 38 83 7B 60 00 74 32 8D 45 FC E8 ?? ?? ?? ?? 50 8D 45 F8 8B 53 60 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 55 FC 8D 43 64 E8 ?? ?? ?? ?? 8B C6 8B 53 64 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E8 5E 5B 59 59 5D C3 00 00 F1 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115410_0 {
	meta:
		name = "TXMLTransform.TransformXML"
		size = 216
		refs = "0016 TXMLTransform.TransformXML 0024 @UStrClr 002c @IntfClear 0042 LoadDocFromString 0050 LoadDocFromFile 006d SMissingTransform 0072 LoadResString 007a TransformError 009b TXMLTransform.DoTransform 00b9 IDOMDocument 00c3 @FinalizeArray 00c9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 08 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 85 F6 74 0A 8D 55 FC 8B C6 E8 ?? ?? ?? ?? 85 FF 74 0C 8D 55 F8 8B C7 E8 ?? ?? ?? ?? EB 28 83 7B 54 00 74 0D 8D 55 F8 8B 43 54 E8 ?? ?? ?? ?? EB 15 8D 55 F4 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 F4 E8 ?? ?? ?? ?? 83 7D F8 00 74 1B 83 7D FC 00 74 15 8B 43 5C 50 8B 45 08 50 8B 4D F8 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 F4 E8 ?? ?? ?? ?? 8D 45 F8 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DD 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_115411_0 {
	meta:
		name = "TXMLTransform.DoTransform"
		size = 1504
		refs = "0020 TXMLTransform.DoTransform 002e @IntfClear 0036 @UStrClr 0040 GetEncoding 004b @UStrAsg 005f @CheckAutoResult 00a5 GetAttribute 00ca Head 00d2 StrToInt 00dd SOldVersion 00e2 LoadResString 00ea TransformError 00fa SelectNode 0132 @UStrEqual 024a LoadDocFromString 0301 TXMLTransform.Transform 0316 @IntfCopy 032f @IntfCast 046a @UStrArrayClr 0488 IDOMNode 0492 @FinalizeArray 0498 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0F 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 8B F9 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 43 60 E8 ?? ?? ?? ?? 8D 43 64 E8 ?? ?? ?? ?? 8D 55 D0 8B C6 E8 ?? ?? ?? ?? 8B 55 D0 8D 43 38 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 50 57 8B 07 FF 50 70 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 50 56 8B 06 FF 50 70 E8 ?? ?? ?? ?? 83 7D 0C 00 74 1C 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 0C 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? E9 CC 01 00 00 8D 4D CC BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8B 55 CC 8D 43 44 E8 ?? ?? ?? ?? 83 7B 44 00 74 34 8D 45 DC 50 8D 4D D8 BA ?? ?? ?? ?? 8B 43 44 E8 ?? ?? ?? ?? 8B 45 DC E8 ?? ?? ?? ?? 48 7D 15 8D 55 C8 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 C8 E8 ?? ?? ?? ?? 8D 4D E8 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 4D C4 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 55 C4 8D 43 3C E8 ?? ?? ?? ?? 8D 4D E0 BA ?? ?? ?? ?? 8B 45 E8 E8 ?? ?? ?? ?? 8B 45 E0 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 94 C0 88 43 40 8D 4D F4 BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 8D 45 C0 50 8D 45 BC E8 ?? ?? ?? ?? 50 6A 00 8D 45 B8 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 B8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 BC 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 66 83 7D C0 01 75 1E 8D 45 F0 E8 ?? ?? ?? ?? 50 6A FF 8B 45 F4 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? E9 B2 00 00 00 8D 45 C0 50 8D 45 B4 E8 ?? ?? ?? ?? 50 6A 00 8D 45 B0 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 B0 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 B4 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 66 83 7D C0 04 75 69 8D 45 E4 E8 ?? ?? ?? ?? 50 8D 45 AC E8 ?? ?? ?? ?? 50 6A 00 8D 45 A8 E8 ?? ?? ?? ?? 50 8B 45 F4 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 A8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 AC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8D 55 D4 8B 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 50 8B 45 D4 50 8B 00 FF 50 70 E8 ?? ?? ?? ?? 8D 4D EC BA ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? 83 7D EC 00 0F 84 8A 00 00 00 8D 45 A4 50 8D 45 A0 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 A0 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B 75 A4 4E 85 F6 7C 59 46 33 FF 8B 45 F0 50 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 8D 45 9C E8 ?? ?? ?? ?? 50 57 8D 45 98 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 98 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 55 9C 8B 4D F8 8B C3 E8 ?? ?? ?? ?? 47 4E 75 AA 83 7D 0C 00 74 37 8D 43 60 8B 55 0C E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 50 8D 45 94 8B 55 F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 94 50 8B 00 FF 50 6C E8 ?? ?? ?? ?? E9 91 00 00 00 83 7D D4 00 75 59 8B 45 08 E8 ?? ?? ?? ?? 50 8D 45 8C E8 ?? ?? ?? ?? 50 6A 00 8D 45 88 E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 45 88 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 55 8C 8D 45 90 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 90 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? EB 32 8D 43 60 8B 55 D4 E8 ?? ?? ?? ?? 8B 45 08 E8 ?? ?? ?? ?? 50 8D 45 84 8B 55 D4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 84 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 43 64 8B 55 08 8B 12 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 84 E8 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 98 E8 ?? ?? ?? ?? 8D 45 9C E8 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 C4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 D4 E8 ?? ?? ?? ?? 8D 45 D8 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 8B 15 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 50 FF FF FF 5F 5E 5B 8B E5 5D C2 08 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 56 00 65 00 72 00 73 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 01 00 00 00 2E 00 00 00 B0 04 02 00 FF FF FF FF 1B 00 00 00 58 00 6D 00 6C 00 54 00 72 00 61 00 6E 00 73 00 66 00 6F 00 72 00 6D 00 61 00 74 00 69 00 6F 00 6E 00 5C 00 54 00 72 00 61 00 6E 00 73 00 66 00 6F 00 72 00 6D 00 00 00 B0 04 02 00 FF FF FF FF 0C 00 00 00 44 00 61 00 74 00 61 00 45 00 6E 00 63 00 6F 00 64 00 69 00 6E 00 67 00 00 00 00 00 B0 04 02 00 FF FF FF FF 09 00 00 00 44 00 69 00 72 00 65 00 63 00 74 00 69 00 6F 00 6E 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 54 00 6F 00 43 00 64 00 73 00 00 00 B0 04 02 00 FF FF FF FF 1A 00 00 00 58 00 6D 00 6C 00 54 00 72 00 61 00 6E 00 73 00 66 00 6F 00 72 00 6D 00 61 00 74 00 69 00 6F 00 6E 00 5C 00 53 00 6B 00 65 00 6C 00 65 00 74 00 6F 00 6E 00 00 00 00 00 DD FF 6B B0 7B 33 DA 48 98 0B 6F 7A A8 AD E8 5C F1 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115412_0 {
	meta:
		name = "TXMLTransform.Transform"
		size = 3880
		refs = "0025 @IntfAddRef 003d TXMLTransform.Transform 004b @UStrClr 005a @CheckAutoResult 0067 @UStrEqual 0075 @IntfClear 0189 SelectNode 0194 @IntfCopy 01c3 SelectCreateNode 02ee _Dn_TStringList 02f3 TStringList.Create 04de SelectCreateSibling 054c EmptyStr 05db TObject.Free 0619 @HandleFinally 0aff @IntfCast 0b6b @UStrLAsg 0b8c MapValues 0bd4 MapDateTime 0bfc PutValue 0c94 IDOMNode 0c9e @FinalizeArray 0cae @UStrArrayClr 0ce0 IDOMNamedNodeMap"
	strings:
		$1 = { 55 8B EC 51 B9 1F 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 89 4D F8 89 55 FC 89 45 BC 8B 5D 28 8B 45 FC E8 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? 8B 45 2C E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 94 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 45 94 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 AE 05 00 00 8D 45 F0 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 45 90 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 90 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 83 7D F0 00 74 19 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? EB 08 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 45 8C E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 8C 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 83 7D F0 00 74 19 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? EB 08 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 45 88 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 45 88 50 8B 00 FF 50 14 E8 ?? ?? ?? ?? 83 7D F0 00 74 19 8D 45 D8 E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? EB 08 8D 45 D8 E8 ?? ?? ?? ?? 8D 4D 84 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 55 84 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 74 39 8D 45 D4 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 45 80 50 8D 4D DC 8B 55 E4 8B 45 2C E8 ?? ?? ?? ?? 8B 55 80 8D 45 2C E8 ?? ?? ?? ?? E9 A5 00 00 00 8D 45 D4 E8 ?? ?? ?? ?? 8D 85 7C FF FF FF 50 8D 4D DC 8B 55 E4 8B 45 2C E8 ?? ?? ?? ?? 8B 95 7C FF FF FF 8D 45 2C E8 ?? ?? ?? ?? 83 7D 2C 00 74 74 8D 85 78 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 2C 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 83 BD 78 FF FF FF 00 74 51 8D 45 EC 8B 55 2C E8 ?? ?? ?? ?? 8D 85 74 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 2C 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 95 74 FF FF FF 8D 45 2C E8 ?? ?? ?? ?? 8D 85 70 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 45 2C 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 83 7D F8 00 74 29 83 7D 2C 00 74 23 C6 45 BB 01 C6 45 BA 01 8D 45 F4 E8 ?? ?? ?? ?? 50 6A FF 8B 45 2C 50 8B 00 FF 50 5C E8 ?? ?? ?? ?? EB 10 C6 45 BB 00 C6 45 BA 00 8D 45 F4 E8 ?? ?? ?? ?? 80 7D BB 00 74 2A 8B 45 BC 66 83 B8 82 00 00 00 00 74 1D 8B 45 F8 50 8B 45 2C 50 8B 5D BC 8B 4D D8 8B 55 BC 8B 83 84 00 00 00 FF 93 80 00 00 00 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 B0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 AC B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 A8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 A4 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 A0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 9C B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 98 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 E9 90 01 00 00 8B 45 BC 66 83 78 72 00 74 17 8B 45 F8 50 8B 45 2C 50 8B 5D BC 8B 4D D8 8B 55 BC 8B 43 74 FF 53 70 8D 85 6C FF FF FF 50 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 85 68 FF FF FF 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B B5 6C FF FF FF 4E 85 F6 7C 75 46 33 DB 8B 45 2C 50 53 8B 45 B4 50 8B 45 B0 50 8B 45 AC 50 8B 45 A8 50 8B 45 A4 50 8B 45 A0 50 8B 45 9C 50 8B 45 98 50 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 50 53 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 95 64 FF FF FF 8B 4D F8 8B 45 BC E8 ?? ?? ?? ?? 43 4E 75 8E 8B 45 BC 66 83 78 7A 00 0F 84 A5 00 00 00 8B 45 F8 50 8B 45 2C 50 8B 5D BC 8B 4D D8 8B 55 BC 8B 43 7C FF 53 78 E9 89 00 00 00 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 30 E8 ?? ?? ?? ?? 8B 95 5C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 75 06 C6 45 BB 00 EB 55 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 8B 55 D4 E8 ?? ?? ?? ?? 75 2B 8D 8D 54 FF FF FF 8B 55 F4 8B 45 2C E8 ?? ?? ?? ?? 8B 95 54 FF FF FF 8D 45 2C E8 ?? ?? ?? ?? 83 7D 2C 00 75 10 C6 45 BB 00 EB 0A 80 7D BB 00 0F 85 6D FF FF FF 80 7D BB 00 0F 85 66 FE FF FF 80 7D BA 00 74 2A 8B 45 BC 66 83 B8 8A 00 00 00 00 74 1D 8B 45 F8 50 8B 45 2C 50 8B 5D BC 8B 4D D8 8B 55 BC 8B 83 8C 00 00 00 FF 93 88 00 00 00 83 7D 24 00 0F 84 80 00 00 00 8B 15 ?? ?? ?? ?? 8B 12 8B 45 24 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 45 20 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 45 1C 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 45 18 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 45 14 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 45 10 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 45 0C 8B 08 FF 51 38 8B 15 ?? ?? ?? ?? 8B 12 8B 45 08 8B 08 FF 51 38 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 B4 E8 ?? ?? ?? ?? 8B 45 B0 E8 ?? ?? ?? ?? 8B 45 AC E8 ?? ?? ?? ?? 8B 45 A8 E8 ?? ?? ?? ?? 8B 45 A4 E8 ?? ?? ?? ?? 8B 45 A0 E8 ?? ?? ?? ?? 8B 45 9C E8 ?? ?? ?? ?? 8B 45 98 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB B8 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 85 50 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F 85 30 06 00 00 83 7D 24 00 74 10 8B 45 24 8B 10 FF 52 14 3B D8 0F 8C CC 03 00 00 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 E4 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E0 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 C4 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 85 6C FF FF FF 50 8D 85 4C FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8B B5 6C FF FF FF 4E 85 F6 0F 8C E7 02 00 00 46 33 DB 8D 45 EC E8 ?? ?? ?? ?? 50 53 8D 85 48 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 00 FF 50 34 E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8D 85 44 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 85 44 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1C 8D 45 E8 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? E9 5F 02 00 00 8D 85 40 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 85 40 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1C 8D 45 E4 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? E9 17 02 00 00 8D 85 3C FF FF FF E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 85 3C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1C 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? E9 CF 01 00 00 8D 85 38 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 85 38 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1C 8D 45 D0 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? E9 87 01 00 00 8D 85 34 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 85 34 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1C 8D 45 D8 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? E9 3F 01 00 00 8D 85 30 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 85 30 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 1C 8D 45 C8 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? E9 F7 00 00 00 8D 85 2C FF FF FF E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 85 2C FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 58 8D 85 28 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 85 28 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 74 2C 8D 85 24 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 85 24 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 30 8D 45 C4 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 8D 45 C0 E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? EB 43 8D 85 20 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 0C E8 ?? ?? ?? ?? 8B 85 20 FF FF FF BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 75 17 8D 45 CC E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 43 4E 0F 85 1C FD FF FF 83 7D 24 00 0F 84 C2 00 00 00 8B 55 E8 8B 45 24 8B 08 FF 51 38 8B 55 E4 8B 45 20 8B 08 FF 51 38 8B 55 D8 8B 45 1C 8B 08 FF 51 38 8B 55 E0 8B 45 18 8B 08 FF 51 38 8B 55 D0 8B 45 14 8B 08 FF 51 38 8B 55 C4 8B 45 10 8B 08 FF 51 38 8B 55 C0 8B 45 0C 8B 08 FF 51 38 8B 55 CC 8B 45 08 8B 08 FF 51 38 EB 68 8D 4D E8 8B D3 8B 45 24 8B 30 FF 56 0C 8D 4D E4 8B D3 8B 45 20 8B 30 FF 56 0C 8D 4D D8 8B D3 8B 45 1C 8B 30 FF 56 0C 8D 4D E0 8B D3 8B 45 18 8B 30 FF 56 0C 8D 4D D0 8B D3 8B 45 14 8B 30 FF 56 0C 8D 4D C4 8B D3 8B 45 10 8B 30 FF 56 0C 8D 4D C0 8B D3 8B 45 0C 8B 30 FF 56 0C 8D 4D CC 8B D3 8B 45 08 8B 18 FF 53 0C 8D 8D 1C FF FF FF 8B 55 E8 8B 45 F8 E8 ?? ?? ?? ?? 8B 95 1C FF FF FF 8D 45 F8 E8 ?? ?? ?? ?? 83 7D F8 00 0F 84 96 00 00 00 83 7D E0 00 75 65 8D 85 18 FF FF FF 50 8B 45 F8 50 8B 00 FF 50 18 E8 ?? ?? ?? ?? 66 83 BD 18 FF FF FF 01 75 2F 8D 45 E0 E8 ?? ?? ?? ?? 50 8D 85 14 FF FF FF 8B 55 F8 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 85 14 FF FF FF 50 8B 00 FF 50 68 E8 ?? ?? ?? ?? EB 17 8D 45 E0 E8 ?? ?? ?? ?? 50 8B 45 F8 50 8B 00 FF 50 10 E8 ?? ?? ?? ?? 83 7D D8 00 74 25 8B 45 BC 66 83 78 6A 00 74 1B 8B 45 F8 50 8D 45 E0 50 8B 45 2C 50 8B 5D BC 8B 4D D8 8B 55 BC 8B 43 6C FF 53 68 83 7D E0 00 75 11 83 7D C8 00 74 0B 8D 45 E0 8B 55 C8 E8 ?? ?? ?? ?? 83 7D E0 00 0F 84 89 00 00 00 83 7D CC 00 74 1F 8D 8D 10 FF FF FF 8B 55 E0 8B 45 CC E8 ?? ?? ?? ?? 8B 95 10 FF FF FF 8D 45 E0 E8 ?? ?? ?? ?? 83 7D E0 00 75 11 83 7D C8 00 74 0B 8D 45 E0 8B 55 C8 E8 ?? ?? ?? ?? 83 7D C0 00 74 2B 8B 45 BC 0F B6 40 40 50 8D 85 0C FF FF FF 50 8B 4D E0 8B 55 C4 8B 45 C0 E8 ?? ?? ?? ?? 8B 95 0C FF FF FF 8D 45 E0 E8 ?? ?? ?? ?? 83 7D D0 00 74 06 83 7D E0 00 74 23 8B 4D E0 8B 55 E4 8B 45 2C E8 ?? ?? ?? ?? EB 13 83 7D D0 00 75 0D 33 C9 8B 55 E4 8B 45 2C E8 ?? ?? ?? ?? 83 7D D0 00 74 64 83 7D E0 00 75 5E 83 7D E4 00 74 58 8B 45 E4 66 83 38 40 74 4F 8D 4D EC 8B 55 E4 8B 45 2C E8 ?? ?? ?? ?? 83 7D EC 00 74 3B 8D 85 08 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 EC 50 8D 85 04 FF FF FF E8 ?? ?? ?? ?? 50 8B 45 EC 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 8B 85 04 FF FF FF 50 8B 00 FF 50 50 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 85 04 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 0C FF FF FF BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 14 FF FF FF E8 ?? ?? ?? ?? 8D 85 1C FF FF FF E8 ?? ?? ?? ?? 8D 85 20 FF FF FF BA 0A 00 00 00 E8 ?? ?? ?? ?? 8D 85 48 FF FF FF 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 85 50 FF FF FF E8 ?? ?? ?? ?? 8D 85 54 FF FF FF E8 ?? ?? ?? ?? 8D 85 58 FF FF FF E8 ?? ?? ?? ?? 8D 85 5C FF FF FF E8 ?? ?? ?? ?? 8D 85 60 FF FF FF E8 ?? ?? ?? ?? 8D 85 64 FF FF FF E8 ?? ?? ?? ?? 8D 85 68 FF FF FF E8 ?? ?? ?? ?? 8D 85 70 FF FF FF 8B 15 ?? ?? ?? ?? B9 06 00 00 00 E8 ?? ?? ?? ?? 8D 45 88 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 94 E8 ?? ?? ?? ?? 8D 45 C0 BA 0B 00 00 00 E8 ?? ?? ?? ?? 8D 45 EC 8B 15 ?? ?? ?? ?? B9 05 00 00 00 E8 ?? ?? ?? ?? 8D 45 2C E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? E9 ED FE FF FF 5E 5B 8B E5 5D C2 28 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 45 00 61 00 63 00 68 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 66 00 72 00 6F 00 6D 00 00 00 00 00 B0 04 02 00 FF FF FF FF 04 00 00 00 64 00 65 00 73 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 02 00 00 00 69 00 64 00 00 00 00 00 B0 04 02 00 FF FF FF FF 06 00 00 00 53 00 65 00 6C 00 65 00 63 00 74 00 00 00 00 00 B0 04 02 00 FF FF FF FF 05 00 00 00 76 00 61 00 6C 00 75 00 65 00 00 00 B0 04 02 00 FF FF FF FF 08 00 00 00 4F 00 70 00 74 00 69 00 6F 00 6E 00 61 00 6C 00 00 00 00 00 B0 04 02 00 FF FF FF FF 07 00 00 00 44 00 65 00 66 00 61 00 75 00 6C 00 74 00 00 00 B0 04 02 00 FF FF FF FF 0F 00 00 00 46 00 6F 00 72 00 6D 00 61 00 74 00 5F 00 44 00 61 00 74 00 65 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 46 00 6F 00 72 00 6D 00 61 00 74 00 5F 00 44 00 61 00 74 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0B 00 00 00 46 00 6F 00 72 00 6D 00 61 00 74 00 5F 00 54 00 69 00 6D 00 65 00 00 00 B0 04 02 00 FF FF FF FF 0A 00 00 00 4D 00 61 00 70 00 5F 00 56 00 61 00 6C 00 75 00 65 00 73 00 00 00 00 00 DD FF 6B B0 7B 33 DA 48 98 0B 6F 7A A8 AD E8 5C }
	condition:
		$1
}

rule function_115413_0 {
	meta:
		name = "TXMLTransformProvider.Create"
		size = 216
		refs = "000b @ClassCreate 0016 TXMLTransformProvider.Create 001d CreateNestedTransform 003e _Dn_TClientDataSet 0043 TCustomClientDataSet.Create 0054 TCustomProvider.Create 005f @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 87 C0 00 00 00 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 87 C4 00 00 00 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 87 B8 00 00 00 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 B0 04 02 00 FF FF FF FF 11 00 00 00 44 00 61 00 74 00 61 00 54 00 72 00 61 00 6E 00 73 00 66 00 6F 00 72 00 6D 00 52 00 65 00 61 00 64 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 44 00 61 00 74 00 61 00 54 00 72 00 61 00 6E 00 73 00 66 00 6F 00 72 00 6D 00 57 00 72 00 69 00 74 00 65 00 00 00 00 00 }
	condition:
		$1
}

rule function_115415_0 {
	meta:
		name = "TXMLTransformProvider.InternalGetRecords"
		size = 108
		refs = "0010 TXMLTransformProvider.InternalGetRecords 0024 TXMLTransform.GetData 002e StringToVariantArray 0044 TCustomClientDataSet.SetData 0059 @UStrClr 005f @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 8B 75 08 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 FC 8B 83 C0 00 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B D6 E8 ?? ?? ?? ?? 80 BB C8 00 00 00 00 74 0D 8B D6 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C2 10 00 }
	condition:
		$1
}

rule function_115416_0 {
	meta:
		name = "TXMLTransformProvider.InternalApplyUpdates"
		size = 536
		refs = "0021 TXMLTransformProvider.InternalApplyUpdates 0039 _Dn_TDataSetProvider 003e TDataSetProvider.Create 0053 TDataSetProvider.SetDataSet 0060 TDataSetProvider.SetResolveToDataSet 0081 TDataSet.GetActive 0093 TXMLTransform.GetData 009e StringToVariantArray 00ac TCustomClientDataSet.SetData 00c4 TCustomProvider.ApplyUpdates 00cf TCustomClientDataSet.MergeChangeLog 00e1 GetXMLData 00f1 TXMLTransform.TransformXML 0116 SetEncoding 0133 @OleVarFromUStr 0155 @IntfCast 0163 @CheckAutoResult 017c StringToFile 018d Null 0198 @OleVarFromVar 01bb @VarClr 01cb @IntfClear 01e0 @UStrArrayClr 01f0 @UStrClr 01f6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0A 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB BC 00 00 00 00 75 3D 8B CB B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 89 B3 BC 00 00 00 8B 93 B8 00 00 00 8B C6 E8 ?? ?? ?? ?? B2 01 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? 8B 83 BC 00 00 00 C6 80 BC 00 00 00 00 80 BB C8 00 00 00 00 74 0F 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 84 C0 75 27 8D 55 E4 8B 83 C0 00 00 00 E8 ?? ?? ?? ?? 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8D 55 E8 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 45 08 50 8B D7 8B 4D F8 8B 83 BC 00 00 00 E8 ?? ?? ?? ?? 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8D 45 FC 50 8D 55 E0 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 8B 55 E0 33 C9 8B 83 C4 00 00 00 E8 ?? ?? ?? ?? 8B 83 C4 00 00 00 83 78 60 00 74 68 8B 83 C0 00 00 00 8B 50 38 8B 83 C4 00 00 00 8B 40 60 33 C9 E8 ?? ?? ?? ?? 8B 83 C0 00 00 00 83 78 48 00 74 5A 8D 45 D0 8B 93 C0 00 00 00 8B 52 48 E8 ?? ?? ?? ?? FF 75 DC FF 75 D8 FF 75 D4 FF 75 D0 8D 45 CC 8B 93 C4 00 00 00 8B 52 60 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 CC 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? EB 17 83 7D FC 00 74 11 8B 83 C0 00 00 00 8B 50 48 8B 45 FC E8 ?? ?? ?? ?? 80 BB C8 00 00 00 00 75 21 8D 45 AC E8 ?? ?? ?? ?? 8D 55 AC 8D 45 BC E8 ?? ?? ?? ?? 8D 55 BC 8B 83 B8 00 00 00 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 BC E8 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 E0 BA 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB BB 5F 5E 5B 8B E5 5D C2 08 00 00 00 00 F1 C0 F4 2B 6E 09 D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115417_0 {
	meta:
		name = "TXMLTransformProvider.GetXMLDataFile"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 93 C0 00 00 00 8B 52 48 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115418_0 {
	meta:
		name = "TXMLTransformProvider.SetXMLDataFile"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B 83 C0 00 00 00 83 C0 48 8B D6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115419_0 {
	meta:
		name = "TXMLTransformClient.Create"
		size = 280
		refs = "000b @ClassCreate 0016 TXMLTransformClient.Create 001d CreateNestedTransform 0047 _Dn_TClientDataSet 004c TCustomClientDataSet.Create 005a TComponent.Create 0065 @AfterConstruction"
	strings:
		$1 = { 53 56 57 84 D2 74 08 83 C4 F0 E8 ?? ?? ?? ?? 8B F1 8B DA 8B F8 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 47 44 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 47 48 BA ?? ?? ?? ?? 8B C7 E8 ?? ?? ?? ?? 89 47 4C 8B CF B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 47 38 8B CE 33 D2 8B C7 E8 ?? ?? ?? ?? 8B C7 84 DB 74 0F E8 ?? ?? ?? ?? 64 8F 05 00 00 00 00 83 C4 0C 8B C7 5F 5E 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 10 00 00 00 54 00 72 00 61 00 6E 00 73 00 66 00 6F 00 72 00 6D 00 47 00 65 00 74 00 44 00 61 00 74 00 61 00 00 00 00 00 B0 04 02 00 FF FF FF FF 15 00 00 00 54 00 72 00 61 00 6E 00 73 00 66 00 6F 00 72 00 6D 00 41 00 70 00 70 00 6C 00 79 00 55 00 70 00 64 00 61 00 74 00 65 00 73 00 00 00 B0 04 02 00 FF FF FF FF 12 00 00 00 54 00 72 00 61 00 6E 00 73 00 66 00 6F 00 72 00 6D 00 53 00 65 00 74 00 50 00 61 00 72 00 61 00 6D 00 73 00 00 00 00 00 }
	condition:
		$1
}

rule function_115420_0 {
	meta:
		name = "TXMLTransformClient.Destroy"
		size = 44
		refs = "0003 @BeforeDestruction 0012 TComponent.Destroy 001a TObject.Free 0025 @ClassDestroy"
	strings:
		$1 = { 53 56 E8 ?? ?? ?? ?? 8B DA 8B F0 B2 FC 22 D3 8B C6 E8 ?? ?? ?? ?? 8B 46 40 E8 ?? ?? ?? ?? 84 DB 7E 07 8B C6 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115421_0 {
	meta:
		name = "TXMLTransformClient.SetupAppServer"
		size = 162
		refs = "000d TXMLTransformClient.SetupAppServer 002a TCustomClientDataSet.GetHasAppServer 0038 TXMLTransformClient.GetProviderName 0043 TComponent.FindComponent 0051 _Dn_TCustomProvider 0056 @IsClass 0063 _Dn_TLocalAppServer 0068 TLocalAppServer.Create 0091 @UStrClr 0097 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 53 56 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 43 38 8B 10 FF 92 1C 03 00 00 85 C0 74 0C 8B 43 38 E8 ?? ?? ?? ?? 84 C0 75 4E 8D 55 FC 8B C3 E8 ?? ?? ?? ?? 8B 55 FC 8B 43 04 E8 ?? ?? ?? ?? 8B F0 85 F6 74 33 8B C6 8B 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 22 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 03 83 EA E8 8B 43 38 8B 08 FF 91 24 03 00 00 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115422_0 {
	meta:
		name = "TXMLTransformClient.GetDataAsXml"
		size = 372
		refs = "0022 TXMLTransformClient.GetDataAsXml 002f TXMLTransformClient.SetupAppServer 0052 PackageParams 0064 @VarClr 0084 TXMLTransformClient.GetProviderName 008f @WStrFromUStr 00af @CheckAutoResult 00ba VariantArrayToString 00cb @UStrLAsg 00ea TXMLTransform.TransformXML 0111 SetEncoding 0126 @IntfClear 012e @UStrClr 0136 @WStrClr 013f OleVariant 0149 @FinalizeArray 0156 @UStrArrayClr 015c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 09 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 89 55 C4 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 8B 43 38 8B B8 CC 01 00 00 8B 47 08 83 78 08 00 7E 11 8D 4D E8 8B C7 0F B6 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B6 05 ?? ?? ?? ?? 88 45 BF 8D 45 C8 E8 ?? ?? ?? ?? 50 8D 45 D8 50 8D 45 E8 50 6A 00 0F B6 45 BF 50 8D 45 C0 50 6A FF 8D 55 B4 8B C3 E8 ?? ?? ?? ?? 8B 55 B4 8D 45 B8 E8 ?? ?? ?? ?? 8B 45 B8 50 8D 55 B0 8B 43 38 8B 08 FF 91 14 03 00 00 8B 45 B0 50 8B 00 FF 50 20 E8 ?? ?? ?? ?? 8D 55 F8 8D 45 C8 E8 ?? ?? ?? ?? 83 7D C4 00 74 0D 8D 45 FC 8B 55 C4 E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 53 44 8B 52 54 E8 ?? ?? ?? ?? 56 8B 4D FC 8B 55 F8 8B 43 44 E8 ?? ?? ?? ?? 83 3E 00 74 22 8B 43 44 83 78 60 00 74 19 8B 43 44 83 78 3C 00 74 10 8B 43 44 8B 50 3C 8B 40 60 B1 01 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 B0 E8 ?? ?? ?? ?? 8D 45 B4 E8 ?? ?? ?? ?? 8D 45 B8 E8 ?? ?? ?? ?? 8D 45 C8 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 BA 02 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB C0 5F 5E 5B 8B E5 5D C3 00 00 00 1F 00 00 00 05 00 00 00 }
	condition:
		$1
}

rule function_115423_0 {
	meta:
		name = "TXMLTransformClient.ApplyUpdates"
		size = 366
		refs = "0021 TXMLTransformClient.ApplyUpdates 002e TXMLTransformClient.SetupAppServer 003c @UStrLAsg 005d TXMLTransform.TransformXML 0068 @VarFromUStr 007e @VarClr 0096 @VarToUStr 00a1 StringToVariantArray 00b7 TXMLTransformClient.GetProviderName 00c2 @WStrFromUStr 00e2 @CheckAutoResult 00f1 @HandleAnyException 00f6 @DoneExcept 010b @IntfClear 0113 @UStrClr 011b @WStrClr 012c OleVariant 0136 @FinalizeArray 015c @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 0B 00 00 00 6A 00 6A 00 49 75 F9 51 87 4D FC 53 56 57 8B F1 8B FA 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B C3 E8 ?? ?? ?? ?? 85 F6 74 0C 8D 45 FC 8B D6 E8 ?? ?? ?? ?? EB 0E 8D 45 FC 8B 53 48 8B 52 54 E8 ?? ?? ?? ?? 8D 45 D0 50 8B 43 48 8B 4D FC 8B D7 E8 ?? ?? ?? ?? 8B 55 D0 8D 45 E8 E8 ?? ?? ?? ?? 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 C0 E8 ?? ?? ?? ?? 50 8D 45 D8 50 8D 45 D4 50 8B 45 08 50 8D 45 AC 8D 55 E8 E8 ?? ?? ?? ?? 8B 45 AC 8D 55 B0 E8 ?? ?? ?? ?? FF 75 BC FF 75 B8 FF 75 B4 FF 75 B0 8D 55 A4 8B C3 E8 ?? ?? ?? ?? 8B 55 A4 8D 45 A8 E8 ?? ?? ?? ?? 8B 45 A8 50 8D 55 A0 8B 43 38 8B 08 FF 91 14 03 00 00 8B 45 A0 50 8B 00 FF 50 1C E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 0A E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 A0 E8 ?? ?? ?? ?? 8D 45 A4 E8 ?? ?? ?? ?? 8D 45 A8 E8 ?? ?? ?? ?? 8D 45 AC E8 ?? ?? ?? ?? 8D 45 B0 8B 15 ?? ?? ?? ?? B9 02 00 00 00 E8 ?? ?? ?? ?? 8D 45 D0 E8 ?? ?? ?? ?? 8D 45 D8 E8 ?? ?? ?? ?? 8D 45 E8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB A5 8B 45 D4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule function_115424_0 {
	meta:
		name = "TXMLTransformClient.GetProviderName"
		size = 25
		refs = "0012 @UStrAsg"
	strings:
		$1 = { 53 56 8B F2 8B D8 8B C6 8B 53 38 8B 92 68 02 00 00 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule function_115426_0 {
	meta:
		name = "TXMLTransformClient.GetRemoteServer"
		size = 12
	strings:
		$1 = { 8B 40 38 8B 10 FF 92 1C 03 00 00 C3 }
	condition:
		$1
}

rule function_115427_0 {
	meta:
		name = "TXMLTransformClient.SetRemoteServer"
		size = 22
	strings:
		$1 = { 56 57 8B FA 8B F0 8B D7 8B 46 38 8B 08 FF 91 30 03 00 00 5F 5E C3 }
	condition:
		$1
}

rule function_115428_0 {
	meta:
		name = "TXMLTransformClient.SetParams"
		size = 339
		refs = "0021 TXMLTransformClient.SetParams 0036 _Dn_TClientDataSet 003b TCustomClientDataSet.Create 005e TXMLTransform.TransformXML 0069 StringToVariantArray 0073 TCustomClientDataSet.SetData 007a TDataSet.GetActive 008a TFields.GetCount 0099 TDataSet.First 00c5 TFields.GetField 00d8 TParams.FindParam 00f8 TParams.CreateParam 0113 TParam.SetAsVariant 0130 @VarClr 0140 @UStrClr 0146 @HandleFinally"
	strings:
		$1 = { 55 8B EC 51 B9 06 00 00 00 6A 00 6A 00 49 75 F9 87 4D FC 53 56 57 89 4D F8 8B FA 8B F0 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 7E 3C 00 75 11 8B CE B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 46 3C 8B 5E 3C 33 D2 8B C3 8B 08 FF 91 B4 01 00 00 8D 45 FC 50 8B 4D F8 8B D7 8B 46 4C E8 ?? ?? ?? ?? 8D 55 DC 8B 45 FC E8 ?? ?? ?? ?? 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 99 00 00 00 8B 43 38 E8 ?? ?? ?? ?? 85 C0 0F 8E 89 00 00 00 8B C3 E8 ?? ?? ?? ?? 80 BB A9 00 00 00 00 75 79 8B 43 38 E8 ?? ?? ?? ?? 48 85 C0 7C 6C 40 89 45 EC C7 45 F4 00 00 00 00 8B 55 F4 8B 43 38 E8 ?? ?? ?? ?? 8B F8 8B 57 40 8B 46 38 8B 80 CC 01 00 00 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 1A 6A 01 0F B6 57 48 8B 4F 40 8B 46 38 8B 80 CC 01 00 00 E8 ?? ?? ?? ?? 89 45 F0 8D 55 CC 8B C7 8B 08 FF 91 90 00 00 00 8D 55 CC 8B 45 F0 E8 ?? ?? ?? ?? FF 45 F4 FF 4D EC 75 9F 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 CC E8 ?? ?? ?? ?? 8D 45 DC E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB E0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115431_0 {
	meta:
		name = "ExtractAttrValue"
		size = 139
		refs = "0015 Pos 0054 @UStrToPWChar 0071 AnsiExtractQuotedStr 007e @UStrAsg"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 56 57 89 4D FC 8B F2 8B F8 8B D6 8B C7 E8 ?? ?? ?? ?? 8B D8 8B C6 85 C0 74 05 83 E8 04 8B 00 85 DB 7E 4D 8B D7 85 D2 74 05 83 EA 04 8B 12 03 DA EB 01 43 3B C3 7E 0F 0F B6 54 5E FE 80 EA 22 74 05 80 EA 05 75 EC 3B C3 7E 31 8B C6 E8 ?? ?? ?? ?? 8B D3 03 D2 03 C2 83 E8 02 89 45 F8 8B 4D 08 8B 45 F8 0F B7 10 8D 45 F8 E8 ?? ?? ?? ?? EB 0B 8B 45 08 8B 55 FC E8 ?? ?? ?? ?? 5F 5E 5B 59 59 5D C2 04 00 }
	condition:
		$1
}

rule function_115435_0 {
	meta:
		name = "TCustomXSLPageProducer.ContentFromStream"
		size = 261
		refs = "001e TCustomXSLPageProducer.ContentFromStream 0032 RaiseNoXMLData 003a @IntfClear 0043 TCustomXSLPageProducer.GetXMLDocument 0052 TXMLDocument.LoadFromStream 0066 TXMLDocument.GetDocumentElement 0071 RaiseNoXMLDocument 00bc @UStrFromWStr 00d9 IXMLNode 00e3 @FinalizeArray 00eb @WStrClr 00f9 @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB D8 00 00 00 00 75 05 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 77 33 C9 8B D6 8B C3 E8 ?? ?? ?? ?? B2 01 8B 45 FC 8B 08 FF 51 4C 8D 55 F0 8B C3 E8 ?? ?? ?? ?? 83 7D F0 00 75 07 E8 ?? ?? ?? ?? EB 16 8D 55 EC 8B 45 FC 8B 08 FF 51 1C 83 7D EC 00 75 05 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 08 FF 51 1C 8B 45 E8 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 4D F8 58 8B 18 FF 93 A4 00 00 00 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115437_0 {
	meta:
		name = "TCustomXSLPageProducer.GetXSLStream"
		size = 212
		refs = "0015 TCustomXSLPageProducer.GetXSLStream 0025 TXMLDocument.GetFileName 0038 DesignerFileManager 0076 QualifyFileName 0080 _Dn_TFileStream 0085 TFileStream.Create 0090 _Dn_TMemoryStream 0095 TObject.Create 00a0 TXMLDocument.SaveToStream 00c0 @UStrArrayClr 00c6 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 53 56 89 55 FC 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 55 F8 8B C3 E8 ?? ?? ?? ?? 83 7D F8 00 74 5E 8B 45 FC C6 00 01 33 F6 A1 ?? ?? ?? ?? 83 38 00 74 1E 8D 55 F4 8B C3 E8 ?? ?? ?? ?? 8B 55 F4 8B 4D FC A1 ?? ?? ?? ?? 8B 00 8B 30 FF 56 10 8B F0 85 F6 75 41 6A 40 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 8B 45 EC 8D 55 F0 E8 ?? ?? ?? ?? 8B 4D F0 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 EB 17 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 8B D6 8B C3 E8 ?? ?? ?? ?? 8B 45 FC C6 00 01 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC BA 04 00 00 00 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EB 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115438_0 {
	meta:
		name = "TCustomXSLPageProducer.Notification"
		size = 61
		refs = "0010 TComponent.Notification"
	strings:
		$1 = { 53 56 57 8B D9 8B F2 8B F8 8B CB 8B D6 8B C7 E8 ?? ?? ?? ?? 80 FB 01 75 20 3B B7 D8 00 00 00 75 08 33 C0 89 87 D8 00 00 00 3B B7 DC 00 00 00 75 08 33 C0 89 87 DC 00 00 00 5F 5E 5B C3 }
	condition:
		$1
}

rule function_115439_0 {
	meta:
		name = "TCustomXSLPageProducer.SetXMLData"
		size = 25
		refs = "0014 TComponent.FreeNotification"
	strings:
		$1 = { 3B 90 D8 00 00 00 74 10 89 90 D8 00 00 00 85 D2 74 06 92 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule function_115440_0 {
	meta:
		name = "TCustomXSLPageProducer.SetDispatcher"
		size = 36
		refs = "0017 TComponent.FreeNotification"
	strings:
		$1 = { 53 56 8B F2 8B D8 3B B3 DC 00 00 00 74 13 85 F6 74 09 8B D3 8B C6 E8 ?? ?? ?? ?? 89 B3 DC 00 00 00 5E 5B C3 }
	condition:
		$1
}

rule function_115441_0 {
	meta:
		name = "TCustomXSLPageProducer.Content"
		size = 294
		refs = "001a TCustomXSLPageProducer.Content 002e RaiseNoXMLData 0036 @IntfClear 003f TCustomXSLPageProducer.GetXMLDocument 0095 TXMLDocument.GetDocumentElement 00a0 RaiseNoXMLDocument 00dd @UStrFromWStr 00fa IXMLNode 0104 @FinalizeArray 0114 @WStrClr 011a @HandleFinally"
	strings:
		$1 = { 55 8B EC B9 04 00 00 00 6A 00 6A 00 49 75 F9 51 53 56 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB D8 00 00 00 00 75 05 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 0F 84 98 00 00 00 B2 01 8B C3 8B 08 FF 51 44 8D 55 F4 8B 45 F8 8B 08 FF 51 1C 83 7D F4 00 75 07 E8 ?? ?? ?? ?? EB 38 8D 55 EC 8B 45 F8 8B 08 FF 51 18 8B 45 EC 8D 55 F0 8B 08 FF 51 44 83 7D F0 00 75 07 E8 ?? ?? ?? ?? EB 15 8D 55 E8 8B C3 E8 ?? ?? ?? ?? 83 7D E8 00 75 05 E8 ?? ?? ?? ?? 8D 55 E0 8B 45 F8 8B 08 FF 51 18 8B 45 E0 8D 55 E4 8B 08 FF 51 44 8B 45 E4 50 8D 55 DC 8B C3 E8 ?? ?? ?? ?? 8B 55 DC 8D 4D FC 58 8B 18 FF 93 A4 00 00 00 8B C6 8B 55 FC E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 DC 8B 15 ?? ?? ?? ?? B9 07 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB D5 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115443_0 {
	meta:
		name = "TCustomXSLPageProducer.GetDispatcher"
		size = 76
		refs = "0014 @IntfClear 001b TCustomXSLPageProducer.GetDispatcher 0029 Supports"
	strings:
		$1 = { 53 56 57 8B F2 8B D8 8B BB DC 00 00 00 85 FF 74 1E 8B C6 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B C7 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? EB 07 8B C6 E8 ?? ?? ?? ?? 5F 5E 5B C3 00 00 DF D1 4C 14 AE 9F 11 D5 8D 38 00 50 56 8E 0E 44 }
	condition:
		$1
}

rule function_115445_0 {
	meta:
		name = "TCustomXSLPageProducer.ProduceContentFromStream"
		size = 24
	strings:
		$1 = { 53 56 57 8B F9 8B F2 8B D8 8B CF 8B D6 8B C3 8B 18 FF 53 4C 5F 5E 5B C3 }
	condition:
		$1
}

rule function_115447_0 {
	meta:
		name = "TCustomXSLPageProducer.GetAppDispatcher"
		size = 7
	strings:
		$1 = { 8B 80 DC 00 00 00 C3 }
	condition:
		$1
}

rule function_115448_0 {
	meta:
		name = "TCustomXSLPageProducer.ContentFromString"
		size = 90
		refs = "000f _Dn_TStringStream 0016 TStringStream.Create 0021 TCustomXSLPageProducer.ContentFromString 0049 TObject.Free 004f @HandleFinally"
	strings:
		$1 = { 55 8B EC 83 C4 F8 53 89 4D FC 8B D8 8B CA A1 ?? ?? ?? ?? B2 01 E8 ?? ?? ?? ?? 89 45 F8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 4D FC 8B 55 F8 8B C3 8B 18 FF 53 4C 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8B 45 F8 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 5B 59 59 5D C3 }
	condition:
		$1
}

rule function_115449_0 {
	meta:
		name = "TCustomXSLPageProducer.ContentFromWideString"
		size = 263
		refs = "001e TCustomXSLPageProducer.ContentFromWideString 0032 RaiseNoXMLData 003a @IntfClear 0043 TCustomXSLPageProducer.GetXMLDocument 0051 @UStrFromWStr 005b TXMLDocument.LoadFromXML 0078 TXMLDocument.GetDocumentElement 0083 RaiseNoXMLDocument 00d3 IXMLNode 00dd @FinalizeArray 00e5 @UStrClr 00ed @WStrClr 00fb @HandleFinally"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 6A 00 53 56 89 4D F4 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 83 BB D8 00 00 00 00 75 05 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? 8B D0 8B C3 E8 ?? ?? ?? ?? 84 C0 74 71 8D 45 F0 8B D6 E8 ?? ?? ?? ?? 8B 55 F0 8B C3 E8 ?? ?? ?? ?? B2 01 8B C3 8B 08 FF 51 44 B2 01 8B 45 FC 8B 08 FF 51 4C 8D 55 EC 8B C3 E8 ?? ?? ?? ?? 83 7D EC 00 75 05 E8 ?? ?? ?? ?? 8D 55 E8 8B 45 FC 8B 08 FF 51 1C 8B 45 E8 50 8D 55 E4 8B C3 E8 ?? ?? ?? ?? 8B 55 E4 8D 4D F8 58 8B 18 FF 93 A4 00 00 00 8B 45 F4 8B 55 F8 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 8B 15 ?? ?? ?? ?? B9 03 00 00 00 E8 ?? ?? ?? ?? 8D 45 F0 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB CD 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule function_115450_0 {
	meta:
		name = "TCustomXSLPageProducer.GetXMLDocument"
		size = 384
		refs = "0022 TCustomXSLPageProducer.GetXMLDocument 0030 @IntfClear 0049 Supports 008f TCustomXSLPageProducer.GetXMLData 00b3 _Dn_TXMLDocument 00b8 TXMLDocument.Create 00cc @IntfCopy 00fb @HandleAnyException 010c TObject.Free 0111 @RaiseAgain 0116 @DoneExcept 0141 @HandleFinally 0158 @UStrClr"
	strings:
		$1 = { 55 8B EC 83 C4 EC 53 56 57 33 C9 89 4D EC 89 55 FC 8B D8 8B 45 FC 85 C0 74 04 33 D2 89 10 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 83 D8 00 00 00 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 88 45 FB 80 7D FB 00 74 25 F6 43 1C 10 74 1F 8D 55 EC 8B 45 FC 8B 00 8B 08 FF 51 28 83 7D EC 00 74 0C C6 45 FB 00 8B 45 FC E8 ?? ?? ?? ?? 80 7D FB 00 0F 85 C2 00 00 00 C6 45 F3 00 8D 55 F3 8B C3 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 0F 84 A7 00 00 00 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 33 C9 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B D0 85 D2 74 06 81 EA 2C FF FF FF 8B 45 FC E8 ?? ?? ?? ?? 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 45 FC 8B 00 33 C9 8B 55 F4 8B 18 FF 93 98 00 00 00 33 C0 5A 59 59 64 89 10 EB 20 E9 ?? ?? ?? ?? 8B 45 FC 8B 00 8B 55 FC 33 C9 89 0A E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 83 38 00 0F 95 45 FB 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 80 7D F3 00 74 08 8B 45 F4 E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB EA 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 EC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB F0 0F B6 45 FB 5F 5E 5B 8B E5 5D C3 00 C3 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115453_0 {
	meta:
		name = "TCustomXSLPageProducer.GetXMLData"
		size = 436
		refs = "0017 TCustomXSLPageProducer.GetXMLData 0025 @IntfClear 003e Supports 00a1 DesignerFileManager 00e7 QualifyFileName 00f1 _Dn_TFileStream 00f6 TFileStream.Create 0105 _Dn_TMemoryStream 010a TObject.Create 0125 TXMLDocument.SaveToStream 0134 @HandleAnyException 0141 TObject.Free 0146 @RaiseAgain 014b @DoneExcept 016c @UStrArrayClr 0182 @HandleFinally"
	strings:
		$1 = { 55 8B EC 33 C9 51 51 51 51 51 51 51 53 56 57 8B F2 8B D8 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8D 45 F8 E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 83 D8 00 00 00 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 74 12 8B D6 8B 45 F8 8B 08 FF 51 0C 89 45 F4 E9 FE 00 00 00 8D 45 FC E8 ?? ?? ?? ?? 8B C8 BA ?? ?? ?? ?? 8B 83 D8 00 00 00 85 C0 74 03 83 E8 CC E8 ?? ?? ?? ?? 84 C0 0F 84 D0 00 00 00 8D 55 F0 8B 45 FC 8B 08 FF 51 28 83 7D F0 00 74 6D F6 43 1C 10 74 67 C6 06 01 33 C0 89 45 F4 A1 ?? ?? ?? ?? 83 38 00 74 1F 8D 55 EC 8B 45 FC 8B 08 FF 51 28 8B 55 EC 8B CE A1 ?? ?? ?? ?? 8B 00 8B 18 FF 53 10 89 45 F4 83 7D F4 00 0F 85 83 00 00 00 6A 40 8D 55 E4 8B 45 FC 8B 08 FF 51 28 8B 45 E4 8D 55 E8 E8 ?? ?? ?? ?? 8B 4D E8 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 EB 57 C6 06 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F4 33 D2 55 68 ?? ?? ?? ?? 64 FF 32 64 89 22 8B 55 F4 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 23 E9 ?? ?? ?? ?? 8B 45 F4 33 D2 89 55 F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 05 33 C0 89 45 F4 33 C0 5A 59 59 64 89 10 68 ?? ?? ?? ?? 8D 45 E4 BA 04 00 00 00 E8 ?? ?? ?? ?? 8D 45 F8 E8 ?? ?? ?? ?? 8D 45 FC E8 ?? ?? ?? ?? C3 E9 ?? ?? ?? ?? EB DB 8B 45 F4 5F 5E 5B 8B E5 5D C3 00 00 E6 81 BA 06 AE 9C 11 D5 8D 38 00 50 56 8E 0E 44 C3 50 59 39 5D 7E D4 11 83 DA 00 C0 4F 60 B2 DD }
	condition:
		$1
}

rule function_115454_0 {
	meta:
		name = "TCustomXSLPageProducer.GetXSLData"
		size = 104
		refs = "001a _Dn_TMemoryStream 001f TObject.Create 002a TCustomXSLPageProducer.GetXSLData 003a TXMLDocument.SaveToStream 0049 @HandleAnyException 0051 TObject.Free 0056 @RaiseAgain 005b @DoneExcept"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 8B D8 B2 01 8B C3 8B 08 FF 51 44 C6 06 01 B2 01 A1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 33 C0 55 68 ?? ?? ?? ?? 64 FF 30 64 89 20 8B 55 FC 8B C3 E8 ?? ?? ?? ?? 33 C0 5A 59 59 64 89 10 EB 17 E9 ?? ?? ?? ?? 8B 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 5F 5E 5B 59 5D C3 }
	condition:
		$1
}

rule function_115457_0 {
	meta:
		name = "TCustomXSLPageProducer.GetTemplateFileType"
		size = 40
		refs = "0006 TCustomXSLPageProducer.GetTemplateFileType 000b @UStrAsg"
	strings:
		$1 = { 53 8B DA 8B C3 BA ?? ?? ?? ?? E8 ?? ?? ?? ?? 5B C3 00 00 00 B0 04 02 00 FF FF FF FF 03 00 00 00 58 00 53 00 4C 00 00 00 }
	condition:
		$1
}
